readideal := function(K, R, x)
  if Type(K) eq FldRat then
    assert #x eq 1 and #x[1] eq 1;
    return x[1,1];
  end if;
  return ideal< R | [ K ! e : e in x ] >;
end function;

function ReadOrders(x)
  K:= NumberField(Polynomial(x[1]));
  R:= Integers(K);
  Q:= QuaternionAlgebra< K | K ! x[3], K ! x[4] >;

  D:= readideal(K, R, x[2]);
  last:= #x-4;
  OO:= [];
  for i in [5..last] do
    G:= [ Q ! [K ! l : l in m] : m in x[i] ];
    O:= Type(K) eq FldRat select QuaternionOrder(G) else Order(G);
    assert Discriminant(O) eq D;
    Append(~OO, O);
  end for;
  return OO, x[last+1], x[last+2], [ readideal(K, R, y): y in x[#x-1] ], [ readideal(K, R, y): y in x[#x] ];
end function;

OneClassGenera:= [
< [ -1, 1 ], [[2]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [1/2]], [[1/2], [1/2], [-1/2], [1/2]], [[1/2], [-1/2], [1/2], [1/2]]], 4, 1, [[[2]]], [[[3]]] >,
< [ -1, 1 ], [[3]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [1/2], [1/2]], [[1/2], [1/2], [0], [0]]], 4, 1, [[[2]]], [] >,
< [ -1, 1 ], [[6]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [1/2], [1/2]], [[1/2], [1/2], [-1], [0]]], 3, 1, [], [[[2]]] >,
< [ -1, 1 ], [[6]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[3/2], [3/2], [3/2], [3/2]], [[-1/2], [-1/2], [-3/2], [-1/2]], [[1/2], [-1/2], [1/2], [1/2]]], 3, 1, [], [] >,
< [ -1, 1 ], [[5]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [-1/4], [0], [1/4]], [[1/2], [3/4], [0], [1/4]], [[-1/2], [1/2], [1/2], [0]]], 4, 1, [], [[[2]]] >,
< [ -1, 1 ], [[10]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1], [-1/2], [0], [1/2]], [[0], [1], [0], [0]], [[-1/2], [1/2], [1/2], [0]]], 3, 1, [], [] >,
< [ -1, 1 ], [[30]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [0]], [[0], [0], [1/2], [1/2]], [[0], [0], [1], [0]]], 4, 2, [], [] >,
< [ -1, 1 ], [[10]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[5/2], [5/2], [5/2], [5/2]], [[-1/2], [-1/2], [-3/2], [-1/2]], [[0], [-1], [0], [0]]], 3, 1, [], [] >,
< [ -1, 1 ], [[15]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [5/2], [5/2]], [[1/2], [1/2], [-3/2], [-3/2]]], 3, 2, [], [] >,
< [ -1, 1 ], [[30]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[5/2], [5/2], [5/2], [5/2]], [[1], [1], [-2], [1]], [[-1/2], [-3/2], [1/2], [-1/2]]], 3, 2, [], [] >,
< [ -1, 1 ], [[7]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [1/2], [1/2]], [[1/2], [1/2], [0], [0]]], 4, 1, [], [] >,
< [ -1, 1 ], [[42]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [1/2], [1/2], [1/2]], [[-1/2], [-1/2], [-1/2], [1/2]]], 4, 2, [], [] >,
< [ -1, 1 ], [[21]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [1/2], [1/2]], [[1/2], [1/2], [-2], [0]]], 3, 2, [], [] >,
< [ -1, 1 ], [[70]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [0], [1/2], [0]], [[0], [1/2], [0], [1/2]]], 4, 2, [], [] >,
< [ -1, 1 ], [[14]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[7/2], [7/2], [7/2], [7/2]], [[-1], [-1], [-2], [-1]], [[1/2], [-1/2], [1/2], [1/2]]], 3, 2, [], [] >,
< [ -1, 1 ], [[22]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[11/2], [11/2], [11/2], [11/2]], [[-2], [-2], [-3], [-2]], [[-1/2], [-3/2], [-1/2], [-1/2]]], 3, 1, [], [] >,
< [ -1, 1 ], [[33]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [11], [0]], [[0], [0], [-5/2], [1/2]], [[1/2], [1/2], [-9], [0]]], 3, 2, [], [] >,
< [ -1, 1 ], [[13]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [-1/4], [0], [1/4]], [[-1/2], [1/2], [-1/2], [0]]], 4, 1, [], [] >,
< [ -1, 1 ], [[78]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [0]], [[-1/2], [-1/2], [1/2], [0]], [[0], [0], [1/2], [1/2]]], 4, 2, [], [] >,
< [ -1, 1 ], [[46]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[23/2], [23/2], [23/2], [23/2]], [[-1/2], [-1/2], [-3/2], [-1/2]], [[-3/2], [-5/2], [-3/2], [-3/2]]], 3, 2, [], [] >,
< [ -1, 1 ], [[1058]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-9/2], [-3/2], [-5/2]], [[0], [3], [1], [-6]], [[0], [2], [-7], [-4]]], 1, 44, [], [] >,
< [ -1, 1 ], [[169]], [ -2 ], [ -13 ], [[[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[1/2], [0], [-1/2], [-1/2]], [[0], [13/4], [-1/2], [1/4]]], 1, 14, [], [] >,
< [ -1, 1 ], [[1014]], [ -13 ], [ -6 ], [[[1/2], [1/2], [0], [-1/2]], [[1/2], [-1/2], [0], [1/2]], [[1/2], [-1/2], [0], [-1/2]], [[0], [0], [13/2], [-1/2]]], 1, 28, [], [] >,
< [ -1, 1 ], [[242]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [1/2], [1/2]], [[0], [2], [-3], [-3]], [[0], [1], [4], [-7]]], 1, 10, [], [] >,
< [ -1, 1 ], [[363]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1], [-2]], [[1/2], [-3/2], [5/2], [1/2]], [[1/2], [-7/2], [-3/2], [-5/2]]], 1, 20, [], [] >,
< [ -1, 1 ], [[49]], [ -7 ], [ -1 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [7/2], [-1/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[294]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[1/2], [1/2], [-7/2], [1/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[147]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [1]], [[0], [1], [0], [1]], [[0], [0], [7/2], [1/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[490]], [ -2 ], [ -35 ], [[[1/2], [0], [1/2], [0]], [[1/2], [0], [-1/2], [0]], [[0], [0], [0], [1]], [[0], [7/2], [0], [-1/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[98]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [-3/2], [1/2]], [[1/2], [-1/2], [-5/2], [-3/2]], [[1/2], [-3/2], [-1/2], [5/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[2058]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [3], [0], [1]], [[1/2], [3/2], [-7/2], [1/2]]], 1, 56, [], [] >,
< [ -1, 1 ], [[686]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [-3/2], [1/2]], [[0], [1], [-2], [-4]], [[1/2], [13/2], [23/2], [-3/2]]], 1, 28, [], [] >,
< [ -1, 1 ], [[686]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [3]], [[1/2], [-7/2], [7/2], [7/2]], [[1/2], [15/2], [5/2], [3/2]]], 1, 28, [], [] >,
< [ -1, 1 ], [[25]], [ -2 ], [ -5 ], [[[1/2], [0], [1/2], [1/2]], [[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [-1/2]], [[0], [5/4], [1/2], [1/4]]], 1, 2, [], [] >,
< [ -1, 1 ], [[50]], [ -2 ], [ -5 ], [[[1/2], [0], [1/2], [1/2]], [[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [-1/2]], [[0], [5/2], [0], [1/2]]], 1, 6, [], [] >,
< [ -1, 1 ], [[150]], [ -3 ], [ -10 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[1/2], [-5/2], [0], [0]]], 1, 4, [], [] >,
< [ -1, 1 ], [[50]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [1], [2]], [[1/2], [5/2], [3/2], [1/2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[75]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [-1]], [[0], [2], [0], [-1]], [[0], [1], [-5/2], [-1/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[150]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [0]], [[1/2], [3/2], [-1/2], [-5/2]], [[1/2], [-3/2], [11/2], [-5/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[350]], [ -2 ], [ -35 ], [[[1/2], [0], [1/2], [0]], [[1/2], [0], [-1/2], [0]], [[0], [0], [0], [1]], [[0], [5/2], [0], [-1/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[2450]], [ -2 ], [ -35 ], [[[1/2], [0], [1/2], [0]], [[1/2], [0], [-1/2], [0]], [[0], [0], [0], [1]], [[0], [35/2], [0], [-1/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[125]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/4], [-1/2], [1/4]], [[1/2], [0], [3/2], [1/2]], [[1/2], [0], [-1/2], [3/2]]], 1, 10, [], [] >,
< [ -1, 1 ], [[125]], [ -2 ], [ -5 ], [[[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[0], [5/4], [-1/2], [-3/4]], [[0], [5/4], [3/2], [9/4]]], 1, 10, [], [] >,
< [ -1, 1 ], [[750]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [-5/2], [0], [0]], [[0], [0], [5/2], [1/2]]], 1, 20, [], [] >,
< [ -1, 1 ], [[750]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [-5/2], [0], [0]], [[0], [0], [1/2], [-5/2]]], 1, 20, [], [] >,
< [ -1, 1 ], [[250]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [1/2], [-3/2]], [[0], [0], [1], [-3]], [[0], [0], [8], [1]]], 1, 10, [], [] >,
< [ -1, 1 ], [[250]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [5], [0], [0]], [[1/2], [5/2], [-3/2], [-11/2]]], 1, 10, [], [] >,
< [ -1, 1 ], [[375]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [5/2], [-1/2]], [[1/2], [-3/2], [-5/2], [-1/2]], [[1/2], [-1/2], [0], [4]]], 1, 20, [], [] >,
< [ -1, 1 ], [[750]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-3/2], [-5/2]], [[0], [7], [-4], [0]], [[0], [2], [6], [-5]]], 1, 40, [], [] >,
< [ -1, 1 ], [[18]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [3/2], [-1/2], [-3/2]], [[1/2], [-3/2], [1/2], [-3/2]]], 1, 1, [], [] >,
< [ -1, 1 ], [[18]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[1/2], [-1/2], [-3/2], [1/2]], [[0], [1], [0], [2]]], 2, 1, [], [] >,
< [ -1, 1 ], [[162]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [3], [0]], [[1/2], [-3/2], [3/2], [9/2]]], 0, 6, [], [] >,
< [ -1, 1 ], [[162]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [3/2], [-3/2]], [[1/2], [3/2], [-3/2], [-3/2]], [[1/2], [9/2], [3/2], [9/2]]], 0, 6, [], [] >,
< [ -1, 1 ], [[243]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[1/2], [-3/2], [3/2], [3/2]], [[0], [3], [3/2], [3/2]]], 0, 18, [], [] >,
< [ -1, 1 ], [[9]], [ -3 ], [ -1 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3/2], [1/2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[18]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [0], [1]], [[0], [0], [3/2], [-1/2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[486]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [-3/2]], [[0], [3], [0], [3]], [[0], [3], [9], [-6]]], 0, 18, [], [] >,
< [ -1, 1 ], [[18]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [1/2], [1/2]], [[0], [2], [1], [1]], [[0], [1], [-1], [2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[45]], [ -2 ], [ -5 ], [[[1/2], [1/2], [-1/2], [0]], [[1/2], [-1/2], [1/2], [0]], [[0], [1/4], [1/2], [-3/4]], [[1/2], [5/4], [1], [3/4]]], 1, 2, [], [] >,
< [ -1, 1 ], [[405]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/4], [3/2], [3/4]], [[1/2], [-3/2], [3/2], [0]], [[0], [3/4], [3/2], [-9/4]]], 0, 24, [], [] >,
< [ -1, 1 ], [[90]], [ -3 ], [ -10 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3/2], [1/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[2430]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[1/2], [-3/2], [3/2], [3/2]], [[0], [3], [3/2], [3/2]]], 0, 72, [], [] >,
< [ -1, 1 ], [[45]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [1]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-3/2], [-1/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[90]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [0], [0], [3]], [[1/2], [-5/2], [-5/2], [1/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[126]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[1/2], [1/2], [-3/2], [1/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[63]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[0], [1], [-1/2], [1/2]], [[0], [0], [3/2], [3/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[1134]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [9/2], [-9/2]], [[1/2], [-9/2], [3/2], [-9/2]], [[1/2], [-9/2], [9/2], [9/2]]], 0, 48, [], [] >,
< [ -1, 1 ], [[126]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [1/2], [-3/2]], [[1/2], [3/2], [-3/2], [-3/2]], [[0], [3], [4], [-3]]], 1, 4, [], [] >,
< [ -1, 1 ], [[99]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [1]], [[0], [1], [3/2], [1/2]], [[1/2], [-3/2], [3/2], [-3/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[234]], [ -13 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[1/2], [-3/2], [1/2], [0]]], 1, 8, [], [] >,
< [ -1, 1 ], [[3042]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [-3/2], [0], [1/2]], [[0], [0], [13/2], [-1/2]]], 1, 112, [], [] >,
< [ -1, 1 ], [[1089]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [-5/2]], [[1/2], [-7/2], [-3/2], [-5/2]], [[1/2], [1/2], [-9/2], [7/2]]], 1, 80, [], [] >,
< [ -1, 1 ], [[882]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[1/2], [1/2], [21/2], [1/2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[441]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [0]], [[0], [0], [0], [3]], [[1/2], [-1/2], [-7/2], [1/2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[882]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [9/2], [3/2], [-1/2]], [[0], [3], [-6], [2]], [[0], [0], [0], [7]]], 1, 24, [], [] >,
< [ -1, 1 ], [[7938]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [9/2], [3/2], [-15/2]], [[0], [9], [3], [6]], [[0], [9], [-18], [6]]], 0, 288, [], [] >,
< [ -1, 1 ], [[6174]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [3], [0], [1]], [[1/2], [-3/2], [21/2], [-1/2]]], 1, 224, [], [] >,
< [ -1, 1 ], [[2025]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [15/4], [-3/2], [3/4]], [[1/2], [0], [9/2], [-3/2]]], 0, 144, [], [] >,
< [ -1, 1 ], [[225]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/4], [1/2], [-3/4]], [[1/2], [5/4], [-1], [3/4]], [[1/2], [0], [-3/2], [-3/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[12150]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [3/2], [9/2]], [[1/2], [15/2], [-3/2], [3/2]]], 0, 432, [], [] >,
< [ -1, 1 ], [[450]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3/2], [-1/2]], [[1/2], [-5/2], [0], [0]]], 1, 16, [], [] >,
< [ -1, 1 ], [[225]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [-1]], [[0], [2], [0], [-1]], [[0], [1], [15/2], [-1/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[450]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [1/2], [-5/2]], [[1/2], [-5/2], [-5/2], [-5/2]], [[0], [2], [-4], [5]]], 1, 16, [], [] >,
< [ -1, 1 ], [[2250]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [-5/2], [0], [0]], [[0], [0], [15/2], [-1/2]]], 1, 80, [], [] >,
< [ -1, 1 ], [[2250]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [0], [0]], [[0], [0], [3/2], [5/2]], [[0], [0], [3/2], [-5/2]]], 1, 80, [], [] >,
< [ -1, 1 ], [[1125]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [1]], [[1/2], [-1/2], [0], [4]], [[1/2], [-3/2], [-15/2], [-1/2]]], 1, 80, [], [] >,
< [ -1, 1 ], [[2250]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [9/2], [15/2]], [[1/2], [3/2], [9/2], [-15/2]], [[0], [8], [-1], [5]]], 1, 80, [], [] >,
< [ -1, 1 ], [[27]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [-1]], [[0], [1], [0], [1]], [[1/2], [-1/2], [-3/2], [-1/2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[54]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [3/2], [3/2]], [[1/2], [1/2], [3/2], [-3/2]]], 1, 6, [], [] >,
< [ -1, 1 ], [[54]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [1]], [[1/2], [1/2], [3/2], [1/2]], [[0], [2], [-3/2], [1/2]]], 1, 6, [], [] >,
< [ -1, 1 ], [[54]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [1/2], [1/2]], [[0], [3], [0], [3]], [[0], [0], [3], [-3]]], 1, 6, [], [] >,
< [ -1, 1 ], [[54]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [1]], [[0], [1], [-1], [2]], [[1/2], [3/2], [-3/2], [-3/2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[270]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [-1]], [[0], [1], [0], [1]], [[1/2], [-1/2], [-3/2], [-1/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[135]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [3/2], [3/2]], [[1/2], [-1/2], [-3/2], [3/2]], [[1/2], [-5/2], [0], [0]]], 1, 12, [], [] >,
< [ -1, 1 ], [[270]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [-5/2], [-5/2]], [[1/2], [-7/2], [-1/2], [5/2]], [[1/2], [-3/2], [-9/2], [3/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[270]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[1/2], [-5/2], [-5/2], [1/2]], [[0], [2], [-4], [-7]]], 1, 12, [], [] >,
< [ -1, 1 ], [[378]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[1/2], [1/2], [-3/2], [-1/2]], [[0], [2], [0], [1]]], 1, 12, [], [] >,
< [ -1, 1 ], [[378]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [-3/2], [3/2]], [[1/2], [1/2], [-3/2], [-3/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[189]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [1], [-1]], [[0], [2], [1/2], [-1/2]], [[0], [0], [3/2], [3/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[189]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[0], [0], [3/2], [3/2]], [[0], [3], [-3/2], [3/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[297]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [3/2], [3/2]], [[1/2], [-3/2], [3/2], [-3/2]], [[0], [4], [3/2], [-3/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[702]], [ -13 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[1/2], [-3/2], [1], [-1/2]], [[1/2], [-3/2], [-1/2], [1]]], 1, 24, [], [] >,
< [ -1, 1 ], [[9126]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [3/2]], [[1/2], [-3/2], [0], [-3/2]], [[0], [0], [13/2], [1/2]]], 1, 336, [], [] >,
< [ -1, 1 ], [[3267]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-11/2], [0], [0]], [[1/2], [-3/2], [-3], [6]], [[0], [1], [15/2], [3/2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[2646]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [2], [0], [1]], [[1/2], [1/2], [21/2], [-1/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2646]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [3]], [[1/2], [1/2], [21/2], [3/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1323]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-3]], [[0], [2], [7/2], [-1/2]], [[0], [3], [0], [3]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1323]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [3]], [[0], [1], [-7/2], [1/2]], [[0], [3], [0], [3]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1350]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3/2], [-3/2]], [[1/2], [-5/2], [0], [-1]]], 1, 48, [], [] >,
< [ -1, 1 ], [[675]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-2]], [[0], [3], [0], [1]], [[1/2], [-3/2], [-15/2], [-1/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1350]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[1/2], [11/2], [-7/2], [5/2]], [[1/2], [-9/2], [3/2], [15/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1350]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [1/2], [-5/2]], [[1/2], [-5/2], [-5/2], [-5/2]], [[0], [7], [-14], [10]]], 1, 48, [], [] >,
< [ -1, 1 ], [[6750]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [0], [-1]], [[0], [0], [0], [3]], [[0], [0], [15/2], [3/2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[6750]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[1/2], [-5/2], [-3/2], [5/2]], [[1/2], [-5/2], [0], [-5]]], 1, 240, [], [] >,
< [ -1, 1 ], [[6750]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [9/2], [15/2]], [[0], [5], [-10], [5]], [[0], [16], [-2], [-5]]], 1, 240, [], [] >,
< [ -1, 1 ], [[6750]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [9/2], [15/2]], [[1/2], [19/2], [7/2], [-5/2]], [[1/2], [23/2], [-31/2], [5/2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[81]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [0]], [[1/2], [1/2], [-3/2], [1/2]], [[1/2], [-1/2], [3/2], [5/2]]], 1, 6, [], [] >,
< [ -1, 1 ], [[162]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[1/2], [3/2], [-3/2], [-3/2]], [[0], [4], [-1], [5]]], 1, 6, [], [] >,
< [ -1, 1 ], [[810]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [0]], [[1/2], [1/2], [-3/2], [1/2]], [[1/2], [-1/2], [3/2], [5/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[4050]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [3/2], [-1/2]], [[0], [0], [0], [3]], [[1/2], [-5/2], [3], [-1]]], 1, 144, [], [] >,
< [ -1, 1 ], [[4]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]]], 1, 1, [], [[[2]]] >,
< [ -1, 1 ], [[8]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[1/2], [3/2], [-1/2], [1/2]], [[1/2], [-1/2], [-1/2], [-3/2]]], 1, 1, [], [] >,
< [ -1, 1 ], [[32]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1], [1]], [[0], [1], [1], [-1]], [[0], [2], [-2], [0]]], 0, 2, [], [] >,
< [ -1, 1 ], [[12]], [ -3 ], [ -1 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]]], 1, 1, [], [] >,
< [ -1, 1 ], [[12]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[1/2], [-1/2], [1/2], [-1/2]], [[0], [0], [1], [1]]], 2, 1, [], [] >,
< [ -1, 1 ], [[48]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [2], [0], [0]]], 0, 2, [], [] >,
< [ -1, 1 ], [[48]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [-1]], [[0], [0], [2], [2]]], 0, 2, [], [] >,
< [ -1, 1 ], [[12]], [ -3 ], [ -1 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [-1]]], 1, 1, [], [] >,
< [ -1, 1 ], [[24]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[0], [0], [1], [1]], [[1/2], [-3/2], [1/2], [-1/2]]], 2, 2, [], [] >,
< [ -1, 1 ], [[96]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [1], [-1], [1]], [[0], [3], [1], [-1]]], 0, 4, [], [] >,
< [ -1, 1 ], [[12]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1], [0]], [[0], [0], [1], [-1]], [[0], [1], [-1], [-1]]], 1, 1, [], [] >,
< [ -1, 1 ], [[80]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1/2], [1], [1/2]], [[0], [1/2], [-1], [1/2]], [[0], [1], [0], [-1]]], 0, 4, [], [] >,
< [ -1, 1 ], [[80]], [ -2 ], [ -5 ], [[[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [1/2], [-1], [1/2]], [[0], [3/2], [1], [3/2]]], 0, 4, [], [] >,
< [ -1, 1 ], [[20]], [ -2 ], [ -5 ], [[[1/2], [1/4], [0], [-1/4]], [[1/2], [-1/4], [0], [1/4]], [[0], [1/2], [1], [1/2]], [[0], [1/2], [-1], [1/2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[20]], [ -2 ], [ -5 ], [[[0], [1/2], [0], [-1/2]], [[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[0], [1/2], [1], [1/2]]], 2, 2, [], [] >,
< [ -1, 1 ], [[20]], [ -2 ], [ -5 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [0], [1], [0]]], 1, 1, [], [] >,
< [ -1, 1 ], [[60]], [ -3 ], [ -10 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[0], [1], [0], [0]]], 1, 2, [], [] >,
< [ -1, 1 ], [[40]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [1/2], [-3/2]], [[0], [2], [0], [0]], [[0], [1], [3], [1]]], 1, 2, [], [] >,
< [ -1, 1 ], [[20]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [1], [2]]], 1, 3, [], [] >,
< [ -1, 1 ], [[60]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1], [1]], [[1/2], [1/2], [-1], [1]], [[0], [2], [-1], [-1]]], 1, 2, [], [] >,
< [ -1, 1 ], [[240]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [2], [-1], [-1]], [[0], [2], [0], [4]]], 0, 12, [], [] >,
< [ -1, 1 ], [[60]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [0]], [[0], [1], [-2], [1]], [[0], [1], [-2], [-2]]], 1, 6, [], [] >,
< [ -1, 1 ], [[112]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [2], [0], [0]]], 0, 6, [], [] >,
< [ -1, 1 ], [[28]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [1], [0]], [[1/2], [1/2], [0], [-1]]], 1, 1, [], [] >,
< [ -1, 1 ], [[168]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [-1/2], [1/2]], [[1/2], [1/2], [3/2], [1/2]], [[1/2], [-3/2], [-1/2], [1/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[84]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]]], 1, 6, [], [] >,
< [ -1, 1 ], [[336]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [2], [-1], [1]], [[0], [2], [2], [-2]]], 0, 24, [], [] >,
< [ -1, 1 ], [[84]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1], [0]], [[1/2], [1/2], [0], [-1]], [[0], [2], [-1], [1]]], 1, 4, [], [] >,
< [ -1, 1 ], [[140]], [ -2 ], [ -35 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [0], [1], [0]]], 1, 6, [], [] >,
< [ -1, 1 ], [[28]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [2], [1], [0]], [[0], [1], [0], [2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[44]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [1], [-2], [-1]], [[0], [3], [1], [1]]], 1, 3, [], [] >,
< [ -1, 1 ], [[132]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [1]], [[1/2], [1/2], [2], [0]], [[1/2], [-3/2], [1], [3]]], 1, 4, [], [] >,
< [ -1, 1 ], [[528]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [2]], [[0], [2], [3], [1]], [[0], [2], [1], [-3]]], 0, 24, [], [] >,
< [ -1, 1 ], [[52]], [ -2 ], [ -13 ], [[[0], [1/2], [0], [-1/2]], [[1/2], [3/4], [0], [1/4]], [[1/2], [-3/4], [0], [-1/4]], [[1/2], [1/4], [-1], [-1/4]]], 1, 2, [], [] >,
< [ -1, 1 ], [[208]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [1/2], [1], [1/2]], [[0], [1/2], [-1], [1/2]], [[0], [1], [0], [-1]]], 0, 12, [], [] >,
< [ -1, 1 ], [[156]], [ -13 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[0], [1], [0], [0]]], 1, 6, [], [] >,
< [ -1, 1 ], [[92]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [-3], [0]], [[0], [1], [2], [-3]]], 1, 6, [], [] >,
< [ -1, 1 ], [[2116]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [1], [-6]], [[0], [2], [-7], [-4]], [[0], [9], [3], [5]]], 1, 132, [], [] >,
< [ -1, 1 ], [[676]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[1/2], [13/4], [0], [-1/4]]], 1, 28, [], [] >,
< [ -1, 1 ], [[2704]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [13/2], [-1], [1/2]]], 0, 168, [], [] >,
< [ -1, 1 ], [[2028]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [13/2], [-1/2]]], 1, 84, [], [] >,
< [ -1, 1 ], [[484]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [1], [1]], [[0], [2], [-3], [-3]], [[0], [1], [4], [-7]]], 1, 30, [], [] >,
< [ -1, 1 ], [[1452]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [-4]], [[1/2], [11/2], [0], [0]], [[0], [3], [-5], [-1]]], 1, 40, [], [] >,
< [ -1, 1 ], [[5808]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [-5]], [[0], [2], [-7], [3]], [[0], [8], [5], [1]]], 0, 240, [], [] >,
< [ -1, 1 ], [[784]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [7], [-1]]], 0, 48, [], [] >,
< [ -1, 1 ], [[196]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [0], [1]], [[1/2], [1/2], [7], [0]]], 1, 8, [], [] >,
< [ -1, 1 ], [[588]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [7], [0]]], 1, 24, [], [] >,
< [ -1, 1 ], [[1176]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[1/2], [-1/2], [-7/2], [-1/2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[588]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [1]], [[1/2], [-5/2], [0], [-1]], [[1/2], [-1/2], [-7], [0]]], 1, 32, [], [] >,
< [ -1, 1 ], [[2352]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-4]], [[0], [0], [7], [1]]], 0, 192, [], [] >,
< [ -1, 1 ], [[980]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [7/2], [0], [-1/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[196]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [1], [-2], [3]], [[0], [1], [-2], [-4]]], 1, 12, [], [] >,
< [ -1, 1 ], [[4116]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [3], [0], [1]], [[0], [0], [7], [0]]], 1, 168, [], [] >,
< [ -1, 1 ], [[1372]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [-4]], [[0], [5], [-3], [1]], [[0], [9], [10], [-1]]], 1, 84, [], [] >,
< [ -1, 1 ], [[1372]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [3]], [[0], [4], [6], [5]], [[0], [11], [-1], [-2]]], 1, 84, [], [] >,
< [ -1, 1 ], [[100]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[1/2], [5/4], [1], [-1/4]]], 1, 4, [], [] >,
< [ -1, 1 ], [[100]], [ -2 ], [ -5 ], [[[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[0], [0], [1], [1]], [[0], [5/2], [0], [-1/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [5/2], [1], [1/2]]], 0, 24, [], [] >,
< [ -1, 1 ], [[400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [5/2], [-1], [1/2]], [[0], [0], [2], [-2]]], 0, 24, [], [] >,
< [ -1, 1 ], [[100]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [5/2], [0], [1/2]]], 1, 6, [], [] >,
< [ -1, 1 ], [[300]], [ -3 ], [ -10 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[0], [5], [0], [0]]], 1, 12, [], [] >,
< [ -1, 1 ], [[100]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [1], [2]], [[0], [5], [0], [0]]], 1, 6, [], [] >,
< [ -1, 1 ], [[200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [-3/2], [-1/2]], [[1/2], [5/2], [5/2], [-5/2]], [[1/2], [5/2], [1/2], [7/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[1200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-2]], [[0], [2], [0], [4]], [[0], [2], [5], [-1]]], 0, 48, [], [] >,
< [ -1, 1 ], [[300]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[1/2], [3/2], [0], [-2]], [[1/2], [-1/2], [5], [-1]]], 1, 8, [], [] >,
< [ -1, 1 ], [[300]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [0]], [[0], [1], [-2], [-5]], [[0], [2], [-4], [5]]], 1, 24, [], [] >,
< [ -1, 1 ], [[700]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [5/2], [0], [-1/2]]], 1, 36, [], [] >,
< [ -1, 1 ], [[4900]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [35/2], [0], [-1/2]]], 1, 288, [], [] >,
< [ -1, 1 ], [[500]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [-5/4], [0], [5/4]], [[1/2], [5/4], [-1], [7/4]], [[0], [0], [3], [1]]], 1, 20, [], [] >,
< [ -1, 1 ], [[2000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/2], [-1], [1/2]], [[0], [5/2], [3], [-3/2]], [[0], [0], [2], [4]]], 0, 120, [], [] >,
< [ -1, 1 ], [[500]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[1/2], [5/4], [-1], [-1/4]], [[1/2], [15/4], [3], [13/4]]], 1, 20, [], [] >,
< [ -1, 1 ], [[2000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [5/2], [-1], [-3/2]], [[0], [5/2], [3], [9/2]]], 0, 120, [], [] >,
< [ -1, 1 ], [[1500]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [5/2], [1/2]], [[0], [5], [0], [0]]], 1, 60, [], [] >,
< [ -1, 1 ], [[1500]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [1/2], [-5/2]], [[0], [5], [0], [0]]], 1, 60, [], [] >,
< [ -1, 1 ], [[500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-3]], [[0], [5], [0], [0]], [[0], [0], [8], [1]]], 1, 30, [], [] >,
< [ -1, 1 ], [[500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [5], [0], [0]], [[0], [0], [5], [10]]], 1, 30, [], [] >,
< [ -1, 1 ], [[1000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[1/2], [-5/2], [-7/2], [-9/2]], [[1/2], [15/2], [-7/2], [-9/2]]], 1, 40, [], [] >,
< [ -1, 1 ], [[1500]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [4]], [[0], [3], [5], [1]], [[0], [3], [-5], [1]]], 1, 40, [], [] >,
< [ -1, 1 ], [[6000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [2]], [[0], [4], [5], [-7]], [[0], [4], [-5], [-7]]], 0, 240, [], [] >,
< [ -1, 1 ], [[1500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3], [5]], [[0], [7], [-4], [0]], [[0], [2], [6], [-5]]], 1, 120, [], [] >,
< [ -1, 1 ], [[36]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [3]]], 1, 3, [], [] >,
< [ -1, 1 ], [[72]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[1/2], [3/2], [1/2], [-3/2]], [[0], [3], [-1], [3]]], 1, 2, [], [] >,
< [ -1, 1 ], [[36]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [1], [0], [2]], [[0], [0], [3], [0]]], 1, 3, [], [] >,
< [ -1, 1 ], [[324]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [9]]], 0, 18, [], [] >,
< [ -1, 1 ], [[648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [9/2]], [[0], [6], [0], [0]], [[0], [0], [6], [0]]], 0, 24, [], [] >,
< [ -1, 1 ], [[324]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [3], [0], [-3]], [[0], [6], [0], [3]]], 0, 18, [], [] >,
< [ -1, 1 ], [[972]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[1/2], [3/2], [3], [3]], [[1/2], [-9/2], [0], [0]]], 0, 36, [], [] >,
< [ -1, 1 ], [[3888]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [6], [3], [3]], [[0], [6], [-6], [-6]]], 0, 216, [], [] >,
< [ -1, 1 ], [[144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [1]]], 0, 8, [], [] >,
< [ -1, 1 ], [[144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [3], [-1]], [[0], [0], [0], [4]]], 0, 8, [], [] >,
< [ -1, 1 ], [[36]], [ -3 ], [ -1 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [1]]], 1, 4, [], [] >,
< [ -1, 1 ], [[36]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [3/2], [-1/2]], [[0], [0], [0], [2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[288]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [1], [3], [1]], [[0], [3], [0], [2]]], 0, 16, [], [] >,
< [ -1, 1 ], [[36]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [3/2], [-1/2]], [[0], [0], [0], [2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[72]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [3/2], [1/2]], [[0], [2], [0], [0]], [[0], [1], [0], [2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[972]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [3], [-3], [-3]], [[0], [3], [9], [-6]]], 0, 54, [], [] >,
< [ -1, 1 ], [[36]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [2], [1], [1]], [[0], [1], [-1], [2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[180]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [3/4], [0], [-3/4]], [[1/2], [-1/4], [1], [-3/4]], [[1/2], [-7/4], [-2], [-9/4]]], 1, 4, [], [] >,
< [ -1, 1 ], [[720]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1/2], [1], [-3/2]], [[0], [2], [-2], [0]], [[0], [3/2], [3], [3/2]]], 0, 24, [], [] >,
< [ -1, 1 ], [[6480]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[0], [3/2], [3], [-9/2]], [[0], [15/2], [-3], [3/2]]], 0, 288, [], [] >,
< [ -1, 1 ], [[1620]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [-9/4], [0], [9/4]], [[0], [3/2], [3], [3/2]], [[1/2], [-3/4], [3], [-9/4]]], 0, 48, [], [] >,
< [ -1, 1 ], [[180]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3/2], [1/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[4860]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [3], [3/2], [3/2]], [[0], [3], [-3], [-3]]], 0, 216, [], [] >,
< [ -1, 1 ], [[180]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[1/2], [5/2], [0], [0]], [[1/2], [1/2], [-3], [1]]], 1, 8, [], [] >,
< [ -1, 1 ], [[720]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [-1]], [[0], [2], [0], [4]]], 0, 48, [], [] >,
< [ -1, 1 ], [[180]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [0], [0], [3]], [[0], [6], [3], [0]]], 1, 12, [], [] >,
< [ -1, 1 ], [[504]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-3/2], [-1/2]], [[0], [2], [0], [0]], [[0], [0], [0], [2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[252]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3], [0]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1008]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [1]], [[0], [2], [2], [-2]], [[0], [0], [3], [3]]], 0, 48, [], [] >,
< [ -1, 1 ], [[252]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[1/2], [1/2], [2], [1]], [[0], [2], [-1], [1]]], 1, 8, [], [] >,
< [ -1, 1 ], [[2268]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [3], [-9], [0]], [[0], [0], [3], [9]]], 0, 144, [], [] >,
< [ -1, 1 ], [[252]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [3]], [[0], [3], [-2], [0]], [[0], [3], [4], [-3]]], 1, 12, [], [] >,
< [ -1, 1 ], [[396]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [3], [-1]], [[1/2], [-5/2], [0], [-2]], [[0], [3], [0], [-2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[1584]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [1]], [[0], [0], [3], [-5]], [[0], [4], [-3], [-5]]], 0, 96, [], [] >,
< [ -1, 1 ], [[468]], [ -13 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[0], [3], [0], [0]]], 1, 24, [], [] >,
< [ -1, 1 ], [[6084]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3], [0], [0]], [[0], [0], [13/2], [-1/2]]], 1, 336, [], [] >,
< [ -1, 1 ], [[4356]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-11/2], [0], [0]], [[1/2], [-3/2], [-3], [-5]], [[0], [1], [-9], [7]]], 1, 160, [], [] >,
< [ -1, 1 ], [[17424]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [-5]], [[0], [6], [12], [-2]], [[0], [8], [-6], [12]]], 0, 960, [], [] >,
< [ -1, 1 ], [[1764]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [21], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[3528]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[1/2], [-1/2], [21/2], [-1/2]]], 1, 128, [], [] >,
< [ -1, 1 ], [[1764]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[1/2], [3/2], [0], [3]], [[0], [1], [7], [-1]]], 1, 64, [], [] >,
< [ -1, 1 ], [[7056]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [0], [6]], [[0], [2], [-7], [1]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1764]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [2]], [[0], [0], [0], [7]], [[0], [9], [3], [-1]]], 1, 72, [], [] >,
< [ -1, 1 ], [[15876]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [9], [3], [6]], [[0], [9], [3], [-15]], [[0], [9], [-18], [6]]], 0, 864, [], [] >,
< [ -1, 1 ], [[12348]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [3], [0], [1]], [[0], [0], [21], [0]]], 1, 672, [], [] >,
< [ -1, 1 ], [[8100]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [15/4], [3], [-3/4]], [[0], [0], [0], [6]], [[1/2], [-15/4], [6], [-9/4]]], 0, 288, [], [] >,
< [ -1, 1 ], [[32400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [15/2], [-3], [3/2]], [[0], [15/2], [15], [3/2]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[3600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/2], [1], [-3/2]], [[0], [5/2], [1], [9/2]], [[0], [5/2], [-5], [-3/2]]], 0, 144, [], [] >,
< [ -1, 1 ], [[900]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [-5/4], [-2], [-3/4]], [[1/2], [5/4], [-1], [-9/4]], [[0], [5/2], [-2], [3/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[24300]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [3/2], [9/2]], [[0], [15], [-3/2], [-3/2]]], 0, 1296, [], [] >,
< [ -1, 1 ], [[900]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3/2], [-1/2]], [[0], [5], [0], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[3600]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-2]], [[0], [2], [0], [4]], [[0], [2], [15], [-1]]], 0, 192, [], [] >,
< [ -1, 1 ], [[900]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[1/2], [3/2], [0], [-2]], [[1/2], [-1/2], [-15], [-1]]], 1, 32, [], [] >,
< [ -1, 1 ], [[900]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[0], [6], [3], [0]], [[0], [2], [-4], [5]]], 1, 48, [], [] >,
< [ -1, 1 ], [[4500]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [5], [0], [0]], [[0], [0], [15/2], [-1/2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[4500]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [5/2]], [[0], [0], [3/2], [-5/2]], [[0], [5], [0], [0]]], 1, 240, [], [] >,
< [ -1, 1 ], [[4500]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [4]], [[0], [6], [0], [2]], [[0], [3], [15], [1]]], 1, 160, [], [] >,
< [ -1, 1 ], [[18000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [2]], [[0], [2], [0], [-16]], [[0], [4], [15], [-7]]], 0, 960, [], [] >,
< [ -1, 1 ], [[4500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-1], [5]], [[0], [3], [9], [0]], [[0], [8], [-1], [-10]]], 1, 240, [], [] >,
< [ -1, 1 ], [[432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [3], [-1]], [[0], [2], [-3], [-1]]], 0, 24, [], [] >,
< [ -1, 1 ], [[432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [2], [0], [2]], [[0], [0], [6], [0]]], 0, 24, [], [] >,
< [ -1, 1 ], [[108]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [0]], [[1/2], [-1/2], [0], [-2]], [[1/2], [-1/2], [3], [1]]], 1, 4, [], [] >,
< [ -1, 1 ], [[108]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [-1]], [[1/2], [5/2], [0], [1]], [[0], [1], [3], [1]]], 1, 12, [], [] >,
< [ -1, 1 ], [[864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [3], [3]], [[0], [1], [-3], [3]]], 0, 48, [], [] >,
< [ -1, 1 ], [[216]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[1/2], [-1/2], [3], [0]], [[1/2], [-1/2], [0], [-3]]], 1, 24, [], [] >,
< [ -1, 1 ], [[108]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3], [-3]]], 1, 6, [], [] >,
< [ -1, 1 ], [[108]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [0], [3/2], [3/2]], [[0], [2], [-3/2], [1/2]]], 1, 6, [], [] >,
< [ -1, 1 ], [[108]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [3], [0], [3]], [[0], [0], [3], [-3]]], 1, 6, [], [] >,
< [ -1, 1 ], [[108]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [1]], [[0], [1], [-1], [2]], [[0], [3], [-3], [-3]]], 1, 6, [], [] >,
< [ -1, 1 ], [[540]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-3/2], [-1/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[540]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [0], [0]], [[0], [1], [3], [-3]], [[0], [1], [-3], [-3]]], 1, 24, [], [] >,
< [ -1, 1 ], [[2160]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [3], [3]], [[0], [0], [6], [0]], [[0], [2], [0], [-6]]], 0, 144, [], [] >,
< [ -1, 1 ], [[540]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-1]], [[0], [1], [-2], [4]], [[0], [6], [3], [0]]], 1, 36, [], [] >,
< [ -1, 1 ], [[540]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [6], [3], [0]], [[0], [2], [-4], [-7]]], 1, 36, [], [] >,
< [ -1, 1 ], [[756]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [2], [0], [1]], [[0], [0], [3], [0]]], 1, 36, [], [] >,
< [ -1, 1 ], [[1512]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[1/2], [-1/2], [-3/2], [3/2]], [[0], [1], [-3], [-3]]], 1, 48, [], [] >,
< [ -1, 1 ], [[756]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [3]]], 1, 36, [], [] >,
< [ -1, 1 ], [[756]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [2]], [[1/2], [3/2], [3], [0]], [[1/2], [-5/2], [2], [1]]], 1, 24, [], [] >,
< [ -1, 1 ], [[3024]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [1], [-1]], [[0], [0], [3], [3]], [[0], [2], [-4], [4]]], 0, 144, [], [] >,
< [ -1, 1 ], [[756]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[1/2], [1/2], [2], [1]], [[0], [6], [-3], [3]]], 1, 24, [], [] >,
< [ -1, 1 ], [[3024]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [2], [-2]], [[0], [0], [3], [3]], [[0], [6], [-3], [3]]], 0, 144, [], [] >,
< [ -1, 1 ], [[1188]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3], [-3]], [[1/2], [5/2], [3], [-3]], [[0], [3], [-3], [3]]], 1, 48, [], [] >,
< [ -1, 1 ], [[4752]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [6]], [[0], [4], [-6], [0]], [[0], [8], [3], [-3]]], 0, 288, [], [] >,
< [ -1, 1 ], [[1404]], [ -13 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [3], [0], [0]]], 1, 72, [], [] >,
< [ -1, 1 ], [[18252]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [13/2], [1/2]]], 1, 1008, [], [] >,
< [ -1, 1 ], [[13068]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-11/2], [0], [0]], [[1/2], [5/2], [-6], [12]], [[0], [2], [15], [3]]], 1, 480, [], [] >,
< [ -1, 1 ], [[52272]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [15], [3]], [[0], [8], [-6], [12]], [[0], [14], [6], [-12]]], 0, 2880, [], [] >,
< [ -1, 1 ], [[5292]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [2], [0], [1]], [[0], [0], [21], [0]]], 1, 288, [], [] >,
< [ -1, 1 ], [[5292]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [21], [0]]], 1, 288, [], [] >,
< [ -1, 1 ], [[10584]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [6]], [[1/2], [-1/2], [21/2], [-3/2]]], 1, 384, [], [] >,
< [ -1, 1 ], [[5292]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-3]], [[1/2], [-5/2], [-7], [-2]], [[1/2], [15/2], [0], [3]]], 1, 192, [], [] >,
< [ -1, 1 ], [[21168]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [7], [-1]], [[0], [6], [0], [6]], [[0], [8], [-7], [-5]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[5292]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [3]], [[0], [2], [-7], [1]], [[1/2], [-15/2], [0], [-3]]], 1, 192, [], [] >,
< [ -1, 1 ], [[21168]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-7], [1]], [[0], [6], [0], [6]], [[0], [12], [0], [-6]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[2700]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3/2], [-3/2]], [[0], [5], [0], [-1]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2700]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-2]], [[1/2], [-9/2], [0], [-4]], [[0], [3], [15], [1]]], 1, 96, [], [] >,
< [ -1, 1 ], [[10800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [2]], [[0], [6], [0], [-8]], [[0], [0], [15], [5]]], 0, 576, [], [] >,
< [ -1, 1 ], [[2700]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [4], [-8], [-5]], [[0], [1], [-2], [10]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2700]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[0], [6], [3], [0]], [[0], [7], [-14], [10]]], 1, 144, [], [] >,
< [ -1, 1 ], [[13500]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [5], [0], [-1]], [[0], [0], [15/2], [3/2]]], 1, 720, [], [] >,
< [ -1, 1 ], [[13500]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [5], [3/2], [5/2]], [[0], [5], [0], [-5]]], 1, 720, [], [] >,
< [ -1, 1 ], [[13500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-10], [5]], [[0], [16], [-2], [-5]], [[0], [3], [9], [15]]], 1, 720, [], [] >,
< [ -1, 1 ], [[13500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-1], [-10]], [[0], [11], [8], [5]], [[0], [13], [-11], [10]]], 1, 720, [], [] >,
< [ -1, 1 ], [[324]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [0]], [[1/2], [-1/2], [-3], [1]], [[1/2], [-1/2], [-3], [-5]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [4], [-3], [1]], [[0], [0], [0], [6]]], 0, 72, [], [] >,
< [ -1, 1 ], [[324]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [3], [-3], [-3]], [[0], [4], [-1], [5]]], 1, 18, [], [] >,
< [ -1, 1 ], [[1620]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [2], [-3/2], [1/2]], [[0], [0], [0], [3]]], 1, 72, [], [] >,
< [ -1, 1 ], [[8100]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [9/2], [-3/2]], [[0], [5], [-3/2], [1/2]]], 1, 432, [], [] >,
< [ -1, 1 ], [[8]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]]], 1, 1, [], [] >,
< [ -1, 1 ], [[64]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]]], 0, 4, [], [] >,
< [ -1, 1 ], [[64]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [4]]], 0, 4, [], [] >,
< [ -1, 1 ], [[512]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [2], [2]], [[0], [4], [-4], [0]], [[0], [2], [2], [-6]]], 0, 32, [], [] >,
< [ -1, 1 ], [[768]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [8], [0], [0]]], 0, 32, [], [] >,
< [ -1, 1 ], [[768]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [4], [2], [2]]], 0, 32, [], [] >,
< [ -1, 1 ], [[24]], [ -3 ], [ -1 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[0], [1], [-1], [1]]], 1, 2, [], [] >,
< [ -1, 1 ], [[192]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [1]], [[0], [2], [-1], [-1]], [[0], [0], [2], [-2]]], 0, 8, [], [] >,
< [ -1, 1 ], [[192]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [3], [-1]]], 0, 8, [], [] >,
< [ -1, 1 ], [[192]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [2], [0], [0]], [[0], [0], [4], [-4]]], 0, 8, [], [] >,
< [ -1, 1 ], [[1536]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [0]], [[0], [2], [0], [4]], [[0], [6], [2], [-2]]], 0, 64, [], [] >,
< [ -1, 1 ], [[24]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [-1], [-1]], [[0], [1], [2], [-1]]], 1, 2, [], [] >,
< [ -1, 1 ], [[192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [2], [0]], [[0], [0], [2], [-2]], [[0], [4], [-4], [-4]]], 0, 16, [], [] >,
< [ -1, 1 ], [[192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [0], [-2]], [[0], [0], [4], [2]]], 0, 16, [], [] >,
< [ -1, 1 ], [[1280]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [3], [2], [-1]], [[0], [3], [-2], [-1]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1280]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [2], [1]], [[0], [1], [-2], [1]], [[0], [4], [0], [-4]]], 0, 64, [], [] >,
< [ -1, 1 ], [[320]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [1], [2], [-1]]], 0, 16, [], [] >,
< [ -1, 1 ], [[320]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [4], [0]]], 0, 16, [], [] >,
< [ -1, 1 ], [[320]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [0], [2], [0]], [[0], [2], [0], [-2]]], 0, 16, [], [] >,
< [ -1, 1 ], [[40]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]]], 1, 2, [], [] >,
< [ -1, 1 ], [[960]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [4], [0], [0]]], 0, 32, [], [] >,
< [ -1, 1 ], [[960]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [2], [1], [-1]]], 0, 32, [], [] >,
< [ -1, 1 ], [[120]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]]], 1, 4, [], [] >,
< [ -1, 1 ], [[320]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [2], [4]], [[0], [2], [-4], [2]]], 0, 24, [], [] >,
< [ -1, 1 ], [[3840]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [8], [0], [-4]], [[0], [8], [-2], [6]]], 0, 192, [], [] >,
< [ -1, 1 ], [[960]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [6], [-2], [-4]], [[0], [2], [6], [4]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1792]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [4], [2], [2]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1344]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]]], 0, 48, [], [] >,
< [ -1, 1 ], [[5376]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [2]], [[0], [0], [4], [4]], [[0], [4], [6], [-2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[2240]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [4], [0]]], 0, 96, [], [] >,
< [ -1, 1 ], [[56]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [0], [2], [-1]], [[0], [3], [1], [2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[448]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [2]], [[0], [2], [4], [2]], [[0], [2], [2], [-4]]], 0, 32, [], [] >,
< [ -1, 1 ], [[448]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [0]], [[0], [0], [4], [-2]], [[0], [0], [2], [6]]], 0, 32, [], [] >,
< [ -1, 1 ], [[704]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [2], [-4], [-2]], [[0], [12], [4], [4]]], 0, 48, [], [] >,
< [ -1, 1 ], [[8448]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-2], [-2]], [[0], [0], [4], [8]], [[0], [0], [10], [-2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[3328]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [1], [2], [1]], [[0], [1], [-2], [1]], [[0], [4], [0], [-4]]], 0, 192, [], [] >,
< [ -1, 1 ], [[2496]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [2], [1], [1]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1472]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-6], [0]], [[0], [2], [4], [-6]], [[0], [8], [0], [4]]], 0, 96, [], [] >,
< [ -1, 1 ], [[33856]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [-12]], [[0], [22], [-8], [2]], [[0], [14], [20], [18]]], 0, 2112, [], [] >,
< [ -1, 1 ], [[43264]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [8]], [[0], [13], [-2], [-3]]], 0, 2688, [], [] >,
< [ -1, 1 ], [[32448]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [4], [0], [0]], [[0], [2], [13], [-1]]], 0, 1344, [], [] >,
< [ -1, 1 ], [[7744]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [-6]], [[0], [12], [4], [4]], [[0], [2], [8], [-14]]], 0, 480, [], [] >,
< [ -1, 1 ], [[92928]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [-10]], [[0], [16], [10], [2]], [[0], [0], [22], [-22]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[12544]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [8], [0], [0]], [[0], [4], [14], [-2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[9408]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [2], [14], [0]]], 0, 384, [], [] >,
< [ -1, 1 ], [[37632]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-4]], [[0], [8], [0], [8]], [[0], [4], [-14], [2]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[15680]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [7], [0], [1]]], 0, 768, [], [] >,
< [ -1, 1 ], [[3136]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [2], [-4], [6]], [[0], [6], [-12], [-10]]], 0, 192, [], [] >,
< [ -1, 1 ], [[3136]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [8], [-2], [-4]], [[0], [2], [10], [-8]]], 0, 192, [], [] >,
< [ -1, 1 ], [[392]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [1], [2]], [[0], [2], [-4], [-1]], [[0], [3], [1], [-5]]], 1, 24, [], [] >,
< [ -1, 1 ], [[65856]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [2]], [[0], [4], [0], [-8]], [[0], [2], [14], [-4]]], 0, 2688, [], [] >,
< [ -1, 1 ], [[21952]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-2], [10]], [[0], [12], [-10], [-6]], [[0], [18], [20], [-2]]], 0, 1344, [], [] >,
< [ -1, 1 ], [[21952]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [6]], [[0], [22], [-2], [-4]], [[0], [14], [28], [14]]], 0, 1344, [], [] >,
< [ -1, 1 ], [[6400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [5], [2], [1]], [[0], [0], [0], [8]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [-2], [1]], [[0], [5], [6], [1]]], 0, 384, [], [] >,
< [ -1, 1 ], [[200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [5], [0], [0]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [5], [2], [1]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [5], [0], [1]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [4]], [[0], [5], [0], [-1]]], 0, 96, [], [] >,
< [ -1, 1 ], [[4800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [20], [0], [0]]], 0, 192, [], [] >,
< [ -1, 1 ], [[4800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [10], [1], [1]]], 0, 192, [], [] >,
< [ -1, 1 ], [[600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [5], [0], [0]]], 1, 24, [], [] >,
< [ -1, 1 ], [[1600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [2], [-6]], [[0], [10], [4], [-2]]], 0, 96, [], [] >,
< [ -1, 1 ], [[19200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-4]], [[0], [8], [10], [6]], [[0], [8], [-10], [6]]], 0, 768, [], [] >,
< [ -1, 1 ], [[4800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [0]], [[0], [2], [-4], [-10]], [[0], [8], [-6], [10]]], 0, 384, [], [] >,
< [ -1, 1 ], [[11200]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [5], [0], [1]]], 0, 576, [], [] >,
< [ -1, 1 ], [[78400]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [35], [0], [-1]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[32000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [-2], [1]], [[0], [0], [4], [8]], [[0], [5], [14], [-7]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[32000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [-6], [1]], [[0], [5], [2], [-7]], [[0], [5], [6], [9]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[24000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [5], [1]], [[0], [20], [0], [0]]], 0, 960, [], [] >,
< [ -1, 1 ], [[24000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [1], [-5]], [[0], [20], [0], [0]]], 0, 960, [], [] >,
< [ -1, 1 ], [[8000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [10], [16], [2]], [[0], [10], [-16], [-2]]], 0, 480, [], [] >,
< [ -1, 1 ], [[8000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [8], [-4]], [[0], [10], [-4], [2]], [[0], [0], [14], [18]]], 0, 480, [], [] >,
< [ -1, 1 ], [[96000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [10], [-14]], [[0], [8], [-10], [-14]], [[0], [24], [0], [8]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[24000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-2], [10]], [[0], [6], [18], [0]], [[0], [18], [4], [-10]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[576]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [6], [-2], [0]], [[0], [0], [2], [6]]], 0, 24, [], [] >,
< [ -1, 1 ], [[576]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [2], [6], [4]], [[0], [2], [-6], [4]]], 0, 48, [], [] >,
< [ -1, 1 ], [[5184]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [6], [-6], [0]], [[0], [6], [0], [18]]], 0, 288, [], [] >,
< [ -1, 1 ], [[5184]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-6]], [[0], [0], [12], [0]], [[0], [12], [6], [6]]], 0, 288, [], [] >,
< [ -1, 1 ], [[62208]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-6]], [[0], [24], [-6], [-6]], [[0], [0], [18], [18]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[2304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [6], [2]], [[0], [8], [0], [0]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [0], [-4]], [[0], [0], [6], [-2]]], 0, 128, [], [] >,
< [ -1, 1 ], [[4608]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [4], [-6], [2]], [[0], [8], [6], [6]]], 0, 256, [], [] >,
< [ -1, 1 ], [[576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [1]], [[0], [4], [0], [0]], [[0], [0], [0], [4]]], 0, 32, [], [] >,
< [ -1, 1 ], [[576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [3], [-1]], [[0], [0], [3], [7]]], 0, 32, [], [] >,
< [ -1, 1 ], [[576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [3], [-5]]], 0, 32, [], [] >,
< [ -1, 1 ], [[72]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3/2], [1/2]], [[0], [2], [0], [0]], [[0], [1], [0], [2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[15552]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [12], [-12], [-12]], [[0], [6], [18], [-12]]], 0, 864, [], [] >,
< [ -1, 1 ], [[576]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [2]], [[0], [2], [-2], [4]], [[0], [4], [-4], [-4]]], 0, 32, [], [] >,
< [ -1, 1 ], [[576]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [4], [-4], [2]], [[0], [0], [0], [6]]], 0, 32, [], [] >,
< [ -1, 1 ], [[72]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [1], [2], [-1]], [[0], [3], [0], [3]]], 1, 4, [], [] >,
< [ -1, 1 ], [[11520]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [2], [-3]], [[0], [7], [2], [3]], [[0], [2], [-8], [-6]]], 0, 384, [], [] >,
< [ -1, 1 ], [[103680]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3], [6], [-9]], [[0], [6], [12], [6]], [[0], [15], [-6], [3]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[360]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [3/2], [-1/2]], [[0], [0], [0], [2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[2880]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [1]], [[0], [4], [0], [0]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2880]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [3], [-1]]], 0, 128, [], [] >,
< [ -1, 1 ], [[77760]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [12], [-3], [-3]], [[0], [0], [9], [9]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[11520]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-4]], [[0], [8], [6], [6]], [[0], [8], [-6], [6]]], 0, 768, [], [] >,
< [ -1, 1 ], [[2880]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [2], [-4], [-10]], [[0], [12], [6], [6]]], 0, 192, [], [] >,
< [ -1, 1 ], [[4032]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [2], [6], [0]]], 0, 192, [], [] >,
< [ -1, 1 ], [[16128]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [2]], [[0], [4], [10], [2]], [[0], [4], [-2], [-10]]], 0, 768, [], [] >,
< [ -1, 1 ], [[36288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-18], [0]], [[0], [0], [6], [18]], [[0], [24], [12], [0]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[4032]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [6]], [[0], [6], [8], [-6]], [[0], [12], [-8], [0]]], 0, 192, [], [] >,
< [ -1, 1 ], [[25344]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-10]], [[0], [8], [-6], [-10]], [[0], [8], [12], [4]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[7488]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [6], [1], [-1]]], 0, 384, [], [] >,
< [ -1, 1 ], [[97344]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [12], [0], [0]], [[0], [6], [13], [-1]]], 0, 5376, [], [] >,
< [ -1, 1 ], [[278784]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [-10]], [[0], [16], [-12], [24]], [[0], [24], [48], [-8]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[28224]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [2], [42], [0]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[112896]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [4], [-14], [2]], [[0], [24], [0], [0]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[28224]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-12], [-10]], [[0], [18], [6], [12]], [[0], [6], [-12], [18]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[254016]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [6], [12]], [[0], [36], [-30], [-18]], [[0], [0], [42], [-42]]], 0, 13824, [], [] >,
< [ -1, 1 ], [[197568]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [2]], [[0], [4], [0], [-8]], [[0], [2], [42], [-4]]], 0, 10752, [], [] >,
< [ -1, 1 ], [[518400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15], [-6], [3]], [[0], [0], [0], [24]], [[0], [15], [30], [3]]], 0, 27648, [], [] >,
< [ -1, 1 ], [[57600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [2], [9]], [[0], [0], [12], [0]], [[0], [10], [4], [-6]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[388800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [3], [9]], [[0], [60], [-3], [3]]], 0, 20736, [], [] >,
< [ -1, 1 ], [[14400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [-1]], [[0], [20], [0], [0]]], 0, 768, [], [] >,
< [ -1, 1 ], [[14400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [0], [4]], [[0], [10], [0], [2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[1800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [1/2]], [[0], [0], [0], [2]], [[0], [5], [0], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[57600]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-4]], [[0], [8], [0], [16]], [[0], [8], [30], [6]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[14400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [16], [-2], [10]], [[0], [8], [14], [-10]]], 0, 768, [], [] >,
< [ -1, 1 ], [[72000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [15], [-1]], [[0], [20], [0], [0]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[72000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [5]], [[0], [0], [3], [-5]], [[0], [20], [0], [0]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[288000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [0], [8]], [[0], [16], [0], [-28]], [[0], [8], [30], [-14]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[72000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-2], [10]], [[0], [6], [18], [0]], [[0], [32], [-4], [-40]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [6], [-6]], [[0], [8], [0], [-4]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [6], [-2]], [[0], [8], [-6], [-10]]], 0, 384, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [6], [-6]], [[0], [8], [6], [6]], [[0], [2], [-12], [0]]], 0, 768, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [-3], [-3]], [[0], [0], [6], [-6]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [9], [-3]]], 0, 96, [], [] >,
< [ -1, 1 ], [[216]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [1], [3], [-3]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [4], [0], [4]], [[0], [6], [-3], [-3]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [4], [-3], [1]], [[0], [2], [-3], [-7]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [6], [0], [0]], [[0], [2], [-3], [5]]], 0, 96, [], [] >,
< [ -1, 1 ], [[216]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [0], [3/2], [3/2]], [[0], [4], [-3/2], [5/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1728]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [6], [0], [6]], [[0], [0], [6], [-6]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1728]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [6], [6], [0]], [[0], [2], [4], [-8]]], 0, 96, [], [] >,
< [ -1, 1 ], [[216]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [3], [3], [0]], [[0], [3], [-3], [6]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1728]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [2]], [[0], [2], [-2], [4]], [[0], [12], [-12], [-12]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1728]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [6], [0], [6]], [[0], [10], [-4], [-4]]], 0, 96, [], [] >,
< [ -1, 1 ], [[216]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [3], [0], [3]], [[0], [3], [-3], [-3]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1080]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [0], [-1]], [[0], [0], [3], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[8640]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [3], [-3]], [[0], [4], [3], [1]]], 0, 384, [], [] >,
< [ -1, 1 ], [[8640]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [-1]], [[0], [4], [0], [4]]], 0, 384, [], [] >,
< [ -1, 1 ], [[34560]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [6], [6]], [[0], [8], [-6], [6]], [[0], [16], [6], [-18]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[8640]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [6], [-12], [6]], [[0], [16], [-2], [-2]]], 0, 576, [], [] >,
< [ -1, 1 ], [[8640]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [16], [-2], [-14]], [[0], [8], [14], [14]]], 0, 576, [], [] >,
< [ -1, 1 ], [[12096]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [4], [6], [2]], [[0], [4], [-6], [2]]], 0, 576, [], [] >,
< [ -1, 1 ], [[12096]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [-6], [0]], [[0], [2], [0], [6]]], 0, 576, [], [] >,
< [ -1, 1 ], [[48384]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [8], [4]], [[0], [8], [-4], [-8]], [[0], [4], [-14], [2]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[48384]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [10], [2]], [[0], [4], [-2], [-10]], [[0], [12], [-6], [6]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[76032]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-12], [0]], [[0], [16], [6], [-6]], [[0], [8], [0], [24]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[22464]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-4]], [[0], [6], [1], [1]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[292032]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [12], [0], [0]], [[0], [6], [13], [1]]], 0, 16128, [], [] >,
< [ -1, 1 ], [[836352]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-12], [24]], [[0], [24], [-18], [-30]], [[0], [32], [42], [-18]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[84672]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [6], [0], [6]], [[0], [4], [42], [2]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[84672]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [0], [-6]], [[0], [2], [42], [0]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[338688]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-14], [14]], [[0], [20], [14], [10]], [[0], [4], [-14], [-22]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[338688]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-14], [2]], [[0], [24], [0], [-12]], [[0], [20], [14], [22]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[43200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [3], [-3]], [[0], [20], [0], [2]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[43200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [6]], [[0], [10], [3], [1]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[5400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3], [-3]], [[0], [5], [-3/2], [1/2]]], 1, 288, [], [] >,
< [ -1, 1 ], [[172800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [20]], [[0], [24], [0], [8]], [[0], [0], [30], [10]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[43200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [14], [2], [20]], [[0], [10], [10], [-20]], [[0], [10], [-20], [10]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[43200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [24], [12], [0]], [[0], [26], [-22], [20]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[216000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [0], [15], [3]], [[0], [20], [0], [2]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[216000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [3], [15]], [[0], [20], [3], [-5]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[216000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-20], [10]], [[0], [38], [14], [20]], [[0], [26], [-22], [-40]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[216000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [22], [16], [10]], [[0], [26], [-22], [20]], [[0], [32], [-4], [-40]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[20736]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [2]], [[0], [0], [0], [12]], [[0], [8], [12], [-4]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[5184]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [8], [-2], [10]], [[0], [12], [-12], [-12]]], 0, 288, [], [] >,
< [ -1, 1 ], [[25920]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [1]], [[0], [0], [0], [6]], [[0], [4], [6], [-2]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[129600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [0], [9], [-3]], [[0], [20], [3], [-1]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[16]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[16]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [2], [0], [0]]], 1, 1, [], [] >,
< [ -1, 1 ], [[128]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [2], [2], [-2]], [[0], [2], [-2], [2]]], 0, 8, [], [] >,
< [ -1, 1 ], [[128]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [4], [-4]]], 0, 8, [], [] >,
< [ -1, 1 ], [[1024]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [4], [0]], [[0], [0], [4], [4]], [[0], [8], [-4], [4]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1024]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [8], [0]], [[0], [0], [4], [8]]], 0, 64, [], [] >,
< [ -1, 1 ], [[48]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [1], [1/2], [-3/2]], [[0], [1], [-1/2], [3/2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[48]], [ -3 ], [ -1 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [2], [-2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[384]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [2], [-2], [2]], [[0], [2], [3], [-1]]], 0, 16, [], [] >,
< [ -1, 1 ], [[384]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [2], [2], [-2]], [[0], [6], [-2], [2]]], 0, 16, [], [] >,
< [ -1, 1 ], [[3072]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [2]], [[0], [4], [2], [-6]], [[0], [4], [-6], [2]]], 0, 128, [], [] >,
< [ -1, 1 ], [[3072]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [2], [-6]], [[0], [0], [10], [2]]], 0, 128, [], [] >,
< [ -1, 1 ], [[48]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [0]], [[0], [0], [1], [2]], [[0], [2], [2], [0]]], 1, 4, [], [] >,
< [ -1, 1 ], [[48]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [2], [-1]], [[0], [2], [-2], [-2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[3072]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-4]], [[0], [4], [-8], [0]], [[0], [8], [0], [8]]], 0, 256, [], [] >,
< [ -1, 1 ], [[3072]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [8], [0], [-4]], [[0], [0], [16], [-4]]], 0, 256, [], [] >,
< [ -1, 1 ], [[5120]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [4], [0], [4]], [[0], [2], [8], [2]]], 0, 256, [], [] >,
< [ -1, 1 ], [[80]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]]], 1, 4, [], [] >,
< [ -1, 1 ], [[80]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [2], [0]]], 1, 4, [], [] >,
< [ -1, 1 ], [[15360]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [4], [-2], [2]], [[0], [4], [6], [2]]], 0, 512, [], [] >,
< [ -1, 1 ], [[15360]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [4], [2], [-2]], [[0], [4], [2], [6]]], 0, 512, [], [] >,
< [ -1, 1 ], [[240]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]]], 1, 8, [], [] >,
< [ -1, 1 ], [[240]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [2], [0], [0]]], 1, 8, [], [] >,
< [ -1, 1 ], [[5120]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [4], [-4], [-8]], [[0], [12], [-8], [4]]], 0, 384, [], [] >,
< [ -1, 1 ], [[21504]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [4], [0]], [[0], [4], [0], [4]], [[0], [4], [-8], [-4]]], 0, 768, [], [] >,
< [ -1, 1 ], [[112]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [2], [-2], [-2]], [[0], [4], [0], [1]]], 1, 8, [], [] >,
< [ -1, 1 ], [[112]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1], [-2]], [[0], [1], [-3], [0]], [[0], [3], [1], [2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[7168]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [0]], [[0], [0], [4], [12]], [[0], [8], [-12], [8]]], 0, 512, [], [] >,
< [ -1, 1 ], [[150528]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [8], [0], [-8]], [[0], [0], [28], [4]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[50176]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [-16]], [[0], [4], [20], [-16]], [[0], [28], [0], [0]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[784]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [1], [2]], [[0], [1], [5], [-4]], [[0], [5], [-3], [-6]]], 1, 48, [], [] >,
< [ -1, 1 ], [[784]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-1]], [[0], [6], [2], [-3]], [[0], [0], [0], [7]]], 1, 48, [], [] >,
< [ -1, 1 ], [[400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [2]], [[0], [5], [0], [1]]], 1, 24, [], [] >,
< [ -1, 1 ], [[400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [2], [0]], [[0], [5], [0], [0]]], 1, 24, [], [] >,
< [ -1, 1 ], [[25600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [8], [4]], [[0], [10], [0], [-2]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[76800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [8]], [[0], [20], [2], [-2]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[76800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [8], [0]], [[0], [20], [-2], [2]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[1200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [5], [1], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [10], [0], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[25600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [12], [4]], [[0], [20], [4], [8]], [[0], [0], [8], [-24]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[128000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [20], [8], [-4]], [[0], [20], [-24], [12]], [[0], [0], [12], [44]]], 0, 7680, [], [] >,
< [ -1, 1 ], [[9216]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [4], [0]], [[0], [0], [4], [-12]], [[0], [0], [16], [0]]], 0, 384, [], [] >,
< [ -1, 1 ], [[82944]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [12], [0]], [[0], [24], [-24], [0]], [[0], [0], [12], [36]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[9216]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [2]], [[0], [4], [6], [6]], [[0], [8], [0], [-8]]], 0, 512, [], [] >,
< [ -1, 1 ], [[9216]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [12], [-4]], [[0], [0], [6], [14]]], 0, 512, [], [] >,
< [ -1, 1 ], [[144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3/2], [-5/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-3/2], [1/2]], [[0], [1], [-3/2], [-7/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[1152]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [1]], [[0], [2], [0], [-4]], [[0], [4], [3], [3]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1152]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [1]], [[0], [0], [3], [3]], [[0], [6], [3], [-1]]], 0, 64, [], [] >,
< [ -1, 1 ], [[9216]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-8], [4]], [[0], [4], [8], [8]], [[0], [12], [0], [-12]]], 0, 512, [], [] >,
< [ -1, 1 ], [[9216]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [8], [-8], [4]], [[0], [4], [8], [20]]], 0, 512, [], [] >,
< [ -1, 1 ], [[144]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-2]], [[0], [0], [3], [0]], [[0], [4], [-1], [2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[144]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [2], [-2], [-2]], [[0], [3], [0], [3]]], 1, 8, [], [] >,
< [ -1, 1 ], [[720]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-3/2], [1/2]], [[0], [0], [0], [2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[720]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-1/2]], [[0], [2], [0], [0]], [[0], [0], [0], [2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[46080]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [-6], [-2]], [[0], [4], [6], [-6]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[46080]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [0], [6], [-2]], [[0], [8], [0], [-8]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[64512]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [8], [0], [-8]], [[0], [4], [12], [0]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[451584]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [8], [0], [-8]], [[0], [0], [84], [4]]], 0, 24576, [], [] >,
< [ -1, 1 ], [[230400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [6], [-14]], [[0], [20], [0], [-4]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[230400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-6]], [[0], [0], [6], [10]], [[0], [20], [0], [-4]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[3600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [1]], [[0], [5], [3/2], [1/2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [1/2]], [[0], [0], [0], [2]], [[0], [10], [0], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[27648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [6]], [[0], [12], [-6], [-6]], [[0], [0], [12], [-12]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[3456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [3], [3]], [[0], [4], [-3], [-3]], [[0], [2], [6], [-6]]], 0, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [8], [0], [0]], [[0], [2], [-6], [6]]], 0, 192, [], [] >,
< [ -1, 1 ], [[432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [3], [3]], [[0], [1], [9/2], [-3/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [6], [-6]]], 1, 24, [], [] >,
< [ -1, 1 ], [[27648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [4], [-12], [4]], [[0], [4], [-6], [-14]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-3/2], [-7/2]], [[0], [4], [-3], [1]]], 1, 24, [], [] >,
< [ -1, 1 ], [[432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [2], [3/2], [-5/2]], [[0], [4], [-3/2], [5/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[27648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [16]], [[0], [4], [-16], [8]], [[0], [20], [4], [-8]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[27648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [12], [0]], [[0], [4], [-16], [8]], [[0], [12], [0], [-24]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[432]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [2], [4], [1]], [[0], [4], [-4], [5]]], 1, 24, [], [] >,
< [ -1, 1 ], [[432]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [3], [3], [0]], [[0], [3], [-3], [6]]], 1, 24, [], [] >,
< [ -1, 1 ], [[27648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [8], [-8], [-20]], [[0], [32], [-8], [4]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[27648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [12]], [[0], [8], [16], [-8]], [[0], [16], [-16], [-4]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[432]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [2], [-2], [4]], [[0], [4], [-1], [-4]]], 1, 24, [], [] >,
< [ -1, 1 ], [[432]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [3], [0], [3]], [[0], [6], [-6], [-6]]], 1, 24, [], [] >,
< [ -1, 1 ], [[2160]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [3], [-1]], [[0], [2], [-3], [-1]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2160]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-1]], [[0], [2], [0], [2]], [[0], [0], [3], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[138240]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [0], [0], [12]], [[0], [12], [-6], [-6]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[193536]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-12], [0]], [[0], [4], [0], [-12]], [[0], [16], [0], [0]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[1354752]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [12]], [[0], [16], [0], [0]], [[0], [4], [-84], [0]]], 0, 73728, [], [] >,
< [ -1, 1 ], [[691200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [20], [-6], [2]], [[0], [0], [24], [0]]], 0, 36864, [], [] >,
< [ -1, 1 ], [[10800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3], [-3]], [[0], [10], [3/2], [-1/2]]], 1, 576, [], [] >,
< [ -1, 1 ], [[10800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [3], [-3]], [[0], [5], [-3/2], [1/2]]], 1, 576, [], [] >,
< [ -1, 1 ], [[32]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [-2], [0]], [[0], [1], [0], [2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[32]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[256]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [4], [2], [2]]], 0, 16, [], [] >,
< [ -1, 1 ], [[256]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [8], [0], [0]]], 0, 16, [], [] >,
< [ -1, 1 ], [[256]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [4], [2], [-2]], [[0], [4], [-2], [2]]], 0, 16, [], [] >,
< [ -1, 1 ], [[32]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [2], [0], [0]], [[0], [0], [2], [-2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[2048]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [4], [-4]], [[0], [4], [-8], [0]], [[0], [4], [0], [8]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2048]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [4], [4], [-4]], [[0], [12], [-4], [4]]], 0, 128, [], [] >,
< [ -1, 1 ], [[96]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [1], [1/2], [-3/2]], [[0], [3], [-1/2], [3/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[768]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-3]], [[0], [2], [-1], [3]], [[0], [2], [-5], [-1]]], 0, 32, [], [] >,
< [ -1, 1 ], [[768]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [1]], [[0], [2], [-1], [-5]]], 0, 32, [], [] >,
< [ -1, 1 ], [[768]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-1], [3]], [[0], [4], [-2], [-2]]], 0, 32, [], [] >,
< [ -1, 1 ], [[96]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [2], [-1/2], [-1/2]], [[0], [0], [5/2], [-3/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[96]], [ -3 ], [ -1 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [2], [2], [-2]], [[0], [2], [-2], [2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[6144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-6]], [[0], [8], [2], [2]], [[0], [4], [-8], [0]]], 0, 256, [], [] >,
< [ -1, 1 ], [[6144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [8], [-2], [-2]], [[0], [4], [0], [8]]], 0, 256, [], [] >,
< [ -1, 1 ], [[96]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [1], [-2]], [[0], [0], [3], [0]]], 1, 8, [], [] >,
< [ -1, 1 ], [[96]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [0]], [[0], [0], [1], [2]], [[0], [2], [4], [-2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[768]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [0]], [[0], [0], [4], [-4]], [[0], [4], [6], [4]]], 0, 64, [], [] >,
< [ -1, 1 ], [[768]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [6], [0], [-6]], [[0], [2], [-8], [-2]]], 0, 64, [], [] >,
< [ -1, 1 ], [[768]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [4], [0], [4]], [[0], [6], [-4], [-2]]], 0, 64, [], [] >,
< [ -1, 1 ], [[160]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[0], [1], [-1], [1]], [[0], [1], [-1], [-1]]], 1, 8, [], [] >,
< [ -1, 1 ], [[160]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[1280]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [2], [4], [0]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1280]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [8], [0]]], 0, 64, [], [] >,
< [ -1, 1 ], [[3840]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [2], [0]], [[0], [0], [2], [2]], [[0], [2], [-4], [2]]], 0, 128, [], [] >,
< [ -1, 1 ], [[480]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [1], [0]], [[0], [1], [-1], [0]], [[0], [0], [0], [2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[480]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [2], [0]]], 1, 16, [], [] >,
< [ -1, 1 ], [[3840]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [4]], [[0], [4], [0], [2]]], 0, 128, [], [] >,
< [ -1, 1 ], [[3840]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [4], [2], [0]]], 0, 128, [], [] >,
< [ -1, 1 ], [[224]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [2], [-2], [-2]], [[0], [6], [2], [4]]], 1, 16, [], [] >,
< [ -1, 1 ], [[224]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [4], [0], [1]], [[0], [0], [4], [-2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[1792]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-6], [0]], [[0], [8], [4], [0]], [[0], [4], [0], [8]]], 0, 128, [], [] >,
< [ -1, 1 ], [[1792]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [2], [-4]], [[0], [6], [2], [4]], [[0], [6], [-10], [-4]]], 0, 128, [], [] >,
< [ -1, 1 ], [[12544]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [10], [-8]], [[0], [12], [4], [8]], [[0], [16], [-4], [-8]]], 0, 768, [], [] >,
< [ -1, 1 ], [[12544]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [10], [-6], [-12]], [[0], [4], [20], [-16]]], 0, 768, [], [] >,
< [ -1, 1 ], [[1568]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-1]], [[0], [6], [2], [4]], [[0], [4], [6], [-9]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1568]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [-3]], [[0], [0], [0], [7]], [[0], [4], [-8], [-2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [5], [1], [1]]], 1, 48, [], [] >,
< [ -1, 1 ], [[800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [2]], [[0], [10], [0], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[6400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [4], [-2]], [[0], [10], [0], [2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [8], [0]], [[0], [10], [0], [0]]], 0, 384, [], [] >,
< [ -1, 1 ], [[2400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [5], [0], [-1]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [5], [1], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[19200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [4], [-4]], [[0], [10], [0], [2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[19200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [4]], [[0], [20], [0], [2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[19200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [20], [2], [0]]], 0, 768, [], [] >,
< [ -1, 1 ], [[288]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [2], [3/2], [-5/2]], [[0], [2], [-3/2], [5/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[288]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3/2], [3/2]], [[0], [2], [-3/2], [-3/2]], [[0], [0], [3/2], [-5/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[288]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3/2], [1/2]], [[0], [3], [3/2], [-1/2]], [[0], [1], [3/2], [7/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[2304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [6], [-2]], [[0], [2], [-3], [-7]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [1]], [[0], [0], [6], [14]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [6], [-3], [1]], [[0], [2], [3], [7]]], 0, 128, [], [] >,
< [ -1, 1 ], [[18432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [8], [6], [6]], [[0], [8], [-12], [4]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[18432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [2]], [[0], [4], [0], [-8]], [[0], [16], [12], [12]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-2]], [[0], [0], [3], [0]], [[0], [6], [0], [6]]], 1, 16, [], [] >,
< [ -1, 1 ], [[288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [4], [-1], [2]], [[0], [2], [4], [-2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[2304]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-4]], [[0], [4], [2], [8]], [[0], [4], [-10], [-4]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2304]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [10], [-4], [2]], [[0], [2], [4], [10]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2304]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [6], [0], [-6]], [[0], [2], [-8], [-2]]], 0, 128, [], [] >,
< [ -1, 1 ], [[11520]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [1]], [[0], [0], [0], [4]], [[0], [6], [3], [-1]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1440]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [3/2], [3/2]], [[0], [1], [-3/2], [5/2]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1440]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-3/2], [1/2]], [[0], [1], [3/2], [7/2]]], 1, 64, [], [] >,
< [ -1, 1 ], [[11520]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [4], [0], [4]], [[0], [4], [0], [-4]]], 0, 512, [], [] >,
< [ -1, 1 ], [[11520]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [4], [3], [-1]], [[0], [4], [-3], [1]]], 0, 512, [], [] >,
< [ -1, 1 ], [[57600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-2]], [[0], [0], [0], [8]], [[0], [10], [3], [1]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[7200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [0], [4]], [[0], [5], [-3/2], [3/2]]], 1, 384, [], [] >,
< [ -1, 1 ], [[7200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [0], [4]], [[0], [5], [3/2], [1/2]]], 1, 384, [], [] >,
< [ -1, 1 ], [[57600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [3], [-7]], [[0], [20], [0], [4]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[57600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [0], [3], [5]], [[0], [20], [3], [1]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [6], [6]], [[0], [4], [12], [-12]], [[0], [16], [-12], [-12]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [6], [6]], [[0], [4], [-18], [6]], [[0], [12], [6], [-18]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [3], [-9]], [[0], [2], [15], [3]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [9], [-3]], [[0], [2], [-3], [-15]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [4], [6], [6]], [[0], [2], [3], [-9]]], 0, 384, [], [] >,
< [ -1, 1 ], [[864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [3], [3]], [[0], [1], [-9/2], [3/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3/2], [3/2]], [[0], [2], [-3/2], [-3/2]], [[0], [2], [6], [-6]]], 1, 48, [], [] >,
< [ -1, 1 ], [[864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [4], [0], [0]], [[0], [2], [6], [-6]]], 1, 48, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [2], [-3], [-7]], [[0], [8], [-6], [2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [8], [-6], [2]], [[0], [4], [-6], [-14]]], 0, 384, [], [] >,
< [ -1, 1 ], [[864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [2], [3/2], [-5/2]], [[0], [8], [-9/2], [7/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [0], [3], [3]], [[0], [4], [-3/2], [5/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[6912]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [-2]], [[0], [0], [12], [6]], [[0], [4], [-4], [14]]], 0, 384, [], [] >,
< [ -1, 1 ], [[864]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [2], [4], [1]], [[0], [6], [-6], [12]]], 1, 48, [], [] >,
< [ -1, 1 ], [[864]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [4], [-4], [5]], [[0], [6], [6], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[6912]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [8], [-8], [-8]], [[0], [10], [-10], [8]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6912]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [2], [-4]], [[0], [2], [10], [4]], [[0], [6], [-6], [12]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6912]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [4]], [[0], [4], [-10], [-4]], [[0], [4], [2], [-16]]], 0, 384, [], [] >,
< [ -1, 1 ], [[864]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [6], [-3], [0]], [[0], [0], [3], [6]]], 1, 48, [], [] >,
< [ -1, 1 ], [[864]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [4], [-1], [-4]], [[0], [6], [0], [6]]], 1, 48, [], [] >,
< [ -1, 1 ], [[6912]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [12], [0], [12]], [[0], [18], [-12], [-6]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6912]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [4], [8], [-4]], [[0], [14], [-8], [-14]]], 0, 384, [], [] >,
< [ -1, 1 ], [[4320]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [1], [3], [-2]], [[0], [1], [-3], [-2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[4320]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [3], [0], [-3]], [[0], [0], [6], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[34560]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [4], [6], [-2]], [[0], [4], [-6], [-2]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[34560]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-2]], [[0], [0], [6], [0]], [[0], [4], [0], [10]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[172800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [9], [-3]], [[0], [20], [0], [-4]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[172800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [12], [-12]], [[0], [20], [3], [-1]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[21600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [5], [3/2], [-5/2]], [[0], [5], [-9/2], [7/2]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[21600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [5], [-3/2], [1/2]], [[0], [0], [6], [-6]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[512]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [0]], [[0], [2], [0], [-4]], [[0], [4], [-4], [4]]], 0, 32, [], [] >,
< [ -1, 1 ], [[64]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [-2], [0]], [[0], [0], [0], [4]]], 1, 4, [], [] >,
< [ -1, 1 ], [[4096]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [8], [4], [-4]], [[0], [8], [4], [12]]], 0, 256, [], [] >,
< [ -1, 1 ], [[512]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [2]], [[0], [4], [-2], [-2]], [[0], [0], [6], [-2]]], 0, 32, [], [] >,
< [ -1, 1 ], [[512]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [4], [4], [-4]], [[0], [4], [-4], [4]]], 0, 32, [], [] >,
< [ -1, 1 ], [[512]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [6], [-2]]], 0, 32, [], [] >,
< [ -1, 1 ], [[512]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [4], [0], [0]], [[0], [0], [8], [-8]]], 0, 32, [], [] >,
< [ -1, 1 ], [[64]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [1]], [[0], [2], [-1], [-1]], [[0], [0], [2], [-2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[64]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [2], [-2]], [[0], [4], [0], [0]]], 1, 4, [], [] >,
< [ -1, 1 ], [[192]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-1/2], [-5/2]], [[0], [3], [-3/2], [1/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[192]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1/2], [-3/2]], [[0], [1], [5/2], [1/2]], [[0], [3], [-1/2], [3/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[1536]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-3]], [[0], [2], [5], [1]], [[0], [6], [-3], [1]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1536]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [6], [-3], [1]], [[0], [4], [4], [-4]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1536]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-1], [-5]], [[0], [6], [-1], [3]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1536]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [2], [3], [-1]], [[0], [10], [-7], [5]]], 0, 64, [], [] >,
< [ -1, 1 ], [[12288]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [6]], [[0], [4], [10], [2]], [[0], [12], [2], [-6]]], 0, 512, [], [] >,
< [ -1, 1 ], [[192]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [2], [-1/2], [-1/2]], [[0], [0], [4], [-4]]], 1, 8, [], [] >,
< [ -1, 1 ], [[1536]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [1], [1]], [[0], [0], [4], [4]], [[0], [0], [3], [-5]]], 0, 64, [], [] >,
< [ -1, 1 ], [[192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-2]], [[0], [2], [3], [2]], [[0], [2], [-3], [2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [0]], [[0], [0], [2], [4]], [[0], [2], [5], [0]]], 1, 16, [], [] >,
< [ -1, 1 ], [[320]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [1], [1]], [[0], [1], [-1], [1]], [[0], [2], [0], [-2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[20480]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-4]], [[0], [0], [8], [-4]], [[0], [8], [0], [8]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[960]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [1], [0]], [[0], [1], [-1], [2]], [[0], [1], [-1], [-2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[960]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [2], [-1]], [[0], [1], [-2], [-1]]], 1, 32, [], [] >,
< [ -1, 1 ], [[448]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [2], [3]], [[0], [0], [4], [-2]], [[0], [6], [-2], [-1]]], 1, 32, [], [] >,
< [ -1, 1 ], [[3136]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [-3]], [[0], [4], [-8], [-2]], [[0], [6], [2], [11]]], 1, 192, [], [] >,
< [ -1, 1 ], [[1600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [4]], [[0], [5], [1], [-1]]], 1, 96, [], [] >,
< [ -1, 1 ], [[102400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [8], [-4]], [[0], [0], [8], [12]], [[0], [20], [0], [-4]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[4800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [5], [0], [1]]], 1, 192, [], [] >,
< [ -1, 1 ], [[4800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [5], [-1], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3/2], [3/2]], [[0], [2], [-3/2], [-3/2]], [[0], [0], [3], [-5]]], 1, 32, [], [] >,
< [ -1, 1 ], [[4608]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [3], [3]], [[0], [4], [-6], [2]], [[0], [4], [0], [-8]]], 0, 256, [], [] >,
< [ -1, 1 ], [[576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3/2], [1/2]], [[0], [3], [3/2], [-1/2]], [[0], [1], [-3/2], [-15/2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [1]], [[0], [1], [3/2], [7/2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[4608]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [-1]], [[0], [4], [-6], [2]], [[0], [2], [3], [7]]], 0, 256, [], [] >,
< [ -1, 1 ], [[4608]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [1]], [[0], [4], [0], [-8]], [[0], [8], [6], [6]]], 0, 256, [], [] >,
< [ -1, 1 ], [[4608]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [-1]], [[0], [4], [-6], [2]], [[0], [0], [6], [6]]], 0, 256, [], [] >,
< [ -1, 1 ], [[4608]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [1]], [[0], [2], [3], [7]], [[0], [12], [6], [-2]]], 0, 256, [], [] >,
< [ -1, 1 ], [[36864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [4], [6], [-18]], [[0], [4], [-18], [-10]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[576]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-2]], [[0], [2], [-5], [-2]], [[0], [6], [3], [6]]], 1, 32, [], [] >,
< [ -1, 1 ], [[576]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [4]], [[0], [4], [2], [-4]], [[0], [0], [6], [0]]], 1, 32, [], [] >,
< [ -1, 1 ], [[2880]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [3/2]], [[0], [1], [3/2], [-5/2]], [[0], [3], [-3/2], [-3/2]]], 1, 128, [], [] >,
< [ -1, 1 ], [[2880]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [-3/2], [1/2]], [[0], [3], [3/2], [-1/2]], [[0], [1], [-3/2], [-7/2]]], 1, 128, [], [] >,
< [ -1, 1 ], [[14400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [3/2], [-3/2]], [[0], [0], [6], [2]]], 1, 768, [], [] >,
< [ -1, 1 ], [[14400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [-3/2], [-1/2]], [[0], [0], [6], [2]]], 1, 768, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [1], [-3/2], [9/2]], [[0], [1], [-15/2], [-3/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [1], [-9/2], [3/2]], [[0], [1], [3/2], [15/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [9]], [[0], [8], [6], [6]], [[0], [8], [-6], [-6]]], 0, 768, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-9], [3]], [[0], [6], [3], [-9]], [[0], [8], [6], [6]]], 0, 768, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [6], [9], [-3]], [[0], [10], [-9], [3]]], 0, 768, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [2], [-9], [3]], [[0], [16], [0], [0]]], 0, 768, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [3], [3]], [[0], [8], [-6], [-6]], [[0], [4], [-12], [12]]], 0, 768, [], [] >,
< [ -1, 1 ], [[110592]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [18], [10]], [[0], [12], [6], [-18]], [[0], [24], [0], [0]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [2], [-9/2], [7/2]], [[0], [6], [3/2], [3/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1728]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-1]], [[0], [0], [6], [3]], [[0], [8], [-8], [10]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1728]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [2], [-2], [7]], [[0], [8], [4], [-2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1728]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [0]], [[0], [2], [7], [4]], [[0], [2], [1], [-8]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1728]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-5], [-2]], [[0], [6], [3], [-6]], [[0], [8], [4], [4]]], 1, 96, [], [] >,
< [ -1, 1 ], [[8640]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [1], [3], [-2]], [[0], [5], [-3], [-4]]], 1, 384, [], [] >,
< [ -1, 1 ], [[43200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [9/2], [1/2]], [[0], [5], [-3/2], [13/2]], [[0], [0], [6], [6]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[8192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [8], [0]], [[0], [8], [-8], [8]], [[0], [8], [0], [-16]]], 0, 512, [], [] >,
< [ -1, 1 ], [[128]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [0]], [[0], [3], [-2], [0]], [[0], [2], [0], [4]]], 1, 8, [], [] >,
< [ -1, 1 ], [[8192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [4]], [[0], [0], [4], [-12]], [[0], [8], [-16], [0]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1024]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [2]], [[0], [4], [2], [-6]], [[0], [4], [-6], [2]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1024]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [2]], [[0], [0], [4], [-4]], [[0], [4], [-6], [-6]]], 0, 64, [], [] >,
< [ -1, 1 ], [[128]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [2], [3], [-1]], [[0], [2], [-1], [3]]], 1, 8, [], [] >,
< [ -1, 1 ], [[128]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [1]], [[0], [2], [-1], [-1]], [[0], [0], [4], [-4]]], 1, 8, [], [] >,
< [ -1, 1 ], [[128]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [3], [-1]], [[0], [4], [0], [0]]], 1, 8, [], [] >,
< [ -1, 1 ], [[128]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [4], [0], [0]], [[0], [0], [4], [-4]]], 1, 8, [], [] >,
< [ -1, 1 ], [[384]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-1/2], [-5/2]], [[0], [5], [-5/2], [7/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[384]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [3], [-3/2], [1/2]], [[0], [2], [1], [-3]]], 1, 16, [], [] >,
< [ -1, 1 ], [[3072]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-3]], [[0], [6], [-1], [3]], [[0], [2], [9], [5]]], 0, 128, [], [] >,
< [ -1, 1 ], [[3072]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-3]], [[0], [4], [-6], [2]], [[0], [6], [3], [7]]], 0, 128, [], [] >,
< [ -1, 1 ], [[384]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1/2], [-3/2]], [[0], [1], [5/2], [1/2]], [[0], [5], [-7/2], [5/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[384]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [3], [-1/2], [3/2]], [[0], [2], [3], [-1]]], 1, 16, [], [] >,
< [ -1, 1 ], [[24576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-6]], [[0], [12], [2], [10]], [[0], [8], [-16], [0]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[384]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1/2], [1/2]], [[0], [0], [2], [2]], [[0], [0], [5], [-3]]], 1, 16, [], [] >,
< [ -1, 1 ], [[24576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [2], [2]], [[0], [0], [6], [-10]], [[0], [8], [-14], [-14]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[640]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [1], [1]], [[0], [3], [-1], [-1]], [[0], [1], [-3], [1]]], 1, 32, [], [] >,
< [ -1, 1 ], [[3200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [5], [-1], [-1]]], 1, 192, [], [] >,
< [ -1, 1 ], [[1152]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3/2], [3/2]], [[0], [4], [-3], [-3]], [[0], [0], [3], [-5]]], 1, 64, [], [] >,
< [ -1, 1 ], [[73728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [6], [6]], [[0], [8], [0], [-16]], [[0], [16], [-24], [8]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[1152]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3/2], [1/2]], [[0], [6], [3], [-1]], [[0], [2], [3], [7]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1152]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [3/2], [-1/2]], [[0], [2], [-3], [1]], [[0], [1], [-3/2], [-15/2]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1152]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [1]], [[0], [1], [3/2], [-9/2]], [[0], [3], [9/2], [5/2]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1152]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [1]], [[0], [1], [3/2], [7/2]], [[0], [6], [3], [-1]]], 1, 64, [], [] >,
< [ -1, 1 ], [[9216]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [2], [3], [-9]], [[0], [2], [-9], [-5]]], 0, 512, [], [] >,
< [ -1, 1 ], [[9216]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [6], [-3], [-7]], [[0], [6], [-3], [9]]], 0, 512, [], [] >,
< [ -1, 1 ], [[73728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-16]], [[0], [4], [18], [-6]], [[0], [12], [-6], [18]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[3456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [3/2], [-9/2]], [[0], [5], [-3/2], [9/2]], [[0], [3], [15/2], [3/2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3/2], [9/2]], [[0], [1], [-15/2], [-3/2]], [[0], [8], [0], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[27648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [9]], [[0], [16], [0], [0]], [[0], [6], [15], [3]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[27648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [2], [-3], [9]], [[0], [4], [-30], [-6]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[3456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [9/2], [-3/2]], [[0], [5], [-9/2], [3/2]], [[0], [3], [-3/2], [-15/2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-9/2], [3/2]], [[0], [1], [3/2], [15/2]], [[0], [8], [0], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3/2], [-3/2]], [[0], [2], [-3/2], [13/2]], [[0], [4], [6], [-2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[2048]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [4], [-6], [2]], [[0], [4], [-2], [-10]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2048]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [4], [6], [-2]], [[0], [12], [-6], [2]]], 0, 128, [], [] >,
< [ -1, 1 ], [[256]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-3]], [[0], [2], [-3], [1]], [[0], [4], [2], [2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[2048]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [2]], [[0], [4], [-6], [-6]], [[0], [4], [6], [-10]]], 0, 128, [], [] >,
< [ -1, 1 ], [[256]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [1]], [[0], [2], [-3], [-3]], [[0], [0], [4], [-4]]], 1, 16, [], [] >,
< [ -1, 1 ], [[2048]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [8], [4], [4]], [[0], [8], [-4], [-4]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2048]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [8], [0], [0]], [[0], [0], [10], [2]]], 0, 128, [], [] >,
< [ -1, 1 ], [[6144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-6]], [[0], [6], [1], [5]], [[0], [2], [-9], [3]]], 0, 256, [], [] >,
< [ -1, 1 ], [[6144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [2], [-5], [7]], [[0], [10], [3], [-1]]], 0, 256, [], [] >,
< [ -1, 1 ], [[6144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-3]], [[0], [2], [9], [5]], [[0], [10], [-7], [5]]], 0, 256, [], [] >,
< [ -1, 1 ], [[768]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1/2], [-3/2]], [[0], [1], [9/2], [5/2]], [[0], [6], [-1], [3]]], 1, 32, [], [] >,
< [ -1, 1 ], [[6144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [2], [-7], [5]], [[0], [10], [1], [-3]]], 0, 256, [], [] >,
< [ -1, 1 ], [[6144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [6], [-5], [-1]], [[0], [6], [3], [7]]], 0, 256, [], [] >,
< [ -1, 1 ], [[768]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-3]], [[0], [3], [-5/2], [-1/2]], [[0], [3], [3/2], [7/2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[18432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [9], [-3]], [[0], [10], [-3], [1]], [[0], [4], [6], [14]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[18432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [9], [-3]], [[0], [10], [-3], [1]], [[0], [2], [-3], [-15]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[2304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-3/2], [-7/2]], [[0], [5], [3/2], [7/2]], [[0], [1], [-9/2], [11/2]]], 1, 128, [], [] >,
< [ -1, 1 ], [[18432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-9]], [[0], [10], [3], [7]], [[0], [10], [-9], [-5]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[18432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [2]], [[0], [2], [3], [-9]], [[0], [16], [12], [12]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[2304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-9/2], [-5/2]], [[0], [3], [-3/2], [9/2]], [[0], [5], [3/2], [-9/2]]], 1, 128, [], [] >,
< [ -1, 1 ], [[18432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-9], [-5]], [[0], [6], [-3], [9]], [[0], [12], [6], [-2]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [3/2], [-9/2]], [[0], [5], [-3/2], [9/2]], [[0], [2], [-15], [-3]]], 1, 384, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [-9]], [[0], [10], [-15], [-3]], [[0], [16], [12], [12]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3/2], [9/2]], [[0], [8], [0], [0]], [[0], [2], [-15], [-3]]], 1, 384, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [9]], [[0], [14], [15], [3]], [[0], [16], [-12], [-12]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[4096]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-6]], [[0], [8], [4], [4]], [[0], [8], [-12], [4]]], 0, 256, [], [] >,
< [ -1, 1 ], [[512]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-3]], [[0], [2], [5], [1]], [[0], [6], [-1], [3]]], 1, 32, [], [] >,
< [ -1, 1 ], [[12288]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-5], [-1]], [[0], [4], [10], [2]], [[0], [2], [1], [13]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1536]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-7/2], [5/2]], [[0], [5], [5/2], [1/2]], [[0], [0], [4], [4]]], 1, 64, [], [] >,
< [ -1, 1 ], [[36864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [-7]], [[0], [10], [3], [7]], [[0], [0], [24], [-8]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[4608]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [3/2], [7/2]], [[0], [4], [-6], [2]], [[0], [2], [3], [-9]]], 1, 256, [], [] >,
< [ -1, -1, 1 ], [[1, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5/2, -4], [-2, -9/2], [-2, 0], [-3/2, -1/2]], [[-3/2, -5/2], [-1, -3], [-2, 1/2], [-3/2, 0]]], 4, 1, [[[2, 0]]], [[[-3, 1]]] >,
< [ -1, -1, 1 ], [[2, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [6, 13/2], [1/2, -1], [0, 0]], [[1, -1], [6, -1], [3, -2], [0, 0]], [[0, 1/2], [1/2, 1/2], [0, 0], [1/2, 0]]], 3, 1, [], [] >,
< [ -1, -1, 1 ], [[-6, 2]], [ -4, -2 ], [ -2, 0 ], [[[2, -1], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1/2, -2], [-5/2, -5/2], [0, -5/2], [1/2, -3/4]], [[0, 1], [3/2, 1], [-1/2, 3/2], [-1/2, 1/2]]], 4, 1, [], [] >,
< [ -1, -1, 1 ], [[-3, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -7/2], [21/2, -11], [3/2, -5/2], [0, 0]], [[33/2, 14], [64, -27/2], [15, 0], [-5/2, 3/2]], [[54, 87], [61, 93], [21, 33], [0, 0]]], 3, 1, [], [] >,
< [ -1, -1, 1 ], [[6, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -3/2], [6, -7/2], [-11/2, 1], [0, 0]], [[-9/2, 15], [-31/2, 11], [-3/2, -36], [3/2, 0]], [[19, -39/2], [73/2, -47/2], [-23, 38], [-5/2, 1]]], 3, 1, [], [] >,
< [ -1, -1, 1 ], [[6, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5/2, 2], [11/2, 7/2], [47/10, 31/10], [13/5, 3/10]], [[49/2, -77/2], [72, -90], [297/5, -763/10], [306/5, -252/5]]], 4, 2, [], [] >,
< [ -1, -1, 1 ], [[3, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 9/2], [29/2, 16], [-1/2, 5/2], [0, 0]], [[113/2, -79/2], [-713/2, 200], [152, -96], [0, 1/2]], [[-20, 8], [99, -80], [-48, 28], [0, 0]]], 3, 1, [], [] >,
< [ -1, -1, 1 ], [[18, -6]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 18], [-2, -1], [0, 0]], [[4, 13/2], [-137/2, 91], [-37/2, 15/2], [3/4, 5/4]], [[0, 0], [393/2, -122], [73/2, -45/2], [0, 0]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[9, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [-44, -9/2], [-5/2, 0], [0, 0]], [[-97/2, -107/2], [-1447/2, -189], [-41, -6], [1, -3/2]], [[-38, -254], [4879/2, -7245/2], [323/2, -204], [-12, 9/2]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[8, -2]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[302, 2], [-666595/1502, 241/1502], [420/751, 2/751], [-226/751, 5/1502]], [[-42501/2, 15531/2], [23512973/751, -17347593/1502], [-29574/751, 21669/1502], [16006/751, -5989/751]]], 4, 1, [], [] >,
< [ -1, -1, 1 ], [[-13, 6]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-11/2, 3/2], [375/38, 73/38], [9/2, 3/4], [23/380, 1/95]], [[-25, 3/2], [1967/38, 515/19], [47/2, 23/2], [6/19, 3/19]]], 4, 2, [], [] >,
< [ -1, -1, 1 ], [[4, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [-9, 9/2], [1/2, -1], [0, 0]], [[-8, -13], [6, 3/2], [-5/2, -7/2], [-3/2, -2]], [[-1, 1/2], [-23/2, 15/2], [0, 0], [3/2, -1]]], 3, 1, [], [] >,
< [ -1, -1, 1 ], [[-8, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [-41, -15/2], [-1/2, 0], [0, 0]], [[5/2, 2], [-20, 93/2], [0, 0], [-1/2, 5/2]], [[-7, 7], [329, -178], [0, 0], [14, -7]]], 3, 1, [], [] >,
< [ -1, -1, 1 ], [[-12, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [263/2, -17], [-1/2, -1/2], [0, 0]], [[-1, -2], [53, -37], [0, 0], [-1, -1]], [[3/2, -2], [601, -747/2], [0, 0], [-7/2, 3/2]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[4, -6]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-769, 5/2], [-219655/751, -372/751], [2135/1502, -3/1502], [-1173/1502, 1/751]], [[-332059, 192507/2], [-189426843/1502, 54319719/1502], [921417/1502, -266021/1502], [-253142/751, 73132/751]]], 4, 1, [], [] >,
< [ -1, -1, 1 ], [[-9, 8]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-19, 3/2], [111/14, -3/2], [1, -1], [-17/154, 3/308]], [[13, -81/2], [-207/28, 431/28], [-11/4, 1/2], [6/77, -18/77]]], 4, 2, [], [] >,
< [ -1, -1, 1 ], [[2, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 2], [-1, 26], [-2, 2], [0, 0]], [[-1, 2], [-51/2, 14], [-7, 9/2], [-3/2, 3/2]], [[3, -1/2], [71/2, -47/2], [10, -6], [5/2, -1]]], 3, 1, [], [] >,
< [ -1, -1, 1 ], [[-4, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -7], [-95/2, -61/2], [-2, -5/2], [0, 0]], [[-5, -19/2], [-50, -60], [-3/2, -3], [-3/2, -1/2]], [[9/2, 7/2], [-6, 99/2], [3/2, 1], [-2, 2]]], 3, 1, [], [] >,
< [ -1, -1, 1 ], [[-6, 9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -5], [-100, -56], [-1, -2], [0, 0]], [[-28, -51/2], [12821/2, -9315/2], [-31, 5], [-5/2, -2]], [[-69/2, 127/2], [40832, -49101/2], [-285/2, 102], [-4, 6]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[5, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -4], [9, 24], [-2, -1], [0, 0]], [[-16, -27], [85/2, 279/2], [-15/2, -9], [-2, 1/2]], [[-17/2, -33/2], [-27, 227/2], [-13/2, -4], [-4, 2]]], 3, 1, [], [] >,
< [ -1, -1, 1 ], [[7, -9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, 2], [-317/2, -73/2], [15, 5/2], [0, 0]], [[40935/2, -11814], [295950, -296919/2], [-29125, 14981], [5/2, -1/2]], [[1805369/2, -1190935/2], [24289781/2, -9055082], [-1210248, 883751], [72, -183/2]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[-3, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 7/2], [69/2, -16], [-3/2, 5/2], [0, 0]], [[61, -117/2], [-5427/2, 3269/2], [182, -119], [-1/2, -2]], [[-155, 74], [5546, -3471], [-385, 231], [-2, -1]]], 3, 1, [], [] >,
< [ -1, -1, 1 ], [[-11, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 3/2], [719/2, -4], [5/2, -1/2], [0, 0]], [[4007/2, 3863/2], [621653/2, 60728], [2076, -72], [0, -1/2]], [[-28, 116], [-20819, 20738], [-172, 144], [0, 0]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[-6, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [-27/2, 29], [3/2, -1/2], [0, 0]], [[12, 17/2], [-65/2, 452], [33/2, -5/2], [-1, -2]], [[96, -65], [-9259/2, 5411/2], [525/2, -165], [4, -3/2]]], 3, 1, [], [] >,
< [ -1, -1, 1 ], [[4, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [9/2, 37/2], [1, -1/2], [0, 0]], [[-1/2, -1/2], [-21/2, -27], [0, 0], [0, -1/2]], [[0, 0], [5, 1], [0, 0], [0, 0]]], 3, 1, [], [] >,
< [ -1, -1, 1 ], [[23, -11]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 3], [5/3, -3/4], [0, 3/2], [0, 0]], [[-17/2, -27/2], [1/12, -13/6], [-5, -15/2], [-1/12, -1/6]], [[0, -9/2], [-37/2, 131/12], [7/2, -19/4], [-7/24, 1/8]]], 4, 2, [], [] >,
< [ -1, -1, 1 ], [[-14, 13]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3, 7/2], [9/13, 79/52], [1/4, 3/4], [-1/26, 1/26]], [[5/2, 3/2], [2/13, 12/13], [0, 1/2], [-1/13, 3/52]]], 4, 2, [], [] >,
< [ -1, -1, 1 ], [[-10, 12]], [ -2410, -60 ], [ -41, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-275/2, 0], [8502519/14510, -27173/14510], [-1415/2902, 5/2902], [0, 0]], [[-1717/2, -433], [6083090/1451, 5309831/2902], [-8819/2902, -4409/2902], [5521/2902, 1/2902]], [[1920200, -21554245/2], [-36257300997/2902, 75046297014/1451], [20152499/2902, -55292159/1451], [-107041467/7255, 151081944/7255]]], 4, 2, [], [] >,
< [ -1, -1, 1 ], [[14, -2]], [ -2470, 60 ], [ -41, -46 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2861/2, -5/2], [-12322947/14510, -19418/7255], [-2861/2902, -5/2902], [0, 0]], [[46319289/2, -11583213/2], [99714148836/7255, -49681602489/14510], [46319289/2902, -11583213/2902], [-1169/2902, 1/2902]], [[41706636000, -63484753320], [179251739473696/7255, -547118415801059/14510], [41706636000/1451, -63484753320/1451], [-2835624/7255, 19467591/14510]]], 4, 2, [], [] >,
< [ -1, -1, 1 ], [[-9, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [117, -85/2], [-3/2, 1], [0, 0]], [[3/2, -1], [132, 1207/2], [0, 0], [-5/2, 3/2]], [[0, 0], [46, 75], [0, 0], [0, 0]]], 3, 1, [], [] >,
< [ -1, -1, 1 ], [[-5, 7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -4], [553/2, -257/2], [1, -5/2], [0, 0]], [[-3493/2, -3385/2], [-349711/2, 131885], [-1800, 54], [0, -1/2]], [[162, 48], [34487, -22588], [276, -114], [0, 0]]], 3, 1, [], [] >,
< [ -1, -1, 1 ], [[-85, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-165/2, -5/2], [127, -299/2], [-295/2, 0], [0, 0]], [[-320415/2, -14859/2], [483877/2, -581703/2], [-572607/2, -8929/2], [1/2, -1/2]], [[595, -1088], [-2913, 844], [1122, -1921], [0, 0]]], 1, 58, [], [] >,
< [ -1, -1, 1 ], [[-74, 21]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[145/2, 4], [925/2, 357/2], [171, 5/2], [0, 0]], [[592519/2, 17239/2], [1874412, 665497], [699436, -14679/2], [-3/2, 0]], [[-15869653/2, 2105184], [-45517896, 3009155/2], [-18945585, 5505560], [81/2, -23/2]]], 1, 58, [], [] >,
< [ -1, -1, 1 ], [[100, -26]], [ -2470, 60 ], [ -41, -46 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-37685/2, -5/2], [107860481/14510, 5249/7255], [-37685/2902, -5/2902], [0, 0]], [[-1223425683, 53184947], [3501633319841/7255, -304684379899/14510], [-1223425683/1451, 53184947/1451], [-1592/1451, -1/2902]], [[-13767496763699/2, 25533590763013/2], [39407236028540461/14510, -73079773480342457/14510], [-13767496763699/2902, 25533590763013/2902], [-41067257/7255, 169972273/14510]]], 1, 84, [], [] >,
< [ -1, -1, 1 ], [[122, -48]], [ -2410, -60 ], [ -41, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-136113/2, 0], [-187489671/2902, -707/2902], [155859/2902, 3/2902], [0, 0]], [[-203259327800, 50817179900], [-559961042368897/2902, 69997638459260/1451], [232745168500/1451, -58185900800/1451], [-28737/14510, -1/14510]], [[11754971811874880, -5476288132278960], [161919282639115697587/14510, -37716567234257521657/7255], [-13460152393692080/1451, 6270598370161760/1451], [306290075/2902, -104356735/2902]]], 1, 84, [], [] >,
< [ -1, -1, 1 ], [[-183, 101]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -4], [1/2, 25/12], [2, 21/2], [0, 0]], [[31, -39/2], [-47/4, 47/6], [-377/4, 183/4], [5/24, 0]], [[-58, 36], [89/4, -14], [166, -389/4], [-7/24, 1/8]]], 1, 64, [], [] >,
< [ -1, -1, 1 ], [[-107, 44]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-9, -5], [17/4, 81/26], [11/2, 15/4], [3/52, -5/52]], [[217/2, -21/2], [-93/2, -2], [-62, 0], [-3/2, 5/4]]], 1, 64, [], [] >,
< [ -1, -1, 1 ], [[37, -11]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 3/2], [37, 7/2], [27/2, 5], [0, 0]], [[69/2, -103], [1222, -3009/2], [280, -553], [5/2, -1/2]], [[-96, -89], [-1260, -586], [-497, -385], [0, 2]]], 1, 14, [], [] >,
< [ -1, -1, 1 ], [[41, -15]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 4], [2, 12], [-4, 5], [0, 0]], [[-107/2, 59/2], [-93/2, 64], [-69, 3], [0, 5/2]], [[-145/2, 83/2], [-141/2, 147/2], [-173/2, 37/2], [-1/2, 5/2]]], 1, 14, [], [] >,
< [ -1, -1, 1 ], [[25, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -5/2], [31/2, -27], [-27/2, 17/2], [0, 0]], [[0, 1], [1, -8], [0, 1], [0, 1]], [[-1/2, -1/2], [13/2, 13/2], [-1/2, -1/2], [-1/2, -1/2]]], 1, 6, [], [] >,
< [ -1, -1, 1 ], [[41, -42]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 0], [-827/2, -31/2], [-6, -3/2], [0, 0]], [[5194, -2167/2], [-1419268, 256602], [-39379/2, 228], [3/2, 3/2]], [[-250605, 324699/2], [67359859, -87619309/2], [840071, -1122241/2], [-21, 43/2]]], 1, 36, [], [] >,
< [ -1, -1, 1 ], [[26, -9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -5], [32, -14], [3, 7], [0, 0]], [[75/2, 16], [753, -534], [-93/2, -85/2], [1, -5/2]], [[101/2, -13/2], [1524, -1969/2], [-99/2, -14], [3, -3]]], 1, 6, [], [] >,
< [ -1, -1, 1 ], [[-43, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 1/2], [-9/2, 18], [43/2, -1/2], [0, 0]], [[-977/2, 5285], [-8237, -5774], [1305/2, -19337/2], [2, 3/2]], [[278008, -633257/2], [1134751/2, -69849/2], [-484641, 568775], [-267/2, 3]]], 1, 36, [], [] >,
< [ -1, -1, 1 ], [[26, -6]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-10382, 0], [-16260435/1502, 496/751], [13096/751, 2/751], [2852/751, 5/1502]], [[5675183, -10711191/2], [8889063535/1502, -4194019943/751], [-14315447/1502, 13511123/1502], [-3115437/1502, 2942277/1502]]], 1, 6, [], [] >,
< [ -1, -1, 1 ], [[-42, 19]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-7/2, -2], [-13/7, -11/7], [1/2, -1/2], [-5/28, -1/7]], [[-2, 19/2], [1/4, 21/4], [9/4, -1], [0, 1/2]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[13, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -1], [15/2, 5/2], [9, -5/2], [0, 0]], [[-93/2, -65], [-130, -419/2], [-63, -78], [-3/2, 5/2]], [[-33/2, 141/2], [79, 275/2], [-135/2, 117], [-21, 12]]], 1, 2, [], [] >,
< [ -1, -1, 1 ], [[-26, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 4], [-118, 12], [-4, 6], [0, 0]], [[-897/2, -165/2], [-4461, 10590], [-704, -35/2], [3/2, -2]], [[-1064, 5465/2], [-150715/2, 2777/2], [-2306, 4036], [33/2, -4]]], 1, 10, [], [] >,
< [ -1, -1, 1 ], [[-39, 9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -11/2], [-97/2, -18], [-1/2, -15/2], [0, 0]], [[125, -45/2], [-1389, 2607/2], [199, -105/2], [2, -3/2]], [[19/2, -812], [-17553/2, -1128], [305/2, -1132], [19/2, -2]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-141, 107]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [-31/4, 57/4], [1/4, 0], [0, 0]], [[-3/2, -1], [-8/7, -17/2], [0, 0], [-3/28, -1/14]], [[4, -5/2], [-283/14, 177/14], [0, 0], [2/7, -5/28]]], 1, 88, [], [] >,
< [ -1, -1, 1 ], [[35, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 3/2], [74, -35/2], [17/2, 1], [0, 0]], [[-671/2, 3823/2], [-31719/2, 39427/2], [-1837/2, 5485/2], [1/2, -1/2]], [[-4, 28], [-218, 283], [-12, 40], [0, 0]]], 1, 22, [], [] >,
< [ -1, -1, 1 ], [[35, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[45/2, 5], [507/2, -7/2], [35, 5/2], [0, 0]], [[6941/2, -30979], [222245/2, -302334], [23491/2, -44062], [-5/2, 2]], [[484489/2, 1264714], [-32927/2, 11471968], [269427/2, 1722072], [109/2, -56]]], 1, 22, [], [] >,
< [ -1, -1, 1 ], [[34, -14]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[7905/2, 1], [-3197252/751, -2880/751], [9973/1502, 1/1502], [-1276/751, -5/1502]], [[-26786494, 12975732], [43322600877/1502, -20978156647/1502], [-33796518/751, 16372930/751], [8640432/751, -8362791/1502]]], 1, 6, [], [] >,
< [ -1, -1, 1 ], [[-58, 31]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1, 2], [189/19, -199/38], [129/4, 53/4], [-4/95, -3/380]], [[-5/2, 7/2], [392/19, -433/38], [117/2, 23/2], [-3/38, 0]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[17, -7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1], [7/2, -21/2], [-3, 7/2], [0, 0]], [[-15/2, 5/2], [99/2, -64], [-20, 7], [1, -5/2]], [[-35/2, 16], [463/2, -60], [-97/2, 43], [15/2, 0]]], 1, 2, [], [] >,
< [ -1, -1, 1 ], [[14, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 3/2], [19/2, -1], [5/2, 7/2], [0, 0]], [[0, -3/2], [985/2, -543/2], [6, 0], [-3/2, 0]], [[9, 5/2], [7545/2, -5017/2], [26, -36], [-13/2, 9]]], 1, 10, [], [] >,
< [ -1, -1, 1 ], [[21, -30]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1/2], [109, -27/2], [-13/2, 3], [0, 0]], [[85, 21], [-7692, -9953/2], [653/2, -29/2], [-5/2, 0]], [[-283/2, 349], [1091, -70563/2], [-906, 1226], [13/2, -19/2]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-263, 151]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, -9/2], [-9/2, -36], [-79/2, -5/2], [0, 0]], [[750, -2400], [-244603/38, -101703/38], [21551/4, -7938], [1/76, -1/76]], [[-18600, -9300], [-457627/38, -1216385/19], [-129993/2, -37265/4], [-43/380, 3/190]]], 1, 88, [], [] >,
< [ -1, -1, 1 ], [[75, -38]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, -9/2], [-515/2, -14], [-79/2, -5/2], [0, 0]], [[-11514, 106503/2], [-657290, 1113082], [-198625/2, 171271], [-5/2, -5/2]], [[3312273/2, -2760127/2], [105066945/2, -37929737], [8004879, -5796489], [53, -3/2]]], 1, 22, [], [] >,
< [ -1, -1, 1 ], [[75, -38]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1/2], [7/2, 6], [23/2, -3/2], [0, 0]], [[-5725/2, -1244], [-5003, -15437/2], [-10202, -872], [1/2, -1/2]], [[-4, -14], [-26, -43], [-2, -38], [0, 0]]], 1, 22, [], [] >,
< [ -1, -1, 1 ], [[18, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5, -11/2], [-11/2, -4], [3/2, 3], [-5/2, -1/2]], [[-79, -121/2], [-99, -33], [159/10, 201/5], [-264/5, 33/5]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[9, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -2], [-21, -15], [6, -6], [0, 0]], [[5/2, -3/2], [-30, 13/2], [45/2, -14], [0, 1]], [[1, -1/2], [-12, 5/2], [9, -11/2], [0, 1/2]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[54, -18]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15/2, 21], [9/2, 3/2], [0, 0]], [[0, -5/2], [-77/2, 20], [49/2, -29/2], [5/4, -5/4]], [[5/2, 4], [4, 13/2], [-1/2, -1], [1/2, 3/4]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[36, -27]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 3/2], [-39, 81/2], [9/2, 0], [0, 0]], [[3/2, -2], [-35, 9], [11/2, -9/2], [1, -3/2]], [[1/2, 1], [13/2, 13], [1/2, 1], [1/2, 1]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[-36, 9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -13/2], [-237/2, -78], [-9/2, -15/2], [0, 0]], [[-1/2, 5/2], [3877/2, -2483/2], [-1/2, 5/2], [-1/2, 5/2]], [[192, -54], [-216315, 132408], [192, -54], [192, -54]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[-18, 27]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [-231/2, -21], [9/2, -3/2], [0, 0]], [[-107/2, -40], [5449, 5195/2], [-187, 32], [-5/2, 1/2]], [[135/2, 203], [-6655/2, -17927], [-353/2, 389], [-5/2, 5]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[-117, 27]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, 3], [261/2, -45/2], [-33, 33/2], [0, 0]], [[-1981/2, -417/2], [63953/2, 27518], [-4606, -293], [2, -1/2]], [[8497, 3997/2], [-556175/2, -245821], [78779/2, 6785/2], [-17, 4]]], 1, 160, [], [] >,
< [ -1, -1, 1 ], [[63, -90]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [162, 51/2], [63/2, -12], [0, 0]], [[997, 601/2], [160207/2, 60793], [22157/2, -593/2], [-2, 2]], [[-40699/2, -25545/2], [-3673145/2, -3830163/2], [-412243/2, -107499/2], [53/2, -75/2]]], 1, 160, [], [] >,
< [ -1, -1, 1 ], [[54, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [6, -6], [-15/2, 0], [0, 0]], [[5/2, -5/2], [41/2, -25/2], [-66/5, 9/10], [7/5, -3/10]], [[5, -1], [28, -18], [-6, 21], [1, -2]]], 1, 36, [], [] >,
< [ -1, -1, 1 ], [[54, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [-15, 3], [3, -3/2], [0, 0]], [[-1, -1/2], [6, 33/2], [3/2, 0], [-1/2, 0]], [[1, -1], [9, 0], [-12/5, 9/5], [4/5, -3/5]]], 1, 36, [], [] >,
< [ -1, -1, 1 ], [[10, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 3], [-2, 4], [7, -4], [0, 0]], [[5, -7/2], [5/2, -10], [-15/2, 3/2], [0, -1]], [[-9, 11/2], [-12, 13/2], [10, -13/2], [-1, 1/2]]], 1, 1, [], [] >,
< [ -1, -1, 1 ], [[10, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -3/2], [-3/2, -2], [-9/2, 3/2], [0, 0]], [[-11/2, -5/2], [-1/2, 13/2], [13/2, 13/2], [-1/2, -5/2]], [[59/2, -43/2], [37, -39/2], [-33/2, 16], [-9, 4]]], 2, 1, [], [] >,
< [ -1, -1, 1 ], [[50, -25]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -5/2], [-19, 31/2], [-17/2, 2], [0, 0]], [[132, 62], [61/2, 619], [-338, -663/2], [-21/2, -3/2]], [[-1143/2, -348], [-849/2, -5707/2], [1547, 3367/2], [44, 12]]], 0, 10, [], [] >,
< [ -1, -1, 1 ], [[50, -25]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 3/2], [-49/2, 9], [21/2, 3/2], [0, 0]], [[-13/2, 9/2], [-53/2, 31/2], [27/2, 1/2], [5/2, 5/2]], [[199/2, -125/2], [779/2, -239], [-150, 75], [-14, 1/2]]], 0, 10, [], [] >,
< [ -1, -1, 1 ], [[10, 0]], [ -4, -2 ], [ -2, 0 ], [[[2, -1], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, -1/2], [-1/2, 2], [-7/2, 9/2], [1/4, -1/4]], [[0, 0], [0, -1/2], [1/2, -1], [0, 0]]], 1, 6, [], [] >,
< [ -1, -1, 1 ], [[10, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -3], [11/2, -17/2], [-6, 9/2], [0, 0]], [[105/2, -32], [101, -55], [-147/2, 89/2], [1, -1/2]], [[-5/2, 2], [1/2, 23/2], [3, -7/2], [0, 0]]], 1, 2, [], [] >,
< [ -1, -1, 1 ], [[-175, 100]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 1/2], [240, -315/2], [13/2, 2], [0, 0]], [[-76, -249/2], [-1141/2, -1203/2], [275, 450], [-7/2, 2]], [[15, 25], [115, 120], [-55, -90], [0, 0]]], 0, 50, [], [] >,
< [ -1, -1, 1 ], [[10, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1/2], [-11, 29/2], [-5/2, 0], [0, 0]], [[3/2, -1], [-38, -73/2], [4, 12], [1/2, 3/2]], [[-8, 5], [52, -39], [14, -7], [2, -1]]], 1, 2, [], [] >,
< [ -1, -1, 1 ], [[30, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51/2, 13/2], [7, -3/2], [0, 0]], [[-3/2, -3], [-1, 49], [-5, 10], [0, -3/4]], [[1/2, -1/2], [-2, 1], [0, 0], [3/4, -1/2]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[-45, 30]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [11, -79/2], [-1/2, -4], [0, 0]], [[7, 5/2], [-208, -70], [-35/2, -15], [1/2, -1/2]], [[5/2, -5/2], [-68, 137/2], [-5/2, 5], [0, 0]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[45, -25]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1/2, -3], [-5/38, 70/19], [13/4, -3/4], [1/38, 5/76]], [[8, -12], [-625/38, 673/38], [127/4, -17], [-3/76, 15/76]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[35, -25]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-43/2, -4], [239/28, 3], [3, -9/4], [-23/154, -5/308]], [[-102, -153/2], [175/4, 159/4], [31/4, -8], [-15/22, -5/11]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[25, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [22, -43/2], [-9/2, -1], [0, 0]], [[-133/2, 101/2], [-935, 1155/2], [171/2, -83], [0, 1]], [[-1347/2, 803/2], [-17647/2, 5452], [955, -543], [-5, 3/2]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[-15, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -7/2], [-541/2, -89], [-13/2, 11/2], [0, 0]], [[-7/2, -3], [-64, -213], [3/2, -1/2], [-1, -5/2]], [[0, 1/2], [55/2, 1/2], [0, 0], [1/2, 0]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[-80, 45]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 2], [5/6, -13/12], [1, -9/2], [0, 0]], [[-18, 18], [119/12, -61/6], [29/2, -131/4], [1/8, -5/24]], [[81/2, -63/2], [-269/12, 53/3], [-83/2, 48], [-1/3, 1/3]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[55, -40]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-11/2, 3/2], [-89/52, 105/52], [13/4, -3/2], [0, -1/26]], [[7, -7], [227/52, -17/13], [-5, 15/4], [-3/52, -1/52]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[650, -385]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [1/12, -19/12], [-1/2, -13/2], [0, 0]], [[0, 0], [9, -61/12], [147/4, -569/4], [-1/24, 1/6]], [[0, 0], [-31/4, 49/12], [-5/4, 355/2], [0, -5/24]]], 1, 384, [], [] >,
< [ -1, -1, 1 ], [[365, -195]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[33, -39/2], [-837/52, 245/26], [-17, 41/4], [-1/13, 3/52]], [[-1, -3/2], [17/26, 27/26], [0, 0], [-1/52, -1/26]]], 1, 384, [], [] >,
< [ -1, -1, 1 ], [[125, -40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, 15/2], [643/2, 2], [39/2, -33/2], [0, 0]], [[3672, -177/2], [75077/2, 202843], [-16299/2, 163/2], [-1, 2]], [[77553/2, -77827/2], [-1764252, -458960], [-84840, 172795/2], [-63/2, 10]]], 1, 144, [], [] >,
< [ -1, -1, 1 ], [[-45, 85]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-118, 5/2], [-41/2, 196], [423/2, -1/2], [0, 0]], [[826821/2, -180108], [361834, -840361/2], [-735025, 314933], [-5/2, -3/2]], [[202257166, -274977119/2], [521481183/2, -257186051/2], [-357916935, 244281980], [-795/2, 750]]], 1, 144, [], [] >,
< [ -1, -1, 1 ], [[145, -80]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[9/2, 0], [-1/7, -1/4], [13/4, -1/4], [1/7, -1/14]], [[-11, -13/2], [17/28, 17/14], [-15/2, -15/4], [-1/4, 1/14]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[530, -355]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 5/2], [173/4, -209/4], [-5/4, 5/2], [0, 0]], [[-5, -2], [613/7, -37/28], [-15/4, -5/4], [-3/28, 1/14]], [[-9/2, -7], [51, 277/4], [-13/4, -19/4], [0, 0]]], 1, 528, [], [] >,
< [ -1, -1, 1 ], [[205, -120]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[6, 2], [-659/38, -17/38], [89/4, 2], [-1/76, -3/76]], [[-18, 27/2], [2517/38, -1731/38], [-325/4, 227/4], [-1/19, 1/76]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[940, -565]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 3/2], [7/2, 17], [37/2, -1/2], [0, 0]], [[-47/2, -33/2], [-1147/38, -3969/38], [-149/2, -107/4], [-3/76, 0]], [[0, -445], [-49545/38, -36479/38], [1601/4, -2583/2], [33/76, -47/76]]], 1, 528, [], [] >,
< [ -1, -1, 1 ], [[90, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 21/2], [27/2, 3], [0, 0]], [[2, 9/2], [-15, -41/2], [-33/2, -37], [-1/4, 5/4]], [[3, 3/2], [-3, -15], [-24, -12], [9/4, -3/4]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[-135, 90]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [54, -81/2], [-27/2, -3], [0, 0]], [[72, -37], [1888, -1187], [-317, 124], [1, 1]], [[1053/2, -665/2], [29289/2, -18065/2], [-4335/2, 2815/2], [3/2, -5/2]]], 1, 32, [], [] >,
< [ -1, -1, 1 ], [[-35, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1], [40, -20], [5, 0], [0, 0]], [[4, -10], [-86, 161/2], [1/2, 43/2], [-3/2, 0]], [[19/2, -14], [-161, 257/2], [-6, 27], [-5/2, 1/2]]], 1, 2, [], [] >,
< [ -1, -1, 1 ], [[-30, 10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 13/2], [-87/2, 17], [15/2, 25/2], [0, 0]], [[-5/2, -4], [-85, 45/2], [8, 13], [-3/2, -5/2]], [[0, 0], [644, -398], [0, 0], [0, 0]]], 1, 10, [], [] >,
< [ -1, -1, 1 ], [[-30, 10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 7/2], [51/2, -11], [5/2, 15/2], [0, 0]], [[9/2, 1], [-598, 396], [65/2, -67/2], [1, 5/2]], [[10, -7/2], [-1891, 2379/2], [115, -165/2], [0, 5/2]]], 1, 10, [], [] >,
< [ -1, -1, 1 ], [[165, -105]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -3/2], [355, -425/2], [-11/2, 1], [0, 0]], [[-40, -47], [-1178, -86], [135, 195], [2, 2]], [[49/2, -5], [2108, -2377/2], [-44, -12], [-3/2, 1/2]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-160, 95]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -5], [-11, -16], [-1, -2], [0, 0]], [[7/2, -2], [-1105/38, 75/19], [31/4, -27/4], [0, -5/76]], [[0, 0], [103/38, 115/38], [1/4, 1/2], [1/76, 1/76]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-160, 95]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -5/2], [0, -15/2], [-1/2, -1], [0, 0]], [[0, 0], [-927/38, 699/38], [-5/4, -1/2], [3/76, -5/76]], [[0, 0], [6/19, -49/38], [1/4, 1/4], [0, 1/76]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-130, 85]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -2], [-17, -6], [-5, 0], [0, 0]], [[169/2, 5], [9733/28, -701/28], [477/4, -36], [1/44, 1/308]], [[245/2, -9], [7111/14, -1331/14], [180, -135/2], [1/28, 0]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-130, 85]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [35/4, -10], [1/2, 1/4], [0, 0]], [[-7/2, -1/2], [-117/14, -68/7], [0, 0], [-1/44, -1/308]], [[5/2, -2], [-8/7, -29/14], [0, 0], [5/308, -1/77]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-80, 35]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 4], [-35/2, -105/2], [5, 15/2], [0, 0]], [[0, 0], [1653/2, -1021/2], [3/2, -1], [1, -1/2]], [[0, 0], [-39, 23], [0, 0], [0, 0]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[-55, 10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 2], [170, -40], [8, -1], [0, 0]], [[-9/2, 2], [43, -43/2], [4, -3], [3/2, -3/2]], [[-1, 1], [18, -21/2], [3/2, -1/2], [1/2, 0]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[205, -210]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-60, 5/2], [1405/2, 140], [265/2, -5/2], [0, 0]], [[-598513/2, 16678], [6982679/2, 1272131/2], [660711, -43989/2], [2, 0]], [[15975904, -15466029], [-286799049/2, 362952077/2], [-69009815/2, 34165080], [-101, 207/2]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[-215, 5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 3/2], [-41/2, 6], [-65/2, -25/2], [0, 0]], [[-1225, 1475], [19027/2, -13269/2], [14171/2, -9548], [-2, -5/2]], [[146049, -95178], [-942279, 587528], [-885236, 582492], [43, -1]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[-515, 305]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1/2], [67/4, -49/4], [-5/4, 0], [0, 0]], [[-2, 7/2], [7/2, -31/28], [1/4, 3/4], [-5/28, 5/28]], [[1/2, 1], [-5/7, -19/14], [0, 0], [1/28, 1/14]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[-515, 305]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -2], [11/2, -9/4], [-23/4, 1/4], [0, 0]], [[25/2, 85], [368/7, -757/14], [-21, 77], [-3/28, 1/14]], [[-49/2, -91/2], [3/4, 27/2], [-14, -133/4], [0, 0]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[-735, 445]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[56, 5/2], [-415/38, -20/19], [89, 49/2], [-1/38, -1/38]], [[-1272, 1749/2], [4542/19, -6321/38], [-6779/4, 1237], [15/76, -17/76]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[-735, 445]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1], [-25, 2], [-11, 0], [0, 0]], [[351/2, 9], [3173/2, -8060/19], [2793/4, -613/4], [-1/19, 5/76]], [[-3219, 0], [-561506/19, 336033/38], [-51907/4, 13227/4], [39/38, -91/76]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[495, -315]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [-330, 465/2], [9/2, 6], [0, 0]], [[1, 1/2], [118, -107/2], [-5, -5/2], [1, 1/2]], [[1, -1/2], [262, -319/2], [-5, 5/2], [1, -1/2]]], 1, 160, [], [] >,
< [ -1, -1, 1 ], [[50, -25]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -11/2], [-15/2, -10], [-5/2, -25/2], [0, 0]], [[-8, 7/2], [99/2, -26], [-159/2, 103/2], [-2, 0]], [[9/2, -1/2], [-26, 9], [37, -53/2], [3/2, 1]]], 1, 10, [], [] >,
< [ -1, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [-4, 2], [0, 0]], [[0, 0], [0, 1], [1, 1], [1, 0]], [[0, 0], [2, 2], [0, 0], [0, 0]]], 0, 4, [], [] >,
< [ -1, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[0, 0], [1, -1], [0, 0], [1, 0]], [[0, 0], [4, 0], [0, 0], [0, 0]]], 0, 4, [], [] >,
< [ -1, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[1/2, -3/2], [-4, 10], [-2, 1/2], [5/2, -2]], [[5, 35/2], [-28, -112], [25/2, 5], [-15/2, 25/2]]], 1, 1, [], [] >,
< [ -1, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[-5/2, 1], [11/2, -5], [-5/2, 1], [-5/2, 1]], [[1, 3], [7, 7], [1, 3], [1, 3]]], 2, 1, [], [] >,
< [ -1, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [-2, -21/2], [3/2, 1/2], [5/2, -1]], [[0, 0], [11/2, -7/2], [3/2, -1], [4, -5/2]]], 1, 1, [], [] >,
< [ -1, -1, 1 ], [[-12, 4]], [ -4, -2 ], [ -2, 0 ], [[[2, -1], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [3/2, 2], [1/2, 3/2], [1/2, 0]], [[0, 0], [0, -1/2], [-1/2, 0], [0, 0]]], 1, 1, [], [] >,
< [ -1, -1, 1 ], [[-48, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -10], [4, 6], [0, 0]], [[0, 0], [0, 1], [1, 1], [1, 0]], [[0, 0], [36, -22], [0, 0], [0, 0]]], 0, 24, [], [] >,
< [ -1, -1, 1 ], [[12, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -1], [-2, 9], [0, 0]], [[0, 0], [-29/2, 27/2], [99/2, -65], [1, 5/2]], [[0, 0], [-529, 647/2], [4167/2, -2523/2], [-27/2, 6]]], 1, 3, [], [] >,
< [ -1, -1, 1 ], [[12, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-1/2, 0], [-3/5, 1/5], [-3/10, 1/10]]], 1, 2, [], [] >,
< [ -1, -1, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -30], [6, 0], [0, 0]], [[0, 0], [2, 1], [1, 1], [1, 0]], [[0, 0], [-6, -10], [18, -10], [0, 0]]], 0, 40, [], [] >,
< [ -1, -1, 1 ], [[36, -12]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7/2, 8], [-3/2, -1/2], [0, 0]], [[0, 0], [-2, -21/2], [9/2, -3], [2, 5/2]], [[0, 0], [-23/2, 11], [-37/2, 23/2], [-2, 0]]], 1, 10, [], [] >,
< [ -1, -1, 1 ], [[96, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -28], [2, -2], [0, 0]], [[0, 0], [-14, -1], [1, 1], [1, 0]], [[0, 0], [6, 18], [0, 0], [0, 0]]], 0, 240, [], [] >,
< [ -1, -1, 1 ], [[16, -4]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [626792/751, 3273/1502], [-840/751, -4/751], [3093/1502, 2/751]], [[0, 0], [-142158126/751, 53100686/751], [190361/751, -70907/751], [-350924/751, 131306/751]]], 1, 5, [], [] >,
< [ -1, -1, 1 ], [[-96, 112]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -2], [4, 6], [0, 0]], [[0, 0], [-569/19, 472/19], [20, -5/2], [-5/38, 0]], [[0, 0], [-1836/19, 1411/19], [117/2, -27/2], [-36/95, 9/190]]], 0, 160, [], [] >,
< [ -1, -1, 1 ], [[64, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 16], [2, 8], [0, 0]], [[0, 0], [10, 1], [1, 1], [1, 0]], [[0, 0], [-42, 28], [-6, 6], [0, 0]]], 0, 48, [], [] >,
< [ -1, -1, 1 ], [[-16, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 1], [1, 0], [0, 0]], [[0, 0], [-187/2, -3/2], [3/2, 2], [1, 1/2]], [[0, 0], [-493/2, 225/2], [3/2, 1], [2, -1/2]]], 1, 3, [], [] >,
< [ -1, -1, 1 ], [[-192, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-210, -28], [0, 2], [0, 0]], [[0, 0], [20, 1], [1, 1], [1, 0]], [[0, 0], [-30, 24], [0, 0], [0, 0]]], 0, 480, [], [] >,
< [ -1, -1, 1 ], [[8, -12]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-1500715/751, -241/751], [-4413/751, -4/751], [1, 0]], [[0, 0], [-3820904844/751, 2217999055/1502], [-11233313/751, 3255175/751], [3824355/1502, -1110385/1502]]], 1, 5, [], [] >,
< [ -1, -1, 1 ], [[-128, 16]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 1], [1, 0], [0, 0]], [[0, 0], [-25/7, 23/2], [-1/2, -1/2], [-3/154, -1/77]], [[0, 0], [4, -2], [0, 0], [0, 0]]], 0, 160, [], [] >,
< [ -1, -1, 1 ], [[32, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 32], [6, 4], [0, 0]], [[0, 0], [-2, 1], [1, 1], [1, 0]], [[0, 0], [4, 2], [-2, 2], [0, 0]]], 0, 48, [], [] >,
< [ -1, -1, 1 ], [[-8, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[0, 0], [-43, 3/2], [3/2, 3/2], [3/2, 0]], [[0, 0], [-63/2, 89/2], [-1/2, -2], [1, -3/2]]], 1, 3, [], [] >,
< [ -1, -1, 1 ], [[144, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, -96], [6, 0], [0, 0]], [[0, 0], [26, 1], [1, 1], [1, 0]], [[0, 0], [-194, 10], [-2, 10], [0, 0]]], 0, 480, [], [] >,
< [ -1, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 36], [2, 4], [0, 0]], [[0, 0], [-6, 1], [1, 1], [1, 0]], [[0, 0], [34, -22], [0, 0], [0, 0]]], 0, 80, [], [] >,
< [ -1, -1, 1 ], [[-256, 112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 46], [4, -8], [0, 0]], [[0, 0], [-2, 1], [5, 1], [1, 0]], [[0, 0], [-122, 108], [14, -18], [0, 0]]], 0, 480, [], [] >,
< [ -1, -1, 1 ], [[-48, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 10], [-10, -2], [0, 0]], [[0, 0], [-2, 1], [1, 1], [1, 0]], [[0, 0], [-128, 46], [-28, 0], [0, 0]]], 0, 80, [], [] >,
< [ -1, -1, 1 ], [[176, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [858, -206], [-8, 10], [0, 0]], [[0, 0], [20, 1], [1, 1], [1, 0]], [[0, 0], [20646, -26402], [-480, 84], [0, 0]]], 0, 480, [], [] >,
< [ -1, -1, 1 ], [[-96, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -44], [4, 0], [0, 0]], [[0, 0], [-12, 1], [1, 1], [1, 0]], [[0, 0], [-144, 90], [-16, 10], [0, 0]]], 0, 120, [], [] >,
< [ -1, -1, 1 ], [[64, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -60], [-4, -10], [0, 0]], [[0, 0], [-12, 1], [1, 1], [1, 0]], [[0, 0], [-26, 60], [10, 0], [0, 0]]], 0, 120, [], [] >,
< [ -1, -1, 1 ], [[176, -192]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2/3, 1], [-4, -10], [0, 0]], [[0, 0], [13, -53/6], [-63/2, 35/2], [-1/12, -1/6]], [[0, 0], [7, -13/3], [-16, 10], [0, 0]]], 0, 480, [], [] >,
< [ -1, -1, 1 ], [[-208, 16]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 1], [1, 0], [0, 0]], [[0, 0], [77/13, 19/13], [1, 2], [0, 1/13]], [[0, 0], [45/26, 35/13], [1, 3/2], [1/26, 1/26]]], 0, 480, [], [] >,
< [ -1, -1, 1 ], [[-20, 24]], [ -2410, -60 ], [ -41, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [246, 0], [1, 0], [0, 0]], [[0, 0], [-1336370732/7255, 207369/7255], [-1093010/1451, 145/1451], [28454/7255, 2/7255]], [[0, 0], [1300249718939/7255, -3669569459111/14510], [1063433045/1451, -1500669815/1451], [-55352207/14510, 39068797/7255]]], 1, 10, [], [] >,
< [ -1, -1, 1 ], [[28, -4]], [ -2470, 60 ], [ -41, -46 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4787693/7255, -4916/7255], [-1774/1451, 4/1451], [0, 0]], [[0, 0], [-480133895241/14510, 70669901567/14510], [88963335/1451, -13186005/1451], [-4071/2902, 1/2902]], [[0, 0], [-4304440708038816/7255, 8797274151322152/7255], [1598878511115/1451, -3257409882030/1451], [-121296476/7255, 416334632/7255]]], 1, 10, [], [] >,
< [ -1, -1, 1 ], [[-144, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-530, 40], [-6, -4], [0, 0]], [[0, 0], [-2, 1], [1, 1], [1, 0]], [[0, 0], [12232, -6232], [90, -20], [0, 0]]], 0, 240, [], [] >,
< [ -1, -1, 1 ], [[-80, 112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [442, -140], [6, -8], [0, 0]], [[0, 0], [12, 1], [1, 1], [1, 0]], [[0, 0], [4318, -1258], [56, -80], [0, 0]]], 0, 240, [], [] >,
< [ -1, -1, 1 ], [[-1360, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, -4], [640, 2], [0, 0]], [[0, 0], [6, 1], [-47, 1], [1, 0]], [[0, 0], [-6482, 2450], [42104, -16620], [0, 0]]], 0, 13920, [], [] >,
< [ -1, -1, 1 ], [[-1184, 336]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [486, 4], [-222, 4], [0, 0]], [[0, 0], [-48, 1], [53, 1], [1, 0]], [[0, 0], [85680, -23310], [-39424, 11392], [0, 0]]], 0, 13920, [], [] >,
< [ -1, -1, 1 ], [[200, -52]], [ -2470, 60 ], [ -41, -46 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-329618/5, 1/5], [123, 0], [0, 0]], [[0, 0], [-41827239446061/2902, 909489828243/1451], [39020548120/1451, -1696809400/1451], [6691/14510, -1/7255]], [[0, 0], [-609476800158877644/7255, 1131951659343392828/7255], [227430623378440/1451, -422398824341120/1451], [17899218/7255, -37042611/7255]]], 1, 420, [], [] >,
< [ -1, -1, 1 ], [[244, -96]], [ -2410, -60 ], [ -41, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36789412/1451, 992/1451], [148321/1451, 4/1451], [0, 0]], [[0, 0], [172850483924/7255, -45900181/14510], [139377620/1451, -18490/1451], [-35709/14510, -1/7255]], [[0, 0], [-277459295625722/7255, 94541828819424/7255], [-223728704160/1451, 76233585870/1451], [5731633/1451, -1952416/1451]]], 1, 420, [], [] >,
< [ -1, -1, 1 ], [[1312, -304]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4/3, 1], [-34, -8], [0, 0]], [[0, 0], [-40/3, 43/6], [-159/2, 351/2], [-5/12, 1/6]], [[0, 0], [152/3, -23], [60, -1018], [5/3, -1/3]]], 0, 15360, [], [] >,
< [ -1, -1, 1 ], [[-704, 1008]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, -6], [-4, 17], [0, 0]], [[0, 0], [1192/13, -1393/26], [-301/2, 47/2], [1/26, 1/13]], [[0, 0], [183, -113], [-245, 150], [0, 0]]], 0, 15360, [], [] >,
< [ -1, -1, 1 ], [[592, -176]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 44], [40, 32], [0, 0]], [[0, 0], [2, 1], [9, 1], [1, 0]], [[0, 0], [0, 0], [-106, 66], [0, 0]]], 0, 3360, [], [] >,
< [ -1, -1, 1 ], [[656, -240]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 2], [-32, -18], [0, 0]], [[0, 0], [-26, 1], [21, 1], [1, 0]], [[0, 0], [0, 0], [18, -8], [0, 0]]], 0, 3360, [], [] >,
< [ -1, -1, 1 ], [[400, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -16], [-12, -22], [0, 0]], [[0, 0], [10, 1], [5, 1], [1, 0]], [[0, 0], [-54, 34], [0, 0], [0, 0]]], 0, 1440, [], [] >,
< [ -1, -1, 1 ], [[-656, 672]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1118, 4], [-34, 20], [0, 0]], [[0, 0], [20, 1], [1, 1], [1, 0]], [[0, 0], [14, 32], [0, 0], [0, 0]]], 0, 8640, [], [] >,
< [ -1, -1, 1 ], [[416, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 6], [54, -26], [0, 0]], [[0, 0], [-6, 1], [1, 1], [1, 0]], [[0, 0], [0, 0], [22, -12], [0, 0]]], 0, 1440, [], [] >,
< [ -1, -1, 1 ], [[688, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -18], [-68, 6], [0, 0]], [[0, 0], [-8, 1], [-65, 1], [1, 0]], [[0, 0], [-28, -2], [-128, 56], [0, 0]]], 0, 8640, [], [] >,
< [ -1, -1, 1 ], [[52, -12]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [2415, -1/2], [11, 0], [869/1502, 3/1502]], [[0, 0], [-3775213855/1502, 3554385327/1502], [-8596120/751, 8094770/751], [-901313/1502, 425666/751]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[-304, 368]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 1], [1, 0], [0, 0]], [[0, 0], [89/14, -99/14], [1/2, 2], [-1/7, 3/14]], [[0, 0], [-15/7, -12], [4, 7], [1/7, 3/7]]], 0, 1920, [], [] >,
< [ -1, -1, 1 ], [[208, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 14], [-14, -12], [0, 0]], [[0, 0], [2, 1], [-5, 1], [1, 0]], [[0, 0], [204, -108], [34, 4], [0, 0]]], 0, 480, [], [] >,
< [ -1, -1, 1 ], [[-52, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [127, 2], [-17, 9], [0, 0]], [[0, 0], [77479/2, 83305/2], [-4487/2, 156], [2, 5/2]], [[0, 0], [-560220, 206264], [90765, -53470], [-21, 5]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[-624, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-164, 4], [16, -2], [0, 0]], [[0, 0], [22, 1], [-9, 1], [1, 0]], [[0, 0], [700, -82], [-68, 14], [0, 0]]], 0, 4800, [], [] >,
< [ -1, -1, 1 ], [[-1712, 544]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 1], [1, 0], [0, 0]], [[0, 0], [-82/7, 447/7], [-1, -3], [1/7, -2/7]], [[0, 0], [-1219/14, 181/7], [2, 1/2], [1/2, -3/14]]], 0, 21120, [], [] >,
< [ -1, -1, 1 ], [[560, -576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144, 4], [14, 34], [0, 0]], [[0, 0], [-42, 1], [-5, 1], [1, 0]], [[0, 0], [1512, -1102], [-112, -8], [0, 0]]], 0, 5280, [], [] >,
< [ -1, -1, 1 ], [[560, -576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, -30], [24, 8], [0, 0]], [[0, 0], [2, 1], [-5, 1], [1, 0]], [[0, 0], [134, -80], [34, -18], [0, 0]]], 0, 5280, [], [] >,
< [ -1, -1, 1 ], [[68, -28]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [4730613/1502, -758/751], [13397/751, 3/751], [-3545/1502, 1/1502]], [[0, 0], [-64090267885/1502, 31018361749/1502], [-181454532/751, 87792382/751], [24013355/751, -23243413/1502]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[432, -64]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -10], [-30, 2], [0, 0]], [[0, 0], [-206, 195/19], [-5279/2, 2879/2], [11/95, 1/190]], [[0, 0], [11204/19, -13353/19], [24129/2, -16023/2], [-28/95, 77/190]]], 0, 1920, [], [] >,
< [ -1, -1, 1 ], [[272, -112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 22], [-50, 40], [0, 0]], [[0, 0], [0, 1], [11, 1], [1, 0]], [[0, 0], [-4, 12], [-20, -6], [0, 0]]], 0, 480, [], [] >,
< [ -1, -1, 1 ], [[28, -40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -25], [-20, 5], [0, 0]], [[0, 0], [1001, 2013/2], [1777/2, -491/2], [5/2, -2]], [[0, 0], [44705/2, 62515/2], [19587/2, 2368], [16, -45/2]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[336, -480]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, -16], [50, -40], [0, 0]], [[0, 0], [22, 1], [3, 1], [1, 0]], [[0, 0], [-38, 4], [-20, 16], [0, 0]]], 0, 4800, [], [] >,
< [ -1, -1, 1 ], [[-624, 1168]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -22], [12, -14], [0, 0]], [[0, 0], [3231/19, 3370/19], [-195, 213/2], [1/10, 1/95]], [[0, 0], [-51888/19, -34114/19], [5127, -2995], [-42/19, 9/19]]], 0, 21120, [], [] >,
< [ -1, -1, 1 ], [[1200, -608]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 44], [36, 2], [0, 0]], [[0, 0], [-110, 1], [11, 1], [1, 0]], [[0, 0], [-494, 294], [228, -156], [0, 0]]], 0, 5280, [], [] >,
< [ -1, -1, 1 ], [[1200, -608]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, 16], [32, -8], [0, 0]], [[0, 0], [110, 1], [11, 1], [1, 0]], [[0, 0], [60, -26], [-26, 12], [0, 0]]], 0, 5280, [], [] >,
< [ -1, -1, 1 ], [[36, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [3, 5/2], [108/5, 9/5], [13/10, 2/5]], [[0, 0], [1/2, 1/2], [12/5, 6/5], [1/5, 1/10]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 24], [-12, 18], [0, 0]], [[0, 0], [2, 3], [1, 3], [1, 0]], [[0, 0], [42, -126], [24, -96], [0, 0]]], 0, 320, [], [] >,
< [ -1, -1, 1 ], [[108, -36]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27/2, 3/2], [-6, 3/2], [0, 0]], [[0, 0], [11/2, -5/2], [1, -5/2], [1/2, -3/2]], [[0, 0], [3, -7/2], [9/2, 4], [5/2, 5/2]]], 1, 80, [], [] >,
< [ -1, -1, 1 ], [[576, -432]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 24], [18, -12], [0, 0]], [[0, 0], [4, 3], [1, 3], [1, 0]], [[0, 0], [-12, -6], [0, 0], [0, 0]]], 0, 1920, [], [] >,
< [ -1, -1, 1 ], [[-576, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [306, 18], [0, 12], [0, 0]], [[0, 0], [20, 3], [1, 3], [1, 0]], [[0, 0], [3486, -2850], [-114, 30], [0, 0]]], 0, 3840, [], [] >,
< [ -1, -1, 1 ], [[-288, 432]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-192, -102], [-24, 18], [0, 0]], [[0, 0], [-10, 3], [1, 3], [1, 0]], [[0, 0], [-1668, -1992], [-66, 84], [0, 0]]], 0, 3840, [], [] >,
< [ -1, -1, 1 ], [[-1872, 432]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, -12], [24, -102], [0, 0]], [[0, 0], [-16, 3], [19, 3], [1, 0]], [[0, 0], [-1320, 1254], [972, -270], [0, 0]]], 0, 38400, [], [] >,
< [ -1, -1, 1 ], [[1008, -1440]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 0], [-90, -60], [0, 0]], [[0, 0], [14, 3], [-5, 3], [1, 0]], [[0, 0], [-60, 48], [-42, 60], [0, 0]]], 0, 38400, [], [] >,
< [ -1, -1, 1 ], [[108, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -15], [-15, 15], [0, 0]], [[0, 0], [-52, -283/2], [93/5, 534/5], [3/10, 2/5]], [[0, 0], [54, -36], [-75, 48], [0, 0]]], 1, 180, [], [] >,
< [ -1, -1, 1 ], [[108, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 6], [3, -9], [0, 0]], [[0, 0], [51, -15/2], [192/5, -174/5], [7/10, -2/5]], [[0, 0], [-3, -12], [6, 3], [0, 0]]], 1, 180, [], [] >,
< [ -1, -1, 1 ], [[160, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -6], [10, 10], [0, 0]], [[0, 0], [2, 1], [3, 1], [1, 0]], [[0, 0], [0, 0], [22, -14], [0, 0]]], 0, 80, [], [] >,
< [ -1, -1, 1 ], [[160, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -10], [-4, 18], [0, 0]], [[0, 0], [4, 1], [5, 1], [1, 0]], [[0, 0], [-46, 32], [120, -80], [0, 0]]], 0, 120, [], [] >,
< [ -1, -1, 1 ], [[400, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -18], [16, 8], [0, 0]], [[0, 0], [25, -30], [60, -5], [15, -5]], [[0, 0], [-59, 43], [-91, 42], [-24, 13]]], 0, 2400, [], [] >,
< [ -1, -1, 1 ], [[400, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 42], [14, 2], [0, 0]], [[0, 0], [-119, 73], [11, -22], [20, -15]], [[0, 0], [11, -7], [-1, 2], [-4, 3]]], 0, 2400, [], [] >,
< [ -1, -1, 1 ], [[20, 0]], [ -4, -2 ], [ -2, 0 ], [[[2, -1], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-3, -1/2], [-17/2, 2], [5/2, 5/2]], [[0, 0], [-8, 4], [-28, 16], [7/2, -1/2]]], 1, 6, [], [] >,
< [ -1, -1, 1 ], [[160, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 6], [-16, 22], [0, 0]], [[0, 0], [0, 1], [-3, 1], [1, 0]], [[0, 0], [0, 0], [-2, 4], [0, 0]]], 0, 96, [], [] >,
< [ -1, -1, 1 ], [[-7200, 4400]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, 70], [-8, -4], [0, 0]], [[0, 0], [102, -39], [-1, 7], [-11, 12]], [[0, 0], [-91, 57], [7, -4], [18, -11]]], 0, 12000, [], [] >,
< [ -1, -1, 1 ], [[20, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, 30], [9, -3], [0, 0]], [[0, 0], [27/2, 81/2], [11/2, 9], [0, -5/2]], [[0, 0], [45/2, -20], [0, -3/2], [-7/2, 5/2]]], 1, 6, [], [] >,
< [ -1, -1, 1 ], [[60, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15/2, -11/2], [1, -9/2], [0, 0]], [[0, 0], [-9/2, 17/2], [-2, 3/2], [-5/2, 0]], [[0, 0], [3, 5], [0, 0], [-1, -3/2]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-720, 480]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, -50], [24, 2], [0, 0]], [[0, 0], [-4, -1], [-3, 1], [1, 0]], [[0, 0], [-2934, 1848], [-510, 420], [0, 0]]], 0, 960, [], [] >,
< [ -1, -1, 1 ], [[-320, 80]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -10], [8, 2], [0, 0]], [[0, 0], [39/19, 66/19], [51, -57/2], [1/38, 1/19]], [[0, 0], [0, 0], [68, -42], [0, 0]]], 0, 960, [], [] >,
< [ -1, -1, 1 ], [[-160, 240]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 0], [4, 2], [0, 0]], [[0, 0], [29/2, -75/7], [46, -9/2], [15/154, -1/154]], [[0, 0], [38, -132/7], [58, -96], [9/77, -16/77]]], 0, 960, [], [] >,
< [ -1, -1, 1 ], [[880, -480]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, -22], [-40, 30], [0, 0]], [[0, 0], [-78, 1], [5, 1], [1, 0]], [[0, 0], [42, -34], [-28, 16], [0, 0]]], 0, 1920, [], [] >,
< [ -1, -1, 1 ], [[240, -320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [418, -6], [-16, 2], [0, 0]], [[0, 0], [-90, 1], [-3, 1], [1, 0]], [[0, 0], [-5450, 9210], [248, -336], [0, 0]]], 0, 1920, [], [] >,
< [ -1, -1, 1 ], [[560, -160]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/3, 0], [-2, -16], [0, 0]], [[0, 0], [2/3, 1/6], [97/2, -59/2], [-1/4, 1/3]], [[0, 0], [0, 1], [-55, 35], [1/2, 0]]], 0, 2880, [], [] >,
< [ -1, -1, 1 ], [[-240, 400]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -2], [-8, -4], [0, 0]], [[0, 0], [-4393/26, 3317/26], [97/2, -52], [2/13, 1/26]], [[0, 0], [-5877/13, 2881/13], [163, -46], [1/13, -5/13]]], 0, 2880, [], [] >,
< [ -1, -1, 1 ], [[1920, -2320]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -2/3], [182, -114], [0, 0]], [[0, 0], [11/6, 2], [72, -143/2], [-1/12, 1/12]], [[0, 0], [1/3, 1/3], [0, 0], [0, 0]]], 0, 92160, [], [] >,
< [ -1, -1, 1 ], [[-2720, 400]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, 25], [29, -38], [0, 0]], [[0, 0], [-191/2, 1881/26], [249/2, -99], [-1/13, -1/26]], [[0, 0], [-3895/26, 1167/13], [197, -233/2], [-1/26, 1/26]]], 0, 92160, [], [] >,
< [ -1, -1, 1 ], [[-2000, 640]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [530, -10], [-152, 114], [0, 0]], [[0, 0], [20, 1], [77, 1], [1, 0]], [[0, 0], [-122, -5246], [-1088, 336], [0, 0]]], 0, 34560, [], [] >,
< [ -1, -1, 1 ], [[720, -1360]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138, 96], [36, 8], [0, 0]], [[0, 0], [-8, 1], [-65, 1], [1, 0]], [[0, 0], [14, -18], [-22, -26], [0, 0]]], 0, 34560, [], [] >,
< [ -1, -1, 1 ], [[-1040, 240]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -4], [12, -9], [0, 0]], [[0, 0], [-123/2, -671/7], [18, -97/2], [1/14, -1/14]], [[0, 0], [13, 22], [12, 1], [0, 0]]], 0, 11520, [], [] >,
< [ -1, -1, 1 ], [[-2800, 2880]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, -66], [8, -11], [0, 0]], [[0, 0], [-10699/14, 2434/7], [-173, 187/2], [1/14, -3/14]], [[0, 0], [1149/7, -2035/14], [83/2, -61/2], [-1/14, 0]]], 0, 126720, [], [] >,
< [ -1, -1, 1 ], [[560, -800]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -8], [42, -38], [0, 0]], [[0, 0], [656/19, 895/19], [-25/2, 119/2], [2/19, -1/38]], [[0, 0], [-1476/19, -3710/19], [-366, 42], [12/19, -10/19]]], 0, 11520, [], [] >,
< [ -1, -1, 1 ], [[-2960, 80]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 6], [20, -16], [0, 0]], [[0, 0], [-89/19, -207/19], [-163/2, 52], [-1/38, -3/38]], [[0, 0], [-101/19, -272/19], [-128, 163/2], [-1/38, -2/19]]], 0, 126720, [], [] >,
< [ -1, -1, 1 ], [[180, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39/2, -9], [-21/2, -3/2], [0, 0]], [[0, 0], [-2695/2, 887], [-1873/2, 1201/2], [1/2, 0]], [[0, 0], [-525/2, 99], [-345/2, 165/2], [0, 0]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-2160, 1440]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, 66], [84, -78], [0, 0]], [[0, 0], [4, 3], [1, 3], [1, 0]], [[0, 0], [0, 0], [-6, -18], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[-560, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -20], [2, -14], [0, 0]], [[0, 0], [4, 3], [-3, 1], [1, 0]], [[0, 0], [140, -90], [30, -10], [0, 0]]], 0, 480, [], [] >,
< [ -1, -1, 1 ], [[-60, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -23], [-15, -20], [0, 0]], [[0, 0], [223/2, -131/2], [-25/2, 42], [1, 3/2]], [[0, 0], [318, -196], [-80, 50], [0, 0]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[-60, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 43], [25, 20], [0, 0]], [[0, 0], [-5653/2, 2001/2], [845/2, -1041], [1, 5/2]], [[0, 0], [-8264, 5378], [2720, -1398], [-2, 0]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[2640, -1680]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-300, 200], [-36, 22], [0, 0]], [[0, 0], [-10, 11], [-3, 1], [1, 0]], [[0, 0], [0, -30], [0, 0], [0, 0]]], 0, 4800, [], [] >,
< [ -1, -1, 1 ], [[-480, 560]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -12], [10, -8], [0, 0]], [[0, 0], [-704/19, 1011/19], [-83/2, 73/2], [-2/19, -3/38]], [[0, 0], [1536/19, -477/19], [135/2, -65/2], [0, -5/38]]], 0, 4800, [], [] >,
< [ -1, -1, 1 ], [[-480, 560]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 8], [-2, -2], [0, 0]], [[0, 0], [477/19, -679/19], [5/2, 5], [5/38, 5/38]], [[0, 0], [-1210/19, 35], [3/2, 1/2], [-1/19, 3/38]]], 0, 4800, [], [] >,
< [ -1, -1, 1 ], [[-640, 80]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 19], [5, 5], [0, 0]], [[0, 0], [-12123/14, 7465/14], [17/2, -52], [-6/77, 3/154]], [[0, 0], [13229/14, -8195/14], [-135/2, -40], [4/77, -13/154]]], 0, 4800, [], [] >,
< [ -1, -1, 1 ], [[-640, 80]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -13], [-11, -3], [0, 0]], [[0, 0], [-1146/7, -1037/14], [-195/2, -105/2], [-39/154, -2/77]], [[0, 0], [-617/14, 397/14], [-59/2, 19], [-1/11, 9/154]]], 0, 4800, [], [] >,
< [ -1, -1, 1 ], [[-1280, 560]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -52], [0, 40], [0, 0]], [[0, 0], [12, 1], [1, -1], [1, 0]], [[0, 0], [-26, 22], [-20, 10], [0, 0]]], 0, 9600, [], [] >,
< [ -1, -1, 1 ], [[880, -160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-800, -210], [0, 10], [0, 0]], [[0, 0], [16, -1], [-3, 1], [1, 0]], [[0, 0], [-6960, 7120], [-94, 18], [0, 0]]], 0, 9600, [], [] >,
< [ -1, -1, 1 ], [[-3280, 3360]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [960, 50], [-44, 8], [0, 0]], [[0, 0], [-64, -1], [77, 1], [1, 0]], [[0, 0], [7620, -10160], [-458, 446], [0, 0]]], 0, 172800, [], [] >,
< [ -1, -1, 1 ], [[3440, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, -20], [760, 0], [0, 0]], [[0, 0], [-8, 1], [21, -1], [1, 0]], [[0, 0], [-86, 2], [750, -150], [0, 0]]], 0, 172800, [], [] >,
< [ -1, -1, 1 ], [[-1520, 1840]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -7], [-5, 5], [0, 0]], [[0, 0], [-121/14, 45/14], [17/2, -7], [0, 1/14]], [[0, 0], [-14, 8], [14, -8], [0, 0]]], 0, 57600, [], [] >,
< [ -1, -1, 1 ], [[-1520, 1840]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41, 27], [-13, 6], [0, 0]], [[0, 0], [-3247/14, 131], [-48, 137/2], [-1/14, -3/14]], [[0, 0], [-4608/7, 2896/7], [-198, 106], [1/7, 0]]], 0, 57600, [], [] >,
< [ -1, -1, 1 ], [[2160, -320]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -8], [78, -36], [0, 0]], [[0, 0], [727/19, 664/19], [-262, 373/2], [1/38, -2/19]], [[0, 0], [-1302/19, 1547/19], [3877/2, -2369/2], [-9/19, 9/38]]], 0, 57600, [], [] >,
< [ -1, -1, 1 ], [[2160, -320]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, -28], [-24, 6], [0, 0]], [[0, 0], [50, -711/19], [9/2, 105/2], [-2/19, 5/38]], [[0, 0], [-3032/19, 1650/19], [107, 42], [9/19, -3/19]]], 0, 57600, [], [] >,
< [ -1, -1, 1 ], [[2160, -720]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 0], [-180, -30], [0, 0]], [[0, 0], [10, -9], [1, 3], [1, 0]], [[0, 0], [660, -270], [-1836, 612], [0, 0]]], 0, 38400, [], [] >,
< [ -1, -1, 1 ], [[800, -400]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -10], [40, 30], [0, 0]], [[0, 0], [4, 3], [1, 3], [1, 0]], [[0, 0], [680, -400], [350, -140], [0, 0]]], 0, 2400, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 12], [-40, -40], [0, 0]], [[0, 0], [-226, 168], [268, -258], [10, -10]], [[0, 0], [-154, 140], [160, -246], [6, -10]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 36], [-20, 12], [0, 0]], [[0, 0], [-96, -156], [4, 4], [4, 0]], [[0, 0], [76, 126], [-6, -2], [-10, 4]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -1], [1, 0], [0, 0]], [[0, 0], [3, 33/2], [1/2, 1/2], [1/2, 0]], [[0, 0], [-4, 0], [0, 0], [0, 0]]], 1, 2, [], [] >,
< [ -1, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -8], [-4, 12], [0, 0]], [[0, 0], [2, 1], [1, 1], [1, 0]], [[0, 0], [8, -12], [40, -20], [0, 0]]], 0, 64, [], [] >,
< [ -1, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -18], [10, 8], [0, 0]], [[0, 0], [-2, -3], [1, 1], [1, 0]], [[0, 0], [-72, 18], [14, 0], [0, 0]]], 0, 64, [], [] >,
< [ -1, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -4], [4, -8], [0, 0]], [[0, 0], [-2, -3], [1, 1], [1, 0]], [[0, 0], [8, 14], [2, 4], [0, 0]]], 0, 64, [], [] >,
< [ -1, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, -30], [-8, 6], [0, 0]], [[0, 0], [-2, 1], [1, 1], [1, 0]], [[0, 0], [24, 58], [-2, -8], [0, 0]]], 0, 64, [], [] >,
< [ -1, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -44], [8, -4], [0, 0]], [[0, 0], [2, -3], [1, 1], [1, 0]], [[0, 0], [118, 94], [4, -10], [0, 0]]], 0, 64, [], [] >,
< [ -1, -1, 1 ], [[-64, 128]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [-2, 8], [0, 0], [-6, -6]], [[0, 0], [-24, 12], [0, 0], [-6, 8]]], 0, 256, [], [] >,
< [ -1, -1, 1 ], [[192, -64]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[0, 0], [0, 2], [0, 0], [1, 0]], [[0, 0], [4, 0], [0, 0], [0, 0]]], 0, 256, [], [] >,
< [ -1, -1, 1 ], [[192, -64]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [2, 2], [0, 0], [1, 0]], [[0, 0], [4, 0], [0, 0], [0, 0]]], 0, 256, [], [] >,
< [ -1, -1, 1 ], [[192, -64]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[0, 0], [2, 2], [0, 0], [1, 0]], [[0, 0], [4, 0], [0, 0], [0, 0]]], 0, 256, [], [] >,
< [ -1, -1, 1 ], [[-24, 8]], [ -4, -2 ], [ -2, 0 ], [[[2, -1], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, -15/2], [-1, 1/2], [0, 0]], [[0, 0], [2, 2], [0, 0], [0, 0]], [[0, 0], [0, 0], [0, 0], [1/2, 0]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[-192, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 4], [-32, -16], [0, 0]], [[0, 0], [2, 1], [9, 1], [1, 0]], [[0, 0], [-24, 12], [-32, 4], [0, 0]]], 0, 384, [], [] >,
< [ -1, -1, 1 ], [[192, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -10], [-16, 20], [0, 0]], [[0, 0], [-51, 5], [-1688/5, 1056/5], [16/5, 3/5]], [[0, 0], [72, -70], [3608/5, -2216/5], [-16/5, 22/5]]], 0, 512, [], [] >,
< [ -1, -1, 1 ], [[192, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 12], [4, -8], [0, 0]], [[0, 0], [6, -32], [48/5, 114/5], [-16/5, 2/5]], [[0, 0], [19, -12], [-22/5, 14/5], [-11/5, 7/5]]], 0, 512, [], [] >,
< [ -1, -1, 1 ], [[192, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 8], [10, 6], [0, 0]], [[0, 0], [-2, 7], [4, -12], [-5, 0]], [[0, 0], [-44, 32], [398/5, -286/5], [-186/5, 102/5]]], 0, 512, [], [] >,
< [ -1, -1, 1 ], [[192, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 2], [10, -10], [0, 0]], [[0, 0], [-39, 11], [-166/5, 82/5], [-18/5, 1/5]], [[0, 0], [-3, -1], [-4/5, -2/5], [-2/5, -1/5]]], 0, 512, [], [] >,
< [ -1, -1, 1 ], [[24, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [5, -7], [16/5, -2/5], [8/5, -1/5]], [[0, 0], [-41/2, -19/2], [0, 9], [0, 9/2]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[576, -192]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [24, -44], [0, 0], [-8, -6]], [[0, 0], [-50, 10], [0, 0], [0, -8]]], 0, 2560, [], [] >,
< [ -1, -1, 1 ], [[-256, 64]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [933328/751, 3486/751], [-7332/751, 8/751], [0, 0]], [[0, 0], [-5073518064/751, 7693388338/751], [40123304/751, -60347204/751], [-3844/751, -4/751]], [[0, 0], [-15111931678048/751, 2760667607195/751], [118812495374/751, -22115334758/751], [-3220497/751, 5425434/751]]], 0, 640, [], [] >,
< [ -1, -1, 1 ], [[-256, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, 0], [20, 0], [0, 0]], [[0, 0], [-6, 1], [1, 1], [1, 0]], [[0, 0], [-48, 12], [16, -4], [0, 0]]], 0, 768, [], [] >,
< [ -1, -1, 1 ], [[-128, 192]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [450700/751, 6036/751], [-3476/751, -12/751], [0, 0]], [[0, 0], [-3645319148/751, 1350731653/751], [28231890/751, -10585592/751], [3451/751, 5/751]], [[0, 0], [6376461408230/751, -6386933013510/751], [-49663207304/751, 49299787560/751], [-3157104/751, 7747344/751]]], 0, 640, [], [] >,
< [ -1, -1, 1 ], [[-128, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, -32], [0, 20], [0, 0]], [[0, 0], [-14, 1], [1, 1], [1, 0]], [[0, 0], [-436, 152], [-24, 32], [0, 0]]], 0, 768, [], [] >,
< [ -1, -1, 1 ], [[320, -384]], [ -2410, -60 ], [ -41, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14595696/7255, 21898/7255], [11752/1451, 20/1451], [0, 0]], [[0, 0], [-306686396356/7255, -43830927363/7255], [-246984746/1451, -35339854/1451], [20633/7255, 4/7255]], [[0, 0], [219806694441768/7255, -404378465420451/7255], [176965287618/1451, -325674644166/1451], [-18515851/7255, 26120952/7255]]], 0, 2560, [], [] >,
< [ -1, -1, 1 ], [[-448, 64]], [ -2470, 60 ], [ -41, -46 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15156/5, 2/5], [-16, 0], [0, 0]], [[0, 0], [75178631/7255, -26433327/7255], [78554/1451, -30460/1451], [-6409/7255, 3/7255]], [[0, 0], [-20381817496/1451, 23818152906/1451], [-112477940/1451, 120186672/1451], [787674/1451, -2704248/1451]]], 0, 2560, [], [] >,
< [ -1, -1, 1 ], [[-3200, 832]], [ -2470, 60 ], [ -41, -46 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [816225596/7255, -14272/7255], [861412/1451, -12/1451], [0, 0]], [[0, 0], [1701039525712181/7255, 141746785508138/7255], [1795209816920/1451, 149600830406/1451], [6127/7255, -4/7255]], [[0, 0], [-439373000659744932/1451, 1148481496716201385/1451], [-2318462141194618/1451, 6060321196444422/1451], [-1915632/1451, 3964347/1451]]], 0, 107520, [], [] >,
< [ -1, -1, 1 ], [[1536, -2368]], [ -2410, -60 ], [ -41, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2248507088/7255, -20684/7255], [-1813256/1451, -12/1451], [0, 0]], [[0, 0], [-12079209291735258/7255, 929128830675251/7255], [-9740998127314/1451, 749297439926/1451], [-6123/7255, -4/7255]], [[0, 0], [89221728104076616243/7255, -34059163712774452026/7255], [71950849497912764/1451, -27466331801965450/1451], [8812171/1451, -3002407/1451]]], 0, 107520, [], [] >,
< [ -1, -1, 1 ], [[-832, 192]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17574034/751, -5044/751], [137812/751, 16/751], [0, 0]], [[0, 0], [5426968417940/751, -2713160284832/751], [-42560789648/751, 21279685316/751], [-2, 0]], [[0, 0], [-6156782682202682/751, 3165946034342401/751], [48284448341918/751, -24830708355608/751], [1655349/751, -97289/751]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[-832, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [212, 12], [-56, -4], [0, 0]], [[0, 0], [10, 1], [21, 1], [1, 0]], [[0, 0], [-6120, 1700], [1608, -432], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[448, -640]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23692420/751, -7538/751], [185764/751, 12/751], [0, 0]], [[0, 0], [14889119592686/751, -6616848359676/751], [-116753498344/751, 51896850728/751], [4, 0]], [[0, 0], [10738290089656703/751, -7554856659196270/751], [-84210184815228/751, 59241298662158/751], [1469783/751, -1567823/751]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[448, -640]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, 4], [4, -12], [0, 0]], [[0, 0], [14, 1], [-19, 1], [1, 0]], [[0, 0], [-16, 4], [0, 0], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[576, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 4], [-36, -60], [0, 0]], [[0, 0], [-22, 7], [-108/5, -24/5], [-9/5, -2/5]], [[0, 0], [617, -387], [2184/5, -1428/5], [182/5, -119/5]]], 0, 5120, [], [] >,
< [ -1, -1, 1 ], [[576, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 24], [30, 12], [0, 0]], [[0, 0], [7, 15], [108/5, 54/5], [4/5, -3/5]], [[0, 0], [4, 2], [0, 6], [0, 0]]], 0, 5120, [], [] >,
< [ -1, -1, 1 ], [[576, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 12], [24, -6], [0, 0]], [[0, 0], [-40, 3], [-102/5, 204/5], [19/5, 2/5]], [[0, 0], [-791, 606], [-984, 456], [65, -55]]], 0, 5120, [], [] >,
< [ -1, -1, 1 ], [[576, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 18], [18, -12], [0, 0]], [[0, 0], [-22, -34], [288/5, 24/5], [24/5, 2/5]], [[0, 0], [-84, -125], [1716/5, -312/5], [143/5, -26/5]]], 0, 5120, [], [] >,
< [ -1, -1, 1 ], [[72, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 2], [-3, 15], [0, 0]], [[0, 0], [-69, -60], [-189/5, -822/5], [3/5, -1/5]], [[0, 0], [167/2, -205/2], [-1281/5, 327/5], [-13/5, 17/10]]], 1, 80, [], [] >,
< [ -1, -1, 1 ], [[1728, -576]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, 0], [3, -9], [0, 0]], [[0, 0], [-201, -48], [3, -69], [-6, 0]], [[0, 0], [52, -371], [-113, -62], [4, -10]]], 0, 20480, [], [] >,
< [ -1, -1, 1 ], [[1728, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 24], [48, -36], [0, 0]], [[0, 0], [-359, -609], [876/5, -132/5], [-22/5, -1/5]], [[0, 0], [-1154, -3224], [34416/5, -19332/5], [-782/5, 414/5]]], 0, 46080, [], [] >,
< [ -1, -1, 1 ], [[1728, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -24], [-36, 36], [0, 0]], [[0, 0], [-30, -57], [-96, 72], [-1, 0]], [[0, 0], [9, -60], [-4332/5, 2724/5], [-31/5, 17/5]]], 0, 46080, [], [] >,
< [ -1, -1, 1 ], [[40, 0]], [ -4, -2 ], [ -2, 0 ], [[[2, -1], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -11/2], [9/2, 1], [0, 0]], [[0, 0], [17/2, -27], [-45/2, 45/2], [-3/2, 5/2]], [[0, 0], [197/2, -167/2], [-153, 207/2], [-12, 9]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[320, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -11], [-8, 1], [0, 0]], [[0, 0], [101, 151], [24, 57], [10, -8]], [[0, 0], [0, 0], [0, 0], [-10, 6]]], 0, 1536, [], [] >,
< [ -1, -1, 1 ], [[320, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 5], [6, 3], [0, 0]], [[0, 0], [0, 2], [0, 0], [1, 0]], [[0, 0], [15, -9], [-4, 3], [0, 0]]], 0, 1536, [], [] >,
< [ -1, -1, 1 ], [[320, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -13], [-9, -2], [0, 0]], [[0, 0], [2, 0], [0, 0], [1, 0]], [[0, 0], [24, 16], [0, 20], [0, 0]]], 0, 1536, [], [] >,
< [ -1, -1, 1 ], [[320, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37, -13], [-10, 5], [0, 0]], [[0, 0], [2, 2], [0, 0], [1, 0]], [[0, 0], [-50, -11], [11, -2], [0, 0]]], 0, 1536, [], [] >,
< [ -1, -1, 1 ], [[640, -320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 44], [80, -60], [0, 0]], [[0, 0], [2, 1], [9, 1], [1, 0]], [[0, 0], [0, 0], [-12, -16], [0, 0]]], 0, 1536, [], [] >,
< [ -1, -1, 1 ], [[960, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, -32], [-1, -3], [0, 0]], [[0, 0], [-60, 42], [0, 0], [0, 6]], [[0, 0], [-172, 110], [0, 0], [-6, 8]]], 0, 15360, [], [] >,
< [ -1, -1, 1 ], [[2880, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -18], [-33, -9], [0, 0]], [[0, 0], [10, -14], [52, -44], [-2, 2]], [[0, 0], [-3, 0], [-9, 3], [0, 0]]], 0, 122880, [], [] >,
< [ -1, -1, 1 ], [[-960, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 16], [20, -100], [0, 0]], [[0, 0], [2, 1], [-7, -7], [1, 0]], [[0, 0], [68, -56], [280, -140], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[-960, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -4], [-20, 40], [0, 0]], [[0, 0], [2, 1], [5, 9], [1, 0]], [[0, 0], [0, 0], [-20, 0], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -12], [2, -2], [0, 0]], [[0, 0], [-25/2, -3], [-2, 3/2], [-3/2, 1/2]], [[0, 0], [-13/2, -23], [2, -1/2], [1/2, -3/2]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -18], [-8, 6], [0, 0]], [[0, 0], [-19/2, 56], [12, -25/2], [-5/2, 5/2]], [[0, 0], [113/2, 121/2], [-21/2, -3], [2, 1/2]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -10], [4, 2], [0, 0]], [[0, 0], [61/2, -107/2], [25/2, 5], [1, -5/2]], [[0, 0], [405/2, -179], [43, -13/2], [15/2, -15/2]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 10], [-6, 8], [0, 0]], [[0, 0], [-1, -1/2], [-17/2, 3/2], [3/2, -2]], [[0, 0], [3/2, 1], [22, -15/2], [-9/2, 9/2]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[1024, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 32], [-12, -12], [0, 0]], [[0, 0], [12, -6], [22, 34], [-2, 4]], [[0, 0], [32, -22], [-14, -26], [-10, 4]]], 0, 16384, [], [] >,
< [ -1, -1, 1 ], [[1024, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-224, 132], [-20, -16], [0, 0]], [[0, 0], [1578, -1114], [58, -28], [0, 10]], [[0, 0], [-548, 248], [-16, 12], [4, 4]]], 0, 16384, [], [] >,
< [ -1, -1, 1 ], [[-48, 16]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [19/2, -5], [-3/2, 1/2], [2, -3/2]], [[0, 0], [-5/2, -4], [3/2, 5/2], [1, 3/2]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[-48, 16]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [-11/2, 3], [-5/2, -5/2], [-5/2, 0]], [[0, 0], [1, -1/2], [-1/2, -1], [0, -1/2]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[-48, 16]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [-13/2, -1/2], [-2, -3/2], [-2, -3/2]], [[0, 0], [-15, 8], [-3, 1], [-3, 1]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[-48, 16]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -25/2], [5/2, 2], [0, 0]], [[0, 0], [-42, 29/2], [-9/2, 6], [0, 0]], [[0, 0], [0, 0], [0, 0], [1, 0]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[48, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 8], [6, 10], [0, 0]], [[0, 0], [-127/2, 40], [-8, 1], [-3/2, 1/2]], [[0, 0], [94, -115/2], [37/5, -39/5], [17/10, -7/5]]], 1, 32, [], [] >,
< [ -1, -1, 1 ], [[48, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 2], [2, 4], [0, 0]], [[0, 0], [25/2, -6], [47/5, -24/5], [-23/10, 1/10]], [[0, 0], [119, -145/2], [90, -55], [-35/2, 10]]], 1, 32, [], [] >,
< [ -1, -1, 1 ], [[48, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 10], [4, -6], [0, 0]], [[0, 0], [-123, -471/2], [132/5, 456/5], [-13/10, -2/5]], [[0, 0], [-392, 338], [568, -384], [20, -12]]], 1, 32, [], [] >,
< [ -1, -1, 1 ], [[48, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -2], [-8, -8], [0, 0]], [[0, 0], [19/2, -5], [-69/5, -57/5], [1/10, 3/10]], [[0, 0], [-16, 10], [8, -6], [0, 0]]], 1, 32, [], [] >,
< [ -1, -1, 1 ], [[144, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -2], [-6, 12], [0, 0]], [[0, 0], [-5/2, -2], [141/5, -42/5], [11/10, 3/10]], [[0, 0], [7, -7/2], [-894/5, 543/5], [-49/10, 14/5]]], 1, 320, [], [] >,
< [ -1, -1, 1 ], [[144, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -4], [0, 12], [0, 0]], [[0, 0], [6, 4], [372/5, 426/5], [-14/5, -2/5]], [[0, 0], [49/2, -21/2], [867/5, -144/5], [-84/5, 91/10]]], 1, 320, [], [] >,
< [ -1, -1, 1 ], [[144, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -2], [-12, 30], [0, 0]], [[0, 0], [403/2, 80], [1761/5, 6693/5], [-9/10, 3/10]], [[0, 0], [-61/2, 101/2], [1224/5, 447/5], [2/5, -3/10]]], 1, 320, [], [] >,
< [ -1, -1, 1 ], [[144, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -8], [0, -24], [0, 0]], [[0, 0], [1, 35/2], [408/5, 834/5], [-7/10, 2/5]], [[0, 0], [0, 6], [30, 54], [0, 0]]], 1, 320, [], [] >,
< [ -1, -1, 1 ], [[80, 0]], [ -4, -2 ], [ -2, 0 ], [[[2, -1], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 5], [-9, -2], [0, 0]], [[0, 0], [-48, 105/2], [-19/2, 49], [-3/2, 1/2]], [[0, 0], [1/2, 1/2], [-1, -1/2], [-1/2, 0]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[80, 0]], [ -4, -2 ], [ -2, 0 ], [[[2, -1], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -5], [13, -6], [0, 0]], [[0, 0], [3/2, 16], [135/2, -85/2], [-3/2, -2]], [[0, 0], [109/2, -41/2], [-544, 671/2], [1/2, -5/2]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[80, 0]], [ -4, -2 ], [ -2, 0 ], [[[2, -1], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -9], [-5, 0], [0, 0]], [[0, 0], [105, -6], [-49, 43], [1, -2]], [[0, 0], [187/2, -235/2], [-90, 85/2], [3, -1/2]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[80, 0]], [ -4, -2 ], [ -2, 0 ], [[[2, -1], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27/2, 17/2], [9, -1/2], [0, 0]], [[0, 0], [0, 0], [0, 0], [1, 0]], [[0, 0], [20, -12], [-6, 12], [0, 0]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -108], [-20, -8], [0, 0]], [[0, 0], [4, -7], [-1, -1], [1, 0]], [[0, 0], [224, 232], [-280, 224], [0, 0]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -18], [-6, 8], [0, 0]], [[0, 0], [103/2, -397/2], [77/2, -13], [0, 3/2]], [[0, 0], [-491, 475/2], [-243/2, 159/2], [5/2, -1]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 2], [10, 4], [0, 0]], [[0, 0], [-61/2, -75/2], [247/2, 186], [-1, -5/2]], [[0, 0], [104, -71], [-105, 95], [-7, 4]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -4], [8, -20], [0, 0]], [[0, 0], [2, -5], [-1, 1], [1, 0]], [[0, 0], [72, -40], [96, -72], [0, 0]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 40], [-10, 6], [0, 0]], [[0, 0], [7, 63/2], [-5/2, 1/2], [1/2, -2]], [[0, 0], [-3, 3/2], [-1/2, 1/2], [1/2, 0]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 28], [-4, 0], [0, 0]], [[0, 0], [147, 9/2], [45/2, -49/2], [-1/2, 0]], [[0, 0], [-38, 14], [-8, 6], [0, 0]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -8], [-16, 8], [0, 0]], [[0, 0], [6, -7], [1, 1], [1, 0]], [[0, 0], [-84, -68], [-16, 4], [0, 0]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -80], [-4, 20], [0, 0]], [[0, 0], [6, 1], [1, 1], [1, 0]], [[0, 0], [36, -80], [-28, 28], [0, 0]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, -60], [-16, 4], [0, 0]], [[0, 0], [-2, -7], [1, 1], [1, 0]], [[0, 0], [12, 20], [8, 12], [0, 0]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 52], [-4, 8], [0, 0]], [[0, 0], [6, -7], [1, 1], [1, 0]], [[0, 0], [-8, 40], [0, 8], [0, 0]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -8], [12, -20], [0, 0]], [[0, 0], [111/2, 91/2], [229/2, 69], [-2, -5/2]], [[0, 0], [-93/2, 32], [-122, 161/2], [1/2, -1/2]]], 1, 64, [], [] >,
< [ -1, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 40], [12, 4], [0, 0]], [[0, 0], [-259/2, 155/2], [171/2, -56], [-2, 3/2]], [[0, 0], [13/2, 10], [-2, -7/2], [1/2, 1/2]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[1, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 0], [-5, -1/2], [2, 1/2], [0, 0]], [[-17/2, 5/2], [-25/2, 7/2], [9/2, -5/2], [1/2, -3/2]], [[-7, -61/2], [-12, -91/2], [-7, 12], [-12, -3]]], 4, 1, [[[0, 1]]], [[[2, 0]]] >,
< [ -2, 0, 1 ], [[0, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1, -5/2], [2, 0], [-5, -1/2], [-2, 2]], [[-5/2, 0], [-1/2, 1], [1/2, -5/2], [5/2, -3/2]]], 3, 1, [[[0, 1]]], [] >,
< [ -2, 0, 1 ], [[-2, -3]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[339/2, -2], [-50609/302, -125/151], [269/302, -2/151], [-115/151, -5/302]], [[672, 5411/2], [-227789/302, -811525/302], [520/151, 2145/151], [-1159/302, -3705/302]]], 4, 1, [], [] >,
< [ -2, 0, 1 ], [[-3, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -5/2], [-12, 1/2], [-5, 1], [0, 0]], [[-3/2, -2], [87/2, 61/2], [31/2, 23/2], [-3/2, -2]], [[-91/2, -21/2], [1201/2, 861/2], [461/2, 301/2], [-91/2, -21/2]]], 3, 1, [], [[[0, 1]]] >,
< [ -2, 0, 1 ], [[-2, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 2], [-5, -7], [-2, 2], [0, 0]], [[39/2, -3/2], [-211/2, -121/2], [35/2, -4], [5/2, 1]], [[-34, 205/2], [-528, -490], [-58, 189/2], [8, 12]]], 3, 1, [], [] >,
< [ -2, 0, 1 ], [[-4, -1]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[19/2, -2], [-5865/302, 26/151], [33/302, -2/151], [-23/151, 1/302]], [[-5/2, 7/2], [423/151, -1187/302], [-7/302, 5/151], [7/302, -5/151]]], 4, 1, [], [] >,
< [ -2, 0, 1 ], [[0, 7]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[571/2, 2], [13415/302, -3223/302], [571/302, 2/151], [0, 0]], [[-4267468, 3082163], [-272861703/302, 194910249/302], [-4267445/151, 6164327/302], [-1/2, 0]], [[1819949163, -2474969121/2], [114564609051/302, -39752153977/151], [1819953616/151, -1237474888/151], [-26499/302, -31463/151]]], 3, 2, [], [] >,
< [ -2, 0, 1 ], [[-1, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, 5/2], [-3, 4], [5, 1/2], [0, 0]], [[-1842, -108], [-167, 757/2], [559, 323/2], [-2, 2]], [[10559/2, 5995/2], [-1325/2, -1549/2], [-3961/2, -2513/2], [-1/2, -5/2]]], 3, 1, [], [[[0, 1]]] >,
< [ -2, 0, 1 ], [[-4, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -2], [5, 2], [4, -2], [0, 0]], [[-23, -9], [-113, -165/2], [-20, -9], [0, -3/2]], [[7/2, 9/2], [65/2, 45/2], [7/2, 4], [1/2, 0]]], 3, 1, [], [] >,
< [ -2, 0, 1 ], [[0, 7]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[59/2, -1], [34567/302, 1687/302], [59/302, -1/151], [0, 0]], [[-14672, 33103/2], [-7107311/151, 9036663/151], [-14725/151, 33105/302], [-174/151, -1/302]], [[-6784236, 58325591/2], [-2706054545/302, 16778985866/151], [-6920295/151, 29115115/151], [-907725/302, -166383/151]]], 3, 2, [], [] >,
< [ -2, 0, 1 ], [[0, 3]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5/2, 2], [15/14, -9/14], [5/2, 2], [-5/42, 1/14]], [[-3/2, -1], [0, 0], [-3/2, -1], [0, 0]]], 4, 1, [], [] >,
< [ -2, 0, 1 ], [[-9, -3]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-2553/2, 0], [2097525/1394, -1097/1394], [3561/170, 143/170], [3191/6970, 1/3485]], [[917819/2, -22923], [-377056166/697, 38061099/1394], [-255013/34, 6269/85], [-573556/3485, 28292/3485]]], 4, 2, [], [] >,
< [ -2, 0, 1 ], [[-3, -6]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1267, 3], [268679/1394, -620/697], [-1828/85, 173/170], [3191/6970, -1/3485]], [[18945/2, 26285/2], [1969855/1394, 1386516/697], [-23571/170, -18287/85], [23659/6970, 33029/6970]]], 4, 2, [], [] >,
< [ -2, 0, 1 ], [[-6, -1]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-437/2, -2], [2055555/3554, 2295/3554], [437/6, -2/3], [-2687/10662, -1/3554]], [[2097/2, 7121/2], [-4663440/1777, -16710660/1777], [-1837/6, -7085/6], [2032/1777, 21844/5331]]], 4, 2, [], [] >,
< [ -2, 0, 1 ], [[-4, -5]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1099/2, -3], [2591820/1777, 3825/3554], [1093/6, -2], [-3388/5331, -5/10662]], [[77681/2, -68927/2], [362391975/3554, -322858305/3554], [26003/2, -22991/2], [-157905/3554, 140679/3554]]], 4, 2, [], [] >,
< [ -2, 0, 1 ], [[-3, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[114, 5/2], [111, -7/2], [-1, -2], [0, 0]], [[-12343, 56143/2], [-14979, 28036], [-877, -11], [-1, -1/2]], [[798593/2, -163355], [813387/2, -180270], [4943/2, -5630], [-7/2, -5]]], 3, 1, [], [] >,
< [ -2, 0, 1 ], [[-5, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[51, -1], [23, -9/2], [-4, -1/2], [0, 0]], [[15139/2, -1925/2], [7089/2, -2051/2], [-1147/2, -21/2], [1/2, -1/2]], [[-340, -639/2], [-102, -233/2], [34, 29], [0, 0]]], 3, 1, [], [] >,
< [ -2, 0, 1 ], [[0, 5]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-42, 3/2], [-55/2, 2], [3/2, 1/2], [3/2, 0]], [[-29/2, -261/2], [-52/17, -1442/17], [4, 5], [29/34, 319/68]]], 4, 1, [], [] >,
< [ -2, 0, 1 ], [[0, 25]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[47, -5/2], [1327/34, 58/17], [25/2, 15/2], [-57/34, 1/34]], [[-981/2, 1199/2], [-4634/17, 7612/17], [70, 85], [545/34, -1417/68]]], 1, 26, [], [] >,
< [ -2, 0, 1 ], [[41, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-61, 29/2], [-70, 5/2], [9, 12], [0, 0]], [[-5573/2, 5549/2], [-4115/2, 2838], [-1437/2, -99/2], [3/2, 2]], [[-170837, 291627/2], [-140144, 142120], [-30483, 8423/2], [30, 74]]], 1, 22, [], [] >,
< [ -2, 0, 1 ], [[27, 10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-221, -1/2], [-134, -3/2], [-87, 1], [0, 0]], [[206003/2, 19/2], [124867/2, 548], [81163/2, -525], [-3/2, -3/2]], [[755567/2, -927672], [438445/2, -560311], [316735/2, -367433], [43/2, 8]]], 1, 22, [], [] >,
< [ -2, 0, 1 ], [[12, 19]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1037, 8], [-9769815/3554, -3825/3554], [-77669/3, -22/3], [4257/3554, 5/10662]], [[302143/2, 66045], [-707162940/1777, -305935740/1777], [-22485379/6, -4863097/3], [308132/1777, 399916/5331]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[40, 33]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-821/2, -11/2], [-1928565/1777, 765/3554], [-61327/6, -9/2], [2521/5331, -1/10662]], [[-2007, -3666], [-17927775/3554, -34202385/3554], [-142870/3, -271994/3], [23435/10662, 14903/3554]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[0, 9]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2, 1], [15/14, 5/14], [2, 1], [3/14, 1/14]], [[1/2, 0], [0, 0], [1/2, 0], [0, 0]]], 1, 10, [], [] >,
< [ -2, 0, 1 ], [[-27, -9]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[22, -2], [2082955/1394, 2691/1394], [4839/85, 321/170], [-1027/1394, -3/6970]], [[-7227/2, -261/2], [-175137408/697, -44640909/1394], [-328113/34, -51855/34], [86336/697, 10944/697]]], 1, 20, [], [] >,
< [ -2, 0, 1 ], [[-9, -18]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[56, 2], [710255/1394, 3926/697], [-1512/85, 249/170], [-2679/6970, -2/3485]], [[-30573/2, -31837/2], [-92120265/697, -98729959/697], [628971/170, 769167/170], [340417/3485, 738307/6970]]], 1, 20, [], [] >,
< [ -2, 0, 1 ], [[12, 11]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3377/2, -1/2], [-105543/302, -13/302], [-3427/302, 1/302], [-82/151, 3/302]], [[-205962, -461877/2], [-12869081/302, -14433055/302], [-208736/151, -234235/151], [-19171/302, -22059/302]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[11, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 1], [-16, 1/2], [12, 1/2], [0, 0]], [[3205/2, -793/2], [12919/2, -335/2], [-9735/2, -493/2], [-3/2, -5/2]], [[34719, -29669/2], [127243, -31942], [-92573, 33627/2], [-7, -42]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[10, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[40, 1/2], [25, 20], [40, 1/2], [0, 0]], [[-17562, 28007/2], [3032, -60], [-17574, 27987/2], [2, 2]], [[172763/2, -118757/2], [-11045/2, 6143], [172725/2, -59385], [9/2, 1/2]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[-14, -21]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-873/2, -2], [-35461/302, -6743/302], [-873/302, -2/151], [0, 0]], [[7106313/2, -3068276], [97870377/151, -195272269/302], [7106555/302, -6136549/302], [-105/302, -1/302]], [[-845982941/2, 355222693], [-11802132088/151, 22432354037/302], [-846009311/302, 710446451/302], [11445/302, -495/302]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-14, -21]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[545, 2], [-319806/151, -2744/151], [545/151, 2/151], [0, 0]], [[-1497673, 717756], [1749343041/302, -833697759/302], [-1497724/151, 1435513/302], [-335/302, -2/151]], [[-543144685/2, 341826827], [314765611823/302, -399591050861/302], [-543138145/302, 341840125/151], [12644/151, 43927/151]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[33, 18]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[4995/2, -1/2], [-4125681/1394, -1550/697], [-1385/34, -29/17], [-1247/1394, -1/1394]], [[115717/2, 18480], [-47817979/697, -30618509/1394], [-164743/170, -28996/85], [-72268/3485, -4628/697]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[99, 54]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[151, 5/2], [-596957/1394, -159/1394], [234/17, -9/85], [1247/6970, 1/6970]], [[-205457/2, -37044], [200784122/697, 69954016/697], [-1565373/170, -267948/85], [-83916/697, -292707/6970]]], 1, 160, [], [] >,
< [ -2, 0, 1 ], [[-58, -45]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6119/2, 5/2], [-357689/302, 2761/151], [6119/302, 5/302], [0, 0]], [[54704828, 4995705], [-3188368045/151, -480106103/302], [54704793/151, 4995705/151], [-115/151, -5/302]], [[-177132493, -104610839/2], [20510351259/302, 2889293277/151], [-177132384/151, -52305396/151], [723/302, 85/151]]], 1, 14, [], [] >,
< [ -2, 0, 1 ], [[-58, -45]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4005/2, 5/2], [-231453/302, 4422/151], [4005/302, 5/302], [0, 0]], [[-3968693, 4217299], [248319632/151, -505591909/302], [-3968778/151, 4217301/151], [-279/151, 1/302]], [[-15801431118, 52575394839/2], [2061643678859/302, -3111858386949/302], [-15802105440/151, 26287551840/151], [-4472853/302, -1052997/302]]], 1, 14, [], [] >,
< [ -2, 0, 1 ], [[-45, -29]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[29, -2], [-61, -1/2], [-30, 1/2], [0, 0]], [[23020, 230], [-49080, -4236], [-24014, -2987/2], [-2, 1/2]], [[2477423/2, 1121834], [-6004245/2, -2589762], [-2826111/2, -1236522], [-115/2, -70]]], 1, 14, [], [] >,
< [ -2, 0, 1 ], [[-45, -29]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[34, -3/2], [184, 3], [50, 3/2], [0, 0]], [[-77305/2, 2143/2], [-419075/2, -13561/2], [-113937/2, -5303/2], [-1/2, -5/2]], [[-1494193/2, -462567/2], [-8428913/2, -1501689], [-2312735/2, -424186], [-85/2, -105/2]]], 1, 14, [], [] >,
< [ -2, 0, 1 ], [[8, 9]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-4723/2, 2], [261369/302, -164/151], [-4773/302, 1/151], [82/151, 3/302]], [[2177710, 425759/2], [-241007857/302, -23462979/302], [2200950/151, 216075/151], [-151807/302, -17679/302]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[-28, -7]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1313/2, 1/2], [-1250739/302, 975/151], [1313/302, 1/302], [0, 0]], [[6540, -9169/2], [-12733659/302, 8757993/302], [6620/151, -4582/151], [-525/302, -5/302]], [[324491/2, -230729/2], [-311023719/302, 223863805/302], [325065/302, -233025/302], [-1107/151, 7585/302]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[9, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[28, 7/2], [29, 2], [-1, 3/2], [0, 0]], [[51/2, 38], [61/2, 43], [25/2, 25/2], [5/2, 5/2]], [[487/2, 64], [549/2, 78], [155/2, 35], [31/2, 7]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[8, 9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -3/2], [24, 13], [-6, -3/2], [0, 0]], [[227/2, -115/2], [-407/2, 81/2], [231/2, -64], [-3/2, 2]], [[237/2, 59/2], [-829/2, -441/2], [205/2, 15], [5/2, 3]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[-28, -7]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1195/2, 3/2], [-75331/302, 962/151], [1195/302, 3/302], [0, 0]], [[-21788495/2, -2044578], [679602914/151, 219281941/302], [-21788883/302, -4089153/302], [105/302, -1/302]], [[2378301138, 1997283088], [-142878843421/151, -121714851059/151], [2378331878/151, 1997312558/151], [-8290/151, -7960/151]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[27, 12]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1891/2, 1], [127853/1394, 295/697], [-1049/170, 121/170], [2053/6970, -1/1394]], [[282301, 1341703/2], [38818557/1394, 90849435/1394], [-70001/85, -354006/85], [602799/6970, 290903/1394]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[81, 36]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[97/2, -1], [-555155/1394, 115/697], [5193/170, -177/170], [2129/6970, 1/1394]], [[5339/2, 12407/2], [-16726714/697, -71684901/1394], [53553/34, 659997/170], [3818/205, 8096/205]]], 1, 160, [], [] >,
< [ -2, 0, 1 ], [[0, 49]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[873/2, 2], [-304735/302, 995/302], [6111/302, 14/151], [0, 0]], [[-5570784, -9282117/2], [1919401030/151, 1604895454/151], [-38995031/151, -64976211/302], [233/151, 3/302]], [[10306472661, 6659175924], [-7122926526793/302, -2296531493049/151], [72146382551/151, 93228156307/302], [-175423/302, -416449/302]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[0, 49]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-591/2, -3/2], [-103561/302, -2355/151], [-4137/302, -21/302], [0, 0]], [[-114835/2, 34547], [-9399716/151, 5646823/151], [-803151/302, 484671/302], [335/302, 2/151]], [[-12534385/2, 2662435], [-2054444741/302, 868320795/302], [-87464795/302, 18759242/151], [32663/151, 12104/151]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[-44, -25]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1602, -2], [55731/151, 1989/151], [1602/151, -2/151], [0, 0]], [[90201595/2, -14234729/2], [1550681829/151, -189669587/151], [90201811/302, -7117362/151], [-709/302, -1/302]], [[94817486850, 451807033343/2], [7757651775513/302, 7980513038898/151], [94817933595/151, 225904133385/151], [-2759549/302, -1994434/151]]], 1, 14, [], [] >,
< [ -2, 0, 1 ], [[-44, -25]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[417, -5/2], [16021/151, 3387/302], [417/151, -5/302], [0, 0]], [[-6607763/2, 1982280], [-110252655/151, 124160433/302], [-6607887/302, 3964557/302], [407/302, 1/302]], [[1522392882, -3492446841/2], [86953157339/302, -121586379957/302], [1522351782/151, -1746280158/151], [253875/302, 366975/302]]], 1, 14, [], [] >,
< [ -2, 0, 1 ], [[-25, -22]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[201, -1/2], [270, 1], [23, 1/2], [0, 0]], [[-3675293/2, 35432], [-4935791/2, 64627/2], [-420195/2, -2079/2], [3/2, 0]], [[54770259/2, 7508825/2], [73697007/2, 10541967/2], [6309351/2, 1011115/2], [-45/2, -7/2]]], 1, 14, [], [] >,
< [ -2, 0, 1 ], [[-25, -22]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-73, -5/2], [-91, 7/2], [-6, 2], [0, 0]], [[107133/2, 35857/2], [127875/2, 35159/2], [6873/2, -219/2], [-3/2, 1/2]], [[-2103538, -1262137], [-2408219, -2781637/2], [-101123, -85651/2], [32, 5]]], 1, 14, [], [] >,
< [ -2, 0, 1 ], [[2, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[1/2, 0], [1/2, 0], [1/2, 0], [1/2, 0]]], 1, 1, [[[0, 1]]], [] >,
< [ -2, 0, 1 ], [[2, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[1/2, 0], [1/2, 1/2], [1/2, 1/2], [1/2, 0]]], 2, 1, [[[0, 1]]], [] >,
< [ -2, 0, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [0, 0], [0, 0], [1, 0]]], 0, 2, [], [] >,
< [ -2, 0, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-4, 1/2], [-12, -3/2], [-4, 1/2], [-4, 1/2]], [[22, -11/2], [62, -1/2], [22, -11/2], [22, -11/2]]], 0, 1, [], [] >,
< [ -2, 0, 1 ], [[2, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5, -2], [2, -3/2], [5, -2], [2, -3/2]], [[2, 3/2], [0, 0], [2, 3/2], [0, 0]]], 1, 1, [], [[[0, 1]]] >,
< [ -2, 0, 1 ], [[0, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[3/2, 0], [13/2, 13/2], [3/2, 3/2], [3/2, 0]], [[-5/2, 2], [13/2, -5/2], [3/2, -1/2], [-5/2, 2]]], 2, 1, [], [[[0, 1]]] >,
< [ -2, 0, 1 ], [[0, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[3, -1], [-11, -2], [3, -1], [3, -1]], [[-5, 5/2], [14, -3/2], [-5, 5/2], [-5, 5/2]]], 0, 2, [], [] >,
< [ -2, 0, 1 ], [[-6, -2]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[103, -2], [-79873/302, 371/151], [23/151, 1/302], [-525/302, 5/302]], [[-336, -75/2], [130546/151, 31707/302], [-76/151, -23/302], [858/151, 104/151]]], 1, 3, [], [] >,
< [ -2, 0, 1 ], [[-4, -6]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-69, -3/2], [2860/151, -1471/302], [-69/151, -3/302], [0, 0]], [[2975/2, -3381/2], [-48029/151, 179335/302], [2801/302, -1688/151], [-571/302, 2/151]], [[2267073/2, -381733], [-63610516/151, 16728839/302], [2282869/302, -697051/302], [61389/302, 219349/302]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[-12, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[0, 0], [2, 0], [0, 0], [1, 0]], [[0, 0], [-3, -1], [0, 0], [0, 0]]], 0, 4, [], [] >,
< [ -2, 0, 1 ], [[-12, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 0], [1, 0], [0, 0]], [[-2, 1], [-22, 8], [-2, 1], [-2, 1]], [[1, 1/2], [13, 15/2], [1, 1/2], [1, 1/2]]], 0, 4, [], [] >,
< [ -2, 0, 1 ], [[-6, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[-1/2, -5/2], [15/2, -9/2], [-1/2, -5/2], [-1/2, -5/2]], [[-12, 12], [-67, 46], [-12, 12], [-12, 12]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[-6, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[-3/2, -1], [-21/2, -9/2], [-3/2, -1], [-1/2, -1/2]], [[0, 0], [1, -2], [0, 0], [0, 0]]], 2, 2, [], [] >,
< [ -2, 0, 1 ], [[-6, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -3/2], [-11, 12], [5, -3/2], [0, 0]], [[-80, 200], [910, -349], [-80, 200], [-5, 2]], [[-496, -416], [-1291, -1321/2], [-496, -416], [7, 7/2]]], 1, 1, [], [] >,
< [ -2, 0, 1 ], [[-8, -2]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[791, 5/2], [27014/151, 1747/302], [791/151, 5/302], [0, 0]], [[-799035/2, 8291/2], [-13688860/151, -511695/302], [-797043/302, 4145/151], [1175/302, 2/151]], [[-5121689, 17605015], [-140518899/151, 598471121/151], [-5109785/151, 17561243/151], [6820/151, -25792/151]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[-2, -4]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-512, -3], [-10087/302, 65/302], [-489/151, -5/302], [-1/2, 0]], [[90939, -25733/2], [899034/151, -275561/302], [86873/151, -24707/302], [13433/151, -1976/151]]], 1, 3, [], [] >,
< [ -2, 0, 1 ], [[14, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[512, 2], [148119/151, 1333/151], [512/151, 2/151], [0, 0]], [[-19384, 261141/2], [-10447905/302, 75487127/302], [-19372/151, 130570/151], [-79/302, 5/302]], [[-4197735, -10462909], [-2490147889/302, -6065847075/302], [-4198714/151, -20926269/302], [6369/302, 671/151]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[-2, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[-1/2, -5/2], [-9/2, -33/2], [-1/2, -5/2], [-1/2, -5/2]], [[-12, 0], [-79, -3], [-12, 0], [-12, 0]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[-2, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[7/2, 3/2], [-49/2, 0], [7/2, 3/2], [-1/2, 2]], [[27/2, -9/2], [-383/2, 114], [27/2, -9/2], [-45/2, 18]]], 2, 2, [], [] >,
< [ -2, 0, 1 ], [[-12, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[0, 0], [2, 0], [0, 0], [1, 0]], [[0, 0], [-3, 1], [0, 0], [0, 0]]], 0, 4, [], [] >,
< [ -2, 0, 1 ], [[-4, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 0], [1, 0], [0, 0]], [[-2, 5/2], [16, 73/2], [-2, 5/2], [-2, 5/2]], [[2, -3/2], [12, -21/2], [2, -3/2], [2, -3/2]]], 0, 4, [], [] >,
< [ -2, 0, 1 ], [[-2, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1/2], [12, 1], [-2, 1/2], [0, 0]], [[6, -6], [-27, 63/2], [6, -6], [-4, 3/2]], [[6, 8], [-47, -52], [6, 8], [8, 4]]], 1, 1, [], [] >,
< [ -2, 0, 1 ], [[14, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[302, 0], [561, 1], [2, 0], [0, 0]], [[-49414, -7959/2], [-27869033/302, -2281617/302], [-49504/151, -3978/151], [-591/302, -3/302]], [[137048, 169549], [77536099/302, 95708373/302], [137241/151, 339677/302], [1351/302, 965/151]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[6, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5, -5/2], [-3/7, 6/7], [-5, -5/2], [1/21, -2/21]], [[2, 1], [3/14, -3/7], [2, 1], [-1/42, 1/21]]], 1, 1, [], [] >,
< [ -2, 0, 1 ], [[-18, -6]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, 5/2], [295/17, 86/17], [15/17, 5/34], [0, 0]], [[253, -76], [170327/697, -63165/1394], [1202/85, -372/85], [19/3485, -1/1394]], [[27/2, -2], [240/17, -5/34], [27/34, -2/17], [0, 0]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[36, 12]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-802/17, -9/17], [-67/17, 3/17], [0, 0]], [[0, 0], [-16848783/697, -6387098/697], [-163772/85, -55606/85], [-147/3485, 1/3485]], [[0, 0], [31980643/41, 28097817/82], [308778/5, 25010], [4433/3485, 741/6970]]], 0, 24, [], [] >,
< [ -2, 0, 1 ], [[-6, -12]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-107/2, -1], [-1208/17, -181/34], [-107/34, -1/17], [0, 0]], [[-51441/2, 6683/2], [-1765304/41, 92441/41], [-3463/2, 395/2], [-1119/697, -1/1394]], [[-2962265/2, -3761723/2], [-2116464108/697, -2379019574/697], [-17729219/170, -4379031/34], [-443889/3485, -933917/6970]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[12, 24]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-410/17, -11/17], [-39/17, -2/17], [0, 0]], [[0, 0], [4166196/697, -1212867/1394], [45782/85, -5817/85], [972/3485, -1/6970]], [[0, 0], [-152651533/697, -195528937/697], [-353987/17, -438629/17], [-10201/697, -10605/697]]], 0, 24, [], [] >,
< [ -2, 0, 1 ], [[-2, -6]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-4600, 5/2], [-4205205/1777, -3825/3554], [5202, 17/6], [5497/5331, 5/10662]], [[-294786, 702597/2], [-537690195/3554, 641759265/3554], [997501/3, -793821/2], [702863/10662, -838901/10662]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[-10, -4]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-4079, -11/2], [3730140/1777, 2295/3554], [-13823/3, -23/6], [-4876/5331, -1/3554]], [[-633174, -2399447/2], [1153478475/3554, 1096516575/1777], [-713839, -2709697/2], [-502605/3554, -477785/1777]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[-6, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[5/2, 1/2], [47/2, -19/2], [5/2, 1/2], [5/2, 1/2]], [[-10, -4], [-69, 15], [-10, -4], [-10, -4]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[-44, -28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[0, 0], [6, 0], [0, 0], [1, 0]], [[0, 0], [-11, -7], [0, 0], [0, 0]]], 0, 12, [], [] >,
< [ -2, 0, 1 ], [[-44, 28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 0], [1, 0], [0, 0]], [[0, 0], [2, 0], [0, 0], [1, 0]], [[0, 0], [-11, 7], [0, 0], [0, 0]]], 0, 12, [], [] >,
< [ -2, 0, 1 ], [[-10, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 0], [1, 0], [0, 0]], [[5/2, 1], [-59/2, -17], [5/2, 1], [5/2, 1]], [[1/2, 1/2], [-13/2, -13/2], [1/2, 1/2], [1/2, 1/2]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[10, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1, -1/2], [-1/17, -11/34], [-1, 3/2], [-5/34, -1/17]], [[0, 0], [-1/2, -1/2], [-1/2, 0], [0, 0]]], 1, 3, [], [] >,
< [ -2, 0, 1 ], [[50, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-4, -3/2], [-96/17, 15/34], [10, 5/2], [-21/34, -5/34]], [[15, 5], [763/34, -48/17], [-75/2, -15/2], [40/17, 15/34]]], 1, 78, [], [] >,
< [ -2, 0, 1 ], [[164, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17, 8], [23, 23], [0, 0]], [[0, 0], [-4, 0], [-11, 0], [1, 0]], [[0, 0], [21, 51], [-470, -320], [0, 0]]], 0, 264, [], [] >,
< [ -2, 0, 1 ], [[82, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 7], [-15, -20], [0, 0]], [[0, -2], [-351, -299], [368, 275], [0, -2]], [[-5/2, 3/2], [-239/2, 3/2], [147/2, 59/2], [-5/2, 3/2]]], 1, 44, [], [] >,
< [ -2, 0, 1 ], [[108, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -4], [5, 24], [0, 0]], [[0, 0], [11, 0], [4, 0], [1, 0]], [[0, 0], [0, 0], [-7, -6], [0, 0]]], 0, 264, [], [] >,
< [ -2, 0, 1 ], [[54, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -18], [5, 1], [0, 0]], [[-2, -1], [-9, 10], [38, 19], [-2, -1]], [[-1/2, 2], [-139/2, 46], [19/2, -38], [-1/2, 2]]], 1, 44, [], [] >,
< [ -2, 0, 1 ], [[38, 12]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-6828, -2], [-12488625/3554, -3825/3554], [105677, 79/3], [16325/10662, 5/10662]], [[-64, -87/2], [-117045/3554, -39780/1777], [2971/3, 4039/6], [51/3554, 52/5331]]], 1, 36, [], [] >,
< [ -2, 0, 1 ], [[66, 40]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3856, 35/2], [-3509055/1777, -765/3554], [178192/3, 131/6], [1529/1777, 1/10662]], [[1763236, -1121639/2], [-3218348115/3554, 1034975385/3554], [81701267/3, -17504811/2], [4206991/10662, -1352909/10662]]], 1, 36, [], [] >,
< [ -2, 0, 1 ], [[18, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1, -1], [-25/2, 0], [-1, -1], [-5/2, 0]], [[-1, -3/2], [-170/7, 85/14], [-1, -3/2], [-34/7, 17/14]]], 1, 10, [], [] >,
< [ -2, 0, 1 ], [[-54, -18]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-61/2, 2], [1116/17, -19/34], [-183/34, 6/17], [0, 0]], [[-514, 328], [951225/697, -904035/1394], [-6711/85, 4959/85], [-569/3485, 3/6970]], [[19558, -23837/2], [-38022360/697, 14993520/697], [49476/17, -74577/34], [5183/697, 657/697]]], 1, 40, [], [] >,
< [ -2, 0, 1 ], [[108, 36]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-960/17, 44/17], [-309/17, -9/17], [0, 0]], [[0, 0], [2328087/697, 1664041/1394], [68967/85, 37581/85], [-1963/3485, 3/6970]], [[0, 0], [-56450260/697, -14108497/697], [-1581792/85, -763908/85], [52516/3485, -1382/697]]], 0, 240, [], [] >,
< [ -2, 0, 1 ], [[36, 72]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-814/17, 45/17], [-369/17, -15/17], [0, 0]], [[0, 0], [-12375462/697, 12699427/1394], [-574788/85, 292641/85], [642/697, 1/6970]], [[0, 0], [-1031248704/697, 9476105854/697], [-8189085/17, 443502294/85], [-4763736/3485, -4902132/3485]]], 0, 240, [], [] >,
< [ -2, 0, 1 ], [[-18, -36]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-107/2, -1], [1136/17, -67/34], [-321/34, -3/17], [0, 0]], [[5208, 84], [-4332098/697, 145586/697], [76638/85, 264/17], [-844/3485, -1/3485]], [[461160, 480060], [-344474164/697, -761747531/1394], [1360281/17, 7071474/85], [-72446/3485, -153439/6970]]], 1, 40, [], [] >,
< [ -2, 0, 1 ], [[24, 22]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1441, -3/2], [33664/151, 945/302], [1441/151, -3/302], [0, 0]], [[-24075397/2, -12027541], [-289700300/151, -570462073/302], [-24081607/302, -24055107/302], [-985/302, -5/302]], [[-37904553851/2, -12331164938], [-451455117950/151, -589518807533/302], [-37907526277/302, -24665760711/302], [-472611/302, -544673/302]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[22, 12]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-208, -1/2], [-40909/302, 427/302], [-256/151, 1/151], [-315/302, 3/302]], [[-3076, -1366], [-598371/302, -261019/302], [-3765/151, -3315/302], [-4611/302, -1007/151]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[44, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 14], [-6, 5], [0, 0]], [[0, 0], [3, 0], [-2, 0], [1, 0]], [[0, 0], [54, 39], [9, -4], [0, 0]]], 0, 24, [], [] >,
< [ -2, 0, 1 ], [[44, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -24], [-4, 1], [0, 0]], [[3, -1/2], [121, 179/2], [15, 9/2], [3, -1/2]], [[30, -18], [205, 206], [85, -30], [30, -18]]], 0, 24, [], [] >,
< [ -2, 0, 1 ], [[22, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 11], [9, 10], [0, 0]], [[0, -2], [-979, -435], [-978, -574], [0, -2]], [[-3/2, 5/2], [1751/2, 345/2], [1545/2, 685/2], [-3/2, 5/2]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[22, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, -7], [-3, -1], [0, 0]], [[5/2, 1/2], [27/2, 7], [7/2, 3], [5/2, 1/2]], [[-9/2, 0], [-43/2, -17/2], [-9/2, -9/2], [-9/2, 0]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[2, 10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 1/2], [-1, 9], [12, 1/2], [0, 0]], [[348, 4863/2], [3656, -175/2], [364, 4867/2], [-4, -1/2]], [[-43994, -1284], [4425, -33345], [-44018, -1428], [6, 36]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[-42, -14]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[942, 5/2], [-11340/151, 539/302], [942/151, 5/302], [0, 0]], [[6122928, -2041709], [-149535255/302, 26530560/151], [6121788/151, -4083425/302], [-617/302, -3/302]], [[15732394188, -42552420893/2], [-202877064303/151, 520647989727/302], [15732048276/151, -42544746929/302], [-89886/151, 1038162/151]]], 1, 36, [], [] >,
< [ -2, 0, 1 ], [[-42, -14]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1185, -1/2], [344277/151, 617/302], [1185/151, -1/302], [0, 0]], [[-414118, 211749/2], [-240601125/302, 30602077/151], [-414205/151, 105877/151], [-571/302, 2/151]], [[243112595, -26566186], [70654293637/151, -7619058969/151], [243167573/151, -26559179/151], [181643/151, 26950/151]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[-12, -60]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5408/17, 113/17], [-379/17, 2/17], [0, 0]], [[0, 0], [496492963/697, 834467091/1394], [4358753/85, 3634561/85], [-55/697, -1/6970]], [[0, 0], [6887251876/17, 5149905351/17], [2471767737/85, 1843625291/85], [-2378/85, -861/85]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[66, 36]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[227/2, 1/2], [3595/17, -3/34], [227/34, 1/34], [0, 0]], [[34315/2, -10631/2], [21154461/697, -7005119/697], [159517/170, -53209/170], [1816/3485, -1/6970]], [[-26598713/2, -845993], [-16074188514/697, -593052590/697], [-24186403/34, -408678/17], [-362070/697, -260005/1394]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[198, 108]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[573/2, 1], [-2060/17, -1/34], [1719/34, 3/17], [0, 0]], [[1407959/2, 707427/2], [-206004267/697, -103603851/697], [4225359/34, 2122341/34], [-422/697, 1/1394]], [[483480158, 306000100], [-141515155233/697, -179186785335/1394], [7254127389/85, 4590747753/85], [-212895/697, -761193/6970]]], 1, 320, [], [] >,
< [ -2, 0, 1 ], [[-36, -180]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14/17, -59/17], [33/17, -3/17], [0, 0]], [[0, 0], [551355/697, -6207/1394], [2481/85, 99/85], [-1413/3485, 1/1394]], [[0, 0], [84729784/697, 29774562/697], [393666/85, 30282/17], [-217742/3485, -77147/3485]]], 0, 1920, [], [] >,
< [ -2, 0, 1 ], [[-90, -58]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4356, 1/2], [55118/151, -2429/302], [-4356/151, 1/302], [0, 0]], [[552370170, -883799533/2], [-14468911095/302, 5744689270/151], [552370221/151, -441899767/151], [335/302, 2/151]], [[4137722444936, -4606066192803/2], [-53633241212751/151, 60577505564599/302], [4137722302136/151, -4606066854051/302], [-516432/151, -1096536/151]]], 1, 42, [], [] >,
< [ -2, 0, 1 ], [[-90, -58]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2787, 3/2], [-39553/151, -5777/302], [2787/151, 3/302], [0, 0]], [[-67166096, 116018835/2], [1668514173/302, -1508205077/302], [-67165960/151, 58009415/151], [893/302, 3/302]], [[2517943536, -1193673844], [-33269126743/151, 28725677711/302], [2517945265/151, -1193669840/151], [6253/151, 26559/302]]], 1, 42, [], [] >,
< [ -2, 0, 1 ], [[-90, -58]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [221, -8], [-5, -4], [0, 0]], [[-3/2, 0], [625/2, -305], [-15/2, 0], [-3/2, 0]], [[-2, -5/2], [-603, 231/2], [-10, -25/2], [-2, -5/2]]], 1, 28, [], [] >,
< [ -2, 0, 1 ], [[-52, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-65, -31], [-12, -11], [0, 0]], [[0, 0], [24, 0], [-2, 0], [1, 0]], [[0, 0], [303, 108], [45, 50], [0, 0]]], 0, 168, [], [] >,
< [ -2, 0, 1 ], [[-90, -58]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, -13], [-11, -6], [0, 0]], [[3/2, 0], [8013/2, -2838], [-929/2, 48], [3/2, 0]], [[-11, -27/2], [21692, -30477/2], [2541, 7653/2], [-11, -27/2]]], 1, 28, [], [] >,
< [ -2, 0, 1 ], [[-52, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53, -41], [-1, -12], [0, 0]], [[0, 0], [3, 0], [-2, 0], [1, 0]], [[0, 0], [-77, -56], [-8, -12], [0, 0]]], 0, 168, [], [] >,
< [ -2, 0, 1 ], [[18, 8]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5329, -4], [-36397/302, -384/151], [-5157/151, 1/302], [-1129/302, -5/302]], [[1961617, 17427025/2], [15819603/302, 29892005/151], [1884012/151, 8430675/151], [429165/302, 923780/151]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[16, 18]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1441, -3/2], [69922/151, -1773/302], [-1441/151, -3/302], [0, 0]], [[-10312571/2, 5152231/2], [253650485/151, -256874507/302], [-10309793/302, 2576122/151], [361/302, 1/151]], [[4688586643/2, -2052549965/2], [-115129433963/151, 102718526091/302], [4687166353/302, -1026356273/151], [-184601/302, -10643/151]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-14, -28]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1569, -2], [-457216/151, -3598/151], [-1569/151, -2/151], [0, 0]], [[-4517851, 3620739], [-2605211451/302, 1046405858/151], [-4517775/151, 7241481/302], [-499/302, 1/302]], [[-1687610270, 2591876583/2], [-486795244459/151, 748791132905/302], [-1687587372/151, 2591870805/302], [-75649/151, 11128/151]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[36, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 7], [11, 8], [0, 0]], [[0, 0], [3, 0], [-2, 0], [1, 0]], [[0, 0], [5, -4], [0, 0], [0, 0]]], 0, 24, [], [] >,
< [ -2, 0, 1 ], [[36, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, -6], [19, 10], [0, 0]], [[-1, 0], [-55, 50], [61, 69], [-1, 0]], [[-5, 3/2], [-415, 649/2], [95, 495/2], [-5, 3/2]]], 0, 24, [], [] >,
< [ -2, 0, 1 ], [[18, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, 13], [20, 12], [0, 0]], [[-1/2, -1/2], [-19/2, -7/2], [-5/2, -19/2], [-1/2, -1/2]], [[0, 0], [10, -8], [-21, 14], [0, 0]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[18, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, 5], [-15, 5], [0, 0]], [[3/2, 1], [-45/2, -123/2], [-191/2, 193/2], [3/2, 1]], [[0, 0], [-21, 7], [58, -38], [0, 0]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[18, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25, -5/2], [7, -7], [25, -5/2], [0, 0]], [[-1143, -497/2], [-128, 505/2], [-1151, -477/2], [2, -5/2]], [[-117592, -177995/2], [21194, 11403], [-116976, -177451/2], [-154, -68]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[-14, -28]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3171, 0], [288, -5], [-21, 0], [0, 0]], [[-25258411, -16838067/2], [342287064/151, 109447550/151], [-25257860/151, -16838073/302], [128/151, -1/302]], [[65813037278, 83552871805/2], [-1764966676947/302, -557159058351/151], [65811978597/151, 41775885262/151], [-492669/302, -128297/151]]], 1, 36, [], [] >,
< [ -2, 0, 1 ], [[54, 24]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-443/2, 3/2], [1149/17, -111/34], [-443/34, 3/34], [0, 0]], [[710461/2, 84855/2], [-74208136/697, -5874088/697], [711947/34, 424243/170], [1119/3485, 1/6970]], [[-181458019, -559215219/2], [33438579602/697, 57417211100/697], [-181700117/17, -560323773/34], [-74513/697, -167308/697]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-108, -48]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8006/17, -99/17], [584/17, -1/17], [0, 0]], [[0, 0], [345495567/697, -174649924/697], [3037661/85, -304245/17], [1797/3485, -2/3485]], [[0, 0], [94012451712/697, -255566210859/1394], [162591662/17, -225295360/17], [-74464/697, -341353/1394]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-324, -144]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20/17, 93/17], [33/17, 3/17], [0, 0]], [[0, 0], [464142/697, -3941/1394], [-3189/85, 132/85], [-1816/3485, -1/6970]], [[0, 0], [142718318/697, 353092575/697], [-800028/85, -2388816/85], [-570912/3485, -1384086/3485]]], 0, 1920, [], [] >,
< [ -2, 0, 1 ], [[162, 72]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-573/2, 1], [-6610/17, 67/34], [-1719/34, 3/17], [0, 0]], [[-515660, 256680], [-489117091/697, 243568669/697], [-7730712/85, 3850029/85], [477/697, 2/3485]], [[220680400, -304964360], [209472582231/697, -578469105751/1394], [3311284539/85, -4571378547/85], [763301/3485, 3579191/6970]]], 1, 320, [], [] >,
< [ -2, 0, 1 ], [[98, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-233, -3/2], [22411/151, 3897/302], [-1631/151, -21/302], [0, 0]], [[28440, -42570], [-3571139/302, 7743329/302], [200243/151, -599497/302], [1175/302, 2/151]], [[9447750, -32474250], [-149127625/151, 3101799691/151], [66514050/151, -228663398/151], [521592/151, 110564/151]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[98, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-719, -5/2], [66335/151, -149/302], [-5033/151, -35/302], [0, 0]], [[-3101238, -1033746], [570841193/302, 188124979/302], [-21708319/151, -14471431/302], [335/302, 2/151]], [[248701488, 445862865/2], [-22763962597/151, -40945292205/302], [1740837210/151, 3120957735/302], [-7182/151, -9807/151]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[-50, -44]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5157, 1/2], [67947/151, 1497/302], [-5157/151, 1/302], [0, 0]], [[37362733, -62245833/2], [-965934069/302, 404596903/151], [37362600/151, -31122920/151], [873/302, 2/151]], [[-13989128678, 31996791855/2], [358913511579/302, -417605337003/302], [-13989010320/151, 15998438880/151], [-765509/302, -265351/302]]], 1, 42, [], [] >,
< [ -2, 0, 1 ], [[-50, -44]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5413, 1/2], [-72030/151, -315/302], [5413/151, 1/302], [0, 0]], [[517403727, -47046795], [-13764248119/302, 611626196/151], [517403835/151, -94093585/302], [-709/302, -1/302]], [[1334465589329, 723239275415/2], [-17776951433118/151, -9697903419847/302], [1334465891265/151, 723239494185/302], [-976449/151, -337841/151]]], 1, 42, [], [] >,
< [ -2, 0, 1 ], [[-50, -44]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [107, -38], [-20, -12], [0, 0]], [[-3/2, 1], [79641/2, -26663], [-2959/2, 1], [-3/2, 1]], [[0, 0], [561, 79], [-239, -163], [0, 0]]], 1, 28, [], [] >,
< [ -2, 0, 1 ], [[-76, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, 64], [-25, 20], [0, 0]], [[0, 0], [24, 0], [-2, 0], [1, 0]], [[0, 0], [6305, 4525], [158, 22], [0, 0]]], 0, 168, [], [] >,
< [ -2, 0, 1 ], [[-50, -44]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-320, 4], [1, 2], [0, 0]], [[-5/2, 1/2], [-169/2, 563/2], [-25/2, 5/2], [-5/2, 1/2]], [[-38, -6], [1845, 4446], [-190, -30], [-38, -6]]], 1, 28, [], [] >,
< [ -2, 0, 1 ], [[-76, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-436, 31], [-15, 12], [0, 0]], [[0, 0], [3, 0], [-2, 0], [1, 0]], [[0, 0], [17227, 13454], [-151, -22], [0, 0]]], 0, 168, [], [] >,
< [ -2, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 3], [8, -3], [0, 0]], [[-5, 5/2], [-365, -541/2], [-93, -147/2], [-5, 5/2]], [[-8, 5], [-238, -191], [-56, -55], [-8, 5]]], 0, 2, [], [] >,
< [ -2, 0, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -1], [10, 4], [0, 0]], [[-5/2, 2], [133/2, -48], [-215/2, 78], [-5/2, 2]], [[6, 9/2], [-24, -49/2], [54, 101/2], [6, 9/2]]], 1, 1, [], [] >,
< [ -2, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -9], [-6, 1], [0, 0]], [[3, 3/2], [-36, -47/2], [-8, -13/2], [3, 3/2]], [[1, 5/2], [-28, -51/2], [-10, -9/2], [1, 5/2]]], 0, 2, [], [] >,
< [ -2, 0, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -4], [-8, -5], [0, 0]], [[3/2, -3/2], [-85/2, 32], [-117/2, -39], [3/2, -3/2]], [[-1/2, -3/2], [-29/2, 19], [-509/2, -179], [-1/2, -3/2]]], 2, 1, [], [] >,
< [ -2, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 5], [0, -3], [0, 0]], [[0, 0], [2, -3], [-2, -3], [6, -4]], [[0, 0], [14, 11], [42, 30], [-4, -1]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -5], [-2, -2], [0, 0]], [[0, 0], [-18, 12], [-4, -1], [4, 0]], [[0, 0], [0, 0], [0, 0], [2, 2]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -16], [-4, -2], [0, 0]], [[0, 0], [-1, 0], [1, 0], [1, 0]], [[0, 0], [-16, 7], [6, -5], [0, 0]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 7], [8, 5], [0, 0]], [[0, 0], [-1, 0], [1, 0], [1, 0]], [[0, 0], [0, 1], [0, 1], [0, 0]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[0, 0], [2, 0], [0, 0], [0, 0]]], 0, 2, [], [] >,
< [ -2, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -2], [6, -1], [0, 0]], [[0, 0], [1, 0], [0, 0], [1, 0]], [[0, 0], [-114, -19], [70, -14], [0, 0]]], 0, 2, [], [] >,
< [ -2, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-10, 5], [0, 0], [0, -1]], [[0, 0], [0, 1], [0, 0], [0, 0]]], 0, 4, [], [] >,
< [ -2, 0, 1 ], [[0, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1/2], [-8, 4], [-3, 1/2], [0, 0]], [[4, 2], [6, 1], [4, 2], [0, 0]], [[0, 0], [1, 1/2], [0, 0], [0, 1/2]]], 1, 1, [], [] >,
< [ -2, 0, 1 ], [[0, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -16], [-2, 3], [0, 0]], [[0, 0], [-1, -1], [1, 0], [1, 0]], [[0, 0], [-120, -40], [24, -9], [0, 0]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[-24, -8]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11802/151, -401/151], [1024/151, -4/151], [0, 0]], [[0, 0], [1633411/151, 1009647/302], [-132593/151, -38095/151], [640/151, -5/302]], [[0, 0], [-69587309/151, -58942227/302], [5614007/151, 2280198/151], [-24852/151, -7521/302]]], 0, 12, [], [] >,
< [ -2, 0, 1 ], [[-48, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -42], [4, -2], [0, 0]], [[0, 0], [-2200, -1382], [0, 41], [0, 5]], [[0, 0], [-1410, -1337], [80, -24], [10, -3]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-48, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 7], [6, -4], [0, 0]], [[0, 0], [-2484, -1798], [-8, -14], [10, 2]], [[0, 0], [2092, 1161], [56, -25], [22, -22]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-24, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 1], [1, 0], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [-6, -2], [0, 0], [0, 0]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[-24, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 21], [6, -2], [0, 0]], [[0, 0], [3, 0], [0, 0], [1, 0]], [[0, 0], [62, 78], [24, -9], [0, 0]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[-24, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [-40, 1], [0, 0], [-4, 5]], [[0, 0], [38, 113], [0, 0], [-24, 6]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[-4, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -5/2], [-18, -9], [-5, -5/2], [0, 0]], [[3, 1], [15, 7/2], [3, 1], [2, 5/2]], [[12, -13/2], [72, -42], [12, -13/2], [-8, 8]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[-8, -16]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2108/151, 315/151], [46/151, -1/151], [0, 0]], [[0, 0], [632875/151, 93113/302], [-14185/151, -3076/151], [-220/151, 3/302]], [[0, 0], [-439349859/151, 56892557/302], [9452829/151, 802432/151], [156160/151, -44835/302]]], 0, 12, [], [] >,
< [ -2, 0, 1 ], [[56, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-146754/151, -1018/151], [-466/151, -3/151], [0, 0]], [[0, 0], [-370792353/151, 5502719/302], [-1177167/151, 10054/151], [732/151, 1/302]], [[0, 0], [162479848565/151, 64840277985/302], [515590973/151, 102345480/151], [-321836/151, -133219/302]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[-48, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -20], [2, 2], [0, 0]], [[0, 0], [488, -333], [-44, -21], [-4, 0]], [[0, 0], [-1244, 889], [-8, -32], [4, -5]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-48, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -18], [-10, -5], [0, 0]], [[0, 0], [-82, 41], [-16, 10], [0, -6]], [[0, 0], [10, -24], [4, -4], [-6, -2]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-8, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 1/2], [4, 1], [-5, 1/2], [0, 0]], [[-432, -168], [462, 513/2], [-432, -168], [1, -3/2]], [[-11640, -9312], [14889, 11080], [-11640, -9312], [-33, -6]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[-8, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[0, 0], [7, 1], [0, 0], [1, 0]], [[0, 0], [-2, -4], [0, 0], [0, 0]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[-8, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -10], [2, 3], [0, 0]], [[0, 0], [3, 0], [0, 0], [1, 0]], [[0, 0], [-10, -3], [0, 2], [0, 0]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[-8, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [24, -3], [0, 0], [10, -4]], [[0, 0], [92, 57], [0, 0], [22, 11]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[56, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104800/151, -289/151], [-348/151, -1/151], [0, 0]], [[0, 0], [57490291/151, 94161/302], [189721/151, 1042/151], [870/151, 5/302]], [[0, 0], [315807803/151, 867615435/302], [1055555/151, 1436448/151], [4806/151, 13149/302]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[0, 6]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 2], [-10, -3], [-3, 2], [0, 0]], [[-5, 3/2], [-120, -80], [-5, 3/2], [0, 0]], [[0, 0], [-33/14, -11/14], [0, 0], [-1/14, -1/42]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[24, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 3], [8, 3], [0, 0]], [[0, 0], [6953/7, -11663/14], [-90, 342], [-1/7, 5/42]], [[0, 0], [192, 112], [-378, -261], [0, 0]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[24, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [307/7, -101/14], [0, 0], [11/7, 1/42]], [[0, 0], [1590/7, -625/7], [0, 0], [52/7, -13/7]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[144, 48]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 10], [-6, 0], [0, 0]], [[0, 0], [231225/697, -2413449/697], [440/17, 18643/17], [-1247/697, -1/697]], [[0, 0], [113489145/697, -869020056/697], [-76428/17, 33494259/85], [-2241241/3485, 37432/3485]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[48, 96]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138/17, 62/17], [-80/17, 2/17], [0, 0]], [[0, 0], [-593185/697, 29269/697], [2878/85, -275/17], [2641/3485, -1/3485]], [[0, 0], [-117692988/697, -136344729/697], [-22828/85, 387574/85], [586278/3485, 635769/3485]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[-12, -2]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -5/2], [4, 1], [-5, -5/2], [0, 0]], [[-4, 1], [6, -3], [-4, 1], [0, 0]], [[18, 5/2], [-119927/3554, -8367/1777], [-61/3, -17/6], [-43/10662, -1/1777]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[-8, -24]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 3], [-8, 2], [0, 0]], [[0, 0], [7678720/1777, -7355/1777], [-3130/3, -29], [-10084/5331, -2/5331]], [[0, 0], [51857290/1777, 374628087/3554], [-8510, -25655], [-22890/1777, -164045/3554]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[-8, -24]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [12782481/1777, -17005/3554], [13015/3, -4/3], [1529/1777, -1/10662]], [[0, 0], [-189652/1777, 292845/3554], [-193/3, 149/3], [-68/5331, 35/3554]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[-40, -16]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 4], [-8, -1], [0, 0]], [[0, 0], [7524035/1777, 624245/3554], [-4178/3, 143/3], [-10207/5331, -1/3554]], [[0, 0], [-4730531170/1777, -2817959725/3554], [841494, 195919], [2093630/1777, 1101195/3554]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[-40, -16]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [452312/1777, -42377/3554], [157, -7/3], [166/5331, -5/10662]], [[0, 0], [-2130302/1777, 1029954/1777], [-2156/3, 1004/3], [-760/5331, 118/1777]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[-8, -10]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -1/2], [-8, -2], [-5, -1/2], [0, 0]], [[1, 1/2], [2, 1], [1, 1/2], [0, 0]], [[-18, 5/2], [-119927/3554, 8367/1777], [-61/3, 17/6], [-43/10662, 1/1777]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[-176, -112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [224, 137], [6, -5], [0, 0]], [[0, 0], [-7218, -4896], [-40, 53], [6, 3]], [[0, 0], [-8426, -4961], [-256, 208], [10, 1]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-176, 112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-250, 87], [10, -1], [0, 0]], [[0, 0], [4936, 3591], [-336, -240], [0, -1]], [[0, 0], [-838, -264], [48, 24], [0, 0]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[40, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -4], [-2, -1], [0, 0]], [[0, 0], [-1, -1/2], [0, -1/2], [0, 0]], [[0, 0], [-70/17, -28/17], [0, 0], [-5/17, -2/17]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[200, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -3/2], [-5, 15/2], [0, 0]], [[0, 0], [1465/17, -69/34], [0, 45/2], [101/17, 3/17]], [[0, 0], [13932/17, 10095/34], [165, 435/2], [1000/17, 400/17]]], 0, 1248, [], [] >,
< [ -2, 0, 1 ], [[656, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, -53], [-38, 3], [0, 0]], [[0, 0], [-24002, 10122], [-16696, 10724], [-8, -4]], [[0, 0], [1064932, -882136], [947038, -690049], [-58, -141]]], 0, 4224, [], [] >,
< [ -2, 0, 1 ], [[432, 160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 39], [54, -3], [0, 0]], [[0, 0], [2478, 3880], [-2180, 3594], [8, 4]], [[0, 0], [13812, 53071], [-57712, 63708], [100, 37]]], 0, 4224, [], [] >,
< [ -2, 0, 1 ], [[152, 48]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [10, -21], [0, 0]], [[0, 0], [3509055/1777, -765/3554], [-111604/3, 37/3], [-1529/1777, 1/10662]], [[0, 0], [443822400/1777, 249084000/1777], [-14112056/3, -2639623], [-580160/5331, -325600/5331]]], 0, 576, [], [] >,
< [ -2, 0, 1 ], [[152, 48]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -7], [11, 16], [0, 0]], [[0, 0], [-16701503/1777, -258677/3554], [-236597/3, 248/3], [-2025/1777, -1/10662]], [[0, 0], [1591567132/1777, 1410874530/1777], [7399348, 19791211/3], [571120/5331, 508816/5331]]], 0, 576, [], [] >,
< [ -2, 0, 1 ], [[24, 38]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-48, 1/2], [-4, 1], [-48, 1/2], [0, 0]], [[-8708, -4293/2], [9895507/3554, -63725/1777], [60193/3, -4241/2], [4175/10662, 2/5331]], [[-971298, -1130699], [252831405/1777, 573009828/1777], [591388, 2222947], [37801/1777, 81107/1777]]], 1, 72, [], [] >,
< [ -2, 0, 1 ], [[80, 66]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[138, 5/2], [10, 1], [138, 5/2], [0, 0]], [[-117301, 29707/2], [-16089089/3554, 1307601/3554], [-87036, 89297/6], [4999/10662, 5/10662]], [[48610889, 9828213], [3436485654/1777, 1676467507/3554], [104944433/3, 16663250/3], [-375212/1777, -705991/10662]]], 1, 72, [], [] >,
< [ -2, 0, 1 ], [[56, 104]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -2], [24, 13], [0, 0]], [[0, 0], [572714/1777, -64737/3554], [-19160/3, -779/3], [-248/1777, 1/10662]], [[0, 0], [-26969227/1777, 9826024/1777], [847924/3, -81377], [33823/5331, -10877/5331]]], 0, 576, [], [] >,
< [ -2, 0, 1 ], [[56, 104]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -9], [-3, -8], [0, 0]], [[0, 0], [-16829447/1777, -75399/3554], [-235487/3, -263/3], [-2025/1777, 1/10662]], [[0, 0], [-2497987086/1777, -76872133/1777], [-34950988/3, -1036381/3], [-300530/1777, -25655/5331]]], 0, 576, [], [] >,
< [ -2, 0, 1 ], [[0, 18]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 1/2], [8, 0], [-4, 1/2], [0, 0]], [[4, 0], [-8, -1], [4, 0], [0, 0]], [[0, 0], [27/14, 9/14], [0, 0], [-3/14, -1/14]]], 1, 20, [], [] >,
< [ -2, 0, 1 ], [[72, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 0], [-2, 3], [0, 0]], [[0, 0], [29, 23], [-20, -16], [-1, 0]], [[0, 0], [-46/7, -75/14], [4, 4], [2/7, -1/14]]], 0, 160, [], [] >,
< [ -2, 0, 1 ], [[72, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [387/7, 111/14], [0, 0], [-43/7, -3/14]], [[0, 0], [2530/7, 1044/7], [0, 0], [-264/7, -88/7]]], 0, 160, [], [] >,
< [ -2, 0, 1 ], [[432, 144]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [934/17, 48/17], [414/17, 18/17], [0, 0]], [[0, 0], [-3107949/697, 29791/697], [-70662/85, 1857/85], [4841/3485, 1/697]], [[0, 0], [-632548140/697, -39027450/697], [-14347326/85, -646902/85], [197352/697, 71266/3485]]], 0, 3840, [], [] >,
< [ -2, 0, 1 ], [[144, 288]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [344/17, -12/17], [78/17, -30/17], [0, 0]], [[0, 0], [-648254/697, 92255/697], [-12678/85, 1344/17], [844/3485, 1/3485]], [[0, 0], [-18714449/697, -25819246/697], [84204/85, -298971/85], [35457/3485, 7738/697]]], 0, 3840, [], [] >,
< [ -2, 0, 1 ], [[8, 40]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-124098/151, -807/151], [9546/151, 4/151], [0, 0]], [[0, 0], [-8110030/151, -1192013957/302], [70085/151, 45846197/151], [-279/151, 1/302]], [[0, 0], [-280747024429/151, -639211467107/302], [21300490529/151, 24456377555/151], [-148500/151, -128865/302]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[176, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 27], [-46, 1], [0, 0]], [[0, 0], [-60336, 42094], [-58358, 42154], [4, -2]], [[0, 0], [-314646, 246711], [-353238, 212012], [-6, -31]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[176, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 10], [-36, -5], [0, 0]], [[0, 0], [1554, -192], [-11532, -9582], [2, -5]], [[0, 0], [-2610, -526], [31764, 23920], [2, 8]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[88, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -11], [2, 3], [0, 0]], [[0, 0], [-5, 0], [4, 0], [1, 0]], [[0, 0], [-2, -3], [0, 0], [0, 0]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[88, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -17], [-13, -2], [0, 0]], [[0, 0], [-5, 0], [-3, 0], [1, 0]], [[0, 0], [26, 32], [48, 30], [0, 0]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[88, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -4], [-13, -9], [0, 0]], [[0, 0], [-308, 213], [-12, 9], [4, -3]], [[0, 0], [4, -1], [0, 0], [0, 0]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[20, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, 5/2], [12, 11], [-10, 5/2], [0, 0]], [[238, -447/2], [259, 149/2], [238, -451/2], [0, 1/2]], [[14, -7], [-6, -9], [14, -7], [0, 0]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-168, -56]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [106636/151, -388/151], [-8226/151, -5/151], [0, 0]], [[0, 0], [217683/151, -340811/302], [-8707/151, 12115/151], [-942/151, -5/302]], [[0, 0], [3686973106/151, -2384559543/151], [-255734906/151, 100381769/151], [-838280/151, 9620366/151]]], 0, 576, [], [] >,
< [ -2, 0, 1 ], [[-168, -56]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1151834/151, -742/151], [-3972/151, -1/151], [0, 0]], [[0, 0], [-229348680/151, 150670095/302], [-790933/151, 259986/151], [-115/151, -5/302]], [[0, 0], [-7423/151, -5181/302], [-33/151, -4/151], [10/151, 7/302]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-48, -240]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4190/17, -112/17], [-1340/17, -8/17], [0, 0]], [[0, 0], [-3939020/17, -3205370/17], [6669878/85, 5341592/85], [-2/5, 0]], [[0, 0], [-12841449585/697, -9497305630/697], [527219418/85, 387940949/85], [-69597/3485, -25344/3485]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-144, -720]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2540/17, 4/17], [978/17, -24/17], [0, 0]], [[0, 0], [28474368/697, 26013255/697], [1196604/85, 237828/17], [-4438/3485, -3/3485]], [[0, 0], [3667519519/697, 2816923203/697], [159497874/85, 125828163/85], [-68943/697, -124509/3485]]], 0, 30720, [], [] >,
< [ -2, 0, 1 ], [[-104, -128]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [79420/151, -591/151], [-6086/151, -1/151], [0, 0]], [[0, 0], [-537320224/151, -1102811864/151], [42449934/151, 84832100/151], [256/151, -1/151]], [[0, 0], [-2609598767829/151, -2255255046689/302], [201304884421/151, 87925301610/151], [844, 3587/2]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[-104, -128]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [656, -3], [-56, 0], [0, 0]], [[0, 0], [-177900763/151, 8240340/151], [15189482/151, -633640/151], [243/151, 2/151]], [[0, 0], [-53433375940/151, -287550825821/302], [4677717165/151, 12302153545/151], [94875/151, 402765/302]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[-208, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-176, -19], [0, -7], [0, 0]], [[0, 0], [5938, 25995], [2060, 14], [8, 3]], [[0, 0], [1027686, 163590], [4308, 40316], [132, 162]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-208, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 36], [16, 10], [0, 0]], [[0, 0], [222, -243], [-30, -11], [-6, 2]], [[0, 0], [-1536, -399], [-380, -286], [-20, -25]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[72, 32]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44980/151, -716/151], [3460/151, -3/151], [0, 0]], [[0, 0], [5812946/151, 170699216/151], [-10086/151, -13130465/151], [-256/151, -1/151]], [[0, 0], [63867699108/151, 16407092281/302], [-4894578207/151, -549577807/151], [-11051/151, -95503/302]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[-56, -112]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [367504/151, 992/151], [1280/151, 5/151], [0, 0]], [[0, 0], [221397045/151, -41286376/151], [770488/151, -143616/151], [-5, 0]], [[0, 0], [69737887608/151, -43872549601/302], [242690449/151, -76321271/151], [-225609/151, 65469/302]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[144, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, 5], [74, 1], [0, 0]], [[0, 0], [224570, -20933], [161384, -20506], [-4, 3]], [[0, 0], [-25142, -18098], [-17056, -12300], [0, 0]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[144, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 4], [-44, -4], [0, 0]], [[0, 0], [-16, 12], [98, -209], [4, -3]], [[0, 0], [0, 0], [16, 11], [0, 0]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[16, 18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-45, -5/2], [-4, -15], [-45, -5/2], [0, 0]], [[625, -1936], [-1245, 105], [621, -1940], [1, 1]], [[6246, -27443/2], [-8729, 2687/2], [6222, -27495/2], [6, 13/2]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[72, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 2], [18, 1], [0, 0]], [[0, 0], [-5, 0], [4, 0], [1, 0]], [[0, 0], [-22, -9], [-44, -11], [0, 0]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[72, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -12], [-12, -10], [0, 0]], [[0, 0], [-5, 0], [-3, 0], [1, 0]], [[0, 0], [-16, 3], [-9, -4], [0, 0]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[72, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 2], [-15, -9], [0, 0]], [[0, 0], [-2208, 1329], [247, -7], [6, -3]], [[0, 0], [-8564, -2126], [4350, 2829], [38, 17]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[-56, -112]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21448/151, 742/151], [-2068/151, 1/151], [0, 0]], [[0, 0], [914098510/151, 157648059/151], [-87303072/151, -12137669/151], [-2, 0]], [[0, 0], [1209793931260/151, 1421890780429/302], [-112133383347/151, -64625621864/151], [-338831/151, -352893/302]]], 0, 576, [], [] >,
< [ -2, 0, 1 ], [[-432, -192]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1758/17, -200/17], [586/17, 10/17], [0, 0]], [[0, 0], [1619134/697, 4004137/697], [-4938/85, -163176/85], [-3632/3485, -1/3485]], [[0, 0], [-8114715389/697, -3152446271/697], [305589738/85, 14337345/17], [1495241/3485, 3378749/3485]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-1296, -576]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4200/17, 184/17], [1626/17, 18/17], [0, 0]], [[0, 0], [-58519291/697, -56442419/697], [-2564598/85, -2582757/85], [2347/3485, -3/3485]], [[0, 0], [473218470/41, 284997266/41], [21482016/5, 12655908/5], [-12060/697, -135742/3485]]], 0, 30720, [], [] >,
< [ -2, 0, 1 ], [[392, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [726, -3], [-56, 0], [0, 0]], [[0, 0], [-9376/151, -250167/302], [-6701/151, 10069/151], [-187/151, -5/302]], [[0, 0], [-8007330/151, -17189910/151], [-364994/151, 1182951/151], [-25456/151, -5375/151]]], 0, 4608, [], [] >,
< [ -2, 0, 1 ], [[392, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [192, -1], [-14, 0], [0, 0]], [[0, 0], [-19217807/151, -3856581/302], [1464517/151, 150868/151], [824/151, 3/302]], [[0, 0], [-30454446971/151, -70411784981/302], [2334205243/151, 2687778249/151], [1028596/151, 2817377/302]]], 0, 4608, [], [] >,
< [ -2, 0, 1 ], [[-152, -24]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3026/151, -466/151], [256/151, 1/151], [0, 0]], [[0, 0], [199334/151, -275011/302], [8211/151, 10920/151], [279/151, 1/302]], [[0, 0], [43053046/151, -28333901/151], [6478138/151, 5660197/151], [115000/151, 39780/151]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[-152, -24]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32888/151, -690/151], [2948/151, -5/151], [0, 0]], [[0, 0], [-1510490243/151, -484812899/302], [134539149/151, 18676426/151], [36/151, 5/302]], [[0, 0], [344354198723/151, 284132469057/302], [-30318389625/151, -12046024730/151], [-7810/151, -5405/302]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[-304, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 43], [-4, 13], [0, 0]], [[0, 0], [-19286, -10898], [-5144, 364], [8, -4]], [[0, 0], [-1100820, -759715], [-164400, -88958], [120, 19]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-304, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162, 5], [-2, 3], [0, 0]], [[0, 0], [-784, -1115], [20, -10], [-10, 5]], [[0, 0], [69322, 52745], [-292, -46], [146, 23]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 0], [4, 4], [0, 0]], [[0, 0], [-1, 2], [1, 0], [1, 0]], [[0, 0], [-18, 10], [2, -4], [0, 0]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 24], [2, 6], [0, 0]], [[0, 0], [-1, -1], [1, 1], [1, 0]], [[0, 0], [122, 114], [50, 40], [0, 0]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 12], [10, 4], [0, 0]], [[0, 0], [20, 18], [18, 12], [2, 6]], [[0, 0], [-30, -14], [-18, -14], [-12, 0]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -4], [0, -8], [0, 0]], [[0, 0], [-18, -12], [4, -6], [-2, -8]], [[0, 0], [-58, -38], [22, -26], [0, -30]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 2], [-16, -6], [0, 0]], [[0, 0], [186, -18], [726, 374], [-12, 6]], [[0, 0], [-420, -84], [-2246, -1390], [20, -6]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 10], [-2, 4], [0, 0]], [[0, 0], [52, 21], [-8, 3], [-8, -5]], [[0, 0], [146, -95], [-78, 55], [-6, 3]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 4], [-6, -5], [0, 0]], [[0, 0], [-626, 113], [-112, -96], [0, -1]], [[0, 0], [-212, 184], [20, 4], [0, 0]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 2], [10, -2], [0, 0]], [[0, 0], [6, 103], [-20, 40], [4, -1]], [[0, 0], [-208, -57], [-70, 0], [0, -3]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -2], [8, 10], [0, 0]], [[0, 0], [4, 5], [16, -12], [4, 5]], [[0, 0], [-16, -8], [28, -18], [-16, -8]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 2], [4, -2], [0, 0]], [[0, 0], [-18, -10], [4, 0], [0, 2]], [[0, 0], [0, -3], [-2, 2], [2, -1]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[0, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [0, 2], [0, 0], [0, 0]]], 0, 4, [], [] >,
< [ -2, 0, 1 ], [[0, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [0, 2], [0, 0], [0, 0]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 1/2], [-4, -3], [5, 1/2], [0, 0]], [[2, -3/2], [0, 0], [2, -3/2], [0, 0]], [[0, 0], [1, 0], [0, 0], [1, 0]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [2, 11/2], [0, 0], [3, 1/2]], [[0, 0], [-30, -15], [0, 0], [-8, -8]]], 1, 1, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1498/151, 1536/151], [-92/151, -2/151], [0, 0]], [[0, 0], [-55641/151, -20856/151], [-6/151, 1221/151], [-79/151, -5/151]], [[0, 0], [-2771334/151, -1187120/151], [8772/151, 57400/151], [-3752/151, -528/151]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-192, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, 56], [-2, 4], [0, 0]], [[0, 0], [-118, -326], [144, -112], [-2, -2]], [[0, 0], [32, 84], [-36, 28], [0, 0]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-192, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -16], [8, 4], [0, 0]], [[0, 0], [-90, 52], [8, -4], [2, -2]], [[0, 0], [-6, -12], [2, 2], [0, 0]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-192, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 10], [-10, -10], [0, 0]], [[0, 0], [-24, 14], [-2, 4], [8, 2]], [[0, 0], [-18, 14], [-4, 2], [0, -2]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -46], [0, -8], [0, 0]], [[0, 0], [-42, -31], [-2, -6], [6, -1]], [[0, 0], [-2, 1], [0, 0], [0, -1]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -16], [0, 6], [0, 0]], [[0, 0], [42, 7], [-28, -8], [-4, 5]], [[0, 0], [558, 453], [-432, -336], [50, 15]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 14], [16, -2], [0, 0]], [[0, 0], [1800, 1179], [-954, -664], [-4, 3]], [[0, 0], [1870, 1318], [-1020, -720], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-12, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -1], [128, 7], [-4, -1], [0, 0]], [[0, 0], [3, 0], [0, 0], [1, 0]], [[15, 9/2], [-470, -53], [15, 9/2], [0, 0]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[-12, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [88, -5], [0, 0], [-4, 2]], [[0, 0], [918, 1117/2], [0, 0], [-17, -11/2]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13626/151, 1432/151], [932/151, 6/151], [0, 0]], [[0, 0], [3803440/151, 4356966/151], [-335224/151, -334826/151], [118/151, 4/151]], [[0, 0], [81909183/151, 132783787/151], [-7839408/151, -9933533/151], [4195/151, -600/151]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[224, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1433836/151, -2890/151], [-4976/151, -10/151], [0, 0]], [[0, 0], [-17641841911/151, -4323704/151], [-61224470/151, -14719/151], [-79/151, 5/151]], [[0, 0], [-2706864511388/151, -723546799810/151], [-9393913196/151, -2510962030/151], [-11710/151, -2470/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[-192, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82, -90], [2, -6], [0, 0]], [[0, 0], [-2302, 2294], [-80, 140], [-10, -10]], [[0, 0], [1142, -578], [70, -20], [-4, -2]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-192, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, -96], [0, -4], [0, 0]], [[0, 0], [342, 154], [32, 20], [10, -4]], [[0, 0], [726, 582], [82, 60], [0, 8]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-192, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -16], [2, -4], [0, 0]], [[0, 0], [414, 160], [-20, 42], [4, 6]], [[0, 0], [1434, 1690], [320, -60], [48, 18]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-4, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1/2], [-92, -4], [1, -1/2], [0, 0]], [[0, 0], [3, 0], [0, 0], [1, 0]], [[0, 0], [6, 5], [0, 0], [0, 0]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[-4, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [6, -7/2], [0, 0], [-3, 1/2]], [[0, 0], [13, -30], [0, 0], [21, 28]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -22], [8, 4], [0, 0]], [[0, 0], [-626, 352], [-82, 60], [-8, -4]], [[0, 0], [642, -527], [104, -72], [-4, -5]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, 14], [-20, 2], [0, 0]], [[0, 0], [-522, 455], [256, -192], [6, 5]], [[0, 0], [1168, -751], [-512, 352], [6, 3]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -14], [8, -8], [0, 0]], [[0, 0], [-104, -81], [6, -16], [-8, 3]], [[0, 0], [-88, -76], [16, -22], [-12, 6]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[224, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-766126/151, 2916/151], [-2652/151, 8/151], [0, 0]], [[0, 0], [-81597/151, -366429/151], [620/151, -1897/151], [-637/151, -4/151]], [[0, 0], [-201864018/151, -88233895/151], [-853222/151, -191010/151], [-119260/151, -163145/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[12, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[12, 4], [192/7, 43/7], [12, 4], [20/21, 2/21]], [[-5, -7/2], [-143/14, -99/14], [-5, -7/2], [-13/42, -3/14]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[12, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [109/14, 69/14], [0, 0], [5/14, 5/42]], [[0, 0], [-11, -8], [0, 0], [-1/3, -1/3]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[96, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 10], [-12, -6], [0, 0]], [[0, 0], [-123/7, 36/7], [4, 8], [-1/21, 2/21]], [[0, 0], [-6, 0], [4, 4], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[96, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 12], [0, 2], [0, 0]], [[0, 0], [-1017/7, 977/7], [-54, 42], [1/7, 1/21]], [[0, 0], [42, -4], [10, -4], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[576, 192]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-628/17, -218/17], [164/17, 16/17], [0, 0]], [[0, 0], [-2543318/697, 1330440/697], [74208/85, -57842/85], [3082/3485, -2/3485]], [[0, 0], [-162616652/697, 79262785/697], [910594/17, -725882/17], [42660/697, 3081/697]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[192, 384]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132/17, 90/17], [-24/17, 4/17], [0, 0]], [[0, 0], [48980/697, -27855/697], [-77358/85, 942/85], [9796/3485, 1/697]], [[0, 0], [-2319270/697, 5971538/697], [-19496228/85, -20563458/85], [2535706/3485, 527226/697]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[-4, -12]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [7854860/1777, 765/3554], [914/3, 1], [2810/5331, -1/10662]], [[0, 0], [259999913/3554, 3178814501/3554], [5441, 184994/3], [92497/10662, 1137169/10662]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-4, -12]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-1488, 1], [2799, -3], [5042/3, -1/3], [1/3, 0]], [[130113, 321165/2], [-868978599/3554, -1073185157/3554], [-147132, -362889/2], [-103761/3554, -127917/3554]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-32, -96]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 4], [-16, -8], [0, 0]], [[0, 0], [7051005/1777, 3825/1777], [52424/3, -22], [-9217/5331, -5/5331]], [[0, 0], [-1005718725/1777, -896003955/1777], [-2484500, -6648304/3], [1314665/5331, 1171247/5331]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[-32, -96]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -14], [4, -4], [0, 0]], [[0, 0], [1281520/1777, -37564/1777], [14/3, 30], [578/5331, -2/5331]], [[0, 0], [-22273689/1777, -6698943/1777], [-428, -558], [-3405/1777, -1095/1777]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[-160, -64]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -10], [-4, 10], [0, 0]], [[0, 0], [-4091694/1777, -176935/1777], [-27640/3, 234], [5042/5331, -1/5331]], [[0, 0], [1221243921/1777, -948212418/1777], [9181472/3, -2337290], [-1612453/5331, 1238462/5331]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[-160, -64]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -10], [-10, -6], [0, 0]], [[0, 0], [-6369071/1777, -193940/1777], [-874/3, -16/3], [-785/1777, -2/5331]], [[0, 0], [-153061562/1777, -241203621/1777], [-6738, -10956], [-17136/1777, -29223/1777]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[-20, -8]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [7041731/1777, 14981/3554], [820/3, -1], [2521/5331, -1/10662]], [[0, 0], [4291576601/3554, -2717497317/3554], [251371/3, -159406/3], [1538881/10662, -324943/3554]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-20, -8]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[1107, 2], [3669288/1777, -2295/3554], [3751/3, 5/3], [1322/5331, 1/3554]], [[151601, -374205/2], [1010265759/3554, -1242488083/3554], [514292/3, -1268459/6], [120897/3554, -447127/10662]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-704, -448]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [232, 158], [4, 6], [0, 0]], [[0, 0], [906, 578], [12, 24], [-6, -2]], [[0, 0], [-230, -32], [18, -18], [4, -2]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-704, 448]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, 230], [-8, -6], [0, 0]], [[0, 0], [272, -222], [10, 8], [2, -10]], [[0, 0], [-598, 424], [0, -2], [-18, 14]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[160, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 1], [1, 0], [0, 0]], [[0, 0], [-538/17, 84/17], [0, 0], [168/17, 6/17]], [[0, 0], [262, 342], [0, 0], [-130, -130]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[800, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 7], [10, -25], [0, 0]], [[0, 0], [1158/17, -856/17], [-360, 270], [-46/17, 2/17]], [[0, 0], [247/17, -503/17], [-45, 180], [-224/17, -144/17]]], 0, 19968, [], [] >,
< [ -2, 0, 1 ], [[2624, 1536]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 16], [58, 16], [0, 0]], [[0, 0], [-436, -68], [2090, 1354], [-6, -6]], [[0, 0], [776, -744], [558, 1066], [-10, 2]]], 0, 67584, [], [] >,
< [ -2, 0, 1 ], [[1728, 640]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -34], [-26, -42], [0, 0]], [[0, 0], [-1580, -846], [-906, -716], [-6, 10]], [[0, 0], [-4082, -2274], [-2406, -1866], [-12, 24]]], 0, 67584, [], [] >,
< [ -2, 0, 1 ], [[608, 192]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -4], [-32, 6], [0, 0]], [[0, 0], [-4717501/1777, 33245/1777], [-484696/3, -10/3], [6241/5331, 1/1777]], [[0, 0], [-308463570/1777, 130718756/1777], [-10502044, 13207918/3], [405520/5331, -169880/5331]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[608, 192]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, 0], [90, -2], [0, 0]], [[0, 0], [28276361/1777, -327733/1777], [251222/3, -174], [10373/5331, 1/5331]], [[0, 0], [-59226538914/1777, -16201516643/1777], [-176351634, -49660444], [-7290572/1777, -2066339/1777]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[76, 24]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -2], [29, 2], [0, 0]], [[0, 0], [5069044/1777, 450346/1777], [18160, -2854/3], [2066/5331, -1/5331]], [[0, 0], [-426717/3554, -145028/1777], [-1861/3, -1265/3], [-51/3554, -52/5331]]], 1, 144, [], [] >,
< [ -2, 0, 1 ], [[76, 24]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -3], [12, 2], [0, 0]], [[242, -1], [-806021/1777, 2789/1777], [-11359/3, -20], [-289/5331, 1/5331]], [[558, 155/2], [-3717737/3554, -259377/1777], [-26266/3, -7775/6], [-1333/10662, -31/1777]]], 1, 144, [], [] >,
< [ -2, 0, 1 ], [[132, 80]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -2], [5, 19], [0, 0]], [[0, 0], [6942219/1777, -56099/3554], [60739/3, -185], [2521/5331, -1/10662]], [[0, 0], [339137775/3554, -24286279/1777], [1485701/3, -220040/3], [123023/10662, -2861/1777]]], 1, 144, [], [] >,
< [ -2, 0, 1 ], [[132, 80]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -2], [-25, -10], [0, 0]], [[-502, 1/2], [-3358227/3554, -2542/1777], [-7789, -31/6], [-1199/10662, 1/5331]], [[-64, 87/2], [-426717/3554, 145028/1777], [-2971/3, 4039/6], [-51/3554, 52/5331]]], 1, 144, [], [] >,
< [ -2, 0, 1 ], [[224, 416]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -4], [-72, -56], [0, 0]], [[0, 0], [2055555/1777, 26137/1777], [209912/3, 658/3], [-2687/5331, 1/1777]], [[0, 0], [41696216/1777, -37494796/1777], [1444132, -3870670/3], [-55880/5331, 49784/5331]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[224, 416]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94, -8], [-114, 2], [0, 0]], [[0, 0], [-9379743/1777, -5417061/1777], [-11894/3, -3032], [289/5331, 1/5331]], [[0, 0], [-371912051/1777, -283859899/1777], [-190030, -391304/3], [4121/5331, 6409/5331]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[36, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-5, -5/2], [247/14, -11/14], [-5, -5/2], [-15/14, -5/14]], [[2, 3/2], [-45/14, -25/7], [2, 3/2], [5/14, 2/7]]], 1, 40, [], [] >,
< [ -2, 0, 1 ], [[36, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [114/7, -25/7], [0, 0], [-8/7, 2/7]], [[0, 0], [137/14, 73/7], [0, 0], [-9/14, -5/7]]], 1, 40, [], [] >,
< [ -2, 0, 1 ], [[288, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 6], [20, -10], [0, 0]], [[0, 0], [199/7, 64/7], [24, -8], [23/7, -4/7]], [[0, 0], [-201, -121], [-92, -16], [-15, -5]]], 0, 2560, [], [] >,
< [ -2, 0, 1 ], [[288, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 2], [10, 6], [0, 0]], [[0, 0], [-1136/7, 669/7], [-18, 24], [22/7, 5/7]], [[0, 0], [-4549/7, 7985/7], [-480, -60], [-459/7, -405/7]]], 0, 2560, [], [] >,
< [ -2, 0, 1 ], [[1728, 576]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2076/17, 232/17], [-804/17, 36/17], [0, 0]], [[0, 0], [27725272/697, -43043676/697], [1158636/85, -1980072/85], [6676/3485, 2/3485]], [[0, 0], [-26471671624/697, 44533126865/697], [-1094488578/85, 2052376218/85], [-7046616/3485, -43729/697]]], 0, 61440, [], [] >,
< [ -2, 0, 1 ], [[576, 1152]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1268/17, 234/17], [-348/17, 24/17], [0, 0]], [[0, 0], [5801708/697, 1525277/697], [30/17, 67482/85], [4732/3485, -1/3485]], [[0, 0], [-1613355608/697, -1367975224/697], [-25504644/85, -12095712/85], [-169164/697, -893106/3485]]], 0, 61440, [], [] >,
< [ -2, 0, 1 ], [[32, 160]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [322222/151, 932/151], [-24856/151, -2/151], [0, 0]], [[0, 0], [8590017727/151, 8562824673/151], [-658920856/151, -658678519/151], [-243/151, -2/151]], [[0, 0], [3874800126573/151, 2977927692896/151], [-297611733450/151, -228878361097/151], [-59501/151, -25831/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[704, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -16], [42, 28], [0, 0]], [[0, 0], [18, -20], [-16, 26], [10, -10]], [[0, 0], [14, -6], [-22, 6], [8, -4]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[704, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, 90], [64, -2], [0, 0]], [[0, 0], [12352, -120], [-8958, 8774], [6, 2]], [[0, 0], [99322, -205736], [-360110, 216258], [-20, -84]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[64, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -6], [-38, 6], [0, 0]], [[0, 0], [10088, -8310], [-7868, 6332], [-2, 2]], [[0, 0], [52, -132], [-48, 96], [0, 0]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[352, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 20], [-40, 10], [0, 0]], [[0, 0], [256, 173], [252, 166], [10, -3]], [[0, 0], [-36950, -26474], [-35790, -25834], [-120, -520]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[352, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 2], [32, 34], [0, 0]], [[0, 0], [-330, -373], [-1540, -960], [0, 5]], [[0, 0], [782, 78], [1196, 1284], [-16, 6]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[352, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -16], [-36, -12], [0, 0]], [[0, 0], [-182, -50], [-96, -132], [10, 4]], [[0, 0], [1760, -65], [178, 1192], [-88, -11]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[4, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, 4], [19, 11], [0, 0]], [[0, 0], [31576, -18227], [2083, -73], [4, 2]], [[0, 0], [597339, -884365/2], [18524, -19858], [-4, -41/2]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[4, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -3/2], [-110, -4], [-8, -3/2], [0, 0]], [[0, 0], [-5, 0], [-3, 0], [1, 0]], [[35, 273], [-710, 3905], [35, 273], [0, 0]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[-672, -224]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [321062/151, -224/151], [-25092/151, -6/151], [0, 0]], [[0, 0], [-5711240753/151, 340930096/151], [446300170/151, -26226449/151], [223/151, 5/151]], [[0, 0], [-10407946578/151, 41556562199/151], [807325014/151, -3247004226/151], [142/151, -1605/151]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[-672, -224]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2596282/151, 2088/151], [-8968/151, 2/151], [0, 0]], [[0, 0], [1841020568/151, 610141837/151], [6362406/151, 2110708/151], [-532/151, -5/151]], [[0, 0], [-468276509917/151, -200437711739/151], [-1618455624/151, -693188121/151], [124527/151, 17922/151]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[-192, -960]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4712/17, -26/17], [1684/17, 20/17], [0, 0]], [[0, 0], [-1877544462/697, 192905959/697], [81179766/85, -7887676/85], [-5538/3485, -1/697]], [[0, 0], [1686047867960/697, 464626000566/697], [-73214448696/85, -20528267052/85], [1074316/697, 1926846/3485]]], 0, 49152, [], [] >,
< [ -2, 0, 1 ], [[-576, -2880]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1692/17, -10/17], [-660/17, 60/17], [0, 0]], [[0, 0], [1222816/697, 2170935/697], [-1754382/85, 97566/85], [-1724/697, -3/3485]], [[0, 0], [1332061198/697, 1256692839/697], [-813367326/85, -50536908/17], [-4161258/3485, -1474353/3485]]], 0, 491520, [], [] >,
< [ -2, 0, 1 ], [[-416, -512]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4868/151, -1588/151], [-1536/151, 6/151], [0, 0]], [[0, 0], [-2795476/151, 955078/151], [714080/151, -71098/151], [486/151, 4/151]], [[0, 0], [-121454765/151, 451501111/151], [-35127000/151, -130422203/151], [-43955/151, -93338/151]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[-416, -512]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [424576/151, 984/151], [-32288/151, -6/151], [0, 0]], [[0, 0], [-20873053297/151, 3874531965/151], [1588619312/151, -298035647/151], [33/151, 4/151]], [[0, 0], [-156444947313/151, 1161728363055/151], [12274027412/151, -88372992021/151], [-933/151, -1980/151]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[-832, -1024]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [750, -58], [-38, -22], [0, 0]], [[0, 0], [90446, -52698], [-1510, -104], [-4, 2]], [[0, 0], [-952454, -1898210], [182128, 138902], [98, 120]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-832, -1024]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-532, 56], [32, 20], [0, 0]], [[0, 0], [369198, -238356], [-4266, 0], [-4, 4]], [[0, 0], [2710086, -30918], [-185428, -119356], [50, 62]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-254852/151, -526/151], [19604/151, -6/151], [0, 0]], [[0, 0], [1778081/151, -246367301/151], [-227480/151, 18951749/151], [-59/151, -2/151]], [[0, 0], [-13269872540/151, -1130004014/151], [1020348288/151, 84481042/151], [-390/151, -1600/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[-224, -448]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5346572/151, -3244/151], [-18448/151, -6/151], [0, 0]], [[0, 0], [-51737481242/151, 4783798752/151], [-178526416/151, 16555844/151], [-4, 0]], [[0, 0], [-4347329759173/151, 1022720932806/151], [-15002176058/151, 3533009735/151], [-49389/151, 7373/151]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[576, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94, -48], [-26, -24], [0, 0]], [[0, 0], [-3778, -640], [-440, -908], [10, -8]], [[0, 0], [5696, 3726], [1956, 1472], [0, 2]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[576, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-202, -138], [-102, -8], [0, 0]], [[0, 0], [31590, 19874], [31420, -10200], [10, 0]], [[0, 0], [313718, 215816], [144082, 22714], [64, 28]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[576, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -82], [-110, -10], [0, 0]], [[0, 0], [1548, -1294], [-1316, 612], [10, -6]], [[0, 0], [1092, 1350], [2660, 1508], [-10, -4]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[36, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, -3], [-11, 6], [0, 0]], [[0, 0], [-3804, -2144], [283, 35], [0, 2]], [[0, 0], [11425, 17129/2], [-468, -478], [-6, -5/2]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[36, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, -3/2], [50, -5], [-20, -3/2], [0, 0]], [[0, 0], [-5, 0], [-3, 0], [1, 0]], [[294, 147], [-624, -247], [294, 147], [0, 0]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98, 14], [86, 4], [0, 0]], [[0, 0], [304, -257], [290, -268], [-4, -3]], [[0, 0], [26, -18], [26, -18], [0, 0]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -12], [40, 24], [0, 0]], [[0, 0], [130, -103], [-20, 32], [6, -5]], [[0, 0], [-98, -114], [196, 150], [-6, -6]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 10], [60, 50], [0, 0]], [[0, 0], [-192, 28], [-140, -226], [2, 0]], [[0, 0], [318, -487], [-946, -120], [-2, 5]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[-224, -448]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-263658/151, 932/151], [21048/151, -2/151], [0, 0]], [[0, 0], [27270078930/151, -2571713809/151], [-2175608618/151, 197818134/151], [374/151, -5/151]], [[0, 0], [-243147039421839/151, -116777133813382/151], [19474994436722/151, 9389285519269/151], [-3650451/151, -1901235/151]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[-1728, -768]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3252/17, -32/17], [-1084/17, -12/17], [0, 0]], [[0, 0], [-982878/697, 8189479/697], [389282/85, -331888/85], [-5614/3485, -1/697]], [[0, 0], [5616970744/697, 951534161/697], [-172249826/85, 84601454/85], [-893288/3485, -395889/697]]], 0, 49152, [], [] >,
< [ -2, 0, 1 ], [[-5184, -2304]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2764/17, -4/17], [-1164/17, 24/17], [0, 0]], [[0, 0], [-61926280/697, -13705229/697], [-3297678/85, -126918/17], [844/3485, 1/3485]], [[0, 0], [-594461980/697, -748787928/697], [-29551428/85, -39425688/85], [3996/3485, 1866/697]]], 0, 491520, [], [] >,
< [ -2, 0, 1 ], [[1568, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [182626/151, 120/151], [-13328/151, 14/151], [0, 0]], [[0, 0], [-89585858/151, 4700334/151], [6561552/151, -356012/151], [4, 0]], [[0, 0], [-227281079/151, -41530240/151], [16632786/151, 3011285/151], [1573/151, 363/151]]], 0, 73728, [], [] >,
< [ -2, 0, 1 ], [[1568, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-151486/151, -306/151], [11676/151, 70/151], [0, 0]], [[0, 0], [-719663/151, -221750/151], [-19154/151, 19555/151], [893/151, 3/151]], [[0, 0], [832357136/151, 758312188/151], [-21671972/151, 4243274/151], [-564300/151, -770550/151]]], 0, 73728, [], [] >,
< [ -2, 0, 1 ], [[-608, -96]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19678/151, 1104/151], [2048/151, 8/151], [0, 0]], [[0, 0], [19908685/151, -4497642/151], [-2002778/151, 348493/151], [223/151, 5/151]], [[0, 0], [-4384429350/151, -528512822/151], [458733516/151, 80054008/151], [-58522/151, -20242/151]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[-608, -96]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28328/151, 474/151], [-1668/151, 10/151], [0, 0]], [[0, 0], [-9433675/151, 644828/151], [555862/151, -50241/151], [289/151, -3/151]], [[0, 0], [-419178309/151, -125796937/151], [24294556/151, 6840559/151], [13395/151, 4636/151]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[-1216, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1586, 20], [6, 12], [0, 0]], [[0, 0], [-1704994, 3182104], [-41702, 314], [8, 10]], [[0, 0], [-1991139786, 947043812], [-6499860, 11399224], [-4230, -660]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-1216, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1088, -104], [28, -28], [0, 0]], [[0, 0], [-437642, -407050], [-9738, 126], [8, 8]], [[0, 0], [-4344478, -1003482], [77904, -93536], [90, 14]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 18], [-16, -2], [0, 0]], [[0, 0], [4, 16], [-24, -18], [20, 2]], [[0, 0], [-52, -2], [52, 34], [0, -32]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -18], [8, 2], [0, 0]], [[0, 0], [192, 62], [-64, -56], [-20, -10]], [[0, 0], [-160, 96], [-16, 20], [8, -4]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -42], [10, 4], [0, 0]], [[0, 0], [-404, 226], [70, 70], [4, 0]], [[0, 0], [162, -90], [-28, -28], [-2, 0]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -34], [2, -8], [0, 0]], [[0, 0], [1312, -810], [330, -210], [8, 4]], [[0, 0], [2798, -2134], [720, -540], [-6, -8]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 6], [0, 10], [0, 0]], [[0, 0], [-22, -108], [-56, 0], [2, 6]], [[0, 0], [864, 164], [40, 220], [-48, -12]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 0], [-32, -12], [0, 0]], [[0, 0], [-50, 2], [-148, -56], [6, 4]], [[0, 0], [72, -50], [96, -64], [0, 0]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -14], [12, 12], [0, 0]], [[0, 0], [-132, 74], [20, -20], [-8, -2]], [[0, 0], [58, -84], [-28, 6], [-10, -10]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -14], [4, -4], [0, 0]], [[0, 0], [-40, -34], [-4, 4], [4, -2]], [[0, 0], [38, 42], [12, -10], [-10, 6]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[0, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -5/2], [6, -15], [3, -5/2], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[2, 0], [34, 18], [2, 0], [0, 0]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[0, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 2], [2, 6], [-1, 2], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[15, -5/2], [48, 12], [15, -5/2], [0, 0]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -8], [-10, -6], [0, 0]], [[0, 0], [1, 1], [0, 1], [1, 0]], [[0, 0], [6, -6], [-4, -2], [0, 0]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 10], [4, -8], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[0, 0], [-2, -4], [-6, 6], [0, 0]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 2], [4, -4], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [30, 40], [8, -1], [0, 0]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[0, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-9, -13/2], [0, 0], [2, -3/2]], [[0, 0], [6, 4], [0, 0], [0, 0]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[-384, -128]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12200/151, 2676/151], [288/151, -20/151], [0, 0]], [[0, 0], [346290/151, 215501/151], [-6334/151, -7064/151], [-860/151, 1/151]], [[0, 0], [-23218804/151, -15005326/151], [469156/151, 456148/151], [50028/151, 6064/151]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-384, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 66], [-12, 0], [0, 0]], [[0, 0], [528, -164], [76, -72], [8, -6]], [[0, 0], [2246, 1676], [-216, -132], [-6, -2]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[-384, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 26], [16, 12], [0, 0]], [[0, 0], [18, -6], [-20, -20], [-10, -10]], [[0, 0], [28, -20], [8, -4], [4, -2]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[-8, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1/2], [-58, -32], [-3, -1/2], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[-24, 3], [-354, -140], [-24, 3], [0, 0]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-8, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1], [26, 6], [0, -1], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[-1, -5/2], [68, 27], [-1, -5/2], [0, 0]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-48, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 20], [-6, 5], [0, 0]], [[0, 0], [92, 47], [-15, 11], [-10, 5]], [[0, 0], [874, 616], [2, 4], [-16, -10]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-48, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -24], [10, 2], [0, 0]], [[0, 0], [5, 1], [0, 1], [1, 0]], [[0, 0], [-74, 20], [24, -12], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-48, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 12], [6, 2], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [80, 12], [30, -6], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-128, -256]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28944/151, 3218/151], [2652/151, 8/151], [0, 0]], [[0, 0], [116531632/151, -89233636/151], [12757448/151, -9562444/151], [-184/151, 4/151]], [[0, 0], [-1101837284/151, 825041513/151], [-120241606/151, 88663366/151], [1486/151, -203/151]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-16, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -14], [4, -3], [0, 0]], [[0, 0], [208, 115], [-3, 1], [2, -3]], [[0, 0], [-812, -763], [-9, 12], [24, -9]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-16, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 5/2], [8, 38], [-2, 5/2], [0, 0]], [[0, 0], [7, 1], [0, 0], [1, 0]], [[2, 0], [50, 24], [2, 0], [0, 0]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-16, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1/2], [-36, -13], [-3, -1/2], [0, 0]], [[0, 0], [7, 1], [0, 0], [1, 0]], [[40, -4], [426, 54], [40, -4], [0, 0]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-16, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -14], [0, 2], [0, 0]], [[0, 0], [1, 1], [0, 1], [1, 0]], [[0, 0], [-36, -10], [6, 2], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-16, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 14], [-10, 0], [0, 0]], [[0, 0], [7, 1], [0, 0], [1, 0]], [[0, 0], [-22, -16], [8, 2], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-128, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 22], [-12, 12], [0, 0]], [[0, 0], [-484, -314], [-16, -60], [-8, 6]], [[0, 0], [12330, 8702], [1320, 960], [-2, -8]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[-128, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -42], [16, -16], [0, 0]], [[0, 0], [82, 56], [-4, 32], [-10, 8]], [[0, 0], [-304, -214], [-72, -60], [0, -4]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[0, 12]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[5, 5/2], [-87/14, 13/14], [5, 5/2], [5/14, 5/42]], [[0, -1/2], [-17/14, 10/7], [0, -1/2], [1/42, -1/21]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[0, 12]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-7, -3/2], [-359/14, 11/14], [-7, -3/2], [-25/42, 1/42]], [[30, 15], [649/7, 221/7], [30, 15], [15/7, 5/7]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[48, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 2], [10, 10], [0, 0]], [[0, 0], [-353/7, -78/7], [-114, 24], [-41/21, -2/21]], [[0, 0], [22062/7, 23843/14], [4948, 1257], [750/7, 675/14]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[48, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 6], [-4, 4], [0, 0]], [[0, 0], [-458/7, 48/7], [10, 10], [-16/7, -2/21]], [[0, 0], [-181/7, -865/14], [26, 16], [-11/7, -33/14]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[384, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 22], [0, 6], [0, 0]], [[0, 0], [-276/7, -162/7], [-20, -12], [8/21, -2/21]], [[0, 0], [-1128/7, -803/7], [-84, -60], [4/7, 11/21]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[-16, -48]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [2, 2], [0, 0]], [[0, 0], [30980435/1777, 43907/3554], [-63086/3, 4/3], [11117/5331, 1/3554]], [[0, 0], [290056/1777, 426717/3554], [-590/3, -434/3], [104/5331, 51/3554]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[-16, -48]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -8], [6, 0], [0, 0]], [[0, 0], [-18413057/1777, 65231/3554], [-2122/3, -109/3], [-6653/5331, 1/3554]], [[0, 0], [-79812102/1777, 608581309/1777], [-582, 23220], [-9386/1777, 73283/1777]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[-24, -4]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[1125, 1/2], [537997/3554, -11921/3554], [-3812/3, -7/6], [-2687/10662, -1/3554]], [[50350, 16165], [11864635/1777, 3593163/1777], [-170660/3, -18285], [-60155/5331, -19345/5331]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-24, -4]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[242, -1], [-823791/1777, -14981/1777], [-820/3, 1], [-289/5331, 1/5331]], [[247, -589/2], [-1592965/3554, 1967775/3554], [-836/3, 665/2], [-589/10662, 703/10662]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-128, -384]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -24], [-16, 4], [0, 0]], [[0, 0], [-787342/1777, -77917/1777], [928/3, -118/3], [1074/1777, -5/5331]], [[0, 0], [15777704/1777, 3684054/1777], [-17440/3, -250/3], [-62780/5331, -2920/1777]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[-640, -256]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 10], [20, 6], [0, 0]], [[0, 0], [32629708/1777, -356659/1777], [-8396/3, 446/3], [-23968/5331, -1/1777]], [[0, 0], [-182228/1777, -140743/1777], [44/3, 34/3], [136/5331, 35/1777]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[-80, -32]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 10], [-8, -2], [0, 0]], [[0, 0], [23390434/1777, 207391/3554], [-15982, 14], [2810/1777, 1/3554]], [[0, 0], [-1373369872/1777, -579110205/1777], [934226, 1172176/3], [-493210/5331, -206615/5331]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[-80, -32]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 2], [-10, -2], [0, 0]], [[0, 0], [-1286765/1777, 15475/3554], [-148/3, 67/3], [-455/5331, 1/3554]], [[0, 0], [-16734/1777, 119927/3554], [-2/3, 7/3], [-2/1777, 43/10662]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[-16, -20]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[3339, 7/2], [-10696197/3554, 11921/3554], [11314/3, 13/6], [7975/10662, 1/3554]], [[322110, -89475/2], [-1032475991/3554, 72772482/1777], [363865, -101405/2], [256495/3554, -17895/1777]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-16, -20]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[4083, 4], [13602718/1777, 15475/3554], [13835/3, 7/3], [4876/5331, 1/3554]], [[23, -41/2], [153395/3554, -136661/3554], [26, -139/6], [55/10662, -49/10662]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[2432, 768]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -10], [-32, 6], [0, 0]], [[0, 0], [2725484/1777, 91145/1777], [-455620/3, 518/3], [-18680/5331, -1/1777]], [[0, 0], [1469003548/1777, 469565018/1777], [-240702128/3, -70168624/3], [-3292020/1777, -2889662/5331]]], 0, 147456, [], [] >,
< [ -2, 0, 1 ], [[304, 96]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -2], [46, 2], [0, 0]], [[0, 0], [6694176/1777, 456171/3554], [-58878, -446], [744/1777, 1/3554]], [[0, 0], [-30887083/1777, 8184964/1777], [827956/3, -79334], [-10505/5331, 3080/5331]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[304, 96]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -10], [-24, -4], [0, 0]], [[0, 0], [13113957/1777, 183278/1777], [116272/3, 26], [4753/5331, 2/5331]], [[0, 0], [-1476174788/1777, -2997727757/3554], [-12739282/3, -4373361], [-520492/5331, -1072393/10662]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[48, 76]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 2], [-23, -1], [0, 0]], [[-4101, 3/2], [-2151513/3554, -158671/3554], [63006, -469/2], [3265/3554, 1/3554]], [[-13, 31/2], [-5945/3554, 6981/3554], [602/3, -479/2], [31/10662, -37/10662]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[48, 76]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -10], [-16, -14], [0, 0]], [[-2613, 1/2], [17477229/3554, -41389/3554], [121207/3, 101/6], [6241/10662, 1/3554]], [[64, 87/2], [-426717/3554, -145028/1777], [-2971/3, -4039/6], [-51/3554, -52/5331]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[112, 208]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [12, -2], [0, 0]], [[0, 0], [28467323/1777, 8367/3554], [-792874/3, -188/3], [10207/5331, 1/3554]], [[0, 0], [-3515540078/1777, 490540476/1777], [97912618/3, -13653742/3], [-1260502/5331, 58628/1777]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[112, 208]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -6], [-20, -42], [0, 0]], [[0, 0], [59681/1777, -718673/1777], [-10412/3, -4514], [289/5331, 1/5331]], [[0, 0], [6842660/1777, -6934233/3554], [77554/3, -4199], [1276/5331, -2629/10662]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[160, 132]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -10], [-4, 12], [0, 0]], [[-1990, -1/2], [6418827/3554, 1012/1777], [-92396/3, -15/2], [-4753/10662, 1/5331]], [[13461, 462161/2], [-43514467/3554, -745362377/3554], [624830/3, 21458195/6], [31409/10662, 183967/3554]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[160, 132]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -10], [10, 4], [0, 0]], [[-260, 3/2], [-2414337/3554, -250310/1777], [-11465/3, 977/6], [-207/3554, 2/5331]], [[-9396, 6912], [-30046608/1777, 22872126/1777], [-145537, 106641], [-3744/1777, 2754/1777]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[896, 1664]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 4], [-48, 8], [0, 0]], [[0, 0], [9849780/1777, -206403/1777], [-180980/3, 538/3], [-2480/1777, 5/5331]], [[0, 0], [132770124/1777, 240355396/1777], [-866776, -4463530/3], [-107744/5331, -183742/5331]]], 0, 147456, [], [] >,
< [ -2, 0, 1 ], [[0, 36]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[10, 7/2], [-17/14, 73/7], [10, 7/2], [33/14, 2/7]], [[25, 25], [307/7, 109/14], [25, 25], [25/7, 75/14]]], 1, 80, [], [] >,
< [ -2, 0, 1 ], [[0, 36]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[14, 9/2], [-339/14, -18/7], [14, 9/2], [47/14, 2/7]], [[-104, -52], [1138/7, 398/7], [-104, -52], [-156/7, -52/7]]], 1, 80, [], [] >,
< [ -2, 0, 1 ], [[144, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [-10, 6], [0, 0]], [[0, 0], [-86/7, -391/14], [4, -17], [-6/7, 3/14]], [[0, 0], [-1523/7, -1133/7], [-82, -66], [-19/7, -11/7]]], 0, 640, [], [] >,
< [ -2, 0, 1 ], [[144, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 4], [-10, -2], [0, 0]], [[0, 0], [909/7, 375/14], [264, 160], [-3/7, 5/14]], [[0, 0], [66, 42], [184, 128], [0, 0]]], 0, 640, [], [] >,
< [ -2, 0, 1 ], [[1152, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 8], [12, -8], [0, 0]], [[0, 0], [-1964/7, -2127/7], [-12, 32], [-40/7, 3/7]], [[0, 0], [-21404/7, -15810/7], [120, 122], [-176/7, -96/7]]], 0, 40960, [], [] >,
< [ -2, 0, 1 ], [[128, 640]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14544/151, -2218/151], [2180/151, 8/151], [0, 0]], [[0, 0], [-10611604/151, -9158457/151], [-2131266/151, -1702966/151], [374/151, -5/151]], [[0, 0], [7745658198/151, 5733742869/151], [1505712510/151, 1095095580/151], [-153000/151, -66385/151]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[1408, 768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -64], [-48, 12], [0, 0]], [[0, 0], [-1464, 122], [652, -700], [4, -4]], [[0, 0], [-5914, -3078], [-560, -1504], [-2, -8]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[1408, 768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -14], [-64, -68], [0, 0]], [[0, 0], [438, 32], [180, 1120], [6, 8]], [[0, 0], [-552, 178], [880, -1400], [0, -8]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[16, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, 0], [-32, -20], [0, 0]], [[0, 0], [5, 1], [0, 1], [1, 0]], [[0, 0], [-108, 90], [2, 10], [0, 0]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[16, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -4], [-10, -22], [0, 0]], [[0, 0], [5, 1], [4, 0], [1, 0]], [[0, 0], [330, -44], [-60, -160], [0, 0]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[40, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13, -2], [-20, -2], [-13, -2], [0, 0]], [[0, 0], [5, 1], [-3, 0], [1, 0]], [[2, -1/2], [4, -1], [2, -1/2], [0, 0]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[40, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 3/2], [34, 30], [1, 3/2], [0, 0]], [[0, 0], [5, 1], [-3, 0], [1, 0]], [[0, 0], [2, -4], [0, 0], [0, 0]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[176, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 4], [0, -7], [0, 0]], [[0, 0], [-1600, -1115], [493, 338], [0, -5]], [[0, 0], [160, 160], [-32, -61], [12, -8]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[1152, 512]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-301928/151, -1354/151], [9612/151, -12/151], [0, 0]], [[0, 0], [46510932/151, -94971691/151], [-1516010/151, 3032598/151], [466/151, 3/151]], [[0, 0], [-116565828966/151, 16603391059/151], [3717727654/151, -550178712/151], [70460/151, 302707/151]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[144, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -4], [-6, 16], [0, 0]], [[0, 0], [-1, 1], [-6, 1], [1, 0]], [[0, 0], [-130, -120], [-84, -42], [0, 0]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[144, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94, -6], [-26, -24], [0, 0]], [[0, 0], [-1, 1], [4, 0], [1, 0]], [[0, 0], [552, -1472], [-570, -230], [0, 0]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[32, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 2], [0, 14], [1, 2], [0, 0]], [[0, 0], [-1, 1], [-3, 0], [1, 0]], [[7, 7/2], [38, 13], [7, 7/2], [0, 0]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[32, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17, 5/2], [-42, -14], [17, 5/2], [0, 0]], [[0, 0], [-1, 1], [-3, 0], [1, 0]], [[87, 551/2], [-468, -684], [87, 551/2], [0, 0]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[144, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -4], [-4, -1], [0, 0]], [[0, 0], [16, 19], [-1, 0], [2, 1]], [[0, 0], [-6, 2], [0, 0], [0, 0]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[1152, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -114], [-172, -8], [0, 0]], [[0, 0], [39934, -16764], [-33260, 34216], [10, 4]], [[0, 0], [-104672, 40882], [82388, -89148], [-28, -12]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[1152, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 34], [-8, -16], [0, 0]], [[0, 0], [-390, -850], [460, 360], [-2, 10]], [[0, 0], [-1780, -560], [808, 532], [20, 0]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, 12], [-20, -4], [0, 0]], [[0, 0], [-3128, -1170], [676, 286], [0, -6]], [[0, 0], [-2012, -3658], [520, 780], [-16, 2]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -56], [4, 2], [0, 0]], [[0, 0], [28, 54], [0, 0], [8, 10]], [[0, 0], [-4, -6], [0, 0], [0, -2]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[0, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 2], [1, 0], [0, 0]], [[0, 0], [16, -9], [0, 0], [-10, -5]], [[0, 0], [-18, 14], [0, 0], [-2, -4]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 1/2], [1, 0], [0, 1/2], [1, 0]], [[0, 0], [2, 0], [0, 0], [0, 0]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -14], [-8, -10], [0, 0]], [[0, 0], [-24, -8], [-16, -6], [8, 2]], [[0, 0], [10, -7], [6, -4], [-4, 3]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [-4, 8], [0, 0]], [[0, 0], [6, -32], [-36, 12], [2, 0]], [[0, 0], [-64, -147], [-140, 6], [10, 3]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -10], [-16, 16], [0, 0]], [[0, 0], [-50, -40], [-188, -128], [2, 2]], [[0, 0], [-86, 5], [-88, -132], [8, -3]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 6], [-16, 6], [0, 0]], [[0, 0], [28, -22], [12, -10], [-8, 4]], [[0, 0], [-12, -5], [-8, -4], [-6, -5]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 26], [10, 4], [0, 0]], [[0, 0], [170, -63], [80, -48], [0, -5]], [[0, 0], [36, -118], [48, -48], [8, 2]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 12], [8, 10], [0, 0]], [[0, 0], [-26, -18], [-14, -10], [2, 2]], [[0, 0], [-2, 1], [0, 0], [-4, 3]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[0, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 0], [4, -4], [0, 0]], [[0, 0], [-1, -1], [0, 0], [1, 0]], [[0, 0], [-40, -6], [-4, 5], [0, 0]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[0, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 12], [-6, 2], [0, 0]], [[0, 0], [-1, -1], [0, 0], [1, 0]], [[0, 0], [-48, -72], [30, 5], [0, 0]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 0], [2, 1], [0, 0]], [[0, 0], [-25, 31/2], [1, -2], [-2, 1/2]], [[0, 0], [-29, 7], [-4, -5], [-5, -2]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 0], [4, 5], [0, 0]], [[0, 0], [83, -57], [-28, 21], [5, -2]], [[0, 0], [1, 1/2], [0, 0], [2, 3/2]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[-24, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 1/2], [-5, 1], [0, 1/2], [1, 0]], [[0, 0], [-6, -2], [0, 0], [0, 0]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-24, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 1/2], [-1, 0], [0, 1/2], [1, 0]], [[0, 0], [-6, -2], [0, 0], [0, 0]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-192, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, 50], [-12, -8], [0, 0]], [[0, 0], [-22, 41], [-8, -6], [-4, -3]], [[0, 0], [76, -54], [0, 0], [0, 0]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-192, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 54], [-4, -20], [0, 0]], [[0, 0], [-228, 79], [108, -52], [6, -5]], [[0, 0], [1874, 1535], [-520, -480], [24, 9]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-8, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 1/2], [-3, 1], [0, 1/2], [1, 0]], [[0, 0], [-2, -4], [0, 0], [0, 0]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-8, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 1/2], [7, 0], [0, 1/2], [1, 0]], [[0, 0], [-2, -4], [0, 0], [0, 0]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-64, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -12], [-4, 20], [0, 0]], [[0, 0], [506, -347], [-284, 214], [4, -3]], [[0, 0], [72, 38], [68, 56], [0, 0]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-64, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 4], [4, -20], [0, 0]], [[0, 0], [606, -334], [-896, 704], [10, 2]], [[0, 0], [34, 25], [0, 0], [4, 3]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[24, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 10], [-10, 3], [0, 0]], [[13, 4], [-360/7, -443/14], [-23, 33], [22/21, 1/14]], [[-159, -371/2], [14557/14, 11227/14], [-758, 315/2], [-265/42, -583/42]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[192, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -6], [4, -6], [0, 0]], [[0, 0], [121/7, 171/7], [-8, 16], [11/21, -1/21]], [[0, 0], [-376, -290], [-80, -100], [-4, -2]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[192, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 26], [-4, 6], [0, 0]], [[0, 0], [991/7, -659/7], [72, -54], [29/21, 5/21]], [[0, 0], [-738/7, 1014/7], [-108, 42], [190/21, 152/21]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-64, -192]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -10], [0, -10], [0, 0]], [[0, 0], [-530889/1777, -23619/1777], [-15248/3, -62/3], [2687/5331, 1/1777]], [[0, 0], [8735236/1777, 1578568/1777], [248120/3, 35324/3], [-43688/5331, -2032/1777]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[-64, -192]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 10], [16, -6], [0, 0]], [[0, 0], [-7742, -1524], [15368/3, -3424/3], [-2/3, 0]], [[0, 0], [654959525/1777, -643361614/1777], [-505508, 1180198/3], [254341/5331, -216266/5331]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[-8, -24]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 6], [-8, -1], [0, 0]], [[1990, -1/2], [1144691/3554, -75646/1777], [7156/3, -237/2], [-4753/10662, -1/5331]], [[-73094, -65149], [-16077623/1777, -15963193/1777], [-79892, -221275/3], [87395/5331, 77861/5331]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-320, -128]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [16, 0], [0, 0]], [[0, 0], [11120769/1777, -29962/1777], [47080/3, -20/3], [-2769/1777, 2/5331]], [[0, 0], [1687659002/1777, -2072158632/1777], [2368336, -2918806], [-417690/1777, 514930/1777]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[-320, -128]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 2], [16, -2], [0, 0]], [[0, 0], [-15958500/1777, -109409/1777], [30992/3, 4], [-5620/5331, -1/5331]], [[0, 0], [317924233/1777, 375593955/1777], [-202680, -241830], [36735/1777, 43845/1777]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[-40, -16]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 2], [8, 1], [0, 0]], [[2855, 3/2], [-9157921/3554, 14981/3554], [-10759/3, -29/6], [2273/3554, -1/10662]], [[-170079, -405573/2], [542748255/3554, 649296207/3554], [214065, 509815/2], [-135191/3554, -161357/3554]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[1216, 384]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, 8], [184, 8], [0, 0]], [[0, 0], [-5862757/1777, 368357/1777], [-26048, 328], [289/1777, -1/1777]], [[0, 0], [54003158/1777, 16251716/1777], [746024/3, 254342/3], [-8330/5331, -966/1777]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[1216, 384]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [292, 12], [272, 0], [0, 0]], [[0, 0], [-19840, 18838], [-643372/3, 56402/3], [4/3, 0]], [[0, 0], [-2592815685/1777, 4596602677/1777], [-43642448, -12094964], [513485/1777, 178641/1777]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[152, 48]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 10], [22, -19], [0, 0]], [[-3097, 5/2], [-274395/3554, 1031425/3554], [-77917, -1213/6], [7397/10662, -1/10662]], [[-508046, -184744], [39145710/1777, 76448507/1777], [-12813554, -14074372/3], [607016/5331, 221033/5331]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[448, 832]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-420, -30], [-416, -10], [0, 0]], [[0, 0], [78067033/1777, 25517449/1777], [184804, 36968/3], [-5663/5331, 5/5331]], [[0, 0], [-57773/1777, 8144/1777], [-3340/3, 466/3], [43/5331, -2/1777]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[448, 832]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-244, -18], [-236, -6], [0, 0]], [[0, 0], [60511, -119820], [357028/3, -359158/3], [-1/3, 0]], [[0, 0], [-20769780357/1777, -250985546/1777], [-29838716/3, 9455770/3], [-17523/1777, -99946/5331]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[264, 160]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -6], [20, -9], [0, 0]], [[3339, 7/2], [-11136893/3554, -279507/3554], [-251777/3, 127/6], [7975/10662, 1/3554]], [[306326, -315800], [-485502190/1777, 514347033/1777], [-23160482/3, 7947658], [366328/5331, -377381/5331]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[72, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 8], [8, -5], [0, 0]], [[-6, -1/2], [-129/14, -74/7], [25, -25/2], [-23/14, 2/7]], [[36, 27], [925/7, 642/7], [-32, -35], [45/7, 36/7]]], 1, 160, [], [] >,
< [ -2, 0, 1 ], [[576, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 10], [-12, -10], [0, 0]], [[0, 0], [-2136, 1536], [200, -224], [-4, 0]], [[0, 0], [-47723/7, 30052/7], [1976, 304], [247/7, 234/7]]], 0, 10240, [], [] >,
< [ -2, 0, 1 ], [[576, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -8], [4, -4], [0, 0]], [[0, 0], [713/7, 597/7], [-52, -36], [11/7, -1/7]], [[0, 0], [-1300/7, -130/7], [44, 38], [48/7, -40/7]]], 0, 10240, [], [] >,
< [ -2, 0, 1 ], [[64, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, 0], [-92, -68], [0, 0]], [[0, 0], [-7772, 5449], [-248, 242], [10, -3]], [[0, 0], [78544, -57213], [4732, -954], [30, 125]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[64, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [192, 8], [76, 44], [0, 0]], [[0, 0], [8424, -5180], [964, -152], [-8, -2]], [[0, 0], [22100, -17609], [804, -1920], [6, 15]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[8, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, -34], [-11, 1], [0, 0]], [[0, 1/2], [-5, 0], [2, 1/2], [1, 0]], [[0, 0], [-76, -44], [35, -35], [0, 0]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[8, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -16], [-5, 10], [0, 0]], [[0, 1/2], [5, 1], [2, 1/2], [1, 0]], [[0, 0], [-10, -8], [-2, 4], [0, 0]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[576, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, 6], [4, 8], [0, 0]], [[0, 0], [74, -150], [-20, -20], [2, 2]], [[0, 0], [-1418, 481], [-160, -70], [16, 7]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[576, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, 0], [4, -20], [0, 0]], [[0, 0], [3244, 4045], [1240, 436], [-10, 1]], [[0, 0], [301828, 235005], [69512, 43720], [-374, -165]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[72, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 4], [-3, 1], [0, 0]], [[0, 1/2], [-5, 0], [-1, 1/2], [1, 0]], [[0, 0], [10, 6], [0, 0], [0, 0]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[72, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 8], [-22, -9], [0, 0]], [[0, 1/2], [-1, 1], [-1, 1/2], [1, 0]], [[0, 0], [0, 0], [11, 8], [0, 0]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[0, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, 1/2], [-1, 0], [0, 1/2], [1, 0]], [[0, 0], [0, 2], [0, 0], [0, 0]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 8], [12, -20], [0, 0]], [[0, 0], [-166, 56], [76, -118], [2, -2]], [[0, 0], [-56, -56], [-80, -40], [0, 0]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 4], [-20, -4], [0, 0]], [[0, 0], [138, -90], [88, -214], [6, 0]], [[0, 0], [394, -286], [688, -346], [6, -8]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -4], [-40, 20], [0, 0]], [[0, 0], [62, 54], [52, 28], [6, 0]], [[0, 0], [-14, 10], [12, -8], [6, -4]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 48], [-16, 4], [0, 0]], [[0, 0], [-244, -210], [-140, -110], [-4, 6]], [[0, 0], [862, 770], [500, 400], [18, -24]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -8], [-12, -2], [0, 0]], [[0, 0], [-3174, 2330], [392, -308], [-2, 8]], [[0, 0], [156, -2474], [364, 588], [-120, -90]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 8], [-8, 2], [0, 0]], [[0, 0], [-18, 72], [0, -8], [-10, 10]], [[0, 0], [56, 60], [-8, -8], [0, 4]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -24], [16, 10], [0, 0]], [[0, 0], [1062, -888], [-200, -180], [-2, 10]], [[0, 0], [3332, -2448], [-72, -164], [-20, 20]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 12], [-4, 2], [0, 0]], [[0, 0], [-1, -1], [0, 1], [1, 0]], [[0, 0], [-72, -38], [6, 8], [0, 0]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -4], [-8, 8], [0, 0]], [[0, 0], [-1, 1], [0, 1], [1, 0]], [[0, 0], [-4, -2], [6, 2], [0, 0]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 2], [-8, 10], [0, 0]], [[0, 0], [-1, 1], [2, 1], [1, 0]], [[0, 0], [16, 20], [-40, -10], [0, 0]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[0, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 0], [2, 1], [0, 0]], [[0, 0], [-4, -6], [0, 4], [4, 0]], [[0, 0], [0, -1/2], [-1, 1], [1, -1/2]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 2], [16, -10], [0, 0]], [[0, 0], [-1, 1], [2, 0], [1, 0]], [[0, 0], [0, 0], [-4, -2], [0, 0]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -2], [4, 10], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [0, 0], [-4, 2], [0, 0]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -18], [-10, 4], [0, 0]], [[0, 0], [-1, -1], [0, 0], [1, 0]], [[0, 0], [52, -8], [-16, 16], [0, 0]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[0, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 6], [8, -1], [0, 0]], [[0, 0], [25, 167/2], [100, 0], [-2, -3/2]], [[0, 0], [-40, 26], [40, -30], [0, 0]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -12], [-6, -2], [0, 0]], [[0, 0], [-958, 554], [-66, -182], [6, 4]], [[0, 0], [35302, -24903], [-3797, 2795], [-10, 3]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -4], [-16, -6], [0, 0]], [[0, 0], [302, -921], [-86, -248], [-8, -3]], [[0, 0], [-2382, 2482], [-240, 518], [14, 0]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 40], [20, -6], [0, 0]], [[0, 0], [444, 179], [-50, 94], [-6, -5]], [[0, 0], [-588, 1372], [1292, -800], [-20, -4]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -4], [-4, 4], [0, 0]], [[0, 0], [6, 9], [-2, 2], [-4, 3]], [[0, 0], [40, 28], [0, 0], [0, 0]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -4], [-6, 4], [0, 0]], [[0, 0], [23, 19], [6, 5], [1, 2]], [[0, 0], [-82, -139/2], [-21, -18], [-3, -15/2]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 2], [10, 4], [0, 0]], [[0, 0], [-217, 195/2], [187, 34], [4, -3/2]], [[0, 0], [1952, -24], [-3238, -1740], [-40, -4]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 12], [6, -2], [0, 0]], [[0, 0], [3, -1], [0, 1], [1, 0]], [[0, 0], [24, 20], [8, 4], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -12], [-2, 8], [0, 0]], [[0, 0], [3, -1], [0, 1], [1, 0]], [[0, 0], [-32, -4], [-20, -20], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 12], [-4, 0], [0, 0]], [[0, 0], [-1, -1], [0, 1], [1, 0]], [[0, 0], [12, -8], [6, -4], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 16], [-2, 10], [0, 0]], [[0, 0], [-1, -1], [0, 1], [1, 0]], [[0, 0], [-40, -4], [24, -24], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 12], [16, 16], [0, 0]], [[0, 0], [116, -55], [96, -10], [6, -3]], [[0, 0], [2, 15], [20, 22], [0, 1]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 28], [4, 12], [0, 0]], [[0, 0], [-160, -72], [-64, -16], [8, -4]], [[0, 0], [36, 71], [0, 32], [6, -5]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -36], [0, 2], [0, 0]], [[0, 0], [0, -1], [0, 0], [-6, 3]], [[0, 0], [-6, -5], [0, 0], [-4, -3]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, 0], [-16, 8], [0, 0]], [[0, 0], [434, 176], [-76, 10], [-2, -2]], [[0, 0], [-1156, 1379], [720, -560], [-10, 3]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 48], [20, -6], [0, 0]], [[0, 0], [-172, -173], [-48, 0], [6, -1]], [[0, 0], [-404, -230], [-16, -48], [0, 6]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -12], [4, 2], [0, 0]], [[0, 0], [50, -35], [0, 0], [8, -5]], [[0, 0], [12, -1], [0, 0], [6, 3]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -2], [0, 2], [0, 0]], [[0, 0], [-4, -3], [-14, -10], [2, 1]], [[0, 0], [0, 1/2], [0, 1], [-1, 1/2]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 10], [-6, -8], [0, 0]], [[0, 0], [-98, -209/2], [140, 0], [3, -1/2]], [[0, 0], [125, -519/2], [760, -440], [20, -25/2]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -24], [16, -4], [0, 0]], [[0, 0], [-34, -20], [0, 6], [-2, -6]], [[0, 0], [-6, 6], [-8, 6], [6, -4]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, -4], [-20, 4], [0, 0]], [[0, 0], [730, 284], [92, 10], [-6, -2]], [[0, 0], [1512, -698], [316, -188], [-12, 6]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[0, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 20], [-10, 6], [0, 0]], [[0, 0], [-311, -237], [24, -11], [-1, -2]], [[0, 0], [-605, -509/2], [-195, 147], [-12, 9/2]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[0, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -4], [-8, -10], [0, 0]], [[0, 0], [-145, 219/2], [77, -41], [4, -3/2]], [[0, 0], [191, -30], [86, 135], [11, 11]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 32], [12, -6], [0, 0]], [[0, 0], [3, -1], [2, 1], [1, 0]], [[0, 0], [36, -4], [-12, 10], [0, 0]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [8, 16], [0, 0]], [[0, 0], [-1, -1], [2, -1], [1, 0]], [[0, 0], [-4, 8], [20, 0], [0, 0]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[0, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [10, -10], [0, 0]], [[0, 0], [18, 8], [-8, -10], [-2, -2]], [[0, 0], [7, -23/2], [15, -6], [2, -1/2]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[0, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -8], [6, -6], [0, 0]], [[0, 0], [14, 11/2], [7, 1], [3, -1/2]], [[0, 0], [48, 24], [22, 6], [8, 0]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 12], [-8, 4], [0, 0]], [[0, 0], [3, -1], [0, 1], [1, 0]], [[0, 0], [-44, 4], [16, -10], [0, 0]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 12], [-8, -4], [0, 0]], [[0, 0], [-1, -1], [0, -1], [1, 0]], [[0, 0], [-64, 32], [4, 12], [0, 0]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -4], [-8, 16], [0, 0]], [[0, 0], [-2, -22], [-20, 12], [-6, 8]], [[0, 0], [-38, -26], [-4, -4], [6, 4]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 16], [16, 2], [0, 0]], [[0, 0], [3, -1], [2, 0], [1, 0]], [[0, 0], [-32, 24], [20, 0], [0, 0]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -32], [-20, -2], [0, 0]], [[0, 0], [-1, -1], [2, 0], [1, 0]], [[0, 0], [-28, -8], [-8, -10], [0, 0]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -16], [0, 6], [0, 0]], [[0, 0], [3, -1], [0, 0], [1, 0]], [[0, 0], [-8, 8], [4, -4], [0, 0]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 0], [-4, 4], [0, 0]], [[0, 0], [-1, -1], [0, 0], [1, 0]], [[0, 0], [60, 76], [12, -2], [0, 0]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [20, 4], [0, 0]], [[0, 0], [-22, 181/2], [13, 142], [5, -3/2]], [[0, 0], [168, 32], [292, 98], [0, 4]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -48], [16, -8], [0, 0]], [[0, 0], [3, 3], [2, 1], [1, 0]], [[0, 0], [-32, -68], [16, -2], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -8], [-12, 4], [0, 0]], [[0, 0], [101, 629/2], [-295, 285], [0, -5/2]], [[0, 0], [444, 655], [-354, 442], [-2, -5]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 4], [12, 6], [0, 0]], [[0, 0], [-1, 3], [2, 1], [1, 0]], [[0, 0], [-8, 28], [4, 6], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -4], [-16, 8], [0, 0]], [[0, 0], [5, -1/2], [-17, 14], [2, 1/2]], [[0, 0], [-3, 1], [12, -9], [-1, 0]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 8], [-4, 8], [0, 0]], [[0, 0], [3, 3], [0, 1], [1, 0]], [[0, 0], [-8, -4], [0, -2], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 0], [4, -2], [0, 0]], [[0, 0], [6, -11/2], [-1, 3], [-3, 1/2]], [[0, 0], [16, 9/2], [-25, -15], [15, 25/2]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 4], [-8, -6], [0, 0]], [[0, 0], [-1, 3], [0, 1], [1, 0]], [[0, 0], [24, -16], [0, 0], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 44], [-12, 12], [0, 0]], [[0, 0], [-80, -27], [-4, 6], [6, 1]], [[0, 0], [6, 3], [0, 2], [0, 1]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -24], [0, 8], [0, 0]], [[0, 0], [-8, -33], [20, 22], [2, 3]], [[0, 0], [-56, 34], [20, -8], [4, -2]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 32], [8, 16], [0, 0]], [[0, 0], [66, 10], [56, 48], [-2, 4]], [[0, 0], [16, -37], [-36, -14], [-6, 3]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -20], [20, -20], [0, 0]], [[0, 0], [152, 57], [276, 170], [-2, 1]], [[0, 0], [-48, -32], [-104, -72], [0, 0]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -4], [12, 4], [0, 0]], [[0, 0], [3, 3], [2, -1], [1, 0]], [[0, 0], [-152, 80], [40, -16], [0, 0]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 20], [-16, -8], [0, 0]], [[0, 0], [3, -1], [-2, -1], [1, 0]], [[0, 0], [-64, 32], [-16, 20], [0, 0]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -8], [-8, 4], [0, 0]], [[0, 0], [3, 3], [0, -1], [1, 0]], [[0, 0], [0, 4], [4, 0], [0, 0]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 4], [0, 16], [0, 0]], [[0, 0], [3, -1], [4, -1], [1, 0]], [[0, 0], [0, -32], [32, 4], [0, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-1, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, -5/2], [-5, -7/2], [-15/2, -1], [-5/2, 0]], [[-6, -1], [-21/2, -11/2], [-11/2, -13/2], [-1, -2]]], 3, 2, [], [[[-1, -1]]] >,
< [ -3, 0, 1 ], [[3, 1]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-9/2, -2], [-9/2, 3/2], [-2, -3/2], [3/2, -3/2]], [[3, 1], [9/2, -2], [1, 1], [-2, 3/2]]], 4, 2, [], [] >,
< [ -3, 0, 1 ], [[0, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5/2, 7], [2, 3/2], [0, 0]], [[15/2, 2], [-103/2, 67/2], [-9/2, 3/2], [2, 5/2]], [[-60, -30], [147/2, -163/2], [33/2, 3/2], [-30, -20]]], 3, 2, [], [[[-1, -1]]] >,
< [ -3, 0, 1 ], [[3, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 23/2], [3/2, 2], [0, 0]], [[15/2, 5/2], [-767/2, -96], [-152, 95/2], [5/2, 5/2]], [[15/2, 8], [-277, -410], [171, -171], [8, 5/2]]], 3, 2, [], [] >,
< [ -3, 0, 1 ], [[4, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 19/2], [-3/2, -2], [0, 0]], [[0, 1], [563, -1656], [305, -45], [1, 0]], [[-6, -1/2], [9449, -292], [115, -575], [-1/2, -2]]], 3, 2, [], [] >,
< [ -3, 0, 1 ], [[-3, -5]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 5/2], [-26, -13], [5/2, 3/2], [0, 0]], [[27/2, 15/2], [-90, -95/2], [15/2, 9/2], [-5/2, 0]], [[-3/2, -1], [17/2, 15/2], [-1, -1/2], [-1/2, 1/2]]], 3, 2, [], [] >,
< [ -3, 0, 1 ], [[-1, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17/2, -1/2], [3/2, -5/2], [0, 0]], [[3/2, -2], [116, 36], [15, 20], [-2, 1/2]], [[3, 0], [-130, -189/2], [-95/2, -20], [0, 1]]], 3, 2, [], [] >,
< [ -3, 0, 1 ], [[-9, -7]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[21/2, -1/2], [15/2, -1], [-3/2, -29/2], [-1, 5/2]], [[54, -9/2], [39, -13/2], [1/2, -74], [-13/2, 13]]], 3, 2, [], [] >,
< [ -3, 0, 1 ], [[11, 7]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[272, -1], [-66231/386, -803/579], [-3/2, 1/2], [-255/193, 1/1158]], [[6062, 10747/2], [-1522421/386, -662977/193], [-4, -37/2], [-5729/193, -5055/193]]], 4, 2, [], [] >,
< [ -3, 0, 1 ], [[6, 5]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5412, -3/2], [-54149/386, -187/386], [1/2, -1/2], [-9057/10036, 1/10036]], [[-375958, -367785/2], [7564397/772, 3707899/772], [65/4, 71/4], [629321/10036, 923549/30108]]], 4, 2, [], [] >,
< [ -3, 0, 1 ], [[-7, -5]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-151/2, -1], [30113/193, -70/579], [-3/2, 2], [-76/193, 5/1158]], [[-2457/2, -258], [485945/193, 192177/386], [-5, 55/2], [-1219/193, -230/193]]], 4, 2, [], [] >,
< [ -3, 0, 1 ], [[-3, -4]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 5/2], [-23/4, -1/4], [5/2, 0], [0, 0]], [[63/2, 3/2], [11/2, 11/4], [0, -1/2], [33/26, 3/52]], [[2, -1/2], [1/4, 0], [0, 0], [1/13, -1/52]]], 4, 2, [], [] >,
< [ -3, 0, 1 ], [[-5, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-103, 11/2], [5/2, -1], [0, 0]], [[-6, -1], [7536, 3652], [-79, -20], [-1, -2]], [[135/2, -9], [-58224, -20030], [812, -29], [-9, 45/2]]], 3, 2, [], [] >,
< [ -3, 0, 1 ], [[2, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47/2, 1], [2, 1/2], [0, 0]], [[0, 1/2], [-83/2, -59/2], [11/2, 7/2], [1/2, 0]], [[0, 0], [17/2, 4], [-1, -1/2], [0, 0]]], 3, 2, [], [] >,
< [ -3, 0, 1 ], [[-5, -5]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-39, -5], [-39421/74, -287/111], [0, -5/6], [-18/37, -1/1110]], [[1211, 1245/2], [1040261/74, 752720/111], [63/2, 131/6], [9459/740, 13663/2220]]], 4, 2, [], [] >,
< [ -3, 0, 1 ], [[-25, -25]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-103/2, -2], [-41825/74, -203/37], [2, 0], [-567/148, -5/444]], [[2755/2, 1867/2], [1055997/74, 1091983/111], [-99/2, -103/3], [7059/74, 4887/74]]], 1, 52, [], [] >,
< [ -3, 0, 1 ], [[73, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, 13/2], [61/2, 35/2], [0, 0]], [[15/2, -1], [5931/2, -1696], [42, 111/2], [-1, 5/2]], [[45, 12], [15847/2, -4390], [719, 995/2], [12, 15]]], 1, 44, [], [] >,
< [ -3, 0, 1 ], [[31, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9/2, -21/2], [-47/2, -13/2], [0, 0]], [[15/2, 1/2], [-1997, 2413/2], [2261/2, -585], [1/2, 5/2]], [[-51, -85/2], [-15375/2, 3640], [2795, -5249/2], [-85/2, -17]]], 1, 44, [], [] >,
< [ -3, 0, 1 ], [[-97, -57]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-267, 13], [74145/386, 3512/579], [43/2, 25/2], [269/193, 5/1158]], [[-44843, 49689/2], [5463286/193, -17921965/1158], [137, 211/2], [83213/386, -137189/1158]]], 1, 14, [], [] >,
< [ -3, 0, 1 ], [[-60, -37]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1477, 1/2], [-189167/772, -705/772], [-11/4, -5/4], [-1199/772, 5/2316]], [[-316970, 249204], [-40206885/772, 31751935/772], [171/4, 783/4], [-64487/193, 151927/579]]], 1, 28, [], [] >,
< [ -3, 0, 1 ], [[-43, -27]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[449, 7/2], [-167525/193, -1709/1158], [7/2, -4], [841/386, -1/1158]], [[-81933/2, -34105/2], [30341413/386, 18810406/579], [131, 231], [-37981/193, -93953/1158]]], 1, 14, [], [] >,
< [ -3, 0, 1 ], [[-24, -19]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -5/2], [3/4, -7/4], [-5/2, -1], [0, 0]], [[9, 27/2], [-89/4, 18], [15, 3], [0, -3/4]], [[-83, -42], [-81/2, -3/2], [-45, -30], [7/2, 3/2]]], 1, 28, [], [] >,
< [ -3, 0, 1 ], [[43, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, 3/2], [-37/2, -7], [0, 0]], [[-6, -3/2], [256, 3/2], [-653/2, -97], [-3/2, -2]], [[102, -85/2], [-6950, 3521], [4895, -1886], [-85/2, 34]]], 1, 10, [], [] >,
< [ -3, 0, 1 ], [[27, 1]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21, -23/2], [53, 26], [-61/2, -16], [0, 0]], [[-1065/2, -355], [1057, 960], [-706, -1061/2], [-2, -1]], [[-2625/2, 175], [14273/2, -2739], [-2802, 1585/2], [1, -5/2]]], 1, 20, [], [] >,
< [ -3, 0, 1 ], [[13, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -31/2], [-29/2, -7], [0, 0]], [[-15/2, 5/2], [1365/2, 435/2], [1335/2, 777/2], [5/2, -5/2]], [[9, -9/2], [-469, 25/2], [-555/2, -167], [-9/2, 3]]], 1, 10, [], [] >,
< [ -3, 0, 1 ], [[51, 25]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, -2], [14, -5], [-19, 1/2], [0, 0]], [[-1617, -781/2], [-1625, -109/2], [7265/2, 1315], [-1/2, 1]], [[65691/2, 21887], [44807/2, 17692], [-87523, -109485/2], [-25, -15/2]]], 1, 20, [], [] >,
< [ -3, 0, 1 ], [[-3, -3]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5/2, -3/2], [-9/2, -1], [-9/2, -5/2], [-1, -3/2]], [[1, -3/2], [-99/2, 55/2], [-9/2, 1], [55/2, -33/2]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[0, -9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-99/2, 10], [0, -5/2], [0, 0]], [[-3/2, -1], [591, 323], [78, 46], [-3, -3/2]], [[1/2, -1], [354, 37], [21, 21], [-3, 1/2]]], 0, 18, [], [] >,
< [ -3, 0, 1 ], [[0, -9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 7/2], [-3/2, 1], [0, 0]], [[-1/2, 1], [36, 2], [0, 0], [3, -1/2]], [[1, 1], [45, 20], [0, 0], [3, 1]]], 0, 18, [], [] >,
< [ -3, 0, 1 ], [[3, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -25/2], [-15/2, -2], [0, 0]], [[15/2, 1/2], [-1439/2, 687/2], [109/2, -157/2], [1/2, 5/2]], [[-75, -75/2], [2010, 53/2], [1059/2, 470], [-75/2, -25]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[-3, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39/2, 8], [-3, 1/2], [0, 0]], [[0, 1/2], [659/2, 349/2], [241/2, 135/2], [1/2, 0]], [[0, 0], [39/2, 45], [15, 25/2], [0, 0]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[15, 3]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1], [-57, -17], [3, 1/2], [0, 0]], [[-30, -15/2], [1275/2, 582], [-45/2, -30], [1, -1/2]], [[-15/2, -5], [322, 171], [-15, -15/2], [0, 0]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[21, 9]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[10, -3/2], [6, 3/2], [-93/2, 11], [3/2, 2]], [[459/2, -306], [-72, -160], [-1419, 2925/2], [-160, -24]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[-15, -6]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2463, -1], [71317/772, -241/772], [-11/4, -1/4], [1530/2509, -1/2509]], [[-121187/2, -14168], [-437709/193, -101255/193], [72, 22], [-150535/10036, -35167/10036]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[12, 3]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -3/2], [-17/2, -3], [-9/2, -3/2], [0, 0]], [[24, 7/2], [19/2, -39/2], [3, -23/2], [71/52, 5/52]], [[17, -633/2], [3581/4, -539/2], [510, -122], [139/26, -973/52]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[111, 60]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[563/2, 5/2], [188805/772, 1589/772], [-3/4, 5/4], [607/386, 1/193]], [[-31239/2, -19669], [-2614471/193, -3296874/193], [-220, -15], [-65949/772, -84461/772]]], 1, 112, [], [] >,
< [ -3, 0, 1 ], [[57, 24]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -3/2], [-15/4, -1/4], [-9/2, 2], [0, 0]], [[-3, -1], [-49/4, -31/4], [-9/2, -1/2], [-5/4, 1/4]], [[22, 23/2], [453/4, 133/2], [27, 12], [5, 5/4]]], 1, 112, [], [] >,
< [ -3, 0, 1 ], [[-3, -27]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -5/2], [56, 31], [-39/2, -21/2], [0, 0]], [[-43/2, -8], [247, 269/2], [-57, -107/2], [5/2, -1]], [[13, -49/2], [147, 145], [-381/2, 38], [-15, 9]]], 1, 80, [], [] >,
< [ -3, 0, 1 ], [[-75, -51]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -1/2], [16, 10], [-45/2, -1], [0, 0]], [[-6390, 3855], [3366, -143], [26787, -16740], [2, 0]], [[125040, -62520], [58727, 142321/2], [-562437, 250344], [81/2, 44]]], 1, 80, [], [] >,
< [ -3, 0, 1 ], [[9, 3]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 5/2], [6, -2], [15/2, -1], [0, 0]], [[153, 81], [94, 73], [243, 153], [1, -1]], [[216, 108], [115, 217/2], [324, 216], [5/2, -2]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[9, 3]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5/2, 0], [5/2, -1], [0, 5/2], [-3, 5/2]], [[-5, -2], [-5/2, 0], [-6, -5], [0, -5/2]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[0, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51/2, 17], [3, 5/2], [0, 0]], [[-6, -1/2], [784, -1137/2], [575/2, -185], [-1/2, -2]], [[30, 8], [-2131, 1967], [-847, 610], [8, 10]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[0, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9/2, -39/2], [-15/2, 3/2], [0, 0]], [[-3/2, -3/2], [-3279/2, -387], [18, -365/2], [-3/2, -1/2]], [[-3, -1/2], [-161, -2559/2], [-1015/2, 116], [-1/2, -1]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[9, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45/2, 19], [-3, 5/2], [0, 0]], [[3/2, 5/2], [-71/2, 39/2], [-1/2, 7/2], [5/2, 1/2]], [[-6, -7/2], [20, 23/2], [-7/2, -2], [-7/2, -2]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[9, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -13/2], [-9/2, 1], [0, 0]], [[-3, 1/2], [-68, -6], [29, 8], [1/2, -1]], [[-12, -18], [-648, -1077/2], [789/2, 271], [-18, -4]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[-9, -15]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 2], [-85, -36], [6, 2], [0, 0]], [[438, -453/2], [5750, -4056], [-1359/2, 438], [-3, 0]], [[972, -1296], [85015/2, -4033], [-3888, 972], [36, 55/2]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-27, -21]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 0], [12, -4], [-15, -5/2], [0, 0]], [[13, 3], [101/2, -9], [-99, -28], [-2, 1/2]], [[77, 55], [88, 140], [-639, -437], [-2, -5]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[81, 3]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 9/2], [-30, -17], [51/2, 41/2], [0, 0]], [[6, 1/2], [-75/2, -85/2], [39/2, 12], [5/2, 5/2]], [[-8, 7/2], [-33, 75/2], [-9/2, -4], [3/2, -2]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[153, 75]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, -5/2], [-21, -9], [-177/2, -1], [0, 0]], [[3081, -1501], [-1555, 39/2], [-13968, 5919], [5/2, -1]], [[-19908, -2212], [79547/2, 20367], [125934, 33135], [-25, -15/2]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[9, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39/2, -9], [-3, 9/2], [0, 0]], [[-15/2, 5/2], [-62, -16], [-35, -32], [5/2, -5/2]], [[-3/2, 1], [-7/2, 5/2], [5/2, -3/2], [1, -1/2]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[9, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39/2, 18], [3, -9/2], [0, 0]], [[-3/2, 1], [-4921/2, 133], [742, 199/2], [1, -1/2]], [[0, 0], [-732, -1005/2], [627/2, 198], [0, 0]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[-10, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-3, 5/2], [-15/2, -2], [-3, 5/2], [5/2, -1]], [[-3/2, 1], [-1, 1/2], [-3/2, 1], [1, -1/2]]], 2, 2, [], [] >,
< [ -3, 0, 1 ], [[-4, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-2, -2], [-18, -8], [-2, -2], [-2, -2]], [[1/2, 3/2], [23/2, 7/2], [1/2, 3/2], [1/2, 3/2]]], 0, 2, [], [] >,
< [ -3, 0, 1 ], [[2, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2, 0], [5/2, 5/2], [5/2, 5/2], [2, 0]], [[-1/2, -1/2], [-2, -1], [-2, -1], [-1/2, -1/2]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[-6, -4]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[7, 4], [-9/2, -2], [7, 4], [-2, -3/2]], [[-5/2, 1/2], [45/2, -25/2], [-5/2, 1/2], [-25/2, 15/2]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[0, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57/2, 41/2], [15/2, 5/2], [0, 0]], [[0, 0], [4, 2], [0, 0], [2, 1]], [[0, 0], [85, 57], [20, 8], [0, 0]]], 0, 4, [], [] >,
< [ -3, 0, 1 ], [[0, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [3, 2], [0, 0]], [[7/2, 1/2], [-79/2, 25/2], [9/2, -5/2], [7/2, 1/2]], [[-12, -4], [191/2, -21/2], [-17/2, 9/2], [-12, -4]]], 0, 4, [], [] >,
< [ -3, 0, 1 ], [[-6, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17/2, 11/2], [1/2, 1/2], [0, 0]], [[0, 1/2], [19, 15], [0, 0], [1/2, 0]], [[0, 0], [-3, -1], [0, 0], [0, 0]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[-6, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [53/2, 23/2], [7/2, 3/2], [0, 0]], [[-15/2, -3/2], [103/2, -9/2], [11/2, -7/2], [-3/2, -5/2]], [[138, 115/2], [-745, -325/2], [-77/2, 30], [115/2, 46]]], 2, 2, [], [] >,
< [ -3, 0, 1 ], [[0, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, 19/2], [-1/2, 1], [0, 0]], [[-9/2, -5/2], [-33, -69], [-15, -13], [-9/2, -5/2]], [[11/2, 3/2], [-683, 477], [-48, 48], [11/2, 3/2]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[34, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 17], [4, 1], [0, 0]], [[-6, 5/2], [25/2, -51/2], [-1/2, -3/2], [5/2, -2]], [[21/2, 14], [370, 170], [34, 18], [14, 7/2]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[16, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 11], [-2, -1], [0, 0]], [[0, 0], [16, 8], [0, 0], [2, 1]], [[0, 0], [-29/2, -35/2], [7/2, 3/2], [0, 0]]], 0, 12, [], [] >,
< [ -3, 0, 1 ], [[18, 8]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -3], [35, 12], [-7, -3], [0, 0]], [[-3/2, -7/2], [21/2, 31], [-3/2, -7/2], [1, 3/2]], [[-5/2, 19/2], [30, -87], [-5/2, 19/2], [0, -4]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[-16, -10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17, -20], [-7, -2], [0, 0]], [[3/2, 5/2], [-167/2, -373/2], [-135/2, -27/2], [5/2, 1/2]], [[0, -1/2], [-6, 0], [0, 0], [-1/2, 0]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[-4, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [137/2, 73/2], [-11/2, -1/2], [0, 0]], [[0, 0], [-20, -10], [0, 0], [2, 1]], [[0, 0], [961/2, 529/2], [-65/2, -15/2], [0, 0]]], 0, 12, [], [] >,
< [ -3, 0, 1 ], [[-12, -2]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[29/2, 3/2], [-9/2, 0], [29/2, -15/2], [0, -3/2]], [[-18, -14], [9/2, 4], [6, -5], [4, 3/2]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[-32, -18]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[55/2, 1/2], [-7977/386, 710/579], [-2, 1], [-55/386, 1/579]], [[1137/2, 639/2], [-72060/193, -120461/579], [-13/2, -5/2], [-1081/386, -1817/1158]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[54, 32]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, 3], [-1/2, -1], [0, 0]], [[7167/2, 0], [1914971/772, -88985/772], [-17841/4, 15/4], [-5997/10036, -1/10036]], [[-90364, 117629], [-14263065/193, 16275788/193], [112842, -146503], [75563/5018, -295241/15054]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[24, 20]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5/2, 3], [3/2, 2], [0, 0]], [[0, 0], [-108052/193, 195/193], [2, 1], [-18073/5018, 1/15054]], [[0, 0], [-101848573/386, 25969971/193], [443/2, -9], [-4247253/2509, 2164309/2509]]], 0, 24, [], [] >,
< [ -3, 0, 1 ], [[22, 12]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[619, 6], [-227737/193, 1709/386], [11/2, 5/2], [572/193, 1/386]], [[-83605/2, 22867/2], [31110687/386, -13244989/579], [-231, -65], [-38918/193, 65453/1158]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[-36, -22]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[21, -5/2], [97/4, -4], [-7, -2], [14/13, -1/52]], [[-1429/2, 1711/2], [-953, 2021/2], [-175/2, -455/2], [-627/26, 1083/26]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[-12, -16]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [5/2, 3/2], [2, 1], [0, 0]], [[0, 0], [-1/4, -3/4], [-1/2, -3/2], [-1/52, -3/52]]], 0, 24, [], [] >,
< [ -3, 0, 1 ], [[-20, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-119/2, -47/2], [-7/2, -5/2], [0, 0]], [[0, 0], [24, 12], [0, 0], [2, 1]], [[0, 0], [-110, 44], [3, -3], [0, 0]]], 0, 24, [], [] >,
< [ -3, 0, 1 ], [[-44, -26]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 15], [0, 1], [0, 0]], [[6, 5/2], [-163/2, 79/2], [11/2, -1/2], [5/2, 2]], [[105/2, -14], [-3471, 1983], [153, -81], [-14, 35/2]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[26, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [59/2, 61/2], [-3/2, -3/2], [0, 0]], [[-3, -2], [429/2, 401/2], [-13/2, -15/2], [-2, -1]], [[9/2, 1], [-1279/2, 133/2], [55/2, -11/2], [1, 3/2]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[8, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-155/2, -77/2], [11/2, 3/2], [0, 0]], [[0, 0], [12, 6], [0, 0], [2, 1]], [[0, 0], [-742, -410], [45, 21], [0, 0]]], 0, 24, [], [] >,
< [ -3, 0, 1 ], [[10, 0]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-69/2, -9/2], [280/37, -371/222], [-2, -1/6], [-69/185, -1/555]], [[-1615/2, -513/2], [5191/37, -128/111], [-91/2, -77/6], [-299/37, -391/222]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[50, 0]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[31/2, 7/2], [-3977/74, 233/222], [1, 2/3], [26/37, -1/74]], [[35, -64], [-25027/74, 11119/37], [-5, -3/2], [327/74, -436/111]]], 1, 156, [], [] >,
< [ -3, 0, 1 ], [[532, 306]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, 29/2], [-57/2, -41/2], [0, 0]], [[-3, 5/2], [109/2, -209/2], [219/2, 191/2], [5/2, -1]], [[0, -1/2], [-22, 0], [4, 0], [-1/2, 0]]], 1, 88, [], [] >,
< [ -3, 0, 1 ], [[-104, -28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 7], [66, 39], [0, 0]], [[0, 0], [-4, -2], [-16, -8], [2, 1]], [[0, 0], [71/2, -3/2], [125/2, 77/2], [0, 0]]], 0, 528, [], [] >,
< [ -3, 0, 1 ], [[196, 110]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-95/2, -39/2], [25/2, 3/2], [0, 0]], [[-3, -1], [206, 31], [-66, 33], [-1, -1]], [[6, 5/2], [-400, -110], [96, -42], [5/2, 2]]], 1, 88, [], [] >,
< [ -3, 0, 1 ], [[124, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [193/2, 117/2], [71/2, 49/2], [0, 0]], [[0, 0], [38, 19], [22, 11], [2, 1]], [[0, 0], [-178, -106], [-67, -43], [0, 0]]], 0, 528, [], [] >,
< [ -3, 0, 1 ], [[268, 154]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[459, -15], [-125675/386, -7172/579], [-43/2, -25/2], [-448/193, 1/1158]], [[53/2, -31/2], [-6419/386, 5633/579], [0, 0], [-49/386, 43/579]]], 1, 42, [], [] >,
< [ -3, 0, 1 ], [[-462, -268]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19/2, -5/2], [3/2, -3/2], [0, 0]], [[85, 1/2], [81209/772, 45407/772], [273/4, -5/4], [69/772, 1/2316]], [[-15, -69], [-31734/193, -37371/386], [-8, -111/2], [-3/193, -14/193]]], 1, 56, [], [] >,
< [ -3, 0, 1 ], [[36, 56]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 0], [2, -1], [0, 0]], [[0, 0], [-709/2, -18], [-15/2, 1], [-2, 0]], [[0, 0], [-2454513/386, 6822899/386], [-693/2, 819/2], [-19865/386, 118505/1158]]], 0, 336, [], [] >,
< [ -3, 0, 1 ], [[124, 70]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-385/2, 23/2], [168495/386, 1916/193], [22, 12], [-200/193, 1/386]], [[-9559/2, 3905/2], [3818423/386, -4157423/1158], [393/2, 173/2], [-4665/193, 5287/579]]], 1, 42, [], [] >,
< [ -3, 0, 1 ], [[-210, -124]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1, 5], [-11/4, 13/4], [5/2, 5/2], [-3/4, 5/4]], [[31/2, 4], [8, -3/4], [9, 4], [13/4, 0]]], 1, 56, [], [] >,
< [ -3, 0, 1 ], [[-96, -76]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [5/2, 3/2], [2, 1], [0, 0]], [[0, 0], [-1/4, -1/4], [-1/2, -1/2], [-1/4, -1/4]]], 0, 336, [], [] >,
< [ -3, 0, 1 ], [[316, 182]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82, 45], [64, 37], [0, 0]], [[-3, 5/2], [271/2, -543/2], [-295/2, -135/2], [5/2, -1]], [[15, 4], [-6133/2, -2777/2], [-4289/2, -2515/2], [4, 5]]], 1, 20, [], [] >,
< [ -3, 0, 1 ], [[-56, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-89, -53], [-68, -40], [0, 0]], [[0, 0], [8, 4], [-8, -4], [2, 1]], [[0, 0], [-289/2, -159/2], [-219/2, -123/2], [0, 0]]], 0, 120, [], [] >,
< [ -3, 0, 1 ], [[-30, -28]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[71/2, 45/2], [48, 25], [71/2, 45/2], [0, 0]], [[-675, -465], [-998, -481], [-679, -461], [2, -2]], [[828, 456], [976, 1183/2], [825, 456], [3/2, 0]]], 1, 60, [], [] >,
< [ -3, 0, 1 ], [[76, 42]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63, -38], [-17, -12], [0, 0]], [[-15/2, 1], [749/2, 495/2], [227/2, 163/2], [1, -5/2]], [[-153, 34], [11845/2, 8275/2], [3515/2, 2763/2], [34, -51]]], 1, 20, [], [] >,
< [ -3, 0, 1 ], [[52, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [197/2, 119/2], [43/2, 31/2], [0, 0]], [[0, 0], [-2, -1], [6, 3], [2, 1]], [[0, 0], [655, 408], [133, 112], [0, 0]]], 0, 120, [], [] >,
< [ -3, 0, 1 ], [[24, 26]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[95/2, 3/2], [-25, 5], [95/2, 3/2], [0, 0]], [[-2501, -492], [2285/2, -105/2], [-2516, -501], [-5/2, -3/2]], [[-30545, 6109], [37025/2, -7074], [-30629, 6052], [-14, -19/2]]], 1, 60, [], [] >,
< [ -3, 0, 1 ], [[6, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3/2, 11/2], [-15/2, -3/2], [3/2, 11/2], [-3/2, -5/2]], [[51, 102], [-285/2, -38], [51, 102], [-38, -95/2]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[0, 18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -2], [3, -1], [0, 0]], [[1, 1/2], [-45/2, 13/2], [9/2, -3/2], [3/2, 1]], [[0, 0], [45/2, -23/2], [-9/2, 5/2], [0, 0]]], 0, 36, [], [] >,
< [ -3, 0, 1 ], [[0, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [201/2, 75/2], [15/2, 3/2], [0, 0]], [[0, 0], [279/2, 425/2], [3/2, 35/2], [0, 4]], [[0, 0], [-687, -197], [-54, -6], [-12, -1]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[0, 18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -44], [-15, -1], [0, 0]], [[3/2, -1/2], [135/2, 101/2], [21/2, 13/2], [-3/2, 3/2]], [[2, -3/2], [-99, -35], [-12, -6], [-9/2, 2]]], 0, 36, [], [] >,
< [ -3, 0, 1 ], [[0, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-105/2, -17/2], [-3/2, -1/2], [0, 0]], [[0, 0], [-21, 37], [0, 0], [0, -1]], [[0, 0], [-9, 3], [0, 0], [0, 0]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[12, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21/2, -17/2], [3/2, 5/2], [0, 0]], [[0, 0], [2, 1], [2, 1], [2, 1]], [[0, 0], [-33/2, 1/2], [15/2, -5/2], [0, 0]]], 0, 8, [], [] >,
< [ -3, 0, 1 ], [[12, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 9], [-9, -4], [0, 0]], [[-5/2, -1/2], [380, 228], [-283, -163], [-5/2, -1/2]], [[19/2, -11/2], [-19, 11], [-19, 11], [19/2, -11/2]]], 0, 8, [], [] >,
< [ -3, 0, 1 ], [[6, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27/2, -17/2], [3/2, 3/2], [0, 0]], [[6, -1/2], [11/2, -29/2], [-25/2, 9/2], [-1/2, 2]], [[-12, -5], [65/2, 55/2], [29/2, 5/2], [-5, -4]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[6, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45/2, 27/2], [21/2, 17/2], [0, 0]], [[15/2, 2], [349/2, 99], [110, 77/2], [2, 5/2]], [[60, 30], [1743, 1003], [930, 488], [30, 20]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[6, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45/2, -3/2], [15/2, 5/2], [0, 0]], [[-9/2, -1/2], [-9/2, 43], [18, 35/2], [-9/2, -1/2]], [[187/2, 85/2], [-1741/2, -1503/2], [-1433/2, -905/2], [187/2, 85/2]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[-24, -18]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 7], [-157, -84], [12, 7], [0, 0]], [[111/2, 29/2], [1721/2, -1107], [111/2, 29/2], [-2, -5/2]], [[1197/2, 259/2], [11711, -12990], [1197/2, 259/2], [-18, -27]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[6, 12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[33, 0], [-3, -1/2], [30, -6], [-1/2, -1]], [[-87/2, -31/2], [9/2, 2], [-63/2, -13/2], [2, 3/2]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-60, -24]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -7/2], [1, -5/2], [0, 0]], [[0, 0], [139212/193, 35916/193], [-238, -34], [28027/5018, 3/5018]], [[0, 0], [28349691/193, 12912618/193], [-44336, -17561], [2308965/2509, 704430/2509]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[-96, -54]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7/2, 1], [3/2, 1], [0, 0]], [[13693/2, 5/2], [466263/386, -2117/193], [8495/2, -1], [4253/2509, 1/5018]], [[4569740, 396355/2], [621661949/772, 21113695/772], [11339205/4, 484979/4], [11354405/10036, 489615/10036]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[48, 12]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-13/4, -9/4], [9/2, -1/2], [9/52, 1/52]], [[0, 0], [-23/4, -19/4], [27/2, -9/2], [25/52, -3/52]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[66, 36]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-55/2, 13/2], [-22, 11/2], [15/2, 15/2], [-35/26, -1/26]], [[123/2, -48], [101/2, -155/4], [24, 2], [75/52, -25/13]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[-168, -36]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 5/2], [1, -5/2], [0, 0]], [[0, 0], [-246197/193, 2583/193], [-72, 60], [-1379/193, -2/193]], [[0, 0], [-69221970/193, 51955806/193], [-57240, 31464], [-754885/386, 572985/386]]], 0, 1344, [], [] >,
< [ -3, 0, 1 ], [[804, 462]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7/2, 3/2], [1/2, 5/2], [0, 0]], [[214, 1/2], [-288911/772, -134603/772], [-127/4, -503/4], [923/772, -3/772]], [[-36180, 7560], [8623132/193, 6235015/386], [-8100, 40315/2], [-39150/193, 8370/193]]], 1, 224, [], [] >,
< [ -3, 0, 1 ], [[228, 96]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [101/4, 59/4], [39/2, 25/2], [-11/4, -5/4]], [[0, 0], [-1/2, -2], [9, -7], [3, -3/2]]], 0, 1344, [], [] >,
< [ -3, 0, 1 ], [[372, 210]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-13/2, -9/2], [-3, -9/2], [-15/2, -7/2], [1/2, -1/2]], [[-11, -11/2], [-41/4, -3], [-9, -6], [-1, 1/4]]], 1, 224, [], [] >,
< [ -3, 0, 1 ], [[84, 30]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-159/2, -89/2], [-57, -29], [-159/2, -89/2], [0, 0]], [[2640, 1320], [4353/2, 683], [2664, 1356], [-1, -3/2]], [[2640, 2112], [718, 4131/2], [2748, 2112], [-9/2, 0]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[-78, -24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[183/2, 3/2], [10, 9], [183/2, 3/2], [0, 0]], [[-5775, 4290], [1335/2, -117], [-5763, 4281], [2, -3/2]], [[11061/2, 5501/2], [1420, 849], [11037/2, 5489/2], [-2, -1]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[-18, -12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-39/2, -3/2], [-9, -4], [-39/2, -3/2], [0, 0]], [[-2244, 748], [-556, -147/2], [-2244, 748], [1/2, 1]], [[-510, 850], [453/2, 539/2], [-510, 850], [-3/2, -1/2]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[-18, -12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[9, -2], [-1/2, 0], [9, -2], [0, -1/2]], [[-3/2, -1/2], [0, 0], [-3/2, -1/2], [0, 0]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[-18, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 16], [9, 5], [0, 0]], [[-3, 5/2], [136, 25], [19, 14], [5/2, -1]], [[-15/2, -5/2], [-1517/2, -921/2], [-377/2, -215/2], [-5/2, -5/2]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[-18, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 11], [-6, -5], [0, 0]], [[3/2, -2], [373, -499/2], [455/2, -121], [-2, 1/2]], [[-12, -6], [-1011/2, -257/2], [69/2, 217/2], [-6, -4]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[0, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9/2, -9/2], [-3/2, 3/2], [0, 0]], [[0, 0], [-7, -4], [2, 1], [2, 1]], [[0, 0], [45/2, 25/2], [-3/2, -1/2], [0, 0]]], 0, 24, [], [] >,
< [ -3, 0, 1 ], [[0, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -4], [-18, -11], [0, 0]], [[-11/2, -1/2], [-82, 33], [-49, -24], [-11/2, -1/2]], [[153, -81], [4416, -2521], [324, -83], [153, -81]]], 0, 24, [], [] >,
< [ -3, 0, 1 ], [[-18, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3/2, -13/2], [-15/2, -5/2], [0, 0]], [[3, 1/2], [23, 64], [80, 33], [1/2, 1]], [[30, -2], [-230, 665], [652, 169], [-2, 10]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[-18, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 28], [9, 5], [0, 0]], [[6, 1/2], [-73, -22], [-10, -8], [1/2, 2]], [[-69/2, 23/2], [617/2, -79/2], [11/2, 53/2], [23/2, -23/2]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[0, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [123/2, 57/2], [9/2, 9/2], [0, 0]], [[0, 0], [-1, 0], [2, 1], [2, 1]], [[0, 0], [291, 125], [18, 22], [0, 0]]], 0, 24, [], [] >,
< [ -3, 0, 1 ], [[0, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39/2, 3/2], [-9/2, -3/2], [0, 0]], [[-9/2, -3/2], [-36, 1], [-3, -4], [-9/2, -3/2]], [[-10, -2], [-197/2, 39/2], [-5/2, -19/2], [-10, -2]]], 0, 24, [], [] >,
< [ -3, 0, 1 ], [[0, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, -3], [6, 0], [0, 0]], [[-11/2, -1/2], [-89, 57/2], [-53/2, 4], [-11/2, -1/2]], [[-27/2, -3/2], [-429/2, 131/2], [-129/2, 17/2], [-27/2, -3/2]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[0, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 37/2], [9/2, -1], [0, 0]], [[-8, -3], [-58, 11], [-2, -5], [-8, -3]], [[-5/2, -3/2], [-19/2, -11/2], [-5/2, -3/2], [-5/2, -3/2]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[54, 24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[39/2, 5/2], [-162, -14], [39/2, 5/2], [0, 0]], [[21672, -7308], [-191025, 139271/2], [21672, -7308], [15/2, -2]], [[98280, 11340], [-817492, -59832], [98280, 11340], [39, 8]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[-36, -6]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27/2, 1/2], [15, 5], [-27/2, 1/2], [0, 0]], [[93, -34], [-165/2, 15/2], [102, -49], [3/2, -5/2]], [[-2277, -2277], [11629/2, 3962], [-537, -1494], [290, 261/2]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[-90, -84]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[45/2, 31/2], [33, 33], [45/2, 31/2], [0, 0]], [[1293, 747], [2337, 2653/2], [1305, 723], [-1/2, 1]], [[561, 330], [2475/2, 915/2], [861, 150], [-25/2, 15/2]]], 1, 720, [], [] >,
< [ -3, 0, 1 ], [[72, 78]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-126, 1], [36, 17], [-126, 1], [0, 0]], [[-2535, 1200], [232, -29/2], [-2532, 1206], [1/2, 1]], [[31185/2, -4455/2], [-3202, -1223], [30873/2, -4671/2], [-26, -18]]], 1, 720, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, -21], [-18, -6], [0, 0]], [[0, 0], [7/2, 5/2], [1/2, 1/2], [2, 1]], [[0, 0], [81/2, 45/2], [33/2, 15/2], [0, 0]]], 0, 72, [], [] >,
< [ -3, 0, 1 ], [[18, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [93/2, 33/2], [15/2, 9/2], [0, 0]], [[3, -1/2], [-13/2, -13/2], [-7/2, 3/2], [-1/2, 1]], [[3, -1], [-1, -5], [-4, 2], [-1, 1]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99/2, 27/2], [21/2, 15/2], [0, 0]], [[0, 0], [19/2, 11/2], [-5/2, -3/2], [2, 1]], [[0, 0], [-51/2, -27/2], [-15/2, -9/2], [0, 0]]], 0, 72, [], [] >,
< [ -3, 0, 1 ], [[18, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-129/2, -69/2], [-27/2, -9/2], [0, 0]], [[-3, -1/2], [-788, -475], [-116, -93], [-1/2, -1]], [[-12, 3], [-2523/2, -1775/2], [-123/2, -485/2], [3, -4]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[8, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -17], [5, -1], [0, 0]], [[11/2, 5/2], [853/2, 503/2], [-49/2, -5/2], [11/2, 5/2]], [[-49/2, 35/2], [945/2, 49/2], [937/2, -561/2], [-49/2, 35/2]]], 0, 8, [], [] >,
< [ -3, 0, 1 ], [[-16, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [344, 200], [8, 4], [0, 0]], [[0, 0], [0, -1], [1, 0], [1, 0]], [[0, 0], [289, 179], [11, 1], [0, 0]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[-16, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [192, 116], [-8, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [1, 0]], [[0, 0], [-221, -131], [7, 1], [0, 0]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[-2, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7/2, 5/2], [1/2, 3/2], [0, 0]], [[0, 0], [-5, -1], [-6, 2], [0, 0]], [[-1/2, -1/2], [-2, -1], [0, 0], [-1/2, -1/2]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-1, -1], [0, 0], [-14, -8]], [[0, 0], [0, 0], [0, 0], [-5, -3]]], 0, 4, [], [] >,
< [ -3, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [0, 0], [0, 0], [1, 0]], [[0, 0], [4, 2], [0, 0], [0, 0]]], 0, 8, [], [] >,
< [ -3, 0, 1 ], [[18, 10]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [3, -1], [-1/2, -3/2], [0, 0]], [[-6, -2], [-1, 3], [-6, -2], [0, 0]], [[0, 0], [1, 1/2], [0, 0], [1/2, 0]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[0, 8]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 0], [-33, -19], [0, 0]], [[0, 0], [21, -13], [-42, -24], [-4, -2]], [[0, 0], [-549/2, 317/2], [2, -2], [5/2, -3/2]]], 0, 8, [], [] >,
< [ -3, 0, 1 ], [[0, 8]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 1], [1, 0], [0, 0]], [[0, 0], [-85/2, -51/2], [0, 0], [-13/2, -5/2]], [[0, 0], [-26, -49], [0, 0], [-45, 18]]], 0, 8, [], [] >,
< [ -3, 0, 1 ], [[0, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[0, 0], [146, 84], [0, 0], [-152, -88]], [[0, 0], [-14, -8], [0, 0], [14, 8]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[0, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 1], [1, 0], [0, 0]], [[0, 0], [10, 16], [0, 0], [11, 3]], [[0, 0], [184, 128], [0, 0], [92, 46]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[-6, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13/2, 13], [-2, -5/2], [0, 0]], [[5, 2], [-89, 47], [5, -5], [5, 2]], [[5/2, 3/2], [-5, -3], [0, 0], [5/2, 3/2]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[0, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3/2, 9/2], [-15/2, -5/2], [0, 0]], [[0, 0], [4, 0], [0, 0], [1, 0]], [[0, 0], [8, -4], [2, -2], [0, 0]]], 0, 16, [], [] >,
< [ -3, 0, 1 ], [[0, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -3], [-3, 1], [0, 0]], [[0, 0], [215/2, 119/2], [3/2, 1/2], [-50, -28]], [[0, 0], [173, 46], [8, -3], [-75, -25]]], 0, 16, [], [] >,
< [ -3, 0, 1 ], [[0, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [2, 1], [0, 0]], [[0, 0], [3/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [0, -2], [0, 0], [0, 0]]], 0, 16, [], [] >,
< [ -3, 0, 1 ], [[64, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 1], [1, 0], [0, 0]], [[0, 0], [4, 0], [0, 0], [64, 38]], [[0, 0], [-8, -14], [0, 0], [-288, -162]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[72, 32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-103, -59], [-9, -5], [0, 0]], [[0, 0], [377/2, 231/2], [13, 5], [-3/2, 5/2]], [[0, 0], [-2235/2, 1117/2], [390, -230], [-1057/2, 609/2]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[-16, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 1], [1, 0], [0, 0]], [[0, 0], [-40, -22], [0, 0], [114, 66]], [[0, 0], [12, 2], [0, 0], [-16, -10]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[-48, -8]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 1], [-43, -31], [0, 0]], [[0, 0], [49, 43], [4584, 2608], [4, 0]], [[0, 0], [-27/2, 59/2], [1473, 753], [11/2, -5/2]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[40, 16]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -7], [-20, -10], [0, 0]], [[0, 0], [-58736/193, -7265/579], [-800, -26], [717/193, 2/579]], [[0, 0], [-39373839/386, 74686291/1158], [-272895, 172078], [519981/386, -974683/1158]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[96, 80]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-85/2, -55/2], [7/2, 1/2], [0, 0]], [[0, 0], [359310/193, 4242/193], [378, -266], [3019/2509, -1/7527]], [[0, 0], [382001/386, -4425045/386], [10409/2, -5061/2], [2270/2509, -18614/2509]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[-32, -8]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 3], [-11, -5], [0, 0]], [[0, 0], [-779139/386, 199727/1158], [-2216, -781], [-1613/386, 1/1158]], [[0, 0], [-837370243/386, 489439245/386], [-785321, 485572], [-1507365/386, 884811/386]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[-48, -64]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -5], [-20, -12], [0, 0]], [[0, 0], [-2, 11/2], [15, 4], [6/13, -3/26]], [[0, 0], [-37/2, 21/2], [11, -7], [29/26, -17/26]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[-80, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 1], [1, 0], [0, 0]], [[0, 0], [-392, -232], [0, 0], [52, 30]], [[0, 0], [10, 8], [0, 0], [0, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[32, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 1], [1, 0], [0, 0]], [[0, 0], [-598, -340], [0, 0], [-46, -26]], [[0, 0], [-334, -202], [0, 0], [-26, -16]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[40, 0]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 8], [-1, -1], [0, 0]], [[0, 0], [7960/37, 8287/111], [-240, -91/3], [-286/185, -2/555]], [[0, 0], [-2468407/74, -3522787/222], [64499/2, 67285/6], [70211/370, 54097/1110]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[200, 0]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 11/3], [4, 1/3], [0, 0]], [[0, 0], [-20109/74, -1427/74], [-269/2, 39/2], [-133/74, -1/74]], [[0, 0], [-2053144/37, -1797139/111], [-23476, -7097/3], [-13000/37, -9425/111]]], 0, 2496, [], [] >,
< [ -3, 0, 1 ], [[-416, -112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -13], [83, 48], [0, 0]], [[0, 0], [-1023, -596], [448, 259], [128, 74]], [[0, 0], [172, 151], [-91, -56], [-26, -16]]], 0, 8448, [], [] >,
< [ -3, 0, 1 ], [[496, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [119, 52], [-68, -33], [0, 0]], [[0, 0], [1092, 527], [-795, -420], [-70, -40]], [[0, 0], [580, 283], [-401, -212], [-28, -16]]], 0, 8448, [], [] >,
< [ -3, 0, 1 ], [[112, 24]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, -1], [171, 97], [0, 0]], [[0, 0], [404689/386, 941585/1158], [67790, 50165], [1227/386, 1/1158]], [[0, 0], [22844520/193, -13063820/193], [6285913, -3588243], [-200550/193, 115950/193]]], 0, 672, [], [] >,
< [ -3, 0, 1 ], [[144, 224]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35/2, 29/2], [-5/2, 1/2], [0, 0]], [[0, 0], [-490518/193, -67268/193], [-94, 94], [-1682/193, -2/579]], [[0, 0], [9141828/193, -36089084/193], [27624, -12456], [87017/193, -407015/579]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[-152, -64]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 0], [-37, -19], [0, 0]], [[0, 0], [275031/386, -20293/386], [8182, -327], [565/386, 1/386]], [[0, 0], [-59051045/193, 102110219/579], [-3331328, 1919762], [-107260/193, 185380/579]]], 0, 672, [], [] >,
< [ -3, 0, 1 ], [[-384, -304]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 0], [-118, -68], [0, 0]], [[0, 0], [42, -39/2], [225, 124], [-1, 1/2]], [[0, 0], [-7, -5], [-426, -246], [0, 0]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[-224, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [325, 186], [38, 23], [0, 0]], [[0, 0], [521, 370], [12, -39], [-72, -42]], [[0, 0], [-343, -209], [3, 9], [38, 22]]], 0, 1920, [], [] >,
< [ -3, 0, 1 ], [[-120, -112]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 2], [-465, -269], [0, 0]], [[0, 0], [-73/2, -103/2], [4213, 2435], [5/2, -3/2]], [[0, 0], [57, -37], [247, 133], [0, 0]]], 0, 960, [], [] >,
< [ -3, 0, 1 ], [[208, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 3], [39, 23], [0, 0]], [[0, 0], [491, 283], [-407, -235], [166, 96]], [[0, 0], [-11, -6], [10, 5], [-4, -2]]], 0, 1920, [], [] >,
< [ -3, 0, 1 ], [[96, 104]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, -15], [-28, -12], [0, 0]], [[0, 0], [8, 5], [5, 1], [4, 1]], [[0, 0], [7/2, 3/2], [2, 0], [3/2, 1/2]]], 0, 960, [], [] >,
< [ -3, 0, 1 ], [[-6, -6]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, -1/2], [14, 4], [27/2, -1/2], [0, 0]], [[1188, -720], [1119/2, -368], [1188, -720], [1, 5/2]], [[2106, -792], [2681/2, -213], [2106, -792], [-35, -35/2]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 2], [15, 11], [0, 0]], [[0, 0], [-118, -72], [-285, -163], [-3, -1]], [[0, 0], [183/2, -125/2], [-60, 12], [-37/2, 21/2]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 3], [-15, -4], [0, 0]], [[0, 0], [207/2, -29/2], [-360, -280], [1/2, -5/2]], [[0, 0], [-521, 336], [-864, 120], [-22, 11]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[0, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 33], [-3, 0], [0, 0]], [[0, 0], [594, 267], [-15, -4], [30, 10]], [[0, 0], [-18, -10], [0, 0], [6, 4]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[0, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, 77], [3, 4], [0, 0]], [[0, 0], [8451, 5270], [330, 145], [-6, 0]], [[0, 0], [-27258, -15266], [-840, -540], [6, 8]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, -70], [-36, -20], [0, 0]], [[0, 0], [85, 70], [58, 11], [-8, -4]], [[0, 0], [118, 70], [52, 28], [-14, -8]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -36], [-36, -20], [0, 0]], [[0, 0], [232, 135], [139, 78], [-11, -5]], [[0, 0], [-99, -75], [-99, -21], [24, -8]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[-6, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -12], [0, -2], [0, 0]], [[-15/2, -5/2], [18, -58], [-9, -11], [-15/2, -5/2]], [[8, 6], [221/2, 11], [26, 21/2], [8, 6]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21/2, 7/2], [15/2, 3/2], [0, 0]], [[0, 0], [-4, 1], [1, 0], [1, 0]], [[0, 0], [-6, -10], [0, -8], [0, 0]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 8], [0, 1], [0, 0]], [[0, 0], [429/2, 267/2], [99/2, 59/2], [-27, -15]], [[0, 0], [121/2, 93/2], [29/2, 19/2], [-8, -4]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, 34], [36, 19], [0, 0]], [[0, 0], [-5/2, -1/2], [-1/2, 1/2], [1, 0]], [[0, 0], [-6, -3], [-3, -2], [0, 0]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[-96, -72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [41, 19], [18, 10], [0, 0]], [[0, 0], [1449, 862], [741, 429], [-5, 0]], [[0, 0], [1623/2, -1009/2], [24, -32], [189/2, -109/2]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[24, 48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -1], [63, 5], [0, 0]], [[0, 0], [183/2, 1/2], [3255, 1191], [5/2, -3/2]], [[0, 0], [-89, -51], [-5100, -2940], [0, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[-240, -96]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-83/2, -49/2], [-7/2, -5/2], [0, 0]], [[0, 0], [46052/193, 29372/193], [-228, 132], [7955/2509, 3/2509]], [[0, 0], [3408938/193, 2029490/193], [-5016, 2922], [372054/2509, 113508/2509]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[192, 48]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 1], [-168, -96], [0, 0]], [[0, 0], [73/2, -3/2], [-189, -33], [-61/26, -1/26]], [[0, 0], [-11/2, 3], [24, -13], [11/26, -3/13]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-672, -144]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17/2, -19/2], [7/2, 1/2], [0, 0]], [[0, 0], [-377, -359], [225, -155], [-8, 0]], [[0, 0], [2524668/193, 1756206/193], [-2070, 1920], [30733/193, 7999/193]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[912, 384]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 8], [-30, -16], [0, 0]], [[0, 0], [-119, -61], [204, 124], [2, -2]], [[0, 0], [-201/2, -60], [192, 109], [-3/2, 0]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[336, 120]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -18], [747, 431], [0, 0]], [[0, 0], [75/2, -13/2], [-636, -340], [-1/2, -3/2]], [[0, 0], [-1948, 1125], [1728, -1012], [-78, 45]]], 0, 3840, [], [] >,
< [ -3, 0, 1 ], [[-312, -96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 18], [-291, 1], [0, 0]], [[0, 0], [35607/2, 231/2], [179403, -162211], [9/2, -1/2]], [[0, 0], [4309875/2, 2230565/2], [-8607369, -8339673], [893/2, 437/2]]], 0, 3840, [], [] >,
< [ -3, 0, 1 ], [[54, 30]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -5/2], [3, 7], [-15/2, -5/2], [0, 0]], [[48, 26], [-41, -59/2], [48, 26], [5/2, 1]], [[57, -41], [222, -120], [57, -41], [15, -9]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 15], [12, 8], [0, 0]], [[0, 0], [-229, -106], [-123, -57], [-4, 1]], [[0, 0], [2331/2, -5/2], [624, 0], [153/2, -81/2]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -2], [0, 2], [0, 0]], [[0, 0], [595/2, 223/2], [-39, -45], [7/2, -3/2]], [[0, 0], [983/2, 499/2], [-99, -70], [5/2, -1/2]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[54, 30]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 0], [-11, -7], [-15, 0], [0, 0]], [[-735/2, 385/2], [-13, -57/2], [-735/2, 385/2], [-15/2, 2]], [[-567/2, 427/2], [96, 36], [-567/2, 427/2], [0, 6]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 1], [6, -4], [0, 0]], [[0, 0], [1, -2], [-21, -15], [-6, 1]], [[0, 0], [-135/2, 63/2], [-192, -32], [189/2, -135/2]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, -32], [-12, -2], [0, 0]], [[0, 0], [-117/2, -105/2], [33, -31], [3/2, -3/2]], [[0, 0], [128, 143], [-135, 108], [-6, 5]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [165, 100], [6, 5], [0, 0]], [[0, 0], [2477, 1502], [44, 49], [80, 46]], [[0, 0], [1758, 896], [78, 6], [48, 28]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162, -105], [-3, 0], [0, 0]], [[0, 0], [-1229, -620], [10, -9], [10, 4]], [[0, 0], [180, -43], [-21, 12], [-3, 1]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -45], [3, 0], [0, 0]], [[0, 0], [2295, 1302], [-60, -47], [54, 32]], [[0, 0], [2023, 1169], [-65, -37], [52, 30]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [366, 223], [-3, -4], [0, 0]], [[0, 0], [-2685, -3009], [-201, 167], [-9, -5]], [[0, 0], [-18343, 14861], [4235, -2493], [11, 3]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[-18, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -25], [-3, 2], [0, 0]], [[1, 0], [83, 291/2], [5/2, -8], [1, 0]], [[13/2, 7/2], [1876, 1122], [-61, -39], [13/2, 7/2]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 31], [-3, 1], [0, 0]], [[0, 0], [2068, 1099], [-43, -34], [11, 7]], [[0, 0], [-309/2, -407/2], [33/2, -3/2], [-3, -1]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, 19], [-3, 1], [0, 0]], [[0, 0], [2, -1], [1, 0], [1, 0]], [[0, 0], [-255/2, -153/2], [3/2, 3/2], [0, 0]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -34], [18, 11], [0, 0]], [[0, 0], [-5/2, -1/2], [-1/2, 1/2], [1, 0]], [[0, 0], [135, -33], [-21, -9], [0, 0]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[-18, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69/2, -6], [3, 3/2], [0, 0]], [[-1/2, 3/2], [77, 3/2], [-13/2, -1], [-1/2, 3/2]], [[14, -2], [-19/2, 234], [-7, -39/2], [14, -2]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27/2, 7/2], [3/2, 1/2], [0, 0]], [[0, 0], [-4, 1], [1, 0], [1, 0]], [[0, 0], [6, -6], [0, 0], [0, 0]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-123/2, -69/2], [-9/2, -9/2], [0, 0]], [[0, 0], [31/2, 11/2], [-61/2, -23/2], [43, 25]], [[0, 0], [-11/2, -7/2], [5/2, 3/2], [-5, -3]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 8], [12, 8], [0, 0]], [[0, 0], [-5/2, 3/2], [-1/2, 1/2], [1, 0]], [[0, 0], [0, -3], [-3, 0], [0, 0]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[216, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, 19], [24, 14], [0, 0]], [[0, 0], [441/2, 237/2], [129, 75], [15/2, 5/2]], [[0, 0], [382, -210], [-15, 15], [75, -43]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[-144, -24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -1], [-159, 1], [0, 0]], [[0, 0], [-405, 144], [6549, -1835], [0, -1]], [[0, 0], [-1051/2, -815/2], [11997, 8475], [-13/2, -7/2]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[-360, -336]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 24], [543, 311], [0, 0]], [[0, 0], [-2463/2, -1327/2], [-13884, -7932], [5/2, -5/2]], [[0, 0], [1359/2, -805/2], [1188, -804], [-123/2, 71/2]]], 0, 11520, [], [] >,
< [ -3, 0, 1 ], [[288, 312]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-111, -57], [105, 1], [0, 0]], [[0, 0], [30785/2, -789/2], [-71223, 36801], [-11/2, -3/2]], [[0, 0], [-516796, -481040], [-984792, 965016], [343, 231]]], 0, 11520, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -33], [-27, -18], [0, 0]], [[0, 0], [7, -3], [13, 17], [-32, -18]], [[0, 0], [66, 36], [234, 138], [-312, -180]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, -60], [-36, -24], [0, 0]], [[0, 0], [-1092, -632], [-420, -242], [6, 4]], [[0, 0], [-694, -403], [-265, -152], [2, 2]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[8, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [-10, -6], [0, 0], [0, 0]]], 0, 8, [], [] >,
< [ -3, 0, 1 ], [[8, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[0, 0], [-10, -6], [0, 0], [0, 0]]], 0, 8, [], [] >,
< [ -3, 0, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15/2, 5/2], [1/2, -5/2], [0, 0]], [[0, 0], [131/2, -25/2], [119/2, -85/2], [0, 0]], [[0, 0], [0, 0], [0, 0], [1, 0]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[5, 0], [8, 8], [0, 0], [5, 0]], [[3/2, -3/2], [-5, 0], [0, 0], [3/2, -3/2]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-111, -69], [-1, 3], [0, 0]], [[0, 0], [556, 282], [-30, 6], [-2, -8]], [[0, 0], [-2384, -1442], [12, 46], [48, 16]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [-44, -26], [0, 0]], [[0, 0], [-1, -3], [71, 39], [-8, 2]], [[0, 0], [-9, -3], [151, 89], [0, -6]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[-48, -28]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-7/2, -1/2], [21/2, 3], [-7/2, -1/2], [1, -3/2]], [[-11/2, -3/2], [17, 13/2], [-11/2, -3/2], [1/2, -2]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[-48, -28]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [23, 23/2], [0, 0], [3/2, 2]], [[0, 0], [-113, -33], [0, 0], [8, -16]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -2], [-340, -196], [0, 0]], [[0, 0], [0, 1], [0, 0], [1, 0]], [[0, 0], [-24, -18], [-1610, -930], [0, 0]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -26], [-2, 4], [0, 0]], [[0, 0], [2, 1], [0, 0], [1, 0]], [[0, 0], [42, 26], [-4, 0], [0, 0]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [170, 102], [16, 8], [0, 0]], [[0, 0], [856, 390], [54, 64], [200, 116]], [[0, 0], [-37477, -21241], [-3887, -2369], [-9696, -5600]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 70], [-12, -6], [0, 0]], [[0, 0], [-764, -444], [82, 42], [16, 8]], [[0, 0], [-441, 263], [-793, 457], [-170, 98]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 28], [0, -2], [0, 0]], [[0, 0], [-90, -38], [56, 32], [4, 6]], [[0, 0], [53, -5], [-17, -9], [6, -6]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[0, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 6], [2, 2], [0, 0]], [[-4, 0], [-199/2, 133/2], [1/2, 23/2], [-4, 0]], [[11/2, -3/2], [216, -263/2], [25/2, -16], [11/2, -3/2]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[0, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25, 2], [-2, 1], [0, 0]], [[0, 0], [-2, 0], [0, 0], [1, 0]], [[0, 0], [143, 191/2], [1/2, -2], [0, 0]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -23], [11, 7], [0, 0]], [[0, 0], [-666, 485], [-3, -34], [0, 10]], [[0, 0], [93, -325], [71, 55], [-20, -16]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 1], [1, 0], [0, 0]], [[0, 0], [78, 50], [0, 0], [6, -8]], [[0, 0], [1082, 686], [0, 0], [68, -102]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -1], [1, 0], [0, 0]], [[0, 0], [158, 90], [0, 0], [8, 6]], [[0, 0], [64, -16], [0, 0], [-50, 30]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[256, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1207, -695], [-3, -1], [0, 0]], [[0, 0], [-16077, -9351], [-9, -33], [-332, -192]], [[0, 0], [44682, 25882], [62, 70], [900, 520]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[288, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [476, 272], [142, 82], [0, 0]], [[0, 0], [6, 1], [0, 0], [1, 0]], [[0, 0], [8, 6], [0, 0], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-64, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-67, -47], [-19, -9], [0, 0]], [[0, 0], [986, 878], [300, 100], [256, 148]], [[0, 0], [-1230, -558], [-180, -140], [-208, -120]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[-192, -32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -14], [110, 66], [0, 0]], [[0, 0], [0, 1], [-16, 0], [1, 0]], [[0, 0], [16, 10], [-72, -56], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[160, 64]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -8], [284, 164], [0, 0]], [[0, 0], [-63915/193, 2447/579], [-852, 30], [841/193, 1/579]], [[0, 0], [37323312/193, -64486799/579], [516407, -297469], [-480181/193, 829556/579]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[384, 320]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 2], [1, 0], [0, 0]], [[0, 0], [13014650/193, -33590/193], [0, 0], [-29088/2509, -2/7527]], [[0, 0], [129701195028/193, -74835331228/193], [0, 0], [-288584002/2509, 499520950/7527]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-128, -32]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -10], [94, 54], [0, 0]], [[0, 0], [343152/193, -20237/579], [1103, 239], [648/193, -1/579]], [[0, 0], [1189503184/193, -685823059/193], [2311981, -1330535], [2174304/193, -1253505/193]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[-192, -256]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, -50], [218, 126], [0, 0]], [[0, 0], [-195, -19], [154, 102], [-43/13, 1/13]], [[0, 0], [32341/2, -18641/2], [2235, -1313], [8883/26, -5123/26]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-320, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-553, -373], [1, 3], [0, 0]], [[0, 0], [-25900, -15756], [114, 102], [-104, -60]], [[0, 0], [-4072, -2100], [30, 6], [0, 0]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[128, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-277, -123], [3, -1], [0, 0]], [[0, 0], [37442, 21596], [-86, -48], [1032, 596]], [[0, 0], [-32208, -18244], [96, 28], [-868, -504]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[160, 0]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 2/3], [0, 4/3], [0, 0]], [[0, 0], [-3266/37, -1589/111], [27, 44/3], [17/185, 4/555]], [[0, 0], [-4505/37, -12974/111], [74, 131/3], [18/185, 21/185]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[800, 0]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 8/3], [6, -8/3], [0, 0]], [[0, 0], [-33768/37, 527/37], [-273, -12], [-313/37, -4/111]], [[0, 0], [-4863636/37, -6443057/111], [-42535, -59266/3], [-46311/37, -20822/37]]], 0, 39936, [], [] >,
< [ -3, 0, 1 ], [[-1664, -448]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [471, 271], [359, 209], [0, 0]], [[0, 0], [8128, 4690], [7430, 4288], [-332, -192]], [[0, 0], [-266, -152], [-98, -56], [-28, -16]]], 0, 135168, [], [] >,
< [ -3, 0, 1 ], [[1984, 768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-593, -349], [189, 111], [0, 0]], [[0, 0], [-1938, -1046], [-1412, -836], [-1060, -612]], [[0, 0], [-1182, 1284], [770, -116], [236, 136]]], 0, 135168, [], [] >,
< [ -3, 0, 1 ], [[448, 96]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -20], [-558, -322], [0, 0]], [[0, 0], [71474/193, 77903/579], [-11991, 2013], [-331/193, -2/579]], [[0, 0], [-392834754/193, 226794476/193], [229463464, -132480152], [4890132/193, -2823294/193]]], 0, 10752, [], [] >,
< [ -3, 0, 1 ], [[576, 896]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 2], [1, 0], [0, 0]], [[0, 0], [-11878/193, 24214/193], [0, 0], [1020/193, -2/579]], [[0, 0], [39225702/193, -22634930/193], [0, 0], [-743728/193, 1289398/579]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[-608, -256]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -10], [-2384, -1376], [0, 0]], [[0, 0], [-471883/193, -1765/579], [36412, -1778], [-841/193, 1/579]], [[0, 0], [-344352069/193, 595495432/579], [28877327, -16650251], [-615459/193, 1064336/579]]], 0, 10752, [], [] >,
< [ -3, 0, 1 ], [[-1536, -1216]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, 30], [-18, -2], [0, 0]], [[0, 0], [-193/2, -33/2], [-265, 153], [-7/2, -3/2]], [[0, 0], [-5/2, 39/2], [-141, 81], [1/2, 1/2]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[-896, -320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1405, 809], [499, 289], [0, 0]], [[0, 0], [6001, 3639], [737, 353], [-748, -432]], [[0, 0], [51620, 29210], [5500, 3422], [-6160, -3556]]], 0, 30720, [], [] >,
< [ -3, 0, 1 ], [[-480, -448]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, 90], [606, 350], [0, 0]], [[0, 0], [4, 1], [20, 0], [1, 0]], [[0, 0], [1200, 680], [4430, 2558], [0, 0]]], 0, 15360, [], [] >,
< [ -3, 0, 1 ], [[832, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [530, 312], [154, 88], [0, 0]], [[0, 0], [-26421, -16067], [-9799, -5535], [512, 296]], [[0, 0], [-522453, -307087], [-189157, -108389], [9972, 5760]]], 0, 30720, [], [] >,
< [ -3, 0, 1 ], [[384, 416]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -16], [482, 282], [0, 0]], [[0, 0], [6, 1], [-16, 0], [1, 0]], [[0, 0], [-118, -60], [1872, 1104], [0, 0]]], 0, 15360, [], [] >,
< [ -3, 0, 1 ], [[12, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -7], [12, -4], [0, 0]], [[7/2, 5/2], [251/2, 75], [69/2, -83/2], [2, 1/2]], [[-2, 0], [-41, -17], [144, -77], [1, -1]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[12, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, 9], [-15, 2], [0, 0]], [[0, 0], [475/2, 383/2], [510, -408], [-1/2, 5/2]], [[0, 0], [-2759/2, -1037], [-2142, 1870], [0, -25/2]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -6], [-150, -86], [0, 0]], [[0, 0], [0, 1], [0, 0], [1, 0]], [[0, 0], [22, 12], [360, 208], [0, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, -28], [-30, -2], [0, 0]], [[0, 0], [2, 1], [0, 0], [1, 0]], [[0, 0], [-922, 400], [-810, 432], [0, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[0, -576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-501, -277], [-3, -5], [0, 0]], [[0, 0], [-3348, 2498], [1020, -590], [420, 240]], [[0, 0], [1365, -2021], [-645, 375], [-924, -532]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[0, -576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 50], [-12, -2], [0, 0]], [[0, 0], [-2019, 1271], [525, -315], [156, 88]], [[0, 0], [-1404, 988], [378, -238], [252, 144]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-123, -71], [-75, -45], [0, 0]], [[0, 0], [-5120, -2956], [-3230, -1866], [160, 92]], [[0, 0], [-9521, -5497], [-6011, -3469], [304, 176]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, 74], [66, 40], [0, 0]], [[0, 0], [-415, -223], [-235, -133], [-4, -8]], [[0, 0], [2977, -1721], [481, -279], [-1022, 590]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 10], [-276, -160], [0, 0]], [[0, 0], [-13, 5], [-379, -235], [2, -8]], [[0, 0], [-60, 10], [-3804, -2254], [-30, -50]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[12, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21/2, -23/2], [-3/2, 3/2], [0, 0]], [[-5/2, 3/2], [139, 385/2], [-23/2, -27], [-5/2, 3/2]], [[0, 0], [-243, -138], [30, 17], [0, 0]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[12, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 1/2], [3/2, -1], [0, 0]], [[0, 0], [-1, 1/2], [-1/2, 0], [1, 0]], [[0, 0], [6, 4], [0, 0], [0, 0]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, 23], [45, 25], [0, 0]], [[0, 0], [-264, -115], [-249, -130], [-6, 4]], [[0, 0], [3233, 1841], [3295, 1893], [-2, -6]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 32], [-12, -4], [0, 0]], [[0, 0], [2631, 1520], [-354, -205], [6, 4]], [[0, 0], [-82, -91], [1, 18], [10, -6]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -27], [15, -2], [0, 0]], [[0, 0], [-385, 194], [-110, 73], [4, -2]], [[0, 0], [-462, -278], [162, 90], [0, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-384, -288]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [364, 210], [210, 122], [0, 0]], [[0, 0], [6, 1], [0, 0], [1, 0]], [[0, 0], [-572, -330], [-324, -188], [0, 0]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[96, 192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 14], [606, 2], [0, 0]], [[0, 0], [0, 1], [-60, 0], [1, 0]], [[0, 0], [-410, -320], [-16872, 2072], [0, 0]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-960, -384]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 2], [1, 0], [0, 0]], [[0, 0], [-1293250/193, 19758/193], [0, 0], [20928/2509, 6/2509]], [[0, 0], [-88335346/193, 53206542/193], [0, 0], [1390274/2509, -839364/2509]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[768, 192]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -38], [702, 406], [0, 0]], [[0, 0], [-769/2, -479/2], [4467, 2455], [1/26, 3/26]], [[0, 0], [-406, 234], [-2736, 1584], [0, 0]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[-2688, -576]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 2], [1, 0], [0, 0]], [[0, 0], [-27040/193, -25312/193], [0, 0], [-302/193, 6/193]], [[0, 0], [372514/193, -205626/193], [0, 0], [-6740/193, 3930/193]]], 0, 344064, [], [] >,
< [ -3, 0, 1 ], [[3648, 1536]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112, 64], [42, 2], [0, 0]], [[0, 0], [149/2, 145/2], [-651, 403], [7/2, -1/2]], [[0, 0], [1383/2, 503/2], [3519, -1879], [-7/2, 21/2]]], 0, 344064, [], [] >,
< [ -3, 0, 1 ], [[1344, 480]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, -74], [-2868, -1656], [0, 0]], [[0, 0], [4, 1], [-24, 0], [1, 0]], [[0, 0], [0, 0], [-162, -94], [0, 0]]], 0, 61440, [], [] >,
< [ -3, 0, 1 ], [[-1248, -384]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -46], [-186, 2], [0, 0]], [[0, 0], [6, 1], [-60, 0], [1, 0]], [[0, 0], [-146, -72], [1056, -792], [0, 0]]], 0, 61440, [], [] >,
< [ -3, 0, 1 ], [[-144, -84]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 9], [12, 2], [0, 0]], [[-3, -2], [273/2, -231/2], [-141, 51], [-3/2, -1/2]], [[-5/2, -3/2], [-11/2, -3], [-9/2, -5/2], [-1, -1/2]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-144, -84]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 1], [6, 4], [0, 0]], [[0, 0], [-3, 5/2], [15, 1], [-3/2, 1]], [[0, 0], [11/2, 19/2], [150, 75], [-1/2, 5/2]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -38], [240, 140], [0, 0]], [[0, 0], [-2, 1], [0, 0], [1, 0]], [[0, 0], [-42, -14], [114, 70], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 56], [18, 8], [0, 0]], [[0, 0], [4, 1], [0, 0], [1, 0]], [[0, 0], [66, -46], [60, -36], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-144, -84]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -2], [-6, -5], [0, 0]], [[13/2, 5/2], [123/2, -14], [195/2, -35/2], [6, 1/2]], [[-38, -18], [-253, 9], [-414, -8], [-30, -8]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-144, -84]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -7], [-12, 1], [0, 0]], [[0, 0], [-178, -190], [969, -680], [6, -2]], [[0, 0], [1319/2, 429], [-306, 510], [-6, -1/2]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 6], [12, 8], [0, 0]], [[0, 0], [-612, -353], [-1152, -664], [-3, 4]], [[0, 0], [641, 371], [1206, 698], [-9, 3]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 6], [24, -10], [0, 0]], [[0, 0], [-4110, 2122], [-3894, 2222], [6, -2]], [[0, 0], [-1357, 4170], [-3960, 2640], [-12, -13]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [279, 157], [15, 11], [0, 0]], [[0, 0], [1600, 928], [-470, -274], [928, 536]], [[0, 0], [724, 418], [-194, -112], [388, 224]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-969, -573], [-9, -3], [0, 0]], [[0, 0], [5957, -3485], [-961, 563], [-16, -8]], [[0, 0], [19925, -11527], [-3217, 1861], [-10, -2]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2457, -1453], [-9, 1], [0, 0]], [[0, 0], [57190, 33206], [124, 36], [4, 6]], [[0, 0], [-308820, -184134], [-1470, 260], [60, -80]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [225, 125], [-27, -17], [0, 0]], [[0, 0], [32725, 18931], [-4139, -2379], [-104, -60]], [[0, 0], [-5139, -2887], [627, 385], [0, 0]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-591, -343], [3, 1], [0, 0]], [[0, 0], [-1292, -738], [-14, -4], [28, 8]], [[0, 0], [10467, -5855], [5301, -3059], [-10602, 6118]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-690, -398], [-18, -10], [0, 0]], [[0, 0], [-3719, -2151], [-83, -53], [10, 6]], [[0, 0], [856, 390], [136, -58], [-8, 2]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [213/2, 27/2], [39/2, 3/2], [0, 0]], [[3/2, 5/2], [-30195/2, -7421], [-2601, -2481/2], [3/2, 5/2]], [[-13, -52], [554777/2, 249801/2], [96205/2, 41331/2], [-13, -52]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[0, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9/2, -23/2], [9/2, -5/2], [0, 0]], [[0, 0], [-1, 1/2], [-1/2, 0], [1, 0]], [[0, 0], [-315/2, -94], [3, 1/2], [0, 0]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81, 13], [39, 25], [0, 0]], [[0, 0], [2110, 1117], [1607, 936], [2, 0]], [[0, 0], [-498, -206], [-336, -200], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -57], [-9, -6], [0, 0]], [[0, 0], [-490, -301], [-59, -36], [-2, 0]], [[0, 0], [-75, -41], [-9, -5], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [150, 100], [12, -2], [0, 0]], [[0, 0], [8815, 5072], [206, 143], [8, 8]], [[0, 0], [1071, 532], [-96, 85], [-18, 12]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [117/2, 73/2], [9/2, 7/2], [0, 0]], [[3/2, 5/2], [-711/2, 81], [-87, 79/2], [3/2, 5/2]], [[-13/2, 7/2], [-1069, 1251/2], [-673/2, 195], [-13/2, 7/2]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[0, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 53/2], [3/2, 1], [0, 0]], [[0, 0], [-1, 5/2], [-1/2, 0], [1, 0]], [[0, 0], [12, -6], [0, 0], [0, 0]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [321, 185], [21, 11], [0, 0]], [[0, 0], [3458, 2007], [127, 174], [-2, 2]], [[0, 0], [-27455, -15880], [-1450, -1123], [2, -8]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, -15], [-3, -3], [0, 0]], [[0, 0], [-2, 5], [-19, -14], [2, -4]], [[0, 0], [-5, 51], [-247, -169], [8, -40]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -41], [-3, -2], [0, 0]], [[0, 0], [-356, -208], [-94, -54], [188, 108]], [[0, 0], [71, 41], [19, 11], [-38, -22]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[864, 384]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [322, 188], [48, 32], [0, 0]], [[0, 0], [1770, 950], [270, 142], [12, 0]], [[0, 0], [-1219, -678], [-186, -102], [-6, -1]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[-576, -96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -16], [-738, -2], [0, 0]], [[0, 0], [-2, 1], [-60, 0], [1, 0]], [[0, 0], [-234, -100], [3096, -5160], [0, 0]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[-1440, -1344]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [228, 138], [2826, 1630], [0, 0]], [[0, 0], [-18, 1], [-24, 0], [1, 0]], [[0, 0], [1500, 872], [18054, 10422], [0, 0]]], 0, 184320, [], [] >,
< [ -3, 0, 1 ], [[1152, 1248]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, 60], [342, 2], [0, 0]], [[0, 0], [-16, 1], [-60, 0], [1, 0]], [[0, 0], [-384, -262], [-2220, 444], [0, 0]]], 0, 184320, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [381, 219], [27, 15], [0, 0]], [[0, 0], [1091, 631], [299, 173], [-1240, -716]], [[0, 0], [300, 202], [84, 58], [-384, -224]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 0], [90, 48], [0, 0]], [[0, 0], [727, 401], [-1529, -861], [388, 224]], [[0, 0], [-9, 9], [-39, -39], [0, 0]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[-4, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37/2, -17/2], [1/2, -3/2], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[0, 0], [-16, 0], [6, -4], [0, 0]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 10], [8, 4], [0, 0]], [[0, 0], [-95, -49], [-29, -19], [12, 4]], [[0, 0], [49, 22], [13, 10], [-7, -1]]], 0, 16, [], [] >,
< [ -3, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-2, -4], [0, 0], [-22, -12]], [[0, 0], [-50, -20], [0, 0], [-204, -120]]], 0, 16, [], [] >,
< [ -3, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [66, 38], [0, 0], [-19, -9]], [[0, 0], [-50, -26], [0, 0], [60, -20]]], 0, 16, [], [] >,
< [ -3, 0, 1 ], [[-4, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[4, 2], [-6, -4], [0, 0], [4, 2]], [[-5/2, 1/2], [-2, 3], [0, 0], [-5/2, 1/2]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[-4, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-3/2, -5/2], [23, 14], [0, 0], [-3/2, -5/2]], [[-55/2, 35/2], [1, -14], [0, 0], [-55/2, 35/2]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [814, 472], [-8, 6], [0, 0]], [[0, 0], [-45744, -26428], [40, -100], [-8, -8]], [[0, 0], [-30, -186], [1108, -640], [38, -22]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, -52], [-180, -104], [0, 0]], [[0, 0], [-58, 58], [92, 36], [-20, -4]], [[0, 0], [2114, -1220], [-416, 242], [190, -110]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, -60], [180, 104], [0, 0]], [[0, 0], [-18, -12], [2, 0], [-18, 2]], [[0, 0], [334, -192], [232, -134], [-2698, 1558]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[132, 76]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[9/2, 3/2], [-73/2, -18], [9/2, 3/2], [0, 3/2]], [[-1, 3], [-12, -17], [-1, 3], [5, -2]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[132, 76]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-13/2, -3/2], [-51/2, -14], [-13/2, -3/2], [1, -5/2]], [[7, 7], [52, 31], [7, 7], [7, 0]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[0, -16]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 22], [4, 0], [0, 0]], [[0, 0], [241/2, 139/2], [14, 9], [5/2, 5/2]], [[0, 0], [7/2, 1/2], [-3, 2], [-5/2, 3/2]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[0, -16]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -4], [-2, 2], [0, 0]], [[0, 0], [-1084, -627], [202, 114], [3, 0]], [[0, 0], [167/2, 75/2], [9, -21], [29/2, -17/2]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[0, -16]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 10], [-44, -26], [0, 0]], [[0, 0], [-1669/2, -835/2], [2224, 1264], [-5/2, -1/2]], [[0, 0], [4049/2, -2241/2], [-736, 288], [61/2, -35/2]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [362, 198], [-6, 2], [0, 0]], [[0, 0], [2583, -2915], [-1886, 1094], [-11, -7]], [[0, 0], [-36456, 17436], [16522, -9526], [-34, -14]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-560, -332], [-16, -4], [0, 0]], [[0, 0], [19964, -10456], [-11466, 6642], [-10, -2]], [[0, 0], [83141, -44983], [-48528, 28080], [-33, -3]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[12, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7/2, 33/2], [5/2, -5/2], [0, 0]], [[-5/2, 5/2], [193, -29/2], [-53/2, 9], [-5/2, 5/2]], [[-11, -7], [-1034, -577], [69, 36], [-11, -7]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[12, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-73/2, -45/2], [11/2, 1/2], [0, 0]], [[-1/2, -1/2], [-459/2, 51], [-301, 359/2], [-1/2, -1/2]], [[0, 0], [9, 22], [-30, 15], [0, 0]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[0, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, -34], [56, 32], [0, 0]], [[0, 0], [-5/2, -1/2], [-1/2, 1/2], [1, 0]], [[0, 0], [-15, -13], [21, 9], [0, 0]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[0, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 6], [2, 1], [0, 0]], [[0, 0], [-129/2, -85/2], [-13/2, -7/2], [-13, -7]], [[0, 0], [-27, 4], [0, -1], [0, -2]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[0, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, -41], [7, 2], [0, 0]], [[0, 0], [423/2, -119/2], [45/2, -35/2], [-6, -2]], [[0, 0], [278, -224], [60, -30], [2, 4]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [899, 503], [-1, 1], [0, 0]], [[0, 0], [-3592, -2180], [0, 0], [-10, 10]], [[0, 0], [5248, -3000], [0, 0], [-776, 448]]], 0, 4096, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [374, 220], [-4, 2], [0, 0]], [[0, 0], [59507, 34383], [-33, -31], [-4, -8]], [[0, 0], [2992, 1058], [-246, 140], [-122, 70]]], 0, 4096, [], [] >,
< [ -3, 0, 1 ], [[-12, -12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 12], [12, -5], [0, 0]], [[-1, 0], [-749/2, -437/2], [-54, -7], [1/2, -1/2]], [[-1/2, 3/2], [735, 835/2], [9/2, 143/2], [5/2, -1]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[-12, -12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 8], [-15, -1], [0, 0]], [[4, 3], [13/2, 7/2], [24, -2], [5/2, 1/2]], [[81/2, 9/2], [27, 45/2], [-645/2, 497/2], [-27/2, 18]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [128, 74], [3, 3], [0, 0]], [[0, 0], [257/2, 51/2], [624, -363], [1/2, -3/2]], [[0, 0], [-2925/2, -2143/2], [2967, -1660], [55/2, 15/2]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 24], [12, 2], [0, 0]], [[0, 0], [-6937/2, -3911/2], [-591, -439], [-9/2, -1/2]], [[0, 0], [10444, 968], [-7920, 5952], [200, -110]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -14], [-18, -4], [0, 0]], [[0, 0], [331/2, 173/2], [120, 20], [3/2, -5/2]], [[0, 0], [98, 114], [-198, 198], [-20, 10]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -2], [30, 6], [0, 0]], [[0, 0], [29, -13], [-42, 26], [-1, -1]], [[0, 0], [10, -6], [-18, 10], [0, 0]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [192, 116], [24, 4], [0, 0]], [[0, 0], [-615, 357], [1164, -672], [-1, 1]], [[0, 0], [-22, 6], [30, -18], [0, 0]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[-12, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9/2, -9/2], [15/2, 1/2], [0, 0]], [[3/2, 3/2], [672, 445/2], [-99/2, -374], [3/2, 3/2]], [[-8, -3], [-1354, -1210], [1912, 210], [-8, -3]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[-12, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27/2, -13/2], [27/2, 5/2], [0, 0]], [[1/2, 1/2], [5/2, -6], [-4, -9/2], [1/2, 1/2]], [[0, 0], [-3/2, 1/2], [-3/2, -1/2], [0, 0]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-87, -35], [-39, -25], [0, 0]], [[0, 0], [7/2, 1/2], [5/2, 1/2], [1, 0]], [[0, 0], [1707, 995], [957, 551], [0, 0]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99/2, 37/2], [-3/2, -11/2], [0, 0]], [[0, 0], [-1503, -827], [183, 125], [-6, -2]], [[0, 0], [-1699, -914], [196, 145], [-8, -2]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, 36], [0, -1], [0, 0]], [[0, 0], [155/2, 89/2], [-11/2, -7/2], [11, 7]], [[0, 0], [129, 79], [-15, -3], [30, 6]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 30], [-18, -4], [0, 0]], [[0, 0], [-1324, 76], [-320, 396], [10, 6]], [[0, 0], [4473, -2573], [3087, -1785], [0, 0]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-714, -416], [-120, -70], [0, 0]], [[0, 0], [-310, -198], [-50, -34], [-14, 2]], [[0, 0], [3699, -2149], [999, -579], [-1968, 1136]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[396, 228]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 40], [3, 4], [0, 0]], [[5/2, 3/2], [-547/2, -32], [309/2, -195/2], [1, 1/2]], [[0, 0], [18, -24], [-45, 25], [0, 0]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[396, 228]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 22], [0, -3], [0, 0]], [[-5/2, -1/2], [-379, -331/2], [-87/2, 91/2], [1/2, -1]], [[7/2, 3/2], [653, 693/2], [3/2, -79/2], [1/2, 1]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 2], [12, 2], [0, 0]], [[0, 0], [433, 253], [636, 376], [1, 1]], [[0, 0], [-349/2, 91/2], [-441, 173], [-37/2, 21/2]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 8], [72, 38], [0, 0]], [[0, 0], [323, 187], [1404, 806], [-1, 1]], [[0, 0], [-43/2, 25/2], [0, 0], [-19/2, 11/2]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1104, 620], [-24, -4], [0, 0]], [[0, 0], [-5011, 2795], [2790, -1610], [-7, -3]], [[0, 0], [7, 5], [0, 0], [1, 1]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[396, 228]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 10], [-15, 2], [0, 0]], [[1/2, 3/2], [3210, 3565/2], [-1611/2, -1739/2], [-3/2, 2]], [[22, -10], [3568, 3372], [-8220, 2752], [48, -26]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[396, 228]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -10], [9, 4], [0, 0]], [[-1, 1], [-214, -109], [102, 62], [-3, 2]], [[-9/2, 5/2], [-1, 73/2], [-39/2, -15/2], [-21/2, 6]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 24], [-72, -40], [0, 0]], [[0, 0], [415/2, 143/2], [-273, -191], [-9/2, 1/2]], [[0, 0], [-231/2, 167/2], [-117, 37], [15/2, -9/2]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 12], [-48, -28], [0, 0]], [[0, 0], [-18, -34], [138, 84], [6, 2]], [[0, 0], [1837/2, -1053/2], [-180, 90], [111/2, -65/2]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-414, -234], [18, 2], [0, 0]], [[0, 0], [-2066, 1210], [3492, -2016], [18, -2]], [[0, 0], [-779, 121], [828, -480], [-135, -81]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 9], [-3, -9], [0, 0]], [[0, 0], [-5/2, 5/2], [5/2, 1/2], [1, 0]], [[0, 0], [951, 539], [-459, -289], [0, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[36, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33/2, -1/2], [-9/2, -1/2], [0, 0]], [[-11/2, -5/2], [-181/2, -56], [8, 5/2], [-11/2, -5/2]], [[1, 2], [50, 21], [1, -4], [1, 2]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[36, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9/2, -5/2], [-9/2, -5/2], [0, 0]], [[-9/2, -5/2], [153, -139/2], [-3/2, -1], [-9/2, -5/2]], [[-7/2, -3/2], [803, -901/2], [-1/2, -1], [-7/2, -3/2]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-87/2, -67/2], [9/2, 11/2], [0, 0]], [[0, 0], [-505, -290], [82, 45], [-20, -10]], [[0, 0], [2, -1], [1, 0], [-2, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81, -51], [-21, -9], [0, 0]], [[0, 0], [3763/2, 2157/2], [773/2, 469/2], [13, 5]], [[0, 0], [6738, 3814], [1314, 870], [60, 10]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2067, 1105], [-15, 1], [0, 0]], [[0, 0], [210831, -136103], [-24363, 14117], [6, -10]], [[0, 0], [931522, -757586], [-121954, 71190], [-28, -84]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1941, 1105], [9, 7], [0, 0]], [[0, 0], [-1723, -839], [13, -9], [-14, -10]], [[0, 0], [20097, -11563], [-2139, 1235], [-228, 132]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45, -21], [-75, -45], [0, 0]], [[0, 0], [-5/2, -3/2], [5/2, 1/2], [1, 0]], [[0, 0], [-3, 13], [21, 7], [0, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[36, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-189/2, -91/2], [-3/2, 5/2], [0, 0]], [[-5/2, -1/2], [1018, 859/2], [79/2, -40], [-5/2, -1/2]], [[-5/2, -15/2], [6443/2, 2892], [-424, 329/2], [-5/2, -15/2]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[36, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69/2, -47/2], [-27/2, 1/2], [0, 0]], [[-5/2, 3/2], [-842, 675/2], [3247/2, -962], [-5/2, 3/2]], [[0, 0], [-420, -252], [-90, -30], [0, 0]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-117/2, -79/2], [9/2, 5/2], [0, 0]], [[0, 0], [77, 11], [-11, -7], [22, 14]], [[0, 0], [26, -17], [1, 0], [-2, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 3], [21, 9], [0, 0]], [[0, 0], [95/2, -939/2], [-983/2, -1987/2], [17, 9]], [[0, 0], [-12615, 10511], [-13935, 17369], [-144, -54]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-762, -358], [18, 2], [0, 0]], [[0, 0], [5846, -3264], [-596, 338], [10, 6]], [[0, 0], [-4467, 2579], [459, -265], [0, 0]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2265, 1309], [-51, -29], [0, 0]], [[0, 0], [-11001, -6355], [237, 145], [6, 10]], [[0, 0], [-697, 605], [2353, -1363], [1846, -1066]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -1], [-2, -1], [0, 0]], [[0, 0], [1/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [4, 2], [0, 0], [0, 0]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63/2, 37/2], [-7/2, -5/2], [0, 0]], [[0, 0], [-77, 21], [93, -51], [6, 0]], [[0, 0], [224, -112], [-336, 192], [-13, 5]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, -50], [4, 0], [0, 0]], [[0, 0], [-7769, -4473], [173, 117], [8, -6]], [[0, 0], [87030, 50218], [-2072, -1236], [-8, 20]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 6], [-20, -12], [0, 0]], [[0, 0], [429, 249], [-795, -459], [-2, 0]], [[0, 0], [-50, -30], [94, 54], [0, 0]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, -38], [6, -4], [0, 0]], [[0, 0], [-67, -15], [11, -9], [-10, 4]], [[0, 0], [5, 3], [-5, -3], [-4, -2]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[-16, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-105, -59], [13, 7], [0, 0]], [[0, 0], [1, -1], [0, 0], [1, 0]], [[0, 0], [13, 9], [-1, -1], [0, 0]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -15], [-11, -7], [0, 0]], [[7/2, 3/2], [104, 68], [59, 26], [7/2, 3/2]], [[55, -31], [-813, 497], [859, -483], [55, -31]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[-16, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-355, -207], [3, 3], [0, 0]], [[0, 0], [-1, -1], [0, 0], [1, 0]], [[0, 0], [571, 321], [-11, -1], [0, 0]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -14], [-2, -2], [0, 0]], [[-3, -1], [-325, -185], [-55, -21], [-3, -1]], [[65/2, -37/2], [150, -50], [487, -276], [65/2, -37/2]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[-360, -208]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 26], [-10, -4], [0, 0]], [[-1, 1], [851, 366], [166, -258], [2, -1]], [[-13/2, -5/2], [-10666, -12511/2], [4543/2, 2073/2], [-1/2, -2]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[-360, -208]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 20], [8, 4], [0, 0]], [[-11/2, -1/2], [-139/2, -21], [15/2, -33/2], [2, -5/2]], [[65/2, 25/2], [491, 477/2], [95/2, 153/2], [5/2, 10]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-214, -126], [-2, -2], [0, 0]], [[0, 0], [0, -1], [2, 0], [1, 0]], [[0, 0], [4, 0], [0, 0], [0, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-312, -180], [-16, -8], [0, 0]], [[0, 0], [0, -1], [0, 0], [1, 0]], [[0, 0], [38, 10], [110, -62], [0, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, -26], [-6, -2], [0, 0]], [[0, 0], [2, 1], [0, 0], [1, 0]], [[0, 0], [-8, 0], [-8, 4], [0, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[0, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 1], [1, 0], [0, 0]], [[5/2, -1/2], [-35/2, -8], [-2, 3/2], [5/2, -1/2]], [[10, -5], [-47/2, -5/2], [-25/2, 15/2], [10, -5]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[0, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 1], [1, 0], [0, 0]], [[11/2, 3/2], [-34, 11/2], [-1/2, 2], [11/2, 3/2]], [[2, -5], [-139/2, 103/2], [-17/2, 7/2], [2, -5]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [337, 195], [19, 11], [0, 0]], [[0, 0], [57, 56], [-2, -3], [-4, -6]], [[0, 0], [39, 86], [0, -5], [0, -10]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-221, -131], [-47, -27], [0, 0]], [[0, 0], [1848, 1066], [386, 216], [4, -8]], [[0, 0], [-15606, -9005], [-3247, -1832], [-14, 56]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 6], [-6, 0], [0, 0]], [[10, 5], [417/2, 267/2], [-99, -52], [5/2, 5/2]], [[-33/2, -15/2], [-645/2, -221], [327/2, 161/2], [-3, -9/2]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 18], [18, 16], [0, 0]], [[1, 0], [973/2, 469/2], [-150, 457], [-1/2, 1/2]], [[-3/2, -1/2], [-1923/2, -529], [-819/2, -1085/2], [0, -1/2]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [220, 112], [36, 4], [0, 0]], [[0, 0], [0, -1], [6, 0], [1, 0]], [[0, 0], [774, -890], [1254, -770], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [302, 142], [66, 6], [0, 0]], [[0, 0], [0, -1], [0, 0], [1, 0]], [[0, 0], [10500, -5768], [10200, -5848], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-118, -98], [54, 2], [0, 0]], [[0, 0], [2, 1], [0, 0], [1, 0]], [[0, 0], [-1668, 848], [-1512, 896], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 9], [3, 4], [0, 0]], [[-11/2, -5/2], [-65, 313/2], [85/2, -25], [-11/2, -5/2]], [[77/2, -7/2], [12151/2, -3901], [-1637, 1893/2], [77/2, -7/2]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -8], [-12, -5], [0, 0]], [[5/2, 3/2], [35, -353/2], [-49/2, -61], [5/2, 3/2]], [[0, 0], [144, -89], [33, -22], [0, 0]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-219, -135], [9, 7], [0, 0]], [[0, 0], [61, 67], [-1, -5], [-4, 4]], [[0, 0], [23, 12], [-2, -1], [4, 2]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-372, -218], [-54, -32], [0, 0]], [[0, 0], [11564, 6664], [1696, 976], [-2, -2]], [[0, 0], [1368, 721], [207, 102], [6, -4]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[-1080, -624]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 12], [0, -8], [0, 0]], [[5/2, 1/2], [271, 347/2], [-177/2, -73/2], [-1/2, 1]], [[-11/2, -5/2], [-1577/2, -467], [441/2, 235/2], [-1, -3/2]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-282, -146], [-42, -6], [0, 0]], [[0, 0], [-2, -1], [0, 0], [1, 0]], [[0, 0], [-276, 104], [-252, 140], [0, 0]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [546, 326], [-30, -6], [0, 0]], [[0, 0], [4, 1], [0, 0], [1, 0]], [[0, 0], [2184, -1052], [2100, -1220], [0, 0]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-1080, -624]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -26], [-15, -5], [0, 0]], [[9/2, 5/2], [159/2, 40], [-21/2, 59/2], [3, 3/2]], [[1/2, -1/2], [56, -75/2], [-741/2, 425/2], [3/2, -1]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [148, 56], [60, 4], [0, 0]], [[0, 0], [-42150, 27729], [-46110, 27550], [3, 0]], [[0, 0], [-69824, 28909], [-65076, 34452], [-3, -4]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 6], [18, -6], [0, 0]], [[0, 0], [267, -199], [312, -188], [9, 5]], [[0, 0], [-11474, 6517], [-11880, 6840], [15, 16]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81, -22], [-18, -7], [0, 0]], [[-1/2, -1/2], [-3353/2, 1562], [-170, 493/2], [-1/2, -1/2]], [[0, 0], [570, -386], [72, -56], [0, 0]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 8], [0, 5], [0, 0]], [[-3, 0], [-237/2, 149/2], [-99/2, 41/2], [-3, 0]], [[-1/2, -3/2], [86, -87/2], [41/2, -20], [-1/2, -3/2]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [234, 140], [0, 2], [0, 0]], [[0, 0], [142, 105], [11, 4], [8, 10]], [[0, 0], [-435, 387], [63, -29], [-120, 80]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [645, 373], [33, 19], [0, 0]], [[0, 0], [113, 76], [-2, 1], [4, -2]], [[0, 0], [60, 36], [0, 0], [0, 0]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 25], [-9, 4], [0, 0]], [[3/2, -1/2], [957/2, 247], [45, 39/2], [3/2, -1/2]], [[1, 4], [11089/2, 6547/2], [947/2, 579/2], [1, 4]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 29], [-9, 5], [0, 0]], [[-5/2, 5/2], [394, 471/2], [-17/2, 6], [-5/2, 5/2]], [[1/2, -1/2], [1, 1/2], [1/2, -1], [1/2, -1/2]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1035, 595], [63, 37], [0, 0]], [[0, 0], [-142, -66], [-2, -2], [4, -8]], [[0, 0], [-35, -20], [2, 1], [-4, -2]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, 19], [15, 7], [0, 0]], [[0, 0], [1340, 831], [445, 262], [10, -8]], [[0, 0], [29303, 16842], [9460, 5455], [-56, -14]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 6], [-4, -2], [0, 0]], [[0, 0], [355, 206], [5, 4], [17, 9]], [[0, 0], [66, 48], [-8, 6], [10, -2]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -18], [-14, -8], [0, 0]], [[0, 0], [-66, -35], [4, 3], [5, 1]], [[0, 0], [560, 314], [-38, -24], [-34, -14]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 2], [1, 0], [0, 0]], [[0, 0], [236, 136], [0, 0], [-8, -10]], [[0, 0], [256, 152], [0, 0], [-90, 36]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-352, -204], [0, 0], [2, 10]], [[0, 0], [-848, -496], [0, 0], [-40, 50]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-208, -120], [380, 220], [0, 0]], [[0, 0], [70, 60], [-118, -80], [6, -10]], [[0, 0], [-24652, 14228], [14908, -8600], [16940, -9780]]], 0, 4096, [], [] >,
< [ -3, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -16], [-300, -172], [0, 0]], [[0, 0], [-14, -12], [-894, -512], [-22, -2]], [[0, 0], [-41652, 24048], [44144, -25476], [113796, -65700]]], 0, 4096, [], [] >,
< [ -3, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [634, 366], [18, 10], [0, 0]], [[0, 0], [8, -12], [-228, 144], [16, 0]], [[0, 0], [88, -46], [-1444, 826], [42, -30]]], 0, 4096, [], [] >,
< [ -3, 0, 1 ], [[-8, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -28], [-16, -6], [0, 0]], [[3, 0], [-7, 11], [-4, 8], [3, 0]], [[11/2, -7/2], [-49, 27], [-33, 18], [11/2, -7/2]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[-8, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, -44], [-14, -6], [0, 0]], [[-1/2, -1/2], [2403, 1781], [259, 332], [-1/2, -1/2]], [[0, 0], [-721, 345], [-315, 171], [0, 0]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [274, 162], [-6, -8], [0, 0]], [[0, 0], [-439/2, -87/2], [84, -43], [-5/2, 1/2]], [[0, 0], [-289, 90], [245, -139], [-6, 3]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-294, -170], [4, 2], [0, 0]], [[0, 0], [121/2, 63/2], [5, -4], [-7/2, 1/2]], [[0, 0], [425, -30], [477, -279], [-180, 99]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[0, -256]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [804, 468], [-4, -4], [0, 0]], [[0, 0], [8554, 4978], [-16, -44], [10, 2]], [[0, 0], [-12807, -7361], [94, 26], [-7, -7]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[0, -256]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2060, 1188], [-4, -4], [0, 0]], [[0, 0], [-24472, -14084], [12, 48], [-12, -4]], [[0, 0], [-4955, -2913], [50, -18], [1, -3]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [226, 138], [-18, 4], [0, 0]], [[0, 0], [1685/2, -843/2], [1491, -864], [3/2, 1/2]], [[0, 0], [-2633/2, 589/2], [-1716, 1013], [-17/2, -9/2]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-212, -120], [-24, -4], [0, 0]], [[0, 0], [3019/2, -3307/2], [8922, -5201], [-13/2, -5/2]], [[0, 0], [9206, -10839], [57051, -33291], [-45, -18]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[768, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1916, 1120], [48, 4], [0, 0]], [[0, 0], [118213, -67869], [-202494, 116990], [13, 5]], [[0, 0], [-130486, 74630], [223044, -128920], [-22, -10]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[768, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [296, 172], [-24, -12], [0, 0]], [[0, 0], [1586, 986], [-264, -52], [-10, -2]], [[0, 0], [12525, 7341], [-1494, -706], [-57, -27]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-250, -166], [-6, 10], [0, 0]], [[0, 0], [3387, -1911], [-2081, 1201], [2, 0]], [[0, 0], [-516, 220], [280, -160], [0, 0]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-172, -100], [-616, -356], [0, 0]], [[0, 0], [-1678, -992], [-6030, -3484], [-6, 10]], [[0, 0], [12905, 7435], [45797, 26439], [-50, -20]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [368, 208], [-12, -4], [0, 0]], [[0, 0], [468, -258], [-292, 178], [2, 6]], [[0, 0], [3285, -1819], [-2059, 1249], [10, 40]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 28], [380, 220], [0, 0]], [[0, 0], [195, 113], [1339, 773], [-8, -2]], [[0, 0], [-902, -518], [-6162, -3558], [12, 24]]], 0, 1024, [], [] >,
< [ -3, -1, 1 ], [[1, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-15, -10], [-31/2, -21/2], [-3/2, -2], [-2, -5/2]], [[2, -1/2], [2, -1/2], [-1, 1/2], [-1, 1/2]]], 4, 1, [], [[[-3, 1]], [[-1, 1]]] >,
< [ -3, -1, 1 ], [[2, -2]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 3/2], [-5/2, 7/2], [0, 3/2], [-5/2, 2]], [[-2, -8], [15/2, -35/2], [-2, -8], [19/2, -19/2]]], 4, 1, [], [] >,
< [ -3, -1, 1 ], [[-1, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 2], [-15/2, 1/2], [-1, 3/2], [0, 0]], [[-51/2, -45/2], [43/2, 25], [-12, -6], [0, 3/2]], [[-3/2, 1/2], [-1/2, 0], [0, 0], [1, -1/2]]], 3, 1, [], [] >,
< [ -3, -1, 1 ], [[6, -2]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-2, -2], [-2, -1/2], [-2, -2], [0, 3/2]], [[1/2, -1/2], [-3/2, 1/2], [1/2, -1/2], [-2, 1]]], 4, 1, [], [] >,
< [ -3, -1, 1 ], [[-3, 0]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [-1, 0], [0, 0]], [[5/2, 5/2], [5/2, 5/2], [-1, -3/2], [-1, -3/2]], [[5, -3], [5, -3], [-7, 7/2], [-7, 7/2]]], 4, 2, [], [] >,
< [ -3, -1, 1 ], [[6, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -2], [25/2, 0], [-3/2, -2], [0, 0]], [[-273/2, 65/2], [-2503/2, 597], [-273/2, 65/2], [2, 1/2]], [[91, -169/2], [1532, -1151/2], [91, -169/2], [1, 2]]], 3, 2, [], [] >,
< [ -3, -1, 1 ], [[-3, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -7/2], [-11/2, 2], [-5/2, -1/2], [0, 0]], [[-39/2, -16], [4, 2], [-15/2, -11/2], [1, 3/2]], [[-2, 63/2], [-65/2, 19/2], [16, 4], [35/2, -10]]], 3, 1, [], [] >,
< [ -3, -1, 1 ], [[6, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1], [11/2, -3], [-5/2, 1], [0, 0]], [[5/2, 0], [-3/2, 6], [5/2, 0], [-1, -1]], [[2, -1], [-17/2, 3], [2, -1], [1/2, 0]]], 3, 2, [], [] >,
< [ -3, -1, 1 ], [[-7, 1]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[7/2, 3], [-75/2, 1/2], [-37/2, -3/4], [-41/26, -5/52]], [[15, 17/2], [191, -271/2], [167/2, -131/2], [88/13, -72/13]]], 4, 2, [], [] >,
< [ -3, -1, 1 ], [[-9, 5]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-11/2, 3/2], [12, 6], [-7/4, 3/2], [15/26, 5/52]], [[-8, 7/2], [9/2, -2], [-4, 7/4], [25/52, -11/52]]], 4, 2, [], [] >,
< [ -3, -1, 1 ], [[-13, 13]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-2, -2], [-5/2, -1/2], [-9/4, 3/4], [-1/4, 3/4]], [[-7/2, -2], [0, -2], [11/4, -3/2], [7/4, 0]]], 1, 28, [], [] >,
< [ -3, -1, 1 ], [[-39, 13]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[13/2, 3], [-3/2, 0], [11/4, 1/4], [3/4, 1]], [[-95/2, 12], [24, -19/2], [-79/2, 15], [7, -5]]], 1, 28, [], [] >,
< [ -3, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 2], [-10, 0], [0, 0]], [[0, 0], [0, 1], [1, 1], [1, 0]], [[0, 0], [-2, 0], [0, 4], [0, 0]]], 0, 20, [], [] >,
< [ -3, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[1/2, 0], [2, 9], [3/2, -1/2], [-1, 1/2]], [[0, 0], [-2, -2], [0, 0], [0, 0]]], 1, 1, [], [] >,
< [ -3, -1, 1 ], [[4, -4]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [1/2, 0], [0, 0], [1/2, 0]]], 1, 5, [], [] >,
< [ -3, -1, 1 ], [[32, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 10], [-8, 2], [0, 0]], [[0, 0], [0, 1], [1, 1], [1, 0]], [[0, 0], [14, 12], [-4, 0], [0, 0]]], 0, 80, [], [] >,
< [ -3, -1, 1 ], [[12, -4]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [1/2, 0], [0, 0], [1/2, 0]]], 1, 5, [], [] >,
< [ -3, -1, 1 ], [[-48, 0]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -2], [4, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [1, 0]], [[0, 0], [-2, 0], [0, 2], [0, 0]]], 0, 80, [], [] >,
< [ -3, -1, 1 ], [[12, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [33/2, -11/2], [0, 0], [1/2, -5/2]], [[0, 0], [47, -17], [0, 0], [3, -6]]], 1, 10, [], [] >,
< [ -3, -1, 1 ], [[0, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -20], [-8, -8], [0, 0]], [[0, 0], [2, 1], [1, 1], [1, 0]], [[0, 0], [2, 0], [-4, 2], [0, 0]]], 0, 80, [], [] >,
< [ -3, -1, 1 ], [[12, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [65/2, 53/2], [0, 0], [-5/2, -5/2]], [[0, 0], [-3, 9], [0, 0], [3, -2]]], 1, 10, [], [] >,
< [ -3, -1, 1 ], [[112, -16]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -6], [-8, 8], [0, 0]], [[0, 0], [65, -48], [25/2, 60], [5/2, 0]], [[0, 0], [-176, 40], [174, 42], [-16/13, 32/13]]], 0, 480, [], [] >,
< [ -3, -1, 1 ], [[144, -80]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 8], [-10, 0], [0, 0]], [[0, 0], [70, -63], [69, -17/2], [-57/26, -3/26]], [[0, 0], [-31, 22], [-49/2, 5], [10/13, -1/26]]], 0, 480, [], [] >,
< [ -3, -1, 1 ], [[208, -208]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 4], [2, 8], [0, 0]], [[0, 0], [-49, 23], [891/2, -387/2], [-5/2, 5/2]], [[0, 0], [1, 1], [1/2, 1/2], [1/2, 1/2]]], 0, 6720, [], [] >,
< [ -3, -1, 1 ], [[624, -208]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -8], [4, -2], [0, 0]], [[0, 0], [-2, -6], [5, 4], [-2, -1]], [[0, 0], [-11, -2], [11/2, 4], [-1, -3/2]]], 0, 6720, [], [] >,
< [ -3, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 0], [16, -12], [0, 0]], [[0, 0], [1638, 1130], [330, 356], [-8, 6]], [[0, 0], [30504, 22222], [7202, 6490], [-54, 72]]], 0, 5120, [], [] >,
< [ -3, -1, 1 ], [[64, -64]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 2], [12, -8], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [4, 8], [16, 4], [0, 0]]], 0, 640, [], [] >,
< [ -3, -1, 1 ], [[192, -64]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 0], [-20, 4], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [-16, -4], [-28, 0], [0, 0]]], 0, 640, [], [] >,
< [ -3, -1, 1 ], [[192, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 18], [20, -8], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [-106, -10], [28, -20], [0, 0]]], 0, 2560, [], [] >,
< [ -3, -1, 1 ], [[192, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 20], [16, 20], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [-6, 6], [-12, 8], [0, 0]]], 0, 2560, [], [] >,
< [ -3, -1, 1 ], [[12, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 0], [-21, 6], [0, -2], [0, 0]], [[11/2, 1/2], [27/2, 13/2], [15/2, 13/2], [-5/2, 1/2]], [[-9/2, 2], [6, -5/2], [0, 0], [7/2, -3/2]]], 1, 1, [], [] >,
< [ -3, -1, 1 ], [[12, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, -3], [3/2, 5/2], [-9, 11/2], [0, 0]], [[628, -319/2], [711/2, 366], [-941/2, 949/2], [-2, -2]], [[-8403/2, 3505/2], [651/2, -945/2], [10503/2, -4905/2], [-3/2, 5/2]]], 2, 1, [], [] >,
< [ -3, -1, 1 ], [[219, -95]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [75/2, -28], [-15/2, -5/2], [0, 0]], [[15, 29/2], [24, 83], [69/2, 23], [3/2, 5/2]], [[-13/2, 53/2], [-957/2, 313], [66, 14], [-9, 15/2]]], 0, 6, [], [] >,
< [ -3, -1, 1 ], [[219, -95]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [-45, 25/2], [-3/2, -1], [0, 0]], [[15/2, 5], [-96, 137/2], [0, 0], [15/2, 5/2]], [[-1, -3/2], [-243/2, 93/2], [0, 0], [3/2, -2]]], 0, 6, [], [] >,
< [ -3, -1, 1 ], [[-27, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 1], [-39/2, 13/2], [3, -5/2], [0, 0]], [[-131/2, 37], [-867/2, 395/2], [99, -77/2], [2, 2]], [[-311/2, 127/2], [-1857/2, 399], [198, -88], [-2, -1/2]]], 1, 2, [], [] >,
< [ -3, -1, 1 ], [[-504, 219]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1/2], [318, -271/2], [-3/2, 1], [0, 0]], [[17/2, 15/2], [255, 130], [30, 47/2], [-15/2, 0]], [[-2, -2], [-159/2, -53/2], [-15/2, -6], [3, -1/2]]], 0, 24, [], [] >,
< [ -3, -1, 1 ], [[-6, 4]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-6, 7/2], [-17/2, 5], [-6, 7/2], [-5/2, 3/2]], [[-18, 24], [-25, 69/2], [-18, 24], [-7, 21/2]]], 1, 2, [], [] >,
< [ -3, -1, 1 ], [[9, -3]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [-5/2, -5/2], [15, -6], [0, 0]], [[-3, -17/2], [-3, -17/2], [180, -163/2], [2, -5/2]], [[240, 380], [240, 380], [-5637, 5225/2], [-39, 195/2]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[-657, 285]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, 2], [-39/2, 9], [9, -7], [0, 0]], [[1101/2, -515/2], [2739/2, -1181/2], [-1629/2, 663/2], [-9/2, 3/2]], [[282, 207], [-42, -55], [639/2, 517/2], [9/2, 7/2]]], 0, 36, [], [] >,
< [ -3, -1, 1 ], [[-18, 6]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, 5], [3, -2], [-9, 5], [0, 0]], [[-27, -81/2], [21, 51/2], [-27, -81/2], [1, -1]], [[0, -81/2], [13/2, 24], [0, -81/2], [5/2, -3/2]]], 1, 8, [], [] >,
< [ -3, -1, 1 ], [[12, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 0], [-27/2, 5/2], [0, -3/2], [0, 0]], [[-2, 0], [-1/2, 10], [8, -5/2], [1/2, -5/2]], [[-8, -1/2], [6, 85/2], [30, -17/2], [0, -21/2]]], 1, 2, [], [] >,
< [ -3, -1, 1 ], [[-942, 409]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -2], [498, -196], [-6, -1], [0, 0]], [[4503/2, 3445/2], [-55443/2, -22895], [5166, 3975], [-6, 5/2]], [[59120, 90817/2], [-771825, -1168849/2], [136242, 209061/2], [27, -29/2]]], 0, 18, [], [] >,
< [ -3, -1, 1 ], [[-18, 6]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, -13/2], [33/2, -17/2], [27/2, -13/2], [0, 0]], [[-339/2, 83], [-201, 114], [-339/2, 83], [-3/2, -1]], [[673/2, -147], [422, -186], [673/2, -147], [1/2, 0]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[42, -19]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, -3/2], [-1, -1], [-3/4, 1/4], [1/52, -1/26]], [[3/2, -1/2], [1/2, 0], [3/2, -1/2], [0, 0]]], 1, 8, [], [] >,
< [ -3, -1, 1 ], [[156, -65]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[12, -13/2], [1, -2], [27/4, -17/4], [-5/4, 1/2]], [[-33/2, -5], [-27/2, -9], [-57/4, -25/4], [1/4, -1/2]]], 1, 112, [], [] >,
< [ -3, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -6], [42, -20], [0, 0]], [[0, 0], [-180, -97], [-285, 29], [27, -14]], [[0, 0], [1184, 516], [2430, -498], [-264, 128]]], 0, 120, [], [] >,
< [ -3, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -20], [18, -2], [0, 0]], [[0, 0], [-2, 1], [3, 1], [1, 0]], [[0, 0], [486, -198], [144, -80], [0, 0]]], 0, 240, [], [] >,
< [ -3, -1, 1 ], [[3504, -1520]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -14], [-24, 10], [0, 0]], [[0, 0], [-12, 3], [-15, 7], [-9, 4]], [[0, 0], [0, -2], [0, 0], [0, 0]]], 0, 1440, [], [] >,
< [ -3, -1, 1 ], [[3504, -1520]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 10], [-12, 8], [0, 0]], [[0, 0], [1200, -528], [1488, -648], [-18, 10]], [[0, 0], [-873, 374], [-1074, 465], [15, -5]]], 0, 1440, [], [] >,
< [ -3, -1, 1 ], [[144, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 24], [12, 0], [0, 0]], [[0, 0], [0, 3], [3, 1], [1, 0]], [[0, 0], [108, -28], [-18, 14], [0, 0]]], 0, 480, [], [] >,
< [ -3, -1, 1 ], [[2448, -1056]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, -88], [132, -58], [0, 0]], [[0, 0], [7704, 3290], [2028, -758], [-6, 2]], [[0, 0], [-2214, 1765], [-2529, 1113], [9, -4]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[-12, 8]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, -1/2], [-21, 10], [-1/2, -1/2]], [[0, 0], [0, 0], [9, -4], [0, 0]]], 1, 10, [], [] >,
< [ -3, -1, 1 ], [[144, -48]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 6], [24, -12], [0, 0]], [[0, 0], [0, 0], [3, 0], [1, 0]], [[0, 0], [0, 6], [48, -22], [0, 0]]], 0, 320, [], [] >,
< [ -3, -1, 1 ], [[-10512, 4560]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, 58], [-30, 8], [0, 0]], [[0, 0], [8088, 4756], [-3801, -3250], [9, -8]], [[0, 0], [-532578, -355236], [279042, 226450], [-216, 384]]], 0, 8640, [], [] >,
< [ -3, -1, 1 ], [[-36, 12]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, 21], [12, -9], [0, 0]], [[0, 0], [-1799/2, 191], [420, 5], [-1/2, -1]], [[0, 0], [-736, 469/2], [306, -53], [0, -1/2]]], 1, 40, [], [] >,
< [ -3, -1, 1 ], [[48, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -8], [6, -12], [0, 0]], [[0, 0], [2, 1], [1, 1], [1, 0]], [[0, 0], [-30, 8], [342, -152], [0, 0]]], 0, 160, [], [] >,
< [ -3, -1, 1 ], [[-4560, 1984]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 14], [6, 10], [0, 0]], [[0, 0], [2523, 881], [333, 404], [6, 1]], [[0, 0], [64392, -43198], [-14352, 2004], [240, -132]]], 0, 4320, [], [] >,
< [ -3, -1, 1 ], [[-36, 12]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 10], [-9, 4], [0, 0]], [[0, 0], [-45/2, -17], [-3, -2], [3/2, 1]], [[0, 0], [-5/2, -1], [-1, 0], [1/2, 0]]], 1, 20, [], [] >,
< [ -3, -1, 1 ], [[-240, 64]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 4], [-18, 4], [0, 0]], [[0, 0], [73, -11], [-1797/2, 883/2], [-63/26, -2/13]], [[0, 0], [-210, 174], [4884, -1916], [40/13, -80/13]]], 0, 1920, [], [] >,
< [ -3, -1, 1 ], [[-624, 416]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 4], [-6, -4], [0, 0]], [[0, 0], [-81, 47], [-15/2, 9/2], [-1/2, 2]], [[0, 0], [-14, 125], [0, 25/2], [25/2, 25/2]]], 0, 26880, [], [] >,
< [ -3, -1, 1 ], [[-192, 128]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -4], [-24, 8], [0, 0]], [[0, 0], [1, 0], [6, 0], [1, 0]], [[0, 0], [2, 0], [-12, -4], [0, 0]]], 0, 2560, [], [] >,
< [ -3, -1, 1 ], [[-576, 192]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -16], [108, -52], [0, 0]], [[0, 0], [-1, 0], [6, 0], [1, 0]], [[0, 0], [104, -30], [360, -140], [0, 0]]], 0, 10240, [], [] >,
< [ -3, -1, 1 ], [[-576, 192]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -52], [-84, 36], [0, 0]], [[0, 0], [1, 0], [-2, 0], [1, 0]], [[0, 0], [66, 50], [-36, 16], [0, 0]]], 0, 5120, [], [] >,
< [ -3, -1, 1 ], [[12, -2]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1], [-27/2, 8], [3/2, -1], [0, 0]], [[-6, -9/2], [63/2, 53/2], [-6, -9/2], [3/2, -2]], [[0, 0], [-7/2, 3/2], [0, 0], [7/2, -3/2]]], 1, 6, [], [] >,
< [ -3, -1, 1 ], [[12, -2]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 1/2], [-33/2, 15/2], [-15/2, 1/2], [0, 0]], [[-216, -412], [1425/2, -479/2], [-216, -412], [-1/2, 5/2]], [[13860, -12980], [63573, -26645], [13860, -12980], [-204, 120]]], 1, 6, [], [] >,
< [ -3, -1, 1 ], [[-36, 15]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -7/2], [15/2, -7/2], [9, -7], [0, 0]], [[-269, 128], [-271, 132], [-282, 279], [1, -2]], [[-415/2, 82], [-425/2, 82], [-783/2, 57], [5/2, 0]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[72, -30]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 2], [99/2, -23], [9/2, 2], [0, 0]], [[-108, -27], [-1941, 1717/2], [-108, -27], [2, -5/2]], [[297/2, 324], [-7410, 3135], [297/2, 324], [39/2, 0]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-51, 22]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 5/2], [63/2, -11], [15/2, 1/2], [0, 0]], [[-910, -1743/2], [-3014, -1603/2], [-2620, -3567/2], [2, 5/2]], [[-4369, 129], [22876, -12880], [419, -4260], [20, -4]]], 1, 2, [], [] >,
< [ -3, -1, 1 ], [[-51, 22]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 2], [111, -48], [6, 1], [0, 0]], [[118, 175/2], [-145, 80], [521/2, 206], [-1/2, 1/2]], [[491/2, 395/2], [985/2, -353/2], [1193/2, 881/2], [5/2, -1/2]]], 1, 6, [], [] >,
< [ -3, -1, 1 ], [[72, -30]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -3/2], [-189/2, 85/2], [3/2, -3/2], [0, 0]], [[1473/2, 1159/2], [-774, -1212], [1473/2, 1159/2], [-3/2, -3/2]], [[-1696, -1525/2], [21716, -6850], [-1696, -1525/2], [14, -5/2]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[72, -30]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [123/2, -49/2], [-3/2, -1/2], [0, 0]], [[-33/2, -27/2], [123, -10], [-33/2, -27/2], [3/2, -1/2]], [[127/2, 50], [-259, -101/2], [127/2, 50], [-5/2, 1/2]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[-183, 80]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 5/2], [45/2, 1], [15/2, 5/2], [0, 0]], [[21/2, -1], [-10, -15], [-33/2, -17/4], [31/52, 3/52]], [[-267/2, 46], [-45, 169/2], [147, -51/2], [-165/26, 22/13]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-663, 286]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -1], [-9, 9], [3, -1], [0, 0]], [[-21/2, -103/2], [-1793/2, -480], [-21/2, -52], [-1/2, -1/2]], [[-1740, 1613/2], [9197, -3205], [-7041/4, 3263/4], [-17/4, 5/2]]], 1, 336, [], [] >,
< [ -3, -1, 1 ], [[24, -4]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, -11], [9, -4], [0, 0]], [[0, 0], [35/2, 8], [0, 0], [-5/2, 2]], [[0, 0], [-41, -3/2], [0, 0], [17, -17/2]]], 1, 30, [], [] >,
< [ -3, -1, 1 ], [[24, -4]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 2], [6, -1], [0, 0]], [[0, 0], [603/2, -249/2], [-174, 79], [5/2, 5/2]], [[0, 0], [1635, -702], [-969, 425], [1, 4]]], 1, 30, [], [] >,
< [ -3, -1, 1 ], [[-576, 240]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -8], [-12, 6], [0, 0]], [[0, 0], [-2, 0], [3, 0], [1, 0]], [[0, 0], [-6, -6], [0, 2], [0, 0]]], 0, 960, [], [] >,
< [ -3, -1, 1 ], [[144, -60]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -3], [-3, 6], [0, 0]], [[0, 0], [-63/2, 11], [30, -13], [3/2, -1]], [[0, 0], [-9/2, -7/2], [0, 0], [-1/2, -1/2]]], 1, 120, [], [] >,
< [ -3, -1, 1 ], [[-240, 112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 20], [-30, 4], [0, 0]], [[0, 0], [8, 1], [1, 1], [1, 0]], [[0, 0], [-240, 86], [-96, 80], [0, 0]]], 0, 480, [], [] >,
< [ -3, -1, 1 ], [[-240, 112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -22], [0, -6], [0, 0]], [[0, 0], [2, 1], [1, 1], [1, 0]], [[0, 0], [-66, 34], [-12, -2], [0, 0]]], 0, 480, [], [] >,
< [ -3, -1, 1 ], [[144, -60]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -23], [0, 4], [0, 0]], [[0, 0], [158, 61/2], [-58, 12], [-1, 3/2]], [[0, 0], [273, -83], [-156, 63], [-6, 3]]], 1, 60, [], [] >,
< [ -3, -1, 1 ], [[144, -60]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 14], [21, -10], [0, 0]], [[0, 0], [27/2, -319/2], [-159, 89], [-3/2, -5/2]], [[0, 0], [-4195, 4049], [7274, -3448], [-10, 50]]], 1, 60, [], [] >,
< [ -3, -1, 1 ], [[192, -176]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -14], [6, -12], [0, 0]], [[0, 0], [-1388, 547], [-885, 773/2], [-47/26, 3/26]], [[0, 0], [-4851, 6478], [-11505/2, 2328], [465/13, 961/26]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[1248, -208]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -18], [18, 4], [0, 0]], [[0, 0], [1991, -324], [-1413/2, -970], [-1, 5/2]], [[0, 0], [-109472, 39130], [-7137, 22960], [154, -99]]], 0, 80640, [], [] >,
< [ -3, -1, 1 ], [[384, -64]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, -28], [0, 20], [0, 0]], [[0, 0], [-1, 0], [6, 0], [1, 0]], [[0, 0], [-96, 32], [60, 16], [0, 0]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[384, -64]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -10], [-24, -20], [0, 0]], [[0, 0], [3, 0], [6, 0], [1, 0]], [[0, 0], [336, -144], [36, -4], [0, 0]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[2304, -960]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, -70], [-48, 28], [0, 0]], [[0, 0], [3, 2], [6, 0], [1, 0]], [[0, 0], [216, -88], [-60, 40], [0, 0]]], 0, 30720, [], [] >,
< [ -3, -1, 1 ], [[2304, -960]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 20], [36, -12], [0, 0]], [[0, 0], [7, 0], [-2, 0], [1, 0]], [[0, 0], [-6, -36], [84, -40], [0, 0]]], 0, 15360, [], [] >,
< [ -3, -1, 1 ], [[2304, -960]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -4], [-48, 20], [0, 0]], [[0, 0], [1, 0], [-2, 0], [1, 0]], [[0, 0], [-54, -58], [36, -20], [0, 0]]], 0, 15360, [], [] >,
< [ -3, -1, 1 ], [[153, -66]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 7/2], [-9/2, 7/2], [-36, 18], [0, 0]], [[-901/2, 155], [-899/2, 157], [-5559/2, 1136], [-1/2, -1]], [[14080, -5984], [14108, -6004], [91404, -39465], [-14, 10]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[219, -95]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -3/2], [-12, -11/2], [-27/2, 0], [0, 0]], [[195, 449/2], [1061/2, 461], [331/2, 625/2], [2, 2]], [[1061/2, -544], [-29/2, -695], [3275/2, -1101], [5/2, -4]]], 1, 6, [], [] >,
< [ -3, -1, 1 ], [[2448, -1056]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 20], [72, -6], [0, 0]], [[0, 0], [-2, 0], [9, 0], [1, 0]], [[0, 0], [-210, 20], [-672, -728], [0, 0]]], 0, 2880, [], [] >,
< [ -3, -1, 1 ], [[1056, -464]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 4], [-84, -10], [0, 0]], [[0, 0], [8, 1], [7, 1], [1, 0]], [[0, 0], [528, -550], [324, -1188], [0, 0]]], 0, 1440, [], [] >,
< [ -3, -1, 1 ], [[4, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 5/2], [7/2, 1], [-5/2, 5/2], [0, 0]], [[-107/2, -45/2], [-61/2, 1/2], [77/2, -63/2], [7/2, 5/2]], [[505/2, -99], [316, -269/2], [-798, 350], [-7/2, 1/2]]], 1, 1, [], [] >,
< [ -3, -1, 1 ], [[4, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 5/2], [4, 13/2], [7/2, 1], [0, 0]], [[129/2, -31], [-485/2, 103], [231/2, -56], [3/2, 2]], [[659, -274], [-2323, 1018], [1186, -491], [-16, -4]]], 2, 1, [], [] >,
< [ -3, -1, 1 ], [[19, -7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -3], [-39, 12], [-1, -2], [0, 0]], [[26, 57/2], [588, -210], [7/2, 22], [-13/2, 1/2]], [[-107/2, -258], [-28499/2, 11735/2], [270, -567/2], [130, -40]]], 0, 6, [], [] >,
< [ -3, -1, 1 ], [[19, -7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 2], [28, -13], [-2, 2], [0, 0]], [[81/2, 67/2], [61/2, -29], [19, 20], [0, 3/2]], [[-205/2, -57/2], [928, -761/2], [-255/2, 15], [-28, 10]]], 0, 6, [], [] >,
< [ -3, -1, 1 ], [[-8, 2]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 3/2], [-2, 3], [0, 3/2], [-2, 3/2]], [[-8, -1], [-18, 3/2], [-8, -1], [-10, 5/2]]], 1, 2, [], [] >,
< [ -3, -1, 1 ], [[4, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3], [19/2, 5/2], [3, 3/2], [0, 0]], [[-12, -19/2], [-39/2, -23/2], [-8, -9], [3/2, 2]], [[83, 163/2], [311, 49/2], [-64, 255/2], [26, -65/2]]], 1, 2, [], [] >,
< [ -3, -1, 1 ], [[-40, 19]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -5], [-69/2, 57/2], [-5, -5/2], [0, 0]], [[-17/2, -7], [17/2, 17], [-9/2, -3], [-7/2, -1]], [[9/2, 7], [83/2, -71/2], [6, 3/2], [12, -3]]], 0, 18, [], [] >,
< [ -3, -1, 1 ], [[3, -3]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [-1/2, 1/2], [13, -4], [0, 0]], [[-11, 3/2], [-11, 3/2], [126, -129/2], [2, 5/2]], [[126, -49/2], [126, -49/2], [-1560, 768], [-16, -24]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[-57, 21]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -1/2], [3, -9/2], [-13, 4], [0, 0]], [[-97/2, 43/2], [97/2, -43/2], [-96, 42], [-1, 1]], [[117, -99/2], [-117, 99/2], [229, -197/2], [5, -1/2]]], 0, 36, [], [] >,
< [ -3, -1, 1 ], [[-6, 6]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -3/2], [7, 7/2], [-3, -3/2], [0, 0]], [[-3/2, -1/2], [5/2, 0], [-3/2, -1/2], [-2, -3/2]], [[-53/2, 23/2], [159/2, -69/2], [-53/2, 23/2], [0, 0]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[-15, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -15/2], [-59/2, 28], [-5/2, -5/2], [0, 0]], [[13/2, 8], [-41, 7/2], [3, 2], [11/2, -5/2]], [[25/2, 10], [-24, -21/2], [4, 3], [1/2, -1/2]]], 1, 2, [], [] >,
< [ -3, -1, 1 ], [[-78, 33]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, -5], [-40, 46], [-7, -2], [0, 0]], [[-347/2, -327/2], [1548, 90], [-70, -205/2], [-19/2, -1]], [[1970, 987/2], [54221/2, -16078], [3975/2, -225/2], [-152, 95]]], 0, 24, [], [] >,
< [ -3, -1, 1 ], [[-6, 6]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -5/2], [-41/2, 27/2], [-7/2, -5/2], [0, 0]], [[59/2, 23], [-165/2, -4], [59/2, 23], [-1, -1]], [[4, -5/2], [1549/2, -671/2], [4, -5/2], [-9/2, 2]]], 1, 8, [], [] >,
< [ -3, -1, 1 ], [[10, -7]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[27/2, -1/2], [-21, -3], [-235/4, -5/4], [-69/52, -5/52]], [[505/2, 85], [-951/2, -467/2], [-1174, -1847/4], [-28, -49/4]]], 1, 8, [], [] >,
< [ -3, -1, 1 ], [[52, -13]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1/2, -5/2], [0, -1], [17/4, -11/4], [-1/4, -3/4]], [[-17/2, 21/2], [-9/2, 9/2], [-77/2, 19], [-2, 3]]], 1, 112, [], [] >,
< [ -3, -1, 1 ], [[304, -112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -4], [-30, 12], [0, 0]], [[0, 0], [-374, -226], [168, -6], [-8, 2]], [[0, 0], [468, 249], [-265, 37], [13, -4]]], 0, 1440, [], [] >,
< [ -3, -1, 1 ], [[304, -112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -34], [-24, 0], [0, 0]], [[0, 0], [1149, 363], [147, 294], [-2, -1]], [[0, 0], [-140, 56], [46, -22], [0, 0]]], 0, 1440, [], [] >,
< [ -3, -1, 1 ], [[64, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -8], [-8, 2], [0, 0]], [[0, 0], [2, 1], [-1, 1], [1, 0]], [[0, 0], [36, 0], [-16, 10], [0, 0]]], 0, 120, [], [] >,
< [ -3, -1, 1 ], [[64, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 12], [-2, -2], [0, 0]], [[0, 0], [-48, 17], [15, 1], [19, -4]], [[0, 0], [175, -171], [105, 140], [0, 105]]], 0, 240, [], [] >,
< [ -3, -1, 1 ], [[-16, 4]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [2, -1/2], [-5, 2], [2, -1/2]], [[0, 0], [-1/2, -1/2], [0, 0], [-1/2, -1/2]]], 1, 10, [], [] >,
< [ -3, -1, 1 ], [[16, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -20], [28, -10], [0, 0]], [[0, 0], [0, 1], [1, 1], [1, 0]], [[0, 0], [26, 22], [36, -18], [0, 0]]], 0, 160, [], [] >,
< [ -3, -1, 1 ], [[272, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 40], [-14, -4], [0, 0]], [[0, 0], [3866, -1256], [-1176, 444], [-6, 0]], [[0, 0], [7023, -2511], [-2167, 856], [-10, 1]]], 0, 4320, [], [] >,
< [ -3, -1, 1 ], [[48, -48]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -10], [8, 10], [0, 0]], [[0, 0], [0, 0], [3, 0], [1, 0]], [[0, 0], [400, -150], [-144, 24], [0, 0]]], 0, 320, [], [] >,
< [ -3, -1, 1 ], [[-912, 336]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 36], [-20, 2], [0, 0]], [[0, 0], [-27590, -9598], [4311, 6243], [-1, -5]], [[0, 0], [-519176, 276248], [-158140, 49573], [216, -81]]], 0, 8640, [], [] >,
< [ -3, -1, 1 ], [[-12, 12]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 1], [8, -5], [0, 0]], [[0, 0], [-5/2, -1], [-4, 5], [-5/2, -1]], [[0, 0], [-10, 5/2], [-74, 35], [-10, 5/2]]], 1, 20, [], [] >,
< [ -3, -1, 1 ], [[-336, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, -70], [70, -40], [0, 0]], [[0, 0], [-564, -129], [-281, 41], [5, -2]], [[0, 0], [118, 50], [46, 2], [0, 0]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[-48, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 8], [28, 2], [0, 0]], [[0, 0], [0, 3], [-1, 1], [1, 0]], [[0, 0], [-170, 110], [-128, 74], [0, 0]]], 0, 480, [], [] >,
< [ -3, -1, 1 ], [[-12, 12]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -1], [12, -3], [0, 0]], [[0, 0], [-85, -83/2], [32, 4], [2, -1/2]], [[0, 0], [161, 193], [0, -60], [4, -3]]], 1, 40, [], [] >,
< [ -3, -1, 1 ], [[-160, 112]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 6], [-2, -10], [0, 0]], [[0, 0], [127, -126], [-309/2, 183], [-77/26, -1/13]], [[0, 0], [-5092, 5130], [6176, -7457], [1568/13, 49/13]]], 0, 1920, [], [] >,
< [ -3, -1, 1 ], [[-832, 208]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 4], [2, 4], [0, 0]], [[0, 0], [-7, -2], [-29/2, -26], [-5/2, 2]], [[0, 0], [76, 19], [134, 551/2], [30, -45/2]]], 0, 26880, [], [] >,
< [ -3, -1, 1 ], [[-256, 64]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 2], [12, 0], [0, 0]], [[0, 0], [1, 0], [6, 0], [1, 0]], [[0, 0], [0, 0], [8, 4], [0, 0]]], 0, 2560, [], [] >,
< [ -3, -1, 1 ], [[-192, 192]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 12], [44, 16], [0, 0]], [[0, 0], [1, 0], [-2, 0], [1, 0]], [[0, 0], [-32, 14], [20, -8], [0, 0]]], 0, 5120, [], [] >,
< [ -3, -1, 1 ], [[-192, 192]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 54], [-64, 16], [0, 0]], [[0, 0], [-1, 0], [6, 0], [1, 0]], [[0, 0], [-206, -370], [380, -80], [0, 0]]], 0, 10240, [], [] >,
< [ -3, -1, 1 ], [[63, -27]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -2], [69, -30], [-30, 12], [0, 0]], [[101/2, 40], [-21, 13/2], [51, 28], [3/2, 1/2]], [[-1, 1/2], [9, -4], [9/2, -2], [7/2, -3/2]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[1161, -504]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, -13/2], [27/2, 3], [-9/2, -15/2], [0, 0]], [[247, 47], [-4467/2, 1679/2], [-2109/2, 599], [0, -1/2]], [[95/2, -38], [-2205/2, 987/2], [-627, 513/2], [0, 0]]], 0, 48, [], [] >,
< [ -3, -1, 1 ], [[234, -99]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -6], [11/2, -10], [6, -12], [0, 0]], [[-555, 108], [-917, 170], [-1077, 381/2], [1, 1/2]], [[-481/2, 199/2], [-787/2, 325/2], [-459, 189], [0, 0]]], 0, 144, [], [] >,
< [ -3, -1, 1 ], [[-18, 9]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -2], [-3/2, -2], [-3, 3], [0, 0]], [[49/2, -10], [49/2, -10], [-132, 54], [0, -1]], [[51/2, -12], [51/2, -12], [-138, 129/2], [2, 1/2]]], 1, 16, [], [] >,
< [ -3, -1, 1 ], [[1512, -657]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[125/2, -57/2], [117/2, -49/2], [6, -6], [0, 0]], [[-4475/2, 1945/2], [-4059/2, 1761/2], [-633/2, 279/2], [-3/2, 1/2]], [[40, 42], [-42, -22], [123, 96], [0, 0]]], 0, 144, [], [] >,
< [ -3, -1, 1 ], [[18, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [-27/2, 0], [3/2, 0], [0, 0]], [[-9/2, -3/2], [-49/2, 2], [-9/2, -3/2], [0, -3/2]], [[0, 1], [-8, 6], [0, 1], [1, 0]]], 1, 16, [], [] >,
< [ -3, -1, 1 ], [[63, -27]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -3/2], [33, -27/2], [-33/2, 6], [0, 0]], [[258, -114], [5340, -4647/2], [-5133/2, 2229/2], [3/2, -2]], [[54, -12], [1871/2, -382], [-439, 383/2], [13/2, 9/2]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[333, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [63/2, -12], [15/2, -15/2], [0, 0]], [[66, -32], [2011/2, -883/2], [707/2, -157], [-5, 1/2]], [[-93/2, -49/2], [-188, 20], [-88, -19/2], [-35/2, -14]]], 0, 48, [], [] >,
< [ -3, -1, 1 ], [[18, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1], [-27/2, 5], [-15/2, 3], [0, 0]], [[1, -7/2], [31/2, -27/2], [14, -13/2], [1/2, -1]], [[-19/2, 1], [-93/2, 27/2], [-57/2, 12], [-3, 1/2]]], 1, 16, [], [] >,
< [ -3, -1, 1 ], [[-288, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -6], [72, -30], [0, 0]], [[0, 0], [0, 1], [3, -1], [1, 0]], [[0, 0], [-18, -12], [-12, 0], [0, 0]]], 0, 960, [], [] >,
< [ -3, -1, 1 ], [[-5616, 2448]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -24], [126, -60], [0, 0]], [[0, 0], [-3054, 1175], [-9789, 4177], [3, 2]], [[0, 0], [-6030, 2610], [-20016, 8688], [0, 0]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[3744, -1584]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -16], [30, -18], [0, 0]], [[0, 0], [4, 32], [39, 27], [7, -1]], [[0, 0], [-70, 64], [45, 24], [23, -8]]], 0, 34560, [], [] >,
< [ -3, -1, 1 ], [[-288, 144]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -10], [60, -30], [0, 0]], [[0, 0], [0, 0], [3, 0], [1, 0]], [[0, 0], [16, 0], [198, -84], [0, 0]]], 0, 1280, [], [] >,
< [ -3, -1, 1 ], [[24192, -10512]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 40], [-18, -30], [0, 0]], [[0, 0], [-36, -20], [21, 45], [-3, 5]], [[0, 0], [-114, 40], [-381, 180], [-99, 44]]], 0, 34560, [], [] >,
< [ -3, -1, 1 ], [[36, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 9], [-24, 12], [0, 0]], [[0, 0], [36, -39/2], [63, 0], [1, -5/2]], [[0, 0], [-1835, 919], [-2706, 311], [-80, 100]]], 1, 80, [], [] >,
< [ -3, -1, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -6], [108, -42], [0, 0]], [[0, 0], [-69, -38], [186, -63], [-9, 3]], [[0, 0], [-49, -40], [-14, 23], [1, -1]]], 0, 960, [], [] >,
< [ -3, -1, 1 ], [[1584, -720]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [-156, 66], [0, 0]], [[0, 0], [89, 88], [40, -55], [-17, 5]], [[0, 0], [-34, -116], [-302, 170], [70, -28]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[36, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 29], [33, -12], [0, 0]], [[0, 0], [2960, 3901/2], [-7153, 3268], [-1, -5/2]], [[0, 0], [13617/2, 6369/2], [-46014, 20289], [9/2, -15/2]]], 1, 80, [], [] >,
< [ -3, -1, 1 ], [[576, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -8], [-204, 84], [0, 0]], [[0, 0], [1, 0], [6, 4], [1, 0]], [[0, 0], [-52, 28], [720, -300], [0, 0]]], 0, 20480, [], [] >,
< [ -3, -1, 1 ], [[576, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -46], [132, -48], [0, 0]], [[0, 0], [1, 0], [-2, -4], [1, 0]], [[0, 0], [-720, -660], [3036, -1188], [0, 0]]], 0, 20480, [], [] >,
< [ -3, -1, 1 ], [[81, -36]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -5], [9, -5], [15, -3], [0, 0]], [[247/2, -103/2], [239/2, -107/2], [156, -63], [2, 1]], [[-1/2, -1/2], [1/2, 1/2], [-3/2, -3/2], [-1/2, -1/2]]], 1, 16, [], [] >,
< [ -3, -1, 1 ], [[-162, 72]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 2], [75/2, -12], [-3/2, 6], [0, 0]], [[6, -1], [-117, 55], [30, 1], [0, -2]], [[-15/2, 17/2], [639/2, -125], [-15/2, 101/2], [-10, -5/2]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[-270, 117]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [219/2, -54], [9/2, -1/2], [0, 0]], [[-179, -275/2], [1876, 2791/2], [-415, -643/2], [5, 5/2]], [[-42, -33], [889, 140], [-70, -89], [14, -5]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[-432, 189]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [561/2, -255/2], [-3, 3/2], [0, 0]], [[6, 0], [-15, -3], [6, 0], [6, 0]], [[55/2, 35/2], [-187/2, -131/2], [55/2, 35/2], [55/2, 35/2]]], 0, 144, [], [] >,
< [ -3, -1, 1 ], [[-270, 117]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [-57/2, 27], [-9/2, -5/2], [0, 0]], [[28, 93/2], [944, -884], [287/2, 78], [-7/2, -5/2]], [[-882, 391], [114227/2, -49733/2], [2317/2, -484], [-7, 5/2]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[-432, 189]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 3], [183/2, -111/2], [6, 3/2], [0, 0]], [[-43/2, -19], [101/2, 92], [-41/2, -17], [1/2, -2]], [[1/2, -1/2], [-1/2, 7/2], [1/2, -1/2], [1/2, -1/2]]], 0, 144, [], [] >,
< [ -3, -1, 1 ], [[-162, 72]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -5/2], [-45, 55/2], [-3, -15/2], [0, 0]], [[27, 20], [-207/2, -117/2], [90, 69], [-3/2, -1/2]], [[-1, 1/2], [19/2, -4], [8, -7/2], [7/2, -3/2]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[-162, 72]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -5/2], [45/2, -7/2], [15/2, -15/2], [0, 0]], [[83/2, -10], [335/2, -129/2], [185/2, -49], [1, 5/2]], [[821/2, -177/2], [1626, -1227/2], [1761/2, -963/2], [27/2, 27]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[-432, 144]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 18], [-6, -18], [0, 0]], [[0, 0], [-2, 0], [3, 0], [1, 0]], [[0, 0], [36, -16], [-12, 6], [0, 0]]], 0, 3840, [], [] >,
< [ -3, -1, 1 ], [[-324, 144]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-75, 33], [15, -9], [0, 0]], [[0, 0], [51, -10], [-54, -34], [0, -1]], [[0, 0], [39/2, -17/2], [9, -4], [7/2, -3/2]]], 1, 240, [], [] >,
< [ -3, -1, 1 ], [[-2160, 864]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -6], [90, -18], [0, 0]], [[0, 0], [-782, 344], [-886, 388], [-16, 4]], [[0, 0], [772, -373], [887, -413], [35, 10]]], 0, 34560, [], [] >,
< [ -3, -1, 1 ], [[-432, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, 24], [-24, -6], [0, 0]], [[0, 0], [-4, 1], [1, -1], [1, 0]], [[0, 0], [258, -84], [42, 0], [0, 0]]], 0, 2880, [], [] >,
< [ -3, -1, 1 ], [[-2160, 864]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, -6], [-48, 30], [0, 0]], [[0, 0], [78, -42], [-222, 114], [-6, 0]], [[0, 0], [-17, -28], [8, 43], [-7, -5]]], 0, 34560, [], [] >,
< [ -3, -1, 1 ], [[-432, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 0], [24, -24], [0, 0]], [[0, 0], [8, 1], [1, -1], [1, 0]], [[0, 0], [-6, -6], [-6, -6], [0, 0]]], 0, 2880, [], [] >,
< [ -3, -1, 1 ], [[-324, 144]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, -17], [-30, 12], [0, 0]], [[0, 0], [-45/2, 7/2], [15, -12], [-3/2, -1/2]], [[0, 0], [-143/2, 55/2], [74, -35], [-5/2, 1/2]]], 1, 240, [], [] >,
< [ -3, -1, 1 ], [[-324, 144]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, -14], [-75, 30], [0, 0]], [[0, 0], [947/2, -389/2], [-458, 203], [5/2, 1/2]], [[0, 0], [917/2, -529/2], [-530, 206], [-13/2, -13/2]]], 1, 240, [], [] >,
< [ -3, -1, 1 ], [[-5184, 2304]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-330, 144], [24, -12], [0, 0]], [[0, 0], [3, -2], [6, 4], [1, 0]], [[0, 0], [-42, 18], [0, 0], [0, 0]]], 0, 61440, [], [] >,
< [ -3, -1, 1 ], [[-5184, 2304]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -44], [60, -24], [0, 0]], [[0, 0], [-5, 0], [-2, -4], [1, 0]], [[0, 0], [72, 62], [-12, 0], [0, 0]]], 0, 61440, [], [] >,
< [ -3, -1, 1 ], [[-5184, 2304]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -34], [60, -36], [0, 0]], [[0, 0], [7, 0], [-2, -4], [1, 0]], [[0, 0], [114, -34], [180, -72], [0, 0]]], 0, 61440, [], [] >,
< [ -3, -1, 1 ], [[-351, 153]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -2], [9/2, -2], [-36, 15], [0, 0]], [[1/2, 1/2], [-1/2, -1/2], [-135/2, 75/2], [1/2, 1/2]], [[0, 0], [0, 0], [-27, 12], [0, 0]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[-5616, 2448]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 0], [36, -30], [0, 0]], [[0, 0], [-2, 0], [9, 0], [1, 0]], [[0, 0], [-18, 2], [72, -48], [0, 0]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[14, -8]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 3/2], [-7, 11/2], [3, 3/2], [0, 0]], [[-23/2, -8], [8, -21/2], [-23/2, -8], [-5/2, -5/2]], [[17/2, -17/2], [-507/2, 215/2], [17/2, -17/2], [-10, 3]]], 1, 6, [], [] >,
< [ -3, -1, 1 ], [[14, -8]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -5/2], [-18, -15/2], [-8, -5/2], [0, 0]], [[455/2, -70], [406, -106], [455/2, -70], [-5/2, 0]], [[1575/2, -315], [2721/2, -525], [1575/2, -315], [-7, 2]]], 1, 6, [], [] >,
< [ -3, -1, 1 ], [[-7, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -3/2], [-25, 35/2], [7/2, -2], [0, 0]], [[126, -241/2], [-2055, 2737/2], [286, -315/2], [0, -5/2]], [[953/2, -614], [-17209/2, 6682], [2487/2, -746], [-7/2, -14]]], 1, 2, [], [] >,
< [ -3, -1, 1 ], [[-7, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [-4, -19/2], [-3/2, 0], [0, 0]], [[-3/2, -1/2], [43/2, -25/2], [-13/2, 7/2], [3/2, -3/2]], [[-1/2, -1], [-37/2, 9/2], [5, -3/2], [-2, 0]]], 1, 6, [], [] >,
< [ -3, -1, 1 ], [[-12, 3]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 1], [5, 1], [-15, 0], [0, 0]], [[5/2, -5/2], [-3/2, 3/2], [5, -5], [2, -2]], [[1/2, 1/2], [-1/2, -1/2], [3/2, 3/2], [1/2, 1/2]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[24, -6]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1], [57/2, -12], [-5/2, 1], [0, 0]], [[-2, 3/2], [-55, -25], [-2, 3/2], [-2, 3/2]], [[54, -63/2], [862, 248], [54, -63/2], [54, -63/2]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[24, -6]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, 2], [-43/2, 5], [23/2, 2], [0, 0]], [[-1493/2, -2727/2], [-1205, 1567], [-1493/2, -2727/2], [3/2, 1/2]], [[-32076, 10352], [93574, -38423], [-32076, 10352], [-22, 12]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[24, -6]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 2], [-55, 19], [1, 2], [0, 0]], [[-49/2, -16], [-121/2, 89], [-49/2, -16], [-2, -1]], [[6, -12], [685, -551/2], [6, -12], [2, -3/2]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-31, 10]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 3/2], [31/2, 11/2], [1/2, 1], [0, 0]], [[-11, -13/2], [116, -237/2], [-51, 0], [-19/26, -1/26]], [[0, -76], [-14227/2, 2630], [4581/4, -1293/2], [777/52, -231/26]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-91, 52]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, -13/2], [-16, -31/2], [-19/2, -5/2], [0, 0]], [[2, -3/2], [-3, -12], [-2, -1/4], [-1/2, 5/4]], [[-37/2, 7], [-151/2, 10], [6, -9/2], [11, -3]]], 1, 336, [], [] >,
< [ -3, -1, 1 ], [[28, -16]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -3], [-10, -5], [0, 0]], [[0, 0], [-15, 19/2], [-26, 14], [2, -5/2]], [[0, 0], [293, -155], [490, -238], [-48, 36]]], 1, 30, [], [] >,
< [ -3, -1, 1 ], [[28, -16]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 3], [8, 1], [0, 0]], [[0, 0], [239, -451/2], [-14, 116], [-2, -1/2]], [[0, 0], [-2680, 1003], [910, -250], [5, -4]]], 1, 30, [], [] >,
< [ -3, -1, 1 ], [[80, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 10], [8, 4], [0, 0]], [[0, 0], [-6, 1], [1, 1], [1, 0]], [[0, 0], [44, -20], [22, -10], [0, 0]]], 0, 480, [], [] >,
< [ -3, -1, 1 ], [[80, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, -20], [-46, -8], [0, 0]], [[0, 0], [0, 1], [1, 1], [1, 0]], [[0, 0], [-1502, 740], [-870, 420], [0, 0]]], 0, 480, [], [] >,
< [ -3, -1, 1 ], [[-192, 48]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 0], [50, 10], [0, 0]], [[0, 0], [-2, 0], [3, 0], [1, 0]], [[0, 0], [2, -2], [-2, 8], [0, 0]]], 0, 960, [], [] >,
< [ -3, -1, 1 ], [[48, -12]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -46], [8, 1], [0, 0]], [[0, 0], [7427/2, -3281/2], [187, -49], [-5/2, -1/2]], [[0, 0], [21488, -9523], [1112, -262], [-16, -4]]], 1, 60, [], [] >,
< [ -3, -1, 1 ], [[48, -12]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, -16], [-17, 5], [0, 0]], [[0, 0], [451/2, -289], [5, 170], [-5/2, -1]], [[0, 0], [750, -276], [-292, 82], [-1, 1]]], 1, 60, [], [] >,
< [ -3, -1, 1 ], [[48, -12]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51, 24], [-9, 3], [0, 0]], [[0, 0], [6204, 9951/2], [-8, -148], [2, -1/2]], [[0, 0], [-15827/2, -11389/2], [360, 24], [5/2, -3/2]]], 1, 120, [], [] >,
< [ -3, -1, 1 ], [[496, -160]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -2], [-20, 8], [0, 0]], [[0, 0], [1961, 1564], [-107/2, -104], [-11/26, -2/13]], [[0, 0], [16, 228], [186, -93], [-8/13, 3/13]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[1456, -832]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -6], [-8, 2], [0, 0]], [[0, 0], [-853, -381], [-447/2, 33/2], [5/2, 5/2]], [[0, 0], [2724, -1402], [1977, -882], [7, -2]]], 0, 80640, [], [] >,
< [ -3, -1, 1 ], [[448, -256]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 0], [-28, 4], [0, 0]], [[0, 0], [-1, 0], [6, 0], [1, 0]], [[0, 0], [-14, 2], [-32, 8], [0, 0]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[448, -256]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 8], [-52, -8], [0, 0]], [[0, 0], [3, 0], [6, 0], [1, 0]], [[0, 0], [968, -308], [1088, -68], [0, 0]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[768, -192]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, -44], [-20, -16], [0, 0]], [[0, 0], [7, 0], [-2, 0], [1, 0]], [[0, 0], [-74, 32], [0, 0], [0, 0]]], 0, 15360, [], [] >,
< [ -3, -1, 1 ], [[768, -192]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94, 52], [4, 20], [0, 0]], [[0, 0], [1, 0], [-2, 0], [1, 0]], [[0, 0], [-180, -54], [-224, -160], [0, 0]]], 0, 15360, [], [] >,
< [ -3, -1, 1 ], [[768, -192]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -14], [-32, -4], [0, 0]], [[0, 0], [-1, -2], [6, 0], [1, 0]], [[0, 0], [54, 12], [48, 0], [0, 0]]], 0, 30720, [], [] >,
< [ -3, -1, 1 ], [[-144, 63]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [135/2, -27], [-3/2, 3/2], [0, 0]], [[29/2, 21/2], [165/2, -109/2], [-9/2, 1/2], [3/2, 5/2]], [[3/2, 0], [339/2, -149/2], [-6, 5/2], [-2, 1]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[-144, 63]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 2], [-111, 54], [6, 0], [0, 0]], [[-5/2, -3], [93/2, -73/2], [-15, -11/2], [-1, 2]], [[0, 5/2], [-249/2, 129/2], [18, 0], [9/2, -3]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[-2673, 1161]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 11/2], [0, 39/2], [9/2, 6], [0, 0]], [[7/2, -1], [75/2, -16], [-27/2, 7], [3/2, -1]], [[1, 1], [-3, 1/2], [9/2, 5/2], [-3/2, -1]]], 0, 144, [], [] >,
< [ -3, -1, 1 ], [[-2673, 1161]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, -9/2], [81, -105/2], [-3/2, -6], [0, 0]], [[-243/2, -93], [-3489/2, 425], [-327/2, -59], [-15/2, 2]], [[-1881/2, -722], [-303, -2450], [-1539/2, -1349/2], [0, -19/2]]], 0, 144, [], [] >,
< [ -3, -1, 1 ], [[45, -18]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [1, 1/2], [75, -30], [0, 0]], [[1/2, -3/2], [-1/2, 3/2], [177/2, -87/2], [1/2, -3/2]], [[-5, 4], [5, -4], [-384, 174], [-5, 4]]], 1, 16, [], [] >,
< [ -3, -1, 1 ], [[-18, 18]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [11, 11/2], [0, -3/2], [0, 0]], [[-8, 9/2], [-62, 3/2], [-18, 23/2], [2, -1]], [[5, -9/2], [163/2, 49/2], [9, -25/2], [-3/2, 1]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[-18, 18]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 1/2], [7, 13/2], [-3, 3/2], [0, 0]], [[3/2, 0], [20, 47/2], [3/2, 0], [-1/2, 1/2]], [[9/2, -5/2], [-111/2, -1], [9/2, -5/2], [-4, 3/2]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[-18, 18]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, 5/2], [-60, 45/2], [-21, 15/2], [0, 0]], [[-157/2, 15], [-614, 355/2], [-421/2, 50], [5/2, -5/2]], [[81, -40], [1429/2, -332], [230, -110], [-11/2, 2]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[144, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 18], [18, 12], [0, 0]], [[0, 0], [6, 1], [3, -1], [1, 0]], [[0, 0], [-306, 144], [-6, 6], [0, 0]]], 0, 2880, [], [] >,
< [ -3, -1, 1 ], [[144, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [12, 6], [0, 0]], [[0, 0], [-6, 1], [3, -1], [1, 0]], [[0, 0], [-12, 6], [-12, 6], [0, 0]]], 0, 2880, [], [] >,
< [ -3, -1, 1 ], [[12960, -5616]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 18], [0, -12], [0, 0]], [[0, 0], [171, 87], [27, -90], [6, -3]], [[0, 0], [84, -161], [501, -157], [33, -14]]], 0, 34560, [], [] >,
< [ -3, -1, 1 ], [[12960, -5616]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, 30], [72, 24], [0, 0]], [[0, 0], [-3888, 651], [-1845, 171], [-9, 6]], [[0, 0], [-1164, 776], [-474, 370], [-6, 2]]], 0, 34560, [], [] >,
< [ -3, -1, 1 ], [[-144, 144]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 8], [24, 6], [0, 0]], [[0, 0], [-2, 0], [3, 0], [1, 0]], [[0, 0], [-16, 10], [36, 12], [0, 0]]], 0, 3840, [], [] >,
< [ -3, -1, 1 ], [[-36, 36]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25, 22], [-9, -9], [0, 0]], [[0, 0], [-730, 571/2], [87, 16], [2, -5/2]], [[0, 0], [31384, -13276], [-2367, 426], [-133, 76]]], 1, 240, [], [] >,
< [ -3, -1, 1 ], [[-36, 36]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [55, -25], [12, -3], [0, 0]], [[0, 0], [3727/2, -941], [570, 15], [-5/2, 1]], [[0, 0], [-3995/2, -376], [1890, 1657], [1/2, -1]]], 1, 240, [], [] >,
< [ -3, -1, 1 ], [[-36, 36]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 0], [9, -12], [0, 0]], [[0, 0], [-470, -373], [-1484, -1129], [-2, 2]], [[0, 0], [-116, -221/2], [-425, -310], [-5, 5/2]]], 1, 240, [], [] >,
< [ -3, -1, 1 ], [[-576, 576]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 26], [60, 24], [0, 0]], [[0, 0], [-5, 0], [6, 4], [1, 0]], [[0, 0], [-520, 250], [672, -252], [0, 0]]], 0, 61440, [], [] >,
< [ -3, -1, 1 ], [[-576, 576]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-146, 86], [36, 36], [0, 0]], [[0, 0], [1, 0], [6, 4], [1, 0]], [[0, 0], [672, -300], [12, -24], [0, 0]]], 0, 61440, [], [] >,
< [ -3, -1, 1 ], [[-576, 576]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -36], [24, -60], [0, 0]], [[0, 0], [1, 2], [-2, -4], [1, 0]], [[0, 0], [-648, -378], [336, -672], [0, 0]]], 0, 61440, [], [] >,
< [ -3, -1, 1 ], [[54, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 2], [75, -45], [0, 6], [0, 0]], [[1/2, -9/2], [-621/2, 269/2], [27/2, -19/2], [0, -2]], [[-15/2, 17], [1452, -1259/2], [-135/2, 41], [-5/2, 15/2]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[54, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 2], [33/2, -15], [3/2, 6], [0, 0]], [[-213/2, 1/2], [2625/2, -409], [-633/2, 1/2], [1, -1/2]], [[-14, -7], [93, 6], [-42, -21], [0, 0]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[54, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [30, -21/2], [-3, -9/2], [0, 0]], [[-25, 26], [-1730, 731], [-83, 80], [-2, 1]], [[35, -153/2], [7977/2, -1650], [126, -465/2], [9/2, -5/2]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[54, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 2], [186, -81], [-6, 6], [0, 0]], [[-11/2, -2], [193/2, -25/2], [31/2, 13], [-1, -5/2]], [[13, -3/2], [-398, 289/2], [-11, -29/2], [-5, 5]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[108, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -15], [12, 3], [0, 0]], [[0, 0], [-867, 803/2], [-225, 43], [1, 3/2]], [[0, 0], [1668, -1451/2], [339, -145], [1, -1/2]]], 1, 720, [], [] >,
< [ -3, -1, 1 ], [[108, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -15], [15, 3], [0, 0]], [[0, 0], [3147/2, -1409/2], [510, -193], [-1/2, -1/2]], [[0, 0], [-888, 387], [-273, 117], [0, 0]]], 1, 720, [], [] >,
< [ -3, -1, 1 ], [[108, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 39], [45, -15], [0, 0]], [[0, 0], [263/2, -13], [-95, 47], [-1/2, 0]], [[0, 0], [75, -36], [-84, 36], [0, 0]]], 1, 720, [], [] >,
< [ -3, -1, 1 ], [[108, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 9], [-6, -3], [0, 0]], [[0, 0], [-1767/2, 789/2], [90, -42], [-3/2, 1/2]], [[0, 0], [187/2, -68], [-7, 10], [1/2, 0]]], 1, 720, [], [] >,
< [ -3, -1, 1 ], [[1728, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-240, 66], [-36, -60], [0, 0]], [[0, 0], [9, -2], [6, 4], [1, 0]], [[0, 0], [546, -192], [12, 84], [0, 0]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[1728, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-474, 234], [12, 48], [0, 0]], [[0, 0], [3, -2], [6, 4], [1, 0]], [[0, 0], [-2070, 852], [-204, 0], [0, 0]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[1728, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 30], [24, 60], [0, 0]], [[0, 0], [1, 2], [-2, -4], [1, 0]], [[0, 0], [-90, 42], [0, 60], [0, 0]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[1728, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -42], [72, -12], [0, 0]], [[0, 0], [-5, 2], [-2, -4], [1, 0]], [[0, 0], [-156, 60], [-240, 108], [0, 0]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[19, -7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1], [-75/2, 39/2], [5, -7/2], [0, 0]], [[-25/2, -91/2], [-1691/2, 588], [82, -126], [0, 1/2]], [[411/2, -26], [-5499, 4229/2], [898, -278], [-5/2, 1/2]]], 1, 6, [], [] >,
< [ -3, -1, 1 ], [[21, -12]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, 5/2], [-17/2, 5/2], [-11, 5], [0, 0]], [[9/2, 9/2], [5/2, 7/2], [9, 9/2], [1, 1/2]], [[-14, -3/2], [-16, 3/2], [9, -27/2], [1, -3/2]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[-32, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 6], [70, -4], [0, 0]], [[0, 0], [6, 1], [7, 1], [1, 0]], [[0, 0], [130, -46], [420, -168], [0, 0]]], 0, 1440, [], [] >,
< [ -3, -1, 1 ], [[336, -192]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 10], [8, -2], [0, 0]], [[0, 0], [-2, 0], [9, 0], [1, 0]], [[0, 0], [-2, 2], [0, 0], [0, 0]]], 0, 2880, [], [] >,
< [ -3, -1, 1 ], [[-99, 45]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1], [-2, -1], [78, -33], [0, 0]], [[20, 12], [25, 9], [-1797/2, 771/2], [-5/2, 3/2]], [[451/2, 295/2], [521/2, 245/2], [-13707/2, 5841/2], [-35/2, 25/2]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[576, -144]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -8], [78, -6], [0, 0]], [[0, 0], [-2, 0], [-3, 0], [1, 0]], [[0, 0], [270, -54], [960, 120], [0, 0]]], 0, 11520, [], [] >,
< [ -4, -1, 1 ], [[1, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1, -1], [-3/2, -1], [-9/4, 3/4], [-7/4, -1/4]], [[-9/2, 1], [-1, -1/2], [89/4, -35/4], [33/4, -15/4]]], 4, 1, [[[2, -1]], [[3, -1]]], [] >,
< [ -4, -1, 1 ], [[2, -1]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 4], [-16, 2], [2, 1], [0, 0]], [[61/2, 39], [-1527, 586], [193/4, -21/4], [13/4, 5/4]], [[-1075/2, -1235/2], [42915/2, -8212], [-1413/2, 55], [-51, -21]]], 3, 1, [], [[[2, -1]]] >,
< [ -4, -1, 1 ], [[3, -1]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[17/2, 6], [3/2, 4], [1, 1/2], [7/2, 1]], [[97/2, 11], [121, -65/2], [-9/4, 15/4], [-145/4, 87/4]]], 3, 1, [], [[[3, -1]]] >,
< [ -4, -1, 1 ], [[2, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1, -5/2], [5/2, -2], [1, -5/2], [3/2, 1/2]], [[73/2, -9], [77/2, -25/2], [73/2, -9], [2, -7/2]]], 4, 2, [], [[[2, -1]], [[3, -1]]] >,
< [ -4, -1, 1 ], [[14, -5]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[119811/2, 5/2], [-45394555/6254, 6177/3127], [263/118, 1/59], [69770/40651, -2/40651]], [[135011474, -94891935/2], [-102352707377/6254, 35973930817/6254], [293216/59, -102696/59], [314518125/81302, -55265965/40651]]], 4, 2, [], [] >,
< [ -4, -1, 1 ], [[49, -19]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[15010, -2], [104807217/6254, 7435/3127], [-311/118, -5/118], [-17442/40651, -1/81302]], [[2556127/2, -695888], [4459361175/3127, -2428957537/3127], [-12773/59, 14223/118], [-2969237/81302, 808530/40651]]], 4, 2, [], [] >,
< [ -4, -1, 1 ], [[82, -33]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3528, -5/2], [-17011317/6254, -6622/3127], [-78/59, -5/118], [-8405/6254, -1/3127]], [[-38504259/2, 15525331/2], [1569619153/106, -316506322/53], [13667/2, -2768], [22897870/3127, -9233830/3127]]], 1, 28, [], [] >,
< [ -4, -1, 1 ], [[843, -329]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[6845, 1], [-18375343/6254, 14751/3127], [-311/118, -5/118], [8061/3127, 1/6254]], [[-29523137/2, 1609414], [39657609637/6254, -4382297227/6254], [666021/118, -31802/59], [-34769137/6254, 1896625/3127]]], 1, 28, [], [] >,
< [ -4, -1, 1 ], [[13, -5]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [-23/2, 7/2], [-3/2, -1/2], [0, 0]], [[1/2, -9/2], [156, -63], [-1/4, -15/4], [3/4, -3/4]], [[5/2, 2], [-12, 6], [9/4, 7/4], [1/4, 1/4]]], 1, 1, [], [[[2, -1]]] >,
< [ -4, -1, 1 ], [[13, -5]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 5/2], [-61/2, 27/2], [-7/2, 5/2], [0, 0]], [[13/2, 41], [-191, 265/2], [21/4, 161/4], [1/4, 1/4]], [[-15, 10], [-126, 55], [-15, 10], [0, 0]]], 2, 1, [], [] >,
< [ -4, -1, 1 ], [[5, -1]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [71/2, -23/2], [9/2, 3/2], [0, 0]], [[-223, -150], [155/2, -405/2], [-891/4, -605/4], [-1/4, 5/4]], [[13/2, 49/2], [-1321/2, 555/2], [3, 26], [7/2, -3/2]]], 0, 2, [], [] >,
< [ -4, -1, 1 ], [[5, -1]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-79/2, 31/2], [-73/2, 33/2], [-79/2, 31/2], [0, 0]], [[-1849/2, 737/2], [-896, 368], [-3701/4, 1497/4], [23/4, 5/4]], [[821/2, -297/2], [419, -135], [1685/4, -577/4], [17/4, 15/4]]], 0, 2, [], [] >,
< [ -4, -1, 1 ], [[46, -18]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, -9/2], [-249/2, 97/2], [21/2, -9/2], [0, 0]], [[127/2, -22], [-718, 278], [263/4, -87/4], [-9/4, -1/4]], [[484, 711/2], [165/2, -967/2], [2791/4, 1973/4], [-855/4, -551/4]]], 1, 1, [], [] >,
< [ -4, -1, 1 ], [[14, -6]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 3/2], [-3/2, -11/2], [11/2, 3/2], [0, 0]], [[191/2, 49/2], [-16, -88], [367/4, 93/4], [15/4, 5/4]], [[-141, 71], [-354, 114], [-273/2, 137/2], [-9/2, 5/2]]], 0, 6, [], [] >,
< [ -4, -1, 1 ], [[13, -5]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-4, -1], [1/2, -3/2], [-7/4, -5/4], [-9/4, 1/4]], [[-101/2, 27/2], [99/2, -45/2], [-1/2, -9/2], [-50, 18]]], 1, 1, [], [] >,
< [ -4, -1, 1 ], [[6, -2]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5/2, 5/2], [-3/2, 2], [-5/2, 5/2], [1, -1/2]], [[-4, -1], [-7/2, -1], [-4, -1], [1/2, 0]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[26, -10]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -5/2], [43/2, -21/2], [11/2, -5/2], [0, 0]], [[7, 2], [63/2, 1/2], [7, 2], [1/2, 5/2]], [[57/2, -9], [217, -79], [57/2, -9], [-45/2, 10]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[538, -210]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 2], [-26, 9], [-1, 2], [0, 0]], [[-2977/2, -2015/2], [3225/2, 1009/2], [-2977/2, -2015/2], [1, -2]], [[19123/2, 10179/2], [3646, -7721], [19123/2, 10179/2], [115/2, -27/2]]], 0, 4, [], [] >,
< [ -4, -1, 1 ], [[90, -34]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[263, 2], [1084/59, -289/59], [263/59, 2/59], [0, 0]], [[-1241, 94732], [548620835/6254, 30609579/6254], [-1241/59, 94732/59], [-197489/81302, 1/81302]], [[-780946551/2, 325138473/2], [684754711716/3127, -254161080645/3127], [-780946551/118, 325138473/118], [-538015481/81302, 201745837/81302]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[282, -110]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[134, -1], [-1309/59, 764/59], [134/59, -1/59], [0, 0]], [[-4623/2, 4245], [-49701067/3127, 701532/3127], [10469/118, 8487/118], [-17587/81302, 2/40651]], [[-47918933/2, 17547251/2], [-259576311165/6254, 107823978331/6254], [-9401685/118, 1489011/118], [-22443520/40651, 9356864/40651]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[223, -87]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[154629/2, -1/2], [538268723/6254, -5346/3127], [-545/118, 3/118], [-180187/81302, -2/40651]], [[11847989035/2, -4794507855/2], [20622070306320/3127, -16690171199235/6254], [-21065324/59, 8517620/59], [-13805654445/81302, 2793368495/40651]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[86, -14]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-43/2, -1/2], [-1073/118, 233/118], [-43/118, -1/118], [0, 0]], [[354, 531], [1755381/106, 14973/106], [6, 9], [-65179/6254, -1/6254]], [[-213279/2, -1041815/2], [-128121708823/6254, 15287197293/6254], [-213279/118, -1041815/118], [40490070/3127, -5111636/3127]]], 0, 336, [], [] >,
< [ -4, -1, 1 ], [[1726, -674]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-547/2, 1/2], [-5771/118, 1773/118], [-547/118, 1/118], [0, 0]], [[215914, 325751/2], [20929673/6254, 51973007/6254], [216410/59, 162877/59], [1175/6254, 2/3127]], [[12061496, 13053047/2], [4473281257/6254, 987577653/6254], [12055176/59, 6537860/59], [-14931/6254, 13430/3127]]], 1, 56, [], [] >,
< [ -4, -1, 1 ], [[3845, -1501]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[9323/2, 1/2], [-7034617/3127, 13146/3127], [147/59, -2/59], [11047/6254, -3/6254]], [[-9398230, 3288936], [28444002115/6254, -4981516348/3127], [-604125/118, 212717/118], [-11142048/3127, 7799731/6254]]], 1, 84, [], [] >,
< [ -4, -1, 1 ], [[29, -9]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1], [4, 4], [1, -1], [0, 0]], [[171/2, -95/2], [40, 110], [377/4, -173/4], [37/4, -1/4]], [[1661/2, -385/2], [-3433/2, -1003/2], [1541/2, -481/2], [12, -36]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[29, -9]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31/2, 5/2], [57/2, 11/2], [31/2, 5/2], [0, 0]], [[-3305/2, 1493/2], [-5647/2, 2595/2], [-1655, 747], [5/2, -1/2]], [[-748, 226], [-2595/2, 763/2], [-2991/4, 907/4], [-1/4, -3/4]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[94, -38]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -2], [-20, 4], [6, -2], [0, 0]], [[345/2, 67/2], [-2785/2, -1303/2], [327/2, 57/2], [-7, -1]], [[8525, -2585], [-65805/2, 8077/2], [33547/4, -10375/4], [-1519/4, 483/4]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[59, -23]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[27/2, 1/2], [7/2, 1/2], [17/2, 1/2], [5, 0]], [[-43/2, 11/2], [-5, 1], [-53/4, 13/4], [-33/4, 9/4]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[9, -5]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -1/2], [-323/2, 103/2], [-15/2, -1/2], [0, 0]], [[3271, 2129], [20443/2, 15025/2], [13115/4, 8521/4], [-31/4, -5/4]], [[5323/2, 353/2], [91405/2, -27473/2], [5003/2, 481/2], [160, -64]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[9, -5]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, -3/2], [-11/2, -5/2], [-21/2, -3/2], [0, 0]], [[322, 98], [213, 111], [331, 99], [-9, -1]], [[85383/2, -35499/2], [9357, -4593], [178383/4, -74059/4], [-7617/4, 3061/4]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[9, -5]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23, 1], [46, -8], [23, 1], [0, 0]], [[71/2, 37/2], [51/2, 33/2], [69/2, 47/2], [5, 1]], [[47, -31], [-25/2, -11/2], [-135/4, -5/4], [119/4, -51/4]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[2454, -958]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-171, 67], [-174, 68], [-171, 67], [0, 0]], [[-210, 82], [-415/2, 161/2], [-205, 79], [5/2, -3/2]], [[1/2, -5/2], [59, 35], [235/2, 145/2], [117/2, 75/2]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[2454, -958]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 5/2], [137/2, -21/2], [11/2, 5/2], [0, 0]], [[-2538, -1656], [-14805/2, -12729/2], [-2538, -1656], [1/2, 5/2]], [[-2475/2, -405/2], [-32609, 10333], [-2475/2, -405/2], [83/2, -31/2]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[26, -10]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 5/2], [-9/2, 13/2], [11/2, 5/2], [0, 0]], [[172, 111], [369/2, 111], [172, 111], [1/2, -1]], [[396, 279], [639, 196], [396, 279], [36, -16]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[58, -18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 5/2], [335/2, -103/2], [11/2, 5/2], [0, 0]], [[603, 387], [1682, 1214], [603, 387], [4, 2]], [[-315, -225], [5281/2, -4153/2], [-315, -225], [-33/2, 9/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[50, -42]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-129/2, -3/2], [-2039/118, 227/118], [-129/118, -3/118], [0, 0]], [[87214, 958], [105475377/6254, 1428555/6254], [27469/59, 1023/59], [174425/81302, -5/81302]], [[117146809/2, -121557317/2], [35042621684/3127, -36751712038/3127], [32875171/118, -38278187/118], [122500059/81302, -121565367/81302]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[31, -3]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [118823/118, 165/118], [-2169/118, -3/118], [0, 0]], [[-75535, -1], [-5277372039/3127, -3656811/3127], [1732994/59, 1246/59], [-75535/40651, -1/40651]], [[-733707161/2, 100201035/2], [-25621287230176/3127, 3485310111553/3127], [8413449767/59, -1144323701/59], [-733707161/81302, 100201035/81302]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[486, -142]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-279, -1], [284/59, 56/59], [-279/59, -1/59], [0, 0]], [[-1096175/2, 61147/2], [3699199/118, 166921/118], [-1209455/118, 62327/118], [20, 0]], [[3686124224, -1090838056], [-1181404117653/6254, 299097923637/6254], [4049237013/59, -1191733215/59], [-792840333/6254, 216809825/6254]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[389, -145]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52332/59, 114/59], [-959/59, -1/59], [0, 0]], [[13482, 2], [-71833566607/6254, -11904215437/6254], [24865533/118, 4083263/118], [13482/3127, 2/3127]], [[-377765721/2, 141934275/2], [755903417882219/6254, -274075962175369/6254], [-262448056107/118, 95200215075/118], [-377765721/6254, 141934275/6254]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[269, -105]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[7/2, 9/2], [3/2, 5/2], [5/2, 7/2], [1, 1]], [[119, -47], [165/2, -65/2], [403/4, -159/4], [73/4, -29/4]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[269, -105]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [-25/2, 9/2], [-1/2, 1/2], [0, 0]], [[9, 1], [-3, -13], [9/2, 1/2], [9/2, 1/2]], [[1123/2, -419/2], [1254, -520], [1123/4, -419/4], [1123/4, -419/4]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[65, -29]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, 2], [-1347, 535], [10, 2], [0, 0]], [[-110169/2, -70555/2], [-82934, -55594], [-220377/4, -141115/4], [39/4, 5/4]], [[-1019514, -653002], [-2881865/2, -2131547/2], [-4079535/4, -2611805/4], [1479/4, -203/4]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[14, -22]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[54, 2], [603, -183], [54, 2], [0, 0]], [[875307/2, 561585/2], [985938, 640544], [875313/2, 561579/2], [3/2, -3/2]], [[3820518, 2449746], [17256239/2, 11160105/2], [3820531, 2449725], [13/2, -21/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[14, -22]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, -5/2], [2523/2, -1007/2], [-23/2, -5/2], [0, 0]], [[-50007/2, -32037/2], [-82335/2, -49209/2], [-50007/2, -32037/2], [-8, -2]], [[34527/2, 22085/2], [23876, 18736], [34527/2, 22085/2], [-5/2, 9/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[18, -10]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [423/2, -163/2], [-3/2, -1/2], [0, 0]], [[1451, 929], [-1579, -854], [1451, 929], [3, 2]], [[351, 211], [-21331/2, 7643/2], [351, 211], [-9/2, 5/2]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[18, -10]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1/2], [-253/2, 97/2], [3/2, 1/2], [0, 0]], [[889, 573], [377/2, -1669/2], [889, 573], [5/2, -5/2]], [[-5069/2, -3307/2], [-5513, 4338], [-5069/2, -3307/2], [-57/2, 31/2]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[118, -46]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 0], [23, -9], [2, 0], [0, 0]], [[-29/2, -15/2], [-75/2, 13], [-25/2, -13/2], [1, 1/2]], [[-85/2, 37/2], [-919, 359], [-71/2, 31/2], [7/2, -3/2]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[118, -46]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 5/2], [31/2, -11/2], [3/2, 5/2], [0, 0]], [[-171, -185], [-1545/2, 511/2], [-171, -185], [-3/2, 1/2]], [[-2860, -660], [21957/2, -4611], [-2860, -660], [43/2, -9]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[1227, -479]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1/2], [-11/2, 5/2], [1/2, -1/2], [0, 0]], [[-9, 1], [3, -7], [-9/2, 1/2], [-9/2, 1/2]], [[179/2, -119/2], [-205, 23], [179/4, -119/4], [179/4, -119/4]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[1227, -479]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-4, 0], [33/2, 3/2], [25/4, 3/4], [-41/4, -3/4]], [[-83/2, 39/2], [285/2, -145/2], [101/2, -53/2], [-92, 46]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[29, -9]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 1/2], [127/2, -19/2], [19/2, 1/2], [0, 0]], [[-1354, -858], [-5099, -3053], [-1364, -858], [10, 0]], [[11281/2, 7307/2], [19726, 13598], [22513/4, 14699/4], [49/4, -85/4]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[29, -9]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, 1], [-626, 258], [7, 1], [0, 0]], [[21125/2, 13567/2], [82169/2, 47499/2], [21131/2, 13565/2], [-3, 1]], [[289991/2, 185645/2], [524887, 340197], [579973/4, 371303/4], [9/4, -13/4]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[130, -58]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -1/2], [12237/2, -4793/2], [-11/2, -1/2], [0, 0]], [[4221/2, 2703/2], [6212, 4078], [4221/2, 2703/2], [3/2, -3/2]], [[-1251, -801], [-6855/2, -5033/2], [-1251, -801], [-15/2, 7/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[130, -58]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [5205/2, -2033/2], [5/2, -1/2], [0, 0]], [[-673, -431], [1545/2, 915/2], [-673, -431], [-11/2, -1/2]], [[-461/2, -295/2], [65/2, 495/2], [-461/2, -295/2], [18, -8]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[538, -210]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 1/2], [-139/2, 63/2], [19/2, 1/2], [0, 0]], [[19749/2, 12731/2], [10844, 12747/2], [19747/2, 12731/2], [-1/2, 0]], [[841/2, 551/2], [1049/2, 503/2], [841/2, 551/2], [0, 0]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[94, -38]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, 1/2], [-569/2, 197/2], [-21/2, 1/2], [0, 0]], [[291, 189], [1845/2, 1395/2], [300, 188], [9/2, -1/2]], [[770, 330], [17037/2, -2243/2], [371, 491], [-399/2, 161/2]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[94, -38]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, -1/2], [273/2, -93/2], [13/2, -1/2], [0, 0]], [[-441, -287], [-1355, -1001], [-447, -289], [-3, -1]], [[448, 0], [17297/2, -5587/2], [337, 45], [-111/2, 45/2]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[94, -38]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-51, -1], [88, -56], [-51, -1], [0, 0]], [[-40925/2, -26615/2], [-22086, -13425], [-40931/2, -26605/2], [3/2, -5/2]], [[-7053/2, -14247/2], [-50399/2, 2075/2], [-7373/2, -14119/2], [80, -32]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[538, -210]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [73/2, -21/2], [9/2, 3/2], [0, 0]], [[479/2, 273/2], [681, 1/2], [479/2, 273/2], [3/2, -1]], [[19227/2, 13949/2], [-16877/2, 31435/2], [19227/2, 13949/2], [-111, 24]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[538, -210]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 5/2], [261/2, -93/2], [11/2, 5/2], [0, 0]], [[-5712, -3680], [-5481/2, -9161/2], [-5712, -3680], [-3/2, -3/2]], [[-5000, -2872], [-90787/2, 13109], [-5000, -2872], [-19/2, 2]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[5597, -2185]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-41/2, -3/2], [-57/2, 5/2], [-41/2, -3/2], [0, 0]], [[-4187/2, -4481/2], [-1127, -2341], [-8333/4, -8999/4], [-37/4, 1/4]], [[-16685, 5021], [-57471/2, 19721/2], [-67819/4, 20495/4], [411/4, -167/4]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[181, -65]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-55/2, -5/2], [21347/2, -8375/2], [-55/2, -5/2], [0, 0]], [[1042553/2, 667595/2], [815517, 521647], [2085037/4, 1335191/4], [69/4, -1/4]], [[-190862011/2, -122248705/2], [-297817863/2, -191349877/2], [-190871221/2, -122242735/2], [4605, -2985]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[58, -18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, 1], [-3036, 1180], [11, 1], [0, 0]], [[-828061/2, -530335/2], [394449, 266701], [-828059/2, -530337/2], [1/2, -1/2]], [[6654362, 4259398], [-15099075/2, -7623503/2], [6654487, 4259359], [125/2, -39/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[58, -18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19, -1], [1930, -762], [-19, -1], [0, 0]], [[99792, 63924], [209239/2, 127383/2], [99803, 63927], [11/2, 3/2]], [[126399/2, 81445/2], [216259/2, 48465/2], [126515/2, 81409/2], [29, -9]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[58, -18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [1907/2, -751/2], [9/2, 3/2], [0, 0]], [[-7998, -5122], [16411/2, 10155/2], [-7995, -5127], [3/2, -5/2]], [[127857/2, 81859/2], [-109643/2, -89553/2], [128649/2, 81611/2], [198, -62]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[58, -18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 5/2], [-1437/2, 569/2], [7/2, 5/2], [0, 0]], [[-931, -597], [2993/2, -3153/2], [-934, -602], [-3/2, -5/2]], [[9324, 5772], [1244343/2, -466329/2], [10127, 5519], [803/2, -253/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[2454, -958]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[43/2, 1/2], [267/2, -87/2], [43/2, 1/2], [0, 0]], [[3616, 2340], [6593/2, 4691/2], [3615, 2345], [1/2, -5/2]], [[-2171/2, -969/2], [-2820, 443/2], [-2269/2, -933/2], [49/2, -9]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[2454, -958]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, -5/2], [125/2, -65/2], [-23/2, -5/2], [0, 0]], [[8036, 5452], [28155/2, 4459], [8033, 5452], [-3/2, 0]], [[1100, -15400], [-249575, 160161/2], [1200, -15437], [50, -37/2]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[102, -14]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 5/2], [-1667/2, 663/2], [7/2, 5/2], [0, 0]], [[0, 0], [-25, 41], [20, 4], [10, 2]], [[0, 0], [-223/2, 127/2], [27, -3], [27/2, -3/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[58, -18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [-1441/2, 565/2], [-3/2, -1/2], [0, 0]], [[0, 0], [223/2, -13/2], [0, 0], [-13/2, -5/2]], [[0, 0], [-22568, 8529], [0, 0], [513, -162]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[2454, -958]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -5/2], [209/2, -85/2], [9/2, -5/2], [0, 0]], [[91/2, 57/2], [115, 119/2], [71/2, 41/2], [-5/2, -2]], [[154, -98], [8297/2, -1705], [640, -278], [243/2, -45]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[25531, -9967]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 3/2], [-201/2, 81/2], [-7/2, 3/2], [0, 0]], [[-31/2, -5/2], [23, 30], [-51/4, -41/4], [-31/4, -5/4]], [[-187, 55], [-269, 187], [33/2, -77/2], [-187/2, 55/2]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[362, -130]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -3/2], [109743/2, -42851/2], [15/2, -3/2], [0, 0]], [[-1412579, -904601], [8569883/2, 5451305/2], [-1412586, -904598], [-7/2, 3/2]], [[127698691/2, 81776521/2], [-191953857, -123874913], [127697917/2, 81776799/2], [-387/2, 139/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[11194, -4370]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -5/2], [-13/2, 1/2], [1/2, -5/2], [0, 0]], [[-89/2, -67/2], [-48, -23], [-91/2, -61/2], [1/2, -3/2]], [[-201, -335], [-1277/2, -90], [-326, -265], [125/2, -35]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[11194, -4370]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, 3/2], [-1375/2, 547/2], [17/2, 3/2], [0, 0]], [[77681/2, 49835/2], [49058, 46689/2], [77679/2, 49835/2], [1/2, 0]], [[-971/2, -617/2], [-177/2, -987/2], [-971/2, -617/2], [0, 0]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[11194, -4370]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-47/2, -5/2], [5/2, -25/2], [-47/2, -5/2], [0, 0]], [[54604, 34164], [104481/2, 68741/2], [54601, 34165], [-3/2, 1/2]], [[534141, 345655], [1069339/2, 338295], [534152, 345649], [11/2, -3]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[11194, -4370]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, 1], [-42, 14], [-9, 1], [0, 0]], [[-197/2, -127/2], [-179/2, -54], [-201/2, -137/2], [-1, -5/2]], [[-109/2, -79/2], [-85, -20], [-39/2, -113/2], [35/2, -17/2]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[14, -22]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 1/2], [855/2, -315/2], [11/2, 1/2], [0, 0]], [[-2214, -1418], [-15695/2, -10073/2], [-2215, -1417], [-1/2, 1/2]], [[18156, 11628], [128749/2, 82585/2], [18161, 11621], [5/2, -7/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[14, -22]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-117/2, 1/2], [-773/2, 257/2], [-117/2, 1/2], [0, 0]], [[59797/2, 38271/2], [30067, 19143], [59827/2, 38289/2], [-5/2, -3/2]], [[29631, 19533], [49659/2, 42963/2], [29616, 19554], [5/2, -7/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[362, -130]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -3/2], [81099/2, -31663/2], [15/2, -3/2], [0, 0]], [[736481/2, 471635/2], [-757579/2, -476849/2], [736481/2, 471635/2], [-5, 1]], [[-6128396, -3924628], [13441833/2, 7610479/2], [-6128396, -3924628], [1011/2, -363/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[11194, -4370]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-33/2, -3/2], [-821/2, 305/2], [-33/2, -3/2], [0, 0]], [[9305, 5971], [17083/2, 6030], [9295, 5967], [-5/2, -1]], [[12213/2, 7479/2], [26837/2, 1465/2], [12269/2, 7447/2], [7, -4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[130, -58]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[47/2, -3/2], [12827/2, -5023/2], [47/2, -3/2], [0, 0]], [[1514926, 970186], [-3093119/2, -1944619/2], [1514927, 970187], [-1/2, -1/2]], [[4466, 2870], [-8405, -1375], [4466, 2870], [0, 0]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[130, -58]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 5/2], [6897/2, -2685/2], [7/2, 5/2], [0, 0]], [[0, 0], [3491/2, -1455/2], [-7, 3], [7/2, -3/2]], [[0, 0], [28065, -12038], [-112, 50], [56, -25]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[130, -58]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[59/2, 1/2], [715/2, -303/2], [59/2, 1/2], [0, 0]], [[-282810, -180950], [277549, 181052], [-282806, -180952], [2, -1]], [[-6387920, -4084080], [12406421/2, 8224245/2], [-6387743, -4084159], [177/2, -79/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[130, -58]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, 1/2], [4633/2, -1797/2], [27/2, 1/2], [0, 0]], [[143375/2, 91805/2], [148063/2, 91693/2], [143351/2, 91797/2], [-6, -2]], [[189070, 121730], [13047/2, 390535/2], [189485, 121545], [415/2, -185/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[51062, -19934]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -5/2], [611/2, -247/2], [-7/2, -5/2], [0, 0]], [[0, 0], [-345/2, 133/2], [-3, -9], [1/2, 3/2]], [[0, 0], [-12051/2, 2352], [237, -96], [-79/2, 16]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[130, -58]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[55/2, 5/2], [-17727/2, 6947/2], [55/2, 5/2], [0, 0]], [[1228869/2, 786975/2], [1246873/2, 785429/2], [1228845/2, 786971/2], [-6, -1]], [[72546387/2, 46428441/2], [27869370, 26656739], [72560509/2, 46422139/2], [7061/2, -3151/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[51062, -19934]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-46, -2], [-381, 129], [-46, -2], [0, 0]], [[-37039, -23781], [-71783/2, -47601/2], [-37024, -23796], [-5/2, 5/2]], [[57579/2, 39953/2], [20343/2, 26895], [56403/2, 40427/2], [98, -79/2]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[232922, -90930]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 2], [805, -313], [-2, 2], [0, 0]], [[-3241/2, -2075/2], [-1635, -2185/2], [-3223/2, -2099/2], [-3/2, 2]], [[-83887/2, -53789/2], [-99177/2, -50963/2], [-89071/2, -52205/2], [432, -132]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[102, -14]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3/2], [-25131/2, 9823/2], [1/2, 3/2], [0, 0]], [[0, 0], [899/2, -729/2], [21, -3], [-7/2, 1/2]], [[0, 0], [-173561/2, 143975/2], [-4137, 567], [1379/2, -189/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[12, -5]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -13], [34, -14], [0, 0]], [[-4, -1/2], [-1971, 1059], [-5569/2, 2293/2], [1/2, -1]], [[-32, 20], [-45552, 33443/2], [-56404, 43603/2], [28, -8]]], 0, 2, [], [] >,
< [ -4, -1, 1 ], [[12, -5]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94, -75/2], [6, -5/2], [0, 0]], [[-10, 0], [98, -77/2], [21/2, -5], [5/2, -5/2]], [[-22, -9/2], [145, -115/2], [14, -17/2], [1, -11/2]]], 0, 2, [], [] >,
< [ -4, -1, 1 ], [[8, -3]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, -6], [1, -1], [0, 0]], [[-9/2, -7/2], [115, -91/2], [41/4, -31/4], [1/4, -5/4]], [[161/2, 49], [485, -180], [451/4, 53/4], [91/4, 35/4]]], 1, 1, [], [[[3, -1]]] >,
< [ -4, -1, 1 ], [[8, -3]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 2], [-11, 9/2], [1, 1/2], [0, 0]], [[6, -1/2], [79, -69/2], [-1/2, 1], [5/2, -2]], [[41/2, 2], [381/2, -189/2], [1, 4], [7/2, -7]]], 2, 1, [], [] >,
< [ -4, -1, 1 ], [[8, -3]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 3/2], [3, 1/2], [0, 0]], [[-5, -4], [-139/2, 51/2], [211/4, -75/4], [-11/4, -5/4]], [[14, 19/2], [53, -33/2], [-41, 23/2], [6, 7/2]]], 1, 1, [], [] >,
< [ -4, -1, 1 ], [[36, -14]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [-1, 0], [0, 0]], [[-2, -3/2], [-16, 3/2], [0, -1/2], [0, -1/2]], [[-9/2, -5/2], [11, -13], [-7/4, -1/4], [-7/4, -1/4]]], 1, 1, [], [] >,
< [ -4, -1, 1 ], [[8, -2]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -1], [-18, 4], [0, 0]], [[-10, -3], [-11, -8], [37/2, -5/2], [-1/2, -5/2]], [[-56, -7/2], [-35, -63/2], [299/2, -41], [21/2, -14]]], 0, 6, [], [] >,
< [ -4, -1, 1 ], [[200, -78]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [-22, 19/2], [-2, -1/2], [0, 0]], [[15, 15/2], [41, -29], [15, 15/2], [4, 3/2]], [[9, -6], [302, -231/2], [9, -6], [5, -5/2]]], 0, 4, [], [] >,
< [ -4, -1, 1 ], [[4, -2]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-9, 3], [-7, 3/2], [-9, 3], [2, -3/2]], [[-1, 1/2], [-1/2, 1/2], [-1, 1/2], [1/2, 0]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[16, -6]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 1/2], [2, -1/2], [-4, 1/2], [0, 0]], [[46, -27/2], [-15, 5], [46, -27/2], [1, 3/2]], [[185/2, -33], [-31, 23/2], [185/2, -33], [-1/2, 3/2]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[48, -19]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[42430, -1/2], [-32250979/6254, 8591/6254], [-161/59, -1/59], [98889/81302, -2/40651]], [[76964888, -6936930], [-29253132157/3127, 5286301767/6254], [-291387/59, 49337/118], [6899200/3127, -622006/3127]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[620, -242]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-229, -3/2], [12477/59, 283/118], [-229/59, -3/118], [0, 0]], [[19780, -136], [-75622617/3127, 786755/6254], [-137/59, -135/59], [-23209/40651, 1/81302]], [[13651321/2, -1420270], [-491705016/59, 101799468/59], [-9253/59, -54613/118], [-300545/1534, 30623/767]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[8, -10]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[111, 3/2], [-5869/59, -165/118], [111/59, 3/118], [0, 0]], [[15750, 35/2], [-25283906/3127, -73049/3127], [15750/59, 35/118], [-63860/40651, 1/81302]], [[35726600, -71896825/2], [-56942453720/3127, 115418293405/6254], [35726600/59, -71896825/118], [-145509558/40651, 145756268/40651]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[296, -115]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-6600, 5/2], [596645/118, 289/118], [75/59, -1/59], [5/2, 0]], [[2557984, -1479544], [-6115723533/3127, 7084398185/6254], [-29939/59, 33943/118], [-3027200/3127, 1751992/3127]]], 1, 84, [], [] >,
< [ -4, -1, 1 ], [[10692, -4174]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-110, 5/2], [7112/59, -1101/118], [-110/59, 5/118], [0, 0]], [[-8653/2, -3307/2], [-47527/53, 162999/106], [-44, -28], [-4101/6254, -1/3127]], [[-4961399, 3397747/2], [-27708734251/3127, 22163193437/6254], [-228363/59, -201277/118], [-5611496/3127, 2133593/3127]]], 1, 56, [], [] >,
< [ -4, -1, 1 ], [[248, -102]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[111, 3/2], [-5161/59, -755/118], [111/59, 3/118], [0, 0]], [[28938, 12974], [-3814196/3127, -75888993/6254], [28938/59, 12974/59], [30924/3127, 5/6254]], [[-166239294, 88678616], [-1246805108132/3127, 448101084385/3127], [-166239294/59, 88678616/59], [-663010056/3127, 270662246/3127]]], 0, 336, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [166, -66], [148, -58], [0, 0]], [[2, 3/2], [-4722, 1849], [-4193, 1639], [1, 1/2]], [[0, 1/2], [-14991, 5853], [-26605/2, 10387/2], [1/2, 0]]], 0, 4, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 2], [5, -2], [0, 0]], [[-4, -1/2], [-168, 66], [-7/2, -3/2], [1/2, -1]], [[-14, 0], [-740, 290], [-21/2, -7/2], [7/2, -7/2]]], 0, 4, [], [] >,
< [ -4, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -2], [5, -2], [0, 0]], [[-10, -6], [-2, 0], [-7, -5], [-3, -1]], [[-1/2, 0], [0, 0], [1/4, -1/4], [-3/4, 1/4]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -5/2], [41/2, -7/2], [-9/2, -5/2], [0, 0]], [[-94, -119/2], [95, 56], [-183/2, -117/2], [-5/2, -1]], [[-201/2, 33], [1381/2, -527/2], [-39/2, 3/2], [-81, 63/2]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 7], [-68, 27], [0, 0]], [[4, 5/2], [255, -201/2], [1869/2, -365], [3/2, 1]], [[0, 0], [520, -203], [1898, -741], [0, 0]]], 0, 12, [], [] >,
< [ -4, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -2], [5, -2], [0, 0]], [[-3, -5/2], [-14, 17/2], [1/2, -1], [1/2, -1]], [[45/2, 18], [83, -109/2], [-9/4, 27/4], [-9/4, 27/4]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[4, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[5/2, -1/2], [9, -3], [5/4, -1/4], [5/4, -1/4]], [[-1, 1], [-8, 4], [-1/2, 1/2], [-1/2, 1/2]]], 0, 4, [], [] >,
< [ -4, -1, 1 ], [[4, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -5/2], [9/2, 1/2], [3/2, -5/2], [0, 0]], [[388, 260], [-482, -300], [390, 260], [-2, 0]], [[65/2, -57/2], [109/2, -5/2], [26, -26], [13/2, -5/2]]], 0, 12, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -11], [-12, 5], [0, 0]], [[0, 0], [37, -12], [-11/2, 25/2], [-17/2, -3/2]], [[0, 0], [-99, 133], [939/2, 425/2], [-315/2, -245/2]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [74, -26], [11/2, -3/2], [11/2, -3/2]], [[0, 0], [116, 34], [20, 10], [20, 10]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[4, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [199, -77], [223, -87], [0, 0]], [[27/2, 5/2], [-3700, 1440], [-16617/4, 6541/4], [27/4, 5/4]], [[4158, 2662], [-2820, -1350], [6713, 4813], [2079, 1331]]], 0, 4, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [-338, 132], [0, 0]], [[0, 0], [-5, 5], [-2475/2, 971/2], [-5/2, 5/2]], [[0, 0], [167, 107], [245/2, 175/2], [167/2, 107/2]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -2], [5, -2], [0, 0]], [[4, 0], [32, -14], [5, -1], [-1, 1]], [[-3, -3/2], [-5/2, 7/2], [-9/4, -3/4], [-3/4, -3/4]]], 1, 1, [], [] >,
< [ -4, -1, 1 ], [[4, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-8, -8], [9, 1], [-9, -1]], [[0, 0], [-41/2, 65/2], [-335/4, 91/4], [335/4, -91/4]]], 0, 6, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 1], [-18, 7], [0, 0]], [[0, 0], [-5, -2], [-3/2, -3/2], [3/2, 3/2]], [[0, 0], [3, 0], [-1/2, 1/2], [1/2, -1/2]]], 0, 6, [], [] >,
< [ -4, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-17/2, -3/2], [5, -10], [-17/4, -3/4], [-17/4, -3/4]], [[-289/2, 17/2], [251, -178], [-289/4, 17/4], [-289/4, 17/4]]], 1, 1, [], [] >,
< [ -4, -1, 1 ], [[912, -356]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [29, -25/2], [0, 0], [-1, 1/2]], [[0, 0], [0, -1], [0, 0], [0, 0]]], 0, 12, [], [] >,
< [ -4, -1, 1 ], [[20, -8]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [5, -2], [0, 0]], [[0, 0], [1/2, 0], [0, 0], [1/2, 0]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[72, -28]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -2], [5, -2], [0, 0]], [[7/2, 5/2], [-4, 5], [7/2, 5/2], [3/2, 1/2]], [[-3/2, -3/2], [12, -13/2], [-3/2, -3/2], [-3/2, 0]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[92, -36]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -2], [5, -2], [0, 0]], [[2, 3], [45/2, -13/2], [2, 3], [5/2, 1/2]], [[-4, -5/2], [-5/2, -3/2], [-4, -5/2], [-3/2, -1]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[1916, -748]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-2, 1], [0, 0], [7, 2]], [[0, 0], [-23/2, 9/2], [0, 0], [23/2, -9/2]]], 0, 12, [], [] >,
< [ -4, -1, 1 ], [[44, -12]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1567/59, -404/59], [306/59, 3/59], [0, 0]], [[0, 0], [-2855314871/6254, 31628345/6254], [59266/59, 99273/59], [940739/81302, 1/81302]], [[0, 0], [-38537345582077/3127, 10012841032219/3127], [-1115512673/59, 1572873741/59], [12555289238/40651, -3195233760/40651]]], 0, 72, [], [] >,
< [ -4, -1, 1 ], [[1004, -392]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1040/59, 419/59], [27/59, 2/59], [0, 0]], [[10020, -1], [142427561/6254, -2906397/6254], [-12848/59, -7516/59], [23353/81302, -3/81302]], [[-988830, 1448441/2], [-14891680209/6254, 10370608167/6254], [-905328/59, -730300/59], [-2304799/81302, 843957/40651]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[64, -28]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3479/59, -582/59], [89/59, 2/59], [0, 0]], [[0, 0], [-3173674/59, -763539/59], [27360/59, 13860/59], [8, 0]], [[0, 0], [286439686976/3127, -280659656885/6254], [-10704480/59, 10770600/59], [-939625064/40651, 801838359/81302]]], 0, 72, [], [] >,
< [ -4, -1, 1 ], [[2828, -1104]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9972/59, 350/59], [162/59, -1/59], [0, 0]], [[194463/2, -3/2], [174123523/3127, 198203456/3127], [-175164/59, -67881/59], [-226605/81302, -3/81302]], [[978821412, -360807004], [-22434934753/59, 23156848861/118], [-755775669/59, 218531610/59], [-21519974/767, 15865007/1534]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[228, -100]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1331/59, -68/59], [-424/59, -3/59], [0, 0]], [[0, 0], [112024305/6254, 111945/6254], [-672/59, 337/59], [-70457/6254, -3/6254]], [[0, 0], [-422498548683/6254, 189739533927/6254], [4824957/59, -1841375/59], [266185113/6254, -119475889/6254]]], 0, 1008, [], [] >,
< [ -4, -1, 1 ], [[6148, -2400]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2618/59, 643/59], [-381/59, -2/59], [0, 0]], [[-3136, -1/2], [-187195921/6254, -324904057/6254], [-1283366/59, -1014188/59], [7429/6254, 2/3127]], [[-6280564, 3819359/2], [416719401295/6254, -338862455841/6254], [-99458632/59, -631924384/59], [14871427/6254, -2259997/3127]]], 1, 168, [], [] >,
< [ -4, -1, 1 ], [[48772, -19040]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [259, 5], [-5, 0], [0, 0]], [[-1936, -2], [770994412/3127, 742074045/6254], [-275220/59, -127380/59], [-2294/3127, -3/6254]], [[-2004975/2, 914375/2], [49069583269/3127, -155067964389/6254], [-22309584/59, 29108112/59], [-2377375/6254, 541975/3127]]], 1, 168, [], [] >,
< [ -4, -1, 1 ], [[160, -44]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18583/59, 8/59], [325/59, 2/59], [0, 0]], [[0, 0], [-2165685406/3127, -889521491/6254], [712470/59, 152400/59], [-7574/3127, 1/6254]], [[0, 0], [922816133588/3127, -376922594275/6254], [-299493432/59, 59591448/59], [4275164/3127, -2550673/6254]]], 0, 1008, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 6], [16, 0], [0, 0]], [[-16, 0], [561, -101], [299, -79], [-8, 0]], [[-305/2, 125/2], [6999, -2789], [16503/4, -6515/4], [-305/4, 125/4]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23, -1], [37, -5], [-23, -1], [0, 0]], [[6735/2, 4981/2], [-5563/2, -4993/2], [6717/2, 4991/2], [11, 1]], [[343971/2, -86711/2], [-681243/2, 221163/2], [176793, -45223], [-5325/2, 2145/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -6], [6, -6], [0, 0]], [[0, 0], [29, -19], [-223/2, 103/2], [15/2, 5/2]], [[0, 0], [-172, 68], [566, -222], [-12, 4]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -6], [-10, -10], [0, 0]], [[0, 0], [-4, 2], [115/2, -43/2], [7/2, -3/2]], [[0, 0], [6, -2], [-40, 16], [0, 0]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, 19], [-23, 9], [0, 0]], [[-26, 2], [26, 54], [-13, 1], [-13, 1]], [[1075/2, -423/2], [1093, -413], [1075/4, -423/4], [1075/4, -423/4]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, 44], [-120, 46], [0, 0]], [[0, 0], [331, -63], [323/2, -159/2], [97/2, 3/2]], [[0, 0], [-4117, 1297], [-4931/2, 2079/2], [-1005/2, 201/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 4], [14, 2], [0, 0]], [[0, 0], [363/2, -39/2], [273/4, -29/4], [119/4, 5/4]], [[0, 0], [-19438, 7652], [-14593/2, 5745/2], [-5085/2, 2017/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[748, -292]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25, -11], [17, -7], [0, 0]], [[5/2, 3/2], [85, -52], [245/4, -117/4], [5/4, 3/4]], [[0, 0], [15, -4], [9, -3], [0, 0]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[16, -8]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [-82, 32], [0, 0]], [[0, 0], [-13, -9], [3/2, 3/2], [-3/2, -3/2]], [[0, 0], [58, 37], [-8, -5], [8, 5]]], 0, 12, [], [] >,
< [ -4, -1, 1 ], [[20, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-118, 50], [8, -2], [0, 0]], [[-29/2, 1/2], [145, -93], [-85/4, -7/4], [-29/4, 1/4]], [[-1295/2, -805/2], [-4256, -2956], [-5003/4, -3145/4], [-1295/4, -805/4]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [426, -166], [-18, 6], [0, 0]], [[0, 0], [9454, -3694], [-371, 155], [-3, 1]], [[0, 0], [-1481, -1407], [11921/2, 7671/2], [-205/2, -131/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[20, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [365, -141], [-35, 15], [0, 0]], [[1/2, -5/2], [761, -311], [-351/4, 99/4], [1/4, -5/4]], [[149, 95], [1023, 535], [1219/2, 805/2], [149/2, 95/2]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -38], [114, -44], [0, 0]], [[0, 0], [-7865, 3071], [-18007/2, 7015/2], [7/2, 5/2]], [[0, 0], [299, -115], [759/2, -215/2], [-39/2, -25/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[20, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, -9], [15, 1], [0, 0]], [[23/2, 5/2], [-165, -313], [-1057/4, -867/4], [23/4, 5/4]], [[7/2, -3/2], [0, 0], [-5/4, 1/4], [7/4, -3/4]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -8], [-12, 0], [0, 0]], [[0, 0], [99, -63], [-189/2, 33/2], [-11/2, 3/2]], [[0, 0], [85, 3], [-1/2, 61/2], [-3/2, 3/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[48608, -18976]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [439, -183], [21, 3], [0, 0]], [[0, 0], [-1, 0], [2, 0], [1, 0]], [[0, 0], [52, 6], [-24, -16], [0, 0]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[31128, -12152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [181, -71], [177, -69], [0, 0]], [[3/2, 1/2], [6796, -2648], [13209/2, -5149/2], [3/2, 1/2]], [[-367/2, -235/2], [-1013, -488], [-1595/2, -709/2], [-367/2, -235/2]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[8740, -3412]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, -1], [-46, 18], [0, 0]], [[0, 0], [1287/2, -509/2], [-5921, 2303], [-9/2, -5/2]], [[0, 0], [1989/2, 1207/2], [2172, 1696], [2475/2, 1585/2]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[31128, -12152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [520, -196], [-26, 12], [0, 0]], [[-5, -1], [69, -47], [-16, -6], [-5, -1]], [[-231/2, -143/2], [-669, -530], [-947/2, -597/2], [-231/2, -143/2]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[8740, -3412]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, -5], [-8, 4], [0, 0]], [[0, 0], [49/2, -57/2], [204, -78], [7/2, 1/2]], [[0, 0], [21/2, 45/2], [-75, 27], [-7/2, -3/2]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[12, -4]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-13/2, 1/2], [0, 0], [-3/2, 3/2]], [[0, 0], [-2, 1/2], [0, 0], [-1, 1/2]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[40, -16]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-8, -5], [4, 1/2], [-8, -5], [-2, -3/2]], [[-3/2, 1/2], [9, -7/2], [-3/2, 1/2], [5/2, -1]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[188, -76]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, 8], [-1, 3], [0, 0]], [[0, 0], [-26229/2, 24117/2], [-2600, -104], [-9/2, 1/2]], [[0, 0], [905502, -344610], [67048, -27608], [147, -59]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[268, -92]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1958/59, -298/59], [-751/59, -1/59], [0, 0]], [[0, 0], [590508166/3127, 174392484/3127], [-758717/59, 1098479/59], [1103343/40651, 1/40651]], [[0, 0], [-483863886931/118, 109150558923/118], [79697825200/59, -35300104698/59], [-1491880315/1534, 497584679/1534]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[432, -176]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60539/59, -865/59], [-1105/59, 5/59], [0, 0]], [[0, 0], [113972312/3127, -62633137/3127], [578716/59, 21534/59], [301858/40651, -3/40651]], [[0, 0], [-431205006610/3127, 167342636609/3127], [-1094222604/59, 440741250/59], [-606986014/40651, 243422013/40651]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[284, -108]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37055/59, 401/59], [663/59, -3/59], [0, 0]], [[-17301/2, 3/2], [20342540/3127, -1176327/3127], [-16699/59, 405/59], [-17301/81302, 3/81302]], [[561979/2, -954899/2], [-919714653/3127, 1096088147/3127], [631204/59, -912524/59], [561979/81302, -954899/81302]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[1540, -628]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1471/59, -103/59], [215/59, 5/59], [0, 0]], [[0, 0], [42634810/3127, 2176/3127], [-43404/59, 338/59], [47393/3127, -1/3127]], [[0, 0], [-46724198221/6254, 19141767085/6254], [24089097/59, -9853615/59], [-51944917/6254, 21280265/6254]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[580, -244]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27379/59, 1699/59], [427/59, -3/59], [0, 0]], [[-5767/2, 1/2], [-557378676/3127, -365480563/3127], [187001/59, 125377/59], [-5767/6254, 1/6254]], [[1478359, -615327], [-26208820266/3127, -9560061140/3127], [11146670/59, 2382210/59], [1478359/3127, -615327/3127]]], 0, 2688, [], [] >,
< [ -4, -1, 1 ], [[976, -336]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12745/59, -417/59], [221/59, -1/59], [0, 0]], [[0, 0], [-1552945823/3127, 726069188/3127], [592219/59, -249013/59], [16122/3127, 1/3127]], [[0, 0], [-40118104468451/3127, 15843603245835/3127], [14687371681/59, -5760836625/59], [251042328/3127, -88443900/3127]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[3412, -1332]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37, -12], [25, -11], [0, 0]], [[-13/2, 1/2], [-4929, 1936], [-14973/4, 5809/4], [-13/4, 1/4]], [[-63/2, -45/2], [2813, -882], [7241/4, -3477/4], [-63/4, -45/4]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -3], [-58, 22], [0, 0]], [[0, 0], [-42, 5], [412, -156], [-8, -2]], [[0, 0], [713, 527], [1135/2, -1127/2], [689/2, 455/2]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[3412, -1332]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, -30], [-10, 4], [0, 0]], [[-7/2, 3/2], [308, -102], [-147/4, 63/4], [-7/4, 3/4]], [[5/2, 3/2], [257, 171], [85/4, 51/4], [5/4, 3/4]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, 32], [-44, 16], [0, 0]], [[0, 0], [-3, 3], [3/2, 17/2], [-3/2, 3/2]], [[0, 0], [-16, -10], [-74, -47], [-8, -5]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, 8], [-6, 2], [0, 0]], [[0, 0], [-199, -93], [31/2, 5/2], [-31/2, -5/2]], [[0, 0], [-7097, 3125], [3175/2, -1275/2], [-3175/2, 1275/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10345, 4053], [11, 5], [0, 0]], [[-24, 0], [362772, 265876], [254578, 163030], [-12, 0]], [[-51/2, 119/2], [-2249121, -1274875], [-5380027/4, -3445281/4], [-51/4, 119/4]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, -23], [-47, -5], [0, 0]], [[0, 0], [29613, -21727], [-47404, 6808], [4, 2]], [[0, 0], [-32658775/2, 12857767/2], [15022743, -5802471], [-489/2, 153/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[376, -152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3399, -1339], [-7, -5], [0, 0]], [[11/2, 5/2], [31542, 20664], [41031/2, 26277/2], [11/2, 5/2]], [[362, -146], [-198808, 44424], [-20868, -13136], [362, -146]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -2], [-9, 1], [0, 0]], [[0, 0], [-709, -101], [712, 184], [0, -2]], [[0, 0], [72869/2, -35605/2], [-26496, 14720], [-489/2, 153/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[76, -28]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69, 3], [17, -7], [0, 0]], [[0, 0], [37643, 27020], [1685, -25], [3, 2]], [[0, 0], [2434113/2, -935139/2], [-458250, 179010], [67/2, -25/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[76, -28]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47, 5], [12, -6], [0, 0]], [[0, 0], [-167, -80], [-3, -13], [1, 2]], [[0, 0], [771/2, -291/2], [-155, 61], [33/2, -13/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[420, -164]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 9], [-11, 5], [0, 0]], [[0, 0], [-533/2, 106], [-143, 58], [-3/2, 1]], [[0, 0], [151, -32], [96, -8], [6, 3]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[1496, -584]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [65, -27], [29, -13], [0, 0]], [[10, 6], [-791, 223], [-395, 77], [2, 2]], [[-45/2, -21/2], [6977, -5115/2], [6455/2, -2221/2], [3/2, -6]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[420, -164]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 3], [-22, 10], [0, 0]], [[0, 0], [99/2, -23/2], [77, -55], [-5/2, 5/2]], [[0, 0], [-649/2, 104], [-660, 330], [49/2, -14]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[1496, -584]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -6], [-32, 14], [0, 0]], [[1/2, -1/2], [2983, -1806], [-13091/2, 4363/2], [-3/2, 1/2]], [[-11/2, -3/2], [-16058, -2553/2], [21439/2, -17163/2], [5/2, -2]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[48, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, -30], [20, -8], [0, 0]], [[0, 0], [-1139, 436], [-603/2, 243/2], [7/2, -3/2]], [[0, 0], [-4897, -3151], [4321/2, 2759/2], [-161/2, -103/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[15564, -6076]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-87, 28], [7, -5], [0, 0]], [[-27/2, -1/2], [8877, -3748], [-4587/4, 1367/4], [-27/4, -1/4]], [[-5, -3], [-47, -278], [-271/2, -117/2], [-5/2, -3/2]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[48, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -2], [-18, -2], [0, 0]], [[0, 0], [-523, -344], [2721/2, 1767/2], [-17/2, 1/2]], [[0, 0], [13, -5], [-13/2, 5/2], [13/2, -5/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[15564, -6076]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -4], [-13, 1], [0, 0]], [[-17, 1], [3, 29], [73/2, 31/2], [-17/2, 1/2]], [[-47/2, 51/2], [-172, -18], [-227/4, -249/4], [-47/4, 51/4]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1025, -389], [-5, 5], [0, 0]], [[-35/2, -1/2], [1877, 1355], [2221/4, 1439/4], [-35/4, -1/4]], [[-182, 78], [-4646, -178], [-607, -313], [-91, 39]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 6], [-2, 6], [0, 0]], [[0, 0], [-163, 235], [-957/2, -355/2], [-3/2, -5/2]], [[0, 0], [18601, -7157], [13623/2, -5763/2], [-171/2, 63/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2378, -906], [16, 0], [0, 0]], [[1, -1], [-21131, 8887], [163/2, 293/2], [1/2, -1/2]], [[-27/2, -17/2], [14664, 7616], [14505/4, 9259/4], [-27/4, -17/4]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1522, 594], [4, 0], [0, 0]], [[0, 0], [-207397, 81017], [647/2, -279/2], [29/2, 3/2]], [[0, 0], [24186, 3886], [-3318, -2106], [1792, 1148]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [115, 5], [-1, 1], [0, 0]], [[0, 0], [-89/2, 57/2], [0, 0], [19/2, 5/2]], [[0, 0], [5816, -1954], [0, 0], [-175, 245]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [79, 5], [-3, -1], [0, 0]], [[0, 0], [12721/2, -3289/2], [-156, 12], [1/2, -1/2]], [[0, 0], [-153, 33], [4, 0], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[1916, -748]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [107, -45], [14, -8], [0, 0]], [[0, 0], [-16841/2, 6247/2], [-1360, 408], [-1/2, 3/2]], [[0, 0], [297001/2, -56814], [22977, -8100], [45/2, -18]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25, -3], [4, 0], [0, 0]], [[0, 0], [-2709/2, -135/2], [216, -12], [-7/2, 3/2]], [[0, 0], [17073/2, 5745/2], [-1203, -283], [21/2, -11/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[152, -56]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35, -7], [-3, 3], [0, 0]], [[-5/2, 5/2], [260, 182], [173/2, 103/2], [-5/2, 5/2]], [[141/2, -51/2], [623, 132], [89/2, 191/2], [141/2, -51/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 0], [5, -5], [0, 0]], [[0, 0], [10, -37], [21, -7], [-5, -2]], [[0, 0], [2645/2, -903/2], [591, -233], [-55/2, 37/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[152, -56]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -4], [-10, -2], [0, 0]], [[-3/2, -1/2], [-365, -235], [-219/2, -137/2], [-3/2, -1/2]], [[11, -4], [69, 74], [66, 4], [11, -4]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 1], [11, 1], [0, 0]], [[0, 0], [2, -1], [-3, -27], [2, -1]], [[0, 0], [-9/2, 5/2], [35, 81], [-9/2, 5/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[1916, -748]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 5], [-29, 13], [0, 0]], [[0, 0], [75/2, -33/2], [109, -47], [1/2, 1/2]], [[0, 0], [3/2, 0], [0, 0], [1/2, 0]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[6824, -2664]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -3], [-1, -1], [0, 0]], [[3/2, 1/2], [-168, 66], [5/2, -1/2], [-1/2, 1/2]], [[1, 0], [-380, 297/2], [3, -1], [-1, 1/2]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[1916, -748]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [151, -61], [-1, -1], [0, 0]], [[0, 0], [797/2, -317/2], [0, 0], [3/2, 5/2]], [[0, 0], [24605/2, -4809], [0, 0], [-79/2, 22]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[6824, -2664]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-479, 185], [19, -9], [0, 0]], [[8, 4], [-14838, 5504], [416, -384], [0, 2]], [[5/2, -15/2], [-118952, 93409/2], [10731/2, -3779/2], [-35/2, 5]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[70996, -27716]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 2], [22, 2], [0, 0]], [[-17/2, -3/2], [-34, -8], [-125/4, -39/4], [-17/4, -3/4]], [[13, -5], [47, -18], [71/2, -27/2], [13/2, -5/2]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -6], [-18, -2], [0, 0]], [[0, 0], [-65, -32], [-519/2, 99/2], [11/2, 5/2]], [[0, 0], [-1089, 428], [-48833/2, 19069/2], [237/2, -93/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[464, -144]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 4], [70, 10], [0, 0]], [[0, 0], [-42, 26], [66, -62], [-2, -2]], [[0, 0], [-3, -1], [-3/2, -1/2], [3/2, 1/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[260, -116]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-573, 265], [55, 5], [0, 0]], [[103/2, 5/2], [2595, 1649], [6463/4, 4077/4], [103/4, 5/4]], [[-3660, 540], [-102717, -64567], [-64357, -39751], [-1830, 270]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[188, -76]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39, -7], [8, 4], [0, 0]], [[0, 0], [-30697/2, 10971/2], [-943, -67], [-1/2, 3/2]], [[0, 0], [-4350495, 1695703], [-154659, 58075], [-510, 206]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[188, -76]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, -4], [15, 1], [0, 0]], [[0, 0], [286479/2, -18673/2], [-24189, 1123], [3/2, 3/2]], [[0, 0], [-9008351/2, 3502083/2], [740507, -287775], [47/2, -19/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[188, -76]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67, 5], [9, -1], [0, 0]], [[0, 0], [-6605/2, -903/2], [-419, 31], [7/2, 5/2]], [[0, 0], [275028, -107095], [49463, -19289], [42, -17]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[188, -76]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-67, -5], [-19, -5], [0, 0]], [[0, 0], [-34027/2, 5509/2], [-4028, 10], [-11/2, -3/2]], [[0, 0], [7680105/2, -3015075/2], [726759, -287105], [1125/2, -455/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[8740, -3412]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35, -15], [-27, -5], [0, 0]], [[0, 0], [-95/2, 31/2], [-33, -43], [-5/2, 5/2]], [[0, 0], [-1/2, 0], [1, 0], [-1/2, 0]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[8740, -3412]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -10], [11, -3], [0, 0]], [[0, 0], [529/2, 104], [1605, 1008], [-3/2, 0]], [[0, 0], [4729/2, 631/2], [9829, 5931], [-41/2, 9/2]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[260, -116]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63, -3], [-11, -1], [0, 0]], [[0, 0], [-6009/2, 549/2], [506, 22], [-5/2, 1/2]], [[0, 0], [28433/2, -14209/2], [-1791, 1079], [29/2, -13/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[188, -76]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [97, -1], [11, 5], [0, 0]], [[0, 0], [211175/2, -68849/2], [4869, -189], [-3/2, -3/2]], [[0, 0], [-43182619/2, 16847673/2], [-700848, 272304], [-225/2, 91/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[31128, -12152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, 26], [-24, -4], [0, 0]], [[-9, -5], [3367, 1704], [2882, 1794], [-1, -2]], [[153/2, -27/2], [-41579, 20847/2], [-19103/2, -3777/2], [-207/2, 45]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[8740, -3412]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 4], [5, -1], [0, 0]], [[0, 0], [121, 117/2], [114, 100], [-2, 5/2]], [[0, 0], [-1611/2, -1073], [-2608, -878], [-259/2, 28]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[323852, -126428]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, -28], [24, -4], [0, 0]], [[47/2, 5/2], [4162, -1431], [3763/4, -999/4], [47/4, 5/4]], [[-1647, -1037], [-32691, -15147], [-35165/2, -20111/2], [-1647/2, -1037/2]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[112, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [486, -184], [-40, 20], [0, 0]], [[0, 0], [-231, 281], [349/2, 159/2], [11/2, 1/2]], [[0, 0], [-8723, -5722], [-13719/2, -8765/2], [-245/2, -155/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[204, -28]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-264, 0], [13, -1], [0, 0]], [[0, 0], [46831, 3251], [-2275, 35], [-4, 2]], [[0, 0], [1065735/2, 1315521/2], [-16145, -27999], [139/2, -19/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[39868, -15564]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [69, -21], [3, 5], [0, 0]], [[0, 0], [-2957/2, -700], [-1259, -824], [-1/2, 2]], [[0, 0], [39431, -22946], [-10910, -3520], [450, -165]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[39868, -15564]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [301, -125], [-8, -4], [0, 0]], [[0, 0], [-7211/2, -1336], [-2532, -1625], [3/2, 1]], [[0, 0], [-15095, 5903], [63, -15], [0, 0]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[39868, -15564]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-225, 97], [11, 5], [0, 0]], [[0, 0], [-2253/2, -1809/2], [-1331, -847], [-1/2, 3/2]], [[0, 0], [16958, -7637/2], [2347, 1932], [-144, 107/2]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[39868, -15564]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-116, 52], [9, 3], [0, 0]], [[0, 0], [-1247, -1247/2], [-1045, -668], [-2, 3/2]], [[0, 0], [13645/2, -10097], [-6892, -4513], [455/2, -84]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-91, -1], [49, 3], [0, 0]], [[0, 0], [-14475/2, 1035/2], [3862, -90], [13/2, 3/2]], [[0, 0], [983185/2, -357855/2], [-246029, 88071], [-539/2, 165/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -2], [15, -3], [0, 0]], [[0, 0], [-313/2, -83/2], [-22, 134], [9/2, 3/2]], [[0, 0], [-5457/2, 1811/2], [-6301, 2655], [131/2, -41/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[204, -28]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-73, 5], [20, -4], [0, 0]], [[0, 0], [53319/2, 10469/2], [-6240, -120], [-11/2, -1/2]], [[0, 0], [83049/2, -6289/2], [-11517, 2361], [-19/2, 3/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[604, -236]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-163, 55], [-19, -1], [0, 0]], [[0, 0], [439/2, -106], [4, -18], [-1/2, -1]], [[0, 0], [-3079, 2357/2], [-274, 88], [-10, 5/2]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [157, -1], [25, 3], [0, 0]], [[0, 0], [18451, -2720], [2745, -115], [-5, 0]], [[0, 0], [45889/2, -32527/2], [2357, -2479], [-7/2, 9/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, -7], [-47, -5], [0, 0]], [[0, 0], [13483/2, -3887/2], [-10883, -505], [-7/2, -5/2]], [[0, 0], [-242781/2, 93871/2], [127925, -46807], [-5/2, 7/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, -10], [15, 5], [0, 0]], [[0, 0], [-16565, 5011], [-2668, -192], [2, 0]], [[0, 0], [411663/2, -198701/2], [6159, -18501], [-17/2, 27/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -5], [7, -3], [0, 0]], [[0, 0], [411/2, 243/2], [-9, -1], [-9/2, -1/2]], [[0, 0], [6708, 5012], [162, -234], [81, -117]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[181860, -70996]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-125, 49], [9, 3], [0, 0]], [[0, 0], [-607/2, 72], [-1489, -950], [5/2, 0]], [[0, 0], [2021, -870], [-2561, -1669], [-11, 6]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-169, 5], [-9, 5], [0, 0]], [[0, 0], [4328, 616], [151, -115], [2, -2]], [[0, 0], [-38615/2, -8939/2], [-469, 475], [-11/2, 17/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[181860, -70996]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -10], [1, 3], [0, 0]], [[0, 0], [207/2, -31/2], [431, 281], [5/2, 3/2]], [[0, 0], [23493/2, -4607], [-1091, 42], [25/2, -7]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[829564, -323852]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1133, -449], [-9, -3], [0, 0]], [[0, 0], [13767, 13519/2], [11437, 7316], [-1, 3/2]], [[0, 0], [-648193/2, 82979], [-42128, -25831], [579/2, -117]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[260, -116]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 3], [43, 1], [0, 0]], [[0, 0], [13/2, -65/2], [-340, 268], [1/2, -5/2]], [[0, 0], [-31213/2, 13923/2], [214131, -87517], [-2401/2, 1071/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[28, -13]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [174, -137/2], [106, -83/2], [0, 0]], [[3, 1/2], [-600, 487/2], [-359, 291/2], [3, 1/2]], [[57, 73/2], [260, 333/2], [171, 219/2], [57, 73/2]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[28, -13]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, 34], [-20, -1], [0, 0]], [[5, -5/2], [11522, 7695], [4657, 3016], [5, -5/2]], [[-19, 2], [117880, 149403/2], [46513, 59405/2], [-19, 2]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[20, -7]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 17], [36, -14], [0, 0]], [[10, 3/2], [-254, 69], [199, -81], [-1, 5/2]], [[-196, 49/2], [7145, -4999/2], [-12291/2, 2431], [147/2, -49]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[20, -7]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-188, 147/2], [-16, 13/2], [0, 0]], [[2, -3/2], [-702, 561/2], [-46, 67/2], [-2, 1/2]], [[-12, 15/2], [3775, -2997/2], [539/2, -165], [21/2, -3]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[20, -7]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -10], [-64, 25], [0, 0]], [[4, -1/2], [-35, -245/2], [-545/2, 111], [-3/2, 1]], [[-12, 1], [186, 815/2], [782, -643/2], [4, -3]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[28, -11]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, -13], [3, 2], [0, 0]], [[3, 5/2], [4001/2, -813], [53/4, 61/4], [7/4, 3/4]], [[16, -7], [-59359, 46359/2], [188, -155/2], [-11, 4]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[24, -2]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, -31], [-52, 21], [0, 0]], [[0, 5/2], [10774, -8253/2], [-7336, 5671/2], [0, 5/2]], [[59, 38], [2766, 836], [-1279, -180], [59, 38]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[56, -26]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -1/2], [320, -271/2], [-8, -1/2], [0, 0]], [[-37800, -24120], [-103880, -145831/2], [-37800, -24120], [0, 3/2]], [[-26964, -16371], [-12026, -147621/2], [-26964, -16371], [-14, 13/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[16, -6]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 3/2], [-17, 9/2], [-3, 3/2], [0, 0]], [[24, -3/2], [43/2, -61], [24, -3/2], [5/2, -1/2]], [[29, -11/2], [131/2, -129/2], [29, -11/2], [7/2, -1]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[712, -278]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-30, 23/2], [-40, 23/2], [-30, 23/2], [0, 0]], [[1536, -600], [1847, -1455/2], [1546, -603], [5, -3/2]], [[-40, -90], [-1744, -2389/2], [212, 71], [126, 161/2]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[712, -278]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 0], [-16, 5], [-2, 0], [0, 0]], [[22, 20], [-20, 105/2], [22, 20], [4, 3/2]], [[8, 11/2], [9, 10], [8, 11/2], [1, 1/2]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[116, -47]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3682/59, 829/118], [-834/59, 1/118], [0, 0]], [[-159721, 1/2], [-1101282561/3127, -531983784/3127], [-6532142/59, -3345299/59], [-159721/40651, 1/81302]], [[-3112672996, 1271278507], [-4524946733594/3127, 2632364518503/3127], [-20793560492/59, 13424364314/59], [-3112672996/40651, 1271278507/40651]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[296, -110]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1136, 1], [-62480/59, 4/59], [1136/59, 1/59], [0, 0]], [[745582, -4669/2], [391791228/3127, 13653503/6254], [-232296/59, -3585/118], [743252/40651, -2/40651]], [[-277285242088, 104014213513], [-141238140470380/3127, 105588670661051/6254], [84993063830/59, -31823963237/59], [-275127910074/40651, 206302295421/81302]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[60, -53]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-636/59, 581/118], [142/59, -3/118], [0, 0]], [[-23796, -5/2], [-92038372/3127, 31321656/3127], [486240/59, 205315/59], [-23796/3127, -5/6254]], [[-26180521, 27719198], [-247247828383/3127, 105202179647/3127], [-421451350/59, -579576141/59], [-26180521/3127, 27719198/3127]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[584, -262]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2014, -5/2], [110298/59, 511/118], [-2014/59, -5/118], [0, 0]], [[-17754190, -11839105/2], [51472641590/3127, 17255553370/3127], [-17721132/59, -11839669/118], [-29950/3127, -1/6254]], [[140682400910, -169077820701/2], [-404742147281776/3127, 244090955410937/3127], [140043783782/59, -168521014157/118], [570046670/3127, -498977589/6254]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1684, -658], [1424, -556], [0, 0]], [[3, -1], [51446, -20075], [43453, -16962], [3, -1]], [[-1909, -2445/2], [-93786, -60041], [-16341, -10449], [-1909, -2445/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1132, -445], [-16, 5], [0, 0]], [[-2, 1], [60468, 39116], [24618, 15754], [-2, 1]], [[13, -17/2], [-945786, -608563], [-383687, -245627], [13, -17/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1304, -509], [1268, -495], [0, 0]], [[3, -1], [110, -43], [109, -42], [3, -1]], [[-260, -333/2], [110, 141/2], [-816, -1045/2], [-260, -333/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, 55], [172, -67], [0, 0]], [[0, 0], [-1222, 438], [1401, -563], [3, -1]], [[0, 0], [172, -70], [-208, 80], [0, 0]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1044, 407], [-8, 3], [0, 0]], [[0, 0], [-142, -24], [-31, 13], [31, -13]], [[0, 0], [-104, -138], [36, -12], [-36, 12]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -8], [9616, -3754], [0, 0]], [[0, 0], [2, 0], [-1, 1], [1, 0]], [[0, 0], [-260, 102], [-122232, 47718], [0, 0]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[48, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-592, 231], [-628, 245], [0, 0]], [[10, 4], [-41, 22], [-59/2, 57/2], [3/2, 5/2]], [[-34, 23/2], [660, -259], [646, -256], [20, -17/2]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[48, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1284, -501], [-156, 61], [0, 0]], [[0, 3/2], [-19041, 7333], [4521/2, -1843/2], [3/2, 0]], [[4, -5/2], [60615, -23604], [-14649/2, 5765/2], [-7/2, 1]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[48, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 11], [-320, 125], [0, 0]], [[4, 3], [12, -9], [18, -5], [2, 1]], [[-4, 1/2], [105, -40], [205/2, -81/2], [3/2, -1]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[8, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[5, 1], [809/2, -321/2], [21/4, -1/4], [-1/4, 5/4]], [[-1185, -1515/2], [1573/2, 1525/2], [-2895/4, -1845/4], [-1845/4, -1185/4]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[24, -8]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-93/2, 5/2], [-31/4, 3/4], [31/4, -3/4]], [[0, 0], [164, -30], [28, -6], [-28, 6]]], 0, 12, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 18], [10, 0], [0, 0]], [[0, 0], [137, -96], [-91/2, 21/2], [23/2, 5/2]], [[0, 0], [-429, 1383], [1097/2, -13/2], [-473/2, -215/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, -25], [40, -15], [0, 0]], [[0, 0], [-1480, 530], [-850, 314], [10, 2]], [[0, 0], [409, -1453], [995/2, -1355/2], [301/2, 203/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -10], [28, -12], [0, 0]], [[0, 0], [207, 14], [423/2, -153/2], [-11/2, -1/2]], [[0, 0], [-47, -85], [177/2, -81/2], [3/2, 5/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 10], [332, -129], [0, 0]], [[0, 0], [2, 0], [3, 0], [1, 0]], [[0, 0], [128, -53], [-1972, 769], [0, 0]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[48, -4]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, 27], [-10, 5], [0, 0]], [[0, 0], [2378, -1855/2], [360, -140], [6, -5/2]], [[0, 0], [208, 261/2], [124, 79], [-32, -41/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[3248, -1268]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 7], [-208, 81], [0, 0]], [[0, 0], [389, -449/2], [4674, -1837], [-3, -1/2]], [[0, 0], [-720, -1117/2], [824, -466], [-20, -25/2]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[3248, -1268]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 4], [18, -7], [0, 0]], [[0, 0], [-2, -3/2], [0, 0], [2, 5/2]], [[0, 0], [-1, -1/2], [0, 0], [1, 1/2]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[8, -4]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-11, 3/2], [0, 0], [1, -3/2]], [[0, 0], [-21/2, 4], [0, 0], [5/2, -1]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[328, -128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -2], [5, -2], [0, 0]], [[-8, -3/2], [-91/2, 39/2], [-8, -3/2], [1/2, -2]], [[200, -25/2], [3611/2, -1459/2], [200, -25/2], [-125/2, 50]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[14816, -5784]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, -17], [-64, 25], [0, 0]], [[5, -1/2], [5, 4], [8, 7/2], [5, -1/2]], [[-7, -9/2], [-25, -16], [-32, -41/2], [-7, -9/2]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[14816, -5784]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-196, 71], [2, -3], [0, 0]], [[-3, -2], [3797, -1348], [-36, 58], [-3, -2]], [[-23, -29/2], [-9457, 4664], [530, 219/2], [-23, -29/2]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[4672, -1824]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -5], [-28, 11], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [-18, 7], [64, -25], [0, 0]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[128, -16]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [830/59, 457/59], [80/59, -5/59], [0, 0]], [[0, 0], [93949311/3127, 380446/3127], [-74498/59, 2097/59], [-34885/40651, 1/40651]], [[0, 0], [-170401408797/3127, 12930817689/3127], [136506950/59, -14263468/59], [63355159/40651, -5039261/40651]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[16, -28]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2574/59, 6/59], [-740/59, 2/59], [0, 0]], [[-130602, -3/2], [-652606292/3127, 325826/3127], [623904/59, 1539/59], [-130602/40651, -3/81302]], [[2292724577, -870713532], [11465424861219/3127, -4354505479458/3127], [-10911814298/59, 4142841081/59], [176363429/3127, -66977964/3127]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[144, -76]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5492/59, -98/59], [1196/59, 5/59], [0, 0]], [[0, 0], [303369146/3127, 306689579/6254], [3797840/59, 725563/59], [237998/40651, -5/81302]], [[0, 0], [-10995085838/3127, -212517067702/3127], [6602456638/59, -4339106216/59], [670407112/40651, -335837167/40651]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[512, -272]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [520/59, -3/59], [16/59, -1/59], [0, 0]], [[0, 0], [-49800821/3127, 8683/3127], [78374/59, 6/59], [39187/3127, 3/3127]], [[0, 0], [-9267397530/3127, 5176498548/3127], [14576384/59, -8144896/59], [7288192/3127, -4072448/3127]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[272, -60]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [870/59, 12/59], [408/59, 4/59], [0, 0]], [[1907, 5/2], [13776399/3127, 57948/3127], [86162/59, 124/59], [1907/3127, 5/6254]], [[-2390370, 458890], [-17229711914/3127, 3274678569/3127], [-107990868/59, 20722355/59], [-2390370/3127, 458890/3127]]], 0, 2688, [], [] >,
< [ -4, -1, 1 ], [[464, -60]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2240/59, -185/59], [324/59, -2/59], [0, 0]], [[0, 0], [109808600/3127, 47826621/6254], [495554/59, 109851/59], [35230/3127, -3/6254]], [[0, 0], [1966567712/3127, 26851640/3127], [8847384/59, 154913/59], [740072/3127, -125294/3127]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -20], [-16, 12], [0, 0]], [[0, 0], [304, -166], [-680, 278], [8, -4]], [[0, 0], [46, -44], [-133, 59], [1, -1]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -4], [8, 8], [0, 0]], [[0, 0], [92, 20], [38, 22], [22, 2]], [[0, 0], [-42, 16], [-3, 1], [-13, 5]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-460, 174], [-456, 178], [0, 0]], [[0, 0], [1602, -548], [1575, -593], [21, -1]], [[0, 0], [216, 206], [8, 74], [24, 16]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[152, -56]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -8], [32, 4], [0, 0]], [[0, 0], [681/2, 343/2], [-2193/4, -683/4], [-71/4, -5/4]], [[0, 0], [88, 824], [3671/2, -3603/2], [279/2, -155/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 4], [-16, 4], [0, 0]], [[0, 0], [-155, -125], [-187/2, -129/2], [-17/2, -3/2]], [[0, 0], [240, -102], [37, -19], [-39, 15]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -16], [-4, -16], [0, 0]], [[0, 0], [413, -217], [687/2, -363/2], [-7/2, -5/2]], [[0, 0], [-1742, 688], [-1451, 573], [-1, 1]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 20], [12, -4], [0, 0]], [[0, 0], [280, 254], [46, -4], [2, 2]], [[0, 0], [413, -175], [-379/2, 147/2], [7/2, -3/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[32, -24]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 15], [-512, 200], [0, 0]], [[0, 0], [2, 0], [3, 0], [1, 0]], [[0, 0], [-8, 3], [-128, 50], [0, 0]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-768, 300], [-1040, 406], [0, 0]], [[0, 0], [82, -26], [-3, 9], [-1, 3]], [[0, 0], [-2266, 870], [297, -135], [99, -45]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-404, 158], [1040, -406], [0, 0]], [[0, 0], [154, -62], [57, -27], [19, -9]], [[0, 0], [-4276, 1704], [-1620, 720], [-540, 240]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -4], [-24, -4], [0, 0]], [[0, 0], [24, -8], [22, 34], [-6, 4]], [[0, 0], [-154, 60], [129, -57], [43, -17]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[14592, -5696]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3322, 1284], [-6, -2], [0, 0]], [[0, 0], [22978, 15155], [7874, 5068], [-12, 5]], [[0, 0], [107736, 67505], [35954, 22940], [42, -15]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[31128, -12152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [83, -31], [-1, 1], [0, 0]], [[0, 0], [19/2, 23/2], [-11, -3], [-11/2, -3/2]], [[0, 0], [1398, -496], [984, -408], [492, -204]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[173120, -67584]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98, 38], [-3248, 1268], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [-340, 134], [-11476, 4480], [0, 0]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[173120, -67584]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 12], [-10236, 3996], [0, 0]], [[0, 0], [1, 0], [0, 2], [1, 0]], [[0, 0], [288, -108], [88220, -34440], [0, 0]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[-320, 128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 8], [-76, 30], [0, 0]], [[0, 0], [-1, 0], [2, 0], [1, 0]], [[0, 0], [-10, -2], [-108, 42], [0, 0]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[1824, -712]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 2], [20, -8], [0, 0]], [[0, 0], [14, -17/2], [52, -29], [-4, -5/2]], [[0, 0], [-11, -3/2], [-34, -2], [-7, -9/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[2022848, -789696]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3366, 1316], [-24, 10], [0, 0]], [[0, 0], [-9443, 3685], [-86, 28], [5, -5]], [[0, 0], [28569, -11153], [246, -96], [-23, 9]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[704, -192]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2522/59, -578/59], [1352/59, 4/59], [0, 0]], [[0, 0], [-367226641/3127, 1607165/3127], [513134/59, 10210/59], [-801199/40651, -5/40651]], [[0, 0], [281111404261/3127, -61232978639/3127], [-384626078/59, 78107460/59], [611011289/40651, -131493833/40651]]], 0, 18432, [], [] >,
< [ -4, -1, 1 ], [[1024, -448]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-536/59, -20/59], [220/59, -64/59], [0, 0]], [[0, 0], [25757538/53, -2357/53], [-7510, 28], [-638600/40651, 5/40651]], [[0, 0], [-8326770420/3127, -86234191797/3127], [2061996/59, 25042570/59], [3511172/40651, 36240311/40651]]], 0, 18432, [], [] >,
< [ -4, -1, 1 ], [[3648, -1600]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 8], [-20, 0], [0, 0]], [[0, 0], [24321236/3127, -18118798/3127], [489476/59, -112794/59], [-32246/3127, 2/3127]], [[0, 0], [-78024126721/3127, 28743744633/3127], [-950882826/59, 386791330/59], [44373373/3127, -19827201/3127]]], 0, 258048, [], [] >,
< [ -4, -1, 1 ], [[2560, -704]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4236/59, -188/59], [-1000/59, 12/59], [0, 0]], [[0, 0], [37728364/3127, 15366915/3127], [-188888/59, 71982/59], [-49340/3127, -5/3127]], [[0, 0], [-1789944734/3127, 20209249/3127], [24867842/59, -9668484/59], [4486880/3127, -1317219/3127]]], 0, 258048, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, -35], [328, -128], [0, 0]], [[0, 0], [146, -44], [415, -169], [13, -7]], [[0, 0], [2680, -1027], [8422, -3298], [290, -116]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-368, 144], [128, -50], [0, 0]], [[0, 0], [2, 0], [3, 0], [1, 0]], [[0, 0], [-36, 14], [0, 0], [0, 0]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[256, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -12], [-8, 8], [0, 0]], [[0, 0], [-46, -10], [555, -259], [-23, -5]], [[0, 0], [52, 4], [-874, 378], [26, 2]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[376, -152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, 21], [47, 5], [0, 0]], [[0, 0], [1489, -967], [-2127, 279], [-6, 0]], [[0, 0], [13591/2, -5231/2], [-5724, 2288], [-27/2, 11/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26784, -10456], [53516, -20892], [0, 0]], [[0, 0], [-1229, 479], [-2398, 938], [15, -5]], [[0, 0], [-6432, 2512], [-12568, 4904], [74, -30]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21980, -8584], [44028, -17188], [0, 0]], [[0, 0], [-897777, 350349], [-1797800, 701848], [-9, 5]], [[0, 0], [2546791, -993777], [5099784, -1990924], [25, -15]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -16], [-12, -8], [0, 0]], [[0, 0], [187, -73], [46, -18], [23, -9]], [[0, 0], [6, 2], [0, 0], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[97216, -37952]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1416, -552], [-12, 4], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [-6342, 2476], [56, -22], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[97216, -37952]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1598, 624], [312, -122], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [1928, -754], [-380, 150], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[8320, -3248]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, 26], [-44, 18], [0, 0]], [[0, 0], [-2315, 898], [-1498, 578], [-5, -2]], [[0, 0], [-289, 497/2], [-114, 207], [91, 117/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[8320, -3248]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, 24], [-76, 30], [0, 0]], [[0, 0], [163, -117/2], [146, -76], [-1, -3/2]], [[0, 0], [-128, -155], [812, 444], [74, 47]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[128, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [476, -186], [512, -200], [0, 0]], [[0, 0], [2032, -797], [2286, -898], [26, -12]], [[0, 0], [-2, -2], [-3, -3], [-1, -1]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[128, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -16], [24, -4], [0, 0]], [[0, 0], [-13004, 5028], [-6312, 2574], [8, -6]], [[0, 0], [38722, -15055], [19017, -7563], [-29, 15]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 28], [-40, 0], [0, 0]], [[0, 0], [56, -24], [172, -72], [28, -12]], [[0, 0], [430, -170], [1317, -519], [215, -85]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2244, -876], [-584, 228], [0, 0]], [[0, 0], [-170, 50], [21, -15], [7, -5]], [[0, 0], [1330, -498], [-231, 99], [-77, 33]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[1216, -448]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 66], [16, 12], [0, 0]], [[0, 0], [-10080, 3512], [-428, 64], [8, -4]], [[0, 0], [12325, -4491], [482, -110], [-11, 5]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[1216, -448]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 8], [12, -8], [0, 0]], [[0, 0], [-618, 268], [288, -108], [-8, 2]], [[0, 0], [-75, 93], [70, -18], [-5, -1]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[37952, -14816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [494, -192], [68, -26], [0, 0]], [[0, 0], [-4263, 3307/2], [-590, 223], [1, -1/2]], [[0, 0], [-814, -514], [-520, -332], [0, 0]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[-64, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 4], [12, 8], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [-26, 10], [0, 0], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-64, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 10], [-12, 16], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [748, -44], [-100, -400], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-64, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 10], [-20, -12], [0, 0]], [[0, 0], [1, 0], [-2, 0], [1, 0]], [[0, 0], [-40, 16], [-12, 4], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[37952, -14816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [182, -72], [240, -94], [0, 0]], [[0, 0], [841, -655/2], [1162, -460], [-1, -1/2]], [[0, 0], [6, 2], [4, 0], [0, 0]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[37952, -14816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-110, 42], [316, -124], [0, 0]], [[0, 0], [-1672, 463/2], [3416, -1618], [4, -3/2]], [[0, 0], [-17247, -22105/2], [-11650, -7438], [7, 9/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -6], [-32, 12], [0, 0]], [[0, 0], [-338, 347], [771, -319], [-7, 5]], [[0, 0], [3988, -2302], [-6736, 2692], [72, -36]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[1280, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, -52], [-8, 24], [0, 0]], [[0, 0], [-72, 0], [-70, 42], [14, -2]], [[0, 0], [878, -318], [1609, -641], [-205, 77]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[192, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -48], [4, 8], [0, 0]], [[0, 0], [5, 0], [2, 0], [1, 0]], [[0, 0], [-46, 50], [40, -20], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[192, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 36], [4, 8], [0, 0]], [[0, 0], [5, 0], [2, 0], [1, 0]], [[0, 0], [26, 6], [8, 0], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[192, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -50], [-4, 8], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [62, 194], [48, -40], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[192, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 18], [-16, 12], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [12, 8], [12, 8], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98, -38], [-12, 0], [0, 0]], [[0, 0], [1521, -1189/2], [-154, 37], [1, -5/2]], [[0, 0], [622, -101], [4408, 2866], [406, 259]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 16], [-4, 16], [0, 0]], [[0, 0], [511, -207], [78, -206], [5, -1]], [[0, 0], [-183, -573/2], [-8070, -5249], [45, 55/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[576, -320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 22], [32, 16], [0, 0]], [[0, 0], [-5811, 1913], [1906, -1102], [-31, 13]], [[0, 0], [-151116, 24556], [14888, -40480], [-602, 322]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[192, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -58], [-12, 16], [0, 0]], [[0, 0], [-1, 0], [2, 2], [1, 0]], [[0, 0], [62, 310], [120, -100], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150, 58], [4, 4], [0, 0]], [[0, 0], [6468, -2519], [4, -60], [0, -1]], [[0, 0], [1273, -823/2], [-794, -520], [-13, -17/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[256, -128]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 14], [-176, 68], [0, 0]], [[0, 0], [10, -4], [-191, 75], [-13, 5]], [[0, 0], [-8, 3], [78, -30], [10, -4]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[3008, -1216]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-390, -2], [16, 0], [0, 0]], [[0, 0], [4910, -2728], [-168, 92], [14, -8]], [[0, 0], [-39, 13], [-6, 2], [-3, 1]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[11968, -4672]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, -28], [4, 8], [0, 0]], [[0, 0], [6448, -4911/2], [-308, 171], [-2, -3/2]], [[0, 0], [-4751, 5789/2], [1154, 407], [-37, -47/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[11968, -4672]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-282, 102], [20, -16], [0, 0]], [[0, 0], [8515, -2851], [-350, 614], [-1, 1]], [[0, 0], [-24312, -33839/2], [-25980, -16501], [-34, -43/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[11968, -4672]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1106, -438], [4, -8], [0, 0]], [[0, 0], [44475, -17219], [554, -66], [1, -1]], [[0, 0], [22835, 55825/2], [37294, 24005], [-153, -195/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[11968, -4672]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-460, 168], [12, -16], [0, 0]], [[0, 0], [5076, -2320], [-596, -104], [2, -2]], [[0, 0], [14457, 13995/2], [12090, 7855], [45, 55/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 44], [-12, 4], [0, 0]], [[0, 0], [5, 0], [2, 0], [1, 0]], [[0, 0], [6, 2], [0, 0], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -10], [12, -12], [0, 0]], [[0, 0], [-3, 0], [-6, 0], [1, 0]], [[0, 0], [2, -2], [80, -32], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[3008, -1216]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, -2], [48, 8], [0, 0]], [[0, 0], [58, -52], [-104, 64], [18, -8]], [[0, 0], [-813, 391], [1238, -542], [-191, 77]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[97216, -37952]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-638, 250], [-8, 4], [0, 0]], [[0, 0], [2631, -2049/2], [54, -24], [-3, 1/2]], [[0, 0], [-432, -271], [512, 328], [114, 73]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-637888, 249024]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 2], [8, -16], [0, 0]], [[0, 0], [9, 0], [-2, 0], [1, 0]], [[0, 0], [-1078, 422], [956, -372], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-637888, 249024]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 8], [20, -12], [0, 0]], [[0, 0], [9, 0], [-2, 0], [1, 0]], [[0, 0], [58, -26], [-80, 40], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-637888, 249024]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -22], [-28, -4], [0, 0]], [[0, 0], [-11, 0], [2, 0], [1, 0]], [[0, 0], [1344, -520], [-444, 180], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-637888, 249024]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, -42], [-48, -16], [0, 0]], [[0, 0], [-11, 0], [2, 0], [1, 0]], [[0, 0], [-388, 140], [444, -180], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[6720, -2624]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2362, -922], [28, 12], [0, 0]], [[0, 0], [-642, 137/2], [-40064, -25643], [4, 1/2]], [[0, 0], [-1687, 1449/2], [14430, 9293], [7, -7/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-637888, 249024]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -22], [0, -16], [0, 0]], [[0, 0], [13, 0], [2, 0], [1, 0]], [[0, 0], [-154, 58], [-60, 20], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[6720, -2624]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [800, -312], [-12, 20], [0, 0]], [[0, 0], [-3901, 2030], [24690, 15648], [-3, 0]], [[0, 0], [-2547, 479/2], [-36486, -23433], [1, 3/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[30656, -11968]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-146, 50], [-28, 4], [0, 0]], [[0, 0], [177, 157/2], [82, 69], [5, 1/2]], [[0, 0], [-607, 101], [134, -146], [-39, 13]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[576, -320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, -42], [-84, -12], [0, 0]], [[0, 0], [13, 0], [-6, 0], [1, 0]], [[0, 0], [-82, 42], [72, -8], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[52, -15]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1216, 445], [20, 2], [0, 0]], [[4, 2], [-1486086, -1830889/2], [479270, 613199/2], [4, 2]], [[-133, 101/2], [9076288, -5891813/2], [-266207, -186539/2], [-133, 101/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[100, -39]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -9/2], [-2, -1/2], [0, 0]], [[3, 1], [51/2, -26], [-141/4, -77/4], [1/4, 3/4]], [[-35, 55/2], [-4645/2, 1609/2], [-117/4, -795/4], [145/4, -35/4]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[100, -39]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -11/2], [-4, -3/2], [0, 0]], [[-1, -3], [-471/2, 45/2], [-149/4, 1/4], [-11/4, -1/4]], [[13, -13/2], [-2135/2, 388], [-601/4, 211/4], [-39/4, 13/4]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[40, -14]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, 1], [-6, -2], [10, 1], [0, 0]], [[-28, -19/2], [31, 31/2], [-28, -19/2], [1, 2]], [[-72, 33], [33, -39/2], [-72, 33], [-13, 9/2]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[40, -14]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -2], [110, -43], [6, -2], [0, 0]], [[810, 1027/2], [-81, -145], [810, 1027/2], [-1, -5/2]], [[-1420, -2769/2], [8633, -5915/2], [-1420, -2769/2], [171, -60]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[56, -22]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 3/2], [16, -11/2], [-8, 3/2], [0, 0]], [[-270, -345], [-197, 286], [-272, -341], [-1, 2]], [[-150, 1575], [6399/2, -1953], [-111, 1549], [39/2, -13]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[56, -22]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 0], [22, -5], [2, 0], [0, 0]], [[10, 8], [49/2, 44], [10, 8], [-1/2, -2]], [[-72, 9/2], [-974, 274], [-72, 9/2], [56, -35/2]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[216, -82]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-38, -3/2], [-198, 95/2], [-38, -3/2], [0, 0]], [[3360, 2100], [6412, 7437/2], [3376, 2097], [8, -3/2]], [[2240, 980], [6588, 810], [2352, 938], [56, -21]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[216, -82]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 5/2], [990, -749/2], [6, 5/2], [0, 0]], [[-9048, -5802], [-16764, -33121/2], [-9048, -5802], [-8, 3/2]], [[-25200, -16830], [439566, -237612], [-25200, -16830], [-578, 221]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[112, -52]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2000, 781], [-8, 3], [0, 0]], [[-3, 0], [-634, -398], [3, -3], [-3, 0]], [[-32, 5/2], [-5432, -3383], [42, -32], [-32, 5/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-404, 156], [0, -2], [0, 0]], [[-4, -7/2], [3097, -1165], [21/2, 45/2], [-5/2, -1]], [[3, 2], [-651/2, 205/2], [-45/4, -35/4], [5/4, 3/4]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [134, -51], [6, -1], [0, 0]], [[-2, -1/2], [576, -231], [10, -12], [0, -1/2]], [[-25, -16], [-265/2, -195/2], [-733/4, -471/4], [-39/4, -25/4]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 1], [20, -7], [0, 0]], [[0, 0], [45/2, 89/2], [497/4, -169/4], [35/4, 1/4]], [[0, 0], [-2715/2, -1345/2], [2549/4, -1561/4], [-185/4, -259/4]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 0], [18, -6], [0, 0]], [[0, 0], [-417/2, -169/2], [-663/4, 135/4], [-17/4, 5/4]], [[0, 0], [-459, -384], [289/2, -323/2], [11/2, -7/2]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[320, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1856, 723], [40, -15], [0, 0]], [[0, 0], [11798, -4550], [-279, 81], [7, -1]], [[0, 0], [307888, -120290], [-6560, 2608], [136, -56]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[112, -52]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 4], [36, -1], [0, 0]], [[0, 0], [35772, 42547/2], [19684, 11256], [8, 3/2]], [[0, 0], [-2476, -138199], [36852, -89187], [276, -126]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[112, -52]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [300, -117], [68, -28], [0, 0]], [[0, 0], [-9042, 7095/2], [-2100, 840], [10, 5/2]], [[0, 0], [-1126, -713], [-1260, -805], [-406, -260]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 3], [4, 0], [0, 0]], [[0, 0], [-2, 7], [2, 5], [-2, 2]], [[0, 0], [5/2, -1], [5, -2], [5/2, -1]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -3], [-14, 3], [0, 0]], [[0, 0], [-1587/2, 635/2], [2240, -868], [3/2, -5/2]], [[0, 0], [1745/2, -397], [-2632, 980], [19/2, 10]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[1424, -556]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166, 66], [-22, 7], [0, 0]], [[0, 0], [637, 29/2], [-300, -240], [-1, -3/2]], [[0, 0], [-3, -3/2], [0, 0], [-1, -1/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[1424, -556]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [186, -71], [-2, -1], [0, 0]], [[0, 0], [1525, -1187/2], [0, 0], [-1, -3/2]], [[0, 0], [-133, 99], [0, 0], [-47, -30]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[1168, -456]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, 42], [-158, 62], [0, 0]], [[-10, -5/2], [-2268, 891], [-3328, 2589/2], [0, -5/2]], [[0, -1/2], [517/2, -201/2], [377, -295/2], [-1/2, 0]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[1168, -456]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74, -29], [48, -19], [0, 0]], [[8, 7/2], [147/2, -67/2], [60, -37/2], [3/2, 2]], [[42, -21], [4733/2, -1841/2], [1664, -653], [-63/2, 21/2]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[96, -8]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3968, -1546], [12, -4], [0, 0]], [[0, -2], [-34932, -22527], [-7876, -5041], [0, -2]], [[32, -7/2], [159758, 100422], [35410, 45417/2], [32, -7/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 2], [18, 2], [0, 0]], [[0, 0], [-201/2, 53/2], [943/4, -563/4], [-43/4, -1/4]], [[0, 0], [212, -86], [-705, 263], [15, -7]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 14], [-6, 10], [0, 0]], [[0, 0], [869/2, 707/2], [1167/4, 949/4], [17/4, 3/4]], [[0, 0], [11271/2, -4479/2], [15049/4, -5981/4], [-609/4, 237/4]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[2048, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-580, 208], [12, 0], [0, 0]], [[0, 0], [-3618, 1152], [141, 41], [35, 5]], [[0, 0], [-1648, 1272], [-192, -156], [-32, -32]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[110864, -43280]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 8], [-18, -10], [0, 0]], [[0, 0], [1068, -258], [-254, -302], [2, 2]], [[0, 0], [-27385/2, 10599/2], [-1906, 860], [19/2, -9/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[110864, -43280]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 2], [-10, 10], [0, 0]], [[0, 0], [13/2, -17/2], [-73, -95], [-1/2, -3/2]], [[0, 0], [-287/2, 77/2], [-833, -37], [-33/2, 3/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[-1152, 448]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-574, 244], [-26, -10], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [-1512, -386], [952, 616], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-1152, 448]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1048, 398], [-8, -8], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [22, 14], [22, 14], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[27855104, -10874304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-288, 98], [-32, -16], [0, 0]], [[0, 0], [-1918, -917], [-3188, -2050], [6, -3]], [[0, 0], [-5998, -1076], [-6484, -4228], [58, -24]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[27855104, -10874304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [332, -122], [8, 12], [0, 0]], [[0, 0], [254, 26], [288, 140], [-14, 6]], [[0, 0], [-180, -153], [-424, -282], [-4, 1]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[-51968, 20288]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, 40], [32, 2], [0, 0]], [[0, 0], [8, 86], [304, 168], [8, -2]], [[0, 0], [-1366, 493], [308, -250], [114, -45]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[96, -8]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-452, 182], [8, 0], [0, 0]], [[0, 0], [-11042, -7101], [-6240, -3987], [-10, -2]], [[0, 0], [24950, 32415/2], [14236, 9047], [46, -9/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 12], [2, 6], [0, 0]], [[0, 0], [-110, -4], [-14, -6], [4, -2]], [[0, 0], [201/2, -105/2], [-2, -2], [-13/2, 5/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 22], [22, 10], [0, 0]], [[0, 0], [739/2, -135/2], [207, -51], [23/2, 5/2]], [[0, 0], [-7/2, -1/2], [1, -1], [1/2, -1/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-22500352, 8783872]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94344, -36828], [187936, -73368], [0, 0]], [[0, 0], [-2597790, 1013936], [-5174632, 2020132], [-2, 4]], [[0, 0], [3569760, -1393880], [7111896, -2776376], [12, 0]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[1024, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -4], [-8, -8], [0, 0]], [[0, 0], [-154, -76], [-52, -32], [-2, 0]], [[0, 0], [-4, 20], [8, 4], [0, 0]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[320, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [364, -134], [16, -2], [0, 0]], [[0, 0], [1138, 621], [556, 342], [6, -1]], [[0, 0], [7052, 5321/2], [2992, 1673], [88, -55/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[320, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [780, -300], [32, -10], [0, 0]], [[0, 0], [30678, 19506], [16916, 10826], [-2, 0]], [[0, 0], [-10822, -13503/2], [-5904, -3772], [2, -1/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-16384, 6400]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [312, -112], [-16, 20], [0, 0]], [[0, 0], [1338, 537], [1420, 922], [10, -3]], [[0, 0], [-3884, -624], [-2824, -1880], [-56, 20]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[-16384, 6400]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [212, -68], [40, -4], [0, 0]], [[0, 0], [1072, 599], [768, 494], [-4, 3]], [[0, 0], [-998, 888], [412, 228], [94, -36]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[128, -96]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5988, -2330], [16, -2], [0, 0]], [[0, 0], [-98834, -124865/2], [-54408, -34834], [10, 1/2]], [[0, 0], [3026812, 4076021/2], [1732940, 1110710], [528, -693/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[128, -96]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5068, 1984], [8, 0], [0, 0]], [[0, 0], [9930, 6390], [5644, 3610], [-6, 0]], [[0, 0], [1540, 1847/2], [828, 540], [8, -7/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[768, -320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5780, -2204], [24, 20], [0, 0]], [[0, 0], [-47550, -65691/2], [-27912, -17870], [6, 3/2]], [[0, 0], [-3446, 5398], [2212, 1404], [-6, 2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[356, -139]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -1], [6, 0], [0, 0]], [[-5, -3/2], [-4943/2, -107/2], [-2003/4, -117/4], [-1/4, -5/4]], [[300, -106], [263006, -198791/2], [50217, -37761/2], [-181, 75]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[356, -139]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -7/2], [-6, -3/2], [0, 0]], [[-2, -1/2], [-6942, 1338], [-1660, 211], [0, -1/2]], [[-55, 39/2], [-791501/2, 152382], [-349521/4, 133755/4], [133/4, -55/4]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[28, -13]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [842, -645/2], [18, -1/2], [0, 0]], [[8, 1/2], [-261049, -378485/2], [-593517/2, -190352], [-3/2, 2]], [[170, -459], [33239329, 18575245], [64457563/2, 41201375/2], [-1003/2, 85/2]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[28, -13]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [310, -243/2], [-2, 1/2], [0, 0]], [[8, -1/2], [89, 45/2], [5/2, -2], [-5/2, 2]], [[-20, 85/2], [405, 1197/2], [-95/2, 5], [95/2, -5]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[104, -30]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 0], [-2792, 1085], [-4, 0], [0, 0]], [[-3874, -4963/2], [-11442, -16295/2], [-3874, -4963/2], [-8, -2]], [[-62244, -40014], [-4832, -402485/2], [-62244, -40014], [-812, 469/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[104, -30]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22, 1/2], [-1290, 989/2], [22, 1/2], [0, 0]], [[436404, 279456], [-438126, -558797/2], [436404, 279456], [2, 1/2]], [[496428, 317709], [-515686, -310890], [496428, 317709], [14, -4]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[200, -78]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 5/2], [-68, 65/2], [8, 5/2], [0, 0]], [[9750, 12675/2], [26103/2, 11283/2], [9749, 12679/2], [-1/2, 1]], [[8050, 16675/2], [202563/2, -27388], [7965, 16745/2], [-85/2, 35/2]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[24, -2]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-26, -5/2], [-70, -11/2], [-26, -5/2], [0, 0]], [[22000, 13695], [57173, 71037/2], [21994, 13690], [-3, -5/2]], [[80850, 167475/2], [204102, 439179/2], [80722, 167499/2], [-64, 6]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[24, -2]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [-74, 59/2], [-2, 3/2], [0, 0]], [[-310, -401/2], [-227, -215], [-320, -391/2], [-5, 5/2]], [[-9162, -11707/2], [-9108, -10699/2], [-9054, -11727/2], [54, -5]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[24, -2]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-36, -1], [-44, 2], [-36, -1], [0, 0]], [[102, 123/2], [97, 123/2], [112, 123/2], [-5, 0]], [[-78, -91/2], [-73, -46], [-88, -89/2], [5, -1/2]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[200, -78]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 1/2], [-36, 39/2], [8, 1/2], [0, 0]], [[462, 315], [1785/2, 789/2], [462, 315], [-1/2, -1/2]], [[168, -77], [-3351/2, 637], [168, -77], [-5/2, 1]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[200, -78]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, 5/2], [66, -41/2], [10, 5/2], [0, 0]], [[-1326, -912], [-166, -2225/2], [-1326, -912], [0, 1/2]], [[-582, 1485/2], [-33821/2, 7026], [-582, 1485/2], [17/2, -7/2]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-504, 195], [8, -5], [0, 0]], [[6, 0], [2973, -1150], [-117/2, 59/2], [-3/2, 3/2]], [[8, -5/2], [6767, -2639], [-291/2, 117/2], [-9/2, 2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1344, -523], [-24, 11], [0, 0]], [[-8, -1/2], [64095, -24996], [-2359/2, 939/2], [3/2, -2]], [[120, 18], [-816624, 318336], [14980, -6010], [-12, 30]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[112, -44]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [450, -175], [6, -3], [0, 0]], [[-4, 0], [688, -268], [-7, -7], [1, -1]], [[111, 141/2], [-387/2, 73/2], [2737/4, 1755/4], [171/4, 111/4]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[112, -44]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-988, 385], [4, -1], [0, 0]], [[-3, -7/2], [-10969/2, 4287/2], [71/4, -35/4], [-11/4, -3/4]], [[-90, -115/2], [508, -150], [-37, -22], [-35, -45/2]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[32, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, -31], [10, -1], [0, 0]], [[0, 0], [72123/2, -27635/2], [14611/4, -6151/4], [17/4, -5/4]], [[0, 0], [-122089/2, -67385/2], [93575/4, 62193/4], [-355/4, -225/4]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[32, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, 41], [-28, 9], [0, 0]], [[0, 0], [15, -17], [105/2, 43/2], [15/2, 1/2]], [[0, 0], [-211/2, -151/2], [1745/4, 1103/4], [147/4, 89/4]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [532, -202], [12, 0], [0, 0]], [[0, 0], [21495, 8604], [27321/2, 17353/2], [-1/2, -3/2]], [[0, 0], [19440, -18931], [-8648, -5973], [8, -2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -41], [-20, 5], [0, 0]], [[0, 0], [-57, -32], [-99/2, -71/2], [3/2, 5/2]], [[0, 0], [3, -3], [1/2, -1/2], [-1/2, 1/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[112, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 2], [2, -3], [0, 0]], [[0, 0], [919/2, -177], [-245, 104], [-5/2, 2]], [[0, 0], [-3682, 1343], [1666, -982], [-12, -36]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[5072, -1980]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, 50], [-8, -1], [0, 0]], [[0, 0], [448, -95/2], [-16000, -10255], [0, 1/2]], [[0, 0], [17157, -13927/2], [33834, 21195], [-27, 19/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[5072, -1980]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-260, 101], [-40, 16], [0, 0]], [[0, 0], [-2195, 1703/2], [-326, 141], [5, 3/2]], [[0, 0], [261, -743/2], [730, 384], [161, 207/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[5072, -1980]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -24], [-4, 1], [0, 0]], [[0, 0], [-316, 123], [-8, 4], [4, -2]], [[0, 0], [7, 7/2], [-14, -9], [7, 9/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[112, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -13], [-14, 2], [0, 0]], [[0, 0], [-1383/2, 261], [272, -117], [3/2, 1]], [[0, 0], [-600, 234], [248, -97], [0, 0]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[112, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 10], [-28, 9], [0, 0]], [[0, 0], [228, -183/2], [230, -90], [2, 3/2]], [[0, 0], [621/2, -121], [310, -121], [-1/2, 0]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [216, -67], [20, -2], [0, 0]], [[0, 0], [100018, 129511/2], [33716, 21642], [10, 5/2]], [[0, 0], [5932, -186953/2], [-22872, -21637], [-528, 401/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2328, -907], [8, -5], [0, 0]], [[0, 0], [-91048, -114111/2], [92448, 59208], [-8, -5/2]], [[0, 0], [-1577906, 394055/2], [413256, 269850], [-2482, 1887/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[187936, -73368]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1272, 506], [20, -4], [0, 0]], [[5, 1/2], [170009, 112419], [70120, 89715/2], [5, 1/2]], [[28, -20], [-690864, -392551], [-258932, -166471], [28, -20]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[187936, -73368]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, -33], [64, -25], [0, 0]], [[5, 3/2], [205, -92], [16, 19/2], [5, 3/2]], [[-2080, -1332], [7216, 4622], [-9488, -6076], [-2080, -1332]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[4160, -1624]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [126, -49], [74, -29], [0, 0]], [[2, -1/2], [-2827, 1103], [-1622, 1267/2], [-1, 1/2]], [[-4, -5/2], [17/2, 11/2], [-4, -5/2], [-3/2, -1]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[4160, -1624]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [142, -56], [46, -18], [0, 0]], [[-4, -7/2], [4355/2, -1691/2], [652, -519/2], [-5/2, -1]], [[12, 3], [10728, -4195], [3252, -1262], [0, 3]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 8], [16, -4], [0, 0]], [[0, 0], [921/2, -29/2], [-671/4, 83/4], [11/4, 1/4]], [[0, 0], [171, 51], [-107/2, -21/2], [3/2, 1/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 10], [6, 6], [0, 0]], [[0, 0], [-47/2, -1/2], [-163/4, 127/4], [103/4, 5/4]], [[0, 0], [2134, -822], [8422, -3306], [-2236, 860]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, -28], [16, 12], [0, 0]], [[0, 0], [941, -313], [19/2, 33/2], [21/2, -1/2]], [[0, 0], [182, -80], [-5, -1], [1, -1]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 60], [8, 16], [0, 0]], [[0, 0], [-3774, 1184], [-499, 9], [15, 1]], [[0, 0], [25601, -11627], [2927/2, -3239/2], [-55/2, 99/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[394848, -154144]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -10], [-2, -2], [0, 0]], [[0, 0], [85/2, -47/2], [20, 6], [1/2, 5/2]], [[0, 0], [-781, 324], [-144, 18], [27, -18]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[394848, -154144]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -2], [-26, -10], [0, 0]], [[0, 0], [6215/2, -1077/2], [1524, 218], [-1/2, 3/2]], [[0, 0], [-25204, 8942], [-8344, 2176], [16, -8]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[394848, -154144]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, -14], [2, -6], [0, 0]], [[0, 0], [-33, 25], [-18, -6], [5, 1]], [[0, 0], [9/2, -3/2], [3, -1], [3/2, -1/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, -34], [0, 8], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [-880, 352], [60, -48], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [176, -70], [12, -4], [0, 0]], [[0, 0], [-1, 0], [2, 0], [1, 0]], [[0, 0], [232, -58], [-4, -16], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 6], [-72, 16], [0, 0]], [[0, 0], [-1, 0], [-2, 0], [1, 0]], [[0, 0], [1728, -594], [4472, -1548], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[185088, -72256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5596, 2132], [-4, -16], [0, 0]], [[0, 0], [1933170, -753607], [-4236, 2014], [-18, 7]], [[0, 0], [27728, -7558], [1000, 700], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[185088, -72256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [260, -78], [20, 0], [0, 0]], [[0, 0], [114, -30], [48, -12], [10, -2]], [[0, 0], [-2094, 807], [-868, 334], [-170, 65]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[608, -224]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -2], [14, 2], [0, 0]], [[0, 0], [275/2, -55/2], [68, 12], [17/2, 3/2]], [[0, 0], [-1559, 621], [-404, 176], [-53, 23]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[608, -224]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 6], [-34, 2], [0, 0]], [[0, 0], [1629/2, -629/2], [1532, -624], [19/2, 5/2]], [[0, 0], [7357, -2871], [14114, -5518], [33, -11]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[256, -256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-336, 124], [-4, -4], [0, 0]], [[0, 0], [-47, 23], [26, -10], [13, -5]], [[0, 0], [54, -16], [-20, 8], [-10, 4]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[256, -256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [504, -164], [28, 12], [0, 0]], [[0, 0], [62528, -33290], [-5136, -4204], [8, -6]], [[0, 0], [-693271, 285385], [1170, 9850], [-103, 45]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[1268, -495]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 0], [16, -1], [0, 0]], [[-5, -3/2], [-1007/2, -79/2], [2589/4, 135/4], [-1/4, -5/4]], [[-22, 2], [-3025, 1463/2], [8025/2, -1021], [15/2, -11/2]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[60, -37]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, 58], [-4, 1], [0, 0]], [[-1, -1/2], [6550, 4203], [-2177, -1398], [-1, -1/2]], [[0, 0], [6, 3/2], [-2, -1/2], [0, 0]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[56, -26]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 5/2], [342, -273/2], [2, 5/2], [0, 0]], [[-2350, -3005/2], [2660, 2375/2], [-2346, -3013/2], [2, -2]], [[-3796, -2409], [8019, 897/2], [-3742, -2434], [27, -25/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[56, -26]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 3/2], [-198, 159/2], [2, 3/2], [0, 0]], [[0, 0], [726, -617/2], [-4, 3], [-2, 3/2]], [[0, 0], [35727, -14253], [-242, 112], [-121, 56]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[56, -26]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, -1/2], [-118, 79/2], [18, -1/2], [0, 0]], [[1880, 1202], [-1883, -2413/2], [1882, 1205], [1, 3/2]], [[6034, 7327/2], [-5791, -3776], [5872, 7477/2], [-81, 75/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[56, -26]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 3/2], [-378, 301/2], [2, 3/2], [0, 0]], [[0, 0], [-639, 551/2], [10, -5], [5, -5/2]], [[0, 0], [5004, -4181/2], [-80, 37], [-40, 37/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[712, -278]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, -2], [-68, 17], [-20, -2], [0, 0]], [[-42826, -56007/2], [-39095, -56543/2], [-42824, -56003/2], [-1, -1]], [[121716, 111573], [-64615/2, 167474], [121747, 111551], [-31/2, 11]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[712, -278]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22, 5/2], [-6, 27/2], [22, 5/2], [0, 0]], [[-12800, -8320], [-26351/2, -16495/2], [-12803, -8325], [-3/2, -5/2]], [[-5632, -3840], [-12481/2, -3636], [-5629, -3844], [3/2, -2]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[328, -134]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-24, 0], [-1828, 671], [-24, 0], [0, 0]], [[-90098, -115425/2], [-408294, -526487/2], [-90114, -115433/2], [-8, -2]], [[-72352, -45220], [-453936, -314123/2], [-71904, -45403], [224, -183/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[56, -26]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, -1/2], [-242, 177/2], [18, -1/2], [0, 0]], [[29146, 37701/2], [-23211, -37217/2], [29146, 37701/2], [1, -1]], [[-499730, -678205/2], [101195, 449465], [-499730, -678205/2], [-153, 141/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[712, -278]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, -3/2], [-90, 77/2], [10, -3/2], [0, 0]], [[-444, -302], [-866, -663/2], [-436, -312], [2, -5/2]], [[-618, -877/2], [-2905/2, -781/2], [-592, -917/2], [13/2, -5]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[208, -60]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28932, 11275], [4, 5], [0, 0]], [[-3, -1], [-435562, -283697], [146519, 93830], [-3, -1]], [[-4, 3/2], [8096, -16161], [4194, 2690], [-4, 3/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[400, -156]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1328, 519], [-72, 29], [0, 0]], [[3, 0], [79287/2, -30835/2], [9015/4, -3147/4], [-3/4, 3/4]], [[121, 155/2], [10775/2, 7411/2], [35599/4, 22853/4], [189/4, 121/4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, -56], [28, -10], [0, 0]], [[0, 0], [-21809/2, 8591/2], [-8437/4, 3205/4], [-15/4, 3/4]], [[0, 0], [-1151/2, -1623/2], [2669/4, 1371/4], [71/4, 45/4]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[448, -208]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4148, -1617], [-4, 1], [0, 0]], [[0, 0], [56, 280], [12, -6], [-12, 6]], [[0, 0], [1066, 516], [-13, 1], [13, -1]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[18064, -7052]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [224, -93], [0, 5], [0, 0]], [[0, 0], [2105, 4155/2], [-2518, -1625], [1, 5/2]], [[0, 0], [125336, 17155], [-58720, -36522], [220, -20]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[18064, -7052]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-396, 154], [-40, 15], [0, 0]], [[0, 0], [123, -43], [14, -4], [3, 0]], [[0, 0], [285, 365/2], [114, 73], [57, 73/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[18064, -7052]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 19], [16, -7], [0, 0]], [[0, 0], [10244, -8005/2], [-3364, 1316], [4, -1/2]], [[0, 0], [22753, 28293/2], [-18302, -11581], [-7051, -9031/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[18064, -7052]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [740, -290], [16, -7], [0, 0]], [[0, 0], [-47287, 37037/2], [-1030, 433], [1, -5/2]], [[0, 0], [-40230, -23607], [-20260, -12926], [1390, 890]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[400, -156]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 2], [-64, 25], [0, 0]], [[0, 0], [37/2, 6], [-5, 4], [5/2, -2]], [[0, 0], [-70, -4], [44, -22], [-22, 11]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[400, -156]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -19], [-4, 2], [0, 0]], [[0, 0], [-57/2, 27/2], [11, -2], [3/2, -5/2]], [[0, 0], [-15/2, 3], [5, -2], [5/2, -1]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[208, -60]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1228, -449], [36, 1], [0, 0]], [[0, 0], [-1662534, -1034649], [-809456, -517835], [2, -1]], [[0, 0], [-36819402, -48382415/2], [-18518428, -11869819], [-50, 29/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[18064, -7052]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [700, -263], [-20, -3], [0, 0]], [[0, 0], [4053, 6667/2], [-5000, -3212], [-1, -3/2]], [[0, 0], [33653, 11393/2], [-19404, -12210], [-25, 5/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[400, -156]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 10], [-68, 27], [0, 0]], [[0, 0], [57/2, -23/2], [66, -33], [-1/2, -3/2]], [[0, 0], [-3/2, 1], [2, 6], [3/2, 1]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[14816, -5784]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [468, -183], [64, -25], [0, 0]], [[-4, -5/2], [-699/2, 279/2], [-10, -13/2], [-3/2, -1]], [[0, 0], [292, -114], [0, 0], [0, 0]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -8], [4, -4], [0, 0]], [[0, 0], [383/2, -11/2], [379/4, 17/4], [65/4, 3/4]], [[0, 0], [19/2, -3/2], [23/4, -3/4], [5/4, -1/4]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[3072, -1280]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [744, -324], [-24, 20], [0, 0]], [[0, 0], [24214, 16844], [-8071, -5219], [-9, 1]], [[0, 0], [71578, 56298], [-25629, -16807], [-59, 15]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[1792, -704]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [636, -242], [-4, -4], [0, 0]], [[0, 0], [5, 0], [0, 2], [1, 0]], [[0, 0], [5804, -2246], [-4, -16], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -6], [16, -4], [0, 0]], [[0, 0], [14, -12], [-172, 76], [2, 0]], [[0, 0], [-23/2, -7/2], [42, -8], [1/2, 1/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[1792, -704]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-272, 102], [-8, 8], [0, 0]], [[0, 0], [-5, 0], [2, 0], [1, 0]], [[0, 0], [164, -68], [12, 0], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-1792, 704]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, 86], [20, 20], [0, 0]], [[0, 0], [-5, 0], [2, 0], [1, 0]], [[0, 0], [-212, 78], [-12, 0], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-1792, 704]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-192, 86], [8, -16], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [4828, -1950], [-420, 240], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-1792, 704]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-560, 216], [-16, 4], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [-212, 94], [4, 8], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 0], [-4, 0], [0, 0]], [[0, 0], [-7/2, 9/2], [9, 1], [-9/2, -1/2]], [[0, 0], [61/2, 17/2], [21, 21], [-21/2, -21/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -8], [12, -16], [0, 0]], [[0, 0], [-152, -11], [-604, -270], [4, 1]], [[0, 0], [-813/2, 635/2], [349, 1005], [9/2, -15/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[81152, -31680]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-752, 328], [-8, 20], [0, 0]], [[0, 0], [45458, 31143], [23212, 14922], [6, 1]], [[0, 0], [-7346, 86839], [37460, 26570], [130, -45]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 8], [-24, 0], [0, 0]], [[0, 0], [30, 16], [-4, -24], [6, 0]], [[0, 0], [-7/2, 19/2], [-42, 10], [-9/2, 5/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[4516, -1763]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -5], [-20, 0], [0, 0]], [[-5, -3/2], [77353/2, 4549/2], [102301/4, -8829/4], [-1/4, -5/4]], [[664, -308], [-9162698, 7645039/2], [-7660900, 6201251/2], [-474, 166]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[120, -74]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 2], [2692, -1057], [0, 2], [0, 0]], [[73482, 94125/2], [-216058, -290909/2], [73498, 94133/2], [8, 2]], [[-181424, -116058], [705080, 583395/2], [-181312, -116127], [56, -69/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[2536, -990]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, 5/2], [2, -5/2], [-10, 5/2], [0, 0]], [[-272, -194], [-797/2, -501/2], [-275, -199], [3/2, 5/2]], [[18000, -2700], [4817/2, 4913], [20231, -3482], [-2231/2, 391]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[2536, -990]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-30, -5/2], [-162, 97/2], [-30, -5/2], [0, 0]], [[4672, 2944], [10431/2, 2908], [4673, 2944], [-1/2, 0]], [[-32, -16], [-68, -3], [-32, -16], [0, 0]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[2536, -990]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 1], [-64, 22], [-12, 1], [0, 0]], [[-440, -295], [-559/2, -266], [-443, -293], [-3/2, 1]], [[30, 105/2], [-161, 229/2], [40, 97/2], [5, -2]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[2536, -990]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 0], [16, -11], [-12, 0], [0, 0]], [[164, 106], [161, 203/2], [166, 109], [1, 3/2]], [[474, 355/2], [279/2, 296], [697, 197/2], [223/2, -79/2]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[216, -82]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-16, 2], [532, -219], [-16, 2], [0, 0]], [[165210, 212325/2], [457232, 552377/2], [165214, 212329/2], [2, 1]], [[70170, -526275/2], [-14255031, 4936902], [69704, -525921/2], [-233, 177/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[216, -82]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-36, -1], [-264, 88], [-36, -1], [0, 0]], [[7374, 9443/2], [7365, 4714], [7356, 9413/2], [3, 5/2]], [[-7106, -10013/2], [-6032, -10829/2], [-4958, -11645/2], [-358, 136]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[120, -74]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-30, -3/2], [-2350, 1861/2], [-30, -3/2], [0, 0]], [[544788, 348799], [-529424, -699099/2], [544788, 348799], [-4, 1/2]], [[-8887770, -11388045/2], [9125614, 11031059/2], [-8887770, -11388045/2], [-76, 47]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[2536, -990]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, 1/2], [130, -89/2], [14, 1/2], [0, 0]], [[1956, 1239], [4499/2, 1240], [1966, 1247], [5/2, 2]], [[-168, 1050], [-31101/2, 7112], [-30, 1002], [69/2, -12]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[1424, -556]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2076, 815], [-4, -3], [0, 0]], [[2, -3/2], [25824, 16987], [-26296, -16830], [-2, 1/2]], [[17, -6], [-51963/2, -27795/2], [93157/4, 59891/4], [-41/4, 17/4]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[448, -176]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-188, 78], [-12, 0], [0, 0]], [[0, 0], [-2065/2, -1061/2], [3659/4, 2285/4], [-15/4, 3/4]], [[0, 0], [2605/2, -85/2], [-2175/4, -1005/4], [83/4, -31/4]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[656, -268]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8668, -3385], [-12, 5], [0, 0]], [[0, 0], [69882, 90553/2], [-20004, -12819], [10, 5/2]], [[0, 0], [-20016, -8739/2], [3496, 2099], [60, -49/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[1424, -556]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-176, 69], [8, -3], [0, 0]], [[0, 0], [-18, 4], [-4, 2], [2, -1]], [[0, 0], [7/2, 0], [1, 0], [-1/2, 0]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[1424, -556]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-176, 63], [0, -5], [0, 0]], [[0, 0], [-418, -919/2], [-544, -341], [2, 1/2]], [[0, 0], [603/2, -323/2], [-51, -19], [3/2, -1/2]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[64336, -25116]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [148, -57], [-200, 78], [0, 0]], [[0, 0], [-1520, 615], [2084, -813], [4, -2]], [[0, 0], [5541, 7081/2], [102, 76], [-107, -137/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[64336, -25116]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-412, 161], [-16, 2], [0, 0]], [[0, 0], [2996, 855/2], [-40384, -25913], [4, -5/2]], [[0, 0], [-29127, 3125], [208030, 133973], [-67, 31]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[1424, -556]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 31], [12, 4], [0, 0]], [[0, 0], [3679/2, 1156], [1719, 1107], [-5/2, 1]], [[0, 0], [-308, -197], [-292, -187], [0, 0]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[1424, -556]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [240, -87], [20, -2], [0, 0]], [[0, 0], [2433/2, 1271/2], [949, 592], [5/2, -3/2]], [[0, 0], [-79113/2, -22661], [-32325, -20408], [-77/2, 33]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[656, -268]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3408, -1330], [-4, 1], [0, 0]], [[0, 0], [-258, -161/2], [0, 0], [-6, -3/2]], [[0, 0], [580, -477/2], [0, 0], [16, -13/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[1424, -556]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -9], [-4, 2], [0, 0]], [[0, 0], [-243/2, -74], [-114, -71], [-5/2, -1]], [[0, 0], [-46, -137], [-88, -113], [14, -8]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[384, -128]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -12], [16, -8], [0, 0]], [[0, 0], [559/2, -27/2], [-797/4, 185/4], [-119/4, -5/4]], [[0, 0], [-11361/2, -3759/2], [11403/4, 953/4], [2769/4, 1123/4]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[289024, -112832]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3688, -1446], [-16, 4], [0, 0]], [[0, 0], [35068, 23905], [13152, 8422], [4, 1]], [[0, 0], [75042, 59747], [31152, 19946], [18, -1]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[128, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 22], [0, 12], [0, 0]], [[0, 0], [-43, 108], [-16, 62], [1, 0]], [[0, 0], [1705/2, -597/2], [458, -158], [-7/2, 3/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-289024, 112832]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2352, -992], [-32, -12], [0, 0]], [[0, 0], [29722, 18953], [9812, 6302], [-10, 3]], [[0, 0], [-222196, -142173], [-73616, -47170], [20, -1]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[128, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -6], [-20, 4], [0, 0]], [[0, 0], [661/2, -213/2], [317, -129], [3/2, 5/2]], [[0, 0], [-478, 185], [-496, 194], [2, -1]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[128, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -16], [4, -8], [0, 0]], [[0, 0], [59/2, -1/2], [11, -5], [5/2, 5/2]], [[0, 0], [3/2, -1/2], [3, -1], [-3/2, 1/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[128, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 4], [16, 12], [0, 0]], [[0, 0], [-1497/2, 591/2], [-87, 21], [-3/2, 1/2]], [[0, 0], [-68, 26], [-4, 4], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[128, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -8], [12, -8], [0, 0]], [[0, 0], [35, 180], [-126, -12], [1, 2]], [[0, 0], [-3971/2, 1725/2], [-929, 335], [-33/2, 15/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[768, -320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -4], [160, -60], [0, 0]], [[0, 0], [3, 0], [-6, 0], [1, 0]], [[0, 0], [0, 14], [128, -52], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[768, -320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -2], [-8, -12], [0, 0]], [[0, 0], [-5, 0], [2, 0], [1, 0]], [[0, 0], [-360, 138], [176, -72], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[104, -30]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-24, 2], [-332, 137], [-24, 2], [0, 0]], [[-2330, -2985/2], [2303, 1497], [-2324, -2987/2], [-3, 1/2]], [[-12702, -16279/2], [12387, 16459/2], [-12632, -16319/2], [-35, 10]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[104, -30]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, -1/2], [982, -781/2], [-18, -1/2], [0, 0]], [[-115450, -147625/2], [-98680, -74282], [-115446, -147615/2], [-2, -5/2]], [[2145600, 1430400], [7128927, -1261947/2], [2144370, 1430755], [615, -355/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[9032, -3526]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, 1/2], [86, -53/2], [18, 1/2], [0, 0]], [[-32240, -21216], [-26743, -42653/2], [-32246, -21207], [1, -3/2]], [[3070704, 1900912], [6589303/2, 1626832], [3068679, 1901092], [675/2, -30]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[104, -30]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-34, -1/2], [1858, -1423/2], [-34, -1/2], [0, 0]], [[-2768260, -1772485], [2805546, 1772030], [-2768256, -1772489], [2, -2]], [[-33784740, -21646845], [32968689, 44275177/2], [-33785034, -21646760], [-147, 85/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[104, -30]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [-314, 243/2], [-2, -1/2], [0, 0]], [[0, 0], [613, -233/2], [10, -3], [5, -3/2]], [[0, 0], [108428, -18303], [1744, -504], [872, -252]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[9032, -3526]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-38, 1/2], [98, -103/2], [-38, 1/2], [0, 0]], [[31282, 38713/2], [50515/2, 19288], [31297, 38731/2], [-5/2, -3/2]], [[-106680, -7910], [450925/2, -133775], [-106755, -7904], [25/2, -1]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[104, -30]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 0], [-1260, 495], [8, 0], [0, 0]], [[-9224, -5906], [-8927, -11961/2], [-9230, -5907], [-3, -1/2]], [[-92486, -118255/2], [-64940, -69466], [-92810, -118069/2], [-162, 93/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2880, -1124], [12, -5], [0, 0]], [[0, 0], [89067, 114095/2], [-89074, -57044], [-1, 1/2]], [[0, 0], [292, 187], [-292, -187], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [692, -277], [-20, 1], [0, 0]], [[0, 0], [-105849, -66837], [-104234, -66771], [-1, 1]], [[0, 0], [185211, 403227/2], [265794, 168391], [-141, 107/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2556, -1005], [24, -2], [0, 0]], [[0, 0], [270117, 364533/2], [-287054, -183761], [1, 5/2]], [[0, 0], [-224933, 43687], [42738, 28683], [-37, 14]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-708, 281], [4, 3], [0, 0]], [[0, 0], [-1027, 395], [10, 4], [5, 2]], [[0, 0], [-638004, 498115/2], [1472, -559], [736, -559/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[5072, -1980]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, -40], [-36, -5], [0, 0]], [[0, 0], [741/2, -91/2], [-3035, -1891], [1/2, -1/2]], [[0, 0], [-7331/2, 1591], [-4107, -3362], [-23/2, 4]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[229136, -89452]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1196, 467], [-128, 50], [0, 0]], [[0, 0], [-108, 35/2], [-16, 3], [-4, -1/2]], [[0, 0], [-1209, -1533/2], [-158, -100], [-101, -129/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[5072, -1980]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-260, 101], [-56, 22], [0, 0]], [[0, 0], [-13479/2, 5229/2], [-1459, 570], [-3/2, 3/2]], [[0, 0], [-81387/2, 15758], [-8803, 3440], [-15/2, 10]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[-22784, 8896]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, -34], [-24, -20], [0, 0]], [[0, 0], [-9, 0], [-2, 0], [1, 0]], [[0, 0], [-24, 86], [-80, -48], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[22784, -8896]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, -40], [24, 4], [0, 0]], [[0, 0], [-9, 0], [-2, 0], [1, 0]], [[0, 0], [-3336, 1298], [-288, 108], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-22784, 8896]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1712, 670], [-24, 8], [0, 0]], [[0, 0], [11, 0], [2, 0], [1, 0]], [[0, 0], [-160, -120], [144, 92], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[22784, -8896]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-720, 290], [104, -32], [0, 0]], [[0, 0], [11, 0], [2, 0], [1, 0]], [[0, 0], [6840, -2764], [-1000, 300], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 10], [8, -12], [0, 0]], [[0, 0], [-6, -6], [20, 8], [-2, -2]], [[0, 0], [69/2, -27/2], [-69, 27], [23/2, -9/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-22784, 8896]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, 70], [-24, -16], [0, 0]], [[0, 0], [-13, 0], [2, 0], [1, 0]], [[0, 0], [96, -4], [-32, -20], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -16], [32, -12], [0, 0]], [[0, 0], [1281/2, 789/2], [-97, 27], [3/2, -1/2]], [[0, 0], [-128, -66], [56, -20], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[328, -134]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-54, 1/2], [-1354, 951/2], [-54, 1/2], [0, 0]], [[-751248, -480528], [-1957186, -2463689/2], [-751260, -480531], [2, 1/2]], [[-110544, -78960], [-2383, -628091/2], [-110478, -78987], [-11, 9/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[32168, -12558]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-38, -3/2], [618, -515/2], [-38, -3/2], [0, 0]], [[-1534960, -982380], [-1509149, -1966647/2], [-1534954, -982371], [-1, -3/2]], [[-2841020, -1783355], [-3581981/2, -2176572], [-2841305, -1783223], [95/2, -22]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[18064, -7052]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-504, 192], [-4, -3], [0, 0]], [[0, 0], [-849, 731/2], [6, -3], [-1, 1/2]], [[0, 0], [59551/2, -7348], [-273, 24], [91/2, -4]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[208, -60]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [312, -122], [-60, 1], [0, 0]], [[0, 0], [6899, 257/2], [305782, 196353], [3, -1/2]], [[0, 0], [-152776, 27391], [-3485664, -2247762], [-76, 22]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[9984, -3904]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 26], [-48, 16], [0, 0]], [[0, 0], [-13, 0], [-6, 0], [1, 0]], [[0, 0], [-384, 32], [-192, 36], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[-256, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 18], [-40, 8], [0, 0]], [[0, 0], [-1579/2, 781/2], [-133, 543], [-9/2, -1/2]], [[0, 0], [-13270, 5414], [-8108, 4560], [-42, 10]]], 0, 3072, [], [] >,
< [ -5, -1, 1 ], [[-2, -2]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, -1], [-58581/70, 68/35], [6835/17, -12/17], [571/1190, -1/1190]], [[125/2, 53/2], [81114/7, 145643/14], [-94882/17, -170135/34], [-2378/357, -2132/357]]], 4, 2, [], [] >,
< [ -5, -1, 1 ], [[-1, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, -9/2], [-43/2, -11], [1/2, -5/2], [0, 0]], [[178, 237/2], [408, 473/2], [78, 39/2], [1, 1/2]], [[-91/2, 13], [-53/2, 5/2], [52, -39/2], [0, 0]]], 3, 2, [], [] >,
< [ -5, -1, 1 ], [[0, -2]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5, 7/2], [19/2, -1], [5/2, 1/2], [-41/30, 1/30]], [[407/2, 110], [167/3, 379/6], [143/3, 187/6], [-64/5, -56/5]]], 4, 2, [], [] >,
< [ -5, -1, 1 ], [[0, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-7, -2], [-2, -7/2], [25/2, 3/2], [-5/2, -1]], [[-17/2, 19], [97/2, -5/2], [51, -79/2], [2, 6]]], 3, 2, [], [] >,
< [ -5, -1, 1 ], [[-6, -4]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3, 2], [157/6, 26/3], [7/3, 1/3], [25/6, 1/6]], [[-27/2, 3], [-41/2, -57/2], [1/2, -5/2], [19/6, -133/30]]], 4, 2, [], [] >,
< [ -5, -1, 1 ], [[-3, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5/2, 3/2], [-9, -5/2], [17/2, -2], [-1, -2]], [[60, 69/2], [-345/2, -145/2], [96, -10], [-91/2, -39]]], 3, 2, [], [] >,
< [ -5, -1, 1 ], [[8, 5]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[4, 1], [9/5, 6/5], [-15/2, -2], [-7/5, -1/10]], [[-16, -17/2], [-23/2, -13/2], [30, 16], [4, 2]]], 4, 4, [], [] >,
< [ -5, -1, 1 ], [[-49, -28]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -2], [-1, -1/2], [-11, -13], [0, 0]], [[0, 0], [16/5, -1/5], [131/2, -19], [-8/5, 1/10]], [[0, 0], [18, -3], [833/2, -133], [-9, 3/2]]], 1, 16, [], [] >,
< [ -5, -1, 1 ], [[10, 2]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[7/2, 1], [-5/3, -1/6], [-2/3, 5/6], [-1, 0]], [[-7/2, -7/2], [1/2, 3/2], [-7/2, 0], [-1/6, 5/6]]], 1, 12, [], [] >,
< [ -5, -1, 1 ], [[5, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 2], [25/2, 27/2], [10, -1/2], [0, 0]], [[-263/2, 37], [-715/2, 8], [387/2, -86], [-1/2, -1]], [[-246, 109/2], [-1645/2, -99], [617/2, -329/2], [-3, -3]]], 1, 4, [], [] >,
< [ -5, -1, 1 ], [[58, 32]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3, -2], [-11/3, -31/6], [-7/3, -1/3], [-5/6, 2/3]], [[-45, 15/2], [-96, -26], [-5/2, -10], [44/3, -11/6]]], 1, 12, [], [] >,
< [ -5, -1, 1 ], [[29, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 2], [-7/2, 7/2], [7, 1/2], [0, 0]], [[925/2, -207], [-1263, 871/2], [751, -295], [1/2, 5/2]], [[-6905, 520], [10827, -4682], [-8668, 1878], [161, 69]]], 1, 4, [], [] >,
< [ -5, -1, 1 ], [[-4, -4]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [494/35, 887/70], [-116/17, -104/17], [-29/3570, -13/1785]]], 1, 10, [], [] >,
< [ -5, -1, 1 ], [[16, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -18], [4, -10], [0, 0]], [[0, 0], [2, 1], [1, 1], [1, 0]], [[0, 0], [-6, 2], [-6, 2], [0, 0]]], 0, 160, [], [] >,
< [ -5, -1, 1 ], [[0, -4]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [16/3, -1/6], [1/3, 1/3], [-7/6, -1/6]], [[0, 0], [1/2, 0], [0, 0], [-2/15, -1/30]]], 1, 10, [], [] >,
< [ -5, -1, 1 ], [[0, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -8], [20, 6], [0, 0]], [[0, 0], [0, 1], [3, 1], [1, 0]], [[0, 0], [-30, 20], [-70, 14], [0, 0]]], 0, 240, [], [] >,
< [ -5, -1, 1 ], [[-12, -8]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-1, -5/2], [-3, 1], [-5/6, -2/15]], [[0, 0], [-151/3, -79/3], [4/3, -5/3], [-7, -21/5]]], 1, 10, [], [] >,
< [ -5, -1, 1 ], [[-48, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -4], [26, 14], [0, 0]], [[0, 0], [0, 1], [1, 1], [1, 0]], [[0, 0], [-4, 2], [2, -2], [0, 0]]], 0, 240, [], [] >,
< [ -5, -1, 1 ], [[16, -32]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 8], [-4, -6], [0, 0]], [[0, 0], [316/5, -146/5], [-24, 25], [17/5, 3/5]], [[0, 0], [1546/5, 534/5], [-638, -317], [-323/5, -187/5]]], 0, 480, [], [] >,
< [ -5, -1, 1 ], [[112, 112]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -6], [24, 22], [0, 0]], [[0, 0], [2504/5, 36/5], [-1660, -96], [-12/5, 2/5]], [[0, 0], [-15138/5, -982/5], [10146, 1107], [69/5, -9/5]]], 0, 3840, [], [] >,
< [ -5, -1, 1 ], [[20, 4]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [26/3, 7/6], [14/3, -1/3], [-1/6, 5/6]], [[0, 0], [-28/3, -115/3], [44/3, -55/3], [-52/3, -4/3]]], 1, 60, [], [] >,
< [ -5, -1, 1 ], [[80, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 10], [30, -4], [0, 0]], [[0, 0], [0, 1], [3, 1], [1, 0]], [[0, 0], [110, 36], [70, -4], [0, 0]]], 0, 960, [], [] >,
< [ -5, -1, 1 ], [[116, 64]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-21/2, -2], [8, 3], [5/6, -1/6]], [[0, 0], [319/6, 5/3], [-104/3, -26/3], [-11/2, 3/2]]], 1, 60, [], [] >,
< [ -5, -1, 1 ], [[464, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, -38], [74, 36], [0, 0]], [[0, 0], [4, 1], [1, 1], [1, 0]], [[0, 0], [-1860, -840], [1672, 798], [0, 0]]], 0, 960, [], [] >,
< [ -5, -1, 1 ], [[64, 64]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -6], [0, 20], [0, 0]], [[0, 0], [35079/35, 2166/35], [91258/17, -466/17], [-619/595, -1/595]], [[0, 0], [-751754/35, -293196/35], [-1750112/17, -603616/17], [36032/1785, 12608/1785]]], 0, 1280, [], [] >,
< [ -5, -1, 1 ], [[0, 64]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22/3, 22/3], [-20/3, 16/3], [0, 0]], [[0, 0], [-1496/3, 43/3], [-2846/3, 862/3], [-19/15, -1/15]], [[0, 0], [-3450, -1828], [-1364, -488], [-52/5, -28/5]]], 0, 2560, [], [] >,
< [ -5, -1, 1 ], [[192, 128]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 12], [12, 4], [0, 0]], [[0, 0], [-1727/3, 781/3], [620/3, -34/3], [4, 1/5]], [[0, 0], [-23614/3, 16286/3], [16900/3, 3016/3], [370/3, 518/15]]], 0, 2560, [], [] >,
< [ -5, -1, 1 ], [[-320, -64]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 6], [20, 0], [0, 0]], [[0, 0], [-1985/3, 769/3], [1906/3, -440/3], [1/3, 4/3]], [[0, 0], [-1522/3, 656/3], [1832/3, -184/3], [2, 2]]], 0, 15360, [], [] >,
< [ -5, -1, 1 ], [[-448, -192]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28/3, 2/3], [4/3, -8/3], [0, 0]], [[0, 0], [575/3, 359/3], [532/3, 274/3], [8/3, 5/3]], [[0, 0], [2127, -637], [-1092, 494], [30, -9]]], 0, 15360, [], [] >,
< [ -5, -1, 1 ], [[6, 0]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1412, 11/2], [7543/70, 307/70], [20557/34, 27/17], [2927/1190, -1/595]], [[24567, -26501/2], [59084/35, -34259/35], [358893/34, -96562/17], [51557/1190, -27577/1190]]], 1, 4, [], [] >,
< [ -5, -1, 1 ], [[-63, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1/2], [-212, -253/2], [11/2, -2], [0, 0]], [[3, -2], [47, 41], [0, 0], [-7, -1]], [[11/2, 0], [-152, -145/2], [0, 0], [11/2, 11/2]]], 0, 36, [], [] >,
< [ -5, -1, 1 ], [[-63, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -9/2], [-659/2, -178], [-17/2, -5/2], [0, 0]], [[1313/2, -461/2], [-6373, 4945/2], [-4959/2, 891], [8, 2]], [[511/2, -171/2], [-4499/2, 1049], [-945, 342], [8, 7/2]]], 0, 36, [], [] >,
< [ -5, -1, 1 ], [[6, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 3], [3, 3], [5, 2], [0, 0]], [[-3, -3], [-19/2, 3], [2, -9/2], [-1/2, -5/2]], [[-45, -1/2], [167, -123/2], [-131, 63/2], [-57, 19/2]]], 1, 4, [], [] >,
< [ -5, -1, 1 ], [[-33, -18]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [1/2, -1/2], [17, 5], [0, 0]], [[162, 99], [283/5, 107/5], [-1487, -890], [1/5, -1/5]], [[76, 28], [-13/5, 78/5], [-1311/2, -531/2], [-7/10, 1/5]]], 1, 8, [], [] >,
< [ -5, -1, 1 ], [[21, 0]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 0], [1, -1/2], [140, 77], [0, 0]], [[29/2, 13], [17, 3/2], [-4589, -5311/2], [-5/2, -1/2]], [[453/2, -213/2], [-4253/10, 709/5], [1697, 5384], [242/5, -77/5]]], 1, 64, [], [] >,
< [ -5, -1, 1 ], [[12, 0]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-779/70, -31/70], [-120/17, -5/17], [12/595, 1/1190]]], 1, 20, [], [] >,
< [ -5, -1, 1 ], [[1008, 576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-412, -214], [20, 8], [0, 0]], [[0, 0], [5224, -2375], [-1089, 435], [7, 4]], [[0, 0], [-5364, 1914], [1056, -378], [0, 0]]], 0, 8640, [], [] >,
< [ -5, -1, 1 ], [[1008, 576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [172, 76], [16, -2], [0, 0]], [[0, 0], [-2204, 973], [-1263, 489], [13, 4]], [[0, 0], [-22837, 9002], [-12684, 4707], [77, 11]]], 0, 8640, [], [] >,
< [ -5, -1, 1 ], [[-96, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [-8, -2], [0, 0]], [[0, 0], [0, 1], [-1, 1], [1, 0]], [[0, 0], [10, 4], [-24, -12], [0, 0]]], 0, 320, [], [] >,
< [ -5, -1, 1 ], [[144, 48]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [24, 6], [0, 0]], [[0, 0], [-24/5, -6/5], [-5, 4], [12/5, 3/5]], [[0, 0], [-8/5, 8/5], [-14, 4], [4/5, -4/5]]], 0, 1920, [], [] >,
< [ -5, -1, 1 ], [[336, 0]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -2], [134, 68], [0, 0]], [[0, 0], [-8/5, -2/5], [-125, -44], [4/5, 1/5]], [[0, 0], [-14/5, -6/5], [-262, -127], [7/5, 3/5]]], 0, 15360, [], [] >,
< [ -5, -1, 1 ], [[192, 0]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 6], [0, 8], [0, 0]], [[0, 0], [-97483/35, 3173/35], [-36544/17, 1050/17], [2308/595, -3/595]], [[0, 0], [-228003/5, 1123253/5], [-540232/17, 2958786/17], [1108/85, -27423/85]]], 0, 5120, [], [] >,
< [ -5, -1, 1 ], [[-6, -6]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1, -1/2], [4229/7, -11/14], [-31559/34, -94/17], [-131/119, -1/238]], [[0, 0], [-1091/35, 717/70], [804/17, -264/17], [67/1190, -11/595]]], 1, 12, [], [] >,
< [ -5, -1, 1 ], [[-6, -6]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -2], [19/2, 1/2], [-5/2, 1/2], [0, 0]], [[2151/2, -425/2], [-103013/70, 48463/70], [7602/17, -2163/34], [2903/1190, -3/1190]], [[-680457/2, 294901/2], [49853401/70, -8075343/35], [-2146550/17, 2023791/34], [-283938/595, 356841/1190]]], 1, 12, [], [] >,
< [ -5, -1, 1 ], [[-21, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1], [-81, -48], [-3, 0], [0, 0]], [[31/2, -5], [141/2, -42], [-125/2, 23], [-1/2, 1]], [[-1/2, 3], [-121, -48], [37/2, -7/2], [5, 5/2]]], 1, 4, [], [] >,
< [ -5, -1, 1 ], [[-21, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1/2], [-117/2, -33], [-9/2, 3/2], [0, 0]], [[27, -5/2], [3865/2, 1070], [-141/2, 63/2], [2, 2]], [[49, -29/2], [848, 905/2], [-181, 135/2], [-1, 3/2]]], 1, 4, [], [] >,
< [ -5, -1, 1 ], [[-12, -12]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [552, -1], [-843, -3], [-1, 0]], [[0, 0], [-309263/70, -12307/70], [114829/17, 5206/17], [4764/595, 397/1190]]], 1, 60, [], [] >,
< [ -5, -1, 1 ], [[-12, -12]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-8073/14, 25/14], [5350/17, -25/17], [-107/119, 1/238]], [[0, 0], [-351479/35, -313946/35], [92510/17, 82940/17], [-9251/595, -8294/595]]], 1, 60, [], [] >,
< [ -5, -1, 1 ], [[336, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-236, -128], [-26, -8], [0, 0]], [[0, 0], [-2, -1], [-1, 1], [1, 0]], [[0, 0], [-354, 6], [-396, 132], [0, 0]]], 0, 960, [], [] >,
< [ -5, -1, 1 ], [[336, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 48], [6, 0], [0, 0]], [[0, 0], [2, 3], [-1, 1], [1, 0]], [[0, 0], [-134, -86], [-38, 10], [0, 0]]], 0, 960, [], [] >,
< [ -5, -1, 1 ], [[-192, -192]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 4], [80, 20], [0, 0]], [[0, 0], [10953/7, -10/7], [139662/17, 5322/17], [-333/119, 1/119]], [[0, 0], [-2211311/35, 1688611/35], [-4799412/17, 4255002/17], [67766/595, -51371/595]]], 0, 15360, [], [] >,
< [ -5, -1, 1 ], [[-192, -192]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -6], [-8, 16], [0, 0]], [[0, 0], [109699/35, -564/35], [-28490/17, 690/17], [2951/595, -1/595]], [[0, 0], [76571/7, 432604/7], [-45514/17, -548802/17], [2341/119, 11705/119]]], 0, 15360, [], [] >,
< [ -5, -1, 1 ], [[18, 9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, 7/2], [33/2, -12], [-9/2, 15/2], [0, 0]], [[-1035/2, -225], [-176, 393], [-177/2, -577/2], [2, -3/2]], [[-973, -613], [1430, 261], [-1104, -355], [-5, 0]]], 1, 12, [], [] >,
< [ -5, -1, 1 ], [[18, 9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [93, 105/2], [-3/2, 0], [0, 0]], [[11, 5], [-20, -9], [-10, -3], [1, 2]], [[-91/2, -49/2], [82, 44], [35, 35/2], [-21/2, -7]]], 1, 12, [], [] >,
< [ -5, -1, 1 ], [[-288, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -42], [30, 12], [0, 0]], [[0, 0], [2, 3], [3, -1], [1, 0]], [[0, 0], [192, 48], [126, -84], [0, 0]]], 0, 2880, [], [] >,
< [ -5, -1, 1 ], [[288, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, -72], [-12, 0], [0, 0]], [[0, 0], [0, 1], [3, -1], [1, 0]], [[0, 0], [-780, -390], [12, -30], [0, 0]]], 0, 2880, [], [] >,
< [ -6, 0, 1 ], [[12, -5]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3, 1/2], [7/10, 14/5], [0, 1/2], [29/10, 1/10]], [[-29/2, 1/2], [78/5, -161/10], [7/2, -3], [-84/5, 14/5]]], 4, 2, [], [] >,
< [ -6, 0, 1 ], [[9, -4]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-21, -13/2], [-7, -3/4], [-7/5, -11/10], [1/10, -1/4]], [[-565/2, 459/2], [-396, 189], [1231/10, -188/5], [306/5, -117/5]]], 4, 2, [], [] >,
< [ -6, 0, 1 ], [[39, -16]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 1/2], [0, -3/2], [-1, 2], [0, 0]], [[-257/2, 1], [-4909/94, 811/94], [-309/10, -32/5], [-49/94, -1/470]], [[9938, -7109/2], [252595/47, -97293/47], [1311, -699/2], [9238/235, -3278/235]]], 4, 2, [], [] >,
< [ -6, 0, 1 ], [[561, -229]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 7/2], [3, 2], [-5, 3/2], [0, 0]], [[293/2, -753/2], [-32957/94, -29799/94], [6417/10, -294/5], [839/470, 2/235]], [[635611/2, -192069/2], [15997265/94, -1926895/94], [1768113/10, -938087/10], [169371/470, -106029/470]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[33, -13]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-39/2, -17/2], [-7, -9/4], [-1/10, -17/5], [-13/10, -19/20]], [[1585/2, 327], [252, 99], [1403/10, 787/10], [342/5, 153/5]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[66, -27]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5/2, 1/2], [34/5, -14/5], [-21/2, 4], [3/5, -1/10]], [[0, -3/2], [-67/10, 27/10], [9, -9/2], [1/10, 2/5]]], 1, 2, [], [] >,
< [ -6, 0, 1 ], [[51, -21]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3, -3/2], [-5/2, -5/4], [-12/5, -1/10], [-1/5, -1/20]], [[23/2, -9/2], [9, -7/2], [-297/10, 61/5], [-6/5, 1/2]]], 1, 8, [], [] >,
< [ -6, 0, 1 ], [[213, -87]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 0], [-4, -5/2], [9, 5/2], [0, 0]], [[481/2, -309/2], [5039/94, -6485/94], [2379/10, -418/5], [-55/94, -2/235]], [[126311/2, -26989], [2068789/94, -469695/47], [465813/10, -93636/5], [-6149/94, 5031/235]]], 1, 8, [], [] >,
< [ -6, 0, 1 ], [[3057, -1248]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, 3/2], [-1, -1], [-6, 5/2], [0, 0]], [[439/2, -23/2], [14789/94, -1045/94], [1461/10, -9/10], [487/470, -3/470]], [[-2881, 2207/2], [-100631/47, 77521/94], [-8694/5, 3276/5], [-2898/235, 1092/235]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[177, -72]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [4, 3], [321/10, 12/5], [14/5, 1/5]], [[-5/2, -1/2], [0, 25/4], [171/2, -14], [15/2, -5/4]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[360, -147]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 2], [39, -12], [0, 2], [0, 0]], [[219/2, 89/2], [261/2, 127/2], [123/2, 24], [7/2, 1/2]], [[1955/2, 765/2], [1161/5, 9283/10], [1275/2, 170], [567/5, -147/5]]], 1, 6, [], [] >,
< [ -6, 0, 1 ], [[360, -147]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 0], [-9, 11/2], [9/2, -3/2], [0, 0]], [[6, 2], [-11/10, 111/10], [6, 0], [13/10, 1/5]], [[-20, -5/2], [732/5, -427/5], [-45, 25/2], [-36/5, 6/5]]], 1, 6, [], [] >,
< [ -6, 0, 1 ], [[279, -114]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1/2], [-9, 7], [-6, 3/2], [0, 0]], [[-1625/2, -577/2], [633, 3731/4], [-7293/10, -216/5], [-1/2, 1/20]], [[-1293, -370], [-1809/2, 8375/4], [-1743, 218], [-7/5, 7/20]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[1161, -474]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 1], [-9, -3/2], [3, 5/2], [0, 0]], [[51/2, 67/2], [24357/94, 269/94], [-3/2, 67/2], [57/94, 1/94]], [[-2134, 2069/2], [511812/47, -189957/47], [-16482/5, 14681/10], [1180/47, -2183/235]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[16659, -6801]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, -3/2], [6, -1], [-15, -1/2], [0, 0]], [[-1173/2, -39], [-105567/94, 23/94], [-4869/10, -369/10], [-873/470, 1/235]], [[27497/2, -3195/2], [2660457/94, -464997/94], [112947/10, -12123/10], [22049/470, -3891/470]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[963, -393]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 0], [-42, 19], [9/2, -3/2], [0, 0]], [[97, 75/2], [345/2, 723/4], [438/5, 149/10], [9/5, -1/20]], [[810, 819/2], [8025, -865], [-363, 1269/2], [-28, 18]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[54, -22]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-13, 9/2], [-13/5, 11/10], [-13, 9/2], [4/5, -3/10]], [[47, 0], [41/10, -13/5], [47, 0], [-23/10, 3/10]]], 1, 6, [], [] >,
< [ -6, 0, 1 ], [[240, -98]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, 13/2], [25, -12], [-18, 13/2], [0, 0]], [[14, -14], [-60, 7], [14, -14], [0, 0]], [[-1/2, 0], [-7/10, 7/10], [1/2, -1/2], [1/10, -1/10]]], 1, 4, [], [] >,
< [ -6, 0, 1 ], [[186, -76]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, -7/2], [0, 1], [10, -7/2], [0, 0]], [[-108, 45], [16, -5], [-108, 45], [0, 0]], [[-1/2, 0], [2, -3/4], [-1/10, 1/10], [1/10, -1/20]]], 1, 4, [], [] >,
< [ -6, 0, 1 ], [[36, -16]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [5, -2], [0, 0]], [[0, 0], [-71/2, 3], [-26/5, -4/5], [-1/2, -3/10]], [[0, 0], [2093/2, -367], [462/5, -112/5], [-21/10, 7/2]]], 0, 24, [], [] >,
< [ -6, 0, 1 ], [[774, -316]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[5/2, -3/2], [245/94, -70/47], [-13/10, 7/10], [7/470, -2/235]]], 1, 4, [], [] >,
< [ -6, 0, 1 ], [[12, -8]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-84/47, 48/47], [-3/5, 2/5], [7/235, -4/235]]], 0, 24, [], [] >,
< [ -6, 0, 1 ], [[36, -4]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-204/47, 36/47], [-34/5, 6/5], [17/235, -3/235]]], 0, 144, [], [] >,
< [ -6, 0, 1 ], [[11106, -4534]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-11/2, 1], [595/94, -105/94], [81/10, -7/5], [17/470, -3/470]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[132, -52]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [5, -2], [0, 0]], [[0, 0], [-11/2, 0], [-17/5, -3/5], [-17/10, -3/10]], [[0, 0], [86, -38], [28, -14], [14, -7]]], 0, 144, [], [] >,
< [ -6, 0, 1 ], [[642, -262]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, -7/2], [20, -5], [10, -7/2], [0, 0]], [[68, -51/2], [128, -40], [68, -51/2], [0, 0]], [[-5/2, 1], [9/2, -7/4], [-17/10, 7/10], [2/5, -3/20]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[1308, -534]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-36, 29/2], [-9, 2], [-36, 29/2], [0, 0]], [[-3692, 1517], [-2992/5, 1732/5], [-3702, 1515], [-4/5, -1/5]], [[-1573/2, 899/2], [14763/10, 3766/5], [-1779/2, 408], [-89/10, -18/5]]], 1, 8, [], [] >,
< [ -6, 0, 1 ], [[6, 0]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-75, 61/2], [-1/2, -2], [-75, 61/2], [-5/2, -1/2]], [[198, -121/2], [2286/5, 954/5], [198, -121/2], [1602/5, 648/5]]], 1, 6, [], [] >,
< [ -6, 0, 1 ], [[1014, -414]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-39, 31/2], [-8, 1], [-39, 31/2], [0, 0]], [[3570, -1469], [779/2, -465/2], [17811/5, -7336/5], [-1/10, 1/5]], [[-2961/2, 575], [-843/2, -57/4], [-14823/10, 5723/10], [3/5, 3/20]]], 1, 16, [], [] >,
< [ -6, 0, 1 ], [[12, -12]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 7], [252, -103], [0, 0]], [[0, 0], [-3587/2, 899], [136191/5, -55506/5], [-1/2, 3/10]], [[0, 0], [574, -15103/2], [-654537/5, 263102/5], [-11/5, -33/10]]], 0, 96, [], [] >,
< [ -6, 0, 1 ], [[84, -36]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [2292/47, 60/47], [96/5, 26/5], [-191/235, -1/47]], [[0, 0], [-85284/47, 32136/47], [-1449/5, 416/5], [7107/235, -2678/235]]], 0, 96, [], [] >,
< [ -6, 0, 1 ], [[4218, -1722]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[54, -1/2], [2415/47, -175/94], [531/5, -13/10], [69/235, -1/94]], [[-5461/2, 1270], [-262255/94, 120015/94], [-54141/10, 12567/5], [-7493/470, 3429/470]]], 1, 16, [], [] >,
< [ -6, 0, 1 ], [[132, -48]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [1212/47, -48/47], [-213/5, -38/5], [-101/235, 4/235]], [[0, 0], [8904/47, -6216/47], [-201/5, 804/5], [-742/235, 518/235]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[60522, -24708]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-151/2, 1/2], [175/2, 0], [267/2, -19/2], [1/2, 0]], [[-1275, 1581], [66045/47, -85680/47], [16656/5, -14669/5], [1887/235, -2448/235]]], 1, 96, [], [] >,
< [ -6, 0, 1 ], [[3498, -1428]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[78, -63/2], [-22, 6], [78, -63/2], [0, 0]], [[11517/2, -4521/2], [-4821/2, 455/4], [11589/2, -2256], [-2, -1/4]], [[540, -80], [-1722, -1263/2], [2862/5, -337/5], [-9/5, -7/10]]], 1, 96, [], [] >,
< [ -6, 0, 1 ], [[84, -24]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -4], [-225, 92], [0, 0]], [[0, 0], [77, -75/2], [-9408/5, 3788/5], [-4/5, 3/10]], [[0, 0], [18285/2, 3733], [79734/5, 32486/5], [419/10, 171/10]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[1602, -654]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, -1/2], [21, -11], [12, -1/2], [0, 0]], [[9, -13/2], [87/2, -37/2], [9, -13/2], [-1/2, 0]], [[-21, 15/2], [-357/5, 142/5], [-21, 15/2], [1/5, -1/5]]], 1, 18, [], [] >,
< [ -6, 0, 1 ], [[1602, -654]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -2], [-21, 8], [9, -2], [0, 0]], [[-90, -75/2], [541/10, 149/10], [-90, -75/2], [-23/10, -1/5]], [[-96, -18], [-2121/10, 1151/10], [-96, -18], [243/10, -54/5]]], 1, 18, [], [] >,
< [ -6, 0, 1 ], [[108, -48]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162, 65], [-183, 75], [0, 0]], [[0, 0], [11211/2, -4525/2], [31764/5, -13034/5], [-1/10, -2/5]], [[0, 0], [19968, -8228], [114861/5, -46696/5], [16/5, 0]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[5526, -2256]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 1], [-60, 23], [12, 1], [0, 0]], [[-1188, -533], [-819/2, 849/2], [-5937/5, -2668/5], [1/10, 0]], [[-2187/2, -1689/2], [-5613, 10471/4], [-10851/10, -4242/5], [1/2, -3/20]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[22986, -9384]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -10], [-15, 8], [0, 0]], [[-37/2, -1/2], [-5901/2, 1079], [23007/10, -8853/10], [-1/10, 0]], [[896, 344], [1041957/47, 94180/47], [-12711, 441], [1072/235, 408/235]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[36, -24]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, 7], [15, -5], [0, 0]], [[0, 0], [5457/47, -2514/47], [-612/5, 238/5], [74/235, -2/235]], [[0, 0], [-15831/47, -5376/47], [-459/5, -299/5], [285/47, 589/235]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[329814, -134646]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -6], [24, -10], [0, 0]], [[65/2, -3/2], [-15285/94, 399/47], [-573/10, 137/10], [-101/470, 2/235]], [[381/2, 80], [-87939/94, -36961/94], [-1539/10, -342/5], [-603/470, -253/470]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[108, -12]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, 12], [-9, 7], [0, 0]], [[0, 0], [-115176/47, 45296/47], [-5532/5, 2093/5], [151/235, 1/235]], [[0, 0], [429492/47, 475932/47], [59127/5, 38307/5], [-28741/235, -11931/235]]], 0, 1728, [], [] >,
< [ -6, 0, 1 ], [[19062, -7782]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, -1], [-180, 73], [12, -1], [0, 0]], [[-4260, -1766], [-621/2, 1123/2], [-4251, -1766], [-1/2, 0]], [[597/2, 159], [2253/2, -1979/4], [2913/10, 1617/10], [2/5, -3/20]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[396, -156]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 17], [333, -136], [0, 0]], [[0, 0], [255/2, -83], [-1404, 558], [-3/2, -1/2]], [[0, 0], [2307, 955], [6378/5, 2052/5], [419/5, 171/5]]], 0, 1728, [], [] >,
< [ -6, 0, 1 ], [[24, -8]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -4], [282, -115], [0, 0]], [[0, 0], [-664/5, 573/10], [-3784, 1548], [7/5, 1/10]], [[0, 0], [-319, -127], [-430, -86], [-71, -29]]], 0, 24, [], [] >,
< [ -6, 0, 1 ], [[144, -64]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, -66], [294, -120], [0, 0]], [[0, 0], [-2257, 1801/2], [-20244/5, 8264/5], [2/5, -3/10]], [[0, 0], [-12754, -5204], [-508/5, -182/5], [-436/5, -178/5]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[48, -32]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, -31], [-10, 3], [0, 0]], [[0, 0], [-514112/47, 196636/47], [5514/5, -2881/5], [2/47, 1/235]], [[0, 0], [62, 176], [132, 36], [0, 0]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[144, -16]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-136, 55], [-14, 5], [0, 0]], [[0, 0], [120910/47, -19775/47], [-3128/5, -98/5], [1964/235, -1/235]], [[0, 0], [25624912/47, 10588935/47], [-1195512/5, -490242/5], [695996/235, 285621/235]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[528, -208]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [-490, 200], [0, 0]], [[0, 0], [3, 7/2], [346/5, -196/5], [18/5, -1/10]], [[0, 0], [11, 9/2], [-128/5, -52/5], [16/5, 13/10]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[24, 0]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 11], [816, -333], [0, 0]], [[0, 0], [1363, -1555/2], [-45318, 18515], [2, -1/2]], [[0, 0], [-3169686/5, -1293729/5], [42126, 15589], [4548/5, 1857/5]]], 0, 96, [], [] >,
< [ -6, 0, 1 ], [[48, -48]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -6], [4404, -1798], [0, 0]], [[0, 0], [1820, -1473/2], [2797014/5, -1141854/5], [-3/5, 1/10]], [[0, 0], [110057, 89859/2], [374856/5, 151364/5], [-12136/5, -9909/10]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[336, -144]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, 39], [-30, -1], [0, 0]], [[0, 0], [-40770/47, -18976/47], [-4674/5, -1999/5], [-96/47, -1/235]], [[0, 0], [5567226/47, -755085/47], [348378/5, 24253/5], [-299788/235, 26156/47]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[528, -192]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 39], [24, 1], [0, 0]], [[0, 0], [-318/47, -7862/47], [474, -11], [198/47, 1/47]], [[0, 0], [-192/47, -132/47], [48/5, 33/5], [16/235, 11/235]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[336, -96]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, 58], [7902, -3226], [0, 0]], [[0, 0], [374, 599/2], [49884/5, -20334/5], [17/5, 1/10]], [[0, 0], [-109, -89/2], [-1896/5, -774/5], [-158/5, -129/10]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[72, -24]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 23], [-150, 60], [0, 0]], [[0, 0], [-28866/5, 11716/5], [-14718, 5995], [-2/5, 2/5]], [[0, 0], [6438/5, 6689/10], [990, 770], [-119/5, -97/10]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[72, -24]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -23], [138, -56], [0, 0]], [[0, 0], [38058/5, -18213/5], [19350, -8025], [-24/5, -1/5]], [[0, 0], [256564/5, 174757/10], [21060, 405], [943/5, 779/10]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[432, -192]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [690, -282], [4458, -1820], [0, 0]], [[0, 0], [57960, -47201/2], [373452, -152468], [1, 1/2]], [[0, 0], [-69540, -28436], [42732/5, 15948/5], [-5286/5, -2158/5]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[144, -96]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-228, 91], [6, -5], [0, 0]], [[0, 0], [-1020, -411], [-6246/5, -2571/5], [-2/5, 0]], [[0, 0], [-34698/47, -19572/47], [-6006/5, -1991/5], [988/235, -437/235]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[432, -48]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-222, 95], [18, -3], [0, 0]], [[0, 0], [-55308/47, -2692/47], [2118, -67], [762/47, 1/47]], [[0, 0], [24380712/47, 9555582/47], [-3884958/5, -1492848/5], [-1513316/235, -586796/235]]], 0, 27648, [], [] >,
< [ -6, 0, 1 ], [[1584, -624]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 20], [-3630, 1482], [0, 0]], [[0, 0], [-10257, 8357/2], [-773544, 315794], [-2, 1/2]], [[0, 0], [-780900, -318813], [-1756128/5, -721432/5], [-138864/5, -56691/5]]], 0, 27648, [], [] >,
< [ -6, 0, 1 ], [[96, -32]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, 34], [4904, -2002], [0, 0]], [[0, 0], [18091, -7304], [-1080070, 440970], [5, 1]], [[0, 0], [-8923107/5, -3636973/5], [-640658, -332032], [-332289/5, -135656/5]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[576, -256]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [764, -308], [0, 4], [0, 0]], [[0, 0], [-1383, -722], [-8124/5, -3326/5], [-1, -1/5]], [[0, 0], [988, 2722], [19592/5, 8138/5], [28/5, -4/5]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[192, -128]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2602, -1064], [-6, 2], [0, 0]], [[0, 0], [2103198/47, -872814/47], [-202, 2], [208/235, 2/235]], [[0, 0], [4567312/47, 2106168/47], [137982/5, 56272/5], [-5954/47, -12142/235]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[576, -64]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [926, -342], [6, 8], [0, 0]], [[0, 0], [-769066/47, 679126/47], [14016/5, 5156/5], [302/235, 2/235]], [[0, 0], [56357932/47, 22960858/47], [1676948/5, 684638/5], [19376/235, 7916/235]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[2112, -832]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1476, -596], [16, 0], [0, 0]], [[0, 0], [-6070, -2288], [-5824, -2370], [2, 0]], [[0, 0], [-11483, -3510], [-50292/5, -20298/5], [39/5, -9/5]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[96, 0]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, -58], [-240, 98], [0, 0]], [[0, 0], [-1256/5, 526/5], [108, 12], [18/5, 2/5]], [[0, 0], [-276487/5, -112873/5], [-1171434, -478236], [-195239/5, -79706/5]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[192, -192]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-808, 330], [-24, 10], [0, 0]], [[0, 0], [352, 138], [-48/5, 48/5], [0, -2/5]], [[0, 0], [-103, -38], [48/5, -28/5], [-1/5, 1/5]]], 0, 24576, [], [] >,
< [ -6, 0, 1 ], [[1344, -576]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2036, -824], [0, 4], [0, 0]], [[0, 0], [-147088/47, -51632/47], [-8082/5, -3232/5], [382/235, 2/47]], [[0, 0], [502346/47, -2033548/47], [-21798, -12488], [-8844/47, 4154/47]]], 0, 24576, [], [] >,
< [ -6, 0, 1 ], [[2112, -768]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1290, -490], [30, 8], [0, 0]], [[0, 0], [7474900/47, 3065718/47], [435666/5, 179896/5], [-1678/235, -8/235]], [[0, 0], [-5369914/47, -8330522/47], [331392/5, -750688/5], [362274/235, -146706/235]]], 0, 147456, [], [] >,
< [ -6, 0, 1 ], [[1344, -384]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1192, -470], [36, 2], [0, 0]], [[0, 0], [414015, 169949], [2083884/5, 850746/5], [7/5, -2/5]], [[0, 0], [-3907934, -1602334], [-19658748/5, -8025682/5], [-54/5, 14/5]]], 0, 147456, [], [] >,
< [ -6, 0, 1 ], [[288, -96]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [798, -326], [-1788, 730], [0, 0]], [[0, 0], [-74067/5, 30762/5], [33486, -13646], [21/5, -1/5]], [[0, 0], [-491169/5, -200741/5], [-23406, -9456], [-7133/5, -2912/5]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[288, -96]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, 52], [3420, -1396], [0, 0]], [[0, 0], [-4113/5, 1628/5], [21534, -8764], [9/5, 1/5]], [[0, 0], [15862/5, 6478/5], [-8136, -3334], [-1406/5, -574/5]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[1728, -768]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6192, 2526], [0, -2], [0, 0]], [[0, 0], [30, -21], [-24/5, -56/5], [4/5, 3/5]], [[0, 0], [-3855, 1526], [-5712/5, 1972/5], [187/5, -51/5]]], 0, 73728, [], [] >,
< [ -6, 0, 1 ], [[576, -384]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7362, -3014], [-6, 0], [0, 0]], [[0, 0], [-47082, -19354], [-68772/5, -28022/5], [6/5, 0]], [[0, 0], [6190998/47, 2239218/47], [177582/5, 74992/5], [6136/235, -2808/235]]], 0, 73728, [], [] >,
< [ -6, 0, 1 ], [[1728, -192]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1080, 434], [0, -2], [0, 0]], [[0, 0], [-1191492/47, -487554/47], [-34926/5, -15046/5], [638/235, -2/235]], [[0, 0], [-3447558/47, -1388278/47], [-23880, -7074], [-910/47, 520/47]]], 0, 442368, [], [] >,
< [ -6, 0, 1 ], [[6336, -2496]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12060, -4912], [48, -8], [0, 0]], [[0, 0], [557616, 228714], [2824248/5, 1152942/5], [4/5, -4/5]], [[0, 0], [175635, 65711], [850008/5, 347322/5], [-41/5, 16/5]]], 0, 442368, [], [] >,
< [ -6, 0, 1 ], [[384, -128]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1256, -500], [16, 4], [0, 0]], [[0, 0], [1035848/5, -420463/5], [948, 10], [-54/5, -1/5]], [[0, 0], [20676/5, -64326/5], [-11188, -4600], [652/5, 268/5]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[384, 0]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1400, 576], [-24, 20], [0, 0]], [[0, 0], [23132/5, 9893/5], [11016, 4374], [54/5, 1/5]], [[0, 0], [-33036/5, -14714/5], [-16260, -6300], [-112/5, 12/5]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[13, -5]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3, 0], [16/3, -7/6], [2, -1/2], [-5/6, 1/6]], [[2, -1/2], [-9/2, 3/2], [-3/2, 1/2], [3/4, -1/4]]], 4, 2, [], [] >,
< [ -7, 0, 1 ], [[29, -11]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-29/2, -5/2], [-71/6, -2/3], [-1, -3/2], [5/6, 1/6]], [[75/2, -9], [131/3, -79/6], [-10, 5], [-23/12, 5/12]]], 4, 2, [], [] >,
< [ -7, 0, 1 ], [[7, -3]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-43/2, -2], [-56/3, -11/6], [1, -5/2], [-17/6, -1/6]], [[-1501/2, 517/2], [-1281/2, 220], [330, -130], [-110, 77/2]]], 4, 4, [], [] >,
< [ -7, 0, 1 ], [[-21, 7]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[13/2, 1], [29/6, 1/6], [-21/2, -1], [5/3, 5/6]], [[-123/2, 47/2], [-421/6, 80/3], [126, -48], [26/3, -19/6]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-61, 23]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[23/2, 7/2], [-35/6, -4/3], [3/2, 0], [11/6, 1/3]], [[-63/2, 0], [47/2, -7/2], [-23/2, 7/2], [-35/4, 7/4]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[627, -237]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, 9/2], [-75/2, 15], [10, -7/2], [0, 0]], [[-53/2, -16], [-220/3, -463/6], [-43, -11], [49/12, 5/12]], [[-64, 373/2], [-1440, 2397/2], [939/2, -15/2], [-275/4, 55/4]]], 1, 4, [], [] >,
< [ -7, 0, 1 ], [[51, -21]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [-46, 31/2], [-5/2, -1], [0, 0]], [[9/2, 0], [-214, 145/2], [0, 0], [3/4, 3/4]], [[292, -106], [-25853, 9750], [0, 0], [-75, 31]]], 0, 48, [], [] >,
< [ -7, 0, 1 ], [[33, -15]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-993/2, 195], [7/2, 1], [0, 0]], [[17/2, 4], [36501/2, 6577/2], [8543/2, 3235/2], [13/4, 3/4]], [[67, -17], [-240994, 205671/2], [5146, 3565/2], [-31, 14]]], 0, 48, [], [] >,
< [ -7, 0, 1 ], [[1389, -525]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, -33/2], [40, -29/2], [0, 0]], [[6, 0], [-103/6, 19/3], [-61/2, 9], [5/3, -1/3]], [[1405/2, 265], [-157/3, -101/6], [-789, -587/2], [1105/12, 415/12]]], 1, 4, [], [] >,
< [ -7, 0, 1 ], [[-299, 113]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5/2, -7/2], [163/6, -32/3], [-21, 15/2], [11/6, 1/6]], [[-26, 27/2], [-144, 55], [215/2, -40], [-21/4, 3/4]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[-6453, 2439]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, 47/2], [-75, 57/2], [0, 0]], [[3, 3/2], [-6621/2, 2447/2], [-8193/2, 3087/2], [1/4, 1/4]], [[-49, -37/2], [1079/3, 848/3], [-149, 127], [-77/12, -29/12]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-171, 63]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1109/2, -214], [9/2, -3], [0, 0]], [[-23/2, -4], [36711, -13658], [474, -126], [-11/4, -5/4]], [[-215, -80], [137497, -47786], [2814, -42], [-115/2, -45/2]]], 0, 192, [], [] >,
< [ -7, 0, 1 ], [[-6453, 2439]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[87/2, -33/2], [119, -89/2], [-159/2, 30], [0, 0]], [[278, -209/2], [732, -581/2], [-999/2, 387/2], [3/4, 1/4]], [[155, -113/2], [1021/3, -1097/6], [-505/2, 229/2], [35/12, 13/12]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-45, 9]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [6, 3/2], [-3/2, 0], [0, 0]], [[-5, -5/2], [159/2, 14], [0, 0], [-15/4, -5/4]], [[19, -10], [633, -211], [0, 0], [-17/2, 3/2]]], 0, 192, [], [] >,
< [ -7, 0, 1 ], [[-74, 28]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1, 0], [4/3, -1/6], [1, -1/2], [1/6, 1/6]], [[1/2, -1/2], [1/2, -1/2], [3/2, -1/2], [-1/2, 0]]], 1, 2, [], [] >,
< [ -7, 0, 1 ], [[-164, 62]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1, 0], [-5/6, -8/3], [1/2, 1], [-2/3, -5/6]], [[13/2, -5/2], [87/2, -16], [-15, 11/2], [11, -4]]], 1, 2, [], [] >,
< [ -7, 0, 1 ], [[-42, 16]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2, 6], [-5/6, 16/3], [-11/2, 5/2], [17/6, 2/3]], [[99/2, 197/2], [3/2, 173/2], [-165/2, 77/2], [48, 12]]], 1, 12, [], [] >,
< [ -7, 0, 1 ], [[14, 0]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-99/2, 29/2], [-287/6, 89/6], [-91/2, 33/2], [-5/3, -1/3]], [[-89/2, 3/2], [-119/3, 19/6], [-28, 8], [-29/6, -5/3]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[344, -130]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1/2, 3/2], [31/6, 2/3], [3/2, 0], [11/6, 1/3]], [[65, -25], [-397/6, 73/3], [-59/2, 11], [-55/3, 20/3]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[-3540, 1338]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1/2], [47, -11/2], [7/2, 2], [0, 0]], [[17/2, 43/2], [-2785/6, 2065/6], [91, 17], [-23/6, -2/3]], [[-2152, 616], [-111019/2, 19633], [2511/2, -885], [-117/2, 39]]], 1, 12, [], [] >,
< [ -7, 0, 1 ], [[-6, 12]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1/2], [-25, 1/2], [-3/2, 0], [0, 0]], [[2, -10], [-1257/2, -277/2], [-85/2, -19/2], [-1/2, 3/2]], [[-1181/2, 1965/2], [111099/2, 19785/2], [3751, 682], [108, -297/2]]], 0, 144, [], [] >,
< [ -7, 0, 1 ], [[-204, 78]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -9/2], [-2, -5/2], [0, 0]], [[-23/2, -5/2], [2964, -1766], [672, -24], [-1, -3/2]], [[-2159/2, 799/2], [1669516, -631821], [161280, -60672], [646, -493/2]]], 0, 144, [], [] >,
< [ -7, 0, 1 ], [[-7842, 2964]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, -7], [-23/2, -2], [0, 0]], [[3/2, -1/2], [6958/3, 6071/6], [2267, 1621/2], [-1/3, 1/6]], [[0, 0], [-361, 10], [-81, -81], [0, 0]]], 1, 12, [], [] >,
< [ -7, 0, 1 ], [[1688, -638]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1/2, -1/2], [5, -1], [-7/2, 1/2], [1/2, 0]], [[5/2, -3/2], [89/6, -13/3], [-10, 5/2], [7/6, -1/6]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[18, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 2], [6, -3], [0, 0]], [[1/2, -5/2], [151/3, 101/6], [23, 13/2], [-17/6, -1/3]], [[48, 32], [-3136/3, -2303/6], [-452, -319/2], [136/3, 40/3]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[72, -18]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-410, 143], [-3, -3], [0, 0]], [[16, 4], [220141/2, -42069], [-1815/2, 180], [2, 2]], [[-217/2, -49/2], [-887256, 338387], [6975, -1575], [-21/2, -14]]], 0, 576, [], [] >,
< [ -7, 0, 1 ], [[18, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19, 4], [-47/2, 19/2], [9/2, 15/2], [0, 0]], [[693/2, 189/2], [-265, 111], [297/2, 249/2], [3, 1/2]], [[0, 0], [1/3, 1/6], [1, 1/2], [-1/3, -1/6]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[198, -72]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-31/2, -1/2], [35/2, 10], [6, -15/2], [0, 0]], [[517/2, 97/2], [-412, -184], [75/2, 195/2], [1, 5/2]], [[-236, -239], [2247/2, 677/2], [-1335/2, 3/2], [-17, 0]]], 0, 576, [], [] >,
< [ -7, 0, 1 ], [[418, -158]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 19/2], [-2, -3/2], [0, 0]], [[5/2, 3/2], [-11642/3, 4912/3], [44, -132], [13/6, 2/3]], [[15/2, -5/2], [112562/3, -42478/3], [-1815, 671], [-5/3, 5/6]]], 1, 4, [], [] >,
< [ -7, 0, 1 ], [[-16, 8]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3/2, -13/2], [-15/2, -5/2], [0, 0]], [[0, 0], [-51, 11], [-6, -4], [0, 0]], [[0, 0], [-4/3, 2/3], [0, 0], [-2/3, 1/3]]], 0, 32, [], [] >,
< [ -7, 0, 1 ], [[-16, 8]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -3], [8, -3], [0, 0]], [[0, 0], [35/2, -13/2], [-9/2, 3/2], [-3/2, 1/2]], [[0, 0], [8/3, 5/3], [-5, -2], [-5/3, -2/3]]], 0, 32, [], [] >,
< [ -7, 0, 1 ], [[926, -350]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, -1/2], [-22, 9/2], [1/2, -1], [0, 0]], [[670, 245], [5603/6, 1777/6], [351/2, 143/2], [-4/3, -2/3]], [[-1935/2, -773/2], [-3319/3, -1685/3], [-585/2, -195/2], [17/6, 2/3]]], 1, 4, [], [] >,
< [ -7, 0, 1 ], [[-40, 16]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -3], [8, -3], [0, 0]], [[0, 0], [311/6, -119/6], [-11/2, -1/2], [-11/6, -1/6]], [[0, 0], [260, -99], [-21, 0], [-7, 0]]], 0, 32, [], [] >,
< [ -7, 0, 1 ], [[-40, 16]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31/2, -25/2], [-5/2, -3/2], [0, 0]], [[0, 0], [95/2, 45/2], [39/2, 15/2], [0, 0]], [[0, 0], [-10/3, 4/3], [0, 0], [-5/3, 2/3]]], 0, 32, [], [] >,
< [ -7, 0, 1 ], [[-168, 64]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 2], [775, -293], [0, 0]], [[0, 0], [-547/6, 97/6], [14178, -5349], [25/6, 5/6]], [[0, 0], [-43909/6, -16565/6], [5348, 927], [5761/6, 2177/6]]], 0, 96, [], [] >,
< [ -7, 0, 1 ], [[56, 0]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -1], [469, -177], [0, 0]], [[0, 0], [-1919/2, 689/2], [-115255, 43550], [-1/2, -1/2]], [[0, 0], [-19351/3, -7370/3], [-1302, -2792], [-725/3, -274/3]]], 0, 768, [], [] >,
< [ -7, 0, 1 ], [[-1942, 734]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25/2, -19/2], [13/2, 1/2], [0, 0]], [[-1/2, -3/2], [-1754/3, 335/6], [88, 143/2], [-11/6, -1/3]], [[-5, 5], [2405, -1189/2], [11, -407/2], [5, 0]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[88, -32]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5/2, -21/2], [-33/2, -3/2], [0, 0]], [[0, 0], [68971/2, 23001/2], [50879/2, 20501/2], [-2, 0]], [[0, 0], [237737/3, -75331/3], [-24983, 13363], [-107/3, 40/3]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[88, -32]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 5], [29, -10], [0, 0]], [[0, 0], [317/6, 137/6], [51/2, 3/2], [-5/6, -5/6]], [[0, 0], [1/3, -23/3], [-32, 10], [-4/3, 2/3]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[-48, 24]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -3], [-4, -1], [0, 0]], [[0, 0], [-947/6, 113/6], [57/2, -47/2], [-19/6, 1/6]], [[0, 0], [-53044/3, 23650/3], [8909, -2993], [-884/3, 425/3]]], 0, 192, [], [] >,
< [ -7, 0, 1 ], [[-24, 48]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1022, -388], [-9, 3], [0, 0]], [[0, 0], [-17572, 6608], [145, -59], [3, 0]], [[0, 0], [-10207/2, -4071/2], [-1251/2, -471/2], [373/2, 141/2]]], 0, 2304, [], [] >,
< [ -7, 0, 1 ], [[-816, 312]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1444, -568], [-17, -1], [0, 0]], [[0, 0], [-16, 6], [0, 0], [-8, 3]], [[0, 0], [1187/2, 115/2], [247/2, 95/2], [0, 0]]], 0, 2304, [], [] >,
< [ -7, 0, 1 ], [[-120, 48]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-240, 90], [29, -11], [0, 0]], [[0, 0], [12145/6, -4721/6], [-67/2, 23/2], [307/3, -116/3]], [[0, 0], [-7147/2, 2647/2], [159/2, -63/2], [-164, 62]]], 0, 192, [], [] >,
< [ -7, 0, 1 ], [[-9530, 3602]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [4, -17/2], [-15/2, 0], [0, 0]], [[28, 11], [127/2, 24], [49/2, 10], [0, -1/2]], [[167/2, -27/2], [331/6, 58/3], [126, -63/2], [-215/3, 80/3]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[32, -8]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, 13], [-38, 14], [0, 0]], [[0, 0], [283/6, -91/6], [77/2, -29/2], [-13/6, 1/6]], [[0, 0], [-455/6, -133/6], [-17/2, 5/2], [101/6, 37/6]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[32, -8]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -7], [2, 1], [0, 0]], [[0, 0], [-51/2, -133/2], [-633/2, -237/2], [-4, 0]], [[0, 0], [-6299/3, 2915/3], [783, 261], [200/3, -65/3]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[72, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-535/2, 211/2], [-15/2, 15/2], [0, 0]], [[0, 0], [91130/3, 33932/3], [32023, 12097], [-2/3, 1/3]], [[0, 0], [-3960, -1509], [-4221, -1596], [0, 0]]], 0, 768, [], [] >,
< [ -7, 0, 1 ], [[288, -72]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [220, -55], [9, 6], [0, 0]], [[0, 0], [-16, 6], [0, 0], [-8, 3]], [[0, 0], [-3497/2, -1243/2], [-1131/2, -429/2], [0, 0]]], 0, 9216, [], [] >,
< [ -7, 0, 1 ], [[72, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [331, -125], [126, -48], [0, 0]], [[0, 0], [-60490/3, 22915/3], [-7783, 2896], [-17/3, -1/3]], [[0, 0], [-59993/2, -24285/2], [164859/2, 61695/2], [8877/2, 3355/2]]], 0, 768, [], [] >,
< [ -7, 0, 1 ], [[792, -288]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-988, 383], [-315, 120], [0, 0]], [[0, 0], [-359129/2, 132985/2], [-112713/2, 42345/2], [-1/2, 5/2]], [[0, 0], [-55607/2, 5691/2], [-13059/2, 3507/2], [33/2, 13/2]]], 0, 9216, [], [] >,
< [ -7, 0, 1 ], [[-2360, 892]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, 3/2], [-13/2, 7/2], [0, 0]], [[0, 0], [-43/2, 9/2], [-129/2, 43/2], [0, 0]], [[3/2, -1/2], [-5/3, 5/6], [-1, 1/2], [-1/3, 1/6]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[-2360, 892]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23/2, 7/2], [5/2, 3/2], [0, 0]], [[0, 0], [-11260/3, 4337/3], [-357, 68], [17/6, 5/6]], [[0, 0], [-53297/3, 40499/6], [-1377, 867/2], [14/3, 2/3]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[-64, 32]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [52/3, -26/3], [0, 0], [8/3, 2/3]], [[0, 0], [-68/3, 22/3], [0, 0], [2/3, 2/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-64, 32]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-1708/3, 644/3], [0, 0], [4/3, -2/3]], [[0, 0], [170, 84], [0, 0], [61, 23]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-5228, 1976]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 5], [4, -1], [0, 0]], [[0, 0], [-13/2, 5/2], [3/2, -1/2], [0, 0]], [[0, 0], [5/6, -1/3], [-5/2, 1], [-5/6, 1/3]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[-5228, 1976]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, -5/2], [27/2, -14], [-1, -3/2], [0, 0]], [[330, 150], [2434/3, 149/3], [120, 30], [1/6, -1/6]], [[-45, -15], [-28, -31], [-10, -5], [0, 0]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[-160, 64]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-146, 56], [-3958, 1496], [0, 0]], [[0, 0], [23443, -8669], [624531, -236047], [1, -1]], [[0, 0], [494686/3, 187007/3], [2652, 1301], [-1561/3, -590/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-160, 64]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1150, -434], [-40, 16], [0, 0]], [[0, 0], [-26872/3, 10258/3], [386, -100], [1/3, -1/3]], [[0, 0], [26732/3, 7453/3], [10480, 3993], [-146/3, -55/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-672, 256]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -38], [21838, -8254], [0, 0]], [[0, 0], [-820, 309], [-175113, 66187], [2, -1]], [[0, 0], [-1723886/3, -651568/3], [310844, 117464], [-448984/3, -169700/3]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[224, 0]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [190, -72], [21182, -8006], [0, 0]], [[0, 0], [212296/3, -80035/3], [7864227, -2972449], [-16/3, -5/3]], [[0, 0], [3166418, 1196651], [-2316713, -891493], [-170098, -64291]]], 0, 12288, [], [] >,
< [ -7, 0, 1 ], [[10964, -4144]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [79/2, -23/2], [27/2, -3/2], [0, 0]], [[-11/2, 3/2], [1235/3, 877/6], [425, 313/2], [5/6, -2/3]], [[67/2, -25/2], [-202, -19/2], [-158, -61/2], [-9, 7/2]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[10964, -4144]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21/2, 0], [-11/2, -1], [0, 0]], [[0, 0], [-935/6, -151/3], [231/2, 42], [-7/6, 5/6]], [[0, 0], [569/6, -265/6], [-21/2, 21/2], [109/6, -41/6]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[352, -128]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98, -35], [4, 1], [0, 0]], [[0, 0], [-180613/3, 68291/3], [-405, 165], [-2/3, 4/3]], [[0, 0], [21890/3, -8119/3], [146, 17], [28/3, 10/3]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[352, -128]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1098, -415], [-24, 9], [0, 0]], [[0, 0], [4252/3, -1574/3], [-2, 22], [29/3, -1/3]], [[0, 0], [4039, 796], [5885, 2240], [928, 348]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[-192, 96]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1154, 436], [-270, 102], [0, 0]], [[0, 0], [16755, -6349], [3881, -1471], [-3, 1]], [[0, 0], [194456/3, 73513/3], [16546, 6255], [1561/3, 590/3]]], 0, 3072, [], [] >,
< [ -7, 0, 1 ], [[-96, 192]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4550, 1720], [-440, 166], [0, 0]], [[0, 0], [-6, 1], [-2, 1], [1, 0]], [[0, 0], [54688, -20672], [5292, -1998], [0, 0]]], 0, 36864, [], [] >,
< [ -7, 0, 1 ], [[-3264, 1248]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4184, 1577], [-70, 25], [0, 0]], [[0, 0], [43232, -16322], [762, -282], [-926, 350]], [[0, 0], [-32686, 12324], [-582, 210], [672, -254]]], 0, 36864, [], [] >,
< [ -7, 0, 1 ], [[-480, 192]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-77, 29], [-29, 11], [0, 0]], [[0, 0], [30077/3, -11368/3], [4503, -1702], [2704/3, -1022/3]], [[0, 0], [-466904/3, 176473/3], [-69882, 26413], [-42184/3, 15944/3]]], 0, 3072, [], [] >,
< [ -7, 0, 1 ], [[53804, -20336]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31/2, -15/2], [3/2, 3/2], [0, 0]], [[0, 0], [-49/3, -62/3], [43, 20], [-2/3, 2/3]], [[0, 0], [403/2, -54], [-169/2, 2], [-23/2, 4]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[53804, -20336]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, 7/2], [57/2, 2], [8, 5/2], [0, 0]], [[91/2, 35/2], [322/3, 187/6], [77/2, 14], [19/6, -1/6]], [[105/2, 49/2], [313, -53/2], [119/2, 14], [30, -10]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[128, -32]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, 22], [2556, -966], [0, 0]], [[0, 0], [-829/3, 292/3], [12027, -4560], [-8/3, -1/3]], [[0, 0], [31411, 11868], [62473, 23804], [5908, 2233]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[128, -32]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-87, 31], [3, -3], [0, 0]], [[0, 0], [1445/3, 553/3], [491, 187], [-14/3, -4/3]], [[0, 0], [155, 42], [149, 46], [3, -2]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[288, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1633, 631], [-3, 15], [0, 0]], [[0, 0], [-249964, 87916], [-11850, -2124], [-6, 0]], [[0, 0], [812596/3, -42113/3], [119588, 43697], [128/3, 44/3]]], 0, 12288, [], [] >,
< [ -7, 0, 1 ], [[1152, -288]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8422, -3181], [-6, 3], [0, 0]], [[0, 0], [26179, -9839], [9, 15], [1926, -728]], [[0, 0], [-1006357, 379612], [261, -348], [-74196, 28044]]], 0, 147456, [], [] >,
< [ -7, 0, 1 ], [[288, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-414, 156], [3540, -1338], [0, 0]], [[0, 0], [2800/3, -1036/3], [-8348, 3146], [-4/3, -2/3]], [[0, 0], [50320/3, 19019/3], [-24800, -9373], [-9403/3, -3554/3]]], 0, 12288, [], [] >,
< [ -7, 0, 1 ], [[3168, -1152]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, -36], [-6318, 2388], [0, 0]], [[0, 0], [-6, 1], [0, 3], [1, 0]], [[0, 0], [-460, 200], [33558, -12684], [0, 0]]], 0, 147456, [], [] >,
< [ -7, 0, 1 ], [[13324, -5036]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-77, 26], [3, 2], [0, 0]], [[3/2, -1/2], [9491/6, 1957/3], [-3343/2, -630], [-1/3, 1/6]], [[0, 0], [-261/2, -29/2], [169/2, 65/2], [0, 0]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[13324, -5036]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-241/2, 93/2], [-3/2, -1/2], [0, 0]], [[9/2, 1/2], [-28/3, 49/6], [4, 5/2], [4/3, 5/6]], [[-61, 23], [1822/3, -689/3], [50, -19], [50/3, -19/3]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-32, 16]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -3], [8, -3], [0, 0]], [[0, 0], [175/6, -65/6], [3/2, -1/2], [-2/3, 1/3]], [[0, 0], [-2, 0], [0, 0], [0, 0]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[-32, 16]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-117/2, 53/2], [-7/2, -5/2], [0, 0]], [[0, 0], [4238/3, 1430/3], [-1168, -440], [-11/3, 1/3]], [[0, 0], [-8858/3, 952/3], [970, 330], [176/3, -64/3]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[-256, 128]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16389, -6185], [-41, 17], [0, 0]], [[0, 0], [-1051082/3, 384394/3], [0, -680], [26/3, 8/3]], [[0, 0], [10172234/3, 3842744/3], [537030, 202980], [-13832/3, -5228/3]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[-80, 32]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45, 17], [29, -11], [0, 0]], [[0, 0], [0, 1], [-38, 15], [1, 0]], [[0, 0], [-1267/6, -479/6], [-259/2, -99/2], [-479/6, -181/6]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[-80, 32]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [161, -61], [225, -85], [0, 0]], [[0, 0], [-361/3, 127/3], [-161, 69], [16/3, 2/3]], [[0, 0], [6801/2, 2541/2], [-17439/2, -6635/2], [-5761/2, -2177/2]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[29516, -11156]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, -7/2], [-475/2, 96], [-2, -3/2], [0, 0]], [[330, 90], [6750, -2714], [50, 40], [0, 0]], [[0, 0], [-5/3, 2/3], [0, 0], [1/6, -1/6]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[29516, -11156]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, 9/2], [3, 25/2], [5/2, 2], [0, 0]], [[-1/2, -1/2], [-1, -1/2], [-1/2, 0], [0, 0]], [[0, 0], [-5/3, 2/3], [0, 0], [1/6, -1/6]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-640, 256]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8650, 3270], [-46, 18], [0, 0]], [[0, 0], [776389/3, -293461/3], [1453, -545], [23/3, 1/3]], [[0, 0], [224438/3, 86458/3], [-69586, -26298], [-161756/3, -61138/3]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[-61900, 23396]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-122, 46], [-4, 2], [0, 0]], [[-5, 1], [-755/6, -185/6], [737/2, 275/2], [1/3, -2/3]], [[-61/2, 27/2], [115/3, 959/6], [-794, -631/2], [32/3, -17/6]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[-61900, 23396]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37, -20], [11, 2], [0, 0]], [[-1/2, -1/2], [-3691/3, -3419/6], [1405, 1049/2], [-2/3, -1/6]], [[-5/2, 3/2], [79/6, 2552/3], [-2449/2, -410], [4/3, -1/6]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[176, -64]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, 1], [13, -5], [0, 0]], [[0, 0], [-2290/3, -802/3], [-72, 30], [-11/3, 1/3]], [[0, 0], [-13729/6, -3697/6], [-1757/2, 679/2], [-91/3, 26/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[176, -64]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13/2, -13/2], [9/2, -3/2], [0, 0]], [[0, 0], [7813/6, 2899/6], [-35/2, -29/2], [4/3, 4/3]], [[0, 0], [-360, 284], [-490, 182], [51, -19]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[1408, -512]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3907, 1477], [11, -1], [0, 0]], [[0, 0], [9814/3, 3682/3], [35400, 13380], [32/3, 2/3]], [[0, 0], [1238/3, 1790/3], [10818, 4086], [-650/3, 250/3]]], 0, 32768, [], [] >,
< [ -7, 0, 1 ], [[64, -16]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-299, 113], [-115, 43], [0, 0]], [[0, 0], [132817/2, -50187/2], [50775/2, -19173/2], [11/2, 1/2]], [[0, 0], [2909/3, 1171/3], [1439, 553], [1180/3, 446/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[64, -16]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, -17], [77, -29], [0, 0]], [[0, 0], [2383/6, -913/6], [1589/2, -587/2], [29/6, 1/6]], [[0, 0], [62189/3, 23728/3], [-69149, -25990], [-60710/3, -22945/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-303764, 114812]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 5/2], [-57/2, 10], [5, 5/2], [0, 0]], [[161, 61], [-24, -10], [133, 50], [9/2, 1/2]], [[30, 3], [-451/6, 157/6], [-9/2, 27/2], [-533/6, 203/6]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[-303764, 114812]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -5/2], [199, -167/2], [-13/2, -1], [0, 0]], [[1022, 386], [6323/3, 2185/3], [840, 318], [-20/3, -1/3]], [[-1680, -440], [-197344/3, 68221/3], [-700, -620], [12125/6, -4559/6]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[512, -128]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24616, -9298], [0, 6], [0, 0]], [[0, 0], [-96382/3, -35672/3], [-31930, -12068], [4/3, 2/3]], [[0, 0], [-31909/3, -16901/3], [-12821, -4849], [7/3, -1/3]]], 0, 32768, [], [] >,
< [ -7, 0, 1 ], [[-75224, 28432]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[1/2, -3/2], [13/6, -37/3], [-9/2, -2], [-5/3, -1/6]], [[-2, 1], [-95/6, 49/6], [1/2, 1/2], [5/6, -1/6]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[-128, 64]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 2], [1, 0], [0, 0]], [[0, 0], [-2862, 1090], [0, 0], [6, 0]], [[0, 0], [13528/3, 5092/3], [0, 0], [3704/3, 1400/3]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[-128, 64]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [4442/3, -1678/3], [0, 0], [22/3, -8/3]], [[0, 0], [1444/3, 508/3], [0, 0], [482/3, 182/3]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[-320, 128]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2876, 1090], [-8, 6], [0, 0]], [[0, 0], [-4230, 2859], [1646, 649], [5, 0]], [[0, 0], [141880/3, 54548/3], [48116, 18188], [218/3, 82/3]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[-320, 128]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-518, 196], [-10, 4], [0, 0]], [[0, 0], [-26/3, -28/3], [-2, -8], [-10/3, -2/3]], [[0, 0], [-1451/3, -550/3], [-337, -128], [-220/3, -83/3]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[-166640, 62984]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [211/2, -75/2], [-5/2, 3/2], [0, 0]], [[43/2, 5/2], [67127/6, -12700/3], [-354, 267/2], [43/6, 5/6]], [[2398, 902], [45661/6, -22123/6], [-687/2, 155/2], [2398/3, 902/3]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[349472, -132088]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -9], [22, -5], [0, 0]], [[-1/2, 1/2], [247, -129/2], [170, -65/2], [1/2, 0]], [[-1, 0], [613/6, -545/6], [61/2, -137/2], [-1/6, -1/6]]], 1, 128, [], [] >,
< [ -7, 0, 1 ], [[704, -256]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [509, -194], [-31, 8], [0, 0]], [[0, 0], [-121202/3, 45298/3], [1540, -968], [20/3, -10/3]], [[0, 0], [-8300/3, 27772/3], [25256, 9020], [164/3, 56/3]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[704, -256]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-333, 123], [29, -7], [0, 0]], [[0, 0], [-8833/3, 3344/3], [189, -90], [-20/3, -2/3]], [[0, 0], [-2696, 1050], [-270, -252], [-84, -30]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[256, -64]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7714, -2920], [-22, 4], [0, 0]], [[0, 0], [355396/3, 132905/3], [116026, 43859], [-1/3, -2/3]], [[0, 0], [16012/3, 2495/3], [3694, 1409], [5/3, -2/3]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[256, -64]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6884, -2604], [-16, 4], [0, 0]], [[0, 0], [49076/3, 18574/3], [16000, 6050], [-8/3, -4/3]], [[0, 0], [-14/3, 5/3], [-14, 5], [5/3, -2/3]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[1714976, -648200]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45/2, 7/2], [-27/2, 3/2], [0, 0]], [[-5, 2], [8203/6, -2011/6], [1595/2, -341/2], [-5/3, 2/3]], [[3/2, 3/2], [8491/2, 1423], [3022, 2083/2], [1/2, 1/2]]], 1, 128, [], [] >,
< [ -8, -1, 1 ], [[-26, -11]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3, 3/2], [3/2, -3/2], [2, -1/2], [1/2, 1]], [[-71/2, -15], [31/2, 27/4], [-3/2, -1/2], [-17, -29/4]]], 4, 2, [], [] >,
< [ -8, -1, 1 ], [[83, 35]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1/2, 3/2], [43/4, 11/4], [-5/4, 3/4], [1/4, 3/4]], [[473/2, 99], [847, 358], [55, 45/2], [473/4, 99/2]]], 4, 2, [], [] >,
< [ -8, -1, 1 ], [[-306, -129]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-30, -25/2], [-51/2, -47/4], [-27, -12], [-3/2, -1/4]], [[1569/2, 330], [1401/2, 300], [1457/2, 310], [28, 10]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[975, 411]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1, -5/2], [-103/4, -19/4], [-23/4, -5/4], [-1/2, -5/4]], [[-53/2, 40], [815/2, 43/2], [175/2, 8], [-53/4, 20]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[-3594, -1515]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 2], [1, -2], [8, 2], [0, 0]], [[50, -23/2], [141/2, -105/4], [53, -10], [-3/2, -3/4]], [[-219/2, 73/2], [-207, 219/4], [-209/2, 38], [-5/2, -3/4]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[11451, 4827]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-305/4, -137/4], [-5/4, -5/4], [0, 0]], [[-3/2, 0], [-35, 244], [-114, 81/2], [-3/4, 0]], [[15/2, 7/2], [-4451, -3471/2], [-189, -63/2], [15/4, 7/4]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[-7634, -3218]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19, -8], [-26, -11], [-19, -8], [0, 0]], [[-71/2, -15], [-38, -65/4], [-61/2, -25/2], [-5/2, -5/4]], [[25/2, -1/2], [111/2, -13], [-147/2, 49/2], [43, -25/2]]], 1, 2, [], [] >,
< [ -8, -1, 1 ], [[22, 10]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-937/2, -395/2], [-951/2, -401/2], [-937/2, -395/2], [0, 0]], [[-166, -70], [-333/2, -68], [-167, -66], [-1/2, 2]], [[-1269/2, -535/2], [-629, -262], [-1247/2, -513/2], [11/2, 11/2]]], 0, 12, [], [] >,
< [ -8, -1, 1 ], [[1421, 599]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-55/2, -23/2], [-5/2, -1/2], [-5/2, -1/2], [-55/4, -23/4]], [[10, 2], [75/4, -21/4], [75/4, -21/4], [5, 1]]], 1, 6, [], [] >,
< [ -8, -1, 1 ], [[24323, 10253]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-151/4, -65/4], [1/4, -1/4], [0, 0]], [[-1/2, -3/2], [-823/2, 285/2], [-937/2, 275/2], [-1/4, -3/4]], [[458, 387/2], [-5544, -2444], [555, 241/2], [229, 387/4]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[-89658, -37794]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-809/2, -341/2], [-739/2, -311/2], [-809/2, -341/2], [0, 0]], [[2362, 994], [4351/2, 906], [2359, 994], [3/2, 0]], [[623/2, -93], [2201, -2613/4], [161/2, -49/2], [231/2, -137/4]]], 1, 8, [], [] >,
< [ -8, -1, 1 ], [[270, 114]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31065/2, 13095/2], [31361/2, 13219/2], [31065/2, 13095/2], [0, 0]], [[56197, 23689], [113461/2, 47829/2], [56194, 23686], [-1/2, -1/2]], [[20921/2, 8819/2], [10563, 8901/2], [20915/2, 8819/2], [-1/2, 0]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[16689, 7035]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-131/2, -55/2], [27/4, 3/4], [27/4, 3/4], [-131/4, -55/4]], [[-2781/2, -1161/2], [230, -10], [230, -10], [-2781/4, -1161/4]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[285663, 120417]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [65, 24], [10, 1], [0, 0]], [[3/2, -2], [86117/2, -23619/2], [79187/2, -11657], [3/4, -1]], [[420, 196], [-2302371/4, -107681/4], [-1233199/4, 296555/4], [210, 98]]], 1, 16, [], [] >,
< [ -8, -1, 1 ], [[-1052994, -443874]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, 2], [-352, -151], [11, 2], [0, 0]], [[16183/2, -4797/2], [16041/2, -4785/2], [16179/2, -4797/2], [1, 0]], [[-2570, 1589/2], [-6583/2, 1915/4], [-2599, 782], [29/2, 25/4]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-66, -30]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, -3/2], [-865/2, -379/2], [27/2, -3/2], [0, 0]], [[6192, -1836], [12333/2, -1845], [6189, -1836], [-1/2, 0]], [[32, -10], [115, 25], [32, -10], [0, 0]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[196005, 82623]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [263/4, 101/4], [31/4, 1/4], [0, 0]], [[117/2, 49/2], [711, 205/2], [368, -173/2], [117/4, 49/4]], [[-27/2, 27/2], [-32577, 19461/2], [-40027, 23749/2], [-27/4, 27/4]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[-2, -14]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -5/2], [-22303/2, -9401/2], [-11/2, -5/2], [0, 0]], [[610157/2, -180933/2], [-838541/2, 248671/2], [610157/2, -180929/2], [0, 1]], [[-171437/2, 50837/2], [117665, -34993], [-171515/2, 50803/2], [-39/2, -17/2]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[29, 11]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-135, -55], [-4, 0], [0, 0]], [[11/2, 5/2], [11269, -2597], [9059, -2675], [11/4, 5/4]], [[-521/2, -219/2], [-117407/4, -99549/4], [58769/4, -19469/4], [-521/4, -219/4]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[-234, -102]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-69/2, -3/2], [25305/2, 10655/2], [-69/2, -3/2], [0, 0]], [[-798772, 236864], [731665/2, -216995/2], [-798769, 236879], [1/2, 5/2]], [[-194626074, 57713478], [178275603/2, -52872015/2], [-194625651, 57717003], [141/2, 1175/2]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[321, 135]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-317/4, -115/4], [-45/4, -3/4], [0, 0]], [[13/2, -1/2], [72431/4, -17627/4], [57951/4, -16875/4], [13/4, -1/4]], [[308, 116], [266291, 60857], [77032, -11606], [154, 58]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[6, 42]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17, 1], [-42442, -17902], [-17, 1], [0, 0]], [[-1399797, 415089], [3840523/2, -1139363/2], [-1399806, 415074], [-3/2, -5/2]], [[-3778983/2, 1120599/2], [5161007/2, -1547665/2], [-3780591/2, 1119891/2], [-134, -59]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-87, -33]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 34], [-31, -1], [0, 0]], [[25/2, 3/2], [-3653/4, 1073/4], [-3553/4, 1085/4], [25/4, 3/4]], [[-14385/2, -6055/2], [9189/2, 2351/2], [-19581/2, -9759/2], [-14385/4, -6055/4]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-55, -1]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116853/4, 49235/4], [-51/4, -5/4], [0, 0]], [[13/2, 3/2], [-84515511/4, 25052311/4], [61555189/4, -18253269/4], [13/4, 3/4]], [[-217/2, -87/2], [152809895/4, -45103399/4], [-111100601/4, 32945033/4], [-217/4, -87/4]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[-291, -117]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35211/2, 14813/2], [-31/2, -1/2], [0, 0]], [[-45/2, -3/2], [-613617, 181927], [249494, -73996], [-45/4, -3/4]], [[1435, 41], [173336017/4, -51392913/4], [-70479575/4, 20902471/4], [1435/2, 41/2]]], 0, 3072, [], [] >,
< [ -8, -1, 1 ], [[-752, -317]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, -7/2], [-53, -39/2], [-11, -7/2], [0, 0]], [[-355, -118], [-1768, -648], [-357, -116], [-1, 1]], [[17/2, -5/2], [-11, 13/4], [7/2, -1], [-5/2, 3/4]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[140, 59]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-15, -1], [-15/2, -19/4], [-10, -7/2], [-5/2, 5/4]], [[-54, -47/2], [-141/2, -59/2], [-65, -55/2], [11/2, 2]]], 1, 6, [], [] >,
< [ -8, -1, 1 ], [[2396, 1010]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99/2, 43/2], [3/2, 5/2], [0, 0]], [[-2, -1], [323, 103/2], [357, -195/2], [-1, -1/2]], [[-3/2, -1], [1741/4, -13/4], [3085/4, -887/4], [-3/4, -1/2]]], 1, 2, [], [] >,
< [ -8, -1, 1 ], [[32, 14]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45/2, 23/2], [1/2, 5/2], [0, 0]], [[64, 27], [133/2, -75], [285/2, -57], [32, 27/2]], [[-6, -5/2], [-6, -5/2], [0, 0], [-3, -5/4]]], 0, 12, [], [] >,
< [ -8, -1, 1 ], [[-8832, -3723]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-153, -129/2], [-121, -103/2], [-153, -129/2], [0, 0]], [[-105/2, -31/2], [-58, -19/4], [-99/2, -18], [3/2, -5/4]], [[17/2, -5/2], [-11, 13/4], [7/2, -1], [-5/2, 3/4]]], 1, 16, [], [] >,
< [ -8, -1, 1 ], [[1644, 693]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-238, -101], [-485/2, -407/4], [-241, -203/2], [3/2, 1/4]], [[549, -479/2], [-567, 181/2], [-195, -39/2], [372, -110]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[28140, 11862]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-71/2, -13], [-11/2, -1], [0, 0]], [[-1/2, 1], [351/4, -71/4], [231/4, -57/4], [-1/4, 1/2]], [[-33, -14], [-633/2, -259/2], [-229/2, -91/2], [-33/2, -7]]], 1, 8, [], [] >,
< [ -8, -1, 1 ], [[0, -6]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29, 21/2], [7, 5/2], [0, 0]], [[-106, -45], [146, -393/2], [68, -77/2], [-53, -45/2]], [[16, 11/2], [2801/2, -395], [721/2, -209/2], [8, 11/4]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[19308, 8139]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19, 1], [34, 7], [19, 1], [0, 0]], [[3896, -1204], [7947/2, -5205/4], [3901, -2407/2], [-5/2, -1/4]], [[1535, 533/2], [6183/2, 3621/4], [1494, 249], [41/2, 35/4]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[-96, -42]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [299, 253/2], [-7, -5/2], [0, 0]], [[6, 5/2], [9236, -2745], [9030, -5355/2], [3, 5/4]], [[0, 0], [-26681/2, 3956], [-26061/2, 3864], [0, 0]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[330492, 139314]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-113/2, -25], [11/2, 1], [0, 0]], [[-3/2, 1/2], [14605/4, -4245/4], [16133/4, -4789/4], [-3/4, 1/4]], [[5/2, 1], [2741/4, 1595/4], [-875/4, 121/4], [5/4, 1/2]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[41012, 17288]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, -8], [-19, -8], [0, 0]], [[-1, 5/2], [19/2, 35/4], [0, 0], [-1/2, 5/4]], [[-344, 215/2], [-531, 745/4], [0, 0], [-172, 215/4]]], 1, 6, [], [] >,
< [ -8, -1, 1 ], [[-220328, -92876]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, -8], [-19, -8], [0, 0]], [[11, 7/2], [-276, -445/4], [9, 1], [1, 5/4]], [[-41/2, 13/2], [78, -35], [-103/2, 31/2], [31/2, -9/2]]], 1, 8, [], [] >,
< [ -8, -1, 1 ], [[-8, -8]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3195, -1347], [-2721, -1147], [0, 0]], [[-3, 0], [-20039, -16893/2], [-17048, -7185], [1, -1/2]], [[1/2, 1/2], [17522, 14773/2], [29811/2, 12567/2], [1/2, 0]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[-124, -52]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, -62], [-1217, -513], [0, 0]], [[0, 0], [10929, 9209/2], [90017, 37942], [-2, -5/2]], [[0, 0], [14065/2, 3166], [59870, 25511], [-385/2, 55]]], 0, 36, [], [] >,
< [ -8, -1, 1 ], [[41012, 17288]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67/2, 11], [3/2, -2], [0, 0]], [[3/2, 1/2], [-251/4, -349/4], [333/4, -65/4], [3/4, 1/4]], [[19/2, -5/2], [15955/4, -4869/4], [13651/4, -4037/4], [19/4, -5/4]]], 1, 6, [], [] >,
< [ -8, -1, 1 ], [[-16, -4]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29, 10], [-1, -1], [0, 0]], [[0, 0], [-561/2, -136], [55/2, 7], [-153, -129/2]], [[0, 0], [-273, -54], [-9, 12], [-89, -75/2]]], 0, 36, [], [] >,
< [ -8, -1, 1 ], [[-208, -88]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-703, -294], [-1, 2], [0, 0]], [[-78, -33], [-28029/2, 403/2], [-17733/2, 5173/2], [-39, -33/2]], [[-2, 3/2], [175607, -52006], [181689, -107753/2], [-1, 3/4]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[701996, 295916]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1515/2, 639/2], [7/2, 3/2], [0, 0]], [[-3/2, -1/2], [-139/4, 43/4], [-11/4, -5/4], [-3/4, -1/4]], [[-4, -3/2], [-50, 16], [-8, -7/2], [-2, -3/4]]], 1, 8, [], [] >,
< [ -8, -1, 1 ], [[-2587656, -1090788]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2341, -987], [-1867, -787], [0, 0]], [[4, -1/2], [-52465, -88487/4], [-41763, -17616], [-2, 3/4]], [[-6731/2, 998], [-9860, 9311/4], [-36509/2, 9877/2], [4905/2, -2909/4]]], 1, 32, [], [] >,
< [ -8, -1, 1 ], [[12, 0]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-893, -376], [-752, -317], [0, 0]], [[-4, 1/2], [-12387, -20933/4], [-10429, -4396], [-2, 1/4]], [[-31735, 18821/2], [337635/2, -202497/4], [-3420, 540], [-31735/2, 18821/4]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-168, -72]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52615, -22179], [-52909, -22303], [0, 0]], [[11/2, -1/2], [16640116, 14028841/2], [33466429/2, 14107273/2], [-5/2, 1]], [[-175/2, -7/2], [-432687435, -364786565/2], [-870215367/2, -366826335/2], [49/2, -14]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[36, 12]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, 5], [71994, 30348], [0, 0]], [[0, 0], [1359/2, 573/2], [3986954, 1680632], [5/2, -1/2]], [[0, 0], [-7199/2, -1517], [-21114249, -8900460], [25/2, -5]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[-144, -60]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29/2, -8], [15/2, 0], [0, 0]], [[0, 0], [27, -117/2], [177, -87/2], [191, 161/2]], [[0, 0], [-22407, 13293/2], [-37877, 22463/2], [-12, -2]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[12, 0]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -7/2], [-9, -3/2], [0, 0]], [[3, 0], [472, -143/2], [358, -139/2], [3/2, 0]], [[-23/2, -9/2], [-3721/4, -1281/4], [-2105/4, -653/4], [-23/4, -9/4]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[8244636, 3475404]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [847/2, 367/2], [-25/2, -1/2], [0, 0]], [[1/2, -3/2], [354507/4, -97855/4], [329635/4, -97859/4], [1/4, -3/4]], [[-27/2, -18], [2639937/4, -664637/4], [2367921/4, -703971/4], [-27/4, -9]]], 1, 32, [], [] >,
< [ -8, -1, 1 ], [[-48, -24]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 11], [-20, -5], [0, 0]], [[-40, -17], [-141/2, -61/2], [-221/2, -95/2], [-20, -17/2]], [[10, 9/2], [33/2, 17/2], [53/2, 13], [5, 9/4]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[5656980, 2384616]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -12], [-37, -16], [0, 0]], [[1, 1/2], [3425/2, -2009/4], [1106, -322], [1/2, 1/4]], [[0, 0], [-805, 239], [-518, 154], [0, 0]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[372, 156]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [83, 35], [-27, -3], [0, 0]], [[0, 0], [-15/2, 15/2], [-96, 18], [5/2, -5/2]], [[0, 0], [39/2, 0], [49, -26], [-13/2, 0]]], 0, 432, [], [] >,
< [ -8, -1, 1 ], [[48, 12]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [621/2, 132], [-11/2, -1], [0, 0]], [[0, 0], [-12495/2, 1727/2], [-11523/2, 3417/2], [-688, -290]], [[0, 0], [-102, -43], [0, 0], [-51, -43/2]]], 0, 432, [], [] >,
< [ -8, -1, 1 ], [[5656980, 2384616]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [293/2, 64], [-7/2, 1], [0, 0]], [[-5/2, -1/2], [209/4, 97/4], [-15/4, -3/4], [-5/4, -1/4]], [[-33/2, 3/2], [421/4, 313/4], [-99/4, 9/4], [-33/4, 3/4]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[116, 44]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, 3], [-6, 2], [0, 0]], [[0, 0], [-327/2, -119/2], [167, 71], [-3/2, -3/2]], [[0, 0], [13541, 5711], [-15119, -6373], [245, 103]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-584, -248]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [41658, 17558], [-4, 0], [0, 0]], [[5/2, 5/2], [72230, -21585], [-105649/2, 31357/2], [5/2, 5/2]], [[0, -1], [-46907, 13958], [34251, -10161], [0, -1]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[-28, -4]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [131/2, 57/2], [7/2, 5/2], [0, 0]], [[-25/2, -3/2], [13343/4, -3483/4], [14663/4, -4323/4], [-25/4, -3/4]], [[-480, -192], [19274, 1884], [10584, -2736], [-240, -96]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[-496, -208]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3/2, 13/2], [-1/2, -3/2], [0, 0]], [[0, 0], [1, 0], [1, 0], [1, 0]], [[0, 0], [-140, -94], [34, 22], [0, 0]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[1284, 540]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45, -3], [-26, -2], [0, 0]], [[0, 0], [-163/2, -33/2], [-6, -6], [11/2, 1/2]], [[0, 0], [-2649/2, -1065/2], [-237, -105], [143/2, 55/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[120, 72]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-172333, -72643], [5, -1], [0, 0]], [[3/2, 3/2], [144, 43], [27/2, 9/2], [3/2, 3/2]], [[508, 216], [22546, 9466], [2236, 940], [508, 216]]], 0, 3072, [], [] >,
< [ -8, -1, 1 ], [[144, 48]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, -3/2], [15/2, -3/2], [0, 0]], [[0, 0], [1, 0], [3, 0], [1, 0]], [[0, 0], [-31/2, -13/2], [-31/2, -13/2], [0, 0]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-204, -84]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1113/2, 479/2], [-15/2, 3/2], [0, 0]], [[17/2, 3/2], [-75207/4, 13179/4], [-59199/4, 17595/4], [17/4, 3/4]], [[-188, -20], [1008791/2, -213187/2], [842363/2, -250171/2], [-94, -10]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[-348, -132]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 0], [43, 1], [0, 0]], [[0, 0], [-9963/2, 459/2], [-2955, 75], [-1/2, 1/2]], [[0, 0], [-523243/2, -220975/2], [-168045, -70953], [145/2, 61/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[84, 12]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5111/2, 2165/2], [-13/2, 5/2], [0, 0]], [[13/2, 3/2], [-17717/4, 6317/4], [-19101/4, 5685/4], [13/4, 3/4]], [[3/2, 1/2], [-1741/4, 913/4], [-2277/4, 681/4], [3/4, 1/4]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[1488, 624]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, -11/2], [-33/2, -3/2], [0, 0]], [[0, 0], [-1, 0], [3, 0], [1, 0]], [[0, 0], [-77/2, -47/2], [-245/2, -95/2], [0, 0]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-700, -292]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [366933/2, 154691/2], [25/2, -1/2], [0, 0]], [[1/2, -1/2], [-152961405/4, 45336573/4], [111420019/4, -33039955/4], [1/4, -1/4]], [[0, 0], [851337/2, -253249/2], [-621063/2, 184167/2], [0, 0]]], 0, 1536, [], [] >,
< [ -8, -1, 1 ], [[464, 176]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 23], [19, 1], [0, 0]], [[0, 0], [-419, -371], [-321, -65], [-35, -15]], [[0, 0], [7045/2, 2595/2], [1925/2, 947/2], [169, 71]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[5136, 2160]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, 16], [74, 2], [0, 0]], [[0, 0], [467093/2, -195081/2], [-143379/2, 111423/2], [-44, -18]], [[0, 0], [-10374719, 3380601], [4218607, -1621409], [495, 187]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[228, 60]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [186491/2, 78493/2], [-113/2, 1/2], [0, 0]], [[-3, -1], [-725471965/2, 215123529/2], [295210311/2, -87540243/2], [-3/2, -1/2]], [[-271/2, -113/2], [-3386602133/4, 1003794693/4], [1377836979/4, -408577587/4], [-271/4, -113/4]]], 0, 6144, [], [] >,
< [ -8, -1, 1 ], [[56, 23]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-452, -381/2], [-414, -353/2], [-452, -381/2], [0, 0]], [[1300, 551], [1447, 1735/4], [1298, 1101/2], [-1, -1/4]], [[-1416, 402], [81573, -96823/4], [-1566, 893/2], [-75, 89/4]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[-592, -250]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [174, 74], [-18, -7], [0, 0]], [[20, -3/2], [3459, 2939/2], [-361, -133], [10, -3/4]], [[-10268, 3042], [9574, -8857/2], [20026, -11571/2], [-5134, 1521]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[-24, -3]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7468, -3148], [-7458, -3145], [-7468, -3148], [0, 0]], [[-2999140, -2528495/2], [-2996111, -2525497/2], [-2999110, -2528483/2], [5, 1]], [[81260, 19550], [-924406, 1270867/4], [111392, 21229/2], [5022, -5957/4]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[144, 66]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [117, 49], [5, 2], [0, 0]], [[16, -5/2], [5406, -1555], [1870, -1105/2], [8, -5/4]], [[-2436, -1029], [-50983, -44757/2], [-1763, -2107/2], [-1218, -1029/2]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[-168, -69]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[72, 3/2], [104, 13/2], [72, 3/2], [0, 0]], [[45024, -9648], [60039, -46989/4], [44994, -19299/2], [-5, -1/4]], [[227800, -17420], [318679, -50051/4], [227542, -34969/2], [-43, -43/4]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[1776, 750]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7619, -3206], [-11, 1], [0, 0]], [[-8, -1/2], [-2173, 674], [-2197, 1303/2], [-4, -1/4]], [[-192, -92], [10683, -3259/2], [8475, -5025/2], [-96, -46]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-352, -148]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-700, -295], [-956, -403], [0, 0]], [[-8, 0], [3486, 1468], [4860, 2044], [-4, 0]], [[-74030, 43905/2], [32335, -38361/4], [102310, -30341], [-37015, 43905/4]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[-64, -16]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-204, -86], [167540, 70624], [0, 0]], [[0, 0], [-275, -233/2], [227174, 95761], [-5, -5/2]], [[0, 0], [29612, -8781], [44516, -13200], [21242, -6299]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[224, 92]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-869, -727/2], [-5, 1/2], [0, 0]], [[0, 0], [-8553, 2066], [-7317, 2169], [-2, 1]], [[0, 0], [4404, -6413], [10656, -3168], [10, 3/2]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-64, -40]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[20, 1], [9304, 3922], [20, 1], [10, 1/2]], [[18224, -10787/2], [14080, 6000], [18224, -10787/2], [9112, -10787/4]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[96, 36]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80124, -33775], [-80380, -33883], [0, 0]], [[4, -1/2], [-7401452, -12479959/4], [-7425100, -3129937], [2, -1/4]], [[-3954, 2345/2], [-29069, 35959/4], [7230, -1773], [-1977, 2345/4]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[-576, -240]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-318, -134], [-591832, -249478], [0, 0]], [[0, 0], [-617, -519/2], [-1293858, -545403], [-5, -3/2]], [[0, 0], [55484438, -16453087], [344115976, -102042488], [57352810, -17007125]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-96, -12]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [584, 495/2], [0, 3/2], [0, 0]], [[0, 0], [-19818, 9997/2], [-21062, 12485/2], [-6, -3/2]], [[0, 0], [-40619, -9953/2], [-19239, 11289/2], [-90, -37]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-960, -408]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4189, -1767], [-85, -37], [0, 0]], [[0, -1], [789855, 333128], [16095, 6957], [0, -1/2]], [[-1472, 873/2], [206922, -61467], [202122, -119877/2], [-736, 873/4]]], 0, 3072, [], [] >,
< [ -8, -1, 1 ], [[1056, 444]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4092, -1725], [-2308, -973], [0, 0]], [[-6, 5/2], [-11611, -19681/4], [-6574, -2782], [-3, 5/4]], [[-82776, 24546], [424390, -125906], [177852, -52773], [-41388, 12273]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[192, 48]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1504, -634], [20, -4], [0, 0]], [[0, 0], [13, 5/2], [6806, -2029], [-1, -3/2]], [[0, 0], [902, 380], [-1004, -806], [-256, -108]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-672, -276]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7887, 3327], [-1, 2], [0, 0]], [[0, 0], [-8847, 4405/2], [-8507, 5045/2], [-2, -1]], [[0, 0], [153858, -91903/2], [158910, -94245/2], [-6, 1/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-1984, -832]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, 22], [-8, -16], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [70, 50], [340, -136], [0, 0]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-256, -64]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [185, 79], [-55, -23], [0, 0]], [[0, 0], [4906, 2052], [-1418, -602], [-2, -2]], [[0, 0], [5416, 2305], [-1596, -667], [-6, -1]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[576, 192]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -10], [-28, 8], [0, 0]], [[0, 0], [-3, 0], [6, 0], [1, 0]], [[0, 0], [-242, -102], [0, 0], [0, 0]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[-2304, -960]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-489, -209], [7, 1], [0, 0]], [[0, 0], [-168, -49], [-108, -27], [-30, -11]], [[0, 0], [-3942, -1611], [-2358, -951], [-780, -325]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[5952, 2496]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, -26], [-32, -20], [0, 0]], [[0, 0], [-3, 0], [6, 0], [1, 0]], [[0, 0], [-20, -140], [-348, -168], [0, 0]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[768, 192]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [238028, 100334], [36, 12], [0, 0]], [[0, 0], [5447388, 2297337], [-848, 715], [-26, -11]], [[0, 0], [-4334965, -1792835], [-48609, 14049], [22, 8]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[-7936, -3328]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3128987, -1318981], [21, 11], [0, 0]], [[0, 0], [-86922859, -36640751], [957, 189], [8, -6]], [[0, 0], [-91830561, -38709823], [683, 297], [-6, -2]]], 0, 147456, [], [] >,
< [ -8, -1, 1 ], [[2304, 768]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3890881, -1640127], [-1, -7], [0, 0]], [[0, 0], [58893988, 24831842], [3540, -930], [4, 2]], [[0, 0], [-9448002, -3965088], [9930, -2964], [-2, 0]]], 0, 589824, [], [] >,
< [ -8, -1, 1 ], [[-1000, -421]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, -3/2], [-664, -569/2], [-20, -3/2], [0, 0]], [[60720, -18000], [-39806, 48735/4], [60740, -36001/2], [10, -1/4]], [[-89520, 26040], [11350, -37586], [-90220, 25758], [-350, -141]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[264, 105]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[52, -1/2], [328, 287/2], [52, -1/2], [0, 0]], [[-1242440, 368638], [295044, -336323/4], [-1242464, 737291/2], [-4, 5/4]], [[-5637972, -4228479/2], [-85191110, -143889341/4], [-5647560, -2118276], [-1598, -2691/4]]], 0, 3072, [], [] >,
< [ -8, -1, 1 ], [[-160, -52]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14368, -6067], [-24, 5], [0, 0]], [[20, 0], [165502, -48476], [-239796, 71134], [10, 0]], [[4104, 3439/2], [619312, 456209/4], [-280220, 95995], [2052, 3439/4]]], 0, 1536, [], [] >,
< [ -8, -1, 1 ], [[896, 368]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [448, 182], [0, 10], [0, 0]], [[0, 0], [20698, -12353/2], [-30324, 8991], [2, -1/2]], [[0, 0], [460, -148], [-696, 206], [0, 0]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-1632, -684]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1068, -438], [136, 4], [0, 0]], [[-16, -3/2], [19716, -23433/4], [-86180, 25528], [-8, -3/4]], [[3588, 1170], [-1282674, 384566], [5638756, -1662287], [1794, 585]]], 0, 6144, [], [] >,
< [ -8, -1, 1 ], [[-384, -48]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20264, 8536], [-48, 6], [0, 0]], [[0, 0], [184894, -110599/2], [-812916, 241053], [2, -3/2]], [[0, 0], [-4648, -12105/2], [-25088, 7357], [-20, -17/2]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[-1024, -256]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2076, -868], [40, 12], [0, 0]], [[0, 0], [-115888, 31540], [76656, -22672], [8, 4]], [[0, 0], [-79126, 13437], [44860, -13094], [30, 13]]], 0, 147456, [], [] >,
< [ -8, -1, 1 ], [[-9216, -3840]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1148, -412], [168, 12], [0, 0]], [[0, 0], [-270370, 81248], [222428, -65896], [34, 12]], [[0, 0], [7470340, -2220477], [-6115944, 1813290], [-240, -37]]], 0, 589824, [], [] >,
< [ -15, 0, 1 ], [[-3, -1]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-87/2, -3], [-379/7, -5/14], [3/2, 1], [-41/14, -1/14]], [[275, 34], [2264/7, 1559/70], [-29/2, -13/2], [249/14, 53/35]]], 4, 8, [], [] >,
< [ -15, 0, 1 ], [[6, 0], [27, 33]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[27/2, -1], [31/2, -3/2], [6, -3/2], [1/2, 0]], [[2805/2, 342], [2841/2, 342], [105/2, 0], [72, 18]], [[683259, 182524], [4795809/7, 6454484/35], [5415, 5512], [250416/7, 329556/35]]], 1, 16, [], [] >,
< [ -15, 0, 1 ], [[6, 0], [0, 34]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-43/2, -1/2], [-183/7, 9/14], [1, 2], [-10/7, -1/14]], [[-195, 218], [-433, 281], [-300, 15], [-7, 14]], [[-27123/2, 30421/2], [-30157, 98018/5], [-41865/2, 2085/2], [-971/2, 9769/10]]], 1, 24, [], [] >,
< [ -15, 0, 1 ], [[6, 0]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-21/2, -3/2], [-149/14, -51/35], [-12, -2], [1/14, 1/35]], [[-3/2, -1/2], [-3/2, -1/2], [-3/2, -1/2], [0, 0]]], 1, 48, [], [] >,
< [ -15, 0, 1 ], [[24, 0], [24, 568]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 4], [-11, -5], [0, 0]], [[0, 0], [-31827/7, 15607/35], [4081, -67], [-50/7, -2/35]], [[0, 0], [3097255, -1414914], [-1352455, 1182987], [1620, -2025]], [[0, 0], [29825063/14, -14944603/14], [-809146, 910169], [11745/14, -21951/14]]], 0, 192, [], [] >,
< [ -15, 0, 1 ], [[24, 0]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -5], [-9, -5], [0, 0]], [[0, 0], [5140, -1066], [3075, -317], [-2, 0]], [[0, 0], [406145/14, 615499/70], [56427, 15174], [-867/14, -1139/70]]], 0, 768, [], [] >,
< [ -15, 0, 1 ], [[96, 0], [0, 32]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 4], [-14, 2], [0, 0]], [[0, 0], [2173/7, 5263/35], [-602, 8], [23/7, -3/35]], [[0, 0], [144379, 27745], [-37560, -31890], [171, 171]], [[0, 0], [119386, 119311/5], [-36345, -25593], [171, 684/5]]], 0, 3072, [], [] >,
< [ -15, 0, 1 ], [[96, 0]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -8], [48, -4], [0, 0]], [[0, 0], [-110769/7, -164306/35], [23259, 5249], [32/7, 1/35]], [[0, 0], [-1374644/7, -1719882/35], [244068, 64964], [146/7, 292/35]]], 0, 12288, [], [] >,
< [ 1, -2, -1, 1 ], [[2, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -2, -5/2], [3/2, -1, 0], [1/2, -2, -5/2], [1, 1, 5/2]], [[-4785/2, -203/2, 667], [6555/2, -1967/2, -467], [-4785/2, -203/2, 667], [5670, -882, -1134]]], 4, 1, [], [] >,
< [ 1, -2, -1, 1 ], [[-2, 1, 1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [-1, 0, 0], [0, 0, 0]], [[-5, 21/2, 23/2], [0, 2, 3/2], [-2, -3/2, 0], [-3/2, -1/2, 1/2]], [[1/2, -1, 1], [1/2, -1, 1/2], [0, 0, 0], [0, 0, 0]]], 4, 1, [], [] >,
< [ 1, -2, -1, 1 ], [[4, -2, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -5/2, -3/2], [79/2, 13/2, 19/2], [1/2, -5/2, -3/2], [0, 0, 0]], [[-33030, 12960, 15525], [1062723, 603540, -1556425/2], [-33030, 12960, 15525], [-1, 0, -5/2]], [[1836558, 86544, -760320], [-159361903/2, -27983624, 41425752], [1836558, 86544, -760320], [213/2, 0, 0]]], 3, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[1, 0, 1]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, 7/2, 8], [-187/13, 558/13, 120/13], [121/13, 235/52, -9/26], [19/26, 5/52, -1/26]], [[263837, -165129/2, 71285], [-3008635/13, 28746945/26, -7089675/26], [17961033/52, 3317643/52, -1227361/13], [1348341/52, -96201/52, -61080/13]]], 4, 1, [], [] >,
< [ 1, -2, -1, 1 ], [[4, 1, -4]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, 0, 0], [1, 0, 0], [0, 0, 0]], [[4, -1/2, -9], [-19/2, 1/2, 7/2], [6, -4, -8], [2, 0, -2]], [[-12, 25/2, 44], [-9/2, -29/2, 9/2], [-35/2, 29, 77/2], [-1, 7/2, 13/2]]], 3, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-1, -2, 0]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-26, -39/2, 6], [239/26, 527/26, 88/13], [149/52, 179/52, 11/26], [3/52, 5/52, 1/26]], [[47851/2, -59772, 25976], [-441379/26, 564597/13, -498055/26], [-128753/52, 77706/13, -33776/13], [-725/52, 210/13, -80/13]]], 4, 1, [], [] >,
< [ 1, -2, -1, 1 ], [[3, 0, 1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[21/2, -9/2, -1], [-7, 7/2, -11], [9/2, -7/2, -8], [1, 1/2, -2]], [[-18135/2, -558, 5859/2], [12213, -11877/2, -15633/2], [1190, -4284, -3598], [-336, -1106, -210]]], 3, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-5, 4, 2]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, 3/2, 1], [8247/26, -1255/26, -340/13], [22/13, -7/26, -2/13], [0, 0, 0]], [[-37235/2, 25621/2, 29421/2], [2724751/13, 11053180/13, 27920979/26], [1439, 16277/4, 10297/2], [17/13, 5/52, 1/26]], [[-165906465/2, 131797231/2, 78372861/2], [32970713948/13, 11415962943/13, 97702370085/26], [14529194, 12908957/4, 18236542], [92906/13, -122467/52, 8446/13]]], 3, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[2, 1, -2]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, -31/2, -2], [495/26, -833/26, -23/13], [57/52, -163/52, 9/52], [-3/52, -1/52, 1/52]], [[3/2, -4, 2], [93/26, -121/13, 59/13], [9/26, -23/26, 11/26], [0, 0, 0]]], 4, 1, [], [] >,
< [ 1, -2, -1, 1 ], [[4, -3, 2]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 4, 3], [-935/26, -184/13, 10/13], [63/26, 21/26, -1/26], [0, 0, 0]], [[150, 3391, 4223], [-76751/13, -124932/13, -216069/26], [5461/13, 29663/52, 27991/52], [0, 3/52, 1/52]], [[-86713683/2, 24338645/2, -35398131/2], [5262935663/26, -223025651/13, 16517331/2], [-724268611/52, 137325049/52, -13832005/13], [-8583/52, -45711/52, 4371/13]]], 3, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-1, -4, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[15/2, 25/2, 5/2], [-11/2, 1, -6], [-9/2, 1, 9/2], [-2, -1/2, 3/2]], [[-901, -11141/2, -1503], [5149/2, -7819/2, 8675/2], [1331, -539/2, -1782], [979/2, 671/2, -1177/2]]], 3, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-3, -5, 2]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, 7/2, -3/2], [-1034/13, 189/26, 135/26], [-21/26, -9/26, 1/26], [0, 0, 0]], [[1528297, -75413/2, -183297/2], [-188812607/13, 153717947/13, -94679853/26], [-3310917/26, 177501/52, -186443/52], [1/26, 5/52, 5/52]], [[71158740432, -41509747468, -2395938006], [-10399353322320/13, 15482203667669/13, -399307095885], [-163240910549/26, 54001331118/13, 783234683/26], [130063/26, -34013/13, -43505/26]]], 3, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[6, -3, -3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, 0], [-1/2, 1/2, 1/2], [1, 0, 0], [0, 0, 0]], [[-11/2, 11/2, 7], [-7, 5/2, 5], [1/2, 2, 0], [1/2, 1, -1/2]], [[6, -51, -71/2], [-101/2, -93/2, 10], [26, -19/2, -12], [29/2, -9/2, -7/2]]], 3, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-3, 2, 1]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-87/2, -15, -21/2], [-987/58, -553/58, -529/58], [-67/58, -65/116, -63/58], [1/58, -1/116, -1/29]], [[22109, 3853/2, -18085/2], [572443/58, 38149/58, -238657/58], [2863/4, -19/2, -557/2], [-177/116, -171/58, 51/58]]], 4, 1, [], [] >,
< [ 1, -2, -1, 1 ], [[-1, -3, 1]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[19, 4, 0], [-1663/29, -126/29, -503/58], [-195/58, -47/116, 135/116], [-1/29, -1/116, 5/116]], [[-9722, -845, 2665/2], [1724515/58, -96225/58, -18812/29], [92769/58, 20899/116, -16446/29], [801/58, 891/116, -459/29]]], 4, 1, [], [] >,
< [ 1, -2, -1, 1 ], [[2, -1, 1]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-181/2, 53/2, 5/2], [-876/29, 916/29, -89/58], [-1893/58, 47/116, -12/29], [-63/58, -3/116, -1/58]], [[1099570, 318424, -1408079/2], [4019975/29, 6766011/29, -3119973/58], [14799895/29, 2611277/58, -10536436/29], [1012249/58, 35270/29, -363281/29]]], 4, 1, [], [] >,
< [ 1, -2, -1, 1 ], [[-2, -1, 3]], [ -43, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[-3/2, -1/2, 5/2], [4329/86, 3041/86, 293/86], [29007/26, 324/13, 45/26], [-3223/1118, -36/559, -5/1118]], [[12373, -22109/2, -4775], [-11503589/43, -18457055/86, 1982971/43], [-54160326/13, -68931324/13, 36106884/13], [6017814/559, 7659036/559, -4011876/559]]], 4, 1, [], [] >,
< [ 1, -2, -1, 1 ], [[2, 3, -1]], [ -43, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[166, -97/2, -5/2], [6472/43, -895/86, -83/86], [6471/13, 252/13, 9/13], [-719/559, -28/559, -1/559]], [[4, 2, -5/2], [181/43, 71/43, -5/2], [387/26, 135/26, -225/26], [-1/26, -15/1118, 25/1118]]], 4, 1, [], [] >,
< [ 1, -2, -1, 1 ], [[2, 1, 1]], [ -43, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[-1077, 337/2, 5/2], [1861/43, 2647/86, 119/86], [-42057/26, -243/13, -27/26], [4673/1118, 27/559, 3/1118]], [[383626647/2, 294310877, -198921916], [-1209281487/86, -303969403/43, 218689454/43], [4349112777/13, 10546251111/26, -7211468151/26], [-483234753/559, -1171805679/1118, 801274239/1118]]], 4, 1, [], [] >,
< [ 1, -2, -1, 1 ], [[10, 2, -11]], [ -43, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -1/2, 0], [1/2, -1/2, 0], [113, 5, 4], [0, 0, 0]], [[1085/2, -171/2, -1], [-1809/86, -1281/86, -5/43], [8783/26, 319/26, 6257/26], [-2351/1118, -21/1118, 1/1118]], [[4527029750, 10444374140, -3120308425/2], [-6979525330/43, -24983127670/43, -28628450015/86], [-30755292291/13, 449285205597/26, 101677655094/13], [-9667183395/559, -49046873325/1118, -848286380/559]]], 1, 22, [], [] >,
< [ 1, -2, -1, 1 ], [[-3, -11, 1]], [ -43, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -5/2, -2], [1, -5/2, -2], [115, 5, -4], [0, 0, 0]], [[-117136, 5848, -6676], [-5036839/43, 251446/43, -287083/43], [614300055/26, 164600295/13, -360478923/26], [-15/1118, 20/559, -3/1118]], [[16904, 5388, -7416], [16904, 5388, -7416], [-4012005, -932325, 1744350], [0, 0, 0]]], 1, 22, [], [] >,
< [ 1, -2, -1, 1 ], [[9, 1, 2]], [ -43, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 0, 1/2], [2, 0, 1/2], [46, -5, 0], [0, 0, 0]], [[-2943/2, 4675, 4015], [-124419/86, 198379/43, 172606/43], [38673/13, 697072/13, 838811/26], [1150/559, 16/559, 3/1118]], [[9/2, -7/2, 1/2], [357/86, -205/86, -5/86], [180/13, -171/26, -27/26], [-20/559, 19/1118, 3/1118]]], 1, 22, [], [] >,
< [ 1, -2, -1, 1 ], [[-9, 6, 4]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-769/2, -9, -1], [-22494/29, 2925/58, 22/29], [-1662/29, 229/116, -27/29], [-18/29, -1/116, -1/29]], [[551762819, -936846151/2, -93631378], [63496185827/58, -29195328297/29, -2571470849/29], [2397671300/29, -8730132221/116, -275773120/29], [27170452/29, -98618917/116, -4549952/29]]], 1, 10, [], [] >,
< [ 1, -2, -1, 1 ], [[-11, 4, 5]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-12, 56, 11/2], [1707/58, 918/29, 237/29], [5019/116, 139/29, -13/29], [169/116, 1/29, -1/58]], [[34066285/2, -27918055, -459974], [1095586149/58, -81362773/29, -904444157/58], [726833349/58, 1330292775/116, -1772846195/116], [21860913/58, 51466275/116, -59047339/116]]], 1, 10, [], [] >,
< [ 1, -2, -1, 1 ], [[-10, 5, 6]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[111/2, -54, 27/2], [1437/58, -2171/58, -142/29], [89/29, 161/116, 317/116], [1/29, 15/116, 11/116]], [[157837/2, -146382, 113743/2], [1654573/58, -1893690/29, 1691215/58], [309175/58, -157638/29, 55345/58], [2745/29, -372/29, -1125/29]]], 1, 10, [], [] >,
< [ 1, -2, -1, 1 ], [[18, -9, -9]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -5, -11/2], [-6, -3/2, -3/2], [-12, -6, -6], [0, 0, 0]], [[-233/2, -3401/2, -4559/2], [-4435/2, -61, -900], [-8761/2, -2389/2, -6045/2], [5/2, -1, 0]], [[59764, 95312, 75648], [198884, 39072, -10036], [422962, 135041, 21794], [-196, 12, 44]]], 1, 52, [], [] >,
< [ 1, -2, -1, 1 ], [[5, 1, -5]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 13/2, 1], [17/26, -53/26, -48/13], [-66/13, 7/13, 5/13], [-9/26, 1/13, 1/26]], [[-17/2, 37/2, 6], [5, -88/13, -339/26], [-113/26, 89/26, -183/52], [-9/26, 9/26, -9/52]]], 1, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-11, 6, 4]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -1, -1], [-7, 0, 2], [-27, 3, -3], [0, 0, 0]], [[-829, 258, 279/2], [2031/2, 191/2, -69], [-4969/2, 17871/2, 13279], [0, 1/2, 2]], [[-10375156, -4230752, 5468356], [16542904, 4850684, -8598575], [82508621, -5437499/2, -143400341/2], [11160, 2460, -22065/2]]], 1, 12, [], [] >,
< [ 1, -2, -1, 1 ], [[7, -3, 5]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 4, 8], [58, 5, 32], [-2, 0, 2], [0, 0, 0]], [[55593/2, 42779/2, 35309/2], [-10439622/13, -12585246/13, 13313780/13], [1298299/52, 6056/13, -42841/26], [-51/52, -1/26, 1/13]], [[6179880605/2, -3222977522, -6105785725/2], [268471330843/26, -1218021290184/13, 633054880671/26], [30858668873/26, -26935626261/26, -11285915235/26], [-1200593/26, 507031/13, 230760/13]]], 1, 24, [], [] >,
< [ 1, -2, -1, 1 ], [[7, 3, 4]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[63/2, -17/2, -3/2], [2133/26, 643/26, -213/26], [-35/13, 11/13, -1/26], [0, 0, 0]], [[-22433339/2, -412396, 1399900], [-748425897/26, -469997831/26, -33470817/26], [48652801/52, 1897349/52, -2471557/52], [-41/52, 3/52, 1/52]], [[6396021934207/2, -780554055377/2, 176455688868], [180451315905307/26, 157406843085499/26, 37103950744364/13], [-6905565671807/26, 448477070401/13, -1177371447501/26], [2986458/13, -879168/13, 598614/13]]], 1, 28, [], [] >,
< [ 1, -2, -1, 1 ], [[-6, -11, 2]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 3, 1/2], [66/13, -46/13, -23/26], [3/26, -4/13, -1/13], [0, 0, 0]], [[-15/2, 1, -1/2], [-1551/13, -1057/26, 1389/26], [-15/4, 1/2, -1/4], [-15/52, 1/26, -1/52]], [[10810, -5152, -5106], [1732826/13, 399037/13, -912339/13], [5405, -2576, -2553], [5405/13, -2576/13, -2553/13]]], 1, 26, [], [] >,
< [ 1, -2, -1, 1 ], [[-6, -11, 2]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15, -39/2, -1/2], [1097/13, -317/26, -115/26], [-37/26, 51/26, 3/26], [0, 0, 0]], [[2850009/2, 332194, -231764], [38744799/2, 44276263/13, -226743133/26], [-6076425/52, -419932/13, 119345/13], [-105/52, -1/13, -1/13]], [[37074883601/2, -7213080474, -16200675499/2], [167969498819, 906367069581/26, -1480862669795/26], [-87304969567/52, 10425199419/13, 41742392573/52], [-1599739/52, 306333/13, 34037/4]]], 1, 26, [], [] >,
< [ 1, -2, -1, 1 ], [[4, 0, 1]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -25, -7/2], [-137/26, -237/26, -54/13], [13/2, -7/4, 0], [9/13, 1/52, 0]], [[-92378, 515579/2, -230317/2], [13748/13, -102405/26, 39501/26], [-401623/13, 2267403/26, -505044/13], [-61625/26, 174675/26, -77775/26]]], 1, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-7, -11, 3]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -14, -6], [340/13, 421/13, 131/13], [-30/13, -36/13, -2/13], [0, 0, 0]], [[3/2, 1, -27/2], [990/13, 1103/26, 149/26], [13, 15/2, -7/4], [15/13, 1/13, 5/52]], [[-19196, 54535/2, 72037/2], [950479/13, -3138267/26, -3812071/26], [111000/13, -389151/26, -228472/13], [16541/26, -28217/26, -36001/26]]], 1, 28, [], [] >,
< [ 1, -2, -1, 1 ], [[-3, -11, 4]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21, 59/2, -1/2], [-32, 0, -3/2], [34, 5, -4], [0, 0, 0]], [[11557530, 44720325/2, 23078], [-43381955/2, 9309311/2, -8063239/2], [22334005, 351585, -909211/2], [3/2, 1/2, 0]], [[-3263911307/2, -8597061658, 823122049], [14547557515/2, -6722170111, 7505280853/2], [-6690053161, 3382277342, -1658694929], [-412, 11, -85]]], 1, 12, [], [] >,
< [ 1, -2, -1, 1 ], [[-14, 7, 5]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[250, 6, -7/2], [-3288/13, -215/13, -1297/26], [-1141/26, -30/13, -1/13], [0, 0, 0]], [[-399, 674, -993/2], [11423/26, -10564/13, 9690/13], [797/13, -6079/52, 2677/26], [-1/26, -1/52, 1/13]], [[58272871, -136971343/2, 14209229/2], [-958584589/13, 2436783023/26, -171881197/26], [-19994071/2, 13133739, -2403397/2], [27219/13, 168141/26, -17691/13]]], 1, 24, [], [] >,
< [ 1, -2, -1, 1 ], [[25, -6, 5]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-305/2, -2, 3/2], [3389/26, 144/13, 865/26], [348/13, 29/26, 2/13], [0, 0, 0]], [[207598857/2, -8589745, 24243956], [-2176471907/26, -42095255/13, -1567755013/26], [-938618995/52, 18624665/26, -62376006/13], [-51/52, 1/26, 0]], [[76131223530, 28425187886, -114113591689], [-1189720045846/13, -28307774160/13, 2045176168577/13], [-184285112431/13, -105550558811/26, 274532009954/13], [-630, -585/2, 765]]], 1, 336, [], [] >,
< [ 1, -2, -1, 1 ], [[9, 4, -11]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 5/2, 0], [8, -3/2, 4], [-1/2, 1/2, 0], [0, 0, 0]], [[-45/2, 69/2, 3/2], [1945/26, -129/26, -111/26], [-519/26, 9/26, 10/13], [-33/26, -1/13, 0]], [[36693/2, -50205/2, -24764], [-221177/26, -632431/26, -584159/26], [18975/13, 414143/52, 396503/52], [0, 2687/4, 2687/4]]], 1, 26, [], [] >,
< [ 1, -2, -1, 1 ], [[9, 4, -11]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, 13/2, -1], [-1845/26, -95/26, -3/13], [-27/13, 17/13, -1/26], [0, 0, 0]], [[56681/2, 2497, 24435/2], [16725245/13, -28541301/26, -20760185/13], [125976/13, 22017/52, 4527/13], [-17/13, -5/52, 1/26]], [[-5332109499/2, 4347065399/2, 1382241993], [1023287789489/26, -2337074851989/26, -1371216429616/13], [-17377006219/26, 9844299287/26, 3614884978/13], [2234743/26, -1095689/26, -72275/2]]], 1, 26, [], [] >,
< [ 1, -2, -1, 1 ], [[-1, -5, 0]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[233/2, 3, -3/2], [-701/26, 107/13, -21/26], [-75/13, 14/13, 3/26], [4/13, 1/26, 0]], [[-137318, 115069/2, -70007/2], [908901/26, -797429/26, 11973], [93493/13, -264021/52, 100965/52], [-9193/26, 5133/52, -4785/52]]], 1, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[6, -3, 4]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[14, -49/2, 3/2], [36, 2, 1/2], [-22, 1, -4], [0, 0, 0]], [[3415045/2, -5696187/2, 366848], [5642819, 400203/2, -727030], [-6960475/2, 422851/2, 51440], [1, -3/2, 0]], [[5066616690, 30399851301, -3377713285], [197598646488, 43910792896, -109777028059], [-120422287720, -26524177569, 71570713510], [3462, 18204, 309]]], 1, 12, [], [] >,
< [ 1, -2, -1, 1 ], [[8, 4, -11]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-243, -13/2, 5/2], [14832/13, -1305/26, 129/26], [272/13, -9/13, -1/26], [0, 0, 0]], [[45590531/2, -1451345, -2969246], [-2767661641/26, 338887659/26, 11511702], [-101514483/52, 11397601/52, 11557485/52], [-71/52, -3/52, 5/52]], [[123218527461, 147879838344, -75354756684], [-7122475594028/13, -9371756395836/13, 4883293274986/13], [-264142846827/26, -169900393217/13, 88930851899/13], [-185129/26, -132734/13, 38423/13]]], 1, 28, [], [] >,
< [ 1, -2, -1, 1 ], [[-3, -14, 5]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-73/2, 2, 1/2], [-2615/26, 69/13, -183/26], [-113/26, 5/13, 1/13], [0, 0, 0]], [[119187336, 9792553/2, -5884678], [4247556147/13, 478987299/26, 11269947], [368681243/26, 1641481/13, -10233260/13], [-1/13, -1/26, 0]], [[1271124508423, -3013743850483/2, 1222700674165/2], [95872061132827/26, -60457129662803/13, 4103503113913/2], [3986587625759/26, -2445446755917/13, 3915590896969/52], [-16451/26, 441/2, -7861/52]]], 1, 24, [], [] >,
< [ 1, -2, -1, 1 ], [[-6, -29, 5]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, 13, 1/2], [-131/2, 13, -15/2], [-16, -5/2, -5/2], [0, 0, 0]], [[1291, -39345, 121917/2], [55769/26, -5067592/13, 1719461/26], [-27/4, -97798, -40619/4], [-69/52, -1/26, -1/52]], [[413362554, -1178465690, 41647926], [-44314691777/13, -42230986910/13, 60942898582/13], [-15974991506/13, -5146339980/13, 18055795508/13], [-492184/13, 39480/13, 201348/13]]], 1, 336, [], [] >,
< [ 1, -2, -1, 1 ], [[-29, 25, 5]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[83/2, -43/2, -1], [2315/26, -745/26, -42/13], [64/13, -35/13, -1/26], [0, 0, 0]], [[-87647, -4787, -17674], [-18004637/13, 21765490/13, 54791817/26], [-136703/13, -1445/52, -98153/52], [5/13, -1/52, 1/52]], [[162106683917/2, 138485490729/2, -260497657197/2], [-2926284818199/2, 65855023882231/26, 71041293749435/26], [235006879359/26, 116800134259/13, -195439718281/13], [-7577325/26, -8720475/26, 5919325/13]]], 1, 336, [], [] >,
< [ 1, -2, -1, 1 ], [[7, 2, 4]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[315, 15/2, -5], [-4116/13, -495/26, -329/13], [-705/26, 25/26, 5/26], [0, 0, 0]], [[583018, -84470, -73655/2], [-15582959/26, 1138643/13, 39020/13], [-1304271/26, 527531/52, 114991/52], [-3/2, -1/52, -5/52]], [[2742221219198, -1126749423078, -1159396609262], [-39286167776191/13, 18904574328866/13, 18563602639284/13], [-3018063322766/13, 1328614477520/13, 1162281617680/13], [-8956088, 4761644, 5694688]]], 1, 26, [], [] >,
< [ 1, -2, -1, 1 ], [[7, 2, 4]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[201/2, 21/2, 1/2], [-3059/26, -361/26, -197/26], [-225/26, -5/13, -1/13], [0, 0, 0]], [[-57531815/2, -5419755/2, -6346761], [865756245/26, 3996982, 276087581/26], [65130009/26, 305235/13, 28094907/52], [-7/26, 0, -1/52]], [[-1227596229590, 779590612630, 1865114327925/2], [40384360364389/26, -13955016135978/13, -1246784249839], [2658349418645/26, -3423716011505/52, -3807015334085/52], [-248875/26, 265075/52, 319975/52]]], 1, 26, [], [] >,
< [ 1, -2, -1, 1 ], [[4, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [1/2, 0, 0], [0, 0, 0], [1/2, 0, 0]]], 1, 3, [], [] >,
< [ 1, -2, -1, 1 ], [[32, -16, -16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -10, -6], [6, 10, 6], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 1, 1], [1, 0, 0]], [[0, 0, 0], [-1470, 1380, -390], [-4704, -616, 1904], [0, 0, 0]]], 0, 288, [], [] >,
< [ 1, -2, -1, 1 ], [[8, -4, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-71/2, 1, -5/2], [0, 0, 0], [3/2, 0, -1/2]], [[0, 0, 0], [-1, 2, 3], [0, 0, 0], [0, 0, 0]]], 1, 6, [], [] >,
< [ 1, -2, -1, 1 ], [[-16, 0, -16]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-218/13, 40/13, -44/13], [-88/13, 66/13, 8/13], [0, 0, 0]], [[0, 0, 0], [993848/13, -169326/13, -149494/13], [24165, -11398, -2055], [-43/13, -2/13, -1/13]], [[0, 0, 0], [-98739064/13, -79334140/13, 102167099/13], [-32917857/26, -86995059/26, 23807791/13], [1141/2, 163/26, -9128/13]]], 0, 576, [], [] >,
< [ 1, -2, -1, 1 ], [[-64, -16, 64]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [102, 8, 0], [-8, -4, 2], [0, 0, 0]], [[0, 0, 0], [12, 0, 0], [1, 1, 1], [1, 0, 0]], [[0, 0, 0], [16, -46, 20], [0, 0, 0], [0, 0, 0]]], 0, 4032, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 32, 0]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-380/13, -746/13, 2/13], [-102/13, -144/13, -10/13], [0, 0, 0]], [[0, 0, 0], [486797, 10695011/13, -4525543/13], [1775537/13, 1752343/13, -1497921/26], [2/13, 1/13, 3/26]], [[0, 0, 0], [2902712933/13, 3269526161/13, -2482190622/13], [1566674651/26, 499122430/13, -932711019/26], [171/2, -9, -15/2]]], 0, 576, [], [] >,
< [ 1, -2, -1, 1 ], [[-48, 0, -16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [66, 4, -2], [2, 8, 2], [0, 0, 0]], [[0, 0, 0], [6, 0, 0], [1, 1, 1], [1, 0, 0]], [[0, 0, 0], [-20650, -1208, 1366], [-740, -2294, -444], [0, 0, 0]]], 0, 4032, [], [] >,
< [ 1, -2, -1, 1 ], [[80, -64, -32]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-516/13, 1440/13, 80/13], [4/13, 36/13, 2/13], [0, 0, 0]], [[0, 0, 0], [-11413/13, 25710/13, -9639/13], [170/13, 1461/26, -675/26], [31/13, -1/26, 5/26]], [[0, 0, 0], [-5519476/13, 20548358/13, -12883058/13], [-262129/13, 207455/13, -377603/13], [1983/13, -38999/13, -12559/13]]], 0, 8064, [], [] >,
< [ 1, -2, -1, 1 ], [[-32, -16, 32]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [336/13, -252/13, 116/13], [56/13, -42/13, 2/13], [0, 0, 0]], [[0, 0, 0], [3860, 8503/13, -25463/13], [14433/26, 1944/13, -6115/26], [-3/26, -1/13, 3/26]], [[0, 0, 0], [-503426/13, -137784/13, 177465/13], [-60963/13, -144317/26, 122623/26], [1071/13, -5901/26, 2625/26]]], 0, 576, [], [] >,
< [ 1, -2, -1, 1 ], [[-64, 48, -32]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [268/13, -656/13, -74/13], [-120/13, -14/13, -8/13], [0, 0, 0]], [[0, 0, 0], [-2846990/13, 608917, -717071/13], [3611467/26, -24236/13, -254799/26], [-5/26, 1/13, -5/26]], [[0, 0, 0], [44437495746/13, -105262184561/13, 65895824528/13], [56077475273/26, 49697619877/26, -19285263065/13], [-2607/2, -184149/26, 35787/13]]], 0, 8064, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 64, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-208, -8, -6], [-10, 8, 6], [0, 0, 0]], [[0, 0, 0], [8, 0, 0], [1, 1, 1], [1, 0, 0]], [[0, 0, 0], [6274386, 4013346, -3504612], [172776, 96692, -171580], [0, 0, 0]]], 0, 4032, [], [] >,
< [ 1, -2, -1, 1 ], [[48, 80, -32]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1486/13, 596/13, -462/13], [-150/13, 114/13, -4/13], [0, 0, 0]], [[0, 0, 0], [-650305143/13, 38623872/13, 447391143/13], [32751969/13, -347415/26, 761239/13], [1/13, -1/26, 2/13]], [[0, 0, 0], [152683916788420/13, 52313761376854/13, -56016346650534/13], [-10735638633208/13, -51830708978/13, 4137408418274/13], [-38852, 265276/13, 159852/13]]], 0, 8064, [], [] >,
< [ 1, -2, -1, 1 ], [[96, -48, -48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -4, 24], [-10, 2, -6], [0, 0, 0]], [[0, 0, 0], [0, -2, 0], [1, 1, 1], [1, 0, 0]], [[0, 0, 0], [-3198, -544, 1442], [-6272, -1680, 2800], [0, 0, 0]]], 0, 8064, [], [] >,
< [ 1, -2, -1, 1 ], [[48, -32, -16]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2970/29, 1252/29, 32/29], [-224/29, 74/29, -2/29], [0, 0, 0]], [[0, 0, 0], [24156085/29, 11289474/29, -13185046/29], [3834791/58, 886390/29, -999975/29], [-1/58, -1/29, -2/29]], [[0, 0, 0], [-52130211039/29, -9102164273/29, 20787991898/29], [-8251201055/58, -1541139333/58, 1647728943/29], [107/2, 5029/58, -214/29]]], 0, 1344, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 48, -16]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1402/29, -1330/29, -146/29], [-234/29, -208/29, -6/29], [0, 0, 0]], [[0, 0, 0], [4214, 4675571/29, -1848915/29], [-971411/58, 2180701/29, -1890127/58], [-3/58, 2/29, 5/58]], [[0, 0, 0], [-363032/29, -1311086/29, 837374/29], [94248/29, -641340/29, 326592/29], [0, 0, 0]]], 0, 1344, [], [] >,
< [ 1, -2, -1, 1 ], [[-32, 16, -16]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [180/29, -1638/29, 134/29], [18/29, -158/29, -4/29], [0, 0, 0]], [[0, 0, 0], [5905968/29, 1250430/29, -2518366/29], [599914/29, 129970/29, -257402/29], [26/29, -2/29, -2/29]], [[0, 0, 0], [685185228/29, 189522465/29, -300861077/29], [69815086/29, 19079445/29, -61325385/58], [8635/29, -7370/29, -24365/58]]], 0, 1344, [], [] >,
< [ 1, -2, -1, 1 ], [[32, 16, -48]], [ -43, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 2, 8], [-8, 2, 6], [0, 0, 0]], [[0, 0, 0], [195878/43, 195836/43, -195626/43], [-61530/13, -22275/13, 28254/13], [-166/559, -21/559, -2/559]], [[0, 0, 0], [8598926/43, -17324230/43, 7863758/43], [-67752, 33792, 10044], [0, -504/43, 448/43]]], 0, 2016, [], [] >,
< [ 1, -2, -1, 1 ], [[-32, -48, 16]], [ -43, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -4, -4], [4, 10, -10], [0, 0, 0]], [[0, 0, 0], [-350610/43, -160044/43, 404364/43], [56318/13, -104675/13, 52371/13], [3634/559, 75/559, 5/559]], [[0, 0, 0], [650763558, 375657594, -593990088], [-4322373280/13, 7088018520/13, -3048132296/13], [-7760048/13, -73208/13, 1390952/13]]], 0, 2016, [], [] >,
< [ 1, -2, -1, 1 ], [[-32, -16, -16]], [ -43, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 6, 4], [-10, 4, -10], [0, 0, 0]], [[0, 0, 0], [277574/43, -124788/43, 104252/43], [-227463/13, -919326/13, 521637/13], [-657/559, -50/559, 3/559]], [[0, 0, 0], [-13630434414/43, -7669856392/43, 7015108904/43], [36452513418/13, 94807872/13, -10579175466/13], [40608294/559, 15242400/559, -18252774/559]]], 0, 2016, [], [] >,
< [ 1, -2, -1, 1 ], [[-160, -32, 176]], [ -43, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 4, -6], [6, 4, -6], [0, 0, 0]], [[0, 0, 0], [-1514/43, -1076/43, 308/43], [621/13, 558/13, 18/13], [-69/559, -62/559, -2/559]], [[0, 0, 0], [5724/43, 3736/43, -3370/43], [-2736/13, -1224/13, 1206/13], [304/559, 136/559, -134/559]]], 0, 88704, [], [] >,
< [ 1, -2, -1, 1 ], [[48, 176, -16]], [ -43, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 6, -10], [-260, 6, -8], [0, 0, 0]], [[0, 0, 0], [1420478/43, 99920/43, -220988/43], [32967461/13, 7378556/13, -13366349/13], [-73/559, 56/559, 1/559]], [[0, 0, 0], [-302232260/43, 157780998/43, 243271770/43], [-4648591928/13, -400823433/13, 2424971241/13], [5192/559, -1023/559, 7359/559]]], 0, 88704, [], [] >,
< [ 1, -2, -1, 1 ], [[-144, -16, -32]], [ -43, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -4, -10], [-192, 8, 4], [0, 0, 0]], [[0, 0, 0], [-16518/43, -5016/43, 2586/43], [4155930/13, 1085805/13, -1892576/13], [1940/559, -5/559, 4/559]], [[0, 0, 0], [113375496/43, -3562338/43, -2329536], [-21118469016/13, -4904176398/13, 9097640706/13], [-256692/13, -2738048/559, 12535126/559]]], 0, 88704, [], [] >,
< [ 1, -2, -1, 1 ], [[144, -96, -64]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-17214/29, -4320/29, 94/29], [-1704/29, -432/29, -8/29], [0, 0, 0]], [[0, 0, 0], [4764835/29, 154844, -4598486/29], [945293/58, 451041/29, -920317/58], [-143/58, 0, -3/58]], [[0, 0, 0], [7265875222/29, 5824548696, -83149994138/29], [645932122/29, 17011326822/29, -8349094016/29], [-1475840/29, 1441250/29, 126830/29]]], 0, 40320, [], [] >,
< [ 1, -2, -1, 1 ], [[176, -64, -80]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [980/29, 1870/29, 156/29], [138/29, 316/29, 8/29], [0, 0, 0]], [[0, 0, 0], [99076595/29, -148959096/29, 48825663/29], [37709015/58, -33261410/29, 12150994/29], [181/58, 1/29, 0]], [[0, 0, 0], [7770737356980/29, -11220556326817/29, 2714870737679/29], [2907943572891/58, -2469635882189/29, 1508591159483/58], [7570251/58, 170118, 11312847/58]]], 0, 40320, [], [] >,
< [ 1, -2, -1, 1 ], [[160, -80, -96]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5430/29, -3088/29, -136/29], [-440/29, -242/29, -6/29], [0, 0, 0]], [[0, 0, 0], [-225310549/29, 352905572/29, -70982629/29], [-36602927/58, 28977180/29, -12200685/58], [97/58, 2/29, -3/58]], [[0, 0, 0], [-29189371754/29, 42559353826/29, -25631851996/29], [-2394010939/29, 3542747367/29, -2090433373/29], [11271/29, -2601/29, -4913/29]]], 0, 40320, [], [] >,
< [ 1, -2, -1, 1 ], [[288, -144, -144]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 18, -30], [24, 12, -30], [0, 0, 0]], [[0, 0, 0], [-2, 0, 0], [3, 3, 1], [1, 0, 0]], [[0, 0, 0], [85374, 38502, -60264], [-94920, -18060, 31920], [0, 0, 0]]], 0, 209664, [], [] >,
< [ 1, -2, -1, 1 ], [[-80, -16, 80]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [388/13, -610/13, 36/13], [62/13, -96/13, 2/13], [0, 0, 0]], [[0, 0, 0], [2269145/13, 340209/13, -863351/13], [360517/13, 55737/13, -275207/26], [22/13, 1/13, -3/26]], [[0, 0, 0], [-29996054/13, 239140/13, 17495281/13], [-9691517/26, 137151/13, 2921604/13], [-2299/26, 1254/13, 1672/13]]], 0, 8064, [], [] >,
< [ 1, -2, -1, 1 ], [[176, -96, -64]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [116, 0, 4], [-28, 10, 2], [0, 0, 0]], [[0, 0, 0], [6, 0, 0], [1, 1, 1], [1, 0, 0]], [[0, 0, 0], [-75702, 61050, 107448], [5952, 1328, -5760], [0, 0, 0]]], 0, 48384, [], [] >,
< [ 1, -2, -1, 1 ], [[-112, 48, -80]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 0, -16], [2, 2, -8], [0, 0, 0]], [[0, 0, 0], [-1225876/13, -357270/13, 546186/13], [-24227/13, -24941/13, -38471/13], [-9/13, -1/13, -1/13]], [[0, 0, 0], [-466708173/13, -133033597/13, 236273989/13], [-80329103/26, 42137570/13, 26732515/13], [-943/2, 4761/13, 1978/13]]], 0, 96768, [], [] >,
< [ 1, -2, -1, 1 ], [[-112, -48, -64]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [368/13, -158/13, -124/13], [6/13, 62/13, -4/13], [0, 0, 0]], [[0, 0, 0], [-15760700/13, -4394394/13, 8843036/13], [-1766163/13, -468470/13, 294690/13], [27/13, 2/13, 0]], [[0, 0, 0], [55773372004, 351667859469/13, -489253819527/13], [194854102639/26, -11375980987/26, -7193491635/26], [-3349605/26, 1713477/26, -780045/26]]], 0, 112896, [], [] >,
< [ 1, -2, -1, 1 ], [[96, 176, -32]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1048/13, 238/13, 92/13], [118/13, -98/13, 8/13], [0, 0, 0]], [[0, 0, 0], [-57315887/13, -207580, 24990817/13], [4544845/13, 114511/26, -836957/13], [-43/13, -3/26, 0]], [[0, 0, 0], [-185941179456, -837594333107/13, 383213453729/13], [560835942443/26, -140202918315/26, -263078891567/26], [-6723073/26, 3280613/26, 4231143/26]]], 0, 104832, [], [] >,
< [ 1, -2, -1, 1 ], [[96, 176, -32]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2482/13, 162/13, 242/13], [34/13, -30/13, -40/13], [0, 0, 0]], [[0, 0, 0], [-576253313/13, 142570061/13, 105671686/13], [5238861/26, 107197/13, -169553/26], [33/26, -2/13, 3/26]], [[0, 0, 0], [-22211297905848/13, 4940846751353/13, 3524685952471/13], [285501213039/26, -106432780449/26, -151432511115/26], [1853811/26, -959373/26, -896769/26]]], 0, 104832, [], [] >,
< [ 1, -2, -1, 1 ], [[-64, 0, -16]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-414/13, 850/13, 638/13], [-56/13, 146/13, 128/13], [0, 0, 0]], [[0, 0, 0], [604425/13, 979659/13, 1295175/13], [25096, 48963/2, 9105], [1, 1/26, 2/13]], [[0, 0, 0], [2495498140/13, 4645162456/13, -2837894312/13], [1342739228/13, 701584082/13, -703572136/13], [27140/13, 48380/13, -33630/13]]], 0, 8064, [], [] >,
< [ 1, -2, -1, 1 ], [[112, 176, -48]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [226/13, 110/13, 620/13], [-10/13, 92/13, 8/13], [0, 0, 0]], [[0, 0, 0], [-37291331/13, -23785828/13, 16476999/13], [-7206025/26, -431714/13, 736955/13], [-63/26, -2/13, 2/13]], [[0, 0, 0], [-278505445966/13, -12225603386, 298955875278/13], [-33653505212/13, 17997538008/13, 9699608580/13], [-348040/13, 275268/13, 88592/13]]], 0, 112896, [], [] >,
< [ 1, -2, -1, 1 ], [[48, 176, -64]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [144, 8, -10], [-146, -10, 8], [0, 0, 0]], [[0, 0, 0], [8, 0, 0], [1, 1, 1], [1, 0, 0]], [[0, 0, 0], [4788550, -516802, 1608230], [-4806540, 397440, -1805040], [0, 0, 0]]], 0, 48384, [], [] >,
< [ 1, -2, -1, 1 ], [[224, -112, -80]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-672/13, -496/13, -46/13], [-332/13, -94/13, -4/13], [0, 0, 0]], [[0, 0, 0], [-4545863, -33449213/13, 303553/13], [-29937933/13, -1282145/13, -2005741/26], [2/13, -1/13, -5/26]], [[0, 0, 0], [532665551918/13, -61041150102/13, -189882377430/13], [21859398548, -15821965898, 670835784], [-2980/13, -9306/13, 2088/13]]], 0, 96768, [], [] >,
< [ 1, -2, -1, 1 ], [[-400, 96, -80]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11442/13, -584/13, 88/13], [-2200/13, -122/13, 2/13], [0, 0, 0]], [[0, 0, 0], [767704004/13, 242300961/13, 452151899/13], [292899267/26, 97995587/26, 180803659/26], [-29/26, -1/26, -3/26]], [[0, 0, 0], [394951063953372/13, 167431654963748/13, -604884712524772/13], [76946531221528/13, 31262315217227/13, -118205527450513/13], [-4988830/13, -4009323/13, 6722257/13]]], 0, 1354752, [], [] >,
< [ 1, -2, -1, 1 ], [[-144, -64, 176]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2932/13, 76/13, -250/13], [12/13, -100/13, -72/13], [0, 0, 0]], [[0, 0, 0], [-598808827/13, -41311210, 458110229/13], [22131867/26, 2177778/13, -280812/13], [-47/26, 0, -1/13]], [[0, 0, 0], [-3685568289544/13, -5076689341839/13, 4172072022562/13], [223416753855/26, -89939371545/26, -48561654896/13], [-473373/26, 269541/26, 72414/13]]], 0, 104832, [], [] >,
< [ 1, -2, -1, 1 ], [[-144, -64, 176]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2160/13, -1126/13, 976/13], [126/13, -140/13, -2/13], [0, 0, 0]], [[0, 0, 0], [331587202/13, -32240128/13, -152969452/13], [9610869/13, 696222/13, -581070/13], [-33/13, -2/13, 0]], [[0, 0, 0], [-102995301022923/13, -20361770103882/13, -646809596373/13], [-10464784849505/26, 2183069385612/13, 2156583683264/13], [2903121/2, -700278, -609297]]], 0, 104832, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 80, 0]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1778/13, -90/13, -122/13], [-1674/13, 14/13, 8/13], [0, 0, 0]], [[0, 0, 0], [10501557387/13, -1134891811/13, -1613874609/13], [19178569957/26, -1159135369/13, -1621978374/13], [-31/26, 2/13, 1/13]], [[0, 0, 0], [30334369845510/13, -10610070969164/13, 2009357240978/13], [27938438502046/13, -10327056187346/13, 921621053844/13], [-44196/13, 1302, -10474/13]]], 0, 8064, [], [] >,
< [ 1, -2, -1, 1 ], [[-96, 48, -64]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, 6, -2], [40, -2, 4], [0, 0, 0]], [[0, 0, 0], [12, 0, 0], [1, 1, 1], [1, 0, 0]], [[0, 0, 0], [-20410, -61230, 4082], [22360, 86860, 9460], [0, 0, 0]]], 0, 48384, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, -64, 176]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5344/13, -3228/13, -370/13], [92/13, -82/13, -6/13], [0, 0, 0]], [[0, 0, 0], [-9103910/13, 3159880/13, -529013/13], [-245205/26, 111211/26, -64119/13], [-3/26, 5/26, -2/13]], [[0, 0, 0], [-422727262/13, -12425258, 181223449/13], [-10814559/26, -6436123/26, 1714927/13], [-57/26, -85/26, 6/13]]], 0, 112896, [], [] >,
< [ 1, -2, -1, 1 ], [[48, 224, -80]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [360/13, -608/13, 128/13], [294/13, -84/13, 4/13], [0, 0, 0]], [[0, 0, 0], [-6507786/13, 10957234/13, -1745921/13], [-4940539/13, 2557915/26, -644091/26], [1/13, -5/26, -5/26]], [[0, 0, 0], [-2343930423/13, 7605803561/13, -3535803346/13], [-87959272/13, 2516120352/13, -2702715559/26], [105/13, -15/13, 5/2]]], 0, 96768, [], [] >,
< [ 1, -2, -1, 1 ], [[96, 464, -80]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [120, -4, -2], [36, -2, 0], [0, 0, 0]], [[0, 0, 0], [-37020934/13, -32798120/13, 838556/13], [-10933697/13, -9936349/13, 115085/13], [17/13, -1/13, -1/13]], [[0, 0, 0], [139382833/13, 22146114/13, -193308680/13], [82850723/26, 7465119/13, -117973339/26], [-21/2, 267/13, -177/26]]], 0, 1354752, [], [] >,
< [ 1, -2, -1, 1 ], [[464, -400, -80]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8668/13, -38/13, 190/13], [-1358/13, -28/13, 10/13], [0, 0, 0]], [[0, 0, 0], [3093126502/13, -1497356309/13, -1983441274/13], [996502171/26, -498245067/26, -330706668/13], [95/26, 3/26, 0]], [[0, 0, 0], [1935734040161912/13, -206023575607644560/13, -26801472977588704/13], [951917932353148/13, -33482952359462946/13, -5528071583551026/13], [-1890631200/13, -2110105518/13, 2920417284/13]]], 0, 1354752, [], [] >,
< [ 1, -2, -1, 1 ], [[-112, -32, -64]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2058/13, 146/13, 128/13], [-1538/13, 16/13, -2/13], [0, 0, 0]], [[0, 0, 0], [808199383/13, -26120717, -459102081/13], [1367104295/26, -341693426/13, -458944519/13], [23/26, -1/13, 0]], [[0, 0, 0], [7518456828130/13, 354334675378342/13, 417688511712414/13], [-80716563398418/13, 401450188388466/13, 479677806172806/13], [582624, -311148, -362160]]], 0, 104832, [], [] >,
< [ 1, -2, -1, 1 ], [[-112, -32, -64]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-744/13, 142/13, 44/13], [-198/13, 90/13, -8/13], [0, 0, 0]], [[0, 0, 0], [28975482/13, 17321768/13, 10253122/13], [8120977/13, 1621371/13, 1752631/13], [33/13, 1/13, -1/13]], [[0, 0, 0], [11358063378577/13, -8470458538976/13, -11643480109215/13], [2453137072993/13, -3546285697741/26, -4142044142487/26], [7096320/13, -7569891/26, -680211/2]]], 0, 104832, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -6, 0], [4, 20, -16], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-72, -12, 46], [112, 96, -72], [0, 0, 0]]], 0, 3072, [], [] >,
< [ 1, -2, -1, 1 ], [[128, -64, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, -6, 2], [-12, 4, 16], [0, 0, 0]], [[0, 0, 0], [5, 0, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [2712, 1986, -1772], [1104, -528, -304], [0, 0, 0]]], 0, 24576, [], [] >,
< [ 1, -2, -1, 1 ], [[2, 2, -3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, -23/2, -29/2], [2, -2, -5/2], [-33, 4, -2], [0, 0, 0]], [[-2262, -6435/2, -3705/2], [-2241, -672, 693/2], [269065/2, 7423/2, -45892], [-2, -1/2, -1]], [[137514, -59514, -99099], [67755, -15087, -27336], [-3242005, 1154643/2, 628391], [187/2, -153/2, -51/2]]], 1, 4, [], [] >,
< [ 1, -2, -1, 1 ], [[-4, -4, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 3, 9/2], [16, 4, 3/2], [2, 3, 9/2], [0, 0, 0]], [[1971/2, -69861/2, -12921], [-88469/2, -70425, 23791/2], [1971/2, -69863/2, -12920], [0, -1/2, 1/2]], [[13359/2, 3285/2, -2847/2], [59871/2, 11873/2, -21087/2], [13359/2, 3285/2, -2847/2], [0, 0, 0]]], 1, 4, [], [] >,
< [ 1, -2, -1, 1 ], [[-9, 5, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 13/2, 1/2], [-22, -38, -31/2], [4, 12, 5], [0, 0, 0]], [[-475650, 1581930, -769440], [2910774, 945819, -847866], [-1694379/2, 151421, 12767/2], [1, 3/2, -5/2]], [[323994300, -2446841460, 1388155860], [-19212835914, -5893436760, 7226467956], [4902288347, 902145074, -2854692485/2], [-16605/2, -4095/2, 8343]]], 1, 8, [], [] >,
< [ 1, -2, -1, 1 ], [[-2, -9, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, -9/2, -3/2], [-17, -16, -19/2], [-2, -16, -11], [0, 0, 0]], [[-55805, 432939/2, -206191/2], [10818, -184256, 174189/2], [-45353/2, -384, -3069], [-3/2, 0, 1/2]], [[-493, 1530, -1377/2], [-33/2, -1543/2, 1119], [-348, 444, 456], [0, 0, 0]]], 1, 8, [], [] >,
< [ 1, -2, -1, 1 ], [[5, -2, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[47/2, 33, 0], [-71/2, -1, -3/2], [-3, 11, 8], [0, 0, 0]], [[-4229123, -915449/2, 2733729/2], [3330102, 2399486, -4521639/2], [-772681/2, 8534, 16426], [3/2, -2, 1/2]], [[-10378989791/2, -1456713591/2, 6008884007/2], [9832732345/2, 455211773, -2276089530], [-1298191667/2, 351523907/2, 1238485107/2], [581/2, 1224, 13]]], 1, 8, [], [] >,
< [ 1, -2, -1, 1 ], [[-6, -6, 9]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, 4, -9], [30, -8, -9], [-41, -5, -1], [0, 0, 0]], [[-110013/2, -12117, 44779/2], [150997, 69281/2, -132581/2], [-264271, -127519/2, 229173/2], [-1, -1, 3/2]], [[11744278, 6767295/2, -10495253/2], [-32687853, -8272499, 29534087/2], [114665387/2, 14862280, -50962963/2], [349, -315/2, -287/2]]], 1, 16, [], [] >,
< [ 1, -2, -1, 1 ], [[-18, -18, 27]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, -15/2, -15/2], [9/2, -6, -3], [-18, -9, 0], [0, 0, 0]], [[39, 26, 52], [125, -40, 21], [-2066, -335, 916], [-1, 2, 0]], [[16701/2, 2138, -3116], [31453/2, 3165, -12589/2], [-569297/2, -68717, 126569], [-47/2, 15, 11/2]]], 1, 416, [], [] >,
< [ 1, -2, -1, 1 ], [[9, 16, -17]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-25/2, 13/2, 1/2], [31/2, -2, -1], [241, 2, 2], [0, 0, 0]], [[26871769/2, -6026098, -2495793/2], [-15989883, 116423/2, 388013/2], [-238629828, -99336511/2, -70681645/2], [-1, 2, 5/2]], [[330913469430, -237767088480, 61301393745/2], [-865385105481/2, 326161020891/2, 49110513942], [-7124157239369, 2275199113031, 1115895748334], [12412, -6847, -4488]]], 1, 96, [], [] >,
< [ 1, -2, -1, 1 ], [[9, 9, -17]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-23/2, -23/2, 5/2], [31/2, 0, -1], [-348, -5, -3], [0, 0, 0]], [[415649390, 491664922, -116826853/2], [-1191295975/2, 15605005/2, 5041265], [13302962338, 179854029/2, 1063398309], [-5/2, 1/2, -3/2]], [[-2994397416001815, -1324585344780941/2, 311763551595029], [4477501661441125/2, 5146857838124265/2, -3240995855934645/2], [-48770337352044573, -128208265375080681/2, 35715368760062283], [11246751/2, 41371371/2, -15042735/2]]], 1, 96, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 9, -17]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, -14, 2], [37/2, -1, 1/2], [-992, -5, -3], [0, 0, 0]], [[5880790955/2, -5312957660, 624939727], [15308762175/2, -57106438, -25967669/2], [-822487766619/2, -19365719250, 9815501517], [3/2, 2, -1/2]], [[-70033174900563/2, 125260071914291, -153894330708633/2], [10276401153709, 264348124814545/2, -93605895117585/2], [-789570653671986, -6602073968661444, 2267857465968886], [19716, -9750, 13110]]], 1, 96, [], [] >,
< [ 1, -2, -1, 1 ], [[-32, -32, 48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -8, -6], [-28, 6, 24], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [2400, 7680, -5760], [6422, 858, -1404], [0, 0, 0]]], 0, 2304, [], [] >,
< [ 1, -2, -1, 1 ], [[-8, -8, 12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, -1, -1], [-5, -6, -7], [0, 0, 0]], [[0, 0, 0], [1180507/2, -5179/2, -118344], [174997, 37953, 2002], [-3/2, 3/2, 1]], [[0, 0, 0], [-154928960, -114850805, 108018940], [-51815494, -39591642, 33668432], [128, 304, -284]]], 1, 36, [], [] >,
< [ 1, -2, -1, 1 ], [[144, -80, -48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-244, 20, -4], [56, -4, -2], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [1155416, 219366, -1072206], [-256296, -57702, 224790], [0, 0, 0]]], 0, 32256, [], [] >,
< [ 1, -2, -1, 1 ], [[32, 144, -48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, 2, -12], [22, -8, -6], [0, 0, 0]], [[0, 0, 0], [10, 0, 0], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [-6, 2, 6], [-6, 2, 6], [0, 0, 0]]], 0, 32256, [], [] >,
< [ 1, -2, -1, 1 ], [[-80, 32, -48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [48, 4, 2], [-16, 2, -2], [0, 0, 0]], [[0, 0, 0], [8, 0, 0], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [-9720, -22842, 972], [2520, 8440, -960], [0, 0, 0]]], 0, 32256, [], [] >,
< [ 1, -2, -1, 1 ], [[-96, -96, 144]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -24, -20], [28, -10, 2], [0, 0, 0]], [[0, 0, 0], [-2, 0, 2], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [-28538, 28432, 43748], [43248, -5032, -19040], [0, 0, 0]]], 0, 64512, [], [] >,
< [ 1, -2, -1, 1 ], [[-288, -288, 432]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 12, -24], [-6, 90, 78], [0, 0, 0]], [[0, 0, 0], [-2, 0, 0], [9, 3, 1], [1, 0, 0]], [[0, 0, 0], [-882, 966, -294], [-1122, -132, 792], [0, 0, 0]]], 0, 1677312, [], [] >,
< [ 1, -2, -1, 1 ], [[-144, -256, 272]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [98, -2, -6], [-382, 0, -6], [0, 0, 0]], [[0, 0, 0], [6, 0, 0], [-51, 1, 1], [1, 0, 0]], [[0, 0, 0], [-13076448, 6940512, 4696608], [55592550, -33479800, -22770650], [0, 0, 0]]], 0, 387072, [], [] >,
< [ 1, -2, -1, 1 ], [[-144, -144, 272]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [70, 2, 6], [136, -2, 0], [0, 0, 0]], [[0, 0, 0], [8, 0, 0], [-51, 1, 1], [1, 0, 0]], [[0, 0, 0], [-287946, -1029454, 366990], [-614992, -1797172, 770032], [0, 0, 0]]], 0, 387072, [], [] >,
< [ 1, -2, -1, 1 ], [[-256, -144, 272]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-158, -6, -6], [-780, 4, -6], [0, 0, 0]], [[0, 0, 0], [12, 0, 0], [-51, 1, 1], [1, 0, 0]], [[0, 0, 0], [10902576, -5306890, 7086042], [55167240, -30335160, 31396360], [0, 0, 0]]], 0, 387072, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, -128, 192]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-36, 8, 6], [-136, -16, 12], [0, 0, 0]], [[0, 0, 0], [5, 0, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-3366, -5724, 7020], [-87048, 83824, 148304], [0, 0, 0]]], 0, 147456, [], [] >,
< [ 1, -2, -1, 1 ], [[14, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-25/2, -3/2, -2], [33/2, 79/2, 6], [-25/2, -3/2, -2], [0, 0, 0]], [[572250, 137340, -179305], [-2663293/2, -1387719/2, 433920], [572245, 137337, -179309], [-5/2, -3/2, -2]], [[-36910125, -7382025, 15912365], [94444782, 24088372, -44668016], [-36909645, -7382025, 15912173], [240, 0, -96]]], 1, 28, [], [] >,
< [ 1, -2, -1, 1 ], [[14, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, -3/2, 2], [-23/2, -31/2, -4], [13/2, -3/2, 2], [0, 0, 0]], [[686, 196, -294], [-4159/2, -1309/2, 1739/2], [691, 191, -293], [5/2, -5/2, 1/2]], [[-1876, -427, 868], [5815, 1250, -2759], [-1884, -427, 870], [-4, 0, 1]]], 1, 28, [], [] >,
< [ 1, -2, -1, 1 ], [[28, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-78, -46, 7], [10, -3, -4], [0, 0, 0]], [[0, 0, 0], [247213/2, 195929/2, -419227/2], [32016, -115930, 47360], [-5/2, -1/2, 5/2]], [[0, 0, 0], [501232495/2, 2714599/2, -113971259/2], [-38822609, 49939231, -14485277], [-8405/2, -1517/2, 2911/2]]], 1, 252, [], [] >,
< [ 1, -2, -1, 1 ], [[28, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-147, -13, -10], [39, -1, 2], [0, 0, 0]], [[0, 0, 0], [1403172, -753369/2, 1943785/2], [-395516, 187877, -239785], [2, 5/2, -1/2]], [[0, 0, 0], [-6569915/2, 15260967/2, -3928957], [969025, -2303915, 1132180], [1/2, -11/2, 2]]], 1, 252, [], [] >,
< [ 1, -2, -1, 1 ], [[448, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [56, 48, -4], [172, 16, 0], [0, 0, 0]], [[0, 0, 0], [-1, 4, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-743082, -84616, 420512], [-1732800, -145920, 839040], [0, 0, 0]]], 0, 1032192, [], [] >,
< [ 1, -2, -1, 1 ], [[448, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [102, 6, 16], [84, 4, 16], [0, 0, 0]], [[0, 0, 0], [3, 6, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [401056, -8180, -41606], [331760, -11440, -28600], [0, 0, 0]]], 0, 1032192, [], [] >,
< [ -1, -3, 0, 1 ], [[2, 1, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[2, -1, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [-1, 0, 0], [0, 0, 0]], [[-5/2, -8, -11/2], [2, 0, -5/2], [1, 6, 6], [1, -1, 2]], [[536, -737, -938], [-3216, -335, 871], [795, 636, 1007/2], [-6413/2, -1325/2, 2915/2]]], 4, 1, [], [] >,
< [ -1, -3, 0, 1 ], [[-4, -2, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, 0], [0, 1/2, 1/2], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [0, 1/2, 1/2], [1/2, 0, 0]]], 3, 1, [], [] >,
< [ -1, -3, 0, 1 ], [[-5, -4, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, 1/2], [-3/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[-14, -7, -5/2], [-85/2, 7/2, -5/2], [1/2, -1, -3], [-3/2, 3/2, -1]], [[105140, -93875, -206525/2], [925677/2, -175291/2, -475841/2], [-16338, -37940, -16268], [22078, -5334, -11004]]], 3, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[5, -2, -3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, 1/2], [7/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[4, 13, -1], [-9, 0, -12], [-3/2, -5, -7/2], [1, 0, -3/2]], [[55/2, 297/2, 44], [-743/2, -202, -115/2], [-69/2, -207/2, -115/2], [23, -23/2, -23]]], 3, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[-4, 1, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, 1/2], [5/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[-51/2, 33/2, -3], [-73/2, 1, -1/2], [-7/2, -10, -5], [5/2, -3/2, -2]], [[-29150, -40810, 61215/2], [-49555/2, -49555/2, 49555/2], [1023, 4422, 2385], [1344, 1014, 9]]], 3, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[-3, -1, 0]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -57/2, 1], [-74/19, 93/38, 48/19], [-48/19, -3/19, -2/19], [0, 0, 0]], [[6382384, -4797302, -2226948], [-67837928/19, 3156316/19, 28395673/19], [-39460498/19, -4606775/19, 20033141/38], [-10/19, 1/19, 5/38]], [[211418991/2, 572284545/2, 146713476], [-1034052235/38, -2148787851/38, -484523001/19], [-22854296/19, 676900183/38, 450872351/38], [-2, -41/38, -1/38]]], 4, 1, [], [] >,
< [ -1, -3, 0, 1 ], [[8, 3, -2]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -74, 5/2], [-281/19, 199/19, -35/38], [-130/19, 5/19, -5/19], [0, 0, 0]], [[-272580, -551847/2, 557709/2], [3204624/19, 3900405/38, -3915067/38], [1122053/19, 1116281/38, -1116271/38], [23/19, 5/38, 5/38]], [[-20955938780, -41841721705/2, 10765720945], [248829242022/19, 204751321113/38, -123478712997/19], [87362343052/19, 22012193072/19, -42935141094/19], [1643472/19, -1210788/19, -1008384/19]]], 3, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[4, 2, -1]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1/2, 5/2], [-75/38, -23/38, 99/38], [24/19, 0, -1/19], [0, 0, 0]], [[-85471/2, 1293/2, -4065/2], [4327485/38, 858853/38, -1993177/38], [-3539309/38, -338559/38, 1127203/38], [31/38, 5/38, -1/38]], [[1687103577, 611499136, -265380969/2], [-69155992259/19, -4671728279/19, 59250424069/38], [60597332789/19, 15655098647/38, -19984560679/19], [-584395/19, -500969/38, 45017/19]]], 4, 1, [], [] >,
< [ -1, -3, 0, 1 ], [[2, -3, -2]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-39, 1/2, 0], [-605/19, 143/38, -3/19], [-68/19, 3/19, 0], [0, 0, 0]], [[-11924331/2, 1039436, -302990], [-183883153/38, 27498840/19, -6781867/19], [-10379689/19, 115028, -580228/19], [-1, -1/19, 2/19]], [[66863342743/2, -15022793134, -26333275737/2], [1078589710019/38, -226412260451/19, -360158251083/38], [118040340181/38, -51642616101/38, -22132570908/19], [205717/38, -57273/38, -45696/19]]], 3, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[-3, 0, 2]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[23/2, 14, 9/2], [71/38, -85/19, 27/38], [15/19, 3/19, 4/19], [0, 0, 0]], [[-198371/2, -57001, 8329/2], [-1347241/38, 222553/19, 299419/38], [-342253/38, -26417/19, 27380/19], [71/38, 1/19, 0]], [[8467928874, 14468508327/2, 2282192377/2], [55933151532/19, -18729364391/38, -42791434957/38], [749140309, 5032394086/19, -1923797330/19], [-166005, -64604, 5518]]], 4, 1, [], [] >,
< [ -1, -3, 0, 1 ], [[-4, 3, 4]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, -137/2, -3/2], [1983/38, 733/38, 15/38], [-127/19, 0, -4/19], [0, 0, 0]], [[-5362871/2, -51049109, -5277428], [2169663139/38, 349976549/19, -101313704/19], [-145687577/19, -10876176/19, 1538675/2], [21/19, 2/19, -3/38]], [[131834007068, 139696454766, 478733148955/2], [6674074422092/19, -3542647133102/19, -8299351517587/38], [-1979602549985/38, 428617199249/19, 789830091353/38], [277791/38, -71791/19, -118759/38]]], 3, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[-3, 2, 3]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[59/2, 52, -3/2], [-5971/74, -1999/74, -182/37], [2229/148, -27/37, -2/37], [73/148, 1/37, 0]], [[-24355/2, -110911/2, 54960], [-9846933/74, -7950591/74, 2515307/37], [2271051/74, 1015704/37, -1543595/74], [34839/37, 29862/37, -22120/37]]], 4, 1, [], [] >,
< [ -1, -3, 0, 1 ], [[-3, 2, 2]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[35/2, 151/2, -4], [587/37, 2515/37, -3/2], [-45/37, -631/148, -45/148], [-1/74, -5/148, -1/148]], [[-631081/2, -66551/2, 210597/2], [-20105637/74, -1066846/37, 3352413/37], [1151453/148, 114717/148, -92187/37], [-13311/148, -1647/148, 1206/37]]], 4, 1, [], [] >,
< [ -1, -3, 0, 1 ], [[6, 3, -1]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[45, 3, -1/2], [-2037/37, 103/37, 125/74], [-63/37, 69/74, 19/37], [1/74, 1/37, 1/74]], [[-12910, 1299/2, 2996], [600566/37, -47797/37, -268389/74], [83843/148, -2334/37, -5135/37], [-281/148, -22/37, 5/37]]], 4, 1, [], [] >,
< [ -1, -3, 0, 1 ], [[11, -8, -11]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-69, -21, 6], [2730/37, 5609/74, 737/74], [2477/148, 117/37, -69/74], [53/148, 1/74, -1/37]], [[25804, 6575/2, -39215/2], [-628727/74, 2383335/74, 1159399/74], [-1088689/148, -411983/148, 218588/37], [-721/4, -407/4, 140]]], 1, 38, [], [] >,
< [ -1, -3, 0, 1 ], [[-7, 8, 6]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1053, -11, 0], [110548/37, 977/37, -49/74], [-16997/148, -165/148, -189/148], [-123/148, 3/148, -5/148]], [[-29790775811, 1188397613/2, 16037649930], [-3095083589135/37, 198871898921/74, 1684858080606/37], [118876623676/37, -9459209927/74, -131225532841/74], [875557376/37, -31665664/37, -489993472/37]]], 1, 38, [], [] >,
< [ -1, -3, 0, 1 ], [[-22, -9, 5]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[77, 39, -5/2], [4725/74, 33, -76/37], [859/148, -203/148, -109/148], [33/148, -1/148, -3/148]], [[-194830, 183823, 431743/2], [-5906790/37, 5757341/37, 13258401/74], [-1008679/37, -304442/37, 489819/37], [-33784/37, -5459/74, 20394/37]]], 1, 38, [], [] >,
< [ -1, -3, 0, 1 ], [[12, 5, -1]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 1/2, 2], [4050/19, 4093/38, 37/19], [-2036/19, -5/19, 3/19], [0, 0, 0]], [[337341637/2, -94943, 792889], [-1312702518497/38, -53241095561/19, 269733759367/19], [834821787965/38, 161625752809/38, -175265785464/19], [-121/38, -5/38, 0]], [[-562985580426892, 960891228531073/2, 817646199903085/2], [2825544014437052468/19, 1742197684189874779/38, -72065748503246099/2], [-1694331868013624411/19, -412453759790564074/19, 552423000134066996/19], [196631875/19, -179067790/19, -152633140/19]]], 1, 10, [], [] >,
< [ -1, -3, 0, 1 ], [[-13, 4, 6]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[182, 1/2, -3/2], [2729/19, -685/38, -37/38], [367/19, 0, -5/19], [0, 0, 0]], [[4531/2, 7981/2, -2850], [79239/38, 144797/38, -50727/19], [8501/38, 7964/19, -11349/38], [-33/38, -1/19, 3/38]], [[17541632305/2, 16076201749, -11684408627], [309385995359/38, 293510907467/19, -207464401331/19], [33138106301/38, 31919256896/19, -23447184772/19], [-114421077/38, -13714506/19, -4609854/19]]], 1, 40, [], [] >,
< [ -1, -3, 0, 1 ], [[9, 4, 0]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1529, 3073/2, 3/2], [1508/19, -15275/38, -87/38], [3055/19, 3/19, 4/19], [0, 0, 0]], [[-1580782696434, -629361913133, 681691172211/2], [-5224130801322/19, 1518390657985/19, 3938518948701/38], [-4389414620892/19, -1085614451143/38, 2448998526355/38], [8/19, 3/38, -3/38]], [[-94277016654673437, 147445618162096072, 130453484239545246], [-759568139232402435/19, -623843286599451152/19, 11320103112367218/19], [-411531567589230116/19, 38602449911710402/19, 445348155178010335/38], [649536/19, -406386/19, -1225323/38]]], 1, 10, [], [] >,
< [ -1, -3, 0, 1 ], [[-9, 5, 4]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19/2, 561/2, -3/2], [-9497/38, -2703/38, -9/2], [541/19, 1/19, 5/19], [0, 0, 0]], [[8173186598, 12115772401, -13635386704], [187064132372/19, 184887523189/19, -81703485796/19], [-51479127009/38, -1435441788, 33313748215/38], [49/38, 2/19, 5/38]], [[-89844847280304059/2, -302208333599474046, 4250977155224043/2], [6691127021452231519/38, 1436620550381180166/19, 1473457575030982257/38], [-720293864101234321/38, 1831740410049334/19, -159627843626899743/38], [1637718901/38, 508355666/19, -266253637/38]]], 1, 40, [], [] >,
< [ -1, -3, 0, 1 ], [[9, 6, 1]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -1224, -5/2], [-4830/19, 3681/19, -89/38], [-2437/19, -1/19, -4/19], [0, 0, 0]], [[-114236663619/2, -52163337883, 43683780165/2], [1287016233645/38, 243852931975/19, -586948432843/38], [237569633327/19, 43685430543/19, -227930391579/38], [-20/19, -2/19, 1/38]], [[736371399918528, 354567136019481, 52313672825073], [-9536458378522284/19, -824849475088815/19, 2763029079418509/19], [-388910675475677/2, 105922829873547/19, 1467110191872749/19], [42109/2, 9441, -4315]]], 1, 10, [], [] >,
< [ -1, -3, 0, 1 ], [[-8, 6, 5]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 1077, 3], [4132/19, -3254/19, 10/19], [2145/19, 5/19, 4/19], [0, 0, 0]], [[284422092247/2, 1438858019767, -320089988434], [353597359141/2, -294560673580, 82124930509], [104105365596, -67390378723/2, 31567835953/2], [10/19, 3/38, 3/38]], [[-741901742317919693, -713141448980871409, 629987022388622483/2], [418103414880774325, 176495318439555665, -396819111882197143/2], [156217994181693718, 32663598354054128, -77051742630237752], [12128812/19, 579917/19, -6641006/19]]], 1, 40, [], [] >,
< [ -1, -3, 0, 1 ], [[-15, -7, 4]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, -5, -3/2], [-45/2, -5/2, 1/2], [70, 2, 1], [0, 0, 0]], [[-311199, -284116, -141036], [-792558, -118044, -138983], [2419574, 49472, 1167737/2], [-1/2, 1/2, -3/2]], [[-20817629, 2596391/2, 19940753/2], [-144845579/2, -5198914, 28612697], [467300043/2, 18329945, -184278759/2], [-79, 0, 79/2]]], 1, 16, [], [] >,
< [ -1, -3, 0, 1 ], [[11, 4, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, -8, 2], [18, 2, 2], [11, -2, 4], [0, 0, 0]], [[-871019, 344467/2, 261507/2], [-2237919/2, -79251, 185791], [-1466441/2, 44351, 111049/2], [-1, -2, -5/2]], [[-2172011455309, -228377886092, 743411992545], [-2533257744018, -244731161739, 897212106764], [-1753315014075, -315685752825/2, 617311039425], [-1119225, 1851675/2, 1860375/2]]], 1, 16, [], [] >,
< [ -1, -3, 0, 1 ], [[10, 0, -7]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -15/2, 2], [17/2, -2, 1/2], [-30, -2, -4], [0, 0, 0]], [[-4859, -16169, 4761/2], [55845/2, -1557/2, -4605/2], [-96583, -19554, -943/2], [-3/2, -3/2, 5/2]], [[35878938, 45962790, 46774983/2], [1301951925/2, 76564485/2, -488558907/2], [-2055722411, 17735301, 864324325], [-19383, -12480, 2379]]], 1, 16, [], [] >,
< [ -1, -3, 0, 1 ], [[-32, -16, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 8, 10], [-6, 0, 4], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [0, 1, 1], [1, 0, 0]], [[0, 0, 0], [630, 280, -420], [1884, 300, -708], [0, 0, 0]]], 0, 224, [], [] >,
< [ -1, -3, 0, 1 ], [[-8, -4, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [-15/2, 4, 9/2], [1, -1, 3/2]], [[0, 0, 0], [0, 0, 0], [230, -15, -99], [-41, 0, 0]]], 1, 7, [], [] >,
< [ -1, -3, 0, 1 ], [[80, 64, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -38, -68], [10, -6, -10], [0, 0, 0]], [[0, 0, 0], [2, 0, 0], [0, 1, 1], [1, 0, 0]], [[0, 0, 0], [-2390, -20884, -4330], [4070, -1452, -2310], [0, 0, 0]]], 0, 4032, [], [] >,
< [ -1, -3, 0, 1 ], [[-80, 32, 48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [154, 10, -8], [-10, -2, 2], [0, 0, 0]], [[0, 0, 0], [8, 0, 0], [0, 1, 1], [1, 0, 0]], [[0, 0, 0], [-93710, 18960, 115450], [5026, -2268, -4802], [0, 0, 0]]], 0, 4032, [], [] >,
< [ -1, -3, 0, 1 ], [[64, -16, -48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [124, 46, -4], [4, -8, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [0, 1, 1], [1, 0, 0]], [[0, 0, 0], [61508, -67508, -71440], [6666, 5436, 276], [0, 0, 0]]], 0, 4032, [], [] >,
< [ -1, -3, 0, 1 ], [[48, 16, 0]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-434/19, -1314/19, -204/19], [-8, -6/19, -2/19], [0, 0, 0]], [[0, 0, 0], [-122013192/19, -336100820/19, 15668562/19], [-239533116/19, -16022014/19, 67048457/19], [0, -4/19, 5/19]], [[0, 0, 0], [-85049626900/19, -269308632048/19, -125638404898/19], [-487069098894/19, -68798507220/19, 160732805151/19], [5106/19, 3720/19, 831/19]]], 0, 2016, [], [] >,
< [ -1, -3, 0, 1 ], [[-128, -48, 32]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [578/19, 576/19, 170/19], [12/19, -2/19, -2/19], [0, 0, 0]], [[0, 0, 0], [-1796/19, -2724/19, -1346/19], [-39/19, 3/19, -1/19], [-39/19, 3/19, -1/19]], [[0, 0, 0], [292408/19, 2202164/19, 1259730/19], [-10728/19, 8046/19, 6705/19], [-10728/19, 8046/19, 6705/19]]], 0, 8064, [], [] >,
< [ -1, -3, 0, 1 ], [[-64, -32, 16]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10/19, -202/19, 136/19], [28/19, -4/19, 10/19], [0, 0, 0]], [[0, 0, 0], [-2281546/19, 339812/19, 249808/19], [-814124/19, -117516/19, 184863/19], [-72/19, 4/19, -5/19]], [[0, 0, 0], [-2151086478/19, -381186732/19, 563311436/19], [-36955954, -182103256/19, 170856470/19], [-71526/19, -27712/19, 8154/19]]], 0, 2016, [], [] >,
< [ -1, -3, 0, 1 ], [[-32, 48, 32]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2012/19, 50/19, -92/19], [-90/19, -6/19, -8/19], [0, 0, 0]], [[0, 0, 0], [1976214936/19, 520370078/19, -873090116/19], [-4744312, -26746847/19, 42422014/19], [0, 1/19, -2/19]], [[0, 0, 0], [164960482/19, 21244794/19, -57578676/19], [-7400544/19, -976056/19, 135968], [0, 0, 0]]], 0, 8064, [], [] >,
< [ -1, -3, 0, 1 ], [[48, 0, -32]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1270/19, 1028/19, 172/19], [130/19, 0, 2/19], [0, 0, 0]], [[0, 0, 0], [-878558960/19, -309395010/19, 20527738], [68006784/19, 16213539/19, -30400384/19], [8/19, 3/19, -4/19]], [[0, 0, 0], [-742054, 837364, 731096], [106668, 94816, 23704], [0, 0, 0]]], 0, 2016, [], [] >,
< [ -1, -3, 0, 1 ], [[64, -48, -64]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-294/19, -864/19, -492/19], [18/19, -10/19, -8/19], [0, 0, 0]], [[0, 0, 0], [3712/19, -208626/19, 24832/19], [-25226/19, 12135/19, 63/19], [154/19, 5/19, 3/19]], [[0, 0, 0], [-24828404, 290154794/19, -800528854/19], [218443820/19, -93479085/19, -17803995/19], [-1114860/19, 650335/19, 420805/19]]], 0, 8064, [], [] >,
< [ -1, -3, 0, 1 ], [[48, -32, -48]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, 4, -2], [2, 0, 0], [0, 0, 0]], [[0, 0, 0], [184649/37, 55987/37, -59713/37], [13474/37, 8625/74, -4618/37], [-5/37, 3/74, 0]], [[0, 0, 0], [6699746/37, 3406182/37, -330090/37], [476824/37, 223346/37, -28404/37], [-252/37, -154/37, 60/37]]], 0, 4032, [], [] >,
< [ -1, -3, 0, 1 ], [[48, -32, -32]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1098/37, 730/37, -410/37], [330/37, 90/37, -10/37], [0, 0, 0]], [[0, 0, 0], [3736122/37, 1309230/37, -1377099/37], [1273157/37, 410259/74, -298769/37], [-1/37, -5/74, 0]], [[0, 0, 0], [-16493031516/37, -2091059048/37, 5741369052/37], [-6156624242/37, -746599190/37, 2121863644/37], [796/37, 10, -248/37]]], 0, 4032, [], [] >,
< [ -1, -3, 0, 1 ], [[-96, -48, 16]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1606/37, -3890/37, -258/37], [-162/37, -424/37, -4/37], [0, 0, 0]], [[0, 0, 0], [-20420423/37, -3272950/37, 6377824/37], [-2189083/74, -415663/74, 307156/37], [-1/74, 5/74, -2/37]], [[0, 0, 0], [-1712834750/37, -227265044/37, 576318330/37], [-91348388/37, -12945515/37, 29827171/37], [-114/37, 57/37, -19/37]]], 0, 4032, [], [] >,
< [ -1, -3, 0, 1 ], [[-176, 128, 176]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1232/37, 2384/37, -314/37], [178/37, 232/37, -2/37], [0, 0, 0]], [[0, 0, 0], [-36066627/37, -84567214/37, 138845], [-4371834/37, -8289550/37, -1904103/74], [107/37, 2/37, -1/74]], [[0, 0, 0], [-3060991146648/37, 4433844279546/37, 3046723140390/37], [-1049129723233/37, 434615362813/37, 664162490104/37], [80511495/37, 8295735/37, -30005850/37]]], 0, 153216, [], [] >,
< [ -1, -3, 0, 1 ], [[112, -128, -96]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16394/37, -3810/37, -52/37], [1244/37, -276/37, -4/37], [0, 0, 0]], [[0, 0, 0], [-130601693/37, 66229095/37, 66869753/37], [-9843528/37, 10330923/74, 5159002/37], [101/37, 5/74, 2/37]], [[0, 0, 0], [4434403594243598/37, 2041734715482166/37, -774316708122802/37], [336720660725122/37, 158450553241180/37, -56407634837558/37], [-2655757548/37, 78831990/37, 1478270736/37]]], 0, 153216, [], [] >,
< [ -1, -3, 0, 1 ], [[352, 144, -80]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-708/37, 890/37, 156/37], [-140/37, 204/37, 2/37], [0, 0, 0]], [[0, 0, 0], [4198733/37, 566613/37, -2590623/37], [920625/37, 433995/74, -1116535/74], [-110/37, 5/74, -5/74]], [[0, 0, 0], [478834212/37, 108050880/37, -82803401/37], [98732213/37, 32167565/74, -18259119/37], [-14219/37, -1687/74, 7712/37]]], 0, 153216, [], [] >,
< [ -1, -3, 0, 1 ], [[-192, -80, 16]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4838/19, -2526/19, -30/19], [2384/19, 4/19, -6/19], [0, 0, 0]], [[0, 0, 0], [349304441428/19, 64727259306/19, -121040567974/19], [-217982936427/19, -56645879604/19, 88848596077/19], [-73/19, 4/19, -1/19]], [[0, 0, 0], [-4290044717787594450/19, -176103384907755450/19, 94343846762752200], [2670954074008464952/19, 375563709630030952/19, -1074466677052423368/19], [41168632, -37722968, -32087688]]], 0, 40320, [], [] >,
< [ -1, -3, 0, 1 ], [[208, -64, -96]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-46828/19, -2426/19, 188/19], [2268/19, 6/19, -2/19], [0, 0, 0]], [[0, 0, 0], [-88943758027434/19, -5907206083318/19, 10849971533786/19], [4333868773135/19, 149618946257/19, -523804429364/19], [45/19, 3/19, 4/19]], [[0, 0, 0], [131486931755775216620, 20800735353959640918, -16165422332863254768], [-6410537384150053094, -816475223934679307, 810131908793840216], [-1302447334/19, -312254347/19, -105658024/19]]], 0, 161280, [], [] >,
< [ -1, -3, 0, 1 ], [[-144, -64, 0]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [11632/19, -9156/19, -44/19], [-1294/19, 2/19, -2/19], [0, 0, 0]], [[0, 0, 0], [170384154528/19, 23962998566/19, -60788360366/19], [-14832502059/19, -1915776777/19, 5264221324/19], [87/19, -3/19, 4/19]], [[0, 0, 0], [-1817914558776022952/19, -206822489362979360/19, 631154394981490440/19], [159603153949576857/19, 20119457806646871/19, -54438447920109171/19], [-864445725/19, 545987565/19, 817853535/19]]], 0, 40320, [], [] >,
< [ -1, -3, 0, 1 ], [[144, -80, -64]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7900/19, -5708/19, 188/19], [-846/19, -6/19, 4/19], [0, 0, 0]], [[0, 0, 0], [-350774500682/19, -126811962740/19, 86674507932/19], [-42319430856/19, 2583216963/19, 6846743528/19], [-24/19, -3/19, 2/19]], [[0, 0, 0], [-367636658364734652/19, -177832497178077854/19, 26815703498062274/19], [-52604872860126480/19, -20610069349564329/19, 17791767575057277/19], [-30349780/19, -18865471/19, 4917563/19]]], 0, 161280, [], [] >,
< [ -1, -3, 0, 1 ], [[-144, -96, -16]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-746, -56288/19, -16/19], [-7006/19, -10/19, -6/19], [0, 0, 0]], [[0, 0, 0], [1213289196576/19, 3813308093016/19, 1731760570000/19], [-88406914270/19, 172983922233/19, 173941397722/19], [-106/19, 3/19, -2/19]], [[0, 0, 0], [379602209974252630/19, 66108764073535492, 669689353261744156/19], [-12934507402306671/19, 71016053544541870/19, 50737702972919344/19], [-32454645/19, -14951270/19, 6432208/19]]], 0, 40320, [], [] >,
< [ -1, -3, 0, 1 ], [[128, -96, -80]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [29284/19, 10734/19, -98/19], [1366/19, -6/19, -6/19], [0, 0, 0]], [[0, 0, 0], [9830657002324/19, 2274460677772/19, -1032553364678/19], [472432799789/19, -27408638147/19, -38772332127/19], [-129/19, -1/19, -5/19]], [[0, 0, 0], [4182717790478963909802/19, -159983098457302791508/19, -2157079693294811605426/19], [236385480803876199996/19, 28931318141306536682/19, -5844597604361351152], [-62866957260/19, -158377270, 34426960160/19]]], 0, 161280, [], [] >,
< [ -1, -3, 0, 1 ], [[240, 112, -64]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-82, 0, -6], [-142, -4, 2], [0, 0, 0]], [[0, 0, 0], [-6, 0, 0], [-6, 1, 1], [1, 0, 0]], [[0, 0, 0], [-3437856, 718296, 2283600], [-5921988, 854218, 3558504], [0, 0, 0]]], 0, 64512, [], [] >,
< [ -1, -3, 0, 1 ], [[-176, -64, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-142, 2, -10], [74, -4, 0], [0, 0, 0]], [[0, 0, 0], [6, 0, 0], [16, 1, 1], [1, 0, 0]], [[0, 0, 0], [1271328, -1235084, -1179324], [-720594, 458052, 525882], [0, 0, 0]]], 0, 64512, [], [] >,
< [ -1, -3, 0, 1 ], [[-160, 0, 112]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 10, 8], [-42, 10, -2], [0, 0, 0]], [[0, 0, 0], [14, 0, 0], [-8, 1, 1], [1, 0, 0]], [[0, 0, 0], [0, 0, 0], [-58, -6, 20], [0, 0, 0]]], 0, 64512, [], [] >,
< [ -1, -3, 0, 1 ], [[-128, -64, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -20, 16], [12, -16, 8], [0, 0, 0]], [[0, 0, 0], [2, 0, 2], [0, 1, 1], [1, 0, 0]], [[0, 0, 0], [21976, 8576, -1072], [18360, 3348, -3780], [0, 0, 0]]], 0, 14336, [], [] >,
< [ -1, -3, 0, 1 ], [[-6, 3, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[25/2, 119/2, 65/2], [20, 101/2, 27], [15, 1, -1], [0, 0, 0]], [[5001/2, 8603/2, -5491/2], [-5259, -20069/2, 7045], [-21025/2, -19002, 13112], [13/2, -3/2, 1]], [[16928909/2, 3945408, -2374362], [-22006787/2, -5301201/2, 6356650], [-55968879/2, -8512670, 12663209], [164577/2, 46561/2, -18440]]], 0, 6, [], [] >,
< [ -1, -3, 0, 1 ], [[-2, 1, 1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[2, -1, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 25/2, 10], [5/2, 0, 5/2], [0, 1, -4], [0, 0, 0]], [[1242, 184, -1081/2], [-10603/2, -1035/2, 3519/2], [1511, 33/2, -419], [0, 5/2, -3/2]], [[21275, -51060, -42550], [-165945, -29785, 51060], [102551/2, 16350, -21827/2], [-63, -105, -91/2]]], 1, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[4, -2, -2]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 11/2, 7/2], [7/2, 13, 8], [11, 27/2, 1], [-2, 3/2, 5/2]], [[-265/2, 573/2, 210], [443/2, 688, 621/2], [-5509/2, -5, 2615/2], [1020, 255, -595/2]]], 1, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[5, -1, -4]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -13/2, -4], [33/2, 9, 11/2], [-14, -7, -3], [0, 0, 0]], [[59/2, 43, -89/2], [218, 411, -557/2], [-146, -281, 178], [1, 0, -2]], [[503931/2, 189824, -111005/2], [1089175, 577285, -1264675/2], [-1362961/2, -289978, 920817/2], [20603, 16841, 649/2]]], 1, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[-8, -2, 1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[29/2, 75/2, -5], [-189/2, -19, 5/2], [-10, -5, 0], [0, 0, 0]], [[413728, 1953177/2, -1089275/2], [-1194893/2, 711657, -375645], [-163777/2, 8051/2, -5510], [5/2, 1, -5/2]], [[13522635/2, 169416315/2, -2104825052], [64170163219/2, 8983559558, -20306375569/2], [6075893131/2, 1889777275/2, -769776790], [-108641/2, 20984, 64721/2]]], 1, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[7, 4, -2]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[51/2, -39/2, 3/2], [36, -15/2, -8], [-1, -4, -4], [0, 0, 0]], [[113859119/2, 6151418, -38798597/2], [66241840, 7636884, -45653843/2], [-149581, 5773, 6798], [2, -1, 2]], [[1979326796751/2, 120945165063, -688871711897/2], [1147378727122, 139215359453, -797599245535/2], [-5571044081/2, -168334109/2, 1259006813], [89991/2, -10868, -67221/2]]], 1, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[5, -4, -4]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 214, 5/2], [2095/38, -610/19, -23/38], [432/19, 5/19, -2/19], [0, 0, 0]], [[122144007/2, 4212205147/2, -340244063], [21699580373/38, -15610001279/38, 815845362/19], [8886936853/38, -1350252541/38, -145906407/38], [-11/38, -1/38, 3/38]], [[682873507017, 1568511136269, 362828711556], [-252677899512, -2917188056024/19, 2448818020063/19], [-2269029652473/38, 1320778455547/38, 2819354010159/38], [141/2, -23/2, -87/2]]], 1, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[-7, 2, 5]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -5/2, -3/2], [317/19, 327/38, -55/38], [-207/19, -5/19, 2/19], [0, 0, 0]], [[-30414037/2, -800561/2, -429362], [2050010509/38, 536179189/38, -258924005/19], [-1394111669/38, 90420058/19, 80173025/19], [169/38, 1/19, 2/19]], [[37797060819485, 29207341543159, -3686521476186], [-1966212075554470/19, -908690209563584/19, 247312583137290/19], [1594231702786302/19, 690861752396298/19, -504107614897635/19], [-209755344/19, -158620308/19, 23181564/19]]], 1, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[8, 5, -1]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[65, 54, 1], [227/19, -267/19, 34/19], [116/19, 1/19, -3/19], [0, 0, 0]], [[379189569/2, 114016676, -39222719/2], [1740361731/38, -488503698/19, -145275173/38], [760702155/38, 36383563/38, -115173243/38], [-21/38, -5/38, -3/38]], [[622251692509/2, -527779975437/2, -623766623565/2], [5480684255483/38, 663221844725/38, -1241765599619/38], [915348773230/19, -125381937552/19, -844514937711/38], [-20090/19, 18368/19, 36449/38]]], 1, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[-17, -14, 1]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -1, 1], [8929/19, 4476/19, 20/19], [-4493/19, -1/19, 0], [0, 0, 0]], [[46301609, 203101/2, -27980], [-207027688219/19, -416313473933/38, -377403074/19], [14572362913/2, 276623647141/38, -137934952069/38], [25/38, -5/38, 5/38]], [[-590994201251/2, -203374693285/2, 79733341836], [1927667542014871/38, 1416346643002385/38, 100312203907044/19], [-987972707528129/38, -271692495023955/38, 18524488659154/19], [-179291/38, -73185/38, 24046/19]]], 1, 80, [], [] >,
< [ -1, -3, 0, 1 ], [[-14, 13, 13]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4191, -4199, -5/2], [-4029/19, 21046/19, -23/38], [-8400/19, -3/19, 0], [0, 0, 0]], [[-190887237927/2, -104530452904, 27566565498], [13309643901/2, 906993865718/19, -356774156772/19], [-118234707744/19, 256226235595/38, -145959669465/38], [-54/19, -3/38, 1/38]], [[-65336853796066411, 520576535530595417/2, 71721091124770680], [-1580540795232881029/19, -4783588711850434057/38, 1157498215009454616/19], [-639669377533639063/19, -363910099570193000/19, 508013747348062806/19], [-158863305/19, -783690, 107157930/19]]], 1, 80, [], [] >,
< [ -1, -3, 0, 1 ], [[25, -2, -14]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[29/2, -1986, 1/2], [-15489/38, 6002/19, 35/38], [-3988/19, 0, 4/19], [0, 0, 0]], [[-6653990345/2, 133856938523, -37804721173/2], [1110969468883/38, -477200306230/19, 93816199697/38], [282409774277/19, -75608903197/38, -4898008519/19], [-1/19, 5/38, 2/19]], [[513674869, 2945295295/2, -1949244795/2], [-1828958693/19, -16381478123/38, 9840334389/38], [-146077074/19, -1944005505/19, 1026966096/19], [0, 0, 0]]], 1, 80, [], [] >,
< [ -1, -3, 0, 1 ], [[-8, 10, 7]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-22, -25/2, -9/2], [-123/2, -2, -1], [132, -4, -2], [0, 0, 0]], [[-286106860, -164128732, -58863884], [-799456696, -29687696, -12462914], [1715749138, -44505719, -27505049], [0, 2, -1]], [[-446669143740, 13750166343780, 9247258489320], [-10587265814979, 13955392756398, 13991609095932], [25319528095007, -45585037584659/2, -52962176207537/2], [-35187/2, -8213, 4708]]], 1, 64, [], [] >,
< [ -1, -3, 0, 1 ], [[-11, 7, 4]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -1/2, 1/2], [-2, -3/2, 0], [233, 2, -1], [0, 0, 0]], [[0, 0, 0], [-3, -9, 15], [1037, 1114, -1611/2], [-1/2, -3/2, 5/2]], [[0, 0, 0], [5221878, 1898142, 10335], [2899800095/2, 239888050, -1033117045/2], [870313, 316357, 3445/2]]], 1, 64, [], [] >,
< [ -1, -3, 0, 1 ], [[-23, 4, 10]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 18, 1/2], [-19, -2, -3/2], [172, 0, 2], [0, 0, 0]], [[72545713/2, 236621975/2, -18342517/2], [-158710815, -642325/2, 1375657], [2905783943/2, -190623601/2, -163077367/2], [-1, -3/2, -1]], [[-191747425401/2, -331069258269/2, 73978524251], [-1806111625391/2, -196065030633, 776309434613/2], [16845344776331/2, 3742864219307/2, -3560097892949], [-6523/2, -13, 4541/2]]], 1, 64, [], [] >,
< [ -1, -3, 0, 1 ], [[96, -48, -48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 22, 20], [-10, -6, 4], [0, 0, 0]], [[0, 0, 0], [278, 222, -56], [179, 94, -102], [7, -1, 0]], [[0, 0, 0], [2168, 520, -216], [1328, -174, -290], [88, 30, -34]]], 0, 24192, [], [] >,
< [ -1, -3, 0, 1 ], [[32, -16, -16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -8, 6], [14, 12, 4], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [2160, 60, -360], [2744, 1260, -266], [0, 0, 0]]], 0, 896, [], [] >,
< [ -1, -3, 0, 1 ], [[8, -4, -4]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [-35/2, -81/2, -49/2], [-1, -5/2, -1]], [[0, 0, 0], [0, 0, 0], [5563/2, 494, -976], [213/2, 25/2, -33]]], 1, 14, [], [] >,
< [ -1, -3, 0, 1 ], [[-80, 16, 64]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [82, 18, -38], [20, 2, -4], [0, 0, 0]], [[0, 0, 0], [-12, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-11618, 3308, 5754], [-4144, -2616, 352], [0, 0, 0]]], 0, 16128, [], [] >,
< [ -1, -3, 0, 1 ], [[128, 32, -16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-76, -44, 38], [18, 8, -8], [0, 0, 0]], [[0, 0, 0], [-16, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [30, 80, 40], [-6, -16, -8], [0, 0, 0]]], 0, 16128, [], [] >,
< [ -1, -3, 0, 1 ], [[-112, -64, 32]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-118, 18, 66], [6, -2, -10], [0, 0, 0]], [[0, 0, 0], [12, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-434154, 21612, 201294], [17864, -11792, -18744], [0, 0, 0]]], 0, 16128, [], [] >,
< [ -1, -3, 0, 1 ], [[-80, 64, 64]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1442/19, -4514/19, 70/19], [-556/19, 6/19, -8/19], [0, 0, 0]], [[0, 0, 0], [-39011086/19, -150031806/19, -138878316/19], [11006300/19, -15185879/19, -8637844/19], [20/19, 1/19, -4/19]], [[0, 0, 0], [900221434/19, 3133037560/19, 1580549596/19], [35542054/19, 172230444/19, 105650993/19], [-26/19, -36/19, -7/19]]], 0, 16128, [], [] >,
< [ -1, -3, 0, 1 ], [[112, -32, -80]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-404/19, -52/19, 162/19], [-82/19, -6/19, -2/19], [0, 0, 0]], [[0, 0, 0], [25148/19, -131058/19, 55846/19], [100179/19, 196844/19, -124274/19], [-45/19, -4/19, -2/19]], [[0, 0, 0], [26653386/19, 15789322/19, -19339322/19], [-4011450/19, -18071834/19, 15174979/19], [-14586/19, -10778/19, 1411/19]]], 0, 16128, [], [] >,
< [ -1, -3, 0, 1 ], [[-128, -80, 16]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3362/19, -2746/19, -46/19], [-408/19, -10/19, 10/19], [0, 0, 0]], [[0, 0, 0], [1521476672/19, 1394848066/19, -1294379596/19], [-125165345/19, -100568998/19, 64708973/19], [-41/19, 2/19, 5/19]], [[0, 0, 0], [-3046577913808/19, -2486727687806/19, 411773551728/19], [144096038916/19, -250694214036/19, -13762355718], [86100/19, -63468/19, -71586/19]]], 0, 16128, [], [] >,
< [ -1, -3, 0, 1 ], [[272, 224, -16]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [15766/19, 8496/19, 200/19], [-7764/19, 10/19, -10/19], [0, 0, 0]], [[0, 0, 0], [1786626/19, 216312/19, -623190/19], [-1081833/19, -130985/19, 377135/19], [191/19, 5/19, 5/19]], [[0, 0, 0], [32526131023628/19, 3877459861742/19, -11308388938442/19], [-19696945343526/19, -2352058970808/19, 6846630273308/19], [4193450888/19, 1726980914/19, -1112073164/19]]], 0, 322560, [], [] >,
< [ -1, -3, 0, 1 ], [[224, -208, -208]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-57126/19, 43704/19, 90/19], [6322/19, 2/19, 0], [0, 0, 0]], [[0, 0, 0], [3355997215218, 479177813670, -1215840832496], [-292976998282, -41856268947, 102538572527], [-10/19, -3/19, -1/19]], [[0, 0, 0], [-5094413194532614642, -499438158847348320, 1697359121686309486], [446589737640821712, 45279237288460008, -153205090557037992], [15878352/19, 1486584/19, -10703256/19]]], 0, 322560, [], [] >,
< [ -1, -3, 0, 1 ], [[-400, 32, 224]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16944/19, 68098/19, -58/19], [8570/19, 6/19, 4/19], [0, 0, 0]], [[0, 0, 0], [746284588792/19, 326018625096/19, -475030426674/19], [-817130227665/19, -133653054950/19, 297098527527/19], [21/19, -2/19, -3/19]], [[0, 0, 0], [430952285503634230/19, -275099446872147112/19, -583425023852059026/19], [-652515334639205712/19, -127375567766818608/19, 216415932934394928/19], [19942128/19, 9451344/19, 1991664/19]]], 0, 322560, [], [] >,
< [ -1, -3, 0, 1 ], [[128, -160, -112]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [138, 6, -6], [466, 8, 6], [0, 0, 0]], [[0, 0, 0], [-6, 0, 0], [28, 1, 1], [1, 0, 0]], [[0, 0, 0], [120032, 54064, -33232], [419750, 208150, -113850], [0, 0, 0]]], 0, 258048, [], [] >,
< [ -1, -3, 0, 1 ], [[176, -112, -64]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [50, -8, 2], [-242, -6, 2], [0, 0, 0]], [[0, 0, 0], [6, 0, 0], [16, 1, 1], [1, 0, 0]], [[0, 0, 0], [-1828864, -633536, 608], [8704136, 4224066, 292576], [0, 0, 0]]], 0, 258048, [], [] >,
< [ -1, -3, 0, 1 ], [[368, -64, -160]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-206, -6, 8], [-180, 10, -4], [0, 0, 0]], [[0, 0, 0], [14, 0, 0], [-8, 1, 1], [1, 0, 0]], [[0, 0, 0], [25550464, -1106400, -17997440], [23689182, 171144, -17328330], [0, 0, 0]]], 0, 258048, [], [] >,
< [ -1, -3, 0, 1 ], [[128, -64, -64]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 8, -8], [56, 60, 28], [0, 0, 0]], [[0, 0, 0], [2, 0, 2], [4, 1, 1], [1, 0, 0]], [[0, 0, 0], [-33640, -2436, 7772], [183168, 58512, -35616], [0, 0, 0]]], 0, 57344, [], [] >,
< [ -1, -3, 0, 1 ], [[3, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[2, -1, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, 5, 3/2], [-7/2, 9/2, 7/2], [-9, 0, -3], [0, 0, 0]], [[-1730, -808, -157/2], [3315/2, -2301/2, -1459/2], [2553, -3371, 4111/2], [-5/2, 1/2, -1/2]], [[-5439347, -1537329, 2211625/2], [13120271/2, -1151611/2, -5290495/2], [13022764, -643260, -4219205/2], [-19071/2, -1989/2, 4095/2]]], 1, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[6, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -4, -1/2], [3, -10, -7/2], [1, -1, -3], [0, 0, 0]], [[-11/2, 1007/2, -91/2], [7726, 4733/2, -2872], [1036, -205/2, -5], [1, 5/2, -5/2]], [[-87378, -54189/2, 18789], [2903106, 614665/2, -2076871/2], [470418, 75393/2, -349599/2], [-105/2, 69, 60]]], 1, 6, [], [] >,
< [ -1, -3, 0, 1 ], [[6, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 3, -2], [7, -6, 2], [-6, -4, 4], [0, 0, 0]], [[114, 801/2, 226], [617, 4073/2, 2037/2], [109, 911/2, 455/2], [3/2, -2, 0]], [[-6387, -27204, -14679], [-15333, -126980, -77644], [-44079/2, -59769/2, -10749], [2835/2, 162, -891/2]]], 1, 6, [], [] >,
< [ -1, -3, 0, 1 ], [[-12, 3, 6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-66, -60, 0], [-77, 0, -1], [-9, 1, 2], [0, 0, 0]], [[1641/2, 2838, 2995/2], [404, 1252, 1395/2], [5/2, -13/2, -2], [-3/2, 1, -3/2]], [[161236443, 583468605, 311901687], [60304554, 262495875, 148006458], [-1501534, -1133824, 97747/2], [1033605/2, -147393/2, -788465/2]]], 1, 12, [], [] >,
< [ -1, -3, 0, 1 ], [[-6, 3, 6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, -25, -7], [-153/2, -21/2, -15], [-25, -3, -5], [0, 0, 0]], [[-3137682, 17790694, 5077590], [154672566, 6942881, -20392523], [50734992, 3796481/2, -6604651], [-1, -1/2, -3/2]], [[195003903457, -56807158573/2, -168465376651/2], [-7289797481241/2, -437173267491, 1176986725827], [-1198674934379, -142833869606, 387023371450], [24893, 5611, -3410]]], 1, 12, [], [] >,
< [ -1, -3, 0, 1 ], [[12, 9, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-92, 72, 9/2], [-155/2, 15/2, 5/2], [8, 4, 0], [0, 0, 0]], [[17055/2, -207308, 202577/2], [31382, -78974, 78453/2], [-10563/2, -118, -343/2], [-1, 0, 1/2]], [[3692, 11772, -14897/2], [2583/2, 10451/2, -6035/2], [21, -140, 32], [0, 0, 0]]], 1, 12, [], [] >,
< [ -1, -3, 0, 1 ], [[-9, -3, 0]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -79/2, 5], [61/19, 37/38, 30/19], [-54/19, 5/19, -5/19], [0, 0, 0]], [[-9720253/2, 19712259/2, 6254245/2], [-57856665/38, -42126921/38, -17010207/38], [1270651, 5924516/19, -2750793/38], [47/19, -2/19, 3/38]], [[140789607653/2, -530510185898, -682136442941/2], [2490361281149/38, 2142528524160/19, 1828608893987/38], [-817329888801/19, -697727732129/19, -140212394168/19], [-1647750/19, -1073150/19, -147875/19]]], 1, 12, [], [] >,
< [ -1, -3, 0, 1 ], [[-9, -3, 0]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -281/2, 1], [-685/19, 809/38, 60/19], [-292/19, -3/19, 4/19], [0, 0, 0]], [[17929440, 78617259/2, -7108914], [-123270411/19, -294510197/38, 92678016/19], [-61857251/38, -28116959/38, 36552049/19], [61/38, 1/38, 1/19]], [[-334685986349, -768983019389, -409584653257/2], [2304421825369/19, 1637140377313/19, -1502618144251/38], [524703691968/19, -411284002236/19, -692186043060/19], [-957072/19, -358140/19, 89916/19]]], 1, 12, [], [] >,
< [ -1, -3, 0, 1 ], [[12, 6, -3]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-135/2, 2, 1], [-2023/38, 165/19, 11/19], [-138/19, -2/19, 5/19], [0, 0, 0]], [[-33245985/2, -2842624, 5540812], [-520351999/38, -42495822/19, 88812404/19], [-33366106/19, -11366455/38, 22146261/38], [-46/19, 5/38, -3/38]], [[-34170719198625/2, -6128997523167/2, 10662767225147/2], [-533300936825563/38, -87050216847597/38, 172299125039469/38], [-34320649213968/19, -6197034796791/19, 10671981569773/19], [-56782752/19, -22288461/19, 5822557/19]]], 1, 12, [], [] >,
< [ -1, -3, 0, 1 ], [[12, 6, -3]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, 3/2, -5/2], [-112/19, 89/38, -99/38], [-20/19, 2/19, 0], [0, 0, 0]], [[-27307/2, -2348, 13829/2], [-22095/2, -44846/19, 218011/38], [-31701/19, -5292/19, 27681/38], [45/19, -1/19, 5/38]], [[-7925271378, 298846406, 7738711203/2], [-120365597451/19, 2335355296/19, 116673290439/38], [-38091093721/38, -944023649/19, 15853782577/38], [68075327/38, 14281699/19, -5300663/38]]], 1, 12, [], [] >,
< [ -1, -3, 0, 1 ], [[-9, 0, 6]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -83/2, -1/2], [624/19, 319/38, 17/38], [-73/19, 0, -2/19], [0, 0, 0]], [[-103/2, -273/2, 169/2], [-17/2, -101/2, 63/2], [2, 9, -11/2], [2/19, 2/19, -3/38]], [[-1, -1/2, 3/2], [-40/19, -49/38, 21/38], [5/19, 3/19, -2/19], [0, 0, 0]]], 1, 12, [], [] >,
< [ -1, -3, 0, 1 ], [[-9, 0, 6]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, 277/2, 1], [-2823/19, -1721/38, 7/19], [300/19, 4/19, -4/19], [0, 0, 0]], [[-3564398, -11341211, 13462515/2], [26159978/19, -64682829/19, 64846021/38], [-1295051/38, 13459318/19, -14675761/38], [-131/38, -2/19, -1/38]], [[8452268036, 131590383751/2, -52436392043/2], [-727737703573/19, 249996788389/38, -108438726569/38], [142331211159/38, -52482575574/19, 41303010681/38], [2345469/38, 630126/19, 105021/38]]], 1, 12, [], [] >,
< [ -1, -3, 0, 1 ], [[36, 15, -3]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1259, -2, -3/2], [18873/19, -2560/19, -49/38], [2526/19, 4/19, -4/19], [0, 0, 0]], [[-27754091873/2, -11065622253/2, 12096204037/2], [-23174844225/2, -9629616887/2, 10714444731/2], [-1463128616, -1164774325/2, 1273266813/2], [34/19, 5/38, 3/38]], [[25506397936430701/2, 2962866180935965/2, -12470063252742521/2], [21443502738314839/2, 3601700158597513/2, -10148425566677291/2], [1344556096030713, 154510360961295, -657664614884655], [-1461768, 1356600, 1151640]]], 1, 240, [], [] >,
< [ -1, -3, 0, 1 ], [[36, 15, -3]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5253/2, 5, 1], [78791/38, -5157/19, 20/19], [5254/19, -1/19, 0], [0, 0, 0]], [[2987197951437, -121553007604, -921227598749], [46640262039670/19, -2275346616237/19, -13575267629737/19], [5979483999996/19, -486237637225/38, -1842468963955/19], [-42/19, -3/38, 0]], [[-6316512125231308385/2, -518592456834393911, 797058248910803239], [-97925404887846757283/38, -6256879909552396073/19, 12983378976978599653/19], [-12641330012556266341/38, -1033606784360785595/19, 3194334535085072641/38], [66458369/38, -31452569/19, -52882949/38]]], 1, 240, [], [] >,
< [ -1, -3, 0, 1 ], [[27, 12, 0]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -6425, -2], [115381/19, 32038/19, 67/19], [-12824/19, -5/19, -5/19], [0, 0, 0]], [[6275766011035/2, 533656913924, -2766849988931/2], [288340577223319/38, 22233228579884/19, -99153613074191/38], [-17763957319372/19, -5533682771113/38, 6277092029805/19], [-55/19, -3/38, -2/19]], [[-8870447705091939042, -2176657823173218627, 4229263475949253429/2], [-20817889389124717812, -1432989596093343222, 15693803713826268949/2], [2572714942802969874, 222747873332738867, -933916066790809332], [7407456, -84506848/19, -130203072/19]]], 1, 240, [], [] >,
< [ -1, -3, 0, 1 ], [[27, 12, 0]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, 1709, 1], [-61611/38, -8518/19, -68/19], [3403/19, 5/19, 3/19], [0, 0, 0]], [[-131271104981/2, 702414665899, 320388758111/2], [-31422590111533/38, -6395102047258/19, 583026897409/38], [3538050675065/38, 320411342592/19, -121417373069/19], [35/38, 0, 1/19]], [[-589005056115744567, -1122706676978859060, -849330602283519429/2], [-447276687789121307, 703326796004263738, 1340342965029819179/2], [66359042771533391, -45051414071363839, -61579979442021637], [13748735/19, -8683759/19, -13007701/19]]], 1, 240, [], [] >,
< [ -1, -3, 0, 1 ], [[27, 18, 3]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 4745/2, 0], [19307/38, -14355/38, -43/19], [4766/19, 3/19, -5/19], [0, 0, 0]], [[167502117051/2, 68914678169/2, 152325826839], [-2288130910989/38, 1011865083613/38, -118990607325/19], [-876228298403/38, 304654620014/19, 8895250069], [127/38, 2/19, 1/19]], [[2345116784515970452, 3480027755503262733, 1602335438841522445/2], [-21660480988189230030/19, -7364730250104268547/19, 14174393294060687035/38], [-7174947907849293432/19, 1596863630126777398/19, 4715254905647229434/19], [55414080, 25258960, -11128540]]], 1, 240, [], [] >,
< [ -1, -3, 0, 1 ], [[27, 18, 3]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -322, 3/2], [-1285/19, 900/19, 77/38], [-653/19, 0, 5/19], [0, 0, 0]], [[2004409/2, -127173041, -63642439], [-987650009/38, 126939691/19, 191544479/19], [-510167787/38, -254592625/38, 490841/38], [-33/38, 5/38, -1/38]], [[-32701565518360, -391312685944798, -496040371541475/2], [-1006177717884490/19, 207932452945688/19, 1195958116158375/38], [-575782193598382/19, -495433570606650/19, -69701189929600/19], [-41705578/19, -19103850/19, 8325950/19]]], 1, 240, [], [] >,
< [ -1, -3, 0, 1 ], [[27, -6, -18]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, -7/2, -2], [-35/2, 2, -5/2], [185, 4, -3], [0, 0, 0]], [[1152843891/2, 569185151/2, 104821304], [3248889125/2, -37108125, 59742673/2], [-16842701611, -1135074002, 1584040674], [-5, -1, 0]], [[466875109797184, -3351000884125741/2, -2044850794677779/2], [4846101532911443/2, -2426100293350102, -1391775784566943], [-26499505828107100, 34204925877265405/2, 14495190902973590], [-6620880, 16460325/2, 11537715/2]]], 1, 192, [], [] >,
< [ -1, -3, 0, 1 ], [[-18, 15, 15]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[18, -27/2, 3], [26, -5/2, 1/2], [121, 3, -1], [0, 0, 0]], [[-174842416, 111724816, -19760664], [-249855298, 6276515, -2809361], [-1160450875, -208522391/2, 9336467], [-7, -7/2, -3/2]], [[112670049555756, -94251510879372, 15616574240652], [150976719837852, -69311549692836, -24711720399672], [692553227482476, -264815071630794, -155753029526037], [3460570, -2181960, -1253380]]], 1, 192, [], [] >,
< [ -1, -3, 0, 1 ], [[-27, -18, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 21, 1/2], [-20, -2, -5/2], [259, 3, -1], [0, 0, 0]], [[552515432, 1786890590, -308290761/2], [-4616788965/2, 49602213/2, -20674335/2], [30331782034, -1363301279, -5297405863/2], [-1/2, -15/2, -11/2]], [[283243441968267/2, 277642405130955/2, -144152882146464], [4572718425768033/2, 430196838826752, -1711201424067873/2], [-59822158941710141/2, -10523450678695839/2, 11102934508983295], [-2509515/2, 217152, 1089675/2]]], 1, 192, [], [] >,
< [ -1, -3, 0, 1 ], [[48, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, -38, -18], [10, 6, 2], [0, 0, 0]], [[0, 0, 0], [-2, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-13188, -5338, 1570], [5964, 1236, -1476], [0, 0, 0]]], 0, 2688, [], [] >,
< [ -1, -3, 0, 1 ], [[12, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, -9, -8], [24, 28, 14], [0, 0, 0]], [[0, 0, 0], [1, 5, -2], [-303/2, -372, 234], [-1/2, -5/2, 1]], [[0, 0, 0], [-1370, -200, 325], [8995/2, -7637, 8031/2], [685, 100, -325/2]]], 1, 42, [], [] >,
< [ -1, -3, 0, 1 ], [[12, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [-15/2, 9/2, -3/2], [2, 3/2, 1]], [[0, 0, 0], [0, 0, 0], [-6432, 80, 1822], [1116, -30, -384]]], 1, 42, [], [] >,
< [ -1, -3, 0, 1 ], [[192, -48, -96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-126, -34, 10], [-32, -4, 0], [0, 0, 0]], [[0, 0, 0], [-3988052, -584310, 527680], [-1004518, 24090, 38467], [7, 21, 11]], [[0, 0, 0], [3200215654, 754084212, -1326242904], [908843284, 302554982, -423141828], [-778, 196, 618]]], 0, 48384, [], [] >,
< [ -1, -3, 0, 1 ], [[96, -48, -96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-758, -4, -30], [36, 2, 4], [0, 0, 0]], [[0, 0, 0], [18, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [868762176, 174573634, -150609628], [-41408496, -10232936, 5528600], [0, 0, 0]]], 0, 48384, [], [] >,
< [ -1, -3, 0, 1 ], [[-192, -144, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-202, -54, -52], [14, 8, 8], [0, 0, 0]], [[0, 0, 0], [-10009074, 276204, 1462356], [636323, -15736, -27781], [-6, 2, 1]], [[0, 0, 0], [-2315306484, 1085227788, 2230380132], [124706258, -160156643, -203214111], [-2105, -1230, 608]]], 0, 48384, [], [] >,
< [ -1, -3, 0, 1 ], [[144, 48, 0]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [198/19, -514/19, -320/19], [6/19, 10/19, -10/19], [0, 0, 0]], [[0, 0, 0], [-5462/19, -1266/19, 2106/19], [-18/19, -3/19, 1/19], [-18/19, -3/19, 1/19]], [[0, 0, 0], [2351040/19, 517866/19, -778254/19], [9680/19, 7280/19, 80], [9680/19, 7280/19, 80]]], 0, 48384, [], [] >,
< [ -1, -3, 0, 1 ], [[144, 48, 0]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10842/19, -3580/19, -14/19], [-522/19, 4/19, -4/19], [0, 0, 0]], [[0, 0, 0], [-10603041878/19, -779243556/19, 3728782966/19], [-575695037/19, -37985561/19, 192569175/19], [23/19, -1/19, -5/19]], [[0, 0, 0], [11090925648, -55834091582/19, -124059578836/19], [12034000902/19, -1113153286/19, -5638088474/19], [-598/19, -286/19, 26/19]]], 0, 48384, [], [] >,
< [ -1, -3, 0, 1 ], [[-192, -96, 48]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7396/19, 72/19, 28/19], [332/19, -2/19, 6/19], [0, 0, 0]], [[0, 0, 0], [-3813069658/19, 1590035324/19, 943701454/19], [169433426/19, -76875712/19, -41716091/19], [128/19, -2/19, 5/19]], [[0, 0, 0], [-1269423944082522/19, 196450625105066/19, 593098125757762/19], [56681504613516/19, -10099294382636/19, -27176500982482/19], [45741624/19, 19397700/19, -4138176/19]]], 0, 48384, [], [] >,
< [ -1, -3, 0, 1 ], [[-192, -96, 48]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [15172/19, 980/19, 90/19], [-726/19, -10/19, -2/19], [0, 0, 0]], [[0, 0, 0], [-5902/19, 5980/19, 362/19], [16, -329/19, 12/19], [10/19, -3/19, 4/19]], [[0, 0, 0], [989989596/19, -134303120/19, -442536444/19], [-52893580/19, 5049885/19, 21895271/19], [-1677408/19, -658419/19, 172003/19]]], 0, 48384, [], [] >,
< [ -1, -3, 0, 1 ], [[144, 0, -96]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3954/19, -2874/19, -288/19], [-386/19, -8/19, -8/19], [0, 0, 0]], [[0, 0, 0], [-24882538/19, -5090130/19, 7182370/19], [-3085781/19, -329855/19, 49615], [-81/19, 5/19, -5/19]], [[0, 0, 0], [136310615620/19, 49666677674/19, -1339843886], [16543225790/19, 3106879384/19, -4698336038/19], [537152/19, 16786, 67144/19]]], 0, 48384, [], [] >,
< [ -1, -3, 0, 1 ], [[144, 0, -96]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6668/19, -5152/19, 36/19], [-712/19, -8/19, -6/19], [0, 0, 0]], [[0, 0, 0], [27759034050/19, 12450689026/19, -5560252228/19], [3336159096/19, -106211996/19, -476451001/19], [96/19, 4/19, -1/19]], [[0, 0, 0], [-2008569255419012/19, -1356391912039666/19, 15225960770966/19], [-249402911304203/19, -59088045277329/19, 43240175999887/19], [-7617203/19, -3574329/19, 13387/19]]], 0, 48384, [], [] >,
< [ -1, -3, 0, 1 ], [[-576, -240, 48]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [189684/19, 9078/19, 246/19], [-9052/19, 2/19, -10/19], [0, 0, 0]], [[0, 0, 0], [-30349685412740/19, -8191012128332/19, -252477189162], [1438066533406/19, 290922488485/19, 214572449169/19], [-100/19, 1/19, -1/19]], [[0, 0, 0], [-1144233547748439468834/19, 3217342906277788329724/19, 2184420073785111058378/19], [59303091082724065649/19, -142279692929685215113/19, -97383703437239028836/19], [-5822573485/19, 5403028437/19, 4566487488/19]]], 0, 967680, [], [] >,
< [ -1, -3, 0, 1 ], [[-576, -240, 48]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [185454/19, 9324/19, 30/19], [-8818/19, -10/19, -10/19], [0, 0, 0]], [[0, 0, 0], [-18087155505962/19, -9545809088196/19, 2955076809776/19], [868415452156/19, 436279355765/19, -161493290856/19], [-106/19, 5/19, -4/19]], [[0, 0, 0], [25316170261820931288/19, -34910175680619314438/19, -34982966115208983732/19], [-1280343524389310870/19, 1494732852282583470/19, 1593836205437581950/19], [203580100/19, -187076940/19, -158836560/19]]], 0, 967680, [], [] >,
< [ -1, -3, 0, 1 ], [[-432, -192, 0]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6158/19, -4170/19, 200/19], [-678/19, 4/19, 2/19], [0, 0, 0]], [[0, 0, 0], [-11953010/19, -4275510/19, 3592278/19], [-1138713/19, 834327/19, -225278/19], [-75/19, -3/19, -2/19]], [[0, 0, 0], [-626574436620/19, 252941774712/19, 412476015294/19], [-107849005966/19, -13396234663/19, 56215780574/19], [-4449018/19, 2802723/19, 221550]]], 0, 967680, [], [] >,
< [ -1, -3, 0, 1 ], [[-432, -192, 0]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-139924/19, -98094/19, 70/19], [-13982/19, -6/19, -4/19], [0, 0, 0]], [[0, 0, 0], [-23157170602182/19, -1162050131894/19, 9034137156422/19], [-3139800574080/19, -392514575741/19, 1178175795764/19], [-120/19, 1/19, -4/19]], [[0, 0, 0], [45074516631736448498/19, 718795213060703776, -10316582859396027944/19], [5724523554691630496/19, 1013540764838202729/19, -1740194765802606529/19], [197656304/19, -123179229/19, -185957371/19]]], 0, 967680, [], [] >,
< [ -1, -3, 0, 1 ], [[-432, -288, -48]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [69538/19, 26858/19, 120/19], [3292/19, -6/19, 8/19], [0, 0, 0]], [[0, 0, 0], [-389896649740/19, -97748745110/19, 136484792420/19], [-21949022382/19, -6588994727/19, 9008154511/19], [-84/19, -5/19, -5/19]], [[0, 0, 0], [-19964275295700568/19, -3483746616833098/19, 5865567475342820/19], [-1072771574123199/19, -131679120776442/19, 328718704749852/19], [-5452581/19, -2676510/19, 977508/19]]], 0, 967680, [], [] >,
< [ -1, -3, 0, 1 ], [[-432, -288, -48]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [222126/19, 84724/19, 14/19], [556, 6/19, 2/19], [0, 0, 0]], [[0, 0, 0], [7236/19, 1366/19, 15054/19], [-1166/19, -1196/19, 1196/19], [-62/19, -2/19, 2/19]], [[0, 0, 0], [-1323208432/19, -2118796028/19, -508131090/19], [33528117/19, -40328400/19, -13909203/19], [5661667/19, 2616020/19, -1121373/19]]], 0, 967680, [], [] >,
< [ -1, -3, 0, 1 ], [[-432, 96, 288]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [154, 4, 8], [-594, -6, 0], [0, 0, 0]], [[0, 0, 0], [-45923716154, 433296562, -36048476], [177494600905, -3006092892, -7804041550], [7, -7, -6]], [[0, 0, 0], [249564501021658, -56359165428354, 40038062027816], [-972557850726744, 207881642091436, -92671447930726], [-39018, 48534, 34014]]], 0, 774144, [], [] >,
< [ -1, -3, 0, 1 ], [[288, -240, -240]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [68, 2, 10], [-826, -8, 6], [0, 0, 0]], [[0, 0, 0], [32342380640, -314357690, 248983910], [-394308343564, 1396294329, 40160010238], [8, 9, 1]], [[0, 0, 0], [-319832673739827756, -150880033948647742, 186197211106221456], [3689660694943091819, 1478823926183907135, -1949117930638999739], [-32006850, 20349675, 11628600]]], 0, 774144, [], [] >,
< [ -1, -3, 0, 1 ], [[432, 288, -48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [454, 6, 2], [514, 10, 10], [0, 0, 0]], [[0, 0, 0], [48, 0, 0], [-8, 1, 1], [1, 0, 0]], [[0, 0, 0], [-2077966464, 311398752, 876618960], [-2341382508, 386229556, 1003435706], [0, 0, 0]]], 0, 774144, [], [] >,
< [ -1, -3, 0, 1 ], [[192, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 52, 32], [-4, 32, 32], [0, 0, 0]], [[0, 0, 0], [-2, 0, 2], [4, 1, 1], [1, 0, 0]], [[0, 0, 0], [1824, 96, -744], [9476, 1104, -3404], [0, 0, 0]]], 0, 172032, [], [] >,
< [ -1, -3, 0, 1 ], [[192, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 48, 20], [-52, -80, -36], [0, 0, 0]], [[0, 0, 0], [6, 0, 2], [4, 1, 1], [1, 0, 0]], [[0, 0, 0], [6888, 1176, -1728], [-112788, -15424, 38560], [0, 0, 0]]], 0, 172032, [], [] >,
< [ -1, -3, 0, 1 ], [[6, 3, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[2, -1, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 3/2, 3/2], [5/2, 2, 0], [12, 18, 3], [0, 0, 0]], [[3445/2, 517, -646], [-4743/2, -1481/2, 1158], [-21395/2, -8607, 8479], [3/2, 5/2, 0]], [[1995076, 163211, -661373], [-2657515, -151968, 825572], [-8086738, 1609990, 1360614], [715, -312, -182]]], 1, 6, [], [] >,
< [ -1, -3, 0, 1 ], [[-96, -48, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, -6, -8], [-34, -34, -10], [0, 0, 0]], [[0, 0, 0], [-2, 0, 0], [2, 3, 1], [1, 0, 0]], [[0, 0, 0], [66768, -244816, 119626], [145236, -5928, -21660], [0, 0, 0]]], 0, 8064, [], [] >,
< [ 1, -3, -1, 1 ], [[-1, -1, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 4, -1/2], [-3, 21/2, 19/2], [2, -2, 5/2], [0, 2, -1]], [[1687/2, 41, -681/2], [829, -922, -2013/2], [638, 0, -319], [191, 35, -99/2]]], 4, 1, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, -1, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -6, -1/2], [4, -6, -1/2], [-1, 1/2, -3/2], [0, 0, 0]], [[-285, -319/2, 127/2], [-2813/10, -1581/10, 302/5], [161, 13, -165/2], [3/10, 2/5, 0]], [[-4105, -1193/2, 4891/2], [-4082, -516, 2434], [6099/4, 1386, -731/4], [23/4, 0, -23/4]]], 4, 1, [], [[[-1, -1, 0]]] >,
< [ 1, -3, -1, 1 ], [[2, -1, -1]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, -3, -3], [-159/10, -167/10, -9/2], [31/4, 1/2, -5/4], [49/20, 0, -1/20]], [[-8141/2, 2357/2, 2468], [100911/10, 59631/5, 34957/10], [-19317/4, -2543/2, 4655/4], [-29277/20, -5233/10, 863/4]]], 3, 1, [], [] >,
< [ 1, -3, -1, 1 ], [[2, -1, -1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -1/2, -1/2], [45/2, 1, -9/2], [1, -1/2, -1/2], [0, 0, 0]], [[551/2, -425/2, 1], [13277/2, -2567, -162], [274, -427/2, -7/2], [2, 0, 1/2]], [[490191/2, 77559, -23465], [14666113/2, 1876737/2, -2097981], [478745/2, 84640, -16675], [6111/2, -873, -3589/2]]], 3, 1, [], [] >,
< [ 1, -3, -1, 1 ], [[2, -1, -2]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, -9, -6], [13/2, -9, -6], [-1, -3/2, -5/2], [0, 0, 0]], [[-35957, 5716, 18187], [-467432/13, 148563/26, 472903/26], [63141/4, 6734, -5341/4], [-21/52, 2/13, 5/52]], [[-23725353/2, -5315195/2, 1916494], [-308410815/26, -34578787/13, 49849697/26], [28306413/4, -118719/2, -8739207/4], [-8379/52, 189/2, -1071/52]]], 4, 1, [], [] >,
< [ 1, -3, -1, 1 ], [[4, -1, -3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -5/2, 1/2], [-91/2, 97/2, -10], [3/2, -5/2, 1/2], [0, 0, 0]], [[-28, -19, -20], [2893/2, 307/2, -140], [-30, -15, -15], [1/2, -1/2, -1]], [[-1683/2, -301, 561/2], [35632, 19393/2, -11782], [-852, -291, 285], [7, -3/2, -2]]], 3, 2, [], [] >,
< [ 1, -3, -1, 1 ], [[-7, 7, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[169/2, 5/2, 5/2], [-37/2, 219/2, 99], [169/2, 5/2, 5/2], [0, 0, 0]], [[-249963966, -45606387, 73650607/2], [1935876, -406868045/2, -315651835/2], [-249963986, -45606403, 73650571/2], [2, 1, 1]], [[1934538884451/2, 176593581670, -397135860155/2], [106288294022, 1000409131393/2, 341341441712], [967269528842, 176593623779, -198567897774], [-8258, -5611/2, -1416]]], 1, 44, [], [] >,
< [ 1, -3, -1, 1 ], [[5, -3, -3]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-20, 0, 1/2], [-20, 0, 1/2], [23, 1/2, 1/2], [0, 0, 0]], [[-23321/2, -20195/2, 2945], [-303389/26, -130982/13, 76533/26], [52403/4, 13142, -10215/4], [135/52, 2/13, 5/52]], [[80843619/2, -3053774, -38556721/2], [40418198, -3032105, -19267526], [-48486767, 6913392, 50572961/2], [-7223, 0, 7223/2]]], 1, 14, [], [] >,
< [ 1, -3, -1, 1 ], [[3, 0, -2]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-41/2, 3, 0], [-41/2, 3, 0], [20, -1/2, -3/2], [0, 0, 0]], [[-10767715/2, 959337/2, -479504], [-53838813/10, 2398411/5, -4795007/10], [21061599/4, 167789, -31963/4], [-41/20, -1/5, -3/20]], [[-42707410837/2, -14272357929, -14460788697/2], [-213538260581/10, -71361489999/5, -14460673377/2], [21925119539, 13864369670, 4492998379], [-39711/5, -7626, -18321/5]]], 1, 2, [], [] >,
< [ 1, -3, -1, 1 ], [[-1, -3, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -7/2, 0], [97/10, -6/5, -9/10], [-43/4, 5/2, -3/4], [-3/4, 1/10, 1/20]], [[-91/2, 478, 267], [8801/10, 36, -2357/5], [-1116, 701/2, 1811/2], [-351/5, 13/5, 208/5]]], 1, 6, [], [] >,
< [ 1, -3, -1, 1 ], [[-1, -3, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -3/2, -1/2], [53/2, -7, -9/2], [-1, -3/2, -1/2], [0, 0, 0]], [[570, 15/2, -75/2], [2517, -85739/2, 19356], [1145/2, 1/2, -31], [-3/2, 5/2, -3/2]], [[1967913/2, 150579, -366604], [-16080323, 789547/2, 6189913/2], [1973085/2, 148725, -370160], [-1601, -58, 1043]]], 1, 2, [], [] >,
< [ 1, -3, -1, 1 ], [[-3, -1, -1]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[49/2, 61/2, -1/2], [103/2, 3/2, -33/2], [-63/2, -3/2, -1], [0, 0, 0]], [[-216125845/2, -197810181/2, 27103423], [-2045197117/10, -53825412/5, 591502201/10], [531280729/4, -12023202, -16633605/4], [-71/20, -2/5, -1/4]], [[18178695309095/2, 17755846135, -10104634197899/2], [24375472722123/2, 2837058252479, -6172769338287/2], [-8589395033660, 556280514860, 2958845397450], [261468, -51648, -121050]]], 1, 10, [], [] >,
< [ 1, -3, -1, 1 ], [[-3, -1, -1]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, 7/2, 0], [-12, 5/2, -2], [7/2, -3/2, -1], [0, 0, 0]], [[23345/2, -1143, -2925], [73013/5, -21776/5, -11333/2], [-5815/2, -2277/2, -271/2], [-13/10, 0, 1/5]], [[12500663/2, 5912225/2, 55811], [8196155/2, 56208847/5, 68496157/10], [-13007075/4, 5301561/2, 12292581/4], [-17951/20, 957/10, 7221/20]]], 1, 10, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 7, 3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 1, -1], [101, 11/2, 15/2], [17/2, 1, -1], [0, 0, 0]], [[8900934, -114260, 89934], [215904169/2, -18909777, 33727020], [17801875/2, -114270, 179855/2], [-1/2, 2, 1]], [[-1091329330297/2, -169369063788, 369813716985/2], [-6316092570125, -2558879046269, 2296258437872], [-1091329320965/2, -169369039580, 369813789605/2], [-12672, -4098, -3908]]], 1, 10, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 7, 3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 2, -2], [120, 2, 1], [7, 2, -2], [0, 0, 0]], [[-405489/2, 3553, -6783], [5690954, -64148831/2, 20669971/2], [-405485/2, 3555, -6785], [-2, -1, 1]], [[213704289, -183790168, -313885190], [16679872234, -44994711479, -13054880751/2], [427407715/2, -183792525, -627777605/2], [1221, 389, 801/2]]], 1, 10, [], [] >,
< [ 1, -3, -1, 1 ], [[1, 0, -1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -8, -9], [-3/2, -4, -4], [1/2, -2, -1/2], [-5/2, -1, -1]], [[2939/2, 773/2, -369], [2767/2, 329, -773/2], [139/2, 73/2, -19], [1295, 280, -385]]], 1, 1, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 2, 2]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[-1/2, -1, -1/2], [-4/5, 2/5, 2/5], [-1, -1/2, 0], [-1/5, -1/10, 0]]], 0, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 2, 2]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[-1, -3/2, -1/2], [-3/10, -11/10, -3/5], [1/2, -1/2, -1/2], [-1/5, -1/10, 0]]], 0, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[-1, 0, -1]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -1/2, -3/2], [3/5, -3/2, -9/10], [1, 0, -1], [3/10, -2/5, 1/10]], [[-3/2, 27/2, 19/2], [-43/10, 12, 51/5], [5/4, 15/2, 17/4], [17/20, 1/5, -1/20]]], 1, 2, [], [] >,
< [ 1, -3, -1, 1 ], [[-1, 0, -1]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[31/2, -44, -73/2], [-6/5, -6/5, 6/5], [4, -16, -25/2], [4/5, -14/5, -21/10]], [[-133/2, -207/2, -85/2], [-439/5, -41/10, 107/5], [-229/2, -56, 13], [-71/5, -71/10, 0]]], 2, 2, [], [] >,
< [ 1, -3, -1, 1 ], [[-1, 0, -1]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 2, 5/2], [-141/10, -111/10, 3/5], [61/4, -3/2, -3/4], [43/20, 1/10, -1/20]], [[1511/2, -21415/2, -8671], [3821/2, 20215, 24553/2], [-25689/4, -8209/2, -8037/4], [-3045/4, -2205/2, -2625/4]]], 1, 1, [], [] >,
< [ 1, -3, -1, 1 ], [[-1, 0, -1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 6, 7/2], [10, -2, -6], [1/2, 6, 7/2], [0, 0, 0]], [[-18, 170, 22], [251/2, 3/2, -163/2], [-27/2, 157, 25/2], [-1/2, 5/2, 3/2]], [[49439/2, -27099/2, -3030], [124917/2, 11538, -32643/2], [48459/2, -25839/2, -2610], [273, -98, -119]]], 1, 3, [], [] >,
< [ 1, -3, -1, 1 ], [[3, -2, -1]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-24, 25, -7/2], [205/26, 721/26, -41/26], [-63/4, -13/2, -1/4], [111/52, 2/13, -1/52]], [[-3887229/2, 1016673/2, 418480], [31905303/26, 40925507/26, 922734/13], [-1653859, -1522691/2, 322247/2], [426769/2, 1634213/26, -426769/13]]], 1, 2, [], [] >,
< [ 1, -3, -1, 1 ], [[6, 2, 0]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[1/2, 0, -1/2], [10/13, -11/13, -12/13], [1, -1/2, -1], [1/13, -1/26, -1/13]]], 0, 12, [], [] >,
< [ 1, -3, -1, 1 ], [[-1, -4, -1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -5, -4], [71, -79, -69], [3, -5, -4], [0, 0, 0]], [[-617/2, 175/2, 121], [-21219/2, 1299/2, 3475], [-615/2, 177/2, 120], [-1, -1/2, 1/2]], [[-361/2, -1033, -1587/2], [-15134, -17924, -18575/2], [-180, -1026, -792], [-2, -2, 1/2]]], 1, 6, [], [] >,
< [ 1, -3, -1, 1 ], [[21, -2, -9]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-52, 2, 2], [-89, -40, 10], [-52, 2, 2], [0, 0, 0]], [[-123389/2, -100035/2, -44852], [-68752, -498839/2, -286197/2], [-123385/2, -99961/2, -44834], [-1/2, -5/2, -1]], [[-1697382899/2, -1604364534, 2960988399/2], [-5618216509/2, 764617142, 2132261277], [-848319417, -1604797694, 1480369127], [-60711/2, 29743, 8379]]], 1, 132, [], [] >,
< [ 1, -3, -1, 1 ], [[9, 6, 1]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[47/2, 59, -3], [1699/26, 1485/26, 3/2], [-373/4, -6, 149/4], [145/52, -3/26, 5/52]], [[10274319, -147741317/2, -52002351/2], [-19784815/13, -2048976991/26, -1197136293/26], [41886815, -17597290, -29903397], [-22464125/26, -2119374/13, -2001631/2]]], 1, 28, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 2, 6]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 0, -1/2], [-21/13, 113/13, -25/13], [-7, 1, -5/2], [12/13, -1/13, 1/26]], [[-1765/2, -432, 119/2], [-27877/26, 5755/13, 82103/26], [14177/2, -11261/2, -5263], [-1507/2, 7261/26, 5069/13]]], 0, 168, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 6, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -7, -9/2], [41/10, -101/5, -9/2], [-17/2, -13/2, -3], [17/10, -1/2, 1/5]], [[97789/2, -82507, -149389/2], [512422/5, -852398/5, -609712/5], [364589/2, -47870, -124413], [-220611/10, -24462/5, 57531/5]]], 0, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 6, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[23/2, -13/2, 0], [7/2, 43/2, -5], [-33/2, 5, -3/2], [0, 0, 0]], [[-109053/2, 42096, -5851/2], [-8012/5, -681788/5, 66259/5], [145693/2, -54165/2, 41723/2], [5/2, 3/10, -1/10]], [[-218873073/2, -109010331, 115717509/2], [-1107211387/5, 1131867112/5, 509826954/5], [424444797/2, 70953408, -153844350], [17073/2, 6504/5, -21138/5]]], 0, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[1, 4, 3]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[32, -15, -11/2], [367/10, -113/10, -67/10], [-121/4, -19/2, -55/4], [-31/20, -1/5, -3/20]], [[-34764, -117717/2, 99683/2], [-44764, -118717/2, 96183/2], [40407/2, 134710, 1337/2], [1700, 4175, -725]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[1, 4, 3]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[39/2, 1/2, 1], [151/10, -23/10, 11/5], [-37/2, 8, 11/2], [7/5, 1/5, 0]], [[677/2, 1505/2, 11/2], [2111/10, 3444/5, -19], [-1989/4, -17/2, 2099/4], [539/20, 49, 49/20]]], 1, 12, [], [] >,
< [ 1, -3, -1, 1 ], [[1, 4, 3]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[29/2, 3/2, 2], [-12/5, -123/10, -13/10], [-4, 4, 1/2], [19/10, 1/5, 0]], [[-7274, 179561/2, 87465/2], [42003/2, -384958/5, -772653/10], [-35131/4, 7744, 79717/4], [7469/20, 40546/5, 67221/20]]], 1, 6, [], [] >,
< [ 1, -3, -1, 1 ], [[1, 4, 3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -57/2, -21], [-5/2, -92, -137/2], [9/2, -57/2, -21], [0, 0, 0]], [[-64387, 16314, -5150], [-126041/2, -2157327/2, 944965/2], [-128779/2, 16317, -10297/2], [3/2, -1/2, -1/2]], [[-323319025/2, -485804171/2, 262746766], [-3388323835, 7621764964, -2401545052], [-323307397/2, -485867081/2, 262735795], [4311/2, 7758, 423/2]]], 1, 6, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -14, -6]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 0, 3/2], [3/2, -24, 79/2], [-3, -3, 3], [0, 0, 0]], [[-2024, -420, 643], [-32477/10, -3158/5, 2721/2], [-10859/2, -2335/2, 3411/2], [1/10, 1/2, 1/10]], [[-92469/2, -9879, 28787/2], [-735071/10, -73202/5, 228047/10], [-124340, -26589, 38673], [6, 6/5, -7/5]]], 0, 120, [], [] >,
< [ 1, -3, -1, 1 ], [[-11, 2, 5]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -7/2, 1/2], [16, 9/2, -1/2], [-15/2, 4, -1/2], [0, 0, 0]], [[-86715/2, 10545/2, 16645/2], [-254753/2, -150027, -54187], [259195/4, 3525, -31375/4], [-1/4, 1/2, -1/4]], [[-226308, -57783/2, 175219/2], [-1419657/10, -22807777/10, -7361099/5], [612579/2, 365709/2, -42519/2], [-1/5, -13/10, -3/5]]], 1, 20, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -14, -6]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 9, 13/2], [23/2, -14, 59/2], [17, 4, 4], [0, 0, 0]], [[-3045998, -723213, 903033], [-21813759/5, -5715692/5, 1280766], [-16469941/2, -1832740, 5058559/2], [19/10, 0, -1/10]], [[-107039516811/2, -15623370014, 27820770903/2], [-378798522996/5, -133172623459/5, 89726197087/5], [-293298085445/2, -70163095831/2, 86888200277/2], [61183/2, 79849/10, 81557/10]]], 0, 120, [], [] >,
< [ 1, -3, -1, 1 ], [[-11, 2, 5]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -7/2, 2], [11/2, -1/2, 4], [5/2, 5, -5/2], [0, 0, 0]], [[-13160, -497, 6717/2], [212659/10, 296409/10, 60271/10], [80427/4, 3135, -16313/4], [-27/20, 1/10, -1/20]], [[-532013344, -128762401/2, 233418304], [-4302691777/5, 5532734542, 41916024821/10], [2646773121/4, 1142235755/2, 158612141/4], [-487999/20, -420902/5, -695473/20]]], 1, 20, [], [] >,
< [ 1, -3, -1, 1 ], [[-11, 2, 5]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-23/2, 1/2, 0], [-91/2, -11, 3/2], [-23/2, 1/2, 0], [0, 0, 0]], [[21145311, 517005, 403101], [166737603/2, 26828020, 633090], [42290619/2, 517001, 806195/2], [5/2, 1, 0]], [[-1935959243513, -10389858419161/2, -1663499456059/2], [-7253035385895, -24049363673505, -9134157374539], [-1935960082266, -10389851230875/2, -1663494387207/2], [-434787/2, -740925, -630443/2]]], 1, 30, [], [] >,
< [ 1, -3, -1, 1 ], [[-11, 2, 5]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-37/2, -5/2, -1], [103/2, -13, -5/2], [-37/2, -5/2, -1], [0, 0, 0]], [[220399/2, 12176, -40015/2], [-281404, 21741/2, 51127], [110200, 12180, -20010], [-1, -3/2, 1]], [[-216347965/2, 89201570, 214456605/2], [182788416, -25917039/2, -83231620], [-108172320, 89194720, 107223440], [360, 2805/2, 620]]], 1, 30, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [-21/2, -7/2, -4], [0, 0, 0], [-7/2, -1/2, 0]], [[0, 0, 0], [231/2, 39, -213/2], [0, 0, 0], [67/2, 14, -43/2]]], 0, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [0, 3, 2], [0, 0, 0]], [[5/2, 9, 9/2], [-17/2, 15/2, 5], [5/2, 9, 9/2], [7/2, 5/2, 1]], [[564, -100, -272], [-331, -615, 210], [564, -100, -272], [368, 120, -196]]], 0, 8, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 5/2, 1], [-35/2, 20, 29/2], [17/2, 5/2, 1], [0, 0, 0]], [[-2270544, 3423861/2, 390473/2], [3849805/2, -1201440, 5364059/2], [-2270542, 3423869/2, 390461/2], [-2, -2, 2]], [[257898551/2, 78158381/2, -6458304], [-437040335/2, 352792857/2, 323784227/2], [128949181, 78157653/2, -12916811/2], [168, 217/2, -35]]], 1, 2, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 0, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 11, 4], [-17, 24, 25], [0, 0, 0]], [[0, 0, 0], [7830, -147967/5, -114856/5], [49740, -203859/2, -183269/2], [-16/5, 3/10, -3/10]], [[0, 0, 0], [-7/5, -5, 13/5], [-13/2, 19/2, -3], [13/10, -19/10, 3/5]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 0, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 9, 4], [0, 5, 1], [0, 0, 0]], [[0, 0, 0], [574, -3266/5, -3518/5], [455/2, -246, -527/2], [39/10, 2/5, 1/10]], [[0, 0, 0], [1, 1/5, -2/5], [1/2, -9/2, 2], [1/10, -9/10, 2/5]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, -4, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 24, 22], [-5, 4, 7], [0, 0, 0]], [[0, 0, 0], [101527/2, -141847/5, -381537/10], [-16692, -28075/2, 241], [-6/5, 3/10, 1/5]], [[0, 0, 0], [300042/5, -2583997/5, 651936/5], [112595, -223531, 56140], [-13, 286/5, -117/5]]], 0, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, -4, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [-1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[-3/2, 0, 3/2], [13, -43/5, 11/5], [-3/2, -3/2, 3/2], [-3/10, -3/10, 3/10]], [[-8, -73, -53], [264, 508/5, -886/5], [-77/2, -26, -33/2], [-77/10, -26/5, -33/10]]], 0, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, -4, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [-1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[-4, -7, -6], [-76/5, -97/5, -27/5], [-9, 1/2, -5/2], [-9/5, 1/10, -1/2]], [[27391/2, 75852, 149597/2], [73831, 195278, 90776], [115885/2, -10535/2, 73745/2], [23177/2, -2107/2, 14749/2]]], 0, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 2, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -2, -3/2], [21/2, -8, -9/2], [3, 0, -2], [0, 0, 0]], [[-345, 253/2, 621/2], [1135, 3511/2, -707/2], [1127/2, 161, -69/2], [0, 0, 0]], [[0, -1/2, -1/2], [1/10, -6/5, -1/2], [-1/4, 0, -1/4], [-1/20, 0, -1/20]]], 1, 2, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, -4, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [-6, 17/2, 5/2], [0, 0, 0], [3, 5/2, 3/2]], [[0, 0, 0], [4014, -17217/2, 2049/2], [0, 0, 0], [-1704, -71/2, -1917/2]]], 0, 48, [], [] >,
< [ 1, -3, -1, 1 ], [[12, -8, -4]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 19, 11], [8, -46, -36], [0, 0, 0]], [[0, 0, 0], [3984055/13, 3690475/13, -1298337/13], [-369820, -244769/2, -258365/2], [59/13, 5/26, 3/26]], [[0, 0, 0], [-7487269107, 34256213124/13, 3984160896/13], [10725956625/2, 14819401403/2, -4363101842], [-1596861/26, -1874187/26, 590436/13]]], 0, 192, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, 4, 4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 18, 12], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [123/2, 8, -61/2], [0, 0, 0], [3/2, -1, 5/2]], [[0, 0, 0], [-437/2, 97/2, 134], [0, 0, 0], [3/2, -31/2, -12]]], 0, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[24, 8, 4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-51, -2, -3], [48, -5, -2], [0, 0, 0]], [[0, 0, 0], [-239020734, -37962927, -20818764], [227972097, -5469282, -10333759], [-4, -2, 1]], [[0, 0, 0], [-57583996769175, -2687745697245/2, 88247807020695/2], [46203165278450, 14356991617409, -28912408138355], [-1035837, 200079/2, 889207/2]]], 0, 2112, [], [] >,
< [ 1, -3, -1, 1 ], [[36, 24, 4]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 1, -5], [112, 0, 2], [0, 0, 0]], [[0, 0, 0], [-318914790/13, 50317146/13, -3350015], [526768057/2, 2573589/2, -30301478], [45/26, -5/26, 1/13]], [[0, 0, 0], [-2894507340419/13, -2226040246254/13, -3830497459994/13], [6095421101079/2, 1613118855467/2, 609703689529], [454049/26, 230277/26, 14311]]], 0, 2688, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 16, 12]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 5, -2], [-32, 6, -4], [0, 0, 0]], [[0, 0, 0], [-11371/5, -19276/5, -14834/5], [19309, 162723/2, 79327/2], [14/5, -3/10, -1/10]], [[0, 0, 0], [-17245, -237583/5, -48129/5], [500177/2, 951725/2, 274641], [187/10, 187/10, -51/5]]], 0, 384, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 16, 12]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 7, 3], [35, 0, 5], [0, 0, 0]], [[0, 0, 0], [2222596/5, -1035606/5, -480377/5], [-7555761/2, -5567, 1121907/2], [5/2, -2/5, 3/10]], [[0, 0, 0], [4293580736/5, 188080517, -5122525869/5], [-6514890881, -12417796701/2, 4695840295/2], [11583/5, 95667/10, 1287/10]]], 0, 384, [], [] >,
< [ 1, -3, -1, 1 ], [[-6, 0, 4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 21, -10], [-1, 20, -14], [-5, -27, 14], [0, 0, 0]], [[2761/2, -5161/2, 558], [-41021/10, 20695/2, 61912/5], [-2653/2, 3229/2, -2083], [-9/5, -1/10, -1/10]], [[156956, 10871/2, -95211/2], [-507609/5, 2279564/5, 1892363/5], [-916783/4, -151615/2, 108617/4], [-1715/4, -1029/10, 2401/20]]], 1, 12, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 0, -8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -3, -2], [6, 1, -1], [0, 0, 0]], [[0, 0, 0], [-369/10, 76/5, 127/10], [-23, -11, 13/2], [-3/5, 1/5, -1/2]], [[0, 0, 0], [-3635, 3346, 1289], [-1652, -1435, 413], [-53, 53, -106]]], 0, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 0, -8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 5, 21/2], [45/2, -36, 23/2], [3, -14, 16], [0, 0, 0]], [[4838, -7832, 3372], [2365156/5, 138796/5, -566276/5], [17880, -38449, 14578], [6/5, -1/5, -2/5]], [[750025/2, -764344, 55779/2], [122680833/5, 2101083/5, -26993173/5], [2305503/2, -5503985/2, 1639843/2], [351/10, 559/10, 403/10]]], 0, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 0, -8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 6, 11/2], [29/2, -16, 1/2], [1, 3, 5], [0, 0, 0]], [[60475/2, 16232, -1041/2], [1881023/5, 137609/5, -98967], [90196, 20020, -34543/2], [-4/5, 0, -3/10]], [[127004911/2, 292281803, 349161989/2], [9210468964/5, 655902197/5, -605960772], [730183421/2, 289642705, 56916453], [-6699/10, -8547, -36267/5]]], 0, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 0, -8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [90, 5, 5], [47, -94, -85], [0, 0, 0]], [[0, 0, 0], [-12723659/2, 63546237/2, -13297805], [235845, -10035, -12735], [-7/2, -1/2, -2]], [[0, 0, 0], [-73214408203/2, 950079055995/2, -211980998145], [8173489500, 3799063350, 321058800], [-101421/2, -547215/2, -209145]]], 0, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[-44, 8, 20]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-64, -2, 0], [29, -6, 1], [0, 0, 0]], [[0, 0, 0], [-22037532, -36679503/5, -15191149/5], [10139984, 430999, 1008001], [16/5, 1/5, -1/5]], [[0, 0, 0], [-7909107977, -102974819070, -58487701416], [7019202040, 68959088035/2, 30401277015/2], [3792, 13193/2, 3397/2]]], 0, 1920, [], [] >,
< [ 1, -3, -1, 1 ], [[-44, 8, 20]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [13, 3, 2], [17, -4, 5], [0, 0, 0]], [[0, 0, 0], [-29035, -7739/5, 26483/5], [-71381/2, 13419/2, 2743], [11/10, 1/10, 2/5]], [[0, 0, 0], [41579536, 115213272/5, -30415704/5], [47099449, 29260914, -8753819], [176/5, -26664/5, -16456/5]]], 0, 1920, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, -4, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, 0, -2], [3, -3, -1], [0, 0, 0]], [[0, 0, 0], [822279/2, 9675, -224805/2], [28110, 690, 2880], [-7/2, 0, -5/2]], [[0, 0, 0], [-60712398005/2, -12992752545/2, 8770592686], [-2286610128, -95353632, 826648416], [650101/2, -117375/2, -147110]]], 0, 480, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, -4, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-268, -4, 0], [-6, 3, -2], [0, 0, 0]], [[0, 0, 0], [-173542190, -63669463/2, 56732387/2], [-3542044, 41404, -12452], [-5, -1/2, -1/2]], [[0, 0, 0], [-22421452742545, -1324499376935, 8278834387930], [-458596383476, 36265751676, 174278411692], [-703840, 124180, 317260]]], 0, 480, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 8, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, 10, -5], [-292, 742, 634], [0, 0, 0]], [[0, 0, 0], [-111723/2, 68214, -39141/2], [1633, 489, -678], [-3/2, 4, -1/2]], [[0, 0, 0], [-1308162, -324901, 427507], [62271, 12862, -19553], [-12, -1, 7]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 8, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -4, 2], [-11, 3, -4], [0, 0, 0]], [[0, 0, 0], [-110521/2, -18807, -2159/2], [74568, 50668, 18164], [1/2, -3, -1/2]], [[0, 0, 0], [-43857705/2, -5307135, 13953195/2], [32964792, 8017016, -10359216], [-375/2, 15, 45/2]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 2, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -2, 0], [-6, 14, 10], [1, -2, 0], [0, 0, 0]], [[239/2, 6, -57/2], [-216, -16, 61], [239/2, 6, -57/2], [0, 0, 0]], [[0, 1/2, 1/2], [0, 0, 1/2], [1/2, 1/2, 0], [1/2, 0, 0]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 2, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 3, -1/2], [1, 1, 1], [3/2, 3, -1/2], [0, 0, 0]], [[108, -162, 54], [14, 85, -39], [108, -162, 54], [0, 0, 0]], [[1/2, 0, 1/2], [-1/2, 0, 0], [0, 0, 0], [1/2, 0, 0]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, -16, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -6, 4], [6, -6, -6], [0, 0, 0]], [[0, 0, 0], [-921/5, -2457/5, 1328/5], [-831/2, -137, 263/2], [27/10, 3/5, 1/2]], [[0, 0, 0], [122539/5, -157927/5, 46708/5], [41555/2, 5738, -5553/2], [-243/10, -1782/5, -243/2]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, -16, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [11, 8, 3], [190, -482, -412], [0, 0, 0]], [[0, 0, 0], [312/5, -3331/5, 1479/5], [1/2, -25, -19/2], [-9/10, -1/5, -1/2]], [[0, 0, 0], [1573, -15198/5, 5371/5], [83, -83, -56], [31/5, 11/5, -26/5]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, -16, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -19, -9], [1, 2, -5], [0, 0, 0]], [[0, 0, 0], [49667/5, -10126/5, -23361/5], [2459/2, -1, -2403/2], [51/10, -1/5, 1/2]], [[0, 0, 0], [9581576/5, 10947088/5, 154148], [235207, 214630, 273667], [7077/5, 674, -6403/5]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 8, 8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [11, -26, -23], [34, -60, -56], [0, 0, 0]], [[0, 0, 0], [29/5, 104/5, 156/5], [-66, 71/2, 143/2], [-21/5, -3/10, -1/10]], [[0, 0, 0], [-186119/5, 794024/5, -326242/5], [-55580, 270197/2, -100813/2], [2331, -147609/10, 63063/10]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 8, 8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, -7, 6], [13, -8, 3], [0, 0, 0]], [[0, 0, 0], [-10743, 306518/5, 26814/5], [-112925/2, 121001/2, 9463], [33/10, 3/10, 1/5]], [[0, 0, 0], [-19565768/5, 5172076/5, 2804178], [12761427, 4084323, -2609516], [-6321/5, -189, 2184/5]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 8, 8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -20, -8], [4, -10, 2], [0, 0, 0]], [[0, 0, 0], [1106859/5, 151789/5, -401319/5], [-20484, -12717/2, 10821/2], [-16/5, -3/10, -1/10]], [[0, 0, 0], [197943752/5, 6563555, -68423323/5], [-3796256, -844402, 976593], [-1939/5, -3878/5, 1662/5]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 2, 2]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [-1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[-65/2, -4, 1/2], [77/10, -387/10, -62/5], [65/4, 2, -1/4], [-13/4, -2/5, 1/20]], [[397260, 150076, -134627], [658397/10, 394/5, 514961/10], [-198630, -75038, 134627/2], [39726, 75038/5, -134627/10]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 2, 2]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [-1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[-11/2, -15/2, -4], [-119/10, -46/5, 5/2], [-41/4, -5/2, -1/4], [-41/20, -1/2, -1/20]], [[-2114, -1057, 1057], [-22118/5, 3613/5, 3331/5], [-5285/2, -2114, 3171/2], [-1057/2, -2114/5, 3171/10]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 8, 8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-19, 8, 5], [212, -562, -476], [0, 0, 0]], [[0, 0, 0], [-768003/2, 1679961, -1385109/2], [43202, -6915, -12531], [-5/2, -1, 5/2]], [[0, 0, 0], [-1261786962, 2241763764, -764825550], [-327271305, -116640174, 87285197], [20100, 9050, -150]]], 0, 384, [], [] >,
< [ 1, -3, -1, 1 ], [[32, -16, -32]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 8, -4], [-4, -2, 4], [0, 0, 0]], [[0, 0, 0], [913/13, -357/13, -856/13], [123/2, -282, -441/2], [97/26, -4/13, 1/26]], [[0, 0, 0], [1774/13, 29, -551/13], [-235/2, -25, 73/2], [235/26, 25/13, -73/26]]], 0, 3072, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, 8, 24]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1344, -3144, -2690], [209, -524, -449], [0, 0, 0]], [[0, 0, 0], [146062797/2, -204102126, 158054793/2], [409244, 7377, -9337], [1/2, 4, 1/2]], [[0, 0, 0], [125172353892, -2493949871307, 1125827775936], [-12213284623, -3887563342, 4916068149], [-64787, 20165, 20535]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[56, -56, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [131, 8, -3], [-37, -8, -1], [0, 0, 0]], [[0, 0, 0], [1527443519/2, -162453466, 29345491/2], [-216510065, 15120029, -5871976], [-9/2, -2, -5/2]], [[0, 0, 0], [-7936149339644022, 404551600391232, 857861488927254], [2292035635304103, 91027841448760, -246606469428621], [51814316, 17234544, 8563940]]], 0, 33792, [], [] >,
< [ 1, -3, -1, 1 ], [[80, -48, -48]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 6, -10], [-194, -8, -10], [0, 0, 0]], [[0, 0, 0], [-95315741/13, 4989029/13, -1973668/13], [-542860115/2, -48561655, 140269747/2], [-49/26, -5/13, 5/26]], [[0, 0, 0], [-178286170127, -78975048919, -14190835220], [-14993660463689/2, -1903308396814, 3797149194751/2], [-96115/2, -25850, -235/2]]], 0, 43008, [], [] >,
< [ 1, -3, -1, 1 ], [[48, 0, -32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -10, -8], [6, -2, -10], [0, 0, 0]], [[0, 0, 0], [768412/5, 326401/5, -69361], [-215285/2, 46284, -6471/2], [-7/10, 0, 3/10]], [[0, 0, 0], [-1632, -5168, 2176], [3906, -7854, 2394], [0, 0, 0]]], 0, 6144, [], [] >,
< [ 1, -3, -1, 1 ], [[48, 0, -32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -10, 2], [-28, 2, -2], [0, 0, 0]], [[0, 0, 0], [12398/5, 32888/5, -17318/5], [41010, -1956, -7543], [8/5, 2/5, -1/5]], [[0, 0, 0], [-6/5, 21/5, 17/5], [31/2, -42, -71/2], [1/2, -8/5, -13/10]]], 0, 6144, [], [] >,
< [ 1, -3, -1, 1 ], [[48, 0, -32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, -8, -2], [24, -14, 2], [0, 0, 0]], [[0, 0, 0], [-61922, 42050, 52764], [102335/2, -12155, -18895/2], [7/2, -1, 1/2]], [[0, 0, 0], [16929826/5, -54994429/5, -45023381/5], [673761, 797994, 436203], [636/5, -756/5, -672/5]]], 0, 6144, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 6, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 1, -3/2], [-9/2, -22, -15/2], [9, 4, -4], [0, 0, 0]], [[-14285/2, -2704, 2859/2], [257649/5, -623169/10, -655909/10], [-79835/4, -5262, 22261/4], [-21/20, -2/5, -1/4]], [[159572, 30618, -54736], [-2111766/5, -1577171/5, -932739/5], [450463, -3847, -99433], [-2611/5, 10071/5, -4103/5]]], 1, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 6, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -4, -3], [-5, 22, 14], [3, -5, -2], [0, 0, 0]], [[-598, -1251/2, 1383/2], [-52913/10, 6798/5, -1951/2], [-4383/4, -6701/2, 8031/4], [-27/20, -1/2, 3/20]], [[28775, -20543, 2292], [226829/2, 161202, -185389/2], [176799/2, -194705/2, 50399/2], [87/2, 29/2, -29/2]]], 1, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 24, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 18, 12], [36, 10, -4], [0, 0, 0]], [[0, 0, 0], [8596/5, -833, 1851/5], [-12111/2, 54955, -47741/2], [51/10, 1/5, -3/10]], [[0, 0, 0], [-313138058/5, -146872151/5, 332160534/5], [-1718129999/2, 3438791075/2, -591021787], [-2334399/10, -191647/10, 157012]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 24, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 7, -3], [9, -20, 9], [0, 0, 0]], [[0, 0, 0], [126296/5, 26713/5, -8014], [23929, 8619/2, -15135/2], [7/5, 1/2, -1/10]], [[0, 0, 0], [1261972/5, 350308/5, -361174/5], [234385, 66364, -44103], [27, -144/5, -117/5]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 24, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 17, -13], [21, 38, -25], [0, 0, 0]], [[0, 0, 0], [179898/5, 243437/5, -485871/5], [546027/2, 191821, -371407/2], [-7/2, -1/5, -1/10]], [[0, 0, 0], [-1011377738, 1497205331, 1562090772], [-3217627491, 456773081/2, 3544720401/2], [23775, 58011/2, 19971/2]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 24, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-17, -6, -5], [-15, 18, 19], [0, 0, 0]], [[0, 0, 0], [-2249/2, 4257, -3445/2], [3, -15, 8], [1/2, -5, 5/2]], [[0, 0, 0], [31333/2, -562714, 507933/2], [5798, -4459, -8099], [7033/2, 52, -4667/2]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, -16, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -10, -10], [58, 2, 4], [0, 0, 0]], [[0, 0, 0], [260291, -2026, -9507], [3063124, -1559065, 6114], [-2, -1, 0]], [[0, 0, 0], [1790762572/5, -603570577/5, -331573449/5], [7795344151/2, -2598440138, 866132493/2], [-6167/2, 2366/5, 13431/10]]], 0, 30720, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, -16, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -6, 6], [34, -2, -2], [0, 0, 0]], [[0, 0, 0], [-17098/5, -558/5, 758/5], [14927, 4370, -6553], [-3/5, -2/5, 1/5]], [[0, 0, 0], [1337203/5, -284863/5, -1064966/5], [-1804559/2, -450880, 341/2], [115/2, -116/5, -341/10]]], 0, 30720, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, -56, -24]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-309, -10, 1], [-42, 4, 0], [0, 0, 0]], [[0, 0, 0], [16083572601/2, 783616874, 183823631/2], [1094534852, -37459585, 5682057], [-1/2, -4, -3/2]], [[0, 0, 0], [2012308386667992, 1390825223742402, -861362633112634], [258030401812903, 201515543581654, -126510129443705], [-473682, -158004, -156838]]], 0, 7680, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, -56, -24]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [431, 10, 1], [-37, -6, -5], [0, 0, 0]], [[0, 0, 0], [80646970075/2, -2895046152, -5740009463/2], [-3567548827, 54446679, 31476430], [-7/2, -2, -1/2]], [[0, 0, 0], [982857066747974, -604976660789126, 179454030010380], [-87270897016586, 50994313686678, -22559129551932], [-76095, -25232, -26543]]], 0, 7680, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 0, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -10, -6], [-1304, 3344, 2852], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-94, 30, 0], [-572, 1738, 1434], [0, 0, 0]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 0, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, 10, 10], [-8, 10, 8], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-570, -414, 88], [-66, -264, -110], [0, 0, 0]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, 0, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 5/2], [-8, 9, 14], [1/2, 0, 5/2], [0, 0, 0]], [[9265/2, 6173/2, -864], [-61887/2, 3027, 14836], [4635, 6159/2, -1739/2], [-1, 2, 3/2]], [[11142333/2, 923768, -3296025/2], [-28334543, -6659043, 8839048], [11141727/2, 923990, -3295683/2], [-192, -177, 66]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, 0, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 3, 5/2], [-9, 37, 27], [11/2, 3, 5/2], [0, 0, 0]], [[-145991/2, -72337/2, 30729], [-59834, -19739/2, 5333], [-72999, -72329/2, 61467/2], [-3/2, -3/2, -1/2]], [[4381741, 88636, -927639], [2923580, 1565824, -980538], [4381891, 88510, -927783], [87, 66, -3]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 0, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -4, 0], [0, 9, 5], [0, 0, 0]], [[0, 0, 0], [-688, 549, -101], [-5312, 20414, -8302], [-1, -1, 0]], [[0, 0, 0], [-10413, -18975/2, 12797/2], [62176, -207403, 83092], [-38, 25/2, 47/2]]], 0, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 0, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -2, 2], [4, -15, -11], [0, 0, 0]], [[0, 0, 0], [-861/2, 1199/2, -178], [0, -144, -576], [5/2, -3/2, 2]], [[0, 0, 0], [-237809, -44152, 70300], [-108360, 26208, 61992], [2070, 276, -713]]], 0, 32, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 32, 32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, 24, 2], [-16, 4, -4], [0, 0, 0]], [[0, 0, 0], [3733/5, -1074/5, -3029/5], [342, 489, 98], [22/5, 1/5, 0]], [[0, 0, 0], [43/5, 8/5, -13/5], [12, 3, -4], [-12/5, -3/5, 4/5]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 32, 32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -16, 10], [24, 4, 4], [0, 0, 0]], [[0, 0, 0], [87351/5, -664784/5, 135549/5], [-51679, -125816, -1134], [-9/5, 4/5, -2/5]], [[0, 0, 0], [-109628068, -516169202/5, 79820294/5], [-533939086, -240815832, 98014990], [-49926/5, -11766/5, 12296/5]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 32, 32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, -24, -24], [-20, -20, -4], [0, 0, 0]], [[0, 0, 0], [154097/5, -600888/5, 167733/5], [-1018, -3789, -4722], [-18/5, 3/5, -4/5]], [[0, 0, 0], [94816124/5, 133070854/5, -66992324/5], [19697748, 4926518, -5188346], [131694/5, 27086/5, -39228/5]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 0, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -8, 8], [-302, 824, 694], [0, 0, 0]], [[0, 0, 0], [-7258/5, -825892/5, 268386/5], [3437678, -8496596, -7302452], [-4, -4/5, -2/5]], [[0, 0, 0], [12295261797, -43318272571, 17349855872], [-1412034533/2, -699098683, 182957885/2], [-155235/2, 453391, -385009/2]]], 0, 4096, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 0, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 6, -10], [-22, -4, -2], [0, 0, 0]], [[0, 0, 0], [4083081/5, -496107/5, -30524], [1881739/2, 120249, -366299/2], [29/10, -1, -1/10]], [[0, 0, 0], [25020102/5, -6909504, -31799908/5], [4714614, -4734163, -5109339], [46/5, -23/5, -23/5]]], 0, 4096, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 0, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -4, 4], [-166, 436, 370], [0, 0, 0]], [[0, 0, 0], [854/5, -938/5, 62], [-895, 1861, 1658], [-17/5, -1, -2/5]], [[0, 0, 0], [2035859/5, -1633127, 3330684/5], [66763/2, 54342, -50341/2], [-10011/10, 40044/5, -34827/10]]], 0, 4096, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 0, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [58, -158, -134], [18, -52, -44], [0, 0, 0]], [[0, 0, 0], [-42464/5, 44227/5, 46672/5], [-4063, 5649/2, 6745/2], [-1/5, -1/10, -1/2]], [[0, 0, 0], [-20561561/10, -6522524/5, 2104317/2], [-1175419, -913759, 1350797/2], [504/5, -882, 3843/10]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 0, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [71, -198, -169], [14, -66, -52], [0, 0, 0]], [[0, 0, 0], [9366/5, 5468/5, -8], [6943/2, 970, -1777/2], [-21/10, 0, -1/10]], [[0, 0, 0], [-614649/2, 42158, 102367/2], [-950429/2, -62862, 131648], [1057/2, -906, 302]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 0, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [33, -105, -90], [9, -28, -25], [0, 0, 0]], [[-7/2, -3, -7/2], [-18231/5, -213738/5, -30251], [-759, -22233/2, -8621], [-7/5, 1/2, -2/5]], [[-35973, 24553, -3426], [-124080721, 7251711, 25256502], [-66793207/2, 8644155, 7450265/2], [-22269/2, 11991, -6281/2]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 0, 2]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [1/2, 1, 1/2], [1, 0, 0], [0, 0, 0]], [[-1/2, 2, 3/2], [37/5, -17/5, 21/5], [0, 1, 1/2], [0, 1/5, 1/10]], [[42, 81/2, 23/2], [2475/2, 694, -1023/2], [275/4, 45/2, -35/4], [55/4, 9/2, -7/4]]], 1, 8, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 0, 2]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [1/2, 1, 1/2], [1, 0, 0], [0, 0, 0]], [[13/2, 9/2, 1], [187/10, 7/5, 29/10], [41/4, 2, -5/4], [41/20, 2/5, -1/4]], [[35275/2, -36975/2, -19975], [76129/2, -34052, -68311/2], [65875/4, -13175/2, -42925/4], [13175/4, -2635/2, -8585/4]]], 1, 8, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 0, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [70, 10, 10], [1738, -4390, -3756], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-12488952, 44809590, -17996832], [-39400, 12600, 14400], [0, 0, 0]]], 0, 6144, [], [] >,
< [ 1, -3, -1, 1 ], [[96, 32, 0]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, 24, -2], [16, 4, 4], [0, 0, 0]], [[0, 0, 0], [-755587/13, -1340320/13, -644795/13], [-24384, -74031, -30042], [-18/13, -5/13, -4/13]], [[0, 0, 0], [1728133484/13, 16926996/13, -863561052/13], [74539135, -13037472, -33638543], [24745/13, 10290/13, -13475/13]]], 0, 49152, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, -64, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-144, -52, 18], [16, -8, 4], [0, 0, 0]], [[0, 0, 0], [9, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-239664, 53412, 147284], [21000, -3990, -14910], [0, 0, 0]]], 0, 24576, [], [] >,
< [ 1, -3, -1, 1 ], [[336, -32, -144]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, -8, 0], [496, 4, 0], [0, 0, 0]], [[0, 0, 0], [21, 0, 0], [-45, 0, 1], [1, 0, 0]], [[0, 0, 0], [254124, -255042, -70146], [-5034046, 6933686, -569892], [0, 0, 0]]], 0, 540672, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 32, 96]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-92, 0, -12], [-90, 4, -6], [0, 0, 0]], [[0, 0, 0], [-4604343/13, 223728/13, 1302513/13], [-336687, 8363, 91933], [-21/13, -5/13, 5/13]], [[0, 0, 0], [179483750/13, -143783010/13, -11723280/13], [12914858, -9660750, -554000], [640/13, 96/13, -16/13]]], 0, 688128, [], [] >,
< [ 1, -3, -1, 1 ], [[32, 96, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [60, -6, 6], [46, 10, -4], [0, 0, 0]], [[0, 0, 0], [-405147, -20266, -5141], [-319809, -83669, 41189], [-3, 1, -1]], [[0, 0, 0], [-6775000671/5, -1028956846/5, 2720446651/5], [-1123361913, -164132973, 419081043], [-46311/5, -6579/5, 22317/5]]], 0, 98304, [], [] >,
< [ 1, -3, -1, 1 ], [[32, 96, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-78, 20, 10], [-76, 0, 4], [0, 0, 0]], [[0, 0, 0], [-4632191/5, -1632348/5, 356457], [-982430, -354793, 329546], [8/5, -1, -2/5]], [[0, 0, 0], [877040063/5, 149008292/5, -258473501/5], [185497107, 37017687, -53174727], [-219, -291/5, 567/5]]], 0, 98304, [], [] >,
< [ 1, -3, -1, 1 ], [[32, 96, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 26, 8], [30, 4, 2], [0, 0, 0]], [[0, 0, 0], [-113816/5, -36522/5, 38438/5], [-32514, 4185, 4771], [-14/5, 3/5, 1]], [[0, 0, 0], [-1245819, -210722, 181923], [-1240535, -1560035, 910435], [-189, 105, 231]]], 0, 98304, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 16, 12]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 54, 42], [-4, 16, 14], [0, 0, 0]], [[0, 0, 0], [561717/10, -853/5, -250971/10], [25357/2, -1707, -6080], [33/10, 2/5, 0]], [[0, 0, 0], [-2650552, -4124053, 2373018], [464704, -9379303/2, 4067869/2], [1546, -13141/2, 5411/2]]], 0, 384, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 16, 12]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, -17, -14], [17, -14, -15], [0, 0, 0]], [[0, 0, 0], [-4807/2, 27013/5, 47393/10], [-107, 9941/2, 3502], [-6/5, 3/10, 1/5]], [[0, 0, 0], [-1426951/10, 1619171/5, 586037/2], [-161707/2, 1024165/2, 269933/2], [2603/10, -2337/2, 4883/10]]], 0, 384, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 16, 12]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, 42, 2], [-54, -5, 1], [0, 0, 0]], [[-7, -3, 0], [-50166/5, 199342, -241496/5], [-850281/2, -1533, 128691/2], [-21/10, -1/5, 3/10]], [[-1177/2, -35952, -30923/2], [1194706354/5, -3749233066/5, 3795649281/5], [-736501715/2, -2340861899/2, 637978853/2], [-17227/10, -60883/10, 5029/10]]], 0, 384, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, -8, -6]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -1, -3/2], [29/2, -12, 9/2], [0, 1, -2], [0, 0, 0]], [[-5, -13/2, -9/2], [87/10, -128/5, -191/10], [-39/4, -1/2, -5/4], [-39/20, -1/10, -1/4]], [[-17802, 26703/2, 32637/2], [-218583/10, 252664/5, 448071/10], [-74175/4, 8901/2, 38571/4], [-14835/4, 8901/10, 38571/20]]], 1, 48, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, -8, -6]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17/2, -5, -3/2], [55/2, -5, -1/2], [-27, -2, 2], [0, 0, 0]], [[653278, 636679/2, 18877/2], [-1954764, 66963, 224660], [7877095/4, 546845/2, -1197845/4], [-1/4, 1/2, -1/4]], [[304990211/2, 105168791, -3505859/2], [-4338388417/10, -763540172/5, 1196905601/10], [911464937/2, 168270268, -217349335/2], [-163/10, -212/5, 7/2]]], 1, 48, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 64, 48]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 6, 4], [130, 12, 6], [0, 0, 0]], [[0, 0, 0], [88107/5, 1045871/5, -119142], [-1350365/2, -3707819, 3410301/2], [33/10, -1, 3/10]], [[0, 0, 0], [-79452629/5, -150406531/5, -4210842/5], [1146297551/2, 166266779, -675903375/2], [-2455/2, 1473/5, 6383/10]]], 0, 24576, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 64, 48]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 10, -4], [96, 4, 8], [0, 0, 0]], [[0, 0, 0], [480052/5, 5034/5, -1256/5], [-751157, -284845, 27428], [3/5, -1/5, 0]], [[0, 0, 0], [-10759682/5, -16140575, -32281087/5], [9009291/2, 171183964, 207222185/2], [-267/10, -282/5, 71/10]]], 0, 24576, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 64, 48]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -2, 0], [42, 8, 6], [0, 0, 0]], [[0, 0, 0], [1924, 111, -119], [-46995/2, 17025, -13015/2], [-9/2, -1, -1/2]], [[0, 0, 0], [11170534/5, 4045078, -7852586/5], [2699944, -128162976, 50254896], [-23108/5, -63656/5, 12644/5]]], 0, 24576, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 64, 48]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, -8, 4], [1344, -3474, -2958], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [-9, 0, 1], [1, 0, 0]], [[0, 0, 0], [-22950, 84250, -33950], [-2, -50, 8], [0, 0, 0]]], 0, 24576, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, -224, -96]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, -2, 8], [46, -6, 8], [0, 0, 0]], [[0, 0, 0], [5805637/5, 701824/5, -1832101/5], [-1993424, -103664, -60781], [28/5, 4/5, 1]], [[0, 0, 0], [634790265672/5, 71812672754/5, -206879335126/5], [-209862014421, -32097205864, -15813449253], [2887713/5, 886224/5, 157185]]], 0, 491520, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, -224, -96]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 2, -10], [30, 10, 0], [0, 0, 0]], [[0, 0, 0], [190136/5, -174788/5, 69512/5], [-58723, 800, 6937], [9/5, 2/5, -1]], [[0, 0, 0], [34686411/5, 163169120, -518502549/5], [-83160656, -65777521, 71761376], [13508/5, 4081/5, 5236/5]]], 0, 491520, [], [] >,
< [ 1, -3, -1, 1 ], [[-176, 32, 80]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, 6, -2], [-22, 4, 10], [0, 0, 0]], [[0, 0, 0], [-17, 0, 0], [-9, 0, 1], [1, 0, 0]], [[0, 0, 0], [-800, 0, 800], [198, 738, 252], [0, 0, 0]]], 0, 122880, [], [] >,
< [ 1, -3, -1, 1 ], [[-176, 32, 80]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [290, 6, 8], [104, 6, 2], [0, 0, 0]], [[0, 0, 0], [13, 0, 0], [-9, 0, 1], [1, 0, 0]], [[0, 0, 0], [-107975298, -286068252, -103703424], [-38680688, -104523668, -39538792], [0, 0, 0]]], 0, 122880, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 18, 10], [0, 2, -6], [0, 0, 0]], [[0, 0, 0], [-472, -108, 140], [4, -16, -4], [0, -4, 0]], [[0, 0, 0], [-4858, -1105, 1467], [12, -70, -48], [-8, -15, -5]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [1, 0, 0], [0, 0, 0]], [[1, 9/2, 5/2], [9, -17/2, -11], [-5/2, 17/2, 7], [3/2, 3/2, 1/2]], [[-240, -24, 84], [-473, -40, 59], [-84, 12, 60], [-174, -48, 66]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -8, -10], [-20, 84, 66], [0, 0, 0]], [[0, 0, 0], [37317/2, -5273, 1983/2], [-16503, -18207, -5078], [-7/2, -3, -1/2]], [[0, 0, 0], [-45413728, 168207874, -67871504], [628606, -4045686, 1750372], [156, -916, 392]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -2, 6], [20, -56, -46], [0, 0, 0]], [[0, 0, 0], [26205/2, 1175, -4959/2], [10349, -10095, -11086], [-3/2, -1, -3/2]], [[0, 0, 0], [1805679/2, -59028, -330651/2], [395153, 54485, -96008], [-321/2, 108, -27/2]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[-128, -64, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -8, 16], [12, 12, 0], [0, 0, 0]], [[0, 0, 0], [-64/5, 268/5, 322], [15, 231, 112], [7/5, 1, 2/5]], [[0, 0, 0], [203219/5, -496662/5, -81337/5], [30890, -15584, -33791], [2356/5, -682/5, -217]]], 0, 65536, [], [] >,
< [ 1, -3, -1, 1 ], [[-128, -64, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, 2, -2], [-20, -12, 4], [0, 0, 0]], [[0, 0, 0], [-40731/5, -47028/5, 9583], [-8500, 2294, 3369], [18/5, 0, 3/5]], [[0, 0, 0], [1689634/5, 616484/5, -3302854/5], [370720, -356664, -310632], [-336/5, -504/5, -728/5]]], 0, 65536, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, -16, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-36, 82, 72], [-220, 580, 492], [0, 0, 0]], [[0, 0, 0], [-54128/5, -310838/5, -182887/5], [225124, -733305/2, -699719/2], [-3/5, 1/10, -3/10]], [[0, 0, 0], [19879828, -55102066, 21174458], [-925152, -37742748, 17618256], [-21204, 78246, -31554]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, -16, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, 92, 80], [-26, 42, 40], [0, 0, 0]], [[0, 0, 0], [-122569/5, 261972/5, 233407/5], [-18769, 23184, 24292], [-1/5, 2/5, 0]], [[0, 0, 0], [-11105882/5, 13651331/5, -3964754/5], [-7998729/2, 2320041/2, 311645], [21839/10, -81373/10, 3286]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, -4, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 57, 44], [-3, 13, 8], [0, 0, 0]], [[39/2, -7/2, -4], [-23214/5, -7706/5, 5318/5], [-4187/4, -356, 993/4], [-11/4, -2/5, 1/20]], [[-234525/2, 429300, -345825/2], [311043, -685614, 255643], [-158775, 1373701/2, -281537], [15105, -110505/2, 22260]]], 1, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, -4, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, 11, 10], [9, -2, -3], [0, 0, 0]], [[41/2, -3, -9/2], [-25251/5, 59737/5, 9551], [-3699/2, -1397/2, -2493/2], [-29/10, -1/2, 1/10]], [[82925/2, -599075/2, 129425], [-8045422, 33372893, -15491851], [-57781087/4, 69813245, -115391371/4], [-16895/4, 38905, -67735/4]]], 1, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[48, 0, -32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [34, -106, -86], [-96, 232, 200], [0, 0, 0]], [[0, 0, 0], [-130663/5, -31766/5, 38289/5], [-16802, -1895, 6368], [18/5, -1/5, 0]], [[0, 0, 0], [1116957/5, -754176/5, 103914/5], [88935, 165079/2, -107783/2], [12508/5, -92807/10, 7493/2]]], 0, 6144, [], [] >,
< [ 1, -3, -1, 1 ], [[48, 0, -32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -74, -58], [56, -104, -96], [0, 0, 0]], [[0, 0, 0], [7563/5, 2208, 3978/5], [-3966, 3815/2, 6233/2], [-21/5, 1/10, 1/10]], [[0, 0, 0], [19702929/5, -17437591, 36205749/5], [-33018965/2, 129235221/2, -26208006], [15720519/10, -57721197/10, 11630109/5]]], 0, 6144, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 0, -8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 18, 17], [2, 1, -5], [0, 0, 0]], [[-25, 5, 5], [-1045, 1195, -338], [383/2, -3323/2, 742], [7/2, 1/2, 0]], [[51/2, 765/2, 204], [19222/5, 27404/5, -25636/5], [10505/4, -4036, 18373/4], [-1683/20, 714/5, 561/4]]], 1, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 0, -8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [50, 5, 0], [-67, -3, 4], [0, 0, 0]], [[-15/2, 9/2, 0], [20788679/5, -25746891/5, 7938436/5], [-21541179/4, 13008081/2, -7765353/4], [21/20, -3/10, 3/20]], [[-2021, 2967/2, 1591/2], [842048085, -701419147, 357608712], [-4472853409/4, 942204317, -1553048375/4], [387/4, 344, 1333/4]]], 1, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[192, 0, -128]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 16, 20], [-52, -4, 16], [0, 0, 0]], [[0, 0, 0], [-18826/5, 154/5, 1126/5], [6674, -80445, 35589], [24/5, 1/5, -3/5]], [[0, 0, 0], [-16750197/5, 48009836/5, 40570031/5], [-256363, 6783945, -1725643], [14527/5, -43979/5, -7363]]], 0, 393216, [], [] >,
< [ 1, -3, -1, 1 ], [[192, 0, -128]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -4, 6], [4, 0, 4], [0, 0, 0]], [[0, 0, 0], [653, -2736/5, -3343/5], [324, -391, -424], [12/5, -3/5, -2/5]], [[0, 0, 0], [-21474/5, 76474/5, 61638/5], [-3346, 10103, 8693], [0, 153/5, -51/5]]], 0, 393216, [], [] >,
< [ 1, -3, -1, 1 ], [[128, 128, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, 20, 4], [4, 20, 0], [0, 0, 0]], [[0, 0, 0], [678, 2970, -1492], [-718, 980, -374], [-4, 10, 2]], [[0, 0, 0], [3650881, 1191032, -1324307], [-1202968, -82394, 294190], [-1989, 364, 195]]], 0, 262144, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -4, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 1, 1], [1, 0, 0], [0, 0, 0]], [[5, -4, -4], [13/2, -10, -3/2], [4, -7, -8], [5/2, 1, -5/2]], [[1495/2, 345/2, -115], [902, -506, 327/2], [115, 805/2, 115/2], [1035/2, 345, -230]]], 1, 8, [], [] >,
< [ 1, -3, -1, 1 ], [[32, 32, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [48, 6, -18], [24, 10, -2], [0, 0, 0]], [[0, 0, 0], [-1, 2, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-8666, -1428, 2254], [-2816, -8448, 4864], [0, 0, 0]]], 0, 4096, [], [] >,
< [ 1, -3, -1, 1 ], [[32, 32, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, 22, 24], [-8, 6, 6], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-1274, 852, -90], [-504, 588, -156], [0, 0, 0]]], 0, 4096, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 32, 32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -6, 6], [-1824, 4640, 3964], [0, 0, 0]], [[0, 0, 0], [-795006/5, 2839698/5, -1139732/5], [-5016, -714, 1260], [-24/5, -2/5, 0]], [[0, 0, 0], [-3892223, 11238737, -4351326], [-1818029/2, -227738, 499327/2], [-1515/2, -510, -75/2]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 32, 32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -10, 0], [2340, -5992, -5112], [0, 0, 0]], [[0, 0, 0], [29727092/5, -108775938/5, 43812938/5], [-27253, 275926, -60953], [17/5, -2/5, 1/5]], [[0, 0, 0], [1965538488/5, -5652880971/5, 437522819], [316602783/2, 64312968, -84863839/2], [104517/10, 2370, -30573/10]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[32, 96, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -2, -10], [432, -1148, -972], [0, 0, 0]], [[0, 0, 0], [7373847/5, -25590633/5, 10227048/5], [315405/2, 22557, -69593/2], [-21/10, 3/5, -3/10]], [[0, 0, 0], [2202947049/5, -9925723569/5, 4106706782/5], [-382146007/2, -36466057, 141672251/2], [4699/2, 2257/5, -14023/10]]], 0, 98304, [], [] >,
< [ 1, -3, -1, 1 ], [[32, 96, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -4, 0], [800, -2144, -1812], [0, 0, 0]], [[0, 0, 0], [-199033/5, 154076, -312723/5], [-6183, -5304, -3510], [-19/5, 2/5, 2/5]], [[0, 0, 0], [-48796039/5, 159589423/5, -12627934], [22158301/2, -16977499, -34172853/2], [19239/10, 99, -11451/10]]], 0, 98304, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 0, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13, -14, -7], [-9, -5, 0], [0, 0, 0]], [[-5/2, 7/2, 2], [3878, 660, 3773/2], [2309, 1189/2, 53/2], [-1/2, -2, 2]], [[6090, 5145/2, -1365/2], [-23800136, -5768433/2, 8139506], [-27365245/2, -4770437/2, 4465431], [9345/2, 4305/2, -2835/2]]], 1, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 0, -64]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -56, -46], [-18, -20, -6], [0, 0, 0]], [[0, 0, 0], [-676533, 2074467, -887748], [-114054, 84262, -34046], [13, 3, 2]], [[0, 0, 0], [49528434, 217240268, -97808862], [77021162, 30164264, -26954914], [-12084, -3952, 3344]]], 0, 65536, [], [] >,
< [ -1, -4, -1, 1 ], [[-1, -1, 1]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 27/2, 17/2], [23/10, -131/10, -21/2], [-9/10, 19/20, 7/10], [1/10, 1/4, 1/5]], [[5685/2, 4899/2, -1571], [-23349/10, -7251/10, 8813/10], [12357/20, 5307/10, -6101/20], [-799/20, -697/10, 527/20]]], 4, 1, [], [] >,
< [ -1, -4, -1, 1 ], [[1, -1, 0]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -14, -5], [23/10, 133/10, 32/5], [-7/20, -47/20, -4/5], [-1/20, -3/20, -1/10]], [[6, 233, -175/2], [19/5, -569/5, 41], [11/5, 206/5, -313/20], [1/2, -4/5, 1/4]]], 4, 1, [], [] >,
< [ -1, -4, -1, 1 ], [[-2, -4, 1]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 16, 4], [-15, 16, -2], [0, 2, 0], [0, 0, 0]], [[-10513/2, -11509, -7234], [-269481/10, -13119/2, 20202/5], [-1755/2, -792, -1909/4], [0, 0, -1/20]], [[-891/2, -387/2, 477/2], [-41209/10, -18493/10, 13027/10], [-1197/10, -639/10, 243/5], [0, 0, 0]]], 3, 2, [], [] >,
< [ -1, -4, -1, 1 ], [[0, -2, 1]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -7/2, 7/2], [-72/5, -3/5, 17/5], [-38/5, 3/20, 19/20], [-9/10, -1/20, 1/4]], [[-32913/2, -94545/2, 24201], [119401/10, 257943/10, -49109/5], [83233/10, 99039/5, -43813/5], [3346/5, 6888/5, -2338/5]]], 4, 1, [], [] >,
< [ -1, -4, -1, 1 ], [[-2, -5, 3]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -8, 2], [29, -14, -2], [-2, 2, 0], [0, 0, 0]], [[643/2, 151, -49], [14553/10, 2833/2, 2893/10], [-130, -727/4, -133/2], [-1/10, 1/20, 0]], [[49, 469/2, -203/2], [177/5, 3829/10, -2663/10], [-28/5, -371/10, 161/5], [0, 0, 0]]], 3, 2, [], [] >,
< [ -1, -4, -1, 1 ], [[-1, -6, 2]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-35/2, 0, -5/2], [5/2, -1, -7/2], [-7/2, 0, -1/2], [0, 0, 0]], [[3057446, 1067653/2, -1070835/2], [-4716689/10, -1775171/10, 205316], [12229763/20, 1067649/10, -2141671/20], [-1/4, 1/10, 3/20]], [[-30209972705/2, -69449223849/2, 15391240394], [-5196868363/10, -18810972897/5, 7972813526/5], [-15104955668/5, -138898144977/20, 15391204986/5], [13133/10, 59831/20, -2197/2]]], 3, 2, [], [] >,
< [ -1, -4, -1, 1 ], [[2, 3, -1]], [ -4, -1, 0 ], [ -3, -3, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[91/2, -81/2, -15/2], [-206/5, 13/2, -31/5], [17/3, -25/6, -2/3], [49/195, -11/78, -1/195]], [[-57419/2, 90879/2, -44912], [143289/10, -71997, 63399/10], [-10040/3, 12239/2, -9261/2], [-24548/195, 13192/39, -9996/65]]], 4, 1, [], [] >,
< [ -1, -4, -1, 1 ], [[-1, -7, 4]], [ -4, -1, 0 ], [ -3, -3, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -29/2, -21/2], [-7/2, -27/2, -25/2], [-5/6, 1, -13/6], [1/6, 0, 0]], [[161/2, 553/2, 215], [-321/10, 17, 3679/10], [-86, -1319/6, 805/6], [64/15, 7, -56/15]]], 1, 14, [], [] >,
< [ -1, -4, -1, 1 ], [[16, 16, -16]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -16, 2], [2, -8, 0], [0, 0, 0]], [[0, 0, 0], [92826/5, -53551/5, 1958/5], [16921/5, -26743/5, 1999/10], [2/5, -2/5, -1/10]], [[0, 0, 0], [-57711896/5, -59949847/5, 31807548/5], [-14199388/5, -17073441/5, 19529713/10], [-259, -238, 329/2]]], 0, 1344, [], [] >,
< [ -1, -4, -1, 1 ], [[-16, 16, 0]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-46/5, -56/5, 2/5], [-28/5, -8/5, 6/5], [0, 0, 0]], [[0, 0, 0], [238/5, 1347/5, 101], [-98/5, 59/10, 137/10], [1/5, -3/10, 3/10]], [[0, 0, 0], [10686/5, 22339/5, -1733], [4909/5, 4043/10, -2761/10], [-126/5, -399/10, 189/10]]], 0, 1344, [], [] >,
< [ -1, -4, -1, 1 ], [[32, 64, -16]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [82/5, 64/5, 24/5], [6/5, 12/5, -8/5], [0, 0, 0]], [[0, 0, 0], [106934, 185514/5, -154503/5], [31467/10, 1502/5, -4881/10], [-1/2, 1/5, 1/10]], [[0, 0, 0], [692053098, 333281188/5, -926082676/5], [255195302/5, 488768429/5, -207385786/5], [-60314/5, -129479/5, 76426/5]]], 0, 8064, [], [] >,
< [ -1, -4, -1, 1 ], [[0, 32, -16]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [52/5, 92/5, 6/5], [42/5, 52/5, 6/5], [0, 0, 0]], [[0, 0, 0], [-36486, -10636, 9205], [-76603/2, -25511/2, 20535/2], [-1/2, 1/2, 1/2]], [[0, 0, 0], [-110724/5, -22494, 58201/5], [-38293/2, -21837/2, 13715/2], [-3/10, 3/10, 13/10]]], 0, 1344, [], [] >,
< [ -1, -4, -1, 1 ], [[32, 80, -48]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-262/5, -62/5, -46/5], [8/5, -2/5, -6/5], [0, 0, 0]], [[0, 0, 0], [-411/5, -196, 339/5], [-3/2, -11/2, -4], [-1/2, -1/10, -1/5]], [[0, 0, 0], [4434/5, 1954, -2936/5], [24, 90, 60], [36/5, 18/5, 12/5]]], 0, 8064, [], [] >,
< [ -1, -4, -1, 1 ], [[16, 96, -32]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-68/5, 82/5, -34/5], [46/5, 46/5, -2/5], [0, 0, 0]], [[0, 0, 0], [-5311148/5, -5555666/5, 2786079/5], [273217, 52869, -72757/2], [0, 1/5, -1/2]], [[0, 0, 0], [-2185015059/5, 3172246312/5, -891614763/5], [552240609/2, 166092477, -199799499/2], [-3159/10, -3888/5, 2997/10]]], 0, 8064, [], [] >,
< [ -1, -4, -1, 1 ], [[-32, -48, 16]], [ -4, -1, 0 ], [ -3, -3, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -4, -2], [10, 2, -2], [0, 0, 0]], [[0, 0, 0], [60, -41, -29], [83/3, 12, -4], [4/3, -1/3, 0]], [[0, 0, 0], [160721/5, -113426, -44724/5], [24372, 9077, -1034], [43032/65, -27058/13, 50367/65]]], 0, 4032, [], [] >,
< [ -1, -4, -1, 1 ], [[16, 112, -64]], [ -4, -1, 0 ], [ -3, -3, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 0, 6], [0, -4, -6], [0, 0, 0]], [[0, 0, 0], [799, 580, -56], [326/3, -835/3, -240], [4/3, 0, -1/3]], [[0, 0, 0], [49/5, 26, -56/5], [16/3, 47/3, -20/3], [-4/5, -2, 13/15]]], 0, 56448, [], [] >,
< [ -1, -4, -1, 1 ], [[-1, 2, 0]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -45, -20], [-127/10, -201/10, -15], [-12/5, -131/20, -41/20], [-3/5, -3/4, -7/20]], [[7773/2, 54893/2, -12972], [34757/10, -220919/10, 13023/2], [50163/20, 51193/10, -51049/20], [1739/4, -2627/10, -37/20]]], 1, 2, [], [] >,
< [ -1, -4, -1, 1 ], [[-1, 3, -2]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-14, -31/2, -10], [-31, 9/2, -5], [-3, -1, -1/2], [0, 0, 0]], [[1096195, 899791/2, 226176], [14679127/5, -2489117/5, 43476/5], [2709849/10, 353613/10, -231039/20], [0, 1/5, 7/20]], [[-6355025809, -3936691263, 4607655713/2], [-100938532232/5, -68367837081/5, 15986332729/2], [-16447589273/10, -4714259763/5, 5834295139/10], [-446/5, -795, 1234/5]]], 1, 12, [], [] >,
< [ -1, -4, -1, 1 ], [[2, 10, -3]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 3/2, 3/2], [-6, 1/2, 15/2], [-2, -1/2, 1], [0, 0, 0]], [[1, 11, 13/2], [-727/10, -343/5, 881/10], [-83/5, -81/10, 209/20], [7/10, -1/10, -1/4]], [[-949, -1314, 1967/2], [56999/2, 733269/5, -576769/10], [-8236/5, 49314/5, -66427/20], [3587/10, 1899/5, -4009/20]]], 1, 8, [], [] >,
< [ -1, -4, -1, 1 ], [[16, -32, 0]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [148/5, -24/5, -14/5], [64/5, -22/5, 8/5], [0, 0, 0]], [[0, 0, 0], [-717549/5, -42906, 165476/5], [-61236, 469/2, 24369], [1/5, 23/10, 8/5]], [[0, 0, 0], [-11058582, 76959098/5, -21155546/5], [-17267663/5, 62142129/5, -21012306/5], [-63, -413/5, 196/5]]], 0, 8064, [], [] >,
< [ -1, -4, -1, 1 ], [[16, -48, 32]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-166/5, -22/5, -52/5], [-68/5, 4/5, -6/5], [0, 0, 0]], [[0, 0, 0], [8152051/5, 1440091/5, -1479156/5], [3480794/5, 1332931/10, -1417819/10], [-4/5, -9/10, -1/2]], [[0, 0, 0], [-18826216, 90622633, -31073184], [-10070186, 31618699, -20842353/2], [-7, -84, 47/2]]], 0, 48384, [], [] >,
< [ -1, -4, -1, 1 ], [[-32, -160, 48]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 14, -10], [6, 8, -4], [0, 0, 0]], [[0, 0, 0], [-9143/5, 16209/5, 4173], [1974/5, 413/10, 209/10], [-1, 3/10, 1/10]], [[0, 0, 0], [-4252844/5, -4198244, -8669544/5], [-107109, -276348, 57445], [1387/5, 646, -1653/5]]], 0, 32256, [], [] >,
< [ -1, -4, -1, 1 ], [[-5, -4, 3]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 15/2, 0], [136/5, 69/10, -3/5], [3/5, 6/5, -3/10], [0, 0, 0]], [[905/2, -526, 369], [99056/5, 46671/5, -29391/5], [1153/10, -2813/20, 263/5], [-8/5, -1/4, -1/10]], [[582543/2, 476825, -167317], [8576591/2, 8633821/10, -4148976/5], [337362/5, 979253/10, -857459/20], [-5209/10, -5209/10, 3473/20]]], 1, 10, [], [] >,
< [ -1, -4, -1, 1 ], [[-5, -4, 3]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -15, -3], [-14, -1, -12], [1, -2, 0], [0, 0, 0]], [[-6047/2, 1855, -462], [77559/10, -20077/5, 937/10], [-16587/20, 3803/10, -799/20], [9/20, 1/10, -1/4]], [[96087, 1931289/2, -690849/2], [-170723/2, -18641359/10, 3844404/5], [222813/20, 4118721/20, -1536339/20], [153/4, 1173/20, -51/20]]], 1, 10, [], [] >,
< [ -1, -4, -1, 1 ], [[-7, -15, 8]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1, 0], [-75/2, 12, -8], [0, -1, 1/2], [0, 0, 0]], [[-2620, -4219/2, 265], [413715, 654067/5, -904487/10], [-14383/5, -4657/20, 1246/5], [3/5, 3/20, -1/10]], [[-1542999/2, -1170041, 4841541/2], [-221684901/10, -1226574124/5, 589382313/10], [10203261/5, 80401347/10, -28100699/10], [-1659/10, -4039/5, 483/2]]], 1, 40, [], [] >,
< [ -1, -4, -1, 1 ], [[80, 64, -48]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22/5, -56/5, 44/5], [-4/5, 32/5, -8/5], [0, 0, 0]], [[0, 0, 0], [54258/5, 3693/5, -17978/5], [-18728/5, -5186/5, 6703/10], [-7/5, -1/5, -1/2]], [[0, 0, 0], [844212566/5, 514048967/5, -349955623/5], [-565677089/10, -190793934/5, 107065021/5], [-329699/10, -245074/5, 100196/5]]], 0, 40320, [], [] >,
< [ -1, -4, -1, 1 ], [[80, 64, -48]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38/5, -84/5, -84/5], [24/5, 38/5, 8/5], [0, 0, 0]], [[0, 0, 0], [-6/5, 582/5, 77], [-199/10, -184/5, -173/10], [13/10, -1/5, -3/10]], [[0, 0, 0], [-795201/5, -2080197/5, -651002/5], [-46118/5, 653883/10, 639103/10], [4914, 14703/2, -5967/2]]], 0, 40320, [], [] >,
< [ -1, -4, -1, 1 ], [[112, 240, -128]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [112, 58, -58], [-8, 8, -8], [0, 0, 0]], [[0, 0, 0], [-958089/5, -82634, 366211/5], [36871/2, -4419/2, 2695], [9/10, -1/2, 2/5]], [[0, 0, 0], [-3257843558/5, -4204476662/5, 1537121638/5], [-157113582/5, -1328359017/5, 368256249/5], [-22134/5, -118377/5, 36057/5]]], 0, 161280, [], [] >,
< [ -1, -4, -1, 1 ], [[1, -2, 1]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -1, 1/2], [43/5, 61/5, 11/5], [7/2, -2, -1/4], [1, 1/5, 1/20]], [[-2627/2, 1269, -273], [-34967/10, -11326/5, 8132/5], [-16841/10, 12529/10, -2503/10], [-2266/5, 1133/10, 309/10]]], 1, 2, [], [] >,
< [ -1, -4, -1, 1 ], [[-3, -6, 4]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 1/2, 1/2], [-29/2, -9/2, 3/2], [-1/2, 1/2, 0], [0, 0, 0]], [[217/2, 153/2, 35/2], [10389/5, 541/5, -3033/5], [1641/20, -803/20, 63/5], [-1/20, -3/20, -1/5]], [[1092875/2, 418891, -194685], [119934511/10, 40564927/5, -24731231/5], [3951488/5, 11288607/10, -2660934/5], [-2834/5, -7638/5, 2408/5]]], 1, 8, [], [] >,
< [ -1, -4, -1, 1 ], [[-4, -4, 3]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 9, -1/2], [-39/10, -122/5, -107/10], [3/10, 9/5, -1/10], [0, 0, 0]], [[515/2, 116, -137/2], [-2671/5, -1811/10, 1313/10], [1107/20, 397/20, -137/10], [27/20, 1/20, 1/10]], [[-25201, -65291, 29032], [-94239/10, -676859/10, 259763/10], [-609/20, 73971/20, -25527/20], [3455/4, 11747/4, -4837/4]]], 1, 12, [], [] >,
< [ -1, -4, -1, 1 ], [[-16, 32, -16]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [58/5, -162/5, 4/5], [34/5, -56/5, -8/5], [0, 0, 0]], [[0, 0, 0], [61/5, -303/5, -218/5], [-11/2, -51/2, -23], [11/10, 1/2, 2/5]], [[0, 0, 0], [-83642, 370309/5, -149354/5], [-216197/5, -1466519/10, 271649/5], [-5319/5, 102243/10, -3546]]], 0, 8064, [], [] >,
< [ -1, -4, -1, 1 ], [[48, 96, -64]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [474/5, 68/5, -2/5], [462/5, 54/5, 4/5], [0, 0, 0]], [[0, 0, 0], [-26393576104/5, 79242958/5, 157171371], [-51357025881/10, 949963854/5, 775136943/10], [-1/2, 1/5, 1/2]], [[0, 0, 0], [-690885362571668/5, -2494585831955356/5, 1027896989397544/5], [-730195748914814/5, -2619356962730908/5, 1080677508988332/5], [36414/5, 99078/5, -32802/5]]], 0, 32256, [], [] >,
< [ -1, -4, -1, 1 ], [[64, 64, -48]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-272/5, 58/5, 34/5], [-46/5, 34/5, -8/5], [0, 0, 0]], [[0, 0, 0], [-1311559/5, -390631/5, -62201], [-347887/10, 485233/10, -4361/10], [-7/10, 1/2, -3/10]], [[0, 0, 0], [-13572069901/5, -25935280869/5, 3662570721], [-9537829093/10, -24947798253/10, 9445818921/10], [-168909/10, -429621/10, 41535/2]]], 0, 48384, [], [] >,
< [ -1, -4, -1, 1 ], [[1, 12, -3]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-31/2, -16, -9/2], [621/10, -49/5, -113/10], [-127/10, -19/10, 1/10], [0, 0, 0]], [[-7083697, -2770328, 1259904], [176838121/5, 619100, -28245744/5], [-6813606, -873117/2, 1966557/2], [-2/5, 1/10, -1/10]], [[7113471015/2, 950972694, 1162979647], [-1441405570, 116035478453/2, -20698818439], [555256260, -39935111835/4, 16290605205/4], [-1332/5, -31561/20, 18759/20]]], 1, 48, [], [] >,
< [ -1, -4, -1, 1 ], [[-16, -192, 48]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-482/5, -4/5, 16/5], [-126/5, 18/5, -2/5], [0, 0, 0]], [[0, 0, 0], [252373537/5, -4384106, 22117377/5], [25895591/2, -8075565/2, 4195945/2], [1/10, -1/2, 1/10]], [[0, 0, 0], [-13504392487/5, 174548183962/5, -31798250896/5], [-150145352/5, 118085924927/10, -14447937179/5], [381/5, 4357/10, -1116/5]]], 0, 193536, [], [] >,
< [ -1, -4, -1, 1 ], [[0, -7, 2]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 9, -1/2], [38/5, 38/5, 13/10], [-6/5, 9/5, -1/10], [0, 0, 0]], [[-185143, -26614, 29072], [636719/5, 282807/10, -95275/2], [-370273/10, -106511/20, 116287/20], [3/5, 3/20, 1/4]], [[5555297689, 5334455079, -5410561951/2], [-28274530109/10, -6896700829/10, 4567031459/5], [22219007921/20, 21333738161/20, -10819033267/20], [-104647/4, -178407/4, 61313/4]]], 1, 10, [], [] >,
< [ -1, -4, -1, 1 ], [[0, -7, 2]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, 15/2, -5/2], [5, 29/2, -9/2], [-3, 3/2, -1/2], [0, 0, 0]], [[-141733/2, -11736, 14985], [62693/10, 58053/5, -57169/10], [-14171, -4699/2, 11989/4], [4/5, -1/10, 1/20]], [[56835058, 84952869/2, -50335485/2], [22892199/5, 104837316/5, -15135767/2], [113631607/10, 169783859/20, -50300549/10], [-1985/2, -30569/20, 4367/10]]], 1, 10, [], [] >,
< [ -1, -4, -1, 1 ], [[-7, -19, 6]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -4, -5/2], [468/5, -104/5, 107/10], [3/10, -12/5, 1/10], [0, 0, 0]], [[473762, 676513/2, 35164], [45388387, 8369730, -21087045/2], [1643511/4, 6663, -17187], [-3/20, 1/5, 1/5]], [[-11832203571/2, 25816473450, -5378302545/2], [-2367445802961/10, 8060092431041/2, -15115002750711/10], [22051306488, 237722976339/2, -187166137113/4], [21096/5, -60687/10, 170829/20]]], 1, 40, [], [] >,
< [ -1, -4, -1, 1 ], [[0, 112, -32]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-228/5, -28/5, 46/5], [16/5, 26/5, 8/5], [0, 0, 0]], [[0, 0, 0], [-3057359/5, -559877, 1493449/5], [169157/10, -67823/10, 35121/10], [1/2, 1/10, -1/10]], [[0, 0, 0], [-30718/5, -137968/5, 56176/5], [-2884/5, -8204/5, 1918/5], [0, 0, 0]]], 0, 40320, [], [] >,
< [ -1, -4, -1, 1 ], [[0, 112, -32]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-126/5, 44/5, -38/5], [-78/5, 12/5, 6/5], [0, 0, 0]], [[0, 0, 0], [18728, 4367, -11001], [11257, 10049/2, -7243/2], [-4, -1/2, -1/2]], [[0, 0, 0], [-86677912/5, 147638796/5, 31378136/5], [-13835428, 2266350, 1392028], [55794/5, 17952, -27744/5]]], 0, 40320, [], [] >,
< [ -1, -4, -1, 1 ], [[112, 304, -96]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [594/5, -12/5, -42/5], [-8/5, -16/5, -6/5], [0, 0, 0]], [[0, 0, 0], [3977/5, 3573/5, -2124/5], [62/5, 63/10, 23/10], [2/5, 3/10, 1/10]], [[0, 0, 0], [-69729794/5, -160381346/5, 72479883/5], [-255553/10, 790767/5, -1191501/10], [-15621/10, 9758/5, -31611/10]]], 0, 161280, [], [] >,
< [ -1, -4, -1, 1 ], [[4, 23, -12]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 5/2, -1], [147/2, -43/2, 8], [6, -1/2, -1/2], [0, 0, 0]], [[2436079/2, 861591, 150371/2], [71055129/5, 13384773/5, 19032133/5], [21424653/20, 1222881/20, -1327779/20], [1/4, -1/4, -1/4]], [[58131506889, 72273204039/2, -73294437795/2], [16958683013839/10, 17054930179772/5, -8518731475272/5], [2069377228737/20, 3562223093289/20, -847107376863/10], [485919/20, 716751/20, -90369/10]]], 1, 240, [], [] >,
< [ -1, -4, -1, 1 ], [[-64, -368, 192]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36/5, 72/5, 2/5], [328/5, 46/5, 6/5], [0, 0, 0]], [[0, 0, 0], [-171061144/5, -307954906/5, 47215933/5], [-3183129133/10, 33245282/5, 46745799/10], [-9/10, -1/5, 1/2]], [[0, 0, 0], [-17529108010994/5, -46247159535412/5, 5029697315324], [8971007699587/5, 221327251233819/5, -74120322368171/5], [-254569/5, -375809/5, 95179/5]]], 0, 967680, [], [] >,
< [ -1, -4, -1, 1 ], [[-2, -3, 2]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[55, -33/2, 0], [-463/10, -18, -33/10], [-13, 1/4, -5/4], [4/5, 3/20, -3/20]], [[84241/2, 183457, -129401/2], [-168834/5, -1677063/10, -205972/5], [-60954/5, -1085961/20, 50537/20], [62, 3103/4, -671/4]]], 1, 2, [], [] >,
< [ -1, -4, -1, 1 ], [[-1, 5, -1]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-57/2, 6, 1], [-579/10, -17/5, 24/5], [48/5, 8/5, 3/10], [0, 0, 0]], [[28994315/2, 1955901/2, -4608745/2], [282956841/10, 52516723/10, -26243289/5], [-92236299/20, -19620089/20, 13233773/20], [23/20, 1/20, 1/4]], [[-2445545132307/2, -1393625491545, 1409530047497/2], [-10461373338889/5, -3863418240935/2, 5283915754386/5], [689949066763/2, 1316281753453/4, -751383039083/4], [-1282157/10, -4022387/20, 2229397/20]]], 1, 12, [], [] >,
< [ -1, -4, -1, 1 ], [[-4, -9, 3]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-72, -2, -1], [341/5, 1/5, 18/5], [-72/5, -2/5, -1/5], [0, 0, 0]], [[-50631460, -780601, 8766507/2], [479046511/10, -4230784/5, -15116519/5], [-40505173/4, -156123, 3506595/4], [3/20, 1/10, 1/4]], [[-517589718269/2, 428932415373/2, -31127148115], [2376309807343/10, -2380707957789/10, 207762869018/5], [-51758970743, 42893261672, -12450848275/2], [-4493/10, -47773/10, 5813/10]]], 1, 8, [], [] >,
< [ -1, -4, -1, 1 ], [[32, 48, -32]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [58, 4, 10], [62, 4, 0], [0, 0, 0]], [[0, 0, 0], [-67103524/5, -6258688, 22128101/5], [-28079631/2, -12364563/2, 8821543/2], [3/2, 1/10, -3/10]], [[0, 0, 0], [-7557227496/5, -9979735864/5, 6753491346/5], [-7388040564/5, -8847271939/5, 5388877758/5], [-198/5, -2619/5, 414/5]]], 0, 8064, [], [] >,
< [ -1, -4, -1, 1 ], [[16, -80, 16]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1996/5, -256/5, -38/5], [-316/5, -46/5, -8/5], [0, 0, 0]], [[0, 0, 0], [99401664/5, 44170561/5, -6857464/5], [31459467/10, 7227056/5, -1882659/10], [31/10, 2/5, -1/10]], [[0, 0, 0], [740354494/5, 330743258, -244466771/5], [46935219/2, 105605183/2, -13945795/2], [429/10, 1123/10, -77/2]]], 0, 48384, [], [] >,
< [ -1, -4, -1, 1 ], [[64, 144, -48]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [54, -10, 4], [34, -6, 2], [0, 0, 0]], [[0, 0, 0], [-118872/5, -6225, -6393/5], [-74407/5, -37019/10, -5207/10], [-2/5, 3/10, 3/10]], [[0, 0, 0], [162937008/5, 1191420128/5, -566889336/5], [96509149/5, 729991774/5, -343362953/5], [405, 4390, -755]]], 0, 32256, [], [] >,
< [ -1, -4, -1, 1 ], [[6, 15, -4]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -5, -5], [-9/2, 0, -12], [5, 0, -5/2], [0, 0, 0]], [[-595/2, -672, -392], [53041/10, 163149/10, -41178/5], [-6357/20, -4231/10, 469/20], [-9/20, -1/10, -3/20]], [[-1540511/2, -343816, 496733], [-57421293/2, -485476832/5, 206031611/5], [-3576607/5, 3188808/5, -709007/10], [-13593/5, -12282/5, 7038/5]]], 1, 48, [], [] >,
< [ -1, -4, -1, 1 ], [[-96, -240, 64]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-76, -16, -6], [-24, -8, 0], [0, 0, 0]], [[0, 0, 0], [2022582/5, -3525023/5, 890981/5], [758062/5, -1174801/10, 71211/5], [-13/5, -1/10, 1/5]], [[0, 0, 0], [-107658963/5, -4044143819/5, 1267551769/5], [102213396/5, -1561802583/10, 406116051/10], [-4047/5, 2907/10, -741/2]]], 0, 193536, [], [] >,
< [ -1, -4, -1, 1 ], [[-1, -15, 9]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, -5/2, -4], [-77/2, 19/2, 30], [11/2, 0, -2], [0, 0, 0]], [[7303/2, 2549/2, -999], [-181441/5, -63657/5, 19957/2], [25108/5, 35167/20, -27409/20], [-1, -3/20, -1/20]], [[-215916, -78313, 60178], [2017693, 362845, -424785], [-296021, -105057, 162555/2], [670, 2010, -1675/2]]], 1, 240, [], [] >,
< [ -1, -4, -1, 1 ], [[16, 240, -144]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-428, 18, -8], [-30, 4, -2], [0, 0, 0]], [[0, 0, 0], [-71979554/5, -1957162/5, 18526267/5], [-10227189/10, 220921/10, 2528603/10], [-7/10, 1/10, 1/2]], [[0, 0, 0], [921118783/5, 655696055, -1340851737/5], [15671906, 110205847/2, -45206199/2], [-19/5, -19/2, 57/10]]], 0, 967680, [], [] >,
< [ -1, -4, -1, 1 ], [[-7, -17, 9]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[223/2, 14, 2], [-699/10, -17/5, -21/5], [223/10, 14/5, 2/5], [0, 0, 0]], [[-579643969/2, -160463363/2, 55334511], [924387547/5, 471811321/10, -66652161/2], [-1159288003/20, -80231702/5, 221338001/20], [11/20, 1/5, 1/4]], [[-224632214283/2, 205767344170, -160141996747/2], [615747621269/10, -166826550724, 664550890701/10], [-224632221881/10, 205767350927/5, -160142048193/10], [-2059/5, -11803/5, 7047/5]]], 1, 48, [], [] >,
< [ -1, -4, -1, 1 ], [[112, 272, -144]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-158/5, -18/5, -44/5], [-34/5, 16/5, -2/5], [0, 0, 0]], [[0, 0, 0], [-1669981/5, -955761/5, -321163/5], [-716191/10, -13891/10, 87027/10], [-3/10, -3/10, 1/10]], [[0, 0, 0], [2756923746/5, 6579014078/5, -477697104/5], [587541477/5, 1180559177/5, -502692834/5], [-185, -5081/5, 2776/5]]], 0, 193536, [], [] >,
< [ -1, -4, -1, 1 ], [[1, -2, 2]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 3, -1/2], [-46/5, -6/5, 9/10], [13/10, -7/10, -1/10], [0, 0, 0]], [[829, -741, -28], [12321/5, 2645, 12187/10], [-653/4, 2479/4, 1285/4], [17/20, -1/20, -1/4]], [[21892235/2, 31555631/2, -17035931/2], [178918509/10, 26747564, 5152337/5], [-4785013/2, -4755117/4, 3619810], [32342/5, 94597/20, -34919/10]]], 1, 10, [], [] >,
< [ -1, -4, -1, 1 ], [[1, -2, 2]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-59/2, 13/2, 1], [439/10, 129/10, 11/5], [99/10, 7/5, 1/5], [0, 0, 0]], [[836233/2, -200238, 24903/2], [-2923864/5, 138325, 951377/10], [-134664, 40669, 56441/4], [7/10, -1/5, 1/20]], [[-830602139, -1174897967/2, 366010645], [4646889934/5, 331541943/2, -3318195356/5], [460211795/2, 85504197, -280501687/2], [-1449, -7383/5, 1104/5]]], 1, 10, [], [] >,
< [ -1, -4, -1, 1 ], [[-1, -11, 2]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[147/2, 1, 1/2], [109/10, -18/5, 37/10], [147/10, 1/5, 1/10], [0, 0, 0]], [[68731230, 6293416, -2979295], [52351022/5, -1631435, 22763771/10], [137462449/10, 12586819/10, -11917191/20], [1/5, 1/10, 1/20]], [[1096557448977/2, 419949482920, -493915340641/2], [205162764397/2, 535413589041/5, -293038888291/5], [548278695812/5, 839898942849/10, -987830620111/20], [7221/5, 10707/10, -14857/20]]], 1, 40, [], [] >,
< [ -1, -4, -1, 1 ], [[-16, 32, -32]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-756/5, -66/5, -38/5], [-426/5, -16/5, -8/5], [0, 0, 0]], [[0, 0, 0], [2844612579/5, -396948424/5, -74545009/5], [3233440967/10, -494575963/10, -57725317/5], [1/2, 3/10, -2/5]], [[0, 0, 0], [-39261927390826/5, -948461125634/5, 4985150231641/5], [-44712176485243/10, -874395515543/10, 5851747290671/10], [-12909/2, -40287/10, 35841/10]]], 0, 40320, [], [] >,
< [ -1, -4, -1, 1 ], [[-16, 32, -32]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36/5, 16/5, -32/5], [286/5, 36/5, 8/5], [0, 0, 0]], [[0, 0, 0], [-32619424, -134162356/5, 88464493/5], [-2252133187/10, 109777253/10, 191474569/10], [-29/10, -3/10, -1/2]], [[0, 0, 0], [-37302134830099/5, 14487585701174/5, -3640523654501/5], [-998545891848947/10, -659682024556207/10, 205861460786157/5], [-2512397/2, -7731773/10, 3571152/5]]], 0, 40320, [], [] >,
< [ -1, -4, -1, 1 ], [[16, 176, -32]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [174, -10, 4], [-16, -6, 2], [0, 0, 0]], [[0, 0, 0], [33400737/5, -112590103/5, 44992191/5], [-10803823/10, 171877/10, -6719/10], [-3/10, 1/10, -1/10]], [[0, 0, 0], [1617456822699/5, 1861372467561/5, -197800082794], [-203664460483/10, -115040889503/10, 41954552978/5], [-66633/10, -46727/10, 17647/5]]], 0, 161280, [], [] >,
< [ -1, -4, -1, 1 ], [[-3, -18, 11]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-67/2, -17/2, -1/2], [1631/10, 11/10, 53/10], [-67/10, -17/10, -1/10], [0, 0, 0]], [[-858507551/2, -25314645/2, 26541021/2], [10383452409/5, -1014446137/2, 376632311/5], [-1717014919/20, -12657301/5, 53082043/20], [-37/20, -1/5, 1/20]], [[-1679998542745555/2, -2057359659779303/2, 425677008523579], [24415682864682349/5, 34743558720762681/5, -6072855989602493/2], [-3359996802180121/20, -4114719023098941/20, 1702707974559287/20], [-69554347/20, -83038791/20, 32230373/20]]], 1, 240, [], [] >,
< [ -1, -4, -1, 1 ], [[48, 288, -176]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-846/5, -46/5, 12/5], [-258/5, 2/5, -4/5], [0, 0, 0]], [[0, 0, 0], [41708147, -28074983/5, 11031798/5], [126078033/10, -29156397/10, 6099667/5], [11/10, -1/10, 0]], [[0, 0, 0], [52737204246538/5, 67688192162238/5, -24497715127476/5], [17010205122179/5, 23066695396499/5, -8407687134048/5], [263307, 314193, -122298]]], 0, 967680, [], [] >,
< [ -1, -4, 0, 1 ], [[-2, -1, 1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 3, -2], [1/2, 11/4, -7/4], [1, 5/2, -5/2], [-1, 1/4, 1/4]], [[-731/2, 21, 74], [-105/2, 31, -2], [105/2, 45, -30], [-209, -12, 52]]], 4, 2, [], [[[-2, -1, 1]]] >,
< [ -1, -4, 0, 1 ], [[-3, -1, 1]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -3/2, 8], [-31/4, -39/4, 41/4], [-2, -1, 5/2], [-7/4, -5/4, 1/4]], [[-656, -3116, 2050], [43785/4, -18009/4, -323/4], [4018, -656, -492], [15111/4, 115/4, -3611/4]]], 4, 2, [], [] >,
< [ -1, -4, 0, 1 ], [[-5, -2, 2]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[3/2, 16, 3], [93/14, 4/7, 4/7], [16, 2, -1/2], [16/7, 2/7, -1/14]], [[-15909, -56849/2, 17280], [175141/7, 187205/14, -11856], [55844, 20031, -21852], [55844/7, 20031/7, -21852/7]]], 4, 2, [], [] >,
< [ -1, -4, 0, 1 ], [[8, -2, -1]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -3/2, 1], [3/2, -3/2, 1], [5, 1, 3], [0, 0, 0]], [[94, -9/2, -17], [689/7, -55/14, -123/7], [503/2, 12, -44], [15/14, 0, -2/7]], [[-881/2, 992, -757/2], [-6511/14, 7143/7, -5451/14], [-1419, 3299/2, -538], [-54/7, 23/14, 8/7]]], 1, 8, [], [] >,
< [ -1, -4, 0, 1 ], [[-6, -2, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -3/2, -3/2], [3/2, 1/2, -7/2], [-5/2, -3/2, -3/2], [0, 0, 0]], [[299, 1661/2, 433], [411/4, 3123/4, 562], [601/2, 832, 434], [-3/4, -3/4, -1/2]], [[-16950, 1233/2, 8093/2], [39431/4, 3969, -13977/4], [-34251/2, 1233/2, 4087], [351/4, 0, -81/4]]], 1, 2, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -2, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, 7, -1], [8, 4, -6], [5, 7, -1], [0, 0, 0]], [[-252285/2, -136125/2, 91355/2], [-500077/2, -86120, 213159/2], [-252293/2, -136119/2, 91359/2], [-2, 3/2, 1]], [[-82797033, 1029347, 18295079], [-173764002, -652150, 77947651/2], [-82800777, 1028957, 18296054], [-1872, -195, 975/2]]], 0, 40, [], [] >,
< [ -1, -4, 0, 1 ], [[1, -3, 1]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, -3/2, 3/2], [9/4, -7/4, -1/4], [13/2, -3/2, 3/2], [5/4, -1/4, -1/4]], [[-145, 725, -435], [-215/4, 1211/4, -397/4], [-145, 725, -435], [-211/4, 207/4, -31/4]]], 1, 10, [], [] >,
< [ -1, -4, 0, 1 ], [[-13, -5, 7]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21/2, 25/2, 5/2], [21/2, 25/2, 5/2], [-11, -9, -5], [0, 0, 0]], [[460, -380, 60], [3168/7, -2830/7, 386/7], [-2089/2, -2319/2, 1583/2], [-7/2, -11/14, -1/14]], [[243650, 131650, -119950], [242822, 129994, -122434], [-324627/2, 650485/2, -231263/2], [-2691/2, -1035/2, 621/2]]], 0, 240, [], [] >,
< [ -1, -4, 0, 1 ], [[21, -3, 1]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 7, 1], [-3, 7, 1], [37, -1, -3], [0, 0, 0]], [[1268249/2, -25651/2, 173201/2], [8877955/14, -178901/14, 1212451/14], [-9955427/2, 1178821/2, 2254759/2], [103/14, 1/2, 1/14]], [[5996280591/2, -1397832177/2, 1120198919/2], [41975047041/14, -9781551863/14, 1120175455/2], [-24650813940, 3624818212, 4984179722], [248391/7, -16169/7, 7445/7]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[-110, -30, 42]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-22, -10, -2], [-19, -43, -27], [-22, -10, -2], [0, 0, 0]], [[-23/2, 41/2, 37/2], [33, 101, 55], [-5/2, 59/2, 39/2], [9/2, 9/2, 1/2]], [[13110, 11590, -8170], [1711/2, 53917/2, -23803/2], [7853, 8195, -5321], [-5257/2, -3395/2, 2849/2]]], 0, 10240, [], [] >,
< [ -1, -4, 0, 1 ], [[17, -7, -3]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19/2, 45/2, 1/2], [0, 14, 4], [-19/2, 45/2, 1/2], [0, 0, 0]], [[-4204928, 75392, 1057920], [-3515295/4, 680661/4, 1187305/4], [-4204923, 75411, 1057931], [7/4, 19/4, 3/4]], [[6586754016, 495892704, -1704763296], [2864270651/2, 223943263/2, -740780577/2], [6586752466, 495892146, -1704762366], [-1581/2, 899/2, 31/2]]], 0, 640, [], [] >,
< [ -1, -4, 0, 1 ], [[-3, -3, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 9/2, 2], [-3/2, 13/2, -1], [-1/2, 9/2, 2], [0, 0, 0]], [[191443/2, 15639/2, -19099], [192629, -90571/4, -119009/4], [191427/2, 7818, -38203/2], [-4, -3/4, -5/4]], [[34661704769/2, 2492381461, -5012992166], [78795710107/2, 56974710573/4, -62102716123/4], [34658118211/2, 4982006005/2, -10023945867/2], [-1793279/2, -2756917/4, 2038465/4]]], 1, 2, [], [] >,
< [ -1, -4, 0, 1 ], [[5, 0, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -7, -1/2], [-11/4, -39/4, -3/2], [-2, -11/2, 1/2], [1/4, -3/4, -1/2]], [[251/2, -154, 93/2], [-1253/4, -188, 647/4], [-455, -195, 195], [1161/4, 41/2, -297/4]]], 1, 2, [], [] >,
< [ -1, -4, 0, 1 ], [[-5, -1, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -3/2, 3/2], [7, 11/2, -7/2], [-1, -3/2, 3/2], [0, 0, 0]], [[-645/2, -315/2, 66], [12179/4, 943/4, -1763/2], [-332, -160, 68], [19/4, 5/4, -1]], [[1186523, 1092101/2, -1285347/2], [-11366299, -8724739/4, 13761559/4], [1220560, 552464, -655248], [-34037/2, -12827/4, 25149/4]]], 0, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[-6, -6, 4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[25/2, 54, 51/2], [10, 81/2, 27/2], [9/2, 35/2, 8], [0, 0, 0]], [[-1241, 216, 449], [-2174, -2891/2, 1334], [-1745, -55, 504], [-2, 2, -5/2]], [[-3691983/2, -256841/2, 483046], [-4360247/2, 955888, 41215], [-2463254, -268433/2, 1234525/2], [-9595/2, -3434, 2626]]], 0, 6, [], [] >,
< [ -1, -4, 0, 1 ], [[-4, -2, 2]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, 37/2, 9], [15/2, 37, 35/2], [2, 13/2, 5/2], [0, 0, 0]], [[-1583, 651, 632], [7625/2, 1289, -619/2], [-2381, -161, 800], [-1/2, 7/2, 1]], [[-16041715/2, -1879057/2, 4503075/2], [64401273/4, 5251629/4, -16770865/4], [-20869615/2, -348493/2, 4839831/2], [-27451/4, -11737/4, 11931/4]]], 1, 2, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -1, 3]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 0], [1/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, -48, 0], [-81/7, 82/7, 5/7], [-93/2, -1, -3/2], [-93/14, -1/7, -3/14]], [[-9545139/2, -139749/2, 1072955], [80276607/14, 565731/2, -9879397/7], [18360117, 1022946, -4603257], [18360117/7, 1022946/7, -4603257/7]]], 1, 2, [], [] >,
< [ -1, -4, 0, 1 ], [[-13, -3, 4]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, -65/2, -16], [-15/2, -65/2, -16], [9, 4, -5], [0, 0, 0]], [[-248, 465, 417], [-1888/7, 3219/7, 2951/7], [9899, 29, -2207], [2, -1/7, -2/7]], [[-3207/2, 448, 1003/2], [-3411/2, 442, 1051/2], [100893/2, 9207/2, -13443], [21/2, 3/2, -3]]], 0, 12, [], [] >,
< [ -1, -4, 0, 1 ], [[23, -2, -5]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 1/2, 0], [-1/2, 1/2, 0], [30, 3, 5], [0, 0, 0]], [[103/2, 53, 3/2], [-515/14, -59/7, -3/14], [-99/2, 65/2, 32], [103/14, 3/14, 0]], [[37593609, 1378599, -14914584], [-230568897/7, 15678885/7, 57515436/7], [-56070728, -9242396, 11321012], [48243822/7, -4264371/7, -1521459]]], 0, 96, [], [] >,
< [ -1, -4, 0, 1 ], [[9, -6, 1]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, -3/2, -3/2], [-11/2, -3/2, -3/2], [-12, 3, -2], [0, 0, 0]], [[112841/2, -1963, -32769/2], [789717/14, -13274/7, -32769/2], [281659/2, 3679/2, -36802], [-101/14, -1/14, -2/7]], [[-3696480025/2, 137469685, 716901897/2], [-25902999695/14, 890510275/7, 5091491039/14], [-4531440760, 453705080, 808263560], [517480/7, -4109400/7, 1856840/7]]], 1, 16, [], [] >,
< [ -1, -4, 0, 1 ], [[4, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[5, 15/2, -1/2], [-25/4, 18, 35/4], [3/2, 19/2, -2], [7/4, -1, 3/4]], [[13467/2, -1809/2, -1407], [-48705/2, -14839/4, 23777/4], [-6231/2, -2613, 3417/2], [9849/2, 3417/4, -6231/4]]], 1, 6, [], [] >,
< [ -1, -4, 0, 1 ], [[-32, -16, 16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, 0, 10], [2, 4, -2], [0, 0, 0]], [[0, 0, 0], [-50664, -27189, 2610], [-1209, -17, -155], [1, 2, 1]], [[0, 0, 0], [834235/2, 22169/2, -99131], [12607, 3711, -4586], [-11/2, -3/2, 2]]], 0, 960, [], [] >,
< [ -1, -4, 0, 1 ], [[-24, -8, 8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5, -13, -3], [-1, -5, -3], [0, 0, 0]], [[3/2, -1/2, -1/2], [319/2, 13/2, -39], [-5/2, -1/2, 1/2], [2, 0, -1/2]], [[0, 0, 0], [-18, 0, 4], [0, 0, 0], [0, 0, 0]]], 0, 160, [], [] >,
< [ -1, -4, 0, 1 ], [[4, -12, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -44, -24], [-5, -5, -5], [0, 0, 0]], [[0, 0, 0], [-14610, -1045/2, 2707], [17103, 3124, -5449], [1, -5/2, 1]], [[0, 0, 0], [738948, -195935/2, -392597/2], [-905819, -195262, 280624], [-48, 297/2, -111/2]]], 0, 120, [], [] >,
< [ -1, -4, 0, 1 ], [[4, 8, 4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -4, 2], [5, 17, 2], [0, 0, 0]], [[0, 0, 0], [143440, 25967/2, -75055/2], [12711, 2094, 169], [5/2, 0, -1/2]], [[0, 0, 0], [-52752489/2, -2092627, 6794174], [-2369460, -426972, 189244], [-466, -33/2, 104]]], 0, 30, [], [] >,
< [ -1, -4, 0, 1 ], [[4, 0, 0]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[-7/2, -7/2, -1/2], [-49/4, -35/4, -17/4], [-7/2, -7/2, -1/2], [-7/4, -7/4, -1/4]], [[-2889/2, -405/2, 189/2], [-25535/4, -13569/4, 7213/4], [-2889/2, -405/2, 189/2], [-2889/4, -405/4, 189/4]]], 1, 10, [], [] >,
< [ -1, -4, 0, 1 ], [[144, 672, 320]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -2, -8], [-2, 2, -6], [0, 0, 0]], [[0, 0, 0], [-86/7, -268/7, 18/7], [2392, 160, -619], [-34/7, 4/7, -3/7]], [[0, 0, 0], [-484220/7, 1743192/7, -149668], [141962762, 8926980, -35982062], [-2236216/7, -396180/7, 664702/7]]], 0, 2880, [], [] >,
< [ -1, -4, 0, 1 ], [[4, -12, -12]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -13/2, -5/2], [-39/2, -123/2, -51/2], [-3, -13, -5], [0, 0, 0]], [[0, 0, 0], [1178, -1788/7, -3380/7], [-41, -165, -75], [-41/7, -165/7, -75/7]], [[0, 0, 0], [13331023, 6518569/7, -24053209/7], [-53240, -39866, 23405], [-53240/7, -39866/7, 23405/7]]], 0, 480, [], [] >,
< [ -1, -4, 0, 1 ], [[128, -32, -16]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -8, -8], [46, 8, 0], [0, 0, 0]], [[0, 0, 0], [-1336374/7, -162046/7, 303208/7], [-2352517, -137500, 603748], [-17/7, 0, -2/7]], [[0, 0, 0], [-58/7, -202/7, 108/7], [7, 22, -12], [1, 22/7, -12/7]]], 0, 23040, [], [] >,
< [ -1, -4, 0, 1 ], [[108, -4, -20]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, 1, -1], [5, 7, -1], [-16, 2, -2], [0, 0, 0]], [[10905/2, -765/2, 315/2], [-6137/2, -50551/14, 8693/14], [10901, -763, 314], [-4/7, 2/7, -1/7]], [[-5547465/2, -745965/2, 1567665/2], [1979651/2, -148617/2, -334805/2], [-5545141, -745503, 1566937], [332, 66, -104]]], 0, 3840, [], [] >,
< [ -1, -4, 0, 1 ], [[68, -28, -12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13, -29, -13], [-14, -10, -2], [0, 0, 0]], [[0, 0, 0], [-3/2, 77/2, 31/2], [-2, -2, 4], [-11/2, -7/2, -1/2]], [[0, 0, 0], [-9351/2, -5773/2, 4429/2], [89, 1903, -935], [-3591/2, -369/2, 1017/2]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[16, -48, 16]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 8, -4], [16, 20, 8], [0, 0, 0]], [[0, 0, 0], [-44243/2, -40567/2, 28411/2], [24874, 9430, -5608], [-7/2, 3/2, -1/2]], [[0, 0, 0], [4682515/2, -9849901/2, 3462253/2], [-4781064, 1602660, 1299126], [2175/2, 1125/2, -1275/2]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[20, -12, 4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 10, 0], [-21, 15, -5], [0, 0, 0]], [[25/2, -7/2, 5/2], [173203/4, -964117/4, -456713/4], [622993/2, 224257/2, 90469/2], [25/4, -7/4, 5/4]], [[14711/2, -3525/2, -2021/2], [231882457/4, 33911509/4, -20004415/4], [322254795/2, -35665961/2, -73578573/2], [14711/4, -3525/4, -2021/4]]], 0, 1280, [], [] >,
< [ -1, -4, 0, 1 ], [[-3, -3, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -5/2, -1/2], [8, -5/2, -3/2], [1, -5/2, -1/2], [0, 0, 0]], [[-2660, -1741/2, -2921/2], [-13349, 962, 1024], [-2664, -1739/2, -2923/2], [2, -1/2, 1/2]], [[70403443/2, 33763135, -43687265/2], [623985795/4, 134807261/2, -262128207/4], [35259705, 33813153, -21879099], [-115967/4, -25009, 70933/4]]], 1, 2, [], [] >,
< [ -1, -4, 0, 1 ], [[7, -3, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -1/2, -2], [-7/2, -27/2, -3], [1/2, -1/2, -2], [0, 0, 0]], [[-285, -4185/2, -2145/2], [-2392, -20595/2, -9539/2], [-299, -4189/2, -2149/2], [-7, -1, -1]], [[708835/2, 57295/2, -92715], [-678571/4, -97863/4, 99645/2], [327602, 27851, -86343], [-53631/4, -1593/4, 3186]]], 0, 8, [], [] >,
< [ -1, -4, 0, 1 ], [[7, -3, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[31/2, 0, 5/2], [51/2, 33, 59/2], [31/2, 0, 5/2], [0, 0, 0]], [[-145011325, 23667835/2, 19673887/2], [-186868270, -204176193/4, -315065479/4], [-145011306, 11833920, 9836946], [-19/2, -5/4, -5/4]], [[23911945086468, -5870629094118, -2463886817566], [25832429169869, -18055989286536, 3667561243951], [23911942177260, -5870628030126, -2463886719870], [1454604, -531996, -48848]]], 0, 8, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -9, 7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -1/2, -3/2], [12, -11/2, -1/2], [4, -1/2, -3/2], [0, 0, 0]], [[117, 33, -12], [2427/4, 2847/4, -943/2], [229/2, 63/2, -10], [5/4, 3/4, -1]], [[5996764, 881139/2, -2498747/2], [33988633, 85827437/2, -55765999/2], [5850908, 626883/2, -2298571/2], [72928, 63564, -50044]]], 0, 64, [], [] >,
< [ -1, -4, 0, 1 ], [[-14, -8, 6]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15, 35/2, 3/2], [35/2, 39/2, 1], [29/2, 1, 1/2], [0, 0, 0]], [[-9897811/2, -4647412, 1597715/2], [-11657527/2, -10670333/2, 1129071], [-9400447/2, 2095079/2, -248682], [-1/2, -1/2, 0]], [[-327565/2, -231301/2, 84231], [-390651/2, -141635, 206057/2], [-145733, 204561/2, -36099/2], [0, 0, 0]]], 0, 96, [], [] >,
< [ -1, -4, 0, 1 ], [[-24, -17, 13]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 23/2, 9/2], [2, 23/2, 9/2], [-29, 1, -4], [0, 0, 0]], [[-687792, -13209, 69373], [-4813918/7, -91991/7, 485633/7], [-64821917/2, -589787, 15224755/2], [-101/14, 1/7, -5/14]], [[-1681614713505, -1520410087731/2, 1435977812825/2], [-11770251287801/7, -10643116507557/14, 10051638754019/14], [-143695096399043/2, -12053285669367, 43558162852589/2], [-278304875/14, -14718141, 154530629/14]]], 0, 192, [], [] >,
< [ -1, -4, 0, 1 ], [[31, -21, 2]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-59, -261, -124], [-59, -261, -124], [-15, -4, 3], [0, 0, 0]], [[328813/2, 388925/2, -95223], [2303015/14, 2723443/14, -95221], [4436305/2, -15087, -977015/2], [-107/14, 2/7, -5/14]], [[2920361643557, 8396784185101/2, -5389656114147/2], [20451428230411/7, 58780259361611/14, -37734206232389/14], [33687402839567, -2103881220871, -6537237514342], [-101364414, 484986098/7, -47764342/7]]], 0, 1536, [], [] >,
< [ -1, -4, 0, 1 ], [[24, -4, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, -75, -35], [0, -11, -5], [0, 0, 0]], [[1, -4, -1], [13943/2, 188417/2, 47789], [-4336, 13085, 7877], [3/2, 1/2, -1]], [[4351/2, 1584, -2471/2], [-50821593/4, -6577415/4, 3623375], [-6541466, -1661317/2, 3711981/2], [3707/4, -3115/4, 161]]], 0, 96, [], [] >,
< [ -1, -4, 0, 1 ], [[-80, -16, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [48, 14, -12], [-8, 2, -4], [0, 0, 0]], [[0, 0, 0], [1281001, 214829, -336236], [-229506, 44398, -16496], [-3, -1, 2]], [[0, 0, 0], [-570295113/2, -53473925/2, 73504213], [55280473, -974789, -9284280], [1273/2, 211/2, -240]]], 0, 15360, [], [] >,
< [ -1, -4, 0, 1 ], [[80, 0, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 10, -6], [6, 26, 8], [0, 0, 0]], [[0, 0, 0], [22789, 2701/2, -10733/2], [-386, -2385, -1019], [0, -1/2, 3/2]], [[0, 0, 0], [-493966263, -31884471, 125513459], [-3447280, -222226, 873228], [-4991, -287, 1253]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[80, 0, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -6, -2], [-10, -36, -14], [0, 0, 0]], [[0, 0, 0], [448, -451/2, 17/2], [-2208, -8833, 4685], [1, 3/2, -3/2]], [[0, 0, 0], [-457129/2, -28871/2, 57933], [-150063, 1077, 33090], [-471/2, -39/2, 60]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[-24, -8, 8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, -45, -23], [7, 11, 3], [0, 0, 0]], [[0, 0, 0], [2479/2, 17074, -25021/2], [-7964, -20611, 12448], [-3/2, 2, 3/2]], [[0, 0, 0], [-226234, -1783867, 1787847/2], [663037, 1803365, -1000900], [149, 9, -75/2]]], 0, 240, [], [] >,
< [ -1, -4, 0, 1 ], [[28, -12, 0]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-84, 0, -8], [-11, 2, -3], [0, 0, 0]], [[0, 0, 0], [482176577/2, 29148001/2, -26706824], [32728190, -7684, -1568666], [0, 3/2, -5/2]], [[0, 0, 0], [-367576817905007, -19948048664812, 91338139313015], [-50792360355450, -2413342579740, 12450703490490], [739640, -320232, 440]]], 0, 480, [], [] >,
< [ -1, -4, 0, 1 ], [[-208, -48, 64]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-52, -8, 4], [14, 4, 10], [0, 0, 0]], [[0, 0, 0], [-41797412/7, -578476/7, 7295292/7], [1436933, -592278, 395763], [93/7, 2/7, 3/7]], [[0, 0, 0], [73954358599812/7, 8428358976682/7, -20194365113402/7], [-3117162644921, -1104238670921, 1157902174820], [-24454463, -35955961/7, 51811860/7]]], 0, 46080, [], [] >,
< [ -1, -4, 0, 1 ], [[368, -32, -80]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, 6, 6], [-60, -2, -2], [0, 0, 0]], [[0, 0, 0], [-13356502/7, 347090/7, 308584/7], [3253965, -177576, -295663], [-85/7, -4/7, 3/7]], [[0, 0, 0], [9865554708154/7, -1019743311792/7, -2018940908862/7], [-2436027986986, 153287998497, 513038807187], [61937814/7, -5168103/7, -13507413/7]]], 0, 368640, [], [] >,
< [ -1, -4, 0, 1 ], [[-64, -64, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 26, -22], [0, -4, 8], [0, 0, 0]], [[0, 0, 0], [3, -2, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [2226, 82, -414], [-1704, -144, 360], [0, 0, 0]]], 0, 491520, [], [] >,
< [ -1, -4, 0, 1 ], [[64, 128, 64]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, -52, -46], [-8, 12, -16], [0, 0, 0]], [[0, 0, 0], [-2, 0, 1], [2, 2, 0], [1, 0, 0]], [[0, 0, 0], [-20180, 2002, -1442], [-14300, 6292, -572], [0, 0, 0]]], 0, 122880, [], [] >,
< [ -1, -4, 0, 1 ], [[6, -1, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, 5/2, 2], [11/2, -3/2, -2], [15/2, 5/2, 2], [0, 0, 0]], [[-193494, -21138, 47696], [-628381/4, -35609/4, 82041/2], [-386983/2, -42273/2, 47694], [5/4, 3/4, -1]], [[19577040, 1430880, -5042768], [64265915/4, 1055596, -16377517/4], [39153599/2, 1430763, -10085315/2], [-481/4, -117/2, 221/4]]], 1, 2, [], [] >,
< [ -1, -4, 0, 1 ], [[6, -1, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-12, 0, -2], [-7, 1, 2], [-12, 0, -2], [0, 0, 0]], [[1809857/2, 2058, -315169/2], [2152295/4, 31155/2, -546117/4], [904932, 2058, -157584], [-7/4, 0, -1/4]], [[-8023561055/2, -90189147, 1899679983/2], [-9524435535/4, -557970479/4, 596313010], [-4011795816, -180375027/2, 1899685851/2], [30577/4, -3267/4, -1467]]], 1, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[-7, -4, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, -1, -2], [72, 3, 7], [-15, -1, -2], [0, 0, 0]], [[-81041845/2, -1485997/2, 1750565], [195074906, 3552945/2, -24444135/2], [-81041819/2, -1485993/2, 1750564], [-13/2, -1, 1/2]], [[-1622151739575/2, -650898763435, 913893570449/2], [15417182292729/4, 2943278204410, -8472401307601/4], [-811075640925, -650898637166, 456946686325], [-457725/4, -126269/2, 197799/4]]], 0, 16, [], [] >,
< [ -1, -4, 0, 1 ], [[-7, -4, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 0, -2], [20, -3, 1], [4, 0, -2], [0, 0, 0]], [[4197/2, 707/2, 264], [12563, 8469/2, -16287/2], [4215/2, 711/2, 265], [-9/2, -1, -1/2]], [[131896081/2, 35468617, -55158107/2], [900117211/4, -1090567405/4, 128070749/2], [66222633, 71209727/2, -55375129/2], [-549185/4, -272493/4, 108511/2]]], 0, 16, [], [] >,
< [ -1, -4, 0, 1 ], [[21, -2, -3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-41, -3/2, 1/2], [28, -35/2, -49/2], [-41, -3/2, 1/2], [0, 0, 0]], [[-333723, 357006, 349245], [2343005/4, 2477981/2, 2148881/4], [-667493/2, 357008, 698485/2], [-47/4, 1, -5/4]], [[140177435775, 514049835/2, -98816195205/2], [-117293782974, -103698055667/2, -25746037/2], [140185563135, 512597667/2, -98818591581/2], [4063680, -363042, -599094]]], 0, 128, [], [] >,
< [ -1, -4, 0, 1 ], [[112, -48, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 14, 8], [-22, 0, 6], [0, 0, 0]], [[0, 0, 0], [142065/2, 435822, -265933/2], [25759, -3992, 137], [-3/2, 1, 1/2]], [[0, 0, 0], [559903987/2, 1470116280, -1536968551/2], [69939583, -36983334, 1365123], [-9425/2, 1605, 435/2]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[0, 32, 16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -6, -4], [4, 8, 2], [0, 0, 0]], [[0, 0, 0], [-557/2, -1953, -2405], [864, 3833, 959], [1/2, 2, 1]], [[0, 0, 0], [6776, 560, -1792], [-5148, -242, 1276], [0, 0, 0]]], 0, 480, [], [] >,
< [ -1, -4, 0, 1 ], [[0, 32, 16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, -122, -56], [6, -6, 4], [0, 0, 0]], [[0, 0, 0], [-7303, -23368, -20435/2], [26188, 808, -5759], [-1, -1, 1/2]], [[0, 0, 0], [11399/2, -56937/2, -34173/2], [-154323, -8531, 39147], [9/2, 1/2, -3/2]]], 0, 480, [], [] >,
< [ -1, -4, 0, 1 ], [[-48, -48, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 10, 2], [0, -4, 6], [0, 0, 0]], [[0, 0, 0], [-24581/2, 377/2, 3169], [42281, 1673, -9948], [-3/2, 1/2, -2]], [[0, 0, 0], [520217136, 81798125/2, -272189227/2], [-1766077598, -136241201, 459003749], [88193, 102039/2, -83979/2]]], 0, 3840, [], [] >,
< [ -1, -4, 0, 1 ], [[-48, -48, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-54, -4, 8], [-2, 4, 4], [0, 0, 0]], [[0, 0, 0], [-615099, -101804, 195846], [-28466, 5832, -5684], [-1, 0, 2]], [[0, 0, 0], [-7421541713/2, -559038853, 2186091231/2], [-168067669, 64408860, 7951069], [-15397/2, -8130, 10813/2]]], 0, 3840, [], [] >,
< [ -1, -4, 0, 1 ], [[17, -1, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[43/2, 2, 1/2], [-95/2, 33, 45/2], [43/2, 2, 1/2], [0, 0, 0]], [[-156966532, 620252, 2416844], [1472826215/4, -185149291, -548488163/4], [-313933093/2, 620253, 4833683/2], [-29/4, 1/2, -5/4]], [[-237749293059264, -1069778139840, 58473251721792], [2503589835199511/4, 184943805048771/4, -281273988258721/2], [-475498630751859/2, -2139554431457/2, 58473257057386], [-44633331/4, 1848223/4, 2667797]]], 0, 32, [], [] >,
< [ -1, -4, 0, 1 ], [[17, -1, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[61/2, -1, 5/2], [25/2, 40, 79/2], [61/2, -1, 5/2], [0, 0, 0]], [[25375287/2, -2750223/2, 296058], [6985689/2, 34962939/4, 49051235/4], [25375281/2, -1375112, 592115/2], [-3/2, -1/4, -1/4]], [[1291821284712, -32600504580, -292563237876], [509966238769/4, -600158766301/2, -76831296891/4], [2583641998113/2, -32600489604, -585126340461/2], [-571311/4, 7488, 135291/4]]], 0, 32, [], [] >,
< [ -1, -4, 0, 1 ], [[17, -1, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-29, 3/2, -5/2], [6, 13/2, -5/2], [-29, 3/2, -5/2], [0, 0, 0]], [[13860805/2, -1085335, -157415/2], [-5484873/4, -4850479/4, 658335], [6930409, -2170667/2, -157419/2], [-13/4, -3/4, 1]], [[-35096999850, -1160231400, 16533297450], [15097899773/4, -16620572321/4, -762484623], [-70194055587/2, -2320458523/2, 16533304067], [55887/4, -4277/4, -6617/2]]], 0, 32, [], [] >,
< [ -1, -4, 0, 1 ], [[-5, -1, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, 1, -3/2], [-31/2, 3, 1/2], [-15/2, 1, -3/2], [0, 0, 0]], [[11131/2, -6591, -1701/2], [53337/4, -25381/4, -3091/2], [5566, -13187/2, -1703/2], [1/4, -5/4, -1/2]], [[-172086495, -97916175/2, 128433045/2], [-347680864, -149410453/2, 229090717/2], [-172111359, -97924655/2, 128452117/2], [-12432, -2120, 4768]]], 1, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[-5, -1, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, 3/2, 1/2], [19, 9/2, 1/2], [10, 3/2, 1/2], [0, 0, 0]], [[-35453/2, 13301/2, -2217], [-137793/4, 26863/4, -1530], [-17728, 6648, -2216], [3/4, 5/4, -1/2]], [[23851957, -458998, -5504104], [88841455/2, -131750, -10644036], [23853024, -458712, -5504544], [-1067/2, -143, 220]]], 1, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[-5, -1, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 1/2, 1/2], [-41, -5/2, -9/2], [-1, 1/2, 1/2], [0, 0, 0]], [[5/2, -3/2, 2], [33/4, -229/4, 57/2], [0, 0, 0], [5/4, -3/4, 1]], [[-113584, -20956, 41664], [-993234, -401037, 422945], [0, 0, 0], [-56792, -10478, 20832]]], 1, 8, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -7, 5]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 1, -3/2], [-575/2, 1, -19/2], [17/2, 1, -3/2], [0, 0, 0]], [[-33844415, 77636, 507711], [3062303139/4, -2842916899/2, 4361860803/4], [-67688881/2, 77636, 1015417/2], [51/4, 0, 5/4]], [[-477191147500093/2, -70240563837314, 132149451328305/2], [42297452316079785/4, 20181780707503827/2, -21664427651456231/4], [-238595759673648, -70240636145160, 66074777502240], [371847203/4, 36153923, -103676175/4]]], 0, 256, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -7, 5]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-24, -1/2, -3/2], [-24, -5/2, 1/2], [-24, -1/2, -3/2], [0, 0, 0]], [[43899390, -4078749/2, 1040005/2], [43933520, 7663545/4, -10995445/4], [43899375, -2039375, 520000], [15/2, 1/4, 5/4]], [[-2021568757135, -1059369974615/2, 1163796039385/2], [-3871364561233/2, -802015155805/2, 519744743257], [-2021568055000, -1059369471875/2, 1163795644375/2], [-702135/2, -125685, 197505/2]]], 0, 256, [], [] >,
< [ -1, -4, 0, 1 ], [[16, 96, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, -108, -54], [-6, -6, -6], [0, 0, 0]], [[0, 0, 0], [143/2, 1511/2, 1377/2], [-102, -172, 202], [-1/2, -1/2, 1/2]], [[0, 0, 0], [7140, 2780, -785/2], [3949, 333, -808], [31, 2, -15/2]]], 0, 960, [], [] >,
< [ -1, -4, 0, 1 ], [[16, 96, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-74, -284, -136], [-10, 6, 2], [0, 0, 0]], [[0, 0, 0], [-36085/2, -191631/2, -77735/2], [2522, -5392, 2794], [-1/2, 1/2, 1/2]], [[0, 0, 0], [209750, 94402, -81379/2], [210881, 39597, -66336], [-31, -2, 15/2]]], 0, 960, [], [] >,
< [ -1, -4, 0, 1 ], [[16, 96, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [88, 384, 178], [2, -10, -10], [0, 0, 0]], [[0, 0, 0], [-155396, -489207/2, -76356], [-208312, -18885, 64042], [1, 1/2, 0]], [[0, 0, 0], [4252, -25502, 5876], [15052, -27122, 9656], [0, 0, 0]]], 0, 960, [], [] >,
< [ -1, -4, 0, 1 ], [[96, -16, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [198, 892, 422], [4, -4, -4], [0, 0, 0]], [[0, 0, 0], [217, 2781/2, 1067/2], [540, 611, -421], [-2, -5/2, -1/2]], [[0, 0, 0], [152961, -206607/2, 29541/2], [-784686, -495659, 409797], [2610, 735/2, -1515/2]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[96, -16, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-54, -240, -114], [-28, -6, -2], [0, 0, 0]], [[0, 0, 0], [41295/2, -2524, -125/2], [1532983, 19618, -351851], [7/2, -1, 1/2]], [[0, 0, 0], [2901174169/2, -201717711/2, -293996280], [105975248079, 4878868845, -26000794518], [504711/2, -75795/2, -42687]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[96, -16, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -6, 0], [-2, 0, -6], [0, 0, 0]], [[0, 0, 0], [-23319, -1068, 5030], [6634, 13988, 6624], [-5, -2, 0]], [[0, 0, 0], [-29591447, 616801/2, 12991543/2], [3960324, -2274163, -361311], [-5750, 843/2, 2327/2]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -64, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-66, 32, -22], [-10, -10, 4], [0, 0, 0]], [[0, 0, 0], [38818211/2, 5862362, -10303047/2], [1705889, 78874, -150071], [-25/2, -1, -5/2]], [[0, 0, 0], [-269437783737, 72547302841/2, 75811051721/2], [-29303625212, -9141094745, 10163441753], [240656, 304291/2, -220987/2]]], 0, 61440, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -64, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [142, 0, 10], [-26, -2, -4], [0, 0, 0]], [[0, 0, 0], [55399126, 8084201/2, -24589/2], [-10151396, -1502223, -701381], [5, 3/2, -5/2]], [[0, 0, 0], [624683931273, -258892789501, -103552092134], [-109758507444, 58661240982, 19042933494], [67353, 37191, -28578]]], 0, 61440, [], [] >,
< [ -1, -4, 0, 1 ], [[7, -3, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 5/2, 0], [-1/2, 7/2, 3], [7/2, 5/2, 0], [0, 0, 0]], [[4593, 975, -1884], [-11901/4, -8499/2, 7035/4], [9187/2, 975, -3769/2], [-1/4, 0, 1/4]], [[14826348, -1385640, -2632716], [-4480327, 26985599/4, -8504617/4], [14827843, -2772593/2, -5265427/2], [-1495/2, 1313/4, -5/4]]], 1, 8, [], [] >,
< [ -1, -4, 0, 1 ], [[7, -3, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19, -5/2, 3/2], [33, -11/2, 13/2], [19, -5/2, 3/2], [0, 0, 0]], [[36880997/2, 1168313, -5038015/2], [65106407/2, 9833659/4, -12458837/4], [36880991/2, 2336627/2, -2519007], [-3/2, 1/4, 1/4]], [[-7316945136, 2393815384, 1287240348], [-49880143901/4, 5875192007, 7778258583/4], [-14633887829/2, 2393814877, 2574480677/2], [2443/4, -507/2, -19/4]]], 1, 8, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -9, 7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21/2, 0, 3/2], [193/2, 5, 5/2], [21/2, 0, 3/2], [0, 0, 0]], [[10529210, -244488, -431758], [384913427/4, 7736713/4, -10013590], [21058425/2, -488975/2, -431759], [5/4, 1/4, -1/2]], [[-4392481595/2, 8356891359/2, -1952571692], [-94482022827/4, 98029988597/4, -19044421865/2], [-2196241831, 4178444711, -1952570950], [-2067/4, -1937/4, 371]]], 0, 64, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -9, 7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 1/2, 1/2], [96, -7/2, 11/2], [9, 1/2, 1/2], [0, 0, 0]], [[-24255609, -690855, 1200132], [-1043093493/4, 33623933/4, 12437382], [-48511241/2, -1381709/2, 1200131], [-23/4, 1/4, -1/2]], [[448737740460, 540080931303/2, -491050198611/2], [5019671898004, 6738736414893/2, -5753376702621/2], [448737985268, 540081374059/2, -491050543103/2], [122404, 110689, -86123]]], 0, 64, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -9, 7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-71/2, -1/2, -2], [123/2, -9/2, 1], [-71/2, -1/2, -2], [0, 0, 0]], [[77148420, 26038814, 8633974], [-263511395/2, -103247337/4, -22904085/4], [77148422, 52077633/2, 17267943/2], [1, 5/4, -5/4]], [[-4760220689264, -36389003004, 828860623980], [8378098473924, -278509188231/4, -6107152386481/4], [-4760220799775, -72778209993/2, 1657721405343/2], [-110511/2, -203985/4, 157383/4]]], 0, 64, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -9, 7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[29/2, -3/2, 1], [-45/2, 3/2, -1], [29/2, -3/2, 1], [0, 0, 0]], [[1486085/2, 87875/2, -25194], [-4587943/4, -87809, 217491/4], [743048, 87871/2, -50387/2], [11/4, -1, 1/4]], [[194632850256, 79810078512, -100636933072], [-1180546082859/4, -439598481927/4, 294299099029/2], [389269500087/2, 159623514573/2, -100638245578], [3799575/4, 3357549/4, -656253]]], 0, 64, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -9, 7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 3/2, 3/2], [-48, -5/2, -7/2], [-1, 3/2, 3/2], [0, 0, 0]], [[32791/2, 87/2, -665], [1336209/2, 714065/4, -1029087/4], [32817/2, 43, -1327/2], [-13/2, 1/4, -3/4]], [[-60358657, -77583291/2, 67577541/2], [-1427275343, 5405026777/4, -1340012197/4], [-60413272, -38842768, 33827848], [54615/2, 102245/4, -78155/4]]], 0, 64, [], [] >,
< [ -1, -4, 0, 1 ], [[-80, -16, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [62, 6, 0], [-16, -2, -2], [0, 0, 0]], [[0, 0, 0], [4234555/2, -14367, -40649/2], [-539307, 16604, -61553], [7/2, 2, 1/2]], [[0, 0, 0], [-478970187, -211121136, 214119116], [130090432, 76378998, -68014770], [-639, -142, 246]]], 0, 15360, [], [] >,
< [ -1, -4, 0, 1 ], [[80, 0, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -6, -4], [16, 2, 2], [0, 0, 0]], [[0, 0, 0], [3207/2, 51/2, 611/2], [14251, 21915, -14245], [-3/2, 5/2, -3/2]], [[0, 0, 0], [-11506917/2, -348039, 2793701/2], [-28319395, -4005784, 8281169], [15743/2, 226, -3629/2]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[80, 0, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -4, 8], [4, 10, -2], [0, 0, 0]], [[0, 0, 0], [-5205/2, 215, 575], [507, -122, 24], [3/2, -1, 0]], [[0, 0, 0], [-243221/2, -15081/2, 31405], [25257, 2441, -6254], [165/2, 11/2, -22]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[-80, -16, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [58, 0, 2], [-4, -4, -4], [0, 0, 0]], [[0, 0, 0], [64960, 1222, -11611], [-3724, -766, -380], [4, 2, -1]], [[0, 0, 0], [-38460689/2, 730724, 8480917/2], [991811, -335462, -192445], [-2233/2, -243, 867/2]]], 0, 15360, [], [] >,
< [ -1, -4, 0, 1 ], [[-80, -16, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-66, -2, 8], [-10, -4, 10], [0, 0, 0]], [[0, 0, 0], [-1904776, -48373, 612186], [-250032, -58658, -41024], [4, 1, -2]], [[0, 0, 0], [97064317/2, 6569551/2, -13236447], [6091203, 117003, -781972], [-197/2, -37/2, 34]]], 0, 15360, [], [] >,
< [ -1, -4, 0, 1 ], [[-80, -16, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-84, -4, -4], [4, -6, 6], [0, 0, 0]], [[0, 0, 0], [8509299/2, 177511/2, -971372], [-282683, 60703, 30914], [5/2, -1/2, 1]], [[0, 0, 0], [338344996, 24700275, -92090418], [-24657236, -3827110, 8105312], [174, -203, -232]]], 0, 15360, [], [] >,
< [ -1, -4, 0, 1 ], [[-80, -16, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -6, -4], [-18, -10, 0], [0, 0, 0]], [[0, 0, 0], [992, 2231/2, -1319/2], [636, 93, -113], [-1, 5/2, -3/2]], [[0, 0, 0], [4775539/2, -42577, -1072151/2], [2217683, 128852, -574977], [-12985/2, -848, 3975/2]]], 0, 15360, [], [] >,
< [ -1, -4, 0, 1 ], [[-7, -4, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, -1/2, 1], [-15/2, -5/2, 4], [-13/2, -1/2, 1], [0, 0, 0]], [[6140, 380, -1600], [12821/2, 1317/4, -6031/4], [6140, 757/2, -3197/2], [0, 3/4, -3/4]], [[-509040, -32320, 129280], [-2138529/4, -36771, 546359/4], [-1018179/2, -32353, 258607/2], [99/4, 33/2, -47/4]]], 1, 16, [], [] >,
< [ -1, -4, 0, 1 ], [[-7, -4, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -1, 0], [3, 2, -1], [-7, -1, 0], [0, 0, 0]], [[-3139, 62269/2, -32339/2], [50597/4, 114843/4, -15761], [-6285/2, 31134, -32335/2], [7/4, 1/4, -1]], [[-975280, -37060640, 17311220], [-49124571/4, -30454012, 69096037/4], [-1944369/2, -37058885, 34619789/2], [-6191/4, -1755/2, 2651/4]]], 1, 16, [], [] >,
< [ -1, -4, 0, 1 ], [[21, -2, -3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-85/2, 0, -3/2], [27/2, -48, -99/2], [-85/2, 0, -3/2], [0, 0, 0]], [[1297740, -173032, -259548], [-1766307/2, -2688963/4, 772825/4], [1297744, -346059/2, -519093/2], [-2, -5/4, -3/4]], [[0, 0, 0], [-9/4, -1/4, 1/2], [-1/2, 1/2, 0], [1/4, -1/4, 0]]], 0, 128, [], [] >,
< [ -1, -4, 0, 1 ], [[21, -2, -3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -3/2, 2], [-95/2, -5/2, 0], [3/2, -3/2, 2], [0, 0, 0]], [[-1469979, 24444, 47495], [142050675/4, 11017419/4, -14570731/2], [-2939991/2, 48873/2, 47495], [-11/4, -5/4, 0]], [[-308497564312, 388526967129, -120091297557], [19091999730949/2, -925743632949, -3315274054791/2], [-308501617957, 388527342249, -120090712332], [-1351215/2, 62520, 195075/2]]], 0, 128, [], [] >,
< [ -1, -4, 0, 1 ], [[-7, -4, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, 3/2, 1/2], [5, 11/2, -9/2], [12, 3/2, 1/2], [0, 0, 0]], [[8245072, 585706, -1451230], [10650969/4, 4790509/4, -2591895/2], [16490143/2, 1171413/2, -1451230], [-1/4, 1/4, 0]], [[28214692000, 2539322280, -8464407600], [14107005613/2, -10080048867/4, -774019181/4], [28214689442, 5078641643/2, -16928813033/2], [-1279, -2917/4, 2167/4]]], 1, 16, [], [] >,
< [ -1, -4, 0, 1 ], [[-7, -4, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 5/2, -2], [145/2, 5/2, 3], [11/2, 5/2, -2], [0, 0, 0]], [[196251, -4755, -12372], [7190063/2, 9053987/4, -1700395/4], [196253, -9509/2, -24739/2], [1, 1/4, 5/4]], [[3614054010, 565841199, -1046684793], [52702249645, 905464050, -10781325169], [3614096470, 565865267, -1046702525], [21230, 12034, -8866]]], 1, 16, [], [] >,
< [ -1, -4, 0, 1 ], [[112, -48, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -6, -8], [12, 68, 32], [0, 0, 0]], [[0, 0, 0], [2227, -395, -302], [7992, 448, -1948], [5, 1, 0]], [[0, 0, 0], [23865355/2, -7740145, 1989121/2], [47959813, 1275056, -11311107], [51371/2, -11844, 611/2]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[112, -48, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [52, 0, -4], [-14, -42, -24], [0, 0, 0]], [[0, 0, 0], [1369843/2, -6764, -292573/2], [-63051, 782, -8757], [-9/2, -1, -3/2]], [[0, 0, 0], [-71265962052, 33787812, 15907079320], [6179406364, -1846401622, -446736046], [411538, -155854, -10132]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[-48, -48, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38, -6, 4], [-2, 2, -4], [0, 0, 0]], [[0, 0, 0], [-409513/2, -21049/2, 43195], [14003, 457, -608], [5/2, -1/2, 0]], [[0, 0, 0], [800616430, 144821492, -478953621/2], [-62193752, -33322322, 26764005], [-12692, -9367, 13851/2]]], 0, 3840, [], [] >,
< [ -1, -4, 0, 1 ], [[-48, -48, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, -2, -2], [-14, -2, 4], [0, 0, 0]], [[0, 0, 0], [-16, -89/2, -3/2], [-2, -5, -5], [1, 5/2, 5/2]], [[0, 0, 0], [31460, -83751, 67607/2], [16720, 15580, -10735], [-8360, -7790, 10735/2]]], 0, 3840, [], [] >,
< [ -1, -4, 0, 1 ], [[-48, -48, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [48, 196, 80], [6, 10, -4], [0, 0, 0]], [[0, 0, 0], [-9373/2, -539, 1179], [-4417, -350, 1156], [-1/2, 1, 2]], [[0, 0, 0], [-10044324, -682786, 2568800], [-9546816, -636968, 2435572], [-1520, -500, 570]]], 0, 3840, [], [] >,
< [ -1, -4, 0, 1 ], [[-48, -48, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, -126, -28], [14, 0, 10], [0, 0, 0]], [[0, 0, 0], [-431646421/2, -22930369/2, 105397437/2], [-195294477, -11117879, 49060325], [1/2, 5/2, 3/2]], [[0, 0, 0], [277351151746, 34590940859/2, -70186546837], [250694463502, 15946026281, -63587954232], [67, 119/2, -41]]], 0, 3840, [], [] >,
< [ -1, -4, 0, 1 ], [[17, -1, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-29, 3/2, -5/2], [-8, 1/2, -5/2], [-29, 3/2, -5/2], [0, 0, 0]], [[267189461/2, 14621277/2, -424215], [74977247/2, 14549053/4, 24044079/4], [267189443/2, 7310634, -848433/2], [-3/2, -3/4, -1/4]], [[704903472504, -79626937203/2, -297339901089/2], [193874520937, -50241926815/2, -72628806339/2], [704903429934, -79626931923/2, -297339881157/2], [-7095, 440, 1661]]], 1, 32, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -7, 5]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[58, 5/2, 3/2], [57, 3/2, -1/2], [58, 5/2, 3/2], [0, 0, 0]], [[-107664085, -4356010, 24428975], [-424303405/4, -8813279/2, 97563871/4], [-215328161/2, -4356008, 48857949/2], [-9/4, -1, 1/4]], [[2958454123120, -184903382695, -554710148085], [2922994380472, -299123992669/2, -1133632574057/2], [2958453996220, -184903432324, -554710112706], [63450, 49629/2, -35379/2]]], 0, 256, [], [] >,
< [ -1, -4, 0, 1 ], [[17, -1, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-43, 5/2, -3/2], [-21, -5/2, 3/2], [-43, 5/2, -3/2], [0, 0, 0]], [[-4150707/2, -265505, 417493/2], [-3912503/4, -709893/4, 134778], [-2075346, -531001/2, 417505/2], [5/4, 3/4, 1]], [[100026706500, 4341191400, -24974756100], [185909194433/4, 9707913527/4, -23569816065/2], [200052760377/2, 8682441669/2, -24974682672], [-217541/4, 19623/4, 12238]]], 1, 32, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -7, 5]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-37/2, 3/2, -1], [31/2, -3/2, -4], [-37/2, 3/2, -1], [0, 0, 0]], [[-5387164, -1378550, -965334], [8153075/2, -1675473/2, -1308108], [-5387155, -1378549, -965334], [-9/2, -1/2, 0]], [[1068913633918, 606772442812, -274262895930], [-764172779372, -124592727933/4, 1025105570629/4], [1068911895041, 1213543553699/2, -548524827757/2], [1738877/2, 1331925/4, -964103/4]]], 0, 256, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -64, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -4, 6], [-2, -6, 0], [0, 0, 0]], [[0, 0, 0], [-307558, -54423/2, 160141/2], [9276, 57, -1379], [-3, -1/2, 5/2]], [[0, 0, 0], [36472837369, 2863086219, -9531759239], [-1091260700, 55331318, 228794128], [389449, 221369, -167507]]], 0, 61440, [], [] >,
< [ -1, -4, 0, 1 ], [[96, -16, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 52, 24], [-10, -8, 2], [0, 0, 0]], [[0, 0, 0], [-130525/2, -43043, 16653], [-23113, 13890, 126], [3/2, -1, -2]], [[0, 0, 0], [2551188703/2, 14441317/2, -573250307/2], [664297301, 94332977, -193286941], [-76875/2, 3075/2, 16195/2]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -64, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-186, 2, 0], [-16, 2, 6], [0, 0, 0]], [[0, 0, 0], [30613271/2, 27890051, -36028167/2], [610523, -2508, -18881], [-5/2, 0, -1/2]], [[0, 0, 0], [96071282229, 1526547836147, -730388711970], [-32999346396, -11564048028, 11776817220], [146925, 83565, -62640]]], 0, 61440, [], [] >,
< [ -1, -4, 0, 1 ], [[96, -16, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -24, -8], [26, 8, -10], [0, 0, 0]], [[0, 0, 0], [263/2, -2013/2, -1335/2], [-3777, -501, 1073], [5/2, 1/2, 3/2]], [[0, 0, 0], [-12375071, -2477807, 6288185/2], [124899878, 10590960, -32937801], [-79487, 16160, 23533/2]]], 0, 7680, [], [] >,
< [ 3, -4, -1, 1 ], [[0, 2, -1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[-5/2, -17/2, -2], [-1/2, 13/6, 0], [-9/2, 1/2, -1], [-3/2, 1/6, -1/3]], [[2920, -2483/2, -164], [-740, 5483/6, -736/3], [183/2, 1830, -1769/2], [61/2, 610, -1769/6]]], 4, 2, [], [] >,
< [ 3, -4, -1, 1 ], [[1, -3, 1]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[-1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33/2, 5/2, -3], [-93/10, 97/10, -2], [-19/2, 5/2, -5/2], [-7/5, 0, -1/10]], [[140, 423/2, -105], [-236/5, 963/5, -797/10], [119/2, 595/4, -269/4], [161/10, 251/20, -151/20]]], 4, 2, [], [] >,
< [ 3, -4, -1, 1 ], [[1, 2, -1]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[-5/2, 17/2, 9/2], [-23/14, 31/14, 23/14], [3, 0, 2], [3/7, 0, 2/7]], [[-104, -29/2, 23], [-92/7, -33/14, 16/7], [-79, 5/2, 27/2], [-79/7, 5/14, 27/14]]], 4, 2, [], [] >,
< [ 3, -4, -1, 1 ], [[0, -32, 16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 6, 4], [8, -8, 0], [0, 0, 0]], [[0, 0, 0], [-2, 4, -2/3], [17, -29, 8], [-1, -5/3, 2/3]], [[0, 0, 0], [60, -208/3, 64/3], [-310, 614, -220], [-88, 22, 22/3]]], 0, 1344, [], [] >,
< [ 3, -4, -1, 1 ], [[-16, 48, -16]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -10, 8], [8, -8, -4], [0, 0, 0]], [[0, 0, 0], [17172/5, -4318/5, -861], [-507, 528, 989/2], [1/5, 0, 3/10]], [[0, 0, 0], [1923594/5, 197228/5, -488476/5], [18724, 3498, -5264], [268/5, 64/5, -84/5]]], 0, 2688, [], [] >,
< [ 3, -4, -1, 1 ], [[-16, -32, 16]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -4, -6], [-10, 6, -6], [0, 0, 0]], [[0, 0, 0], [-1197766/7, -99646/7, 30186], [-409433, -3381, 77835], [31/7, 3/7, 3/7]], [[0, 0, 0], [145407370/7, 5635544, -45954382/7], [44469345, 17086218, -16757769], [-2337/7, -4674/7, 2337/7]]], 0, 4032, [], [] >,
< [ 3, -4, -1, 1 ], [[-5, 3, 0]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 1, 5/2], [-5/2, 1, 5/2], [-13, -3, -5], [0, 0, 0]], [[588281/2, 6573, -35359/2], [4117919/14, 45935/7, -247563/14], [10774235, 886584, -5606663/2], [9/7, 0, 5/14]], [[32805139413, -17202794873/2, -6880950427/2], [32803917813, -120421938087/14, -48160451333/14], [893899507486, 118465600138, -236686519850], [1455740/7, -813382/7, 15270/7]]], 1, 8, [], [] >,
< [ 3, -4, -1, 1 ], [[80, -48, 0]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 10, 6], [12, 2, 4], [0, 0, 0]], [[0, 0, 0], [-18866/7, 1188/7, 540/7], [-16041, 19976, -6070], [-25/7, 0, 2/7]], [[0, 0, 0], [-2235204/7, 180508, -8236/7], [-3122524, 5021434, -1626744], [-2704/7, 1144/7, 156/7]]], 0, 32256, [], [] >,
< [ 3, -4, -1, 1 ], [[-2, 2, -1]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[-1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-12, 0, -3], [-15/2, 21/2, 1/2], [-23/4, 5/4, -7/4], [-5/4, -1/4, -1/4]], [[133/2, 1641/2, -246], [-2983/10, 6349/10, -1614/5], [-91/2, 969/2, -150], [112/5, 336/5, -96/5]]], 1, 4, [], [] >,
< [ 3, -4, -1, 1 ], [[32, -32, 16]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -8, 2], [-28, 28, 16], [0, 0, 0]], [[0, 0, 0], [966/5, 37/5, -249/5], [-78, 115/2, 101/2], [2/5, -3/10, 3/10]], [[0, 0, 0], [54126/5, 3758/5, -12888/5], [-676, -68, 138], [126/5, -28/5, -14/5]]], 0, 16128, [], [] >,
< [ 3, -4, -1, 1 ], [[-2, 9, -4]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19/2, 3/2, -3/2], [-5/2, 11/2, 1/2], [-19/2, 3/2, -3/2], [0, 0, 0]], [[12161/2, -35099, 18901/2], [37634/5, -67833/5, 46568/5], [24311/4, -70199/2, 37801/4], [11/20, 1/10, 1/20]], [[-514475, 2659625/2, -504900], [-487867, 832183, -271755], [-1028825/2, 5319125/4, -504900], [-25/2, 25/4, 0]]], 1, 20, [], [] >,
< [ 3, -4, -1, 1 ], [[-2, 9, -4]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 1/2, -1], [-31, 1/2, -6], [-6, 1/2, -1], [0, 0, 0]], [[-1609629/2, -46815, 106177], [-21693589/5, -1680386/5, 2782718/5], [-3219293/4, -93631/2, 212353/2], [7/4, 1/10, 1/10]], [[2247922673/2, -19695775082, 9198942589], [8333837472/5, -499175209414/5, 239636150454/5], [4496595953/4, -19696343221, 18398353789/2], [-750607/20, 568139/5, -468611/10]]], 1, 20, [], [] >,
< [ 3, -4, -1, 1 ], [[32, -144, 64]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 8, -6], [26, -4, 10], [0, 0, 0]], [[0, 0, 0], [-24142/5, -2297/5, 688], [-1277, -10425/2, -233], [9/5, 1/2, 1/5]], [[0, 0, 0], [-8342/5, -37822787/5, 3559073], [-26648419, 81712861/2, -24834501/2], [-11861/5, 16187/2, -33723/10]]], 0, 80640, [], [] >,
< [ 3, -4, -1, 1 ], [[32, -144, 64]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 10, 6], [-8, 2, 10], [0, 0, 0]], [[0, 0, 0], [-978501/5, -73434/5, 241737/5], [-107971/2, 2682, 22925/2], [-1/2, 2/5, -1/10]], [[0, 0, 0], [71927547/5, 3108143/5, -15540289/5], [5859935/2, 2713977/2, -2062083/2], [-47/2, 867/10, -373/10]]], 0, 80640, [], [] >,
< [ 3, -4, -1, 1 ], [[-3, 1, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -1/2, 1/2], [2, -1/2, 1/2], [-15, 20, 5], [0, 0, 0]], [[-5331/2, -597/2, 1049/2], [-5323/2, -601/2, 3151/6], [294, -5969/2, -1301], [0, -5/6, 1/3]], [[17040, 2321/2, -3977], [17020, 6979/6, -11923/3], [14748, 2790, -3111], [2, 4/3, -1]]], 1, 4, [], [] >,
< [ 3, -4, -1, 1 ], [[0, -3, 2]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -21/2, -5/2], [6, -23/2, 3/2], [6, -21/2, -5/2], [0, 0, 0]], [[253980, 14280, -53040], [1400841/10, -60101/10, -118821/5], [1015815/4, 57123/4, -53043], [-7/4, 1/20, -1/5]], [[97753536, 21307596, -32842878], [37304310, 36174299, -25382131], [195496347/2, 21290436, -32830008], [-715/2, -1144, 858]]], 1, 4, [], [] >,
< [ 3, -4, -1, 1 ], [[6, 7, -4]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 3/2, -1/2], [24, 5/2, 1/2], [0, 3/2, -1/2], [0, 0, 0]], [[-3003/2, 899/2, 468], [-231441/5, 9404, 91891/5], [-6015/4, 1799/4, 468], [9/20, -1/20, 0]], [[5973, 4775, -3037], [1328739/5, 68979/5, -47861], [11967/2, 9585/2, -6095/2], [-21/10, -7/2, 21/10]]], 0, 48, [], [] >,
< [ 3, -4, -1, 1 ], [[48, -16, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -4, -6], [6, 0, 8], [0, 0, 0]], [[0, 0, 0], [-733266, 961262/3, -492976/3], [640341, -583886, 292233], [3, -2/3, -1]], [[0, 0, 0], [-385154454, 132844900, 22038606], [311200959, -208204821, 27716484], [1045, 33, -220]]], 0, 5376, [], [] >,
< [ 3, -4, -1, 1 ], [[-96, -112, 64]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-102, -8, -6], [-24, 2, 8], [0, 0, 0]], [[0, 0, 0], [559110, -15989538/5, 8440617/5], [-131628, -7572, -28343/2], [48/5, 2/5, 3/10]], [[0, 0, 0], [2466008572164/5, -3789420657868/5, 1194190854318/5], [7421230836, 11367692692, -6212757014], [-2911896/5, -3381352/5, 2004704/5]]], 0, 193536, [], [] >,
< [ 3, -4, -1, 1 ], [[0, 48, -32]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 18, 8], [6, -10, -8], [0, 0, 0]], [[0, 0, 0], [-81906/5, -889/5, 7842/5], [2550, 7641/2, -962], [6, -1/10, 2/5]], [[0, 0, 0], [-379906435, -853728152, 537923137], [1326369605/2, -727510795, 289995505/2], [35823/2, 608991, -680637/2]]], 0, 16128, [], [] >,
< [ 3, -4, -1, 1 ], [[9, -12, 4]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, 9/2, 10], [-3/2, 5/2, 14], [-21/2, 9/2, 10], [0, 0, 0]], [[949575, 72325, -167475], [-16781217/5, -276777, 4565042/5], [949581, 144647/2, -167475], [2/5, -1/10, 0]], [[19844550, -10734625, 2379025], [-65925675/2, -175440578/5, 251822389/10], [79379721/4, -21470393/2, 9516883/4], [507/20, -381/10, 261/20]]], 1, 24, [], [] >,
< [ 3, -4, -1, 1 ], [[15, -17, 3]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 2, 2], [-75, -3, 1], [0, 2, 2], [0, 0, 0]], [[-253653, 14491, 1964], [43394523/5, -6058629/10, -1280048], [-253677, 57959/4, 1963], [24/5, 1/4, 1/5]], [[520896952329, -1250788431047/2, 277942677795/2], [-11218227884043, 11150616172244, -2545043508066], [1041898496073/2, -2501814952099/4, 555927927975/4], [-20918283/2, 47618001/4, -8514477/4]]], 0, 288, [], [] >,
< [ 3, -4, -1, 1 ], [[-144, 192, -64]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 6, 14], [-26, -4, -8], [0, 0, 0]], [[0, 0, 0], [19597833/5, 2164377/5, -5323746/5], [-8236893/2, -833571/2, 1083091], [-15/2, 3/10, -1/5]], [[0, 0, 0], [1177006386246/5, 1260900929086/5, -167454610484], [-276726549750, -207384951674, 154527151096], [-9802992/5, 2388388, -3978568/5]]], 0, 96768, [], [] >,
< [ 3, -4, -1, 1 ], [[-240, 272, -48]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -8, -6], [-30, 0, 10], [0, 0, 0]], [[0, 0, 0], [12864/5, -10373/5, -12717/5], [-2016, 4879/2, 2461/2], [54/5, 1/10, 3/10]], [[0, 0, 0], [67107317730, -89955156472, -3135001382], [2460142338, -30073711980, 32801822992], [-246545904, 280163268, -50087180]]], 0, 1161216, [], [] >,
< [ 2, -4, -1, 1 ], [[-8, -1, 2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -2, 3], [5/2, 1, 2], [7/2, 2, 5/4], [1, 1, -3/4]], [[-35243/2, -6405, 3117], [-45605/2, -6515, 3909], [-64965/2, -7307, 12317/2], [-9680, -792, 4499/2]]], 4, 1, [], [[[9, 1, -2]]] >,
< [ 2, -4, -1, 1 ], [[-4, -1, 1]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 2, 5/2], [0, 5, 9/2], [1, 2, 5/2], [0, 0, 0]], [[-7, 20, -8], [-19/2, 25, -9], [-21/2, 26, -39/4], [-1, 1, -3/4]], [[983/2, 24, -94], [447/2, -24, -30], [-593/2, -88, 96], [-520, -64, 126]]], 3, 1, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -1, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 1/2, -1], [-9/2, -1/2, -6], [3/2, 1/2, -1], [0, 0, 0]], [[11139/2, 1628, -1175], [-59641/2, 14135/2, 9720], [5573, 3245/2, -4695/4], [1/2, 0, 5/4]], [[8053457/2, 993977/2, -1890033/2], [-16114786, -2043443, 3816982], [4027489, 994315/2, -3780911/4], [507, 169/2, -507/4]]], 1, 2, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -1, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -5/2, 1], [-3, 15/2, -3], [2, -5/2, 1], [0, 0, 0]], [[-249, -22, 129/2], [73/2, 11, -13], [-246, -61/2, 123/2], [5/2, 3/2, 3/2]], [[-163287/2, -8745, 40035/2], [25757/2, 1512, -6463/2], [-163287/2, -9695, 39085/2], [950, 475, 0]]], 2, 2, [], [] >,
< [ 2, -4, -1, 1 ], [[-10, -3, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-35/2, 0, -5/2], [-37/2, 2, -11/2], [-35/2, 0, -5/2], [0, 0, 0]], [[699838, 171189/2, -305527/2], [1455867/2, 86427, -307257/2], [699842, 85592, -152766], [-3/2, 1, 1/2]], [[-120773266671/2, -15053325915/2, 14228040156], [-62805387977, -7832700780, 14805317378], [-120773650157/2, -7526690778, 14228083251], [155465/2, 11322, -18139]]], 0, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[-10, -3, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -1/2, 0], [-13/2, -9/2, 5], [1/2, -1/2, 0], [0, 0, 0]], [[-11/2, 3/2, 1], [46, -10, -8], [-5/2, -2, 3/2], [-5/2, -2, 3/2]], [[-42661/2, -6473/2, 4602], [185347, 26459, -41006], [-29169/2, -2144, 3373], [-29169/2, -2144, 3373]]], 0, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -1, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -1/2, 1/2], [-10, -5/2, -9/2], [5, -1/2, 1/2], [0, 0, 0]], [[-102877, -25138, -6452], [358273/2, 366795/2, 221451/2], [-205753/2, -25133, -25797/4], [-1, -1/2, -3/4]], [[589218169/2, 69601971/2, -68348099], [-1470749225/2, -174269883/2, 340148099/2], [294600332, 34799883, -273384233/4], [7137/2, 765/2, -3231/4]]], 1, 1, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -5, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-22, 3/2, 3/2], [-49, -5/2, 1/2], [-22, 3/2, 3/2], [0, 0, 0]], [[8069555/2, -719748, 248869/2], [17181847/2, 145845/2, 1211219], [8069573/2, -719731, 248883/2], [-6, -5/2, -3/2]], [[216691543735, 66764836931, -68638359040], [1044061332913/2, 149111599351, -324264114219/2], [216692705122, 133529940767/2, -137277293521/2], [-904987/2, -193759/2, 128200]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -5, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-31/2, -2, 3/2], [-113/2, -12, -15/2], [-31/2, -2, 3/2], [0, 0, 0]], [[14916789/2, -1142799, 681565/2], [30445848, -11513078, 12120168], [14916807/2, -2285591/2, 340782], [-9/2, 1/2, 0]], [[-100899901503/2, -12890079348, 30756468583/2], [-379977496257/2, -78840581238, 150960025277/2], [-100900061727/2, -12890088495, 30756508561/2], [30987, 7218, -9069]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -1, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 1, -2], [-8, 2, -6], [3, 1, -2], [0, 0, 0]], [[23421, 2227/2, -6695/2], [-124539/2, -34787/2, 27735], [23421, 1104, -6687/2], [-3/2, -5/2, 3/2]], [[-603114843/2, -52622757/2, 77414649], [1548535777/2, 337941483/2, -140830903], [-603022647/2, -52613613/2, 77403858], [29088, 4752, -6039]]], 0, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -1, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 0, 5/2], [43/2, -5, -1/2], [-1/2, 0, 5/2], [0, 0, 0]], [[15977/2, 2711/2, -321], [3002548, 369751, -703892], [15967/2, 1351, -322], [5/2, 1, 0]], [[-137650450, -18268880, 29804508], [-48988408455, -6096616561, 11524879436], [-137535534, -18247604, 29781358], [-47340, -7204, 10118]]], 0, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -1, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, -3/2, -2], [-37/2, 11/2, 0], [-15/2, -3/2, -2], [0, 0, 0]], [[-1223161/2, -91043/2, 74875], [-1200397, 56159, 180425], [-1223159/2, -45522, 74874], [1/2, -2, 1]], [[6375674556, 757706569, -1521327447], [11694021726, 1449093949, -2758136396], [6375669361, 757705239, -3042653209/2], [2180, 410, -835/2]]], 0, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[-6, -1, 1]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, 3/2, -2], [5/2, 11/2, 2], [-11/2, 3/2, -2], [0, 0, 0]], [[-33620, -15351/2, 17019/2], [36043, 12379/2, -7388], [-67225/2, -7677, 34025/4], [-5/2, -1/2, 5/4]], [[3135285/2, 678475/2, -423960], [-1708704, -435339/2, 391086], [1567355, 678425/2, -1695515/4], [100, 50, -175/4]]], 1, 2, [], [] >,
< [ 2, -4, -1, 1 ], [[-110, -15, 27]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 5/2, -2], [-233/2, 11/2, -4], [5/2, 5/2, -2], [0, 0, 0]], [[-615853, 27257/2, -27977/2], [23784738, 1056165/2, -20648639/2], [-615857, 27257/2, -27975/2], [2, -1, 0]], [[-5188409755/2, -579768713, 783393705/2], [107060928604, -2923470655/2, -69218766467/2], [-5188444787/2, -1159540113/2, 391701357], [14327/2, 279, -3189/2]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[-10, -3, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[25/2, 1/2, 2], [33/2, 9/2, -2], [25/2, 1/2, 2], [0, 0, 0]], [[-912281/2, -114369/2, 127665], [-630302, -67106, 313225/2], [-456141, -114373/2, 510665/4], [0, -3/2, -1/4]], [[-378422874, -47088941, 89613734], [-521899971, -64680714, 246118239/2], [-756847653/2, -94178217/2, 358455951/4], [-1225/2, -235/2, 545/4]]], 1, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[-10, -3, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 0, 5/2], [19/2, 2, 9/2], [11/2, 0, 5/2], [0, 0, 0]], [[-37299/2, 5207/2, 1683], [-34395, 2818, 3842], [-37289/2, 2599, 1679], [-3/2, 1, 1]], [[614240, 570325/2, -467973/2], [2381045/2, 924849/2, -830027/2], [1228323/2, 570299/2, -935879/4], [32, 5, -29/4]]], 1, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -5, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, 0, 3/2], [-227/2, -5, -7/2], [-11/2, 0, 3/2], [0, 0, 0]], [[545853/2, -11030, -12613/2], [27352733/2, -17708329, 6044779/2], [545859/2, -11034, -6306], [0, 1, 3/2]], [[16153605733/2, 2518543787/2, -2014766201], [164369193099, 147732077487/2, -122317315669/2], [16153672485/2, 1259287485, -2014778835], [47399/2, 11245/2, -14023/2]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -5, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -3/2, 1/2], [-97, 9/2, -9/2], [4, -3/2, 1/2], [0, 0, 0]], [[-172018, -4457, 7249], [9042641/2, 1706909/2, -293280], [-172008, -8943/2, 14505/2], [5/2, -1, 5/2]], [[-249272232321/2, -35650479237/2, 30535148106], [3523762105931, 467375054724, -849049292426], [-249267140031/2, -17824052856, 30534185133], [3613923/2, 429084, -533889]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[-30, -3, 7]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -1, 1/2], [37/2, 2, -9/2], [-3/2, -1, 1/2], [0, 0, 0]], [[5/2, -9, 1/2], [14, 5/2, 15/2], [3/2, -9/2, 7/2], [-1/2, 0, -1]], [[-1580, -223/2, 439/2], [31815/2, 2778, -3637], [57/2, 581/2, -219/4], [-658, -329/2, 585/4]]], 1, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[-30, -3, 7]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19/2, -2, -5/2], [-159/2, -7, -11/2], [-19/2, -2, -5/2], [0, 0, 0]], [[-362958785/2, 2017405/2, 8627906], [-1402681070, 8846107/2, 145202186], [-181479397, 2017407/2, 34511631/4], [2, -1, -1/4]], [[-760738222361, -282476030073/2, 355039251097/2], [-5867765258285, -1956001060923/2, 2779843124533/2], [-760738238972, -282476031921/2, 177519630176], [6432, 993, -3747/2]]], 1, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[-164, -17, 39]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-59/2, -3/2, -2], [265/2, -3/2, -4], [-59/2, -3/2, -2], [0, 0, 0]], [[-29344674045/2, 344701443/2, 123915082], [64372148457, -2403287203, -4678750938], [-29344674069/2, 172350733, 247830161/2], [-7/2, -1, -5/2]], [[169210906311433245, 43477253871478163/2, -84382605383473755/2], [-721058365666866393, -94854158462532192, 176920657351413451], [169210906388399646, 43477253907245633/2, -84382605424721049/2], [53602842, 11008011/2, -30239283/2]]], 0, 1024, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -1, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -1, 3/2], [117/2, 4, 11/2], [-5/2, -1, 3/2], [0, 0, 0]], [[-3239707/2, 65832, 136897/2], [74185123/2, 6433272, -15244634], [-1619840, 131635/2, 273789/4], [5/2, -5/2, -3/4]], [[950202087476, 225898973135/2, -450230029773/2], [-44086363149807/2, -2883348459166, 10272599679843/2], [950198279910, 112948950704, -225114187966], [-1365165/2, -107098, 287929/2]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[-44, -5, 11]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, -2, 0], [-83, -2, 1], [-10, -2, 0], [0, 0, 0]], [[6614161/2, 11313, 117119/2], [27860842, -5629361, 2107921/2], [3307073, 11329, 234215/4], [-1, 2, -3/4]], [[-83320564667/2, -2896508360, 22048157653/2], [-632247958905/2, -52510255089/2, 162199830753/2], [-41660266420, -5793016151/2, 44096299431/4], [5833/2, 5, -3171/4]]], 1, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[4, 0, -1]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -5/2, 0], [6, -8, 0], [7/2, -8, -3/4], [-5/2, 0, -3/4]], [[14319, 777, -2849], [78013/2, 3429/2, -15073/2], [-13237/2, -2973, 11729/4], [-45625, -9375/2, 41875/4]]], 1, 1, [], [] >,
< [ 2, -4, -1, 1 ], [[2, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -6, -3], [-1, 14, -8], [4, -6, -3], [0, 0, 0]], [[-399, 1323/2, 210], [1373/2, -5369/2, 2425/2], [-399, 664, 419/2], [5/2, -1/2, 0]], [[3696063, 436905, -1761417/2], [55241443/2, 3453463, -13030601/2], [7201221/2, 424971, -3433017/4], [-202839, -25272, 190905/4]]], 1, 3, [], [] >,
< [ 2, -4, -1, 1 ], [[18, 2, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -3, 1], [-1, 5, 4], [4, -3, 1], [0, 0, 0]], [[9800, 1053, -2276], [16203/2, 817/2, -2210], [9799, 2109/2, -4551/2], [-1/2, 0, 1/2]], [[1953835, 480869/2, -458326], [3109661/2, 196173, -727675/2], [3907591/2, 480881/2, -1833307/4], [-73, -41/2, 79/4]]], 1, 2, [], [] >,
< [ 2, -4, -1, 1 ], [[18, 2, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 15/2, 5/2], [15, -5/2, -3/2], [-5, 15/2, 5/2], [0, 0, 0]], [[190, 4905/2, -491/2], [-18043, -4430, 5209], [192, 4893/2, -249], [2, 5/2, 1]], [[-264468, -1045775/2, 269406], [12666093/2, 1475147, -1783401], [-263970, -522680, 269240], [-2407/2, -83, 249]]], 1, 6, [], [] >,
< [ 2, -4, -1, 1 ], [[26, 4, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -7/2, -1/2], [-9, 35/2, 5/2], [5, -7/2, -1/2], [0, 0, 0]], [[-115986, -9438, 22776], [11389/2, -5522, 39269/2], [-115981, -18897/2, 22772], [-1/2, -3/2, -5/2]], [[393959202, 48428562, -92657292], [-26944363, -219161, 6681684], [393962374, 48428440, -92658512], [6222, 366, -1586]]], 0, 12, [], [] >,
< [ 2, -4, -1, 1 ], [[26, 4, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -3/2, 5/2], [4, 25/2, -1/2], [-3, -3/2, 5/2], [0, 0, 0]], [[-7947, -7113/2, 5121/2], [53713/2, 7096, -19275/2], [-7947, -3556, 5119/2], [1/2, -1, 0]], [[18546, 4623/2, -8739/2], [-57464, -14383/2, 27039/2], [18546, 4623/2, -8739/2], [0, 0, 0]]], 0, 12, [], [] >,
< [ 2, -4, -1, 1 ], [[18, 2, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -3/2, 1/2], [9, -43/2, -7/2], [-5, -3/2, 1/2], [0, 0, 0]], [[26410, 2300, -6910], [38135/2, -36719/2, -14737/2], [52825/2, 2296, -27643/4], [1, 1/2, -5/4]], [[-11335800, -1396115, 2655205], [-3331803, -1733940, 1286582], [-11335869, -1396460, 5310709/2], [-483, 115, 69/2]]], 1, 3, [], [] >,
< [ 2, -4, -1, 1 ], [[34, 8, -10]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[14, -2, 0], [21, -4, -1], [14, -2, 0], [0, 0, 0]], [[-50047, 17309, 15936], [-131171/2, 14171, 30513/2], [-50051, 34603/2, 31861/2], [-3/2, -1/2, -1]], [[-26209244934, -7178446853/2, 12162139179/2], [-76086283223/2, -5023744690, 17852273775/2], [-26215339723, -3589857089, 6082600025], [-2709865/2, -157212, 675059/2]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[34, 8, -10]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13, -5, 0], [-20, -35, 5], [-13, -5, 0], [0, 0, 0]], [[516604, 42387/2, -358001/2], [1447893, -1154741/2, -492263/2], [516604, 42379/2, -357999/2], [-4, 1, 0]], [[1130956203, 437322201/2, -443747513/2], [5124870231/2, 1159993179/2, -480613076], [1130951701, 218661415, -221872348], [-17379/2, -1685/2, 2251]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[38, 6, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[20, 5, 1], [15, 5, 2], [20, 5, 1], [0, 0, 0]], [[31, -32, -15], [61/2, -63/2, -13], [29, -59/2, -12], [-3/2, 2, 1]], [[951419, 215145/2, -444633/2], [965017, 108541, -224923], [939459, 211869/2, -218943], [-25558, -5213/2, 5980]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[38, 6, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 11/2, 1/2], [3, 7/2, -3/2], [-5, 11/2, 1/2], [0, 0, 0]], [[7451, 2369/2, -3849/2], [-14192, -3161/2, 6517/2], [7448, 2383/2, -1923], [1, 0, 3/2]], [[991094, 247219/2, -467001/2], [-3716109/2, -231259, 874377/2], [991168, 123635, -467025/2], [347/2, 25, -37]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[38, 6, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, -5/2, -3/2], [-4, -27/2, 13/2], [7, -5/2, -3/2], [0, 0, 0]], [[-37400, -9416, 6952], [133705/2, 3337, -27159/2], [-37396, -18845/2, 13895/2], [3/2, -5/2, -2]], [[72203736, 9010012, -17001556], [-234551655/2, -14494968, 55102405/2], [72203837, 18020055/2, -17001585], [435/2, 43/2, -101/2]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[10, 0, -2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -7/2, -1/2], [6, -13/2, -9/2], [-3, -7/2, -1/2], [0, 0, 0]], [[-672, -1407/2, 1281/2], [1179/2, -856, 799], [-1347/2, -1399/2, 2567/4], [1, 1/2, 3/4]], [[-555891, -114639/2, 248745/2], [226213, 96325/2, -130293/2], [-555450, -114609/2, 124269], [897, 117, -441/2]]], 1, 6, [], [] >,
< [ 2, -4, -1, 1 ], [[54, 2, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 11/2, 5/2], [23, 43/2, 17/2], [-3, 11/2, 5/2], [0, 0, 0]], [[9629, -1446, -51], [4348473/2, 571937/2, -512640], [9634, -2917/2, -103/2], [-5/2, 2, -5/2]], [[1868004090, 587530029/2, -992088963/2], [462991440153, 114569534563/2, -217897026171/2], [1867637438, 588116901/2, -991930519/2], [-439868, -104104, 183326]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[26, 4, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 9/2, -1/2], [8, -11/2, -15/2], [-1, 9/2, -1/2], [0, 0, 0]], [[1994, -89/2, -721/2], [6947, 1609/2, -1499], [3985/2, -44, -1441/4], [-5/2, -1/2, 3/4]], [[-88404, -21567, 22991], [-701121/2, -32755, 93540], [-176733/2, -21520, 91965/4], [122, 19, -75/4]]], 1, 12, [], [] >,
< [ 2, -4, -1, 1 ], [[26, 4, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, -1/2, 1/2], [7, -31/2, -13/2], [7, -1/2, 1/2], [0, 0, 0]], [[252161, 285649, -157976], [-348491/2, 505367/2, -151017], [252172, 571315/2, -315953/2], [5/2, 2, -1/2]], [[39419916536, 970296600, -7316036364], [-12100623613/2, -17987423035/2, 5646104225/2], [78842901909/2, 970603458, -29265207123/4], [351833, 104599/2, -254173/4]]], 1, 12, [], [] >,
< [ 2, -4, -1, 1 ], [[34, 8, -10]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, -9/2, 1/2], [49, 15/2, 9/2], [-15, -9/2, 1/2], [0, 0, 0]], [[-29473230, 320540, 2255530], [216720837/2, -42310094, 20472529/2], [-29473235, 641103/2, 2255532], [3/2, -1/2, 5/2]], [[-412057705238010, -51272446875000, 97503786773250], [1295915518527323, 164081317697930, -308331633474170], [-412057692171385, -51272446821637, 195007566507701/2], [26186613, 3013913, -13066625/2]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[34, 8, -10]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 1/2, 3/2], [-43, 3/2, -11/2], [9, 1/2, 3/2], [0, 0, 0]], [[-12710672, -496716, 985588], [58862940, 511535/2, -9990145/2], [-12710667, -496726, 985588], [0, 5/2, -5/2]], [[2875485086800, 360369366000, -674708359200], [-26157569023739/2, -1636510997763, 6139930977991/2], [2875485015829, 720738731913/2, -674708339853], [-283971/2, -32277/2, 70971/2]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[14, 2, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 7/2, 1/2], [-1, 17/2, -5/2], [3, 7/2, 1/2], [0, 0, 0]], [[18389, 2627, -3182], [14695, -11876, 5747/2], [36755/2, 5235/2, -12723/4], [-5/2, -5/2, 3/4]], [[-42996701, -4927290, 9846255], [-49717333/2, 8793851/2, 5236813/2], [-85923927/2, -4920993, 39350319/4], [7642, 3497/2, -8339/4]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[14, 2, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -4, 1], [0, -23, 9], [-1, -4, 1], [0, 0, 0]], [[-9191, 19461/2, 16471/2], [-29821/2, 15285/2, 18641/2], [-18379/2, 19489/2, 32975/4], [1, 2, 5/4]], [[300369953, 45612177/2, -144258985/2], [996548821, 131647909/2, -433415187/2], [299365478, 45164839/2, -71861426], [-217415, -68971, 134815/2]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[78, 8, -22]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[53, 11/2, 5/2], [-140, 37/2, 9/2], [53, 11/2, 5/2], [0, 0, 0]], [[-38087005544, -285577383, 348814837], [194809543323/2, -16730676299, -9074901181/2], [-38087005544, -571154755/2, 697629679/2], [11/2, 5/2, 0]], [[90472740684288214, 81692299460299675, -50500377105615311], [-190499721285273417, -239972029340488083, 136360747747426706], [90472740673769774, 81692299461708135, -50500377104913491], [-19628420, -4557400, 5259220]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[38, 6, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19, -1/2, 5/2], [13, 3/2, 5/2], [19, -1/2, 5/2], [0, 0, 0]], [[21430, 8572, 4286], [28141/2, 18519/2, 9643/2], [42863/2, 8570, 17135/4], [-1, 3/2, 5/4]], [[-737192, -92149, 173583], [-544135, -68005, 128110], [-737192, -92149, 173583], [0, 0, 0]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[22, 0, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13, -5/2, 5/2], [42, -7/2, 1/2], [13, -5/2, 5/2], [0, 0, 0]], [[-3004767, -319185, -400734], [-20473355/2, -1916223/2, 749285/2], [-6009519/2, -319184, -1602941/4], [-2, -1/2, 1/4]], [[16197977133, -15074823789/2, 1737377829/2], [48456655239, -12626402710, -4766475071/2], [32395890903/2, -7537411871, 3474777497/4], [17481/2, 539, -6561/4]]], 1, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[-6, 0, 1]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -2, -3/2], [10, 1, 7/2], [4, -2, -3/2], [0, 0, 0]], [[-37922, -11533/2, 11917/2], [-175074, 8398, 40375], [-37924, -11521/2, 5959], [2, -1/2, 1]], [[496687875, 61946590, -115986240], [4108355879/2, 246042424, -482544252], [993353953/2, 61943213, -463934215/4], [-25174, -2763, 21797/4]]], 1, 2, [], [] >,
< [ 2, -4, -1, 1 ], [[10, 2, -3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, 17, 11/2], [1, 12, 21/2], [-9, 17, 11/2], [0, 0, 0]], [[-132, -38, 26], [-5884, -1475/2, 1371], [-269/2, -51/2, 117/4], [15/2, 2, 5/4]], [[9207120, 1100021, -2209675], [377418864, 46915849, -88849136], [8928480, 1090733, -2119117], [-566568, -48762, 139320]]], 0, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[10, 2, -3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 3, 3/2], [-14, 30, 27/2], [2, 3, 3/2], [0, 0, 0]], [[-44988, 11868, 9430], [6826, -255753/2, 201845/2], [-44987, 11867, 9430], [1, 1/2, -1/2]], [[-1509352, -213716, 340354], [-1145172, -706891/2, 164393], [-3018663/2, -427425/2, 1361399/4], [89/2, 6, -41/4]]], 0, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-23, 42, 31/2], [-25, 45, 29/2], [-23, 42, 31/2], [0, 0, 0]], [[6, -7, -12], [9, -11, -21/2], [11/2, -19/2, -41/4], [-7/2, 3/2, 1/4]], [[1545, 226, -687/2], [50049, 12537/2, -23519/2], [-83171/2, -10295/2, 39223/4], [-183269/2, -11416, 86261/4]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 5, 4], [-2, 3, -2], [0, 0, 0]], [[1, -4, -1/2], [37, -2427/2, -1341/2], [-4481/2, 6223/2, -2747/4], [1/2, -2, -1/4]], [[194327, 24140, -91443/2], [133514031, 33242981/2, -62853817/2], [362931697/2, 45367881/2, -170952449/4], [194327/2, 12070, -91443/4]]], 0, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 1, 1], [1, 0, 0], [0, 0, 0]], [[3, 0, -3/2], [-7, 15/2, 5/2], [9/2, -3/2, -9/4], [3/2, 0, -3/4]], [[-151, -1, 57/2], [120, 123, -77], [-359/2, -39/2, 169/4], [-151/2, -1/2, 57/4]]], 0, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[-8, -2, 2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -1/2, 3/2], [1, 17/2, 1/2], [5, -1/2, 3/2], [0, 0, 0]], [[-1023, -247/2, 240], [-2045/2, -120, 475/2], [-2043/2, -249/2, 967/4], [2, 5/2, -3/4]], [[-1941062, -246737, 919377/2], [-3868929/2, -510127/2, 461281], [-3882397/2, -240003, 1832657/4], [6461, -3185/2, 273/4]]], 1, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19, -35, -25/2], [-19, 46, 27/2], [19, -35, -25/2], [0, 0, 0]], [[80343, 19775, -69495/2], [-1886346, -501293/2, 465067], [80338, 19783, -69491/2], [-2, -1/2, 5/2]], [[-238767757, -26969484, 110228223/2], [5516257383, 1366578221/2, -1296683820], [-238765621, -26968766, 55113375], [4990, 663/2, -1068]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -2, 2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -1, 2], [1, 8, 1], [3, -1, 2], [0, 0, 0]], [[13724, 980, -3104], [45119/2, 5785/2, -5744], [13728, 1943/2, -3106], [-1/2, 0, -2]], [[6942093, 1745649/2, -3277569/2], [11658343, 2880001/2, -5483737/2], [6941863, 1745649/2, -3277569/2], [-460, -115, 115]]], 0, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[72, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -17, -3], [4, 1, 3], [0, 0, 0]], [[0, 0, 0], [29037, -627, 431], [-217799, -33848, 103103/2], [4, 2, -1/2]], [[0, 0, 0], [-110910071, -1206303/2, 39492789/2], [815793152, 107773063, -388554321/2], [-17483, -5769/2, 4274]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[72, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 13, 3], [-2, 1, 5], [0, 0, 0]], [[0, 0, 0], [-1363770, -385499/2, 653299/2], [-52053, -3016, 13741/2], [5, 3/2, -1]], [[0, 0, 0], [2022726875, 294819345, -493437356], [82372155, -5582314, -11775757], [-7756, -1792, 2058]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[72, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -6, -9], [0, -5, 4], [0, 0, 0]], [[0, 0, 0], [-53448, 21074, 18536], [-13871, -17448, 14021/2], [-3, 2, 1/2]], [[0, 0, 0], [-139084149, -38571625/2, 65952735/2], [-73614230, -7267965, 33222597/2], [-6817, -2193/2, 1683]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -6, 8], [4, -5, -5], [0, 0, 0]], [[0, 0, 0], [-16200, 87299/2, -14996], [2991/2, -9465/2, 3733/4], [-9/2, -2, -3/4]], [[0, 0, 0], [-104504090, -18806625, 27072508], [54584218, 7316923, -13075930], [584808, 72688, -137588]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 5, 1], [6, 7, -3], [0, 0, 0]], [[0, 0, 0], [117746, 97665/2, -39699/2], [67337, -5717, -5835], [3, -5/2, -5/2]], [[0, 0, 0], [-1096307000, -120793539, 250233049], [-496507200, -89327644, 128391574], [-10360, -826, 2380]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-52, -58, -18], [-38, -2, -4], [0, 0, 0]], [[0, 0, 0], [-104794761, -27484547, 15649132], [-55417671, -1865163, 7470683], [2, 3, 2]], [[0, 0, 0], [18062566395474, 4431001393365/2, -8516511502087/2], [8667143703295, 980276346765, -2002308001615], [-616035, -121065/2, 286755/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[-88, -10, 22]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -3, 0], [17, -2, 1], [1, -3, 0], [0, 0, 0]], [[7595, -511/2, -249/2], [-573303/2, -96005/2, 69313], [7597, -236, -112], [3/2, 5/2, 2]], [[-249132468, -42173833/2, 114430563/2], [9655561856, 2440876039/2, -4576482469/2], [-249624996, -42175657/2, 114715059/2], [-108720, -1872, 28824]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [50, 1, 3], [-20, 0, 4], [0, 0, 0]], [[0, 0, 0], [-102145, 242583/2, 140433/2], [10435, 954, 628], [-2, 5/2, -5/2]], [[0, 0, 0], [3231708214, 427768600, -733340678], [-1215508090, -148704645, 285980809], [152922, 16170, -35420]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 11, 21], [6, -1, 5], [0, 0, 0]], [[0, 0, 0], [-287846, -26664, 52992], [11187658, 1403591, -2639730], [4, 2, 1]], [[0, 0, 0], [-3411218644, -777218745/2, 1530325809/2], [132757089892, 16568782260, -62523675967/2], [58916, 18849/2, -9476]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 32, -16], [0, 3, 5], [0, 0, 0]], [[0, 0, 0], [406107, 101969/2, -191123/2], [-412212, -51655, 193723/2], [-1, -5/2, -2]], [[0, 0, 0], [-5485294770, -684345373, 1291141576], [5567765231, 694003541, -2620335389/2], [34125, 4641, -8463/2]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [44, -3, -1], [8, 12, 2], [0, 0, 0]], [[0, 0, 0], [189782, -355581/2, 70289/2], [31836, 24920, -51319/2], [2, 1/2, 2]], [[0, 0, 0], [-173976375, -61491027/2, 88734811/2], [-59125967, -6710763, 12963665], [-4248, -885/2, 2301/2]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[8, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 31, 26], [-10, 18, 9], [0, 0, 0]], [[0, 0, 0], [33651, 11581, 6267/2], [2457/2, 28799/2, -1975/4], [-9/2, -5/2, -1/4]], [[0, 0, 0], [430179871, 105854607/2, -201962541/2], [85041638, 11318056, -40665779/2], [-61941, -15381/2, 14570]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[136, 32, -40]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 48, 10], [10, 13, 3], [0, 0, 0]], [[0, 0, 0], [679902, -2447621/2, 1922175/2], [401277, 160973, 67033], [-1, -1/2, 3/2]], [[0, 0, 0], [14268445458, 3421295913/2, -5869173883/2], [22172341481, 2886256877, -5124527327], [-41175, -9425/2, 20575/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[72, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [90, -135, -121], [80, -124, -100], [0, 0, 0]], [[0, 0, 0], [-15931, 40977/2, 17542], [-30623/2, 35853/2, 60347/4], [-9/2, 2, -5/4]], [[0, 0, 0], [10447564036, 1296546068, -4914292691/2], [30727737579/2, 3823460975/2, -14461051493/4], [33363291/2, 4179515/2, -15723455/4]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[72, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, 5, -3], [6, 1, -3], [0, 0, 0]], [[0, 0, 0], [-15453, -3623/2, 4746], [-8217/2, 1815/2, -727/4], [5/2, 2, -3/4]], [[0, 0, 0], [73445, 20029/2, -36267/2], [18772, 67, -6447/2], [-15, -7/2, 4]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 22, 14], [0, -9, -5], [0, 0, 0]], [[0, 0, 0], [-10398, 52421/2, -18643/2], [-485, 297, -24], [-3, -3/2, -5/2]], [[0, 0, 0], [-14307, 21637/2, -4007/2], [-26738, -3178, 12447/2], [-327, -77/2, 77]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 2, 4], [-2, -9, 1], [0, 0, 0]], [[0, 0, 0], [143116, 1089/2, -80037/2], [-213062, -22888, 114061/2], [4, 3/2, 1]], [[0, 0, 0], [92643016448, 11572014027, -21664101714], [-145410703287, -18398957263, 68498426233/2], [3431565, 346653, -1598733/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 0, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 29, -15], [4, -7, -5], [0, 0, 0]], [[0, 0, 0], [-14, 71, -63/2], [43/2, 17/2, 7/4], [11/2, 1/2, 1/4]], [[0, 0, 0], [335474, 133949/2, -83124], [1461785/2, 146963/2, -723309/4], [325829/2, 17259, -158469/4]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 0, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [40, -5, 1], [0, -14, -4], [0, 0, 0]], [[0, 0, 0], [4497780, 6519763/2, -2068293], [-2354407/2, 427937/2, -431485/4], [-3/2, 0, -5/4]], [[0, 0, 0], [-99533376829, -12608826884, 47115026847/2], [39455860249/2, 4651703255/2, -18628964791/4], [64195/2, 6697/2, -30969/4]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[216, 8, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [344, -9, -5], [0, -7, -3], [0, 0, 0]], [[0, 0, 0], [151461857, 220094377/2, -142678225/2], [-2231665, 78146, 14636], [0, -9/2, 1/2]], [[0, 0, 0], [-8210483170248, -1641772047915, 2221929154775], [102320305290, 4546045284, -23413081729], [88736, 21948, -36757]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -11, 5], [-24, -5, 3], [0, 0, 0]], [[0, 0, 0], [88582, -404889/2, 158485/2], [-69158, -1459, -9275/2], [0, -3/2, 1]], [[0, 0, 0], [-46501538, -16591429/2, 15238075], [617656881/2, 65138279/2, -306328017/4], [4053/2, 336, -1533/4]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -1, -5], [10, 14, 4], [0, 0, 0]], [[0, 0, 0], [12593, -2345/2, -1878], [24861/2, 12281/2, -19069/4], [-13/2, -1, -5/4]], [[0, 0, 0], [21833613399, 4475383678, -5891183556], [28699228247, 617506133, -10973716339/2], [-13271710, -3587039, 7658813/2]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[14, 2, -3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -4, 3/2], [0, -16, 9/2], [-4, -4, 3/2], [0, 0, 0]], [[121443, 46437/2, -24389], [272987/2, 75867/2, -22014], [242887/2, 46449/2, -97543/4], [-1, -1, -3/4]], [[343644862, 43005746, -81020250], [404194461, 51581412, -95803205], [343655873, 43006978, -162045659/2], [-4620, -77, 1771/2]]], 1, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[14, 2, -3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -4, -1], [3, -13, -5], [1, -4, -1], [0, 0, 0]], [[19215, 7020, -13005/2], [153279/2, 37957/2, -22082], [38433/2, 7015, -26023/4], [-2, -5/2, -3/4]], [[-218070, 111105, -15345/2], [-742349, 379381/2, 54351], [-218070, 111126, -7662], [21, 21/2, 0]]], 1, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[30, -2, -5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, -18, -7], [14, -24, -8], [10, -18, -7], [0, 0, 0]], [[-1635, 2391, 4419/2], [-1920, 2764, 5457/2], [-1633, 2380, 4405/2], [-7, -6, -1]], [[-17053741, -2124491, 8026995/2], [-12346256, -1538136, 2905654], [-42132135/2, -5248615/2, 19831061/4], [-17048939/2, -2123791/2, 8024653/4]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[30, -2, -5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 7, 1/2], [-1, -9, 7/2], [-5, 7, 1/2], [0, 0, 0]], [[22275, -18873, 8019/2], [26149, 39476, -43237/2], [22274, -18874, 4016], [-3, 6, 1/2]], [[4807026, 598266, -1131003], [13443992, 1675706, -6328759/2], [9613999/2, 1196581/2, -4523925/4], [-57/2, 17/2, 53/4]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[76, 12, -18]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[85, -133, -203/2], [129, -215, -247/2], [85, -133, -203/2], [0, 0, 0]], [[-131043, 243355, 145435/2], [449323, -1262055, 661915], [-262081/2, 486697/2, 290855/4], [-3/2, -5/2, -5/4]], [[-377214955, -46634363, 177264409/2], [1875899504, 228594654, -439293587], [-757121019/2, -93603963/2, 355795481/4], [-5717455/2, -712223/2, 2691109/4]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-46, 72, 53], [-42, 72, 35], [0, 0, 0]], [[9, 3, 3/2], [4935, -1595, -2432], [8175/2, 21/2, -9777/4], [9/2, 3/2, 3/4]], [[3569867, 444695, -1680293/2], [1211382120, 150907064, -285085944], [2359939611/2, 293980655/2, -1110771521/4], [3569867/2, 444695/2, -1680293/4]]], 0, 512, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 38, 3], [8, 0, 5], [0, 0, 0]], [[-1, -5, 3/2], [40280, -50572, 41980], [1699/2, 83491/2, -32377/4], [-1/2, -5/2, 3/4]], [[-20, -2, 5], [125161, -215, -37783], [87305, 5536, -47273/2], [-10, -1, 5/2]]], 0, 512, [], [] >,
< [ 2, -4, -1, 1 ], [[4, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 3, -2], [7, 9, 6], [-1, 3, -3/2], [0, 1, -1/2]], [[-212, 41/2, 32], [-4941/2, -380, 1159/2], [-65/2, 79/2, -39/4], [-77, 7/2, 51/4]]], 1, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[4, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-1, 2, -2], [-19/2, 11/2, -5], [1, -5/2, -2], [-1/2, 1, -1]], [[1234, 163, -601/2], [39469/2, 4975/2, -4677], [3069/2, 179, -1477/4], [617, 163/2, -601/4]]], 1, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[60, -118, -20], [-64, 128, 24], [60, -118, -20], [0, 0, 0]], [[-575, 409, 3433/2], [562, -571, -3719/2], [-580, 423, 1726], [0, 2, 5/2]], [[-2860623, -354609, 1346049/2], [-153479125, -19120794, 72240449/2], [1917397, 240595, -902881/2], [1933886, 240907, -455124]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[20, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, 13, 0], [-7, 2, -5], [0, 0, 0]], [[5, -21/2, -15/2], [-619169/2, 1509735/2, -270733], [-274623, 784630, -559069/2], [-3/2, -3/2, -1/2]], [[-207, -23/2, 115/2], [-687283/2, -7643527/2, 1700402], [5475898, -3181539, 353249], [-575/2, -69/2, 69]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[20, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, 5, 0], [5, 0, 3], [0, 0, 0]], [[0, 0, 0], [1219, -1751/2, -1763/2], [1157, -1266, -1727/2], [-2, -3/2, -1]], [[0, 0, 0], [-5329825/2, -348421, 1235173/2], [-1604407, -445781/2, 368242], [25641/2, 3157/2, -6083/2]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -6, 0], [16, -34, -8], [0, 0, 0]], [[0, 0, 0], [36751, -2040, -4859], [-16944, 5325, 26378], [-3, 1, 1]], [[0, 0, 0], [-11357197, -1500783, 2710991], [2876597, 182632, -1126829/2], [756, 101, -359/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 4, 6], [-10, -4, 4], [0, 0, 0]], [[0, 0, 0], [-637, 795, 919], [61, -570, 645/2], [0, 1, 3/2]], [[0, 0, 0], [-37520, -6010, 9600], [-85824, -14192, 21708], [520, 60, -120]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 16, 7], [-10, 24, -5], [0, 0, 0]], [[0, 0, 0], [18153, 64315, 19998], [-23077, 45696, 1257/2], [4, 1, 5/2]], [[0, 0, 0], [-192080063916, -23941946594, 45204831981], [5205999116, 619491868, -1214622186], [-18260894, -2272470, 4296153]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -26, 21], [-26, 38, 37], [0, 0, 0]], [[0, 0, 0], [-78170, 151918, -97623/2], [-41837/2, 79213/2, -22061/4], [3/2, 9/2, 1/4]], [[0, 0, 0], [24222286250, 3017018950, -5700333021], [4847896790, 603943960, -1140808559], [-5090488, -634088, 1198028]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -8, 6], [16, -8, 0], [0, 0, 0]], [[0, 0, 0], [-1, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [2460, -492, -984], [2076, 310, -438], [0, 0, 0]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -14, 2], [-12, 46, 26], [0, 0, 0]], [[0, 0, 0], [1, -1, 0], [4, 1, 0], [1, 0, 0]], [[0, 0, 0], [-65860, -13320, 17316], [-184418, -12792, 47970], [0, 0, 0]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[44, 0, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, 32, 23], [19, 3, -4], [0, 0, 0]], [[4, -17/2, -1/2], [12417/2, -24901/2, 3079], [1305, -195, -182], [-1/2, 3/2, -2]], [[736, 115/2, -299/2], [-13306665/2, -1841835/2, 1608079], [-7611054, -950627, 1792346], [3059/2, 437/2, -368]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[44, 0, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [41, -5, -2], [37, 2, 5], [0, 0, 0]], [[0, 0, 0], [66865159/2, 2976116, -14657771/2], [34175980, 5962979/2, -14756195/2], [-9/2, -5/2, 1]], [[0, 0, 0], [-31022590502, -4390220867, 7521872479], [-31679446976, -4557767592, 7703532758], [5236, 308, -990]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, -6, 4], [-16, -2, -2], [0, 0, 0]], [[0, 0, 0], [3, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [20700, 2700, -3960], [-17680, -2890, 3434], [0, 0, 0]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[288, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, -4, -2], [8, 8, -8], [0, 0, 0]], [[0, 0, 0], [-15461, 16846, 10207], [-4742, 16359, 1175], [5, -5, 0]], [[0, 0, 0], [-6957097, -894366, 1590166], [4250155, 579228, -2101961/2], [3514, 406, -1617/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[288, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [54, -134, 22], [-16, 40, 14], [0, 0, 0]], [[0, 0, 0], [-640895, 1448143, -207161], [256731, -443184, -368591/2], [2, -3, 3/2]], [[0, 0, 0], [-160230376, -20270970, 37598942], [226252330, 28467078, -53097779], [28404, 3538, -6685]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[288, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 6, 12], [-4, 10, -8], [0, 0, 0]], [[0, 0, 0], [3356, -4977, -3644], [-1081, 1957, 2233/2], [5, 2, -3/2]], [[0, 0, 0], [-114833, -16083, 26328], [-49722, -4987, 11682], [-3217, -398, 756]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[112, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 14, -7], [-50, 84, 47], [0, 0, 0]], [[0, 0, 0], [25801, -36018, 21111/2], [22461/2, -58483/2, 56181/4], [-1/2, -11/2, -1/4]], [[0, 0, 0], [23871306242, 2975601827, -11237489661/2], [2468368169/2, 310895139/2, -1164745571/4], [-13418967/2, -1671331/2, 6315863/4]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[608, 96, -128]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-146, 2, 8], [4, -2, 6], [0, 0, 0]], [[0, 0, 0], [11, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [-1208550, -147720, 283986], [37296, 3932, -8728], [0, 0, 0]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-286, 434, 374], [-232, 346, 312], [0, 0, 0]], [[0, 0, 0], [-294496, 646476, -354379/2], [-549013/2, 1360053/2, -812517/4], [7/2, -3/2, 1/4]], [[0, 0, 0], [1224126464, 152327439, -288021052], [-23564405, -3107175, 11234169/2], [-119455, -14880, 56225/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -32, 0], [-4, 0, -2], [0, 0, 0]], [[0, 0, 0], [2581, -3620, 1079/2], [1505/2, 985/2, -1855/4], [-1/2, -15/2, -5/4]], [[0, 0, 0], [317991208, 40673134, -150488635/2], [563371909/2, 69889807/2, -264883395/4], [-2752999/2, -340489/2, 1295227/4]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, -6, 6], [0, 2, -2], [0, 0, 0]], [[0, 0, 0], [777, 139, -171], [-7, -12, -9/2], [4, 3, 1/2]], [[0, 0, 0], [4680076, 845602, -1188604], [-75754, -18480, 12607], [32060, 4844, -5817]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-106, -2, -4], [0, -6, 6], [0, 0, 0]], [[0, 0, 0], [-2248436, -248183, 572906], [-28567, -4817, -1809/2], [1, 0, -1/2]], [[0, 0, 0], [1105854129, 137657425, -255790125], [15267185, 2482710, -8940197/2], [-438, -45, 149/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[32, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -26, 34], [-20, 40, 6], [0, 0, 0]], [[0, 0, 0], [25087, -745, -2488], [1102, 4105, -518], [-3, -2, 0]], [[0, 0, 0], [-1616067180, -201434380, 760920919/2], [-390304837/2, -48306407/2, 183705619/4], [526855/2, 65485/2, -248115/4]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[32, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -8, 4], [4, -2, 8], [0, 0, 0]], [[0, 0, 0], [-4256, 4256, -1313/2], [4523/2, 2249/2, -27069/4], [7/2, -3/2, -3/4]], [[0, 0, 0], [-30902750, -3725798, 7216896], [16516618, 2301798, -3945747], [33826, 4186, -7943]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[544, 128, -160]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [158, 10, 36], [32, 2, 10], [0, 0, 0]], [[0, 0, 0], [31, 1, 0], [-2, -1, 0], [1, 0, 0]], [[0, 0, 0], [-27332840, -3299886, 6670602], [-5633880, -675642, 1383054], [0, 0, 0]]], 0, 786432, [], [] >,
< [ 2, -4, -1, 1 ], [[288, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, -52, -24], [-12, -22, -10], [0, 0, 0]], [[0, 0, 0], [841006, 32347, -232259/2], [805019/2, 515625/2, -642737/4], [-1/2, 15/2, 5/4]], [[0, 0, 0], [365984902, 37908514, -82567219], [209019873, 37989721, -108330507/2], [1357, 393, -781/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[160, 0, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 26, 16], [4, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1013, 1468, 1179], [-44, 55, 40], [-1, 5, 1]], [[0, 0, 0], [15379714, 1900497, -7235499/2], [4674943/2, 583277/2, -2201861/4], [-796189/2, -98501/2, 374137/4]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -2, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 1, 1], [-4, -1, 2], [4, 1, 1], [0, 0, 0]], [[-1715, 2994, -423/2], [-615, 4385/2, -528], [-1713, 2995, -212], [0, -5/2, 1]], [[9065, -1123/2, -4461/2], [-13147/2, -1836, 1660], [18025/2, -1137/2, -8873/4], [21, 7/2, -21/4]]], 1, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -2, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -2, -1/2], [3, -4, -5/2], [1, -2, -1/2], [0, 0, 0]], [[11, -13/2, -2], [-37/2, -15/2, 3], [21/2, -11/2, -5/4], [0, 0, -1/4]], [[55, 7, -13], [-153, -19, 36], [55, 7, -13], [0, 0, 0]]], 1, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[38, 6, -9]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, 9, -1/2], [13, 11, 3/2], [5, 9, -1/2], [0, 0, 0]], [[126725, 37684, -37997/2], [258114, 147735/2, -37938], [126723, 37689, -18997], [1, 1/2, 1]], [[-43617482, -4411300, 9624910], [-87610296, -11142348, 40611187/2], [-87236721/2, -8819211/2, 38497255/4], [-125/2, -2071/2, 1757/4]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[38, 6, -9]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, -1, -3/2], [-17, -3, -5/2], [-9, -1, -3/2], [0, 0, 0]], [[21525, -81025, 18375/2], [34580, -277627/2, 11537], [21525, -81026, 9190], [-1, 5/2, 0]], [[415593500, 53483500, -98061250], [804181568, 206234041/2, -189593690], [831182257/2, 106966439/2, -392242977/4], [-10047/2, -680, 4743/4]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[118, 22, -25]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13, -5, -5/2], [11, -5, -9/2], [-13, -5, -5/2], [0, 0, 0]], [[17115, 815, -3749/2], [-9288, 1215, 2217], [34233/2, 1609/2, -7487/4], [-15/2, 7/2, -3/4]], [[155754161, 17344667, -72936143/2], [-74497261, -9144129, 34042355/2], [155729681, 17338043, -72920303/2], [-55584, -4320, 12240]]], 0, 4096, [], [] >,
< [ 2, -4, -1, 1 ], [[120, -8, -20]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -26, -11], [-18, -6, 1], [0, 0, 0]], [[5, -5, 5/2], [-366, -2375, 12835], [-1931/2, 13557/2, -395/4], [5/2, -5/2, 5/4]], [[-128, -16, 30], [-50320, -7382, 11047], [-82460, -10616, 19270], [-64, -8, 15]]], 0, 8192, [], [] >,
< [ 2, -4, -1, 1 ], [[-32, -4, 8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-7, 25/2, 5], [15/2, -29/2, 5], [-9/2, 17/2, 9/4], [-1, 2, 1/4]], [[0, 0, 0], [578, 72, -136], [0, 0, 0], [0, 0, 0]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[-32, -4, 8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[6, -27/2, -9], [7/2, -19, -19/2], [9/2, -15/2, -21/4], [0, -3/2, -3/4]], [[-92, -14, 57/2], [-273, -181/2, 191/2], [-13/2, -11/2, 27/4], [-67/2, -6, 37/4]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -8, -15], [8, -12, -17], [0, 0, 0]], [[-5, -2, 5/2], [2547, -66165/2, -73823/2], [47117/2, -83357/2, -177577/4], [-5/2, -1, 5/4]], [[-26807, -3289, 12573/2], [-105213012, -13488841, 24980074], [-58386375/2, -7842487/2, 28223153/4], [-26807/2, -3289/2, 12573/4]]], 0, 128, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 14, 35], [-16, 22, 25], [0, 0, 0]], [[-7, -2, 1/2], [13030, 47839/2, -81121/2], [14225/2, -11369/2, -83809/4], [-7/2, -1, 1/4]], [[22368, 2786, -5264], [-44274166, -5549087, 10433269], [596928, 63362, -136367], [11184, 1393, -2632]]], 0, 128, [], [] >,
< [ 2, -4, -1, 1 ], [[-48, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9, 5, 2], [11, 1, 0], [0, 0, 0]], [[8, -23/2, -27/2], [-59453/2, -6010, 14953/2], [-28780, -6317, 7705], [-1/2, 1, -5/2]], [[26128, 7455/2, -10721/2], [4059915841/2, 253102584, -955605135/2], [1973921135, 246184208, -929314129/2], [76751/2, 4544, -8804]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[-48, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-17, -5, 2], [-13, 1, -4], [0, 0, 0]], [[-4, 8, 8], [-45926, -2540, 12760], [-33298, -2158, 13059], [2, 0, 1]], [[-27465, -7305/2, 11505/2], [1597710991/2, 198613945/2, -188166614], [566467155, 71131980, -268031055/2], [-80295/2, -9405/2, 18435/2]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 8, 4], [6, 8, 0], [0, 0, 0]], [[0, 0, 0], [-3150, -56101/2, 13701/2], [-16176, 16625, -13857/2], [0, 1/2, 0]], [[0, 0, 0], [-44550, -5700, 10600], [-29808, -3488, 6944], [0, 0, 0]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -10, 8], [-6, -6, 8], [0, 0, 0]], [[0, 0, 0], [-3922, 61533/2, 36547/2], [-25914, 56622, 78399/2], [4, 1/2, -1]], [[0, 0, 0], [-19202, -2684, 5678], [-13066, -762, 4682], [0, 0, 0]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[160, 32, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32, -12, 6], [-8, -6, 2], [0, 0, 0]], [[0, 0, 0], [13218, 16823, -6010], [-7301, -491, 981/2], [5, 2, 5/2]], [[0, 0, 0], [52380006, 5686986, -12501123], [-19551935, -2314389, 9411025/2], [17391, 1595, -8965/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[1152, 128, -256]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 52, 4], [36, 18, 6], [0, 0, 0]], [[0, 0, 0], [-8792, -1883, 2431], [-19548, -2222, 4505], [4, 5, 2]], [[0, 0, 0], [2210460, 248922, -508974], [4715440, 594470, -1112748], [-1624, -226, 384]]], 0, 786432, [], [] >,
< [ 2, -4, -1, 1 ], [[-64, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 20, 0], [2, 18, -8], [0, 0, 0]], [[-2, 6, 1], [151793, -419900, -278579], [-28477, -904, 4010], [2, 0, 1]], [[-27753, -23055/2, 5945/2], [5512728613/2, 1306503967, -234693875/2], [864056698, 109841993, -200864516], [-134067/2, -10904, 27753/2]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[-64, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -14, 14], [-2, -22, 12], [0, 0, 0]], [[-4, 25/2, 3/2], [226979/2, 27229/2, -24803], [96613, 9878, -21240], [9/2, -1/2, 2]], [[24738, -5208, -11067], [1019003367, 124234502, -241080515], [859349223, 105921616, -202588412], [44268, 1302, -12369]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[112, 16, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 2, -4], [6, 10, 4], [0, 0, 0]], [[0, 0, 0], [-87199, 413703/2, -150075/2], [4247, -2013, 3921], [-4, -3/2, -1/2]], [[0, 0, 0], [45847, -3248765/2, 1368781/2], [345107, 91623, -101143], [-420, -119/2, 203/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[112, 16, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 4, 8], [38, -4, 6], [0, 0, 0]], [[0, 0, 0], [-457337, -735895, 65872], [-710810, -871683, 237454], [5, 0, 0]], [[0, 0, 0], [31464297, 14044049/2, -17077865/2], [42498777, 9838180, -11789782], [-210, -27/2, 87/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[10, 2, -3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 0, 3/2], [3, 16, -7/2], [9, 0, 3/2], [0, 0, 0]], [[-7888, -4077/2, 2517/2], [-16209/2, -2375, 1196], [-15773/2, -4075/2, 5031/4], [1, 1/2, -1/4]], [[626625, 145247/2, -301069/2], [1311517/2, 149431/2, -315991/2], [1252987/2, 145221/2, -602021/4], [-86, -9, 81/4]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[106, 10, -23]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, -8, -1], [0, -16, -4], [-10, -8, -1], [0, 0, 0]], [[-26929, -3429, 13809/2], [-13701, -8813, 7207], [-53863/2, -6849/2, 27633/4], [-1/2, 5/2, 5/4]], [[66776167, 9285801, -32281921/2], [35643601, 17158605, -27679223/2], [66774820, 9286326, -16141064], [-2169, -777, 1347/2]]], 0, 1024, [], [] >,
< [ 2, -4, -1, 1 ], [[106, 10, -23]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, 3, 1/2], [-11, 5, 9/2], [-7, 3, 1/2], [0, 0, 0]], [[-21953, 185, 8009/2], [-30089, -1627, 6895], [-43907/2, 375/2, 16037/4], [3/2, 9/2, 1/4]], [[39683841, 4151483, -18170947/2], [55598509, 5845413, -26685403/2], [39683738, 4146436, -9089027], [-5253, -3605, 103/2]]], 0, 1024, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 23, 14], [-8, 21, 4], [0, 0, 0]], [[0, 25/2, 7], [-112419/2, -3367, 30551/2], [-35513/2, 7775/2, 13515/4], [2, 3/2, 1/4]], [[-2394, -168, 532], [17091190, 2178117, -4036165], [6294614, -3288974, 260613], [-882, -77, 196]]], 1, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -36]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -44, 2], [-16, 2, -2], [0, 0, 0]], [[8, 12, 1], [99255, 19504, 13228], [51197, 26568, -23675/2], [4, 6, 1/2]], [[-11241, -803, 4015/2], [-84149508, -22669313, 23002338], [-99781821/2, -6559109/2, 40169363/4], [-11241/2, -803/2, 4015/4]]], 0, 2048, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -36]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -16, 0], [-4, 2, 0], [0, 0, 0]], [[8, -10, -1], [-1199, 4789, 4575], [-713, -38, -135/2], [4, -5, -1/2]], [[69761, 5995, -32973/2], [45012271, 7373061, -9299280], [-33217265/2, -4167759/2, 15386967/4], [69761/2, 5995/2, -32973/4]]], 0, 2048, [], [] >,
< [ 2, -4, -1, 1 ], [[72, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -1, -9], [8, -1, -5], [0, 0, 0]], [[9, -33/2, -31/2], [1665/2, 11291/2, -897], [-257, 3645, -450], [-5/2, -1/2, -2]], [[4981, 1313/2, -3089/2], [-15048381/2, -994839/2, 1611428], [-3151076, -96509, 1266627/2], [14055/2, 2201/2, -3591/2]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 4, 2], [-4, -10, 10], [0, 0, 0]], [[0, 0, 0], [-130465, -11929, 36223], [58827, 462, -9267/2], [2, -5, -5/2]], [[0, 0, 0], [465769454, 57481942, -109357815], [-210074055, -28494665, 100909837/2], [3367, 247, -1469/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 12, 10], [4, 0, -8], [0, 0, 0]], [[0, 0, 0], [-2, 3, 1], [278, 40, -68], [0, 1, 1]], [[0, 0, 0], [-293, -13, 61], [217715, 27214, -102555/2], [538, 61, -245/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 25, -3], [-14, 15, -7], [0, 0, 0]], [[-2, 15/2, 1/2], [-176427/2, 384323/2, -70557], [-74417, 163815, -51939], [7/2, -1/2, 1]], [[242172, 29760, -57288], [-1976935706, -242167950, 464153200], [-1300838412, -159893370, 304601478], [514104, 63798, -121086]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[320, 0, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -16, 0], [-4, 4, 24], [0, 0, 0]], [[0, 0, 0], [-1, -1, 2], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [10976, 1568, -2128], [9968, -2314, -3738], [0, 0, 0]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[320, 0, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 8, -8], [44, 2, -10], [0, 0, 0]], [[0, 0, 0], [-1, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [-22440, -7480, 1496], [60960, 6630, -14730], [0, 0, 0]]], 0, 196608, [], [] >,
< [ 1, -4, -1, 1 ], [[0, -2, -1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -33/2, -10], [1, 1, -5/2], [2, -1/2, -2], [-5/2, 1, 0]], [[2227/2, -4002, -2728], [195/2, -925/2, -332], [78, -468, -312], [62, 47/2, -43/2]]], 4, 1, [], [] >,
< [ 1, -4, -1, 1 ], [[-1, 0, 1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -7, -4], [4, -5/2, 0], [-1, -3/2, 0], [0, 0, 0]], [[1143/2, -1144, -284], [-3507/2, -5967/2, 1466], [1045, -380, -95], [2, 5/2, -3/2]], [[85549, -611155/2, -420221/2], [477/2, -29191/2, -23621/2], [11400, -35112, -25194], [49/2, -147/2, -49]]], 3, 2, [], [] >,
< [ 1, -4, -1, 1 ], [[0, 32, 16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -6, -2], [10, 2, -4], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [0, 0, 1], [1, 0, 0]], [[0, 0, 0], [-940, -752, 658], [1064, -448, 56], [0, 0, 0]]], 0, 2016, [], [] >,
< [ 1, -4, -1, 1 ], [[16, 0, -16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 6, 4], [6, 4, 0], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [0, 0, 1], [1, 0, 0]], [[0, 0, 0], [-750, 230, -54], [-390, -130, 90], [0, 0, 0]]], 0, 8064, [], [] >,
< [ 1, -4, -1, 1 ], [[2, -3, -2]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 2, 1], [23, 7/2, 6], [-4, 3/2, 1], [0, 0, 0]], [[57147/2, -28157/2, -14818], [656883/2, -143730, -164095/2], [-42315, -2593, 754], [5/2, -3/2, 5/2]], [[22708937/2, -19353930, -15614702], [96474107, -90465523, -193808659/2], [-14186157/2, -24795015/2, -3744625], [-771/2, 6939/2, 1799]]], 1, 4, [], [] >,
< [ 1, -4, -1, 1 ], [[-32, 48, 32]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, 2, 0], [24, -6, 0], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [0, 0, 1], [1, 0, 0]], [[0, 0, 0], [5378, -21940, -14412], [1326, -7042, -4060], [0, 0, 0]]], 0, 16128, [], [] >,
< [ 1, -4, -1, 1 ], [[2, 0, 1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 3/2, 1], [-44, -4, 5/2], [-1, 1, 1/2], [0, 0, 0]], [[5665/2, -2543, -1561], [-242785, 45875, 59911/2], [-8209/2, 3357/2, -987], [-1/2, 5/2, 1]], [[76358, 20235, -6438], [-8594051, -901453, 1728383], [-146292, 10224, 26663], [8, -6, -12]]], 1, 12, [], [] >,
< [ 1, -4, -1, 1 ], [[2, 0, 1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, -7, -5], [33, 7/2, -7], [-10, 3/2, -2], [0, 0, 0]], [[-1317328, 1292722, 2000795/2], [-11285545/2, -1403571/2, 2484703/2], [3268519/2, 98808, 292330], [-1/2, -2, 0]], [[-3310796777/2, 35940147275/2, 12675695912], [40145437425/2, 1911552351, -3714810727], [-18729838685/2, 13107341972, 10588725833/2], [10915/2, -5428, -24367/2]]], 1, 12, [], [] >,
< [ 1, -4, -1, 1 ], [[-32, 0, -16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-80, 6, 14], [-18, 4, 4], [0, 0, 0]], [[0, 0, 0], [6, 1, 0], [0, 0, 1], [1, 0, 0]], [[0, 0, 0], [3088, -14482, -7760], [2808, -10842, -6864], [0, 0, 0]]], 0, 48384, [], [] >,
< [ 1, -4, -1, 1 ], [[-32, 0, -16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-66, 0, 6], [-4, 10, 8], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [0, 0, 1], [1, 0, 0]], [[0, 0, 0], [-23502, 12818, -1678], [-408, -12, 888], [0, 0, 0]]], 0, 48384, [], [] >,
< [ 1, -4, -1, 1 ], [[2, -1, -1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 8, 7], [13/2, -37/2, -27/2], [3/2, 5/2, 2], [-5/2, -2, -3/2]], [[12663/2, 4929/2, 313/2], [7808, -2791, -9027/2], [11247, 2277, -2070], [-31313/2, -2896, 6335/2]]], 1, 2, [], [] >,
< [ 1, -4, -1, 1 ], [[3, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 34, 22], [19, 9, 8], [2, 6, 4], [0, 0, 0]], [[28287/2, -6994, -19273/2], [179777/2, -59172, 9795/2], [29817/2, -16369/2, -1108], [5/2, -1, 1]], [[20410806, -17553971/2, -11996508], [104963912, 80894935/2, -77899229/2], [18439525, 4296625, -7162250], [5627/2, 2648, -331]]], 1, 8, [], [] >,
< [ 1, -4, -1, 1 ], [[-32, 16, 16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -2, 0], [-6, 50, 34], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [2, 0, 1], [1, 0, 0]], [[0, 0, 0], [-854, -118, 182], [-4608, 0, 1536], [0, 0, 0]]], 0, 8064, [], [] >,
< [ 1, -4, -1, 1 ], [[48, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, 18, -8], [26, 10, -6], [0, 0, 0]], [[0, 0, 0], [2, 1, 0], [2, 0, 1], [1, 0, 0]], [[0, 0, 0], [-660, 874, 166], [-408, 384, 96], [0, 0, 0]]], 0, 32256, [], [] >,
< [ 1, -4, -1, 1 ], [[0, 3, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 7/2, 3/2], [35/2, 2, 7], [5/2, -3, 2], [0, 0, 0]], [[-149, -89, -92], [3238, -882, -767], [389, -338, 6], [0, -2, -1]], [[5185/2, 1328, -554], [-94079/2, -11164, 13906], [-4617, -2296, 3755/2], [15/2, 11/2, 3/2]]], 1, 16, [], [] >,
< [ 1, -4, -1, 1 ], [[0, -48, -48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, -8, -8], [-66, 186, 132], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [-2, -2, 1], [1, 0, 0]], [[0, 0, 0], [1850, -4884, 1702], [506, -330, -242], [0, 0, 0]]], 0, 64512, [], [] >,
< [ 1, -4, -1, 1 ], [[3, -15, -9]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -3, -1/2], [-53/2, -1/2, -11/2], [-1/2, 9/2, -5/2], [0, 0, 0]], [[50709/2, -18153/2, -22103/2], [4817841/2, 807261/2, -627001], [-79307/2, -1441/2, 1980], [-1, 0, 2]], [[10171182, 7474165/2, -2154584], [1163490737, 419630025/2, -271017674], [-36378863/2, -5916018, 11780219/2], [-927/2, 369/2, -180]]], 1, 48, [], [] >,
< [ 1, -4, -1, 1 ], [[3, -15, -9]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -5/2, 0], [-64, 13/2, -15/2], [-5, 15/2, -5/2], [0, 0, 0]], [[-45642, 36913/2, 21851], [1148913, 1402665/2, 83648], [138843/2, 4888, -6809/2], [-5/2, 1/2, -2]], [[381975443/2, -69826153/2, -141516475/2], [-10831554689/2, -4262500931/2, 787165749/2], [-311176989, -44688441/2, 71759415/2], [11583, -5913/2, 4698]]], 1, 48, [], [] >,
< [ 1, -4, -1, 1 ], [[-48, 240, 144]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -92, -22], [-24, -6, 0], [0, 0, 0]], [[0, 0, 0], [-6, 1, 0], [-2, -2, 1], [1, 0, 0]], [[0, 0, 0], [-1536, -548, 628], [-1912, -270, 442], [0, 0, 0]]], 0, 193536, [], [] >,
< [ 1, -4, -1, 1 ], [[-48, 240, 144]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, -16, 12], [-20, -6, 2], [0, 0, 0]], [[0, 0, 0], [6, 1, 0], [-2, -2, 1], [1, 0, 0]], [[0, 0, 0], [2842, -978, 8], [2158, 390, -676], [0, 0, 0]]], 0, 193536, [], [] >,
< [ 1, -4, -1, 1 ], [[1, 1, 1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, 13/2, 5], [8, -9/2, 11/2], [-2, 1/2, 3/2], [0, 0, 0]], [[-6203, 8758, 15533/2], [-33385/2, 148715, -50391], [-5805, 7749, -189], [2, -5/2, 2]], [[8296532, -692052, -6565817/2], [-65991175/2, -8710887, 7437387], [8465580, 1057860, -2254500], [-3124, -1633/2, 568]]], 1, 6, [], [] >,
< [ 1, -4, -1, 1 ], [[0, -6, -3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 7/2, 1/2], [7/2, -2, -5], [11/2, -1, 0], [0, 0, 0]], [[66223, 18764, -24499/2], [80949/2, -19, -19507], [74282, 9490, -14898], [-4, -5/2, -1]], [[-2812179, -1881547/2, 501133/2], [-5017953/2, 6640551/2, 552739/2], [-2631096, -3036852, 1552824], [77/2, 1375/2, -33]]], 1, 24, [], [] >,
< [ 1, -4, -1, 1 ], [[-16, -16, -16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 44, 28], [-12, 10, 14], [0, 0, 0]], [[0, 0, 0], [-2, 1, 0], [2, 0, 1], [1, 0, 0]], [[0, 0, 0], [890460, 112520, -246380], [-422280, -91188, 88434], [0, 0, 0]]], 0, 24192, [], [] >,
< [ 1, -4, -1, 1 ], [[0, 96, 48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -8, -6], [0, 2, -8], [0, 0, 0]], [[0, 0, 0], [1130, 273, -233], [-41, 150, 104], [7, 27, 14]], [[0, 0, 0], [361497, 49716, -85495], [2495, -6653, -11367], [4436, 832, -3327]]], 0, 96768, [], [] >,
< [ 1, -4, -1, 1 ], [[-3, 0, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -13/2, -9/2], [23/2, -33/2, -4], [7/2, -9/2, -2], [0, 0, 0]], [[-4469/2, -1122, -519], [33503/2, -10892, -20], [4988, -2065, -1205/2], [1/2, -1/2, -1/2]], [[301, 301/2, -387/2], [-2035/2, -3735, 1583], [-817/2, -774, 344], [0, 0, 0]]], 1, 48, [], [] >,
< [ 1, -4, -1, 1 ], [[48, 0, -48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, 12, -10], [2, 90, 52], [0, 0, 0]], [[0, 0, 0], [-2, -1, 0], [-2, -2, 1], [1, 0, 0]], [[0, 0, 0], [-29328, 148824, -54912], [-1342, -5082, -3938], [0, 0, 0]]], 0, 193536, [], [] >,
< [ 1, -4, -1, 1 ], [[6, -9, -6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -3, -3], [25, -9/2, -1], [6, -15/2, 0], [0, 0, 0]], [[2588, -3411/2, -1455/2], [-44487/2, 6429/2, 2658], [-8901/2, 3108, -1971/2], [3/2, 2, -1]], [[3285035/2, -11633815/2, -7969505/2], [-1420845/2, 3388061/2, 2410717/2], [699895, -5326415/2, -3665265/2], [-80, 735/2, 235]]], 1, 144, [], [] >,
< [ 1, -4, -1, 1 ], [[6, -9, -6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 0, -1/2], [69/2, -15, 9/2], [-7/2, 0, 1/2], [0, 0, 0]], [[-3540, 5079/2, 2522], [-59087/2, -49702, -46234], [9131/2, 2873/2, 25], [0, 0, 5/2]], [[2363191/2, -929985/2, -685973], [22762501/2, 37893023/2, 6745761], [-3354885/2, -631822, 221842], [110, -598, -695/2]]], 1, 144, [], [] >,
< [ 1, -4, -1, 1 ], [[-96, 144, 96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [114, 24, 18], [32, 12, 10], [0, 0, 0]], [[0, 0, 0], [4, -1, 0], [-2, -2, 1], [1, 0, 0]], [[0, 0, 0], [522032, -6239748, -3032210], [361772, -2585820, -1381532], [0, 0, 0]]], 0, 580608, [], [] >,
< [ 1, -4, -1, 1 ], [[-96, 144, 96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [66, 36, -12], [-40, 12, -8], [0, 0, 0]], [[0, 0, 0], [-2, -1, 0], [-2, -2, 1], [1, 0, 0]], [[0, 0, 0], [-37438, 277650, 188086], [43754, -238158, -122354], [0, 0, 0]]], 0, 580608, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[1, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7, -9, 27/2, 25/2], [-5, -19/2, 21/2, 21/2], [1/2, -1, -1, -1/2], [-3/2, -1/2, 2, 3/2]], [[7, 53/2, 3, -8], [37/2, 35, 5/2, -11], [10, 15, 1, -5], [-3/2, 13/2, 3/2, -2]]], 4, 1, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[1, -6, -2, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11/2, -17/2, 27/2, 25/2], [17, -25/2, 29/2, 22], [3/2, -2, 0, 3/2], [0, 0, 0, 0]], [[-6099/2, 63415/2, -4103, -111872], [-689651/2, -579221/2, -2936219/2, 622180], [-25599/2, 37359, -105168, 70413/2], [-1/2, -1, -3/2, -1/2]], [[-283577412, 843329113, 1174138661/2, -842956657/2], [-48771784615/2, 56120481318, 41101860657/2, -39812315895/2], [-5838566517/2, 4065977790, 1930657806, -1528741053], [-950, 56825, 14750, -19600]]], 3, 1, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[3, 0, -1, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-15/2, -23/2, 31/2, 29/2], [-37, -73/2, 61/2, 29], [-3/2, -2, 1, 3/2], [0, 0, 0, 0]], [[563, -339/2, -5978, -1150], [-313169/2, 76538, 200297/2, -54925], [-6378, 790, 6348, -2808], [5/2, -1/2, -1/2, -1]], [[-668276083, -1341495674, -427578293, 428240049], [-50908407501, 6983505664, 24895672274, -8198114293], [-1943193244, -495763716, 1032548462, -179918348], [867835, 52910, -234580, -36260]]], 3, 1, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[3, -7, -3, 3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[35/2, 24, -91/2, -77/2], [161/2, 33, -35, -29], [-2, -2, -3/2, -5/2], [0, 0, 0, 0]], [[-352096, -467442, 1861129/2, 1488435/2], [-2586983/2, -951445, 47392, 916045], [54588, 56442, -14558, 64952], [-3/2, 1, -5/2, 5/2]], [[-2194384945/2, -8163492925/2, -2781278377/2, 739165967], [-129684943975, 468685029945/2, 114813990589, -94618383403], [1048876336, -7619009272, -2502823164, 2744271852], [-911625/2, 565125, 672375/2, -240900]]], 3, 1, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-4, 1, 2, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, 1, -7/2, -3], [46, 35/2, 23/2, -25/2], [0, -3/2, -1, 1/2], [0, 0, 0, 0]], [[-353952, -1030367/2, 1231771/2, 1068865/2], [-14465901, 24610567, 34851361/2, -12656229], [-234786, -18474, 61308, 49962], [2, 5/2, 1, -1/2]], [[213855524, -654097502, 1460165548, 1355002474], [414309541347, -523564479037, -296349125864, 214774654194], [5024844612, -4004873874, -3242044818, 2055010410], [-33728, 1216, 17856, -2944]]], 3, 1, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-5, 2, 2, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7, 19/2, -14, -10], [225/2, 23/2, -45/2, -5], [5/2, 0, 3/2, -2], [0, 0, 0, 0]], [[-6294444973/2, -4380171573, 15224039327/2, 6433977572], [3977510897/2, 19548453180, 4402008581/2, -10310537675/2], [-99980946, 369213093/2, 479027079/2, 993435543/2], [1, -1/2, 5/2, 0]], [[151765693173, 171180651004, 34896091401/2, -13356289195/2], [42063534629147/2, -5754929363830, -20438870231405/2, 7811043061783/2], [1180784354619/2, -249997795986, -293538924375, 137061989523], [-3948, 6580, 3290, -2632]]], 3, 1, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-8, 17, 7, -6]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[27, -75/2, 59/2, 3/2], [-14, -7/2, 79, 137/2], [68, 2, 5/2, -1], [0, 0, 0, 0]], [[-1477822637642, -775356111566, 6017166214345/2, -2206067509763], [5645058997495/2, 4486042475139/2, -22088904740929/2, -7082895593759], [-2798142542998, -4789253659485, 2335533981565/2, -110391492789/2], [3/2, -1/2, -5/2, -5/2]], [[-1686652038272774381, 1534073066407850823, 1833443310511213329/2, -605927230718816919], [-348708779094535655, -1974256198541091235/2, -79548594018675165, 552684945037049777/2], [-2633515555796270249, 1150064935310339848, 1297007426348601739, -596568389845712724], [12823521, -28782153/2, -18410637/2, 12539115/2]]], 1, 14, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-3, 18, 6, -7]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-36, -16, 45/2, 7], [82, -55/2, 213/2, 189/2], [54, 5/2, 2, 5/2], [0, 0, 0, 0]], [[432415903071/2, 187294513073/2, -252958810811/2, -36572206540], [-564174232524, 160033407501/2, -508224624015, -471665602768], [-338589993806, -24242901151, 8053289567, -12150652657], [-1/2, 2, -3/2, -1]], [[54632469185750084190, 169482157016808746231, 21325911007035088382, -54440757038201503311], [-267552060449073453977, -814899951144115189873, -97307333409998100064, 265218077694142566500], [-91507829593065798758, -305849468000691972321, -41482391311689296071, 99683662725450636053], [55772676, -340166928, -112680708, 132273624]]], 1, 6, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-4, 10, 3, -4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[44, -161/2, -155/2, -7], [-189/2, -28, 144, 263/2], [185/2, 3/2, 5/2, 5/2], [0, 0, 0, 0]], [[1091778136311173/2, -1332504956909632, -1678180586158063/2, 269861714136217/2], [-983016364027389, 171777168930241, 2261480174954041/2, 2308434331627253/2], [1351422926982976, -24855387642700, 23253323292244, -27532829187304], [1/2, 0, 2, -2]], [[-29772552125555537445941425, 10520416018429063457028815, 27217219558265862142816455/2, -14848285603140544551589985/2], [44085401857874580199027483/2, -23478268890065800620187724, -9981814568527920554276417, 13360922184389116846685065], [-22110228187432159490762940, 61964283215071620713723440, 25224468562085787452849420, -23315777941335235296137540], [-38861293845/2, 48412466335, 29138409025/2, -38618266375/2]]], 1, 6, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 10, 8, 6], [0, 2, -10, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-2341462, -3397900, 80314, 1000836], [143864, 949620, 143668, -296940], [0, 0, 0, 0]]], 0, 1088, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[32, 16, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 14, -34, -12], [-8, -8, 8, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [11, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [3267520, -2968756, -2195304, 1383258], [279240, 52000, -55120, -10920], [0, 0, 0, 0]]], 0, 13056, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-48, 0, 16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [34, 10, 0, -2], [10, -6, 10, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-176228908, 4119738, 46858788, -3839258], [-78416440, 16145200, 25064880, -6001960], [0, 0, 0, 0]]], 0, 13056, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-48, 112, 48, -48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [212, 52, -32, 32], [10, 8, -6, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [7, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-3052382630, 4664032658, 2450540180, -1954715176], [-63687174, 145775946, 64404612, -61300728], [0, 0, 0, 0]]], 0, 21760, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[64, -16, -32, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [184, 30, 8, -76], [6, -4, 0, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [17, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [2605646576, -657823096, -1134078524, 375479906], [101007680, -26264360, -49654952, 25649752], [0, 0, 0, 0]]], 0, 21760, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[80, -32, -32, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [118, -68, -108, 102], [-4, -6, -10, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-2657317252, 2330686194, 1851069034, -1048039566], [118298448, -45927216, -46586496, 25383264], [0, 0, 0, 0]]], 0, 32640, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[128, -272, -112, 96]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24, -8, -8, 10], [22, 10, 6, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [29, 0, 1, 1], [-18, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [200428, -389596, -141876, 172278], [-172408, 328072, 140024, -132848], [0, 0, 0, 0]]], 0, 913920, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[48, -288, -96, 112]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-114, 0, -6, -4], [20, -2, 0, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 1, 1], [-14, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [50505546, -296558206, -105821144, 114886242], [-9343520, 51625248, 17828496, -19942104], [0, 0, 0, 0]]], 0, 391680, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[64, -160, -48, 64]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-84, -8, 6, -2], [222, -4, 6, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [19, 0, 1, 1], [18, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [11507465152, -28058856564, -8896903300, 10949849396], [-33068662176, 78084386754, 22482657516, -29892860778], [0, 0, 0, 0]]], 0, 391680, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-5, 13, 6, -5]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -10, 12, 23/2], [101/2, 179/2, -137, -121], [13/2, 11/2, -9, -17/2], [0, 0, 0, 0]], [[-174814565, 485649395/2, 219770917/2, -60525797], [1332972313, 197470786, -408010423, -307275265], [-726551017/2, -76652411, 53041454, 21130693/2], [3/2, 3/2, -3/2, -3/2]], [[-20832819546070493/2, 20740428249609265/2, 14807792267938577/2, -4748348596467109], [39380148095465890, -133490095635882165/2, -36322406924201684, 28091643509096436], [-9920856964430229, 19168377976899105, 9542892907622055, -7853253515848710], [33176417/2, -42927550, -39658805/2, 16530465]]], 1, 2, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[80, -208, -96, 80]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-60, 8, 4, -2], [56, -8, 10, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [11, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [77058850, -201754080, -110684530, 62207508], [-70531104, 213224832, 94816032, -80043360], [0, 0, 0, 0]]], 0, 130560, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-12, 5, 5, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[27/2, -16, -15/2, 0], [531, -29/2, 49, 45], [45/2, -3/2, 5/2, 1], [0, 0, 0, 0]], [[470636258899783/2, -314174707654719, -116493899574631, 38934188926230], [20400506519429195/2, 407219878859096, -440360042123807/2, 479894703789683/2], [430623344837512, -2466117476160, 988200352378, 45262391850], [-2, 0, 3/2, 3/2]], [[-124880063525270562672750455/2, 96680822206179129534652717, 95179959350191670990735059/2, -77704166243470904233460241/2], [-3764926970523745878825369567, -2019009053582131726643505706, 1990938300856200739219828155/2, 826767263725595428583394889/2], [-159050247559088285106224890, -77078264620989246836318388, 43463375799928765731871728, 14779445677810976773905148], [892365032829/2, -186087368403, -186011644668, 111542288961]]], 1, 22, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-12, 5, 5, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-15/2, 9, 11/2, -2], [-468, -13/2, -8, -10], [-27/2, -1/2, 5/2, -1], [0, 0, 0, 0]], [[-1823624643268, 4735843321711/2, 1913875375493/2, -538077270805/2], [-104549991985848, 7432472735683, -53468133858851, 32747855833425/2], [-6555455585687/2, 51143935079, -6219746794, -47131555762], [5/2, -1/2, 5/2, -2]], [[18141862182319287968753/2, -24563482524602865910307/2, -12312923131855109719269/2, 11114209039595604710875/2], [606556126248763640030782, -204740648532233196750593/2, -573854200493253562786467/2, 65584697018327326845182], [32776498251001509572229/2, -2907869067737972828136, -7903398868513652950314, 4099907405620757149267/2], [-15654133272, 6485096880, 6538229520, -3886833056]]], 1, 22, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[192, -80, -80, 48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [518, 2, -4, 10], [-12, -2, -2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [121, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-6583406966, 3666389460, 3050530916, -1698711020], [151640196, -63106480, -63353316, 37093480], [0, 0, 0, 0]]], 0, 1436160, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[192, -80, -80, 48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-280, 0, -6, 6], [-110, -8, -2, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-55, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [41996502864, -20828241390, -18540208236, 9968007622], [16149507136, -6948176760, -6935393864, 3989272728], [0, 0, 0, 0]]], 0, 1436160, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-1, 7, 2, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, 2, -4, 2], [-27, -7, 9, 6], [-5, 2, -1, 1], [0, 0, 0, 0]], [[-713175, -3048351/2, 1892033, 1140521/2], [7332688, 839661/2, 5902301, 5517443], [3725463/2, -540995, 615347, 322788], [-3/2, 0, -2, -1/2]], [[-176997616605017/2, -70056100047531/2, -3272936243967/2, 48184180222451], [-876757874473647/2, 3195704612037574, 2341193828960363/2, -976660291061074], [-208599263903693, 1329423712321419/2, 230469002078562, -218947572246442], [106481973, -729098292, -209917617, 208703547]]], 1, 2, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[16, -112, -32, 32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [50, -2, 10, 6], [168, 2, 6, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [5, 0, 1, 1], [-6, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-9557207322, 64369453278, 18261872226, -18869884878], [-30608805416, 204391696740, 53128711676, -63832089176], [0, 0, 0, 0]]], 0, 130560, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-3, 19, 5, -7]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, 13, -23/2, -3/2], [-1585/2, -4, -30, -19], [-24, 0, -1/2, 1/2], [0, 0, 0, 0]], [[2440809264787/2, 7111214526671/2, -6479059260229/2, -537582120640], [-212620165836517, 33333425525987/2, -9022174659587, -15201371251654], [-6468025772168, 492933951854, -105606633869, -115897853581], [-1/2, 2, -1/2, 2]], [[3625446164137594, 87919457156751841, 19627260352188068, -28457399972889408], [-7493878684556744166, -2200968980554377233, 2536513078511627306, 150658420407654548], [-224424633004638703, -59427950396351418, 77043118664317524, 2046198871605227], [-12775, 91980, 24090, -33580]]], 1, 22, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-3, 19, 5, -7]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, 12, -23/2, 1/2], [-93/2, -29, -19, 20], [-23, -2, -3/2, 5/2], [0, 0, 0, 0]], [[-34281956456, -105910129237, 88365419305, 26524035555/2], [823780855565/2, 412287719697/2, 204745574879/2, -129211164920], [403245001115/2, -4102624036, -3064259852, -1218432296], [1, -5/2, 5/2, -1/2]], [[33190317336128213927497/2, 66804509367164475669945/2, 3181784744881094598316, -9548961351958835822173], [-259705650405962693943603/2, -737952641485225812097655/2, -40240555436051500767449, 235871464479157142104099/2], [-40872326695821484102550, -132757662228787095682765, -16383221320513863521922, 86836598794995821963511/2], [57494157250, -363857585410, -95819050293, 134002080417]]], 1, 22, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[48, -304, -80, 112]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [472, 18, 8, 8], [-206, -8, -6, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [115, 0, 1, 1], [-6, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [151844036484, -845413649022, -232615463830, 308326737548], [-66264913636, 370323896416, 101319355696, -134694927592], [0, 0, 0, 0]]], 0, 1436160, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[48, -304, -80, 112]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-788, -18, -2, 0], [78, 8, -8, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [27, 0, 1, 1], [-6, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [273851830298, -1632502234804, -388561201560, 618203501604], [-25637759330, 153865263820, 41386211820, -56493624240], [0, 0, 0, 0]]], 0, 1436160, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[2, 4, 0, -2]], [ -2, 20, -22, 6 ], [ -2, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, 1/2, -14, -11], [-19/6, 6, -157/6, -29/6], [-2, -2, 2, 5/2], [-11/6, -3/2, -1/3, -5/12]], [[-579036645/2, -314839585, 153068815/2, 132241185], [-1919251859/6, -857292687/2, 1772992309/6, 294184625/6], [-44789922, 78664356, 24307074, -33988590], [-730250945/12, 285310, 158204395/12, 59201825/12]]], 4, 2, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-1, -2, 0, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[19/2, 42, -37/2, -22], [9/2, 31, -9, -41/2], [0, 2, -5/2, -3/2], [0, 0, 0, 0]], [[-1164033/2, -7204, -1184167/2, 2085255], [11581627, -5025276, -8617983, 5747849], [5055001/2, -1682089, -204852, 822981/2], [-1, -1, -1/2, 5/2]], [[399696901515/2, 435345657712, -109447070368, -121018516553], [-3346025266773/2, 3802326905291/2, 325679828921, -977312866309/2], [-393420076320, 448634518720, 94450047680, -123822076800], [216144, 684693/2, -113049, -189837/2]]], 3, 2, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[0, 4, -1, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7/2, -40, 43/2, 12], [-31/2, -121/2, 63/2, 25/2], [-10, -23, 21/2, -2], [-2, 5/2, -1/2, 5/2]], [[-689410749/2, -372965891/2, 629825251/2, -18901781], [1680061, -599417651/2, 375022346, -82497522], [483507011/2, 74655683/2, 145559130, -296016515/2], [104631930, -301107443/2, -170898819/2, 168825033/2]]], 3, 2, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[1, -3, -1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13, 51, -48, -10], [92, 24, -35, -27], [-2, -2, 1, -2], [0, 0, 0, 0]], [[-194186481/2, -1175504313, 609364289/2, -1510476385/2], [78031393869/2, -49746555819/2, -11870799757, 12680401185/2], [-1557452221/2, -26943538, -29442127/2, 23126306], [-1/2, 1/2, -1, 1]], [[-28792614386000739, -172608503479001470, 1101312842740605/2, 97600546726670031/2], [3090830017304498309/2, -1196860711311579248, -791820411661060597/2, 312566689921265231], [-76130639364736877/2, -29370765092091599, 11614595725681748, 15516261257052605/2], [-17351925, 49143525, 16594125, -16972800]]], 3, 2, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-2, -5, 1, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, -16, 9/2, 11/2], [-33/2, -17, 13/2, 1], [-5/2, -1, 1, 1/2], [0, 0, 0, 0]], [[115, -5813/2, -6573/2, 3203/2], [-24192, -98309/2, -8906, 24845], [-5287/2, -179/2, 1745/2, -151], [1/2, 1/2, -1, 3/2]], [[-167471231, -4215554581/2, 345141020, 1276168705/2], [-16476868933/2, -4079137977, 2766911150, 853187573], [-1209642317, 477486259, 336264559, -107328492], [868665/2, 2454795/2, -293601, -936033/2]]], 3, 2, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[1, 1, -2, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-14, -123/2, 41, 25], [-19/2, -70, 65/2, 45/2], [-3/2, 5/2, 5/2, 3/2], [0, 0, 0, 0]], [[-5/2, -137, 77/2, 46], [347, -329, -181/2, 101/2], [-113, 71, 29, -19], [-1/2, -1, 2, 5/2]], [[-1354041/2, 1513219/2, 172992, -530189/2], [-21651123/2, 8213312, 3068355, -2277859], [3311867, -5140941/2, -835992, 1370781/2], [10140, 12129, -18447, -2067]]], 3, 2, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[2, 1, 0, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9, 40, -43/2, -21], [233/2, 101/2, 43, 9], [1/2, -1/2, -5/2, -1], [0, 0, 0, 0]], [[20585845, 205537373, -65430091, 203102253/2], [21962984942, -39538891499/2, -18864312299/2, 14063447041/2], [120016320, 600816, 424128, -3601800], [-1, 3/2, 5/2, 1]], [[11698955446382187/2, 28997499882695348, -119202202964005639/2, 24319690458761728], [2820544926878233285, -1186602195970948175, -3857595306064463607/2, 1888071882782993025/2], [10504277764291584, -15612722183245824, 3932978136062976, 971710964969472], [-307086149/2, -64850735, -6168536, 150550373/2]]], 3, 2, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-2, -2, 1, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-25/2, -105/2, 28, 27], [-103/2, -53/2, -29/2, -4], [2, -2, 5/2, 2], [0, 0, 0, 0]], [[-1118468, -25189276, 20138581/2, -8145933/2], [702444605/2, -406512299/2, -13187185/2, 28336885/2], [-19555425, 8522550, 2872800, -3425625/2], [-3/2, 3/2, -1, -3/2]], [[-47218796040657/2, -155983911483075, 263468026972053/2, -52449220519581/2], [2099574250654413/2, -1983567399565525/2, 797855822396713/2, -175828751878837/2], [-61516191295125, 70221469681125/2, 2336435435250, -2306295983250], [-7817760, -7892520, 4314720, -99324]]], 3, 2, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-1, 1, 0, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[17/2, 75/2, -63/2, -6], [-310, 73, -53/2, 2], [5/2, -5/2, 0, -1], [0, 0, 0, 0]], [[-3455527147, -26436201776, 12324918139, -26660415963/2], [897408739233, -4409855209039/2, -256697355183/2, 1049489151445/2], [-12618458160, -685559952, -833455392, 829090416], [2, -1/2, -5/2, 0]], [[-6914496002751278, -43682238710140314, 89865455139048040, 7556736455577848], [3141094547342609692, 575118278885189685, -559695203385139400, -214826538343978307], [-18917138368862272, 43831176931907904, 3911875761365264, -6804759451016912], [3371474, -5093710, 850782, 3865664]]], 3, 2, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[2, -1, -1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-15/2, -33, 53/2, 11/2], [-23/2, -109/2, 53/2, -23/2], [-2, 3/2, 0, 1], [0, 0, 0, 0]], [[7956561/2, -21607631, -16538059, -89516705/2], [513165695/2, 2338046303/2, 78709074, -666636309/2], [-38116206, -6138855/2, -1065543/2, -62679], [0, 0, -3/2, -1]], [[-37638473255942, 95593967155395/2, -13385238439157, 1691527045223], [-189274967526811/2, 65189374685913, -78234895150489/2, 26198679095035/2], [383655889220121/2, -301997638857663/2, -91109956348845/2, 78064090183863/2], [306488, -161481, -142946, 153087]]], 3, 2, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[1, 0, -1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-25/2, -51, 95/2, -1], [259/2, -50, 131, -163/2], [-1, 0, -5/2, 5/2], [0, 0, 0, 0]], [[25552420, 263401646, -152396161/2, 222432189/2], [-18235303699/2, 52930177260, -403217956, -28421255027/2], [154563101, -3573815, -3558919, -3069948], [1/2, 1, 3/2, 0]], [[199619573019859, 363880081620643, -676643944296745, 136817707707009], [45055643463765084, -50840319059804181, -13307051715364243, 15168208474670831], [-385107338845670, 224979799896761, 144308923569552, -94818048625013], [-991089, 182193, 970728, -1146684]]], 3, 2, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-1, 14, 1, -6]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, -21, -55, -14], [-86, 13/2, -39, -151/2], [-109/2, 3/2, -1, -5/2], [0, 0, 0, 0]], [[-33259510347, -9730178365891/2, -13986200063898, -5750641874887/2], [-44312518162001/2, -1604076044454, -4332669771706, -38827702161097/2], [-13326424140600, 1840963798693/2, -1466783500591/2, -859610397367/2], [3/2, 0, 5/2, -1/2]], [[293791827503555194914425119/2, 1323245936770950359872128869/2, -124680163717580657254294830, -480482905824276222304685447/2], [148922332975775280988985421/2, 1696342822962201095328516812, -365185566346739215588459883, -506638039518005968313586380], [-116140141160354297801595031, 635538285018341607077769739/2, 16906046047877251301735724, -210197303143855007613327507/2], [5626578863910, -78803874774876, -5616429112650, 33766533330924]]], 1, 116, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[7, 12, -6, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[56, 3/2, -15, 1], [25/2, 11, 73/2, 163/2], [131/2, -5/2, 1/2, 5/2], [0, 0, 0, 0]], [[-7308320327857/2, -530933139287/2, 1097518636259, -92027882519/2], [-2657838131404, -8471480502140, 3099213403910, -8384438883525/2], [-8604312931221/2, -509592615091/2, -410068852615/2, 480756210843/2], [-2, -2, -5/2, -3/2]], [[319308648358264302801638717/2, -159858430229427769603053659/2, -59164504798438536088154851, 58360440462505287811608267/2], [233726730184266449555350268, 1560344393659090935916899441/2, -793609390983989035314877647, 239136053114335395016278335/2], [182027163164578759918819794, -120107898783447970208323881, 22030272405607020170937291, -11031808970666461465417350], [269579832200017/2, 230980569584531, -115506741652111, -57745690309360]]], 1, 116, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-3, 4, 0, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[103/2, -8, -67/2, 3/2], [605/2, -133/2, 27/2, -87/2], [-55, 5/2, 1, 0], [0, 0, 0, 0]], [[-1734108957598253, 297406697693933/2, 2359861528870801/2, -13037152948945/2], [-10127333354876815, 3372313859172415/2, -1159250606550861/2, 1710888143336837], [1837142700191315, -7767826503037, 2563888432001, -14343185538330], [-1, -1, 0, 5/2]], [[-66825986388472002114282953070, 92963621347745616402849992811/2, 46246332391516567503487067981/2, -12511252704125898603464886819], [-415035072354382121657003730122, 247306130856392055874115903759, 74964595709512782130518582830, -90417801703599853907150929599/2], [74432436354765455388286292136, -34678845201052147359545199457, -15174938717503127108799320917, 8717787309492621858254789251], [-27924779639460, 74666226632877/2, -106562208687/2, 18575859107289/2]]], 1, 116, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[3, -2, 3, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, -42, 23/2, 1/2], [-633/2, -115/2, 19/2, -69/2], [-44, 3/2, 2, 0], [0, 0, 0, 0]], [[-870627897728, -11344033260675, 7309280563167/2, -480512277439/2], [-155879043286981/2, -16081085210592, -692715044519, -20616272618087/2], [-10843823103257, 13892440082, -25501405637, 158236250604], [-3/2, 0, -3/2, -1]], [[378167471096519183798029/2, 1227906610379026895824645/2, -2134535974231518728106433/2, 365442497001071035730054], [-638043265897913426247759/2, 1229721772017977546974567/2, -736219064128003115572424, 211071615353636728081714], [-125835037325320561787540, -185171862921682106593242, 362504796511705451064907, -125761182001138330034568], [-8496828222, 5702147925, -17039365011/2, -36336504]]], 1, 116, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-2, 3, -1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[40, 59/2, 63, 5], [-365/2, -35, -23/2, -155/2], [-113/2, -1/2, -5/2, -1/2], [0, 0, 0, 0]], [[221996730772787/2, 99912856945020, 146034512007713, -38757316585773/2], [-1022522248055351/2, -204438902142145, 96200854011797, -307109568051089/2], [-295396051394515/2, 7197298732994, -5640987553027, 5610381829801/2], [3/2, -2, -1, -5/2]], [[-2110795762200584354190223/2, 1474613823606439726568181/2, -1361249738101640831383323/2, 27451149748113096099856], [11251243898359230756125435/2, -4112262332623918790000693/2, -4784116328967826539077085/2, 1675539611684843709965356], [3365751471458997875179487/2, -2318667980124570919129837/2, -304847157526863438074949/2, 215904359837137848174172], [-36323200655/2, 54409226893/2, -18086065403/2, 9078300784]]], 1, 28, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-2, 10, 1, -4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-29, -67/2, 36, 1/2], [345/2, 89/2, -3, 107/2], [89/2, -2, 2, 0], [0, 0, 0, 0]], [[-602780377419, -1100414684333/2, 621145486399, 25123939079], [7850018370207/2, 1166731052090, -134055573158, 1663625226945/2], [1010024255347, -32793060838, -34339225317, 18037047241/2], [-3/2, -5/2, 2, -2]], [[247392208482809476308372, -345436891054303163627815/2, -89379303442592168999806, 54605244076654633450777], [-3369234170568535355306737/2, 2670048701160324182823795, 654846760287679065571035/2, -1595323782783975639592251/2], [-1008831456382477184378607/2, 1114921892923246457760811/2, 214586701484807672017217/2, -301837416874295442025427/2], [264213064948, -1312317757624, -133838949288, 525923068848]]], 1, 28, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[5, 11, -4, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-18, -6, -7, 3], [153, 59, -11, 9], [31, 2, -2, -1], [0, 0, 0, 0]], [[613973599257/2, -134145763765/2, 229077767239, 55515359304], [-5097329974827/2, 658468693624, -1591038095471/2, -1074687948310], [-1167428991493/2, 57896695945/2, -20234762851, -75251176487/2], [-3/2, 0, 3/2, 3/2]], [[96223225085229445487/2, -1015370528611240402453/2, -8677216047268377150, 177239138162539488416], [-747429419514316223797/2, 8349386425097628792983/2, -317123185070345134562, -1247678709250597556444], [-330018082885620602863/2, 1049613174984697474477/2, 29737430385358695710, -164623030937851613524], [-2605967833/2, -5714436693/2, 1045036790, 775670336]]], 1, 28, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[1, -4, 3, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, -37, -25/2, 13/2], [53/2, 145/2, -59/2, 45/2], [30, 5/2, 0, -2], [0, 0, 0, 0]], [[15143799625/2, 30887027829, -26208091403/2, -27405033991/2], [-20038139892, -189806598787/2, 35851077064, 41336077396], [746389110, -10117531990, 3366458830, 4374386170], [3/2, -5/2, 5/2, 3/2]], [[667142512172008126731, 5317287744560418429677/2, -1094878535872983355312, -2294588901735294382163/2], [-3267999515614188442211/2, -7929284338594368188712, 2710169503679175426966, 3528327169833430721536], [116439746740978085740, -974825375976867131780, 283281611325495058920, 385838995203361838740], [241086474729/2, -953580860311/2, 358572141946, 236760045381/2]]], 1, 28, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-4, 0, 4, 0]], [ -2, 20, -22, 6 ], [ -2, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13/3, -19/2, 38/3, 10/3], [2, 0, 5/2, 1/2], [-2/3, 3/2, 1/3, -5/6]], [[0, 0, 0, 0], [1347081/2, 17869777/6, -1740691/6, -5260987/6], [611991/2, 1708956, -150111, -981495/2], [16341, -113828/3, 6500/3, 27092/3]]], 1, 34, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[16, 16, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 6, -16, -6], [2, -10, 0, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [5, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-8650072, 11408248, 2417800, -2976720], [-8532106, 12912482, 1961542, -3176976], [0, 0, 0, 0]]], 0, 13056, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[0, -64, 16, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 4, -10, 4], [-28, 16, -8, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 1], [0, -1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-540, 7560, -1460, -1820], [-14938, -191478, 21728, 59752], [0, 0, 0, 0]]], 0, 21760, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-16, 48, 16, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-144, -50, 20, -42], [6, -4, 2, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-5503622662, -12831170808, 1067718652, 3420256620], [91236482, -290676024, -82706324, 84169372], [0, 0, 0, 0]]], 0, 65280, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[32, 80, -16, -32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [294, 104, 88, -64], [-6, -8, -6, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [29, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-1345929796, -2111332596, 696874804, 833383220], [36715160, 101869254, -23587142, -38793916], [0, 0, 0, 0]]], 0, 65280, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-16, -16, 32, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-68, -4, 8, 10], [-4, -4, -4, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [9, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-756132, 779622, 87228, -113346], [190830, 1093438, -254114, -437114], [0, 0, 0, 0]]], 0, 65280, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-32, -16, 0, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [126, -88, 114, -130], [2, -6, 8, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-23, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [1254128600, -1151508280, 360382940, -107458140], [31944460, -15757532, 37194802, -25666170], [0, 0, 0, 0]]], 0, 65280, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[32, 32, -16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [366, -182, 40, -4], [-6, 8, -2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-55, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-2331812, -28075460, -624528, 7619724], [-85690, -87730, 35760, 150], [0, 0, 0, 0]]], 0, 130560, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[16, -16, 0, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-276, 198, -6, 4], [-8, 10, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-27, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-112184724, 284097392, 26294332, -121881974], [-3910092, 6851344, -1862732, -5038882], [0, 0, 0, 0]]], 0, 130560, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-32, 16, 16, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-46, 124, -124, -22], [2, -10, 10, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-37, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-148740, -210660, 111626, 48952], [9744, 17052, -8120, -4060], [0, 0, 0, 0]]], 0, 130560, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-16, 0, 16, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-356, 10, 10, -8], [-4, -4, -8, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-41, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-797501464, -1170106942, 404864624, 381233966], [-5622656, 339202, 5427046, -5860736], [0, 0, 0, 0]]], 0, 130560, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[16, -224, -16, 96]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-390, -2, 4, -10], [-154, -2, 4, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-55, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [5215530600, -21144932400, -13650981600, 15420343800], [1259013530, -11384895380, -1950959900, 5420824298], [0, 0, 0, 0]]], 0, 7572480, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-112, -192, 96, 48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-258, -10, -4, 10], [312, 4, 10, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-41, 1, 0, 1], [-38, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-73927830196, -121159707148, 59682761894, 31659860540], [93729180944, 165172695800, -75988579156, -46101803020], [0, 0, 0, 0]]], 0, 7572480, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[48, -64, 0, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-316, 0, 10, -6], [-282, 8, 6, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [27, 1, 0, 1], [-14, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [33323702720, -34604001432, -4768392552, -14137475352], [26628196770, -44238861390, 8660213760, -11802270630], [0, 0, 0, 0]]], 0, 7572480, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-48, 32, -48, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-378, -2, -6, 6], [252, -2, 0, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [9, 1, 0, 1], [-50, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [2907421734, -2320439308, 2908515102, 439065354], [-1997711674, 1310504444, -1792355568, -135310770], [0, 0, 0, 0]]], 0, 7572480, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[32, -48, 16, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [290, -10, 6, 10], [248, 8, 8, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 1], [10, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-286279239372, 287202401724, -23933140976, 117811530156], [-201121316564, 405074212164, -171587749206, 98630036212], [0, 0, 0, 0]]], 0, 1827840, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[32, -160, -16, 64]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-428, 6, -4, -8], [76, -4, 8, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [13, 1, 0, 1], [6, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-966741204, 5903514100, 67841488, -2110913992], [208905312, -917535038, -124221944, 377319796], [0, 0, 0, 0]]], 0, 1827840, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-80, -176, 64, 48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [70, -2, -6, 2], [328, 8, 4, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-27, 1, 0, 1], [4, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-1926739776, -4073042880, 1529969536, 1091705424], [-10450266588, -25402083876, 10393580394, 6025408974], [0, 0, 0, 0]]], 0, 1827840, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-16, 64, -48, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-184, -2, 10, 6], [-252, -8, 8, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [9, 1, 0, 1], [26, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-751786022, 4569406814, -3215359686, -1234656792], [-516165436, 8550073036, -5220989756, -2822106954], [0, 0, 0, 0]]], 0, 1827840, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[64, 128, 0, -64]], [ -2, 20, -22, 6 ], [ -2, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 6, 6, -4], [-2, 10, 8, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1294577/3, -8977553/3, 283133, 2594860/3], [259925, 20873, -260956, -112859], [-4/3, 2/3, 1, -4/3]], [[0, 0, 0, 0], [-21644032606/3, -33133956652/3, 2304082713, 9351135239/3], [-6329818969, -1293591741, 2211132642, 659277476], [79297/3, -124040/3, -10189, 46072/3]]], 0, 2228224, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[3, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13, 18, -13, -11], [0, 36, -45, -42], [-12, -1, -2, -2], [0, 0, 0, 0]], [[-5336921, 4124581, 3232851/2, -2591803/2], [5265567, -5078297, 1232041/2, 53630], [7211824, -11088037/2, -1933041, 1510690], [-1, 5/2, -2, 3/2]], [[-3036433872287/2, 1194706326686, 383955848257, -318422520070], [3182508482281/2, -1173147372166, -806297841921/2, 314822941292], [2056920849342, -3197009269019/2, -1039960476079/2, 426548966121], [-519210, -472417/2, 144225, 63459]]], 1, 8, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[48, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-26, -12, 4, -4], [24, -8, -4, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 1], [0, -1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [576288, 226044, -171396, -19872], [-559126, 86620, 158356, -57828], [0, 0, 0, 0]]], 0, 174080, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-4, -6, 0, 2]], [ -2, 20, -22, 6 ], [ -2, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, -2, 11/2, 13/2], [-35/6, -103/3, 55/2, 61/6], [-3, -6, 3, 1], [5/6, 7/12, 0, 1/3]], [[56135/2, 1448283/2, -168405/2, -235767], [174715/3, 1639857/2, -964897/6, -775234/3], [118905/2, -93930, -19515, 53535/2], [-213313/12, 78589, -11227/12, -145951/6]]], 1, 12, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[2, 3, 0, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7/2, -7/2, 37/2, -19/2], [66, 223/2, -22, -75], [9/2, 10, -21/2, -7/2], [0, 0, 0, 0]], [[-408272779/2, 136647518, -106020283, 118012387/2], [8932834133/2, -4707796658, -1115146373, 3302035509/2], [521036775/2, 42751650, 2624225, -20506325/2], [3/2, 2, -2, -3/2]], [[13208450581054, -60901457287217/2, 26092576684367/2, -121744778081], [-402873806250863, 288561998997880, 140265791225875, -188942783754679/2], [-12530651098300, 42324791258250, -799544634650, -9840664275950], [-117819, -308997/2, 25389/2, 91377/2]]], 1, 4, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[4, -24, 0, 8]], [ -2, 20, -22, 6 ], [ -2, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-89/6, -254/3, 311/6, 39], [-7/2, -19/2, 27/2, 7], [17/6, 13/6, 2/3, 0]], [[0, 0, 0, 0], [16230031, -2178958, -18498733, 7762941], [-2270301, 4114679, -3034798, 702657], [6948945, -10804865/2, -2044620, 3169775/2]]], 1, 204, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-32, -48, 0, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [34, -2, 2, 8], [18, 50, -48, -30], [0, 0, 0, 0]], [[0, 0, 0, 0], [5, 1, 0, 1], [2, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [11922370, -13455382, -3626480, 4002442], [3524200, 4694024, -2928768, -221972], [0, 0, 0, 0]]], 0, 52224, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-128, -192, 0, 64]], [ -2, 20, -22, 6 ], [ -2, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, -2, 4, 8], [10, 20, -38, -18], [0, 0, 0, 0]], [[0, 0, 0, 0], [-18282955, 40998616/3, -3113695/3, -7545817/3], [-150505457, 131461914, 39930019, -30101092], [1, 5/3, -5/3, 1/3]], [[0, 0, 0, 0], [-3683650885894/3, 2940018243548/3, 309554753024, -772902752968/3], [-10244575914648, 7983533867252, 2574651501032, -2134188765268], [99304/3, -85400/3, -9904, 25048/3]]], 0, 13369344, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[1, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9/2, 3, 37/2, 9], [-7/2, 9/2, 37/2, 17/2], [-1, 1, 3/2, 1/2], [0, 5/2, 3/2, 0]], [[903/2, -465, -797, 771/2], [2725/2, 2907/2, -508, -310], [75, -1005, -405, 420], [986, 1827/2, -116, -551/2]]], 4, 1, [], [[[2, 1, 0, 0]]] >,
< [ 1, -1, -4, 0, 1 ], [[2, 1, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -1, 15/2, 3/2], [10, -9/2, 11, 4], [0, -5/2, 3/2, 1/2], [0, 0, 0, 0]], [[-86590, -202727/2, -84072, -71327], [744415, 1632322, -554651/2, -1256789/2], [-79780, -38340, 16760, -9950], [-2, -3/2, -3/2, 3/2]], [[-9381582010, -5913101460, 13977480425/2, 4236848455], [87643220163/2, 255516800433/2, 7837617557, -56920053275/2], [-6346286060, -1841213460, 2274557800, 760697400], [-450695/2, 101875/2, 131215/2, -49715/2]]], 3, 1, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-2, -5, 0, 1]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-133166209/2, 41199365, -52930643/2, 29/2], [-14798961188786/9048079, 9157269042137/9048079, -5882013146780/9048079, 60966987/9048079], [485/166, -133/166, 173/83, 2/83], [68646964/27144237, -14158813/9048079, 27285650/27144237, 1/54288474]], [[2000490206533583457503/2, 2135533572934477154792, -51749642472194377889, -1117531293729021375961/2], [444630490772746124473704351/18096158, 474646462559320304493083302/9048079, -11502352354108022120877276/9048079, -248384664944484507018310429/18096158], [-4590714879556580/83, -9205293743852495/83, 159195819278280/83, 2313723722980095/83], [-2062498368336977387669/54288474, -733909269935224689908/9048079, 106707328403252357825/54288474, 576085462014863791990/27144237]]], 4, 2, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 8, -8, 6], [10, 10, 8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 1, 0], [1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-649300, 554270, 154370, -142330], [-13893792, -21991368, 2108688, 5715936], [0, 0, 0, 0]]], 0, 5440, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[32, 16, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [16, 16, -20, -8], [4, 2, 6, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 1, 1, 0], [1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-3186116, -1545926, 717070, 368152], [105000, -3422500, -347500, 975000], [0, 0, 0, 0]]], 0, 21760, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[32, 80, 0, -16]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10202/83, 2402/83, 2840/83, 598/83], [-852/83, 158/83, 228/83, -6/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [-240095722150090/9048079, -172382322386663/9048079, 18815159262612/9048079, 40314194723890/9048079], [-114527963/83, -222170785/83, 147062322/83, 36828089/83], [19668901/9048079, -21616325/9048079, 36475142/9048079, 1/9048079]], [[0, 0, 0, 0], [-127784038237657555213944567/9048079, -211577058622224286859657124/9048079, 19868642875878998844450338/9048079, 55561834967646294254237093/9048079], [-79439534568137463240/83, -110383974337112199885/83, 9396893303246094921/83, 28568299552429031514/83], [17596169219791090168/27144237, 15269878354413739041/9048079, -5157150881762262631/27144237, -12279004583011196134/27144237]]], 0, 65280, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[4, 9, -1, -3]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[23273363/2, -9749926, -66094624, 6], [2583211122565/9048079, -4335364903111/18096158, -14690992421634/9048079, 124498713/18096158], [-4209/166, -222/83, -45/166, -1/166], [-23998751/54288474, 6701301/18096158, 136286837/54288474, 1/27144237]], [[-180808925505510227019/2, -394650587493080830407/2, 25055397781821486989, 110001334726998343701/2], [-40460154771088054021167997/18096158, -88164127637791380526687967/18096158, 5589384572194316336478701/9048079, 24566369202469837728738655/18096158], [-84701075919956586/83, -139337392138852254/83, 12610003970049492/83, 36433859671654924/83], [93127331950641192229/27144237, 135540796152568787037/18096158, -25820237456543104936/27144237, -56671381873761429388/27144237]]], 1, 8, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-64, -144, 16, 48]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-80148/83, -10266/83, -1488/83, 476/83], [-7256/83, -888/83, -90/83, -2/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [13843725643332397432/9048079, -8766871190683979664/9048079, -5174768040756250275/9048079, 1914952323990987066/9048079], [11485685165459/83, -7296662633836/83, -4325900233635/83, 1597691681252/83], [142012157/27144237, -4693556/9048079, -26012933/27144237, 4/27144237]], [[0, 0, 0, 0], [-21672598511416727503691256324/9048079, 236644568458844993878841789083/9048079, 394133821999403916758041901853/9048079, 144536836937800444195511686330/9048079], [-19199331394405948691234/83, 196708454975095209910155/83, 331637666987996681219453/83, 122160115920562083340949/83], [1130305066514636770/27144237, 762744260564749935/9048079, -260005047264849685/27144237, -641639412845176765/27144237]]], 0, 522240, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[5, 0, -2, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[8, 25/2, 47/2, 7], [5/2, 15, 24, 8], [21/2, 1/2, 3/2, 1], [0, 0, 0, 0]], [[-266953107/2, 22874623/2, 111024517/2, -41044157/2], [-65069060, -71209494, 27748455/2, 21966169/2], [-230209249/2, 78757187, 95569529/2, -29412787], [17, 3/2, -65/2, -16]], [[617516829101276, -508518929671299/2, 359405955534194, -183211296813910], [255228779147659, 767095216197657/2, 286806290806425/2, -374125006438247/2], [730838842472845, -938042871397410, -94110809477117/2, 320754778037361/2], [-62083098, 10594584, 30910572, -1819125]]], 0, 6, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[5, 0, -2, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 4, 1, -11/2], [-81/2, 4, -11/2, -9/2], [9/2, -1, 1/2, -1], [0, 0, 0, 0]], [[-1110017320, -1925445219/2, -1362978929/2, 234044005/2], [20404964597/2, 1160709313, -7931796299/2, -1269369196], [-2083230981/2, 18116865, 60776001, 7625826], [13, 5/2, 2, 1/2]], [[27712234960284471/2, 4482000231229880, -5973717920857076, -940436534367834], [-94529527386932355, -3349832914065541/2, 49215070764788785/2, -4475450299312299], [10965056952278520, -2483472043586898, -3999584589119028, 1108524010865544], [-288008019/2, 18870369/2, 111322591/2, -5271527]]], 0, 6, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[4, 4, 1, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 4, 6, 3/2], [-27/2, 0, 1/2, 5/2], [5/2, 1, 1/2, 0], [0, 0, 0, 0]], [[-4287641/2, -1458229/2, -3537309/2, -3916611/2], [27871951/2, -11784864, -9176287, 9875137/2], [-2230709, 896506, 605085, -1383967/2], [-3, 1/2, 13/2, 7/2]], [[-520891825366, -3569375526435/2, 2384104676, 946469334889/2], [55747920337/2, 17433333637653/2, 673557548885, -2382080983819], [-356228125253/2, -1533389316459, -73184128589, 831923204827/2], [-236385, -1112709, -19158, 308073]]], 1, 1, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[4, 4, 1, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5/2, -10, -53/2, -11], [2, -6, -21, -31/2], [-3/2, -5, -7/2, -1/2], [0, 0, 0, 0]], [[-164221, -2318121/2, -73850, 294420], [538937, -4849819/2, -481970, 708791], [32769, -2183141/2, -100260, 297250], [-1, -1/2, 0, 0]], [[32479906840, -15411930560, -10189769798, 9170739977/2], [71947096500, -125899786842, -38883070932, 79974984795/2], [31224381460, -35136416240, -11499883238, 20488664417/2], [11140, 98380, 1402, -54103/2]]], 2, 1, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[5, 13, 0, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15/2, 19/2, 11, -1], [291/2, 14, 23, 1/2], [8, 1/2, 1, -1/2], [0, 0, 0, 0]], [[-16245332767, -30368361739/2, -10579095957, 4494454713], [-280753820245, -7647135594, 6473641257/2, 13014574961/2], [-15312374588, 68487742, 59705980, 873252198], [-4, -3/2, 1/2, 1/2]], [[77308466804756654, 407865379473978062, 350414464466308426, 107876811727161520], [1243723631146354172, 5431381891015998258, 1484387673038582443, -514153243416578724], [74233491833243154, 291555847388485772, 42076040223025656, -45151015178386748], [28493424, 74383632, 730056, -16882464]]], 0, 18, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-1, -7, 0, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[16, -13, -80, -77/2], [39/2, -7, -131/2, -77/2], [1/2, -3, -21/2, -5], [0, 0, 0, 0]], [[3635403/2, 2083369/2, -735030, -937109/2], [-10716731/2, 15146133/2, 3177017, -6084085/2], [2760067/2, 146553/2, -411630, -52085/2], [-5/2, 1/2, -2, -5/2]], [[612503839973/2, 963830631450, -39913139, -255770547076], [1343712052727/2, -3342094128700, -406783383061, 912343126776], [240502842773/2, 809709131050, 33869874661, -219869865476], [-374027/2, -1857750, -17339, 525124]]], 1, 2, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[2, 12, 1, -3]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[17179440, 5029393/2, -32670459/2, -15/2], [12212069133263/9048079, 3574591509441/18096158, -11612820723347/9048079, 6781659/9048079], [-461/166, -311/166, -391/166, -5/166], [-37765059/18096158, -2763956/9048079, 17954745/9048079, -1/18096158]], [[2745023596075403615/2, 34071037491558172247, 7953721245534626939/2, -10488073025748767315], [1951379114183008028398759/18096158, 48437635717658937911430881/18096158, 2826980952375692902199809/9048079, -14910729327242032490244437/18096158], [10141176175330/83, -812090601299255/83, -104240775015555/166, 203725366808970/83], [-1508585390517475782/9048079, -37448577146435962410/9048079, -4371110893480314156/9048079, 11527793656099483536/9048079]]], 1, 4, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[64, 64, 16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16, 18, 42, 16], [8, -12, 0, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 1, 1, 0], [1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-18174, -25164, 1398, 5592], [49658, 71890, -8162, -18718], [0, 0, 0, 0]]], 0, 32640, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[64, 64, 16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-28, 2, 26, 12], [-10, -32, -26, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 1, 1, 0], [3, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [33526680, -231172920, -30056400, 63220080], [-57266786, -45259602, 14885806, 12723418], [0, 0, 0, 0]]], 0, 65280, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-80, 0, 32, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-36, -20, -18, -10], [-10, -8, -34, -20], [0, 0, 0, 0]], [[0, 0, 0, 0], [-110936991, -151004061, 7426823, 32352961], [-43540226, -63548498, -10353013, 7387544], [-1, -3, -2, 3]], [[0, 0, 0, 0], [-168203358833, 202147875358, 62695698029, -58867152712], [-83515269479, 115211173636, 37838453301, -36056959709], [-16482, 30258, 29028, -19311]]], 0, 391680, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-80, 0, 32, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, 30, 8, -4], [10, -2, 6, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [76879, -129422, 6509, 18365], [-12858, 126848, -25762, -16087], [-19, -2, -5, -4]], [[0, 0, 0, 0], [358835178, -573286810, -2430581618, 1273772160], [-740136342, 546381434, 2576697232, -1292963298], [80116, 80116, 120174, -40058]]], 0, 391680, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[16, 112, 0, -32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-58, -8, 2, -8], [-8, -4, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 1, 0], [-1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [0, -212232, 0, 53058], [-1192, -28762, -3838, 9138], [0, 0, 0, 0]]], 0, 43520, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-80, -208, 0, 48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [80, -6, 6, -20], [-30, -2, 2, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [25545577049, -20520589947, -29224706525, 15502184745], [-5499069254, 25237454, -126823069, 124130452], [15, -5, 4, 1]], [[0, 0, 0, 0], [-16253963495528874932, -47086358093460719732, -2135537235774317008, 14327216716945514906], [7506569756373290556, 16544894936954657328, -623787974187346284, -4107985405137482388], [-17145756360, -44578129680, 39357720, 10317744180]]], 0, 1175040, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-32, -192, -16, 48]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2776/83, 62/83, -4838/83, -78/83], [-192/83, 66/83, -470/83, 8/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [1920592361674180/9048079, -5191706099393816/9048079, -871918025533386/9048079, 1477988272143747/9048079], [1707504660/83, -4339068113/83, -869336932/83, 1228168135/83], [22426008/9048079, -7535657/9048079, -37040794/9048079, -3/9048079]], [[0, 0, 0, 0], [18883552748948279230050/109013, -43624376554639184453273/109013, -9201687084356724974958/109013, 12532503703691542223036/109013], [15535042468263817, -37021764235486397, -7297363496667480, 10493285100806745], [-3422330418345701/9048079, -9192306552773623/9048079, 8449725823082104/9048079, -440703131947493/9048079]]], 0, 261120, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-9, -6, 2, 1]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[30069231/2, 14637281/2, 40645305/2, -25/2], [21379408442063/18096158, 10405758249031/18096158, 28894304826583/18096158, -108513641/9048079], [1720/83, 21/166, 95/83, -5/166], [-16523415/9048079, -16088413/18096158, -44674743/18096158, 1/9048079]], [[-66426959696822824015/2, -139286064291729821950, -1234977122808559054, 27370290677313305715], [-47227819891882856411170633/18096158, -99029115769834509335391388/9048079, -877910163974562674926394/9048079, 19460316857698269619594499/9048079], [-2528571014682428/83, -12088779411150032/83, -135237094066532/83, 3020239376223460/83], [36503727769668379662/9048079, 306165510776470393913/18096158, 1357292329240772510/9048079, -60161481586241074179/18096158]]], 1, 32, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[144, 96, -32, -16]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-63790/83, 1598/83, -7280/83, -88/83], [-5784/83, 100/83, -692/83, -8/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [-41916311226635/9048079, -93185718261798/9048079, -179512591983918/9048079, -16670440280/9048079], [-74366716/83, -165373864/83, -318626999/83, -13707/83], [-10620822/9048079, -23624070/9048079, -45523221/9048079, -1/9048079]], [[0, 0, 0, 0], [-2207829320053095601366625250/9048079, -9179731663039508716019633604/9048079, -42338306067649415029613274/9048079, 1896535371226082762667587824/9048079], [-3917572308108398168502/83, -16290645019774409451684/83, -74996318415763716786/83, 3365474812057217742640/83], [-559559689044928325036/9048079, -2327115922766037485772/9048079, -10696224999957679588/9048079, 480734994046366546640/9048079]]], 0, 2088960, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-1, -5, -1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13/2, -7, -23/2, -2], [-37, -3, -10, -11/2], [-15/2, 1, -1/2, -1/2], [0, 0, 0, 0]], [[-6911519, 95163549/2, 129294787/2, -54140990], [26974309, 149327539/2, 203913489/2, -89074756], [2324785, 32282181/2, 58231795/2, -19879598], [1, -3/2, -5/2, -2]], [[1311454018930, 1922787540641, -215303170522, -492176325663], [4728740975060, 6795524303426, -782560360570, -1750713037442], [854932886170, 1212369582149, -144514931638, -312006193983], [-5258, -18403, 1298, 5841]]], 1, 2, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-1, -5, -1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[8, 11, 33/2, -1], [-45/2, 31/2, 33/2, -7/2], [19/2, -1/2, 2, -1/2], [0, 0, 0, 0]], [[5993000591/2, 1791061535/2, -2127168892, -251830707], [-6810029725/2, 2803497333/2, 805811523/2, -525064157], [2188755671, -277201441, -1016023464, 416557683/2], [-1, 0, -1/2, 5/2]], [[1895168881096, 6859324357123/2, -363017196543, -1947091386391/2], [-1462556369448, -7826572119703/2, 32747223017, 2009518202095/2], [1111580410022, 4886689492935/2, -125262978013, -1316650984167/2], [-510, -2805/2, 425, 1105/2]]], 1, 6, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[3, 8, -2, -3]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[8770186, -49842175/2, -17750697/2, 15/2], [12472243238439/18096158, -35432298034733/18096158, -12617399307017/18096158, 113908081/18096158], [711/83, -164/83, 301/166, 3/166], [-9640261/9048079, 54783797/18096158, 9755144/9048079, 5/18096158]], [[-8897991520181365010, -21901687783672611122, 5063265692936521607/2, 7029951749192800987], [-6318380608036307054203148/9048079, -15559705539919341235518880/9048079, 3596764061408145910840215/18096158, 4994878800633413049513111/9048079], [2989873387250907/83, 4151380347737028/83, -537748143227205/83, -1083939163380726/83], [9777633079855707901/9048079, 48139076677029155519/18096158, -5564346157043233573/18096158, -15451988522600214913/18096158]]], 1, 12, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[16, 80, 16, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-36, -4, 16, 0], [42, -6, 8, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 1, 1, 0], [-1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-346041194, -869443052, 99804542, 243430880], [230593240, 1293764272, 304232792, -279905440], [0, 0, 0, 0]]], 0, 130560, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[16, 80, 16, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-114, -6, 6, -6], [10, -8, 6, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 1, 0], [-1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [1483389836, 3500415552, -16094372, -901980426], [-65181312, -319230828, -50209236, 77603526], [0, 0, 0, 0]]], 0, 130560, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-48, -128, 32, 48]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-93578/83, -65010/83, 21224/83, -576/83], [1302/83, 896/83, -304/83, 8/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [27799606811760056/9048079, 122054394997467266/9048079, 5037398888190120/9048079, -33482085350776186/9048079], [-3487582576/83, -15530712258/83, -653008894/83, 4274922232/83], [11805186/9048079, 14080668/9048079, -1131304/9048079, -4/9048079]], [[0, 0, 0, 0], [-1732657416182626455426115453/9048079, 2165339296377682757090958371/9048079, 670400847572867353021261841/9048079, -633955037521284467889097707/9048079], [221218892426362433616/83, -278716078977463929490/83, -85741811143915583670/83, 81594499048863438859/83], [-80108340808627144/9048079, -284044589398829090/9048079, 9738749174459890/9048079, 85652782024508179/9048079]]], 0, 783360, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-4, -15, -4, 2]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-18433042, 23319863/2, -15692021/2, 19/2], [-26199058746909/18096158, 16577708528679/18096158, -11154417360891/18096158, 73720893/18096158], [2596/83, -135/83, 59/166, 5/166], [20261083/9048079, -25631815/18096158, 8623840/9048079, -3/18096158]], [[-1661290885919700197963/2, -1482773468682088002513/2, 349214405175686819507, 422497839369502537127/2], [-590276434229465975684448778/9048079, -526786236896334222096210189/9048079, 496362931856067783063991545/18096158, 300196159652881147157455091/18096158], [127421807518827507/83, 301671606898866141/166, -36176506698680733/83, -42385737028022094/83], [913024532129545054337/9048079, 814922677889905180119/9048079, -383843421264586879462/9048079, -232201992757708310198/9048079]]], 1, 96, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[64, 240, 64, -32]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [511854/83, -72454/83, 40652/83, -1096/83], [-7116/83, 1004/83, -560/83, 6/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [-81963555963242872045/9048079, 199155149661584750998/9048079, 39386190943453565423/9048079, -56612404977865376504/9048079], [10442941675159/83, -25373427174410/83, -5017670554358/83, 7212747918243/83], [25959873/9048079, 9543402/9048079, 37606446/9048079, 5/9048079]], [[0, 0, 0, 0], [1928722321163568785457217632838/9048079, -4594161979081340365678776819184/9048079, -918960538325185146067094447422/9048079, 1306676883387231715037600902516/9048079], [-245778901470335467096884/83, 585293513450868056022300/83, 117139621612841072663432/83, -166448735971767449710944/83], [-4460577376717785300/9048079, -2483154243649597684/9048079, 5873183269147364120/9048079, 2874316578070657944/9048079]]], 0, 6266880, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[5, 0, -2, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 13/2, 19, 25/2], [27/2, 15/2, 23, 7], [13/2, 0, 0, 5/2], [0, 0, 0, 0]], [[653712822, 1579723989/2, 1217341820, 864324983/2], [4507917965/2, 28679075, 241167489, 1561759521/2], [741397862, 37518766, 10945360, 76739678], [1/2, -1/2, -2, 2]], [[-136021261676528421/2, -114317616443050256, 21690424749673407/2, 30517308273893955], [-259051408317640221/2, -239706558726067301, 35753656744553343/2, 127054654042505013/2], [-41868257061674056, -77998399697662548, 5549040296730308, 20593333537485514], [-11133190, 135795, 4433450, -138295/2]]], 1, 6, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-80, 0, 32, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-168, -10, 10, -6], [26, 6, 0, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 1, 1, 0], [5, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-1673148800, 338836000, 250037600, 39725600], [281567502, -31418442, -121815900, 15956352], [0, 0, 0, 0]]], 0, 391680, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, -1, 1, 1]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-103/2, 123/2, -57/2, 7/2], [16381/278, -11381/278, 1665/139, -3351/278], [1/2, 1, 1/2, -5/2], [164/139, -146/139, 27/139, -2/139]], [[-1399561/2, -1099279, 171495, 571985/2], [91769996/139, 245552673/278, -42888180/139, -42365969/139], [-83576, -79532, -4044, 8088], [3286881/278, 2437578/139, -526877/139, -700102/139]]], 4, 2, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-5, -5, 3, 2]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-59, 150, 233/2, -1], [12, -283/2, -74, 9], [-15/2, -3/2, 8, 5/2], [1, -5/2, -2, 0]], [[79162583, -619049967/2, -126100689/2, 65190581], [-6795846961/139, 37858475789/139, 11974322985/278, -16813479363/278], [-5659875/2, 3211065/2, -1552005, -1562535], [-165648388/139, 710349276/139, 144000822/139, -147845148/139]]], 1, 6, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[10, 6, -4, -2]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[47, -36, -107, 10], [-5539/278, 11103/278, 25999/278, 849/278], [11/2, 13/2, 5/2, -2], [-189/278, 153/278, 251/139, 2/139]], [[230021983, 1432471891/2, -426332679/2, -569165555/2], [-129711311139/278, -206204608099/278, 87901174975/278, 85800001097/278], [-17679189, -49013751, 10611651, 16930542], [-1805403651/278, -1787101607/139, 1369916447/278, 1476410673/278]]], 1, 10, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[20, 10, -12, -6]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-263/2, -43/2, -381/2, 18], [10803/139, -2530/139, 27630/139, 1791/278], [-15, 9/2, -1/2, 5/2], [563/278, -26/139, 975/278, 5/278]], [[-64610657, 3218997, 145736554, 67672277], [16562635569/139, 8646347365/278, -24051148313/139, -23187884631/278], [16197215/2, 3572348, -3865724, -3560295/2], [253860262/139, 94117331/278, -419639081/139, -199798598/139]]], 1, 30, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, 16, -8, -8]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, -1, -1, 5], [-7, 10, 0, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [222078175/278, 135692117/278, -89597247/278, -8642935/139], [-262355, 238402, 47633, -57899], [777/278, 172/139, -167/139, -1/278]], [[0, 0, 0, 0], [1273112880927/139, 1004762465666/139, -386192851788/139, -295299135677/139], [462085348, -768155796, -64208508, 246242464], [4171716/139, 3261616/139, -1352496/139, -1004340/139]]], 0, 1280, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[80, 40, -48, -24]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 7, -3, 1], [-20, 1, -5, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [766057952/139, -223021786/139, -48618793/139, -50108280/139], [16671355, 9436572, 2237670, -213183], [752/139, -66/139, 195/139, 1/139]], [[0, 0, 0, 0], [70443544363409272/139, 63318194144498963/278, -67149706432422449/278, -31098117659928509/278], [-4375999090835505, -1612740425868585, 4322894094893457, 2086318982354553], [-273788275401/278, -125106854517/278, 276651233217/278, 70834565349/139]]], 0, 7680, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-160, -128, 96, 64]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, -8, 4, -6], [36, 0, 8, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [11350399094/139, -1727986479/139, -8159571807/139, 3923062036/139], [-77944077, -9730835, 1795289, -818028], [-271/139, 226/139, 419/139, 5/139]], [[0, 0, 0, 0], [-238024075158994532/139, 247615112864989922/139, 65898987465540825/139, -71140929970727056/139], [-4397578274257145, 2819784085954508, 1261804724042178, -758122360046701], [6981156633/139, 1663400712/139, -2754150093/139, -841828218/139]]], 0, 327680, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, 0, -32, 0]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, -2, 0, 10], [70, 12, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-40956786898/139, 12809440489/139, -4480731309/139, -3616193991/139], [-3693871990, -4441910508, 984279764, 1160324928], [-367/139, -987/139, -919/139, -4/139]], [[0, 0, 0, 0], [-2079664567912883321/139, 473401394176343072/139, 809336636489418103/139, -41498001988055421/139], [-40404332584091205, -68976020333488104, 13069816860460644, 20263047419822985], [-84151625661/139, -37530014823/139, 43898418684/139, 20152713087/139]]], 0, 1966080, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[7, 12, -2, -3]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[23, -27/2, 123/2, 39/2], [-29, 3/2, 55/2, 17], [-1, 1/2, 2, 2], [3/2, -1/2, 5/2, 0]], [[23510697/2, 42616733/2, -3150744, -5701867], [-142472737/23, -513899207/46, 76661205/46, 137718481/46], [14805, 61098, -3042, -16420], [29387391/46, 53183493/46, -3948351/23, -14229963/46]]], 4, 2, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[12, 21, -3, -6]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-27, 43/2, 15, 11/2], [19/2, -23/2, 5, 13/2], [-7/2, 13/2, 1, 2], [-3/2, 3/2, 1/2, 0]], [[-99622761/2, -91884552, 13357547, 24740033], [595855477/23, 1105944536/23, -158155724/23, -591470893/46], [1584415, 3894961, -902335/2, -998963], [-122225559/46, -223871859/46, 32669031/46, 60198861/46]]], 1, 10, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[10, 19, -2, -5]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-79/2, -43/2, -77, -23], [1435/46, 378/23, 63/23, -136/23], [2, 0, -5, -2], [-62/23, -33/23, -103/46, -2/23]], [[14011583/2, 12049890, -1906286, -6443537/2], [-85677724/23, -295036595/46, 23181882/23, 78843503/46], [-83103/2, -101467/2, 10281, 13566], [17550653/46, 30116753/46, -2387559/23, -4021152/23]]], 1, 6, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[18, 33, -6, -9]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-71/2, -44, -65, -27/2], [22, 32, 17, -3], [7, 2, -1/2, 1/2], [-2, -5/2, -5/2, 0]], [[230889033/2, 296277883/2, -29667190, -44693722], [-1373276832/23, -4063890043/46, 669847475/46, 1177660879/46], [-13987025, -11179675, 3995875, 2986100], [267046369/46, 352733967/46, -30635313/23, -106852777/46]]], 1, 30, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[20, 38, -4, -10]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-51/2, -23/2, 195/2, 97/2], [-101/2, -41/2, 411/2, 211/2], [-51/2, -23/2, 195/2, 97/2], [0, 0, 0, 0]], [[885671/2, 1249711/2, -80951/2, -267761/2], [4285361/2, 10324871/2, -845173/2, -2603831/2], [885671/2, 1249711/2, -80951/2, -267761/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-81/46, -67/23, 8/23, 33/46], [-5/2, -4, 1/2, 1], [-17/23, -25/23, 7/46, 13/46]]], 0, 48, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[36, 66, -12, -18]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13, -15, 4, 0], [9, 16, -19, 6], [13, -15, 4, 0], [0, 0, 0, 0]], [[-10623535/2, 19605267/2, 10414559/2, -3476697/2], [278973168/23, 194549875/46, -1740787985/46, -379044588/23], [-5311823, 19605255/2, 5207257, -3476715/2], [-142/23, 32/23, -135/46, -1/46]], [[1360571964642151/2, 1800816693918597/2, -377441910532103/2, -492305595989553/2], [51966810013533655/46, 106531025597911297/46, -9822651544678785/46, -26250479273127113/46], [1360491105766039/2, 1800655157875677/2, -377420101887287/2, -492262213334265/2], [-87450101788/23, -177257132024/23, 23474019408/23, 47608719732/23]]], 0, 480, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[40, 76, -8, -20]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-203, -89, 800, 408], [-197, -85, 776, 396], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1560957/23, -6169287/46, 339325/23, 1573541/46], [-136449/2, -266375/2, 29939/2, 68005/2], [239/46, 56/23, 103/46, 2/23]], [[0, 0, 0, 0], [464910705048, -370566555106, -124550851366, 99282221638], [142107153549, 252418581151, -38064267693, -67641823153], [1937154648, -3771086979, -519564738, 1010721195]]], 0, 768, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[72, 132, -24, -36]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-28, -17, 10, 9], [-25, -11, 5, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [606197782/23, -3003557899/46, -158523630/23, 795577977/46], [54799167/2, -131354341/2, -14764983/2, 35349521/2], [147/46, 79/23, 57/46, 2/23]], [[0, 0, 0, 0], [-74686962169139/23, 234487513821625/23, 21536288231230/23, -63663168051464/23], [-3415769179885, 10116711260591, 893081988650, -2698354607896], [-21524040/23, -29226960/23, 6969240/23, 8018640/23]]], 0, 7680, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[80, 152, -16, -40]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-35, -15, 139, 69], [-1573, -773, 5971, 3079], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4019941/46, -2179955/46, 7856717/46, 4103105/46], [-2238147, -1703448, 7018460, 3779104], [231/46, 107/46, -101/46, 3/46]], [[0, 0, 0, 0], [219483098045, -424047593080, -58808835620, 113622440335], [-495547166, 449185325, 133243242, -120684633], [-23987800, 46341610, 6435525, -12421345]]], 0, 12288, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[144, 264, -48, -72]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5, 7, 3, -3], [7, -25, 13, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [1817031/46, 3304553/46, -479231/46, -907441/46], [61331, 138454, -5203, -33953], [-261/46, 179/46, 49/46, -1/46]], [[0, 0, 0, 0], [113380650216, 221219942802, -30486410196, -59356032382], [204051671689, 388593262559, -51573391025, -102637524199], [-3583536, -14130534, 1167364, 3950034]]], 0, 122880, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[160, 304, -32, -80]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, -4, -4, 8], [-8050, -4142, 30104, 15576], [0, 0, 0, 0]], [[0, 0, 0, 0], [-311572/23, -1655290/23, 192015/23, 354756/23], [2687948, 1677891, -9329541, -4905902], [-124/23, 3/23, -34/23, -4/23]], [[0, 0, 0, 0], [-21046440176859/23, 40706508990940/23, 5641996520824/23, -10908632308946/23], [-5115439817, -7381224288, 1379692976, 1986071383], [5159777868/23, -9961632244/23, -1383129416/23, 2669506995/23]]], 0, 196608, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[288, 528, -96, -144]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 2, -8, -2], [-66, -10, 0, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-15447606, -3102399, -11597606, -7845604], [-109411035, -55241371, 22233696, 9244490], [-3, 2, -4, 0]], [[0, 0, 0, 0], [2163887972926687/23, 3427673813827432/23, -634846332763231/23, -942722993329295/23], [564152917288221, 936773861243091, -153008703417048, -251311002164034], [335764714/23, 427879359/23, -72742777/23, -129685259/23]]], 0, 1966080, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[1, 0, 0, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[29/2, 25/2, -22, -41/2], [7/2, 19/2, -17/2, -23/2], [0, 9/4, -9/4, -5/4], [1, -1/4, -1/4, 3/4]], [[71915, -118301, -93789/2, 70577/2], [-289107/2, 114194, 79610, -43349], [-182473/2, 79449, 96517/2, -27765], [44070, -14820, -19110, 7410]]], 4, 1, [[[8, -5, -4, 2]]], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -5, -4, 2]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-24, -21, 83/2, 28], [-18, -9, 49/2, 17], [-1, 1/2, 5/2, 3/2], [0, 0, 0, 0]], [[613047/2, 324211/2, -1379863/2, 254068], [1872225/2, -1276175, 133436, 109919], [216681/2, -154769/2, 299495/4, -50251/2], [3/2, 1/2, 5/4, -1/2]], [[68272413452, -55341414453/2, -34632230976, 13132460156], [-937032849011/2, 929276036287/2, 546656005409/2, -328440492739/2], [-86524335361/2, 134031641251/2, 62714253247/2, -22084891032], [-191066, 978350, 287750, -303864]]], 3, 1, [], [[[8, -5, -4, 2]]] >,
< [ 2, 1, -4, -1, 1 ], [[37, -22, -19, 9]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-11/2, -1, 1/2, 1/2], [-3/2, -5, -23/2, -3/2], [0, 0, 0, 0]], [[11, 7, -16, -10], [-11349859/2, 3085872, 6283749/2, -2904331/2], [-11764287/2, -1100401/2, 6846695/2, -924996], [0, -1/2, 2, -3/2]], [[-542239/2, 198770, 315391/2, -123015/2], [832434272244, -499079448092, -400681366711, 195899336544], [733807744139, 127923095869/2, -463479189335/2, 62006321385/2], [-441325/2, 387949/2, 123710, -69361]]], 0, 672, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[18, -28, -14, 10]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-19/2, 5, 1/2, -15/2], [-1/2, -1, -13/2, -1/2], [0, 0, 0, 0]], [[-47/2, -22, 75/2, 55/2], [3837489/2, 581388, -3457123/2, 1248953/2], [-1139593/2, 1645639/2, 4219499/2, -927799], [-1/2, -3/2, 1/2, 2]], [[-10631/2, 4033, 5521/2, -2995/2], [-17281758981, 19748965520, 10524690377, -6683188919], [-4083960030, 5851164574, 2842697852, -1942050488], [-8851/2, 3813, 4741/2, -2703/2]]], 0, 2016, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[4, -6, -3, 2]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9, 15/2, -33/2, -11/2], [19, 11/2, -37/2, -17/2], [1, 5/2, -4, 0], [0, 0, 0, 0]], [[9385505/2, 8363569/2, 744895, -1343787], [16044986, 53299394, 7574319, -13871946], [7060693/2, -121679/4, -480546, -50315], [2, -1/4, 0, 1/2]], [[-6840051655/2, -3302154891, 217048752, 1513206527/2], [-13364647517, -35749852791, -8133848175/2, 18275653115/2], [-4487186087/2, -1800563391/4, 2272049963/4, 20204961/2], [-1413, -1413/4, 1413/4, 0]]], 1, 1, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[4, -6, -3, 2]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11, -11, 39/2, 18], [-5, -6, 45/2, 17], [0, -1/2, 1/2, 5/2], [0, 0, 0, 0]], [[68139/2, 4105, -5474, -14991/2], [-1067747/2, 1367295/2, 340818, -466369/2], [32430, -79329/4, -10133, 18635/4], [2, -1/4, -1, -5/4]], [[-532215975083/2, -473216585579/2, 63389985979/2, 49096361876], [2409395399765/2, -6769858565545/2, -2437499615147/2, 2062002231995/2], [-178307922159, -96495940133/4, 214547941757/4, -9729685617/2], [-7992351, 4059099/4, 11076669/4, -1529361/2]]], 2, 1, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[2, -7, -2, 2]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 13/2, -37/2, -13], [-3, -5/2, -1/2, -14], [-4, 2, -1/2, -2], [0, 0, 0, 0]], [[91236951, 301291023, 34509046, -76491986], [160073546, 629082161/2, 144973556, -130625963], [-26617189/2, 674470109/4, 41436542, -187418625/4], [11/2, -1/4, -1/2, 5/4]], [[-1626945773247, -8507614256703/2, -99069470911/2, 1789762652911/2], [2495594460750, -5407527065071, -22317047917559/2, 5494124415162], [-43519652965, -2326562522869, -1201195219063/4, 2184023701987/4], [-92755, -24259, 129857/4, 58507/4]]], 0, 2, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[2, -7, -2, 2]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-55, -109/2, 86, 73], [-63, -117/2, 105, 73], [-5, -11/2, 6, 19/2], [0, 0, 0, 0]], [[171445, 349927/2, -473021, -345336], [923742, 1073767, -551084, -565721], [-120215/2, 104129/4, -22500, -186395/4], [-1/2, 5/4, 1/2, 5/4]], [[23028146724, 63719448188, 7391999086, -16306267881], [-159505349150, -322526121825, -23335276675, 79757286025], [1181427403, 66370688463/2, 15010997013/2, -18429316893/2], [-508318, -390537/2, 303751/2, 18597/2]]], 0, 2, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[4, -6, -3, 2]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 0, -10, -1/2], [-15/2, 0, 9/2, -6], [-3/2, -1/2, 1, -1/2], [0, 0, 0, 0]], [[-4037, 79439/2, 42614, 86425/2], [189383, 148669/2, 65922, 17319], [78281/2, 98795/4, 11905/4, -8553/2], [-5/2, -5/4, -3/4, 1/2]], [[49970171966, -87497738640, -38628013359, 28520439129], [-476916856167, 316426832479, 238806626704, -121313719716], [-75141817673, 44645130231, 72645303393/2, -17657923491], [6232226, -4239235, -6318741/2, 1623336]]], 1, 1, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 2, -10, 8], [-2, 4, -2, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [672135, 1778343, 174573, -405970], [-207859, -110167, 84125/2, 72151/2], [4, 4, -13/2, -11/2]], [[0, 0, 0, 0], [-59075827, 55521300, 33273713, -19552885], [-22114245, 21709830, 12677445, -7579245], [0, 0, 0, 0]]], 0, 8064, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, -6, -6, -10], [-6, 4, 0, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [123529708, 94309397, -4536399, -14141812], [37209392, 145711890, 60237013/2, -35679893], [-1, -2, -1/2, 1]], [[0, 0, 0, 0], [-10922789948044, 10331389412338, 6162598874586, -3631378970084], [6344683885466, -6395265715868, -3679286638580, 2222222977886], [33397, -29218, -17605, 10157]]], 0, 8064, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[36, -8, -12, 4]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, -20, -7, -5], [-5, -10, -7, -1], [0, 0, 0, 0]], [[63/2, 31, -121/2, -89/2], [5911298, -382262, -4156770, 1477090], [1066664, 2630102, 469333, -698132], [-5/2, 1, -3/2, -5/2]], [[-76053/2, 144531, 100899/2, -81507/2], [77385500769, -110082439117, -68654231882, 42912113137], [-21279551529, -18271449003, 7883331051/2, 3216579333], [-101505/2, 97566, 43026, -63327/2]]], 0, 1344, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[36, -8, -12, 4]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, 0, 19, 9], [-5, 2, 11, 3], [0, 0, 0, 0]], [[-87/2, -35, 163/2, 113/2], [916779/2, -81472, -1428947/2, 567781/2], [424869/2, 60677/2, -906235/2, 342059/2], [3/2, 5/2, 5/2, 5/2]], [[-562035/2, -176820, 73675/2, 39995/2], [-112987666267/2, 53195450722, 62491824581/2, -36947846479/2], [84461843823/2, -83140368151/2, -49330160019/2, 14686432288], [-355745/2, -69465/2, 98935/2, -2105]]], 0, 4032, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[36, -8, -12, 4]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1/2, -3, -25/2, 11/2], [-11/2, 9, 9/2, 5/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1141033289, -2011423738, -94964841, 488359714], [936254212, 2978798843/2, 47740543/2, -366039287], [-2, 3/2, 13/2, 2]], [[0, 0, 0, 0], [-205736019425, -3742554611007, -866662721368, 1053112020531], [3294544171313, -169279279912, -2340463123773/2, 275657825817], [104229, 10642, -457293/2, 87014]]], 0, 2016, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -7, -7, 3]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -1, 30, 37/2], [-20, 1, 25, 35/2], [7, 3/2, 3/2, 2], [0, 0, 0, 0]], [[-152357458, -182030253, -67405776, 73703552], [-389432124, -174445364, 919047169, -327375974], [-108712378, -18873811, -10798984, 32621523/2], [-2, 1, 0, -1/2]], [[-46424223251, -317846678559/2, -40120157861/2, 80386224007/2], [-98824661822, 51162701775, 34317403337/2, -9194184464], [8221488642, -179348445673/2, -91299572447/4, 100295497797/4], [480, -3205/2, -1599/4, 2245/4]]], 0, 32, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -7, -7, 3]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, -1, -35/2, -23/2], [0, -3, -31/2, -21/2], [-6, -1, 0, -3/2], [0, 0, 0, 0]], [[67072, 102808, 5193, -24803], [57519, 210371/2, 35591/2, -59767/2], [63515/2, 144879/4, -1131/2, -8573], [-53/2, -1/4, -1, 1]], [[20537274748390, 41301865588615, 2895036191005, -20327092109325/2], [21612433365399, 79218050172953/2, 1837244313109, -9494998744568], [6114248173825, 18505745514560, 9292975701375/4, -19045236046205/4], [4063408945, -15660764000, -19517227135/4, 18118944635/4]]], 0, 32, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -14, -5, 4]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[37, 63/2, -63, -89/2], [21, 63/2, -67, -89/2], [4, 2, -15/2, -9/2], [0, 0, 0, 0]], [[-27155, -23207/2, -93605/2, -37959/2], [1090961, -1289599, -1037800, 1085451/2], [-40733, 22483/2, 17229/4, -11101/2], [-1, 1, -3/4, 0]], [[-24863354, -172796111, -32991020, 95093185/2], [-2162682400, 2354056495/2, 998277657, -468680820], [32833037, -220248721/2, -151146013/4, 133280009/4], [2208, -7635/2, -6851/4, 4981/4]]], 0, 8, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -14, -5, 4]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-14, -11, 39/2, 21], [-2, -7, 49/2, 23], [-3, 5/2, 1/2, 5/2], [0, 0, 0, 0]], [[-264722870, -298298297/2, -138945719, 121529697/2], [-1746964849, -3980102276, -501720741, 1003408457], [-264967499, 187642823/2, 87009253/4, -43749253/4], [1, -1, 3/4, -3/4]], [[37455433610137673, 129737638514314850, 37626215320730033/2, -34001643926486086], [705758324898846128, 2198099584437452425/2, 50059165977998093/2, -261006397379969938], [-12948036283335101/2, 290077126517680253/4, 19762923233464594, -83455298298653399/4], [377678649/2, -1118574747/4, -134379156, 373114101/4]]], 0, 8, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -14, -5, 4]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-8, -5, 32, 39/2], [-6, -4, 24, 17/2], [5, 1/2, 5/2, 2], [0, 0, 0, 0]], [[22154859, 38397925/2, 18653695/2, -1190967], [6687028, 6097437, 26527546, -16923273/2], [38168343/2, -401777/4, -2855451, 660054], [3/2, -5/4, 0, 0]], [[-150766065, -35565793746, -28127295846, -5741532831/2], [6549045211, -26911438491, -20281988877, 2357870575/2], [4348379529, -25546724958, -19736606007/2, 6058937862], [1173, -4233/2, -663, 867]]], 0, 8, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -2, -3, 1]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[22, 23/2, -85/2, -29/2], [15/2, 29/2, -17, -2], [-3/2, -5/2, 1/2, -3/2], [0, 0, 0, 0]], [[-27908719, -83765313/2, -7258395/2, 8875309], [715160, 86665969, 19072015, -48271741/2], [-32705897/2, -143978037/4, -3044564, 17664481/2], [13/2, 3/4, 1, 1/2]], [[953983095442200, 2270465498380095, 194562571021245, -564029745186105], [-4072615824875109, 168003945757386, 1389451168775053, -309867747211984], [1102055014284435, 1217361371128155, -75981595138425, -269728537667355], [213677100, -660892050, -186609150, 182882700]]], 1, 2, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[32, -112, -32, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-30, 8, -6, 0], [-10, 4, -6, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7157878, -2409486, 2126847, -225271], [-2770020, -1038885, 543936, -478381/2], [24, 22, -40, -59/2]], [[0, 0, 0, 0], [-595271376886, 468150337469, 323325767544, -175604950887], [-233417566750, 179147205464, 251785954041/2, -135384059745/2], [-32256, 6111, 33957/2, -12537/2]]], 0, 129024, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[32, -112, -32, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [12, 8, 6, 10], [-4, -4, -4, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [245142450, -238378754, -139951092, 83357351], [487307, -635581/2, -572457/2, 145979], [-3, -1/2, 5/2, -2]], [[0, 0, 0, 0], [-32839451663498, 31908569208748, 18746551099850, -11162335200290], [-56383652310, 49515423490, 30693657460, -17584750050], [133920, 310, -33170, 2790]]], 0, 129024, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, -96, -48, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [14, 4, -20, -2], [6, -6, 2, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [1696872, 2848861, 49661, -706846], [122318, 168959, -3335/2, -59116], [0, 1, 5/2, 1]], [[0, 0, 0, 0], [474285625, 1081095104, 99187742, -271682068], [-424458525, 507731500, 264630394, -341606739/2], [-2452, 3681, 1705, -2391/2]]], 0, 32256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, -96, -48, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-23, -6, -19, 1], [3, -2, -3, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [34, 20, -49, 2], [19, 47/2, -41/2, -21/2], [9, 1/2, -3/2, -5/2]], [[0, 0, 0, 0], [-612847502, -999738808, -38290428, 242037490], [-627404130, -1013170440, -31923990, 242868450], [-164397690, -452871840, -52193190, 115751610]]], 0, 32256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, -96, -48, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-31, -2, 49, 11], [11, -4, -3, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3025063, 7592299, 502264, -5057720], [5848818, -9990535/2, -2996179, 1739281], [-7, -7/2, 11, 2]], [[0, 0, 0, 0], [6944609898, -6459260571, -3780097189, 2289330333], [-7778098005, 15794034935/2, 4530227888, -2743073418], [-177, -1045/2, 105, -24]]], 0, 32256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -32, -8, 8]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [11/2, 17, 11/2, 7/2], [-3/2, -11, -19/2, -3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [6894677, -6486360, -6642835, 3273405], [-2098973, 2944929, 1367575, -801781], [3, 1, 1, -1]], [[0, 0, 0, 0], [-19104175983, 22779899673, 14028599837, -8737882103], [7204482774, -21909967293/2, -4776053260, 7149375827/2], [-13944, -6723/2, 2075, 1245/2]]], 0, 4032, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -1, -4, 1]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[12, 9, -67/2, -23], [306, 18, -21/2, -6], [-3, -1/2, -5/2, -5/2], [0, 0, 0, 0]], [[1797104529, 3812091013/2, -6140314919/2, -5303703989/2], [-35481112651, 3381032875/2, 81007113350, -60599686201/2], [27524171/2, 1011853961/4, -576090051/4, -1495297405/4], [23/2, 5/4, 3/4, -1/4]], [[1, -17/2, -5/2, 5/2], [10, -20, -15/2, 6], [5, -7, -13/4, 9/4], [5, -7, -13/4, 9/4]]], 0, 128, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[2, -7, -2, 2]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-20, -14, 31, 27/2], [-42, -15, 29, 31/2], [-5, -3/2, 15/2, 0], [0, 0, 0, 0]], [[-15638575, -17064162, 74388007, 103772891/2], [1573123131/2, -597985997/2, -534004805/2, 367275035/2], [34603221/2, -3158887, 6933211/4, 29473513/4], [4, 1, -5/4, -5/4]], [[-752909953464, -1113312466483/2, -29850258771/2, 180848510611/2], [-23110788835596, 19156654279553/2, 20120597313873/2, -8584909808189/2], [-584986231982, 72749557031/2, 159880269690, -37958870816], [35472, -13302, -228351, 97548]]], 1, 2, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[2, -7, -2, 2]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-33, -43/2, 60, 24], [-10, -25/2, 17, 9], [0, 3/2, 0, 5/2], [0, 0, 0, 0]], [[3800, 9857/2, -1057, -1525], [-3903/2, -10627/2, -891, 1245], [3383/2, 7673/2, 344, -4049/4], [3, -1/2, -1/2, 5/4]], [[-826449, -2051799/2, 79387, 416407/2], [422085, 1378330, 201108, -730995/2], [-711667/2, -3794297/4, -117351, 985373/4], [-2287/2, 797/4, 545, -691/4]]], 1, 4, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -224, -80, 64]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [78, -12, -22, -10], [-2, -2, -10, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-54185251358, 39198037060, 20485537587, -11066924313], [3669856248, 226125457, -150553156, 72985701/2], [-16, 2, -2, 3/2]], [[0, 0, 0, 0], [-38923786339195078562, 42233224611171095896, 23546228291534250656, -14516922409097519483], [1577438453172653393, -5601899649166370559/2, -2382266587820617005/2, 923428903649788414], [-9484383849, 28004281305/2, 13492632693/2, -4670995083]]], 0, 516096, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, 20, -9, 3], [11, -10, 3, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [4226235/2, -11021007, -16347569/2, 13743851/2], [-15855527/2, -3384891, 12011531/2, 1486873/2], [3, 2, 2, 1]], [[0, 0, 0, 0], [1732801909303/2, -808501433353, -984561650443/2, 575096206269/2], [-1418586109603/2, 709367757481, 823504048403/2, -247602683744], [513419, -521613, -298262, 361575/2]]], 0, 8064, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [49/2, 5, -19/2, 33/2], [-25/2, 5, 35/2, -13/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3586413/2, -2450423, 162057/2, 1136353/2], [249665/2, -96720, -178421/2, 47173], [-6, 2, 1, 3/2]], [[0, 0, 0, 0], [164282567711799/2, 122747488819477, 3322075303439/2, -57855480935325/2], [-7105618482347/2, 2827130357570, 3736524499227/2, -2055770913189/2], [244788030, -71115177, -100993197, 37010319]]], 0, 8064, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -7, -7, 3]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 2, -3/2, 0], [-4, 2, -11/2, 3], [3, -1/2, -3/2, 1/2], [0, 0, 0, 0]], [[24, 9, 5/2, -17/2], [-68, -285/2, 413/2, 405/2], [5/2, 55/4, -11/2, -15/4], [17/2, 5/4, -1, -3/4]], [[-10523271108, 37158316216, 10882206860, -10033579556], [-20774317195, 115480375297, 12321066557, -52343864929], [10121618101, -3242012494, -3076739379, 1485662913], [-4215323210, 12061668500, 4043479062, -3520322890]]], 0, 32, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -7, -7, 3]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -1/2, 7/2, -4], [9, -11/2, 9/2, -2], [0, -2, 5/2, -1], [0, 0, 0, 0]], [[9090200, 11712784, 6438235/2, -5285087/2], [-27420127, -92679287, -18738447/2, 22876900], [12021143/2, 10689051/4, -198501/4, -745059], [25/2, 3/4, 1/4, 1]], [[977138370516154609, 8118509374098312813/2, 541014043566809902, -1019687432220834361], [-15700857624783254568, -18984793130450778721/2, 5711832123984541711/2, 1684575998106586027], [-844792026683572443/2, 9684251959952380045/4, 2644117980347445993/4, -2721602519060784859/4], [-3655887501397/2, 21408655698629/4, 7174890437483/4, -6255972923389/4]]], 0, 32, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[4, 0, -1, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[23, 23/2, -39, -10], [41, 29/2, 3, -23], [-1, 3/2, 2, -5/2], [0, 0, 0, 0]], [[4111472, -6572513/2, -17701199/2, -11387949/2], [-272395987/2, -2650164815/2, -282664867, 360570417], [-9999453/2, -1924661/2, 424042, -505815/2], [-2, 1, -1/2, 1]], [[10050297908796, 3591869639886, -1648494234158, -1511451048533/2], [1508479890752738, 681808774822465, -697164988832053/2, -178143822277061/2], [-3397561451823/2, 46749717592079/4, 12732886403281/4, -13263867776035/4], [-6342351/2, 20897247/4, 5755665/4, -5202867/4]]], 1, 4, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[4, 0, -1, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[31, 43/2, -55, -22], [-7, 19/2, -13, -9], [1, -1/2, 0, -5/2], [0, 0, 0, 0]], [[-19268685, 18434999/2, 35300420, -32230899/2], [-15169124, 55519817, 28895422, -21364834], [8041699, -1875919, -35152553/4, 13532271/4], [8, 1/2, 5/4, -3/4]], [[171885957472425, -73444722812853, -342170274147793/2, 75268565879962], [1886061636578145/2, -386109800922480, -448808217162332, 377138933388055/2], [-188441417355107/2, 225514348871203/2, 78840573467614, -46256803057458], [-135084600, 256927104, 93912336, -76865040]]], 1, 8, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[32, -112, -32, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-30, 16, 4, -20], [-10, 4, -2, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-94755557, 100924841, 55182115, -34167745], [-29526420, 67001273/2, 17410853, -22158047/2], [13, 3/2, 1, -3/2]], [[0, 0, 0, 0], [161846403618750, -168133629658134, -94101636345042, 57816561115566], [50901643567574, -55377938757432, -29951331565544, 18821386053986], [-22609620, 2563866, 5113308, -645474]]], 0, 129024, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[32, -112, -32, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [36, 0, 34, -32], [8, -2, 10, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16013915, -7873452, -4324934, -2201646], [-2894971, 96867, -1797263, -3013383/2], [-2, -2, 2, 5/2]], [[0, 0, 0, 0], [-173451556073, 72098155253, 73940584908, -31090714538], [-44624607556, 51666383577/2, 20672599246, -10005626726], [-6405, 6965/2, 2100, -1015]]], 0, 129024, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -80, -64, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-25/2, -27, 163/2, 39/2], [1/2, -5, 21/2, 5/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [6110747/2, 1507365, 31740655/2, -6061229/2], [1961149/2, -137917, 4282243/2, -854315/2], [-6, -2, 1, -2]], [[0, 0, 0, 0], [-798764488535, 6248148497495, 1676746788977, -1770009464506], [-289828922949, 1132619811822, 710023349205/2, -662804832555/2], [-221130, -3052485, -1335285/2, 1694115/2]]], 0, 16128, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -80, -64, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [19/2, -3, -5/2, 19/2], [-19/2, -5, -11/2, -3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [647550, -575353, -398691, 213161], [-685197, 1245755/2, 373725, -211793], [-11, -5/2, -2, -1]], [[0, 0, 0, 0], [-8417211820183, 8367033180102, 4825271409275, -2903983977799], [9276563448507, -9309730232648, -5375464139668, 3240409579243], [60064422, -186282162, -66755865, 56893122]]], 0, 16128, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[30, -15, -11, 5]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11, -21/2, -13/2, -4], [261, 15/2, -47/2, 3], [-10, -2, 5/2, -1], [0, 0, 0, 0]], [[55081755783, 106896303749/2, 97789521145/2, -1684422128], [-2745467922185, 1121408444397/2, 2224628335970, -1766108385947/2], [53609641342, -623451094, -2020305753/2, 548191209/4], [-17, 1/2, 0, -1/4]], [[-10086971346210579295182, -345501703756819908861, 3244637584748093686386, -927375558602983402683], [300249348943432558847546, -199149691534195584668152, -135480444169110480861788, 70832142901843244217430], [-9617174504904844000677, 10290147551518199836785/2, 4596395886087144223512, -2180748729836245659519], [3094129867413, -3342268634067/2, -1480378753338, 708265146630]]], 0, 512, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -14, -5, 4]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-10, -19/2, 19, 13], [-40, -13/2, 15, 6], [0, -3/2, 2, 3/2], [0, 0, 0, 0]], [[440090, 1071638, 8269249/2, -1533059/2], [-98927703/2, -4209405/2, 415491/2, 9143105/2], [1337953, -2224735/4, 2375469/2, -738803/2], [-7/2, -3/4, 1/2, -1/2]], [[-34613412172, 119468346064, 3559098840, -21287127430], [1756436028370, -2669935012159, -1030900695903, 781148013026], [-83317588104, 118027182906, 36054619426, -30203369028], [90432, -159328, -69824, 51816]]], 1, 8, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[224, -112, -112, 48]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-236, 10, 32, -24], [16, 0, -8, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10632366484, 249553749, 3865174095, -1264162822], [478221738, 50151733, -60419643/2, -5662202], [8, -1, -3/2, 1]], [[0, 0, 0, 0], [95309609023167668, -280815479609908488, -104769008189856550, 87087051875663618], [-3489753416325528, 14954985667449930, 3964287768001100, -4068950167818468], [-85262860, 236344510, 79923630, -68998610]]], 0, 2064384, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, -96, -48, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-59, -40, 67, 47], [11, -8, 1, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [585361/2, -230361, -296493/2, 160279/2], [-546861/2, 247824, 287223/2, -84557], [-6, 2, 0, 5/2]], [[0, 0, 0, 0], [257799534602, -209858509416, -138982240514, 76883209946], [-244454195666, 220768606022, 137224882343, -79105561638], [-7128180, 3886470, 4325265, -1988010]]], 0, 32256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -21, -10, 7]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11, -13/2, 33, 24], [-9, 17/2, 40, 36], [3, 5/2, 2, 5/2], [0, 0, 0, 0]], [[20068798, 26782066, -1752504, -16549183/2], [33034061/2, 172561515/2, 36801121/2, -28531566], [9897138, 31353171/4, -2250013/2, -7921637/4], [-21/2, -1/4, 0, -5/4]], [[11037319974864, 13824348635425/2, -4575078785615/2, -1900364604761/2], [-25195213366791/2, 54059246027028, 15136268748179, -14903526547756], [8274509541940, -3684749941659/4, -6407913706091/2, 3645095771279/4], [-28483731/2, 31531373/4, 14652125/2, -13245521/4]]], 1, 16, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -32, -48, 16]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-15, 8, 3, 5], [-5, -10, 5, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [14475073/2, -6581187, -12805659/2, 4287385/2], [-7630781/2, -1781404, 3780273/2, 1615/2], [12, 1, 1, 2]], [[0, 0, 0, 0], [61017589644126, -56419357727709, -30503938515860, 18338481821812], [-6371422466511, 43013503149921/2, 4858092916264, -10836129521203/2], [68892083, -231974197/2, -55503671, 78432799/2]]], 0, 64512, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[-6, 3, 2, -1]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4661/2, -655, -1809, 23/2], [11973739/1831, 3564507/1831, 9690543/1831, 90905/3662], [2, 5/2, 1, 1], [11817/3662, 1705/1831, 9361/3662, 5/7324]], [[-35695773970065, 60197606405962, 41944299476095/2, -14267333278681], [369636297217305941/3662, -311592568003490162/1831, -108581158314354625/1831, 147688336719167581/3662], [4365056633/2, 73206936325/2, 6579668880, -15466509367/2], [90790259803215/1831, -153049033915845/1831, -106666356858945/3662, 36273345147300/1831]]], 4, 2, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[-2, 1, 1, 0]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -513, 287, 8], [80289/1022, -1498233/1022, 524729/1022, 3070/511], [1/2, 1, -1/2, 5/2], [60/511, -1119/511, 775/1022, -1/1022]], [[14880281483/2, 895935798, -3082993361/2, 205551401], [1379927803245/73, 310752962925/146, -632289085977/146, 24459594652/73], [-49123780, -2394007/2, 40946847/2, 3015827], [2066921312/73, 232013664/73, -476932034/73, 139700595/292]]], 4, 2, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[-8, 7, 3, -2]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[64, 558, -1565/2, -3], [150869/1022, 729727/511, -2043625/1022, -9701/511], [-11/2, -3/2, 0, 0], [120/511, 2167/1022, -3049/1022, -1/511]], [[-33355907887/2, 56908731309/2, 5908343183, -16474450523/2], [-42047569121, 73050843855, 14858338091, -21200387366], [167474803, 252730228, 260865/2, -101070695/2], [-126792459/2, 218498417/2, 45471189/2, -125952521/4]]], 1, 16, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[0, -7, -2, 1]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3375/2, -1113, -3859/2, 15], [17353383/3662, 5866254/1831, 10221909/1831, -11373/3662], [21/2, -1, 0, 2], [8555/3662, 2854/1831, 10011/3662, 3/7324]], [[8223364618306, -8176542891305, -7669017737711/2, 2100387906743], [-85256855129223243/3662, 84911525467736055/3662, 39797580848183753/3662, -10899371960801988/1831], [-53988623759/2, 9046813076, 8745469765, -6048190243/2], [-20969247289276/1831, 20908115458824/1831, 9792382444152/1831, -5366621503650/1831]]], 1, 16, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[4, 0, -1, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2846, 6271/2, -281, 9/2], [11747867/1831, 26121015/3662, -1060100/1831, 39741/3662], [-2, -3/2, 0, 3/2], [-14479/3662, -15975/3662, 1419/3662, -5/3662]], [[599219890309, 5696537152489, 2032137926943/2, -2428873434381/2], [5017527697102765/3662, 23513848313526175/1831, 8364082245207459/3662, -5011970245560857/1831], [-7851302415/2, 12518541981/2, 4600985895/2, -3119164983/2], [-1536958327840/1831, -14463157760460/1831, -2575538071320/1831, 3082523928958/1831]]], 1, 6, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[6, 2, -1, 0]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1167, -247, -322, -15], [1589009/1022, 340421/1022, 211384/511, -6112/511], [-1/2, 1, -2, 0], [-2255/511, -485/511, -1235/1022, -5/1022]], [[77146303, -82702947/2, -29088989, 10948263], [-52852539010/511, 29240672934/511, 19947826909/511, -15552121001/1022], [129204, -306360, -96570, 67266], [299732191/1022, -82064168/511, -56609619/511, 43513187/1022]]], 1, 6, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[6, -4, -3, 1]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-866, 43/2, 443/2, 14], [1216815/1022, -4580/511, -182495/511, 4615/1022], [77/2, 5/2, 5/2, -3/2], [-3337/1022, 123/1022, 1039/1022, -1/511]], [[112597319075, -38160639346, -48007196543, 17409696375/2], [-20585473556155/146, 2141563519113/146, 3707941318076/73, -210796314213/73], [-12958985355/2, 5160107082, 2832539436, -1714555380], [28609804515/73, -4677955496/73, -11145663378/73, 730301651/73]]], 1, 48, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[6, 14, 1, -3]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2371, 3913/2, 4469/2, -4], [9789693/1831, 16335071/3662, 9344345/1831, -15963/3662], [1, 3/2, -1, 0], [-12017/3662, -5026/1831, -11517/3662, -1/1831]], [[20163350335, 48429998031, 6605164331/2, -20071533555/2], [167013976419645/3662, 200662412939451/1831, 27296109436611/3662, -41607169150147/1831], [34577265/2, -8122449/2, -9913425/2, 3226179/2], [-51299073550/1831, -123265538410/1831, -8371032290/1831, 25566019185/1831]]], 1, 48, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[8, 0, -2, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, -4, 3/2], [1, -19/2, -33/2, 3/2], [-4, 3/2, 0, 0], [0, 0, 0, 0]], [[-137388, 521302, 175440, 34773/2], [53598473329/1831, -84594889919/1831, -383387877895/3662, -143049641899/3662], [261331, 756672, 136017/2, -123214], [-3862/1831, 8006/1831, -6143/3662, 1/3662]], [[-228100297220532, -171588904816977, 27755294017182, 57725730923319/2], [-2747553546899787154/1831, -11917721048275872191/3662, -8879052127167839887/3662, -1105535303041406564/1831], [-1929954756668246, -3744912751216427/2, 114973751088266, 633921297592541/2], [5199579932000/1831, 6865645013750/1831, 71279809750/1831, -1252659318000/1831]]], 0, 96, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[12, 4, -2, 0]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [12, -53/2, -65/2, -9/2], [1, -5/2, 2, -5/2], [0, 0, 0, 0]], [[-93, 678, -70, 1/2], [-7728300218/511, -5570205862/511, 1056079203/511, 699406199/511], [5097472, 8560640, -449920, -1298688], [-180/511, 1313/511, -281/1022, 3/1022]], [[-147382944, 276447104, 79546197, -64870353], [2689018779034552/511, 2857013718169987/511, -95797881969963/511, -493701566206267/511], [-2696449371392, -1099184845696, 440269332736, 128828132608], [-286231000/511, 538088259/511, 154798929/511, -126149808/511]]], 0, 96, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[12, -8, -6, 2]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, -5/2, -37/2, -3/2], [8, -1/2, 2, -5/2], [0, 0, 0, 0]], [[668, -325, -406, -1/2], [-2489535717051/511, 7649900387378/511, 87911406894/511, -751138690024/511], [25087801923, 5997909636, -1979900343, -1320866910], [1293/511, -634/511, -1567/1022, 2/511]], [[384673392, -123123324, -221262036, -22357755/2], [14513390415239010192/511, -36705046387589022432/511, -23985361188153527068/511, 13390891551532186592/511], [-6281026284906000, 60097625668728000, 31300281730764000, -19625142451788000], [744424476/511, -240834696/511, -853817733/1022, -20020824/511]]], 0, 768, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[12, 28, 2, -6]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -1, -17, 8], [-10, -12, 43/2, -7], [-26, -1, 1/2, 3/2], [0, 0, 0, 0]], [[1084874682, -2436668814, 2135718641, 589220993], [966778884460/1831, 20518808786105/3662, -3737335703305/1831, -3366525534249/3662], [4856472634, -423123363/2, -1084870345/2, 266927557/2], [12217/1831, -1616/1831, 10867/3662, 3/3662]], [[300518301506579529793, -583099422794337439908, -140774684857511610864, 317349388175564285321/2], [2109668492213609748733/1831, 4083730070309001657306157/3662, 325644758467198584214206/1831, -463953571917504068905684/1831], [796649077064860416891, 424963079827976925027/2, -300517409116312404939/2, -8967825632379328065], [2514733647781888/1831, -726390133043046/1831, -655349074874703/1831, 305145976309763/1831]]], 0, 768, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[16, 0, -4, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 1, 13, -11/2], [-3, 1, 4, -3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2097373045/1831, 4534942607/1831, 14987262753/3662, 2518057503/1831], [-184745, 98661, 540529/2, 198921/2], [-10386/1831, -9370/1831, 4637/1831, -3/3662]], [[0, 0, 0, 0], [-39216749441803478/1831, 100615275355992431/1831, 141491601779094094/1831, 80886224217321317/3662], [-5233225719729, 1867749674967, 5620385001792, 3198831439203/2], [-207681246267/1831, -657673027770/1831, -89420950047/1831, 133221883179/1831]]], 0, 1536, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[24, 8, -4, 0]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, -1, -1/2, -1/2], [-4, 1, -5/2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-524254, 1119199, 769565/2, -540211/2], [1382780, -3005513, -2045701/2, 727993], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1896/511, 4496/511, 1552/511, -904/511], [0, 0, 0, 0], [237/511, -562/511, -194/511, 113/511]]], 0, 1536, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[24, -16, -12, 4]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [44, 75, 29/2, -20], [51, 4, 1/2, 1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1428473497640012/511, 1407602722552491/511, -80231515270742/511, -478038091611489/1022], [2094572055755, 2059548921580, -118690764855, -699255172445/2], [-2315/511, 634/511, -2538/511, -2/511]], [[0, 0, 0, 0], [-856062169992386511811/511, -843919094938127021238/511, 96058224685619850909/1022, 286656465346976279315/1022], [-1254664839302246325, -1236367228799223125, 140980348662374425/2, 209957563684841750], [3711235842/511, -5771186934/511, -3768338334/511, 1999652565/511]]], 0, 12288, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[24, 56, 4, -12]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, -3, -10, 9/2], [5, 3, -5, -3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [88171041302/1831, 102365047785/1831, -6102508871/3662, -17617098977/1831], [32884464, 35642588, -2633581/2, -12279595/2], [-1000/1831, 12565/1831, 5699/1831, 5/3662]], [[0, 0, 0, 0], [155772115902035316464/1831, 142263638006832984196/1831, -10917969892894779180/1831, -23703034533212218171/1831], [56457469884303866, 53584771748804366, -3572046212075215, -9014089864290406], [6923150731890/1831, -1134364239342/1831, -1693573792668/1831, 630701365167/1831]]], 0, 12288, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[32, 0, -8, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, -11, -32, -7], [8, -11, -23, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-72272354287/1831, 107909471960/1831, 249129942378/1831, 185014081109/3662], [-12437596, 16233735, 40141100, 28039531/2], [1431/1831, -4129/1831, -650/1831, 1/1831]], [[0, 0, 0, 0], [414198702318293746022/1831, 408368199380558308501/1831, -23229022014381067012/1831, -138715602485921801155/3662], [173210101108515351, 170770344220728365, -9714239584264091, -58007581923391045/2], [2169629881731/1831, 2133924132726/1831, -122707224081/1831, -362205589680/1831]]], 0, 24576, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[48, 16, -8, 0]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [246364/511, -365346/511, 378072/511, 20967/1022], [179, -267, 240, 3/2], [-902/511, 1339/511, -1269/511, -1/511]], [[0, 0, 0, 0], [-10669365137816/73, -9567823975564/73, 786559872774/73, 1584321014914/73], [-52179087912, -46818356802, 3841802916, 7753972905], [38118848688/73, 34177764342/73, -2811451224/73, -5659290102/73]]], 0, 24576, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[48, -32, -24, 8]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-15, -39, -14, 3], [-23, 2, 4, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1218162/511, -154814/511, 1119533/511, -43419/1022], [775, 539, -337, -155/2], [-2946/511, -705/511, 2308/511, -1/511]], [[0, 0, 0, 0], [-545857187301309/511, 226421906500184/511, 212130246920519/511, -63506304894247/511], [343783662143, 70958499521, -81134103586, -2684544423], [-1284195750500/511, 279684743622/511, 438129479728/511, -99014529350/511]]], 0, 196608, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[48, 112, 8, -24]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-106, -121, -21, -2], [-116, 1, -4, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1066328989241333/1831, -1026986516919898/1831, 22005910380329/1831, 187443283038674/1831], [-312735739977, -851196446999, -42380213357, 149630657615], [10186/1831, 8221/1831, -1300/1831, 2/1831]], [[0, 0, 0, 0], [4355902151350588369163/1831, 7197695730254102365721/1831, 348455192291929073161/1831, -2660838560578955382935/3662], [4936822808404889796, -5518960510025048832, -2331858673306769286, 2765112906063764367/2], [-57939733569/1831, -9218186367/1831, -2941702215/1831, -9137792418/1831]]], 0, 196608, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[64, 0, -16, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, 20, 0, -19], [-32, 56, 108, 31], [0, 0, 0, 0]], [[0, 0, 0, 0], [2689604673/1831, -7374126927/1831, -2178025016/1831, 1704137592/1831], [1442685, -4026828, -1183239, 924121], [-17910/1831, -10519/1831, -8505/1831, -1/1831]], [[0, 0, 0, 0], [-285001298257153994750/1831, -278965043100579207950/1831, 16386852927282423328/1831, 47292673706499248186/1831], [27762347221127012, 28477224872162776, -1336576981009272, -4884189522281834], [160394935721686456/1831, 158130844456730208/1831, -8996490924359680/1831, -26856871865000128/1831]]], 0, 393216, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[96, 32, -16, 0]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [50, -62, -223, -110], [10, -28, -11, 19], [0, 0, 0, 0]], [[0, 0, 0, 0], [2015632/511, -8235200/511, -2095372/511, 5889818/511], [-17370, 39946, 19922, -12432], [-5652/511, 3312/511, 34/511, -4/511]], [[0, 0, 0, 0], [-34082978095351/511, -33419271536769/511, 1947755197352/511, 5668721941795/511], [-100296932195, -98226597166, 5757761084, 16653918211], [-204468013222/511, -200980350362/511, 11587959867/511, 34108720503/511]]], 0, 393216, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[96, -64, -48, 16]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [12, 20, 1, -6], [16, 2, -3, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-507287322/511, -460778996/511, 68388935/511, 82575013/511], [-497496, -1820602, -203637, 370012], [542/511, -4334/511, 988/511, 4/511]], [[0, 0, 0, 0], [-354916962057795259/511, -348610637169456017/511, 18398364125807077/511, 58062067086015485/511], [-633050277814971, -530510397308172, 52618870242777, 85085525299590], [-723897492084/511, 363303024426/511, 290248701681/511, -101508591369/511]]], 0, 3145728, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[96, 224, 16, -48]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [60, 20, 6, -6], [62, 10, 10, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-365553148646/1831, -561406145017/1831, -16211660431/1831, 103084549548/1831], [-197180470, -306898661, -9037418, 57184471], [7724/1831, 2298/1831, 6143/1831, -1/1831]], [[0, 0, 0, 0], [8340507896464686687/1831, 19770811643833694543/1831, 1837057466484050008/1831, -3856045500143236056/1831], [4486629330348519, 10803137849313632, 1021115098942615, -2109938441332845], [-604043205810/1831, 966073768935/1831, 348862100455/1831, -233104264525/1831]]], 0, 3145728, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[7, -3, -5, 2]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-29/2, 49, -39/2, -38], [-1720/23, 652/23, -1039/46, -2775/46], [5/2, -5/2, -1/2, -2], [205/92, 36/23, -9/23, 3/92]], [[388647259/2, -400147593/2, -281807845/2, 80063634], [25848577665/46, -18624341856/23, -4662560496/23, 4191239725/23], [-77240555/2, -34858705, 72797060, -20838965], [-294755635/23, 843459389/46, 65631672/23, -151379901/46]]], 4, 2, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[4, -2, 0, 0]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[31/2, 24, -1, 1/2], [139/46, 457/46, 409/46, 5/23], [1, 5/2, 1/2, -1/2], [31/23, 45/23, -17/23, -1/46]], [[-31159, -175221/2, 286203/2, -83219/2], [355765/46, 640813/23, -1960525/46, 539383/46], [-143, 559/2, -221, 83/2], [-89232/23, -265122/23, 426426/23, -122694/23]]], 1, 10, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[16, -8, 0, 0]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1061/46, 1143/23, -4/23, -605/46], [67/2, -135, -41, 3/2], [67/46, -135/23, -41/23, 3/46]], [[0, 0, 0, 0], [-4599651599/2, -2975680288, 6223056855, -3725812111/2], [10153312763/2, 8584861780, -15475600646, 9043482723/2], [441448381/2, 373254860, -672852202, 393194901/2]]], 0, 2560, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[64, -32, 0, 0]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 6, -6, -8], [8, -10, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-323453/23, -2828758/23, -857190/23, 602192/23], [38932, -35577, -23879, 12486], [-87/23, 100/23, -2/23, 4/23]], [[0, 0, 0, 0], [47947439234/23, 169126882350/23, 17567598508/23, -36186702437/23], [2417092485, 537162525, -2229675519, 653160865], [17452370/23, 76237638/23, -115959548/23, 33033151/23]]], 0, 655360, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[-5, 4, 2, -1]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-89/2, -67/2, 18, 81/2], [-5991/46, -4613/46, 3275/46, 2613/23], [-4, -12, 11/2, 15/2], [177/92, -93/46, -17/46, -1/92]], [[-35436721, 146872677, -303850903/2, 80364321/2], [-2915863900/23, 15643693727/46, -7395124553/23, 1936587648/23], [-3047148, -2108340, 3220854, -640458], [266158059/92, -168358123/23, 149726765/23, -149491669/92]]], 1, 8, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[18, -8, -10, 4]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-42, -131/2, 3/2, 51/2], [-1789/46, -7329/46, 2321/46, 2095/23], [-3/2, -9, 5, 13/2], [-127/46, -28/23, -55/46, -5/46]], [[-667560253/2, 485997411/2, 222950015/2, -62298240], [-773923134/23, 123930319/23, 1465396841/46, -552847073/46], [14580775/2, -7598690, -1889701/2, 1083434], [-695604516/23, 539569830/23, 188353602/23, -117212970/23]]], 1, 40, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[72, -32, -40, 16]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [5, 5, -11, -11], [3, 11, -7, -9], [0, 0, 0, 0]], [[0, 0, 0, 0], [755858287/46, -247137143/23, -181530374/23, 174378429/46], [3076539/2, -1384779, -857139, 878853/2], [-11/46, 120/23, 62/23, 5/46]], [[0, 0, 0, 0], [-2122960393067123/23, 2652727307248315/46, 1707732527822113/46, -837041958712703/46], [-9005729628786, 11450357391861/2, 7202108353617/2, -3564600444501/2], [99846418/23, -500978793/46, 284306379/46, -48217127/46]]], 0, 10240, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[288, -128, -160, 64]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, -10, 6, 10], [20, 58, -24, -32], [0, 0, 0, 0]], [[0, 0, 0, 0], [-117953043/23, -279068096/23, -74741976/23, 79432622/23], [-2542392, -2197059, 8018743, -2348852], [-41/23, 8/23, -2/23, 4/23]], [[0, 0, 0, 0], [-21994080446822/23, -11938377074598/23, 7152519222712/23, 477674014032/23], [-345651911078, 704126219820, -265459581668, 14170835498], [-12719784/23, 4612104/23, 7072464/23, -2763516/23]]], 0, 2621440, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[0, 4, -4, -1, 1]], [ -5, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[-1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[16, 3/2, -1/2, 1, 1/2], [3/10, -109/10, 4, 212/5, 14/5], [37/4, 3/2, -5/4, 1/2, -3/4], [27/20, 0, 3/20, 1/10, 1/4]], [[-2503538694007/2, -1834477882041, 7759453924021/2, 600459171428, -1724663261971/2], [3665529352813/10, 3187083146931/5, -11884101465047/10, -202367468196, 2653635977281/10], [-1252537559831/2, -908018175273, 3862706633333/2, 297682878064, -858084505523/2], [-625500567088/5, -926459706768/5, 1948373645344/5, 302776293364/5, -433289378224/5]]], 4, 1, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[0, -64, 64, 16, -16]], [ -5, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-6, 2, -6, -6, -4], [10, 6, 8, 10, 4], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-19531018183/5, 47688407987/5, -16788557013, 7882992003, -5498108221/5], [15824302375/2, -14026211097/2, 17249277273/2, -814524881/2, -1856709145/2], [9/10, -3/10, 3/10, 1/2, 1/2]], [[0, 0, 0, 0, 0], [313676664117378428, -841003023514521703332, 894888727372790365584, 242942158322308875060, -219242459983057798292], [-244760757430655227284, 578699168540619943926, -226703202862054348492, -154003729921757249518, 73480741463506107128], [-30092090832, 38878979456, 10283019128, -9255927792, -252915604]]], 0, 349184, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[10, 12, -27, -4, 6]], [ -5, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[-1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[11, 5/2, 0, -5/2, 3/2], [27/5, -137/10, 33/5, 117/5, -31/10], [11, 5/2, 0, -7/4, 1/2], [0, 0, 0, -3/20, 1/5]], [[-345086781/2, -202714357/2, 682463349/2, 37246559, -143346335/2], [-333529069/2, -187908821/2, 648539845/2, 34713743, -135167167/2], [-340208181/2, -196724597/2, 669208029/2, 36192439, -140434255/2], [-487860, -598976, 1325532, 210824, -291208]]], 1, 2, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[-160, -192, 432, 64, -96]], [ -5, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [2, -10, -8, 6, -2], [-56, -6, 4, -4, -6], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [415305530473/5, -45821075123/5, 46023175572/5, 74982498678/5, -72641225419/5], [-538991872309/2, 3888032266797/2, -898668073160, -515140733800, 468122129205/2], [-11/10, 3/10, 0, 0, -1/2]], [[0, 0, 0, 0, 0], [-4038125844243353163279/5, -4711291671840496706919/5, 10756624189320009598998/5, 1565458595427390717096/5, -2356774426959065050023/5], [29867635066413840870481/2, 38564885674198690313829/2, -43470623548312754419611, -6405562887610554931149, 19191149210830479221183/2], [129207427119/10, 157642916571/10, -176586414789/5, -26005408851/5, 77250588417/10]]], 0, 2095104, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[1, -6, 8, 2, -2]], [ -5, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[3/2, -3/2, 1/2, -2, 1/2], [15/2, -3/2, 9/2, -6, 1/2], [3/2, -3/2, 1/2, -2, 1/2], [0, 0, 0, 0, 0]], [[157357047/2, 28109928, -64413271/2, -9894424, 2707357], [146617672, -3122854658/5, -4272212832/5, 493962482/5, 913197063/5], [314714077/4, 28109929, -128826541/4, -19788849/2, 2707356], [17/20, -1/5, -1/20, 1/10, 1/5]], [[818026818061090466105, -669963077650281114945, 505162821029838621710, 203115283011369427510, -172995502718427433145], [2107265662081775611802, -8715518434520348916369, -5461656553944397709716, 1840523519401852907287, 1058428920030217235419], [818026797374648800505, -669962965062131588670, 505162675588176025760, 203115246932167138210, -172995466086477327020], [4137288333120, -22517629905255, 29088332519190, 7215840457860, -7326390021225]]], 1, 10, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[1, -6, 8, 2, -2]], [ -5, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-1/2, -2, -1/2, 0, 3/2], [-103/2, -6, -1/2, -4, -5/2], [-1/2, -2, -1/2, 0, 3/2], [0, 0, 0, 0, 0]], [[-390440395304, 58334952416, -10151821244, -5672839205, 8901802578], [140380902398653, 87663452511637/5, -244642876258617, -65685123061881/5, 249231795831049/5], [-390440395295, 116669904833/2, -20303642489/2, -11345678411/2, 8901802579], [-9/5, -1/10, 1/10, 1/10, -1/5]], [[2496906709627629193295291/2, -10110507447487113485333779, 25861162156613940420394997/2, 6235489432285381127433907/2, -3230621412110282040532892], [-2051620629037896444431028606, -42833062553006705881864581, 3209907570030529028905176842, 122814253998470751956871974, -639502902737333594261714598], [4993813419110880117891407/4, -20221014894583727898349483/2, 51722324312195215284833309/4, 12470978864316148656657409/4, -3230621412045307816865287], [28875653739835/4, -78099814463615/2, 206533111191337/4, 50922719642081/4, -12994844733521]]], 1, 10, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[-16, 96, -128, -32, 32]], [ -5, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-46, -6, -2, -2, 2], [28, -8, 2, -6, 8], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [5726898741249/5, 1484185369153/5, -1139342720387/5, -258137410747/5, 49807873379/5], [-458646589097/2, 2514289970515/2, -1936651542813/2, -3349991632391/2, 1614004288227/2], [-7/10, 1/2, -3/10, -1/10, -3/10]], [[0, 0, 0, 0, 0], [224304404524571330767518/5, -77836121330548071348078/5, 88171997324286365413604/5, 28435160923492253213654/5, -6815223738399289129866], [-21402689419108753278837, 33460977892891443439104, -35043055638799047257250, -8656845140944622041377, 9026170356875290149285], [-69948398583/5, 320454588636/5, -89184875850, -105506777943/5, 22473714123]]], 0, 10475520, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[-16, 96, -128, -32, 32]], [ -5, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [2, -6, 2, -6, 10], [16, 2, -2, 0, -2], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-770634926/5, 130997801/5, -367611426/5, -17791736, 148005748/5], [-3357951751, -22469149183/2, -9118900479, 2126379777, 2193391359], [7/5, -1/10, -1/5, -1/5, 1/5]], [[0, 0, 0, 0, 0], [3681642459822088943/5, -7983882524302593867, 62234224631708812729/5, 12498744165277087432/5, -3060077910439988621], [126505459901082725331/2, 381868901474975778433/2, 320125252704032665023/2, -35723440327635782725, -77641933234048273679/2], [-91734813651/10, 645998107007/10, -837059583423/10, -22446983359, 204725767439/10]]], 0, 10475520, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[1, 4, -3, -2, 1]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[4, -1/2, -43/2, 17, 15], [-7/3, 7/6, 15/2, 0, -1], [9/2, 1, 1/2, 0, 1/2], [3/2, 1/3, 1/6, 0, 1/6]], [[-28342054, 25098277, 2169379/2, -38289367/2, 11775611/2], [-413374, 77085131/3, -35247891/2, -19491217/2, 32462353/6], [-15289162, -268920963/2, 79972701, 60189886, -29575756], [-15289162/3, -89640321/2, 26657567, 60189886/3, -29575756/3]]], 4, 2, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[-16, -64, 48, 32, -16]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-6, -4, 6, 2, -2], [-10, 10, 8, 2, 10], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [138688742/3, 4528574, -110745326/3, -7986076, 8194032], [69471003, -167961583, 108163739, 133226068, -62875675], [-17/3, -1, -1/3, -2/3, -5/3]], [[0, 0, 0, 0, 0], [333768382408799224, 728433642746216568, -632085307876929632, -323924275990627304, 187351074966338340], [9598690022639380, 1101810562257642184, -669666611415183354, -512139037880269896, 256373249133570524], [-51948419940, -108034459272, 103369496232, 49509455568, -29870975292]]], 0, 349184, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[4, 2, -4, -1, 1]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-3/2, -3/2, -3/2, 3/2, -3/2], [-3/2, -3/2, -3/2, 3/2, -3/2], [-4, 0, 13, -9, -9], [0, 0, 0, 0, 0]], [[-13330965/2, 21346596, -17324239/2, -14144489/2, 6387479/2], [-13330911/2, 64039739/3, -17324519/2, -42433241/6, 19162829/6], [-223941, 3949455/2, -2361527/2, -4071603/2, 1058614], [-1, 1/2, 1/6, -1/2, -2/3]], [[15169009324107/2, -34838971269723/2, 3876293136838, 14773584761233/2, -5544426395339/2], [15169021933107/2, -34838957259723/2, 3876284263838, 14773578223233/2, -5544421725339/2], [1769178195570, 726829032924, -1665394267044, -363515653926, 347242566360], [-3619250, -7005000, 6421250, 3152250, -1868000]]], 1, 4, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[-64, -32, 64, 16, -16]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [4, 6, 0, 2, 0], [2, 14, 22, -6, -10], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-89258/3, 179714, 543892, 46082, -446710/3], [107435, 239756, 67187, 17838, 27673], [-13/3, -4/3, -5/3, 4/3, -1]], [[0, 0, 0, 0, 0], [7017678893164, -15807850919788, 3417011952828, 6755792183406, -2524705995394], [7462015695791, -13939361129934, 2109802081347, 5888696161007, -2070338379528], [-8750901595, 25849270062, -7588695483, -11000712751, 4385757524]]], 0, 1396736, [], [] >,
< [ -1, 4, 0, -5, 0, 1 ], [[-1, -4, 0, 1, 0]], [ -7, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[5, -19/2, -35/2, 4, 10], [17/7, -29/14, 1/2, 61/7, -2], [-23/2, -2, 1, 2, 0], [-23/14, -2/7, 1/7, 2/7, 0]], [[1113903649, -1953793339/2, -10131679119/2, -271806983/2, 1246421036], [8619586116/7, -36336570399/14, 50788435875/14, 13222258191/14, -7917528621/7], [-7616566255/2, -4800177309, 12219708929/2, 2684841041/2, -1345809746], [-7616566255/14, -4800177309/7, 12219708929/14, 2684841041/14, -1345809746/7]]], 4, 2, [], [] >,
< [ -1, 4, 0, -5, 0, 1 ], [[4, -4, -9, 1, 2]], [ -13, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-21, 0, -5/2, -1, 3/2], [241/26, -17/26, -335/26, -113/26, 121/26], [-45/4, -1/4, -3/2, -7/4, 1], [-3/4, 1/52, -1/13, 3/52, 1/26]], [[24650118702, -46249398161/2, -82591568377/2, 4969811384, 17139297651/2], [-97972785171/13, 49341377079/13, 122822642177/13, -10428773887/13, -25037900375/13], [26787974069/2, -50149483843/4, -92174256471/4, 2561021345, 18937838729/4], [22512263335/26, -42349312479/52, -73008880283/52, 2408790039/13, 15340756573/52]]], 4, 2, [], [] >,
< [ -1, 4, 0, -5, 0, 1 ], [[16, 64, 0, -16, 0]], [ -7, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-6, 2, 10, 6, 4], [8, 0, -6, -8, 4], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [35646280/7, 82343976/7, 99637296/7, -43641466/7, -33509086/7], [-12054706, -30906679, 71278706, 7199606, -16070081], [38/7, 5/7, 2/7, 2/7, -5/7]], [[0, 0, 0, 0, 0], [48570577275322300, -255056986856298840, -247560834349553600, 58295569561487808, 57197035039502544], [129104341513507860, -210216019913331870, -113498391024927572, 51831142848316815, 19332147065585687], [2176593108, -78500335818, -63431268428, 18404729601, 15334981529]]], 0, 1047552, [], [] >,
< [ -1, 4, 0, -5, 0, 1 ], [[-64, 64, 144, -16, -32]], [ -13, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-8, 2, 8, -8, -4], [2, -6, 0, -4, 10], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [4803570/13, 5826720/13, -761285/13, -1628138/13, -403217/13], [-45083, 76207, -37703/2, 178803, -102025/2], [-1/13, -1/13, 3/26, -1/13, 1/26]], [[0, 0, 0, 0, 0], [3541751701728/13, 570332628261/13, -3115785561809/13, -171866359001/13, 561566943030/13], [-22123558228, 48186024555/2, 93832916707/2, -10592453139/2, -10244806138], [-698004/13, -3243/26, 1378965/26, 15387/26, -129030/13]]], 0, 2095104, [], [] >,
< [ -1, 4, 0, -5, 0, 1 ], [[-2, 10, 9, -2, -2]], [ -13, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[52, 1, 1, 5/2, 5/2], [1797/26, 1/26, -55/13, 46/13, 83/26], [229/4, 7/4, 3/2, 9/4, 2], [-21/52, -3/52, -1/26, 1/52, 1/26]], [[-223668310271/2, 591950158427, 1786271818895/2, -14412035867/2, -350815232986], [-3730643028179/26, 10384780740545/13, 27604974111959/26, -1584936740363/26, -396397502446], [-256097775695/2, 676723892096, 1932828898997/2, -50446837889/2, -367504002490], [16214732712/13, -84773733669/13, -73278540051/13, 18017401011/13, 16688769504/13]]], 1, 28, [], [] >,
< [ -1, 4, 0, -5, 0, 1 ], [[32, -160, -144, 32, 32]], [ -13, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-10, 4, -2, -2, 6], [106, 8, 0, 2, 4], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [7811480827385/13, 401122863537/13, -109116862583/13, 846483975296/13, -738458886650/13], [-12656880180893/2, -3648297075595/2, -12570494194157/2, 385381929209, 1936774712441], [-43/26, -5/26, 5/26, 1/13, 1/13]], [[0, 0, 0, 0, 0], [-37640777128896055847, 172174660956057111988, -53331060416433431969, -129610006760650641269, 57537048387752802262], [135124965851487223845/2, -262426161043991514279, -920891264061135634323/2, -182259742656418431723/2, 180582031380504802119], [25957287/2, -69826653, -92354193/2, 28876599/2, 8830269]]], 0, 29331456, [], [] >,
< [ -1, 4, 0, -5, 0, 1 ], [[-6, 9, 10, -2, -2]], [ -7, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[3/2, 3/2, -2, 5/2, -3/2], [3/2, 3/2, -2, 5/2, -3/2], [26, 2, 0, -2, 2], [0, 0, 0, 0, 0]], [[12943485367/2, -16204278447/2, 2923836577, -1795607825/2, -2096659698], [90604397459/14, -113429948647/14, 20466855887/7, -12569255527/14, -14676617777/7], [152322536279/2, -4574025001, -271704588747/2, 27016109995/2, 35775922501], [29/14, -1/7, 3/14, -5/14, 1/7]], [[1767663475231445492, -4904497736343692905/2, -3320791182954696161, 543061290463027369, 1393845440052657775/2], [12373644222774105794/7, -34331483598739284235/14, -23245537917706153247/7, 3801428969397470653/7, 1393845416155801795/2], [23832121309371355830, -27538862077206864405, -51073242635482418505, 6224914783912579425, 11236777691896182075], [17377612080/7, -5653530540, -7441703715, 9046440675/7, 11771590200/7]]], 1, 8, [], [] >,
< [ -1, 4, 0, -5, 0, 1 ], [[96, -144, -160, 32, 32]], [ -7, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-10, -10, -4, -8, -4], [-26, -2, 4, 6, -10], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-220254860456/7, -26506139880/7, -75333698876/7, 6119447392/7, 24009269736/7], [103195027879, -833450635495, 737712253954, 292709515632, -229441627245], [-1/7, 5/7, 4/7, 2/7, -5/7]], [[0, 0, 0, 0, 0], [-79396513692577093856, 44278580980147219616, 123406500014690427192, -9374427818524188188, -25736903896171290256], [-159813529221529808520, 115849958163860331026, 181200615020663601622, -26978353086036449958, -34798838064483574018], [340204400, -445377392, -609914974, 99787796, 127461896]]], 0, 8380416, [], [] >];
TwoClassGenera:= [
< [ -1, 1 ], [[15]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[3/2], [-3/4], [0], [3/4]], [[-1/2], [5/4], [0], [-1/4]], [[-3/2], [1], [1/2], [-1/2]]], [[[1/2], [0], [1/2], [3/2]], [[0], [1/4], [1/2], [7/4]], [[0], [0], [1], [0]], [[0], [0], [0], [3]]], 3, 2, [], [] >,
< [ -1, 1 ], [[30]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[3], [-3/2], [0], [3/2]], [[-3/2], [7/4], [0], [-3/4]], [[-3], [7/4], [1/2], [-5/4]]], [[[1/2], [0], [1/2], [35/2]], [[0], [1/28], [1/2], [565/28]], [[0], [0], [1], [35]], [[0], [0], [0], [42]]], 3, 4, [], [] >,
< [ -1, 1 ], [[30]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [10], [0]], [[0], [0], [-9/2], [1/2]], [[1/2], [1/2], [-7], [0]]], [[[1/2], [1/14], [37/14], [3/2]], [[0], [1/7], [25/14], [9/2]], [[0], [0], [7/2], [17/2]], [[0], [0], [0], [10]]], 3, 4, [], [] >,
< [ -1, 1 ], [[14]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [1/2], [1/2]], [[1/2], [1/2], [0], [0]]], [[[1/2], [1/6], [1/3], [13/3]], [[0], [1/3], [1/6], [1/6]], [[0], [0], [1/2], [5/2]], [[0], [0], [0], [6]]], 3, 2, [], [] >,
< [ -1, 1 ], [[42]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [-1/2], [1/2]], [[1/2], [1/2], [-4], [0]]], [[[1/2], [1/10], [0], [116/5]], [[0], [1/5], [0], [82/5]], [[0], [0], [1/2], [35/2]], [[0], [0], [0], [30]]], 3, 6, [], [] >,
< [ -1, 1 ], [[105]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [1/2], [1/2]]], [[[1/2], [0], [1/2], [0]], [[0], [1/2], [0], [1/2]], [[0], [0], [1], [0]], [[0], [0], [0], [1]]], 4, 4, [], [] >,
< [ -1, 1 ], [[210]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[3/2], [0], [3/2], [0]], [[-1], [1/2], [-1], [1/2]]], [[[1/2], [0], [1/2], [23]], [[0], [1/22], [1/11], [599/22]], [[0], [0], [1], [13]], [[0], [0], [0], [33]]], 3, 8, [], [] >,
< [ -1, 1 ], [[35]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [5], [0]], [[0], [0], [-3/2], [1/2]], [[1/2], [1/2], [-1], [0]]], [[[1/2], [1/2], [0], [8]], [[0], [1], [0], [6]], [[0], [0], [1/4], [13/4]], [[0], [0], [0], [10]]], 3, 4, [], [] >,
< [ -1, 1 ], [[210]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[5/2], [5/2], [5/2], [5/2]], [[-2], [-2], [-2], [-1]]], [[[1/2], [1/2], [1/22], [593/22]], [[0], [1], [0], [33]], [[0], [0], [1/11], [230/11]], [[0], [0], [0], [55]]], 3, 8, [], [] >,
< [ -1, 1 ], [[21]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [7], [0]], [[0], [0], [-3/2], [1/2]], [[1/2], [1/2], [-2], [0]]], [[[1/2], [0], [1/4], [37/4]], [[0], [1/2], [1/4], [25/4]], [[0], [0], [1/2], [9/2]], [[0], [0], [0], [14]]], 3, 2, [], [] >,
< [ -1, 1 ], [[42]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [14], [0]], [[0], [0], [-11/2], [1/2]], [[1/2], [1/2], [-9], [0]]], [[[1/2], [1/10], [3/10], [161/10]], [[0], [1/5], [1/10], [577/10]], [[0], [0], [1/2], [89/2]], [[0], [0], [0], [70]]], 3, 4, [], [] >,
< [ -1, 1 ], [[42]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[7/2], [7/2], [7/2], [7/2]], [[1], [1], [-2], [1]], [[-1], [-2], [0], [-1]]], [[[1/2], [1/10], [1/2], [57/10]], [[0], [1/5], [0], [32/5]], [[0], [0], [1], [5]], [[0], [0], [0], [105]]], 3, 4, [], [] >,
< [ -1, 1 ], [[210]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [0]], [[0], [0], [7/2], [7/2]], [[0], [0], [-1/2], [-3/2]]], [[[1/2], [1/22], [4/11], [642/11]], [[0], [1/11], [5/22], [71/22]], [[0], [0], [1/2], [73/2]], [[0], [0], [0], [77]]], 3, 8, [], [] >,
< [ -1, 1 ], [[70]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[35/2], [35/2], [35/2], [35/2]], [[-8], [-8], [-9], [-8]], [[-16], [-17], [-16], [-16]]], [[[1/2], [1/6], [13/6], [107/6]], [[0], [1/3], [13/3], [44/3]], [[0], [0], [5], [17]], [[0], [0], [0], [21]]], 3, 4, [], [] >,
< [ -1, 1 ], [[105]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [35], [0]], [[0], [0], [-31/2], [1/2]], [[1/2], [1/2], [-33], [0]]], [[[1/2], [0], [1/4], [149/4]], [[0], [1/2], [1/4], [217/4]], [[0], [0], [1/2], [9/2]], [[0], [0], [0], [70]]], 3, 8, [], [] >,
< [ -1, 1 ], [[11]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [1/2], [1/2]], [[1/2], [1/2], [0], [0]]], [[[1/2], [0], [1/4], [1/4]], [[0], [1/2], [1/4], [5/4]], [[0], [0], [1/2], [1/2]], [[0], [0], [0], [2]]], 4, 2, [], [] >,
< [ -1, 1 ], [[22]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [-1/2], [1/2]], [[1/2], [1/2], [-1], [0]]], [[[1/2], [1/2], [0], [3]], [[0], [1], [0], [0]], [[0], [0], [1/6], [7/6]], [[0], [0], [0], [6]]], 3, 3, [], [] >,
< [ -1, 1 ], [[66]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [1/2], [1/2], [1/2]], [[-1/2], [-1/2], [-1/2], [1/2]]], [[[1/2], [1/10], [3/10], [49/10]], [[0], [1/5], [3/5], [24/5]], [[0], [0], [1], [1]], [[0], [0], [0], [5]]], 4, 4, [], [] >,
< [ -1, 1 ], [[110]], [ -110 ], [ -3 ], [[[1], [0], [0], [0]], [[1/2], [0], [1/2], [0]], [[1/2], [1/2], [1/6], [1/6]], [[-1/2], [0], [1/6], [-1/3]]], [[[1/2], [0], [1/6], [2/3]], [[0], [1/6], [1/9], [47/18]], [[0], [0], [1/3], [4/3]], [[0], [0], [0], [3]]], 4, 6, [], [] >,
< [ -1, 1 ], [[330]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [5], [0]], [[1/2], [1/2], [-5/2], [1/2]], [[-1/2], [-1/2], [-3/2], [1/2]]], [[[1/2], [1/14], [53/14], [7/2]], [[0], [1/7], [4/7], [0]], [[0], [0], [7], [2]], [[0], [0], [0], [5]]], 3, 12, [], [] >,
< [ -1, 1 ], [[66]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [11], [0]], [[0], [0], [-6], [1]], [[1/2], [1/2], [-1/2], [-1/2]]], [[[1/2], [1/10], [3/10], [189/10]], [[0], [1/5], [3/5], [189/5]], [[0], [0], [1], [31]], [[0], [0], [0], [55]]], 3, 6, [], [] >,
< [ -1, 1 ], [[66]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[33/2], [33/2], [33/2], [33/2]], [[-23/2], [-23/2], [-25/2], [-23/2]], [[-2], [-3], [-2], [-2]]], [[[1/2], [1/10], [1/2], [193/10]], [[0], [1/5], [0], [593/5]], [[0], [0], [1], [85]], [[0], [0], [0], [165]]], 3, 4, [], [] >,
< [ -1, 1 ], [[55]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[11/2], [-11/4], [0], [11/4]], [[-3], [5/2], [0], [-3/2]], [[-7/2], [2], [1/2], [-3/2]]], [[[1/2], [0], [1/2], [17/2]], [[0], [1/8], [3/4], [97/8]], [[0], [0], [1], [17]], [[0], [0], [0], [22]]], 3, 4, [], [] >,
< [ -1, 1 ], [[330]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[11/2], [11/2], [0], [0]], [[-2], [-2], [1/2], [1/2]], [[-1], [-1], [1], [0]]], [[[1/2], [1/2], [0], [42]], [[0], [1], [0], [7]], [[0], [0], [1/14], [535/14]], [[0], [0], [0], [77]]], 3, 8, [], [] >,
< [ -1, 1 ], [[110]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[55/2], [55/2], [55/2], [55/2]], [[-35/2], [-35/2], [-37/2], [-35/2]], [[-1], [-2], [-1], [-1]]], [[[1/2], [1/6], [1/6], [283/6]], [[0], [1/3], [1/3], [283/3]], [[0], [0], [1], [125]], [[0], [0], [0], [165]]], 3, 6, [], [] >,
< [ -1, 1 ], [[462]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [11], [0]], [[1/2], [1/2], [-13/2], [1/2]], [[-1/2], [-1/2], [-3/2], [1/2]]], [[[1/2], [1/10], [1/2], [7/10]], [[0], [1/5], [0], [207/5]], [[0], [0], [1], [15]], [[0], [0], [0], [55]]], 3, 12, [], [] >,
< [ -1, 1 ], [[154]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[77/2], [77/2], [77/2], [77/2]], [[-24], [-24], [-25], [-24]], [[-2], [-3], [-2], [-2]]], [[[1/2], [1/6], [5/6], [361/6]], [[0], [1/3], [2/3], [538/3]], [[0], [0], [1], [172]], [[0], [0], [0], [231]]], 3, 8, [], [] >,
< [ -1, 1 ], [[26]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[1/2], [-1/4], [0], [1/4]], [[-1/2], [1/2], [-1/2], [0]]], [[[1/2], [0], [3/2], [1/2]], [[0], [1/12], [1/6], [7/4]], [[0], [0], [3], [1]], [[0], [0], [0], [2]]], 3, 3, [], [] >,
< [ -1, 1 ], [[39]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[1/2], [-9/4], [0], [1/4]], [[-1/2], [-1/2], [-1/2], [0]]], [[[1/2], [0], [3/2], [1/2]], [[0], [1/8], [5/4], [13/8]], [[0], [0], [3], [1]], [[0], [0], [0], [2]]], 3, 4, [], [] >,
< [ -1, 1 ], [[130]], [ -2 ], [ -65 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [1/2], [0]], [[0], [1/2], [0], [1/2]]], [[[1/2], [0], [1/2], [3/2]], [[0], [1/6], [0], [11/6]], [[0], [0], [1], [0]], [[0], [0], [0], [3]]], 4, 4, [], [] >,
< [ -1, 1 ], [[390]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[5/2], [5/2], [5/2], [0]], [[-5/2], [-5/2], [-3/2], [0]], [[-3/2], [-3/2], [-1], [1/2]]], [[[1/2], [1/14], [3/7], [3/14]], [[0], [1/7], [5/14], [41/14]], [[0], [0], [1/2], [65/2]], [[0], [0], [0], [35]]], 3, 12, [], [] >,
< [ -1, 1 ], [[182]], [ -182 ], [ -11 ], [[[1], [0], [0], [0]], [[1/2], [0], [1/2], [0]], [[-1/2], [0], [-3/22], [1/11]], [[0], [1/2], [-2/11], [-1/22]]], [[[1/2], [0], [1/66], [62/33]], [[0], [1/2], [0], [3/2]], [[0], [0], [1/33], [25/33]], [[0], [0], [0], [3]]], 4, 6, [], [] >,
< [ -1, 1 ], [[26]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[13/2], [13/2], [13/2], [13/2]], [[-7/2], [-7/2], [-9/2], [-7/2]], [[-2], [-3], [-2], [-2]]], [[[1/2], [1/6], [5/6], [17/6]], [[0], [1/3], [5/3], [8/3]], [[0], [0], [13], [2]], [[0], [0], [0], [3]]], 3, 3, [], [] >,
< [ -1, 1 ], [[78]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[13/2], [13/2], [13/2], [13/2]], [[3/2], [3/2], [-3/2], [3/2]], [[-5], [-6], [-4], [-5]]], [[[1/2], [1/10], [7/10], [77/2]], [[0], [1/5], [7/5], [38]], [[0], [0], [5], [19]], [[0], [0], [0], [39]]], 3, 6, [], [] >,
< [ -1, 1 ], [[17]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[1/2], [0], [1/2], [0]], [[1/2], [1/2], [1/6], [1/6]], [[-1/2], [0], [1/6], [-1/3]]], [[[1/2], [0], [1/6], [5/3]], [[0], [1/4], [1/6], [11/12]], [[0], [0], [1/3], [4/3]], [[0], [0], [0], [2]]], 4, 2, [], [] >,
< [ -1, 1 ], [[34]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[1], [0], [1], [0]], [[1/2], [1/2], [1/6], [1/6]], [[-1], [0], [-1/3], [-1/3]]], [[[1/2], [1/6], [5/18], [11/18]], [[0], [1/3], [2/9], [17/9]], [[0], [0], [1/3], [7/3]], [[0], [0], [0], [3]]], 3, 4, [], [] >,
< [ -1, 1 ], [[102]], [ -3 ], [ -34 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [0]], [[0], [0], [1/2], [1/2]], [[0], [0], [1], [0]]], [[[1/2], [1/10], [2/5], [21/5]], [[0], [1/5], [3/10], [29/10]], [[0], [0], [1/2], [1/2]], [[0], [0], [0], [5]]], 4, 4, [], [] >,
< [ -1, 1 ], [[238]], [ -238 ], [ -11 ], [[[1], [0], [0], [0]], [[1/2], [0], [1/2], [0]], [[0], [0], [2/11], [1/11]], [[0], [1/2], [-1/11], [-1/22]]], [[[1/2], [0], [3/22], [9/11]], [[0], [1/6], [4/33], [5/22]], [[0], [0], [3/11], [7/11]], [[0], [0], [0], [1]]], 4, 8, [], [] >,
< [ -1, 1 ], [[34]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[17/2], [17/2], [17/2], [17/2]], [[0], [0], [-1], [0]], [[-3/2], [-5/2], [-3/2], [-3/2]]], [[[1/2], [1/6], [5/6], [89/6]], [[0], [1/3], [2/3], [38/3]], [[0], [0], [1], [17]], [[0], [0], [0], [51]]], 3, 2, [], [] >,
< [ -1, 1 ], [[51]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [17/2], [17/2]], [[1/2], [1/2], [-13/2], [-13/2]]], [[[1/2], [0], [1/4], [85/4]], [[0], [1/2], [1/4], [25/4]], [[0], [0], [1/2], [17/2]], [[0], [0], [0], [34]]], 3, 4, [], [] >,
< [ -1, 1 ], [[102]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[17/2], [17/2], [17/2], [17/2]], [[-2], [-2], [-5], [-2]], [[-3/2], [-5/2], [-1/2], [-3/2]]], [[[1/2], [1/2], [1/10], [207/10]], [[0], [1], [0], [5]], [[0], [0], [1/5], [182/5]], [[0], [0], [0], [255]]], 3, 6, [], [] >,
< [ -1, 1 ], [[510]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[17/2], [17/2], [0], [0]], [[-5/2], [-5/2], [1/2], [1/2]], [[-5], [-5], [1], [0]]], [[[1/2], [1/2], [1/7], [4/7]], [[0], [1], [2/7], [8/7]], [[0], [0], [17/14], [19/14]], [[0], [0], [0], [7]]], 3, 12, [], [] >,
< [ -1, 1 ], [[19]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [1/2], [1/2]], [[1/2], [1/2], [0], [0]]], [[[1/2], [0], [1/4], [3/4]], [[0], [1/2], [1/4], [7/4]], [[0], [0], [1/2], [3/2]], [[0], [0], [0], [2]]], 4, 2, [], [] >,
< [ -1, 1 ], [[114]], [ -19 ], [ -6 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [1/2], [1/2]]], [[[1/2], [1/10], [1/10], [1/2]], [[0], [1/5], [1/5], [0]], [[0], [0], [5/2], [1/2]], [[0], [0], [0], [1]]], 4, 4, [], [] >,
< [ -1, 1 ], [[57]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [1/2], [1/2]], [[1/2], [1/2], [-2], [0]]], [[[1/2], [0], [1/4], [19/4]], [[0], [1/2], [1/4], [15/4]], [[0], [0], [1/2], [7/2]], [[0], [0], [0], [6]]], 3, 6, [], [] >,
< [ -1, 1 ], [[190]], [ -5 ], [ -38 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [1/2], [0]], [[-1/2], [-1/2], [0], [1/2]]], [[[1/2], [1/6], [0], [7/6]], [[0], [1/3], [0], [7/3]], [[0], [0], [1/2], [3/2]], [[0], [0], [0], [3]]], 4, 6, [], [] >,
< [ -1, 1 ], [[38]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [1/2]], [[19/2], [19/2], [-19/2], [19/2]], [[-3], [-4], [4], [-3]]], [[[1/2], [1/6], [1/6], [77/6]], [[0], [1/3], [1/3], [77/3]], [[0], [0], [1], [31]], [[0], [0], [0], [57]]], 3, 3, [], [] >,
< [ -1, 1 ], [[190]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[95/2], [95/2], [95/2], [95/2]], [[-23], [-23], [-24], [-23]], [[-26], [-27], [-26], [-26]]], [[[1/2], [1/6], [23/6], [89/6]], [[0], [1/3], [8/3], [122/3]], [[0], [0], [5], [46]], [[0], [0], [0], [57]]], 3, 10, [], [] >,
< [ -1, 1 ], [[69]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [23], [0]], [[0], [0], [-21/2], [1/2]], [[1/2], [1/2], [-2], [0]]], [[[1/2], [0], [0], [23/2]], [[0], [1/2], [1/2], [7]], [[0], [0], [1], [12]], [[0], [0], [0], [23]]], 3, 4, [], [] >,
< [ -1, 1 ], [[138]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[69/2], [69/2], [69/2], [69/2]], [[-10], [-10], [-11], [-10]], [[-17], [-18], [-17], [-17]]], [[[1/2], [1/10], [7/10], [9/2]], [[0], [1/5], [7/5], [9]], [[0], [0], [5], [56]], [[0], [0], [0], [69]]], 3, 8, [], [] >,
< [ -1, 1 ], [[174]], [ -10 ], [ -174 ], [[[1], [0], [0], [0]], [[1/2], [1/5], [0], [1/20]], [[0], [1], [0], [0]], [[0], [1/2], [1/2], [0]]], [[[1/2], [0], [0], [5/4]], [[0], [1/50], [1/2], [99/50]], [[0], [0], [1], [0]], [[0], [0], [0], [5/2]]], 4, 6, [], [] >,
< [ -1, 1 ], [[58]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[29/2], [29/2], [29/2], [29/2]], [[-9/2], [-9/2], [-11/2], [-9/2]], [[-3], [-4], [-3], [-3]]], [[[1/2], [1/6], [5/6], [235/6]], [[0], [1/3], [2/3], [259/3]], [[0], [0], [1], [79]], [[0], [0], [0], [87]]], 3, 3, [], [] >,
< [ -1, 1 ], [[186]], [ -10 ], [ -186 ], [[[1], [0], [0], [0]], [[1/2], [1/10], [0], [-1/20]], [[0], [1], [0], [0]], [[0], [1/2], [1/2], [0]]], [[[1/2], [0], [1/2], [5/4]], [[0], [1/50], [1/2], [47/50]], [[0], [0], [1], [0]], [[0], [0], [0], [5/2]]], 4, 6, [], [] >,
< [ -1, 1 ], [[62]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[31/2], [31/2], [31/2], [31/2]], [[-2], [-2], [-3], [-2]], [[-5], [-6], [-5], [-5]]], [[[1/2], [1/6], [1/6], [121/6]], [[0], [1/3], [1/3], [121/3]], [[0], [0], [1], [8]], [[0], [0], [0], [93]]], 3, 4, [], [] >,
< [ -1, 1 ], [[37]], [ -2 ], [ -37 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [-1/4], [0], [1/4]], [[-1/2], [1/2], [-1/2], [0]]], [[[1/2], [0], [1/2], [1/2]], [[0], [1/8], [3/4], [1/8]], [[0], [0], [1], [1]], [[0], [0], [0], [2]]], 4, 3, [], [] >,
< [ -1, 1 ], [[222]], [ -222 ], [ -13 ], [[[1], [0], [0], [0]], [[-1/2], [0], [-5/26], [1/26]], [[-1/2], [0], [21/26], [1/26]], [[1/2], [1/2], [1/2], [0]]], [[[1/2], [0], [1/26], [109/26]], [[0], [1/10], [3/65], [43/130]], [[0], [0], [1/13], [44/13]], [[0], [0], [0], [5]]], 4, 6, [], [] >,
< [ -1, 1 ], [[94]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[47/2], [47/2], [47/2], [47/2]], [[-18], [-18], [-19], [-18]], [[-23/2], [-25/2], [-23/2], [-23/2]]], [[[1/2], [1/6], [1/6], [679/6]], [[0], [1/3], [1/3], [256/3]], [[0], [0], [1], [110]], [[0], [0], [0], [141]]], 3, 4, [], [] >,
< [ -1, 1 ], [[142]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[71/2], [71/2], [71/2], [71/2]], [[-31], [-31], [-32], [-31]], [[-45/2], [-47/2], [-45/2], [-45/2]]], [[[1/2], [1/6], [1/6], [625/6]], [[0], [1/3], [1/3], [625/3]], [[0], [0], [1], [110]], [[0], [0], [0], [213]]], 3, 6, [], [] >,
< [ -1, 1 ], [[10082]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-15/2], [3/2], [-11/2]], [[0], [1], [14], [-4]], [[1/2], [-25/2], [5/2], [29/2]]], [[[1], [0], [0], [0]], [[0], [35/3], [-7/3], [2/3]], [[1/2], [-5/6], [1/6], [91/6]], [[1/2], [-19/6], [89/6], [5/6]]], 1, 420, [], [] >,
< [ -1, 1 ], [[4418]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [15/2], [1/2], [-3/2]], [[0], [2], [-3], [9]], [[1/2], [-1/2], [25/2], [19/2]]], [[[1], [0], [0], [0]], [[0], [25/3], [-14/3], [-5/3]], [[0], [1/3], [22/3], [28/3]], [[1/2], [11/2], [7/2], [-21/2]]], 1, 184, [], [] >,
< [ -1, 1 ], [[1369]], [ -2 ], [ -37 ], [[[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[1/2], [0], [-1/2], [-1/2]], [[0], [37/4], [-1/2], [1/4]]], [[[1/2], [0], [1/2], [1/2]], [[1/2], [0], [-1/2], [-1/2]], [[0], [0], [1], [-1]], [[0], [37/8], [-1/4], [5/8]]], 1, 114, [], [] >,
< [ -1, 1 ], [[8214]], [ -222 ], [ -13 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[1/2], [0], [37/26], [3/26]]], [[[1/2], [3/10], [-37/130], [-8/65]], [[1/2], [-3/10], [37/130], [8/65]], [[0], [9/10], [37/65], [-33/130]], [[0], [1/2], [0], [3/2]]], 1, 228, [], [] >,
< [ -1, 1 ], [[5766]], [ -10 ], [ -186 ], [[[0], [0], [0], [1/2]], [[1/2], [0], [1/2], [-1/4]], [[1/2], [0], [-1/2], [1/4]], [[0], [31/10], [1/2], [1/5]]], [[[1/2], [31/50], [0], [39/100]], [[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [31/50], [-1/2], [-43/50]]], 1, 160, [], [] >,
< [ -1, 1 ], [[1922]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [9/2], [-5/2]], [[1/2], [3/2], [-5/2], [-11/2]], [[1/2], [-19/2], [11/2], [-13/2]]], [[[1], [0], [0], [0]], [[0], [5/3], [2/3], [23/3]], [[0], [1/3], [19/3], [-14/3]], [[1/2], [-47/6], [37/6], [7/6]]], 1, 80, [], [] >,
< [ -1, 1 ], [[5046]], [ -10 ], [ -174 ], [[[0], [0], [0], [1/2]], [[1/2], [0], [0], [1/4]], [[0], [0], [1], [0]], [[0], [29/10], [-1/2], [1/10]]], [[[0], [29/50], [1/2], [-2/25]], [[0], [29/50], [-1/2], [-2/25]], [[1], [0], [0], [0]], [[1/2], [0], [0], [5/4]]], 1, 140, [], [] >,
< [ -1, 1 ], [[1682]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [4]], [[1/2], [-9/2], [1/2], [11/2]], [[0], [3], [-10], [6]]], [[[1], [0], [0], [0]], [[0], [14/3], [-8/3], [-1/3]], [[0], [2], [3], [4]], [[1/2], [3/2], [19/2], [-23/2]]], 1, 70, [], [] >,
< [ -1, 1 ], [[1587]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-7/2], [-3/2]], [[0], [4], [3], [-2]], [[1/2], [-9/2], [-1/2], [-7/2]]], [[[1], [0], [0], [0]], [[1/2], [-1], [5], [1/2]], [[0], [4], [3], [-2]], [[1/2], [-1/2], [5/2], [-11/2]]], 1, 88, [], [] >,
< [ -1, 1 ], [[3174]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [17/2], [3/2]], [[1/2], [-11/2], [3/2], [-13/2]], [[1/2], [-19/2], [1/2], [11/2]]], [[[1], [0], [0], [0]], [[0], [4/5], [-22/5], [-7]], [[1/2], [11/2], [-3/2], [13/2]], [[0], [9], [8], [-4]]], 1, 176, [], [] >,
< [ -1, 1 ], [[361]], [ -19 ], [ -1 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [19/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [-1/2], [0], [1]], [[1/2], [0], [19/4], [1/4]]], 1, 30, [], [] >,
< [ -1, 1 ], [[2166]], [ -19 ], [ -6 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [19/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3/5], [-19/10], [1/2]], [[1/2], [5/2], [0], [0]]], 1, 60, [], [] >,
< [ -1, 1 ], [[1083]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [1]], [[0], [1], [0], [1]], [[0], [0], [19/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [1]], [[1/2], [-5/2], [0], [-1]], [[1/2], [0], [19/4], [1/4]]], 1, 120, [], [] >,
< [ -1, 1 ], [[3610]], [ -5 ], [ -38 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[1/2], [-19/2], [1/2], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [1/2], [3/2]], [[1/2], [19/6], [1/2], [-1/3]]], 1, 120, [], [] >,
< [ -1, 1 ], [[722]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-2], [-3]], [[0], [3], [-5], [2]], [[1/2], [7/2], [1/2], [11/2]]], [[[1], [0], [0], [0]], [[1/2], [-7/6], [-1/6], [-11/6]], [[0], [5], [-2], [-3]], [[0], [17/3], [35/3], [-14/3]]], 1, 30, [], [] >,
< [ -1, 1 ], [[3610]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [1/2], [-3/2]], [[0], [9], [-3], [-10]], [[0], [5], [30], [5]]], [[[1], [0], [0], [0]], [[1/2], [9/2], [-3/2], [9/2]], [[0], [20/3], [25/3], [1/3]], [[1/2], [21/2], [-7/2], [-17/2]]], 1, 180, [], [] >,
< [ -1, 1 ], [[289]], [ -17 ], [ -3 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[1/2], [0], [17/6], [1/3]]], [[[0], [1/2], [0], [1/2]], [[1/2], [1/4], [0], [-3/4]], [[1/2], [-1/4], [0], [3/4]], [[0], [1/4], [17/6], [-5/12]]], 1, 24, [], [] >,
< [ -1, 1 ], [[578]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[1/2], [1/2], [-17/6], [1/6]]], [[[1], [0], [0], [0]], [[1/2], [1/6], [17/18], [-13/18]], [[0], [1], [0], [1]], [[1/2], [5/6], [-17/18], [-23/18]]], 1, 72, [], [] >,
< [ -1, 1 ], [[1734]], [ -3 ], [ -34 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[1/2], [-17/2], [0], [0]]], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[1/2], [17/10], [3/10], [-1/10]], [[0], [0], [5/2], [-5/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[4046]], [ -238 ], [ -11 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1/2], [0], [-17/22], [4/11]], [[1], [0], [0], [0]]], [[[1/2], [1/6], [17/66], [1/22]], [[1/2], [-1/6], [-17/66], [-1/22]], [[0], [0], [0], [1]], [[0], [7/6], [-17/33], [9/22]]], 1, 144, [], [] >,
< [ -1, 1 ], [[578]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-1]], [[0], [1], [0], [4]], [[1/2], [5/2], [-17/2], [3/2]]], [[[1], [0], [0], [0]], [[1/2], [1/6], [17/6], [-13/6]], [[1/2], [-7/6], [-17/6], [-11/6]], [[1/2], [65/6], [-17/6], [-29/6]]], 1, 24, [], [] >,
< [ -1, 1 ], [[867]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [-2]], [[0], [4], [0], [-1]], [[0], [2], [-17/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [4]], [[1/2], [-7/2], [0], [3]], [[0], [1/2], [-17/4], [-9/4]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1734]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [3]], [[1/2], [-7/2], [7/2], [15/2]], [[0], [10], [7], [-2]]], [[[1], [0], [0], [0]], [[1/2], [-7/2], [1/10], [7/10]], [[0], [2], [7/5], [49/5]], [[0], [1], [63/5], [16/5]]], 1, 96, [], [] >,
< [ -1, 1 ], [[8670]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-2], [0]], [[0], [2], [3], [0]], [[0], [1], [3/2], [-17/2]]], [[[1], [0], [0], [0]], [[1/2], [-5/2], [41/14], [17/14]], [[0], [2], [25/14], [51/14]], [[1/2], [-3/2], [-57/14], [17/14]]], 1, 192, [], [] >,
< [ -1, 1 ], [[338]], [ -2 ], [ -13 ], [[[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[0], [0], [1], [1]], [[0], [13/4], [1/2], [1/4]]], [[[1], [0], [0], [0]], [[1/2], [-13/12], [-2/3], [-1/4]], [[0], [13/12], [-5/6], [-1/4]], [[0], [0], [0], [2]]], 1, 42, [], [] >,
< [ -1, 1 ], [[507]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [0], [3/2], [-1/2]], [[0], [13/4], [-1/2], [1/4]]], [[[1], [0], [0], [0]], [[1/2], [0], [3/2], [1/2]], [[1/2], [13/8], [-1/4], [-3/8]], [[0], [0], [0], [2]]], 1, 56, [], [] >,
< [ -1, 1 ], [[1690]], [ -2 ], [ -65 ], [[[1/2], [0], [1/2], [1/2]], [[1/2], [0], [-1/2], [1/2]], [[1/2], [0], [-1/2], [-1/2]], [[0], [13/2], [0], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [0], [1/2], [3/2]], [[0], [13/6], [0], [-1/6]]], 1, 56, [], [] >,
< [ -1, 1 ], [[5070]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-1/2]], [[1/2], [1/2], [0], [3/2]], [[0], [1], [13/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [13/14], [-13/14], [2/7]], [[0], [1], [0], [-2]], [[1/2], [53/14], [26/7], [19/14]]], 1, 168, [], [] >,
< [ -1, 1 ], [[2366]], [ -182 ], [ -11 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1/2], [0], [13/22], [3/11]], [[1/2], [0], [-13/22], [-3/11]]], [[[1/2], [0], [13/66], [14/33]], [[1/2], [0], [-13/66], [-14/33]], [[0], [1/2], [13/33], [-43/66]], [[0], [1/2], [-13/33], [43/66]]], 1, 84, [], [] >,
< [ -1, 1 ], [[338]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [2], [0]], [[0], [2], [-3], [0]], [[1/2], [-1/2], [-5/2], [-13/2]]], [[[1], [0], [0], [0]], [[1/2], [-5/6], [-25/6], [-13/6]], [[1/2], [-11/6], [23/6], [-13/6]], [[1/2], [-19/6], [-17/6], [13/6]]], 1, 14, [], [] >,
< [ -1, 1 ], [[1014]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3], [-4]], [[1/2], [-5/2], [-11/2], [7/2]], [[1/2], [-17/2], [-1/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [19/5], [8/5], [3]], [[0], [1], [-3], [-4]], [[1/2], [-13/10], [-91/10], [13/2]]], 1, 56, [], [] >,
< [ -1, 1 ], [[121]], [ -11 ], [ -1 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [11/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [-1/2], [0], [1]], [[0], [1/2], [11/4], [-1/4]]], 1, 10, [], [] >,
< [ -1, 1 ], [[242]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [0], [1]], [[1/2], [1/2], [11/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [11/6], [5/6]], [[1/2], [1/2], [-11/6], [13/6]]], 1, 30, [], [] >,
< [ -1, 1 ], [[726]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[1/2], [1/2], [-11/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[1/2], [17/10], [11/10], [-7/10]], [[0], [2/5], [11/5], [3/5]]], 1, 20, [], [] >,
< [ -1, 1 ], [[1210]], [ -110 ], [ -3 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[1/2], [0], [11/6], [1/3]]], [[[0], [1/2], [0], [1/2]], [[1], [0], [0], [0]], [[0], [1/6], [-11/9], [5/18]], [[1/2], [-5/6], [11/18], [11/18]]], 1, 40, [], [] >,
< [ -1, 1 ], [[3630]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [3], [0], [-2]], [[1/2], [1/2], [11/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [-15/14], [-11/14], [-3/2]], [[0], [15/7], [11/7], [-2]], [[0], [19/7], [-22/7], [1]]], 1, 120, [], [] >,
< [ -1, 1 ], [[726]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [5/2], [-1/2]], [[1/2], [-7/2], [-3/2], [5/2]], [[0], [1], [2], [4]]], [[[1], [0], [0], [0]], [[1/2], [17/10], [1/10], [13/10]], [[1/2], [9/10], [7/10], [-19/10]], [[1/2], [-33/10], [121/10], [33/10]]], 1, 60, [], [] >,
< [ -1, 1 ], [[726]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [-1/2], [7/2]], [[1/2], [-3/2], [-9/2], [-3/2]], [[1/2], [-13/2], [5/2], [9/2]]], [[[1], [0], [0], [0]], [[1/2], [9/10], [1/2], [-13/10]], [[0], [5], [4], [5]], [[0], [51/5], [-9], [18/5]]], 1, 40, [], [] >,
< [ -1, 1 ], [[605]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [1], [3/2], [-3/2]], [[0], [7/4], [-3/2], [-5/4]], [[0], [5/4], [1/2], [9/4]]], [[[1], [0], [0], [0]], [[1/2], [-5/8], [-1/4], [-9/8]], [[1/2], [-1], [-3/2], [3/2]], [[1/2], [-33/8], [11/4], [11/8]]], 1, 40, [], [] >,
< [ -1, 1 ], [[3630]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [-1], [-1]], [[0], [2], [-1/2], [-1/2]], [[0], [0], [11/2], [-11/2]]], [[[1], [0], [0], [0]], [[0], [1], [12/7], [1/7]], [[1/2], [1/2], [1/14], [45/14]], [[1/2], [9/2], [-12/7], [-1/7]]], 1, 80, [], [] >,
< [ -1, 1 ], [[1210]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-7/2], [-7/2], [-1/2]], [[0], [7], [-4], [1]], [[0], [1], [1], [8]]], [[[1], [0], [0], [0]], [[1/2], [-7/6], [-7/6], [-1/6]], [[0], [6], [-5], [-7]], [[0], [31/3], [-35/3], [28/3]]], 1, 60, [], [] >,
< [ -1, 1 ], [[5082]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [1/2], [3/2]], [[1/2], [-3/2], [5/2], [-7/2]], [[0], [2], [4], [1]]], [[[1], [0], [0], [0]], [[0], [3/5], [-1], [-4/5]], [[1/2], [47/10], [-1/2], [29/10]], [[0], [3], [6], [-4]]], 1, 120, [], [] >,
< [ -1, 1 ], [[1694]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [4], [1]], [[0], [6], [-5], [-4]], [[1/2], [-11/2], [11/2], [-11/2]]], [[[1], [0], [0], [0]], [[1/2], [35/6], [13/6], [17/6]], [[0], [7/3], [-4/3], [-23/3]], [[0], [1/3], [23/3], [-8/3]]], 1, 80, [], [] >,
< [ -1, 1 ], [[98]], [ -7 ], [ -1 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [7/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [1/3], [7/6], [-5/6]], [[1/2], [3/2], [0], [0]], [[0], [2/3], [-7/6], [-7/6]]], 1, 12, [], [] >,
< [ -1, 1 ], [[294]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [0]], [[1/2], [-1/2], [0], [-2]], [[1/2], [-1/2], [7/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [-9/10], [0], [6/5]], [[1/2], [-13/10], [0], [-8/5]], [[0], [2/5], [-7/2], [3/10]]], 1, 48, [], [] >,
< [ -1, 1 ], [[735]], [ -7 ], [ -15 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [7/2], [-1/2]]], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[1/2], [0], [7/2], [0]]], 1, 32, [], [] >,
< [ -1, 1 ], [[1470]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [-1/2], [1]], [[0], [0], [1], [1]], [[1/2], [-7/2], [-1/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [7/22], [-15/11], [-9/22]], [[1/2], [-35/22], [7/22], [1/22]], [[1/2], [-7/11], [27/22], [-24/11]]], 1, 64, [], [] >,
< [ -1, 1 ], [[245]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[1/2], [-3/2], [0], [1]], [[0], [0], [7/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [7/4], [3/4]], [[1/2], [-1/2], [0], [2]], [[1/2], [5/2], [0], [0]]], 1, 24, [], [] >,
< [ -1, 1 ], [[1470]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[1/2], [-3/2], [-7/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [7/22], [37/22]], [[0], [0], [21/11], [-10/11]], [[1/2], [9/2], [7/22], [37/22]]], 1, 48, [], [] >,
< [ -1, 1 ], [[147]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [1/2], [1/2]], [[1/2], [5/2], [1], [1]], [[0], [0], [7/2], [-7/2]]], [[[1], [0], [0], [0]], [[0], [3/2], [1/4], [1/4]], [[0], [1/2], [5/4], [5/4]], [[1/2], [1/2], [3], [-4]]], 1, 8, [], [] >,
< [ -1, 1 ], [[294]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [-1/2], [1/2]], [[0], [0], [7/2], [7/2]], [[1/2], [-9/2], [-5/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [1/5], [13/5], [1/5]], [[0], [12/5], [-3/10], [-11/10]], [[1/2], [3/10], [2/5], [19/5]]], 1, 24, [], [] >,
< [ -1, 1 ], [[294]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [1/2], [-3/2]], [[1/2], [-1/2], [-3/2], [-5/2]], [[0], [5], [-6], [4]]], [[[1], [0], [0], [0]], [[0], [3], [2], [1]], [[0], [2/5], [-3], [-11/5]], [[1/2], [-7/10], [7/2], [-49/10]]], 1, 16, [], [] >,
< [ -1, 1 ], [[1470]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1/2], [3/2]], [[0], [0], [2], [-1]], [[1/2], [-7/2], [0], [0]]], [[[1], [0], [0], [0]], [[1/2], [-7/22], [21/22], [21/22]], [[0], [28/11], [-3/22], [19/22]], [[0], [21/11], [61/22], [-27/22]]], 1, 32, [], [] >,
< [ -1, 1 ], [[490]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [3]], [[0], [2], [1], [-4]], [[1/2], [5/2], [-15/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [1/6], [-17/6], [5/6]], [[0], [2], [1], [3]], [[0], [31/3], [-2/3], [-13/3]]], 1, 24, [], [] >,
< [ -1, 1 ], [[735]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [2], [2]], [[0], [4], [1/2], [1/2]], [[0], [0], [7/2], [-7/2]]], [[[1], [0], [0], [0]], [[0], [1/2], [9/4], [9/4]], [[0], [4], [1/2], [1/2]], [[1/2], [2], [15/4], [-13/4]]], 1, 48, [], [] >,
< [ -1, 1 ], [[3234]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[1/2], [-1/2], [7/2], [-3/2]], [[0], [4], [0], [3]]], [[[1], [0], [0], [0]], [[0], [4/5], [0], [3/5]], [[1/2], [-5/2], [7/2], [5/2]], [[0], [12/5], [7], [-16/5]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1078]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [4]], [[1/2], [-15/2], [-5/2], [3/2]], [[0], [6], [-5], [-4]]], [[[1], [0], [0], [0]], [[1/2], [-17/6], [-1/6], [-5/6]], [[1/2], [1/2], [19/2], [-3/2]], [[1/2], [-13/6], [19/6], [53/6]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1274]], [ -182 ], [ -11 ], [[[0], [0], [7/11], [-1/11]], [[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1/2], [1/2], [7/22], [-1/22]]], [[[0], [1/2], [14/33], [7/66]], [[0], [0], [7/33], [-23/33]], [[1/2], [1/2], [7/66], [-23/66]], [[1/2], [-1/2], [7/66], [-23/66]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1666]], [ -238 ], [ -11 ], [[[1/2], [0], [7/22], [-1/11]], [[1/2], [0], [-7/22], [1/11]], [[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]]], [[[0], [1/6], [-14/33], [-1/22]], [[1/2], [1/3], [7/66], [-4/11]], [[1/2], [-1/3], [-7/66], [4/11]], [[0], [2/3], [7/33], [3/11]]], 1, 64, [], [] >,
< [ -1, 1 ], [[28322]], [ -238 ], [ -11 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[1/2], [0], [119/22], [5/11]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3/2], [0], [-1/2]], [[1/2], [1/3], [-119/66], [2/11]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[16562]], [ -182 ], [ -11 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[1/2], [0], [-91/22], [1/11]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [0], [-91/66], [1/33]], [[0], [1/2], [0], [-3/2]]], 1, 672, [], [] >,
< [ -1, 1 ], [[35574]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [9/2], [7/2], [-1/2]], [[0], [2], [-7], [1]], [[0], [0], [0], [11]]], [[[1], [0], [0], [0]], [[1/2], [-23/10], [-7/2], [-61/10]], [[1/2], [-13/2], [7/2], [-1/2]], [[0], [12/5], [7], [-16/5]]], 1, 960, [], [] >,
< [ -1, 1 ], [[11858]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-5], [-4]], [[1/2], [19/2], [-3/2], [13/2]], [[0], [15], [26], [-10]]], [[[1], [0], [0], [0]], [[1/2], [37/6], [59/6], [1/6]], [[1/2], [7/2], [7/2], [21/2]], [[1/2], [-43/2], [23/2], [3/2]]], 1, 480, [], [] >,
< [ -1, 1 ], [[343]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-1]], [[1/2], [1/2], [0], [2]], [[0], [1], [7/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [-1]], [[0], [3], [0], [1]], [[1/2], [3/2], [7/2], [1/2]]], 1, 28, [], [] >,
< [ -1, 1 ], [[2058]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [-7/2], [7/2]], [[1/2], [1/2], [-7/2], [-7/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[1/2], [1/2], [7/2], [-1/2]], [[0], [4], [0], [3]]], 1, 56, [], [] >,
< [ -1, 1 ], [[1029]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [-7/2], [-3/2]], [[1/2], [7/2], [7/2], [-7/2]]], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]], [[0], [0], [7/2], [7/2]], [[1/2], [-1/2], [-7/2], [7/2]]], 1, 112, [], [] >,
< [ -1, 1 ], [[3430]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [3/2], [-1]], [[1/2], [0], [1/2], [2]], [[0], [7/2], [1], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[1/2], [0], [-3/2], [-2]], [[1/2], [7/2], [1/2], [-1/2]]], 1, 112, [], [] >,
< [ -1, 1 ], [[50]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [3/2], [-1/2]], [[1/2], [3/2], [-1/2], [-3/2]], [[0], [3], [-1], [2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [5/2], [-1/2], [-5/2]], [[1/2], [-5/2], [-1/2], [-5/2]]], 2, 3, [], [] >,
< [ -1, 1 ], [[50]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[1/2], [1/2], [-5/2], [-1/2]], [[0], [3], [0], [2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-1/2], [1/2]], [[1/2], [3/2], [3/2], [7/2]], [[1/2], [-7/2], [3/2], [-3/2]]], 1, 3, [], [] >,
< [ -1, 1 ], [[1250]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [-5/2], [5/2]], [[0], [0], [5], [5]], [[1/2], [15/2], [-15/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [5], [0]], [[1/2], [-5/2], [5/2], [25/2]]], 0, 50, [], [] >,
< [ -1, 1 ], [[1250]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [5/2], [-5/2]], [[1/2], [5/2], [-5/2], [-5/2]], [[1/2], [-25/2], [5/2], [-25/2]]], [[[1], [0], [0], [0]], [[0], [5], [-5], [0]], [[0], [0], [5], [-5]], [[1/2], [-15/2], [-5/2], [-5/2]]], 0, 50, [], [] >,
< [ -1, 1 ], [[75]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [-5/4], [0], [1/4]], [[1/2], [0], [-1/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [5/4], [-1/2], [-1/4]], [[1/2], [0], [1/2], [3/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[150]], [ -2 ], [ -5 ], [[[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[0], [5/4], [-3/2], [-3/4]], [[0], [5/2], [1], [1/2]]], [[[1], [0], [0], [0]], [[0], [25/28], [1/2], [13/28]], [[1/2], [15/28], [0], [-51/28]], [[1/2], [-5/7], [3/2], [-15/14]]], 1, 24, [], [] >,
< [ -1, 1 ], [[150]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [-3/2], [1/2]], [[0], [1], [-1/2], [-3/2]], [[1/2], [-7/2], [-2], [-1]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [1], [-2]], [[1/2], [27/14], [19/14], [1/2]], [[1/2], [1/14], [37/14], [3/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[525]], [ -7 ], [ -15 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[1/2], [-5/2], [0], [0]]], [[[1/2], [0], [1/2], [0]], [[1/2], [0], [-1/2], [0]], [[0], [0], [0], [1]], [[0], [5/2], [0], [-1/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[1050]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [-1/2], [1]], [[0], [0], [1], [1]], [[1/2], [-5/2], [-1/2], [-1/2]]], [[[0], [15/22], [4/11], [-13/22]], [[1], [0], [0], [0]], [[1/2], [10/11], [-15/22], [6/11]], [[1/2], [15/22], [41/22], [53/22]]], 1, 48, [], [] >,
< [ -1, 1 ], [[175]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[1/2], [-3/2], [1], [-1]], [[0], [0], [5/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[1/2], [1/2], [7/4], [3/4]], [[1/2], [3/2], [-1], [1]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1050]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[1/2], [-1/2], [-5/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [1], [-20/11], [-2/11]], [[0], [2], [10/11], [1/11]], [[1/2], [-1/2], [-35/22], [57/22]]], 1, 24, [], [] >,
< [ -1, 1 ], [[1050]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1/2], [3/2]], [[0], [0], [2], [-1]], [[1/2], [-5/2], [0], [0]]], [[[1], [0], [0], [0]], [[0], [10/11], [17/22], [-5/22]], [[1/2], [25/22], [-31/22], [-9/22]], [[0], [10/11], [-5/22], [83/22]]], 1, 32, [], [] >,
< [ -1, 1 ], [[350]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [0]], [[1/2], [7/2], [1/2], [-5/2]], [[1/2], [-11/2], [-3/2], [-15/2]]], [[[1], [0], [0], [0]], [[1/2], [1/6], [-17/6], [5/6]], [[0], [8/3], [-1/3], [-5/3]], [[0], [19/3], [7/3], [20/3]]], 1, 16, [], [] >,
< [ -1, 1 ], [[525]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [-2], [1]], [[0], [1], [1/2], [7/2]], [[0], [3], [-7/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [3/2], [-7/4], [1/4]], [[1/2], [-3/2], [-2], [1]], [[0], [1/2], [11/4], [27/4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[550]], [ -110 ], [ -3 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[1/2], [0], [-5/6], [-1/3]]], [[[0], [1/6], [-5/9], [-1/18]], [[1/2], [-1/6], [-5/18], [-5/18]], [[1/2], [1/3], [-5/18], [2/9]], [[0], [4/3], [5/9], [-13/9]]], 1, 20, [], [] >,
< [ -1, 1 ], [[1650]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [3/2], [-1/2]], [[1/2], [3/2], [-1/2], [-3/2]], [[0], [3], [-1], [2]]], [[[1], [0], [0], [0]], [[1/2], [-9/14], [13/14], [-3/2]], [[1/2], [-37/14], [-1/14], [1/2]], [[1/2], [-19/14], [-27/14], [-3/2]]], 1, 40, [], [] >,
< [ -1, 1 ], [[275]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [5/4], [1], [-1/4]], [[1/2], [5/4], [-1], [-5/4]], [[0], [5/4], [-3/2], [5/4]]], [[[1], [0], [0], [0]], [[1/2], [5/8], [1/4], [9/8]], [[0], [15/8], [-3/4], [-1/8]], [[0], [5/8], [11/4], [-3/8]]], 1, 24, [], [] >,
< [ -1, 1 ], [[1650]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-1/2]], [[1/2], [-5/2], [0], [-1]], [[0], [0], [1/2], [7/2]]], [[[0], [0], [1/7], [-4/7]], [[1], [0], [0], [0]], [[1/2], [5/2], [57/14], [17/14]], [[0], [5], [-11/14], [-5/14]]], 1, 48, [], [] >,
< [ -1, 1 ], [[550]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [-5/2], [1/2]], [[1/2], [13/2], [-5/2], [-1/2]], [[1/2], [1/2], [5/2], [13/2]]], [[[1], [0], [0], [0]], [[0], [4/3], [-5/3], [7/3]], [[0], [11/3], [-10/3], [-7/3]], [[1/2], [-35/6], [-35/6], [-5/6]]], 1, 24, [], [] >,
< [ -1, 1 ], [[650]], [ -2 ], [ -65 ], [[[1/2], [0], [1/2], [1/2]], [[1/2], [0], [-1/2], [1/2]], [[1/2], [0], [-1/2], [-1/2]], [[0], [5/2], [0], [-1/2]]], [[[0], [5/6], [0], [1/6]], [[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [0], [1/2], [3/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[1950]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [3/2]], [[1/2], [-3/2], [0], [1/2]], [[1/2], [-1/2], [5/2], [1]]], [[[1], [0], [0], [0]], [[0], [8/7], [5/14], [13/14]], [[1/2], [11/14], [-25/14], [-1/7]], [[0], [1], [0], [-2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[2550]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [-5/2], [1/2], [1/2]], [[1/2], [-5/2], [-8], [0]]], [[[1], [0], [0], [0]], [[0], [0], [17/14], [19/14]], [[1/2], [5/2], [-1/2], [3/2]], [[1/2], [5/2], [27/14], [-39/14]]], 1, 72, [], [] >,
< [ -1, 1 ], [[950]], [ -5 ], [ -38 ], [[[1/2], [1/2], [0], [-1/2]], [[1/2], [-1/2], [0], [1/2]], [[1/2], [-1/2], [0], [-1/2]], [[0], [0], [5/2], [-1/2]]], [[[0], [1/3], [0], [-2/3]], [[1/2], [1/2], [0], [1/2]], [[1/2], [-1/2], [0], [-1/2]], [[1/2], [1/6], [5/2], [-1/3]]], 1, 36, [], [] >,
< [ -1, 1 ], [[950]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3], [0]], [[0], [5], [0], [-5]], [[1/2], [-15/2], [5/2], [-15/2]]], [[[1], [0], [0], [0]], [[1/2], [-5/6], [5/6], [-25/6]], [[1/2], [-29/6], [23/6], [5/6]], [[0], [3], [9], [0]]], 1, 40, [], [] >,
< [ -1, 1 ], [[18050]], [ -5 ], [ -38 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [5/2], [1/2]], [[1/2], [19/2], [0], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [5/2], [-3/2]], [[0], [0], [0], [3]], [[1/2], [-19/6], [0], [-7/6]]], 1, 720, [], [] >,
< [ -1, 1 ], [[18050]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [15/2], [-5/2], [15/2]], [[0], [9], [-3], [-10]], [[0], [5], [30], [5]]], [[[1], [0], [0], [0]], [[1/2], [-13/6], [-59/6], [25/6]], [[0], [2/3], [31/3], [40/3]], [[0], [24], [-8], [5]]], 1, 720, [], [] >,
< [ -1, 1 ], [[43350]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [-1], [0]], [[1/2], [5/2], [8], [0]], [[1/2], [5/2], [-1/2], [-17/2]]], [[[1], [0], [0], [0]], [[1/2], [-5/2], [41/14], [17/14]], [[1/2], [5/2], [-1/2], [17/2]], [[1/2], [15/2], [7], [0]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[8450]], [ -2 ], [ -65 ], [[[1/2], [0], [1/2], [1/2]], [[1/2], [0], [-1/2], [1/2]], [[1/2], [0], [-1/2], [-1/2]], [[0], [65/2], [0], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [0], [1/2], [3/2]], [[1/2], [65/6], [1/2], [2/3]]], 1, 336, [], [] >,
< [ -1, 1 ], [[25350]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-1/2]], [[1/2], [1/2], [0], [3/2]], [[0], [1], [-65/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [20/7], [65/14], [15/14]], [[1/2], [-65/14], [65/14], [-10/7]]], 1, 672, [], [] >,
< [ -1, 1 ], [[6050]], [ -110 ], [ -3 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[1/2], [0], [-55/6], [1/3]]], [[[0], [1/2], [0], [1/2]], [[1], [0], [0], [0]], [[0], [3/2], [0], [-3/2]], [[1/2], [2/3], [-55/18], [-5/9]]], 1, 240, [], [] >,
< [ -1, 1 ], [[18150]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [0], [5]], [[1/2], [-3/2], [11/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [5]], [[0], [4/7], [-33/7], [-2]], [[1/2], [-83/14], [11/14], [-1/2]]], 1, 480, [], [] >,
< [ -1, 1 ], [[3025]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/4], [1/2], [9/4]], [[1/2], [-5/2], [9/2], [1]], [[0], [5], [2], [-2]]], [[[1], [0], [0], [0]], [[1/2], [-5/8], [-1/4], [-9/8]], [[1/2], [5/2], [-9/2], [-1]], [[0], [35/4], [7/2], [-25/4]]], 1, 240, [], [] >,
< [ -1, 1 ], [[18150]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [-2], [-2]], [[0], [5], [3/2], [3/2]], [[0], [0], [11/2], [-11/2]]], [[[1], [0], [0], [0]], [[1/2], [-5/2], [-7/2], [-7/2]], [[0], [5], [-1/14], [-45/14]], [[0], [5], [-23/14], [43/14]]], 1, 480, [], [] >,
< [ -1, 1 ], [[6050]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [-5/2], [15/2]], [[1/2], [-7/2], [15/2], [-1/2]], [[1/2], [-37/2], [-15/2], [-21/2]]], [[[1], [0], [0], [0]], [[1/2], [35/6], [35/6], [5/6]], [[0], [6], [-5], [-7]], [[0], [31/3], [-35/3], [28/3]]], 1, 240, [], [] >,
< [ -1, 1 ], [[3675]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [-5/2], [0], [0]], [[0], [0], [7/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [5/2], [0], [1/2]], [[1/2], [0], [7/2], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[7350]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [-1/2], [1]], [[0], [0], [1], [1]], [[1/2], [35/2], [1/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [-35/22], [7/22], [1/22]], [[1/2], [0], [-3/2], [-3]], [[1/2], [35/22], [103/22], [-23/22]]], 1, 384, [], [] >,
< [ -1, 1 ], [[1225]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [0], [0]], [[0], [1], [7/2], [3/2]], [[0], [1], [7/2], [-7/2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [7/4], [3/4]], [[1/2], [5/2], [0], [0]], [[0], [1], [7/2], [-17/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[7350]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[1/2], [3/2], [35/2], [-1/2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [35/22], [-57/22]], [[0], [5], [0], [0]], [[1/2], [-3/2], [105/22], [71/22]]], 1, 192, [], [] >,
< [ -1, 1 ], [[7350]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1/2], [3/2]], [[0], [0], [2], [-1]], [[1/2], [35/2], [0], [0]]], [[[1], [0], [0], [0]], [[0], [35/11], [-45/22], [-23/22]], [[1/2], [35/22], [41/11], [-3/11]], [[0], [0], [1], [-4]]], 1, 192, [], [] >,
< [ -1, 1 ], [[2450]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [-5]], [[1/2], [13/2], [-11/2], [-5/2]], [[0], [2], [1], [10]]], [[[1], [0], [0], [0]], [[1/2], [1/6], [-17/6], [5/6]], [[0], [43/3], [4/3], [5/3]], [[0], [13/3], [-11/3], [-40/3]]], 1, 96, [], [] >,
< [ -1, 1 ], [[3675]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [-5/2], [-5/2]], [[1/2], [-3/2], [11/2], [-3/2]], [[1/2], [-17/2], [2], [9]]], [[[1], [0], [0], [0]], [[1/2], [-3/2], [11/2], [-3/2]], [[0], [15/2], [-5/4], [-5/4]], [[1/2], [1], [-3/4], [-31/4]]], 1, 192, [], [] >,
< [ -1, 1 ], [[17150]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [3/2], [-1]], [[1/2], [0], [1/2], [2]], [[0], [35/2], [-1], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[1/2], [0], [-3/2], [-2]], [[1/2], [-35/2], [1/2], [-1/2]]], 1, 672, [], [] >,
< [ -1, 1 ], [[250]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [0], [1/2], [-3/2]], [[1/2], [0], [-3/2], [-1/2]], [[1/2], [5/2], [1/2], [1]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [5/2], [1/2], [0]], [[1/2], [0], [-1/2], [-5/2]]], 1, 30, [], [] >,
< [ -1, 1 ], [[250]], [ -2 ], [ -5 ], [[[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[0], [5/2], [1], [3/2]], [[0], [5/2], [-1], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [5/2], [0], [1/2]], [[1/2], [0], [-5/2], [-1/2]]], 1, 30, [], [] >,
< [ -1, 1 ], [[375]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-1]], [[0], [1], [-5/2], [-1/2]], [[1/2], [5/2], [0], [5]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [-1]], [[0], [0], [5], [0]], [[0], [5], [5/2], [-5/2]]], 1, 20, [], [] >,
< [ -1, 1 ], [[750]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1], [-2]], [[0], [4], [1/2], [3/2]], [[1/2], [7/2], [-11/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [1], [-2]], [[1/2], [27/14], [19/14], [1/2]], [[0], [48/7], [-123/14], [-7/2]]], 1, 60, [], [] >,
< [ -1, 1 ], [[750]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [0]], [[1/2], [-3/2], [11/2], [-5/2]], [[1/2], [-3/2], [11/2], [25/2]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[1/2], [-9/2], [-7/2], [-5/2]], [[0], [2], [-4], [5]]], 1, 40, [], [] >,
< [ -1, 1 ], [[1750]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [1/2], [-1]], [[0], [0], [2], [1]], [[0], [5/2], [1], [1/2]]], [[[1/2], [0], [1/2], [0]], [[1/2], [0], [-1/2], [0]], [[0], [5/2], [0], [5/2]], [[0], [5/2], [0], [-5/2]]], 1, 60, [], [] >,
< [ -1, 1 ], [[1750]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[1/2], [0], [3/2], [1]], [[1/2], [5/2], [1/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [0], [-5/2], [0]], [[0], [5/2], [0], [-1/2]]], 1, 60, [], [] >,
< [ -1, 1 ], [[875]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1/2], [1/2]], [[0], [1], [-3/2], [-7/2]], [[1/2], [-1/2], [-3], [3]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [-3/4], [-7/4]], [[0], [0], [15/4], [-5/4]], [[0], [4], [-1], [1]]], 1, 60, [], [] >,
< [ -1, 1 ], [[5250]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-5/2], [-1/2]], [[1/2], [-3/2], [-5/2], [1/2]], [[0], [1], [0], [8]]], [[[1], [0], [0], [0]], [[0], [3], [-10/11], [-1/11]], [[1/2], [-1/2], [65/22], [67/22]], [[1/2], [3/2], [95/22], [-51/22]]], 1, 120, [], [] >,
< [ -1, 1 ], [[2750]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [13/2], [-5/2], [-1/2]], [[1/2], [-7/2], [-15/2], [-11/2]], [[0], [4], [5], [-8]]], [[[1], [0], [0], [0]], [[0], [7/3], [-5/3], [-14/3]], [[1/2], [-35/6], [-35/6], [-5/6]], [[0], [9], [-10], [7]]], 1, 120, [], [] >,
< [ -1, 1 ], [[30250]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [19/2], [-25/2], [-13/2]], [[1/2], [-3/2], [-25/2], [31/2]], [[1/2], [35/2], [35/2], [5/2]]], [[[1], [0], [0], [0]], [[1/2], [35/6], [35/6], [5/6]], [[0], [13/3], [-20/3], [49/3]], [[0], [103/3], [-95/3], [-56/3]]], 1, 1200, [], [] >,
< [ -1, 1 ], [[12250]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [1/2], [-1]], [[0], [0], [2], [1]], [[0], [35/2], [1], [1/2]]], [[[1/2], [0], [1/2], [0]], [[1/2], [0], [-1/2], [0]], [[0], [0], [0], [5]], [[0], [35/2], [0], [5/2]]], 1, 480, [], [] >,
< [ -1, 1 ], [[12250]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[1/2], [0], [3/2], [1]], [[1/2], [35/2], [1/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [0], [-5/2], [0]], [[0], [35/2], [0], [-1/2]]], 1, 480, [], [] >,
< [ -1, 1 ], [[6125]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [7/2], [-7/2]], [[1/2], [-7/2], [-7/2], [-3/2]], [[0], [4], [-7/2], [-13/2]]], [[[1], [0], [0], [0]], [[1/2], [-9/2], [7/4], [3/4]], [[1/2], [-7/2], [-7/2], [-3/2]], [[1/2], [3/2], [21/4], [-31/4]]], 1, 480, [], [] >,
< [ -1, 1 ], [[36750]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [3]], [[0], [8], [0], [-1]], [[1/2], [1/2], [-35/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [4], [-35/11], [57/11]], [[0], [4], [70/11], [7/11]], [[1/2], [13/2], [-105/22], [-71/22]]], 1, 960, [], [] >,
< [ -1, 1 ], [[27]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [-1/2], [1/2]], [[0], [1], [1/2], [-1/2]], [[0], [0], [3/2], [3/2]]], [[[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]], [[0], [0], [3/2], [3/2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[486]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [3/2]], [[1/2], [-3/2], [-3/2], [3/2]], [[0], [0], [9/2], [9/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3], [-3]], [[1/2], [9/2], [3/2], [-3/2]]], 0, 54, [], [] >,
< [ -1, 1 ], [[486]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [-3/2], [3/2]], [[1/2], [-3/2], [0], [-3]], [[1/2], [-3/2], [9/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[1/2], [-3/2], [3/2], [-3/2]], [[0], [6], [3], [-3]]], 0, 54, [], [] >,
< [ -1, 1 ], [[486]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [9/2], [3/2], [-3/2]], [[1/2], [3/2], [-9/2], [3/2]], [[1/2], [-3/2], [-3/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [3], [3], [0]], [[0], [0], [3], [-3]], [[1/2], [-9/2], [9/2], [9/2]]], 0, 18, [], [] >,
< [ -1, 1 ], [[54]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-3/2]], [[0], [1], [-2], [0]], [[1/2], [-7/2], [-1/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[1/2], [3/2], [-3/2], [-3/2]], [[0], [3], [2], [1]]], 2, 3, [], [] >,
< [ -1, 1 ], [[45]], [ -2 ], [ -5 ], [[[1/2], [1/4], [0], [3/4]], [[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [-1/2], [3/2], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [3/4], [0], [-3/4]], [[0], [3/4], [-1/2], [3/4]]], 2, 4, [], [] >,
< [ -1, 1 ], [[405]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [0]], [[1/2], [0], [-3/2], [-3/2]], [[0], [3/4], [3/2], [-9/4]]], [[[1], [0], [0], [0]], [[1/2], [3/4], [0], [-3/4]], [[0], [3/4], [-3/2], [3/4]], [[0], [3], [3], [3]]], 0, 24, [], [] >,
< [ -1, 1 ], [[90]], [ -2 ], [ -5 ], [[[1/2], [1/2], [-1/2], [0]], [[1/2], [-1/2], [1/2], [0]], [[0], [1/2], [1], [3/2]], [[0], [1/2], [1], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3/2], [0], [1/2]], [[1/2], [0], [3/2], [-1/2]]], 1, 6, [], [] >,
< [ -1, 1 ], [[810]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [-3/2], [0]], [[0], [0], [0], [3]], [[1/2], [-3], [3/2], [3/2]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [0]], [[1/2], [-3/2], [-3/2], [0]], [[1/2], [0], [-3/2], [9/2]]], 0, 72, [], [] >,
< [ -1, 1 ], [[270]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[0], [1], [-1/2], [1/2]], [[0], [0], [3/2], [3/2]]], [[[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]], [[0], [0], [3/2], [3/2]]], 1, 6, [], [] >,
< [ -1, 1 ], [[45]], [ -2 ], [ -5 ], [[[0], [1/2], [0], [1/2]], [[1], [0], [0], [0]], [[1/2], [-3/4], [0], [3/4]], [[0], [1/4], [3/2], [1/4]]], [[[1/2], [1/4], [0], [1/4]], [[1/2], [-1/4], [0], [-1/4]], [[0], [3/4], [3/2], [-3/4]], [[0], [3/4], [-3/2], [-3/4]]], 1, 4, [], [] >,
< [ -1, 1 ], [[90]], [ -2 ], [ -5 ], [[[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[1/2], [3/4], [1], [5/4]], [[0], [3/2], [-1], [-1/2]]], [[[0], [9/28], [1/2], [-11/28]], [[1], [0], [0], [0]], [[1/2], [3/28], [1], [29/28]], [[1/2], [-27/14], [1/2], [-8/7]]], 1, 8, [], [] >,
< [ -1, 1 ], [[90]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [1/2], [-3/2]], [[1/2], [-3/2], [1/2], [-3/2]], [[1/2], [-3/2], [-9/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [3/2], [-9/2]], [[1/2], [1/2], [-9/2], [-3/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[90]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-3/2]], [[1/2], [-5/2], [1/2], [-3/2]], [[1/2], [-3/2], [-9/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [2]], [[0], [3], [0], [0]], [[1/2], [-3/2], [-5/2], [5/2]]], 2, 6, [], [] >,
< [ -1, 1 ], [[810]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[1/2], [3/2], [3/2], [-9/2]], [[1/2], [3/2], [27/2], [9/2]]], [[[1], [0], [0], [0]], [[1/2], [9/2], [-9/2], [-3/2]], [[1/2], [-9/2], [-9/2], [-3/2]], [[0], [0], [3], [6]]], 0, 36, [], [] >,
< [ -1, 1 ], [[810]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [9/2]], [[1/2], [9/2], [-9/2], [-3/2]], [[1/2], [-9/2], [-9/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [6], [-3]], [[1/2], [3/2], [15/2], [15/2]]], 0, 36, [], [] >,
< [ -1, 1 ], [[1215]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [3/2], [-3/2]], [[1/2], [-3/2], [-3], [-3]], [[1/2], [-9/2], [9/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[1/2], [3/2], [-3/2], [-9/2]], [[1/2], [-15/2], [0], [0]]], 0, 108, [], [] >,
< [ -1, 1 ], [[90]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [-3/2], [1/2]], [[1/2], [-3/2], [0], [-1]], [[0], [2], [0], [-2]]], [[[1], [0], [0], [0]], [[0], [6/7], [3/14], [3/2]], [[1/2], [-11/14], [-15/14], [3/2]], [[0], [13/7], [-9/7], [-1]]], 1, 12, [], [] >,
< [ -1, 1 ], [[2430]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [3]], [[1/2], [-9/2], [3/2], [15/2]], [[0], [6], [3], [9]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [9/2], [-3/2]], [[1/2], [-9/2], [3/2], [-3/2]], [[1/2], [-15/2], [15/2], [45/2]]], 0, 108, [], [] >,
< [ -1, 1 ], [[2430]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [9/2], [-3/2]], [[0], [9], [-3], [-6]], [[0], [6], [3], [9]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[1/2], [-3/2], [-9/2], [-15/2]], [[1/2], [15/2], [-15/2], [9/2]]], 0, 108, [], [] >,
< [ -1, 1 ], [[3402]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [-3/2]], [[1/2], [-3/2], [3/2], [-3/2]], [[1/2], [-9/2], [-9/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [3], [0]], [[1/2], [-3/2], [-3/2], [9/2]]], 0, 108, [], [] >,
< [ -1, 1 ], [[3402]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [3/2]], [[0], [3], [0], [-3]], [[0], [0], [3], [3]]], [[[1], [0], [0], [0]], [[1/2], [-3/2], [3/2], [-3/2]], [[1/2], [-3/2], [-3/2], [-3/2]], [[1/2], [-9/2], [3/2], [9/2]]], 0, 108, [], [] >,
< [ -1, 1 ], [[1701]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [3/2], [-3/2]], [[0], [3], [-3], [0]], [[0], [3], [3/2], [9/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[1/2], [-3/2], [-3/2], [3/2]], [[0], [9], [-9/2], [9/2]]], 0, 108, [], [] >,
< [ -1, 1 ], [[126]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [0]], [[1/2], [1/2], [1], [1]], [[0], [0], [3/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [7/10], [1/2], [-1/10]], [[0], [1/5], [-1/2], [-11/10]], [[0], [12/5], [-3], [9/5]]], 1, 12, [], [] >,
< [ -1, 1 ], [[630]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [1], [-1/2], [0]], [[0], [1], [1], [0]], [[1/2], [-1/2], [-1/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [0], [-3/2], [0]], [[0], [3/2], [0], [1/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[5670]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [3/2]], [[1/2], [3/2], [-3/2], [-3/2]], [[1/2], [-3], [-3/2], [0]]], [[[1], [0], [0], [0]], [[1/2], [0], [-3/2], [0]], [[0], [3], [0], [0]], [[0], [3/2], [0], [-9/2]]], 0, 144, [], [] >,
< [ -1, 1 ], [[315]], [ -7 ], [ -15 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]]], [[[1/2], [0], [1/2], [0]], [[1/2], [0], [-1/2], [0]], [[0], [0], [0], [1]], [[0], [3/2], [0], [-1/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[630]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [-1/2], [1]], [[0], [0], [1], [1]], [[1/2], [3/2], [1/2], [1/2]]], [[[0], [15/22], [4/11], [-13/22]], [[1], [0], [0], [0]], [[0], [9/22], [-2/11], [23/22]], [[1/2], [9/11], [-41/22], [-10/11]]], 1, 16, [], [] >,
< [ -1, 1 ], [[630]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [-3/2], [3/2]], [[1/2], [-3/2], [3/2], [1/2]], [[1/2], [-3/2], [-3/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [9/22], [13/22]], [[0], [0], [21/11], [-10/11]], [[1/2], [-7/2], [27/22], [39/22]]], 1, 24, [], [] >,
< [ -1, 1 ], [[1134]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [-3/2]], [[1/2], [-9/2], [3/2], [-9/2]], [[1/2], [-21/2], [-27/2], [3/2]]], [[[1], [0], [0], [0]], [[1/2], [9/2], [-3/2], [9/2]], [[0], [3], [6], [3]], [[1/2], [-9/2], [9/2], [9/2]]], 0, 48, [], [] >,
< [ -1, 1 ], [[126]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [-3/2]], [[0], [3], [1], [2]], [[1/2], [3/2], [-5/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[1/2], [3/2], [-3/2], [-3/2]], [[1/2], [-5/2], [-9/2], [5/2]]], 2, 8, [], [] >,
< [ -1, 1 ], [[63]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [0], [3/2], [-1/2]], [[1/2], [-3/2], [0], [2]]], [[[1/2], [0], [3/4], [-1/4]], [[1/2], [0], [-3/4], [1/4]], [[0], [5/2], [-3/4], [-3/4]], [[0], [1/2], [-3/4], [-11/4]]], 1, 8, [], [] >,
< [ -1, 1 ], [[126]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-3/2], [-3/2]], [[1/2], [3/2], [-3/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [2/5], [-3/10], [9/10]], [[0], [12/5], [-3/10], [-11/10]], [[1/2], [17/10], [18/5], [1/5]]], 1, 16, [], [] >,
< [ -1, 1 ], [[126]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[1/2], [-1/2], [-1/2], [5/2]], [[0], [4], [4], [1]]], [[[1], [0], [0], [0]], [[1/2], [1/10], [-1/2], [7/10]], [[0], [19/5], [-4], [-17/5]], [[0], [13/5], [5], [16/5]]], 1, 8, [], [] >,
< [ -1, 1 ], [[630]], [ -3 ], [ -10 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [3/2], [-5/2]], [[0], [0], [3], [2]]], [[[1], [0], [0], [0]], [[0], [1/11], [27/22], [-17/22]], [[1/2], [-7/22], [21/22], [21/22]], [[0], [28/11], [-3/22], [19/22]]], 1, 32, [], [] >,
< [ -1, 1 ], [[315]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[1/2], [3/2], [-3/2], [5/2]], [[0], [3], [9/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [1/2], [9/4], [9/4]], [[1/2], [-5/2], [3/2], [-3/2]], [[1/2], [0], [-15/4], [5/4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[198]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[1/2], [1/2], [-3/2], [1/2]]], [[[1/2], [1/10], [3/10], [-1/10]], [[1/2], [-1/10], [-3/10], [1/10]], [[0], [1], [0], [1]], [[0], [13/5], [-6/5], [-8/5]]], 1, 12, [], [] >,
< [ -1, 1 ], [[990]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[1/2], [1/2], [3/2], [-1/2]], [[1/2], [-3/2], [3/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [3/7], [12/7], [0]], [[1/2], [-13/14], [-3/14], [-3/2]], [[1/2], [33/14], [-15/14], [-1/2]]], 1, 40, [], [] >,
< [ -1, 1 ], [[198]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [-3/2], [1/2]], [[1/2], [-3/2], [3/2], [-5/2]], [[1/2], [9/2], [-9/2], [-7/2]]], [[[1], [0], [0], [0]], [[0], [1], [-3], [0]], [[0], [1], [0], [-3]], [[1/2], [-9/2], [-3/2], [-3/2]]], 1, 6, [], [] >,
< [ -1, 1 ], [[1782]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-9/2], [-9/2], [3/2]], [[1/2], [-3/2], [-9/2], [-15/2]], [[1/2], [-9/2], [9/2], [-15/2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[1/2], [-9/2], [-3/2], [-3/2]], [[0], [9], [-15], [-12]]], 0, 72, [], [] >,
< [ -1, 1 ], [[198]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [-3/2], [3/2]], [[1/2], [-3/2], [3/2], [3/2]], [[1/2], [5/2], [3/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [-3/10], [-9/10], [-17/10]], [[1/2], [-1/2], [3/2], [-3/2]], [[0], [4], [0], [-1]]], 1, 24, [], [] >,
< [ -1, 1 ], [[198]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [5/2], [-5/2]], [[1/2], [-5/2], [5/2], [1/2]], [[0], [4], [2], [1]]], [[[1], [0], [0], [0]], [[0], [7/5], [-2], [1/5]], [[0], [16/5], [1], [13/5]], [[1/2], [27/10], [3/2], [-39/10]]], 1, 8, [], [] >,
< [ -1, 1 ], [[990]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-1/2]], [[1/2], [1/2], [0], [-2]], [[1/2], [-5/2], [0], [-1]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-9/14], [-13/14]], [[1/2], [-1/2], [-15/14], [11/14]], [[0], [4], [-33/14], [-15/14]]], 1, 32, [], [] >,
< [ -1, 1 ], [[1386]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [3/2], [-1/2]], [[1/2], [1/2], [-3/2], [-3/2]], [[1/2], [-9/2], [3/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [4/5], [0], [3/5]], [[1/2], [13/10], [-3/2], [-9/10]], [[0], [3], [6], [-4]]], 1, 48, [], [] >,
< [ -1, 1 ], [[6318]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [-3/2], [0]], [[1/2], [-3/2], [0], [-3/2]], [[0], [3], [-3], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [3], [0], [0]], [[1/2], [3/2], [-3], [-3/2]]], 0, 216, [], [] >,
< [ -1, 1 ], [[117]], [ -2 ], [ -13 ], [[[1/2], [1/2], [1/2], [0]], [[1/2], [-1/2], [-1/2], [0]], [[0], [1/4], [-1/2], [-3/4]], [[0], [3/4], [-3/2], [3/4]]], [[[0], [7/8], [-1/4], [3/8]], [[1], [0], [0], [0]], [[1/2], [3/4], [0], [-3/4]], [[0], [1/8], [5/4], [-3/8]]], 1, 8, [], [] >,
< [ -1, 1 ], [[1170]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [-3/2], [0], [1/2]], [[0], [0], [1/2], [-5/2]]], [[[1], [0], [0], [0]], [[1/2], [15/14], [-1/14], [5/7]], [[1/2], [-3/14], [-9/7], [-9/14]], [[1/2], [15/14], [3/7], [-25/14]]], 1, 48, [], [] >,
< [ -1, 1 ], [[234]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [3/2], [-3/2]], [[0], [2], [2], [-1]], [[1/2], [-5/2], [7/2], [13/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/10], [-7/10], [1/2]], [[0], [29/5], [-22/5], [-5]], [[0], [14/5], [23/5], [7]]], 1, 12, [], [] >,
< [ -1, 1 ], [[306]], [ -3 ], [ -34 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3/2], [1/2]]], [[[0], [4/5], [-3/10], [1/10]], [[1], [0], [0], [0]], [[1/2], [-1/10], [-9/10], [3/10]], [[0], [2/5], [3/5], [4/5]]], 1, 16, [], [] >,
< [ -1, 1 ], [[153]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [-2]], [[0], [2], [3/2], [-1/2]], [[0], [2], [-3/2], [-1/2]]], [[[1], [0], [0], [0]], [[1/2], [-1], [-3/4], [1/4]], [[0], [3/2], [-9/4], [7/4]], [[0], [1/2], [-9/4], [-9/4]]], 1, 12, [], [] >,
< [ -1, 1 ], [[306]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [-2]], [[0], [3], [3], [0]], [[1/2], [-9/2], [3/2], [-9/2]]], [[[1], [0], [0], [0]], [[1/2], [-7/2], [1/10], [7/10]], [[0], [0], [21/5], [-3/5]], [[0], [1], [-7/5], [26/5]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1530]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [1], [3/2], [1/2]], [[1/2], [-11/2], [9/2], [-1/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [15/14], [11/14]], [[0], [2], [-9/14], [13/14]], [[0], [2], [3], [-2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[342]], [ -19 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]]], [[[1/2], [3/10], [3/10], [1/2]], [[1/2], [3/10], [3/10], [-1/2]], [[1/2], [-3/10], [-3/10], [1/2]], [[0], [6/5], [-13/10], [-1/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[171]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[0], [1], [-1/2], [1/2]], [[0], [0], [3/2], [3/2]]], [[[0], [1/2], [-1/4], [1/4]], [[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[1/2], [-1/2], [1], [2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[207]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [-1]], [[1/2], [5/2], [-3/2], [-3/2]], [[1/2], [3/2], [9/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[0], [3/2], [3/2], [-2]], [[1/2], [1], [-3], [1/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[414]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-5/2], [5/2]], [[1/2], [9/2], [-3/2], [-3/2]], [[1/2], [-9/2], [-3/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [16/5], [-13/5], [2]], [[1/2], [21/10], [-3/10], [-9/2]], [[1/2], [-13/10], [-41/10], [-5/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[522]], [ -10 ], [ -174 ], [[[0], [0], [0], [1/2]], [[1/2], [0], [0], [-1/4]], [[0], [3/10], [1/2], [1/5]], [[0], [3/10], [-1/2], [1/5]]], [[[1/2], [6/25], [0], [1/100]], [[1/2], [-6/25], [0], [-1/100]], [[0], [3/25], [0], [-31/50]], [[1/2], [3/50], [-1/2], [-31/100]]], 1, 24, [], [] >,
< [ -1, 1 ], [[558]], [ -10 ], [ -186 ], [[[0], [0], [0], [1/2]], [[0], [3/10], [1/2], [1/10]], [[1/2], [3/10], [0], [-3/20]], [[1/2], [-3/10], [0], [3/20]]], [[[0], [12/25], [0], [3/50]], [[0], [3/50], [1/2], [8/25]], [[0], [3/50], [-1/2], [8/25]], [[1/2], [-9/50], [0], [29/100]]], 1, 20, [], [] >,
< [ -1, 1 ], [[666]], [ -222 ], [ -13 ], [[[0], [0], [3/13], [2/13]], [[0], [1/2], [3/13], [-9/26]], [[1/2], [0], [9/26], [-7/26]], [[1/2], [0], [-3/26], [11/26]]], [[[0], [1/10], [-12/65], [23/130]], [[0], [0], [3/13], [2/13]], [[1/2], [7/10], [27/130], [-17/65]], [[1/2], [-7/10], [-27/130], [17/65]]], 1, 24, [], [] >,
< [ -1, 1 ], [[24642]], [ -222 ], [ -13 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[1/2], [0], [-111/26], [-9/26]]], [[[1], [0], [0], [0]], [[1/2], [3/5], [111/130], [-17/130]], [[1/2], [-9/10], [111/130], [24/65]], [[0], [1/2], [0], [3/2]]], 1, 912, [], [] >,
< [ -1, 1 ], [[17298]], [ -10 ], [ -186 ], [[[0], [0], [0], [1/2]], [[1/2], [0], [1/2], [-1/4]], [[1/2], [0], [-1/2], [1/4]], [[1/2], [-93/10], [0], [3/20]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [0], [1/2], [5/4]], [[0], [93/50], [1/2], [-2/25]]], 1, 640, [], [] >,
< [ -1, 1 ], [[15138]], [ -10 ], [ -174 ], [[[0], [0], [0], [1/2]], [[1/2], [0], [0], [1/4]], [[0], [0], [1], [0]], [[0], [87/10], [-1/2], [-1/5]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [0], [0], [5/4]], [[0], [87/50], [-1/2], [-6/25]]], 1, 560, [], [] >,
< [ -1, 1 ], [[4761]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [3], [-2]], [[1/2], [7/2], [-6], [4]], [[1/2], [3/2], [-15/2], [-13/2]]], [[[1], [0], [0], [0]], [[0], [4], [3], [-2]], [[0], [11/2], [-9/2], [3]], [[1/2], [3/2], [-15/2], [-13/2]]], 1, 352, [], [] >,
< [ -1, 1 ], [[9522]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-19/2], [1/2], [11/2]], [[0], [5], [7], [8]], [[1/2], [23/2], [-23/2], [23/2]]], [[[1], [0], [0], [0]], [[0], [4/5], [-22/5], [-7]], [[1/2], [29/2], [13/2], [5/2]], [[0], [14/5], [-77/5], [10]]], 1, 352, [], [] >,
< [ -1, 1 ], [[6498]], [ -19 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [-3/2], [0], [0]], [[0], [0], [19/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3/5], [-19/10], [1/2]], [[1/2], [-69/10], [-19/10], [1/2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[3249]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [0]], [[0], [0], [0], [3]], [[1/2], [-1/2], [-19/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[1/2], [3/2], [0], [-3]], [[0], [1/2], [-19/4], [-5/4]]], 1, 240, [], [] >,
< [ -1, 1 ], [[5202]], [ -3 ], [ -34 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3/2], [-1/2]], [[1/2], [-17/2], [0], [0]]], [[[1], [0], [0], [0]], [[1/2], [17/10], [3/10], [-1/10]], [[0], [0], [3/2], [3/2]], [[0], [0], [3], [-2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[2601]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [-2]], [[0], [4], [0], [-1]], [[0], [2], [51/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [4]], [[1/2], [-7/2], [0], [3]], [[1/2], [-1], [-51/4], [1/4]]], 1, 192, [], [] >,
< [ -1, 1 ], [[5202]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [3/2], [21/2]], [[1/2], [-15/2], [15/2], [3/2]], [[0], [10], [7], [-2]]], [[[1], [0], [0], [0]], [[1/2], [-7/2], [1/10], [7/10]], [[0], [2], [7/5], [49/5]], [[0], [1], [-35], [10]]], 1, 192, [], [] >,
< [ -1, 1 ], [[26010]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [3], [0]], [[1/2], [-13/2], [3], [0]], [[0], [1], [3/2], [-17/2]]], [[[1], [0], [0], [0]], [[1/2], [-3/2], [-57/14], [17/14]], [[0], [2], [-9/14], [-85/14]], [[0], [7], [-57/14], [17/14]]], 1, 768, [], [] >,
< [ -1, 1 ], [[82134]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [3/2]], [[1/2], [9/2], [0], [-9/2]], [[0], [0], [39/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[1/2], [3/2], [0], [-9/2]], [[0], [0], [39/2], [3/2]]], 0, 3024, [], [] >,
< [ -1, 1 ], [[1521]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[1/2], [0], [3/2], [3/2]], [[1/2], [0], [3/2], [-3/2]], [[0], [13/4], [-1/2], [-3/4]]], [[[1], [0], [0], [0]], [[1/2], [13/8], [-1/4], [-3/8]], [[1/2], [0], [-3/2], [3/2]], [[1/2], [-13/8], [-11/4], [-21/8]]], 1, 112, [], [] >,
< [ -1, 1 ], [[15210]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-1/2]], [[1/2], [-3/2], [0], [-9/2]], [[1/2], [3/2], [13/2], [2]]], [[[1], [0], [0], [0]], [[1/2], [27/14], [-13/14], [-12/7]], [[0], [6/7], [-13/7], [18/7]], [[0], [33/7], [39/14], [23/14]]], 1, 672, [], [] >,
< [ -1, 1 ], [[3042]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [-11/2], [7/2]], [[0], [7], [-8], [-2]], [[0], [4], [1], [10]]], [[[1], [0], [0], [0]], [[0], [43/5], [1/5], [2]], [[0], [29/5], [-22/5], [-5]], [[1/2], [-13/10], [-91/10], [13/2]]], 1, 112, [], [] >,
< [ -1, 1 ], [[2178]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[1/2], [1/2], [33/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [0], [-3]], [[1/2], [11/10], [33/10], [-11/10]]], 1, 80, [], [] >,
< [ -1, 1 ], [[10890]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [3], [0], [-2]], [[1/2], [-1/2], [-33/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [-45/14], [-33/14], [1/2]], [[0], [0], [0], [5]], [[1/2], [-53/14], [33/14], [5/2]]], 1, 480, [], [] >,
< [ -1, 1 ], [[2178]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-9/2], [-3/2], [-3/2]], [[1/2], [3/2], [1/2], [-21/2]], [[1/2], [-9/2], [19/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [2], [-3], [-3]], [[1/2], [-9/2], [-3/2], [-3/2]], [[0], [1], [-18], [15]]], 1, 60, [], [] >,
< [ -1, 1 ], [[19602]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-9], [-9]], [[1/2], [27/2], [9/2], [9/2]], [[1/2], [15/2], [27/2], [-39/2]]], [[[1], [0], [0], [0]], [[1/2], [-9/2], [-3/2], [-3/2]], [[0], [9], [3], [-30]], [[0], [9], [-30], [3]]], 0, 720, [], [] >,
< [ -1, 1 ], [[2178]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-7/2], [-3/2], [5/2]], [[1/2], [-1/2], [9/2], [7/2]], [[0], [4], [-3], [5]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [16/5]], [[1/2], [-43/10], [-9/10], [-7/10]], [[0], [5], [-12], [-2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[2178]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [-1/2], [7/2]], [[1/2], [-3/2], [-9/2], [-3/2]], [[1/2], [35/2], [-5/2], [-31/2]]], [[[1], [0], [0], [0]], [[1/2], [-27/10], [-3/2], [39/10]], [[0], [5], [4], [5]], [[0], [51/5], [-9], [18/5]]], 1, 80, [], [] >,
< [ -1, 1 ], [[10890]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [3/2], [3/2]], [[0], [5], [3/2], [3/2]], [[1/2], [-3/2], [9/2], [-13/2]]], [[[1], [0], [0], [0]], [[0], [1], [12/7], [1/7]], [[1/2], [9/2], [-12/7], [-1/7]], [[1/2], [-1/2], [3/2], [-19/2]]], 1, 320, [], [] >,
< [ -1, 1 ], [[15246]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [9/2], [5/2]], [[0], [4], [-3], [2]], [[1/2], [-7/2], [-3/2], [13/2]]], [[[1], [0], [0], [0]], [[0], [9/5], [-3], [-12/5]], [[1/2], [53/10], [-3/2], [21/10]], [[0], [3], [6], [-4]]], 1, 480, [], [] >,
< [ -1, 1 ], [[23814]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [6], [0], [-3]], [[1/2], [-3/2], [21/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [3], [0], [-3]], [[0], [6], [0], [3]], [[1/2], [-3/2], [21/2], [3/2]]], 0, 864, [], [] >,
< [ -1, 1 ], [[23814]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [9]], [[1/2], [3/2], [21/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [9]], [[1/2], [-3/2], [21/2], [-9/2]]], 0, 864, [], [] >,
< [ -1, 1 ], [[11907]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[1/2], [-15/2], [0], [6]], [[1/2], [3/2], [-21/2], [-9/2]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-3]], [[1/2], [9/2], [21/2], [3/2]], [[1/2], [21/2], [0], [6]]], 0, 864, [], [] >,
< [ -1, 1 ], [[882]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [0]], [[1/2], [-1/2], [7/2], [1/2]], [[0], [0], [0], [6]]], [[[1], [0], [0], [0]], [[1/2], [-9/10], [0], [6/5]], [[1/2], [17/10], [-7/2], [19/10]], [[1/2], [-31/10], [-7/2], [-17/10]]], 1, 96, [], [] >,
< [ -1, 1 ], [[39690]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[1/2], [0], [9/2], [0]], [[1/2], [21/2], [-3/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [0], [-3/2], [0]], [[0], [0], [0], [9]], [[0], [21/2], [0], [-9/2]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[4410]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [-3/2], [0]], [[0], [0], [0], [3]], [[1/2], [7/2], [-1/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [0], [-3/2], [0]], [[0], [21/2], [0], [-1/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2205]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [-3/2], [0], [0]], [[0], [0], [7/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3/2], [0], [-1/2]], [[1/2], [0], [7/2], [0]]], 1, 128, [], [] >,
< [ -1, 1 ], [[4410]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [-1/2], [1]], [[0], [0], [1], [1]], [[1/2], [21/2], [1/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [21/22], [10/11], [-49/22]], [[1/2], [21/11], [-37/22], [-5/11]], [[1/2], [21/22], [53/22], [17/22]]], 1, 128, [], [] >,
< [ -1, 1 ], [[4410]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[1/2], [3/2], [21/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [21/11], [-10/11]], [[0], [5], [0], [0]], [[1/2], [3/2], [-63/22], [-91/22]]], 1, 192, [], [] >,
< [ -1, 1 ], [[882]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [-3/2], [1/2]], [[0], [4], [6], [5]], [[0], [2], [3], [-8]]], [[[1], [0], [0], [0]], [[0], [3], [1], [2]], [[1/2], [-3/2], [13/2], [5/2]], [[1/2], [9/2], [3/2], [-15/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[7938]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [9/2], [3/2], [-15/2]], [[0], [6], [-12], [-3]], [[1/2], [-33/2], [3/2], [-15/2]]], [[[1], [0], [0], [0]], [[0], [9], [3], [6]], [[0], [3], [-6], [-12]], [[1/2], [3/2], [-27/2], [9/2]]], 0, 288, [], [] >,
< [ -1, 1 ], [[441]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [-3/2]], [[0], [2], [3/2], [3/2]], [[1/2], [1/2], [3], [-4]]], [[[1], [0], [0], [0]], [[0], [5/2], [-3/4], [-3/4]], [[0], [2], [3/2], [3/2]], [[1/2], [1/2], [3], [-4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[882]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [3/2], [-3/2]], [[1/2], [1/2], [3], [4]], [[0], [4], [3], [-3]]], [[[1], [0], [0], [0]], [[0], [12/5], [-3/10], [-11/10]], [[1/2], [29/10], [27/10], [29/10]], [[1/2], [-1/10], [-24/5], [17/5]]], 1, 96, [], [] >,
< [ -1, 1 ], [[882]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [-4]], [[1/2], [-7/2], [-7/2], [-7/2]], [[1/2], [9/2], [-15/2], [3/2]]], [[[1], [0], [0], [0]], [[1/2], [-7/10], [7/2], [-49/10]], [[0], [32/5], [1], [-1/5]], [[0], [19/5], [-4], [-17/5]]], 1, 32, [], [] >,
< [ -1, 1 ], [[4410]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-5/2]], [[1/2], [-7/2], [0], [0]], [[0], [0], [3], [2]]], [[[1], [0], [0], [0]], [[1/2], [-7/22], [21/22], [21/22]], [[0], [28/11], [-3/22], [19/22]], [[1/2], [-7/2], [-15/2], [11/2]]], 1, 128, [], [] >,
< [ -1, 1 ], [[2205]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [3/2], [-11/2]], [[1/2], [-11/2], [3/2], [3/2]], [[0], [1], [9/2], [9/2]]], [[[1], [0], [0], [0]], [[0], [1/2], [9/4], [9/4]], [[1/2], [2], [15/4], [-13/4]], [[1/2], [-19/2], [9/2], [-5/2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[9702]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [4], [0], [3]], [[1/2], [-3/2], [-21/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [4/5], [0], [3/5]], [[1/2], [-1/10], [21/2], [-7/10]], [[0], [33/5], [0], [-44/5]]], 1, 384, [], [] >,
< [ -1, 1 ], [[106722]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [21/2], [-3/2]], [[0], [11], [0], [0]], [[0], [0], [0], [11]]], [[[1], [0], [0], [0]], [[0], [44/5], [0], [33/5]], [[0], [33/5], [0], [-44/5]], [[1/2], [-41/10], [21/2], [-37/10]]], 1, 3840, [], [] >,
< [ -1, 1 ], [[6174]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [7]], [[1/2], [1/2], [21/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [4], [0], [3]], [[1/2], [1/2], [-21/2], [-1/2]]], 1, 224, [], [] >,
< [ -1, 1 ], [[3087]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [1], [-7/2], [-5/2]], [[1/2], [7/2], [7/2], [-7/2]]], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]], [[1/2], [-1/2], [-7/2], [7/2]], [[0], [0], [21/2], [21/2]]], 1, 224, [], [] >,
< [ -1, 1 ], [[6174]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-15/2], [9/2], [-3/2]], [[0], [3], [-6], [-12]], [[1/2], [-7/2], [-21/2], [21/2]]], [[[1], [0], [0], [0]], [[1/2], [-3/2], [-1/2], [-9/2]], [[0], [6], [-5], [-3]], [[0], [18], [34], [-9]]], 1, 168, [], [] >,
< [ -1, 1 ], [[55566]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-9/2], [-3/2], [-27/2]], [[0], [18], [-15], [-9]], [[1/2], [45/2], [57/2], [-33/2]]], [[[1], [0], [0], [0]], [[1/2], [-15/2], [9/2], [-3/2]], [[1/2], [3/2], [-27/2], [-75/2]], [[0], [24], [36], [9]]], 0, 2016, [], [] >,
< [ -1, 1 ], [[6174]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [13/2], [9/2], [-3/2]], [[0], [3], [-6], [9]], [[0], [4], [-15], [-9]]], [[[1], [0], [0], [0]], [[0], [3], [-6], [9]], [[0], [12], [-3], [1]], [[1/2], [-3/2], [-15/2], [-23/2]]], 1, 168, [], [] >,
< [ -1, 1 ], [[55566]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [15/2], [-9/2], [-39/2]], [[1/2], [-39/2], [-27/2], [9/2]], [[1/2], [33/2], [-45/2], [15/2]]], [[[1], [0], [0], [0]], [[0], [3], [-6], [9]], [[1/2], [-45/2], [-15/2], [-9/2]], [[0], [9], [-39], [-36]]], 0, 2016, [], [] >,
< [ -1, 1 ], [[2025]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [0], [-3/2], [3/2]], [[1/2], [0], [-3/2], [-3/2]], [[1/2], [-45/4], [0], [-3/4]]], [[[1], [0], [0], [0]], [[1/2], [0], [-3/2], [-3/2]], [[0], [15/4], [3/2], [-9/4]], [[1/2], [-15/4], [3], [-9/4]]], 0, 144, [], [] >,
< [ -1, 1 ], [[225]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [5/4], [-1], [-1/4]], [[0], [5/4], [1/2], [5/4]], [[1/2], [0], [-3/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [5/4], [-1/2], [1/4]], [[1/2], [-5/4], [-1], [5/4]], [[1/2], [0], [-3/2], [-3/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[4050]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[1/2], [0], [9/2], [-3/2]], [[1/2], [-15/2], [-3/2], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[1/2], [0], [-3/2], [-9/2]], [[1/2], [15/2], [-3/2], [0]]], 0, 432, [], [] >,
< [ -1, 1 ], [[450]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [0], [-3/2], [3/2]], [[1/2], [0], [-3/2], [-3/2]], [[1/2], [5/2], [1/2], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [0], [-3/2], [-1/2]], [[0], [15/2], [0], [1/2]]], 1, 36, [], [] >,
< [ -1, 1 ], [[1350]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3/2], [-3/2]], [[1/2], [-5/2], [-1], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [1/2], [-3/2]], [[1/2], [15/2], [0], [0]]], 1, 36, [], [] >,
< [ -1, 1 ], [[225]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [-5/4], [0], [1/4]], [[1/2], [0], [3/2], [-3/2]], [[1/2], [0], [-3/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [5/4], [0], [5/4]], [[0], [5/4], [3/2], [-1/4]], [[0], [5/4], [-3/2], [-1/4]]], 1, 16, [], [] >,
< [ -1, 1 ], [[450]], [ -2 ], [ -5 ], [[[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[0], [15/4], [-1/2], [-1/4]], [[0], [0], [3], [3]]], [[[1], [0], [0], [0]], [[1/2], [15/28], [0], [-51/28]], [[0], [15/7], [-1], [-2/7]], [[1/2], [15/14], [5/2], [-1/7]]], 1, 48, [], [] >,
< [ -1, 1 ], [[4050]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-15/2], [3/2], [-9/2]], [[1/2], [-15/2], [-3/2], [9/2]], [[0], [0], [15], [0]]], [[[1], [0], [0], [0]], [[0], [0], [6], [-3]], [[0], [0], [3], [6]], [[1/2], [45/2], [9/2], [3/2]]], 0, 144, [], [] >,
< [ -1, 1 ], [[4050]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-15/2], [9/2], [3/2]], [[0], [0], [3], [-9]], [[1/2], [15/2], [15/2], [15/2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [-3]], [[1/2], [15/2], [15/2], [15/2]], [[1/2], [-15/2], [15/2], [15/2]]], 0, 144, [], [] >,
< [ -1, 1 ], [[450]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-3]], [[0], [0], [4], [3]], [[1/2], [-15/2], [-1/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[1/2], [5/2], [9/2], [3/2]], [[1/2], [5/2], [-3/2], [9/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[450]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [-3/2], [-1/2]], [[1/2], [5/2], [9/2], [-7/2]], [[1/2], [5/2], [3/2], [11/2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [3], [6]], [[1/2], [-15/2], [-1/2], [-7/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[6075]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-15/2], [0], [0]], [[0], [3], [-15/2], [-3/2]], [[0], [3], [0], [-9]]], [[[1], [0], [0], [0]], [[1/2], [-9/2], [0], [6]], [[1/2], [9/2], [-15/2], [3/2]], [[1/2], [-9/2], [0], [-9]]], 0, 432, [], [] >,
< [ -1, 1 ], [[450]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [-3/2], [1/2]], [[1/2], [-9/2], [-3/2], [1/2]], [[1/2], [-5/2], [0], [5]]], [[[1], [0], [0], [0]], [[0], [13/7], [-9/7], [-1]], [[0], [17/7], [33/14], [-3/2]], [[1/2], [13/14], [-9/14], [9/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[12150]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [15/2], [15/2], [15/2]], [[1/2], [-21/2], [-3/2], [15/2]], [[1/2], [21/2], [-27/2], [15/2]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[1/2], [-9/2], [3/2], [15/2]], [[1/2], [-39/2], [93/2], [-45/2]]], 0, 432, [], [] >,
< [ -1, 1 ], [[12150]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [9/2], [15/2]], [[1/2], [-33/2], [-9/2], [15/2]], [[1/2], [3/2], [39/2], [-15/2]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[1/2], [9/2], [-33/2], [15/2]], [[1/2], [15/2], [-15/2], [-45/2]]], 0, 432, [], [] >,
< [ -1, 1 ], [[28350]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[1/2], [0], [9/2], [0]], [[1/2], [15/2], [-3/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [0], [-3/2], [0]], [[0], [15/2], [0], [9/2]], [[0], [15/2], [0], [-9/2]]], 0, 864, [], [] >,
< [ -1, 1 ], [[3150]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [-3/2], [0]], [[1/2], [5/2], [-1/2], [3/2]], [[1/2], [5/2], [-1/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [0], [-3/2], [0]], [[0], [15/2], [0], [-1/2]]], 1, 72, [], [] >,
< [ -1, 1 ], [[1575]], [ -7 ], [ -15 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[1/2], [15/2], [0], [0]]], [[[1/2], [0], [1/2], [0]], [[1/2], [0], [-1/2], [0]], [[0], [0], [0], [1]], [[0], [15/2], [0], [-1/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[3150]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [-1/2], [1]], [[0], [0], [1], [1]], [[1/2], [15/2], [1/2], [1/2]]], [[[0], [15/22], [4/11], [-13/22]], [[1], [0], [0], [0]], [[1/2], [15/22], [41/22], [53/22]], [[1/2], [-30/11], [45/22], [-18/11]]], 1, 96, [], [] >,
< [ -1, 1 ], [[3150]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[1/2], [3/2], [15/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [1], [30/11], [3/11]], [[1/2], [3/2], [-15/22], [59/22]], [[1/2], [-5/2], [45/22], [65/22]]], 1, 96, [], [] >,
< [ -1, 1 ], [[3150]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [0], [0]], [[0], [0], [3/2], [-5/2]], [[0], [0], [3], [2]]], [[[1], [0], [0], [0]], [[1/2], [5/22], [-24/11], [-2/11]], [[1/2], [65/22], [3/22], [-19/22]], [[0], [20/11], [6/11], [39/11]]], 1, 128, [], [] >,
< [ -1, 1 ], [[1575]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-3/2], [9/2]], [[1/2], [-9/2], [3/2], [1/2]], [[0], [4], [9/2], [3/2]]], [[[1], [0], [0], [0]], [[1/2], [0], [15/4], [-5/4]], [[1/2], [9/2], [-3/2], [-1/2]], [[1/2], [-7/2], [-3], [-6]]], 1, 128, [], [] >,
< [ -1, 1 ], [[4950]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [3/2], [-1/2]], [[1/2], [9/2], [-3/2], [1/2]], [[1/2], [-1/2], [-3/2], [-9/2]]], [[[1], [0], [0], [0]], [[1/2], [-19/14], [-27/14], [-3/2]], [[1/2], [-27/14], [39/14], [1/2]], [[1/2], [19/14], [27/14], [-7/2]]], 1, 160, [], [] >,
< [ -1, 1 ], [[4950]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-1/2]], [[1/2], [-5/2], [0], [-1]], [[1/2], [-5/2], [3], [9]]], [[[1], [0], [0], [0]], [[0], [0], [3/7], [-12/7]], [[1/2], [5/2], [57/14], [17/14]], [[0], [5], [-9/14], [-13/14]]], 1, 192, [], [] >,
< [ -1, 1 ], [[5850]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [1/2]], [[0], [0], [5/2], [5/2]], [[1/2], [-3/2], [5/2], [-2]]], [[[1], [0], [0], [0]], [[0], [15/7], [5/14], [-15/14]], [[1/2], [27/14], [-10/7], [11/14]], [[1/2], [-3/2], [-5/2], [-2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[7650]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [15/2], [-3/2], [1/2]], [[0], [5], [15/2], [-1/2]]], [[[1], [0], [0], [0]], [[1/2], [5/2], [-12/7], [1/7]], [[1/2], [5/2], [27/14], [-39/14]], [[1/2], [5/2], [27/14], [59/14]]], 1, 288, [], [] >,
< [ -1, 1 ], [[130050]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [9], [0]], [[1/2], [15/2], [-3/2], [-17/2]], [[1/2], [-15/2], [3/2], [-17/2]]], [[[1], [0], [0], [0]], [[0], [5], [-24/7], [51/7]], [[0], [10], [57/14], [-17/14]], [[1/2], [15/2], [-123/14], [-51/14]]], 1, 4608, [], [] >,
< [ -1, 1 ], [[76050]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-1/2]], [[1/2], [-3/2], [0], [-9/2]], [[1/2], [3/2], [-65/2], [2]]], [[[1], [0], [0], [0]], [[0], [27/7], [65/14], [-13/14]], [[0], [3], [0], [-6]], [[1/2], [-51/14], [65/14], [-24/7]]], 1, 2688, [], [] >,
< [ -1, 1 ], [[54450]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [0], [5]], [[1/2], [-1/2], [-33/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [5]], [[0], [4/7], [-33/7], [-2]], [[1/2], [241/14], [33/14], [-3/2]]], 1, 1920, [], [] >,
< [ -1, 1 ], [[54450]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [3/2], [3/2]], [[1/2], [-5/2], [15/2], [-7/2]], [[1/2], [-5/2], [15/2], [15/2]]], [[[1], [0], [0], [0]], [[1/2], [5/2], [-36/7], [-3/7]], [[1/2], [-15/2], [-24/7], [-2/7]], [[1/2], [-5/2], [-27/14], [-137/14]]], 1, 1920, [], [] >,
< [ -1, 1 ], [[22050]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [-3/2], [0]], [[0], [0], [0], [3]], [[1/2], [35/2], [-1/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [0], [-3/2], [0]], [[0], [105/2], [0], [-1/2]]], 1, 576, [], [] >,
< [ -1, 1 ], [[198450]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[1/2], [0], [9/2], [0]], [[1/2], [-105/2], [3/2], [3/2]]], [[[1], [0], [0], [0]], [[1/2], [0], [-3/2], [0]], [[0], [0], [0], [9]], [[0], [105/2], [0], [9/2]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[11025]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [7/2], [-1/2]], [[1/2], [15/2], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [0], [7/2], [0]], [[0], [15/2], [0], [-1/2]]], 1, 768, [], [] >,
< [ -1, 1 ], [[22050]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [-1/2], [1]], [[0], [0], [1], [1]], [[1/2], [-105/2], [1/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [0], [-3/2], [-3]], [[1/2], [105/22], [-21/22], [-3/22]], [[0], [0], [5], [-1]]], 1, 768, [], [] >,
< [ -1, 1 ], [[22050]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[1/2], [3/2], [-105/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[1/2], [-3/2], [105/22], [71/22]], [[1/2], [-3/2], [-105/22], [171/22]]], 1, 768, [], [] >,
< [ -1, 1 ], [[22050]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-5/2]], [[0], [0], [3], [2]], [[1/2], [35/2], [0], [0]]], [[[1], [0], [0], [0]], [[0], [35/11], [-45/22], [-23/22]], [[1/2], [35/22], [30/11], [41/11]], [[0], [35/11], [93/11], [-50/11]]], 1, 768, [], [] >,
< [ -1, 1 ], [[11025]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [4]], [[1/2], [7/2], [21/2], [7/2]], [[0], [6], [-9/2], [-23/2]]], [[[1], [0], [0], [0]], [[1/2], [1], [-3/4], [-31/4]], [[1/2], [9], [-27/4], [1/4]], [[0], [9/2], [39/4], [-17/4]]], 1, 768, [], [] >,
< [ -1, 1 ], [[1125]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [5/4], [1], [3/4]], [[1/2], [-5/2], [5/2], [0]], [[0], [5/4], [5/2], [-15/4]]], [[[1], [0], [0], [0]], [[0], [5/4], [1/2], [9/4]], [[1/2], [-5/4], [-2], [9/4]], [[0], [5/2], [-2], [-3/2]]], 1, 60, [], [] >,
< [ -1, 1 ], [[10125]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [0], [3/2], [-9/2]], [[1/2], [-15/4], [-3], [-9/4]], [[0], [15/2], [-6], [-9/2]]], [[[1], [0], [0], [0]], [[0], [15/4], [-3/2], [3/4]], [[1/2], [0], [-9/2], [-3/2]], [[1/2], [-15/4], [-3], [51/4]]], 0, 720, [], [] >,
< [ -1, 1 ], [[1125]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [0], [-3/2], [3/2]], [[0], [0], [3], [2]], [[1/2], [15/4], [0], [5/4]]], [[[1], [0], [0], [0]], [[0], [5/4], [-1/2], [-3/4]], [[1/2], [0], [-3/2], [3/2]], [[1/2], [-5], [-11/2], [-9/2]]], 1, 60, [], [] >,
< [ -1, 1 ], [[10125]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15/4], [-3/2], [-9/4]], [[1/2], [0], [9/2], [-9/2]], [[0], [15/4], [15/2], [15/4]]], [[[1], [0], [0], [0]], [[1/2], [15/4], [-3], [-3/4]], [[1/2], [0], [9/2], [-9/2]], [[1/2], [-15/4], [-6], [-21/4]]], 0, 720, [], [] >,
< [ -1, 1 ], [[60750]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [15/2], [-3/2]], [[1/2], [15/2], [0], [3]], [[0], [0], [0], [9]]], [[[1], [0], [0], [0]], [[1/2], [15/2], [0], [-3]], [[0], [0], [15/2], [9/2]], [[0], [0], [15/2], [-9/2]]], 0, 2160, [], [] >,
< [ -1, 1 ], [[60750]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [15/2]], [[1/2], [15/2], [3], [0]], [[0], [0], [9], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[1/2], [15/2], [-3/2], [-15/2]], [[1/2], [15/2], [0], [15]]], 0, 2160, [], [] >,
< [ -1, 1 ], [[2250]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-3]], [[1/2], [15/2], [-7/2], [-9/2]], [[1/2], [-15/2], [-7/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [6], [-3]], [[1/2], [5/2], [9/2], [33/2]]], 1, 60, [], [] >,
< [ -1, 1 ], [[20250]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [15], [0], [0]], [[1/2], [-15/2], [21/2], [27/2]], [[0], [0], [18], [-9]]], [[[1], [0], [0], [0]], [[0], [0], [6], [-3]], [[1/2], [45/2], [21/2], [27/2]], [[1/2], [45/2], [-9/2], [-33/2]]], 0, 720, [], [] >,
< [ -1, 1 ], [[1125]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-1]], [[1/2], [5/2], [0], [5]], [[0], [1], [15/2], [-1/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [-1]], [[0], [5], [15/2], [-5/2]], [[0], [5], [-15/2], [-5/2]]], 1, 80, [], [] >,
< [ -1, 1 ], [[2250]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [9/2], [3/2], [-1/2]], [[0], [3], [-3/2], [11/2]], [[1/2], [1/2], [6], [3]]], [[[1], [0], [0], [0]], [[0], [17/7], [33/14], [-3/2]], [[1/2], [13/14], [-9/14], [9/2]], [[0], [48/7], [-123/14], [-7/2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[2250]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[1/2], [-11/2], [7/2], [-5/2]], [[1/2], [1/2], [13/2], [25/2]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[0], [2], [-4], [5]], [[1/2], [31/2], [13/2], [-5/2]]], 1, 80, [], [] >,
< [ -1, 1 ], [[60750]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [21], [-12], [0]], [[1/2], [15/2], [45/2], [-15/2]], [[1/2], [-9/2], [-27/2], [-45/2]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [9/2], [15/2]], [[1/2], [57/2], [21/2], [-15/2]], [[0], [36], [-42], [15]]], 0, 2160, [], [] >,
< [ -1, 1 ], [[15750]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-1]], [[1/2], [3/2], [15/2], [-1/2]], [[0], [1], [0], [8]]], [[[1], [0], [0], [0]], [[1/2], [5/2], [45/22], [65/22]], [[0], [2], [15/11], [-59/11]], [[1/2], [-9/2], [135/22], [-47/22]]], 1, 480, [], [] >,
< [ -1, 1 ], [[110250]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [3]], [[0], [8], [0], [-1]], [[1/2], [1/2], [105/2], [3/2]]], [[[1], [0], [0], [0]], [[1/2], [13/2], [-105/22], [-71/22]], [[0], [0], [105/11], [-50/11]], [[1/2], [-11/2], [-105/22], [-313/22]]], 1, 3840, [], [] >,
< [ -1, 1 ], [[1458]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-9/2], [-3/2], [9/2]], [[1/2], [-9/2], [-3/2], [-9/2]], [[0], [0], [9], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [9], [0], [0]], [[1/2], [9/2], [-3/2], [-27/2]]], 0, 54, [], [] >,
< [ -1, 1 ], [[1458]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-9/2], [-3/2], [9/2]], [[1/2], [-9/2], [9/2], [-9/2]], [[1/2], [-9/2], [-9/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[1/2], [9/2], [-3/2], [9/2]], [[1/2], [27/2], [3/2], [-27/2]]], 0, 54, [], [] >,
< [ -1, 1 ], [[1458]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [3]], [[1/2], [9/2], [9/2], [-9/2]], [[1/2], [-9/2], [9/2], [9/2]]], [[[1], [0], [0], [0]], [[0], [3], [0], [-3]], [[1/2], [3/2], [9/2], [-3/2]], [[0], [12], [0], [15]]], 0, 54, [], [] >,
< [ -1, 1 ], [[1458]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [9/2], [3/2]], [[1/2], [15/2], [9/2], [3/2]], [[1/2], [-3/2], [9/2], [-15/2]]], [[[1], [0], [0], [0]], [[0], [3], [0], [-3]], [[0], [3], [0], [6]], [[1/2], [3/2], [-27/2], [-3/2]]], 0, 54, [], [] >,
< [ -1, 1 ], [[729]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [3]], [[0], [3], [0], [3]], [[0], [0], [9/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]], [[0], [0], [9/2], [-3/2]], [[0], [0], [9/2], [15/2]]], 0, 54, [], [] >,
< [ -1, 1 ], [[27]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [-3/2], [0], [0]], [[0], [0], [3/2], [1/2]]], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3/2], [-3/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[1458]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [15/2]], [[1/2], [-9/2], [9/2], [9/2]], [[1/2], [-9/2], [-9/2], [-9/2]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [-3/2]], [[0], [3], [6], [-3]], [[0], [12], [-3], [15]]], 0, 54, [], [] >,
< [ -1, 1 ], [[270]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [-3/2], [0], [0]], [[0], [0], [3/2], [1/2]]], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3/2], [-3/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[7290]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [3]], [[0], [3], [0], [3]], [[0], [0], [9/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]], [[0], [0], [9/2], [-3/2]], [[0], [0], [9/2], [15/2]]], 0, 216, [], [] >,
< [ -1, 1 ], [[135]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [-5/4], [0], [1/4]], [[0], [3/4], [3/2], [3/4]], [[0], [3/4], [-3/2], [3/4]]], [[[1], [0], [0], [0]], [[1/2], [-3/4], [0], [-3/4]], [[1/2], [1/2], [3/2], [-1]], [[1/2], [1/2], [-3/2], [-1]]], 1, 8, [], [] >,
< [ -1, 1 ], [[135]], [ -2 ], [ -5 ], [[[0], [1/2], [0], [1/2]], [[1], [0], [0], [0]], [[0], [1/4], [3/2], [1/4]], [[1/2], [9/4], [0], [-9/4]]], [[[1/2], [1/4], [0], [1/4]], [[1/2], [-1/4], [0], [-1/4]], [[0], [0], [3], [0]], [[0], [9/4], [-3/2], [-9/4]]], 1, 12, [], [] >,
< [ -1, 1 ], [[270]], [ -2 ], [ -5 ], [[[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[0], [3/4], [3/2], [3/4]], [[0], [21/4], [-3/2], [-3/4]]], [[[1], [0], [0], [0]], [[1/2], [-3/14], [1/2], [10/7]], [[0], [27/28], [3/2], [-33/28]], [[1/2], [-27/14], [1/2], [-8/7]]], 1, 24, [], [] >,
< [ -1, 1 ], [[270]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/4], [3/2], [3/4]], [[0], [3/2], [-1], [-1/2]], [[1/2], [0], [3/2], [-3/2]]], [[[0], [9/28], [1/2], [-11/28]], [[1], [0], [0], [0]], [[0], [57/28], [1/2], [61/28]], [[1/2], [57/28], [-2], [-37/28]]], 1, 24, [], [] >,
< [ -1, 1 ], [[135]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-3/2], [-1/2]], [[1/2], [-3/2], [0], [-3]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [1]], [[0], [0], [3], [0]], [[0], [3], [-3/2], [-3/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[270]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [3/2]], [[1/2], [1/2], [3], [0]], [[1/2], [1/2], [0], [-3]]], [[[1], [0], [0], [0]], [[0], [6/7], [3/14], [3/2]], [[1/2], [15/14], [-33/14], [1/2]], [[0], [30/7], [15/14], [-5/2]]], 1, 36, [], [] >,
< [ -1, 1 ], [[378]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [0], [3/2], [-3/2]], [[1/2], [-5/2], [-2], [-2]]], [[[1], [0], [0], [0]], [[1/2], [7/10], [1/2], [-1/10]], [[0], [3/5], [-3/2], [-33/10]], [[0], [12/5], [-3], [9/5]]], 1, 36, [], [] >,
< [ -1, 1 ], [[378]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1], [1]], [[0], [0], [3/2], [-3/2]], [[0], [4], [-1], [-1]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [1], [1]], [[0], [8/5], [1/2], [-13/10]], [[0], [12/5], [-3], [9/5]]], 1, 36, [], [] >,
< [ -1, 1 ], [[945]], [ -7 ], [ -15 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]], [[0], [0], [3/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [0], [1/2], [1]], [[0], [0], [1], [-1]], [[1/2], [-3/2], [-1/2], [1/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1890]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [3/2], [1], [-1/2]], [[0], [3/2], [-1], [1/2]], [[1/2], [0], [1/2], [2]]], [[[0], [15/22], [4/11], [-13/22]], [[1], [0], [0], [0]], [[1/2], [9/11], [-41/22], [-10/11]], [[0], [21/11], [-2/11], [28/11]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1890]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[1/2], [3/2], [1/2], [1/2]], [[1/2], [0], [5/2], [-2]]], [[[1], [0], [0], [0]], [[0], [9/22], [-2/11], [23/22]], [[1/2], [21/11], [-37/22], [-5/11]], [[1/2], [-6/11], [-57/22], [3/11]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1890]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [0], [3], [0]], [[1/2], [5/2], [-3/2], [-5/2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [9/22], [13/22]], [[0], [3], [3/11], [-36/11]], [[1/2], [7/2], [-111/22], [1/22]]], 1, 72, [], [] >,
< [ -1, 1 ], [[189]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [1/2]], [[1/2], [-3/2], [3/2], [3/2]], [[0], [2], [-3/2], [5/2]]], [[[1], [0], [0], [0]], [[1/2], [0], [-9/4], [3/4]], [[0], [5/2], [3/4], [-5/4]], [[1/2], [1/2], [-3/2], [-5/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[378]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [-7/2], [-1/2]], [[1/2], [-1/2], [5/2], [-7/2]], [[1/2], [7/2], [7/2], [7/2]]], [[[1], [0], [0], [0]], [[1/2], [1/10], [-1/2], [7/10]], [[0], [51/5], [-3], [-18/5]], [[0], [9], [6], [3]]], 1, 24, [], [] >,
< [ -1, 1 ], [[378]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [4], [4], [1]], [[1/2], [7/2], [-5/2], [-11/2]]], [[[1], [0], [0], [0]], [[1/2], [-3/10], [3/2], [-21/10]], [[0], [19/5], [-4], [-17/5]], [[0], [13/5], [5], [16/5]]], 1, 16, [], [] >,
< [ -1, 1 ], [[594]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [-3/2], [3/2]], [[1/2], [1/2], [-3/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [-3/10], [-9/10], [3/10]], [[1/2], [-9/10], [3/10], [-11/10]], [[0], [12/5], [-9/5], [-7/5]]], 1, 20, [], [] >,
< [ -1, 1 ], [[2970]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [3/2], [-3/2]], [[1/2], [5/2], [3/2], [3/2]], [[1/2], [-5/2], [3/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [3/7], [12/7], [0]], [[1/2], [-13/14], [-3/14], [-3/2]], [[0], [46/7], [-12/7], [-3]]], 1, 120, [], [] >,
< [ -1, 1 ], [[297]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [1/2]], [[1/2], [-3/2], [3/2], [-3/2]], [[1/2], [7/2], [-3/2], [-7/2]]], [[[1], [0], [0], [0]], [[1/2], [-3/2], [3/2], [-3/2]], [[1/2], [-5/2], [-3/2], [1/2]], [[1/2], [1/2], [3], [2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[594]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [5/2], [-5/2]], [[1/2], [-5/2], [5/2], [1/2]], [[0], [9], [6], [6]]], [[[1], [0], [0], [0]], [[0], [7/5], [-2], [1/5]], [[1/2], [27/10], [3/2], [-39/10]], [[0], [34/5], [7], [37/5]]], 1, 24, [], [] >,
< [ -1, 1 ], [[594]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-3]], [[0], [4], [2], [1]], [[1/2], [9/2], [-15/2], [3/2]]], [[[1], [0], [0], [0]], [[1/2], [27/10], [3/2], [-39/10]], [[0], [23/5], [-1], [14/5]], [[0], [2/5], [5], [11/5]]], 1, 24, [], [] >,
< [ -1, 1 ], [[702]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [1/2], [-3/2]], [[1/2], [-3/2], [1/2], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3/2], [1/2]], [[1/2], [-3/2], [0], [1/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[351]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[1/2], [-1/4], [-1], [-3/4]], [[0], [5/4], [1/2], [-3/4]], [[0], [3/4], [-3/2], [3/4]]], [[[1], [0], [0], [0]], [[1/2], [-1/4], [-1], [-3/4]], [[1/2], [13/8], [-1/4], [-3/8]], [[1/2], [7/8], [5/4], [-9/8]]], 1, 24, [], [] >,
< [ -1, 1 ], [[351]], [ -2 ], [ -13 ], [[[1/2], [1/2], [1/2], [0]], [[1/2], [-1/2], [-1/2], [0]], [[0], [3/4], [-3/2], [3/4]], [[0], [3/4], [-3/2], [-9/4]]], [[[0], [7/8], [-1/4], [3/8]], [[1], [0], [0], [0]], [[0], [1/8], [5/4], [-3/8]], [[1/2], [-3/8], [3/4], [21/8]]], 1, 24, [], [] >,
< [ -1, 1 ], [[702]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [1/2], [1/2]], [[0], [1], [-5], [4]], [[0], [2], [-7], [-4]]], [[[1], [0], [0], [0]], [[1/2], [3/10], [21/10], [-3/2]], [[0], [29/5], [-22/5], [-5]], [[0], [14/5], [23/5], [7]]], 1, 28, [], [] >,
< [ -1, 1 ], [[702]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [7/2], [-5/2]], [[0], [5], [-1], [2]], [[0], [4], [-5], [-5]]], [[[1], [0], [0], [0]], [[1/2], [-1/10], [-7/10], [1/2]], [[0], [72/5], [-21/5], [-3]], [[0], [57/5], [24/5], [9]]], 1, 36, [], [] >,
< [ -1, 1 ], [[459]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[1/2], [-5/2], [-3/2], [-3/2]], [[1/2], [7/2], [0], [-3]]], [[[1], [0], [0], [0]], [[0], [3/2], [-9/4], [7/4]], [[1/2], [-3/2], [3/2], [5/2]], [[1/2], [3], [9/4], [-3/4]]], 1, 36, [], [] >,
< [ -1, 1 ], [[918]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [5], [2]], [[0], [5], [-1], [-4]], [[1/2], [-1/2], [5/2], [-13/2]]], [[[1], [0], [0], [0]], [[1/2], [-7/2], [1/10], [7/10]], [[0], [0], [21/5], [-3/5]], [[0], [3], [0], [15]]], 1, 36, [], [] >,
< [ -1, 1 ], [[918]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [1], [-2]], [[1/2], [-5/2], [13/2], [-5/2]], [[1/2], [-7/2], [-1/2], [-13/2]]], [[[1], [0], [0], [0]], [[0], [0], [21/5], [-3/5]], [[0], [1], [-7/5], [26/5]], [[1/2], [21/2], [-3/10], [-21/10]]], 1, 36, [], [] >,
< [ -1, 1 ], [[1026]], [ -19 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]], [[0], [0], [3/2], [-3/2]]], [[[0], [3/5], [3/5], [0]], [[1], [0], [0], [0]], [[1/2], [3/10], [3/10], [-3/2]], [[0], [6/5], [-13/10], [1/2]]], 1, 36, [], [] >,
< [ -1, 1 ], [[513]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[0], [0], [3/2], [3/2]], [[0], [3], [-3/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[0], [3/2], [-3/4], [3/4]], [[1/2], [-1/2], [1], [2]]], 1, 36, [], [] >,
< [ -1, 1 ], [[513]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1/2], [1/2]], [[0], [0], [3/2], [3/2]], [[1/2], [-3/2], [-3/2], [3/2]]], [[[0], [1/2], [-1/4], [1/4]], [[1], [0], [0], [0]], [[1/2], [3/2], [3], [0]], [[1/2], [3/2], [0], [-3]]], 1, 36, [], [] >,
< [ -1, 1 ], [[621]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [-3/2], [-3/2]], [[1/2], [3/2], [0], [3]], [[0], [1], [9/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [5/2], [3/2], [0]], [[1/2], [5/2], [-3/2], [-3/2]], [[1/2], [3], [-3], [9/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1242]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [9/2], [-3/2], [-3/2]], [[0], [4], [-1], [7]], [[0], [1], [8], [1]]], [[[1], [0], [0], [0]], [[0], [16/5], [-13/5], [2]], [[0], [17/5], [19/5], [-2]], [[1/2], [1/2], [17/2], [19/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1242]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-5/2], [5/2]], [[1/2], [9/2], [-3/2], [-3/2]], [[1/2], [11/2], [25/2], [23/2]]], [[[1], [0], [0], [0]], [[0], [33/5], [6/5], [0]], [[1/2], [19/10], [-67/10], [-1/2]], [[1/2], [-11/10], [23/10], [-13/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1566]], [ -10 ], [ -174 ], [[[0], [3/10], [1/2], [1/5]], [[1/2], [3/10], [-1/2], [-1/20]], [[1/2], [-3/10], [1/2], [1/20]], [[1/2], [0], [0], [-3/4]]], [[[0], [9/50], [1/2], [8/25]], [[1/2], [3/50], [1/2], [-31/100]], [[1/2], [-3/50], [-1/2], [31/100]], [[0], [3/5], [0], [-3/5]]], 1, 56, [], [] >,
< [ -1, 1 ], [[1674]], [ -10 ], [ -186 ], [[[0], [3/10], [-1/2], [1/10]], [[1/2], [3/10], [0], [-3/20]], [[1/2], [-3/10], [0], [3/20]], [[0], [3/10], [1/2], [11/10]]], [[[0], [12/25], [0], [3/50]], [[0], [3/50], [1/2], [8/25]], [[1/2], [3/25], [1/2], [-61/100]], [[1/2], [-3/25], [-1/2], [61/100]]], 1, 60, [], [] >,
< [ -1, 1 ], [[1998]], [ -222 ], [ -13 ], [[[0], [1/2], [0], [1/2]], [[1/2], [1/2], [-3/26], [-1/13]], [[1/2], [0], [3/26], [15/26]], [[1/2], [0], [-15/26], [3/26]]], [[[0], [1/10], [3/65], [43/130]], [[0], [1/5], [-3/5], [1/5]], [[1/2], [7/10], [57/130], [-7/65]], [[1/2], [-7/10], [-57/130], [7/65]]], 1, 72, [], [] >,
< [ -1, 1 ], [[73926]], [ -222 ], [ -13 ], [[[0], [1/2], [0], [1/2]], [[1], [0], [0], [0]], [[0], [3/2], [0], [-3/2]], [[1/2], [0], [-111/26], [-9/26]]], [[[1], [0], [0], [0]], [[1/2], [-9/10], [111/130], [24/65]], [[1/2], [1/10], [111/130], [-106/65]], [[0], [17/10], [111/65], [161/130]]], 1, 2736, [], [] >,
< [ -1, 1 ], [[51894]], [ -10 ], [ -186 ], [[[1/2], [0], [1/2], [1/4]], [[1/2], [0], [-1/2], [-1/4]], [[0], [0], [1], [-1]], [[0], [93/10], [1/2], [1/10]]], [[[1], [0], [0], [0]], [[1/2], [0], [1/2], [5/4]], [[0], [93/50], [-1/2], [-2/25]], [[1/2], [0], [-5/2], [5/4]]], 1, 1920, [], [] >,
< [ -1, 1 ], [[45414]], [ -10 ], [ -174 ], [[[1/2], [0], [0], [3/4]], [[1/2], [0], [0], [-3/4]], [[0], [0], [1], [1/2]], [[0], [87/10], [1/2], [-1/5]]], [[[1], [0], [0], [0]], [[1/2], [0], [-1], [5/4]], [[1/2], [87/50], [1/2], [101/100]], [[1/2], [0], [2], [5/4]]], 1, 1680, [], [] >,
< [ -1, 1 ], [[14283]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3/2], [21/2]], [[1/2], [1/2], [9], [-6]], [[1/2], [-23/2], [0], [0]]], [[[1], [0], [0], [0]], [[0], [11/2], [-9/2], [3]], [[1/2], [-5/2], [-21/2], [-9/2]], [[1/2], [19/2], [-3/2], [-21/2]]], 1, 1056, [], [] >,
< [ -1, 1 ], [[28566]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-19/2], [1/2], [11/2]], [[1/2], [33/2], [-9/2], [39/2]], [[1/2], [3/2], [-51/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [4/5], [-22/5], [-7]], [[1/2], [173/10], [-89/10], [25/2]], [[0], [27], [24], [-12]]], 1, 1056, [], [] >,
< [ -1, 1 ], [[28566]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [7], [8]], [[1/2], [23/2], [-23/2], [23/2]], [[1/2], [57/2], [-3/2], [-33/2]]], [[[1], [0], [0], [0]], [[0], [14/5], [-77/5], [10]], [[1/2], [161/10], [-23/10], [-23/2]], [[1/2], [137/10], [109/10], [19/2]]], 1, 1056, [], [] >,
< [ -1, 1 ], [[19494]], [ -19 ], [ -6 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [19/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [3/5], [-19/10], [-1/2]], [[0], [0], [0], [3]], [[1/2], [-69/10], [-19/10], [-1/2]]], 1, 720, [], [] >,
< [ -1, 1 ], [[9747]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [3]], [[0], [3], [0], [3]], [[0], [1], [-19/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-3]], [[1/2], [-2], [19/4], [-7/4]], [[0], [11/2], [19/4], [5/4]]], 1, 720, [], [] >,
< [ -1, 1 ], [[9747]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [3]], [[0], [3], [0], [3]], [[1/2], [-1/2], [-19/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-3]], [[0], [1/2], [-19/4], [-5/4]], [[1/2], [-15/2], [0], [-3]]], 1, 720, [], [] >,
< [ -1, 1 ], [[7803]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [0], [-3]], [[0], [5], [0], [3]], [[1/2], [-5/2], [-51/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [-9/2], [0], [-1]], [[1/2], [-3/2], [0], [11]], [[1/2], [0], [-51/4], [17/4]]], 1, 576, [], [] >,
< [ -1, 1 ], [[15606]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [9]], [[1/2], [-23/2], [-11/2], [25/2]], [[0], [1], [16], [10]]], [[[1], [0], [0], [0]], [[1/2], [-7/2], [1/10], [7/10]], [[0], [6], [21/5], [147/5]], [[0], [3], [-168/5], [99/5]]], 1, 576, [], [] >,
< [ -1, 1 ], [[15606]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [9]], [[1/2], [17/2], [17/2], [17/2]], [[0], [19], [-2], [-14]]], [[[1], [0], [0], [0]], [[0], [2], [7/5], [49/5]], [[1/2], [21/2], [-3/10], [-21/10]], [[0], [1], [-35], [10]]], 1, 576, [], [] >,
< [ -1, 1 ], [[9126]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [-3/2], [0], [1/2]], [[0], [0], [39/2], [-1/2]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [3/2]], [[1/2], [3/2], [0], [-3/2]], [[1/2], [-3/2], [13/2], [0]]], 1, 336, [], [] >,
< [ -1, 1 ], [[4563]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[1/2], [13/4], [1], [3/4]], [[1/2], [0], [-9/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [13/8], [-7/4], [9/8]], [[1/2], [-13/4], [-1], [9/4]], [[1/2], [-13/8], [-11/4], [-21/8]]], 1, 336, [], [] >,
< [ -1, 1 ], [[4563]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [13/4], [-1/2], [-3/4]], [[1/2], [0], [-9/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [13/8], [-1/4], [-3/8]], [[0], [13/8], [17/4], [9/8]], [[1/2], [-13/8], [1/4], [-45/8]]], 1, 336, [], [] >,
< [ -1, 1 ], [[9126]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [13/2], [13/2], [13/2]], [[1/2], [-19/2], [5/2], [11/2]], [[1/2], [17/2], [-25/2], [23/2]]], [[[1], [0], [0], [0]], [[1/2], [-13/10], [-91/10], [13/2]], [[0], [72/5], [-21/5], [-3]], [[0], [3], [-9], [-12]]], 1, 336, [], [] >,
< [ -1, 1 ], [[9126]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [-11/2], [7/2]], [[0], [3], [-9], [-12]], [[1/2], [-35/2], [1/2], [-29/2]]], [[[1], [0], [0], [0]], [[0], [43/5], [1/5], [2]], [[0], [29/5], [-22/5], [-5]], [[1/2], [39/10], [273/10], [-39/2]]], 1, 336, [], [] >,
< [ -1, 1 ], [[6534]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [3]], [[1/2], [1/2], [33/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [3], [0], [-2]], [[1/2], [21/10], [33/10], [-1/10]], [[0], [3], [0], [3]]], 1, 240, [], [] >,
< [ -1, 1 ], [[32670]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-3]], [[0], [3], [0], [3]], [[1/2], [1/2], [-33/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [4/7], [-33/7], [3]], [[1/2], [45/14], [33/14], [9/2]], [[0], [7], [0], [-3]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[3267]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [-5/2]], [[1/2], [1/2], [-9/2], [7/2]], [[1/2], [21/2], [9/2], [15/2]]], [[[1], [0], [0], [0]], [[1/2], [-7/2], [-3/2], [-5/2]], [[1/2], [-3/2], [-3], [6]], [[1/2], [9/2], [-15/2], [-3/2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[6534]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [4], [5]], [[1/2], [-11/2], [11/2], [-11/2]], [[0], [19], [2], [-14]]], [[[1], [0], [0], [0]], [[1/2], [-27/10], [-3/2], [39/10]], [[0], [5], [4], [5]], [[0], [103/5], [-35], [4/5]]], 1, 240, [], [] >,
< [ -1, 1 ], [[6534]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-5], [2]], [[1/2], [-13/2], [-17/2], [-13/2]], [[1/2], [35/2], [-5/2], [-31/2]]], [[[1], [0], [0], [0]], [[1/2], [-27/10], [-3/2], [39/10]], [[0], [76/5], [-5], [43/5]], [[0], [1/5], [-17], [-32/5]]], 1, 240, [], [] >,
< [ -1, 1 ], [[2646]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [7/2], [1/2]], [[1/2], [-9/2], [0], [0]], [[1/2], [3/2], [0], [6]]], [[[1], [0], [0], [0]], [[1/2], [27/10], [0], [-18/5]], [[0], [4/5], [-7/2], [31/10]], [[1/2], [-31/10], [-7/2], [-17/10]]], 1, 288, [], [] >,
< [ -1, 1 ], [[2646]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-7/2], [-1/2]], [[1/2], [-9/2], [0], [0]], [[1/2], [3/2], [0], [6]]], [[[1], [0], [0], [0]], [[1/2], [17/10], [-7/2], [19/10]], [[1/2], [27/10], [0], [-18/5]], [[0], [11/5], [7/2], [29/10]]], 1, 288, [], [] >,
< [ -1, 1 ], [[6615]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [7/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [3/2], [0], [3/2]], [[0], [3/2], [0], [-3/2]], [[1/2], [0], [7/2], [-1]]], 1, 384, [], [] >,
< [ -1, 1 ], [[13230]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [1/2], [2]], [[0], [0], [2], [-1]], [[0], [21/2], [1], [-1/2]]], [[[1], [0], [0], [0]], [[0], [21/11], [-2/11], [28/11]], [[1/2], [-63/22], [17/22], [59/22]], [[1/2], [21/11], [73/22], [-16/11]]], 1, 384, [], [] >,
< [ -1, 1 ], [[13230]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[1/2], [0], [5/2], [-2]], [[1/2], [21/2], [1/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [21/11], [-37/22], [-5/11]], [[1/2], [21/22], [53/22], [17/22]], [[0], [0], [2], [-7]]], 1, 384, [], [] >,
< [ -1, 1 ], [[13230]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [3], [0], [-6]], [[1/2], [5/2], [21/2], [-5/2]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [-21/22], [-111/22]], [[0], [5], [21/11], [-10/11]], [[0], [0], [63/11], [-30/11]]], 1, 576, [], [] >,
< [ -1, 1 ], [[1323]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [-3/2]], [[1/2], [5/2], [9/2], [-5/2]], [[0], [5], [-3/2], [11/2]]], [[[1], [0], [0], [0]], [[0], [9/2], [3/4], [3/4]], [[0], [3], [-3], [-3]], [[1/2], [-2], [15/4], [-13/4]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2646]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [9/2], [15/2]], [[1/2], [-15/2], [-3/2], [9/2]], [[0], [1], [10], [-2]]], [[[1], [0], [0], [0]], [[0], [32/5], [1], [-1/5]], [[0], [19/5], [-4], [-17/5]], [[1/2], [21/10], [-21/2], [147/10]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2646]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [-4]], [[1/2], [-7/2], [-7/2], [-7/2]], [[1/2], [-19/2], [41/2], [-25/2]]], [[[1], [0], [0], [0]], [[1/2], [-7/10], [7/2], [-49/10]], [[0], [51/5], [-3], [-18/5]], [[0], [6/5], [-9], [-33/5]]], 1, 96, [], [] >,
< [ -1, 1 ], [[18522]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [1]], [[0], [3], [0], [-6]], [[1/2], [-3/2], [21/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [3]], [[0], [5], [0], [-3]], [[1/2], [5/2], [21/2], [-3/2]]], 1, 672, [], [] >,
< [ -1, 1 ], [[18522]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [8], [0], [5]], [[1/2], [9/2], [21/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-1]], [[0], [1], [0], [5]], [[1/2], [-1/2], [21/2], [-5/2]]], 1, 672, [], [] >,
< [ -1, 1 ], [[9261]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[1/2], [-5/2], [-7], [1]], [[1/2], [11/2], [-7/2], [-17/2]]], [[[1], [0], [0], [0]], [[1/2], [9/2], [0], [0]], [[1/2], [-1/2], [-7/2], [7/2]], [[0], [0], [21/2], [21/2]]], 1, 672, [], [] >,
< [ -1, 1 ], [[9261]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[1/2], [7/2], [7/2], [-7/2]], [[0], [6], [-21/2], [-9/2]]], [[[1], [0], [0], [0]], [[1/2], [9/2], [0], [0]], [[0], [1], [-7/2], [7/2]], [[0], [0], [21/2], [21/2]]], 1, 672, [], [] >,
< [ -1, 1 ], [[36450]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9/2], [3/2]], [[1/2], [15/2], [0], [3]], [[0], [0], [9/2], [-15/2]]], [[[1], [0], [0], [0]], [[0], [0], [9/2], [3/2]], [[1/2], [15/2], [0], [0]], [[0], [0], [9/2], [-15/2]]], 0, 1296, [], [] >,
< [ -1, 1 ], [[1350]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3/2], [-3/2]], [[1/2], [-5/2], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3/2], [-1/2]], [[1/2], [15/2], [0], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[675]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/4], [3/2], [5/4]], [[0], [5/4], [-3/2], [5/4]], [[1/2], [5/4], [0], [-13/4]]], [[[1], [0], [0], [0]], [[1/2], [5/4], [0], [5/4]], [[0], [0], [3], [0]], [[1/2], [-5/2], [3/2], [2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[675]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [-5/4], [0], [1/4]], [[0], [0], [3], [0]], [[0], [5/4], [3/2], [17/4]]], [[[1], [0], [0], [0]], [[0], [5/4], [3/2], [-1/4]], [[0], [5/4], [-3/2], [-1/4]], [[1/2], [-5/4], [0], [-17/4]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1350]], [ -2 ], [ -5 ], [[[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[0], [15/4], [-7/2], [-13/4]], [[0], [15/2], [2], [5/2]]], [[[1], [0], [0], [0]], [[0], [15/7], [-1], [-2/7]], [[0], [15/28], [5/2], [47/28]], [[1/2], [0], [-7/2], [7/2]]], 1, 144, [], [] >,
< [ -1, 1 ], [[1350]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [0], [-3/2], [3/2]], [[0], [15/4], [-1/2], [-1/4]], [[1/2], [0], [5/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [75/28], [3/2], [39/28]], [[0], [45/28], [5/2], [-55/28]], [[1/2], [-75/28], [1], [59/28]]], 1, 144, [], [] >,
< [ -1, 1 ], [[675]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-1]], [[1/2], [3/2], [0], [3]], [[0], [1], [15/2], [-1/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [-1]], [[0], [6], [0], [-3]], [[0], [3], [15/2], [-3/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1350]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [9/2], [-3/2]], [[0], [5], [0], [0]], [[0], [2], [3/2], [9/2]]], [[[1], [0], [0], [0]], [[1/2], [39/14], [-27/14], [7/2]], [[0], [30/7], [15/14], [-5/2]], [[0], [9/7], [-69/14], [-1/2]]], 1, 144, [], [] >,
< [ -1, 1 ], [[4725]], [ -7 ], [ -15 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[1/2], [15/2], [0], [0]]], [[[1], [0], [0], [0]], [[1/2], [0], [1/2], [1]], [[0], [0], [1], [-1]], [[1/2], [-15/2], [-1/2], [1/2]]], 1, 288, [], [] >,
< [ -1, 1 ], [[9450]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [1/2], [2]], [[0], [0], [2], [-1]], [[0], [15/2], [1], [-1/2]]], [[[0], [15/22], [4/11], [-13/22]], [[1], [0], [0], [0]], [[1/2], [-30/11], [45/22], [-18/11]], [[1/2], [-30/11], [-131/22], [-73/11]]], 1, 288, [], [] >,
< [ -1, 1 ], [[9450]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[1/2], [0], [5/2], [-2]], [[1/2], [15/2], [1/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [45/22], [12/11], [-39/22]], [[1/2], [15/11], [49/22], [20/11]], [[1/2], [-30/11], [45/22], [-18/11]]], 1, 288, [], [] >,
< [ -1, 1 ], [[9450]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [3], [0], [-6]], [[1/2], [5/2], [15/2], [-5/2]]], [[[1], [0], [0], [0]], [[1/2], [5/2], [45/22], [65/22]], [[1/2], [7/2], [15/22], [-59/22]], [[0], [3], [-60/11], [-6/11]]], 1, 288, [], [] >,
< [ -1, 1 ], [[14850]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [9/2], [-3/2], [1/2]], [[1/2], [-3/2], [-9/2], [3/2]], [[0], [0], [0], [5]]], [[[1], [0], [0], [0]], [[1/2], [-19/14], [-27/14], [-3/2]], [[0], [4/7], [-33/7], [3]], [[0], [46/7], [-12/7], [-3]]], 1, 480, [], [] >,
< [ -1, 1 ], [[163350]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [0], [15]], [[1/2], [-1/2], [-33/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [5]], [[0], [12/7], [-99/7], [-1]], [[1/2], [249/14], [-33/14], [3/2]]], 1, 5760, [], [] >,
< [ -1, 1 ], [[33075]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [7/2], [1/2]], [[1/2], [15/2], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[1/2], [0], [7/2], [-1]], [[0], [15/2], [0], [3/2]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[66150]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[1/2], [0], [1/2], [2]], [[0], [0], [2], [-1]], [[0], [105/2], [-1], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [105/22], [-21/22], [-3/22]], [[1/2], [0], [7/2], [-4]], [[0], [0], [8], [5]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[66150]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[1/2], [0], [5/2], [-2]], [[1/2], [-105/2], [1/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [105/22], [-21/22], [-3/22]], [[1/2], [0], [-13/2], [-2]], [[0], [0], [2], [-7]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[66150]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [3], [0], [-6]], [[1/2], [5/2], [-105/2], [-5/2]]], [[[1], [0], [0], [0]], [[1/2], [13/2], [-105/22], [-71/22]], [[1/2], [-3/2], [-105/22], [171/22]], [[1/2], [17/2], [105/22], [71/22]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[6750]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[1/2], [15/2], [0], [0]], [[0], [0], [15/2], [-1/2]]], [[[1], [0], [0], [0]], [[1/2], [-5/2], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [15/2], [3/2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[6750]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [5/2]], [[0], [0], [3/2], [-5/2]], [[1/2], [15/2], [0], [0]]], [[[1], [0], [0], [0]], [[1/2], [-5/2], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [3/2], [-15/2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[3375]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [9/2], [0], [4]], [[0], [6], [0], [-3]], [[0], [3], [15/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [3]], [[1/2], [-11/2], [15/2], [3/2]], [[1/2], [-11/2], [-15/2], [3/2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[3375]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [1]], [[1/2], [-3/2], [-15/2], [-1/2]], [[1/2], [9/2], [0], [-11]]], [[[1], [0], [0], [0]], [[1/2], [7/2], [0], [-3]], [[1/2], [-11/2], [0], [-6]], [[0], [1], [-15/2], [9/2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[3375]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [4]], [[1/2], [9/2], [-15/2], [3/2]], [[0], [9], [0], [3]]], [[[1], [0], [0], [0]], [[1/2], [5/2], [0], [5]], [[1/2], [-13/2], [0], [2]], [[0], [2], [15/2], [-7/2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[6750]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[1/2], [-11/2], [7/2], [-5/2]], [[1/2], [21/2], [-27/2], [-75/2]]], [[[1], [0], [0], [0]], [[0], [4], [-8], [-5]], [[0], [1], [-2], [10]], [[1/2], [35/2], [5/2], [5/2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[6750]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[1/2], [1/2], [13/2], [25/2]], [[1/2], [21/2], [-27/2], [15/2]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[1/2], [31/2], [13/2], [-5/2]], [[0], [7], [-14], [10]]], 1, 240, [], [] >,
< [ -1, 1 ], [[47250]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [7]], [[1/2], [-9/2], [15/2], [3/2]], [[0], [9], [0], [-3]]], [[[1], [0], [0], [0]], [[1/2], [5/2], [45/22], [65/22]], [[1/2], [-13/2], [105/22], [71/22]], [[0], [2], [120/11], [-109/11]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[330750]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [7], [0], [-4]], [[0], [3], [0], [9]], [[1/2], [3/2], [105/2], [9/2]]], [[[1], [0], [0], [0]], [[1/2], [13/2], [-105/22], [-71/22]], [[1/2], [-11/2], [105/22], [-413/22]], [[0], [12], [210/11], [21/11]]], 1, 11520, [], [] >,
< [ -1, 1 ], [[162]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [3/2], [-3/2]], [[0], [1], [3/2], [3/2]], [[0], [3], [0], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [0], [3]], [[0], [0], [9/2], [-3/2]]], 1, 18, [], [] >,
< [ -1, 1 ], [[162]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [1]], [[1/2], [5/2], [0], [1]], [[1/2], [-1/2], [9/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [2], [-3/2], [1/2]], [[1/2], [1/2], [-3/2], [-5/2]]], 1, 18, [], [] >,
< [ -1, 1 ], [[4374]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-9/2], [9/2], [9/2]], [[0], [9], [9], [0]], [[1/2], [-3/2], [21/2], [-15/2]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [-3/2]], [[0], [9], [9], [0]], [[0], [9], [-18], [27]]], 0, 162, [], [] >,
< [ -1, 1 ], [[162]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [-3/2]], [[1/2], [1/2], [5/2], [-7/2]], [[1/2], [-7/2], [1/2], [-5/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [1/2], [1/2]], [[0], [6], [3], [3]], [[0], [3], [6], [-3]]], 1, 10, [], [] >,
< [ -1, 1 ], [[405]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [3/2], [3/2]], [[0], [2], [-3/2], [3/2]], [[1/2], [-7/2], [-3], [3]]], [[[1], [0], [0], [0]], [[1/2], [-5/2], [0], [0]], [[0], [1], [0], [-3]], [[1/2], [-1/2], [-9/2], [3/2]]], 1, 36, [], [] >,
< [ -1, 1 ], [[810]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [-5/2], [-5/2]], [[0], [3], [-6], [3]], [[1/2], [-5/2], [-5/2], [13/2]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-1]], [[0], [1], [-2], [4]], [[1/2], [17/2], [11/2], [5/2]]], 1, 36, [], [] >,
< [ -1, 1 ], [[810]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-7/2], [-1/2], [-1/2]], [[1/2], [-1/2], [-13/2], [5/2]], [[0], [3], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [2], [-4], [-7]], [[1/2], [19/2], [7/2], [1/2]]], 1, 36, [], [] >,
< [ -1, 1 ], [[1134]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-3/2], [1/2]], [[1/2], [5/2], [-3/2], [1/2]], [[1/2], [-1/2], [-3/2], [-5/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [2], [0], [1]], [[1/2], [1/2], [9/2], [-1/2]]], 1, 36, [], [] >,
< [ -1, 1 ], [[1134]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [3/2], [-3/2]], [[1/2], [-1/2], [-3/2], [-3/2]], [[0], [3], [0], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [3]], [[1/2], [1/2], [9/2], [3/2]]], 1, 36, [], [] >,
< [ -1, 1 ], [[567]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [5/2], [1/2]], [[1/2], [-3/2], [-3/2], [3/2]], [[1/2], [-5/2], [-1], [-2]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [3/2], [-3/2]], [[1/2], [-1/2], [-1/2], [-5/2]], [[1/2], [-5/2], [2], [1]]], 1, 36, [], [] >,
< [ -1, 1 ], [[2106]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [-1/2], [1]], [[1/2], [-3/2], [-1], [1/2]], [[0], [0], [3/2], [3/2]]], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[1/2], [9/2], [1], [-1/2]]], 1, 72, [], [] >,
< [ -1, 1 ], [[27378]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[1/2], [9/2], [0], [3/2]], [[1/2], [3/2], [13/2], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[1/2], [9/2], [0], [3/2]], [[0], [0], [13/2], [1/2]]], 1, 1008, [], [] >,
< [ -1, 1 ], [[7938]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [3]], [[1/2], [-1/2], [21/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [2], [0], [1]], [[1/2], [1/2], [-63/2], [-1/2]]], 1, 288, [], [] >,
< [ -1, 1 ], [[7938]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [3]], [[1/2], [-1/2], [21/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [3]], [[1/2], [1/2], [-63/2], [3/2]]], 1, 288, [], [] >,
< [ -1, 1 ], [[3969]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [9/2], [0], [0]], [[1/2], [-5/2], [7/2], [5/2]], [[0], [2], [7/2], [-13/2]]], [[[1], [0], [0], [0]], [[0], [1], [-7/2], [1/2]], [[1/2], [-9/2], [0], [0]], [[0], [0], [0], [9]]], 1, 288, [], [] >,
< [ -1, 1 ], [[2025]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [-3]], [[0], [6], [0], [-3]], [[1/2], [3/2], [-15/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-2]], [[0], [3], [0], [1]], [[1/2], [3/2], [45/2], [1/2]]], 1, 144, [], [] >,
< [ -1, 1 ], [[4050]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [13/2], [-5/2]], [[0], [10], [-5], [-5]], [[0], [7], [1], [10]]], [[[1], [0], [0], [0]], [[0], [4], [-8], [-5]], [[0], [1], [-2], [10]], [[1/2], [-23/2], [1/2], [-5/2]]], 1, 144, [], [] >,
< [ -1, 1 ], [[4050]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [1/2], [-5/2]], [[0], [4], [7], [10]], [[1/2], [-11/2], [37/2], [-5/2]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[1/2], [-17/2], [-11/2], [-5/2]], [[0], [7], [-14], [10]]], 1, 144, [], [] >,
< [ -1, 1 ], [[20250]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[1/2], [15/2], [0], [0]], [[1/2], [5/2], [15/2], [-1/2]]], [[[1], [0], [0], [0]], [[1/2], [-5/2], [0], [-1]], [[0], [0], [0], [3]], [[0], [0], [45/2], [3/2]]], 1, 720, [], [] >,
< [ -1, 1 ], [[20250]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [3/2], [5/2]], [[0], [5], [3/2], [5/2]], [[1/2], [5/2], [-6], [5]]], [[[1], [0], [0], [0]], [[1/2], [-5/2], [0], [-5]], [[1/2], [5/2], [9/2], [-5/2]], [[1/2], [-5/2], [9/2], [5/2]]], 1, 720, [], [] >,
< [ -1, 1 ], [[20250]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-13/2], [11/2], [-25/2]], [[1/2], [35/2], [5/2], [5/2]], [[0], [2], [-19], [-10]]], [[[1], [0], [0], [0]], [[0], [5], [-10], [5]], [[1/2], [-19/2], [-7/2], [35/2]], [[0], [14], [17], [5]]], 1, 720, [], [] >,
< [ -1, 1 ], [[486]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [-7/2], [-1/2]], [[1/2], [7/2], [5/2], [-7/2]], [[1/2], [13/2], [-1/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [4], [-1], [5]], [[1/2], [-9/2], [9/2], [9/2]]], 1, 18, [], [] >,
< [ -1, 1 ], [[24]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-1/2], [-3/2]], [[0], [1], [-1], [-1]], [[1/2], [-1/2], [-5/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [1/2], [1/2]], [[0], [2], [2], [0]], [[0], [0], [2], [-2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[96]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [2], [0], [2]], [[0], [2], [4], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [1], [1], [-3]], [[0], [1], [-3], [1]]], 0, 8, [], [] >,
< [ -1, 1 ], [[160]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [1], [0]], [[0], [1], [-1], [0]], [[0], [0], [0], [2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [2], [0], [0]]], 0, 8, [], [] >,
< [ -1, 1 ], [[40]], [ -2 ], [ -5 ], [[[1/2], [1/2], [-1/2], [0]], [[1/2], [-1/2], [1/2], [0]], [[1/2], [1/2], [1/2], [-1]], [[1/2], [-1/2], [-1/2], [-1]]], [[[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[1/2], [1], [1/2], [1/2]], [[1/2], [-1], [1/2], [1/2]]], 2, 4, [], [] >,
< [ -1, 1 ], [[480]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [-1]], [[0], [0], [2], [2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [1], [1], [1]], [[0], [1], [-1], [-1]]], 0, 16, [], [] >,
< [ -1, 1 ], [[120]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[1/2], [-1/2], [1/2], [-1/2]], [[0], [0], [1], [1]]], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]]], 1, 4, [], [] >,
< [ -1, 1 ], [[60]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [3/4], [0], [-3/4]], [[0], [1/2], [1], [1/2]], [[0], [1/2], [-1], [1/2]]], [[[1/2], [1/4], [0], [1/4]], [[1/2], [-1/4], [0], [-1/4]], [[0], [0], [2], [0]], [[0], [3/2], [-1], [-3/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[240]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1/2], [1], [1/2]], [[0], [1/2], [-1], [1/2]], [[0], [3], [0], [-3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [0], [2], [0]], [[0], [3/2], [-1], [-3/2]]], 0, 16, [], [] >,
< [ -1, 1 ], [[60]], [ -2 ], [ -5 ], [[[0], [1/4], [1/2], [1/4]], [[1], [0], [0], [0]], [[0], [1/4], [-1/2], [5/4]], [[0], [7/4], [-1/2], [-1/4]]], [[[0], [9/28], [1/2], [-11/28]], [[1], [0], [0], [0]], [[0], [4/7], [0], [6/7]], [[0], [5/4], [-3/2], [-3/4]]], 1, 4, [], [] >,
< [ -1, 1 ], [[160]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [3]], [[0], [1], [-3], [-1]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [3], [1]], [[0], [0], [2], [-6]]], 0, 12, [], [] >,
< [ -1, 1 ], [[60]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [-1/2], [-3/2]], [[1/2], [-3/2], [1/2], [-1/2]], [[0], [0], [2], [0]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [1]], [[0], [0], [2], [0]], [[0], [2], [-1], [-1]]], 2, 6, [], [] >,
< [ -1, 1 ], [[240]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [1], [2], [2]], [[0], [1], [-2], [2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [1], [0], [2]], [[0], [4], [0], [-2]]], 0, 12, [], [] >,
< [ -1, 1 ], [[60]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1/2], [-1/2]], [[0], [0], [1], [1]], [[0], [2], [-3/2], [3/2]]], [[[0], [2/7], [1/14], [1/2]], [[1], [0], [0], [0]], [[0], [13/7], [-9/7], [-1]], [[0], [17/7], [33/14], [-3/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[120]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-3/2], [1/2]], [[0], [3], [-1], [1]], [[1/2], [5/2], [-5/2], [-9/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-3/2], [-5/2]], [[0], [3], [-1], [1]], [[0], [1], [3], [-1]]], 1, 8, [], [] >,
< [ -1, 1 ], [[112]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [1], [1], [1]], [[0], [1], [-1], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]]], 0, 6, [], [] >,
< [ -1, 1 ], [[28]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[1/2], [-1/2], [1/2], [-1/2]], [[0], [0], [1], [1]]], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]]], 2, 3, [], [] >,
< [ -1, 1 ], [[28]], [ -7 ], [ -1 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [-1]]], [[[0], [1/3], [1/6], [1/6]], [[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [1], [-1], [-1]]], 1, 2, [], [] >,
< [ -1, 1 ], [[672]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [1]], [[0], [1], [-1], [-1]], [[0], [2], [2], [0]]], [[[1], [0], [0], [0]], [[0], [1], [1], [1]], [[0], [1], [-1], [1]], [[0], [2], [0], [-2]]], 0, 24, [], [] >,
< [ -1, 1 ], [[336]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [0]], [[0], [1], [0], [-2]], [[0], [2], [-1], [1]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [1], [1], [-1]], [[0], [4], [-2], [2]]], 0, 24, [], [] >,
< [ -1, 1 ], [[84]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[1/2], [1/2], [-3/2], [1/2]], [[1/2], [-3/2], [1/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[0], [0], [1], [1]], [[0], [2], [-1], [1]]], 2, 12, [], [] >,
< [ -1, 1 ], [[84]], [ -7 ], [ -1 ], [[[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [2], [1], [1]]], [[[1], [0], [0], [0]], [[0], [1/5], [-1/2], [-11/10]], [[0], [4/5], [-1], [3/5]], [[0], [7/5], [1], [-1/5]]], 1, 6, [], [] >,
< [ -1, 1 ], [[420]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [1], [0]], [[1/2], [1/2], [0], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [-1], [1/2], [0]], [[1/2], [0], [1/2], [1]]], 1, 8, [], [] >,
< [ -1, 1 ], [[1680]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [2], [0], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [2], [0]]], 0, 48, [], [] >,
< [ -1, 1 ], [[420]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [1/2], [-1], [1/2]], [[0], [0], [1], [1]]], [[[0], [15/22], [4/11], [-13/22]], [[1], [0], [0], [0]], [[0], [9/22], [-2/11], [23/22]], [[0], [7/22], [-15/11], [-9/22]]], 1, 24, [], [] >,
< [ -1, 1 ], [[140]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [-1], [0]], [[0], [1], [1], [-1]], [[1/2], [-3/2], [-1], [-2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/4], [5/4]], [[0], [0], [3/2], [-1/2]], [[0], [2], [-1], [-1]]], 1, 6, [], [] >,
< [ -1, 1 ], [[560]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [-1]], [[0], [2], [0], [2]], [[0], [0], [3], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-1/2]], [[0], [2], [-1], [-1]], [[0], [2], [1], [5]]], 0, 36, [], [] >,
< [ -1, 1 ], [[420]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]]], [[[1], [0], [0], [0]], [[0], [1], [1/11], [-12/11]], [[0], [1], [9/11], [13/11]], [[0], [1], [-20/11], [-2/11]]], 1, 24, [], [] >,
< [ -1, 1 ], [[56]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[1/2], [-1/2], [-3/2], [3/2]], [[1/2], [-5/2], [-3/2], [-5/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [1/2], [1/2]], [[1/2], [7/2], [5/2], [1/2]], [[1/2], [-5/2], [1/2], [-7/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[224]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [3], [3], [1]], [[0], [2], [0], [4]]], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [1], [3], [-3]], [[0], [6], [2], [4]]], 0, 16, [], [] >,
< [ -1, 1 ], [[336]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [0], [3], [-1]], [[0], [2], [-2], [-2]]], [[[1], [0], [0], [0]], [[0], [3], [1/2], [1/2]], [[0], [0], [3], [-1]], [[0], [2], [-2], [-2]]], 0, 16, [], [] >,
< [ -1, 1 ], [[84]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1], [-1]], [[0], [1], [-1], [-1]], [[0], [2], [0], [2]]], [[[1/2], [0], [3/4], [-1/4]], [[1/2], [0], [-3/4], [1/4]], [[0], [3], [1/2], [1/2]], [[0], [1], [1], [3]]], 1, 4, [], [] >,
< [ -1, 1 ], [[84]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [1]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-3/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [2/5], [-3/10], [9/10]], [[0], [1/5], [13/5], [1/5]], [[0], [12/5], [-3/10], [-11/10]]], 1, 4, [], [] >,
< [ -1, 1 ], [[84]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [2], [0]], [[0], [2], [-1], [-4]]], [[[1], [0], [0], [0]], [[0], [1/5], [-1], [7/5]], [[0], [3], [2], [1]], [[0], [2/5], [-3], [-11/5]]], 1, 8, [], [] >,
< [ -1, 1 ], [[420]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1/2], [3/2]], [[0], [0], [2], [-1]]], [[[1], [0], [0], [0]], [[0], [9/11], [-5/11], [6/11]], [[0], [10/11], [17/22], [-5/22]], [[0], [7/11], [-21/11], [-21/11]]], 1, 16, [], [] >,
< [ -1, 1 ], [[140]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [0]], [[0], [2], [1], [3]], [[0], [2], [1], [-4]]], [[[1], [0], [0], [0]], [[0], [7/3], [1/3], [2/3]], [[0], [1/3], [-2/3], [-7/3]], [[0], [1/3], [-17/3], [5/3]]], 1, 12, [], [] >,
< [ -1, 1 ], [[420]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [2], [0]], [[0], [2], [0], [-2]], [[1/2], [7/2], [-1], [5]]], [[[1], [0], [0], [0]], [[1/2], [3], [1/4], [-3/4]], [[1/2], [1], [-1/4], [-13/4]], [[1/2], [0], [-15/4], [5/4]]], 1, 16, [], [] >,
< [ -1, 1 ], [[1680]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [4], [1], [5]], [[0], [2], [8], [0]]], [[[1], [0], [0], [0]], [[0], [3], [-7/2], [1/2]], [[0], [1], [7/2], [-9/2]], [[0], [4], [1], [5]]], 0, 96, [], [] >,
< [ -1, 1 ], [[44]], [ -11 ], [ -1 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]]], [[[1/2], [0], [1/4], [1/4]], [[1/2], [0], [-1/4], [-1/4]], [[0], [1], [1], [-1]], [[0], [1], [-1], [1]]], 1, 3, [], [] >,
< [ -1, 1 ], [[176]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [2], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-3/2], [1/2]]], 0, 10, [], [] >,
< [ -1, 1 ], [[44]], [ -11 ], [ -1 ], [[[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [1]]], [[[0], [0], [5/6], [-1/6]], [[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1/6], [7/6]]], 1, 3, [], [] >,
< [ -1, 1 ], [[352]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [1], [2], [0]], [[0], [1], [0], [2]]], [[[1], [0], [0], [0]], [[0], [0], [5/3], [-1/3]], [[0], [1], [-1], [-1]], [[0], [2], [1/3], [7/3]]], 0, 20, [], [] >,
< [ -1, 1 ], [[132]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]]], [[[0], [1/5], [3/5], [-1/5]], [[1], [0], [0], [0]], [[0], [6/5], [-2/5], [-1/5]], [[0], [1/5], [-2/5], [-6/5]]], 1, 8, [], [] >,
< [ -1, 1 ], [[220]], [ -110 ], [ -3 ], [[[0], [0], [1/3], [1/3]], [[0], [1/2], [1/3], [-1/6]], [[0], [1/2], [-1/3], [1/6]], [[1], [0], [0], [0]]], [[[0], [1/6], [1/9], [-7/18]], [[0], [1/6], [-5/9], [-1/18]], [[0], [2/3], [1/9], [1/9]], [[1], [0], [0], [0]]], 1, 10, [], [] >,
< [ -1, 1 ], [[660]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [0]], [[0], [1], [0], [1]], [[0], [1], [2], [-2]]], [[[0], [1/7], [4/7], [0]], [[1], [0], [0], [0]], [[0], [12/7], [-1/7], [-2]], [[0], [12/7], [-1/7], [3]]], 1, 36, [], [] >,
< [ -1, 1 ], [[132]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [1]], [[1/2], [1/2], [-3/2], [-3/2]], [[1/2], [5/2], [3/2], [-1/2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [-1/2], [1/2]], [[1/2], [-5/2], [-1/2], [5/2]], [[0], [2], [3], [1]]], 2, 12, [], [] >,
< [ -1, 1 ], [[528]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [2]], [[0], [3], [0], [-2]], [[0], [1], [4], [0]]], [[[1], [0], [0], [0]], [[0], [1], [-1], [1]], [[0], [2], [3], [1]], [[0], [3], [-2], [-6]]], 0, 24, [], [] >,
< [ -1, 1 ], [[132]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [0], [1], [-2]], [[0], [2], [2], [1]]], [[[1], [0], [0], [0]], [[0], [7/5], [-4/5], [-2/5]], [[0], [6/5], [8/5], [-1/5]], [[0], [4/5], [-3/5], [16/5]]], 1, 6, [], [] >,
< [ -1, 1 ], [[132]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [3], [2], [2]], [[0], [2], [-5], [2]]], [[[1], [0], [0], [0]], [[0], [7/5], [-2], [1/5]], [[0], [9/5], [1], [-13/5]], [[0], [9/5], [3], [12/5]]], 1, 12, [], [] >,
< [ -1, 1 ], [[220]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [0]], [[1/2], [5/4], [1], [-1/4]], [[0], [1/2], [0], [-5/2]]], [[[1], [0], [0], [0]], [[1/2], [3/8], [-5/4], [-9/8]], [[0], [7/4], [1/2], [-1/4]], [[1/2], [-1/8], [-5/4], [11/8]]], 1, 8, [], [] >,
< [ -1, 1 ], [[880]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1/2], [-1], [5/2]], [[0], [2], [-2], [0]], [[0], [3/2], [3], [-1/2]]], [[[1], [0], [0], [0]], [[0], [7/4], [1/2], [-1/4]], [[0], [1/4], [-5/2], [1/4]], [[0], [3/4], [1/2], [19/4]]], 0, 48, [], [] >,
< [ -1, 1 ], [[660]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [1/2], [-1/2]], [[0], [1], [-1], [0]], [[0], [1], [1], [3]]], [[[0], [0], [1/7], [-4/7]], [[1], [0], [0], [0]], [[0], [1], [12/7], [1/7]], [[0], [4], [-5/2], [-1/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[220]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [1]], [[0], [1], [-3], [3]], [[0], [4], [-2], [-3]]], [[[1], [0], [0], [0]], [[0], [4/3], [-5/3], [7/3]], [[0], [7/3], [7/3], [1/3]], [[0], [11/3], [-10/3], [-7/3]]], 1, 18, [], [] >,
< [ -1, 1 ], [[924]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [0]], [[0], [1], [0], [-2]], [[0], [1], [-2], [1]]], [[[1], [0], [0], [0]], [[0], [4/5], [0], [3/5]], [[0], [3/5], [-1], [-4/5]], [[0], [3], [6], [-4]]], 1, 36, [], [] >,
< [ -1, 1 ], [[308]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [2], [0], [3]], [[0], [6], [-5], [-4]]], [[[1], [0], [0], [0]], [[0], [8/3], [-5/3], [-1/3]], [[0], [3], [2], [2]], [[0], [0], [4], [-5]]], 1, 24, [], [] >,
< [ -1, 1 ], [[52]], [ -2 ], [ -13 ], [[[0], [1/2], [0], [-1/2]], [[1/2], [1/2], [1/2], [0]], [[1/2], [-1/2], [-1/2], [0]], [[0], [1/2], [-1], [1/2]]], [[[1/2], [1/4], [0], [-1/4]], [[1/2], [-1/4], [0], [1/4]], [[0], [1/2], [1], [1/2]], [[0], [1/2], [-1], [1/2]]], 2, 6, [], [] >,
< [ -1, 1 ], [[208]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [1/2], [-1], [1/2]], [[0], [1], [0], [-1]], [[0], [0], [1], [1]]], [[[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [0], [2], [0]]], 0, 12, [], [] >,
< [ -1, 1 ], [[52]], [ -2 ], [ -13 ], [[[0], [1/4], [-1/2], [1/4]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [3/4], [1/2], [3/4]]], [[[0], [1/12], [1/6], [-1/4]], [[1], [0], [0], [0]], [[0], [5/12], [5/6], [3/4]], [[0], [13/12], [-5/6], [-1/4]]], 1, 3, [], [] >,
< [ -1, 1 ], [[312]], [ -13 ], [ -6 ], [[[1/2], [1/2], [1/2], [0]], [[1/2], [-1/2], [-1/2], [0]], [[1/2], [1/2], [-1/2], [1]], [[1/2], [1/2], [-1/2], [-1]]], [[[1/2], [1/2], [0], [-1/2]], [[1/2], [-1/2], [0], [1/2]], [[1/2], [1/2], [1], [1/2]], [[1/2], [1/2], [-1], [1/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[156]], [ -2 ], [ -13 ], [[[1/2], [3/4], [0], [1/4]], [[1/2], [-3/4], [0], [-1/4]], [[1/2], [1/4], [1], [-1/4]], [[0], [1/2], [-1], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/8], [1/4], [7/8]], [[0], [1/2], [-1], [1/2]], [[0], [5/4], [1/2], [1/4]]], 1, 8, [], [] >,
< [ -1, 1 ], [[624]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [1/2], [-1], [1/2]], [[0], [1/2], [-1], [-3/2]], [[0], [5/2], [1], [1/2]]], [[[1], [0], [0], [0]], [[0], [1/2], [-1], [1/2]], [[0], [5/4], [1/2], [1/4]], [[0], [1/2], [-1], [-7/2]]], 0, 48, [], [] >,
< [ -1, 1 ], [[260]], [ -2 ], [ -65 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [0], [1], [0]]], [[[0], [1/2], [0], [-1/2]], [[0], [1/3], [0], [2/3]], [[1], [0], [0], [0]], [[0], [0], [1], [0]]], 1, 12, [], [] >,
< [ -1, 1 ], [[780]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [1], [1/2], [1/2]], [[0], [1], [0], [-2]]], [[[0], [1/7], [6/7], [3/7]], [[1], [0], [0], [0]], [[0], [1], [-1/2], [1/2]], [[0], [8/7], [6/7], [-11/7]]], 1, 36, [], [] >,
< [ -1, 1 ], [[364]], [ -182 ], [ -11 ], [[[0], [0], [1/11], [3/11]], [[0], [0], [3/11], [-2/11]], [[0], [1/2], [-2/11], [-1/22]], [[1], [0], [0], [0]]], [[[0], [0], [4/33], [1/33]], [[0], [1/2], [-2/33], [-1/66]], [[0], [0], [7/33], [-23/33]], [[1], [0], [0], [0]]], 1, 18, [], [] >,
< [ -1, 1 ], [[52]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3], [2], [0]], [[0], [2], [-3], [0]]], [[[1], [0], [0], [0]], [[0], [1/3], [5/3], [-1/3]], [[0], [8/3], [1/3], [4/3]], [[0], [0], [0], [3]]], 1, 5, [], [] >,
< [ -1, 1 ], [[156]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [2], [-1]], [[0], [3], [-2], [-1]], [[0], [2], [1], [3]]], [[[1], [0], [0], [0]], [[0], [1/5], [7/5], [-1]], [[0], [19/5], [8/5], [3]], [[0], [1], [-3], [-4]]], 1, 14, [], [] >,
< [ -1, 1 ], [[68]], [ -17 ], [ -3 ], [[[1/2], [0], [1/2], [0]], [[1/2], [0], [-1/2], [0]], [[0], [0], [1/3], [-2/3]], [[0], [1], [1/3], [1/3]]], [[[0], [0], [1/3], [-2/3]], [[0], [1/2], [-2/3], [-1/6]], [[1/2], [1/4], [2/3], [-1/12]], [[1/2], [-1/4], [-1/3], [-7/12]]], 1, 4, [], [] >,
< [ -1, 1 ], [[272]], [ -17 ], [ -3 ], [[[0], [0], [2/3], [2/3]], [[1], [0], [0], [0]], [[0], [1], [2/3], [-1/3]], [[0], [1], [-2/3], [1/3]]], [[[1], [0], [0], [0]], [[0], [1/2], [-1/3], [-5/6]], [[0], [1/2], [-1], [1/2]], [[0], [1], [2/3], [-1/3]]], 0, 16, [], [] >,
< [ -1, 1 ], [[68]], [ -17 ], [ -3 ], [[[0], [0], [1/3], [1/3]], [[0], [0], [1/3], [-2/3]], [[1], [0], [0], [0]], [[0], [1], [0], [0]]], [[[0], [1/3], [-1/9], [-4/9]], [[0], [1/3], [-4/9], [2/9]], [[1], [0], [0], [0]], [[0], [2/3], [7/9], [1/9]]], 1, 4, [], [] >,
< [ -1, 1 ], [[204]], [ -3 ], [ -34 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[0], [1], [0], [0]]], [[[0], [2/5], [1/10], [3/10]], [[0], [2/5], [-2/5], [-1/5]], [[1], [0], [0], [0]], [[0], [3/5], [9/10], [-13/10]]], 1, 8, [], [] >,
< [ -1, 1 ], [[476]], [ -238 ], [ -11 ], [[[0], [0], [2/11], [1/11]], [[0], [0], [3/11], [-4/11]], [[0], [1/2], [-1/11], [-1/22]], [[1], [0], [0], [0]]], [[[0], [1/6], [4/33], [5/22]], [[0], [1/3], [-1/33], [-2/11]], [[0], [1/6], [13/33], [-3/22]], [[1], [0], [0], [0]]], 1, 24, [], [] >,
< [ -1, 1 ], [[68]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [4], [0], [-1]], [[0], [1], [0], [4]]], [[[1], [0], [0], [0]], [[0], [4/3], [-1/3], [-1/3]], [[0], [4/3], [8/3], [-1/3]], [[0], [1], [0], [4]]], 1, 6, [], [] >,
< [ -1, 1 ], [[816]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [4], [-1], [-1]], [[0], [2], [0], [8]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [4], [-1], [-1]], [[0], [1], [-1/2], [-9/2]]], 0, 36, [], [] >,
< [ -1, 1 ], [[204]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[1/2], [1/2], [0], [2]], [[0], [4], [-1], [-1]]], [[[1], [0], [0], [0]], [[1/2], [1], [-5/4], [-1/4]], [[0], [2], [3/2], [-1/2]], [[1/2], [0], [-3/4], [17/4]]], 1, 6, [], [] >,
< [ -1, 1 ], [[204]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [-2]], [[0], [2], [-2], [3]], [[0], [3], [3], [0]]], [[[1], [0], [0], [0]], [[0], [0], [7/5], [-1/5]], [[0], [1], [0], [5]], [[0], [7], [-1/5], [-7/5]]], 1, 18, [], [] >,
< [ -1, 1 ], [[1020]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [1], [3/2], [1/2]], [[0], [4], [-5/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [1], [-13/14], [-3/14]], [[0], [1], [2/7], [8/7]], [[0], [2], [3], [-2]]], 1, 36, [], [] >,
< [ -1, 1 ], [[304]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [2], [0], [0]]], [[[1], [0], [0], [0]], [[0], [1], [1/2], [-1/2]], [[0], [1], [-1/2], [1/2]], [[0], [0], [2], [2]]], 0, 18, [], [] >,
< [ -1, 1 ], [[76]], [ -19 ], [ -1 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]]], [[[1/2], [0], [1/4], [3/4]], [[1/2], [0], [-1/4], [-3/4]], [[0], [1], [1/2], [-1/2]], [[0], [1], [-1/2], [1/2]]], 1, 3, [], [] >,
< [ -1, 1 ], [[228]], [ -19 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[0], [1], [0], [0]]], [[[0], [1/5], [1/5], [0]], [[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [6/5], [-13/10], [-1/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[228]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[1/2], [1/2], [-1], [1]], [[1/2], [-3/2], [0], [0]]], [[[1], [0], [0], [0]], [[0], [1], [-1/2], [1/2]], [[1/2], [0], [-5/4], [1/4]], [[0], [1], [0], [-2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[912]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [2], [-1], [1]], [[0], [2], [2], [-2]]], [[[1], [0], [0], [0]], [[0], [1], [-1/2], [1/2]], [[0], [0], [2], [2]], [[0], [2], [2], [-2]]], 0, 72, [], [] >,
< [ -1, 1 ], [[380]], [ -5 ], [ -38 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[0], [1], [0], [0]]], [[[0], [1/3], [0], [-2/3]], [[0], [2/3], [1/2], [1/6]], [[0], [2/3], [-1/2], [1/6]], [[1], [0], [0], [0]]], 1, 18, [], [] >,
< [ -1, 1 ], [[76]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1], [1]], [[0], [3], [-2], [0]], [[0], [0], [3], [-2]]], [[[1], [0], [0], [0]], [[0], [1/3], [4/3], [-1/3]], [[0], [8/3], [-1/3], [-5/3]], [[0], [7/3], [1/3], [11/3]]], 1, 5, [], [] >,
< [ -1, 1 ], [[380]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3], [0]], [[0], [3], [-1], [3]], [[0], [4], [-3], [-5]]], [[[1], [0], [0], [0]], [[0], [11/3], [-2/3], [1/3]], [[0], [5/3], [10/3], [-8/3]], [[0], [1/3], [-7/3], [-16/3]]], 1, 30, [], [] >,
< [ -1, 1 ], [[276]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [-2], [0]], [[0], [1], [0], [2]], [[0], [4], [1], [-3]]], [[[1], [0], [0], [0]], [[1/2], [-1], [1], [-3/2]], [[0], [0], [2], [1]], [[1/2], [-4], [-2], [5/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[1104]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [4]], [[0], [0], [4], [2]], [[0], [4], [1], [-3]]], [[[1], [0], [0], [0]], [[0], [2], [0], [4]], [[0], [0], [4], [2]], [[0], [5], [-1], [-2]]], 0, 48, [], [] >,
< [ -1, 1 ], [[276]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-1], [-1]], [[0], [1], [-3], [2]], [[0], [2], [5], [3]]], [[[1], [0], [0], [0]], [[0], [11/5], [2/5], [0]], [[0], [1], [-3], [2]], [[0], [4/5], [-22/5], [-7]]], 1, 24, [], [] >,
< [ -1, 1 ], [[348]], [ -10 ], [ -174 ], [[[0], [1/5], [0], [-1/5]], [[0], [1/5], [0], [3/10]], [[0], [1/10], [1/2], [-1/10]], [[1], [0], [0], [0]]], [[[0], [1/5], [0], [-1/5]], [[0], [7/25], [0], [11/50]], [[0], [1/10], [1/2], [-1/10]], [[1], [0], [0], [0]]], 1, 14, [], [] >,
< [ -1, 1 ], [[116]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-1]], [[0], [1], [-2], [1]], [[0], [2], [3], [4]]], [[[1], [0], [0], [0]], [[0], [1/3], [2/3], [-2/3]], [[0], [14/3], [-8/3], [-1/3]], [[0], [2], [3], [4]]], 1, 9, [], [] >,
< [ -1, 1 ], [[372]], [ -10 ], [ -186 ], [[[0], [1/5], [0], [-1/10]], [[0], [1/5], [0], [2/5]], [[0], [1/10], [1/2], [1/5]], [[1], [0], [0], [0]]], [[[0], [4/25], [0], [1/50]], [[0], [1/10], [1/2], [-3/10]], [[0], [1/10], [-1/2], [-3/10]], [[1], [0], [0], [0]]], 1, 18, [], [] >,
< [ -1, 1 ], [[124]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [1]], [[0], [1], [1], [-3]], [[0], [2], [3], [2]]], [[[1], [0], [0], [0]], [[0], [5/3], [-1/3], [-1/3]], [[0], [4/3], [13/3], [-2/3]], [[0], [1], [-2], [4]]], 1, 8, [], [] >,
< [ -1, 1 ], [[148]], [ -2 ], [ -37 ], [[[1/2], [1/4], [0], [-1/4]], [[1/2], [-1/4], [0], [1/4]], [[0], [1/2], [1], [1/2]], [[0], [1/2], [-1], [1/2]]], [[[1/2], [1/8], [1/4], [-3/8]], [[1/2], [-1/8], [-1/4], [3/8]], [[0], [3/4], [-1/2], [-1/4]], [[0], [3/4], [1/2], [3/4]]], 1, 6, [], [] >,
< [ -1, 1 ], [[592]], [ -2 ], [ -37 ], [[[1], [0], [0], [0]], [[0], [1/2], [1], [1/2]], [[0], [1/2], [-1], [1/2]], [[0], [1], [0], [-1]]], [[[1], [0], [0], [0]], [[0], [3/4], [1/2], [3/4]], [[0], [1/2], [-1], [1/2]], [[0], [1], [0], [-1]]], 0, 36, [], [] >,
< [ -1, 1 ], [[444]], [ -222 ], [ -13 ], [[[0], [0], [3/13], [2/13]], [[0], [0], [2/13], [-3/13]], [[0], [1/2], [-1/13], [3/26]], [[1], [0], [0], [0]]], [[[0], [1/10], [-12/65], [23/130]], [[0], [0], [3/13], [2/13]], [[0], [1/2], [1/13], [-3/26]], [[1], [0], [0], [0]]], 1, 18, [], [] >,
< [ -1, 1 ], [[188]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [3], [2], [0]], [[0], [1], [-3], [4]]], [[[1], [0], [0], [0]], [[0], [2/3], [5/3], [-4/3]], [[0], [5/3], [5/3], [11/3]], [[0], [3], [-4], [-2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[284]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [-3]], [[0], [4], [0], [1]], [[0], [1], [5], [0]]], [[[1], [0], [0], [0]], [[0], [1/3], [7/3], [7/3]], [[0], [2/3], [8/3], [-7/3]], [[0], [17/3], [-4/3], [8/3]]], 1, 18, [], [] >,
< [ -1, 1 ], [[20164]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [14], [-4]], [[0], [15], [-3], [11]], [[0], [5], [-1], [-20]]], [[[1], [0], [0], [0]], [[0], [35/3], [-7/3], [2/3]], [[0], [7/3], [-44/3], [43/3]], [[0], [4], [-15], [-16]]], 1, 1260, [], [] >,
< [ -1, 1 ], [[8836]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [9]], [[0], [15], [1], [-3]], [[0], [7], [13], [8]]], [[[1], [0], [0], [0]], [[0], [25/3], [-14/3], [-5/3]], [[0], [1/3], [22/3], [28/3]], [[0], [34/3], [43/3], [-35/3]]], 1, 552, [], [] >,
< [ -1, 1 ], [[21904]], [ -2 ], [ -37 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [37/2], [-1], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [37/4], [-1/2], [5/4]]], 0, 1368, [], [] >,
< [ -1, 1 ], [[5476]], [ -2 ], [ -37 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[1/2], [37/4], [0], [3/4]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [2], [-2]], [[1/2], [37/8], [-3/4], [1/8]]], 1, 228, [], [] >,
< [ -1, 1 ], [[16428]], [ -222 ], [ -13 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [0], [37/13], [3/13]]], [[[0], [3/5], [-37/65], [-16/65]], [[1], [0], [0], [0]], [[0], [9/10], [37/65], [-33/130]], [[0], [1/2], [0], [3/2]]], 1, 684, [], [] >,
< [ -1, 1 ], [[11532]], [ -10 ], [ -186 ], [[[0], [0], [0], [1/2]], [[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [31/10], [1/2], [1/5]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [31/50], [-1/2], [-43/50]], [[0], [31/25], [0], [39/50]]], 1, 480, [], [] >,
< [ -1, 1 ], [[3844]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [7], [3]], [[0], [5], [2], [-8]], [[0], [13], [-1], [4]]], [[[1], [0], [0], [0]], [[0], [5/3], [2/3], [23/3]], [[0], [1/3], [19/3], [-14/3]], [[0], [16], [-6], [-7]]], 1, 240, [], [] >,
< [ -1, 1 ], [[10092]], [ -10 ], [ -174 ], [[[0], [0], [0], [1/2]], [[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [29/10], [-1/2], [1/10]]], [[[0], [29/50], [1/2], [-2/25]], [[0], [29/50], [-1/2], [-2/25]], [[1], [0], [0], [0]], [[0], [0], [0], [5/2]]], 1, 420, [], [] >,
< [ -1, 1 ], [[3364]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [4]], [[0], [3], [-10], [6]], [[0], [11], [2], [-7]]], [[[1], [0], [0], [0]], [[0], [14/3], [-8/3], [-1/3]], [[0], [2], [3], [4]], [[0], [29/3], [58/3], [-58/3]]], 1, 210, [], [] >,
< [ -1, 1 ], [[6348]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [-1], [-7]], [[1/2], [-7/2], [6], [-4]], [[1/2], [-11/2], [-7], [-3]]], [[[1], [0], [0], [0]], [[1/2], [-1], [5], [1/2]], [[1/2], [-9], [-1], [9/2]], [[1/2], [0], [0], [-23/2]]], 1, 176, [], [] >,
< [ -1, 1 ], [[25392]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-7], [-3]], [[0], [8], [6], [-4]], [[0], [10], [-4], [18]]], [[[1], [0], [0], [0]], [[0], [8], [6], [-4]], [[0], [1], [-5], [-12]], [[0], [11], [-9], [6]]], 0, 1056, [], [] >,
< [ -1, 1 ], [[6348]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [7], [8]], [[0], [6], [-10], [5]], [[0], [10], [-9], [-7]]], [[[1], [0], [0], [0]], [[0], [4/5], [-22/5], [-7]], [[0], [9], [8], [-4]], [[0], [59/5], [-37/5], [6]]], 1, 528, [], [] >,
< [ -1, 1 ], [[5776]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [19], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [4]], [[0], [1], [-19/2], [3/2]]], 0, 360, [], [] >,
< [ -1, 1 ], [[1444]], [ -19 ], [ -1 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [19], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [-2]], [[1/2], [1], [19/4], [1/4]]], 1, 60, [], [] >,
< [ -1, 1 ], [[4332]], [ -19 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [19/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3/5], [-19/10], [1/2]], [[0], [22/5], [19/10], [-1/2]]], 1, 180, [], [] >,
< [ -1, 1 ], [[17328]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-4]], [[0], [0], [19], [1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [4], [0], [4]], [[0], [1], [19/2], [-3/2]]], 0, 1440, [], [] >,
< [ -1, 1 ], [[4332]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]], [[1/2], [1/2], [0], [2]], [[0], [0], [19], [1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [5], [0], [2]], [[1/2], [2], [-19/4], [7/4]]], 1, 240, [], [] >,
< [ -1, 1 ], [[7220]], [ -5 ], [ -38 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[0], [19], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [1/2], [3/2]], [[0], [19/3], [0], [-2/3]]], 1, 360, [], [] >,
< [ -1, 1 ], [[1444]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-2], [-3]], [[0], [3], [-5], [2]], [[0], [4], [6], [9]]], [[[1], [0], [0], [0]], [[0], [7/3], [1/3], [11/3]], [[0], [5], [-2], [-3]], [[0], [17/3], [35/3], [-14/3]]], 1, 90, [], [] >,
< [ -1, 1 ], [[7220]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-1], [3]], [[0], [9], [-3], [-10]], [[0], [5], [30], [5]]], [[[1], [0], [0], [0]], [[0], [20/3], [25/3], [1/3]], [[0], [9], [-3], [9]], [[0], [6], [-2], [-13]]], 1, 540, [], [] >,
< [ -1, 1 ], [[1156]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[1/2], [0], [17/6], [-2/3]]], [[[1/2], [-3/4], [0], [1/4]], [[1], [0], [0], [0]], [[1/2], [1/4], [0], [5/4]], [[1/2], [-1/4], [17/3], [-7/12]]], 1, 48, [], [] >,
< [ -1, 1 ], [[4624]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [34/3], [-2/3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [0], [-2]], [[0], [1/2], [17/3], [-5/6]]], 0, 288, [], [] >,
< [ -1, 1 ], [[1156]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [17/3], [-1/3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2/3], [-17/9], [-5/9]], [[0], [1], [0], [-2]]], 1, 72, [], [] >,
< [ -1, 1 ], [[3468]], [ -3 ], [ -34 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[0], [17], [0], [0]]], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [17/5], [3/5], [-1/5]], [[0], [0], [5/2], [-5/2]]], 1, 144, [], [] >,
< [ -1, 1 ], [[8092]], [ -238 ], [ -11 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [0], [17/11], [3/11]]], [[[0], [1/3], [17/33], [1/11]], [[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [7/6], [-17/33], [9/22]]], 1, 432, [], [] >,
< [ -1, 1 ], [[1156]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-1]], [[0], [1], [0], [4]], [[0], [0], [17], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [4]], [[0], [4/3], [17/3], [-1/3]], [[0], [32/3], [-17/3], [-8/3]]], 1, 72, [], [] >,
< [ -1, 1 ], [[13872]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-2]], [[0], [2], [0], [8]], [[0], [4], [-17], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [8]], [[0], [3], [-17/2], [7/2]], [[0], [16], [0], [-4]]], 0, 576, [], [] >,
< [ -1, 1 ], [[3468]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [-2]], [[0], [8], [0], [-2]], [[0], [4], [-17], [-1]]], [[[1], [0], [0], [0]], [[1/2], [-3], [-17/4], [3/4]], [[1/2], [-4], [17/4], [21/4]], [[0], [2], [0], [8]]], 1, 96, [], [] >,
< [ -1, 1 ], [[3468]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [3]], [[0], [10], [7], [-2]], [[0], [9], [-9], [-12]]], [[[1], [0], [0], [0]], [[0], [7], [-1/5], [-7/5]], [[0], [2], [7/5], [49/5]], [[0], [1], [63/5], [16/5]]], 1, 288, [], [] >,
< [ -1, 1 ], [[17340]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [3], [0]], [[0], [3], [-4], [0]], [[0], [1], [3/2], [-17/2]]], [[[1], [0], [0], [0]], [[0], [2], [25/14], [51/14]], [[0], [4], [8/7], [-17/7]], [[0], [3], [-73/14], [51/14]]], 1, 576, [], [] >,
< [ -1, 1 ], [[676]], [ -2 ], [ -13 ], [[[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[0], [0], [1], [1]], [[0], [13/2], [0], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[1/2], [13/4], [0], [3/4]]], 1, 84, [], [] >,
< [ -1, 1 ], [[2704]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [0], [2], [2]], [[0], [13/2], [0], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [13/2], [0], [-1/2]]], 0, 168, [], [] >,
< [ -1, 1 ], [[676]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [13/4], [1/2], [1/4]]], [[[1], [0], [0], [0]], [[0], [13/12], [-5/6], [-1/4]], [[0], [0], [0], [2]], [[0], [13/12], [13/6], [3/4]]], 1, 42, [], [] >,
< [ -1, 1 ], [[4056]], [ -13 ], [ -6 ], [[[1/2], [1/2], [0], [-1/2]], [[1/2], [-1/2], [0], [1/2]], [[0], [1], [0], [1]], [[1/2], [1/2], [-13], [1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[1/2], [-1/2], [13/2], [0]]], 1, 112, [], [] >,
< [ -1, 1 ], [[2028]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [-1]], [[1/2], [13/4], [1], [3/4]]], [[[1], [0], [0], [0]], [[1/2], [13/8], [-1/4], [13/8]], [[1/2], [13/8], [-1/4], [-19/8]], [[0], [0], [3], [1]]], 1, 112, [], [] >,
< [ -1, 1 ], [[8112]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [6], [0]], [[0], [13/2], [-1], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [13/4], [5/2], [1/4]], [[0], [13/4], [-7/2], [-7/4]]], 0, 672, [], [] >,
< [ -1, 1 ], [[3380]], [ -2 ], [ -65 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [13/2], [0], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [13/6], [0], [-1/6]], [[0], [0], [0], [3]]], 1, 168, [], [] >,
< [ -1, 1 ], [[10140]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[0], [1], [13/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [13/7], [-13/7], [4/7]], [[0], [20/7], [65/14], [15/14]]], 1, 504, [], [] >,
< [ -1, 1 ], [[4732]], [ -182 ], [ -11 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [0], [13/11], [-5/11]]], [[[0], [1/2], [13/33], [-43/66]], [[0], [1/2], [-13/33], [43/66]], [[0], [0], [13/33], [28/33]], [[1], [0], [0], [0]]], 1, 252, [], [] >,
< [ -1, 1 ], [[676]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [2], [0]], [[0], [2], [-3], [0]], [[0], [0], [0], [13]]], [[[1], [0], [0], [0]], [[0], [5], [-1], [0]], [[0], [7/3], [-4/3], [-13/3]], [[0], [4], [7], [0]]], 1, 42, [], [] >,
< [ -1, 1 ], [[2028]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3], [-4]], [[0], [6], [-5], [2]], [[0], [11], [6], [-5]]], [[[1], [0], [0], [0]], [[0], [19/5], [8/5], [3]], [[0], [1], [-3], [-4]], [[0], [13/5], [91/5], [-13]]], 1, 168, [], [] >,
< [ -1, 1 ], [[484]], [ -11 ], [ -1 ], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [11], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [-2]], [[1/2], [1], [11/4], [3/4]]], 1, 20, [], [] >,
< [ -1, 1 ], [[1936]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [11], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [4]], [[0], [1], [11/2], [-1/2]]], 0, 120, [], [] >,
< [ -1, 1 ], [[484]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [11/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [11/6], [5/6]], [[0], [0], [11/6], [-31/6]]], 1, 30, [], [] >,
< [ -1, 1 ], [[3872]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[0], [3], [0], [-2]], [[0], [0], [11], [1]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [-11/3], [-5/3]], [[0], [1], [11/3], [-13/3]]], 0, 240, [], [] >,
< [ -1, 1 ], [[1452]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [11], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2/5], [11/5], [3/5]], [[0], [3], [0], [-2]]], 1, 60, [], [] >,
< [ -1, 1 ], [[2420]], [ -110 ], [ -3 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [0], [11/3], [-1/3]]], [[[0], [1/2], [0], [1/2]], [[1], [0], [0], [0]], [[0], [1/6], [-11/9], [5/18]], [[0], [3/2], [0], [-3/2]]], 1, 120, [], [] >,
< [ -1, 1 ], [[7260]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [3], [0], [-2]], [[0], [1], [-11], [0]]], [[[1], [0], [0], [0]], [[0], [15/7], [11/7], [-2]], [[0], [15/7], [11/7], [3]], [[0], [19/7], [-22/7], [1]]], 1, 360, [], [] >,
< [ -1, 1 ], [[1452]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1], [-2]], [[0], [3], [-5], [-1]], [[1/2], [-15/2], [-4], [-3]]], [[[1], [0], [0], [0]], [[1/2], [-7/2], [-3/2], [-5/2]], [[0], [1], [2], [-4]], [[0], [3], [-5], [-1]]], 1, 120, [], [] >,
< [ -1, 1 ], [[5808]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [-4]], [[0], [4], [8], [6]], [[0], [10], [-2], [4]]], [[[1], [0], [0], [0]], [[0], [4], [-3], [-5]], [[0], [2], [-7], [3]], [[0], [7], [3], [5]]], 0, 240, [], [] >,
< [ -1, 1 ], [[1452]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [4]], [[0], [2], [4], [-3]], [[0], [5], [-1], [-2]]], [[[1], [0], [0], [0]], [[0], [13/5], [4/5], [-3/5]], [[0], [4/5], [-3/5], [16/5]], [[0], [12/5], [-64/5], [-7/5]]], 1, 60, [], [] >,
< [ -1, 1 ], [[1452]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-5], [2]], [[0], [5], [4], [5]], [[0], [3], [-2], [-8]]], [[[1], [0], [0], [0]], [[0], [9/5], [1], [-13/5]], [[0], [5], [4], [5]], [[0], [51/5], [-9], [18/5]]], 1, 120, [], [] >,
< [ -1, 1 ], [[2420]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [-3/4], [3], [-1/4]], [[1/2], [11/4], [0], [-11/4]], [[0], [5/2], [1], [9/2]]], [[[1], [0], [0], [0]], [[0], [5/4], [1/2], [9/4]], [[0], [2], [3], [-3]], [[1/2], [-33/8], [11/4], [11/8]]], 1, 80, [], [] >,
< [ -1, 1 ], [[9680]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [7/2], [-3], [-5/2]], [[0], [5/2], [1], [9/2]], [[0], [4], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [13/4], [7/2], [-3/4]], [[0], [5/2], [1], [9/2]], [[0], [25/4], [-17/2], [1/4]]], 0, 480, [], [] >,
< [ -1, 1 ], [[7260]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [-1/2], [-1/2]], [[0], [1], [5/2], [5/2]], [[0], [0], [11/2], [-11/2]]], [[[1], [0], [0], [0]], [[0], [1], [12/7], [1/7]], [[0], [4], [-25/14], [-47/14]], [[0], [4], [-47/14], [41/14]]], 1, 240, [], [] >,
< [ -1, 1 ], [[2420]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [7], [-4], [1]], [[0], [1], [1], [8]], [[0], [7], [7], [1]]], [[[1], [0], [0], [0]], [[0], [7/3], [7/3], [1/3]], [[0], [6], [-5], [-7]], [[0], [31/3], [-35/3], [28/3]]], 1, 180, [], [] >,
< [ -1, 1 ], [[10164]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [1]], [[0], [4], [-3], [2]], [[0], [1], [2], [-5]]], [[[1], [0], [0], [0]], [[0], [3/5], [-1], [-4/5]], [[0], [3], [6], [-4]], [[0], [44/5], [0], [33/5]]], 1, 360, [], [] >,
< [ -1, 1 ], [[3388]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [4], [1]], [[0], [6], [-5], [-4]], [[0], [5], [-6], [15]]], [[[1], [0], [0], [0]], [[0], [7/3], [-4/3], [-23/3]], [[0], [1/3], [23/3], [-8/3]], [[0], [35/3], [13/3], [17/3]]], 1, 240, [], [] >,
< [ -1, 1 ], [[784]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [-2]], [[0], [0], [7], [1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [14], [0]]], 0, 48, [], [] >,
< [ -1, 1 ], [[196]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [2]], [[1/2], [1/2], [7/2], [1/2]]], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [7], [-1]]], 1, 24, [], [] >,
< [ -1, 1 ], [[196]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [7/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [1/3], [7/6], [-5/6]], [[0], [2/3], [-7/6], [-7/6]], [[0], [2], [0], [2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[4704]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [4]], [[0], [1], [-7], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [1], [7], [-1]]], 0, 192, [], [] >,
< [ -1, 1 ], [[588]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]], [[1/2], [1/2], [0], [2]], [[0], [0], [7], [1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [2], [0], [2]], [[1/2], [-3/2], [7/2], [1/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2352]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [2], [0], [2]], [[0], [1], [14], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [5], [0], [2]], [[0], [2], [-7], [1]]], 0, 192, [], [] >,
< [ -1, 1 ], [[588]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [2], [0], [2]], [[0], [1], [7/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [11/5], [0], [2/5]], [[0], [2/5], [0], [14/5]], [[0], [2/5], [-7/2], [3/10]]], 1, 48, [], [] >,
< [ -1, 1 ], [[11760]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [7], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [14], [0]]], 0, 384, [], [] >,
< [ -1, 1 ], [[2940]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [0], [1]], [[1/2], [1/2], [7], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[1/2], [1], [7/2], [0]]], 1, 64, [], [] >,
< [ -1, 1 ], [[2940]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-2]], [[0], [7/2], [1], [-1/2]]], [[[1], [0], [0], [0]], [[0], [7/22], [-15/11], [-9/22]], [[0], [21/22], [10/11], [-49/22]], [[0], [63/22], [8/11], [7/22]]], 1, 192, [], [] >,
< [ -1, 1 ], [[980]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [1]], [[0], [2], [0], [2]], [[0], [0], [7], [1]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [7/4], [3/4]], [[1/2], [-3/2], [-7/4], [13/4]], [[1/2], [9/2], [-7/4], [-3/4]]], 1, 48, [], [] >,
< [ -1, 1 ], [[3920]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [0], [7], [1]], [[0], [6], [0], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [7/2], [-5/2]], [[0], [4], [-7/2], [-3/2]], [[0], [4], [0], [4]]], 0, 288, [], [] >,
< [ -1, 1 ], [[2940]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[0], [0], [7], [0]]], [[[1], [0], [0], [0]], [[0], [0], [21/11], [-10/11]], [[0], [1], [-7/11], [-37/11]], [[0], [5], [0], [0]]], 1, 144, [], [] >,
< [ -1, 1 ], [[1568]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-3], [1]], [[0], [3], [1], [-5]], [[0], [2], [10], [6]]], [[[1], [0], [0], [0]], [[0], [5], [-3], [1]], [[0], [4], [6], [-2]], [[0], [2], [-4], [-8]]], 0, 96, [], [] >,
< [ -1, 1 ], [[392]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [-3/2], [1/2]], [[0], [3], [1], [-5]], [[0], [1], [5], [3]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [1/2], [9/2]], [[1/2], [-1/2], [9/2], [-3/2]], [[1/2], [-9/2], [-3/2], [1/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[588]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[1/2], [5/2], [1], [1]], [[0], [0], [7], [-7]]], [[[1], [0], [0], [0]], [[0], [3], [1/2], [1/2]], [[0], [2], [-2], [-2]], [[1/2], [-1], [11/4], [-17/4]]], 1, 16, [], [] >,
< [ -1, 1 ], [[2352]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [4], [3], [3]], [[0], [0], [7], [-7]]], [[[1], [0], [0], [0]], [[0], [3], [1/2], [1/2]], [[0], [2], [-2], [-2]], [[0], [0], [14], [-14]]], 0, 96, [], [] >,
< [ -1, 1 ], [[588]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [1]], [[0], [0], [7/2], [7/2]], [[0], [5], [2], [-2]]], [[[1], [0], [0], [0]], [[0], [1/5], [13/5], [1/5]], [[0], [12/5], [-3/10], [-11/10]], [[0], [3], [1/2], [13/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[588]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [2], [1]], [[0], [2], [-1], [-4]], [[0], [5], [-6], [4]]], [[[1], [0], [0], [0]], [[0], [3], [2], [1]], [[0], [2/5], [-3], [-11/5]], [[0], [7/5], [-7], [49/5]]], 1, 48, [], [] >,
< [ -1, 1 ], [[2940]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1/2], [3/2]], [[0], [0], [2], [-1]], [[0], [7], [0], [0]]], [[[1], [0], [0], [0]], [[0], [28/11], [-3/22], [19/22]], [[0], [7/11], [-21/11], [-21/11]], [[0], [21/11], [61/22], [-27/22]]], 1, 96, [], [] >,
< [ -1, 1 ], [[980]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [3]], [[0], [2], [1], [-4]], [[0], [7], [-14], [0]]], [[[1], [0], [0], [0]], [[0], [2], [1], [3]], [[0], [1/3], [-17/3], [5/3]], [[0], [31/3], [-2/3], [-13/3]]], 1, 72, [], [] >,
< [ -1, 1 ], [[11760]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [1], [1]], [[0], [0], [7], [-7]], [[0], [6], [-8], [-8]]], [[[1], [0], [0], [0]], [[0], [1], [9/2], [9/2]], [[0], [8], [1], [1]], [[0], [0], [14], [-14]]], 0, 576, [], [] >,
< [ -1, 1 ], [[2940]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [2], [2]], [[1/2], [13/2], [3], [3]], [[0], [0], [7], [-7]]], [[[1], [0], [0], [0]], [[1/2], [-2], [13/4], [-15/4]], [[0], [1], [9/2], [9/2]], [[1/2], [6], [17/4], [-11/4]]], 1, 96, [], [] >,
< [ -1, 1 ], [[6468]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [4], [0], [3]], [[0], [2], [-7], [1]]], [[[1], [0], [0], [0]], [[0], [4/5], [0], [3/5]], [[0], [12/5], [7], [-16/5]], [[0], [21/5], [-7], [-28/5]]], 1, 288, [], [] >,
< [ -1, 1 ], [[2156]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [4]], [[0], [6], [-5], [-4]], [[0], [9], [10], [1]]], [[[1], [0], [0], [0]], [[0], [17/3], [1/3], [5/3]], [[0], [5], [-3], [-8]], [[0], [7/3], [-28/3], [7/3]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2548]], [ -182 ], [ -11 ], [[[0], [0], [7/11], [-1/11]], [[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]]], [[[0], [1/2], [14/33], [7/66]], [[0], [1/2], [-14/33], [-7/66]], [[0], [0], [7/33], [-23/33]], [[1], [0], [0], [0]]], 1, 144, [], [] >,
< [ -1, 1 ], [[3332]], [ -238 ], [ -11 ], [[[0], [0], [7/11], [-2/11]], [[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]]], [[[0], [1/6], [-14/33], [-1/22]], [[0], [2/3], [7/33], [3/11]], [[1], [0], [0], [0]], [[0], [0], [0], [1]]], 1, 192, [], [] >,
< [ -1, 1 ], [[56644]], [ -238 ], [ -11 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [0], [119/11], [-1/11]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3/2], [0], [-1/2]], [[0], [2/3], [-119/33], [4/11]]], 1, 3456, [], [] >,
< [ -1, 1 ], [[33124]], [ -182 ], [ -11 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [0], [91/11], [-2/11]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [1/2], [0], [-3/2]], [[0], [0], [91/33], [-2/33]]], 1, 2016, [], [] >,
< [ -1, 1 ], [[71148]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-7], [1]], [[0], [11], [0], [0]], [[0], [0], [0], [11]]], [[[1], [0], [0], [0]], [[0], [12/5], [7], [-16/5]], [[0], [21/5], [-7], [-28/5]], [[0], [44/5], [0], [33/5]]], 1, 2880, [], [] >,
< [ -1, 1 ], [[23716]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-5], [-4]], [[0], [13], [2], [17]], [[0], [15], [26], [-10]]], [[[1], [0], [0], [0]], [[0], [8/3], [19/3], [-31/3]], [[0], [29/3], [40/3], [32/3]], [[0], [46/3], [-64/3], [-5/3]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[1372]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-1]], [[1/2], [-5/2], [0], [-3]], [[1/2], [-1/2], [-7], [-2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [-1]], [[1/2], [-11/2], [0], [-3]], [[0], [3], [7], [1]]], 1, 56, [], [] >,
< [ -1, 1 ], [[5488]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [2]], [[0], [2], [0], [-6]], [[0], [2], [7], [1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [6], [0], [2]], [[0], [2], [-7], [3]]], 0, 336, [], [] >,
< [ -1, 1 ], [[4116]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [7], [0]], [[0], [0], [0], [7]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [4], [0], [3]], [[0], [0], [7], [0]]], 1, 168, [], [] >,
< [ -1, 1 ], [[8232]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [-7/2], [-1/2]], [[0], [2], [0], [-4]], [[1/2], [9/2], [-7/2], [3/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-7/2], [-5/2]], [[0], [2], [0], [-4]], [[1/2], [7/2], [-7/2], [7/2]]], 1, 224, [], [] >,
< [ -1, 1 ], [[4116]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[1/2], [11/2], [0], [-5]], [[1/2], [3/2], [7], [-2]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[1/2], [-1/2], [-7], [0]], [[1/2], [-1/2], [0], [7]]], 1, 224, [], [] >,
< [ -1, 1 ], [[16464]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [-7], [-3]], [[0], [14], [14], [-14]]], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [7], [7]], [[0], [2], [-7], [7]]], 0, 1344, [], [] >,
< [ -1, 1 ], [[6860]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [1]], [[0], [0], [1], [-3]], [[0], [7/2], [1], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [7/2], [2], [3/2]], [[0], [7/2], [-2], [-3/2]]], 1, 336, [], [] >,
< [ -1, 1 ], [[100]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [-1]], [[0], [2], [1], [-2]], [[0], [3], [-1], [2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [5], [0], [0]], [[0], [0], [0], [5]]], 1, 9, [], [] >,
< [ -1, 1 ], [[100]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [3], [0], [2]], [[0], [0], [5], [0]]], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[0], [3], [-2], [2]], [[0], [2], [-3], [-2]]], 1, 5, [], [] >,
< [ -1, 1 ], [[2500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [5], [5]], [[0], [5], [5], [-5]], [[0], [10], [-5], [0]]], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [5], [0]], [[0], [0], [0], [25]]], 0, 150, [], [] >,
< [ -1, 1 ], [[2500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [5], [0]], [[0], [5], [0], [-5]], [[0], [10], [0], [15]]], [[[1], [0], [0], [0]], [[0], [5], [-5], [0]], [[0], [0], [5], [-5]], [[0], [10], [5], [10]]], 0, 150, [], [] >,
< [ -1, 1 ], [[200]], [ -2 ], [ -5 ], [[[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[0], [0], [1], [1]], [[1/2], [5], [1/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[1/2], [5/2], [1/2], [0]]], 1, 24, [], [] >,
< [ -1, 1 ], [[800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [5], [-1], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [10], [0], [0]]], 0, 48, [], [] >,
< [ -1, 1 ], [[2400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [5], [-1], [1]]], 0, 96, [], [] >,
< [ -1, 1 ], [[600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[1/2], [-5/2], [1], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[1/2], [-5/2], [0], [0]]], 1, 16, [], [] >,
< [ -1, 1 ], [[1200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [5/2], [1], [5/2]], [[0], [5/2], [-1], [-7/2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [5/2], [-1], [-1/2]], [[0], [0], [0], [6]]], 0, 96, [], [] >,
< [ -1, 1 ], [[300]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [-5/4], [1], [1/4]], [[1/2], [-5/4], [-1], [1/4]], [[1/2], [5/4], [0], [11/4]]], [[[1], [0], [0], [0]], [[1/2], [5/4], [0], [5/4]], [[0], [0], [2], [0]], [[1/2], [-5/4], [1], [7/4]]], 1, 16, [], [] >,
< [ -1, 1 ], [[300]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [5/4], [-3/2], [-3/4]], [[0], [5/2], [1], [1/2]]], [[[1], [0], [0], [0]], [[0], [25/28], [1/2], [13/28]], [[0], [5/4], [-3/2], [-3/4]], [[0], [5/7], [2], [-17/7]]], 1, 24, [], [] >,
< [ -1, 1 ], [[800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [5], [1], [-3]], [[0], [5], [5], [5]]], [[[1], [0], [0], [0]], [[0], [5], [-1], [3]], [[0], [0], [6], [2]], [[0], [0], [2], [-6]]], 0, 48, [], [] >,
< [ -1, 1 ], [[1200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [4]], [[0], [3], [0], [-4]], [[0], [2], [-5], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[0], [4], [0], [-2]], [[0], [0], [10], [0]]], 0, 48, [], [] >,
< [ -1, 1 ], [[300]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[1/2], [-3/2], [-5/2], [-1/2]], [[1/2], [5/2], [-5/2], [-5/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [-1]], [[0], [4], [0], [-2]], [[0], [2], [-5], [-1]]], 1, 24, [], [] >,
< [ -1, 1 ], [[300]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1/2], [-3/2]], [[0], [1], [-3], [1]], [[0], [4], [1/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [13/7], [-9/7], [-1]], [[0], [10/7], [5/14], [5/2]], [[0], [17/7], [33/14], [-3/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [0]], [[0], [3], [-1], [-5]], [[1/2], [-7/2], [9/2], [-5/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-3/2], [-5/2]], [[1/2], [7/2], [1/2], [-5/2]], [[0], [3], [-11], [5]]], 1, 32, [], [] >,
< [ -1, 1 ], [[8400]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [5], [0], [1]]], 0, 288, [], [] >,
< [ -1, 1 ], [[2100]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[1/2], [-5/2], [1], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [0], [1/2], [1]], [[1/2], [5], [1/2], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[2100]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-2]], [[0], [5/2], [1], [-1/2]]], [[[0], [15/22], [4/11], [-13/22]], [[1], [0], [0], [0]], [[0], [20/11], [-15/11], [12/11]], [[0], [5/22], [-28/11], [-41/22]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2800]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [2], [-2]], [[0], [4], [-1], [1]], [[0], [0], [5], [5]]], [[[1], [0], [0], [0]], [[0], [2], [2], [-2]], [[0], [4], [3/2], [7/2]], [[0], [4], [-7/2], [-3/2]]], 0, 144, [], [] >,
< [ -1, 1 ], [[700]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[1/2], [1/2], [3], [2]], [[0], [3], [-2], [2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [7/4], [3/4]], [[1/2], [-3/2], [-1/4], [11/4]], [[0], [3], [-2], [2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[2100]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[0], [0], [5], [0]]], [[[1], [0], [0], [0]], [[0], [1], [-20/11], [-2/11]], [[0], [2], [10/11], [1/11]], [[0], [0], [5/11], [-60/11]]], 1, 72, [], [] >,
< [ -1, 1 ], [[2100]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1/2], [3/2]], [[0], [0], [2], [-1]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[0], [10/11], [17/22], [-5/22]], [[0], [25/11], [-31/11], [-9/11]], [[0], [10/11], [-5/22], [83/22]]], 1, 96, [], [] >,
< [ -1, 1 ], [[700]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [0]], [[0], [6], [3], [-5]], [[0], [2], [1], [10]]], [[[1], [0], [0], [0]], [[0], [8/3], [-1/3], [-5/3]], [[0], [1/3], [-17/3], [5/3]], [[0], [19/3], [7/3], [20/3]]], 1, 48, [], [] >,
< [ -1, 1 ], [[8400]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [7]], [[0], [6], [-7], [1]], [[0], [6], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [3], [-7/2], [1/2]], [[0], [9], [9/2], [-7/2]], [[0], [1], [11/2], [27/2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[2100]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [4], [-2]], [[1/2], [7/2], [-2], [-4]], [[1/2], [11/2], [-1], [3]]], [[[1], [0], [0], [0]], [[1/2], [-3], [-1/4], [3/4]], [[1/2], [0], [-15/4], [5/4]], [[1/2], [-4], [-23/4], [-51/4]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1100]], [ -110 ], [ -3 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [0], [5/3], [-1/3]]], [[[0], [1/6], [-5/9], [-1/18]], [[0], [1/2], [0], [1/2]], [[1], [0], [0], [0]], [[0], [4/3], [5/9], [-13/9]]], 1, 60, [], [] >,
< [ -1, 1 ], [[3300]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [-1]], [[0], [2], [1], [-2]], [[0], [3], [-1], [2]]], [[[1], [0], [0], [0]], [[0], [5/7], [20/7], [0]], [[0], [9/7], [-13/7], [-2]], [[0], [2], [1], [3]]], 1, 120, [], [] >,
< [ -1, 1 ], [[1100]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [5/4], [1], [-1/4]], [[1/2], [5/4], [-3], [-9/4]], [[0], [5/2], [-3], [5/2]]], [[[1], [0], [0], [0]], [[0], [5/4], [1/2], [9/4]], [[1/2], [15/8], [7/4], [-13/8]], [[1/2], [-5/8], [15/4], [7/8]]], 1, 48, [], [] >,
< [ -1, 1 ], [[4400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [2]], [[0], [5/2], [-3], [5/2]], [[0], [5], [4], [-1]]], [[[1], [0], [0], [0]], [[0], [15/4], [-3/2], [-1/4]], [[0], [5/2], [1], [9/2]], [[0], [5/4], [11/2], [-3/4]]], 0, 288, [], [] >,
< [ -1, 1 ], [[3300]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-1/2]], [[0], [0], [1/2], [7/2]], [[0], [5], [-1/2], [-3/2]]], [[[0], [0], [1/7], [-4/7]], [[1], [0], [0], [0]], [[0], [5], [-11/14], [-5/14]], [[0], [0], [127/14], [31/14]]], 1, 144, [], [] >,
< [ -1, 1 ], [[1100]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [5], [-1]], [[0], [5], [-5], [0]], [[0], [1], [0], [-7]]], [[[1], [0], [0], [0]], [[0], [4/3], [-5/3], [7/3]], [[0], [11/3], [-10/3], [-7/3]], [[0], [35/3], [35/3], [5/3]]], 1, 72, [], [] >,
< [ -1, 1 ], [[1300]], [ -2 ], [ -65 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [5/2], [0], [-1/2]]], [[[0], [5/6], [0], [1/6]], [[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [5/6], [0], [-17/6]]], 1, 72, [], [] >,
< [ -1, 1 ], [[3900]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[0], [1], [5/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [8/7], [5/14], [13/14]], [[0], [1], [0], [-2]], [[0], [11/7], [-25/7], [-2/7]]], 1, 144, [], [] >,
< [ -1, 1 ], [[5100]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [5], [-1], [0]], [[0], [0], [17/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [17/14], [19/14]], [[0], [0], [51/14], [-41/14]], [[0], [5], [10/7], [-9/7]]], 1, 216, [], [] >,
< [ -1, 1 ], [[1900]], [ -5 ], [ -38 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [5/2], [-1/2]]], [[[0], [1/3], [0], [-2/3]], [[1], [0], [0], [0]], [[0], [4/3], [0], [1/3]], [[0], [2/3], [-5/2], [1/6]]], 1, 108, [], [] >,
< [ -1, 1 ], [[1900]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3], [0]], [[0], [5], [0], [-5]], [[0], [15], [-5], [15]]], [[[1], [0], [0], [0]], [[0], [4], [-3], [-5]], [[0], [17/3], [-14/3], [10/3]], [[0], [3], [9], [0]]], 1, 120, [], [] >,
< [ -1, 1 ], [[36100]], [ -5 ], [ -38 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [5/2], [1/2]], [[0], [19], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [5/2], [3/2]], [[0], [0], [5/2], [-3/2]], [[0], [19/3], [0], [-2/3]]], 1, 2160, [], [] >,
< [ -1, 1 ], [[36100]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [9], [-3], [-10]], [[0], [15], [-5], [15]], [[0], [5], [30], [5]]], [[[1], [0], [0], [0]], [[0], [2/3], [31/3], [40/3]], [[0], [13/3], [59/3], [-25/3]], [[0], [24], [-8], [5]]], 1, 2160, [], [] >,
< [ -1, 1 ], [[86700]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [-1], [0]], [[0], [0], [17/2], [17/2]], [[0], [0], [17/2], [-17/2]]], [[[1], [0], [0], [0]], [[0], [5], [-41/7], [-17/7]], [[0], [5], [-24/7], [51/7]], [[0], [10], [57/14], [-17/14]]], 1, 3456, [], [] >,
< [ -1, 1 ], [[16900]], [ -2 ], [ -65 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [65/2], [0], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [3]], [[0], [65/6], [0], [-5/6]]], 1, 1008, [], [] >,
< [ -1, 1 ], [[50700]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[0], [1], [-65/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [20/7], [65/14], [15/14]], [[0], [58/7], [-65/7], [34/7]]], 1, 2016, [], [] >,
< [ -1, 1 ], [[12100]], [ -110 ], [ -3 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [0], [55/3], [1/3]]], [[[0], [1/2], [0], [1/2]], [[1], [0], [0], [0]], [[0], [3/2], [0], [-3/2]], [[0], [1/6], [55/9], [-7/18]]], 1, 720, [], [] >,
< [ -1, 1 ], [[36300]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [0], [5]], [[0], [2], [11], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [5]], [[0], [4/7], [-33/7], [-2]], [[0], [79/7], [22/7], [-2]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[12100]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/2], [1], [9/2]], [[1/2], [5/4], [6], [-13/4]], [[1/2], [-25/4], [3], [21/4]]], [[[1], [0], [0], [0]], [[0], [5/4], [1/2], [9/4]], [[0], [5], [-9], [-2]], [[1/2], [75/8], [15/4], [-41/8]]], 1, 480, [], [] >,
< [ -1, 1 ], [[48400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/2], [1], [9/2]], [[0], [10], [4], [-4]], [[0], [10], [-18], [-4]]], [[[1], [0], [0], [0]], [[0], [5/2], [1], [9/2]], [[0], [25/4], [-17/2], [1/4]], [[0], [35/2], [7], [-25/2]]], 0, 2880, [], [] >,
< [ -1, 1 ], [[36300]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [3/2], [3/2]], [[0], [5], [-4], [-4]], [[0], [0], [11/2], [-11/2]]], [[[1], [0], [0], [0]], [[0], [5], [-1/14], [-45/14]], [[0], [5], [-23/14], [43/14]], [[0], [0], [121/14], [55/14]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[12100]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-5], [-7]], [[0], [1], [-10], [8]], [[0], [21], [10], [3]]], [[[1], [0], [0], [0]], [[0], [6], [-5], [-7]], [[0], [35/3], [35/3], [5/3]], [[0], [31/3], [-35/3], [28/3]]], 1, 720, [], [] >,
< [ -1, 1 ], [[14700]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[1/2], [-5/2], [0], [1]], [[0], [0], [7], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[1/2], [0], [7/2], [1]], [[0], [5], [0], [1]]], 1, 384, [], [] >,
< [ -1, 1 ], [[58800]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [7], [-1]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [5], [0], [1]], [[0], [0], [14], [0]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[14700]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-2]], [[0], [35/2], [-1], [1/2]]], [[[1], [0], [0], [0]], [[0], [35/11], [-7/11], [-1/11]], [[0], [35/22], [13/11], [65/22]], [[0], [0], [5], [-1]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[4900]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[1/2], [-5/2], [0], [-5]], [[1/2], [-1/2], [7], [-2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [7/4], [3/4]], [[1/2], [9/2], [-7/4], [-3/4]], [[0], [2], [7], [-17]]], 1, 192, [], [] >,
< [ -1, 1 ], [[19600]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [7], [3]], [[0], [10], [0], [0]], [[0], [0], [0], [10]]], [[[1], [0], [0], [0]], [[0], [4], [-7/2], [-3/2]], [[0], [6], [7/2], [3/2]], [[0], [2], [7], [-17]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[14700]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[0], [0], [35], [0]]], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [1], [35/11], [-57/11]], [[0], [1], [-70/11], [-7/11]]], 1, 576, [], [] >,
< [ -1, 1 ], [[14700]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1/2], [3/2]], [[0], [0], [2], [-1]], [[0], [35], [0], [0]]], [[[1], [0], [0], [0]], [[0], [35/11], [-45/22], [-23/22]], [[0], [0], [1], [-4]], [[0], [35/11], [71/11], [38/11]]], 1, 576, [], [] >,
< [ -1, 1 ], [[4900]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [-5]], [[0], [2], [1], [10]], [[0], [7], [-14], [0]]], [[[1], [0], [0], [0]], [[0], [1/3], [-17/3], [5/3]], [[0], [43/3], [4/3], [5/3]], [[0], [13/3], [-11/3], [-40/3]]], 1, 288, [], [] >,
< [ -1, 1 ], [[14700]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [5], [5]], [[0], [3], [-11], [3]], [[1/2], [19/2], [6], [-8]]], [[[1], [0], [0], [0]], [[1/2], [6], [17/4], [-11/4]], [[1/2], [-9], [27/4], [-1/4]], [[1/2], [-4], [-23/4], [-51/4]]], 1, 384, [], [] >,
< [ -1, 1 ], [[58800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [8]], [[0], [2], [16], [2]], [[0], [22], [1], [-13]]], [[[1], [0], [0], [0]], [[0], [15], [-5/2], [-5/2]], [[0], [5], [-25/2], [-25/2]], [[0], [1], [-19/2], [37/2]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[34300]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [1]], [[0], [0], [1], [-3]], [[0], [35/2], [-1], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [0], [3], [4]], [[0], [35/2], [2], [3/2]]], 1, 2016, [], [] >,
< [ -1, 1 ], [[500]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [5/4], [1], [3/4]], [[1/2], [-5/4], [2], [1/4]], [[0], [0], [1], [-3]]], [[[1], [0], [0], [0]], [[1/2], [0], [-1/2], [3/2]], [[0], [5/2], [-1], [1/2]], [[0], [0], [3], [1]]], 1, 60, [], [] >,
< [ -1, 1 ], [[2000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/2], [2], [3/2]], [[0], [5/2], [0], [-5/2]], [[0], [0], [4], [-2]]], [[[1], [0], [0], [0]], [[0], [5/2], [-1], [1/2]], [[0], [0], [1], [-3]], [[0], [5/2], [5], [5/2]]], 0, 120, [], [] >,
< [ -1, 1 ], [[500]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [5/2], [-1], [-3/2]], [[1/2], [5/2], [3/2], [1]]], [[[1/2], [0], [1/2], [-1/2]], [[1/2], [0], [-1/2], [1/2]], [[0], [5/2], [-1], [-3/2]], [[0], [5/2], [4], [7/2]]], 1, 60, [], [] >,
< [ -1, 1 ], [[2000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [5/2], [-2], [-1/2]], [[0], [5/2], [4], [7/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [5/2], [-1], [-3/2]], [[0], [15/2], [6], [13/2]]], 0, 120, [], [] >,
< [ -1, 1 ], [[500]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [1], [2]], [[0], [5/2], [1], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [5/2], [0], [5/2]], [[0], [5/2], [0], [-5/2]]], 1, 30, [], [] >,
< [ -1, 1 ], [[500]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [5/2], [1], [3/2]], [[0], [5/2], [-1], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [5/2], [0], [1/2]], [[0], [0], [5], [0]]], 1, 30, [], [] >,
< [ -1, 1 ], [[1000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [-1/2], [3/2]], [[1/2], [-5/2], [3/2], [-9/2]], [[1/2], [-5/2], [31/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [5], [1], [-3]], [[0], [5], [-1], [3]], [[1/2], [-5/2], [15/2], [5/2]]], 1, 40, [], [] >,
< [ -1, 1 ], [[1500]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-2]], [[0], [2], [-5], [-1]], [[1/2], [9/2], [0], [4]]], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[1/2], [-1/2], [5], [-1]], [[1/2], [-21/2], [0], [4]]], 1, 40, [], [] >,
< [ -1, 1 ], [[6000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-2]], [[0], [2], [5], [-1]], [[0], [10], [0], [20]]], [[[1], [0], [0], [0]], [[0], [2], [0], [4]], [[0], [0], [10], [0]], [[0], [10], [5], [-5]]], 0, 240, [], [] >,
< [ -1, 1 ], [[1500]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [5/2], [-1/2]], [[1/2], [9/2], [5/2], [3/2]], [[0], [1], [0], [-8]]], [[[1], [0], [0], [0]], [[1/2], [7/2], [0], [-3]], [[1/2], [5/2], [0], [5]], [[0], [3], [-5], [1]]], 1, 120, [], [] >,
< [ -1, 1 ], [[6000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-5], [1]], [[0], [1], [0], [-8]], [[0], [9], [5], [3]]], [[[1], [0], [0], [0]], [[0], [6], [0], [2]], [[0], [1], [0], [-8]], [[0], [0], [10], [0]]], 0, 240, [], [] >,
< [ -1, 1 ], [[1500]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [1/2], [3/2]], [[0], [1], [2], [-4]], [[0], [4], [-9/2], [-7/2]]], [[[1], [0], [0], [0]], [[0], [10/7], [5/14], [5/2]], [[0], [17/7], [33/14], [-3/2]], [[0], [48/7], [-123/14], [-7/2]]], 1, 60, [], [] >,
< [ -1, 1 ], [[1500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [0]], [[0], [5], [-10], [5]], [[0], [5], [-10], [-10]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[0], [2], [-4], [5]], [[0], [10], [5], [0]]], 1, 120, [], [] >,
< [ -1, 1 ], [[3500]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [1]], [[0], [0], [1], [-2]], [[0], [5/2], [1], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [5/2], [0], [5/2]], [[0], [5/2], [0], [-5/2]]], 1, 180, [], [] >,
< [ -1, 1 ], [[3500]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [5/2], [1], [3/2]], [[0], [5/2], [-1], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [5/2], [0], [-1/2]], [[0], [0], [5], [0]]], 1, 180, [], [] >,
< [ -1, 1 ], [[3500]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-1], [1]], [[1/2], [-3/2], [-4], [-1]], [[1/2], [-7/2], [-1], [6]]], [[[1], [0], [0], [0]], [[0], [1], [-3/2], [-7/2]], [[1/2], [7/2], [-1/4], [11/4]], [[1/2], [9/2], [23/4], [-13/4]]], 1, 120, [], [] >,
< [ -1, 1 ], [[14000]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-1], [1]], [[0], [2], [-3], [-7]], [[0], [4], [14], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [-3], [-7]], [[0], [0], [15/2], [-5/2]], [[0], [8], [-2], [2]]], 0, 720, [], [] >,
< [ -1, 1 ], [[10500]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-1]], [[0], [0], [5], [0]], [[0], [1], [0], [8]]], [[[1], [0], [0], [0]], [[0], [3], [-10/11], [-1/11]], [[0], [1], [-25/11], [58/11]], [[0], [1], [80/11], [8/11]]], 1, 360, [], [] >,
< [ -1, 1 ], [[5500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [5], [-8]], [[0], [3], [-10], [-6]], [[0], [10], [5], [5]]], [[[1], [0], [0], [0]], [[0], [7/3], [-5/3], [-14/3]], [[0], [9], [-10], [7]], [[0], [35/3], [35/3], [5/3]]], 1, 360, [], [] >,
< [ -1, 1 ], [[60500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [5], [18]], [[0], [11], [0], [-22]], [[0], [8], [-25], [9]]], [[[1], [0], [0], [0]], [[0], [35/3], [35/3], [5/3]], [[0], [13/3], [-20/3], [49/3]], [[0], [103/3], [-95/3], [-56/3]]], 1, 3600, [], [] >,
< [ -1, 1 ], [[24500]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [1]], [[0], [0], [1], [-2]], [[0], [35/2], [1], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [5]], [[0], [35/2], [0], [5/2]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[24500]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [0], [3], [2]], [[0], [35/2], [1], [3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [5], [0]], [[0], [35/2], [0], [-1/2]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[98000]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [0], [10]], [[0], [4], [14], [-4]], [[0], [8], [-7], [-13]]], [[[1], [0], [0], [0]], [[0], [2], [-21/2], [-9/2]], [[0], [16], [7/2], [3/2]], [[0], [4], [-7/2], [37/2]]], 0, 5760, [], [] >,
< [ -1, 1 ], [[24500]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [15/2], [0], [-5]], [[0], [7], [7], [3]], [[0], [3], [-7], [7]]], [[[1], [0], [0], [0]], [[1/2], [-9/2], [7/4], [3/4]], [[1/2], [-5/2], [-35/4], [-15/4]], [[0], [3], [21/2], [-31/2]]], 1, 960, [], [] >,
< [ -1, 1 ], [[73500]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [3]], [[0], [8], [0], [-1]], [[0], [0], [35], [0]]], [[[1], [0], [0], [0]], [[0], [4], [-35/11], [57/11]], [[0], [4], [70/11], [7/11]], [[0], [9], [-70/11], [-128/11]]], 1, 2880, [], [] >,
< [ -1, 1 ], [[288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [3], [1], [3]], [[0], [3], [1], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [3], [-1], [3]], [[0], [6], [0], [-6]]], 0, 12, [], [] >,
< [ -1, 1 ], [[72]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [-3/2], [-1/2]], [[1/2], [-3/2], [-3/2], [3/2]], [[0], [2], [0], [4]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [3/2]], [[0], [2], [0], [-2]], [[1/2], [-5/2], [-3/2], [-1/2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[2592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [3], [3], [-9]], [[0], [0], [12], [0]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [6], [-6], [0]], [[0], [3], [3], [-9]]], 0, 144, [], [] >,
< [ -1, 1 ], [[648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [3/2], [-3/2]], [[1/2], [3/2], [-9/2], [-3/2]], [[1/2], [15/2], [3/2], [21/2]]], [[[1], [0], [0], [0]], [[0], [3], [3], [-3]], [[0], [3], [-3], [-3]], [[1/2], [-9/2], [3/2], [-9/2]]], 0, 24, [], [] >,
< [ -1, 1 ], [[972]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [3], [0]], [[1/2], [-3/2], [0], [3]], [[0], [6], [3], [3]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[1/2], [3/2], [9/2], [3/2]], [[1/2], [-9/2], [-3/2], [3/2]]], 0, 108, [], [] >,
< [ -1, 1 ], [[3888]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [0]], [[0], [3], [0], [-6]], [[0], [6], [6], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [9], [0], [0]], [[0], [3], [6], [6]]], 0, 216, [], [] >,
< [ -1, 1 ], [[432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [2], [-2], [2]], [[0], [0], [3], [3]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [0], [3], [3]], [[0], [6], [0], [0]]], 0, 18, [], [] >,
< [ -1, 1 ], [[108]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [0]], [[1/2], [-1/2], [-1], [1]], [[0], [0], [3], [3]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[1/2], [-3/2], [0], [0]], [[0], [0], [3], [3]]], 1, 3, [], [] >,
< [ -1, 1 ], [[972]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [3], [-3]], [[0], [0], [9/2], [9/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3], [-3]], [[0], [9], [0], [0]]], 0, 54, [], [] >,
< [ -1, 1 ], [[7776]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-3], [3]], [[0], [9], [3], [-3]], [[0], [0], [9], [9]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [9], [-3], [3]], [[0], [9], [9], [-9]]], 0, 432, [], [] >,
< [ -1, 1 ], [[972]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [3/2], [3/2]], [[0], [0], [3/2], [-9/2]], [[0], [3], [-3], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [3], [-3], [3]], [[0], [6], [3], [-3]]], 0, 54, [], [] >,
< [ -1, 1 ], [[972]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [0]], [[0], [3], [0], [-6]], [[0], [0], [6], [3]]], [[[1], [0], [0], [0]], [[0], [3], [3], [0]], [[0], [0], [3], [-3]], [[0], [9], [-9], [-9]]], 0, 54, [], [] >,
< [ -1, 1 ], [[288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [2], [4], [-2]], [[0], [6], [0], [6]]], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [2], [4], [-2]], [[0], [3], [-3], [3]]], 0, 16, [], [] >,
< [ -1, 1 ], [[72]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[1/2], [-3/2], [-3/2], [3/2]], [[1/2], [5/2], [1/2], [7/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [1/2], [1/2]], [[0], [4], [2], [2]], [[0], [2], [-2], [4]]], 1, 4, [], [] >,
< [ -1, 1 ], [[108]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [0]], [[0], [1], [1], [-3]], [[0], [2], [2], [3]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [3], [2], [1]], [[0], [3], [-3], [-3]]], 1, 9, [], [] >,
< [ -1, 1 ], [[180]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [-3/4], [0], [3/4]], [[1/2], [5/4], [0], [3/4]], [[1/2], [-1/4], [3], [-3/4]]], [[[1], [0], [0], [0]], [[1/2], [3/4], [0], [-3/4]], [[0], [0], [2], [0]], [[0], [3/2], [-1], [3/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[720]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [3]], [[0], [1/2], [-3], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [3/2], [-1], [3/2]], [[0], [3], [0], [-3]]], 0, 48, [], [] >,
< [ -1, 1 ], [[180]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [0]], [[0], [1/2], [1], [-3/2]], [[1/2], [1], [1/2], [3/2]]], [[[1/2], [1/2], [-1/2], [0]], [[1/2], [-1/2], [1/2], [0]], [[0], [1/2], [1], [-3/2]], [[0], [5/2], [2], [3/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[720]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [0], [-3/2]], [[0], [1/2], [-2], [3/2]], [[0], [5/2], [2], [3/2]]], [[[1], [0], [0], [0]], [[0], [1], [-1], [0]], [[0], [1/2], [1], [-3/2]], [[0], [7/2], [4], [9/2]]], 0, 24, [], [] >,
< [ -1, 1 ], [[6480]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [9/2], [3], [-3/2]], [[0], [3], [-6], [-3]]], [[[1], [0], [0], [0]], [[0], [3/2], [-3], [3/2]], [[0], [3], [0], [-3]], [[0], [6], [6], [6]]], 0, 288, [], [] >,
< [ -1, 1 ], [[1620]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [9/4], [0], [-9/4]], [[1/2], [3/4], [-3], [9/4]], [[1/2], [-9/4], [-3], [-3/4]]], [[[1], [0], [0], [0]], [[1/2], [3/4], [0], [-3/4]], [[0], [3/2], [-3], [3/2]], [[0], [6], [6], [6]]], 0, 48, [], [] >,
< [ -1, 1 ], [[6480]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3], [-3], [0]], [[0], [3/2], [3], [-9/2]], [[0], [3], [6], [3]]], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[0], [9/2], [0], [-9/2]], [[0], [3], [-3], [6]]], 0, 288, [], [] >,
< [ -1, 1 ], [[1620]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [-9/4], [0], [-3/4]], [[1/2], [-3/4], [3], [3/4]], [[0], [3/2], [3], [-9/2]]], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[1/2], [3], [3/2], [-3/2]], [[1/2], [-3/2], [3/2], [-3]]], 0, 144, [], [] >,
< [ -1, 1 ], [[180]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [0]], [[0], [1/2], [1], [3/2]], [[0], [1/2], [1], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3/2], [0], [1/2]], [[0], [0], [3], [0]]], 1, 6, [], [] >,
< [ -1, 1 ], [[1620]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [3/2], [-3], [-3/2]], [[0], [3], [3], [0]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [3], [0]], [[0], [3/2], [0], [-9/2]]], 0, 72, [], [] >,
< [ -1, 1 ], [[360]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [3/2], [-1/2]], [[0], [0], [0], [2]]], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [1]]], 1, 16, [], [] >,
< [ -1, 1 ], [[1440]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [3], [-1]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [-2]], [[0], [1], [3], [1]]], 0, 64, [], [] >,
< [ -1, 1 ], [[540]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [-1/2], [1/2]], [[0], [1], [1], [-1]], [[0], [0], [3/2], [3/2]]], [[[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [3], [0], [0]]], 1, 18, [], [] >,
< [ -1, 1 ], [[180]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [-3/4], [0], [3/4]], [[0], [1], [0], [1]], [[0], [1/2], [3], [1/2]]], [[[1/2], [1/4], [0], [1/4]], [[1/2], [-1/4], [0], [-1/4]], [[0], [3/2], [3], [-3/2]], [[0], [3/2], [-3], [-3/2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[720]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1/2], [3], [1/2]], [[0], [3], [0], [-3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [3/2], [3], [-3/2]], [[0], [3/2], [-3], [-3/2]]], 0, 32, [], [] >,
< [ -1, 1 ], [[180]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [3/4], [3/2], [3/4]], [[0], [3/2], [-1], [-1/2]]], [[[0], [9/28], [1/2], [-11/28]], [[1], [0], [0], [0]], [[0], [51/28], [-3/2], [3/28]], [[0], [3/28], [-3/2], [-69/28]]], 1, 8, [], [] >,
< [ -1, 1 ], [[180]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [1], [-3]], [[0], [0], [4], [3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [6], [-3]], [[0], [0], [3], [6]]], 1, 12, [], [] >,
< [ -1, 1 ], [[180]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [1], [1], [-3]], [[0], [1], [4], [3]]], [[[1], [0], [0], [0]], [[0], [0], [1], [2]], [[0], [3], [0], [0]], [[0], [0], [6], [-3]]], 1, 18, [], [] >,
< [ -1, 1 ], [[1620]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [3], [-9]], [[0], [0], [15], [0]]], [[[1], [0], [0], [0]], [[0], [0], [6], [-3]], [[0], [0], [3], [6]], [[0], [9], [0], [0]]], 0, 108, [], [] >,
< [ -1, 1 ], [[1620]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [6], [-3]], [[0], [3], [-3], [-6]], [[0], [6], [-6], [3]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [6], [-3]], [[0], [0], [9], [18]]], 0, 108, [], [] >,
< [ -1, 1 ], [[180]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [3/2], [1/2]], [[1/2], [-1/2], [-3/2], [3/2]], [[0], [2], [-3], [-1]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [1]], [[0], [2], [3], [-1]], [[0], [2], [-3], [-1]]], 1, 24, [], [] >,
< [ -1, 1 ], [[720]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [3], [-3], [1]], [[0], [1], [-3], [-3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[0], [4], [0], [-2]], [[0], [0], [6], [0]]], 0, 48, [], [] >,
< [ -1, 1 ], [[19440]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [-3]], [[0], [6], [-6], [12]], [[0], [6], [-15], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [12], [3], [9]], [[0], [6], [0], [-18]]], 0, 1296, [], [] >,
< [ -1, 1 ], [[4860]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [-3], [-3]], [[0], [6], [3], [-3]], [[0], [9], [-9], [3]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[1/2], [-15/2], [0], [0]], [[0], [3], [-3], [-9]]], 0, 216, [], [] >,
< [ -1, 1 ], [[180]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [1/2]], [[0], [2], [0], [-2]], [[0], [2], [-3/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [6/7], [3/14], [3/2]], [[0], [13/7], [-9/7], [-1]], [[0], [17/7], [33/14], [-3/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[360]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-7/2], [-1/2], [-1/2]], [[0], [2], [-4], [2]], [[0], [0], [0], [6]]], [[[1], [0], [0], [0]], [[1/2], [-7/2], [-1/2], [5/2]], [[0], [2], [-4], [2]], [[1/2], [-7/2], [-1/2], [-7/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[4860]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [3]], [[0], [6], [3], [9]], [[0], [15], [0], [-6]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [3], [-6], [3]], [[0], [6], [-12], [-21]]], 0, 324, [], [] >,
< [ -1, 1 ], [[4860]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [9], [-3]], [[0], [9], [-3], [-6]], [[0], [6], [3], [9]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [6], [-12], [-3]], [[0], [3], [-6], [12]]], 0, 324, [], [] >,
< [ -1, 1 ], [[6804]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [3], [-3], [0]], [[0], [6], [3], [0]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [9]]], 0, 324, [], [] >,
< [ -1, 1 ], [[6804]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-3]], [[0], [0], [3], [3]], [[0], [3], [-3], [3]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [3], [0], [3]], [[0], [6], [0], [-3]]], 0, 324, [], [] >,
< [ -1, 1 ], [[2016]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [1], [3], [1]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [1], [-3], [-1]]], 0, 96, [], [] >,
< [ -1, 1 ], [[27216]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [0]], [[0], [6], [6], [-6]], [[0], [6], [3], [9]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [6], [6], [-6]], [[0], [18], [-9], [9]]], 0, 1296, [], [] >,
< [ -1, 1 ], [[6804]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [3], [-3]], [[1/2], [3/2], [6], [3]], [[1/2], [15/2], [0], [3]]], [[[1], [0], [0], [0]], [[1/2], [-3/2], [-3], [0]], [[1/2], [-3/2], [0], [3]], [[0], [18], [-9], [9]]], 0, 216, [], [] >,
< [ -1, 1 ], [[1008]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [1]], [[0], [2], [2], [-2]], [[0], [1], [-2], [-4]]], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[0], [0], [3], [3]], [[0], [4], [-2], [2]]], 0, 48, [], [] >,
< [ -1, 1 ], [[252]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[0], [2], [-1], [1]], [[1/2], [3/2], [3/2], [3/2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[0], [2], [-1], [1]], [[0], [0], [3], [3]]], 1, 24, [], [] >,
< [ -1, 1 ], [[252]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [0], [3/2], [-3/2]], [[0], [2], [1], [1]]], [[[1], [0], [0], [0]], [[0], [1/5], [-1/2], [-11/10]], [[0], [7/5], [1], [-1/5]], [[0], [12/5], [-3], [9/5]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1260]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [1], [1], [0]], [[0], [1/2], [-1], [3/2]], [[0], [1/2], [-1], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3/2], [0], [1/2]], [[0], [0], [3], [0]]], 1, 36, [], [] >,
< [ -1, 1 ], [[11340]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [3/2], [3], [-3/2]], [[0], [3], [-3], [0]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [3], [0]], [[0], [3/2], [0], [-9/2]]], 0, 432, [], [] >,
< [ -1, 1 ], [[5040]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [6], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [3], [0], [1]]], 0, 192, [], [] >,
< [ -1, 1 ], [[1260]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[1/2], [-3/2], [1], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [0], [1/2], [1]], [[1/2], [3], [1/2], [0]]], 1, 32, [], [] >,
< [ -1, 1 ], [[1260]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [3/2], [1], [-1/2]], [[0], [3/2], [-1], [1/2]]], [[[0], [15/22], [4/11], [-13/22]], [[1], [0], [0], [0]], [[0], [9/22], [-2/11], [23/22]], [[0], [21/22], [-45/11], [-27/22]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1260]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[0], [0], [3], [0]]], [[[1], [0], [0], [0]], [[0], [1], [9/11], [13/11]], [[0], [0], [21/11], [-10/11]], [[0], [3], [-18/11], [-26/11]]], 1, 72, [], [] >,
< [ -1, 1 ], [[2268]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-3], [-3]], [[0], [3], [0], [6]], [[0], [12], [12], [-3]]], [[[1], [0], [0], [0]], [[0], [3], [6], [3]], [[0], [3], [3], [-6]], [[0], [9], [-6], [0]]], 0, 144, [], [] >,
< [ -1, 1 ], [[252]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [1], [2]], [[0], [0], [1], [-4]], [[0], [3], [-4], [1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[0], [4], [-3], [-1]], [[0], [1], [6], [-1]]], 1, 24, [], [] >,
< [ -1, 1 ], [[1008]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [0], [3], [-1]], [[0], [6], [-3], [-7]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [5], [-3/2], [-3/2]], [[0], [4], [0], [4]]], 0, 64, [], [] >,
< [ -1, 1 ], [[252]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [2]], [[0], [2], [0], [2]], [[0], [0], [3], [-1]]], [[[1/2], [0], [3/4], [-1/4]], [[1/2], [0], [-3/4], [1/4]], [[1/2], [-5], [3/4], [7/4]], [[0], [4], [3/2], [7/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[252]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-3/2], [-3/2]], [[0], [4], [-3/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [2/5], [-3/10], [9/10]], [[0], [12/5], [-3/10], [-11/10]], [[0], [1], [15/2], [3/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[252]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [2], [-1], [-4]], [[0], [4], [4], [1]]], [[[1], [0], [0], [0]], [[0], [1/5], [-1], [7/5]], [[0], [19/5], [-4], [-17/5]], [[0], [13/5], [5], [16/5]]], 1, 16, [], [] >,
< [ -1, 1 ], [[1260]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [3/2], [-5/2]], [[0], [0], [3], [2]]], [[[1], [0], [0], [0]], [[0], [1/11], [27/22], [-17/22]], [[0], [28/11], [-3/22], [19/22]], [[0], [7/11], [-21/11], [-21/11]]], 1, 64, [], [] >,
< [ -1, 1 ], [[5040]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [6], [9], [5]], [[0], [8], [-6], [8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-4]], [[0], [1], [9/2], [9/2]], [[0], [5], [-21/2], [11/2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1260]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[1/2], [3/2], [6], [0]], [[0], [3], [-3], [5]]], [[[1], [0], [0], [0]], [[1/2], [0], [-15/4], [5/4]], [[1/2], [5], [3/4], [7/4]], [[1/2], [1], [3/4], [23/4]]], 1, 64, [], [] >,
< [ -1, 1 ], [[396]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3], [0]]], [[[0], [1/5], [3/5], [-1/5]], [[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [13/5], [-6/5], [-8/5]]], 1, 20, [], [] >,
< [ -1, 1 ], [[1980]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [3], [-1]], [[0], [2], [0], [-3]]], [[[1], [0], [0], [0]], [[0], [3/7], [12/7], [0]], [[0], [13/7], [3/7], [-2]], [[0], [13/7], [3/7], [3]]], 1, 120, [], [] >,
< [ -1, 1 ], [[396]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [2]], [[0], [3], [3], [-1]], [[0], [3], [-3], [-6]]], [[[1], [0], [0], [0]], [[0], [1], [-3], [0]], [[0], [1], [0], [-3]], [[0], [9], [3], [3]]], 1, 18, [], [] >,
< [ -1, 1 ], [[3564]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-9], [0]], [[0], [3], [0], [-9]], [[0], [9], [0], [6]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [9], [3], [3]], [[0], [9], [-15], [-12]]], 0, 216, [], [] >,
< [ -1, 1 ], [[396]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [3/2], [3/2]], [[1/2], [-5/2], [-3/2], [1/2]], [[0], [3], [-3], [3]]], [[[1], [0], [0], [0]], [[1/2], [-3/2], [3/2], [-3/2]], [[0], [3], [0], [-2]], [[0], [2], [3], [1]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1584]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3], [-3]], [[0], [0], [3], [-5]], [[0], [5], [3], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [3], [1]], [[0], [3], [-3], [3]], [[0], [4], [-3], [-5]]], 0, 96, [], [] >,
< [ -1, 1 ], [[396]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-3]], [[0], [3], [0], [2]], [[0], [2], [-3], [0]]], [[[1], [0], [0], [0]], [[0], [1/5], [-12/5], [-1/5]], [[0], [4/5], [-3/5], [16/5]], [[0], [4], [0], [-1]]], 1, 24, [], [] >,
< [ -1, 1 ], [[396]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-3]], [[0], [4], [2], [1]], [[0], [2], [-5], [2]]], [[[1], [0], [0], [0]], [[0], [7/5], [-2], [1/5]], [[0], [16/5], [1], [13/5]], [[0], [27/5], [3], [-39/5]]], 1, 24, [], [] >,
< [ -1, 1 ], [[1980]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-1/2]], [[0], [3], [0], [-1]], [[0], [2], [3/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/7], [-12/7]], [[0], [1], [12/7], [1/7]], [[0], [4], [-33/14], [-15/14]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2772]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [0], [3], [1]], [[0], [4], [0], [3]]], [[[1], [0], [0], [0]], [[0], [4/5], [0], [3/5]], [[0], [9/5], [-3], [-12/5]], [[0], [3], [6], [-4]]], 1, 144, [], [] >,
< [ -1, 1 ], [[936]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[1/2], [-3/2], [0], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[1/2], [-3/2], [-1/2], [0]]], 1, 32, [], [] >,
< [ -1, 1 ], [[12636]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [3], [3/2], [3/2]], [[0], [3], [-3], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [3], [0], [0]], [[0], [0], [9/2], [9/2]]], 0, 648, [], [] >,
< [ -1, 1 ], [[1872]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [1/2], [-1], [-3/2]], [[0], [2], [2], [0]], [[0], [3/2], [-3], [3/2]]], [[[1], [0], [0], [0]], [[0], [7/4], [-1/2], [3/4]], [[0], [1/4], [5/2], [-3/4]], [[0], [1], [-2], [-3]]], 0, 96, [], [] >,
< [ -1, 1 ], [[468]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [1], [1], [0]], [[1/2], [5/4], [-1], [3/4]], [[0], [1/2], [-1], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [5/8], [-5/4], [-3/8]], [[1/2], [-9/8], [-3/4], [-9/8]], [[1/2], [7/8], [5/4], [-9/8]]], 1, 16, [], [] >,
< [ -1, 1 ], [[2340]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [1/2], [-5/2]], [[0], [3], [0], [-1]]], [[[1], [0], [0], [0]], [[0], [6/7], [-19/14], [1/14]], [[0], [9/7], [17/14], [19/14]], [[0], [15/7], [5/14], [-15/14]]], 1, 144, [], [] >,
< [ -1, 1 ], [[468]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [2], [-1]], [[0], [3], [-3], [3]], [[0], [4], [-5], [-5]]], [[[1], [0], [0], [0]], [[0], [1/5], [7/5], [-1]], [[0], [29/5], [-22/5], [-5]], [[0], [14/5], [23/5], [7]]], 1, 28, [], [] >,
< [ -1, 1 ], [[612]], [ -3 ], [ -34 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3/2], [1/2]]], [[[0], [4/5], [-3/10], [1/10]], [[1], [0], [0], [0]], [[0], [2/5], [3/5], [4/5]], [[0], [3/5], [9/10], [-13/10]]], 1, 32, [], [] >,
< [ -1, 1 ], [[2448]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [3], [-1]], [[0], [4], [-3], [-1]], [[0], [2], [0], [8]]], [[[1], [0], [0], [0]], [[0], [4], [3], [-1]], [[0], [3], [-9/2], [7/2]], [[0], [1], [-9/2], [-9/2]]], 0, 144, [], [] >,
< [ -1, 1 ], [[612]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [-2]], [[0], [4], [3], [-1]], [[0], [4], [-3], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [3/2], [-1/2]], [[1/2], [0], [3/4], [-17/4]], [[1/2], [3], [-15/4], [-3/4]]], 1, 24, [], [] >,
< [ -1, 1 ], [[612]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [-2]], [[0], [3], [3], [0]], [[0], [6], [-6], [9]]], [[[1], [0], [0], [0]], [[0], [0], [21/5], [-3/5]], [[0], [1], [-7/5], [26/5]], [[0], [7], [-1/5], [-7/5]]], 1, 36, [], [] >,
< [ -1, 1 ], [[3060]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [1], [3/2], [1/2]], [[0], [12], [-15/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [2], [-9/14], [13/14]], [[0], [1], [-15/7], [-11/7]], [[0], [2], [3], [-2]]], 1, 144, [], [] >,
< [ -1, 1 ], [[684]], [ -19 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[0], [3], [0], [0]]], [[[0], [3/5], [3/5], [0]], [[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [6/5], [-13/10], [-1/2]]], 1, 36, [], [] >,
< [ -1, 1 ], [[684]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [0]], [[1/2], [-1/2], [1], [-1]], [[0], [0], [3], [3]]], [[[1], [0], [0], [0]], [[0], [1], [-1/2], [1/2]], [[1/2], [0], [3/4], [9/4]], [[1/2], [2], [11/4], [1/4]]], 1, 24, [], [] >,
< [ -1, 1 ], [[2736]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [1]], [[0], [2], [2], [-2]], [[0], [0], [3], [3]]], [[[1], [0], [0], [0]], [[0], [1], [-1/2], [1/2]], [[0], [2], [2], [-2]], [[0], [0], [6], [6]]], 0, 144, [], [] >,
< [ -1, 1 ], [[3312]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [4]], [[0], [6], [-3], [-1]], [[0], [2], [9], [-3]]], [[[1], [0], [0], [0]], [[0], [2], [0], [4]], [[0], [3], [3], [-4]], [[0], [7], [-9], [-2]]], 0, 192, [], [] >,
< [ -1, 1 ], [[828]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[1/2], [-7/2], [-3], [3]], [[1/2], [-3/2], [6], [0]]], [[[1], [0], [0], [0]], [[1/2], [1], [-3], [1/2]], [[0], [2], [0], [4]], [[1/2], [4], [0], [-7/2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[828]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [1]], [[0], [5], [1], [-4]], [[0], [5], [4], [2]]], [[[1], [0], [0], [0]], [[0], [16/5], [-13/5], [2]], [[0], [17/5], [19/5], [-2]], [[0], [4/5], [-22/5], [-7]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1044]], [ -10 ], [ -174 ], [[[0], [0], [0], [1/2]], [[0], [3/10], [1/2], [1/5]], [[0], [3/10], [-1/2], [1/5]], [[1], [0], [0], [0]]], [[[0], [12/25], [0], [1/50]], [[0], [9/50], [-1/2], [8/25]], [[0], [3/25], [0], [-31/50]], [[1], [0], [0], [0]]], 1, 56, [], [] >,
< [ -1, 1 ], [[1116]], [ -10 ], [ -186 ], [[[0], [0], [0], [1/2]], [[0], [3/10], [1/2], [1/10]], [[0], [3/10], [-1/2], [1/10]], [[1], [0], [0], [0]]], [[[0], [12/25], [0], [3/50]], [[0], [3/50], [1/2], [8/25]], [[0], [3/50], [-1/2], [8/25]], [[1], [0], [0], [0]]], 1, 60, [], [] >,
< [ -1, 1 ], [[1332]], [ -222 ], [ -13 ], [[[0], [0], [3/13], [2/13]], [[0], [1/2], [3/13], [-9/26]], [[0], [1/2], [-3/13], [9/26]], [[1], [0], [0], [0]]], [[[0], [1/10], [-12/65], [23/130]], [[0], [0], [3/13], [2/13]], [[1], [0], [0], [0]], [[0], [7/5], [27/65], [-34/65]]], 1, 72, [], [] >,
< [ -1, 1 ], [[49284]], [ -222 ], [ -13 ], [[[0], [1/2], [0], [1/2]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [0], [111/13], [-4/13]]], [[[1], [0], [0], [0]], [[0], [3/2], [0], [-1/2]], [[0], [1/2], [0], [3/2]], [[0], [3/10], [-111/65], [-31/130]]], 1, 2736, [], [] >,
< [ -1, 1 ], [[34596]], [ -10 ], [ -186 ], [[[0], [0], [0], [1/2]], [[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [93/10], [1/2], [1/10]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [93/50], [1/2], [-2/25]], [[0], [0], [0], [5/2]]], 1, 1920, [], [] >,
< [ -1, 1 ], [[30276]], [ -10 ], [ -174 ], [[[0], [0], [0], [1/2]], [[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [87/10], [-1/2], [-1/5]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [87/50], [-1/2], [-6/25]], [[0], [0], [0], [5/2]]], 1, 1680, [], [] >,
< [ -1, 1 ], [[76176]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [6], [-4]], [[0], [4], [3], [21]], [[0], [18], [-21], [-9]]], [[[1], [0], [0], [0]], [[0], [8], [6], [-4]], [[0], [11], [-9], [6]], [[0], [5], [21], [32]]], 0, 4224, [], [] >,
< [ -1, 1 ], [[19044]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [-6], [4]], [[0], [8], [6], [-4]], [[1/2], [-1/2], [-9], [-17]]], [[[1], [0], [0], [0]], [[0], [8], [6], [-4]], [[1/2], [0], [0], [-23/2]], [[1/2], [11], [-9], [-11/2]]], 1, 704, [], [] >,
< [ -1, 1 ], [[19044]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [7], [8]], [[0], [2], [-11], [17]], [[0], [19], [-1], [-11]]], [[[1], [0], [0], [0]], [[0], [4/5], [-22/5], [-7]], [[0], [14/5], [-77/5], [10]], [[0], [149/5], [43/5], [-2]]], 1, 1056, [], [] >,
< [ -1, 1 ], [[12996]], [ -19 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3], [0], [0]], [[0], [0], [19/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3/5], [-19/10], [1/2]], [[0], [69/5], [19/5], [0]]], 1, 720, [], [] >,
< [ -1, 1 ], [[12996]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [0]], [[0], [0], [0], [6]], [[1/2], [-1/2], [19], [-1]]], [[[1], [0], [0], [0]], [[1/2], [2], [-19/4], [7/4]], [[0], [6], [0], [0]], [[0], [3], [0], [-6]]], 1, 480, [], [] >,
< [ -1, 1 ], [[51984]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [0], [6]], [[0], [2], [-19], [1]]], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [1], [-19/2], [-5/2]], [[0], [0], [0], [12]]], 0, 2880, [], [] >,
< [ -1, 1 ], [[10404]], [ -3 ], [ -34 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3/2], [-1/2]], [[0], [17], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [17/5], [3/5], [-1/5]], [[0], [0], [3], [-2]]], 1, 576, [], [] >,
< [ -1, 1 ], [[41616]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-2]], [[0], [2], [0], [8]], [[0], [4], [51], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [8]], [[0], [16], [0], [-4]], [[0], [7], [-51/2], [5/2]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[10404]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [-2]], [[0], [8], [0], [-2]], [[0], [4], [51], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [8]], [[0], [7], [0], [-6]], [[1/2], [0], [-51/4], [17/4]]], 1, 384, [], [] >,
< [ -1, 1 ], [[10404]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [7], [-2]], [[0], [6], [-6], [9]], [[0], [9], [-9], [-12]]], [[[1], [0], [0], [0]], [[0], [7], [-1/5], [-7/5]], [[0], [2], [7/5], [49/5]], [[0], [1], [-35], [10]]], 1, 576, [], [] >,
< [ -1, 1 ], [[52020]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [3], [0]], [[0], [1], [3/2], [-17/2]], [[0], [11], [-9], [0]]], [[[1], [0], [0], [0]], [[0], [2], [-9/14], [-85/14]], [[0], [7], [-57/14], [17/14]], [[0], [3], [57/7], [-17/7]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[12168]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [-1/2]], [[0], [0], [0], [2]], [[0], [0], [13], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [3], [0], [-1]], [[1/2], [-3/2], [13/2], [1]]], 1, 448, [], [] >,
< [ -1, 1 ], [[164268]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [6], [0], [-3]], [[0], [0], [39/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [9]], [[0], [0], [39/2], [3/2]]], 0, 9072, [], [] >,
< [ -1, 1 ], [[6084]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[1/2], [13/4], [1], [3/4]], [[0], [0], [3], [3]], [[0], [0], [3], [-3]]], [[[1], [0], [0], [0]], [[0], [13/4], [-1/2], [-3/4]], [[1/2], [-13/8], [-11/4], [-21/8]], [[0], [0], [3], [-3]]], 1, 224, [], [] >,
< [ -1, 1 ], [[24336]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [6]], [[0], [13/2], [-1], [-3/2]]], [[[1], [0], [0], [0]], [[0], [13/4], [-7/2], [9/4]], [[0], [13/4], [5/2], [-15/4]], [[0], [0], [6], [6]]], 0, 1344, [], [] >,
< [ -1, 1 ], [[30420]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-1]], [[0], [3], [0], [4]], [[0], [0], [13/2], [-5/2]]], [[[1], [0], [0], [0]], [[0], [6/7], [-13/7], [18/7]], [[0], [27/7], [-13/7], [-24/7]], [[0], [33/7], [39/14], [23/14]]], 1, 2016, [], [] >,
< [ -1, 1 ], [[6084]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [7], [-8], [-2]], [[0], [4], [1], [10]], [[0], [5], [11], [-7]]], [[[1], [0], [0], [0]], [[0], [43/5], [1/5], [2]], [[0], [29/5], [-22/5], [-5]], [[0], [13/5], [91/5], [-13]]], 1, 336, [], [] >,
< [ -1, 1 ], [[4356]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [33], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [0], [-3]], [[0], [1/5], [33/5], [4/5]]], 1, 240, [], [] >,
< [ -1, 1 ], [[21780]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [3], [0], [-2]], [[0], [1], [33], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [5]], [[0], [4/7], [-33/7], [-2]], [[0], [7], [0], [2]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[4356]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [9], [3], [3]], [[0], [6], [2], [-9]], [[0], [0], [11], [0]]], [[[1], [0], [0], [0]], [[0], [2], [-3], [-3]], [[0], [9], [3], [3]], [[0], [1], [-18], [15]]], 1, 180, [], [] >,
< [ -1, 1 ], [[39204]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-9], [-9]], [[0], [6], [-9], [24]], [[0], [27], [9], [9]]], [[[1], [0], [0], [0]], [[0], [9], [3], [3]], [[0], [9], [3], [-30]], [[0], [9], [-30], [3]]], 0, 2160, [], [] >,
< [ -1, 1 ], [[4356]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [-6], [1]], [[1/2], [-3/2], [-3], [6]], [[0], [7], [3], [5]]], [[[1], [0], [0], [0]], [[1/2], [-7/2], [-3/2], [-5/2]], [[0], [4], [-3], [-5]], [[0], [1], [-9], [7]]], 1, 480, [], [] >,
< [ -1, 1 ], [[17424]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [11], [0], [0]], [[0], [3], [6], [10]], [[0], [5], [-12], [2]]], [[[1], [0], [0], [0]], [[0], [4], [-3], [-5]], [[0], [7], [3], [5]], [[0], [2], [-18], [14]]], 0, 960, [], [] >,
< [ -1, 1 ], [[4356]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [6], [1]], [[0], [4], [-3], [5]], [[0], [4], [-3], [-6]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [16/5]], [[0], [39/5], [12/5], [-9/5]], [[0], [5], [-12], [-2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[4356]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-5], [2]], [[0], [5], [4], [5]], [[0], [14], [-2], [-19]]], [[[1], [0], [0], [0]], [[0], [5], [4], [5]], [[0], [27/5], [3], [-39/5]], [[0], [51/5], [-9], [18/5]]], 1, 240, [], [] >,
< [ -1, 1 ], [[21780]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [-3], [-3]], [[0], [5], [3/2], [3/2]], [[0], [2], [-6], [5]]], [[[1], [0], [0], [0]], [[0], [1], [12/7], [1/7]], [[0], [8], [-36/7], [-3/7]], [[0], [3], [-27/14], [-137/14]]], 1, 960, [], [] >,
< [ -1, 1 ], [[30492]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [2]], [[0], [3], [6], [-4]], [[0], [3], [6], [7]]], [[[1], [0], [0], [0]], [[0], [9/5], [-3], [-12/5]], [[0], [3], [6], [-4]], [[0], [44/5], [0], [33/5]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[14112]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [4]], [[0], [1], [21], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [1], [-21], [-1]]], 0, 768, [], [] >,
< [ -1, 1 ], [[47628]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [6], [0], [-3]], [[0], [3], [21], [0]]], [[[1], [0], [0], [0]], [[0], [3], [0], [-3]], [[0], [6], [0], [3]], [[0], [0], [21], [0]]], 0, 2592, [], [] >,
< [ -1, 1 ], [[47628]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [9]], [[0], [0], [21], [3]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [9]], [[0], [0], [21], [0]]], 0, 2592, [], [] >,
< [ -1, 1 ], [[1764]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [0]], [[0], [0], [0], [6]], [[1/2], [-1/2], [7], [-1]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[1/2], [-1/2], [-7/2], [-5/2]], [[1/2], [-1/2], [-7/2], [7/2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[7056]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [6]], [[0], [1], [-14], [2]]], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [3], [0], [6]], [[0], [2], [-7], [1]]], 0, 384, [], [] >,
< [ -1, 1 ], [[190512]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [6], [21], [-9]], [[0], [18], [-21], [-21]]], [[[1], [0], [0], [0]], [[0], [6], [0], [-12]], [[0], [6], [21], [9]], [[0], [24], [0], [6]]], 0, 10368, [], [] >,
< [ -1, 1 ], [[47628]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[1/2], [-9/2], [0], [9]], [[1/2], [3/2], [21], [0]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-3]], [[0], [9], [21], [3]], [[0], [21], [0], [12]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[1764]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [1], [7/2], [1/2]], [[0], [0], [0], [6]]], [[[1], [0], [0], [0]], [[0], [9/5], [0], [-12/5]], [[0], [13/5], [-7/2], [7/10]], [[0], [11/5], [7/2], [29/10]]], 1, 96, [], [] >,
< [ -1, 1 ], [[79380]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [9], [0]], [[0], [21/2], [3], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [9]], [[0], [21/2], [0], [-9/2]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[8820]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [3]], [[0], [7/2], [1], [3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3], [0]], [[0], [21/2], [0], [-1/2]]], 1, 288, [], [] >,
< [ -1, 1 ], [[35280]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [6], [0], [0]], [[0], [0], [7], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [3], [0], [1]], [[0], [0], [14], [0]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[8820]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [1]], [[1/2], [-3/2], [0], [-1]], [[0], [0], [7], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [3], [0], [-1]], [[1/2], [0], [7/2], [1]]], 1, 256, [], [] >,
< [ -1, 1 ], [[8820]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-2]], [[0], [21/2], [-1], [1/2]]], [[[1], [0], [0], [0]], [[0], [21/22], [10/11], [-49/22]], [[0], [63/22], [8/11], [7/22]], [[0], [21/22], [-45/11], [-27/22]]], 1, 384, [], [] >,
< [ -1, 1 ], [[8820]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[0], [0], [21], [0]]], [[[1], [0], [0], [0]], [[0], [0], [21/11], [-10/11]], [[0], [5], [0], [0]], [[0], [2], [42/11], [101/11]]], 1, 576, [], [] >,
< [ -1, 1 ], [[1764]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-3], [1]], [[0], [4], [6], [5]], [[0], [2], [3], [-8]]], [[[1], [0], [0], [0]], [[0], [3], [1], [2]], [[0], [3], [8], [-5]], [[0], [6], [-5], [-10]]], 1, 144, [], [] >,
< [ -1, 1 ], [[15876]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-12], [-3]], [[0], [9], [3], [-15]], [[0], [12], [-3], [15]]], [[[1], [0], [0], [0]], [[0], [9], [3], [6]], [[0], [3], [-6], [-12]], [[0], [3], [-27], [9]]], 0, 864, [], [] >,
< [ -1, 1 ], [[1764]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [0], [0]], [[1/2], [-1/2], [-3], [-3]], [[0], [1], [6], [-8]]], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [-3/2]], [[1/2], [0], [21/4], [-7/4]], [[0], [4], [3], [3]]], 1, 64, [], [] >,
< [ -1, 1 ], [[7056]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [3], [3]], [[0], [6], [-6], [-6]], [[0], [2], [-9], [5]]], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [-3/2]], [[0], [4], [3], [3]], [[0], [3], [-27/2], [29/2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1764]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-3], [3]], [[0], [1], [-9/2], [-5/2]], [[0], [4], [3], [-3]]], [[[1], [0], [0], [0]], [[0], [12/5], [-3/10], [-11/10]], [[0], [14/5], [-21/10], [63/10]], [[0], [3/5], [39/5], [3/5]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1764]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [-4]], [[0], [8], [-4], [5]], [[0], [1], [10], [-2]]], [[[1], [0], [0], [0]], [[0], [32/5], [1], [-1/5]], [[0], [19/5], [-4], [-17/5]], [[0], [7/5], [-7], [49/5]]], 1, 96, [], [] >,
< [ -1, 1 ], [[8820]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-5/2]], [[0], [0], [3], [2]], [[0], [7], [0], [0]]], [[[1], [0], [0], [0]], [[0], [28/11], [-3/22], [19/22]], [[0], [7/11], [-21/11], [-21/11]], [[0], [42/11], [72/11], [-71/11]]], 1, 384, [], [] >,
< [ -1, 1 ], [[35280]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [8]], [[0], [2], [9], [9]], [[0], [16], [9], [-5]]], [[[1], [0], [0], [0]], [[0], [1], [9/2], [9/2]], [[0], [8], [15], [-13]], [[0], [23], [-3/2], [-3/2]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[8820]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-13/2], [-3], [-3]], [[1/2], [-9/2], [6], [6]], [[1/2], [3/2], [-9], [5]]], [[[1], [0], [0], [0]], [[0], [1], [9/2], [9/2]], [[0], [4], [15/2], [-13/2]], [[1/2], [-9], [27/4], [-1/4]]], 1, 384, [], [] >,
< [ -1, 1 ], [[19404]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [4], [0], [3]], [[0], [2], [-21], [0]]], [[[1], [0], [0], [0]], [[0], [4/5], [0], [3/5]], [[0], [33/5], [0], [-44/5]], [[0], [3/5], [21], [-4/5]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[213444]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [11], [0], [0]], [[0], [0], [0], [11]], [[0], [5], [21], [-3]]], [[[1], [0], [0], [0]], [[0], [44/5], [0], [33/5]], [[0], [33/5], [0], [-44/5]], [[0], [3/5], [21], [-4/5]]], 1, 11520, [], [] >,
< [ -1, 1 ], [[12348]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [7]], [[0], [0], [21], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [4], [0], [3]], [[0], [0], [21], [0]]], 1, 672, [], [] >,
< [ -1, 1 ], [[24696]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [6], [0], [2]], [[1/2], [3/2], [21/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [6], [0], [2]], [[1/2], [1/2], [21/2], [5/2]]], 1, 896, [], [] >,
< [ -1, 1 ], [[49392]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [2], [-7], [-5]], [[0], [14], [14], [-14]]], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [2], [-7], [7]], [[0], [0], [21], [21]]], 0, 2688, [], [] >,
< [ -1, 1 ], [[12348]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [15/2], [0], [-3]], [[0], [6], [0], [6]], [[0], [2], [-7], [-5]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [1], [7], [-7]], [[1/2], [-1/2], [7], [14]]], 1, 448, [], [] >,
< [ -1, 1 ], [[12348]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [-12]], [[0], [8], [12], [3]], [[0], [15], [-9], [3]]], [[[1], [0], [0], [0]], [[0], [6], [-5], [-3]], [[0], [3], [1], [9]], [[0], [18], [34], [-9]]], 1, 504, [], [] >,
< [ -1, 1 ], [[111132]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [-15], [-9]], [[0], [9], [3], [27]], [[0], [27], [30], [-3]]], [[[1], [0], [0], [0]], [[0], [15], [-9], [3]], [[0], [6], [9], [39]], [[0], [24], [36], [9]]], 0, 6048, [], [] >,
< [ -1, 1 ], [[12348]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [9]], [[0], [13], [9], [-3]], [[0], [4], [-15], [-9]]], [[[1], [0], [0], [0]], [[0], [3], [-6], [9]], [[0], [12], [-3], [1]], [[0], [0], [21], [14]]], 1, 504, [], [] >,
< [ -1, 1 ], [[111132]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [18], [15]], [[0], [9], [-18], [27]], [[0], [36], [-9], [3]]], [[[1], [0], [0], [0]], [[0], [3], [-6], [9]], [[0], [42], [21], [0]], [[0], [9], [-39], [-36]]], 0, 6048, [], [] >,
< [ -1, 1 ], [[8100]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [15/4], [3], [9/4]], [[0], [0], [0], [6]], [[1/2], [-15/4], [6], [3/4]]], [[[1], [0], [0], [0]], [[1/2], [0], [9/2], [-3/2]], [[0], [0], [0], [6]], [[1/2], [15/2], [3/2], [0]]], 0, 864, [], [] >,
< [ -1, 1 ], [[32400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15/2], [-3], [-9/2]], [[0], [15/2], [6], [-3/2]], [[0], [15/2], [-3], [15/2]]], [[[1], [0], [0], [0]], [[0], [15/2], [-3], [3/2]], [[0], [0], [9], [-3]], [[0], [0], [0], [12]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[8100]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [3], [-3]], [[1/2], [-45/4], [0], [-3/4]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[1/2], [15/4], [3], [-3/4]], [[0], [15/2], [-6], [9/2]]], 0, 288, [], [] >,
< [ -1, 1 ], [[32400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [6]], [[0], [45/2], [3], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [15/2], [3], [-9/2]], [[0], [15/2], [-3], [15/2]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[3600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/2], [1], [5/2]], [[0], [5/2], [1], [-7/2]], [[0], [0], [6], [0]]], [[[1], [0], [0], [0]], [[0], [5/2], [-1], [1/2]], [[0], [5/2], [5], [1/2]], [[0], [0], [0], [6]]], 0, 288, [], [] >,
< [ -1, 1 ], [[900]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [5/4], [-1], [-1/4]], [[1/2], [-5/4], [-2], [-11/4]], [[1/2], [-5/4], [-2], [13/4]]], [[[1], [0], [0], [0]], [[1/2], [-5/4], [-1], [-7/4]], [[1/2], [5/4], [-2], [-5/4]], [[0], [5/2], [2], [-5/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[3600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [5/2], [4], [3/2]], [[0], [5], [-1], [0]]], [[[1], [0], [0], [0]], [[0], [5/2], [1], [-3/2]], [[0], [0], [3], [3]], [[0], [5], [-4], [3]]], 0, 144, [], [] >,
< [ -1, 1 ], [[900]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [0], [-3/2], [3/2]], [[1/2], [5/2], [-1/2], [0]], [[0], [0], [3], [3]]], [[[1], [0], [0], [0]], [[1/2], [0], [-3/2], [-3/2]], [[0], [5/2], [1], [-3/2]], [[0], [5/2], [-2], [3/2]]], 1, 72, [], [] >,
< [ -1, 1 ], [[8100]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [15/2], [-3], [3/2]], [[0], [0], [9], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [15/2], [0], [9/2]], [[0], [15/2], [0], [-9/2]]], 0, 432, [], [] >,
< [ -1, 1 ], [[900]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [3]], [[0], [5/2], [-1], [3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3], [0]], [[0], [15/2], [0], [1/2]]], 1, 36, [], [] >,
< [ -1, 1 ], [[2700]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3/2], [-3/2]], [[0], [5], [-1], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [1/2], [-3/2]], [[0], [15], [0], [0]]], 1, 108, [], [] >,
< [ -1, 1 ], [[7200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [0], [4]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [0], [4]], [[0], [5], [0], [-2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[1/2], [-5/2], [3/2], [1/2]], [[1/2], [-5/2], [-3/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[1/2], [-5/2], [0], [0]], [[0], [0], [3], [-1]]], 1, 64, [], [] >,
< [ -1, 1 ], [[3600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/2], [3], [5/2]], [[0], [5/2], [-3], [5/2]], [[0], [5], [0], [-1]]], [[[1], [0], [0], [0]], [[0], [5/2], [3], [-1/2]], [[0], [5/2], [-3], [-1/2]], [[0], [0], [0], [6]]], 0, 192, [], [] >,
< [ -1, 1 ], [[900]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/2], [0], [-1/2]], [[1/2], [5/4], [0], [11/4]], [[1/2], [-5/4], [-3], [1/4]]], [[[1], [0], [0], [0]], [[1/2], [5/4], [0], [5/4]], [[1/2], [-5/4], [3], [7/4]], [[1/2], [-5/4], [-3], [7/4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[900]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [15/4], [-1/2], [-1/4]], [[0], [0], [3], [3]]], [[[1], [0], [0], [0]], [[0], [15/7], [-1], [-2/7]], [[0], [15/28], [5/2], [47/28]], [[0], [45/28], [5/2], [-55/28]]], 1, 48, [], [] >,
< [ -1, 1 ], [[8100]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-9]], [[0], [15], [0], [0]], [[0], [0], [15], [0]]], [[[1], [0], [0], [0]], [[0], [0], [6], [-3]], [[0], [0], [3], [6]], [[0], [45], [0], [0]]], 0, 432, [], [] >,
< [ -1, 1 ], [[8100]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-9]], [[0], [0], [12], [9]], [[0], [15], [3], [6]]], [[[1], [0], [0], [0]], [[0], [0], [6], [-3]], [[0], [15], [0], [0]], [[0], [0], [9], [18]]], 0, 432, [], [] >,
< [ -1, 1 ], [[900]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-3]], [[0], [0], [4], [3]], [[0], [15], [0], [0]]], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [6], [-3]], [[0], [0], [3], [6]]], 1, 36, [], [] >,
< [ -1, 1 ], [[900]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-3], [-1]], [[0], [0], [6], [-3]], [[0], [0], [3], [6]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [3], [6]], [[0], [15], [0], [0]]], 1, 72, [], [] >,
< [ -1, 1 ], [[24300]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-15/2], [0], [0]], [[1/2], [-3/2], [-15], [-3]], [[1/2], [-3/2], [0], [-18]]], [[[1], [0], [0], [0]], [[1/2], [-9/2], [0], [6]], [[0], [9], [15], [3]], [[0], [9], [-15], [3]]], 0, 864, [], [] >,
< [ -1, 1 ], [[97200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-15], [-3]], [[0], [6], [0], [-18]], [[0], [24], [15], [3]]], [[[1], [0], [0], [0]], [[0], [18], [0], [6]], [[0], [0], [15], [15]], [[0], [0], [15], [-15]]], 0, 5184, [], [] >,
< [ -1, 1 ], [[3600]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [4]], [[0], [5], [0], [0]], [[0], [1], [15], [-3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[0], [4], [0], [-2]], [[0], [0], [30], [0]]], 0, 192, [], [] >,
< [ -1, 1 ], [[900]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[0], [4], [0], [-2]], [[1/2], [-3/2], [15/2], [-1/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [-1]], [[0], [4], [0], [-2]], [[0], [2], [15], [-1]]], 1, 96, [], [] >,
< [ -1, 1 ], [[900]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3], [1]], [[0], [5], [0], [0]], [[0], [3], [-3/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [13/7], [-9/7], [-1]], [[0], [17/7], [33/14], [-3/2]], [[0], [30/7], [15/14], [15/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[24300]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [-15]], [[0], [18], [9], [0]], [[0], [0], [15], [-15]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [3], [-6], [-15]], [[0], [24], [-48], [15]]], 0, 1296, [], [] >,
< [ -1, 1 ], [[24300]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [9], [15]], [[0], [18], [9], [0]], [[0], [15], [-15], [0]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [12], [-24], [-15]], [[0], [3], [-6], [30]]], 0, 1296, [], [] >,
< [ -1, 1 ], [[1800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [1/2], [-5/2]], [[0], [5], [5], [5]], [[1/2], [15/2], [-15/2], [15/2]]], [[[1], [0], [0], [0]], [[1/2], [11/2], [-7/2], [5/2]], [[0], [7], [1], [-5]], [[0], [5], [5], [5]]], 1, 64, [], [] >,
< [ -1, 1 ], [[56700]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [15/2], [3], [-3/2]], [[0], [0], [9], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [15/2], [0], [9/2]], [[0], [15/2], [0], [-9/2]]], 0, 2592, [], [] >,
< [ -1, 1 ], [[6300]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [5/2], [1], [3/2]], [[0], [5/2], [1], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3], [0]], [[0], [15/2], [0], [-1/2]]], 1, 216, [], [] >,
< [ -1, 1 ], [[6300]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[1/2], [15/2], [1], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[1/2], [0], [1/2], [1]], [[1/2], [15], [1/2], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[25200]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [30], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [15], [0], [-1]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[6300]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-2]], [[0], [15/2], [-1], [1/2]]], [[[0], [15/22], [4/11], [-13/22]], [[1], [0], [0], [0]], [[0], [45/22], [-43/11], [-17/22]], [[0], [75/22], [-2/11], [89/22]]], 1, 288, [], [] >,
< [ -1, 1 ], [[6300]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[0], [0], [15], [0]]], [[[1], [0], [0], [0]], [[0], [1], [30/11], [3/11]], [[0], [4], [-30/11], [-3/11]], [[0], [1], [-15/11], [-62/11]]], 1, 288, [], [] >,
< [ -1, 1 ], [[6300]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-5/2]], [[0], [0], [3], [2]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[0], [30/11], [51/22], [-15/22]], [[0], [35/11], [-45/22], [-23/22]], [[0], [20/11], [6/11], [39/11]]], 1, 384, [], [] >,
< [ -1, 1 ], [[6300]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [6], [2]], [[1/2], [-17/2], [-3], [-1]], [[0], [1], [3], [-9]]], [[[1], [0], [0], [0]], [[1/2], [0], [15/4], [-5/4]], [[1/2], [-9], [-3/4], [9/4]], [[0], [7], [6], [12]]], 1, 256, [], [] >,
< [ -1, 1 ], [[25200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [9], [3]], [[0], [8], [-6], [8]], [[0], [10], [0], [-10]]], [[[1], [0], [0], [0]], [[0], [9], [9/2], [-7/2]], [[0], [9], [-21/2], [3/2]], [[0], [2], [-9], [-13]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[9900]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3], [-1]], [[0], [5], [0], [0]], [[0], [0], [0], [5]]], [[[1], [0], [0], [0]], [[0], [23/7], [-6/7], [1]], [[0], [0], [0], [5]], [[0], [19/7], [27/7], [-2]]], 1, 480, [], [] >,
< [ -1, 1 ], [[9900]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-1/2]], [[0], [5], [0], [2]], [[0], [5], [-3], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [3/7], [-12/7]], [[0], [5], [-9/14], [-13/14]], [[0], [0], [129/14], [23/14]]], 1, 576, [], [] >,
< [ -1, 1 ], [[11700]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-1]], [[0], [0], [5/2], [5/2]], [[0], [0], [5/2], [-5/2]]], [[[1], [0], [0], [0]], [[0], [15/7], [5/14], [-15/14]], [[0], [9/7], [5/7], [27/7]], [[0], [3/7], [-55/14], [-17/14]]], 1, 576, [], [] >,
< [ -1, 1 ], [[15300]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [5], [15/2], [-1/2]], [[0], [10], [-21/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [51/14], [-41/14]], [[0], [0], [51/14], [57/14]], [[0], [5], [3/14], [-37/14]]], 1, 864, [], [] >,
< [ -1, 1 ], [[260100]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [15/2], [17/2]], [[0], [5], [15/2], [-17/2]], [[0], [15], [-3], [0]]], [[[1], [0], [0], [0]], [[0], [5], [-24/7], [51/7]], [[0], [10], [57/14], [-17/14]], [[0], [0], [255/14], [187/14]]], 1, 13824, [], [] >,
< [ -1, 1 ], [[152100]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-1]], [[0], [3], [0], [4]], [[0], [0], [65/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [27/7], [65/14], [-13/14]], [[0], [3], [0], [-6]], [[0], [78/7], [-65/14], [83/14]]], 1, 8064, [], [] >,
< [ -1, 1 ], [[108900]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [0], [5]], [[0], [1], [33], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [5]], [[0], [4/7], [-33/7], [-2]], [[0], [241/7], [33/7], [2]]], 1, 5760, [], [] >,
< [ -1, 1 ], [[108900]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [3/2], [3/2]], [[0], [5], [3/2], [-19/2]], [[0], [5], [-15], [-4]]], [[[1], [0], [0], [0]], [[0], [5], [60/7], [5/7]], [[0], [5], [-45/14], [131/14]], [[0], [5], [-72/7], [-6/7]]], 1, 5760, [], [] >,
< [ -1, 1 ], [[44100]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [3]], [[0], [35/2], [1], [3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3], [0]], [[0], [105/2], [0], [-1/2]]], 1, 1728, [], [] >,
< [ -1, 1 ], [[396900]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [9], [0]], [[0], [105/2], [3], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [9]], [[0], [105/2], [0], [9/2]]], 0, 20736, [], [] >,
< [ -1, 1 ], [[44100]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [7], [-1]], [[1/2], [15/2], [0], [1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[1/2], [0], [7/2], [1]], [[0], [15], [0], [-1]]], 1, 1536, [], [] >,
< [ -1, 1 ], [[176400]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [7], [-1]], [[0], [30], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [14], [0]], [[0], [15], [0], [-1]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[44100]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-2]], [[0], [105/2], [1], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [5], [-1]], [[0], [105/22], [6/11], [63/22]], [[0], [105/22], [-27/11], [-69/22]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[44100]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [0], [-2]], [[0], [0], [105], [0]]], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [105/11], [-50/11]], [[0], [2], [0], [11]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[44100]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-5/2]], [[0], [0], [3], [2]], [[0], [35], [0], [0]]], [[[1], [0], [0], [0]], [[0], [35/11], [-45/22], [-23/22]], [[0], [70/11], [75/22], [141/22]], [[0], [35/11], [93/11], [-50/11]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[44100]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [8]], [[1/2], [19/2], [6], [-8]], [[1/2], [-5/2], [15], [15]]], [[[1], [0], [0], [0]], [[1/2], [9], [-27/4], [1/4]], [[0], [2], [-3/2], [-31/2]], [[1/2], [16], [57/4], [29/4]]], 1, 1536, [], [] >,
< [ -1, 1 ], [[176400]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [8]], [[0], [12], [-9], [-23]], [[0], [26], [33], [-9]]], [[[1], [0], [0], [0]], [[0], [9], [39/2], [-17/2]], [[0], [25], [15/2], [15/2]], [[0], [20], [-15], [-15]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[4500]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/2], [2], [3/2]], [[1/2], [-15/4], [0], [15/4]], [[1/2], [-5/4], [5], [-15/4]]], [[[1], [0], [0], [0]], [[1/2], [5/4], [-4], [3/4]], [[0], [5/2], [1], [9/2]], [[1/2], [-15/4], [0], [15/4]]], 1, 120, [], [] >,
< [ -1, 1 ], [[18000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [4], [3]], [[0], [5/2], [-7], [-3/2]], [[0], [5/2], [5], [-15/2]]], [[[1], [0], [0], [0]], [[0], [5/2], [1], [9/2]], [[0], [5], [-4], [-3]], [[0], [15/2], [9], [-9/2]]], 0, 720, [], [] >,
< [ -1, 1 ], [[162000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15/2], [9], [-9/2]], [[0], [15/2], [3], [27/2]], [[0], [15], [-12], [-9]]], [[[1], [0], [0], [0]], [[0], [15/2], [-3], [3/2]], [[0], [15/2], [15], [15/2]], [[0], [15/2], [15], [-45/2]]], 0, 8640, [], [] >,
< [ -1, 1 ], [[40500]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-9]], [[0], [15/2], [6], [9/2]], [[1/2], [15/4], [-9], [-27/4]]], [[[1], [0], [0], [0]], [[0], [15/2], [-3], [3/2]], [[0], [0], [9], [3]], [[1/2], [-15/4], [-3], [51/4]]], 0, 1440, [], [] >,
< [ -1, 1 ], [[4500]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[1/2], [15/4], [-3], [-3/4]], [[1/2], [15/4], [3], [13/4]]], [[[1], [0], [0], [0]], [[1/2], [5/4], [-2], [3/4]], [[1/2], [-5/4], [-1], [9/4]], [[0], [10], [11], [9]]], 1, 120, [], [] >,
< [ -1, 1 ], [[18000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [6], [4]], [[0], [15/2], [3], [-1/2]], [[0], [0], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [5/2], [-1], [-3/2]], [[0], [0], [6], [-6]], [[0], [10], [8], [12]]], 0, 720, [], [] >,
< [ -1, 1 ], [[162000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15/2], [-3], [-9/2]], [[0], [15/2], [15], [15/2]], [[0], [0], [18], [-18]]], [[[1], [0], [0], [0]], [[0], [15/2], [3], [-21/2]], [[0], [15/2], [-15], [15/2]], [[0], [15], [6], [9]]], 0, 8640, [], [] >,
< [ -1, 1 ], [[40500]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [-15/4], [6], [-9/4]], [[1/2], [15/4], [3], [-27/4]], [[1/2], [-45/4], [-9], [-39/4]]], [[[1], [0], [0], [0]], [[1/2], [15/4], [-3], [-3/4]], [[1/2], [-15/4], [-6], [39/4]], [[1/2], [-45/4], [-9], [-39/4]]], 0, 1440, [], [] >,
< [ -1, 1 ], [[121500]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [15/2], [-3/2]], [[0], [0], [0], [9]], [[0], [15], [0], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [15/2], [9/2]], [[0], [0], [15/2], [-9/2]], [[0], [15], [0], [3]]], 0, 6480, [], [] >,
< [ -1, 1 ], [[121500]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [15/2]], [[0], [0], [9], [0]], [[0], [15], [-3], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [15], [-3/2], [15/2]], [[0], [15], [0], [-15]]], 0, 6480, [], [] >,
< [ -1, 1 ], [[4500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-3]], [[0], [0], [7], [9]], [[0], [15], [0], [0]]], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [6], [-3]], [[0], [0], [15], [30]]], 1, 180, [], [] >,
< [ -1, 1 ], [[40500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [15], [0], [0]], [[0], [0], [18], [-9]], [[0], [0], [21], [27]]], [[[1], [0], [0], [0]], [[0], [0], [6], [-3]], [[0], [0], [15], [30]], [[0], [45], [0], [0]]], 0, 2160, [], [] >,
< [ -1, 1 ], [[4500]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-2]], [[1/2], [9/2], [0], [4]], [[0], [2], [15], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[1/2], [19/2], [0], [-6]], [[1/2], [-1/2], [-15], [-1]]], 1, 160, [], [] >,
< [ -1, 1 ], [[18000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-2]], [[0], [2], [15], [-1]], [[0], [10], [0], [20]]], [[[1], [0], [0], [0]], [[0], [2], [0], [4]], [[0], [10], [15], [-5]], [[0], [10], [-15], [-5]]], 0, 960, [], [] >,
< [ -1, 1 ], [[4500]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [2]], [[1/2], [3/2], [-15/2], [1/2]], [[0], [1], [0], [-8]]], [[[1], [0], [0], [0]], [[1/2], [-7/2], [0], [3]], [[1/2], [5/2], [0], [5]], [[0], [3], [15], [1]]], 1, 480, [], [] >,
< [ -1, 1 ], [[18000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-8]], [[0], [12], [0], [4]], [[0], [3], [-15], [1]]], [[[1], [0], [0], [0]], [[0], [6], [0], [2]], [[0], [1], [0], [-8]], [[0], [0], [30], [0]]], 0, 960, [], [] >,
< [ -1, 1 ], [[4500]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-3/2], [11/2]], [[0], [4], [-9/2], [-7/2]], [[0], [5], [15/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [17/7], [33/14], [-3/2]], [[0], [30/7], [15/14], [15/2]], [[0], [48/7], [-123/14], [-7/2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[4500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [5], [-10], [5]], [[0], [5], [-10], [-10]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[0], [2], [-4], [5]], [[0], [30], [15], [0]]], 1, 240, [], [] >,
< [ -1, 1 ], [[121500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [21], [-12], [0]], [[0], [3], [9], [-30]], [[0], [12], [36], [15]]], [[[1], [0], [0], [0]], [[0], [3], [9], [15]], [[0], [27], [6], [-15]], [[0], [36], [-42], [15]]], 0, 6480, [], [] >,
< [ -1, 1 ], [[31500]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-1]], [[0], [1], [0], [8]], [[0], [0], [15], [0]]], [[[1], [0], [0], [0]], [[0], [2], [15/11], [-59/11]], [[0], [2], [-90/11], [-9/11]], [[0], [5], [45/11], [65/11]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[220500]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [3]], [[0], [8], [0], [-1]], [[0], [0], [105], [0]]], [[[1], [0], [0], [0]], [[0], [0], [105/11], [-50/11]], [[0], [12], [0], [11]], [[0], [13], [0], [-11]]], 1, 11520, [], [] >,
< [ -1, 1 ], [[2916]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [9], [0]], [[0], [0], [0], [9]], [[0], [9], [3], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [9], [0], [0]], [[0], [0], [0], [27]]], 0, 162, [], [] >,
< [ -1, 1 ], [[2916]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [9], [0]], [[0], [9], [-3], [0]], [[0], [0], [3], [9]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [9], [0], [9]], [[0], [18], [0], [-9]]], 0, 162, [], [] >,
< [ -1, 1 ], [[2916]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [3]], [[0], [0], [9], [0]], [[0], [3], [0], [-12]]], [[[1], [0], [0], [0]], [[0], [3], [0], [-3]], [[0], [0], [9], [0]], [[0], [12], [0], [15]]], 0, 162, [], [] >,
< [ -1, 1 ], [[2916]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [9], [0], [0]], [[0], [0], [0], [9]], [[0], [3], [-9], [-3]]], [[[1], [0], [0], [0]], [[0], [3], [0], [-3]], [[0], [3], [0], [6]], [[0], [0], [27], [0]]], 0, 162, [], [] >,
< [ -1, 1 ], [[2916]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-9/2], [0], [0]], [[1/2], [3/2], [0], [6]], [[0], [0], [9], [-3]]], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]], [[0], [0], [9], [-3]], [[0], [0], [9], [15]]], 0, 108, [], [] >,
< [ -1, 1 ], [[11664]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [0], [9], [-3]], [[0], [6], [0], [-12]]], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [9], [-3]], [[0], [0], [9], [15]]], 0, 648, [], [] >,
< [ -1, 1 ], [[432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [1]], [[0], [6], [0], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [3], [-3]]], 0, 24, [], [] >,
< [ -1, 1 ], [[432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [3], [-1]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [6]]], 0, 24, [], [] >,
< [ -1, 1 ], [[108]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [1]]], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [3], [-3]]], 1, 8, [], [] >,
< [ -1, 1 ], [[108]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[1/2], [-3/2], [3/2], [-1/2]], [[1/2], [-3/2], [-3/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [3], [0]], [[1/2], [1/2], [0], [-3]]], 1, 12, [], [] >,
< [ -1, 1 ], [[864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [1], [3], [1]], [[0], [8], [-3], [5]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [0], [-4]], [[0], [3], [-3], [3]]], 0, 48, [], [] >,
< [ -1, 1 ], [[216]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [1]], [[0], [1], [3], [1]], [[1/2], [7/2], [-3], [2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[1/2], [3/2], [-3/2], [3/2]], [[0], [1], [3], [1]]], 1, 24, [], [] >,
< [ -1, 1 ], [[2916]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [6], [-3]], [[0], [9], [0], [0]], [[0], [0], [9], [9]]], [[[1], [0], [0], [0]], [[0], [3], [-3], [-3]], [[0], [3], [6], [-3]], [[0], [12], [-3], [15]]], 0, 162, [], [] >,
< [ -1, 1 ], [[864]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [6], [6], [0]], [[0], [6], [-6], [12]]], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [6], [6], [0]], [[0], [1], [5], [-7]]], 0, 48, [], [] >,
< [ -1, 1 ], [[216]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[1/2], [5/2], [7/2], [1/2]], [[1/2], [-7/2], [7/2], [-11/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [1/2], [1/2]], [[0], [6], [0], [6]], [[0], [0], [6], [-6]]], 1, 12, [], [] >,
< [ -1, 1 ], [[864]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [3], [-3], [-3]], [[0], [6], [0], [6]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [7], [-1], [-1]], [[0], [1], [5], [5]]], 0, 48, [], [] >,
< [ -1, 1 ], [[216]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [1/2], [-5/2]], [[1/2], [1/2], [-7/2], [-1/2]], [[0], [4], [2], [2]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [-3/2]], [[0], [4], [2], [2]], [[0], [2], [-2], [4]]], 1, 8, [], [] >,
< [ -1, 1 ], [[540]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3/2], [1/2]], [[0], [3], [0], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3/2], [-3/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[1080]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [0], [-1]], [[1/2], [5/2], [0], [1]], [[0], [1], [3], [1]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [0]], [[1/2], [-1/2], [0], [-2]], [[1/2], [-1/2], [3], [1]]], 1, 32, [], [] >,
< [ -1, 1 ], [[4320]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [1], [-3], [1]], [[0], [4], [3], [1]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [1], [-3], [1]], [[0], [1], [0], [4]]], 0, 192, [], [] >,
< [ -1, 1 ], [[14580]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [0], [9/2], [-3/2]], [[0], [3], [0], [-6]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [9/2], [-3/2]], [[0], [0], [9/2], [15/2]]], 0, 648, [], [] >,
< [ -1, 1 ], [[540]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [1/4], [0], [7/4]], [[0], [5/2], [0], [-1/2]], [[1/2], [-5/4], [-3], [1/4]]], [[[1], [0], [0], [0]], [[1/2], [-3/4], [0], [-3/4]], [[1/2], [7/4], [3], [-5/4]], [[1/2], [7/4], [-3], [-5/4]]], 1, 16, [], [] >,
< [ -1, 1 ], [[2160]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[0], [3/2], [-3], [3/2]], [[0], [2], [0], [-4]]], [[[1], [0], [0], [0]], [[0], [5/2], [3], [-1/2]], [[0], [5/2], [-3], [-1/2]], [[0], [3], [0], [3]]], 0, 96, [], [] >,
< [ -1, 1 ], [[540]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1/2], [3], [1/2]], [[1/2], [9/4], [0], [-9/4]]], [[[1/2], [1/4], [0], [1/4]], [[1/2], [-1/4], [0], [-1/4]], [[0], [0], [6], [0]], [[0], [9/2], [-3], [-9/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[2160]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1/2], [3], [1/2]], [[0], [9], [0], [-9]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [0], [6], [0]], [[0], [9/2], [-3], [-9/2]]], 0, 96, [], [] >,
< [ -1, 1 ], [[540]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [3/4], [3/2], [3/4]], [[0], [21/4], [-3/2], [-3/4]]], [[[1], [0], [0], [0]], [[0], [27/28], [3/2], [-33/28]], [[0], [15/7], [-1], [-2/7]], [[0], [3/7], [-1], [-20/7]]], 1, 24, [], [] >,
< [ -1, 1 ], [[540]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/4], [3/2], [3/4]], [[0], [3/2], [-1], [-1/2]], [[0], [3/4], [-3/2], [15/4]]], [[[0], [9/28], [1/2], [-11/28]], [[1], [0], [0], [0]], [[0], [57/28], [1/2], [61/28]], [[0], [15/4], [-9/2], [-9/4]]], 1, 24, [], [] >,
< [ -1, 1 ], [[540]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [-1]], [[1/2], [1/2], [0], [-4]]], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[1/2], [1/2], [3], [1]], [[1/2], [13/2], [0], [-2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[2160]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [-1]], [[0], [6], [0], [12]]], [[[1], [0], [0], [0]], [[0], [2], [0], [4]], [[0], [0], [6], [0]], [[0], [6], [-3], [-3]]], 0, 144, [], [] >,
< [ -1, 1 ], [[540]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [3/2], [3/2]], [[0], [1], [3], [-3]], [[1/2], [-9/2], [-3/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [3]], [[1/2], [5/2], [3], [0]], [[1/2], [5/2], [-3], [0]]], 1, 72, [], [] >,
< [ -1, 1 ], [[2160]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3], [-3]], [[0], [5], [0], [0]], [[0], [2], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [6], [0]], [[0], [2], [0], [-6]]], 0, 144, [], [] >,
< [ -1, 1 ], [[540]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [3/2]], [[0], [3], [3/2], [-3/2]], [[0], [0], [3], [3]]], [[[1], [0], [0], [0]], [[0], [6/7], [3/14], [3/2]], [[0], [30/7], [15/14], [-5/2]], [[0], [9/7], [-69/14], [-1/2]]], 1, 36, [], [] >,
< [ -1, 1 ], [[1080]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [-5/2], [-5/2]], [[1/2], [-1/2], [-13/2], [11/2]], [[0], [7], [1], [-5]]], [[[1], [0], [0], [0]], [[1/2], [-9/2], [3/2], [-3/2]], [[1/2], [5/2], [5/2], [-13/2]], [[1/2], [1/2], [13/2], [7/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1080]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-7/2], [-1/2], [-1/2]], [[0], [2], [-4], [2]], [[0], [4], [-8], [-14]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [5], [5], [-1]], [[1/2], [-3/2], [-9/2], [-15/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1512]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-3/2], [1/2]], [[1/2], [3/2], [-3/2], [-3/2]], [[0], [4], [0], [2]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [-3/2], [3/2]], [[0], [2], [0], [-2]], [[1/2], [1/2], [3/2], [5/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[756]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [5/2], [1/2]], [[1/2], [-1/2], [-1/2], [-5/2]], [[0], [4], [1], [-1]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [3/2], [-3/2]], [[1/2], [-5/2], [1/2], [-1/2]], [[0], [0], [3], [3]]], 1, 72, [], [] >,
< [ -1, 1 ], [[3024]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [2]], [[0], [4], [4], [2]], [[0], [4], [-2], [-4]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [5], [-1], [1]], [[0], [3], [3], [-3]]], 0, 144, [], [] >,
< [ -1, 1 ], [[756]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[0], [0], [3], [3]], [[1/2], [7/2], [1/2], [5/2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[0], [0], [3], [3]], [[0], [6], [-3], [3]]], 1, 72, [], [] >,
< [ -1, 1 ], [[3024]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [2], [-2]], [[0], [1], [4], [2]], [[0], [5], [-4], [4]]], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[0], [0], [3], [3]], [[0], [12], [-6], [6]]], 0, 144, [], [] >,
< [ -1, 1 ], [[756]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [0], [3/2], [-3/2]], [[0], [6], [3], [3]]], [[[1], [0], [0], [0]], [[0], [7/5], [1], [-1/5]], [[0], [3/5], [-3/2], [-33/10]], [[0], [12/5], [-3], [9/5]]], 1, 36, [], [] >,
< [ -1, 1 ], [[756]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [1], [2], [2]], [[0], [4], [-1], [-1]]], [[[1], [0], [0], [0]], [[0], [8/5], [1/2], [-13/10]], [[0], [1], [2], [2]], [[0], [12/5], [-3], [9/5]]], 1, 36, [], [] >,
< [ -1, 1 ], [[15120]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [3], [-3]], [[0], [6], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [3], [2], [1]], [[0], [3], [-2], [-1]]], 0, 576, [], [] >,
< [ -1, 1 ], [[3780]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[1/2], [-3/2], [2], [-1]], [[1/2], [-3/2], [-2], [1]]], [[[1], [0], [0], [0]], [[1/2], [0], [1/2], [1]], [[1/2], [0], [5/2], [-1]], [[0], [3], [1], [-1]]], 1, 96, [], [] >,
< [ -1, 1 ], [[3780]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [3/2], [1], [-1/2]], [[0], [3/2], [-1], [1/2]], [[0], [0], [1], [4]]], [[[0], [15/22], [4/11], [-13/22]], [[1], [0], [0], [0]], [[0], [21/11], [-2/11], [28/11]], [[0], [21/22], [-45/11], [-27/22]]], 1, 144, [], [] >,
< [ -1, 1 ], [[3780]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [3], [0], [0]], [[0], [3/2], [2], [-5/2]]], [[[1], [0], [0], [0]], [[0], [9/22], [-2/11], [23/22]], [[0], [27/11], [10/11], [-8/11]], [[0], [21/22], [-45/11], [-27/22]]], 1, 144, [], [] >,
< [ -1, 1 ], [[3780]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [0], [3], [0]], [[0], [3], [0], [-6]]], [[[1], [0], [0], [0]], [[0], [1], [9/11], [13/11]], [[0], [3], [3/11], [-36/11]], [[0], [4], [-51/11], [7/11]]], 1, 216, [], [] >,
< [ -1, 1 ], [[756]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [1]], [[1/2], [1/2], [0], [4]], [[1/2], [-7/2], [3], [-1]]], [[[1], [0], [0], [0]], [[1/2], [0], [-9/4], [3/4]], [[1/2], [5], [-3/4], [-7/4]], [[1/2], [-4], [-9/4], [-13/4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[3024]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [1]], [[0], [4], [-3], [5]], [[0], [8], [-3], [-5]]], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [5], [3/2], [-5/2]], [[0], [1], [-15/2], [-7/2]]], 0, 192, [], [] >,
< [ -1, 1 ], [[756]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [-4]], [[0], [6], [0], [3]], [[0], [3], [6], [0]]], [[[1], [0], [0], [0]], [[0], [1/5], [-1], [7/5]], [[0], [51/5], [-3], [-18/5]], [[0], [9], [6], [3]]], 1, 48, [], [] >,
< [ -1, 1 ], [[756]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [4], [4], [1]], [[0], [6], [-3], [-12]]], [[[1], [0], [0], [0]], [[0], [3/5], [-3], [21/5]], [[0], [19/5], [-4], [-17/5]], [[0], [13/5], [5], [16/5]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1188]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [3]]], [[[1], [0], [0], [0]], [[0], [6/5], [3/5], [4/5]], [[0], [3/5], [-6/5], [7/5]], [[0], [12/5], [-9/5], [-7/5]]], 1, 60, [], [] >,
< [ -1, 1 ], [[5940]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-3]], [[0], [3], [-3], [0]], [[0], [0], [3], [3]]], [[[1], [0], [0], [0]], [[0], [3/7], [12/7], [0]], [[0], [13/7], [3/7], [3]], [[0], [46/7], [-12/7], [-3]]], 1, 360, [], [] >,
< [ -1, 1 ], [[1188]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [3], [-1]], [[1/2], [-5/2], [0], [-2]], [[1/2], [-13/2], [0], [8]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [4]], [[1/2], [7/2], [-3], [-1]], [[0], [5], [3], [-1]]], 1, 48, [], [] >,
< [ -1, 1 ], [[4752]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [1]], [[0], [6], [-6], [6]], [[0], [4], [0], [-10]]], [[[1], [0], [0], [0]], [[0], [4], [-3], [-5]], [[0], [2], [6], [-4]], [[0], [8], [0], [2]]], 0, 288, [], [] >,
< [ -1, 1 ], [[1188]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-3]], [[0], [2], [-5], [2]], [[0], [9], [6], [6]]], [[[1], [0], [0], [0]], [[0], [7/5], [-2], [1/5]], [[0], [27/5], [3], [-39/5]], [[0], [34/5], [7], [37/5]]], 1, 72, [], [] >,
< [ -1, 1 ], [[1188]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-3]], [[0], [4], [2], [1]], [[0], [6], [-15], [6]]], [[[1], [0], [0], [0]], [[0], [23/5], [-1], [14/5]], [[0], [2/5], [5], [11/5]], [[0], [27/5], [3], [-39/5]]], 1, 72, [], [] >,
< [ -1, 1 ], [[1404]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [1/2], [-3/2]], [[0], [3], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3/2], [1/2]], [[0], [3], [0], [0]]], 1, 72, [], [] >,
< [ -1, 1 ], [[2808]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[1/2], [-3/2], [-1], [1/2]], [[1/2], [-3/2], [2], [-5/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[1/2], [-3/2], [1/2], [-1]], [[1/2], [-3/2], [-5/2], [2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[5616]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [5/2], [1], [-3/2]], [[0], [3/2], [-3], [3/2]], [[0], [1], [4], [3]]], [[[1], [0], [0], [0]], [[0], [3/2], [-3], [3/2]], [[0], [5/4], [1/2], [-15/4]], [[0], [15/4], [3/2], [3/4]]], 0, 288, [], [] >,
< [ -1, 1 ], [[1404]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[1/2], [9/4], [0], [3/4]], [[1/2], [-1/4], [-1], [9/4]], [[0], [1/2], [2], [3/2]]], [[[1], [0], [0], [0]], [[1/2], [7/8], [5/4], [-9/8]], [[0], [1/2], [2], [3/2]], [[1/2], [19/8], [-7/4], [3/8]]], 1, 48, [], [] >,
< [ -1, 1 ], [[5616]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [2], [2], [0]], [[0], [3/2], [-3], [3/2]], [[0], [3/2], [-3], [-9/2]]], [[[1], [0], [0], [0]], [[0], [7/4], [-1/2], [3/4]], [[0], [1/4], [5/2], [-3/4]], [[0], [13/4], [-7/2], [-39/4]]], 0, 288, [], [] >,
< [ -1, 1 ], [[1404]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [1], [1], [0]], [[1/2], [5/4], [-1], [3/4]], [[1/2], [-5/4], [1], [21/4]]], [[[1], [0], [0], [0]], [[0], [7/4], [-1/2], [3/4]], [[0], [1/4], [5/2], [-3/4]], [[1/2], [-3/8], [3/4], [21/8]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1404]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-5], [4]], [[0], [7], [1], [1]], [[0], [2], [-7], [-4]]], [[[1], [0], [0], [0]], [[0], [3/5], [21/5], [-3]], [[0], [29/5], [-22/5], [-5]], [[0], [14/5], [23/5], [7]]], 1, 84, [], [] >,
< [ -1, 1 ], [[1404]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-1], [2]], [[0], [4], [-5], [-5]], [[0], [1], [7], [-5]]], [[[1], [0], [0], [0]], [[0], [1/5], [7/5], [-1]], [[0], [72/5], [-21/5], [-3]], [[0], [57/5], [24/5], [9]]], 1, 84, [], [] >,
< [ -1, 1 ], [[7344]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [2], [-3], [-9]], [[0], [10], [0], [6]]], [[[1], [0], [0], [0]], [[0], [3], [-9/2], [7/2]], [[0], [3], [15/2], [7/2]], [[0], [9], [3/2], [-13/2]]], 0, 432, [], [] >,
< [ -1, 1 ], [[1836]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [3], [-3]], [[1/2], [7/2], [-3], [-3]], [[1/2], [3/2], [0], [6]]], [[[1], [0], [0], [0]], [[1/2], [0], [-3/4], [17/4]], [[1/2], [-3], [15/4], [3/4]], [[1/2], [-6], [-15/4], [-11/4]]], 1, 72, [], [] >,
< [ -1, 1 ], [[1836]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [5], [2]], [[0], [5], [-1], [-4]], [[0], [6], [-6], [9]]], [[[1], [0], [0], [0]], [[0], [0], [21/5], [-3/5]], [[0], [7], [-1/5], [-7/5]], [[0], [3], [0], [15]]], 1, 108, [], [] >,
< [ -1, 1 ], [[1836]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [1], [-2]], [[0], [1], [7], [4]], [[0], [6], [-6], [9]]], [[[1], [0], [0], [0]], [[0], [0], [21/5], [-3/5]], [[0], [1], [-7/5], [26/5]], [[0], [21], [-3/5], [-21/5]]], 1, 108, [], [] >,
< [ -1, 1 ], [[2052]], [ -19 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [3], [0], [0]]], [[[0], [3/5], [3/5], [0]], [[1], [0], [0], [0]], [[0], [6/5], [-13/10], [1/2]], [[0], [0], [0], [3]]], 1, 108, [], [] >,
< [ -1, 1 ], [[8208]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [2], [-2]], [[0], [0], [3], [3]], [[0], [6], [-3], [3]]], [[[1], [0], [0], [0]], [[0], [2], [2], [-2]], [[0], [3], [-3/2], [3/2]], [[0], [0], [6], [6]]], 0, 432, [], [] >,
< [ -1, 1 ], [[2052]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[1/2], [7/2], [-1], [1]], [[0], [0], [3], [3]]], [[[1], [0], [0], [0]], [[1/2], [1], [1/4], [11/4]], [[1/2], [-2], [7/4], [5/4]], [[0], [2], [2], [-2]]], 1, 72, [], [] >,
< [ -1, 1 ], [[8208]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [1]], [[0], [0], [3], [3]], [[0], [6], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [1], [-1/2], [1/2]], [[0], [0], [6], [6]], [[0], [6], [6], [-6]]], 0, 432, [], [] >,
< [ -1, 1 ], [[2052]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [1]], [[1/2], [-1/2], [-2], [2]], [[0], [0], [3], [3]]], [[[1], [0], [0], [0]], [[0], [1], [-1/2], [1/2]], [[1/2], [2], [11/4], [1/4]], [[0], [3], [0], [-6]]], 1, 72, [], [] >,
< [ -1, 1 ], [[9936]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-3], [3]], [[0], [2], [9], [-3]], [[0], [2], [-3], [-9]]], [[[1], [0], [0], [0]], [[0], [5], [3], [0]], [[0], [5], [-9], [-6]], [[0], [1], [-3], [12]]], 0, 576, [], [] >,
< [ -1, 1 ], [[2484]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [3], [-3]], [[1/2], [3/2], [-6], [0]], [[0], [3], [0], [6]]], [[[1], [0], [0], [0]], [[0], [5], [3], [0]], [[1/2], [3], [-3], [9/2]], [[0], [5], [-3], [-3]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2484]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-1], [7]], [[0], [1], [8], [1]], [[0], [9], [-3], [-3]]], [[[1], [0], [0], [0]], [[0], [16/5], [-13/5], [2]], [[0], [17/5], [19/5], [-2]], [[0], [12/5], [-66/5], [-21]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2484]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [1]], [[0], [5], [1], [-4]], [[0], [10], [11], [10]]], [[[1], [0], [0], [0]], [[0], [33/5], [6/5], [0]], [[0], [4/5], [-22/5], [-7]], [[0], [3], [-9], [6]]], 1, 144, [], [] >,
< [ -1, 1 ], [[3132]], [ -10 ], [ -174 ], [[[0], [3/10], [1/2], [1/5]], [[0], [3/5], [0], [-3/5]], [[0], [3/10], [-1/2], [7/10]], [[1], [0], [0], [0]]], [[[0], [9/50], [1/2], [8/25]], [[0], [3/5], [0], [-3/5]], [[0], [33/50], [-1/2], [17/50]], [[1], [0], [0], [0]]], 1, 168, [], [] >,
< [ -1, 1 ], [[3348]], [ -10 ], [ -186 ], [[[0], [3/10], [-1/2], [1/10]], [[0], [3/5], [0], [-3/10]], [[1], [0], [0], [0]], [[0], [3/10], [1/2], [11/10]]], [[[0], [12/25], [0], [3/50]], [[0], [3/50], [1/2], [8/25]], [[1], [0], [0], [0]], [[0], [6/25], [1], [-61/50]]], 1, 180, [], [] >,
< [ -1, 1 ], [[3996]], [ -222 ], [ -13 ], [[[0], [1/2], [6/13], [-5/26]], [[0], [1/2], [0], [1/2]], [[0], [0], [9/13], [6/13]], [[1], [0], [0], [0]]], [[[0], [1/10], [3/65], [43/130]], [[0], [1/5], [-3/5], [1/5]], [[1], [0], [0], [0]], [[0], [3/2], [3/13], [-9/26]]], 1, 216, [], [] >,
< [ -1, 1 ], [[147852]], [ -222 ], [ -13 ], [[[0], [1/2], [0], [1/2]], [[1], [0], [0], [0]], [[0], [3/2], [0], [-3/2]], [[0], [1/2], [-111/13], [-5/26]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [4/5], [-111/65], [82/65]], [[0], [17/10], [111/65], [161/130]]], 1, 8208, [], [] >,
< [ -1, 1 ], [[103788]], [ -10 ], [ -186 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1/2]], [[0], [0], [1], [-1]], [[0], [93/10], [1/2], [1/10]]], [[[1], [0], [0], [0]], [[0], [93/50], [-1/2], [-2/25]], [[0], [0], [1], [5/2]], [[0], [0], [3], [0]]], 1, 5760, [], [] >,
< [ -1, 1 ], [[90828]], [ -10 ], [ -174 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1/2]], [[0], [0], [1], [-1]], [[0], [87/10], [1/2], [-1/5]]], [[[1], [0], [0], [0]], [[0], [87/50], [3/2], [-6/25]], [[0], [87/50], [-3/2], [-6/25]], [[0], [0], [1], [5/2]]], 1, 5040, [], [] >,
< [ -1, 1 ], [[228528]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [3], [21]], [[0], [18], [-21], [-9]], [[0], [24], [18], [-12]]], [[[1], [0], [0], [0]], [[0], [11], [-9], [6]], [[0], [24], [18], [-12]], [[0], [3], [-15], [-36]]], 0, 12672, [], [] >,
< [ -1, 1 ], [[57132]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-23/2], [0], [0]], [[0], [4], [3], [21]], [[0], [1], [18], [-12]]], [[[1], [0], [0], [0]], [[1/2], [-8], [-6], [-15/2]], [[1/2], [3], [-15], [-3/2]], [[1/2], [16], [12], [-39/2]]], 1, 2112, [], [] >,
< [ -1, 1 ], [[57132]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [19], [-1], [-11]], [[0], [8], [25], [-1]], [[0], [7], [-4], [25]]], [[[1], [0], [0], [0]], [[0], [4/5], [-22/5], [-7]], [[0], [27], [24], [-12]], [[0], [177/5], [-111/5], [18]]], 1, 3168, [], [] >,
< [ -1, 1 ], [[57132]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [7], [8]], [[0], [22], [17], [-20]], [[0], [18], [-30], [15]]], [[[1], [0], [0], [0]], [[0], [14/5], [-77/5], [10]], [[0], [12/5], [-66/5], [-21]], [[0], [149/5], [43/5], [-2]]], 1, 3168, [], [] >,
< [ -1, 1 ], [[38988]], [ -19 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [19/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [3/5], [-19/10], [-1/2]], [[0], [0], [0], [3]], [[0], [69/5], [19/5], [1]]], 1, 2160, [], [] >,
< [ -1, 1 ], [[38988]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-9/2], [0], [0]], [[1/2], [3/2], [0], [6]], [[0], [2], [-19], [1]]], [[[1], [0], [0], [0]], [[1/2], [-2], [19/4], [-7/4]], [[0], [3], [0], [-6]], [[1/2], [-13], [-19/4], [-17/4]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[155952]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [6], [0], [-12]], [[0], [2], [-19], [1]]], [[[1], [0], [0], [0]], [[0], [7], [-19/2], [-5/2]], [[0], [6], [0], [-12]], [[0], [11], [19/2], [5/2]]], 0, 8640, [], [] >,
< [ -1, 1 ], [[38988]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-9/2], [0], [0]], [[1/2], [3/2], [0], [6]], [[0], [1], [19], [-1]]], [[[1], [0], [0], [0]], [[0], [3], [0], [-6]], [[1/2], [-7], [-19/4], [-17/4]], [[1/2], [-8], [19/4], [-7/4]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[155952]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [6], [0], [-12]], [[0], [2], [-19], [-5]]], [[[1], [0], [0], [0]], [[0], [1], [-19/2], [-5/2]], [[0], [6], [0], [-12]], [[0], [12], [0], [12]]], 0, 8640, [], [] >,
< [ -1, 1 ], [[31212]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [-6]], [[1/2], [17/2], [0], [0]], [[1/2], [-7/2], [-51], [3]]], [[[1], [0], [0], [0]], [[0], [9], [0], [2]], [[1/2], [0], [-51/4], [17/4]], [[1/2], [-3], [51/4], [71/4]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[124848]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [0], [6]], [[0], [14], [0], [-12]], [[0], [2], [-51], [-9]]], [[[1], [0], [0], [0]], [[0], [18], [0], [4]], [[0], [12], [0], [-20]], [[0], [9], [51/2], [-13/2]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[31212]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [9]], [[0], [1], [16], [10]], [[0], [29], [5], [-16]]], [[[1], [0], [0], [0]], [[0], [7], [-1/5], [-7/5]], [[0], [6], [21/5], [147/5]], [[0], [3], [-168/5], [99/5]]], 1, 1728, [], [] >,
< [ -1, 1 ], [[31212]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [9]], [[0], [19], [-2], [-14]], [[0], [11], [23], [8]]], [[[1], [0], [0], [0]], [[0], [2], [7/5], [49/5]], [[0], [21], [-3/5], [-21/5]], [[0], [1], [-35], [10]]], 1, 1728, [], [] >,
< [ -1, 1 ], [[18252]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3], [0], [0]], [[0], [0], [39/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [13/2], [3/2]]], 1, 1008, [], [] >,
< [ -1, 1 ], [[36504]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [3/2]], [[0], [3], [0], [3]], [[0], [0], [13], [1]]], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [3], [0], [-3]], [[1/2], [3/2], [13/2], [-1]]], 1, 1344, [], [] >,
< [ -1, 1 ], [[73008]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [13/2], [-7], [-3/2]], [[0], [13/2], [11], [-3/2]]], [[[1], [0], [0], [0]], [[0], [13/4], [-7/2], [9/4]], [[0], [13/4], [-7/2], [-39/4]], [[0], [39/4], [15/2], [3/4]]], 0, 4032, [], [] >,
< [ -1, 1 ], [[18252]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[1/2], [13/4], [1], [3/4]], [[0], [0], [0], [6]], [[1/2], [-13/4], [8], [9/4]]], [[[1], [0], [0], [0]], [[1/2], [-13/8], [-11/4], [-21/8]], [[0], [13/4], [-7/2], [9/4]], [[0], [13/2], [2], [-9/2]]], 1, 672, [], [] >,
< [ -1, 1 ], [[73008]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [13/2], [-1], [-3/2]], [[0], [0], [18], [0]]], [[[1], [0], [0], [0]], [[0], [13/2], [-1], [-3/2]], [[0], [13/4], [17/2], [9/4]], [[0], [0], [0], [12]]], 0, 4032, [], [] >,
< [ -1, 1 ], [[18252]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[1/2], [-13/4], [-4], [9/4]], [[0], [0], [0], [6]], [[1/2], [13/4], [-5], [3/4]]], [[[1], [0], [0], [0]], [[0], [13/4], [-1/2], [-3/4]], [[1/2], [-13/8], [1/4], [-45/8]], [[0], [13/4], [17/2], [9/4]]], 1, 672, [], [] >,
< [ -1, 1 ], [[18252]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-9], [-12]], [[0], [16], [4], [1]], [[0], [1], [10], [-17]]], [[[1], [0], [0], [0]], [[0], [72/5], [-21/5], [-3]], [[0], [3], [-9], [-12]], [[0], [13/5], [91/5], [-13]]], 1, 1008, [], [] >,
< [ -1, 1 ], [[18252]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [11], [-7]], [[0], [3], [-9], [-12]], [[0], [20], [5], [11]]], [[[1], [0], [0], [0]], [[0], [43/5], [1/5], [2]], [[0], [29/5], [-22/5], [-5]], [[0], [39/5], [273/5], [-39]]], 1, 1008, [], [] >,
< [ -1, 1 ], [[13068]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [33], [0]]], [[[1], [0], [0], [0]], [[0], [3], [0], [-2]], [[0], [3], [0], [3]], [[0], [9/5], [-33/5], [6/5]]], 1, 720, [], [] >,
< [ -1, 1 ], [[65340]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-3]], [[0], [3], [0], [3]], [[0], [2], [33], [0]]], [[[1], [0], [0], [0]], [[0], [4/7], [-33/7], [3]], [[0], [7], [0], [-3]], [[0], [45/7], [33/7], [9]]], 1, 4320, [], [] >,
< [ -1, 1 ], [[13068]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [-5]], [[0], [1], [-9], [7]], [[1/2], [25/2], [3], [5]]], [[[1], [0], [0], [0]], [[0], [7], [3], [5]], [[1/2], [19/2], [-3], [-5]], [[1/2], [1/2], [12], [-2]]], 1, 480, [], [] >,
< [ -1, 1 ], [[52272]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [-5]], [[0], [2], [-18], [14]], [[0], [20], [18], [8]]], [[[1], [0], [0], [0]], [[0], [10], [9], [-7]], [[0], [14], [6], [10]], [[0], [2], [-18], [-8]]], 0, 2880, [], [] >,
< [ -1, 1 ], [[13068]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [4], [5]], [[0], [6], [-15], [6]], [[0], [19], [2], [-14]]], [[[1], [0], [0], [0]], [[0], [5], [4], [5]], [[0], [27/5], [3], [-39/5]], [[0], [103/5], [-35], [4/5]]], 1, 720, [], [] >,
< [ -1, 1 ], [[13068]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-5], [2]], [[0], [15], [12], [15]], [[0], [9], [-6], [-24]]], [[[1], [0], [0], [0]], [[0], [27/5], [3], [-39/5]], [[0], [76/5], [-5], [43/5]], [[0], [1/5], [-17], [-32/5]]], 1, 720, [], [] >,
< [ -1, 1 ], [[10584]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [4], [0], [2]], [[1/2], [-1/2], [21/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [4], [0], [2]], [[1/2], [3/2], [21/2], [3/2]]], 1, 384, [], [] >,
< [ -1, 1 ], [[5292]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [5/2], [-7/2], [1/2]], [[0], [3], [0], [-6]], [[1/2], [13/2], [7/2], [-1/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-7/2], [-5/2]], [[1/2], [7/2], [7/2], [-7/2]], [[1/2], [11/2], [-7/2], [7/2]]], 1, 576, [], [] >,
< [ -1, 1 ], [[21168]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-6]], [[0], [6], [0], [6]], [[0], [1], [-14], [2]]], [[[1], [0], [0], [0]], [[0], [3], [0], [-6]], [[0], [4], [7], [-1]], [[0], [11], [-7], [7]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[5292]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [7/2], [-1/2]], [[1/2], [11/2], [-7/2], [1/2]], [[1/2], [1/2], [7/2], [11/2]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-7/2], [7/2]], [[1/2], [-5/2], [7/2], [5/2]], [[1/2], [-13/2], [-7/2], [-5/2]]], 1, 576, [], [] >,
< [ -1, 1 ], [[21168]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-6]], [[0], [4], [7], [5]], [[0], [8], [-7], [7]]], [[[1], [0], [0], [0]], [[0], [3], [0], [-6]], [[0], [2], [-7], [1]], [[0], [13], [7], [5]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[5292]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [7/2], [1/2]], [[0], [3], [0], [-6]], [[0], [5], [-7/2], [11/2]]], [[[1], [0], [0], [0]], [[0], [4/5], [-7/2], [31/10]], [[0], [2/5], [7/2], [53/10]], [[0], [33/5], [0], [6/5]]], 1, 288, [], [] >,
< [ -1, 1 ], [[5292]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-7/2], [-1/2]], [[0], [1], [7/2], [-11/2]], [[0], [7], [7/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [11/5], [7/2], [29/10]], [[0], [22/5], [-7/2], [-17/10]], [[0], [1], [7/2], [-11/2]]], 1, 288, [], [] >,
< [ -1, 1 ], [[26460]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[1/2], [-3/2], [0], [3]], [[0], [0], [7], [1]]], [[[1], [0], [0], [0]], [[1/2], [0], [7/2], [-1]], [[0], [3], [0], [3]], [[0], [3], [0], [-3]]], 1, 768, [], [] >,
< [ -1, 1 ], [[105840]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [0], [6]], [[0], [0], [7], [1]]], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [3], [0], [-3]], [[0], [0], [14], [2]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[26460]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [1], [4]], [[0], [21/2], [1], [-1/2]]], [[[1], [0], [0], [0]], [[0], [21/11], [-2/11], [28/11]], [[0], [21/22], [-45/11], [-27/22]], [[0], [105/22], [28/11], [-91/22]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[26460]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [5], [-4]], [[0], [21/2], [2], [-5/2]]], [[[1], [0], [0], [0]], [[0], [63/22], [8/11], [7/22]], [[0], [21/22], [-45/11], [-27/22]], [[0], [0], [2], [-7]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[26460]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [3], [0], [-6]], [[0], [0], [21], [0]]], [[[1], [0], [0], [0]], [[0], [5], [21/11], [-10/11]], [[0], [0], [63/11], [-30/11]], [[0], [2], [42/11], [101/11]]], 1, 1728, [], [] >,
< [ -1, 1 ], [[5292]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-3], [-3]], [[1/2], [15/2], [3], [3]], [[1/2], [-5/2], [6], [-8]]], [[[1], [0], [0], [0]], [[1/2], [1], [3/4], [-25/4]], [[1/2], [-5], [27/4], [-1/4]], [[0], [9], [3/2], [3/2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[21168]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [-6]], [[0], [2], [12], [-2]], [[0], [10], [-3], [11]]], [[[1], [0], [0], [0]], [[0], [9], [3/2], [3/2]], [[0], [6], [-6], [-6]], [[0], [1], [33/2], [-23/2]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[5292]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-4], [5]], [[0], [1], [10], [-2]], [[0], [6], [-3], [-12]]], [[[1], [0], [0], [0]], [[0], [32/5], [1], [-1/5]], [[0], [19/5], [-4], [-17/5]], [[0], [21/5], [-21], [147/5]]], 1, 288, [], [] >,
< [ -1, 1 ], [[5292]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [-4]], [[0], [9], [6], [3]], [[0], [15], [-18], [12]]], [[[1], [0], [0], [0]], [[0], [51/5], [-3], [-18/5]], [[0], [6/5], [-9], [-33/5]], [[0], [7/5], [-7], [49/5]]], 1, 288, [], [] >,
< [ -1, 1 ], [[37044]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [1]], [[0], [3], [0], [-6]], [[0], [0], [21], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [3]], [[0], [5], [0], [-3]], [[0], [0], [21], [0]]], 1, 2016, [], [] >,
< [ -1, 1 ], [[37044]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [8], [0], [5]], [[0], [0], [21], [0]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-1]], [[0], [1], [0], [5]], [[0], [0], [21], [0]]], 1, 2016, [], [] >,
< [ -1, 1 ], [[148176]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [16], [7], [-19]], [[0], [12], [-21], [-9]]], [[[1], [0], [0], [0]], [[0], [8], [-7], [7]], [[0], [10], [7], [-7]], [[0], [0], [21], [21]]], 0, 8064, [], [] >,
< [ -1, 1 ], [[37044]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [-7], [4]], [[0], [6], [0], [6]], [[0], [11], [-7], [-17]]], [[[1], [0], [0], [0]], [[0], [9], [0], [0]], [[0], [1], [7], [-7]], [[1/2], [-1/2], [7], [14]]], 1, 1344, [], [] >,
< [ -1, 1 ], [[148176]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [14], [14], [-14]], [[0], [12], [-21], [-9]]], [[[1], [0], [0], [0]], [[0], [2], [-7], [7]], [[0], [18], [0], [0]], [[0], [0], [21], [21]]], 0, 8064, [], [] >,
< [ -1, 1 ], [[37044]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [7], [7], [-7]], [[1/2], [19/2], [-7], [-8]]], [[[1], [0], [0], [0]], [[0], [9], [0], [0]], [[0], [2], [-7], [7]], [[1/2], [-7/2], [7], [14]]], 1, 1344, [], [] >,
< [ -1, 1 ], [[72900]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9/2], [3/2]], [[0], [0], [9/2], [-15/2]], [[0], [15], [0], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [9/2], [3/2]], [[0], [0], [9/2], [-15/2]], [[0], [15], [0], [0]]], 0, 3888, [], [] >,
< [ -1, 1 ], [[2700]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3/2], [-3/2]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3/2], [-1/2]], [[0], [15], [0], [0]]], 1, 144, [], [] >,
< [ -1, 1 ], [[21600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [5], [0], [2]], [[0], [0], [6], [6]]], [[[1], [0], [0], [0]], [[0], [5], [0], [2]], [[0], [0], [6], [0]], [[0], [0], [0], [6]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[5400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [3/2], [1/2]], [[1/2], [-5/2], [-3/2], [-5/2]], [[0], [0], [3], [-3]]], [[[1], [0], [0], [0]], [[1/2], [-5/2], [0], [2]], [[1/2], [-5/2], [3], [-1]], [[0], [0], [3], [3]]], 1, 192, [], [] >,
< [ -1, 1 ], [[2700]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [5/4], [0], [-13/4]], [[0], [5/2], [3], [5/2]], [[0], [5/2], [-3], [5/2]]], [[[1], [0], [0], [0]], [[1/2], [5/4], [0], [5/4]], [[0], [0], [6], [0]], [[0], [5], [-3], [-4]]], 1, 96, [], [] >,
< [ -1, 1 ], [[10800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/2], [3], [5/2]], [[0], [5/2], [-3], [5/2]], [[0], [10], [0], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [5], [0], [5]], [[0], [5/2], [-3], [-13/2]]], 0, 576, [], [] >,
< [ -1, 1 ], [[2700]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/2], [0], [-1/2]], [[1/2], [-5/4], [3], [1/4]], [[1/2], [-5/4], [0], [-35/4]]], [[[1], [0], [0], [0]], [[0], [5/2], [3], [-1/2]], [[0], [5/2], [-3], [-1/2]], [[1/2], [5/4], [0], [-19/4]]], 1, 96, [], [] >,
< [ -1, 1 ], [[10800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [0], [-1]], [[0], [0], [6], [0]], [[0], [5/2], [3], [17/2]]], [[[1], [0], [0], [0]], [[0], [5/2], [3], [-1/2]], [[0], [5/2], [-3], [-1/2]], [[0], [5], [0], [17]]], 0, 576, [], [] >,
< [ -1, 1 ], [[2700]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [15/4], [-7/2], [-13/4]], [[0], [15/2], [2], [5/2]]], [[[1], [0], [0], [0]], [[0], [15/7], [-1], [-2/7]], [[0], [15/28], [5/2], [47/28]], [[0], [15/7], [6], [-51/7]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2700]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15/4], [-1/2], [-1/4]], [[0], [0], [3], [-3]], [[0], [0], [4], [2]]], [[[1], [0], [0], [0]], [[0], [75/28], [3/2], [39/28]], [[0], [45/28], [5/2], [-55/28]], [[0], [15/4], [-9/2], [-9/4]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2700]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [0], [2]], [[1/2], [-1/2], [0], [4]], [[0], [2], [15], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[1/2], [11/2], [0], [-4]], [[1/2], [-1/2], [-15], [-1]]], 1, 96, [], [] >,
< [ -1, 1 ], [[10800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-2]], [[0], [6], [0], [12]], [[0], [2], [15], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [4]], [[0], [12], [0], [-6]], [[0], [6], [15], [-3]]], 0, 576, [], [] >,
< [ -1, 1 ], [[2700]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-4]], [[0], [6], [0], [2]], [[1/2], [3/2], [-15/2], [1/2]]], [[[1], [0], [0], [0]], [[1/2], [-3/2], [0], [-3]], [[1/2], [9/2], [0], [-1]], [[1/2], [-3/2], [-15], [2]]], 1, 288, [], [] >,
< [ -1, 1 ], [[10800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-4]], [[0], [9], [0], [8]], [[0], [3], [-15], [1]]], [[[1], [0], [0], [0]], [[0], [3], [0], [-4]], [[0], [6], [0], [2]], [[0], [0], [30], [0]]], 0, 576, [], [] >,
< [ -1, 1 ], [[2700]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [2], [3/2], [9/2]], [[0], [2], [9], [-3]]], [[[1], [0], [0], [0]], [[0], [30/7], [15/14], [-5/2]], [[0], [9/7], [-69/14], [-1/2]], [[0], [30/7], [15/14], [15/2]]], 1, 144, [], [] >,
< [ -1, 1 ], [[5400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [3/2], [9/2], [15/2]], [[1/2], [-21/2], [-3/2], [15/2]], [[0], [11], [-7], [5]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-13/2], [5/2]], [[1/2], [23/2], [-1/2], [5/2]], [[0], [9], [-3], [-15]]], 1, 192, [], [] >,
< [ -1, 1 ], [[5400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [7/2], [1/2], [-5/2]], [[0], [5], [5], [5]], [[1/2], [35/2], [-55/2], [35/2]]], [[[1], [0], [0], [0]], [[0], [7], [1], [-5]], [[0], [5], [5], [5]], [[1/2], [21/2], [-27/2], [15/2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[18900]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [3], [-3]], [[1/2], [15/2], [2], [-1]]], [[[1], [0], [0], [0]], [[1/2], [0], [1/2], [1]], [[1/2], [0], [5/2], [-1]], [[0], [15], [1], [-1]]], 1, 576, [], [] >,
< [ -1, 1 ], [[75600]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [3], [-3]], [[0], [30], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [0], [2], [4]], [[0], [15], [-2], [-1]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[18900]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [1], [4]], [[0], [15/2], [1], [-1/2]]], [[[0], [15/22], [4/11], [-13/22]], [[1], [0], [0], [0]], [[0], [60/11], [-45/11], [36/11]], [[0], [0], [8], [5]]], 1, 864, [], [] >,
< [ -1, 1 ], [[18900]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [5], [-4]], [[0], [15/2], [2], [-5/2]]], [[[1], [0], [0], [0]], [[0], [45/22], [12/11], [-39/22]], [[0], [15/11], [-47/11], [-2/11]], [[0], [45/11], [2/11], [38/11]]], 1, 864, [], [] >,
< [ -1, 1 ], [[18900]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [3], [0], [-6]], [[0], [0], [15], [0]]], [[[1], [0], [0], [0]], [[0], [1], [-15/11], [-62/11]], [[0], [3], [-60/11], [-6/11]], [[0], [6], [30/11], [3/11]]], 1, 864, [], [] >,
< [ -1, 1 ], [[29700]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [5]], [[0], [6], [3], [-1]], [[0], [3], [-6], [2]]], [[[1], [0], [0], [0]], [[0], [19/7], [27/7], [3]], [[0], [4/7], [-33/7], [3]], [[0], [46/7], [-12/7], [-3]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[326700]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [0], [15]], [[0], [1], [33], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [0], [5]], [[0], [12/7], [-99/7], [-1]], [[0], [237/7], [66/7], [-1]]], 1, 17280, [], [] >,
< [ -1, 1 ], [[529200]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [0], [7], [1]], [[0], [30], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [0], [14], [2]], [[0], [15], [0], [3]]], 0, 27648, [], [] >,
< [ -1, 1 ], [[132300]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [0], [7], [1]], [[1/2], [15/2], [0], [3]]], [[[1], [0], [0], [0]], [[1/2], [0], [7/2], [-1]], [[0], [0], [0], [6]], [[0], [15], [0], [3]]], 1, 4608, [], [] >,
< [ -1, 1 ], [[132300]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [1], [4]], [[0], [105/2], [-1], [1/2]]], [[[1], [0], [0], [0]], [[0], [105/22], [28/11], [-91/22]], [[0], [105/22], [-49/11], [85/22]], [[0], [0], [8], [5]]], 1, 6912, [], [] >,
< [ -1, 1 ], [[132300]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [5], [-4]], [[0], [105/2], [-2], [5/2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-7]], [[0], [105/22], [61/11], [41/22]], [[0], [105/22], [-82/11], [-47/22]]], 1, 6912, [], [] >,
< [ -1, 1 ], [[132300]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [3], [0], [-6]], [[0], [0], [105], [0]]], [[[1], [0], [0], [0]], [[0], [5], [-105/11], [50/11]], [[0], [7], [0], [11]], [[0], [8], [0], [-11]]], 1, 6912, [], [] >,
< [ -1, 1 ], [[13500]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [15/2], [-1/2]], [[0], [15], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [5], [0], [0]], [[0], [0], [15/2], [3/2]]], 1, 720, [], [] >,
< [ -1, 1 ], [[13500]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [5/2]], [[0], [0], [3/2], [-5/2]], [[0], [15], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [5], [0], [0]], [[0], [0], [3/2], [-15/2]]], 1, 720, [], [] >,
< [ -1, 1 ], [[54000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [-6]], [[0], [6], [15], [-3]], [[0], [6], [0], [22]]], [[[1], [0], [0], [0]], [[0], [6], [0], [12]], [[0], [8], [15], [-9]], [[0], [8], [-15], [-9]]], 0, 2880, [], [] >,
< [ -1, 1 ], [[13500]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [9/2], [0], [4]], [[1/2], [-15/2], [0], [10]], [[0], [6], [15], [-3]]], [[[1], [0], [0], [0]], [[0], [3], [0], [6]], [[1/2], [19/2], [0], [-6]], [[1/2], [3/2], [-15], [3]]], 1, 480, [], [] >,
< [ -1, 1 ], [[54000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [2]], [[0], [6], [15], [-23]], [[0], [6], [-15], [-23]]], [[[1], [0], [0], [0]], [[0], [2], [15], [9]], [[0], [2], [-15], [9]], [[0], [14], [0], [-12]]], 0, 2880, [], [] >,
< [ -1, 1 ], [[13500]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [2]], [[1/2], [3/2], [0], [-12]], [[0], [3], [15], [1]]], [[[1], [0], [0], [0]], [[1/2], [-11/2], [0], [-6]], [[0], [7], [0], [-6]], [[1/2], [-7/2], [-15], [3]]], 1, 480, [], [] >,
< [ -1, 1 ], [[54000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-16]], [[0], [10], [15], [-5]], [[0], [18], [0], [6]]], [[[1], [0], [0], [0]], [[0], [8], [0], [-14]], [[0], [4], [15], [-7]], [[0], [18], [0], [6]]], 0, 2880, [], [] >,
< [ -1, 1 ], [[13500]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [4]], [[0], [9], [15], [3]], [[0], [9], [-15], [3]]], [[[1], [0], [0], [0]], [[1/2], [-13/2], [0], [2]], [[0], [5], [0], [10]], [[1/2], [-5/2], [15], [-5]]], 1, 480, [], [] >,
< [ -1, 1 ], [[13500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [5], [-10], [5]], [[0], [5], [-10], [-40]]], [[[1], [0], [0], [0]], [[0], [4], [-8], [-5]], [[0], [1], [-2], [10]], [[0], [30], [15], [0]]], 1, 720, [], [] >,
< [ -1, 1 ], [[13500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [10], [-20], [-5]], [[0], [5], [-10], [20]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[0], [7], [-14], [10]], [[0], [30], [15], [0]]], 1, 720, [], [] >,
< [ -1, 1 ], [[94500]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [7]], [[0], [9], [0], [-3]], [[0], [0], [15], [0]]], [[[1], [0], [0], [0]], [[0], [5], [45/11], [65/11]], [[0], [9], [-30/11], [-3/11]], [[0], [2], [120/11], [-109/11]]], 1, 4320, [], [] >,
< [ -1, 1 ], [[661500]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [7], [0], [-4]], [[0], [3], [0], [9]], [[0], [0], [105], [0]]], [[[1], [0], [0], [0]], [[0], [13], [-105/11], [-71/11]], [[0], [12], [-105/11], [171/11]], [[0], [12], [210/11], [21/11]]], 1, 34560, [], [] >,
< [ -1, 1 ], [[324]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [1], [-3], [1]], [[1/2], [-3/2], [0], [-3]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [-3/2], [1/2]], [[1/2], [5/2], [3/2], [-1/2]], [[1/2], [1/2], [-3/2], [-11/2]]], 1, 36, [], [] >,
< [ -1, 1 ], [[1296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [6]], [[0], [1], [6], [-2]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [1], [-3], [1]], [[0], [1], [-3], [-11]]], 0, 72, [], [] >,
< [ -1, 1 ], [[324]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [3/2]], [[0], [2], [-3/2], [-3/2]], [[0], [1], [-3], [3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [9/2], [-3/2]], [[0], [0], [0], [6]]], 1, 18, [], [] >,
< [ -1, 1 ], [[2592]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3], [3]], [[0], [4], [-3], [-3]], [[0], [8], [3], [3]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [1], [0], [-6]], [[0], [1], [9], [3]]], 0, 144, [], [] >,
< [ -1, 1 ], [[324]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [2], [0], [2]], [[0], [1], [-9/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [2], [-3/2], [1/2]], [[0], [1], [3/2], [11/2]]], 1, 18, [], [] >,
< [ -1, 1 ], [[8748]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [9], [9], [0]], [[0], [3], [6], [-12]], [[0], [6], [-15], [3]]], [[[1], [0], [0], [0]], [[0], [3], [-3], [-3]], [[0], [9], [9], [0]], [[0], [9], [-18], [27]]], 0, 486, [], [] >,
< [ -1, 1 ], [[324]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [4]], [[0], [1], [-4], [2]], [[0], [3], [-3], [-3]]], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [6], [3], [3]], [[0], [3], [6], [-3]]], 1, 18, [], [] >,
< [ -1, 1 ], [[6480]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [3]], [[0], [2], [-6], [-6]], [[0], [6], [9], [-3]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-6]], [[0], [10], [0], [0]], [[0], [4], [9], [3]]], 0, 432, [], [] >,
< [ -1, 1 ], [[1620]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3], [-3]], [[1/2], [-7/2], [-3], [3]], [[0], [4], [-3], [3]]], [[[1], [0], [0], [0]], [[1/2], [-5/2], [0], [0]], [[1/2], [-1/2], [0], [-6]], [[0], [1], [9], [-3]]], 1, 72, [], [] >,
< [ -1, 1 ], [[1620]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [3]], [[0], [5], [5], [-4]], [[0], [0], [0], [9]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-1]], [[0], [1], [-2], [4]], [[0], [18], [9], [0]]], 1, 108, [], [] >,
< [ -1, 1 ], [[1620]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [7], [1], [1]], [[0], [3], [-6], [3]], [[0], [3], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [2], [-4], [-7]], [[0], [18], [9], [0]]], 1, 108, [], [] >,
< [ -1, 1 ], [[2268]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [3]], [[0], [1], [3], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [2], [0], [1]], [[0], [0], [9], [0]]], 1, 108, [], [] >,
< [ -1, 1 ], [[2268]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [3]], [[0], [1], [3], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [9], [0]]], 1, 108, [], [] >,
< [ -1, 1 ], [[2268]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-5/2], [-1], [-2]], [[0], [3], [3], [-3]], [[0], [1], [-5], [-1]]], [[[1], [0], [0], [0]], [[1/2], [-5/2], [2], [1]], [[0], [3], [3], [-3]], [[0], [1], [1], [5]]], 1, 72, [], [] >,
< [ -1, 1 ], [[9072]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [-4]], [[0], [6], [-3], [3]], [[0], [2], [8], [-2]]], [[[1], [0], [0], [0]], [[0], [4], [4], [2]], [[0], [2], [-7], [1]], [[0], [2], [2], [-8]]], 0, 432, [], [] >,
< [ -1, 1 ], [[4212]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3/2], [-3/2]], [[0], [3], [1/2], [1/2]]], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [9], [0], [0]]], 1, 216, [], [] >,
< [ -1, 1 ], [[54756]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [3], [-13/2], [-1/2]], [[0], [6], [13/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [13/2], [1/2]], [[0], [9], [0], [0]]], 1, 3024, [], [] >,
< [ -1, 1 ], [[15876]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [3]], [[0], [1], [-21], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [2], [0], [1]], [[0], [0], [63], [0]]], 1, 864, [], [] >,
< [ -1, 1 ], [[15876]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [3]], [[0], [1], [-21], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [63], [0]]], 1, 864, [], [] >,
< [ -1, 1 ], [[63504]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [7], [5]], [[0], [4], [7], [-13]], [[0], [14], [-7], [-5]]], [[[1], [0], [0], [0]], [[0], [2], [-7], [1]], [[0], [16], [7], [-1]], [[0], [0], [0], [18]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[15876]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [7], [-4]], [[0], [9], [0], [0]], [[0], [4], [7], [5]]], [[[1], [0], [0], [0]], [[0], [2], [-7], [1]], [[0], [9], [0], [0]], [[1/2], [9/2], [0], [9]]], 1, 576, [], [] >,
< [ -1, 1 ], [[8100]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [6]], [[1/2], [9/2], [0], [-6]], [[0], [3], [-15], [1]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-2]], [[1/2], [-9/2], [0], [-4]], [[0], [3], [45], [1]]], 1, 288, [], [] >,
< [ -1, 1 ], [[32400]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [-6]], [[0], [6], [0], [12]], [[0], [0], [15], [5]]], [[[1], [0], [0], [0]], [[0], [6], [0], [2]], [[0], [6], [0], [-8]], [[0], [0], [45], [-5]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[8100]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-5], [-5]], [[0], [7], [1], [10]], [[0], [1], [13], [-5]]], [[[1], [0], [0], [0]], [[0], [4], [-8], [-5]], [[0], [1], [-2], [10]], [[0], [18], [9], [0]]], 1, 432, [], [] >,
< [ -1, 1 ], [[8100]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [7], [1], [-5]], [[0], [4], [7], [10]], [[0], [2], [-19], [5]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[0], [7], [-14], [10]], [[0], [18], [9], [0]]], 1, 432, [], [] >,
< [ -1, 1 ], [[40500]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [5], [-15/2], [1/2]], [[0], [10], [15/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [5], [0], [-1]], [[0], [0], [45/2], [3/2]]], 1, 2160, [], [] >,
< [ -1, 1 ], [[40500]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [3/2], [5/2]], [[0], [5], [-3], [-5]], [[0], [0], [9/2], [-15/2]]], [[[1], [0], [0], [0]], [[0], [5], [0], [-5]], [[0], [5], [9/2], [5/2]], [[0], [5], [-9/2], [5/2]]], 1, 2160, [], [] >,
< [ -1, 1 ], [[40500]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [11], [8], [-10]], [[0], [2], [-19], [-10]], [[0], [24], [-3], [15]]], [[[1], [0], [0], [0]], [[0], [5], [-10], [5]], [[0], [14], [17], [5]], [[0], [24], [-3], [-30]]], 1, 2160, [], [] >,
< [ -1, 1 ], [[972]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-1], [-4]], [[0], [1], [-7], [-1]], [[0], [6], [3], [3]]], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [4], [-1], [5]], [[0], [9], [-9], [-9]]], 1, 54, [], [] >,
< [ -1, 1 ], [[128]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-1], [1]], [[0], [1], [-3], [-1]], [[0], [2], [2], [-2]]], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[0], [1], [-3], [-1]], [[0], [4], [0], [4]]], 0, 8, [], [] >,
< [ -1, 1 ], [[32]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [3/2], [1/2]], [[0], [1], [1], [-1]], [[1/2], [-5/2], [-1/2], [-3/2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[1/2], [5/2], [-3/2], [3/2]], [[1/2], [-3/2], [-3/2], [-5/2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[512]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [2], [2]], [[0], [2], [2], [-2]], [[0], [8], [-8], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [4], [4], [0]], [[0], [6], [-2], [2]]], 0, 32, [], [] >,
< [ -1, 1 ], [[48]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [2], [0]], [[1/2], [1/2], [0], [-2]]], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]]], 1, 2, [], [] >,
< [ -1, 1 ], [[192]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [2], [-2]], [[0], [1], [-2], [-2]]], 0, 8, [], [] >,
< [ -1, 1 ], [[48]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1/2], [-1/2]], [[1/2], [-3/2], [1/2], [-1/2]], [[0], [0], [2], [2]]], [[[1], [0], [0], [0]], [[1/2], [1/2], [3/2], [1/2]], [[1/2], [1/2], [-1/2], [-3/2]], [[0], [1], [-1], [1]]], 2, 4, [], [] >,
< [ -1, 1 ], [[192]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [2], [-2]], [[0], [1], [3], [1]]], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[0], [1], [-1], [1]], [[0], [0], [4], [4]]], 0, 8, [], [] >,
< [ -1, 1 ], [[768]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [2], [-2]], [[0], [0], [8], [8]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [4], [0], [0]], [[0], [2], [4], [4]]], 0, 32, [], [] >,
< [ -1, 1 ], [[768]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [4], [-4]], [[0], [0], [6], [2]]], [[[1], [0], [0], [0]], [[0], [2], [2], [-2]], [[0], [2], [-2], [2]], [[0], [2], [-4], [-4]]], 0, 32, [], [] >,
< [ -1, 1 ], [[384]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[0], [0], [2], [2]], [[0], [5], [-3], [3]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [3], [-1], [1]], [[0], [2], [2], [-2]]], 0, 16, [], [] >,
< [ -1, 1 ], [[1536]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [2], [-2], [2]], [[0], [10], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [6], [2], [-2]], [[0], [4], [-4], [4]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1280]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [1], [-2], [1]], [[0], [5], [6], [5]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [2], [0], [-2]], [[0], [2], [2], [4]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1280]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [0]], [[0], [2], [0], [-2]], [[0], [3], [2], [3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [3], [2], [3]], [[0], [2], [-4], [2]]], 0, 64, [], [] >,
< [ -1, 1 ], [[320]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [1], [-2], [1]], [[0], [3/2], [2], [1/2]]], [[[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [0], [4], [0]]], 0, 16, [], [] >,
< [ -1, 1 ], [[80]], [ -2 ], [ -5 ], [[[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[1/2], [5/4], [0], [3/4]], [[1/2], [1/4], [-2], [-1/4]]], [[[1/2], [1/4], [0], [-1/4]], [[1/2], [-1/4], [0], [1/4]], [[0], [1], [2], [1]], [[0], [1], [-2], [1]]], 1, 4, [], [] >,
< [ -1, 1 ], [[320]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [2], [1], [1]], [[0], [1], [-2], [1]]], [[[1], [0], [0], [0]], [[0], [1], [-1], [0]], [[0], [1], [0], [-1]], [[0], [3], [2], [3]]], 0, 16, [], [] >,
< [ -1, 1 ], [[2560]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [2], [0]], [[0], [0], [0], [4]], [[0], [4], [-4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [4], [0], [0]], [[0], [0], [4], [4]]], 0, 128, [], [] >,
< [ -1, 1 ], [[3840]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [0], [4], [0]], [[0], [5], [-2], [-7]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [5], [-2], [-1]], [[0], [1], [-2], [-5]]], 0, 256, [], [] >,
< [ -1, 1 ], [[960]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1/2], [1], [1/2]], [[0], [3], [0], [-3]], [[0], [7/2], [-3], [3/2]]], [[[1], [0], [0], [0]], [[0], [9/14], [1], [-11/14]], [[0], [41/14], [1], [37/14]], [[0], [19/14], [-3], [-45/14]]], 0, 64, [], [] >,
< [ -1, 1 ], [[960]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1/2], [1], [1/2]], [[0], [7/2], [-1], [-1/2]], [[0], [1/2], [-3], [9/2]]], [[[1], [0], [0], [0]], [[0], [8/7], [0], [12/7]], [[0], [9/7], [2], [-11/7]], [[0], [5/2], [-3], [-3/2]]], 0, 64, [], [] >,
< [ -1, 1 ], [[120]], [ -2 ], [ -5 ], [[[0], [1/4], [1/2], [1/4]], [[1], [0], [0], [0]], [[0], [1/4], [-1/2], [5/4]], [[0], [13/4], [-3/2], [-3/4]]], [[[1], [0], [0], [0]], [[0], [25/28], [1/2], [13/28]], [[0], [1/4], [-1/2], [5/4]], [[0], [11/7], [-1], [-8/7]]], 1, 8, [], [] >,
< [ -1, 1 ], [[320]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [4], [8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [2], [4]]], 0, 24, [], [] >,
< [ -1, 1 ], [[40]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [2], [-1]], [[0], [1], [1], [2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [1], [-3]]], 1, 4, [], [] >,
< [ -1, 1 ], [[240]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [1/2], [1], [1]], [[0], [1], [-2], [2]], [[1/2], [9/2], [-1], [-1]]], [[[1], [0], [0], [0]], [[1/2], [5/2], [0], [0]], [[0], [1], [2], [2]], [[0], [1], [-2], [2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[3840]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-2]], [[0], [4], [-6], [-2]], [[0], [4], [4], [8]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [4], [-2], [-2]], [[0], [8], [0], [16]]], 0, 192, [], [] >,
< [ -1, 1 ], [[960]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [1]], [[0], [2], [-1], [-3]], [[0], [2], [-4], [4]]], [[[1], [0], [0], [0]], [[0], [8/7], [2/7], [2]], [[0], [26/7], [-18/7], [-2]], [[0], [34/7], [33/7], [-3]]], 0, 48, [], [] >,
< [ -1, 1 ], [[960]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [0], [2], [2]], [[0], [6], [-7], [7]]], [[[1], [0], [0], [0]], [[0], [8/7], [2/7], [2]], [[0], [30/7], [-17/7], [-1]], [[0], [34/7], [33/7], [-3]]], 0, 48, [], [] >,
< [ -1, 1 ], [[960]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [0], [4], [4]], [[0], [4], [-3], [3]]], [[[1], [0], [0], [0]], [[0], [4/7], [1/7], [1]], [[0], [26/7], [-18/7], [-2]], [[0], [38/7], [83/7], [-5]]], 0, 48, [], [] >,
< [ -1, 1 ], [[120]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [1/2]], [[0], [1], [-1/2], [-3/2]], [[0], [2], [-3/2], [3/2]]], [[[0], [2/7], [1/14], [1/2]], [[1], [0], [0], [0]], [[0], [17/7], [33/14], [-3/2]], [[0], [26/7], [-18/7], [-2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[960]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [0]], [[0], [0], [0], [6]], [[0], [4], [-8], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [2], [-4], [-4]], [[0], [8], [4], [0]]], 0, 96, [], [] >,
< [ -1, 1 ], [[120]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [3], [-1], [1]], [[0], [1], [3], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [1], [0]], [[0], [1], [-2], [1]], [[0], [1], [-2], [-5]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1792]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [4], [2], [2]], [[0], [4], [-2], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [8], [0], [0]]], 0, 96, [], [] >,
< [ -1, 1 ], [[112]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [-1]], [[1/2], [3/2], [0], [-1]], [[0], [1], [2], [0]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [1], [0]], [[1/2], [3/2], [1], [0]], [[0], [1], [0], [-2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[56]], [ -7 ], [ -1 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [2], [-2]]], [[[0], [1/3], [1/6], [1/6]], [[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [0], [2], [-2]]], 1, 4, [], [] >,
< [ -1, 1 ], [[448]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [2], [2], [-2]], [[0], [2], [-2], [2]]], [[[1], [0], [0], [0]], [[0], [4/3], [2/3], [2/3]], [[0], [2/3], [7/3], [-5/3]], [[0], [4/3], [-7/3], [-7/3]]], 0, 24, [], [] >,
< [ -1, 1 ], [[448]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [2], [-2]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [4/3], [2/3], [2/3]], [[0], [0], [2], [-2]], [[0], [4/3], [-7/3], [-7/3]]], 0, 24, [], [] >,
< [ -1, 1 ], [[448]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [1]], [[0], [2], [-1], [-1]], [[0], [0], [2], [-2]]], [[[0], [2/3], [1/3], [1/3]], [[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [4], [-4], [-4]]], 0, 24, [], [] >,
< [ -1, 1 ], [[1344]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]]], 0, 48, [], [] >,
< [ -1, 1 ], [[168]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]]], 1, 8, [], [] >,
< [ -1, 1 ], [[5376]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [4], [-2], [2]], [[0], [8], [8], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [-4], [0]], [[0], [0], [4], [4]], [[0], [4], [6], [-2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1344]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [4], [2], [2]], [[0], [4], [-4], [-4]]], [[[1], [0], [0], [0]], [[0], [8/5], [-2], [6/5]], [[0], [16/5], [1], [-13/5]], [[0], [12/5], [3], [9/5]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1344]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [2], [-2], [-2]], [[0], [8], [4], [4]]], [[[1], [0], [0], [0]], [[0], [2], [-3], [-1]], [[0], [6/5], [-1], [17/5]], [[0], [16/5], [1], [-13/5]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1344]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [2], [-3], [-1]], [[0], [4], [2], [2]]], [[[1], [0], [0], [0]], [[0], [2/5], [-1], [-11/5]], [[0], [8/5], [-2], [6/5]], [[0], [28/5], [4], [-4/5]]], 0, 96, [], [] >,
< [ -1, 1 ], [[168]], [ -7 ], [ -1 ], [[[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [1], [2], [2]]], [[[1], [0], [0], [0]], [[0], [1/5], [-1/2], [-11/10]], [[0], [7/5], [1], [-1/5]], [[0], [8/5], [-2], [6/5]]], 1, 12, [], [] >,
< [ -1, 1 ], [[280]], [ -2 ], [ -35 ], [[[0], [1/2], [0], [1/2]], [[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [1], [0], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]]], 1, 12, [], [] >,
< [ -1, 1 ], [[2240]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [2], [-1]], [[0], [1], [-2], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [1], [2], [-1]]], 0, 96, [], [] >,
< [ -1, 1 ], [[26880]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [4], [2], [-2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [4]], [[0], [2], [4], [-2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[6720]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [3]], [[0], [1], [-4], [-1]]], [[[1], [0], [0], [0]], [[0], [15/11], [8/11], [-13/11]], [[0], [24/11], [4/11], [10/11]], [[0], [14/11], [-60/11], [-18/11]]], 0, 384, [], [] >,
< [ -1, 1 ], [[8960]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [-2]], [[0], [4], [6], [2]], [[0], [0], [4], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [4], [-2], [-2]], [[0], [12], [5], [17]]], 0, 576, [], [] >,
< [ -1, 1 ], [[6720]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [4], [-2], [2]], [[0], [2], [2], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [2/11], [-24/11]], [[0], [4], [-2], [2]], [[0], [2], [60/11], [6/11]]], 0, 288, [], [] >,
< [ -1, 1 ], [[5376]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-2]], [[0], [8], [2], [-2]], [[0], [0], [4], [8]]], [[[1], [0], [0], [0]], [[0], [6], [1], [1]], [[0], [4], [-4], [-4]], [[0], [2], [-7], [9]]], 0, 256, [], [] >,
< [ -1, 1 ], [[1344]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [0], [1], [5]], [[0], [4], [-5], [-1]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [9/5]], [[0], [2/5], [26/5], [2/5]], [[0], [48/5], [-6/5], [-22/5]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1344]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [-3]], [[0], [6], [-1], [3]]], [[[1], [0], [0], [0]], [[0], [8/5], [-6/5], [18/5]], [[0], [6/5], [23/5], [11/5]], [[0], [4], [0], [-4]]], 0, 64, [], [] >,
< [ -1, 1 ], [[168]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [1]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-2], [-4]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [9/5]], [[0], [3/5], [23/10], [11/10]], [[0], [12/5], [-3/10], [-11/10]]], 1, 8, [], [] >,
< [ -1, 1 ], [[1344]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [6], [4], [2]], [[0], [8], [-2], [-6]]], [[[1], [0], [0], [0]], [[0], [4/5], [-4], [28/5]], [[0], [6], [4], [2]], [[0], [4/5], [-6], [-22/5]]], 0, 128, [], [] >,
< [ -1, 1 ], [[6720]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1], [3]], [[0], [4], [0], [0]], [[0], [0], [4], [-2]]], [[[1], [0], [0], [0]], [[0], [20/11], [17/11], [-5/11]], [[0], [36/11], [-20/11], [24/11]], [[0], [4/11], [32/11], [54/11]]], 0, 256, [], [] >,
< [ -1, 1 ], [[2240]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [6]], [[0], [4], [-8], [0]], [[0], [6], [-2], [-8]]], [[[1], [0], [0], [0]], [[0], [14/3], [2/3], [4/3]], [[0], [2/3], [-4/3], [-14/3]], [[0], [4/3], [-68/3], [20/3]]], 0, 192, [], [] >,
< [ -1, 1 ], [[26880]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-8]], [[0], [8], [2], [10]], [[0], [0], [16], [4]]], [[[1], [0], [0], [0]], [[0], [2], [7], [-9]], [[0], [2], [9], [9]], [[0], [16], [2], [2]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[2816]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [8], [0], [0]]], [[[1], [0], [0], [0]], [[0], [2], [1], [-3]], [[0], [2], [-1], [3]], [[0], [2], [-5], [-1]]], 0, 160, [], [] >,
< [ -1, 1 ], [[88]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1/2], [-1/2]], [[0], [1], [-1/2], [1/2]], [[0], [0], [3/2], [1/2]]], [[[0], [0], [5/6], [-1/6]], [[1], [0], [0], [0]], [[0], [1], [1/6], [7/6]], [[0], [1], [-1/6], [-7/6]]], 1, 6, [], [] >,
< [ -1, 1 ], [[704]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [2], [-1], [1]], [[0], [0], [2], [2]]], [[[1], [0], [0], [0]], [[0], [2], [5/3], [-1/3]], [[0], [2], [-5/3], [1/3]], [[0], [0], [2], [2]]], 0, 40, [], [] >,
< [ -1, 1 ], [[704]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [2], [0], [0]], [[0], [0], [4], [4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [1/3], [7/3]], [[0], [0], [10/3], [-2/3]]], 0, 40, [], [] >,
< [ -1, 1 ], [[2112]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]]], [[[1], [0], [0], [0]], [[0], [4/5], [12/5], [-4/5]], [[0], [2], [-2], [0]], [[0], [0], [2], [2]]], 0, 80, [], [] >,
< [ -1, 1 ], [[3520]], [ -110 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [4/3], [-2/3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2/3], [-8/9], [-8/9]], [[0], [0], [4/3], [-2/3]]], 0, 160, [], [] >,
< [ -1, 1 ], [[10560]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [0]], [[0], [0], [2], [2]], [[0], [6], [8], [-6]]], [[[1], [0], [0], [0]], [[0], [4/7], [16/7], [0]], [[0], [22/7], [-10/7], [-4]], [[0], [24/7], [-2/7], [6]]], 0, 480, [], [] >,
< [ -1, 1 ], [[88]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-2]], [[0], [0], [2], [-2]], [[0], [3], [1], [1]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [3], [1], [1]], [[0], [2], [-3], [-3]]], 1, 6, [], [] >,
< [ -1, 1 ], [[704]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-4]], [[0], [0], [4], [-4]], [[0], [6], [4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [8], [-2], [0]], [[0], [4], [6], [4]]], 0, 48, [], [] >,
< [ -1, 1 ], [[8448]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [2]], [[0], [8], [-2], [-2]], [[0], [0], [6], [-10]]], [[[1], [0], [0], [0]], [[0], [4], [2], [-6]], [[0], [4], [-8], [-4]], [[0], [8], [2], [6]]], 0, 384, [], [] >,
< [ -1, 1 ], [[264]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [0], [1], [-2]], [[0], [5], [3], [1]]], [[[1], [0], [0], [0]], [[0], [1/5], [-12/5], [-1/5]], [[0], [13/5], [4/5], [-3/5]], [[0], [4/5], [-3/5], [16/5]]], 1, 12, [], [] >,
< [ -1, 1 ], [[2112]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [6], [2], [0]], [[0], [2], [0], [-6]]], [[[1], [0], [0], [0]], [[0], [2/5], [-24/5], [-2/5]], [[0], [26/5], [8/5], [-6/5]], [[0], [4], [2], [6]]], 0, 96, [], [] >,
< [ -1, 1 ], [[2112]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [4], [4], [2]], [[0], [2], [0], [-6]]], [[[1], [0], [0], [0]], [[0], [14/5], [-8/5], [-4/5]], [[0], [12/5], [16/5], [-2/5]], [[0], [16/5], [-12/5], [64/5]]], 0, 96, [], [] >,
< [ -1, 1 ], [[2112]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-4]], [[0], [6], [2], [0]], [[0], [4], [-4], [-4]]], [[[1], [0], [0], [0]], [[0], [12/5], [16/5], [-2/5]], [[0], [28/5], [-16/5], [-8/5]], [[0], [8/5], [-6/5], [32/5]]], 0, 96, [], [] >,
< [ -1, 1 ], [[2112]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [10], [-6], [8]], [[0], [2], [14], [0]]], [[[1], [0], [0], [0]], [[0], [14/5], [-4], [2/5]], [[0], [18/5], [6], [24/5]], [[0], [36/5], [4], [-52/5]]], 0, 192, [], [] >,
< [ -1, 1 ], [[14080]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [5]], [[0], [3], [6], [-1]], [[0], [7], [-6], [-5]]], [[[1], [0], [0], [0]], [[0], [4], [-4], [0]], [[0], [3], [6], [-1]], [[0], [3/2], [1], [19/2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[10560]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [4], [-1], [-1]], [[0], [0], [1], [7]]], [[[1], [0], [0], [0]], [[0], [0], [2/7], [-8/7]], [[0], [4], [46/7], [12/7]], [[0], [8], [-5], [-1]]], 0, 384, [], [] >,
< [ -1, 1 ], [[3520]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [2]], [[0], [6], [2], [-12]], [[0], [6], [-12], [-2]]], [[[1], [0], [0], [0]], [[0], [8/3], [-10/3], [14/3]], [[0], [22/3], [-20/3], [-14/3]], [[0], [28/3], [28/3], [4/3]]], 0, 288, [], [] >,
< [ -1, 1 ], [[14784]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [2], [4]], [[0], [2], [-4], [2]], [[0], [6], [2], [-4]]], [[[1], [0], [0], [0]], [[0], [6/5], [-2], [-8/5]], [[0], [16/5], [0], [12/5]], [[0], [38/5], [12], [-34/5]]], 0, 576, [], [] >,
< [ -1, 1 ], [[4928]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [8], [0], [12]], [[0], [16], [-10], [-2]]], [[[1], [0], [0], [0]], [[0], [16/3], [-10/3], [-2/3]], [[0], [6], [12], [-6]], [[0], [2/3], [-2/3], [44/3]]], 0, 384, [], [] >,
< [ -1, 1 ], [[3328]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [1], [2], [1]], [[0], [3], [-2], [-1]], [[0], [1], [2], [-3]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [1], [2], [-3]], [[0], [1], [-2], [-3]]], 0, 192, [], [] >,
< [ -1, 1 ], [[104]], [ -2 ], [ -13 ], [[[0], [1/4], [-1/2], [1/4]], [[0], [1/2], [0], [-1/2]], [[1], [0], [0], [0]], [[0], [5/4], [3/2], [5/4]]], [[[0], [1/12], [1/6], [-1/4]], [[1], [0], [0], [0]], [[0], [13/12], [-5/6], [-1/4]], [[0], [5/6], [5/3], [3/2]]], 1, 6, [], [] >,
< [ -1, 1 ], [[832]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [3/2], [-1], [-1/2]], [[0], [1/2], [1], [-3/2]], [[0], [3/2], [1], [3/2]]], [[[0], [1/6], [1/3], [-1/2]], [[1], [0], [0], [0]], [[0], [3], [0], [1]], [[0], [4/3], [-10/3], [-2]]], 0, 48, [], [] >,
< [ -1, 1 ], [[832]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [3/2], [-1], [-1/2]], [[0], [1/2], [1], [-3/2]], [[0], [1], [2], [1]]], [[[0], [1/6], [1/3], [-1/2]], [[1], [0], [0], [0]], [[0], [5/6], [5/3], [3/2]], [[0], [31/6], [-5/3], [1/2]]], 0, 48, [], [] >,
< [ -1, 1 ], [[832]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [1/2], [-1], [1/2]], [[0], [3/2], [1], [3/2]], [[0], [2], [0], [-2]]], [[[1], [0], [0], [0]], [[0], [1/3], [2/3], [-1]], [[0], [5/6], [5/3], [3/2]], [[0], [13/6], [-5/3], [-1/2]]], 0, 48, [], [] >,
< [ -1, 1 ], [[312]], [ -13 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [1], [1/2], [-1/2]], [[0], [1], [-1/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]]], 1, 12, [], [] >,
< [ -1, 1 ], [[2496]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [2], [0], [0]], [[0], [0], [2], [2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [4], [0], [0]]], 0, 96, [], [] >,
< [ -1, 1 ], [[9984]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [5], [2], [-3]], [[0], [4], [4], [4]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [5], [2], [1]], [[0], [7/2], [-1], [-13/2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[4160]], [ -2 ], [ -65 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [1], [2], [-1]]], [[[1], [0], [0], [0]], [[0], [2/3], [0], [4/3]], [[0], [1], [2], [-1]], [[0], [1], [-2], [-1]]], 0, 192, [], [] >,
< [ -1, 1 ], [[12480]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [2], [1], [1]], [[0], [4], [0], [-8]]], [[[1], [0], [0], [0]], [[0], [2], [-1], [1]], [[0], [4/7], [24/7], [12/7]], [[0], [16/7], [12/7], [-22/7]]], 0, 576, [], [] >,
< [ -1, 1 ], [[5824]], [ -182 ], [ -11 ], [[[0], [0], [8/11], [2/11]], [[0], [0], [4/11], [-10/11]], [[1], [0], [0], [0]], [[0], [1], [-4/11], [-1/11]]], [[[0], [0], [8/33], [2/33]], [[1], [0], [0], [0]], [[0], [1], [-4/33], [-1/33]], [[0], [0], [20/33], [-94/33]]], 0, 288, [], [] >,
< [ -1, 1 ], [[832]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [6], [4], [-2]], [[0], [4], [-6], [2]]], [[[1], [0], [0], [0]], [[0], [14/3], [-8/3], [10/3]], [[0], [2/3], [10/3], [16/3]], [[0], [4/3], [20/3], [-4/3]]], 0, 56, [], [] >,
< [ -1, 1 ], [[2496]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-4], [-2]], [[0], [4], [2], [6]], [[0], [8], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [4/5], [28/5], [-4]], [[0], [38/5], [16/5], [6]], [[0], [2], [-6], [-8]]], 0, 224, [], [] >,
< [ -1, 1 ], [[4352]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [8/3], [-4/3]]], [[[1], [0], [0], [0]], [[0], [1], [2], [1]], [[0], [1], [-2], [1]], [[0], [3], [2/3], [-7/3]]], 0, 256, [], [] >,
< [ -1, 1 ], [[136]], [ -17 ], [ -3 ], [[[0], [0], [1/3], [1/3]], [[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [-1]]], [[[0], [1/3], [-4/9], [2/9]], [[1], [0], [0], [0]], [[0], [2/3], [7/9], [1/9]], [[0], [2/3], [-2/9], [-8/9]]], 1, 8, [], [] >,
< [ -1, 1 ], [[1088]], [ -17 ], [ -3 ], [[[0], [0], [2/3], [2/3]], [[1], [0], [0], [0]], [[0], [2], [2/3], [-4/3]], [[0], [2], [-2/3], [4/3]]], [[[1], [0], [0], [0]], [[0], [2/3], [-2/9], [-8/9]], [[0], [4/3], [14/9], [2/9]], [[0], [4/3], [-16/9], [8/9]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1088]], [ -17 ], [ -3 ], [[[0], [0], [2/3], [2/3]], [[1], [0], [0], [0]], [[0], [0], [2/3], [-4/3]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2/3], [-4/3]], [[0], [4/3], [-10/9], [-4/9]], [[0], [4/3], [14/9], [2/9]]], 0, 64, [], [] >,
< [ -1, 1 ], [[3264]], [ -3 ], [ -34 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [4/5], [1/5], [3/5]], [[0], [4/5], [-4/5], [-2/5]], [[0], [12/5], [23/5], [-21/5]]], 0, 128, [], [] >,
< [ -1, 1 ], [[7616]], [ -238 ], [ -11 ], [[[0], [0], [4/11], [2/11]], [[1], [0], [0], [0]], [[0], [1], [4/11], [-9/11]], [[0], [1], [-4/11], [9/11]]], [[[0], [1/3], [8/33], [5/11]], [[0], [1/3], [-28/33], [-1/11]], [[1], [0], [0], [0]], [[0], [2/3], [16/33], [-12/11]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1088]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [8], [-2], [-2]], [[0], [2], [2], [8]]], [[[1], [0], [0], [0]], [[0], [8/3], [-2/3], [-2/3]], [[0], [14/3], [16/3], [22/3]], [[0], [2/3], [16/3], [-26/3]]], 0, 72, [], [] >,
< [ -1, 1 ], [[13056]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [8], [-2], [-2]], [[0], [8], [0], [32]]], [[[1], [0], [0], [0]], [[0], [8], [-2], [-2]], [[0], [6], [7], [7]], [[0], [2], [7], [-9]]], 0, 576, [], [] >,
< [ -1, 1 ], [[3264]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [6], [-8], [2]], [[0], [2], [0], [10]]], [[[1], [0], [0], [0]], [[0], [0], [14/5], [-2/5]], [[0], [2], [0], [10]], [[0], [28], [-4/5], [-28/5]]], 0, 288, [], [] >,
< [ -1, 1 ], [[16320]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [4], [6], [0]], [[0], [8], [-5], [1]]], [[[1], [0], [0], [0]], [[0], [0], [17/7], [19/7]], [[0], [4], [-9/7], [13/7]], [[0], [4], [6], [-4]]], 0, 576, [], [] >,
< [ -1, 1 ], [[4864]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [8], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [4], [0], [0]], [[0], [2], [3], [5]]], 0, 288, [], [] >,
< [ -1, 1 ], [[3648]], [ -19 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [4/5], [4/5], [0]], [[0], [0], [0], [2]], [[0], [12/5], [-13/5], [1]]], 0, 144, [], [] >,
< [ -1, 1 ], [[14592]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [8], [2], [-2]], [[0], [0], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [4], [-2], [2]], [[0], [2], [-5], [-3]], [[0], [4], [4], [-4]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[6080]], [ -5 ], [ -38 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [2], [1], [1]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [2/3], [-1], [5/3]], [[0], [2], [1], [-1]]], 0, 288, [], [] >,
< [ -1, 1 ], [[1216]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [4], [4]], [[0], [6], [2], [-4]], [[0], [2], [-4], [6]]], [[[1], [0], [0], [0]], [[0], [2/3], [8/3], [-2/3]], [[0], [16/3], [-2/3], [-10/3]], [[0], [28/3], [4/3], [44/3]]], 0, 80, [], [] >,
< [ -1, 1 ], [[6080]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [6], [0]], [[0], [8], [-6], [-10]], [[0], [12], [-4], [12]]], [[[1], [0], [0], [0]], [[0], [22/3], [-4/3], [2/3]], [[0], [2/3], [-14/3], [-32/3]], [[0], [20/3], [40/3], [-32/3]]], 0, 480, [], [] >,
< [ -1, 1 ], [[184]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3], [1]], [[0], [2], [-1], [-3]], [[0], [3], [-3], [1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [1], [-3], [0]], [[0], [3], [1], [-6]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1472]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [2]], [[0], [4], [-2], [-6]], [[0], [4], [10], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [-6], [0]], [[0], [6], [4], [-4]], [[0], [0], [2], [8]]], 0, 96, [], [] >,
< [ -1, 1 ], [[17664]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [8], [4]], [[0], [8], [2], [-6]], [[0], [8], [-8], [12]]], [[[1], [0], [0], [0]], [[0], [4], [0], [8]], [[0], [10], [6], [0]], [[0], [10], [-10], [-8]]], 0, 768, [], [] >,
< [ -1, 1 ], [[4416]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-6], [4]], [[0], [4], [10], [6]], [[0], [10], [2], [-8]]], [[[1], [0], [0], [0]], [[0], [2], [-6], [4]], [[0], [44/5], [8/5], [0]], [[0], [6], [-8], [-14]]], 0, 384, [], [] >,
< [ -1, 1 ], [[5568]], [ -10 ], [ -174 ], [[[0], [2/5], [0], [-2/5]], [[1], [0], [0], [0]], [[0], [3/5], [1], [2/5]], [[0], [3/5], [-1], [2/5]]], [[[0], [2/5], [0], [-2/5]], [[1], [0], [0], [0]], [[0], [9/25], [1], [16/25]], [[0], [9/25], [-1], [16/25]]], 0, 224, [], [] >,
< [ -1, 1 ], [[1856]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [8], [0], [-4]], [[0], [8], [6], [6]]], [[[1], [0], [0], [0]], [[0], [4/3], [8/3], [-8/3]], [[0], [26/3], [-20/3], [2/3]], [[0], [14/3], [22/3], [20/3]]], 0, 120, [], [] >,
< [ -1, 1 ], [[5952]], [ -10 ], [ -186 ], [[[0], [4/5], [0], [-2/5]], [[0], [2/5], [0], [4/5]], [[1], [0], [0], [0]], [[0], [1/5], [-1], [-3/5]]], [[[0], [16/25], [0], [2/25]], [[1], [0], [0], [0]], [[0], [1/5], [1], [-3/5]], [[0], [1/5], [-1], [-3/5]]], 0, 240, [], [] >,
< [ -1, 1 ], [[1984]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [2]], [[0], [6], [8], [-2]], [[0], [2], [-6], [-8]]], [[[1], [0], [0], [0]], [[0], [20/3], [-4/3], [-4/3]], [[0], [14/3], [14/3], [20/3]], [[0], [4/3], [10/3], [-26/3]]], 0, 128, [], [] >,
< [ -1, 1 ], [[9472]], [ -2 ], [ -37 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [1], [2], [-3]], [[0], [1], [-2], [-3]]], [[[1], [0], [0], [0]], [[0], [3/2], [1], [3/2]], [[0], [2], [0], [-2]], [[0], [2], [-4], [2]]], 0, 576, [], [] >,
< [ -1, 1 ], [[7104]], [ -222 ], [ -13 ], [[[0], [0], [4/13], [-6/13]], [[1], [0], [0], [0]], [[0], [1], [2/13], [-3/13]], [[0], [0], [12/13], [8/13]]], [[[0], [1/5], [6/65], [43/65]], [[0], [1/5], [-54/65], [3/65]], [[1], [0], [0], [0]], [[0], [1], [2/13], [-3/13]]], 0, 288, [], [] >,
< [ -1, 1 ], [[3008]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [2], [-6], [8]], [[0], [12], [2], [-2]]], [[[1], [0], [0], [0]], [[0], [8/3], [20/3], [-16/3]], [[0], [14/3], [20/3], [14/3]], [[0], [28/3], [-14/3], [10/3]]], 0, 192, [], [] >,
< [ -1, 1 ], [[4544]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [-6]], [[0], [2], [10], [0]], [[0], [12], [2], [10]]], [[[1], [0], [0], [0]], [[0], [2/3], [2/3], [-28/3]], [[0], [2], [10], [0]], [[0], [38/3], [8/3], [2/3]]], 0, 288, [], [] >,
< [ -1, 1 ], [[322624]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [32], [22], [14]], [[0], [10], [-2], [-40]], [[0], [28], [-34], [30]]], [[[1], [0], [0], [0]], [[0], [70/3], [-14/3], [4/3]], [[0], [14/3], [-88/3], [86/3]], [[0], [22/3], [166/3], [196/3]]], 0, 20160, [], [] >,
< [ -1, 1 ], [[141376]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [18]], [[0], [14], [26], [16]], [[0], [46], [-22], [-28]]], [[[1], [0], [0], [0]], [[0], [50/3], [-28/3], [-10/3]], [[0], [68/3], [86/3], [-70/3]], [[0], [18], [20], [34]]], 0, 8832, [], [] >,
< [ -1, 1 ], [[350464]], [ -2 ], [ -37 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [8]], [[0], [37], [-2], [1]]], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [0], [8], [8]], [[0], [37/2], [-5], [-3/2]]], 0, 21888, [], [] >,
< [ -1, 1 ], [[262848]], [ -222 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [1], [-74/13], [7/13]]], [[[1], [0], [0], [0]], [[0], [9/5], [74/65], [-33/65]], [[0], [12/5], [-148/65], [-64/65]], [[0], [11/5], [-74/65], [163/65]]], 0, 10944, [], [] >,
< [ -1, 1 ], [[184512]], [ -10 ], [ -186 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [31/5], [1], [-3/5]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [31/25], [-1], [-43/25]], [[0], [124/25], [0], [78/25]]], 0, 7680, [], [] >,
< [ -1, 1 ], [[61504]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [14], [6]], [[0], [26], [-2], [8]], [[0], [20], [8], [-32]]], [[[1], [0], [0], [0]], [[0], [10/3], [4/3], [46/3]], [[0], [2/3], [38/3], [-28/3]], [[0], [68], [-10], [-22]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[161472]], [ -10 ], [ -174 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [29/5], [-1], [-4/5]]], [[[1], [0], [0], [0]], [[0], [29/25], [1], [-4/25]], [[0], [29/25], [-1], [-4/25]], [[0], [58/25], [0], [242/25]]], 0, 6720, [], [] >,
< [ -1, 1 ], [[53824]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [12], [16]], [[0], [22], [4], [-14]], [[0], [10], [-14], [20]]], [[[1], [0], [0], [0]], [[0], [40/3], [2/3], [22/3]], [[0], [16/3], [-34/3], [-26/3]], [[0], [86/3], [100/3], [-118/3]]], 0, 3360, [], [] >,
< [ -1, 1 ], [[4232]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [8], [-2]], [[0], [9], [3], [5]], [[0], [5], [-6], [-10]]], [[[1], [0], [0], [0]], [[0], [3], [1], [-6]], [[0], [9], [3], [5]], [[0], [1], [-15], [-2]]], 1, 264, [], [] >,
< [ -1, 1 ], [[33856]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [16], [-4]], [[0], [22], [-8], [2]], [[0], [10], [-12], [-20]]], [[[1], [0], [0], [0]], [[0], [6], [2], [-12]], [[0], [4], [-14], [-8]], [[0], [40], [-2], [12]]], 0, 2112, [], [] >,
< [ -1, 1 ], [[406272]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [12], [-8]], [[0], [24], [-28], [-12]], [[0], [8], [6], [42]]], [[[1], [0], [0], [0]], [[0], [16], [12], [-8]], [[0], [2], [-10], [-24]], [[0], [44], [-36], [24]]], 0, 16896, [], [] >,
< [ -1, 1 ], [[101568]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [14], [16]], [[0], [20], [-18], [-14]], [[0], [4], [-22], [34]]], [[[1], [0], [0], [0]], [[0], [118/5], [-74/5], [12]], [[0], [98/5], [36/5], [-22]], [[0], [82/5], [124/5], [6]]], 0, 8448, [], [] >,
< [ -1, 1 ], [[92416]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [8], [0], [0]], [[0], [0], [38], [-2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [16]], [[0], [2], [-19], [-5]]], 0, 5760, [], [] >,
< [ -1, 1 ], [[69312]], [ -19 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [4], [0], [0]], [[0], [0], [19], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [12/5], [-38/5], [0]], [[0], [44/5], [19/5], [1]]], 0, 2880, [], [] >,
< [ -1, 1 ], [[277248]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-4]], [[0], [8], [0], [8]], [[0], [0], [38], [2]]], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [4], [0], [16]], [[0], [2], [-19], [-5]]], 0, 23040, [], [] >,
< [ -1, 1 ], [[115520]], [ -5 ], [ -38 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [38], [1], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [6]], [[0], [38/3], [1], [5/3]]], 0, 5760, [], [] >,
< [ -1, 1 ], [[23104]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-4], [-6]], [[0], [6], [-10], [4]], [[0], [20], [30], [26]]], [[[1], [0], [0], [0]], [[0], [10], [-4], [-6]], [[0], [28/3], [4/3], [44/3]], [[0], [34/3], [70/3], [-28/3]]], 0, 1440, [], [] >,
< [ -1, 1 ], [[115520]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-4], [12]], [[0], [18], [-6], [-20]], [[0], [10], [60], [10]]], [[[1], [0], [0], [0]], [[0], [40/3], [50/3], [2/3]], [[0], [30], [-10], [-8]], [[0], [6], [-2], [44]]], 0, 8640, [], [] >,
< [ -1, 1 ], [[73984]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [136/3], [4/3]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [8], [0], [-8]], [[0], [3], [-34/3], [-7/3]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[2312]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [17/3], [-1/3]]], [[[1], [0], [0], [0]], [[0], [2/3], [-17/9], [-5/9]], [[0], [1], [0], [-2]], [[0], [2], [0], [2]]], 1, 144, [], [] >,
< [ -1, 1 ], [[18496]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [34/3], [-2/3]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4/3], [-34/9], [-10/9]], [[0], [14/3], [34/9], [-44/9]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[18496]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [4], [0], [0]], [[0], [0], [34/3], [-2/3]]], [[[1], [0], [0], [0]], [[0], [4/3], [-34/9], [-10/9]], [[0], [4], [0], [-2]], [[0], [4], [0], [4]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[55488]], [ -3 ], [ -34 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [68], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [5], [-5]], [[0], [68/5], [7/5], [-9/5]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[129472]], [ -238 ], [ -11 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [68/11], [-10/11]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [4/3], [68/33], [4/11]], [[0], [5/3], [-68/33], [7/11]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[18496]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [0], [6]], [[0], [6], [0], [-10]], [[0], [8], [34], [-2]]], [[[1], [0], [0], [0]], [[0], [8/3], [34/3], [-2/3]], [[0], [4], [0], [16]], [[0], [70/3], [-34/3], [8/3]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[221952]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [0], [-4]], [[0], [8], [0], [32]], [[0], [8], [-34], [-2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [16]], [[0], [30], [17], [1]], [[0], [8], [-34], [-2]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[55488]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-8], [12]], [[0], [24], [10], [2]], [[0], [18], [-18], [-24]]], [[[1], [0], [0], [0]], [[0], [4], [14/5], [98/5]], [[0], [2], [126/5], [32/5]], [[0], [28], [-4/5], [-28/5]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[277440]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [6], [0]], [[0], [16], [-10], [0]], [[0], [8], [-5], [-17]]], [[[1], [0], [0], [0]], [[0], [4], [25/7], [51/7]], [[0], [8], [16/7], [-34/7]], [[0], [8], [-171/7], [51/7]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[43264]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [8], [0]], [[0], [13], [2], [1]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [8]], [[0], [13], [-2], [1]]], 0, 2688, [], [] >,
< [ -1, 1 ], [[10816]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [13/2], [1], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [13/6], [13/3], [3/2]], [[0], [13/3], [-10/3], [-1]]], 0, 672, [], [] >,
< [ -1, 1 ], [[10816]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [4], [-4]], [[0], [13/2], [1], [1/2]]], [[[1], [0], [0], [0]], [[0], [13/6], [-5/3], [7/2]], [[0], [13/6], [13/3], [3/2]], [[0], [13/6], [-5/3], [-9/2]]], 0, 672, [], [] >,
< [ -1, 1 ], [[10816]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [13/2], [-1], [-3/2]]], [[[1], [0], [0], [0]], [[0], [13/6], [-5/3], [-1/2]], [[0], [13/6], [13/3], [-5/2]], [[0], [13/3], [8/3], [5]]], 0, 672, [], [] >,
< [ -1, 1 ], [[1352]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [0], [2], [2]], [[0], [13/4], [1/2], [1/4]]], [[[1], [0], [0], [0]], [[0], [13/12], [-5/6], [-1/4]], [[0], [13/12], [13/6], [3/4]], [[0], [13/12], [-5/6], [15/4]]], 1, 84, [], [] >,
< [ -1, 1 ], [[4056]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [13/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [13], [0]]], 1, 168, [], [] >,
< [ -1, 1 ], [[32448]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [13], [1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [4], [0], [0]], [[0], [0], [13], [-1]]], 0, 1344, [], [] >,
< [ -1, 1 ], [[129792]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [12], [0]], [[0], [13], [-2], [-3]]], [[[1], [0], [0], [0]], [[0], [13/2], [-7], [-7/2]], [[0], [13/2], [5], [-15/2]], [[0], [13/2], [5], [17/2]]], 0, 10752, [], [] >,
< [ -1, 1 ], [[54080]], [ -2 ], [ -65 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [13], [2], [1]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [13/3], [2], [-1/3]], [[0], [0], [0], [6]]], 0, 2688, [], [] >,
< [ -1, 1 ], [[162240]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [4], [0], [2]], [[0], [4], [0], [-8]], [[0], [2], [13], [1]]], [[[1], [0], [0], [0]], [[0], [12/7], [-26/7], [36/7]], [[0], [40/7], [-26/7], [-20/7]], [[0], [66/7], [39/7], [23/7]]], 0, 8064, [], [] >,
< [ -1, 1 ], [[75712]], [ -182 ], [ -11 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [52/11], [2/11]]], [[[1], [0], [0], [0]], [[0], [1], [52/33], [13/33]], [[0], [1], [-52/33], [-13/33]], [[0], [0], [52/33], [-86/33]]], 0, 4032, [], [] >,
< [ -1, 1 ], [[10816]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-2], [0]], [[0], [2], [10], [0]], [[0], [6], [4], [26]]], [[[1], [0], [0], [0]], [[0], [10], [-2], [0]], [[0], [14/3], [-8/3], [-26/3]], [[0], [2/3], [88/3], [-26/3]]], 0, 672, [], [] >,
< [ -1, 1 ], [[32448]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-6], [-8]], [[0], [22], [12], [-10]], [[0], [22], [-14], [16]]], [[[1], [0], [0], [0]], [[0], [38/5], [16/5], [6]], [[0], [2], [-6], [-8]], [[0], [52/5], [364/5], [-52]]], 0, 2688, [], [] >,
< [ -1, 1 ], [[30976]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [8], [0], [0]], [[0], [0], [22], [-2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [11], [-1]], [[0], [0], [0], [16]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[968]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [2]], [[0], [0], [11/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [11/6], [5/6]], [[0], [0], [11/6], [-31/6]]], 1, 60, [], [] >,
< [ -1, 1 ], [[7744]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [11], [-3]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [11/3], [5/3]], [[0], [0], [22/3], [-62/3]]], 0, 480, [], [] >,
< [ -1, 1 ], [[7744]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [4]], [[0], [2], [11], [1]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [11/3], [5/3]], [[0], [2], [11/3], [-31/3]]], 0, 480, [], [] >,
< [ -1, 1 ], [[23232]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [2], [22], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4/5], [22/5], [6/5]], [[0], [10], [0], [-10]]], 0, 960, [], [] >,
< [ -1, 1 ], [[38720]], [ -110 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [44/3], [2/3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [3], [0], [-3]], [[0], [1/3], [44/9], [-1/9]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[116160]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [10], [0], [-10]], [[0], [2], [-22], [0]]], [[[1], [0], [0], [0]], [[0], [30/7], [22/7], [-4]], [[0], [38/7], [-44/7], [2]], [[0], [60/7], [44/7], [12]]], 0, 5760, [], [] >,
< [ -1, 1 ], [[968]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [1], [1]], [[0], [1], [-7], [4]], [[0], [4], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [3], [1], [1]], [[0], [2], [-3], [-3]], [[0], [0], [11], [-11]]], 1, 60, [], [] >,
< [ -1, 1 ], [[7744]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-4], [-4]], [[0], [2], [8], [8]], [[0], [2], [-14], [8]]], [[[1], [0], [0], [0]], [[0], [4], [-6], [-6]], [[0], [12], [4], [4]], [[0], [8], [10], [-12]]], 0, 480, [], [] >,
< [ -1, 1 ], [[92928]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-14], [6]], [[0], [8], [16], [12]], [[0], [24], [4], [-8]]], [[[1], [0], [0], [0]], [[0], [8], [-6], [-10]], [[0], [12], [2], [18]], [[0], [12], [24], [-4]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[2904]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-5], [1]], [[0], [6], [1], [2]], [[0], [1], [2], [-7]]], [[[1], [0], [0], [0]], [[0], [13/5], [4/5], [-3/5]], [[0], [4/5], [-3/5], [16/5]], [[0], [33/5], [-121/5], [-33/5]]], 1, 120, [], [] >,
< [ -1, 1 ], [[23232]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-2], [-4]], [[0], [6], [12], [2]], [[0], [8], [-6], [10]]], [[[1], [0], [0], [0]], [[0], [26/5], [8/5], [-6/5]], [[0], [16/5], [-12/5], [64/5]], [[0], [16/5], [-122/5], [-46/5]]], 0, 960, [], [] >,
< [ -1, 1 ], [[23232]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [8]], [[0], [4], [8], [-6]], [[0], [16], [-12], [-2]]], [[[1], [0], [0], [0]], [[0], [26/5], [8/5], [-6/5]], [[0], [16/5], [-12/5], [64/5]], [[0], [24/5], [-128/5], [-14/5]]], 0, 960, [], [] >,
< [ -1, 1 ], [[23232]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [8]], [[0], [10], [-2], [-4]], [[0], [2], [-18], [8]]], [[[1], [0], [0], [0]], [[0], [8/5], [-6/5], [32/5]], [[0], [52/5], [16/5], [-12/5]], [[0], [10], [-24], [-4]]], 0, 960, [], [] >,
< [ -1, 1 ], [[23232]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [8], [10]], [[0], [10], [-14], [-12]], [[0], [2], [6], [-20]]], [[[1], [0], [0], [0]], [[0], [36/5], [4], [-52/5]], [[0], [10], [8], [10]], [[0], [102/5], [-18], [36/5]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[154880]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [7], [-6], [-5]], [[0], [5], [2], [9]], [[0], [14], [32], [-10]]], [[[1], [0], [0], [0]], [[0], [3/2], [5], [-21/2]], [[0], [23/2], [9], [15/2]], [[0], [19], [-10], [-1]]], 0, 7680, [], [] >,
< [ -1, 1 ], [[116160]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [-1], [-1]], [[0], [4], [10], [10]], [[0], [0], [11], [-11]]], [[[1], [0], [0], [0]], [[0], [4], [48/7], [4/7]], [[0], [8], [-25/7], [-47/7]], [[0], [8], [-47/7], [41/7]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[38720]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [14], [-8], [2]], [[0], [2], [2], [16]], [[0], [26], [26], [-12]]], [[[1], [0], [0], [0]], [[0], [28/3], [28/3], [4/3]], [[0], [12], [-10], [-14]], [[0], [62/3], [-70/3], [56/3]]], 0, 2880, [], [] >,
< [ -1, 1 ], [[162624]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-10]], [[0], [12], [2], [6]], [[0], [6], [-10], [-8]]], [[[1], [0], [0], [0]], [[0], [6/5], [-2], [-8/5]], [[0], [118/5], [12], [26/5]], [[0], [58/5], [-12], [106/5]]], 0, 5760, [], [] >,
< [ -1, 1 ], [[54208]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [20], [-2], [-6]], [[0], [4], [-18], [-10]], [[0], [10], [-12], [30]]], [[[1], [0], [0], [0]], [[0], [14/3], [-8/3], [-46/3]], [[0], [2/3], [46/3], [-16/3]], [[0], [152/3], [-2/3], [38/3]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[12544]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [0], [-4]], [[0], [0], [14], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [8], [0], [0]], [[0], [0], [14], [-2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[784]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [2]], [[1/2], [-1/2], [7], [0]]], [[[1], [0], [0], [0]], [[1/2], [-1/2], [0], [1]], [[1/2], [3/2], [0], [1]], [[0], [1], [14], [0]]], 1, 32, [], [] >,
< [ -1, 1 ], [[3136]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [0], [4]], [[0], [0], [7], [-1]]], [[[1], [0], [0], [0]], [[0], [2/3], [7/3], [-5/3]], [[0], [4/3], [-7/3], [-7/3]], [[0], [10], [0], [4]]], 0, 192, [], [] >,
< [ -1, 1 ], [[3136]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [7], [-1]]], [[[1], [0], [0], [0]], [[0], [4/3], [-7/3], [-7/3]], [[0], [4], [0], [4]], [[0], [4/3], [14/3], [-10/3]]], 0, 192, [], [] >,
< [ -1, 1 ], [[3136]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [0], [4]], [[0], [2], [-7], [1]]], [[[1], [0], [0], [0]], [[0], [2/3], [7/3], [-5/3]], [[0], [4], [0], [4]], [[0], [8/3], [-14/3], [-14/3]]], 0, 192, [], [] >,
< [ -1, 1 ], [[392]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [7/2], [-1/2]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [2/3], [-7/6], [-7/6]], [[0], [7/3], [7/6], [7/6]], [[0], [2/3], [7/3], [-5/3]]], 1, 24, [], [] >,
< [ -1, 1 ], [[9408]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [14], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [28], [0]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1176]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [7], [1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [7], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[37632]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [14], [-6]], [[0], [12], [0], [-12]]], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [0], [14], [2]], [[0], [12], [0], [-12]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[9408]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [-7], [-1]], [[0], [4], [0], [-8]]], [[[1], [0], [0], [0]], [[0], [4/5], [0], [28/5]], [[0], [4/5], [-7], [3/5]], [[0], [44/5], [0], [8/5]]], 0, 768, [], [] >,
< [ -1, 1 ], [[9408]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [2], [-7], [3]], [[0], [6], [7], [5]]], [[[1], [0], [0], [0]], [[0], [22/5], [0], [4/5]], [[0], [4/5], [-7], [3/5]], [[0], [14/5], [0], [-52/5]]], 0, 768, [], [] >,
< [ -1, 1 ], [[9408]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [2], [7], [1]], [[0], [10], [0], [4]]], [[[1], [0], [0], [0]], [[0], [22/5], [0], [4/5]], [[0], [0], [7], [5]], [[0], [14/5], [7], [-27/5]]], 0, 768, [], [] >,
< [ -1, 1 ], [[1176]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [1], [7/2], [1/2]], [[0], [1], [0], [4]]], [[[1], [0], [0], [0]], [[0], [9/5], [0], [-12/5]], [[0], [2/5], [-7/2], [3/10]], [[0], [13/5], [0], [16/5]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1960]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [2]], [[0], [7/2], [0], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [7], [0], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[15680]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [7], [0], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [7], [2], [1]]], 0, 768, [], [] >,
< [ -1, 1 ], [[188160]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [8], [0], [0]], [[0], [4], [14], [-2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [4]], [[0], [2], [28], [2]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[47040]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [4], [4]], [[0], [7], [0], [-3]]], [[[1], [0], [0], [0]], [[0], [21/11], [20/11], [-49/11]], [[0], [14/11], [-60/11], [-18/11]], [[0], [63/11], [16/11], [7/11]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[62720]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [8]], [[0], [8], [0], [-12]], [[0], [4], [-14], [2]]], [[[1], [0], [0], [0]], [[0], [4], [7], [-5]], [[0], [8], [-7], [-3]], [[0], [8], [7], [19]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[47040]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-2]], [[0], [2], [0], [6]], [[0], [4], [14], [2]]], [[[1], [0], [0], [0]], [[0], [2], [-56/11], [-54/11]], [[0], [0], [84/11], [-40/11]], [[0], [10], [-42/11], [20/11]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[37632]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [6], [6]], [[0], [8], [-8], [-8]], [[0], [0], [14], [-14]]], [[[1], [0], [0], [0]], [[0], [6], [1], [1]], [[0], [4], [-4], [-4]], [[0], [0], [56], [-56]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[9408]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [4]], [[0], [2], [-9], [-5]], [[0], [10], [4], [-4]]], [[[1], [0], [0], [0]], [[0], [2/5], [26/5], [2/5]], [[0], [48/5], [-6/5], [-22/5]], [[0], [6], [1], [13]]], 0, 384, [], [] >,
< [ -1, 1 ], [[9408]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [4]], [[0], [2], [-9], [-5]], [[0], [8], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [26/5], [23/5], [-9/5]], [[0], [22/5], [-29/5], [-13/5]], [[0], [6], [1], [13]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1176]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [1]], [[0], [0], [7/2], [7/2]], [[0], [9], [5], [-5]]], [[[1], [0], [0], [0]], [[0], [12/5], [-3/10], [-11/10]], [[0], [2/5], [26/5], [2/5]], [[0], [3], [1/2], [13/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[9408]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [4], [2]], [[0], [8], [-4], [-16]], [[0], [14], [-14], [0]]], [[[1], [0], [0], [0]], [[0], [6], [4], [2]], [[0], [4/5], [-6], [-22/5]], [[0], [28/5], [-28], [196/5]]], 0, 768, [], [] >,
< [ -1, 1 ], [[47040]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1], [3]], [[0], [0], [4], [-2]], [[0], [28], [0], [0]]], [[[1], [0], [0], [0]], [[0], [56/11], [-3/11], [19/11]], [[0], [0], [2], [-8]], [[0], [28/11], [103/11], [15/11]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[15680]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [6]], [[0], [12], [6], [-10]], [[0], [18], [-26], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [2], [6]], [[0], [62/3], [-4/3], [-26/3]], [[0], [4/3], [-68/3], [20/3]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[188160]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [2], [2]], [[0], [0], [14], [-14]], [[0], [8], [-34], [-34]]], [[[1], [0], [0], [0]], [[0], [2], [9], [9]], [[0], [16], [2], [2]], [[0], [0], [56], [-56]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[103488]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [10], [0], [2]], [[0], [4], [-14], [2]]], [[[1], [0], [0], [0]], [[0], [16/5], [0], [12/5]], [[0], [16/5], [14], [-38/5]], [[0], [42/5], [-14], [-56/5]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[34496]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [16]], [[0], [14], [-14], [0]], [[0], [18], [20], [2]]], [[[1], [0], [0], [0]], [[0], [10], [-6], [-16]], [[0], [14/3], [-56/3], [14/3]], [[0], [68/3], [4/3], [20/3]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[40768]], [ -182 ], [ -11 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [28/11], [-4/11]]], [[[1], [0], [0], [0]], [[0], [1], [28/33], [7/33]], [[0], [1], [-28/33], [-7/33]], [[0], [0], [28/33], [-92/33]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[53312]], [ -238 ], [ -11 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [28/11], [-8/11]]], [[[0], [1/3], [-28/33], [-1/11]], [[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [8/3], [28/33], [-10/11]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[906304]], [ -238 ], [ -11 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [476/11], [-4/11]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [3], [0], [1]], [[0], [1/3], [476/33], [-5/11]]], 0, 55296, [], [] >,
< [ -1, 1 ], [[529984]], [ -182 ], [ -11 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [364/11], [-8/11]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [-3]], [[0], [0], [364/33], [-8/33]]], 0, 32256, [], [] >,
< [ -1, 1 ], [[1138368]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-14], [2]], [[0], [18], [14], [20]], [[0], [22], [0], [-22]]], [[[1], [0], [0], [0]], [[0], [42/5], [-14], [-56/5]], [[0], [112/5], [14], [34/5]], [[0], [64/5], [-14], [98/5]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[379456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [-20], [-16]], [[0], [26], [4], [34]], [[0], [42], [42], [-28]]], [[[1], [0], [0], [0]], [[0], [16/3], [38/3], [-62/3]], [[0], [50], [-16], [18]], [[0], [34/3], [-208/3], [-74/3]]], 0, 23040, [], [] >,
< [ -1, 1 ], [[87808]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [4]], [[0], [4], [14], [2]], [[0], [8], [0], [-24]]], [[[1], [0], [0], [0]], [[0], [8], [0], [12]], [[0], [4], [14], [6]], [[0], [16], [0], [-4]]], 0, 5376, [], [] >,
< [ -1, 1 ], [[65856]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [-14], [0]], [[0], [2], [0], [14]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [8], [14], [6]], [[0], [8], [-14], [6]]], 0, 2688, [], [] >,
< [ -1, 1 ], [[263424]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [8]], [[0], [4], [-14], [-10]], [[0], [32], [28], [-24]]], [[[1], [0], [0], [0]], [[0], [4], [-14], [14]], [[0], [12], [14], [14]], [[0], [12], [-14], [-14]]], 0, 21504, [], [] >,
< [ -1, 1 ], [[109760]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [2]], [[0], [7], [4], [-5]], [[0], [7], [-4], [5]]], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [7], [4], [3]], [[0], [7], [-4], [-3]]], 0, 5376, [], [] >,
< [ -1, 1 ], [[2744]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-3], [1]], [[0], [2], [-4], [-8]], [[0], [5], [11], [-6]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-4]], [[0], [5], [-3], [1]], [[0], [14], [21], [-7]]], 1, 168, [], [] >,
< [ -1, 1 ], [[21952]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-8]], [[0], [18], [-8], [12]], [[0], [10], [22], [-12]]], [[[1], [0], [0], [0]], [[0], [8], [-2], [10]], [[0], [12], [-10], [-6]], [[0], [20], [16], [-10]]], 0, 1344, [], [] >,
< [ -1, 1 ], [[2744]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [6]], [[0], [3], [8], [2]], [[0], [10], [1], [-5]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [3]], [[0], [7], [-7], [-7]], [[0], [14], [7], [0]]], 1, 168, [], [] >,
< [ -1, 1 ], [[21952]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [12]], [[0], [8], [12], [10]], [[0], [20], [2], [-10]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [6]], [[0], [8], [12], [10]], [[0], [36], [-16], [-18]]], 0, 1344, [], [] >,
< [ -1, 1 ], [[1600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-2]], [[0], [6], [-2], [4]], [[0], [6], [8], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [10], [-2], [0]], [[0], [0], [2], [10]]], 0, 120, [], [] >,
< [ -1, 1 ], [[1600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [6], [10], [4]], [[0], [6], [-10], [4]]], [[[1], [0], [0], [0]], [[0], [4], [4], [-4]], [[0], [2], [2], [8]], [[0], [2], [-8], [-2]]], 0, 80, [], [] >,
< [ -1, 1 ], [[40000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [10], [10]], [[0], [10], [-20], [10]], [[0], [30], [0], [-10]]], [[[1], [0], [0], [0]], [[0], [10], [10], [0]], [[0], [10], [-10], [0]], [[0], [10], [0], [50]]], 0, 2400, [], [] >,
< [ -1, 1 ], [[40000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [0], [-10]], [[0], [0], [20], [0]], [[0], [20], [10], [30]]], [[[1], [0], [0], [0]], [[0], [10], [-10], [0]], [[0], [0], [10], [-10]], [[0], [40], [30], [30]]], 0, 2400, [], [] >,
< [ -1, 1 ], [[400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[1/2], [5/4], [-1], [-1/4]], [[1/2], [5/4], [1], [7/4]], [[1/2], [5/4], [1], [-9/4]]], [[[1], [0], [0], [0]], [[1/2], [5/4], [0], [-5/4]], [[1/2], [5/4], [2], [3/4]], [[1/2], [5/4], [-2], [3/4]]], 1, 16, [], [] >,
< [ -1, 1 ], [[1600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [5/2], [0], [3/2]], [[0], [5/2], [-4], [-5/2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [5/2], [2], [-1/2]], [[0], [5/2], [-2], [7/2]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [0], [3], [1]], [[0], [5], [-1], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [5], [2], [1]], [[0], [0], [4], [4]]], 0, 96, [], [] >,
< [ -1, 1 ], [[6400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [5], [2], [-3]], [[0], [5], [-6], [5]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [5], [0], [3]], [[0], [5], [2], [-3]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [-2], [1]], [[0], [0], [4], [4]], [[0], [0], [6], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [5], [-2], [1]], [[0], [5], [6], [-7]]], 0, 384, [], [] >,
< [ -1, 1 ], [[12800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [8], [0]], [[0], [10], [2], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [4], [-4]], [[0], [20], [0], [0]]], 0, 768, [], [] >,
< [ -1, 1 ], [[19200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [5], [2], [-7]], [[0], [10], [0], [10]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [5], [-2], [-1]], [[0], [5], [-2], [23]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[4800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/2], [-1], [-7/2]], [[0], [0], [4], [-4]], [[0], [5], [0], [3]]], [[[1], [0], [0], [0]], [[0], [25/7], [2], [13/7]], [[0], [5/7], [-4], [-17/7]], [[0], [5/14], [-3], [81/14]]], 0, 384, [], [] >,
< [ -1, 1 ], [[4800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/2], [-3], [-3/2]], [[0], [5], [2], [1]], [[0], [0], [4], [-4]]], [[[1], [0], [0], [0]], [[0], [5/2], [-3], [-3/2]], [[0], [25/7], [2], [13/7]], [[0], [10/7], [4], [-34/7]]], 0, 384, [], [] >,
< [ -1, 1 ], [[600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [5/4], [3/2], [9/4]], [[0], [15/4], [-1/2], [-1/4]]], [[[1], [0], [0], [0]], [[0], [25/28], [1/2], [13/28]], [[0], [55/28], [1/2], [-89/28]], [[0], [15/28], [-7/2], [47/28]]], 1, 48, [], [] >,
< [ -1, 1 ], [[200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [2], [4]], [[0], [5], [1], [2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [1], [-3]], [[0], [5], [0], [0]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [4], [8]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [2], [4]], [[0], [20], [0], [0]]], 0, 96, [], [] >,
< [ -1, 1 ], [[19200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [10], [-2]], [[0], [12], [0], [4]], [[0], [4], [0], [-12]]], [[[1], [0], [0], [0]], [[0], [8], [0], [-4]], [[0], [4], [10], [-2]], [[0], [8], [0], [16]]], 0, 768, [], [] >,
< [ -1, 1 ], [[1200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [4]], [[0], [3], [0], [-4]], [[1/2], [1/2], [5], [1]]], [[[1], [0], [0], [0]], [[1/2], [5/2], [0], [0]], [[1/2], [1/2], [0], [-4]], [[0], [1], [-10], [2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[4800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [-3]], [[0], [8], [1], [3]], [[0], [2], [-11], [7]]], [[[1], [0], [0], [0]], [[0], [26/7], [-18/7], [-2]], [[0], [34/7], [33/7], [-3]], [[0], [40/7], [10/7], [10]]], 0, 192, [], [] >,
< [ -1, 1 ], [[4800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [-3]], [[0], [6], [7], [1]], [[0], [8], [-4], [8]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [46/7], [-13/7], [3]], [[0], [6/7], [-23/7], [-7]]], 0, 192, [], [] >,
< [ -1, 1 ], [[4800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [5], [-5]], [[0], [4], [-2], [-6]], [[0], [8], [1], [3]]], [[[1], [0], [0], [0]], [[0], [26/7], [-18/7], [-2]], [[0], [20/7], [5/7], [5]], [[0], [6], [12], [-4]]], 0, 192, [], [] >,
< [ -1, 1 ], [[600]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1/2], [-3/2]], [[0], [1], [-3], [1]], [[0], [6], [9/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [10/7], [5/14], [5/2]], [[0], [17/7], [33/14], [-3/2]], [[0], [26/7], [-18/7], [-2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[4800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [0]], [[0], [6], [-12], [0]], [[0], [2], [-4], [20]]], [[[1], [0], [0], [0]], [[0], [8], [4], [0]], [[0], [2], [-4], [-10]], [[0], [4], [-8], [10]]], 0, 384, [], [] >,
< [ -1, 1 ], [[600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [0]], [[0], [1], [3], [5]], [[0], [3], [-6], [0]]], [[[1], [0], [0], [0]], [[0], [2], [1], [0]], [[0], [1], [-2], [-5]], [[0], [5], [-10], [5]]], 1, 48, [], [] >,
< [ -1, 1 ], [[11200]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [5], [0], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [5], [2], [1]]], 0, 576, [], [] >,
< [ -1, 1 ], [[1400]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [2]], [[0], [5/2], [0], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [5], [0], [0]]], 1, 72, [], [] >,
< [ -1, 1 ], [[134400]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [20], [2], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [8], [0]], [[0], [10], [-4], [-2]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[33600]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [4], [4]], [[0], [5], [0], [-3]]], [[[1], [0], [0], [0]], [[0], [15/11], [8/11], [-13/11]], [[0], [5/11], [-56/11], [-41/11]], [[0], [80/11], [-60/11], [48/11]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[44800]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [6]], [[0], [12], [2], [-2]], [[0], [4], [14], [6]]], [[[1], [0], [0], [0]], [[0], [4], [4], [-4]], [[0], [8], [-7], [-3]], [[0], [12], [2], [18]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[33600]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-2]], [[0], [2], [0], [6]], [[0], [4], [10], [2]]], [[[1], [0], [0], [0]], [[0], [2], [60/11], [6/11]], [[0], [6], [-20/11], [-2/11]], [[0], [2], [-50/11], [116/11]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[33600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1], [3]], [[0], [0], [4], [-2]], [[0], [20], [0], [0]]], [[[1], [0], [0], [0]], [[0], [20/11], [17/11], [-5/11]], [[0], [20/11], [-5/11], [83/11]], [[0], [100/11], [-124/11], [-36/11]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[11200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [0]], [[0], [12], [6], [-10]], [[0], [6], [-2], [20]]], [[[1], [0], [0], [0]], [[0], [16/3], [-2/3], [-10/3]], [[0], [38/3], [14/3], [40/3]], [[0], [4/3], [-68/3], [20/3]]], 0, 768, [], [] >,
< [ -1, 1 ], [[134400]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-16], [-12]], [[0], [24], [2], [-6]], [[0], [16], [-12], [16]]], [[[1], [0], [0], [0]], [[0], [12], [-14], [2]], [[0], [18], [9], [-7]], [[0], [2], [11], [27]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[17600]], [ -110 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [20/3], [2/3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2/3], [-20/9], [-2/9]], [[0], [7/3], [20/9], [-25/9]]], 0, 960, [], [] >,
< [ -1, 1 ], [[52800]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-2]], [[0], [6], [-2], [4]], [[0], [6], [8], [-6]]], [[[1], [0], [0], [0]], [[0], [18/7], [-26/7], [-4]], [[0], [46/7], [-12/7], [2]], [[0], [38/7], [54/7], [-4]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[70400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [2], [9]], [[0], [10], [0], [-6]], [[0], [5], [-14], [1]]], [[[1], [0], [0], [0]], [[0], [5/2], [-5], [-19/2]], [[0], [10], [8], [-2]], [[0], [5/2], [-9], [21/2]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[52800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [0], [1], [7]], [[0], [20], [-1], [1]]], [[[1], [0], [0], [0]], [[0], [0], [2/7], [-8/7]], [[0], [0], [127/7], [31/7]], [[0], [20], [-24/7], [-2/7]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[17600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-10], [0]], [[0], [2], [0], [-14]], [[0], [12], [20], [-4]]], [[[1], [0], [0], [0]], [[0], [8/3], [-10/3], [14/3]], [[0], [22/3], [-20/3], [-14/3]], [[0], [140/3], [140/3], [20/3]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[20800]], [ -2 ], [ -65 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [5], [2], [1]]], [[[1], [0], [0], [0]], [[0], [5/3], [2], [1/3]], [[0], [5/3], [-2], [1/3]], [[0], [0], [0], [6]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[62400]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [4], [0], [2]], [[0], [2], [5], [1]], [[0], [4], [0], [-8]]], [[[1], [0], [0], [0]], [[0], [30/7], [5/7], [-15/7]], [[0], [32/7], [10/7], [26/7]], [[0], [6/7], [-55/7], [-17/7]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[81600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [17], [-1]], [[0], [20], [-4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [17/7], [19/7]], [[0], [0], [51/7], [-41/7]], [[0], [20], [-11/7], [5/7]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[30400]], [ -5 ], [ -38 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [4], [0], [0]], [[0], [2], [5], [-1]]], [[[1], [0], [0], [0]], [[0], [8/3], [0], [2/3]], [[0], [4/3], [0], [-8/3]], [[0], [2/3], [5], [5/3]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[30400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [6], [0]], [[0], [10], [0], [-10]], [[0], [60], [-20], [60]]], [[[1], [0], [0], [0]], [[0], [8], [-6], [-10]], [[0], [6], [18], [0]], [[0], [44/3], [-38/3], [70/3]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[577600]], [ -5 ], [ -38 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [10], [0]], [[0], [38], [5], [1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [0], [10], [0]], [[0], [38/3], [5], [5/3]]], 0, 34560, [], [] >,
< [ -1, 1 ], [[577600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [-6], [-20]], [[0], [10], [60], [10]], [[0], [60], [-20], [60]]], [[[1], [0], [0], [0]], [[0], [22/3], [56/3], [-130/3]], [[0], [170/3], [70/3], [-20/3]], [[0], [10], [60], [10]]], 0, 34560, [], [] >,
< [ -1, 1 ], [[1387200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [20], [-4], [0]], [[0], [0], [17], [17]], [[0], [0], [17], [-17]]], [[[1], [0], [0], [0]], [[0], [0], [34/7], [136/7]], [[0], [20], [57/7], [-17/7]], [[0], [20], [-130/7], [68/7]]], 0, 55296, [], [] >,
< [ -1, 1 ], [[270400]], [ -2 ], [ -65 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [65], [2], [1]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [6]], [[0], [65/3], [2], [-5/3]]], 0, 16128, [], [] >,
< [ -1, 1 ], [[811200]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [4], [0], [2]], [[0], [4], [0], [-8]], [[0], [2], [-65], [1]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [26/7], [65/7], [43/7]], [[0], [116/7], [-130/7], [68/7]]], 0, 32256, [], [] >,
< [ -1, 1 ], [[193600]], [ -110 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [220/3], [-2/3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [3], [0], [-3]], [[0], [2/3], [220/9], [-14/9]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[580800]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [0], [10]], [[0], [10], [0], [-10]], [[0], [4], [22], [6]]], [[[1], [0], [0], [0]], [[0], [8/7], [-66/7], [6]], [[0], [8/7], [-66/7], [-14]], [[0], [158/7], [44/7], [6]]], 0, 23040, [], [] >,
< [ -1, 1 ], [[774400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [2], [9]], [[0], [5], [-42], [9]], [[0], [35], [14], [-25]]], [[[1], [0], [0], [0]], [[0], [10], [4], [18]], [[0], [15/2], [-19], [-17/2]], [[0], [35], [14], [-25]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[580800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [11], [11]], [[0], [0], [11], [-11]], [[0], [20], [-5], [-5]]], [[[1], [0], [0], [0]], [[0], [0], [22/7], [-88/7]], [[0], [0], [121/7], [55/7]], [[0], [20], [-24/7], [-2/7]]], 0, 23040, [], [] >,
< [ -1, 1 ], [[193600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-10], [-14]], [[0], [42], [20], [6]], [[0], [4], [-40], [32]]], [[[1], [0], [0], [0]], [[0], [12], [-10], [-14]], [[0], [62/3], [-70/3], [56/3]], [[0], [140/3], [140/3], [20/3]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[78400]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [35], [0], [1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [35], [2], [-1]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[9800]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [2]], [[0], [35/2], [0], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [35], [0], [0]]], 1, 576, [], [] >,
< [ -1, 1 ], [[940800]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [20], [14], [-2]], [[0], [20], [-14], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [20], [0], [0]], [[0], [10], [28], [2]]], 0, 36864, [], [] >,
< [ -1, 1 ], [[235200]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [4], [4]], [[0], [35], [0], [3]]], [[[1], [0], [0], [0]], [[0], [35/11], [-40/11], [-67/11]], [[0], [70/11], [96/11], [-24/11]], [[0], [105/11], [12/11], [63/11]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[313600]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [14], [6]], [[0], [0], [0], [20]], [[0], [36], [-14], [-6]]], [[[1], [0], [0], [0]], [[0], [8], [-7], [-3]], [[0], [16], [21], [9]], [[0], [4], [14], [-34]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[235200]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-2]], [[0], [2], [0], [6]], [[0], [4], [70], [2]]], [[[1], [0], [0], [0]], [[0], [2], [-140/11], [-14/11]], [[0], [6], [70/11], [128/11]], [[0], [12], [70/11], [-114/11]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[235200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1], [3]], [[0], [0], [4], [-2]], [[0], [140], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-8]], [[0], [140/11], [-90/11], [-46/11]], [[0], [140/11], [97/11], [53/11]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[78400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [6], [-10]], [[0], [18], [-26], [20]], [[0], [10], [-30], [-20]]], [[[1], [0], [0], [0]], [[0], [4/3], [-68/3], [20/3]], [[0], [86/3], [8/3], [10/3]], [[0], [26/3], [-22/3], [-80/3]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[940800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-12], [16]], [[0], [24], [-18], [-46]], [[0], [48], [34], [-22]]], [[[1], [0], [0], [0]], [[0], [30], [-5], [-5]], [[0], [20], [20], [20]], [[0], [16], [58], [-54]]], 0, 36864, [], [] >,
< [ -1, 1 ], [[548800]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [2]], [[0], [0], [4], [-12]], [[0], [35], [4], [-5]]], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [0], [8], [6]], [[0], [35], [4], [3]]], 0, 32256, [], [] >,
< [ -1, 1 ], [[32000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [8], [-4]], [[0], [5], [2], [9]], [[0], [5], [-6], [-7]]], [[[1], [0], [0], [0]], [[0], [5], [-2], [1]], [[0], [5], [6], [-3]], [[0], [0], [8], [16]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[32000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [-2], [-3]], [[0], [0], [8], [-8]], [[0], [5], [10], [5]]], [[[1], [0], [0], [0]], [[0], [5], [-6], [1]], [[0], [5], [2], [-7]], [[0], [5], [10], [5]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[8000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [5], [4], [3]], [[0], [5], [-4], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [5], [0], [5]], [[0], [5], [0], [-5]]], 0, 480, [], [] >,
< [ -1, 1 ], [[8000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [5], [2], [-1]], [[0], [0], [4], [8]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [5], [2], [5]], [[0], [5], [-2], [-5]]], 0, 480, [], [] >,
< [ -1, 1 ], [[8000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [4]], [[0], [5], [2], [-1]], [[0], [5], [-6], [3]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [5], [0], [-5]], [[0], [10], [0], [10]]], 0, 480, [], [] >,
< [ -1, 1 ], [[1000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [1], [2]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [5], [0], [0]], [[0], [0], [0], [5]]], 1, 60, [], [] >,
< [ -1, 1 ], [[8000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [5], [2], [3]], [[0], [5], [-2], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [10], [0], [0]], [[0], [5], [10], [1]]], 0, 480, [], [] >,
< [ -1, 1 ], [[8000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [5], [4], [1]], [[0], [5], [-4], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [5], [0], [1]], [[0], [0], [20], [0]]], 0, 480, [], [] >,
< [ -1, 1 ], [[8000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [5], [-2], [-3]], [[0], [5], [4], [1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [0], [-1]], [[0], [0], [10], [0]]], 0, 480, [], [] >,
< [ -1, 1 ], [[1000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [0], [2], [3]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [5], [0], [0]], [[0], [0], [5], [0]]], 1, 60, [], [] >,
< [ -1, 1 ], [[3000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [5/2], [-1/2]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [5], [0], [0]], [[0], [0], [5], [0]]], 1, 120, [], [] >,
< [ -1, 1 ], [[24000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [5], [-1]], [[0], [10], [0], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [10], [0]], [[0], [10], [5], [1]]], 0, 960, [], [] >,
< [ -1, 1 ], [[3000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [1/2], [5/2]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [5], [0], [0]], [[0], [0], [0], [5]]], 1, 120, [], [] >,
< [ -1, 1 ], [[24000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [1], [5]], [[0], [10], [2], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [10]], [[0], [10], [1], [-5]]], 0, 960, [], [] >,
< [ -1, 1 ], [[8000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [0], [0]], [[0], [0], [4], [-12]], [[0], [0], [14], [8]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [0], [16], [2]], [[0], [20], [0], [0]]], 0, 480, [], [] >,
< [ -1, 1 ], [[1000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [1], [-3]], [[0], [0], [2], [-6]], [[0], [0], [7], [4]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-3]], [[0], [5], [0], [0]], [[0], [0], [15], [5]]], 1, 60, [], [] >,
< [ -1, 1 ], [[96000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-4]], [[0], [0], [20], [0]], [[0], [24], [10], [38]]], [[[1], [0], [0], [0]], [[0], [8], [0], [16]], [[0], [0], [20], [0]], [[0], [24], [10], [-2]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[96000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [4]], [[0], [8], [-10], [-14]], [[0], [8], [30], [-14]]], [[[1], [0], [0], [0]], [[0], [0], [20], [0]], [[0], [4], [-10], [18]], [[0], [20], [10], [-10]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[3000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [-4]], [[0], [4], [-9/2], [-7/2]], [[0], [8], [1], [3]]], [[[1], [0], [0], [0]], [[0], [10/7], [5/14], [5/2]], [[0], [17/7], [33/14], [-3/2]], [[0], [96/7], [-123/7], [-7]]], 1, 120, [], [] >,
< [ -1, 1 ], [[24000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [5], [-5]], [[0], [6], [-3], [11]], [[0], [0], [10], [10]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [40/7], [10/7], [10]], [[0], [116/7], [-118/7], [-2]]], 0, 960, [], [] >,
< [ -1, 1 ], [[24000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [1], [3]], [[0], [2], [14], [2]], [[0], [4], [8], [-16]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [40/7], [10/7], [10]], [[0], [96/7], [-123/7], [-7]]], 0, 960, [], [] >,
< [ -1, 1 ], [[24000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [1], [3]], [[0], [8], [-9], [-7]], [[0], [4], [8], [-16]]], [[[1], [0], [0], [0]], [[0], [20/7], [5/7], [5]], [[0], [68/7], [66/7], [-6]], [[0], [62/7], [-156/7], [-4]]], 0, 960, [], [] >,
< [ -1, 1 ], [[24000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [0]], [[0], [10], [-20], [10]], [[0], [14], [-18], [-20]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [10], [-20], [10]], [[0], [24], [2], [10]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[3000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3], [5]], [[0], [7], [-4], [0]], [[0], [4], [12], [-10]]], [[[1], [0], [0], [0]], [[0], [1], [3], [5]], [[0], [9], [2], [-5]], [[0], [5], [-10], [5]]], 1, 240, [], [] >,
< [ -1, 1 ], [[24000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [14], [-8], [0]], [[0], [6], [18], [0]], [[0], [2], [6], [-20]]], [[[1], [0], [0], [0]], [[0], [14], [-8], [0]], [[0], [4], [12], [-10]], [[0], [4], [12], [20]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[56000]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [2]], [[0], [5], [4], [-3]], [[0], [5], [-4], [3]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [5], [0], [5]], [[0], [5], [0], [-5]]], 0, 2880, [], [] >,
< [ -1, 1 ], [[56000]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [5], [4], [1]], [[0], [5], [-4], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [5], [0], [1]], [[0], [0], [20], [0]]], 0, 2880, [], [] >,
< [ -1, 1 ], [[224000]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [-14]], [[0], [16], [-4], [4]], [[0], [8], [28], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [15], [-5]], [[0], [12], [2], [18]], [[0], [20], [-10], [-10]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[168000]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-2]], [[0], [2], [10], [16]], [[0], [2], [-10], [16]]], [[[1], [0], [0], [0]], [[0], [6], [-20/11], [-2/11]], [[0], [2], [-50/11], [116/11]], [[0], [6], [270/11], [148/11]]], 0, 5760, [], [] >,
< [ -1, 1 ], [[88000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [20], [10], [10]], [[0], [2], [30], [-4]], [[0], [14], [-10], [-28]]], [[[1], [0], [0], [0]], [[0], [14/3], [-10/3], [-28/3]], [[0], [18], [-20], [14]], [[0], [140/3], [140/3], [20/3]]], 0, 5760, [], [] >,
< [ -1, 1 ], [[968000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [54], [10], [-8]], [[0], [16], [-50], [18]], [[0], [10], [10], [80]]], [[[1], [0], [0], [0]], [[0], [26/3], [-40/3], [98/3]], [[0], [140/3], [140/3], [20/3]], [[0], [206/3], [-190/3], [-112/3]]], 0, 57600, [], [] >,
< [ -1, 1 ], [[392000]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [2]], [[0], [0], [4], [-8]], [[0], [35], [4], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [10]], [[0], [35], [0], [5]]], 0, 23040, [], [] >,
< [ -1, 1 ], [[392000]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [0], [4], [6]], [[0], [35], [4], [1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [20], [0]], [[0], [35], [0], [-1]]], 0, 23040, [], [] >,
< [ -1, 1 ], [[1568000]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [28], [-8]], [[0], [36], [-14], [-6]], [[0], [4], [14], [46]]], [[[1], [0], [0], [0]], [[0], [32], [7], [3]], [[0], [12], [-28], [28]], [[0], [8], [-42], [-18]]], 0, 92160, [], [] >,
< [ -1, 1 ], [[1176000]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [6]], [[0], [30], [0], [-10]], [[0], [16], [70], [-2]]], [[[1], [0], [0], [0]], [[0], [8], [-70/11], [114/11]], [[0], [16], [280/11], [28/11]], [[0], [26], [0], [-22]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[4608]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [6]], [[0], [6], [-6], [-6]], [[0], [6], [10], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [6], [2], [6]], [[0], [12], [0], [-12]]], 0, 192, [], [] >,
< [ -1, 1 ], [[576]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [6], [0], [0]], [[0], [0], [0], [12]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [6], [0], [0]], [[0], [0], [0], [6]]], 0, 24, [], [] >,
< [ -1, 1 ], [[72]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [3], [0], [0]], [[0], [0], [1], [3]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [3], [0], [3]], [[0], [3], [0], [-3]]], 1, 4, [], [] >,
< [ -1, 1 ], [[576]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [2]], [[0], [4], [0], [-4]], [[0], [0], [6], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [2], [0], [4]], [[0], [0], [12], [0]]], 0, 48, [], [] >,
< [ -1, 1 ], [[72]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [2], [0], [-2]], [[0], [1], [3], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [0], [3], [0]], [[0], [3], [0], [3]]], 1, 6, [], [] >,
< [ -1, 1 ], [[5184]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [12], [0]], [[0], [0], [0], [18]]], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [36]]], 0, 288, [], [] >,
< [ -1, 1 ], [[648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [3], [9]]], [[[1], [0], [0], [0]], [[0], [3], [3], [0]], [[0], [3], [-3], [0]], [[0], [0], [0], [9]]], 0, 36, [], [] >,
< [ -1, 1 ], [[41472]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [18]], [[0], [24], [0], [0]], [[0], [12], [24], [0]]], [[[1], [0], [0], [0]], [[0], [12], [-12], [0]], [[0], [6], [6], [18]], [[0], [18], [18], [-18]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[5184]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [6], [0], [12]], [[0], [12], [0], [-12]]], [[[1], [0], [0], [0]], [[0], [6], [0], [-6]], [[0], [0], [12], [0]], [[0], [12], [0], [6]]], 0, 288, [], [] >,
< [ -1, 1 ], [[648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [3], [-3]], [[0], [3], [-3], [-3]], [[0], [3], [0], [6]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [3], [0], [-3]], [[0], [9], [0], [9]]], 0, 36, [], [] >,
< [ -1, 1 ], [[62208]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [12], [0]], [[0], [0], [12], [-12]], [[0], [12], [-18], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [6], [-6]], [[0], [12], [6], [6]], [[0], [24], [-24], [-24]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-2], [2]], [[0], [0], [6], [6]], [[0], [0], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [0], [6], [6]], [[0], [24], [0], [0]]], 0, 288, [], [] >,
< [ -1, 1 ], [[2304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [6], [-2]], [[0], [0], [6], [14]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [6], [-2]], [[0], [2], [0], [8]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [6], [-10]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [6], [-2]], [[0], [2], [0], [-8]]], 0, 128, [], [] >,
< [ -1, 1 ], [[144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[1/2], [1/2], [3], [-1]], [[0], [0], [0], [4]]], [[[1/2], [1/2], [0], [0]], [[1/2], [-1/2], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [6], [2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [6], [-2]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [-4]], [[0], [1], [6], [2]]], 0, 32, [], [] >,
< [ -1, 1 ], [[144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [3/2], [-1/2]], [[0], [2], [0], [0]], [[1/2], [-1/2], [3/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[1/2], [-1/2], [3/2], [3/2]], [[1/2], [-1/2], [3/2], [-5/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [3], [3]], [[0], [1], [3], [-5]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [3], [-1]], [[0], [1], [3], [7]]], 0, 32, [], [] >,
< [ -1, 1 ], [[1944]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [3], [-3]], [[0], [3], [-3], [3]], [[0], [0], [9/2], [9/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [6], [-6]], [[0], [9], [3], [-3]]], 0, 108, [], [] >,
< [ -1, 1 ], [[15552]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-6]], [[0], [12], [0], [0]], [[0], [6], [9], [9]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [6], [-6]], [[0], [18], [3], [3]]], 0, 864, [], [] >,
< [ -1, 1 ], [[15552]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [15], [3]], [[0], [0], [3], [15]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [9], [-3]], [[0], [18], [0], [0]]], 0, 864, [], [] >,
< [ -1, 1 ], [[1944]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [3], [-3]], [[0], [3], [-9/2], [3/2]], [[0], [0], [9/2], [9/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [3], [-3], [3]], [[0], [12], [6], [-6]]], 0, 108, [], [] >,
< [ -1, 1 ], [[15552]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [3]], [[0], [6], [-9], [3]], [[0], [6], [-3], [-15]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [6], [-9], [3]], [[0], [12], [6], [-6]]], 0, 864, [], [] >,
< [ -1, 1 ], [[15552]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-9]], [[0], [6], [-6], [-6]], [[0], [12], [6], [6]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [6], [-9], [3]], [[0], [12], [9], [-3]]], 0, 864, [], [] >,
< [ -1, 1 ], [[15552]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [3]], [[0], [6], [-6], [-6]], [[0], [0], [15], [-9]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [18], [0], [0]], [[0], [6], [12], [-12]]], 0, 864, [], [] >,
< [ -1, 1 ], [[4608]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [2], [6], [2]], [[0], [10], [-6], [6]]], [[[1], [0], [0], [0]], [[0], [6], [0], [4]], [[0], [4], [6], [-2]], [[0], [0], [6], [6]]], 0, 256, [], [] >,
< [ -1, 1 ], [[1152]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [3], [1]], [[0], [1], [3], [-3]], [[0], [5], [-3], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [-3], [-1]], [[0], [2], [0], [4]], [[0], [5], [3], [-3]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1944]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [0]], [[0], [3], [6], [-3]], [[0], [3], [3], [9]]], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [3], [6], [-3]], [[0], [9], [-9], [-9]]], 0, 108, [], [] >,
< [ -1, 1 ], [[15552]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [6], [6]], [[0], [6], [12], [-6]], [[0], [6], [-12], [-18]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [0], [6], [-6]], [[0], [36], [-36], [-36]]], 0, 864, [], [] >,
< [ -1, 1 ], [[15552]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-6], [0]], [[0], [6], [0], [-12]], [[0], [6], [24], [0]]], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [6], [12], [-6]], [[0], [24], [-12], [-18]]], 0, 864, [], [] >,
< [ -1, 1 ], [[1944]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-3], [-3]], [[0], [6], [0], [6]], [[0], [6], [9], [-3]]], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [3], [-3], [-3]], [[0], [9], [18], [-9]]], 0, 108, [], [] >,
< [ -1, 1 ], [[15552]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-6], [0]], [[0], [0], [6], [12]], [[0], [12], [18], [-6]]], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [12], [-12], [-12]], [[0], [12], [12], [-18]]], 0, 864, [], [] >,
< [ -1, 1 ], [[1728]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [-6]], [[0], [6], [6], [0]], [[0], [6], [0], [6]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [6], [4], [2]], [[0], [12], [-12], [-12]]], 0, 144, [], [] >,
< [ -1, 1 ], [[11520]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-6]], [[0], [1], [6], [-3]], [[0], [8], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [6], [0], [6]], [[0], [9], [-2], [-3]]], 0, 768, [], [] >,
< [ -1, 1 ], [[11520]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [-2], [-3]], [[0], [3], [6], [3]], [[0], [2], [4], [-6]]], [[[1], [0], [0], [0]], [[0], [1], [2], [-3]], [[0], [3], [6], [3]], [[0], [9], [-6], [-3]]], 0, 384, [], [] >,
< [ -1, 1 ], [[103680]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [9], [6], [-3]], [[0], [12], [-24], [-12]]], [[[1], [0], [0], [0]], [[0], [9], [-6], [-3]], [[0], [3], [6], [-9]], [[0], [12], [12], [12]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[103680]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3], [6], [3]], [[0], [15], [-6], [-9]], [[0], [12], [-12], [12]]], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [6], [12], [6]], [[0], [15], [-6], [3]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[360]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [0]], [[0], [1], [2], [0]], [[0], [0], [0], [3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3], [0], [0]], [[0], [0], [3], [0]]], 1, 12, [], [] >,
< [ -1, 1 ], [[2880]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [2], [3]], [[0], [1], [2], [-3]], [[0], [4], [-4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [6], [0], [0]], [[0], [3], [6], [1]]], 0, 96, [], [] >,
< [ -1, 1 ], [[2880]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [3], [0], [-3]], [[0], [2], [4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [3], [0], [1]], [[0], [0], [12], [0]]], 0, 96, [], [] >,
< [ -1, 1 ], [[2880]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [2], [3]], [[0], [4], [2], [0]], [[0], [1], [-4], [3]]], [[[1], [0], [0], [0]], [[0], [3], [0], [1]], [[0], [0], [0], [4]], [[0], [0], [6], [0]]], 0, 96, [], [] >,
< [ -1, 1 ], [[25920]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [3], [-6], [3]], [[0], [15], [6], [3]]], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [3], [6], [-9]], [[0], [3], [-6], [-9]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[25920]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [9], [0], [3]], [[0], [3], [12], [-3]]], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [3], [0], [-9]], [[0], [0], [12], [0]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[25920]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [3]], [[0], [9], [0], [-3]], [[0], [6], [6], [6]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [3], [0], [9]], [[0], [12], [0], [0]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[3240]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [3], [3], [0]], [[0], [3], [-6], [0]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [9]]], 0, 144, [], [] >,
< [ -1, 1 ], [[8640]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [1], [-1]], [[0], [0], [3], [3]], [[0], [0], [3], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [0], [3], [3]], [[0], [12], [0], [0]]], 0, 288, [], [] >,
< [ -1, 1 ], [[77760]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [6], [3], [3]], [[0], [0], [6], [-6]], [[0], [6], [-3], [-9]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [6], [3], [3]], [[0], [12], [-12], [-12]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[9720]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [3], [3], [0]], [[0], [0], [3], [-3]], [[0], [3], [-3], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [3], [-3], [-3]], [[0], [6], [3], [3]]], 0, 432, [], [] >,
< [ -1, 1 ], [[11520]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [5], [6], [-7]], [[0], [5], [-6], [-7]]], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [5], [6], [-1]], [[0], [5], [-6], [-1]]], 0, 512, [], [] >,
< [ -1, 1 ], [[360]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [3/4], [3/2], [3/4]], [[0], [3], [-2], [-1]]], [[[1], [0], [0], [0]], [[0], [9/14], [1], [-11/14]], [[0], [51/28], [-3/2], [3/28]], [[0], [3/14], [2], [29/14]]], 1, 16, [], [] >,
< [ -1, 1 ], [[2880]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[0], [3], [0], [-3]], [[0], [3], [-4], [1]]], [[[1], [0], [0], [0]], [[0], [9/14], [1], [-11/14]], [[0], [51/14], [-3], [3/14]], [[0], [27/7], [4], [65/7]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2880]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[0], [3], [-2], [-1]], [[0], [0], [4], [-4]]], [[[1], [0], [0], [0]], [[0], [9/7], [2], [-11/7]], [[0], [51/14], [-3], [3/14]], [[0], [3/14], [-3], [-69/14]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2880]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [6], [8], [6]], [[0], [6], [-8], [-6]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [6], [12]], [[0], [2], [-12], [6]]], 0, 144, [], [] >,
< [ -1, 1 ], [[2880]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [6]], [[0], [8], [2], [-6]], [[0], [2], [8], [6]]], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [6], [-2], [-4]], [[0], [0], [14], [-2]]], 0, 288, [], [] >,
< [ -1, 1 ], [[25920]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [0], [6], [-18]], [[0], [6], [30], [0]]], [[[1], [0], [0], [0]], [[0], [0], [18], [6]], [[0], [0], [6], [-18]], [[0], [18], [12], [-6]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[25920]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [12], [-6]], [[0], [6], [-6], [-12]], [[0], [24], [-6], [18]]], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [6], [-12], [6]], [[0], [6], [18], [36]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[720]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[1/2], [-1/2], [-3], [-1]], [[0], [2], [0], [4]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [-2]], [[1/2], [7/2], [0], [2]], [[0], [1], [-6], [2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[11520]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [8], [-6], [6]], [[0], [0], [6], [10]]], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [4], [-6], [-2]], [[0], [8], [0], [16]]], 0, 768, [], [] >,
< [ -1, 1 ], [[311040]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [12], [-12]], [[0], [24], [-6], [18]], [[0], [0], [36], [0]]], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [24], [6], [18]], [[0], [48], [6], [-54]]], 0, 20736, [], [] >,
< [ -1, 1 ], [[360]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [1/2]], [[0], [2], [-3/2], [3/2]], [[0], [3], [-3/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [6/7], [3/14], [3/2]], [[0], [17/7], [33/14], [-3/2]], [[0], [26/7], [-18/7], [-2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[2880]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [1]], [[0], [0], [3], [-7]], [[0], [8], [-3], [-1]]], [[[1], [0], [0], [0]], [[0], [26/7], [-18/7], [-2]], [[0], [24/7], [6/7], [6]], [[0], [34/7], [33/7], [-3]]], 0, 192, [], [] >,
< [ -1, 1 ], [[2880]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [1]], [[0], [4], [0], [-4]], [[0], [8], [-6], [6]]], [[[1], [0], [0], [0]], [[0], [38/7], [-15/7], [1]], [[0], [2], [-3], [-5]], [[0], [34/7], [33/7], [-3]]], 0, 192, [], [] >,
< [ -1, 1 ], [[2880]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [3]], [[0], [2], [-3], [-5]], [[0], [6], [3], [-3]]], [[[1], [0], [0], [0]], [[0], [12/7], [3/7], [3]], [[0], [26/7], [-18/7], [-2]], [[0], [6], [12], [-4]]], 0, 192, [], [] >,
< [ -1, 1 ], [[360]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [-2]], [[0], [1], [-2], [4]], [[0], [7], [1], [1]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [1], [-2], [-5]], [[0], [6], [3], [0]]], 1, 24, [], [] >,
< [ -1, 1 ], [[2880]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-4]], [[0], [2], [-4], [8]], [[0], [12], [6], [0]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [0], [0], [6]], [[0], [24], [12], [0]]], 0, 192, [], [] >,
< [ -1, 1 ], [[77760]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-12], [6]], [[0], [12], [6], [18]], [[0], [54], [12], [-30]]], [[[1], [0], [0], [0]], [[0], [6], [-12], [6]], [[0], [24], [12], [0]], [[0], [24], [-18], [-42]]], 0, 5184, [], [] >,
< [ -1, 1 ], [[77760]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [-6], [-12]], [[0], [12], [6], [18]], [[0], [12], [36], [-12]]], [[[1], [0], [0], [0]], [[0], [24], [12], [0]], [[0], [18], [-6], [24]], [[0], [0], [30], [6]]], 0, 5184, [], [] >,
< [ -1, 1 ], [[108864]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [0]], [[0], [0], [0], [12]], [[0], [6], [12], [6]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [6], [-6], [0]], [[0], [6], [0], [18]]], 0, 5184, [], [] >,
< [ -1, 1 ], [[108864]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [0], [6], [6]], [[0], [12], [-12], [12]]], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [0], [12], [0]], [[0], [12], [6], [-6]]], 0, 5184, [], [] >,
< [ -1, 1 ], [[4032]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [4], [0], [0]], [[0], [0], [6], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [12], [0]]], 0, 192, [], [] >,
< [ -1, 1 ], [[504]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [3], [0]]], 1, 24, [], [] >,
< [ -1, 1 ], [[435456]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [6], [18]], [[0], [24], [0], [-12]], [[0], [0], [24], [-12]]], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [12], [18], [-6]], [[0], [36], [-18], [18]]], 0, 20736, [], [] >,
< [ -1, 1 ], [[16128]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [2]], [[0], [0], [6], [6]], [[0], [8], [8], [-8]]], [[[1], [0], [0], [0]], [[0], [8], [2], [-2]], [[0], [0], [6], [-6]], [[0], [4], [-8], [-4]]], 0, 768, [], [] >,
< [ -1, 1 ], [[4032]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [4], [2], [2]], [[0], [4], [-4], [-4]]], [[[1], [0], [0], [0]], [[0], [16/5], [1], [-13/5]], [[0], [12/5], [3], [9/5]], [[0], [24/5], [-6], [18/5]]], 0, 192, [], [] >,
< [ -1, 1 ], [[4032]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [0], [3], [-3]], [[0], [8], [4], [4]]], [[[1], [0], [0], [0]], [[0], [16/5], [1], [-13/5]], [[0], [12/5], [3], [9/5]], [[0], [26/5], [-7], [7/5]]], 0, 192, [], [] >,
< [ -1, 1 ], [[4032]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [4], [5], [-1]], [[0], [4], [-1], [5]]], [[[1], [0], [0], [0]], [[0], [2/5], [-1], [-11/5]], [[0], [28/5], [4], [-4/5]], [[0], [2], [-8], [4]]], 0, 192, [], [] >,
< [ -1, 1 ], [[504]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [3], [0], [0]], [[0], [1], [2], [2]]], [[[1], [0], [0], [0]], [[0], [1/5], [-1/2], [-11/10]], [[0], [7/5], [1], [-1/5]], [[0], [24/5], [-6], [18/5]]], 1, 24, [], [] >,
< [ -1, 1 ], [[20160]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [3], [0], [-3]], [[0], [2], [-4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [3], [0], [1]], [[0], [0], [12], [0]]], 0, 576, [], [] >,
< [ -1, 1 ], [[181440]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [9], [0], [-3]], [[0], [3], [-12], [3]]], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [3], [0], [-9]], [[0], [0], [12], [0]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[80640]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [12], [2], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [6], [4], [-2]], [[0], [6], [-4], [-2]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[20160]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [3], [0], [-3]], [[0], [3], [4], [1]]], [[[1], [0], [0], [0]], [[0], [15/11], [8/11], [-13/11]], [[0], [24/11], [4/11], [10/11]], [[0], [42/11], [-180/11], [-54/11]]], 0, 768, [], [] >,
< [ -1, 1 ], [[20160]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-2]], [[0], [2], [0], [6]], [[0], [4], [6], [2]]], [[[1], [0], [0], [0]], [[0], [2], [-24/11], [46/11]], [[0], [2], [60/11], [6/11]], [[0], [8], [-18/11], [-26/11]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[36288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-6], [6]], [[0], [0], [6], [18]], [[0], [18], [30], [0]]], [[[1], [0], [0], [0]], [[0], [6], [12], [6]], [[0], [6], [6], [-12]], [[0], [36], [-24], [0]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[4536]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-9], [0]], [[0], [6], [0], [-9]], [[0], [6], [6], [9]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [3], [-6], [9]], [[0], [3], [-12], [-9]]], 0, 288, [], [] >,
< [ -1, 1 ], [[36288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [6], [0]], [[0], [6], [-18], [0]], [[0], [6], [-6], [36]]], [[[1], [0], [0], [0]], [[0], [12], [0], [-18]], [[0], [6], [-12], [18]], [[0], [12], [12], [18]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[4032]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [6], [-8], [2]], [[0], [6], [6], [-12]]], [[[1], [0], [0], [0]], [[0], [4], [0], [8]], [[0], [8], [-6], [-2]], [[0], [2], [12], [-2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[4032]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-4], [0]], [[0], [6], [10], [0]], [[0], [0], [4], [12]]], [[[1], [0], [0], [0]], [[0], [0], [2], [6]], [[0], [12], [6], [0]], [[0], [0], [12], [-6]]], 0, 192, [], [] >,
< [ -1, 1 ], [[504]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-1], [3]], [[0], [3], [-3], [-3]], [[0], [3], [5], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [3]], [[0], [3], [-2], [0]], [[0], [6], [9], [-3]]], 1, 24, [], [] >,
< [ -1, 1 ], [[16128]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-2]], [[0], [8], [0], [8]], [[0], [16], [-6], [-10]]], [[[1], [0], [0], [0]], [[0], [10], [-3], [-3]], [[0], [8], [6], [6]], [[0], [0], [12], [-4]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[4032]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [4], [-6], [-6]], [[0], [6], [0], [8]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [9/5]], [[0], [48/5], [-6/5], [-22/5]], [[0], [2], [15], [3]]], 0, 256, [], [] >,
< [ -1, 1 ], [[4032]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [-3]], [[0], [14], [-3], [13]]], [[[1], [0], [0], [0]], [[0], [8/5], [-6/5], [18/5]], [[0], [4], [0], [-4]], [[0], [2], [15], [3]]], 0, 256, [], [] >,
< [ -1, 1 ], [[504]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [2], [-3], [-3]], [[0], [4], [-3/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [9/5]], [[0], [12/5], [-3/10], [-11/10]], [[0], [1], [15/2], [3/2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[4032]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [12], [6], [-6]], [[0], [4], [10], [10]]], [[[1], [0], [0], [0]], [[0], [4/5], [-4], [28/5]], [[0], [38/5], [-8], [-34/5]], [[0], [26/5], [10], [32/5]]], 0, 256, [], [] >,
< [ -1, 1 ], [[20160]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [3], [-5]], [[0], [0], [6], [4]]], [[[1], [0], [0], [0]], [[0], [56/11], [-3/11], [19/11]], [[0], [16/11], [-15/11], [-59/11]], [[0], [4/11], [54/11], [-34/11]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[80640]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-8]], [[0], [8], [18], [14]], [[0], [16], [-12], [16]]], [[[1], [0], [0], [0]], [[0], [2], [9], [9]], [[0], [18], [9], [-7]], [[0], [10], [-21], [11]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[6336]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [2], [6], [0]]], [[[1], [0], [0], [0]], [[0], [4/5], [12/5], [-4/5]], [[0], [2], [0], [2]], [[0], [24/5], [-18/5], [-14/5]]], 0, 320, [], [] >,
< [ -1, 1 ], [[31680]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [-6], [-4]], [[0], [6], [6], [-8]]], [[[1], [0], [0], [0]], [[0], [26/7], [6/7], [-4]], [[0], [12/7], [48/7], [0]], [[0], [20/7], [-18/7], [6]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[6336]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-6]], [[0], [12], [6], [2]], [[0], [6], [-6], [-12]]], [[[1], [0], [0], [0]], [[0], [2], [-6], [0]], [[0], [2], [0], [-6]], [[0], [36], [12], [12]]], 0, 288, [], [] >,
< [ -1, 1 ], [[57024]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-18], [0]], [[0], [6], [0], [-18]], [[0], [36], [18], [6]]], [[[1], [0], [0], [0]], [[0], [0], [6], [-6]], [[0], [36], [12], [12]], [[0], [18], [-30], [-24]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[25344]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [2]], [[0], [0], [6], [-10]], [[0], [20], [-12], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [12]], [[0], [12], [-6], [2]], [[0], [4], [12], [-8]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[792]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-3]], [[0], [2], [-3], [0]], [[0], [5], [3], [1]]], [[[1], [0], [0], [0]], [[0], [1/5], [-12/5], [-1/5]], [[0], [4/5], [-3/5], [16/5]], [[0], [8], [0], [-2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[6336]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-6]], [[0], [6], [0], [4]], [[0], [0], [12], [-2]]], [[[1], [0], [0], [0]], [[0], [2/5], [-24/5], [-2/5]], [[0], [8], [0], [-2]], [[0], [16/5], [-12/5], [64/5]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6336]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-6]], [[0], [4], [6], [-2]], [[0], [10], [-6], [4]]], [[[1], [0], [0], [0]], [[0], [2/5], [-24/5], [-2/5]], [[0], [48/5], [-6/5], [22/5]], [[0], [32/5], [6/5], [-42/5]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6336]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [4]], [[0], [4], [-6], [0]], [[0], [6], [6], [-8]]], [[[1], [0], [0], [0]], [[0], [8/5], [-6/5], [32/5]], [[0], [38/5], [24/5], [-8/5]], [[0], [4/5], [-48/5], [-4/5]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6336]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-6]], [[0], [12], [-6], [6]], [[0], [4], [14], [-2]]], [[[1], [0], [0], [0]], [[0], [14/5], [-4], [2/5]], [[0], [32/5], [2], [26/5]], [[0], [108/5], [12], [-156/5]]], 0, 384, [], [] >,
< [ -1, 1 ], [[31680]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [4], [3], [5]], [[0], [8], [-3], [-9]]], [[[1], [0], [0], [0]], [[0], [0], [6/7], [-24/7]], [[0], [4], [48/7], [4/7]], [[0], [8], [-33/7], [-15/7]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[44352]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [4], [0], [-8]], [[0], [10], [0], [2]]], [[[1], [0], [0], [0]], [[0], [16/5], [0], [12/5]], [[0], [18/5], [-6], [-24/5]], [[0], [38/5], [12], [-34/5]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[936]], [ -13 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [3], [1/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [3], [0], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[7488]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [2], [-2]], [[0], [6], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [12], [0], [0]]], 0, 384, [], [] >,
< [ -1, 1 ], [[202176]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [6], [3], [3]], [[0], [0], [6], [-6]], [[0], [6], [-9], [-3]]], [[[1], [0], [0], [0]], [[0], [6], [3], [-3]], [[0], [6], [-3], [3]], [[0], [0], [6], [12]]], 0, 10368, [], [] >,
< [ -1, 1 ], [[29952]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [5], [2], [-3]], [[0], [3], [-6], [3]], [[0], [2], [-4], [-6]]], [[[1], [0], [0], [0]], [[0], [4], [4], [0]], [[0], [3], [-6], [3]], [[0], [5/2], [1], [-15/2]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[37440]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [6], [-1], [3]], [[0], [6], [1], [-7]]], [[[1], [0], [0], [0]], [[0], [18/7], [17/7], [19/7]], [[0], [12/7], [-12/7], [-34/7]], [[0], [24/7], [-38/7], [2/7]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[7488]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-2], [4]], [[0], [8], [8], [-4]], [[0], [8], [-10], [-10]]], [[[1], [0], [0], [0]], [[0], [4/5], [28/5], [-4]], [[0], [58/5], [-44/5], [-10]], [[0], [28/5], [46/5], [14]]], 0, 448, [], [] >,
< [ -1, 1 ], [[9792]], [ -3 ], [ -34 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [1]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [8/5], [-3/5], [1/5]], [[0], [4/5], [6/5], [8/5]], [[0], [8/5], [27/5], [-19/5]]], 0, 512, [], [] >,
< [ -1, 1 ], [[39168]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [6], [-2]], [[0], [8], [-6], [-2]], [[0], [8], [0], [32]]], [[[1], [0], [0], [0]], [[0], [6], [-9], [7]], [[0], [2], [-9], [-9]], [[0], [16], [12], [-4]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[9792]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [4], [-8], [-8]], [[0], [14], [-16], [14]]], [[[1], [0], [0], [0]], [[0], [0], [42/5], [-6/5]], [[0], [2], [-14/5], [52/5]], [[0], [28], [-4/5], [-28/5]]], 0, 576, [], [] >,
< [ -1, 1 ], [[48960]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [4], [6], [0]], [[0], [24], [-15], [1]]], [[[1], [0], [0], [0]], [[0], [4], [-9/7], [13/7]], [[0], [4], [6], [-4]], [[0], [0], [51/7], [57/7]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[10944]], [ -19 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [12], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [12/5], [12/5], [0]], [[0], [12/5], [-13/5], [1]]], 0, 576, [], [] >,
< [ -1, 1 ], [[43776]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [2], [-2]], [[0], [0], [6], [6]], [[0], [0], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [4], [-2], [2]], [[0], [4], [4], [-4]], [[0], [2], [-13], [-11]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[52992]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [-10]], [[0], [8], [0], [16]], [[0], [8], [18], [2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [8]], [[0], [6], [6], [-8]], [[0], [24], [-36], [-16]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[13248]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [2], [-8]], [[0], [8], [-2], [14]], [[0], [2], [16], [2]]], [[[1], [0], [0], [0]], [[0], [34/5], [38/5], [-4]], [[0], [64/5], [-52/5], [8]], [[0], [8], [-14], [-10]]], 0, 768, [], [] >,
< [ -1, 1 ], [[16704]], [ -10 ], [ -174 ], [[[1], [0], [0], [0]], [[0], [3/5], [1], [2/5]], [[0], [3/5], [-1], [2/5]], [[0], [6/5], [0], [-6/5]]], [[[1], [0], [0], [0]], [[0], [9/25], [1], [16/25]], [[0], [9/25], [-1], [16/25]], [[0], [6/5], [0], [-6/5]]], 0, 896, [], [] >,
< [ -1, 1 ], [[17856]], [ -10 ], [ -186 ], [[[1], [0], [0], [0]], [[0], [3/5], [1], [1/5]], [[0], [3/5], [-1], [1/5]], [[0], [0], [0], [2]]], [[[1], [0], [0], [0]], [[0], [6/25], [0], [32/25]], [[0], [21/25], [1], [-13/25]], [[0], [21/25], [-1], [-13/25]]], 0, 960, [], [] >,
< [ -1, 1 ], [[21312]], [ -222 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [12/13], [8/13]], [[0], [1], [6/13], [-9/13]], [[0], [1], [-6/13], [9/13]]], [[[0], [1/5], [6/65], [43/65]], [[0], [1/5], [-54/65], [3/65]], [[1], [0], [0], [0]], [[0], [3], [6/13], [-9/13]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[788544]], [ -222 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [1], [-222/13], [-5/13]]], [[[1], [0], [0], [0]], [[0], [3/5], [-222/65], [-31/65]], [[0], [4], [0], [2]], [[0], [2], [0], [-4]]], 0, 43776, [], [] >,
< [ -1, 1 ], [[553536]], [ -10 ], [ -186 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [93/5], [1], [1/5]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [93/25], [-1], [121/25]], [[0], [93/25], [-1], [-129/25]]], 0, 30720, [], [] >,
< [ -1, 1 ], [[484416]], [ -10 ], [ -174 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [87/5], [-1], [-2/5]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [87/25], [-1], [-12/25]], [[0], [0], [0], [10]]], 0, 26880, [], [] >,
< [ -1, 1 ], [[1218816]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [12], [-8]], [[0], [8], [6], [42]], [[0], [64], [-90], [14]]], [[[1], [0], [0], [0]], [[0], [16], [12], [-8]], [[0], [44], [-36], [24]], [[0], [10], [42], [64]]], 0, 67584, [], [] >,
< [ -1, 1 ], [[304704]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [14], [16]], [[0], [4], [-22], [34]], [[0], [80], [-26], [-10]]], [[[1], [0], [0], [0]], [[0], [16/5], [-88/5], [-28]], [[0], [36/5], [-198/5], [6]], [[0], [298/5], [86/5], [-4]]], 0, 16896, [], [] >,
< [ -1, 1 ], [[207936]], [ -19 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [12], [0], [0]], [[0], [0], [19], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [12/5], [-38/5], [0]], [[0], [132/5], [57/5], [-1]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[831744]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [24], [0], [0]], [[0], [8], [38], [-2]]], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [2], [-19], [-5]], [[0], [2], [-19], [43]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[166464]], [ -3 ], [ -34 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [-1]], [[0], [68], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [6], [-4]], [[0], [68/5], [12/5], [-4/5]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[665856]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [0], [-4]], [[0], [8], [0], [32]], [[0], [8], [102], [-2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [16]], [[0], [18], [51], [-13]], [[0], [64], [0], [-16]]], 0, 36864, [], [] >,
< [ -1, 1 ], [[166464]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [32], [2], [14]], [[0], [18], [-18], [-24]], [[0], [8], [26], [-22]]], [[[1], [0], [0], [0]], [[0], [4], [14/5], [98/5]], [[0], [28], [-4/5], [-28/5]], [[0], [2], [-70], [20]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[832320]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [6], [0]], [[0], [24], [-15], [-17]], [[0], [0], [0], [34]]], [[[1], [0], [0], [0]], [[0], [4], [-9/7], [-85/7]], [[0], [16], [66/7], [68/7]], [[0], [8], [-171/7], [51/7]]], 0, 36864, [], [] >,
< [ -1, 1 ], [[12168]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [3], [0], [-1]], [[0], [0], [13/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3], [0], [0]], [[0], [0], [13], [0]]], 1, 672, [], [] >,
< [ -1, 1 ], [[97344]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [6], [0], [0]], [[0], [0], [13], [1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [12], [0], [0]], [[0], [0], [13], [-1]]], 0, 5376, [], [] >,
< [ -1, 1 ], [[2628288]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [12], [0], [-6]], [[0], [12], [0], [12]], [[0], [6], [39], [3]]], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [0], [0], [18]], [[0], [6], [39], [3]]], 0, 145152, [], [] >,
< [ -1, 1 ], [[389376]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [13], [-2], [-3]], [[0], [0], [0], [24]]], [[[1], [0], [0], [0]], [[0], [13/2], [5], [-15/2]], [[0], [0], [12], [12]], [[0], [13], [-14], [9]]], 0, 21504, [], [] >,
< [ -1, 1 ], [[486720]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [10]], [[0], [12], [0], [-4]], [[0], [6], [13], [3]]], [[[1], [0], [0], [0]], [[0], [12/7], [-26/7], [36/7]], [[0], [66/7], [39/7], [23/7]], [[0], [54/7], [-117/7], [-83/7]]], 0, 32256, [], [] >,
< [ -1, 1 ], [[97344]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [6], [-18]], [[0], [22], [-14], [16]], [[0], [18], [24], [6]]], [[[1], [0], [0], [0]], [[0], [86/5], [2/5], [4]], [[0], [58/5], [-44/5], [-10]], [[0], [52/5], [364/5], [-52]]], 0, 5376, [], [] >,
< [ -1, 1 ], [[69696]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [2], [66], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2/5], [66/5], [8/5]], [[0], [10], [0], [-10]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[348480]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [10], [0], [-10]], [[0], [2], [-66], [-4]]], [[[1], [0], [0], [0]], [[0], [8/7], [-66/7], [6]], [[0], [14], [0], [-6]], [[0], [8/7], [-66/7], [-14]]], 0, 23040, [], [] >,
< [ -1, 1 ], [[69696]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [-16], [6]], [[0], [6], [2], [24]], [[0], [18], [28], [6]]], [[[1], [0], [0], [0]], [[0], [4], [-6], [-6]], [[0], [36], [12], [12]], [[0], [2], [-36], [30]]], 0, 2880, [], [] >,
< [ -1, 1 ], [[627264]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-18], [-18]], [[0], [42], [36], [-30]], [[0], [66], [0], [66]]], [[[1], [0], [0], [0]], [[0], [36], [12], [12]], [[0], [18], [6], [-60]], [[0], [18], [-60], [6]]], 0, 34560, [], [] >,
< [ -1, 1 ], [[278784]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [24], [-4]], [[0], [16], [-12], [-20]], [[0], [24], [-18], [14]]], [[[1], [0], [0], [0]], [[0], [8], [-6], [-10]], [[0], [12], [24], [-4]], [[0], [44], [0], [44]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[8712]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [6], [1]], [[0], [4], [-3], [-6]], [[0], [8], [-6], [10]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [16/5]], [[0], [39/5], [12/5], [-9/5]], [[0], [46/5], [-117/5], [-36/5]]], 1, 480, [], [] >,
< [ -1, 1 ], [[69696]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [12], [2]], [[0], [16], [-12], [-2]], [[0], [0], [0], [22]]], [[[1], [0], [0], [0]], [[0], [16/5], [-12/5], [64/5]], [[0], [78/5], [24/5], [-18/5]], [[0], [10], [-24], [-4]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[69696]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [12], [2]], [[0], [8], [-6], [10]], [[0], [22], [0], [-22]]], [[[1], [0], [0], [0]], [[0], [16/5], [-12/5], [64/5]], [[0], [78/5], [24/5], [-18/5]], [[0], [42/5], [-114/5], [-52/5]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[69696]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [-12]], [[0], [14], [6], [12]], [[0], [2], [-18], [8]]], [[[1], [0], [0], [0]], [[0], [8/5], [-6/5], [32/5]], [[0], [36/5], [138/5], [34/5]], [[0], [128/5], [-96/5], [-38/5]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[69696]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [8], [10]], [[0], [8], [-20], [8]], [[0], [32], [-14], [-34]]], [[[1], [0], [0], [0]], [[0], [10], [8], [10]], [[0], [102/5], [-18], [36/5]], [[0], [108/5], [12], [-156/5]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[348480]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [12], [-3], [-3]], [[0], [8], [9], [9]], [[0], [4], [-12], [10]]], [[[1], [0], [0], [0]], [[0], [4], [48/7], [4/7]], [[0], [16], [-72/7], [-6/7]], [[0], [8], [-3/7], [-135/7]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[487872]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [14], [6], [-4]], [[0], [6], [12], [14]], [[0], [16], [-12], [8]]], [[[1], [0], [0], [0]], [[0], [18/5], [-6], [-24/5]], [[0], [118/5], [12], [26/5]], [[0], [58/5], [-12], [106/5]]], 0, 23040, [], [] >,
< [ -1, 1 ], [[3528]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [21], [1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [21], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[28224]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [42], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [84], [0]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[762048]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [18], [0], [-18]], [[0], [6], [42], [0]]], [[[1], [0], [0], [0]], [[0], [6], [0], [-6]], [[0], [18], [0], [18]], [[0], [12], [42], [6]]], 0, 41472, [], [] >,
< [ -1, 1 ], [[762048]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [6], [0], [18]], [[0], [0], [42], [6]]], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [6], [0], [18]], [[0], [6], [-42], [0]]], 0, 41472, [], [] >,
< [ -1, 1 ], [[112896]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [14], [-2]], [[0], [12], [0], [12]], [[0], [12], [0], [-12]]], [[[1], [0], [0], [0]], [[0], [4], [-14], [2]], [[0], [12], [0], [12]], [[0], [12], [0], [-12]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[3048192]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [0], [24]], [[0], [12], [42], [-18]], [[0], [36], [-42], [-42]]], [[[1], [0], [0], [0]], [[0], [12], [42], [18]], [[0], [48], [0], [12]], [[0], [24], [0], [-48]]], 0, 165888, [], [] >,
< [ -1, 1 ], [[3528]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [1], [7/2], [1/2]], [[0], [0], [0], [12]]], [[[1], [0], [0], [0]], [[0], [9/5], [0], [-12/5]], [[0], [11/5], [7/2], [29/10]], [[0], [17/5], [-7], [19/5]]], 1, 192, [], [] >,
< [ -1, 1 ], [[28224]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-7], [-1]], [[0], [8], [7], [1]], [[0], [0], [0], [12]]], [[[1], [0], [0], [0]], [[0], [8/5], [-7], [31/5]], [[0], [8], [7], [1]], [[0], [36/5], [0], [-48/5]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[28224]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-7], [-1]], [[0], [8], [7], [1]], [[0], [2], [7], [-11]]], [[[1], [0], [0], [0]], [[0], [26/5], [-7], [7/5]], [[0], [8], [7], [1]], [[0], [36/5], [0], [-48/5]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[28224]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [7], [1]], [[0], [12], [0], [0]], [[0], [6], [0], [12]]], [[[1], [0], [0], [0]], [[0], [26/5], [-7], [7/5]], [[0], [22/5], [7], [29/5]], [[0], [36/5], [0], [-48/5]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[1270080]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [21], [-12], [3]], [[0], [21], [24], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [0], [0], [18]], [[0], [21], [0], [-9]]], 0, 55296, [], [] >,
< [ -1, 1 ], [[141120]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [7], [-4], [3]], [[0], [7], [8], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [12], [0]], [[0], [21], [0], [-1]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[564480]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [12], [14], [-2]], [[0], [12], [-14], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [12], [0], [0]], [[0], [6], [28], [2]]], 0, 24576, [], [] >,
< [ -1, 1 ], [[141120]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [4], [4]], [[0], [21], [0], [3]]], [[[1], [0], [0], [0]], [[0], [21/11], [20/11], [-49/11]], [[0], [63/11], [16/11], [7/11]], [[0], [42/11], [-180/11], [-54/11]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[141120]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-2]], [[0], [2], [0], [6]], [[0], [4], [42], [2]]], [[[1], [0], [0], [0]], [[0], [0], [84/11], [-40/11]], [[0], [10], [-42/11], [20/11]], [[0], [4], [126/11], [182/11]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[3528]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [2]], [[0], [9], [3], [-1]], [[0], [3], [-6], [-12]]], [[[1], [0], [0], [0]], [[0], [3], [-6], [-5]], [[0], [9], [3], [-1]], [[0], [3], [-6], [9]]], 1, 144, [], [] >,
< [ -1, 1 ], [[28224]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-12], [4]], [[0], [18], [6], [12]], [[0], [18], [6], [-16]]], [[[1], [0], [0], [0]], [[0], [6], [-12], [4]], [[0], [0], [0], [14]], [[0], [36], [12], [-4]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[28224]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [14], [0], [-14]], [[0], [2], [-18], [-8]], [[0], [6], [-12], [18]]], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [6], [16], [-10]], [[0], [24], [-34], [-26]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[254016]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [-6], [30]], [[0], [6], [30], [-24]], [[0], [30], [-18], [-36]]], [[[1], [0], [0], [0]], [[0], [18], [6], [12]], [[0], [30], [-18], [-36]], [[0], [18], [48], [-30]]], 0, 13824, [], [] >,
< [ -1, 1 ], [[254016]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [42], [0]], [[0], [0], [0], [42]], [[0], [36], [12], [24]]], [[[1], [0], [0], [0]], [[0], [18], [6], [12]], [[0], [18], [-36], [12]], [[0], [36], [12], [-60]]], 0, 13824, [], [] >,
< [ -1, 1 ], [[31752]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [9], [3], [-15]], [[0], [0], [21], [0]], [[0], [18], [6], [12]]], [[[1], [0], [0], [0]], [[0], [9], [3], [6]], [[0], [9], [3], [-15]], [[0], [9], [-39], [6]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[112896]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [6], [6]], [[0], [8], [6], [-22]], [[0], [16], [-30], [-2]]], [[[1], [0], [0], [0]], [[0], [10], [-3], [-3]], [[0], [8], [6], [6]], [[0], [6], [57], [-55]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[3528]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-3], [3]], [[0], [1], [-9/2], [-5/2]], [[0], [8], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [12/5], [-3/10], [-11/10]], [[0], [17/5], [57/10], [69/10]], [[0], [11/5], [-99/10], [57/10]]], 1, 192, [], [] >,
< [ -1, 1 ], [[28224]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-9], [-5]], [[0], [14], [0], [0]], [[0], [2], [12], [-12]]], [[[1], [0], [0], [0]], [[0], [48/5], [-6/5], [-22/5]], [[0], [28/5], [-21/5], [63/5]], [[0], [6/5], [78/5], [6/5]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[28224]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-9], [-5]], [[0], [8], [6], [-6]], [[0], [10], [-3], [17]]], [[[1], [0], [0], [0]], [[0], [48/5], [-6/5], [-22/5]], [[0], [4/5], [-18/5], [74/5]], [[0], [6], [15], [-1]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[28224]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-4], [-16]], [[0], [18], [12], [6]], [[0], [6], [18], [-12]]], [[[1], [0], [0], [0]], [[0], [64/5], [2], [-2/5]], [[0], [38/5], [-8], [-34/5]], [[0], [28/5], [-28], [196/5]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[141120]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-5]], [[0], [0], [6], [4]], [[0], [28], [0], [0]]], [[[1], [0], [0], [0]], [[0], [56/11], [-3/11], [19/11]], [[0], [28/11], [-84/11], [-84/11]], [[0], [84/11], [144/11], [-142/11]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[564480]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-12], [16]], [[0], [32], [18], [-10]], [[0], [8], [36], [36]]], [[[1], [0], [0], [0]], [[0], [2], [9], [9]], [[0], [46], [-3], [-3]], [[0], [16], [-54], [58]]], 0, 36864, [], [] >,
< [ -1, 1 ], [[310464]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [10], [0], [2]], [[0], [2], [-42], [4]]], [[[1], [0], [0], [0]], [[0], [16/5], [0], [12/5]], [[0], [74/5], [0], [-82/5]], [[0], [6/5], [42], [-8/5]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[3415104]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [22], [0], [22]], [[0], [22], [0], [-22]], [[0], [12], [-42], [6]]], [[[1], [0], [0], [0]], [[0], [154/5], [0], [-22/5]], [[0], [22/5], [0], [154/5]], [[0], [6/5], [42], [-8/5]]], 0, 184320, [], [] >,
< [ -1, 1 ], [[197568]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [0], [14]], [[0], [2], [-42], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [14], [0], [14]], [[0], [8], [42], [6]]], 0, 10752, [], [] >,
< [ -1, 1 ], [[790272]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-14], [-10]], [[0], [24], [0], [24]], [[0], [16], [28], [-40]]], [[[1], [0], [0], [0]], [[0], [4], [-14], [14]], [[0], [24], [0], [0]], [[0], [12], [42], [42]]], 0, 43008, [], [] >,
< [ -1, 1 ], [[197568]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [22], [12], [-18]], [[0], [24], [-6], [30]], [[0], [14], [-42], [0]]], [[[1], [0], [0], [0]], [[0], [12], [-10], [-6]], [[0], [12], [4], [36]], [[0], [54], [60], [-6]]], 0, 8064, [], [] >,
< [ -1, 1 ], [[1778112]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [36], [-30], [-18]], [[0], [54], [60], [-6]], [[0], [36], [12], [108]]], [[[1], [0], [0], [0]], [[0], [60], [-36], [12]], [[0], [12], [18], [78]], [[0], [18], [90], [12]]], 0, 96768, [], [] >,
< [ -1, 1 ], [[197568]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-12], [18]], [[0], [8], [-30], [-18]], [[0], [58], [24], [6]]], [[[1], [0], [0], [0]], [[0], [6], [-12], [18]], [[0], [24], [-6], [2]], [[0], [24], [78], [58]]], 0, 8064, [], [] >,
< [ -1, 1 ], [[1778112]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [-36], [54]], [[0], [72], [-18], [6]], [[0], [48], [72], [60]]], [[[1], [0], [0], [0]], [[0], [6], [-12], [18]], [[0], [18], [-78], [-72]], [[0], [168], [84], [0]]], 0, 96768, [], [] >,
< [ -1, 1 ], [[518400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15], [-6], [-9]], [[0], [15], [-6], [15]], [[0], [15], [30], [-9]]], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [15], [-6], [3]], [[0], [30], [60], [6]]], 0, 27648, [], [] >,
< [ -1, 1 ], [[518400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [0], [0], [24]], [[0], [45], [6], [9]]], [[[1], [0], [0], [0]], [[0], [15], [18], [3]], [[0], [15], [-18], [3]], [[0], [0], [12], [-24]]], 0, 27648, [], [] >,
< [ -1, 1 ], [[57600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [2], [-7]], [[0], [0], [12], [0]], [[0], [10], [4], [10]]], [[[1], [0], [0], [0]], [[0], [5], [-2], [1]], [[0], [5], [10], [1]], [[0], [5], [-2], [-23]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[57600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [2], [-3]], [[0], [5], [-10], [-3]], [[0], [10], [4], [18]]], [[[1], [0], [0], [0]], [[0], [5], [-10], [-3]], [[0], [0], [0], [12]], [[0], [10], [4], [6]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[16200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [0], [9], [0]], [[0], [15], [3], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [9]], [[0], [15], [0], [0]]], 0, 864, [], [] >,
< [ -1, 1 ], [[129600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [15], [-6], [3]], [[0], [15], [30], [3]]], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [15], [6], [-9]], [[0], [15], [-6], [9]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[129600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [15], [12], [3]], [[0], [15], [-24], [3]]], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [15], [0], [9]], [[0], [15], [0], [-9]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[129600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [15], [-6], [-3]], [[0], [15], [12], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [15], [0], [9]], [[0], [15], [0], [-27]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[14400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [5], [4], [3]], [[0], [5], [-8], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [12], [0]], [[0], [15], [0], [1]]], 0, 576, [], [] >,
< [ -1, 1 ], [[14400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [5], [-2], [3]], [[0], [5], [10], [3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [12], [0]], [[0], [15], [6], [1]]], 0, 576, [], [] >,
< [ -1, 1 ], [[14400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [5], [-2], [3]], [[0], [5], [-2], [-9]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [6], [0]], [[0], [15], [0], [-1]]], 0, 576, [], [] >,
< [ -1, 1 ], [[1800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [3]], [[0], [5], [1], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [3], [0]], [[0], [15], [0], [0]]], 1, 72, [], [] >,
< [ -1, 1 ], [[48600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [9/2]], [[0], [0], [6], [0]], [[0], [15], [3/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [9]], [[0], [15], [0], [3]]], 0, 2592, [], [] >,
< [ -1, 1 ], [[388800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-9]], [[0], [0], [12], [0]], [[0], [30], [3], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [18]], [[0], [30], [-3], [-3]]], 0, 20736, [], [] >,
< [ -1, 1 ], [[43200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [3], [-3]], [[0], [20], [2], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [1], [-3]], [[0], [60], [0], [0]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[57600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [6], [-7]], [[0], [5], [-6], [-7]], [[0], [10], [0], [10]]], [[[1], [0], [0], [0]], [[0], [5], [6], [-1]], [[0], [5], [-6], [-1]], [[0], [0], [0], [24]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[14400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [15/2], [-1], [-1/2]], [[0], [0], [6], [6]]], [[[1], [0], [0], [0]], [[0], [30/7], [-2], [-4/7]], [[0], [45/14], [5], [-55/14]], [[0], [45/14], [3], [141/14]]], 0, 768, [], [] >,
< [ -1, 1 ], [[14400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [15/2], [-1], [-1/2]], [[0], [0], [8], [4]]], [[[1], [0], [0], [0]], [[0], [15/14], [5], [47/14]], [[0], [15/14], [-7], [47/14]], [[0], [15/2], [3], [-9/2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[1800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [15/4], [-1/2], [-1/4]], [[0], [0], [6], [6]]], [[[1], [0], [0], [0]], [[0], [75/28], [3/2], [39/28]], [[0], [15/28], [-7/2], [47/28]], [[0], [15/4], [3/2], [-9/4]]], 1, 96, [], [] >,
< [ -1, 1 ], [[129600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-18]], [[0], [30], [30], [0]], [[0], [30], [-30], [0]]], [[[1], [0], [0], [0]], [[0], [0], [18], [6]], [[0], [0], [6], [-18]], [[0], [90], [12], [-6]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[129600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-18]], [[0], [30], [6], [12]], [[0], [30], [-42], [-24]]], [[[1], [0], [0], [0]], [[0], [0], [24], [-12]], [[0], [30], [-12], [6]], [[0], [0], [30], [30]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[14400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [0], [18], [6]], [[0], [30], [8], [6]]], [[[1], [0], [0], [0]], [[0], [10], [12], [-6]], [[0], [10], [6], [12]], [[0], [10], [-12], [6]]], 0, 576, [], [] >,
< [ -1, 1 ], [[14400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [6], [-8]], [[0], [10], [0], [10]], [[0], [0], [18], [6]]], [[[1], [0], [0], [0]], [[0], [0], [8], [-4]], [[0], [0], [2], [14]], [[0], [30], [4], [-2]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[1555200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [30], [-30]], [[0], [48], [30], [6]], [[0], [24], [-30], [-42]]], [[[1], [0], [0], [0]], [[0], [0], [30], [30]], [[0], [0], [30], [-30]], [[0], [72], [0], [24]]], 0, 82944, [], [] >,
< [ -1, 1 ], [[57600]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [4]], [[0], [4], [0], [-12]], [[0], [4], [-30], [-2]]], [[[1], [0], [0], [0]], [[0], [8], [0], [-4]], [[0], [8], [0], [16]], [[0], [4], [30], [-2]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[3600]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [4]], [[0], [3], [0], [-4]], [[1/2], [1/2], [-15], [1]]], [[[1], [0], [0], [0]], [[1/2], [5/2], [0], [0]], [[1/2], [1/2], [0], [-4]], [[0], [1], [30], [2]]], 1, 128, [], [] >,
< [ -1, 1 ], [[14400]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [0], [0]], [[0], [6], [-3], [-9]], [[0], [4], [-12], [4]]], [[[1], [0], [0], [0]], [[0], [26/7], [-18/7], [-2]], [[0], [34/7], [33/7], [-3]], [[0], [120/7], [30/7], [30]]], 0, 768, [], [] >,
< [ -1, 1 ], [[14400]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [6], [-2]], [[0], [6], [-3], [-9]], [[0], [4], [-12], [4]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [52/7], [-36/7], [-4]], [[0], [86/7], [-3/7], [13]]], 0, 768, [], [] >,
< [ -1, 1 ], [[14400]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [6], [-2]], [[0], [4], [3], [9]], [[0], [4], [-12], [4]]], [[[1], [0], [0], [0]], [[0], [26/7], [-18/7], [-2]], [[0], [6], [12], [-4]], [[0], [60/7], [15/7], [15]]], 0, 768, [], [] >,
< [ -1, 1 ], [[1800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3], [1]], [[0], [3], [-3/2], [-9/2]], [[0], [6], [9/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [17/7], [33/14], [-3/2]], [[0], [26/7], [-18/7], [-2]], [[0], [30/7], [15/14], [15/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[388800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-12], [-30]], [[0], [0], [30], [-30]], [[0], [72], [6], [30]]], [[[1], [0], [0], [0]], [[0], [24], [12], [0]], [[0], [6], [-12], [-30]], [[0], [60], [-90], [30]]], 0, 20736, [], [] >,
< [ -1, 1 ], [[388800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [30], [-30], [0]], [[0], [30], [0], [-30]], [[0], [42], [36], [30]]], [[[1], [0], [0], [0]], [[0], [24], [12], [0]], [[0], [18], [-6], [60]], [[0], [12], [-54], [-30]]], 0, 20736, [], [] >,
< [ -1, 1 ], [[14400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [6], [0]], [[0], [6], [-12], [0]], [[0], [2], [-4], [20]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [4], [-8], [10]], [[0], [24], [12], [0]]], 0, 768, [], [] >,
< [ -1, 1 ], [[1800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [0]], [[0], [7], [1], [-5]], [[0], [5], [5], [5]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[0], [6], [3], [0]], [[0], [5], [-10], [5]]], 1, 96, [], [] >,
< [ -1, 1 ], [[907200]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [15], [-12], [3]], [[0], [15], [24], [3]]], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [15], [0], [9]], [[0], [15], [0], [-9]]], 0, 41472, [], [] >,
< [ -1, 1 ], [[100800]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [5], [-4], [-3]], [[0], [5], [8], [3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [12], [0]], [[0], [15], [0], [-1]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[403200]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [60], [2], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [8], [0]], [[0], [30], [4], [-2]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[100800]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [4], [4]], [[0], [15], [0], [-3]]], [[[1], [0], [0], [0]], [[0], [15/11], [8/11], [-13/11]], [[0], [75/11], [-4/11], [89/11]], [[0], [75/11], [-180/11], [-21/11]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[100800]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-2]], [[0], [2], [0], [6]], [[0], [4], [30], [2]]], [[[1], [0], [0], [0]], [[0], [2], [60/11], [6/11]], [[0], [2], [-30/11], [-124/11]], [[0], [18], [-60/11], [-6/11]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[100800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-5]], [[0], [0], [6], [4]], [[0], [20], [0], [0]]], [[[1], [0], [0], [0]], [[0], [60/11], [51/11], [-15/11]], [[0], [40/11], [12/11], [78/11]], [[0], [80/11], [-141/11], [-31/11]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[403200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [18], [6]], [[0], [16], [-12], [16]], [[0], [24], [-18], [-46]]], [[[1], [0], [0], [0]], [[0], [18], [9], [-7]], [[0], [14], [-3], [29]], [[0], [22], [-39], [-23]]], 0, 24576, [], [] >,
< [ -1, 1 ], [[158400]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [2]], [[0], [2], [6], [8]], [[0], [4], [12], [-4]]], [[[1], [0], [0], [0]], [[0], [46/7], [-12/7], [2]], [[0], [38/7], [54/7], [-4]], [[0], [8/7], [-66/7], [-14]]], 0, 7680, [], [] >,
< [ -1, 1 ], [[158400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [0], [6], [20]], [[0], [20], [3], [7]]], [[[1], [0], [0], [0]], [[0], [0], [6/7], [-24/7]], [[0], [0], [129/7], [23/7]], [[0], [20], [-24/7], [-2/7]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[187200]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [6], [5], [3]], [[0], [6], [-5], [3]], [[0], [0], [0], [10]]], [[[1], [0], [0], [0]], [[0], [30/7], [5/7], [-15/7]], [[0], [6/7], [-55/7], [-17/7]], [[0], [6], [-5], [13]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[244800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [20], [-21], [-1]], [[0], [20], [30], [0]]], [[[1], [0], [0], [0]], [[0], [0], [51/7], [-41/7]], [[0], [0], [51/7], [57/7]], [[0], [20], [6/7], [24/7]]], 0, 13824, [], [] >,
< [ -1, 1 ], [[4161600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [20], [-21], [17]], [[0], [20], [-21], [-17]], [[0], [20], [30], [0]]], [[[1], [0], [0], [0]], [[0], [20], [57/7], [-17/7]], [[0], [20], [-96/7], [204/7]], [[0], [0], [255/7], [187/7]]], 0, 221184, [], [] >,
< [ -1, 1 ], [[2433600]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [10]], [[0], [12], [0], [-4]], [[0], [6], [65], [3]]], [[[1], [0], [0], [0]], [[0], [54/7], [65/7], [-13/7]], [[0], [30/7], [-65/7], [-155/7]], [[0], [144/7], [-130/7], [12/7]]], 0, 129024, [], [] >,
< [ -1, 1 ], [[1742400]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [0], [10]], [[0], [10], [0], [-10]], [[0], [2], [66], [8]]], [[[1], [0], [0], [0]], [[0], [8/7], [-66/7], [6]], [[0], [8/7], [-66/7], [-14]], [[0], [482/7], [66/7], [4]]], 0, 92160, [], [] >,
< [ -1, 1 ], [[1742400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [20], [6], [6]], [[0], [0], [0], [22]], [[0], [20], [-27], [-5]]], [[[1], [0], [0], [0]], [[0], [20], [-24/7], [-2/7]], [[0], [0], [99/7], [143/7]], [[0], [0], [165/7], [-121/7]]], 0, 92160, [], [] >,
< [ -1, 1 ], [[705600]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [0], [12], [0]], [[0], [35], [-4], [3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [12], [0]], [[0], [105], [0], [-1]]], 0, 27648, [], [] >,
< [ -1, 1 ], [[6350400]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [0], [36], [0]], [[0], [105], [-12], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [0], [0], [18]], [[0], [105], [0], [9]]], 0, 331776, [], [] >,
< [ -1, 1 ], [[2822400]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [28], [0]], [[0], [60], [14], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [30], [28], [-2]], [[0], [30], [-28], [-2]]], 0, 147456, [], [] >,
< [ -1, 1 ], [[705600]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [4], [4]], [[0], [105], [0], [3]]], [[[1], [0], [0], [0]], [[0], [105/11], [12/11], [63/11]], [[0], [105/11], [56/11], [-91/11]], [[0], [105/11], [-164/11], [-47/11]]], 0, 36864, [], [] >,
< [ -1, 1 ], [[705600]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-2]], [[0], [2], [0], [6]], [[0], [4], [210], [2]]], [[[1], [0], [0], [0]], [[0], [20], [0], [0]], [[0], [6], [0], [-22]], [[0], [10], [-210/11], [100/11]]], 0, 36864, [], [] >,
< [ -1, 1 ], [[705600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-5]], [[0], [0], [6], [4]], [[0], [140], [0], [0]]], [[[1], [0], [0], [0]], [[0], [140/11], [-90/11], [-46/11]], [[0], [140/11], [75/11], [141/11]], [[0], [140/11], [141/11], [-123/11]]], 0, 36864, [], [] >,
< [ -1, 1 ], [[2822400]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-12], [16]], [[0], [24], [-18], [-46]], [[0], [96], [138], [26]]], [[[1], [0], [0], [0]], [[0], [50], [15], [15]], [[0], [40], [-30], [-30]], [[0], [14], [-63], [49]]], 0, 147456, [], [] >,
< [ -1, 1 ], [[288000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15], [-6], [3]], [[0], [5], [10], [-15]], [[0], [5], [22], [9]]], [[[1], [0], [0], [0]], [[0], [5], [2], [9]], [[0], [10], [-8], [-6]], [[0], [15], [42], [-21]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[2592000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15], [6], [27]], [[0], [30], [-24], [-18]], [[0], [30], [36], [-18]]], [[[1], [0], [0], [0]], [[0], [15], [-6], [3]], [[0], [15], [30], [-45]], [[0], [15], [66], [27]]], 0, 138240, [], [] >,
< [ -1, 1 ], [[288000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [12], [8]], [[0], [15], [-6], [11]], [[0], [15], [6], [-21]]], [[[1], [0], [0], [0]], [[0], [10], [-4], [-6]], [[0], [5], [-14], [9]], [[0], [25], [14], [21]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[2592000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [30], [-12], [-18]], [[0], [30], [24], [6]], [[0], [15], [-42], [27]]], [[[1], [0], [0], [0]], [[0], [15], [6], [-21]], [[0], [0], [36], [24]], [[0], [45], [-18], [33]]], 0, 138240, [], [] >,
< [ -1, 1 ], [[9000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [5], [0], [0]], [[0], [0], [15/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [5], [0], [0]], [[0], [0], [15], [0]]], 1, 480, [], [] >,
< [ -1, 1 ], [[72000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [10], [0], [-2]], [[0], [0], [15], [1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [10], [15], [-1]], [[0], [10], [-15], [1]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[1944000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [15], [-3]], [[0], [0], [0], [18]], [[0], [60], [0], [6]]], [[[1], [0], [0], [0]], [[0], [0], [15], [9]], [[0], [0], [15], [-9]], [[0], [60], [0], [-6]]], 0, 103680, [], [] >,
< [ -1, 1 ], [[9000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [5/2]], [[0], [5], [0], [0]], [[0], [0], [9/2], [-5/2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [5], [0], [0]], [[0], [0], [0], [5]]], 1, 480, [], [] >,
< [ -1, 1 ], [[72000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [5]], [[0], [0], [9], [-5]], [[0], [10], [3], [-5]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [10]], [[0], [10], [3], [-5]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[1944000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [15]], [[0], [0], [18], [0]], [[0], [60], [6], [0]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [3], [-45]], [[0], [60], [-3], [-15]]], 0, 103680, [], [] >,
< [ -1, 1 ], [[72000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [14], [18]], [[0], [0], [24], [-12]], [[0], [30], [12], [-6]]], [[[1], [0], [0], [0]], [[0], [10], [12], [-6]], [[0], [10], [-12], [6]], [[0], [10], [30], [60]]], 0, 2880, [], [] >,
< [ -1, 1 ], [[648000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [30], [36], [-18]], [[0], [30], [-36], [18]], [[0], [0], [42], [54]]], [[[1], [0], [0], [0]], [[0], [0], [24], [-12]], [[0], [0], [18], [66]], [[0], [90], [12], [-6]]], 0, 34560, [], [] >,
< [ -1, 1 ], [[288000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-4]], [[0], [24], [30], [38]], [[0], [16], [-30], [42]]], [[[1], [0], [0], [0]], [[0], [8], [0], [16]], [[0], [24], [-30], [-2]], [[0], [16], [30], [-18]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[288000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [4]], [[0], [8], [30], [-14]], [[0], [12], [-30], [-46]]], [[[1], [0], [0], [0]], [[0], [24], [0], [8]], [[0], [16], [0], [-28]], [[0], [4], [30], [18]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[9000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-9/2], [-7/2]], [[0], [5], [15/2], [5/2]], [[0], [6], [-3], [11]]], [[[1], [0], [0], [0]], [[0], [17/7], [33/14], [-3/2]], [[0], [30/7], [15/14], [15/2]], [[0], [96/7], [-123/7], [-7]]], 1, 480, [], [] >,
< [ -1, 1 ], [[72000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [15], [5]], [[0], [14], [-12], [4]], [[0], [2], [-6], [-18]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [96/7], [-123/7], [-7]], [[0], [120/7], [30/7], [30]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[72000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [11]], [[0], [10], [15], [5]], [[0], [26], [-3], [-9]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [156/7], [-108/7], [8]], [[0], [36/7], [-138/7], [-22]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[72000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [11]], [[0], [8], [-9], [-7]], [[0], [22], [24], [-8]]], [[[1], [0], [0], [0]], [[0], [68/7], [66/7], [-6]], [[0], [60/7], [15/7], [15]], [[0], [62/7], [-156/7], [-4]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[72000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-20], [10]], [[0], [24], [12], [0]], [[0], [22], [-14], [-20]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [10], [-20], [10]], [[0], [64], [22], [10]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[9000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-1], [5]], [[0], [5], [-10], [-10]], [[0], [11], [8], [-10]]], [[[1], [0], [0], [0]], [[0], [5], [-10], [5]], [[0], [8], [-1], [-10]], [[0], [11], [8], [5]]], 1, 480, [], [] >,
< [ -1, 1 ], [[72000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-2], [10]], [[0], [16], [-2], [-20]], [[0], [12], [36], [0]]], [[[1], [0], [0], [0]], [[0], [10], [-20], [10]], [[0], [0], [0], [30]], [[0], [32], [-4], [-10]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[1944000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [18], [-60]], [[0], [66], [48], [30]], [[0], [84], [-48], [0]]], [[[1], [0], [0], [0]], [[0], [54], [12], [-30]], [[0], [12], [36], [60]], [[0], [78], [-66], [60]]], 0, 103680, [], [] >,
< [ -1, 1 ], [[504000]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-2]], [[0], [10], [0], [30]], [[0], [2], [30], [16]]], [[[1], [0], [0], [0]], [[0], [4], [30/11], [-118/11]], [[0], [18], [-60/11], [-6/11]], [[0], [6], [270/11], [148/11]]], 0, 23040, [], [] >,
< [ -1, 1 ], [[3528000]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [6]], [[0], [30], [0], [-10]], [[0], [16], [210], [-2]]], [[[1], [0], [0], [0]], [[0], [24], [210/11], [142/11]], [[0], [26], [0], [-22]], [[0], [0], [420/11], [-200/11]]], 0, 184320, [], [] >,
< [ -1, 1 ], [[46656]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [6], [0]], [[0], [0], [18], [18]], [[0], [0], [18], [-18]]], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [18], [-6], [0]], [[0], [0], [6], [54]]], 0, 2592, [], [] >,
< [ -1, 1 ], [[46656]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [-6], [0]], [[0], [0], [6], [18]], [[0], [0], [30], [-18]]], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [18], [0], [18]], [[0], [36], [6], [-18]]], 0, 2592, [], [] >,
< [ -1, 1 ], [[46656]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [18], [6]], [[0], [12], [-18], [6]], [[0], [18], [0], [-18]]], [[[1], [0], [0], [0]], [[0], [6], [0], [-6]], [[0], [0], [36], [0]], [[0], [24], [18], [30]]], 0, 2592, [], [] >,
< [ -1, 1 ], [[46656]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [18], [6]], [[0], [6], [-18], [12]], [[0], [18], [0], [-18]]], [[[1], [0], [0], [0]], [[0], [6], [0], [-6]], [[0], [18], [0], [18]], [[0], [6], [54], [12]]], 0, 2592, [], [] >,
< [ -1, 1 ], [[186624]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [18], [-6]], [[0], [24], [0], [-12]], [[0], [24], [0], [24]]], [[[1], [0], [0], [0]], [[0], [0], [18], [-6]], [[0], [24], [0], [0]], [[0], [0], [18], [30]]], 0, 10368, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [6], [2]], [[0], [24], [0], [0]]], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [6], [-6]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-2]], [[0], [0], [0], [8]], [[0], [12], [0], [4]]], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [4], [6], [-6]], [[0], [4], [-6], [-6]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [4], [0], [4]], [[0], [0], [24], [0]]], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [0], [-8]], [[0], [2], [12], [-4]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [10], [0], [4]], [[0], [0], [12], [0]]], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [2], [0], [8]], [[0], [0], [12], [0]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [4]], [[0], [6], [0], [0]], [[0], [1], [6], [-2]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [1], [6], [-2]], [[0], [1], [0], [-8]]], 0, 96, [], [] >,
< [ -1, 1 ], [[432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[1/2], [-1/2], [-3], [1]], [[0], [1], [0], [4]]], [[[1], [0], [0], [0]], [[1/2], [3/2], [0], [0]], [[1/2], [-1/2], [0], [4]], [[1/2], [-1/2], [-6], [-2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [5], [0], [2]], [[0], [0], [12], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [4], [0], [4]], [[0], [3], [-6], [0]]], 0, 96, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [2], [-6], [6]], [[0], [16], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [6], [6], [-6]], [[0], [10], [-6], [6]]], 0, 768, [], [] >,
< [ -1, 1 ], [[3456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-6], [0]], [[0], [1], [0], [6]], [[0], [8], [0], [0]]], [[[1], [0], [0], [0]], [[0], [3], [6], [0]], [[0], [3], [0], [-6]], [[0], [5], [0], [6]]], 0, 192, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [12], [-12]]], 0, 96, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [4], [12], [4]], [[0], [16], [-6], [10]]], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [10], [-6], [-2]], [[0], [6], [0], [12]]], 0, 768, [], [] >,
< [ -1, 1 ], [[46656]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [12], [-6]], [[0], [0], [18], [18]], [[0], [30], [-12], [6]]], [[[1], [0], [0], [0]], [[0], [6], [12], [-6]], [[0], [12], [-12], [-12]], [[0], [24], [-6], [30]]], 0, 2592, [], [] >,
< [ -1, 1 ], [[1080]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-1/2]], [[0], [0], [0], [2]], [[0], [3], [0], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [3]]], 1, 48, [], [] >,
< [ -1, 1 ], [[8640]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [1]], [[0], [12], [0], [0]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [3], [-3]]], 0, 384, [], [] >,
< [ -1, 1 ], [[8640]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [0], [0], [4]], [[0], [6], [0], [2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [3], [-3]], [[0], [2], [-3], [-3]]], 0, 384, [], [] >,
< [ -1, 1 ], [[233280]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9], [-3]], [[0], [12], [0], [-6]], [[0], [12], [0], [12]]], [[[1], [0], [0], [0]], [[0], [0], [9], [-3]], [[0], [12], [0], [0]], [[0], [0], [9], [15]]], 0, 10368, [], [] >,
< [ -1, 1 ], [[34560]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [7], [6], [-5]], [[0], [7], [-6], [-5]]], [[[1], [0], [0], [0]], [[0], [5], [6], [-1]], [[0], [5], [-6], [-1]], [[0], [2], [0], [14]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[34560]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [0], [12], [0]], [[0], [17], [6], [-19]]], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [0], [12], [0]], [[0], [7], [-6], [-11]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[1080]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [3/4], [3/2], [3/4]], [[0], [39/4], [-7/2], [-13/4]]], [[[1], [0], [0], [0]], [[0], [33/28], [-5/2], [25/28]], [[0], [3/7], [-1], [-20/7]], [[0], [75/28], [3/2], [39/28]]], 1, 48, [], [] >,
< [ -1, 1 ], [[8640]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[0], [0], [4], [-4]], [[0], [9], [-4], [-5]]], [[[1], [0], [0], [0]], [[0], [27/14], [3], [-33/14]], [[0], [30/7], [-2], [-4/7]], [[0], [9/2], [5], [17/2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[8640]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[0], [0], [4], [-4]], [[0], [21/2], [-3], [-3/2]]], [[[1], [0], [0], [0]], [[0], [33/14], [-5], [25/14]], [[0], [15/14], [5], [47/14]], [[0], [87/14], [1], [-41/14]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1080]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/4], [3/2], [3/4]], [[0], [3], [-2], [-1]], [[0], [3/4], [-3/2], [15/4]]], [[[1], [0], [0], [0]], [[0], [9/14], [1], [-11/14]], [[0], [57/28], [1/2], [61/28]], [[0], [57/14], [-4], [-37/14]]], 1, 48, [], [] >,
< [ -1, 1 ], [[8640]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[0], [6], [-4], [-2]], [[0], [3], [4], [-7]]], [[[1], [0], [0], [0]], [[0], [9/14], [1], [-11/14]], [[0], [57/7], [2], [61/7]], [[0], [24/7], [-10], [-62/7]]], 0, 384, [], [] >,
< [ -1, 1 ], [[8640]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[0], [3], [-2], [-1]], [[0], [3/2], [7], [-29/2]]], [[[1], [0], [0], [0]], [[0], [9/7], [2], [-11/7]], [[0], [24/7], [0], [36/7]], [[0], [15/2], [-9], [-9/2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[34560]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-4]], [[0], [0], [12], [0]], [[0], [16], [6], [22]]], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [16], [-6], [2]], [[0], [8], [-6], [-14]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[34560]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [6]], [[0], [4], [0], [-12]], [[0], [8], [18], [6]]], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [12], [6], [-6]], [[0], [4], [6], [18]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[1080]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [3/2]], [[0], [3], [9/2], [3/2]], [[0], [3], [-3/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [6/7], [3/14], [3/2]], [[0], [9/7], [-69/14], [-1/2]], [[0], [60/7], [15/7], [-5]]], 1, 72, [], [] >,
< [ -1, 1 ], [[8640]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [6], [-6]], [[0], [10], [0], [0]], [[0], [4], [3], [9]]], [[[1], [0], [0], [0]], [[0], [24/7], [6/7], [6]], [[0], [60/7], [15/7], [-5]], [[0], [18/7], [-69/7], [-1]]], 0, 576, [], [] >,
< [ -1, 1 ], [[8640]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [-3]], [[0], [0], [6], [6]], [[0], [8], [-6], [6]]], [[[1], [0], [0], [0]], [[0], [24/7], [6/7], [6]], [[0], [18/7], [-69/7], [-1]], [[0], [48/7], [12/7], [-8]]], 0, 576, [], [] >,
< [ -1, 1 ], [[8640]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [3]], [[0], [6], [3], [-3]], [[0], [0], [12], [12]]], [[[1], [0], [0], [0]], [[0], [12/7], [3/7], [3]], [[0], [6], [12], [-4]], [[0], [78/7], [-54/7], [-6]]], 0, 576, [], [] >,
< [ -1, 1 ], [[1080]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-1]], [[0], [7], [1], [4]], [[0], [5], [5], [-4]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[0], [6], [3], [0]], [[0], [3], [-6], [3]]], 1, 72, [], [] >,
< [ -1, 1 ], [[8640]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [-2]], [[0], [12], [6], [0]], [[0], [0], [0], [18]]], [[[1], [0], [0], [0]], [[0], [4], [-8], [-2]], [[0], [2], [-4], [8]], [[0], [24], [12], [0]]], 0, 576, [], [] >,
< [ -1, 1 ], [[1080]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [7], [1], [1]], [[0], [1], [-2], [-8]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [6], [3], [0]], [[0], [3], [-6], [-15]]], 1, 72, [], [] >,
< [ -1, 1 ], [[8640]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [4]], [[0], [12], [6], [0]], [[0], [2], [-4], [-16]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [4], [-8], [-14]], [[0], [24], [12], [0]]], 0, 576, [], [] >,
< [ -1, 1 ], [[1512]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[0], [2], [0], [-2]], [[0], [1], [3], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [0], [3], [0]], [[0], [3], [0], [3]]], 1, 72, [], [] >,
< [ -1, 1 ], [[12096]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [4]], [[0], [4], [0], [-4]], [[0], [0], [6], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [4], [0], [2]], [[0], [0], [12], [0]]], 0, 576, [], [] >,
< [ -1, 1 ], [[48384]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [12], [-6], [6]], [[0], [4], [10], [-10]]], [[[1], [0], [0], [0]], [[0], [8], [2], [-2]], [[0], [4], [-2], [14]], [[0], [4], [-14], [2]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[48384]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [8], [8], [-8]], [[0], [8], [-10], [10]]], [[[1], [0], [0], [0]], [[0], [4], [10], [2]], [[0], [4], [-2], [-10]], [[0], [16], [-2], [2]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[1512]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [2], [-2], [-2]], [[0], [7], [2], [2]]], [[[1], [0], [0], [0]], [[0], [7/5], [1], [-1/5]], [[0], [3/5], [-3/2], [-33/10]], [[0], [24/5], [-6], [18/5]]], 1, 72, [], [] >,
< [ -1, 1 ], [[12096]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [4], [-4], [-4]], [[0], [12], [6], [6]]], [[[1], [0], [0], [0]], [[0], [28/5], [4], [-4/5]], [[0], [4], [-1], [-7]], [[0], [24/5], [-6], [18/5]]], 0, 576, [], [] >,
< [ -1, 1 ], [[12096]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [0], [3], [-3]], [[0], [24], [12], [12]]], [[[1], [0], [0], [0]], [[0], [28/5], [4], [-4/5]], [[0], [8/5], [5], [31/5]], [[0], [2], [-8], [4]]], 0, 576, [], [] >,
< [ -1, 1 ], [[12096]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [0], [6], [-6]], [[0], [12], [9], [3]]], [[[1], [0], [0], [0]], [[0], [28/5], [4], [-4/5]], [[0], [6/5], [-3], [-33/5]], [[0], [2], [-8], [4]]], 0, 576, [], [] >,
< [ -1, 1 ], [[1512]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [1], [2], [2]], [[0], [8], [-2], [-2]]], [[[1], [0], [0], [0]], [[0], [8/5], [1/2], [-13/10]], [[0], [1], [2], [2]], [[0], [24/5], [-6], [18/5]]], 1, 72, [], [] >,
< [ -1, 1 ], [[12096]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [8], [-2], [-2]], [[0], [4], [8], [8]]], [[[1], [0], [0], [0]], [[0], [16/5], [1], [-13/5]], [[0], [24/5], [-6], [18/5]], [[0], [4], [8], [8]]], 0, 576, [], [] >,
< [ -1, 1 ], [[12096]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [10], [2], [2]], [[0], [6], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [16/5], [1], [-13/5]], [[0], [34/5], [-2], [38/5]], [[0], [14/5], [-10], [-2/5]]], 0, 576, [], [] >,
< [ -1, 1 ], [[12096]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [7], [1]], [[0], [2], [1], [7]], [[0], [8], [1], [-5]]], [[[1], [0], [0], [0]], [[0], [26/5], [5], [7/5]], [[0], [6/5], [-3], [-33/5]], [[0], [24/5], [-6], [18/5]]], 0, 576, [], [] >,
< [ -1, 1 ], [[241920]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [4], [-8]], [[0], [12], [-2], [-2]]], [[[1], [0], [0], [0]], [[0], [6], [4], [2]], [[0], [6], [-4], [-2]], [[0], [0], [8], [-8]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[60480]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [6], [0], [0]], [[0], [3], [4], [7]]], [[[1], [0], [0], [0]], [[0], [15/11], [8/11], [-13/11]], [[0], [42/11], [-4/11], [56/11]], [[0], [42/11], [-180/11], [-54/11]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[60480]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [6], [0], [0]], [[0], [3], [4], [-5]]], [[[1], [0], [0], [0]], [[0], [9/11], [-4/11], [23/11]], [[0], [54/11], [20/11], [-16/11]], [[0], [42/11], [-180/11], [-54/11]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[60480]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [2]], [[0], [4], [-6], [2]], [[0], [10], [0], [-10]]], [[[1], [0], [0], [0]], [[0], [4], [36/11], [52/11]], [[0], [6], [6/11], [-72/11]], [[0], [8], [-102/11], [14/11]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[48384]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [10]], [[0], [8], [12], [4]], [[0], [16], [-6], [-10]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-13]], [[0], [10], [-15], [1]], [[0], [18], [3], [3]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[12096]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-12], [6]], [[0], [10], [10], [-8]], [[0], [2], [14], [8]]], [[[1], [0], [0], [0]], [[0], [4/5], [-4], [28/5]], [[0], [102/5], [-6], [-36/5]], [[0], [18], [12], [6]]], 0, 768, [], [] >,
< [ -1, 1 ], [[12096]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [18], [12], [6]], [[0], [20], [2], [-22]]], [[[1], [0], [0], [0]], [[0], [38/5], [-8], [-34/5]], [[0], [26/5], [10], [32/5]], [[0], [12/5], [-12], [84/5]]], 0, 768, [], [] >,
< [ -1, 1 ], [[19008]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [-6], [0]], [[0], [2], [0], [6]]], [[[1], [0], [0], [0]], [[0], [6/5], [-12/5], [14/5]], [[0], [18/5], [24/5], [2/5]], [[0], [24/5], [-18/5], [-14/5]]], 0, 960, [], [] >,
< [ -1, 1 ], [[95040]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [0]], [[0], [0], [6], [6]], [[0], [8], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [12/7], [48/7], [0]], [[0], [20/7], [-18/7], [6]], [[0], [14], [0], [-6]]], 0, 5760, [], [] >,
< [ -1, 1 ], [[76032]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [12], [4]], [[0], [8], [0], [-20]], [[0], [8], [-18], [10]]], [[[1], [0], [0], [0]], [[0], [8], [-6], [-10]], [[0], [16], [0], [4]], [[0], [8], [24], [-16]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[19008]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-6]], [[0], [8], [-20], [8]], [[0], [22], [2], [16]]], [[[1], [0], [0], [0]], [[0], [14/5], [-4], [2/5]], [[0], [68/5], [14], [74/5]], [[0], [108/5], [12], [-156/5]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[19008]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-6]], [[0], [10], [8], [10]], [[0], [20], [-26], [14]]], [[[1], [0], [0], [0]], [[0], [46/5], [-2], [28/5]], [[0], [4/5], [10], [22/5]], [[0], [108/5], [12], [-156/5]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[22464]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [6]], [[0], [6], [1], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [6], [0]], [[0], [6], [3], [1]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[89856]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [5], [2], [-3]], [[0], [3], [-6], [3]], [[0], [7], [10], [15]]], [[[1], [0], [0], [0]], [[0], [3], [-6], [3]], [[0], [5/2], [1], [-15/2]], [[0], [19/2], [11], [15/2]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[89856]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [3]], [[0], [8], [8], [0]], [[0], [7], [-2], [-9]]], [[[1], [0], [0], [0]], [[0], [4], [4], [0]], [[0], [3], [-6], [3]], [[0], [13/2], [-7], [-39/2]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[22464]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-10], [8]], [[0], [16], [-2], [-14]], [[0], [10], [16], [10]]], [[[1], [0], [0], [0]], [[0], [58/5], [-44/5], [-10]], [[0], [28/5], [46/5], [14]], [[0], [12/5], [84/5], [-12]]], 0, 1344, [], [] >,
< [ -1, 1 ], [[22464]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-2], [4]], [[0], [8], [-10], [-10]], [[0], [14], [26], [-16]]], [[[1], [0], [0], [0]], [[0], [4/5], [28/5], [-4]], [[0], [144/5], [-42/5], [-6]], [[0], [114/5], [48/5], [18]]], 0, 1344, [], [] >,
< [ -1, 1 ], [[117504]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [24], [-6], [-6]], [[0], [16], [6], [30]]], [[[1], [0], [0], [0]], [[0], [6], [-9], [7]], [[0], [18], [3], [-13]], [[0], [18], [21], [21]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[29376]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-2], [-8]], [[0], [8], [20], [8]], [[0], [16], [-2], [22]]], [[[1], [0], [0], [0]], [[0], [0], [42/5], [-6/5]], [[0], [28], [-4/5], [-28/5]], [[0], [6], [0], [30]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[29376]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [14], [8]], [[0], [16], [4], [-8]], [[0], [20], [-10], [14]]], [[[1], [0], [0], [0]], [[0], [0], [42/5], [-6/5]], [[0], [2], [-14/5], [52/5]], [[0], [84], [-12/5], [-84/5]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[32832]], [ -19 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [3], [-3]], [[0], [12], [0], [0]]], [[[1], [0], [0], [0]], [[0], [12/5], [12/5], [0]], [[0], [12/5], [-13/5], [1]], [[0], [0], [0], [6]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[131328]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [8], [8], [-8]], [[0], [8], [-10], [10]]], [[[1], [0], [0], [0]], [[0], [4], [4], [-4]], [[0], [12], [-6], [6]], [[0], [6], [-15], [-9]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[131328]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [8], [-4], [4]], [[0], [8], [14], [-14]]], [[[1], [0], [0], [0]], [[0], [4], [-2], [2]], [[0], [2], [-13], [-11]], [[0], [12], [12], [-12]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[158976]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-6], [6]], [[0], [0], [24], [12]], [[0], [8], [12], [-24]]], [[[1], [0], [0], [0]], [[0], [10], [6], [0]], [[0], [2], [-6], [24]], [[0], [22], [-42], [0]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[39744]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-2], [14]], [[0], [2], [16], [2]], [[0], [30], [6], [-24]]], [[[1], [0], [0], [0]], [[0], [34/5], [38/5], [-4]], [[0], [64/5], [-52/5], [8]], [[0], [56/5], [-158/5], [-38]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[39744]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [2], [-8]], [[0], [6], [-18], [12]], [[0], [18], [12], [30]]], [[[1], [0], [0], [0]], [[0], [74/5], [-32/5], [-14]], [[0], [58/5], [56/5], [14]], [[0], [6], [-18], [12]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[50112]], [ -10 ], [ -174 ], [[[1], [0], [0], [0]], [[0], [3/5], [1], [2/5]], [[0], [6/5], [0], [-6/5]], [[0], [12/5], [-2], [8/5]]], [[[1], [0], [0], [0]], [[0], [9/25], [1], [16/25]], [[0], [6/5], [0], [-6/5]], [[0], [36/25], [-2], [64/25]]], 0, 2688, [], [] >,
< [ -1, 1 ], [[53568]], [ -10 ], [ -186 ], [[[1], [0], [0], [0]], [[0], [3/5], [-1], [1/5]], [[0], [9/5], [1], [-7/5]], [[0], [3/5], [1], [11/5]]], [[[1], [0], [0], [0]], [[0], [21/25], [-1], [-13/25]], [[0], [27/25], [1], [19/25]], [[0], [9/25], [1], [-77/25]]], 0, 2880, [], [] >,
< [ -1, 1 ], [[63936]], [ -222 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [12/13], [-18/13]], [[0], [1], [-18/13], [1/13]], [[0], [2], [12/13], [8/13]]], [[[0], [1/5], [6/65], [43/65]], [[1], [0], [0], [0]], [[0], [3/5], [-162/65], [9/65]], [[0], [3], [6/13], [-9/13]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[2365632]], [ -222 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-4]], [[0], [1], [-222/13], [-5/13]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [17/5], [222/65], [161/65]], [[0], [26/5], [-444/65], [68/65]]], 0, 131328, [], [] >,
< [ -1, 1 ], [[1660608]], [ -10 ], [ -186 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [0], [4], [2]], [[0], [93/5], [1], [1/5]]], [[[1], [0], [0], [0]], [[0], [93/25], [1], [121/25]], [[0], [93/25], [3], [-129/25]], [[0], [186/25], [-2], [-8/25]]], 0, 92160, [], [] >,
< [ -1, 1 ], [[1453248]], [ -10 ], [ -174 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [0], [4], [2]], [[0], [87/5], [1], [-2/5]]], [[[1], [0], [0], [0]], [[0], [87/25], [3], [-12/25]], [[0], [87/25], [-3], [-12/25]], [[0], [87/25], [1], [238/25]]], 0, 80640, [], [] >,
< [ -1, 1 ], [[3656448]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [6], [42]], [[0], [48], [36], [-24]], [[0], [80], [-78], [6]]], [[[1], [0], [0], [0]], [[0], [44], [-36], [24]], [[0], [48], [36], [-24]], [[0], [6], [-30], [-72]]], 0, 202752, [], [] >,
< [ -1, 1 ], [[914112]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [50], [-2]], [[0], [14], [-8], [50]], [[0], [76], [-4], [-44]]], [[[1], [0], [0], [0]], [[0], [16/5], [-88/5], [-28]], [[0], [278/5], [196/5], [-38]], [[0], [354/5], [-222/5], [36]]], 0, 50688, [], [] >,
< [ -1, 1 ], [[914112]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [14], [16]], [[0], [80], [-26], [-10]], [[0], [8], [94], [-70]]], [[[1], [0], [0], [0]], [[0], [298/5], [86/5], [-4]], [[0], [52/5], [-286/5], [-22]], [[0], [4/5], [-22/5], [62]]], 0, 50688, [], [] >,
< [ -1, 1 ], [[623808]], [ -19 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [12], [0], [0]], [[0], [0], [19], [1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [12/5], [-38/5], [-2]], [[0], [132/5], [57/5], [3]]], 0, 34560, [], [] >,
< [ -1, 1 ], [[2495232]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [0], [-12]], [[0], [24], [0], [24]], [[0], [8], [38], [10]]], [[[1], [0], [0], [0]], [[0], [14], [-19], [-5]], [[0], [22], [19], [5]], [[0], [10], [19], [-43]]], 0, 138240, [], [] >,
< [ -1, 1 ], [[2495232]], [ -19 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [0], [-12]], [[0], [24], [0], [24]], [[0], [16], [-38], [2]]], [[[1], [0], [0], [0]], [[0], [2], [-19], [-5]], [[0], [36], [0], [0]], [[0], [14], [-19], [43]]], 0, 138240, [], [] >,
< [ -1, 1 ], [[1997568]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-36]], [[0], [40], [0], [24]], [[0], [24], [-102], [-6]]], [[[1], [0], [0], [0]], [[0], [12], [0], [48]], [[0], [18], [51], [-13]], [[0], [60], [0], [-32]]], 0, 110592, [], [] >,
< [ -1, 1 ], [[499392]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [14], [20], [38]], [[0], [10], [-44], [-2]], [[0], [58], [10], [-32]]], [[[1], [0], [0], [0]], [[0], [28], [-4/5], [-28/5]], [[0], [12], [42/5], [294/5]], [[0], [6], [-336/5], [198/5]]], 0, 27648, [], [] >,
< [ -1, 1 ], [[499392]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [-24], [36]], [[0], [50], [-16], [-10]], [[0], [22], [46], [16]]], [[[1], [0], [0], [0]], [[0], [4], [14/5], [98/5]], [[0], [2], [-70], [20]], [[0], [84], [-12/5], [-84/5]]], 0, 27648, [], [] >,
< [ -1, 1 ], [[292032]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [12], [0], [0]], [[0], [6], [39], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [12], [0], [0]], [[0], [6], [-13], [3]]], 0, 16128, [], [] >,
< [ -1, 1 ], [[1168128]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [13], [-14], [-3]], [[0], [0], [0], [24]], [[0], [13], [22], [-3]]], [[[1], [0], [0], [0]], [[0], [13], [-14], [9]], [[0], [13/2], [-7], [-39/2]], [[0], [13], [22], [-3]]], 0, 64512, [], [] >,
< [ -1, 1 ], [[1168128]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [13], [-2], [-3]], [[0], [0], [0], [24]], [[0], [0], [36], [0]]], [[[1], [0], [0], [0]], [[0], [13/2], [17], [9/2]], [[0], [13], [-2], [21]], [[0], [26], [-4], [-6]]], 0, 64512, [], [] >,
< [ -1, 1 ], [[292032]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-18], [-24]], [[0], [2], [20], [-34]], [[0], [64], [16], [4]]], [[[1], [0], [0], [0]], [[0], [144/5], [-42/5], [-6]], [[0], [6], [-18], [-24]], [[0], [52/5], [364/5], [-52]]], 0, 16128, [], [] >,
< [ -1, 1 ], [[292032]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-18], [-24]], [[0], [40], [10], [22]], [[0], [20], [44], [-28]]], [[[1], [0], [0], [0]], [[0], [86/5], [2/5], [4]], [[0], [58/5], [-44/5], [-10]], [[0], [156/5], [1092/5], [-156]]], 0, 16128, [], [] >,
< [ -1, 1 ], [[209088]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [0], [-6]], [[0], [2], [66], [0]]], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [18/5], [-66/5], [12/5]], [[0], [12], [0], [-8]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[1045440]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [8], [0], [-12]], [[0], [0], [66], [6]]], [[[1], [0], [0], [0]], [[0], [8/7], [-66/7], [6]], [[0], [14], [0], [-6]], [[0], [74/7], [198/7], [36]]], 0, 69120, [], [] >,
< [ -1, 1 ], [[836352]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [-10]], [[0], [40], [36], [16]], [[0], [8], [-72], [56]]], [[[1], [0], [0], [0]], [[0], [8], [-6], [34]], [[0], [32], [-24], [4]], [[0], [16], [54], [2]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[209088]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [8], [10]], [[0], [50], [-26], [-16]], [[0], [26], [34], [-40]]], [[[1], [0], [0], [0]], [[0], [10], [8], [10]], [[0], [108/5], [12], [-156/5]], [[0], [206/5], [-70], [8/5]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[209088]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-20], [8]], [[0], [30], [24], [30]], [[0], [22], [-22], [-44]]], [[[1], [0], [0], [0]], [[0], [152/5], [-10], [86/5]], [[0], [2/5], [-34], [-64/5]], [[0], [108/5], [12], [-156/5]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[10584]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[0], [2], [0], [-2]], [[0], [1], [21], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [3], [0], [3]], [[0], [0], [21], [0]]], 1, 576, [], [] >,
< [ -1, 1 ], [[84672]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [4]], [[0], [4], [0], [-4]], [[0], [0], [42], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [4], [0], [2]], [[0], [0], [84], [0]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[338688]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [14], [-2]], [[0], [12], [0], [12]], [[0], [28], [-14], [-34]]], [[[1], [0], [0], [0]], [[0], [12], [0], [12]], [[0], [16], [-14], [-10]], [[0], [16], [28], [-4]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[338688]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [12]], [[0], [20], [14], [-14]], [[0], [8], [-28], [4]]], [[[1], [0], [0], [0]], [[0], [4], [-14], [2]], [[0], [12], [0], [12]], [[0], [36], [0], [-36]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[10584]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [7/2], [1/2]], [[0], [8], [-7/2], [-1/2]], [[0], [2], [-7/2], [23/2]]], [[[1], [0], [0], [0]], [[0], [2/5], [7/2], [53/10]], [[0], [29/5], [7/2], [-19/10]], [[0], [37/5], [-7/2], [43/10]]], 1, 576, [], [] >,
< [ -1, 1 ], [[84672]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [14], [2]], [[0], [4], [-7], [-13]], [[0], [12], [0], [12]]], [[[1], [0], [0], [0]], [[0], [8/5], [-7], [31/5]], [[0], [4/5], [7], [53/5]], [[0], [124/5], [7], [-7/5]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[84672]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-12]], [[0], [4], [14], [2]], [[0], [10], [-7], [11]]], [[[1], [0], [0], [0]], [[0], [4/5], [7], [53/5]], [[0], [66/5], [0], [12/5]], [[0], [16/5], [-14], [62/5]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[84672]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [7], [1]], [[0], [6], [0], [-12]], [[0], [28], [-7], [11]]], [[[1], [0], [0], [0]], [[0], [8/5], [-7], [31/5]], [[0], [66/5], [0], [12/5]], [[0], [8/5], [14], [106/5]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[10584]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-7/2], [-1/2]], [[0], [7], [7/2], [1/2]], [[0], [3], [0], [12]]], [[[1], [0], [0], [0]], [[0], [11/5], [7/2], [29/10]], [[0], [17/5], [-7], [19/5]], [[0], [27/5], [0], [-36/5]]], 1, 576, [], [] >,
< [ -1, 1 ], [[84672]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-7], [-1]], [[0], [8], [7], [13]], [[0], [16], [14], [-10]]], [[[1], [0], [0], [0]], [[0], [44/5], [-7], [-17/5]], [[0], [32/5], [14], [-26/5]], [[0], [12/5], [0], [84/5]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[84672]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-7], [-1]], [[0], [2], [7], [-11]], [[0], [22], [14], [14]]], [[[1], [0], [0], [0]], [[0], [2], [7], [-11]], [[0], [66/5], [0], [12/5]], [[0], [22/5], [-14], [-46/5]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[84672]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-12]], [[0], [14], [7], [1]], [[0], [8], [-14], [-2]]], [[[1], [0], [0], [0]], [[0], [22/5], [7], [29/5]], [[0], [2], [7], [-11]], [[0], [22], [-7], [-1]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[1693440]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [12], [14], [2]], [[0], [12], [-14], [-2]]], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [0], [0], [12]], [[0], [6], [-28], [2]]], 0, 73728, [], [] >,
< [ -1, 1 ], [[423360]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [8], [14]], [[0], [21], [4], [7]]], [[[1], [0], [0], [0]], [[0], [42/11], [-4/11], [56/11]], [[0], [105/11], [56/11], [-91/11]], [[0], [42/11], [-180/11], [-54/11]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[423360]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [8], [-10]], [[0], [21], [-4], [5]]], [[[1], [0], [0], [0]], [[0], [63/11], [16/11], [7/11]], [[0], [0], [4], [-14]], [[0], [42/11], [-180/11], [-54/11]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[423360]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [4]], [[0], [10], [0], [-10]], [[0], [4], [-42], [2]]], [[[1], [0], [0], [0]], [[0], [10], [42/11], [-20/11]], [[0], [6], [-168/11], [-162/11]], [[0], [10], [-210/11], [100/11]]], 0, 27648, [], [] >,
< [ -1, 1 ], [[338688]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [12], [-16]], [[0], [24], [18], [18]], [[0], [8], [-36], [-8]]], [[[1], [0], [0], [0]], [[0], [18], [3], [3]], [[0], [12], [-12], [-12]], [[0], [2], [-51], [61]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[84672]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [12], [6]], [[0], [28], [-14], [-14]], [[0], [14], [14], [-28]]], [[[1], [0], [0], [0]], [[0], [64/5], [2], [-2/5]], [[0], [38/5], [-8], [-34/5]], [[0], [84/5], [-84], [588/5]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[84672]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-4], [-16]], [[0], [18], [12], [6]], [[0], [34], [-38], [16]]], [[[1], [0], [0], [0]], [[0], [102/5], [-6], [-36/5]], [[0], [12/5], [-18], [-66/5]], [[0], [28/5], [-28], [196/5]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[592704]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [2]], [[0], [6], [0], [-26]], [[0], [6], [42], [-12]]], [[[1], [0], [0], [0]], [[0], [10], [0], [-6]], [[0], [8], [0], [12]], [[0], [4], [42], [6]]], 0, 32256, [], [] >,
< [ -1, 1 ], [[592704]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [18], [0], [6]], [[0], [2], [-42], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [10]], [[0], [16], [0], [-4]], [[0], [8], [42], [-2]]], 0, 32256, [], [] >,
< [ -1, 1 ], [[2370816]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [0], [24]], [[0], [44], [14], [-26]], [[0], [12], [-42], [-30]]], [[[1], [0], [0], [0]], [[0], [20], [14], [-14]], [[0], [32], [-28], [28]], [[0], [16], [-56], [-28]]], 0, 129024, [], [] >,
< [ -1, 1 ], [[2370816]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [0], [24]], [[0], [16], [28], [-40]], [[0], [12], [-42], [-30]]], [[[1], [0], [0], [0]], [[0], [4], [-14], [14]], [[0], [36], [42], [42]], [[0], [68], [14], [-14]]], 0, 129024, [], [] >,
< [ -1, 1 ], [[1166400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9], [3]], [[0], [0], [9], [-15]], [[0], [60], [0], [6]]], [[[1], [0], [0], [0]], [[0], [0], [9], [3]], [[0], [0], [9], [-15]], [[0], [60], [0], [0]]], 0, 62208, [], [] >,
< [ -1, 1 ], [[43200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [3], [-3]], [[0], [20], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [-1]], [[0], [60], [0], [0]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[43200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [6]], [[0], [10], [3], [3]]], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [0], [4]], [[0], [30], [0], [2]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[5400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [3]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [1/2]], [[0], [0], [0], [2]], [[0], [15], [0], [0]]], 1, 288, [], [] >,
< [ -1, 1 ], [[172800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [10], [0], [10]], [[0], [15], [6], [-21]]], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [15], [-6], [-3]], [[0], [5], [6], [23]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[172800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [5], [6], [17]], [[0], [20], [0], [-4]]], [[[1], [0], [0], [0]], [[0], [5], [6], [-1]], [[0], [5], [-6], [-1]], [[0], [10], [0], [70]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[43200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [15/2], [-7], [-13/2]], [[0], [15], [4], [5]]], [[[1], [0], [0], [0]], [[0], [30/7], [-2], [-4/7]], [[0], [45/7], [8], [43/7]], [[0], [45/14], [7], [-251/14]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[43200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [15/2], [-5], [-17/2]], [[0], [15], [6], [3]]], [[[1], [0], [0], [0]], [[0], [15/14], [5], [47/14]], [[0], [60/7], [-4], [-8/7]], [[0], [30/7], [12], [-102/7]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[5400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [15/4], [11/2], [23/4]], [[0], [45/4], [-3/2], [-3/4]]], [[[1], [0], [0], [0]], [[0], [75/28], [3/2], [39/28]], [[0], [45/28], [-7/2], [-55/28]], [[0], [45/28], [7/2], [-251/28]]], 1, 288, [], [] >,
< [ -1, 1 ], [[43200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15/2], [-1], [-1/2]], [[0], [0], [2], [10]], [[0], [0], [14], [-2]]], [[[1], [0], [0], [0]], [[0], [45/14], [5], [-55/14]], [[0], [15/2], [1], [19/2]], [[0], [15/7], [-12], [-51/7]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[43200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15/2], [-1], [-1/2]], [[0], [0], [8], [4]], [[0], [0], [4], [-16]]], [[[1], [0], [0], [0]], [[0], [15/7], [-2], [47/7]], [[0], [60/7], [8], [-8/7]], [[0], [15/2], [-9], [-9/2]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[5400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15/4], [-1/2], [-1/4]], [[0], [0], [3], [-3]], [[0], [0], [5], [7]]], [[[1], [0], [0], [0]], [[0], [75/28], [3/2], [39/28]], [[0], [15/28], [7/2], [-149/28]], [[0], [75/14], [-2], [-59/14]]], 1, 288, [], [] >,
< [ -1, 1 ], [[172800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-4]], [[0], [16], [30], [22]], [[0], [8], [-30], [26]]], [[[1], [0], [0], [0]], [[0], [8], [0], [16]], [[0], [24], [0], [-12]], [[0], [16], [-30], [2]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[172800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [4]], [[0], [0], [30], [-10]], [[0], [12], [0], [-36]]], [[[1], [0], [0], [0]], [[0], [0], [0], [20]], [[0], [24], [0], [8]], [[0], [12], [30], [-6]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[43200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [0], [0]], [[0], [4], [3], [9]], [[0], [2], [-36], [12]]], [[[1], [0], [0], [0]], [[0], [60/7], [15/7], [-5]], [[0], [18/7], [-69/7], [-1]], [[0], [120/7], [30/7], [30]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[43200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [-9]], [[0], [14], [3], [9]], [[0], [4], [18], [-6]]], [[[1], [0], [0], [0]], [[0], [18/7], [-69/7], [-1]], [[0], [0], [0], [20]], [[0], [120/7], [30/7], [10]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[43200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [0], [0]], [[0], [2], [-6], [-18]], [[0], [2], [-21], [-3]]], [[[1], [0], [0], [0]], [[0], [6], [12], [-4]], [[0], [78/7], [-54/7], [-6]], [[0], [60/7], [15/7], [15]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[5400]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-3/2], [-9/2]], [[0], [7], [3/2], [9/2]], [[0], [3], [-9], [3]]], [[[1], [0], [0], [0]], [[0], [9/7], [-69/14], [-1/2]], [[0], [30/7], [15/14], [15/2]], [[0], [60/7], [15/7], [-5]]], 1, 288, [], [] >,
< [ -1, 1 ], [[43200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [6], [0]], [[0], [8], [-16], [-10]], [[0], [12], [-24], [30]]], [[[1], [0], [0], [0]], [[0], [8], [-16], [-10]], [[0], [2], [-4], [20]], [[0], [24], [12], [0]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[5400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [-5]], [[0], [7], [1], [10]], [[0], [5], [5], [-10]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [5], [-10], [5]], [[0], [3], [-6], [-15]]], 1, 288, [], [] >,
< [ -1, 1 ], [[43200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [6], [0]], [[0], [4], [-8], [-20]], [[0], [16], [-32], [10]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [24], [12], [0]], [[0], [14], [-28], [20]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[5400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [7], [1], [-5]], [[0], [5], [5], [5]], [[0], [8], [-16], [5]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[0], [6], [3], [0]], [[0], [15], [-30], [15]]], 1, 288, [], [] >,
< [ -1, 1 ], [[1209600]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [8], [-4]], [[0], [60], [2], [2]]], [[[1], [0], [0], [0]], [[0], [0], [8], [4]], [[0], [0], [8], [-8]], [[0], [30], [-4], [-2]]], 0, 55296, [], [] >,
< [ -1, 1 ], [[302400]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [8], [14]], [[0], [15], [-4], [-7]]], [[[1], [0], [0], [0]], [[0], [15/11], [8/11], [-13/11]], [[0], [0], [16], [10]], [[0], [225/11], [-188/11], [157/11]]], 0, 13824, [], [] >,
< [ -1, 1 ], [[302400]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [8], [-10]], [[0], [15], [4], [-5]]], [[[1], [0], [0], [0]], [[0], [45/11], [24/11], [-39/11]], [[0], [90/11], [4/11], [76/11]], [[0], [60/11], [-188/11], [-8/11]]], 0, 13824, [], [] >,
< [ -1, 1 ], [[302400]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [4]], [[0], [10], [0], [-10]], [[0], [4], [-30], [2]]], [[[1], [0], [0], [0]], [[0], [2], [-30/11], [-124/11]], [[0], [6], [180/11], [18/11]], [[0], [18], [-60/11], [-6/11]]], 0, 13824, [], [] >,
< [ -1, 1 ], [[475200]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [6], [-2]], [[0], [6], [-12], [-6]], [[0], [6], [-12], [14]]], [[[1], [0], [0], [0]], [[0], [8/7], [-66/7], [6]], [[0], [54/7], [-78/7], [-12]], [[0], [130/7], [30/7], [0]]], 0, 23040, [], [] >,
< [ -1, 1 ], [[5227200]], [ -33 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [20], [0], [0]], [[0], [10], [0], [30]], [[0], [2], [66], [-12]]], [[[1], [0], [0], [0]], [[0], [0], [0], [20]], [[0], [24/7], [-198/7], [-2]], [[0], [474/7], [132/7], [-2]]], 0, 276480, [], [] >,
< [ -1, 1 ], [[8467200]], [ -7 ], [ -15 ], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [0], [28], [4]], [[0], [60], [14], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [30], [28], [-2]], [[0], [30], [-28], [2]]], 0, 442368, [], [] >,
< [ -1, 1 ], [[2116800]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [8], [14]], [[0], [105], [4], [7]]], [[[1], [0], [0], [0]], [[0], [105/11], [56/11], [-91/11]], [[0], [0], [16], [10]], [[0], [210/11], [-196/11], [170/11]]], 0, 110592, [], [] >,
< [ -1, 1 ], [[2116800]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [8], [-10]], [[0], [105], [-4], [5]]], [[[1], [0], [0], [0]], [[0], [0], [4], [-14]], [[0], [105/11], [-164/11], [-47/11]], [[0], [315/11], [80/11], [35/11]]], 0, 110592, [], [] >,
< [ -1, 1 ], [[2116800]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [4]], [[0], [2], [0], [-14]], [[0], [4], [210], [2]]], [[[1], [0], [0], [0]], [[0], [10], [-210/11], [100/11]], [[0], [4], [210/11], [142/11]], [[0], [46], [0], [-22]]], 0, 110592, [], [] >,
< [ -1, 1 ], [[216000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [15], [-1]], [[0], [60], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [0], [15], [3]], [[0], [20], [0], [0]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[216000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [10], [0], [-2]], [[0], [0], [0], [12]], [[0], [0], [15], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [10], [15], [1]], [[0], [10], [-15], [1]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[27000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [0], [2]], [[0], [0], [0], [6]], [[0], [0], [15/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [5], [0], [-1]], [[0], [0], [15], [0]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[216000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [5]], [[0], [0], [3], [-5]], [[0], [60], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [3], [-15]], [[0], [20], [0], [0]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[216000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [10], [-3], [5]], [[0], [0], [12], [0]], [[0], [10], [0], [-10]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [10], [3], [5]], [[0], [10], [-3], [-25]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[27000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [5/2]], [[0], [0], [6], [0]], [[0], [5], [3], [-5]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [5], [0], [-5]], [[0], [10], [0], [5]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[864000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [0], [-12]], [[0], [24], [30], [38]], [[0], [24], [-30], [38]]], [[[1], [0], [0], [0]], [[0], [16], [30], [-18]], [[0], [16], [-30], [-18]], [[0], [24], [0], [48]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[864000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [0], [8]], [[0], [24], [30], [-42]], [[0], [24], [-30], [-42]]], [[[1], [0], [0], [0]], [[0], [8], [0], [36]], [[0], [32], [30], [-6]], [[0], [32], [-30], [-6]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[864000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [30], [22]], [[0], [16], [-30], [22]], [[0], [40], [0], [-20]]], [[[1], [0], [0], [0]], [[0], [16], [0], [-28]], [[0], [8], [30], [-14]], [[0], [72], [0], [24]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[216000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-20], [10]], [[0], [24], [12], [0]], [[0], [22], [-14], [-80]]], [[[1], [0], [0], [0]], [[0], [10], [-20], [10]], [[0], [6], [-12], [-30]], [[0], [68], [14], [-10]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[216000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [12], [0]], [[0], [22], [-14], [40]], [[0], [8], [-46], [-10]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [30], [-60], [30]], [[0], [74], [2], [20]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[216000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [22], [16], [-20]], [[0], [16], [-2], [40]], [[0], [4], [-38], [-20]]], [[[1], [0], [0], [0]], [[0], [10], [-20], [10]], [[0], [32], [-4], [-10]], [[0], [12], [36], [60]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[27000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [11], [8], [-10]], [[0], [3], [9], [15]], [[0], [21], [-12], [0]]], [[[1], [0], [0], [0]], [[0], [5], [-10], [5]], [[0], [3], [9], [15]], [[0], [27], [6], [-15]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[216000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-2], [-20]], [[0], [4], [-38], [10]], [[0], [48], [-6], [30]]], [[[1], [0], [0], [0]], [[0], [22], [16], [10]], [[0], [20], [-40], [-10]], [[0], [10], [-20], [40]]], 0, 11520, [], [] >,
< [ -1, 1 ], [[27000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [9], [15]], [[0], [2], [-19], [5]], [[0], [19], [7], [-5]]], [[[1], [0], [0], [0]], [[0], [8], [-1], [-10]], [[0], [11], [8], [5]], [[0], [15], [-30], [15]]], 1, 1440, [], [] >,
< [ -1, 1 ], [[1512000]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [0], [-6]], [[0], [16], [0], [28]], [[0], [8], [30], [14]]], [[[1], [0], [0], [0]], [[0], [18], [-60/11], [-6/11]], [[0], [2], [240/11], [266/11]], [[0], [14], [30], [-8]]], 0, 69120, [], [] >,
< [ -1, 1 ], [[10584000]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [18]], [[0], [28], [0], [-16]], [[0], [14], [210], [-8]]], [[[1], [0], [0], [0]], [[0], [24], [-210/11], [342/11]], [[0], [50], [210/11], [-100/11]], [[0], [2], [-630/11], [-184/11]]], 0, 552960, [], [] >,
< [ -1, 1 ], [[20736]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [8], [-6], [-10]], [[0], [12], [0], [12]]], [[[1], [0], [0], [0]], [[0], [8], [-6], [2]], [[0], [4], [6], [10]], [[0], [8], [12], [-4]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[5184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [3]], [[0], [4], [6], [-6]], [[0], [10], [-3], [-3]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [-9], [3]], [[0], [0], [0], [12]]], 0, 288, [], [] >,
< [ -1, 1 ], [[5184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [2], [-6], [-6]], [[0], [0], [9], [-3]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [9], [-3]], [[0], [0], [9], [21]]], 0, 288, [], [] >,
< [ -1, 1 ], [[648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [-3/2]], [[0], [1], [-3], [3]], [[0], [4], [3/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [-9/2], [3/2]], [[0], [1], [0], [6]]], 1, 36, [], [] >,
< [ -1, 1 ], [[5184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [2], [0], [8]], [[0], [0], [9], [-3]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [4], [-3], [1]], [[0], [0], [9], [21]]], 0, 288, [], [] >,
< [ -1, 1 ], [[5184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [0], [-8]], [[0], [2], [-9], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [8], [-6], [2]], [[0], [2], [3], [11]]], 0, 288, [], [] >,
< [ -1, 1 ], [[5184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [0], [-8]], [[0], [0], [9], [-3]]], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [2], [-6], [2]], [[0], [2], [3], [11]]], 0, 288, [], [] >,
< [ -1, 1 ], [[648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [2], [9/2], [1/2]], [[0], [3], [-9/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [4], [-3], [1]], [[0], [1], [-3], [-5]]], 1, 36, [], [] >,
< [ -1, 1 ], [[139968]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [18], [0]], [[0], [12], [-30], [6]], [[0], [24], [-6], [-42]]], [[[1], [0], [0], [0]], [[0], [12], [-12], [-12]], [[0], [18], [18], [0]], [[0], [18], [-36], [54]]], 0, 7776, [], [] >,
< [ -1, 1 ], [[5184]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-4], [2]], [[0], [4], [2], [-10]], [[0], [2], [10], [4]]], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [12], [6], [6]], [[0], [6], [12], [-6]]], 0, 288, [], [] >,
< [ -1, 1 ], [[5184]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [-2]], [[0], [4], [2], [8]], [[0], [8], [-14], [-2]]], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [6], [-6], [12]], [[0], [8], [10], [-8]]], 0, 288, [], [] >,
< [ -1, 1 ], [[648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-1]], [[0], [3], [-3], [-3]], [[0], [3], [-3], [6]]], [[[1], [0], [0], [0]], [[0], [1], [-1], [-1]], [[0], [3], [-3], [6]], [[0], [9], [9], [0]]], 1, 36, [], [] >,
< [ -1, 1 ], [[5184]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [4], [-10], [-4]], [[0], [10], [2], [8]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [14], [-8], [4]], [[0], [2], [4], [16]]], 0, 288, [], [] >,
< [ -1, 1 ], [[648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [3], [-3], [-3]], [[0], [5], [1], [4]]], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [3], [-3], [-3]], [[0], [9], [0], [9]]], 1, 36, [], [] >,
< [ -1, 1 ], [[25920]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [4], [-3], [-5]], [[0], [6], [0], [6]]], [[[1], [0], [0], [0]], [[0], [4], [-3], [1]], [[0], [2], [3], [5]], [[0], [4], [6], [-2]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[3240]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [1], [3/2], [5/2]], [[0], [1], [-3], [1]]], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [2], [-3/2], [1/2]], [[0], [1], [3/2], [11/2]]], 1, 144, [], [] >,
< [ -1, 1 ], [[103680]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [6]], [[0], [16], [6], [-18]], [[0], [16], [24], [12]]], [[[1], [0], [0], [0]], [[0], [16], [0], [12]], [[0], [8], [18], [6]], [[0], [8], [0], [-24]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[25920]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-12], [6]], [[0], [10], [10], [-8]], [[0], [10], [10], [28]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [6], [-12], [6]], [[0], [40], [10], [-2]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[25920]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-12], [6]], [[0], [14], [2], [-16]], [[0], [8], [14], [14]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [6], [-12], [-30]], [[0], [40], [10], [-14]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[36288]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [2]], [[0], [2], [6], [4]], [[0], [6], [0], [-6]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [6], [0], [6]], [[0], [4], [18], [2]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[36288]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [6], [0]], [[0], [6], [0], [6]], [[0], [6], [0], [-6]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [0], [6]], [[0], [2], [-18], [0]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[145152]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-4], [-8]], [[0], [12], [-6], [6]], [[0], [20], [26], [-2]]], [[[1], [0], [0], [0]], [[0], [8], [8], [4]], [[0], [4], [-14], [2]], [[0], [12], [-6], [-30]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[67392]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [6]], [[0], [6], [1], [1]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-4]], [[0], [18], [1], [1]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[876096]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [6], [-13], [-1]], [[0], [30], [13], [1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [18], [13], [1]], [[0], [18], [-13], [-1]]], 0, 48384, [], [] >,
< [ -1, 1 ], [[254016]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [6], [0], [-6]], [[0], [2], [-42], [4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [6], [0], [6]], [[0], [4], [126], [2]]], 0, 13824, [], [] >,
< [ -1, 1 ], [[254016]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [6], [0], [-6]], [[0], [2], [-42], [0]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [0], [-6]], [[0], [2], [126], [0]]], 0, 13824, [], [] >,
< [ -1, 1 ], [[1016064]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [28], [-14], [-10]], [[0], [16], [28], [-16]], [[0], [0], [0], [36]]], [[[1], [0], [0], [0]], [[0], [4], [-14], [2]], [[0], [0], [0], [36]], [[0], [68], [14], [-2]]], 0, 55296, [], [] >,
< [ -1, 1 ], [[16200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9/2], [3/2]], [[0], [5], [3], [-1]], [[0], [5], [-3/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [0], [9/2], [-3/2]], [[0], [5], [-3/2], [1/2]], [[0], [0], [0], [6]]], 1, 864, [], [] >,
< [ -1, 1 ], [[129600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9], [3]], [[0], [10], [-3], [1]], [[0], [0], [0], [12]]], [[[1], [0], [0], [0]], [[0], [0], [9], [-3]], [[0], [10], [-3], [-5]], [[0], [0], [0], [12]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[518400]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [0], [-12]], [[0], [0], [30], [10]], [[0], [24], [0], [48]]], [[[1], [0], [0], [0]], [[0], [0], [0], [20]], [[0], [24], [0], [8]], [[0], [0], [90], [-10]]], 0, 27648, [], [] >,
< [ -1, 1 ], [[129600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [20], [-10], [-10]], [[0], [14], [2], [20]], [[0], [4], [52], [-20]]], [[[1], [0], [0], [0]], [[0], [10], [-20], [10]], [[0], [6], [-12], [-30]], [[0], [44], [2], [-10]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[129600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [22], [16], [10]], [[0], [6], [-12], [-30]], [[0], [4], [-38], [10]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [50], [-10], [20]], [[0], [22], [46], [-20]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[648000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [20], [15], [-1]], [[0], [20], [-30], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [20], [0], [2]], [[0], [0], [45], [3]]], 0, 34560, [], [] >,
< [ -1, 1 ], [[648000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9], [15]], [[0], [0], [18], [0]], [[0], [20], [-3], [-5]]], [[[1], [0], [0], [0]], [[0], [0], [9], [15]], [[0], [0], [9], [-15]], [[0], [20], [0], [10]]], 0, 34560, [], [] >,
< [ -1, 1 ], [[648000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [26], [-22], [-40]], [[0], [48], [-6], [30]], [[0], [18], [54], [0]]], [[[1], [0], [0], [0]], [[0], [10], [-20], [10]], [[0], [28], [34], [10]], [[0], [68], [-46], [-130]]], 0, 34560, [], [] >,
< [ -1, 1 ], [[15552]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [6], [6]], [[0], [6], [12], [-6]], [[0], [10], [-16], [-10]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [8], [-2], [10]], [[0], [36], [-36], [-36]]], 0, 864, [], [] >,
< [ -1, 1 ], [[1024]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [16]]], [[[1], [0], [0], [0]], [[0], [4], [4], [0]], [[0], [4], [-4], [0]], [[0], [4], [0], [8]]], 0, 64, [], [] >,
< [ -1, 1 ], [[8192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [4], [4]], [[0], [4], [4], [-12]], [[0], [20], [-12], [-4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [4], [-12], [4]], [[0], [20], [4], [4]]], 0, 512, [], [] >,
< [ -1, 1 ], [[8192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-4], [4]], [[0], [4], [4], [-12]], [[0], [4], [-12], [-4]]], [[[1], [0], [0], [0]], [[0], [4], [4], [4]], [[0], [12], [-4], [-12]], [[0], [4], [-12], [12]]], 0, 512, [], [] >,
< [ -1, 1 ], [[8192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-8], [0]], [[0], [4], [4], [-12]], [[0], [8], [8], [8]]], [[[1], [0], [0], [0]], [[0], [4], [4], [4]], [[0], [8], [-8], [0]], [[0], [12], [12], [-20]]], 0, 512, [], [] >,
< [ -1, 1 ], [[12288]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [0], [0], [8]], [[0], [16], [4], [4]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [4], [-4]], [[0], [32], [0], [0]]], 0, 512, [], [] >,
< [ -1, 1 ], [[12288]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [8], [-4], [4]], [[0], [8], [12], [4]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [8], [4], [-4]], [[0], [8], [4], [12]]], 0, 512, [], [] >,
< [ -1, 1 ], [[3072]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [6], [-2]], [[0], [0], [2], [10]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [4], [4], [4]], [[0], [4], [-4], [-4]]], 0, 128, [], [] >,
< [ -1, 1 ], [[3072]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [4], [0], [0]], [[0], [0], [16], [-16]]], [[[1], [0], [0], [0]], [[0], [4], [2], [2]], [[0], [4], [-2], [-2]], [[0], [0], [6], [-10]]], 0, 128, [], [] >,
< [ -1, 1 ], [[3072]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [6], [-10]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [8], [0], [0]], [[0], [4], [8], [-8]]], 0, 128, [], [] >,
< [ -1, 1 ], [[24576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [0]], [[0], [4], [0], [8]], [[0], [20], [12], [-12]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [4], [12], [-12]], [[0], [20], [-4], [4]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[24576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [8]], [[0], [12], [4], [-4]], [[0], [8], [-16], [0]]], [[[1], [0], [0], [0]], [[0], [4], [-8], [0]], [[0], [8], [4], [-12]], [[0], [16], [4], [4]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[24576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [8]], [[0], [8], [12], [-4]], [[0], [16], [-4], [-4]]], [[[1], [0], [0], [0]], [[0], [4], [-8], [0]], [[0], [12], [4], [-4]], [[0], [8], [0], [16]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[384]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [2], [4], [-2]], [[0], [4], [0], [4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [2], [-4]], [[0], [0], [6], [0]]], 0, 32, [], [] >,
< [ -1, 1 ], [[384]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [0]], [[0], [0], [2], [4]], [[0], [2], [4], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [-2], [-2]], [[0], [4], [8], [-4]]], 0, 32, [], [] >,
< [ -1, 1 ], [[3072]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [8], [-4]], [[0], [12], [-4], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [4], [0]], [[0], [0], [4], [-4]], [[0], [16], [-16], [-16]]], 0, 256, [], [] >,
< [ -1, 1 ], [[20480]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [6], [4], [-2]], [[0], [6], [-12], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-6]], [[0], [2], [-4], [-6]], [[0], [10], [-4], [2]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[5120]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [4], [-2]], [[0], [2], [4], [6]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [2], [-4], [-2]], [[0], [6], [4], [2]]], 0, 256, [], [] >,
< [ -1, 1 ], [[5120]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [16], [0]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [4]], [[0], [2], [8], [2]]], 0, 256, [], [] >,
< [ -1, 1 ], [[5120]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [4], [0], [4]], [[0], [6], [0], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [4], [-4]], [[0], [4], [-4], [-4]]], 0, 256, [], [] >,
< [ -1, 1 ], [[5120]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [4], [2]], [[0], [2], [-4], [2]], [[0], [6], [0], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [0], [4], [0]], [[0], [8], [0], [-8]]], 0, 256, [], [] >,
< [ -1, 1 ], [[640]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [2], [2], [0]], [[0], [2], [-2], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]]], 0, 32, [], [] >,
< [ -1, 1 ], [[640]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [4]]], 0, 32, [], [] >,
< [ -1, 1 ], [[15360]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [8], [2], [2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [16], [0], [0]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1920]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1920]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [2], [2], [0]], [[0], [2], [-2], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [4]]], 0, 64, [], [] >,
< [ -1, 1 ], [[240]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1/2], [1], [1/2]], [[0], [1/4], [-1/2], [5/4]], [[0], [7/2], [-1], [-1/2]]], [[[1], [0], [0], [0]], [[0], [25/28], [1/2], [13/28]], [[0], [1/4], [-1/2], [5/4]], [[0], [5/2], [-3], [-3/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[240]], [ -2 ], [ -5 ], [[[0], [1/4], [1/2], [1/4]], [[1], [0], [0], [0]], [[0], [1/4], [-3/2], [9/4]], [[0], [13/4], [-3/2], [-3/4]]], [[[1], [0], [0], [0]], [[0], [9/14], [1], [-11/14]], [[0], [8/7], [0], [12/7]], [[0], [19/28], [-3/2], [-45/28]]], 1, 16, [], [] >,
< [ -1, 1 ], [[640]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-4]], [[0], [4], [-4], [2]], [[0], [2], [6], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [4], [-12]]], 0, 48, [], [] >,
< [ -1, 1 ], [[640]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [2], [-2], [-4]], [[0], [6], [2], [4]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [6], [2]], [[0], [2], [2], [-6]]], 0, 48, [], [] >,
< [ -1, 1 ], [[80]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [2], [4]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [2], [4]]], 1, 8, [], [] >,
< [ -1, 1 ], [[80]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [1], [2]], [[0], [0], [4], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [1], [-3]]], 1, 6, [], [] >,
< [ -1, 1 ], [[61440]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [16], [0]], [[0], [16], [0], [-8]], [[0], [16], [4], [12]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [0], [4], [-20]], [[0], [32], [-4], [4]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[15360]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [-6]], [[0], [8], [-2], [10]], [[0], [8], [12], [4]]], [[[1], [0], [0], [0]], [[0], [32/7], [8/7], [8]], [[0], [52/7], [-36/7], [-4]], [[0], [52/7], [62/7], [-10]]], 0, 768, [], [] >,
< [ -1, 1 ], [[240]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [1/2]], [[0], [1], [-1/2], [-3/2]], [[0], [4], [-3], [3]]], [[[1], [0], [0], [0]], [[0], [4/7], [1/7], [1]], [[0], [17/7], [33/14], [-3/2]], [[0], [26/7], [-18/7], [-2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[240]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [0], [2], [2]], [[0], [2], [-3/2], [3/2]]], [[[0], [2/7], [1/14], [1/2]], [[1], [0], [0], [0]], [[0], [26/7], [-18/7], [-2]], [[0], [32/7], [65/14], [-7/2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[15360]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [4]], [[0], [12], [-4], [-8]], [[0], [12], [16], [20]]], [[[1], [0], [0], [0]], [[0], [12], [-4], [-8]], [[0], [8], [4], [12]], [[0], [8], [-16], [8]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[240]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-1], [-2]], [[0], [1], [3], [2]], [[0], [2], [-4], [2]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [4], [2], [0]], [[0], [1], [-2], [-5]]], 1, 24, [], [] >,
< [ -1, 1 ], [[240]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [4], [2], [0]], [[0], [2], [-4], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [1], [0]], [[0], [2], [-4], [2]], [[0], [2], [-4], [-4]]], 1, 24, [], [] >,
< [ -1, 1 ], [[28672]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [8], [-4], [4]], [[0], [8], [12], [4]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [8], [4], [-4]], [[0], [8], [4], [12]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[112]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1/2], [1/2]], [[0], [1], [-1/2], [-1/2]], [[0], [0], [2], [-2]]], [[[0], [1/3], [1/6], [1/6]], [[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [2], [-2], [-2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[112]], [ -7 ], [ -1 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [2], [-2]]], [[[0], [2/3], [1/3], [1/3]], [[1], [0], [0], [0]], [[0], [4/3], [-5/6], [-5/6]], [[0], [0], [2], [-2]]], 1, 6, [], [] >,
< [ -1, 1 ], [[7168]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [4], [4], [-4]], [[0], [12], [-4], [4]]], [[[1], [0], [0], [0]], [[0], [4/3], [14/3], [-10/3]], [[0], [16/3], [8/3], [8/3]], [[0], [16/3], [-10/3], [-10/3]]], 0, 384, [], [] >,
< [ -1, 1 ], [[2688]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [2], [2], [2]], [[0], [2], [-2], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [2], [0], [2]], [[0], [4], [0], [-4]]], 0, 96, [], [] >,
< [ -1, 1 ], [[2688]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [2], [-2]], [[0], [0], [4], [4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [2], [-2]], [[0], [2], [-2], [-2]]], 0, 96, [], [] >,
< [ -1, 1 ], [[336]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[336]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [2], [0], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [2], [0]]], 1, 12, [], [] >,
< [ -1, 1 ], [[336]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [3], [-1/2], [1/2]], [[0], [1], [5/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [1/5], [-1/2], [-11/10]], [[0], [8/5], [-2], [6/5]], [[0], [14/5], [2], [-2/5]]], 1, 24, [], [] >,
< [ -1, 1 ], [[336]], [ -7 ], [ -1 ], [[[0], [0], [1/2], [-1/2]], [[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [4], [2], [2]]], [[[1], [0], [0], [0]], [[0], [8/5], [1/2], [-13/10]], [[0], [6/5], [3/2], [9/10]], [[0], [8/5], [-2], [6/5]]], 1, 24, [], [] >,
< [ -1, 1 ], [[560]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [1/2], [1], [1/2]], [[0], [1/2], [-1], [1/2]], [[0], [1], [0], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]]], 1, 24, [], [] >,
< [ -1, 1 ], [[560]], [ -2 ], [ -35 ], [[[0], [1/2], [0], [1/2]], [[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [0], [2], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [2], [0]]], 1, 24, [], [] >,
< [ -1, 1 ], [[35840]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [4], [0], [4]], [[0], [0], [4], [4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [2], [-4], [-2]], [[0], [6], [4], [2]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[35840]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [-4], [-2]], [[0], [6], [4], [-6]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [4], [-2]], [[0], [2], [4], [6]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[896]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [6], [2], [4]], [[0], [2], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [2], [2], [-4]], [[0], [2], [-6], [0]], [[0], [8], [0], [2]]], 0, 64, [], [] >,
< [ -1, 1 ], [[896]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [4], [-4], [-4]], [[0], [6], [2], [4]]], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [0], [4], [-2]], [[0], [12], [4], [8]]], 0, 64, [], [] >,
< [ -1, 1 ], [[7168]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-4], [4]], [[0], [4], [8], [4]], [[0], [8], [8], [-16]]], [[[1], [0], [0], [0]], [[0], [12], [0], [-4]], [[0], [4], [-12], [0]], [[0], [0], [4], [12]]], 0, 512, [], [] >,
< [ -1, 1 ], [[7168]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [0]], [[0], [0], [8], [-4]], [[0], [8], [-12], [-20]]], [[[1], [0], [0], [0]], [[0], [8], [-4], [4]], [[0], [8], [0], [-12]], [[0], [0], [12], [8]]], 0, 512, [], [] >,
< [ -1, 1 ], [[336]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1/2], [1/2]], [[0], [0], [5/2], [-3/2]], [[0], [2], [-3], [-3]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [9/5]], [[0], [12/5], [-3/10], [-11/10]], [[0], [2/5], [26/5], [2/5]]], 1, 16, [], [] >,
< [ -1, 1 ], [[336]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [3], [-1/2], [3/2]], [[0], [2], [-3], [-3]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [9/5]], [[0], [3/5], [23/10], [11/10]], [[0], [24/5], [-3/5], [-11/5]]], 1, 16, [], [] >,
< [ -1, 1 ], [[176]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1/2], [-1/2]], [[0], [1], [-1/2], [1/2]], [[0], [0], [2], [2]]], [[[1], [0], [0], [0]], [[0], [1], [1/6], [7/6]], [[0], [1], [-1/6], [-7/6]], [[0], [0], [5/3], [-1/3]]], 1, 10, [], [] >,
< [ -1, 1 ], [[176]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [0], [3/2], [1/2]], [[0], [2], [0], [0]]], [[[0], [0], [5/6], [-1/6]], [[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [1/3], [7/3]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1408]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [0], [3], [1]], [[0], [2], [0], [4]]], [[[1], [0], [0], [0]], [[0], [2], [1/3], [7/3]], [[0], [0], [10/3], [-2/3]], [[0], [2], [-2], [-2]]], 0, 80, [], [] >,
< [ -1, 1 ], [[1408]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [0], [1], [3]], [[0], [2], [-4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [5/3], [-1/3]], [[0], [2], [1/3], [7/3]], [[0], [4], [-2/3], [-14/3]]], 0, 80, [], [] >,
< [ -1, 1 ], [[176]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [4], [0], [-1]], [[0], [2], [2], [3]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [3], [0], [2]], [[0], [2], [-2], [-4]]], 1, 12, [], [] >,
< [ -1, 1 ], [[176]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-2]], [[0], [0], [2], [-2]], [[0], [6], [2], [2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [2], [-3], [-3]], [[0], [6], [2], [2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[11264]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-12], [0]], [[0], [12], [0], [8]], [[0], [4], [4], [-16]]], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [16], [-4], [0]], [[0], [0], [20], [24]]], 0, 768, [], [] >,
< [ -1, 1 ], [[11264]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-8]], [[0], [12], [0], [8]], [[0], [12], [16], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [8], [-8]], [[0], [16], [-4], [0]], [[0], [8], [8], [12]]], 0, 768, [], [] >,
< [ -1, 1 ], [[528]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [1], [0], [-3]], [[0], [4], [4], [2]]], [[[1], [0], [0], [0]], [[0], [1/5], [-12/5], [-1/5]], [[0], [13/5], [4/5], [-3/5]], [[0], [8/5], [-6/5], [32/5]]], 1, 24, [], [] >,
< [ -1, 1 ], [[528]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-2]], [[0], [2], [-2], [-2]], [[0], [4], [4], [2]]], [[[1], [0], [0], [0]], [[0], [14/5], [-8/5], [-4/5]], [[0], [4/5], [-3/5], [16/5]], [[0], [12/5], [16/5], [-2/5]]], 1, 24, [], [] >,
< [ -1, 1 ], [[208]], [ -2 ], [ -13 ], [[[0], [3/4], [-1/2], [-1/4]], [[0], [1/4], [1/2], [-3/4]], [[1], [0], [0], [0]], [[0], [3/2], [1], [3/2]]], [[[0], [1/12], [1/6], [-1/4]], [[1], [0], [0], [0]], [[0], [5/6], [5/3], [3/2]], [[0], [13/6], [-5/3], [-1/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[208]], [ -2 ], [ -13 ], [[[0], [1/4], [-1/2], [1/4]], [[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [5/4], [3/2], [5/4]]], [[[0], [1/6], [1/3], [-1/2]], [[1], [0], [0], [0]], [[0], [13/12], [-5/6], [-1/4]], [[0], [5/6], [5/3], [3/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[13312]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [3], [-2], [-1]], [[0], [3], [2], [3]], [[0], [2], [4], [-6]]], [[[1], [0], [0], [0]], [[0], [2/3], [4/3], [-2]], [[0], [6], [0], [2]], [[0], [7/3], [-22/3], [-3]]], 0, 768, [], [] >,
< [ -1, 1 ], [[624]], [ -13 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [2], [0], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]]], 1, 24, [], [] >,
< [ -1, 1 ], [[624]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [1], [1/2], [-1/2]], [[0], [1], [-1/2], [1/2]], [[0], [0], [1], [1]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [2], [0], [0]]], 1, 24, [], [] >,
< [ -1, 1 ], [[39936]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [4], [2], [2]], [[0], [4], [2], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [4], [-2], [-2]], [[0], [4], [6], [-2]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[272]], [ -17 ], [ -3 ], [[[0], [0], [2/3], [2/3]], [[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [4/3], [-2/3]]], [[[0], [1/3], [-4/9], [2/9]], [[1], [0], [0], [0]], [[0], [2/3], [-2/9], [-8/9]], [[0], [5/3], [10/9], [4/9]]], 1, 16, [], [] >,
< [ -1, 1 ], [[272]], [ -17 ], [ -3 ], [[[0], [0], [1/3], [1/3]], [[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [2], [0], [0]]], [[[1], [0], [0], [0]], [[0], [2/3], [7/9], [1/9]], [[0], [2/3], [-2/9], [-8/9]], [[0], [2/3], [-8/9], [4/9]]], 1, 16, [], [] >,
< [ -1, 1 ], [[368]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [2], [-2]], [[0], [4], [0], [2]], [[0], [1], [-4], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [0], [6], [1]], [[0], [4], [-2], [-6]]], 1, 24, [], [] >,
< [ -1, 1 ], [[368]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [-3]], [[0], [4], [0], [2]], [[0], [0], [5], [-3]]], [[[1], [0], [0], [0]], [[0], [1], [-3], [0]], [[0], [4], [0], [2]], [[0], [3], [1], [-6]]], 1, 24, [], [] >,
< [ -1, 1 ], [[8464]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-5], [7]], [[0], [6], [2], [-12]], [[0], [10], [11], [3]]], [[[1], [0], [0], [0]], [[0], [3], [1], [-6]], [[0], [1], [-15], [-2]], [[0], [18], [6], [10]]], 1, 528, [], [] >,
< [ -1, 1 ], [[8464]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [8], [-2]], [[0], [5], [-6], [-10]], [[0], [17], [-2], [12]]], [[[1], [0], [0], [0]], [[0], [6], [2], [11]], [[0], [6], [2], [-12]], [[0], [4], [-14], [-8]]], 1, 528, [], [] >,
< [ -1, 1 ], [[4624]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [34/3], [-2/3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [2], [0], [2]], [[0], [1/3], [-34/9], [8/9]]], 1, 288, [], [] >,
< [ -1, 1 ], [[4624]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [17/3], [-1/3]]], [[[1], [0], [0], [0]], [[0], [2/3], [-17/9], [-5/9]], [[0], [2], [0], [2]], [[0], [10/3], [17/9], [-13/9]]], 1, 288, [], [] >,
< [ -1, 1 ], [[173056]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [13], [-6], [9]], [[0], [13], [10], [-7]]], [[[1], [0], [0], [0]], [[0], [13/3], [26/3], [3]], [[0], [13/3], [-10/3], [-9]], [[0], [13], [-10], [5]]], 0, 10752, [], [] >,
< [ -1, 1 ], [[2704]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [13/4], [-1/2], [5/4]]], [[[1], [0], [0], [0]], [[0], [13/12], [-5/6], [-1/4]], [[0], [13/12], [-5/6], [15/4]], [[0], [13/4], [7/2], [5/4]]], 1, 168, [], [] >,
< [ -1, 1 ], [[2704]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [13/4], [1/2], [1/4]]], [[[1], [0], [0], [0]], [[0], [13/12], [13/6], [3/4]], [[0], [13/6], [-5/3], [-1/2]], [[0], [0], [0], [4]]], 1, 168, [], [] >,
< [ -1, 1 ], [[8112]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [1], [13/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [2], [0], [0]], [[0], [0], [13], [0]]], 1, 336, [], [] >,
< [ -1, 1 ], [[8112]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [13/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [13], [1]]], 1, 336, [], [] >,
< [ -1, 1 ], [[519168]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [16], [0], [0]], [[0], [4], [-26], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [8], [0], [-4]], [[0], [4], [26], [2]]], 0, 21504, [], [] >,
< [ -1, 1 ], [[1936]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [4]], [[0], [1], [11/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [11/6], [5/6]], [[0], [0], [11/3], [-31/3]]], 1, 120, [], [] >,
< [ -1, 1 ], [[1936]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [11/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [11/3], [5/3]], [[0], [0], [11/6], [-31/6]]], 1, 120, [], [] >,
< [ -1, 1 ], [[15488]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [6], [0], [4]], [[0], [2], [-11], [3]]], [[[1], [0], [0], [0]], [[0], [2], [11/3], [5/3]], [[0], [6], [-11/3], [-5/3]], [[0], [2], [-22/3], [26/3]]], 0, 960, [], [] >,
< [ -1, 1 ], [[15488]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [6], [0], [4]], [[0], [0], [11], [1]]], [[[1], [0], [0], [0]], [[0], [2], [11/3], [5/3]], [[0], [6], [-11/3], [-5/3]], [[0], [0], [11/3], [-31/3]]], 0, 960, [], [] >,
< [ -1, 1 ], [[1936]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [2]], [[0], [4], [-6], [5]], [[0], [4], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [5], [-2], [-2]], [[0], [1], [4], [4]], [[0], [3], [12], [-10]]], 1, 120, [], [] >,
< [ -1, 1 ], [[1936]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [2]], [[0], [1], [-7], [4]], [[0], [4], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [2], [-3], [-3]], [[0], [6], [2], [2]], [[0], [0], [11], [-11]]], 1, 120, [], [] >,
< [ -1, 1 ], [[123904]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [20], [-8], [-8]], [[0], [8], [-12], [32]], [[0], [20], [36], [-8]]], [[[1], [0], [0], [0]], [[0], [8], [-12], [-12]], [[0], [8], [-12], [32]], [[0], [40], [28], [-16]]], 0, 7680, [], [] >,
< [ -1, 1 ], [[123904]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [20], [-8], [-8]], [[0], [4], [-28], [16]], [[0], [28], [24], [24]]], [[[1], [0], [0], [0]], [[0], [32], [-4], [-4]], [[0], [8], [32], [-12]], [[0], [16], [-24], [-24]]], 0, 7680, [], [] >,
< [ -1, 1 ], [[5808]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [1], [2]], [[0], [4], [-3], [-6]], [[0], [4], [8], [-6]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [16/5]], [[0], [26/5], [8/5], [-6/5]], [[0], [4], [-25], [-6]]], 1, 240, [], [] >,
< [ -1, 1 ], [[5808]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [6], [1]], [[0], [1], [2], [-7]], [[0], [9], [-4], [3]]], [[[1], [0], [0], [0]], [[0], [13/5], [4/5], [-3/5]], [[0], [8/5], [-6/5], [32/5]], [[0], [37/5], [-124/5], [-17/5]]], 1, 240, [], [] >,
< [ -1, 1 ], [[200704]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [8], [28], [-4]], [[0], [32], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [16]], [[0], [16], [0], [8]], [[0], [8], [28], [-4]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[50176]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [12], [0], [8]], [[0], [4], [14], [6]]], [[[1], [0], [0], [0]], [[0], [4/3], [14/3], [-10/3]], [[0], [16/3], [-28/3], [-28/3]], [[0], [20], [0], [8]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[784]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [7/2], [-1/2]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [7/3], [7/6], [7/6]], [[0], [2/3], [7/3], [-5/3]], [[0], [4/3], [-7/3], [-7/3]]], 1, 48, [], [] >,
< [ -1, 1 ], [[784]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [7/2], [-1/2]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [2/3], [-7/6], [-7/6]], [[0], [2/3], [7/3], [-5/3]], [[0], [14/3], [-7/6], [17/6]]], 1, 48, [], [] >,
< [ -1, 1 ], [[18816]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [0], [4]], [[0], [0], [14], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [0], [-4]], [[0], [0], [14], [0]]], 0, 768, [], [] >,
< [ -1, 1 ], [[18816]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [14], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [0], [-4]], [[0], [2], [14], [-2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[2352]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [14], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [7], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2352]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [7], [1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [14], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2352]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-7/2], [-1/2]], [[0], [2], [0], [-4]], [[0], [4], [0], [4]]], [[[1], [0], [0], [0]], [[0], [2/5], [-7/2], [3/10]], [[0], [22/5], [0], [4/5]], [[0], [4/5], [0], [28/5]]], 1, 192, [], [] >,
< [ -1, 1 ], [[2352]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [7/2], [1/2]], [[0], [2], [0], [-4]], [[0], [4], [0], [4]]], [[[1], [0], [0], [0]], [[0], [22/5], [0], [4/5]], [[0], [11/5], [-7/2], [-21/10]], [[0], [7/5], [7/2], [-27/10]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3920]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [7/2], [1], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [7], [1], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3920]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [7/2], [0], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [2], [0]], [[0], [7], [0], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[250880]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [8], [-8]], [[0], [14], [-4], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [14], [4], [2]], [[0], [0], [16], [0]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[250880]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [0], [8], [8]], [[0], [14], [0], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [8], [4]], [[0], [14], [4], [2]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[50176]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [12]], [[0], [20], [16], [4]], [[0], [20], [-12], [-24]]], [[[1], [0], [0], [0]], [[0], [8], [12], [-4]], [[0], [4], [-8], [12]], [[0], [36], [-44], [-32]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[50176]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [4], [8]], [[0], [16], [-4], [-8]], [[0], [8], [-44], [24]]], [[[1], [0], [0], [0]], [[0], [12], [4], [8]], [[0], [12], [-24], [8]], [[0], [20], [-12], [-24]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[6272]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [6], [2], [-10]], [[0], [8], [-16], [-4]]], [[[1], [0], [0], [0]], [[0], [10], [-6], [2]], [[0], [2], [10], [6]], [[0], [12], [4], [-6]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6272]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [-2]], [[0], [6], [2], [-10]], [[0], [12], [4], [8]]], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [4], [-8], [-2]], [[0], [8], [12], [-18]]], 0, 384, [], [] >,
< [ -1, 1 ], [[2352]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [2]], [[0], [1], [-9/2], [-5/2]], [[0], [10], [4], [-4]]], [[[1], [0], [0], [0]], [[0], [2/5], [26/5], [2/5]], [[0], [24/5], [-3/5], [-11/5]], [[0], [3], [1/2], [13/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2352]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [2]], [[0], [0], [7/2], [7/2]], [[0], [10], [4], [-4]]], [[[1], [0], [0], [0]], [[0], [12/5], [-3/10], [-11/10]], [[0], [2/5], [26/5], [2/5]], [[0], [6], [1], [13]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1053696]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [4]], [[0], [4], [28], [-8]], [[0], [16], [0], [-32]]], [[[1], [0], [0], [0]], [[0], [4], [0], [20]], [[0], [20], [0], [-12]], [[0], [4], [28], [-8]]], 0, 43008, [], [] >,
< [ -1, 1 ], [[5488]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-8]], [[0], [10], [-6], [2]], [[0], [10], [8], [-5]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-4]], [[0], [9], [-4], [6]], [[0], [19], [18], [-6]]], 1, 336, [], [] >,
< [ -1, 1 ], [[5488]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-8]], [[0], [10], [-6], [2]], [[0], [5], [11], [-6]]], [[[1], [0], [0], [0]], [[0], [4], [-1], [5]], [[0], [6], [-5], [-3]], [[0], [14], [21], [-7]]], 1, 336, [], [] >,
< [ -1, 1 ], [[5488]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [6]], [[0], [3], [8], [2]], [[0], [17], [-6], [-12]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [6]], [[0], [8], [-9], [-4]], [[0], [14], [7], [0]]], 1, 336, [], [] >,
< [ -1, 1 ], [[5488]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [6]], [[0], [10], [1], [-5]], [[0], [6], [16], [4]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [3]], [[0], [7], [14], [7]], [[0], [21], [0], [-7]]], 1, 336, [], [] >,
< [ -1, 1 ], [[102400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [10], [4], [2]], [[0], [10], [-12], [2]], [[0], [10], [-4], [-14]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [10], [4], [2]], [[0], [10], [4], [-30]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[3200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [10], [2], [0]]], 0, 192, [], [] >,
< [ -1, 1 ], [[3200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [4]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [20], [0], [0]]], 0, 192, [], [] >,
< [ -1, 1 ], [[25600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [10], [-4], [2]], [[0], [10], [12], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [8], [4]], [[0], [10], [4], [-2]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[25600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [10], [0], [2]], [[0], [0], [16], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [10], [8], [2]], [[0], [10], [-8], [2]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[25600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [10], [0], [6]], [[0], [10], [0], [-10]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [0], [4], [8]], [[0], [10], [0], [-2]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[25600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [0], [4], [-8]], [[0], [10], [4], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [10], [0], [-2]], [[0], [0], [0], [16]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[76800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [40], [2], [2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [80], [0], [0]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[9600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [4]], [[0], [10], [0], [2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[9600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [4]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [10], [2], [0]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [5/4], [3/2], [9/4]], [[0], [15/4], [1/2], [-5/4]]], [[[1], [0], [0], [0]], [[0], [25/28], [1/2], [13/28]], [[0], [5/2], [-3], [-3/2]], [[0], [15/28], [7/2], [-149/28]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [5/4], [5/2], [5/4]], [[0], [15/4], [-1/2], [-1/4]]], [[[1], [0], [0], [0]], [[0], [25/14], [1], [13/14]], [[0], [55/28], [1/2], [-89/28]], [[0], [15/28], [-7/2], [47/28]]], 1, 96, [], [] >,
< [ -1, 1 ], [[400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [2], [4]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [2], [4]], [[0], [5], [0], [0]]], 1, 24, [], [] >,
< [ -1, 1 ], [[400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [2], [4]], [[0], [5], [1], [2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [1], [-3]], [[0], [10], [0], [0]]], 1, 24, [], [] >,
< [ -1, 1 ], [[3200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [8], [-4]], [[0], [0], [0], [10]], [[0], [10], [6], [2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [10], [0], [0]], [[0], [0], [4], [-12]]], 0, 192, [], [] >,
< [ -1, 1 ], [[3200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [10], [-2], [-4]], [[0], [10], [6], [12]]], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [10], [2], [-6]], [[0], [10], [-2], [6]]], 0, 192, [], [] >,
< [ -1, 1 ], [[307200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [0], [-8]], [[0], [16], [20], [12]], [[0], [16], [-40], [32]]], [[[1], [0], [0], [0]], [[0], [0], [20], [20]], [[0], [0], [20], [-20]], [[0], [32], [0], [-16]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[76800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [-6]], [[0], [16], [2], [6]], [[0], [4], [48], [-16]]], [[[1], [0], [0], [0]], [[0], [52/7], [-36/7], [-4]], [[0], [64/7], [-82/7], [22]], [[0], [148/7], [86/7], [14]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[1200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1/2], [-3/2]], [[0], [1], [-11/2], [7/2]], [[0], [7], [3/2], [9/2]]], [[[1], [0], [0], [0]], [[0], [17/7], [33/14], [-3/2]], [[0], [26/7], [-18/7], [-2]], [[0], [20/7], [5/7], [5]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [5/2], [-5/2]], [[0], [2], [-1], [-3]], [[0], [6], [9/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [10/7], [5/14], [5/2]], [[0], [26/7], [-18/7], [-2]], [[0], [34/7], [33/7], [-3]]], 1, 48, [], [] >,
< [ -1, 1 ], [[76800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [-20]], [[0], [0], [20], [-20]], [[0], [32], [16], [0]]], [[[1], [0], [0], [0]], [[0], [20], [-20], [0]], [[0], [12], [16], [20]], [[0], [0], [20], [-20]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[1200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [0]], [[0], [4], [-3], [5]], [[0], [2], [-9], [-5]]], [[[1], [0], [0], [0]], [[0], [4], [2], [0]], [[0], [1], [-2], [-5]], [[0], [5], [-10], [5]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [0]], [[0], [3], [-6], [0]], [[0], [1], [-2], [10]]], [[[1], [0], [0], [0]], [[0], [2], [1], [0]], [[0], [2], [-4], [-10]], [[0], [6], [-12], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[179200]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [10], [-4], [2]], [[0], [0], [8], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [8], [-4]], [[0], [10], [4], [-2]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[179200]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [10], [0], [-2]], [[0], [0], [8], [8]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [10], [-4], [-2]], [[0], [10], [12], [-2]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[2800]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [5/2], [1], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [5], [1], [0]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2800]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [5/2], [0], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [2], [0]], [[0], [5], [0], [0]]], 1, 144, [], [] >,
< [ -1, 1 ], [[1254400]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [8], [-8]], [[0], [70], [4], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [8], [-4]], [[0], [70], [4], [2]]], 0, 73728, [], [] >,
< [ -1, 1 ], [[1254400]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [8], [-8]], [[0], [70], [0], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [16], [0]], [[0], [70], [-4], [-2]]], 0, 73728, [], [] >,
< [ -1, 1 ], [[19600]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [35/2], [1], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [35], [1], [0]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[19600]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [35/2], [0], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [2], [0]], [[0], [35], [0], [0]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[128000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [8], [-4]], [[0], [10], [0], [-10]], [[0], [20], [8], [16]]], [[[1], [0], [0], [0]], [[0], [10], [0], [-10]], [[0], [0], [16], [0]], [[0], [10], [8], [10]]], 0, 7680, [], [] >,
< [ -1, 1 ], [[2000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [2]], [[0], [0], [4], [-2]], [[0], [5], [2], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [5], [0], [5]], [[0], [5], [0], [-5]]], 1, 120, [], [] >,
< [ -1, 1 ], [[2000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [2], [4]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [5], [0], [0]], [[0], [0], [0], [5]]], 1, 120, [], [] >,
< [ -1, 1 ], [[128000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [10], [8], [2]], [[0], [10], [0], [-10]], [[0], [10], [-16], [6]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [10], [0], [-2]], [[0], [0], [40], [4]]], 0, 7680, [], [] >,
< [ -1, 1 ], [[2000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [0], [3], [2]], [[0], [5], [1], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [5], [0]], [[0], [5], [0], [1]]], 1, 120, [], [] >,
< [ -1, 1 ], [[2000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [0], [2], [3]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [5], [0], [0]], [[0], [0], [10], [0]]], 1, 120, [], [] >,
< [ -1, 1 ], [[6000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [5], [-1]], [[0], [5], [5/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [5], [0], [-1]], [[0], [0], [5], [1]]], 1, 240, [], [] >,
< [ -1, 1 ], [[6000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [5/2], [-1/2]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [5], [0]], [[0], [10], [0], [0]]], 1, 240, [], [] >,
< [ -1, 1 ], [[384000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [10], [6]], [[0], [0], [10], [-10]], [[0], [20], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [20], [0]], [[0], [20], [-10], [-2]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[384000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [10], [-2]], [[0], [0], [0], [16]], [[0], [20], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [20], [10], [2]], [[0], [20], [-30], [2]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[6000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [1], [5]], [[0], [5], [1/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [5], [-1], [0]], [[0], [0], [1], [5]]], 1, 240, [], [] >,
< [ -1, 1 ], [[6000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [1/2], [5/2]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [5]], [[0], [10], [0], [0]]], 1, 240, [], [] >,
< [ -1, 1 ], [[384000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-10]], [[0], [0], [10], [10]], [[0], [20], [-4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [20], [2], [-10]], [[0], [20], [2], [30]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[384000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [10]], [[0], [0], [16], [0]], [[0], [20], [-4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [0], [0], [20]], [[0], [20], [-2], [10]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[128000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-12]], [[0], [20], [32], [4]], [[0], [60], [-32], [-4]]], [[[1], [0], [0], [0]], [[0], [0], [8], [-24]], [[0], [20], [32], [4]], [[0], [20], [-28], [-16]]], 0, 7680, [], [] >,
< [ -1, 1 ], [[2000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [5], [8], [1]], [[0], [5], [-8], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [1], [-3]], [[0], [10], [0], [0]], [[0], [0], [15], [5]]], 1, 120, [], [] >,
< [ -1, 1 ], [[2000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [0], [7], [4]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [2], [-6]], [[0], [0], [16], [2]]], 1, 120, [], [] >,
< [ -1, 1 ], [[6000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-13/2], [1/2]], [[0], [8], [1], [3]], [[0], [2], [4], [-8]]], [[[1], [0], [0], [0]], [[0], [17/7], [33/14], [-3/2]], [[0], [20/7], [5/7], [5]], [[0], [96/7], [-123/7], [-7]]], 1, 240, [], [] >,
< [ -1, 1 ], [[6000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-9/2], [-7/2]], [[0], [8], [1], [3]], [[0], [2], [4], [-8]]], [[[1], [0], [0], [0]], [[0], [10/7], [5/14], [5/2]], [[0], [34/7], [33/7], [-3]], [[0], [96/7], [-123/7], [-7]]], 1, 240, [], [] >,
< [ -1, 1 ], [[384000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [2], [6]], [[0], [20], [-10], [-30]], [[0], [12], [44], [-28]]], [[[1], [0], [0], [0]], [[0], [12/7], [-46/7], [26]], [[0], [136/7], [132/7], [-12]], [[0], [124/7], [-312/7], [-8]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[6000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-1], [5]], [[0], [6], [-7], [-5]], [[0], [4], [12], [-10]]], [[[1], [0], [0], [0]], [[0], [9], [2], [-5]], [[0], [2], [6], [10]], [[0], [5], [-10], [5]]], 1, 480, [], [] >,
< [ -1, 1 ], [[6000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [7], [-4], [0]], [[0], [2], [6], [10]], [[0], [4], [12], [-10]]], [[[1], [0], [0], [0]], [[0], [10], [5], [0]], [[0], [2], [6], [10]], [[0], [6], [-7], [10]]], 1, 480, [], [] >,
< [ -1, 1 ], [[144]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [3], [0], [0]], [[0], [0], [0], [6]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [6], [0], [0]], [[0], [0], [0], [6]]], 1, 8, [], [] >,
< [ -1, 1 ], [[144]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [1], [3]], [[0], [6], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [3], [0], [3]], [[0], [3], [0], [-3]]], 1, 6, [], [] >,
< [ -1, 1 ], [[1152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [6], [4], [0]], [[0], [0], [8], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [6], [0], [6]], [[0], [6], [2], [-6]]], 0, 48, [], [] >,
< [ -1, 1 ], [[1152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [2], [-6]], [[0], [0], [8], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [6], [0], [6]], [[0], [12], [0], [-12]]], 0, 48, [], [] >,
< [ -1, 1 ], [[9216]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-4]], [[0], [4], [12], [8]], [[0], [16], [-12], [20]]], [[[1], [0], [0], [0]], [[0], [8], [0], [-8]], [[0], [8], [-12], [4]], [[0], [4], [12], [8]]], 0, 768, [], [] >,
< [ -1, 1 ], [[144]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [1], [3], [2]], [[0], [1], [-3], [2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [3], [0], [3]], [[0], [0], [6], [0]]], 1, 12, [], [] >,
< [ -1, 1 ], [[144]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [2], [0], [-2]], [[0], [0], [6], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [0], [3], [0]], [[0], [4], [0], [2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[10368]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [6], [-12], [0]], [[0], [6], [6], [18]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [12], [-12], [0]], [[0], [6], [-6], [18]]], 0, 576, [], [] >,
< [ -1, 1 ], [[10368]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [6], [-18]], [[0], [0], [24], [0]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [12], [-12], [0]], [[0], [0], [0], [18]]], 0, 576, [], [] >,
< [ -1, 1 ], [[1296]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [18]]], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [9]]], 0, 72, [], [] >,
< [ -1, 1 ], [[1296]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [3], [9]]], [[[1], [0], [0], [0]], [[0], [3], [3], [0]], [[0], [3], [-3], [0]], [[0], [0], [0], [18]]], 0, 72, [], [] >,
< [ -1, 1 ], [[82944]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [-12]], [[0], [24], [-12], [12]], [[0], [24], [36], [12]]], [[[1], [0], [0], [0]], [[0], [12], [24], [-12]], [[0], [12], [12], [24]], [[0], [24], [0], [-24]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[1296]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [6], [3], [3]], [[0], [6], [0], [-6]]], [[[1], [0], [0], [0]], [[0], [3], [0], [-3]], [[0], [0], [6], [0]], [[0], [9], [0], [9]]], 0, 72, [], [] >,
< [ -1, 1 ], [[1296]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [3], [0], [6]], [[0], [6], [0], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [6], [0], [-6]], [[0], [12], [0], [6]]], 0, 72, [], [] >,
< [ -1, 1 ], [[36864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [12], [-4]], [[0], [0], [0], [16]], [[0], [16], [0], [8]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [12], [4]], [[0], [32], [0], [0]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[36864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-8]], [[0], [0], [12], [-4]], [[0], [16], [0], [16]]], [[[1], [0], [0], [0]], [[0], [8], [0], [-8]], [[0], [8], [12], [4]], [[0], [8], [-12], [12]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[3888]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [3], [15/2], [3/2]], [[0], [3], [3/2], [15/2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [6], [-6]], [[0], [9], [9/2], [-3/2]]], 0, 216, [], [] >,
< [ -1, 1 ], [[3888]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [9/2], [9/2]], [[0], [0], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [6], [-6]], [[0], [18], [0], [0]]], 0, 216, [], [] >,
< [ -1, 1 ], [[31104]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [6], [-6]], [[0], [6], [3], [15]], [[0], [6], [-15], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [9], [-15]], [[0], [18], [6], [-6]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[31104]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [6], [-6]], [[0], [0], [9], [9]], [[0], [18], [-6], [6]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [18], [-6], [6]], [[0], [18], [18], [-18]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[3888]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-9/2], [3/2]], [[0], [6], [3], [3]], [[0], [3], [-3/2], [-15/2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [3], [-3/2], [9/2]], [[0], [12], [6], [-6]]], 0, 216, [], [] >,
< [ -1, 1 ], [[3888]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3/2], [-3/2]], [[0], [0], [9/2], [9/2]], [[0], [0], [15/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [6], [-6], [6]], [[0], [12], [6], [-6]]], 0, 216, [], [] >,
< [ -1, 1 ], [[248832]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-12], [-12]], [[0], [24], [18], [-6]], [[0], [12], [-24], [24]]], [[[1], [0], [0], [0]], [[0], [12], [-6], [18]], [[0], [24], [6], [-18]], [[0], [12], [-30], [-6]]], 0, 13824, [], [] >,
< [ -1, 1 ], [[73728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [20], [-12], [12]], [[0], [8], [24], [8]]], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [4], [-12], [12]], [[0], [20], [0], [-8]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[73728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [16], [12], [12]], [[0], [16], [-24], [8]]], [[[1], [0], [0], [0]], [[0], [4], [-12], [12]], [[0], [8], [0], [-16]], [[0], [16], [12], [12]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[73728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [8], [-12], [4]], [[0], [36], [24], [16]]], [[[1], [0], [0], [0]], [[0], [8], [-12], [4]], [[0], [8], [0], [-16]], [[0], [20], [12], [4]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[9216]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [6], [-2]], [[0], [0], [12], [28]]], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [8], [0], [0]], [[0], [0], [6], [14]]], 0, 512, [], [] >,
< [ -1, 1 ], [[9216]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [18], [-14]]], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [4], [-6], [-6]], [[0], [0], [6], [-10]]], 0, 512, [], [] >,
< [ -1, 1 ], [[9216]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [0], [6], [6]], [[0], [4], [6], [-10]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [6], [-10]], [[0], [0], [12], [12]]], 0, 512, [], [] >,
< [ -1, 1 ], [[3888]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [0]], [[0], [6], [9], [6]], [[0], [0], [3], [-12]]], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [0], [6], [-6]], [[0], [12], [-9], [-6]]], 0, 216, [], [] >,
< [ -1, 1 ], [[3888]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [6], [-3]], [[0], [3], [-6], [-9]], [[0], [9], [0], [9]]], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [3], [6], [-3]], [[0], [18], [-18], [-18]]], 0, 216, [], [] >,
< [ -1, 1 ], [[248832]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [-24]], [[0], [36], [-24], [24]], [[0], [24], [36], [24]]], [[[1], [0], [0], [0]], [[0], [12], [0], [12]], [[0], [24], [48], [-24]], [[0], [36], [-48], [-24]]], 0, 13824, [], [] >,
< [ -1, 1 ], [[3888]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [6], [-6], [-6]], [[0], [9], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [6], [-3], [0]], [[0], [0], [3], [6]], [[0], [12], [18], [-6]]], 0, 216, [], [] >,
< [ -1, 1 ], [[3888]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [6], [-6], [-6]], [[0], [6], [9], [-3]]], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [6], [-6], [-6]], [[0], [9], [18], [-9]]], 0, 216, [], [] >,
< [ -1, 1 ], [[248832]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [-12], [0]], [[0], [24], [24], [-36]], [[0], [0], [24], [48]]], [[[1], [0], [0], [0]], [[0], [12], [0], [12]], [[0], [0], [48], [-12]], [[0], [48], [0], [-60]]], 0, 13824, [], [] >,
< [ -1, 1 ], [[248832]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [-12], [0]], [[0], [24], [36], [-12]], [[0], [0], [24], [48]]], [[[1], [0], [0], [0]], [[0], [24], [0], [24]], [[0], [12], [-24], [-36]], [[0], [36], [24], [-24]]], 0, 13824, [], [] >,
< [ -1, 1 ], [[9216]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [16], [-4], [-4]], [[0], [0], [12], [12]]], [[[1], [0], [0], [0]], [[0], [8], [4], [4]], [[0], [4], [-4], [8]], [[0], [16], [-16], [-16]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [6], [0], [6]], [[0], [4], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [4], [-4], [-4]], [[0], [8], [-2], [4]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-4]], [[0], [0], [6], [0]], [[0], [6], [0], [6]]], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [2], [4], [-2]], [[0], [12], [0], [12]]], 0, 64, [], [] >,
< [ -1, 1 ], [[720]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [1], [0]], [[0], [2], [-2], [0]], [[0], [1], [-1], [3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [0]], [[0], [3], [0], [1]]], 1, 24, [], [] >,
< [ -1, 1 ], [[720]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [2], [0]], [[0], [2], [-2], [0]], [[0], [0], [0], [3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [3], [0], [0]], [[0], [0], [6], [0]]], 1, 24, [], [] >,
< [ -1, 1 ], [[46080]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [4], [8], [0]], [[0], [8], [-8], [-12]]], [[[1], [0], [0], [0]], [[0], [6], [0], [2]], [[0], [0], [0], [8]], [[0], [0], [24], [4]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[414720]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [18], [0], [6]], [[0], [0], [0], [24]], [[0], [6], [24], [6]]], [[[1], [0], [0], [0]], [[0], [6], [0], [18]], [[0], [24], [0], [0]], [[0], [12], [24], [0]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[6480]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3], [3], [3]], [[0], [3], [3], [-3]], [[0], [6], [-3], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [6], [0], [0]], [[0], [3], [0], [9]]], 0, 288, [], [] >,
< [ -1, 1 ], [[6480]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [3], [-6], [0]], [[0], [6], [6], [0]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [9]]], 0, 288, [], [] >,
< [ -1, 1 ], [[5760]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [3], [-5]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [4], [0], [0]], [[0], [2], [0], [4]]], 0, 256, [], [] >,
< [ -1, 1 ], [[5760]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [1]], [[0], [0], [3], [3]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [3], [-1]], [[0], [0], [3], [7]]], 0, 256, [], [] >,
< [ -1, 1 ], [[46080]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-2]], [[0], [0], [0], [8]], [[0], [8], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [6], [2]], [[0], [16], [0], [0]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[19440]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [6], [0], [-3]], [[0], [0], [6], [3]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [6], [3], [3]], [[0], [6], [-6], [-6]]], 0, 864, [], [] >,
< [ -1, 1 ], [[19440]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [3], [3], [0]], [[0], [0], [3], [-3]], [[0], [6], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [3], [-3/2], [-9/2]], [[0], [6], [3], [3]]], 0, 864, [], [] >,
< [ -1, 1 ], [[720]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/4], [1/2], [7/4]], [[0], [3/4], [5/2], [-1/4]], [[0], [3], [-2], [-1]]], [[[1], [0], [0], [0]], [[0], [9/14], [1], [-11/14]], [[0], [57/28], [1/2], [61/28]], [[0], [45/28], [-7/2], [-55/28]]], 1, 32, [], [] >,
< [ -1, 1 ], [[720]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/4], [3/2], [3/4]], [[0], [0], [2], [-2]], [[0], [3], [-2], [-1]]], [[[1], [0], [0], [0]], [[0], [9/14], [1], [-11/14]], [[0], [51/28], [-3/2], [3/28]], [[0], [9/4], [5/2], [17/4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[184320]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [0], [-8]], [[0], [16], [-12], [12]], [[0], [16], [36], [12]]], [[[1], [0], [0], [0]], [[0], [0], [12], [20]], [[0], [0], [24], [0]], [[0], [32], [12], [4]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[720]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [3/2]], [[0], [2], [3], [1]], [[0], [4], [0], [-4]]], [[[1], [0], [0], [0]], [[0], [6/7], [3/14], [3/2]], [[0], [26/7], [-18/7], [-2]], [[0], [34/7], [33/7], [-3]]], 1, 48, [], [] >,
< [ -1, 1 ], [[720]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [1/2]], [[0], [3], [-3/2], [-9/2]], [[0], [4], [-3], [3]]], [[[1], [0], [0], [0]], [[0], [12/7], [3/7], [3]], [[0], [17/7], [33/14], [-3/2]], [[0], [26/7], [-18/7], [-2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[46080]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [12], [4]], [[0], [0], [6], [-14]], [[0], [12], [-12], [-4]]], [[[1], [0], [0], [0]], [[0], [52/7], [-36/7], [-4]], [[0], [32/7], [-90/7], [14]], [[0], [116/7], [78/7], [6]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[720]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [2], [-4], [-4]], [[0], [6], [3], [3]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [1], [-2], [-5]], [[0], [12], [6], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[720]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [-2]], [[0], [1], [-2], [4]], [[0], [12], [6], [0]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [2], [-4], [-4]], [[0], [6], [3], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[46080]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-16], [8]], [[0], [4], [-8], [-20]], [[0], [20], [20], [8]]], [[[1], [0], [0], [0]], [[0], [4], [-8], [4]], [[0], [28], [4], [-8]], [[0], [20], [20], [32]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[8064]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [0], [4]], [[0], [0], [6], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [4], [0], [4]], [[0], [0], [6], [0]]], 0, 384, [], [] >,
< [ -1, 1 ], [[8064]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [4], [0], [4]], [[0], [2], [6], [2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1008]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [6], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1008]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [6], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1008]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [1], [7/2], [1/2]], [[0], [1], [1/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [1/5], [-1/2], [-11/10]], [[0], [14/5], [2], [-2/5]], [[0], [24/5], [-6], [18/5]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1008]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [2], [-2], [-2]], [[0], [4], [2], [2]]], [[[1], [0], [0], [0]], [[0], [8/5], [1/2], [-13/10]], [[0], [6/5], [3/2], [9/10]], [[0], [24/5], [-6], [18/5]]], 1, 48, [], [] >,
< [ -1, 1 ], [[9072]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-9], [0]], [[0], [12], [6], [0]], [[0], [3], [-3], [18]]], [[[1], [0], [0], [0]], [[0], [3], [-6], [9]], [[0], [12], [6], [0]], [[0], [3], [-12], [-9]]], 0, 576, [], [] >,
< [ -1, 1 ], [[9072]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-9]], [[0], [6], [6], [9]], [[0], [6], [-18], [0]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [6], [-18], [0]], [[0], [0], [6], [18]]], 0, 576, [], [] >,
< [ -1, 1 ], [[1008]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [6]], [[0], [0], [6], [-3]], [[0], [6], [2], [-3]]], [[[1], [0], [0], [0]], [[0], [3], [-2], [0]], [[0], [0], [2], [6]], [[0], [6], [10], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1008]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [5], [0]], [[0], [0], [2], [6]], [[0], [6], [-4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [3]], [[0], [6], [-4], [0]], [[0], [6], [9], [-3]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1008]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [2], [-3], [-3]], [[0], [8], [-3], [5]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [9/5]], [[0], [24/5], [-3/5], [-11/5]], [[0], [1], [15/2], [3/2]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1008]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [-3]], [[0], [4], [-3/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [9/5]], [[0], [12/5], [-3/10], [-11/10]], [[0], [2], [15], [3]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1584]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [-3]], [[0], [3], [6], [1]], [[0], [7], [0], [1]]], [[[1], [0], [0], [0]], [[0], [1/5], [-12/5], [-1/5]], [[0], [8/5], [-6/5], [32/5]], [[0], [8], [0], [-2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1584]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [0]], [[0], [2], [0], [-6]], [[0], [4], [3], [4]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [16/5]], [[0], [2/5], [-24/5], [-2/5]], [[0], [8], [0], [-2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1872]], [ -13 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [6], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [3], [0], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1872]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [3], [1/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [1]], [[0], [6], [0], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[119808]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [8], [0]], [[0], [12], [-2], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [8]], [[0], [12], [2], [2]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[24336]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [6], [0], [0]], [[0], [3], [13/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [6], [0], [0]], [[0], [0], [13], [0]]], 1, 1344, [], [] >,
< [ -1, 1 ], [[24336]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [6], [0], [0]], [[0], [0], [13/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [3], [0], [0]], [[0], [0], [13], [1]]], 1, 1344, [], [] >,
< [ -1, 1 ], [[1557504]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [12], [26], [-2]], [[0], [36], [-26], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [24], [0], [4]], [[0], [12], [26], [-2]]], 0, 86016, [], [] >,
< [ -1, 1 ], [[17424]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [6], [1]], [[0], [8], [-6], [10]], [[0], [11], [0], [-11]]], [[[1], [0], [0], [0]], [[0], [8/5], [-6/5], [32/5]], [[0], [39/5], [12/5], [-9/5]], [[0], [10], [-24], [-4]]], 1, 960, [], [] >,
< [ -1, 1 ], [[17424]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [-6]], [[0], [6], [12], [2]], [[0], [8], [-6], [10]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [16/5]], [[0], [78/5], [24/5], [-18/5]], [[0], [46/5], [-117/5], [-36/5]]], 1, 960, [], [] >,
< [ -1, 1 ], [[7056]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [42], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [21], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[7056]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [21], [1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [1], [0], [-1]], [[0], [0], [42], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[56448]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [0], [-4]], [[0], [2], [42], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [0], [-4]], [[0], [0], [42], [0]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[56448]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [42], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [0], [-4]], [[0], [2], [42], [-2]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[7056]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-7/2], [-1/2]], [[0], [4], [7/2], [1/2]], [[0], [0], [0], [12]]], [[[1], [0], [0], [0]], [[0], [4], [7/2], [1/2]], [[0], [18/5], [0], [-24/5]], [[0], [26/5], [-7], [7/5]]], 1, 384, [], [] >,
< [ -1, 1 ], [[7056]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [7/2], [1/2]], [[0], [6], [0], [0]], [[0], [0], [0], [12]]], [[[1], [0], [0], [0]], [[0], [11/5], [7/2], [29/10]], [[0], [18/5], [0], [-24/5]], [[0], [26/5], [-7], [7/5]]], 1, 384, [], [] >,
< [ -1, 1 ], [[7056]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [9], [-3]], [[0], [12], [-3], [1]], [[0], [0], [0], [14]]], [[[1], [0], [0], [0]], [[0], [3], [-6], [-5]], [[0], [3], [-6], [9]], [[0], [18], [6], [-2]]], 1, 288, [], [] >,
< [ -1, 1 ], [[7056]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [2]], [[0], [3], [-6], [-12]], [[0], [18], [6], [-2]]], [[[1], [0], [0], [0]], [[0], [6], [9], [4]], [[0], [12], [-3], [-6]], [[0], [6], [-12], [4]]], 1, 288, [], [] >,
< [ -1, 1 ], [[63504]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [6], [12]], [[0], [9], [-18], [-15]], [[0], [9], [24], [-15]]], [[[1], [0], [0], [0]], [[0], [9], [3], [6]], [[0], [18], [6], [-30]], [[0], [9], [-39], [6]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[63504]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [21], [0]], [[0], [18], [6], [12]], [[0], [18], [6], [-30]]], [[[1], [0], [0], [0]], [[0], [0], [0], [21]], [[0], [18], [6], [12]], [[0], [18], [-36], [12]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[7056]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3/2], [11/2]], [[0], [4], [-15/2], [1/2]], [[0], [8], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [12/5], [-3/10], [-11/10]], [[0], [28/5], [-21/5], [63/5]], [[0], [6/5], [78/5], [6/5]]], 1, 384, [], [] >,
< [ -1, 1 ], [[7056]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-9/2], [-5/2]], [[0], [5], [-3/2], [17/2]], [[0], [8], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [24/5], [-3/5], [-11/5]], [[0], [17/5], [57/10], [69/10]], [[0], [11/5], [-99/10], [57/10]]], 1, 384, [], [] >,
< [ -1, 1 ], [[3161088]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [4]], [[0], [16], [0], [-32]], [[0], [4], [-84], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [20]], [[0], [20], [0], [-12]], [[0], [4], [-84], [-8]]], 0, 172032, [], [] >,
< [ -1, 1 ], [[32400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [15], [-6], [0]], [[0], [0], [18], [0]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [9]], [[0], [15], [0], [0]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[32400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [0], [9], [0]], [[0], [15], [3], [3]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [15], [0], [9]], [[0], [15], [0], [-9]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[2073600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [24]], [[0], [30], [24], [-6]], [[0], [30], [-48], [6]]], [[[1], [0], [0], [0]], [[0], [30], [0], [18]], [[0], [30], [24], [-18]], [[0], [30], [-24], [-18]]], 0, 110592, [], [] >,
< [ -1, 1 ], [[230400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [10], [8], [6]], [[0], [10], [-16], [-6]], [[0], [10], [8], [-18]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [24], [4]], [[0], [30], [0], [-2]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[3600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [5], [1], [3]], [[0], [5], [1], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [0]], [[0], [15], [0], [1]]], 1, 144, [], [] >,
< [ -1, 1 ], [[3600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [5], [-2], [0]], [[0], [0], [6], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [6], [0]], [[0], [15], [0], [0]]], 1, 144, [], [] >,
< [ -1, 1 ], [[97200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [9/2]], [[0], [0], [6], [0]], [[0], [30], [-3/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [9]], [[0], [30], [0], [-3]]], 0, 5184, [], [] >,
< [ -1, 1 ], [[97200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [3], [9]], [[0], [15], [3/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [3], [9]], [[0], [15], [0], [3]]], 0, 5184, [], [] >,
< [ -1, 1 ], [[230400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [0], [8]], [[0], [40], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [6], [-2]], [[0], [80], [0], [0]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[28800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [0], [3], [5]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [3], [-7]], [[0], [10], [0], [4]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[28800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [0], [3], [5]], [[0], [10], [3], [1]]], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [3], [-7]], [[0], [10], [0], [0]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[3600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [15/4], [1/2], [-5/4]], [[0], [0], [6], [6]]], [[[1], [0], [0], [0]], [[0], [75/28], [3/2], [39/28]], [[0], [45/28], [-7/2], [-55/28]], [[0], [15/28], [7/2], [-149/28]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [15/4], [-1/2], [-1/4]], [[0], [0], [6], [6]]], [[[1], [0], [0], [0]], [[0], [15/28], [-7/2], [47/28]], [[0], [15/4], [3/2], [-9/4]], [[0], [45/28], [3/2], [141/28]]], 1, 192, [], [] >,
< [ -1, 1 ], [[921600]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [0], [-8]], [[0], [0], [60], [-20]], [[0], [32], [0], [64]]], [[[1], [0], [0], [0]], [[0], [32], [0], [-16]], [[0], [32], [0], [24]], [[0], [0], [60], [20]]], 0, 49152, [], [] >,
< [ -1, 1 ], [[230400]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-6], [-18]], [[0], [12], [24], [-8]], [[0], [28], [6], [18]]], [[[1], [0], [0], [0]], [[0], [52/7], [-36/7], [-4]], [[0], [12], [24], [-8]], [[0], [32], [-6], [62]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[3600]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-3/2], [-9/2]], [[0], [2], [-6], [2]], [[0], [7], [3/2], [9/2]]], [[[1], [0], [0], [0]], [[0], [17/7], [33/14], [-3/2]], [[0], [26/7], [-18/7], [-2]], [[0], [60/7], [15/7], [15]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3600]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3/2], [-11/2]], [[0], [2], [-6], [2]], [[0], [6], [9/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [26/7], [-18/7], [-2]], [[0], [34/7], [33/7], [-3]], [[0], [30/7], [15/14], [15/2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[230400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [-20]], [[0], [32], [-4], [20]], [[0], [28], [64], [-20]]], [[[1], [0], [0], [0]], [[0], [32], [-4], [20]], [[0], [12], [36], [0]], [[0], [8], [-16], [-40]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[3600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-1], [5]], [[0], [4], [7], [-5]], [[0], [2], [-4], [-10]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[0], [5], [-10], [5]], [[0], [12], [6], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [0]], [[0], [1], [-2], [10]], [[0], [12], [6], [0]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [2], [-4], [-10]], [[0], [6], [-12], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[18000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [5], [15/2], [1/2]], [[0], [5], [-15/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [5], [0], [-1]], [[0], [0], [15], [1]]], 1, 960, [], [] >,
< [ -1, 1 ], [[18000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [15/2], [1/2]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [10], [0], [0]], [[0], [0], [15], [0]]], 1, 960, [], [] >,
< [ -1, 1 ], [[1152000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [16]], [[0], [20], [0], [-4]], [[0], [0], [30], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [20], [-30], [2]], [[0], [60], [30], [-2]]], 0, 61440, [], [] >,
< [ -1, 1 ], [[1152000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [16]], [[0], [20], [0], [-4]], [[0], [0], [30], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [20], [30], [2]], [[0], [20], [-30], [2]]], 0, 61440, [], [] >,
< [ -1, 1 ], [[18000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [3/2], [5/2]], [[0], [0], [3], [5]], [[0], [0], [3], [-5]]], [[[1], [0], [0], [0]], [[0], [5], [-3], [0]], [[0], [0], [3], [5]], [[0], [0], [3], [-5]]], 1, 960, [], [] >,
< [ -1, 1 ], [[18000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [5/2]], [[0], [0], [9/2], [-5/2]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [5]], [[0], [10], [0], [0]]], 1, 960, [], [] >,
< [ -1, 1 ], [[1152000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [18], [-10]], [[0], [20], [12], [0]], [[0], [0], [12], [20]]], [[[1], [0], [0], [0]], [[0], [0], [0], [20]], [[0], [20], [-6], [10]], [[0], [0], [24], [0]]], 0, 61440, [], [] >,
< [ -1, 1 ], [[1152000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [10]], [[0], [20], [6], [-10]], [[0], [20], [-24], [20]]], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [20], [6], [-10]], [[0], [20], [6], [30]]], 0, 61440, [], [] >,
< [ -1, 1 ], [[18000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-9/2], [-7/2]], [[0], [6], [-3], [11]], [[0], [14], [21/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [30/7], [15/14], [15/2]], [[0], [96/7], [-123/7], [-7]]], 1, 960, [], [] >,
< [ -1, 1 ], [[18000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [15/2], [5/2]], [[0], [6], [-3], [11]], [[0], [13], [-3/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [17/7], [33/14], [-3/2]], [[0], [60/7], [15/7], [15]], [[0], [96/7], [-123/7], [-7]]], 1, 960, [], [] >,
< [ -1, 1 ], [[1152000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [28], [-24], [8]], [[0], [24], [18], [-26]], [[0], [16], [42], [46]]], [[[1], [0], [0], [0]], [[0], [136/7], [132/7], [-12]], [[0], [124/7], [-312/7], [-8]], [[0], [172/7], [-6/7], [66]]], 0, 61440, [], [] >,
< [ -1, 1 ], [[18000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-1], [5]], [[0], [6], [18], [0]], [[0], [16], [-2], [-20]]], [[[1], [0], [0], [0]], [[0], [5], [-10], [5]], [[0], [11], [8], [5]], [[0], [16], [-2], [-20]]], 1, 960, [], [] >,
< [ -1, 1 ], [[18000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-10], [-10]], [[0], [11], [8], [-10]], [[0], [16], [-2], [10]]], [[[1], [0], [0], [0]], [[0], [8], [-1], [-10]], [[0], [16], [-2], [10]], [[0], [6], [18], [0]]], 1, 960, [], [] >,
< [ -1, 1 ], [[110592]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [12], [4]], [[0], [16], [-12], [4]], [[0], [0], [0], [24]]], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [0], [12], [-12]], [[0], [32], [0], [8]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[221184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [12], [-12]], [[0], [16], [-12], [-12]], [[0], [36], [0], [24]]], [[[1], [0], [0], [0]], [[0], [16], [-12], [-12]], [[0], [20], [-12], [12]], [[0], [28], [24], [0]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[221184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [12], [-12]], [[0], [16], [12], [12]], [[0], [36], [-24], [0]]], [[[1], [0], [0], [0]], [[0], [16], [12], [12]], [[0], [4], [-24], [0]], [[0], [28], [0], [-24]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[27648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [18], [-6]], [[0], [0], [6], [30]]], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [4], [12], [12]], [[0], [0], [6], [-18]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[27648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [4], [12], [12]], [[0], [0], [18], [-6]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [6], [-18]], [[0], [0], [30], [6]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[27648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [8], [0], [8]], [[0], [12], [-18], [-18]]], [[[1], [0], [0], [0]], [[0], [4], [-6], [10]], [[0], [8], [12], [-4]], [[0], [8], [-12], [-4]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[27648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [8], [-6], [2]], [[0], [0], [6], [30]]], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [4], [0], [16]], [[0], [16], [-12], [4]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[27648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [4], [-6], [10]], [[0], [20], [6], [-10]]], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [4], [-6], [10]], [[0], [0], [12], [12]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[27648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-12], [4]], [[0], [8], [6], [-10]], [[0], [4], [0], [16]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [12], [0], [0]], [[0], [4], [18], [-14]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[3456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [2], [6], [2]], [[0], [8], [-3], [5]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [-7]], [[0], [8], [-3], [5]]], 0, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [4], [3], [-5]], [[0], [6], [-6], [6]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [0], [3], [3]], [[0], [16], [-9], [7]]], 0, 192, [], [] >,
< [ -1, 1 ], [[27648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [12], [0]], [[0], [8], [4], [-20]], [[0], [8], [-20], [4]]], [[[1], [0], [0], [0]], [[0], [12], [0], [12]], [[0], [0], [12], [-12]], [[0], [16], [-16], [-16]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [6], [-6], [12]], [[0], [12], [12], [0]]], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [6], [6], [0]], [[0], [8], [-8], [10]]], 0, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [8], [4], [-2]], [[0], [6], [-6], [12]]], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [6], [6], [0]], [[0], [12], [-12], [24]]], 0, 192, [], [] >,
< [ -1, 1 ], [[27648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [12], [0], [12]], [[0], [32], [-20], [-20]]], [[[1], [0], [0], [0]], [[0], [8], [4], [4]], [[0], [4], [-4], [8]], [[0], [48], [-48], [-48]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [4], [8], [-4]], [[0], [6], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [12], [-6], [0]], [[0], [0], [6], [12]]], 0, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [6], [-6], [-6]], [[0], [12], [0], [12]]], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [4], [8], [-4]], [[0], [8], [-2], [-8]]], 0, 192, [], [] >,
< [ -1, 1 ], [[2160]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [-1]], [[0], [3], [3/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [-3], [0]], [[0], [1], [0], [3]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2160]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-1/2]], [[0], [0], [0], [2]], [[0], [6], [0], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [3]]], 1, 96, [], [] >,
< [ -1, 1 ], [[138240]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [6], [-10]], [[0], [12], [0], [4]]], [[[1], [0], [0], [0]], [[0], [4], [6], [6]], [[0], [4], [-6], [6]], [[0], [8], [0], [-12]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[138240]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-2]], [[0], [12], [0], [4]], [[0], [0], [6], [14]]], [[[1], [0], [0], [0]], [[0], [4], [6], [6]], [[0], [4], [6], [-6]], [[0], [8], [-12], [0]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[17280]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [4], [0], [4]], [[0], [0], [6], [0]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-2]], [[0], [4], [0], [4]], [[0], [2], [6], [2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[17280]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [0], [6], [0]], [[0], [6], [0], [-6]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-4]], [[0], [0], [12], [0]]], 0, 768, [], [] >,
< [ -1, 1 ], [[138240]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [8], [0], [-4]], [[0], [8], [-12], [8]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [6], [-6]], [[0], [16], [0], [4]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[138240]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [4], [-6], [-2]], [[0], [8], [0], [20]]], [[[1], [0], [0], [0]], [[0], [8], [0], [-4]], [[0], [0], [12], [0]], [[0], [4], [6], [10]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[2160]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/4], [3/2], [3/4]], [[0], [0], [2], [-2]], [[0], [39/4], [-5/2], [-17/4]]], [[[1], [0], [0], [0]], [[0], [33/28], [-5/2], [25/28]], [[0], [87/28], [1/2], [-41/28]], [[0], [9/4], [5/2], [17/4]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2160]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/4], [1/2], [7/4]], [[0], [3/4], [5/2], [-1/4]], [[0], [39/4], [-7/2], [-13/4]]], [[[1], [0], [0], [0]], [[0], [75/28], [3/2], [39/28]], [[0], [3/4], [-3/2], [15/4]], [[0], [45/28], [-7/2], [-55/28]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2160]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/4], [3/2], [3/4]], [[0], [3], [-2], [-1]], [[0], [3/4], [-9/2], [27/4]]], [[[1], [0], [0], [0]], [[0], [9/14], [1], [-11/14]], [[0], [57/14], [1], [61/14]], [[0], [57/28], [-9/2], [-135/28]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2160]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[0], [3], [-2], [-1]], [[0], [3/4], [-3/2], [15/4]]], [[[1], [0], [0], [0]], [[0], [9/14], [1], [-11/14]], [[0], [57/28], [1/2], [61/28]], [[0], [15/2], [-9], [-9/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2160]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [3/2]], [[0], [6], [3], [-3]], [[0], [0], [6], [6]]], [[[1], [0], [0], [0]], [[0], [6/7], [3/14], [3/2]], [[0], [60/7], [15/7], [-5]], [[0], [18/7], [-69/7], [-1]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2160]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [9/2], [3/2]], [[0], [3], [-3/2], [-9/2]], [[0], [4], [-3], [3]]], [[[1], [0], [0], [0]], [[0], [12/7], [3/7], [3]], [[0], [9/7], [-69/14], [-1/2]], [[0], [60/7], [15/7], [-5]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2160]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-1]], [[0], [0], [0], [9]], [[0], [12], [6], [0]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [4], [-8], [-2]], [[0], [2], [-4], [8]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2160]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [7], [1], [4]], [[0], [5], [5], [-4]], [[0], [4], [-8], [-2]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[0], [3], [-6], [3]], [[0], [12], [6], [0]]], 1, 144, [], [] >,
< [ -1, 1 ], [[138240]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-24], [12]], [[0], [28], [4], [16]], [[0], [36], [-12], [-24]]], [[[1], [0], [0], [0]], [[0], [4], [-8], [-20]], [[0], [20], [20], [-16]], [[0], [44], [-28], [8]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[2160]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [8], [-1], [-7]], [[0], [4], [7], [7]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [1]], [[0], [12], [6], [0]], [[0], [3], [-6], [-15]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2160]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [1], [-2], [-8]], [[0], [12], [6], [0]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [6], [3], [0]], [[0], [4], [-8], [-14]]], 1, 144, [], [] >,
< [ -1, 1 ], [[138240]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [4]], [[0], [32], [-4], [-28]], [[0], [36], [48], [60]]], [[[1], [0], [0], [0]], [[0], [8], [-16], [8]], [[0], [32], [-4], [-28]], [[0], [20], [20], [32]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[3024]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [2], [3], [1]], [[0], [2], [-3], [1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [3], [0], [3]], [[0], [0], [6], [0]]], 1, 144, [], [] >,
< [ -1, 1 ], [[3024]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [6], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [0], [3], [0]], [[0], [4], [0], [2]]], 1, 144, [], [] >,
< [ -1, 1 ], [[193536]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-4]], [[0], [8], [-12], [4]], [[0], [16], [12], [20]]], [[[1], [0], [0], [0]], [[0], [8], [0], [-8]], [[0], [8], [-12], [4]], [[0], [4], [12], [8]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[3024]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [0], [3], [-3]], [[0], [7], [7/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [14/5], [2], [-2/5]], [[0], [3/5], [-3/2], [-33/10]], [[0], [24/5], [-6], [18/5]]], 1, 144, [], [] >,
< [ -1, 1 ], [[3024]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [2], [-2], [-2]], [[0], [12], [6], [6]]], [[[1], [0], [0], [0]], [[0], [14/5], [2], [-2/5]], [[0], [2], [-1/2], [-7/2]], [[0], [24/5], [-6], [18/5]]], 1, 144, [], [] >,
< [ -1, 1 ], [[3024]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [7/2], [1/2]], [[0], [1], [1/2], [7/2]], [[0], [8], [-2], [-2]]], [[[1], [0], [0], [0]], [[0], [13/5], [5/2], [7/10]], [[0], [3/5], [-3/2], [-33/10]], [[0], [24/5], [-6], [18/5]]], 1, 144, [], [] >,
< [ -1, 1 ], [[3024]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [2], [4], [4]], [[0], [8], [-2], [-2]]], [[[1], [0], [0], [0]], [[0], [8/5], [1/2], [-13/10]], [[0], [2], [4], [4]], [[0], [24/5], [-6], [18/5]]], 1, 144, [], [] >,
< [ -1, 1 ], [[359424]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-8]], [[0], [0], [8], [8]], [[0], [12], [-2], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [8], [-4]], [[0], [0], [8], [8]], [[0], [12], [-2], [-2]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[4672512]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [12], [26], [2]], [[0], [36], [-26], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [24]], [[0], [24], [0], [12]], [[0], [12], [26], [2]]], 0, 258048, [], [] >,
< [ -1, 1 ], [[21168]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [2], [0], [4]], [[0], [2], [21], [1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [3], [0], [3]], [[0], [0], [42], [0]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[21168]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [42], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [4], [0], [2]], [[0], [0], [21], [0]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[1354752]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-8]], [[0], [12], [0], [12]], [[0], [4], [84], [8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-4]], [[0], [24], [0], [24]], [[0], [4], [-84], [8]]], 0, 73728, [], [] >,
< [ -1, 1 ], [[21168]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [7/2], [1/2]], [[0], [6], [0], [-12]], [[0], [11], [-7/2], [23/2]]], [[[1], [0], [0], [0]], [[0], [29/5], [7/2], [-19/10]], [[0], [37/5], [-7/2], [43/10]], [[0], [4/5], [7], [53/5]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[21168]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [7], [1]], [[0], [8], [-7/2], [-1/2]], [[0], [2], [-7/2], [23/2]]], [[[1], [0], [0], [0]], [[0], [2/5], [7/2], [53/10]], [[0], [8/5], [-7], [31/5]], [[0], [66/5], [0], [12/5]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[21168]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-7/2], [-1/2]], [[0], [4], [7/2], [-23/2]], [[0], [14], [7], [1]]], [[[1], [0], [0], [0]], [[0], [38/5], [7/2], [-43/10]], [[0], [28/5], [-7/2], [67/10]], [[0], [22/5], [7], [29/5]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[21168]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [7], [7/2], [1/2]], [[0], [4], [-7], [-1]], [[0], [5], [-7/2], [23/2]]], [[[1], [0], [0], [0]], [[0], [11/5], [7/2], [29/10]], [[0], [11], [-7/2], [-1/2]], [[0], [2], [7], [-11]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[691200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [20], [-6], [-6]], [[0], [0], [24], [0]]], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [6], [-14]], [[0], [60], [0], [-4]]], 0, 36864, [], [] >,
< [ -1, 1 ], [[691200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [20], [6], [6]], [[0], [0], [0], [24]]], [[[1], [0], [0], [0]], [[0], [0], [6], [-6]], [[0], [0], [6], [10]], [[0], [60], [0], [-4]]], 0, 36864, [], [] >,
< [ -1, 1 ], [[10800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [3], [-3]], [[0], [5], [3], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [1]], [[0], [15], [3/2], [1/2]]], 1, 576, [], [] >,
< [ -1, 1 ], [[10800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [3]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [1/2]], [[0], [0], [0], [2]], [[0], [30], [0], [0]]], 1, 576, [], [] >,
< [ -1, 1 ], [[691200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [0], [0], [12]], [[0], [40], [6], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [6], [-6]], [[0], [80], [0], [-4]]], 0, 36864, [], [] >,
< [ -1, 1 ], [[691200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [20], [6], [-10]], [[0], [0], [0], [24]]], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [20], [6], [2]], [[0], [0], [0], [24]]], 0, 36864, [], [] >,
< [ -1, 1 ], [[86400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [10], [3], [-5]], [[0], [10], [-9], [7]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [3], [-9]], [[0], [10], [0], [4]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[86400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [9], [-3]], [[0], [10], [-3], [1]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [10], [-3], [1]], [[0], [0], [12], [-12]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[10800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [15/4], [13/2], [19/4]], [[0], [45/4], [-1/2], [-7/4]]], [[[1], [0], [0], [0]], [[0], [75/28], [3/2], [39/28]], [[0], [45/28], [-7/2], [-55/28]], [[0], [45/28], [21/2], [-447/28]]], 1, 576, [], [] >,
< [ -1, 1 ], [[10800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [15/4], [11/2], [23/4]], [[0], [45/4], [-3/2], [-3/4]]], [[[1], [0], [0], [0]], [[0], [30/7], [-2], [-4/7]], [[0], [15/14], [5], [47/14]], [[0], [45/28], [7/2], [-251/28]]], 1, 576, [], [] >,
< [ -1, 1 ], [[10800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15/4], [5/2], [-13/4]], [[0], [15/4], [-7/2], [11/4]], [[0], [0], [8], [4]]], [[[1], [0], [0], [0]], [[0], [75/28], [3/2], [39/28]], [[0], [15/28], [7/2], [-149/28]], [[0], [15/2], [-9], [-9/2]]], 1, 576, [], [] >,
< [ -1, 1 ], [[10800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15/4], [-1/2], [-1/4]], [[0], [0], [6], [-6]], [[0], [0], [8], [4]]], [[[1], [0], [0], [0]], [[0], [75/14], [3], [39/14]], [[0], [45/14], [5], [-55/14]], [[0], [75/28], [-7/2], [-157/28]]], 1, 576, [], [] >,
< [ -1, 1 ], [[10800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [0], [0]], [[0], [0], [15/2], [-15/2]], [[0], [6], [-3], [-9]]], [[[1], [0], [0], [0]], [[0], [30/7], [15/14], [15/2]], [[0], [60/7], [15/7], [-5]], [[0], [18/7], [-69/7], [-1]]], 1, 576, [], [] >,
< [ -1, 1 ], [[10800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-3/2], [-9/2]], [[0], [7], [3/2], [9/2]], [[0], [4], [18], [-6]]], [[[1], [0], [0], [0]], [[0], [9/7], [-69/14], [-1/2]], [[0], [60/7], [15/7], [-5]], [[0], [60/7], [15/7], [15]]], 1, 576, [], [] >,
< [ -1, 1 ], [[691200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [28], [4], [40]], [[0], [20], [-40], [20]], [[0], [60], [0], [-60]]], [[[1], [0], [0], [0]], [[0], [40], [-20], [-20]], [[0], [28], [4], [40]], [[0], [28], [64], [-20]]], 0, 36864, [], [] >,
< [ -1, 1 ], [[10800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [-5]], [[0], [12], [6], [0]], [[0], [6], [-12], [15]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [8], [-16], [-10]], [[0], [2], [-4], [20]]], 1, 576, [], [] >,
< [ -1, 1 ], [[10800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [7], [1], [10]], [[0], [5], [5], [-10]], [[0], [8], [-16], [-10]]], [[[1], [0], [0], [0]], [[0], [5], [-10], [5]], [[0], [12], [6], [0]], [[0], [3], [-6], [-15]]], 1, 576, [], [] >,
< [ -1, 1 ], [[691200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [-20]], [[0], [4], [-68], [40]], [[0], [96], [48], [0]]], [[[1], [0], [0], [0]], [[0], [8], [-16], [-40]], [[0], [44], [32], [20]], [[0], [56], [-52], [20]]], 0, 36864, [], [] >,
< [ -1, 1 ], [[10800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [12], [6], [0]], [[0], [13], [-11], [10]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-5]], [[0], [12], [6], [0]], [[0], [15], [-30], [15]]], 1, 576, [], [] >,
< [ -1, 1 ], [[10800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [12], [6], [0]], [[0], [8], [-16], [5]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [2], [-4], [-10]], [[0], [16], [-32], [10]]], 1, 576, [], [] >,
< [ -1, 1 ], [[54000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [5], [15/2], [1/2]], [[0], [5], [-15/2], [-5/2]]], [[[1], [0], [0], [0]], [[0], [5], [0], [-1]], [[0], [0], [0], [6]], [[0], [0], [15], [3]]], 1, 2880, [], [] >,
< [ -1, 1 ], [[54000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [0], [15/2], [-3/2]], [[0], [10], [0], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [10], [0], [1]], [[0], [0], [15], [0]]], 1, 2880, [], [] >,
< [ -1, 1 ], [[54000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [3/2], [15/2]], [[0], [10], [3/2], [-5/2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [10], [0], [5]], [[0], [10], [0], [-10]]], 1, 2880, [], [] >,
< [ -1, 1 ], [[54000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [5/2]], [[0], [0], [6], [0]], [[0], [5], [3/2], [-25/2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [5], [0], [-5]], [[0], [10], [3], [5]]], 1, 2880, [], [] >,
< [ -1, 1 ], [[54000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [14], [17], [5]], [[0], [8], [-1], [-25]], [[0], [24], [-3], [15]]], [[[1], [0], [0], [0]], [[0], [5], [-10], [5]], [[0], [27], [6], [-15]], [[0], [6], [18], [30]]], 1, 2880, [], [] >,
< [ -1, 1 ], [[54000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [11], [8], [-10]], [[0], [21], [-12], [0]], [[0], [6], [18], [30]]], [[[1], [0], [0], [0]], [[0], [2], [-19], [-10]], [[0], [10], [-20], [10]], [[0], [32], [-4], [-10]]], 1, 2880, [], [] >,
< [ -1, 1 ], [[54000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-10], [20]], [[0], [21], [-12], [0]], [[0], [22], [16], [10]]], [[[1], [0], [0], [0]], [[0], [8], [-1], [-10]], [[0], [22], [16], [10]], [[0], [26], [-22], [20]]], 1, 2880, [], [] >,
< [ -1, 1 ], [[54000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-19], [5]], [[0], [16], [-2], [-20]], [[0], [24], [-3], [15]]], [[[1], [0], [0], [0]], [[0], [11], [8], [5]], [[0], [16], [-2], [-20]], [[0], [15], [-30], [15]]], 1, 2880, [], [] >,
< [ -1, 1 ], [[10368]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-6], [6]], [[0], [8], [3], [3]], [[0], [8], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [2], [9], [-3]], [[0], [2], [0], [-12]]], 0, 576, [], [] >,
< [ -1, 1 ], [[10368]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [-3]], [[0], [2], [-6], [6]], [[0], [12], [9], [9]]], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [2], [9], [-3]], [[0], [2], [0], [12]]], 0, 576, [], [] >,
< [ -1, 1 ], [[1296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [3]], [[0], [1], [3/2], [-9/2]], [[0], [4], [-3], [-3]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [-9/2], [3/2]], [[0], [1], [9/2], [21/2]]], 1, 72, [], [] >,
< [ -1, 1 ], [[1296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [-3/2]], [[0], [4], [3/2], [3/2]], [[0], [2], [-6], [6]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [9/2], [9/2]], [[0], [0], [9/2], [-15/2]]], 1, 72, [], [] >,
< [ -1, 1 ], [[82944]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [4], [18], [10]], [[0], [4], [-18], [22]]], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [4], [-12], [4]], [[0], [0], [18], [42]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[1296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [2], [9/2], [1/2]], [[0], [4], [0], [4]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [4], [-3], [1]], [[0], [2], [-3/2], [-11/2]]], 1, 72, [], [] >,
< [ -1, 1 ], [[1296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [1], [9/2], [5/2]], [[0], [4], [0], [4]]], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [4], [-3], [1]], [[0], [2], [3], [11]]], 1, 72, [], [] >,
< [ -1, 1 ], [[82944]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [8], [-4]], [[0], [16], [-28], [-4]], [[0], [0], [0], [36]]], [[[1], [0], [0], [0]], [[0], [16], [-16], [-16]], [[0], [28], [8], [8]], [[0], [8], [28], [-8]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[1296]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-1]], [[0], [6], [-6], [3]], [[0], [0], [0], [9]]], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [2], [-2], [7]], [[0], [10], [8], [-1]]], 1, 72, [], [] >,
< [ -1, 1 ], [[1296]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [5], [2]], [[0], [3], [-3], [6]], [[0], [7], [-1], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [3], [-3], [6]], [[0], [9], [9], [0]]], 1, 72, [], [] >,
< [ -1, 1 ], [[82944]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-4], [-16]], [[0], [12], [-12], [24]], [[0], [28], [20], [8]]], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [28], [-16], [8]], [[0], [12], [24], [60]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[82944]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-4], [-16]], [[0], [20], [4], [16]], [[0], [0], [36], [0]]], [[[1], [0], [0], [0]], [[0], [8], [16], [-8]], [[0], [28], [-16], [8]], [[0], [8], [16], [28]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[1296]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [8], [-2], [1]], [[0], [2], [4], [7]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [2], [-5], [-2]], [[0], [10], [2], [8]]], 1, 72, [], [] >,
< [ -1, 1 ], [[1296]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [5], [1], [4]], [[0], [6], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [6], [-6], [-6]], [[0], [9], [0], [9]]], 1, 72, [], [] >,
< [ -1, 1 ], [[6480]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [-5/2]], [[0], [2], [3], [-1]], [[0], [2], [-3/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [1/2]], [[0], [2], [3], [-1]], [[0], [0], [0], [6]]], 1, 288, [], [] >,
< [ -1, 1 ], [[6480]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [5/2]], [[0], [2], [3], [-1]], [[0], [4], [-3], [1]]], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [4], [-3], [1]], [[0], [1], [3/2], [11/2]]], 1, 288, [], [] >,
< [ -1, 1 ], [[32400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9/2], [3/2]], [[0], [0], [0], [6]], [[0], [10], [3/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [0], [9/2], [-3/2]], [[0], [0], [0], [6]], [[0], [10], [3/2], [-1/2]]], 1, 1728, [], [] >,
< [ -1, 1 ], [[32400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [-5/2]], [[0], [5], [-3/2], [7/2]], [[0], [5], [15/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [1/2]], [[0], [0], [0], [6]], [[0], [5], [15/2], [-5/2]]], 1, 1728, [], [] >,
< [ -1, 1 ], [[256]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [4], [0]], [[0], [2], [0], [4]]], 0, 16, [], [] >,
< [ -1, 1 ], [[2048]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [8], [8]], [[0], [0], [12], [-4]]], [[[1], [0], [0], [0]], [[0], [4], [4], [4]], [[0], [4], [-4], [-4]], [[0], [4], [8], [-8]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2048]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [16], [-16]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [8], [0], [0]], [[0], [4], [8], [-8]]], 0, 128, [], [] >,
< [ -1, 1 ], [[16384]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [8], [8]], [[0], [16], [8], [-8]], [[0], [8], [-8], [16]]], [[[1], [0], [0], [0]], [[0], [8], [8], [0]], [[0], [0], [8], [8]], [[0], [16], [-24], [24]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[16384]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [0], [8], [-16]], [[0], [0], [24], [16]]], [[[1], [0], [0], [0]], [[0], [16], [0], [0]], [[0], [8], [-16], [0]], [[0], [8], [8], [16]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[768]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [4], [0], [0]], [[0], [0], [8], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [4], [0], [0]], [[0], [0], [3], [-5]]], 0, 32, [], [] >,
< [ -1, 1 ], [[6144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [12], [-4], [4]], [[0], [8], [8], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [4], [4], [-4]], [[0], [12], [-6], [2]]], 0, 256, [], [] >,
< [ -1, 1 ], [[6144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [4], [4], [-4]], [[0], [20], [-12], [12]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [4], [6], [-2]], [[0], [12], [-4], [4]]], 0, 256, [], [] >,
< [ -1, 1 ], [[49152]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [0], [4], [-12]], [[0], [0], [40], [8]]], [[[1], [0], [0], [0]], [[0], [0], [4], [-12]], [[0], [16], [0], [0]], [[0], [8], [20], [4]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[96]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [2], [0], [2]], [[0], [2], [-2], [-2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [-2], [-2]], [[0], [2], [4], [-2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[768]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [4], [-2]], [[0], [8], [-8], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [0], [4], [-4]], [[0], [6], [-4], [-2]]], 0, 64, [], [] >,
< [ -1, 1 ], [[81920]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-8]], [[0], [12], [0], [4]], [[0], [4], [16], [4]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-4]], [[0], [4], [-16], [4]], [[0], [16], [0], [16]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[10240]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [4], [4], [0]], [[0], [4], [-4], [4]], [[0], [4], [-4], [-4]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [8], [-8]]], 0, 512, [], [] >,
< [ -1, 1 ], [[10240]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [4], [4], [0]], [[0], [8], [-8], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [4], [4], [-4]], [[0], [4], [-4], [4]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1280]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [2], [0], [-2]], [[0], [4], [0], [4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [2], [2], [2]], [[0], [2], [-2], [2]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1280]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [4], [0], [0]], [[0], [2], [4], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [4], [2]]], 0, 64, [], [] >,
< [ -1, 1 ], [[160]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [2], [0], [0]], [[0], [0], [2], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]]], 1, 8, [], [] >,
< [ -1, 1 ], [[3840]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [8], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [4], [0], [2]]], 0, 128, [], [] >,
< [ -1, 1 ], [[480]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [2], [0], [0]], [[0], [0], [2], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[480]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1/2], [1], [1/2]], [[0], [1/2], [-1], [5/2]], [[0], [13/4], [-1/2], [-7/4]]], [[[1], [0], [0], [0]], [[0], [25/28], [1/2], [13/28]], [[0], [11/28], [3/2], [-57/28]], [[0], [9/4], [-5/2], [-11/4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[480]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1/2], [1], [1/2]], [[0], [1/4], [-1/2], [5/4]], [[0], [27/4], [-3/2], [-9/4]]], [[[1], [0], [0], [0]], [[0], [1/4], [-1/2], [5/4]], [[0], [43/28], [3/2], [-9/28]], [[0], [95/28], [-5/2], [-29/28]]], 1, 32, [], [] >,
< [ -1, 1 ], [[3840]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1/2], [1], [1/2]], [[0], [6], [0], [-6]], [[0], [15/2], [-5], [7/2]]], [[[1], [0], [0], [0]], [[0], [9/7], [2], [-11/7]], [[0], [51/14], [-3], [3/14]], [[0], [13/14], [3], [93/14]]], 0, 256, [], [] >,
< [ -1, 1 ], [[3840]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [2], [1]], [[0], [1/2], [-3], [9/2]], [[0], [13/2], [-3], [-3/2]]], [[[1], [0], [0], [0]], [[0], [9/7], [2], [-11/7]], [[0], [19/14], [-3], [-45/14]], [[0], [101/14], [-1], [29/14]]], 0, 256, [], [] >,
< [ -1, 1 ], [[160]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [2], [-1]], [[0], [2], [-2], [1]], [[0], [2], [2], [4]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [2], [-6]]], 1, 16, [], [] >,
< [ -1, 1 ], [[160]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [4], [0], [0]], [[0], [2], [2], [4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [2], [4]], [[0], [1], [-4], [2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1280]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [4], [8]], [[0], [2], [10], [0]]], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [2], [-6]], [[0], [8], [0], [0]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1280]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [2], [4]], [[0], [0], [16], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [2], [-6]], [[0], [4], [-2], [6]], [[0], [4], [-6], [-2]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1280]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-4]], [[0], [6], [2], [4]], [[0], [4], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [4], [2], [-6]], [[0], [4], [-2], [6]]], 0, 96, [], [] >,
< [ -1, 1 ], [[160]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-2]], [[0], [3], [1], [2]], [[0], [0], [4], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [2], [-6]]], 1, 12, [], [] >,
< [ -1, 1 ], [[3840]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [1]], [[0], [4], [-2], [-6]], [[0], [6], [-5], [9]]], [[[1], [0], [0], [0]], [[0], [16/7], [4/7], [4]], [[0], [34/7], [33/7], [-3]], [[0], [52/7], [-36/7], [-4]]], 0, 192, [], [] >,
< [ -1, 1 ], [[3840]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [-3]], [[0], [4], [6], [2]], [[0], [6], [-9], [5]]], [[[1], [0], [0], [0]], [[0], [16/7], [4/7], [4]], [[0], [26/7], [31/7], [-5]], [[0], [52/7], [-36/7], [-4]]], 0, 192, [], [] >,
< [ -1, 1 ], [[480]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [1]], [[0], [2], [-1], [-3]], [[0], [4], [-1/2], [1/2]]], [[[0], [2/7], [1/14], [1/2]], [[1], [0], [0], [0]], [[0], [32/7], [65/14], [-7/2]], [[0], [54/7], [-71/14], [-7/2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[480]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [3/2]], [[0], [2], [3], [1]], [[0], [2], [-1], [-3]]], [[[1], [0], [0], [0]], [[0], [4/7], [1/7], [1]], [[0], [4], [-5/2], [-3/2]], [[0], [34/7], [33/7], [-3]]], 1, 24, [], [] >,
< [ -1, 1 ], [[3840]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [0]], [[0], [6], [-2], [8]], [[0], [4], [-8], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [-8], [4]], [[0], [6], [8], [-2]], [[0], [4], [-8], [-8]]], 0, 384, [], [] >,
< [ -1, 1 ], [[3840]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-2], [-4]], [[0], [2], [6], [4]], [[0], [4], [-8], [16]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [2], [-4], [-10]], [[0], [16], [8], [0]]], 0, 384, [], [] >,
< [ -1, 1 ], [[480]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [6], [-2], [-1]], [[0], [2], [6], [1]]], [[[1], [0], [0], [0]], [[0], [4], [2], [0]], [[0], [2], [-4], [2]], [[0], [4], [-3], [-4]]], 1, 48, [], [] >,
< [ -1, 1 ], [[480]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-1]], [[0], [4], [2], [3]], [[0], [4], [2], [-3]]], [[[1], [0], [0], [0]], [[0], [2], [1], [0]], [[0], [2], [-4], [2]], [[0], [2], [-4], [-10]]], 1, 48, [], [] >,
< [ -1, 1 ], [[224]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [2], [0], [0]], [[0], [1], [5/2], [-3/2]]], [[[0], [2/3], [1/3], [1/3]], [[1], [0], [0], [0]], [[0], [1/3], [13/6], [-11/6]], [[0], [2], [-2], [-2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[224]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1/2], [1/2]], [[0], [1], [-1/2], [-1/2]], [[0], [0], [4], [-4]]], [[[0], [1/3], [1/6], [1/6]], [[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [0], [4], [-4]]], 1, 16, [], [] >,
< [ -1, 1 ], [[1792]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [4], [4], [-4]], [[0], [4], [-4], [4]]], [[[1], [0], [0], [0]], [[0], [8/3], [4/3], [4/3]], [[0], [8/3], [-5/3], [-5/3]], [[0], [4/3], [14/3], [-10/3]]], 0, 96, [], [] >,
< [ -1, 1 ], [[1792]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [4], [1], [1]], [[0], [0], [3], [-5]]], [[[1], [0], [0], [0]], [[0], [8/3], [4/3], [4/3]], [[0], [4/3], [-7/3], [-7/3]], [[0], [4/3], [14/3], [-10/3]]], 0, 96, [], [] >,
< [ -1, 1 ], [[672]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [-2], [0]], [[0], [1], [0], [2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[672]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [2], [-1], [0]], [[0], [0], [1], [2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[672]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [2], [0], [0]], [[0], [0], [2], [-2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [0], [2], [0]], [[0], [2], [0], [-2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[5376]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [4], [2], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [8], [0]]], 0, 192, [], [] >,
< [ -1, 1 ], [[5376]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [8], [0], [0]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [4]], [[0], [2], [4], [2]]], 0, 192, [], [] >,
< [ -1, 1 ], [[5376]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [4], [2], [2]], [[0], [4], [-2], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [2], [4], [2]], [[0], [2], [-4], [2]]], 0, 192, [], [] >,
< [ -1, 1 ], [[672]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [3], [-1/2], [1/2]], [[0], [1], [-7/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [1/5], [-1/2], [-11/10]], [[0], [14/5], [2], [-2/5]], [[0], [16/5], [-4], [12/5]]], 1, 48, [], [] >,
< [ -1, 1 ], [[672]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [1], [5/2], [3/2]], [[0], [5], [-5/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [2/5], [-1], [-11/5]], [[0], [9/5], [-5/2], [1/10]], [[0], [14/5], [2], [-2/5]]], 1, 48, [], [] >,
< [ -1, 1 ], [[5376]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [4], [-4], [-4]], [[0], [8], [3], [5]]], [[[1], [0], [0], [0]], [[0], [16/5], [1], [-13/5]], [[0], [28/5], [-1], [21/5]], [[0], [4/5], [-7], [3/5]]], 0, 384, [], [] >,
< [ -1, 1 ], [[5376]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-1]], [[0], [4], [-4], [-4]], [[0], [16], [8], [8]]], [[[1], [0], [0], [0]], [[0], [12/5], [3], [9/5]], [[0], [32/5], [-3], [-1/5]], [[0], [0], [5], [-5]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1120]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [3/2], [1], [-1/2]], [[0], [3/2], [-1], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [2], [0], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1120]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [1/2], [1], [1/2]], [[0], [1/2], [-1], [1/2]], [[0], [2], [0], [-2]]], [[[1], [0], [0], [0]], [[0], [1], [1], [0]], [[0], [1], [-1], [0]], [[0], [0], [0], [2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[8960]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [3], [0], [-1]], [[0], [1], [4], [1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [4], [0], [0]], [[0], [2], [4], [0]]], 0, 384, [], [] >,
< [ -1, 1 ], [[8960]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [4], [-2]], [[0], [2], [-4], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [4], [2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1792]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [4], [4], [6]], [[0], [12], [0], [-4]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-6]], [[0], [8], [4], [0]], [[0], [0], [8], [-4]]], 0, 128, [], [] >,
< [ -1, 1 ], [[224]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [3], [1], [2]], [[0], [0], [4], [-2]]], [[[1], [0], [0], [0]], [[0], [1], [1], [-2]], [[0], [1], [-3], [0]], [[0], [6], [2], [4]]], 1, 16, [], [] >,
< [ -1, 1 ], [[1792]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-6], [0]], [[0], [6], [2], [4]], [[0], [4], [4], [-8]]], [[[1], [0], [0], [0]], [[0], [2], [2], [-4]], [[0], [8], [-4], [4]], [[0], [4], [8], [4]]], 0, 128, [], [] >,
< [ -1, 1 ], [[672]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [2]], [[0], [2], [3], [-1]], [[0], [2], [-1/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [8/5], [3/10], [-29/10]], [[0], [16/5], [-9/10], [7/10]], [[0], [6/5], [23/5], [11/5]]], 1, 32, [], [] >,
< [ -1, 1 ], [[672]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1/2], [1/2]], [[0], [0], [5/2], [-3/2]], [[0], [2], [-4], [-8]]], [[[1], [0], [0], [0]], [[0], [12/5], [-3/10], [-11/10]], [[0], [8/5], [-6/5], [18/5]], [[0], [6/5], [23/5], [11/5]]], 1, 32, [], [] >,
< [ -1, 1 ], [[5376]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [0], [2], [10]], [[0], [10], [-7], [-3]]], [[[1], [0], [0], [0]], [[0], [8/5], [-6/5], [18/5]], [[0], [4/5], [52/5], [4/5]], [[0], [54/5], [17/5], [-11/5]]], 0, 256, [], [] >,
< [ -1, 1 ], [[5376]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-1], [3]], [[0], [4], [6], [-2]], [[0], [6], [-3], [-7]]], [[[1], [0], [0], [0]], [[0], [8/5], [-6/5], [18/5]], [[0], [6/5], [23/5], [11/5]], [[0], [96/5], [-12/5], [-44/5]]], 0, 256, [], [] >,
< [ -1, 1 ], [[352]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1/2], [-1/2]], [[0], [1], [-3/2], [3/2]], [[0], [1], [3/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [1], [1/6], [7/6]], [[0], [0], [5/3], [-1/3]], [[0], [2], [-1/3], [-7/3]]], 1, 20, [], [] >,
< [ -1, 1 ], [[2816]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [4], [0], [0]], [[0], [2], [3], [5]]], [[[1], [0], [0], [0]], [[0], [2], [1/3], [7/3]], [[0], [2], [-1/3], [-7/3]], [[0], [0], [20/3], [-4/3]]], 0, 160, [], [] >,
< [ -1, 1 ], [[2816]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [2], [-1], [1]], [[0], [0], [8], [8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [11/3], [5/3]], [[0], [2], [3], [-3]]], 0, 160, [], [] >,
< [ -1, 1 ], [[2816]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [1]], [[0], [2], [3], [-3]], [[0], [0], [4], [4]]], [[[1], [0], [0], [0]], [[0], [2], [1/3], [7/3]], [[0], [2], [-11/3], [-5/3]], [[0], [2], [3], [-3]]], 0, 160, [], [] >,
< [ -1, 1 ], [[352]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1/2], [3/2]], [[0], [2], [1], [-1]], [[0], [2], [-1], [1]]], [[[0], [0], [5/6], [-1/6]], [[1], [0], [0], [0]], [[0], [2], [1/3], [7/3]], [[0], [2], [-1/3], [-7/3]]], 1, 24, [], [] >,
< [ -1, 1 ], [[352]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [1/2]], [[0], [2], [1], [-1]], [[0], [2], [-1], [1]]], [[[1], [0], [0], [0]], [[0], [0], [5/3], [-1/3]], [[0], [2], [-5/6], [1/6]], [[0], [0], [7/6], [13/6]]], 1, 20, [], [] >,
< [ -1, 1 ], [[352]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [1]], [[0], [2], [4], [1]], [[0], [2], [0], [5]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [3], [0], [2]], [[0], [4], [-6], [-6]]], 1, 24, [], [] >,
< [ -1, 1 ], [[352]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-1]], [[0], [2], [2], [3]], [[0], [0], [4], [-4]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [5], [-2], [-2]], [[0], [1], [4], [4]]], 1, 24, [], [] >,
< [ -1, 1 ], [[2816]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-6], [0]], [[0], [2], [2], [-8]], [[0], [14], [2], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [16], [-2], [-2]], [[0], [8], [10], [10]]], 0, 192, [], [] >,
< [ -1, 1 ], [[2816]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-4]], [[0], [2], [-10], [4]], [[0], [12], [8], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [4], [-6], [-6]], [[0], [12], [6], [2]]], 0, 192, [], [] >,
< [ -1, 1 ], [[8448]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-6]], [[0], [4], [-8], [4]], [[0], [8], [8], [4]]], [[[1], [0], [0], [0]], [[0], [2/5], [-24/5], [-2/5]], [[0], [26/5], [8/5], [-6/5]], [[0], [6], [0], [26]]], 0, 384, [], [] >,
< [ -1, 1 ], [[8448]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [8], [8], [4]], [[0], [6], [-4], [-10]]], [[[1], [0], [0], [0]], [[0], [28/5], [-16/5], [-8/5]], [[0], [24/5], [32/5], [-4/5]], [[0], [14/5], [12/5], [66/5]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1056]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [0], [2], [-4]], [[0], [4], [3], [4]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [16/5]], [[0], [2/5], [-24/5], [-2/5]], [[0], [26/5], [8/5], [-6/5]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1056]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-2]], [[0], [2], [-2], [-2]], [[0], [10], [6], [2]]], [[[1], [0], [0], [0]], [[0], [2], [-1], [-4]], [[0], [2/5], [-24/5], [-2/5]], [[0], [16/5], [13/5], [14/5]]], 1, 48, [], [] >,
< [ -1, 1 ], [[3328]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [3/2], [-1], [-1/2]], [[0], [1], [2], [-3]], [[0], [3], [2], [3]]], [[[1], [0], [0], [0]], [[0], [1/3], [2/3], [-1]], [[0], [11/6], [11/3], [5/2]], [[0], [25/6], [-11/3], [-1/2]]], 0, 192, [], [] >,
< [ -1, 1 ], [[3328]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [1/2], [1], [-3/2]], [[0], [3], [-2], [-1]], [[0], [3], [2], [3]]], [[[0], [1/6], [1/3], [-1/2]], [[1], [0], [0], [0]], [[0], [6], [0], [2]], [[0], [5/2], [-7], [-7/2]]], 0, 192, [], [] >,
< [ -1, 1 ], [[416]], [ -2 ], [ -13 ], [[[0], [1/4], [-1/2], [1/4]], [[1], [0], [0], [0]], [[0], [1], [0], [-1]], [[0], [11/4], [5/2], [11/4]]], [[[0], [1/6], [1/3], [-1/2]], [[1], [0], [0], [0]], [[0], [13/12], [-5/6], [-1/4]], [[0], [11/4], [5/2], [11/4]]], 1, 24, [], [] >,
< [ -1, 1 ], [[416]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [1/2], [-1], [1/2]], [[0], [1], [0], [-1]], [[0], [5/4], [3/2], [5/4]]], [[[0], [1/6], [1/3], [-1/2]], [[1], [0], [0], [0]], [[0], [23/12], [5/6], [5/4]], [[0], [13/6], [-5/3], [-1/2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[1248]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1/2], [-3/2]], [[0], [2], [1/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [1], [1], [-1]], [[0], [1], [-1], [1]], [[0], [1], [-1], [-1]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1248]], [ -13 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [2], [-1], [1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[9984]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [2], [1], [3]], [[0], [2], [-1], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [8], [0], [0]]], 0, 384, [], [] >,
< [ -1, 1 ], [[9984]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [2], [-1], [1]], [[0], [0], [4], [4]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [4], [0], [2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[544]], [ -17 ], [ -3 ], [[[0], [0], [2/3], [2/3]], [[1], [0], [0], [0]], [[0], [1], [4/3], [-2/3]], [[0], [1], [-4/3], [2/3]]], [[[0], [1/3], [-4/9], [2/9]], [[1], [0], [0], [0]], [[0], [5/3], [10/9], [4/9]], [[0], [1], [0], [-2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[544]], [ -17 ], [ -3 ], [[[0], [0], [2/3], [2/3]], [[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [2], [-2]]], [[[1], [0], [0], [0]], [[0], [1/3], [2/9], [-10/9]], [[0], [2/3], [-8/9], [4/9]], [[0], [4/3], [14/9], [2/9]]], 1, 32, [], [] >,
< [ -1, 1 ], [[4352]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [0], [4/3], [4/3]], [[0], [0], [4/3], [-8/3]], [[0], [4], [2/3], [2/3]]], [[[1], [0], [0], [0]], [[0], [4/3], [14/9], [2/9]], [[0], [0], [4/3], [-8/3]], [[0], [8/3], [-20/9], [-8/9]]], 0, 256, [], [] >,
< [ -1, 1 ], [[4352]], [ -17 ], [ -3 ], [[[0], [0], [2/3], [2/3]], [[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [8], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [8/3], [-2/9], [10/9]], [[0], [0], [4/3], [-8/3]]], 0, 256, [], [] >,
< [ -1, 1 ], [[736]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [4]], [[0], [2], [6], [2]], [[0], [5], [-4], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [0], [6], [1]], [[0], [6], [2], [-12]]], 1, 48, [], [] >,
< [ -1, 1 ], [[736]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [2], [-2]], [[0], [1], [-4], [-4]], [[0], [5], [-2], [6]]], [[[1], [0], [0], [0]], [[0], [4], [0], [2]], [[0], [2], [-6], [0]], [[0], [4], [4], [-5]]], 1, 48, [], [] >,
< [ -1, 1 ], [[5888]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [-6]], [[0], [8], [0], [4]], [[0], [4], [22], [-2]]], [[[1], [0], [0], [0]], [[0], [6], [6], [4]], [[0], [10], [-6], [4]], [[0], [6], [2], [-12]]], 0, 384, [], [] >,
< [ -1, 1 ], [[5888]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [4]], [[0], [0], [10], [-6]], [[0], [8], [-4], [-12]]], [[[1], [0], [0], [0]], [[0], [2], [-6], [0]], [[0], [14], [2], [-8]], [[0], [2], [-2], [16]]], 0, 384, [], [] >,
< [ -1, 1 ], [[135424]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-10], [14]], [[0], [8], [-28], [-16]], [[0], [32], [26], [-18]]], [[[1], [0], [0], [0]], [[0], [12], [4], [-24]], [[0], [4], [32], [-8]], [[0], [42], [14], [8]]], 0, 8448, [], [] >,
< [ -1, 1 ], [[135424]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [28], [-6], [-10]], [[0], [20], [22], [6]], [[0], [4], [-14], [38]]], [[[1], [0], [0], [0]], [[0], [6], [2], [-12]], [[0], [2], [-30], [-4]], [[0], [74], [-6], [36]]], 0, 8448, [], [] >,
< [ -1, 1 ], [[16928]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-6], [-10]], [[0], [2], [16], [-4]], [[0], [18], [6], [10]]], [[[1], [0], [0], [0]], [[0], [12], [4], [-1]], [[0], [6], [2], [11]], [[0], [8], [-28], [7]]], 1, 1056, [], [] >,
< [ -1, 1 ], [[16928]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [8], [-2]], [[0], [17], [-2], [12]], [[0], [11], [-4], [-22]]], [[[1], [0], [0], [0]], [[0], [6], [2], [-12]], [[0], [10], [-12], [3]], [[0], [8], [18], [7]]], 1, 1056, [], [] >,
< [ -1, 1 ], [[9248]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [2]], [[0], [0], [34/3], [-2/3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-2]], [[0], [1/3], [-34/9], [8/9]], [[0], [5], [0], [2]]], 1, 576, [], [] >,
< [ -1, 1 ], [[9248]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [34/3], [-2/3]]], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [1], [0], [4]], [[0], [4/3], [-34/9], [-10/9]]], 1, 576, [], [] >,
< [ -1, 1 ], [[73984]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [8], [0], [0]], [[0], [4], [34/3], [-2/3]]], [[[1], [0], [0], [0]], [[0], [4/3], [-34/9], [-10/9]], [[0], [20/3], [34/9], [-26/9]], [[0], [8], [0], [8]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[73984]], [ -17 ], [ -3 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [8], [0], [0]], [[0], [0], [34/3], [-2/3]]], [[[1], [0], [0], [0]], [[0], [8/3], [34/9], [46/9]], [[0], [16/3], [-34/9], [26/9]], [[0], [8/3], [34/9], [-62/9]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[5408]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [13/4], [-5/2], [-3/4]], [[0], [13/4], [3/2], [13/4]]], [[[1], [0], [0], [0]], [[0], [13/12], [-5/6], [-1/4]], [[0], [13/4], [7/2], [5/4]], [[0], [13/12], [-5/6], [31/4]]], 1, 336, [], [] >,
< [ -1, 1 ], [[5408]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [13/4], [-1/2], [5/4]], [[0], [0], [4], [4]]], [[[1], [0], [0], [0]], [[0], [13/6], [-5/3], [-1/2]], [[0], [13/12], [-5/6], [15/4]], [[0], [13/6], [13/3], [3/2]]], 1, 336, [], [] >,
< [ -1, 1 ], [[43264]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [13/2], [-3], [9/2]], [[0], [13/2], [5], [-7/2]]], [[[1], [0], [0], [0]], [[0], [13/6], [13/3], [3/2]], [[0], [13/3], [-10/3], [7]], [[0], [13/2], [1], [-15/2]]], 0, 2688, [], [] >,
< [ -1, 1 ], [[43264]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [13/2], [1], [1/2]], [[0], [0], [8], [-8]]], [[[1], [0], [0], [0]], [[0], [13/2], [1], [1/2]], [[0], [13/6], [13/3], [-13/2]], [[0], [13/6], [-23/3], [-5/2]]], 0, 2688, [], [] >,
< [ -1, 1 ], [[129792]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [8]], [[0], [2], [13], [3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [4], [0], [-2]], [[0], [0], [26], [2]]], 0, 5376, [], [] >,
< [ -1, 1 ], [[129792]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [8]], [[0], [2], [13], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [8], [0], [0]], [[0], [0], [26], [0]]], 0, 5376, [], [] >,
< [ -1, 1 ], [[16224]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [13/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [26], [0]]], 1, 672, [], [] >,
< [ -1, 1 ], [[16224]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [13/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [1], [13], [1]]], 1, 672, [], [] >,
< [ -1, 1 ], [[3872]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [0], [-4]], [[0], [1], [-11/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [1], [-11/6], [-5/6]], [[0], [3], [11/6], [5/6]], [[0], [0], [11/3], [-31/3]]], 1, 240, [], [] >,
< [ -1, 1 ], [[30976]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [11], [-3]], [[0], [0], [0], [16]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [22/3], [10/3]], [[0], [2], [-11], [19]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[30976]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [11], [5]], [[0], [2], [11], [-11]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [11/3], [5/3]], [[0], [2], [55/3], [-119/3]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[30976]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [0], [0], [8]], [[0], [2], [-11], [3]]], [[[1], [0], [0], [0]], [[0], [2], [11/3], [5/3]], [[0], [6], [-11/3], [-5/3]], [[0], [2], [-11], [19]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[3872]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [0], [-4]], [[0], [2], [11/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [-11/3], [-5/3]], [[0], [2], [11/6], [-31/6]]], 1, 240, [], [] >,
< [ -1, 1 ], [[3872]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [0], [4]], [[0], [0], [11/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [11/3], [5/3]], [[0], [0], [11/6], [-31/6]]], 1, 240, [], [] >,
< [ -1, 1 ], [[3872]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [2]], [[0], [0], [0], [11]], [[0], [8], [-12], [-1]]], [[[1], [0], [0], [0]], [[0], [5], [-2], [-2]], [[0], [1], [4], [4]], [[0], [0], [22], [-22]]], 1, 240, [], [] >,
< [ -1, 1 ], [[3872]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [2]], [[0], [4], [-6], [5]], [[0], [4], [-6], [-17]]], [[[1], [0], [0], [0]], [[0], [6], [2], [2]], [[0], [4], [-6], [-6]], [[0], [3], [12], [-10]]], 1, 240, [], [] >,
< [ -1, 1 ], [[30976]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [14], [-10], [12]], [[0], [20], [-8], [-8]], [[0], [4], [16], [16]]], [[[1], [0], [0], [0]], [[0], [4], [-6], [-6]], [[0], [24], [8], [8]], [[0], [12], [26], [-18]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[30976]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-14], [8]], [[0], [20], [-8], [-8]], [[0], [4], [16], [16]]], [[[1], [0], [0], [0]], [[0], [16], [-2], [-2]], [[0], [8], [10], [10]], [[0], [0], [22], [-22]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[11616]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [1], [2]], [[0], [0], [11], [0]], [[0], [2], [4], [-14]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [16/5]], [[0], [26/5], [8/5], [-6/5]], [[0], [66/5], [-242/5], [-66/5]]], 1, 480, [], [] >,
< [ -1, 1 ], [[11616]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [-6]], [[0], [2], [-7], [8]], [[0], [12], [2], [4]]], [[[1], [0], [0], [0]], [[0], [26/5], [8/5], [-6/5]], [[0], [8/5], [-6/5], [32/5]], [[0], [4], [-25], [-6]]], 1, 480, [], [] >,
< [ -1, 1 ], [[92928]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [8], [16]], [[0], [18], [-8], [6]], [[0], [8], [16], [-12]]], [[[1], [0], [0], [0]], [[0], [26/5], [8/5], [-6/5]], [[0], [32/5], [-24/5], [128/5]], [[0], [74/5], [-248/5], [-34/5]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[92928]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [12], [2]], [[0], [2], [4], [-14]], [[0], [38], [-12], [-2]]], [[[1], [0], [0], [0]], [[0], [52/5], [16/5], [-12/5]], [[0], [42/5], [-4/5], [58/5]], [[0], [48/5], [-256/5], [-28/5]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[1568]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [7/2], [7/2]], [[0], [1], [7/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [7/3], [7/6], [7/6]], [[0], [4/3], [-7/3], [-7/3]], [[0], [1], [-7/2], [9/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1568]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [7/2], [-1/2]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [5/3], [-7/6], [17/6]], [[0], [4/3], [-7/3], [-7/3]], [[0], [3], [7/2], [-1/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[12544]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [7], [-1]], [[0], [8], [0], [0]], [[0], [4], [0], [8]]], [[[1], [0], [0], [0]], [[0], [4/3], [-7/3], [-7/3]], [[0], [4/3], [14/3], [-10/3]], [[0], [56/3], [7/3], [31/3]]], 0, 768, [], [] >,
< [ -1, 1 ], [[12544]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [4], [7], [-1]], [[0], [4], [0], [-8]]], [[[1], [0], [0], [0]], [[0], [4/3], [14/3], [-10/3]], [[0], [8/3], [-14/3], [-14/3]], [[0], [28/3], [-7/3], [17/3]]], 0, 768, [], [] >,
< [ -1, 1 ], [[4704]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [-2]], [[0], [1], [14], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [7], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[4704]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [14], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [2], [7], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[37632]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [8], [0], [0]], [[0], [4], [14], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [56], [0]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[37632]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [8], [0], [0]], [[0], [0], [14], [2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [4]], [[0], [2], [28], [2]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[37632]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [0], [-4]], [[0], [0], [14], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [0], [-4]], [[0], [2], [28], [-2]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[4704]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [7], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [0], [-2]], [[0], [0], [14], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[37632]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [8], [7], [1]], [[0], [4], [-14], [6]]], [[[1], [0], [0], [0]], [[0], [4/5], [-7], [3/5]], [[0], [44/5], [0], [8/5]], [[0], [28/5], [0], [-104/5]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[37632]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-7], [-1]], [[0], [4], [0], [-8]], [[0], [16], [7], [9]]], [[[1], [0], [0], [0]], [[0], [44/5], [0], [8/5]], [[0], [4/5], [7], [53/5]], [[0], [12/5], [-7], [59/5]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[4704]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-7/2], [7/2]], [[0], [1], [-7/2], [-9/2]], [[0], [6], [0], [0]]], [[[1], [0], [0], [0]], [[0], [11/5], [7/2], [29/10]], [[0], [3], [-7/2], [7/2]], [[0], [18/5], [0], [-24/5]]], 1, 384, [], [] >,
< [ -1, 1 ], [[4704]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [7/2], [1/2]], [[0], [6], [0], [0]], [[0], [2], [0], [8]]], [[[1], [0], [0], [0]], [[0], [11/5], [-7/2], [-21/10]], [[0], [7/5], [7/2], [-27/10]], [[0], [26/5], [0], [32/5]]], 1, 384, [], [] >,
< [ -1, 1 ], [[7840]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [7/2], [1], [-3/2]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [14], [0], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[7840]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [7/2], [1], [1/2]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [7], [1], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[62720]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [4], [-4]], [[0], [7], [0], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [8], [0]], [[0], [14], [4], [0]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[62720]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [4], [-4]], [[0], [7], [0], [1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [4], [2]], [[0], [14], [0], [0]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[12544]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [4], [8]], [[0], [8], [12], [-4]], [[0], [10], [-6], [-12]]], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [2], [10], [-8]], [[0], [18], [-22], [-16]]], 0, 768, [], [] >,
< [ -1, 1 ], [[1568]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [5], [-4]], [[0], [6], [2], [4]], [[0], [5], [-3], [-6]]], [[[1], [0], [0], [0]], [[0], [3], [1], [2]], [[0], [4], [-8], [-2]], [[0], [6], [2], [-10]]], 1, 96, [], [] >,
< [ -1, 1 ], [[12544]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [-2]], [[0], [12], [4], [-6]], [[0], [12], [4], [22]]], [[[1], [0], [0], [0]], [[0], [12], [4], [-6]], [[0], [4], [-8], [12]], [[0], [8], [12], [10]]], 0, 768, [], [] >,
< [ -1, 1 ], [[37632]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-9], [-5]], [[0], [8], [-8], [8]], [[0], [20], [8], [-8]]], [[[1], [0], [0], [0]], [[0], [4/5], [52/5], [4/5]], [[0], [6], [1], [13]], [[0], [96/5], [-12/5], [-44/5]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[37632]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [5], [9]], [[0], [8], [-8], [8]], [[0], [20], [8], [-8]]], [[[1], [0], [0], [0]], [[0], [4/5], [52/5], [4/5]], [[0], [78/5], [-1/5], [43/5]], [[0], [18/5], [-11/5], [-87/5]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[4704]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [2]], [[0], [0], [7], [7]], [[0], [10], [15/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [12/5], [-3/10], [-11/10]], [[0], [4/5], [52/5], [4/5]], [[0], [6], [1], [13]]], 1, 192, [], [] >,
< [ -1, 1 ], [[4704]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [2]], [[0], [0], [7/2], [7/2]], [[0], [18], [10], [-10]]], [[[1], [0], [0], [0]], [[0], [24/5], [-3/5], [-11/5]], [[0], [14/5], [49/10], [-7/10]], [[0], [6], [1], [13]]], 1, 192, [], [] >,
< [ -1, 1 ], [[10976]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-6], [2]], [[0], [8], [12], [3]], [[0], [12], [4], [-13]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-8]], [[0], [10], [-6], [2]], [[0], [19], [18], [-6]]], 1, 672, [], [] >,
< [ -1, 1 ], [[10976]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-6], [2]], [[0], [10], [8], [-5]], [[0], [4], [-8], [-16]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [-4]], [[0], [9], [-4], [6]], [[0], [28], [42], [-14]]], 1, 672, [], [] >,
< [ -1, 1 ], [[87808]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [-16]], [[0], [30], [10], [-8]], [[0], [10], [-34], [16]]], [[[1], [0], [0], [0]], [[0], [8], [-2], [10]], [[0], [16], [-18], [-22]], [[0], [40], [32], [-20]]], 0, 5376, [], [] >,
< [ -1, 1 ], [[87808]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [-16]], [[0], [10], [22], [-12]], [[0], [36], [-16], [24]]], [[[1], [0], [0], [0]], [[0], [12], [-10], [-6]], [[0], [16], [-4], [20]], [[0], [28], [42], [-14]]], 0, 5376, [], [] >,
< [ -1, 1 ], [[10976]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [4], [8]], [[0], [1], [12], [-4]], [[0], [19], [-10], [-6]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [6]], [[0], [8], [-9], [-4]], [[0], [20], [23], [4]]], 1, 672, [], [] >,
< [ -1, 1 ], [[10976]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [8], [2]], [[0], [4], [-8], [12]], [[0], [17], [-6], [-12]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [6]], [[0], [14], [7], [0]], [[0], [14], [-14], [-14]]], 1, 672, [], [] >,
< [ -1, 1 ], [[87808]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [-6], [2]], [[0], [8], [-16], [24]], [[0], [16], [24], [20]]], [[[1], [0], [0], [0]], [[0], [4], [-8], [12]], [[0], [16], [24], [20]], [[0], [42], [0], [-14]]], 0, 5376, [], [] >,
< [ -1, 1 ], [[87808]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [20], [2], [-10]], [[0], [8], [-16], [24]], [[0], [16], [24], [20]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [6]], [[0], [14], [28], [14]], [[0], [70], [-28], [-42]]], 0, 5376, [], [] >,
< [ -1, 1 ], [[6400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [8]], [[0], [10], [0], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [2], [-4]], [[0], [10], [2], [2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [2], [0]], [[0], [10], [0], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[6400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [4], [2]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [8], [0]], [[0], [10], [4], [0]]], 0, 384, [], [] >,
< [ -1, 1 ], [[51200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [8], [-8]], [[0], [20], [4], [-4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [16], [0]], [[0], [20], [-4], [0]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[51200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [8], [-8]], [[0], [20], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [8], [-4]], [[0], [20], [4], [4]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[409600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [16], [8]], [[0], [20], [0], [-4]], [[0], [0], [16], [-24]]], [[[1], [0], [0], [0]], [[0], [0], [16], [8]], [[0], [20], [0], [12]], [[0], [20], [0], [-20]]], 0, 24576, [], [] >,
< [ -1, 1 ], [[2400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [2], [0]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [2]], [[0], [10], [0], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[19200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [40], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [20], [2], [0]]], 0, 768, [], [] >,
< [ -1, 1 ], [[2400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [5/4], [3/2], [9/4]], [[0], [25/4], [-5/2], [-11/4]]], [[[1], [0], [0], [0]], [[0], [25/14], [1], [13/14]], [[0], [45/28], [-7/2], [-55/28]], [[0], [15/28], [7/2], [-149/28]]], 1, 192, [], [] >,
< [ -1, 1 ], [[2400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [15/4], [1/2], [-5/4]], [[0], [5/2], [3], [9/2]]], [[[1], [0], [0], [0]], [[0], [25/28], [1/2], [13/28]], [[0], [85/28], [1/2], [-191/28]], [[0], [55/28], [-13/2], [107/28]]], 1, 192, [], [] >,
< [ -1, 1 ], [[19200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/2], [1], [13/2]], [[0], [15/2], [-1], [-1/2]], [[0], [5/2], [9], [-3/2]]], [[[1], [0], [0], [0]], [[0], [55/14], [1], [-89/14]], [[0], [65/14], [-5], [73/14]], [[0], [50/7], [4], [26/7]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[19200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5/2], [5], [5/2]], [[0], [5], [-2], [-7]], [[0], [15/2], [-5], [7/2]]], [[[1], [0], [0], [0]], [[0], [15/14], [-7], [47/14]], [[0], [5/14], [-1], [-115/14]], [[0], [50/7], [4], [26/7]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [0], [5]], [[0], [10], [2], [-1]]], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [2], [-6]]], 1, 48, [], [] >,
< [ -1, 1 ], [[800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [4], [8]], [[0], [10], [2], [4]]], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [2], [-6]], [[0], [5], [4], [-2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [5], [-1], [-2]], [[0], [5], [3], [6]]], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [2], [-6]], [[0], [10], [0], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[6400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [8]], [[0], [10], [10], [0]], [[0], [10], [-6], [8]]], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [2], [-6]], [[0], [40], [0], [0]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [8]], [[0], [10], [2], [4]], [[0], [0], [16], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [8], [-4]], [[0], [0], [4], [8]], [[0], [20], [6], [2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-2], [-4]], [[0], [0], [4], [-12]], [[0], [10], [10], [0]]], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [4], [-12]], [[0], [20], [2], [-6]]], 0, 384, [], [] >,
< [ -1, 1 ], [[19200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [-3]], [[0], [14], [3], [9]], [[0], [6], [-23], [11]]], [[[1], [0], [0], [0]], [[0], [52/7], [-36/7], [-4]], [[0], [6/7], [-23/7], [13]], [[0], [74/7], [43/7], [7]]], 0, 768, [], [] >,
< [ -1, 1 ], [[19200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [-6]], [[0], [2], [-11], [7]], [[0], [16], [2], [6]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [52/7], [-36/7], [-4]], [[0], [80/7], [20/7], [20]]], 0, 768, [], [] >,
< [ -1, 1 ], [[2400]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [5/2], [-5/2]], [[0], [2], [-1], [-3]], [[0], [14], [11/2], [13/2]]], [[[1], [0], [0], [0]], [[0], [10/7], [5/14], [5/2]], [[0], [34/7], [33/7], [-3]], [[0], [52/7], [-36/7], [-4]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2400]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-1], [-3]], [[0], [2], [-6], [2]], [[0], [6], [9/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [36/7], [-31/14], [1/2]], [[0], [20/7], [5/7], [5]], [[0], [34/7], [33/7], [-3]]], 1, 96, [], [] >,
< [ -1, 1 ], [[19200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [0]], [[0], [8], [-6], [10]], [[0], [8], [-26], [-30]]], [[[1], [0], [0], [0]], [[0], [10], [0], [-10]], [[0], [6], [8], [10]], [[0], [18], [-16], [10]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[19200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [0]], [[0], [4], [-18], [-10]], [[0], [8], [-16], [20]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [16], [8], [0]], [[0], [10], [-20], [10]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[2400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [0]], [[0], [8], [4], [0]], [[0], [5], [0], [10]]], [[[1], [0], [0], [0]], [[0], [2], [1], [0]], [[0], [2], [-4], [-10]], [[0], [10], [-20], [10]]], 1, 192, [], [] >,
< [ -1, 1 ], [[2400]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [7], [-4], [0]], [[0], [1], [8], [0]], [[0], [1], [-2], [10]]], [[[1], [0], [0], [0]], [[0], [4], [2], [0]], [[0], [2], [-4], [-10]], [[0], [8], [-11], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[5600]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [5/2], [1], [-3/2]], [[0], [5/2], [1], [5/2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [5], [1], [0]]], 1, 288, [], [] >,
< [ -1, 1 ], [[5600]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [5/2], [1], [1/2]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [10], [0], [0]]], 1, 288, [], [] >,
< [ -1, 1 ], [[44800]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [4], [-4]], [[0], [5], [4], [1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [4], [2]], [[0], [10], [0], [0]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[44800]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [5], [0], [1]], [[0], [0], [4], [4]], [[0], [0], [4], [-4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [8], [0]], [[0], [10], [4], [0]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[39200]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [4]], [[0], [35/2], [1], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [35], [1], [0]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[39200]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [4]], [[0], [35/2], [1], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1], [-1]], [[0], [70], [0], [0]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[313600]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [4], [-4]], [[0], [35], [0], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [4], [2]], [[0], [70], [0], [0]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[313600]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [4], [-4]], [[0], [35], [0], [1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [8], [0]], [[0], [70], [4], [0]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[4000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [0], [2], [4]], [[0], [5], [3], [1]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [5], [1], [-5]], [[0], [5], [-1], [5]]], 1, 240, [], [] >,
< [ -1, 1 ], [[4000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [2]], [[0], [0], [4], [-2]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [10], [0], [0]], [[0], [0], [0], [10]]], 1, 240, [], [] >,
< [ -1, 1 ], [[32000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-2]], [[0], [10], [4], [8]], [[0], [10], [-4], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [10], [-4], [0]], [[0], [0], [4], [10]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[32000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [8], [-4]], [[0], [10], [0], [0]], [[0], [0], [8], [6]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [10], [0], [0]], [[0], [0], [0], [10]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[4000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [0], [3], [2]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [5], [0]], [[0], [10], [0], [0]]], 1, 240, [], [] >,
< [ -1, 1 ], [[4000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [5], [1], [-1]], [[0], [0], [6], [4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [5], [5], [1]], [[0], [5], [-5], [1]]], 1, 240, [], [] >,
< [ -1, 1 ], [[32000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [6]], [[0], [0], [8], [-8]], [[0], [10], [4], [-4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [10], [0], [-2]], [[0], [0], [20], [2]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[32000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [8], [2]], [[0], [10], [0], [0]], [[0], [0], [0], [10]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [10], [0], [0]], [[0], [0], [40], [0]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[12000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [5], [-1]], [[0], [5], [5/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [5], [5], [0]], [[0], [5], [-5], [0]]], 1, 480, [], [] >,
< [ -1, 1 ], [[12000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [5], [-1]], [[0], [5], [5/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [5], [0], [-1]], [[0], [0], [10], [0]]], 1, 480, [], [] >,
< [ -1, 1 ], [[96000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [5], [3]], [[0], [0], [5], [-5]], [[0], [20], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [10], [0]], [[0], [20], [0], [2]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[96000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [5], [-1]], [[0], [0], [0], [8]], [[0], [20], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [20], [0]], [[0], [20], [10], [0]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[12000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [1], [5]], [[0], [5], [-3/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [5], [-1], [0]], [[0], [0], [0], [10]]], 1, 480, [], [] >,
< [ -1, 1 ], [[12000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [1], [5]], [[0], [5], [1/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [5], [0], [5]], [[0], [5], [0], [-5]]], 1, 480, [], [] >,
< [ -1, 1 ], [[96000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-5]], [[0], [0], [5], [5]], [[0], [20], [4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [20]], [[0], [20], [0], [10]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[96000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [1], [5]], [[0], [0], [8], [0]], [[0], [20], [4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [10]], [[0], [20], [2], [0]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[32000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [20], [0], [0]], [[0], [10], [-12], [-14]], [[0], [10], [-20], [10]]], [[[1], [0], [0], [0]], [[0], [0], [4], [-12]], [[0], [20], [-2], [6]], [[0], [0], [32], [4]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[32000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [16], [2]], [[0], [10], [-16], [-2]], [[0], [0], [8], [-24]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [0], [30], [10]], [[0], [40], [0], [0]]], 0, 1920, [], [] >,
< [ -1, 1 ], [[4000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [9], [-2]], [[0], [10], [2], [-6]], [[0], [10], [-2], [6]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [10], [0], [0]], [[0], [5], [16], [2]]], 1, 240, [], [] >,
< [ -1, 1 ], [[4000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [7], [4]], [[0], [10], [2], [-6]], [[0], [10], [-2], [6]]], [[[1], [0], [0], [0]], [[0], [5], [0], [0]], [[0], [0], [2], [-6]], [[0], [0], [30], [10]]], 1, 240, [], [] >,
< [ -1, 1 ], [[96000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [2], [6]], [[0], [10], [-5], [-15]], [[0], [2], [-21], [17]]], [[[1], [0], [0], [0]], [[0], [6/7], [-23/7], [13]], [[0], [68/7], [66/7], [-6]], [[0], [192/7], [-246/7], [-14]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[96000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-13], [1]], [[0], [16], [2], [6]], [[0], [14], [3], [-31]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [80/7], [20/7], [20]], [[0], [192/7], [-246/7], [-14]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[12000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-8]], [[0], [4], [11/2], [13/2]], [[0], [12], [-7/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [20/7], [5/7], [5]], [[0], [34/7], [33/7], [-3]], [[0], [106/7], [-241/14], [-9/2]]], 1, 480, [], [] >,
< [ -1, 1 ], [[12000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-9/2], [-7/2]], [[0], [2], [4], [-8]], [[0], [12], [13/2], [19/2]]], [[[1], [0], [0], [0]], [[0], [10/7], [5/14], [5/2]], [[0], [34/7], [33/7], [-3]], [[0], [202/7], [-487/14], [-23/2]]], 1, 480, [], [] >,
< [ -1, 1 ], [[96000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-2], [10]], [[0], [8], [24], [-20]], [[0], [8], [-26], [-30]]], [[[1], [0], [0], [0]], [[0], [22], [16], [10]], [[0], [28], [-16], [0]], [[0], [14], [-8], [30]]], 0, 7680, [], [] >,
< [ -1, 1 ], [[96000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-14], [-10]], [[0], [8], [24], [-20]], [[0], [20], [10], [30]]], [[[1], [0], [0], [0]], [[0], [18], [4], [-10]], [[0], [10], [-20], [10]], [[0], [8], [24], [40]]], 0, 7680, [], [] >,
< [ -1, 1 ], [[12000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [6], [10]], [[0], [14], [-8], [0]], [[0], [11], [8], [-10]]], [[[1], [0], [0], [0]], [[0], [10], [5], [0]], [[0], [2], [6], [10]], [[0], [10], [-20], [10]]], 1, 960, [], [] >,
< [ -1, 1 ], [[12000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [7], [-4], [0]], [[0], [2], [6], [10]], [[0], [15], [20], [-20]]], [[[1], [0], [0], [0]], [[0], [2], [6], [10]], [[0], [6], [-7], [10]], [[0], [18], [4], [-10]]], 1, 960, [], [] >,
< [ -1, 1 ], [[288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-2], [0]], [[0], [0], [4], [0]], [[0], [0], [2], [6]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [6], [-1], [0]], [[0], [0], [1], [6]]], 1, 12, [], [] >,
< [ -1, 1 ], [[288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [2], [6]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [6], [0], [6]], [[0], [6], [0], [-6]]], 1, 16, [], [] >,
< [ -1, 1 ], [[288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-3]], [[0], [0], [4], [0]], [[0], [6], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [3], [0], [3]], [[0], [6], [0], [-6]]], 1, 12, [], [] >,
< [ -1, 1 ], [[2304]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [12]], [[0], [12], [2], [6]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [6], [4], [-6]], [[0], [6], [-4], [6]]], 0, 96, [], [] >,
< [ -1, 1 ], [[2304]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [2], [6]], [[0], [24], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [6], [0], [6]], [[0], [6], [0], [-6]]], 0, 96, [], [] >,
< [ -1, 1 ], [[2304]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [0], [8], [0]], [[0], [12], [4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [6], [0], [6]], [[0], [6], [4], [-6]]], 0, 96, [], [] >,
< [ -1, 1 ], [[18432]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [8], [0]], [[0], [0], [12], [12]], [[0], [12], [-12], [12]]], [[[1], [0], [0], [0]], [[0], [0], [16], [0]], [[0], [12], [0], [12]], [[0], [12], [-4], [-12]]], 0, 768, [], [] >,
< [ -1, 1 ], [[18432]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-12]], [[0], [12], [8], [0]], [[0], [12], [-20], [-12]]], [[[1], [0], [0], [0]], [[0], [0], [16], [0]], [[0], [12], [-4], [-12]], [[0], [12], [8], [12]]], 0, 768, [], [] >,
< [ -1, 1 ], [[2304]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [6], [-6], [0]], [[0], [4], [0], [8]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [6], [0], [6]], [[0], [0], [24], [0]]], 0, 192, [], [] >,
< [ -1, 1 ], [[2304]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [6], [4]], [[0], [2], [-6], [4]], [[0], [8], [0], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-4]], [[0], [4], [0], [8]], [[0], [2], [12], [-2]]], 0, 192, [], [] >,
< [ -1, 1 ], [[288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [4], [0], [-1]], [[0], [2], [6], [1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [0], [3], [0]], [[0], [6], [0], [6]]], 1, 24, [], [] >,
< [ -1, 1 ], [[288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [1]], [[0], [2], [0], [-5]], [[0], [2], [6], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [4], [3], [2]], [[0], [4], [-3], [2]]], 1, 24, [], [] >,
< [ -1, 1 ], [[165888]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [24], [0]], [[0], [12], [-12], [-36]], [[0], [24], [-12], [36]]], [[[1], [0], [0], [0]], [[0], [12], [12], [0]], [[0], [12], [-12], [-36]], [[0], [36], [-36], [36]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[165888]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-24], [0]], [[0], [0], [12], [-36]], [[0], [36], [24], [0]]], [[[1], [0], [0], [0]], [[0], [24], [24], [0]], [[0], [12], [-36], [0]], [[0], [24], [0], [36]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[2592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [3], [-6], [0]], [[0], [3], [0], [18]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [6], [-6], [0]], [[0], [6], [0], [9]]], 0, 144, [], [] >,
< [ -1, 1 ], [[2592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [0], [12], [0]], [[0], [0], [6], [18]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [6], [-6], [0]], [[0], [0], [0], [9]]], 0, 144, [], [] >,
< [ -1, 1 ], [[20736]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [12], [6], [18]], [[0], [12], [-6], [-18]]], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [0], [12], [0]], [[0], [6], [6], [36]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[20736]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [0], [6], [18]], [[0], [24], [0], [0]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [6], [-6], [0]], [[0], [0], [0], [72]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[20736]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [12], [0]], [[0], [12], [-12], [0]], [[0], [0], [6], [-18]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [12], [-12], [0]], [[0], [6], [-6], [36]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[2592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [3], [-9]], [[0], [0], [12], [0]]], [[[1], [0], [0], [0]], [[0], [3], [3], [0]], [[0], [6], [-6], [0]], [[0], [0], [0], [18]]], 0, 144, [], [] >,
< [ -1, 1 ], [[20736]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [0], [6], [18]], [[0], [24], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [6], [0], [-6]], [[0], [0], [24], [0]], [[0], [18], [0], [18]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[20736]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [12], [6], [6]], [[0], [12], [-6], [-30]]], [[[1], [0], [0], [0]], [[0], [6], [12], [-6]], [[0], [6], [-12], [-6]], [[0], [24], [0], [12]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[2592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [9], [0], [0]], [[0], [3], [6], [6]], [[0], [3], [-6], [6]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [6], [0], [-6]], [[0], [18], [0], [18]]], 0, 144, [], [] >,
< [ -1, 1 ], [[2592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [6]], [[0], [6], [6], [-6]], [[0], [6], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [6], [0], [-6]], [[0], [12], [3], [6]]], 0, 144, [], [] >,
< [ -1, 1 ], [[62208]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [6], [3], [15]], [[0], [6], [-27], [9]]], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [0], [18], [-6]], [[0], [18], [9], [-3]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[62208]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [6], [15], [3]], [[0], [6], [-9], [27]]], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [0], [18], [-6]], [[0], [18], [3], [-9]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[62208]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [15], [3]], [[0], [6], [3], [15]], [[0], [18], [-15], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [0], [12], [-12]], [[0], [18], [3], [-9]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[7776]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [15/2], [3/2]], [[0], [3], [-3/2], [-15/2]], [[0], [6], [-6], [6]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [9], [-3/2], [9/2]], [[0], [9], [21/2], [-15/2]]], 0, 432, [], [] >,
< [ -1, 1 ], [[7776]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [9/2], [9/2]], [[0], [6], [-9/2], [-9/2]], [[0], [6], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [9/2], [-15/2]], [[0], [18], [3/2], [3/2]]], 0, 432, [], [] >,
< [ -1, 1 ], [[7776]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [9/2], [9/2]], [[0], [6], [6], [-6]], [[0], [6], [-6], [6]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [12], [-12]], [[0], [18], [6], [-6]]], 0, 432, [], [] >,
< [ -1, 1 ], [[62208]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [15], [3]], [[0], [0], [6], [-18]], [[0], [18], [3], [-9]]], [[[1], [0], [0], [0]], [[0], [6], [-3], [9]], [[0], [6], [-15], [-3]], [[0], [24], [18], [-6]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[62208]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-9], [3]], [[0], [6], [-3], [-15]], [[0], [18], [21], [9]]], [[[1], [0], [0], [0]], [[0], [6], [-9], [3]], [[0], [6], [3], [15]], [[0], [24], [18], [-6]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[7776]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [9/2], [9/2]], [[0], [6], [6], [-6]], [[0], [6], [-9/2], [15/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [6], [-6], [6]], [[0], [24], [12], [-12]]], 0, 432, [], [] >,
< [ -1, 1 ], [[7776]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3/2], [-3/2]], [[0], [0], [15/2], [-9/2]], [[0], [6], [15/2], [15/2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [6], [-6], [6]], [[0], [12], [15/2], [-9/2]]], 0, 432, [], [] >,
< [ -1, 1 ], [[147456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [0], [12], [-36]], [[0], [0], [36], [20]]], [[[1], [0], [0], [0]], [[0], [16], [0], [0]], [[0], [8], [-24], [8]], [[0], [8], [12], [28]]], 0, 8192, [], [] >,
< [ -1, 1 ], [[2304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [9], [-7]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [3], [-5]], [[0], [0], [6], [6]]], 0, 128, [], [] >,
< [ -1, 1 ], [[18432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [12], [6], [-2]], [[0], [8], [-6], [10]]], [[[1], [0], [0], [0]], [[0], [4], [0], [8]], [[0], [4], [-12], [-4]], [[0], [12], [6], [-2]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[18432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [2]], [[0], [0], [6], [6]], [[0], [20], [12], [-12]]], [[[1], [0], [0], [0]], [[0], [4], [-6], [2]], [[0], [8], [6], [-10]], [[0], [4], [6], [14]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[7776]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [0]], [[0], [6], [12], [-6]], [[0], [6], [6], [18]]], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [6], [12], [-6]], [[0], [12], [-9], [-6]]], 0, 432, [], [] >,
< [ -1, 1 ], [[7776]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [9], [6]], [[0], [0], [3], [-12]], [[0], [12], [-6], [0]]], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [6], [12], [-6]], [[0], [12], [-3], [-12]]], 0, 432, [], [] >,
< [ -1, 1 ], [[62208]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [12], [-6]], [[0], [6], [-12], [-18]], [[0], [42], [-12], [18]]], [[[1], [0], [0], [0]], [[0], [6], [12], [-6]], [[0], [12], [0], [12]], [[0], [42], [-36], [-30]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[62208]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [0], [18]], [[0], [12], [0], [-24]], [[0], [0], [24], [12]]], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [12], [24], [-12]], [[0], [42], [-24], [-42]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[7776]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [-6]], [[0], [3], [6], [-12]], [[0], [15], [6], [0]]], [[[1], [0], [0], [0]], [[0], [6], [-3], [0]], [[0], [0], [3], [6]], [[0], [18], [36], [-18]]], 0, 432, [], [] >,
< [ -1, 1 ], [[7776]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [-6]], [[0], [9], [6], [-6]], [[0], [12], [0], [12]]], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [6], [-6], [-6]], [[0], [6], [21], [-6]]], 0, 432, [], [] >,
< [ -1, 1 ], [[62208]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [-12], [0]], [[0], [0], [12], [24]], [[0], [24], [18], [6]]], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [24], [-24], [-24]], [[0], [30], [24], [-30]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[62208]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [18], [-6]], [[0], [24], [-12], [0]], [[0], [0], [12], [24]]], [[[1], [0], [0], [0]], [[0], [12], [0], [12]], [[0], [18], [-12], [-6]], [[0], [18], [36], [-18]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [3], [0], [3]], [[0], [2], [4], [-2]]], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [2], [-2], [-2]], [[0], [6], [0], [6]]], 1, 16, [], [] >,
< [ -1, 1 ], [[2304]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [6], [0], [6]], [[0], [8], [-8], [-8]]], [[[1], [0], [0], [0]], [[0], [2], [-8], [-2]], [[0], [8], [4], [4]], [[0], [4], [8], [-4]]], 0, 128, [], [] >,
< [ -1, 1 ], [[1440]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [1], [0]], [[0], [2], [-2], [0]], [[0], [0], [0], [6]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [0]], [[0], [6], [0], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1440]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [0]], [[0], [1], [-1], [3]], [[0], [4], [2], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [3], [3], [1]], [[0], [3], [-3], [1]]], 1, 48, [], [] >,
< [ -1, 1 ], [[11520]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [4], [0]], [[0], [4], [-4], [6]], [[0], [4], [-4], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [6], [0], [-2]], [[0], [0], [12], [2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[11520]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [0], [6]], [[0], [2], [-8], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [6], [0], [0]], [[0], [0], [24], [0]]], 0, 384, [], [] >,
< [ -1, 1 ], [[12960]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3], [3], [3]], [[0], [3], [3], [-3]], [[0], [9], [-9], [-3]]], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [6], [0]], [[0], [3], [3], [9]]], 0, 576, [], [] >,
< [ -1, 1 ], [[12960]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [6], [-3], [0]], [[0], [6], [6], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [6], [0], [0]], [[0], [0], [0], [18]]], 0, 576, [], [] >,
< [ -1, 1 ], [[103680]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [18], [0], [0]], [[0], [6], [24], [0]]], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [0], [0], [18]], [[0], [0], [24], [0]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[103680]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [6], [-12], [0]], [[0], [12], [12], [6]]], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [6], [-12], [0]], [[0], [6], [0], [18]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[11520]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [0], [0], [4]], [[0], [8], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [4], [-3], [1]], [[0], [4], [3], [3]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1440]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-1/2]], [[0], [2], [0], [0]], [[0], [0], [3/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3/2], [-5/2]]], 1, 64, [], [] >,
< [ -1, 1 ], [[311040]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [12], [0], [-6]], [[0], [0], [6], [12]], [[0], [0], [12], [-12]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [12], [6], [6]], [[0], [24], [-24], [-24]]], 0, 13824, [], [] >,
< [ -1, 1 ], [[311040]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [12], [-6], [0]], [[0], [0], [12], [6]], [[0], [0], [12], [-12]]], [[[1], [0], [0], [0]], [[0], [0], [6], [-6]], [[0], [12], [6], [6]], [[0], [12], [-15], [-9]]], 0, 13824, [], [] >,
< [ -1, 1 ], [[38880]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [3], [6], [-3]], [[0], [6], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [3], [-3/2], [-9/2]], [[0], [12], [6], [6]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[38880]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [3], [3], [0]], [[0], [3], [-3], [6]], [[0], [6], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [9], [3/2], [-3/2]], [[0], [3], [9/2], [15/2]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[1440]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [3/2], [3], [3/2]], [[0], [15/4], [1/2], [-5/4]]], [[[1], [0], [0], [0]], [[0], [9/7], [2], [-11/7]], [[0], [39/28], [-1/2], [83/28]], [[0], [9/4], [-5/2], [-11/4]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1440]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/4], [1/2], [7/4]], [[0], [3/4], [5/2], [-1/4]], [[0], [27/4], [-3/2], [-9/4]]], [[[1], [0], [0], [0]], [[0], [9/7], [2], [-11/7]], [[0], [57/28], [1/2], [61/28]], [[0], [45/28], [-7/2], [-55/28]]], 1, 64, [], [] >,
< [ -1, 1 ], [[11520]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[0], [6], [0], [-6]], [[0], [15/2], [-5], [7/2]]], [[[1], [0], [0], [0]], [[0], [9/7], [2], [-11/7]], [[0], [51/14], [-3], [3/14]], [[0], [54/7], [8], [130/7]]], 0, 512, [], [] >,
< [ -1, 1 ], [[11520]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [-1], [11/2]], [[0], [3], [6], [3]], [[0], [15/2], [-1], [-1/2]]], [[[1], [0], [0], [0]], [[0], [9/7], [2], [-11/7]], [[0], [51/7], [-6], [3/7]], [[0], [9/2], [5], [17/2]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1440]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [1]], [[0], [4], [-3], [3]], [[0], [2], [3/2], [-11/2]]], [[[1], [0], [0], [0]], [[0], [6/7], [3/14], [3/2]], [[0], [34/7], [33/7], [-3]], [[0], [52/7], [-36/7], [-4]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1440]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [3/2]], [[0], [2], [3], [1]], [[0], [6], [-3], [-9]]], [[[1], [0], [0], [0]], [[0], [12/7], [3/7], [3]], [[0], [32/7], [-33/14], [-1/2]], [[0], [34/7], [33/7], [-3]]], 1, 96, [], [] >,
< [ -1, 1 ], [[11520]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [1]], [[0], [0], [6], [-14]], [[0], [14], [-9], [-3]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [52/7], [-36/7], [-4]], [[0], [48/7], [12/7], [12]]], 0, 768, [], [] >,
< [ -1, 1 ], [[11520]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [2]], [[0], [6], [-3], [-9]], [[0], [6], [-9], [5]]], [[[1], [0], [0], [0]], [[0], [52/7], [-36/7], [-4]], [[0], [10/7], [27/7], [-9]], [[0], [58/7], [39/7], [3]]], 0, 768, [], [] >,
< [ -1, 1 ], [[11520]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [16], [-2], [-2]], [[0], [8], [14], [2]]], [[[1], [0], [0], [0]], [[0], [4], [-8], [4]], [[0], [0], [0], [12]], [[0], [26], [8], [2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[11520]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [12], [6], [6]], [[0], [8], [-16], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [2], [-4], [-10]], [[0], [48], [24], [0]]], 0, 768, [], [] >,
< [ -1, 1 ], [[1440]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [-2]], [[0], [3], [-6], [6]], [[0], [13], [4], [4]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [8], [-1], [-4]], [[0], [4], [7], [4]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1440]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [4]], [[0], [2], [-4], [-4]], [[0], [13], [4], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [6], [3], [0]], [[0], [2], [-4], [-10]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2016]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [-2]], [[0], [1], [6], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [3], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2016]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [6], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [2], [3], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[16128]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [4], [6], [2]], [[0], [4], [-6], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [24], [0]]], 0, 768, [], [] >,
< [ -1, 1 ], [[16128]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [6], [2]], [[0], [8], [0], [0]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [4]], [[0], [2], [12], [2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[16128]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [0], [-4]], [[0], [0], [6], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [4], [0], [4]], [[0], [2], [12], [2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[2016]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [3], [-1]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [0], [-2]], [[0], [0], [6], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2016]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [3/2], [-3/2]], [[0], [3], [-3/2], [3/2]], [[0], [2], [4], [4]]], [[[1], [0], [0], [0]], [[0], [1/5], [-1/2], [-11/10]], [[0], [14/5], [2], [-2/5]], [[0], [48/5], [-12], [36/5]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2016]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [7/2], [1/2]], [[0], [1], [1/2], [7/2]], [[0], [6], [0], [0]]], [[[1], [0], [0], [0]], [[0], [2/5], [-1], [-11/5]], [[0], [14/5], [2], [-2/5]], [[0], [5], [-13/2], [5/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[16128]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [0], [6], [-6]], [[0], [8], [7], [1]]], [[[1], [0], [0], [0]], [[0], [16/5], [1], [-13/5]], [[0], [8/5], [5], [31/5]], [[0], [36/5], [-15], [27/5]]], 0, 768, [], [] >,
< [ -1, 1 ], [[16128]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [4], [-4], [-4]], [[0], [16], [8], [8]]], [[[1], [0], [0], [0]], [[0], [12/5], [3], [9/5]], [[0], [4], [-1], [-7]], [[0], [64/5], [-11], [23/5]]], 0, 768, [], [] >,
< [ -1, 1 ], [[145152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-18], [0]], [[0], [24], [12], [0]], [[0], [6], [6], [72]]], [[[1], [0], [0], [0]], [[0], [6], [-24], [-18]], [[0], [30], [0], [18]], [[0], [18], [24], [-18]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[145152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [12], [0]], [[0], [6], [-6], [36]], [[0], [12], [-36], [0]]], [[[1], [0], [0], [0]], [[0], [6], [-12], [18]], [[0], [30], [-12], [-18]], [[0], [18], [36], [18]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[18144]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [-9]], [[0], [6], [-18], [0]], [[0], [18], [12], [9]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [6], [-12], [18]], [[0], [12], [-21], [-18]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[18144]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [6], [9]], [[0], [6], [-18], [0]], [[0], [18], [6], [-9]]], [[[1], [0], [0], [0]], [[0], [12], [6], [0]], [[0], [12], [-15], [0]], [[0], [6], [-3], [-18]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[2016]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-3]], [[0], [6], [4], [3]], [[0], [6], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [3], [-2], [0]], [[0], [0], [2], [6]], [[0], [12], [18], [-6]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2016]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [-3]], [[0], [0], [8], [3]], [[0], [6], [-2], [6]]], [[[1], [0], [0], [0]], [[0], [0], [2], [6]], [[0], [6], [-4], [0]], [[0], [9], [8], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[16128]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-8], [0]], [[0], [6], [6], [-12]], [[0], [6], [14], [12]]], [[[1], [0], [0], [0]], [[0], [0], [4], [12]], [[0], [12], [-6], [6]], [[0], [12], [18], [-6]]], 0, 768, [], [] >,
< [ -1, 1 ], [[16128]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [10], [0]], [[0], [12], [-8], [0]], [[0], [6], [2], [-24]]], [[[1], [0], [0], [0]], [[0], [0], [2], [6]], [[0], [24], [10], [-6]], [[0], [0], [26], [-6]]], 0, 768, [], [] >,
< [ -1, 1 ], [[16128]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [10], [-9], [-13]], [[0], [10], [-3], [17]]], [[[1], [0], [0], [0]], [[0], [8/5], [-6/5], [18/5]], [[0], [58/5], [69/5], [-7/5]], [[0], [38/5], [-81/5], [-37/5]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[16128]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [6], [-3], [-7]], [[0], [14], [-9], [11]]], [[[1], [0], [0], [0]], [[0], [8/5], [-6/5], [18/5]], [[0], [2], [15], [3]], [[0], [96/5], [-12/5], [-44/5]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[2016]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [3/2], [11/2]], [[0], [6], [-9/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [8/5], [3/10], [-29/10]], [[0], [16/5], [-9/10], [7/10]], [[0], [2], [15], [3]]], 1, 128, [], [] >,
< [ -1, 1 ], [[2016]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [4], [-3/2], [5/2]], [[0], [4], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [12/5], [-3/10], [-11/10]], [[0], [8/5], [-6/5], [18/5]], [[0], [2], [15], [3]]], 1, 128, [], [] >,
< [ -1, 1 ], [[25344]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-6]], [[0], [14], [0], [2]], [[0], [2], [-24], [-2]]], [[[1], [0], [0], [0]], [[0], [2/5], [-24/5], [-2/5]], [[0], [16], [0], [-4]], [[0], [6], [0], [26]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[25344]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-12]], [[0], [6], [12], [2]], [[0], [12], [0], [8]]], [[[1], [0], [0], [0]], [[0], [4/5], [-48/5], [-4/5]], [[0], [14/5], [12/5], [66/5]], [[0], [16], [0], [-4]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[3168]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [0]], [[0], [2], [0], [-6]], [[0], [10], [6], [2]]], [[[1], [0], [0], [0]], [[0], [2/5], [-24/5], [-2/5]], [[0], [8/5], [-6/5], [32/5]], [[0], [44/5], [-3/5], [6/5]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3168]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-6]], [[0], [4], [3], [4]], [[0], [4], [-6], [0]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [16/5]], [[0], [2/5], [-24/5], [-2/5]], [[0], [16], [0], [-4]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3744]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [1/2], [-3/2]], [[0], [6], [1/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [3], [1], [1]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3744]], [ -13 ], [ -6 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [6], [1], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [3], [0], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[29952]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [0], [4], [4]], [[0], [6], [3], [1]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [24], [0], [0]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[29952]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [0], [4], [4]], [[0], [6], [1], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [12], [2], [0]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[389376]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [12], [0], [0]], [[0], [6], [-13], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [12], [0], [-2]], [[0], [0], [26], [2]]], 0, 21504, [], [] >,
< [ -1, 1 ], [[389376]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [12], [0], [0]], [[0], [6], [13], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [24], [0], [0]], [[0], [0], [26], [0]]], 0, 21504, [], [] >,
< [ -1, 1 ], [[48672]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [6], [0], [2]], [[0], [0], [13/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [3], [0], [0]], [[0], [0], [26], [0]]], 1, 2688, [], [] >,
< [ -1, 1 ], [[48672]], [ -13 ], [ -6 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [6], [0], [2]], [[0], [0], [13/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [6], [0], [0]], [[0], [3], [13], [1]]], 1, 2688, [], [] >,
< [ -1, 1 ], [[278784]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [12], [2]], [[0], [38], [-12], [-2]], [[0], [0], [0], [44]]], [[[1], [0], [0], [0]], [[0], [94/5], [12/5], [46/5]], [[0], [62/5], [36/5], [-82/5]], [[0], [20], [-48], [-8]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[278784]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [24], [4]], [[0], [22], [0], [22]], [[0], [22], [0], [-22]]], [[[1], [0], [0], [0]], [[0], [78/5], [24/5], [-18/5]], [[0], [32/5], [-24/5], [128/5]], [[0], [20], [-48], [-8]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[34848]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [12], [2]], [[0], [12], [-9], [4]], [[0], [8], [-6], [-12]]], [[[1], [0], [0], [0]], [[0], [4/5], [-3/5], [16/5]], [[0], [78/5], [24/5], [-18/5]], [[0], [92/5], [-234/5], [-72/5]]], 1, 1920, [], [] >,
< [ -1, 1 ], [[34848]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [-6]], [[0], [6], [12], [2]], [[0], [16], [-12], [20]]], [[[1], [0], [0], [0]], [[0], [8/5], [-6/5], [32/5]], [[0], [78/5], [24/5], [-18/5]], [[0], [46/5], [-117/5], [-36/5]]], 1, 1920, [], [] >,
< [ -1, 1 ], [[14112]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [-2]], [[0], [1], [42], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [21], [0]]], 1, 768, [], [] >,
< [ -1, 1 ], [[14112]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [42], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [2], [21], [0]]], 1, 768, [], [] >,
< [ -1, 1 ], [[112896]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [8], [0], [0]], [[0], [4], [42], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [0], [168], [0]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[112896]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [8], [0], [0]], [[0], [0], [42], [2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [4]], [[0], [2], [84], [2]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[112896]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [0], [-4]], [[0], [0], [42], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [0], [-4]], [[0], [2], [84], [-2]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[14112]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [21], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [0], [-2]], [[0], [0], [42], [0]]], 1, 768, [], [] >,
< [ -1, 1 ], [[112896]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [7], [1]], [[0], [8], [-14], [-2]], [[0], [4], [-7], [23]]], [[[1], [0], [0], [0]], [[0], [8], [7], [1]], [[0], [52/5], [-14], [14/5]], [[0], [32/5], [-7], [-101/5]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[112896]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-7], [-1]], [[0], [20], [7], [1]], [[0], [8], [7], [-23]]], [[[1], [0], [0], [0]], [[0], [4/5], [7], [53/5]], [[0], [52/5], [-14], [14/5]], [[0], [76/5], [7], [-43/5]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[14112]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [0]], [[0], [2], [7], [1]], [[0], [1], [7/2], [-23/2]]], [[[1], [0], [0], [0]], [[0], [11/5], [7/2], [29/10]], [[0], [18/5], [0], [-24/5]], [[0], [34/5], [-14], [38/5]]], 1, 768, [], [] >,
< [ -1, 1 ], [[14112]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [7/2], [1/2]], [[0], [6], [0], [0]], [[0], [1], [7/2], [-47/2]]], [[[1], [0], [0], [0]], [[0], [18/5], [0], [-24/5]], [[0], [37/5], [-7/2], [43/10]], [[0], [22/5], [7], [29/5]]], 1, 768, [], [] >,
< [ -1, 1 ], [[112896]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [18], [-6]], [[0], [0], [0], [28]], [[0], [36], [-30], [10]]], [[[1], [0], [0], [0]], [[0], [6], [-12], [-10]], [[0], [6], [-12], [18]], [[0], [66], [36], [2]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[112896]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [-6], [2]], [[0], [0], [0], [28]], [[0], [0], [42], [-14]]], [[[1], [0], [0], [0]], [[0], [12], [-24], [8]], [[0], [0], [0], [28]], [[0], [30], [24], [6]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[14112]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [2]], [[0], [18], [6], [-2]], [[0], [3], [-6], [-26]]], [[[1], [0], [0], [0]], [[0], [12], [-3], [8]], [[0], [6], [9], [-10]], [[0], [6], [-12], [-10]]], 1, 576, [], [] >,
< [ -1, 1 ], [[14112]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [-12]], [[0], [6], [-12], [4]], [[0], [18], [6], [-2]]], [[[1], [0], [0], [0]], [[0], [6], [9], [4]], [[0], [12], [-3], [-6]], [[0], [6], [-12], [18]]], 1, 576, [], [] >,
< [ -1, 1 ], [[1016064]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [-36], [-30]], [[0], [18], [-36], [54]], [[0], [54], [60], [-6]]], [[[1], [0], [0], [0]], [[0], [18], [6], [12]], [[0], [18], [-78], [12]], [[0], [72], [24], [-120]]], 0, 55296, [], [] >,
< [ -1, 1 ], [[1016064]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [54], [-24], [-6]], [[0], [18], [48], [-30]], [[0], [18], [48], [54]]], [[[1], [0], [0], [0]], [[0], [36], [12], [24]], [[0], [18], [6], [-72]], [[0], [36], [-72], [24]]], 0, 55296, [], [] >,
< [ -1, 1 ], [[127008]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [-15], [12]], [[0], [18], [27], [12]], [[0], [18], [6], [-30]]], [[[1], [0], [0], [0]], [[0], [18], [6], [12]], [[0], [18], [6], [-30]], [[0], [18], [-36], [-9]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[127008]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [21], [0]], [[0], [18], [6], [-30]], [[0], [36], [-9], [24]]], [[[1], [0], [0], [0]], [[0], [18], [6], [-9]], [[0], [0], [0], [21]], [[0], [18], [-78], [-9]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[14112]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [6]], [[0], [4], [3], [11]], [[0], [10], [15/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [12/5], [-3/10], [-11/10]], [[0], [34/5], [57/5], [69/5]], [[0], [2], [-39/2], [25/2]]], 1, 768, [], [] >,
< [ -1, 1 ], [[14112]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3/2], [11/2]], [[0], [4], [-15/2], [1/2]], [[0], [16], [12], [-12]]], [[[1], [0], [0], [0]], [[0], [24/5], [-3/5], [-11/5]], [[0], [16/5], [-39/10], [137/10]], [[0], [18/5], [153/10], [1/10]]], 1, 768, [], [] >,
< [ -1, 1 ], [[112896]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-9], [-5]], [[0], [26], [9], [5]], [[0], [6], [15], [-29]]], [[[1], [0], [0], [0]], [[0], [34/5], [57/5], [69/5]], [[0], [96/5], [-12/5], [-44/5]], [[0], [22/5], [-99/5], [57/5]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[112896]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-3], [17]], [[0], [4], [-18], [-10]], [[0], [18], [3], [-17]]], [[[1], [0], [0], [0]], [[0], [96/5], [-12/5], [-44/5]], [[0], [82/5], [51/5], [47/5]], [[0], [26/5], [93/5], [-79/5]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[518400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [30], [-12], [0]], [[0], [0], [36], [6]]], [[[1], [0], [0], [0]], [[0], [0], [12], [18]], [[0], [0], [12], [-18]], [[0], [30], [-12], [0]]], 0, 27648, [], [] >,
< [ -1, 1 ], [[518400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [30], [24], [0]], [[0], [30], [-48], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [18]], [[0], [0], [24], [0]], [[0], [30], [0], [0]]], 0, 27648, [], [] >,
< [ -1, 1 ], [[64800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [0], [9], [0]], [[0], [30], [-3], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [18]], [[0], [30], [0], [0]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[64800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [15], [3], [3]], [[0], [0], [18], [0]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [15], [3], [-9]], [[0], [15], [-3], [9]]], 0, 3456, [], [] >,
< [ -1, 1 ], [[7200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [0], [0], [6]], [[0], [10], [-1], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [3], [0]], [[0], [30], [0], [0]]], 1, 288, [], [] >,
< [ -1, 1 ], [[7200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [1], [3]], [[0], [5], [1], [-3]], [[0], [0], [6], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [6], [0]], [[0], [15], [3], [1]]], 1, 288, [], [] >,
< [ -1, 1 ], [[57600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [10], [-4], [0]], [[0], [0], [0], [12]], [[0], [0], [12], [6]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [12], [-2]], [[0], [30], [0], [2]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[57600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [10], [8], [0]], [[0], [10], [-16], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [24], [0]], [[0], [30], [0], [0]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[1555200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9], [-9]], [[0], [0], [15], [9]], [[0], [60], [9], [3]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [36]], [[0], [60], [0], [-6]]], 0, 82944, [], [] >,
< [ -1, 1 ], [[1555200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [9]], [[0], [0], [21], [-9]], [[0], [60], [-3], [3]]], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [0], [0], [18]], [[0], [60], [6], [-6]]], 0, 82944, [], [] >,
< [ -1, 1 ], [[194400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [9]], [[0], [0], [12], [0]], [[0], [15], [-9/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [15], [0], [3]], [[0], [0], [0], [18]]], 0, 10368, [], [] >,
< [ -1, 1 ], [[194400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [9]], [[0], [0], [12], [0]], [[0], [15], [3/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [15], [3], [-6]], [[0], [0], [0], [18]]], 0, 10368, [], [] >,
< [ -1, 1 ], [[57600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [0], [4]], [[0], [40], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [6], [2]], [[0], [20], [3], [1]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[7200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [1/2]], [[0], [0], [3/2], [-7/2]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [0], [3/2], [5/2]], [[0], [10], [0], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[7200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [15/2], [-1], [-1/2]], [[0], [15/4], [13/2], [19/4]]], [[[1], [0], [0], [0]], [[0], [45/28], [-7/2], [-55/28]], [[0], [15/28], [7/2], [-149/28]], [[0], [75/14], [3], [39/14]]], 1, 384, [], [] >,
< [ -1, 1 ], [[7200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [15/4], [1/2], [-5/4]], [[0], [15/4], [25/2], [43/4]]], [[[1], [0], [0], [0]], [[0], [75/28], [3/2], [39/28]], [[0], [15/7], [0], [-51/7]], [[0], [15/14], [-7], [47/14]]], 1, 384, [], [] >,
< [ -1, 1 ], [[57600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15/2], [-1], [-1/2]], [[0], [0], [8], [-8]], [[0], [0], [12], [12]]], [[[1], [0], [0], [0]], [[0], [60/7], [-4], [-8/7]], [[0], [45/14], [3], [141/14]], [[0], [45/7], [10], [-55/7]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[57600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15/2], [3], [-9/2]], [[0], [15/2], [-5], [7/2]], [[0], [0], [12], [12]]], [[[1], [0], [0], [0]], [[0], [15/14], [-7], [47/14]], [[0], [15/2], [3], [-9/2]], [[0], [75/14], [13], [235/14]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[57600]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [-9]], [[0], [14], [3], [9]], [[0], [8], [-24], [8]]], [[[1], [0], [0], [0]], [[0], [52/7], [-36/7], [-4]], [[0], [68/7], [66/7], [-6]], [[0], [86/7], [-3/7], [33]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[57600]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [9], [-13]], [[0], [10], [15], [5]], [[0], [10], [-15], [-5]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [52/7], [-36/7], [-4]], [[0], [240/7], [60/7], [60]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[7200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3/2], [-11/2]], [[0], [2], [-6], [2]], [[0], [12], [9], [7]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [30/7], [15/14], [15/2]], [[0], [52/7], [-36/7], [-4]]], 1, 384, [], [] >,
< [ -1, 1 ], [[7200]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-6], [2]], [[0], [6], [9/2], [7/2]], [[0], [6], [-3], [-9]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [8], [-3/2], [11/2]], [[0], [52/7], [-36/7], [-4]]], 1, 384, [], [] >,
< [ -1, 1 ], [[57600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [20], [-10], [-10]], [[0], [4], [22], [10]], [[0], [8], [-16], [20]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [10], [-20], [10]], [[0], [48], [24], [0]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[57600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-2], [10]], [[0], [8], [14], [-10]], [[0], [16], [-32], [-20]]], [[[1], [0], [0], [0]], [[0], [4], [-8], [-20]], [[0], [8], [-16], [20]], [[0], [26], [8], [-10]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[7200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [0]], [[0], [13], [4], [10]], [[0], [11], [8], [-10]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [2], [-4], [-10]], [[0], [10], [-20], [10]]], 1, 384, [], [] >,
< [ -1, 1 ], [[7200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [10]], [[0], [6], [-12], [0]], [[0], [15], [0], [0]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [12], [6], [0]], [[0], [12], [-9], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[36000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [15/2], [-3/2]], [[0], [5], [-15/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [5], [0], [-1]], [[0], [0], [30], [0]]], 1, 1920, [], [] >,
< [ -1, 1 ], [[36000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [15/2], [1/2]], [[0], [5], [-15/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [10], [0], [0]], [[0], [5], [15], [0]]], 1, 1920, [], [] >,
< [ -1, 1 ], [[288000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [15], [-3]], [[0], [20], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [20], [30], [0]], [[0], [20], [-30], [0]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[288000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [15], [1]], [[0], [20], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [20], [0], [2]], [[0], [0], [30], [0]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[36000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [5]], [[0], [5], [9/2], [-5/2]], [[0], [5], [-9/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [5], [0], [5]], [[0], [5], [0], [-5]]], 1, 1920, [], [] >,
< [ -1, 1 ], [[36000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [3/2], [5/2]], [[0], [5], [-3/2], [-5/2]], [[0], [0], [9], [-5]]], [[[1], [0], [0], [0]], [[0], [5], [3], [0]], [[0], [5], [-3], [0]], [[0], [0], [0], [10]]], 1, 1920, [], [] >,
< [ -1, 1 ], [[288000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9], [-5]], [[0], [0], [6], [10]], [[0], [20], [3], [5]]], [[[1], [0], [0], [0]], [[0], [0], [0], [10]], [[0], [0], [12], [0]], [[0], [20], [6], [0]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[288000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [5]], [[0], [0], [18], [-10]], [[0], [20], [9], [-5]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [20]], [[0], [20], [0], [10]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[36000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-9], [-7]], [[0], [10], [-15/2], [15/2]], [[0], [10], [15], [5]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [60/7], [15/7], [15]], [[0], [18], [-33/2], [1/2]]], 1, 1920, [], [] >,
< [ -1, 1 ], [[36000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-9/2], [-7/2]], [[0], [14], [21/2], [3/2]], [[0], [12], [-6], [22]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [30/7], [15/14], [15/2]], [[0], [192/7], [-246/7], [-14]]], 1, 1920, [], [] >,
< [ -1, 1 ], [[288000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [15], [5]], [[0], [14], [3], [-31]], [[0], [28], [-24], [8]]], [[[1], [0], [0], [0]], [[0], [34/7], [33/7], [-3]], [[0], [192/7], [-246/7], [-14]], [[0], [240/7], [60/7], [60]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[288000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-21], [17]], [[0], [26], [-3], [-9]], [[0], [22], [9], [27]]], [[[1], [0], [0], [0]], [[0], [68/7], [66/7], [-6]], [[0], [86/7], [-3/7], [33]], [[0], [192/7], [-246/7], [-14]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[288000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [32], [-4], [20]], [[0], [4], [-38], [10]], [[0], [32], [-4], [-40]]], [[[1], [0], [0], [0]], [[0], [10], [-20], [10]], [[0], [10], [-20], [-50]], [[0], [44], [32], [20]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[288000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-2], [10]], [[0], [32], [-4], [-40]], [[0], [8], [74], [-10]]], [[[1], [0], [0], [0]], [[0], [22], [16], [10]], [[0], [20], [-40], [20]], [[0], [42], [-24], [-30]]], 0, 15360, [], [] >,
< [ -1, 1 ], [[36000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-10], [-10]], [[0], [16], [-2], [10]], [[0], [17], [26], [-10]]], [[[1], [0], [0], [0]], [[0], [8], [-1], [20]], [[0], [2], [-19], [-10]], [[0], [14], [17], [-10]]], 1, 1920, [], [] >,
< [ -1, 1 ], [[36000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [11], [8], [-10]], [[0], [16], [-2], [10]], [[0], [1], [28], [10]]], [[[1], [0], [0], [0]], [[0], [8], [-1], [-10]], [[0], [10], [-20], [10]], [[0], [22], [16], [10]]], 1, 1920, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [12], [12], [-12]], [[0], [20], [-12], [12]]], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [4], [-12], [12]], [[0], [16], [6], [6]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [4], [-12], [12]], [[0], [32], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [16], [6], [6]], [[0], [4], [-18], [6]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[442368]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-24], [8]], [[0], [16], [12], [28]], [[0], [32], [-12], [-28]]], [[[1], [0], [0], [0]], [[0], [24], [0], [0]], [[0], [0], [12], [-36]], [[0], [8], [36], [20]]], 0, 24576, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [16], [-6], [10]], [[0], [8], [24], [8]]], [[[1], [0], [0], [0]], [[0], [8], [12], [-4]], [[0], [4], [-6], [-14]], [[0], [16], [-6], [10]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [12], [-18], [6]], [[0], [20], [6], [14]]], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [20], [-12], [-4]], [[0], [12], [0], [24]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [2], [-3], [-7]], [[0], [10], [-3], [1]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [6], [-3], [9]], [[0], [10], [-9], [-5]]], 0, 384, [], [] >,
< [ -1, 1 ], [[864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-3/2], [-7/2]], [[0], [8], [-3], [5]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [0], [3], [3]], [[0], [5], [-3/2], [1/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [12], [0], [0]], [[0], [4], [-9], [7]]], [[[1], [0], [0], [0]], [[0], [4], [3], [-5]], [[0], [0], [6], [6]], [[0], [8], [-3], [5]]], 0, 384, [], [] >,
< [ -1, 1 ], [[6912]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [8], [-8], [-8]], [[0], [6], [-6], [12]]], [[[1], [0], [0], [0]], [[0], [10], [2], [-4]], [[0], [2], [10], [4]], [[0], [10], [-10], [8]]], 0, 384, [], [] >,
< [ -1, 1 ], [[864]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [3], [-3], [6]], [[0], [6], [6], [0]]], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [3], [3], [0]], [[0], [6], [-6], [12]]], 1, 48, [], [] >,
< [ -1, 1 ], [[6912]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [6], [0], [6]], [[0], [24], [-24], [-24]]], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [4], [-4], [8]], [[0], [14], [-8], [-14]]], 0, 384, [], [] >,
< [ -1, 1 ], [[864]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [2], [4], [-2]], [[0], [6], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [6], [0], [6]], [[0], [6], [-6], [-6]]], 1, 48, [], [] >,
< [ -1, 1 ], [[4320]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [3], [3/2], [3/2]], [[0], [3], [-3/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [-3], [0]], [[0], [0], [0], [6]]], 1, 192, [], [] >,
< [ -1, 1 ], [[4320]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [3], [3/2], [-1/2]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [3]], [[0], [0], [6], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[34560]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [6], [3], [-1]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [2], [6], [0]], [[0], [2], [0], [-6]], [[0], [8], [0], [0]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[34560]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [0], [3], [7]], [[0], [12], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [4], [6], [0]], [[0], [4], [-6], [0]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[34560]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [3], [-5]], [[0], [12], [3], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [4], [0], [6]], [[0], [4], [0], [-6]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[34560]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [6], [-2]], [[0], [2], [-6], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [-6], [-4]], [[0], [8], [6], [-10]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[4320]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [0], [3], [0]], [[0], [4], [0], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-1]], [[0], [2], [0], [2]], [[0], [0], [6], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[34560]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [6]], [[0], [8], [0], [2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-2]], [[0], [4], [6], [4]], [[0], [4], [-6], [4]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[34560]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[0], [3/2], [-5], [19/2]], [[0], [39/2], [-5], [-17/2]]], [[[1], [0], [0], [0]], [[0], [33/14], [-5], [25/14]], [[0], [87/14], [1], [-41/14]], [[0], [9], [10], [17]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[34560]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [-1], [11/2]], [[0], [3], [6], [3]], [[0], [18], [-8], [-10]]], [[[1], [0], [0], [0]], [[0], [27/7], [6], [-33/7]], [[0], [60/7], [-4], [-8/7]], [[0], [9/2], [5], [17/2]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[4320]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/4], [1/2], [7/4]], [[0], [3/4], [5/2], [-1/4]], [[0], [39/2], [-7], [-13/2]]], [[[1], [0], [0], [0]], [[0], [3/4], [-3/2], [15/4]], [[0], [45/28], [-7/2], [-55/28]], [[0], [129/28], [9/2], [-27/28]]], 1, 192, [], [] >,
< [ -1, 1 ], [[4320]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [3/2], [3], [3/2]], [[0], [39/4], [-7/2], [-13/4]]], [[[1], [0], [0], [0]], [[0], [75/28], [3/2], [39/28]], [[0], [99/28], [-1/2], [-121/28]], [[0], [33/14], [-5], [25/14]]], 1, 192, [], [] >,
< [ -1, 1 ], [[34560]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[0], [27/2], [-5], [-5/2]], [[0], [9/2], [5], [-31/2]]], [[[1], [0], [0], [0]], [[0], [9/7], [2], [-11/7]], [[0], [171/14], [-7], [-13/14]], [[0], [57/14], [11], [257/14]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[34560]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3], [6], [3]], [[0], [15/2], [-1], [-1/2]], [[0], [3/2], [-9], [27/2]]], [[[1], [0], [0], [0]], [[0], [9/7], [2], [-11/7]], [[0], [57/14], [-9], [-135/14]], [[0], [285/14], [-5], [109/14]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[4320]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[0], [9/4], [-1/2], [-19/4]], [[0], [15/4], [-7/2], [11/4]]], [[[1], [0], [0], [0]], [[0], [9/7], [2], [-11/7]], [[0], [39/28], [-1/2], [83/28]], [[0], [57/7], [-8], [-37/7]]], 1, 192, [], [] >,
< [ -1, 1 ], [[4320]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3/2], [3], [3/2]], [[0], [3/4], [-3/2], [15/4]], [[0], [6], [-4], [-2]]], [[[1], [0], [0], [0]], [[0], [9/7], [2], [-11/7]], [[0], [57/28], [1/2], [61/28]], [[0], [57/7], [-8], [-37/7]]], 1, 192, [], [] >,
< [ -1, 1 ], [[4320]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [3]], [[0], [4], [9/2], [-9/2]], [[0], [2], [9/2], [15/2]]], [[[1], [0], [0], [0]], [[0], [6/7], [3/14], [3/2]], [[0], [18/7], [-69/7], [-1]], [[0], [120/7], [30/7], [-10]]], 1, 288, [], [] >,
< [ -1, 1 ], [[4320]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [3/2]], [[0], [6], [9], [3]], [[0], [6], [-3], [-9]]], [[[1], [0], [0], [0]], [[0], [12/7], [3/7], [3]], [[0], [18/7], [-69/7], [-1]], [[0], [54/7], [27/14], [-13/2]]], 1, 288, [], [] >,
< [ -1, 1 ], [[34560]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [9], [3]], [[0], [2], [-3], [15]], [[0], [14], [-9], [-3]]], [[[1], [0], [0], [0]], [[0], [18/7], [-69/7], [-1]], [[0], [48/7], [12/7], [12]], [[0], [120/7], [30/7], [-10]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[34560]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [-9]], [[0], [2], [-15], [3]], [[0], [14], [3], [9]]], [[[1], [0], [0], [0]], [[0], [6], [-9], [5]], [[0], [48/7], [12/7], [12]], [[0], [120/7], [30/7], [-10]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[4320]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-4], [-1]], [[0], [12], [6], [9]], [[0], [12], [6], [-9]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [2], [-4], [-10]], [[0], [6], [-12], [6]]], 1, 288, [], [] >,
< [ -1, 1 ], [[4320]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [0], [9]], [[0], [4], [-8], [-2]], [[0], [14], [2], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [8], [-1], [8]], [[0], [4], [7], [-8]]], 1, 288, [], [] >,
< [ -1, 1 ], [[34560]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [16]], [[0], [18], [-6], [-12]], [[0], [6], [18], [12]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [6], [-12], [6]], [[0], [48], [24], [0]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[34560]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [14], [2], [8]], [[0], [10], [10], [-8]], [[0], [12], [-24], [-24]]], [[[1], [0], [0], [0]], [[0], [8], [-16], [-4]], [[0], [4], [-8], [16]], [[0], [26], [8], [-10]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[34560]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-16], [8]], [[0], [12], [6], [18]], [[0], [12], [6], [-18]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [6], [-12], [-30]], [[0], [48], [24], [0]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[34560]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-16], [8]], [[0], [16], [-2], [-14]], [[0], [8], [14], [14]]], [[[1], [0], [0], [0]], [[0], [4], [-8], [4]], [[0], [22], [16], [-2]], [[0], [8], [-16], [-28]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[4320]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-6], [-6]], [[0], [4], [-8], [4]], [[0], [14], [2], [2]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [12], [6], [0]], [[0], [10], [-5], [-14]]], 1, 288, [], [] >,
< [ -1, 1 ], [[4320]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-2], [-8]], [[0], [4], [-8], [4]], [[0], [14], [2], [2]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [2]], [[0], [6], [3], [0]], [[0], [6], [-12], [-30]]], 1, 288, [], [] >,
< [ -1, 1 ], [[48384]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [6], [-6]], [[0], [8], [6], [-2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-4]], [[0], [8], [0], [4]], [[0], [2], [-12], [-2]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[48384]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [2]], [[0], [4], [-6], [2]], [[0], [8], [0], [-8]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [6], [0], [6]], [[0], [0], [24], [0]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[6048]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [1], [0], [-4]], [[0], [1], [6], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [4], [3], [2]], [[0], [4], [-3], [2]]], 1, 288, [], [] >,
< [ -1, 1 ], [[6048]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[0], [5], [0], [-2]], [[0], [2], [6], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [0], [3], [0]], [[0], [6], [0], [6]]], 1, 288, [], [] >,
< [ -1, 1 ], [[6048]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [4], [-4], [-4]], [[0], [5], [11/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [14/5], [2], [-2/5]], [[0], [3/5], [-3/2], [-33/10]], [[0], [48/5], [-12], [36/5]]], 1, 288, [], [] >,
< [ -1, 1 ], [[6048]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [4], [-4], [-4]], [[0], [7], [7/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [14/5], [2], [-2/5]], [[0], [6/5], [-3], [-33/5]], [[0], [27/5], [-15/2], [3/10]]], 1, 288, [], [] >,
< [ -1, 1 ], [[48384]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [0], [6], [-6]], [[0], [24], [9], [15]]], [[[1], [0], [0], [0]], [[0], [8/5], [5], [31/5]], [[0], [48/5], [3], [-39/5]], [[0], [4], [-16], [8]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[48384]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [4], [-4], [-4]], [[0], [48], [24], [24]]], [[[1], [0], [0], [0]], [[0], [4], [-1], [-7]], [[0], [36/5], [9], [27/5]], [[0], [4], [-16], [8]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[6048]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [2], [4], [4]], [[0], [9], [3/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [13/5], [5/2], [7/10]], [[0], [3/5], [-3/2], [-33/10]], [[0], [48/5], [-12], [36/5]]], 1, 288, [], [] >,
< [ -1, 1 ], [[6048]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [7/2], [1/2]], [[0], [1], [1/2], [7/2]], [[0], [16], [-4], [-4]]], [[[1], [0], [0], [0]], [[0], [16/5], [1], [-13/5]], [[0], [2], [4], [4]], [[0], [37/5], [-7/2], [43/10]]], 1, 288, [], [] >,
< [ -1, 1 ], [[48384]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-6]], [[0], [4], [11], [5]], [[0], [16], [-7], [-1]]], [[[1], [0], [0], [0]], [[0], [16/5], [1], [-13/5]], [[0], [68/5], [-4], [76/5]], [[0], [28/5], [-20], [-4/5]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[48384]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [20], [4], [4]], [[0], [12], [-12], [-12]]], [[[1], [0], [0], [0]], [[0], [32/5], [2], [-26/5]], [[0], [36/5], [9], [27/5]], [[0], [32/5], [-13], [49/5]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[338688]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [4]], [[0], [8], [0], [-8]], [[0], [0], [42], [6]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-4]], [[0], [4], [0], [8]], [[0], [2], [84], [-2]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[338688]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [4]], [[0], [8], [0], [-8]], [[0], [4], [42], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [6], [0], [6]], [[0], [0], [168], [0]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[42336]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [0]], [[0], [1], [0], [-4]], [[0], [1], [42], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [6], [0], [6]], [[0], [4], [21], [2]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[42336]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [2]], [[0], [5], [0], [-2]], [[0], [2], [42], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-2]], [[0], [6], [0], [6]], [[0], [0], [21], [0]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[42336]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [7/2], [1/2]], [[0], [17], [-7/2], [-1/2]], [[0], [5], [-7/2], [47/2]]], [[[1], [0], [0], [0]], [[0], [37/5], [-7/2], [43/10]], [[0], [4/5], [7], [53/5]], [[0], [21/5], [21/2], [-81/10]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[42336]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [7], [1]], [[0], [7], [7/2], [-23/2]], [[0], [11], [-7/2], [23/2]]], [[[1], [0], [0], [0]], [[0], [29/5], [7/2], [-19/10]], [[0], [4/5], [7], [53/5]], [[0], [9], [-21/2], [21/2]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[338688]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-7], [-1]], [[0], [4], [-7], [23]], [[0], [8], [28], [4]]], [[[1], [0], [0], [0]], [[0], [12/5], [-21], [9/5]], [[0], [4], [-7], [23]], [[0], [132/5], [0], [24/5]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[338688]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [20], [7], [1]], [[0], [12], [-21], [-3]], [[0], [12], [0], [-24]]], [[[1], [0], [0], [0]], [[0], [4/5], [7], [53/5]], [[0], [132/5], [0], [24/5]], [[0], [32/5], [-28], [124/5]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[338688]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-14], [-2]], [[0], [4], [14], [-22]], [[0], [24], [21], [3]]], [[[1], [0], [0], [0]], [[0], [12/5], [-21], [9/5]], [[0], [32/5], [-7], [-101/5]], [[0], [132/5], [0], [24/5]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[338688]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-7], [-1]], [[0], [8], [7], [-23]], [[0], [48], [21], [27]]], [[[1], [0], [0], [0]], [[0], [76/5], [7], [-43/5]], [[0], [56/5], [-7], [67/5]], [[0], [44/5], [-28], [-92/5]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[42336]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [7], [7/2], [1/2]], [[0], [4], [-7], [-1]], [[0], [1], [7/2], [-47/2]]], [[[1], [0], [0], [0]], [[0], [22/5], [7], [29/5]], [[0], [11], [-7/2], [-1/2]], [[0], [21/5], [21/2], [-81/10]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[42336]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-7], [-1]], [[0], [5], [-7/2], [23/2]], [[0], [14], [7], [1]]], [[[1], [0], [0], [0]], [[0], [11/5], [7/2], [29/10]], [[0], [34/5], [-14], [38/5]], [[0], [13], [7/2], [-23/2]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[172800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [10], [6], [0]], [[0], [10], [-12], [6]]], [[[1], [0], [0], [0]], [[0], [0], [6], [-2]], [[0], [0], [0], [8]], [[0], [30], [3], [-3]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[21600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [0], [-3]], [[0], [0], [6], [0]], [[0], [0], [0], [6]]], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [0], [4]], [[0], [15], [3/2], [1/2]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[21600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [3], [0]], [[0], [5], [-3], [0]], [[0], [0], [0], [6]]], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [0], [4]], [[0], [15], [-3/2], [3/2]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[172800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [0], [0], [12]], [[0], [20], [0], [6]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [0], [3], [5]], [[0], [60], [3], [1]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[172800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [0], [12], [0]], [[0], [20], [6], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [3], [-7]], [[0], [60], [0], [4]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[172800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [6], [-6]], [[0], [20], [3], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [6], [-6]], [[0], [40], [-3], [1]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[21600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [9/2], [-3/2]], [[0], [10], [3/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [6], [-6]], [[0], [10], [-3/2], [5/2]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[172800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-6]], [[0], [10], [-3], [1]], [[0], [0], [12], [12]]], [[[1], [0], [0], [0]], [[0], [10], [3], [-5]], [[0], [0], [12], [0]], [[0], [0], [0], [12]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[21600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [15/4], [13/2], [19/4]], [[0], [75/4], [-15/2], [-33/4]]], [[[1], [0], [0], [0]], [[0], [45/28], [-7/2], [-55/28]], [[0], [75/14], [3], [39/14]], [[0], [45/28], [21/2], [-447/28]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[21600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-2]], [[0], [45/4], [-1/2], [-7/4]], [[0], [15/2], [11], [23/2]]], [[[1], [0], [0], [0]], [[0], [75/28], [3/2], [39/28]], [[0], [165/28], [-11/2], [-71/28]], [[0], [165/28], [17/2], [-463/28]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[172800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [8], [-8]], [[0], [15/2], [11], [23/2]], [[0], [45/2], [-3], [-3/2]]], [[[1], [0], [0], [0]], [[0], [60/7], [-4], [-8/7]], [[0], [45/14], [7], [-251/14]], [[0], [90/7], [16], [86/7]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[172800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [8], [-8]], [[0], [15/2], [15], [15/2]], [[0], [45/2], [1], [-11/2]]], [[[1], [0], [0], [0]], [[0], [60/7], [-4], [-8/7]], [[0], [75/14], [17], [-157/14]], [[0], [90/7], [16], [86/7]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[21600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15/2], [-1], [-1/2]], [[0], [0], [6], [-6]], [[0], [15/4], [9/2], [27/4]]], [[[1], [0], [0], [0]], [[0], [15/28], [7/2], [-149/28]], [[0], [75/14], [3], [39/14]], [[0], [135/28], [-21/2], [-165/28]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[21600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15/4], [5/2], [-13/4]], [[0], [15/4], [-7/2], [11/4]], [[0], [15/4], [25/2], [43/4]]], [[[1], [0], [0], [0]], [[0], [75/28], [3/2], [39/28]], [[0], [15/14], [7], [-149/14]], [[0], [225/28], [-11/2], [-275/28]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[172800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15/2], [-1], [-1/2]], [[0], [0], [4], [20]], [[0], [0], [28], [-4]]], [[[1], [0], [0], [0]], [[0], [45/7], [10], [-55/7]], [[0], [75/14], [-7], [-157/14]], [[0], [285/14], [-5], [109/14]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[172800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [15], [-2], [-1]], [[0], [15/2], [11], [-25/2]], [[0], [15/2], [15], [15/2]]], [[[1], [0], [0], [0]], [[0], [45/7], [10], [-55/7]], [[0], [135/14], [-11], [31/14]], [[0], [75/14], [13], [235/14]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[21600]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [-9]], [[0], [4], [21/2], [3/2]], [[0], [10], [-15/2], [15/2]]], [[[1], [0], [0], [0]], [[0], [18/7], [-69/7], [-1]], [[0], [30/7], [15/14], [-25/2]], [[0], [90/7], [45/14], [5/2]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[21600]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [15/2], [-15/2]], [[0], [6], [-3], [-9]], [[0], [14], [3], [9]]], [[[1], [0], [0], [0]], [[0], [30/7], [15/14], [15/2]], [[0], [18/7], [-69/7], [-1]], [[0], [120/7], [30/7], [-10]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[172800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [-9]], [[0], [14], [3], [9]], [[0], [4], [-72], [24]]], [[[1], [0], [0], [0]], [[0], [120/7], [30/7], [-10]], [[0], [36/7], [-138/7], [-2]], [[0], [138/7], [-39/7], [29]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[172800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [20], [0], [0]], [[0], [8], [6], [18]], [[0], [2], [39], [-3]]], [[[1], [0], [0], [0]], [[0], [18/7], [-69/7], [-1]], [[0], [120/7], [30/7], [-10]], [[0], [258/7], [-9/7], [59]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[21600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-8], [-5]], [[0], [18], [-6], [15]], [[0], [6], [18], [-15]]], [[[1], [0], [0], [0]], [[0], [12], [6], [0]], [[0], [8], [-1], [20]], [[0], [2], [-19], [-10]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[21600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-2], [-5]], [[0], [8], [14], [5]], [[0], [6], [-12], [15]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [10], [-20], [10]], [[0], [6], [-12], [-30]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[172800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [12], [0]], [[0], [4], [-8], [40]], [[0], [30], [-30], [0]]], [[[1], [0], [0], [0]], [[0], [34], [-8], [10]], [[0], [14], [32], [-10]], [[0], [16], [-32], [-20]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[172800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [14], [2], [20]], [[0], [10], [10], [-20]], [[0], [22], [-74], [-20]]], [[[1], [0], [0], [0]], [[0], [10], [-20], [10]], [[0], [6], [-12], [-30]], [[0], [48], [24], [0]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[172800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [12], [0]], [[0], [30], [-30], [0]], [[0], [8], [-16], [-40]]], [[[1], [0], [0], [0]], [[0], [4], [-8], [-20]], [[0], [22], [16], [10]], [[0], [32], [-64], [20]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[172800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [24], [12], [0]], [[0], [26], [-22], [20]], [[0], [8], [-16], [-40]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [48], [24], [0]], [[0], [30], [-60], [30]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[21600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [14], [2], [-10]], [[0], [10], [10], [10]], [[0], [6], [-12], [15]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [2], [-4], [-10]], [[0], [30], [-60], [30]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[21600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [14], [2], [-10]], [[0], [10], [10], [10]], [[0], [8], [-16], [5]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-10]], [[0], [12], [6], [0]], [[0], [22], [-29], [10]]], 1, 1152, [], [] >,
< [ -1, 1 ], [[108000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [15/2], [1/2]], [[0], [5], [-15/2], [7/2]], [[0], [5], [-15/2], [-17/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [10], [0], [-2]], [[0], [5], [15], [2]]], 1, 5760, [], [] >,
< [ -1, 1 ], [[108000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [-15/2], [-5/2]], [[0], [5], [15/2], [-11/2]], [[0], [10], [0], [4]]], [[[1], [0], [0], [0]], [[0], [5], [0], [-1]], [[0], [0], [0], [6]], [[0], [0], [30], [0]]], 1, 5760, [], [] >,
< [ -1, 1 ], [[864000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [15], [9]], [[0], [20], [0], [-4]], [[0], [0], [15], [-15]]], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [20], [0], [2]], [[0], [0], [30], [0]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[864000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [15], [-3]], [[0], [20], [0], [-4]], [[0], [0], [0], [24]]], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [20], [30], [2]], [[0], [20], [-30], [2]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[864000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9], [-15]], [[0], [0], [15], [15]], [[0], [20], [6], [10]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [20], [0], [10]], [[0], [20], [0], [-50]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[864000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [15]], [[0], [20], [3], [-5]], [[0], [0], [24], [0]]], [[[1], [0], [0], [0]], [[0], [0], [12], [0]], [[0], [20], [6], [10]], [[0], [20], [-6], [-20]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[108000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [5/2]], [[0], [5], [21/2], [5/2]], [[0], [5], [-9/2], [-25/2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [5], [3], [10]], [[0], [10], [0], [-10]]], 1, 5760, [], [] >,
< [ -1, 1 ], [[108000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [9/2], [5/2]], [[0], [5], [-15/2], [5/2]], [[0], [5], [3/2], [-25/2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [5], [0], [-5]], [[0], [15], [0], [15]]], 1, 5760, [], [] >,
< [ -1, 1 ], [[864000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [28], [34], [10]], [[0], [36], [-42], [-30]], [[0], [4], [-38], [70]]], [[[1], [0], [0], [0]], [[0], [10], [-20], [10]], [[0], [54], [12], [-30]], [[0], [24], [72], [120]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[864000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-2], [-50]], [[0], [48], [-6], [30]], [[0], [8], [74], [-10]]], [[[1], [0], [0], [0]], [[0], [20], [-40], [20]], [[0], [44], [32], [-40]], [[0], [22], [16], [70]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[108000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [11], [8], [-10]], [[0], [6], [18], [30]], [[0], [31], [-32], [10]]], [[[1], [0], [0], [0]], [[0], [10], [-20], [10]], [[0], [30], [15], [0]], [[0], [6], [18], [30]]], 1, 5760, [], [] >,
< [ -1, 1 ], [[108000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [21], [-12], [0]], [[0], [22], [16], [-20]], [[0], [6], [18], [30]]], [[[1], [0], [0], [0]], [[0], [8], [-1], [20]], [[0], [2], [-19], [-10]], [[0], [54], [12], [-30]]], 1, 5760, [], [] >,
< [ -1, 1 ], [[108000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-10], [20]], [[0], [1], [28], [10]], [[0], [38], [14], [-10]]], [[[1], [0], [0], [0]], [[0], [8], [-1], [-10]], [[0], [22], [16], [10]], [[0], [30], [-60], [30]]], 1, 5760, [], [] >,
< [ -1, 1 ], [[108000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [21], [-12], [0]], [[0], [17], [26], [-10]], [[0], [6], [18], [30]]], [[[1], [0], [0], [0]], [[0], [16], [-2], [-20]], [[0], [22], [16], [10]], [[0], [18], [-21], [30]]], 1, 5760, [], [] >,
< [ -1, 1 ], [[864000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-38], [10]], [[0], [32], [-4], [-40]], [[0], [92], [26], [50]]], [[[1], [0], [0], [0]], [[0], [10], [-20], [-50]], [[0], [44], [32], [20]], [[0], [30], [-60], [30]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[864000]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [32], [-4], [-40]], [[0], [48], [-6], [30]], [[0], [8], [-76], [20]]], [[[1], [0], [0], [0]], [[0], [22], [16], [10]], [[0], [62], [-64], [-10]], [[0], [2], [56], [-70]]], 0, 46080, [], [] >,
< [ -1, 1 ], [[20736]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-9]], [[0], [12], [0], [0]], [[0], [2], [-15], [-3]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [18], [-6]], [[0], [2], [9], [21]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[20736]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [9], [-3]], [[0], [6], [-9], [3]], [[0], [2], [3], [15]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [-9], [3]], [[0], [0], [18], [42]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[20736]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [6]], [[0], [2], [3], [-9]], [[0], [18], [-9], [3]]], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [2], [9], [-3]], [[0], [2], [9], [21]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[2592]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [9/2], [-3/2]], [[0], [4], [-3], [-3]], [[0], [5], [-3/2], [9/2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [1], [9/2], [-3/2]], [[0], [1], [-9/2], [-21/2]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2592]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [-3/2]], [[0], [2], [-6], [6]], [[0], [6], [9/2], [9/2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [9/2], [9/2]], [[0], [0], [9/2], [-15/2]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2592]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [3/2], [3/2]], [[0], [4], [-3], [-3]], [[0], [2], [-6], [6]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [9/2], [9/2]], [[0], [2], [9/2], [-15/2]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2592]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [2], [-9/2], [7/2]], [[0], [6], [9/2], [9/2]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3/2], [13/2]], [[0], [6], [-9/2], [-9/2]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2592]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [-4]], [[0], [2], [9/2], [1/2]], [[0], [8], [-9/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3/2], [-11/2]], [[0], [8], [-6], [2]]], 1, 144, [], [] >,
< [ -1, 1 ], [[20736]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [9], [5]], [[0], [12], [0], [0]], [[0], [2], [-9], [11]]], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [8], [-6], [2]], [[0], [2], [3], [23]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[20736]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [9], [-3]], [[0], [6], [-9], [3]], [[0], [2], [-9], [-13]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [8], [-6], [2]], [[0], [2], [-15], [-43]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[2592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-1]], [[0], [2], [-8], [-5]], [[0], [6], [-6], [12]]], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [10], [8], [-1]], [[0], [6], [-6], [12]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [3]], [[0], [0], [0], [9]], [[0], [8], [4], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [-2], [-2]], [[0], [2], [-2], [7]], [[0], [18], [18], [0]]], 1, 144, [], [] >,
< [ -1, 1 ], [[20736]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [10], [4]], [[0], [6], [-6], [12]], [[0], [28], [-4], [-16]]], [[[1], [0], [0], [0]], [[0], [8], [-8], [-8]], [[0], [6], [-6], [12]], [[0], [22], [14], [-4]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[20736]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [14], [-2], [-8]], [[0], [8], [4], [16]], [[0], [4], [-16], [8]]], [[[1], [0], [0], [0]], [[0], [8], [-8], [-8]], [[0], [10], [-10], [8]], [[0], [18], [18], [0]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[2592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [3]], [[0], [0], [0], [9]], [[0], [4], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [2], [-5], [-2]], [[0], [18], [0], [18]]], 1, 144, [], [] >,
< [ -1, 1 ], [[2592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-2], [1]], [[0], [2], [4], [7]], [[0], [4], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [6], [-6], [-6]], [[0], [12], [-3], [6]]], 1, 144, [], [] >,
< [ -1, 1 ], [[20736]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [12]], [[0], [14], [10], [4]], [[0], [16], [-4], [-16]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [30], [-12], [6]], [[0], [6], [12], [30]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[20736]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [2], [8]], [[0], [8], [16], [-8]], [[0], [16], [-4], [-16]]], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [14], [-8], [-14]], [[0], [18], [0], [18]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[103680]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [4], [-3], [7]], [[0], [8], [-6], [-10]]], [[[1], [0], [0], [0]], [[0], [4], [-3], [1]], [[0], [4], [6], [10]], [[0], [8], [12], [-4]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[103680]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [-3], [-5]], [[0], [4], [6], [-2]], [[0], [12], [0], [12]]], [[[1], [0], [0], [0]], [[0], [8], [3], [-1]], [[0], [0], [9], [-3]], [[0], [4], [-3], [-11]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[12960]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-7/2]], [[0], [3], [9/2], [3/2]], [[0], [6], [0], [0]]], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [4], [-3], [1]], [[0], [2], [3], [11]]], 1, 576, [], [] >,
< [ -1, 1 ], [[12960]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [5/2]], [[0], [5], [-3/2], [-5/2]], [[0], [2], [-6], [2]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [4], [-3], [1]], [[0], [1], [3/2], [11/2]]], 1, 576, [], [] >,
< [ -1, 1 ], [[518400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9], [3]], [[0], [20], [3], [5]], [[0], [0], [9], [-21]]], [[[1], [0], [0], [0]], [[0], [0], [9], [-3]], [[0], [0], [9], [21]], [[0], [20], [3], [11]]], 0, 27648, [], [] >,
< [ -1, 1 ], [[518400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9], [-9]], [[0], [0], [9], [15]], [[0], [20], [-6], [2]]], [[[1], [0], [0], [0]], [[0], [0], [9], [9]], [[0], [0], [9], [-15]], [[0], [20], [3], [-1]]], 0, 27648, [], [] >,
< [ -1, 1 ], [[64800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [7/2]], [[0], [0], [9], [3]], [[0], [5], [-3/2], [-17/2]]], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [1/2]], [[0], [5], [15/2], [-5/2]], [[0], [0], [0], [12]]], 1, 3456, [], [] >,
< [ -1, 1 ], [[64800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [-5/2]], [[0], [5], [15/2], [1/2]], [[0], [5], [-3/2], [19/2]]], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [-11/2]], [[0], [5], [-3/2], [13/2]], [[0], [5], [15/2], [7/2]]], 1, 3456, [], [] >,
< [ -1, 1 ], [[512]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [8], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [4], [4]], [[0], [2], [4], [-4]]], 0, 32, [], [] >,
< [ -1, 1 ], [[64]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [2], [-2]], [[0], [1], [-2], [-2]]], 1, 6, [], [] >,
< [ -1, 1 ], [[4096]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [8], [4], [-4]], [[0], [8], [-12], [12]]], [[[1], [0], [0], [0]], [[0], [8], [4], [-4]], [[0], [8], [-8], [0]], [[0], [8], [0], [8]]], 0, 256, [], [] >,
< [ -1, 1 ], [[32768]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [8], [-8]], [[0], [8], [-16], [0]], [[0], [24], [8], [24]]], [[[1], [0], [0], [0]], [[0], [8], [-16], [0]], [[0], [16], [8], [8]], [[0], [0], [8], [-24]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[12288]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [4], [-2], [6]], [[0], [8], [-12], [-12]]], [[[1], [0], [0], [0]], [[0], [4], [-2], [6]], [[0], [8], [-4], [-4]], [[0], [8], [12], [-4]]], 0, 512, [], [] >,
< [ -1, 1 ], [[192]], [ -3 ], [ -1 ], [[[0], [0], [1/2], [1/2]], [[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [4], [-4]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [2], [3/2], [-5/2]], [[0], [2], [-3/2], [5/2]]], 1, 12, [], [] >,
< [ -1, 1 ], [[1536]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [4], [4], [-4]], [[0], [12], [-4], [4]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [4], [4], [-4]], [[0], [4], [-5], [3]]], 0, 64, [], [] >,
< [ -1, 1 ], [[98304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [-12]], [[0], [8], [-16], [0]], [[0], [24], [4], [20]]], [[[1], [0], [0], [0]], [[0], [8], [4], [-12]], [[0], [16], [4], [4]], [[0], [0], [36], [4]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[12288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-4], [0]], [[0], [8], [12], [8]], [[0], [8], [12], [-16]]], [[[1], [0], [0], [0]], [[0], [8], [4], [-8]], [[0], [8], [-12], [8]], [[0], [0], [16], [8]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[12288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [8], [-8]], [[0], [8], [12], [8]], [[0], [16], [-8], [0]]], [[[1], [0], [0], [0]], [[0], [8], [-4], [0]], [[0], [0], [8], [-8]], [[0], [8], [20], [24]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [3], [0], [-3]], [[0], [1], [-4], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [4], [-2]], [[0], [4], [-4], [-4]]], 1, 16, [], [] >,
< [ -1, 1 ], [[192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [2], [0], [2]], [[0], [4], [-4], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [3], [-2], [-1]], [[0], [2], [4], [-2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[1536]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [4], [2]], [[0], [2], [-4], [6]], [[0], [6], [0], [-6]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [-4], [-4]], [[0], [8], [16], [-8]]], 0, 128, [], [] >,
< [ -1, 1 ], [[1536]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [8], [-4], [0]], [[0], [0], [4], [8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [-4], [-4]], [[0], [6], [8], [-2]]], 0, 128, [], [] >,
< [ -1, 1 ], [[1536]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [6], [4], [2]], [[0], [2], [-4], [6]]], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [2], [-4], [-6]], [[0], [6], [8], [-2]]], 0, 128, [], [] >,
< [ -1, 1 ], [[1536]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [4], [-4], [-4]], [[0], [8], [0], [8]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [8], [4], [-8]], [[0], [0], [12], [0]]], 0, 128, [], [] >,
< [ -1, 1 ], [[12288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [12], [0], [-12]], [[0], [4], [32], [-4]]], [[[1], [0], [0], [0]], [[0], [8], [0], [8]], [[0], [12], [0], [-12]], [[0], [8], [-16], [0]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[12288]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [4], [-8], [-12]], [[0], [20], [-8], [4]]], [[[1], [0], [0], [0]], [[0], [12], [8], [4]], [[0], [4], [-8], [12]], [[0], [4], [-8], [-12]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[2560]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [2], [-2]], [[0], [2], [-2], [2]], [[0], [0], [4], [4]]], [[[1], [0], [0], [0]], [[0], [2], [2], [2]], [[0], [2], [2], [-2]], [[0], [4], [-4], [0]]], 0, 128, [], [] >,
< [ -1, 1 ], [[320]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [2], [-1], [0]], [[0], [0], [1], [2]]], 1, 16, [], [] >,
< [ -1, 1 ], [[320]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [2], [1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [0], [2]], [[0], [1], [2], [0]]], 1, 16, [], [] >,
< [ -1, 1 ], [[320]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [2], [0], [0]], [[0], [0], [4], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]]], 1, 16, [], [] >,
< [ -1, 1 ], [[2560]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [4], [0], [-2]], [[0], [0], [4], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [4], [-4]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2560]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [4], [4], [0]], [[0], [4], [-4], [0]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [-4], [0]], [[0], [2], [0], [4]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2560]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [4], [0], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [8]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2560]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [8], [0], [0]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [4], [0]], [[0], [2], [0], [4]]], 0, 128, [], [] >,
< [ -1, 1 ], [[61440]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-4]], [[0], [4], [8], [4]], [[0], [4], [-4], [8]]], [[[1], [0], [0], [0]], [[0], [4], [4], [0]], [[0], [8], [-4], [4]], [[0], [4], [-4], [-8]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[61440]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [8], [4], [-4]], [[0], [4], [-8], [4]]], [[[1], [0], [0], [0]], [[0], [4], [4], [0]], [[0], [4], [0], [-4]], [[0], [12], [-8], [12]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[61440]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [8], [0], [4]], [[0], [8], [0], [-12]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [8], [0], [4]], [[0], [0], [4], [8]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[61440]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [8], [4], [0]], [[0], [8], [-12], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [8], [4], [0]], [[0], [0], [8], [4]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[7680]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [4], [0], [-2]], [[0], [0], [4], [2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [8]]], 0, 256, [], [] >,
< [ -1, 1 ], [[7680]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [4], [2]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [4], [-2], [0]], [[0], [0], [2], [4]]], 0, 256, [], [] >,
< [ -1, 1 ], [[7680]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [4], [4], [0]], [[0], [4], [-4], [0]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [2], [4]]], 0, 256, [], [] >,
< [ -1, 1 ], [[7680]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [4], [0], [0]], [[0], [0], [8], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [4], [0], [4]], [[0], [4], [0], [-4]]], 0, 256, [], [] >,
< [ -1, 1 ], [[960]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [2], [0], [1]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [2]], [[0], [4], [0], [0]]], 1, 32, [], [] >,
< [ -1, 1 ], [[960]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [2], [0]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [2], [1], [0]]], 1, 32, [], [] >,
< [ -1, 1 ], [[320]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [-2], [-4]], [[0], [1], [3], [-4]]], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [4], [0], [0]], [[0], [0], [2], [-6]]], 1, 24, [], [] >,
< [ -1, 1 ], [[320]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-2]], [[0], [3], [1], [2]], [[0], [0], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [3], [1]], [[0], [2], [-3], [-1]], [[0], [0], [2], [-6]]], 1, 24, [], [] >,
< [ -1, 1 ], [[2560]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-4]], [[0], [6], [10], [0]], [[0], [6], [-6], [8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [12], [4]], [[0], [0], [10], [-10]]], 0, 192, [], [] >,
< [ -1, 1 ], [[2560]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [4], [-4], [-8]], [[0], [2], [6], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [8], [-24]]], 0, 192, [], [] >,
< [ -1, 1 ], [[2560]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-4]], [[0], [0], [8], [-4]], [[0], [14], [2], [4]]], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [8], [0], [0]], [[0], [4], [4], [-12]]], 0, 192, [], [] >,
< [ -1, 1 ], [[2560]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [0], [8], [-4]], [[0], [4], [-4], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [-6], [-2]], [[0], [8], [0], [0]], [[0], [4], [4], [-12]]], 0, 192, [], [] >,
< [ -1, 1 ], [[960]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [9/2], [-1/2]], [[0], [0], [1/2], [-9/2]], [[0], [4], [2], [-2]]], [[[1], [0], [0], [0]], [[0], [4/7], [1/7], [1]], [[0], [6/7], [101/14], [-3/2]], [[0], [52/7], [-36/7], [-4]]], 1, 48, [], [] >,
< [ -1, 1 ], [[448]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [1]], [[0], [2], [-1], [-1]], [[0], [1], [3/2], [-5/2]]], [[[0], [2/3], [1/3], [1/3]], [[1], [0], [0], [0]], [[0], [7/3], [1/6], [-23/6]], [[0], [5/3], [-25/6], [-1/6]]], 1, 24, [], [] >,
< [ -1, 1 ], [[1344]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [1]], [[0], [2], [-1], [-1]], [[0], [0], [2], [-2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [0], [-2]], [[0], [0], [4], [0]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1344]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [2], [-2]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [1], [2], [1]], [[0], [1], [-2], [1]], [[0], [2], [0], [-2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[10752]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [2]], [[0], [4], [-2], [-2]], [[0], [0], [6], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [0], [4], [0]], [[0], [8], [0], [-8]]], 0, 384, [], [] >,
< [ -1, 1 ], [[10752]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [4], [4], [-4]], [[0], [4], [-4], [4]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [4], [0], [4]], [[0], [6], [0], [-2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[10752]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [2], [-6]]], [[[1], [0], [0], [0]], [[0], [2], [4], [2]], [[0], [2], [-4], [2]], [[0], [6], [0], [-2]]], 0, 384, [], [] >,
< [ -1, 1 ], [[10752]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [4], [0], [0]], [[0], [0], [8], [-8]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [4], [-4]], [[0], [4], [-4], [-4]]], 0, 384, [], [] >,
< [ -1, 1 ], [[2240]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [3/2], [1], [-1/2]], [[0], [1/2], [-1], [-3/2]], [[0], [1], [-2], [1]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [2], [1], [-1]], [[0], [2], [-1], [1]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2240]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [1/2], [1], [1/2]], [[0], [3/2], [-1], [3/2]], [[0], [2], [0], [-2]]], [[[1], [0], [0], [0]], [[0], [1], [1], [0]], [[0], [1], [-1], [2]], [[0], [1], [-1], [-2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[448]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [4], [-2], [-5]], [[0], [8], [0], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-3]], [[0], [0], [4], [-2]], [[0], [6], [4], [3]]], 1, 32, [], [] >,
< [ -1, 1 ], [[448]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [2], [-4]], [[0], [5], [-1], [0]], [[0], [1], [3], [4]]], [[[1], [0], [0], [0]], [[0], [1], [-3], [0]], [[0], [2], [2], [-4]], [[0], [6], [2], [4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[448]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [1], [2]], [[0], [2], [2], [-4]], [[0], [2], [-6], [0]]], [[[1], [0], [0], [0]], [[0], [1], [1], [-2]], [[0], [3], [-5], [-2]], [[0], [6], [2], [4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[3584]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [6], [10], [0]], [[0], [6], [-6], [8]]], [[[1], [0], [0], [0]], [[0], [2], [2], [-4]], [[0], [6], [-10], [-4]], [[0], [14], [-2], [8]]], 0, 256, [], [] >,
< [ -1, 1 ], [[3584]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [6], [2], [4]], [[0], [4], [12], [-12]]], [[[1], [0], [0], [0]], [[0], [2], [-6], [0]], [[0], [4], [4], [-8]], [[0], [14], [6], [4]]], 0, 256, [], [] >,
< [ -1, 1 ], [[3584]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [8], [-4]], [[0], [10], [-2], [0]], [[0], [2], [6], [8]]], [[[1], [0], [0], [0]], [[0], [2], [2], [-4]], [[0], [2], [-6], [0]], [[0], [24], [8], [16]]], 0, 256, [], [] >,
< [ -1, 1 ], [[3584]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [0], [8], [-4]], [[0], [8], [-8], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [0], [8], [-4]], [[0], [14], [6], [4]]], 0, 256, [], [] >,
< [ -1, 1 ], [[28672]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-12], [0]], [[0], [16], [8], [0]], [[0], [4], [-4], [-32]]], [[[1], [0], [0], [0]], [[0], [16], [8], [0]], [[0], [4], [12], [16]], [[0], [12], [-12], [16]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[704]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1/2], [-1/2]], [[0], [1], [-3/2], [3/2]], [[0], [0], [4], [4]]], [[[1], [0], [0], [0]], [[0], [1], [11/6], [5/6]], [[0], [1], [-3/2], [3/2]], [[0], [2], [-1/3], [-7/3]]], 1, 40, [], [] >,
< [ -1, 1 ], [[704]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [2], [-1], [1]], [[0], [1], [3/2], [5/2]]], [[[1], [0], [0], [0]], [[0], [1], [1/6], [7/6]], [[0], [2], [-1/3], [-7/3]], [[0], [0], [10/3], [-2/3]]], 1, 40, [], [] >,
< [ -1, 1 ], [[5632]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [3]], [[0], [4], [2], [-2]], [[0], [2], [-5], [-3]]], [[[1], [0], [0], [0]], [[0], [2], [1/3], [7/3]], [[0], [0], [10/3], [-2/3]], [[0], [10], [-1], [-7]]], 0, 320, [], [] >,
< [ -1, 1 ], [[5632]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [2], [-5], [-3]], [[0], [4], [0], [8]]], [[[1], [0], [0], [0]], [[0], [2], [1/3], [7/3]], [[0], [0], [20/3], [-4/3]], [[0], [4], [-4], [-4]]], 0, 320, [], [] >,
< [ -1, 1 ], [[5632]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [2], [3], [5]], [[0], [4], [-8], [0]]], [[[1], [0], [0], [0]], [[0], [0], [10/3], [-2/3]], [[0], [4], [2/3], [14/3]], [[0], [6], [-1/3], [-7/3]]], 0, 320, [], [] >,
< [ -1, 1 ], [[5632]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [3]], [[0], [4], [2], [-2]], [[0], [0], [6], [2]]], [[[1], [0], [0], [0]], [[0], [2], [11/3], [5/3]], [[0], [2], [-3], [3]], [[0], [6], [-1/3], [-7/3]]], 0, 320, [], [] >,
< [ -1, 1 ], [[704]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [1]], [[0], [4], [2], [-3]], [[0], [0], [6], [5]]], [[[1], [0], [0], [0]], [[0], [3], [2], [0]], [[0], [3], [-2], [4]], [[0], [4], [-4], [-8]]], 1, 48, [], [] >,
< [ -1, 1 ], [[704]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-1]], [[0], [0], [4], [-4]], [[0], [0], [4], [7]]], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [5], [-2], [-2]], [[0], [1], [6], [2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[832]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [1/2], [-1], [1/2]], [[0], [9/4], [3/2], [1/4]], [[0], [1/4], [3/2], [9/4]]], [[[1], [0], [0], [0]], [[0], [1/3], [2/3], [-1]], [[0], [25/12], [7/6], [3/4]], [[0], [13/6], [-5/3], [-1/2]]], 1, 48, [], [] >,
< [ -1, 1 ], [[10816]], [ -2 ], [ -13 ], [[[1], [0], [0], [0]], [[0], [13/4], [3/2], [-3/4]], [[0], [13/4], [-5/2], [13/4]], [[0], [0], [4], [4]]], [[[1], [0], [0], [0]], [[0], [13/6], [-5/3], [-1/2]], [[0], [13/4], [7/2], [-11/4]], [[0], [13/4], [7/2], [21/4]]], 1, 672, [], [] >,
< [ -1, 1 ], [[7744]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [1], [11/2], [5/2]], [[0], [1], [11/2], [-11/2]]], [[[1], [0], [0], [0]], [[0], [1], [-11/6], [-5/6]], [[0], [3], [11/6], [5/6]], [[0], [1], [-55/6], [119/6]]], 1, 480, [], [] >,
< [ -1, 1 ], [[7744]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [1], [-11/2], [3/2]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [-11/3], [-5/3]], [[0], [1], [-11/2], [19/2]]], 1, 480, [], [] >,
< [ -1, 1 ], [[61952]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [2], [-11], [3]], [[0], [12], [0], [8]]], [[[1], [0], [0], [0]], [[0], [2], [-11/3], [-5/3]], [[0], [12], [22/3], [10/3]], [[0], [6], [11], [-19]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[61952]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [8]], [[0], [2], [-11], [3]], [[0], [12], [0], [-8]]], [[[1], [0], [0], [0]], [[0], [6], [11/3], [5/3]], [[0], [4], [-22/3], [-10/3]], [[0], [0], [22/3], [-62/3]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[61952]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [8]], [[0], [6], [11], [-3]], [[0], [6], [-11], [-5]]], [[[1], [0], [0], [0]], [[0], [2], [-11/3], [-5/3]], [[0], [12], [22/3], [10/3]], [[0], [0], [22/3], [-62/3]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[61952]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [2], [11], [5]], [[0], [12], [0], [8]]], [[[1], [0], [0], [0]], [[0], [6], [11/3], [5/3]], [[0], [4], [-22/3], [-10/3]], [[0], [2], [-11], [19]]], 0, 3840, [], [] >,
< [ -1, 1 ], [[7744]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [-9]], [[0], [12], [4], [4]], [[0], [2], [-14], [-3]]], [[[1], [0], [0], [0]], [[0], [5], [-2], [-2]], [[0], [7], [6], [6]], [[0], [1], [26], [-18]]], 1, 480, [], [] >,
< [ -1, 1 ], [[7744]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [8], [-3]], [[0], [10], [-4], [7]], [[0], [10], [-4], [-15]]], [[[1], [0], [0], [0]], [[0], [10], [-4], [-4]], [[0], [2], [8], [8]], [[0], [3], [-10], [12]]], 1, 480, [], [] >,
< [ -1, 1 ], [[3136]], [ -7 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-7/2], [1/2]], [[0], [4], [0], [0]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [3], [-7/2], [1/2]], [[0], [13/3], [7/6], [-17/6]], [[0], [1/3], [7/6], [31/6]]], 1, 192, [], [] >,
< [ -1, 1 ], [[75264]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [4], [0], [8]], [[0], [0], [14], [-2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [6], [0], [-2]], [[0], [0], [28], [0]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[75264]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [14], [-2]], [[0], [0], [0], [16]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [8], [0], [-8]], [[0], [4], [28], [-4]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[75264]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [4], [0], [-8]], [[0], [4], [14], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [8], [0], [-8]], [[0], [0], [28], [0]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[75264]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [14], [6]], [[0], [0], [0], [16]]], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [2], [0], [-6]], [[0], [2], [28], [2]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[9408]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [4]], [[0], [2], [7], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [0], [-2]], [[0], [0], [28], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[9408]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [7], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [1], [14], [1]]], 1, 384, [], [] >,
< [ -1, 1 ], [[15680]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [7/2], [-1], [-3/2]], [[0], [0], [4], [0]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [2], [-2]], [[0], [14], [1], [-1]]], 1, 768, [], [] >,
< [ -1, 1 ], [[15680]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [7/2], [-1], [1/2]], [[0], [0], [4], [0]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [7], [-1], [0]]], 1, 768, [], [] >,
< [ -1, 1 ], [[200704]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [20], [-16]], [[0], [8], [-16], [-32]], [[0], [56], [0], [0]]], [[[1], [0], [0], [0]], [[0], [8], [-16], [-32]], [[0], [28], [-28], [0]], [[0], [36], [12], [-32]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[3136]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [5], [-4]], [[0], [6], [2], [4]], [[0], [9], [-11], [-8]]], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [1], [-9], [-4]], [[0], [9], [3], [-8]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3136]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [5], [-3], [-6]], [[0], [2], [10], [-8]]], [[[1], [0], [0], [0]], [[0], [3], [1], [2]], [[0], [2], [10], [-8]], [[0], [10], [-6], [-12]]], 1, 192, [], [] >,
< [ -1, 1 ], [[25088]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-16], [-4]], [[0], [10], [-6], [16]], [[0], [22], [-2], [-4]]], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [8], [-16], [-4]], [[0], [16], [24], [-36]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[25088]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [10], [-8]], [[0], [22], [-2], [-4]], [[0], [2], [10], [20]]], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [12], [4], [-20]], [[0], [16], [-32], [-8]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[25088]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-6], [-12]], [[0], [14], [14], [0]], [[0], [10], [-6], [16]]], [[[1], [0], [0], [0]], [[0], [12], [4], [8]], [[0], [14], [-14], [0]], [[0], [12], [4], [-20]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[25088]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [10], [-8]], [[0], [10], [-6], [-12]], [[0], [24], [8], [16]]], [[[1], [0], [0], [0]], [[0], [12], [4], [8]], [[0], [8], [-16], [-4]], [[0], [18], [6], [-16]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[3136]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-2], [3]], [[0], [4], [6], [5]], [[0], [4], [6], [-9]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-1]], [[0], [10], [8], [-5]], [[0], [2], [-4], [13]]], 1, 192, [], [] >,
< [ -1, 1 ], [[12800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [8], [0]], [[0], [10], [-2], [2]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [4], [-4]], [[0], [10], [-2], [2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[1600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [4]], [[0], [10], [0], [2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [1], [-2]], [[0], [10], [1], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [5], [2], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [2], [1]], [[0], [10], [0], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [4], [0]], [[0], [10], [0], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[12800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [4], [-4]], [[0], [10], [4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [8], [0]], [[0], [20], [4], [0]]], 0, 768, [], [] >,
< [ -1, 1 ], [[12800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [8]], [[0], [10], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [40], [0], [0]]], 0, 768, [], [] >,
< [ -1, 1 ], [[12800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [4], [-4]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [4], [-2]], [[0], [20], [0], [2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[12800]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [8]], [[0], [10], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [20], [0], [2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[307200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [20], [-4], [0]], [[0], [0], [16], [-16]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [20], [8], [-4]], [[0], [0], [16], [-16]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[307200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [8], [8]], [[0], [0], [12], [-4]], [[0], [20], [-4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [8], [8]], [[0], [0], [12], [-4]], [[0], [20], [0], [4]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[4800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [10], [0], [1]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [2]], [[0], [20], [0], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[4800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [2], [0]], [[0], [20], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [2]], [[0], [10], [1], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[38400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [4], [-2]], [[0], [20], [0], [2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [8]], [[0], [20], [0], [0]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[38400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [8], [0]], [[0], [20], [4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [2], [4]], [[0], [20], [0], [0]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[38400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [4], [2]], [[0], [20], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [2], [-4]], [[0], [20], [2], [0]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[38400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [8], [0]], [[0], [20], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [8]], [[0], [20], [0], [4]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[307200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [16]], [[0], [40], [0], [-4]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [0], [4], [-8]], [[0], [40], [4], [4]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[307200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [16], [0]], [[0], [40], [-4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [8], [-4]], [[0], [40], [4], [4]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[1600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [3], [-4]], [[0], [5], [-5], [0]], [[0], [0], [4], [8]]], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [2], [-6]], [[0], [20], [0], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1600]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-1], [-2]], [[0], [5], [3], [6]], [[0], [0], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [2], [-6]], [[0], [10], [3], [1]]], 1, 96, [], [] >,
< [ -1, 1 ], [[12800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-2], [-4]], [[0], [0], [16], [-8]], [[0], [10], [14], [8]]], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [20], [0], [0]], [[0], [0], [8], [-24]]], 0, 768, [], [] >,
< [ -1, 1 ], [[12800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [8], [-4]], [[0], [10], [-2], [-4]], [[0], [10], [14], [28]]], [[[1], [0], [0], [0]], [[0], [0], [12], [4]], [[0], [0], [2], [14]], [[0], [20], [6], [2]]], 0, 768, [], [] >,
< [ -1, 1 ], [[12800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [6], [-8]], [[0], [10], [-10], [0]], [[0], [10], [6], [12]]], [[[1], [0], [0], [0]], [[0], [0], [12], [4]], [[0], [0], [10], [-10]], [[0], [20], [0], [0]]], 0, 768, [], [] >,
< [ -1, 1 ], [[12800]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [8], [-4]], [[0], [10], [6], [12]], [[0], [20], [-4], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [20], [4], [-12]], [[0], [20], [-4], [12]]], 0, 768, [], [] >,
< [ -1, 1 ], [[4800]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [5], [-5]], [[0], [4], [-2], [-6]], [[0], [8], [7/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [20/7], [5/7], [5]], [[0], [2/7], [-97/14], [7/2]], [[0], [52/7], [-36/7], [-4]]], 1, 192, [], [] >,
< [ -1, 1 ], [[11200]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [5/2], [-1], [-3/2]], [[0], [5/2], [-1], [5/2]], [[0], [0], [4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [5], [-1], [0]]], 1, 576, [], [] >,
< [ -1, 1 ], [[11200]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [5/2], [-1], [1/2]], [[0], [5/2], [3], [1/2]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [2], [-2]], [[0], [10], [1], [-1]]], 1, 576, [], [] >,
< [ -1, 1 ], [[78400]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [35/2], [-1], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [2], [-2]], [[0], [35], [-1], [0]]], 1, 4608, [], [] >,
< [ -1, 1 ], [[78400]], [ -2 ], [ -35 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [35/2], [-1], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [2], [-2]], [[0], [70], [1], [-1]]], 1, 4608, [], [] >,
< [ -1, 1 ], [[8000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [4]], [[0], [5], [-1], [3]], [[0], [5], [7], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [5], [1], [-5]], [[0], [10], [0], [10]]], 1, 480, [], [] >,
< [ -1, 1 ], [[8000]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [-1], [1]], [[0], [0], [4], [-4]], [[0], [0], [6], [4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [5], [-1]], [[0], [5], [-5], [-1]]], 1, 480, [], [] >,
< [ -1, 1 ], [[24000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [-5/2], [-3/2]], [[0], [5], [15/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [5], [0]], [[0], [5], [-5], [2]]], 1, 960, [], [] >,
< [ -1, 1 ], [[24000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [-5/2], [1/2]], [[0], [5], [15/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [0], [1]], [[0], [0], [10], [2]]], 1, 960, [], [] >,
< [ -1, 1 ], [[24000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [5], [3/2], [-5/2]], [[0], [5], [-1/2], [15/2]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [5], [1], [0]], [[0], [0], [2], [10]]], 1, 960, [], [] >,
< [ -1, 1 ], [[24000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [5], [-1/2], [-5/2]], [[0], [5], [3/2], [15/2]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [5], [0], [5]], [[0], [5], [2], [-5]]], 1, 960, [], [] >,
< [ -1, 1 ], [[24000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [19/2], [-3/2]], [[0], [8], [-9], [-7]], [[0], [10], [-15/2], [15/2]]], [[[1], [0], [0], [0]], [[0], [20/7], [5/7], [5]], [[0], [68/7], [66/7], [-6]], [[0], [72/7], [-307/14], [-3/2]]], 1, 960, [], [] >,
< [ -1, 1 ], [[4608]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [4], [0]], [[0], [0], [4], [-12]], [[0], [6], [-12], [0]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [12], [2], [0]], [[0], [0], [2], [-12]]], 0, 192, [], [] >,
< [ -1, 1 ], [[576]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [2], [-6]], [[0], [6], [1], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [3], [2], [3]], [[0], [6], [0], [-6]]], 1, 24, [], [] >,
< [ -1, 1 ], [[576]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-3]], [[0], [0], [4], [0]], [[0], [12], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [3], [0], [3]], [[0], [6], [0], [-6]]], 1, 24, [], [] >,
< [ -1, 1 ], [[4608]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [10], [-6]], [[0], [12], [2], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [6], [0], [6]], [[0], [12], [4], [-12]]], 0, 192, [], [] >,
< [ -1, 1 ], [[4608]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [12], [8], [0]], [[0], [12], [-8], [0]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [6], [-4], [6]], [[0], [12], [4], [-12]]], 0, 192, [], [] >,
< [ -1, 1 ], [[4608]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [10], [-6]], [[0], [12], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [6], [0], [6]], [[0], [24], [0], [-24]]], 0, 192, [], [] >,
< [ -1, 1 ], [[4608]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [12], [0], [0]], [[0], [0], [14], [6]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [12], [0], [12]], [[0], [18], [0], [-6]]], 0, 192, [], [] >,
< [ -1, 1 ], [[41472]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [12], [0]], [[0], [18], [-12], [0]], [[0], [6], [0], [-36]]], [[[1], [0], [0], [0]], [[0], [12], [12], [0]], [[0], [0], [12], [18]], [[0], [24], [-12], [18]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[41472]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-6], [18]], [[0], [24], [0], [0]], [[0], [12], [24], [0]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [24], [-24], [0]], [[0], [12], [-12], [36]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[41472]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [0], [18], [18]], [[0], [0], [30], [-18]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [24], [-24], [0]], [[0], [0], [0], [36]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[41472]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-18]], [[0], [24], [0], [0]], [[0], [12], [24], [0]]], [[[1], [0], [0], [0]], [[0], [12], [12], [0]], [[0], [6], [-18], [0]], [[0], [6], [6], [36]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[41472]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [0], [6], [-18]], [[0], [0], [42], [18]]], [[[1], [0], [0], [0]], [[0], [12], [12], [0]], [[0], [18], [-6], [0]], [[0], [0], [0], [36]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[5184]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [-9]], [[0], [6], [-3], [9]], [[0], [0], [12], [0]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [6], [-6], [0]], [[0], [3], [3], [18]]], 0, 288, [], [] >,
< [ -1, 1 ], [[5184]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-9]], [[0], [12], [0], [0]], [[0], [0], [12], [0]]], [[[1], [0], [0], [0]], [[0], [3], [3], [0]], [[0], [6], [-6], [0]], [[0], [0], [0], [36]]], 0, 288, [], [] >,
< [ -1, 1 ], [[124416]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [12], [-12]], [[0], [18], [3], [15]], [[0], [18], [-15], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [18], [-9], [3]], [[0], [18], [39], [-45]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[124416]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [15], [3]], [[0], [6], [-3], [-15]], [[0], [36], [-12], [12]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [18], [15], [-21]], [[0], [36], [-12], [12]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[124416]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [15], [3]], [[0], [12], [-12], [12]], [[0], [12], [-6], [-30]]], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [18], [-9], [3]], [[0], [18], [21], [-15]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[124416]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [-15]], [[0], [12], [-12], [12]], [[0], [12], [30], [6]]], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [18], [-3], [9]], [[0], [18], [15], [-21]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[15552]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [15/2], [3/2]], [[0], [9], [-15/2], [-3/2]], [[0], [3], [-9/2], [27/2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [9], [-3/2], [9/2]], [[0], [9], [21/2], [-15/2]]], 0, 864, [], [] >,
< [ -1, 1 ], [[15552]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-3/2], [-15/2]], [[0], [9], [3/2], [15/2]], [[0], [3], [-27/2], [9/2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [9], [-9/2], [3/2]], [[0], [9], [15/2], [-21/2]]], 0, 864, [], [] >,
< [ -1, 1 ], [[15552]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [15/2], [-9/2]], [[0], [12], [-3], [-3]], [[0], [0], [9], [9]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [18], [3/2], [3/2]], [[0], [6], [27/2], [-21/2]]], 0, 864, [], [] >,
< [ -1, 1 ], [[576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3/2], [-5/2]], [[0], [2], [-3/2], [5/2]], [[0], [0], [3], [3]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [4], [0], [0]], [[0], [0], [9/2], [-7/2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[4608]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [4], [3], [-5]], [[0], [12], [-3], [5]]], [[[1], [0], [0], [0]], [[0], [4], [-3], [5]], [[0], [4], [6], [-2]], [[0], [4], [0], [-8]]], 0, 256, [], [] >,
< [ -1, 1 ], [[36864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [8], [-12], [-12]], [[0], [12], [-6], [18]]], [[[1], [0], [0], [0]], [[0], [12], [-6], [2]], [[0], [8], [12], [-4]], [[0], [0], [0], [16]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[294912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [-16]], [[0], [16], [12], [12]], [[0], [32], [-48], [16]]], [[[1], [0], [0], [0]], [[0], [16], [12], [12]], [[0], [8], [-24], [24]], [[0], [16], [0], [-32]]], 0, 16384, [], [] >,
< [ -1, 1 ], [[15552]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [9], [6]], [[0], [12], [-6], [0]], [[0], [6], [15], [-18]]], [[[1], [0], [0], [0]], [[0], [12], [0], [12]], [[0], [0], [12], [-12]], [[0], [18], [-3], [-6]]], 0, 864, [], [] >,
< [ -1, 1 ], [[15552]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-12], [6]], [[0], [9], [12], [6]], [[0], [12], [-12], [-12]]], [[[1], [0], [0], [0]], [[0], [6], [-3], [0]], [[0], [0], [6], [12]], [[0], [18], [39], [-12]]], 0, 864, [], [] >,
< [ -1, 1 ], [[15552]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [12], [0]], [[0], [12], [0], [12]], [[0], [15], [0], [-12]]], [[[1], [0], [0], [0]], [[0], [12], [-6], [0]], [[0], [0], [6], [12]], [[0], [12], [15], [-12]]], 0, 864, [], [] >,
< [ -1, 1 ], [[36864]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [16]], [[0], [8], [-20], [-8]], [[0], [16], [8], [-16]]], [[[1], [0], [0], [0]], [[0], [8], [4], [-8]], [[0], [16], [-16], [8]], [[0], [8], [28], [16]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[36864]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [8], [8]], [[0], [8], [-20], [-8]], [[0], [16], [8], [-16]]], [[[1], [0], [0], [0]], [[0], [8], [4], [-8]], [[0], [8], [4], [16]], [[0], [24], [-36], [0]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[576]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [5], [-2], [1]], [[0], [1], [2], [5]]], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [4], [-4], [-4]], [[0], [6], [0], [6]]], 1, 32, [], [] >,
< [ -1, 1 ], [[576]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [2], [4], [-2]], [[0], [4], [-4], [-4]]], [[[1], [0], [0], [0]], [[0], [3], [0], [-3]], [[0], [1], [-4], [-1]], [[0], [6], [0], [6]]], 1, 32, [], [] >,
< [ -1, 1 ], [[4608]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-4], [2]], [[0], [2], [4], [10]], [[0], [8], [4], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [4], [8], [-4]], [[0], [14], [4], [10]]], 0, 256, [], [] >,
< [ -1, 1 ], [[4608]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [10], [8], [2]], [[0], [2], [-8], [10]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [8], [-8], [-8]], [[0], [16], [-4], [8]]], 0, 256, [], [] >,
< [ -1, 1 ], [[4608]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [8], [4], [-8]], [[0], [0], [12], [0]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [4], [-4], [-4]], [[0], [24], [0], [24]]], 0, 256, [], [] >,
< [ -1, 1 ], [[4608]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [6], [0], [6]], [[0], [8], [16], [-8]]], [[[1], [0], [0], [0]], [[0], [6], [0], [-6]], [[0], [2], [-8], [-2]], [[0], [14], [4], [10]]], 0, 256, [], [] >,
< [ -1, 1 ], [[36864]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [20], [-8], [4]], [[0], [8], [16], [40]]], [[[1], [0], [0], [0]], [[0], [8], [16], [-8]], [[0], [20], [-8], [4]], [[0], [8], [16], [16]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[36864]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [12]], [[0], [12], [0], [-12]], [[0], [4], [32], [-4]]], [[[1], [0], [0], [0]], [[0], [12], [0], [-12]], [[0], [16], [-16], [8]], [[0], [8], [16], [16]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[2880]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-3]], [[0], [4], [2], [0]], [[0], [3], [-3], [3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [3], [3], [-1]], [[0], [3], [-3], [-1]]], 1, 96, [], [] >,
< [ -1, 1 ], [[25920]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [3], [3], [-3]], [[0], [3], [3], [9]], [[0], [9], [-9], [3]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [3], [-3], [-9]], [[0], [12], [0], [0]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[184320]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [2]], [[0], [0], [0], [8]], [[0], [20], [18], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [12], [6], [-2]], [[0], [8], [-12], [4]]], 0, 8192, [], [] >,
< [ -1, 1 ], [[184320]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [-6]], [[0], [4], [-6], [10]], [[0], [12], [6], [-2]]], [[[1], [0], [0], [0]], [[0], [4], [-6], [2]], [[0], [12], [6], [6]], [[0], [4], [-6], [-14]]], 0, 8192, [], [] >,
< [ -1, 1 ], [[184320]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-2]], [[0], [8], [0], [-8]], [[0], [16], [6], [14]]], [[[1], [0], [0], [0]], [[0], [8], [0], [8]], [[0], [8], [-6], [-6]], [[0], [0], [12], [-4]]], 0, 8192, [], [] >,
< [ -1, 1 ], [[184320]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [8], [6], [-2]], [[0], [8], [-12], [12]]], [[[1], [0], [0], [0]], [[0], [8], [6], [-2]], [[0], [8], [0], [8]], [[0], [8], [-12], [-4]]], 0, 8192, [], [] >,
< [ -1, 1 ], [[23040]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [3], [-1]], [[0], [4], [-3], [1]], [[0], [0], [3], [7]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [9], [-7]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[23040]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [6], [-2]], [[0], [0], [3], [7]]], [[[1], [0], [0], [0]], [[0], [4], [3], [3]], [[0], [4], [-3], [-3]], [[0], [0], [3], [-5]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[23040]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [8], [0], [0]], [[0], [4], [3], [7]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [3], [-5]], [[0], [0], [6], [6]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[23040]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [4], [0], [0]], [[0], [0], [6], [14]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [4], [3], [-5]], [[0], [4], [-3], [5]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[2880]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [3/2], [-1/2]], [[0], [2], [-3/2], [1/2]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [3/2], [-5/2]], [[0], [4], [0], [0]]], 1, 128, [], [] >,
< [ -1, 1 ], [[2880]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-1/2]], [[0], [0], [3/2], [7/2]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [2], [3/2], [3/2]], [[0], [2], [-3/2], [-3/2]], [[0], [0], [3], [-1]]], 1, 128, [], [] >,
< [ -1, 1 ], [[2880]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [9/2], [-1/2]], [[0], [4], [3/2], [5/2]], [[0], [8], [0], [-8]]], [[[1], [0], [0], [0]], [[0], [12/7], [3/7], [3]], [[0], [2/7], [99/14], [-5/2]], [[0], [52/7], [-36/7], [-4]]], 1, 192, [], [] >,
< [ -1, 1 ], [[32256]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-2]], [[0], [8], [0], [0]], [[0], [4], [0], [8]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [8], [0], [-8]], [[0], [0], [12], [0]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[32256]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [6], [-2]], [[0], [0], [6], [14]]], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [6], [0], [-2]], [[0], [2], [-12], [2]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[32256]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [4], [-6], [2]], [[0], [0], [6], [6]]], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [6], [0], [-2]], [[0], [0], [12], [0]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[32256]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [6], [-10]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [8], [0], [-8]], [[0], [4], [12], [-4]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[4032]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [1]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [0], [-2]], [[0], [0], [12], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[4032]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [4], [0], [0]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [1], [6], [1]]], 1, 192, [], [] >,
< [ -1, 1 ], [[225792]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [4], [0], [-8]], [[0], [4], [42], [-2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [6], [0], [-2]], [[0], [0], [84], [0]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[225792]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [16]], [[0], [0], [42], [6]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [8], [0], [-8]], [[0], [4], [84], [-4]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[225792]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [4], [0], [8]], [[0], [0], [42], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [8], [0], [-8]], [[0], [0], [84], [0]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[225792]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [16]], [[0], [0], [42], [-2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [2], [0], [-6]], [[0], [2], [84], [2]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[28224]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [4]], [[0], [2], [21], [-1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [0], [-2]], [[0], [0], [84], [0]]], 1, 1536, [], [] >,
< [ -1, 1 ], [[28224]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [21], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [0], [-2]], [[0], [1], [42], [1]]], 1, 1536, [], [] >,
< [ -1, 1 ], [[129600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [15], [3], [-3]], [[0], [0], [18], [0]]], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [15], [3], [-9]], [[0], [15], [-3], [27]]], 0, 6912, [], [] >,
< [ -1, 1 ], [[14400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [5], [1], [3]], [[0], [0], [6], [0]], [[0], [5], [1], [-9]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [6], [0]], [[0], [15], [3], [-1]]], 1, 576, [], [] >,
< [ -1, 1 ], [[921600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [20], [6], [2]], [[0], [0], [12], [-20]]], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [20], [-6], [6]], [[0], [0], [12], [-20]]], 0, 49152, [], [] >,
< [ -1, 1 ], [[921600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [12], [-4]], [[0], [20], [-6], [-10]], [[0], [20], [6], [18]]], [[[1], [0], [0], [0]], [[0], [0], [12], [-4]], [[0], [20], [6], [2]], [[0], [0], [12], [28]]], 0, 49152, [], [] >,
< [ -1, 1 ], [[921600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [12], [-28]], [[0], [40], [0], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [12], [4]], [[0], [0], [6], [-14]], [[0], [40], [0], [8]]], 0, 49152, [], [] >,
< [ -1, 1 ], [[921600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-6]], [[0], [0], [18], [14]], [[0], [40], [-6], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [10]], [[0], [0], [12], [-12]], [[0], [40], [-6], [-2]]], 0, 49152, [], [] >,
< [ -1, 1 ], [[14400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [0], [4]], [[0], [10], [3/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [0], [3/2], [5/2]], [[0], [20], [0], [0]]], 1, 768, [], [] >,
< [ -1, 1 ], [[14400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [1/2]], [[0], [0], [3/2], [-7/2]], [[0], [20], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [0], [4]], [[0], [10], [3/2], [-3/2]]], 1, 768, [], [] >,
< [ -1, 1 ], [[115200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [3], [-7]], [[0], [20], [3], [1]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [0], [9], [7]], [[0], [20], [0], [0]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[115200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [6], [-14]], [[0], [20], [3], [-7]]], [[[1], [0], [0], [0]], [[0], [0], [3], [5]], [[0], [0], [6], [-6]], [[0], [20], [0], [0]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[115200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [3], [-7]], [[0], [20], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [5]], [[0], [0], [6], [-6]], [[0], [20], [3], [-3]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[115200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [6], [-14]], [[0], [20], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [0], [9], [7]], [[0], [20], [3], [5]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[14400]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-3/2], [11/2]], [[0], [4], [21/2], [3/2]], [[0], [4], [3], [-11]]], [[[1], [0], [0], [0]], [[0], [52/7], [-36/7], [-4]], [[0], [22/7], [-87/14], [17/2]], [[0], [38/7], [117/14], [13/2]]], 1, 768, [], [] >,
< [ -1, 1 ], [[72000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [15/2], [-3/2]], [[0], [15], [-15/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [0], [1]], [[0], [0], [30], [2]]], 1, 3840, [], [] >,
< [ -1, 1 ], [[72000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [15/2], [1/2]], [[0], [15], [-15/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [10], [0], [-2]], [[0], [5], [15], [2]]], 1, 3840, [], [] >,
< [ -1, 1 ], [[72000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [9/2], [-5/2]], [[0], [5], [-3/2], [15/2]], [[0], [5], [-15/2], [-5/2]]], [[[1], [0], [0], [0]], [[0], [5], [0], [5]], [[0], [5], [6], [-5]], [[0], [5], [-6], [-5]]], 1, 3840, [], [] >,
< [ -1, 1 ], [[72000]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [3/2], [5/2]], [[0], [5], [-9/2], [-15/2]], [[0], [0], [6], [-10]]], [[[1], [0], [0], [0]], [[0], [5], [3], [0]], [[0], [5], [-9], [0]], [[0], [5], [-3], [10]]], 1, 3840, [], [] >,
< [ -1, 1 ], [[72000]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-9], [-7]], [[0], [8], [27/2], [-19/2]], [[0], [20], [15/2], [25/2]]], [[[1], [0], [0], [0]], [[0], [68/7], [66/7], [-6]], [[0], [60/7], [15/7], [15]], [[0], [92/7], [-297/14], [7/2]]], 1, 3840, [], [] >,
< [ -1, 1 ], [[110592]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [4], [6], [-18]], [[0], [0], [60], [12]]], [[[1], [0], [0], [0]], [[0], [16], [0], [0]], [[0], [4], [6], [-18]], [[0], [4], [-30], [-6]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[110592]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-12], [-12]], [[0], [4], [-18], [6]], [[0], [24], [12], [12]]], [[[1], [0], [0], [0]], [[0], [8], [-12], [-12]], [[0], [12], [18], [-6]], [[0], [12], [-6], [18]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3/2], [3/2]], [[0], [2], [-3/2], [-3/2]], [[0], [0], [12], [-12]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [9/2], [-15/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [4], [0], [0]], [[0], [0], [12], [-12]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [3], [3]], [[0], [2], [15/2], [-9/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [16], [0], [0]], [[0], [4], [-12], [12]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [8], [-3], [-3]], [[0], [4], [9], [-15]]], 0, 768, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [2], [-3], [-7]], [[0], [9], [-9/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [5], [-3/2], [1/2]], [[0], [2], [-3], [-7]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [1], [-3/2], [-7/2]], [[0], [7], [-9/2], [11/2]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [3], [-3/2], [9/2]], [[0], [5], [-9/2], [-5/2]]], 1, 96, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [2], [-3], [-7]], [[0], [16], [-6], [10]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [10], [-3], [1]], [[0], [4], [12], [4]]], 0, 768, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [4], [-6], [-14]], [[0], [16], [-6], [10]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [6], [-9], [3]], [[0], [10], [3], [7]]], 0, 768, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [0], [6], [6]], [[0], [14], [-9], [11]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [10], [-3], [1]], [[0], [8], [6], [-10]]], 0, 768, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [-7]], [[0], [32], [-18], [14]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [6], [-9], [3]], [[0], [8], [6], [-10]]], 0, 768, [], [] >,
< [ -1, 1 ], [[1728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [4], [9/2], [-7/2]], [[0], [8], [-9/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [2], [3/2], [-5/2]], [[0], [0], [3], [3]], [[0], [8], [-3], [5]]], 1, 96, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [8], [-9], [-1]], [[0], [8], [3], [11]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-8]], [[0], [4], [-9], [7]], [[0], [12], [3], [3]]], 0, 768, [], [] >,
< [ -1, 1 ], [[110592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [24], [12]], [[0], [8], [-8], [28]], [[0], [32], [16], [-8]]], [[[1], [0], [0], [0]], [[0], [16], [8], [-4]], [[0], [24], [-24], [12]], [[0], [8], [16], [40]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[110592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [8], [-4]], [[0], [8], [-8], [28]], [[0], [16], [-40], [-28]]], [[[1], [0], [0], [0]], [[0], [0], [24], [12]], [[0], [24], [0], [24]], [[0], [32], [16], [-8]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[110592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [12], [0]], [[0], [4], [-4], [32]], [[0], [36], [-36], [0]]], [[[1], [0], [0], [0]], [[0], [4], [-28], [-16]], [[0], [24], [24], [0]], [[0], [32], [-8], [16]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[110592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [20], [4], [-8]], [[0], [12], [-12], [24]], [[0], [8], [40], [16]]], [[[1], [0], [0], [0]], [[0], [20], [4], [-8]], [[0], [16], [8], [32]], [[0], [8], [-32], [16]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[1728]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [5], [-5], [4]], [[0], [6], [6], [0]]], [[[1], [0], [0], [0]], [[0], [3], [3], [0]], [[0], [4], [-4], [-4]], [[0], [6], [-6], [12]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1728]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [3], [-3], [6]], [[0], [6], [6], [0]]], [[[1], [0], [0], [0]], [[0], [5], [1], [-2]], [[0], [1], [5], [2]], [[0], [6], [-6], [12]]], 1, 96, [], [] >,
< [ -1, 1 ], [[13824]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-8], [-8]], [[0], [2], [-2], [16]], [[0], [16], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [6], [6], [0]], [[0], [24], [-24], [48]]], 0, 768, [], [] >,
< [ -1, 1 ], [[13824]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [18], [6], [12]], [[0], [6], [18], [-12]]], [[[1], [0], [0], [0]], [[0], [10], [2], [-4]], [[0], [2], [10], [4]], [[0], [16], [-16], [20]]], 0, 768, [], [] >,
< [ -1, 1 ], [[13824]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-8], [-8]], [[0], [6], [-6], [12]], [[0], [16], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [12], [12], [0]], [[0], [18], [-6], [24]]], 0, 768, [], [] >,
< [ -1, 1 ], [[13824]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [6], [-6], [12]], [[0], [24], [24], [0]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [8], [-8], [-8]], [[0], [16], [-16], [20]]], 0, 768, [], [] >,
< [ -1, 1 ], [[110592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-20], [-8]], [[0], [8], [4], [-32]], [[0], [32], [16], [16]]], [[[1], [0], [0], [0]], [[0], [24], [-12], [0]], [[0], [8], [28], [16]], [[0], [0], [24], [-24]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[110592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [8], [8]], [[0], [8], [4], [-32]], [[0], [16], [-40], [-16]]], [[[1], [0], [0], [0]], [[0], [16], [8], [8]], [[0], [8], [-20], [-8]], [[0], [8], [28], [-56]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[110592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [12], [-24], [-36]], [[0], [60], [-24], [12]]], [[[1], [0], [0], [0]], [[0], [8], [16], [-8]], [[0], [20], [-8], [28]], [[0], [40], [-16], [-16]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[110592]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [12]], [[0], [16], [32], [-16]], [[0], [20], [-32], [-20]]], [[[1], [0], [0], [0]], [[0], [20], [16], [4]], [[0], [4], [-16], [20]], [[0], [20], [-32], [-20]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[1728]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [6], [0], [6]], [[0], [9], [-6], [-3]]], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [6], [0], [6]], [[0], [12], [-12], [-12]]], 1, 96, [], [] >,
< [ -1, 1 ], [[1728]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [2], [4], [-2]], [[0], [12], [-12], [-12]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [6], [0], [6]], [[0], [7], [-4], [-7]]], 1, 96, [], [] >,
< [ -1, 1 ], [[13824]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [8], [2]], [[0], [2], [-8], [10]], [[0], [18], [-12], [-6]]], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [14], [4], [10]], [[0], [12], [-12], [-12]]], 0, 768, [], [] >,
< [ -1, 1 ], [[13824]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [8], [16], [-8]], [[0], [16], [-4], [-16]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [12], [-12], [-12]], [[0], [24], [0], [24]]], 0, 768, [], [] >,
< [ -1, 1 ], [[13824]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [8], [2]], [[0], [2], [-8], [10]], [[0], [12], [-12], [-12]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [24], [-12], [0]], [[0], [0], [12], [24]]], 0, 768, [], [] >,
< [ -1, 1 ], [[13824]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [8], [16], [-8]], [[0], [12], [-12], [-12]]], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [10], [-4], [14]], [[0], [14], [-8], [-14]]], 0, 768, [], [] >,
< [ -1, 1 ], [[8640]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [3], [3/2], [3/2]], [[0], [0], [0], [4]], [[0], [3], [-9/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [1], [3], [0]], [[0], [4], [0], [0]], [[0], [2], [0], [6]]], 1, 384, [], [] >,
< [ -1, 1 ], [[8640]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [3], [-3/2], [1/2]], [[0], [0], [0], [4]], [[0], [3], [9/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [-3]], [[0], [4], [0], [0]], [[0], [2], [6], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[8640]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [3], [0], [-3]], [[0], [1], [6], [1]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [3], [6], [-3]], [[0], [3], [-6], [-3]]], 1, 384, [], [] >,
< [ -1, 1 ], [[8640]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [3], [2]], [[0], [2], [-3], [2]], [[0], [4], [0], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [4], [0], [1]], [[0], [0], [6], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[8640]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [4], [0], [-2]], [[0], [4], [0], [4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-1]], [[0], [2], [0], [5]], [[0], [0], [6], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[69120]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [6], [4]], [[0], [4], [-6], [4]], [[0], [4], [0], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [0], [6]], [[0], [8], [0], [2]], [[0], [4], [12], [-2]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[69120]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [0]], [[0], [4], [0], [-8]], [[0], [8], [0], [8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-2]], [[0], [4], [0], [10]], [[0], [4], [12], [4]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[69120]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [4], [6], [-8]], [[0], [4], [-6], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [8], [0], [-4]], [[0], [4], [12], [-2]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[69120]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [0], [4]], [[0], [0], [6], [0]], [[0], [12], [0], [-12]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-2]], [[0], [4], [0], [4]], [[0], [0], [24], [0]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[552960]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [8], [-12], [-4]], [[0], [16], [0], [4]], [[0], [8], [12], [-16]]], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [8], [-12], [-4]], [[0], [24], [12], [0]]], 0, 24576, [], [] >,
< [ -1, 1 ], [[43200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [0], [3]], [[0], [5], [6], [-3]], [[0], [5], [-6], [-3]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [6], [2]], [[0], [15], [-3/2], [-1/2]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[43200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [3], [0]], [[0], [5], [-3], [6]], [[0], [5], [-3], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [6], [2]], [[0], [15], [3/2], [-3/2]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[2764800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [18], [-6]], [[0], [0], [6], [30]], [[0], [40], [-6], [10]]], [[[1], [0], [0], [0]], [[0], [0], [6], [-18]], [[0], [0], [30], [6]], [[0], [40], [12], [4]]], 0, 147456, [], [] >,
< [ -1, 1 ], [[345600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-9]], [[0], [0], [15], [3]], [[0], [20], [-6], [2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [9], [-15]], [[0], [20], [-6], [2]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[345600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9], [-3]], [[0], [0], [3], [15]], [[0], [20], [0], [8]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [15], [-9]], [[0], [20], [-3], [5]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[345600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-9]], [[0], [0], [15], [3]], [[0], [20], [3], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [20], [9], [-7]], [[0], [20], [-15], [17]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[345600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9], [-3]], [[0], [0], [3], [15]], [[0], [20], [3], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [20], [-3], [5]], [[0], [0], [24], [-24]]], 0, 18432, [], [] >,
< [ -1, 1 ], [[43200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [9/2], [-3/2]], [[0], [20], [-3/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [6], [-6]], [[0], [10], [-3/2], [5/2]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[43200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [6], [-6]], [[0], [10], [3/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [6], [-6]], [[0], [20], [3/2], [-5/2]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[43200]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [1/2]], [[0], [0], [6], [6]], [[0], [0], [6], [-6]]], [[[1], [0], [0], [0]], [[0], [5], [3/2], [7/2]], [[0], [5], [-9/2], [-5/2]], [[0], [0], [6], [-6]]], 1, 2304, [], [] >,
< [ -1, 1 ], [[41472]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [15]], [[0], [2], [-15], [-3]], [[0], [16], [6], [6]]], [[[1], [0], [0], [0]], [[0], [2], [9], [-3]], [[0], [16], [0], [0]], [[0], [2], [-9], [-21]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[41472]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [9], [-3]], [[0], [8], [-6], [-6]], [[0], [12], [0], [24]]], [[[1], [0], [0], [0]], [[0], [6], [-9], [3]], [[0], [10], [9], [-3]], [[0], [2], [-9], [-21]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[41472]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [-6]], [[0], [10], [-3], [9]], [[0], [12], [18], [-6]]], [[[1], [0], [0], [0]], [[0], [2], [9], [-3]], [[0], [16], [0], [0]], [[0], [6], [9], [21]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[41472]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [9], [-3]], [[0], [10], [-3], [9]], [[0], [16], [-12], [-12]]], [[[1], [0], [0], [0]], [[0], [6], [-9], [3]], [[0], [10], [9], [-3]], [[0], [6], [9], [21]]], 0, 2304, [], [] >,
< [ -1, 1 ], [[5184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [9/2], [-3/2]], [[0], [1], [3/2], [15/2]], [[0], [9], [-9/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [1], [9/2], [-3/2]], [[0], [2], [-9], [-21]]], 1, 288, [], [] >,
< [ -1, 1 ], [[5184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [9/2]], [[0], [1], [-15/2], [-3/2]], [[0], [7], [3/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [9], [-3]], [[0], [1], [-9/2], [-21/2]]], 1, 288, [], [] >,
< [ -1, 1 ], [[5184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-9/2], [-1/2]], [[0], [0], [9/2], [-15/2]], [[0], [8], [9/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [4], [3/2], [11/2]], [[0], [4], [6], [-2]], [[0], [4], [-15/2], [-7/2]]], 1, 288, [], [] >,
< [ -1, 1 ], [[5184]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [3]], [[0], [8], [4], [-2]], [[0], [2], [10], [13]]], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [4], [-4], [5]], [[0], [20], [16], [-2]]], 1, 288, [], [] >,
< [ -1, 1 ], [[5184]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-6], [3]], [[0], [4], [8], [-4]], [[0], [4], [8], [14]]], [[[1], [0], [0], [0]], [[0], [4], [-1], [-4]], [[0], [0], [9], [0]], [[0], [20], [4], [16]]], 1, 288, [], [] >,
< [ -1, 1 ], [[5184]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-2], [1]], [[0], [4], [8], [-4]], [[0], [4], [8], [14]]], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [4], [-10], [-4]], [[0], [14], [1], [4]]], 1, 288, [], [] >,
< [ -1, 1 ], [[8192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [8], [0]], [[0], [4], [0], [-8]], [[0], [24], [-8], [8]]], [[[1], [0], [0], [0]], [[0], [0], [8], [8]], [[0], [8], [8], [-8]], [[0], [12], [-8], [0]]], 0, 512, [], [] >,
< [ -1, 1 ], [[8192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [8], [8], [-8]], [[0], [24], [-8], [8]]], [[[1], [0], [0], [0]], [[0], [0], [8], [8]], [[0], [8], [8], [-8]], [[0], [8], [-4], [12]]], 0, 512, [], [] >,
< [ -1, 1 ], [[8192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [0], [4], [-12]], [[0], [0], [20], [4]]], [[[1], [0], [0], [0]], [[0], [0], [4], [-12]], [[0], [8], [12], [-4]], [[0], [8], [-12], [4]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1024]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [8], [4], [-4]], [[0], [8], [-4], [4]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [2], [-6]], [[0], [8], [2], [2]]], 0, 64, [], [] >,
< [ -1, 1 ], [[1024]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [4], [-4]], [[0], [16], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [0], [4], [-4]], [[0], [8], [2], [2]]], 0, 64, [], [] >,
< [ -1, 1 ], [[3072]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [4], [-2], [6]], [[0], [6], [-7], [-3]]], [[[1], [0], [0], [0]], [[0], [2], [-1], [-5]], [[0], [6], [-3], [1]], [[0], [4], [6], [-2]]], 0, 128, [], [] >,
< [ -1, 1 ], [[3072]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [6], [-3], [1]], [[0], [2], [-5], [-9]]], [[[1], [0], [0], [0]], [[0], [2], [-1], [-5]], [[0], [4], [6], [-2]], [[0], [4], [-6], [2]]], 0, 128, [], [] >,
< [ -1, 1 ], [[24576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [4], [-14], [10]], [[0], [20], [6], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [8], [8]], [[0], [12], [-2], [6]], [[0], [8], [8], [-8]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[24576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [12], [-10], [-2]], [[0], [8], [0], [16]]], [[[1], [0], [0], [0]], [[0], [4], [-2], [-10]], [[0], [12], [-2], [6]], [[0], [8], [12], [-4]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[24576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [2], [2]], [[0], [0], [14], [-2]], [[0], [8], [0], [-16]]], [[[1], [0], [0], [0]], [[0], [8], [-6], [-6]], [[0], [0], [6], [-10]], [[0], [8], [10], [10]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[3072]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-4]], [[0], [4], [6], [4]], [[0], [12], [-10], [4]]], [[[1], [0], [0], [0]], [[0], [4], [6], [4]], [[0], [8], [-4], [0]], [[0], [0], [8], [-8]]], 0, 256, [], [] >,
< [ -1, 1 ], [[384]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [2]], [[0], [2], [-3], [2]], [[0], [4], [2], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [1], [-2]], [[0], [4], [0], [4]], [[0], [2], [-5], [-2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[3072]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [0]], [[0], [4], [6], [-8]], [[0], [8], [12], [8]]], [[[1], [0], [0], [0]], [[0], [8], [-4], [0]], [[0], [4], [2], [8]], [[0], [8], [8], [0]]], 0, 256, [], [] >,
< [ -1, 1 ], [[384]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-2], [0]], [[0], [0], [2], [4]], [[0], [2], [5], [0]]], [[[1], [0], [0], [0]], [[0], [2], [-1], [0]], [[0], [0], [2], [4]], [[0], [4], [8], [-4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[384]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [3], [-4], [1]], [[0], [1], [4], [3]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [3], [4], [-1]], [[0], [4], [-4], [-4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[384]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [-3]], [[0], [1], [-4], [-1]], [[0], [4], [0], [4]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [4], [-4], [-4]], [[0], [4], [8], [-4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[384]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [2], [1]], [[0], [1], [-2], [3]], [[0], [4], [-4], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [3], [-2], [-1]], [[0], [4], [8], [-4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[384]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [4], [0], [4]], [[0], [4], [-4], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [5], [2], [-3]], [[0], [1], [-6], [1]]], 1, 32, [], [] >,
< [ -1, 1 ], [[640]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [2], [2], [1]], [[0], [2], [-2], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [2], [0]], [[0], [0], [0], [4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[640]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [2], [1]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [2], [2]], [[0], [1], [2], [-2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[5120]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [2]], [[0], [4], [0], [4]], [[0], [4], [0], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [0]], [[0], [4], [0], [4]], [[0], [4], [0], [-4]]], 0, 256, [], [] >,
< [ -1, 1 ], [[5120]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [4], [2]], [[0], [0], [4], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [2], [-4], [0]], [[0], [6], [4], [0]]], 0, 256, [], [] >,
< [ -1, 1 ], [[640]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [2], [0], [1]], [[0], [0], [4], [0]]], [[[1], [0], [0], [0]], [[0], [1], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[640]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [4], [0], [0]], [[0], [0], [4], [0]]], [[[1], [0], [0], [0]], [[0], [2], [0], [0]], [[0], [1], [0], [2]], [[0], [0], [4], [0]]], 1, 32, [], [] >,
< [ -1, 1 ], [[15360]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [4]], [[0], [4], [4], [0]], [[0], [4], [0], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [2], [0]], [[0], [2], [-2], [-4]], [[0], [6], [-6], [4]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1920]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [2]], [[0], [1], [-1], [-2]], [[0], [2], [2], [0]]], [[[1], [0], [0], [0]], [[0], [1], [1], [0]], [[0], [2], [-2], [0]], [[0], [0], [0], [4]]], 1, 64, [], [] >,
< [ -1, 1 ], [[15360]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [2], [-4], [-2]], [[0], [6], [4], [-6]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [4], [0], [4]], [[0], [0], [4], [4]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1920]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [1], [-2], [-1]], [[0], [2], [0], [2]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [2], [0], [-2]], [[0], [0], [4], [0]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1920]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [2], [2], [1]], [[0], [2], [-2], [1]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [1], [2]], [[0], [4], [0], [0]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1920]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [2], [0], [1]], [[0], [0], [4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [4]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1920]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [2], [1]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [2], [1], [0]], [[0], [0], [0], [4]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1920]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [4], [0], [0]], [[0], [0], [4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [2], [1], [2]], [[0], [2], [1], [-2]]], 1, 64, [], [] >,
< [ -1, 1 ], [[640]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-4]], [[0], [3], [5], [0]], [[0], [3], [-3], [4]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [5], [-5]]], 1, 48, [], [] >,
< [ -1, 1 ], [[640]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-2], [-4]], [[0], [1], [3], [-4]], [[0], [6], [2], [4]]], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [4], [0], [0]], [[0], [0], [4], [-12]]], 1, 48, [], [] >,
< [ -1, 1 ], [[640]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1], [-2]], [[0], [7], [1], [2]], [[0], [0], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [6], [2]], [[0], [2], [5], [-5]]], 1, 48, [], [] >,
< [ -1, 1 ], [[640]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [1], [2]], [[0], [2], [-2], [-4]], [[0], [0], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [3], [1]], [[0], [2], [-3], [-1]], [[0], [0], [4], [-12]]], 1, 48, [], [] >,
< [ -1, 1 ], [[2688]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [2], [3], [-1]], [[0], [2], [-1], [3]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [3], [0], [-1]], [[0], [0], [4], [0]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2688]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [1]], [[0], [2], [-1], [-1]], [[0], [0], [4], [-4]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [0], [4], [0]], [[0], [4], [0], [-4]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2688]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [3], [-1]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [1], [2], [1]], [[0], [1], [-2], [1]], [[0], [4], [0], [-4]]], 1, 96, [], [] >,
< [ -1, 1 ], [[2688]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [4], [0], [0]], [[0], [0], [4], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [3], [2], [-1]], [[0], [3], [-2], [-1]]], 1, 96, [], [] >,
< [ -1, 1 ], [[896]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [2], [3]], [[0], [6], [-2], [-1]], [[0], [0], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [-2], [5]], [[0], [2], [6], [1]], [[0], [6], [2], [-3]]], 1, 64, [], [] >,
< [ -1, 1 ], [[896]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [5], [0]], [[0], [3], [-3], [4]], [[0], [4], [-4], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [2], [-4]], [[0], [2], [-6], [0]], [[0], [7], [-1], [4]]], 1, 64, [], [] >,
< [ -1, 1 ], [[896]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-1], [0]], [[0], [1], [3], [4]], [[0], [0], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [1], [-3], [0]], [[0], [2], [2], [-4]], [[0], [12], [4], [8]]], 1, 64, [], [] >,
< [ -1, 1 ], [[896]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [3], [-2]], [[0], [1], [-1], [6]], [[0], [4], [-4], [-4]]], [[[1], [0], [0], [0]], [[0], [1], [1], [-2]], [[0], [3], [-5], [-2]], [[0], [12], [4], [8]]], 1, 64, [], [] >,
< [ -1, 1 ], [[896]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [1], [2]], [[0], [4], [-4], [-4]], [[0], [0], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [2], [-4]], [[0], [2], [-6], [0]], [[0], [7], [3], [2]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1408]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1/2], [-1/2]], [[0], [3], [-5/2], [5/2]], [[0], [1], [5/2], [11/2]]], [[[1], [0], [0], [0]], [[0], [2], [1/3], [7/3]], [[0], [0], [10/3], [-2/3]], [[0], [3], [-11/6], [-5/6]]], 1, 80, [], [] >,
< [ -1, 1 ], [[1408]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3/2], [3/2]], [[0], [2], [1], [-1]], [[0], [1], [9/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [1], [11/6], [5/6]], [[0], [1], [-3/2], [3/2]], [[0], [4], [-2/3], [-14/3]]], 1, 80, [], [] >,
< [ -1, 1 ], [[1408]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [1], [-5/2], [-3/2]], [[0], [3], [1/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [1], [1/6], [7/6]], [[0], [0], [10/3], [-2/3]], [[0], [5], [-1/2], [-7/2]]], 1, 80, [], [] >,
< [ -1, 1 ], [[1408]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-1]], [[0], [1], [3/2], [5/2]], [[0], [3], [-7/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [2], [1/3], [7/3]], [[0], [3], [-1/6], [-7/6]], [[0], [0], [10/3], [-2/3]]], 1, 80, [], [] >,
< [ -1, 1 ], [[15488]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [11/2], [5/2]], [[0], [8], [0], [0]], [[0], [3], [-11/2], [11/2]]], [[[1], [0], [0], [0]], [[0], [3], [11/6], [5/6]], [[0], [2], [-11/3], [-5/3]], [[0], [0], [22/3], [-62/3]]], 1, 960, [], [] >,
< [ -1, 1 ], [[15488]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-11/2], [-5/2]], [[0], [5], [11/2], [5/2]], [[0], [1], [11/2], [-11/2]]], [[[1], [0], [0], [0]], [[0], [1], [-11/6], [-5/6]], [[0], [6], [11/3], [5/3]], [[0], [1], [-55/6], [119/6]]], 1, 960, [], [] >,
< [ -1, 1 ], [[15488]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [11/2], [-3/2]], [[0], [5], [-11/2], [3/2]], [[0], [1], [-11/2], [-13/2]]], [[[1], [0], [0], [0]], [[0], [2], [-11/3], [-5/3]], [[0], [6], [11/3], [5/3]], [[0], [1], [-11/2], [19/2]]], 1, 960, [], [] >,
< [ -1, 1 ], [[15488]], [ -11 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-11/2], [3/2]], [[0], [8], [0], [0]], [[0], [4], [0], [8]]], [[[1], [0], [0], [0]], [[0], [2], [-11/3], [-5/3]], [[0], [6], [11/3], [5/3]], [[0], [3], [11/2], [-19/2]]], 1, 960, [], [] >,
< [ -1, 1 ], [[18816]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [7], [3]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [3], [0], [-1]], [[0], [0], [28], [0]]], 1, 768, [], [] >,
< [ -1, 1 ], [[18816]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [7], [-1]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [4], [0], [-4]], [[0], [0], [28], [0]]], 1, 768, [], [] >,
< [ -1, 1 ], [[18816]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [7], [3]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [0], [-4]], [[0], [1], [14], [1]]], 1, 768, [], [] >,
< [ -1, 1 ], [[18816]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [7], [-1]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [0], [-4]], [[0], [3], [14], [-1]]], 1, 768, [], [] >,
< [ -1, 1 ], [[6272]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [7], [7], [0]], [[0], [5], [-3], [8]], [[0], [10], [-6], [-12]]], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [1], [-9], [-4]], [[0], [5], [11], [-20]]], 1, 384, [], [] >,
< [ -1, 1 ], [[6272]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [5], [-4]], [[0], [12], [4], [8]], [[0], [9], [-11], [-8]]], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [9], [3], [-8]], [[0], [8], [-16], [-4]]], 1, 384, [], [] >,
< [ -1, 1 ], [[6272]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [11], [-1], [-2]], [[0], [1], [5], [10]], [[0], [2], [10], [-8]]], [[[1], [0], [0], [0]], [[0], [3], [1], [2]], [[0], [8], [-16], [-4]], [[0], [12], [4], [-20]]], 1, 384, [], [] >,
< [ -1, 1 ], [[6272]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-3], [-6]], [[0], [2], [10], [-8]], [[0], [12], [4], [8]]], [[[1], [0], [0], [0]], [[0], [6], [2], [4]], [[0], [1], [-9], [10]], [[0], [13], [-5], [-10]]], 1, 384, [], [] >,
< [ -1, 1 ], [[6272]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [2], [-3]], [[0], [6], [2], [11]], [[0], [2], [-18], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [10], [-1]], [[0], [10], [-6], [-5]], [[0], [10], [-6], [9]]], 1, 384, [], [] >,
< [ -1, 1 ], [[25600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [8], [4]], [[0], [10], [4], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [2]], [[0], [0], [4], [-6]], [[0], [20], [0], [4]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[25600]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [10], [4], [0]], [[0], [10], [-12], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [2]], [[0], [0], [4], [-6]], [[0], [20], [0], [0]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[3200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [5], [2], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [2], [1]], [[0], [20], [0], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [5], [2], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [10], [2], [1]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [5], [0], [2]]], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [4], [0]], [[0], [20], [0], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [5], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [10], [0], [1]]], 1, 192, [], [] >,
< [ -1, 1 ], [[9600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [5], [0], [1]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [5], [2], [-1]]], 1, 384, [], [] >,
< [ -1, 1 ], [[76800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-4]], [[0], [10], [0], [2]], [[0], [0], [8], [8]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [10], [4], [-2]], [[0], [0], [8], [-8]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[9600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [5], [-1], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [0], [0], [4]], [[0], [5], [1], [2]]], 1, 384, [], [] >,
< [ -1, 1 ], [[76800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [10], [-2], [0]], [[0], [0], [8], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [10], [2], [-4]], [[0], [0], [8], [-8]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[9600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [10], [2], [1]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [1], [2]], [[0], [20], [0], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[9600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [4], [0]], [[0], [10], [0], [1]]], [[[1], [0], [0], [0]], [[0], [0], [1], [0]], [[0], [0], [0], [4]], [[0], [20], [0], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[9600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [2]], [[0], [0], [2], [1]], [[0], [20], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [4]], [[0], [10], [1], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[9600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [1]], [[0], [0], [4], [0]], [[0], [20], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [0]], [[0], [0], [0], [4]], [[0], [10], [1], [2]]], 1, 384, [], [] >,
< [ -1, 1 ], [[3200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [8], [-4]], [[0], [5], [7], [4]], [[0], [10], [-2], [-4]]], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [4], [-12]], [[0], [20], [0], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [3], [-4]], [[0], [5], [-5], [0]], [[0], [10], [6], [12]]], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [0], [5], [-5]], [[0], [20], [0], [0]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-1], [-2]], [[0], [0], [8], [-4]], [[0], [5], [7], [14]]], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [10], [3], [1]], [[0], [0], [4], [-12]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [3], [6]], [[0], [0], [8], [-4]], [[0], [10], [-2], [-4]]], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [10], [5], [-5]], [[0], [10], [1], [7]]], 1, 192, [], [] >,
< [ -1, 1 ], [[1152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [6], [3], [3]], [[0], [0], [8], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [3], [2], [3]], [[0], [12], [0], [-12]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [6], [1], [-3]], [[0], [0], [8], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [6], [0], [6]], [[0], [9], [2], [-3]]], 1, 48, [], [] >,
< [ -1, 1 ], [[9216]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [12]], [[0], [12], [-6], [-6]], [[0], [0], [16], [0]]], [[[1], [0], [0], [0]], [[0], [6], [-4], [6]], [[0], [6], [12], [6]], [[0], [12], [0], [-12]]], 0, 384, [], [] >,
< [ -1, 1 ], [[9216]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [12], [-2], [6]], [[0], [12], [-2], [-18]]], [[[1], [0], [0], [0]], [[0], [6], [-4], [6]], [[0], [6], [12], [6]], [[0], [12], [8], [-12]]], 0, 384, [], [] >,
< [ -1, 1 ], [[1152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [5], [-3]], [[0], [12], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [3], [0], [3]], [[0], [12], [0], [-12]]], 1, 48, [], [] >,
< [ -1, 1 ], [[1152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-3]], [[0], [0], [7], [3]], [[0], [12], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [6], [0], [6]], [[0], [9], [0], [-3]]], 1, 48, [], [] >,
< [ -1, 1 ], [[82944]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [6], [-18]], [[0], [12], [18], [18]], [[0], [24], [-24], [0]]], [[[1], [0], [0], [0]], [[0], [12], [-12], [0]], [[0], [24], [24], [0]], [[0], [6], [6], [-36]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[82944]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [6], [-18]], [[0], [0], [24], [0]], [[0], [36], [-6], [18]]], [[[1], [0], [0], [0]], [[0], [24], [0], [0]], [[0], [0], [24], [0]], [[0], [6], [6], [-36]]], 0, 4608, [], [] >,
< [ -1, 1 ], [[10368]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [6], [9], [9]], [[0], [6], [15], [-9]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [12], [-12], [0]], [[0], [3], [3], [18]]], 0, 576, [], [] >,
< [ -1, 1 ], [[10368]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [-9]], [[0], [6], [-3], [9]], [[0], [6], [-21], [-9]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [12], [-12], [0]], [[0], [9], [-3], [18]]], 0, 576, [], [] >,
< [ -1, 1 ], [[10368]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [0], [0]], [[0], [0], [9], [9]], [[0], [0], [15], [-9]]], [[[1], [0], [0], [0]], [[0], [3], [3], [0]], [[0], [12], [-12], [0]], [[0], [0], [0], [36]]], 0, 576, [], [] >,
< [ -1, 1 ], [[10368]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-9]], [[0], [12], [0], [0]], [[0], [0], [21], [9]]], [[[1], [0], [0], [0]], [[0], [6], [6], [0]], [[0], [9], [-3], [0]], [[0], [0], [0], [36]]], 0, 576, [], [] >,
< [ -1, 1 ], [[31104]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [15/2], [3/2]], [[0], [6], [-3], [-15]], [[0], [15], [-9/2], [27/2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [9], [21/2], [-15/2]], [[0], [18], [-3], [9]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[31104]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [9], [-15/2], [-3/2]], [[0], [3], [-9/2], [27/2]], [[0], [6], [15], [3]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [9], [-3/2], [9/2]], [[0], [9], [45/2], [-39/2]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[31104]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-3/2], [-15/2]], [[0], [6], [15], [3]], [[0], [15], [-27/2], [9/2]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [9], [15/2], [-21/2]], [[0], [18], [-9], [3]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[31104]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [9], [3/2], [15/2]], [[0], [3], [-27/2], [9/2]], [[0], [6], [-3], [-15]]], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [9], [-9/2], [3/2]], [[0], [9], [39/2], [-45/2]]], 0, 1728, [], [] >,
< [ -1, 1 ], [[73728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [6], [6]], [[0], [8], [-12], [4]], [[0], [16], [0], [-32]]], [[[1], [0], [0], [0]], [[0], [8], [-12], [4]], [[0], [16], [6], [-10]], [[0], [0], [6], [22]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[9216]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [1]], [[0], [12], [6], [-2]], [[0], [2], [-3], [-15]]], [[[1], [0], [0], [0]], [[0], [6], [3], [-1]], [[0], [4], [-6], [2]], [[0], [4], [-6], [-14]]], 0, 512, [], [] >,
< [ -1, 1 ], [[9216]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [1]], [[0], [6], [3], [-1]], [[0], [2], [9], [29]]], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [4], [-6], [2]], [[0], [2], [-3], [-15]]], 0, 512, [], [] >,
< [ -1, 1 ], [[73728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [2]], [[0], [8], [0], [-16]], [[0], [28], [30], [22]]], [[[1], [0], [0], [0]], [[0], [8], [-12], [4]], [[0], [8], [0], [-16]], [[0], [12], [18], [10]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[73728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [4], [18], [-6]], [[0], [20], [-6], [2]]], [[[1], [0], [0], [0]], [[0], [8], [0], [16]], [[0], [12], [-6], [-14]], [[0], [4], [18], [-6]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[1152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-4]], [[0], [0], [6], [0]], [[0], [6], [3], [6]]], [[[1], [0], [0], [0]], [[0], [2], [1], [-2]], [[0], [2], [-5], [-2]], [[0], [12], [0], [12]]], 1, 64, [], [] >,
< [ -1, 1 ], [[9216]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-10], [-4]], [[0], [8], [4], [-8]], [[0], [12], [-6], [12]]], [[[1], [0], [0], [0]], [[0], [4], [2], [-4]], [[0], [12], [-6], [12]], [[0], [4], [-22], [-4]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [4]], [[0], [6], [-3], [0]], [[0], [4], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [6], [3], [0]], [[0], [2], [-5], [4]], [[0], [2], [7], [4]]], 1, 64, [], [] >,
< [ -1, 1 ], [[9216]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [8]], [[0], [8], [4], [-8]], [[0], [12], [-18], [0]]], [[[1], [0], [0], [0]], [[0], [8], [4], [-8]], [[0], [4], [-10], [8]], [[0], [4], [14], [8]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [3], [6], [3]], [[0], [3], [-6], [3]]], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [4], [-4], [-4]], [[0], [12], [0], [12]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-2], [1]], [[0], [1], [2], [5]], [[0], [4], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [4], [-4], [-4]], [[0], [7], [2], [5]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [4], [1]], [[0], [1], [-4], [5]], [[0], [4], [-4], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [4], [-4], [-4]], [[0], [9], [0], [3]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1152]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [4], [-4], [-4]], [[0], [4], [8], [-4]]], [[[1], [0], [0], [0]], [[0], [3], [0], [-3]], [[0], [1], [-4], [-1]], [[0], [12], [0], [12]]], 1, 64, [], [] >,
< [ -1, 1 ], [[46080]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [3], [3]], [[0], [4], [-6], [2]], [[0], [8], [0], [-8]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-5]], [[0], [6], [-3], [-3]], [[0], [4], [6], [6]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[5760]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [3/2]], [[0], [3], [-3/2], [-3/2]], [[0], [1], [-9/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-5/2]], [[0], [4], [0], [0]], [[0], [1], [-9/2], [-1/2]]], 1, 256, [], [] >,
< [ -1, 1 ], [[46080]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [1]], [[0], [4], [6], [6]], [[0], [6], [3], [-9]]], [[[1], [0], [0], [0]], [[0], [6], [3], [-1]], [[0], [4], [-6], [2]], [[0], [2], [-3], [-7]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[5760]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [1]], [[0], [1], [-3/2], [-7/2]]], [[[1], [0], [0], [0]], [[0], [1], [-3/2], [1/2]], [[0], [3], [3/2], [-1/2]], [[0], [1], [-3/2], [-15/2]]], 1, 256, [], [] >,
< [ -1, 1 ], [[5760]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [4], [0], [0]], [[0], [2], [3/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-5/2]], [[0], [4], [0], [0]], [[0], [0], [3], [3]]], 1, 256, [], [] >,
< [ -1, 1 ], [[5760]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [3/2], [-1/2]], [[0], [2], [-3/2], [1/2]], [[0], [0], [3], [7]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [4], [0], [0]], [[0], [0], [9/2], [-7/2]]], 1, 256, [], [] >,
< [ -1, 1 ], [[5760]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-1/2]], [[0], [4], [0], [0]], [[0], [0], [3], [7]]], [[[1], [0], [0], [0]], [[0], [2], [3/2], [-5/2]], [[0], [2], [-3/2], [5/2]], [[0], [0], [3], [3]]], 1, 256, [], [] >,
< [ -1, 1 ], [[5760]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [0], [3/2], [7/2]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [2], [3/2], [3/2]], [[0], [2], [-3/2], [-3/2]], [[0], [0], [3], [-5]]], 1, 256, [], [] >,
< [ -1, 1 ], [[8064]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [3], [3]], [[0], [2], [-3], [5]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [4], [0], [-4]], [[0], [0], [12], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[8064]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [1]], [[0], [2], [3], [7]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [3], [0], [-1]], [[0], [0], [12], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[8064]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [3], [-5]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [0], [-4]], [[0], [3], [6], [-1]]], 1, 384, [], [] >,
< [ -1, 1 ], [[8064]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-1]], [[0], [4], [0], [0]], [[0], [0], [3], [7]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [0], [-4]], [[0], [1], [6], [1]]], 1, 384, [], [] >,
< [ -1, 1 ], [[56448]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [8]], [[0], [2], [21], [3]]], [[[1], [0], [0], [0]], [[0], [1], [0], [1]], [[0], [4], [0], [-4]], [[0], [0], [84], [0]]], 1, 3072, [], [] >,
< [ -1, 1 ], [[56448]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [8]], [[0], [2], [21], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [3], [0], [-1]], [[0], [0], [84], [0]]], 1, 3072, [], [] >,
< [ -1, 1 ], [[56448]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [21], [3]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [0], [-4]], [[0], [3], [42], [-1]]], 1, 3072, [], [] >,
< [ -1, 1 ], [[56448]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [21], [-1]]], [[[1], [0], [0], [0]], [[0], [2], [0], [2]], [[0], [4], [0], [-4]], [[0], [1], [42], [1]]], 1, 3072, [], [] >,
< [ -1, 1 ], [[28800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [3/2], [-3/2]], [[0], [0], [6], [2]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [5], [3/2], [5/2]], [[0], [0], [6], [2]], [[0], [5], [3/2], [-11/2]]], 1, 1536, [], [] >,
< [ -1, 1 ], [[230400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [10], [3], [-3]], [[0], [10], [-21], [-3]]], [[[1], [0], [0], [0]], [[0], [10], [3], [5]], [[0], [0], [12], [-4]], [[0], [10], [3], [-11]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[28800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [-1/2]], [[0], [0], [6], [2]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [7/2]], [[0], [0], [6], [2]], [[0], [5], [-3/2], [-9/2]]], 1, 1536, [], [] >,
< [ -1, 1 ], [[230400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [10], [9], [3]], [[0], [10], [-15], [3]]], [[[1], [0], [0], [0]], [[0], [10], [-3], [-1]], [[0], [0], [12], [-4]], [[0], [0], [0], [16]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[28800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [3], [-7]], [[0], [10], [-3/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [5/2]], [[0], [0], [3], [-3]], [[0], [20], [0], [0]]], 1, 1536, [], [] >,
< [ -1, 1 ], [[28800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [3], [-7]], [[0], [10], [3/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-3/2]], [[0], [0], [9/2], [7/2]], [[0], [20], [0], [0]]], 1, 1536, [], [] >,
< [ -1, 1 ], [[28800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [1/2]], [[0], [0], [3], [-7]], [[0], [20], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [0], [3], [5]], [[0], [10], [3/2], [5/2]]], 1, 1536, [], [] >,
< [ -1, 1 ], [[28800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [1]], [[0], [0], [3/2], [-7/2]], [[0], [20], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-3]], [[0], [0], [3], [5]], [[0], [10], [3/2], [-3/2]]], 1, 1536, [], [] >,
< [ -1, 1 ], [[27648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-9], [3]], [[0], [16], [0], [0]], [[0], [6], [-3], [-15]]], [[[1], [0], [0], [0]], [[0], [6], [9], [-3]], [[0], [10], [-9], [3]], [[0], [2], [3], [15]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[27648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [2], [-9], [3]], [[0], [4], [6], [30]]], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [2], [3], [15]], [[0], [4], [-18], [6]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[221184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [18]], [[0], [12], [18], [-6]], [[0], [32], [-24], [-24]]], [[[1], [0], [0], [0]], [[0], [4], [-6], [18]], [[0], [16], [-12], [-12]], [[0], [28], [30], [6]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[221184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-18], [6]], [[0], [16], [12], [12]], [[0], [28], [-6], [-30]]], [[[1], [0], [0], [0]], [[0], [12], [6], [-18]], [[0], [16], [12], [12]], [[0], [20], [-30], [-6]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[3456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3/2], [3/2]], [[0], [4], [-3], [-3]], [[0], [2], [21/2], [-27/2]]], [[[1], [0], [0], [0]], [[0], [4], [3], [3]], [[0], [4], [-3], [-3]], [[0], [0], [15/2], [-9/2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[221184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [6], [6]], [[0], [8], [-24], [24]], [[0], [32], [-24], [-24]]], [[[1], [0], [0], [0]], [[0], [16], [12], [12]], [[0], [24], [-6], [-6]], [[0], [8], [-24], [24]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[221184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [12], [12]], [[0], [24], [-6], [-6]], [[0], [0], [30], [-18]]], [[[1], [0], [0], [0]], [[0], [8], [6], [6]], [[0], [16], [18], [-30]], [[0], [24], [-36], [12]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[3456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [2], [-3], [-7]], [[0], [15], [-15/2], [21/2]]], [[[1], [0], [0], [0]], [[0], [3], [-9/2], [3/2]], [[0], [7], [3/2], [-1/2]], [[0], [3], [3/2], [15/2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [-7]], [[0], [9], [-9/2], [3/2]]], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [1/2]], [[0], [4], [6], [-2]], [[0], [1], [-3/2], [17/2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [1], [-3/2], [-7/2]], [[0], [17], [-15/2], [13/2]]], [[[1], [0], [0], [0]], [[0], [3], [-3/2], [9/2]], [[0], [4], [6], [-2]], [[0], [7], [-3/2], [-7/2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-3], [-7]], [[0], [7], [-9/2], [11/2]]], [[[1], [0], [0], [0]], [[0], [5], [3/2], [7/2]], [[0], [5], [-9/2], [-5/2]], [[0], [1], [-9/2], [11/2]]], 1, 192, [], [] >,
< [ -1, 1 ], [[27648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [9], [5]], [[0], [6], [3], [-9]], [[0], [18], [-3], [9]]], [[[1], [0], [0], [0]], [[0], [6], [-3], [9]], [[0], [10], [-9], [-5]], [[0], [8], [12], [-4]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[27648]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [9], [5]], [[0], [6], [3], [-9]], [[0], [14], [-9], [11]]], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [6], [-3], [9]], [[0], [14], [-15], [-19]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[221184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [18], [10]], [[0], [12], [6], [-18]], [[0], [32], [-12], [20]]], [[[1], [0], [0], [0]], [[0], [8], [0], [-16]], [[0], [4], [-30], [10]], [[0], [28], [18], [10]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[221184]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [-18], [-2]], [[0], [8], [-6], [26]], [[0], [16], [24], [-8]]], [[[1], [0], [0], [0]], [[0], [16], [-18], [-2]], [[0], [24], [6], [6]], [[0], [0], [18], [-30]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-1]], [[0], [0], [6], [3]], [[0], [12], [-12], [24]]], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [8], [4], [-2]], [[0], [8], [-2], [13]]], 1, 192, [], [] >,
< [ -1, 1 ], [[27648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [12], [6]], [[0], [16], [8], [-4]], [[0], [8], [-8], [28]]], [[[1], [0], [0], [0]], [[0], [8], [4], [-2]], [[0], [8], [-20], [-14]], [[0], [8], [-8], [28]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [2], [-2], [7]], [[0], [12], [12], [0]]], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [10], [2], [5]], [[0], [2], [10], [-5]]], 1, 192, [], [] >,
< [ -1, 1 ], [[27648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [14]], [[0], [8], [16], [4]], [[0], [24], [0], [-12]]], [[[1], [0], [0], [0]], [[0], [12], [-12], [6]], [[0], [8], [16], [4]], [[0], [4], [-4], [-22]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [11], [1], [4]], [[0], [1], [11], [-4]]], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [6], [6], [0]], [[0], [9], [-3], [12]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [5], [-5], [4]], [[0], [12], [12], [0]]], [[[1], [0], [0], [0]], [[0], [3], [3], [0]], [[0], [4], [-4], [-4]], [[0], [12], [-12], [24]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [9], [3], [6]], [[0], [3], [9], [-6]]], [[[1], [0], [0], [0]], [[0], [5], [1], [-2]], [[0], [1], [5], [2]], [[0], [12], [-12], [24]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [3], [-3], [6]], [[0], [12], [12], [0]]], [[[1], [0], [0], [0]], [[0], [4], [-4], [-4]], [[0], [6], [6], [0]], [[0], [11], [-5], [10]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [7], [4]], [[0], [2], [1], [-8]], [[0], [12], [-6], [0]]], [[[1], [0], [0], [0]], [[0], [6], [-3], [0]], [[0], [4], [8], [-4]], [[0], [0], [6], [12]]], 1, 192, [], [] >,
< [ -1, 1 ], [[27648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-6], [0]], [[0], [4], [14], [8]], [[0], [12], [18], [-24]]], [[[1], [0], [0], [0]], [[0], [4], [14], [8]], [[0], [8], [-8], [16]], [[0], [16], [-4], [-16]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-5], [-2]], [[0], [6], [3], [-6]], [[0], [12], [0], [12]]], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [10], [-1], [2]], [[0], [4], [-10], [-4]]], 1, 192, [], [] >,
< [ -1, 1 ], [[27648]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [6], [-12]], [[0], [8], [-8], [16]], [[0], [8], [-20], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [-10], [-4]], [[0], [8], [-8], [16]], [[0], [28], [14], [-4]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [4], [8], [-4]], [[0], [11], [-2], [-5]]], [[[1], [0], [0], [0]], [[0], [1], [2], [-1]], [[0], [12], [0], [12]], [[0], [12], [-12], [-12]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [0], [6]], [[0], [4], [8], [-4]], [[0], [9], [-6], [-3]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [7], [2], [5]], [[0], [12], [-12], [-12]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [4], [1]], [[0], [1], [-4], [5]], [[0], [12], [-12], [-12]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [13], [-4], [-1]], [[0], [1], [-4], [-13]]], 1, 192, [], [] >,
< [ -1, 1 ], [[3456]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [0], [3]], [[0], [4], [8], [-4]], [[0], [12], [-12], [-12]]], [[[1], [0], [0], [0]], [[0], [2], [4], [-2]], [[0], [7], [-4], [-7]], [[0], [12], [0], [12]]], 1, 192, [], [] >,
< [ -1, 1 ], [[17280]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [3], [3], [0]], [[0], [1], [-3], [4]], [[0], [5], [-3], [-4]]], [[[1], [0], [0], [0]], [[0], [1], [3], [-2]], [[0], [4], [0], [4]], [[0], [3], [-3], [-6]]], 1, 768, [], [] >,
< [ -1, 1 ], [[17280]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-4]], [[0], [0], [6], [0]], [[0], [6], [3], [0]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-2]], [[0], [4], [0], [4]], [[0], [0], [6], [3]]], 1, 768, [], [] >,
< [ -1, 1 ], [[17280]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [2], [3], [2]], [[0], [2], [-3], [2]], [[0], [8], [0], [-4]]], [[[1], [0], [0], [0]], [[0], [0], [0], [3]], [[0], [4], [0], [1]], [[0], [0], [12], [0]]], 1, 768, [], [] >,
< [ -1, 1 ], [[17280]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [3], [-2]], [[0], [4], [-3], [-2]], [[0], [4], [0], [4]]], [[[1], [0], [0], [0]], [[0], [4], [0], [-2]], [[0], [4], [0], [4]], [[0], [2], [6], [-1]]], 1, 768, [], [] >,
< [ -1, 1 ], [[17280]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [0]], [[0], [4], [0], [4]], [[0], [8], [0], [-4]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-1]], [[0], [2], [0], [5]], [[0], [0], [12], [0]]], 1, 768, [], [] >,
< [ -1, 1 ], [[86400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3/2], [-9/2]], [[0], [0], [15/2], [3/2]], [[0], [20], [3], [-1]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [10], [9/2], [-7/2]], [[0], [10], [-15/2], [17/2]]], 1, 4608, [], [] >,
< [ -1, 1 ], [[86400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [9/2], [-3/2]], [[0], [0], [3/2], [15/2]], [[0], [20], [-3/2], [1/2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [10], [-3/2], [5/2]], [[0], [0], [12], [-12]]], 1, 4608, [], [] >,
< [ -1, 1 ], [[86400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [9], [-3]], [[0], [10], [-3/2], [-7/2]]], [[[1], [0], [0], [0]], [[0], [0], [3], [3]], [[0], [0], [15/2], [-9/2]], [[0], [20], [3/2], [-5/2]]], 1, 4608, [], [] >,
< [ -1, 1 ], [[86400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [6]], [[0], [0], [9], [-3]], [[0], [10], [3/2], [-1/2]]], [[[1], [0], [0], [0]], [[0], [0], [3/2], [3/2]], [[0], [0], [12], [-12]], [[0], [20], [-9/2], [7/2]]], 1, 4608, [], [] >,
< [ -1, 1 ], [[86400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [13/2]], [[0], [0], [6], [6]], [[0], [10], [3], [-5]]], [[[1], [0], [0], [0]], [[0], [5], [9/2], [1/2]], [[0], [5], [-3/2], [-11/2]], [[0], [10], [-9], [7]]], 1, 4608, [], [] >,
< [ -1, 1 ], [[10368]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [9/2], [-3/2]], [[0], [8], [-6], [-6]], [[0], [10], [-3], [9]]], [[[1], [0], [0], [0]], [[0], [3], [-9/2], [3/2]], [[0], [5], [9/2], [-3/2]], [[0], [2], [-9], [-21]]], 1, 576, [], [] >,
< [ -1, 1 ], [[10368]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [15/2]], [[0], [9], [-9/2], [3/2]], [[0], [6], [9], [-3]]], [[[1], [0], [0], [0]], [[0], [1], [9/2], [-3/2]], [[0], [8], [0], [0]], [[0], [2], [-9], [-21]]], 1, 576, [], [] >,
< [ -1, 1 ], [[10368]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [9/2]], [[0], [6], [9], [-3]], [[0], [8], [-6], [-6]]], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [2], [9], [-3]], [[0], [3], [9/2], [21/2]]], 1, 576, [], [] >,
< [ -1, 1 ], [[10368]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-15/2], [-3/2]], [[0], [7], [3/2], [-9/2]], [[0], [10], [-3], [9]]], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [2], [9], [-3]], [[0], [1], [-9/2], [-21/2]]], 1, 576, [], [] >,
< [ -1, 1 ], [[2048]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-4], [0]], [[0], [4], [8], [0]], [[0], [4], [0], [-8]]], [[[1], [0], [0], [0]], [[0], [2], [4], [0]], [[0], [4], [0], [-8]], [[0], [10], [-4], [8]]], 0, 128, [], [] >,
< [ -1, 1 ], [[256]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [2], [0]], [[0], [3], [-2], [0]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [4], [0]], [[0], [1], [-2], [4]]], 1, 16, [], [] >,
< [ -1, 1 ], [[16384]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [4]], [[0], [8], [4], [-12]], [[0], [8], [-28], [4]]], [[[1], [0], [0], [0]], [[0], [8], [4], [-12]], [[0], [0], [16], [0]], [[0], [16], [8], [8]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[2048]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [2]], [[0], [4], [-2], [-2]], [[0], [0], [16], [-16]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [8], [0], [0]], [[0], [4], [10], [-6]]], 0, 128, [], [] >,
< [ -1, 1 ], [[256]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [0], [3], [-1]], [[0], [8], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [4], [3], [-1]], [[0], [4], [-3], [1]]], 1, 16, [], [] >,
< [ -1, 1 ], [[2048]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [8], [8], [-8]], [[0], [8], [-8], [8]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [8], [-2], [-2]], [[0], [0], [10], [-6]]], 0, 128, [], [] >,
< [ -1, 1 ], [[2048]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [8], [0], [0]], [[0], [0], [16], [-16]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [8], [0], [0]], [[0], [0], [10], [-6]]], 0, 128, [], [] >,
< [ -1, 1 ], [[256]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [1]], [[0], [0], [4], [-4]], [[0], [8], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [4], [1], [1]], [[0], [0], [4], [-4]]], 1, 16, [], [] >,
< [ -1, 1 ], [[6144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-5], [-9]], [[0], [10], [-5], [7]]], [[[1], [0], [0], [0]], [[0], [2], [-1], [-5]], [[0], [4], [6], [-2]], [[0], [10], [-9], [3]]], 0, 256, [], [] >,
< [ -1, 1 ], [[6144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [2], [-1], [-5]], [[0], [22], [-11], [9]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [4], [6], [-2]], [[0], [10], [-5], [7]]], 0, 256, [], [] >,
< [ -1, 1 ], [[768]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-1/2], [-5/2]], [[0], [2], [3], [-1]], [[0], [5], [-5/2], [7/2]]], [[[1], [0], [0], [0]], [[0], [1], [3/2], [-1/2]], [[0], [1], [-5/2], [-9/2]], [[0], [6], [-3], [1]]], 1, 32, [], [] >,
< [ -1, 1 ], [[768]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [3], [-3/2], [1/2]], [[0], [2], [3], [-1]], [[0], [2], [-1], [-5]]], [[[1], [0], [0], [0]], [[0], [2], [3], [-1]], [[0], [3], [1/2], [5/2]], [[0], [3], [-7/2], [-3/2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[49152]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-6]], [[0], [12], [-2], [6]], [[0], [4], [-38], [-14]]], [[[1], [0], [0], [0]], [[0], [12], [-2], [6]], [[0], [8], [4], [-12]], [[0], [4], [18], [10]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[6144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-3]], [[0], [2], [5], [1]], [[0], [22], [-9], [11]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [4], [2], [-6]], [[0], [10], [-7], [5]]], 0, 256, [], [] >,
< [ -1, 1 ], [[6144]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [1], [1]], [[0], [4], [-7], [-7]], [[0], [0], [6], [-10]]], [[[1], [0], [0], [0]], [[0], [4], [-3], [-3]], [[0], [4], [5], [5]], [[0], [0], [6], [-10]]], 0, 256, [], [] >,
< [ -1, 1 ], [[768]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1/2], [1/2]], [[0], [0], [2], [2]], [[0], [0], [8], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [2], [2]], [[0], [4], [1], [1]], [[0], [2], [7/2], [-9/2]]], 1, 32, [], [] >,
< [ -1, 1 ], [[6144]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-8], [2]], [[0], [2], [0], [-10]], [[0], [12], [8], [4]]], [[[1], [0], [0], [0]], [[0], [2], [8], [-6]], [[0], [8], [0], [8]], [[0], [12], [-8], [-4]]], 0, 512, [], [] >,
< [ -1, 1 ], [[6144]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [6], [-8], [2]], [[0], [0], [8], [16]]], [[[1], [0], [0], [0]], [[0], [2], [8], [-6]], [[0], [8], [0], [8]], [[0], [8], [-8], [-8]]], 0, 512, [], [] >,
< [ -1, 1 ], [[6144]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [4], [2]], [[0], [8], [-8], [-8]], [[0], [4], [-8], [12]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [-6]], [[0], [10], [-4], [2]], [[0], [12], [16], [-4]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1280]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [1], [1], [1]], [[0], [1], [-3], [1]], [[0], [4], [0], [-4]]], [[[1], [0], [0], [0]], [[0], [3], [-1], [-1]], [[0], [1], [1], [-3]], [[0], [2], [2], [2]]], 1, 64, [], [] >,
< [ -1, 1 ], [[1280]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [2], [2], [-1]], [[0], [2], [-2], [1]], [[0], [0], [0], [4]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [0]], [[0], [3], [2], [0]], [[0], [0], [0], [4]]], 1, 64, [], [] >,
< [ -1, 1 ], [[10240]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [4], [-4], [2]], [[0], [8], [8], [0]]], [[[1], [0], [0], [0]], [[0], [2], [-4], [0]], [[0], [6], [4], [0]], [[0], [4], [0], [8]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1280]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [2], [3]], [[0], [4], [0], [0]]], [[[1], [0], [0], [0]], [[0], [1], [-2], [2]], [[0], [1], [-2], [-2]], [[0], [4], [0], [0]]], 1, 64, [], [] >,
< [ -1, 1 ], [[10240]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [2]], [[0], [0], [4], [-6]], [[0], [8], [0], [4]]], [[[1], [0], [0], [0]], [[0], [4], [0], [0]], [[0], [2], [4], [4]], [[0], [0], [8], [-8]]], 0, 512, [], [] >,
< [ -1, 1 ], [[30720]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [4], [4], [2]], [[0], [8], [-8], [0]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-4]], [[0], [0], [6], [4]], [[0], [8], [0], [0]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[30720]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [4], [2]], [[0], [4], [-4], [-2]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-4]], [[0], [0], [6], [4]], [[0], [8], [4], [0]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[30720]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [2]], [[0], [0], [4], [-6]], [[0], [8], [0], [0]]], [[[1], [0], [0], [0]], [[0], [4], [2], [0]], [[0], [4], [-6], [0]], [[0], [0], [4], [8]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[10240]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-4], [-8]], [[0], [6], [10], [0]], [[0], [12], [-12], [16]]], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [0], [2], [14]], [[0], [0], [22], [-6]]], 0, 768, [], [] >,
< [ -1, 1 ], [[43008]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [4], [-6], [2]], [[0], [12], [6], [-2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-6]], [[0], [0], [8], [0]], [[0], [10], [0], [2]]], 0, 1536, [], [] >,
< [ -1, 1 ], [[14336]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [10], [0]], [[0], [8], [-8], [-8]], [[0], [12], [-12], [16]]], [[[1], [0], [0], [0]], [[0], [4], [4], [-8]], [[0], [10], [10], [8]], [[0], [18], [-14], [8]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[301056]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-14], [-6]], [[0], [16], [0], [0]], [[0], [4], [14], [-10]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-6]], [[0], [10], [0], [2]], [[0], [0], [56], [0]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[100352]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [14], [14], [0]], [[0], [20], [-12], [-24]], [[0], [20], [-12], [32]]], [[[1], [0], [0], [0]], [[0], [2], [-18], [-8]], [[0], [26], [-10], [8]], [[0], [22], [26], [-32]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[6400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [5], [-1], [-1]], [[0], [0], [0], [8]]], [[[1], [0], [0], [0]], [[0], [0], [4], [0]], [[0], [5], [-1], [3]], [[0], [5], [-1], [-5]]], 1, 384, [], [] >,
< [ -1, 1 ], [[51200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [8], [8]], [[0], [0], [8], [-8]], [[0], [10], [4], [4]]], [[[1], [0], [0], [0]], [[0], [0], [4], [2]], [[0], [0], [4], [-6]], [[0], [40], [0], [4]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[6400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [-2], [2]], [[0], [5], [6], [2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-1]], [[0], [0], [2], [3]], [[0], [20], [0], [0]]], 1, 384, [], [] >,
< [ -1, 1 ], [[51200]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [10], [4], [0]], [[0], [0], [8], [8]], [[0], [0], [8], [-8]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [16], [0]], [[0], [20], [-4], [2]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[6400]], [ -2 ], [ -5 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [5], [-2], [0]], [[0], [5], [6], [0]]], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [4], [2]], [[0], [10], [2], [-1]]], 1, 384, [], [] >,
< [ -1, 1 ], [[153600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [8]], [[0], [0], [8], [4]], [[0], [20], [4], [-2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-4]], [[0], [0], [6], [4]], [[0], [40], [4], [0]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[153600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [0], [4]], [[0], [0], [16], [0]], [[0], [20], [-4], [2]]], [[[1], [0], [0], [0]], [[0], [0], [2], [-4]], [[0], [0], [6], [4]], [[0], [40], [0], [0]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[153600]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [4], [2]], [[0], [0], [4], [-6]], [[0], [40], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [0], [4], [8]], [[0], [20], [-2], [0]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[51200]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [6], [-8]], [[0], [20], [-20], [0]], [[0], [20], [12], [24]]], [[[1], [0], [0], [0]], [[0], [0], [2], [14]], [[0], [0], [22], [-6]], [[0], [40], [0], [0]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[2304]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [-3]], [[0], [0], [8], [0]], [[0], [6], [1], [9]]], [[[1], [0], [0], [0]], [[0], [3], [-2], [3]], [[0], [3], [6], [3]], [[0], [12], [0], [-12]]], 1, 96, [], [] >,
< [ -1, 1 ], [[18432]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-12]], [[0], [12], [6], [6]], [[0], [12], [-22], [-6]]], [[[1], [0], [0], [0]], [[0], [6], [-4], [6]], [[0], [6], [12], [6]], [[0], [24], [8], [-24]]], 0, 768, [], [] >,
< [ -1, 1 ], [[2304]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-1], [3]], [[0], [0], [8], [0]], [[0], [6], [3], [-9]]], [[[1], [0], [0], [0]], [[0], [0], [8], [0]], [[0], [6], [4], [6]], [[0], [9], [-2], [-3]]], 1, 96, [], [] >,
< [ -1, 1 ], [[18432]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-2], [6]], [[0], [0], [12], [12]], [[0], [12], [18], [-6]]], [[[1], [0], [0], [0]], [[0], [0], [16], [0]], [[0], [12], [0], [12]], [[0], [18], [-4], [-6]]], 0, 768, [], [] >,
< [ -1, 1 ], [[20736]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [9], [9]], [[0], [6], [-15], [9]], [[0], [18], [-9], [-9]]], [[[1], [0], [0], [0]], [[0], [12], [12], [0]], [[0], [12], [-12], [0]], [[0], [3], [3], [-18]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[165888]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-18], [-18]], [[0], [12], [-30], [18]], [[0], [36], [18], [18]]], [[[1], [0], [0], [0]], [[0], [24], [24], [0]], [[0], [6], [6], [-36]], [[0], [36], [-12], [0]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[20736]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [9]], [[0], [18], [3], [-9]], [[0], [6], [21], [9]]], [[[1], [0], [0], [0]], [[0], [12], [12], [0]], [[0], [12], [-12], [0]], [[0], [3], [-9], [18]]], 0, 1152, [], [] >,
< [ -1, 1 ], [[165888]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [6], [-18]], [[0], [36], [-6], [18]], [[0], [12], [42], [18]]], [[[1], [0], [0], [0]], [[0], [12], [12], [0]], [[0], [6], [-18], [-36]], [[0], [42], [-30], [36]]], 0, 9216, [], [] >,
< [ -1, 1 ], [[2304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3/2], [3/2]], [[0], [4], [-3], [-3]], [[0], [2], [15/2], [-17/2]]], [[[1], [0], [0], [0]], [[0], [4], [3], [3]], [[0], [4], [-3], [-3]], [[0], [2], [9/2], [-7/2]]], 1, 128, [], [] >,
< [ -1, 1 ], [[18432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [3], [3]], [[0], [0], [6], [-10]], [[0], [16], [-12], [-12]]], [[[1], [0], [0], [0]], [[0], [8], [6], [6]], [[0], [4], [9], [-7]], [[0], [12], [-3], [-3]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[2304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3/2], [1/2]], [[0], [6], [3], [-1]], [[0], [2], [-3], [-15]]], [[[1], [0], [0], [0]], [[0], [2], [-3], [1]], [[0], [6], [3], [-1]], [[0], [1], [9/2], [13/2]]], 1, 128, [], [] >,
< [ -1, 1 ], [[18432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [1]], [[0], [8], [0], [-16]], [[0], [14], [15], [11]]], [[[1], [0], [0], [0]], [[0], [4], [-6], [2]], [[0], [10], [9], [-3]], [[0], [2], [9], [13]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[18432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [1]], [[0], [4], [6], [14]], [[0], [22], [15], [-5]]], [[[1], [0], [0], [0]], [[0], [4], [-6], [2]], [[0], [10], [9], [-3]], [[0], [4], [6], [14]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[2304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [1]], [[0], [6], [3], [-1]], [[0], [1], [-3/2], [-15/2]]], [[[1], [0], [0], [0]], [[0], [3], [3/2], [-1/2]], [[0], [2], [-3], [1]], [[0], [1], [9/2], [29/2]]], 1, 128, [], [] >,
< [ -1, 1 ], [[18432]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [2]], [[0], [2], [3], [7]], [[0], [22], [9], [-11]]], [[[1], [0], [0], [0]], [[0], [4], [-6], [2]], [[0], [10], [3], [-9]], [[0], [4], [6], [14]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[147456]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [0], [0]], [[0], [4], [-18], [-10]], [[0], [8], [12], [-36]]], [[[1], [0], [0], [0]], [[0], [16], [0], [0]], [[0], [4], [6], [-18]], [[0], [8], [-36], [-20]]], 0, 8192, [], [] >,
< [ -1, 1 ], [[18432]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-4], [2]], [[0], [4], [8], [20]], [[0], [10], [20], [2]]], [[[1], [0], [0], [0]], [[0], [8], [-8], [-8]], [[0], [10], [-4], [14]], [[0], [8], [16], [-8]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[18432]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [8], [2]], [[0], [10], [-16], [2]], [[0], [6], [0], [-18]]], [[[1], [0], [0], [0]], [[0], [8], [-8], [-8]], [[0], [14], [-8], [10]], [[0], [8], [16], [-8]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[18432]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [8], [2]], [[0], [8], [-8], [-8]], [[0], [4], [-16], [20]]], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [10], [8], [14]], [[0], [26], [-8], [-2]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[92160]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [4], [-3], [9]], [[0], [4], [9], [5]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-5]], [[0], [8], [6], [6]], [[0], [8], [-6], [-6]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[92160]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-2]], [[0], [4], [-3], [-7]], [[0], [12], [3], [7]]], [[[1], [0], [0], [0]], [[0], [0], [3], [-5]], [[0], [8], [0], [0]], [[0], [0], [15], [7]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[92160]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [0], [3], [-9]], [[0], [0], [9], [5]]], [[[1], [0], [0], [0]], [[0], [4], [-3], [-3]], [[0], [8], [6], [6]], [[0], [0], [6], [-10]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[129024]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [12], [-6], [2]], [[0], [4], [-6], [-14]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-6]], [[0], [10], [0], [2]], [[0], [0], [24], [0]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[903168]], [ -21 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [16], [0], [0]], [[0], [8], [0], [16]], [[0], [4], [-42], [2]]], [[[1], [0], [0], [0]], [[0], [2], [0], [-6]], [[0], [10], [0], [2]], [[0], [0], [168], [0]]], 0, 49152, [], [] >,
< [ -1, 1 ], [[460800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [12], [4]], [[0], [0], [6], [-14]], [[0], [20], [-3], [-9]]], [[[1], [0], [0], [0]], [[0], [0], [3], [5]], [[0], [0], [15], [-7]], [[0], [40], [6], [-6]]], 0, 24576, [], [] >,
< [ -1, 1 ], [[460800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [2]], [[0], [20], [-3], [7]], [[0], [20], [9], [-21]]], [[[1], [0], [0], [0]], [[0], [0], [3], [5]], [[0], [0], [15], [-7]], [[0], [40], [0], [0]]], 0, 24576, [], [] >,
< [ -1, 1 ], [[460800]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [9]], [[0], [0], [9], [-5]], [[0], [40], [0], [0]]], [[[1], [0], [0], [0]], [[0], [0], [6], [10]], [[0], [0], [12], [-12]], [[0], [20], [-3], [3]]], 0, 24576, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [-9]], [[0], [6], [15], [3]], [[0], [20], [-6], [18]]], [[[1], [0], [0], [0]], [[0], [10], [-3], [9]], [[0], [0], [12], [12]], [[0], [12], [6], [-18]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [9]], [[0], [2], [-15], [-3]], [[0], [30], [3], [-9]]], [[[1], [0], [0], [0]], [[0], [14], [3], [-9]], [[0], [0], [12], [12]], [[0], [4], [-6], [18]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [0], [0]], [[0], [3], [-3/2], [-15/2]], [[0], [2], [-9], [3]]], [[[1], [0], [0], [0]], [[0], [3], [9/2], [-3/2]], [[0], [5], [-9/2], [3/2]], [[0], [2], [3], [15]]], 1, 384, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-9], [3]], [[0], [6], [-3], [-15]], [[0], [12], [18], [-6]]], [[[1], [0], [0], [0]], [[0], [6], [9], [-3]], [[0], [10], [3], [15]], [[0], [16], [-12], [-12]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-9], [3]], [[0], [0], [12], [12]], [[0], [12], [18], [-6]]], [[[1], [0], [0], [0]], [[0], [6], [9], [-3]], [[0], [6], [-3], [-15]], [[0], [20], [-18], [6]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [3/2], [15/2]], [[0], [8], [0], [0]], [[0], [2], [-9], [3]]], [[[1], [0], [0], [0]], [[0], [1], [-9/2], [3/2]], [[0], [8], [0], [0]], [[0], [2], [3], [15]]], 1, 384, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [3], [15]], [[0], [14], [9], [-3]], [[0], [4], [-18], [6]]], [[[1], [0], [0], [0]], [[0], [2], [-9], [3]], [[0], [14], [-3], [-15]], [[0], [16], [12], [12]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [14], [9], [-3]], [[0], [0], [12], [12]], [[0], [4], [-18], [6]]], [[[1], [0], [0], [0]], [[0], [2], [-9], [3]], [[0], [2], [3], [15]], [[0], [30], [9], [-3]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [12], [-4]], [[0], [4], [-6], [-14]], [[0], [14], [-15], [5]]], [[[1], [0], [0], [0]], [[0], [10], [-3], [1]], [[0], [2], [-3], [17]], [[0], [8], [24], [8]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [12], [-4]], [[0], [0], [12], [12]], [[0], [14], [-15], [5]]], [[[1], [0], [0], [0]], [[0], [10], [-3], [1]], [[0], [0], [12], [12]], [[0], [6], [15], [-21]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3/2], [-7/2]], [[0], [4], [6], [-2]], [[0], [15], [-21/2], [15/2]]], [[[1], [0], [0], [0]], [[0], [3], [-3/2], [9/2]], [[0], [4], [6], [-2]], [[0], [7], [-15/2], [-19/2]]], 1, 384, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [9], [5]], [[0], [6], [3], [-9]], [[0], [30], [-21], [15]]], [[[1], [0], [0], [0]], [[0], [6], [-3], [9]], [[0], [14], [-3], [-7]], [[0], [8], [24], [8]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [2], [-3], [-7]], [[0], [9], [-3/2], [9/2]]], [[[1], [0], [0], [0]], [[0], [5], [-9/2], [-5/2]], [[0], [4], [6], [-2]], [[0], [6], [-3], [9]]], 1, 384, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [18], [-15], [-3]], [[0], [10], [-3], [25]]], [[[1], [0], [0], [0]], [[0], [10], [-9], [-5]], [[0], [2], [-9], [11]], [[0], [18], [15], [3]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[55296]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [12], [-4]], [[0], [0], [12], [12]], [[0], [18], [-3], [9]]], [[[1], [0], [0], [0]], [[0], [2], [-9], [11]], [[0], [0], [12], [12]], [[0], [18], [3], [-9]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[6912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3/2], [13/2]], [[0], [2], [-15/2], [1/2]], [[0], [10], [9/2], [-7/2]]], [[[1], [0], [0], [0]], [[0], [6], [-3/2], [-3/2]], [[0], [0], [6], [6]], [[0], [2], [15/2], [-17/2]]], 1, 384, [], [] >,
< [ -1, 1 ], [[55296]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [22], [2], [8]], [[0], [10], [14], [-16]], [[0], [16], [-16], [-16]]], [[[1], [0], [0], [0]], [[0], [8], [-8], [-8]], [[0], [6], [-18], [24]], [[0], [24], [24], [0]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[55296]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-8], [-8]], [[0], [22], [2], [8]], [[0], [12], [36], [-24]]], [[[1], [0], [0], [0]], [[0], [20], [4], [-8]], [[0], [4], [20], [8]], [[0], [6], [-18], [24]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[55296]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-8], [-8]], [[0], [18], [6], [12]], [[0], [12], [36], [-24]]], [[[1], [0], [0], [0]], [[0], [10], [2], [-4]], [[0], [4], [20], [8]], [[0], [26], [-14], [52]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[55296]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-12], [-18]], [[0], [4], [-16], [20]], [[0], [26], [4], [-14]]], [[[1], [0], [0], [0]], [[0], [10], [-4], [14]], [[0], [8], [16], [-8]], [[0], [24], [-24], [-24]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[55296]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [8], [2]], [[0], [4], [-16], [20]], [[0], [26], [-32], [-14]]], [[[1], [0], [0], [0]], [[0], [8], [16], [-8]], [[0], [26], [-8], [-2]], [[0], [2], [16], [22]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[55296]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [8], [2]], [[0], [4], [-16], [20]], [[0], [24], [-24], [-24]]], [[[1], [0], [0], [0]], [[0], [4], [8], [-4]], [[0], [26], [-8], [-2]], [[0], [0], [24], [48]]], 0, 3072, [], [] >,
< [ -1, 1 ], [[276480]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-8]], [[0], [8], [0], [8]], [[0], [4], [-18], [-8]]], [[[1], [0], [0], [0]], [[0], [8], [0], [8]], [[0], [0], [12], [6]], [[0], [16], [0], [-8]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[276480]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [8], [6], [-4]], [[0], [8], [0], [8]], [[0], [8], [-18], [-4]]], [[[1], [0], [0], [0]], [[0], [8], [0], [8]], [[0], [4], [-12], [-2]], [[0], [16], [0], [-8]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[276480]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [8], [-6], [-4]], [[0], [0], [6], [-12]], [[0], [8], [12], [8]]], [[[1], [0], [0], [0]], [[0], [0], [0], [12]], [[0], [4], [-12], [-2]], [[0], [16], [0], [4]]], 0, 12288, [], [] >,
< [ -1, 1 ], [[1382400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [3], [-9]], [[0], [0], [30], [6]], [[0], [40], [-9], [-5]]], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [20], [3], [-13]], [[0], [20], [-15], [17]]], 0, 73728, [], [] >,
< [ -1, 1 ], [[1382400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [6], [-18]], [[0], [20], [-3], [-7]], [[0], [0], [30], [6]]], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [0], [9], [-15]], [[0], [40], [9], [1]]], 0, 73728, [], [] >,
< [ -1, 1 ], [[1382400]], [ -3 ], [ -10 ], [[[1], [0], [0], [0]], [[0], [0], [18], [-6]], [[0], [20], [-3], [-7]], [[0], [20], [3], [23]]], [[[1], [0], [0], [0]], [[0], [0], [12], [12]], [[0], [0], [15], [-9]], [[0], [40], [9], [1]]], 0, 73728, [], [] >,
< [ -1, 1 ], [[4096]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-6]], [[0], [4], [-6], [2]], [[0], [8], [12], [12]]], [[[1], [0], [0], [0]], [[0], [8], [-4], [-4]], [[0], [0], [8], [-8]], [[0], [12], [6], [-2]]], 0, 256, [], [] >,
< [ -1, 1 ], [[32768]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-12], [-12]], [[0], [16], [8], [8]], [[0], [8], [-20], [12]]], [[[1], [0], [0], [0]], [[0], [8], [4], [4]], [[0], [8], [-20], [12]], [[0], [16], [0], [-32]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[4096]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [-6]], [[0], [8], [4], [4]], [[0], [4], [10], [-6]]], [[[1], [0], [0], [0]], [[0], [4], [2], [2]], [[0], [4], [2], [-14]], [[0], [4], [-14], [2]]], 0, 256, [], [] >,
< [ -1, 1 ], [[4096]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [-6]], [[0], [8], [4], [4]], [[0], [0], [8], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [2], [2]], [[0], [0], [8], [-8]], [[0], [12], [-10], [-10]]], 0, 256, [], [] >,
< [ -1, 1 ], [[512]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [1]], [[0], [2], [-3], [-3]], [[0], [0], [8], [-8]]], [[[1], [0], [0], [0]], [[0], [4], [2], [2]], [[0], [4], [-2], [-2]], [[0], [2], [5], [-3]]], 1, 32, [], [] >,
< [ -1, 1 ], [[32768]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [4], [-12]], [[0], [16], [8], [8]], [[0], [16], [-28], [-12]]], [[[1], [0], [0], [0]], [[0], [16], [8], [8]], [[0], [16], [-12], [4]], [[0], [0], [8], [-24]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[4096]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [2], [-6]], [[0], [0], [10], [2]], [[0], [16], [4], [4]]], [[[1], [0], [0], [0]], [[0], [0], [4], [4]], [[0], [8], [6], [-2]], [[0], [8], [-14], [10]]], 0, 256, [], [] >,
< [ -1, 1 ], [[512]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [1], [-3]], [[0], [0], [5], [1]], [[0], [8], [0], [0]]], [[[1], [0], [0], [0]], [[0], [4], [1], [-3]], [[0], [4], [-1], [3]], [[0], [0], [4], [4]]], 1, 32, [], [] >,
< [ -1, 1 ], [[98304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [4], [-12]], [[0], [4], [-18], [6]], [[0], [24], [4], [20]]], [[[1], [0], [0], [0]], [[0], [8], [4], [-12]], [[0], [12], [2], [10]], [[0], [4], [-34], [-10]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[12288]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-9], [3]], [[0], [10], [3], [-1]], [[0], [4], [-2], [-10]]], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [6], [1], [5]], [[0], [10], [-9], [-13]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1536]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-9/2], [3/2]], [[0], [5], [3/2], [-1/2]], [[0], [1], [-1/2], [11/2]]], [[[1], [0], [0], [0]], [[0], [1], [-5/2], [7/2]], [[0], [5], [-1/2], [-5/2]], [[0], [0], [4], [4]]], 1, 64, [], [] >,
< [ -1, 1 ], [[98304]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-6]], [[0], [24], [4], [20]], [[0], [16], [-32], [0]]], [[[1], [0], [0], [0]], [[0], [8], [4], [-12]], [[0], [4], [18], [10]], [[0], [24], [-12], [4]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[12288]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-3]], [[0], [12], [-2], [6]], [[0], [4], [18], [10]]], [[[1], [0], [0], [0]], [[0], [4], [2], [-6]], [[0], [2], [9], [5]], [[0], [12], [-2], [6]]], 0, 512, [], [] >,
< [ -1, 1 ], [[12288]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [1], [-3]], [[0], [10], [-11], [1]], [[0], [14], [7], [11]]], [[[1], [0], [0], [0]], [[0], [4], [2], [-6]], [[0], [2], [9], [5]], [[0], [10], [-3], [9]]], 0, 512, [], [] >,
< [ -1, 1 ], [[1536]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [1/2], [-3/2]], [[0], [1], [9/2], [5/2]], [[0], [10], [-7], [5]]], [[[1], [0], [0], [0]], [[0], [2], [1], [-3]], [[0], [2], [5], [1]], [[0], [5], [-3/2], [9/2]]], 1, 64, [], [] >,
< [ -1, 1 ], [[12288]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-6]], [[0], [6], [-5], [-1]], [[0], [10], [13], [9]]], [[[1], [0], [0], [0]], [[0], [4], [2], [-6]], [[0], [6], [3], [7]], [[0], [8], [-12], [4]]], 0, 512, [], [] >,
< [ -1, 1 ], [[36864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [-6], [2]], [[0], [10], [9], [13]], [[0], [14], [3], [-17]]], [[[1], [0], [0], [0]], [[0], [2], [9], [-3]], [[0], [10], [-3], [1]], [[0], [2], [9], [29]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[4608]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [-1]], [[0], [4], [-6], [2]], [[0], [3], [-9/2], [-13/2]]], [[[1], [0], [0], [0]], [[0], [1], [9/2], [-3/2]], [[0], [5], [-3/2], [1/2]], [[0], [2], [-3], [-15]]], 1, 256, [], [] >,
< [ -1, 1 ], [[294912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [20], [-6], [2]], [[0], [4], [-6], [34]], [[0], [8], [36], [-12]]], [[[1], [0], [0], [0]], [[0], [4], [18], [-6]], [[0], [12], [-18], [-26]], [[0], [28], [6], [30]]], 0, 16384, [], [] >,
< [ -1, 1 ], [[36864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [-7]], [[0], [8], [12], [-4]], [[0], [12], [-6], [18]]], [[[1], [0], [0], [0]], [[0], [10], [3], [7]], [[0], [2], [-9], [11]], [[0], [12], [-6], [-14]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[36864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [9]], [[0], [10], [3], [-9]], [[0], [4], [-18], [-10]]], [[[1], [0], [0], [0]], [[0], [2], [-9], [-5]], [[0], [16], [0], [0]], [[0], [4], [6], [-18]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[36864]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [-3], [9]], [[0], [8], [12], [-4]], [[0], [12], [-6], [-14]]], [[[1], [0], [0], [0]], [[0], [2], [-9], [-5]], [[0], [10], [3], [-9]], [[0], [12], [-6], [18]]], 0, 2048, [], [] >,
< [ -1, 1 ], [[4608]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [3/2], [-9/2]], [[0], [4], [-6], [2]], [[0], [2], [3], [7]]], [[[1], [0], [0], [0]], [[0], [1], [-9/2], [-5/2]], [[0], [3], [-3/2], [9/2]], [[0], [9], [15/2], [-13/2]]], 1, 256, [], [] >,
< [ -1, 1 ], [[294912]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [12], [-6], [18]], [[0], [28], [-6], [-14]], [[0], [20], [30], [6]]], [[[1], [0], [0], [0]], [[0], [4], [-18], [-10]], [[0], [12], [18], [-22]], [[0], [36], [6], [14]]], 0, 16384, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [-3/2], [9/2]], [[0], [6], [3], [-9]], [[0], [5], [-27/2], [-15/2]]], [[[1], [0], [0], [0]], [[0], [3], [3/2], [-9/2]], [[0], [10], [-3], [9]], [[0], [3], [27/2], [15/2]]], 1, 768, [], [] >,
< [ -1, 1 ], [[110592]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [6], [3], [-9]], [[0], [10], [-3], [9]], [[0], [2], [57], [21]]], [[[1], [0], [0], [0]], [[0], [16], [0], [0]], [[0], [4], [-6], [18]], [[0], [6], [27], [15]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[110592]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [-3], [9]], [[0], [12], [6], [-18]], [[0], [4], [-30], [-6]]], [[[1], [0], [0], [0]], [[0], [6], [3], [-9]], [[0], [20], [-6], [18]], [[0], [4], [-30], [-6]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [1], [-3/2], [9/2]], [[0], [2], [-15], [-3]], [[0], [15], [3/2], [-9/2]]], [[[1], [0], [0], [0]], [[0], [7], [3/2], [-9/2]], [[0], [2], [-3], [9]], [[0], [2], [-15], [-3]]], 1, 768, [], [] >,
< [ -1, 1 ], [[110592]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [9]], [[0], [30], [3], [-9]], [[0], [12], [30], [6]]], [[[1], [0], [0], [0]], [[0], [14], [3], [-9]], [[0], [4], [-6], [18]], [[0], [2], [-27], [-15]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[110592]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-3], [9]], [[0], [16], [0], [0]], [[0], [6], [-57], [-21]]], [[[1], [0], [0], [0]], [[0], [16], [0], [0]], [[0], [4], [-6], [18]], [[0], [2], [-27], [-15]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[13824]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [6], [-2]], [[0], [11], [-9/2], [-5/2]], [[0], [7], [3/2], [23/2]]], [[[1], [0], [0], [0]], [[0], [9], [3/2], [-9/2]], [[0], [1], [-21/2], [-1/2]], [[0], [1], [3/2], [23/2]]], 1, 768, [], [] >,
< [ -1, 1 ], [[110592]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [18], [-3], [9]], [[0], [4], [18], [10]], [[0], [12], [6], [-18]]], [[[1], [0], [0], [0]], [[0], [18], [3], [-9]], [[0], [2], [-21], [-1]], [[0], [12], [-6], [18]]], 0, 6144, [], [] >,
< [ -1, 1 ], [[1024]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [5], [1]], [[0], [6], [-1], [3]], [[0], [4], [2], [-6]]], [[[1], [0], [0], [0]], [[0], [2], [1], [-3]], [[0], [4], [-6], [2]], [[0], [6], [3], [7]]], 1, 64, [], [] >,
< [ -1, 1 ], [[8192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [4], [2], [-6]], [[0], [12], [-2], [6]], [[0], [4], [18], [10]]], [[[1], [0], [0], [0]], [[0], [4], [10], [2]], [[0], [8], [4], [-12]], [[0], [12], [-10], [-2]]], 0, 512, [], [] >,
< [ -1, 1 ], [[8192]], [ -1 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [0], [8], [8]], [[0], [12], [-2], [6]], [[0], [8], [12], [-4]]], [[[1], [0], [0], [0]], [[0], [4], [2], [-6]], [[0], [4], [10], [2]], [[0], [20], [-14], [10]]], 0, 512, [], [] >,
< [ -1, 1 ], [[24576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [2], [-7], [5]], [[0], [10], [5], [1]], [[0], [10], [-11], [-15]]], [[[1], [0], [0], [0]], [[0], [10], [-3], [-7]], [[0], [12], [-2], [6]], [[0], [8], [12], [-4]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[24576]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [5], [1]], [[0], [0], [8], [8]], [[0], [4], [-14], [10]]], [[[1], [0], [0], [0]], [[0], [2], [-7], [5]], [[0], [0], [8], [8]], [[0], [20], [2], [-6]]], 0, 1024, [], [] >,
< [ -1, 1 ], [[3072]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [5/2], [1/2]], [[0], [1], [1/2], [13/2]], [[0], [1], [-15/2], [-3/2]]], [[[1], [0], [0], [0]], [[0], [1], [-7/2], [5/2]], [[0], [5], [-3/2], [-7/2]], [[0], [5], [13/2], [9/2]]], 1, 128, [], [] >,
< [ -1, 1 ], [[73728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [10], [3], [7]], [[0], [4], [6], [-18]], [[0], [6], [-27], [1]]], [[[1], [0], [0], [0]], [[0], [2], [15], [3]], [[0], [4], [6], [-18]], [[0], [22], [-3], [-7]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[73728]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [8], [-12], [4]], [[0], [14], [9], [-11]], [[0], [2], [-9], [-21]]], [[[1], [0], [0], [0]], [[0], [10], [3], [7]], [[0], [8], [-12], [4]], [[0], [16], [0], [-32]]], 0, 4096, [], [] >,
< [ -1, 1 ], [[9216]], [ -3 ], [ -1 ], [[[1], [0], [0], [0]], [[0], [5], [3/2], [7/2]], [[0], [6], [-3], [-7]], [[0], [3], [21/2], [-15/2]]], [[[1], [0], [0], [0]], [[0], [1], [15/2], [3/2]], [[0], [6], [-3], [-7]], [[0], [9], [-9/2], [11/2]]], 1, 512, [], [] >,
< [ -1, -1, 1 ], [[-9, 3]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[9/2, -1], [2, 0], [2, 0], [-8/5, -3/10]], [[15, -15/2], [6, -5/2], [6, -5/2], [-9/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/2, -5], [-1/2, -1], [0, 0]], [[41, 0], [6289/11, -695/11], [-96/11, 2/11], [48/55, -1/55]], [[595/2, -17/2], [45764/11, -6194/11], [-697/11, 34/11], [697/110, -17/55]]], 4, 2, [], [] >,
< [ -1, -1, 1 ], [[18, -6]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[1, -1/2], [-1/2, 0], [-1/2, 0], [-3/10, 1/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[171/2, 4], [-19159/22, -251/22], [2081/22, 93/22], [20/11, 1/22]], [[-558, -93], [62279/11, 8083/11], [-6789/11, -1116/11], [-651/55, -93/55]]], 3, 4, [], [] >,
< [ -1, -1, 1 ], [[18, -6]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -3], [4, 6], [-1/2, -5/2], [0, 0]], [[27/2, 45/2], [-31, -45], [17/5, 127/10], [-14/5, -2/5]], [[0, 0], [-3/2, 1], [-11/5, 7/5], [-11/10, 7/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -2], [65, -8], [-1, -1], [0, 0]], [[-45/2, -271/2], [203444/11, -102275/11], [-10167/55, -587/110], [124/55, 2/55]], [[-932, -6250], [1765943/2, -448266], [-8730, -68], [213/2, -1/2]]], 3, 4, [], [] >,
< [ -1, -1, 1 ], [[6, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -9/2], [4, -73/2], [-5/2, -1], [0, 0]], [[-37/2, -13], [421/2, -491/2], [-21, 9/2], [1, -2]], [[25, 49/2], [-163, 290], [45/2, 0], [-1/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 5/2], [-475/2, 107], [-5/2, 5/2], [0, 0]], [[-102, -53], [-7819/22, 73221/22], [-1127/22, 79/11], [-45/11, -5/22]], [[549/2, 113], [38853/22, -190633/22], [1602/11, -669/22], [126/11, -4/11]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[18, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 2], [-6, 10], [18, -6], [0, 0]], [[-11/2, -3/2], [19, 51], [23, 81/2], [-5/2, 2]], [[17/2, 1], [-41/2, -135/2], [-31, -101/2], [4, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1], [-93/2, 13/2], [12, -3/2], [0, 0]], [[-311/2, 33], [-36969/11, -4604/11], [17703/22, 2727/22], [-27/11, -3/22]], [[-2750, 1279], [-578840/11, 174773/11], [137018/11, -39133/11], [-434/11, 147/11]]], 3, 6, [], [] >,
< [ -1, -1, 1 ], [[-12, 14]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -3/2], [-11, -23/2], [-3/2, 0], [0, 0]], [[2, -1/2], [29/2, -3], [9/2, -5/2], [0, 0]], [[1, -1/2], [29/19, -17/38], [-1/4, 0], [-3/380, 1/380]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 5/2], [-27, 17/2], [5/2, 0], [0, 0]], [[-9, 0], [415/11, -189/11], [-36/11, 9/11], [0, 0]], [[-3/2, 1/2], [4571/418, -768/209], [29/44, -5/22], [-3/380, 1/380]]], 3, 6, [], [] >,
< [ -1, -1, 1 ], [[-12, 14]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3153/2, 4], [-2198145/1502, -9019/1502], [4385/1502, 3/1502], [0, 0]], [[87108, 44135574], [-108830324/751, -61635160607/1502], [7686/751, 61267668/751], [89/1502, 2/751]], [[-12271598262, 11065718664], [8543158805330/751, -7713218570681/751], [-17095116654/751, 15392698398/751], [23043/751, -11917/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[691/2, 1], [-14965667/1502, -9515/1502], [961/1502, 1/1502], [0, 0]], [[-57596, -8316], [24656998143/16522, 1945517441/8261], [-907674/8261, -125362/8261], [-13397/16522, -3/16522]], [[-15996442, 7733418], [3398380209483/8261, -1631365079956/8261], [-252976556/8261, 122698534/8261], [-2010274/8261, 1039374/8261]]], 3, 4, [], [] >,
< [ -1, -1, 1 ], [[12, -3]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-30613/2, -3], [-10947987/1042, -801/521], [2, -3/2], [-15307/34386, -1/17193]], [[2486052, 2977123/2], [3556195861/2084, 532276854/521], [-179, 195], [1243018/17193, 2976701/68772]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 11/2], [47/2, 39], [3/2, 2], [0, 0]], [[-2709/2, 7], [154383627/22924, 143026/5731], [-25/2, 10], [-676/17193, -1/68772]], [[-43807, 73221/2], [2478029075/11462, -2082839213/11462], [-1345/2, 779/2], [-7254/5731, 6084/5731]]], 4, 2, [], [] >,
< [ -1, -1, 1 ], [[-18, 21]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1], [1, 11/2], [2, -3/2], [0, 0]], [[42083/2, 0], [-36322971/521, -3087/1042], [9, -11/2], [10519/17193, 1/17193]], [[2348201/2, 702777], [-8107388377/2084, -1213309201/521], [637/2, -190], [195662/5731, 468559/22924]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -3/2], [9/2, -7/2], [7/2, -5/2], [0, 0]], [[-1023/2, 0], [-6419441/2084, 5109/1042], [-25371/22, 24/11], [-211/11462, 1/22924]], [[21/2, -2], [131799/2084, -12683/1042], [521/22, -50/11], [13/34386, -5/68772]]], 3, 8, [], [] >,
< [ -1, -1, 1 ], [[-24, 6]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1199, 3/2], [6942473/1502, 1254/751], [3335/1502, -1/751], [0, 0]], [[-5757200, 0], [-16667878339/751, 29617713/1502], [-8006800/751, 14800/751], [-3/2, 0]], [[-437036600, 741128500], [-1267186851948/751, 2144885780961/751], [-609711900/751, 1029939400/751], [-85514/751, 145015/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-87/2, 1], [298179/1502, 10507/1502], [-121/1502, 3/1502], [0, 0]], [[-10117/2, 4051], [580201562/8261, -301130437/16522], [-181197/16522, 124007/16522], [-6549/16522, 1/16522]], [[-5956330, 2878930], [835262315287/16522, -877191499625/16522], [-97758396/8261, 55203024/8261], [-1638964/8261, 5536777/16522]]], 3, 6, [], [] >,
< [ -1, -1, 1 ], [[-12, 14]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43/2, 19/2], [1, -1/2], [0, 0]], [[1/2, 2], [-10, 2], [0, 0], [-1/2, 3/4]], [[-5/2, -5/2], [-7, 13], [0, 0], [-5/4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-101/2, -159/2], [2, -5/2], [0, 0]], [[-7/2, -1/2], [6888/11, 7342/11], [-2315/11, 1544/11], [-27/44, 1/11]], [[16, -40], [36857/11, 108120/11], [30700/11, -17696/11], [52/11, -68/11]]], 3, 4, [], [] >,
< [ -1, -1, 1 ], [[6, -7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -5], [-387/2, 109/2], [-2, -3/2], [0, 0]], [[1847/2, 941], [142840, -149051/2], [903, 18], [-1/2, 5/2]], [[-3862, -2819/2], [-2422129/2, 1427877/2], [-6292, 2442], [21/2, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1], [403/2, 89/2], [2, -1/2], [0, 0]], [[11, 91/2], [23299/22, 94905/22], [-126/11, 290/11], [19/22, -1/11]], [[-32, 83], [-31352/11, 85619/11], [-948/11, 842/11], [39/11, -18/11]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[-12, 14]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -1], [-175, -14], [-7, -1], [0, 0]], [[-203, 56], [17521/2, 747/2], [695/2, 37], [1, -1/2]], [[3/2, -15/2], [84, 989/2], [9/2, 21], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -1/2], [253/2, 84], [-11/2, -3/2], [0, 0]], [[-130, 141/2], [-6507/2, 2067/2], [191, -84], [1/2, 0]], [[-71/2, 51/2], [-14843/22, 17007/22], [1019/22, -901/22], [1/22, -3/22]]], 3, 6, [], [] >,
< [ -1, -1, 1 ], [[-16, 2]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [21/4, -7/4], [1/4, 0], [0, 0]], [[8, -2], [44/7, -64/7], [0, 0], [4/77, -1/77]], [[-9/2, 5/2], [-69/14, 27/7], [0, 0], [-9/308, 5/308]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1], [79/2, 11], [0, -1/2], [0, 0]], [[-9/2, -9], [-2053/308, 49197/308], [-101/44, -13/11], [-1/308, -5/308]], [[-2, -1/2], [20869/154, -18849/308], [75/44, -63/44], [-3/308, 1/308]]], 3, 6, [], [] >,
< [ -1, -1, 1 ], [[-16, 2]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-854, 1/2], [-4729823/1502, -24039/1502], [2371/1502, 3/1502], [0, 0]], [[963236, 2900015], [2712903599/751, 16182940771/1502], [-1344595/751, -4035659/751], [211/1502, -1/1502]], [[-682016064, -406200744], [-1895054796322/751, -2283864134205/1502], [947801736/751, 566675112/751], [65895/1502, -71369/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3483/2, 5/2], [-9787299/1502, -2756/751], [4835/1502, 1/751], [0, 0]], [[-1269921161, 44898353/2], [-78504614835085/16522, 616730464209/8261], [38781642887/16522, -615043679/16522], [21661/16522, -3/16522]], [[137163709287257, -66548771223821], [4235659670365890856/8261, -2052676268606900394/8261], [-2092582229568283/8261, 1014190493768598/8261], [-1160030727/8261, 556982973/8261]]], 3, 4, [], [] >,
< [ -1, -1, 1 ], [[6, -9]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5727/2, -1], [-426, -9/4], [1, -2], [1/12, 0]], [[69580, -52137/2], [-21526709/2084, 4003075/1042], [85/2, -79/2], [46413/22924, -17381/22924]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 5/2], [-10, 71/2], [0, 5/2], [0, 0]], [[3351/2, 13/2], [-158023735/22924, 98921/11462], [3, 2], [3347/68772, 1/22924]], [[-371863/2, 104983/2], [17561670089/22924, -1253783128/5731], [-270, -64], [-371735/68772, 35217/22924]]], 4, 2, [], [] >,
< [ -1, -1, 1 ], [[-24, 3]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 3], [-12, 13], [1, 2], [0, 0]], [[9556, 26], [19047827/521, 324101/2084], [15/2, 35/2], [6359/22924, 1/34386]], [[-1042060, 1079021/2], [-2075469584/521, 2147724269/1042], [343/2, -496], [-173594/5731, 179945/11462]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1/2], [223, 15/2], [-1, 1/2], [0, 0]], [[1563/2, 0], [391803/11, 2753/44], [0, 0], [1/44, 0]], [[3080, -1177], [146175031/1042, -55738431/1042], [0, 0], [140/1563, -107/3126]]], 3, 8, [], [] >,
< [ -1, -1, 1 ], [[-12, 18]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-617, 3/2], [1688757/1502, -10011/1502], [1713/1502, -1/1502], [0, 0]], [[1641024, -469980], [-4501506755/1502, 1297588047/1502], [-2276820/751, 649404/751], [2675/1502, -1/751]], [[2074675491, -2481067953], [-2853159761349/751, 3398402664651/751], [-2873634183/751, 3445200738/751], [995400/751, -2433900/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-228, 3/2], [-4761315/1502, 33051/1502], [633/1502, -3/1502], [0, 0]], [[2690059, -162227/2], [310850340511/8261, -18851118571/16522], [-82297071/16522, 2329265/16522], [8109/8261, 5/16522]], [[-23086350499, 103442204791/2], [-5337550665576325/16522, 11952070314688193/16522], [703301223699/16522, -1584069152403/16522], [-64756731/8261, 158771182/8261]]], 3, 6, [], [] >,
< [ -1, -1, 1 ], [[-11, 0]], [ -11, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [-1, 0], [0, 0]], [[1/2, 2], [1/2, 2], [0, 5/2], [0, 5/2]], [[-1, 1], [-1, 1], [-5/2, 2], [-5/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [3/2, 0], [1, 0], [0, 0]], [[-3/2, -3/2], [1315/38, 41/38], [119/19, 17/38], [-7/19, -1/38]], [[-3/2, -5/2], [1707/38, 297/38], [153/19, 34/19], [-9/19, -2/19]]], 4, 4, [], [] >,
< [ -1, -1, 1 ], [[22, 0]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[854, -1/2], [8328615/1502, -13511/1502], [-2371/1502, -3/1502], [0, 0]], [[19875670, -45198832], [194260353259/1502, -220272063648/751], [-27474712/751, 62808978/751], [2101/751, 5/1502]], [[-890099354166, 767786208041], [-4343837886367470/751, 3744359403151311/751], [1233639755891/751, -1065507041635/751], [-47208840/751, 20572920/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2325, 5/2], [83025011/1502, 68079/1502], [6455/1502, 5/1502], [0, 0]], [[-841343384, -1019230], [285379144541047/14269, 1775897277979/28538], [1167934310/751, 3580326/751], [-42689/28538, 3/28538]], [[-233625798014718, 101694877469796], [79178968851218781994/14269, -34409350977702155477/14269], [324052020695316/751, -140831112887262/751], [-5930292458/14269, 2584241637/14269]]], 3, 6, [], [] >,
< [ -1, -1, 1 ], [[-11, 22]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1], [91/2, -135/4], [-5/4, 3/4], [0, 0]], [[-29, -1], [-164/7, -323/7], [0, 0], [-29/154, -1/154]], [[-1197/2, 819/2], [335/2, 24], [0, 0], [-171/44, 117/44]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [-6879/4, -11/4], [1/4, 0], [0, 0]], [[1045/2, 0], [-307/7, -271/14], [-55, 0], [5/28, 0]], [[-11455, 32683/2], [94687/266, -412967/266], [22910/19, -32683/19], [-11455/2926, 4669/836]]], 3, 8, [], [] >,
< [ -1, -1, 1 ], [[-16, 2]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/2, -31], [-1/2, 3/2], [0, 0]], [[7/2, 6], [-28, -40], [1, 1], [1/2, 5/4]], [[-1, 1/2], [10, -6], [0, 0], [-5/4, 3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 89/2], [1/2, 1], [0, 0]], [[2, 1], [1032/11, -943/11], [-9/11, -3/11], [3/22, 1/22]], [[0, -5/2], [2313/22, -379/11], [-3/22, 21/22], [1/44, -7/44]]], 3, 4, [], [] >,
< [ -1, -1, 1 ], [[8, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, -5/2], [-172, -71/2], [-33/2, -2], [0, 0]], [[-1475/2, 561], [8668, -19585/2], [912, -945], [1/2, -1/2]], [[55, -22], [-900, 52], [-88, 11], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1], [-97, 10], [5, 0], [0, 0]], [[29/2, -5/2], [10027/22, 661/11], [-100/11, -37/11], [-10/11, -3/22]], [[-51/2, 9], [-16459/22, 2287/22], [160/11, 15/22], [16/11, -2/11]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[-16, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [-432, 163/2], [-5/2, 1], [0, 0]], [[5529/2, 5633/2], [562777, 479063/2], [5425/2, 50], [2, 2]], [[20313/2, -2377/2], [3487855, -1495123], [21510, -22705/2], [15/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -7/2], [104, 69/2], [-3/2, -1], [0, 0]], [[-3/2, -5/2], [-2023/22, 101/11], [13/11, -3/11], [-2/11, -5/22]], [[3/2, -1], [-579/2, 363/2], [4, -5/2], [0, 0]]], 3, 6, [], [] >,
< [ -1, -1, 1 ], [[22, 0]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2375/2, 4], [-26460931/1502, -16033/1502], [3303/1502, 5/1502], [0, 0]], [[51554475/2, -20643612], [-287831441903/751, 460318537947/1502], [71805291/1502, -57446415/1502], [541/1502, -1/1502]], [[37386457849/2, -21611821407/2], [-208602922865961/751, 241272937833071/1502], [26025302722/751, -30097095161/1502], [117200/751, -98860/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[778, 0], [133499491/751, -249077/751], [1082/751, -2/751], [0, 0]], [[396541635/2, 383145/2], [1292748602486541/28538, -582639133434/14269], [5239168685/14269, -9262787/28538], [18670/14269, -1/28538]], [[72202229234415, -121892256308655/2], [471509140676301558395/28538, -198756718271111690857/14269], [3821747993230531/28538, -1611011781326647/14269], [6804560224/14269, -5739996416/14269]]], 3, 6, [], [] >,
< [ -1, -1, 1 ], [[-11, 22]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [15/2, 9/2], [1, -1/2], [0, 0]], [[-9/2, 2], [2197/38, -149/19], [5/4, 1/4], [7/190, -3/380]], [[5, 0], [-1676/19, -1039/19], [-5/2, -5/2], [-1/19, -1/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 5], [-2405/2, 45/2], [2, 3/2], [0, 0]], [[24195/2, 24435/2], [-7879848977/722, 3423348923/722], [230985/19, 823/76], [389/7220, 1/3610]], [[-13890930, -23812531/2], [5532518835705/361, -5333346710563/722], [-1226132239/76, 40698793/19], [-515937/7220, 66639/7220]]], 3, 8, [], [] >,
< [ -1, -1, 1 ], [[10, -2]], [ -238, -36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 2], [-99/58, 59/29], [-3/2, 2], [0, 0]], [[-1/2, 0], [-11/58, -3/58], [-1/2, 0], [9/29, -3/58]], [[0, 0], [3/29, -1/58], [0, 0], [3/29, -1/58]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -2], [811/29, 295/29], [-2, -2], [0, 0]], [[-1066, 17/2], [15650919/638, -6133451/638], [-11129/11, 191/22], [-597/638, -1/319]], [[-876645/2, 133749], [7175555553/638, -1844155639/319], [-9153807/22, 1398275/11], [-4218/11, 1258/11]]], 4, 3, [], [] >,
< [ -1, -1, 1 ], [[-16, 7]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[629/2, -3], [1341/2, -3/2], [16007/7, 1/2], [1/14, 0]], [[-48773/2, 16346], [-285488289/5518, 191612573/5518], [-1233111/7, 828003/7], [-531432/96565, 356829/96565]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[-103045/2, 2], [-12646059375/60698, 82501/60698], [33827345/154, 118/77], [580023/2124430, -1/2124430]], [[-73164004, 107528915/2], [-17957482302479/60698, 6598094033610/30349], [24017280984/77, -2521337838/11], [411816666/1062215, -43232436/151745]]], 4, 2, [], [] >,
< [ -1, -1, 1 ], [[-14, 18]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 1/2], [1/2, 0], [1, 0], [0, 0]], [[-7/2, 3], [-41157/5518, 35239/5518], [-355/14, 152/7], [-153/193130, 131/193130]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [-1/2, 0], [1, 0], [0, 0]], [[0, 0], [-52281703400/30349, -410115/30349], [-49745863/154, -283/77], [-687851/2124430, -3/2124430]], [[0, 0], [-131529584962521/30349, 86975464381668/30349], [-62574830200/77, 41378354400/77], [-173049000/212443, 114430600/212443]]], 3, 6, [], [] >,
< [ -1, -1, 1 ], [[15, -3]], [ -960, -36 ], [ -36, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 0], [2, -1/2], [-2, 2], [0, 0]], [[3531, 31/2], [-9036649/698, 3616/349], [164973/29, 1171/116], [-18955/80968, -5/242904]], [[-2172827/2, 654857], [2789107723/698, -3363352639/1396], [-101677847/58, 61297273/58], [730902/10121, -1322014/30363]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [91/4, 4], [2, -1/2], [0, 0]], [[129020, -37/2], [1772636539/3839, -1409037/15356], [41876449/1276, 5855/1276], [86011/890648, 1/667986]], [[58649971/2, -59262213/2], [1611701972021/15356, -814217200541/7678], [2378846003/319, -4808747485/638], [14659741/667986, -2469196/111331]]], 4, 4, [], [] >,
< [ -1, -1, 1 ], [[21, -8]], [ -2575, -74 ], [ -136, 34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[72927/2, -1/2], [-776533767/32611, -35634/32611], [1086393/34, -71/68], [128443/12196514, 1/24393028]], [[18304633/2, -2023811], [-389813876537/65222, 43090423339/32611], [272685131/34, -30150712/17], [16119495/6098257, -3564225/6098257]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 2], [37/2, 8], [5/2, 2], [0, 0]], [[25, -31/2], [-28287773700/358721, -124022201/717442], [-321927/34, -263/17], [28609/12196514, 1/12196514]], [[2353, -1459], [-2684872643967/358721, -83934644273/717442], [-61109547/68, -460321/34], [319445/1434884, 18254/6098257]]], 4, 4, [], [] >,
< [ -1, -1, 1 ], [[13, -14]], [ -7819, -36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[2, 5/2], [79920457213/293861, 1933615/587722], [-1721261/2, -5/2], [-1721261/587722, -5/587722]], [[-410, -6572], [423864771930260/293861, -352201313745679/293861], [-4564460085, 7585436077/2], [-4564460085/293861, 7585436077/587722]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13, -1/2], [-823/11, 115/22], [-46/11, 3/11], [0, 0]], [[-298501/2, 2494], [414339/2, -14306], [-292325/2, -800], [-1/2, 0]], [[-41121413/2, -43033721/2], [15823730794511/587722, 15709895430163/587722], [-41236841/2, -22009538], [-41213865/587722, -21892570/293861]]], 4, 4, [], [] >,
< [ -1, -1, 1 ], [[-10, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 9/2], [-120, 13/2], [5/2, 1], [0, 0]], [[89, 72], [-6451, 5389/2], [221/2, -39/2], [5/2, -2]], [[0, -1/2], [11/2, -1/2], [0, 0], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -3/2], [969, 7/2], [-3/2, 0], [0, 0]], [[-584, -1159/2], [8409227/22, -20188/11], [-12989/22, 137/22], [-3/11, -2/11]], [[-22335/2, -790], [153722471/11, -147833153/22], [-238094/11, 114881/11], [-149/22, 29/22]]], 3, 3, [], [] >,
< [ -1, -1, 1 ], [[-14, 18]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-75/2, 7/2], [1, 5/2], [0, 0]], [[0, -5/2], [-136, 52], [0, 4], [5/4, -5/4]], [[1/2, 1/2], [-14, 21], [-1, -1], [1/4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1093/2, 585/2], [-1, -3/2], [0, 0]], [[-1/2, -1], [120759/22, -77267/22], [3/11, 15/22], [-1/22, -5/44]], [[0, 0], [-281, 174], [0, 0], [0, 0]]], 3, 4, [], [] >,
< [ -1, -1, 1 ], [[-30, 6]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 0], [-21, 40], [5/2, -5/2], [0, 0]], [[-11/2, -16], [519/2, 217], [-139/10, -57/10], [-17/10, -1/10]], [[160, 25], [1909, -7179/2], [-1032/5, 1094/5], [-357/10, 147/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -3/2], [-989, 199], [0, -3/2], [0, 0]], [[-9, 460], [-7845555/22, 3334781/11], [24512/55, -34/55], [117/110, 1/110]], [[38124, 14923/2], [522538789/11, -260797986/11], [-3133883/110, 2000308/55], [-3692/55, 4784/55]]], 3, 8, [], [] >,
< [ -1, -1, 1 ], [[-8, 13]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 7], [2381/2, -701/2], [2, 5/2], [0, 0]], [[-6287/2, -3188], [-13940283/2, 8211095/2], [-3100, -85/2], [-2, -1]], [[-1639/2, 16429/2], [-68880277/2, 43177993/2], [-19725/2, 18075/2], [-7/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -13/2], [1241/2, 400], [-3/2, -5/2], [0, 0]], [[11, 0], [-14697, 8181], [-1, 0], [1, 0]], [[34, -105/2], [-929910/11, 1241357/22], [-34/11, 105/22], [34/11, -105/22]]], 3, 4, [], [] >,
< [ -1, -1, 1 ], [[-6, 8]], [ -274, 36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [-5/2, 1/2], [-1/2, 1/2], [0, 0]], [[0, 0], [-16/29, -105/58], [0, 0], [-17/29, -1/58]], [[0, 0], [1117/29, 1949/58], [0, 0], [-247/29, 893/58]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, 0], [-2393/29, -3/29], [-1, 0], [0, 0]], [[23190, 335], [55485688/319, 1744119/638], [23190/11, 335/11], [-80/29, -3/58]], [[-1235850, 4107565/2], [-268250214/29, 446941641/29], [-112350, 373415/2], [4233/29, -14193/58]]], 4, 3, [], [] >,
< [ -1, -1, 1 ], [[13, -11]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1], [41/22, 5/11], [-3/11, -1/11], [0, 0]], [[-47/2, 3/2], [955/22, -63/22], [-46/11, 3/11], [-1/3, 0]], [[-160, 315/2], [9784/33, -6407/22], [-1883/66, 617/22], [-703/330, 247/110]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[59/2, 5/2], [2021/66, 197/66], [8/33, -1/33], [0, 0]], [[-29307/2, -4285/2], [-1004933/66, -53305/22], [-7873/66, 98/11], [-1/330, 1/165]], [[272, -34], [845/3, -97/3], [7/3, -2/3], [0, 0]]], 4, 2, [], [] >,
< [ -1, -1, 1 ], [[22, -4]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-343/2, -2], [-2061/22, -2/33], [-107/22, -4/33], [-353/330, -2/165]], [[-1112, 1669], [-6792/11, 29981/33], [-340/11, 3137/66], [-229/33, 229/22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 3/2], [-158/11, -175/22], [3/11, 1/11], [0, 0]], [[67/2, -7], [-2657/66, 1367/33], [65/66, -38/33], [5/66, 0]], [[-47, 91/2], [3371/33, -85/2], [-89/33, 1], [-14/165, 6/55]]], 3, 6, [], [] >,
< [ -1, -1, 1 ], [[-9, 12]], [ -996, 36 ], [ -30, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -5/2], [1/4, 0], [-3/2, -1/2], [0, 0]], [[28297, -2], [-393583/698, -1939/1396], [285207/116, -337/116], [-32291/121452, -5/242904]], [[26295081/2, -10221108], [-365017841/1396, 284124555/1396], [66314609/58, -25762966/29], [-3750383/30363, 11663279/121452]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [-16, -5/4], [-5/2, 0], [0, 0]], [[-4, -5], [-2223850529/7678, -44765/15356], [9705951/1276, -1909/1276], [-25929/445324, 1/890648]], [[0, 0], [-12949911/15356, 2715765/3839], [14137/638, -23717/1276], [-151/890648, 95/667986]]], 4, 4, [], [] >,
< [ -1, -1, 1 ], [[-16, 15]], [ -7855, 36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-5/2, -3/2], [-779652865/587722, -974445/587722], [4190, 1/2], [4190/293861, 1/587722]], [[-119/2, 56], [-32383818607/587722, 11532365698/293861], [174177, -124011], [174177/293861, -124011/293861]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -3/2], [1460/11, 51/22], [69/11, 2/11], [0, 0]], [[1469305/2, 0], [-21269429/22, 420/11], [16162371/22, 20/11], [5/2, 0]], [[-321961239, 212498091], [1369622042421366/3232471, -903961001643669/3232471], [-3541571350/11, 2337478335/11], [-321961239/293861, 212498091/293861]]], 4, 4, [], [] >,
< [ -1, -1, 1 ], [[-18, 5]], [ -2649, 74 ], [ -102, -34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[109388, 7/2], [8115693241/65222, 210139/65222], [-645965/17, 97/68], [152751/12196514, 3/24393028]], [[-141127011/2, 46737612], [-5235255052741/65222, 3467558617011/65222], [98050661/4, -1104030855/68], [-17915883/2217548, 11866513/2217548]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1], [-39/2, 8], [5/2, -1], [0, 0]], [[-143047/2, -5], [-3177806/11, 301/22], [6904087/748, -555/374], [-5/748, 0]], [[-78933255/2, 39725361/2], [-114374282614947/717442, 57565310717331/717442], [1905056843/374, -958879923/374], [-22494206/6098257, 11321219/6098257]]], 4, 4, [], [] >,
< [ -1, -1, 1 ], [[6, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -3/2], [-203/2, -19], [-5/2, 1/2], [0, 0]], [[2115/2, 2045/2], [96237/2, 20208], [1092, -36], [1, 3/2]], [[147, -102], [12575, -8105], [396, -249], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1/2], [2537/2, -88], [-3/2, 1/2], [0, 0]], [[-1755/2, -1691/2], [18229671/22, 3726957/11], [-9386/11, -2/11], [-34/11, -5/22]], [[736, 13215/2], [25182671/11, -126392149/22], [-50840/11, 121901/22], [-168/11, 447/22]]], 3, 3, [], [] >,
< [ -1, -1, 1 ], [[22, -4]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 16], [0, 1], [0, 0]], [[3/2, 3/2], [-17/2, -13/2], [9, -11/2], [3/4, 0]], [[3/2, 5/2], [-7, -14], [0, 0], [1/4, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17631/22, 2437/22], [-34/11, -5/22], [0, 0]], [[-1/2, -2], [19306212/11, 6053778/11], [-73698/11, -17892/11], [1/2, -3/4]], [[0, 3/2], [-35586019/22, 572923/22], [69225/11, -10011/22], [-3/4, 3/4]]], 3, 4, [], [] >,
< [ -1, -1, 1 ], [[18, -24]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 7/2], [-49, 3], [5/2, 1], [0, 0]], [[-66, -108], [983/2, 1427/2], [-204/5, -327/5], [3/5, 3/10]], [[3, 9], [-144, 31/2], [23/5, 19/5], [-7/10, 2/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 2], [1625, -48], [5/2, -1/2], [0, 0]], [[-42, -16961], [-126708834/11, -55033391/22], [-932363/55, -2334/55], [-303/110, -2/55]], [[757267, -6281275/2], [-27961933896/11, 631263112/11], [-85921083/22, 8345489/11], [-6966/11, 1296/11]]], 3, 8, [], [] >,
< [ -1, -1, 1 ], [[-18, 5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -11/2], [249, 163/2], [-3/2, -2], [0, 0]], [[747/2, 731/2], [-441461/2, 236205/2], [767/2, -15/2], [-1/2, -5/2]], [[12503/2, -17865/2], [-16880820, 21177221/2], [43053/2, -15255], [71, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [-667, -141/2], [-3/2, 1], [0, 0]], [[-13/2, 1], [-443/11, 24605/22], [-74/11, -10/11], [37/22, 5/22]], [[150, -60], [94701/11, -188983/11], [1560/11, -360/11], [-390/11, 90/11]]], 3, 4, [], [] >,
< [ -1, -1, 1 ], [[-12, 2]], [ -938, -8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[4958, -3/2], [64883503/15298, -5987/7649], [3/2, 1/2], [2479/7649, -3/30596]], [[1911257/2, -696277/2], [12505417729/15298, -4555020969/15298], [254, -44], [1911257/30596, -696277/30596]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, -21/2], [3/2, -3/2], [0, 0]], [[84139/2, 0], [381331/2, -77/2], [-11468, -11/2], [1/4, 0]], [[-19131, 183657/2], [-14604622261/168278, 70022917871/168278], [114467/22, -275458/11], [-19131/168278, 183657/336556]]], 4, 3, [], [] >,
< [ -1, -1, 1 ], [[12, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1], [-255/2, -1/2], [2, -1/2], [0, 0]], [[-119/2, -56], [4251, 2421/2], [-62, 3], [1/2, -1/2]], [[-5, -11], [72, 539], [1, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [-1797, 19/2], [1/2, 0], [0, 0]], [[2, 1], [-3035/11, -13621/11], [-12/11, -8/11], [-3/11, -2/11]], [[-121/2, 16], [-131754/11, 459457/22], [326/11, -54/11], [163/22, -27/22]]], 3, 3, [], [] >,
< [ -1, -1, 1 ], [[16, -22]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -45/2], [-1/2, 1], [0, 0]], [[0, 5/2], [-99, 53/2], [5/2, 1], [-5/4, 5/4]], [[-5/2, -3/2], [-66, 81], [0, -3], [-7/4, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3885/22, 2544/11], [-13/22, -5/22], [0, 0]], [[-3/2, -3], [-1276137/11, 2309711/22], [-5675/22, -51/11], [0, -3/4]], [[-37/2, -29/2], [39892869/11, -22235558/11], [49395/11, -42453/11], [-45/4, 2]]], 3, 6, [], [] >,
< [ -1, -1, 1 ], [[-8, 11]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1], [-301/2, 17/2], [2, -1/2], [0, 0]], [[41/2, 33/2], [-3499/2, -270], [23, -5], [1, 5/2]], [[1487/2, -273], [-210535/2, 112839/2], [1698, -1981/2], [-26, 36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -5/2], [-607, 603/2], [-1/2, -1], [0, 0]], [[9, 1/2], [337057/11, -458637/22], [-9/11, -1/22], [9/11, 1/22]], [[1265/2, -869], [8611543/2, -2510515], [-115/2, 79], [115/2, -79]]], 3, 4, [], [] >,
< [ -1, -1, 1 ], [[8, -10]], [ -946, 8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-6517, 3/2], [-85247745/15298, 5987/7649], [1/2, -1/2], [-6517/15298, 3/30596]], [[81/2, 17/2], [529821/15298, 111197/15298], [0, 0], [81/30596, 17/30596]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 1/2], [0, 1/2], [0, 0]], [[-398217/2, -2], [-149028572734/84139, -3600463/84139], [1991085/22, 10/11], [-398217/336556, -1/84139]], [[5654160, -52206744], [4231469669729/84139, -39076154292388/84139], [-28270800/11, 261033720/11], [2827080/84139, -26103372/84139]]], 4, 3, [], [] >,
< [ -1, -1, 1 ], [[-8, 10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 11/2], [117/2, 12], [1/2, 5/2], [0, 0]], [[78, 163/2], [-4217/2, 4173/2], [73, 3], [1/2, 2]], [[-2015/2, 101], [93801, -122245/2], [-2080, 1092], [33/2, -39/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -6], [-7355/2, 1129/2], [-1, -5/2], [0, 0]], [[2473/2, 1239], [-69013085/11, 47283439/11], [26709/22, 239/22], [9/11, 1/22]], [[-12159/2, -106145/2], [-4093657155/11, 4797279671/22], [878507/22, -509013/11], [280/11, -345/11]]], 3, 3, [], [] >,
< [ -1, -1, 1 ], [[-28, 6]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [53/2, 19], [-3/2, -1/2], [0, 0]], [[-3/2, -3/2], [193, 62], [-10, 0], [-3/4, 0]], [[-1, -1/2], [159, -22], [-9, 3], [-3/4, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-372, -307], [-2, -2], [0, 0]], [[7, 5/2], [56006/11, -2637/22], [223/22, 1/11], [51/44, 1/44]], [[11, -33], [32595/2, -43363/2], [31, -87/2], [7/2, -5]]], 3, 6, [], [] >,
< [ -1, -1, 1 ], [[14, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [23/2, 13], [5/2, -5/2], [0, 0]], [[-137/2, 75/2], [-105, -402], [97, -73/2], [5/2, 0]], [[707/2, -204], [82, 2691/2], [-484, 229], [-23/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, 5/2], [6174, 591/2], [29/2, 1], [0, 0]], [[58303/2, -9728], [-41410195/2, 425937], [-97105/2, 38], [1/2, 0]], [[447719/2, -199289/2], [-3278044391/22, 754983181/22], [-7654271/22, 1651545/22], [79/22, -17/22]]], 3, 4, [], [] >,
< [ -1, -1, 1 ], [[-14, 4]], [ -1490, 36 ], [ -96, -105 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[15549, 1/2], [355209345/34922, 20829/34922], [24337/1838, 19/5514], [12961/17461, 2/52383]], [[15406529, -10114801/2], [351951603975/34922, -57763797236/17461], [72336605/5514, -7912053/1838], [77052965/104766, -8430945/34922]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3805/2, -5/2], [-27458265/1838, 5374/919], [-5799/1838, -1/919], [0, 0]], [[190174257, -189868104], [-286546772389412/192071, 572725605793207/384142], [-9548829406/30327, 9549138397/30327], [-16289/1152426, 5/1152426]], [[1829832647877/2, -687499665957], [-1378889490745400886/192071, 2073137745947959003/384142], [-45957535451428/30327, 23038692158441/20218], [-29477995/576213, 3243127/192071]]], 4, 2, [], [] >,
< [ -1, -1, 1 ], [[-21, 6]], [ -3315, -36 ], [ -618, 249 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [1461405/1942, 3973/1942], [6898/971, 5/971], [0, 0]], [[952171, 15/2], [-51207273210/39811, 165187275155/79622], [-447380525/36898, 722169269/36898], [1894247/4538454, 1/4538454]], [[9709848863/2, -6288251972], [-1613110777677921/79622, 213853338228174/39811], [-7050408998729/36898, 933747846251/18449], [9658468463/4538454, -6254907197/2269227]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [8365185/1942, -2489/1942], [39463/971, 2/971], [0, 0]], [[12423541/2, -1/2], [-18451563129033/79622, 13764005740585/79622], [-439250816753/202939, 661913769479/405878], [2081737/8320499, 1/16640998]], [[222604368015, -578404641099/2], [-651020557947773595/39811, 711484749523899835/79622], [-31149354451486190/202939, 33803984703212161/405878], [223802645090/24961497, -193839490893/16640998]]], 4, 4, [], [] >,
< [ -1, -1, 1 ], [[-7, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 13/2], [63, 69/2], [5/2, 2], [0, 0]], [[87/2, 89/2], [2655/2, -252], [44, 0], [1, -1/2]], [[-8, -20], [183, -311], [4, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1], [1640, -331], [1, -1], [0, 0]], [[2483/2, 2479/2], [9000325/22, -17815584/11], [13627/11, 17/11], [-5/11, -3/22]], [[-23975/2, -6287/2], [-201769254/11, 407509055/22], [-456017/22, 96543/11], [73/11, -21/11]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[14, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 3/2], [-311, -15/2], [3/2, 0], [0, 0]], [[267/2, 279/2], [-52205/2, -2321], [126, 8], [-2, -1/2]], [[-58, -16], [40137/2, -8091], [-98, 81/2], [3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -7/2], [2651/2, 122], [-5/2, -1/2], [0, 0]], [[-545, -1007/2], [3425534/11, -916807/22], [-6199/11, 619/22], [-13/11, 1/22]], [[-975, -1217/2], [7939852/11, -5031547/22], [-14104/11, 7283/22], [-30/11, 15/22]]], 3, 4, [], [] >,
< [ -1, -1, 1 ], [[6, -10]], [ -1454, -36 ], [ -96, 9 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-37545/2, -7/2], [207174217/17461, -32190/17461], [-73175/5514, 2/2757], [-63095/104766, 1/104766]], [[94846689, -63799423/2], [-2093706046295/34922, 704568385385/34922], [369741349/5514, -124403881/5514], [318804589/104766, -107258791/104766]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[634, -2], [6696, -9], [-2, 0], [0, 0]], [[-107983, -1507], [-1325889612701/384142, -6143070611/384142], [2534306/30327, 145108/30327], [694477/1152426, 1/576213]], [[3817532189, -2512049883/2], [47022130841412245/384142, -15713556073712305/384142], [-176565996479/60654, 17928570829/20218], [-24667802213/1152426, 2768745055/384142]]], 4, 2, [], [] >,
< [ -1, -1, 1 ], [[9, -15]], [ -3351, 36 ], [ -489, 120 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1], [-9824/971, -416/971], [-106/971, 5/971], [0, 0]], [[-191/2, -5], [5744433889/79622, 41809180/39811], [29025289/18449, 350791/36898], [565694/756409, 1/1512818]], [[-3892320, 6778647/2], [120955463774090/39811, -205345668327013/79622], [1231177462247/18449, -1039241373902/18449], [72353367511/2269227, -60833094391/2269227]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -2], [2084323034/10681, 62782/10681], [-74315/10681, -3/10681], [0, 0]], [[61077, -79], [-23105515806144/10681, 5808474622121/10681], [1628702469/21362, -207090540/10681], [-1/2, 0]], [[869932903, -1465402533/2], [-16334487958839745379/437921, 23787599905404283175/875842], [267331526635111/202939, -194362050344947/202939], [-16142943947/2269227, 13607945429/2269227]]], 4, 4, [], [] >,
< [ -1, -1, 1 ], [[3, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -5/2], [6, 7/2], [-1/2, -1], [0, 0]], [[1/2, 3/2], [47/2, -15], [0, 0], [1, 1/2]], [[-1/2, 1/2], [117/2, -36], [0, 0], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -2], [-422, -224], [0, -1], [0, 0]], [[973/2, 957/2], [-1041276/11, 4481419/22], [10715/22, -29/11], [-7/11, -1/11]], [[-1903/2, -10469/2], [-26351802/11, 4351062/11], [35592/11, -93047/22], [-75/22, 63/11]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[-6, 10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 5/2], [-527/2, -29], [3/2, 1/2], [0, 0]], [[1078, 2105/2], [-412767/2, 79677/2], [1104, -28], [5/2, 2]], [[13070, -31516], [-12191074, 8730640], [57782, -44634], [48, -78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -5/2], [-4529, 2129/2], [3/2, -2], [0, 0]], [[36081/2, 35991/2], [-184491794/11, 311972703/11], [198750/11, -859/22], [17/22, 2/11]], [[-44597/2, -178534], [-8116708999/22, 1202017816/11], [2942667/22, -1717026/11], [91/22, -76/11]]], 3, 4, [], [] >,
< [ -1, -1, 1 ], [[21, -17]], [ -4068, 101 ], [ -16, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[9146059/2, -3/2], [-536098063827/157342, 128745/78671], [83280697/38, -20/19], [1041008/1494749, -1/2989498]], [[7938780660, -2745343936], [-465333228783588/78671, 321837852269257/157342], [72287661988/19, -49996227307/38], [9035951564/7473745, -3124762068/7473745]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15/2, -7/2], [-1/2, 1/2], [0, 0]], [[171269153/2, -5/2], [-709633268518517/865381, -4404152/865381], [-8674781388/209, 126/209], [-103271207/82211195, 3/164422390]], [[-5680873340409/2, 3059178550525/2], [23538019363850975504/865381, -12675340362844309811/865381], [287736192235884/209, -154947369997518/209], [3425430859951/82211195, -3689223095179/164422390]]], 4, 4, [], [] >,
< [ -1, -1, 1 ], [[-5, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 6], [-41/2, -109/2], [1, 5/2], [0, 0]], [[-3/2, 9/2], [289/2, -154], [-5, 5], [1, -3/2]], [[9, -8], [-550, 381], [19, -13], [-4, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 4], [-1195/2, -559/2], [-1, 5/2], [0, 0]], [[-6347, -12739/2], [-1641281/11, 31778595/22], [-68965/11, -1053/22], [-27/11, -3/22]], [[-9175, -94217], [233342375/11, 150628/11], [823507/11, -927727/11], [305/11, -365/11]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[-22, 9]], [ -502, 19 ], [ -14, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[9632, 4], [-19766313/1181, 106/1181], [-112773/2, -3/4], [122403/193684, 3/193684]], [[7904755/2, -2728859], [-8113229276/1181, 11202171807/2362], [-46287915/2, 15977840], [12560045/48421, -17342145/96842]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [-5/2, 0], [1, 0], [0, 0]], [[-554795/2, -4], [-44835628026/12991, 83205/25982], [-2259547/11, -9/22], [-733935/1065262, 1/1065262]], [[317105735, -469840833/2], [102508468416193/25982, -75940561575429/25982], [2583015021/11, -7654229477/44], [1678008769/2130524, -1243106141/2130524]]], 4, 4, [], [] >,
< [ -1, -1, 1 ], [[7, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -6], [-71, -66], [-2, -2], [0, 0]], [[1/2, -4], [227, -28], [9/2, -5/2], [-2, -3/2]], [[20, 19/2], [1087/2, -1997/2], [20, -14], [7/2, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -7/2], [-4, -403/2], [-3/2, -1], [0, 0]], [[-3847/2, -3855/2], [2885961/22, -2279735/11], [-21036/11, -87/11], [-5/11, -3/22]], [[-191443/2, -97617/2], [163252832/11, -297964263/22], [-3124173/22, 511974/11], [-335/11, 48/11]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[14, 0]], [ -42, 0 ], [ -7, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5/2, -3/2], [-427/6, -55/6], [753/62, -77/62], [227/186, 2/93]], [[-253/2, 407/2], [-6623, 12561/2], [85757/62, -68983/62], [3900/31, -3400/31]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [51/2, -6], [-1, -3/2], [0, 0]], [[1795/2, 5/2], [587449/66, 383/33], [-48465/682, -135/682], [1795/2046, 5/2046]], [[-16099/2, 8523], [-2638495/33, 5578211/66], [434673/682, -230121/341], [-16099/2046, 2841/341]]], 4, 4, [], [] >,
< [ -1, -1, 1 ], [[7, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 9/2], [20, -41/2], [5/2, 1], [0, 0]], [[45, 101/2], [709/2, -319], [75/2, 15/2], [-2, 0]], [[-1/2, 0], [5, -7/2], [0, 0], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [157, 181/2], [-5/2, 2], [0, 0]], [[-117/2, -84], [-16135/2, -14485], [-89/2, -20], [1/2, 0]], [[76, 193/2], [97864/11, 389231/22], [868/11, 171/22], [-10/11, 5/22]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[21, -7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -13/2], [-473/2, -127], [-3/2, -5/2], [0, 0]], [[-5/2, -5/2], [-2523/2, 778], [0, 0], [0, -5/2]], [[3, -5], [8106, -5011], [0, 0], [-8, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -2], [6809/2, -473/2], [1, -3/2], [0, 0]], [[2023/2, 1079], [7376855/11, -39629151/22], [10793/11, 456/11], [65/22, 3/22]], [[-37302, -34875/2], [-930722895/11, 937696109/11], [-1322217/22, 239259/11], [-3975/22, 1431/22]]], 3, 6, [], [] >,
< [ -1, -1, 1 ], [[-22, 8]], [ -6218, -68 ], [ -7, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3/2, -3], [-6993948908819/320342, -757193/160171], [-3/2, -3/2], [-45690671/19540862, -5/19540862]], [[7349, -159/2], [-51769202121178220/160171, 34451022755583270/160171], [-14857/2, 7349], [-338202320530/9770431, 225064616800/9770431]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3311137/2, -7/2], [-487360545533/320342, 282475/320342], [41118285/11, 83/22], [-1815582/9770431, -1/19540862]], [[-998301650, 5759730379/2], [-293878880524743/320342, 423881645406456/160171], [49588503991/22, -71525299104/11], [-2189590005/19540862, 6316410489/19540862]]], 4, 3, [], [] >,
< [ -1, -1, 1 ], [[19, -18]], [ -2322, 129 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[11/2, 8], [121/86, 367/129], [7/2, 19/4], [1/172, 5/516]], [[4, -5/2], [-5/2, 3/2], [4, -5/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [-17/2, 14], [-1/2, -3/2], [0, 0]], [[-13/2, -19/2], [114298/1419, 16891/946], [-78/11, -351/44], [-1/5676, 1/1892]], [[3, -1/2], [-205/2, 113/2], [3, -1/2], [0, 0]]], 4, 4, [], [] >,
< [ -1, -1, 1 ], [[-20, 6]], [ -6286, 68 ], [ -10, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3/2, 7/2], [313893202741/160171, -61173/160171], [-1/2, 2], [4597667/9770431, -2/9770431]], [[1463/2, 8], [-479694851343393/320342, 168395417931021/160171], [1455, -1447/2], [-3513101814/9770431, 4933054479/19540862]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3], [-24, 42], [-2, 5/2], [0, 0]], [[-83530930, 459/2], [-309313487750563/1761881, 5535582607/3523762], [-179026927/22, 1381/22], [179029237/214949482, 5/214949482]], [[-2004606639077, 1289914423980], [-7423050899798789108/1761881, 4776545647545732631/1761881], [-2148184590622/11, 1382302644471/11], [2148201607160/107474741, -1382314551058/107474741]]], 4, 3, [], [] >,
< [ -1, -1, 1 ], [[33, -16]], [ -918, -54 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9/4, -8/3], [1/2, 5/4], [0, 0]], [[1, 3], [157/18, -145/18], [9/2, -2], [1/9, 1/18]], [[1/2, -5/2], [-143/6, 295/18], [-21/2, 6], [-1/6, 1/36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7/3, -5/12], [-29/4, 5/4], [0, 0]], [[-27/2, 2], [112/9, 109/18], [-1017/22, -381/22], [37/396, -1/396]], [[3/2, -1/2], [-11/18, 1/9], [30/11, -15/22], [-1/99, 1/396]]], 4, 4, [], [] >,
< [ -1, -1, 1 ], [[-9, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 5/2], [209/2, -118], [-5/2, 5/2], [0, 0]], [[14, 17], [-504, -109], [11, 1], [2, 2]], [[65/2, 11/2], [-5635/2, 1321], [66, -33], [6, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 2], [-957, 3], [2, 0], [0, 0]], [[-1544, -3099/2], [8179695/11, -1242/11], [-33971/22, -12/11], [-13/22, -5/22]], [[127815/2, 30130], [-1040066155/22, 361696235/22], [1079549/11, -749869/22], [358/11, -40/11]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[7, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 7], [551/2, 123/2], [2, 5/2], [0, 0]], [[2295/2, 2327/2], [887771/2, -229901], [1132, 16], [0, -1/2]], [[52, 6], [48180, -28873], [98, -46], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 13/2], [8055/2, 416], [3/2, 5/2], [0, 0]], [[-3, -2], [342971/11, -215221/11], [-3/11, -2/11], [-3/11, -2/11]], [[77/2, -44], [-2333031/2, 719396], [7/2, -4], [7/2, -4]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[-5, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [-275, -3/2], [1/2, 0], [0, 0]], [[0, 1/2], [1103/2, 11/2], [0, 0], [1/2, 0]], [[0, 0], [-5, 8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [3939, 1429/2], [-5/2, 2], [0, 0]], [[5531/2, 2738], [37020861/11, 211870803/22], [30054/11, -28/11], [-65/22, -3/22]], [[-183686, -782309], [-34710103495/22, -30444876459/22], [8814631/22, -6459834/11], [-4437/11, 14181/22]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[-11, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [753/2, 39], [1/2, -1/2], [0, 0]], [[5/2, 7/2], [125/2, 406], [0, 0], [1, 5/2]], [[-9/2, 25/2], [10673/2, -2441], [0, 0], [17, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1/2], [1141, -477/2], [3/2, -1], [0, 0]], [[-11, 0], [169, 10371], [-3, 0], [-1, 0]], [[361, -197/2], [960507/11, -5411625/22], [1083/11, -591/22], [361/11, -197/22]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[-11, 10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 2], [43/2, 25/2], [-1, 3/2], [0, 0]], [[-31/2, -35/2], [-167/2, -472], [-16, -2], [0, 5/2]], [[47/2, 1/2], [-1247/2, 678], [56, -28], [5, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -9/2], [-472, 1383/2], [-1/2, -2], [0, 0]], [[-6232, -6280], [5789528, -2907165], [-6234, -26], [2, 0]], [[-42389/2, 408415/2], [7448155249/22, -4881646945/22], [-5486953/22, 5000751/22], [1767/22, -1605/22]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[-1, -10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 0], [3, 48], [-2, 1], [0, 0]], [[-405/2, -407/2], [10188, 19752], [-203, 3/2], [-5/2, -1]], [[11285, 53411/2], [-2586431/2, -1870183], [-8715/2, 30793/2], [24, 246]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -7/2], [4867, -447/2], [-3/2, -1], [0, 0]], [[14223, 14219], [-1411833399/22, 296593184/11], [156637/11, -257/22], [-9/22, 5/22]], [[-396, -1297/2], [337833/2, 388579], [-287/2, -505/2], [0, 0]]], 3, 2, [], [] >,
< [ -1, -1, 1 ], [[-101, 19]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[51/2, 3], [873/2, 509/2], [252, 3/2], [0, 0]], [[798168, 86858], [13611765, 7800723], [7894802, -16428], [2, -2]], [[-9533339/2, 83891325/2], [450395261/2, 1901452185/2], [-179222519/2, 764554665/2], [-239/2, 45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[53/2, 3], [3423/2, 521/2], [262, 1/2], [0, 0]], [[1702153, 517281/2], [1211006641/11, 464764125/22], [184387605/11, 13763197/22], [9/11, 1/22]], [[1035479624, -238957651/2], [729729483341/11, -122975820523/22], [115214410132/11, -46436279399/22], [5600/11, -2107/22]]], 1, 132, [], [] >,
< [ -1, -1, 1 ], [[63, -82]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-37/2, -49/2], [-356, -89/2], [-41/2, -27], [0, 0]], [[257567/2, 2831], [18518997/2, -5116124], [290131/2, 1338], [-3/2, 1]], [[-337, -406], [-8112, 493], [-374, -447], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[37/2, 49/2], [3016, 423/2], [41/2, 27], [0, 0]], [[1365833/2, 16309/2], [9517159089/22, -5335204671/22], [16930227/22, -14285/22], [9/22, -5/22]], [[-318, -1677/2], [195505/2, -120201], [-693/2, -1857/2], [0, 0]]], 1, 132, [], [] >,
< [ -1, -1, 1 ], [[57, -73]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13, -1/2], [-305/2, 38], [71/2, -5/2], [0, 0]], [[-21287/2, -1485/2], [122045, -41331/2], [-57841/2, -990], [-1, 0]], [[-310097/2, 442991/2], [4751921/2, -2408520], [-442358, 597224], [-16, 41/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[235/2, 5], [8575/2, 649/2], [320, 5/2], [0, 0]], [[-75339148, -5123935/2], [-60462782773/22, -2022349042/11], [-4515237993/22, 2083791/22], [29/11, 1/11]], [[187451023179/2, -119950485075], [72071695144531/22, -48415594018343/11], [5863447982847/22, -3572299958244/11], [-72111/22, 46176/11]]], 1, 104, [], [] >,
< [ -1, -1, 1 ], [[-89, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[76, 5/2], [-371/2, 123], [245/2, 3/2], [0, 0]], [[6065041, 91311], [-29963621/2, 19815175/2], [19558691/2, -51341], [2, 3/2]], [[-5685400899/2, 2781970977/2], [9382498237, -11720966993/2], [-9259722673/2, 2290352703], [-595, 107]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-49/2, -1/2], [-2025, -77/2], [-79/2, 0], [0, 0]], [[-211998, -8865/2], [-192884381/11, -7516175/22], [-3752884/11, -3953/22], [24/11, -1/22]], [[-985821571/2, 71916198], [-81559029787/2, 5997173578], [-1591781717/2, 129315794], [10215/2, -918]]], 1, 104, [], [] >,
< [ -1, -1, 1 ], [[-48, 65]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -2], [399/2, 41/2], [-2, 35/2], [0, 0]], [[20124, -5397/2], [1326207, -1647241], [-316395/2, 4248], [5/2, 3/2]], [[-55655935/2, 20970252], [-6636782581/2, 3460735845/2], [201620119, -321655175/2], [-1603, 2170]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 0], [-3680, 37], [16, 2], [0, 0]], [[-8978, 1997/2], [-363649783/22, 21828744/11], [1553753/22, -801/22], [7/11, 1/11]], [[235264, -463091/2], [4806572107/11, -9369645877/22], [-18112891/11, 40553433/22], [-137/11, 371/22]]], 1, 84, [], [] >,
< [ -1, -1, 1 ], [[-82, 17]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[47/2, 1/2], [-338, -59/2], [-53/2, -1], [0, 0]], [[-703185/2, 15153/2], [10087401/2, 211034], [396214, -2255], [-1, -5/2]], [[70366082, -47217145], [-966929138, 656765925], [-78461352, 52805196], [-135, 28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-51, -1/2], [8929/2, 68], [115/2, 3/2], [0, 0]], [[-4614812, 76364], [4442946377/11, -50046098/11], [57212682/11, -38948/11], [36/11, 2/11]], [[-1202798577/2, 155031727], [578251275017/11, -293923836579/22], [7426892288/11, -1833229954/11], [9217/22, -1911/22]]], 1, 84, [], [] >,
< [ -1, -1, 1 ], [[-144, 130]], [ -6218, -68 ], [ -7, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 3/2], [21681032897/320342, 504323/320342], [3/2, 0], [228433/160171, 1/320342]], [[425/2, 1449/2], [3700268176776/160171, 1535862802784/160171], [512, 425/2], [77971928/160171, 32361608/160171]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-19/2, 5/2], [1815897603/320342, 798293/320342], [323812/11, 245/22], [-6407/160171, -5/320342]], [[-5665, -385], [1224421361355/320342, 537857583701/320342], [218333714/11, 95891847/11], [-4320011/160171, -344983/29122]]], 1, 186, [], [] >,
< [ -1, -1, 1 ], [[281, -202]], [ -2322, 129 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-72, 1/2], [109/2, 39/43], [-291/4, 32], [0, 1/172]], [[-1303/2, 487/2], [126113/258, -45673/258], [-3053/4, 849/2], [-5/258, 17/516]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[208, 2], [-1810, -31], [208, 2], [0, 0]], [[-510977, 1337487/2], [6247328119/1419, -8271580237/1419], [-5617704/11, 29424421/44], [-37/5676, 1/5676]], [[-299834220, 128349759/2], [2464097789289/946, -11947535665/22], [-3297633018/11, 704967510/11], [-1107/946, 45/22]]], 1, 248, [], [] >,
< [ -1, -1, 1 ], [[-14, -130]], [ -6286, 68 ], [ -10, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[4, 11/2], [326, 2], [5/2, 3/2], [2, 0]], [[1341/2, -3231/2], [204722497145/320342, -68173064560/160171], [5913/2, -2286], [630556950/160171, -839068555/320342]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1], [18, -11], [1, -1], [0, 0]], [[-14124433/2, 4], [171666772711063/3523762, 232823703/3523762], [38277012/11, 97/22], [15310829/3523762, 2/1761881]], [[-1381/2, -1631/2], [16784564869/3523762, 19823054409/3523762], [7485/22, 4420/11], [1497/3523762, 884/1761881]]], 1, 186, [], [] >,
< [ -1, -1, 1 ], [[-44, 123]], [ -918, -54 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76/3, 4/3], [-61, 0], [0, 0]], [[-3/2, 1/2], [-41239/9, 9323/4], [-43011/4, 21303/4], [1/9, -1/12]], [[-7, 31/2], [-34105, 307814/9], [-77760, 82620], [5/4, -7/18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [505/12, 4/3], [-537/2, 5/4], [0, 0]], [[49/2, -3/2], [-367778/9, 1026850/9], [3215106/11, -7830582/11], [-17/99, -5/396]], [[3315/2, -1235/2], [-47505098/9, 53208041/9], [389471070/11, -415002123/11], [-2197/198, 1313/396]]], 1, 248, [], [] >,
< [ -1, -1, 1 ], [[98, 0]], [ -42, 0 ], [ -7, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-7/2, 2], [-11/3, -1], [-973/62, -21/31], [-1/62, 5/186]], [[-1/2, 0], [-1/2, -1/2], [-7/2, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1], [3, -18], [7, 7], [0, 0]], [[15/2, 8], [-2978/11, -8095/66], [-246645/682, 21196/341], [269/2046, -2/1023]], [[3, 1], [-10171/66, 1028/33], [-94164/341, 46487/341], [193/2046, -14/341]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[49, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -5/2], [14, 35/2], [-7/2, -7], [0, 0]], [[-1/2, -1], [155, -91], [-1/2, 1/2], [0, -1/2]], [[0, 0], [35, -21], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 3/2], [-511/2, 77], [-21/2, 21/2], [0, 0]], [[55/2, 55/2], [33523/22, -71859/22], [4149/22, 49/22], [9/22, -5/22]], [[17/2, 13], [-637/2, -1519/2], [28, 63/2], [0, 0]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[147, -49]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 3/2], [49, -21/2], [21/2, 0], [0, 0]], [[25/2, 43/2], [131, 409/2], [59/2, 61], [2, -1]], [[-111, -185], [-2245/2, -3567/2], [-565/2, -513], [-9, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -2], [-4501/2, -63/2], [7, -21/2], [0, 0]], [[1495/2, 1503/2], [-6135531/22, 20222319/22], [113789/22, 1041/22], [29/22, 1/22]], [[15335/2, 6893/2], [-107110173/11, 121611439/11], [908507/11, -641589/22], [459/22, -78/11]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[-163, 76]], [ -502, 19 ], [ -14, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[1, 5/2], [-518789/2362, 2283/2362], [927/4, 1], [1027/2362, 5/4724]], [[54, 19], [13393321/1181, -10950793/1181], [-47523/4, 9765], [-52731/2362, 86583/4724]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [-5/2, 0], [1, 0], [0, 0]], [[49327/2, 1/2], [-3552066207/25982, -84402/12991], [282120/11, -25/44], [-97715/51964, -5/51964]], [[52762179/2, -10547569], [-1899697033237/12991, 1519011123461/25982], [301772223/11, -241317711/22], [-52259337/25982, 20893383/25982]]], 1, 112, [], [] >,
< [ -1, -1, 1 ], [[50, -13]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 10], [-3, -23], [2, -12], [0, 0]], [[-16, 8], [-59/2, 171/2], [31/2, -11], [1, -5/2]], [[1/2, 1], [-19, -37/2], [0, 0], [1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, -9/2], [1378, -13/2], [-29/2, 5], [0, 0]], [[-1082727/2, 16607], [-806999741/11, -417762076/11], [13949497/22, -30209/22], [24/11, -1/22]], [[-4249705067/2, 566812756], [-5488096503239/22, -911061011977/22], [27185622401/11, -13436472727/22], [93974/11, -24434/11]]], 1, 28, [], [] >,
< [ -1, -1, 1 ], [[-207, 109]], [ -4068, 101 ], [ -16, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[28844845/2, 0], [892125794521/157342, -28597/78671], [12114755349/38, -913/19], [6566263/2989498, -1/2989498]], [[3285/2, -568], [101599847/157342, -35134689/157342], [1379691/38, -477117/38], [3739/14947490, -1293/14947490]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-135/2, 231/2], [19/2, -31/2], [0, 0]], [[-34926777/2, 3/2], [-1086845219150/865381, 1689300959/865381], [89799967662/209, -62199/209], [21060012/82211195, -3/164422390]], [[5578174528, 2149834672], [346953330269498/865381, 133048825146678/865381], [-28683996527479/209, -11054822662742/209], [-6727011952/82211195, -2592598016/82211195]]], 1, 112, [], [] >,
< [ -1, -1, 1 ], [[61, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1], [43, 14], [7, 8], [0, 0]], [[-17/2, -9/2], [553, -223/2], [69/2, 12], [-2, -1]], [[-14, 7], [2853/2, -1685/2], [133/2, -35], [-3, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [1011/2, -49], [5/2, 35/2], [0, 0]], [[-90, 16], [-251165/11, 452761/22], [9311/22, -785/22], [17/22, 2/11]], [[2567/2, -2335/2], [5981388/11, -6048331/22], [-121257/22, 60924/11], [-75/11, 115/11]]], 1, 28, [], [] >,
< [ -1, -1, 1 ], [[106, -48]], [ -1490, 36 ], [ -96, -105 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[8488, -1/2], [-682634041/34922, 26274/17461], [-184873/5514, -43/5514], [-10711/104766, -1/104766]], [[4927905/2, -5413147/2], [-198163440143/34922, 108835783047/17461], [-53648981/5514, 9825353/919], [-1554370/52383, 569245/17461]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5279, 0], [-58075554/919, 13006/919], [-12264/919, 1/919], [0, 0]], [[163038789/2, -489264165/2], [188280300236044/192071, -1124777288315337/384142], [12815114891/60654, -18753581236/30327], [-1261153/1152426, -1/576213]], [[399469975436961, -74637576116334], [1838689638107595852987/384142, -172680617881991682756/192071], [30803993287637066/30327, -1973338583299371/10109], [-719164817980/576213, 526696857981/384142]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[159, -72]], [ -3315, -36 ], [ -618, 249 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1], [-6417329/1942, -865/971], [-30275/971, 1/971], [0, 0]], [[-241667/2, -11/2], [12609673733229/79622, -25438892124097/79622], [56099219373/36898, -55607333064/18449], [5307761/4538454, 2/2269227]], [[547740424299, -484879124847], [-79621822185795575434/39811, 31919186768999697669/39811], [-36873286339159887/1942, 7447119086145717/971], [-1266375226379/238866, 186833676863/39811]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [299775899/1942, -123/1942], [1414051/971, 4/971], [0, 0]], [[-20566215, 95/2], [91918383046569063/39811, -45959551532967203/79622], [4420433917212270/202939, -2210203928052115/405878], [2075288/24961497, -1/16640998]], [[-88662390689125/2, 39242516767300], [483961431826071244721713/79622, -181075734528432956270856/39811], [11637031325917752761122/202939, -8708083703295047903278/202939], [1491116514702/8320499, -1319956173748/8320499]]], 1, 128, [], [] >,
< [ -1, -1, 1 ], [[53, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [-65/2, 27], [1/2, 13/2], [0, 0]], [[19/2, 31/2], [-31, -29], [-11, -55/2], [3/2, 1]], [[-3/2, 1], [1, -1/2], [20, -12], [5/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 0], [1735, 18], [12, 1], [0, 0]], [[13010, -2005/2], [-98962117/22, 6689807/22], [-343733/11, 213/11], [41/22, -1/11]], [[-14590553/2, 8460144], [54872858919/22, -32247802734/11], [350705103/22, -227523765/11], [-22223/22, 13419/11]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[48, -58]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, 13/2], [-176, -81/2], [43/2, -15], [0, 0]], [[9226, -1721/2], [-869531/2, -879677], [-43957/2, 751/2], [1, 2]], [[501108, -598597/2], [4437279, -5209997], [-2285431/2, 677856], [-19/2, 23/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1/2], [-1587, -63/2], [-17/2, -2], [0, 0]], [[11118, -850], [-113686659/22, 19822709/22], [-586647/22, -530/11], [-12/11, -5/22]], [[590047/2, -267234], [-298516865/2, 124573586], [-1315099/2, 639438], [-43/2, 26]]], 1, 80, [], [] >,
< [ -1, -1, 1 ], [[68, -10]], [ -1454, -36 ], [ -96, 9 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-103469/2, -11/2], [439203155/17461, -36582/17461], [-2077007/5514, -17/919], [-55169/104766, -1/34922]], [[1316605769/2, -608240808], [-5589681067145/17461, 10327555330689/34922], [13215281540/2757, -8139805939/1838], [351019673/52383, -216207629/34922]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[41691/2, 1], [220555545/1838, -15355/1838], [36602/919, -1/1838], [0, 0]], [[1901957931/2, 633991049], [1051681692860140/192071, 1401546149692903/384142], [54982844893/30327, 24486763547/20218], [-280769/576213, -1/384142]], [[-16965216644280, 38575191064310], [-37553812019523220833/384142, 42661312316389667254/192071], [-977676873867095/30327, 743347319368275/10109], [13042462660/576213, -8033613525/384142]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[102, -15]], [ -3351, 36 ], [ -489, 120 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -3/2], [-3304747/971, -2469/1942], [-29755/971, 2/971], [0, 0]], [[-89259/2, -3], [-8827712358837/79622, 1908539747984/39811], [-18399241179/18449, 15935951481/36898], [690687/756409, 5/4538454]], [[-2003794891/2, 2354815141/2], [-298891415191141541/79622, 217885530415409967/79622], [-623288854700049/18449, 454082009835102/18449], [46519760963/2269227, -54664208950/2269227]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [67522514753/21362, -80149/21362], [-1203694/10681, 2/10681], [0, 0]], [[2538201/2, -95/2], [600083414151515485/875842, -150043598210674675/875842], [-4956954615766/202939, 1239525085730/202939], [124993/756409, 1/2269227]], [[-105762388344, 124281342141], [-2940922885955062540365/39811, 2571618664416697289060/39811], [97175053840464481/36898, -84970572230924769/36898], [-62495926949/4538454, 73442839085/4538454]]], 1, 128, [], [] >,
< [ -1, -1, 1 ], [[34, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, 7/2], [-34, 41/2], [37/2, -5], [0, 0]], [[125/2, -83/2], [270, -155], [-122, 151/2], [5/2, -1]], [[1/2, 1], [23/2, 23], [-11/2, -11], [1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -11/2], [1596, 43/2], [-17/2, 9], [0, 0]], [[-81844, 4444], [-10866234/11, 500385355/22], [2937287/22, -5327/22], [-3/22, -1/11]], [[2665/2, -1275/2], [182279, -403813/2], [-4245/2, 980], [0, 0]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[-68, 10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, 11/2], [-248, -31/2], [17/2, -9], [0, 0]], [[-12561/2, 298], [3434, 571947/2], [10272, 49], [3/2, -1/2]], [[-252449/2, -31000], [3684717/2, 7625160], [419539/2, 64964], [55/2, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -7/2], [-5335/2, -44], [17/2, 13/2], [0, 0]], [[-9532, 467], [-79536537/11, 33862508/11], [169809/11, 489/11], [14/11, 2/11]], [[-2318483, 1309517/2], [-42278482289/22, 21741441125/22], [40775720/11, -10074800/11], [6489/22, -477/11]]], 1, 80, [], [] >,
< [ -1, -1, 1 ], [[74, -22]], [ -938, -8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-29275/2, 5/2], [-191656053/15298, 104316/7649], [-11, 23/2], [-29275/30596, 5/30596]], [[489368, -1005268], [6419619611/15298, -6578135138/7649], [2315/2, -350], [244684/7649, -502634/7649]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [107/2, 87], [13/2, 11], [0, 0]], [[281219/2, -1/2], [-200347083653/168278, -6523489/168278], [-8155351/11, 29/11], [281219/336556, -1/336556]], [[62880648, -3571696], [-44797572720409/84139, 2543034865930/84139], [-3647077584/11, 207158368/11], [31440324/84139, -1785848/84139]]], 1, 42, [], [] >,
< [ -1, -1, 1 ], [[-74, 22]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1/2], [-875/2, -2], [-11/2, -3/2], [0, 0]], [[-2416, -885/2], [-2376121/2, 263297], [-28083/2, 403/2], [2, -2]], [[33529/2, -154961/2], [44381359/2, -60090649/2], [355725/2, -807705/2], [-165/2, 49/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -3/2], [-2935, 31/2], [-15/2, -6], [0, 0]], [[-10569, -2071], [-821611919/22, 183804505/11], [-673664/11, 4203/22], [-23/22, 3/22]], [[1297316, -119997/2], [57213330665/11, -58633081945/22], [86134646/11, -35032263/22], [1508/11, -897/22]]], 1, 70, [], [] >,
< [ -1, -1, 1 ], [[-118, 126]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 41/2], [29/2, 0], [0, 0]], [[3/2, 4], [110, -47/2], [353/2, -118], [-1/2, 5/4]], [[-35, -49], [307/2, -736], [1875/2, -905/2], [-21/2, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40549/11, -1085/22], [-1039/22, 2/11], [0, 0]], [[2, 4], [13535228845/22, -75902869/11], [-173412387/22, 288325/22], [0, 1]], [[-139/2, -40], [438558175811/11, -336102500263/11], [-5577776955/11, 4293904360/11], [-99/2, 59/4]]], 1, 168, [], [] >,
< [ -1, -1, 1 ], [[59, -63]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 0], [465, -5], [-12, 2], [0, 0]], [[-1781/2, -177], [206863, 38200], [-10371/2, 93/2], [1, -5/2]], [[-115319, 52457/2], [53854941/2, -6359356], [-1445609/2, 502271/2], [258, -276]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 5/2], [-8816, 899/2], [-23/2, 14], [0, 0]], [[558647, 223283/2], [817373711/2, -3409370255/2], [3240053, -420], [-3/2, 0]], [[-228186532, 313692295], [-12731856612263/11, 1832435192392/11], [-18509736420/11, 19761992005/11], [8568/11, -9149/11]]], 1, 84, [], [] >,
< [ -1, -1, 1 ], [[82, -30]], [ -946, 8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-7649/2, 0], [-6521/2, 2], [10, 2], [-1/4, 0]], [[-138620, 61184], [-1808370851/15298, 798580977/15298], [661/2, -239/2], [-69310/7649, 30592/7649]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-235/2, 37], [27/2, -6], [0, 0]], [[-54675, -3/2], [9578590103/84139, 95439897/168278], [-6340738/11, -1010/11], [-54675/168278, -3/336556]], [[-177645, 3280511/2], [59396310997/168278, -577256163751/168278], [-41153327/22, 190245141/11], [-177645/168278, 3280511/336556]]], 1, 42, [], [] >,
< [ -1, -1, 1 ], [[30, -52]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, 9], [53/2, 57/2], [-15, 23/2], [0, 0]], [[-3471/2, -15], [-10960, -38481/2], [-2193, 71], [1/2, 1/2]], [[-106, 78], [194, 178], [-138, 100], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, 11/2], [2518, -89/2], [-17/2, 7], [0, 0]], [[-131491/2, -5957/2], [-175858813/22, -869696647/22], [-1822947/22, -3549/22], [9/22, -5/22]], [[237/2, 260], [319639/2, 482073/2], [136, 617/2], [0, 0]]], 1, 70, [], [] >,
< [ -1, -1, 1 ], [[134, -8]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -55/2], [-37/2, 5], [0, 0]], [[5/2, 4], [-146, -172], [-50, -117], [1/2, 3/4]], [[0, 0], [-273, 160], [144, -93], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [310, -21/2], [-3/2, -9], [0, 0]], [[-2, -1/2], [-17518711/22, 7350317/11], [-342559/22, 13/22], [-15/44, 1/44]], [[-8, 75/2], [-193712656/11, 166801665/22], [-2794883/22, 2848702/11], [-139/44, 241/44]]], 1, 168, [], [] >,
< [ -1, -1, 1 ], [[-67, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[144, -5/2], [-167/2, -37], [-449/2, 3/2], [0, 0]], [[2586, -1396], [-2365/2, 525], [-4031, 4447/2], [-1/2, 3/2]], [[-1514041/2, 1016797/2], [640515/2, -478367/2], [2381741/2, -1579345/2], [855/2, -51/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-194, 1/2], [2807/2, 69], [605/2, 5/2], [0, 0]], [[63181297/2, -431869], [-456821201/2, -17137305/2], [-49252850, 290613/2], [-1, 0]], [[-14516257626, 2104641891/2], [1151004686514/11, -28173275056/11], [497590829475/22, -15539800209/11], [10101/22, -603/22]]], 1, 84, [], [] >,
< [ -1, -1, 1 ], [[50, -16]], [ -274, 36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 17/2], [579/58, 487/58], [11/2, 17/2], [0, 0]], [[0, 0], [7953/58, -2415/29], [0, 0], [-9/58, 2/29]], [[0, 0], [-22/29, 13/29], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2015/2, 5/2], [17409/22, 45/22], [2015/22, 5/22], [0, 0]], [[-2466827, 0], [-56187316/29, -11567/58], [-224257, 0], [51/29, 3/58]], [[355737943/2, -88443135/2], [4051246541/29, -2013856859/58], [32339813/2, -8040285/2], [-7301/58, 833/29]]], 1, 18, [], [] >,
< [ -1, -1, 1 ], [[-83, 41]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[227/2, -1], [227/66, 47/33], [227/33, -5/33], [0, 0]], [[66079/2, -33452], [36967/66, -11252/11], [135413/66, -22306/11], [29/110, -2/165]], [[-6182621/2, 1999311/2], [-5328133/66, 57061/22], [-12466745/66, 700000/11], [-53/6, 16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-383/2, -1], [-509/66, -248/33], [-707/33, -1/33], [0, 0]], [[1595699, -54869], [680214/11, 57635], [3928235/22, -149415/22], [9/110, 1/330]], [[153907641/2, -240049669/2], [-34671233/22, -427951703/66], [190535955/22, -442549583/33], [7/2, -19/3]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[-82, 84]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-237/2, 3/2], [6969/22, 13/22], [-351/22, -7/22], [-157/330, -1/330]], [[40769/2, -70955/2], [-3505031/66, 6299659/66], [85402/33, -319819/66], [13054/165, -47401/330]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-131/2, 1], [2153/66, -446/33], [338/33, -1/33], [0, 0]], [[-132955/2, 131375/2], [1015711/22, -718815/22], [113073/11, -112935/11], [2/165, 1/165]], [[9845547/2, -2524465], [-64821055/22, 1733827], [-16834503/22, 781041/2], [-79/330, 13/30]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[75, -24]], [ -996, 36 ], [ -30, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 3/2], [4, -19/4], [9/2, -6], [0, 0]], [[-35477/2, 3], [1417/4, -11/4], [-42023, -7/2], [1/6, 0]], [[-2008145/2, 287492], [7013362/349, -4083363/698], [-275906447/116, 39477585/58], [763817/80968, -218619/80968]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [199/4, 33/2], [-9/2, -7/2], [0, 0]], [[-184137, -393/2], [-6606266125/3839, -114908537/7678], [898409889/319, 80275/1276], [-264849/890648, -1/667986]], [[-42051002869/2, 16651718267/2], [-3008188786384913/15356, 1180924135234401/15356], [102626556759829/319, -162747312505143/1276], [-30254261149/890648, 2998672915/222662]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[108, -49]], [ -7855, 36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -5/2], [1, -5/2], [-16, -4], [0, 0]], [[-32, 16], [-54197352136/293861, 4748207/293861], [11087252, -251/2], [583532/293861, -1/587722]], [[18380, -9468], [30188096651893/293861, -1885838144103/293861], [-12351210115/2, 770695265/2], [-650054823/587722, 40556005/587722]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, 3/2], [-15809/22, -93/22], [-373/11, -3/11], [0, 0]], [[328111/2, -35/2], [3117418854499/6464942, 66889550529/6464942], [68467147/22, 5845/11], [327381/587722, 2/293861]], [[2796952859/2, -1228073397/2], [26322589549926809/6464942, -11346627713446167/6464942], [583570987691/22, -256172096133/22], [2790584379/587722, -1225154997/587722]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[74, -67]], [ -2649, 74 ], [ -102, -34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[138295, 5/2], [2945298734/32611, 127421/32611], [-223649765/68, 545/68], [-974329/24393028, 1/24393028]], [[146865527/2, -102546230], [1563858554086/32611, -4367930016205/65222], [-6985787321/4, 2438766520], [-30433485/1434884, 21248955/717442]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -17/2], [15/2, 5/2], [-11/2, -17/2], [0, 0]], [[-2001, 1/2], [3783925/22, -546/11], [-86756565/748, -38/187], [1/748, 0]], [[1496679/2, -1386831/2], [-23075111003960/358721, 42761646593359/717442], [8109473676/187, -30063543915/748], [-3048282/6098257, 11300613/24393028]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-50, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -5/2], [-57/2, 19], [-3/2, 23/2], [0, 0]], [[-89/2, -45/2], [269, -58], [188, 345/2], [-5/2, 2]], [[4105/2, 7672], [21465/2, -51977/2], [-17908, -81101/2], [-274, 88]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 5/2], [-2969/2, 92], [-5/2, -25/2], [0, 0]], [[1589/2, -323/2], [13597231/22, -10809037/22], [-70337/22, -101/22], [65/22, 3/22]], [[-311568, 278219/2], [-6347990585/22, 4313448673/22], [12882570/11, -4428162/11], [-23443/22, 3743/11]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[-82, 84]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -51/2], [-31/2, 8], [0, 0]], [[2, 9/2], [-61, -79/2], [25/2, -8], [-1/4, 5/4]], [[-12, -8], [-145, 589/2], [225/2, -69], [-8, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58265/22, -819/22], [-485/11, -5/22], [0, 0]], [[-5/2, -4], [-67746363/22, -445557/22], [564095/11, 29379/22], [-1/2, -3/4]], [[0, 0], [-121452959/22, 37104492/11], [1998435/22, -1220447/22], [0, 0]]], 1, 72, [], [] >,
< [ -1, -1, 1 ], [[-150, 48]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -2], [0, 19], [-8, -2], [0, 0]], [[33/2, -11/2], [-87/2, -63/2], [137/5, -83/10], [-4/5, 1/10]], [[36, -33/2], [-115/2, -30], [117/2, -26], [-3/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 13/2], [-345, -53], [-4, 17/2], [0, 0]], [[21460, 1415], [8128939/22, -22275785/22], [1615557/55, -8299/55], [-134/55, 1/110]], [[-19554286, 21606052], [-15166345071/11, 7556298903/22], [-317497399/11, 324678252/11], [52593/22, -26931/11]]], 1, 144, [], [] >,
< [ -1, -1, 1 ], [[-67, 7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -3/2], [54, 65/2], [-1/2, 7], [0, 0]], [[-175/2, 97], [-2652, -1000], [511/2, -805/2], [-1, -1/2]], [[-34225/2, 25489/2], [-618111/2, 57685], [56313, -47160], [-110, 23/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -5/2], [1769/2, -185], [-35/2, 15/2], [0, 0]], [[-623/2, 119/2], [-1626353/22, -747495/22], [25215/22, -109/22], [-9/22, -3/22]], [[-17857/2, 7583/2], [-37443141/22, 391087/22], [681933/22, -220587/22], [-217/22, 23/22]]], 1, 72, [], [] >,
< [ -1, -1, 1 ], [[-107, 92]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, 5/2], [-595, 111/2], [95/2, 0], [0, 0]], [[185/2, 33/2], [8947/2, 1696], [-388, -184], [0, -3/2]], [[13417/2, -6616], [516569/2, -309188], [-39367/2, 26374], [221/2, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [-3, 65/2], [3/2, -2], [0, 0]], [[-1, -2], [-1251, 3263], [-1, -2], [-1, -2]], [[49/2, -4], [-549733/2, 159282], [49/2, -4], [49/2, -4]]], 1, 114, [], [] >,
< [ -1, -1, 1 ], [[-107, 92]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 3/2], [-845/2, 101], [61/2, 1/2], [0, 0]], [[-2147/2, 2026], [-62572, 204819/2], [2255, -9062], [-5/2, -1/2]], [[-351615/2, 367161/2], [-19521575/2, 19074833/2], [1036905/2, -1484199/2], [-495/2, 81/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 1], [-192, -29], [23, 1], [0, 0]], [[3632, 5239/2], [156922, 337217/2], [-17160, -33493/2], [-2, -5/2]], [[-81456, 75203/2], [-2295001, 722709], [576653/2, -106551], [43/2, -7/2]]], 1, 114, [], [] >,
< [ -1, -1, 1 ], [[52, -18]], [ -238, -36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 0], [353/58, 2/29], [19/2, 0], [0, 0]], [[-38703/2, -399], [-359548/29, -11570/29], [-38703/2, -399], [-41/58, 1/29]], [[-1238349/2, 2003323/2], [-22581175/58, 37373809/58], [-1238349/2, 2003323/2], [-729/29, 1035/29]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, -12], [-4029/58, 1735/29], [25/2, -12], [0, 0]], [[11219, -537/2], [-17391898/319, 2535444/319], [105049/11, -5703/22], [270/319, -3/638]], [[-4016609, 5528580], [7278560393/319, -8252106185/319], [-37776963/11, 51716116/11], [-94202/319, 133798/319]]], 1, 18, [], [] >,
< [ -1, -1, 1 ], [[-87, 44]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1/2], [5/2, -2], [6, -5], [0, 0]], [[-46, -5], [-262313/2759, -6494/2759], [-84165/14, 66/7], [-1899/193130, 3/193130]], [[-453/2, 235/2], [-1353484/2759, 1446013/5518], [-62935/2, 33905/2], [-142/2759, 153/5518]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 5/2], [27/2, -8], [4, 3], [0, 0]], [[55402, 8], [-50004435471/30349, -251776/30349], [636218705/154, -5415/154], [-62394/212443, 1/424886]], [[52197935/2, -19573064], [-47117452222869/60698, 35333941257831/60698], [299746499253/154, -112391109379/77], [-293961431/2124430, 220443997/2124430]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[86, -2]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2, 2], [-102238493/2759, 15309/2759], [3640593/14, 127/7], [82137/193130, 1/193130]], [[-911/2, 390], [133025495185/5518, -86449795871/5518], [-1184051605/7, 1539005989/14], [-10685961/38626, 3472326/19313]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [15/2, -7/2], [5, -1], [0, 0]], [[-49127/2, 1], [75358545/60698, -121665/60698], [232929469/154, -351/77], [276533/2124430, -1/2124430]], [[-4207899, 4006323], [6464393803/30349, -6146000209/30349], [19950505857/77, -18995438769/77], [4737036/212443, -4510263/212443]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[78, -27]], [ -960, -36 ], [ -36, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 0], [-3/2, -1], [5, -1], [0, 0]], [[-20866, 15/2], [-11482725/1396, -15515/698], [2904651/116, 1715/58], [-1739/10121, -1/242904]], [[-9381069/2, 2431715], [-644285606/349, 1334386227/1396], [326212255/58, -169011255/58], [-1172513/30363, 1215541/60726]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3/2], [105/4, 22], [1, 11/2], [0, 0]], [[10909, -63/2], [1134275408/3839, -37689367/7678], [-364202425/638, 104205/1276], [130321/2671944, -1/2671944]], [[17996192, -9429601/2], [7511392998717/15356, -2036870103739/15356], [-600383401647/638, 78093389599/319], [17902089/222662, -6983266/333993]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[113, -53]], [ -2575, -74 ], [ -136, 34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[220426, 1], [-16353469511/65222, 35634/32611], [141307855/68, 359/68], [-615607/24393028, -1/24393028]], [[864, -1115/2], [-64101345/65222, 41361705/65222], [553885/68, -357397/68], [-2413/24393028, 1557/24393028]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, 7], [-131/2, 68], [-13/2, 7], [0, 0]], [[-12, 10], [-2196707031/32611, 6839883/65222], [-549353/68, 373/34], [48619/24393028, -1/6098257]], [[0, 0], [-105176135/717442, 161731575/717442], [-299/17, 1839/68], [53/12196514, -163/24393028]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[79, -69]], [ -7819, -36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -2], [3/2, -2], [25, -24], [0, 0]], [[22, 35], [-67825697302/293861, 10238704/293861], [13878952, 565/2], [730462/293861, 1/587722]], [[0, 0], [117238275/293861, -70017948/293861], [-47975/2, 14326], [-2525/587722, 754/293861]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [35689/22, 75/22], [850/11, 1/11], [0, 0]], [[-293861, 0], [-8677254/11, 2100/11], [-61417012/11, 100/11], [-1, 0]], [[-144699135/2, 691579385/2], [-1257043464839169/6464942, 5999861536261719/6464942], [-30242385579/22, 144540053629/22], [-144699135/587722, 691579385/587722]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[18, -34]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, 8], [42, -16], [12, -10], [0, 0]], [[415/2, -189/2], [-1199/2, 359], [-264, 112], [-2, 1/2]], [[16219/2, -8063], [-57599/2, 18840], [-19607/2, 10685], [-105/2, 99]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -15/2], [1729, 361/2], [-5/2, 10], [0, 0]], [[11086, -1567/2], [14561143/11, -45994593/22], [-153502/11, 1423/22], [-9/11, -1/22]], [[-435943/2, 634391/2], [-933289458/11, 155846917/11], [2719583/11, -9024751/22], [287/22, -271/11]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[86, -2]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35/2, 13], [21/2, 11/2], [0, 0]], [[1, 2], [5259, -3258], [-1505, 832], [0, 1/2]], [[-5/2, -7/2], [6832, -8421/2], [-3637/2, 1296], [-3/4, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [633, -5], [-1, 4], [0, 0]], [[0, -1/2], [6607532/11, -17402367/22], [-131101/22, 87/11], [1/44, -3/44]], [[0, 0], [-4143, 8843/2], [69/2, -5], [0, 0]]], 1, 72, [], [] >,
< [ -1, -1, 1 ], [[54, -102]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 0], [27, -13], [10, -2], [0, 0]], [[4, -1], [81/2, -27], [114/5, -43/5], [9/10, -3/10]], [[-5/2, -7/2], [-4, 3/2], [-48/5, -123/10], [-3/10, -2/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 0], [1042, -7], [25/2, -5/2], [0, 0]], [[4867/2, 617], [22173743/22, 5460791/22], [1290463/110, 1689/110], [72/55, -3/110]], [[-961031/2, -241311/2], [-2189230919/11, -533804679/11], [-25494532/11, 38317/22], [-2845/11, 65/11]]], 1, 144, [], [] >,
< [ -1, -1, 1 ], [[-53, 60]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, -11/2], [-743/2, 61], [-27/2, 13/2], [0, 0]], [[-15429/2, 425], [418132, 616351/2], [9763, 132], [5/2, -3/2]], [[20, 39], [-2912, -4901], [-29, -55], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 4], [-528, -16], [6, -5], [0, 0]], [[1437/2, -6], [-335536/11, -3196571/22], [-9186/11, -547/11], [79/22, 5/22]], [[77630, -81016], [144357308/11, 93927803/22], [-1844281/22, 2078689/22], [7897/22, -4470/11]]], 1, 72, [], [] >,
< [ -1, -1, 1 ], [[139, -62]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[49/2, -2], [1259/2, -267/2], [-31, 1/2], [0, 0]], [[-73053/2, 111433], [-1337723, 5109363/2], [36357, -148623], [-1/2, 3/2]], [[-79169097/2, 49481650], [-1187460434, 2440735567/2], [45879639, -63872139], [-1075/2, 1335/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[32, -5/2], [1647/2, -26], [-81/2, 1/2], [0, 0]], [[41784, -10316], [1066189, -451033/2], [-104487/2, 20551/2], [-1/2, 1]], [[-3804633/2, 1483117/2], [-96372487/2, 17647206], [2353852, -838523], [31, -77/2]]], 1, 114, [], [] >,
< [ -1, -1, 1 ], [[139, -62]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1], [-173/2, 103/2], [-2, -3/2], [0, 0]], [[1/2, -2], [10237, -9183/2], [-15, 3], [-5/2, 1/2]], [[226, 44], [999122, -805981], [-1092, 1356], [-182, 226]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-32, 5/2], [-1161/2, -72], [81/2, -1/2], [0, 0]], [[-4182, -46765/2], [-341931/2, -541787], [14887/2, 64543/2], [-1, 1]], [[-201325, -1323135/2], [-12735295/2, -31324177/2], [316293, 920586], [-37/2, 23]]], 1, 114, [], [] >,
< [ -1, -1, 1 ], [[-38, 46]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1], [-7/2, -15/2], [1/2, 0], [0, 0]], [[6, -3], [-181/14, -33/28], [-19/4, 13/4], [-1/28, 0]], [[-2, 1/2], [21/4, 13/4], [5/4, -1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -5/2], [187/4, 41], [-1/2, -3/4], [0, 0]], [[1/2, -7/2], [-26165/44, 132453/308], [-3/44, 5/22], [3/308, -5/154]], [[-57/2, -3], [1970723/308, -78109/22], [45/22, -3/44], [-45/154, 3/308]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[-38, 46]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3833, 1], [9692673/751, 10769/751], [-4835/751, -2/751], [0, 0]], [[-14282327/2, 18386661/2], [-18038542957/751, 23251978220/751], [18012385/1502, -11596991/751], [270/751, 1/1502]], [[112401666817/2, -45148473238], [142021143122361/751, -228290772437945/1502], [-70883819820/751, 113897572877/1502], [-1443050/751, 527186/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22801, 3/2], [-115302073/1502, -5519/1502], [57523/1502, 5/1502], [0, 0]], [[1645657557, -411260075/2], [45767082680826/8261, -11429222346039/16522], [-45667559777/16522, 5700456691/16522], [16370/8261, 5/16522]], [[1806689593979, -768491739391], [50243931112875264/8261, -21369633691233056/8261], [-25067005026317/8261, 10661006671960/8261], [17185950/8261, -6280204/8261]]], 1, 36, [], [] >,
< [ -1, -1, 1 ], [[39, -9]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-262, 1/2], [-92, -5/4], [2, -3/2], [-1/12, 0]], [[4909/2, 3749/2], [454368/521, 710497/1042], [-8, 21/2], [1222/1563, 312/521]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3], [-37, 1], [-2, -1], [0, 0]], [[-17181/2, 12], [35757, 155/4], [6, 6], [-1/4, 0]], [[408187/2, -116373/2], [-9730297179/11462, 2758754369/11462], [-102, -123/2], [204155/34386, -19341/11462]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[-57, 69]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1], [-11/2, -7/2], [3/2, -5/2], [0, 0]], [[399/2, 48], [563811/1042, 106897/2084], [210, -161], [721/6252, -1/3126]], [[-15062, -4259], [-21173342/521, -5661313/1042], [-15288, 11921], [-26983/3126, -446/1563]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1], [-437/2, 35/2], [-1/2, 3/2], [0, 0]], [[11053/2, 2555/2], [1917019589/22924, -846880539/5731], [1272, 6], [11041/68772, -1/68772]], [[917277, -915123], [22308297815/521, -40291141957/2084], [522009/2, -440169/2], [68931/2084, -28971/1042]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[-78, 18]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3154, 3/2], [-7940031/1502, 4017/1502], [-7957/1502, -5/1502], [0, 0]], [[-34596099, 17297091], [43566997910/751, -43587271807/1502], [43636671/751, -21815460/751], [1291/1502, 1/1502]], [[59681050425, -30703732101], [-75157705910786/751, 38683193787309/751], [-75276596889/751, 38724534864/751], [-1081225/751, 63745/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22363/2, 5/2], [-225885513/1502, 1254/751], [28209/1502, -1/751], [0, 0]], [[2859073649/2, 139515594], [317690458252165/16522, 15538553856690/8261], [-19836318616/8261, -3878260187/16522], [50975/16522, 2/8261]], [[-100458901293421/2, -1623988498489], [-11162496578513233001/16522, -363300942983468275/16522], [696979408205028/8261, 45282134646773/16522], [-900789196/8261, 107299189/16522]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-22, 33]], [ -11, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1/2], [2, 1/2], [-6, 9], [0, 0]], [[-15, -6], [-15, -6], [63/2, -199/2], [-1/2, -5/2]], [[234, -195], [234, -195], [-2232, 1115], [-28, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, 3/2], [-19/2, 17/2], [-1, 7], [0, 0]], [[169/2, -72], [8701/38, -1917/19], [3465/38, -693/38], [-25/38, 5/38]], [[273, -105], [493, -435], [139, -417/2], [-1, 3/2]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[44, -66]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16931/2, -1/2], [74891489/1502, 14772/751], [-21357/1502, -1/751], [0, 0]], [[-20724066, 31149602], [-183242529141/1502, 137806050940/751], [26135626/751, -39294552/751], [1772/751, 1/1502]], [[-190208194572, 179591315750], [-841085432341873/751, 794397800442040/751], [239896680166/751, -226536952158/751], [11316771/751, -3288312/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9265/2, 3/2], [151702267/1502, -10011/751], [11687/1502, -1/751], [0, 0]], [[-1307076392, -19397182], [406651258025448/14269, 6113650969441/14269], [1648768178/751, 24723410/751], [9552/14269, 1/14269]], [[2986128646820, -837457859040], [-1857954767143021427/28538, 520834517672807387/28538], [-3766583109520/751, 1055967133540/751], [-43831905/28538, 6349434/14269]]], 1, 72, [], [] >,
< [ -1, -1, 1 ], [[-88, 11]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [-39/4, 7/2], [0, 1/4], [0, 0]], [[5/2, 1], [-8, 285/14], [0, 0], [5/28, 1/14]], [[-4, 0], [165/7, -206/7], [0, 0], [-2/7, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1], [2171/2, -1845/4], [-3/4, 5/4], [0, 0]], [[20, -1448], [54402178/133, -50047617/133], [-13783/19, -82/19], [2/19, 1/133]], [[2553/2, -5899/2], [396269581/266, -294343933/266], [-78903/38, 22879/38], [157/532, -39/532]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[-38, 46]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, -1/2], [-19/2, 6], [0, 0]], [[-1/2, -1/2], [-48, -79], [0, 0], [-1/4, 0]], [[0, 0], [-5, -9], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35/2, -63/2], [-6, 7/2], [0, 0]], [[1, 1/2], [1241/22, 733/11], [13/22, -3/22], [3/44, 1/44]], [[0, 0], [-11, -11], [0, 0], [0, 0]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[19, -23]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29, -9/2], [-191/2, -63], [-455/2, -5/2], [0, 0]], [[-51828, 90349/2], [-184999/2, 257395/2], [-459819, 368023], [3/2, 2]], [[25676933/2, -15691419/2], [55654031/2, -33428433/2], [221107969/2, -135518067/2], [-67/2, 81/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, -1], [593/2, 73/2], [-51, -1/2], [0, 0]], [[-5392, 9417/2], [504653/2, -432801/2], [-47722, 38334], [5/2, 0]], [[103654, -51874], [-52868446/11, 26784665/11], [9677354/11, -5119666/11], [-258/11, 310/11]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[-38, 46]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -9/2], [-22, 33/2], [13/2, -7], [0, 0]], [[-291/2, -46], [485, 344], [-443/2, -59/2], [-1, -5/2]], [[-15568, 16409/2], [37750, -33239/2], [-26706, 29541/2], [55, -133/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1], [67, -84], [-3, -1], [0, 0]], [[-67, 85], [7100, -7969/2], [-267/2, 267/2], [1/2, 0]], [[11453/2, -2141], [-8850815/22, 5754857/22], [109449/11, -99305/22], [-186/11, 224/11]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[44, -66]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10737/2, 3], [-21833791/1502, 9005/1502], [43437/1502, 3/1502], [0, 0]], [[43446482, -35770309/2], [-88381185221/751, 72840244137/1502], [351596467/1502, -72405816/751], [315/751, 3/1502]], [[-6340329183/2, 1834757765], [12900004854783/1502, -7467096979911/1502], [-25657124139/1502, 14850369599/1502], [-19166/751, 9121/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14821/2, -4], [-599889069/1502, -25527/1502], [-59959/1502, -3/1502], [0, 0]], [[606622239, -7120198], [933034026543607/28538, -5704807418300/14269], [46628474851/14269, -569851919/14269], [1203/28538, -5/28538]], [[6639489128120, -3175161486440], [537602013317044955/1502, -257172341422422367/1502], [26866624105904/751, -12852111399822/751], [345256/751, -328661/1502]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-88, 11]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 3/2], [15, -1/2], [17/2, 1], [0, 0]], [[143/2, 93/2], [9697/38, 2667/38], [30, 201/4], [-29/380, -1/190]], [[1586, 1290], [102208/19, 45249/19], [755, 2509/2], [-297/190, -33/95]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -9/2], [646, -211/2], [-3/2, -6], [0, 0]], [[-17575/2, -2575/2], [-2214053973/722, 1620886749/722], [-265204/19, -3559/76], [-389/7220, -1/3610]], [[-3778555, 5645430], [-1085886763712/361, 1217811632457/722], [-551367199/76, 665537663/76], [-20175/722, 48825/1444]]], 1, 80, [], [] >,
< [ -1, -1, 1 ], [[68, -25]], [ -7819, -36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1/2], [2, 1/2], [-7, -6], [0, 0]], [[18, -6], [-53404336233/293861, -1902459/293861], [12653227/2, 27/2], [1150301/587722, 3/587722]], [[12080, -3570], [-36653271121112/293861, -2440191162990/293861], [4342167313, 288925296], [394745116/293861, 26266310/293861]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 5/2], [-17403/22, 139/22], [-412/11, 2/11], [0, 0]], [[0, 0], [-1023267/11, -2520/11], [35557096/11, -120/11], [1, 0]], [[0, 0], [-63277335867858/3232471, -4375954138773/3232471], [7481217683/11, 995545679/22], [61828407/293861, 8228115/587722]]], 1, 36, [], [] >,
< [ -1, -1, 1 ], [[-51, 49]], [ -2649, 74 ], [ -102, -34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[26856, -1/2], [-39238660/32611, -31969/32611], [548891/68, -107/68], [61221/2217548, -1/2217548]], [[8217765/2, 5344045/2], [-12013287145/65222, -7824569633/65222], [41984473/34, 27293581/34], [2341658/554387, 1522796/554387]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -3/2], [-3, 33/2], [-2, -3/2], [0, 0]], [[392391/2, -13/2], [286161931586/358721, -3034107/358721], [90982189/748, -3001/374], [627611/24393028, 1/12196514]], [[-536850162, 232832144], [-783017849257297/358721, 339588503279676/358721], [-62239575469/187, 26994103413/187], [-429326565/6098257, 186193217/6098257]]], 1, 36, [], [] >,
< [ -1, -1, 1 ], [[49, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 9/2], [149, -29/2], [-13/2, 7], [0, 0]], [[14773, 2244], [-75106, 424449], [23195, 187], [2, 1]], [[-2286229/2, 311631], [18494870, -49107385/2], [-1891882, 665110], [-269/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -1/2], [861/2, 50], [-19/2, 1/2], [0, 0]], [[51243/2, 3113], [-40430075/22, -3140937/11], [889409/22, -8539/11], [-67/22, -2/11]], [[6668753/2, 51825], [-5244496427/22, -122515832/11], [117306667/22, -6558520/11], [-8771/22, 179/11]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[349, -155]], [ -2649, 74 ], [ -102, -34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[51997, 2], [-74604238/32611, 101685/65222], [-6989349/68, 13/4], [118441/2217548, -3/2217548]], [[-369596175/2, 333268981/2], [265316668545/32611, -239102546167/32611], [24841816875/68, -5599724549/17], [-420965235/2217548, 94892460/554387]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -3/2], [-5/2, -3/2], [7/2, -3/2], [0, 0]], [[616662, 4], [2314586920047/358721, -30102521/358721], [-666285262/187, -1593/187], [493166/6098257, 1/6098257]], [[5854338833/2, -5418339241/2], [10987072775065302/358721, -10168647336536688/358721], [-12650931853119/748, 2927179533257/187], [9363874471/24393028, -2166617733/6098257]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[-155, 194]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, -2], [785/2, 49/2], [22, 11/2], [0, 0]], [[-19399, 177/2], [1851191/2, -269169/2], [49884, 388], [-5/2, 0]], [[2263149/2, -2814169/2], [-126911577/2, 65233726], [-2865122, 3627267], [145, -363/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -19/2], [-156, 435/2], [29/2, 25], [0, 0]], [[14, 1], [-646777/11, 409985/11], [296/11, 51/11], [14/11, 1/11]], [[-155/2, 97], [13428213/22, -4097376/11], [-2867/22, 2076/11], [-155/22, 97/11]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[365, -168]], [ -7819, -36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [-1, -3/2], [-94, 53], [0, 0]], [[0, 0], [-232155, 0], [307084665/2, 27], [5/2, 0]], [[0, 0], [-22797621/293861, 24422706/293861], [102619/2, -54967], [491/587722, -263/293861]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31, 1/2], [212483/11, 221/22], [10102/11, 5/11], [0, 0]], [[-1116144, -8901/2], [-2247983770864752/3232471, 51428864833029/6464942], [-1676424048/11, 4164658/11], [-570960/293861, -2/293861]], [[-3285664287/2, -232439817], [-6603552219289399911/6464942, -410143747493892969/3232471], [-4930622394439/22, -330972503509/11], [-1679854325/587722, -115099167/293861]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[70, -72]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7228, -3/2], [9170703/1502, 10011/1502], [-18235/1502, 1/1502], [0, 0]], [[663951925, -774466350], [420567421069/751, -982805726717/1502], [-837369050/751, 976943975/751], [-1713/1502, 1/1502]], [[56324729842500, -41260295527500], [71395728765738797/1502, -26162670543535901/751], [-71040853537500/751, 52043411805000/751], [-48588857/751, 41324187/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7228, 3/2], [-9140663/1502, -5505/1502], [18235/1502, -1/1502], [0, 0]], [[8493839445/2, 1997125167/2], [2685880505275/751, 1268173817537/1502], [-10714632597/1502, -1260611304/751], [-1831/1502, -1/751]], [[20881786677900, -6743930202960], [26400612538418411/1502, -4257014242120076/751], [-26339278604640/751, 8504164344540/751], [-4999763/751, 4252233/1502]]], 1, 66, [], [] >,
< [ -1, -1, 1 ], [[70, -72]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27313/2, -1/2], [17322349/1502, -5753/751], [-34453/1502, -2/751], [0, 0]], [[385181/2, -247613/2], [126651560/751, -157092695/1502], [-485825/1502, 156158/751], [3/2, 0]], [[-3731269192, 4657467635/2], [-4870366264581/1502, 3012627972763/1502], [9412453067/1502, -5874454441/1502], [-17139590/751, 7288410/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6549, -1], [5529, -5], [-11, 0], [0, 0]], [[-59145/2, 16430], [-48813583/1502, 20824305/1502], [37300/751, -41445/1502], [-810/751, -3/1502]], [[-32876228, 19802615], [-25928063310/751, 29438030281/1502], [41466719/751, -24976777/751], [-1455191/1502, 618773/1502]]], 1, 66, [], [] >,
< [ -1, -1, 1 ], [[-141, 107]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 7/2], [-41/4, 51/4], [3/4, 1], [0, 0]], [[1/2, -3/2], [-923/14, 25], [0, -1], [5/28, 1/28]], [[2, -4], [-209, 191/2], [1/2, -5/2], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 0], [-6, -7/4], [3/4, -3/4], [0, 0]], [[-5, -3/2], [-1129/28, -2/7], [4, -15/4], [5/28, -1/7]], [[-73/2, -93/2], [-6283/28, -483/2], [0, -77/4], [1/7, -4/7]]], 1, 88, [], [] >,
< [ -1, -1, 1 ], [[54, -8]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [-1/2, -4], [-15/2, 1/2], [0, 0]], [[-12, 92], [5665/38, 4469/38], [-609/4, 300], [1/76, -1/76]], [[192, 16], [49/19, 12623/38], [3163/4, -645/4], [-4/95, 7/380]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-72, 1/2], [-11565/22, 72/11], [205/22, 1/22], [0, 0]], [[311/2, -161/2], [240931/209, -126120/209], [-1365/44, 377/44], [4/95, 3/380]], [[-8229/2, 2672], [-12795389/418, 4142482/209], [30761/44, -22873/44], [-12/19, 51/76]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[54, -8]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12859/2, 1], [8169181/1502, -5519/1502], [-16223/1502, 5/1502], [0, 0]], [[125895144, 62987382], [-79957131225/751, -39952772776/751], [158818014/751, 79428912/751], [-1922/751, -2/751]], [[-264338694594, 281640447036], [336036406310283/1502, -357824968000969/1502], [-333545704362/751, 355316121342/751], [6559421/751, -10106899/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8465, -1/2], [331862165/1502, -14021/751], [-21359/1502, 1/751], [0, 0]], [[-588356859/2, 6359581/2], [63429871319032/8261, -694641706335/8261], [-4082510279/8261, 89474391/16522], [-15109/16522, -2/8261]], [[681033710327, -522284425772], [-146858418885424166/8261, 112618151410815195/8261], [9452237008551/8261, -7248409849471/8261], [17340894/8261, -13368242/8261]]], 1, 36, [], [] >,
< [ -1, -1, 1 ], [[51, -21]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1067/2, 2], [501877/2084, -839/521], [3/2, -1], [-89/521, 5/6252]], [[8, 37/2], [-7509/2084, -4333/521], [0, 0], [4/1563, 37/6252]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 11/2], [51/2, 17/2], [5/2, 3/2], [0, 0]], [[-22005/2, -31], [-209283751/11462, -9906769/11462], [105, -135/2], [-1840/5731, -1/34386]], [[-446046, -682557/2], [-1594831585/2084, -1301029849/2084], [4335/2, -1575], [-27069/2084, -5156/521]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[81, -12]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -11/2], [-27/2, 31/2], [-1/2, -5/2], [0, 0]], [[909, -387/2], [7762533/2084, 236419/1042], [-44, -76], [343/1042, 5/6252]], [[-145/2, 44], [-536733/2084, 325745/2084], [0, 0], [-145/6252, 22/1563]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 1], [-9, -4], [19, -1], [0, 0]], [[-10824, -3687], [-23228571/2084, 9236327/2084], [-188054/11, -99309/22], [16349/68772, 1/34386]], [[-26363231, 15279953/2], [-78078376103/2084, 43985584457/2084], [-952177115/22, 155907437/11], [15600115/22924, -5124068/17193]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[42, -60]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5191, 0], [8579914/751, -13766/751], [6549/751, -1/751], [0, 0]], [[575268525/2, -479475225/2], [952100779745/1502, -396375927790/751], [362927475/751, -604927575/1502], [226/751, -5/1502]], [[2617900498575/2, -1396083387825/2], [2165341951436568/751, -2310748508817531/1502], [1651514780250/751, -1761543425925/1502], [547722/751, -584073/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6311/2, -3/2], [-48755948/751, 37061/1502], [3981/751, -5/1502], [0, 0]], [[-18071219/2, 1192583/2], [1535375759817/8261, -101210429226/8261], [-125386020/8261, 16570967/16522], [-15109/16522, -2/8261]], [[-32661018543, 32382134529], [504501025282311/751, -500232622994880/751], [-41206527078/751, 40850947869/751], [-2318733/751, 2471346/751]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[54, -8]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27/2, -9], [19/2, -13/2], [0, 0]], [[-2, -4], [73/2, -59/2], [-58, 73/2], [0, -1]], [[5/2, 1], [164, -98], [-240, 148], [2, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, -115/2], [-19/2, 1], [0, 0]], [[11/2, 3/2], [59145/22, -47811/22], [4936/11, -6791/22], [41/44, -1/22]], [[99, 33], [45682, -38057], [7674, -5345], [33/2, 0]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[-27, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [100, 5/2], [-5/2, 2], [0, 0]], [[-3/2, -3/2], [25/2, -27], [0, -6], [0, -3/2]], [[1/2, -3], [-94, 77/2], [-14, 2], [-7/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 2], [101/2, 93/2], [-12, 17/2], [0, 0]], [[-60, 9/2], [-17427/11, -47227/22], [-1653/11, 1151/22], [-24/11, 1/22]], [[1015/2, -209/2], [234767/22, 296259/22], [29045/22, -12225/22], [403/22, -65/22]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[54, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[123/2, 0], [131/2, -19/2], [72, -3/2], [0, 0]], [[-137025/2, 1326], [-146377/2, 11804], [-160525/2, 3183], [5/2, 1]], [[78472285/2, -15123090], [88271199/2, -19839446], [92627445/2, -18294700], [-2415/2, 180]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[97, 5/2], [2809/2, 49], [227/2, 1/2], [0, 0]], [[5752, -4163/2], [917470/11, -326745/11], [151951/22, -27633/11], [-79/22, -5/22]], [[131365/2, -65041/2], [10460785/11, -10297075/22], [1735931/22, -430566/11], [-400/11, 100/11]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-44, 11]], [ -11, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 2], [3/2, 2], [-16, 4], [0, 0]], [[1, -5/2], [1, -5/2], [-181, 217/2], [-2, 1/2]], [[-21, -7], [-21, -7], [2321/2, -1507/2], [15/2, -25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-127/2, -13/2], [-151/2, -29/2], [-12, -8], [0, 0]], [[-7368, 2758], [-160464/19, 53578/19], [-20229/19, 1947/38], [3/19, -5/38]], [[55, -161/2], [57, -195/2], [2, -17], [0, 0]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[88, -22]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1033/2, 1/2], [-2075497/1502, 3507/751], [4177/1502, -1/751], [0, 0]], [[137472789/2, -13118784], [138169435853/751, -26627824652/751], [-277914951/751, 105873007/1502], [447/1502, 5/1502]], [[-637010886720, 504660661440], [-2564667330235503/1502, 1014610635082413/751], [2574802170496/751, -2040372224226/751], [-1745584/751, 3220593/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3053/2, 1/2], [162217235/1502, 13766/751], [12345/1502, 1/751], [0, 0]], [[-3194123807/2, 4663339/2], [1612190237407359/14269, -3106175707115/28538], [12915777895/1502, -6270404/751], [61911/28538, 1/14269]], [[-688511409089927, 634355613913784], [36563969298966539675/751, -33701994098216358340/751], [2782814612649230/751, -2564978700113257/751], [701416800/751, -647054400/751]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-66, 77]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -5/2], [49/4, -35/2], [-5, 5/4], [0, 0]], [[-16, 17], [-1963/28, 263/14], [12, -43/4], [-1/44, -1/308]], [[-3/2, 23], [-1921/28, -883/28], [15/4, -12], [-1/28, -1/28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, -1/2], [493/4, -4], [-9/2, -1/4], [0, 0]], [[20989/2, -2905/2], [7261823/38, -2584474/133], [-135523/19, 2321/19], [661/5852, -3/5852]], [[-18845607/2, 2969823/2], [-22801783957/133, 11119999823/532], [485389605/76, -19202127/76], [-26895/266, 1467/532]]], 1, 80, [], [] >,
< [ -1, -1, 1 ], [[88, -22]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13656, -1/2], [276109949/1502, -20532/751], [-34457/1502, 2/751], [0, 0]], [[-56044560, 166660714], [1133784758303/1502, -1684644889849/751], [-70738294/751, 210238952/751], [-3303/1502, -5/1502]], [[-293984146522, 313059595112], [2972609380641258/751, -3164831242643141/751], [-370952655590/751, 394954385078/751], [-4114578/751, 1524849/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4631, 3/2], [1452580967/1502, 127167/751], [11685/1502, 1/751], [0, 0]], [[722099/2, -20703/2], [2322367623561/28538, -62007599683/28538], [7625160/14269, -499105/28538], [44939/28538, 3/28538]], [[-32, 23/2], [443418841/28538, -159312073/28538], [-9185/28538, 1650/14269], [167/28538, -30/14269]]], 1, 72, [], [] >,
< [ -1, -1, 1 ], [[-66, 77]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [-44, -65/2], [-15/2, -5], [0, 0]], [[5, -3], [6057/38, -2729/38], [255/4, -25/2], [-17/380, -1/380]], [[15/2, -11/2], [2300/19, -12419/38], [-32, -234], [3/38, 9/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1/2], [-4895/2, 596], [17/2, -7/2], [0, 0]], [[563, 150], [-623915393/722, -137782071/722], [280729/76, -5020/19], [527/7220, 1/7220]], [[-8641/2, 93609/2], [3407532925/361, -50600317405/722], [-4457277/38, 9553753/38], [-6989/3610, 9399/1805]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[92, -45]], [ -2575, -74 ], [ -136, 34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-4247, 1], [-2168612859/65222, 161771/65222], [310211/34, 161/68], [-1018/32611, 1/2217548]], [[4673469/2, -3682165/2], [1193037500619/65222, -470028536275/32611], [-20072247/4, 134459145/34], [38080985/2217548, -15003475/1108774]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [-14, -35/2], [-2, -1/2], [0, 0]], [[-58740, 1/2], [-377837996771/717442, 46203367/717442], [2194189/68, -21/68], [-313509/24393028, 5/24393028]], [[-15066995/2, 7636227], [-48463906404741/717442, 24559519008067/358721], [70352124/17, -142622787/34], [-20104163/12196514, 1198715/717442]]], 1, 36, [], [] >,
< [ -1, -1, 1 ], [[-45, 47]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -2], [618, -61], [10, -8], [0, 0]], [[-2043, -1347/2], [251399/2, 1471207/2], [-7495, 21], [-3/2, 2]], [[-58931, -13383/2], [81699, 36118707/2], [-228918, 77601/2], [-56, 117/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 3/2], [976, -1687/2], [-15/2, 6], [0, 0]], [[-75/2, -23], [203879/11, 196947/22], [-1344/11, -335/11], [-7/22, -1/22]], [[-1363/2, 2709/2], [429129, -677684], [-3920, 9129/2], [-23/2, 12]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[-79, 61]], [ -7855, 36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -3/2], [2, -3/2], [11, 11], [0, 0]], [[30, -37/2], [67062840945/293861, -11151443/587722], [-15885739/2, -19/2], [-1444165/587722, 3/587722]], [[0, 0], [22797621/293861, 47220327/293861], [-5401/2, -11187/2], [-491/587722, -1017/587722]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, 5/2], [-5512/11, -71/22], [-252/11, -3/11], [0, 0]], [[-1158, -78], [-529727659746/3232471, -21756307059/3232471], [102585533/22, -3727/11], [848063/587722, -2/293861]], [[397632, -305982], [185661969217818/3232471, -141241788829497/3232471], [-18547975123/11, 13868732470/11], [-153326223/293861, 114648615/293861]]], 1, 36, [], [] >,
< [ -1, -1, 1 ], [[481, -255]], [ -7855, 36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -2], [3/2, -2], [-44, -11], [0, 0]], [[-231/2, 77], [85688596455/587722, 22859452/293861], [-193004603/2, -2717/2], [-923483/587722, -5/587722]], [[-323925/2, 125335], [197496147696099/587722, 58040239555613/293861], [-222351897949, -130546253911], [-1063897701/293861, -624619419/293861]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-47/2, -1/2], [-665125/22, -179/22], [-15824/11, -4/11], [0, 0]], [[335511, 3663], [1396317967703166/3232471, -13786756753314/3232471], [-2983791975/22, -4478917/22], [-1494445/587722, -3/587722]], [[6431612319/2, -2859516693], [27262444003911602979/6464942, -11933809135666533618/3232471], [-14419435534672/11, 12731288271689/11], [-7231596897/293861, 6377800224/293861]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[505, -272]], [ -2575, -74 ], [ -136, 34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-6462, 0], [-1656783214/32611, 160487/65222], [-6246223/68, 4], [-105837/2217548, 1/1108774]], [[-29649109/2, 14560369/2], [-7601874722439/65222, 3733300172189/65222], [-3582461059/17, 3518702253/34], [-121402115/1108774, 29809965/554387]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, -1/2], [115, 7/2], [12, -1/2], [0, 0]], [[-840315, 1823/2], [-3684039000472/358721, 3575630527/358721], [804585125/68, 15722/17], [2690705/24393028, 1/6098257]], [[-42403523567, 20164998928], [-185891916133229763/358721, 88394578723160937/358721], [10144529098043/17, -4820706815519/17], [33926714488/6098257, -16122841305/6098257]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[233, -39]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25, -1/2], [-25/2, -45], [-81/2, 1/2], [0, 0]], [[-2451/2, 693/2], [-1095/2, 1428], [2104, -581], [-2, 1/2]], [[-747661/2, 153883/2], [-240269/2, 965771/2], [1284645/2, -254409/2], [-1225/2, 205/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-36, 26], [1099, -349], [58, -42], [0, 0]], [[24811/2, -2389/2], [165889/11, 6133749/11], [-221130/11, 39351/22], [-17/22, -2/11]], [[6498659/2, -2408251/2], [-450508691/11, 2106303477/22], [-115579919/22, 21182640/11], [-2000/11, 335/11]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[-121, 121]], [ -11, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1/2], [1/2, -1/2], [66, -11], [0, 0]], [[0, 0], [0, 0], [44, -55], [-1, 0]], [[0, 0], [0, 0], [22, 11/2], [0, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-101/2, 3/2], [-89/2, -21/2], [-22, 44], [0, 0]], [[-3639/2, 3660], [-24359/38, 69884/19], [-150359/38, -5291/38], [-25/38, 5/38]], [[-4375/2, 16205/2], [7193/38, 327573/38], [-152295/19, -36630/19], [-24/19, 1/19]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[242, 0]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[693/2, -1], [2657618/751, -16047/1502], [-5291/751, 11/1502], [0, 0]], [[-6456, 3297], [-102435513/1502, 25317701/751], [77753/751, -53209/751], [-2852/751, -5/1502]], [[-99620863/2, 58995527/2], [-392856044458/751, 231032904388/751], [1274103475/1502, -403291160/751], [-17988858/751, 15680643/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3483/2, 5/2], [691215961/1502, 144667/751], [53185/1502, 11/751], [0, 0]], [[-21362032897/2, -12823283], [40274374673115347/14269, 123222952836982/14269], [163098986262/751, 996416885/1502], [33491/28538, 5/28538]], [[137567840447535, -119786359967253/2], [-518299690205465700585/14269, 450583781709680121737/28538], [-4197921745196775/1502, 1824739210979787/1502], [-215775183/14269, 188054811/28538]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[121, -242]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -1], [7/2, 35/4], [-15/4, 1/4], [0, 0]], [[79/2, -51/2], [-565/28, 493/28], [-103/4, 17], [3/28, -1/7]], [[1/2, 1/2], [-37/14, -31/14], [-1/2, -1/2], [1/28, 1/28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -5/2], [-3079/4, 107/4], [15/4, 5/2], [0, 0]], [[37035/2, -4703/2], [101046609/28, -42055959/28], [-50543/4, 61/2], [-3/28, 0]], [[6717569, -15625411/2], [235004849873/133, -736976471017/532], [-295901245/76, 420903351/76], [-17503/532, 25001/532]]], 1, 960, [], [] >,
< [ -1, -1, 1 ], [[242, 0]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[572, 5/2], [-8833043/1502, -5058/751], [17501/1502, 22/751], [0, 0]], [[1695241/2, 1132299/2], [-6526731941/751, -4336370166/751], [12945403/751, 17245031/1502], [1413/1502, -2/751]], [[113189074, -385930821/2], [-1755064220757/1502, 1486937479129/751], [3469882459/1502, -2948233314/751], [217238/751, -183311/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1707/2, 1/2], [131050826/751, -325857/1502], [13057/751, -33/1502], [0, 0]], [[-89278124, 852849/2], [-520832152079145/28538, 3435677266895/28538], [-51899701125/28538, 171716931/14269], [36137/28538, 2/14269]], [[1062488730141, -893383686095], [3103920873859436010/14269, -2606797422052774139/14269], [309303809881986/14269, -259762241529691/14269], [-214148320/14269, 180643105/14269]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[121, -242]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1/2], [21, -19/2], [-99/2, 22], [0, 0]], [[107/2, 88], [-1911/19, -2719/19], [937/4, 723/2], [-1/76, 1/76]], [[1, -1/2], [8, -86/19], [-7/2, 9/4], [7/380, -1/95]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 5/2], [823/2, -312], [-11/2, 33/2], [0, 0]], [[930, 1629/2], [-110516165/361, 47508912/361], [171933/19, 8423/76], [579/7220, 1/3610]], [[605909, 435180], [-85364249602/361, 40639583490/361], [125764775/19, -14572273/19], [105999/1805, -13083/1805]]], 1, 960, [], [] >,
< [ -1, -1, 1 ], [[150, -76]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19881/2, -7/2], [6317135/751, -18513/1502], [-12541/751, -5/1502], [0, 0]], [[-34832541, 488150679/2], [44839819877/1502, -309734207465/1502], [-87983967/1502, 307886757/751], [-4595/1502, -2/751]], [[-6239061376746, 1861653953622], [7934200734896623/1502, -2376347930199381/1502], [-7871599809336/751, 2349518233422/751], [-60429163/751, 100179059/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-39525/2, -5], [25107629/1502, -24521/1502], [-49865/1502, -5/1502], [0, 0]], [[-215650784, 7786908213/2], [280041527405/1502, -4940767344511/1502], [-545632995/1502, 4911299006/751], [3093/1502, 2/751]], [[-34497761120037/2, 4248911173357], [21920713381893579/1502, -5418341870587613/1502], [-43524241070597/1502, 10725917643499/1502], [7745562/751, -6420150/751]]], 1, 66, [], [] >,
< [ -1, -1, 1 ], [[150, -76]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7108, 1/2], [9042333/1502, -7765/751], [-17935/1502, 2/751], [0, 0]], [[13033/2, 23459/2], [-9820631/1502, -7445013/751], [8219/751, 29589/1502], [315/751, 3/1502]], [[1344345, 2834917/2], [-1051607793/1502, -1170361500/751], [3391523/1502, 1787743/751], [-132733/751, 110026/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14453/2, 3/2], [-4572333/751, -15523/1502], [9117/751, 1/1502], [0, 0]], [[-316490148, -395647902], [401248224137/1502, 502008929735/1502], [-399209850/751, -499014828/751], [1187/751, -3/1502]], [[-235555485048, -3923490068784], [152689252531666/751, 4972840680079941/1502], [-296422535448/751, -4949099868024/751], [-47792949/1502, 19807303/751]]], 1, 66, [], [] >,
< [ -1, -1, 1 ], [[-263, 151]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1], [11/2, 11/2], [-5, -3/2], [0, 0]], [[79/2, -51/2], [-4479/38, 1182/19], [743/4, -109], [-1/380, -3/380]], [[-13/2, 4], [37/2, -23/2], [-30, 37/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 0], [-45/2, 25/2], [-6, 3/2], [0, 0]], [[65/2, 64], [-2561/38, 5877/38], [61, 169], [1/190, -1/95]], [[-348, -435], [-32570/19, 7057/38], [-4271/4, -3753/4], [23/190, -7/380]]], 1, 88, [], [] >,
< [ -1, -1, 1 ], [[81, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [24, 81/2], [-15/2, 3], [0, 0]], [[7, -12], [15, 18], [78, -51], [-6, -6]], [[-45/2, 11], [0, 27/2], [-162, 99], [3/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -5], [-9/2, -81/2], [-6, -9/2], [0, 0]], [[3, 9/2], [21, 36], [-3/2, 3], [3/2, 15/2]], [[-4, -15/2], [-75/2, -54], [-15/2, 3/2], [-12, -6]]], 0, 108, [], [] >,
< [ -1, -1, 1 ], [[81, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -15/2], [33/2, -9], [-15/2, -15/2], [0, 0]], [[9/2, 7], [3/2, -33/2], [3, 21/2], [-3, 0]], [[17/2, 25/2], [21, -42], [0, 45/2], [-21/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 9/2], [57/2, -42], [-3/2, 15/2], [0, 0]], [[45/2, 55/2], [-759/2, 153/2], [105/2, 21/2], [9/2, 9/2]], [[-5/2, -37], [-1074, 1623/2], [105, -105], [3/2, -15/2]]], 0, 108, [], [] >,
< [ -1, -1, 1 ], [[9, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3], [-9/2, -9/2], [-6, 15/2], [0, 0]], [[-6, 12], [-17/2, 19/2], [-141/2, 55], [1, 5/2]], [[27/2, -12], [15, -12], [231/2, -153/2], [0, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1], [-3, 9], [3, -3], [0, 0]], [[-1/2, -1/2], [3/2, -3], [-2, 1], [0, -1/2]], [[1/2, 0], [-9/2, 3/2], [3, -3/2], [0, 0]]], 1, 2, [], [] >,
< [ -1, -1, 1 ], [[9, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [15, -21/2], [-15/2, 3], [0, 0]], [[24, 79/2], [15, 71/2], [29, 89/2], [-1, -1/2]], [[-11/2, -11], [35/2, -45/2], [-13, -17/2], [2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [-27/2, 9], [-3/2, -3/2], [0, 0]], [[0, 0], [-16, 13], [-2, 0], [0, 2]], [[0, 0], [40, -53/2], [7/2, -3/2], [3/2, -2]]], 2, 2, [], [] >,
< [ -1, -1, 1 ], [[-27, 9]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-10, 5/2], [5/2, 1/2], [15/2, 3/2], [7/2, 1/2]], [[-247/2, 133/2], [25, -10], [75, -30], [361/10, -76/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [41/2, -9], [3/2, -3], [0, 0]], [[123/2, 0], [6019/22, -699/22], [1395/22, -93/22], [72/55, -3/110]], [[4, 15/2], [315/22, 595/22], [81/22, 153/22], [9/110, 17/110]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[54, -18]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-13/2, 2], [9/2, 5/2], [27/2, 45/2], [11/5, 1/10]], [[-30, 20], [10, -10], [-12, -15], [8, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -4], [-6, -9], [0, 0]], [[-123/2, 0], [-10831/22, -485/22], [-1035/22, -63/22], [-72/55, 3/110]], [[1173/2, -425], [99969/22, -73593/22], [9435/22, -6987/22], [697/55, -1003/110]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[54, -18]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -3/2], [-16, 13], [3, -15/2], [0, 0]], [[30, 125/2], [-193/2, -42], [201/2, 114], [-7/2, -1/2]], [[-34, -107/2], [73/2, 141/2], [-699/10, -591/5], [4/5, 19/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 2], [-160, -3], [6, 0], [0, 0]], [[-10, 125/2], [-128629/22, 15561/22], [1929/110, -1689/55], [141/55, 1/110]], [[-19/2, 1005/2], [-455280/11, -514/11], [1062/11, -5151/22], [203/11, 29/11]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[18, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [21/2, 6], [-3/2, -3/2], [0, 0]], [[3/2, -3/2], [-27/2, -9/2], [3/2, -3/2], [3/2, -3/2]], [[4, -5/2], [-20, 25/2], [4, -5/2], [4, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -2], [228, 12], [6, -6], [0, 0]], [[283/2, 158], [-69119/22, -186463/11], [7957/22, 632/11], [-5/22, 2/11]], [[21/2, 37/2], [-981, -2631/2], [15/2, 24], [0, 0]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[54, -18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [-27/2, -6], [-15/2, -15/2], [0, 0]], [[23, -25/2], [-573/2, 321/2], [-115, 54], [-5/2, 2]], [[-112, 91], [1434, -2193/2], [983/2, -1041/2], [35/2, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, 5/2], [765/2, -96], [69/2, -3/2], [0, 0]], [[809, -564], [-464949/11, 329640/11], [-35091/11, 28658/11], [-25/11, -2/11]], [[1217/2, -781/2], [-351024/11, 226455/11], [-27349/11, 36945/22], [-29/22, 5/11]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[36, -9]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-9573/2, 1], [-1936357/1042, -319/1042], [1, 1/2], [-2394/5731, -1/11462]], [[-438542, 681681/2], [-354717347/2084, 137870729/1042], [56, -61], [-39867/1042, 61983/2084]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [27/2, 10], [1/2, 0], [0, 0]], [[1959/2, 2], [17814795/2084, 28889/2084], [0, 0], [1959/22924, 1/5731]], [[65661/2, -63625/2], [3285438511/11462, -6364627859/22924], [0, 0], [65661/22924, -63625/22924]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-54, 63]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 7/2], [-9/2, -5], [3/2, 1], [0, 0]], [[-7141, -2], [-1452177/521, 16587/2084], [25/2, -8], [-14291/22924, 3/22924]], [[650625/2, -1299395/2], [133138003/1042, -131914284/521], [-2595/2, 774], [162918/5731, -324974/5731]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [25/2, -2], [-1/2, -2], [0, 0]], [[198, 2], [-555065/521, 60234/521], [10144/11, 104/11], [9/521, 1/5731]], [[23137/2, -3417], [-134377145/2084, 49097295/2084], [592654/11, -174998/11], [23137/22924, -3417/11462]]], 1, 80, [], [] >,
< [ -1, -1, 1 ], [[-72, 18]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[389, 0], [-811863/751, 3762/751], [1623/751, -3/751], [0, 0]], [[-3082627/2, 1021947/2], [6436731411/1502, -1076380442/751], [-6427440/751, 4282463/1502], [-1397/751, 1/1502]], [[-12176555469/2, 11396601641/2], [12753053188165/751, -23764014287271/1502], [-25433290751/751, 47488751067/1502], [-3540809/751, 5970322/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1405/2, 1/2], [-2912298/751, -7545/1502], [-2931/751, 15/1502], [0, 0]], [[1045, -3728], [1068832913/16522, -341074947/16522], [54190/8261, -158346/8261], [-12242/8261, 5/16522]], [[99978390, 21935617/2], [11197587379010/8261, -10691576107693/8261], [8760033325/16522, 240342560/8261], [-333406219/16522, 563145537/16522]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[18, -27]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[8635/2, -5/2], [-6985211/2084, 2169/2084], [-1/2, -1/2], [2159/5731, -3/22924]], [[249/2, -82], [-50347/521, 132639/2084], [0, 0], [249/22924, -41/5731]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1], [5/2, 7/2], [3/2, -1/2], [0, 0]], [[-1365/2, -17], [-148708789/22924, -2567381/22924], [-7, -23/2], [-61/1042, 3/22924]], [[-155963/2, 51561], [-388142216/521, 1025417063/2084], [67, 80], [-14193/2084, 2337/521]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-72, 9]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1], [-7/2, -7/2], [-3/2, 5/2], [0, 0]], [[-15339/2, 16], [-9755323/1042, -34269/2084], [30, -15], [-15309/22924, 1/11462]], [[-872155, 1618481/2], [-1105394373/1042, 514512157/521], [9975/2, -3285], [-434435/5731, 403769/5731]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 5/2], [87, 39/2], [1, 3/2], [0, 0]], [[-4189/2, -5/2], [-134833465/22924, -913489/11462], [0, 0], [-4189/22924, -5/22924]], [[-155955, 67440], [-2496467203/5731, 2135528887/11462], [0, 0], [-155955/11462, 33720/5731]]], 1, 80, [], [] >,
< [ -1, -1, 1 ], [[-36, 54]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2553/2, -2], [2673948/751, -16515/1502], [-5316/751, -3/1502], [0, 0]], [[-4386918, 4384827], [-9208745830/751, 9185098312/751], [18235611/751, -18260703/751], [2582/751, 2/751]], [[-7991214429, 2328790611], [-33499569251487/1502, 9806225690331/1502], [33261647823/751, -9654636294/751], [2734263/1502, -3336771/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1860, -2], [61989843/751, 36813/751], [-7746/751, -6/751], [0, 0]], [[-40112876, 10151673/2], [-29410772576987/16522, 3678744968199/16522], [3674698251/16522, -459100329/16522], [-6548/8261, -1/8261]], [[386629033311/2, -334383989100], [70676030910277578/8261, -122699477650531047/8261], [-8828125178490/8261, 30663977151429/16522], [48162879/16522, -118015335/16522]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[45, -9]], [ -960, -36 ], [ -36, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 5/2], [5/4, 19/4], [1/2, 2], [0, 0]], [[14359/2, -1], [-2255635/1396, 5177/698], [-113192/29, 257/116], [16381/80968, 5/80968]], [[-3913321/2, 503520], [615441945/1396, -80113385/698], [61704219/58, -31793243/116], [-4463875/80968, 1147375/80968]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1], [-2, -9/2], [-1, 2], [0, 0]], [[382957/2, 15], [-259728195/15356, -193637/7678], [29967996/319, 1251/1276], [-461705/890648, -5/890648]], [[-127883730, 224944545/2], [173250473303/15356, -152531812407/15356], [-20016074800/319, 17603020643/319], [38547450/111331, -135601363/445324]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[-90, 18]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -3/2], [37, -1], [-15/2, 3], [0, 0]], [[-1/2, -15/2], [263/2, 215/2], [-114/5, -9/10], [-2/5, 3/10]], [[0, -2], [38, 23], [-6, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1], [-251, 70], [-9/2, 15/2], [0, 0]], [[-4, 2030], [2470245/22, -3019337/22], [339222/55, -639/55], [86/55, 1/110]], [[-482672, -103984], [1175555595/22, -215185500/11], [12629865/11, -16099893/11], [6341/22, -8177/22]]], 1, 80, [], [] >,
< [ -1, -1, 1 ], [[-27, 36]], [ -996, 36 ], [ -30, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -3/2], [-1/4, 1/2], [3/2, -3/2], [0, 0]], [[-233, 2], [-960559/1396, 419/1396], [76383/116, 109/58], [-3759/80968, 3/80968]], [[-3991/2, 796], [-4100133/698, 1620609/698], [651235/116, -64111/29], [-32095/80968, 12691/80968]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -5], [-61/4, -11/4], [-2, -3/2], [0, 0]], [[-385579/2, 313/2], [-10063133045/15356, -2208693/7678], [-59113833/1276, 6142/319], [-385851/890648, 1/890648]], [[32469053, -37801014], [846167892821/7678, -493367356138/3839], [2487797344/319, -5795669665/638], [32461345/445324, -18916013/222662]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[54, -72]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -2], [0, -25], [-3, -3], [0, 0]], [[-7, -12], [-59/2, -187/2], [-84/5, -132/5], [3/5, 3/10]], [[5/2, -3/2], [329/2, -201/2], [-27/5, 33/10], [9/5, -11/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1], [-290, -268], [-9/2, 15/2], [0, 0]], [[3/2, 3435/2], [-1530647/22, -5490021/22], [56868/11, 111/22], [20/11, 1/22]], [[-194223, 1498017/2], [-109013425/11, -1110468303/11], [312579027/110, -32169987/55], [54693/55, -10266/55]]], 1, 80, [], [] >,
< [ -1, -1, 1 ], [[-63, 18]], [ -3315, -36 ], [ -618, 249 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [646706/971, 1819/1942], [6101/971, 4/971], [0, 0]], [[1137838, 1], [2522347264/39811, -11145283/39811], [14840591/18449, -48722/18449], [1137838/756409, 1/756409]], [[33447464946, -86819540311/2], [74571276403532/39811, -192265437980277/79622], [438107818363/18449, -1131516319893/36898], [33447464946/756409, -86819540311/1512818]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -3/2], [5831, -3/2], [55, 0], [0, 0]], [[-4639, -8], [-160862232405/39811, 587925725508/39811], [-14714292071/405878, 56546960125/405878], [4169923/16640998, 3/16640998]], [[-260488892, 678804951/2], [-52050249573049806/39811, 3709109557705649/79622], [-4963585183326197/405878, 61486182059812/202939], [234674995095/16640998, -152481151881/8320499]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[27, -45]], [ -3351, 36 ], [ -489, 120 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 0], [-112, 0], [-1, 0], [0, 0]], [[-1024, 5/2], [-6121995304/39811, 22279589/79622], [-13913730/18449, 46062/18449], [381430/756409, -1/756409]], [[38398713/2, -32342239/2], [229446959219133/79622, -193336158413539/79622], [522129160545/36898, -439525042825/36898], [-14273778465/1512818, 12041724765/1512818]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -2], [-28043, -2], [1, 0], [0, 0]], [[31460, 55/2], [-104959623134050/437921, -140809183481795/875842], [1822039949/202939, 2326478515/405878], [559243/756409, 5/1512818]], [[854022037/2, -719317247/2], [-30276370502911023/21362, 51162050772243333/21362], [11448387765493/202939, -18333632734265/202939], [185274271/18449, -155962235/18449]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[477, -216]], [ -3315, -36 ], [ -618, 249 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1], [-6199885/1942, -1501/971], [-29231/971, -5/971], [0, 0]], [[1127899, -7/2], [-49357187192/39811, 24364309519/79622], [361506465/36898, 53257943/18449], [2256329/1512818, -2/756409]], [[170144491171/2, -75314429095], [-9072455737786883/79622, 3401169460282943/39811], [10077100150059/18449, -11608885759482/18449], [85092170816/756409, -75332144632/756409]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [-28696939/971, 759/1942], [-270735/971, -1/971], [0, 0]], [[47962207/2, -1/2], [-3092096946199763/79622, 1030615636470557/79622], [-73690572040473/202939, 49562509993641/405878], [22886209/8320499, 3/16640998]], [[740209602680938, -1310485353146395/2], [-61800808209007473411566/39811, 88137816683428174629671/79622], [-2951665833631620581721/202939, 2101270873501879380387/202939], [706414130410455/8320499, -625326548204065/8320499]]], 1, 1280, [], [] >,
< [ -1, -1, 1 ], [[306, -45]], [ -3351, 36 ], [ -489, 120 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 3/2], [150711/1942, 3801/1942], [692/971, 4/971], [0, 0]], [[571709, 1], [11317397897/39811, -686462192/39811], [159628417/18449, -5733251/36898], [572145/756409, -3/1512818]], [[-170625398677/2, 100247642079], [-3618400083774977/79622, 1966542459136869/39811], [-24323093580864/18449, 27915523339536/18449], [-85378199501/756409, 100324028184/756409]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-32, -3/2], [30374071520/10681, -256427/21362], [-1082944/10681, 4/10681], [0, 0]], [[-44150478, -927/2], [1744121763541634982/437921, -156169594485919019/875842], [-28815275700690/202939, 2580265082893/405878], [572145/756409, -3/1512818]], [[-2694301398717, 3166033442416], [112036530389143376047447/437921, -124236640773918641374180/437921], [-1851001290563666561/202939, 2052558439767680804/202939], [34915926381/756409, -41028472289/756409]]], 1, 1280, [], [] >,
< [ -1, -1, 1 ], [[225, -72]], [ -996, 36 ], [ -30, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, -3/2], [-29/2, -5/4], [-65/2, -1], [0, 0]], [[15455/2, -48], [2079067/698, 24453/1396], [-2383421/58, 9289/116], [15133/80968, -1/20242]], [[-1965366, 662467], [-263324469/349, 173983383/698], [302662338/29, -101304358/29], [-480152/10121, 320527/20242]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -1], [385/4, -17/4], [-17, 1/2], [0, 0]], [[-182657/2, 278], [-202951/2, -13565/4], [430783/2, 2943/4], [3/8, 0]], [[-2093663883/2, 827232961/2], [-4401260964413/3839, 6662803000265/15356], [1571141035025/638, -616197281571/638], [1911867571/445324, -376390055/222662]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-450, 144]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 17/2], [11, -2], [-21/2, 33], [0, 0]], [[-132, 155/2], [67, -207/2], [-5439/10, 1659/5], [-17/10, 2/5]], [[3/2, 5/2], [75/2, 131/2], [-6/5, -21/10], [2/5, 7/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -3/2], [-842, -11], [-18, -9/2], [0, 0]], [[-33007/2, -2133/2], [-72798401/22, 14188871/22], [-3662877/55, 48663/110], [-31/55, -1/110]], [[-1307313/2, 1410281/2], [-1845086344/11, 1552025316/11], [-156223644/55, 312829041/110], [-1292/55, 1324/55]]], 1, 1440, [], [] >,
< [ -1, -1, 1 ], [[234, -81]], [ -960, -36 ], [ -36, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 3/2], [-47/4, 5/2], [26, 1/2], [0, 0]], [[-20875/2, 2990], [6491701/1396, -3070909/698], [1495235/29, 1371377/116], [-24103/80968, 5/80968]], [[25604749/2, -11584727/2], [-2335777927/349, 7078967621/1396], [-3170783467/58, 814920411/116], [27339687/80968, -7774785/80968]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 5/2], [579/4, 9/2], [45, 1/2], [0, 0]], [[-580069/2, 3522], [2591014431/15356, 135982999/7678], [-32791521/319, 5799435/1276], [722347/890648, 3/890648]], [[2129666610, -576671824], [-9220946007073/7678, 1757080230911/7678], [242803805056/319, -70874444539/319], [-1321795275/222662, 347219625/222662]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[162, -306]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1/2], [-6, 5], [-39, 27/2], [0, 0]], [[-6, -5/2], [89/2, 13/2], [1113/10, 177/5], [-8/5, -3/10]], [[-7, -33/2], [30, 96], [1101/10, 1419/5], [-6/5, -18/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 2], [-25, 43], [3/2, 45/2], [0, 0]], [[250, 85/2], [-83946/11, -120079/22], [164319/110, -11304/55], [247/110, -2/55]], [[-268305, -43275], [179435089/22, 126679471/22], [-88382262/55, 12727839/55], [-132731/55, 6289/110]]], 1, 1440, [], [] >,
< [ -1, -1, 1 ], [[117, -27]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[313, 1], [-349845/2084, 3195/1042], [-1, 5/2], [621/2084, -1/2084]], [[-22029/2, 2699], [6188231/1042, -3215785/2084], [57, -75], [-21879/2084, 2717/1042]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 3], [7/2, 45/2], [3/2, 3/2], [0, 0]], [[640, 17], [-7984605/22924, 634214/5731], [7, 17/2], [1263/22924, 3/22924]], [[8175/2, -3619], [-33312889/11462, 23755679/11462], [-5/2, -65/2], [2060/5731, -1792/5731]]], 1, 160, [], [] >,
< [ -1, -1, 1 ], [[-171, 207]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -5/2], [-11/2, -3], [-3/2, -1], [0, 0]], [[-1829, -15/2], [-13325845/2084, 26219/2084], [-10, 5], [-917/521, -5/2084]], [[205559/2, -135472], [754821595/2084, -985615811/2084], [935, -1305/2], [51716/521, -271509/2084]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 3/2], [183/2, -5], [3/2, 0], [0, 0]], [[23771/2, -9], [-3264271710/5731, 1612357/11462], [-25/2, 5/2], [11883/11462, 1/11462]], [[2940559/2, -3213663/2], [-1614308264619/22924, 882649310069/11462], [-1883, 1661], [2937237/22924, -3213219/22924]]], 1, 960, [], [] >,
< [ -1, -1, 1 ], [[-234, 54]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8586, 5/2], [-32708979/1502, 4527/1502], [64983/1502, -9/1502], [0, 0]], [[14055525, 11358], [53545291623/1502, 25726106/751], [-53189514/751, -51111/751], [59/751, 3/1502]], [[-696909843, 57193209], [-1327441292526/751, 108754241316/751], [2637242415/751, -216063234/751], [-2919/751, 174/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-30029/2, 3/2], [-910717473/1502, -30798/751], [113637/1502, 3/751], [0, 0]], [[-492784554, 83923799/2], [-164396383971971/8261, 27947187453869/16522], [41026680081/16522, -3487974009/16522], [13248/8261, -1/16522]], [[-5698183059477/2, 395431782799], [-950468312500195985/8261, 131782516356542113/8261], [118599325297317/8261, -32891534143665/16522], [152419125/16522, -9059035/16522]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[153, -63]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[625, 17/2], [89033/521, 3509/1042], [5/2, 5/2], [310/521, 1/1042]], [[33737/2, -18283/2], [2394926/521, -5181981/2084], [31, -6], [33687/2084, -18321/2084]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -2], [-6, -37/2], [-1, -1/2], [0, 0]], [[11673, -10], [-1747917893/22924, 67504/5731], [19/2, -19/2], [11673/11462, -1/22924]], [[-7832323/2, -496925], [293229818709/11462, 18718535243/5731], [-2780, 6375/2], [-3916569/11462, -250260/5731]]], 1, 160, [], [] >,
< [ -1, -1, 1 ], [[243, -36]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -3/2], [-13/2, 6], [-3/2, 0], [0, 0]], [[-509, -5], [-4496171/2084, -16327/1042], [1/2, -3/2], [-254/521, -5/2084]], [[-3883/2, -159], [-17146565/2084, -678689/1042], [3/2, -6], [-1937/1042, -297/2084]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -3/2], [-3/2, -13/2], [7/2, -5/2], [0, 0]], [[2264, 1/2], [15916429/2084, -391909/2084], [249237/22, 51/11], [-4887/22924, -1/11462]], [[-956820, 417656], [-1699906796/521, 757594973/521], [-52662396/11, 22983660/11], [516298/5731, -225330/5731]]], 1, 960, [], [] >,
< [ -1, -1, 1 ], [[126, -180]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6785/2, -5/2], [6460773/751, 30075/1502], [-12840/751, -15/1502], [0, 0]], [[-113404189/2, 47259347], [215686277145/1502, -89973342152/751], [-429305019/1502, 357743837/1502], [3335/1502, -1/751]], [[1033778569914, -553250802804], [-1967092114860561/751, 1052183525896761/751], [3913141899006/751, -2094418593198/751], [-16100343/751, 17170272/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19407/2, 1/2], [-36691527/751, -3039/1502], [-36726/751, 15/1502], [0, 0]], [[489/2, -193], [1209276699/16522, -15367309/16522], [-7071/16522, -84607/16522], [3424/8261, 2/8261]], [[6916, -3782], [18588842357/16522, -10046507912/8261], [650047/8261, 121192/8261], [103753/16522, -113919/16522]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[27, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -5/2], [39, -69/2], [-3/2, -3], [0, 0]], [[2, 0], [-29, 30], [2, 0], [2, 0]], [[1/2, 0], [-1/2, 3], [1/2, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 5], [39/2, 99/2], [6, 9/2], [0, 0]], [[3, -2], [-95/2, 93/2], [29/2, -9], [1, -3/2]], [[-3/2, 1], [29, -43/2], [-8, 5], [-1/2, 1/2]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[162, -54]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, 57/2], [15/2, 0], [0, 0]], [[1, 5/2], [53/2, -16], [-7/2, 13/2], [-1/4, 3/4]], [[-1/2, -1/2], [5/2, 2], [-1/2, 1/2], [-1/4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -93/2], [-3/2, 3], [0, 0]], [[-1, -7/2], [257/2, -201/2], [-53, 69/2], [3/4, -5/4]], [[15, 45/2], [417/2, 39], [-117/2, 45/2], [15/4, 15/4]]], 1, 144, [], [] >,
< [ -1, -1, 1 ], [[108, -81]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -7/2], [174, -231/2], [3/2, -6], [0, 0]], [[30, 97/2], [681/2, -101/2], [39, 53], [-3/2, -1]], [[-15, -47/2], [-2487/2, 692], [-75/2, -29/2], [3, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 0], [294, -183], [-6, 3], [0, 0]], [[-14, -39/2], [139/2, 61/2], [-16, -22], [-5/2, -1]], [[151/2, 68], [-1525/2, 349/2], [88, 151/2], [28, -7]]], 1, 72, [], [] >,
< [ -1, -1, 1 ], [[-108, 27]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 4], [528, 120], [6, 3], [0, 0]], [[185/2, 82], [30052, -15765/2], [302, -27], [1/2, -3/2]], [[-219/2, 1210], [-957663/2, 383685], [-8283/2, 3870], [-51/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3], [705/2, -411/2], [6, -15/2], [0, 0]], [[465/2, 317], [16171/2, -7013], [875/2, 257], [5/2, 2]], [[-801/2, -31/2], [-191181/2, 120453/2], [-4581/2, 2229/2], [-21/2, 9/2]]], 1, 144, [], [] >,
< [ -1, -1, 1 ], [[-54, 81]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -5/2], [282, -177/2], [-3/2, -3], [0, 0]], [[-5/2, 2], [-1909/2, 604], [-5/2, 2], [-5/2, 2]], [[-7, 11], [-3443, 2332], [-7, 11], [-7, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -7/2], [-1161/2, -174], [9/2, -15/2], [0, 0]], [[-22, 55/2], [12991, -5825], [-449/2, 155], [1/2, -5/2]], [[1/2, 1/2], [-55/2, -55/2], [1/2, 1/2], [1/2, 1/2]]], 1, 144, [], [] >,
< [ -1, -1, 1 ], [[-351, 81]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -1/2], [849/2, 81], [39/2, -9/2], [0, 0]], [[319/2, 19/2], [35245/2, 6821], [760, -44], [1, 5/2]], [[2256, -1541], [191836, -142625], [11639, -7771], [-10, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29/2, -1], [915/2, -333/2], [-69, 9/2], [0, 0]], [[19986, 498], [-1283541/2, 246776], [95652, -19819/2], [3/2, -1/2]], [[795187/2, 159083/2], [-23746637/2, 3544766], [1861048, 95359], [28, -13/2]]], 1, 1440, [], [] >,
< [ -1, -1, 1 ], [[189, -270]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, -4], [-105/2, -609/2], [-102, -15/2], [0, 0]], [[-66587/2, -25617/2], [-155090, -1043659], [-361081, -30811/2], [-5/2, 1]], [[-493155/2, -955607], [-43437759/2, -24395677], [-184635/2, -7860599], [45/2, -32]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, 5/2], [-1017/2, 222], [153/2, 3/2], [0, 0]], [[22769/2, 3521], [-1705073/2, 384200], [252113/2, -2468], [-1/2, 1]], [[199473, 46069/2], [-33500847/2, 8374618], [4649367/2, -782357/2], [-12, 17]]], 1, 1440, [], [] >,
< [ -1, -1, 1 ], [[20, -10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 0], [-10, 20], [4, 2], [0, 0]], [[61/2, -19], [315, -423/2], [-42, 21], [-3/2, -1/2]], [[63/2, -39/2], [337, -199], [-40, 55/2], [-1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1], [9/2, 27/2], [0, -5/2], [0, 0]], [[-10, 15/2], [-91/2, -7], [37/2, -7/2], [1, 1]], [[255/2, -157/2], [711/2, -453/2], [-359/2, 225/2], [-7/2, 5/2]]], 2, 3, [], [] >,
< [ -1, -1, 1 ], [[20, -10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [6, -39/2], [1/2, -1], [0, 0]], [[2, -1], [62, -37], [-2, 1], [2, -1]], [[-1, -3/2], [-6, -19/2], [1, 3/2], [-1, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1], [-15, 10], [3, -1], [0, 0]], [[3/2, 5/2], [1/2, -5], [-3, -10], [1, -1/2]], [[1/2, 1], [-1/2, -3/2], [-2, -7/2], [0, 0]]], 1, 3, [], [] >,
< [ -1, -1, 1 ], [[100, -50]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1/2], [35, -45/2], [5/2, 0], [0, 0]], [[5, 9/2], [-105/2, 55/2], [-15, -20], [1/2, -1]], [[0, 1], [15, -10], [-1, -3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -3/2], [-321/2, 76], [-17/2, -1/2], [0, 0]], [[177/2, 299/2], [-2579/2, -2211], [-330, -540], [-4, 1/2]], [[51, 103], [-695, -1550], [-210, -360], [-10, 5]]], 0, 50, [], [] >,
< [ -1, -1, 1 ], [[50, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3/2], [-18, 7/2], [-5/2, 5], [0, 0]], [[-10, -1], [103, -66], [21, -17], [-14, -2]], [[-4, -53/2], [-140, 155/2], [-37, 13/2], [-7, -77/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, 3/2], [22, -93/2], [19/2, 1], [0, 0]], [[330, 49/2], [201/2, 8143/2], [-700, -420], [-29/2, -1]], [[-1018, -5], [501, -11787], [2086, 1078], [45, 0]]], 0, 50, [], [] >,
< [ -1, -1, 1 ], [[150, -50]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 9/2], [-17/2, 2], [0, 0]], [[-17/2, 5/2], [-970, -855], [-546, -533], [29/4, 1/2]], [[-231/2, 99/2], [-19619/2, -10977/2], [-5369, -7189/2], [363/4, -33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [77/2, -22], [-23/2, 1/2], [0, 0]], [[-3/2, 1/2], [1/2, 14], [-29/2, -57/2], [5/4, 0]], [[-17/2, 3], [0, 75], [-75, -150], [7, -1/4]]], 0, 150, [], [] >,
< [ -1, -1, 1 ], [[30, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1/2], [3, -1], [7/2, -2], [0, 0]], [[-31/2, -3/2], [23/2, 14], [14/5, -31/10], [-31/10, -3/10]], [[-105, 105], [-10, -70], [42, -21], [-21, 21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 3/2], [-10, 10], [-9, 11/2], [0, 0]], [[0, 0], [-11, -8], [-8/5, -4/5], [6/5, -2/5]], [[0, 0], [13/2, 19/2], [3/5, 4/5], [-1/5, -1/10]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[150, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [34, -8], [-1/2, 1], [0, 0]], [[0, 0], [-19, 33], [-4, 4], [-2, 2]], [[0, 0], [59, -31/2], [9, -4], [9/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1/2], [42, -29], [2, -3/2], [0, 0]], [[0, 0], [-24, -139/2], [3, 2], [3/2, 1]], [[0, 0], [-405, 1385/2], [-65, 20], [-65/2, 10]]], 0, 240, [], [] >,
< [ -1, -1, 1 ], [[15, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-7/2, -5], [-1/2, -3/2], [-1/2, -3/2], [-2, -3/2]], [[2, -4], [-7/2, 3/2], [-7/2, 3/2], [8, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13/2, -10], [-1/2, 0], [0, 0]], [[-1/2, 1/2], [-149/22, 53/11], [-5/22, 2/11], [-5/22, 2/11]], [[0, 0], [-1, -4], [0, 0], [0, 0]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[30, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[1/2, 1/2], [0, 1/2], [0, 1/2], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, -5/2], [-287/22, 183/11], [25/22, -65/11], [5/22, -15/22]], [[-1, 1], [199/11, -135/11], [-36/11, 31/11], [-5/11, 4/11]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[30, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [-2, -1], [-15/2, 5], [0, 0]], [[-19/2, 5/2], [-3/2, 3/2], [-116/5, 139/10], [-3/5, -3/10]], [[-7/2, -11/2], [1/2, 1], [-2/5, -7/10], [-7/10, -11/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -3/2], [-4, -22], [6, -9/2], [0, 0]], [[-175/2, -7], [-5939/11, -5253/22], [-5901/110, -513/110], [-193/110, -2/55]], [[-21565/2, 3415], [-1267785/22, 113603/22], [-725313/110, 226981/110], [-12152/55, 8463/110]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[30, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -1], [-11, -28], [-21, -3], [0, 0]], [[-49, -7/2], [651/2, 609], [627/2, 361/2], [2, 1]], [[-161/2, 56], [-311/2, -54], [659/2, -273], [5/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -2], [-471/2, 97/2], [-27, 3/2], [0, 0]], [[145/2, -187/2], [-19234/11, 102281/22], [-3345/22, 6904/11], [4/11, -1/11]], [[-85, 493/2], [-3292/11, -309247/22], [-2632/11, -43531/22], [-9/11, -1/22]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-40, 10]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -5], [-12, -13], [-1, -2], [0, 0]], [[-2, -1/2], [97/2, -35], [-7/2, 3/2], [0, 0]], [[0, 0], [15/38, -13/19], [0, 1/4], [1/76, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -2], [-38, -12], [-2, 0], [0, 0]], [[-209/2, -19], [-14581/22, -2413/22], [-399/11, 95/22], [0, 0]], [[1/2, 0], [377/209, -381/418], [-1/11, 1/44], [1/76, 0]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-40, 10]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1862, 2], [-1712509/751, -9267/751], [3424/751, 2/751], [0, 0]], [[1209622, 6710332], [-2278200683/1502, -6203118317/751], [2216711/751, 12332388/751], [1381/1502, 3/1502]], [[-1364611351, 693961237/2], [2507431896319/1502, -315104374372/751], [-5020534137/1502, 639405754/751], [255471/751, -186394/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14865/2, 5], [27354227/1502, 9501/1502], [27335/1502, 5/1502], [0, 0]], [[-32349361, 2778897], [-1302459758643/16522, 112890091883/16522], [-654311908/8261, 56503537/8261], [17378/8261, 1/16522]], [[-5187989133135, 3672477079641], [-9499590090075258/751, 6722886933396886/751], [-9542461483010/751, 6753927847455/751], [238426744/751, -173795508/751]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[-60, 15]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [-33/2, 18], [7/2, 3], [0, 0]], [[-468, -7/2], [49813/4, -203/4], [-5737/2, 6], [-1/12, 0]], [[1028, 12421], [-24555531/1042, -170075694/521], [5578, 75354], [955/5731, 75445/34386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35/2, -5/2], [-253/2, -7], [-275/2, 0], [0, 0]], [[-757, 15/2], [-4747245/1042, 31400/521], [-3373/2, 111/2], [-943/34386, 1/34386]], [[28495/2, -14264], [179290059/2084, -89448075/1042], [714397/22, -349473/11], [17591/34386, -1077/2084]]], 1, 32, [], [] >,
< [ -1, -1, 1 ], [[45, -25]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, 9/2], [40, -35/2], [17/2, -7], [0, 0]], [[481/2, -281/2], [-2459/2, 1749/2], [-681/2, 361/2], [1/2, -1/2]], [[-48, 28], [249, -178], [68, -36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -3/2], [-241/2, 71], [-9/2, 3/2], [0, 0]], [[-5/2, 2], [315/2, -151/2], [5, -1/2], [1, 1]], [[-21, 25/2], [1131, -720], [57/2, -20], [3/2, -5/2]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[225, -125]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, -5/2], [-482, 33/2], [-29/2, -1], [0, 0]], [[233/2, -1683/2], [24095/2, 70650], [600, 2400], [-9, 1/2]], [[8992, -21224], [-83515, 1641610], [3030, 54540], [-280, 70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [-77, 83/2], [5/2, -5], [0, 0]], [[-5, 9/2], [568, -341], [-65/2, 20], [-5/2, 5/2]], [[-11/2, -9], [-99/2, -81], [11/2, 9], [-11/2, -9]]], 0, 120, [], [] >,
< [ -1, -1, 1 ], [[-40, 10]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [147/2, -50], [-17/2, 9/2], [0, 0]], [[-3/2, -3/2], [-672, 414], [72, -44], [-3/4, 0]], [[-1, -3/2], [-128, 79], [14, -8], [-1/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67, 71/2], [-7/2, 2], [0, 0]], [[-9/2, -3/2], [-176, -51], [30, 0], [-3/4, 0]], [[8, -8], [3598/11, -3501/11], [-800/11, 640/11], [20/11, -16/11]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[20, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 3], [407/2, -79/2], [4, -11/2], [0, 0]], [[-3019/2, 386], [28373, -74459], [5285/2, 735/2], [2, 5/2]], [[158943, -192257/2], [-13252179/2, 8628193/2], [-221760, 129360], [-95/2, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 2], [117, -74], [4, -3], [0, 0]], [[-61/2, -17/2], [-11003/22, 3089/22], [1075/22, 515/22], [-57/22, -5/22]], [[-361/2, 161], [-100557/22, 68889/22], [2560/11, -5295/22], [-200/11, 160/11]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[-40, 10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -5/2], [-567/2, 2], [-31/2, -3/2], [0, 0]], [[133, -79/2], [-8167/2, 259/2], [-228, -21], [-3/2, -1]], [[-3876, 2208], [105007, -54384], [5498, -2687], [25, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, 2], [351, 43], [12, 1], [0, 0]], [[25, 175], [-191551/22, -190849/11], [-2435/11, -12285/22], [35/22, 5/22]], [[977/2, -42], [-504231/22, -370573/22], [-10759/11, -7573/22], [-63/11, 57/11]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[-20, 30]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [-5/4, -2], [1/2, 1/4], [0, 0]], [[2, -1/2], [-69/14, 73/14], [0, 0], [1/77, -1/308]], [[0, 0], [2, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -5/2], [-525/4, -273/4], [-1/4, -2], [0, 0]], [[252, 122], [-1146448/77, 1718286/77], [3468/11, -76/11], [0, 1/77]], [[-1295/2, 335/2], [1166923/14, -1750073/28], [-4215/4, 1975/4], [3/154, -1/44]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-20, 30]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1577, -1/2], [2908381/1502, 8013/1502], [-5797/1502, -1/1502], [0, 0]], [[5370, -5993815], [-12441639/751, -5544019263/751], [-4475/751, 11021925/751], [1, 0]], [[1504389390, -436401105], [2771734149903/1502, -798575517343/1502], [-2764650525/751, 801136875/751], [485573/1502, -188276/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7993/2, 5/2], [-29589133/1502, 4258/751], [14691/1502, -1/751], [0, 0]], [[238735179, 8089074], [19442067102725/16522, 665578766667/16522], [-4826678607/8261, -165987251/8261], [21357/16522, 1/8261]], [[687557718630, -542197394775], [27988769026085034/8261, -22075415406354764/8261], [-13895235312325/8261, 10960366168945/8261], [31581686/8261, -24491825/8261]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[-30, 45]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1], [-13/2, 21/2], [-17/2, 9/2], [0, 0]], [[3409/2, 17/2], [-53044841/1042, 131735/2084], [-21101/2, 38], [-6987/22924, -1/17193]], [[-123105, 17615/2], [3832901949/1042, -296147073/1042], [1524985/2, -60565], [252405/11462, -9585/5731]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 0], [-577/2, 59/2], [-15/2, 5/2], [0, 0]], [[-701/2, 54], [284484607/2084, 10653571/2084], [-2123, 37/2], [-785/11462, -5/68772]], [[10535, -16587/2], [-80186727161/22924, 36021218999/11462], [113337/2, -98405/2], [124657/68772, -36335/22924]]], 1, 32, [], [] >,
< [ -1, -1, 1 ], [[55, 0]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1], [-111/2, 19/2], [-5/2, 0], [0, 0]], [[53/2, 10], [-3337/28, 4429/28], [-13/4, 9], [51/308, 1/308]], [[2039/2, 447/2], [-156465/28, 43327/7], [-351/2, 1339/4], [513/77, -54/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1], [708, 189/4], [11/4, -7/4], [0, 0]], [[262, -1/2], [47725/19, -3829855/532], [-12735/76, -75/76], [-849/5852, -5/5852]], [[-737426, 229149/2], [-1354367858/133, 9697239047/532], [35800995/76, -5332665/76], [2386733/5852, -355511/5852]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[175, -125]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [145/2, 0], [-1/2, -3/2], [0, 0]], [[-9/2, -5/2], [337/2, 118], [0, 0], [-11, -1/2]], [[7/2, -35/2], [-101/2, 676], [0, 0], [28, -77/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -3/2], [-259/2, 109], [35/2, -25/2], [0, 0]], [[39/2, -49/2], [-4431/2, 3597/2], [597/2, -419/2], [3/2, -1/2]], [[-12, -22], [317, 776], [-10, -50], [0, 0]]], 0, 120, [], [] >,
< [ -1, -1, 1 ], [[35, -25]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 1], [15/2, 95/2], [6, 1/2], [0, 0]], [[-7/2, -1/2], [9/2, 177/2], [9/2, -1/2], [-1/2, -5/2]], [[-19/2, 17/2], [-199, 33], [15, -23/2], [9/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [38, -17/2], [3/2, 2], [0, 0]], [[1/2, -3/2], [-1033/2, 757/2], [1/2, -3/2], [1/2, -3/2]], [[-3/2, 15/2], [4425/2, -3389/2], [-3/2, 15/2], [-3/2, 15/2]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[-20, 30]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -4], [2, -4], [0, 0]], [[9/2, 7], [21/2, -59/2], [41, -59/2], [1, 5/4]], [[6, 27/2], [-302, 146], [-588, 356], [-3/4, 15/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13/2, -85/2], [-7, 13/2], [0, 0]], [[-12, -1], [438/11, 31499/22], [6241/22, -2456/11], [-19/22, 1/22]], [[17/2, -119/2], [145111/22, 57825/11], [-29589/22, 11543/22], [51/44, -85/22]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[10, -15]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, -2], [-81/2, 27/2], [-11, -1/2], [0, 0]], [[-4833/2, 1678], [15304, -21151/2], [3150, -2619], [1/2, -3/2]], [[49359, -32880], [-312429, 207468], [-65752, 49287], [-14, 24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 3/2], [-385/2, 5], [17/2, 1/2], [0, 0]], [[26, 211/2], [72427/22, 153231/22], [-1953/11, -3819/11], [23/22, 2/11]], [[79, 1096], [294002/11, 750616/11], [-16674/11, -37029/11], [152/11, -8/11]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[-20, 30]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1], [499/2, 17/2], [2, -3/2], [0, 0]], [[2, 1], [-27, 209], [0, 0], [-1, 2]], [[3/2, 0], [-86, 275/2], [0, 0], [-3/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 3/2], [-277, -287/2], [7/2, -2], [0, 0]], [[-2, 1/2], [-1087/2, -1445/2], [5, 0], [1/2, 0]], [[-6, 4], [-900/11, 4804/11], [140/11, -100/11], [14/11, -10/11]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[55, 0]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 5], [-9, -18], [1, 2], [0, 0]], [[3/2, 0], [-553/38, 317/38], [5/2, -1], [1/19, -1/38]], [[-1/2, 0], [153/38, -46/19], [-3/4, 1/4], [-1/38, 1/76]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 7/2], [1593/2, 46], [-3/2, 5/2], [0, 0]], [[23620, 23515], [-763287539/361, 2270041007/361], [450774/19, -1991/19], [5/361, -1/361]], [[269700, 713400], [48104014884/361, 23591050419/722], [-13223671/76, 33721309/76], [-55/361, 329/1444]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[55, -30]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[1269/2, 11/2], [1347, 5/2], [-6612/7, 1], [1/7, 0]], [[-158725, 190991/2], [-1867022441/5518, 561867285/2759], [475365/2, -286165/2], [-99115/2759, 119325/5518]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[-50895, -1/2], [15331083819/60698, 73079/30349], [-939619/77, 129/77], [57306/212443, 1/212443]], [[-146282339/2, 33154507], [22032292916353/60698, -9987124550561/60698], [-385833105/22, 87457741/11], [23529751/60698, -10665851/60698]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[-50, 10]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 1/2], [1/2, 0], [1, 0], [0, 0]], [[0, 0], [58681/2759, -24745/2759], [199/14, -6], [-83/38626, 5/5518]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [-1/2, 0], [1, 0], [0, 0]], [[0, 0], [19609465692/30349, 79235/30349], [13732193/154, 459/77], [256181/424886, 5/424886]], [[0, 0], [-56040117734937/30349, 43639929497875/30349], [-5606010343/22, 15279897177/77], [-104586811/60698, 570116075/424886]]], 1, 36, [], [] >,
< [ -1, -1, 1 ], [[-50, 10]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [53/2, 35], [-1/2, -3/2], [0, 0]], [[-1, 0], [7, -8], [0, 0], [-1, 1/2]], [[1, 1/2], [0, 6], [0, 0], [3/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1953, -510], [-7, 4], [0, 0]], [[-2, -1], [75924495/11, 168586441/22], [-198651/22, 91/11], [-7/22, -1/22]], [[41/2, -99/2], [329111192/11, 3916109355/22], [4414765/22, -2373920/11], [263/44, -169/22]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[-50, 35]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25, -5], [-19/11, -85/33], [-16/11, -5/33], [0, 0]], [[32339/2, -23007/2], [-1565/66, -5669/22], [66797/66, -15463/22], [29/66, -5/66]], [[521066, -373126], [-31454/33, -284590/33], [2153329/66, -1503571/66], [315/22, -49/22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35, -5/2], [-30, 1/2], [1, 0], [0, 0]], [[4854, 115/2], [137972/33, -6591/22], [-4586/33, 83/11], [2/33, -1/33]], [[171155/2, 59904], [417151/6, 1363096/33], [-77215/33, -95309/66], [23/33, -1/6]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[30, -40]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[69/2, 5], [853/66, 15/11], [89/66, 5/22], [59/66, 5/66]], [[-387/2, 145/2], [-4867/66, 635/22], [-247/33, 30/11], [-170/33, 68/33]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -2], [-103/66, 476/33], [-4/33, -5/33], [0, 0]], [[2, 5/2], [4729/11, -5057/22], [-2/11, -5/22], [2/33, 5/66]], [[56, -13], [641723/11, -394327/11], [-56/11, 13/11], [56/33, -13/33]]], 1, 36, [], [] >,
< [ -1, -1, 1 ], [[30, -40]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [171/2, -27/2], [6, 1/2], [0, 0]], [[-9/2, -13/2], [2286, 12], [165, 45], [-5/4, -1]], [[-7, 0], [25061, -29603/2], [3045/2, -870], [-7, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [696027/22, 11357/22], [155/11, 5/22], [0, 0]], [[4, 13/2], [10823886/11, -228853/22], [9639/22, -54/11], [3/4, 5/4]], [[0, 0], [13274663/22, -4131928/11], [5913/22, -3681/22], [0, 0]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[60, -10]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -15], [-8, 6], [0, 0]], [[0, 5/2], [-105/2, 8], [-7/2, -1/2], [-5/4, 5/4]], [[-1/2, 1/2], [-27, 18], [0, 0], [-3/4, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-409075/11, 6741/22], [261/22, -1/11], [0, 0]], [[-4, -6], [25628069253/22, 153979115/22], [-4087872/11, -53907/22], [-1, -1]], [[5/2, 12], [150277607900/11, -105690977332/11], [-47921058/11, 33708636/11], [-7/2, 19/4]]], 1, 36, [], [] >,
< [ -1, -1, 1 ], [[-30, 5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 7/2], [-331/2, 41], [17/2, -9/2], [0, 0]], [[310, -103], [18467, 31859/2], [-1047/2, -21/2], [-1/2, -2]], [[-18352, 24251/2], [-646841/2, 441664], [49113/2, -36261/2], [-46, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 2], [-3764, 893], [4, -3], [0, 0]], [[3679/2, -1251/2], [-7807743/11, -52574099/11], [-33806/11, 359/22], [83/22, 2/11]], [[-2250069/2, 497489], [-3128474199/22, 46342575467/22], [19376800/11, -7925155/22], [-23532/11, 3848/11]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[-40, 50]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-175/2, 67], [-5/2, 5/2], [0, 0]], [[-2, -4], [-431/2, 535], [1/2, 53/2], [0, -1]], [[5/2, 1/2], [-3685/2, 1973/2], [-56, 49/2], [9/4, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [296, 1103/2], [-9/2, 4], [0, 0]], [[7, 5/2], [-6066451/11, -19077649/22], [-71695/22, -285/11], [51/44, 1/44]], [[-231, -21/2], [138509815/11, 212718527/11], [1287560/11, -291970/11], [-1827/44, 399/44]]], 1, 36, [], [] >,
< [ -1, -1, 1 ], [[20, -25]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1/2], [73/2, -58], [-3/2, 1/2], [0, 0]], [[1, -1], [-180, -40], [4, -2], [-2, 1]], [[11/2, 1], [436, 2921/2], [9, -11], [-9/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 3/2], [2317/2, -147], [13/2, -1/2], [0, 0]], [[-1564, 1059/2], [5279490/11, -529835/22], [29815/11, 223/22], [27/11, 3/22]], [[-24797, 19652], [63666135/11, -69022760/11], [338384/11, -392629/11], [288/11, -358/11]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[-80, 55]], [ -4068, 101 ], [ -16, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2579793/2, 2], [187775501682/78671, 178819/157342], [6566282/19, 55/38], [6566263/2989498, -1/2989498]], [[3943/2, -2463/2], [286999492/78671, -179274593/78671], [10036/19, -6269/19], [5018/1494749, -6269/2989498]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 6], [-2, 0], [0, 0]], [[4804464, -2], [-638120399/2, 60], [-629357/2, -6], [-2, 0]], [[122107492135/2, -30035197049], [-7017417370736443031/1730762, 3452195828543399833/1730762], [-1671500700619/418, 822280812689/418], [-835772797223/32884478, 411155688529/32884478]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[75, -40]], [ -502, 19 ], [ -14, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 13/2], [3/2, 5/2], [8, -1], [0, 0]], [[6420, 1], [-13178723/1181, -323/1181], [-37486, -131/2], [40801/96842, 1/96842]], [[-1045190, -82515/2], [4291027545/2362, 168798185/2362], [12206369/2, 1003979/4], [-13284915/193684, -522595/193684]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17, -9/2], [-63/2, -33/2], [2, 6], [0, 0]], [[6358, -5236], [62448792898/12991, -112871607/12991], [-212076559/44, -708/11], [1295937/1065262, 3/2130524]], [[78131439/2, -50658351/2], [49751659218593/2362, -12200503330669/1181], [-84403201203/4, 41354616881/4], [1031532061/193684, -126354508/48421]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[35, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1], [-258, -74], [-1, -3], [0, 0]], [[-41, 10], [-20901/2, 9866], [72, 17/2], [-3/2, 1/2]], [[147/2, -6], [15645, -36893/2], [-140, -50], [5/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 5/2], [4361/2, -76], [7/2, -9/2], [0, 0]], [[1535/2, -577/2], [-3788441/22, 9911607/22], [-27123/22, 2631/22], [35/22, 5/22]], [[1731/2, -340], [-4607869/22, 5392137/11], [-30285/22, 1950/11], [39/22, 2/11]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[55, -20]], [ -2322, 129 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1, -1], [-137/258, -395/258], [-1/2, -11/4], [1/516, 1/516]], [[7/2, -2], [1, -1/2], [7/2, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -4], [-11, -87/2], [-1/2, -4], [0, 0]], [[-19/2, 4], [-7619/258, 55/2], [-15/4, 15/4], [1/516, 0]], [[-1/2, 1], [2701/2838, -1587/473], [1/11, -23/44], [1/5676, -1/1892]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[65, -50]], [ -918, -54 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1/3], [-4, 3], [0, 0]], [[2, 7/2], [11/12, 65/36], [5/4, 5], [1/12, 1/9]], [[-2, 1/2], [-37/18, 17/18], [-35/2, 10], [5/36, -1/9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [775/12, -11/6], [-104, -3/4], [0, 0]], [[-17, 3/2], [-1202963/18, 500765/9], [1148691/11, -1958679/22], [47/396, 1/198]], [[-123/2, 51/2], [-1844903/6, 209995], [5315118/11, -7319997/22], [9/22, -19/132]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[685, -360]], [ -2322, 129 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[477, 1], [-115463/258, 379/86], [548, 861/4], [1/516, 1/172]], [[38508, -44403/2], [-4692784/129, 5421293/258], [137043/4, -72731/4], [-59/516, 14/129]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[619, -1/2], [11221/2, 13/2], [619, -1/2], [0, 0]], [[919, -1191/2], [23282531/2838, -15311881/2838], [12413/11, -12427/22], [-7/1419, -1/1419]], [[-94987/2, 58013/2], [-201602550/473, 2852656/11], [-2358391/44, 1530887/44], [273/1892, -3/22]]], 1, 1488, [], [] >,
< [ -1, -1, 1 ], [[-290, -35]], [ -918, -54 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [407/12, 1/4], [373/4, 1], [0, 0]], [[-1/2, -1], [87586/9, 677/18], [53515/2, 385/2], [-1/36, -1/36]], [[0, 0], [2301/2, -2063/3], [3157, -3773/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [455/12, 7/12], [-4643/4, -1], [0, 0]], [[-14, 1/2], [1696517/12, -1263523/18], [-47990625/11, 95930605/44], [13/132, 1/99]], [[226, -117], [-101131579/36, 15195530/9], [1909686065/22, -2297324255/44], [-293/198, 71/99]]], 1, 1488, [], [] >,
< [ -1, -1, 1 ], [[245, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -3/2], [301/2, -56], [-91/2, 7/2], [0, 0]], [[-253/2, 385/2], [-4729, 7273], [416, -6279/2], [-1/2, 1]], [[-374, 418], [-14013, 31541/2], [4573/2, -12251/2], [-3/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -3], [-966, 42], [-35, 35], [0, 0]], [[455/2, -151/2], [-23611/11, 771709/11], [-30310/11, -355/22], [-25/22, -1/11]], [[21527/2, -8343/2], [-4724212/11, 63538507/22], [-2771369/22, 135844/11], [-567/11, 18/11]]], 1, 960, [], [] >,
< [ -1, -1, 1 ], [[565, -315]], [ -502, 19 ], [ -14, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -15/2], [-5/2, -5/2], [-4, 8], [0, 0]], [[5/2, 3/2], [1035671/2362, -1307/1181], [-4503, -91/4], [-4077/4724, 1/4724]], [[-345, 535], [-146140967/1181, 124000790/1181], [2525297/2, -4307383/4], [1148367/4724, -975885/4724]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, -2], [40, -51/2], [-10, 10], [0, 0]], [[10015, -2205/2], [1688758223/25982, -33285477/25982], [2137413/44, -1791/44], [-39199/51964, -1/12991]], [[-124091427/2, 34047670], [-4994905711639/12991, 5320218108891/25982], [-3129733436/11, 1655594747/11], [57369102/12991, -30337304/12991]]], 1, 672, [], [] >,
< [ -1, -1, 1 ], [[730, -425]], [ -4068, 101 ], [ -16, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-943803, -2], [51593423226/78671, 278967/157342], [-689440126/19, -517/38], [-2402231/1494749, -1/1494749]], [[1279165181/2, -625426839], [-69926110472975/157342, 34189244126685/78671], [934420962525/38, -456869045455/19], [3255822845/2989498, -3183757201/2989498]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [647, 3], [-94, -2], [0, 0]], [[6559309/2, -1], [-33088743381857/865381, 18085154207/1730762], [-93876177342/209, -646447/418], [-44895633/32884478, -5/32884478]], [[-88806850565, 206717297799/2], [81478667804058252/78671, -94795915807664632/78671], [231088956206743/19, -268956267800398/19], [110517124709/2989498, -64313207941/1494749]]], 1, 672, [], [] >,
< [ -1, -1, 1 ], [[-370, 110]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -21/2], [-25/2, -10], [0, 0]], [[0, -3/2], [270, -166], [-123, 91], [3/4, -3/4]], [[1/2, 1], [-26, 16], [8, -16], [0, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4606/11, -178/11], [41/11, -2/11], [0, 0]], [[1, 3/2], [1869386/11, 127027/22], [33345/22, 335/11], [1/4, 1/4]], [[0, 0], [-89311/22, 30297/11], [-805/22, 545/22], [0, 0]]], 1, 1008, [], [] >,
< [ -1, -1, 1 ], [[185, -55]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-43/2, 16], [-1663/2, 21/2], [58, -87/2], [0, 0]], [[-70185/2, 1545/2], [2096999/2, 3232991], [95995, -215], [0, -5/2]], [[-2298517/2, 1752207/2], [-92842841/2, -2078875], [3096700, -2382520], [62, -37/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, 19/2], [-6638, -523/2], [51/2, -26], [0, 0]], [[167508, -6525/2], [-24751018/11, -2622614321/22], [-5049486/11, 5809/22], [-20/11, -1/22]], [[-25834014, 16705985/2], [-58901738562/11, 274273288331/22], [774196494/11, -483462581/22], [3042/11, -1807/22]]], 1, 336, [], [] >,
< [ -1, -1, 1 ], [[150, -260]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, 5/2], [39/2, 1], [0, 0]], [[-1/2, 0], [-133/2, 18], [67/2, -59/2], [-1/2, 1/4]], [[0, 0], [7/2, -8], [3/2, -11/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-359/2, -153/2], [10, -25/2], [0, 0]], [[-4, -2], [1718699/22, 5038962/11], [602733/22, 11399/22], [-7/11, -1/11]], [[-309/2, -40], [-1146823/11, 169456132/11], [12720300/11, -2046250/11], [-289/11, 69/44]]], 1, 1008, [], [] >,
< [ -1, -1, 1 ], [[-75, 130]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-118, 0], [-52, 239], [184, 2], [0, 0]], [[782, 215243/2], [-217505, -344745/2], [-3088, -339085/2], [-1, 5/2]], [[2281803/2, -8031342], [33511723/2, 20871809/2], [-1637832, 25262823/2], [114, -198]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-203, 5/2], [-821/2, 321], [633/2, -1/2], [0, 0]], [[14607875, -412375/2], [651289439/22, -508452983/22], [-250520156/11, 851432/11], [41/22, -1/11]], [[4981388179/2, -9357219973/2], [272053291779/22, -130441861213/22], [-83697616363/22, 161313671183/22], [7449/22, -12909/22]]], 1, 336, [], [] >,
< [ -1, -1, 1 ], [[290, -165]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[275, 3/2], [323/33, 131/66], [547/33, -1/33], [0, 0]], [[-1315587/2, 750165/2], [-1370723/66, 249943/22], [-1313732/33, 250053/11], [8/33, -1/33]], [[12211733/2, -6839449/2], [4250703/22, -6786257/66], [8129045/22, -13682107/66], [-155/66, 7/66]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[439/2, 9/2], [985/66, 761/66], [787/33, 2/33], [0, 0]], [[-9877571, -2418343/2], [-7942774/11, -14008279/22], [-23567945/22, -1212331/11], [-5/66, 1/33]], [[-205675906, -155454600], [-711676642/33, -313645133/11], [-1455781255/66, -356516065/22], [-73/66, 1/22]]], 1, 144, [], [] >,
< [ -1, -1, 1 ], [[-250, 80]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[97/2, -1], [-5219/66, -32/33], [-335/33, 35/33], [-5/33, 2/33]], [[237/2, 68], [-4335/22, -1333/11], [-519/22, -239/22], [-19/66, 1/66]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-112, 1], [1378/33, -164/33], [578/33, 2/33], [0, 0]], [[1408421/2, -54969], [-1587299/6, 1562918/33], [-660205/6, 241768/33], [-1/22, -2/33]], [[567181515/2, -165184433], [-7422398669/66, 730669265/11], [-2906079415/66, 563283419/22], [-269/66, 1/6]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[-250, 80]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13/2, -34], [43/2, -51/2], [0, 0]], [[1/2, 0], [-75/2, 65/2], [-85, 105/2], [1/2, -1/4]], [[0, 0], [-6, -3/2], [-11/2, 1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [109799/11, 227/22], [2777/22, -2/11], [0, 0]], [[3/2, 3], [2486983659/22, 14916301/22], [15724800/11, 109245/22], [0, 3/4]], [[-1/2, -22], [-70218556097/22, 34585671595/22], [-444536085/11, 438496555/22], [21/2, -43/4]]], 1, 432, [], [] >,
< [ -1, -1, 1 ], [[305, -175]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1], [3/2, -1/2], [-24, 1], [0, 0]], [[659/2, -9], [4029965/5518, -63595/5518], [-65864/7, 2225/7], [1493/19313, 2/19313]], [[-17189/2, 11995/2], [-52140036/2759, 73000365/5518], [3451289/14, -2404187/14], [-38173/19313, 53701/38626]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, -5/2], [-89/2, 17], [7, -9], [0, 0]], [[1750, -2975], [190568035/30349, 315004652/30349], [-2285876/77, -8264/77], [-3392/212443, 1/212443]], [[-2111935, 1552145], [-22688461520/30349, -42410827671/30349], [427222623/22, -738839072/77], [635183/60698, -2201497/424886]]], 1, 144, [], [] >,
< [ -1, -1, 1 ], [[90, -170]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1604, 7/2], [18801651/5518, 13726/2759], [-311411/7, -15/7], [7011/19313, 2/19313]], [[396397, -105084], [2323676175/2759, -617113950/2759], [-154005781/14, 41044421/14], [1733507/19313, -923457/38626]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [-10, 33/2], [26, -9], [0, 0]], [[-12, 6], [-12848850506/30349, -2105893/30349], [368343637/154, 18243/154], [143265/212443, 5/424886]], [[3144, -2079], [2280310852904/30349, -2171433821259/30349], [-4669842261/11, 4446414609/11], [-3632724/30349, 3458817/30349]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[90, -170]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, 13], [-18, -4], [0, 0]], [[1/2, -1], [-131, 86], [-84, 73], [1, -3/4]], [[-1, -1], [62, -49/2], [125/2, 20], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2431/2, 23/2], [26, 1/2], [0, 0]], [[19/2, 7/2], [106589465/22, -689673/11], [2306779/22, -6903/22], [69/44, 1/22]], [[-966, -294], [-11053517843/22, 349516741/11], [-239095755/22, 12871355/22], [-1785/11, 42/11]]], 1, 432, [], [] >,
< [ -1, -1, 1 ], [[-130, 30]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1], [2, -41/4], [13/4, -1/4], [0, 0]], [[11/2, -13], [69, -113/28], [75/4, -75/4], [-1/7, 1/7]], [[-23/2, 11/2], [-1595/28, 1171/28], [-105/4, 15], [1/4, -1/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 2], [-42, 95/2], [1/2, 3/2], [0, 0]], [[158, 137/2], [1860959/77, -594653/44], [8589/44, -283/44], [13/308, -3/308]], [[-1867, -867/2], [-25519931/77, 4207461/22], [-27287/11, 9723/22], [-85/154, 57/308]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[-130, 30]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-122063/2, 5/2], [-64032997/1502, -4003/751], [127341/1502, -1/751], [0, 0]], [[43161475/2, 37011001/2], [22645048877/1502, 19422570649/1502], [-45028751/1502, -19306734/751], [447/1502, 5/1502]], [[2172420380, -9670911020], [1138726476167/751, -10147712631335/1502], [-2266100940/751, 10089278480/751], [225165/1502, -212721/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[75081, 1/2], [314434229/1502, 11527/1502], [-156655/1502, -5/1502], [0, 0]], [[-6493184417/2, 59278479/2], [-149560649078249/16522, 1360953514385/16522], [74513526949/16522, -339208719/8261], [-7957/16522, -5/16522]], [[40572862674, -38152791389], [934508264316875/8261, -878790220137410/8261], [-465589250039/8261, 437827576743/8261], [49270/8261, -46735/8261]]], 1, 144, [], [] >,
< [ -1, -1, 1 ], [[-195, 45]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [-17, 13/2], [-2, 3/2], [0, 0]], [[-103/2, -1], [-1879323/2084, -12795/2084], [-271, -5/2], [-271/3126, -5/6252]], [[120, -255], [2247621/1042, -2311711/521], [645, -1335], [215/1042, -445/1042]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1], [-117/2, 109/2], [-17/2, 9/2], [0, 0]], [[5659/2, -7], [407084303/22924, 17482109/22924], [3024, 9/2], [1538/17193, 1/68772]], [[264537, -239629/2], [37278748857/22924, -4072951214/5731], [564431/2, -254875/2], [574481/68772, -259675/68772]]], 1, 384, [], [] >,
< [ -1, -1, 1 ], [[-110, 165]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1], [-34, 85/4], [-5/4, 5/4], [0, 0]], [[-19/2, 10], [-3510/7, 9049/28], [-87/4, 59/4], [1/7, 1/14]], [[-33/2, 7], [-9461/14, 815/2], [-30, 35/2], [1/28, -1/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 5/2], [3599/4, -177/2], [-5, 15/4], [0, 0]], [[1013/2, 535/2], [2057299/28, 3516733/14], [647, -11/4], [1/7, 0]], [[16959, -55207], [-1449933557/76, -210145368/19], [2150563/38, -4983457/76], [945/76, -1101/76]]], 1, 576, [], [] >,
< [ -1, -1, 1 ], [[1850, -1125]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[59/2, 9/2], [-989, 481/2], [463/2, 2], [0, 0]], [[137766, 64322], [-4109773, 102256], [1037738, 312494], [14, 2]], [[14069459/2, -371/2], [-496880807/2, 165277209/2], [112547657/2, -14068969/2], [1603/2, -371/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [-415/2, 105], [15/2, 5/2], [0, 0]], [[-429/2, -245], [38463/2, -8911/2], [-1446, -3011/2], [-5, 0]], [[2813, 4953/2], [-360508, 279717/2], [19562, 29387/2], [89, -41/2]]], 0, 1200, [], [] >,
< [ -1, -1, 1 ], [[145, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 0], [149/2, -53/2], [12, -3/2], [0, 0]], [[31/2, -11], [1947/2, -633], [323/2, -73], [3/2, 1]], [[-16, 9], [-1923/2, 1149/2], [-271/2, 106], [0, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1], [69/2, -43/2], [-3, -13/2], [0, 0]], [[1/2, 2], [-389, 331/2], [21, 7], [3/2, 1/2]], [[1, 1/2], [693/2, -501/2], [-7, 14], [-1/2, 1]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[-130, 30]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11/2, -11/2], [29, -21/2], [0, 0]], [[7/2, 5], [-40, -46], [96, -12], [1, 3/4]], [[-5/2, 0], [56, -20], [-438, 261], [-5/2, 5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [555/2, -277/2], [-29, 21/2], [0, 0]], [[8, 3/2], [-1761/11, 4330/11], [298/11, -711/11], [25/44, 1/44]], [[-10, 20], [13008/11, -1186/11], [-2162/11, 229/11], [-10/11, 15/11]]], 1, 144, [], [] >,
< [ -1, -1, 1 ], [[65, -15]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-37/2, -3], [-49/2, -317/2], [-145, -5/2], [0, 0]], [[-21410, 10605/2], [36117, -235643/2], [-176610, 116989/2], [2, 5/2]], [[2716720, -1630054], [-11627431, 7775932], [23364728, -14127354], [-60, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1/2], [201/2, -16], [31/2, 3/2], [0, 0]], [[55/2, 65/2], [21609/22, 4531/11], [3620/11, 2039/11], [32/11, 3/22]], [[1387/2, 545], [377217/11, -25293/22], [119748/11, 10106/11], [2537/22, -731/22]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[-130, 30]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1], [-661/2, 7/2], [-11, -11/2], [0, 0]], [[-5/2, 1], [-2161/2, 325/2], [-17, 13/2], [1, 1]], [[30, -18], [11508, -13125/2], [403/2, -241/2], [-9/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1/2], [72, 367/2], [-25/2, 5], [0, 0]], [[51/2, -9/2], [-34399/22, -40033/11], [1525/11, -445/11], [-18/11, -1/22]], [[-141/2, 41/2], [30491/11, 170371/22], [-8599/22, 1634/11], [48/11, -6/11]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[-110, 165]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1], [-7, 5], [3, 1], [0, 0]], [[-11/2, -5], [93/38, -911/38], [-4, 1], [-1/38, -1/19]], [[1/2, 1/2], [167/38, -7/38], [-1/2, 1/4], [1/76, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27/2, -1/2], [-311, 31/2], [-43/2, 2], [0, 0]], [[6975, 300], [123265231/722, -2477685/361], [216639/19, -73337/76], [151/1444, 1/361]], [[9919950, -2177550], [178987898257/722, -49550381617/722], [1272093495/76, -97470840/19], [215649/1444, -49833/1444]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[530, -355]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 5/2], [-267/4, 163/4], [-17/4, 7/2], [0, 0]], [[-225/2, -353/2], [-166/7, 253/2], [-161/2, -119], [-1/28, -3/28]], [[4, -5/2], [-283/14, 177/14], [0, 0], [2/7, -5/28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -2], [43/2, 3/4], [1/4, -7/4], [0, 0]], [[19/2, 103/2], [-18013/28, 344/7], [-27/2, 183/4], [1/7, 1/7]], [[-161/2, 71], [-19389/7, 22159/14], [-162, 114], [1/4, -1/14]]], 1, 528, [], [] >,
< [ -1, -1, 1 ], [[70, -100]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -3/2], [34, 1/2], [-41/2, 1], [0, 0]], [[-234, -90], [53669/38, 2942/19], [-846, -133/4], [-1/76, -1/19]], [[306, -234], [-88117/38, 61931/38], [5845/4, -2019/2], [-3/76, 1/76]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[144, -1], [12731/11, 164/11], [-205/11, -1/11], [0, 0]], [[-111857/2, -4229/2], [-9898135/22, -5499973/209], [318913/44, 4017/11], [3/76, 1/76]], [[-142877/2, 32077], [-10812931/19, 4779046/19], [36811/4, -4093], [3/76, -1/76]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[70, -100]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[202883/2, 4], [-106435443/1502, -24039/1502], [211661/1502, 3/1502], [0, 0]], [[-3144369891/2, -4714279295], [825250052367/751, 4947591801587/1502], [-3280190761/1502, -9836166293/1502], [2043/1502, -1/1502]], [[-1357515570904, 3203547069540], [711864597387023/751, -1680811449652585/751], [-1416311689916/751, 3342092983048/751], [-1956924/751, 947112/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-199601/2, -3], [-208300625/1502, 2005/1502], [-208237/1502, -1/1502], [0, 0]], [[24595900493/2, 62585552], [141176345144941/8261, 712816325706/8261], [282260748381/16522, 1429311049/16522], [10829/8261, 3/16522]], [[49095107386175/2, -23603493910111/2], [281803132064704521/8261, -135485946093121502/8261], [281709370450550/8261, -270879364198035/16522], [43334301/16522, -10447606/8261]]], 1, 144, [], [] >,
< [ -1, -1, 1 ], [[105, -150]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -3], [4, 7], [-7, 4], [0, 0]], [[-325, 89/2], [7346235/2084, 55996/521], [1441, -60], [676/1563, 1/6252]], [[-47809, -14809/2], [1143191061/2084, 419371407/2084], [437917/2, 60965], [416645/6252, 68837/3126]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31/2, 5/2], [271/2, -11], [243/2, 2], [0, 0]], [[-6332, 14437/2], [14427839/2084, 100036129/2084], [-4474111/22, 533627/11], [18037/68772, -1/34386]], [[6592705, -3596973], [17526824529/1042, -1480526755/521], [1462230160/11, -1026369857/11], [-828412/5731, 1292369/11462]]], 1, 384, [], [] >,
< [ -1, -1, 1 ], [[2650, -1625]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[211/2, 1/2], [-481, 279/2], [247/2, -2], [0, 0]], [[211, -81], [-1176, 1139/2], [559/2, -213/2], [17/2, -2]], [[-9629/2, 9799/2], [60951/2, -24961], [-6353, 6506], [-155, 445/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[65/2, 2], [219/2, -283/2], [38, 3/2], [0, 0]], [[-11853/2, -24171/2], [60793/2, 67679/2], [-13233/2, -27439/2], [15/2, -5/2]], [[104080, 299833/2], [-538701/2, -1098913/2], [118330, 169140], [71/2, -51]]], 0, 1200, [], [] >,
< [ -1, -1, 1 ], [[205, -120]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-59/2, 19], [199/2, -113/2], [-35, 45/2], [0, 0]], [[85/2, 53/2], [95/2, 182], [63, 64], [1, 5/2]], [[602, -835/2], [-3269/2, 827], [1043/2, -821/2], [-14, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[59/2, -19], [-151/2, 57/2], [35, -45/2], [0, 0]], [[-39/2, 7/2], [-143/2, -305/2], [-73/2, 35/2], [-1/2, 1/2]], [[-47/2, 20], [227/2, 111/2], [-28, 47/2], [0, 0]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[70, -100]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 11/2], [-51/2, 16], [0, 0]], [[-7/2, -6], [-39, -70], [0, 0], [-1/2, -5/4]], [[1, 0], [19, -4], [0, 0], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-593/2, 147], [59/2, -23/2], [0, 0]], [[7/2, 3/2], [-27421/22, 13447/22], [1697/11, -1063/22], [25/44, 1/22]], [[0, -1/2], [26/11, -167/22], [35/22, -25/11], [1/44, -3/44]]], 1, 144, [], [] >,
< [ -1, -1, 1 ], [[-35, 50]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27, -16], [-219, 8], [32, -19], [0, 0]], [[-3929, -19/2], [438351/2, 632293/2], [-4565, 85], [5/2, 0]], [[-45443/2, 64513/2], [-2643669/2, -5114501/2], [-54375/2, 74495/2], [29/2, -41/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, 7/2], [575/2, 45], [-47/2, 9/2], [0, 0]], [[14375/2, -1064], [-2305261/22, -446627/22], [92938/11, -30717/22], [-8/11, 2/11]], [[-7984, 31947/2], [27607, -590065/2], [-9746, 37049/2], [1, -3/2]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[70, -100]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-50, -3/2], [319/2, 66], [-117/2, -1/2], [0, 0]], [[43805, -59/2], [-276325/2, -104055/2], [51305, -1086], [-5/2, -2]], [[-753703/2, 284448], [1700463/2, -787368], [-896399/2, 335364], [17/2, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[159/2, 3], [3829/2, -443/2], [93, 3/2], [0, 0]], [[-119, -224], [-25525/11, -90995/22], [-3585/22, -5547/22], [19/22, -1/11]], [[-3223/2, -2204], [-637535/22, -461955/11], [-35879/22, -30656/11], [-141/22, 96/11]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[-220, 55]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -2], [-8, -25/4], [-59/4, 23/4], [0, 0]], [[252, -196], [255/4, 15191/28], [-3141/4, 1311/2], [1/154, 5/308]], [[-112, 63], [239/2, 31/2], [721/2, -196], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1], [1951/2, 295/4], [33/4, -11/4], [0, 0]], [[135325/2, -8705], [-18166715507/532, -2660263180/133], [-4413440/19, 75545/76], [-160/1463, -5/5852]], [[31433215/2, -21996605], [18741333993/38, 1135723326137/76], [-3342315925/76, 6084951075/76], [-4232/209, 7922/209]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-220, 55]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 0], [-39, 0], [-8, 2], [0, 0]], [[5, 3/2], [3845/38, 562/19], [47/2, -9/2], [-1/19, 1/19]], [[-9/2, -3], [-3445/38, -60], [-71/4, -7/4], [1/38, -3/76]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [1517, 3/2], [-11/2, 0], [0, 0]], [[-76, -57/2], [46233751/722, 4471075/722], [-20711/76, -1535/76], [6/361, -1/1444]], [[2113/2, 663/2], [-325885924/361, -28292237/722], [73053/19, 3189/38], [-85/361, 15/722]]], 1, 576, [], [] >,
< [ -1, -1, 1 ], [[605, 0]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1/2], [-13/4, -5/4], [27/4, -1], [0, 0]], [[-1, -1], [-249/28, -341/28], [-41/4, -17], [-1/14, -3/28]], [[21/2, -13/2], [97/4, -15], [-67/2, 83/4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [2425/4, 513/4], [25/4, -5], [0, 0]], [[-2234, 577/2], [-325367475/532, -893550871/532], [591815/76, -1010/19], [-12/133, 1/266]], [[17386, -3890], [246537855/76, 5803928457/532], [-4543391/76, 134403/19], [185/266, -55/532]]], 1, 5760, [], [] >,
< [ -1, -1, 1 ], [[605, 0]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -7/2], [7, 45/2], [11/2, -22], [0, 0]], [[3/2, 2], [279/19, -480/19], [-47/4, 21/2], [-1/76, 5/76]], [[-1/2, -1/2], [-6/19, 91/19], [-7/4, -1/4], [0, -1/76]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [-1627/2, 101], [-11/2, -11/2], [0, 0]], [[-10, 2], [-401824/361, 284383/361], [1027/19, -232/19], [-5/361, 1/361]], [[87, -259/2], [13006123/722, -6731665/722], [-37309/76, 52241/76], [87/722, -259/1444]]], 1, 5760, [], [] >,
< [ -1, -1, 1 ], [[940, -565]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 3], [-13/2, 39/2], [23, 5/2], [0, 0]], [[2485, -560], [-275065/38, 125529/19], [10498, -16669/4], [3/76, 1/19]], [[281050, -178850], [-43251181/38, 26302773/38], [5211989/4, -817549], [39/76, -55/76]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -2], [33/2, -55/2], [-12, -5/2], [0, 0]], [[-30, -60], [-8593/38, -3239/19], [-58, -613/4], [-1/76, 1/19]], [[42, 96], [8171/19, 4077/19], [66, 253], [1/19, -2/19]]], 1, 528, [], [] >,
< [ -1, -1, 1 ], [[90, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -5/2], [11, 3], [-3/2, -12], [0, 0]], [[-75/2, -15/2], [-359, 321], [-1569/5, 651/10], [-2/5, -1/5]], [[27, -12], [831/2, -272], [1383/5, -756/5], [3/10, -1/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1], [-1, -3], [-21/2, -3/2], [0, 0]], [[16, -15/2], [-1, 9/2], [1167/10, -342/5], [11/10, -1/5]], [[7/2, 11/2], [11/2, 9], [27/5, 87/10], [7/10, 11/10]]], 1, 80, [], [] >,
< [ -1, -1, 1 ], [[450, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -5/2], [47, -4], [-24, -9/2], [0, 0]], [[-23/2, -18], [61, 98], [-87/2, -147/2], [1, -1]], [[15, 51/2], [-83, -273/2], [129/2, 99], [5/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1], [-39, 23], [-3/2, -9/2], [0, 0]], [[5/2, 0], [-75/2, 20], [15/2, -15/2], [-5/2, 5/2]], [[1/2, 1], [-3/2, -2], [-3/2, -3/2], [1/2, 1/2]]], 0, 2400, [], [] >,
< [ -1, -1, 1 ], [[45, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, -2], [0, -5/2], [0, -15/2], [2, -2]], [[0, -1/2], [0, -1/2], [0, -3/2], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, -25/2], [-6, 9/2], [0, 0]], [[1, 1], [-1337/22, -2103/11], [-159/22, 387/11], [3/11, 2/11]], [[-5/2, -3/2], [501/22, 4446/11], [1281/22, -1014/11], [-17/22, -2/11]]], 1, 32, [], [] >,
< [ -1, -1, 1 ], [[90, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1/2, 2], [3/2, 1/2], [3/2, 9/2], [-1, 3/2]], [[1/2, 1], [1/2, 1/2], [3/2, 3/2], [0, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -4], [12, -15], [0, 0]], [[-2, -1/2], [25/22, 1761/11], [2565/22, 4188/11], [-15/22, 1/22]], [[-5/2, 0], [-953/22, 3541/22], [1143/22, 7725/22], [-10/11, 5/22]]], 1, 160, [], [] >,
< [ -1, -1, 1 ], [[90, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [-4, 8], [-15, -15/2], [0, 0]], [[3, -3/2], [32, -20], [327/10, -102/5], [-2/5, -1/5]], [[-1/2, 1/2], [-13/2, 4], [-36/5, 39/10], [-1/10, -3/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 3/2], [-308, -14], [-9/2, 9], [0, 0]], [[-111/2, -83/2], [-43724/11, 286247/22], [-25308/55, -7443/110], [-83/110, -2/55]], [[-537, -15/2], [-1473863/11, 1430733/11], [-671619/110, 120834/55], [-576/55, 232/55]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[90, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 5/2], [-45/2, 15], [81/2, 3/2], [0, 0]], [[-55/2, -1045/2], [1743/2, -471/2], [3443/2, 9563/2], [-5/2, -3/2]], [[-55/2, 165/2], [-213, 96], [-80, -1321/2], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 1/2], [369, 489/2], [39/2, 6], [0, 0]], [[-542, 765/2], [544029/22, -325449/11], [46191/22, -40123/22], [-8/11, 2/11]], [[-603/2, 479/2], [10785, -22695], [1085, -2519/2], [-1/2, 0]]], 1, 160, [], [] >,
< [ -1, -1, 1 ], [[-180, 45]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1], [3, -6], [3, -1], [0, 0]], [[-9593, 19/2], [-23782729/1042, -21999/1042], [38349/2, -27/2], [-4788/5731, -1/5731]], [[391913/2, -779421/2], [483959059/1042, -1934166761/2084], [-391455, 779065], [390285/22924, -778505/22924]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [18, -27/2], [4, -1/2], [0, 0]], [[188, -3/2], [7250515/2084, -3881/2084], [12425/2, 12], [-1959/22924, -1/5731]], [[-53143/2, 53143/2], [-1017143227/2084, 256208224/521], [-9562943/11, 19318879/22], [137053/11462, -25173/2084]]], 1, 320, [], [] >,
< [ -1, -1, 1 ], [[-90, 135]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1/2], [33/2, -8], [11/2, -1], [0, 0]], [[1887, 15/2], [-1519995/1042, 3445/521], [-7529/2, 4], [942/5731, 1/5731]], [[-26699/2, 39025], [11019923/1042, -62521443/2084], [27023, -77598], [-26883/22924, 38889/11462]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -2], [-185/2, -105/2], [7/2, -9/2], [0, 0]], [[2291, 362], [-226892387/11462, 988587049/22924], [-3209/2, 97/2], [3247/22924, 1/5731]], [[-875921, 1775551/2], [296326331095/11462, -57075043734/5731], [1465699/2, -636696], [-32788/521, 320854/5731]]], 1, 320, [], [] >,
< [ -1, -1, 1 ], [[-585, 135]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1/2], [-7/2, 7], [11/2, -1], [0, 0]], [[56, -19/2], [-426927/2084, 108280/521], [455/2, -151/2], [-21/2084, -5/2084]], [[-7/2, 21/2], [43, -7/2], [-21, 49/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [91, 81/2], [-3, 7/2], [0, 0]], [[5912, -33/2], [5451475939/22924, -28195547/11462], [-23909/2, -11/2], [11883/22924, 1/22924]], [[-8299049/2, 1911653], [-1919781031115/11462, 1778334970341/22924], [8378119, -3850786], [-8329449/22924, 1914723/11462]]], 1, 3840, [], [] >,
< [ -1, -1, 1 ], [[315, -450]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1], [-19, 11/2], [-4, 1/2], [0, 0]], [[923/2, -2], [-3602137/2084, 64573/2084], [-919, 5], [917/2084, 1/521]], [[-17445, 6026], [34199233/521, -12062084/521], [34752, -12025], [-8640/521, 2944/521]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, 2], [92, 27/2], [106, 1/2], [0, 0]], [[15081/2, -3865/2], [-37825921/2084, -27448651/2084], [-2661613/22, -293937/22], [15505/22924, 1/5731]], [[-2940623/2, 1105467], [2082159947/2084, -4953110613/2084], [189939542/11, -187318816/11], [-2456415/22924, 1104831/11462]]], 1, 3840, [], [] >,
< [ -1, -1, 1 ], [[270, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [87/2, 27], [-3/2, 21/2], [0, 0]], [[7/2, 5], [49/2, -143], [-71/2, -13/2], [1, 3/4]], [[-2, -1], [-244, 189], [77, -39], [-3/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, -27/2], [33/2, -3], [0, 0]], [[-1/2, -5/2], [-28, -255/2], [-17/2, -18], [3/4, -1]], [[-2, 4], [-92, 385/2], [5/2, 20], [-4, 3]]], 1, 864, [], [] >,
< [ -1, -1, 1 ], [[-405, 270]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -2], [270, -195], [-18, 6], [0, 0]], [[3/2, 9], [-871/2, -239], [-67/2, -83], [-1/2, 1]], [[-5, 1], [-491/2, 523/2], [55/2, 5], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -3/2], [-321/2, 21], [-39/2, 3/2], [0, 0]], [[-87/2, 10], [2070, 863/2], [240, 55], [3/2, 5/2]], [[195/2, -60], [-7101/2, 4347/2], [-405, 495/2], [0, 0]]], 1, 288, [], [] >,
< [ -1, -1, 1 ], [[-30, 10]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33/2, 13], [15/2, -5/2], [0, 0]], [[5/2, 3], [12, 8], [5, 15], [1, 1/4]], [[2, 4], [4, 14], [11, 13], [0, 1]]], [[[2, -1], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5/2, -2], [5/2, 5/2], [5, 5/2], [-3/2, 7/4]], [[-3, 2], [-3/2, -1/2], [-4, 1/2], [2, -3/2]]], 1, 6, [], [] >,
< [ -1, -1, 1 ], [[-30, 10]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, -14], [-9/2, 3/2], [0, 0]], [[7/2, 6], [-371/2, -233], [-29/2, -87/2], [1/2, 5/4]], [[15/2, 3/2], [841, -784], [-304, 148], [27/4, -3]]], [[[2, -1], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15/2, 5], [7/2, 1/2], [0, 0]], [[-3/2, -5/2], [-7, 13/2], [1/2, -6], [-1/4, -1/2]], [[0, 0], [-9, 11/2], [7/2, -2], [0, 0]]], 1, 14, [], [] >,
< [ -1, -1, 1 ], [[-35, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [115/2, -50], [-5/2, -5/2], [0, 0]], [[-11, -29/2], [273/2, 201], [71/2, 113/2], [2, -1]], [[147/2, 225/2], [-964, -1521], [-261, -841/2], [-9/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -3/2], [30, -55/2], [-11/2, 1], [0, 0]], [[11, 18], [-239/2, -193], [-32, -107/2], [1/2, 5/2]], [[26, 75/2], [-509/2, -839/2], [-88, -104], [39/2, -6]]], 1, 6, [], [] >,
< [ -1, -1, 1 ], [[-90, 30]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-73/2, 81/2], [-5, -5/2], [0, 0]], [[3/2, 7/2], [117, 93/2], [-17/2, -23], [-1/4, 1]], [[21/2, 7], [-425, 621], [-76, -38], [7, -7/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27/2, -8], [1/2, 3/2], [0, 0]], [[2, 9/2], [77, -26], [0, 0], [-1/4, 5/4]], [[-12, -21], [-129, -27], [0, 0], [-3/2, -9/2]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-90, 30]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-89/2, 43/2], [9, -1/2], [0, 0]], [[4, 13/2], [116, -265], [30, 120], [3/4, 5/4]], [[0, 0], [-363, 216], [60, -30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-87/2, 37], [1/2, 3/2], [0, 0]], [[4, 13/2], [-13, 14], [0, 0], [3/4, 5/4]], [[0, 0], [369, -228], [0, 0], [0, 0]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[165, -105]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 2], [145/2, -135/2], [7, -3/2], [0, 0]], [[7, 27/2], [641/2, 739/2], [-27, -51], [-5/2, 1]], [[-3/2, -7/2], [-185/2, -83], [6, 13], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1/2], [405/2, -110], [-3/2, 1/2], [0, 0]], [[-3/2, 0], [75, 189/2], [0, 0], [3/2, -3/2]], [[5/2, -3], [64, 373/2], [0, 0], [-11/2, 5/2]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-60, 70]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1021, 1/2], [-2445/2, -10], [5/2, 0], [0, 0]], [[13456523, 10765589/2], [-12139777310/751, -9940961907/1502], [49483277/1502, 9881377/751], [-646/751, 1/1502]], [[-14425227375, 11769454641/2], [25867566853747/1502, -5234201538260/751], [-53067284589/1502, 10830065316/751], [873348/751, -451548/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[751/2, 1], [-21309593/1502, -31549/1502], [1381/1502, 3/1502], [0, 0]], [[-17631299, 1847968], [11007767085937/16522, -582608203483/8261], [-356659923/8261, 37536445/8261], [-299/16522, -5/16522]], [[43087799062, -23325725808], [-26914892285099073/16522, 7287859233567608/8261], [871800375792/8261, -472022689604/8261], [686859/16522, -355203/16522]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[30, -35]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [-505, -195/2], [3/2, 2], [0, 0]], [[0, -1/2], [-1027/2, 593/2], [0, 0], [-1/2, 0]], [[0, 0], [-70, 45], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -1], [-585/2, -435/2], [-10, -5/2], [0, 0]], [[89/2, 2], [26165/11, 265/11], [-1317/22, -31/22], [45/11, 5/22]], [[7, -9/2], [4185/11, -5343/22], [-105/11, 135/22], [7/11, -9/22]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[-80, 10]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5555/2, 0], [-10231770/751, -17535/1502], [5105/751, 5/1502], [0, 0]], [[-1, 9639/2], [3435956/751, 35516095/1502], [-5/1502, -17725/1502], [-2852/751, -5/1502]], [[-50466752, 54555136], [-222041439891/1502, 330025993007/1502], [92707968/751, -100275136/751], [-124205553/1502, 29823153/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9283/2, 2], [-17251100/751, -32045/1502], [8531/751, 1/1502], [0, 0]], [[-1715128380, 160340166], [-140223850240897/16522, 12937703136833/16522], [34674579439/8261, -3226334938/8261], [1409/16522, 2/8261]], [[-8398872350631/2, 2127825688464], [-171570287528797407/8261, 86878255499122792/8261], [84882401081802/8261, -85998994945703/16522], [3296943/16522, -1582973/16522]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-45, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 3/2], [-47/2, 47], [5/2, 5/2], [0, 0]], [[2, 2], [-25, -60], [-6, -10], [2, 2]], [[2, -3/2], [19, -11/2], [1, 1/2], [2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -2], [283/2, 89/2], [-5, -5/2], [0, 0]], [[-2, 15/2], [-14843/22, -1149/22], [261/11, 98/11], [39/22, 1/11]], [[-97/2, 49], [-136321/22, 53017/22], [2086/11, -1011/22], [180/11, -72/11]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[-80, 35]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [-377/2, 137], [25/2, -25/2], [0, 0]], [[-5/2, 25/2], [2329/2, -1583/2], [-167/2, 133/2], [-1/2, -5/2]], [[235/2, -131], [-46093/2, 29251/2], [1714, -2277/2], [-8, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [69, -111/2], [-25/2, 10], [0, 0]], [[-1, -5], [95/2, -15/2], [-7/2, 3], [1, -5/2]], [[33, 21/2], [855/2, -385], [-103/2, 55/2], [28, -7]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[-55, 10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -5/2], [-710, -5/2], [-25/2, 0], [0, 0]], [[6552, -4137/2], [-1253533/2, -43391/2], [-11034, -342], [3/2, 0]], [[-36966, 15496], [6633775/2, -1064167/2], [116865/2, -9540], [-8, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -2], [-285/2, 135/2], [-5, 5/2], [0, 0]], [[41/2, 9/2], [-2067/2, -1014], [-49, -37], [1, -3/2]], [[197/2, -577/2], [5199, 37393/2], [207/2, 828], [27, -5]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[-40, 55]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, 2], [-1415/2, -5/2], [9, -1/2], [0, 0]], [[1439/2, -517/2], [92639, 1665/2], [-2355/2, 60], [0, 1]], [[-18067/2, 4894], [-1010329, 818911/2], [13158, -5661], [9/2, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -2], [2005/2, -335/2], [-9, 1/2], [0, 0]], [[15857/2, -5347/2], [32006373/22, -2003033/11], [-145216/11, 807/11], [38/11, 3/22]], [[-4120237, 6851343/2], [-13458527571/22, 14546987855/22], [52938425/11, -67838620/11], [-26105/22, 17933/11]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-85, 70]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -9/2], [106, -59/2], [-5/2, -10], [0, 0]], [[-135/2, -120], [5029/2, -629], [-153/2, -260], [-5/2, -1]], [[0, 155/2], [-30603/2, 9013], [-745/2, 755/2], [10, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -15/2], [-21609/2, -3611], [-25/2, -25/2], [0, 0]], [[25277/2, 25281/2], [2002121109/22, -400076109/11], [695444/11, 49/11], [-9/11, -1/22]], [[-2878133/2, -1904365/2], [-168001585206/11, 84145468287/11], [-105996160/11, 53604785/22], [2705/22, -290/11]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[285, -170]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, 2], [10, -5], [12, 1], [0, 0]], [[-165/2, -45/2], [281/3, -289/12], [757/4, 303/2], [-1/6, -5/24]], [[-135/2, 120], [146, -1519/12], [15, -295], [1/12, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -3/2], [-13/4, 13/12], [-21/2, -3/2], [0, 0]], [[-8, 13/2], [59/12, -4], [19/4, -33/4], [5/24, -1/6]], [[-1/2, -2], [1/4, 7/6], [13/4, 6], [0, 1/24]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[285, -170]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -1/2], [-97/12, 49/12], [-15/2, -5/2], [0, 0]], [[-48, -128], [-139/6, 349/4], [887/4, 1731/4], [1/8, 0]], [[24, 64], [23/2, -523/12], [-445/4, -865/4], [-1/24, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 3/2], [7/4, -1/4], [17/2, 1/2], [0, 0]], [[45, -120], [-20/3, 629/12], [117/4, 1271/4], [-17/24, 7/12]], [[-450, 2250], [-305/12, -3052/3], [-2689/2, -25409/4], [253/24, -77/8]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-205, 135]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, -2], [57/4, -21], [-11/2, -1/4], [0, 0]], [[105/2, 90], [-4586/13, -13301/26], [-95, -160], [-5/52, 5/52]], [[-35/2, -22], [646/13, 329/2], [30, 40], [-9/52, 5/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [-39/2, 41/4], [-5/4, -5/4], [0, 0]], [[-19/2, -13], [1005/26, 60/13], [31/2, 24], [1/52, -1/52]], [[5/2, 2], [-151/4, 18], [-7/2, -17/4], [0, 0]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-205, 135]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -3/2], [37/4, -39/4], [-7/4, 1], [0, 0]], [[-5/2, 0], [153/13, 1133/26], [0, 0], [5/52, -5/52]], [[-1, 1], [-155/13, -43/13], [0, 0], [1/13, -1/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [-59/13, 55/26], [-1/2, 1], [-4/13, 7/52]], [[-3, -2], [-393/52, 73/26], [-1/2, 9/4], [-27/52, 9/52]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-2335, 1420]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-55/2, 2], [48, 53/12], [328, 3/2], [0, 0]], [[-30690, -51615], [844325/12, 701581/6], [840003/2, 2807163/4], [-1/8, -1/8]], [[-32922, -98766], [534025/6, 2588455/12], [1978615/4, 5266645/4], [-23/24, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, -1/2], [-239/12, 3/2], [-203/2, -2], [0, 0]], [[-23/2, -18], [26, 124/3], [769/4, 697/4], [-1/24, 1/12]], [[-24, -42], [677/12, 1141/12], [-113/4, 679], [5/12, -1/8]]], 1, 1920, [], [] >,
< [ -1, -1, 1 ], [[-2335, 1420]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 0], [17/3, -1/12], [30, 5/2], [0, 0]], [[-6, -20], [61/4, 133/3], [113/2, 923/4], [1/24, 1/24]], [[-1/2, 1/2], [11/12, -1], [11/2, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[20, -3/2], [-485/12, 5/12], [-477/2, -1/2], [0, 0]], [[4116, 14553], [-31292/3, -96658/3], [-63995, -386515/2], [5/12, -5/12]], [[-91875, -91875], [1198267/6, 2553253/12], [4775591/4, 5145603/4], [33/8, -7/6]]], 1, 1920, [], [] >,
< [ -1, -1, 1 ], [[-1290, 755]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[107/2, 1], [-107/4, -3/2], [-29, -3/4], [0, 0]], [[25897/2, -2149], [-83662/13, 11347/13], [-14021/2, 2247/2], [3/52, -3/52]], [[121715, 36249/2], [-1591463/26, -303643/26], [-66045, -10360], [19/52, -15/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[167/2, -3/2], [-187/4, 59/4], [-181/4, 1/2], [0, 0]], [[646, 2757/2], [-6541/52, -21713/52], [-1427/4, -1513/2], [-1/52, -5/52]], [[501/2, 5474], [9809/13, -52901/26], [-164, -2992], [15/52, -27/52]]], 1, 1920, [], [] >,
< [ -1, -1, 1 ], [[-1290, 755]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-399, 1/2], [251/2, -29/4], [865/4, 5/4], [0, 0]], [[-642135/2, 62892], [1327310/13, -634053/26], [173775, -33100], [-1/52, 5/52]], [[1124069, -794407/2], [-9376043/26, 275787/2], [-607716, 212502], [7/52, -7/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[418, -7/2], [-2670/13, -35/26], [-226, -1/2], [9/52, -2/13]], [[40849/2, 11322], [-131568/13, -301527/52], [-44437/4, -25221/4], [55/13, -365/52]]], 1, 1920, [], [] >,
< [ -1, -1, 1 ], [[295, -315]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-231/2, 2], [1255/2, 685/2], [316, 1/2], [0, 0]], [[1253/2, -1523/2], [-3163/2, 9585/2], [-3141/2, 4057/2], [-5/2, 3/2]], [[5/2, 3], [-45/2, -65/2], [-7, -17/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[127, -3/2], [-17715/2, -445], [-695/2, -5/2], [0, 0]], [[-1229923/2, 15121/2], [943772721/22, 46912379/22], [37002673/22, 248489/22], [-37/22, 1/22]], [[-208602967/2, 113307959], [149276112193/22, -174894137393/22], [3073070999/11, -6829866031/22], [-3188/11, 3404/11]]], 1, 1680, [], [] >,
< [ -1, -1, 1 ], [[-335, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-115/2, -5/2], [-224, -49/2], [-725/2, 0], [0, 0]], [[375/2, 583/2], [1855/2, 1180], [1059, 1739], [1, -1/2]], [[-14, -45/2], [-119/2, -96], [-165/2, -265/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23, -1], [5993, -31], [-145, 0], [0, 0]], [[4299/2, -16], [-6532424/11, 297123/11], [327699/22, -11379/22], [-23/11, -5/22]], [[-4323760, 679448], [26430977305/22, -2488775965/11], [-330942527/11, 118834261/22], [90909/22, -5427/22]]], 1, 1680, [], [] >,
< [ -1, -1, 1 ], [[205, -210]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-79, 5/2], [1295/2, 150], [349/2, -3/2], [0, 0]], [[-312519, -29115/2], [2615892, 1699969/2], [691635, 98975/2], [1, 5/2]], [[82422463/2, -23805273], [-575129521/2, 157955256], [-179686635/2, 51703735], [123/2, -63]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-31, 1/2], [-495/2, 45], [137/2, 1/2], [0, 0]], [[342018, -28369], [2761268, -647737], [-754621, 46277], [-2, 2]], [[14167387/2, -863787/2], [113961045/2, -24771067/2], [-31274929/2, 1212323/2], [-81/2, 83/2]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[-215, 5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[45/2, -3/2], [-7, -77/2], [-285/2, 0], [0, 0]], [[-9553/2, -817], [7117/2, 10748], [61523/2, 7747], [1/2, -1]], [[-111353/2, 334303/2], [-286985, -557245/2], [556105/2, -1114257], [41, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[97/2, -5/2], [-37, -217/2], [-615/2, -5], [0, 0]], [[-535208, -1020647/2], [1702918, 5938363/2], [3637832, 7445431/2], [0, 3/2]], [[6404277/2, -44828143], [210138215/2, 139942775], [-7955/2, 304190792], [257/2, -3]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[-190, 230]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[349769/2, -5/2], [731565405/1502, 7765/751], [-364893/1502, -2/751], [0, 0]], [[803129879779/2, 160595029963/2], [1679812127469821/1502, 335966920122981/1502], [-837861421181/1502, -83782273869/751], [3873/1502, 3/1502]], [[-2845177315151708, 733258005745628], [-5950825355052379369/751, 3067003095896500819/1502], [2968183368118908/751, -764908409374496/751], [-29597699/1502, 10812617/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-194681/2, 3/2], [-407040765/1502, -13270/751], [203099/1502, 1/751], [0, 0]], [[22794538015, 6837063613/2], [524256170305467/8261, 157342127407513/16522], [-523165750681/16522, -78474883143/16522], [-1561/8261, -3/16522]], [[62018600275551/2, -8881234464829], [1426328192543694441/16522, -204217883930791806/8261], [-355848949093067/8261, 203822835930783/16522], [-4492057/16522, 820527/8261]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[95, -115]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -1/2], [103/2, -3], [145/2, -25/2], [0, 0]], [[-3065/2, -2521/2], [-17487/2, -14331/2], [-22003/2, -14577/2], [-5/2, -1/2]], [[-4138, 20584], [-23966, 117447], [-53750, 148254], [-28, 34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 5/2], [-1141/2, -104], [75/2, 25/2], [0, 0]], [[1463/2, 29/2], [-2090779/22, 438193/22], [131299/22, -13463/22], [-47/22, -1/22]], [[-171129/2, 102934], [155929195/11, -142173565/11], [-17612363/22, 18145659/22], [2744/11, -6615/22]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[270, -40]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-36310, 1], [19050388/751, -8516/751], [-37881/751, 2/751], [0, 0]], [[-600109/2, 399195/2], [156667977/751, -104741557/751], [-302273/751, 416451/1502], [-1833/1502, 1/751]], [[-18676847107, 22797869595/2], [19536875786407/1502, -5956699277326/751], [-38083575487/1502, 11550652703/751], [-37742318/751, 29078405/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-84107/2, -5/2], [681175759/751, 54079/1502], [-43873/751, -3/1502], [0, 0]], [[126619759, -8325253/2], [-22558232378645/8261, 742111667340/8261], [2906236513/16522, -47828688/8261], [-46441/16522, -3/16522]], [[-111448535777, 84789638599], [19855706323064041/8261, -15105991153323524/8261], [-1279047787198/8261, 973077118809/8261], [19930995/8261, -15400098/8261]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[-135, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-32, 3/2], [15/2, -50], [-75/2, 5/2], [0, 0]], [[9335, 6719/2], [4222, 40387/2], [10833, 7233/2], [-1, -1/2]], [[-741058, 174373], [381961, -944531], [-870810, 217815], [74, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1/2], [125/2, 5], [7/2, 1/2], [0, 0]], [[69/2, 1], [22197/22, -477/11], [65/22, -70/11], [69/22, 1/11]], [[3627/2, -585/2], [1182259/22, -257051/22], [4797/22, -6669/22], [3627/22, -585/22]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[-270, 90]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81/2, 27/2], [0, -15/2], [0, 0]], [[-5/2, -7/2], [-86, -129], [-44, -72], [-3/4, -1/2]], [[1/2, 0], [27/2, 13/2], [3, 13/2], [1/2, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 9], [9, -3], [0, 0]], [[1/2, -3/2], [201/2, 649/2], [-6, 79/2], [5/4, -1]], [[0, -5/2], [631/2, 1393/2], [11, 151/2], [5/4, -5/4]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-270, 90]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45/2, -75/2], [-24, -9/2], [0, 0]], [[7/2, 6], [-705/2, -565], [-429/2, -377/2], [1/2, 5/4]], [[1/2, -1/2], [47/2, 21/2], [208, -237/2], [3/4, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57/2, 21/2], [9, 9/2], [0, 0]], [[7/2, 6], [105, 134], [33, 44], [1/2, 5/4]], [[3, -1], [-587/2, 409/2], [-76, 109/2], [7/2, -2]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[495, -315]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -3/2], [60, -45/2], [-21/2, 6], [0, 0]], [[-5/2, -5/2], [-275/2, -425/2], [25/2, 25/2], [-5/2, -5/2]], [[-2, 1], [-17, -5], [10, -5], [-2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1], [60, -60], [-9, 3], [0, 0]], [[-3, -4], [343/2, 603/2], [49/2, 36], [-1, -3/2]], [[-19/2, 6], [-645/2, 375/2], [39, -51/2], [0, 0]]], 1, 160, [], [] >,
< [ -1, -1, 1 ], [[50, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, 1], [-25/2, 15/2], [0, 0]], [[5/2, 4], [7/2, 13/2], [-2, -7/2], [1/2, 3/4]], [[0, 0], [7, -4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 1/2], [7/2, -2], [0, 0]], [[5, -3/2], [17, 26], [0, 0], [-17/4, -1/4]], [[66, -77/2], [34, 32], [0, 0], [-187/4, 99/4]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -1], [1, 0], [0, 0]], [[1, 5/2], [5, 75/2], [1, 5/2], [1, 5/2]], [[1/2, -1], [51/2, -25], [1/2, -1], [1/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -1], [1, 0], [0, 0]], [[-1/2, -1], [-7, 7], [-1/2, -1/2], [0, -1/2]], [[0, 0], [-4, 4], [0, 0], [0, 0]]], 2, 2, [], [] >,
< [ -1, -1, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 3], [1, 0], [0, 0]], [[0, 0], [1, -3], [0, 0], [1, 0]], [[0, 0], [8, 0], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -1], [1, 0], [0, 0]], [[0, 0], [1, -3], [0, 0], [1, 0]], [[0, 0], [8, 0], [0, 0], [0, 0]]], 0, 16, [], [] >,
< [ -1, -1, 1 ], [[-12, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[-7/2, -5], [17, -18], [-3/2, -7/2], [-2, -3/2]], [[-5/2, -5/2], [43, -31], [0, -5/2], [-5/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[-3/2, 1], [18, -21/2], [0, 0], [5/2, -3/2]], [[0, 0], [6, 8], [0, 0], [0, 0]]], 1, 2, [], [] >,
< [ -1, -1, 1 ], [[-12, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[-5/2, -1], [-43/2, -15], [-5/2, -1], [-5/2, -1]], [[-63, 35], [-419, 215], [-63, 35], [-63, 35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[-1/2, 3/2], [-23/2, -1/2], [-1/2, 3/2], [-1/2, 3/2]], [[1/2, -1/2], [7/2, -1/2], [1/2, -1/2], [1/2, -1/2]]], 2, 2, [], [] >,
< [ -1, -1, 1 ], [[144, -48]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [0, 6], [0, 0], [38/5, 4/5]], [[0, 0], [-26, 10], [0, 0], [208/5, -156/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, 0], [1, 0], [0, 0]], [[0, 0], [5014/11, 248/11], [1212/11, 16/11], [-606/55, -8/55]], [[0, 0], [49228/11, 9000/11], [11844/11, 1692/11], [-5922/55, -846/55]]], 0, 128, [], [] >,
< [ -1, -1, 1 ], [[36, -12]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [0, 0], [0, 0], [-3/5, 1/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [127/11, 92/11], [15/11, 10/11], [3/11, 2/11]], [[0, 0], [270/11, -260/11], [37/11, -34/11], [37/55, -34/55]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[36, -12]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [35/2, -10], [3, 1], [3/2, 1/2]], [[0, 0], [156, -109], [-16/5, -208/5], [-8/5, -104/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [1, 0], [0, 0]], [[0, 0], [-17539/22, 90/11], [3408/55, -16/55], [213/110, -1/110]], [[0, 0], [-1622387/11, 14071/11], [630496/55, -1952/55], [19703/55, -61/55]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[12, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 5], [51/2, 59/2], [0, 5/2], [0, 0]], [[0, 0], [1, 3], [0, 0], [1, 0]], [[3/2, 1/2], [-5, 25/2], [5/2, -1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 3], [1, 0], [0, 0]], [[-3, -4], [-18, -22], [-1, -3], [-2, -1]], [[-2, 1/2], [-14, 5], [5/2, -2], [-9/2, 5/2]]], 1, 2, [], [] >,
< [ -1, -1, 1 ], [[12, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 3], [1, 0], [0, 0]], [[0, 0], [67/2, 5], [0, 1/2], [-1/2, 1/2]], [[0, 0], [0, -6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 3], [1, 0], [0, 0]], [[0, 0], [-4865/11, -1929/22], [191/22, 65/22], [17/22, 2/11]], [[0, 0], [-12099/11, -1290/11], [234/11, 57/11], [21/11, 3/11]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[24, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [9, -33], [0, 0]], [[0, 0], [2, -7/2], [71/2, -41/2], [-3/2, 2]], [[0, 0], [-2, 7], [-55, 30], [2, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 6], [42, 6], [0, 0]], [[0, 0], [-81109/22, 75247/22], [502221/22, -23476/11], [-31/11, -1/22]], [[0, 0], [-33996579/22, 24553367/22], [164731665/22, -32329598/11], [-9797/11, 6565/22]]], 1, 18, [], [] >,
< [ -1, -1, 1 ], [[-52, 24]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[-7, -9/2], [-3/19, -210/19], [7/2, 9/4], [-33/380, -1/95]], [[19, -76], [-112, -12], [-19/2, 38], [7/10, -9/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[-6, 2], [154/19, 118/19], [-5, 2], [-3/95, 1/95]], [[2, -3/2], [-37/38, 77/38], [7/4, -5/4], [1/95, -3/380]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[-24, 28]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [-46/19, -33/38], [3/4, 1/4], [-1/190, -1/380]], [[0, 0], [-4, 2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [683/11, 129/11], [-10/11, -3/11], [0, 0]], [[0, 0], [107853/209, -63673/209], [-91/11, 42/11], [-2/95, -1/95]], [[0, 0], [221707/418, -140355/418], [-335/44, 123/22], [-1/380, 7/380]]], 1, 10, [], [] >,
< [ -1, -1, 1 ], [[-24, 28]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-991123/751, 4017/751], [1954/751, -5/751], [0, 0]], [[0, 0], [-52422901125/751, -23129734505/1502], [103384482/751, 22989542/751], [3/2, 0]], [[0, 0], [-791340667397047/1502, 183405302021940/751], [779508396656/751, -360948631276/751], [19194819/1502, -9926861/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21284059/751, 45067/751], [-1381/751, -3/751], [0, 0]], [[0, 0], [19187281276649/8261, -373618915539/16522], [-1244675321/8261, 12053456/8261], [31631/16522, 2/8261]], [[0, 0], [-494703321153223628/8261, 256877465623092233/8261], [32090450997349/8261, -16662789678856/8261], [-405699644/8261, 209804336/8261]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-192, 48]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 8], [6, 10], [0, 0]], [[0, 0], [-41513815/1042, -15809/521], [-7703, -9], [-23432/17193, -5/34386]], [[0, 0], [7230109950/521, -2067603844/521], [2682820, -766520], [2721146/5731, -2337886/17193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -26], [0, 2], [0, 0]], [[0, 0], [-17841761/11462, 117677/5731], [43, -1], [-112/17193, 1/11462]], [[0, 0], [13176673/521, -6305194/521], [-702, 338], [1820/17193, -871/17193]]], 0, 320, [], [] >,
< [ -1, -1, 1 ], [[-288, 336]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -14], [-2, 10], [0, 0]], [[0, 0], [-15790361/521, 44044/521], [1630, -26], [1596/5731, 1/17193]], [[0, 0], [-129610/521, -278901/1042], [13, 14], [79/34386, 85/34386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 2], [-16, -20], [0, 0]], [[0, 0], [-1482459/521, 90615/521], [-65286/11, -338/11], [323/17193, -2/17193]], [[0, 0], [-62007629/1042, 28162531/1042], [-1327184/11, 569869/11], [4399/11462, -954/5731]]], 0, 1920, [], [] >,
< [ -1, -1, 1 ], [[-48, 12]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1833, 16], [-4, 0], [0, 0]], [[0, 0], [263388888/751, -420755585/1502], [571116/751, -458094/751], [-2673/1502, -1/751]], [[0, 0], [214139471075/1502, -52062666198/751], [232722945/751, -112664916/751], [-464995/1502, 777735/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7282969/751, -14014/751], [-2673/751, -2/751], [0, 0]], [[0, 0], [105457786431/751, -26250313992/751], [38680564/751, -9668512/751], [-1, 0]], [[0, 0], [-21859109958920013/16522, 23352290752609673/16522], [-4013778629176/8261, 4280638057742/8261], [54796586/8261, -185092577/16522]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[16, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 1], [1, 0], [0, 0]], [[1, 0], [26, 8], [-1, 1], [2, -1]], [[1/2, 0], [10, 2], [-1/2, 1/2], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 1], [1, 0], [0, 0]], [[-1, -3/2], [-71/2, -3/2], [0, 0], [-1/2, -1]], [[0, 0], [-28, 18], [0, 0], [0, 0]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[16, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 1], [1, 0], [0, 0]], [[-4, -11/2], [-23, 0], [-3/2, -4], [-5/2, -3/2]], [[26, 39/2], [417, -194], [-13/2, 26], [65/2, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 1], [1, 0], [0, 0]], [[1/2, -2], [45/2, 28], [1/2, -2], [1/2, -2]], [[-1, 0], [3, 14], [-1, 0], [-1, 0]]], 2, 4, [], [] >,
< [ -1, -1, 1 ], [[-24, 28]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23/2, -7], [-3/2, 5/2], [0, 0]], [[0, 0], [-19, 6], [5, -3], [1/2, -1]], [[0, 0], [3/2, -29/2], [-2, 3/2], [-1, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -49/2], [-3/2, 0], [0, 0]], [[0, 0], [-5435/22, -554/11], [173/22, -13/22], [23/11, 5/22]], [[0, 0], [149117/22, -43897/11], [-5651/22, 3401/22], [-672/11, 399/11]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[-96, 112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [234, -28], [-4, -2], [0, 0]], [[0, 0], [10, 1], [1, 1], [1, 0]], [[0, 0], [3020, -2300], [-28, 34], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 126], [10, 6], [0, 0]], [[0, 0], [-18, -455], [-17, -47], [-1, 0]], [[0, 0], [22365/11, 1413/11], [1553/11, 918/11], [-50/11, 51/11]]], 0, 288, [], [] >,
< [ -1, -1, 1 ], [[-24, 28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, -11], [1, -2], [0, 0]], [[0, 0], [-113, 517/2], [9/2, 25/2], [1/2, 2]], [[0, 0], [-29850, 21388], [-262, 400], [-68, 78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-145, 75], [2, -9], [0, 0]], [[0, 0], [-9907/22, 1215/11], [-856/11, -199/22], [43/22, 3/22]], [[0, 0], [-261/22, -625/22], [-85/22, -109/11], [1/11, 5/22]]], 1, 18, [], [] >,
< [ -1, -1, 1 ], [[-36, 32]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -3/2], [-15/4, 49/4], [-3/4, 0], [0, 0]], [[-15/2, -9/2], [2721/28, 142/7], [3/2, -15/4], [-65/154, -3/154]], [[-52, -19/2], [21367/28, -2945/28], [85/4, -26], [-268/77, 67/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21/2, 0], [-1, 1/2], [0, 0]], [[0, 0], [2, 2], [0, 0], [0, 0]], [[1/2, 0], [-89/28, 5/7], [1, -1/4], [1/77, -1/308]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[-32, 4]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -17/2], [-3/2, 3/2], [0, 0]], [[0, 0], [-3/2, 16], [1, -5/2], [0, 0]], [[0, 0], [65/28, -15/28], [1/4, 0], [1/77, -1/308]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-217/2, -6], [-1, 1/2], [0, 0]], [[0, 0], [-3167/22, -35661/308], [-51/44, -39/44], [-5/308, -1/154]], [[0, 0], [1050029/308, -1238/11], [621/22, -81/44], [153/308, -45/308]]], 1, 10, [], [] >,
< [ -1, -1, 1 ], [[-32, 4]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7146249/751, -8757/751], [-4084/751, -2/751], [0, 0]], [[0, 0], [-11859393924/751, 13884425770/751], [-6783910/751, 7933949/751], [-1831/751, -2/751]], [[0, 0], [347799695039491/1502, -121159067740617/751], [99438055293/751, -69265789317/751], [17173017/751, -16494269/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2156363/751, -999/751], [962/751, -1/751], [0, 0]], [[0, 0], [-8320919682797/16522, 48106301284/8261], [1856040930/8261, -24216835/8261], [4987/8261, -1/16522]], [[0, 0], [-228901783934611976/8261, 110658939051233646/8261], [102188770555940/8261, -49444937514800/8261], [272875073/8261, -131017004/8261]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-96, 144]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -4], [10, -2], [0, 0]], [[0, 0], [-1259644/521, 41719/1042], [-1343, 1], [7615/34386, 1/17193]], [[0, 0], [-26483318/521, 2419908/521], [-28202, 2168], [7268/1563, -184/521]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 20], [6, -4], [0, 0]], [[0, 0], [13859820/5731, -42630/5731], [76, 0], [200/17193, -2/17193]], [[0, 0], [11089189/11462, -24562481/5731], [30, -135], [5/1042, -235/11462]]], 0, 320, [], [] >,
< [ -1, -1, 1 ], [[-384, 48]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 4], [-6, 10], [0, 0]], [[0, 0], [40373719/521, -49775/521], [-3482, -56], [10520/17193, -1/17193]], [[0, 0], [-19816774925/1042, 14411806195/1042], [843785, -617440], [-859883/5731, 1251207/11462]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-182, 62], [6, 6], [0, 0]], [[0, 0], [1271736691/5731, 74925715/11462], [-657, -7], [-4289/34386, -2/17193]], [[0, 0], [-406015208746/5731, 152139958790/5731], [211304, -81038], [230776/5731, -89544/5731]]], 0, 1920, [], [] >,
< [ -1, -1, 1 ], [[-24, 36]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1062957/751, 4017/751], [1055/751, -5/751], [0, 0]], [[0, 0], [-67866737/751, 62683991/1502], [-62604/751, 31376/751], [4953/1502, 5/1502]], [[0, 0], [5584610268/751, -4676293055/751], [5385942/751, -4173822/751], [-94772/751, 235683/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-923196/751, 20787/751], [93/751, -4/751], [0, 0]], [[0, 0], [-123713493735/16522, 2461409497/8261], [6256324/8261, -374100/8261], [1561/8261, 3/16522]], [[0, 0], [10217316923113/16522, -11115315619358/8261], [-539730625/8261, 1110616256/8261], [-117214/8261, 574843/16522]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[-176, 0]], [ -11, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 4], [-10, 4], [0, 0]], [[0, 0], [0, 0], [1, 0], [1, 0]], [[0, 0], [-6, -4], [-10, -10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 98], [-2, -10], [0, 0]], [[0, 0], [20592/19, 8338/19], [-1701/19, -1385/19], [33/19, 1/19]], [[0, 0], [391686/19, -47466/19], [-26740/19, -5976/19], [728/19, -252/19]]], 0, 400, [], [] >,
< [ -1, -1, 1 ], [[44, 0]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15060312/751, 10266/751], [-4295/751, -1/751], [0, 0]], [[0, 0], [-452334186659/1502, 679110706685/1502], [64545390/751, -96822180/751], [-1831/1502, -1/751]], [[0, 0], [-1598941200920891/1502, 619662926952088/751], [228082163400/751, -176744606220/751], [-1954623/751, 1703547/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18024242/751, -15268/751], [-1291/751, -1/751], [0, 0]], [[0, 0], [958577380568858/14269, -3378889055725/28538], [3613399155/751, -6630071/751], [61793/28538, -1/28538]], [[0, 0], [298720726681626171499/14269, -130367846329511515699/14269], [1126076281952083/751, -491473239645241/751], [9620931318/14269, -4192487082/14269]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[176, -352]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 1], [1, 0], [0, 0]], [[0, 0], [1167/14, 1105/14], [25/2, 5], [45/77, 5/154]], [[0, 0], [-619/2, 98], [-77, 77/2], [-9/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [47, 1], [1, 0], [0, 0]], [[0, 0], [14040/19, -6299/133], [739/19, 27/19], [-47/1463, -2/1463]], [[0, 0], [760859/19, -1829029/38], [70259/38, -98693/38], [-633/418, 449/209]]], 0, 1920, [], [] >,
< [ -1, -1, 1 ], [[8, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 1], [1, 0], [0, 0]], [[-1, -1/2], [2, 22], [1/2, -1], [-3/2, 1/2]], [[2, 3/2], [-12, -52], [-1/2, 2], [5/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -2], [-37, 3], [0, -1], [0, 0]], [[0, 0], [-7, 1], [0, 0], [1, 0]], [[1, 7/2], [295/2, -61], [-3/2, 5/2], [0, 0]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[8, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 1], [1, 0], [0, 0]], [[-1/2, -2], [-69/2, -39], [-1/2, -2], [-1/2, -2]], [[0, -5/2], [-49, -71/2], [0, -5/2], [0, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 1], [1, 0], [0, 0]], [[-1, 1/2], [-27, 29/2], [-1, 1/2], [-1, 1/2]], [[0, 0], [-2, -8], [0, 0], [0, 0]]], 2, 4, [], [] >,
< [ -1, -1, 1 ], [[-32, 4]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9/2, -15], [-5/2, 3/2], [0, 0]], [[0, 0], [-33, -34], [0, 0], [1/2, -2]], [[0, 0], [-5, -19], [0, 0], [-1, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31, 74], [2, 1], [0, 0]], [[0, 0], [-2703/11, 2575/11], [96/11, -34/11], [1/22, -9/11]], [[0, 0], [3809/2, -3829/2], [-70, 45/2], [0, 7]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[-144, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 2], [4, -18], [0, 0]], [[0, 0], [8, 1], [5, 1], [1, 0]], [[0, 0], [-46, 10], [8, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -56], [22, 6], [0, 0]], [[0, 0], [-5367/11, 15349/11], [8719/11, -8046/11], [-18/11, 5/11]], [[0, 0], [33373/11, 12327/11], [-20445/11, 5362/11], [18/11, -27/11]]], 0, 288, [], [] >,
< [ -1, -1, 1 ], [[-32, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 1], [1, 0], [0, 0]], [[0, 0], [233/2, -281/2], [1/2, -1], [2, -3/2]], [[0, 0], [529/2, 117], [2, 3/2], [5/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -9], [1, 0], [0, 0]], [[0, 0], [-581/11, 8/11], [-14/11, -1/11], [3/11, 1/11]], [[0, 0], [4535/22, -1061/11], [61/11, -51/22], [-23/22, 7/22]]], 1, 18, [], [] >,
< [ -1, -1, 1 ], [[44, 0]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-404006/751, -5264/751], [-1623/751, 3/751], [0, 0]], [[0, 0], [-3502100884/751, 2825517604/751], [-14240941/751, 11392986/751], [1171/751, 2/751]], [[0, 0], [61110894743169/751, -70546804570489/1502], [247654937563/751, -143277624094/751], [-24293633/1502, 10246241/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28513675/751, -133437/751], [840/751, 4/751], [0, 0]], [[0, 0], [-25347653021136/14269, 121844376753/28538], [746625074/14269, -1733771/14269], [3335/28538, -1/14269]], [[0, 0], [77308816072041457/28538, -32568246802247856/14269], [-1138502791635/14269, 959296073797/14269], [-5078049/28538, 4283587/28538]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[176, -352]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 18], [4, 8], [0, 0]], [[0, 0], [108/19, 370/19], [-7, 5], [2/95, 1/95]], [[0, 0], [-394/19, -69/19], [-51/2, 31/2], [3/95, -7/190]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2890, 642], [-10, -10], [0, 0]], [[0, 0], [-1052648587/361, 456021315/361], [197873/38, -1002/19], [-441/3610, -3/3610]], [[0, 0], [11706873878/361, -5594412458/361], [-1045473/19, 138882/19], [465/361, -55/361]]], 0, 1920, [], [] >,
< [ -1, -1, 1 ], [[20, -4]], [ -238, -36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-179/58, -2/29], [0, 0], [133/58, 1/29]], [[0, 0], [-6346/29, 3865/58], [0, 0], [4726/29, -2919/58]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 0], [1, 0], [0, 0]], [[0, 0], [-11563/319, 105/319], [-720/11, 4/11], [360/319, -2/319]], [[0, 0], [-2183413/638, 328302/319], [-67907/11, 20274/11], [67907/638, -10137/319]]], 1, 7, [], [] >,
< [ -1, -1, 1 ], [[-112, 144]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 2], [4, 8], [0, 0]], [[0, 0], [168402280/2759, 142930/2759], [-157272/7, -137/7], [-67709/96565, -2/96565]], [[0, 0], [-278990769430/2759, 205081647810/2759], [260547036/7, -27360794], [112240552/96565, -11782992/13795]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -26], [10, 0], [0, 0]], [[0, 0], [61049096180/30349, -7560736/30349], [11411606/77, 3870/77], [195662/1062215, -4/1062215]], [[0, 0], [-2577491463548/979, 1726760653456/979], [-2133013990/11, 1429105427/11], [-1180039/4895, 790568/4895]]], 0, 288, [], [] >,
< [ -1, -1, 1 ], [[-28, 36]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-14810520/2759, -3735/2759], [-139021/14, -1/14], [5948/96565, 3/193130]], [[0, 0], [447079500/2759, -613137600/2759], [299856, -2877460/7], [-5130/2759, 49248/19313]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 7], [-10, -10], [0, 0]], [[0, 0], [-7436296052/30349, 819692/30349], [-3537295/77, -2369/154], [-97831/2124430, 1/1062215]], [[0, 0], [-2227092269135/30349, 1224349984662/30349], [-1059123361/77, 1164372247/154], [-29297907/2124430, 8053107/1062215]]], 1, 18, [], [] >,
< [ -1, -1, 1 ], [[-240, 48]], [ -960, -36 ], [ -36, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-216721/349, 155/698], [749763/58, 78/29], [6991/60726, -5/121452]], [[0, 0], [-49529847/698, 16310433/349], [85644249/58, -56410661/58], [532579/40484, -175381/20242]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 20], [6, 8], [0, 0]], [[0, 0], [-980186385/3839, 1420585/7678], [-6876019/638, 3239/319], [-31928/333993, -5/1335972]], [[0, 0], [-125338424329/3839, 96275983575/3839], [-439698669/319, 337710701/319], [-8160607/667986, 3135314/333993]]], 0, 576, [], [] >,
< [ -1, -1, 1 ], [[128, -208]], [ -2575, -74 ], [ -136, 34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -2], [0, 6], [0, 0]], [[0, 0], [-4281659975/32611, -124398/32611], [-24141527/34, 19/2], [-1333049/12196514, -1/12196514]], [[0, 0], [-8257761301624/32611, 4539877858196/32611], [-23280645748/17, 12799170550/17], [-1285502796/6098257, 706737568/6098257]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, -24], [4, 2], [0, 0]], [[0, 0], [-133400010125/358721, 1664445/358721], [-758672/17, -679/34], [67223/6098257, -1/12196514]], [[0, 0], [-100424368920840/358721, 52907132342880/358721], [-570994666/17, 300768928/17], [4600524/554387, -26660868/6098257]]], 0, 720, [], [] >,
< [ -1, -1, 1 ], [[-208, 224]], [ -7819, -36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -10], [0, -8], [0, 0]], [[0, 0], [-82661468628/293861, 3031472/293861], [889902, 19], [889964/293861, -1/293861]], [[0, 0], [133222826025914/293861, -184042462127130/293861], [-1434111419, 1981363051], [-1434255867/293861, 1981488795/293861]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [182/11, -240/11], [-6/11, -2/11], [0, 0]], [[0, 0], [3225756350898/293861, 11877852/293861], [1133539, 5], [1133539/293861, 5/293861]], [[0, 0], [21409733793527582/293861, -7320958117078184/293861], [7523433126, -2572599726], [7523433126/293861, -2572599726/293861]]], 0, 720, [], [] >,
< [ -1, -1, 1 ], [[20, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 1], [1, 0], [0, 0]], [[0, -2], [-10, -2], [-2, 0], [2, -2]], [[-1/2, -1/2], [-1, -1], [0, -1/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 3/2], [151/2, 2], [5/2, -1/2], [0, 0]], [[0, 0], [15, 1], [0, 0], [1, 0]], [[21/2, 7/2], [495, -259/2], [35/2, -7], [0, 0]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[-20, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 1], [1, 0], [0, 0]], [[0, 0], [257/2, 93/2], [7/2, 6], [1, 5/2]], [[0, 0], [357/2, -231/2], [-1/2, 0], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 1], [1, 0], [0, 0]], [[0, 0], [94223/22, 4960/11], [26/11, -57/22], [-57/22, -5/22]], [[0, 0], [-3734228/11, 1371003/22], [-5429/22, 4539/22], [4539/22, -445/11]]], 1, 5, [], [] >,
< [ -1, -1, 1 ], [[-28, 36]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39/2, 28], [1/2, -3/2], [0, 0]], [[0, 0], [15/2, 33], [1/2, 1/2], [1, 5/2]], [[0, 0], [-16, 8], [0, 0], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [715, 795/2], [3/2, -2], [0, 0]], [[0, 0], [5402285/22, 24575359/22], [-28573/11, -195/22], [35/22, 5/22]], [[0, 0], [-30701797/11, 532261771/22], [-1927227/22, 281107/11], [566/11, -114/11]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[-60, 12]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[0, 0], [-135/2, -19], [5, 1], [5/2, 1/2]], [[0, 0], [561, -164], [-216/5, 72/5], [-108/5, 36/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [79, 0], [1, 0], [0, 0]], [[0, 0], [18867/22, 5/22], [1596/55, 63/55], [38/55, 3/110]], [[0, 0], [3856423/22, -4714179/22], [62118/11, -80325/11], [1479/11, -3825/22]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[128, -208]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2116, -620], [0, 10], [0, 0]], [[0, 0], [188, 1], [1, 1], [1, 0]], [[0, 0], [-50358, 25532], [82, -132], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4160, 778], [8, 10], [0, 0]], [[0, 0], [41195041/11, -21817039/11], [27235/11, -228/11], [-32/11, -3/11]], [[0, 0], [153174545/11, -103840626/11], [60044/11, -78921/11], [-61/11, 95/11]]], 0, 960, [], [] >,
< [ -1, -1, 1 ], [[-12, 16]], [ -274, 36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [117/58, 3/29], [0, 0], [-125/58, 2/29]], [[0, 0], [5564/29, -22987/58], [0, 0], [-6944/29, 23653/58]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15933/319, -1261/319], [-24/11, -5/11], [0, 0]], [[0, 0], [3891189/638, -2106073/319], [2520/11, -3171/11], [9/58, -2/29]], [[0, 0], [160781/319, 2266612/319], [651/11, 3822/11], [0, 0]]], 1, 7, [], [] >,
< [ -1, -1, 1 ], [[176, -32]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1478/33, -94/33], [-80/33, 10/33], [0, 0]], [[0, 0], [-66472/33, 5032/11], [3643/33, -331/11], [79/165, -1/55]], [[0, 0], [-29336, 28728], [1684, -1554], [28/5, -36/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1652/33, 232/11], [-4/33, 2/11], [0, 0]], [[0, 0], [-14, -1690/11], [-10/11, 5/11], [2/33, -1/33]], [[0, 0], [-26672/11, -32458/11], [56/11, -67/11], [-56/165, 67/165]]], 0, 288, [], [] >,
< [ -1, -1, 1 ], [[44, -8]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-769/33, 26/33], [-185/33, -14/33], [-1/3, 0]], [[0, 0], [-22036/33, 29303/33], [-9043/66, 14549/66], [-1003/110, 1411/110]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18/11, -631/33], [-8/11, -8/33], [0, 0]], [[0, 0], [64201/33, -7299/11], [-4523/66, 1263/22], [-7/110, -1/110]], [[0, 0], [2764400/33, -2081807/33], [-134099/33, 144895/66], [-26/15, 689/330]]], 1, 18, [], [] >,
< [ -1, -1, 1 ], [[144, -192]], [ -996, 36 ], [ -30, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-451205/349, -31/698], [1559349/58, 21/58], [14555/60726, 1/121452]], [[0, 0], [-141191298/349, 128437092/349], [243980776/29, -221937552/29], [759093/10121, -690522/10121]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 15], [-2, 6], [0, 0]], [[0, 0], [-2964956165/3839, 110920/3839], [6470634/319, 2130/319], [-17286/111331, 1/333993]], [[0, 0], [12949911/7678, -5431530/3839], [-14137/319, 23717/638], [151/445324, -95/333993]]], 0, 576, [], [] >,
< [ -1, -1, 1 ], [[-240, 16]], [ -7855, 36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -4], [-10, -4], [0, 0]], [[0, 0], [134113927450/293861, 3247746/293861], [-1444165, 63], [-1444165/293861, 3/293861]], [[0, 0], [381281085695666/293861, -196405342059788/293861], [-4105852780, 2115066190], [-4105764910/293861, 2114983480/293861]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2694/11, 30/11], [-122/11, -8/11], [0, 0]], [[0, 0], [46542211512182/3232471, -3073478136/3232471], [16350315/11, -218/11], [1486065/293861, 2/293861]], [[0, 0], [-78169920660879134/3232471, 238464359542421790/3232471], [-27456738460/11, 83775682740/11], [-2495405780/293861, 7614369420/293861]]], 0, 720, [], [] >,
< [ -1, -1, 1 ], [[288, -80]], [ -2649, 74 ], [ -102, -34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -2], [6, 0], [0, 0]], [[0, 0], [-29750880887/32611, 100214/32611], [15445432/17, 245/34], [972027/6098257, 5/12196514]], [[0, 0], [14339628/32611, -5983807/32611], [-14889/34, 6213/34], [-937/12196514, 23/717442]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 30], [10, -4], [0, 0]], [[0, 0], [54713205186/358721, -5671746/358721], [8177358/187, -1961/187], [28610/6098257, -1/6098257]], [[0, 0], [5318508415907/358721, -4223930791841/358721], [1589965343/374, -37136763/11], [5561883/12196514, -200790/554387]]], 0, 720, [], [] >,
< [ -1, -1, 1 ], [[-12, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 1], [1, 0], [0, 0]], [[3, 4], [48, -2], [1, 3], [2, 1]], [[-3/2, -1], [-61, 28], [1/2, -3/2], [-2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 3/2], [-94, 41/2], [3/2, 0], [0, 0]], [[0, 0], [7, 1], [0, 0], [1, 0]], [[2, 9/2], [135/2, -132], [-1/2, 5/2], [0, 0]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[12, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 1], [1, 0], [0, 0]], [[0, 0], [267/2, 5/2], [-5/2, -3], [-2, -1/2]], [[0, 0], [474, -937/2], [3/2, 17/2], [-11/2, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 1], [1, 0], [0, 0]], [[0, 0], [103525/22, -1277/22], [-241/22, 26/11], [24/11, -1/22]], [[0, 0], [1863669/11, -2505507/11], [-5529/11, 5510/11], [874/11, -1159/11]]], 1, 5, [], [] >,
< [ -1, -1, 1 ], [[44, -8]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39/2, -31], [-1/2, -5/2], [0, 0]], [[0, 0], [57, 75], [-35, 28], [1/2, 1]], [[0, 0], [-13, 39/2], [161/2, -49], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10239/22, -2613/22], [1/11, 5/22], [0, 0]], [[0, 0], [767, -496], [0, 0], [-1/2, -1/2]], [[0, 0], [-105, 64], [0, 0], [0, 0]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[36, -48]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 0], [1, 0], [0, 0]], [[0, 0], [-269/2, -91/2], [-6, -1], [-3, -1/2]], [[0, 0], [-4159, 2955], [-1064/5, 728/5], [-532/5, 364/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, 0], [1, 0], [0, 0]], [[0, 0], [-240243/22, -4016/11], [-174/11, -6/11], [-29/22, -1/22]], [[0, 0], [-12515061/22, 2063539/22], [-45312/55, 7434/55], [-3776/55, 1239/110]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[288, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1068, -528], [-8, -6], [0, 0]], [[0, 0], [4, 1], [1, 1], [1, 0]], [[0, 0], [-29274, 11228], [-180, 48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 290], [-6, 4], [0, 0]], [[0, 0], [-15814/11, -32489/11], [7/11, 17/11], [1/11, 4/11]], [[0, 0], [88, 22], [0, 0], [0, 0]]], 0, 960, [], [] >,
< [ -1, -1, 1 ], [[-24, 4]], [ -938, -8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [39878922/7649, -31597/15298], [2, -5/2], [-17989/7649, -3/15298]], [[0, 0], [11850735221/7649, -27290327384/7649], [2305, -400], [-10679697/15298, 12313749/7649]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -7], [-1, 0], [0, 0]], [[0, 0], [-70222670454/84139, -7914499/168278], [703042/11, -93/22], [281219/168278, -1/168278]], [[0, 0], [45446042816863/15298, -12268068424950/7649], [-455018155/2, 122835940], [-45500634/7649, 24566070/7649]]], 1, 7, [], [] >,
< [ -1, -1, 1 ], [[24, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 1], [1, 0], [0, 0]], [[0, 0], [325/2, -28], [-1, 1/2], [-5/2, 3/2]], [[0, 0], [-18, -26], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-238, 1], [1, 0], [0, 0]], [[0, 0], [164301/22, -3192/11], [-52/11, -7/22], [-15/22, 1/22]], [[0, 0], [13409314/11, -1948338/11], [-8388/11, 436/11], [-1228/11, 208/11]]], 1, 9, [], [] >,
< [ -1, -1, 1 ], [[32, -44]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-77, 6], [2, 1], [0, 0]], [[0, 0], [137, 877/2], [-21/2, -20], [1/2, -3/2]], [[0, 0], [1645, 24], [-40, -28], [-27/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22139/22, -945/22], [-2/11, 1/22], [0, 0]], [[0, 0], [-168, -23], [0, 0], [1/2, -3/2]], [[0, 0], [1091, -1444], [0, 0], [-33/2, 3]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[128, -176]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1116, 232], [2, -4], [0, 0]], [[0, 0], [-120, 1], [1, 1], [1, 0]], [[0, 0], [-24060, 8010], [56, -76], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12550, 4700], [-10, -6], [0, 0]], [[0, 0], [-1885974841/11, 306966757/11], [1356607/11, 2126/11], [-76/11, -3/11]], [[0, 0], [-1436122548026/11, 1478485102834/11], [851542314/11, -1104755662/11], [-45360/11, 62424/11]]], 0, 720, [], [] >,
< [ -1, -1, 1 ], [[16, -20]], [ -946, 8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-1988860/7649, -20731/15298], [0, -3/2], [1795/15298, -1/15298]], [[0, 0], [44870065/15298, -19710029/15298], [-15/2, 19/2], [-10150/7649, 4480/7649]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-49/2, 11], [3/2, 0], [0, 0]], [[0, 0], [-89198087085/84139, -7621621/168278], [-120633/11, 9/22], [-120589/84139, -1/84139]], [[0, 0], [-29864036821525/84139, -22196016019697/168278], [-40387427/11, -30009401/22], [-40373380/84139, -30003505/168278]]], 1, 7, [], [] >,
< [ -1, -1, 1 ], [[-16, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 1], [1, 0], [0, 0]], [[0, 0], [-233, 36], [0, -1], [1, -1]], [[0, 0], [3807/2, 87], [2, 21/2], [-13/2, 17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, 1], [1, 0], [0, 0]], [[0, 0], [44923/22, 1565/22], [-839/22, -56/11], [-38/11, -3/22]], [[0, 0], [756852/11, -949775/11], [-12395/11, 18023/11], [-1273/11, 1608/11]]], 1, 9, [], [] >,
< [ -1, -1, 1 ], [[-56, 12]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 49/2], [-3/2, 0], [0, 0]], [[0, 0], [-79/2, -149/2], [16, -15/2], [-2, -1/2]], [[0, 0], [323, 560], [-62, 20], [21/2, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2843/2, -239], [-5/2, -3/2], [0, 0]], [[0, 0], [-34590201/11, 10198223/11], [-50158/11, 544/11], [1/22, -3/22]], [[0, 0], [-112229, 52220], [-150, 46], [0, 0]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[-272, 224]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-178, 16], [-18, 6], [0, 0]], [[0, 0], [16, 1], [5, 1], [1, 0]], [[0, 0], [434, -250], [50, -30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [870, -2008], [-2, -16], [0, 0]], [[0, 0], [16960192/11, -6297367/11], [78391/11, 601/11], [5/11, -4/11]], [[0, 0], [-12514, 23610], [10, 180], [0, 0]]], 0, 720, [], [] >,
< [ -1, -1, 1 ], [[-28, 8]], [ -1490, 36 ], [ -96, -105 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-892490898/17461, 21976/17461], [-111737/2757, -7/2757], [56344/52383, 2/52383]], [[0, 0], [-995045192789/17461, 653319789649/34922], [-41524300/919, 13629823/919], [41878089/34922, -13746591/34922]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8861802/919, 5015/919], [-1870/919, 3/919], [0, 0]], [[0, 0], [-22184572365580/192071, 25062047043945/384142], [-251933859/10109, 139287844/10109], [-150399/384142, -1/384142]], [[0, 0], [18717258685545637/10109, -11177112002698655/10109], [12075430409320/30327, -7153088617871/30327], [160422055/30327, -52962476/30327]]], 1, 10, [], [] >,
< [ -1, -1, 1 ], [[336, -96]], [ -3315, -36 ], [ -618, 249 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [353404/971, 4978/971], [3334/971, -8/971], [0, 0]], [[0, 0], [35233951866/39811, 5758894998/39811], [-44556813/18449, 25178513/18449], [-1131389/2269227, 1/2269227]], [[0, 0], [1057347902934/39811, -1832666295784/39811], [-2962536382/18449, 1931978855/18449], [-14403946/756409, 56651591/2269227]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6012422/971, -5614/971], [-56666/971, 2/971], [0, 0]], [[0, 0], [15178181811728/39811, -7785068614166/39811], [744769987089/202939, -374385507077/202939], [-12496871/24961497, -5/24961497]], [[0, 0], [11021966351097379754/39811, -7578414122038306056/39811], [536518820208457568/202939, -372854511147297976/202939], [-5445639821480/24961497, 7075742707256/24961497]]], 0, 960, [], [] >,
< [ -1, -1, 1 ], [[-112, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, 26], [-10, 2], [0, 0]], [[0, 0], [-10, 1], [1, 1], [1, 0]], [[0, 0], [-236, 90], [-24, 8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6044, 14], [-8, 2], [0, 0]], [[0, 0], [-101819143/11, -33868272/11], [-123720/11, -233/11], [-57/11, -5/11]], [[0, 0], [6800271721/11, -895063502/11], [9301280/11, -3127627/11], [4161/11, -1197/11]]], 0, 128, [], [] >,
< [ -1, -1, 1 ], [[28, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 1], [1, 0], [0, 0]], [[0, 0], [-357/2, 297/2], [-5/2, -5], [0, -5/2]], [[0, 0], [-2835/2, 824], [7, 9/2], [19/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-280, 1], [1, 0], [0, 0]], [[0, 0], [196505/22, 10315/22], [-157/22, 10/11], [16/11, 3/22]], [[0, 0], [-12147693/11, 3769735/11], [10309/11, -4186/11], [-1950/11, 559/11]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[12, -20]], [ -1454, -36 ], [ -96, 9 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-878676135/34922, 93863/34922], [-32079/919, -5/2757], [33601/34922, 1/52383]], [[0, 0], [-9871894626556/17461, 3320039944903/17461], [-720774329/919, 242342278/919], [377489943/17461, -126928195/17461]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17741794/919, -29293/919], [-3647/919, 3/919], [0, 0]], [[0, 0], [36309073858704/192071, -128678538762773/384142], [-1173809215/30327, 2089006985/30327], [-103589/1152426, -5/1152426]], [[0, 0], [1160686025241650715/192071, -1099364874308878203/192071], [-12527941997468/10109, 11886835530140/10109], [-345695274/192071, 116355990/192071]]], 1, 10, [], [] >,
< [ -1, -1, 1 ], [[-144, 240]], [ -3351, 36 ], [ -489, 120 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [920302/971, -2830/971], [8326/971, -8/971], [0, 0]], [[0, 0], [-4156564452/971, 1402021518/971], [-37179869/971, 12630772/971], [1/3, 0]], [[0, 0], [1715030908525400/39811, -743938954592090/39811], [7112127479198/18449, -3096907029934/18449], [-2386981562/756409, 445945886/756409]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1589076890/10681, 178886/10681], [56664/10681, 2/10681], [0, 0]], [[0, 0], [-122355808266844/39811, 61032157836006/39811], [2049192434/18449, -1008385527/18449], [1907150/2269227, -5/2269227]], [[0, 0], [779342016693195608/39811, -422428890825063740/39811], [-13037254924744/18449, 7009568318280/18449], [-3703267464/756409, 693489010/756409]]], 0, 960, [], [] >,
< [ -1, -1, 1 ], [[48, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150, 106], [10, -4], [0, 0]], [[0, 0], [26, 1], [1, 1], [1, 0]], [[0, 0], [-452, 382], [36, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [238, 850], [-2, 6], [0, 0]], [[0, 0], [-229802, -175329], [-2445, -15], [-1, 0]], [[0, 0], [47806711/11, 387898369/11], [-1887725/11, 3174084/11], [-780/11, 1295/11]]], 0, 128, [], [] >,
< [ -1, -1, 1 ], [[-12, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 1], [1, 0], [0, 0]], [[0, 0], [531/2, -15], [0, 5/2], [-5/2, 5/2]], [[0, 0], [523/2, 86], [1, 7/2], [-3/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [308, 1], [1, 0], [0, 0]], [[0, 0], [-135829/22, 18945/22], [129/22, -12/11], [6/11, -3/22]], [[0, 0], [-26229/2, 31266], [14, -57/2], [3/2, -5/2]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[272, -64]], [ -4068, 101 ], [ -16, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-385672823268/78671, 290359/78671], [-47564916/19, -3/19], [31709944/7473745, 2/7473745]], [[0, 0], [-471676740387919/78671, -1472304495498213/78671], [-58171901991/19, -181579076553/19], [38781267994/7473745, 121052717702/7473745]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, 0], [1, 0], [0, 0]], [[0, 0], [-177325876701051/865381, 4429901/865381], [9536336657/209, 41/209], [-465187154/82211195, -2/82211195]], [[0, 0], [-1020172016049077720/865381, 5093379414396390679/865381], [54863410528920/209, -273914799455815/209], [-535252785648/16442239, 2672339506886/16442239]]], 0, 640, [], [] >,
< [ -1, -1, 1 ], [[-80, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -32], [4, 6], [0, 0]], [[0, 0], [12, 1], [1, 1], [1, 0]], [[0, 0], [86, -54], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1576, 642], [-2, -4], [0, 0]], [[0, 0], [84058/11, -38565/11], [247/11, -59/11], [-27/11, 4/11]], [[0, 0], [1599330/11, -1216940/11], [3756/11, -3920/11], [-368/11, 444/11]]], 0, 168, [], [] >,
< [ -1, -1, 1 ], [[-144, 208]], [ -502, 19 ], [ -14, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -6], [6, -10], [0, 0]], [[0, 0], [-8571978/1181, 751550/1181], [10029, 269/2], [-10321/96842, -5/96842]], [[0, 0], [-399897360/1181, 253641152/1181], [439298, -280544], [-227920/48421, 145420/48421]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -8], [-4, 6], [0, 0]], [[0, 0], [49411717448/12991, -3103456/12991], [-3715329/22, -965/11], [-301956/532631, 3/1065262]], [[0, 0], [-6349303393044/12991, -1185402746650/12991], [477464003/22, 44730915/11], [38801140/532631, 14493367/1065262]]], 0, 640, [], [] >,
< [ -1, -1, 1 ], [[112, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -4], [8, 6], [0, 0]], [[0, 0], [2, 1], [1, 1], [1, 0]], [[0, 0], [-104, 50], [-18, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6162, 236], [-2, 6], [0, 0]], [[0, 0], [267506207/11, -374595829/11], [451597/11, 2/11], [-10/11, -3/11]], [[0, 0], [-22594879447/11, 19580911297/11], [-26070695/11, 8621740/11], [520/11, -75/11]]], 0, 168, [], [] >,
< [ -1, -1, 1 ], [[28, 0]], [ -42, 0 ], [ -7, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-5/6, 3/2], [6/31, -10/31], [1/62, -5/186]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[0, 0], [312539/66, -207/11], [149307/341, -628/341], [317/682, -2/1023]], [[0, 0], [-111711, 118313], [-320280/31, 339120/31], [-340/31, 360/31]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[112, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 24], [8, 6], [0, 0]], [[0, 0], [0, 7], [1, 1], [1, 0]], [[0, 0], [6, -6], [-2, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [410, -12], [10, 2], [0, 0]], [[0, 0], [-1643176/11, 186636/11], [-39320/11, -3876/11], [6/11, 4/11]], [[0, 0], [-5967545/11, 2808160/11], [-130420/11, 50689/11], [15/11, -1/11]]], 0, 200, [], [] >,
< [ -1, -1, 1 ], [[224, 112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-186, -248], [4, 10], [0, 0]], [[0, 0], [-30, 1], [1, 1], [1, 0]], [[0, 0], [282, -664], [40, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 296], [6, -2], [0, 0]], [[0, 0], [120773/11, 117160/11], [1588/11, -23/11], [-23/11, 3/11]], [[0, 0], [2184840/11, 1439565/11], [37343/11, -9135/11], [-555/11, 180/11]]], 0, 1200, [], [] >,
< [ -1, -1, 1 ], [[-44, 16]], [ -6218, -68 ], [ -7, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-486308755/320342, 240552184/160171], [0, 0], [-3177/19540862, 3143/19540862]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-108707094367/320342, 113580/160171], [-39829620/11, -26/11], [-73631/1776442, 1/19540862]], [[0, 0], [-40315490241320/160171, 69986700435708/160171], [-29542561525/11, 51285464682/11], [-300377084/9770431, 521448200/9770431]]], 1, 15, [], [] >,
< [ -1, -1, 1 ], [[592, -304]], [ -2322, 129 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -6], [-2, -2], [0, 0]], [[0, 0], [-532/129, -863/129], [3/2, 4], [1/129, -5/258]], [[0, 0], [352/43, 1850/129], [-28, 7], [21/43, -35/129]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 20], [-4, -10], [0, 0]], [[0, 0], [-291923/1419, 31355/473], [508/11, -441/22], [-65/2838, -1/946]], [[0, 0], [-127397/1419, 77546/1419], [469/22, -285/22], [-23/2838, 7/1419]]], 0, 960, [], [] >,
< [ -1, -1, 1 ], [[-40, 12]], [ -6286, 68 ], [ -10, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-422195721/320342, 104968603/160171], [0, 0], [-3092/9770431, 3075/19540862]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [50874993442396/1761881, -52806931/3523762], [35920245/11, -5/11], [7184049/214949482, -1/214949482]], [[0, 0], [11449808753136797/320342, -7647220298161507/320342], [4042062745, -2699656120], [808412549/19540862, -269965612/9770431]]], 1, 15, [], [] >,
< [ -1, -1, 1 ], [[528, -256]], [ -918, -54 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7/6, 1/3], [2, -3/2], [0, 0]], [[0, 0], [58/9, 46/9], [4, -4], [5/9, 5/9]], [[0, 0], [1/3, -14/9], [2, -1], [0, -1/9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7/6, -8/3], [-7, -1/2], [0, 0]], [[0, 0], [104, -238/3], [-4810/11, 1670/11], [6/11, 1/33]], [[0, 0], [1324, -8404/9], [-5182, 2294], [6, -8/9]]], 0, 960, [], [] >,
< [ -1, -1, 1 ], [[-160, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-220, -324], [-8, -10], [0, 0]], [[0, 0], [-26, 1], [1, 1], [1, 0]], [[0, 0], [50, -148], [10, -10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3678, 1004], [-6, -4], [0, 0]], [[0, 0], [356011065/11, -93748587/11], [-478789/11, -1520/11], [-24/11, -5/11]], [[0, 0], [-155013860423/11, 108715614316/11], [172007466/11, -136718033/11], [7215/11, -6487/11]]], 0, 288, [], [] >,
< [ -1, -1, 1 ], [[128, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 82], [2, 2], [0, 0]], [[0, 0], [48, 1], [1, 1], [1, 0]], [[0, 0], [-30, 14], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6072, -444], [2, -2], [0, 0]], [[0, 0], [-189307/11, 55717/11], [529/11, -58/11], [-76/11, -3/11]], [[0, 0], [3527724/11, -10999368/11], [-1554/11, 39664/11], [-740/11, -6734/11]]], 0, 288, [], [] >,
< [ -1, -1, 1 ], [[-208, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-190, 116], [10, 10], [0, 0]], [[0, 0], [-48, 1], [1, 1], [1, 0]], [[0, 0], [-1942, 1200], [32, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7512, 1530], [8, -4], [0, 0]], [[0, 0], [-4747368, -3526272], [3212, -2], [4, 0]], [[0, 0], [-2342954182/11, -239114379/11], [2219159/11, -853613/11], [2763/11, -1062/11]]], 0, 320, [], [] >,
< [ -1, -1, 1 ], [[-176, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [134, -8], [6, 0], [0, 0]], [[0, 0], [42, 1], [1, 1], [1, 0]], [[0, 0], [144, -52], [6, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6242, -2178], [-4, -8], [0, 0]], [[0, 0], [-196584365/11, 141042668/11], [54750/11, 57/11], [1/11, -3/11]], [[0, 0], [1119484, -654832], [-184, 178], [0, 0]]], 0, 320, [], [] >,
< [ -1, -1, 1 ], [[-176, 160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-852, 2], [-6, 0], [0, 0]], [[0, 0], [52, 1], [1, 1], [1, 0]], [[0, 0], [12800, -11640], [90, -82], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11236, -2782], [-6, -6], [0, 0]], [[0, 0], [1173540230/11, -503024878/11], [357298/11, 694/11], [-72/11, -4/11]], [[0, 0], [-33028784001/11, 22279387659/11], [-7309169/11, 6377522/11], [1404/11, -1275/11]]], 0, 360, [], [] >,
< [ -1, -1, 1 ], [[144, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-248, 428], [-6, 10], [0, 0]], [[0, 0], [66, 1], [1, 1], [1, 0]], [[0, 0], [494, -1032], [12, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10878, -1362], [-10, 6], [0, 0]], [[0, 0], [-40251/11, -43543/11], [-27/11, -62/11], [-2/11, -5/11]], [[0, 0], [-82, -108], [0, 0], [0, 0]]], 0, 360, [], [] >,
< [ -1, -1, 1 ], [[1616, -304]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-258, 8], [-138, -4], [0, 0]], [[0, 0], [30, 1], [-9, 1], [1, 0]], [[0, 0], [-12798, 2686], [-6768, 1104], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5202, 4], [336, 2], [0, 0]], [[0, 0], [19299991252/11, -135035569/11], [-1246537125/11, 395081/11], [-19/11, 2/11]], [[0, 0], [-21827434049128/11, 2203928984478/11], [1408886973044/11, -133826676272/11], [21688/11, -4080/11]]], 0, 31680, [], [] >,
< [ -1, -1, 1 ], [[1312, 304]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [356, 0], [-60, -66], [0, 0]], [[0, 0], [50, 1], [-77, 1], [1, 0]], [[0, 0], [-2950, 2006], [126, -164], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2216, 90], [-86, 30], [0, 0]], [[0, 0], [-60307295/11, -28734925/11], [-1954479/11, 15078/11], [-26/11, 1/11]], [[0, 0], [-34894393582/11, 161221866884/11], [-3364496332/11, 4603193152/11], [-46644/11, 60710/11]]], 0, 31680, [], [] >,
< [ -1, -1, 1 ], [[1168, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-888, -2], [136, 6], [0, 0]], [[0, 0], [32, 1], [-67, 1], [1, 0]], [[0, 0], [1058, -1294], [-154, 200], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11060, 0], [-888, -2], [0, 0]], [[0, 0], [-105132165373/11, 281318533/11], [-8441000327/11, 3625482/11], [62/11, 1/11]], [[0, 0], [362838644373111/11, -452083845621445/11], [29050522756941/11, -36313906812954/11], [-208962/11, 267615/11]]], 0, 24960, [], [] >,
< [ -1, -1, 1 ], [[1424, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, 2], [864, 8], [0, 0]], [[0, 0], [16, 1], [-65, 1], [1, 0]], [[0, 0], [2214, -414], [-19030, 3114], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9412, 14], [16, 6], [0, 0]], [[0, 0], [461328/11, -39883/11], [-48091/11, -1323/11], [69/11, 2/11]], [[0, 0], [-416732138/11, 110958952/11], [42459646/11, -7683494/11], [-60902/11, 10952/11]]], 0, 24960, [], [] >,
< [ -1, -1, 1 ], [[768, -1040]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [394, -4], [10, 90], [0, 0]], [[0, 0], [26, 1], [-31, 1], [1, 0]], [[0, 0], [3240, -1512], [-260, 358], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2646, 242], [-38, -58], [0, 0]], [[0, 0], [842994/11, -495654/11], [-4408/11, -614/11], [14/11, 2/11]], [[0, 0], [-5707337, 3611397], [15185, -20458], [-48, 65]]], 0, 20160, [], [] >,
< [ -1, -1, 1 ], [[272, -1040]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [178, -4], [-354, -8], [0, 0]], [[0, 0], [58, 1], [-23, 1], [1, 0]], [[0, 0], [12180, -2726], [-24000, 4560], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7010, 10], [762, 10], [0, 0]], [[0, 0], [13085155585/11, -151514241/11], [1422184141/11, -46872/11], [54/11, 3/11]], [[0, 0], [-6932903638401/11, 1763230318664/11], [-751378359970/11, 185101467055/11], [-28139/11, 5833/11]]], 0, 20160, [], [] >,
< [ -1, -1, 1 ], [[-288, 260]], [ -6218, -68 ], [ -7, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [17036853/320342, 3535726/160171], [0, 0], [359/320342, 149/320342]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-775873207/160171, -180044/160171], [-276475/11, -96/11], [5475/160171, 1/160171]], [[0, 0], [-15445789/320342, 8290180/160171], [-2752/11, 2954/11], [109/320342, -117/320342]]], 1, 930, [], [] >,
< [ -1, -1, 1 ], [[4496, -3232]], [ -2322, 129 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -6], [-58, 10], [0, 0]], [[0, 0], [17939/129, 4813/129], [1315, -1461/2], [-1/258, -5/258]], [[0, 0], [-213731/129, 153398/129], [-52635/2, 32743/2], [-35/258, 7/129]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2186, 28], [-710, -8], [0, 0]], [[0, 0], [-1850474782/1419, 121355581/1419], [9314223/22, -311529/11], [-2/1419, 1/2838]], [[0, 0], [13542, -3032], [-4400, 990], [0, 0]]], 0, 59520, [], [] >,
< [ -1, -1, 1 ], [[-28, -260]], [ -6286, 68 ], [ -10, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-106583/320342, 82655/320342], [0, 0], [-657/320342, 254/160171]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-32114069569102/1761881, -9562640/1761881], [-30075558/11, -12/11], [5012593/1761881, 2/1761881]], [[0, 0], [-20091341253/3523762, 6986481746/1761881], [-9408/11, 6543/11], [1568/1761881, -2181/3523762]]], 1, 930, [], [] >,
< [ -1, -1, 1 ], [[-704, 1968]], [ -918, -54 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -3/2], [139/2, 1/2], [0, 0]], [[0, 0], [-14213/2, 6631], [-15582, 30687/2], [-1/3, -1/3]], [[0, 0], [-2305562/9, 163002], [-572400, 365700], [-31/9, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-715/3, 19/6], [2979/2, 3/2], [0, 0]], [[0, 0], [-8168986/3, 19453334/9], [185078392/11, -148062982/11], [-2/33, -4/99]], [[0, 0], [1935959125/18, -205928902/3], [-666083971, 851107503/2], [10/9, -1/3]]], 0, 59520, [], [] >,
< [ -1, -1, 1 ], [[196, 0]], [ -42, 0 ], [ -7, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [158/3, 17/6], [15764/31, 273/31], [-89/93, -1/62]], [[0, 0], [865/2, -1557/2], [137781/31, -229852/31], [-519/62, 865/62]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 9], [7, 21], [0, 0]], [[0, 0], [-50609/33, 1105/33], [-758674/341, 5061/341], [718/1023, 2/1023]], [[0, 0], [795307/66, -445157/11], [5652640/341, -20244665/341], [-3445/682, 19292/1023]]], 1, 600, [], [] >,
< [ -1, -1, 1 ], [[784, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, 42], [0, -14], [0, 0]], [[0, 0], [2, 5], [5, 1], [1, 0]], [[0, 0], [-14, 14], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [182, 84], [14, -14], [0, 0]], [[0, 0], [9531/11, 9016/11], [-310/11, -5/11], [35/11, 5/11]], [[0, 0], [-11194/11, -7833/11], [445/11, -81/11], [-49/11, 4/11]]], 0, 9600, [], [] >,
< [ -1, -1, 1 ], [[2352, -784]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, 28], [14, 28], [0, 0]], [[0, 0], [10, 1], [3, 1], [1, 0]], [[0, 0], [154, -98], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2324, 462], [-42, 42], [0, 0]], [[0, 0], [-482177/11, -3232407/11], [-44817/11, -640/11], [-46/11, -5/11]], [[0, 0], [-85121719/11, 181647843/11], [4649655/11, -1837844/11], [4590/11, -1615/11]]], 0, 57600, [], [] >,
< [ -1, -1, 1 ], [[-1216, 1392]], [ -502, 19 ], [ -14, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [6, 6], [0, 0]], [[0, 0], [921312/1181, 504/1181], [-821, -8], [-1828/1181, -1/1181]], [[0, 0], [57594348/1181, -58632084/1181], [-50843, 104513/2], [-228549/2362, 232667/2362]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, 14], [-8, 8], [0, 0]], [[0, 0], [1372359660/12991, -576832/12991], [74450/11, -39/11], [-6439/12991, 1/12991]], [[0, 0], [-15768215462/1181, 6185511380/1181], [-1710909/2, 671231/2], [147951/2362, -29010/1181]]], 0, 26880, [], [] >,
< [ -1, -1, 1 ], [[800, -208]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, 44], [-28, 4], [0, 0]], [[0, 0], [2, 1], [-7, 1], [1, 0]], [[0, 0], [-28, 4], [8, 34], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [378, 110], [-8, -34], [0, 0]], [[0, 0], [3962165/11, -3545360/11], [267008/11, -3909/11], [-57/11, -5/11]], [[0, 0], [-6570084728/11, 4761632430/11], [-347465046/11, 111741700/11], [71810/11, -18662/11]]], 0, 6720, [], [] >,
< [ -1, -1, 1 ], [[1568, -176]], [ -4068, 101 ], [ -16, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, 32], [-13, 32], [0, 0]], [[0, 0], [66213743746/78671, 3849183/78671], [111618348/19, 579/19], [-5444892/7473745, -6/7473745]], [[0, 0], [-449124018444/78671, 19441488518435/78671], [-758835920/19, 32771362599/19], [7404712/1494749, -319724886/1494749]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, 171], [14, -25], [0, 0]], [[0, 0], [417326775885615/865381, 1853440110/865381], [-22443292599/209, -64872/209], [1094796698/82211195, 4/82211195]], [[0, 0], [-4796672995648761090/865381, -562997623875880142/865381], [257958803915940/209, 30276834845866/209], [-12583374289416/82211195, -1476880796568/82211195]]], 0, 26880, [], [] >,
< [ -1, -1, 1 ], [[976, -384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 66], [-34, 8], [0, 0]], [[0, 0], [4, 1], [-29, 1], [1, 0]], [[0, 0], [-204, 48], [-116, 90], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1556, 232], [-62, 58], [0, 0]], [[0, 0], [3323345/11, 17195587/11], [489081/11, -1064/11], [-76/11, -3/11]], [[0, 0], [6018990490/11, 3460081263/11], [-138030921/11, 197656345/11], [20169/11, -31104/11]]], 0, 6720, [], [] >,
< [ -1, -1, 1 ], [[212, -96]], [ -1490, 36 ], [ -96, -105 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-239963760/17461, 861/17461], [-944249/2757, -74/2757], [10711/52383, 1/52383]], [[0, 0], [1565111365402/17461, -3438168101561/34922], [6158104055/2757, -6764585245/2757], [-139705451/104766, 153467083/104766]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [211711600/919, 8411/919], [44714/919, 1/919], [0, 0]], [[0, 0], [-17185933645500703/384142, -5728576466902203/192071], [-286637795104/30327, -191026836866/30327], [404978/576213, -1/1152426]], [[0, 0], [93217409989306718142/10109, -405505809109834401324/10109], [19711051918776088/10109, -85666632799752450/10109], [-5471616904/10109, 6010862975/10109]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[1152, -1392]], [ -3315, -36 ], [ -618, 249 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6233860/971, 4732/971], [58810/971, 8/971], [0, 0]], [[0, 0], [273912207302/971, -273398210730/971], [2571737538/971, -2579228568/971], [-2/3, 0]], [[0, 0], [-1519265855282844402/39811, 806431728310318654/39811], [-6625142056494783/18449, 3510681191025885/18449], [36218575431/756409, -32060367957/756409]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76402214/971, 8650/971], [-720684/971, -10/971], [0, 0]], [[0, 0], [127604180654/39811, -512547821362050/39811], [-39754920362/202939, -24648526137325/202939], [-4163474/24961497, -1/24961497]], [[0, 0], [194533787445089077804/39811, -25267597464753118164/39811], [9335497444403499168/202939, -1197710900762451891/202939], [-594876423840/8320499, 526590613259/8320499]]], 0, 30720, [], [] >,
< [ -1, -1, 1 ], [[848, -384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -32], [-54, -20], [0, 0]], [[0, 0], [-30, 1], [-11, 1], [1, 0]], [[0, 0], [142, -76], [-700, 448], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, -20], [-6, -16], [0, 0]], [[0, 0], [-437869/11, 307294/11], [2280/11, 893/11], [13/11, 5/11]], [[0, 0], [885053306/11, -528806722/11], [-1903368/11, 2317880/11], [-10952/11, 13232/11]]], 0, 3840, [], [] >,
< [ -1, -1, 1 ], [[96, -116]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [276, 23], [43, -30], [0, 0]], [[0, 0], [238457, 1053871/2], [-40361/2, 1079/2], [-1/2, 0]], [[0, 0], [-12009, -11936], [-635, 735], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3470, 88], [-32, 18], [0, 0]], [[0, 0], [-990138217/22, -627706153/11], [-1313936/11, 3777/22], [35/22, 5/22]], [[0, 0], [-18471144665/11, -64844061143/11], [162325984/11, -166495141/11], [-1842/11, 2226/11]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[136, -20]], [ -1454, -36 ], [ -96, 9 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-746806090/17461, 55643/17461], [-2425679/2757, -77/2757], [41671/52383, 1/52383]], [[0, 0], [-21772314002883/34922, 20116067626331/34922], [-35355536749/2757, 10889639880/919], [1214761819/104766, -187074412/17461]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-475249043/919, -17729/919], [97730/919, 1/919], [0, 0]], [[0, 0], [237061431345625/384142, -1653509257642940/192071], [-3993160816/30327, 53687110454/30327], [236312/576213, -5/1152426]], [[0, 0], [12179087833421524144/192071, -1738496678169182494/192071], [-396507621443048/30327, 57435171241540/30327], [1747964134/576213, -1615280657/576213]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[-1632, 240]], [ -3351, 36 ], [ -489, 120 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26848790/971, -9044/971], [241846/971, 6/971], [0, 0]], [[0, 0], [164677379466164/39811, -274249711335382/39811], [686984016993/18449, -1144966868922/18449], [-1506367/2269227, -2/2269227]], [[0, 0], [-62003662494892806/971, 145553614452490372/971], [-10602382727837541/18449, 24916199938725276/18449], [754531255/55347, 112504220/55347]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8413123330/10681, 18754/10681], [299972/10681, -6/10681], [0, 0]], [[0, 0], [-142730647973259334/437921, -62442335282923654/437921], [2361218447682/202939, 1031684688192/202939], [3012734/2269227, 4/2269227]], [[0, 0], [18336563255237912225140/437921, 11217891244437510934580/437921], [-303321482219389290/202939, -185398036479716817/202939], [-363361129150/2269227, -54137357399/2269227]]], 0, 30720, [], [] >,
< [ -1, -1, 1 ], [[544, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -42], [12, -20], [0, 0]], [[0, 0], [10, 1], [7, 1], [1, 0]], [[0, 0], [6, -10], [22, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, -10], [20, 8], [0, 0]], [[0, 0], [347803/11, -105153/11], [-49583/11, 634/11], [-48/11, 1/11]], [[0, 0], [222193577/11, -83902580/11], [-30537264/11, 4272551/11], [-29593/11, 4343/11]]], 0, 3840, [], [] >,
< [ -1, -1, 1 ], [[-136, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, 14], [-6, 10], [0, 0]], [[0, 0], [3945, -8534], [929, 16], [-1, -2]], [[0, 0], [-2756547/2, 1607289/2], [-266345/2, 86969], [-44, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3753, -7], [20, -23], [0, 0]], [[0, 0], [-205764101/22, 795069347/11], [5426569/11, -9391/22], [37/22, -1/22]], [[0, 0], [83979270124/11, -295526695272/11], [-2261556621/11, 282281498/11], [-7735/11, 1139/11]]], 1, 240, [], [] >,
< [ -1, -1, 1 ], [[148, -44]], [ -938, -8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [6787/2, 1/2], [139/2, 1/2], [-3/2, 0]], [[0, 0], [25135405267/15298, -7709292665/15298], [67155/2, -20313/2], [-5555446/7649, 1704404/7649]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-593/2, -1], [-87/2, 0], [0, 0]], [[0, 0], [186941999945/168278, -474617233/168278], [-51948365/22, -9087/22], [223615/84139, 1/84139]], [[0, 0], [682189152332823/84139, -201512281351665/84139], [-189419044445/11, 55634202295/11], [3261628045/168278, -958316275/168278]]], 1, 210, [], [] >,
< [ -1, -1, 1 ], [[-148, 44]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -18], [-26, 14], [0, 0]], [[0, 0], [49331, 104949/2], [-10333/2, -767/2], [3/2, -1]], [[0, 0], [-842, -1445], [27, 68], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, 118], [7, 23], [0, 0]], [[0, 0], [32702/11, 105/22], [36907/22, -3053/22], [17/22, 2/11]], [[0, 0], [-2960099/22, 1206059/22], [-1727925/22, 382004/11], [-348/11, 207/22]]], 1, 210, [], [] >,
< [ -1, -1, 1 ], [[-236, 252]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39/2, 21/2], [15, -5/2], [0, 0]], [[0, 0], [-42, 14], [8, -43], [-3/2, -5/2]], [[0, 0], [-182, 225/2], [245/2, -76], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108931/22, -1369/22], [-826/11, -5/22], [0, 0]], [[0, 0], [-531944929/22, 9478902/11], [8064123/22, -164739/22], [-3/2, -1/2]], [[0, 0], [-3659147948/11, 3268578365/22], [110223015/22, -24304485/11], [-35/2, 5]]], 1, 840, [], [] >,
< [ -1, -1, 1 ], [[-944, 1008]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [186, -2], [-56, 48], [0, 0]], [[0, 0], [90, 1], [-17, 1], [1, 0]], [[0, 0], [-330, -90], [74, -80], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13912, -446], [-6, 30], [0, 0]], [[0, 0], [6383106295/11, -8368762593/11], [20799821/11, 5286/11], [2/11, 5/11]], [[0, 0], [3447220, -2217870], [6388, -3694], [0, 0]]], 0, 20160, [], [] >,
< [ -1, -1, 1 ], [[164, -60]], [ -946, 8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-1339175/7649, 18729/15298], [17, 1/2], [663/7649, -5/15298]], [[0, 0], [54602300/7649, -20611854/7649], [-684, 246], [-27001/7649, 20301/15298]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-647, 5/2], [70, -1/2], [0, 0]], [[0, 0], [-213993234861/84139, 46878916837/168278], [5844030/11, -682767/22], [-29464/84139, 3/168278]], [[0, 0], [-1918709083951057/84139, 797459112125726/84139], [51465533934/11, -20135140116/11], [-254102672/84139, 92057941/84139]]], 1, 210, [], [] >,
< [ -1, -1, 1 ], [[60, -104]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 8], [2, 12], [0, 0]], [[0, 0], [2893, -3065/2], [2657/2, -451/2], [-1/2, -1]], [[0, 0], [-57, 35], [-22, 13], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4351, -35], [-16, -9], [0, 0]], [[0, 0], [-6667052237/22, 2380913873/22], [-19591745/22, 23321/11], [-6/11, 3/22]], [[0, 0], [398103276011/22, -501793916429/22], [442434677/22, -1023390114/11], [291/11, -1009/22]]], 1, 210, [], [] >,
< [ -1, -1, 1 ], [[268, -16]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 27/2], [-5/2, 14], [0, 0]], [[0, 0], [1167/2, -405], [-875/2, 505/2], [5/2, 5/2]], [[0, 0], [-10, -15], [-4, -6], [1, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [835/2, 40], [91/2, -5/2], [0, 0]], [[0, 0], [-61927572/11, -10346063/11], [-6684790/11, -49076/11], [-17/11, 3/22]], [[0, 0], [-6367479562/11, 23577967469/11], [-1060303738/11, 2344262225/11], [-3264/11, 5656/11]]], 1, 840, [], [] >,
< [ -1, -1, 1 ], [[1072, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 10], [262, 6], [0, 0]], [[0, 0], [26, 1], [135, 1], [1, 0]], [[0, 0], [-1240, 100], [4992, 546], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [664, 40], [446, 8], [0, 0]], [[0, 0], [-149052161/11, -7301895/11], [-100234785/11, -725994/11], [-24/11, -5/11]], [[0, 0], [3882231516, -711615843], [2634917575, -564530955], [603, -36]]], 0, 20160, [], [] >,
< [ -1, -1, 1 ], [[100, -32]], [ -274, 36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [170/29, 5/29], [0, 19], [0, 0]], [[0, 0], [-36325/58, 18306/29], [2045, -35], [-5/2, 0]], [[0, 0], [-317247/58, 128857/29], [14480, -3600], [-1023/58, 121/29]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [190446/319, 772/319], [791/11, 3/11], [0, 0]], [[0, 0], [15106885182/319, 569689/319], [62745095/11, -13944/11], [63/29, 1/29]], [[0, 0], [2871866458572/319, -1376739524111/638], [11928783489/11, -2861439525/11], [11931/29, -5453/58]]], 1, 90, [], [] >,
< [ -1, -1, 1 ], [[-656, 672]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9116/33, -230/33], [578/33, 2/33], [0, 0]], [[0, 0], [1142380/33, -3596462/33], [-74542/33, 224783/33], [134/165, -1/55]], [[0, 0], [197403772/33, 28555316/33], [-12414172/33, -1636496/33], [3392/165, -6254/165]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4152/11, 1292/33], [-430/11, 10/33], [0, 0]], [[0, 0], [-169106/33, -94870/11], [14705/33, 8333/11], [7/165, 1/165]], [[0, 0], [21435010/33, 992598], [-1896760/33, -952542/11], [16/5, -956/165]]], 0, 5760, [], [] >,
< [ -1, -1, 1 ], [[-164, 168]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-2183/33, 35/33], [-1759/33, -91/66], [-106/165, -1/330]], [[0, 0], [-179067/11, 925289/33], [-133800/11, 759400/33], [-762/5, 1374/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7129/33, 1085/33], [-2312/33, -8/33], [0, 0]], [[0, 0], [36189485/33, -24579748/33], [21136937/66, -14979109/66], [1/110, -1/330]], [[0, 0], [-11193, 5428], [-3402, 1458], [0, 0]]], 1, 360, [], [] >,
< [ -1, -1, 1 ], [[-1200, 384]], [ -996, 36 ], [ -30, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-666345/698, 31/698], [21101773/58, -692/29], [7165/40484, -1/121452]], [[0, 0], [40048745/698, -11462715/698], [-1268268141/58, 181508910/29], [-1291895/121452, 123255/40484]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 15], [-6, 46], [0, 0]], [[0, 0], [-3768600173/7678, -7353399/7678], [2931884321/638, -160830/319], [128617/445324, -1/1335972]], [[0, 0], [11691207878766/3839, -11863167703001/7678], [-627932381581/22, 318887672529/22], [-20658656/11517, 41962895/46068]]], 0, 11520, [], [] >,
< [ -1, -1, 1 ], [[784, -944]], [ -7855, 36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 6], [24, -32], [0, 0]], [[0, 0], [3882101970/293861, -3062022/293861], [-795940, -93], [-41900/293861, -5/293861]], [[0, 0], [-157065514320/293861, 51048019110/293861], [32193386, -10446586], [1694728/293861, -549928/293861]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84366/11, -364/11], [-4030/11, -10/11], [0, 0]], [[0, 0], [-2954344064190/293861, 64277972/293861], [22970326, 88], [1208964/293861, 4/293861]], [[0, 0], [-6071495335839594/3232471, 14703578645470696/3232471], [47203569300/11, -114323538991/11], [225854586/293861, -547002173/293861]]], 0, 14400, [], [] >,
< [ -1, -1, 1 ], [[1072, -112]], [ -2649, 74 ], [ -102, -34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 10], [-28, -26], [0, 0]], [[0, 0], [10227719361/32611, 3008639/32611], [307734539/34, 6407/17], [-668827/12196514, 2/6098257]], [[0, 0], [5955206028736/32611, -2484312878620/32611], [89600411184/17, -37387542396/17], [-17703678/554387, 434562/32611]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 10], [2, -28], [0, 0]], [[0, 0], [215218983856/358721, -17904723/358721], [433882685/374, 102485/374], [6293/1108774, 1/12196514]], [[0, 0], [-192309888547987/358721, -80914408452376/358721], [-193874967815/187, -163299853769/374], [-30928532/6098257, -26033879/12196514]]], 0, 14400, [], [] >,
< [ -1, -1, 1 ], [[68, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [35/2, -17], [17/2, 9/2], [0, 0]], [[0, 0], [-13, 0], [1, 0], [1, 0]], [[-4, -2], [24, -32], [18, 14], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 25], [-7, 22], [0, 0]], [[-2, -1], [261, -29], [192, 22], [1, -2]], [[0, 1/2], [-17/2, -1/2], [-9, 0], [1/2, 0]]], 1, 72, [], [] >,
< [ -1, -1, 1 ], [[-100, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-89, 30], [35, -15], [0, 0]], [[0, 0], [-16955/2, -3187], [2956, 957/2], [3/2, -5/2]], [[0, 0], [-832433, 1684470], [411017, -574127], [732, -234]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2311, 16], [23, 1], [0, 0]], [[0, 0], [182478823/22, -9535127/22], [-1813969/22, 3486/11], [5/11, 3/22]], [[0, 0], [-34033688135/22, 15731310275/22], [331213785/22, -73739453/11], [-790/11, 505/22]]], 1, 90, [], [] >,
< [ -1, -1, 1 ], [[-164, 168]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -23/2], [-17/2, 5], [0, 0]], [[0, 0], [26, 43], [-9, 0], [-3/2, 0]], [[0, 0], [-44, -70], [-9, 15], [-3/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17937/11, 845/22], [657/22, -1/11], [0, 0]], [[0, 0], [7173522/11, -53274/11], [-131424/11, -1805/11], [0, -1/2]], [[0, 0], [-295899/11, 223209/11], [5336/11, -4062/11], [0, 0]]], 1, 360, [], [] >,
< [ -1, -1, 1 ], [[-300, 96]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 12], [-31, 16], [0, 0]], [[0, 0], [-635/2, -63], [-313, -58], [-7/2, -1/2]], [[0, 0], [-37/2, -19/2], [-92/5, -46/5], [-1/5, -1/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -80], [8, -17], [0, 0]], [[0, 0], [105522/11, 15219/22], [35423/55, 8769/55], [-247/110, 2/55]], [[0, 0], [12029095/11, -13600095/11], [647895/11, -919607/11], [-3096/11, 3172/11]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[1072, -112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-520, -16], [-40, -10], [0, 0]], [[0, 0], [174, 1], [17, 1], [1, 0]], [[0, 0], [-1436, 382], [-104, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2326, -40], [28, 26], [0, 0]], [[0, 0], [27642496/11, -13439649/11], [-175441/11, 4623/11], [-49/11, 2/11]], [[0, 0], [-107260535/11, 54019054/11], [661064/11, -59027/11], [185/11, -19/11]]], 0, 17280, [], [] >,
< [ -1, -1, 1 ], [[-1712, 1472]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-116, 218], [-62, 32], [0, 0]], [[0, 0], [238, 1], [5, 1], [1, 0]], [[0, 0], [264, -162], [88, -54], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [412, -296], [38, -38], [0, 0]], [[0, 0], [-142, 1], [5, 1], [1, 0]], [[0, 0], [36, 66], [12, 22], [0, 0]]], 0, 27360, [], [] >,
< [ -1, -1, 1 ], [[-1712, 1472]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, 240], [-30, 40], [0, 0]], [[0, 0], [162, 1], [5, 1], [1, 0]], [[0, 0], [286, -128], [62, -32], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [392, -168], [42, -18], [0, 0]], [[0, 0], [200, 1], [5, 1], [1, 0]], [[0, 0], [-144, 306], [-16, 34], [0, 0]]], 0, 27360, [], [] >,
< [ -1, -1, 1 ], [[104, -36]], [ -238, -36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52/29, 1/29], [0, 19], [0, 0]], [[0, 0], [-1287/58, 1563/58], [321, 65], [-115/58, -5/58]], [[0, 0], [152944/29, -54742/29], [-21483, 40579], [4950/29, -7002/29]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1746/29, 871/29], [11, -6], [0, 0]], [[0, 0], [81295/638, 18201/638], [-44156/11, 380/11], [-581/638, 5/638]], [[0, 0], [7244855/638, -8244206/319], [-5883540/11, 8358480/11], [-77415/638, 54990/319]]], 1, 90, [], [] >,
< [ -1, -1, 1 ], [[688, -16]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 8], [36, -30], [0, 0]], [[0, 0], [-73317250/2759, 51614/2759], [1305965/7, -608/7], [29489/96565, -3/96565]], [[0, 0], [626988830/89, -242880184/89], [-346183848/7, 134064971/7], [-252123/3115, 97596/3115]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [204, 28], [-94, -4], [0, 0]], [[0, 0], [-98070774328/30349, 2729007718/30349], [-540437673/77, -3458547/77], [536106/1062215, 3/1062215]], [[0, 0], [353158624566128/30349, -263827724142696/30349], [270975702090/11, -205421922061/11], [-270109423/151745, 204196886/151745]]], 0, 5760, [], [] >,
< [ -1, -1, 1 ], [[172, -4]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-67911015/2759, -1245/2759], [2417281/14, 330/7], [54547/193130, 1/193130]], [[0, 0], [-105589005270/2759, 52836171540/2759], [268424544, -940108129/7], [6057889/13795, -21219346/96565]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -14], [-28, 36], [0, 0]], [[0, 0], [33668791008/30349, -167592/30349], [1545592063/154, 7023/77], [-148353/424886, -1/424886]], [[0, 0], [-106874169271285/30349, 51036038821905/30349], [-2453054495433/77, 1171406520370/77], [1177278307/1062215, -562186239/1062215]]], 1, 360, [], [] >,
< [ -1, -1, 1 ], [[432, -816]], [ -960, -36 ], [ -36, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [430187/698, 93/698], [-6809720/29, -4645/58], [-13877/121452, -1/40484]], [[0, 0], [-786656/349, 9538204/349], [24867318/29, -302007904/29], [12688/30363, -153842/30363]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, 62], [-20, 42], [0, 0]], [[0, 0], [-73300608/3839, 399287/7678], [-23225045/638, 11430/319], [3165/222662, -1/1335972]], [[0, 0], [-215891478/349, 378978025/698], [-68300107/58, 30012323/29], [4650/10121, -49073/121452]]], 0, 11520, [], [] >,
< [ -1, -1, 1 ], [[848, -960]], [ -2575, -74 ], [ -136, 34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -2], [-44, -14], [0, 0]], [[0, 0], [-3627154665/32611, -112306/32611], [209940495/34, -1063/34], [-1129379/12196514, -3/12196514]], [[0, 0], [-2298437864250/32611, 1717252609320/32611], [66518830287/17, -49698081841/17], [-357837285/6098257, 267351105/6098257]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 14], [-20, 42], [0, 0]], [[0, 0], [-24419862182/358721, -3296279/358721], [-277489/34, 368/17], [2237/1108774, 1/6098257]], [[0, 0], [266907710/358721, -105176135/358721], [3035/34, -598/17], [-269/12196514, 53/6098257]]], 0, 14400, [], [] >,
< [ -1, -1, 1 ], [[1104, -160]], [ -7819, -36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 8], [-42, 16], [0, 0]], [[0, 0], [107602817382/293861, 8413832/293861], [-22014982, -56], [-1158682/293861, -2/293861]], [[0, 0], [234476550/293861, -140035896/293861], [-47975, 28652], [-2525/293861, 1508/293861]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11388/11, 474/11], [558/11, 10/11], [0, 0]], [[0, 0], [-46398749491370/3232471, 377584377914/3232471], [361509794/11, 62072/11], [1729642/293861, 4/293861]], [[0, 0], [-39963840642406550/3232471, 5675110446271108/3232471], [311023811997/11, -41981594733/11], [1488126105/293861, -201078765/293861]]], 0, 14400, [], [] >,
< [ -1, -1, 1 ], [[104, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43, 1], [24, -1], [0, 0]], [[1/2, 0], [-2, 71], [-17/2, -61/2], [1, -1/2]], [[0, 0], [16, 12], [-8, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -13/2], [-31/2, -33], [19/2, 19/2], [0, 0]], [[1/2, 1/2], [-13, 1/2], [-7/2, 0], [1, 0]], [[-5/2, 2], [5/2, -1/2], [3, -5/2], [0, 0]]], 1, 72, [], [] >,
< [ -1, -1, 1 ], [[36, -68]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -12], [-6, -14], [0, 0]], [[0, 0], [-62427/2, 40865/2], [-3239/2, 120], [2, -5/2]], [[0, 0], [1078103, -732034], [65469, 10262], [-57, 108]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-971, 8], [-17, 11], [0, 0]], [[0, 0], [137283/22, 251451/22], [267/22, 331/11], [1/11, 5/22]], [[0, 0], [2, 30], [0, 0], [0, 0]]], 1, 90, [], [] >,
< [ -1, -1, 1 ], [[172, -4]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39/2, -21], [7/2, -9/2], [0, 0]], [[0, 0], [-5/2, -57], [-3/2, -23/2], [-2, 5/2]], [[0, 0], [-173/2, 125], [-27/2, 47/2], [12, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-952, -155/2], [-151/2, -2], [0, 0]], [[0, 0], [-2173953861/22, -108478837/22], [-86340546/11, 610635/22], [45/11, 5/22]], [[0, 0], [-399280730719/22, 372290821345/11], [-34813643613/22, 57894746253/22], [16359/22, -15447/11]]], 1, 360, [], [] >,
< [ -1, -1, 1 ], [[108, -204]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25, -24], [5, -20], [0, 0]], [[0, 0], [80, 3], [87/5, 51/5], [-9/5, -2/5]], [[0, 0], [-3, 11/2], [1/5, -2/5], [1/10, -1/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [14, 1], [0, 0]], [[0, 0], [-64121/22, 5627/22], [7809/55, -228/55], [17/55, -3/110]], [[0, 0], [-90538/11, 1839/11], [22421/55, 948/55], [48/55, -1/55]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[848, -960]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-498, -60], [-4, -22], [0, 0]], [[0, 0], [108, 1], [-11, 1], [1, 0]], [[0, 0], [5014, -2462], [-80, 92], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1796, 36], [-30, 6], [0, 0]], [[0, 0], [-12292744/11, -2832560/11], [190864/11, -6444/11], [30/11, -2/11]], [[0, 0], [27047265/11, -49006395/11], [-612413/11, 723742/11], [-100/11, 113/11]]], 0, 17280, [], [] >,
< [ -1, -1, 1 ], [[2224, -992]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-256, -2], [-40, 8], [0, 0]], [[0, 0], [108, 1], [1, 1], [1, 0]], [[0, 0], [204, -132], [34, -22], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-234, 100], [-10, 2], [0, 0]], [[0, 0], [-272, 1], [1, 1], [1, 0]], [[0, 0], [52, -18], [0, 0], [0, 0]]], 0, 27360, [], [] >,
< [ -1, -1, 1 ], [[2224, -992]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98, -178], [-2, -30], [0, 0]], [[0, 0], [222, 1], [1, 1], [1, 0]], [[0, 0], [52, 58], [64, -28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, 64], [20, -4], [0, 0]], [[0, 0], [-44, 1], [1, 1], [1, 0]], [[0, 0], [-4, -60], [-18, -4], [0, 0]]], 0, 27360, [], [] >,
< [ -1, -1, 1 ], [[-168, 76]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -11/2], [-5/2, 5/2], [0, 0]], [[0, 0], [0, -3/2], [-1/2, 1/2], [0, 0]], [[0, 1/2], [-9/28, 3/7], [0, 1/4], [1/28, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 6], [2, 1], [0, 0]], [[0, 0], [-14, 5/2], [-5/2, 1/2], [0, 0]], [[1/2, 1/2], [19/28, -23/28], [1/4, 0], [1/28, 0]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[-76, 92]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 12], [-2, 2], [0, 0]], [[0, 0], [1/2, 17], [-2, 5/2], [0, 0]], [[0, 0], [-1/14, -9/28], [1/4, 1/4], [1/28, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [85, 19/2], [5/2, 5/2], [0, 0]], [[0, 0], [745013/308, -158775/154], [460/11, 177/44], [-25/308, -1/308]], [[0, 0], [71959/22, -243877/154], [1149/22, -45/11], [-8/77, 1/77]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[-76, 92]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-118125007/751, -241/751], [-67497/751, -4/751], [0, 0]], [[0, 0], [11264808179961/1502, -50683095037401/1502], [3217545320/751, -14480884264/751], [3333/1502, 1/751]], [[0, 0], [45245492159735043/751, -55076061051519437/751], [25851617088528/751, -31470956260392/751], [5060011/751, -1848605/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46027797/751, -999/751], [-23070/751, -1/751], [0, 0]], [[0, 0], [4556546883935/16522, -29013393042/8261], [-1140252544/8261, 14205821/8261], [32892/8261, 5/16522]], [[0, 0], [-111738111747753728/8261, 41552993912676761/8261], [55918159008878/8261, -20787088952824/8261], [-1605671750/8261, 586859500/8261]]], 1, 180, [], [] >,
< [ -1, -1, 1 ], [[-624, 144]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -2], [-10, -6], [0, 0]], [[0, 0], [-2120381/1042, 463215/1042], [-835, 540], [-1513/1563, -1/3126]], [[0, 0], [309120155/1042, -70571966/521], [138648, -87099], [409825/3126, -143075/3126]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -22], [8, -8], [0, 0]], [[0, 0], [472174739/11462, 847529/11462], [-4173, -28], [-2234/17193, 1/11462]], [[0, 0], [-1452630540/5731, 2329204578/5731], [25474, -41246], [4600/5731, -7340/5731]]], 0, 3840, [], [] >,
< [ -1, -1, 1 ], [[-912, 1104]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -4], [10, 6], [0, 0]], [[0, 0], [-4487195/521, 131997/1042], [-677, -7], [-3247/3126, -2/1563]], [[0, 0], [-91468810/521, 117149736/521], [-13356, 17780], [-32416/1563, 14182/521]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-154, -66], [6, -6], [0, 0]], [[0, 0], [-8622707774/5731, 234524595/11462], [26315, 3], [9271/11462, -1/17193]], [[0, 0], [573390251636/521, -955567311209/1042], [-19029373, 15997641], [-609569/1042, 768587/1563]]], 0, 23040, [], [] >,
< [ -1, -1, 1 ], [[-156, 36]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60883545/751, 3762/751], [-60949/751, -3/751], [0, 0]], [[0, 0], [-649911799/1502, 197143907/751], [-328905/751, 197342/751], [-1772/751, -1/1502]], [[0, 0], [-7668898502220/751, 4663602523584/751], [-7759139997/751, 4673161895/751], [-40371993/751, 2373084/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [223550946/751, 30798/751], [-27905/751, -3/751], [0, 0]], [[0, 0], [268639020454879/16522, 20541003592466/8261], [-16766650819/8261, -2563485454/8261], [-8109/8261, -5/16522]], [[0, 0], [-560440437854761806/8261, -46471127868452346/8261], [69958036700020/8261, 5798546313742/8261], [34154379/8261, -2087127/8261]]], 1, 300, [], [] >,
< [ -1, -1, 1 ], [[-352, 528]], [ -11, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -8], [-18, -28], [0, 0]], [[0, 0], [0, 0], [11, 0], [1, 0]], [[0, 0], [-16, 10], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1104, 76], [-140, -10], [0, 0]], [[0, 0], [-1566068/19, 312484/19], [189970/19, -39457/19], [118/19, 3/19]], [[0, 0], [-3755862, 3935242], [459750, -476104], [212, -318]]], 0, 4800, [], [] >,
< [ -1, -1, 1 ], [[88, -132]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68904275/751, 2997/751], [19644/751, 3/751], [0, 0]], [[0, 0], [27441010483/751, -533966304060/751], [-7792564/751, 152257417/751], [-329/751, -2/751]], [[0, 0], [69660254609715/1502, -72070024531574/751], [-9925588504/751, 20548569288/751], [-61641/751, 36045/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [685991913/751, 42800/751], [52688/751, 3/751], [0, 0]], [[0, 0], [-21665995260698309/14269, 309705320228578/14269], [-87582665477/751, 1252423000/751], [9434/14269, -2/14269]], [[0, 0], [443312127893563035559/28538, -132375720258950939669/28538], [896024331782248/751, -267561345154452/751], [-192246669/28538, 27858645/14269]]], 1, 360, [], [] >,
< [ -1, -1, 1 ], [[1408, -176]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 1], [1, 0], [0, 0]], [[0, 0], [24, 437/14], [7/2, 9/2], [5/14, 1/7]], [[0, 0], [-53, -191], [-7, -28], [2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [47, 1], [1, 0], [0, 0]], [[0, 0], [1132673/266, 147545/266], [-1195/38, -80/19], [-5/19, -5/266]], [[0, 0], [5236556/7, -2235335/14], [-11037/2, 2329/2], [-659/14, 83/7]]], 0, 23040, [], [] >,
< [ -1, -1, 1 ], [[52, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -4], [20, -8], [0, 0]], [[-2, -5/2], [-14, -1], [-21/2, 2], [-3/2, -1/2]], [[-1/2, -1/2], [-5, 0], [-3, -1/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3/2], [-8, -9/2], [1/2, 2], [0, 0]], [[1/2, 1/2], [3, -1/2], [-5/2, 0], [1, 0]], [[0, 0], [4, -6], [0, 0], [0, 0]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[-12, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 3], [11/2, 55/2], [-3, 9/2], [0, 0]], [[1/2, 1/2], [-8, -1/2], [-5/2, 0], [1, 0]], [[2, -3/2], [7/2, -8], [7/2, -5/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19, -34], [-5, -9], [0, 0]], [[-5/2, -5/2], [253/2, -91], [0, 20], [0, -5/2]], [[-1, -1], [63, -44], [0, 8], [0, -1]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[-76, 92]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57/2, 25/2], [8, -13/2], [0, 0]], [[0, 0], [33, 105/2], [19/2, 16], [-1/2, -1]], [[0, 0], [8, -13/2], [-5/2, 1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [87, -81], [-28, -2], [0, 0]], [[0, 0], [3936, -1892], [-551, 766], [-5/2, 0]], [[0, 0], [1567/11, -12863/22], [-5455/22, -2605/11], [9/22, 25/22]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[368, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 14], [20, -30], [0, 0]], [[0, 0], [10, 1], [-15, 1], [1, 0]], [[0, 0], [-12, 84], [72, 46], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4036, -84], [-1020, -10], [0, 0]], [[0, 0], [365/11, 7511963/11], [-19511/11, 1878174/11], [30/11, -1/11]], [[0, 0], [18918907, 4279226], [4768394, 1020541], [-61, 75]]], 0, 2880, [], [] >,
< [ -1, -1, 1 ], [[-76, 92]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-399, -12], [-23, 7], [0, 0]], [[0, 0], [1858685/2, 409942], [46438, -2505/2], [-1/2, 5/2]], [[0, 0], [66568999, -8184232], [4030907, -1572201], [-124, 150]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-783, 36], [17, -9], [0, 0]], [[0, 0], [-274116/11, -606915/22], [5367/22, -279/22], [-21/22, 2/11]], [[0, 0], [-3411951/22, -5037689/11], [-23845/11, 68609/22], [225/22, -255/22]]], 1, 180, [], [] >,
< [ -1, -1, 1 ], [[88, -132]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2024403/751, 10004/751], [-8172/751, 4/751], [0, 0]], [[0, 0], [-44291135171/751, 35349884308/751], [-178161035/751, 142540062/751], [1712/751, 1/751]], [[0, 0], [-13316608079425791/1502, 8629092637259933/1502], [-26800924156084/751, 17374955995980/751], [186442140/751, -177481087/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17060989/751, -10769/751], [-4086/751, 2/751], [0, 0]], [[0, 0], [76538817583067/28538, -519167289585/28538], [-9164116523/14269, 60877673/14269], [-4401/14269, 1/28538]], [[0, 0], [-363700839873526589/14269, 347656958930763095/28538], [87087195786066/14269, -41619160585464/14269], [83386863/28538, -19844636/14269]]], 1, 300, [], [] >,
< [ -1, -1, 1 ], [[1408, -176]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -26], [2, 8], [0, 0]], [[0, 0], [-4081/19, 563/19], [-231/2, -5], [17/190, 1/190]], [[0, 0], [7320/19, -1364/19], [204, -3], [-3/19, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2408, -106], [-46, 14], [0, 0]], [[0, 0], [-34935512001/361, -17025152620/361], [-29916876/19, 187575/38], [-113/3610, -2/1805]], [[0, 0], [13686266391571/361, -38601453617065/361], [53867099197/38, -31005106891/19], [97217/3610, -117719/3610]]], 0, 19200, [], [] >,
< [ -1, -1, 1 ], [[400, -688]], [ -7819, -36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 4], [-4, -38], [0, 0]], [[0, 0], [24106651020/293861, 47976930/293861], [-2865099, 724], [-260337/293861, -4/293861]], [[0, 0], [257049155220/293861, 4002095093466/293861], [-29485952, -474521920], [-2690800/293861, -43129680/293861]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14590/11, 456/11], [700/11, 6/11], [0, 0]], [[0, 0], [-55042468704/3232471, 76139356974/3232471], [4052732/11, 11756/11], [33524/293861, -4/293861]], [[0, 0], [637728821376/3232471, -250011657706/3232471], [-18873773/11, 20288794/11], [-156629/293861, 167794/293861]]], 0, 8640, [], [] >,
< [ -1, -1, 1 ], [[-784, 32]], [ -2649, 74 ], [ -102, -34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 4], [-4, 8], [0, 0]], [[0, 0], [2563959399/32611, 66506/32611], [-1370435/17, -55/34], [46916/554387, -1/1108774]], [[0, 0], [210228296380/32611, -601256394190/32611], [-112368805/17, 321370011/17], [3847215/554387, -11001685/554387]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 32], [4, -10], [0, 0]], [[0, 0], [-110963895420/358721, -88858555/358721], [-16369889/374, -165681/374], [45217/12196514, -5/12196514]], [[0, 0], [-2225133956832/358721, 465890614022/358721], [-163810246/187, 33156726/187], [453450/6098257, -95250/6098257]]], 0, 8640, [], [] >,
< [ -1, -1, 1 ], [[-784, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1990, 106], [-10, -18], [0, 0]], [[0, 0], [120, 1], [7, 1], [1, 0]], [[0, 0], [128, -82], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [328, -2648], [-2, -30], [0, 0]], [[0, 0], [-3753909/11, 753018/11], [-34788/11, 1637/11], [-15/11, -5/11]], [[0, 0], [-28556986/11, 11432624/11], [-253950/11, 78150/11], [-98/11, 4/11]]], 0, 9600, [], [] >,
< [ -1, -1, 1 ], [[2480, -3104]], [ -2649, 74 ], [ -102, -34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -4], [-2, -48], [0, 0]], [[0, 0], [-1216142563/32611, 460406/32611], [-2392796/17, -44409/34], [-22307/554387, -3/1108774]], [[0, 0], [-275712618822/32611, 153683014926/32611], [-539553079/17, 300057113/17], [-5055981/554387, 2817921/554387]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, -52], [-32, 30], [0, 0]], [[0, 0], [-2063845245699/358721, -29445165/358721], [3987337837/374, 12538/187], [-627611/12196514, -1/6098257]], [[0, 0], [4021552820818828/358721, -844719012334634/358721], [-3884815645196/187, 816020761878/187], [611474302/6098257, -128443990/6098257]]], 0, 172800, [], [] >,
< [ -1, -1, 1 ], [[2480, -3104]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [382, 10], [50, -130], [0, 0]], [[0, 0], [98, 1], [-59, 1], [1, 0]], [[0, 0], [-1296, 360], [-300, 362], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2138, 126], [26, 16], [0, 0]], [[0, 0], [65431/11, 21726/11], [-1246/11, -573/11], [53/11, 3/11]], [[0, 0], [-5767139/11, 11301384/11], [83494/11, -218763/11], [-7085/11, 8829/11]]], 0, 172800, [], [] >,
< [ -1, -1, 1 ], [[2688, -3152]], [ -7819, -36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 6], [-102, 142], [0, 0]], [[0, 0], [-82645600134/293861, -42223122/293861], [186002476, -3553], [889964/293861, -1/293861]], [[0, 0], [314017970988066/293861, -273457870629726/293861], [-707056149151, 615493760057], [-3382990831/293861, 2944938345/293861]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-208820/11, -138/11], [-9948/11, 6/11], [0, 0]], [[0, 0], [-22978278677438/3232471, 36570955887482/3232471], [-2667734398/11, 5921546/11], [-1158682/293861, -2/293861]], [[0, 0], [263542406214999088/3232471, -83824065767269428/3232471], [10777348840008/11, -12466520910535/11], [4668914008/293861, -5416267173/293861]]], 0, 172800, [], [] >,
< [ -1, -1, 1 ], [[140, -144]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12212470/751, -262/751], [49262/751, 5/751], [0, 0]], [[0, 0], [1207427898298/751, -302002244139/751], [4870270570/751, -1217751260/751], [-2582/751, -2/751]], [[0, 0], [2995592067611586/751, -3082203526819675/1502], [12082609968572/751, -6215656263872/751], [-11575503/1502, 4922109/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15130372/751, 5264/751], [-60949/751, -3/751], [0, 0]], [[0, 0], [2761385708783/1502, 919835248625/751], [5563238700/751, 3709013175/751], [-2101/751, -5/1502]], [[0, 0], [-133331615339576289/1502, 8026193876329395/1502], [-268539338493900/751, 16065022540200/751], [283072651/1502, -60188348/751]]], 1, 330, [], [] >,
< [ -1, -1, 1 ], [[140, -144]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1695541/751, -510/751], [-6852/751, 4/751], [0, 0]], [[0, 0], [-53352439/1502, -27891991/1502], [-84295/751, -56196/751], [-2911/1502, -2/751]], [[0, 0], [-321672599016/751, 51962057320/751], [-936369408/751, 56178413/751], [-22563072/751, 9594648/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1964324/751, -1764/751], [7957/751, 5/751], [0, 0]], [[0, 0], [-21880357869/751, 5490046892/751], [-88555815/751, 22137516/751], [-2, 0]], [[0, 0], [153817091413593/751, -158295450602955/1502], [622317924135/751, -320032428219/751], [19081837/1502, -8114525/1502]]], 1, 330, [], [] >,
< [ -1, -1, 1 ], [[-1712, 544]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 1], [1, 0], [0, 0]], [[0, 0], [77/2, -387/7], [0, -5/2], [5/14, -5/14]], [[0, 0], [-271/7, 15], [-1, 0], [-2/7, 1/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 1], [1, 0], [0, 0]], [[0, 0], [27, -156/7], [0, 1], [-1/7, 1/7]], [[0, 0], [-180/7, -19/2], [5/2, 7/2], [3/14, 1/7]]], 0, 21120, [], [] >,
< [ -1, -1, 1 ], [[-232, 124]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, 1], [18, 1], [0, 0]], [[1/2, 0], [-491/38, 259/19], [43/4, -85/4], [-1/190, -1/380]], [[0, 0], [-4, 3], [5, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -17], [-15, 12], [0, 0]], [[-13, -3/2], [-317/38, -1743/38], [-373/4, 85/4], [-13/190, -3/380]], [[75, -75], [-4021/19, -415/19], [1445/2, -556], [15/38, -15/38]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[108, -16]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -16], [4, 10], [0, 0]], [[0, 0], [2473/38, -2625/38], [-451/4, 11], [7/76, 1/76]], [[0, 0], [11011/19, -2648/19], [-669/2, 1303/2], [13/95, -117/190]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16450/11, 216/11], [-336/11, -4/11], [0, 0]], [[0, 0], [55491081/418, 26756409/418], [-125783/44, -28977/22], [31/380, 3/380]], [[0, 0], [-20912720/209, 22764754/209], [24304/11, -51895/22], [-17/190, 7/95]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[108, -16]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3282882/751, -3252/751], [6549/751, -1/751], [0, 0]], [[0, 0], [70956785485/1502, 17789973049/751], [-70732434/751, -35367774/751], [-2883/1502, -3/1502]], [[0, 0], [144498102504834/751, -154125282273455/751], [-288591713562/751, 307427998542/751], [-9556323/751, 7362583/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-774225623/751, -76864/751], [49865/751, 5/751], [0, 0]], [[0, 0], [65015258765075/16522, -108242348047/16522], [-2093926595/8261, 3623219/8261], [-13954/8261, 3/16522]], [[0, 0], [-16784853129772729/8261, 25919025458677973/16522], [1081223909408/8261, -834782209991/8261], [14392595/16522, -5560369/8261]]], 1, 180, [], [] >,
< [ -1, -1, 1 ], [[336, -480]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 4], [-8, -2], [0, 0]], [[0, 0], [-1869599/1042, 1471/1042], [-548, 13], [2803/3126, 1/1563]], [[0, 0], [64104642/521, -30706732/521], [37992, -18450], [-96040/1563, 45962/1563]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 0], [-2, 4], [0, 0]], [[0, 0], [-1491585044/5731, 348779/11462], [35217, 28], [-12669/11462, -5/34386]], [[0, 0], [-139479794522/521, 224386295691/1042], [36198421, -29131782], [-3553367/3126, 2858615/3126]]], 0, 3840, [], [] >,
< [ -1, -1, 1 ], [[1296, -192]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -6], [-4, -2], [0, 0]], [[0, 0], [8239075/1042, 24671/1042], [572, -1], [-3001/3126, -2/1563]], [[0, 0], [-367752117/521, 308768565/521], [-51266, 42912], [134137/1563, -112502/1563]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -18], [14, 12], [0, 0]], [[0, 0], [-124764377/1042, 142933/521], [-2650187/11, -1889/11], [16138/17193, 5/34386]], [[0, 0], [-4774104298/521, -1881114306/521], [-203060632/11, -80767364/11], [412080/5731, 163620/5731]]], 0, 23040, [], [] >,
< [ -1, -1, 1 ], [[84, -120]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6725402/751, 3493/751], [-7962/751, 5/751], [0, 0]], [[0, 0], [-25457805520/751, 2232275/1502], [-30138498/751, 4602/751], [-3335/1502, 1/751]], [[0, 0], [140512129169895/1502, -74989502851367/751], [83183064432/751, -88776522380/751], [9209081/1502, -9823361/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [73639012/751, -22771/751], [9674/751, -4/751], [0, 0]], [[0, 0], [-19056358642/751, 2126462663/1502], [-2473259/751, 151186/751], [-3/2, 0]], [[0, 0], [531521930599255/16522, -532778105924235/16522], [34677257379/8261, -34562319667/8261], [14828590/8261, -31603295/16522]]], 1, 300, [], [] >,
< [ -1, -1, 1 ], [[40, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 7/2], [-71/2, -20], [1/2, 19/2], [0, 0]], [[1/2, 1/2], [-9, 1/2], [-3/2, 0], [1, 0]], [[26, 13/2], [429/2, -363], [195/2, -13/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 12], [-9, 5], [0, 0]], [[2, 5/2], [-67/2, -57/2], [2, 8], [1/2, 2]], [[0, 1], [11, -21], [4, 0], [1, 0]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[68, -28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, -37], [-24, 17], [0, 0]], [[-5/2, 3/2], [147/2, 347/2], [71/2, -85/2], [-5/2, 3/2]], [[0, 0], [-56, -96], [4, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -21], [-23, 14], [0, 0]], [[-5/2, -5], [-12, 15], [-5/2, -5/2], [0, -5/2]], [[-1, -2], [-4, 8], [-1, -1], [0, -1]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[108, -16]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45/2, 47/2], [11, -11/2], [0, 0]], [[0, 0], [-60, -469/2], [-85/2, -10], [-1, 0]], [[0, 0], [4, -4], [0, 0], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-91/2, -79/2], [-17, 3/2], [0, 0]], [[0, 0], [3434/11, 4812/11], [457/11, 609/11], [-19/22, 1/11]], [[0, 0], [-245/22, -937/22], [-10/11, -127/22], [-5/22, 2/11]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[432, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-454, -2], [40, -32], [0, 0]], [[0, 0], [0, 1], [11, 1], [1, 0]], [[0, 0], [-470, -3760], [-224, 34], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [118, -46], [14, 2], [0, 0]], [[0, 0], [-60475/11, 41615/11], [-5255/11, 3852/11], [-20/11, 5/11]], [[0, 0], [-429870/11, 305561/11], [-37115/11, 28625/11], [-151/11, 24/11]]], 0, 2880, [], [] >,
< [ -1, -1, 1 ], [[108, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, 43], [247, -4], [0, 0]], [[0, 0], [310485/2, 149967/2], [538191/2, 33796], [0, 3/2]], [[0, 0], [-452907, 1249937/2], [-2406685/2, 2295327/2], [13/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1239, 43], [-158, 1], [0, 0]], [[0, 0], [-30401649/22, 6724618/11], [-1915536/11, 1652627/22], [-57/22, -5/22]], [[0, 0], [3579835648/11, -3662102853/22], [900331055/22, -454282875/22], [12065/22, -855/11]]], 1, 180, [], [] >,
< [ -1, -1, 1 ], [[-704, 176]], [ -11, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 6], [18, -10], [0, 0]], [[0, 0], [0, 0], [11, 0], [1, 0]], [[0, 0], [2, 2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [158, 24], [-22, 0], [0, 0]], [[0, 0], [12102/19, -318094/19], [-17910/19, 39397/19], [146/19, 5/19]], [[0, 0], [55861024/19, -132365544/19], [-16180937/19, 18923507/19], [81631/19, -20453/19]]], 0, 4800, [], [] >,
< [ -1, -1, 1 ], [[176, -44]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19309/751, -2012/751], [-93/751, 4/751], [0, 0]], [[0, 0], [-3589/2, -429/2], [-2, 0], [1/2, 0]], [[0, 0], [6301284962/751, -6467663146/751], [7893252/751, -7281448/751], [-1973313/751, 1820362/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12767726/751, -6766/751], [-10396/751, 3/751], [0, 0]], [[0, 0], [-46866420477519/28538, 529379567071/28538], [1004559303/751, -11103346/751], [52241/28538, -1/14269]], [[0, 0], [1829788180289756247/14269, -3344407800417214959/28538], [-78423898005457/751, 71684322521847/751], [-4037325321/28538, 3724419111/28538]]], 1, 300, [], [] >,
< [ -1, -1, 1 ], [[1056, -1232]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, 15], [-5, 4], [0, 0]], [[0, 0], [659/14, 181/14], [-47/2, 17], [-38/77, -3/154]], [[0, 0], [-184/7, 2018/7], [136, -68], [68/77, -204/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1534, -95], [3, -9], [0, 0]], [[0, 0], [48438763/266, -40469243/133], [-40862/19, 343/38], [-13/2926, -5/2926]], [[0, 0], [7216, -7117], [-57, 17], [0, 0]]], 0, 19200, [], [] >,
< [ -1, -1, 1 ], [[176, -44]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5451, 2], [22, 0], [0, 0]], [[0, 0], [4647211/1502, 1804249/1502], [5413/751, 3627/751], [1817/751, 3/1502]], [[0, 0], [361589344/751, -55159544/751], [738612/751, 45423/751], [330624/751, -123392/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-859728571/751, 133437/751], [26196/751, -4/751], [0, 0]], [[0, 0], [23640462284349695/28538, 86562130602629/28538], [-360167905274/14269, -1319686288/14269], [-38406/14269, -1/28538]], [[0, 0], [-2040803549518448267353/14269, 755153020283479617429/14269], [62184169895053507/14269, -23009764599740975/14269], [6639935950/14269, -2468842874/14269]]], 1, 360, [], [] >,
< [ -1, -1, 1 ], [[1056, -1232]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -46], [-30, -20], [0, 0]], [[0, 0], [-360/19, -493/19], [17/2, -51/2], [2/95, -3/190]], [[0, 0], [-40, -60], [-26, -32], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-682, -1928], [-32, 30], [0, 0]], [[0, 0], [-1553604868/361, -2167806975/361], [2159221/38, 146493/38], [-164/1805, 1/3610]], [[0, 0], [38497313545/361, 75030707392/361], [17099718/19, -67925043/38], [-5907/3610, 5012/1805]]], 0, 23040, [], [] >,
< [ -1, -1, 1 ], [[720, -752]], [ -2575, -74 ], [ -136, 34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -2], [-2, -2], [0, 0]], [[0, 0], [-3540716013/32611, 159203/32611], [-283754/17, 3/2], [59219/554387, 3/1108774]], [[0, 0], [2411299770259/32611, -1729666398132/32611], [386496963/34, -277236831/34], [-80654625/1108774, 57856251/1108774]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -2], [6, -2], [0, 0]], [[0, 0], [-1530399364170/358721, 258320/358721], [5411005/17, 189/17], [941717/6098257, 1/6098257]], [[0, 0], [4934746593158319/358721, -768894468231393/358721], [-1026329278, 5436098261/34], [-3036549789/6098257, 946257795/12196514]]], 0, 8640, [], [] >,
< [ -1, -1, 1 ], [[720, -752]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-350, 126], [0, -22], [0, 0]], [[0, 0], [-104, 1], [-1, 1], [1, 0]], [[0, 0], [5904, -3390], [-156, 160], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3006, -904], [-2, -16], [0, 0]], [[0, 0], [-3104819/11, 3545364/11], [16972/11, -327/11], [1/11, -3/11]], [[0, 0], [-19906, 15014], [76, -30], [0, 0]]], 0, 9600, [], [] >,
< [ -1, -1, 1 ], [[-976, 288]], [ -7855, 36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 2], [-24, 28], [0, 0]], [[0, 0], [-84200111226/293861, -278586/293861], [9973979, -1], [906723/293861, 3/293861]], [[0, 0], [38492993731500/293861, -15571518039000/293861], [-4559718924, 1844543564], [-414518250/293861, 167684500/293861]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9722/11, -270/11], [-464/11, 6/11], [0, 0]], [[0, 0], [2221488/11, 546894/11], [-106712853/11, 26690/11], [-3, 0]], [[0, 0], [48845412/293861, 45595242/293861], [-5786, -5401], [-526/293861, -491/293861]]], 0, 8640, [], [] >,
< [ -1, -1, 1 ], [[-3616, 464]], [ -7855, 36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 4], [-216, 98], [0, 0]], [[0, 0], [-132539340948/293861, -4237466/293861], [298330029, -2653], [1427405/293861, -5/293861]], [[0, 0], [121097438255468/293861, 145741581697910/293861], [-272562285076, -328022133680], [-1304123804/293861, -1569486840/293861]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [552428/11, 218/11], [26304/11, 2/11], [0, 0]], [[0, 0], [-2279586235371042/3232471, 1827631320603188/3232471], [885471982/11, 296148889/11], [545822/293861, -5/293861]], [[0, 0], [-3886487032381157786/293861, 2915605901382542002/293861], [1310745579784, 224353596106], [9284672492/293861, -1187099430/293861]]], 0, 172800, [], [] >,
< [ -1, -1, 1 ], [[-3728, 624]], [ -2575, -74 ], [ -136, 34 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 2], [4, -16], [0, 0]], [[0, 0], [1452242394/32611, -1342187/32611], [-26214685/34, 2765/17], [-48619/1108774, 2/554387]], [[0, 0], [1103607116688/32611, -697441864331/32611], [-19912432931/34, 6292210405/17], [-36927541/1108774, 11668958/554387]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -22], [-14, 18], [0, 0]], [[0, 0], [436941949608/358721, -48269416/358721], [144729450/17, -5850/17], [-268892/6098257, 2/6098257]], [[0, 0], [-44708423444169/32611, 28774893391663/32611], [-162890452850/17, 209677934071/34], [27511527/554387, -35413845/1108774]]], 0, 172800, [], [] >,
< [ -1, -1, 1 ], [[-3728, 624]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [904, -6], [-232, 168], [0, 0]], [[0, 0], [-82, 1], [65, 1], [1, 0]], [[0, 0], [2430, 8748], [1000, -162], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -222], [-178, 28], [0, 0]], [[0, 0], [109205/11, 352823/11], [283667/11, -35538/11], [-76/11, -3/11]], [[0, 0], [28598832/11, 190437209/11], [211973413/11, -61798075/11], [-54981/11, 9238/11]]], 0, 172800, [], [] >,
< [ -1, -1, 1 ], [[-1936, 1936]], [ -11, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 6], [-66, 0], [0, 0]], [[0, 0], [0, 0], [11, 0], [1, 0]], [[0, 0], [-8, 8], [-88, 22], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, 40], [44, 88], [0, 0]], [[0, 0], [24608/19, -21900/19], [-11231/19, 4378/19], [75/19, 4/19]], [[0, 0], [-1360/19, -2312/19], [-550/19, -935/19], [10/19, 17/19]]], 0, 57600, [], [] >,
< [ -1, -1, 1 ], [[484, 0]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2381897/751, 15694/751], [9559/751, 33/751], [0, 0]], [[0, 0], [-1551404319/751, 623275628/751], [-6302270/751, 2487226/751], [2582/751, 2/751]], [[0, 0], [6797814839521/1502, -1916384726727/751], [13771043321/751, -7737921865/751], [-4812012/751, 4193235/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16888830/751, 12292/751], [-14201/751, -11/751], [0, 0]], [[0, 0], [960920377539725/28538, -1608615235961/28538], [-21261326198/751, 34579031/751], [90449/28538, 1/14269]], [[0, 0], [-77089429112589915045/14269, 67283816788858130017/28538], [3411290935370245/751, -1488630208102076/751], [-14501746305/28538, 6319376727/28538]]], 1, 3600, [], [] >,
< [ -1, -1, 1 ], [[-1936, 3872]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, -4], [-20, 16], [0, 0]], [[0, 0], [2973/14, 2685/14], [-23/2, 64], [2/7, -3/14]], [[0, 0], [-11209/14, -15475/14], [-159/2, -233], [-2/7, 5/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3090, 146], [-20, 16], [0, 0]], [[0, 0], [120887002/19, 6056220565/266], [2919999/38, -5427/38], [47/266, 1/133]], [[0, 0], [-163869686019/19, -109787200392/19], [525983658/19, -699365009/19], [1138/19, -1626/19]]], 0, 230400, [], [] >,
< [ -1, -1, 1 ], [[484, 0]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8773800/751, 6284/751], [-35354/751, -11/751], [0, 0]], [[0, 0], [17715178511/751, -105949013675/1502], [71181722/751, -213607965/751], [-1171/1502, -1/751]], [[0, 0], [65660570560130/751, -49004598076121/1502], [264497574618/751, -98577547525/751], [-1231419/1502, 519351/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56045714/751, -237945/751], [-13233/751, 55/751], [0, 0]], [[0, 0], [83919789913335/28538, -1044483652049/28538], [-9914768077/14269, 122458879/14269], [15335/14269, 3/28538]], [[0, 0], [-103860604413608400/751, 173792781710450019/1502], [24539434614574/751, -20532520478613/751], [-75120553/1502, 31684110/751]]], 1, 3600, [], [] >,
< [ -1, -1, 1 ], [[-1936, 3872]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, -14], [66, 0], [0, 0]], [[0, 0], [14581/19, -7908/19], [618, -793/2], [-17/190, 2/95]], [[0, 0], [1123/19, 1763/19], [-51/2, -39], [-7/190, -11/190]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [922, -316], [-44, 44], [0, 0]], [[0, 0], [29857517/361, -33332271/361], [-188997/38, -2158/19], [233/3610, -1/3610]], [[0, 0], [57008096/19, -55345579/19], [-316965/2, 32175/2], [196/95, -49/190]]], 0, 230400, [], [] >,
< [ -1, -1, 1 ], [[300, -152]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5373437/751, -2246/751], [-21658/751, -3/751], [0, 0]], [[0, 0], [-30435/2, 5457], [-55, 22], [2463/1502, 1/1502]], [[0, 0], [396226061835/1502, -135944997841/751], [734969340/751, -495255768/751], [-32904361/1502, 27273913/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-415564/751, 5760/751], [-1712/751, -1/751], [0, 0]], [[0, 0], [3402730282/751, -2770996489/1502], [13966948/751, -5586797/751], [2673/1502, 1/751]], [[0, 0], [-438427239385285/1502, 294503809719559/1502], [-895793272728/751, 603587074360/751], [-64342360/751, 106664955/1502]]], 1, 330, [], [] >,
< [ -1, -1, 1 ], [[300, -152]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5296281/751, 6504/751], [-21359/751, 2/751], [0, 0]], [[0, 0], [-692566605134/751, 615074674856/751], [-2790178248/751, 2480140036/751], [1171/751, 2/751]], [[0, 0], [-9198137517035527/1502, 5198406858688301/1502], [-18535337752140/751, 10472962746180/751], [4474660/751, -7417997/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3338227/751, -5264/751], [13397/751, 3/751], [0, 0]], [[0, 0], [-1124745433163/1502, -344820362535/751], [-2259432375/751, -1390406550/751], [2705/1502, -5/1502]], [[0, 0], [-8940894830710433/1502, 6603221530053754/751], [-17893270833750/751, 26515766370600/751], [43844981/1502, -36342531/1502]]], 1, 330, [], [] >,
< [ -1, -1, 1 ], [[-624, 1168]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 2], [-12, 14], [0, 0]], [[0, 0], [-839/19, -296/19], [68, -1/2], [-13/190, -2/95]], [[0, 0], [-826/19, 1820/19], [116, -139], [-7/95, 14/95]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 24], [26, 10], [0, 0]], [[0, 0], [-145/19, -534/19], [-112, 23/2], [3/38, 0]], [[0, 0], [-55/19, 98/19], [-5, 19/2], [1/190, -1/95]]], 0, 21120, [], [] >,
< [ -1, -1, 1 ], [[1296, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 48], [-12, 18], [0, 0]], [[0, 0], [-120, -189], [-75, 3], [-9, 6]], [[0, 0], [-66, -102], [0, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -36], [-24, -30], [0, 0]], [[0, 0], [849, -570], [-222, 81], [-15, 3]], [[0, 0], [240, -102], [-24, 72], [0, 6]]], 0, 25920, [], [] >,
< [ -1, -1, 1 ], [[1296, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 96], [-6, 24], [0, 0]], [[0, 0], [-510, 540], [-558, 378], [-6, 0]], [[0, 0], [711, -1035], [879, -630], [12, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -114], [18, 6], [0, 0]], [[0, 0], [282, 291], [-33, -75], [-15, -6]], [[0, 0], [-3666, 1542], [-372, 378], [378, -210]]], 0, 25920, [], [] >,
< [ -1, -1, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 30], [-30, -18], [0, 0]], [[0, 0], [2, 3], [-1, 1], [1, 0]], [[0, 0], [384, -144], [468, -390], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 18], [6, -6], [0, 0]], [[0, 0], [0, 3], [3, 1], [1, 0]], [[0, 0], [0, 6], [0, 0], [0, 0]]], 0, 288, [], [] >,
< [ -1, -1, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 24], [24, 12], [0, 0]], [[0, 0], [-2, 1], [1, 3], [1, 0]], [[0, 0], [-54, 18], [-54, 24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 6], [-30, -6], [0, 0]], [[0, 0], [-2, 1], [1, -1], [1, 0]], [[0, 0], [-36, 6], [108, -36], [0, 0]]], 0, 360, [], [] >,
< [ -1, -1, 1 ], [[432, -144]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, -5], [-3, 3], [0, 0]], [[0, 0], [2, -2], [0, 0], [-2, 0]], [[0, 0], [0, 0], [0, 0], [4/5, 2/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, -22], [-3, 0], [0, 0]], [[0, 0], [-1703/11, 38/11], [405/11, -60/11], [-54/55, 8/55]], [[0, 0], [3009/11, -1888/11], [-765/11, 480/11], [102/55, -64/55]]], 0, 1280, [], [] >,
< [ -1, -1, 1 ], [[108, -36]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [6, 6], [1/5, 3/5]], [[0, 0], [0, 0], [9, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -1], [-3, 3], [0, 0]], [[0, 0], [6029/11, 162/11], [2472/11, -24/11], [206/55, -2/55]], [[0, 0], [-57241/11, 25720/11], [-23868/11, 11016/11], [-1989/55, 918/55]]], 1, 80, [], [] >,
< [ -1, -1, 1 ], [[108, -36]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -13], [-12, -3], [0, 0]], [[0, 0], [-47/2, -47/2], [372/5, 366/5], [11/5, 1/10]], [[0, 0], [-59, 106], [192, -336], [20, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -88], [12, -15], [0, 0]], [[0, 0], [-1074167/22, -866384/11], [-584373/55, -13239/55], [7/110, 1/110]], [[0, 0], [-983, -1584], [-270, 30], [0, 0]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[36, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 5], [45/2, -39/2], [0, 15/2], [0, 0]], [[1/2, 1/2], [-1, 3/2], [-1/2, 0], [1, 0]], [[6, 19/2], [-21/2, -6], [15/2, 21/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -24], [12, -6], [0, 0]], [[5/2, 2], [-82, -287/2], [4, 1], [-1/2, 5/2]], [[-5/2, 3/2], [-23/2, 7], [-8, 5], [4, -5/2]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -36], [-12, -6], [0, 0]], [[0, 0], [-53, -161/2], [-61/2, -101/2], [-1/2, 2]], [[0, 0], [83, 401/2], [151/2, 215/2], [-35/2, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-309, 18], [9, 3], [0, 0]], [[0, 0], [336141/11, -72752/11], [-9033/11, -962/11], [-3/11, -2/11]], [[0, 0], [10997765/22, -5590183/22], [-257725/22, 50389/11], [-32/11, 5/22]]], 1, 20, [], [] >,
< [ -1, -1, 1 ], [[108, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 15], [-27, -6], [0, 0]], [[0, 0], [-516, 0], [1148, -440], [0, -2]], [[0, 0], [-6141/2, 2175], [8686, -11205/2], [17/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [768, 135], [69, 12], [0, 0]], [[0, 0], [2365731/11, -176631/11], [213141/11, -16328/11], [4/11, -1/11]], [[0, 0], [5213820/11, -42019833/22], [947345/22, -3779191/22], [31/22, -30/11]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[-576, 144]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -4], [0, 8], [0, 0]], [[0, 0], [-2795207/1042, -25024/521], [-1993, -55], [-6239/5731, -5/11462]], [[0, 0], [-114765191/521, 27927419/1042], [-163439, 18540], [-1027099/11462, 140189/11462]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 28], [10, 4], [0, 0]], [[0, 0], [-1942056/5731, 307666/5731], [-2, -390], [-18/521, -2/5731]], [[0, 0], [8965223/11462, -6822407/11462], [-644, 125], [775/11462, -325/5731]]], 0, 3200, [], [] >,
< [ -1, -1, 1 ], [[-864, 1008]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -22], [-4, 8], [0, 0]], [[0, 0], [536609/521, -47443/1042], [801, 44], [4715/11462, -5/11462]], [[0, 0], [21557753/521, -9302199/521], [30884, -12048], [93051/5731, -38514/5731]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -38], [4, 38], [0, 0]], [[0, 0], [6024, -222], [162600/11, 2008/11], [-2/11, 0]], [[0, 0], [-47389843/1042, 29261143/521], [-1152411/11, 1533597/11], [7506/5731, -19599/11462]]], 0, 19200, [], [] >,
< [ -1, -1, 1 ], [[-144, 36]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1185957/751, -7482/751], [-4773/751, -12/751], [0, 0]], [[0, 0], [631107/1502, -2231209/1502], [3966/751, -7298/751], [-1397/751, 1/1502]], [[0, 0], [504281502/751, 108519021/1502], [3734499/751, -381459/751], [-640395/1502, 540885/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8718231/751, 9735/751], [-8745/751, 12/751], [0, 0]], [[0, 0], [-3723421803731/16522, -266798497978/8261], [-1867582363/8261, -267067906/8261], [3125/16522, -3/16522]], [[0, 0], [-10911478545635643/16522, 25804161424380099/16522], [-5476690294605/8261, 12941239510689/8261], [6054603/8261, -20449701/16522]]], 1, 200, [], [] >,
< [ -1, -1, 1 ], [[-288, 432]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -8], [8, -10], [0, 0]], [[0, 0], [-8608364/521, 55109/1042], [-4581, 5], [26771/11462, -1/5731]], [[0, 0], [-6750081201/1042, -791105862/521], [-1796954, -425687], [954891/1042, 227355/1042]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -26], [4, -10], [0, 0]], [[0, 0], [44758856/5731, 6519549/11462], [-823, 245], [-3447/11462, -1/5731]], [[0, 0], [-4970342599/5731, 3539968292/5731], [116296, -75866], [201559/5731, -140711/5731]]], 0, 3200, [], [] >,
< [ -1, -1, 1 ], [[-1152, 144]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -22], [-2, -10], [0, 0]], [[0, 0], [-27178039/1042, 596577/1042], [2955, 136], [-9107/5731, 5/11462]], [[0, 0], [-168774119/1042, 368386615/1042], [15593, -41624], [-53844/5731, 249969/11462]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [398, -72], [0, -6], [0, 0]], [[0, 0], [1819293153/11462, -648509364/5731], [2118, 53], [2105/11462, 5/11462]], [[0, 0], [75077291958/5731, -48543378859/5731], [136114, -50308], [68229/5731, -25956/5731]]], 0, 19200, [], [] >,
< [ -1, -1, 1 ], [[-72, 108]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3449268/751, -6738/751], [-13872/751, -9/751], [0, 0]], [[0, 0], [7624936925/751, -2518097256/751], [30675183/751, -10153836/751], [-422/751, 2/751]], [[0, 0], [712432388739/751, -1553781336981/1502], [2869099695/751, -3123672090/751], [-44055/1502, 106623/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2555628/751, -3762/751], [10632/751, 3/751], [0, 0]], [[0, 0], [-1805520919289/16522, 97825306693/16522], [-3761248995/8261, 197236443/8261], [-21357/16522, -1/8261]], [[0, 0], [-3090747539049635/16522, 3233767156586928/8261], [-6414375224010/8261, 13487469974031/8261], [-16134956/8261, 79040473/16522]]], 1, 200, [], [] >,
< [ -1, -1, 1 ], [[-720, 144]], [ -960, -36 ], [ -36, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-1649634/349, 186/349], [539408/29, -68/29], [8869/10121, -1/10121]], [[0, 0], [10137/349, -10509/698], [-6629/58, 1718/29], [-109/20242, 113/40484]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 5], [-6, 10], [0, 0]], [[0, 0], [-9885544529/7678, 1048233/3839], [-98053073/638, 247843/638], [-258033/445324, -1/111331]], [[0, 0], [-17961293/7678, -24471783/7678], [-88738/319, -241807/638], [-469/445324, -639/445324]]], 0, 5760, [], [] >,
< [ -1, -1, 1 ], [[-180, 36]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, 19], [12, 12], [0, 0]], [[0, 0], [-467/2, 291/2], [-246/5, 87/5], [-8/5, -3/10]], [[0, 0], [1/2, 1], [6/5, 18/5], [1/10, 3/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-543, -56], [9, -6], [0, 0]], [[0, 0], [-9299/22, -21691/22], [378/11, 21/11], [9/11, 1/22]], [[0, 0], [-954709/11, -867634/11], [-208656/55, 264222/55], [-4968/55, 6291/55]]], 1, 400, [], [] >,
< [ -1, -1, 1 ], [[432, -576]], [ -996, 36 ], [ -30, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-5530989/698, -93/698], [1809309/58, -128/29], [59473/40484, 1/40484]], [[0, 0], [-1772201025/698, 1354810050/349], [289933261/29, -886328205/58], [19055925/40484, -7283925/10121]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, 8], [-6, 4], [0, 0]], [[0, 0], [9494220853/7678, 56282/3839], [-167012826/319, 947/638], [-675601/445324, -1/222662]], [[0, 0], [-83813276128/349, -2199862713611/698], [5896299885/58, 77394340311/58], [2981694/10121, 156538935/40484]]], 0, 5760, [], [] >,
< [ -1, -1, 1 ], [[108, -144]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -31], [3, -9], [0, 0]], [[0, 0], [-397/2, 139/2], [-366/5, 162/5], [2/5, -3/10]], [[0, 0], [-3, 40], [-6, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1019, -516], [-3, -15], [0, 0]], [[0, 0], [373413, -477483], [-5988, 138], [-1, 0]], [[0, 0], [-242811981/22, 247466839/22], [8076708/55, -1475106/55], [1344/55, -441/110]]], 1, 400, [], [] >,
< [ -1, -1, 1 ], [[1008, -288]], [ -3315, -36 ], [ -618, 249 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [743806/971, 4308/971], [7072/971, 4/971], [0, 0]], [[0, 0], [-13649491256/39811, -67331436/39811], [4559474/18449, -295249/18449], [362082/756409, -5/756409]], [[0, 0], [-18730444422412/39811, 24523648406904/39811], [6826941670/18449, -8060479452/18449], [500079552/756409, -649801632/756409]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4618106/971, 9074/971], [-43622/971, -6/971], [0, 0]], [[0, 0], [273739225620/39811, -1050667076/39811], [16118550154/202939, -50526078/202939], [16653896/8320499, 4/8320499]], [[0, 0], [1526336489655088/39811, -1972347169111664/39811], [4725962427487/10681, -6113490387368/10681], [4863109941/437921, -6321108576/437921]]], 0, 9600, [], [] >,
< [ -1, -1, 1 ], [[-432, 720]], [ -3351, 36 ], [ -489, 120 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [312022/971, -2608/971], [2846/971, -6/971], [0, 0]], [[0, 0], [22284366934/39811, -11678223946/39811], [185751787/18449, -48751898/18449], [3032087/756409, -2/756409]], [[0, 0], [-3710817954157008/39811, 2072217547401612/39811], [-29550054685723/18449, 11286934022078/18449], [-459729736519/756409, 86206677302/756409]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4168667430/10681, 23970/10681], [148630/10681, 6/10681], [0, 0]], [[0, 0], [206458260244/437921, 71005093298/437921], [56369288/202939, -1173317/202939], [381430/756409, -1/756409]], [[0, 0], [650613584044794/437921, 63535066683848/437921], [190655224373/202939, -38902392864/202939], [1285066475/756409, -241519460/756409]]], 0, 9600, [], [] >,
< [ -1, -1, 1 ], [[3456, -4176]], [ -3315, -36 ], [ -618, 249 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [186382/971, -1060/971], [1740/971, -10/971], [0, 0]], [[0, 0], [-112552289344/39811, -72740/39811], [-1367128255/18449, -1205/18449], [-4932781/756409, -5/756409]], [[0, 0], [498559010739031368/39811, -441324170504513744/39811], [6055798353569739/18449, -5360590426273402/18449], [21850125218973/756409, -19341724562694/756409]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [95802724/971, 5402/971], [903726/971, -4/971], [0, 0]], [[0, 0], [287656356786514/39811, -123663026128808/39811], [13046702383116/202939, -5946979612317/202939], [-29131420/8320499, -3/8320499]], [[0, 0], [91336578291715388042/39811, -61827883093310930762/39811], [4211439609886194063/202939, -2813152401134358273/202939], [-6700312943415/8320499, 5930442189945/8320499]]], 0, 307200, [], [] >,
< [ -1, -1, 1 ], [[-4896, 720]], [ -3351, 36 ], [ -489, 120 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26662586/971, 6270/971], [-240116/971, 4/971], [0, 0]], [[0, 0], [-20297375790/39811, 3301999968/39811], [323047913/18449, 13786629/18449], [1124937/756409, 3/756409]], [[0, 0], [879750837148490/39811, -34219737652892/39811], [-14440847634844/18449, -2841130886434/18449], [-49969154626/756409, -7443532634/756409]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96256595660/10681, 93438/10681], [3431860/10681, 2/10681], [0, 0]], [[0, 0], [14336950734589060898/437921, -5903300837509728546/437921], [-236878286536886/202939, 97535510455640/202939], [12902/756409, -4/756409]], [[0, 0], [37979817529958683599766/437921, -13108440523919457057538/437921], [-627511044717929198/202939, 216580119990280085/202939], [36415734/756409, 5424513/756409]]], 0, 307200, [], [] >,
< [ -1, -1, 1 ], [[-3600, 1152]], [ -996, 36 ], [ -30, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [1353615/349, 93/698], [-24523327/58, 169/58], [-14555/20242, -1/40484]], [[0, 0], [173254164/349, -188827572/349], [-1569485972/29, 1710480658/29], [-931474/10121, 1015202/10121]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 4], [-30, 40], [0, 0]], [[0, 0], [-101586801/3839, 272639/7678], [-474141651/638, 153773/638], [-77787/222662, 3/445324]], [[0, 0], [-17094461081/3839, -13530063275/7678], [-79818198987/638, -31688317631/638], [-13096447/222662, -10408645/445324]]], 0, 115200, [], [] >,
< [ -1, -1, 1 ], [[-900, 288]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -19], [-3, 42], [0, 0]], [[0, 0], [-330, 871/2], [2433/5, -3996/5], [-7/10, 2/5]], [[0, 0], [-91, -56], [204, 108], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [412, 8], [69, 3], [0, 0]], [[0, 0], [18776513/22, -342959/11], [1550760/11, -21324/11], [-51/22, -1/22]], [[0, 0], [12601001883/22, -6103813464/11], [5088753537/55, -5041678914/55], [-161823/110, 165831/110]]], 1, 7200, [], [] >,
< [ -1, -1, 1 ], [[1296, -2448]], [ -960, -36 ], [ -36, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-2358015/698, 186/349], [21358603/58, -4921/58], [25355/40484, -1/10121]], [[0, 0], [488741691/349, -321890298/349], [-4427172479/29, 2915751559/29], [-5255287/20242, 1730593/10121]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -23], [-46, -6], [0, 0]], [[0, 0], [225221/2, 48], [-4140073/2, 63/2], [-1/4, 0]], [[0, 0], [181430749248/3839, -122144908944/3839], [-277211771728/319, 186612250949/319], [-23368167/222662, 15730929/222662]]], 0, 115200, [], [] >,
< [ -1, -1, 1 ], [[324, -612]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -15], [-36, 30], [0, 0]], [[0, 0], [235/2, -30], [-738, 357], [-3/2, 1/2]], [[0, 0], [-20, -51], [72/5, 771/5], [1/5, 3/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1098, -3], [-57, 0], [0, 0]], [[0, 0], [-3766945, -10661], [196983, 1092], [-1, 0]], [[0, 0], [-1667596563/11, 76694379/22], [435983388/55, -8873616/55], [-4427/110, 57/55]]], 1, 7200, [], [] >,
< [ -1, -1, 1 ], [[-1872, 432]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -8], [8, 10], [0, 0]], [[0, 0], [1670, -152], [-292, 60], [-2, 0]], [[0, 0], [-54346857/1042, 29173893/1042], [9637, -5376], [31078/521, -32215/1042]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 8], [-2, -8], [0, 0]], [[0, 0], [-613237573/11462, 1034775/5731], [-11118, 57], [-11883/11462, -1/11462]], [[0, 0], [12373017226/5731, -93983218590/5731], [454634, -3402610], [233440/5731, -1826668/5731]]], 0, 38400, [], [] >,
< [ -1, -1, 1 ], [[-2736, 3312]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -16], [0, -10], [0, 0]], [[0, 0], [3870522/521, 9133/521], [-524, -2], [-1363/521, -2/521]], [[0, 0], [45451/1042, -59687/1042], [-3, 4], [-8/521, 21/1042]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 100], [4, 10], [0, 0]], [[0, 0], [-6163575613/11462, 21180803/5731], [-10716, 93], [-11883/11462, -1/11462]], [[0, 0], [-687955836201/521, 577066455212/521], [-26353584, 22079782], [-1318607/521, 1111105/521]]], 0, 230400, [], [] >,
< [ -1, -1, 1 ], [[-468, 108]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26914263/751, 9033/751], [-108498/751, -9/751], [0, 0]], [[0, 0], [261113214449/751, -1301519525301/1502], [1051512294/751, -2624030388/751], [-211/1502, 1/1502]], [[0, 0], [21683196508927/751, -92259902126699/1502], [87332371329/751, -186002441814/751], [-15457/1502, 899/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23265204/751, 12009/751], [93993/751, 3/751], [0, 0]], [[0, 0], [-253570036139/16522, -80526061701/16522], [-495510723/8261, -161733786/8261], [50975/16522, 2/8261]], [[0, 0], [262365570003924/8261, 131351785203721/16522], [1024896450729/8261, 265391062419/8261], [-107337353/16522, 5822193/16522]]], 1, 2400, [], [] >,
< [ -1, -1, 1 ], [[1008, -1440]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 0], [-8, 2], [0, 0]], [[0, 0], [1420419/1042, 13860/521], [-577, -25], [1451/521, 3/1042]], [[0, 0], [-70123/1042, 42561/1042], [28, -17], [-145/1042, 44/521]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 30], [10, 6], [0, 0]], [[0, 0], [-2503229885/11462, 4663816/5731], [19883, -467], [-10407/5731, -5/11462]], [[0, 0], [-404989728053/5731, -39604436719/11462], [6426901, 180700], [-6736275/11462, -357435/11462]]], 0, 38400, [], [] >,
< [ -1, -1, 1 ], [[3888, -576]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 8], [6, 0], [0, 0]], [[0, 0], [1045995/1042, 207/521], [-47, -13], [112/521, -3/1042]], [[0, 0], [-8098896/521, 12410431/521], [420, -1222], [-1771/521, 2645/521]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -52], [-8, 34], [0, 0]], [[0, 0], [63943935/1042, -1086790/521], [-2445303/11, 14617/11], [10407/5731, 5/11462]], [[0, 0], [-454785963/521, 3667843238/521], [26672418/11, -287938528/11], [-105854/5731, 1232443/5731]]], 0, 230400, [], [] >,
< [ -1, -1, 1 ], [[252, -360]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7192950/751, -14241/751], [29022/751, -12/751], [0, 0]], [[0, 0], [538108844699/1502, -192099678802/751], [1084383415/751, -774593329/751], [2463/1502, 1/1502]], [[0, 0], [-1249962797860752/751, 723178259351397/751], [-5038811941422/751, 2914598035785/751], [-3247545/751, 3462792/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98850, -6], [99, 0], [0, 0]], [[0, 0], [-26239417622553/16522, 1387124711433/8261], [-13136872032/8261, 1388666361/8261], [-29919/16522, -3/16522]], [[0, 0], [70166124943054461/16522, -33415161216571984/8261], [35128258247781/8261, -33458918919532/8261], [71887357/16522, -76711699/16522]]], 1, 2400, [], [] >,
< [ -1, -1, 1 ], [[432, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 30], [-18, 12], [0, 0]], [[0, 0], [8, 9], [1, 3], [1, 0]], [[0, 0], [-18, -36], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 102], [30, 30], [0, 0]], [[0, 0], [2, -3], [1, 3], [1, 0]], [[0, 0], [-48, 24], [-12, 6], [0, 0]]], 0, 2880, [], [] >,
< [ -1, -1, 1 ], [[324, -108]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3/2, 45], [-3/2, -15/2], [0, 0]], [[0, 0], [-47/2, -103], [13/2, 37/2], [1/2, 1]], [[0, 0], [84, -99/2], [-21/2, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57/2, 48], [9/2, -15/2], [0, 0]], [[0, 0], [7487/2, 2190], [-1171/2, -675/2], [0, -1/2]], [[0, 0], [-1719/2, 279/2], [135, -45/2], [0, 0]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[1728, -1296]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, 48], [-24, 6], [0, 0]], [[0, 0], [-8, -3], [1, 3], [1, 0]], [[0, 0], [90, -60], [18, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, -114], [-24, -12], [0, 0]], [[0, 0], [16, 9], [1, 3], [1, 0]], [[0, 0], [180, -90], [-18, 18], [0, 0]]], 0, 17280, [], [] >,
< [ -1, -1, 1 ], [[-1728, 432]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 48], [30, 30], [0, 0]], [[0, 0], [-70, 9], [1, 3], [1, 0]], [[0, 0], [6, 0], [6, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-438, -84], [-6, 6], [0, 0]], [[0, 0], [20, 3], [1, 3], [1, 0]], [[0, 0], [-18, 54], [0, 0], [0, 0]]], 0, 34560, [], [] >,
< [ -1, -1, 1 ], [[-864, 1296]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -156], [-6, -12], [0, 0]], [[0, 0], [-28, -3], [1, 3], [1, 0]], [[0, 0], [216, -126], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [948, 6], [12, -12], [0, 0]], [[0, 0], [-10, 3], [1, 3], [1, 0]], [[0, 0], [-6618, -1464], [-66, 84], [0, 0]]], 0, 34560, [], [] >,
< [ -1, -1, 1 ], [[-5616, 1296]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [780, -48], [402, 24], [0, 0]], [[0, 0], [-16, 3], [19, 3], [1, 0]], [[0, 0], [31146, -4974], [15846, -834], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [192, -24], [-402, -24], [0, 0]], [[0, 0], [-82, 3], [19, 3], [1, 0]], [[0, 0], [8178, -2862], [-16302, 3762], [0, 0]]], 0, 345600, [], [] >,
< [ -1, -1, 1 ], [[3024, -4320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-216, 54], [324, 18], [0, 0]], [[0, 0], [-76, 9], [-5, 3], [1, 0]], [[0, 0], [-1050, 1038], [1056, -1716], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-408, 36], [-138, 18], [0, 0]], [[0, 0], [14, 3], [-5, 3], [1, 0]], [[0, 0], [-1704, 3066], [-624, 1014], [0, 0]]], 0, 345600, [], [] >,
< [ -1, -1, 1 ], [[40, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -4], [14, -8], [0, 0]], [[2, 4], [-41, -33], [-18, -7], [0, 2]], [[2, 3/2], [20, -45], [39/2, -22], [5/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -7], [-4, -7], [0, 0]], [[-3/2, -2], [-237, 139], [3/2, -1/2], [-1, -1/2]], [[-1/2, -1/2], [-212, 129], [1, -1/2], [-1/2, 0]]], 1, 4, [], [] >,
< [ -1, -1, 1 ], [[200, -100]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -49], [3, 4], [0, 0]], [[-3/2, -3/2], [-605/2, 155], [0, 0], [-3, -3/2]], [[1/2, 5/2], [-965/2, 335], [0, 0], [-1, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [121, -77], [4, -3], [0, 0]], [[0, 1/2], [-36, 42], [-3/2, -2], [-1/2, -3/2]], [[0, 0], [-10, 10], [0, 0], [0, 0]]], 0, 120, [], [] >,
< [ -1, -1, 1 ], [[40, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, 1], [-12, 9], [0, 0]], [[0, 0], [83/2, -33/2], [-109/2, 42], [-2, 5/2]], [[0, 0], [15/2, 23/2], [13/2, 10], [1, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 17], [13, -6], [0, 0]], [[0, 0], [153/2, -141/2], [-465/2, 140], [0, -5/2]], [[0, 0], [133/2, -29], [-161, 203/2], [3/2, 1/2]]], 1, 9, [], [] >,
< [ -1, -1, 1 ], [[40, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 19], [13, -6], [0, 0]], [[0, 0], [161/2, -117], [-82, 71/2], [1/2, -5/2]], [[0, 0], [148, -307/2], [-251/2, 127/2], [3/2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -3], [7, -4], [0, 0]], [[0, 0], [6, -17/2], [11/2, 11/2], [3/2, 1]], [[0, 0], [37/2, -9/2], [-5/2, -10], [0, -5/2]]], 1, 5, [], [] >,
< [ -1, -1, 1 ], [[100, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 60], [-11, 7], [0, 0]], [[0, 0], [-105/2, -185/2], [-15/2, -10], [-5, -5/2]], [[0, 0], [-10, -25/2], [-1/2, -3/2], [1/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -38], [-7, 9], [0, 0]], [[0, 0], [823/2, -21/2], [-355/2, 90], [3, 3/2]], [[0, 0], [-831/2, 211], [223, -267/2], [-3/2, 1/2]]], 0, 150, [], [] >,
< [ -1, -1, 1 ], [[100, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, 0], [-25, 5], [0, 0]], [[0, 0], [-7455/2, 5505/2], [-6107/2, 2127], [9, -1/2]], [[0, 0], [1441, -2497], [1353, -1696], [-12, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [73, 9], [-12, -1], [0, 0]], [[0, 0], [-145/2, 125/2], [39/2, -4], [3, 3/2]], [[0, 0], [-157/2, 69/2], [23/2, -13], [0, -5/2]]], 0, 150, [], [] >,
< [ -1, -1, 1 ], [[300, -100]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45/2, -20], [-5/2, 5/2], [0, 0]], [[0, 0], [25, -15], [-1, 2], [-4, 1/2]], [[0, 0], [4, 2], [0, 0], [-1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9/2, 4], [-9/2, 3/2], [0, 0]], [[0, 0], [-2, -16], [18, 34], [-9/2, -1]], [[0, 0], [7, -63/2], [49/2, 56], [-12, 3/2]]], 0, 750, [], [] >,
< [ -1, -1, 1 ], [[40, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35, -30], [-7, -1], [0, 0]], [[3, 11/2], [-34, -69], [-33/2, -27], [1/2, 5/2]], [[0, -2], [-9, 29], [4, 7], [2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 12], [-10, 0], [0, 0]], [[1/2, -1/2], [-55/2, -7], [-22, -26], [-1, 1/2]], [[0, 0], [9, -13], [-2, -11], [0, 0]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[40, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 20], [1, 3], [0, 0]], [[-2, -9/2], [-162, 82], [-3/2, -7], [1/2, -5/2]], [[20, 36], [506, -160], [24, 52], [4, 16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -6], [-15, 5], [0, 0]], [[0, 3/2], [4, -17/2], [-2, 23/2], [0, 3/2]], [[-1, 1/2], [11, -13/2], [-12, 13/2], [-1, 1/2]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[60, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 4], [-15, 5], [0, 0]], [[0, 0], [-3/2, -6], [-23/5, 41/5], [-13/10, 1/10]], [[0, 0], [3/2, -1], [-36/5, 22/5], [-11/10, 7/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -13], [-11, 7], [0, 0]], [[0, 0], [-15/2, -45/2], [19/5, 22/5], [-8/5, -3/10]], [[0, 0], [47, 151], [-128/5, -144/5], [56/5, 8/5]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[300, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, 7], [-3, -4], [0, 0]], [[0, 0], [144, -88], [-2, -2], [-1, -1]], [[0, 0], [335, -415/2], [-1, 2], [-1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -17], [11, -7], [0, 0]], [[0, 0], [-17/2, 19/2], [-2, 1], [-1, 1/2]], [[0, 0], [-5, -10], [0, 0], [0, 0]]], 0, 1200, [], [] >,
< [ -1, -1, 1 ], [[240, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-10, 4], [0, 0], [8, -2]], [[0, 0], [0, -2], [0, 0], [0, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, 0], [1, 0], [0, 0]], [[0, 0], [146/11, 156/11], [74/11, -2/11], [74/11, -2/11]], [[0, 0], [42/11, 28/11], [24/11, -6/11], [24/11, -6/11]]], 0, 768, [], [] >,
< [ -1, -1, 1 ], [[60, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [0, 0], [0, 0], [1, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [419/11, -531/11], [-80/11, 75/11], [-16/11, 15/11]], [[0, 0], [-2202/11, 1623/11], [380/11, -260/11], [76/11, -52/11]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[60, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, 11], [-11, 12], [0, 0]], [[0, 0], [-1965/2, 1113/2], [-4649/5, 2433/5], [-7/5, 3/10]], [[0, 0], [444, -1460], [-83/5, -10239/5], [-24/5, -52/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [165, -60], [-19, 13], [0, 0]], [[0, 0], [-3128, -31353/2], [-832, 2], [-1/2, 0]], [[0, 0], [-1325023/22, 4338377/22], [1034952/55, -383709/55], [621/55, -459/110]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[60, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -27], [-51, 12], [0, 0]], [[0, 0], [-30, 25/2], [45/2, -41/2], [-5/2, 1]], [[0, 0], [47, -24], [-35, 27], [4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-836, -38], [-84, -12], [0, 0]], [[0, 0], [27855, -1610], [2701, 94], [-1, 0]], [[0, 0], [2164851/22, -203147/22], [209139/22, -522/11], [-39/11, 3/22]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[180, -100]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[2, 9/2], [-24/19, -239/19], [3/2, -1/4], [5/76, 1/19]], [[-12, -4], [1306/19, -16], [14, -10], [4/19, -6/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[-5, -15/2], [-210/19, -233/38], [-15/4, -5], [-5/76, -5/76]], [[-5/2, -1], [-1053/38, 268/19], [-13/4, 1/4], [-2/19, 3/76]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[-80, 20]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [-180/19, -111/38], [1/4, -1/4], [-1/38, 1/76]], [[0, 0], [2, 2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1224/11, -9/11], [3/11, 2/11], [0, 0]], [[0, 0], [-8369/209, 16499/418], [1/44, -3/44], [0, -1/76]], [[0, 0], [14, -10], [0, 0], [0, 0]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-80, 20]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [849903/751, -4761/751], [3424/751, 2/751], [0, 0]], [[0, 0], [205531354/751, -460606339/1502], [816261/751, -928501/751], [-1/2, 0]], [[0, 0], [653159276096/751, -742687893249/1502], [2611667864/751, -1481360578/751], [-1313895/1502, 478665/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16780605/751, 2005/751], [-16732/751, -1/751], [0, 0]], [[0, 0], [-609166109837/8261, -29987400292/8261], [-604404960/8261, -30014431/8261], [-14810/8261, 1/8261]], [[0, 0], [-240117999976871/8261, 356257728747885/16522], [-238163406148/8261, 176707629364/8261], [-12110399/16522, 4411666/8261]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-960, 240]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 4], [2, -14], [0, 0]], [[0, 0], [-7589607/1042, 941/521], [32771, 21], [-4280/17193, 1/11462]], [[0, 0], [-836117592/521, -743787432/521], [7226220, 6435298], [-314312/5731, -279568/5731]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, 8], [-62, -6], [0, 0]], [[0, 0], [4322944/521, -1425215/1042], [-28351/11, 16358/11], [-3/1042, -1/34386]], [[0, 0], [55824551/1042, -54574735/1042], [-259962/11, 167241/11], [-175/11462, 107/5731]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[720, -400]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -14], [20, -20], [0, 0]], [[0, 0], [-12, 1], [1, 1], [1, 0]], [[0, 0], [-58, 36], [58, -36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, -84], [-18, 16], [0, 0]], [[0, 0], [-34, 1], [1, 1], [1, 0]], [[0, 0], [538, -466], [-104, 88], [0, 0]]], 0, 960, [], [] >,
< [ -1, -1, 1 ], [[9200, -5600]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [510, -50], [20, 0], [0, 0]], [[0, 0], [619, -238], [24, -23], [-1, -3]], [[0, 0], [-462, 294], [-22, 14], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -46], [-30, 40], [0, 0]], [[0, 0], [154, -3], [-111, 67], [11, -2]], [[0, 0], [-66, 37], [-3, 1], [-7, 4]]], 0, 28800, [], [] >,
< [ -1, -1, 1 ], [[-80, 20]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-71/2, -7/2], [3, 3/2], [0, 0]], [[0, 0], [-273, 172], [17, -9], [1/2, 3/2]], [[0, 0], [991/2, -613/2], [-30, 35/2], [0, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -43], [-3, 1], [0, 0]], [[0, 0], [9143/22, 1105/22], [-184/11, 411/22], [-15/22, 1/22]], [[0, 0], [10488/11, -22657/22], [-1983/22, 483/11], [-21/11, 19/11]]], 1, 72, [], [] >,
< [ -1, -1, 1 ], [[-320, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [390, 10], [8, -16], [0, 0]], [[0, 0], [-30, 1], [-3, 1], [1, 0]], [[0, 0], [-1982, 2444], [-142, 34], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-258, -24], [-6, 2], [0, 0]], [[0, 0], [26969/11, 3969/11], [1559/11, 42/11], [-68/11, -5/11]], [[0, 0], [-5303/11, 3413/11], [-331/11, 212/11], [14/11, -9/11]]], 0, 1152, [], [] >,
< [ -1, -1, 1 ], [[-80, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-305, -70], [13, -11], [0, 0]], [[0, 0], [40177/2, 104441/2], [2013/2, 135], [1, 3/2]], [[0, 0], [-8511, 5782], [665, -405], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-394, 53], [9, 2], [0, 0]], [[0, 0], [1425857/22, -1069729/22], [-25945/22, 11500/11], [38/11, 3/22]], [[0, 0], [-18902160/11, 9832455/11], [378387/11, -165511/11], [-423/11, 752/11]]], 1, 72, [], [] >,
< [ -1, -1, 1 ], [[140, -100]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -5/2], [-67/4, 0], [-11/2, -1/4], [0, 0]], [[-5/2, 1], [-101/7, 243/28], [-17/4, 9/4], [1/154, -3/154]], [[-1, 1/2], [-23/4, 13/4], [-7/4, 1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7/2, -27/2], [-15/2, 5], [0, 0]], [[7, 3], [1369/14, 810/7], [50, 15/2], [25/154, 1/77]], [[147/2, -49/2], [2203/4, 643/4], [2461/4, -541/2], [91/44, -21/22]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[-40, 60]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5/2, -21/2], [3/2, 2], [0, 0]], [[0, 0], [-1291/28, 184/7], [-15/2, -5/4], [-1/44, -1/308]], [[0, 0], [-136, 2477/28], [-37/4, 69/4], [-9/308, 4/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -35/2], [-17/2, 9/2], [0, 0]], [[0, 0], [170595/308, 284983/308], [2851/44, 222/11], [-1/154, 3/308]], [[0, 0], [-14313/44, -42562/77], [-1311/22, 39/44], [3/308, -3/308]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-40, 60]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4244143/751, -10266/751], [17062/751, 1/751], [0, 0]], [[0, 0], [-42507922913/1502, -99853252736/751], [-86444949/751, -402634447/751], [-1772/751, -1/1502]], [[0, 0], [-81269669585057/751, 17355723417133/1502], [-326624264746/751, 34157256252/751], [5129865/1502, -3976245/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3651604/751, -503/751], [-1713/751, 1/751], [0, 0]], [[0, 0], [-492303668359/8261, 3168294405/8261], [230650557/8261, -1588424/8261], [21357/8261, 2/8261]], [[0, 0], [-9206499286742273/16522, 1352927487485664/8261], [2156962731054/8261, -634553319723/8261], [199319803/8261, -115536391/16522]]], 1, 60, [], [] >,
< [ -1, -1, 1 ], [[-480, 720]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -18], [-28, 16], [0, 0]], [[0, 0], [5319, 285/2], [71913, -187], [-1/2, 0]], [[0, 0], [-51814963/521, -49013336/521], [-1309204, -1197928], [156877/17193, 143983/17193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-192, 4], [-6, -8], [0, 0]], [[0, 0], [-165595/11, -13241/22], [6549, 3], [1/22, 0]], [[0, 0], [28266982614/5731, -51577576221/11462], [-2223475, 1967725], [-530875/34386, 78275/5731]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[880, 0]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 14], [-8, -4], [0, 0]], [[0, 0], [93/7, -201/7], [-41, -8], [-1/7, 0]], [[0, 0], [-107/14, -225/14], [-37/2, -23], [-4/77, -9/154]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-276, 4], [10, 0], [0, 0]], [[0, 0], [-97800/7, -1543/7], [469, 7], [-2/7, 0]], [[0, 0], [-148177017/266, 10106038/133], [355337/19, -97443/38], [-4773/418, 4995/2926]]], 0, 11520, [], [] >,
< [ -1, -1, 1 ], [[7600, -4800]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-560, 550], [-28, 26], [0, 0]], [[0, 0], [-5425, -1860], [-280, -65], [-15, 5]], [[0, 0], [-6851, 1877], [-371, 122], [-24, 13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-282, 154], [-90, 60], [0, 0]], [[0, 0], [1966, -1222], [664, -408], [6, -2]], [[0, 0], [5809, -3573], [1951, -1212], [14, -13]]], 0, 28800, [], [] >,
< [ -1, -1, 1 ], [[560, -400]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -42], [8, 4], [0, 0]], [[0, 0], [42, 1], [1, 1], [1, 0]], [[0, 0], [452, -284], [64, -38], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [118, -86], [34, -28], [0, 0]], [[0, 0], [26, 1], [3, 1], [1, 0]], [[0, 0], [24, -18], [8, -6], [0, 0]]], 0, 960, [], [] >,
< [ -1, -1, 1 ], [[-40, 60]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -21/2], [7/2, 3], [0, 0]], [[0, 0], [-2059/2, 1243/2], [-69, 81/2], [1/2, 3/2]], [[0, 0], [-4, -8], [0, 0], [1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [89, -113/2], [-19/2, -1], [0, 0]], [[0, 0], [-28916/11, 38821/22], [7375/22, 1000/11], [23/22, 2/11]], [[0, 0], [309491/22, -183159/22], [-7560/11, 26805/22], [-27/11, 81/22]]], 1, 72, [], [] >,
< [ -1, -1, 1 ], [[560, -400]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 38], [-2, -16], [0, 0]], [[0, 0], [52, 1], [5, 1], [1, 0]], [[0, 0], [30, -20], [-22, 14], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [420, -270], [2, 16], [0, 0]], [[0, 0], [29409/11, 1047/11], [251/11, -250/11], [-64/11, -3/11]], [[0, 0], [235842/11, 293026/11], [-404/11, -1902/11], [-520/11, -650/11]]], 0, 1152, [], [] >,
< [ -1, -1, 1 ], [[-40, 60]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [530, 10], [-8, -4], [0, 0]], [[0, 0], [-95376, 28381], [1231, 48], [-2, 2]], [[0, 0], [-656111/2, 39288], [4647, 2907/2], [-11/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150, -200], [16, -12], [0, 0]], [[0, 0], [-4260, -6037], [-5, -80], [-2, 0]], [[0, 0], [161707/22, 198567/22], [-1061/22, 1761/11], [63/11, -35/22]]], 1, 72, [], [] >,
< [ -1, -1, 1 ], [[880, 0]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, -28], [8, -8], [0, 0]], [[0, 0], [-83/19, 29/19], [-25/2, -14], [1/38, -5/38]], [[0, 0], [518/19, -305/19], [55/2, 5/2], [-9/19, 15/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1546, 514], [-6, -8], [0, 0]], [[0, 0], [1916536713/361, -1149020635/361], [157395/38, 591/19], [-33/722, -1/722]], [[0, 0], [222741633716/361, -140514517692/361], [4909746/19, -6994180/19], [-996/361, 1476/361]]], 0, 11520, [], [] >,
< [ -1, -1, 1 ], [[-400, 80]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 2], [0, 10], [0, 0]], [[0, 0], [14709842/2759, 1414/2759], [24987/7, 60/7], [-10403/19313, -1/19313]], [[0, 0], [8847208524/2759, -5574573396/2759], [2143794, -1350926], [-893838/2759, 563202/2759]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -8], [4, -6], [0, 0]], [[0, 0], [16860980602/30349, 1917574/30349], [1379310/77, -6341/77], [-84263/212443, -2/212443]], [[0, 0], [-33048751489588/30349, 13181943446394/30349], [-2708629094/77, 1086002870/77], [165167554/212443, -65885892/212443]]], 0, 1728, [], [] >,
< [ -1, -1, 1 ], [[-100, 20]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [6907390/2759, 1414/2759], [11749/7, -52/7], [-4885/19313, -1/19313]], [[0, 0], [-142704415/2759, 195708912/2759], [-34896, 664941/14], [28835/5518, -138408/19313]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 14], [-10, -2], [0, 0]], [[0, 0], [-1280981161/30349, -3978409/30349], [-487644/77, 49639/154], [-16781/424886, -2/212443]], [[0, 0], [12169881513/979, -3838406104/979], [20868646/11, -7228308/11], [11398/979, -3614/979]]], 1, 108, [], [] >,
< [ -1, -1, 1 ], [[-100, 20]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-99/2, 177/2], [4, -11/2], [0, 0]], [[0, 0], [3504, -1930], [-245, 140], [3/2, 0]], [[0, 0], [-2172, 1400], [154, -98], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-561, 132], [8, -1], [0, 0]], [[0, 0], [3300470/11, -873195/22], [-94383/22, 208/11], [36/11, 2/11]], [[0, 0], [-10907823/22, 5476679/11], [135513/22, -159831/22], [-48/11, 123/22]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[240, -320]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-214/33, 68/33], [34/33, 4/33], [0, 0]], [[0, 0], [25824/11, -12424/11], [-3594/11, 859/11], [-10/11, 1/33]], [[0, 0], [448296/11, -734930/33], [-58956/11, 72230/33], [-156/11, 130/33]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112/11, 68/33], [-18/11, 4/33], [0, 0]], [[0, 0], [19648/33, -8/33], [-305/3, 821/33], [-5/33, 1/11]], [[0, 0], [-1438/33, -2012/33], [160/33, 200/33], [0, 0]]], 0, 1728, [], [] >,
< [ -1, -1, 1 ], [[60, -80]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [2/33, 19/33], [-91/66, -23/66], [-3/22, -1/22]], [[0, 0], [-4/11, 29/33], [-71/22, 25/33], [-7/22, 2/33]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-133/11, 98/33], [-2/11, -2/33], [0, 0]], [[0, 0], [-1785/11, 493/11], [21/22, -19/22], [-1/22, 1/22]], [[0, 0], [-36868/33, 16870/11], [448/33, -93/22], [-23/33, 1/6]]], 1, 108, [], [] >,
< [ -1, -1, 1 ], [[60, -80]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [181/2, -40], [15/2, -5/2], [0, 0]], [[0, 0], [379, -223], [27, -19], [5/2, 1]], [[0, 0], [-10506, 6577], [-798, 476], [-30, 75/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [155752/11, 4468/11], [69/11, 2/11], [0, 0]], [[0, 0], [635037/22, 253221/22], [141/11, 111/22], [1/2, -2]], [[0, 0], [379494, -653107], [170, -290], [56, -21/2]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[120, -20]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, 79/2], [-1/2, -4], [0, 0]], [[0, 0], [-189, 97], [10, 0], [1, -3/2]], [[0, 0], [-243, 113], [14, 2], [1, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [448422/11, -6565/22], [-261/22, 1/11], [0, 0]], [[0, 0], [-27541454990/11, 39931027/11], [8015112/11, -14384/11], [0, -1]], [[0, 0], [-1143254651980/11, 482758767538/11], [332758216/11, -140558712/11], [35/2, -24]]], 1, 180, [], [] >,
< [ -1, -1, 1 ], [[480, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-232, 24], [12, -14], [0, 0]], [[0, 0], [120, 1], [-3, 1], [1, 0]], [[0, 0], [-270, 520], [44, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18082, -2066], [-12, 14], [0, 0]], [[0, 0], [-26117260/11, 778320654/11], [-621120/11, 4580/11], [16/11, -4/11]], [[0, 0], [-141675529/11, -1736501408/11], [1235276/11, 144293/11], [-31/11, 5/11]]], 0, 2880, [], [] >,
< [ -1, -1, 1 ], [[-80, 100]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-135, 70], [-7, 4], [0, 0]], [[0, 0], [-402, -312], [-15, -5], [5/2, -1]], [[0, 0], [627/2, 579/2], [11, 11/2], [-3/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1756, 143], [-3, 1], [0, 0]], [[0, 0], [-176880618/11, -210796761/22], [483957/22, -392/11], [-41/22, 1/11]], [[0, 0], [162417122047/22, 28525255841/11], [-248363985/22, 44134335/22], [10608/11, -2278/11]]], 1, 180, [], [] >,
< [ -1, -1, 1 ], [[1040, -720]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-562, 404], [-28, 26], [0, 0]], [[0, 0], [132, 1], [5, 1], [1, 0]], [[0, 0], [316, -302], [12, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9052, -504], [22, -4], [0, 0]], [[0, 0], [936835593/11, 147646364/11], [2212008/11, 2949/11], [7/11, 1/11]], [[0, 0], [26404855611/11, -33612048212/11], [74649644/11, -78740935/11], [201/11, -251/11]]], 0, 2880, [], [] >,
< [ -1, -1, 1 ], [[400, -480]], [ -4068, 101 ], [ -16, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-38980453854/78671, -357638/78671], [3629928/19, 4/19], [1814964/1494749, 2/1494749]], [[0, 0], [-13426968392446/78671, 5503268639366/78671], [1250346904/19, -512479952/19], [625173452/1494749, -256239976/1494749]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, 0], [1, 0], [0, 0]], [[0, 0], [21579197086086/865381, 7252206/865381], [-38435696/209, -16/209], [-19217848/16442239, -8/16442239]], [[0, 0], [6784918909026532/865381, 215098271323620/865381], [-12084929768/209, -383122380/209], [-6042464884/16442239, -191561190/16442239]]], 0, 3840, [], [] >,
< [ -1, -1, 1 ], [[-560, 80]], [ -502, 19 ], [ -14, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 8], [22, -4], [0, 0]], [[0, 0], [-181446702/1181, -109722/1181], [391103/2, -741/2], [-211625/96842, -2/48421]], [[0, 0], [23496124266/1181, -52092522744/1181], [-25462872, 56065049], [13719795/48421, -30368535/48421]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, 8], [-18, -4], [0, 0]], [[0, 0], [70587295178/12991, -61361752/12991], [-60074116/11, -16733/11], [733935/532631, -1/532631]], [[0, 0], [-1039263168159606/12991, 516920198352650/12991], [883972147158/11, -878841016587/22], [-21602261889/1065262, 10739980413/1065262]]], 0, 3840, [], [] >,
< [ -1, -1, 1 ], [[560, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, -44], [-26, 2], [0, 0]], [[0, 0], [30, 1], [-3, 1], [1, 0]], [[0, 0], [108, 34], [60, -20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1228, -24], [24, -18], [0, 0]], [[0, 0], [-126111/11, -227811/11], [-403/11, -914/11], [-12/11, 3/11]], [[0, 0], [-5855/11, 3254/11], [-212/11, 119/11], [9/11, -5/11]]], 0, 4800, [], [] >,
< [ -1, -1, 1 ], [[1200, -880]], [ -2322, 129 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -10], [24, -8], [0, 0]], [[0, 0], [-2548/129, -3644/129], [16, 28], [-2/129, 2/129]], [[0, 0], [121/43, -242/129], [11/2, -7/2], [1/86, -1/129]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, -38], [-24, 8], [0, 0]], [[0, 0], [-69384/473, -6361/1419], [1757/22, -12/11], [15/473, 5/2838]], [[0, 0], [-31588/129, -30814/129], [128, 119], [7/129, 7/129]]], 0, 5760, [], [] >,
< [ -1, -1, 1 ], [[1040, -800]], [ -918, -54 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10/3, -4], [10, 0], [0, 0]], [[0, 0], [1003/9, -1189/18], [369/2, -243/2], [5/9, -1/9]], [[0, 0], [2/9, 2/9], [0, 0], [1/9, 1/9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [49/6, -3], [-12, 3/2], [0, 0]], [[0, 0], [-839/9, 455/6], [-137/2, -261/2], [5/9, 0]], [[0, 0], [-2236, 13754/9], [-4644/11, -12402/11], [114/11, -361/99]]], 0, 5760, [], [] >,
< [ -1, -1, 1 ], [[10960, -5760]], [ -2322, 129 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -8], [718, -6], [0, 0]], [[0, 0], [167563/129, 895/43], [-43008, -339363/2], [1/258, 1/86]], [[0, 0], [-12518188/129, 7943197/129], [-9745521/2, 2630011], [34/129, -35/258]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14168, -38], [4700, 10], [0, 0]], [[0, 0], [-225691479179/473, 70886803964/1419], [3482614573/22, -366322511/22], [9/946, -2/1419]], [[0, 0], [33623329298695/1419, -5622302264330/473], [-172983740183/22, 86799734651/22], [-1367/2838, 117/473]]], 0, 357120, [], [] >,
< [ -1, -1, 1 ], [[-4640, -560]], [ -918, -54 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28/3, 1/3], [17, 1], [0, 0]], [[0, 0], [-4421/18, 14/3], [-483, -3/2], [4/9, 1/3]], [[0, 0], [69628/3, -81583/6], [90117/2, -52649/2], [-70/3, 34/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [89/6, -10/3], [-483, -3/2], [0, 0]], [[0, 0], [41786/9, -10232/3], [-1516122/11, 1157154/11], [32/99, 1/33]], [[0, 0], [-2505790/9, 1586308/9], [91880110/11, -58486580/11], [-1330/99, 646/99]]], 0, 357120, [], [] >,
< [ -1, -1, 1 ], [[3920, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [182, -14], [-98, 126], [0, 0]], [[0, 0], [10, 1], [17, 1], [1, 0]], [[0, 0], [-364, 1638], [1344, 112], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5306, 98], [-140, -70], [0, 0]], [[0, 0], [-7099865/11, 2463899/11], [151841/11, -6492/11], [-46/11, -5/11]], [[0, 0], [36970798/11, -14122250/11], [-774910/11, 82710/11], [232/11, 8/11]]], 0, 230400, [], [] >,
< [ -1, -1, 1 ], [[-4000, 1040]], [ -502, 19 ], [ -14, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 2], [-34, 18], [0, 0]], [[0, 0], [-642530/1181, -165592/1181], [7201, -729/2], [3009/2362, 1/2362]], [[0, 0], [-1666728/1181, 91774438/1181], [286127, -835769], [50547/1181, -181272/1181]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 64], [10, 10], [0, 0]], [[0, 0], [-6618255370/12991, 4162348/12991], [1810323/11, -3976/11], [-32534/12991, -1/12991]], [[0, 0], [-4525664320362/12991, 2373484695378/12991], [2477887167/22, -650153252/11], [-22239555/12991, 23321181/25982]]], 0, 161280, [], [] >,
< [ -1, -1, 1 ], [[1920, -2960]], [ -4068, 101 ], [ -16, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, -16], [49, -26], [0, 0]], [[0, 0], [3392450, 459], [-80638580, 515], [10, 0]], [[0, 0], [-85363630/78671, -127545407/78671], [489950/19, 732055/19], [-4780/1494749, -7142/1494749]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [199, -101], [-33, 15], [0, 0]], [[0, 0], [169715175834524/865381, 196606066/865381], [-9127049944/209, -7532/209], [89044510/16442239, -4/16442239]], [[0, 0], [-31726651775/865381, -54556270600/865381], [1706215/209, 2933960/209], [-16646/16442239, -28624/16442239]]], 0, 161280, [], [] >,
< [ -1, -1, 1 ], [[-740, 220]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51/2, -26], [-27/2, 19/2], [0, 0]], [[0, 0], [-19, -35], [30, 30], [-3/2, -3/2]], [[0, 0], [-8, 16], [-50, 20], [5/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [557319/22, 1407/22], [3599/11, -1/22], [0, 0]], [[0, 0], [-9688182721/11, 69503515/22], [-250258475/22, 780595/11], [2, -5/2]], [[0, 0], [-745970734667/11, 175784239237/22], [-19275260353/22, 1157789623/11], [176, -188]]], 1, 5040, [], [] >,
< [ -1, -1, 1 ], [[-2960, 880]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [788, 4], [-26, 72], [0, 0]], [[0, 0], [90, 1], [-133, 1], [1, 0]], [[0, 0], [-4214, 4018], [506, -152], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7906, 322], [4, -78], [0, 0]], [[0, 0], [-343624294/11, 346755888/11], [3604890/11, 5700/11], [-14/11, -2/11]], [[0, 0], [20738323147/11, -15172340291/11], [-158170099/11, 58605478/11], [582/11, -173/11]]], 0, 80640, [], [] >,
< [ -1, -1, 1 ], [[300, -520]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, -16], [-48, 31], [0, 0]], [[0, 0], [-85, -46], [-33, -24], [-5/2, -1/2]], [[0, 0], [-273/2, 845/2], [-26, 339/2], [-8, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3291, -55], [-237, -1], [0, 0]], [[0, 0], [6462115212/11, 77038964/11], [465401136/11, -237837/11], [-21/22, -3/22]], [[0, 0], [-701179131465/11, 233480163141/22], [-101219174535/22, 8926059305/11], [1113/11, -133/22]]], 1, 5040, [], [] >,
< [ -1, -1, 1 ], [[1200, -2080]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 110], [-318, 6], [0, 0]], [[0, 0], [142, 1], [135, 1], [1, 0]], [[0, 0], [-104, 188], [-644, 138], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14316, -2], [-1634, -2], [0, 0]], [[0, 0], [119667969413/11, -204344391/11], [-13658663569/11, 4733050/11], [-12/11, 3/11]], [[0, 0], [1407252333739/11, -6532854199143/11], [-159604733713/11, 746446322698/11], [-304/11, 527/11]]], 0, 80640, [], [] >,
< [ -1, -1, 1 ], [[-2000, 640]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3028/3, -2], [190/3, 0], [0, 0]], [[0, 0], [15916/33, 5462/11], [-1366/33, -307/11], [-6/11, 5/33]], [[0, 0], [-317216/33, -404528/33], [24776/33, 25118/33], [80/11, -8/33]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8936/33, -292/33], [-872/33, 10/33], [0, 0]], [[0, 0], [-268700/33, 173102/33], [25667/33, -16331/33], [-5/33, 5/33]], [[0, 0], [-1723042/11, 2884372/33], [162684/11, -280996/33], [-146/33, 2/11]]], 0, 34560, [], [] >,
< [ -1, -1, 1 ], [[-500, 160]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-26/3, -2], [-59/6, 3/2], [53/66, 1/22]], [[0, 0], [16/33, 3/11], [31/66, 1/22], [-1/22, -1/66]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6491/33, 392/33], [-1894/33, -8/33], [0, 0]], [[0, 0], [524398/33, -7711/3], [304141/66, -2779/6], [-1/66, -5/66]], [[0, 0], [-97/33, 16/33], [239/66, -1/33], [-1/66, 0]]], 1, 2160, [], [] >,
< [ -1, -1, 1 ], [[-500, 160]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 12], [-11, 2], [0, 0]], [[0, 0], [19, 71/2], [-141/2, 36], [-2, 5/2]], [[0, 0], [5/2, -3/2], [-100, 125/2], [-4, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-463707/22, -866/11], [-6195/22, -5/22], [0, 0]], [[0, 0], [-8450004167/2, -56535622], [-112886617/2, -1177021/2], [-1/2, -5/2]], [[0, 0], [2107469585267/11, -1136444935544/11], [28199809035/11, -15220594120/11], [-39, 40]]], 1, 2160, [], [] >,
< [ -1, -1, 1 ], [[720, -1360]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -4], [-12, 10], [0, 0]], [[0, 0], [-13820298/2759, 8208/2759], [-433754/7, -64/7], [9770/19313, 2/19313]], [[0, 0], [-1282688746/2759, 216236528/2759], [-40252536/7, 6761817/7], [906651/19313, -152262/19313]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-506, 6], [264, 8], [0, 0]], [[0, 0], [-5369938732/30349, 5379991992/30349], [-14322372/77, -6832491/77], [-37133/212443, 2/212443]], [[0, 0], [-111797215798588/30349, 74790503496052/30349], [-152200846033/77, 50722508478/77], [-516700153/212443, 255923707/212443]]], 0, 34560, [], [] >,
< [ -1, -1, 1 ], [[180, -340]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-17268475/2759, -3535/2759], [5413029/14, 655/7], [24425/38626, 5/38626]], [[0, 0], [-5393395455/2759, 3013629213/2759], [241513571/2, -67473829], [1089795/5518, -608937/5518]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29, 16], [26, -28], [0, 0]], [[0, 0], [-4682420190/30349, -1043678/30349], [134256817/154, 15009/154], [52218/212443, 5/424886]], [[0, 0], [-1009630463090/30349, 961448837117/30349], [14475859458/77, -13783660686/77], [11261200/212443, -10722100/212443]]], 1, 2160, [], [] >,
< [ -1, -1, 1 ], [[180, -340]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17, 3/2], [-51/2, 26], [0, 0]], [[0, 0], [-272, 114], [-640, 295], [5/2, 3/2]], [[0, 0], [-4178, 2802], [-10085, 6640], [14, -21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-169/2, 15], [215/2, -5/2], [0, 0]], [[0, 0], [-47075023/22, 7093599/22], [30027496/11, 544641/22], [25/11, 2/11]], [[0, 0], [29055683191/22, -3319375724/11], [-36509863909/22, 3188847173/22], [-30191/22, 703/22]]], 1, 2160, [], [] >,
< [ -1, -1, 1 ], [[580, -320]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3/2, -13/2], [11/2, -1], [0, 0]], [[1/2, 1/2], [33/28, 75/28], [-5/4, 0], [1/28, 0]], [[0, 0], [2, 3/2], [5/2, -5/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7/2, -3/2], [-11/2, 6], [0, 0]], [[-5/2, -5], [4745/28, 4447/28], [349/4, -257], [-5/28, -5/28]], [[-5/2, -1/2], [-2239/14, 5157/28], [-2853/4, 1501/4], [1/7, -5/28]]], 1, 576, [], [] >,
< [ -1, -1, 1 ], [[-260, 60]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25/2, 8], [7, -3/2], [0, 0]], [[0, 0], [151/2, -1191/28], [-305/4, -185/4], [3/28, 1/7]], [[0, 0], [-22999/28, 510], [727/2, -1093/4], [-3/28, 5/28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-77/2, -20], [-1, 9/2], [0, 0]], [[0, 0], [-565623/308, 1186487/154], [-9978/11, -511/44], [59/308, 5/308]], [[0, 0], [71685071/308, -81657273/308], [1930095/44, -182015/11], [-1387/154, 949/308]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[-260, 60]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-49940724/751, -2997/751], [-201386/751, -3/751], [0, 0]], [[0, 0], [-5863997/1502, -19493069/1502], [-13102/751, -39296/751], [-1173/1502, 1/751]], [[0, 0], [-2391398403/751, -1708278067/1502], [-9154425/751, -3904525/751], [446913/1502, -422073/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6771500/751, 255/751], [3426/751, -2/751], [0, 0]], [[0, 0], [-42922076555/8261, -3773645539/16522], [22435513/8261, 829954/8261], [27905/16522, 3/16522]], [[0, 0], [536331295832059/16522, -263361568939949/8261], [-141132591030/8261, 137717217355/8261], [-90935480/8261, 171667875/16522]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[-3120, 720]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 6], [28, -16], [0, 0]], [[0, 0], [-1492233/1042, 3624/521], [1734, 15], [421/3126, 1/3126]], [[0, 0], [2526350/521, 579878/521], [-5890, -1446], [-238/521, -170/1563]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-192, 4], [22, 6], [0, 0]], [[0, 0], [-2806792081/11462, -24639768/5731], [121922, 209], [8343/11462, 5/34386]], [[0, 0], [-523013441701/5731, 368177043969/11462], [45699035, -16455905], [9386549/34386, -1693634/17193]]], 0, 92160, [], [] >,
< [ -1, -1, 1 ], [[1760, -2640]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31, 10], [-8, 1], [0, 0]], [[0, 0], [619/14, -23/14], [-3/2, 3], [-2/7, -1/14]], [[0, 0], [-163/14, 11/2], [-7/2, 2], [1/7, -1/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-476, -219], [-17, 9], [0, 0]], [[0, 0], [-139586567/266, -27865865/38], [-190651/38, -294/19], [-17/133, 3/266]], [[0, 0], [-405982730/7, -1690994281/14], [1273837/2, -1710269/2], [255/14, -149/7]]], 0, 138240, [], [] >,
< [ -1, -1, 1 ], [[-5200, 1200]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -172], [204, 2], [0, 0]], [[0, 0], [-87628, -126839], [67303, 126919], [-9, -2]], [[0, 0], [-172508, -204284], [89098, 234394], [-34, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [210, -150], [-110, 0], [0, 0]], [[0, 0], [92698, -116171], [-131287, -115551], [1, 8]], [[0, 0], [3422506, -1860092], [-823034, 1360938], [-96, 22]]], 0, 288000, [], [] >,
< [ -1, -1, 1 ], [[2320, -1280]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -44], [-120, 70], [0, 0]], [[0, 0], [-42, 1], [17, 1], [1, 0]], [[0, 0], [-60, -20], [122, -84], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [106, -82], [-44, -22], [0, 0]], [[0, 0], [2, 1], [-49, 1], [1, 0]], [[0, 0], [1442, -854], [-224, 248], [0, 0]]], 0, 9600, [], [] >,
< [ -1, -1, 1 ], [[-260, 60]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -11/2], [9/2, -4], [0, 0]], [[0, 0], [-18, 17], [0, 0], [5/2, -5/2]], [[0, 0], [-4, 0], [0, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-644, -37/2], [181/2, -1], [0, 0]], [[0, 0], [-2292, -18592], [163, 2489], [5/2, 0]], [[0, 0], [-1200982/11, -528137/22], [341037/22, 24868/11], [-169/11, 182/11]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[-1040, 240]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, -72], [832, 6], [0, 0]], [[0, 0], [32, 1], [-15, 1], [1, 0]], [[0, 0], [992, -234], [11088, 9504], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-964, 38], [-252, 4], [0, 0]], [[0, 0], [-422/11, 4164/11], [-5858/11, 1604/11], [-38/11, 2/11]], [[0, 0], [-69479/11, 177088/11], [-326864/11, 132697/11], [-2025/11, 513/11]]], 0, 11520, [], [] >,
< [ -1, -1, 1 ], [[-260, 60]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [247, -24], [-69, 43], [0, 0]], [[0, 0], [3146, 10379/2], [51/2, 103/2], [-1/2, -1]], [[0, 0], [-14, -12], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [287, -194], [-3, 21], [0, 0]], [[0, 0], [6807, -4157], [-512, -71], [2, 0]], [[0, 0], [-4854799/22, 2980027/22], [312813/22, -17423/11], [-630/11, 273/22]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[1760, -2640]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -34], [46, -14], [0, 0]], [[0, 0], [1050/19, -8469/19], [3949/2, -2171/2], [2/19, -3/38]], [[0, 0], [10491/19, 26976/19], [-2140, 1489/2], [-3/38, 2/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-718, -34], [34, 4], [0, 0]], [[0, 0], [403738149/361, -30509080/361], [-1014222/19, 23633/38], [-75/722, -2/361]], [[0, 0], [266515325040/361, -84174617496/361], [-658316355/19, 180698015/19], [-23920/361, 5525/361]]], 0, 115200, [], [] >,
< [ -1, -1, 1 ], [[-2800, 2880]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -50], [-8, 6], [0, 0]], [[0, 0], [75/14, -5094/7], [-37, 113/2], [-3/14, -3/14]], [[0, 0], [-2073/7, 4107/14], [105/2, -75/2], [1/14, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, 46], [10, -10], [0, 0]], [[0, 0], [-1005/14, 257/2], [3/2, -38], [2/7, 5/14]], [[0, 0], [4853/7, -434], [-114, 73], [-2/7, 1/7]]], 0, 126720, [], [] >,
< [ -1, -1, 1 ], [[820, -480]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -1], [-7, 10], [0, 0]], [[3/2, 3/2], [455/19, 658/19], [-159/4, -293/4], [0, 3/76]], [[-1, 5/2], [164/19, 604/19], [-51, -169/4], [7/76, -1/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 4], [20, -16], [0, 0]], [[1/2, -1], [-489/38, 506/19], [201/4, -97/4], [1/19, -3/76]], [[-2, 1/2], [903/19, -429/38], [-357/4, 123/2], [-9/76, 5/76]]], 1, 576, [], [] >,
< [ -1, -1, 1 ], [[140, -200]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 1], [-11, 0], [0, 0]], [[0, 0], [-1692/19, 13305/38], [307/4, -921/4], [0, 3/76]], [[0, 0], [-18483/19, 27423/38], [2813/4, -2037/4], [-3/38, 5/76]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27113/11, -94/11], [541/11, 5/11], [0, 0]], [[0, 0], [21835647/209, 1602481/418], [-91741/44, -3649/44], [0, -3/76]], [[0, 0], [134366479/418, -95018169/418], [-281673/44, 49838/11], [7/76, -3/76]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[140, -200]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [425327/751, 2501/751], [1712/751, 1/751], [0, 0]], [[0, 0], [-17735371/1502, 14837383/1502], [-119837/751, 29852/751], [-1817/751, -3/1502]], [[0, 0], [128259726735/751, -83590439797/751], [1382395105/751, -755787932/751], [18696864/751, -9048041/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78988907/751, 2749/751], [-79186/751, 2/751], [0, 0]], [[0, 0], [-442793549159/751, 13719075245/751], [-444065699/751, 13756710/751], [-1, 0]], [[0, 0], [2651346868791003/16522, -1287734462476269/16522], [1329479598177/8261, -645714316603/8261], [2215668/8261, -2112189/16522]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[1680, -2400]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 14], [-30, 10], [0, 0]], [[0, 0], [703022/521, -5685/1042], [4743, 72], [-2183/3126, -1/3126]], [[0, 0], [-49216478/521, 57004234/521], [-324646, 385628], [25338/521, -29520/521]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 4], [816, 8], [0, 0]], [[0, 0], [-20438202/521, -3367/521], [-871680/11, -2542/11], [5309/17193, 1/17193]], [[0, 0], [33458135349/1042, -13565668590/521], [711895137/11, -578198161/11], [-1448479/5731, 2349187/11462]]], 0, 92160, [], [] >,
< [ -1, -1, 1 ], [[2800, -4000]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 58], [-56, -8], [0, 0]], [[0, 0], [-1997, 1229], [1131, -862], [-16, 7]], [[0, 0], [-66022, 41324], [47242, -12974], [-360, 510]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-688, -4], [578, 4], [0, 0]], [[0, 0], [217420, -2330], [-182518, 1586], [8, -6]], [[0, 0], [2477376, 2015893], [-2083201, -1700053], [35, -50]]], 0, 288000, [], [] >,
< [ -1, -1, 1 ], [[3280, -1920]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, 90], [-142, 74], [0, 0]], [[0, 0], [-22, 1], [-33, 1], [1, 0]], [[0, 0], [-92, 34], [-40, 120], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 42], [112, -94], [0, 0]], [[0, 0], [-22, 1], [33, 1], [1, 0]], [[0, 0], [-138, 106], [380, -260], [0, 0]]], 0, 9600, [], [] >,
< [ -1, -1, 1 ], [[140, -200]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3/2, -12], [71/2, -37/2], [0, 0]], [[0, 0], [-73, 7/2], [-635/2, 210], [-1, 3/2]], [[0, 0], [384, -56], [1780, -1160], [6, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-409, -65/2], [83/2, 2], [0, 0]], [[0, 0], [-43822/11, 57287/22], [8581/22, -2966/11], [-41/22, 1/11]], [[0, 0], [-5349782/11, 6910881/22], [1051337/22, -354922/11], [-2358/11, 342/11]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[560, -800]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [178, -6], [-44, -22], [0, 0]], [[0, 0], [0, 1], [-33, 1], [1, 0]], [[0, 0], [2356, -2052], [-312, 474], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -70], [-38, 26], [0, 0]], [[0, 0], [3636, 1253], [-115, -45], [-5, 0]], [[0, 0], [-13059/11, 21379/11], [383/11, -676/11], [28/11, -29/11]]], 0, 11520, [], [] >,
< [ -1, -1, 1 ], [[140, -200]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-552, -16], [-14, -2], [0, 0]], [[0, 0], [-82065/2, 8315/2], [-1835/2, -143], [2, -5/2]], [[0, 0], [271423/2, -7451/2], [6197/2, 770], [-6, 17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [705, 305], [186, 3], [0, 0]], [[0, 0], [2153409/22, 120811/11], [317149/11, -139539/22], [29/22, 1/22]], [[0, 0], [-3097153, 9355487/2], [-2718917/2, 2567823/2], [-93/2, 62]]], 1, 720, [], [] >,
< [ -1, -1, 1 ], [[3520, -880]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 5], [45, -25], [0, 0]], [[0, 0], [723/14, 29], [-124, 311/2], [-43/154, -3/154]], [[0, 0], [13919/7, 19844/7], [1238, 4499], [-78/11, -650/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3619, -242], [32, -19], [0, 0]], [[0, 0], [-6720009/266, -9650485/266], [2735/38, 40/19], [-64/1463, -1/2926]], [[0, 0], [-3252460721/266, -6033298193/266], [-763565/38, 751740/19], [1692/133, -905/38]]], 0, 115200, [], [] >,
< [ -1, -1, 1 ], [[3520, -880]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, -38], [30, -2], [0, 0]], [[0, 0], [98231/19, -59313/19], [4507/2, -1519], [-1/38, -5/38]], [[0, 0], [34280, -401302/19], [15351, -9599], [4/19, -5/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2088, 766], [4, -12], [0, 0]], [[0, 0], [52208953/361, -49829524/361], [-34923/19, -11639/38], [-85/722, -1/361]], [[0, 0], [-483390342/361, 386006580/361], [258297/19, -23338/19], [325/361, -65/361]]], 0, 138240, [], [] >,
< [ -1, -1, 1 ], [[9680, 0]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -1], [45, -25], [0, 0]], [[0, 0], [51/7, 193/7], [-19, 48], [0, -1/7]], [[0, 0], [157/14, -55], [142, -283/2], [-3/14, 5/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [315, -769], [89, -58], [0, 0]], [[0, 0], [-804949759/38, -4058635713/133], [-6982800/19, -31705/38], [43/266, -1/266]], [[0, 0], [-281040146403/266, -194352042481/133], [-427150774/19, 107976021/38], [377/38, -391/266]]], 0, 1382400, [], [] >,
< [ -1, -1, 1 ], [[9680, 0]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -20], [-22, 66], [0, 0]], [[0, 0], [-2051/19, 902/19], [323, 427/2], [1/38, 1/19]], [[0, 0], [90, -58], [-110, 110], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1704, 4], [110, 0], [0, 0]], [[0, 0], [-74726861/361, -366743/361], [558295/38, 2776/19], [-71/722, -1/722]], [[0, 0], [-6106652750/361, 8954467578/361], [22643564/19, -33502474/19], [-2862/361, 4266/361]]], 0, 1382400, [], [] >,
< [ -1, -1, 1 ], [[-2960, 80]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 8], [30, 20], [0, 0]], [[0, 0], [-249/19, -312/19], [20, 23/2], [3/38, 2/19]], [[0, 0], [-111/19, 99/19], [71/2, -24], [1/38, -1/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 26], [-28, 18], [0, 0]], [[0, 0], [294/19, 789/19], [-5/2, -7/2], [1/19, 3/38]], [[0, 0], [-10, 8], [0, 0], [0, 0]]], 0, 126720, [], [] >,
< [ -1, -1, 1 ], [[180, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -5], [-54, 33], [0, 0]], [[0, 0], [57/2, 40], [84/5, -93/5], [-31/10, -3/10]], [[0, 0], [7, 139], [-2184/5, 1248/5], [208/5, -156/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -3], [51, -27], [0, 0]], [[0, 0], [25/2, 75/2], [486/5, -552/5], [3/5, 3/10]], [[0, 0], [-63/2, -9/2], [1686/5, -912/5], [3/5, -7/10]]], 1, 400, [], [] >,
< [ -1, -1, 1 ], [[900, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, -41], [-36, -3], [0, 0]], [[0, 0], [-14, 33], [3, 21], [-2, 0]], [[0, 0], [-53/2, 38], [0, 21], [-5/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 5], [30, 0], [0, 0]], [[0, 0], [-27, 9], [0, -3], [-2, 0]], [[0, 0], [1, 1/2], [-6, 0], [-1/2, 0]]], 0, 12000, [], [] >,
< [ -1, -1, 1 ], [[720, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 14], [-3, 12], [0, 0]], [[0, 0], [-6, 61], [-42, 63], [-4, -8]], [[0, 0], [0, 0], [0, 0], [4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 20], [-6, 0], [0, 0]], [[0, 0], [4087/11, -645/11], [-237/11, -15/11], [82/11, -4/11]], [[0, 0], [5785, 5030], [-429, -474], [132, 132]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[180, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [0, 0], [1, 0]], [[0, 0], [0, 0], [3, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, -1], [6, 12], [0, 0]], [[0, 0], [-2787/11, 2784/11], [903/11, 129/11], [-24/11, -5/11]], [[0, 0], [-7620/11, 3753/11], [1047/11, -1260/11], [-26/11, 34/11]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[180, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, -6], [-54, 33], [0, 0]], [[0, 0], [6, 1/2], [-3, 3], [1/2, 0]], [[0, 0], [-10, -14], [-6/5, -18/5], [-3/5, -4/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99, -28], [-33, 21], [0, 0]], [[0, 0], [-15615/11, -5119/11], [-14736/55, 582/55], [117/55, 1/55]], [[0, 0], [-193106/11, 1985869/22], [-96453/11, 160461/11], [1407/22, -1302/11]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[180, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63, 114], [75, 15], [0, 0]], [[0, 0], [267/2, 18], [-437, 669/2], [-1/2, 5/2]], [[0, 0], [-3/2, 21/2], [1/2, -2], [0, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-591, -93], [-78, -9], [0, 0]], [[0, 0], [-211752, 58083/2], [-56127/2, 9501/2], [3/2, 0]], [[0, 0], [-18541782/11, -1262166/11], [-2438112/11, -66488/11], [136/11, 32/11]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-2880, 720]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 8], [16, -2], [0, 0]], [[0, 0], [35632353/1042, -88453/1042], [-28200, 53], [15307/11462, 1/5731]], [[0, 0], [3784349787/521, 8771553412/521], [-5998388, -13895922], [148688/521, 343841/521]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -8], [-832, -6], [0, 0]], [[0, 0], [1335002/521, 102839/521], [447214/11, -34072/11], [-9/521, -1/5731]], [[0, 0], [1010345/1042, -58304/521], [174303/11, -41439/11], [-39/5731, 15/11462]]], 0, 76800, [], [] >,
< [ -1, -1, 1 ], [[-1440, 2160]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 18], [-26, 2], [0, 0]], [[0, 0], [5170, 881], [21820, 2078], [-1, 0]], [[0, 0], [13875759/1042, 181916247/1042], [8307, 692866], [13755/5731, -334705/11462]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-274, 8], [-12, 4], [0, 0]], [[0, 0], [-794228271/11462, -139417830/5731], [-4702, -109], [821/11462, -3/11462]], [[0, 0], [-8124554730/5731, 20475974955/11462], [-137589, 125903], [24615/11462, -11025/5731]]], 0, 76800, [], [] >,
< [ -1, -1, 1 ], [[-9360, 2160]], [ -438, -36 ], [ -9, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 10], [8, 4], [0, 0]], [[0, 0], [2084267/521, 10558/521], [-4842, 70], [621/521, -1/521]], [[0, 0], [-171966567/1042, 55364811/1042], [201017, -66946], [-25674/521, 16727/1042]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [508, -6], [-26, 12], [0, 0]], [[0, 0], [1025305089/5731, 2231122095/11462], [86813, -347], [-30339/11462, -2/5731]], [[0, 0], [1769595059876/5731, 1056758449135/11462], [292683119, -131457587], [-102096765/11462, 22854181/5731]]], 0, 921600, [], [] >,
< [ -1, -1, 1 ], [[5040, -7200]], [ -474, 36 ], [ -12, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 2], [2, -4], [0, 0]], [[0, 0], [-6350701/1042, 4413/1042], [262, -3], [-1365/1042, 1/521]], [[0, 0], [-409345/1042, 132569/521], [17, -11], [-44/521, 57/1042]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -2], [580, 10], [0, 0]], [[0, 0], [26781805/1042, 2692427/521], [8644697/11, -628855/11], [-5942/5731, 1/11462]], [[0, 0], [-138011/1042, 228909/1042], [-24608/11, 40813/11], [41/11462, -34/5731]]], 0, 921600, [], [] >,
< [ -1, -1, 1 ], [[540, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81/2, 12], [-51/2, 27/2], [0, 0]], [[0, 0], [-208, -419/2], [-137/2, -13], [-1, 1]], [[0, 0], [-493, -594], [-136, -63], [-3/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-111/2, -33], [-9/2, 3/2], [0, 0]], [[0, 0], [47/2, 2], [-7/2, -11/2], [-1, -3/2]], [[0, 0], [-45, 27], [0, 0], [0, 0]]], 1, 4320, [], [] >,
< [ -1, -1, 1 ], [[-6480, 4320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-480, 300], [12, 6], [0, 0]], [[0, 0], [-8, -3], [1, 3], [1, 0]], [[0, 0], [198, -126], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [186, 18], [-60, 0], [0, 0]], [[0, 0], [16, 9], [1, 3], [1, 0]], [[0, 0], [426, -282], [-156, 102], [0, 0]]], 0, 69120, [], [] >,
< [ -1, -1, 1 ], [[-60, 20]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 2], [2, 1], [0, 0]], [[0, 0], [15/2, 5/2], [-1, 9/2], [3/2, -1/2]], [[0, 0], [-15, -9], [0, -10], [-5/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [9/2, 2], [23/2, -1/2], [2, -3/2]], [[0, 0], [1/2, 1/2], [1, 1/2], [0, 0]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[-60, 20]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27/2, -7], [3/2, -1/2], [0, 0]], [[0, 0], [-4, 16], [0, 0], [-1, -5/2]], [[0, 0], [-27, -1], [0, 0], [5/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17/2, 2], [-1/2, -3/2], [0, 0]], [[0, 0], [4, -8], [0, 0], [-1/2, -2]], [[0, 0], [-32, 19], [0, 0], [-3, 3/2]]], 1, 30, [], [] >,
< [ -1, -1, 1 ], [[-560, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, 50], [-16, -8], [0, 0]], [[0, 0], [0, 1], [-3, 1], [1, 0]], [[0, 0], [-150, 90], [-16, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, 20], [30, -20], [0, 0]], [[0, 0], [-4, -1], [-3, 1], [1, 0]], [[0, 0], [-20, 40], [26, -12], [0, 0]]], 0, 480, [], [] >,
< [ -1, -1, 1 ], [[-140, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [115, -80], [11, -7], [0, 0]], [[-3/2, -7/2], [1, 60], [-1, -11/2], [1/2, -2]], [[-2, -1], [66, -12], [-5, 0], [-3, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 40], [8, -6], [0, 0]], [[3/2, 4], [57, 111/2], [-4, -2], [5/2, 3/2]], [[-15, 15/2], [645/2, -465/2], [-41, 27], [45/2, -15]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[-140, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -5], [11, -2], [0, 0]], [[-5/2, -5/2], [2405/2, -65/2], [423/2, -81/2], [-5/2, -5/2]], [[1, -1/2], [-1530, 1839/2], [-296, 359/2], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25, -70], [-11, -3], [0, 0]], [[-1/2, -2], [749/2, -113], [-77/2, 32], [-1/2, -2]], [[-1/2, 1/2], [-961/2, 579/2], [127/2, -79/2], [-1/2, 1/2]]], 1, 40, [], [] >,
< [ -1, -1, 1 ], [[-180, 60]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -6], [-2, -1], [0, 0]], [[0, 0], [23, -22], [6, -2], [3/2, -3/2]], [[0, 0], [-29/2, 15/2], [-2, 3/2], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57/2, -89/2], [4, 9/2], [0, 0]], [[0, 0], [6659/2, -3593/2], [40, -185/2], [2, -3/2]], [[0, 0], [-2278, 614], [50, 175], [-1, 3/2]]], 1, 300, [], [] >,
< [ -1, -1, 1 ], [[-180, 60]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [59/2, 16], [-3/2, 1/2], [0, 0]], [[0, 0], [12, -23], [0, 0], [1, 0]], [[0, 0], [-5, 37], [0, 0], [-3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37, -29], [-6, 2], [0, 0]], [[0, 0], [313/2, -6], [-17/2, 49/2], [3/2, -2]], [[0, 0], [2077/2, -1426], [-559/2, 13/2], [28, -8]]], 1, 300, [], [] >,
< [ -1, -1, 1 ], [[2640, -1680]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-520, 340], [-38, 26], [0, 0]], [[0, 0], [14, -7], [-3, 1], [1, 0]], [[0, 0], [250, -60], [20, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-590, 360], [8, -6], [0, 0]], [[0, 0], [2, -13], [-3, 1], [1, 0]], [[0, 0], [-60, 30], [0, 0], [0, 0]]], 0, 4800, [], [] >,
< [ -1, -1, 1 ], [[-120, 140]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2753656/751, -15523/751], [5467/751, 1/751], [0, 0]], [[0, 0], [99024037527/751, -79447878006/751], [-197456261/751, 157948305/751], [1, 0]], [[0, 0], [497517157213831/1502, -159033030379940/751], [-495596536998/751, 316710363632/751], [2666811/1502, -1378979/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111281907/751, 19781/751], [-7179/751, -2/751], [0, 0]], [[0, 0], [-798868268867/8261, 107668515503/16522], [51600242/8261, -3468094/8261], [-34457/16522, 2/8261]], [[0, 0], [-3759999406409019/16522, 998377885843663/8261], [121421576374/8261, -64476851634/8261], [-78363313/16522, 40516263/16522]]], 1, 300, [], [] >,
< [ -1, -1, 1 ], [[-480, 560]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-500, -210], [4, -18], [0, 0]], [[0, 0], [52, -3], [-3, 1], [1, 0]], [[0, 0], [-7260, 1360], [198, -216], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-650, 110], [-10, 0], [0, 0]], [[0, 0], [4872/11, -26199/11], [593/11, -591/11], [-41/11, 2/11]], [[0, 0], [-7965/11, 5107/11], [-331/11, 212/11], [14/11, -9/11]]], 0, 5760, [], [] >,
< [ -1, -1, 1 ], [[-160, 20]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18558495/751, -18265/751], [10607/751, -4/751], [0, 0]], [[0, 0], [629112485, -943424907/2], [359400, -269550], [-4295/1502, -1/1502]], [[0, 0], [-3636205651977187/751, 2325864051028859/751], [-2077437274250/751, 1328875749600/751], [12150824/751, -5834108/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54035735/751, 4265/751], [-26943/751, -4/751], [0, 0]], [[0, 0], [1078220378/8261, -319113592/8261], [577019/8261, 159072/8261], [9974/8261, -1/8261]], [[0, 0], [-129251211091595/16522, 71747294686995/16522], [-26274069691/8261, 10198475382/8261], [-1046924965/16522, 251332910/8261]]], 1, 300, [], [] >,
< [ -1, -1, 1 ], [[-720, 640]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, -32], [-10, 20], [0, 0]], [[0, 0], [-48, 1], [-1, 3], [1, 0]], [[0, 0], [10, 20], [10, 20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-200, -20], [0, 10], [0, 0]], [[0, 0], [-5944/11, 2393/11], [-2019/11, -255/11], [61/11, 2/11]], [[0, 0], [29646/11, -7652/11], [11832/11, 5220/11], [-348/11, -116/11]]], 0, 5760, [], [] >,
< [ -1, -1, 1 ], [[-1280, 560]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-190, 60], [30, 10], [0, 0]], [[0, 0], [-88, 1], [-3, -3], [1, 0]], [[0, 0], [162, -74], [-20, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, 56], [10, -50], [0, 0]], [[0, 0], [32, 1], [-1, 3], [1, 0]], [[0, 0], [-994, 598], [400, -160], [0, 0]]], 0, 9600, [], [] >,
< [ -1, -1, 1 ], [[880, -160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [470, 90], [-4, -2], [0, 0]], [[0, 0], [-6, 3], [-3, 1], [1, 0]], [[0, 0], [70, -30], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [240, 170], [-2, -6], [0, 0]], [[0, 0], [-68, -3], [-3, 1], [1, 0]], [[0, 0], [-100, 70], [0, 0], [0, 0]]], 0, 9600, [], [] >,
< [ -1, -1, 1 ], [[640, -880]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2070, 440], [24, -8], [0, 0]], [[0, 0], [16, -1], [-3, 1], [1, 0]], [[0, 0], [2760, -4800], [-40, 50], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31940, -1610], [24, 2], [0, 0]], [[0, 0], [511488147/11, -17057902/11], [-386432/11, 919/11], [57/11, 5/11]], [[0, 0], [-19510569546/11, 22566469768/11], [14209226/11, -17141382/11], [-1868/11, 2568/11]]], 0, 14400, [], [] >,
< [ -1, -1, 1 ], [[-1360, 1120]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [428, -376], [50, -40], [0, 0]], [[0, 0], [12, 1], [1, -1], [1, 0]], [[0, 0], [270, -180], [30, -20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19394, -4998], [40, -40], [0, 0]], [[0, 0], [-200250670/11, 577125605/11], [-1602079/11, -917/11], [27/11, -4/11]], [[0, 0], [-39503550452/11, 87364583304/11], [-256090504/11, 20663442/11], [4368/11, -938/11]]], 0, 14400, [], [] >,
< [ -1, -1, 1 ], [[880, -960]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43/3, 26/3], [12, -14], [0, 0]], [[0, 0], [-13, 55/6], [49/2, -3/2], [1/12, 0]], [[0, 0], [7/3, -4/3], [-2, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/3, -2/3], [-18, -4], [0, 0]], [[0, 0], [1/2, -1], [-92, 113/2], [1/4, -1/4]], [[0, 0], [1/6, 4/3], [59, -71/2], [-1/12, 1/4]]], 0, 14400, [], [] >,
< [ -1, -1, 1 ], [[880, -960]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20/3, 10/3], [-26, 12], [0, 0]], [[0, 0], [118/3, -151/6], [271/2, -177/2], [1/4, 0]], [[0, 0], [67/3, -23/2], [159/2, -73/2], [-1/12, -1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/3, 2/3], [-34, 18], [0, 0]], [[0, 0], [-41/6, 17/6], [-629/2, 164], [-13/6, -1/4]], [[0, 0], [49/3, 34/3], [535, 135], [25/2, 50/3]]], 0, 14400, [], [] >,
< [ -1, -1, 1 ], [[-1040, 80]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 14], [-12, 4], [0, 0]], [[0, 0], [-185/2, 68/13], [-28, 7/2], [3/26, -5/26]], [[0, 0], [-901/13, 1932/13], [-24, 43], [5/13, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -13], [-3, -4], [0, 0]], [[0, 0], [2336/13, -3039/26], [9/2, -3/2], [-3/26, 0]], [[0, 0], [-725/2, 2785/13], [-7, 13/2], [3/26, -5/26]]], 0, 14400, [], [] >,
< [ -1, -1, 1 ], [[-1040, 80]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -11], [5, -5], [0, 0]], [[0, 0], [-74/13, -271/26], [1/2, -7/2], [-1/26, -1/13]], [[0, 0], [-3, 1], [-7, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 3], [-3, 6], [0, 0]], [[0, 0], [123/26, -519/13], [-25, 25/2], [19/26, -3/26]], [[0, 0], [1766/13, -519/13], [-129, 83], [40/13, -30/13]]], 0, 14400, [], [] >,
< [ -1, -1, 1 ], [[6560, -1520]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20/3, -5], [138, -66], [0, 0]], [[0, 0], [121/6, -28/3], [394, -1071/2], [-1/12, 5/12]], [[0, 0], [31, -97/6], [1439/2, -1443/2], [-1/4, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, -32/3], [-20, 50], [0, 0]], [[0, 0], [-635/6, 415/6], [341/2, -651], [0, 5/12]], [[0, 0], [-131/3, 53/2], [375/2, -85/2], [-1/12, 0]]], 0, 460800, [], [] >,
< [ -1, -1, 1 ], [[6560, -1520]], [ -432, -36 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26/3, 17/3], [-252, 134], [0, 0]], [[0, 0], [709/6, -80], [3901, -3819/2], [-5/12, 1/4]], [[0, 0], [-12, -28/3], [406, 938], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7/3, 5/3], [-162, 64], [0, 0]], [[0, 0], [-535/6, 179/3], [-5966, 6239/2], [7/4, 1/4]], [[0, 0], [-68/3, -8], [430, 2490], [-8/3, -14/3]]], 0, 460800, [], [] >,
< [ -1, -1, 1 ], [[-3520, 5040]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [688, -6], [-1188, -4], [0, 0]], [[0, 0], [-624813/26, -1807123/26], [85885/2, 122050], [1/13, -5/26]], [[0, 0], [4340256/13, 38906067/26], [-1214441/2, -5247953/2], [-81/26, 63/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-267, 29], [413, 4], [0, 0]], [[0, 0], [556818/13, -245929/2], [-83289/2, 419303/2], [-1/26, 1/13]], [[0, 0], [-2968626/13, 12554489/26], [515897/2, -1621519/2], [5/26, -4/13]]], 0, 460800, [], [] >,
< [ -1, -1, 1 ], [[-3520, 5040]], [ -338, 26 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-117, -1], [207, -4], [0, 0]], [[0, 0], [-17998/13, -432953/13], [797, 57241], [1/13, 0]], [[0, 0], [7166204/13, 6235953/26], [-1928107/2, -770691/2], [21/26, -17/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [161, -2], [-168, 1], [0, 0]], [[0, 0], [-656338/13, 2633/26], [105605/2, 485/2], [-19/26, -1/13]], [[0, 0], [100989289/26, -69111375/13], [-4025595, 11139995/2], [1247/26, -2059/26]]], 0, 460800, [], [] >,
< [ -1, -1, 1 ], [[-4720, 5040]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1620, -20], [1762, 6], [0, 0]], [[0, 0], [-14, -1], [-133, 1], [1, 0]], [[0, 0], [-39710, 42240], [43602, -45924], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8920, 60], [-684, -2], [0, 0]], [[0, 0], [7475817471/11, 200161255/11], [-573228751/11, -13125278/11], [-26/11, 1/11]], [[0, 0], [-228374183102/11, 264046073222/11], [17589496676/11, -20238167082/11], [854/11, -912/11]]], 0, 403200, [], [] >,
< [ -1, -1, 1 ], [[5360, -320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, 106], [1650, 40], [0, 0]], [[0, 0], [142, 1], [-49, -1], [1, 0]], [[0, 0], [-5474, 448], [3540, -81420], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [550, 110], [-1010, 30], [0, 0]], [[0, 0], [-149525620/11, -35413020/11], [271093864/11, 606758/11], [-58/11, -2/11]], [[0, 0], [-217595967/11, -28078901/11], [402955489/11, -35194264/11], [-86/11, 5/11]]], 0, 403200, [], [] >,
< [ -1, -1, 1 ], [[-3280, 3360]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, -30], [-906, -8], [0, 0]], [[0, 0], [42, -3], [77, 1], [1, 0]], [[0, 0], [0, 0], [-4, 18], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-870, 20], [676, -2], [0, 0]], [[0, 0], [-86, 3], [77, 1], [1, 0]], [[0, 0], [-229100, 235420], [174346, -183112], [0, 0]]], 0, 172800, [], [] >,
< [ -1, -1, 1 ], [[3440, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, 24], [-800, -30], [0, 0]], [[0, 0], [-8, 1], [-83, -3], [1, 0]], [[0, 0], [-1504, 88], [-16510, -6350], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, -10], [810, -10], [0, 0]], [[0, 0], [-8, 1], [39, 3], [1, 0]], [[0, 0], [-362, 4], [-6120, -1360], [0, 0]]], 0, 172800, [], [] >,
< [ -1, -1, 1 ], [[-380, 460]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [358424755/751, 16770/751], [204812/751, 1/751], [0, 0]], [[0, 0], [-1576700609840211/1502, 1261395960358449/1502], [-450496272182/751, 360398845774/751], [-1173/1502, 1/751]], [[0, 0], [-26982095542117292586/751, 18235652602177821505/751], [-15418615468287834/751, 10420473202411008/751], [-15551458/751, 5681385/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10360020/751, -9770/751], [-5139/751, 3/751], [0, 0]], [[0, 0], [723218955889/16522, 25730134784/8261], [-179454606/8261, -12819943/8261], [-1561/8261, -3/16522]], [[0, 0], [-1831023063200711/8261, 602911125843596/8261], [908578193656/8261, -299036527852/8261], [8112576/8261, -2963910/8261]]], 1, 3600, [], [] >,
< [ -1, -1, 1 ], [[-1520, 1840]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, -6], [380, -20], [0, 0]], [[0, 0], [32, 1], [-31, 3], [1, 0]], [[0, 0], [232, -304], [-1690, 1820], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-358, -244], [70, -50], [0, 0]], [[0, 0], [-3648/11, 30376/11], [1876/11, -350/11], [38/11, -2/11]], [[0, 0], [-99040/11, -10225/11], [5341/11, -5355/11], [93/11, -112/11]]], 0, 57600, [], [] >,
< [ -1, -1, 1 ], [[540, -80]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25085850/751, 12505/751], [49865/751, 5/751], [0, 0]], [[0, 0], [-1063314724666/751, 2832523795823/1502], [2111983022/751, -2815629582/751], [1591/1502, 2/751]], [[0, 0], [45458681001011229/1502, -12082906858848174/751], [-45166833315410/751, 24005738166070/751], [-16762111/1502, 12914737/1502]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3285771413/751, -57834/751], [211661/751, 3/751], [0, 0]], [[0, 0], [-5985778595767281/16522, 399757603241291/16522], [192794781324/8261, -12876190091/8261], [-10829/8261, -3/16522]], [[0, 0], [-128039926501824507298/8261, 95687131034528262272/8261], [8248041186908008/8261, -6163940909857935/8261], [-440561533/8261, 339450390/8261]]], 1, 3600, [], [] >,
< [ -1, -1, 1 ], [[2160, -320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, 10], [8, -46], [0, 0]], [[0, 0], [-28, -3], [-33, 1], [1, 0]], [[0, 0], [-110, 110], [-80, 20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5110, -590], [522, -4], [0, 0]], [[0, 0], [-81922969/11, 64379127/11], [-7673607/11, 6449134/11], [10/11, 3/11]], [[0, 0], [6987081614/11, -4733572634/11], [664066432/11, -461970684/11], [-604/11, 96/11]]], 0, 57600, [], [] >,
< [ -1, -1, 1 ], [[-540, 180]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99/2, 21], [63/2, 9/2], [0, 0]], [[0, 0], [87/2, 389/2], [3, 203/2], [1, 1]], [[0, 0], [-327/2, 49/2], [-117, 73/2], [1/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33/2, 9/2], [-15, 15/2], [0, 0]], [[0, 0], [-39, 43/2], [123/2, -43], [-5/2, 1/2]], [[0, 0], [17, -33/2], [-77/2, 12], [0, -5/2]]], 1, 2400, [], [] >,
< [ -1, -1, 1 ], [[-540, 180]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, 111/2], [39/2, 6], [0, 0]], [[0, 0], [2009/2, 1381], [959/2, 1667/2], [1, -5/2]], [[0, 0], [-387, -2337/2], [-825/2, -540], [9/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39, 39/2], [57/2, 3], [0, 0]], [[0, 0], [-369/2, -10], [-357/2, 109/2], [2, -5/2]], [[0, 0], [411, 892], [111, 448], [7, 7]]], 1, 2400, [], [] >,
< [ -1, -1, 1 ], [[5040, -2880]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-210, 120], [-12, -36], [0, 0]], [[0, 0], [-8, -3], [1, 3], [1, 0]], [[0, 0], [480, -300], [-30, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-510, 330], [-18, 6], [0, 0]], [[0, 0], [4, 3], [1, 3], [1, 0]], [[0, 0], [30, 0], [0, 0], [0, 0]]], 0, 38400, [], [] >,
< [ -1, -1, 1 ], [[100, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21/2, 6], [-15/2, 5/2], [0, 0]], [[0, 0], [-34, 39/2], [-51/2, 1], [-1/2, 1/2]], [[0, 0], [-7, 4], [-5, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -27/2], [1/2, -1], [0, 0]], [[0, 0], [-2, -11], [0, 0], [11/2, -1]], [[0, 0], [-4, -2], [0, 0], [-5/2, 5/2]]], 1, 150, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, 60], [10, -2], [0, 0]], [[0, 0], [-234, 32], [-72, 40], [0, -6]], [[0, 0], [-204, 242], [-96, 64], [6, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -52], [10, -2], [0, 0]], [[0, 0], [990, 1410], [-210, 14], [-2, -6]], [[0, 0], [1302, -44], [-1792, 1064], [12, -10]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -34], [-6, -4], [0, 0]], [[0, 0], [-32, -6], [-18, 10], [-6, 0]], [[0, 0], [-18, -54], [8, -8], [-2, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -42], [4, -2], [0, 0]], [[0, 0], [-114, -132], [0, 0], [4, -2]], [[0, 0], [32, 48], [0, 0], [0, 0]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 80], [-8, -8], [0, 0]], [[0, 0], [-154, -56], [8, 20], [4, 2]], [[0, 0], [-422, 222], [-12, 14], [8, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, -68], [2, 6], [0, 0]], [[0, 0], [470, -206], [28, -20], [6, 4]], [[0, 0], [782, -598], [58, -32], [0, -10]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[-768, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -36], [-40, 8], [0, 0]], [[0, 0], [-24, -102], [-58, -18], [2, -4]], [[0, 0], [70, -158], [-170, 52], [12, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 48], [-4, 16], [0, 0]], [[0, 0], [144, 110], [70, -2], [-2, 0]], [[0, 0], [-104, 88], [-108, 72], [0, 0]]], 0, 6144, [], [] >,
< [ -1, -1, 1 ], [[-768, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -84], [-12, -4], [0, 0]], [[0, 0], [-132, -438], [-62, -82], [-2, 0]], [[0, 0], [-4, 148], [20, 20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -4], [-4, 16], [0, 0]], [[0, 0], [-36, -6], [-30, -46], [-6, -4]], [[0, 0], [-94, 56], [-4, 2], [-10, 6]]], 0, 6144, [], [] >,
< [ -1, -1, 1 ], [[64, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -18], [6, 8], [0, 0]], [[0, 0], [2, -1], [-1, 1], [1, 0]], [[0, 0], [-24, 16], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -16], [16, 8], [0, 0]], [[0, 0], [-2, -1], [-1, 1], [1, 0]], [[0, 0], [-20, 14], [-2, 4], [0, 0]]], 0, 384, [], [] >,
< [ -1, -1, 1 ], [[-192, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, 40], [-42, -6], [0, 0]], [[0, 0], [-2, 3], [-1, 1], [1, 0]], [[0, 0], [-1400, 912], [-448, 416], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -12], [-48, -4], [0, 0]], [[0, 0], [-2, 3], [-1, 1], [1, 0]], [[0, 0], [722, -402], [-500, 250], [0, 0]]], 0, 384, [], [] >,
< [ -1, -1, 1 ], [[-192, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 46], [-26, -8], [0, 0]], [[0, 0], [-2, -1], [-1, 1], [1, 0]], [[0, 0], [280, -152], [-112, 64], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -10], [-28, 6], [0, 0]], [[0, 0], [2, 3], [-1, 1], [1, 0]], [[0, 0], [-2, 2], [-8, 6], [0, 0]]], 0, 384, [], [] >,
< [ -1, -1, 1 ], [[-24, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 11], [-5, 10], [0, 0]], [[0, 0], [16, 31/2], [-137/2, 95/2], [3/2, 1]], [[0, 0], [315/2, -67/2], [-3919/2, 1224], [20, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, -8], [-1, 7], [0, 0]], [[0, 0], [-5/2, -3], [-3, 13/2], [-3/2, -1/2]], [[0, 0], [-3/2, -7/2], [11/2, 1], [0, -3/2]]], 1, 8, [], [] >,
< [ -1, -1, 1 ], [[576, -192]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 12], [0, -4], [0, 0]], [[0, 0], [-120, 76], [-2, -30], [0, 2]], [[0, 0], [504, -310], [-64, 8], [22/5, -4/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 36], [0, 8], [0, 0]], [[0, 0], [-19924/11, 988/11], [-442/11, 204/11], [-398/55, 6/55]], [[0, 0], [810268/11, -428034/11], [21712/11, -12974/11], [15904/55, -8288/55]]], 0, 2048, [], [] >,
< [ -1, -1, 1 ], [[576, -192]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -26], [0, -20], [0, 0]], [[0, 0], [-69, 35], [-48, 48], [-2, -1]], [[0, 0], [-16, 2], [-12/5, 104/5], [-6/5, -8/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-260, -100], [-12, -16], [0, 0]], [[0, 0], [-482780/11, 263750/11], [-36512/55, 2264/55], [-96/55, 2/55]], [[0, 0], [2012814/11, -1076705/11], [31520/11, 128/11], [83/11, 4/11]]], 0, 3072, [], [] >,
< [ -1, -1, 1 ], [[768, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -32], [24, -8], [0, 0]], [[0, 0], [-486, 282], [370, -224], [8, -10]], [[0, 0], [2, 2], [-2, -4], [4, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [148, -44], [-20, 16], [0, 0]], [[0, 0], [-162, -328], [-8, 2], [2, 6]], [[0, 0], [-80, 314], [46, -26], [6, -8]]], 0, 10240, [], [] >,
< [ -1, -1, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 56], [4, -8], [0, 0]], [[0, 0], [-2, 5], [1, 1], [1, 0]], [[0, 0], [-16, 28], [4, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-752, 76], [-16, 8], [0, 0]], [[0, 0], [-95538/11, -81600/11], [-1252/11, -182/11], [58/11, 2/11]], [[0, 0], [-1885/11, 485/11], [-45/11, 14/11], [4/11, -1/11]]], 0, 640, [], [] >,
< [ -1, -1, 1 ], [[384, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 20], [36, -132], [0, 0]], [[0, 0], [2, 1], [17, 5], [1, 0]], [[0, 0], [-60, 300], [-168, -2184], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-244, -40], [12, 36], [0, 0]], [[0, 0], [-1503/11, 549/11], [-7597/11, 824/11], [34/11, -3/11]], [[0, 0], [-8763/11, 3959/11], [-42159/11, 11186/11], [188/11, -47/11]]], 0, 3840, [], [] >,
< [ -1, -1, 1 ], [[-1536, 1792]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -16], [0, -8], [0, 0]], [[0, 0], [-660/19, -568/19], [4, 0], [-8/95, -4/95]], [[0, 0], [-568/19, 234/19], [9, -5], [-2/19, 1/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 8], [-16, 16], [0, 0]], [[0, 0], [-1166/19, -538/19], [-21, 10], [11/95, 3/95]], [[0, 0], [188/19, -154/19], [7, -5], [-4/95, 3/95]]], 0, 40960, [], [] >,
< [ -1, -1, 1 ], [[-384, 448]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 4], [-20, 20], [0, 0]], [[0, 0], [17/19, -22/19], [31, 101/2], [-1/190, 1/95]], [[0, 0], [0, 0], [0, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8564/11, -348/11], [-148/11, 4/11], [0, 0]], [[0, 0], [8714/19, 10475/19], [-7/2, -21/2], [7/95, -3/190]], [[0, 0], [-118293/209, -118957/209], [69/22, 133/11], [-21/190, 7/190]]], 0, 2560, [], [] >,
< [ -1, -1, 1 ], [[-384, 448]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [261476/751, -12044/751], [-484/751, 12/751], [0, 0]], [[0, 0], [119725108/751, 55203231/751], [-215510/751, -106202/751], [1591/751, 4/751]], [[0, 0], [83720584086/751, -132082346434/751], [-142896752/751, 237180236/751], [1945650/751, -1816416/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90455074/751, 63056/751], [17540/751, 12/751], [0, 0]], [[0, 0], [-1201047349323670/8261, 3686381598433/8261], [-232894220978/8261, 717867142/8261], [21359/8261, -2/8261]], [[0, 0], [187179646983169311937/8261, -174324813048839122517/8261], [36296311335183682/8261, -33803229461988828/8261], [-3319513488/8261, 3099476681/8261]]], 0, 3840, [], [] >,
< [ -1, -1, 1 ], [[-768, 192]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1412924/751, 28028/751], [9852/751, 4/751], [0, 0]], [[0, 0], [20418940440/751, -14680531793/751], [144361538/751, -103156474/751], [4175/751, 2/751]], [[0, 0], [41910737252396/751, -22607016319256/751], [295316589076/751, -160233073948/751], [3876250/751, -6524504/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1581020/751, -9494/751], [10336/751, -8/751], [0, 0]], [[0, 0], [36739052902/8261, 4945078891/8261], [237102834/8261, 33738790/8261], [-4837/8261, 2/8261]], [[0, 0], [-4790461277644/8261, 11077445059290/8261], [-30394729496/8261, 71703859532/8261], [817336/8261, -1382082/8261]]], 0, 6400, [], [] >,
< [ -1, -1, 1 ], [[1024, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-116, -24], [0, 20], [0, 0]], [[0, 0], [-120, -462], [78, 70], [10, -4]], [[0, 0], [1186, 4018], [-666, -636], [-80, 30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 56], [4, 8], [0, 0]], [[0, 0], [-516, 198], [14, 18], [10, 4]], [[0, 0], [-8464, 5894], [-26, -130], [78, -104]]], 0, 12288, [], [] >,
< [ -1, -1, 1 ], [[1024, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, -128], [8, 0], [0, 0]], [[0, 0], [-1002, -634], [14, 88], [8, 2]], [[0, 0], [6824, -1502], [278, -382], [-70, 28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -232], [16, -20], [0, 0]], [[0, 0], [-3028, 7046], [-790, 722], [-6, 0]], [[0, 0], [6840, 410], [894, -342], [2, -4]]], 0, 12288, [], [] >,
< [ -1, -1, 1 ], [[-256, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-320, -66], [2, 8], [0, 0]], [[0, 0], [38, 1], [1, 1], [1, 0]], [[0, 0], [104, -98], [2, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [480, -98], [-10, 8], [0, 0]], [[0, 0], [-34, -3], [1, 1], [1, 0]], [[0, 0], [-2088, 5568], [128, -40], [0, 0]]], 0, 768, [], [] >,
< [ -1, -1, 1 ], [[-256, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [166, -68], [-2, -6], [0, 0]], [[0, 0], [38, 1], [1, 1], [1, 0]], [[0, 0], [-1298, 832], [-14, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-370, -46], [-4, 2], [0, 0]], [[0, 0], [-34, -3], [1, 1], [1, 0]], [[0, 0], [-24, -16], [0, 0], [0, 0]]], 0, 768, [], [] >,
< [ -1, -1, 1 ], [[-256, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [512, 30], [6, 0], [0, 0]], [[0, 0], [38, 1], [1, 1], [1, 0]], [[0, 0], [4880, -1158], [58, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [158, -44], [-2, -6], [0, 0]], [[0, 0], [-34, -3], [1, 1], [1, 0]], [[0, 0], [1460, -948], [16, -4], [0, 0]]], 0, 768, [], [] >,
< [ -1, -1, 1 ], [[-32, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -1], [1, 0], [0, 0]], [[0, 0], [-229/2, 109/2], [3/2, 3], [0, 3/2]], [[0, 0], [1455/2, -469], [4, 5/2], [11/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -1], [1, 0], [0, 0]], [[0, 0], [225/2, -201/2], [5/2, 5], [0, 5/2]], [[0, 0], [467, -262], [-4, -3], [-5, 1]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[-384, 448]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 1], [1, 0], [0, 0]], [[0, 0], [10, 40], [0, 0], [-4, -4]], [[0, 0], [-126, 60], [0, 0], [-12, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 9], [1, 0], [0, 0]], [[0, 0], [-2251/11, -969/11], [-186/11, -3/11], [124/11, 2/11]], [[0, 0], [1495/11, 24390/11], [-531/11, 1593/11], [354/11, -1062/11]]], 0, 3072, [], [] >,
< [ -1, -1, 1 ], [[-384, 448]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, -44], [-64, 28], [0, 0]], [[0, 0], [6, 1], [5, 1], [1, 0]], [[0, 0], [-688, -8044], [1368, -1476], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 116], [-16, -28], [0, 0]], [[0, 0], [14620/11, -12081/11], [2663/11, -91/11], [41/11, -2/11]], [[0, 0], [-182607/11, 216600/11], [-51850/11, -20923/11], [-793/11, -305/11]]], 0, 4608, [], [] >,
< [ -1, -1, 1 ], [[-2048, 256]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -26], [10, 2], [0, 0]], [[0, 0], [2636/7, -113/7], [277, 363], [-39/77, -4/77]], [[0, 0], [18008/7, -9776/7], [552, 136], [-248/77, 128/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 6], [-6, -4], [0, 0]], [[0, 0], [-12, -103/7], [-5, -11], [-17/77, -4/77]], [[0, 0], [138/7, -38/7], [-6, 8], [72/77, -40/77]]], 0, 40960, [], [] >,
< [ -1, -1, 1 ], [[-512, 64]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -8], [-8, 0], [0, 0]], [[0, 0], [54/7, 5/14], [15/2, 13/2], [5/154, -2/77]], [[0, 0], [-2, 0], [0, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-246, -10], [-10, 8], [0, 0]], [[0, 0], [2492827/154, 3571956/77], [-9261/11, -2511/22], [-5/154, 1/154]], [[0, 0], [-663524/11, -52203727/154], [188403/22, -23307/22], [5/14, -10/77]]], 0, 2560, [], [] >,
< [ -1, -1, 1 ], [[-512, 64]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2039282/751, -1984/751], [-16336/751, -8/751], [0, 0]], [[0, 0], [8928157418/751, -598869623/751], [-71511962/751, 4700592/751], [447/751, 5/751]], [[0, 0], [-1602955616940/751, 1594024943610/751], [12821963196/751, -12768816376/751], [-73980/751, 80220/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26523384/751, -10032/751], [13332/751, 8/751], [0, 0]], [[0, 0], [-28138881913843/8261, 797760194133/8261], [14148141760/8261, -397903178/8261], [21357/8261, 2/8261]], [[0, 0], [-27982195641251650/751, 29326545881224127/751], [14066009590534/751, -14745550998872/751], [20603577/751, -22306803/751]]], 0, 3840, [], [] >,
< [ -1, -1, 1 ], [[-384, 576]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1845090/751, -24570/751], [14648/751, 16/751], [0, 0]], [[0, 0], [140002528/751, 10408911949/751], [-71498/751, -81633112/751], [2793/751, 1/751]], [[0, 0], [-73625827107378/751, -44709355214390/751], [580409230140/751, 343337436140/751], [8128600/751, -19869480/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67800180/751, 48036/751], [15492/751, 12/751], [0, 0]], [[0, 0], [-19238591709198/8261, 2402812416945/8261], [-4392435074/8261, 548687988/8261], [-44427/8261, -3/8261]], [[0, 0], [-10946517550824698/8261, 19015619896874254/8261], [-2499339620476/8261, 4341468886852/8261], [-19353072/8261, 47418616/8261]]], 0, 6400, [], [] >,
< [ -1, -1, 1 ], [[704, 0]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2188314/751, 10486/751], [3476/751, 12/751], [0, 0]], [[0, 0], [-380754014/751, 46625109/751], [-599934/751, 73480/751], [-633/751, 3/751]], [[0, 0], [-10346424214/751, 11297097922/751], [-16302772/751, 17800124/751], [-14926/751, 19312/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [211133570/751, 98112/751], [16336/751, 8/751], [0, 0]], [[0, 0], [-7609330467244984/14269, 31013644243528/14269], [-30987294136/751, 125525532/751], [18868/14269, -4/14269]], [[0, 0], [37670025220123904889/14269, -48490582116207576793/14269], [153397825946268/751, -197468156062858/751], [-92941125/14269, 120342630/14269]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[512, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 92], [-4, 12], [0, 0]], [[0, 0], [2344, 322], [638, -250], [6, -8]], [[0, 0], [-260, 2586], [-410, 450], [-10, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, -72], [8, 12], [0, 0]], [[0, 0], [-38, -42], [-2, -8], [4, -6]], [[0, 0], [50, -74], [-10, 0], [-20, 10]]], 0, 12288, [], [] >,
< [ -1, -1, 1 ], [[512, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 92], [-24, -24], [0, 0]], [[0, 0], [-322, 28], [-16, 82], [2, 6]], [[0, 0], [-1494, 754], [-246, 224], [-4, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 48], [-16, -4], [0, 0]], [[0, 0], [-202, -158], [-14, 20], [-8, -6]], [[0, 0], [576, -184], [120, -80], [24, -8]]], 0, 12288, [], [] >,
< [ -1, -1, 1 ], [[-128, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-124, -92], [-8, 4], [0, 0]], [[0, 0], [-26, -3], [1, 1], [1, 0]], [[0, 0], [-780, -1526], [14, -20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-406, 28], [-2, -10], [0, 0]], [[0, 0], [30, 1], [1, 1], [1, 0]], [[0, 0], [18708, -9608], [-132, 180], [0, 0]]], 0, 768, [], [] >,
< [ -1, -1, 1 ], [[-128, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-440, -32], [-8, 0], [0, 0]], [[0, 0], [-26, -3], [1, 1], [1, 0]], [[0, 0], [1086, -1676], [22, -30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-124, -78], [-10, 4], [0, 0]], [[0, 0], [30, 1], [1, 1], [1, 0]], [[0, 0], [-604, -1512], [28, -44], [0, 0]]], 0, 768, [], [] >,
< [ -1, -1, 1 ], [[-128, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, 38], [-6, -8], [0, 0]], [[0, 0], [-26, -3], [1, 1], [1, 0]], [[0, 0], [-2470, 1572], [-10, 14], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [272, 46], [10, 4], [0, 0]], [[0, 0], [30, 1], [1, 1], [1, 0]], [[0, 0], [7510, -7592], [210, -270], [0, 0]]], 0, 768, [], [] >,
< [ -1, -1, 1 ], [[-16, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -1], [1, 0], [0, 0]], [[0, 0], [99/2, 61/2], [-1/2, -1], [0, -1/2]], [[0, 0], [20, -8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -1], [1, 0], [0, 0]], [[0, 0], [-101, -93/2], [-5/2, -9/2], [-1/2, -2]], [[0, 0], [-2189/2, 467/2], [-15/2, -20], [5, -25/2]]], 1, 12, [], [] >,
< [ -1, -1, 1 ], [[-512, 64]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 1], [1, 0], [0, 0]], [[0, 0], [-20, 14], [0, 0], [10, -2]], [[0, 0], [10, -2], [0, 0], [0, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 5], [1, 0], [0, 0]], [[0, 0], [2342/11, -4/11], [12/11, 4/11], [-24/11, -8/11]], [[0, 0], [165, 106], [1, 1], [-2, -2]]], 0, 3072, [], [] >,
< [ -1, -1, 1 ], [[-512, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-716, 132], [-12, 8], [0, 0]], [[0, 0], [90, 1], [1, 1], [1, 0]], [[0, 0], [24, 52], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [820, -100], [16, 0], [0, 0]], [[0, 0], [121787/11, 13323/11], [2389/11, 668/11], [-2/11, 3/11]], [[0, 0], [596, -1332], [8, -28], [0, 0]]], 0, 4608, [], [] >,
< [ -1, -1, 1 ], [[704, 0]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4633340/751, -6972/751], [-18380/751, -16/751], [0, 0]], [[0, 0], [194600498121/751, -7325908786/751], [772041288/751, -29535794/751], [-2043/751, 1/751]], [[0, 0], [393238712548232/751, -84320782320534/751], [1560276787204/751, -335298112452/751], [-4100170/751, 761122/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-422954646/751, -128180/751], [12856/751, 4/751], [0, 0]], [[0, 0], [-23698054341105903/14269, -53428370331716/14269], [720320607624/14269, 1629905342/14269], [40675/14269, -3/14269]], [[0, 0], [410121906935406247158/14269, -75315532050767413267/14269], [-12465952160787910/14269, 2289190248900742/14269], [-704231341/14269, 130606146/14269]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[-320, 64]], [ -238, -36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 0], [4, -12], [0, 0]], [[0, 0], [59114/29, -92135/29], [4840, 102], [110/29, 1/29]], [[0, 0], [23143569/29, -21444674/29], [1261730, -382500], [28785/29, -8930/29]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1042/29, -242/29], [0, -16], [0, 0]], [[0, 0], [-2919375/319, 3805221/319], [60194/11, -490/11], [-859/319, 3/319]], [[0, 0], [125989714/319, -110346754/319], [-1879208/11, 565480/11], [26780/319, -7982/319]]], 0, 1152, [], [] >,
< [ -1, -1, 1 ], [[-448, 576]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 0], [20, -12], [0, 0]], [[0, 0], [43226034/2759, 96834/2759], [-153723/7, -5/7], [13162/96565, 1/96565]], [[0, 0], [-1350412628/2759, 224437028/2759], [4804200/7, -806980/7], [-82268/19313, 13816/19313]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, 96], [16, 12], [0, 0]], [[0, 0], [50398403128/30349, -1517988/30349], [18050434/77, -634/77], [249576/1062215, -2/1062215]], [[0, 0], [150032880/30349, -110253046/30349], [53734/77, -5641/11], [743/1062215, -78/151745]]], 0, 4608, [], [] >,
< [ -1, -1, 1 ], [[1280, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -116], [0, 16], [0, 0]], [[0, 0], [-926, 636], [132, -114], [6, 10]], [[0, 0], [-3140, 1936], [480, -296], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, 152], [-8, -12], [0, 0]], [[0, 0], [-642, 426], [2, 0], [4, -2]], [[0, 0], [-88, 48], [0, 0], [0, 0]]], 0, 20480, [], [] >,
< [ -1, -1, 1 ], [[-320, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 0], [8, -4], [0, 0]], [[0, 0], [14, 1], [1, 1], [1, 0]], [[0, 0], [16, 12], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1892, -12], [8, 0], [0, 0]], [[0, 0], [-3704306/11, 38668/11], [-15984/11, 58/11], [-30/11, 2/11]], [[0, 0], [-36040159/11, 5297713/11], [-155365/11, 21948/11], [-294/11, 57/11]]], 0, 1280, [], [] >,
< [ -1, -1, 1 ], [[-448, 576]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 1], [1, 0], [0, 0]], [[0, 0], [60, 16], [0, 0], [-4, -6]], [[0, 0], [56, -34], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-200, 1], [1, 0], [0, 0]], [[0, 0], [15089/11, 1219/11], [4/11, -1/11], [-8/11, 2/11]], [[0, 0], [-28, -2], [0, 0], [0, 0]]], 0, 5120, [], [] >,
< [ -1, -1, 1 ], [[-960, 192]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 66], [0, 20], [0, 0]], [[0, 0], [113, -125], [-252/5, 44/5], [-16/5, -3/5]], [[0, 0], [1712, -828], [-2172/5, 1804/5], [-96/5, 112/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1244, -400], [4, 16], [0, 0]], [[0, 0], [41055068/11, -40655491/11], [1971496/55, 19528/55], [-247/55, 4/55]], [[0, 0], [-18551203430/11, 8092654958/11], [-382403396/55, 509549692/55], [49572/55, -63444/55]]], 0, 10240, [], [] >,
< [ -1, -1, 1 ], [[192, -256]], [ -274, 36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [214/29, 8/29], [8, 20], [0, 0]], [[0, 0], [-324350/29, 232873/29], [9708, -198], [34/29, 1/29]], [[0, 0], [6534990/29, -3562131/29], [-94552, 143766], [-306/29, 513/29]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [49666/319, 3066/319], [128/11, 12/11], [0, 0]], [[0, 0], [-144310919/319, 3676721/319], [-370394/11, -1402/11], [25/29, 5/29]], [[0, 0], [-239620180/319, 288801460/319], [-593220/11, 745616/11], [30/29, -52/29]]], 0, 1152, [], [] >,
< [ -1, -1, 1 ], [[704, -128]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-156/11, -596/33], [-4/11, -4/33], [0, 0]], [[0, 0], [6362/33, -688/33], [-113/33, -23/33], [-21/55, 1/165]], [[0, 0], [313198/33, -318646/33], [-3772/33, 5911/33], [-2806/165, 3197/165]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-476/11, -1312/33], [-28/11, 16/33], [0, 0]], [[0, 0], [322, 147376/33], [-239, 7487/33], [1/15, 1/55]], [[0, 0], [-351320/33, 12556/33], [-41980/33, 22472/33], [8/55, -28/165]]], 0, 4608, [], [] >,
< [ -1, -1, 1 ], [[-768, 1024]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, 28], [-16, 16], [0, 0]], [[0, 0], [272, -198], [42, -10], [-6, 0]], [[0, 0], [-204, 110], [-18, 22], [2, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-224, 100], [4, -4], [0, 0]], [[0, 0], [88, -466], [2, -6], [10, -8]], [[0, 0], [292, 52], [4, 0], [8, -4]]], 0, 20480, [], [] >,
< [ -1, -1, 1 ], [[192, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 16], [8, 0], [0, 0]], [[0, 0], [-2, 1], [1, 1], [1, 0]], [[0, 0], [28, 0], [-4, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-724, -20], [16, 0], [0, 0]], [[0, 0], [-367306/11, -23679/11], [4781/11, 265/11], [61/11, 4/11]], [[0, 0], [-10895101/11, 14224542/11], [143460/11, -184871/11], [1807/11, -2363/11]]], 0, 1280, [], [] >,
< [ -1, -1, 1 ], [[704, -128]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 1], [1, 0], [0, 0]], [[0, 0], [-10, -32], [0, 0], [8, 0]], [[0, 0], [36, 48], [0, 0], [-2, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5596/11, -1087/11], [-19/11, 2/11], [0, 0]], [[0, 0], [994944, 339730], [3252, 36], [8, -8]], [[0, 0], [-50103244/11, -30474234/11], [-151980/11, -37740/11], [-26, 34]]], 0, 5120, [], [] >,
< [ -1, -1, 1 ], [[576, -768]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, -22], [-4, -8], [0, 0]], [[0, 0], [-382, 93], [-40, 0], [5, 0]], [[0, 0], [-28, -37], [-24/5, -32/5], [3/5, 4/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2578, -4], [-16, 20], [0, 0]], [[0, 0], [-89650398/11, 439464988/11], [19836856/55, -46152/55], [138/55, 4/55]], [[0, 0], [-445508026, 915176375], [49333372/5, -10141784/5], [341/5, -62/5]]], 0, 10240, [], [] >,
< [ -1, -1, 1 ], [[384, -64]], [ -938, -8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -2], [2, 6], [0, 0]], [[0, 0], [53996012/7649, 44893/7649], [9908, -23], [9916/7649, -3/7649]], [[0, 0], [-11467066304/7649, 7447526513/7649], [-2108460, 1368911], [-2107400/7649, 1368525/7649]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -28], [10, 0], [0, 0]], [[0, 0], [98423295304/84139, -1845625/84139], [-985026/11, -215/11], [-197080/84139, 1/84139]], [[0, 0], [240711282/84139, 425989053/84139], [-2410/11, -4265/11], [-482/84139, -853/84139]]], 0, 1792, [], [] >,
< [ -1, -1, 1 ], [[384, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-672, -4], [20, 8], [0, 0]], [[0, 0], [-18, 1], [1, 1], [1, 0]], [[0, 0], [-66704, 25772], [1680, -288], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4340, -356], [8, 4], [0, 0]], [[0, 0], [-149628837/11, 56321030/11], [-223624/11, -755/11], [-37/11, 1/11]], [[0, 0], [-56933148858/11, 25214098402/11], [-80631042/11, 11502856/11], [-13400/11, 2250/11]]], 0, 1920, [], [] >,
< [ -1, -1, 1 ], [[512, -704]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 1], [1, 0], [0, 0]], [[0, 0], [54, -6], [0, 0], [8, 6]], [[0, 0], [66, -44], [0, 0], [4, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40797/11, -5132/11], [-9/11, 5/11], [0, 0]], [[0, 0], [-1052, -1414], [0, 0], [2, 6]], [[0, 0], [-1560, 7268], [0, 0], [-52, 10]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[-256, 320]], [ -946, 8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 8], [-2, 6], [0, 0]], [[0, 0], [219335795/7649, 551729/7649], [40429, 59], [40509/7649, 3/7649]], [[0, 0], [92361/7649, 532434/7649], [17, 98], [17/7649, 98/7649]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 10], [10, 0], [0, 0]], [[0, 0], [294572819925/84139, -1416280/84139], [398019/11, -282/11], [398217/84139, 4/84139]], [[0, 0], [-1801824745187946/84139, 861233835755696/84139], [-2435396796/11, 1164570706/11], [-2435771742/84139, 1164236372/84139]]], 0, 1792, [], [] >,
< [ -1, -1, 1 ], [[-256, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [400, 228], [-20, 20], [0, 0]], [[0, 0], [-30, 1], [1, 1], [1, 0]], [[0, 0], [-2392, -1860], [88, -108], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4544, 944], [0, -20], [0, 0]], [[0, 0], [40253085/11, -50444945/11], [221629/11, -322/11], [40/11, 1/11]], [[0, 0], [6613537046/11, -2491749509/11], [14508479/11, -17495169/11], [2535/11, -3172/11]]], 0, 1920, [], [] >,
< [ -1, -1, 1 ], [[-896, 192]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 1], [1, 0], [0, 0]], [[0, 0], [6, 28], [0, 0], [8, 8]], [[0, 0], [-58, 30], [0, 0], [12, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [154, 1], [1, 0], [0, 0]], [[0, 0], [-77872/11, -4160/11], [108/11, 6/11], [-72/11, -4/11]], [[0, 0], [401179/11, -486546/11], [-555/11, 675/11], [370/11, -450/11]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[448, -128]], [ -1490, 36 ], [ -96, -105 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [525208/919, 5672/919], [3804/919, -12/919], [0, 0]], [[0, 0], [-444457093/17461, -4785782428/17461], [145322/2757, -5388338/2757], [28172/52383, 1/52383]], [[0, 0], [-4629007923710/17461, 12454465296784/17461], [-2613936336/919, 4963793908/919], [-38246150/17461, 12634108/17461]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6593978/919, 7912/919], [20788/919, 4/919], [0, 0]], [[0, 0], [-14907316557049/192071, 2184828640006/192071], [6754155238/30327, -359763102/10109], [1411552/576213, 1/192071]], [[0, 0], [6713462971391336432/192071, -2742345814931107882/192071], [-3054387029161480/30327, 422739678915896/10109], [-606356031400/576213, 66710426440/192071]]], 0, 1920, [], [] >,
< [ -1, -1, 1 ], [[448, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-252, -204], [4, 16], [0, 0]], [[0, 0], [-58, 1], [1, 1], [1, 0]], [[0, 0], [3332, -3540], [220, -60], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6828, 628], [-20, 8], [0, 0]], [[0, 0], [-246188068/11, -134314594/11], [-563658/11, 538/11], [-6/11, -4/11]], [[0, 0], [-16927470766/11, 5816873779/11], [-53849101/11, 27640871/11], [-377/11, 108/11]]], 0, 2048, [], [] >,
< [ -1, -1, 1 ], [[-192, 320]], [ -1454, -36 ], [ -96, 9 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-478598/919, 7658/919], [-2528/919, -8/919], [0, 0]], [[0, 0], [224210917/17461, -114787818/17461], [106258/2757, -100492/2757], [-18638/52383, 5/52383]], [[0, 0], [-86463933787/17461, 63362459927/17461], [-58352470/2757, 21532270/2757], [3592283/52383, -7025162/52383]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2905720/919, 1378/919], [14588/919, -12/919], [0, 0]], [[0, 0], [125839876771616/192071, -3865618865327/192071], [33516948948/10109, -3190457162/30327], [221565/192071, -5/576213]], [[0, 0], [-1068153121819891512/192071, 1954902241526532864/192071], [-855098825135416/30327, 520417061548872/10109], [-5320067026/576213, 3494846596/192071]]], 0, 1920, [], [] >,
< [ -1, -1, 1 ], [[-192, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [804, 64], [-16, 4], [0, 0]], [[0, 0], [-6, 1], [1, 1], [1, 0]], [[0, 0], [-356, 2096], [20, -32], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1272, 2276], [-12, -20], [0, 0]], [[0, 0], [-445051/11, 453525/11], [-501/11, -4/11], [46/11, 5/11]], [[0, 0], [-438289736/11, 181395515/11], [-203405/11, 282965/11], [16065/11, -26690/11]]], 0, 2048, [], [] >,
< [ -1, -1, 1 ], [[448, 0]], [ -42, 0 ], [ -7, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -6], [-12, -8], [0, 0]], [[0, 0], [-145, -25/3], [-10056/31, 1446/31], [245/93, 5/93]], [[0, 0], [444, -72], [32068/31, -9964/31], [-252/31, 48/31]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 6], [8, 8], [0, 0]], [[0, 0], [151749/11, -2159/33], [-707720/341, 12590/341], [1723/1023, 1/1023]], [[0, 0], [-770258, 559142], [3626252/31, -2620444/31], [-2904/31, 2112/31]]], 0, 3072, [], [] >,
< [ -1, -1, 1 ], [[-704, 256]], [ -6218, -68 ], [ -7, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 6], [8, -12], [0, 0]], [[0, 0], [8885427495154/160171, -37825/160171], [0, 20], [58047485/9770431, 4/9770431]], [[0, 0], [-33542489032729346/160171, 33183517621151132/160171], [74692, -808], [-219129241572/9770431, 216784137948/9770431]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [20, 80], [0, 0]], [[0, 0], [-378653451166/160171, -585369/160171], [405260844/11, -580/11], [-2821223/9770431, -2/9770431]], [[0, 0], [1555696190889991/160171, -866547260919070/160171], [-1665015319096/11, 927440393596/11], [11590988825/9770431, -586942225/888221]]], 0, 3840, [], [] >,
< [ -1, -1, 1 ], [[-640, 192]], [ -6286, 68 ], [ -10, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 8], [-12, 4], [0, 0]], [[0, 0], [-3374515608140/160171, -6529186/160171], [24, -4], [-49427252/9770431, -4/9770431]], [[0, 0], [-17708852406863054/160171, 12293466310621685/160171], [140520, -93852], [-259385683367/9770431, 180065177965/9770431]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 12], [-20, -8], [0, 0]], [[0, 0], [-5575673200686695/1761881, -4364129738/1761881], [3782870868/11, 9252/11], [-315240174/107474741, -1/107474741]], [[0, 0], [-71295026815460620472/1761881, -11058854697271052190/1761881], [48370831617672/11, 7503082741596/11], [-4030913063246/107474741, -625247376558/107474741]]], 0, 3840, [], [] >,
< [ -1, -1, 1 ], [[4160, -448]], [ -6218, -68 ], [ -7, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -2], [-12, -20], [0, 0]], [[0, 0], [63931798288/160171, -5190403/160171], [0, 0], [1346951/160171, 4/160171]], [[0, 0], [31179757/160171, 55288062/160171], [0, 0], [657/160171, 1165/160171]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -10], [-8, -76], [0, 0]], [[0, 0], [-820886085/14561, -53432/14561], [-3213752/11, -2356/11], [63719/160171, 1/160171]], [[0, 0], [-399054002712/160171, 956289894244/160171], [-141798848/11, 340482924/11], [2816284/160171, -613448/14561]]], 0, 238080, [], [] >,
< [ -1, -1, 1 ], [[3712, 448]], [ -6286, 68 ], [ -10, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 8], [4, -16], [0, 0]], [[0, 0], [-99616167/160171, -1898242/160171], [-108, 72], [-617038/160171, 1/160171]], [[0, 0], [106583/160171, -82655/160171], [0, 0], [657/160171, -508/160171]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -16], [-4, 8], [0, 0]], [[0, 0], [19860914, -18], [-5125508, 16], [-2, 0]], [[0, 0], [16942438437426203/1761881, -8393394889735685/1761881], [-27297959852/11, 13523603648/11], [-1706107869/1761881, 845216604/1761881]]], 0, 238080, [], [] >,
< [ -1, -1, 1 ], [[3136, 0]], [ -42, 0 ], [ -7, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -10], [-84, 112], [0, 0]], [[0, 0], [175/3, -541/3], [244188/31, -128786/31], [-85/93, -1/31]], [[0, 0], [8164, -1176], [12004300/31, -8012564/31], [-828/31, 1008/31]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 32], [112, 0], [0, 0]], [[0, 0], [93944/33, -1354/33], [4908456/341, 43540/341], [1436/1023, 4/1023]], [[0, 0], [-1156/33, -21/11], [-62258/341, -3724/341], [-6/341, -1/1023]]], 0, 153600, [], [] >,
< [ -1, -1, 1 ], [[1536, -1856]], [ -1490, 36 ], [ -96, -105 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56943844/919, -4236/919], [-406768/919, -4/919], [0, 0]], [[0, 0], [-8800475577/17461, 8375301841604/17461], [-5055730/919, 9445841158/2757], [11250/17461, -5/52383]], [[0, 0], [-544191607168675/17461, -48970982488626/17461], [-614059974070/2757, -54890234078/2757], [1991528/52383, -2190815/52383]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166273904/919, 4236/919], [520724/919, 4/919], [0, 0]], [[0, 0], [110583078325370017/192071, -5927373324066184/192071], [-54681748691026/30327, 976422622302/10109], [-259126/576213, -1/192071]], [[0, 0], [-27546837121460488087918/192071, 28441179289927561538398/192071], [13621068525724209212/30327, -14063796067200832852/30327], [60959376296/576213, -66967421668/576213]]], 0, 61440, [], [] >,
< [ -1, -1, 1 ], [[1536, -1856]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -20], [120, -52], [0, 0]], [[0, 0], [-58, 1], [1, 1], [1, 0]], [[0, 0], [0, 0], [28, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 276], [-88, 96], [0, 0]], [[0, 0], [-512945/11, -484043/11], [-185921/11, -10046/11], [4/11, -1/11]], [[0, 0], [-76, -244], [24, -60], [0, 0]]], 0, 61440, [], [] >,
< [ -1, -1, 1 ], [[-2176, 320]], [ -1454, -36 ], [ -96, 9 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [146686702/919, 12254/919], [765988/919, 16/919], [0, 0]], [[0, 0], [-274272464027635/17461, 274285803867207/17461], [-75385301842/919, 226152937858/2757], [14819/17461, 4/52383]], [[0, 0], [5182308369944048494/17461, -4787986540576637624/17461], [1424379386103272/919, -1315929974766672/919], [-258682476/17461, 21294444/17461]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [59273260/919, -4288/919], [310164/919, 16/919], [0, 0]], [[0, 0], [-114521807824451001/192071, 6464867692962700/192071], [-31539736371274/10109, 5330394038840/30327], [354648/192071, 5/576213]], [[0, 0], [-184602851859662007684905/192071, 24648319452546335295242/192071], [-50839837020630370854/10109, 6782864405645789840/10109], [569027944688/192071, -46850486643/192071]]], 0, 61440, [], [] >,
< [ -1, -1, 1 ], [[-2176, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-156, 12], [-20, -8], [0, 0]], [[0, 0], [14, 1], [-31, 1], [1, 0]], [[0, 0], [-32, 12], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4816, -116], [28, 36], [0, 0]], [[0, 0], [730897/11, -411406/11], [3064/11, -1701/11], [9/11, -5/11]], [[0, 0], [-84, 16], [0, 0], [0, 0]]], 0, 61440, [], [] >,
< [ -1, -1, 1 ], [[-2368, 704]], [ -938, -8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 8], [40, -26], [0, 0]], [[0, 0], [-173481551/7649, -103655/7649], [-925593, -145], [-31917/7649, -5/7649]], [[0, 0], [-2456412474/7649, 11732800010/7649], [-13133520, 62577360], [-452880/7649, 2157840/7649]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-146, 64], [26, -14], [0, 0]], [[0, 0], [234305914203/84139, 7599675/84139], [56167055/11, 1015/11], [276685/84139, 5/84139]], [[0, 0], [-15756973125766/84139, 5740201556024/84139], [-3777230338/11, 1376057018/11], [-18607046/84139, 6778606/84139]]], 0, 53760, [], [] >,
< [ -1, -1, 1 ], [[-2368, 704]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, 0], [-112, 96], [0, 0]], [[0, 0], [-18, 1], [-35, 1], [1, 0]], [[0, 0], [28, -140], [-148, 44], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5180, -84], [-8, -76], [0, 0]], [[0, 0], [-897109209/11, 821053397/11], [10645015/11, -20602/11], [32/11, 3/11]], [[0, 0], [187304553896/11, -134165251632/11], [-1686199084/11, 589388112/11], [-4900/11, 1456/11]]], 0, 53760, [], [] >,
< [ -1, -1, 1 ], [[-3776, 4032]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, 39], [8, -11], [0, 0]], [[0, 0], [7, 17], [-112, -5], [8, 10]], [[0, 0], [-32, 16], [-756, 486], [10, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28217/11, 435/11], [262/11, -5/11], [0, 0]], [[0, 0], [-352235695/11, -2425176/11], [3270401/11, 9795/11], [-2, 10]], [[0, 0], [1326028236/11, -1138522004/11], [-12352940/11, 10577838/11], [40, -12]]], 0, 215040, [], [] >,
< [ -1, -1, 1 ], [[960, -1664]], [ -946, 8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 2], [-80, 42], [0, 0]], [[0, 0], [175980303/7649, -5433/7649], [939263, 37], [32391/7649, -1/7649]], [[0, 0], [199640203050/7649, -157861193670/7649], [1065484230, -842539868], [36745850/7649, -29055990/7649]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [124, -74], [80, -42], [0, 0]], [[0, 0], [-3032093, -390], [-3327291, -552], [5, 0]], [[0, 0], [-28654883800016/84139, 26106734851266/84139], [-4110810984/11, 3745368752/11], [47258184/84139, -43051224/84139]]], 0, 53760, [], [] >,
< [ -1, -1, 1 ], [[960, -1664]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-136, -4], [24, 28], [0, 0]], [[0, 0], [50, 1], [-55, 1], [1, 0]], [[0, 0], [-52, 36], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4916, 84], [72, -32], [0, 0]], [[0, 0], [684723211/11, 532092177/11], [-6567793/11, 17394/11], [-40/11, -1/11]], [[0, 0], [107832324816/11, 829599621918/11], [3720118478/11, -6091128458/11], [21630/11, -37500/11]]], 0, 53760, [], [] >,
< [ -1, -1, 1 ], [[4288, -256]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19, -31], [-30, 23], [0, 0]], [[0, 0], [349, -107], [-314, 211], [-4, -4]], [[0, 0], [-152, 123], [175, -102], [0, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2823, -2], [-13, 9], [0, 0]], [[0, 0], [116740/11, 276604/11], [372/11, 248/11], [-6/11, -4/11]], [[0, 0], [32, 18], [0, 0], [0, 0]]], 0, 215040, [], [] >,
< [ -1, -1, 1 ], [[-1600, 512]], [ -274, 36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8/29, -10/29], [-4, -20], [0, 0]], [[0, 0], [352/29, -266/29], [1444, -152], [38/29, -4/29]], [[0, 0], [-247/29, 171/29], [-874, 266], [-23/29, 7/29]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [79422/29, 4/29], [304, 0], [0, 0]], [[0, 0], [-232643330/319, 10634887/319], [-940604/11, 42838/11], [-120/29, 5/29]], [[0, 0], [-11920544958/319, 2783410474/319], [-48194596/11, 11247156/11], [-6144/29, 1416/29]]], 0, 23040, [], [] >,
< [ -1, -1, 1 ], [[-2624, 2688]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82504/33, -108/11], [5140/33, 4/11], [0, 0]], [[0, 0], [-197192728/33, 22135496/11], [12291562/33, -1383342/11], [42/55, -2/165]], [[0, 0], [399700798/3, -390401954/3], [-24939754/3, 24322733/3], [-32/3, 59/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5440/33, 2836/33], [2188/33, -4/33], [0, 0]], [[0, 0], [2106964/11, -550294/33], [-1777057/11, -5322674/33], [1/5, 4/165]], [[0, 0], [801186490/11, -272179286/3], [262901990/11, 307798127/3], [3068/55, -5551/55]]], 0, 92160, [], [] >,
< [ -1, -1, 1 ], [[6400, -2048]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -48], [-80, -96], [0, 0]], [[0, 0], [174, -46], [-90, 56], [-8, 10]], [[0, 0], [16, -336], [-100, 64], [-24, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-236, -344], [-168, -4], [0, 0]], [[0, 0], [6300, 40422], [-90058, 65394], [2, -4]], [[0, 0], [-457994, -92402], [-2062778, 1192388], [80, -26]]], 0, 368640, [], [] >,
< [ -1, -1, 1 ], [[-1600, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [276, 12], [40, -28], [0, 0]], [[0, 0], [-22, 1], [-7, 1], [1, 0]], [[0, 0], [-4, -20], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1596, -228], [16, 80], [0, 0]], [[0, 0], [9878754/11, -9291333/11], [359399/11, 2399/11], [39/11, 4/11]], [[0, 0], [21058136293/11, -15014054813/11], [565992481/11, -208899402/11], [59220/11, -18963/11]]], 0, 23040, [], [] >,
< [ -1, -1, 1 ], [[-2624, 2688]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 62], [21, -9], [0, 0]], [[0, 0], [-127, -2], [29, -35], [6, 0]], [[0, 0], [50, 1], [-13, 14], [-2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5567/11, 399/11], [582/11, 3/11], [0, 0]], [[0, 0], [69122007/11, -5408716/11], [-7222173/11, 14427/11], [-6, 2]], [[0, 0], [-1393682969/11, 71061927/11], [145948740/11, 4035143/11], [120, -38]]], 0, 92160, [], [] >,
< [ -1, -1, 1 ], [[-4800, 1536]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 40], [28, -12], [0, 0]], [[0, 0], [237, -13], [1104/5, 92/5], [12/5, 1/5]], [[0, 0], [-2270, -155], [-10764/5, -2392/5], [-117/5, -26/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [626, 14], [-24, -44], [0, 0]], [[0, 0], [-327328/11, 24742/11], [-410352/55, 3984/55], [-206/55, 2/55]], [[0, 0], [59873500/11, -57387961/11], [14061528/11, -14422080/11], [7059/11, -7240/11]]], 0, 184320, [], [] >,
< [ -1, -1, 1 ], [[576, -1088]], [ -238, -36 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-416/29, -8/29], [-12, 48], [0, 0]], [[0, 0], [82233/29, -109478/29], [12578, -456], [-63/29, -4/29]], [[0, 0], [22003908/29, -7328423/29], [1297320, -1584106], [-5700/29, 8113/29]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2704/29, 864/29], [80, 60], [0, 0]], [[0, 0], [-36926202/319, 10439697/319], [-929804/11, -1706/11], [262/319, -5/319]], [[0, 0], [7549689848/319, -7129864700/319], [133943544/11, -197471576/11], [-38906/319, 55272/319]]], 0, 23040, [], [] >,
< [ -1, -1, 1 ], [[2752, -64]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -12], [32, -52], [0, 0]], [[0, 0], [88418454/2759, -30080/2759], [170655, -334/7], [3851/13795, 1/96565]], [[0, 0], [62302462362/2759, -37762310260/2759], [120244539, -510170796/7], [2712917/13795, -11510143/96565]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [216, 96], [36, 8], [0, 0]], [[0, 0], [-14087631722/30349, 604884574/30349], [-668218921/77, 317349/77], [64090/212443, -1/212443]], [[0, 0], [345809354972/89, -257116556608/89], [492650429688/7, -372994496592/7], [-7618468/3115, 5769236/3115]]], 0, 92160, [], [] >,
< [ -1, -1, 1 ], [[6656, -2304]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -20], [80, -16], [0, 0]], [[0, 0], [24, 148], [148, 148], [-4, 0]], [[0, 0], [-278, 10], [94, -300], [-12, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [200, -116], [100, -20], [0, 0]], [[0, 0], [-11290, 8552], [-2392, 7562], [6, -10]], [[0, 0], [-1303268, 1012300], [-237540, 946048], [656, -1232]]], 0, 368640, [], [] >,
< [ -1, -1, 1 ], [[576, -1088]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -12], [-20, 80], [0, 0]], [[0, 0], [30, 1], [17, 1], [1, 0]], [[0, 0], [-20, 4], [8, -32], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3904, 40], [108, -52], [0, 0]], [[0, 0], [221235229/11, 208599626/11], [3358636/11, 10267/11], [-51/11, -1/11]], [[0, 0], [-1252026852, -4570391548], [26887200, -48899524], [-396, 748]]], 0, 23040, [], [] >,
< [ -1, -1, 1 ], [[2752, -64]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17, 30], [1, 15], [0, 0]], [[0, 0], [52, 170], [48, 118], [4, 0]], [[0, 0], [212, -30], [118, 0], [-14, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, 22], [15, -3], [0, 0]], [[0, 0], [-70065/11, -64948/11], [-27195/11, 1725/11], [50/11, 4/11]], [[0, 0], [-11725294/11, -52391279/11], [10398587/11, -14735966/11], [-15138/11, 28584/11]]], 0, 92160, [], [] >,
< [ -1, -1, 1 ], [[1728, -3264]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -2], [-8, 32], [0, 0]], [[0, 0], [-115, -131], [-4108/5, -264/5], [26/5, 3/5]], [[0, 0], [390, 210], [4844, -1736], [-30, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [920, -70], [-28, -40], [0, 0]], [[0, 0], [-528829/11, -31635/11], [-58776/11, -948/11], [62/11, 1/11]], [[0, 0], [3570826, 57841], [1987956/5, -51192/5], [-2097/5, 54/5]]], 0, 184320, [], [] >,
< [ -1, -1, 1 ], [[-4864, 5888]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -28], [4, 8], [0, 0]], [[0, 0], [617/7, -299/7], [-3, 4], [0, 3/7]], [[0, 0], [-1011/7, 556/7], [6, -5], [1/7, -3/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 6], [-10, -10], [0, 0]], [[0, 0], [255/7, -425/7], [-13, 12], [-2/7, -3/7]], [[0, 0], [-116, 72], [32, -20], [0, 0]]], 0, 491520, [], [] >,
< [ -1, -1, 1 ], [[-1216, 1472]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -20], [-4, -6], [0, 0]], [[0, 0], [92/7, -75/14], [-1/2, 1/2], [-1/14, 0]], [[0, 0], [20, -12], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [184, -6], [-10, -6], [0, 0]], [[0, 0], [-640523/154, 609615/154], [2015/22, -2339/11], [-1/77, 3/154]], [[0, 0], [-4132, 3918], [90, -210], [0, 0]]], 0, 30720, [], [] >,
< [ -1, -1, 1 ], [[-1216, 1472]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7546582/751, -5016/751], [59236/751, 4/751], [0, 0]], [[0, 0], [11311570/751, 14741952/751], [-79824/751, -110428/751], [2582/751, 2/751]], [[0, 0], [7281613743/751, 15548892720/751], [-57050510/751, -112125574/751], [-1316550/751, 2287653/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [237949410/751, 16040/751], [-118472/751, -8/751], [0, 0]], [[0, 0], [51492298643253/8261, 4499360989/8261], [-25634033536/8261, -1760378/8261], [34453/8261, 4/8261]], [[0, 0], [-1696256892880568653/8261, 2946166899363742330/8261], [844462567714738/8261, -1466657032748602/8261], [-1134892500/8261, 1971275847/8261]]], 0, 46080, [], [] >,
< [ -1, -1, 1 ], [[-2496, 576]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7694112/751, -24570/751], [-60452/751, 16/751], [0, 0]], [[0, 0], [162272531/751, -100957383/751], [-1244388/751, 789066/751], [-1409/751, -4/751]], [[0, 0], [-262400558572/751, 163108782944/751], [2013642580/751, -1272545104/751], [2194206/751, -128872/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [259139526/751, -510/751], [59236/751, 4/751], [0, 0]], [[0, 0], [-17249007346148/8261, 1305837375181/8261], [-3942749890/8261, 298241056/8261], [-1713/8261, 1/8261]], [[0, 0], [-1865328579137186/8261, 237710073140834/8261], [-426372263408/8261, 54310478496/8261], [-184460/8261, 10534/8261]]], 0, 76800, [], [] >,
< [ -1, -1, 1 ], [[1408, -2112]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [184612656/751, 13972/751], [296180/751, 20/751], [0, 0]], [[0, 0], [7315974115216/751, 210867949917/751], [11737223470/751, 338210156/751], [3215/751, -1/751]], [[0, 0], [20737406700377771/751, -55493820339250702/751], [33270286525214/751, -89029897786954/751], [9811620/751, -23973777/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3082683138/751, 200730/751], [236944/751, 16/751], [0, 0]], [[0, 0], [-75471887173873587/14269, 494014955614350/14269], [-305313915970/751, 1997773966/751], [85732/14269, 3/14269]], [[0, 0], [-2888326038959497555734/14269, 6939858114467161167250/14269], [-11684366111271072/751, 28074535833291160/751], [3228903594/14269, -7914134214/14269]]], 0, 92160, [], [] >,
< [ -1, -1, 1 ], [[3328, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, -52], [8, 120], [0, 0]], [[0, 0], [-302, 836], [-2572, -4914], [10, -2]], [[0, 0], [-1154, 1062], [-826, -2980], [20, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, -76], [-196, 8], [0, 0]], [[0, 0], [17112, -14324], [39492, -26852], [-4, -8]], [[0, 0], [628350, -384322], [1354606, -834572], [28, -6]]], 0, 122880, [], [] >,
< [ -1, -1, 1 ], [[3328, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, 4], [-72, 20], [0, 0]], [[0, 0], [726, 790], [-1098, -96], [8, -10]], [[0, 0], [-1274, -3414], [-1478, 3540], [44, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [384, -92], [184, -12], [0, 0]], [[0, 0], [35014, 13838], [19474, 12832], [-8, -6]], [[0, 0], [-2996672, 1179142], [-1386898, 385490], [530, -120]]], 0, 122880, [], [] >,
< [ -1, -1, 1 ], [[-832, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [336, 2], [-22, 0], [0, 0]], [[0, 0], [38, 3], [-1, 1], [1, 0]], [[0, 0], [-2754, 754], [180, -50], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-370, -50], [8, 10], [0, 0]], [[0, 0], [38, 3], [-1, 1], [1, 0]], [[0, 0], [96, -56], [0, 0], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[-832, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [510, -6], [-28, -2], [0, 0]], [[0, 0], [26, -1], [-1, 1], [1, 0]], [[0, 0], [-5988, 1876], [320, -84], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-332, -52], [-56, -4], [0, 0]], [[0, 0], [26, -1], [-1, 1], [1, 0]], [[0, 0], [1682, -180], [290, -50], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[-832, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [496, 48], [88, 0], [0, 0]], [[0, 0], [-6, 3], [-1, 1], [1, 0]], [[0, 0], [626, -26], [112, -14], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-270, -46], [-32, 26], [0, 0]], [[0, 0], [-18, -1], [-1, 1], [1, 0]], [[0, 0], [96, 3134], [-306, 96], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[-104, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-99, 22], [-17, 9], [0, 0]], [[0, 0], [-7356, -12005/2], [-1383/2, 83/2], [1/2, 0]], [[0, 0], [153, 73], [18, -5], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35, -14], [-7, -17], [0, 0]], [[0, 0], [5353/2, -1757], [307, 91/2], [3/2, 1/2]], [[0, 0], [8103/2, -2534], [332, -273/2], [3/2, -1/2]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[-1216, 1472]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, -4], [-23, 7], [0, 0]], [[0, 0], [-144, -206], [-70, -60], [-4, -10]], [[0, 0], [52, -120], [160, -130], [-12, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-106, -83], [13, -14], [0, 0]], [[0, 0], [5388/11, -3341/11], [-2055/11, 1284/11], [-4/11, 6/11]], [[0, 0], [81, -50], [-31, 19], [0, 0]]], 0, 30720, [], [] >,
< [ -1, -1, 1 ], [[-1216, 1472]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, -12], [-44, 0], [0, 0]], [[0, 0], [50, 1], [13, 1], [1, 0]], [[0, 0], [76, -92], [-32, 48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-944, -1092], [16, 64], [0, 0]], [[0, 0], [-317156/11, 921289/11], [-68447/11, 10375/11], [-17/11, -2/11]], [[0, 0], [9249939/11, -2108247/11], [573751/11, -513450/11], [108/11, -129/11]]], 0, 46080, [], [] >,
< [ -1, -1, 1 ], [[1408, -2112]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14743046/751, -1984/751], [-115832/751, -8/751], [0, 0]], [[0, 0], [8777106378534/751, -925472045587/751], [-68957887706/751, 7258618286/751], [3093/751, 4/751]], [[0, 0], [-389165243743417752/751, 379717404565034546/751], [3056959097895940/751, -2983322607668540/751], [-122719984/751, 135112536/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [237031206/751, 17004/751], [82788/751, 8/751], [0, 0]], [[0, 0], [14324065248155808/14269, -77563246667569/14269], [5002972278150/14269, -26966577902/14269], [53741/14269, 2/14269]], [[0, 0], [-55784302309705677683/14269, 61020634354499486538/14269], [-19483278294492164/14269, 21312751001102918/14269], [-208042627/14269, 229051589/14269]]], 0, 76800, [], [] >,
< [ -1, -1, 1 ], [[-2240, 2304]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6605362/751, 4024/751], [-52384/751, -8/751], [0, 0]], [[0, 0], [-6456823251889/751, -277871524555/751], [51204959004/751, 2179305990/751], [1831/751, 2/751]], [[0, 0], [-194002500106728695/751, 280984638884359636/751], [1539556981920494/751, -2228039600113390/751], [58319674/751, -78824985/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20854936/751, 4960/751], [164004/751, 20/751], [0, 0]], [[0, 0], [38761510398763/751, -4626551160635/751], [-304808839372/751, 36286766302/751], [-3333/751, -2/751]], [[0, 0], [-441150667836514530/751, 497122582707021464/751], [3467818110144516/751, -3909548531545728/751], [32641704/751, -44119080/751]]], 0, 84480, [], [] >,
< [ -1, -1, 1 ], [[-2240, 2304]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22708838/751, 7538/751], [-177708/751, -12/751], [0, 0]], [[0, 0], [6343815613309/751, -666256374591/751], [-49644789392/751, 5225542278/751], [4413/751, 4/751]], [[0, 0], [-254747070453967197/751, 292938708022775478/751], [1994125425530266/751, -2292307155956442/751], [-155021490/751, 209527929/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5772286/751, 1530/751], [-45532/751, -12/751], [0, 0]], [[0, 0], [1701805668735/751, 10150622/751], [-13423708158/751, -64846/751], [-2464/751, 1/751]], [[0, 0], [-80431339055074604/751, 108783803104208544/751], [634436997065304/751, -858077758505028/751], [116519298/751, -157488324/751]]], 0, 84480, [], [] >,
< [ -1, -1, 1 ], [[6912, -1024]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -20], [-8, 24], [0, 0]], [[0, 0], [-398/19, 376/19], [138, 37], [-9/95, -2/95]], [[0, 0], [64/19, 118/19], [65, 113], [-4/95, -7/95]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, 36], [-136, 12], [0, 0]], [[0, 0], [411368/19, -483938/19], [16073, -26285], [-6/95, -3/95]], [[0, 0], [-10767568/19, 5830822/19], [-499275, 249919], [10/19, -11/19]]], 0, 491520, [], [] >,
< [ -1, -1, 1 ], [[1728, -256]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -20], [28, 4], [0, 0]], [[0, 0], [-967/19, -629/19], [-1075/2, 122], [-21/190, -3/190]], [[0, 0], [-920/19, 904/19], [-1076, 720], [-16/95, 12/95]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5348/11, 864/11], [108/11, -16/11], [0, 0]], [[0, 0], [711332/209, 156754/209], [-1421/11, -511/11], [2/95, 1/95]], [[0, 0], [3179974/209, -2526597/209], [-11323/22, 9659/22], [7/95, -13/190]]], 0, 30720, [], [] >,
< [ -1, -1, 1 ], [[1728, -256]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46387310/751, -992/751], [92284/751, -4/751], [0, 0]], [[0, 0], [-4728866256405/751, -498171478123/751], [9407639814/751, 990399572/751], [-630/751, -3/751]], [[0, 0], [-7714559338003714/751, 1810151939539327/751], [15347736362458/751, -3601913810686/751], [-1059887/751, 315798/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-344697698/751, -95080/751], [-67284/751, -20/751], [0, 0]], [[0, 0], [-329673607701369/8261, 5559502209307/8261], [-64351942758/8261, 1084123712/8261], [-27908/8261, 3/8261]], [[0, 0], [-3358876330431140980/8261, 1035333761495217126/8261], [-655645861843736/8261, 202088341181896/8261], [-282927924/8261, 84316376/8261]]], 0, 46080, [], [] >,
< [ -1, -1, 1 ], [[1344, -1920]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1957564/751, 16012/751], [39892/751, 4/751], [0, 0]], [[0, 0], [102733425393/751, -45965869920/751], [-2085872304/751, 927110874/751], [-2883/751, -3/751]], [[0, 0], [-712058903952718/751, 499624829001509/751], [14426611678514/751, -10146143752366/751], [13516921/751, -14417814/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-307346036/751, -65634/751], [133372/751, 20/751], [0, 0]], [[0, 0], [1439648937356297/8261, -75362107069042/8261], [-624734159936/8261, 32740798254/8261], [3125/8261, -3/8261]], [[0, 0], [-3271182665940827098/8261, 3292606372639305444/8261], [1419612340762336/8261, -1428817772374472/8261], [-6732180/8261, 7170032/8261]]], 0, 76800, [], [] >,
< [ -1, -1, 1 ], [[4352, -1792]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -20], [136, 32], [0, 0]], [[0, 0], [8, 8], [-344, 184], [0, 8]], [[0, 0], [0, 2], [178, -114], [2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 8], [-96, 68], [0, 0]], [[0, 0], [2, 6], [106, 24], [4, 2]], [[0, 0], [-2, 8], [316, -110], [10, -2]]], 0, 122880, [], [] >,
< [ -1, -1, 1 ], [[4352, -1792]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-260, -100], [-156, -16], [0, 0]], [[0, 0], [-23642, -119328], [988, -58314], [10, -2]], [[0, 0], [151780, 133648], [80816, 48044], [8, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-164, -36], [-52, -20], [0, 0]], [[0, 0], [-6782, 1428], [-1980, 398], [6, 10]], [[0, 0], [-2288, 1408], [-664, 408], [0, 0]]], 0, 122880, [], [] >,
< [ -1, -1, 1 ], [[56, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -11], [-1, -8], [0, 0]], [[0, 0], [-5177/2, 2527], [275, -49/2], [3/2, -5/2]], [[0, 0], [-192981/2, 88143], [9637, -2967/2], [117/2, -169/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [288, 38], [-10, 8], [0, 0]], [[0, 0], [58682, 197904], [3495, -173], [2, 1]], [[0, 0], [-1339326, -575225/2], [86695/2, -72509/2], [27/2, -19]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[448, -640]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-564, -90], [-34, -8], [0, 0]], [[0, 0], [-38, 3], [3, 1], [1, 0]], [[0, 0], [19672, -23112], [1080, -1392], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-376, -148], [100, 8], [0, 0]], [[0, 0], [6, 3], [3, 1], [1, 0]], [[0, 0], [-6398, 12880], [2738, -3330], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[448, -640]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, 142], [-166, -8], [0, 0]], [[0, 0], [-22, -1], [3, 1], [1, 0]], [[0, 0], [9860, -4654], [5746, -6084], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [204, 70], [110, 0], [0, 0]], [[0, 0], [-22, -1], [3, 1], [1, 0]], [[0, 0], [26, -12], [18, -10], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[448, -640]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [546, 100], [74, -2], [0, 0]], [[0, 0], [6, 3], [3, 1], [1, 0]], [[0, 0], [204, -370], [38, -48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, -10], [26, -12], [0, 0]], [[0, 0], [22, -1], [3, 1], [1, 0]], [[0, 0], [-20, -72], [4, -12], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[1728, -256]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, 6], [7, 1], [0, 0]], [[0, 0], [-172, 12], [34, 8], [4, 2]], [[0, 0], [-620, 359], [103, -56], [8, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-79, -115], [-8, -9], [0, 0]], [[0, 0], [-3012/11, 2557/11], [-753/11, 246/11], [-114/11, -10/11]], [[0, 0], [109361/11, -56427/11], [18994/11, -15259/11], [1872/11, -2448/11]]], 0, 30720, [], [] >,
< [ -1, -1, 1 ], [[1728, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [200, 16], [548, -16], [0, 0]], [[0, 0], [22, 1], [-55, 1], [1, 0]], [[0, 0], [1820, -224], [5092, -1064], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [876, -208], [-744, -12], [0, 0]], [[0, 0], [-1428531/11, 1832362/11], [755068/11, -1812257/11], [37/11, -1/11]], [[0, 0], [-160927748/11, 175693362/11], [94473530/11, -166427010/11], [3650/11, -500/11]]], 0, 46080, [], [] >,
< [ -1, -1, 1 ], [[2816, -704]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4209238/751, -3542/751], [32672/751, 16/751], [0, 0]], [[0, 0], [-38967448742/751, 1286118690/751], [302536628/751, -10089856/751], [-2160/751, -4/751]], [[0, 0], [204476975442079/751, -23625291452588/751], [-1587571296490/751, 183923400122/751], [11300580/751, -949365/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112741956/751, -31088/751], [-91336/751, 20/751], [0, 0]], [[0, 0], [-47170776973975552/14269, 160148206364829/14269], [2011295046030/751, -6714662012/751], [4953/14269, 5/14269]], [[0, 0], [-4283047854486867493296/14269, 376970002004137850166/14269], [182622209932015984/751, -16064011278703212/751], [449558046/14269, -37770312/14269]]], 0, 76800, [], [] >,
< [ -1, -1, 1 ], [[2816, -704]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3492736/751, -6490/751], [-13696/751, -8/751], [0, 0]], [[0, 0], [-38016323159/751, 1605456518/751], [-149144964/751, 6473294/751], [-1801/751, -5/751]], [[0, 0], [-46600736460961/751, 71641617486398/751], [-183158283920/751, 280928133782/751], [-2052285/751, 3456575/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1441192, -2], [-44, 0], [0, 0]], [[0, 0], [-11256308140047222/14269, 11103701731104/14269], [343654779976/14269, -338501488/14269], [10934/14269, 2/14269]], [[0, 0], [-12477875865709605265/14269, 21021693424617287797/14269], [380948285910042/14269, -641792102318016/14269], [12096702/14269, -20429505/14269]]], 0, 92160, [], [] >,
< [ -1, -1, 1 ], [[7744, 0]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12069536/751, -17934/751], [95040/751, 176/751], [0, 0]], [[0, 0], [54523282043/751, -4698540441/751], [-429259320/751, 36832178/751], [3, 0]], [[0, 0], [3699048196412/751, -4225118429335/751], [-29109853018/751, 33267033124/751], [137505/751, -178087/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [273014, -4], [-220, 0], [0, 0]], [[0, 0], [-2730590725125046/14269, 3832656912461/14269], [115811022946/751, -160892016/751], [71463/14269, 3/14269]], [[0, 0], [36544650654204222848/14269, -47214236590845164542/14269], [-1549919187977528/751, 2002477645953644/751], [-954632746/14269, 1236062802/14269]]], 0, 921600, [], [] >,
< [ -1, -1, 1 ], [[7744, 0]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10039024/751, 34058/751], [-79244/751, -220/751], [0, 0]], [[0, 0], [-256982948907/751, -26504467536/751], [2028499268/751, 207834230/751], [-3545/751, 1/751]], [[0, 0], [1760000983448326/751, -181445980000056/751], [-13894380745864/751, 1440093682080/751], [24752646/751, -4588776/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-406949846/751, -132574/751], [-141416/751, -44/751], [0, 0]], [[0, 0], [-28921205132802/751, 1005366723066/751], [-10050192068/751, 349512164/751], [2, 0]], [[0, 0], [6380833380361053970/14269, -1355355702052256661/14269], [2217361650481678/14269, -471015374683526/14269], [-329260751/14269, 61066282/14269]]], 0, 921600, [], [] >,
< [ -1, -1, 1 ], [[-2368, 64]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20226976/751, 5016/751], [158372/751, -4/751], [0, 0]], [[0, 0], [11726743241461/751, 1756211418623/751], [-91820434730/751, -13774203712/751], [-1050/751, -5/751]], [[0, 0], [56293987359042211/751, -5329421379382546/751], [-440758084413712/751, 41639082001558/751], [-5198973/751, 1073323/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9103292/751, -3542/751], [-71740/751, 16/751], [0, 0]], [[0, 0], [2458291141222/751, -82278592735/751], [-19372736854/751, 645293434/751], [-3093/751, -4/751]], [[0, 0], [32342738943118170/751, -7514605359155259/751], [-254870811459306/751, 59187184073682/751], [-40401935/751, 8341348/751]]], 0, 84480, [], [] >,
< [ -1, -1, 1 ], [[-2368, 64]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14316478/751, -6490/751], [-112828/751, -8/751], [0, 0]], [[0, 0], [-8226913855825/751, 810006819678/751], [64832924616/751, -6353004542/751], [-2463/751, -1/751]], [[0, 0], [-14253695410844356/751, 3979639313202764/751], [112316863224788/751, -31321055304556/751], [-4181818/751, 863470/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17517496/751, 538/751], [137828/751, -16/751], [0, 0]], [[0, 0], [-11296516254470/751, -314508748467/751], [88881031850/751, 2466764898/751], [1833/751, -2/751]], [[0, 0], [-109239578905860264/751, 20159285532594396/751], [859512992185960/751, -158673529141188/751], [17831526/751, -3680838/751]]], 0, 84480, [], [] >,
< [ -1, -1, 1 ], [[1728, -576]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -16], [-24, -12], [0, 0]], [[0, 0], [-36, -12], [-24, 18], [-66/5, -8/5]], [[0, 0], [-668, 462], [-852, 522], [-288, 192]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -26], [12, 6], [0, 0]], [[0, 0], [-2710, 22], [-390, -18], [-8, 0]], [[0, 0], [-129138/11, 59944/11], [-18090/11, 8070/11], [-1898/55, 876/55]]], 0, 20480, [], [] >,
< [ -1, -1, 1 ], [[1728, -576]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -20], [-12, -12], [0, 0]], [[0, 0], [14, -5], [84/5, -48/5], [7/5, -4/5]], [[0, 0], [4, 2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-380, 116], [-24, -36], [0, 0]], [[0, 0], [17070/11, 3207/11], [-62244/55, 1008/55], [-247/55, 4/55]], [[0, 0], [-41256, -8533], [29988, 0], [119, 0]]], 0, 30720, [], [] >,
< [ -1, -1, 1 ], [[2304, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -36], [72, -24], [0, 0]], [[0, 0], [38, 540], [556, -606], [10, 6]], [[0, 0], [648, -6], [-1566, 786], [-6, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [156, 0], [24, 36], [0, 0]], [[0, 0], [132, -114], [6, 18], [6, 0]], [[0, 0], [538, -320], [-16, 2], [14, -10]]], 0, 81920, [], [] >,
< [ -1, -1, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -60], [48, -48], [0, 0]], [[0, 0], [-2, -3], [1, -3], [1, 0]], [[0, 0], [0, 96], [-36, 60], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, -60], [-36, 36], [0, 0]], [[0, 0], [-9821/11, 30805/11], [-4097/11, 202/11], [-68/11, -5/11]], [[0, 0], [-379308/11, 2154148/11], [-261972/11, -18932/11], [-4416/11, -920/11]]], 0, 5120, [], [] >,
< [ -1, -1, 1 ], [[1728, -576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -12], [-24, 48], [0, 0]], [[0, 0], [6, -3], [17, 5], [1, 0]], [[0, 0], [0, 0], [12, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-708, 36], [48, -36], [0, 0]], [[0, 0], [14943/11, -32487/11], [8915/11, 18/11], [-40/11, -1/11]], [[0, 0], [6861777/11, -6862809/11], [2321461/11, -811390/11], [-10332/11, 3485/11]]], 0, 30720, [], [] >,
< [ -1, -1, 1 ], [[-2304, 576]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6387750/751, 12072/751], [-50100/751, -24/751], [0, 0]], [[0, 0], [-37767968526/751, 37871406644/751], [296605428/751, -297037096/751], [-3424/751, -2/751]], [[0, 0], [7508399146065/751, -2789296656722/751], [-58918774380/751, 21924564682/751], [253099/751, -426289/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15790398/751, -6036/751], [-15504/751, 12/751], [0, 0]], [[0, 0], [35927692058504/8261, -1982814147590/8261], [35282022272/8261, -1985430200/8261], [-26196/8261, 4/8261]], [[0, 0], [-6839208887846529/8261, 10331388853084111/8261], [-6727551569154/8261, 10141127286460/8261], [4562542/8261, -7706035/8261]]], 0, 51200, [], [] >,
< [ -1, -1, 1 ], [[-1152, 1728]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5413308/751, 1530/751], [-42528/751, -12/751], [0, 0]], [[0, 0], [-82461515021/751, -63907503/751], [647875464/751, 537354/751], [5915/751, 4/751]], [[0, 0], [-2801146549234/751, 6851269663142/751], [22004843232/751, -53830104720/751], [200976/751, -491416/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3873558/751, -7482/751], [-15492/751, -12/751], [0, 0]], [[0, 0], [-285850667273/8261, 35437494552/8261], [-1143304890/8261, 142925610/8261], [6548/8261, 1/8261]], [[0, 0], [-808754880359172/8261, 1408109994408924/8261], [-3241056999132/8261, 5628221917884/8261], [14205504/8261, -34812450/8261]]], 0, 51200, [], [] >,
< [ -1, -1, 1 ], [[-2880, 576]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 6], [-60, -48], [0, 0]], [[0, 0], [0, -11], [-336/5, 132/5], [-13/5, -4/5]], [[0, 0], [4, 26], [636/5, -192/5], [28/5, 14/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1084, -122], [-48, -12], [0, 0]], [[0, 0], [34103174/11, -9657622/11], [-7056648/55, -9324/55], [96/55, -2/55]], [[0, 0], [-1252089524/11, 1128442965/11], [187520076/55, -251615352/55], [-2627/55, 3404/55]]], 0, 102400, [], [] >,
< [ -1, -1, 1 ], [[1728, -2304]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -16], [-36, 12], [0, 0]], [[0, 0], [-63, -22], [-96/5, 132/5], [7/5, 1/5]], [[0, 0], [23, 11], [-24/5, -12/5], [-2/5, -1/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2102, 30], [24, -60], [0, 0]], [[0, 0], [3447569/11, -5838482/11], [-1051128/55, 23136/55], [-199/55, 3/55]], [[0, 0], [-63956671, 80826917], [15566928/5, -2642556/5], [2944/5, -483/5]]], 0, 102400, [], [] >,
< [ -1, -1, 1 ], [[-14400, 4608]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -50], [-132, 252], [0, 0]], [[0, 0], [631, -63], [-21096/5, 7992/5], [22/5, 1/5]], [[0, 0], [9104, -140], [-296136/5, 98352/5], [322/5, 46/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1810, 32], [-240, -60], [0, 0]], [[0, 0], [11580313/11, -2414623/11], [1506300/11, -3576/11], [48/11, -1/11]], [[0, 0], [-467498741/11, 398761667/11], [-250048704/55, 261925368/55], [-8122/55, 8339/55]]], 0, 1843200, [], [] >,
< [ -1, -1, 1 ], [[5184, -9792]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 32], [-228, 228], [0, 0]], [[0, 0], [246, -97], [-288/5, -4704/5], [-19/5, -2/5]], [[0, 0], [-666, -499], [34224/5, 60432/5], [117/5, 156/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-518, 20], [-96, 156], [0, 0]], [[0, 0], [11256269/11, -24541413/11], [47210352/55, -549324/55], [-144/55, 3/55]], [[0, 0], [3848016358/11, -8328796484/11], [16045889232/55, -229186944/55], [-48944/55, 1148/55]]], 0, 1843200, [], [] >,
< [ -1, -1, 1 ], [[-7488, 1728]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80635170/751, 4590/751], [-632256/751, -36/751], [0, 0]], [[0, 0], [4248763550059/751, -77161/751], [-33314223336/751, -9738/751], [-1595/751, 4/751]], [[0, 0], [-8836925397954096/751, 497969331764460/751], [69289641019548/751, -3904518358692/751], [3317880/751, -194790/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63720648/751, 14964/751], [256284/751, 24/751], [0, 0]], [[0, 0], [-1398632650748/8261, 130040771849/8261], [-5620046334/8261, 524772288/8261], [-24479/8261, -5/8261]], [[0, 0], [229476113447025/8261, -24762838822152/8261], [922096970958/8261, -99863442918/8261], [4010064/8261, -65955/8261]]], 0, 614400, [], [] >,
< [ -1, -1, 1 ], [[4032, -5760]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-55347582/751, 13602/751], [434028/751, -36/751], [0, 0]], [[0, 0], [-152809563/751, 2416364199030/751], [-1859760/751, -18951870858/751], [2883/751, 3/751]], [[0, 0], [-2685067739242354/751, -164051363863248/751], [21056158722896/751, 1290075158064/751], [3004136/751, -3203608/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [300480246/751, 41916/751], [300984/751, 60/751], [0, 0]], [[0, 0], [62518903519597/8261, -5302959536294/8261], [62622841780/8261, -5308451006/8261], [3125/8261, -3/8261]], [[0, 0], [-5876944452019070/8261, 5741455663968577/8261], [-5886407851022/8261, 5751021475822/8261], [-269551/8261, 288606/8261]]], 0, 614400, [], [] >,
< [ -1, -1, 1 ], [[-5184, 1728]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -27], [-6, -3], [0, 0]], [[0, 0], [-97, 18], [11, -15], [6, -4]], [[0, 0], [12, 42], [6, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -51], [3, -6], [0, 0]], [[0, 0], [-373, 164], [-55, 11], [8, 10]], [[0, 0], [-5254, 3371], [-673, 458], [8, -32]]], 0, 184320, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 72], [-4, 8], [0, 0]], [[0, 0], [-66, -18], [30, 32], [8, 6]], [[0, 0], [16, -2], [-6, -2], [-2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [204, 92], [116, 8], [0, 0]], [[0, 0], [-9346, -14078], [-3606, -5064], [0, -6]], [[0, 0], [1808, 6754], [26, 2874], [10, -4]]], 0, 20480, [], [] >,
< [ -1, -1, 1 ], [[6400, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [124, -88], [-144, 88], [0, 0]], [[0, 0], [-138, -84], [-32, 34], [-34, -2]], [[0, 0], [-1220, -1840], [60, 180], [-180, -240]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-204, -52], [-76, -8], [0, 0]], [[0, 0], [2786, 3258], [934, 932], [-24, -2]], [[0, 0], [-4180, -2640], [-1560, -620], [60, -20]]], 0, 614400, [], [] >,
< [ -1, -1, 1 ], [[640, -320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 12], [-32, -16], [0, 0]], [[0, 0], [6, 1], [5, 1], [1, 0]], [[0, 0], [0, 0], [-44, 28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 28], [-12, 24], [0, 0]], [[0, 0], [6, 1], [9, 1], [1, 0]], [[0, 0], [0, 0], [-116, 72], [0, 0]]], 0, 1920, [], [] >,
< [ -1, -1, 1 ], [[640, -320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -32], [-12, 24], [0, 0]], [[0, 0], [6, 1], [1, 1], [1, 0]], [[0, 0], [64, -48], [-104, 68], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -12], [-72, 44], [0, 0]], [[0, 0], [6, 1], [-7, 1], [1, 0]], [[0, 0], [12, 16], [0, 0], [0, 0]]], 0, 1280, [], [] >,
< [ -1, -1, 1 ], [[1600, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -60], [44, -8], [0, 0]], [[0, 0], [25, -385], [273, -46], [16, -7]], [[0, 0], [190, 30], [122, -124], [8, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -120], [-60, 40], [0, 0]], [[0, 0], [281, -362], [-200, 135], [17, -9]], [[0, 0], [-624, -567], [137, -29], [-5, 10]]], 0, 38400, [], [] >,
< [ -1, -1, 1 ], [[1600, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 28], [-20, 60], [0, 0]], [[0, 0], [10, 20], [-3148, 1906], [2, 6]], [[0, 0], [-5, -20], [8886, -5457], [1, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 128], [16, 28], [0, 0]], [[0, 0], [-40, 25], [5, -5], [15, -10]], [[0, 0], [-10, 5], [-3, 1], [-7, 4]]], 0, 38400, [], [] >,
< [ -1, -1, 1 ], [[4800, -1600]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, 18], [6, -2], [0, 0]], [[0, 0], [85, 270], [-11, -33], [-4, -2]], [[0, 0], [143, -76], [-17, 9], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-67, 24], [13, -11], [0, 0]], [[0, 0], [-76, -88], [-6, -18], [38, -26]], [[0, 0], [0, 0], [0, 0], [22, -14]]], 0, 192000, [], [] >,
< [ -1, -1, 1 ], [[2560, -1280]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 12], [80, 40], [0, 0]], [[0, 0], [-50, 28], [-140, 70], [6, -6]], [[0, 0], [2, 2], [2, 16], [0, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, 40], [56, -52], [0, 0]], [[0, 0], [98, -76], [-92, 14], [10, 10]], [[0, 0], [0, -2], [6, -2], [-2, 0]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [124, -48], [56, -12], [0, 0]], [[0, 0], [-98, 14], [-74, 8], [4, -2]], [[0, 0], [68, 164], [60, 120], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-272, 84], [-120, -20], [0, 0]], [[0, 0], [-14686, -14542], [-13194, -18392], [-4, 10]], [[0, 0], [192122, 118646], [146882, 176036], [120, -150]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[40, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -5], [3, -6], [0, 0]], [[0, 0], [-27/2, 17], [-6, 13/2], [-1/2, -1/2]], [[0, 0], [47, -29], [18, -11], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 41], [7, -4], [0, 0]], [[0, 0], [-31, -91/2], [-3/2, -1/2], [-1/2, -2]], [[0, 0], [12, 26], [-2, 2], [2, 0]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[320, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -42], [34, -8], [0, 0]], [[0, 0], [-14, 3], [-1, 1], [1, 0]], [[0, 0], [572, 426], [-286, 52], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 18], [32, 6], [0, 0]], [[0, 0], [-14, 3], [-1, 1], [1, 0]], [[0, 0], [-20, 10], [-14, 8], [0, 0]]], 0, 1536, [], [] >,
< [ -1, -1, 1 ], [[320, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-122, 4], [10, 10], [0, 0]], [[0, 0], [6, 3], [-1, 1], [1, 0]], [[0, 0], [-486, 212], [22, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, -102], [-14, 8], [0, 0]], [[0, 0], [6, 3], [-1, 1], [1, 0]], [[0, 0], [16, 8], [0, 0], [0, 0]]], 0, 1536, [], [] >,
< [ -1, -1, 1 ], [[320, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -18], [24, 2], [0, 0]], [[0, 0], [18, -1], [-1, 1], [1, 0]], [[0, 0], [40, -100], [364, -168], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -38], [28, 34], [0, 0]], [[0, 0], [-2, -1], [-1, 1], [1, 0]], [[0, 0], [-6, -8], [2, 6], [0, 0]]], 0, 1536, [], [] >,
< [ -1, -1, 1 ], [[960, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 14], [24, -8], [0, 0]], [[0, 0], [-11, -7], [3632/5, -2284/5], [26/5, 3/5]], [[0, 0], [72, 192], [25852/5, -15304/5], [-24/5, -312/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 4], [-12, 24], [0, 0]], [[0, 0], [273, -181], [-2572/5, 1584/5], [14/5, -3/5]], [[0, 0], [213, -216], [-2336/5, 1392/5], [27/5, 21/5]]], 0, 10240, [], [] >,
< [ -1, -1, 1 ], [[4800, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, -22], [8, -36], [0, 0]], [[0, 0], [4, -3], [-8, 0], [1, 0]], [[0, 0], [-554, 328], [-252, 224], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [194, -138], [64, -48], [0, 0]], [[0, 0], [-2, -1], [-8, 0], [1, 0]], [[0, 0], [-102, 114], [-32, 44], [0, 0]]], 0, 307200, [], [] >,
< [ -1, -1, 1 ], [[960, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -22], [6, -10], [0, 0]], [[0, 0], [238, 312], [156, 228], [6, 10]], [[0, 0], [-248, 148], [-84, 48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -30], [-8, 10], [0, 0]], [[0, 0], [-1790/11, 684/11], [-1296/11, -1590/11], [-136/11, -10/11]], [[0, 0], [-5540, 2292], [-3580, -4200], [-408, 0]]], 0, 12288, [], [] >,
< [ -1, -1, 1 ], [[960, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 12], [-28, -4], [0, 0]], [[0, 0], [-42, 26], [-252/5, 44/5], [14/5, 2/5]], [[0, 0], [-1, 0], [-8/5, -4/5], [1/5, 3/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-824, -12], [-48, -4], [0, 0]], [[0, 0], [-8472/11, -16637/11], [896/55, -5592/55], [83/55, 4/55]], [[0, 0], [-2149/11, 1277/11], [-2124/55, 1268/55], [-32/55, 19/55]]], 0, 12288, [], [] >,
< [ -1, -1, 1 ], [[960, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, 60], [-24, 48], [0, 0]], [[0, 0], [2, 1], [17, 5], [1, 0]], [[0, 0], [-8, 16], [12, 36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [272, -4], [-144, -12], [0, 0]], [[0, 0], [-82977/11, 1959/11], [35053/11, 2344/11], [-34/11, 3/11]], [[0, 0], [393604, 38432], [-168140, -33192], [160, 4]]], 0, 15360, [], [] >,
< [ -1, -1, 1 ], [[-5120, 1280]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 36], [20, -8], [0, 0]], [[0, 0], [250/19, -816/19], [-4, -5], [-5/19, 4/19]], [[0, 0], [-1808/19, -2456/19], [-18, -30], [4/19, 2/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 24], [20, -8], [0, 0]], [[0, 0], [5872/19, 4472/19], [124, -36], [0, 4/19]], [[0, 0], [1712/19, -1438/19], [89, -57], [-2/19, 1/19]]], 0, 245760, [], [] >,
< [ -1, -1, 1 ], [[-1280, 320]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 20], [-8, 20], [0, 0]], [[0, 0], [31800/19, -20399/19], [2379/2, -1589/2], [-2/19, -5/38]], [[0, 0], [-66/19, -105/19], [-11/2, -17/2], [-1/19, -3/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9784/11, -436/11], [160/11, 4/11], [0, 0]], [[0, 0], [-15928201/209, 7350979/209], [27777/22, -6471/11], [-5/38, -1/38]], [[0, 0], [-55469960/209, 15703104/209], [48252/11, -14076/11], [-12/19, -8/19]]], 0, 15360, [], [] >,
< [ -1, -1, 1 ], [[-1280, 320]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5027322/751, 4534/751], [39536/751, -12/751], [0, 0]], [[0, 0], [-111924035179/751, 20564450590/751], [880090932/751, -161292842/751], [299/751, 5/751]], [[0, 0], [-13979975523462/751, 6444557133909/751], [109910370150/751, -50645577970/751], [34695/751, -12870/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51005044/751, 14992/751], [50584/751, 12/751], [0, 0]], [[0, 0], [-12400465407391/8261, 77636797542/8261], [-12306473204/8261, 77624798/8261], [-32745/8261, 5/8261]], [[0, 0], [-46589921513024254/8261, 17465347114776105/8261], [-46237585819998/8261, 17334321862718/8261], [-122747837/8261, 45648502/8261]]], 0, 15360, [], [] >,
< [ -1, -1, 1 ], [[-1280, 320]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [163, -60], [-15, 5], [0, 0]], [[0, 0], [27, 15], [-6, -3], [10, 4]], [[0, 0], [-55, -7], [12, 1], [-20, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75, 28], [-1, -3], [0, 0]], [[0, 0], [-331/11, 1631/11], [250/11, 75/11], [-20/11, -6/11]], [[0, 0], [13708/11, -5286/11], [-1600/11, 1500/11], [128/11, -120/11]]], 0, 18432, [], [] >,
< [ -1, -1, 1 ], [[-1280, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [736, -32], [4, 12], [0, 0]], [[0, 0], [-38, 1], [5, 1], [1, 0]], [[0, 0], [-76, 52], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [336, -512], [16, 28], [0, 0]], [[0, 0], [-9032/11, -14011/11], [3057/11, 179/11], [47/11, 2/11]], [[0, 0], [-22480/11, -34420/11], [13468/11, -3224/11], [208/11, -52/11]]], 0, 18432, [], [] >,
< [ -1, -1, 1 ], [[-2560, 3840]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 12], [-4, 8], [0, 0]], [[0, 0], [471/7, -81/7], [279, 32], [68/77, 5/77]], [[0, 0], [-378, 574], [-810, 2820], [-32/11, 96/11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, -22], [54, 2], [0, 0]], [[0, 0], [13598/7, -1486/7], [-1166, 292], [8/77, -2/77]], [[0, 0], [2057, -17876/7], [-1454, 1453], [1/7, -1/7]]], 0, 245760, [], [] >,
< [ -1, -1, 1 ], [[-640, 960]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -4], [20, 10], [0, 0]], [[0, 0], [1333/14, 192/7], [-87, -97/2], [1/22, 1/154]], [[0, 0], [521/2, -2697/14], [-381/2, 156], [12/77, -17/154]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [156, -96], [-20, 20], [0, 0]], [[0, 0], [133621/154, -44201/77], [-2102/11, -107/22], [-1/154, -5/154]], [[0, 0], [1979114/77, -1232376/77], [-45504/11, 23838/11], [18/77, -20/77]]], 0, 15360, [], [] >,
< [ -1, -1, 1 ], [[-640, 960]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-858610/751, 8020/751], [6852/751, -4/751], [0, 0]], [[0, 0], [-656937125/751, 222060221/751], [5224868/751, -1743086/751], [-1, 0]], [[0, 0], [393416477770/751, -189895177264/751], [-3125344624/751, 1501384968/751], [409596/751, -118784/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46356760/751, -510/751], [23188/751, 4/751], [0, 0]], [[0, 0], [-4720412493419/8261, 249840101142/8261], [2363115274/8261, -124590718/8261], [9974/8261, -1/8261]], [[0, 0], [-9625587489735267/8261, 3102350371681130/8261], [4818444520726/8261, -1552397561062/8261], [20031890/8261, -5803417/8261]]], 0, 15360, [], [] >,
< [ -1, -1, 1 ], [[-640, 960]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, 7], [-16, 7], [0, 0]], [[0, 0], [-42, 12], [-36, 12], [2, 2]], [[0, 0], [-18, 16], [-16, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, 40], [-5, -5], [0, 0]], [[0, 0], [-2170/11, 934/11], [322/11, -164/11], [16/11, -2/11]], [[0, 0], [-365/11, 1169/11], [90/11, -135/11], [-4/11, -16/11]]], 0, 18432, [], [] >,
< [ -1, -1, 1 ], [[-640, 960]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 92], [40, 20], [0, 0]], [[0, 0], [30, 1], [-3, 1], [1, 0]], [[0, 0], [-4, -32], [8, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-436, 32], [-76, 52], [0, 0]], [[0, 0], [-6049/11, -23833/11], [2061/11, -1172/11], [-26/11, -5/11]], [[0, 0], [162/11, 769/11], [21/11, 73/11], [1/11, 4/11]]], 0, 18432, [], [] >,
< [ -1, -1, 1 ], [[-1600, 320]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 4], [0, 20], [0, 0]], [[0, 0], [-5368, -2], [6724/7, 7], [-1/7, 0]], [[0, 0], [226607592/2759, -194073264/2759], [-102272/7, 88008/7], [42228/19313, -36156/19313]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -40], [0, -16], [0, 0]], [[0, 0], [-8122091106/30349, -3190680/30349], [-1077955/77, -3600/77], [-20173/212443, -3/212443]], [[0, 0], [-1779304170968/30349, 505291948396/30349], [-235949492/77, 66563656/77], [-4419600/212443, 1255776/212443]]], 0, 27648, [], [] >,
< [ -1, -1, 1 ], [[-1600, 320]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, 85], [0, -5], [0, 0]], [[0, 0], [182, 28], [-16, 2], [4, 0]], [[0, 0], [676, -360], [-70, 40], [18, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2133, 376], [-1, -3], [0, 0]], [[0, 0], [-7874/11, 32202/11], [760/11, 30/11], [152/11, 6/11]], [[0, 0], [27049974/11, -1546200/11], [-416930/11, 535020/11], [-83386/11, 107004/11]]], 0, 30720, [], [] >,
< [ -1, -1, 1 ], [[960, -1280]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-332/33, 916/33], [-4/33, -16/33], [0, 0]], [[0, 0], [-470/33, 562/33], [-16/33, -31/33], [-14/33, -1/33]], [[0, 0], [-1240/33, 914/33], [-5/33, -20/33], [-25/33, 10/33]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1832/33, 728/33], [-32/33, 4/33], [0, 0]], [[0, 0], [-51604/33, -6718/11], [775/33, -16/11], [1/11, -2/33]], [[0, 0], [-1952/11, -11236/33], [12/11, 100/33], [0, 0]]], 0, 27648, [], [] >,
< [ -1, -1, 1 ], [[960, -1280]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, 119], [4, 7], [0, 0]], [[0, 0], [-118, -8], [0, 0], [4, 6]], [[0, 0], [-602, 372], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-410123/11, -6801/11], [-186/11, -3/11], [0, 0]], [[0, 0], [42864316, -156798], [19440, -80], [-4, -8]], [[0, 0], [-2016142818, 1307832570], [-914640, 593280], [-56, 10]]], 0, 30720, [], [] >,
< [ -1, -1, 1 ], [[1920, -320]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 57], [9, -8], [0, 0]], [[0, 0], [-109, -17], [10, -5], [-10, -2]], [[0, 0], [-14, 0], [0, 0], [-2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-450429/11, -9798/11], [131/11, 3/11], [0, 0]], [[0, 0], [446612626/11, 8015794/11], [-129890/11, -2480/11], [10, 2]], [[0, 0], [5109176494/11, -5489926630/11], [-1484094/11, 1596748/11], [92, -124]]], 0, 46080, [], [] >,
< [ -1, -1, 1 ], [[-1280, 1600]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [184, -31], [5, 0], [0, 0]], [[0, 0], [-29, 355], [2, 11], [-4, 2]], [[0, 0], [-17, -90], [-1, -3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2123, -684], [5, -5], [0, 0]], [[0, 0], [4012246/11, -8398279/11], [29591/11, -212/11], [-30/11, 2/11]], [[0, 0], [320770730/11, -461015757/11], [1774439/11, -294128/11], [-1816/11, 388/11]]], 0, 46080, [], [] >,
< [ -1, -1, 1 ], [[-11840, 3520]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 40], [-97, 79], [0, 0]], [[0, 0], [40, -34], [-126, 12], [6, -2]], [[0, 0], [-61, 46], [155, -55], [-8, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-290673/11, -347/11], [-4090/11, 5/11], [0, 0]], [[0, 0], [-3762117870/11, 5467697/11], [-52934271/11, 204912/11], [-10, -2]], [[0, 0], [4562769746280/11, -4087120108087/11], [64338726043/11, -57523164286/11], [9940, -10612]]], 0, 1290240, [], [] >,
< [ -1, -1, 1 ], [[4800, -8320]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 6], [43, -61], [0, 0]], [[0, 0], [-412, 300], [10634, -6578], [2, -10]], [[0, 0], [-440, 342], [11648, -7196], [0, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3507, 133], [672, 1], [0, 0]], [[0, 0], [-178153175/11, -4626253/11], [-34178600/11, 340575/11], [-70/11, -10/11]], [[0, 0], [8186024156/11, -1270627133/11], [1580457125/11, -290487080/11], [3150/11, -188/11]]], 0, 1290240, [], [] >,
< [ -1, -1, 1 ], [[-8000, 2560]], [ -87, -36 ], [ -39, 18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37748/33, 108/11], [2384/33, -4/11], [0, 0]], [[0, 0], [60464204/33, -15584962/33], [-3814793/33, 974056/33], [-61/33, -2/33]], [[0, 0], [4059013796/33, -406272780/11], [-256051352/33, 25442338/11], [-1340/11, 134/33]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1732/33, 2048/33], [1156/33, 4/33], [0, 0]], [[0, 0], [2488966/33, -859000/33], [-615997/33, 884479/33], [-1/11, -5/33]], [[0, 0], [33272/3, -6880], [-12848/3, 2628], [0, 0]]], 0, 552960, [], [] >,
< [ -1, -1, 1 ], [[-8000, 2560]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 25], [-81, 32], [0, 0]], [[0, 0], [477, -268], [675, -255], [2, -6]], [[0, 0], [346, -126], [630, 120], [-4, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1642/11, -211/11], [-179/11, -2/11], [0, 0]], [[0, 0], [-5083027/11, -612215/11], [-554910/11, -4355/11], [0, 10]], [[0, 0], [85131525/11, -39239669/11], [9843840/11, -4846365/11], [88, -90]]], 0, 552960, [], [] >,
< [ -1, -1, 1 ], [[2880, -5440]], [ -523, 21 ], [ -21, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 16], [32, -52], [0, 0]], [[0, 0], [26828, 50], [3057356/7, -111], [5/7, 0]], [[0, 0], [2466987964/2759, -1262706100/2759], [102010400/7, -52261850/7], [460218/19313, -235752/19313]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1392, 4], [-284, -4], [0, 0]], [[0, 0], [-6177186010/30349, -14022974618/30349], [-274962437/77, -7125497/77], [-225832/212443, -5/212443]], [[0, 0], [8267793355146/30349, -44336236825888/30349], [-2979187794031/77, 1451932481158/77], [-2478582643/212443, 1224959565/212443]]], 0, 552960, [], [] >,
< [ -1, -1, 1 ], [[2880, -5440]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 21], [-19, 38], [0, 0]], [[0, 0], [-1141, 646], [-731, 637], [-2, 2]], [[0, 0], [176, -96], [102, -104], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3006, 117], [493, 4], [0, 0]], [[0, 0], [-714284246/11, -21788983/11], [-117177057/11, 6404/11], [-6/11, -4/11]], [[0, 0], [-427133, 169608], [-70959, 29103], [0, 0]]], 0, 552960, [], [] >,
< [ -1, -1, 1 ], [[-16640, 3840]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 28], [-20, 0], [0, 0]], [[0, 0], [206/7, 20/7], [-120, 70], [0, 2/7]], [[0, 0], [45/7, 64/7], [-2, -1], [1/7, 1/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 2], [-18, 6], [0, 0]], [[0, 0], [-15, -81/7], [3, 4], [-2/7, -5/7]], [[0, 0], [2/7, -19/7], [3, -1], [-1/7, 0]]], 0, 2949120, [], [] >,
< [ -1, -1, 1 ], [[-4160, 960]], [ -112, 14 ], [ -6, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -6], [-26, 2], [0, 0]], [[0, 0], [-1107/14, 130/7], [143, -437/2], [5/14, -1/14]], [[0, 0], [915/7, -1069/7], [-637, 84], [-4/7, 5/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 118], [22, -24], [0, 0]], [[0, 0], [47325/154, 80658/77], [4215/11, -5605/22], [-15/154, -5/154]], [[0, 0], [-264381/154, 298713/77], [51886/11, -65029/22], [-17/22, 41/154]]], 0, 184320, [], [] >,
< [ -1, -1, 1 ], [[-4160, 960]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [101825720/751, 9550/751], [-798692/751, -16/751], [0, 0]], [[0, 0], [482976900/751, 13043027444241/751], [3775046/751, -102298244092/751], [5375/751, 3/751]], [[0, 0], [-18336914453208002/751, 291606005929635906/751], [143998652139632/751, -2287116336412584/751], [127727516/751, -7494256/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1764634, -2], [880, 0], [0, 0]], [[0, 0], [3760172336375622/8261, -28973917534477/8261], [-1875143434586/8261, 14451830212/8261], [57523/8261, 5/8261]], [[0, 0], [31483413931551709786/8261, -2100974434366715285/8261], [-15700323599605830/8261, 1047748772266600/8261], [481409025/8261, -28612559/8261]]], 0, 184320, [], [] >,
< [ -1, -1, 1 ], [[-4160, 960]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [165, 99], [400, 5], [0, 0]], [[0, 0], [378256, -486808], [1736960, -1391040], [-10, 8]], [[0, 0], [-13627740, 62178078], [-113857728, 137827776], [656, -792]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1797, -60], [251, 3], [0, 0]], [[0, 0], [-11534427/11, -42883842/11], [1487533/11, 5836249/11], [16/11, -2/11]], [[0, 0], [800373907/11, 580508490/11], [-110193229/11, -77128327/11], [292/11, -350/11]]], 0, 184320, [], [] >,
< [ -1, -1, 1 ], [[-4160, 960]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1036, -8], [68, -36], [0, 0]], [[0, 0], [50, 1], [57, 1], [1, 0]], [[0, 0], [28, 24], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [348, -16], [56, 48], [0, 0]], [[0, 0], [-286329/11, 197223/11], [-26099/11, 8948/11], [-70/11, -5/11]], [[0, 0], [924640, -603452], [77820, -36760], [188, -40]]], 0, 184320, [], [] >,
< [ -1, -1, 1 ], [[8960, -12800]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [324, 60], [316, 20], [0, 0]], [[0, 0], [-901102/19, 1190390/19], [-53661, 60740], [5/19, -5/19]], [[0, 0], [1571542/19, -508218/19], [85039, -32400], [-7/19, 3/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 56], [144, 8], [0, 0]], [[0, 0], [-37492/19, -38586/19], [-401, -5397], [0, -1/19]], [[0, 0], [44, -112], [-400, 100], [0, 0]]], 0, 2949120, [], [] >,
< [ -1, -1, 1 ], [[2240, -3200]], [ -133, -19 ], [ -6, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 20], [-64, 16], [0, 0]], [[0, 0], [258/19, 24/19], [56, -47], [1/19, 0]], [[0, 0], [-91/19, -12/19], [-18, 31/2], [-1/38, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42076/11, 608/11], [780/11, -8/11], [0, 0]], [[0, 0], [-30879/209, 45062/209], [151/11, -587/22], [1/38, -1/19]], [[0, 0], [-4134/209, 2095/209], [501/22, -249/22], [1/19, -1/38]]], 0, 184320, [], [] >,
< [ -1, -1, 1 ], [[2240, -3200]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18495756/751, 4478/751], [-144676/751, 12/751], [0, 0]], [[0, 0], [2256314197059/751, -243082192890/751], [-17649683260/751, 1906541758/751], [3125/751, -3/751]], [[0, 0], [-8711849494558198/751, 8284202565694044/751], [68165883754680/751, -64800760816552/751], [-10832432/751, 11551696/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-846563376/751, -19498/751], [-846644/751, -12/751], [0, 0]], [[0, 0], [9110674530030741/8261, -84051593031991/8261], [9111545479678/8261, -84139679020/8261], [11386/8261, -3/8261]], [[0, 0], [75052193852547505477/8261, -79200229584897962069/8261], [75060064880236086/8261, -79207757589142012/8261], [92908360/8261, -99035075/8261]]], 0, 184320, [], [] >,
< [ -1, -1, 1 ], [[2240, -3200]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -15], [41, -2], [0, 0]], [[0, 0], [1410, -4666], [40792, -20384], [-8, 8]], [[0, 0], [119132, 59122], [667616, -581472], [-228, 34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2021, 68], [199, -3], [0, 0]], [[0, 0], [218298/11, 26600/11], [-22530/11, -3250/11], [-94/11, -4/11]], [[0, 0], [1898312/11, -372872/11], [-194618/11, 35196/11], [-832/11, 208/11]]], 0, 184320, [], [] >,
< [ -1, -1, 1 ], [[2240, -3200]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, -16], [28, 4], [0, 0]], [[0, 0], [22, 1], [-55, 1], [1, 0]], [[0, 0], [-24, 28], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [856, -192], [-108, 16], [0, 0]], [[0, 0], [1345121/11, 319328/11], [-176058/11, -62647/11], [-13/11, -5/11]], [[0, 0], [-19816663/11, 22369616/11], [2238370/11, -2891675/11], [159/11, -213/11]]], 0, 184320, [], [] >,
< [ -1, -1, 1 ], [[2880, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -14], [12, 36], [0, 0]], [[0, 0], [-93, 56], [48, -24], [1, -1]], [[0, 0], [-119, 66], [336/5, -72/5], [3/5, -11/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 2], [156, -72], [0, 0]], [[0, 0], [311, 943], [2472/5, -11664/5], [16/5, 3/5]], [[0, 0], [-4664, -572], [124908/5, -46356/5], [144/5, -128/5]]], 0, 102400, [], [] >,
< [ -1, -1, 1 ], [[14400, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-170, 10], [-300, -60], [0, 0]], [[0, 0], [4, -3], [12, 0], [1, 0]], [[0, 0], [3716, -152], [6588, 1464], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, 78], [36, 48], [0, 0]], [[0, 0], [-2, -1], [12, 0], [1, 0]], [[0, 0], [-50, 30], [0, 0], [0, 0]]], 0, 3072000, [], [] >,
< [ -1, -1, 1 ], [[2880, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 28], [18, 24], [0, 0]], [[0, 0], [480, -260], [-54, 90], [4, -6]], [[0, 0], [420, -306], [-108, -6], [8, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 62], [-24, -18], [0, 0]], [[0, 0], [2928/11, -1634/11], [1116/11, -576/11], [-54/11, 8/11]], [[0, 0], [-32/11, -14/11], [-36/11, -24/11], [6/11, 4/11]]], 0, 122880, [], [] >,
< [ -1, -1, 1 ], [[2880, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 28], [84, -108], [0, 0]], [[0, 0], [482, -188], [-8616/5, 1032/5], [-8/5, -4/5]], [[0, 0], [616, -525], [-7992/5, 10584/5], [-1/5, 12/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-444, 8], [24, 12], [0, 0]], [[0, 0], [9580/11, 1422/11], [-26832/55, -3456/55], [124/55, 2/55]], [[0, 0], [344859/11, -99137/11], [-973176/55, 290352/55], [4692/55, -1679/55]]], 0, 122880, [], [] >,
< [ -1, -1, 1 ], [[2880, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 84], [-120, -60], [0, 0]], [[0, 0], [-6, -3], [17, 5], [1, 0]], [[0, 0], [-72, 24], [-12, 84], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5076, -48], [276, -12], [0, 0]], [[0, 0], [90387750/11, 9126375/11], [-4889465/11, -214077/11], [-5/11, 4/11]], [[0, 0], [-180828, -651324], [7980, 33060], [0, 0]]], 0, 122880, [], [] >,
< [ -1, -1, 1 ], [[8640, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -87], [-9, -12], [0, 0]], [[0, 0], [-435, 293], [-6, -13], [2, 8]], [[0, 0], [9124, -5721], [-5, 60], [30, -50]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -87], [45, -30], [0, 0]], [[0, 0], [-660, -377], [-333, 196], [4, -8]], [[0, 0], [337, 792], [-113, 81], [6, 4]]], 0, 1105920, [], [] >,
< [ -1, -1, 1 ], [[-120, 40]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [65/2, -35/2], [9, -1/2], [0, 0]], [[0, 0], [43/2, 53/2], [12, 37/2], [-2, -5/2]], [[0, 0], [315/2, -69], [49/2, 7/2], [-14, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17/2, -23/2], [10, 5/2], [0, 0]], [[0, 0], [-154, 132], [1034, -658], [-25/2, 0]], [[0, 0], [44, -121/2], [-705/2, 235], [6, 3]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[960, -320]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -23], [-6, -3], [0, 0]], [[0, 0], [-299, 164], [83, -51], [-8, -6]], [[0, 0], [4, 8], [0, 0], [2, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 3], [5, 0], [0, 0]], [[0, 0], [-3, -1], [-8, 1], [-6, 12]], [[0, 0], [12, -8], [44, -28], [64, -38]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[960, -320]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, -31], [-6, -3], [0, 0]], [[0, 0], [6, 2], [0, 0], [1, 0]], [[0, 0], [-23, 16], [3, -1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29, -12], [-13, 1], [0, 0]], [[0, 0], [-767, 437], [-480, 285], [4, 7]], [[0, 0], [-2916, 1801], [-1845, 1140], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[960, -320]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -18], [-22, 4], [0, 0]], [[0, 0], [-1, 1], [2, 1], [1, 0]], [[0, 0], [4, -8], [-10, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -10], [10, 0], [0, 0]], [[0, 0], [128, -123], [-63, 46], [-15, 5]], [[0, 0], [112, -46], [-48, 26], [-9, 8]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[960, -320]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 45], [3, 4], [0, 0]], [[0, 0], [6, 2], [0, 0], [1, 0]], [[0, 0], [-72, 44], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -14], [-4, -2], [0, 0]], [[0, 0], [-123, 74], [105, -65], [5, 0]], [[0, 0], [0, -2], [0, 0], [1, 3]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[-120, 40]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31/2, -24], [-17/2, -1/2], [0, 0]], [[0, 0], [-42, -97/2], [-143/2, 33], [2, 1]], [[0, 0], [0, 2], [0, 0], [0, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-73/2, -29/2], [-15, -5/2], [0, 0]], [[0, 0], [-740, 405], [-357, 204], [5/2, -1/2]], [[0, 0], [0, 0], [0, 0], [1/2, 1]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[960, -320]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 18], [-7, 9], [0, 0]], [[0, 0], [-48, -81], [-1505, 910], [2, -6]], [[0, 0], [45, 74], [721, -427], [0, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -21], [-11, 12], [0, 0]], [[0, 0], [-193, 216], [45, -165], [8, 10]], [[0, 0], [0, 0], [0, 0], [4, -2]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[960, -320]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -38], [10, 0], [0, 0]], [[0, 0], [6, 0], [0, 0], [1, 0]], [[0, 0], [91, -52], [19, -13], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 28], [-6, 2], [0, 0]], [[0, 0], [10, 0], [0, 0], [1, 0]], [[0, 0], [-64, 33], [-15, 10], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[960, -320]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51, -72], [1, -7], [0, 0]], [[0, 0], [0, 2], [0, 0], [1, 0]], [[0, 0], [1114, -853], [55, -60], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -19], [-17, 14], [0, 0]], [[0, 0], [4, 2], [0, 0], [1, 0]], [[0, 0], [0, -10], [-2, 4], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[960, -320]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -52], [-6, 2], [0, 0]], [[0, 0], [10, 2], [0, 0], [1, 0]], [[0, 0], [-65, 0], [1, -7], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 38], [-14, 8], [0, 0]], [[0, 0], [-6, 2], [0, 0], [1, 0]], [[0, 0], [-40, 25], [-29, 18], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[-8960, 5120]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -20], [120, -40], [0, 0]], [[0, 0], [-6, -52], [136, -162], [6, -10]], [[0, 0], [442, 208], [2356, -782], [130, -26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [360, -280], [76, 8], [0, 0]], [[0, 0], [17642, 6618], [-6166, -12868], [0, -6]], [[0, 0], [15870, -11462], [2898, -216], [4, -2]]], 0, 122880, [], [] >,
< [ -1, -1, 1 ], [[-8960, 5120]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-380, 160], [-12, -16], [0, 0]], [[0, 0], [-1516, 798], [-18, 6], [6, 0]], [[0, 0], [10120, -5918], [114, -58], [-34, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180, 0], [-72, 4], [0, 0]], [[0, 0], [422, -2512], [-276, 982], [10, -6]], [[0, 0], [-680, -1320], [240, 480], [0, 0]]], 0, 122880, [], [] >,
< [ -1, -1, 1 ], [[-120, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, -41], [-5, 10], [0, 0]], [[0, 0], [125/2, -80], [-74, -187/2], [-3/2, -3/2]], [[0, 0], [479, -611/2], [-169/2, 37/2], [-5/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, 38], [20, -10], [0, 0]], [[0, 0], [-695/2, -815/2], [225/2, 137], [1, 3/2]], [[0, 0], [153, -86], [-45, 25], [0, 0]]], 1, 120, [], [] >,
< [ -1, -1, 1 ], [[-960, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [158, -26], [-40, 30], [0, 0]], [[0, 0], [4, -3], [3, 3], [1, 0]], [[0, 0], [-152, 314], [90, -40], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166, 12], [-50, -10], [0, 0]], [[0, 0], [12, 1], [3, 3], [1, 0]], [[0, 0], [-550, 200], [-150, 30], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[-960, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, -24], [10, -50], [0, 0]], [[0, 0], [-16, -3], [3, 3], [1, 0]], [[0, 0], [122, -14], [0, -70], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -38], [-30, 0], [0, 0]], [[0, 0], [4, -3], [3, 3], [1, 0]], [[0, 0], [14, -8], [50, -30], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[-960, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82, -154], [20, -50], [0, 0]], [[0, 0], [4, -3], [3, 3], [1, 0]], [[0, 0], [220, -200], [60, -60], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 42], [-40, -30], [0, 0]], [[0, 0], [-8, 1], [3, 3], [1, 0]], [[0, 0], [-14, -12], [10, 10], [0, 0]]], 0, 7680, [], [] >,
< [ -1, -1, 1 ], [[2880, -960]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, 24], [-14, 8], [0, 0]], [[0, 0], [-372, -1026], [-68, 56], [10, -10]], [[0, 0], [-94, -255], [-17, 14], [2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41, -48], [13, -1], [0, 0]], [[0, 0], [1998, -446], [-1974, 1148], [4, 2]], [[0, 0], [8590, -4322], [-9660, 5880], [12, -2]]], 0, 76800, [], [] >,
< [ -1, -1, 1 ], [[2880, -960]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 20], [-2, -6], [0, 0]], [[0, 0], [20, -17], [35, -20], [-2, 0]], [[0, 0], [-3, 1], [-4, 3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 38], [-8, 6], [0, 0]], [[0, 0], [-101, -334], [-71, 37], [2, 8]], [[0, 0], [-2061, 813], [1652, -1029], [56, -24]]], 0, 76800, [], [] >,
< [ -1, -1, 1 ], [[-1920, 2240]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30200, 30], [-60, 0], [0, 0]], [[0, 0], [-15394103/751, 8318451/751], [32338/751, -21296/751], [-2374/751, 3/751]], [[0, 0], [-3965043012/751, 2554869591/751], [8939830/751, -5410798/751], [-406999/751, 379316/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-449085654/751, -104602/751], [-87472/751, -16/751], [0, 0]], [[0, 0], [293876181993857/8261, -15714957758294/8261], [57238181600/8261, -3063715750/8261], [-39593/8261, 1/8261]], [[0, 0], [11040651207122118748/8261, -9855731927829046240/8261], [2150482026407424/8261, -1919605067194052/8261], [-1416768236/8261, 1322810996/8261]]], 0, 76800, [], [] >,
< [ -1, -1, 1 ], [[-2560, 320]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4528430/751, -39080/751], [-35576/751, 12/751], [0, 0]], [[0, 0], [-64604840552/751, 53596237084/751], [504052088/751, -420358556/751], [4084/751, 2/751]], [[0, 0], [80012589007213/751, -42770641175187/751], [-625814527356/751, 333584421902/751], [-2665741/751, 2882034/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13723240/751, 45570/751], [6852/751, -4/751], [0, 0]], [[0, 0], [-22149272748/8261, 6705839225/8261], [5667350/8261, -3263100/8261], [41001/8261, 5/8261]], [[0, 0], [1227959866715576/8261, -978079620246060/8261], [-384139137172/8261, 244927947444/8261], [-1711766992/8261, 1853354620/8261]]], 0, 76800, [], [] >,
< [ -1, -1, 1 ], [[-6080, 7360]], [ -178, -8 ], [ -32, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102691840/751, 21000/751], [805544/751, 12/751], [0, 0]], [[0, 0], [512226701/751, -310760506/751], [-4012010/751, 2430970/751], [-3122/751, -3/751]], [[0, 0], [4169632000485/751, -2618604770470/751], [-32637561894/751, 20519094738/751], [-12365500/751, 21482125/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [318015990/751, 30550/751], [-158368/751, -4/751], [0, 0]], [[0, 0], [-318760411864205/8261, 14434196315813/8261], [158737155176/8261, -7199078962/8261], [-21357/8261, -2/8261]], [[0, 0], [93046884814041328/8261, -147324832085393008/8261], [-46340965336324/8261, 73362982786108/8261], [5777452/8261, -10065290/8261]]], 0, 921600, [], [] >,
< [ -1, -1, 1 ], [[8640, -1280]], [ -186, 8 ], [ -25, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-252791564/751, 35538/751], [502508/751, 4/751], [0, 0]], [[0, 0], [40675481184336/751, -203223056321851/751], [-80796075198/751, 404021983902/751], [1171/751, 2/751]], [[0, 0], [887268781834180420/751, -1352430257060959829/751], [-1763344265211534/751, 2688545897166034/751], [10237217/751, -3050260/751]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3214455020/751, 95080/751], [-626640/751, 20/751], [0, 0]], [[0, 0], [-3577923187515401/8261, 238520962420485/8261], [-697496893978/8261, 46500160524/8261], [-31332/8261, 1/8261]], [[0, 0], [21353612355798462101/8261, -7217895074776989237/8261], [4162775057564942/8261, -1407097165481924/8261], [183354472/8261, -54629939/8261]]], 0, 921600, [], [] >,
< [ -1, -1, 1 ], [[8640, -2880]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, 93], [69, 12], [0, 0]], [[0, 0], [6138, 8136], [8112, -144], [0, -6]], [[0, 0], [2015, 9894], [-19879, 16833], [-12, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 72], [24, 12], [0, 0]], [[0, 0], [-103, 191], [-256, 167], [8, 4]], [[0, 0], [303, -59], [402, -239], [-2, 10]]], 0, 614400, [], [] >,
< [ -1, -1, 1 ], [[8640, -2880]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 21], [-9, -12], [0, 0]], [[0, 0], [-83, 71], [-2, -1], [2, 0]], [[0, 0], [-42, 24], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -18], [15, -15], [0, 0]], [[0, 0], [15, 9], [0, 15], [6, -6]], [[0, 0], [-8, 5], [7, -4], [-10, 6]]], 0, 614400, [], [] >,
< [ -1, -1, 1 ], [[1600, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 13], [-10, 15], [0, 0]], [[0, 0], [15, 1], [-12, 19], [-8, 4]], [[0, 0], [39, 33], [8, 59], [-12, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 10], [13, -11], [0, 0]], [[0, 0], [0, -24], [112, -64], [10, -10]], [[0, 0], [6, 18], [-40, 20], [-2, 4]]], 0, 38400, [], [] >,
< [ -1, -1, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 64], [-8, 8], [0, 0]], [[0, 0], [6, -7], [1, 1], [1, 0]], [[0, 0], [26, -16], [10, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 50], [-4, -10], [0, 0]], [[0, 0], [-2, -7], [1, 1], [1, 0]], [[0, 0], [-6, 2], [4, -2], [0, 0]]], 0, 256, [], [] >,
< [ -1, -1, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -78], [2, -4], [0, 0]], [[0, 0], [-2, -7], [1, 1], [1, 0]], [[0, 0], [58, -190], [4, -10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 120], [2, 10], [0, 0]], [[0, 0], [6, -7], [1, 1], [1, 0]], [[0, 0], [-86, 100], [-10, 10], [0, 0]]], 0, 256, [], [] >,
< [ -1, -1, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, -134], [-10, -8], [0, 0]], [[0, 0], [6, 1], [1, 1], [1, 0]], [[0, 0], [-168, 52], [-84, 48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74, 118], [-8, -10], [0, 0]], [[0, 0], [6, -7], [1, 1], [1, 0]], [[0, 0], [22, -14], [-16, 10], [0, 0]]], 0, 256, [], [] >,
< [ -1, -1, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -50], [-2, 4], [0, 0]], [[0, 0], [6, -7], [1, 1], [1, 0]], [[0, 0], [-46, 150], [-16, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -78], [-2, -8], [0, 0]], [[0, 0], [-2, -7], [1, 1], [1, 0]], [[0, 0], [-50, 114], [0, 10], [0, 0]]], 0, 256, [], [] >,
< [ -1, -1, 1 ], [[1024, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 24], [40, 40], [0, 0]], [[0, 0], [98, -48], [4, 122], [-10, 6]], [[0, 0], [-8, 16], [56, 80], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 72], [8, 40], [0, 0]], [[0, 0], [34, 34], [30, -16], [4, -6]], [[0, 0], [10, 4], [16, -10], [2, -2]]], 0, 16384, [], [] >,
< [ -1, -1, 1 ], [[1024, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, -152], [8, 0], [0, 0]], [[0, 0], [560, 694], [-22, 10], [-2, 8]], [[0, 0], [-804, 880], [212, -132], [56, -32]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-152, -172], [4, 0], [0, 0]], [[0, 0], [-100, 184], [0, 4], [-4, 4]], [[0, 0], [-26, -570], [-6, -16], [4, -10]]], 0, 16384, [], [] >,
< [ -1, -1, 1 ], [[1024, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 0], [-20, 20], [0, 0]], [[0, 0], [42, 10], [30, -8], [4, 2]], [[0, 0], [16, 30], [6, 10], [2, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -60], [20, -8], [0, 0]], [[0, 0], [-304, -530], [46, -18], [-10, -4]], [[0, 0], [-24, -328], [300, -180], [-40, 20]]], 0, 16384, [], [] >,
< [ -1, -1, 1 ], [[-3072, 1024]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -14], [2, 0], [0, 0]], [[0, 0], [28, 48], [0, 0], [8, 2]], [[0, 0], [-68, -76], [0, 0], [70, -56]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 8], [4, -4], [0, 0]], [[0, 0], [-14, 44], [-6, 2], [2, 0]], [[0, 0], [4, 22], [-2, 0], [0, 0]]], 0, 65536, [], [] >,
< [ -1, -1, 1 ], [[-48, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -22], [22, -24], [0, 0]], [[0, 0], [-341/2, -79], [-206, 93/2], [3/2, 1/2]], [[0, 0], [-1210, 1086], [-2562, 1732], [12, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 8], [-38, 26], [0, 0]], [[0, 0], [15/2, 11], [-26, -47/2], [-5/2, -3/2]], [[0, 0], [0, 1/2], [25/2, -17/2], [3/2, -1]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[-48, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -6], [26, -12], [0, 0]], [[0, 0], [721/2, 881/2], [-645/2, -11], [2, 1/2]], [[0, 0], [255/2, 71], [-235, 195/2], [3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 8], [10, 10], [0, 0]], [[0, 0], [2, 25/2], [-37/2, 21/2], [-5/2, -2]], [[0, 0], [-43/2, 8], [-83, 103/2], [-7/2, 7/2]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[-48, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 6], [8, -6], [0, 0]], [[0, 0], [-23/2, -31/2], [5/2, -10], [0, -5/2]], [[0, 0], [-3/2, 3/2], [11/2, -3], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -4], [14, -18], [0, 0]], [[0, 0], [-27/2, -6], [-10, -27/2], [-3/2, 5/2]], [[0, 0], [148, -33], [57, 45], [35, -28]]], 1, 32, [], [] >,
< [ -1, -1, 1 ], [[-48, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 8], [-6, 2], [0, 0]], [[0, 0], [-37/2, 7], [3, -3/2], [-3/2, 3/2]], [[0, 0], [11/2, -31/2], [-3/2, 2], [2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -14], [24, -18], [0, 0]], [[0, 0], [19, 147/2], [-47/2, 67/2], [1/2, 1]], [[0, 0], [30, -16], [50, -30], [0, 0]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[-64, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-116, -30], [10, -4], [0, 0]], [[0, 0], [5529/2, 3656], [-95, -113/2], [1/2, -1/2]], [[0, 0], [-924, -2748], [-40, 96], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [302, -2], [0, -2], [0, 0]], [[0, 0], [-50, 47/2], [7/2, -5/2], [-5/2, 1]], [[0, 0], [27/2, -13], [-1, 1/2], [1/2, -1/2]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[-64, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, 0], [-6, -2], [0, 0]], [[0, 0], [-601/2, -395], [-37, -93/2], [-5/2, -1/2]], [[0, 0], [1367, 1249], [175, 142], [20, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-206, -30], [4, -2], [0, 0]], [[0, 0], [41/2, -25], [2, 1/2], [-1/2, -5/2]], [[0, 0], [-80, 43], [-3, 3], [-3, 0]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[-64, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, 16], [-6, 2], [0, 0]], [[0, 0], [1369/2, 419/2], [-125/2, 20], [2, -1/2]], [[0, 0], [756, 508], [-56, 6], [2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, 58], [10, 4], [0, 0]], [[0, 0], [1008, 98], [68, 16], [-2, -2]], [[0, 0], [8511/2, -2474], [262, -299/2], [-7/2, 3/2]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[-64, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [368, 50], [10, 4], [0, 0]], [[0, 0], [-35173/2, -5964], [-499, -609/2], [5/2, 5/2]], [[0, 0], [-75/2, 37/2], [-1/2, 0], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, -52], [-8, -8], [0, 0]], [[0, 0], [-991/2, 316], [5, -19/2], [3/2, -1/2]], [[0, 0], [31/2, -17], [0, 1/2], [-1/2, 1/2]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[-32, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-216, -14], [-2, 0], [0, 0]], [[0, 0], [429/2, 17/2], [5/2, -2], [2, -1/2]], [[0, 0], [554, -1844], [24, -10], [10, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [166, 4], [6, 2], [0, 0]], [[0, 0], [12849/2, -2485/2], [433/2, 12], [-1, 1/2]], [[0, 0], [-66, -886], [-12, -42], [0, 0]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[-32, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-250, -14], [4, -2], [0, 0]], [[0, 0], [-175, -127], [-1, -2], [0, 1]], [[0, 0], [-1212, -295/2], [-5/2, -17/2], [-7/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 0], [-8, 8], [0, 0]], [[0, 0], [-49/2, 33], [-19, 33/2], [1/2, -1/2]], [[0, 0], [2, -4], [2, -2], [0, 0]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[-32, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98, -14], [4, -10], [0, 0]], [[0, 0], [-263/2, 585/2], [65/2, -3], [1, 3/2]], [[0, 0], [-408, 244], [44, -28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 22], [2, 0], [0, 0]], [[0, 0], [341/2, 115/2], [-1/2, -1], [1, 3/2]], [[0, 0], [-76, 48], [0, 0], [0, 0]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[-32, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -28], [-6, -6], [0, 0]], [[0, 0], [-758, 653], [75, 9], [-1, -2]], [[0, 0], [-79605/2, 49873/2], [4867/2, -1403], [6, -17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [210, 12], [-2, 6], [0, 0]], [[0, 0], [549/2, -889], [-24, -9/2], [5/2, 3/2]], [[0, 0], [-29/2, 15], [0, 1/2], [-1/2, 1/2]]], 1, 48, [], [] >,
< [ -1, -1, 1 ], [[-208, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, 46], [18, 28], [0, 0]], [[0, 0], [-3200, 3889/2], [-17/2, 29/2], [3/2, -2]], [[0, 0], [-55890, 35036], [-284, 38], [42, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, 4], [-14, 10], [0, 0]], [[0, 0], [132, 362], [-2, 2], [2, 0]], [[0, 0], [-483/2, -1287], [13, -21/2], [-21/2, 5/2]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-208, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, -14], [14, -32], [0, 0]], [[0, 0], [-11039/2, 16307], [5594, 511/2], [5/2, -5/2]], [[0, 0], [71253/2, 11694], [-2823, 22901/2], [-13/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, -24], [-18, -6], [0, 0]], [[0, 0], [-786, 953/2], [513/2, -57/2], [-1/2, -1]], [[0, 0], [362, -224], [-90, 58], [0, 0]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-208, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, 14], [24, -14], [0, 0]], [[0, 0], [-1247/2, -1625/2], [-31/2, 8], [-1, 1/2]], [[0, 0], [36, 56], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [166, 26], [-20, 30], [0, 0]], [[0, 0], [2681, -18961/2], [-4115/2, 397/2], [-5/2, -1]], [[0, 0], [-591496, 1150205/2], [375547/2, -174619/2], [363/2, -44]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-208, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 32], [-10, 26], [0, 0]], [[0, 0], [419, -50], [-472, 379], [1, 1]], [[0, 0], [-55801/2, 31697/2], [85113/2, -26884], [-28, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 42], [34, 4], [0, 0]], [[0, 0], [-7534, -3499], [-4671, 319], [-1, 0]], [[0, 0], [-205217, -58955/2], [-289289/2, 80357/2], [-61/2, 7]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[112, -160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-268, -10], [34, -36], [0, 0]], [[0, 0], [-17509/2, 173153], [24352, -1537/2], [5/2, 1/2]], [[0, 0], [18454197, 612915], [-2347317, 2473974], [-182, 259]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [284, 50], [18, 12], [0, 0]], [[0, 0], [40759/2, -14923/2], [1953/2, -100], [-2, -3/2]], [[0, 0], [-191873, 128587], [-7719, 5752], [6, -9]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[112, -160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [222, -28], [-22, -22], [0, 0]], [[0, 0], [-13301/2, 6433/2], [775/2, 49], [-2, 3/2]], [[0, 0], [-33/2, 15], [10, -19/2], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -14], [-26, 12], [0, 0]], [[0, 0], [41549/2, 28669/2], [-7193/2, -30], [-1, 1/2]], [[0, 0], [-272, -548], [12, 52], [0, 0]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[112, -160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [252, 36], [12, 8], [0, 0]], [[0, 0], [-147942, 107201/2], [-10785/2, 575/2], [1/2, 0]], [[0, 0], [-3464, 2890], [-90, 116], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, -40], [-24, -16], [0, 0]], [[0, 0], [-3281/2, 884], [203, -75/2], [3/2, 5/2]], [[0, 0], [-2050, 1266], [212, -130], [0, 0]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[112, -160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [152, 28], [32, -8], [0, 0]], [[0, 0], [52565/2, 27207/2], [9711/2, -100], [-2, 3/2]], [[0, 0], [929581, 1151368], [118410, 94559], [-19, 27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-306, -6], [-16, 26], [0, 0]], [[0, 0], [20627, -53584], [5636, -119], [1, -1]], [[0, 0], [94717/2, -466056], [41876, 20207/2], [11/2, -15/2]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[5120, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -58], [-26, -8], [0, 0]], [[0, 0], [-2658, 1690], [960, -570], [10, -8]], [[0, 0], [4, 4], [0, 0], [0, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, -92], [-34, -2], [0, 0]], [[0, 0], [-204, -188], [224, -208], [-4, 10]], [[0, 0], [-80, -348], [-428, 176], [16, 0]]], 0, 393216, [], [] >,
< [ -1, -1, 1 ], [[160, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 8], [16, 8], [0, 0]], [[0, 0], [15/2, 20], [17, 43/2], [1/2, 1/2]], [[0, 0], [2, -4], [-6, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, 8], [38, -26], [0, 0]], [[0, 0], [-3553/2, -427], [688, -1011/2], [-1/2, 5/2]], [[0, 0], [-10330, 1530], [5280, -3518], [-8, 12]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[160, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -6], [-28, 26], [0, 0]], [[0, 0], [-4, 11/2], [45/2, -11/2], [3/2, -2]], [[0, 0], [-14, 1/2], [47/2, -73/2], [9/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 34], [-6, -8], [0, 0]], [[0, 0], [-74, 23], [-3, -7], [-1, -2]], [[0, 0], [2963/2, -918], [-25, 29/2], [-9/2, 5/2]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[160, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 62], [-10, 20], [0, 0]], [[0, 0], [-727/2, 189/2], [-239/2, 22], [0, 3/2]], [[0, 0], [894, -931/2], [571/2, -283/2], [3/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, -12], [-8, 16], [0, 0]], [[0, 0], [159/2, -3/2], [-19/2, 20], [0, 1/2]], [[0, 0], [-34, 18], [8, -6], [0, 0]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[160, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -38], [-10, 0], [0, 0]], [[0, 0], [-536, 312], [124, -86], [-2, 0]], [[0, 0], [-270, 265/2], [109/2, -99/2], [-3/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 22], [-4, 18], [0, 0]], [[0, 0], [-19/2, 24], [24, -13/2], [-1/2, 1/2]], [[0, 0], [2, -4], [-6, 2], [0, 0]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[-240, 80]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 16], [-7, 9], [0, 0]], [[0, 0], [-197, -355/2], [-209/2, -36], [1/2, -1/2]], [[0, 0], [81, 33], [56, -7], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 2], [-2, 4], [0, 0]], [[0, 0], [-31, -33/2], [-23/2, -32], [-35/2, -5/2]], [[0, 0], [128, -84], [-54, 28], [99, -63]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-240, 80]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, -24], [7, -9], [0, 0]], [[0, 0], [45/2, 153/2], [5, 55/2], [1/2, -3/2]], [[0, 0], [-57, 21/2], [-53/2, 8], [3, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 4], [-2, 4], [0, 0]], [[0, 0], [-13, -27/2], [-29/2, -26], [-6, -1/2]], [[0, 0], [265/2, -341/2], [-122, -137/2], [405/2, -285/2]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-240, 80]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -21], [-15, 10], [0, 0]], [[0, 0], [35/2, 77], [25/2, -85/2], [1/2, -5/2]], [[0, 0], [-153/2, -2], [163/2, -61/2], [9/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -7], [-12, -11], [0, 0]], [[0, 0], [7/2, 7], [41/2, 23/2], [17/2, 1/2]], [[0, 0], [0, 5], [41, -12], [23, -11]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-240, 80]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-73/2, 18], [-17/2, -1/2], [0, 0]], [[0, 0], [2, 0], [0, 0], [1, 0]], [[0, 0], [66, -2], [30, 30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11/2, 1], [5/2, -5/2], [0, 0]], [[0, 0], [-4, -41], [21, -2], [-9, 8]], [[0, 0], [180, 648], [-252, -36], [85, -95]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-240, 80]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, 13], [12, 1], [0, 0]], [[0, 0], [486, -313], [-191, 142], [1, 2]], [[0, 0], [4108, -5099/2], [-3357/2, 1057], [-1/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 4], [4, 2], [0, 0]], [[0, 0], [17/2, -2], [3/2, 19/2], [-1, 5/2]], [[0, 0], [-29/2, 9], [11/2, -7/2], [4, -5/2]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-240, 80]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 5], [7, 6], [0, 0]], [[0, 0], [-9/2, 6], [-7/2, -11/2], [-1/2, -2]], [[0, 0], [-25, 17], [-2, -1], [2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, 26], [7, 1], [0, 0]], [[0, 0], [-53/2, 171/2], [23, 43/2], [5/2, 5/2]], [[0, 0], [417/2, -122], [-45/2, 35/2], [-5/2, 2]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-240, 80]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -5], [7, 6], [0, 0]], [[0, 0], [593/2, -453/2], [6, -139/2], [-2, 1/2]], [[0, 0], [-1933/2, 1271/2], [-87, 223/2], [5, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [47, -39], [-16, 7], [0, 0]], [[0, 0], [63/2, -231/2], [-36, -1/2], [0, 3/2]], [[0, 0], [179, -351/2], [-159/2, 34], [-3/2, 2]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-240, 80]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59/2, -16], [-17/2, -1/2], [0, 0]], [[0, 0], [-4, 0], [0, 0], [1, 0]], [[0, 0], [86, -2], [30, -10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23/2, 8], [11/2, 3/2], [0, 0]], [[0, 0], [0, 0], [0, 0], [1, 0]], [[0, 0], [-245, 160], [91, -7], [0, 0]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-240, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 20], [-30, 30], [0, 0]], [[0, 0], [17/2, -2], [14, -27/2], [1/2, 5/2]], [[0, 0], [35, -20], [80, -51], [-3, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 6], [-10, 40], [0, 0]], [[0, 0], [50, 145/2], [127/2, 197/2], [-1/2, 0]], [[0, 0], [-6, -8], [-10, -10], [0, 0]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-240, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 0], [-20, -40], [0, 0]], [[0, 0], [3195/2, -1000], [-227, 227/2], [5/2, -3/2]], [[0, 0], [58, 24], [50, 90], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 54], [50, 40], [0, 0]], [[0, 0], [1671/2, -867/2], [1207/2, -279], [2, -5/2]], [[0, 0], [-602, 489], [-399, 381], [-3, 0]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-240, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 40], [30, 30], [0, 0]], [[0, 0], [9, 9/2], [-21/2, -25/2], [1/2, 1]], [[0, 0], [102, -64], [-50, 30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, -8], [-50, 30], [0, 0]], [[0, 0], [97/2, 93], [-9, -27/2], [-3/2, -3/2]], [[0, 0], [-35/2, -35/2], [3/2, 3], [0, 1/2]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[-240, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 32], [10, 10], [0, 0]], [[0, 0], [-323/2, 221/2], [3/2, 9], [-2, 5/2]], [[0, 0], [-144, 73], [-9, -9], [-3, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74, -38], [40, -10], [0, 0]], [[0, 0], [247/2, 248], [242, 983/2], [-5/2, 3/2]], [[0, 0], [-108, -184], [-220, -360], [0, 0]]], 1, 480, [], [] >,
< [ -1, -1, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -18], [10, 8], [0, 0]], [[0, 0], [-113/2, 27], [112, 391/2], [1/2, 1/2]], [[0, 0], [260, -160], [28, -28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -12], [-8, 4], [0, 0]], [[0, 0], [383, 624], [20, 51], [-1, -1]], [[0, 0], [31/2, 81/2], [-43/2, 17], [-1, 1/2]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 40], [-8, 0], [0, 0]], [[0, 0], [419/2, -132], [35, -39/2], [-1/2, -3/2]], [[0, 0], [3/2, 5/2], [1/2, 1], [-1, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -22], [8, -6], [0, 0]], [[0, 0], [-11/2, -77/2], [-1/2, -13], [1, -5/2]], [[0, 0], [-83/2, -3], [-16, 1/2], [-9/2, 3/2]]], 1, 24, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -8], [-8, 40], [0, 0]], [[0, 0], [0, 1], [3, 3], [1, 0]], [[0, 0], [0, 0], [8, 8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 12], [-16, -12], [0, 0]], [[0, 0], [-4, -7], [-1, -1], [1, 0]], [[0, 0], [-4, 4], [-8, 4], [0, 0]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -8], [-40, 32], [0, 0]], [[0, 0], [-2, 3], [3, -3], [1, 0]], [[0, 0], [-56, -224], [-128, -32], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -16], [24, 16], [0, 0]], [[0, 0], [-2, -1], [-1, -3], [1, 0]], [[0, 0], [-40, 16], [-40, -40], [0, 0]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -52], [-8, -4], [0, 0]], [[0, 0], [6, 1], [1, 1], [1, 0]], [[0, 0], [72, -24], [16, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -136], [-20, -12], [0, 0]], [[0, 0], [-2, -7], [1, 1], [1, 0]], [[0, 0], [-1612, 12], [240, -300], [0, 0]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 40], [-16, -8], [0, 0]], [[0, 0], [-2, 1], [1, 1], [1, 0]], [[0, 0], [156, -92], [16, -20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -28], [4, 0], [0, 0]], [[0, 0], [6, -7], [1, 1], [1, 0]], [[0, 0], [-16, 0], [0, 0], [0, 0]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -40], [24, 8], [0, 0]], [[0, 0], [2, 1], [-3, -3], [1, 0]], [[0, 0], [-256, 64], [-24, 120], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 16], [40, 8], [0, 0]], [[0, 0], [2, -3], [1, -3], [1, 0]], [[0, 0], [-48, 8], [0, -112], [0, 0]]], 0, 1024, [], [] >,
< [ -1, -1, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -18], [-4, -6], [0, 0]], [[0, 0], [141/2, -65/2], [-7/2, -5], [-2, -3/2]], [[0, 0], [313, -198], [0, 3], [-3, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 2], [8, -6], [0, 0]], [[0, 0], [1097/2, 1324], [-63, -35/2], [-5/2, -5/2]], [[0, 0], [-1605/2, 1765/2], [-389/2, 107], [-4, 3/2]]], 1, 16, [], [] >,
< [ -1, -1, 1 ], [[768, -256]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -52], [-2, -6], [0, 0]], [[0, 0], [3, -1], [0, 1], [1, 0]], [[0, 0], [-34, 28], [-2, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 32], [10, -6], [0, 0]], [[0, 0], [-1, 3], [0, 1], [1, 0]], [[0, 0], [-16, -24], [0, 0], [0, 0]]], 0, 4096, [], [] >,
< [ -1, -1, 1 ], [[768, -256]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 0], [0, -4], [0, 0]], [[0, 0], [1, 1], [0, -1], [1, 0]], [[0, 0], [-4, 4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, 24], [10, 2], [0, 0]], [[0, 0], [3, -1], [0, 1], [1, 0]], [[0, 0], [-24, -4], [-4, 0], [0, 0]]], 0, 4096, [], [] >,
< [ -1, -1, 1 ], [[-96, 32]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [3, -11], [-2, -3], [-1, -2]], [[0, 0], [53/2, -37/2], [-1, -1/2], [1/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [-15, 35/2], [3/2, -1], [-5/2, 3/2]], [[0, 0], [8, 12], [0, 0], [0, 0]]], 1, 64, [], [] >,
< [ -1, -1, 1 ], [[-96, 32]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -2], [1, 1], [0, 0]], [[0, 0], [43/2, 3], [-3/2, -3/2], [0, -3/2]], [[0, 0], [-15/2, 17/2], [0, -1/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [-35/2, -10], [1/2, -1/2], [-1, 1/2]], [[0, 0], [4, 4], [0, 0], [0, 0]]], 1, 64, [], [] >,
< [ -1, -1, 1 ], [[768, -256]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 38], [2, 4], [0, 0]], [[0, 0], [3, -2], [1, 1], [1, 0]], [[0, 0], [24, -16], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 14], [0, 10], [0, 0]], [[0, 0], [-1, -2], [1, 1], [1, 0]], [[0, 0], [-4, -24], [-4, -4], [0, 0]]], 0, 4096, [], [] >,
< [ -1, -1, 1 ], [[768, -256]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -20], [-12, 20], [0, 0]], [[0, 0], [1, 0], [1, -1], [1, 0]], [[0, 0], [-112, 280], [240, -300], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 34], [2, -4], [0, 0]], [[0, 0], [3, 2], [1, 1], [1, 0]], [[0, 0], [62, -60], [18, -10], [0, 0]]], 0, 4096, [], [] >,
< [ -1, -1, 1 ], [[-96, 32]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [-3, 1/2], [1/2, -1], [2, -3/2]], [[0, 0], [1/2, 1], [-1/2, -1/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [2, 33/2], [7/2, 6], [1, 5/2]], [[0, 0], [-12, 13/2], [-1/2, 0], [-1, 1/2]]], 1, 64, [], [] >,
< [ -1, -1, 1 ], [[-96, 32]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -2], [1, 1], [0, 0]], [[0, 0], [-7/2, -3/2], [4, 11/2], [5/2, 3/2]], [[0, 0], [-7/2, 2], [1/2, -1/2], [3/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [-10, -13/2], [5/2, 4], [1, 3/2]], [[0, 0], [-20, 12], [0, 0], [0, 0]]], 1, 64, [], [] >,
< [ -1, -1, 1 ], [[768, -256]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -4], [10, -2], [0, 0]], [[0, 0], [4, 3], [1, 0], [1, 0]], [[0, 0], [2, -4], [2, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 20], [6, 2], [0, 0]], [[0, 0], [0, 3], [1, 0], [1, 0]], [[0, 0], [-6, -8], [-2, -2], [0, 0]]], 0, 4096, [], [] >,
< [ -1, -1, 1 ], [[768, -256]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -16], [4, -8], [0, 0]], [[0, 0], [2, 1], [1, 2], [1, 0]], [[0, 0], [-16, 32], [-12, 16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -56], [6, -10], [0, 0]], [[0, 0], [4, -1], [1, 0], [1, 0]], [[0, 0], [-52, 64], [-12, 12], [0, 0]]], 0, 4096, [], [] >,
< [ -1, -1, 1 ], [[-96, 32]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -2], [1, 1], [0, 0]], [[0, 0], [-16, -29/2], [-3/2, 0], [-3/2, 0]], [[0, 0], [-9/2, 1/2], [-1, 1/2], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [-4, -61/2], [-3/2, -2], [-3/2, -2]], [[0, 0], [-117/2, 23], [1/2, -3/2], [1/2, -3/2]]], 1, 64, [], [] >,
< [ -1, -1, 1 ], [[-96, 32]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [-7/2, 15], [-1/2, 3/2], [-1/2, 3/2]], [[0, 0], [-4, -3/2], [-1/2, 0], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [-25/2, 2], [-5/2, 5/2], [-5/2, 5/2]], [[0, 0], [-5, 0], [-1, 1], [-1, 1]]], 1, 64, [], [] >,
< [ -1, -1, 1 ], [[768, -256]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [12, -20], [0, 0], [0, -6]], [[0, 0], [-20, 4], [0, 0], [-4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -1], [1, 0], [0, 0]], [[0, 0], [56, 20], [0, 0], [10, 8]], [[0, 0], [280, 64], [0, 0], [48, 32]]], 0, 4096, [], [] >,
< [ -1, -1, 1 ], [[768, -256]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -1], [1, 0], [0, 0]], [[0, 0], [24, 28], [0, 0], [2, 2]], [[0, 0], [-16, 8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 3], [1, 0], [0, 0]], [[0, 0], [-68, -56], [0, 0], [-8, -10]], [[0, 0], [-84, 28], [0, 0], [-6, 0]]], 0, 4096, [], [] >,
< [ -1, -1, 1 ], [[768, -256]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -1], [1, 0], [0, 0]], [[0, 0], [16, -4], [0, 0], [-4, 2]], [[0, 0], [8, 8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 3], [1, 0], [0, 0]], [[0, 0], [-44, 44], [0, 0], [-6, 10]], [[0, 0], [-8, -112], [0, 0], [-12, -36]]], 0, 4096, [], [] >,
< [ -1, -1, 1 ], [[768, -256]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 3], [1, 0], [0, 0]], [[0, 0], [-4, 20], [0, 0], [8, -6]], [[0, 0], [8, -4], [0, 0], [-6, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 3], [1, 0], [0, 0]], [[0, 0], [-20, -8], [0, 0], [-6, 6]], [[0, 0], [4, 32], [0, 0], [-10, 2]]], 0, 4096, [], [] >,
< [ -1, -1, 1 ], [[-256, 512]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [-12, -24], [0, 0], [10, -8]], [[0, 0], [136, 208], [0, 0], [40, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 3], [1, 0], [0, 0]], [[0, 0], [-16, 8], [0, 0], [4, 8]], [[0, 0], [-136, 84], [0, 0], [-8, 2]]], 0, 4096, [], [] >,
< [ -1, -1, 1 ], [[768, -256]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [40, 24], [0, 0], [8, -8]], [[0, 0], [4, -8], [0, 0], [4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 3], [1, 0], [0, 0]], [[0, 0], [16, 20], [0, 0], [-2, 6]], [[0, 0], [4, 4], [0, 0], [2, 0]]], 0, 4096, [], [] >,
< [ -1, -1, 1 ], [[-768, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 0], [24, -8], [0, 0]], [[0, 0], [6, -7], [9, 1], [1, 0]], [[0, 0], [100, -36], [40, -20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [156, 36], [-120, -20], [0, 0]], [[0, 0], [-2, 5], [9, 1], [1, 0]], [[0, 0], [1080, 616], [-816, -408], [0, 0]]], 0, 6144, [], [] >,
< [ -1, -1, 1 ], [[-768, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, 20], [-36, -8], [0, 0]], [[0, 0], [6, 1], [9, 1], [1, 0]], [[0, 0], [28, -20], [-16, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 44], [64, -28], [0, 0]], [[0, 0], [6, 5], [9, 1], [1, 0]], [[0, 0], [-80, -64], [0, -80], [0, 0]]], 0, 6144, [], [] >,
< [ -1, -1, 1 ], [[-768, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -32], [4, 12], [0, 0]], [[0, 0], [-2, -7], [9, 1], [1, 0]], [[0, 0], [48, -32], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 60], [56, -52], [0, 0]], [[0, 0], [-2, 5], [9, 1], [1, 0]], [[0, 0], [664, -680], [1792, -1064], [0, 0]]], 0, 6144, [], [] >,
< [ -1, -1, 1 ], [[-768, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-192, 52], [-68, 16], [0, 0]], [[0, 0], [6, 1], [9, 1], [1, 0]], [[0, 0], [-1608, 356], [-572, 104], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, -24], [96, 8], [0, 0]], [[0, 0], [6, -3], [9, 1], [1, 0]], [[0, 0], [4, 16], [-4, -12], [0, 0]]], 0, 6144, [], [] >,
< [ -1, -1, 1 ], [[-96, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 14], [-36, 2], [0, 0]], [[0, 0], [6315/2, 966], [-2474, 281/2], [5/2, -5/2]], [[0, 0], [-3671/2, 9777/2], [5431/2, -3465], [-6, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -34], [22, -4], [0, 0]], [[0, 0], [-207/2, -99], [0, 77/2], [3/2, -5/2]], [[0, 0], [322, -2821/2], [1225/2, -185/2], [-135/2, 30]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[-96, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 42], [-4, -2], [0, 0]], [[0, 0], [-125/2, 24], [0, 29/2], [1/2, -5/2]], [[0, 0], [124, -97], [25, 5], [-5, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -12], [-48, -4], [0, 0]], [[0, 0], [2367/2, -736], [-2741, 3485/2], [3/2, -3/2]], [[0, 0], [815/2, -491/2], [-1991/2, 501], [1, 1/2]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[-96, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -10], [-36, 2], [0, 0]], [[0, 0], [-1699/2, 461], [1261, -2637/2], [3/2, 5/2]], [[0, 0], [1540, -952], [-2820, 1740], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 30], [0, -10], [0, 0]], [[0, 0], [-255/2, 425/2], [51/2, -75], [0, 1/2]], [[0, 0], [122, -68], [-34, 18], [0, 0]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[-96, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -2], [34, -8], [0, 0]], [[0, 0], [-629/2, -149], [-321, -155/2], [5/2, 3/2]], [[0, 0], [33403/2, -15755/2], [40089/2, -10424], [-120, 105/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -46], [36, -2], [0, 0]], [[0, 0], [846, 899/2], [609/2, -1291/2], [3/2, 0]], [[0, 0], [-4746, 619/2], [-7743/2, 7253/2], [-21/2, 4]]], 1, 96, [], [] >,
< [ -1, -1, 1 ], [[96, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 12], [2, -2], [0, 0]], [[0, 0], [-55/2, 27/2], [-13, -8], [-2, -1/2]], [[0, 0], [903, -550], [1092/5, -494/5], [221/5, -117/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 0], [-2, 2], [0, 0]], [[0, 0], [5, 3/2], [-17/5, 9/5], [-7/10, 2/5]], [[0, 0], [-4, -8], [0, 0], [0, 0]]], 1, 128, [], [] >,
< [ -1, -1, 1 ], [[96, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -12], [0, -2], [0, 0]], [[0, 0], [14, -12], [32/5, -4/5], [6/5, -2/5]], [[0, 0], [-3, 9/2], [-3, -1], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [-2, 8], [0, 0]], [[0, 0], [77, -147/2], [257/5, 41/5], [-33/10, -2/5]], [[0, 0], [2191, -1471], [4652/5, -1974/5], [-304/5, 133/5]]], 1, 128, [], [] >,
< [ -1, -1, 1 ], [[96, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 16], [-8, 10], [0, 0]], [[0, 0], [104, 43/2], [336/5, -97/5], [-29/10, -1/5]], [[0, 0], [1839, -3639/2], [1794, -1285], [-117/2, 52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 0], [-8, -10], [0, 0]], [[0, 0], [243/2, -191/2], [-71/5, 137/5], [-8/5, -3/10]], [[0, 0], [1572, -888], [-1496/5, 542/5], [-48/5, 56/5]]], 1, 128, [], [] >,
< [ -1, -1, 1 ], [[96, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -20], [10, 8], [0, 0]], [[0, 0], [3973/2, -591/2], [-129, -957], [-3, -1/2]], [[0, 0], [182864, -103869], [167828/5, -154586/5], [-1161/5, 602/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 20], [-10, -2], [0, 0]], [[0, 0], [-27, 3/2], [126, -77], [-3/2, 0]], [[0, 0], [10, -48], [-906/5, 572/5], [2/5, -14/5]]], 1, 128, [], [] >,
< [ -1, -1, 1 ], [[768, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 12], [8, 20], [0, 0]], [[0, 0], [8, 9], [12/5, 96/5], [1/5, -2/5]], [[0, 0], [-8, 4], [-8, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -28], [16, -12], [0, 0]], [[0, 0], [32, -51], [72/5, -64/5], [1/5, -2/5]], [[0, 0], [24, 8], [8, 0], [0, 0]]], 0, 8192, [], [] >,
< [ -1, -1, 1 ], [[768, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 0], [-8, -16], [0, 0]], [[0, 0], [0, 60], [204/5, 252/5], [-8/5, -4/5]], [[0, 0], [-41, 26], [88/5, -56/5], [-11/5, 7/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -8], [-4, 12], [0, 0]], [[0, 0], [89, 42], [248/5, 184/5], [-21/5, -3/5]], [[0, 0], [-88, 12], [-212/5, -16/5], [24/5, -8/5]]], 0, 8192, [], [] >,
< [ -1, -1, 1 ], [[768, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -24], [16, -16], [0, 0]], [[0, 0], [-5, -11], [-12/5, -16/5], [4/5, -3/5]], [[0, 0], [-8, -12], [-4, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 0], [-8, 16], [0, 0]], [[0, 0], [47, 150], [84, 104], [-3, -1]], [[0, 0], [-108, 67], [232/5, -144/5], [-29/5, 18/5]]], 0, 8192, [], [] >,
< [ -1, -1, 1 ], [[768, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 40], [0, 8], [0, 0]], [[0, 0], [868, -122], [-108, 124], [-2, 0]], [[0, 0], [1331, -1105], [-1508/5, 736/5], [-14/5, 13/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -28], [-20, -16], [0, 0]], [[0, 0], [126, -147], [536/5, -432/5], [-17/5, 4/5]], [[0, 0], [-516, 504], [-416, 312], [12, -4]]], 0, 8192, [], [] >,
< [ -1, -1, 1 ], [[768, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 16], [-4, 8], [0, 0]], [[0, 0], [-19, -6], [-256/5, -8/5], [27/5, 1/5]], [[0, 0], [-310, 167], [-1000, 572], [105, -60]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -24], [-12, 8], [0, 0]], [[0, 0], [-30, 4], [-112/5, -16/5], [14/5, 2/5]], [[0, 0], [1, 6], [8/5, 24/5], [-1/5, -3/5]]], 0, 8192, [], [] >,
< [ -1, -1, 1 ], [[768, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -44], [-8, 4], [0, 0]], [[0, 0], [-66, -103], [136/5, -32/5], [-17/5, 4/5]], [[0, 0], [-423, -548], [4216/5, -2312/5], [-527/5, 289/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 8], [4, -20], [0, 0]], [[0, 0], [-45, -142], [772/5, 456/5], [1/5, 3/5]], [[0, 0], [-148, 88], [-324, 204], [0, 0]]], 0, 8192, [], [] >,
< [ -1, -1, 1 ], [[96, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -4], [10, -4], [0, 0]], [[0, 0], [43, 85/2], [143/5, 124/5], [3/10, 2/5]], [[0, 0], [36, -20], [28, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -8], [-2, -6], [0, 0]], [[0, 0], [-15/2, -3], [77/5, 141/5], [-13/10, 1/10]], [[0, 0], [-105, 84], [-416/5, -218/5], [-133/5, 91/5]]], 1, 128, [], [] >,
< [ -1, -1, 1 ], [[96, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -4], [10, -6], [0, 0]], [[0, 0], [113/2, 211/2], [-4/5, 3/5], [-2/5, 3/10]], [[0, 0], [12, 20], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -12], [0, -10], [0, 0]], [[0, 0], [9, 61/2], [23/5, 214/5], [-17/10, 2/5]], [[0, 0], [-24, 74], [-408/5, 626/5], [-54/5, 28/5]]], 1, 128, [], [] >,
< [ -1, -1, 1 ], [[288, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -20], [-6, -18], [0, 0]], [[0, 0], [-535/2, 129], [-141/5, -18/5], [19/10, -3/10]], [[0, 0], [1110, -780], [60, -90], [-6, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -8], [-6, -18], [0, 0]], [[0, 0], [45, -75/2], [24, 33], [-1/2, 0]], [[0, 0], [57, -40], [54/5, 72/5], [-3/5, 1/5]]], 1, 1280, [], [] >,
< [ -1, -1, 1 ], [[288, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -12], [-24, -18], [0, 0]], [[0, 0], [-445, 389/2], [672/5, -2619/5], [-13/10, -2/5]], [[0, 0], [-1467, 848], [1026, -954], [-3, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 20], [6, 30], [0, 0]], [[0, 0], [189/2, -85], [-1911/5, 1002/5], [-1/10, -3/10]], [[0, 0], [448, -272], [-1554, 966], [0, 0]]], 1, 1280, [], [] >,
< [ -1, -1, 1 ], [[288, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -8], [-12, 18], [0, 0]], [[0, 0], [-117/2, -109/2], [-81/5, 372/5], [-13/5, -3/10]], [[0, 0], [-1077/2, 139], [-5394/5, 4023/5], [-459/10, 243/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 12], [-12, -30], [0, 0]], [[0, 0], [39/2, 27/2], [153, -84], [3, 1/2]], [[0, 0], [324, 81], [18444/5, -10818/5], [297/5, -54/5]]], 1, 1280, [], [] >,
< [ -1, -1, 1 ], [[288, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -12], [0, -6], [0, 0]], [[0, 0], [-15/2, 14], [-48/5, 51/5], [17/10, 1/10]], [[0, 0], [356, -244], [1776/5, -1152/5], [-192/5, 104/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -12], [24, 24], [0, 0]], [[0, 0], [61/2, -11/2], [153/5, 114/5], [-11/5, -1/10]], [[0, 0], [68, -85], [-84/5, -612/5], [-17/5, 34/5]]], 1, 1280, [], [] >,
< [ -1, -1, 1 ], [[288, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [18, 30], [0, 0]], [[0, 0], [-313/2, 191/2], [-18/5, -9/5], [1/5, 1/10]], [[0, 0], [-84, 52], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 8], [-18, 24], [0, 0]], [[0, 0], [-3/2, 0], [-243/5, 201/5], [-3/10, 1/10]], [[0, 0], [0, 0], [-18, 12], [0, 0]]], 1, 1280, [], [] >,
< [ -1, -1, 1 ], [[288, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 4], [6, 30], [0, 0]], [[0, 0], [38, -11/2], [-39/5, 198/5], [21/10, -1/5]], [[0, 0], [-1075, 1475/2], [927, -432], [-115/2, 40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 20], [-6, 24], [0, 0]], [[0, 0], [53/2, -75/2], [-42/5, -231/5], [9/5, -1/10]], [[0, 0], [84, -130], [-36, -168], [6, 0]]], 1, 1280, [], [] >,
< [ -1, -1, 1 ], [[2304, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -32], [60, 0], [0, 0]], [[0, 0], [-61, -31], [348/5, -276/5], [-16/5, -3/5]], [[0, 0], [-120, 34], [1284/5, -828/5], [-38/5, 16/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 44], [-36, 12], [0, 0]], [[0, 0], [-204, 83], [-2868/5, 1536/5], [-29/5, -2/5]], [[0, 0], [-1015, 197], [-13356/5, 5892/5], [-178/5, -89/5]]], 0, 81920, [], [] >,
< [ -1, -1, 1 ], [[2304, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -60], [-48, -36], [0, 0]], [[0, 0], [-279, 254], [5724/5, -3228/5], [27/5, 1/5]], [[0, 0], [-2236, 903], [6984, -4680], [15, -30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 32], [-60, 60], [0, 0]], [[0, 0], [143, 245], [1104/5, 732/5], [12/5, 1/5]], [[0, 0], [-100, -100], [1584/5, -1668/5], [32/5, -24/5]]], 0, 81920, [], [] >,
< [ -1, -1, 1 ], [[2304, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 4], [-36, -12], [0, 0]], [[0, 0], [-119, 196], [-396/5, 852/5], [-23/5, 1/5]], [[0, 0], [-1142, 2972], [-3264/5, 13248/5], [-322/5, -46/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 24], [0, 48], [0, 0]], [[0, 0], [157, -127], [60, -192], [2, -1]], [[0, 0], [-142, 66], [-756/5, -108/5], [-8/5, 6/5]]], 0, 81920, [], [] >,
< [ -1, -1, 1 ], [[2304, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -68], [12, -48], [0, 0]], [[0, 0], [-236, 20], [-624/5, 48/5], [8/5, 4/5]], [[0, 0], [-84, 77], [-228/5, 216/5], [1/5, -2/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -12], [-12, -24], [0, 0]], [[0, 0], [-100, 104], [336/5, 48/5], [28/5, 4/5]], [[0, 0], [-435, 204], [588/5, -756/5], [49/5, -63/5]]], 0, 81920, [], [] >,
< [ -1, -1, 1 ], [[2304, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 12], [12, 60], [0, 0]], [[0, 0], [186, -115], [324, -96], [3, 0]], [[0, 0], [337, -208], [2652/5, -1284/5], [21/5, -7/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 12], [-24, 60], [0, 0]], [[0, 0], [521, -345], [5856/5, -2532/5], [8/5, -1/5]], [[0, 0], [-3008, 1972], [-33288/5, 15216/5], [-44/5, 8/5]]], 0, 81920, [], [] >,
< [ -1, -1, 1 ], [[2304, 0]], [ -6, 0 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -40], [-48, -48], [0, 0]], [[0, 0], [-1, 18], [60, -12], [1, -1]], [[0, 0], [-14, 5], [324/5, -228/5], [7/5, -4/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -4], [12, 48], [0, 0]], [[0, 0], [-43, -30], [-252/5, -516/5], [-1/5, -3/5]], [[0, 0], [200, -128], [-96, 48], [0, 0]]], 0, 81920, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -38], [2, -4], [0, 0]], [[0, 0], [-1, 3], [2, 1], [1, 0]], [[0, 0], [-8, 8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, -22], [-38, -4], [0, 0]], [[0, 0], [3, 3], [2, 1], [1, 0]], [[0, 0], [728, -504], [480, -320], [0, 0]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -4], [28, -36], [0, 0]], [[0, 0], [-1, 1], [-8, 1], [1, 0]], [[0, 0], [-36, 48], [152, -64], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -8], [-30, -10], [0, 0]], [[0, 0], [3, -1], [2, 1], [1, 0]], [[0, 0], [-82, 50], [76, -42], [0, 0]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[160, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 4], [-6, 2], [0, 0]], [[0, 0], [-7/2, -3/2], [-7, -17/2], [-1/2, -1]], [[0, 0], [-20, 13], [-15, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 1], [-1, -8], [0, 0]], [[0, 0], [0, 9/2], [-3/2, -7], [1/2, -1/2]], [[0, 0], [1, 2], [-1, -3], [0, 0]]], 1, 384, [], [] >,
< [ -1, -1, 1 ], [[160, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -18], [14, -8], [0, 0]], [[0, 0], [-9/2, -57/2], [-17, 13/2], [-1/2, -1]], [[0, 0], [16, -13], [-29, 18], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 22], [-4, -2], [0, 0]], [[0, 0], [-1389/2, 951/2], [-141, 129/2], [-1/2, -2]], [[0, 0], [-5970, 7647/2], [-2265/2, 635], [3/2, -15/2]]], 1, 384, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -12], [-6, 2], [0, 0]], [[0, 0], [-3, 0], [-3, 1], [1, 0]], [[0, 0], [8, 0], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -10], [-60, -10], [0, 0]], [[0, 0], [-3, 4], [-3, 1], [1, 0]], [[0, 0], [6, 2], [4, 2], [0, 0]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, -12], [48, 4], [0, 0]], [[0, 0], [1, 4], [-3, 1], [1, 0]], [[0, 0], [-38, 24], [22, -14], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 12], [48, 4], [0, 0]], [[0, 0], [-3, 0], [-3, 1], [1, 0]], [[0, 0], [446, -242], [-416, 182], [0, 0]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[160, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, -21], [4, 7], [0, 0]], [[0, 0], [0, -5/2], [-17/2, 7], [2, -5/2]], [[0, 0], [13, -10], [-77, 49], [21, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -7], [9, 2], [0, 0]], [[0, 0], [-9, -13], [2, 1], [-1, -2]], [[0, 0], [2, 5/2], [1/2, -1], [0, 1/2]]], 1, 384, [], [] >,
< [ -1, -1, 1 ], [[160, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 4], [-12, 4], [0, 0]], [[0, 0], [-51/2, -19], [51/2, -7/2], [-3/2, 1]], [[0, 0], [-5, -11], [0, 5], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -1], [18, -11], [0, 0]], [[0, 0], [95/2, 78], [-5/2, -5/2], [3/2, 2]], [[0, 0], [-15/2, 9/2], [-9, 11/2], [5/2, -3/2]]], 1, 384, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -34], [-6, -8], [0, 0]], [[0, 0], [-2, -1], [5, 0], [1, 0]], [[0, 0], [40, -24], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 50], [-22, 4], [0, 0]], [[0, 0], [-2, 3], [5, 0], [1, 0]], [[0, 0], [-240, 116], [-68, 56], [0, 0]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -4], [32, -44], [0, 0]], [[0, 0], [0, 1], [9, 2], [1, 0]], [[0, 0], [-16, 20], [240, -120], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 30], [46, 8], [0, 0]], [[0, 0], [-2, -1], [5, 0], [1, 0]], [[0, 0], [-2416, 1496], [1320, -840], [0, 0]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[160, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 2], [8, -6], [0, 0]], [[0, 0], [-61/2, -47/2], [4, -31/2], [0, -3/2]], [[0, 0], [-19/2, 2], [13/2, -11/2], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 21], [-11, 2], [0, 0]], [[0, 0], [-265/2, -280], [831/2, -417/2], [1/2, -5/2]], [[0, 0], [-107/2, 717/2], [-2691, 3239/2], [-9, 15/2]]], 1, 384, [], [] >,
< [ -1, -1, 1 ], [[160, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 7], [-3, -4], [0, 0]], [[0, 0], [-9/2, 1], [5/2, 15/2], [1/2, 3/2]], [[0, 0], [13/2, -4], [25/2, -15/2], [5/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -7], [13, -6], [0, 0]], [[0, 0], [23/2, 2], [-37/2, -21/2], [-5/2, 1/2]], [[0, 0], [125/2, 11/2], [-98, -93/2], [-14, 7/2]]], 1, 384, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31, 18], [-7, -1], [0, 0]], [[0, 0], [424, -191], [-135, 70], [2, -8]], [[0, 0], [0, 4], [0, 0], [2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, -29], [-12, -1], [0, 0]], [[0, 0], [-524, 378], [130, -60], [6, 6]], [[0, 0], [2020, -1228], [-440, 280], [-4, 6]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -33], [3, -6], [0, 0]], [[0, 0], [108, -90], [-74, 48], [-6, -6]], [[0, 0], [-97, 58], [61, -37], [0, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45, 5], [-8, 1], [0, 0]], [[0, 0], [296, -6], [50, 0], [10, -8]], [[0, 0], [33, -204], [5, -35], [6, -2]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37, 45], [-10, -5], [0, 0]], [[0, 0], [-269, 185], [236, -147], [10, 0]], [[0, 0], [86, -26], [-64, 38], [2, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 15], [3, -6], [0, 0]], [[0, 0], [-16, 119], [-33, 6], [10, -8]], [[0, 0], [-127, -25], [-28, 31], [16, -8]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -19], [-15, 10], [0, 0]], [[0, 0], [16, 25], [13, -6], [8, 2]], [[0, 0], [12, 40], [-248, 156], [-98, 70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, 8], [5, 5], [0, 0]], [[0, 0], [42, 48], [-10, -10], [4, 6]], [[0, 0], [13, -9], [-4, 3], [0, 0]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, -47], [-15, 10], [0, 0]], [[0, 0], [14, -10], [-4, -2], [6, 6]], [[0, 0], [-4, 0], [0, 0], [-2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31, -10], [17, -9], [0, 0]], [[0, 0], [344, 618], [50, 100], [-8, 4]], [[0, 0], [-136, -248], [-20, -40], [4, -2]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, -25], [14, -3], [0, 0]], [[0, 0], [424, 408], [-24, -192], [-8, 8]], [[0, 0], [-4, 140], [-56, -8], [4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-67, 39], [-12, -1], [0, 0]], [[0, 0], [-56, 65], [-11, 2], [8, 4]], [[0, 0], [-142, 102], [-20, 10], [10, -2]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-304, 368], [-112, -16], [0, 0]], [[0, 0], [-34, -7], [9, 1], [1, 0]], [[0, 0], [-236, -128], [36, 108], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, -164], [72, -44], [0, 0]], [[0, 0], [30, 5], [9, 1], [1, 0]], [[0, 0], [-48, -64], [0, 0], [0, 0]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[1280, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [256, -332], [92, 16], [0, 0]], [[0, 0], [22, 1], [9, 1], [1, 0]], [[0, 0], [-3992, -1316], [300, 1400], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, -56], [-4, 28], [0, 0]], [[0, 0], [-26, -3], [9, 1], [1, 0]], [[0, 0], [272, -184], [56, -32], [0, 0]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[2560, -1280]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 84], [-44, 48], [0, 0]], [[0, 0], [22, 1], [9, 1], [1, 0]], [[0, 0], [104, -208], [120, -120], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, -56], [4, 12], [0, 0]], [[0, 0], [-10, 5], [9, 1], [1, 0]], [[0, 0], [64, -48], [0, 0], [0, 0]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[2560, -1280]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 76], [48, -36], [0, 0]], [[0, 0], [-34, -7], [9, 1], [1, 0]], [[0, 0], [-28, 36], [16, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-164, -212], [-88, -4], [0, 0]], [[0, 0], [-26, -3], [9, 1], [1, 0]], [[0, 0], [-920, -2680], [1104, -1288], [0, 0]]], 0, 24576, [], [] >,
< [ -1, -1, 1 ], [[160, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -74], [66, 8], [0, 0]], [[0, 0], [64, -1761/2], [1369/2, 1041/2], [-1/2, 2]], [[0, 0], [-45/2, 25/2], [-9/2, 2], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, 100], [8, 4], [0, 0]], [[0, 0], [1865/2, -340], [17, 163/2], [5/2, 3/2]], [[0, 0], [-2832, 1499], [37, -119], [-5, 0]]], 1, 384, [], [] >,
< [ -1, -1, 1 ], [[160, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -28], [26, -2], [0, 0]], [[0, 0], [-272, -351], [115, 299], [1, 0]], [[0, 0], [125/2, -295], [315, -23/2], [-7/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 38], [-30, 0], [0, 0]], [[0, 0], [2, 237/2], [223/2, -223/2], [-1/2, -2]], [[0, 0], [-57/2, 179/2], [279/2, -112], [0, -3/2]]], 1, 384, [], [] >,
< [ -1, -1, 1 ], [[160, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, -62], [-16, 2], [0, 0]], [[0, 0], [18, -51], [-19, -21], [-1, 0]], [[0, 0], [5/2, -5/2], [-1/2, 0], [0, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-188, 146], [-34, 8], [0, 0]], [[0, 0], [-4187/2, -368], [156, 1263/2], [-5/2, 1/2]], [[0, 0], [5023, 1129], [-437, -1584], [6, -1]]], 1, 384, [], [] >,
< [ -1, -1, 1 ], [[160, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, 10], [36, -2], [0, 0]], [[0, 0], [-7923/2, 2493], [-1735, 2155/2], [-5/2, 5/2]], [[0, 0], [-61/2, -93/2], [-1/2, -1], [-1, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-228, 146], [-66, -8], [0, 0]], [[0, 0], [3587/2, 103], [-4775, -16557/2], [-5/2, -1/2]], [[0, 0], [-27904, 15928], [68, 12168], [36, -20]]], 1, 384, [], [] >,
< [ -1, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 24], [-16, 0], [0, 0]], [[0, 0], [27/2, 20], [-8, -15/2], [-3/2, 3/2]], [[0, 0], [-5/2, 3/2], [9/2, -3], [4, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -4], [-4, 16], [0, 0]], [[0, 0], [-671/2, 395/2], [493/2, -144], [1, -3/2]], [[0, 0], [-179, 72], [136, -45], [-1, -3]]], 1, 64, [], [] >,
< [ -1, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 4], [4, -16], [0, 0]], [[0, 0], [271/2, -47], [255, -463/2], [5/2, 3/2]], [[0, 0], [-500, 361], [-1315, 709], [-3, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 20], [-8, 12], [0, 0]], [[0, 0], [235/2, 369/2], [65/2, 30], [0, 5/2]], [[0, 0], [16, 9], [37, -19], [-3, 2]]], 1, 64, [], [] >,
< [ -1, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 20], [-12, -8], [0, 0]], [[0, 0], [-78, 48], [64, -42], [-2, 2]], [[0, 0], [15/2, -5], [-4, 17/2], [-1/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 16], [-8, 8], [0, 0]], [[0, 0], [15, -149], [-67, 28], [2, -1]], [[0, 0], [45, 187/2], [27/2, 7/2], [-1/2, 0]]], 1, 64, [], [] >,
< [ -1, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 8], [16, 16], [0, 0]], [[0, 0], [-80, 135/2], [-49/2, 61/2], [-3/2, -1]], [[0, 0], [-17/2, -29/2], [-15/2, -12], [1, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 32], [4, 4], [0, 0]], [[0, 0], [6, 13/2], [1/2, 3/2], [-1/2, 1]], [[0, 0], [-11/2, 5/2], [-1/2, 0], [-1, 1/2]]], 1, 64, [], [] >,
< [ -1, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 12], [-4, -8], [0, 0]], [[0, 0], [16, -57/2], [-13/2, 1/2], [5/2, 1]], [[0, 0], [1, 3/2], [3/2, -1/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 4], [4, -16], [0, 0]], [[0, 0], [-411/2, 1321], [-864, -629/2], [-3/2, -1/2]], [[0, 0], [9921, -16229/2], [15423/2, -6713/2], [27/2, -6]]], 1, 64, [], [] >,
< [ -1, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 0], [8, 0], [0, 0]], [[0, 0], [437/2, -192], [51, -87/2], [-5/2, 3/2]], [[0, 0], [212, 328], [44, 68], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 40], [0, 8], [0, 0]], [[0, 0], [651, -255], [-117, 98], [0, -1]], [[0, 0], [-2599/2, 644], [257, -375/2], [-1/2, 3/2]]], 1, 64, [], [] >,
< [ -1, -1, 1 ], [[-192, 64]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 22], [2, 0], [0, 0]], [[0, 0], [28, 1/2], [-1/2, 2], [-5/2, 1/2]], [[0, 0], [67, 4], [-1, 5], [-6, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 18], [6, 4], [0, 0]], [[0, 0], [43/2, -45], [225/2, -159/2], [2, -5/2]], [[0, 0], [63, -702], [1085, -879], [14, -35]]], 1, 256, [], [] >,
< [ -1, -1, 1 ], [[320, 0]], [ -4, -2 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 10], [8, -6], [0, 0]], [[0, 0], [-6, 15/2], [15/2, 5], [-3/2, -1]], [[0, 0], [11/2, -12], [-25/2, -25/2], [5/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 14], [-8, 6], [0, 0]], [[0, 0], [-17/2, -5], [5/2, -25/2], [-1/2, 5/2]], [[0, 0], [-1, 3/2], [5/2, 0], [-1/2, 0]]], 1, 1536, [], [] >,
< [ -2, 0, 1 ], [[-7, 0]], [ -7, 0 ], [ -1, 0 ], [[[-1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-5/2, 3/2], [-5/2, 3/2], [3/2, -1], [3/2, -1]], [[-3/2, -1], [-3/2, -1], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-17/2, 1], [2191/34, 37/17], [279/17, 9/34], [31/17, 1/34]], [[2363/2, -143], [-304269/34, -4611/17], [-77499/34, -981/34], [-8611/34, -109/34]]], 4, 4, [], [] >,
< [ -2, 0, 1 ], [[6, 9]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, 5/2], [346/17, -185/34], [-21/34, 5/34], [0, 0]], [[-1468, -249/2], [2754597/1394, 152612/697], [71/85, -552/85], [2897/6970, 2/3485]], [[-2231, 22670], [961784/697, -21119090/697], [17741/85, -3438/85], [1204/697, -22876/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3/2], [568/17, -213/34], [1/34, 3/34], [0, 0]], [[-10709/2, 1/2], [-333628761/9758, -1492595/9758], [2283/34, 46/85], [12949/48790, 1/24395]], [[-523751, -8571166], [-18756107941/4879, -267101316369/4879], [141451/17, 9140793/85], [638441/24395, 10364153/24395]]], 3, 6, [], [] >,
< [ -2, 0, 1 ], [[6, 9]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1], [7, -9], [0, -1], [0, 0]], [[7/2, 7/2], [141/14, 160/7], [7/2, 7/2], [-5/42, -2/21]], [[-1/2, 1], [-13, 12], [-1/2, 1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 0], [-27, 31], [-1/2, 0], [0, 0]], [[-118, -2], [-24251/49, 314/49], [-354/7, -6/7], [-118/147, -2/147]], [[-95/2, -475/2], [-13701/98, -97121/98], [-285/14, -1425/14], [-95/294, -475/294]]], 3, 4, [], [] >,
< [ -2, 0, 1 ], [[12, 3]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -3/2], [245/17, 64/17], [-8/17, -3/34], [0, 0]], [[2087/2, -495/2], [-2796083/1394, 476143/1394], [1073/34, -1222/85], [991/6970, 1/3485]], [[-228193, -146771/2], [662953081/1394, 249755973/1394], [-425313/85, -4460/17], [-281987/6970, -137013/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1], [-475/17, -363/34], [5/34, 1/17], [0, 0]], [[1136, -1], [210174985/4879, -18993/4879], [7688/595, -318/595], [-6567/24395, -2/24395]], [[-106069, -106069/2], [-39279385559/9758, -19655194281/9758], [-688722/595, -329831/595], [245557/9758, 614619/48790]]], 3, 6, [], [] >,
< [ -2, 0, 1 ], [[12, 3]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [-23, -6], [-1/2, 3/2], [0, 0]], [[-35, -147/2], [21971/14, 11519/14], [-35, -147/2], [31/42, 1/42]], [[-350, 301/2], [-2147/7, 14871/7], [-350, 301/2], [-52/21, 16/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1/2], [11, -1], [2, -1/2], [0, 0]], [[-35/2, 0], [-1363/14, -179/14], [-241/14, 11/7], [-1/42, 1/14]], [[7, 21], [139/2, 122], [3, 20], [-1/6, 0]]], 3, 4, [], [] >,
< [ -2, 0, 1 ], [[3, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 3/2], [4, 7], [-1, -5/2], [0, 0]], [[-103/2, 33], [-549/2, 174], [245/2, -147/2], [5/2, 3/2]], [[-61, 91/2], [-323, 483/2], [139, -106], [-1, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[41, 2], [133, -13/2], [2, -5/2], [0, 0]], [[6313/2, 3940], [110913/14, 83550/7], [-4631/14, 209/14], [13/14, 5/14]], [[935/2, 10125], [-9335/2, 33015], [-2543/2, 528], [5/2, 0]]], 3, 2, [], [] >,
< [ -2, 0, 1 ], [[0, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 5/2], [15, -12], [-1, 5/2], [0, 0]], [[-899/2, -326], [621/2, 272], [-905/2, -647/2], [-5/2, 3/2]], [[-1403/2, -490], [1119/2, 357], [-1397/2, -983/2], [3/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1], [-51, -30], [2, 1], [0, 0]], [[21, -39/2], [-2504/7, 2426/7], [141/7, -269/14], [-4/7, -1/7]], [[477/2, -149], [-58803/14, 18022/7], [3271/14, -2019/14], [-1/14, 33/14]]], 3, 3, [], [] >,
< [ -2, 0, 1 ], [[6, 9]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[82, -3/2], [1350/151, 3361/302], [82/151, -3/302], [0, 0]], [[-61187/2, -82027/2], [-2234144/151, -1343006/151], [-61163/302, -41013/151], [79/302, 5/302]], [[333355/2, 72284], [11758309/302, 9427943/302], [333343/302, 72261/151], [-23/151, -76/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[499/2, 1/2], [1371841/302, 220/151], [499/302, 1/302], [0, 0]], [[-1015/2, 439], [-55447247/2114, 8484527/1057], [1653/2114, 3079/1057], [-1185/1057, 1/2114]], [[-140889, 146825/2], [-3472065571/2114, 9728152991/2114], [-1229763/1057, -328560/1057], [130175/2114, 455715/2114]]], 3, 4, [], [] >,
< [ -2, 0, 1 ], [[12, 3]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[512, 2], [14635/151, -328/151], [512/151, 2/151], [0, 0]], [[946873, -374595], [55259673/302, -11421737/151], [946903/151, -749189/302], [-197/302, 1/302]], [[-146491093/2, 75643888], [-4415530529/302, 4434811829/302], [-146492185/302, 75646030/151], [2100/151, -7077/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-663/2, -1], [-1817575/302, -6165/302], [-663/302, -1/151], [0, 0]], [[-1079919, -417], [-20709636158/1057, -31544167/2114], [-7562866/1057, -2911/1057], [-929/1057, 1/2114]], [[527794445, -3725143029/2], [20189410088667/2114, -71429548801889/2114], [3696271115/1057, -13043926179/1057], [913995/2114, -3205395/2114]]], 3, 4, [], [] >,
< [ -2, 0, 1 ], [[13, 5]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[287677/2, -1], [-85015589/2866, 1141/1433], [-145579/2, 1/2], [-72791/24361, -1/48722]], [[413/2, -124], [-61028/1433, 36646/1433], [-209/2, 251/4], [-209/48722, 251/97444]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [5, -33/2], [-2, 3/2], [0, 0]], [[2357/2, 16], [17914539155/20062, -17046384/10031], [-680765/14, 97/7], [340470/170527, 1/170527]], [[-1337818, 505789/2], [-20463965032803/20062, 4160816125141/20062], [388569030/7, -313713145/28], [-777247617/341054, 313346233/682108]]], 4, 4, [], [] >,
< [ -2, 0, 1 ], [[10, 13]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 2], [24, 13], [-3/2, 2], [0, 0]], [[-977/2, -1], [63250407/3554, -1073037/3554], [251/2, 5/3], [-5663/10662, -5/10662]], [[-16375, 31252], [1137123018/1777, -2043551283/1777], [12079/3, -23944/3], [-31779/1777, 181258/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 0], [10, 13], [3/2, 0], [0, 0]], [[-57387/2, 0], [-531592801/24878, -24113/12439], [3449/14, 92/21], [-65171/74634, -1/37317]], [[-144667657/2, -71233495/2], [-670109568477/12439, -329989282152/12439], [26540683/42, 13307401/42], [-82147706/37317, -13483447/12439]]], 3, 8, [], [] >,
< [ -2, 0, 1 ], [[-1, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[70, -5/2], [75, -3/2], [5, 1], [0, 0]], [[131, -105], [157, -201/2], [8, -9/2], [2, 1]], [[1439/2, -989/2], [1501/2, -1087/2], [71/2, -53/2], [-1/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[622, 9/2], [367, 213/2], [-5, 2], [0, 0]], [[-1951777/2, -396429], [-9889311/14, -5543191/14], [74075/14, 71/7], [11/14, 1/14]], [[9892745, 21890081/2], [66290148/7, 56624073/7], [-58180/7, -784957/14], [-19/7, -59/7]]], 3, 2, [], [] >,
< [ -2, 0, 1 ], [[20, 9]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-269/2, 2], [13765/302, -1713/302], [-269/302, 2/151], [0, 0]], [[-1626, 850], [2021641/302, -95119/302], [-1483/151, 1695/302], [939/302, 2/151]], [[350849/2, -58355], [-305105415/302, -76679345/302], [306921/302, -64435/151], [-73036/151, -21546/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[187, -5/2], [-2828547/151, 78887/302], [187/151, -5/302], [0, 0]], [[-6052140, 108743/2], [1281825972939/2114, -12252275345/2114], [-42370432/1057, 380609/1057], [-1313/2114, 1/2114]], [[14561977105/2, 4186834535/2], [-1541567043327229/2114, -221244490529298/1057], [101947015495/2114, 29311711325/2114], [793650/1057, 233610/1057]]], 3, 6, [], [] >,
< [ -2, 0, 1 ], [[9, 10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-465, -1], [-564, -167/2], [-3, -5/2], [0, 0]], [[-2806757/2, 2343809/2], [-2572629/2, 2344377/2], [7091/2, 21/2], [-5/2, 5/2]], [[2877353, 11149715/2], [5461686, 14534631/2], [78326, 51301], [17, 19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-66, -5/2], [-461, -43], [1, -5/2], [0, 0]], [[-56027/2, -58501], [-3372849/14, -5849353/14], [-56205/14, -325/14], [-27/14, -1/7]], [[-125411, -65113], [-6463455/7, -7030703/14], [-19333/7, -51349/14], [-11/7, -13/7]]], 3, 6, [], [] >,
< [ -2, 0, 1 ], [[18, 3]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1/2], [-43, -8], [3/2, -1/2], [0, 0]], [[30, -45/2], [-8815/14, 4995/14], [30, -45/2], [31/42, 1/42]], [[-84, 69], [29923/14, -11847/14], [-84, 69], [-55/14, -55/42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 0], [743, 5], [5/2, 0], [0, 0]], [[-1448, -1/2], [-3011795/7, -6253/2], [-1448, -1/2], [0, 1/14]], [[-17875, -7975], [-74817761/14, -33689997/14], [-17875, -7975], [11/14, 37/42]]], 3, 6, [], [] >,
< [ -2, 0, 1 ], [[19, 11]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[121787, 15/2], [71985327/2866, 8625/2866], [61632, 15/4], [123265/48722, 5/97444]], [[-150002993/2, -50205353/2], [-44333284093/2866, -14840161633/2866], [-75911057/2, -25407059/2], [-37954806/24361, -12702093/24361]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, -5/2], [-209/7, -137/14], [10/7, -5/14], [0, 0]], [[-145195/2, 76], [1323065252/10031, -1077205/10031], [-513829/14, 305/28], [-73375/48722, -1/97444]], [[9145335/2, 9124308], [-166825541885/20062, -166306946097/10031], [32461257/14, 64604205/14], [2320542/24361, 9226917/48722]]], 4, 4, [], [] >,
< [ -2, 0, 1 ], [[16, 3]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 3/2], [1, 1], [3/2, 3/2], [0, 0]], [[109/2, 2], [-3939003/3554, 12686/1777], [125/6, 7/3], [-207/3554, 2/5331]], [[-3695/2, 1366], [71244576/1777, -52405866/1777], [-1247/2, 466], [3744/1777, -2754/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 5/2], [9, 37], [3/2, 5/2], [0, 0]], [[22517, 11/2], [-474314543/12439, 6790929/24878], [1109/7, 307/42], [-25622/37317, 1/74634]], [[-147/2, -125/2], [3031751/24878, 1289097/12439], [-9/14, -23/42], [167/74634, 71/37317]]], 3, 8, [], [] >,
< [ -2, 0, 1 ], [[-5, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-54, 1/2], [-74, -7], [4, 3/2], [0, 0]], [[-49199/2, 16561/2], [-62833/2, 7859], [2729/2, 81], [1/2, -3/2]], [[-58570, -146378], [-122227, -418747/2], [12683, 25163/2], [-22, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-275, 1/2], [-431, -97], [4, 5/2], [0, 0]], [[-1092611/2, 343033], [-8578137/14, 2406291/7], [23845/14, -130/7], [19/14, -2/7]], [[5198677, -1536120], [49398885/7, -3940299/7], [-333569/7, -349383/14], [-209/7, -171/14]]], 3, 2, [], [] >,
< [ -2, 0, 1 ], [[2, 11]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-197, 1], [-126544/151, 1044/151], [-197/151, 1/151], [0, 0]], [[-1021/2, -292], [-314288/151, -367781/302], [-1025/302, -585/302], [13/302, 3/302]], [[-19/2, -8], [-12135/302, -10211/302], [-19/302, -8/151], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1129/2, -5/2], [16656085/302, 36197/151], [-1129/302, -5/302], [0, 0]], [[35287217/2, -391740], [-3644404502913/2114, 40605092249/1057], [247019673/2114, -2742168/1057], [-1986/1057, 1/2114]], [[-25938966817/2, -23805975510], [1339065012182950/1057, 4917048621892601/2114], [-181580117913/2114, -333296189187/2114], [3158109/2114, 5428681/2114]]], 3, 6, [], [] >,
< [ -2, 0, 1 ], [[11, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[671, 3/2], [739, 44], [4, 5/2], [0, 0]], [[294079, -367141/2], [300624, -183539], [385, 1], [0, 1/2]], [[7253977/2, -3008981], [7226399/2, -3084167], [-1583/2, -4421], [-23/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-65, -1/2], [-404, -75/2], [3, -2], [0, 0]], [[-34681/2, -22319/2], [-1697271/14, -1099039/14], [1805/14, -275/14], [39/14, 1/14]], [[-147926, -199327/2], [-7249433/7, -4899752/7], [5543/7, 446/7], [130/7, 65/14]]], 3, 6, [], [] >,
< [ -2, 0, 1 ], [[12, 15]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 0], [19, 5], [-1/2, 0], [0, 0]], [[0, 0], [-2979/14, -755/14], [0, 0], [-29/42, -5/42]], [[0, 0], [381, -64], [0, 0], [4/3, -1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, 0], [-77, -31], [-21/2, 0], [0, 0]], [[423/2, -377/2], [5981/14, -5309/7], [423/2, -375/2], [-1/42, 1/21]], [[2205/2, -3675/2], [-20717/7, -72120/7], [15627/14, -25481/14], [5/21, 2/3]]], 3, 6, [], [] >,
< [ -2, 0, 1 ], [[-8, -3]], [ -518, 7 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1], [-109/14, -1/14], [-3/2, 1/2], [0, 0]], [[-633/2, 28], [20186/119, 2146/119], [-123/14, -74/7], [-669/1666, -1/1666]], [[-88385/2, -14813/2], [365207/14, 61569/7], [-28715/14, -13042/7], [-2876/49, -719/49]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[365/2, -4], [-112094/833, 1338/833], [275/98, -75/49], [373/11662, -3/11662]], [[-567/2, 491], [336375/1666, -599857/1666], [-1189/98, 947/98], [-276/5831, 498/5831]]], 4, 3, [], [] >,
< [ -2, 0, 1 ], [[-8, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -1/2], [9, -23], [-4, -1/2], [0, 0]], [[2049/2, -1521/2], [-26785/2, 9313], [2055/2, -762], [3/2, -3/2]], [[-4433/2, 533], [31209/2, -15533], [-4415/2, 1089/2], [-23/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 3/2], [-136, 124], [2, 3/2], [0, 0]], [[2, 1/2], [37241/7, -53329/14], [25/7, -5/14], [5/7, -1/14]], [[705/2, 399/2], [3969367/14, -2962037/14], [6585/14, 1230/7], [1317/14, 246/7]]], 3, 3, [], [] >,
< [ -2, 0, 1 ], [[4, 13]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-361/2, 1], [-625279/302, 1635/302], [-361/302, 1/151], [0, 0]], [[-84225/2, -16565/2], [-74551872/151, -14562614/151], [-84525/302, -8280/151], [-985/302, -5/302]], [[-111106, -124589/2], [-392963837/302, -110056794/151], [-111435/151, -62445/151], [-2205/302, -518/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-151/2, 0], [12855/2, 3/2], [-1/2, 0], [0, 0]], [[-128767/2, 705/2], [6026162231/1057, -60019525/2114], [-906317/2114, 2470/1057], [-2147/2114, -2/1057]], [[-19291571/2, -8933853/2], [1806488766567/2114, 837088620889/2114], [-135785395/2114, -62883589/2114], [-161935/1057, -151331/2114]]], 3, 6, [], [] >,
< [ -2, 0, 1 ], [[18, 1]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[545/2, -1], [-1459705/302, 3801/302], [545/302, -1/151], [0, 0]], [[2187108, 2550883/2], [-5864930575/151, -3422364537/151], [2187175/151, 2550885/302], [-220/151, 3/302]], [[1380627362, 1790054307/2], [-7405663464083/302, -2401132903391/151], [1380659871/151, 895036245/151], [-211033/302, -27550/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[220, -3/2], [-2187830/151, 30541/302], [220/151, -3/302], [0, 0]], [[-46282857/2, -402703/2], [1610735254564/1057, 13756569383/1057], [-324017511/2114, -1409463/1057], [4517/2114, -3/2114]], [[-224779527225/2, -60395812173/2], [2234891759564897/302, 600184379902871/302], [-224805437343/302, -60402583125/302], [1559331/151, 812835/302]]], 3, 6, [], [] >,
< [ -2, 0, 1 ], [[-2, -5]], [ -518, -7 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1], [3/14, -27/14], [5/2, -3/2], [0, 0]], [[-341/2, 25/2], [-1227/17, -1291/34], [-205/14, 25/14], [-373/1666, -3/1666]], [[227, 2073/2], [75801/119, 127665/238], [74/7, 1223/14], [438/833, 1168/833]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 0], [409/14, -27/14], [-5/2, 5/2], [0, 0]], [[325, 653/2], [5632771/1666, 5908071/1666], [2330/7, -80/7], [9/238, -1/833]], [[67686, 44884], [603961796/833, 794854111/1666], [147179/7, 157265/7], [2001/833, 87/34]]], 4, 3, [], [] >,
< [ -2, 0, 1 ], [[-2, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -2], [-33, -26], [-1, -2], [0, 0]], [[261/2, -219/2], [25/2, -693/2], [261/2, -111], [3/2, 0]], [[-1742, 911], [-7115, -2515/2], [-1773, 905], [6, 31/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1/2], [1185, 49], [-1, -1/2], [0, 0]], [[19/2, 4], [7843/14, 843/7], [205/14, 25/14], [41/14, 5/14]], [[-29, -29], [-7550/7, -11362/7], [-145/7, -290/7], [-29/7, -58/7]]], 3, 3, [], [] >,
< [ -2, 0, 1 ], [[16, 17]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-174, -1/2], [-352588/151, 5147/302], [-174/151, -1/302], [0, 0]], [[-1161447, 1759633/2], [-4779907671/302, 1806880508/151], [-1161488/151, 879818/151], [-269/302, 2/151]], [[-4311033/2, 2510809/2], [-8839713765/302, 2588543886/151], [-4310925/302, 2510985/302], [190/151, 293/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[755/2, 0], [-25447/2, 9/2], [5/2, 0], [0, 0]], [[1691787, 13025/2], [-60578905116/1057, -210646530/1057], [11874432/1057, 91149/2114], [3844/1057, 3/2114]], [[6764809051/2, 5177212243], [-17282608200188/151, -52954060680663/302], [6782807427/302, 10382259453/302], [2172617/302, 3353471/302]]], 3, 6, [], [] >,
< [ -2, 0, 1 ], [[22, 9]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[82, 3/2], [-69620/151, 3887/302], [82/151, 3/302], [0, 0]], [[-285521/2, 461237/2], [140026113/151, -201729475/151], [-285361/302, 230621/151], [-525/302, -5/302]], [[-8286677, 4415667/2], [14439227383/302, -4424821447/302], [-8286923/151, 2206344/151], [1191/302, 9753/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[361/2, 1], [-5454283/302, -30377/302], [361/302, 1/151], [0, 0]], [[23180653/2, -225843/2], [-1225650630748/1057, 23814753215/2114], [162250031/2114, -790476/1057], [6309/2114, 2/1057]], [[5066705964, 49688238327], [-76583270140963/151, -750633664256046/151], [5066133822/151, 49683778759/151], [237140/151, 1934361/151]]], 3, 6, [], [] >,
< [ -2, 0, 1 ], [[6, 7]], [ -512, -29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3, -5/2], [34070535/8402, -18535/4201], [-2, -1/2], [-9469/8402, 3/8402]], [[-281/2, -90], [275694479/8402, 790575781/8402], [-79/2, -101/2], [-76961/8402, -219779/8402]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -3/2], [2, -7], [1, -5/2], [0, 0]], [[31/2, 11], [-2180287359/58814, 136740/29407], [-27871/14, 55/14], [-13981/58814, -2/29407]], [[-643, -451], [-55463209729/58814, 51392097326/29407], [-356926/7, 657609/7], [-355113/58814, 658953/58814]]], 4, 2, [], [] >,
< [ -2, 0, 1 ], [[7, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31, 0], [-8, 13/2], [3, -1/2], [0, 0]], [[-1517/2, -31], [345/2, -168], [-143/2, 11], [1/2, 2]], [[831, 916], [218, -34], [46, 145/2], [-5, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1318, -2], [-1093, -49/2], [-5, 1/2], [0, 0]], [[-55988349/2, -5769037/2], [-326382759/14, -40280533/14], [-1456209/14, -2301/14], [23/14, -3/14]], [[12354641351/2, 3382460315], [73354004615/14, 40766035645/14], [291719847/14, 73199370/7], [-3999/14, -1705/14]]], 3, 2, [], [] >,
< [ -2, 0, 1 ], [[6, 7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1/2], [-42, -19], [-1, -1/2], [0, 0]], [[5/2, 5/2], [37/2, 47/2], [5/2, 0], [5/2, 0]], [[7, 9/2], [62, 73/2], [2, 5/2], [2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [-356, 273], [0, -5/2], [0, 0]], [[1053, -17/2], [-810042/7, 1065007/14], [7368/7, -131/14], [6/7, 3/14]], [[-2035/2, -2276], [-2998899/14, 1224215/7], [-14187/14, -31839/14], [-25/14, -29/14]]], 3, 4, [], [] >,
< [ -2, 0, 1 ], [[8, 1]], [ -512, 29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[11/2, 3], [-16716471/8402, -15235/8402], [1/2, 5/2], [-12981/8402, -5/8402]], [[2277, 407], [-13745875727/8402, 6254425667/8402], [-1463, 1870], [-10679337/8402, 2431215/4201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -3], [17, 27/2], [-3/2, -3/2], [0, 0]], [[92140, -6], [19280499869/58814, -1234679/58814], [-357192/7, 43/7], [-238079/58814, -2/29407]], [[33854303/2, 103261529], [1771045393533/29407, 21607708370673/58814], [-131151861/14, -800604681/14], [-21890749/29407, -133409659/29407]]], 4, 2, [], [] >,
< [ -2, 0, 1 ], [[1, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-115, -3/2], [-112, -9], [1, -5/2], [0, 0]], [[-10295/2, -23409/2], [-13159/2, -23369/2], [-933/2, -2], [-5/2, 2]], [[-218402, -323191/2], [-233506, -342719/2], [-5039, -3272], [1, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-222, -1/2], [-237, -2], [-5, -1/2], [0, 0]], [[-23065/2, 1997/2], [-193267/14, 9953/14], [-3449/14, -17/14], [27/14, 5/14]], [[58235, -184862], [380621/7, -3082459/14], [3712/7, -54557/14], [48/7, 208/7]]], 3, 2, [], [] >,
< [ -2, 0, 1 ], [[8, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 5/2], [-23, -15], [4, 5/2], [0, 0]], [[47, -53/2], [-375, 202], [49, -55/2], [1, -1]], [[53/2, -851/2], [483/2, 3645], [43/2, -447], [43/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -2], [-387, 387], [-3, -2], [0, 0]], [[-269, -3/2], [-4988408/7, 3553764/7], [-1747/7, 47/14], [-22/7, -2/7]], [[1997/2, 49], [34718249/14, -24757441/14], [12945/14, 389/14], [165/14, 11/7]]], 3, 4, [], [] >,
< [ -2, 0, 1 ], [[-4, -7]], [ -390, 35 ], [ -7, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1, 1], [255051/146, 363/365], [-1, 1], [-5603/29930, -2/14965]], [[13/2, 73/2], [50717771/365, 54888449/730], [13/2, 73/2], [-44574/2993, -120612/14965]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 5/2], [10, -5/2], [1/2, 5/2], [0, 0]], [[-18, -12], [-9566741/5110, -11227/511], [41393/7, -80/7], [41519/209510, 2/104755]], [[0, 0], [62941/5110, -37939/5110], [-277/7, 167/7], [-277/209510, 167/209510]]], 4, 3, [], [] >,
< [ -2, 0, 1 ], [[-10, -3]], [ -390, -35 ], [ -7, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1, 3/2], [-4167479/730, 161/73], [1, 3/2], [18341/29930, 2/14965]], [[-435/2, -98], [45439192/365, 271741557/730], [-435/2, -98], [-40140/2993, -598086/14965]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [-3, -25/2], [-1/2, 1/2], [0, 0]], [[-22639/2, -1], [151524193/5110, 3721/5110], [-22639/14, -1/7], [-22639/209510, -1/104755]], [[-2433969/2, -1064097], [16288884197/5110, 14243091733/5110], [-2433969/14, -1064097/7], [-2433969/209510, -1064097/104755]]], 4, 3, [], [] >,
< [ -2, 0, 1 ], [[7, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[111, 9/2], [156, 42], [3, 5/2], [0, 0]], [[36261/2, -15533], [30061/2, -15598], [-415/2, -4], [5/2, -1]], [[-143063/2, 283133/2], [-15623/2, 172209], [8517/2, 2044], [-63/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1417, -1], [-1260, -787/2], [1, -5/2], [0, 0]], [[5625437/2, 6726622], [87145935/14, 47307290/7], [304585/14, 2795/14], [17/14, -1/14]], [[86971251/2, 58913016], [997845757/14, 450857644/7], [2480635/14, 245185/7], [135/14, 9/7]]], 3, 2, [], [] >,
< [ -2, 0, 1 ], [[5, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-315, -2], [-231, -67/2], [4, -3/2], [0, 0]], [[-96376, -25057], [-75635, -28151], [986, -293/2], [-1, 1/2]], [[357231/2, 259571/2], [314293/2, 226335/2], [-2043/2, -1581/2], [1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1078, -5/2], [-1346, -103], [-4, -3/2], [0, 0]], [[-875215/2, 148256], [-7246251/14, 1010284/7], [-16915/14, -395/7], [13/14, -1/7]], [[297527, 702419], [3498354/7, 12628185/14], [21285/7, 42111/14], [-10/7, -13/7]]], 3, 2, [], [] >,
< [ -2, 0, 1 ], [[4, -9]], [ -1862, 65 ], [ -22, 13 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-2950343/2, 3/2], [211630875459/47378, -28617/47378], [-1/2, -1/2], [5640183/3458594, 1/6917188]], [[453/2, -235], [-16247026/23689, 33713517/47378], [0, 0], [-433/1729297, 1797/6917188]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7/2, 21/2], [-5/2, -2], [0, 0]], [[-7545509/2, -1], [10510977411731/165823, -32415457/331646], [30382595/7, 87/7], [-7595626/12105079, -3/48420316]], [[8508098412, -8200347093/2], [-3386255925998701/23689, 3263776269882525/47378], [-9788129256, 9434049965/2], [4894063011/3458594, -1179259479/1729297]]], 4, 3, [], [] >,
< [ -2, 0, 1 ], [[-4, -9]], [ -1862, -65 ], [ -14, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[8330023/2, -2], [-254360949245/47378, -47948/23689], [1/2, -5/2], [-5640183/3458594, 1/6917188]], [[-5040051985, -38445178661], [307804473565623/47378, 1173940724657705/23689], [91095/2, -1590], [3412593858/1729297, 52061766035/3458594]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21/2, -43/2], [-1/2, 5/2], [0, 0]], [[-1347155/2, 0], [-7267515391760/165823, 112745/331646], [19155103/7, -17/7], [6385025/24210158, 5/48420316]], [[-453872301, 769265013/2], [-9794044417389163/331646, 8299928922050631/331646], [25814353217/14, -21876274059/14], [4302376587/24210158, -1823017422/12105079]]], 4, 3, [], [] >,
< [ -2, 0, 1 ], [[14, -1]], [ -7614, 45 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -3], [-13/14, -46/21], [-33/14, -3/14], [0, 0]], [[2759, 50], [2546305/7378, -26699/3689], [-95/7, 285/14], [2439/7378, 2/11067]], [[120394, 253605/2], [306342895/22134, 169270036/11067], [8892/7, 1691/7], [102555/7378, 110295/7378]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 0], [187/42, -24/7], [15/14, -5/14], [0, 0]], [[16601/2, -17], [-1403230001/77469, -172418/25823], [16449/98, -232/49], [16631/154938, -1/77469]], [[163074, -11005], [-463185557/1302, 5024716/217], [23162/7, -4323/14], [915/434, -30/217]]], 4, 4, [], [] >,
< [ -2, 0, 1 ], [[-14, -1]], [ -7614, -45 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -1/2], [17/42, 29/42], [-19/14, -2/7], [0, 0]], [[961/2, -45], [-6230219/22134, -195955/3689], [1397/14, 671/14], [-907/11067, 1/11067]], [[15609/2, 1540], [-59047420/11067, -8351783/3689], [30393/14, 9108/7], [-31075/22134, -4345/11067]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, 5/2], [221/14, -115/42], [29/14, -1/7], [0, 0]], [[-7893/2, 3283/2], [116339830/11067, -11005991/11067], [17123/14, 887/14], [2843/22134, 5/22134]], [[4625354, -254931], [-61566410561/3689, -18803035721/3689], [-15213112/7, -6294457/7], [-2433896/11067, -923456/11067]]], 4, 4, [], [] >,
< [ -2, 0, 1 ], [[28, -99]], [ -7614, 45 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[503, -1], [6008/21, 25/21], [-1233/7, -2/7], [0, 0]], [[7189239/2, -4766255], [14847287927/7378, -59726961857/22134], [-17466537/14, 23303643/14], [-3266/11067, 5/22134]], [[-4463032595, 15935699623/2], [-55000204229087/22134, 99960860970877/22134], [10810464390/7, -19490908833/7], [4011339/7378, 735667/11067]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1057/2, 3/2], [59953/42, 101/42], [2591/14, 1/7], [0, 0]], [[-80129/2, 367/2], [1743398145/51646, -38123830/77469], [7787079/98, -3354/49], [-40156/77469, 5/154938]], [[-715008553/2, -79800969/2], [456487549094/1519, 278921569585/9114], [69545853059/98, 8013871391/98], [-14066547/3038, -815925/1519]]], 1, 392, [], [] >,
< [ -2, 0, 1 ], [[-28, -99]], [ -7614, -45 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-82, -1/2], [-151/21, -11/14], [-201/7, -1/14], [0, 0]], [[-14545/2, -895], [13438751/7378, -660591/7378], [-6555/14, -4369/14], [7862/11067, 1/7378]], [[4008049, 4001369], [-15311336507/22134, -19205709233/22134], [3578370/7, 5133703/14], [-2247879/7378, -2607723/7378]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-769/2, -2], [-4299/14, -20/7], [-1885/14, -3/14], [0, 0]], [[20082311/2, -780761], [88740929245/11067, -2178700917/3689], [48325965/14, -2003352/7], [-3223/22134, -2/11067]], [[-16659379226, -22099116431], [-21278293433692/1581, -28006189766551/1581], [-5643092724, -7560986802], [467731/1581, 543511/1581]]], 1, 392, [], [] >,
< [ -2, 0, 1 ], [[72, -89]], [ -1862, 65 ], [ -22, 13 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[13502, -3/2], [-131090107/47378, 79885/23689], [5/2, 1/2], [14885/47378, -1/23689]], [[2464299/2, 5717499/2], [-5950686789/23689, -27742169005/47378], [440, 575], [1358211/47378, 6303075/94756]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 7], [-2, -2], [0, 0]], [[-134497/2, -3/2], [619236375123/331646, 6500426/165823], [-1037795/14, -45/7], [-518957/331646, 1/663292]], [[81902001, 66356862], [-754166866637441/331646, -611025022638089/331646], [1264063273/14, 512058222/7], [316007154/165823, 512061519/331646]]], 1, 222, [], [] >,
< [ -2, 0, 1 ], [[-72, -89]], [ -1862, -65 ], [ -14, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[9213/2, 1], [-602533587/23689, -5768/23689], [0, -1/2], [49579/47378, -1/94756]], [[-1763988, 674466], [461535123595/47378, -176537071993/47378], [-293/2, 383/2], [-9494406/23689, 3631740/23689]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17/2, 9/2], [5/2, -5/2], [0, 0]], [[605165/2, 7/2], [658969953566/165823, 2552027/165823], [2024076/7, 27/14], [506012/165823, 3/663292]], [[213489300, -102448010], [929889025474715/331646, -223116812333669/165823], [2856216731/14, -685316152/7], [357023930/165823, -171328520/165823]]], 1, 222, [], [] >,
< [ -2, 0, 1 ], [[97, 60]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[161, 1/2], [134, 1], [27, -1/2], [0, 0]], [[-346086, -5007], [-288177, -10725/2], [-57879, 651/2], [2, -2]], [[104801901/2, 65168623/2], [87705003/2, 54619255/2], [17099013/2, 10552773/2], [141/2, 227/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[662, 33], [548, -123/2], [38, 63/2], [0, 0]], [[2314806, -3926007/2], [17332754/7, -27490583/14], [-377360/7, 1175/7], [8/7, 2/7]], [[-61949753/2, 35030329/2], [-430972125/14, 264682965/14], [-903055/14, -6507905/14], [89/14, 143/14]]], 1, 92, [], [] >,
< [ -2, 0, 1 ], [[51, 14]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-229, -5/2], [47, 0], [-276, -5/2], [0, 0]], [[6837263/2, 4382], [-1403693/2, 6781], [8240731/2, -2354], [5/2, -1]], [[147423101, 81639231], [-29900036, -16429823], [177320437, 196136623/2], [60, 33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1860, -1/2], [-831, 11/2], [343, 2], [0, 0]], [[368312337/2, -1914721/2], [1151948919/14, -6960959/7], [-475413679/14, -86533/7], [-11/14, -1/14]], [[-2353158895/2, -221006546], [-7340267401/14, -665835119/7], [3043956245/14, 293737991/7], [73/14, 10/7]]], 1, 92, [], [] >,
< [ -2, 0, 1 ], [[60, 59]], [ -390, -35 ], [ -7, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3/2, -2], [149/5, -7/10], [-3/2, -2], [1/5, 0]], [[27/2, 3], [35141/730, -85639/730], [27/2, 3], [209/730, -57/73]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1], [-12, -19/2], [5/2, 1], [0, 0]], [[-1169/2, 1], [-19895059/5110, -114181/5110], [1233/14, 15/7], [-1177/5110, -1/2555]], [[-7751, 2073/2], [-131653247/2555, 3331606/511], [8119/7, -1761/14], [-7797/2555, 1017/2555]]], 1, 70, [], [] >,
< [ -2, 0, 1 ], [[56, 57]], [ -390, 35 ], [ -7, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5/2, 2], [-20514/365, 1517/365], [5/2, 2], [-26/73, 1/730]], [[48, -21/2], [4223439/730, -1574053/365], [48, -21/2], [24217/730, -9131/365]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 3/2], [26, 16], [2, 3/2], [0, 0]], [[18, -14], [-8074049/1022, 854141/2555], [-2493/7, -100/7], [2619/5110, 1/2555]], [[-1103/2, 703/2], [9786558/2555, -165102479/1022], [-14433/14, -102471/14], [1678/2555, 26848/2555]]], 1, 70, [], [] >,
< [ -2, 0, 1 ], [[84, 67]], [ -512, -29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[45/2, 35/2], [9437759/4201, -39540/4201], [-65/2, -25], [-2634/4201, 3/8402]], [[-182, -151], [-211770353/8402, 38645383/8402], [264, 215], [59027/8402, -5286/4201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, -5], [43, 23/2], [35/2, 15/2], [0, 0]], [[33725/2, 8], [-7189028891/58814, -1823973/58814], [-8496295/14, -461/14], [-91355/58814, -3/58814]], [[-6391337, -500474], [1362369983483/29407, 106383445367/29407], [1610055829/7, 125407269/7], [17311800/29407, 1348050/29407]]], 1, 40, [], [] >,
< [ -2, 0, 1 ], [[67, 42]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35, 1/2], [46, 2], [-81, -3/2], [0, 0]], [[-90211/2, 6685/2], [117551/2, -1829/2], [-207817/2, 8569/2], [-5/2, 5/2]], [[-1424157, -867114], [2005823, 1249673], [-3429738, -4232859/2], [22, 65/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-132, 1], [-537, -13/2], [135, 5/2], [0, 0]], [[105905/2, -1662], [2996825/14, -17865/7], [-754833/14, 4077/14], [-39/14, -1/14]], [[-210705/2, -358541/2], [-6365397/14, -10274417/14], [1637315/14, 2598759/14], [93/14, 137/14]]], 1, 40, [], [] >,
< [ -2, 0, 1 ], [[50, 17]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[135, 5/2], [16, 29], [135, 5/2], [0, 0]], [[-92602, 167898], [61169, -1135], [-92598, 167954], [0, -2]], [[13847315/2, 546482], [1995191/2, 1532633], [13853137/2, 1095099/2], [-203/2, -69/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35, -1/2], [2045, 4], [35, -1/2], [0, 0]], [[-43685/2, 45], [-17843173/14, -123310/7], [-301627/14, 1427/14], [-27/14, -5/14]], [[-1775357, -620925/2], [-729221334/7, -276667245/14], [-12246524/7, -4221705/14], [-1170/7, -795/14]]], 1, 120, [], [] >,
< [ -2, 0, 1 ], [[16, 33]], [ -512, 29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[25/2, 7/2], [-2586, -5/2], [33/2, 4], [-2, 0]], [[-4305/2, 555], [5073349619/8402, -2381628839/8402], [-5955/2, 1755/2], [3927273/8402, -1845737/8402]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -7/2], [15, -29/2], [13/2, -5], [0, 0]], [[27905/2, -1], [-3445119813/58814, -2198277/58814], [-1117643/14, 31/14], [-36053/58814, 1/58814]], [[1186087, -1362895/2], [-146313552451/29407, 168053633505/58814], [-47502416/7, 54582103/14], [-1532336/29407, 1760713/58814]]], 1, 40, [], [] >,
< [ -2, 0, 1 ], [[33, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[77, -2], [128, 1/2], [-51, -5/2], [0, 0]], [[2731569/2, -106418], [4526623/2, -109202], [-1795229/2, 5743/2], [-5/2, 5/2]], [[-64127791, -111966119/2], [-112339279, -192796361/2], [48208303, 40414351], [-91, -22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1446, 5/2], [1362, -109/2], [28, 19], [0, 0]], [[348189677/2, -236269467/2], [2426071269/14, -1653871431/14], [3727889/14, -6495/14], [47/14, 3/14]], [[-26105141254, 17206822562], [-25944463897, 34472452681/2], [-53204398, -9715290], [-687, -333/2]]], 1, 40, [], [] >,
< [ -2, 0, 1 ], [[16, 33]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[85, -1], [25, 7], [85, -1], [0, 0]], [[-585527/2, 163585/2], [-145399/2, -1853/2], [-585481/2, 81827], [3/2, 2]], [[-91038682, 36895870], [-20636427, 6217025/2], [-91035327, 36904637], [242, 1001/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[60, 77/2], [206, 80], [60, 77/2], [0, 0]], [[-191663/2, 3345], [-13621347/14, 3549009/7], [-1339545/14, 47193/14], [27/14, 5/14]], [[-15574097/2, -277204979/2], [18134235625/14, -18491007405/14], [-107581149/14, -968661852/7], [19459/14, 20068/7]]], 1, 120, [], [] >,
< [ -2, 0, 1 ], [[48, 41]], [ -518, 7 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1], [-120/7, -16/7], [-13, -2], [0, 0]], [[395/2, 52], [363883/238, -4423/119], [23463/14, -387/14], [-53/833, 5/1666]], [[-87915/2, -76017/2], [-24232441/119, -27649754/119], [-3181995/14, -3591507/14], [13365/1666, 7884/833]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-2748, -11/2], [-3261499/1666, -3482/833], [1071900/49, 463/49], [-5487/11662, -5/11662]], [[300983/2, -162750], [178560993/1666, -193137927/1666], [-117802373/98, 127151389/98], [150600/5831, -162648/5831]]], 1, 22, [], [] >,
< [ -2, 0, 1 ], [[34, 7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-73, -3/2], [1, 9], [-73, -3/2], [0, 0]], [[13201/2, -58245], [28631/2, -310], [13197/2, -116487/2], [-1/2, 1/2]], [[990, 561], [-147, -127], [990, 561], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-160, -5/2], [801, 10], [-160, -5/2], [0, 0]], [[2077763, 997/2], [-72815356/7, 210907/7], [14542963/7, 7235/14], [10/7, -1/7]], [[-1629490023/2, -478720881/2], [57000445675/14, 16597728325/14], [-11405408547/14, -1675414651/7], [-7381/14, -759/7]]], 1, 66, [], [] >,
< [ -2, 0, 1 ], [[-116, -55]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8804, -1], [517169/151, -8292/151], [-8804/151, -1/151], [0, 0]], [[246746239, 98692417/2], [-28804441663/302, -5329387293/302], [246747374/151, 49346211/151], [985/302, 5/302]], [[245216773305/2, 56949765844], [-14189764458465/302, -6458549142431/302], [245217772993/302, 56949929085/151], [217297/151, 71456/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9047/2, -3/2], [-4892871/302, -5643/151], [-9047/302, -3/302], [0, 0]], [[789249496, 12621201], [5976602427483/2114, 107365188843/2114], [5524656471/1057, 176696661/2114], [2659/2114, 1/1057]], [[-4267736173953/2, -726927715317], [-16179455655483485/2114, -2768108790905842/1057], [-29873671339461/2114, -5088414759122/1057], [-3558938/1057, -2340619/2114]]], 1, 132, [], [] >,
< [ -2, 0, 1 ], [[-62, -75]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[26195/2, 5/2], [868069/302, 15596/151], [26195/302, 5/302], [0, 0]], [[-341319466, 455100832], [-20465574315/302, 14676984969/151], [-341319240/151, 910201669/302], [-105/302, -1/302]], [[406265411563/2, -613202064435/2], [12010513143671/302, -9919626184480/151], [406265092747/302, -613202086483/302], [37024/151, 2504/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8771/2, 3/2], [8531633/302, 6096/151], [8771/302, 3/302], [0, 0]], [[10963845683/2, -22231961/2], [37325983964369/1057, -70229550425/2114], [76746591293/2114, -77812034/1057], [4195/2114, 2/1057]], [[36957770841675/2, 2390094847625/2], [125839530350521194/1057, 16547576515415101/2114], [258703288146361/2114, 8365294463997/1057], [14146451/2114, 478335/1057]]], 1, 132, [], [] >,
< [ -2, 0, 1 ], [[20, 27]], [ -518, -7 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -5/2], [35/2, 14], [25/2, 14], [0, 0]], [[251, -129/2], [-276959/238, -16021/34], [-4845/7, -187/7], [-177/1666, 2/833]], [[32939/2, -1873], [-1302529/14, -92285/2], [-697861/14, -131559/14], [-368/49, -48/49]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -2], [-417/14, -167/14], [23/2, 23/2], [0, 0]], [[-3117/2, 333], [188520/49, -1058045/98], [103401/14, -1038/7], [-5/98, 0]], [[80141/2, -3430], [-452759/17, 66726157/238], [-400515/2, -22721], [331/238, 22/119]]], 1, 22, [], [] >,
< [ -2, 0, 1 ], [[20, 27]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, 1/2], [-3, 4], [-9, 1/2], [0, 0]], [[268, 709/2], [34, -32], [300, 641/2], [-2, 2]], [[-102361/2, -74775/2], [947/2, 1483/2], [-100767/2, -36413], [-77/2, -52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-65, -95/2], [509, -188], [-65, -95/2], [0, 0]], [[408443/2, -1015/2], [508371809/14, -363160887/14], [2862765/14, -3434/7], [51/14, 2/7]], [[-361139989, -1173067453/2], [591494234808/7, -814923630447/14], [-2531927500/7, -8222434075/14], [-56964/7, -153831/14]]], 1, 66, [], [] >,
< [ -2, 0, 1 ], [[-88, -13]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6887/2, 1], [-409047/302, 10393/302], [6887/302, 1/151], [0, 0]], [[-61925773/2, -41286640], [1712134967/151, 4809934463/302], [-61919633/302, -82573335/302], [-525/302, 5/302]], [[-13214483099, -8251363725], [759590420773/151, 469817661859/151], [-13214148613/151, -8251003342/151], [-28565/151, -30798/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17247/2, 2], [-11546493/302, 13085/302], [17247/302, 2/151], [0, 0]], [[-1760621677/2, 23797343/2], [4125646926988/1057, -122786608703/2114], [-12324312515/2114, 83290729/1057], [-6887/2114, -1/1057]], [[-32605852584805, -35771115095342], [152346638328458589/1057, 167429419466647343/1057], [-228240217522147/1057, -250396997540141/1057], [-131456763/1057, -141739254/1057]]], 1, 132, [], [] >,
< [ -2, 0, 1 ], [[-6, -61]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-686, -3/2], [-19168/151, -1471/302], [-686/151, -3/302], [0, 0]], [[-63527539/2, -653/2], [-887735253/151, -64252027/302], [-63533043/302, -342/151], [873/302, 2/151]], [[530845774350, 2114611899405/2], [33948421130027/302, 60172718555401/302], [530892796605/151, 1057397812815/151], [-14855535/302, -29125845/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6703, 2], [113238/151, 6014/151], [6703/151, 2/151], [0, 0]], [[-7240330229/2, 50618815/2], [-427641538050/1057, -19615443062/1057], [-50682338935/2114, 177165831/1057], [-2337/2114, -5/2114]], [[282901979342863/2, 286279128077762], [40594326432617319/2114, 34725813789034240/1057], [1980314960499215/2114, 2003954981941364/1057], [47350313/1057, 185665121/2114]]], 1, 132, [], [] >,
< [ -2, 0, 1 ], [[-43, -44]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-6383/2, -3/2], [-3078809/1433, -7933/2866], [4005/2, -9/4], [4007/2866, 1/5732]], [[-795995/2, 1412077/2], [-765658573/2866, 680793757/1433], [251135, -443401], [500307/2866, -443310/1433]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [11, -5/2], [0, 1/2], [0, 0]], [[-57587, 7/2], [6369406947/20062, -380897/10031], [-177979/14, 47/28], [29655/10031, 3/40124]], [[233/2, 133/2], [-6442320/10031, -3677491/10031], [180/7, 411/28], [-60/10031, -137/40124]]], 1, 72, [], [] >,
< [ -2, 0, 1 ], [[-88, -43]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3/2], [10, 6], [1/2, 3/2], [0, 0]], [[1351/2, 5/2], [-94906319/3554, -6096/1777], [-101035/6, -29/6], [2769/3554, 1/5331]], [[-5/2, 3], [354237/3554, -422799/3554], [377/6, -75], [-31/10662, 37/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 7], [-36, -16], [-1/2, 7], [0, 0]], [[3081/2, 51/2], [-436288520/12439, 946129/24878], [1663813/42, 397/14], [-13183/37317, -1/74634]], [[-693984, -581611], [381691997835/24878, 161347181871/12439], [-121670168/7, -102769983/7], [3851737/24878, 1627263/12439]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[19, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-45, 18], [-59, 3/2], [14, 33/2], [0, 0]], [[11896, -9786], [8360, -19785/2], [3534, 108], [2, -3/2]], [[890749/2, 465195/2], [2344235/2, 1514625/2], [-1453553/2, -1049451/2], [67/2, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[508, 5/2], [604, 10], [32, 5/2], [0, 0]], [[-4722879, 370804], [-5603828, 750977/2], [-293872, 3123/2], [-1, 0]], [[1612648627/2, 403162323/2], [13496694051/14, 1755356982/7], [736610389/14, 114851328/7], [2515/14, 795/14]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-64, -5]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5705/2, -2], [-336301/302, 6847/302], [5705/302, -2/151], [0, 0]], [[2433/2, -7699/2], [-597615/302, 453989/302], [-73/302, -7719/302], [220/151, 3/302]], [[18862578, 11197075/2], [-1159245869/302, 620728371/302], [21858179/151, 9156263/151], [-1049041/302, -1248121/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2531, 5/2], [-1651321/151, 2955/302], [2531/151, 5/302], [0, 0]], [[-1127893465/2, 12742098], [5151795078971/2114, -126085666599/2114], [-7895386355/2114, 89194745/1057], [-1313/1057, 1/1057]], [[24111455757, 29704187401], [-219224347615689/2114, -135458853489719/1057], [168783168180/1057, 415865711105/2114], [118431/2114, 140907/2114]]], 1, 72, [], [] >,
< [ -2, 0, 1 ], [[-5, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-114, -2], [-225, -7/2], [37, 1/2], [0, 0]], [[-619631/2, 8281/2], [-1222841/2, 18383/2], [201153/2, -1739], [-3/2, 2]], [[937409/2, 210486], [1847119/2, 413830], [-303209/2, -67726], [-1/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, 5/2], [286, -205/2], [-63, -2], [0, 0]], [[7145, -445/2], [1156878/7, -566073/7], [-222081/7, 36769/7], [-18/7, -5/14]], [[1027103/2, -2734283], [139212641/2, -66890486], [-11063283/2, 12346287], [297/2, 963]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[-36, -57]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -5/2], [1, 3], [2, -5/2], [0, 0]], [[17, -6], [327/2, 0], [59, -6], [1/2, 0]], [[15/2, 7/2], [872/7, 545/7], [79/2, 47/2], [8/21, 5/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, -5/2], [487, -1], [-15, -5/2], [0, 0]], [[22513, 117/2], [-1547059/2, 900005/7], [22523, 117/2], [5/42, 0]], [[-167535/2, -1045103/2], [-22268963/7, 122390382/7], [-167607/2, -1045567/2], [-3/7, -58/21]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[-126, -55]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-63/2, -1], [-4, -12], [-63/2, -1], [0, 0]], [[459, 2327/2], [-61330424/1777, -217065/3554], [-22721, 6893/6], [5497/5331, 5/10662]], [[-584013/2, -271455], [24485514941/3554, 10613144573/3554], [25983809/6, 5186777/3], [-730709/3554, -948367/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-91/2, -1/2], [-4, -12], [-91/2, -1/2], [0, 0]], [[5951/2, -10117/2], [-336658587/3554, 42895/1777], [-169843/6, -10145/2], [14837/10662, 2/5331]], [[8447125/2, 24452605/2], [1083646449883/3554, 229524113562/1777], [209954149/2, 109904561/2], [-15926333/3554, -3375988/1777]]], 1, 204, [], [] >,
< [ -2, 0, 1 ], [[-126, -55]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[41/2, 2], [-11, 1], [41/2, 2], [0, 0]], [[-307/2, -88], [-70863075/3554, -188633/3554], [-117521/6, -102], [9217/10662, 5/10662]], [[119362, 79865], [18760517804/1777, 7752963877/1777], [10392642, 12936727/3], [-2435891/5331, -1003250/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[51/2, 0], [23, 1], [51/2, 0], [0, 0]], [[31323/2, -1095/2], [-8254988/1777, 227185/3554], [-90071/6, -1127/2], [7274/5331, 5/10662]], [[-88505217/2, -17307130], [47494733713/3554, 19263168589/3554], [90087255/2, 19756056], [-14115301/3554, -5857033/3554]]], 1, 204, [], [] >,
< [ -2, 0, 1 ], [[-139, -93]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1161, -3/2], [2246859/2866, 3353/1433], [-1457/2, -1/4], [-730/1433, -5/5732]], [[-113/2, 37], [54528/1433, -35712/1433], [-71/2, 93/4], [-71/2866, 93/5732]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29/2, -5/2], [65/14, -53/14], [-29/14, -5/14], [0, 0]], [[-10411/2, 49/2], [5067779/1433, 11183/1433], [-3296, 13/4], [-3304/1433, -3/5732]], [[-113/2, 37], [54528/1433, -35712/1433], [-71/2, 93/4], [-71/2866, 93/5732]]], 1, 72, [], [] >,
< [ -2, 0, 1 ], [[-2, -45]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 3], [-18, -1], [15/2, 3], [0, 0]], [[-433/2, -18], [23431825/3554, 61430/1777], [-28793/6, -67/3], [785/3554, 1/5331]], [[-59/2, 21], [3572817/3554, -2543529/3554], [-4391/6, 521], [361/10662, -257/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[29/2, 15/2], [-85, -81], [29/2, 15/2], [0, 0]], [[4611, 789/2], [2501140979/24878, -135685377/24878], [-632209/7, 16435/42], [60707/74634, 1/74634]], [[6707697, -2811191/2], [3943137912061/24878, -1297179920851/24878], [-2907606713/21, 1677753919/42], [92836255/74634, -8815635/24878]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[33, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-84, -3], [-65, -1/2], [-19, -5/2], [0, 0]], [[-364355/2, 38829/2], [-284217/2, 38059/2], [-80145/2, 805/2], [-1/2, 5/2]], [[23528607, 6245447], [17971607, 4329312], [5555768, 3827727/2], [-176, -649/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[201, 1/2], [234, 7/2], [11, 1], [0, 0]], [[-45947/2, 2232], [-52259/2, 2265], [-2379/2, 11], [-3/2, 0]], [[309186, 1678815/2], [2609395/7, 6723195/7], [168531/7, 639145/14], [220/7, 405/7]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-54, -59]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10839/2, -2], [-368265/302, -20333/302], [-10839/302, -2/151], [0, 0]], [[-2220932452, 3934203733/2], [-136247254721/302, 125385941755/302], [-2220930957/151, 1967101879/151], [525/302, 5/302]], [[-4307909161112, 8445710835805/2], [-261240201341383/302, 270885148590905/302], [-4307905399625/151, 4222855931159/151], [1321317/302, 181773/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19039/2, 3/2], [763287/302, 9871/151], [19039/302, 3/302], [0, 0]], [[-183128276068, 1638253515/2], [-51379968739845/1057, -1091259394121/1057], [-1281897964857/1057, 11467774595/2114], [1986/1057, -1/2114]], [[12189352092607657/2, 1627213375656419/2], [1722104683406235145/1057, 544586360695862161/2114], [85325466806344193/2114, 5695246963653487/1057], [-132345763/2114, -9102797/1057]]], 1, 72, [], [] >,
< [ -2, 0, 1 ], [[-59, -27]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-801, -5/2], [-756, 41], [15, 29/2], [0, 0]], [[-7066254, 6828557], [-7410794, 6829714], [-114866, 781/2], [2, -1/2]], [[-233147481/2, -401977795], [-133122101/2, -373228199], [33345805/2, 9584117], [-415/2, -95]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-87, -5/2], [-864, -35/2], [-85, 0], [0, 0]], [[-397497/2, -635/2], [-27646527/14, 95348/7], [-2721379/14, 36859/7], [-23/14, 3/14]], [[-12737667/2, -3345817], [-878040801/14, -228949981/7], [-84585351/14, -21657731/7], [-635/14, -145/7]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[-78, -21]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 17/2], [-1, -14], [0, 17/2], [0, 0]], [[-249/2, -171/2], [1241/7, 2449/14], [-297/2, -131/2], [-1/7, 5/42]], [[0, 0], [891/14, -324/7], [44, -32], [11/42, -4/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[521/2, 1/2], [7, 13], [521/2, 1/2], [0, 0]], [[-704777, 2627521/2], [1570745/14, -1143/14], [-4933461/7, 18392601/14], [1/42, 1/42]], [[-68425/2, 41055/2], [1134, -1158], [-68425/2, 41055/2], [0, 0]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[-332, -245]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[129/2, 2], [25, 27], [129/2, 2], [0, 0]], [[-9615, 22327/2], [45193/2, -48], [758, 22329/2], [-1/2, 0]], [[916271/2, -318341/2], [428127995/3554, 917276936/1777], [1028973/2, 467459/6], [-28937/10662, -60920/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[53, 5/2], [23, 16], [53, 5/2], [0, 0]], [[733/2, -55], [22089, 0], [43691/6, -163/3], [-1/3, 0]], [[1677, 63401/2], [2510260227/3554, 7166974851/3554], [222924, 1326101/2], [-37881/3554, -108153/3554]]], 1, 204, [], [] >,
< [ -2, 0, 1 ], [[-332, -245]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-51/2, 0], [-16, -20], [-51/2, 0], [0, 0]], [[4345/2, -5585/2], [-15572457/3554, -247/1777], [5785/6, -16709/6], [207/3554, -2/5331]], [[511294, -141272], [230409755/1777, 1604847729/3554], [1636388/3, -50921/3], [-8774/5331, -21293/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-95/2, -2], [45, 35], [-95/2, -2], [0, 0]], [[-6841, 9545/2], [-22041388/1777, 84531/3554], [-74075/3, 28613/6], [1529/1777, 1/10662]], [[169199/2, -60965], [-110287309/3554, -470831127/3554], [78261/2, -251717], [7783/3554, 32677/3554]]], 1, 204, [], [] >,
< [ -2, 0, 1 ], [[18, 27]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-115/2, -5/2], [-52/17, -193/34], [-345/34, -15/34], [0, 0]], [[3927, 3927/2], [2511525/1394, 327006/697], [62673/85, 29613/85], [-4291/6970, -2/3485]], [[55363/2, 53515/2], [4893336/697, 8415049/697], [167643/34, 852453/170], [-1036/3485, -28231/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-103/2, -3/2], [3532/17, 163/34], [-309/34, -9/34], [0, 0]], [[161817/2, -14459], [147570180/4879, 291913842/4879], [406809/34, -43428/17], [4457/4879, 1/9758]], [[9457447/2, -32031549/2], [-33965541577/1394, -4770731954/697], [29446911/34, -200853627/85], [-83979/6970, -1275337/6970]]], 1, 60, [], [] >,
< [ -2, 0, 1 ], [[18, 27]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 3/2], [9, -1], [0, 3/2], [0, 0]], [[2, 4], [387/14, -51/7], [2, 4], [41/14, 1/7]], [[37/2, 39/2], [695/7, 24/7], [37/2, 39/2], [90/7, 30/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 2], [11, -39], [0, 2], [0, 0]], [[-27/2, -9], [15640/49, 12977/98], [143/14, -66/7], [83/49, -3/98]], [[-57, -63/2], [200145/98, -2843/49], [1284/7, -1937/14], [1683/98, -374/49]]], 1, 40, [], [] >,
< [ -2, 0, 1 ], [[36, 9]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-63/2, 1], [-337/17, 135/34], [-189/34, 3/17], [0, 0]], [[-21550, 17900], [-12032614/697, 18728457/1394], [-64605/17, 268488/85], [128/3485, -3/6970]], [[-180400, 332100], [-257592591/1394, 156839238/697], [-2696328/85, 9971931/170], [11479/6970, 2782/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35/2, 3/2], [2988/17, -673/34], [-105/34, 9/34], [0, 0]], [[-7175/2, 350], [450116749/9758, -43827011/9758], [-395769/1190, 72549/1190], [11261/48790, -2/24395]], [[979095/2, 412905/2], [-4388223980/697, -1851162384/697], [7014759/170, 2523741/170], [-121058/3485, -116121/6970]]], 1, 60, [], [] >,
< [ -2, 0, 1 ], [[36, 9]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -2], [-2, 3], [5/2, -2], [0, 0]], [[6, 9/2], [-2175/14, -711/14], [6, 9/2], [-43/14, -5/14]], [[25/2, 21/2], [-3657/7, 187/14], [25/2, 21/2], [-86/7, 43/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -3/2], [8, -4], [5/2, -3/2], [0, 0]], [[-7, -9/2], [-71/7, -157/14], [-1/7, -11/14], [-2/7, -5/14]], [[33/2, 21/2], [319/14, 185/7], [3/14, 27/14], [9/14, 6/7]]], 1, 40, [], [] >,
< [ -2, 0, 1 ], [[9, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 3/2], [-9, -3/2], [12, 6], [0, 0]], [[17/2, -5/2], [43/2, -47/2], [-17/2, 37/2], [5/2, -1/2]], [[2, -19/2], [48, -15], [-42, 3/2], [0, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, -4], [114, 75/2], [-24, -33/2], [0, 0]], [[7376, -10341/2], [168208/7, -216539/14], [-3770/7, -43/7], [-22/7, -2/7]], [[-378209/2, 132992], [-8493873/14, 2831574/7], [156801/14, -11913/7], [891/14, -33/7]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[0, -9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 5/2], [15, -9], [0, 15/2], [0, 0]], [[77/2, 19], [-35/2, 54], [201/2, 105/2], [3/2, 5/2]], [[-14, -4], [25, -30], [-36, -12], [0, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, 11/2], [-18, -51], [21, 33/2], [0, 0]], [[-1627, 301], [75066, -47987], [-4899, 900], [1, 0]], [[-5713/2, 6259], [5455115/14, -2106572/7], [-119745/14, 263817/14], [5/14, -53/14]]], 1, 10, [], [] >,
< [ -2, 0, 1 ], [[18, 27]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[371, 3/2], [-67017/151, 5319/302], [1113/151, 9/302], [0, 0]], [[46547/2, 59285/2], [-3730895/151, -5173565/151], [138465/302, 88916/151], [381/302, 5/302]], [[2288391/2, 528272], [-396843443/302, -172623841/302], [6859817/302, 1574310/151], [824/151, 3399/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-269/2, 2], [796899/302, -7857/302], [-807/302, 6/151], [0, 0]], [[-110049/2, 14207], [1167961049/1057, -577564027/2114], [-2405497/2114, 596721/2114], [-4517/2114, -3/2114]], [[-12183904, 48595794], [33465751519/151, -147851934548/151], [-34728612/151, 152217878/151], [87756/151, 307558/151]]], 1, 20, [], [] >,
< [ -2, 0, 1 ], [[36, 9]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[151/2, 0], [75/2, 15/2], [3/2, 0], [0, 0]], [[-24191/2, -12195/2], [-1088693/151, -1277789/302], [-72471/302, -18299/151], [33/302, -2/151]], [[157117/2, 160899/2], [55020, 95397/2], [3123/2, 1596], [69/302, -114/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[535, 3/2], [1011975/151, 6225/302], [1605/151, 9/302], [0, 0]], [[11384439, -1473824], [301399531117/2114, -19473597466/1057], [239025985/1057, -61900635/2114], [4517/2114, -3/2114]], [[7656550307/2, -14595325403/2], [101263582026903/2114, -96595361334197/1057], [160770943955/2114, -306443437225/2114], [399817/1057, -1396490/1057]]], 1, 20, [], [] >,
< [ -2, 0, 1 ], [[54, 9]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -5/2], [22, 38], [-3/2, -5/2], [0, 0]], [[-3/2, 2], [3183/14, -89/7], [-3/2, 2], [-27/14, -1/7]], [[-11, -3], [-14215/14, -13857/14], [-11, -3], [153/14, 135/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 2], [-320, -32], [1/2, 2], [0, 0]], [[319, -33], [93477/14, -362113/14], [319, -33], [1/14, -1/14]], [[-825/2, -539/2], [41691, 32097], [-825/2, -539/2], [0, 0]]], 1, 60, [], [] >,
< [ -2, 0, 1 ], [[36, 45]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 5/2], [29, 32], [2, 5/2], [0, 0]], [[-44, 11/2], [-6989/14, 167/14], [-44, 11/2], [5/14, -3/14]], [[143/2, 55], [966, 730], [143/2, 55], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [-30, -15], [-3/2, -1/2], [0, 0]], [[-1/2, -1], [87/2, -29/2], [-11/14, 3/7], [-3/14, 1/14]], [[-7, -4], [206/7, 617/7], [3/7, -8/7], [-1/7, -3/7]]], 1, 60, [], [] >,
< [ -2, 0, 1 ], [[-108, -171]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-115/2, -5/2], [-15, 6], [-115/2, -5/2], [0, 0]], [[-7306, -2912], [-16795/14, 1271/14], [-7321, -2917], [15/14, 5/14]], [[-16484, -49452], [99149/14, -75167/7], [-16501, -49558], [17/14, 53/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, -9/2], [-811, -2], [7, -9/2], [0, 0]], [[8621/2, 3], [-20232304/7, -13015680/7], [8613/2, 5], [2/7, -1/7]], [[-49698, -46431], [1026313079/14, 367641772/7], [-49695, -46411], [-3/14, -10/7]]], 1, 960, [], [] >,
< [ -2, 0, 1 ], [[-234, -63]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1], [-19, -11], [-5/2, -1], [0, 0]], [[29/2, -1], [-1227/14, 268/7], [203/2, -7], [29/14, -1/7]], [[-1066, -41/2], [42151/7, -31859/14], [-7462, -287/2], [-1066/7, -41/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[201, 1/2], [-31, -26], [201, 1/2], [0, 0]], [[-1064949/2, 892967/2], [-66809/2, 197/2], [-7453463/14, 6250357/14], [3/14, -1/14]], [[-16790659/2, 9944082], [-8934350/7, -3113786/7], [-117500501/14, 69608610/7], [44/7, 1/7]]], 1, 960, [], [] >,
< [ -2, 0, 1 ], [[-21, -7]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [-1/2, -1/2], [-22, -19], [0, 0]], [[0, 0], [0, 0], [-57/2, 15], [-3/2, 1]], [[0, 0], [0, 0], [5, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[51/2, 0], [51/2, -7], [0, -7], [0, 0]], [[199/2, -300], [18605/34, -5085/17], [12463/34, -125/34], [89/34, 5/34]], [[2331/2, 2642], [-112701/34, 17386/17], [-123653/34, -21793/17], [-925/34, -185/17]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-30, -3]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[659/2, 5/2], [-368/17, 121/34], [659/34, 5/34], [0, 0]], [[1128454, -372231/2], [-110763729/1394, 34849483/1394], [5637018/85, -930633/85], [-2053/6970, -1/1394]], [[-203822362, -930407057/2], [4503746421/1394, 40110443861/1394], [-1017301444/85, -464708781/17], [692061/6970, 961391/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[421/2, 5/2], [-1014/17, 53/34], [421/34, 5/34], [0, 0]], [[147420, 1365], [-329862851/4879, 11692231/9758], [744927/85, 7152/85], [13371/24395, 3/48790]], [[-53093040, -73513440], [31423053357/1394, 46105090177/1394], [-53707255/17, -148623839/34], [-268249/1394, -378557/1394]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[-30, -3]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1], [-1, 9], [-1/2, 1], [0, 0]], [[1, 1/2], [117/14, 109/14], [0, -1/2], [1/14, 1/42]], [[0, 0], [-3, -1], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 2], [41, -12], [-9/2, 2], [0, 0]], [[8, 17], [-27891/98, -23815/98], [138/7, 95/7], [33/98, 5/294]], [[81/2, -607/2], [20614/7, 46281/14], [-487/2, -323/2], [-142/21, 71/42]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-30, -3]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[545, 2], [138932/151, 1333/151], [545/151, 2/151], [0, 0]], [[-4829/2, 1574], [-1213145/302, 396928/151], [-4715/302, 1572/151], [187/151, -5/302]], [[47838, -48398], [24322067/302, -24190245/302], [50049/151, -91549/302], [15279/302, 8778/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, 2], [-60527/302, -12585/302], [33/302, 2/151], [0, 0]], [[-3811/2, 2], [-24364936/1057, -46483/2114], [-5025/2114, 10057/2114], [5029/2114, 1/2114]], [[-1255329, -1458336], [-16126222155/1057, -18679449696/1057], [6044637/1057, 1396191/1057], [1661343/1057, 1926495/1057]]], 1, 20, [], [] >,
< [ -2, 0, 1 ], [[-16, -31]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5285/2, 0], [-62637/2, 15/2], [35/2, 0], [0, 0]], [[24954600, 11878591/2], [-89309159583/302, -21236883901/302], [24954556/151, 5939296/151], [-289/302, -3/302]], [[-32205706924, -19574781599], [57619691572474/151, 35017900563084/151], [-32205661950/151, -19574758434/151], [151081/151, 79326/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4773/2, -1], [8805251/302, 4103/302], [-4773/302, -1/151], [0, 0]], [[-501229403/2, 1011741], [3236358348655/1057, -25826322185/2114], [-3508606417/2114, 14163501/2114], [289/2114, 3/2114]], [[-92208848833, -47785608095], [340232613035935/302, 176326948500291/302], [-92208888528/151, -95571278631/302], [15419/302, 4046/151]]], 1, 36, [], [] >,
< [ -2, 0, 1 ], [[-31, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[746, 5/2], [712, 1/2], [34, 2], [0, 0]], [[8956436, -549542], [8551015, -1094003/2], [405267, -4773/2], [-2, 2]], [[446621257/2, 381579283/2], [424349283/2, 363066897/2], [22277595/2, 18513849/2], [73/2, 19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-57, -2], [-1049, -53/2], [26, 1/2], [0, 0]], [[876751/2, -7825/2], [113043949/14, -2121015/14], [-2803281/14, 69541/14], [-15/14, -5/14]], [[4568651, -479246], [590171839/7, -135153409/14], [-14652121/7, 1763918/7], [-73/7, -37/14]]], 1, 36, [], [] >,
< [ -2, 0, 1 ], [[-79, -52]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[554, -11], [107816059/2866, -34365/2866], [-330859/2, -5/4], [-23631/24361, 5/97444]], [[217785/2, -75623/2], [10460342304/1433, -6950002069/2866], [-64186149/2, 42613553/4], [-9169125/48722, 6088299/97444]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[215/2, -3/2], [-2187/14, 13/14], [215/14, -3/14], [0, 0]], [[3911/2, -53/2], [109883156/1433, 38545/1433], [-341964, -21/4], [-48868/24361, -1/97444]], [[-2680453/2, -1315173], [-154787510423/2866, -149954431207/2866], [240698255, 233253559], [68792089/48722, 66664997/48722]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-54, -25]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, -19/2], [5, -10], [-11, -19/2], [0, 0]], [[-6257/2, -75/2], [5850621/3554, -208921/3554], [-7059/2, -217/6], [-7397/10662, -1/10662]], [[232267, -821597/2], [-508163911/3554, 789837607/3554], [263662, -927857/2], [190785/3554, -326025/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -11/2], [-17, -36], [-5/2, -11/2], [0, 0]], [[-6829/2, 25], [-506653515/24878, 1892258/12439], [10169/42, 192/7], [-6487/74634, -2/37317]], [[-115120, 33879/2], [-2440363227/3554, 179718069/1777], [23665/3, -1313/6], [-31175/10662, 725/1777]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-38, -43]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2659, -2], [-3279430/151, -6769/151], [-2659/151, -2/151], [0, 0]], [[-128938227/2, 108141673/2], [-525405961, 881891997/2], [-853895/2, 358085], [269/302, -2/151]], [[-63656147469/2, 29527195939/2], [-78413660785461/302, 18156707678480/151], [-63656166821/302, 29527159449/302], [-34399/151, -60639/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3716, -2], [72881799/151, 38682/151], [-3716/151, -2/151], [0, 0]], [[4387642, -6594], [-1205748076647/2114, 1819290407/2114], [30706601/1057, -112981/2114], [-6887/2114, -1/1057]], [[8558128365/2, 15175407003/2], [-1175885293676447/2114, -1042567719785826/1057], [59821847667/2114, 106183726969/2114], [-3379662/1057, -5961020/1057]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[-52, -15]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1313, -1], [-4327666/151, 6204/151], [1313/151, -1/151], [0, 0]], [[29893315/2, -25622759/2], [-49321741782/151, 42259550472/151], [29893587/302, -12811382/151], [893/302, 3/302]], [[-142248914944, 33940595225/2], [937837446164571/302, -112518015671133/302], [-142246796166/151, 16972291908/151], [14493197/302, 13408053/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3043, 1/2], [-31224381/151, -8771/302], [3043/151, 1/302], [0, 0]], [[1336443453/2, 4183422], [-6856688010417/151, -42762708368/151], [1336444359/302, 8368203/302], [-3/2, 0]], [[-246612660285/2, -227114902767/2], [17712841017194697/2114, 8156359088141128/1057], [-1726292990423/2114, -1589807125205/2114], [289220/1057, 267629/1057]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[104, 177]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[20595, -2], [481678/151, 177/151], [20595/151, -2/151], [0, 0]], [[876271/2, -315381], [19488291/302, -14742555/302], [890859/302, -315382/151], [1, 0]], [[-1557723409/2, 631034604], [-14159834192/151, 33890684913/302], [-1676596793/302, 1197515397/302], [-2461277/302, -1336727/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[20595/2, -1], [-12191601/302, 4405/302], [20595/302, -1/151], [0, 0]], [[-92682233319/2, -59389921], [192027444786152/1057, 390729110851/2114], [-648775648995/2114, -831454943/2114], [1313/2114, -1/2114]], [[-14528729331753, -7902693018521], [120373222850586917/2114, 65462292549826009/2114], [-101701107117471/1057, -110637703703929/2114], [410735/2114, 111535/1057]]], 1, 1056, [], [] >,
< [ -2, 0, 1 ], [[290, 127]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[38085/2, 2], [896813/302, -203/302], [38085/302, 2/151], [0, 0]], [[-787304623/2, 2493518219], [-9309049907/151, 117439240853/302], [-787318585/302, 4987036475/302], [-407/302, 1/302]], [[-852521038650, -2023158536050], [-20042853304089/151, -47633892430702/151], [-852515121050/151, -2023156890570/151], [172520/151, 48000/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17424, -2], [5712167/151, 1385/151], [17424/151, -2/151], [0, 0]], [[-5617652959/2, -32291558], [-12891603681177/2114, -76406464858/1057], [-39323972059/2114, -226049375/1057], [2787/1057, 3/2114]], [[-125088933703696, -35955912429352], [-82032985908225305/302, -23604253662479155/302], [-125090232033394/151, -71912636716145/302], [35247451/302, 4903577/151]]], 1, 1056, [], [] >,
< [ -2, 0, 1 ], [[202, 79]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[20500, 5/2], [487594/151, 11713/302], [20500/151, 5/302], [0, 0]], [[8148995931/2, -2669498369], [190803979623/302, -62341833245/151], [8149003177/302, -2669498384/151], [128/151, -1/302]], [[20390665692059, -24945615214323/2], [955873151895403/302, -290899945133441/151], [20390691077582/151, -12472802141023/151], [1793917/302, 193328/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[57045/2, -2], [18553799/302, 8055/302], [57045/302, -2/151], [0, 0]], [[-37379402879/2, -1225803572], [-42554382791972/1057, -5624585125277/2114], [-261655714321/2114, -17161244707/2114], [-1825/2114, 3/2114]], [[505731615846675/2, 69482623418025], [1151737879753385471/2114, 316968207477581945/2114], [3540119888418157/2114, 486378177989268/1057], [11995555/1057, 2585349/1057]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[79, 101]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[378, 7/2], [-260, 2], [638, 3/2], [0, 0]], [[-195663391/2, -1432164], [134559005/2, -155500], [-330222319/2, -1276664], [1/2, 0]], [[-79859, -99548], [52625, 135125/2], [-132484, -334221/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[48, -1/2], [1017, -1/2], [227, 1], [0, 0]], [[787761/2, -1472], [16694007/2, 103303/2], [3725975/2, 41317/2], [-5/2, 0]], [[2452380, 6306595/2], [373103576/7, 471411985/7], [84300198/7, 105617324/7], [-110/7, -281/14]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[603, 418]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1230, 7], [8004755/2866, 14995/2866], [42163/2, 27/4], [3012/1433, 1/5732]], [[-261921/2, -121264], [432147579/1433, 795693005/2866], [2269731, 8368127/4], [324144/1433, 1195281/5732]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[39/2, -1/2], [-197/14, 23/14], [39/14, -1/14], [0, 0]], [[-1470, 585/2], [49556601/20062, -2483932/10031], [210797/14, 1411/28], [2163/1433, 5/5732]], [[857503/2, 483749/2], [-16819473777/20062, -10051841231/20062], [-82101231/14, -25613467/7], [-839550/1433, -1046639/2866]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[96, 137]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, -11/2], [10, 15], [-19/2, -11/2], [0, 0]], [[2716, 7/2], [-5030081/3554, -33516/1777], [-535705/3, -219/2], [6487/10662, 2/5331]], [[1899094, -2446643/2], [-3462502065/3554, 1111602501/1777], [-374904721/3, 161027923/2], [4539805/10662, -1462441/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[36, 73/2], [137, 139], [36, 73/2], [0, 0]], [[40561, -33/2], [-4098264285/24878, -1021528/12439], [-5219101/21, -461/14], [81121/74634, 2/37317]], [[10444471/2, -13561830], [-262585765616/12439, 684902108742/12439], [-1340156509/42, 1744678214/21], [5209802/37317, -4519762/12439]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[-90, -9]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-389, -5/2], [-10235/17, -37/17], [-1167/17, -15/34], [0, 0]], [[-2019670, 3369507/2], [-4379909003/1394, 1823624942/697], [-30299076/85, 25271133/85], [917/1394, 1/3485]], [[13747087275/2, -2899105515], [7430317813335/697, -6303426647025/1394], [206183147817/170, -43501445193/85], [1181956/697, 8217109/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[292, 1/2], [8065/17, 72/17], [876/17, 3/34], [0, 0]], [[-729273/2, 46103/2], [-341753963/574, 19036839/574], [-128679/2, 20346/5], [1503/48790, 2/24395]], [[-33306641, -105309829/2], [-77699848085/1394, -60270237601/697], [-499490229/85, -789707163/85], [4779/1394, 16284/3485]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[-90, -9]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, 4], [-8, -5], [17/2, 4], [0, 0]], [[47/2, 25/2], [-403/14, -349/14], [67/2, 27/2], [-19/14, 3/14]], [[5, -111/2], [697/7, 69/7], [53, -207/2], [-72/7, 60/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 5], [-41, -44], [1, 5], [0, 0]], [[-153/2, 90], [17523/98, -32043/98], [-1955/14, 639/7], [97/98, -5/98]], [[-3295/2, -1360], [467694/49, 721611/98], [7715/14, 930/7], [-1615/49, -2185/98]]], 1, 160, [], [] >,
< [ -2, 0, 1 ], [[-90, -9]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3043, -1/2], [-217449/151, -1773/302], [-9129/151, -3/302], [0, 0]], [[48627193, 19303651/2], [6960439361/302, 703301667/151], [145879939/151, 28955482/151], [361/302, -1/151]], [[87570951955/2, 80673874705/2], [6302798377371/302, 2894657037287/151], [262710837845/302, 242019313765/302], [110495/151, 126895/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, 2], [-22125/302, -4233/302], [99/302, 6/151], [0, 0]], [[5029/2, 1/2], [36166192/1057, -3666/1057], [-5011/2114, 22630/1057], [5029/2114, 1/2114]], [[-415305, -987503/2], [-5969091367/1057, -7099862551/1057], [-8472222/1057, -6487987/2114], [-415305/1057, -987503/2114]]], 1, 160, [], [] >,
< [ -2, 0, 1 ], [[-32, -13]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, -5/2], [79, 45], [-11, -5/2], [0, 0]], [[-89, 123/2], [198, -136], [-83, 119/2], [-2, 1]], [[-93/2, 19], [217/2, -38], [-59/2, 57/2], [-7/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13, -3/2], [-10, 34], [13, -3/2], [0, 0]], [[-4649/2, 9035/2], [47519/2, -13449/2], [-4653/2, 4524], [3/2, -2]], [[-105053/2, -25894], [-251819/2, -131979], [-105231/2, -51885/2], [37/2, 15/2]]], 1, 42, [], [] >,
< [ -2, 0, 1 ], [[-32, -13]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23, -1/2], [33, 53], [23, -1/2], [0, 0]], [[296633/2, -195179/2], [-456809/2, 196855], [296623/2, -97582], [5/2, -5/2]], [[-279675/2, 768419], [6764733/2, 856583], [-279093/2, 1537155/2], [-121/2, -49/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-39, -5/2], [111, 23], [-39, -5/2], [0, 0]], [[-71419/2, 19514], [167431/2, -39835], [-71433/2, 39021/2], [3/2, 1/2]], [[-2038997, 1019737], [4857822, -2010549], [-2039493, 1019466], [103, 42]]], 1, 42, [], [] >,
< [ -2, 0, 1 ], [[70, 7]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1103, 1], [-37756/151, -466/151], [-1103/151, 1/151], [0, 0]], [[-25808, -23023/2], [-2631419/302, -412444/151], [-25498/151, -11506/151], [-269/302, -2/151]], [[529616705/2, 308933305/2], [25368103847/302, 6449139577/151], [524497481/302, 307392997/302], [1108734/151, 330990/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5101/2, -2], [-164717/302, -1911/302], [-5101/302, -2/151], [0, 0]], [[659216617/2, -302142939], [10432881387/151, -19282471975/302], [659217071/302, -604285879/302], [-197/302, 1/302]], [[-330834269919/2, 228200328767], [-5182802475680/151, 14621387644737/302], [-330834781177/302, 456400503701/302], [221459/302, 66113/302]]], 1, 84, [], [] >,
< [ -2, 0, 1 ], [[70, 7]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3217/2, -1/2], [134245/302, 12615/151], [3217/302, -1/302], [0, 0]], [[58685713, -92130235/2], [1725361343/151, -1461497497/151], [58685766/151, -92130237/302], [-23/151, 1/302]], [[1561990435/2, -1453908485/2], [21169896715/151, -48409994421/302], [1561993203/302, -726953826/151], [-1199/302, -179/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3171/2, 0], [647/2, -13/2], [21/2, 0], [0, 0]], [[14077/2, -10981/2], [878902/151, -170402/151], [11475/302, -5500/151], [1129/302, 5/302]], [[-52976331/2, 23801489], [-10850292191/302, -618590863/151], [-34763549/302, 26541354/151], [-3944569/151, -2355029/302]]], 1, 84, [], [] >,
< [ -2, 0, 1 ], [[70, 7]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-673, -3/2], [-374187/151, -13551/302], [-673/151, -3/302], [0, 0]], [[12245, -8642], [13504597/302, -4694545/151], [12095/151, -17279/302], [-985/302, -5/302]], [[-6603391/2, 2353075], [-3502276375/302, 2655008025/302], [-6725107/302, 2280625/151], [-210312/151, -242397/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2531, -5/2], [-1376229/151, -5673/302], [-2531/151, -5/302], [0, 0]], [[37258497, -12399274], [40489886005/302, -6720335113/151], [37258417/151, -24798543/302], [-525/302, 5/302]], [[-12874330943/2, -21270522177], [-7050308439521/302, -11569708596218/151], [-12874225413/302, -21270459378/151], [182342/151, 420217/302]]], 1, 112, [], [] >,
< [ -2, 0, 1 ], [[-135, -87]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[465/2, 1/2], [2014/17, 813/34], [465/34, 1/34], [0, 0]], [[333235/2, -363377/2], [35881547/697, -52608953/697], [1673113/170, -1816803/170], [678/3485, 1/1394]], [[-20679373, 14842377/2], [-12459642973/1394, 1334293147/697], [-103323566/85, 7467058/17], [27199/6970, 44717/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[573/2, 1], [2141/17, 487/34], [573/34, 1/17], [0, 0]], [[884421, -588801/2], [500452607/1394, -60256424/697], [4423136/85, -1471989/85], [403/6970, 1/3485]], [[283722488, -639463538], [43795749955/697, -185673123263/697], [1418378404/85, -3198136708/85], [-2538/205, -9396/205]]], 1, 112, [], [] >,
< [ -2, 0, 1 ], [[-405, -261]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[897/2, 5/2], [1072/17, 1417/34], [2691/34, 15/34], [0, 0]], [[-422500, 634426], [97949893/1394, 69179039/1394], [-1266843/17, 19033059/170], [-3741/6970, -3/6970]], [[2878021328, -627453736], [410335079611/1394, 290384662657/1394], [43173216333/85, -18807056997/170], [-2521849/6970, -9322123/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-919/2, -3/2], [-888/17, -823/34], [-2757/34, -9/34], [0, 0]], [[-1635628, 2451668], [94832133/1394, 134039860/697], [-24536514/85, 73549869/170], [477/1394, -1/3485]], [[-9180875760, 1987935530], [-579091182663/697, -173264399490/697], [-137711603544/85, 29823395694/85], [-39304/205, -28900/41]]], 1, 1120, [], [] >,
< [ -2, 0, 1 ], [[-7, -14]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1/2], [3/2, -1/2], [-12, -3], [0, 0]], [[1, -5/2], [1, -5/2], [77/2, 42], [5/2, 2]], [[-40, 25], [-40, 25], [525/2, -119/2], [15/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25, -3/2], [40, 1/2], [15, 2], [0, 0]], [[-7408, 2109/2], [-198948/17, 28151/34], [-146055/34, -7609/34], [1/34, -3/34]], [[825/2, 231/2], [1385/2, 469/2], [280, 119], [0, 0]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-24, -27]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-87, -5/2], [-2697/17, -137/17], [-87/17, -5/34], [0, 0]], [[-45543/2, 8770], [-30070617/697, 10470121/697], [-235041/170, 43867/85], [716/3485, 1/1394]], [[15083471, -6151577/2], [40594975641/1394, -3179749154/697], [78319372/85, -14767316/85], [-1138479/6970, -124176/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-162, 3/2], [-37747/17, 310/17], [-162/17, 3/34], [0, 0]], [[-1381, 135/2], [-569444751/9758, 8703833/9758], [-2288/595, 2767/595], [18857/48790, 1/9758]], [[2529443/2, 198000], [528730599367/9758, 49757949134/4879], [436595/238, -861053/238], [-3523925/9758, -713879/9758]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[-24, -27]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, 1], [-16, -11], [-13/2, 1], [0, 0]], [[-547/2, 441/2], [1391/14, 1327/14], [-553/2, 439/2], [1/14, 1/42]], [[-99, 143/2], [1, 9], [-99, 143/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 5/2], [1, 9], [28, 35/2], [0, 0]], [[-142, -96], [-2787/14, -3043/14], [-7011/7, -4761/7], [1/42, 1/14]], [[-181/2, -83/2], [275/2, -579/2], [-1257/2, -603/2], [-1/6, 1/6]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-24, -27]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4517/2, 3/2], [-1141125/302, 1868/151], [-4517/302, 3/302], [0, 0]], [[2221178, 17710515/2], [1098894981/302, 4471241563/302], [2221052/151, 8855254/151], [827/302, 5/302]], [[10170048067, 22218736681], [2539921996745/151, 11212731809687/302], [10169738514/151, 22218694368/151], [1011058/151, 233835/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6309/2, -2], [15538981/302, 9867/302], [-6309/302, -2/151], [0, 0]], [[-79994028, -5000610], [1379175410345/1057, 86216402667/1057], [-559959294/1057, -35003764/1057], [256/1057, 1/1057]], [[-8222695721/2, -681388544], [70883675423025/1057, 23495712233719/2114], [-57558970619/2114, -9539400023/2114], [25993/2114, 2839/2114]]], 1, 20, [], [] >,
< [ -2, 0, 1 ], [[-33, -31]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[593/2, 6], [-27451265/1433, 7311/1433], [168499/2, 29/4], [24069/48722, 1/97444]], [[-381057/2, 261581/2], [36303100399/2866, -24962340167/2866], [-111362317/2, 76571601/2], [-7954410/24361, 5469400/24361]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, -3/2], [81/2, 17/2], [-19/2, -3/2], [0, 0]], [[-48, -12], [-11666838289/20062, 629817/10031], [-436126/7, -411/28], [851175/341054, 5/682108]], [[-10506, 3516], [-1703543614335/10031, 1706643917281/20062], [-254637625/14, 63753462/7], [248542515/341054, -124483687/341054]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-4, -29]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 11/2], [-19, -10], [9/2, 11/2], [0, 0]], [[-6695/2, 19/2], [-45871261/1777, -101807/3554], [70915/6, 73/6], [4009/5331, 1/3554]], [[-43780, -86583], [-1218609555/3554, -1188854065/1777], [156944, 306307], [35399/3554, 34621/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -1/2], [-1, 5], [-11/2, -1/2], [0, 0]], [[20204, -83/2], [3338726809/24878, -933690/12439], [-153899/21, -1619/42], [13431/24878, 1/37317]], [[569/2, 205], [47106573/24878, 16971678/12439], [-1459/14, -1577/21], [569/74634, 205/37317]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-46, -15]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3939/2, -3/2], [-9320155/302, -3076/151], [-3939/302, -3/302], [0, 0]], [[29114605, -72790521/2], [137811342795/302, -86122634599/151], [29114738/151, -36395257/151], [-873/302, -2/151]], [[36723139332, -16055266007], [86899126287837/151, -37997288825568/151], [36723143300/151, -16055329975/151], [-22176/151, 210464/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4195/2, -2], [-31508995/302, -29997/302], [-4195/302, -2/151], [0, 0]], [[-74871060, -987360], [-7873552809671/2114, -103814627853/2114], [-524101603/1057, -13810463/2114], [4195/2114, 2/1057]], [[-13638162450, 169853282775], [-717144843761135/1057, 17862029886178461/2114], [-95496722211/1057, 1188984004659/1057], [498663/1057, -9529245/2114]]], 1, 36, [], [] >,
< [ -2, 0, 1 ], [[-15, -23]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-702, 41/2], [-736, -2], [34, 45/2], [0, 0]], [[-3689455/2, 2455695/2], [-3710845/2, 2455189/2], [21271/2, -89/2], [-1/2, -5/2]], [[271870306, -339775395/2], [274222770, -338539113/2], [-2308196, -550311], [372, 570]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-71, 1/2], [-242, 75/2], [15, 2], [0, 0]], [[-178396, 45765/2], [-4424285/7, 1172994/7], [254983/7, 3152/7], [24/7, 5/14]], [[17300367/2, 77349193/2], [-129453217/14, 1787929329/14], [-57802877/14, -118275827/14], [-7473/14, -11607/14]]], 1, 36, [], [] >,
< [ -2, 0, 1 ], [[-22, -37]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2754, -5/2], [-7345380/151, -7183/302], [-2754/151, -5/302], [0, 0]], [[-2027272059/2, 1013656587], [-5411607526657/302, 5409453064639/302], [-2027271995/302, 1013656588/151], [-105/151, -1/151]], [[-6913756362073/2, 6350158146771/2], [-9227173816640637/151, 8472336491908523/151], [-6913756180513/302, 3175079067342/151], [-598281/302, 52683/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-801/2, 1/2], [3329091/302, -2196/151], [-801/302, 1/302], [0, 0]], [[-5000688, -574], [291083039127/2114, 6324023/1057], [-35004012/1057, -10441/2114], [801/2114, -1/2114]], [[-9160963658, 795244282], [38089533320606/151, -6618299083171/302], [-9160698533/151, 794911285/151], [104838/151, -18483/302]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[-48, -5]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-545/2, 1], [196137/302, -6821/302], [-545/302, 1/151], [0, 0]], [[-607817, -1621193/2], [398916261/302, 284846967/151], [-607964/151, -810600/151], [965/302, 1/151]], [[40751242127, 73941102407/2], [-27588208349733/302, -12833619630855/151], [40756792608/151, 36972324928/151], [-35967811/302, -5431489/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1569, 2], [-11241962/151, -13767/151], [1569/151, 2/151], [0, 0]], [[966461277/2, -2745117/2], [-3462387288631/151, 20015754351/302], [966462183/302, -1373238/151], [-3/2, 0]], [[1797678619716, 538674744048], [-180321750201327353/2114, -27013019277304588/1057], [12583751449622/1057, 7541418103091/2114], [-11816789/2114, -3568393/2114]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[36, 163]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1825/2, 3/2], [-101943/302, -2964/151], [1825/302, 3/302], [0, 0]], [[-126034055/2, 33166903], [3310548706/151, -1653419523/151], [-125997655/302, 66333967/302], [873/302, 2/151]], [[2557676742954, -7812150628175/2], [-236312668338933/302, 420244689030429/302], [2558697745569/151, -3904413093945/151], [48999725/302, 79739435/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-90357/2, -1], [4130919/302, -14017/302], [-90357/302, -1/151], [0, 0]], [[1297587402846, -4497849594], [-830538872749037/2114, 2857667676272/1057], [9083111796279/1057, -62969906169/2114], [3939/2114, 3/2114]], [[1922986348391862, 3164796685003698], [-86926335834776797/151, -144387185447352188/151], [1922986339190472/151, 3164796675479256/151], [422778/151, 688009/151]]], 1, 1056, [], [] >,
< [ -2, 0, 1 ], [[250, 73]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-48622, 0], [15941, -64], [-322, 0], [0, 0]], [[-323063924, 276921343], [32209186399/302, -13773540003/151], [-323079816/151, 553842753/302], [-499/302, 1/302]], [[604144672875/2, -368510242525/2], [-30055559577843/302, 9182226799978/151], [604147631595/302, -368525896605/302], [23200/151, -122880/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22453/2, 1/2], [-21125963/302, 1428/151], [22453/302, 1/302], [0, 0]], [[-43903512427/2, 80751829/2], [289160948400265/2114, -583823892273/2114], [-307324646231/2114, 565266973/2114], [673/1057, -3/2114]], [[64253886608489/2, -341949053312187/2], [-212001768965007800/1057, 2252247735707297103/2114], [449777356200103/2114, -1196821920213786/1057], [-1978069/2114, 5242137/1057]]], 1, 1056, [], [] >,
< [ -2, 0, 1 ], [[219, 130]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1991/2, -7], [-3237838/1433, -16325/2866], [-17002, -41/4], [-2428/1433, -3/5732]], [[197587/2, -106615/2], [645815955/2866, -349683563/2866], [3398279/2, -1842723/2], [242726/1433, -131648/1433]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 4], [-59/2, -14], [11/2, 4], [0, 0]], [[584, -1], [-3174078/10031, -334554/10031], [-995/7, 3/14], [292/10031, -1/20062]], [[435, -3265/2], [-950461/20062, 17260255/20062], [-740/7, 11125/28], [435/20062, -3265/40124]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[178, 41]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, 27/2], [-21, -14], [-25/2, 27/2], [0, 0]], [[-1049, -22], [152396863/3554, -75893/3554], [81289/3, -32/3], [-13349/10662, -1/3554]], [[138733/2, -3011], [-5052661104/1777, 327190825/1777], [-3593427/2, 348487/3], [442540/5331, -28340/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-46, -36], [-191, -179], [-46, -36], [0, 0]], [[-120, -37], [-768413763/24878, 145443/24878], [2174932/21, -433/21], [14919/24878, 5/74634]], [[4777/2, 10965], [-17304513250/12439, 40440802326/12439], [65308319/14, -76309885/7], [335500/12439, -785070/12439]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[44, 123]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27738, -1], [1376673/151, -1195/151], [-27738/151, -1/151], [0, 0]], [[12012528036, -39313728217/2], [-1195922510509/302, 1952269592913/302], [12012530824/151, -19656864122/151], [-197/302, 1/302]], [[215674907769683/2, 16893549336135/2], [-10702711775128129/302, -414386409609442/151], [215674893521339/302, 16893529699123/302], [251534/151, 346828/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-62107/2, 1/2], [59451563/302, -4159/151], [-62107/302, 1/302], [0, 0]], [[51111313955/2, -745015617/2], [-171241826152308/1057, 2517268100371/1057], [357779206737/2114, -2607561438/1057], [-4517/2114, 3/2114]], [[885017364964467/2, 1256078967515841/2], [-2964083213494749715/1057, -4207947357434746859/1057], [6195121044579669/2114, 4396276376442271/1057], [-81335805/2114, -112140535/2114]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[123, 22]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[345, -251/2], [530, -1/2], [-185, -125], [0, 0]], [[639389, -445576], [659154, -891711/2], [-19891, 122], [-2, -5/2]], [[83930123/2, -59752027/2], [84668547/2, -61121197/2], [-721225/2, 1372257/2], [273/2, 49/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, 1/2], [-1568, 7/2], [-476, 0], [0, 0]], [[64229/2, 43/2], [35279441/14, 825589/14], [10710375/14, 274275/14], [5/14, 3/14]], [[-276, 148], [-21129, 22241/2], [-6399, 6723/2], [0, 0]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[-72, -81]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-509/2, -3/2], [2656/17, -109/34], [-1527/34, -9/34], [0, 0]], [[-299200, 296480], [134601552/697, -260558305/1394], [-4486809/85, 4447146/85], [678/3485, -1/1394]], [[10900672, -15204800], [-9997067079/1394, 6633538576/697], [163432296/85, -456173169/170], [-18057/1394, -10186/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[357/2, 0], [1925, -7/2], [63/2, 0], [0, 0]], [[-1248, 276], [142351411/9758, 29355205/9758], [51087/595, 42879/1190], [18857/48790, 1/9758]], [[-109600, -17796], [8522122267/4879, 4188659708/4879], [6931146/595, 828837/119], [983907/24395, 352263/24395]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[-72, -81]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 0], [-25, -15], [7/2, 0], [0, 0]], [[12, 33/2], [-2461/14, -1847/14], [-6, 21/2], [9/14, 3/14]], [[25/2, -21/2], [-11/14, 253/14], [45/2, -33/2], [-5/14, 3/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 2], [-5, -10], [-35/2, 14], [0, 0]], [[2, -5], [201/2, 107], [232/7, -327/7], [5/14, -2/7]], [[85/2, 32], [-15238/7, -21697/14], [3789/14, 1486/7], [2/7, 5/14]]], 1, 160, [], [] >,
< [ -2, 0, 1 ], [[-72, -81]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5029/2, 1/2], [746073/302, -2964/151], [-15087/302, 3/302], [0, 0]], [[-7572935/2, 15204975/2], [1158377037/302, -1132208603/151], [-22714153/302, 45614933/302], [256/151, 1/151]], [[5008232201/2, -17156332685/2], [-391185250701/151, 2550966708991/302], [15019137847/302, -25734812614/151], [-612095/302, -35182/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[801/2, -1/2], [-860229/302, 246/151], [2403/302, -3/302], [0, 0]], [[-773661/2, 20944], [2900770708/1057, -155487858/1057], [-16288429/2114, 898297/2114], [2081/2114, 2/1057]], [[415797792, 23267210], [-3118364263396/1057, -176181439589/1057], [8752131012/1057, 480941465/1057], [-1132305/1057, -126040/1057]]], 1, 160, [], [] >,
< [ -2, 0, 1 ], [[49, 49]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 5/2], [-1/2, 5/2], [42, 7], [0, 0]], [[403, 455/2], [403, 455/2], [5852, 4599], [-1, 0]], [[520, 650], [520, 650], [27741/2, 15085/2], [3/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-65/2, 3/2], [-77/2, -9/2], [21, 21], [0, 0]], [[358, -425], [156/17, -7523/17], [1645/17, 721/34], [-42/17, -3/34]], [[-17151/2, 8610], [-78227/34, 137494/17], [-56455/34, -2604/17], [1517/34, -74/17]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[-98, -147]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[92, -2], [-658427/151, 12866/151], [644/151, -14/151], [0, 0]], [[-1376881/2, 9860], [4927164067/151, -59726995/151], [-9638077/302, 137933/302], [33/302, -2/151]], [[42294096, 2736864], [-605607758501/302, -40510472419/302], [296056421/151, 38322247/302], [-1993/302, 43/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-59, -2], [388758/151, 13470/151], [-413/151, -14/151], [0, 0]], [[2085/2, 63/2], [-12646367/302, -207261/151], [15411/302, -811/302], [210/151, 2/151]], [[5265, -144], [-63852989/302, 1582777/302], [39286/151, -8595/302], [2125/302, -51/151]]], 1, 672, [], [] >,
< [ -2, 0, 1 ], [[-98, -147]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[220, -3/2], [-1430058/151, 21413/302], [1540/151, -21/302], [0, 0]], [[-28556833/2, 307781/2], [185627528037/302, -2124759317/302], [-199899349/302, 2156765/302], [-384/151, -3/302]], [[24276227210, -1412303803], [-315624754061723/302, 18571523846447/302], [169935064839/151, -19776278679/302], [1303939/302, -28405/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[873/2, 2], [-5866065/302, -25581/302], [6111/302, 14/151], [0, 0]], [[-18131724, -204035], [121836547473/151, 2688147623/302], [-126923129/151, -1426643/151], [-535/151, -3/302]], [[-145973163648, 5094860160], [1961780296978359/302, -68904356448191/302], [-1021821887071/151, 71354652205/302], [-8620975/302, 186760/151]]], 1, 672, [], [] >,
< [ -2, 0, 1 ], [[-98, -147]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-36, 5/2], [18074/151, 5887/302], [-252/151, 35/302], [0, 0]], [[-1749/2, 2355/2], [174181/151, -1015813/302], [-11337/302, 8922/151], [3/2, 0]], [[-137883/2, 35931/2], [63110441/302, -1130716/151], [-1061901/302, 209813/302], [-2028/151, -7384/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[407/2, -1/2], [-178675/302, 574/151], [2849/302, -7/302], [0, 0]], [[-1583163/2, 321021/2], [348216413/151, -71840200/151], [-11083341/302, 1122684/151], [-591/302, -3/302]], [[16429311, -123865929], [-15271914593/302, 54431265999/151], [114682097/151, -1734404881/302], [-28495/302, -98195/302]]], 1, 672, [], [] >,
< [ -2, 0, 1 ], [[56, 63]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1474, -5/2], [45466/151, -3559/302], [1474/151, -5/302], [0, 0]], [[-2897065, 5794483/2], [-1274837/2, 1227831/2], [-19187, 19187], [1129/302, 5/302]], [[-907774057/2, 519242009], [-15239925457/151, 33067459673/302], [-907843869/302, 1038474447/302], [228015/302, 26461/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-673, 3/2], [-14807/151, 5095/302], [-673/151, 3/302], [0, 0]], [[1727854, -736270], [86495869/302, -45291161/302], [1727955/151, -1472535/302], [-663/302, -1/151]], [[178222461/2, -31131824], [4356032605/302, -1019041323/151], [178234011/302, -31131054/151], [-18865/151, -4235/302]]], 1, 112, [], [] >,
< [ -2, 0, 1 ], [[-6, -19]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, -3/2], [-101, -62], [8, -3/2], [0, 0]], [[1947/2, -1467/2], [-441/2, 1710], [1917/2, -746], [5/2, 5/2]], [[23235/2, -16715/2], [-23809/2, 26661/2], [23163/2, -8405], [7/2, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21, 0], [43, 65], [21, 0], [0, 0]], [[12777/2, -9777/2], [-34287/2, 9816], [12775/2, -4880], [3/2, -5/2]], [[-367933/2, 354845/2], [1430319/2, -423073/2], [-368913/2, 176775], [95/2, 150]]], 1, 42, [], [] >,
< [ -2, 0, 1 ], [[-6, -19]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, 2], [37, 53], [15, 2], [0, 0]], [[-15077/2, 6422], [61713/2, -14971], [-15087/2, 12831/2], [1/2, 3/2]], [[-1046903, 1774091/2], [4253222, -2086637], [-1047567, 1772331/2], [64, 204]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[24, 5/2], [-16, 31], [24, 5/2], [0, 0]], [[8967/2, -5039], [-36849/2, 11161], [8969/2, -10095/2], [-3/2, 5/2]], [[19048, -224705], [-645479, 245367], [18614, -225279], [42, 133]]], 1, 42, [], [] >,
< [ -2, 0, 1 ], [[56, 63]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3401/2, -5/2], [-1863521/302, -7744/151], [-3401/302, -5/302], [0, 0]], [[-873010651/2, 820110025/2], [-236097037027/151, 446084109291/302], [-873009657/302, 410055006/151], [-269/302, 2/151]], [[302241233739, -103272580029], [164830416955826/151, -55452513001511/151], [302241387771/151, -103272313245/151], [-41424/151, -72120/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5055/2, 5/2], [-2765837/302, -3581/151], [-5055/302, 5/302], [0, 0]], [[1908295/2, -847505/2], [521605511/151, -229992170/151], [1905675/302, -423753/151], [709/302, -1/302]], [[-402270353/2, 479607727], [-215420782047/302, 262834626148/151], [-403291431/302, 478722615/151], [137299/151, 478547/302]]], 1, 84, [], [] >,
< [ -2, 0, 1 ], [[56, 63]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1057/2, 0], [3793/2, 19/2], [7/2, 0], [0, 0]], [[-20405/2, -11273/2], [-9085111/302, -6192941/302], [-21787/302, -11257/302], [187/151, -5/302]], [[-159431241/2, -62291921], [-40882638769/151, -29342473052/151], [-163070043/302, -130886403/302], [978587/302, 851889/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2941/2, -5/2], [1598607/302, -4120/151], [2941/302, -5/302], [0, 0]], [[6731121/2, -13497979/2], [1855664768/151, -3674737370/151], [6732529/302, -6748979/151], [-381/302, -5/302]], [[13325351233/2, 207310101], [3620417639209/151, 199239093165/302], [13324882009/302, 413807565/302], [126189/302, 219681/302]]], 1, 84, [], [] >,
< [ -2, 0, 1 ], [[-75, -66]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[379/2, 1], [-2294/17, 589/34], [379/34, 1/17], [0, 0]], [[-278515, 91030], [155122816/697, -127572049/1394], [-1399804/85, 455196/85], [1413/3485, 1/1394]], [[-167965433, -40068563/2], [169192958679/1394, 340176899/697], [-169154416/17, -20521341/17], [467949/1394, 97102/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-595/2, 0], [230, -53/2], [-35/2, 0], [0, 0]], [[-221218, 264129/2], [273528955/1394, -169670295/1394], [-1099334/85, 132053/17], [-2641/6970, 1/6970]], [[353234517, -124861998], [-209748729903/697, 87438757841/697], [1744620111/85, -633271458/85], [4241634/3485, 1786077/3485]]], 1, 112, [], [] >,
< [ -2, 0, 1 ], [[-225, -198]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-54, 1/2], [-602/17, 140/17], [-162/17, 3/34], [0, 0]], [[52207, -63852], [76548385/1394, -68796017/1394], [782268/85, -383097/34], [-953/6970, 3/6970]], [[6033045/2, 68306340], [-29956553167/1394, 29770236476/697], [93130269/170, 410045313/34], [1554833/6970, 654937/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[595/2, 0], [243, 27/2], [105/2, 0], [0, 0]], [[-157707/2, 158301], [-65704237/1394, 87631875/697], [-2359419/170, 4748781/170], [3523/6970, 1/1394]], [[58114881/2, 134522883/2], [21887729668/697, 79341369217/1394], [174986883/34, 2019104979/170], [947527/3485, 398724/3485]]], 1, 1120, [], [] >,
< [ -2, 0, 1 ], [[-196, -49]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1129/2, 5/2], [273553/302, 9814/151], [7903/302, 35/302], [0, 0]], [[359388, -597573/2], [154581963/302, -66490888/151], [2514553/151, -2089747/151], [-1175/302, -2/151]], [[99216414, -125940771/2], [21972008571/151, -27263519259/302], [693968988/151, -881114623/302], [-22893/151, 83354/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[69, -3/2], [12747/151, -8183/302], [483/151, -21/302], [0, 0]], [[8525/2, -5852], [2310495/302, -2604403/302], [60687/302, -41730/151], [256/151, 1/151]], [[-1490115, 1399365/2], [-678266035/302, 358535467/302], [-10623959/151, 4983441/151], [-18239/302, 58305/302]]], 1, 672, [], [] >,
< [ -2, 0, 1 ], [[-196, -49]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[591/2, 3/2], [-2383409/302, 1449/151], [4137/302, 21/302], [0, 0]], [[237917/2, -193429/2], [-968683923/302, 393074494/151], [1665011/302, -1354629/302], [-105/151, 1/151]], [[-144452, 36448], [1170354043/302, -299912635/302], [-1012943/151, 508015/302], [-459/302, -220/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[499/2, 1/2], [-2009013/302, 3956/151], [3493/302, 7/302], [0, 0]], [[-36547, 44919/2], [147859773/151, -91300447/151], [-255176/151, 316385/302], [325/151, 1/302]], [[9924789, -18946298], [-82806478387/302, 152003553855/302], [73253498/151, -260455347/302], [974075/302, 467650/151]]], 1, 672, [], [] >,
< [ -2, 0, 1 ], [[-196, -49]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[381/2, 5/2], [-1539537/302, -8910/151], [2667/302, 35/302], [0, 0]], [[-2683150, 670633], [10847977645/151, -2726799707/151], [-18782850/151, 4693245/151], [-394/151, -2/151]], [[3975107840, 5483841952], [-31972456717197/302, -44254077702133/302], [27834587195/151, 76784986697/302], [2276211/302, 1092684/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[381/2, 5/2], [-1560677/302, -15252/151], [2667/302, 35/302], [0, 0]], [[-470504, 392121], [1907687825/151, -1593584280/151], [-3293022/151, 2745613/151], [256/151, -1/151]], [[-94536696, 19624384], [771399081451/302, -156634168535/302], [-662422791/151, 273897023/302], [-171603/302, -82386/151]]], 1, 672, [], [] >,
< [ -2, 0, 1 ], [[-8, -12]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[430, -1/2], [104187/151, 3637/302], [430/151, -1/302], [0, 0]], [[550, 8875], [204401/151, 2153249/151], [550/151, 8875/151], [59/151, -2/151]], [[-155750, -41300], [-38080095/151, -21267103/302], [-155750/151, -41300/151], [-209/151, -1007/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1679/151, -492/151], [-13/151, 3/151], [0, 0]], [[-732, 1/2], [-61001/151, 824/151], [-732/151, 1/302], [-732/151, 1/302]], [[-22607, -84175], [-1703990/151, -6990416/151], [-22607/151, -84175/151], [-22607/151, -84175/151]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[-8, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[-4, 1/2], [-1, -67/2], [-4, 1/2], [-4, 1/2]], [[-60, -6], [-250, -536], [-60, -6], [-60, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[-1, 1/2], [-14, -3/2], [-1, 1/2], [-1, 1/2]], [[0, 0], [-10, -8], [0, 0], [0, 0]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[-4, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[-3/2, 5/2], [-9/2, -47], [7/2, 1], [-3/2, 5/2]], [[40, -30], [-464, 389], [-20, 10], [40, -30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[-1, -5/2], [8, -11/2], [-6, -7/2], [-1, -5/2]], [[-19/2, -57/2], [193/2, -67], [-133/2, -38], [-19/2, -57/2]]], 2, 4, [], [] >,
< [ -2, 0, 1 ], [[-16, -4]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[604, 0], [-1066, -4], [4, 0], [0, 0]], [[-367770, -293250], [98593837/151, 157037943/302], [-367770/151, -293250/151], [23/151, -1/302]], [[4830000, 5735625/2], [-1292940794/151, -1538137269/302], [4830000/151, 5735625/302], [69/151, -228/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9821/151, -466/151], [709/151, 1/151], [0, 0]], [[1093, 5/2], [-118205/151, -7288/151], [265/151, 1249/302], [1093/151, 5/302]], [[85997, -284164], [-5648821/151, 30171075/151], [-303784/151, -19066/151], [85997/151, -284164/151]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[14, 0]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [1/2, 0], [1, 0], [0, 0]], [[-2, 2], [-2, 2], [1, 5/2], [1, 5/2]], [[-1, 5/2], [-1, 5/2], [6, 6], [6, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [-15/2, 0], [1, 0], [0, 0]], [[129, 1], [6353/17, 117/17], [936/17, 45/34], [104/17, 5/34]], [[9168, 803/2], [451856/17, 49171/34], [66600/17, 3996/17], [7400/17, 444/17]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[28, 0]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [0, 4], [4, 1]], [[0, 0], [0, 0], [2, 3/2], [2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -13], [10, 3], [0, 0]], [[0, 0], [-18447/17, -334/17], [1051/17, -161/17], [79/17, 1/17]], [[0, 0], [-696/17, 116/17], [27/17, -9/34], [3/17, -1/34]]], 0, 24, [], [] >,
< [ -2, 0, 1 ], [[0, 14]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-197, 1], [404825/151, -5751/151], [-197/151, 1/151], [0, 0]], [[-5953059/2, 2013459], [12383034805/302, -4193019967/151], [-5953059/302, 2013459/151], [-627/151, 1/302]], [[-21900809847/2, 8406690390], [45632101746339/302, -34957660162985/302], [-21900809847/302, 8406690390/151], [1046070/151, 2480301/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[384, 3/2], [13279/151, 565/302], [384/151, 3/302], [0, 0]], [[1023, 224], [390821/151, 25813/302], [706/151, 221/151], [-187/151, -5/302]], [[-1753645/2, -1141223], [-185815210/151, -812723221/302], [-1482871/302, -1629325/302], [162729/302, 385875/302]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-8, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[1/2, 0], [65/2, 35/2], [1/2, 1/2], [1/2, 0]], [[0, 0], [4, 1], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[2, 0], [-22, -17], [2, 2], [2, 0]], [[3/2, -2], [37/2, 19/2], [-5/2, -1/2], [3/2, -2]]], 2, 4, [], [] >,
< [ -2, 0, 1 ], [[-16, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[-3, -5/2], [12, 13/2], [-3, -5/2], [-3, -5/2]], [[9, -6], [47, -35], [9, -6], [9, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 5/2], [15, -33/2], [0, 5/2], [0, 5/2]], [[-1, 1/2], [10, -11/2], [-1, 1/2], [-1, 1/2]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[0, 14]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-453/2, 0], [4707/2, 11/2], [-3/2, 0], [0, 0]], [[-97, -309818], [2520998/151, 972209747/302], [-97/151, -309818/151], [627/151, 1/302]], [[1230031101, 1682286714], [-1942781458067/151, -2644210466695/151], [1230031101/151, 1682286714/151], [-3406154/151, -1246831/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[115, 5/2], [59660/151, -669/302], [115/151, 5/302], [0, 0]], [[51947/2, -15800], [14820844/151, -17149357/302], [51647/302, -31595/302], [-985/302, -5/302]], [[8646717, -3799004], [5124815969/151, -1904832707/151], [8558371/151, -3829974/151], [-294704/151, -108069/151]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[0, 6]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -5/2], [8, -3], [3, -5/2], [0, 0]], [[-12, -9/2], [60, 50], [-12, -9/2], [0, 0]], [[-3/2, -1/2], [-33/14, -11/14], [-3/2, -1/2], [-1/14, -1/42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 3/2], [-10, -3], [2, 3/2], [0, 0]], [[13, -8], [4010/7, -5603/14], [13, -8], [-10/7, 1/42]], [[103/2, 3], [8536/7, -4920/7], [103/2, 3], [-512/21, -320/21]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[0, 12]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [0, 6], [0, -5/2], [0, 0]], [[5, -2], [-4/7, 23/14], [5, -2], [2/7, -1/14]], [[6, 6], [37/7, 41/14], [6, 6], [11/21, 19/42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 2], [-16, 4], [-5, 2], [0, 0]], [[-33, 22], [-1164/7, 785/14], [-33, 22], [-46/21, -5/42]], [[-209, -121/2], [-49102/7, -32381/7], [-209, -121/2], [-1300/7, -900/7]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[-18, -6]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, 1/2], [-213/17, 58/17], [-14/17, 1/34], [0, 0]], [[-4969/2, -1411], [-5218653/1394, -557751/697], [-1315/34, -14251/170], [-3741/6970, -3/6970]], [[218019, 121145], [234574826/697, 42955592/697], [256607/85, 639839/85], [34114/697, -5532/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 5/2], [-164/17, -185/34], [13/34, 5/34], [0, 0]], [[-1434, -83], [1050562/697, 125045/1394], [137/17, -376/85], [-2366/3485, -1/6970]], [[-2679627/2, -113694], [981647185/697, 84891475/697], [1237827/170, -332817/85], [-2203674/3485, -121011/6970]]], 2, 12, [], [] >,
< [ -2, 0, 1 ], [[36, 12]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 5/2], [57/17, -118/17], [-2/17, 5/34], [0, 0]], [[0, 0], [2774202/697, 48129/1394], [-4402/85, -184/85], [-752/697, -1/6970]], [[0, 0], [-3137446678/697, -221102320/697], [4998768/85, 515568/85], [4247832/3485, 263388/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[42, -3/2], [503/17, 47/17], [42/17, -3/34], [0, 0]], [[-15178, 1615/2], [-6563236/697, -499088/697], [-71453/85, 1599/34], [2641/3485, 1/3485]], [[-3889150, 469321/2], [-1678617555/697, -115718768/697], [-3661910/17, 461961/34], [135240/697, -920/697]]], 0, 24, [], [] >,
< [ -2, 0, 1 ], [[18, 6]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -5/2], [79/17, 16/17], [2/17, -5/34], [0, 0]], [[-159, -1/2], [269171/1394, 3449/697], [236/85, 11/85], [403/6970, 1/3485]], [[2050, 450], [-1752056/697, -419804/697], [-620/17, -160/17], [-520/697, -115/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[88, 1/2], [-9359/17, 7/17], [88/17, 1/34], [0, 0]], [[-132516, 5227], [4277507825/4879, -185508385/4879], [-678482/85, 26144/85], [3191/24395, 2/24395]], [[-58870701, -548837/2], [92665270841/238, 67079489/238], [-301442323/85, -1680638/85], [69397/1190, 3103/1190]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[18, 6]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -3/2], [-11, -3], [-2, -3/2], [0, 0]], [[0, 0], [171/14, -73/7], [0, 0], [13/42, 1/21]], [[0, 0], [1133/7, -789/7], [0, 0], [26/21, -8/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 2], [-13, -20], [5, 2], [0, 0]], [[-7, 9/2], [-3665/98, 4215/98], [-47/7, 83/14], [-1/294, -5/294]], [[-2, 3/2], [-14, 9], [-2, 3/2], [0, 0]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-6, -12]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-107, -2], [1562/17, -130/17], [-107/17, -2/17], [0, 0]], [[-217/2, -139/2], [68467/1394, 36062/697], [-367/170, -342/85], [147/6970, 1/6970]], [[2643, 3815/2], [-1145060/697, -746344/697], [9411/85, 11041/170], [-9/41, -48/205]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 5/2], [-125/17, 52/17], [2/17, 5/34], [0, 0]], [[-557/2, 2], [3212189/1394, -6952/697], [10113/170, 25/34], [2641/6970, -1/6970]], [[129387/2, 124313/2], [-750289283/1394, -719064655/1394], [-2438057/170, -1151798/85], [-124313/1394, -296829/3485]]], 2, 12, [], [] >,
< [ -2, 0, 1 ], [[12, 24]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[90, 2], [1906/17, 62/17], [90/17, 2/17], [0, 0]], [[220, 295/2], [2373878/697, 258633/1394], [3054/85, 1311/170], [-1669/3485, 1/6970]], [[-3464, -2477], [-17032415/697, -34685719/1394], [-28718/85, -25451/85], [10703/3485, 23213/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[71, -1/2], [1283/17, 197/17], [71/17, -1/34], [0, 0]], [[2220, 2146], [121301/41, 218549/82], [146, 628/5], [-1119/3485, -1/6970]], [[-664668, -440226], [-588933156/697, -395800503/697], [-3438632/85, -2333294/85], [108262/3485, 117401/3485]]], 0, 24, [], [] >,
< [ -2, 0, 1 ], [[6, 12]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[59, 3/2], [-789/17, 106/17], [59/17, 3/34], [0, 0]], [[-4816, 22187/2], [9858137/1394, -13054015/1394], [-4440/17, 11093/17], [-147/1394, -1/1394]], [[-298814, -85633], [144424615/697, 15347162/697], [-304430/17, -459566/85], [5589/3485, 6183/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-42, -3/2], [-5229/17, -208/17], [-42/17, -3/34], [0, 0]], [[30937, -543], [1033445823/4879, -29553235/9758], [1096318/595, -18902/595], [2769/24395, -1/9758]], [[50736190, 108151005/2], [3413578965351/9758, 1812107803746/4879], [359830864/119, 1916859171/595], [9410067/48790, 4918482/24395]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[6, 12]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -2], [-9, -10], [-3, -2], [0, 0]], [[-4, 2], [621/14, -661/14], [-4, 2], [-25/42, 1/42]], [[-7, 3/2], [197/7, -597/7], [-7, 3/2], [-11/7, -11/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 5/2], [24, 16], [4, 5/2], [0, 0]], [[0, 0], [3/2, -13/2], [26/7, 17/7], [5/42, 1/14]], [[0, 0], [199/14, -139/14], [2/7, -3/7], [1/42, -1/42]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[12, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -1], [1, 1], [0, 0]], [[0, 0], [1, 0], [0, 0], [1, 0]], [[0, 0], [3, 0], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 0], [1, 0], [0, 0]], [[0, 0], [-204/7, 131/7], [-9/7, 3/7], [3/7, -1/7]], [[0, 0], [-9, -3], [0, 0], [0, 0]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[6, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -1], [1, 1], [0, 0]], [[5/2, -1/2], [45/2, -27/2], [5/2, -1/2], [5/2, -1/2]], [[-25, -20], [-30, -51], [-25, -20], [-25, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 5], [1, 1], [0, 0]], [[-22, -2], [-2263/7, -305/7], [66/7, 6/7], [-22/7, -2/7]], [[475/2, 75/2], [49159/14, 9831/14], [-1425/14, -225/14], [475/14, 75/14]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[0, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-5, 5/2], [-4, -37/2], [-5, 5/2], [-5, 5/2]], [[1, -2], [-25, -11], [1, -2], [1, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 0], [1, 0], [0, 0]], [[-3, 1], [-1549/7, 66/7], [-15/7, 5/7], [-3/7, 1/7]], [[-3, 23/2], [2462/7, 13551/14], [-15/7, 115/14], [-3/7, 23/14]]], 0, 12, [], [] >,
< [ -2, 0, 1 ], [[6, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 3/2], [-9, 6], [-5, 3/2], [0, 0]], [[-3, -3/2], [2, -1/2], [-3, -3/2], [1, -1/2]], [[5, 7/2], [0, 0], [5, 7/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -5/2], [3, 51], [2, -5/2], [0, 0]], [[-24, 9], [2906/7, 347/14], [-122/7, 64/7], [-23/7, -1/14]], [[129, -45/2], [-19437/7, -10989/14], [603/7, -465/14], [150/7, 75/14]]], 1, 3, [], [] >,
< [ -2, 0, 1 ], [[18, 6]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-696, -2], [-21605/151, 1536/151], [-696/151, -2/151], [0, 0]], [[326, -339/2], [22998/151, -10417/302], [252/151, -337/302], [-243/151, -2/151]], [[-8248, 7211/2], [-1286827/302, 103169/302], [-6034/151, 3913/151], [14637/302, 2337/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[197, 1], [554176/151, 4819/151], [197/151, 1/151], [0, 0]], [[-220772, 40784], [-8686049389/2114, 787374822/1057], [-1544992/1057, 570959/2114], [-223/2114, 5/2114]], [[33604227, -1544215/2], [1323701933839/2114, -25541956499/2114], [235163303/1057, -5414263/1057], [35857/2114, 5083/2114]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[6, 12]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-256, -1], [-9809/151, -1648/151], [-256/151, -1/151], [0, 0]], [[124355, -249113/2], [6370601/302, -3983791/151], [124410/151, -124555/151], [-361/302, -1/151]], [[62564620, -55454330], [3387975109/302, -1728003818/151], [62585770/151, -110913835/302], [-139725/302, 20025/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[348, -1], [951457/151, -138/151], [348/151, -1/151], [0, 0]], [[11250, 8777/2], [175928553/1057, 169066889/2114], [88454/1057, 61419/2114], [2626/1057, 2/1057]], [[-4, 1/2], [-653631/2114, 39614/1057], [33/1057, -4/1057], [33/2114, -2/1057]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-12, -2]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1/2], [-4, -2], [2, -1/2], [0, 0]], [[13605/2, 129/2], [15532454/1777, -6861/1777], [-11403/2, 361/6], [11861/5331, 2/5331]], [[15913625/2, 5190966], [17936282651/1777, 23349344931/3554], [-12994309/2, -12656446/3], [13707518/5331, 17846917/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 5/2], [10, 3], [5/2, 5/2], [0, 0]], [[4089/2, 19/2], [-1450, -72], [-10213/6, 53/6], [2/3, 0]], [[-329477/2, -42774], [212383106/1777, 126459851/3554], [272933/2, 34266], [-95230/1777, -48685/3554]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[-24, -4]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 3/2], [-4, 10], [-4, 3/2], [0, 0]], [[6527, 11/2], [18187292/1777, 16240/1777], [-357, 13/6], [6530/5331, 2/5331]], [[-1926571, -60095/2], [-5368340954/1777, -167992735/3554], [105354, 5491/6], [-1927426/5331, -58055/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1/2], [14, -1], [3, 1/2], [0, 0]], [[-7328, -53/2], [-20674572/1777, -220077/3554], [1021/3, -45/2], [-7274/5331, -5/10662]], [[-2055314, 237527], [-5796322726/1777, 660235813/1777], [291124/3, -17693], [-2041760/5331, 242459/5331]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[26, 10]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 2], [-14, -3], [-4, 2], [0, 0]], [[-1, 1/2], [-3, -1/2], [-1, 1/2], [0, 0]], [[247/2, 41], [-40799/1433, -13551/1433], [-125/2, -83/4], [-125/48722, -83/97444]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -1/2], [-4, -31/2], [-4, -1/2], [0, 0]], [[-3091/2, 67/2], [-28328891734/10031, -7127769/20062], [849943/14, 1013/28], [-851175/341054, -5/682108]], [[-583421/2, -636111], [-5860975083681/10031, -23575156053451/20062], [88088765/7, 707483387/28], [-88006445/170527, -708300147/682108]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[52, 20]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [160991823/1433, -2893/1433], [69906, -1/2], [-71623/24361, -5/48722]], [[0, 0], [105071762459/1433, 131258379187/2866], [91249925/2, 56996107/2], [-93496077/48722, -29199976/24361]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 0], [1, 0], [0, 0]], [[0, 0], [-8938912128/10031, -1044711/20062], [163589/14, -1/7], [-167607/341054, -5/341054]], [[0, 0], [2055835678360/10031, -2059291321051/20062], [-37626045/14, 9422985/7], [38548575/341054, -19307235/341054]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[26, 10]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -2], [21, 14], [-2, -2], [0, 0]], [[1080, 35/2], [15021198/1777, 72339/3554], [-3832/3, 127/6], [-1322/5331, 1/3554]], [[-30364, -53503/2], [-824469827/3554, -732822261/3554], [33875, 60991/2], [24035/3554, 21413/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 0], [-41, 16], [-3, 0], [0, 0]], [[-4194, -25/2], [4027019761/24878, -1496505/24878], [241632/7, -565/42], [69635/74634, 5/74634]], [[990226, -94505/2], [-475562126463/12439, 24279645487/12439], [-57070114/7, 5829441/14], [-2741008/12439, 138732/12439]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-4, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-7, 0], [0, 0], [1, 0]], [[0, 0], [-1, -3], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 0], [1, 0], [0, 0]], [[0, 0], [14696/7, 636/7], [-58/7, -4/7], [-29/7, -2/7]], [[0, 0], [181295/7, 648967/7], [-846/7, -2574/7], [-423/7, -1287/7]]], 0, 12, [], [] >,
< [ -2, 0, 1 ], [[-2, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[5/2, 3/2], [25/2, 11/2], [5/2, 3/2], [5/2, 3/2]], [[3/2, -1], [33/2, -11], [3/2, -1], [3/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 0], [1, 0], [0, 0]], [[-9/2, 3/2], [9561/14, -2039/14], [45/14, -15/14], [-9/14, 3/14]], [[15/2, 22], [-32049/14, -27030/7], [-75/14, -110/7], [15/14, 22/7]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[18, 20]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-187, 5/2], [227874/151, -8823/302], [-187/151, 5/302], [0, 0]], [[-46908, 281047/2], [117768909/302, -343110257/302], [-46970/151, 140525/151], [-407/302, 1/302]], [[52436623, 15183535/2], [-127633746845/302, -8933143716/151], [52429608/151, 7579110/151], [-49715/302, -42090/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-394, -2], [4483933/151, 23129/151], [-394/151, -2/151], [0, 0]], [[18161617, 128019/2], [-1446855179174/1057, -5217780934/1057], [127127674/1057, 896153/2114], [640/1057, -5/2114]], [[-16478351301, -54743652993/2], [2626226240258011/2114, 4361395534645641/2114], [-115345220656/1057, -191597312492/1057], [-1132757/2114, -1920591/2114]]], 1, 18, [], [] >,
< [ -2, 0, 1 ], [[36, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 0], [1, 0], [0, 0]], [[0, 0], [-24, 0], [0, 0], [1, 0]], [[0, 0], [9, 10], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 2], [1, 0], [0, 0]], [[0, 0], [10207/7, 943/7], [74/7, 6/7], [-37/7, -3/7]], [[0, 0], [-24887, -28913], [-176, -208], [88, 104]]], 0, 72, [], [] >,
< [ -2, 0, 1 ], [[18, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 0], [1, 0], [0, 0]], [[1/2, 2], [-1829/2, 15], [1/2, 2], [1/2, 2]], [[-1035/2, -1155/2], [478313/2, 168173/2], [-1035/2, -1155/2], [-1035/2, -1155/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 2], [1, 0], [0, 0]], [[-23/2, -3/2], [-3233/14, -1549/14], [-115/14, -15/14], [-23/14, -3/14]], [[666, 684], [154227/7, 120905/7], [3330/7, 3420/7], [666/7, 684/7]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[6, 18]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 5/2], [-23, -53], [0, 5/2], [0, 0]], [[8, -9], [1935/7, 2529/14], [8, -9], [-22/21, -1/14]], [[-58, 60], [-3149/2, -1017], [-58, 60], [13/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [-296, -24], [-2, 3/2], [0, 0]], [[0, 0], [12375/14, 10751/14], [0, 0], [1/42, -1/14]], [[0, 0], [-133948/7, -184103/14], [0, 0], [19/21, 17/42]]], 1, 18, [], [] >,
< [ -2, 0, 1 ], [[-16, -20]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1], [2, -6], [1, 1], [0, 0]], [[6640, -12], [18498353/1777, 292687/3554], [-1121/3, -37/3], [6653/5331, 1/3554]], [[-411514, 384303/2], [-1136071076/1777, 524191655/1777], [22408, -20017/2], [-137180/1777, 63897/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 5/2], [-8, -1], [-1, 5/2], [0, 0]], [[1322, 43/2], [3562668/1777, -62713/3554], [-215/3, 121/6], [1322/5331, 1/3554]], [[37907, -42117/2], [105085731/1777, -118717409/3554], [-8264/3, 3529/2], [38563/5331, -43285/10662]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[-8, -10]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1], [-5, -2], [-1/2, -1], [0, 0]], [[11847/2, -7], [-7432974/1777, -111433/3554], [28901/6, -10/3], [-10207/5331, -1/3554]], [[2671495/2, -750310], [-1659827688/1777, 1853969049/3554], [6513589/6, -609601], [-2298247/5331, 2579665/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -2], [8, 1], [5/2, -2], [0, 0]], [[5307/2, 20], [3029265/1777, -542997/3554], [12937/6, 65/3], [-1529/1777, -1/10662]], [[43205, 302557], [-17732970/1777, 341114985/1777], [36341, 245929], [-22308/1777, -174174/1777]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[12, 32]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [32835758/1433, 7695/2866], [116605/2, 1/2], [119469/48722, -2/24361]], [[0, 0], [-22803/1433, 68701/2866], [-81/2, 61], [-83/48722, 125/48722]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2/7, 53/7], [-6/7, -2/7], [0, 0]], [[0, 0], [-4097816838/10031, 258151/20062], [125281/14, -16/7], [-122389/48722, -1/48722]], [[0, 0], [2872915749/10031, 858786633333/10031], [-38037/7, -13127669/7], [43920/24361, 12824640/24361]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[38, 22]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 2], [-3, 5], [1, 2], [0, 0]], [[2, 3/2], [2, 3/2], [2, 3/2], [0, 0]], [[83/2, 165/2], [10831/1433, 21516/1433], [21, 167/4], [21/24361, 167/97444]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[60, 5/2], [-540/7, 53/14], [60/7, 5/14], [0, 0]], [[0, 308], [72, -399], [0, 44], [0, 0]], [[83/2, 165/2], [-109541/1433, -217795/1433], [21, 167/4], [21/24361, 167/97444]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[6, 16]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1/2], [17, -12], [-3, 1/2], [0, 0]], [[-2485, 7/2], [2258870/1777, 9132/1777], [-8423/3, 29/6], [-992/1777, 2/5331]], [[-18, 5/2], [32895/3554, -2295/1777], [-61/3, 17/6], [-43/10662, 1/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [12, 14], [0, -5/2], [0, 0]], [[2559, -19], [1436204209/12439, 1563489/24878], [147155/7, -377/21], [21158/37317, 5/74634]], [[965133, 1460231/2], [1096527271541/24878, 828266080911/24878], [56057091/7, 84708047/14], [5381175/24878, 4065015/24878]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-20, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 0], [1, 0], [0, 0]], [[0, 0], [-5, 0], [0, 0], [1, 0]], [[0, 0], [-5, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, 0], [1, 0], [0, 0]], [[0, 0], [3205/7, 250/7], [10/7, -8/7], [5/7, -4/7]], [[0, 0], [-41, -30], [0, 0], [0, 0]]], 0, 12, [], [] >,
< [ -2, 0, 1 ], [[-10, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 0], [1, 0], [0, 0]], [[5/2, 2], [31/2, 3], [5/2, 2], [5/2, 2]], [[1/2, 1/2], [9/2, 1/2], [1/2, 1/2], [1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, 0], [1, 0], [0, 0]], [[11/2, 1/2], [8087/14, 151/14], [-55/14, -5/14], [11/14, 1/14]], [[492, 200], [344961/7, 122439/7], [-2460/7, -1000/7], [492/7, 200/7]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[22, 2]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23, 1/2], [-38810/151, 6933/302], [-23/151, 1/302], [0, 0]], [[11481, -11331], [22650060/151, -40716135/302], [11332/151, -11335/151], [489/151, 5/302]], [[-11340527, 36553765/2], [-49942476531/302, 31521174035/151], [-10996722/151, 18382950/151], [-2228985/302, -323950/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-732, -1/2], [-12521672/151, -18107/302], [-732/151, -1/302], [0, 0]], [[127637639, 830586], [15283766030369/1057, 200135392039/2114], [893468050/1057, 5814114/1057], [-1986/1057, 1/2114]], [[-1269966677291, -753078358857/2], [-304147325407810823/2114, -90188272815981195/2114], [-8889812178554/1057, -2635787582160/1057], [39365595/2114, 11451537/2114]]], 1, 18, [], [] >,
< [ -2, 0, 1 ], [[44, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, 17], [1, 1], [0, 0]], [[0, 0], [30, 0], [0, 0], [1, 0]], [[0, 0], [11, 1], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, 0], [1, 0], [0, 0]], [[0, 0], [9505/7, -100/7], [-46/7, 6/7], [23/7, -3/7]], [[0, 0], [155619/7, 26996/7], [-720/7, -40/7], [360/7, 20/7]]], 0, 72, [], [] >,
< [ -2, 0, 1 ], [[22, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, 17], [1, 1], [0, 0]], [[-2, 3/2], [-343, 139/2], [-2, 3/2], [-2, 3/2]], [[-23/2, -1], [24919/2, 9573], [-23/2, -1], [-23/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, 0], [1, 0], [0, 0]], [[9/2, -3/2], [-7057/14, 1797/14], [45/14, -15/14], [9/14, -3/14]], [[11/2, 1/2], [-9529/14, -1775/14], [55/14, 5/14], [11/14, 1/14]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[30, 12]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 1], [7, -3], [4, 1], [0, 0]], [[0, -2], [-1045/14, -17/14], [0, -2], [-11/42, 1/42]], [[4, -7/2], [-838/7, 472/7], [4, -7/2], [-10/21, 2/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [37, 24], [-1, -3/2], [0, 0]], [[0, 0], [1436/7, -4323/14], [-6/7, 2/7], [-1/21, 1/42]], [[0, 0], [-244651/14, -153061/7], [-424/7, -169/7], [-97/42, -3/7]]], 1, 18, [], [] >,
< [ -2, 0, 1 ], [[-6, -8]], [ -518, 7 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -1/2], [29/7, -3/14], [3, -1/2], [0, 0]], [[-186, 21/2], [-8503/238, 922/119], [-1731/7, 59/7], [521/1666, -1/1666]], [[274, 2399/2], [-5407/238, 25898/119], [437, 1607], [-163/238, -489/238]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-703, -7/2], [701423/1666, 1934/833], [69477/49, -122/49], [-2901/11662, 1/11662]], [[126268, -192039/2], [-62940697/833, 47868042/833], [-12607639/49, 19148443/98], [262652/5831, -399029/11662]]], 1, 5, [], [] >,
< [ -2, 0, 1 ], [[-6, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[2, 2], [-7, 5], [2, 0], [2, 0]], [[-13/2, -4], [-13/2, 6], [-3/2, -5/2], [-3/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[-3/2, 0], [11/2, 23/2], [-3/2, 0], [3/2, -3/2]], [[3, 5/2], [-53, -69/2], [3, 5/2], [2, 1/2]]], 2, 6, [], [] >,
< [ -2, 0, 1 ], [[-12, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -3], [4, 5], [0, 0]], [[-4, -1/2], [12, -87/2], [12, -27/2], [-4, -1/2]], [[-6, 21/2], [282, -267/2], [106, -131/2], [-6, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 0], [1, 0], [0, 0]], [[0, 1/2], [10, 5/2], [0, 1/2], [0, 1/2]], [[0, 0], [8, 3], [0, 0], [0, 0]]], 0, 12, [], [] >,
< [ -2, 0, 1 ], [[-6, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 5/2], [41, -38], [-2, 5/2], [0, 0]], [[95, 145/2], [-709, -1283/2], [95, 145/2], [3, -1/2]], [[110, 155/2], [-907, -631], [110, 155/2], [1, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 1/2], [-189, 36], [4, 1/2], [0, 0]], [[-37210, 245], [1905364, -585035], [-37216, 245], [3, 0]], [[5060250, 6850800], [-330861033/7, -3801718399/14], [35427564/7, 47963371/7], [-2907/7, -7771/14]]], 1, 3, [], [] >,
< [ -2, 0, 1 ], [[26, 4]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-348, -1], [8299/151, -742/151], [-348/151, -1/151], [0, 0]], [[-484860, -193879/2], [164237/2, 16593/2], [-3210, -642], [985/302, 5/302]], [[-196015545, -349812615/2], [4266733571/151, 8252968707/302], [-195974673/151, -349722759/302], [140712/151, 150540/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[256, -1], [-5267641/151, 20700/151], [256/151, -1/151], [0, 0]], [[30661919, 133343/2], [-8833398802909/2114, -9500341863/1057], [214625497/1057, 466721/1057], [-6887/2114, -1/1057]], [[1798546116371, 3839739110843/2], [-259058850140143062/1057, -276541780608567841/1057], [12589362028618/1057, 26877184373163/2114], [-201175715/1057, -430465991/2114]]], 1, 18, [], [] >,
< [ -2, 0, 1 ], [[2, 18]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[837, 3/2], [2017049/151, 13249/302], [837/151, 3/302], [0, 0]], [[-311914, 328403/2], [-1499494967/302, 394580111/151], [-311831/151, 164203/151], [-545/302, 1/151]], [[-101109245, 278357853/2], [-242899070684/151, 669161084085/302], [-101138219/151, 278254249/302], [87800/151, 168137/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[82, 3/2], [-803480/151, -32957/302], [82/151, 3/302], [0, 0]], [[-7076390, 76607/2], [970548112413/2114, -1550669815/1057], [-49539198/1057, 268124/1057], [-1569/2114, -1/1057]], [[6086546797, 11945571891], [-421037242720221/1057, -820130758888569/1057], [42609754171/1057, 83626567300/1057], [692527/1057, 1328914/1057]]], 1, 18, [], [] >,
< [ -2, 0, 1 ], [[-10, -2]], [ -518, -7 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1], [17/7, -6/7], [2, -1], [0, 0]], [[198, 11/2], [-1230/119, 257/238], [-2010/7, -3/14], [328/833, 2/833]], [[-462, -383/2], [5155/238, 1637/238], [656, 260], [-215/238, -43/119]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 5/2], [92/7, -25/14], [1, 5/2], [0, 0]], [[19, -1], [-61239/238, 8805/119], [232/7, 31/14], [-61/1666, -2/833]], [[1, 1/2], [28501/1666, 11397/1666], [-2/7, -1/7], [5/1666, 1/833]]], 1, 5, [], [] >,
< [ -2, 0, 1 ], [[-20, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, 0], [1, 0], [0, 0]], [[-4, 3/2], [8, -75/2], [-4, 3/2], [-4, 3/2]], [[10, -5/2], [8, 203/2], [10, -5/2], [10, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [97, -7], [10, 1], [0, 0]], [[4, 1], [-48, -266], [-4, -26], [4, 1]], [[9, 11/2], [-591, -1061/2], [-57, -103/2], [9, 11/2]]], 0, 12, [], [] >,
< [ -2, 0, 1 ], [[-10, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 0], [1, 0], [0, 0]], [[0, 5/2], [8, 143/2], [5, 5/2], [0, 5/2]], [[-1/2, -2], [-41/2, -115/2], [-9/2, -5/2], [-1/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 0], [1, 0], [0, 0]], [[-7/2, -3], [-89/2, -25], [-5/2, -1/2], [-5/2, -1/2]], [[4, 2], [27, 30], [0, 2], [0, 2]]], 2, 6, [], [] >,
< [ -2, 0, 1 ], [[-10, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 2], [-17, -10], [5, 2], [0, 0]], [[0, 1/2], [60, 73/2], [0, 1/2], [4, 5/2]], [[0, 0], [15, -15/2], [0, 0], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -3/2], [81, 138], [-2, -3/2], [0, 0]], [[0, 0], [-50627/7, 30556/7], [40/7, -4/7], [-20/7, 2/7]], [[0, 0], [6959412/7, -6741785/14], [-7930/7, -1573/7], [3965/7, 1573/14]]], 1, 3, [], [] >,
< [ -2, 0, 1 ], [[34, 16]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[476, 1/2], [-1445822/151, 289/302], [476/151, 1/302], [0, 0]], [[8758472, 6882000], [-26555437733/151, -20873117929/151], [8758500/151, 6882000/151], [92/151, 2/151]], [[3323026830, 4899340605/2], [-20152871187305/302, -14858292252879/302], [3323034000/151, 2449672500/151], [47745/302, 15465/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[499, 1], [-1690892/151, -3788/151], [499/151, 1/151], [0, 0]], [[-4940109, 41903/2], [234415353987/2114, -938440985/2114], [-34587606/1057, 146644/1057], [2403/2114, 3/2114]], [[-12258380821, -3915559761], [581767524366527/2114, 92968845702374/1057], [-85825719082/1057, -54828910795/2114], [5983991/2114, 1937455/2114]]], 1, 18, [], [] >,
< [ -2, 0, 1 ], [[18, 22]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[860, 1], [770849/151, 2856/151], [860/151, 1/151], [0, 0]], [[5701, -7853/2], [71513/2, -23233], [38, -26], [-243/302, 1/151]], [[46691, -63945/2], [44486611/151, -56744837/302], [47027/151, -63889/302], [-1100/151, -68/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1116, 2], [-6784895/151, -11804/151], [1116/151, 2/151], [0, 0]], [[-48945680, -986549/2], [2082986489732/1057, 41766855953/2114], [-342615478/1057, -6905823/2114], [-1858/1057, 1/1057]], [[29501954520, 4241223095/2], [-2511019377655291/2114, -90181528416783/1057], [206511103140/1057, 14844115270/1057], [2236875/2114, 68625/1057]]], 1, 18, [], [] >,
< [ -2, 0, 1 ], [[14, 6]], [ -512, -29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1, 5/2], [-57997889/8402, 23313/8402], [-1, 5/2], [16115/8402, -1/4201]], [[-2110, -825], [31420261203/8402, 30751507689/8402], [-2110, -825], [-8735025/8402, -4273443/4201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -3/2], [-18, 0], [-4, -3/2], [0, 0]], [[20, 20], [156109/2, 161/2], [4221, 20], [1/2, 0]], [[-152, -976], [-412779659359/58814, 94356919142/29407], [-2647739/7, 1204757/7], [-2646675/58814, 1211589/58814]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[14, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, 0], [1, 0], [0, 0]], [[5/2, -1], [-31/2, 12], [5/2, -1], [5/2, -1]], [[1/2, 0], [-9/2, 0], [1/2, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 0], [1, 0], [0, 0]], [[27/2, -1], [13151/14, -401/7], [-81/14, 3/7], [27/14, -1/7]], [[341, 143], [168248/7, 71980/7], [-1023/7, -429/7], [341/7, 143/7]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[28, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, 0], [1, 0], [0, 0]], [[0, 0], [4, 0], [0, 0], [1, 0]], [[0, 0], [7, 3], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 0], [1, 0], [0, 0]], [[0, 0], [2628/7, 1224/7], [-57/7, -9/7], [19/7, 3/7]], [[0, 0], [658475/7, 396324/7], [-12168/7, -5184/7], [4056/7, 1728/7]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[14, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -5/2], [-4, -56], [1, -5/2], [0, 0]], [[-20, 16], [-328, 651/2], [-20, 16], [-1, 5/2]], [[-60, -12], [-2347, -1096], [-60, -12], [-40, -25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 0], [-577, 1], [-3, 0], [0, 0]], [[-1483, -1], [-1898965/7, 11243/14], [-10217/7, -1/7], [-41/7, -3/14]], [[-614091, -498767/2], [-112002726, -45210895], [-604107, -490191/2], [-2496, -1072]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[2, 8]], [ -512, 29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3, 1], [-25338465/8402, -24791/8402], [3, 1], [-19627/8402, -2/4201]], [[-1285, 1005/2], [8786196461/4201, -10091047617/8402], [-1285, 1005/2], [6811792/4201, -7827011/8402]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [-4, -4], [-2, -1/2], [0, 0]], [[0, -3], [-23633486573/58814, -518039/29407], [462866/7, -11/7], [-231433/58814, -5/58814]], [[15465, -10554], [-41568609568487/29407, 30455816638644/29407], [1628418399/7, -1193075158/7], [-407077536/29407, 298250320/29407]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[2, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 0], [1, 0], [0, 0]], [[1, -5/2], [40, -87/2], [1, -5/2], [1, -5/2]], [[19/2, 57/2], [-265/2, 787/2], [19/2, 57/2], [19/2, 57/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 4], [1, 1], [0, 0]], [[37/2, 2], [-20901/14, -1553/7], [185/14, 10/7], [37/14, 2/7]], [[-603, -4757/2], [449004/7, 2691337/14], [-3015/7, -23785/14], [-603/7, -4757/14]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[4, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 0], [1, 0], [0, 0]], [[0, 0], [13, 0], [0, 0], [1, 0]], [[0, 0], [1, 4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 0], [1, 0], [0, 0]], [[0, 0], [-17928/7, -2886/7], [46/7, 8/7], [-23/7, -4/7]], [[0, 0], [-70401/7, -345076/7], [204/7, 884/7], [-102/7, -442/7]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[2, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -5/2], [21, 45], [3, -5/2], [0, 0]], [[-12, 9], [28, -137/2], [-12, 9], [0, 5/2]], [[-3, 3/2], [60, 23], [-3, 3/2], [-2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1/2], [293, -101], [2, 1/2], [0, 0]], [[-1486, -25/2], [-2046493/7, 1024308/7], [-10512/7, -195/14], [11/7, 1/7]], [[1549, 38593/2], [-3557383, 7347533/2], [1599, 39003/2], [-5, -41/2]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[-14, -4]], [ -390, 35 ], [ -7, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, -3/2], [4187403/730, 2479/730], [0, -3/2], [-18419/29930, -3/29930]], [[-240, -43/2], [30208308/365, 167515364/365], [-240, -43/2], [-132244/14965, -736788/14965]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 3/2], [9, 21], [-1, 3/2], [0, 0]], [[-14, 11], [-8533367/2555, 231701/2555], [73422/7, 75/7], [7352/20951, -1/104755]], [[-1172, 972], [-366348497/1022, -107759203/2555], [7944649/7, 1150938/7], [7952853/209510, 572067/104755]]], 1, 5, [], [] >,
< [ -2, 0, 1 ], [[-6, -10]], [ -390, -35 ], [ -7, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3, -5/2], [2808803/730, -148/365], [-3, -5/2], [-2471/5986, -2/14965]], [[-132, -293/2], [135035081/365, -8790559/73], [-132, -293/2], [-593809/14965, 193079/14965]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 3/2], [-10, -3], [-3, 3/2], [0, 0]], [[-2, -3], [-16691439/1022, -82127/2555], [72967/7, -9/7], [-24327/209510, -2/104755]], [[519, 87], [-1521789019/2555, 8238421743/5110], [2691165/7, -7208514/7], [-447922/104755, 2403041/209510]]], 1, 5, [], [] >,
< [ -2, 0, 1 ], [[14, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 0], [1, 0], [0, 0]], [[-3/2, 1/2], [-93/2, -37/2], [-3/2, 1/2], [-3/2, 1/2]], [[-1, 4], [186, 174], [-1, 4], [-1, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [157, 0], [1, 0], [0, 0]], [[33/2, 3/2], [-88199/14, -6837/14], [165/14, 15/14], [33/14, 3/14]], [[3575/2, 250], [-9542175/14, -604778/7], [17875/14, 1250/7], [3575/14, 250/7]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[28, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 0], [1, 0], [0, 0]], [[0, 0], [5, 0], [0, 0], [1, 0]], [[0, 0], [7, 1], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [157, 0], [1, 0], [0, 0]], [[0, 0], [24946/7, -1061/7], [34/7, -2/7], [-17/7, 1/7]], [[0, 0], [-144755, -22942], [-196, -28], [98, 14]]], 0, 24, [], [] >,
< [ -2, 0, 1 ], [[10, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 0], [1, 0], [0, 0]], [[-5/2, 1/2], [215/2, 73/2], [-5/2, 1/2], [-5/2, 1/2]], [[-27/2, 45/2], [-833/2, -1705/2], [-27/2, 45/2], [-27/2, 45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 0], [1, 0], [0, 0]], [[13/2, -1], [15045/14, -1258/7], [39/14, -3/7], [13/14, -1/7]], [[11/2, 4], [12361/14, 4493/7], [33/14, 12/7], [11/14, 4/7]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[20, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 0], [1, 0], [0, 0]], [[0, 0], [13, 0], [0, 0], [1, 0]], [[0, 0], [5, 6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 0], [1, 0], [0, 0]], [[0, 0], [-53574/7, -3177/7], [141/7, 9/7], [47/7, 3/7]], [[0, 0], [8461841/7, 10311321/7], [-22506/7, -27225/7], [-7502/7, -9075/7]]], 0, 24, [], [] >,
< [ -2, 0, 1 ], [[-18, 4]], [ -1862, 65 ], [ -22, 13 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-215701, 1/2], [-8128347639/47378, 4928/23689], [-1/2, 1/2], [824713/3458594, -1/3458594]], [[504, 521/2], [9496256/23689, 4908288/23689], [0, 0], [-1927/3458594, -498/1729297]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 16], [1, -1], [0, 0]], [[8999070, 1], [-29132700552079/331646, -12653903/331646], [108706161/14, -17/7], [18117683/12105079, -1/12105079]], [[-60361891807, 113727661383/2], [97704754371401676/165823, -184085286965828387/331646], [-364577382417/7, 686898925743/14], [-243051329467/24210158, 228966113281/24210158]]], 1, 9, [], [] >,
< [ -2, 0, 1 ], [[-18, -4]], [ -1862, -65 ], [ -14, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3124264, 9/2], [-27235439427/47378, -80187/47378], [-3/2, -3/2], [11945337/3458594, 2/1729297]], [[13862338560, -7164958720], [-120843275482039/47378, 62459584539241/47378], [449/2, -6431/2], [26500720640/1729297, -13697310720/1729297]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -9/2], [1, 3/2], [0, 0]], [[-7462749, 5/2], [30921543130615/165823, 7642427/331646], [-35370735/7, -39/14], [70741435/24210158, 2/12105079]], [[-63830375462, -27946459723/2], [75565187809808877/47378, 16542151460397513/47378], [-86438012569/2, -18922380309/2], [86437951079/3458594, 18922328181/3458594]]], 1, 9, [], [] >,
< [ -2, 0, 1 ], [[-2, 14]], [ -7614, 45 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-24, 1], [-85/21, -10/7], [-24/7, 1/7], [0, 0]], [[-5586, 487/2], [-6403213/11067, 228759/3689], [297/7, 495/14], [-7801/11067, -5/22134]], [[-483148, 105189/2], [-1116889117/22134, 190608157/22134], [22737/7, 19602/7], [-1341695/22134, 43990/11067]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25, -1], [-184/7, -4/7], [-25/7, -1/7], [0, 0]], [[10420, -139], [3530256717/51646, -3634630/25823], [358005/49, -1923/98], [-119923/154938, 1/77469]], [[17, -13/2], [5644035/51646, -3235784/77469], [573/49, -219/49], [-191/154938, 73/154938]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-2, -14]], [ -7614, -45 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[48, 2], [247/21, 17/21], [48/7, 2/7], [0, 0]], [[-3523, 37], [8437613/7378, 103559/11067], [-34/7, 73/14], [9253/22134, 1/11067]], [[1692879, 5191193/2], [-1837889105/3162, -899241115/1054], [-5328, 1017], [-4593445/22134, -3433210/11067]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 3/2], [-233/21, 1/42], [-6/7, 3/14], [0, 0]], [[329, 27/2], [-2325893/1581, -36760/3689], [314, 15/14], [190/3689, -1/7378]], [[-16682, -39763/2], [1520446285/22134, 958264166/11067], [-101767/7, -129029/7], [-2475/1054, -9515/3162]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-198, 28]], [ -7614, 45 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2993, 1], [5000/7, 11/7], [2993/7, 1/7], [0, 0]], [[-58800469, 47032049], [-14745957151/1054, 35408395097/3162], [-8399523, 13437729/2], [-10099/22134, -1/7378]], [[71582880978, -84965096193/2], [26949183694100/1581, -10651965930827/1054], [10226246394, -12136892859/2], [-371870/3689, -1512900/3689]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1005, 5/2], [-18962/21, 151/42], [-1005/7, 5/14], [0, 0]], [[-670785, 280629/2], [-31501921183/51646, 3278775425/25823], [-16246971/49, 981332/49], [-39611/154938, -1/51646]], [[-198605244, 1056700789], [-4610442239447/25823, 74457490474838/77469], [3207606792/49, 26555690213/49], [7883230/77469, 10949520/25823]]], 1, 1176, [], [] >,
< [ -2, 0, 1 ], [[-198, -28]], [ -7614, -45 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[880, 1/2], [4414/21, 19/42], [880/7, 1/14], [0, 0]], [[-4364627, 4368479/2], [-23029258139/22134, 11511011209/22134], [-4363920/7, 2184240/7], [625/7378, 1/11067]], [[1126358992, -139066230], [991404232199/3689, -363758161442/11067], [1126038420/7, -139204260/7], [-425218/11067, -183184/11067]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[956, -1], [6271/21, 37/21], [956/7, -1/7], [0, 0]], [[-2454, -11205/2], [-7413447/3689, -6492243/3689], [-190595/7, -12373/14], [484/11067, 1/7378]], [[39036839, 71633809/2], [419023463417/22134, 22301818246/1581], [1054577406/7, 67513942], [-1741671/7378, -321035/3162]]], 1, 1176, [], [] >,
< [ -2, 0, 1 ], [[-178, 72]], [ -1862, 65 ], [ -22, 13 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3428, 1/2], [-325174287/47378, 91991/47378], [3/2, 1], [36895/47378, 3/47378]], [[25, -29/2], [1186021/23689, -687804/23689], [0, 0], [-269/47378, 78/23689]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15/2, 17/2], [-5/2, 0], [0, 0]], [[32626, 1/2], [142033407071/165823, 3514790/165823], [251677/7, 40/7], [251775/331646, -1/165823]], [[5734200, 5399705], [49927199971837/331646, 23507208084436/165823], [88491177/14, 83319365/14], [22124455/165823, 20834260/165823]]], 1, 666, [], [] >,
< [ -2, 0, 1 ], [[-178, -72]], [ -1862, -65 ], [ -14, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[4967, 3/2], [1233382359/47378, 93522/23689], [-1/2, 2], [53459/47378, 2/23689]], [[-1906905, 6701409/2], [-236882004877/23689, 416051317822/23689], [2891, -1106], [-20540091/47378, 18033873/23689]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, -2], [2, 2], [0, 0]], [[-168669, -2], [107265032029/331646, -2463039/331646], [1692423/14, -53/14], [-282067/165823, -1/331646]], [[-105007493, 80332103/2], [9540183220391/47378, -3649417329655/47378], [150525557/2, -57581605/2], [-50173293/47378, 9595985/23689]]], 1, 666, [], [] >,
< [ -2, 0, 1 ], [[194, 120]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37, 35], [-43, -14], [0, 0]], [[-1/2, 1/2], [341/2, 289/2], [-445/2, -59/2], [-1/2, 1/2]], [[0, 0], [-315, -237], [252, 152], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1592, -68], [51, 33], [0, 0]], [[9/2, -3/2], [-138267567/14, 88487293/14], [761193/14, -1283/14], [9/14, -3/14]], [[125/2, 201/2], [1019164267/14, -1519164237/14], [28073679/14, 26339139/14], [125/14, 201/14]]], 1, 184, [], [] >,
< [ -2, 0, 1 ], [[388, 240]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -18], [-12, -5], [0, 0]], [[0, 0], [18, 0], [-2, 0], [1, 0]], [[0, 0], [-12, -5], [-5, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2190, 43], [-55, -19], [0, 0]], [[0, 0], [23577056/7, -7835291/7], [-455457/7, 1116/7], [25/7, 1/7]], [[0, 0], [551889469/7, -4116697330/7], [53680371/7, 97391118/7], [-3401/7, -5472/7]]], 0, 1104, [], [] >,
< [ -2, 0, 1 ], [[204, 56]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -16], [-45, -40], [0, 0]], [[0, 0], [-19, 0], [22, 0], [1, 0]], [[0, 0], [-5, 6], [-10, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1701, 86], [15, 29], [0, 0]], [[0, 0], [627051262/7, -1039002164/7], [29898952/7, -16452/7], [-31/7, 1/7]], [[0, 0], [-110298265, 129889191736], [-4567350520, -1374583870], [4645, 1275]]], 0, 1104, [], [] >,
< [ -2, 0, 1 ], [[102, 28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19, -4], [32, 18], [0, 0]], [[5/2, 1/2], [305/2, -311/2], [-55/2, -109/2], [5/2, 1/2]], [[25, 20], [-895, -158], [-910, -581], [25, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, 13], [-5, 6], [0, 0]], [[-13, -3/2], [14808/7, 48263/14], [-3341/7, -771/14], [-13/7, -3/14]], [[-4487/2, -616], [1091773/2, 632184], [-164737/2, -22616], [-641/2, -88]]], 1, 184, [], [] >,
< [ -2, 0, 1 ], [[118, 60]], [ -390, -35 ], [ -7, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1, 3/2], [9637/365, 125/146], [-1, 3/2], [57/365, 1/730]], [[-6, -14], [-273309/730, -135609/730], [-6, -14], [-1581/730, -153/146]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -1], [-1, 8], [-5, -1], [0, 0]], [[190, -171/2], [5203298/2555, -210282/511], [11458/7, -1173/14], [1688/2555, 2/2555]], [[4522, -1292], [40223751/730, 421261/365], [47533, 8266], [14337/730, 1593/365]]], 1, 210, [], [] >,
< [ -2, 0, 1 ], [[114, 56]], [ -390, 35 ], [ -7, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1, -1/2], [4237/365, -707/730], [-1, -1/2], [5/73, -3/730]], [[0, 0], [-457/146, 1911/730], [0, 0], [-13/730, 11/730]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [3, 21], [-2, 3/2], [0, 0]], [[0, 0], [7038527/1022, 39867/2555], [2427/7, -4/7], [-2427/5110, 2/2555]], [[0, 0], [-230066051/1022, 3440066587/5110], [-81189/7, 237553/7], [81189/5110, -237553/5110]]], 1, 210, [], [] >,
< [ -2, 0, 1 ], [[134, 84]], [ -512, -29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3, -7/2], [11959476/4201, -3047/8402], [-3, -7/2], [-3323/4201, -1/8402]], [[0, 0], [-154647/8402, -98951/4201], [0, 0], [43/8402, 55/8402]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17, 19/2], [80, 38], [17, 19/2], [0, 0]], [[113, -18], [15645612751/58814, -6416243/29407], [7009829/7, 184/7], [-113049/58814, -5/58814]], [[-7851, -32580], [-189355527160/4201, -352307533810/4201], [-170211615, -315838384], [1372611/4201, 2546821/4201]]], 1, 120, [], [] >,
< [ -2, 0, 1 ], [[134, 84]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -27], [5, -20], [0, 0]], [[1/2, 0], [773/2, 267], [209/2, 87], [1/2, 0]], [[0, 0], [-39, -30], [-4, -15], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [768, 28], [11, -13], [0, 0]], [[-24, -5/2], [-19201433/7, -43209897/14], [458194/7, -2099/14], [-24/7, -5/14]], [[12363/2, 9087], [38090653155/14, 10850885831/7], [-165865059/14, -164574679/7], [12363/14, 9087/7]]], 1, 80, [], [] >,
< [ -2, 0, 1 ], [[268, 168]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -26], [-45, -37], [0, 0]], [[0, 0], [-8, 0], [-11, 0], [1, 0]], [[0, 0], [-48, -304], [-459, -396], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1489, -35], [26, 20], [0, 0]], [[0, 0], [-591956529/7, 452565996/7], [1820407/7, -5640/7], [9/7, -3/7]], [[0, 0], [-42631892703/7, 15886387375/7], [-331859187/7, -302975488/7], [-648/7, -953/7]]], 0, 480, [], [] >,
< [ -2, 0, 1 ], [[34, 50]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[104, 5/2], [-13, -10], [104, 5/2], [0, 0]], [[2111, -1624], [-65, 13/2], [2091, -1622], [-5, 1/2]], [[948280, -971987/2], [25454, 37466], [956112, -948931/2], [1958, 2882]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-228, -5/2], [-712, -4], [-228, -5/2], [0, 0]], [[10888651, 43300], [238049569/7, -324110/7], [76221085/7, 303232/7], [8/7, 2/7]], [[160856036, 716540524], [3349561101/7, 31294049541/14], [1126017134/7, 5015820265/7], [377/7, 1109/14]]], 1, 120, [], [] >,
< [ -2, 0, 1 ], [[66, 16]], [ -512, 29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5, -20], [-5911499/8402, -5517/4201], [-5, -20], [-4579/8402, -5/8402]], [[-128, 433/2], [35410038/4201, -27646097/8402], [-128, 433/2], [27445/4201, -21457/8402]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, 37/2], [20, -35], [-7, 37/2], [0, 0]], [[460, 290], [2738768299/58814, -25583675/58814], [16674865/7, 2402/7], [-179265/58814, -2/29407]], [[91200, -86870], [421800937358/4201, -303223853710/4201], [5067083298, -3644255972], [-27241893/4201, 19592307/4201]]], 1, 120, [], [] >,
< [ -2, 0, 1 ], [[132, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 3], [-1, -4], [0, 0]], [[0, 0], [-12, 0], [-14, 0], [1, 0]], [[0, 0], [1, 4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, -70], [37, 24], [0, 0]], [[0, 0], [31435/7, 3503/7], [-10555/7, -1160/7], [10/7, -1/7]], [[0, 0], [804457/7, 328299/7], [-269862/7, -109847/7], [223/7, 54/7]]], 0, 480, [], [] >,
< [ -2, 0, 1 ], [[66, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37, 24], [12, -14], [0, 0]], [[0, 1], [-164, -79], [-101, 109], [0, 1]], [[-1/2, 2], [-595/2, -122], [-529/2, 250], [-1/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1219, 71], [-21, -22], [0, 0]], [[-55/2, -5/2], [-771662307/14, 864650445/14], [-17917027/14, 76863/14], [-55/14, -5/14]], [[39197, 9500], [344748221862/7, -514266388779/7], [12394568297/7, 1913201960/7], [39197/7, 9500/7]]], 1, 80, [], [] >,
< [ -2, 0, 1 ], [[66, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-43, -3/2], [-3, -12], [-43, -3/2], [0, 0]], [[-1320, 5260], [2742, -66], [-1380, 5284], [5, -2]], [[-480480, -503360], [-295517, -311999/2], [-476700, -502442], [-315, -153/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[112, -3/2], [-1063, -5], [112, -3/2], [0, 0]], [[-31268877, 95631/2], [2078368575/7, 68860251/14], [-218879401/7, 669491/14], [37/7, 1/14]], [[-21457953248, -4914524630], [1438160361611/7, 704966790595/14], [-150203780778/7, -34401213795/7], [25567/7, 12395/14]]], 1, 120, [], [] >,
< [ -2, 0, 1 ], [[82, 48]], [ -518, 7 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -13/2], [-20/7, -101/14], [-2, -13/2], [0, 0]], [[590, -765/2], [110225/238, -47086/119], [-16634/7, -2713/7], [-431/1666, -1/1666]], [[-51169, 25768], [-427336/17, 4551348/119], [3568119/7, 1822048/7], [40770/833, 17063/833]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[790, 5/2], [10027/7, -1/14], [25010, 1/2], [2/7, 0]], [[-701, -282], [-2111999/1666, -422507/833], [-1084644/49, -868039/98], [-2949/11662, -590/5831]]], 1, 66, [], [] >,
< [ -2, 0, 1 ], [[164, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, 42], [-15, 3], [0, 0]], [[4, 1], [305, 148], [-43, -48], [4, 1]], [[-35, 45/2], [-1379, 1527/2], [-281, 489/2], [-35, 45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -14], [43, 19], [0, 0]], [[-3, -5/2], [3, -303/2], [-639, 1207/2], [-3, -5/2]], [[2, 0], [388, -231], [-2470, 1704], [2, 0]]], 0, 264, [], [] >,
< [ -2, 0, 1 ], [[82, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -3], [30, 17], [0, 0]], [[0, -1], [24, 82], [333, 248], [0, -1]], [[1/2, -2], [15/2, 325/2], [1119/2, 853/2], [1/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-55, -35], [-15, 3], [0, 0]], [[1, 1/2], [206, 323/2], [6, 51/2], [0, 1/2]], [[7/2, 1], [1063/2, 975/2], [-91/2, 116], [-3/2, 5/2]]], 1, 132, [], [] >,
< [ -2, 0, 1 ], [[14, 34]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[110, 1], [19, 10], [110, 1], [0, 0]], [[168670, -88765], [13108, -147/2], [168660, -88770], [-5, -5/2]], [[-16819572, 26069875/2], [-548213, 731820], [-16819716, 26069175/2], [-72, -175]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 3/2], [-438, -9], [4, 3/2], [0, 0]], [[0, 0], [3205, -395], [-52, 0], [-2, 0]], [[0, 0], [-66524/7, -771405/14], [2704/7, 6591/7], [104/7, 507/14]]], 1, 66, [], [] >,
< [ -2, 0, 1 ], [[-110, -116]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5774, 5/2], [72042/151, 1143/302], [-5774/151, 5/302], [0, 0]], [[136487873, 27295202], [-1707491164/151, -709606705/302], [136479660/151, 27295150/151], [417/151, 5/302]], [[1862874429703, 4015141046487/2], [-47304396730085/302, -25227673453224/151], [1862803751350/151, 2007463144720/151], [7169825/302, 5450764/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2544, 1/2], [-805431/151, 591/302], [-2544/151, 1/302], [0, 0]], [[1165888453, 5023665/2], [2584109521368/1057, 5126649499/1057], [8161084728/1057, 35165561/2114], [1986/1057, 1/2114]], [[17389053256906, 52643647000177/2], [11006211822704073/302, 16666838794682223/302], [17388768363120/151, 26321390403894/151], [8414433/302, 12794623/302]]], 1, 396, [], [] >,
< [ -2, 0, 1 ], [[-150, -62]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4415, 5/2], [-59962/151, -4595/302], [4415/151, 5/302], [0, 0]], [[226601878, -399887051/2], [-5746474371/302, 5198446835/302], [226603404/151, -199943521/151], [-709/302, -1/302]], [[-11870682813425, 12845080428277/2], [309249558834847/302, -81163557667526/151], [-11870676036350/151, 6422589209366/151], [-3078705/302, -11379600/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2531, -5/2], [-2475781/151, 3387/302], [2531/151, -5/302], [0, 0]], [[2384353925, -19236795/2], [-32651803406357/2114, 121803007161/2114], [16690771900/1057, -67328580/1057], [6565/2114, 5/2114]], [[-6721952389751, -106887511738053/2], [92496350320331507/2114, 731898861274301365/2114], [-47054559123484/1057, -374112894600500/1057], [-19920101/2114, -147244695/2114]]], 1, 396, [], [] >,
< [ -2, 0, 1 ], [[54, 20]], [ -518, -7 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 21/2], [-15/7, 151/14], [-5, 21/2], [0, 0]], [[-4734, 917/2], [-1193369/238, -30111/119], [-41596/7, 3259/7], [-193/1666, 1/1666]], [[185217, 2191803], [106975604/119, 287798954/119], [2359719/7, 19359645/7], [12192/833, 45840/833]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-30, -35/2], [397/7, 253/14], [-30, -35/2], [0, 0]], [[-35545, 1523/2], [223596955/1666, -97461411/1666], [-243604/7, 5458/7], [129/1666, 2/833]], [[12837326, 76903791], [161024862405/833, -220833713924/833], [86939858/7, 526943583/7], [-37994/833, -141086/833]]], 1, 66, [], [] >,
< [ -2, 0, 1 ], [[108, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25, -5], [25, 28], [0, 0]], [[0, 1/2], [-160, 85/2], [30, 269/2], [0, 1/2]], [[0, 0], [-146, 95], [-102, 90], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69, 46], [-40, -8], [0, 0]], [[3, -1], [-9, 22], [-37, 46], [3, -1]], [[2, 3/2], [22, 33/2], [-38, -57/2], [2, 3/2]]], 0, 264, [], [] >,
< [ -2, 0, 1 ], [[54, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 11], [-1, -14], [0, 0]], [[3/2, -2], [143/2, 139/2], [-151/2, -113/2], [3/2, -2]], [[1/2, -1/2], [-9/2, 4], [7/2, -4], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 16], [25, 28], [0, 0]], [[9/2, 3], [-2465/2, 666], [-3297/2, 1503/2], [3/2, 3/2]], [[-3/2, -1], [985/2, -267], [1315/2, -605/2], [-1/2, -1/2]]], 1, 132, [], [] >,
< [ -2, 0, 1 ], [[54, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[74, 1], [-21, -18], [74, 1], [0, 0]], [[-66834, 114629/2], [-8957, 235/2], [-66834, 114647/2], [0, 3/2]], [[-3086688, 1157508], [302382, 839733/2], [-3087540, 1157193], [-142, -105/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-116, -5/2], [-571, -13], [-116, -5/2], [0, 0]], [[4628422, -258623/2], [159461678/7, -4261513/7], [32397730/7, -1810497/14], [-18/7, -1/7]], [[3567561087, 1091391100], [123011951469/7, 75506817733/14], [24971931477/7, 7639368834/7], [-14649/7, -10849/14]]], 1, 66, [], [] >,
< [ -2, 0, 1 ], [[-26, -88]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21662, 3/2], [-281002/151, 2981/302], [21662/151, 3/302], [0, 0]], [[1728555292, -8643114635/2], [-46052130425/302, 112360568261/302], [1728558522/151, -4321557350/151], [525/302, -5/302]], [[6642670707266, 10026203117465], [-84770234006868/151, -129597418845826/151], [6642661569768/151, 10026198883020/151], [-742977/151, -344534/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20779, -2], [19109038/151, 1687/151], [-20779/151, -2/151], [0, 0]], [[3663032936, 42120972], [-47161305838499/2114, -270962773250/1057], [25641446706/1057, 589693737/2114], [2915/2114, 1/2114]], [[-6591938016139, -6196633225779/2], [84870138371645863/2114, 39889945519963753/2114], [-46143951103945/1057, -21688394809644/1057], [-5192109/2114, -2407701/2114]]], 1, 396, [], [] >,
< [ -2, 0, 1 ], [[-122, -6]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4159, -3/2], [55124/151, 1851/302], [-4159/151, -3/302], [0, 0]], [[68341, -117431/2], [-543837/151, 1529207/302], [71569/151, -117399/302], [-512/151, -2/151]], [[57778540, -123681143/2], [-473762423/302, 935020937/151], [62598528/151, -60606889/151], [-1528211/302, -194876/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5331, -1], [1602720/151, 315/151], [5331/151, -1/151], [0, 0]], [[41135545997, -400369479], [173137805165931/2114, -1618641974165/2114], [287948974743/1057, -5605173261/2114], [-2147/2114, 2/1057]], [[-4211171717141100, -2090078723165653/2], [-17728158748692640039/2114, -2202684458955944202/1057], [-29478217722773994/1057, -7315279536440727/1057], [220687309/2114, 28141249/1057]]], 1, 396, [], [] >,
< [ -2, 0, 1 ], [[48, 76]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-80, -2], [10, 8], [-80, -2], [0, 0]], [[-1540, 5729/2], [5177355/1777, -7379/3554], [-34081/3, 5703/2], [1943/5331, 5/10662]], [[-39967, 1694], [-19062778/1777, -82480863/3554], [-3490, 239978/3], [-7216/5331, -30983/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[77, 3/2], [150, 1], [77, 3/2], [0, 0]], [[-31516, 23663/2], [-104906452/1777, 84056419/3554], [24509/3, 23671/2], [-7852/5331, -1/10662]], [[-1008085, 4746207], [-4376483359/1777, 15499917655/1777], [-16471805/3, -8738954/3], [886775/5331, 505125/1777]]], 0, 288, [], [] >,
< [ -2, 0, 1 ], [[24, 38]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[97/2, 1], [103, 6], [97/2, 1], [0, 0]], [[-15411, 8141], [-50755714/1777, 28948342/1777], [72701/3, 8135], [-5620/5331, 1/5331]], [[1788497/2, -1429032], [3545354426/1777, -9026779233/3554], [8952147/2, 12418814/3], [-507715/5331, -1578785/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 2], [-6, 4], [7/2, 2], [0, 0]], [[3939/2, -1/2], [-2709102/1777, 135323/3554], [-131581/6, 33/2], [3388/5331, -5/10662]], [[2291055/2, 4280805/2], [-1430114434/1777, -5810383959/3554], [-25463115/2, -47653565/2], [655670/1777, 2454025/3554]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[-172, -176]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [4056738/1433, 22413/2866], [-2515/2, 0], [4245/2866, 5/2866]], [[0, 0], [89072/1433, 135987/2866], [-55/2, -21], [93/2866, 71/2866]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 0], [1, 0], [0, 0]], [[0, 0], [2282585491/10031, 266023/20062], [-174465/14, 17/7], [67297/20062, 5/20062]], [[0, 0], [214388156458/1433, 192507712921/2866], [-16382619/2, -7352829/2], [6320853/2866, 1418967/1433]]], 0, 864, [], [] >,
< [ -2, 0, 1 ], [[-86, -88]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 5/2], [-7, 13/2], [-5, 5/2], [0, 0]], [[-1, -2], [5, 1], [-1, -2], [0, 0]], [[-43/2, 2], [-4973/1433, 487/1433], [27/2, -5/4], [27/2866, -5/5732]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [-20, 13/2], [0, -1/2], [0, 0]], [[18911/2, 0], [252879369/10031, 33343/10031], [29217/14, 3/28], [-9739/20062, -1/40124]], [[104016, 315200], [2784043100/10031, 8430125023/10031], [160752/7, 486984/7], [-53584/10031, -162328/10031]]], 1, 144, [], [] >,
< [ -2, 0, 1 ], [[-86, -88]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 5], [17, -1], [-4, 5], [0, 0]], [[-1216, 54], [-35532155/3554, 1552333/3554], [21285, 179/3], [3265/10662, 1/10662]], [[-5521, -28723/2], [-80972531/1777, -419797687/3554], [362647/3, 1542173/6], [9173/5331, 13127/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -7/2], [-22, 12], [-4, -7/2], [0, 0]], [[-477, 1/2], [262631281/24878, 27173/24878], [-251861/21, 185/42], [7975/74634, -1/24878]], [[71136, -2223/2], [-39165430413/24878, 283436807/12439], [12519936/7, -374205/14], [-396435/24878, 2964/12439]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[76, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 4], [-26, -10], [0, 0]], [[0, 0], [5, 0], [-5, 0], [1, 0]], [[0, 0], [0, 0], [5, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [142, 35], [15, 11], [0, 0]], [[0, 0], [6941/7, -1413/7], [-145/7, -10/7], [29/7, 2/7]], [[0, 0], [293932/7, 19450/7], [-7125/7, -2280/7], [1425/7, 456/7]]], 0, 144, [], [] >,
< [ -2, 0, 1 ], [[38, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, -13], [23, 1], [0, 0]], [[-5/2, 1], [515/2, 713], [-3341/2, -753], [-5/2, 1]], [[4, 20], [-21094, -11630], [38689, 30007], [4, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [249, 50], [11, 16], [0, 0]], [[-35/2, 0], [-14761/2, 26210], [5993/2, -24], [-5/2, 0]], [[324, 102], [-1182103/7, -3095314/7], [-386340/7, -119132/7], [324/7, 102/7]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[-10, -64]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3102, 3/2], [42591/151, 3283/302], [-3102/151, 3/302], [0, 0]], [[37523, -27566], [-1420879/302, 716755/302], [36233/151, -55135/302], [3/2, 0]], [[23181146, -38103605/2], [-660876619/151, 193216407/302], [21095854/151, -39859387/302], [365781/151, 153716/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8236, -3/2], [-7609201/151, 2153/302], [8236/151, -3/302], [0, 0]], [[-79425903556, 1189752341/2], [1027336285339103/2114, -7652680518619/2114], [-555981476472/1057, 4164132991/1057], [4005/2114, 5/2114]], [[-2707523844621739, -2244830296010809/2], [2501552491521035913/151, 1037095616058005157/151], [-2707524588287316/151, -2244830921142181/302], [9823731/151, 8256797/302]]], 1, 216, [], [] >,
< [ -2, 0, 1 ], [[-20, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [612, 0], [29, 2], [0, 0]], [[0, 0], [22, 0], [5, 0], [1, 0]], [[0, 0], [25, 3798], [26, 180], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [372, 62], [15, -6], [0, 0]], [[0, 0], [88257/7, 42089/7], [2293/7, -141/7], [-9/7, -3/7]], [[0, 0], [28634/7, 48152/7], [-1020/7, 1690/7], [-1/7, -5/7]]], 0, 1152, [], [] >,
< [ -2, 0, 1 ], [[-10, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [597, 6], [-12, -2], [0, 0]], [[-5/2, 3/2], [-191735/2, 31513/2], [3625/2, -17/2], [-5/2, 3/2]], [[1/2, 3], [814263/2, 354589], [-20775/2, -8375], [1/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-99, 43], [20, -8], [0, 0]], [[37/2, 3/2], [24387/14, -5885/14], [-445/14, 1933/14], [37/14, 3/14]], [[221/2, 731], [-476219/14, 483534/7], [153089/14, -9225/7], [221/14, 731/7]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[-114, -36]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -4], [29, 2], [-7, -4], [0, 0]], [[-61, 38], [14911/14, -10425/14], [-31, 20], [-5/42, 1/14]], [[-39, -47/2], [144, 24], [-39, -47/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, -13/2], [-595, 0], [12, -13/2], [0, 0]], [[570, 105/2], [-524437/7, -300299/7], [582, 57/2], [-1/21, 2/21]], [[-2685, -6981/2], [10774987/14, 8259675/14], [-2451, -6945/2], [-13/14, -1/14]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[-110, -126]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[73, -2], [17, 0], [73, -2], [0, 0]], [[145015, 333], [127064991/3554, 1803408/1777], [422206/3, 917/3], [-207/3554, -2/5331]], [[8530110, 20592015/2], [3972048933/1777, 4607745201/1777], [24827656/3, 59946745/6], [-6149/1777, -22121/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[65, -1/2], [-35, -20], [65, -1/2], [0, 0]], [[-27159, 27067/2], [-167784643/3554, 38329/1777], [90268/3, 81265/6], [2769/3554, 1/5331]], [[-843572, 6147705/2], [13607042382/1777, 16276596285/1777], [-30430036/3, -48235897/6], [-224936/1777, -806323/5331]]], 1, 612, [], [] >,
< [ -2, 0, 1 ], [[-110, -126]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19, -5/2], [3, 9], [19, -5/2], [0, 0]], [[-2160, -1728], [-28486350/1777, -375712/1777], [42842, -5150/3], [3265/5331, 1/5331]], [[-8671664, -11880823/2], [-80946015073/3554, -47472839672/1777], [160041575/3, 136508157/2], [9000397/10662, 5383228/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[71, 1/2], [10, -4], [71, 1/2], [0, 0]], [[130244, 109229/2], [-17562697/3554, -165014/1777], [697483/3, 109273/2], [14837/10662, 2/5331]], [[3198409089, 5158653997/2], [-224998021079/3554, -261565591419/3554], [13357948262/3, 8157758787/2], [182019805/10662, 217601945/10662]]], 1, 612, [], [] >,
< [ -2, 0, 1 ], [[80, 66]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 2], [0, 7], [5, 2], [0, 0]], [[-4049, -3/2], [5042172/1777, -67797/3554], [-134845/3, -113/6], [2314/1777, 5/10662]], [[-43/2, -9], [26782/1777, 22487/3554], [-479/2, -301/3], [37/5331, 31/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-67/2, -3/2], [-2, 5], [-67/2, -3/2], [0, 0]], [[-8012, -7398], [-1086, 49], [-149668/3, -22202/3], [4/3, 0]], [[-5655349/2, -4571775/2], [-466022028/1777, -179113479/3554], [-26316217/2, -28176125/6], [1753372/5331, 817939/10662]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[104, 28]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[85, 0], [6, 10], [85, 0], [0, 0]], [[-20532, 18284], [-21342290/1777, 146479/3554], [88787/3, 54854/3], [-3306/1777, -1/10662]], [[-3053329, 7484437/2], [-6393743057/1777, -3585820267/3554], [35979998/3, 16010295/2], [-2977117/5331, -1687103/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, -5/2], [34, 5], [15, -5/2], [0, 0]], [[-9280, -517], [-26925407/1777, -2059790/1777], [38548, -1526/3], [-9463/5331, -2/5331]], [[10890892, 6944957/2], [31947186320/1777, 21425463973/3554], [-43588681, -22797827/2], [3593088/1777, 1961851/3554]]], 0, 288, [], [] >,
< [ -2, 0, 1 ], [[-180, -4]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-10079654/1433, 9619/2866], [5629/2, 9/2], [9501/2866, 2/1433]], [[0, 0], [-1313055998/1433, -711680008/1433], [367465, 199481], [619441/1433, 335968/1433]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-211/7, -26/7], [-3/7, -1/7], [0, 0]], [[0, 0], [-134788456/10031, -126095/10031], [3980/7, 6/7], [-1168/1433, -2/1433]], [[0, 0], [38050753/10031, 114188449/20062], [-2251/14, -3373/14], [661/2866, 495/1433]]], 0, 864, [], [] >,
< [ -2, 0, 1 ], [[-278, -186]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -3/2], [15, -5/2], [5, -3/2], [0, 0]], [[-25, -5/2], [-85, -41/2], [-25, -5/2], [0, 0]], [[-43/2, -2], [36499/1433, 3353/1433], [-27/2, -5/4], [-27/2866, -5/5732]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25, -5/2], [169/7, 17/14], [-25/7, -5/14], [0, 0]], [[34, -17/2], [-236/7, 139/14], [34/7, -17/14], [0, 0]], [[-43/2, -2], [36499/1433, 3353/1433], [-27/2, -5/4], [-27/2866, -5/5732]]], 1, 144, [], [] >,
< [ -2, 0, 1 ], [[-90, -2]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 5/2], [69, -14], [-15, 5/2], [0, 0]], [[2282, 77/2], [-34711/2, -160], [34557, 75/2], [1/2, 0]], [[-23, 41/2], [628485/3554, -559923/3554], [-356, 1903/6], [-55/10662, 49/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21, -27/2], [-113, -84], [-21, -27/2], [0, 0]], [[-211, -3], [-64751063/12439, -1369055/12439], [93293/21, -127/21], [-496/12439, 1/37317]], [[-542, 1535/2], [-46602997/3554, 33489961/1777], [35774/3, -32703/2], [-1139/10662, 782/5331]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[66, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 8], [35, 31], [0, 0]], [[1/2, -2], [347/2, -65], [1/2, 168], [1/2, -2]], [[20, 25], [-1587, -254], [-2290, -2395], [20, 25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [466, -4], [1, -3], [0, 0]], [[-18, -1], [5815/7, -2020/7], [594/7, 33/7], [-18/7, -1/7]], [[611/2, 1131/2], [90007/14, -301803/14], [-20163/14, -37323/14], [611/14, 1131/14]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[132, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 23], [-33, -20], [0, 0]], [[0, 0], [7, 0], [1, 0], [1, 0]], [[0, 0], [17, 0], [64, -56], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 43], [-5, 15], [0, 0]], [[0, 0], [41007/7, 18111/7], [12891/7, 995/7], [9/7, -3/7]], [[0, 0], [-1146046/7, -872856/7], [-222491/7, -203937/7], [-47/7, -87/7]]], 0, 144, [], [] >,
< [ -2, 0, 1 ], [[-118, -54]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4599, -3/2], [-63260/151, -4793/302], [4599/151, -3/302], [0, 0]], [[-52175, 72413/2], [-336360/151, -946425/302], [-54493/151, 72407/302], [-407/151, -1/151]], [[-144147739, 104788776], [5130172985/302, 1148194473/151], [-142582450/151, 221044407/302], [554355/302, 2014011/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[535, 3/2], [134683/151, 2377/302], [535/151, 3/302], [0, 0]], [[113852123, 8625117/2], [400985518705/2114, 17614157775/2114], [796720734/1057, 30187650/1057], [-4451/2114, -5/2114]], [[-983550037713, -2849627388108], [-256015538983115/151, -1436106696851503/302], [-983312370780/151, -2848763169894/151], [2167560/151, 15756957/302]]], 1, 216, [], [] >,
< [ -2, 0, 1 ], [[-118, -54]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [302, 199], [97, 66], [0, 0]], [[2, -3/2], [-1959, 141/2], [-673, 77/2], [2, -3/2]], [[223/2, 51], [2794383/2, 1001871], [929231/2, 333447], [223/2, 51]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [347, 98], [27, 21], [0, 0]], [[-4, -1], [887147/7, -731209/7], [-21006/7, 2872/7], [-4/7, -1/7]], [[277/2, 127/2], [-29981345/14, 29961109/14], [1186401/14, 171379/14], [277/14, 127/14]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[-236, -108]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, -31], [-19, -11], [0, 0]], [[0, 0], [30, 0], [0, 0], [1, 0]], [[0, 0], [14, 26], [15, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75, -21], [-17, 0], [0, 0]], [[0, 0], [-21207/7, 3954/7], [5031/7, 1074/7], [43/7, 2/7]], [[0, 0], [-298351/7, -87319/7], [99930/7, 54456/7], [750/7, 345/7]]], 0, 1152, [], [] >,
< [ -2, 0, 1 ], [[-42, -78]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 13/2], [-3, -8], [12, 13/2], [0, 0]], [[57, 83/2], [-1174/7, -298/7], [-23, 67/2], [-10/21, -1/21]], [[99, 9], [37017/14, -28359/14], [1815, -1267], [143/14, -319/42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-767, -5/2], [-11, -1], [-767, -5/2], [0, 0]], [[24159400, -4387225/2], [2385196/7, -7459/7], [169114220/7, -30708999/14], [-2/21, 1/21]], [[3049305000, 3293249400], [727776527/14, 357232811/7], [21345129264/7, 23052629363/7], [-13/42, -7]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[-490, -332]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-48, -1/2], [-16, -3], [-48, -1/2], [0, 0]], [[-96971, 36309/2], [-110412855/3554, 1044111/3554], [-285664/3, 36321/2], [289/10662, 1/10662]], [[380270, -21297], [227349396/1777, 28391664/1777], [1119124/3, -66869/3], [-199/1777, -82/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[36, 5/2], [-7, 4], [36, 5/2], [0, 0]], [[139, -391/2], [-12767442/1777, -44178/1777], [21413/3, -343/2], [578/5331, 2/5331]], [[670, -1369], [-197806995/3554, -13584735/1777], [54885, 6076], [2985/3554, 205/1777]]], 1, 612, [], [] >,
< [ -2, 0, 1 ], [[-490, -332]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -3/2], [5, -15], [-8, -3/2], [0, 0]], [[3558, -961/2], [-42797/2, 320], [172049/3, -2893/6], [5/6, 0]], [[-2625587, -11269], [58069778915/3554, 7243819415/3554], [-131612032/3, -5750467], [-6812687/10662, -948179/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[43, -3/2], [-19, -11], [43, -3/2], [0, 0]], [[-6365, 6375/2], [11902215/3554, 56593/3554], [-57400/3, 19309/6], [-703/3554, 5/10662]], [[-1619035, 679788], [1762218381/1777, 254105950/1777], [-5392399, 161616], [-103878/1777, -14268/1777]]], 1, 612, [], [] >,
< [ -2, 0, 1 ], [[0, 18]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [-8, 4], [-2, 3/2], [0, 0]], [[0, 0], [-4, -3], [0, 0], [0, 0]], [[-3/2, -1/2], [27/14, 9/14], [-3/2, -1/2], [-3/14, -1/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 2], [2, 2], [-3/2, 2], [0, 0]], [[-44, 55/2], [-341/7, -29/14], [-44, 55/2], [-43/7, -3/14]], [[231, -825/2], [-10896/7, -9932/7], [231, -825/2], [-1356/7, -1243/7]]], 1, 20, [], [] >,
< [ -2, 0, 1 ], [[0, 36]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1], [-10, 0], [1, 1], [0, 0]], [[1, -2], [181/7, -381/14], [1, -2], [11/7, 5/14]], [[-20, -5/2], [-219, 41], [-20, -5/2], [11, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -3/2], [-8, -9], [-4, -3/2], [0, 0]], [[20, 16], [374/7, 681/14], [20, 16], [16/7, -1/14]], [[40, 56], [55, 405/2], [40, 56], [21, -21/2]]], 0, 80, [], [] >,
< [ -2, 0, 1 ], [[-54, -18]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[76, -3/2], [-21/17, 107/17], [228/17, -9/34], [0, 0]], [[-2163, -4959], [416481/697, -149317/697], [-6927/17, -74478/85], [1247/3485, 1/3485]], [[-5/2, 19/2], [-3797/1394, 7284/697], [-69/170, 126/85], [-1/1394, 19/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31, -1/2], [197/17, 13/17], [93/17, -3/34], [0, 0]], [[-7497/2, 51/2], [-1996353/697, -73331/697], [-121281/170, 399/170], [2513/3485, -1/6970]], [[-161823/2, -25959/2], [-62726, -25231/2], [-154173/10, -5049/2], [78/5, 13/5]]], 1, 120, [], [] >,
< [ -2, 0, 1 ], [[108, 36]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[65, -1/2], [-2251/17, -89/17], [195/17, -3/34], [0, 0]], [[5572, -10547/2], [-8987616/697, 7117426/697], [86736/85, -31587/34], [-1797/3485, -2/3485]], [[1506231, -1563941], [-2516708383/697, 4129474819/1394], [4728510/17, -23315556/85], [-592641/3485, -114111/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-77, -3/2], [-157/17, 5/17], [-231/17, -9/34], [0, 0]], [[-837, -11997], [-933781/697, -1000533/697], [-16743/85, -180126/85], [477/697, -2/3485]], [[-378882, -10094499/2], [-395013251/697, -421899043/697], [-7445214/85, -151570701/170], [200640/697, 1824/3485]]], 0, 240, [], [] >,
< [ -2, 0, 1 ], [[54, 18]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[71, 1/2], [75/17, 157/17], [213/17, 3/34], [0, 0]], [[42687, 109089/2], [23350431/1394, 6151138/697], [640401/85, 163635/17], [-109/6970, -2/3485]], [[-1024488, -1280610], [-550089819/1394, -292874265/1394], [-3073911/17, -7683741/34], [507/1394, 25/1394]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[32, 5/2], [-1903/17, -82/17], [96/17, 15/34], [0, 0]], [[-1680, 400], [85499517/9758, -15759985/9758], [-42999/85, 11949/170], [807/9758, 1/48790]], [[77880, -16940], [-283817229/697, 92379705/1394], [2002509/85, -233751/85], [-13509/3485, -627/6970]]], 1, 60, [], [] >,
< [ -2, 0, 1 ], [[54, 18]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -3/2], [-4, -8], [-5, -3/2], [0, 0]], [[320, 220], [9293/14, 3447/7], [320, 220], [-9/14, 2/7]], [[-140, -100], [-4289/14, -1486/7], [-140, -100], [-1/14, 1/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -3/2], [-4, 42], [4, -3/2], [0, 0]], [[-40, 4], [-10581/49, -51763/98], [-192/7, 27/7], [44/49, -1/98]], [[0, 0], [-19/98, -291/98], [-1/7, -5/7], [-1/98, -5/98]]], 1, 80, [], [] >,
< [ -2, 0, 1 ], [[36, 72]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[51, 0], [32, 0], [9, 0], [0, 0]], [[2315, -1225/2], [1049152/697, -267571/697], [34467/85, -18357/170], [-147/3485, -1/3485]], [[-49920, -100480], [-23766877/697, -46055469/697], [-147294/17, -298587/17], [1545/697, 1689/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-110, -3/2], [2027/17, -46/17], [-330/17, -9/34], [0, 0]], [[189585, 82665/2], [-143032376/697, -52104353/1394], [2840844/85, 1240221/170], [-1669/3485, 1/6970]], [[78010020, 68287230], [-55787280895/697, -100153366123/1394], [1169399781/85, 1023466959/85], [-468939/3485, -997443/6970]]], 0, 240, [], [] >,
< [ -2, 0, 1 ], [[-18, -36]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-62, -1], [-1006/17, -161/17], [-186/17, -3/17], [0, 0]], [[31355/2, -19299/2], [17979513/1394, -9894633/1394], [434031/170, -144846/85], [257/1394, 2/3485]], [[1064255/2, -1017762], [184466957/1394, -1389511735/1394], [22924779/170, -23899233/170], [-49049/1394, -117117/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[40, -1], [456/17, 9/17], [120/17, -3/17], [0, 0]], [[7167/2, -372], [2017803/1394, -253893/1394], [31839/170, -11469/170], [2679/6970, 2/3485]], [[111896, 267687/2], [29660017/697, 36797237/697], [31680/17, 172785/34], [10706/697, 11130/697]]], 1, 120, [], [] >,
< [ -2, 0, 1 ], [[18, 36]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-54, 1/2], [-755/17, -81/17], [-162/17, 3/34], [0, 0]], [[171, 7695/2], [42193/34, 54189/17], [729/85, 57789/85], [-3/10, 0]], [[-23769, -23085/2], [-15921346/697, -8983475/697], [-70347/17, -335601/170], [2997/3485, 3164/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, 1/2], [503/17, 21/17], [42/17, 3/34], [0, 0]], [[-1380, 145], [43924477/9758, 1428737/4879], [-13827/595, 29973/1190], [1651/9758, 2/24395]], [[412360, 489525], [-9513112565/4879, -9217100931/4879], [-1311126/119, -262074/595], [-1577399/24395, -1630478/24395]]], 1, 60, [], [] >,
< [ -2, 0, 1 ], [[18, 36]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1/2], [-8, -6], [-1, -1/2], [0, 0]], [[0, 0], [-661/14, 115/7], [0, 0], [-23/14, 2/7]], [[0, 0], [-510, 349], [0, 0], [-15, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, 1/2], [2, 13], [-9, 1/2], [0, 0]], [[37, -20], [318/7, -733/14], [253/7, -33/7], [1/7, -5/14]], [[202, -227/2], [3691/14, -1976/7], [189, -71/2], [13/14, -13/7]]], 1, 80, [], [] >,
< [ -2, 0, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -12], [-9, -12], [0, 0]], [[0, 0], [-1, 0], [-1, 0], [1, 0]], [[0, 0], [36, -48], [9, -36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [93, 18], [-3, -12], [0, 0]], [[0, 0], [-28394/7, -33170/7], [8200/7, 3100/7], [-1/7, 5/7]], [[0, 0], [-41751/7, -9435/7], [1674/7, 5322/7], [9/7, -3/7]]], 0, 40, [], [] >,
< [ -2, 0, 1 ], [[18, 18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -6], [21, 9], [0, 0]], [[5/2, -1/2], [109/2, -101/2], [187/2, -47/2], [5/2, -1/2]], [[-25, -15], [142, 204], [-839, -489], [-25, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, 15], [-15, -12], [0, 0]], [[12, -1/2], [45027/7, -67811/14], [-2934/7, -11/14], [12/7, -1/14]], [[-207/2, 27/2], [-873783/14, 648723/14], [50139/14, -4407/14], [-207/14, 27/14]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[18, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -3/2], [-3, 9], [-12, -9/2], [0, 0]], [[-60, -44], [118, 135/2], [-180, -132], [3, 1/2]], [[0, -34], [283, -141], [0, -102], [24, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1/2], [42, 21], [6, -3/2], [0, 0]], [[6, 7/2], [533/7, 2125/14], [-24/7, 177/14], [5/7, -1/14]], [[1, -3/2], [-144/7, 425/14], [-9/7, 27/14], [1/7, -3/14]]], 1, 10, [], [] >,
< [ -2, 0, 1 ], [[0, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 12], [-3, 9], [0, 0]], [[-3, -2], [5, 3], [96, 69], [-3, -2]], [[1, -1/2], [-4, 5/2], [3, -15/2], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-300, -78], [9, 15], [0, 0]], [[-22, 3/2], [132885/7, 576319/14], [-28530/7, -15987/14], [-22/7, 3/14]], [[34, -51], [1130574/7, -61151/7], [-306/7, -54204/7], [34/7, -51/7]]], 0, 80, [], [] >,
< [ -2, 0, 1 ], [[54, 18]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[233, -3/2], [-9993/151, 4647/302], [699/151, -9/302], [0, 0]], [[-164174, -414019], [-946054/151, 32224475/302], [-493163/151, -1242057/151], [-220/151, -3/302]], [[120686081, 379156143/2], [-3022924453/302, -6940183290/151], [362336593/151, 568772452/151], [191425/302, 13775/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[778, 1/2], [2101929/151, 3585/302], [2334/151, 3/302], [0, 0]], [[-7917680, 201162], [-299482790947/2114, 7545844853/2114], [-166254738/1057, 8448793/2114], [-1569/2114, 1/1057]], [[6988043578, 1658359103/2], [132167872744990/1057, 31419383057455/2114], [146734209770/1057, 34821338919/2114], [697210/1057, 98988/1057]]], 1, 60, [], [] >,
< [ -2, 0, 1 ], [[18, 36]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[430, 1/2], [-17223/151, 4491/302], [1290/151, 3/302], [0, 0]], [[11374, 105193/2], [-35907/302, -4096739/302], [35327/151, 157805/151], [-827/302, -5/302]], [[-720630, 7110955], [87545549/151, -286278861/151], [-1993930/151, 21308545/151], [-57760/151, 8740/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[965, 2], [2585688/151, 4452/151], [2895/151, 6/151], [0, 0]], [[840, 2385], [15795789/2114, 44705656/1057], [48373/1057, 100091/2114], [2915/2114, -1/2114]], [[1131590, 31671203/2], [-33639970632/1057, 609256461351/2114], [238654158/1057, 603467547/2114], [10188378/1057, -1451736/1057]]], 1, 60, [], [] >,
< [ -2, 0, 1 ], [[18, 54]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1], [-23, -15], [0, 1], [0, 0]], [[-20, -5/2], [3341/7, 1606/7], [-20, -5/2], [-8/7, 2/7]], [[-18, -10], [7851/14, 5221/14], [-18, -10], [-9/14, -3/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 2], [717, -27], [-1, 2], [0, 0]], [[-9588, 45/2], [-11553265/14, -13476367/7], [-9588, 45/2], [-1/14, 2/7]], [[-386988, -374850], [-2581037903/14, -220799799/2], [-386988, -374850], [39/2, 123/14]]], 1, 180, [], [] >,
< [ -2, 0, 1 ], [[90, 36]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 3/2], [-7, 25], [-3, 3/2], [0, 0]], [[4, 27/2], [-2934/7, -1629/7], [4, 27/2], [4/7, -1/7]], [[-12, -20], [9787/14, 5983/14], [-12, -20], [-11/14, 1/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[29, 3/2], [139, 22], [29, 3/2], [0, 0]], [[1079, -1511/2], [60897/14, -41875/14], [7662/7, -10323/14], [-3/14, -5/14]], [[-20955, 29837/2], [-83198, 59976], [-144041/7, 210643/14], [-54/7, -10/7]]], 1, 180, [], [] >,
< [ -2, 0, 1 ], [[-342, -108]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -9], [15, 11], [-3, -9], [0, 0]], [[-2, 5/2], [-890/7, -89/7], [18, 9/2], [-10/7, -1/7]], [[0, 0], [-445/14, 267/14], [5, -3], [-5/14, 3/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 6], [-205, -3], [2, 6], [0, 0]], [[-1361, 45/2], [-57083/7, 170250/7], [-1359, 37/2], [-1/7, 2/7]], [[3036, 4994], [-2256627/14, -188973/7], [3061, 4996], [-25/14, -1/7]]], 1, 2880, [], [] >,
< [ -2, 0, 1 ], [[-126, -234]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[121, 5/2], [26, 24], [121, 5/2], [0, 0]], [[-19065, 17466], [39551/14, -1213/14], [-18940, 17461], [-25/14, 1/14]], [[-1525446, 1568619/2], [-77615/7, -933172/7], [-1525826, 1556839/2], [38/7, 589/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-90, -2], [27, 21], [-90, -2], [0, 0]], [[61316, -47693], [53169/14, -627/7], [430323/7, -333393/7], [-5/14, -1/7]], [[32281744, -44386285/2], [1404103/2, -875683], [32279753, -44435381/2], [5/2, 56]]], 1, 2880, [], [] >,
< [ -2, 0, 1 ], [[40, 4]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3716, -2], [1034338/151, -1484/151], [-3716/151, -2/151], [0, 0]], [[-10299219, 103246941/2], [2923444066/151, -14374932163/151], [-10299219/151, 103246941/302], [128/151, -1/302]], [[-19875660889, -14668938641/2], [5524293217086/151, 4061244209593/302], [-19875660889/151, -14668938641/302], [-23360/151, -26900/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23423/151, -565/151], [1825/151, -3/151], [0, 0]], [[220, 3/2], [-9143043/151, -16851137/151], [647290/151, 2592471/302], [220/151, 3/302]], [[-59075, -135803/2], [12758117139/151, 7259877440/151], [-966581525/151, -1082522021/302], [-59075/151, -135803/302]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[48, 44]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -14], [-15, -12], [0, 0]], [[0, 5/2], [-145, 205/2], [-30, -21/2], [0, 5/2]], [[0, -1], [48, -35], [10, 4], [0, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -34], [7, 7], [0, 0]], [[1, -3/2], [-1234, 549/2], [233, -67/2], [1, -3/2]], [[-2, 7/2], [2989, -1003/2], [-570, 99/2], [-2, 7/2]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[20, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 1], [-10, -1], [0, 0]], [[-1/2, 0], [415/2, 559/2], [323/2, 347/2], [-1/2, 0]], [[0, 0], [70, 70], [51, 45], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -8], [9, 10], [0, 0]], [[5/2, -5/2], [33/2, 63], [-263/2, -119], [5/2, -5/2]], [[-1, 1], [-11, -29], [67, 58], [-1, 1]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[-42, -14]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -5], [3, -5], [2, -11], [0, 0]], [[-101/2, -45], [-101/2, -45], [-175, -245/2], [0, 5/2]], [[-15/2, 63/2], [-15/2, 63/2], [57, 40], [6, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-149/2, -1], [59/2, 15], [-13, -2], [0, 0]], [[38374, -5357], [-13450, -5445], [6116, 11], [-4, 0]], [[-2624027, -1112885/2], [21864785/17, 25394975/34], [-7845343/17, -5231281/34], [5125/17, 3403/34]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[-84, -28]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [34, -12], [4, -1]], [[0, 0], [0, 0], [14, 21/2], [2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, -1], [8, 5], [0, 0]], [[0, 0], [-2868/17, 631/17], [1155/17, -385/34], [15/17, -5/34]], [[0, 0], [-2059/17, -62/17], [847/17, 77/17], [11/17, 1/17]]], 0, 144, [], [] >,
< [ -2, 0, 1 ], [[-28, -42]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2022, 2], [70656/151, 3749/151], [2022/151, 2/151], [0, 0]], [[32675575, -27638149/2], [1091992380/151, -846761391/302], [32674395/151, -27638165/302], [512/151, 2/151]], [[-54967567561/2, 24861605943/2], [-915528785850/151, 768689463917/302], [-54965660569/302, 12430764042/151], [-827667/302, 18081/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1057, 0], [1887, 6], [-7, 0], [0, 0]], [[-595735/2, 1941119/2], [157445025/302, -522759365/302], [-594711/302, 1941123/302], [-128/151, -1/302]], [[1357206, -6842487/2], [-360310409/151, 921120676/151], [1355430/151, -6842331/302], [444/151, -39/302]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[-28, -42]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3683/2, 1], [-5646331/302, 6165/302], [-3683/302, 1/151], [0, 0]], [[-870573, 3557157/2], [-1337714286/151, 2727432796/151], [-870573/151, 3557157/302], [-430/151, 1/302]], [[-1206004563, 277182315/2], [-1849126314068/151, 427018670599/302], [-1206004563/151, 277182315/302], [42640/151, 156260/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1602, -2], [933168/151, 4405/151], [-1602/151, -2/151], [0, 0]], [[2737013/2, -2792395/2], [-791027631/151, 810514183/151], [2732707/302, -1396211/151], [-683/302, -5/302]], [[-189065955/2, 74478313/2], [54920593609/151, -42962931623/302], [-189122063/302, 37152882/151], [-8957/302, -13689/151]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[-12, -60]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, -1], [392/17, -99/17], [11/17, -1/17], [0, 0]], [[-483, -973], [727845/697, -2533825/1394], [-805/17, -987/17], [-275/697, -1/1394]], [[279174, 540141/2], [44197451/697, 236263266/697], [1786686/85, 601501/34], [324028/3485, 117528/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-184, 1/2], [331/17, -44/17], [-184/17, 1/34], [0, 0]], [[-396314, -199835/2], [27301856/697, 3558467/697], [-1981323/85, -999183/170], [147/3485, -1/3485]], [[51164302, 53294101/2], [-3260420224/697, -1473093024/697], [255794889/85, 53290349/34], [-15953/3485, -5733/3485]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[66, 36]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-76, 3/2], [-61/17, -98/17], [-76/17, 3/34], [0, 0]], [[-54439/2, 13414], [4286307/1394, -973317/697], [-169811/170, 133983/170], [-587/1394, 1/6970]], [[24074349, -9952527/2], [-1977045415/697, 278358657/697], [50345919/85, -99924591/170], [2009124/3485, 721383/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-573/2, -1], [443/17, -79/34], [-573/34, -1/17], [0, 0]], [[-655049/2, 1/2], [20348565/697, -1926572/697], [-656535/34, -27/170], [1119/3485, -1/6970]], [[-22951460, -16594963/2], [1328322541/697, 380505376/697], [-115018444/85, -83165291/170], [15678/697, 28314/3485]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[-6, -30]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-206, 5/2], [193/17, 52/17], [-206/17, 5/34], [0, 0]], [[98108, 162073/2], [-11556983/1394, -8381605/1394], [97732/17, 81036/17], [-147/1394, 1/1394]], [[-7816326, -5816664], [439553363/697, 313413726/697], [-38987298/85, -29049573/85], [18333/3485, 6447/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[184, -1/2], [-1589/17, -7/17], [184/17, -1/34], [0, 0]], [[222961, -1121], [-914993489/9758, -2267243/9758], [221780/17, -2341/34], [-4035/9758, -1/9758]], [[-101969051, -34842391], [30045825049/697, 10438497937/697], [-507056749/85, -173161962/85], [661471/3485, 228687/3485]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[-6, -30]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 1/2], [-1, 9], [5, 1/2], [0, 0]], [[-15, -113/2], [-1440/7, 41/14], [-19, -119/2], [4/21, 5/42]], [[-28, 65/2], [1941/14, -991/14], [-27, 67/2], [-1/14, -1/42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 3/2], [29, -9], [-6, 3/2], [0, 0]], [[7, -9/2], [2305/98, 1431/98], [-85/7, 25/14], [-157/294, -1/294]], [[33, -41/2], [978/7, 627/7], [-63, 7/2], [-20/7, -2/7]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[-6, -30]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[545, 2], [137120/151, -1838/151], [545/151, 2/151], [0, 0]], [[-670323, 6683045/2], [-394744765/302, 1687395999/302], [-670215/151, 3341520/151], [709/302, -1/302]], [[-1990149673, -5420001443/2], [-477500150608/151, -673364181404/151], [-1990243710/151, -5420080575/302], [-314631/151, -273439/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2370, 1], [5852011/151, -3939/151], [-2370/151, 1/151], [0, 0]], [[-11582118, -4719689/2], [200089490675/1057, 81476327651/2114], [-81090830/1057, -33052655/2114], [-3716/1057, -2/1057]], [[8745592318, 9531864137/2], [-302139342493497/2114, -82315804405151/1057], [61233565725/1057, 33370771799/1057], [4763189/2114, 1045362/1057]]], 1, 60, [], [] >,
< [ -2, 0, 1 ], [[-62, -16]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3972, 1], [-4851171/151, -164/151], [3972/151, 1/151], [0, 0]], [[15922, 12466], [-37794763/302, -15214247/151], [16026/151, 24929/302], [683/302, 5/302]], [[173772467, 242005305/2], [-419496804599/302, -145441963285/151], [174213792/151, 121431120/151], [3022555/302, 1439345/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-801, -1], [9112844/151, 11489/151], [-801/151, -1/151], [0, 0]], [[36305500, 8855/2], [-2891044072246/1057, -387937814/1057], [254133423/1057, 46789/2114], [2531/1057, 5/2114]], [[79266883773, 75554660566], [-1803500050024973/302, -859510293379250/151], [79260783453/151, 151101564167/302], [1581465/302, 1506285/302]]], 1, 108, [], [] >,
< [ -2, 0, 1 ], [[-124, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [689, 1], [3, 1], [0, 0]], [[0, 0], [-44, 0], [3, 0], [1, 0]], [[0, 0], [11, -1], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-455, 91], [7, -7], [0, 0]], [[0, 0], [6107, 8701], [181, 0], [-1, -1]], [[0, 0], [170052/7, -7835/7], [-1865/7, 2421/7], [-16/7, -3/7]]], 0, 432, [], [] >,
< [ -2, 0, 1 ], [[-62, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [213, 1], [-8, 2], [0, 0]], [[2, -1/2], [-244675, -118655/2], [8111, -223/2], [2, -1/2]], [[105/2, 27/2], [-20179761/2, -11463149/2], [542479/2, 239271/2], [105/2, 27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-577, -15], [6, 2], [0, 0]], [[1/2, -1], [-1695831/14, 239054/7], [14341/14, 268/7], [1/14, -1/7]], [[0, 0], [-1619, -3489], [39, 41], [0, 0]]], 1, 72, [], [] >,
< [ -2, 0, 1 ], [[-100, -108]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, 22], [19, 18], [0, 0]], [[0, 0], [110856883/1433, 116949/1433], [49035, 119/2], [-47846/24361, 3/48722]], [[0, 0], [-5190807620/1433, -11634937977/2866], [-4593699/2, -2573587], [4469821/48722, 5016801/48722]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1178/7, -80/7], [148/7, 5/7], [0, 0]], [[0, 0], [-5500071795/10031, -850288379/20062], [1186111/14, 33681/7], [74835/48722, 3/48722]], [[0, 0], [-70633443618/10031, -72225212893/10031], [7317374/7, 15309493/14], [24088/1433, 54085/2866]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[-158, -104]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -2], [-1, -3], [1, -2], [0, 0]], [[577, 5/2], [55902765/1433, -265/2866], [-166432, 21/2], [-23777/24361, 1/24361]], [[-92825/2, 93397/2], [-4536082749/1433, 9088115975/2866], [27012659/2, -54117001/4], [3858951/48722, -7731163/97444]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[230, -3/2], [-2112/7, 251/14], [230/7, -3/14], [0, 0]], [[2262, -3174], [165212010/10031, 86174677/20062], [-1161119/14, -3149/7], [-23777/48722, 1/48722]], [[-2054615/2, -1146019/2], [91640765010/10031, 134338818731/20062], [-464280031/14, -708957467/28], [-9428571/48722, -14414707/97444]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[-50, -54]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -17/2], [19, 11], [-8, -17/2], [0, 0]], [[-2181, 4], [1995051/1777, -574983/3554], [-7457/3, 5], [-2810/5331, -1/10662]], [[1395825, -1681531/2], [-2989970841/3554, 1900665951/3554], [4773446/3, -5750969/6], [1196023/3554, -2159263/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, -21/2], [-49, -7], [-14, -21/2], [0, 0]], [[-11, -6], [-1847119900/12439, -1518323/24878], [669979/21, -158/21], [12191/12439, 1/74634]], [[200, -2458], [341127521099/3554, -303993286897/3554], [-20645824, 55171583/3], [-6759115/10662, 6021757/10662]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[-86, -38]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6759, -5/2], [83186/151, -7787/302], [-6759/151, -5/302], [0, 0]], [[1999344136, -3353738391/2], [-351730679/2, 144367568], [13240689, -11105094], [-637/302, -2/151]], [[6609015886859, -13894170848667/2], [-89414952028483/151, 178679158098883/302], [6609015290559/151, -13894171164907/302], [-1981860/151, -562130/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4645, 5/2], [-96734058/151, -104557/302], [4645/151, 5/302], [0, 0]], [[-1385016837, -3979447/2], [403808747199779/2114, 290506259983/1057], [-9695124752/1057, -13938397/1057], [-6887/2114, -1/1057]], [[24786551575440, 7050774037740], [-7226655068229276937/2114, -1027852660806673627/1057], [173506088955820/1057, 98711275879721/2114], [123171229/2114, 34918837/2114]]], 1, 144, [], [] >,
< [ -2, 0, 1 ], [[-30, -52]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4228, 0], [-84917, 6], [28, 0], [0, 0]], [[6177, -5207], [-36529419/302, 15789414/151], [6073/151, -10411/302], [-683/302, -5/302]], [[2880644, -18726115/2], [-6423237027/151, 59268710025/302], [2372774/151, -19265665/302], [-1707255/151, -922680/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4100, 1/2], [-12366293/151, -1825/302], [4100/151, 1/302], [0, 0]], [[7223321240, -62628220], [-152507001387275/1057, 2659252432289/2114], [50563242591/1057, -438406670/1057], [3043/1057, 1/2114]], [[-73542359109296, -39471142366656], [3105257202851254389/2114, 1666568571614145729/2114], [-514796349777989/1057, -552595737834627/2114], [-62560215/2114, -16904478/1057]]], 1, 144, [], [] >,
< [ -2, 0, 1 ], [[354, 104]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[122484, 1/2], [-1590480/151, -2127/302], [122484/151, 1/302], [0, 0]], [[-9323763905, -10878238801/2], [242329649495/302, 70708542730/151], [-9323765748/151, -5439119624/151], [33/302, 2/151]], [[803330289536, 588615281321], [-10441566277322/151, -7650221147878/151], [803330379684/151, 588615364316/151], [-807/151, -743/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-116910, 5/2], [-33670871/151, 841/302], [-116910/151, 5/302], [0, 0]], [[107659524420, 279072465], [217046845971083/1057, 1129107781969/2114], [753616653639/1057, 1953511596/1057], [1441/1057, -3/2114]], [[-1165391047652766, -1069968004357692], [-4699046767854381753/2114, -2157128416227812308/1057], [-8157737233221801/1057, -14979551811618705/2114], [-30989487/2114, -28529787/2114]]], 1, 3168, [], [] >,
< [ -2, 0, 1 ], [[254, 290]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-92888, -1/2], [1207242/151, -1497/302], [-92888/151, -1/302], [0, 0]], [[23796581257, -118981487363/2], [-620490867183/302, 773379674339/151], [23796522243/151, -59490743936/151], [939/302, 2/151]], [[-2168257491202906, -181787404735892], [28177341146916695/151, 2345018343975310/151], [-2168258165224840/151, -181788615760382/151], [5361330/151, 9634317/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17424, -2], [-16119111/151, 1385/151], [17424/151, -2/151], [0, 0]], [[-144938727, 1042431/2], [938611672364/1057, -6696303937/2114], [-1014686445/1057, 7287117/2114], [1602/1057, 2/1057]], [[-4124710161, -15046435503/2], [53428248410125/2114, 97441088391407/2114], [-28876812012/1057, -52668666633/1057], [92795/2114, 166755/2114]]], 1, 3168, [], [] >,
< [ -2, 0, 1 ], [[158, 202]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[102145, 3/2], [-1327281/151, -1549/302], [102145/151, 3/302], [0, 0]], [[-94969551948, -237423009027/2], [2471595462929/302, 3086499083151/302], [-94969556406/151, -118711504470/151], [-315/302, 3/302]], [[-1115393532360514, -1180625000948851/2], [29004494395508135/302, 15357634269145479/302], [-1115393539974890/151, -590312518155666/151], [-538615/302, -1249479/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17969, 0], [109586, -5], [-119, 0], [0, 0]], [[-32589418, -1476051/2], [420063169423/2114, 4747890691/1057], [-228325655/1057, -5176567/1057], [6887/2114, 1/1057]], [[-113936623360, -241811017532], [1468342193073575/2114, 3116783052448119/2114], [-798340842067/1057, -3388355301685/2114], [21815055/2114, 25306992/1057]]], 1, 1728, [], [] >,
< [ -2, 0, 1 ], [[158, 202]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-443, -3], [216, 2], [0, 0]], [[-1/2, -3/2], [-44965065/2, 415183/2], [21922277/2, -148119/2], [-1/2, -3/2]], [[1533/2, 980], [26921516657/2, 3365193524], [-13142180091/2, -1657000060], [1533/2, 980]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [435, -72], [194, 4], [0, 0]], [[-33/2, -2], [687273/14, -214171/7], [247677/14, -71760/7], [-33/14, -2/7]], [[528, 1353/2], [8572398/7, -16550717/14], [2674505/7, -6210999/14], [528/7, 1353/14]]], 1, 1152, [], [] >,
< [ -2, 0, 1 ], [[316, 404]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-681, -3], [-379, 2], [0, 0]], [[0, 0], [5, 0], [-46, 0], [1, 0]], [[0, 0], [-90015, -114019], [-48872, -62976], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180, -38], [249, -1], [0, 0]], [[0, 0], [31198903/7, -8200369/7], [42128377/7, -2624833/7], [-30/7, -3/7]], [[0, 0], [-391953886/7, -3058879106/7], [-2516203152/7, -4758840168/7], [2937/7, 3751/7]]], 0, 6912, [], [] >,
< [ -2, 0, 1 ], [[1206, 836]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, 10], [20, 7], [16, 10], [0, 0]], [[-1031/2, 52], [340380/1433, 76895/1433], [20399/2, 241/4], [2893/2866, 5/5732]], [[-44287/2, 101484], [-29099107/1433, -133282169/2866], [10039, -8017297/4], [4291/1433, -1137115/5732]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[265, 2], [-2539/7, -81/7], [265/7, 2/7], [0, 0]], [[22112, -62927/2], [-38894452/1433, 121339069/2866], [-12948, -8975/2], [-2282/1433, 1/1433]], [[-3736131/2, 57316], [3696746788/1433, 33857279/1433], [-1347193/2, -2451683/4], [-115255/2866, -351995/5732]]], 1, 1152, [], [] >,
< [ -2, 0, 1 ], [[548, 192]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, -10], [-1, -12], [0, 0]], [[0, 0], [-1911605/1433, 383941/2866], [-6645/2, 128], [2017/2866, 1/2866]], [[0, 0], [-41555602/1433, -108121472/1433], [-96888, -194871], [34128/1433, 60480/1433]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1088/7, -6/7], [-68/7, 3/7], [0, 0]], [[0, 0], [13469, 265/2], [25055/2, -11/2], [5/2, 0]], [[0, 0], [24434941592/10031, 8956450402/10031], [15743381/7, 11302825/14], [643367/1433, 462319/2866]]], 0, 6912, [], [] >,
< [ -2, 0, 1 ], [[274, 96]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33, 57/2], [7, 7], [33, 57/2], [0, 0]], [[-1186, 145], [2618561/3554, 105855/3554], [90057, 353/3], [-3265/10662, 1/10662]], [[367507, -494465/2], [-661608621/3554, 432174063/3554], [-71978284/3, 31606815/2], [871705/10662, -574355/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-150, -205/2], [-635, -382], [-150, -205/2], [0, 0]], [[-836, -603], [3431300881/12439, -61718493/24878], [-10528738/21, -4394/7], [-46036/37317, -5/74634]], [[596470, 438270], [-7275400378525/24878, 1694026663383/24878], [11110854337/21, -828369674/7], [97214855/74634, -21848287/74634]]], 1, 1728, [], [] >,
< [ -2, 0, 1 ], [[198, 108]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[389, 5/2], [-2855/17, -48/17], [1167/17, 15/34], [0, 0]], [[35317/2, 164091/2], [-14664297/1394, -24741750/697], [367827/170, 1230882/85], [-367/1394, 3/6970]], [[-1901910, -1947829], [617202140/697, 605957787/697], [-5354202/17, -28472703/85], [19932/3485, 8456/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[897/2, 5/2], [11748/17, 125/34], [2691/34, 15/34], [0, 0]], [[-1037040, 402984], [-1114913962/697, 866139929/1394], [-3111951/17, 6044586/85], [2366/3485, 1/6970]], [[281392800, -15416400], [302568749300/697, -33017751795/1394], [4222483623/85, -230642064/85], [-176148/697, -614421/6970]]], 1, 960, [], [] >,
< [ -2, 0, 1 ], [[-36, -180]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-108, -1], [768/17, -144/17], [-324/17, -3/17], [0, 0]], [[14155, -115007/2], [-13760196/697, 35276313/1394], [217704/85, -344931/34], [-3063/3485, -1/6970]], [[39984740, 154085079/2], [1579569805/697, -18652952200/697], [591626616/85, 460985637/34], [4502848/3485, 1619798/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[389, 5/2], [-2991/17, 37/17], [1167/17, 15/34], [0, 0]], [[-329872, -2120], [103365589/697, -1286011/697], [-4950786/85, -31911/85], [1541/3485, -1/3485]], [[-489184488, -176925024], [151231177602/697, 52560546534/697], [-7341878826/85, -2655464892/85], [454748/697, 810411/3485]]], 0, 1920, [], [] >,
< [ -2, 0, 1 ], [[-18, -90]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-43, -3/2], [489/17, 90/17], [-129/17, -9/34], [0, 0]], [[2712, -1350], [-3314141/1394, 433216/697], [38136/85, -40719/170], [2897/6970, 2/3485]], [[-1671420, 365271], [1288518806/697, 151229631/697], [-22564548/85, 6451737/85], [-81536/205, -29184/205]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-130, 1], [-4270/17, -77/17], [-390/17, 3/17], [0, 0]], [[-14257, 98], [-323027347/9758, -5237325/9758], [-212778/85, 3279/170], [2347/48790, 3/48790]], [[-1902725, -1053157/2], [-43675362739/9758, -12930063081/9758], [-5676750/17, -7835199/85], [314669/48790, 89247/48790]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[-18, -90]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 5/2], [-19, -11], [-3, 5/2], [0, 0]], [[0, 0], [571/14, 178/7], [-5, 3], [-9/14, 2/7]], [[0, 0], [1689/7, 2351/14], [-6, 1], [-8/7, -3/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, 21/2], [-70, -70], [14, 21/2], [0, 0]], [[-108, -78], [72991/98, 47043/98], [-519/7, -572/7], [97/98, -5/98]], [[285, 186], [-72057/49, -72949/49], [3051/7, 198/7], [192/49, -216/49]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[-18, -90]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2498, 3/2], [95610/151, 4413/302], [-7494/151, 9/302], [0, 0]], [[129500905, 323708097/2], [-10500348725/302, -12624888241/302], [388504870/151, 485562165/151], [289/302, 3/302]], [[-127659859283, -206990223903/2], [10147788889449/302, 4077058411473/151], [-382980612399/151, -310485784308/151], [-138897/302, -30162/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3171, 0], [-56226, 3], [-63, 0], [0, 0]], [[2008232, -385309/2], [75306890609/2114, -3612727110/1057], [42215518/1057, -4026530/1057], [4261/2114, 2/1057]], [[-5646099508, -2101588678], [-211720737334857/2114, -39402177626145/1057], [-118750488027/1057, -88499019555/2114], [-13086651/2114, -5725761/2114]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[-116, -90]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3844, -3/2], [227095/151, -8719/302], [-3844/151, -3/302], [0, 0]], [[-118206885/2, -236412851/2], [3218267270/151, 13830175737/302], [-118211065/302, -118206417/151], [-663/302, 1/151]], [[-227078825673/2, -260273210827/2], [6406661164521/151, 15113870177195/302], [-227082929857/302, -130137086772/151], [-651301/302, -76692/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6214, 1/2], [-369343/151, 10557/302], [6214/151, 1/302], [0, 0]], [[-499452453/2, 83229791], [14984434680/151, -10320577033/302], [-499458083/302, 166459569/302], [-893/302, -3/302]], [[2500942154511, -298400598041], [-149149363259737/151, 19874872927216/151], [2500975550977/151, -298392766107/151], [5299750/151, 1247817/151]]], 1, 56, [], [] >,
< [ -2, 0, 1 ], [[-90, -58]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -31], [5, -10], [0, 0]], [[-1/2, -1], [1571/2, 189/2], [471/2, -25], [-3/2, 1/2]], [[-38, -49/2], [16230, 26329/2], [3298, 6067/2], [-11, -27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-134, 37], [11, 13], [0, 0]], [[-3/2, -5/2], [1294981/2, -565594], [112127/2, -914], [-3/2, -5/2]], [[99/2, 121/2], [-21555703/2, 10511396], [-2485387/2, -160162], [99/2, 121/2]]], 1, 84, [], [] >,
< [ -2, 0, 1 ], [[-52, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-468, -9], [2, 3], [0, 0]], [[-2, -5/2], [595722, -1904085/2], [9650, 101/2], [-2, -5/2]], [[13, 16], [-3670797, 6010306], [-61282, -888], [13, 16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-430, -50], [-16, -17], [0, 0]], [[1, 5/2], [936780, -2370123/2], [-58800, -431/2], [1, 5/2]], [[15, 37/2], [2399835, -12891135/2], [-397405, -197415/2], [15, 37/2]]], 0, 168, [], [] >,
< [ -2, 0, 1 ], [[-90, -58]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [49, 7], [3, 1], [0, 0]], [[3, 1], [-426, 194], [3, 1], [-1, 2]], [[363/2, 117], [-19005/2, -3421/2], [363/2, 117], [105/2, 129/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, 5], [-7, 0], [0, 0]], [[7/2, 2], [-59883/2, -565], [5393/2, -233/2], [1/2, 3/2]], [[609/2, 196], [-4010395/2, -579862], [349043/2, 82253/2], [175/2, 217/2]]], 1, 84, [], [] >,
< [ -2, 0, 1 ], [[-52, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-476, -21], [-6, 5], [0, 0]], [[-5, 0], [-2137545, -1746774], [9730, 6], [-5, 0]], [[-36, -89/2], [-46491624, -63213707/2], [70176, 173313/2], [-36, -89/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-243, -60], [-22, -19], [0, 0]], [[1, 3/2], [92970, -195795/2], [-6955, 275/2], [1, 3/2]], [[11, 27/2], [616033, -1491507/2], [-58409, -9609/2], [11, 27/2]]], 0, 168, [], [] >,
< [ -2, 0, 1 ], [[-26, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[45, 1], [-67, 15], [45, 1], [0, 0]], [[-928, 1379/2], [1822, -1413], [-936, 1363/2], [2, 2]], [[-12624, 18421/2], [24993, -37471/2], [-12684, 18273/2], [15, 37/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23, -1/2], [-48, -9], [23, -1/2], [0, 0]], [[2029, -10088], [4423, 40767/2], [2013, -10086], [4, -1/2]], [[1274125, 1077783/2], [-3149619, -1684924], [1274925, 1079751/2], [-200, -246]]], 1, 42, [], [] >,
< [ -2, 0, 1 ], [[-26, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, -2], [75, 32], [-20, -2], [0, 0]], [[-290, 195], [372, -655/2], [-310, 193], [5, 1/2]], [[-3073, 5017/2], [6405, -2382], [-2793, 5697/2], [-70, -85]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19, -1/2], [6, -12], [-19, -1/2], [0, 0]], [[22793, -18477/2], [-19729, 35649/2], [22789, -18489/2], [1, 3/2]], [[-242565, 161663/2], [187500, -367315/2], [-242505, 161811/2], [-15, -37/2]]], 1, 42, [], [] >,
< [ -2, 0, 1 ], [[14, 70]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9398, 5/2], [2732179/151, 237/302], [9398/151, 5/302], [0, 0]], [[1424031010, 106457113/2], [827972661859/302, 15382393608/151], [1424030901/151, 53228553/151], [-59/302, -1/151]], [[-1578801505763, -5238116977253/2], [-458648939603335/151, -1522617038222293/302], [-1578801386987/151, -5238116577429/302], [32336/151, 54156/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5170, -5/2], [-1520857/151, -2351/302], [-5170/151, -5/302], [0, 0]], [[293617177, -4975332], [86372808797/151, -2877193485/302], [293617650/151, -4975331/151], [128/151, 1/302]], [[-675212809970, -2401271358975/2], [-397664981848935/302, -706499365907621/302], [-675213972170/151, -1200637635634/151], [-632803/302, -1059837/302]]], 1, 252, [], [] >,
< [ -2, 0, 1 ], [[14, 70]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-988, -3/2], [-263184/151, 643/302], [-988/151, -3/302], [0, 0]], [[-79616273, 5381687/2], [-42424750053/302, 1549808027/302], [-79616419/151, 2690853/151], [-79/302, 5/302]], [[1422221051, 4410403021/2], [751274039765/302, 586390888713/151], [1422223400/151, 2205205464/151], [1279/302, 1071/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23, -1/2], [-14191/151, -1497/302], [23/151, -1/302], [0, 0]], [[149, 4], [-2421194/151, -57791/302], [1956/151, 10/151], [489/151, 5/302]], [[-2733214, -8644801/2], [84703266585/302, 139260955793/302], [-33452298/151, -56027774/151], [-16726149/302, -28013887/302]]], 1, 252, [], [] >,
< [ -2, 0, 1 ], [[14, 70]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[256, -1], [70813/151, -4517/151], [256/151, -1/151], [0, 0]], [[290042, -774601/2], [92966251/151, -223776311/302], [290088/151, -774603/302], [1, 0]], [[-47805777, -271262415], [-8581665165/302, -148469470973/302], [-47758950/151, -542485485/302], [313341/302, 67983/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4228, 0], [8099, 28], [28, 0], [0, 0]], [[19787238, -79263356], [11129548353/302, -22907139234/151], [19787300/151, -158526715/302], [407/302, -1/302]], [[156599278637, 448830722877/2], [45745675142285/151, 130137926548739/302], [156599085825/151, 448830560745/302], [-645106/151, -280132/151]]], 1, 336, [], [] >,
< [ -2, 0, 1 ], [[-270, -174]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-465/2, -1/2], [-1759/17, -405/34], [-465/34, -1/34], [0, 0]], [[2025251/2, -337777], [16429794/41, -4069135/41], [596701/10, -99344/5], [-532/697, 3/6970]], [[819587300, -3770005219/2], [127836928362/697, -533275427375/697], [4092872438/85, -18886222413/170], [294717/697, 5444342/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[421/2, 5/2], [2199/17, 801/34], [421/34, 5/34], [0, 0]], [[446083/2, -74275], [84352485/697, -15421420/697], [2230541/170, -371383/85], [-19/3485, 1/1394]], [[149, -1639/2], [-1365/17, -8260/17], [149/17, -1639/34], [0, 0]]], 1, 224, [], [] >,
< [ -2, 0, 1 ], [[156, 192]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1392/17, -79/17], [-97/17, -2/17], [0, 0]], [[0, 0], [-16061860/697, -2119233/1394], [82/17, -1879/17], [-972/697, -1/1394]], [[0, 0], [21440481069/697, 54297568052/697], [62041029/85, 7062172/85], [4374279/3485, 16144128/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11388/17, 79/17], [692/17, 2/17], [0, 0]], [[0, 0], [36707975522/697, -948671684/697], [272124853/85, -8131459/85], [220/697, 2/3485]], [[0, 0], [-234477854726/41, -2156248598401/82], [-1673249668/5, -7983691004/5], [-150046/3485, -1106639/6970]]], 0, 1344, [], [] >,
< [ -2, 0, 1 ], [[-810, -522]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-130, 1], [4604/17, 25/17], [-390/17, 3/17], [0, 0]], [[373175/2, -157685/2], [-269906507/697, 110951553/697], [5596143/170, -473067/34], [422/3485, -1/6970]], [[50978235, -78738660], [-70788362175/697, 228601159995/1394], [764798274/85, -1180722687/85], [-10855/697, -402303/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-227/2, -1/2], [3733/17, -365/34], [-681/34, -3/34], [0, 0]], [[1785, 2975/2], [4279842/697, -3751433/1394], [6624/17, 45159/170], [-3613/3485, -3/6970]], [[1455135/2, 460254], [-545625670/697, 793682061/697], [22774239/170, 8253996/85], [-206338/3485, -1520517/6970]]], 1, 2240, [], [] >,
< [ -2, 0, 1 ], [[468, 576]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -1], [-21, 0], [0, 0]], [[0, 0], [12840200/697, -1776597/1394], [834864/85, -38931/85], [2916/3485, 3/6970]], [[0, 0], [636527884/697, 4440002746/697], [54662499/85, 58107759/17], [287872/3485, 1028312/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10440/17, -57/17], [-3405/17, -15/17], [0, 0]], [[0, 0], [-589175819/697, 1292776/697], [-23542014/85, 76431/85], [-1541/3485, 1/3485]], [[0, 0], [2205818381/697, 17609306783/1394], [87398211/85, 351717993/85], [5841/3485, 46079/6970]]], 0, 13440, [], [] >,
< [ -2, 0, 1 ], [[32, 36]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[384, 3/2], [96933/151, 3283/302], [384/151, 3/302], [0, 0]], [[-175, -59395], [-505387/151, -29984077/302], [-175/151, -59395/151], [476/151, -1/302]], [[-16189355, -69143165], [-4623123583/151, -17514663074/151], [-16189355/151, -69143165/151], [553800/151, 63474/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16894/151, 716/151], [-1346/151, 3/151], [0, 0]], [[384, 3/2], [138447834/151, 161237245/151], [-9916287/151, -24802559/302], [384/151, 3/302]], [[-144532, -16790], [-65690221227/151, -66484255347/151], [4777105851/151, 5082581245/151], [-144532/151, -16790/151]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[-14, -28]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1], [7/2, 1], [-3, 1], [0, 0]], [[-1, -5/2], [-1, -5/2], [-28, 35/2], [-4, 5/2]], [[-90, -65], [-90, -65], [-84, -63/2], [-12, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[149/2, -1], [197/2, -9], [-3, 1], [0, 0]], [[-319, -91], [-10607/17, -1601/17], [-3696/17, -77/34], [-48/17, -1/34]], [[148001, 320283/2], [3662977/17, 10045395/34], [817740/17, 1640023/17], [10620/17, 21299/17]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[-28, -56]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [60, -33/2], [0, -5/2]], [[0, 0], [0, 0], [-356, 16], [8, 17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53, -39], [-24, -20], [0, 0]], [[0, 0], [8654/17, 541/17], [-3220/17, 161/34], [-48/17, -1/34]], [[0, 0], [365332/17, -282223/17], [-155938/17, 118141/17], [-2204/17, 1682/17]]], 0, 144, [], [] >,
< [ -2, 0, 1 ], [[-56, -14]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-929, 1/2], [-1074670/151, 1195/302], [-929/151, 1/302], [0, 0]], [[-13010685/2, 639105], [-15050641543/302, 739452544/151], [-13010685/302, 639105/151], [686/151, 3/302]], [[-1560825963, 3286695894], [-1805688421795/151, 7604080218999/302], [-1560825963/151, 3286695894/151], [96918/151, -673413/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1313, -1], [1252249/151, -1799/151], [-1313/151, -1/151], [0, 0]], [[4484980, -9564393/2], [-4297271405/151, 9140690507/302], [4482656/151, -9564389/302], [-2, 0]], [[-2292166881/2, 1238854483/2], [1095647907079/151, -593144316973/151], [-2292023773/302, 619182056/151], [18487/302, -63707/302]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[104, 68]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 12], [20, 12], [0, 0]], [[-4, -3/2], [-271, -421/2], [-185, -275/2], [-4, -3/2]], [[80, -55], [-1006, 855], [-327, 327], [80, -55]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -6], [-4, -1], [0, 0]], [[-4, -1/2], [-437, -213/2], [-30, -25/2], [-4, -1/2]], [[0, -15/2], [-207, -1635/2], [-35, -109/2], [0, -15/2]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[52, 34]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -16], [-15, -9], [0, 0]], [[1/2, 3/2], [577/2, 263], [1147/2, 400], [1/2, 3/2]], [[-3/2, 1], [-169/2, 105/2], [-3/2, -23/2], [-3/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -15], [-38, -27], [0, 0]], [[1, -5/2], [-62, 21/2], [-25, -17/2], [1, -5/2]], [[15/2, -75/2], [-1875/2, 64], [-839/2, -174], [15/2, -75/2]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[-56, -14]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1126, -3/2], [63713/151, -6605/302], [-1126/151, -3/302], [0, 0]], [[-14617011/2, 12182407/2], [450962303/151, -733390749/302], [-14620141/302, 6091197/151], [847/302, 1/151]], [[-2795009975/2, 595945525/2], [80652682167/151, -42569906535/302], [-2794010925/302, 298451650/151], [-269425/302, -129350/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[115, 5/2], [25836/151, -4897/302], [115/151, 5/302], [0, 0]], [[-23941/2, 17543], [-6892397/302, 4267237/151], [-21709/302, 17541/151], [-279/151, 1/302]], [[12614089, 7065835/2], [2757125955/151, 561053267/151], [13261653/151, 8309343/302], [-161891/151, -310877/302]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[54, 24]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[400, -3/2], [-1659/17, 30/17], [400/17, -3/34], [0, 0]], [[2368069/2, 239841], [-398761259/1394, -37889830/697], [11963241/170, 2398731/170], [3523/6970, 1/1394]], [[303567308, 792667783/2], [-49579289649/697, -132820907209/1394], [1526020323/85, 800248585/34], [233306/3485, 1086023/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-195, -3/2], [1027/17, -55/17], [-195/17, -3/34], [0, 0]], [[-11541, -4479/2], [395909/697, 675213/1394], [3180/17, -4409/34], [422/697, 1/1394]], [[1350843/2, 1627217/2], [-113057175/1394, -73401475/1394], [1748209/170, -645392/85], [-142861/6970, -135033/3485]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[-108, -48]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[920, 5/2], [-4375/17, 154/17], [920/17, 5/34], [0, 0]], [[-2752325, -1129381/2], [12843099/17, 2189613/17], [-13763257/85, -5646769/170], [2/5, 0]], [[-1728763165, -2251457515], [303259360328/697, 849822528723/1394], [-8644234631/85, -11258493947/85], [445146/3485, 2097981/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[422, 1/2], [-1861/17, 58/17], [422/17, 1/34], [0, 0]], [[695640, -1496], [-125973705/697, 8678783/1394], [3480498/85, -7574/85], [-1963/3485, -3/6970]], [[82386216, 190182740], [-12692673540/697, -33953634916/697], [412154496/85, 951531304/85], [-235614/3485, -537354/3485]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-54, -24]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[270, -5/2], [-1371/17, 67/17], [270/17, -5/34], [0, 0]], [[-155404, -39111/2], [34083773/697, 5596741/1394], [-767729/85, -195701/170], [-1816/3485, -1/6970]], [[-32246307, -99680561/2], [725338189/82, 1263057033/82], [-9415263/5, -14493193/5], [-476151/6970, -221025/1394]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[195, 3/2], [-41/17, 106/17], [195/17, 3/34], [0, 0]], [[-21357, 4893/2], [-86473236/4879, -6681057/9758], [-733972/595, 171461/1190], [2769/24395, -1/9758]], [[-985744, -7819465/2], [-18231356615/9758, -34057482675/9758], [-33237747/595, -26843113/119], [499097/48790, 1070763/48790]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[-54, -24]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, -1/2], [11, 8], [-9, -1/2], [0, 0]], [[-9, 10], [-3/2, 0], [12, 10], [1/6, 0]], [[-70, 105/2], [-36/7, 39/14], [2, 27/2], [4/7, -13/42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [-15, -2], [7, 7/2], [0, 0]], [[0, 0], [-34/7, -44/7], [-58/7, -46/7], [1/21, 1/21]], [[0, 0], [-269/14, 97/14], [-73/7, -13/7], [5/42, -1/42]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[-54, -24]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2242, 1/2], [565492/151, 1799/302], [2242/151, 1/302], [0, 0]], [[-1419, -3191/2], [-738367/302, -405171/151], [-1598/151, -1600/151], [1175/302, 2/151]], [[2152494, 2183633/2], [547850543/151, 565346355/302], [2182992/151, 2404157/302], [-84456/151, -360111/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1986, 1/2], [4883035/151, -5751/302], [-1986/151, 1/302], [0, 0]], [[-1600477, 388077/2], [55159281371/2114, -6697870547/2114], [-11197063/1057, 1355362/1057], [-2915/2114, 1/2114]], [[2109822, 62990895], [-35930290260/1057, -1085409164652/1057], [14935272/1057, 440713284/1057], [16269/1057, 59334/1057]]], 1, 60, [], [] >,
< [ -2, 0, 1 ], [[-66, -62]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, -10], [-4, -11], [-12, -10], [0, 0]], [[-1488, -34], [134144564/1433, -125255/2866], [-848617/2, -35], [-121221/48722, -1/48722]], [[2366319/2, -2418527/2], [-111865715368/1433, 223244163279/2866], [706902459/2, -1411496539/4], [100992705/48722, -201640725/97444]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, -7/2], [-53, -19/2], [7, -7/2], [0, 0]], [[258, 27/2], [9031824985/10031, 909106/10031], [-145447/14, 111/7], [169359/341054, 1/170527]], [[787311/2, -162338], [2064758998272/1433, -1839391115265/2866], [-16649369, 29729453/4], [19360052/24361, -34497965/97444]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[-116, -8]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -2], [-12, -3], [0, 0]], [[0, 0], [-6866932/1433, -221585/2866], [-22633/2, -109/2], [-22025/48722, -2/24361]], [[0, 0], [-61050192/1433, 128554359/1433], [-105444, 426141/2], [-104538/24361, 415663/48722]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 30], [-16, -11], [0, 0]], [[0, 0], [7003070/10031, 1507808/10031], [-436/7, -1079/14], [-292/170527, 1/341054]], [[0, 0], [42382902/10031, -62224189/20062], [6067/14, -2011/7], [-5269/341054, 3805/341054]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[-58, -4]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -4], [-3, 8], [5, -4], [0, 0]], [[-4048, 55], [-114600073/3554, -1996089/3554], [14480, 57], [3265/3554, 1/3554]], [[-16025, -72563/2], [-517775117/3554, -1042079617/3554], [185701/3, 261697/2], [41231/10662, 88363/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 8], [-5, 25], [-3, 8], [0, 0]], [[12, 13/2], [880621736/12439, 692759/24878], [-93724/7, 149/42], [-21158/37317, 5/74634]], [[17992, 12072], [1746144421073/24878, 827019843873/24878], [-92862614/7, -43948446/7], [-13977639/24878, -6616233/24878]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[-30, -46]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5669, 3/2], [10201702/151, 6907/302], [5669/151, 3/302], [0, 0]], [[1342305961, -319538731], [4830948724343/302, -574850320575/151], [1342305913/151, -639077465/302], [315/302, 3/302]], [[-1173529560906, 684369732447/2], [-2111745165095946/151, 1231251696016049/302], [-1173529520306/151, 684369729927/302], [-133580/151, 7040/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4612, 3/2], [79285863/151, 50395/302], [4612/151, 3/302], [0, 0]], [[-3591018351, 94686247/2], [-61733947847412/151, 1628688926969/302], [-3591018049/151, 94685341/302], [-1, 0]], [[-15839908357804, 2088939887941/2], [-3812303495550911055/2114, 251408119553289947/2114], [-110879347716478/1057, 7311275147936/1057], [-9311835/2114, 492105/2114]]], 1, 108, [], [] >,
< [ -2, 0, 1 ], [[-60, -92]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [443, -3], [-8, -2], [0, 0]], [[0, 0], [-4, 0], [-2, 0], [1, 0]], [[0, 0], [824, 4532], [-57, -86], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, -149], [-5, -10], [0, 0]], [[0, 0], [1091/7, 4653/7], [108/7, 300/7], [-5/7, -3/7]], [[0, 0], [-51, 17], [-3, 1], [0, 0]]], 0, 432, [], [] >,
< [ -2, 0, 1 ], [[-30, -46]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-595, 0], [-32, -22], [0, 0]], [[-1/2, 1/2], [762169/2, -523769/2], [2247/2, 15/2], [-1/2, 1/2]], [[0, 0], [2980, -1341], [61, 38], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [543, 190], [13, 12], [0, 0]], [[11/2, 1/2], [101463/14, -186001/14], [-5447/14, -121/14], [11/14, 1/14]], [[39/2, 57/2], [-1576073/14, 9173/14], [-15681/14, -27351/14], [39/14, 57/14]]], 1, 72, [], [] >,
< [ -2, 0, 1 ], [[-74, -22]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3588, 5/2], [-8619246/151, 12317/302], [-3588/151, 5/302], [0, 0]], [[60278769, -6699001/2], [289609908579/302, -8048883532/151], [60278820/151, -3349500/151], [-335/302, 2/151]], [[-53607116878, 205068410393], [-128795018444714/151, 492627848036118/151], [-53607139740/151, 205068582180/151], [99659/151, -566076/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1057, 0], [79618, 0], [-7, 0], [0, 0]], [[2740107, 969/2], [-435659819779/2114, -38711633/1057], [19185528/1057, -3770/1057], [4773/2114, -1/1057]], [[1322128192, -7575752800], [-210207925588195/2114, 1204496971011769/2114], [9296808889/1057, -106093890635/2114], [2318745/2114, -6598800/1057]]], 1, 144, [], [] >,
< [ -2, 0, 1 ], [[-10, -48]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2754, 5/2], [2459926/151, 539/302], [2754/151, 5/302], [0, 0]], [[-21503512, -139769001/2], [-38214825097/302, -62406946533/151], [-21503475/151, -69884500/151], [-243/302, 1/151]], [[-945116209529, -399257180795], [-843626775113153/151, -355948955442246/151], [-945116062275/151, -399256950400/151], [-450921/151, -746494/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3716, -2], [-22371393/151, 12106/151], [3716/151, -2/151], [0, 0]], [[-1078764, -5882], [90701454717/2114, 247712443/1057], [-7547924/1057, -92627/2114], [-3427/2114, -1/2114]], [[-44803531, -146095703/2], [269082578941/151, 877404239231/302], [-44882683/151, -146089583/302], [-9996/151, -16524/151]]], 1, 144, [], [] >,
< [ -2, 0, 1 ], [[326, 36]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[26842, -5/2], [-351513/151, -4465/302], [26842/151, -5/302], [0, 0]], [[-22986417431, 40564286953/2], [297598707162/151, -263667984567/151], [-22986418932/151, 40564286745/302], [-36/151, -5/302]], [[2737689849848, -6180329822197/2], [-70660485686751/302, 80473366143871/302], [2737690179105/151, -3090164809977/151], [15795/302, 4853/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-66046, -2], [60870377/151, 2442/151], [-66046/151, -2/151], [0, 0]], [[620595479220, -2150640990], [-8007484149329685/2114, 13835377140999/1057], [4344168346659/1057, -30108977811/2114], [1313/2114, 1/2114]], [[-2624593644386175, -1594749497900475/2], [16932542815054928627/1057, 10288783970489256235/2114], [-18372155472167793/1057, -11163246448074981/2114], [-2783652/1057, -855268/1057]]], 1, 3168, [], [] >,
< [ -2, 0, 1 ], [[146, 250]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-28027, 2], [369032/151, 2994/151], [-28027/151, 2/151], [0, 0]], [[24397910165, -31481155759/2], [-317855663547/151, 204627461865/151], [24397937592/151, -31481155657/302], [-279/151, -1/302]], [[-177578797256000, 234221186422979/2], [4625891899919735/302, -1522862317693026/151], [-177578974795012/151, 117110609949361/151], [3612063/302, -170387/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[49551, -1/2], [14528166/151, 919/302], [49551/151, -1/302], [0, 0]], [[-1323204282540, 3835923210], [-5431417569846439/2114, 15518902193187/2114], [-9262430241950/1057, 53702912653/2114], [-4261/2114, 2/1057]], [[-71569848549830400, 6890135032519200], [-293773765348942447855/2114, 14135002751452843184/1057], [-500988954067524427/1057, 96461892459397321/2114], [-230385809/2114, 21736177/2114]]], 1, 3168, [], [] >,
< [ -2, 0, 1 ], [[164, 356]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 14], [13, 12], [0, 0]], [[0, 0], [1437384/1433, 224063/2866], [5487/2, -92], [1487/2866, -5/2866]], [[0, 0], [-36273108/1433, -92506703/2866], [-101049/2, -82023], [-30129/2866, -45375/2866]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 14], [-14, -7], [0, 0]], [[0, 0], [11207442/10031, -390647/10031], [2964/7, 103/14], [-876/10031, 3/20062]], [[0, 0], [-5596182/10031, 9810589/20062], [-2705/14, 2451/14], [827/20062, -370/10031]]], 0, 6912, [], [] >,
< [ -2, 0, 1 ], [[438, 260]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -13/2], [3, -23/2], [-5, -13/2], [0, 0]], [[-934, -527/2], [-2788, -549/2], [-10381, -525/2], [-1, 0]], [[38243/2, 7647/2], [84729716/1433, 1011033/2866], [446397/2, -60375/4], [61911/2866, -11465/5732]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 3/2], [-2, 11/2], [6, 3/2], [0, 0]], [[-116313/2, 9/2], [2013936042/10031, -83498/10031], [-16656/7, 557/28], [29947/10031, 1/40124]], [[11982533, -29865175/2], [-414913120861/10031, 1034189112911/20062], [3502636/7, -8610215/14], [-6168945/10031, 7688830/10031]]], 1, 1152, [], [] >,
< [ -2, 0, 1 ], [[82, 178]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-54, -69/2], [20, 12], [-54, -69/2], [0, 0]], [[-1540, 81/2], [-11404, -17], [612620/3, 235/6], [1/3, 0]], [[90934, 37809], [2452087707/3554, 1063116585/3554], [-37022422/3, -16021235/3], [-71581/3554, -92903/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 45/2], [-32, 118], [-1, 45/2], [0, 0]], [[532, 406], [631303825/24878, 22638215/12439], [-1659536/21, 8546/21], [-11447/24878, 1/37317]], [[-101448, -59340], [59634947425/24878, -62280546044/12439], [-209374276/21, 114420848/7], [-4260503/74634, 3540745/37317]]], 1, 1728, [], [] >,
< [ -2, 0, 1 ], [[246, 44]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-87314, -5/2], [1136441/151, 2179/302], [-87314/151, -5/302], [0, 0]], [[578023, -899305/2], [-6799611/151, 5844355/151], [587222/151, -899329/302], [-325/151, 1/302]], [[-13677901218, 26101587959/2], [277791365823/302, -367542612017/302], [-14178915648/151, 12869029582/151], [35395575/302, 12835155/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20500, 5/2], [-5827860/151, 1747/302], [-20500/151, 5/302], [0, 0]], [[-8622851328, 13574400], [-34319017284283/2114, 27492332759/1057], [-60360063312/1057, 190046733/2114], [1825/2114, 3/2114]], [[-3408308647296, -1227846544512], [-6782410770185686/1057, -2443229900607417/1057], [-23858200957656/1057, -8594939672085/1057], [361519/1057, 131097/1057]]], 1, 1728, [], [] >,
< [ -2, 0, 1 ], [[492, 88]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-520, -4], [443, -3], [0, 0]], [[0, 0], [-4, 0], [-51, 0], [1, 0]], [[0, 0], [14229, 2635], [-12060, -2070], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -12], [194, -4], [0, 0]], [[0, 0], [-51913/7, -45852/7], [730089/7, 251/7], [9/7, 4/7]], [[0, 0], [-1727872/7, -2219985/7], [55055865/7, -17398359/7], [488/7, 87/7]]], 0, 6912, [], [] >,
< [ -2, 0, 1 ], [[246, 44]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [205, -3], [161, 112], [0, 0]], [[5/2, 1], [-4750263/2, 1652576], [-120051/2, -931], [5/2, 1]], [[-151, -27], [245731694, -172458585], [4532523, -1108485], [-151, -27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-274, 40], [-313, 4], [0, 0]], [[19/2, -2], [-2682917/14, 231442/7], [-3046613/14, 62038/7], [19/14, -2/7]], [[507/2, 45], [-73901511/14, -7957521/7], [-93043537/14, -15353799/7], [507/14, 45/7]]], 1, 1152, [], [] >,
< [ -2, 0, 1 ], [[-324, -144]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[303, 1/2], [-3305/17, -13/17], [909/17, 3/34], [0, 0]], [[5140, -2313], [-2807039/697, 1027936/697], [80838/85, -34842/85], [2129/3485, 1/697]], [[0, 0], [1205/697, 4579/697], [-6/85, -33/85], [-1/697, -19/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-606, -1], [-14028/17, -42/17], [-1818/17, -3/17], [0, 0]], [[-1431672, 1141635/2], [-1354887545/697, 1079862289/1394], [-4294275/17, 3424845/34], [422/697, 1/1394]], [[-6738732, 15162147], [-374727594/41, 1688288203/82], [-5946909/5, 13375629/5], [-684/205, -3173/410]]], 0, 1920, [], [] >,
< [ -2, 0, 1 ], [[162, 72]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-260, -2], [2714/17, -101/17], [-780/17, -6/17], [0, 0]], [[-45359/2, 56997], [23884313/1394, -24841928/697], [-628239/170, 1710297/170], [-441/6970, -3/6970]], [[-2619593/2, -13140], [1120279721/1394, -40094285/1394], [-7915107/34, -209889/34], [475/1394, 554/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[43, -3/2], [-319/17, 56/17], [129/17, -9/34], [0, 0]], [[19059/2, -2655], [-8766711/1394, 1259425/697], [563403/170, -79833/170], [-2347/6970, 3/6970]], [[1313104, -18616759/2], [-688834166/697, 4263270905/697], [-46870674/85, -587447583/170], [561353/3485, 260575/697]]], 1, 960, [], [] >,
< [ -2, 0, 1 ], [[-162, -72]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-422, -1/2], [4393/17, 13/17], [-1266/17, -3/34], [0, 0]], [[-207196, -204952], [255849/2, 125727], [-36600, -72333/2], [-1/2, 0]], [[-91971088, -54194096], [78736489677/1394, 46556040049/1394], [-1379754273/85, -1626938601/170], [-267933/6970, -129301/1394]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-151, 5/2], [7173/17, -65/17], [-453/17, 15/34], [0, 0]], [[-5525, 850], [-60383510/4879, -22038561/9758], [-152094/119, 96774/595], [-9336/24395, 1/48790]], [[-169000, -1241875], [-23262338819/9758, -15699014071/4879], [-33003342/595, -346101753/1190], [-1954581/48790, -2248819/24395]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[-162, -72]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, 23/2], [13, 12], [11, 23/2], [0, 0]], [[-660, 570], [-6443/14, 6327/14], [-706, 564], [-23/14, -3/14]], [[-1464, 1524], [-13077/14, 17621/14], [-1638, 1466], [-87/14, -29/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -2], [13, 12], [35, -14], [0, 0]], [[3, -3/2], [-179/7, -411/14], [-33/7, -167/14], [0, 5/14]], [[1, -1/2], [33/14, -31/14], [15/7, -17/14], [-1/14, 1/14]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[-162, -72]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5797, -2], [226536/151, -828/151], [-17391/151, -6/151], [0, 0]], [[-71779083, -286353507/2], [5520625539/302, 5583876583/151], [-215339747/151, -429530234/151], [335/302, -2/151]], [[-89905323291, -63829469347/2], [3503370537987/151, 2466280020083/302], [-269716141373/151, -191489878825/302], [11368/151, 49294/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4868, 5/2], [13043184/151, 12489/302], [14604/151, 15/302], [0, 0]], [[86627016, 21813687], [3249401912361/2114, 818144742239/2114], [1819130524/1057, 916207961/2114], [3683/2114, 1/1057]], [[52586701389, 76088852955], [140884815823036/151, 407727894194895/302], [157763041894/151, 228262635530/151], [49855/151, 437203/302]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[98, 0]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -2], [-7/2, -2], [-7, 0], [0, 0]], [[5, -1], [5, -1], [-14, -7/2], [-2, -1/2]], [[-26, 13/2], [-26, 13/2], [70, 14], [10, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-33/2, 0], [-53/2, 10], [35, -35], [0, 0]], [[587, 532], [2991/17, 8316/17], [15358/17, 5551/34], [-20/17, 1/34]], [[-43827/2, -39913/2], [-217623/34, -627061/34], [-579033/17, -100975/17], [756/17, -24/17]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[196, 0]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [21, -77/2], [-3, -1/2]], [[0, 0], [0, 0], [-189, -147/2], [-15, -25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 8], [28, 21], [0, 0]], [[0, 0], [-15033/17, 185/17], [6699/17, 385/34], [87/17, 5/34]], [[0, 0], [93747/17, -19203/17], [-41118/17, 6853/17], [-534/17, 89/17]]], 0, 1152, [], [] >,
< [ -2, 0, 1 ], [[0, 98]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[46, -1], [85810/151, 846/151], [322/151, -7/151], [0, 0]], [[-48233/2, 28235/2], [-90870165/302, 49802965/302], [-352583/302, 196707/302], [-942/151, -5/302]], [[4710010, -9448873/2], [52942814, -60160768], [211376, -464371/2], [-103247/151, -488979/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-604, 0], [1364, -5], [-28, 0], [0, 0]], [[-4042613/2, 165835/2], [689315433/151, -61599681/302], [-28302287/302, 579944/151], [335/302, -2/151]], [[26406075, 143746599/2], [-8822385027/151, -48940229369/302], [184909221/151, 1006386255/302], [-2541/151, -6034/151]]], 1, 384, [], [] >,
< [ -2, 0, 1 ], [[0, 98]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-985/2, -5/2], [1920963/302, 2417/151], [-6895/302, -35/302], [0, 0]], [[13093/2, 38445/2], [-25992943/302, -74902039/302], [93117/302, 269291/302], [-187/151, 5/302]], [[-254838, -269742], [499512081/151, 1053241643/302], [-1793799/151, -1892583/151], [2310/151, 1617/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-82, 3/2], [-12017/151, -2085/302], [-574/151, 21/302], [0, 0]], [[-161218, -129314], [-28271446/151, -21516253/151], [-1133242/151, -904040/151], [394/151, 2/151]], [[-582546945/2, -214475955], [-50116444930/151, -36285657523/151], [-4086680127/302, -3003927021/302], [903175/302, 165549/151]]], 1, 384, [], [] >,
< [ -2, 0, 1 ], [[-294, -98]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-302, 0], [-3771, 3], [-14, 0], [0, 0]], [[-13335735, 287623/2], [-25144138789/151, 582325837/302], [-93351157/151, 2016425/302], [-512/151, -2/151]], [[-1869126574, 16064299090], [-7144687737191/302, 60582103961323/302], [-13087688731/151, 224902972813/302], [-107319/302, 615899/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[709, 1], [1429928/151, 2325/151], [4963/151, 7/151], [0, 0]], [[23569325, 3248875/2], [47535623226/151, 6572882461/302], [164984565/151, 22744283/302], [-361/151, -2/151]], [[-3950784750, -196090616425/2], [-16107201503021/302, -395475583716663/302], [-27664822052/151, -686313741890/151], [-262283/302, 3022173/302]]], 1, 2016, [], [] >,
< [ -2, 0, 1 ], [[-294, -98]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-627, 1/2], [-1266911/151, 2325/302], [-4389/151, 7/302], [0, 0]], [[-7861060, 786106], [-31768261557/302, 3180616419/302], [-55026461/151, 11002593/302], [965/302, 1/151]], [[-880269525, 3052488643], [-3560278551175/302, 6167953239407/151], [-6160740627/151, 42734001713/302], [32253/302, -371265/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[384, 3/2], [778342/151, 6371/302], [2688/151, 21/302], [0, 0]], [[2385175, -238550], [4835113856/151, -965227167/302], [16695866/151, -1669294/151], [-187/151, -5/302]], [[-793529100, 2560076025], [-3213118278221/302, 5189548901395/151], [-5553480324/151, 35840168455/302], [34419/302, -396319/302]]], 1, 2016, [], [] >,
< [ -2, 0, 1 ], [[-294, -98]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[755, 0], [-490, -14], [35, 0], [0, 0]], [[402415, -160966], [-77058641/302, 29297489/302], [2816354/151, -2255163/302], [-545/302, -1/151]], [[-105220063, 61855183/2], [10136556337/151, -5473553305/302], [-736311545/151, 433513257/302], [80224/151, 11408/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-696, -2], [62279/151, 182/151], [-4872/151, -14/151], [0, 0]], [[-82, 3/2], [56518/151, 2779/302], [-770/151, -539/302], [-92/151, -2/151]], [[-891, -108], [1243651/302, 100965/151], [-9229/151, -8227/302], [-2023/302, -323/302]]], 1, 2016, [], [] >,
< [ -2, 0, 1 ], [[-88, -50]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[640, 5/2], [19313/151, -1575/302], [640/151, 5/302], [0, 0]], [[43112, -36074], [1217514/151, -2296605/302], [44905/151, -36064/151], [233/151, 3/302]], [[16981687/2, -7360647/2], [291198305/151, -172861843/302], [16489221/302, -4037453/151], [-64155/302, -46436/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4868, 5/2], [159139/151, 5975/302], [4868/151, 5/302], [0, 0]], [[-442879261/2, 287894041], [-6895364050/151, 18558274451/302], [-442880977/302, 575788045/302], [-223/302, -5/302]], [[269223861088, -20164488816], [8776850346176/151, -498572586223/151], [269223485076/151, -20165033308/151], [-48984/151, -70798/151]]], 1, 56, [], [] >,
< [ -2, 0, 1 ], [[126, 56]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1474, 5/2], [-429157/151, 1445/302], [-1474/151, 5/302], [0, 0]], [[6714329, -4113/2], [3909899219/302, -573359/151], [6714370/151, -2055/151], [-269/302, -2/151]], [[-730666977, -7196584905/2], [-425537688533/302, -1047684593570/151], [-730673060/151, -3598314590/151], [33649/302, 72303/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1185, -1/2], [-340351/151, 6053/302], [-1185/151, -1/302], [0, 0]], [[-240005, 363469], [-70684670/151, 105038490/151], [-240097/151, 363467/151], [2, 0]], [[-2127736, 1001559/2], [-1227902297/302, 297821483/302], [-2127658/151, 501072/151], [-429/302, -1911/302]]], 1, 336, [], [] >,
< [ -2, 0, 1 ], [[-50, -44]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [114, -17], [15, -5], [0, 0]], [[-3, -3/2], [-23187, -10899/2], [-2597, -141/2], [0, -3/2]], [[-67/2, -59/2], [-308823/2, -211536], [-16241/2, -44507/2], [-51/2, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [329, 35], [12, 10], [0, 0]], [[-3/2, -1], [480533/2, -419161/2], [-7967/2, 179/2], [-3/2, -1]], [[0, 0], [-34215, 24432], [275, -178], [0, 0]]], 1, 84, [], [] >,
< [ -2, 0, 1 ], [[-76, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-910, -49], [-5, 11], [0, 0]], [[3, -2], [615815, 1119564], [-23670, -25], [3, -2]], [[-23, -7/2], [-177447339, -255181563/2], [1965485, 2676205/2], [-23, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-197, -23], [-7, -7], [0, 0]], [[-3, -1/2], [13935, -32343/2], [-665, -1/2], [-3, -1/2]], [[40, 6], [-194760, 220455], [8930, -150], [40, 6]]], 0, 168, [], [] >,
< [ -2, 0, 1 ], [[-50, -44]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [236, -18], [-3, -6], [0, 0]], [[-3, -2], [3436, -5466], [238, 5], [-1, -1]], [[17/2, 15/2], [150235/2, -43225], [2019/2, -2557/2], [13/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-121, 10], [-8, 5], [0, 0]], [[9/2, 5/2], [176383/2, 103649/2], [3075/2, -77], [1/2, 2]], [[-57, -50], [-1177664, -982559], [350, -16307], [-43, -7]]], 1, 84, [], [] >,
< [ -2, 0, 1 ], [[-76, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-238, 84], [25, -20], [0, 0]], [[1, -5/2], [10509, 21009/2], [667, 19/2], [1, -5/2]], [[5, 1/2], [-30863, -37787/2], [-461, -1533/2], [5, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [152, 3], [18, 1], [0, 0]], [[2, 3/2], [26835, -2071/2], [3186, 7/2], [2, 3/2]], [[0, 0], [-2073, 1594], [-232, 180], [0, 0]]], 0, 168, [], [] >,
< [ -2, 0, 1 ], [[-38, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, 1/2], [-70, -35], [9, 1/2], [0, 0]], [[3097, -4055/2], [-8546, 8355/2], [3117, -4059/2], [-5, 1/2]], [[189618, -114098], [-587569, 185959], [191346, -113826], [-432, -68]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25, -5/2], [-18, 41], [25, -5/2], [0, 0]], [[-1106, 2499/2], [4462, -4545/2], [-1102, 2487/2], [-1, 3/2]], [[62513, 27/2], [-24445, 201549/2], [62165, -81/2], [87, 27/2]]], 1, 42, [], [] >,
< [ -2, 0, 1 ], [[-38, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-34, -3/2], [51, -10], [-34, -3/2], [0, 0]], [[281, -421/2], [-647, 825/2], [261, -425/2], [5, 1/2]], [[-2219, 3361/2], [5186, -3242], [-2043, 3417/2], [-44, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25, -5/2], [-46, 34], [25, -5/2], [0, 0]], [[-85, 1301/2], [1655, -2145/2], [-93, 1313/2], [2, -3/2]], [[37, 25], [3, 6], [37, 25], [0, 0]]], 1, 42, [], [] >,
< [ -2, 0, 1 ], [[126, 56]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5354, 3/2], [1503063/151, -643/302], [5354/151, 3/302], [0, 0]], [[-23250431249, 396514205], [-13054708481359/302, 114540869236/151], [-23250432379/151, 793028435/302], [-525/302, 5/302]], [[-93003883929789, -52244589115603/2], [-52204673362916569/302, -7320581278926345/151], [-93003888466042/151, -26122295854738/151], [-2109477/302, -302911/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4159, -3/2], [1200592/151, -2075/302], [4159/151, -3/302], [0, 0]], [[-5057, 2235], [-3481043/302, 644310/151], [-4633/151, 4473/302], [197/302, 1/302]], [[658416, -279121/2], [477786873/302, -52681489/302], [584646/151, -160658/151], [-34305/302, -9855/302]]], 1, 252, [], [] >,
< [ -2, 0, 1 ], [[126, 56]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4205, 1/2], [-1219775/151, 1195/302], [-4205/151, 1/302], [0, 0]], [[-240643377, -48132035/2], [-139599742167/302, -6955111443/151], [-240644154/151, -24066012/151], [-361/302, 1/151]], [[-4415140677150, -3269016035083/2], [-2560756125986367/302, -947315857230795/302], [-4415154091150/151, -1634511852710/151], [-6237863/302, -1791475/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[69, 3/2], [-2105/151, -643/302], [69/151, 3/302], [0, 0]], [[72643, -4965/2], [-1427555/302, -418897/302], [74565/151, -2479/151], [893/302, 3/302]], [[319948547, 163228715/2], [-7481975651/302, -1852267043/151], [328590488/151, 84084468/151], [4018729/302, 576917/151]]], 1, 252, [], [] >,
< [ -2, 0, 1 ], [[228, 36]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, 2], [-7, 0], [0, 0]], [[0, 0], [-61490961/697, 12024731/1394], [-945422/85, 52482/85], [2513/3485, 1/6970]], [[0, 0], [66852664304/697, 23575582357/697], [1067755836/85, 409817156/85], [-2977962/3485, -251040/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-992/17, 137/17], [-49/17, 28/17], [0, 0]], [[0, 0], [-3577726/697, -81739/1394], [-3424/85, 208/85], [532/697, 3/6970]], [[0, 0], [64205059/697, -552438257/1394], [99714/85, -269222/85], [-52209/3485, 411871/6970]]], 0, 1344, [], [] >,
< [ -2, 0, 1 ], [[-150, -132]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-141/2, -1], [-1310/17, 227/34], [-141/34, -1/17], [0, 0]], [[-167/2, 1301], [-2669532/697, 1047368/697], [-7289/170, 6522/85], [-972/3485, 1/6970]], [[169625/2, 104236], [-146110028/697, -7788591/697], [63763/34, 408863/85], [-80042/3485, -68423/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[335/2, -1], [3008/17, 125/34], [335/34, -1/17], [0, 0]], [[274611, -137601/2], [198368565/697, -90504901/1394], [1375306/85, -688043/170], [678/3485, -1/1394]], [[-260631489/2, -28701392], [-96407102334/697, -46824082041/1394], [-261170153/34, -28814120/17], [-81452/697, -34342/697]]], 1, 224, [], [] >,
< [ -2, 0, 1 ], [[684, 108]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1708/17, -7/17], [258/17, -9/17], [0, 0]], [[0, 0], [2030610/697, 41651/697], [149259/85, -3924/85], [1944/3485, -1/3485]], [[0, 0], [85100552/697, 74978433/1394], [1201956/17, 2468172/85], [80042/3485, 68423/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164/17, 69/17], [291/17, -6/17], [0, 0]], [[0, 0], [12946053/697, 7611747/1394], [1417623/85, 39315/17], [4751/3485, 3/6970]], [[0, 0], [169080702989/697, 96878293453/697], [3314980092/17, 1660613655/17], [9951571/697, 4188926/697]]], 0, 13440, [], [] >,
< [ -2, 0, 1 ], [[-450, -396]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-573/2, 1], [5562/17, -1293/34], [-1719/34, 3/17], [0, 0]], [[91908, -184230], [-103213914/697, 309540985/1394], [1376913/85, -2763378/85], [-972/3485, 1/6970]], [[15966600, 36661770], [-6861492388/697, -28038243499/697], [239913828/85, 550089666/85], [244812/3485, 103086/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-65, -1/2], [1163/17, -208/17], [-195/17, -3/34], [0, 0]], [[228445/2, -128527], [-124168743/697, 220374047/1394], [3411471/170, -385518/17], [-4329/3485, -1/3485]], [[-128462950, 1739388343], [677845651640/697, -2504080127379/1394], [-1768244109/85, 5230656363/17], [93659922/3485, 78936201/6970]]], 1, 2240, [], [] >,
< [ -2, 0, 1 ], [[-98, -196]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[187, 5/2], [-12789/151, -11025/302], [1309/151, 35/302], [0, 0]], [[-564453, -701805], [78280185/151, 127179935/302], [-3950820/151, -4913158/151], [174/151, -1/302]], [[-3588498, -6118005], [1184643447/302, 1032563165/302], [-25114563/151, -85663353/302], [3429/302, -249/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-942, -5/2], [89950/151, -5887/302], [-6594/151, -35/302], [0, 0]], [[15130700, 11340680], [-2737867423/302, -1031989661/151], [105915810/151, 158766769/302], [919/302, 3/302]], [[901002336, 696676188], [-162762266443/302, -126975120245/302], [6307117567/151, 9753234891/302], [70399/302, -5136/151]]], 1, 2016, [], [] >,
< [ -2, 0, 1 ], [[-98, -196]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[197, 1], [337980/151, 1419/151], [1379/151, 7/151], [0, 0]], [[23648406, -234037], [81145708533/302, -874272283/302], [165538993/151, -3276065/302], [1/2, 0]], [[-12669985251, -13080566961/2], [-43434868043343/302, -11201691275017/151], [-88690106210/151, -45782149548/151], [-81743/302, -21285/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[361, -2], [746460/151, -3442/151], [2527/151, -14/151], [0, 0]], [[7159229, -530285/2], [14802942174/151, -1068998771/302], [50114105/151, -3713461/302], [-243/151, -2/151]], [[-159566190, -79639651], [-660519301965/302, -329973796627/302], [-1116934223/151, -1114909205/302], [11359/302, 2958/151]]], 1, 2016, [], [] >,
< [ -2, 0, 1 ], [[-98, -196]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[673, 3/2], [1405722/151, 7579/302], [4711/151, 21/302], [0, 0]], [[875408590, -14898225], [3656929168631/302, -60529313651/302], [6127859179/151, -208577975/302], [-939/302, -2/151]], [[-13784792719800, -7041798510850], [-57612936046744623/302, -14721871084183665/151], [-96493510299272/151, -98585118049193/302], [15118495/302, 7873611/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[417, 5/2], [861409/151, 9511/302], [2919/151, 35/302], [0, 0]], [[18287784, 312646], [75555940059/302, 627923099/151], [128014786/151, 4377917/302], [289/302, 3/302]], [[-25918604052, -13576170870], [-53515568107591/151, -28019996195935/151], [-181431270684/151, -95034018130/151], [-203400/151, -105920/151]]], 1, 2016, [], [] >,
< [ -2, 0, 1 ], [[0, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 4], [8, -1], [0, 0]], [[-4, -1/2], [-237, -439/2], [-53, -137/2], [-4, -1/2]], [[8, -4], [-16, 198], [-52, 88], [8, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 10], [2, 2], [0, 0]], [[-5, -5/2], [18, -17/2], [-2, -5/2], [-5, -5/2]], [[-2, 3], [68, -49], [4, -2], [-2, 3]]], 0, 4, [], [] >,
< [ -2, 0, 1 ], [[0, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -8], [2, 0], [0, 0]], [[1/2, 2], [55/2, 9/2], [31/2, -25/2], [1/2, 2]], [[-9/2, 9], [237/2, -51/2], [237/2, -175/2], [-9/2, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 2], [2, 5], [0, 0]], [[1/2, 3/2], [-19/2, -10], [137/2, 43], [1/2, 3/2]], [[-1/2, 1/2], [-1/2, 0], [3/2, -1], [-1/2, 1/2]]], 2, 2, [], [] >,
< [ -2, 0, 1 ], [[0, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [0, 4], [0, 0]], [[0, 0], [-1, 1], [1, 0], [1, 0]], [[0, 0], [8, 6], [4, 3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 12], [-8, 2], [0, 0]], [[0, 0], [-1, -1], [1, 0], [1, 0]], [[0, 0], [-8, 6], [-4, 3], [0, 0]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[-32, -48]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-185549/151, -1424/151], [683/151, 5/151], [0, 0]], [[0, 0], [-613211969/151, -201282939/151], [2257420/151, 740116/151], [-801/151, -1/151]], [[0, 0], [574347565647/151, 661866301683/151], [-2112640600/151, -2436279160/151], [234807/151, 788417/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4862/151, 237/151], [-374/151, 5/151], [0, 0]], [[0, 0], [187654/151, -7088/151], [-903/151, 522/151], [-893/151, -3/151]], [[0, 0], [-5654284/151, -25336525/151], [-106030/151, 102187/151], [36938/151, 122056/151]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[-24, -8]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-441/151, 1182/151], [-59/151, 2/151], [0, 0]], [[0, 0], [-65201/151, -8389/302], [288/151, 282/151], [371/151, 3/302]], [[0, 0], [-3828913/151, -685074/151], [20490/151, 18270/151], [21483/151, 2604/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11494/151, -414/151], [768/151, -3/151], [0, 0]], [[0, 0], [-478177/151, 178057/302], [38862/151, -7493/151], [627/151, 1/302]], [[0, 0], [12945158/151, -2155973/151], [-1051814/151, 182245/151], [-17112/151, -372/151]]], 0, 20, [], [] >,
< [ -2, 0, 1 ], [[-4, -6]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-847, -2], [50573/151, -880/151], [-847/151, -2/151], [0, 0]], [[504995, 271501/2], [-59664165/302, -7509998/151], [504990/151, 135750/151], [-33/302, -2/151]], [[-187337, -4072], [22351829/302, 22365/151], [-187335/151, -8145/302], [13/302, -3/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[522, 3/2], [-24151/151, -397/151], [522/151, 3/302], [-115/151, -5/302]], [[-1100, -9075/2], [56580/151, 421183/302], [-1100/151, -9075/302], [280/151, 1004/151]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[-8, -12]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11959/151, 690/151], [-223/151, 5/151], [0, 0]], [[-73/2, 0], [-3821442/151, -7103477/302], [122567/302, 122181/302], [-105/302, 1/302]], [[990, 3357], [756963802/151, 447795960/151], [-12899318/151, -7293267/151], [1332/151, 4815/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21563/151, -518/151], [381/151, 5/151], [0, 0]], [[-683/2, -5/2], [-47617/151, 616/151], [-747/302, -361/151], [-683/302, -5/302]], [[7/2, 5], [504/151, 720/151], [27/302, 17/302], [7/302, 5/151]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[-48, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 14], [-6, 1], [0, 0]], [[0, 0], [5, 0], [1, 0], [1, 0]], [[0, 0], [424, 286], [-80, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82, 10], [10, 3], [0, 0]], [[0, 0], [-9, 0], [1, 0], [1, 0]], [[0, 0], [228, 214], [36, 30], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-48, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -14], [10, 0], [0, 0]], [[0, 0], [5, 0], [1, 0], [1, 0]], [[0, 0], [-48, -44], [6, 9], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 2], [0, -1], [0, 0]], [[0, 0], [-9, 0], [1, 0], [1, 0]], [[0, 0], [-4, -6], [0, 0], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-24, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 33], [-2, 5], [0, 0]], [[0, -3/2], [128, 491/2], [0, 61/2], [0, -3/2]], [[1, 0], [-183, -48], [-23, 0], [1, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -18], [10, -1], [0, 0]], [[5, 5/2], [-4821, 5211/2], [971, -1237/2], [5, 5/2]], [[-2, -1], [1610, -867], [-324, 206], [-2, -1]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[-12, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -12], [-4, -1], [0, 0]], [[3/2, -1/2], [-465/2, -523/2], [-51/2, -59/2], [3/2, -1/2]], [[1, -1], [269, 70], [31, 7], [1, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 1], [10, -2], [0, 0]], [[0, -1/2], [164, -613/2], [104, -233/2], [0, -1/2]], [[-5/2, -3/2], [-1783/2, -873/2], [-463/2, -153/2], [-5/2, -3/2]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[-24, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 4], [2, -5], [0, 0]], [[5, 2], [-183, -12], [9, -26], [5, 2]], [[-11, 11/2], [783, -987/2], [-198, 297/2], [-11, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -6], [-10, 3], [0, 0]], [[-4, 3/2], [-838, -1833/2], [119, 315/2], [-4, 3/2]], [[-1, -1/2], [-997, -1465/2], [158, 237/2], [-1, -1/2]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[-16, -4]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9229/151, -1018/151], [289/151, -3/151], [0, 0]], [[-146, 0], [-40077/151, 162694/151], [1387/151, 5245/151], [210/151, 2/151]], [[5/2, -7/2], [725/151, -2093/302], [-7/302, 5/151], [-7/302, 5/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32894/151, 552/151], [1024/151, 4/151], [0, 0]], [[325, -1/2], [57245/151, -9579/151], [777/151, 45/302], [325/151, -1/302]], [[-9765/2, 34335/2], [-1862268/151, 3164917/151], [-18343/302, 40692/151], [-9765/302, 34335/302]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[-64, -16]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18090/151, -1273/151], [72/151, 5/151], [0, 0]], [[0, 0], [-13737/151, -2283212/151], [-2486/151, -9262/151], [545/151, -2/151]], [[0, 0], [-470923354/151, 68251290/151], [-1836175/151, 26015/151], [-17043/151, 56316/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17522/151, 919/151], [-1162/151, -1/151], [0, 0]], [[0, 0], [3939356/151, -1702579/151], [-280389/151, 127332/151], [-3, 0]], [[0, 0], [35253444/151, -39561076/151], [-2630426/151, 2818402/151], [-194/151, 4462/151]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[-8, -2]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[535, 3/2], [16148/151, 1471/302], [535/151, 3/302], [0, 0]], [[3766007, 782033/2], [229443679/302, 16658626/151], [3766140/151, 391020/151], [-873/302, -2/151]], [[22788733, -475014791/2], [152243865/302, -7142159108/151], [22790880/151, -237515985/151], [-16563/302, 28376/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-407, -1], [31565/151, -125/302], [-407/151, -1/151], [174/151, -1/302]], [[30065, -215609/2], [-2405940/151, 16742633/302], [30065/151, -215609/302], [-13345/151, 46158/151]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[-8, -16]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2597/151, 1445/151], [223/151, 5/151], [0, 0]], [[0, 0], [158470/151, -23830/151], [-412/151, 1775/151], [-860/151, -1/151]], [[0, 0], [62353294/151, -34577823/302], [-341280/151, 692040/151], [-324754/151, 89193/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6928/151, -492/151], [-440/151, 3/151], [0, 0]], [[0, 0], [-18141049/151, -12058063/302], [1212674/151, 461164/151], [23/151, -1/302]], [[0, 0], [1052589699/151, 234718734/151], [-69415440/151, -19378477/151], [-1467/151, 219/151]]], 0, 20, [], [] >,
< [ -2, 0, 1 ], [[112, 0]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -2], [-8, 10], [0, 0]], [[0, 0], [0, 0], [1, 0], [1, 0]], [[0, 0], [8, 10], [-30, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 14], [-10, 0], [0, 0]], [[0, 0], [-18334/17, -1064/17], [464/17, -100/17], [78/17, 4/17]], [[0, 0], [35396/17, 64356/17], [-31/17, -1437/17], [-147/17, -273/17]]], 0, 288, [], [] >,
< [ -2, 0, 1 ], [[0, 14]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23, -1/2], [8761/151, 3939/302], [23/151, -1/302], [0, 0]], [[-7113, 4445], [-1752449/151, 1042099/151], [-7113/151, 4445/151], [1267/151, 2/151]], [[38348612, -34067761], [8760101447/151, -17074768171/302], [38348612/151, -34067761/151], [3466995/151, 16448179/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[69, -3/2], [4086/151, 1247/302], [69/151, -3/302], [0, 0]], [[-11009, 7341/2], [-1392621/302, 207637/302], [-11025/151, 3670/151], [105/302, 1/302]], [[118756, -781471/2], [-6032203/302, -53678329/302], [118450/151, -391400/151], [1821/302, 4323/302]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[56, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [106310/151, 5147/151], [348/151, -1/151], [0, 0]], [[0, 0], [191217878/151, -191217785/151], [694547/151, -661369/151], [1, 0]], [[0, 0], [-1205826369/151, 3253952645/302], [-4525980/151, 5554185/151], [-1617/151, -665/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [103121/151, -1234/151], [361/151, 2/151], [0, 0]], [[0, 0], [-113058792/151, 326894495/302], [-376272/151, 565488/151], [640/151, 5/302]], [[0, 0], [28141167050/151, -86731876812/151], [88144848/151, -301977720/151], [-396952/151, -83520/151]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[-8, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 0], [-4, -2], [0, 0]], [[2, -2], [-56, 3], [-6, -7], [2, -2]], [[-1, 3/2], [61, 29/2], [11, 19/2], [-1, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -12], [0, 3], [0, 0]], [[-3, 1], [-291, -211], [19, 24], [-3, 1]], [[5, -3/2], [543, 783/2], [-37, -87/2], [5, -3/2]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[-4, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 20], [8, -1], [0, 0]], [[3/2, -1], [-453/2, -427], [105/2, -89], [3/2, -1]], [[0, 0], [-578, -399], [-54, -33], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -6], [6, 1], [0, 0]], [[0, -5/2], [136, -161/2], [120, -181/2], [0, -5/2]], [[-15/2, -9/2], [7/2, 113/2], [-105/2, 33/2], [-15/2, -9/2]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[-8, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -14], [8, -1], [0, 0]], [[5, 3/2], [2149, -575/2], [-498, 497/2], [5, 3/2]], [[-2, 0], [-1184, 462], [328, -200], [-2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 6], [-2, 0], [0, 0]], [[5, 2], [-15, -24], [9, 2], [5, 2]], [[-7, -7/2], [29, 65/2], [-12, -9/2], [-7, -7/2]]], 0, 16, [], [] >,
< [ -2, 0, 1 ], [[-16, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 34], [2, -3], [0, 0]], [[0, 0], [5, 0], [1, 0], [1, 0]], [[0, 0], [-132, -60], [10, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -18], [-6, 5], [0, 0]], [[0, 0], [-9, 0], [1, 0], [1, 0]], [[0, 0], [40, 40], [6, -6], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-16, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -56], [-10, 5], [0, 0]], [[0, 0], [5, 0], [1, 0], [1, 0]], [[0, 0], [68, 82], [10, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, -26], [10, -1], [0, 0]], [[0, 0], [-9, 0], [1, 0], [1, 0]], [[0, 0], [156, -22], [-32, 16], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[0, 14]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[82, -3/2], [22490/151, 643/302], [82/151, -3/302], [0, 0]], [[-155892, -97416], [-44449392/151, -56288177/302], [-155892/151, -97416/151], [627/151, 1/302]], [[196937356, 133895432], [56386048433/151, 38496456677/151], [196937356/151, 133895432/151], [-543830/151, -199325/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-256, 1], [-137706/151, 2856/151], [-256/151, 1/151], [0, 0]], [[-4399, 12147/2], [-3347691/302, 6623887/302], [-4535/151, 6076/151], [-893/302, -3/302]], [[24768, 6823565/2], [567018011/151, 4124823605/302], [-77674/151, 6751621/302], [-341734/151, -125511/151]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[56, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-142230/151, 1484/151], [-512/151, 2/151], [0, 0]], [[0, 0], [-32733041/151, 10817357/302], [-122030/151, 18671/151], [-627/151, -1/302]], [[0, 0], [17084400350/151, 37414696038/151], [67573253/151, 140903943/151], [597975/151, 815745/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-71435/151, -2994/151], [-243/151, -2/151], [0, 0]], [[0, 0], [-15703832/151, 72077763/302], [-62132/151, 124754/151], [568/151, 5/302]], [[0, 0], [111854101243/151, 19155861288/151], [376830090/151, 51992430/151], [767173/151, 1049928/151]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[144, 48]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-284/17, -2/17], [-30/17, -5/17], [0, 0]], [[0, 0], [-1777587/697, 33799/697], [2128/85, 468/85], [2347/3485, 3/3485]], [[0, 0], [-101437433/697, -16613496/697], [132048/85, 49106/85], [26985/697, 24672/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [520/17, -4/17], [-230/17, -10/17], [0, 0]], [[0, 0], [5515291/697, -497392/697], [-85414/85, 22422/85], [1137/697, 4/3485]], [[0, 0], [944338886/697, -9268422/697], [-14212974/85, 2700894/85], [987852/3485, 16044/697]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[72, 24]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2020/17, -76/17], [-154/17, -3/17], [0, 0]], [[0, 0], [-84432883/697, -43197205/1394], [-780411/85, -186687/85], [-165/697, -3/6970]], [[0, 0], [13337974825/697, 3949533249/697], [123092856/85, 34508499/85], [127257/3485, 1255/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-934/17, -48/17], [28/17, -1/17], [0, 0]], [[0, 0], [285376674/4879, 42658475/9758], [-33481/17, 656/17], [-422/4879, 1/9758]], [[0, 0], [-63372257420/4879, -6731133284/4879], [36951582/85, 91679/17], [466292/24395, 14362/24395]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[72, 24]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1052/17, 215/17], [97/17, 2/17], [0, 0]], [[0, 0], [133043/17, -20448/17], [9480/17, -3826/17], [-1, 0]], [[0, 0], [-578339844/697, 147259679/1394], [-4956018/85, 1906356/85], [372642/3485, 20463/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9538/17, -167/17], [79/17, -1/17], [0, 0]], [[0, 0], [4232658805/4879, -413222175/9758], [426387/85, -27408/85], [13371/24395, 3/48790]], [[0, 0], [-2406738335044/4879, 51551959701/9758], [-48432280/17, 6360351/85], [-7631388/24395, -583883/48790]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[72, 24]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2224/17, -212/17], [-154/17, -3/17], [0, 0]], [[0, 0], [-3606716/697, -32390025/1394], [5792/85, -138072/85], [-3466/3485, -1/1394]], [[0, 0], [-25618772/697, 594138223/697], [-1599662/85, 5248082/85], [130986/3485, -3447/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12422/17, 631/17], [81/17, 5/17], [0, 0]], [[0, 0], [-18726134568/4879, -8204175353/9758], [-2081649/85, -488798/85], [-2036/4879, 1/48790]], [[0, 0], [4614101006434/4879, 1148665435331/4879], [513450649/85, 135653303/85], [494400/4879, 82812/24395]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[12, 18]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[66, 5/2], [-1779/17, -33/17], [66/17, 5/34], [0, 0]], [[32765, -31623/2], [-72855293/1394, 36314577/1394], [151441/85, -79171/85], [-4841/6970, -1/1394]], [[13689465, -15279885], [-15792849169/697, 16953004218/697], [13861641/17, -14051232/17], [29751/697, 239907/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[77, 3/2], [-6929/17, -166/17], [77/17, 3/34], [0, 0]], [[46773, 14504], [-946001626/4879, -758823557/9758], [142918/85, 72621/85], [3650/4879, 3/48790]], [[299359891, 880763423/2], [-15276415028151/9758, -17933334262451/9758], [1435484909/85, 1365275156/85], [1494621/2870, 3950571/574]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[72, 24]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 2], [-10, 3], [0, 0]], [[0, 0], [2773/7, 3307/14], [160, 80], [-5/21, -1/42]], [[0, 0], [-1100/7, -1251/7], [-40, -80], [-2/21, 4/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 45], [4, -3], [0, 0]], [[0, 0], [39449/49, 6537/49], [668/7, 8/7], [-167/147, -2/147]], [[0, 0], [78857/7, 38919/14], [1300, 130], [-325/21, -65/42]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[48, 96]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98/17, -182/17], [10/17, 4/17], [0, 0]], [[0, 0], [201708/697, -10804/697], [-464/17, 92/85], [1982/3485, 4/3485]], [[0, 0], [-330005/697, -381375/697], [3924/85, 4446/85], [-3681/3485, -3951/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1956/17, 156/17], [-164/17, -1/17], [0, 0]], [[0, 0], [7292327/697, -6285193/697], [108056/85, -54344/85], [3523/3485, 1/697]], [[0, 0], [1885041467/697, -471173199/697], [2667292/85, -18730542/85], [-1070353/3485, -1148863/3485]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[24, 6]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-70, -5/2], [941/17, -103/17], [-70/17, -5/34], [0, 0]], [[-1521, 5443/2], [1649083/697, -3221539/1394], [-5446/85, 5437/34], [-422/3485, -1/6970]], [[-46134, -189351/2], [-15544793/1394, 79771629/1394], [-331158/85, -519237/85], [39579/6970, 18249/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, 3/2], [1081/17, -166/17], [-9/17, 3/34], [0, 0]], [[-2224, 55/2], [-51102005/574, -117235/574], [-711/35, 18/7], [26927/48790, 3/48790]], [[195260, 188039/2], [77376779673/9758, 18928725211/4879], [188288/119, 388289/595], [-2393247/48790, -584097/24395]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[24, 48]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-784/17, -215/17], [-39/17, -2/17], [0, 0]], [[0, 0], [467091/697, -1006955/1394], [4026/85, -668/17], [-3063/3485, 1/6970]], [[0, 0], [-242911097/697, -24183925/697], [-1168906/85, 268558/85], [-1461149/3485, -1416647/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5132/17, -6/17], [-12/17, 2/17], [0, 0]], [[0, 0], [-731859045/4879, -39947597/9758], [-15762/595, 131/119], [-23129/24395, 3/48790]], [[0, 0], [366191788783/697, 369684510246/697], [1363677/17, 1489610/17], [2189983/697, 2276715/697]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[24, 48]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3694/17, -172/17], [-276/17, -5/17], [0, 0]], [[0, 0], [-109366368/697, -135535601/1394], [-979919/85, -590106/85], [-4054/3485, -3/6970]], [[0, 0], [451544278204/697, 656057033317/1394], [3980867287/85, 581761560/17], [7196764/3485, 15412347/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [158/17, -32/17], [38/17, 5/17], [0, 0]], [[0, 0], [-81194454/4879, -588181/9758], [-55291/119, -1051/595], [-9336/24395, 1/48790]], [[0, 0], [21533840586/4879, 21971595189/4879], [73346282/595, 14964612/119], [2457524/24395, 2517331/24395]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[24, 48]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2076/17, -96/17], [-90/17, -2/17], [0, 0]], [[0, 0], [-9034754/697, -1309181/697], [-49221/85, -5762/85], [-294/3485, -2/3485]], [[0, 0], [605622737/697, 1100600123/1394], [630590/17, 2927384/85], [15369/3485, 31631/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6304/17, -230/17], [254/17, 3/17], [0, 0]], [[0, 0], [16749774750/4879, -3711487275/9758], [-79874246/595, 11095818/595], [-19094/24395, 1/48790]], [[0, 0], [2988959474300/697, 3606966062910/697], [-2634096106/17, -3335922830/17], [-885366/697, -920430/697]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[24, 48]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 3], [-4, -4], [0, 0]], [[0, 0], [-107, 6], [-12, -11], [-5/3, 0]], [[0, 0], [-333/7, 261/14], [-2, -3], [-5/7, 11/42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -24], [-6, -9], [0, 0]], [[0, 0], [-782/7, -1107/14], [-352/7, -242/7], [-4/21, 1/42]], [[0, 0], [249, 173], [646/7, 627/7], [-55/21, 44/21]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 1], [8, -1], [0, 0]], [[0, 0], [-52, 79], [-24, 30], [-10, 1]], [[0, 0], [-1396, -269], [-480, -48], [92, 115]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-312, -24], [-6, 0], [0, 0]], [[0, 0], [-18372/7, -12013/7], [-246/7, -212/7], [-30/7, 3/7]], [[0, 0], [208/7, -130/7], [24/7, -15/7], [-8/7, 5/7]]], 0, 80, [], [] >,
< [ -2, 0, 1 ], [[0, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -24], [-4, -3], [0, 0]], [[0, 0], [-3, -5], [1, 0], [1, 0]], [[0, 0], [36, -24], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-288, -72], [-4, -5], [0, 0]], [[0, 0], [-5895/7, -14338/7], [-543/7, -155/7], [-19/7, -3/7]], [[0, 0], [198810/7, -4607/7], [488/7, 3615/7], [-20/7, 135/7]]], 0, 160, [], [] >,
< [ -2, 0, 1 ], [[0, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 5/2], [30, 3], [1, 5/2], [0, 0]], [[208, -60], [-1026, 2757/2], [208, -60], [-3, 3/2]], [[-256, -288], [-3256, -2431/2], [-256, -288], [1, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1/2], [-126, -6], [-3, 1/2], [0, 0]], [[-1000, -188], [-341008/7, -126265/7], [-7040/7, -1312/7], [20/7, -2/7]], [[-160, -688], [-142570/7, -456019/14], [-1110/7, -4845/7], [-5/7, 29/14]]], 1, 4, [], [] >,
< [ -2, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 3], [1, 0], [0, 0]], [[0, 0], [3, 1], [0, 0], [1, 0]], [[0, 0], [6, 0], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 3], [1, 0], [0, 0]], [[0, 0], [-1852/7, -267/7], [96/7, 10/7], [-48/7, -5/7]], [[0, 0], [-2739/7, 458/7], [146/7, -30/7], [-73/7, 15/7]]], 0, 20, [], [] >,
< [ -2, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -9], [4, -1], [0, 0]], [[0, 0], [3, 1], [0, 0], [1, 0]], [[0, 0], [-120, -30], [-24, -9], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 6], [4, 3], [0, 0]], [[0, 0], [-3223/7, 2360/7], [2/7, 4/7], [-1/7, -2/7]], [[0, 0], [-48, 33], [0, 0], [0, 0]]], 0, 20, [], [] >,
< [ -2, 0, 1 ], [[72, 24]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36572/151, -3236/151], [1136/151, 5/151], [0, 0]], [[0, 0], [-3071043/151, 8586802/151], [-43476/151, 262261/151], [-243/151, -2/151]], [[0, 0], [90034462/151, -542016327/302], [1154015/151, -8298791/151], [7705/151, 335/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-738964/151, -4293/151], [1740/151, 5/151], [0, 0]], [[0, 0], [-20621639223/1057, 1094740191/1057], [48451674/1057, -2722786/1057], [-2659/1057, -2/1057]], [[0, 0], [11436507618289/1057, 2065763412021/2114], [-26846607591/1057, -2341993509/1057], [1497548/1057, 427583/2114]]], 0, 120, [], [] >,
< [ -2, 0, 1 ], [[24, 48]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4826/151, 289/151], [256/151, 1/151], [0, 0]], [[0, 0], [1456221/151, 142847/302], [63445/151, -424/151], [-640/151, -5/302]], [[0, 0], [-442126048/151, 44938759/151], [-19587754/151, 3047358/151], [196968/151, -28652/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [471730/151, -3007/151], [-1162/151, -1/151], [0, 0]], [[0, 0], [-11960497954/1057, 3469913591/2114], [29661705/1057, -4064474/1057], [-5413/1057, -1/2114]], [[0, 0], [27263565922778/1057, -15142782636025/2114], [-67462527445/1057, 18255749978/1057], [11842727/1057, -3415191/2114]]], 0, 120, [], [] >,
< [ -2, 0, 1 ], [[208, 80]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 4], [-2, -6], [0, 0]], [[0, 0], [1928815/1433, 19505/1433], [885, -23/2], [-876/24361, 3/48722]], [[0, 0], [467491/1433, 374221/1433], [203, 325/2], [-208/24361, -333/48722]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 10], [0, -8], [0, 0]], [[0, 0], [181729958983/10031, 1069045/10031], [-1663259/7, -257/14], [1703810/170527, 5/341054]], [[0, 0], [4357707670790/1433, -8663670728846/1433], [-39872014, 79290234], [40856424/24361, -81226462/24361]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[104, 40]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 19], [4, 3], [0, 0]], [[0, 0], [-64219740/1777, 23866/1777], [1828/3, 2], [5620/5331, -1/5331]], [[0, 0], [-4120805982/1777, 4846792297/3554], [116794/3, -22851], [360538/5331, -424013/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, -56], [6, -5], [0, 0]], [[0, 0], [4901414107/12439, -2001149/12439], [1084784/21, -102/7], [59219/37317, -2/37317]], [[0, 0], [-2786708924159/12439, -224589659941/24878], [-616762478/21, -8310332/7], [-33670109/37317, -2738717/74634]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-16, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 32], [-4, 4], [0, 0]], [[0, 0], [-464, -172], [80, -65], [-8, 1]], [[0, 0], [-1182, -775], [14, -37], [-12, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2248, 142], [-10, -2], [0, 0]], [[0, 0], [33402438/7, -4552865/7], [-140452/7, -582/7], [-58/7, 3/7]], [[0, 0], [-78197480/7, -527550899/7], [989028/7, 2354439/7], [300/7, 950/7]]], 0, 144, [], [] >,
< [ -2, 0, 1 ], [[72, 80]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1171186/151, -5652/151], [-978/151, 5/151], [0, 0]], [[0, 0], [-145723893859/151, -5862779531/302], [121685275/151, 2412106/151], [-870/151, -5/302]], [[0, 0], [-18619223212290/151, -30136263165539/151], [15533192548/151, 25160713676/151], [-105028/151, -178126/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4425176/151, 31796/151], [-676/151, 5/151], [0, 0]], [[0, 0], [236043508936/1057, -6288729925/2114], [36061089/1057, -484913/1057], [3043/1057, 1/2114]], [[0, 0], [596381154258420/1057, 2102330590751941/2114], [91070228989/1057, 160577727825/1057], [8056745/1057, 27319773/2114]]], 0, 216, [], [] >,
< [ -2, 0, 1 ], [[144, 160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1124, 39], [0, 1], [0, 0]], [[0, 0], [-184, -675], [0, 0], [-2, -3]], [[0, 0], [-2754, -4652], [0, 0], [-20, -22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-414, -50], [0, -2], [0, 0]], [[0, 0], [-14472/7, 85714/7], [982/7, -39/7], [-50/7, -5/7]], [[0, 0], [-263978/7, -72329/7], [-970/7, -1560/7], [72/7, 87/7]]], 0, 1152, [], [] >,
< [ -2, 0, 1 ], [[24, 72]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 11], [6, -4], [0, 0]], [[0, 0], [3368/7, 2509/14], [-28, 21], [-26/21, -1/42]], [[0, 0], [69954/7, 107627/14], [136, -62], [-110/7, -605/42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [412, 65], [0, -5], [0, 0]], [[0, 0], [633333/7, 3643653/14], [-6288, -104], [-1/7, -1/42]], [[0, 0], [83772874/7, 92691583/7], [-290140, -99430], [-152/21, -68/21]]], 0, 288, [], [] >,
< [ -2, 0, 1 ], [[48, 128]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -4], [0, 8], [0, 0]], [[0, 0], [53700246/1433, -265/1433], [23723, 21], [-23193/24361, 2/24361]], [[0, 0], [5492868285/1433, 2447225243/1433], [2428493, 2166527/2], [-2372184/24361, -2113515/48722]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-286/7, -128/7], [-4/7, 8/7], [0, 0]], [[0, 0], [-11040654549/10031, -5119287/10031], [1260831/7, -69/14], [97152/24361, -1/48722]], [[0, 0], [926360733730/10031, 1838700093878/10031], [-105583244/7, -209925743/7], [-8136324/24361, -16175787/24361]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[24, 64]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, 3], [10, -5], [0, 0]], [[0, 0], [9944395/1777, -429787/1777], [-30, -214/3], [-1199/5331, 2/5331]], [[0, 0], [263576536/1777, 119332107/3554], [-5510/3, -6451/3], [-32494/5331, -5697/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -19], [-2, 0], [0, 0]], [[0, 0], [671391991/12439, 11293847/24878], [-241456/21, 113/7], [-13183/37317, 1/74634]], [[0, 0], [-43371642392/12439, 15521996275/12439], [5236708/7, -5736289/21], [856888/37317, -312019/37317]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-80, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, -7], [6, -3], [0, 0]], [[0, 0], [-2, 143], [22, -19], [-8, 4]], [[0, 0], [468, 301], [-16, -4], [-4, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-364, 187], [-6, -5], [0, 0]], [[0, 0], [5123940/7, -3670591/7], [-17152/7, 136/7], [76/7, 5/7]], [[0, 0], [-58936572/7, 43298825/7], [391488/7, 133943/7], [-1824/7, -722/7]]], 0, 144, [], [] >,
< [ -2, 0, 1 ], [[88, 8]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-475354/151, -1523/151], [558/151, 1/151], [0, 0]], [[0, 0], [-30741769862/151, 445848226/151], [36090044/151, -573501/151], [814/151, 2/151]], [[0, 0], [-2250103986777/151, -1244210040669/302], [2639429587/151, 726638244/151], [60168/151, 34983/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-456908/151, 2455/151], [440/151, -3/151], [0, 0]], [[0, 0], [136482923601/1057, 730282789/2114], [-131514277/1057, -163840/1057], [-2242/1057, -1/2114]], [[0, 0], [-2223702726619324/1057, -1302902930935217/2114], [2140970646001/1057, 624676997528/1057], [36476675/1057, 21223855/2114]]], 0, 216, [], [] >,
< [ -2, 0, 1 ], [[176, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1030, -55], [-2, -3], [0, 0]], [[0, 0], [41016, -76263], [-364, -9], [2, -2]], [[0, 0], [-920014, -335071], [-3402, -3150], [-16, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [608, -39], [2, 1], [0, 0]], [[0, 0], [-1256/7, 85/7], [44/7, -10/7], [-22/7, 5/7]], [[0, 0], [-5450/7, -337/7], [180/7, -18/7], [-90/7, 9/7]]], 0, 1152, [], [] >,
< [ -2, 0, 1 ], [[120, 48]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -16], [8, -3], [0, 0]], [[0, 0], [6820/7, 6845/14], [60, 54], [32/21, 5/42]], [[0, 0], [1440, 4565], [468, 126], [-8, 34/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [142, 66], [26, 11], [0, 0]], [[0, 0], [-27889/7, -3895/14], [-764, 2], [5/21, 1/42]], [[0, 0], [-56682/7, 29182/7], [-11798/7, 6448/7], [10/21, -5/21]]], 0, 288, [], [] >,
< [ -2, 0, 1 ], [[-24, -32]], [ -518, 7 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40/7, 3/7], [2, 2], [0, 0]], [[0, 0], [30956/119, -73259/238], [1081/7, -50/7], [542/833, 5/1666]], [[0, 0], [-13409492/119, 13097023/238], [-57221/7, 182631/7], [-19470/833, 181071/1666]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16/7, -11/7], [-6, -4], [0, 0]], [[0, 0], [-259346/833, 8450/833], [18894/49, 345/49], [-804/5831, 2/5831]], [[0, 0], [-222253/49, 57479/98], [272555/49, -21694/49], [-685/343, 137/686]]], 0, 44, [], [] >,
< [ -2, 0, 1 ], [[-176, -112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, -79], [2, -3], [0, 0]], [[0, 0], [1188, 804], [0, 16], [10, -2]], [[0, 0], [-1302, -945], [-20, -4], [0, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -38], [10, 2], [0, 0]], [[0, 0], [-256, 4], [-24, 48], [8, -5]], [[0, 0], [-588, -429], [108, 72], [2, 2]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-16, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 3/2], [40, 13], [1, 3/2], [0, 0]], [[-208, 124], [3462, -5755/2], [-208, 124], [-5, 1/2]], [[-690, 225], [6444, -9449], [-690, 225], [-32, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 0], [-3170, -5], [-4, 0], [0, 0]], [[1848, 18], [10259630/7, 232489/14], [13018/7, 129/7], [-41/7, -3/14]], [[123516, 85629/2], [686464480/7, 238778481/7], [870192/7, 603495/14], [-2790/7, -1023/7]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[-24, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 1], [1, 0], [0, 0]], [[0, 0], [-9, 1], [0, 0], [1, 0]], [[0, 0], [-6, -8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 1], [1, 0], [0, 0]], [[0, 0], [-10473/7, 558/7], [-46/7, 6/7], [23/7, -3/7]], [[0, 0], [86979/7, 100948/7], [310/7, 410/7], [-155/7, -205/7]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[-24, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 11], [6, 0], [0, 0]], [[0, 0], [19, 0], [0, 0], [1, 0]], [[0, 0], [-22, 11], [-2, 1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2920, 404], [8, 5], [0, 0]], [[0, 0], [-11796223/7, 6886975/7], [-8686/7, -82/7], [31/7, -1/7]], [[0, 0], [-115957649/7, 162762300/7], [175562/7, 221540/7], [-561/7, -765/7]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[-24, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 0], [1, 0], [0, 0]], [[0, 0], [88, 29], [0, 0], [-10, 3]], [[0, 0], [-998, -249], [0, 0], [128, -48]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 0], [1, 0], [0, 0]], [[0, 0], [-17828/7, 163/7], [4/7, -6/7], [-2/7, 3/7]], [[0, 0], [30, 17], [0, 0], [0, 0]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[104, 16]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18996/151, 518/151], [-834/151, -5/151], [0, 0]], [[0, 0], [48259577/151, -3527663/302], [-2134209/151, 123338/151], [430/151, -1/302]], [[0, 0], [-39476881238/151, -44193819384/151], [1659835158/151, 1914179999/151], [-380600/151, -407275/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2808286/151, 7373/151], [-814/151, 2/151], [0, 0]], [[0, 0], [91698293781/1057, -10199369983/2114], [26461905/1057, -1471451/1057], [2242/1057, -1/2114]], [[0, 0], [975632516753136/1057, 1122636911506746/1057], [281548920148/1057, 323968150739/1057], [27061522/1057, 28947860/1057]]], 0, 288, [], [] >,
< [ -2, 0, 1 ], [[8, 72]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-491336/151, 2455/151], [440/151, -3/151], [0, 0]], [[0, 0], [-4754534832/151, 337996067/302], [4259671/151, -157955/151], [1139/151, 3/302]], [[0, 0], [-1773330221994/151, -3878011033325/151], [1577876950/151, 3471549467/151], [494600/151, 947159/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1775778/151, 34618/151], [-164/151, -3/151], [0, 0]], [[0, 0], [49868317764/1057, 263527281/2114], [-4612365/1057, -6997/1057], [-417/1057, 5/2114]], [[0, 0], [-33503353589193/1057, -62508080860634/1057], [3085762390/1057, 5777975456/1057], [271139/1057, 520298/1057]]], 0, 288, [], [] >,
< [ -2, 0, 1 ], [[-40, -8]], [ -518, -7 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120/7, -5/7], [-4, 2], [0, 0]], [[0, 0], [-61006/119, -65339/238], [-933/7, 11/7], [320/833, 1/1666]], [[0, 0], [721776/119, 476625/119], [1072, 449], [-372/119, -159/119]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [370/7, -5/7], [6, 1], [0, 0]], [[0, 0], [-6435339/833, 2055455/1666], [-813, -99/7], [59/833, 3/1666]], [[0, 0], [1033490872/833, 327184769/833], [1076420/7, 477145/7], [-11236/833, -5035/833]]], 0, 44, [], [] >,
< [ -2, 0, 1 ], [[-176, 112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 24], [-8, 5], [0, 0]], [[0, 0], [48, 100], [0, 8], [-10, 2]], [[0, 0], [56, -165], [12, -16], [24, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 52], [2, 1], [0, 0]], [[0, 0], [-208, 134], [0, 0], [-10, 3]], [[0, 0], [-234, 148], [0, 0], [-12, 3]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-4, -10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 5/2], [-28, -1], [1, 5/2], [0, 0]], [[-185, -15], [-175, 1058], [-185, -15], [-1, 2]], [[-4830, -2415], [19197, 47563/2], [-4830, -2415], [20, 75/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1], [2482, -91], [-3, 1], [0, 0]], [[15762, 39/2], [-114563504/7, -69920441/14], [110288/7, 271/14], [23/7, 1/14]], [[750600, 2101950], [-14738014846/7, -33848560733/14], [5251758/7, 14707471/7], [1221/7, 6179/14]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[-40, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 1], [1, 0], [0, 0]], [[0, 0], [-3, 1], [0, 0], [1, 0]], [[0, 0], [-10, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, 1], [1, 0], [0, 0]], [[0, 0], [13885/7, -4346/7], [-2/7, 10/7], [1/7, -5/7]], [[0, 0], [-23535/7, 366161/7], [606/7, 120/7], [-303/7, -60/7]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[-40, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -35], [6, 4], [0, 0]], [[0, 0], [15, 0], [0, 0], [1, 0]], [[0, 0], [-238, 144], [-2, 5], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-232, 263], [0, 4], [0, 0]], [[0, 0], [348562/7, -164352/7], [5248/7, -123/7], [-6/7, -5/7]], [[0, 0], [-21166835/7, 15880899/7], [-175334/7, 163902/7], [-113/7, -23/7]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[-40, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [30, -21], [0, 0], [-4, 2]], [[0, 0], [0, -8], [0, 0], [0, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94, 0], [1, 0], [0, 0]], [[0, 0], [1250/7, -1133/7], [68/7, -4/7], [-34/7, 2/7]], [[0, 0], [-101568/7, 122308/7], [-9864/7, -1962/7], [4932/7, 981/7]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[136, 64]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [371454/151, -440/151], [860/151, -1/151], [0, 0]], [[0, 0], [13417055459/151, -580589/302], [31062513/151, 174/151], [174/151, 1/302]], [[0, 0], [-5718901691477/151, -3677165379057/302], [-13240354417/151, -4256957688/151], [-74304/151, -48117/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-119574/151, -8344/151], [138/151, 3/151], [0, 0]], [[0, 0], [511092212/1057, 54294201/2114], [-689183/1057, -7081/1057], [-8873/1057, -5/2114]], [[0, 0], [-11925901519897/1057, -4343601709942/1057], [15650399126/1057, 5191080486/1057], [200199045/1057, 64833250/1057]]], 0, 288, [], [] >,
< [ -2, 0, 1 ], [[72, 88]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2014624/151, -2226/151], [-2278/151, -3/151], [0, 0]], [[0, 0], [-375672451001/151, 17172737113/302], [-424777165/151, 9617882/151], [-942/151, -5/302]], [[0, 0], [36095860858622/151, 1279729368319/151], [40815024160/151, 1455754664/151], [90780/151, 5524/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3339528/151, 12257/151], [-512/151, -2/151], [0, 0]], [[0, 0], [6921929113860/1057, -11590760847/2114], [-1061235283/1057, 637421/1057], [-673/1057, 3/2114]], [[0, 0], [-85436738215814519/1057, -10703220520328883/2114], [13099123531379/1057, 823581514365/1057], [8305310/1057, 1017523/2114]]], 0, 288, [], [] >,
< [ -2, 0, 1 ], [[40, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 7/2], [1, -5/2], [0, 0]], [[0, 0], [-936/17, 125/34], [5, 1/2], [-62/17, -1/17]], [[0, 0], [27338/17, 7032/17], [-162, -63], [1909/17, 1245/34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [61/17, 229/34], [42, 3/2], [42/17, 3/34]], [[0, 0], [49, 33], [153, 119], [9, 7]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[0, 10]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -7], [0, 2], [0, 0]], [[-11, -2], [1189/34, 275/34], [-13/2, -6], [-31/17, -1/34]], [[-97, -291/2], [5970/17, 15979/34], [-177, -213/2], [-291/34, -388/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[17, 7/2], [750/17, 5/34], [5, -3/2], [95/34, 2/17]], [[1032, 1677/2], [33305/17, 30288/17], [100, 135], [4515/34, 3999/34]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[56, 24]], [ -512, -29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 5], [8, -1], [0, 0]], [[0, 0], [-44560353/4201, -614915/8402], [234, 225], [12414/4201, 5/8402]], [[0, 0], [39520556699/4201, 70304963015/8402], [-557280, -380304], [-10879780/4201, -19440449/8402]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 6], [-4, 1], [0, 0]], [[0, 0], [-11115228107/29407, -1981303/58814], [-142442/7, 23/7], [-71228/29407, -5/58814]], [[0, 0], [-773050024737/4201, 138417633992/4201], [-9907550, 1776309], [-4953913/4201, 887268/4201]]], 0, 60, [], [] >,
< [ -2, 0, 1 ], [[112, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 9], [8, -1], [0, 0]], [[0, 0], [1844, 1033], [-208, -128], [2, 5]], [[0, 0], [-4578, -10073], [768, 1024], [-90, 27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1984, 690], [6, 4], [0, 0]], [[0, 0], [29333672/7, -17395629/7], [18544/7, 2/7], [-68/7, -3/7]], [[0, 0], [-8017733000/7, 2933749314/7], [-9672160/7, -3881747/7], [36720/7, 15795/7]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[12, 14]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 1], [-30, -51], [5, 1], [0, 0]], [[396, -513/2], [4200, -6605/2], [396, -513/2], [3, 5/2]], [[2493, -3429/2], [28263, -20668], [2493, -3429/2], [5, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 0], [2238, 1], [1, 0], [0, 0]], [[4477, 5], [70252859/7, 173697/14], [31371/7, 29/7], [-8/7, 3/14]], [[-485832, -915403/2], [-1089337845, -2052325085/2], [-486152, -916151/2], [80, 187/2]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[56, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 1], [1, 0], [0, 0]], [[0, 0], [11, 1], [0, 0], [1, 0]], [[0, 0], [14, 6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 1], [1, 0], [0, 0]], [[0, 0], [38197/7, 2138/7], [-129/7, -6/7], [-43/7, -2/7]], [[0, 0], [-6123954/7, -2675940/7], [20532/7, 8850/7], [6844/7, 2950/7]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[56, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98, 36], [-6, 3], [0, 0]], [[0, 0], [19, 0], [0, 0], [1, 0]], [[0, 0], [48, 13], [2, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2626, 316], [0, 3], [0, 0]], [[0, 0], [-675593/7, 3682304/7], [-8354/7, -230/7], [-29/7, -2/7]], [[0, 0], [-62900820/7, -109293337/7], [270780/7, 103017/7], [968/7, 396/7]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[8, 32]], [ -512, 29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 0], [-8, -3], [0, 0]], [[0, 0], [6363744/4201, 397941/8402], [24, -60], [5079/4201, 1/8402]], [[0, 0], [30288721/4201, -76517854/4201], [1596, -624], [28035/4201, -61944/4201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 14], [-8, 1], [0, 0]], [[0, 0], [4651890246/29407, -6249195/29407], [-182872/7, 664/7], [45522/29407, 2/29407]], [[0, 0], [1506754973852/29407, -1467571538593/58814], [-59364156/7, 28981418/7], [14724783/29407, -14320357/58814]]], 0, 60, [], [] >,
< [ -2, 0, 1 ], [[16, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-356, 47], [10, -3], [0, 0]], [[0, 0], [330, -489], [-16, 16], [-6, 3]], [[0, 0], [248, 205], [-4, -4], [2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [768, 221], [-10, -1], [0, 0]], [[0, 0], [-47437984/7, -9730201/7], [640580/7, 4164/7], [2/7, -3/7]], [[0, 0], [127558, 68250], [-1476, -630], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[16, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 1/2], [46, -41], [-4, 1/2], [0, 0]], [[-33, -96], [-1552, 1139/2], [-33, -96], [-5, -1/2]], [[-690, -3243/2], [-24988, 8336], [-690, -3243/2], [-84, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1], [-3078, 191], [2, -1], [0, 0]], [[-8018, -5], [161244662/7, 150672857/14], [-55716/7, -20/7], [-41/7, -3/14]], [[-5484146, -968665/2], [119313181742/7, 61194242884/7], [-38106822/7, -6710955/14], [-28220/7, -3485/7]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[8, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [19, 1], [0, 0], [1, 0]], [[0, 0], [2, 8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [124, 1], [1, 0], [0, 0]], [[0, 0], [-10211/7, -3601/7], [45/7, -15/7], [-15/7, 5/7]], [[0, 0], [562752/7, 471578/7], [-282/7, -1152/7], [94/7, 384/7]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[8, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -37], [0, 5], [0, 0]], [[0, 0], [11, 0], [0, 0], [1, 0]], [[0, 0], [8, -15], [0, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1574, 70], [-2, 3], [0, 0]], [[0, 0], [9885163/7, 13410504/7], [38414/7, 129/7], [-25/7, -1/7]], [[0, 0], [-858968086/7, -364871515/7], [-197714/7, -1160885/7], [184/7, 760/7]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-56, -16]], [ -390, 35 ], [ -7, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -2], [-10, 3], [0, 0]], [[0, 0], [-5642017/365, -28611/730], [40, 100], [24827/14965, 1/5986]], [[0, 0], [4747157771/365, 10864459419/730], [-225600, -122080], [-4154627/2993, -47706579/29930]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -1], [4, -3], [0, 0]], [[0, 0], [-36754/5, 359/5], [23944, 0], [4/5, 0]], [[0, 0], [-20176/511, 138819/5110], [888/7, -611/7], [444/104755, -611/209510]]], 0, 80, [], [] >,
< [ -2, 0, 1 ], [[-24, -40]], [ -390, -35 ], [ -7, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 2], [-10, 3], [0, 0]], [[0, 0], [-761771/365, 39129/730], [-440, -240], [683/2993, 1/29930]], [[0, 0], [-269542359/365, -39560837/146], [-225600, -147840], [1232891/14965, 950433/29930]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -9], [-4, 2], [0, 0]], [[0, 0], [-292707014/2555, -84171/2555], [512896/7, 33/7], [-85492/104755, -2/104755]], [[0, 0], [595562/2555, 681143/5110], [-1044/7, -597/7], [174/104755, 199/209510]]], 0, 80, [], [] >,
< [ -2, 0, 1 ], [[112, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 127], [-2, -3], [0, 0]], [[0, 0], [-4012, -2905], [126, 90], [-8, -5]], [[0, 0], [-48, 554], [-6, -12], [4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-322, -791], [6, -5], [0, 0]], [[0, 0], [-12355232/7, -7975039/7], [-17672/7, 90/7], [-12/7, -3/7]], [[0, 0], [-12998564, -8096498], [-21872, 2632], [-14, -2]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[80, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [238, -94], [8, -4], [0, 0]], [[0, 0], [504, 307], [10, 7], [8, 2]], [[0, 0], [-52, 39], [0, 0], [-4, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1414, -520], [-4, 2], [0, 0]], [[0, 0], [-62139974/7, -39424562/7], [-64262/7, 3/7], [4/7, 1/7]], [[0, 0], [116100, 87039], [30, 71], [0, 0]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[-72, 16]], [ -1862, 65 ], [ -22, 13 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -7/2], [-3, -5/2], [0, 0]], [[0, 0], [-9, 1], [-1, -1], [0, 0]], [[0, 0], [640640/23689, 9175936/23689], [0, 0], [-65/1729297, -931/1729297]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -33/2], [-2, 5/2], [0, 0]], [[0, 0], [-141569253074/165823, 32769841/165823], [479310/7, -170/7], [159742/12105079, 4/12105079]], [[0, 0], [-1645034214403/165823, 9422525428913/165823], [5577441/7, -31902461/7], [1850747/12105079, -10631587/12105079]]], 0, 144, [], [] >,
< [ -2, 0, 1 ], [[-72, -16]], [ -1862, -65 ], [ -14, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 3/2], [5, -5/2], [0, 0]], [[0, 0], [-8, 3], [-6, 4], [0, 0]], [[0, 0], [148200/23689, -2122680/23689], [0, 0], [-65/1729297, 931/1729297]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 3], [-4, 0], [0, 0]], [[0, 0], [21746160319362/165823, 7913015/331646], [-24875122/7, -3/14], [24875129/12105079, 5/12105079]], [[0, 0], [6795257649/165823, -4296756895/165823], [-7773/7, 4915/7], [7773/12105079, -4915/12105079]]], 0, 144, [], [] >,
< [ -2, 0, 1 ], [[-8, 56]], [ -7614, 45 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-172/21, -29/21], [58/7, 4/7], [0, 0]], [[0, 0], [-14286029/11067, 4116671/22134], [1285/7, -1700/7], [3205/11067, 1/7378]], [[0, 0], [-1814922376/11067, -241607715/7378], [25209/7, -179742/7], [449384/11067, 292487/22134]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10/7, -130/21], [22/7, -5/7], [0, 0]], [[0, 0], [-3558120215/77469, -3215843/51646], [-17383/49, 2733/49], [23525/77469, -1/154938]], [[0, 0], [73461711710/77469, 63784095717/25823], [62562/49, 878331/49], [-160740/25823, -421496/25823]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-8, -56]], [ -7614, -45 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30/7, -23/21], [66/7, 1/7], [0, 0]], [[0, 0], [4326005/11067, 2228245/7378], [-5029/7, -3221/7], [1391/11067, 1/22134]], [[0, 0], [-131295119/1581, -179718955/3162], [134279, 98473], [-29283/3689, -89655/7378]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20/21, 23/21], [-10/7, -15/7], [0, 0]], [[0, 0], [11217559/11067, 59469/7378], [-2771/7, -68/7], [631/11067, 5/22134]], [[0, 0], [79424890/1581, 34381729/527], [-20460, -25798], [30952/11067, 40492/11067]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-792, 112]], [ -7614, 45 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-458/7, 15/7], [652/7, -5/7], [0, 0]], [[0, 0], [-124387948/11067, -137301685/22134], [523577/7, 65096/7], [5080/11067, -1/22134]], [[0, 0], [-54787474964/11067, -45978285167/11067], [85627678/7, 174946099/7], [140480/3689, 548311/3689]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [142928/21, 116/21], [7496/7, 5/7], [0, 0]], [[0, 0], [-269973765332/77469, 7623955561/51646], [-7142293/49, 1140740/49], [-40156/77469, 5/154938]], [[0, 0], [-12285653250470/25823, -75713364670457/25823], [450157388/49, -5834307762/49], [-8370136/77469, -34139108/77469]]], 0, 18816, [], [] >,
< [ -2, 0, 1 ], [[-792, -112]], [ -7614, -45 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-290/21, 41/21], [152/7, -3/7], [0, 0]], [[0, 0], [-8844503/3689, 76783099/22134], [907253/7, -36485/7], [-11551/11067, -1/7378]], [[0, 0], [33157643763/3689, 830092963159/22134], [13470551205/7, 5435859858/7], [-8460273/527, -7273863/1054]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2410/21, -137/21], [-4726/7, -5/7], [0, 0]], [[0, 0], [-48045079480/11067, 7433448565/22134], [178296697/7, -3502384/7], [190/11067, -1/22134]], [[0, 0], [-3438767024442/3689, -3921236382335/11067], [40330180484/7, 16919693292/7], [14540/3689, 894/527]]], 0, 18816, [], [] >,
< [ -2, 0, 1 ], [[-712, 288]], [ -1862, 65 ], [ -22, 13 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -3], [-4, 2], [0, 0]], [[0, 0], [-10, -13/2], [-3, 1/2], [0, 0]], [[0, 0], [1613694/23689, 617260/23689], [0, 0], [-183/23689, -70/23689]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -11], [4, 0], [0, 0]], [[0, 0], [381029733579/165823, -20799465/331646], [675370/7, 257/14], [337727/165823, -4/165823]], [[0, 0], [564140962176458/165823, 202586716992083/165823], [1000088408/7, 359299739/7], [500033809/165823, 179571151/165823]]], 0, 10656, [], [] >,
< [ -2, 0, 1 ], [[-712, -288]], [ -1862, -65 ], [ -14, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 5/2], [-1, -3/2], [0, 0]], [[0, 0], [4, -4], [2, -1], [0, 0]], [[0, 0], [-4222176/23689, 1615040/23689], [0, 0], [-183/23689, 70/23689]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -37/2], [4, 3/2], [0, 0]], [[0, 0], [6325627206/165823, -53985380/165823], [102796/7, 835/7], [-34172/165823, -3/165823]], [[0, 0], [1908468366099/165823, -843188575633/165823], [30566247/7, -13189635/7], [-10232793/165823, 4466797/165823]]], 0, 10656, [], [] >,
< [ -2, 0, 1 ], [[1552, 960]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 91], [-82, 5], [0, 0]], [[0, 0], [-56146, 92440], [-151180, 86710], [8, 0]], [[0, 0], [1143398, 10981], [604424, -741122], [38, 61]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1686, 21], [496, 3], [0, 0]], [[0, 0], [-840058600/7, -11752180/7], [-247163916/7, -1875193/7], [68/7, 3/7]], [[0, 0], [-296612998970/7, -518584888306/7], [-85331122760/7, -152047549630/7], [26520/7, 42666/7]]], 0, 17664, [], [] >,
< [ -2, 0, 1 ], [[816, 224]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138, -13], [-106, 5], [0, 0]], [[0, 0], [437450, -218983], [393044, -221198], [-6, -3]], [[0, 0], [31360078, -19408168], [29007806, -18774338], [-226, -62]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-468, 7], [-308, 3], [0, 0]], [[0, 0], [-149509596/7, 119991/7], [-98354584/7, -433088/7], [-46/7, -1/7]], [[0, 0], [49585092282/7, 12649681110/7], [32706367336/7, 8491450280/7], [15432/7, 4236/7]]], 0, 17664, [], [] >,
< [ -2, 0, 1 ], [[8, 232]], [ -390, -35 ], [ -7, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 5], [-8, -4], [0, 0]], [[0, 0], [-387/5, -122/5], [-42, -35], [-3/5, 0]], [[0, 0], [-1035637/365, -1081651/730], [-1952, -1472], [-6721/365, -4147/730]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -16], [-8, -5], [0, 0]], [[0, 0], [197031/2555, -53427/2555], [846/7, -93/7], [31/511, 2/2555]], [[0, 0], [1362681/2555, -453631/1022], [4614/7, -4275/7], [671/2555, -1397/5110]]], 0, 3360, [], [] >,
< [ -2, 0, 1 ], [[456, 224]], [ -390, 35 ], [ -7, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -1], [10, 3], [0, 0]], [[0, 0], [-57448/365, 2213/730], [4, 1], [-68/73, -3/730]], [[0, 0], [-75115/73, -699203/146], [92, 130], [-543/73, -4163/146]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -7], [2, -2], [0, 0]], [[0, 0], [-14922582/2555, -1447941/5110], [-1828/7, -163/7], [942/2555, -1/1022]], [[0, 0], [-28948042/365, 13178447/365], [-3400, 1463], [1922/365, -186/73]]], 0, 3360, [], [] >,
< [ -2, 0, 1 ], [[136, 200]], [ -512, -29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -2], [-86, -59], [0, 0]], [[0, 0], [-51820877/4201, 114581/4201], [-78, 33], [14359/4201, -1/4201]], [[0, 0], [21000482161/4201, 24099718509/8402], [16284, 4800], [-5833360/4201, -6702755/8402]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -1], [-24, 3], [0, 0]], [[0, 0], [22005493702/29407, -7509819/58814], [19771998/7, 758/7], [-159449/29407, -5/58814]], [[0, 0], [-732598158118/4201, -937354421662/4201], [-658593552, -842353199], [5310844/4201, 6792940/4201]]], 0, 1920, [], [] >,
< [ -2, 0, 1 ], [[1072, 672]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [302, 1], [256, -1], [0, 0]], [[0, 0], [-3173508, 114857], [-2691612, 116804], [4, -5]], [[0, 0], [-2301729172, -1310873247], [-1935132736, -1097137467], [-1376, -2024]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2052, 7], [348, 3], [0, 0]], [[0, 0], [20214604/7, 1208670/7], [3434362/7, 222553/7], [44/7, -3/7]], [[0, 0], [-64094616972/7, -74561010876/7], [-11010631018/7, -12714853694/7], [-99824/7, -146812/7]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[100, 34]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[155, 0], [38, 3], [155, 0], [0, 0]], [[-45792, 7263/2], [-11078, -19/2], [-45796, 7243/2], [-1, -5/2]], [[514404, 3016278], [244525, 1498393/2], [515844, 3016768], [360, 245/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[104, 5/2], [1966, 10], [104, 5/2], [0, 0]], [[-3821580, 10140], [-506219354/7, 21876699/14], [-26749806/7, 70947/7], [19/7, -1/14]], [[-502150140, -179651310], [-65607662714/7, -22534014221/7], [-3514889016/7, -1257504126/7], [2454/7, 834/7]]], 1, 240, [], [] >,
< [ -2, 0, 1 ], [[536, 336]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [110, 87], [27, 16], [0, 0]], [[0, 0], [5, 1], [4, 0], [1, 0]], [[0, 0], [-46, -2], [2, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1132, 2], [34, 19], [0, 0]], [[0, 0], [-34120297/7, 19013356/7], [387214/7, 2125/7], [17/7, -1/7]], [[0, 0], [3717765278/7, -6121977408/7], [94319163/7, 121802543/7], [3456/7, 5085/7]]], 0, 1920, [], [] >,
< [ -2, 0, 1 ], [[536, 336]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, 17], [-6, -7], [0, 0]], [[0, 0], [13, 0], [4, 0], [1, 0]], [[0, 0], [6, 7], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1026, -12], [40, -5], [0, 0]], [[0, 0], [-2495586/7, -297791/7], [-94580/7, -636/7], [-8/7, -2/7]], [[0, 0], [5309603/7, 12117528/7], [100342/7, 448624/7], [27/7, 40/7]]], 0, 1920, [], [] >,
< [ -2, 0, 1 ], [[264, 64]], [ -512, 29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -3], [42, 13], [0, 0]], [[0, 0], [15558616/4201, 2032545/8402], [5400, 3465], [9969/4201, -3/8402]], [[0, 0], [433104234/4201, -344994327/4201], [-306, -23265], [309092/4201, -241281/4201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -15], [42, 13], [0, 0]], [[0, 0], [-3056330637/29407, -67643763/58814], [-36430320/7, 4481/7], [195880/29407, 3/58814]], [[0, 0], [-4476328067600/29407, 3283339045986/29407], [-54245393416/7, 39743027400/7], [291612966/29407, -213653795/29407]]], 0, 1920, [], [] >,
< [ -2, 0, 1 ], [[528, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [152, -12], [186, 0], [0, 0]], [[0, 0], [186992, -76377], [216552, -76468], [8, 3]], [[0, 0], [34722876, -17497986], [39574236, -18299453], [1152, 279]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3480, 1], [-302, 1], [0, 0]], [[0, 0], [-8613304174/7, -17931282/7], [747469880/7, -1134092/7], [-40/7, 4/7]], [[0, 0], [-2759076860822/7, -905517451654/7], [238872986920/7, 77721007121/7], [-11960/7, -2899/7]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[32, 66]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-74, -3/2], [14, -6], [-74, -3/2], [0, 0]], [[-96272, -41360], [11592, -431/2], [-96212, -41354], [-5, -1/2]], [[-13450624, -13122560], [363071, 2787965/2], [-13447024, -13115090], [-300, -1245/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[128, 1/2], [-1162, 2], [128, 1/2], [0, 0]], [[20520024, 35155/2], [-1304041003/7, 12439683/14], [143641944/7, 246455/14], [24/7, 5/14]], [[661535245, 4522174073/2], [-40423864762/7, -143456216815/7], [4630844395/7, 31655621663/14], [1320/7, 2724/7]]], 1, 240, [], [] >,
< [ -2, 0, 1 ], [[264, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -21], [-35, -16], [0, 0]], [[0, 0], [-9, 1], [-12, 0], [1, 0]], [[0, 0], [-140, -126], [-110, -99], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1518, -27], [-13, 10], [0, 0]], [[0, 0], [-21033/7, 4043/7], [-1215/7, 405/7], [-15/7, 5/7]], [[0, 0], [13354/7, 5008/7], [648/7, 162/7], [8/7, 2/7]]], 0, 1920, [], [] >,
< [ -2, 0, 1 ], [[264, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 3], [32, 4], [0, 0]], [[0, 0], [-17, 0], [-12, 0], [1, 0]], [[0, 0], [-8, -1], [-8, -1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1032, 5], [24, 3], [0, 0]], [[0, 0], [-65801187/7, 7842883/7], [-1481066/7, -1195/7], [-19/7, -3/7]], [[0, 0], [84553718724/7, -2395781250/7], [1945863474/7, 179539483/7], [25680/7, 6224/7]]], 0, 1920, [], [] >,
< [ -2, 0, 1 ], [[0, 50]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3/2, 5/2], [15/2, 10], [0, 0]], [[-8, -3/2], [416/17, -31/34], [-25, -35/2], [-45/34, -1/34]], [[59, 0], [-6689/34, 743/17], [295/2, 205/2], [177/17, -59/34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, -1/2], [-10/17, -21/17], [-5, 0], [1/34, -3/34]], [[0, 0], [1, 1/2], [5, 5/2], [0, 0]]], 1, 156, [], [] >,
< [ -2, 0, 1 ], [[200, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -17/2], [5, -5/2], [0, 0]], [[0, 0], [78/17, 293/17], [0, 0], [-26/17, 3/34]], [[0, 0], [3766/17, 6195/17], [0, 0], [-513/17, -135/34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -5], [-25, -10], [0, 0]], [[0, 0], [-622/17, -739/34], [-25, -375/2], [43/17, -3/34]], [[0, 0], [-2150/17, -1965/17], [-1380, 90], [-54/17, 162/17]]], 0, 1248, [], [] >,
< [ -2, 0, 1 ], [[56, 136]], [ -518, 7 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60/7, 1/7], [54, 49], [0, 0]], [[0, 0], [-2656926/119, 4844293/238], [686701/7, -7243/7], [484/833, -3/1666]], [[0, 0], [31718105/119, -133555735/238], [-34831617/7, -14408055/7], [-24705/833, -20679/1666]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 7], [8, 26], [0, 0]], [[0, 0], [-3110455/833, 30283/1666], [-4201333/49, -664/49], [-3993/5831, -5/11662]], [[0, 0], [10977552/833, 86410831/833], [16001562/49, 116796525/49], [15312/5831, 111012/5831]]], 0, 1056, [], [] >,
< [ -2, 0, 1 ], [[656, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, -3], [38, -3], [0, 0]], [[0, 0], [211588, 16504], [61198, 1432], [-2, -8]], [[0, 0], [-13695912, -2221193], [-3924432, -429024], [216, 522]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 20], [98, 54], [0, 0]], [[0, 0], [-356, -193], [-852, -486], [4, 2]], [[0, 0], [120, -54], [240, -96], [-2, 1]]], 0, 4224, [], [] >,
< [ -2, 0, 1 ], [[68, 14]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[92, 0], [-2, 5], [92, 0], [0, 0]], [[19, 119/2], [0, -2], [11, 127/2], [-4, 2]], [[-907, -1445/2], [24, 41/2], [-873, -1431/2], [17, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -5/2], [1110, 8], [1, -5/2], [0, 0]], [[0, 0], [-10638/7, -38569/14], [442/7, 65/7], [17/7, 5/14]], [[0, 0], [1200778/7, 1834591/7], [-41392/7, -8528/7], [-1592/7, -328/7]]], 1, 132, [], [] >,
< [ -2, 0, 1 ], [[328, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -47], [-22, -37], [0, 0]], [[0, 0], [-17, 0], [-20, 0], [1, 0]], [[0, 0], [-6, -8], [30, -29], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-548, 82], [16, 29], [0, 0]], [[0, 0], [-7064100/7, 8927294/7], [-736684/7, 4542/7], [-26/7, -3/7]], [[0, 0], [142006571, -46398900], [-1097538, -6317064], [-93, -228]]], 0, 1056, [], [] >,
< [ -2, 0, 1 ], [[328, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-116, -55], [-39, -29], [0, 0]], [[0, 0], [-17, 0], [3, 0], [1, 0]], [[0, 0], [-98, 268], [70, 32], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-902, 1], [-15, 3], [0, 0]], [[0, 0], [-15622991/7, -3079389/7], [-240600/7, 393/7], [-37/7, -4/7]], [[0, 0], [-1819011214/7, -3163328978/7], [-9397951/7, -46818316/7], [-3026/7, -7361/7]]], 0, 1056, [], [] >,
< [ -2, 0, 1 ], [[328, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94, -5], [25, -5], [0, 0]], [[0, 0], [-47636, -9508], [-11797, -617], [-10, 5]], [[0, 0], [6669532, 5241850], [1341701, 1116725], [152, 370]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-360, -20], [3, 4], [0, 0]], [[0, 0], [25334/7, -32800/7], [312/7, 78/7], [12/7, 3/7]], [[0, 0], [-5061998/7, 2123673/7], [9308/7, 22620/7], [358/7, 870/7]]], 0, 1056, [], [] >,
< [ -2, 0, 1 ], [[-440, -464]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136800/151, -289/151], [-8804/151, -1/151], [0, 0]], [[0, 0], [28058795413/151, 316953373/151], [-1805864268/151, -24418709/151], [-499/151, -1/151]], [[0, 0], [54733853981806/151, 162868151069103/302], [-3545831812265/151, -5248676991924/151], [-946675/151, -2878975/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-339732/151, 1320/151], [-1372/151, 3/151], [0, 0]], [[0, 0], [542266194524/1057, -5248353281/1057], [2190513336/1057, -17480184/1057], [-5830/1057, -2/1057]], [[0, 0], [-5576408560205038/151, -17376142707013443/302], [-22646192537603/151, -35135354052295/151], [61837117/151, 188052113/302]]], 0, 6336, [], [] >,
< [ -2, 0, 1 ], [[-600, -248]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-403478/151, -315/151], [29550/151, 1/151], [0, 0]], [[0, 0], [437669338660/151, -13033029255/302], [-32054831527/151, 501199566/151], [837/151, 3/302]], [[0, 0], [-192081938872988/151, -1879961295377421/151], [13862059219736/151, 137674491232036/151], [-487520/151, -3603160/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2649772/151, -1005/151], [20720/151, -4/151], [0, 0]], [[0, 0], [-18501953047548/1057, 86763562355/2114], [-144676607659/1057, 312281467/1057], [-1441/1057, -3/2114]], [[0, 0], [-8331187922722748/1057, -129603561292641173/2114], [-65334783826261/1057, -506732150589024/1057], [-683049/1057, -10098555/2114]]], 0, 6336, [], [] >,
< [ -2, 0, 1 ], [[216, 80]], [ -518, -7 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50/7, 5/7], [-56, -25], [0, 0]], [[0, 0], [341213/119, -151658/119], [-93540/7, 9168/7], [29/833, -2/833]], [[0, 0], [-18009819/119, 60089725/238], [-1983985/7, -9602202/7], [795/833, 6025/1666]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [374/7, 106/7], [-52, -15], [0, 0]], [[0, 0], [623991/833, -83795/1666], [-14361/7, 173/7], [-93/833, -3/1666]], [[0, 0], [-887834/119, -8710603/119], [42878, 203105], [352/119, 1324/119]]], 0, 1056, [], [] >,
< [ -2, 0, 1 ], [[432, 160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -3], [258, 1], [0, 0]], [[0, 0], [8448, -245], [21800, 204], [0, -4]], [[0, 0], [-19694, -27070], [-56296, -71960], [26, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 44], [-72, 4], [0, 0]], [[0, 0], [89684, 5052], [-17084, -75074], [6, -3]], [[0, 0], [-6758694, -4360956], [7907726, 6042939], [-154, -57]]], 0, 4224, [], [] >,
< [ -2, 0, 1 ], [[40, 54]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[42, 3/2], [10, -21], [42, 3/2], [0, 0]], [[864, 320], [-150, -683/2], [882, 317], [3, -1/2]], [[-14040, -11180], [7892, 4567], [-14148, -11324], [-18, -24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-88, -3/2], [936, -6], [-88, -3/2], [0, 0]], [[-165992, -237/2], [12370003/7, -564815/14], [-1161672/7, -1999/14], [4/7, -5/14]], [[-12470, -9164], [128164, 94435], [-12470, -9164], [0, 0]]], 1, 132, [], [] >,
< [ -2, 0, 1 ], [[216, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -34], [-2, 18], [0, 0]], [[0, 0], [-15, 1], [6, 0], [1, 0]], [[0, 0], [-32, 127], [-5, -70], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-404, 2], [0, -23], [0, 0]], [[0, 0], [5503/7, -51161/7], [-3084/7, 384/7], [37/7, 4/7]], [[0, 0], [375793/7, 733757/7], [42225/7, 8073/7], [-585/7, -225/7]]], 0, 1056, [], [] >,
< [ -2, 0, 1 ], [[216, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -19], [8, 20], [0, 0]], [[0, 0], [3, 0], [6, 0], [1, 0]], [[0, 0], [-4, -10], [40, 31], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1752, 13], [-30, -6], [0, 0]], [[0, 0], [-112082797/7, 23442207/7], [-1754882/7, 4719/7], [-51/7, -4/7]], [[0, 0], [241313970824/7, 27893142605/7], [4333466594/7, 1332911367/7], [132278/7, 48970/7]]], 0, 1056, [], [] >,
< [ -2, 0, 1 ], [[216, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-278, -5], [-18, 1], [0, 0]], [[0, 0], [157908, 8397], [10142, -213], [-4, -1]], [[0, 0], [299256, 60951], [18789, 2512], [-8, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1254, 39], [-14, 11], [0, 0]], [[0, 0], [-165974262/7, -131856345/7], [458342/7, -2094/7], [-26/7, -3/7]], [[0, 0], [-39029377486/7, -29029110266/7], [74509397/7, 20479054/7], [-4510/7, -1670/7]]], 0, 1056, [], [] >,
< [ -2, 0, 1 ], [[-104, -352]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [555668/151, 177/151], [-45090/151, -2/151], [0, 0]], [[0, 0], [2333192705371/151, 24419922119/302], [-189327755205/151, -938874579/151], [-36/151, 5/302]], [[0, 0], [5034660787130339/151, 2534940708685152/151], [-408427722708362/151, -205587245873844/151], [-71901/151, -33342/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [478380/151, 1031/151], [3414/151, 2/151], [0, 0]], [[0, 0], [-604859424265/1057, 124135730053/2114], [-4317683065/1057, 449731393/1057], [2498/1057, -3/2114]], [[0, 0], [75820811648111802/1057, 30290464066244454/1057], [540375776075546/1057, 215298943849987/1057], [-345900600/1057, -160402824/1057]]], 0, 6336, [], [] >,
< [ -2, 0, 1 ], [[-488, -24]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3896/151, 518/151], [2344/151, -5/151], [0, 0]], [[0, 0], [85727376/151, -12366332/151], [-50320436/151, 857555/151], [860/151, 1/151]], [[0, 0], [-227512271131/151, -53884999915/302], [142857974931/151, 34146422582/151], [-2464286/151, -1256827/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6405100/151, -1622/151], [-22210/151, -3/151], [0, 0]], [[0, 0], [-16434491625977/1057, -914942437426/1057], [-56986631314/1057, -3165875154/1057], [-545/1057, 2/1057]], [[0, 0], [223220276899239318/1057, 136217449155145361/2114], [773971127282775/1057, 236078813015861/1057], [7181905/1057, 3663245/2114]]], 0, 6336, [], [] >,
< [ -2, 0, 1 ], [[-688, -704]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -6], [-2, 2], [0, 0]], [[0, 0], [-10383501/1433, 7933/1433], [3223, -7/2], [-5440/1433, -1/2866]], [[0, 0], [119348622/1433, -638680915/1433], [-37173, 198256], [61955/1433, -334557/1433]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 46], [2, -10], [0, 0]], [[0, 0], [596554949/10031, -3412947/10031], [899449/7, 839/14], [78788/10031, 5/20062]], [[0, 0], [-2603119656482/10031, 1870353889848/10031], [-3890202420/7, 2795918260/7], [-340978636/10031, 245059056/10031]]], 0, 13824, [], [] >,
< [ -2, 0, 1 ], [[-344, -352]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 4], [2, -11], [0, 0]], [[0, 0], [110048353/1777, 7873/3554], [-78106, 13/3], [-9629/5331, -1/10662]], [[0, 0], [559923/1777, 628485/3554], [-1192/3, -223], [-49/5331, -55/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [114, 60], [-28, -33], [0, 0]], [[0, 0], [871124711/12439, 37862021/24878], [3331616/21, -8377/21], [14671/37317, 1/24878]], [[0, 0], [-23084975187/12439, 119094892087/24878], [-99435844/21, 230121947/21], [-432575/37317, 674817/24878]]], 0, 4608, [], [] >,
< [ -2, 0, 1 ], [[304, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74, 1], [52, 3], [0, 0]], [[0, 0], [-20126, -1064], [-14184, -1379], [8, -3]], [[0, 0], [62658, 35368], [46174, 26778], [-14, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1048, 16], [-90, 2], [0, 0]], [[0, 0], [27428626/7, 819436/7], [-2352640/7, 17865/7], [2/7, -3/7]], [[0, 0], [15132, 13793], [-1212, -1137], [0, 0]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[-40, -256]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-480458/151, -505/151], [37934/151, 4/151], [0, 0]], [[0, 0], [-480767945943/151, -35247451197/302], [37955918697/151, 1355568305/151], [-220/151, -3/302]], [[0, 0], [1384781194655422/151, 608036162618904/151], [-109243213754372/151, -47903493611987/151], [618418/151, 259889/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1856116/151, 1307/151], [12264/151, 4/151], [0, 0]], [[0, 0], [-7973830582919/1057, 33842343902/1057], [-52685958090/1057, 243526170/1057], [2659/1057, 2/1057]], [[0, 0], [-84674994111701171/1057, -70620509962939239/2114], [-559299847389247/1057, -233095252719730/1057], [28355080/1057, 23832691/2114]]], 0, 3456, [], [] >,
< [ -2, 0, 1 ], [[-80, -512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, 29], [8, 7], [0, 0]], [[0, 0], [-6326, 5760], [30, 25], [6, 5]], [[0, 0], [3639690, -2640770], [-340, -2170], [-68, -434]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-380, -120], [-18, 14], [0, 0]], [[0, 0], [-4789762/7, -3529229/7], [37094/7, -3138/7], [52/7, 1/7]], [[0, 0], [-3517324840/7, -2401915066/7], [-887296/7, 16950893/7], [3740/7, 24055/7]]], 0, 18432, [], [] >,
< [ -2, 0, 1 ], [[-456, -144]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -5], [16, -20], [0, 0]], [[0, 0], [3854/7, 383/14], [-414, -32], [12/7, 1/14]], [[0, 0], [33049/7, 26365/7], [-3698, -2923], [305/21, 244/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [800, 3], [-4, 22], [0, 0]], [[0, 0], [-692219/7, -7693311/14], [-29808, 107], [5/21, 1/14]], [[0, 0], [35646232, -119922299], [-6800230, 1602001], [140/3, 11/3]]], 0, 4608, [], [] >,
< [ -2, 0, 1 ], [[-440, -504]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -31], [-4, -12], [0, 0]], [[0, 0], [-56487, -96], [216964/3, -191/3], [5/3, 0]], [[0, 0], [-13709436171/1777, -11151754695/3554], [29570780/3, 11975819/3], [1211833/5331, 327663/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 19], [6, -16], [0, 0]], [[0, 0], [-182363151/1777, 83766/1777], [200030/3, 823/3], [2769/1777, 2/5331]], [[0, 0], [126680063826/1777, 117912005415/3554], [-139544612/3, -65303303/3], [-5774290/5331, -1793069/3554]]], 0, 9792, [], [] >,
< [ -2, 0, 1 ], [[-440, -504]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 29], [30, 22], [0, 0]], [[0, 0], [60993965/1777, -12135651/3554], [-161332/3, -244/3], [-6653/5331, 1/3554]], [[0, 0], [-34427024012/1777, -21813467333/1777], [34939194, 68262911/3], [4312700/5331, 2807525/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 20], [-14, -25], [0, 0]], [[0, 0], [-32184807/1777, 1657423/3554], [61236, -623], [2521/1777, 1/3554]], [[0, 0], [-755082504/1777, 2625275255/1777], [1282006, -14929654/3], [145616/5331, -613120/5331]]], 0, 9792, [], [] >,
< [ -2, 0, 1 ], [[-720, -16]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 0], [8, -2], [0, 0]], [[0, 0], [2467575/1433, -69346/1433], [-4788, 69/2], [3423/1433, -3/2866]], [[0, 0], [18351550/1433, -19728856/1433], [-34048, 37581], [23980/1433, -26705/1433]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1108/7, -24/7], [50/7, -2/7], [0, 0]], [[0, 0], [-528015120/10031, -260206997/10031], [13721/7, 9049/7], [-8333/1433, -2/1433]], [[0, 0], [212366525199/10031, 146823459903/10031], [-6228923/7, -8770429/14], [2076750/1433, 2589015/2866]]], 0, 13824, [], [] >,
< [ -2, 0, 1 ], [[-360, -8]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -27], [18, -3], [0, 0]], [[0, 0], [28155308/1777, -523203/3554], [68570/3, -43], [2810/5331, 1/10662]], [[0, 0], [-4520901658/1777, 1982417663/1777], [-3646750, 1582362], [-149178/1777, 64538/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, -75], [40, 16], [0, 0]], [[0, 0], [661235093/12439, 9706245/24878], [-1994968/21, -628/7], [-8719/37317, -5/74634]], [[0, 0], [9754365133/12439, -129897781833/24878], [-10646176/7, 65386521/7], [-46905/12439, 571605/24878]]], 0, 4608, [], [] >,
< [ -2, 0, 1 ], [[528, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 1], [28, 1], [0, 0]], [[0, 0], [-3162, 636], [13612, 16], [-4, -4]], [[0, 0], [-199660, 91746], [761742, -240729], [-82, -153]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-900, -3], [-152, -3], [0, 0]], [[0, 0], [57850836/7, -165716/7], [9774132/7, 132693/7], [-54/7, -3/7]], [[0, 0], [11569447444/7, 26581170746/7], [2102559558/7, 4523555787/7], [-13702/7, -25451/7]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[-472, -216]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-191184/151, 414/151], [16472/151, 3/151], [0, 0]], [[0, 0], [298317610/151, -13000695/302], [-25904495/151, 497361/151], [-1395/151, -5/302]], [[0, 0], [5436764944/151, 23792198481/151], [-482869378/151, -2067459783/151], [-30702/151, -111972/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5183824/151, 893/151], [17470/151, 1/151], [0, 0]], [[0, 0], [-232578906245376/1057, 2026830340039/2114], [-783814765479/1057, 3505471094/1057], [2787/1057, -3/2114]], [[0, 0], [1751086269670994530/1057, 6539673438587452284/1057], [5896264054935868/1057, 22038669226117134/1057], [-21582606/1057, -78447851/1057]]], 0, 3456, [], [] >,
< [ -2, 0, 1 ], [[-944, -432]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [634, 19], [254, 3], [0, 0]], [[0, 0], [1519942, 145415], [607104, 47430], [-10, 5]], [[0, 0], [-58844218, -39343240], [-23022522, -15348348], [118, 54]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1430, 45], [164, 1], [0, 0]], [[0, 0], [-92250936/7, 2173890/7], [-10610744/7, 518657/7], [-40/7, -3/7]], [[0, 0], [5109934750/7, 2032325128/7], [575196400/7, 218584146/7], [2400/7, 1104/7]]], 0, 18432, [], [] >,
< [ -2, 0, 1 ], [[-168, -312]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 11], [62, 35], [0, 0]], [[0, 0], [7116/7, 2889/14], [1336, 608], [12/7, 1/14]], [[0, 0], [-46584/7, 38169/7], [-3832, 3964], [-320/21, 248/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -11], [-1370, -4], [0, 0]], [[0, 0], [1217787, -6801/2], [398853312/7, -121832801/7], [-5/21, 1/42]], [[0, 0], [601024722/7, 2528490880/7], [-43541288368/7, 109594112865/7], [-64/21, -1448/21]]], 0, 4608, [], [] >,
< [ -2, 0, 1 ], [[-568, -64]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -3], [-18, -14], [0, 0]], [[0, 0], [-45807289/1777, 133793/3554], [97256/3, -218/3], [4009/5331, -1/3554]], [[0, 0], [-5399260520/1777, 6715740275/3554], [11474582/3, -7138219/3], [157300/1777, -586729/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -25], [-46, -32], [0, 0]], [[0, 0], [106767708/1777, -104325/3554], [-119570/3, -670/3], [-4876/5331, -1/3554]], [[0, 0], [-103068877512/1777, 71522778390/1777], [114452428/3, -26465409], [4701880/5331, -3262646/5331]]], 0, 9792, [], [] >,
< [ -2, 0, 1 ], [[-568, -64]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 15], [0, -17], [0, 0]], [[0, 0], [-61957402/1777, -66761/3554], [191326/3, -25], [7852/5331, -1/10662]], [[0, 0], [1090336826/1777, -3923322648/1777], [-1129848, 4039488], [-46260/1777, 165765/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -28], [2, 11], [0, 0]], [[0, 0], [12466912/1777, 498325/3554], [-68438/3, -55], [-2810/5331, -1/10662]], [[0, 0], [-3206754527/1777, 4238957963/3554], [6008460, -3984281], [247435/1777, -328287/3554]]], 0, 9792, [], [] >,
< [ -2, 0, 1 ], [[432, 144]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-988/17, 96/17], [-294/17, -15/17], [0, 0]], [[0, 0], [-25884003/697, -16613866/697], [-1133292/85, -760167/85], [-403/3485, -2/3485]], [[0, 0], [1794466710/697, 1150797029/697], [78553734/85, 52665858/85], [330/41, 3/205]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [532/17, -2/17], [174/17, 12/17], [0, 0]], [[0, 0], [-1408725/697, -657076/697], [-91248/85, -31596/85], [-917/697, -2/3485]], [[0, 0], [739580778/697, 349629479/697], [9555336/17, 3390000/17], [476416/697, 5583/697]]], 0, 3840, [], [] >,
< [ -2, 0, 1 ], [[216, 72]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1454/17, 7/17], [105/17, 9/17], [0, 0]], [[0, 0], [-5198951/697, 186033/1394], [45867/85, 3318/85], [19/3485, -1/1394]], [[0, 0], [-1266, -342], [96, 33], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3606/17, -856/17], [-90/17, -15/17], [0, 0]], [[0, 0], [1169269753/4879, -4027517/9758], [196122/85, 108/17], [-23973/24395, -1/48790]], [[0, 0], [28090804456/4879, 892181477/4879], [4713093/85, 170736/85], [-115200/4879, -19296/24395]]], 0, 960, [], [] >,
< [ -2, 0, 1 ], [[216, 72]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 10], [-12, 0], [0, 0]], [[0, 0], [-3236158/697, 6003441/1394], [-5541/17, 27645/17], [422/697, -1/1394]], [[0, 0], [49382734/697, -93379109/1394], [337503/85, -2195952/85], [-33678/3485, -1519/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2562/17, -168/17], [234/17, -12/17], [0, 0]], [[0, 0], [5830807/287, 322247/574], [-38433/5, -12/5], [41801/24395, 1/9758]], [[0, 0], [-103982396324/287, -6761917914/287], [683983674/5, 25883679/5], [-743909136/24395, -27964164/24395]]], 0, 960, [], [] >,
< [ -2, 0, 1 ], [[216, 72]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [550/17, -50/17], [168/17, -6/17], [0, 0]], [[0, 0], [-623402/697, -188923/697], [-7902/17, -9033/85], [-2238/3485, 1/3485]], [[0, 0], [104341324/697, 65298847/1394], [1320216/17, 316137/17], [74368/697, 1743/1394]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8174/17, 178/17], [528/17, 3/17], [0, 0]], [[0, 0], [-90161283/4879, -469667981/9758], [1572258/85, -293568/85], [-32043/24395, -1/9758]], [[0, 0], [-833667469288/4879, -1898651139106/4879], [2485047150/17, -1967988429/85], [-256110448/24395, -7731964/24395]]], 0, 960, [], [] >,
< [ -2, 0, 1 ], [[36, 54]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[82, -1/2], [333/17, -21/17], [246/17, -3/34], [0, 0]], [[-9524, -11363/2], [1018689/697, -849802/697], [-146274/85, -170733/170], [1944/3485, 1/3485]], [[-3181947, -2616114], [-843861593/1394, 247603651/697], [-47879979/85, -80275311/170], [17397/1394, 508379/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, 3/2], [-1475/17, -192/17], [27/17, 9/34], [0, 0]], [[2011, -223], [-746205611/4879, 14104133/4879], [-16815/17, -3498/85], [12949/24395, 2/24395]], [[53370, -335610], [934584097/1394, 17895594292/697], [415722/17, 28337403/170], [-39917/6970, -310923/3485]]], 1, 120, [], [] >,
< [ -2, 0, 1 ], [[216, 72]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -14], [4, -5], [0, 0]], [[0, 0], [1136/7, 629/14], [40, -8], [20/7, -3/14]], [[0, 0], [-28008/7, -8216/7], [-968, 176], [-486/7, 27/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -9], [4, 3], [0, 0]], [[0, 0], [-11996/49, 11997/98], [-128/7, -3/7], [-64/49, -3/98]], [[0, 0], [-911/49, -1221/98], [-34/7, -23/7], [-17/49, -23/98]]], 0, 1280, [], [] >,
< [ -2, 0, 1 ], [[144, 288]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-568/17, -30/17], [-162/17, -24/17], [0, 0]], [[0, 0], [-33655/697, 28936/697], [5268/85, 1842/85], [403/3485, -2/3485]], [[0, 0], [135323/697, -21208/697], [10008/17, 7920/17], [447/697, 444/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48/17, 178/17], [84/17, 3/17], [0, 0]], [[0, 0], [2667085/697, -78218/697], [-1512/85, -3471/85], [477/697, 2/3485]], [[0, 0], [-207175252/697, -189592082/697], [126852/17, 79158/17], [-2304/41, -2064/41]]], 0, 3840, [], [] >,
< [ -2, 0, 1 ], [[72, 144]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 7], [3, 0], [0, 0]], [[0, 0], [4265120/697, -67379/1394], [7926/85, 396/85], [4898/3485, 1/1394]], [[0, 0], [20702/697, 37033/1394], [39/85, 36/85], [24/3485, 43/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1508/17, -219/17], [-285/17, -12/17], [0, 0]], [[0, 0], [-266991, -17470], [-44070, 1137], [-1, 0]], [[0, 0], [1629443650448/4879, 3157531956221/9758], [27346052199/595, 29144176041/595], [26875924/24395, 55614663/48790]]], 0, 960, [], [] >,
< [ -2, 0, 1 ], [[72, 144]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1698/17, -74/17], [-624/17, -15/17], [0, 0]], [[0, 0], [-162742/697, -2731/1394], [1221/85, -144/85], [678/3485, -1/1394]], [[0, 0], [863631/697, 3015265/697], [-774/85, -21852/85], [-659/697, -12521/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4102/17, 206/17], [-234/17, -12/17], [0, 0]], [[0, 0], [-44351409/4879, 28494779/9758], [553815/119, -19755/119], [5301/4879, 1/9758]], [[0, 0], [-10170510/17, -45537139/34], [73998651/85, 81126321/85], [18678/85, 7843/34]]], 0, 960, [], [] >,
< [ -2, 0, 1 ], [[72, 144]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [198/17, 52/17], [36/17, -6/17], [0, 0]], [[0, 0], [121455/697, -181687/1394], [5988/85, -4092/85], [19/3485, 1/1394]], [[0, 0], [64/17, -56/17], [24/17, -21/17], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2820/17, 198/17], [90/17, -15/17], [0, 0]], [[0, 0], [19858112/287, 21389/574], [-60972/35, 1578/35], [11868/24395, 1/9758]], [[0, 0], [665668419526/4879, 1387417868297/9758], [-386274240/119, -415203030/119], [4677156/4879, 9751949/9758]]], 0, 960, [], [] >,
< [ -2, 0, 1 ], [[72, 18]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-37, 1/2], [-653/17, 140/17], [-111/17, 3/34], [0, 0]], [[9656, 12070], [9363715/1394, 7283435/697], [147384/85, 361881/170], [2897/6970, -2/3485]], [[-7386201, -5802759], [-4059767279/697, -6620388733/1394], [-111639252/85, -87428646/85], [-100401/697, -482881/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 3/2], [-259/17, -175/17], [24/17, 9/34], [0, 0]], [[-8888, 705], [-10301010/4879, 37916482/4879], [-1189512/595, 74679/595], [-1614/4879, 2/24395]], [[-27964794, -12132549], [25405391931/1394, 16041482749/697], [-543852309/85, -483069981/170], [-7850847/6970, -1884173/3485]]], 1, 120, [], [] >,
< [ -2, 0, 1 ], [[72, 144]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -5], [-6, 5], [0, 0]], [[0, 0], [837/7, 957/14], [-20, 12], [19/7, 1/14]], [[0, 0], [942, 531], [-168, 102], [22, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 32], [36, 19], [0, 0]], [[0, 0], [-6456/7, -5725/14], [-3086/7, -1692/7], [0, -1/14]], [[0, 0], [44, 139], [40, 60], [0, 0]]], 0, 1280, [], [] >,
< [ -2, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -15], [-18, 3], [0, 0]], [[0, 0], [-156, -118], [-42, -34], [0, -2]], [[0, 0], [260, 208], [68, 61], [-2, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, -51], [-12, -9], [0, 0]], [[0, 0], [-3188/7, 2066/7], [-20/7, -40/7], [2/7, 4/7]], [[0, 0], [31954/7, -23501/7], [-380/7, 10/7], [38/7, -1/7]]], 0, 640, [], [] >,
< [ -2, 0, 1 ], [[0, 18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [-12, -15], [0, -15/2], [0, 0]], [[-18, 14], [-43, 81/2], [-54, 42], [0, -1/2]], [[4, -5], [0, -21], [12, -15], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -3/2], [132, 18], [-12, -9/2], [0, 0]], [[-199, -13/2], [58718/7, -28727/14], [-4689/7, -423/14], [17/7, 5/14]], [[1189, -3819], [-983424/7, 1244773/7], [25749/7, -89559/7], [-26/7, 312/7]]], 1, 20, [], [] >,
< [ -2, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 21], [-3, -6], [0, 0]], [[0, 0], [3, 1], [0, 0], [1, 0]], [[0, 0], [-102, 114], [6, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-240, 6], [0, 3], [0, 0]], [[0, 0], [-14542/7, 199725/7], [-4695/7, 18/7], [-36/7, -2/7]], [[0, 0], [-322825/7, 1160252/7], [-27093/7, 2913/7], [-205/7, 10/7]]], 0, 160, [], [] >,
< [ -2, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -9], [-6, -12], [0, 0]], [[0, 0], [3, 1], [0, 0], [1, 0]], [[0, 0], [0, 0], [12, -9], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -24], [30, -3], [0, 0]], [[0, 0], [-31/7, -1623/7], [-306/7, -528/7], [27/7, -2/7]], [[0, 0], [558/7, -16146/7], [-2766/7, -5175/7], [270/7, -27/7]]], 0, 160, [], [] >,
< [ -2, 0, 1 ], [[0, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -12], [12, 3], [0, 0]], [[0, 0], [-3, -5], [3, 0], [1, 0]], [[0, 0], [-120, 240], [18, 45], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 96], [0, -12], [0, 0]], [[0, 0], [1004/7, -1695/7], [-324/7, 360/7], [-6/7, -5/7]], [[0, 0], [11903/7, -8870/7], [-2949/7, 2145/7], [1/7, -5/7]]], 0, 1280, [], [] >,
< [ -2, 0, 1 ], [[216, 72]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56190/151, -867/151], [4392/151, -3/151], [0, 0]], [[0, 0], [-144771078/151, -143886209/151], [10962308/151, 11068228/151], [-512/151, 2/151]], [[0, 0], [5488589691/151, 9640837743/302], [-417159129/151, -370021647/151], [14820/151, 4485/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-514536/151, 297/151], [3270/151, 12/151], [0, 0]], [[0, 0], [762682885/1057, -128230329/2114], [-4695659/1057, 399874/1057], [4100/1057, 1/2114]], [[0, 0], [31878578373/1057, 1204943688/1057], [-196216068/1057, -7199628/1057], [174933/1057, 21204/1057]]], 0, 960, [], [] >,
< [ -2, 0, 1 ], [[72, 144]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9006/151, 336/151], [-414/151, 9/151], [0, 0]], [[0, 0], [-1042508/151, 143483/302], [51863/151, -3120/151], [1139/151, 3/302]], [[0, 0], [6049257099/151, -2567405043/302], [-300185901/151, 61308459/151], [-6474960/151, 1896465/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166722/151, -1398/151], [768/151, 3/151], [0, 0]], [[0, 0], [-5152558609/1057, 60670893/1057], [23865500/1057, -401567/1057], [-5029/1057, 1/1057]], [[0, 0], [-1227732431629/1057, 390479187229/2114], [5695044091/1057, -932931450/1057], [-1194206/1057, 353469/2114]]], 0, 960, [], [] >,
< [ -2, 0, 1 ], [[72, 216]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -3], [8, 0], [0, 0]], [[0, 0], [238, 45], [6, 9], [-2, 0]], [[0, 0], [-1705/7, -3645/14], [-22, -12], [9/7, 27/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [716, 45], [6, -3], [0, 0]], [[0, 0], [10845249/7, 11487565/14], [6104, 4], [5/7, -3/14]], [[0, 0], [-414200184/7, -285336488/7], [-143650, -84669], [-76/7, -34/7]]], 0, 2880, [], [] >,
< [ -2, 0, 1 ], [[360, 144]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 1], [-10, -4], [0, 0]], [[0, 0], [-1622/7, -225/14], [2, 0], [-36/7, -3/14]], [[0, 0], [13243/7, -7838/7], [-18, 11], [305/7, -183/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -35], [18, -1], [0, 0]], [[0, 0], [1564/7, 1311/14], [-638/7, -387/7], [-4/7, 3/14]], [[0, 0], [-1172, 1083], [750/7, -1377/7], [90/7, -65/7]]], 0, 2880, [], [] >,
< [ -2, 0, 1 ], [[-1368, -432]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -12], [-4, -29], [0, 0]], [[0, 0], [-1882/7, -1985/14], [-472, -211], [-4/7, -5/14]], [[0, 0], [76, -61], [216, -168], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-692, -2], [-10, -13], [0, 0]], [[0, 0], [-20860347/7, 54252507/14], [102568, -278], [1/7, -1/14]], [[0, 0], [-6896, -13361], [-600, -321], [0, 0]]], 0, 46080, [], [] >,
< [ -2, 0, 1 ], [[-504, -936]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, -37], [2, -6], [0, 0]], [[0, 0], [-488/7, -771/14], [-226, 25], [20/7, -3/14]], [[0, 0], [-82, -192], [-3288, 2005], [40, -24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -29], [952, 0], [0, 0]], [[0, 0], [550819/7, -761/14], [20144632/7, -19459656/7], [5/7, -3/14]], [[0, 0], [-45444298/7, -71467143/7], [3386280966/7, -1005884709/7], [-24/7, -75]]], 0, 46080, [], [] >,
< [ -2, 0, 1 ], [[160, 16]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1004458/151, -1523/151], [3972/151, 1/151], [0, 0]], [[0, 0], [1165165/151, 680778/151], [4050/151, 2701/151], [-591/151, -3/151]], [[0, 0], [-235479989/151, -174419782/151], [-885207/151, -634933/151], [51220/151, 59150/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41398/151, 354/151], [3138/151, -4/151], [0, 0]], [[0, 0], [-88654/151, 33282/151], [-1137/151, -2444/151], [525/151, -5/151]], [[0, 0], [-538070/151, -2813837/151], [-278881/151, -155615/151], [21385/151, 24661/151]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[48, 44]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-87417/151, -479/151], [-3683/151, 2/151], [0, 0]], [[525/2, 5/2], [-126976157/151, -3053415/302], [-10696603/302, -32080/151], [5/2, 0]], [[24768, 28368], [-12048854338/151, -13751505488/151], [-500595440/151, -576245680/151], [34848/151, 40464/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19183/151, 138/151], [801/151, 1/151], [0, 0]], [[-92, -2], [-55395/151, -98/151], [-3707/151, -97/151], [-92/151, -2/151]], [[17153/2, 19737/2], [32656, 38702], [4623/2, 2643], [17153/302, 19737/302]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[8, 40]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76092/151, 1234/151], [-5830/151, -2/151], [0, 0]], [[0, 0], [-480728441/151, 4402112099/302], [42215454/151, -169311998/151], [-627/151, -1/302]], [[0, 0], [-844765459233/151, -1178569001767/151], [61884784161/151, 89316072495/151], [371112/151, 161116/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-205638/151, -807/151], [15888/151, 4/151], [0, 0]], [[0, 0], [3352486967/151, 2788667125/151], [-257439336/151, -214512879/151], [3, 0]], [[0, 0], [7315596894361/151, 10754637290273/302], [-562175388600/151, -413395512600/151], [573911/151, 498423/302]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[24, 22]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-673, -3/2], [-16770/151, -263/302], [-673/151, -3/302], [0, 0]], [[609245, 574], [15143447/151, 99623/151], [609323/151, 572/151], [256/151, -1/151]], [[528360365, 1209661323/2], [176189491/2, 100050251], [3499496, 4006002], [439101/302, 253071/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-545, -2], [80924/151, -703/302], [-545/151, -2/151], [489/151, -5/302]], [[-162021, -370311/2], [23618337/151, 54602971/302], [-162021/151, -370311/302], [142464/151, 164864/151]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[176, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -61], [-18, -13], [0, 0]], [[0, 0], [3, 0], [5, 0], [1, 0]], [[0, 0], [-12, 10], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, 106], [56, 0], [0, 0]], [[0, 0], [-11, 0], [5, 0], [1, 0]], [[0, 0], [-48, -9], [66, -55], [0, 0]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[176, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 0], [6, 2], [0, 0]], [[0, 0], [3, 0], [5, 0], [1, 0]], [[0, 0], [162, 61], [30, 17], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -1], [26, 11], [0, 0]], [[0, 0], [-11, 0], [5, 0], [1, 0]], [[0, 0], [-14, 0], [30, 10], [0, 0]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[88, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -20], [58, 3], [0, 0]], [[2, 1/2], [-1080, 49/2], [970, 3557/2], [2, 1/2]], [[1, 13/2], [1573, -7823/2], [11525, 2369/2], [1, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74, 6], [68, 4], [0, 0]], [[5, 2], [-151, 9], [-71, 41], [5, 2]], [[6, 69/2], [1130, -2967/2], [1226, -1863/2], [6, 69/2]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[44, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -5], [20, 9], [0, 0]], [[-1/2, -1], [11/2, 11], [-219/2, -71], [-1/2, -1]], [[-1/2, 1/2], [11/2, -11/2], [25/2, 1/2], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 1], [-20, -16], [0, 0]], [[-5/2, 5/2], [-15/2, 15/2], [129/2, 11/2], [-5/2, 5/2]], [[2, -1/2], [6, -3/2], [36, 87/2], [2, -1/2]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[88, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -34], [50, -2], [0, 0]], [[-1, 5/2], [30532, -34891/2], [14494, -36705/2], [-1, 5/2]], [[-6, -36], [-338690, 146587], [-71562, 232281], [-6, -36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 11], [50, 5], [0, 0]], [[-5, 3/2], [194, 335/2], [254, 299/2], [-5, 3/2]], [[72, 333], [-41836, -27884], [-42700, -31880], [72, 333]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[-336, -112]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -4], [-2, 4], [0, 0]], [[0, 0], [0, 0], [7, 0], [1, 0]], [[0, 0], [2, 2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 14], [22, -2], [0, 0]], [[0, 0], [-21622/17, 10364/17], [41245/17, 14747/17], [57/17, -1/17]], [[0, 0], [-7076226/17, 1425922/17], [25111110/17, 14142668/17], [27510/17, 9100/17]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[-168, -56]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-143154/151, -13/151], [10524/151, 1/151], [0, 0]], [[0, 0], [4265010154/151, 1661687/302], [-313569508/151, -62372/151], [476/151, -1/302]], [[0, 0], [-133926424672/151, 1579517150095/151], [9845504494/151, -116128268060/151], [-15386/151, 176302/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111468/151, 1575/151], [-8226/151, -5/151], [0, 0]], [[0, 0], [-175721099/151, 57277382/151], [13138439/151, -4404396/151], [512/151, 2/151]], [[0, 0], [-195801145/151, 543504859/302], [15005954/151, -20335036/151], [63/151, -1539/302]]], 0, 576, [], [] >,
< [ -2, 0, 1 ], [[-28, -42]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5216, 3/2], [176057/151, 11739/302], [5216/151, 3/302], [0, 0]], [[-531227409, 163347701/2], [-35495433883/302, 2164081411/151], [-531226354/151, 81673856/151], [571/302, 2/151]], [[995420092050, -400433705647/2], [66301266524959/302, -11294681834115/302], [995418146442/151, -200216764634/151], [-1052835/302, 45843/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4159, 3/2], [141176/151, 13853/302], [4159/151, 3/302], [0, 0]], [[810263336, -560957923], [25648780549/151, -17701364458/151], [810261832/151, -560957924/151], [-407/151, -1/151]], [[-58964736376, 81854233123/2], [-3732345471525/302, 2583462663621/302], [-58964633446/151, 40927111926/151], [55699/302, -2409/302]]], 1, 72, [], [] >,
< [ -2, 0, 1 ], [[-168, -56]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-618067/151, -2666/151], [-2147/151, -4/151], [0, 0]], [[0, 0], [-2612831098/151, -1628625407/151], [-9047000/151, -5635300/151], [256/151, -1/151]], [[0, 0], [-180714622548/151, -235754986791/302], [-625660000/151, -407930320/151], [14820/151, 4485/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [294426/151, -2062/151], [1024/151, -4/151], [0, 0]], [[0, 0], [221474/151, -169203/151], [979/151, -586/151], [-407/151, 1/151]], [[0, 0], [-28037818/151, 44507697/302], [-131220/151, 72306/151], [65462/151, 17979/302]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-28, -42]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2787, 3/2], [803631/151, -2153/302], [2787/151, 3/302], [0, 0]], [[-4765250, 3973900], [-1378496318/151, 2296911029/302], [-4765250/151, 3973900/151], [-870/151, -5/302]], [[1273724375, -704509750], [368034783512/151, -407721086007/302], [1273724375/151, -704509750/151], [-47058/151, -334397/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5958, -3/2], [3460609/151, 1247/302], [-5958/151, -3/302], [0, 0]], [[-4561470, 2300363/2], [2650149759/151, -668256377/151], [-4561555/151, 2300367/302], [-279/151, 1/302]], [[-230662950, 2017879675/2], [268040217831/302, -586178622978/151], [-230657967/151, 1008959996/151], [255/2, 441]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[-48, -240]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8588/17, 60/17], [628/17, -3/17], [0, 0]], [[0, 0], [-500821065/697, -255330037/697], [-4435996/85, -2224702/85], [-587/697, 1/3485]], [[0, 0], [1057551885832/697, 672522936650/697], [1865263168/17, 1179965656/17], [907384/697, 325220/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3988/17, -72/17], [-1318/17, -10/17], [0, 0]], [[0, 0], [-7490018/41, -25726131/41], [70988, 1045552/5], [-256/3485, -3/3485]], [[0, 0], [-3328900089/697, -3691899892/697], [141870816/85, 30471318/17], [-1977/3485, -712/3485]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-60, -6]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-638, -3/2], [1081/17, -123/17], [-638/17, -3/34], [0, 0]], [[-1582638, -340408], [104755703/697, 10896006/697], [-7911128/85, -1702013/85], [403/3485, 2/3485]], [[67215355, 137810923/2], [-7133535569/1394, -4256476890/697], [336020784/85, 344448431/85], [-21389/6970, -3066/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[162, 3/2], [-1013/17, 123/17], [162/17, 3/34], [0, 0]], [[-4198, -592], [-2025427909/9758, -21433/4879], [-11982/85, -5167/170], [30777/48790, 2/24395]], [[-18202656, -20260437], [-448235234838/697, -1270055830607/1394], [-59800707/85, -60596737/85], [6813172/3485, 19300371/6970]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[-24, -120]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6338/17, 127/17], [205/17, 3/17], [0, 0]], [[0, 0], [88370438/697, 2062633/1394], [359502/85, 2304/85], [752/697, 1/6970]], [[0, 0], [-325928488228/697, -119059319702/697], [-1320982556/85, -477429474/85], [-13754472/3485, -981416/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3622/17, 337/17], [-11/17, 1/17], [0, 0]], [[0, 0], [2122740737/4879, -69971/9758], [-18757/85, -783/85], [-32043/24395, -1/9758]], [[0, 0], [-2013977075127/697, -696137201075/697], [128168082/85, 48260821/85], [30403187/3485, 10511139/3485]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-24, -120]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7314/17, 192/17], [-520/17, 4/17], [0, 0]], [[0, 0], [17142769/697, 147510021/1394], [167663/85, 642882/85], [-2769/3485, -1/1394]], [[0, 0], [-112949513019/697, -257388522945/1394], [-202778235/17, -226461903/17], [892427/697, 642417/1394]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5538/17, -226/17], [-432/17, -4/17], [0, 0]], [[0, 0], [266032824/4879, -5514751/9758], [-24689/85, -4214/85], [-28852/24395, -1/48790]], [[0, 0], [81429845262/4879, 17242284872/4879], [-8164956/85, -2974653/85], [-8872032/24395, -1962084/24395]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-24, -120]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-692, 7], [-21, 0], [0, 0]], [[0, 0], [-6137063/697, -41656651/1394], [-26386/85, -77288/85], [1669/3485, 1/6970]], [[0, 0], [86908703523/697, 94752501664/697], [337354298/85, 71389662/17], [-6866121/3485, -2472776/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19834/17, 104/17], [1492/17, 5/17], [0, 0]], [[0, 0], [-54434519301/4879, -4908890143/9758], [-71296568/85, -3081204/85], [-5301/24395, 1/48790]], [[0, 0], [-6974866907376/697, -2691470924488/697], [-12773241052/17, -4912064322/17], [-131646/697, -46472/697]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-24, -120]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -7], [-4, -6], [0, 0]], [[0, 0], [-418/7, -729/14], [-44, -16], [32/21, 5/42]], [[0, 0], [-3718/7, 4881/7], [1278, -743], [-1612/21, 1054/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 37], [20, 16], [0, 0]], [[0, 0], [17792/49, 4999/98], [1024/7, 423/7], [122/147, -5/294]], [[0, 0], [-115096/49, -28983/49], [-7040/7, -3413/7], [-760/147, -76/147]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-24, -120]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3131710/151, -3236/151], [15632/151, 5/151], [0, 0]], [[0, 0], [6310628005/151, 55319365/302], [-31497281/151, -115982/151], [-384/151, 3/302]], [[0, 0], [779693505140/151, 340899534811/151], [-3889205210/151, -1698763524/151], [-47104/151, -20352/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2093192/151, 1747/151], [2948/151, 5/151], [0, 0]], [[0, 0], [31179898076/1057, 3129337187/1057], [43937594/1057, 4425237/1057], [3972/1057, 1/1057]], [[0, 0], [316731162564/151, 311070312965/302], [446451653/151, 219319295/151], [37127/151, 32195/302]]], 0, 960, [], [] >,
< [ -2, 0, 1 ], [[-248, -64]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11982134/151, 4267/151], [-9802/151, -3/151], [0, 0]], [[0, 0], [22061075922, -1914474701/2], [-18047181, 783975], [371/151, 3/302]], [[0, 0], [-5438091739282398/151, -5409969635428644/151], [4448196631644/151, 4425412139786/151], [-665520/151, -633837/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180858, 5], [28, 0], [0, 0]], [[0, 0], [21091768900952/1057, 168220258589/1057], [3265416002/1057, 25960273/1057], [-2370/1057, 1/1057]], [[0, 0], [90279014636869253/1057, 170650463489842053/2114], [13976277214989/1057, 13209653174260/1057], [-9984614/1057, -19007501/2114]]], 0, 1728, [], [] >,
< [ -2, 0, 1 ], [[-496, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, -8], [34, 16], [0, 0]], [[0, 0], [-19230, 10344], [-2884, 153], [-2, -1]], [[0, 0], [-262, 167], [-30, 11], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4846, 73], [52, 1], [0, 0]], [[0, 0], [3470842, -243465], [37188, -2445], [-6, 0]], [[0, 0], [-50295724/7, -9672076/7], [-540146/7, -106089/7], [90/7, 23/7]]], 0, 6912, [], [] >,
< [ -2, 0, 1 ], [[-400, -432]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -2], [20, 30], [0, 0]], [[0, 0], [-171315147/1433, 20938/1433], [-75630, 99/2], [73959/24361, 3/48722]], [[0, 0], [-97277/1433, -193413/1433], [-43, -171/2], [42/24361, 167/48722]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5216/7, -96/7], [550/7, 6/7], [0, 0]], [[0, 0], [-10453491376/10031, -102822260/10031], [1221740/7, 7955/7], [98028/24361, 1/24361]], [[0, 0], [-5984146001991/10031, -5916658796000/10031], [694836738/7, 1378444329/14], [55036827/24361, 109885815/48722]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[-200, -216]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 18], [-28, -7], [0, 0]], [[0, 0], [-3399098/1777, -60171/1777], [26728, -2848/3], [4132/5331, 2/5331]], [[0, 0], [-256982122/1777, 234308011/3554], [2122642, -1030558], [105830/1777, -98589/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -13], [20, 2], [0, 0]], [[0, 0], [-5464430553/12439, -700409/24878], [1984622/21, -4801/21], [36077/12439, 5/74634]], [[0, 0], [-792580523314/12439, -1854315199130/12439], [284512064/21, 672752611/21], [15695200/37317, 12242256/12439]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[-344, -152]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168498/151, 716/151], [16144/151, 3/151], [0, 0]], [[0, 0], [-223153422367/151, 10128364705/302], [21377143133/151, -390395179/151], [-824/151, -3/302]], [[0, 0], [-3189649172651590/151, -838213029541040/151], [306328665261526/151, 81668836964775/151], [-11942888/151, -3387593/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19337380/151, -10531/151], [-5574/151, -3/151], [0, 0]], [[0, 0], [-6164750926113/1057, 37626626595/2114], [-1777067293/1057, 5440213/1057], [1986/1057, 1/2114]], [[0, 0], [-3998914178115254/1057, -1123530075691900/1057], [-1152731225774/1057, -323860659244/1057], [1290684/1057, 366213/1057]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[-120, -208]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1504582/151, -1924/151], [-3460/151, -3/151], [0, 0]], [[0, 0], [42930578442/151, 2970719965/302], [98725339/151, 3374611/151], [-535/151, 3/302]], [[0, 0], [44120378668468/151, 24499653348497/151], [101417265964/151, 56299836544/151], [-528360/151, -285492/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31503124/151, -2731/151], [10314/151, 1/151], [0, 0]], [[0, 0], [282496225196120/1057, 383551734647/1057], [-92488236684/1057, -126518090/1057], [-1602/1057, -2/1057]], [[0, 0], [17415067092033034/151, 18825769784994017/302], [-5701692421055/151, -3081802428402/151], [-98747/151, -106737/302]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[1416, 416]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1876030/151, 591/151], [-144008/151, 1/151], [0, 0]], [[0, 0], [-146925080161/151, 22567248268/151], [11279386186/151, -1735940769/151], [243/151, 2/151]], [[0, 0], [51736641963586/151, 111773351509575/302], [-3968647221497/151, -4288696653423/151], [-121429/151, -223573/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43803910/151, 263/151], [151440/151, 3/151], [0, 0]], [[0, 0], [191508270092270/1057, 3063042946975/1057], [662088131310/1057, 10598767080/1057], [-1602/1057, -2/1057]], [[0, 0], [103694048936297867/151, 188859931493989107/302], [358503017473441/151, 326470906264718/151], [-844520/151, -1554997/302]]], 0, 50688, [], [] >,
< [ -2, 0, 1 ], [[1016, 1160]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2029144/151, 440/151], [-154578/151, 1/151], [0, 0]], [[0, 0], [18072793860644/151, -826086074517/302], [-1376780115721/151, 31772620620/151], [-115/151, -5/302]], [[0, 0], [4692182447071134/151, 9790434938147735/151], [-357112329527650/151, -745745017593071/151], [-35480/151, -63758/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12449352/151, -13/151], [88532/151, 1/151], [0, 0]], [[0, 0], [251814416491620/1057, 357999101833/2114], [1790747085875/1057, 1295039083/1057], [-3043/1057, -1/2114]], [[0, 0], [269002301883828908/1057, 482705906518530759/1057], [1913061324200886/1057, 3432726921883443/1057], [-3244330/1057, -5831389/1057]]], 0, 50688, [], [] >,
< [ -2, 0, 1 ], [[632, 808]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-800584/151, 263/151], [60538/151, 3/151], [0, 0]], [[0, 0], [-3221541027977/151, -70381932862/151], [243608314212/151, 5414191635/151], [1, 0]], [[0, 0], [-1923720425306385/151, -8180202437627561/302], [145700436591921/151, 309337477594087/151], [81870/151, 379845/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19040164/151, 86/151], [-138690/151, 5/151], [0, 0]], [[0, 0], [66742376629282/1057, 820401937689/2114], [486156387781/1057, 2972601343/1057], [929/1057, 1/2114]], [[0, 0], [403002319979034932/1057, 913435431660361564/1057], [2935080004140442/1057, 6653440961055335/1057], [5467244/1057, 12683701/1057]]], 0, 27648, [], [] >,
< [ -2, 0, 1 ], [[1264, 1616]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1774, -1], [-390, 3], [0, 0]], [[0, 0], [-61752742, -329393], [-13574764, 39526], [-2, 3]], [[0, 0], [-7553282486, -4353852941], [-1644757700, -943475570], [176, 225]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1290, -45], [-346, -1], [0, 0]], [[0, 0], [-7458314/7, 1010393/7], [-2019820/7, 336500/7], [-22/7, -5/7]], [[0, 0], [-76842734/7, -571776794/7], [-10620888/7, -152817368/7], [-1520/7, -1944/7]]], 0, 110592, [], [] >,
< [ -2, 0, 1 ], [[2192, 768]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -8], [10, 8], [0, 0]], [[0, 0], [3201237/1433, -6191/1433], [45251, -47/2], [4272/1433, -5/2866]], [[0, 0], [301410602/1433, 461757684/1433], [4279072, 6533226], [403892/1433, 616754/1433]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [640/7, 8/7], [-138/7, -4/7], [0, 0]], [[0, 0], [-844759589/10031, -28755646/10031], [58236/7, 12343/14], [-2309/1433, -3/2866]], [[0, 0], [13158619904/10031, 4641835003/10031], [-948893/7, -383857/7], [35197/1433, 11512/1433]]], 0, 110592, [], [] >,
< [ -2, 0, 1 ], [[1096, 384]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 9], [76, 44], [0, 0]], [[0, 0], [3038, 2], [-1623038/3, -145/3], [-4/3, 0]], [[0, 0], [-342839131/1777, 200250131/3554], [34369024, -10053577], [150525/1777, -88085/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-234, -155], [92, 47], [0, 0]], [[0, 0], [-1624669926/12439, 15808439/12439], [4979864/21, -1788/7], [21902/37317, 2/37317]], [[0, 0], [14995737433/1777, 12371229669/3554], [-15433400, -19360883/3], [-203833/5331, -170779/10662]]], 0, 27648, [], [] >,
< [ -2, 0, 1 ], [[-144, -720]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4324/17, -186/17], [1494/17, -6/17], [0, 0]], [[0, 0], [-17698291/697, -11397647/697], [-996792/85, -519528/85], [4841/3485, 1/697]], [[0, 0], [-572630620/41, -390870636/41], [-6091794, -3841659], [377580/697, 120900/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [562/17, -116/17], [198/17, -18/17], [0, 0]], [[0, 0], [70921/697, 320441/697], [-28722/85, 13386/85], [-1027/697, -3/3485]], [[0, 0], [148028802/697, 168581380/697], [-9243414/85, 1431048/85], [-2501274/3485, -910848/3485]]], 0, 30720, [], [] >,
< [ -2, 0, 1 ], [[-72, -360]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4432/17, -219/17], [-1653/17, -12/17], [0, 0]], [[0, 0], [50516441/697, 46664781/1394], [-2351031/85, -1193499/85], [1413/3485, -1/1394]], [[0, 0], [-7142940698/697, -8765332505/1394], [340483281/85, 215466192/85], [-30156/697, -105187/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6570/17, -265/17], [-99/17, 9/17], [0, 0]], [[0, 0], [-894155779/4879, -114978847/9758], [-34161/85, 12063/85], [-2843/4879, -1/48790]], [[0, 0], [-1806461666678/4879, -1394269406843/9758], [-50330538/85, 972984/85], [-5504320/4879, -18628683/48790]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[-72, -360]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4536/17, 128/17], [-1752/17, -3/17], [0, 0]], [[0, 0], [13210014/697, -25122755/1394], [570927/85, -574518/85], [-972/3485, -1/6970]], [[0, 0], [6547944/41, -11956929/41], [249054/5, -112944], [-25066/3485, -8881/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [61440/17, 142/17], [4476/17, 15/17], [0, 0]], [[0, 0], [9475262836/4879, -913067115/9758], [11588403/85, -571314/85], [3650/4879, 3/48790]], [[0, 0], [-1469056475856/697, -936223638365/1394], [-2513278083/17, -798597588/17], [-586032/697, -417211/1394]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[-72, -360]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12078/17, 126/17], [4542/17, 9/17], [0, 0]], [[0, 0], [-36077732/697, -146592737/1394], [-1612086/85, -3348639/85], [-2072/3485, -1/1394]], [[0, 0], [-7121427898/697, -7493365353/697], [-322128108/85, -341380191/85], [-2174/41, -3261/205]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166000/17, -291/17], [2367/17, 12/17], [0, 0]], [[0, 0], [206340376072/4879, -224295099405/9758], [-10197516/17, 5536566/17], [-9336/4879, -1/9758]], [[0, 0], [26366463369512/697, -15496855930995/1394], [-45638833554/85, 13359091884/85], [-9920728/3485, -1455759/1394]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[-180, -18]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[54, 1/2], [1469/17, 89/17], [162/17, 3/34], [0, 0]], [[391, -2397/2], [-2016477/1394, -2636817/1394], [7668/85, -17898/85], [-2053/6970, -1/1394]], [[1076814, 235773], [3412127541/1394, 1981182385/1394], [15417651/85, 5182329/170], [149891/1394, 1045513/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-692, -2], [-18558/17, -16/17], [-2076/17, -6/17], [0, 0]], [[-2549, 89], [662797829/9758, 752996/4879], [-52353/85, -1743/170], [-30777/48790, -2/24395]], [[-166950, -440053/2], [47789348699/9758, 29489551545/4879], [-3908466/85, -4712592/85], [-441477/9758, -1366983/24395]]], 1, 960, [], [] >,
< [ -2, 0, 1 ], [[-72, -360]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 11], [-14, -14], [0, 0]], [[0, 0], [-1895/7, -3739/14], [246, 167], [-29/7, -3/14]], [[0, 0], [-1253, 2219], [-906, -351], [85, -51]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 39], [12, 4], [0, 0]], [[0, 0], [10348/49, 5627/98], [1286/7, 781/7], [34/49, -3/98]], [[0, 0], [-8706/49, 47347/98], [1482/7, 1894/7], [-92/49, 207/98]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[-72, -360]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [173970/151, 1320/151], [-13452/151, 3/151], [0, 0]], [[0, 0], [520393136/151, 1529259493/302], [-39323991/151, -58814798/151], [627/151, 1/302]], [[0, 0], [-826003555800/151, -1382860355553/302], [63043741857/151, 52971309780/151], [-438207/151, -379995/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6910008/151, -117/151], [42090/151, 9/151], [0, 0]], [[0, 0], [-56044414372/1057, -23242383275/2114], [341377653/1057, 70849903/1057], [-417/1057, -5/2114]], [[0, 0], [-122344409419/1057, -131234264675/2114], [745322421/1057, 399803557/1057], [-786/1057, -671/2114]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[-116, -90]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1185, -1/2], [-69010/151, 5147/302], [1185/151, -1/302], [0, 0]], [[-770056, 2310693/2], [98748023/302, -137869101/302], [-769934/151, 1155344/151], [801/302, 1/302]], [[-45794946, 195156215], [3418579752/151, -11483392333/151], [-45770760/151, 195161435/151], [80214/151, 18879/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8873, -5/2], [112480/151, -5371/302], [-8873/151, -5/302], [0, 0]], [[2320296678, -4395928215/2], [-30759423313/151, 28573772506/151], [2320296678/151, -4395928215/302], [719/151, 5/302]], [[760248692420, -971230617994], [-10231942187216/151, 25090089122669/302], [760248692420/151, -971230617994/151], [421740/151, 198729/302]]], 1, 84, [], [] >,
< [ -2, 0, 1 ], [[-104, -128]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10413/151, -2101/151], [-801/151, -1/151], [0, 0]], [[0, 0], [16458257/151, -77876339/302], [1300/151, 2994030/151], [-627/151, -1/302]], [[0, 0], [391598690877/151, 20225244073/302], [-33428640960/151, -7848869600/151], [1647747/151, 7002423/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-218316/151, -518/151], [15632/151, 5/151], [0, 0]], [[0, 0], [-4071282016/151, 178842197/302], [291556800/151, -7001280/151], [174/151, 1/302]], [[0, 0], [38740291348/151, 93260759901/151], [-2746656000/151, -6672391200/151], [-1856/151, -4032/151]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[-208, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-118, 26], [10, -6], [0, 0]], [[0, 0], [-75828, -39890], [2462, 75], [-10, -5]], [[0, 0], [946720, 1073592], [10744, -41446], [116, 143]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-408, -31], [-22, -12], [0, 0]], [[0, 0], [2475882, -1249623], [59834, 859], [8, 8]], [[0, 0], [-13642824, 7797165], [-283088, 40819], [-26, -32]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-208, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-248, 34], [12, 11], [0, 0]], [[0, 0], [-114094, 95518], [-2956, 36], [6, 0]], [[0, 0], [-189874, 68257], [4732, 5790], [-10, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-398, 12], [46, -1], [0, 0]], [[0, 0], [-2551188, -76802], [295194, 11330], [-2, 5]], [[0, 0], [-1196627900, -639445908], [139617890, 75100485], [1460, 1800]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-64, -26]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, 1], [34, 9], [-11, 1], [0, 0]], [[73, -61], [-178, 233/2], [53, -67], [5, 3/2]], [[-2434, 4411/2], [6317, -7967/2], [-1498, 5167/2], [-234, -189/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-28, 0], [156, 59], [-28, 0], [0, 0]], [[-3925, 4603/2], [12200, -8953/2], [-3921, 4623/2], [-1, -5/2]], [[27440, -56789/2], [-31549, 101054], [27660, -56613/2], [-55, -22]]], 1, 84, [], [] >,
< [ -2, 0, 1 ], [[-360, -232]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-160, -107], [40, 25], [0, 0]], [[0, 0], [-33, 0], [4, 0], [1, 0]], [[0, 0], [12, -10], [-6, 5], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-134, -75], [18, 13], [0, 0]], [[0, 0], [37, 0], [4, 0], [1, 0]], [[0, 0], [-8, 9], [0, 0], [0, 0]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[-360, -232]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -17], [-17, -8], [0, 0]], [[0, 0], [-19, 0], [-3, 0], [1, 0]], [[0, 0], [-10, 20], [18, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-280, -147], [13, 2], [0, 0]], [[0, 0], [-47, 0], [-3, 0], [1, 0]], [[0, 0], [158, -736], [-70, 70], [0, 0]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[-360, -232]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 21], [13, 2], [0, 0]], [[0, 0], [158, 322], [100, 47], [8, -5]], [[0, 0], [-1384, -987], [-378, -265], [-2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -31], [-4, 8], [0, 0]], [[0, 0], [418, 318], [-19, -34], [-8, 5]], [[0, 0], [1956, 1384], [-152, -108], [-2, -1]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[-64, -26]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[30, -1/2], [-120, -54], [30, -1/2], [0, 0]], [[3292, -5969/2], [-2143, 11833/2], [3308, -5989/2], [-4, 5/2]], [[16698, 30601/2], [-125006, -93280], [16650, 30561/2], [12, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -5/2], [54, 39], [-4, -5/2], [0, 0]], [[-3, -1/2], [-704, 851/2], [9, 3/2], [-3, -1/2]], [[-224, -92], [-31622, 15453], [672, 276], [-224, -92]]], 1, 84, [], [] >,
< [ -2, 0, 1 ], [[-360, -232]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 62], [16, 3], [0, 0]], [[0, 0], [-47, 0], [4, 0], [1, 0]], [[0, 0], [94, 15], [-8, 16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-210, -133], [32, 20], [0, 0]], [[0, 0], [-19, 0], [4, 0], [1, 0]], [[0, 0], [-148, -12], [24, 1], [0, 0]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[-360, -232]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, -35], [19, 11], [0, 0]], [[0, 0], [-33, 0], [-3, 0], [1, 0]], [[0, 0], [16, 3], [-3, -1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 109], [5, -10], [0, 0]], [[0, 0], [-5, 0], [-3, 0], [1, 0]], [[0, 0], [-52, -50], [2, 3], [0, 0]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[-360, -232]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 33], [-15, -12], [0, 0]], [[0, 0], [-370, -178], [155, 94], [-6, 1]], [[0, 0], [-908, 208], [254, 21], [-40, 25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 39], [16, 10], [0, 0]], [[0, 0], [560, -245], [91, -21], [-2, -3]], [[0, 0], [166, -351], [-4, -65], [6, 3]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[56, 280]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4843144/151, 690/151], [16682/151, 5/151], [0, 0]], [[0, 0], [9760718595793/151, 332773451246/151], [33620741700/151, 1151510222/151], [-3, 0]], [[0, 0], [24441931223618547/151, 74976262819074331/302], [84229800956483/151, 129139515974404/151], [-1018096/151, -3410267/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1294384/151, 427/151], [-4320/151, 2/151], [0, 0]], [[0, 0], [886041803787/151, -2800617589/151], [2957176820/151, -9739554/151], [1011/151, 1/151]], [[0, 0], [-1617352473597011/151, -5480204179329845/302], [-5395504411893/151, -9144404702086/151], [-1871446/151, -6268557/302]]], 0, 4032, [], [] >,
< [ -2, 0, 1 ], [[56, 280]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16468, -1], [56, 0], [0, 0]], [[0, 0], [-953240632649/151, -6624236819/302], [-3241514911/151, -11459117/151], [640/151, 5/302]], [[0, 0], [-3923306824848336/151, -6578869438679496/151], [-13343990222656/151, -22372382595565/151], [2637890/151, 4418137/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [692196/151, -1031/151], [2206/151, -2/151], [0, 0]], [[0, 0], [-91754981350/151, -1419593253/302], [-292407503/151, -2433639/151], [-1139/151, -3/302]], [[0, 0], [-238451897137367/151, -392487309241787/151], [-761367253492/151, -1251224972136/151], [-2897761/151, -4853621/151]]], 0, 4032, [], [] >,
< [ -2, 0, 1 ], [[56, 280]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-251596/151, -6730/151], [-834/151, -5/151], [0, 0]], [[0, 0], [-10551260/151, 9834611/302], [-31235/151, 16361/151], [-673/151, -3/302]], [[0, 0], [2269677390/151, -117037815/151], [6150136/151, -999668/151], [244122/151, 106628/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4137110/151, -479/151], [14286/151, 2/151], [0, 0]], [[0, 0], [83146339366/151, 20577625737/302], [287134305/151, 35602001/151], [-115/151, -5/302]], [[0, 0], [1531889895380/151, 756028068415/151], [5291166694/151, 2612022577/151], [-1954/151, -850/151]]], 0, 5376, [], [] >,
< [ -2, 0, 1 ], [[624, 768]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2348/17, -62/17], [-930/17, -2/17], [0, 0]], [[0, 0], [-18205716/697, 1317340/697], [63820/17, -55016/85], [2494/3485, 2/3485]], [[0, 0], [77650221/41, 626972863/41], [176230, -2138167], [-79735/697, -297821/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74/17, -188/17], [-542/17, 6/17], [0, 0]], [[0, 0], [1749933/697, 20242048/697], [1478880/17, -749817/85], [1503/3485, 4/3485]], [[0, 0], [14551361608/697, 2555936852/697], [34745656/17, 2555611118/85], [146458/3485, 534404/3485]]], 0, 21504, [], [] >,
< [ -2, 0, 1 ], [[1872, 2304]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-346, -8], [-126, 0], [0, 0]], [[0, 0], [1372163/41, -51401/41], [3516/5, -2391/5], [-4841/3485, -1/697]], [[0, 0], [-6123561006/697, -31037457648/697], [17512350/17, -13115862/17], [354354/697, 1301776/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3994/17, -48/17], [-1230/17, -18/17], [0, 0]], [[0, 0], [-196505263/697, 253770/697], [-7385928/85, -2013/17], [-109/3485, -4/3485]], [[0, 0], [2019251717/697, 10366235593/697], [77965218/85, 389833713/85], [1557/3485, 5793/3485]]], 0, 215040, [], [] >,
< [ -2, 0, 1 ], [[16, 18]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5797, 2], [-285855/151, 578/151], [5797/151, 2/151], [0, 0]], [[51749550, 10273623/2], [-2550575095/151, -247260948/151], [51749649/151, 10273627/302], [-325/151, 1/302]], [[113546528448, 48268438475/2], [-11186712717837/302, -2353633742617/302], [113546741700/151, 24134248628/151], [-1392973/302, -162673/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3683, 2], [39852/151, 99/302], [3683/151, 2/151], [581/151, 1/302]], [[-5205278, -1199419/2], [-56332888/151, -13057085/302], [-5205278/151, -1199419/302], [-821202/151, -94866/151]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[72, 32]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19491/151, 880/151], [1569/151, 2/151], [0, 0]], [[0, 0], [60982473/151, -116924299/302], [-4495368/151, 4496920/151], [371/151, -3/302]], [[0, 0], [188867173778/151, -86732073928/151], [-14614003704/151, 6310781976/151], [-158312/151, -684068/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30810/151, 742/151], [2370/151, 1/151], [0, 0]], [[0, 0], [-3494870/151, 152227235/302], [-10630/151, -5855004/151], [640/151, 5/302]], [[0, 0], [83062501779/151, 7380594990/151], [-6423681362/151, -721025459/151], [80919/151, 351315/151]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[128, 144]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-954175/151, -1372/151], [3427/151, 1/151], [0, 0]], [[0, 0], [-7774460/151, -2030780386/151], [11110/151, 7293715/151], [440/151, -3/151]], [[0, 0], [-317376475833/151, -1281904746612/151], [1129275950/151, 4602773010/151], [277153/151, 31958/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [121682/151, -1562/151], [-9546/151, 4/151], [0, 0]], [[0, 0], [-126462746/151, 79256045/151], [9768871/151, -6096433/151], [105/151, 1/151]], [[0, 0], [-513419260/151, 308753723/151], [39684932/151, -23729762/151], [490/151, 55/151]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[32, 36]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [118517/151, 414/151], [-2403/151, 3/151], [0, 0]], [[-57, -1/2], [-3641813/151, -5537587/151], [73374/151, 223881/302], [82/151, 3/302]], [[693/2, 81/2], [29417469/151, 72086483/302], [-1186353/302, -728441/151], [-999/302, -63/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-300961/151, -190/151], [6053/151, 3/151], [0, 0]], [[-223/2, -5/2], [2865869489/151, -2867969153/151], [-115308261/302, 57689018/151], [-223/302, -5/302]], [[-38280, -4420], [796384959744/151, -888875117630/151], [-16021744922/151, 17879431806/151], [-38280/151, -4420/151]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-112, -224]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 0], [-18, -8], [0, 0]], [[0, 0], [0, 0], [7, 0], [1, 0]], [[0, 0], [-4, 8], [-6, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -28], [20, -2], [0, 0]], [[0, 0], [-36134/17, -49766/17], [76359/17, -37640/17], [-27/17, -4/17]], [[0, 0], [-50260/17, -22688/17], [-25427/17, 30619/17], [-7/17, -13/17]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[-56, -112]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-912016/151, -3572/151], [-3138/151, -4/151], [0, 0]], [[0, 0], [1830889030/151, -1709058323/302], [6307875/151, -2956905/151], [-1093/151, -5/302]], [[0, 0], [7566071145464/151, -8169884784605/302], [26080781760/151, -14120282880/151], [-3967400/151, 1153175/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [460260/151, 630/151], [1602/151, -2/151], [0, 0]], [[0, 0], [366908696/151, 328317633/302], [1273837/151, 568039/151], [489/151, 5/302]], [[0, 0], [63540839663/151, 21855439150/151], [220714555/151, 75500260/151], [97608/151, -14110/151]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-56, -14]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3588, -5/2], [1040405/151, 3689/302], [3588/151, -5/302], [0, 0]], [[17786280, -13135260], [5138670107/151, -3796080778/151], [17786280/151, -13135260/151], [92/151, -2/151]], [[468122640, -320803800], [135281622363/151, -185376252995/302], [468122640/151, -320803800/151], [387/151, -2853/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1441, -3/2], [1372448/151, -2679/302], [-1441/151, -3/302], [0, 0]], [[-4066092, 2282164], [7761972757/302, -4362825051/302], [-4066175/151, 4564325/302], [545/302, -1/151]], [[1841155304, -3020507867/2], [-3518660817127/302, 2883610927329/302], [1841162400/151, -1510280100/151], [-54107/302, 172965/302]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[144, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -62], [-18, -22], [0, 0]], [[0, 0], [3, 0], [5, 0], [1, 0]], [[0, 0], [-712, -689], [-190, -247], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 10], [-16, -4], [0, 0]], [[0, 0], [-11, 0], [5, 0], [1, 0]], [[0, 0], [4, 1], [2, -3], [0, 0]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[144, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 37], [-8, 5], [0, 0]], [[0, 0], [3, 0], [5, 0], [1, 0]], [[0, 0], [32, 22], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -3], [8, 9], [0, 0]], [[0, 0], [-11, 0], [5, 0], [1, 0]], [[0, 0], [18, 1], [18, 15], [0, 0]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[36, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 8], [-28, -21], [0, 0]], [[5/2, 2], [-59/2, -19], [-53/2, -19], [5/2, 2]], [[-1/2, 0], [11/2, 0], [9/2, 0], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -11], [6, -9], [0, 0]], [[-3/2, 0], [-9/2, 0], [51/2, -11], [-3/2, 0]], [[-1/2, 1], [-3/2, 3], [41/2, -19], [-1/2, 1]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[72, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 26], [-12, -3], [0, 0]], [[-5, 1/2], [479, -219/2], [871, -1367/2], [-5, 1/2]], [[374, 165], [-30742, -10691], [-15882, 20796], [374, 165]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, -15], [-90, -5], [0, 0]], [[-3, 3/2], [40237, 52563/2], [41823, 52455/2], [-3, 3/2]], [[58, 51/2], [-4150654, -5851313/2], [-4235038, -5960577/2], [58, 51/2]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[72, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 1], [-16, 3], [0, 0]], [[-2, 5/2], [-901, -765/2], [2703, 475/2], [-2, 5/2]], [[-174, -78], [131396, 95840], [-267666, -208524], [-174, -78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -2], [54, -4], [0, 0]], [[-1, -3/2], [-118, -63/2], [-120, -69/2], [-1, -3/2]], [[52, 23], [1562, 2006], [1666, 2052], [52, 23]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[-56, -112]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-115684/151, -263/151], [8318/151, -3/151], [0, 0]], [[0, 0], [3694693646/151, -271627907/302], [-265690120/151, 10465202/151], [-430/151, 1/302]], [[0, 0], [-3473033778970/151, -1749014669676/151], [249038612176/151, 125090976468/151], [419794/151, 218517/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23562/151, 2429/151], [2068/151, -1/151], [0, 0]], [[0, 0], [-698717/151, 594157/302], [30749/151, -23009/151], [-220/151, -3/302]], [[0, 0], [382110707/151, 63118773/151], [-6767663/151, 6927867/151], [216432/151, 112716/151]]], 0, 576, [], [] >,
< [ -2, 0, 1 ], [[-56, -14]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2091, -1/2], [-123068/151, 1221/302], [2091/151, -1/302], [0, 0]], [[-2498849, -24987475/2], [281106837/302, 734634833/151], [-2497422/151, -12493744/151], [663/302, -1/151]], [[-26807770731, -30204643273/2], [3139662905363/302, 1763646397159/302], [-26806335661/151, -15100942052/151], [668731/302, 642005/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5400, -5/2], [315877/151, -17149/302], [-5400/151, -5/302], [0, 0]], [[32879526, -80427073/2], [-4105872489/302, 2405479276/151], [32877901/151, -40213534/151], [-5/2, 0]], [[649734323, 126489911], [-37603658052/151, -6354390548/151], [649758053/151, 126512732/151], [5529/151, 5310/151]]], 1, 72, [], [] >,
< [ -2, 0, 1 ], [[-432, -192]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-546/17, 176/17], [216/17, -2/17], [0, 0]], [[0, 0], [5181870/697, -5218977/697], [-129478/85, 210954/85], [-3632/3485, -1/3485]], [[0, 0], [-649762773/697, 221268630/697], [5865028/17, -2445496/85], [-139191/3485, -295152/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18548/17, 150/17], [1320/17, 1/17], [0, 0]], [[0, 0], [222798478/697, -479175625/697], [2011618/85, -4173456/85], [330/697, -3/3485]], [[0, 0], [-25213099493/697, 629889640/697], [-218726892/85, 7559582/85], [20023/3485, 48068/3485]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-216, -96]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14670/17, 150/17], [-1060/17, 1/17], [0, 0]], [[0, 0], [87979722/41, -70370123/41], [152880, -613011/5], [2238/3485, 1/3485]], [[0, 0], [-58874007057/697, 66287202795/1394], [-513344701/85, 287580506/85], [31409/3485, 149353/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1362, -8], [-70, 0], [0, 0]], [[0, 0], [475839053/287, -175789367/574], [-3010547/35, 533496/35], [-5301/24395, -1/48790]], [[0, 0], [-116166560/4879, 296552027867/9758], [-14377617/595, -188180298/119], [-38464/24395, -208547/48790]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-216, -96]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [734/17, 93/17], [-205/17, 3/17], [0, 0]], [[0, 0], [-44550830/697, -59820461/1394], [1253526/85, 837888/85], [532/697, 3/6970]], [[0, 0], [20361680705/697, 14799571638/697], [-571014488/85, -416003046/85], [-297507/3485, -684586/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5214/17, 83/17], [-531/17, -5/17], [0, 0]], [[0, 0], [6242004473/4879, -207427697/9758], [-76183628/595, 1783923/595], [4457/24395, -1/48790]], [[0, 0], [206695621008/697, 578492595435/697], [-2426063762/85, -7041736631/85], [32262/697, 415727/3485]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-216, -96]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22258/17, 2/17], [1602/17, 5/17], [0, 0]], [[0, 0], [14219078119/697, -11351485321/1394], [24907614/17, -49439238/85], [3357/3485, 3/6970]], [[0, 0], [-1787492023841/697, 7963890668681/1394], [-15472345526/85, 34914990598/85], [483151/3485, 2265541/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7298/17, -2/17], [302/17, -5/17], [0, 0]], [[0, 0], [526895441/287, -54210421/574], [-2722332/35, 182524/35], [1229/4879, 3/48790]], [[0, 0], [-698812052682/697, -2240154340772/697], [648325584/17, 2299795527/17], [-128338/697, -313992/697]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-48, -54]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-379, -2], [-11188/17, -249/17], [-379/17, -2/17], [0, 0]], [[227206, -1886437/2], [466288191/1394, -1136742743/697], [1129177/85, -4716047/85], [2679/6970, 2/3485]], [[-65536623, -685822241/2], [-94564467353/697, -833115119395/1394], [-66060140/17, -686036963/34], [6040/41, 2567/82]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-400, 3/2], [-94119/17, 123/17], [-400/17, 3/34], [0, 0]], [[2107181, -467230], [142211937967/4879, -31205220079/4879], [73735751/595, -16353173/595], [-3191/24395, 2/24395]], [[786612356, -16340381/2], [106290373829889/9758, -416330931012/4879], [27524988718/595, -57474189/119], [-2629343/48790, -278386/24395]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[-216, -96]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 13], [12, 17], [0, 0]], [[0, 0], [6714/7, 4203/14], [-134, 811], [-26/21, -1/42]], [[0, 0], [-1881, 6369], [15654, -7381], [9, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -17], [-56, -28], [0, 0]], [[0, 0], [-115/7, 2021/14], [3618/7, 1881/7], [-1/7, 1/42]], [[0, 0], [842, -201], [6872/7, 8319/7], [2/7, -3/7]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-216, -96]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1109276/151, 690/151], [5508/151, 5/151], [0, 0]], [[0, 0], [-2313594594/151, -460557614/151], [11490014/151, 2303568/151], [-860/151, -1/151]], [[0, 0], [2432586821184/151, 8114000160289/302], [-12135637517/151, -20154549435/151], [333335/151, 2885495/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1882354/151, 2239/151], [2626/151, 2/151], [0, 0]], [[0, 0], [-424514375918/1057, 9730283327/2114], [-592236381/1057, 7033351/1057], [1441/1057, 3/2114]], [[0, 0], [69988801311343/1057, 695344659668063/2114], [97236746223/1057, 484989505219/1057], [-267158/1057, -2366943/2114]]], 0, 960, [], [] >,
< [ -2, 0, 1 ], [[-464, -32]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 10], [-22, 12], [0, 0]], [[0, 0], [326918891/1433, 281425/1433], [1885127, 87/2], [-145290/24361, -3/48722]], [[0, 0], [21763454321/1433, -43396067071/1433], [125915039, -500684353/2], [-9704982/24361, 38588857/48722]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 12], [8, 2], [0, 0]], [[0, 0], [-7009651337/10031, -578640/10031], [-523770/7, 237/14], [511289/170527, 1/341054]], [[0, 0], [6146957892646/10031, -3078482886884/10031], [459450542/7, -230169972/7], [-26376480/10031, 13210784/10031]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[-232, -16]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -10], [-8, 5], [0, 0]], [[0, 0], [109828005/1777, -276447/3554], [56730, -2/3], [-9629/5331, -1/10662]], [[0, 0], [14695683434/1777, -6168785115/1777], [7582912, -9530816/3], [-1287008/5331, 539152/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, -25], [10, 6], [0, 0]], [[0, 0], [2596177973/12439, 38039227/24878], [-278912/7, -1361/21], [-62939/37317, -1/74634]], [[0, 0], [370834338483/1777, 418234757079/3554], [-39586604, -22240640], [-2972291/1777, -3336245/3554]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[-120, -184]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4652606/151, 617/151], [6086/151, -1/151], [0, 0]], [[0, 0], [-750350388568/151, -10432868849/302], [981523397/151, 6793523/151], [1093/151, 5/302]], [[0, 0], [104230285027479/151, -4991738624338/151], [-136342711748/151, 6533801145/151], [-151905/151, 7980/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5531100/151, -4595/151], [-7176/151, 5/151], [0, 0]], [[0, 0], [-1629206250824/1057, -121887800831/2114], [2113010749/1057, 79366146/1057], [4901/1057, -3/2114]], [[0, 0], [8355503451494839/1057, -122620052520435/1057], [-10836556366908/1057, 157362147441/1057], [-25234155/1057, 1320497/1057]]], 0, 1728, [], [] >,
< [ -2, 0, 1 ], [[-240, -368]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-510, 51], [26, 3], [0, 0]], [[0, 0], [1010158, -212226], [-49008, -32], [8, -4]], [[0, 0], [46691282, 41767939], [-3422044, -2746802], [110, 169]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-446, -73], [-32, -1], [0, 0]], [[0, 0], [31442/7, 22368/7], [2428/7, 1307/7], [-66/7, 1/7]], [[0, 0], [-12874984/7, -9084725/7], [-830660/7, -645795/7], [8364/7, 12710/7]]], 0, 6912, [], [] >,
< [ -2, 0, 1 ], [[-296, -88]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3663544/151, 3814/151], [3460/151, -3/151], [0, 0]], [[0, 0], [-74569352621/151, 1149827018/151], [70425672/151, -1073929/151], [-243/151, 2/151]], [[0, 0], [6604603310835/151, -69172256159923/302], [-6226489829/151, 32663349152/151], [19906/151, -225153/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94052760/151, 11338/151], [8200/151, -1/151], [0, 0]], [[0, 0], [210944155029842/1057, 258980052553/2114], [-18391175685/1057, -11266614/1057], [929/1057, -1/2114]], [[0, 0], [-62155709086010784/1057, 359036605306902133/1057], [5419126538030/1057, -31302629471137/1057], [-277378/1057, 1581518/1057]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[-40, -192]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7071946/151, 1333/151], [-7944/151, 2/151], [0, 0]], [[0, 0], [4564676494856/151, 188430147163/302], [5127542377/151, 105508751/151], [279/151, 1/302]], [[0, 0], [7726954561791890/151, 12178287264245464/151], [8678050844284/151, 13679467148017/151], [444568/151, 736026/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42707348/151, 17555/151], [-7110/151, -3/151], [0, 0]], [[0, 0], [-146166036138158/1057, 210679558472/1057], [24333994680/1057, -34810170/1057], [-256/1057, -1/1057]], [[0, 0], [19479976983727389/1057, 65520378102545791/2114], [-3243181462289/1057, -5454012832805/1057], [34732/1057, 115121/2114]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[1304, 144]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1624778/151, -39/151], [123380/151, 3/151], [0, 0]], [[0, 0], [-5009744865373/151, 25234291/302], [380422638937/151, -839290/151], [220/151, -3/302]], [[0, 0], [19121306248310064/151, 11960657782306431/302], [-1452005920354803/151, -454125874963723/151], [-836121/151, -513799/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14644276/151, 164/151], [-105956/151, -1/151], [0, 0]], [[0, 0], [37148362772578/1057, 1002475466661/2114], [268779908035/1057, 3632165765/1057], [-1697/1057, -5/2114]], [[0, 0], [-207598961539731955/1057, -131588256989217065/2114], [-1502061620030539/1057, -476071685675630/1057], [9414270/1057, 5785065/2114]]], 0, 50688, [], [] >,
< [ -2, 0, 1 ], [[584, 1000]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [666200/151, -781/151], [-52338/151, 2/151], [0, 0]], [[0, 0], [72876672503/151, -7929809855/302], [-5724715069/151, 304997722/151], [-384/151, -3/302]], [[0, 0], [-36624981272183/151, 5526178833150/151], [2876389033418/151, -430888581568/151], [190799/151, -17984/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11571710/151, 703/151], [41190/151, 4/151], [0, 0]], [[0, 0], [297587503943012/1057, -827059058541/2114], [1059275595449/1057, -1433458906/1057], [929/1057, -1/2114]], [[0, 0], [-485955684058460994/151, 46256842349789129/151], [-1729768482875910/151, 164590349834741/151], [-1516800/151, 143112/151]]], 0, 50688, [], [] >,
< [ -2, 0, 1 ], [[656, 1424]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 10], [34, -2], [0, 0]], [[0, 0], [6179028/1433, 121599/1433], [10909, 209], [3131/1433, 2/1433]], [[0, 0], [-333488789/1433, 312039587/1433], [-589357, 1102441/2], [-175136/1433, 322907/2866]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 26], [-2, -18], [0, 0]], [[0, 0], [-362974, 185], [75685, -215], [5, 0]], [[0, 0], [-376537765987/10031, 292687715100/10031], [54987834/7, -85432281/14], [5182735/10031, -8058317/20062]]], 0, 110592, [], [] >,
< [ -2, 0, 1 ], [[328, 712]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -16], [-80, 15], [0, 0]], [[0, 0], [78347193/1777, 304632/1777], [-164494/3, 1048/3], [-2273/1777, -1/5331]], [[0, 0], [-8130495678/1777, 12566200317/3554], [5780814, -4455961], [237252/1777, -366345/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-536, -267], [160, 89], [0, 0]], [[0, 0], [35214, -263], [-347158/3, 14/3], [-2/3, 0]], [[0, 0], [32582422969/12439, 149456870723/24878], [-62314096/7, -415970816/21], [-1914149/37317, -8517085/74634]]], 0, 27648, [], [] >,
< [ -2, 0, 1 ], [[984, 176]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1269590/151, 39/151], [96476/151, -3/151], [0, 0]], [[0, 0], [-4079518338267/151, 28333173/302], [310002185911/151, -1192853/151], [384/151, 3/302]], [[0, 0], [1915025193587820/151, 688899309419801/151], [-145522531478698/151, -52349334234742/151], [-180766/151, -65550/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36887778/151, 427/151], [127352/151, 2/151], [0, 0]], [[0, 0], [1232103486440933/1057, 4484153507369/2114], [4253735414647/1057, 7758139245/1057], [-2754/1057, -5/2114]], [[0, 0], [-32029661937140068302/1057, -11635997268943415976/1057], [-110580089487763666/1057, -40172774236550307/1057], [71545560/1057, 25943600/1057]]], 0, 27648, [], [] >,
< [ -2, 0, 1 ], [[1968, 352]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [584, -1], [1580, 3], [0, 0]], [[0, 0], [70382598, -535604], [190410196, -761265], [4, -5]], [[0, 0], [36823714410, 36629054092], [100342761520, 99460050458], [-3120, -558]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1562, -23], [-390, -3], [0, 0]], [[0, 0], [-134546628/7, 3841756/7], [-33611000/7, 1196119/7], [40/7, 3/7]], [[0, 0], [53017657006/7, 4163577374/7], [13224320000/7, 946372160/7], [-16112/7, -2880/7]]], 0, 110592, [], [] >,
< [ -2, 0, 1 ], [[-1296, -576]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7974/17, -218/17], [-3054/17, -18/17], [0, 0]], [[0, 0], [10909767/41, 10785441/41], [488724/5, 493398/5], [147/3485, 1/3485]], [[0, 0], [-1187389908/697, -704709950/697], [-54114222/85, -31771392/85], [-176/3485, -78/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, 6], [42, 0], [0, 0]], [[0, 0], [-25892862/697, -12473825/697], [-1545276/85, -568977/85], [3926/3485, 3/3485]], [[0, 0], [56955169345/697, 48958838367/697], [570951264/17, 559624251/17], [-555547/697, -1218361/697]]], 0, 30720, [], [] >,
< [ -2, 0, 1 ], [[-144, -162]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-303, -1/2], [3101/17, 132/17], [-909/17, -3/34], [0, 0]], [[47196, 87147], [-24117099/697, -37376835/697], [705234/85, 1307316/85], [-1541/3485, -1/3485]], [[-5059080, -5532075], [4773366281/1394, 4852848025/1394], [-15147567/17, -165899607/170], [172543/6970, 42861/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-303, -1/2], [-57725/17, -4/17], [-909/17, -3/34], [0, 0]], [[-96678, 34317/2], [-4790141507/4879, 1892710741/9758], [-10298931/595, 3615693/1190], [-7648/24395, 1/9758]], [[30032910, 2051640], [2944747221793/9758, 68987367658/4879], [3202613604/595, 450709641/1190], [5193327/48790, 622383/24395]]], 1, 960, [], [] >,
< [ -2, 0, 1 ], [[-648, -288]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5182/17, 77/17], [681/17, -3/17], [0, 0]], [[0, 0], [28473172/697, 33136267/1394], [495081/85, 256254/85], [-4054/3485, -3/6970]], [[0, 0], [-28897087344/697, -45576859125/1394], [-92216775/17, -388007802/85], [1050138/3485, 5270137/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10702/17, -197/17], [-615/17, 9/17], [0, 0]], [[0, 0], [2483752388/4879, -246133665/9758], [-4298100/119, 773571/595], [9336/24395, -1/48790]], [[0, 0], [264924491158/4879, 589432321439/4879], [-2434257717/595, -5138128701/595], [244224/4879, 2276032/24395]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[-648, -288]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5018/17, 94/17], [-1818/17, -3/17], [0, 0]], [[0, 0], [-1174010797/697, -1397623637/1394], [-10637403/17, -6391392/17], [-275/697, 1/1394]], [[0, 0], [-1001288438038/697, -775806326577/697], [-45675531486/85, -35214630207/85], [-309734/3485, -722127/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53824/17, -164/17], [2664/17, 15/17], [0, 0]], [[0, 0], [682297/17, -48762/17], [40788/17, 1923/17], [1, 0]], [[0, 0], [-421051/4879, -1176039/9758], [-99/119, -759/595], [-29/24395, -81/48790]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[-648, -288]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8866/17, -194/17], [-3312/17, -9/17], [0, 0]], [[0, 0], [42447123/697, -489407841/1394], [2267898/85, -11193162/85], [-4201/3485, -1/1394]], [[0, 0], [-389597295462/697, -52634031448/697], [-17703823104/85, -2137668873/85], [-1510506/3485, -3475788/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102498/17, -206/17], [5130/17, 12/17], [0, 0]], [[0, 0], [304176225/4879, 2951205/9758], [-217830/119, 7524/119], [5301/4879, 1/9758]], [[0, 0], [-628591098/4879, -1560948078/4879], [1811268/595, 5502687/595], [-3146/1435, -7986/1435]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[-648, -288]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 9], [-6, 16], [0, 0]], [[0, 0], [-328/7, -627/14], [-148, -120], [-4/7, -5/14]], [[0, 0], [-18, 20], [-22, 33], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -16], [0, 21], [0, 0]], [[0, 0], [290/7, 275/14], [-190/7, -58/7], [-4/7, 3/14]], [[0, 0], [-1860/7, -1012/7], [166, 68], [20/7, -5/7]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[-648, -288]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [211932/151, 1203/151], [-15954/151, 12/151], [0, 0]], [[0, 0], [-640300281/151, 194158348/151], [48392134/151, -14927150/151], [-59/151, -2/151]], [[0, 0], [1758260591/151, -7892550629/302], [-136192079/151, 297940947/151], [-98/151, -777/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1537410/151, -3327/151], [-9612/151, 12/151], [0, 0]], [[0, 0], [-8590909312/1057, 986304519/2114], [53646701/1057, -3025709/1057], [929/1057, -1/2114]], [[0, 0], [919715058/151, 5642538922/151], [-5815082/151, -35245217/151], [-170/151, -620/151]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[784, 0]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -4], [28, -56], [0, 0]], [[0, 0], [0, 0], [7, 0], [1, 0]], [[0, 0], [0, 0], [42, 28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 38], [0, 14], [0, 0]], [[0, 0], [58/17, -1500/17], [-2191/17, 623/17], [-13/17, 5/17]], [[0, 0], [-2744/17, 8436/17], [13377/17, -5383/17], [81/17, -39/17]]], 0, 18432, [], [] >,
< [ -2, 0, 1 ], [[392, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10444/151, -273/151], [-966/151, 21/151], [0, 0]], [[0, 0], [773139/151, -340489/151], [-19434/151, 34450/151], [5, 0]], [[0, 0], [-590751997/151, 332931975/302], [4596578/151, -28483133/151], [-708561/151, -298977/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33136/151, -3202/151], [-2758/151, 14/151], [0, 0]], [[0, 0], [34562143/151, -69429763/302], [-2406921/151, 2671055/151], [128/151, 1/302]], [[0, 0], [4697173181/151, -12863491935/302], [-302410536/151, 507172454/151], [29973/151, 12707/302]]], 0, 4608, [], [] >,
< [ -2, 0, 1 ], [[0, 98]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-210, -2], [19865/151, 1843/151], [-1470/151, -14/151], [0, 0]], [[-2034, 8249/2], [75567/151, -372397/151], [-14385/151, 58163/302], [-69/151, 3/302]], [[0, 0], [2241/151, 9711/302], [-33/151, 4/151], [3/151, 13/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[279, 1/2], [-96510/151, -997/302], [1953/151, 7/302], [0, 0]], [[233295, 466590], [-81848026/151, -323348571/302], [1633122/151, 3266027/151], [36/151, 5/302]], [[60520740, 22335035], [-41976772373/302, -15600461043/302], [423633735/151, 312693745/302], [1875/302, 2220/151]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[392, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162912/151, 89/151], [11858/151, 28/151], [0, 0]], [[0, 0], [3447797879/151, 168374111/151], [-251048808/151, -12983797/151], [-361/151, 2/151]], [[0, 0], [-242094789819/151, -598625965921/302], [17749228476/151, 21839147547/151], [22059/151, 60243/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17650/151, -62/151], [1288/151, 28/151], [0, 0]], [[0, 0], [-279226/151, 43169/151], [-8663/151, -2043/151], [361/151, -2/151]], [[0, 0], [134501325/151, 551789119/302], [11721465/151, 11355911/151], [-293986/151, -802361/302]]], 0, 4608, [], [] >,
< [ -2, 0, 1 ], [[0, 98]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[210, -2], [-15939/151, 1239/151], [1470/151, -14/151], [0, 0]], [[897182, -598455/2], [-71252129/151, 54653607/302], [6279874/151, -4190371/302], [-197/151, -1/151]], [[66749254, 2561702], [-5047501702/151, 292394873/302], [467163319/151, 17859485/151], [-19404/151, -14217/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[640, -5/2], [103783/151, -4679/302], [4480/151, -35/302], [0, 0]], [[11634, -20667/2], [3393659/302, -1710381/151], [81891/151, -71655/151], [3/2, 0]], [[-1033605, 3064689/2], [-113612708/151, 549075135/302], [-7473187/151, 21028711/302], [-56888/151, -20696/151]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[-1176, -392]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-777734/151, 4499/151], [-2758/151, 14/151], [0, 0]], [[0, 0], [-22073091654/151, 1070783831/302], [-78270967/151, 1842173/151], [325/151, -1/302]], [[0, 0], [2191367865141/151, -33244973246555/302], [7685913081/151, -58939636791/151], [-21168/151, 488565/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3931008/151, 6824/151], [13832/151, 21/151], [0, 0]], [[0, 0], [-226952566991/151, -2652404998/151], [-798581418/151, -9162947/151], [1267/151, 2/151]], [[0, 0], [-71026976223486/151, 2122552091900071/302], [-251516312749/151, 3734399868692/151], [516427/151, -11860315/302]]], 0, 32256, [], [] >,
< [ -2, 0, 1 ], [[-1176, -392]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3830660/151, 10568/151], [13188/151, 35/151], [0, 0]], [[0, 0], [228521935718/151, -5292454065/151], [786748136/151, -18305548/151], [814/151, 2/151]], [[0, 0], [34303359052523/151, -496651891809993/302], [118282547633/151, -854937235163/151], [76968/151, -1764919/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-364682/151, 8847/151], [-1288/151, 28/151], [0, 0]], [[0, 0], [103879936/151, -22144213/302], [383475/151, -41389/151], [1093/151, 5/302]], [[0, 0], [-394465687856/151, 2614598383971/302], [-1469042531/151, 4826511470/151], [-7843, 180389/2]]], 0, 32256, [], [] >,
< [ -2, 0, 1 ], [[-1176, -392]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [145824/151, 5376/151], [-10892/151, -7/151], [0, 0]], [[0, 0], [-173083027/151, 453819515/302], [14193503/151, -17465823/151], [-824/151, -3/302]], [[0, 0], [-28075163351/151, 107292561639/302], [2393423457/151, -4094528259/151], [-220020/151, -66585/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10696/151, 4501/151], [1148/151, -21/151], [0, 0]], [[0, 0], [2835440/151, -2340770/151], [-179478/151, 182150/151], [348/151, 1/151]], [[0, 0], [-186146691/151, 330723223/302], [11010845/151, -13335327/151], [-29394/151, -8073/302]]], 0, 32256, [], [] >,
< [ -2, 0, 1 ], [[-88, -50]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4356, -1/2], [-142239/151, -11161/302], [-4356/151, -1/302], [0, 0]], [[172885957, 138312452], [5999324656/151, 4737195586/151], [172886081/151, 138312455/151], [-407/151, -1/151]], [[-791996393339, -1073366041113/2], [-54466609894277/302, -18537493551581/151], [-791996576214/151, -536683272924/151], [1129645/302, 816145/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-417, 5/2], [3307/151, -65/302], [-417/151, 5/302], [0, 0]], [[986955, -21426], [-7519896/151, 402301/302], [986955/151, -21426/151], [640/151, 5/302]], [[2899427265, 4445346150], [-21745007904/151, -33751516557/151], [2899427265/151, 4445346150/151], [2030072/151, 2934041/151]]], 1, 84, [], [] >,
< [ -2, 0, 1 ], [[-152, -24]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-83823/151, -3965/151], [6053/151, 3/151], [0, 0]], [[0, 0], [-1274156697/151, 1970133357/302], [99104376/151, -75775504/151], [23/151, -1/302]], [[0, 0], [-468493710, 875615651/2], [36951824, -33346768], [2862/151, 1983/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74872/151, -203/151], [-5318/151, 4/151], [0, 0]], [[0, 0], [916234380/151, 20615415/151], [-65087590/151, -1591725/151], [-92/151, 2/151]], [[0, 0], [-4825467459/151, -3619796553/302], [343265270/151, 129231315/151], [469/151, 321/302]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[504, 224]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [251596/151, -3559/151], [834/151, -5/151], [0, 0]], [[0, 0], [-62842466/151, -26792611/302], [-213627/151, -47231/151], [-1093/151, -5/302]], [[0, 0], [1505020482/151, 2563525434/151], [5248980/151, 8726666/151], [8080/151, 42925/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1750398/151, 2882/151], [6086/151, -1/151], [0, 0]], [[0, 0], [46033809374/151, 34622754891/302], [159838823/151, 59900373/151], [-489/151, -5/302]], [[0, 0], [-40703712660039/151, -90497880045373/302], [-140953835289/151, -157071507644/151], [103350/151, 888015/302]]], 0, 5376, [], [] >,
< [ -2, 0, 1 ], [[-304, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [356, 54], [4, -13], [0, 0]], [[0, 0], [292916, 512950], [-34240, 254], [0, 3]], [[0, 0], [-9322410, -3805622], [87000, 284416], [-50, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -40], [24, -15], [0, 0]], [[0, 0], [-1174, -1259], [150, 29], [8, -6]], [[0, 0], [-335358, -235308], [21366, 15436], [-90, -14]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-304, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-268, -11], [2, -3], [0, 0]], [[0, 0], [8, -31], [-20, -4], [10, 2]], [[0, 0], [16, 14], [12, 8], [-6, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [646, 4], [-10, 1], [0, 0]], [[0, 0], [-3086030, -289598], [46904, -574], [-4, -4]], [[0, 0], [-28493296, 42049784], [579864, -698822], [70, 11]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-12, -38]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17, -5/2], [-10, -20], [-17, -5/2], [0, 0]], [[-3807, 4279/2], [3884, -7379/2], [-3811, 4299/2], [1, -5/2]], [[42851, -32053/2], [-26406, 86081/2], [42807, -32361/2], [11, 77/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, -1/2], [-112, -49], [12, -1/2], [0, 0]], [[-1578, 895], [7230, -3281/2], [-1566, 885], [-3, 5/2]], [[1868, 1087/2], [-22574, -26703/2], [1872, 1107/2], [-1, -5/2]]], 1, 84, [], [] >,
< [ -2, 0, 1 ], [[-200, -176]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 15], [18, 22], [0, 0]], [[0, 0], [-47, 0], [4, 0], [1, 0]], [[0, 0], [14, 7], [6, 5], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 30], [-10, -13], [0, 0]], [[0, 0], [-19, 0], [4, 0], [1, 0]], [[0, 0], [2, 25], [-24, -20], [0, 0]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[-152, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 75], [7, -7], [0, 0]], [[0, 0], [-33, 0], [-3, 0], [1, 0]], [[0, 0], [-64, -58], [-2, 3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -40], [2, 4], [0, 0]], [[0, 0], [-5, 0], [-3, 0], [1, 0]], [[0, 0], [10, -15], [1, 2], [0, 0]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[-152, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, -26], [-7, -7], [0, 0]], [[0, 0], [380, 17], [-8, 10], [4, 4]], [[0, 0], [-1176, 744], [68, -49], [4, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 9], [-11, 6], [0, 0]], [[0, 0], [-4, -57], [29, -12], [-8, 5]], [[0, 0], [0, -5], [0, -3], [0, 1]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[-12, -38]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, -3/2], [-28, -7], [15, -3/2], [0, 0]], [[-385, -3795/2], [3300, 8011/2], [-405, -3815/2], [5, 5/2]], [[121138, -40493], [-185072, -1084], [121266, -40081], [-32, -103]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[26, -1/2], [-28, 28], [26, -1/2], [0, 0]], [[1212, -2755/2], [-4345, 5291/2], [1228, -2743/2], [-4, -3/2]], [[-1089, 1021/2], [2166, -3493/2], [-1085, 1033/2], [-1, -3/2]]], 1, 84, [], [] >,
< [ -2, 0, 1 ], [[-200, -176]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, -59], [2, 4], [0, 0]], [[0, 0], [-33, 0], [4, 0], [1, 0]], [[0, 0], [-14, -14], [-2, 3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -31], [2, 11], [0, 0]], [[0, 0], [37, 0], [4, 0], [1, 0]], [[0, 0], [-8, -2], [4, 1], [0, 0]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[-152, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -7], [-5, 4], [0, 0]], [[0, 0], [-19, 0], [-3, 0], [1, 0]], [[0, 0], [34, 26], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 29], [5, 10], [0, 0]], [[0, 0], [-47, 0], [-3, 0], [1, 0]], [[0, 0], [-12, 4], [-4, -1], [0, 0]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[-152, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 81], [17, -15], [0, 0]], [[0, 0], [208, -79], [-70, 25], [2, 5]], [[0, 0], [584, -599], [-198, 200], [-22, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -49], [-8, -2], [0, 0]], [[0, 0], [716, -334], [-122, 81], [8, 1]], [[0, 0], [3358, -1278], [-537, 347], [44, 11]]], 0, 672, [], [] >,
< [ -2, 0, 1 ], [[504, 224]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2462822/151, 1333/151], [8548/151, 2/151], [0, 0]], [[0, 0], [50291969113/151, 10089250967/302], [174544639/151, 17454470/151], [-870/151, -5/302]], [[0, 0], [-160517703300680/151, -116947957688059/302], [-557004916145/151, -202779687302/151], [2631021/151, 1511221/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1863938/151, -289/151], [6296/151, -1/151], [0, 0]], [[0, 0], [-1001263731713/151, -14756209/302], [-3382055877/151, -12973/151], [-870/151, -5/302]], [[0, 0], [-428752408831546/151, -122108392532069/151], [-1448231509990/151, -412451056116/151], [-373152/151, -107168/151]]], 0, 4032, [], [] >,
< [ -2, 0, 1 ], [[504, 224]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1400706/151, -2049/151], [-4458/151, -5/151], [0, 0]], [[0, 0], [282544431669/151, -2845307899/302], [899260677/151, -4835231/151], [-522/151, -3/302]], [[0, 0], [109608359361464/151, 30752340606662/151], [348784951130/151, 97756621928/151], [-203416/151, -58421/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2567936/151, -1596/151], [-8686/151, -5/151], [0, 0]], [[0, 0], [7088634809544/151, -36154895555/302], [23977184315/151, -62246234/151], [325/151, 1/302]], [[0, 0], [34982367037289374/151, 9926569343035776/151], [118324142541338/151, 33571014313832/151], [1607628/151, 461681/151]]], 0, 4032, [], [] >,
< [ -2, 0, 1 ], [[912, 144]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2864/17, -194/17], [-1102/17, 8/17], [0, 0]], [[0, 0], [12404781/41, -5346375/41], [-564066/5, 216981/5], [-2347/3485, 3/3485]], [[0, 0], [36541996694/697, -487758813/697], [-1763917146/85, -98874408/85], [-127792/697, -269439/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6/17, 390/17], [-104/17, -96/17], [0, 0]], [[0, 0], [-3451922/697, 12643/697], [1348/85, -678/85], [1138/3485, 3/3485]], [[0, 0], [10729575/697, 42751865/697], [12502/85, -14539/85], [-743/697, -14117/3485]]], 0, 21504, [], [] >,
< [ -2, 0, 1 ], [[2736, 432]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1064/17, 98/17], [-450/17, 24/17], [0, 0]], [[0, 0], [-23242379/697, 5491396/697], [-983064/85, 246243/85], [257/697, 4/3485]], [[0, 0], [54906898/17, 12546976/17], [93799848/85, 20069718/85], [-3796/85, -320/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-368/17, -120/17], [66/17, 6/17], [0, 0]], [[0, 0], [3183993/697, -79647/697], [3606/85, -159/85], [2053/3485, -1/697]], [[0, 0], [-12520923502/697, -5087735968/697], [-2789352/17, -1097136/17], [-1646160/697, -693348/697]]], 0, 215040, [], [] >,
< [ -2, 0, 1 ], [[-392, -784]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-101514/151, 966/151], [8134/151, 7/151], [0, 0]], [[0, 0], [758113371/151, -193461211/151], [-60435884/151, 14876033/151], [-709/151, -1/151]], [[0, 0], [1991051495615/151, -1492164737287/302], [-158329752749/151, 58142266343/151], [-1730736/151, 506919/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33782/151, 2023/151], [-2436/151, 7/151], [0, 0]], [[0, 0], [-18607924/151, 19908376/151], [1537102/151, -1531460/151], [-46/151, 1/151]], [[0, 0], [165612388/151, -313269575/302], [-13486667/151, 12139726/151], [327/151, -93/302]]], 0, 32256, [], [] >,
< [ -2, 0, 1 ], [[-392, -784]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2861660/151, 10417/151], [10066/151, 35/151], [0, 0]], [[0, 0], [227267290426/151, 1445246767/151], [799423578/151, 4953896/151], [210/151, -2/151]], [[0, 0], [210466789330168/151, 222269195409861/302], [740201556321/151, 390801836244/151], [191253/151, 199245/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2793332/151, 7337/151], [-9282/151, 28/151], [0, 0]], [[0, 0], [96427283169/151, -1566351813/302], [320418431/151, -2728664/151], [-430/151, 1/302]], [[0, 0], [-69153937284292/151, -35849060416700/151], [-229696416274/151, -119031607591/151], [310640/151, 162027/151]]], 0, 32256, [], [] >,
< [ -2, 0, 1 ], [[-392, -784]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-565856/151, -10417/151], [-1610/151, -35/151], [0, 0]], [[0, 0], [1744956191/151, -9991958/151], [4966898/151, -12325/151], [-1, 0]], [[0, 0], [-95097908740/151, -98501471159/302], [-271609553/151, -141072432/151], [8279/151, 8619/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20396, 3], [70, 0], [0, 0]], [[0, 0], [2946716263/151, -66379678/151], [10123920/151, -231326/151], [-663/151, 2/151]], [[0, 0], [676932184320/151, 695716220645/302], [2324903731/151, 1194353882/151], [-155497/151, -162619/302]]], 0, 32256, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [8, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [1, 0]], [[0, 0], [2, 0], [2, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -30], [-6, -10], [0, 0]], [[0, 0], [-1, 2], [1, 0], [1, 0]], [[0, 0], [-76, 260], [32, 80], [0, 0]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [-4, 2], [0, 0]], [[-5/2, -1/2], [33/2, 19/2], [-3/2, -21/2], [-5/2, -1/2]], [[-2, 6], [-22, -28], [56, -16], [-2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [-2, 8], [0, 0]], [[2, 2], [-2, -2], [8, 8], [2, 2]], [[1/2, -1/2], [-1/2, 1/2], [3/2, -3/2], [1/2, -1/2]]], 1, 2, [], [] >,
< [ -2, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -6], [0, 4], [0, 0]], [[0, -1], [10, 9], [-10, -7], [0, -1]], [[4, -5/2], [-10, 5/2], [2, 5/2], [4, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -4], [2, -6], [0, 0]], [[2, 2], [34, 18], [-18, -16], [2, 2]], [[3, -1/2], [-5, 45/2], [-19, 1/2], [3, -1/2]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 0], [-10, 4], [0, 0]], [[0, 0], [-1, 1], [1, 1], [1, 0]], [[0, 0], [20, 24], [0, 16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -16], [8, -8], [0, 0]], [[0, 0], [-1, -1], [1, 1], [1, 0]], [[0, 0], [-26, -12], [-10, 4], [0, 0]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -2], [0, 4], [0, 0]], [[-1, 0], [-5, -9], [7, 7], [-1, 0]], [[4, -3/2], [-7, 55/2], [-7, -33/2], [4, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -14], [-10, -8], [0, 0]], [[-1, 1/2], [84, -131/2], [-42, 53/2], [-1, 1/2]], [[0, 0], [0, 6], [4, 0], [0, 0]]], 0, 8, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -4], [4, 0], [0, 0]], [[0, 0], [30, -18], [14, -14], [-8, 4]], [[0, 0], [-36, -18], [36, 30], [20, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -10], [-6, 0], [0, 0]], [[0, 0], [10, -26], [-24, -8], [-4, 2]], [[0, 0], [18, 14], [26, 18], [0, 0]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 8], [0, -1], [0, 0]], [[0, 0], [-6, -4], [0, 0], [20, 4]], [[0, 0], [0, 0], [0, 0], [8, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -6], [-6, -10], [0, 0]], [[0, 0], [-58, 42], [324, -225], [6, 0]], [[0, 0], [0, 0], [-4, -3], [-6, -4]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -28], [2, -8], [0, 0]], [[0, 0], [3, 1], [1, 1], [1, 0]], [[0, 0], [92, -44], [-18, -30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -20], [6, 0], [0, 0]], [[0, 0], [3, -1], [1, 1], [1, 0]], [[0, 0], [-4, -4], [-2, 2], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -44], [-8, 6], [0, 0]], [[0, 0], [416, -29], [-54, 37], [-2, 3]], [[0, 0], [-3354, -2434], [8, 20], [-18, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 24], [10, 6], [0, 0]], [[0, 0], [-28, -48], [-2, -4], [8, 4]], [[0, 0], [138, -103], [12, -9], [8, -5]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-185488/151, -1682/151], [-1366/151, -10/151], [0, 0]], [[0, 0], [2387641874/151, 240843089/151], [17578028/151, 1743140/151], [164/151, -3/151]], [[0, 0], [-215638134871/151, -54589875163/151], [-1586705336/151, -399273781/151], [-14263/151, -2040/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11826/151, -1312/151], [-840/151, 8/151], [0, 0]], [[0, 0], [6365507/151, 10720175/151], [-614694/151, -824745/151], [5, 0]], [[0, 0], [-2351448278/151, -2891923537/151], [211953742/151, 226975168/151], [-187572/151, -27115/151]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-16, -24]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [89573/151, 690/151], [381/151, 5/151], [0, 0]], [[0, 0], [-634833564/151, 382840077/302], [-2690625/151, 799500/151], [581/151, -1/302]], [[0, 0], [262658855599/151, -743124140856/151], [1083067875/151, -3153808125/151], [206208/151, 742492/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2597/151, -841/151], [223/151, -5/151], [0, 0]], [[0, 0], [893066/151, 931507/151], [-23258/151, -70760/151], [440/151, 3/151]], [[0, 0], [-555725155/151, -303000513/151], [38972752/151, 11272300/151], [-33575/151, -116130/151]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[-16, -24]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116252/151, 39/151], [466/151, -3/151], [0, 0]], [[0, 0], [38608015/151, -2770242/151], [154575/151, -12150/151], [-558/151, 1/151]], [[0, 0], [-68900114/151, -1322019451/302], [-238950/151, -2641950/151], [2356/151, 19437/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10884/151, -630/151], [-210/151, 2/151], [0, 0]], [[0, 0], [488794/151, -134229/151], [-10013/151, 2090/151], [-381/151, -5/151]], [[0, 0], [2085191/151, -7088563/151], [-22002/151, 148086/151], [1817/151, 6004/151]]], 0, 24, [], [] >,
< [ -2, 0, 1 ], [[-12, -4]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -1], [-2, 0], [0, 0]], [[0, 0], [2506425/302, 533837/302], [-83897/151, -40925/302], [269/302, -2/151]], [[0, 0], [664954577/151, 232864196/151], [-44931057/151, -16876875/151], [66458/151, 9776/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-14919/151, -367/151], [79/151, 5/151], [-92/151, -2/151]], [[0, 0], [-118079/151, -19643/302], [627/151, 76/151], [-728/151, -117/302]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[-12, -4]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4385/151, 742/151], [-407/151, 1/151], [0, 0]], [[-41, 3/2], [66442617/302, 25959438/151], [-2397940/151, -1996090/151], [269/302, -2/151]], [[-7955, -946], [8089984295/151, 12198548583/302], [-591342250/151, -464253780/151], [26273/151, 7353/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23, 1/2], [-601/151, -1523/302], [23/151, 1/302], [0, 0]], [[1728, -8847/2], [235444/151, 105347/302], [1728/151, -8847/302], [-92/151, -2/151]], [[13962, -84309], [4945548/151, 3196637/302], [13962/151, -84309/151], [-1846/151, -507/302]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-192, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -6], [4, 0], [0, 0]], [[0, 0], [-136, -78], [-34, -36], [-16, 6]], [[0, 0], [-260, -128], [-50, -72], [-44, 22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 18], [-10, -8], [0, 0]], [[0, 0], [34, -84], [12, 6], [0, 10]], [[0, 0], [-28, 6], [2, 2], [4, 0]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -22], [2, 10], [0, 0]], [[0, 0], [-878, -578], [1060, 733], [-6, 2]], [[0, 0], [-6, 4], [-4, 3], [6, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, -28], [0, 3], [0, 0]], [[0, 0], [74, -18], [0, 5], [4, -8]], [[0, 0], [-54, -28], [-6, -5], [6, 6]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-16, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [1, 0], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [-4, -6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [1, 0], [0, 0]], [[0, 0], [13, 1], [0, 0], [1, 0]], [[0, 0], [-4, -6], [0, 0], [0, 0]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[-16, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [-4, -6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [13, 1], [0, 0], [1, 0]], [[0, 0], [-4, -6], [0, 0], [0, 0]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[-32, -8]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100125/151, -177/151], [361/151, 2/151], [0, 0]], [[0, 0], [-76860491/151, 74459/151], [277130/151, 777/151], [-59/151, -2/151]], [[0, 0], [3084473904/151, -17332702889/302], [-10885770/151, 31205874/151], [1904/151, -13141/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8915/151, 1497/151], [709/151, 1/151], [0, 0]], [[0, 0], [9353311/151, -18867980/151], [-248923/151, 1457667/151], [-138/151, 3/151]], [[0, 0], [-282747933/151, 101592491/151], [20942142/151, -4523007/151], [305/151, -975/151]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[-32, -8]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-131817/151, -742/151], [499/151, -1/151], [0, 0]], [[0, 0], [-646330743/151, -405532234/151], [2423295/151, 1516620/151], [348/151, -1/151]], [[0, 0], [-2826362028/151, -4787857275/302], [10562175/151, 8980557/151], [-459/151, 3145/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2899/151, -86/151], [79/151, -5/151], [0, 0]], [[0, 0], [64302/151, 854/151], [1175/151, 4/151], [-243/151, 2/151]], [[0, 0], [-8858965/151, 35510032/151], [-174746/151, 650650/151], [39273/151, -134991/151]]], 0, 24, [], [] >,
< [ -2, 0, 1 ], [[-4, -8]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6366/151, -99/151], [-420/151, -4/151], [0, 0]], [[0, 0], [18424293/302, 2651067/302], [-610889/151, -205113/302], [269/302, 2/151]], [[0, 0], [-5624278357/151, 82273458/151], [370005853/151, 3917784/151], [-85620/151, 12300/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [30967/151, -99/302], [-361/151, -2/151], [174/151, -1/302]], [[0, 0], [2135943/151, -312466/151], [-24849/151, 3465/151], [12006/151, -1771/151]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[-4, -8]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10582/151, -427/151], [-814/151, -2/151], [0, 0]], [[51, 1/2], [-259971/302, 1775702/151], [-3655/151, -136697/151], [335/302, -2/151]], [[-13817, 3707/2], [347685757/302, -487501287/151], [-9671130/151, 36995910/151], [-91327/302, 7077/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[732, 1/2], [-10120/151, 289/302], [732/151, 1/302], [0, 0]], [[-155142, -29913], [2158786/151, 762789/302], [-155142/151, -29913/151], [174/151, -1/302]], [[4261842, 506493], [-59455880/151, -6061194/151], [4261842/151, 506493/151], [-4928/151, 396/151]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-155180/151, 104/151], [-1142/151, -8/151], [0, 0]], [[0, 0], [329696559/151, -165717845/151], [2406244/151, -1199995/151], [965/151, 2/151]], [[0, 0], [435860156883/151, -246516334295/151], [3177876956/151, -1788242923/151], [1111877/151, -160022/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25658/151, 328/151], [1904/151, -2/151], [0, 0]], [[0, 0], [172876483/151, 56286529/151], [-12931714/151, -4328525/151], [1, 0]], [[0, 0], [-25088600666/151, -5029099462/151], [1871263496/151, 395106280/151], [-24180/151, 3480/151]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[448, 0]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 8], [16, 10], [0, 0]], [[0, 0], [-184, 122], [64, -55], [-8, 5]], [[0, 0], [16, 28], [38, 20], [2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-156, -40], [4, -2], [0, 0]], [[0, 0], [-82988/17, -4302/17], [-1980/17, -27/17], [-220/17, -3/17]], [[0, 0], [-21326620/17, -1815308/17], [-507528/17, -23940/17], [-56392/17, -2660/17]]], 0, 4608, [], [] >,
< [ -2, 0, 1 ], [[28, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-275563/151, 2291/151], [-965/151, -2/151], [0, 0]], [[0, 0], [-10974166747/151, 9426746594/151], [-37751580/151, 32618214/151], [210/151, 2/151]], [[0, 0], [5100537734140/151, -10260806196351/302], [17491587408/151, -17783809632/151], [-149940/151, -63105/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [107180/151, 2200/151], [374/151, 5/151], [0, 0]], [[0, 0], [3577621/302, 3044213/302], [6308/151, 10473/302], [-33/302, 2/151]], [[0, 0], [743549017/151, 564216402/151], [2599643/151, 1954225/151], [-4118/151, -869/151]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[28, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[197, -1], [58141/151, 466/151], [197/151, -1/151], [0, 0]], [[-4120, 5149/2], [-1071239/151, 744408/151], [-4120/151, 5149/302], [791/151, 5/302]], [[-3407327, 3839425/2], [-851118743/151, 1165877263/302], [-3407327/151, 3839425/302], [884760/151, 186369/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [49546/151, -112/151], [138/151, -3/151], [0, 0]], [[-44, -1/2], [123416791/302, -7342535/302], [171462/151, -13549/151], [-289/302, 3/302]], [[-4085, -946], [5550281752/151, 1845650417/302], [15284989/151, 2254863/151], [-13287/151, -5633/302]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[224, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-272066/151, -2640/151], [-932/151, -6/151], [0, 0]], [[0, 0], [-633039075/151, 209500928/151], [-2173160/151, 725423/151], [617/151, 3/151]], [[0, 0], [-637823014504/151, 91799140881/151], [-2186577714/151, 322406078/151], [721648/151, 152375/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1528180/151, 8586/151], [-1956/151, -10/151], [0, 0]], [[0, 0], [188459131940/151, -6388144318/151], [-241229974/151, 8298118/151], [-512/151, -2/151]], [[0, 0], [-7361386601285/151, -1293885535645/151], [9420674108/151, 1651386919/151], [20317/151, 4282/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[-192, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 4], [12, -6], [0, 0]], [[0, 0], [488, 336], [82, 24], [4, 10]], [[0, 0], [1572, 1146], [104, 198], [48, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, 40], [10, -8], [0, 0]], [[0, 0], [108, 88], [32, 12], [-12, 4]], [[0, 0], [1026, 704], [200, 160], [-12, -30]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-32, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [1, 0], [0, 0]], [[0, 0], [7, 1], [0, 0], [1, 0]], [[0, 0], [-8, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [1, 0], [0, 0]], [[0, 0], [-7, 1], [0, 0], [1, 0]], [[0, 0], [-8, -2], [0, 0], [0, 0]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[-32, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [7, 1], [0, 0], [1, 0]], [[0, 0], [-8, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [-7, 1], [0, 0], [1, 0]], [[0, 0], [-8, -2], [0, 0], [0, 0]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -28], [-10, 4], [0, 0]], [[0, 0], [-524, -608], [-170, 47], [-2, 4]], [[0, 0], [-2988, -2952], [-686, 106], [-4, 16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 12], [-2, -2], [0, 0]], [[0, 0], [-150, 498], [-44, -5], [2, -6]], [[0, 0], [2352, -4112], [336, -12], [-30, 50]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[28, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-188001/151, -1648/151], [-650/151, -1/151], [0, 0]], [[0, 0], [-40692248/151, 822753253/302], [-160965/151, 1423500/151], [-581/151, 1/302]], [[0, 0], [331125745908/151, 218582207419/302], [1139617600/151, 369765440/151], [-177940/151, -484995/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-608, 3], [-2, 0], [0, 0]], [[0, 0], [97855771/302, 8969651/302], [158466/151, 30111/302], [-939/302, -2/151]], [[0, 0], [21797038835/151, 50969969501/302], [71113246/151, 82728661/151], [-169089/151, -459879/302]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[28, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[778, 1/2], [225748/151, 6027/302], [778/151, 1/302], [0, 0]], [[-2467910, 7718845], [-659244245/151, 4461199621/302], [-2467910/151, 7718845/151], [-489/151, 5/302]], [[-1639678815, -787171995/2], [-478664603518/151, -120239364980/151], [-1639678815/151, -787171995/302], [43175/151, 117425/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64489/151, -729/151], [-243/151, -2/151], [0, 0]], [[-25, 1], [1397669132/151, 81355399/302], [5266590/151, 137082/151], [82/151, -3/302]], [[18634, 53207/2], [-2507525473557/302, -3135570573577/302], [-4688782488/151, -5894114382/151], [-130053/302, -177485/302]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[224, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [332792/151, 932/151], [1116/151, -2/151], [0, 0]], [[0, 0], [-2253587737/151, 323501300/151], [-7566272/151, 1118681/151], [-893/151, -3/151]], [[0, 0], [-332567836108/151, -674059273315/151], [-1094829650/151, -2255185018/151], [-219432/151, -299043/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-883096/151, 6748/151], [1142/151, -8/151], [0, 0]], [[0, 0], [-3561586907/151, -353071362/151], [4605956/151, 459713/151], [197/151, 1/151]], [[0, 0], [-322778732725/151, -374646916347/151], [418038000/151, 484726497/151], [14217/151, 19404/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[0, 24]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-254/7, 81/7], [0, 0], [-6/7, 1/21]], [[0, 0], [-1515/7, -3383/14], [0, 0], [-209/21, -361/42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, 0], [-48, 6], [0, 0], [4/3, 0]], [[0, 0], [2106/7, 277/14], [0, 0], [-184/21, -23/14]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[0, 24]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, 0], [-387/7, 85/14], [0, 0], [-25/21, -5/42]], [[0, 0], [864/7, 1255/14], [0, 0], [76/21, 109/42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-354/7, 120/7], [0, 0], [34/21, 2/21]], [[0, 0], [1181/7, 3347/14], [0, 0], [-319/21, -551/42]]], 0, 32, [], [] >,
< [ -2, 0, 1 ], [[576, 192]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-688/17, -160/17], [116/17, 8/17], [0, 0]], [[0, 0], [296164/41, -106278/41], [-10028/5, 3974/5], [-440/697, -4/3485]], [[0, 0], [-894785238/697, 310731265/697], [30261746/85, -11668322/85], [23258/205, 401/205]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-288/17, -184/17], [164/17, 16/17], [0, 0]], [[0, 0], [13453614/697, 7732759/697], [-457722/85, -62310/17], [-6126/3485, -1/3485]], [[0, 0], [-24167041204/697, -14223615270/697], [829289832/85, 566911248/85], [10490544/3485, 89748/697]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[288, 96]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [468/17, 452/17], [48/17, 8/17], [0, 0]], [[0, 0], [29059/41, 35544/41], [274/5, 349/5], [-403/3485, -2/3485]], [[0, 0], [-527433/697, -656343/697], [-4954/85, -6447/85], [441/3485, -3/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2508/17, -452/17], [-14/17, -8/17], [0, 0]], [[0, 0], [-342495626/4879, 1141778/4879], [9504/85, -82/85], [1614/4879, 2/24395]], [[0, 0], [7042276855/287, 180609860/287], [-195358/5, -3977/5], [-165967/1435, -970/287]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[288, 96]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [996/17, 166/17], [-400/17, -10/17], [0, 0]], [[0, 0], [13673043/697, 8458536/697], [-506856/85, -343743/85], [-3191/3485, -2/3485]], [[0, 0], [201839330/41, 124508560/41], [-7475448/5, -5065254/5], [-808206/3485, 5498/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-996/17, 38/17], [60/17, 10/17], [0, 0]], [[0, 0], [58145210/4879, 4374362/4879], [-16840/17, -932/85], [11446/24395, -2/24395]], [[0, 0], [-69948277557/4879, -7379767856/4879], [20178804/17, 843479/17], [-2741175/4879, -83840/4879]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[288, 96]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-400/17, 194/17], [88/17, -8/17], [0, 0]], [[0, 0], [-3146393/697, -354260/697], [-23474/85, 15581/85], [-4291/3485, -4/3485]], [[0, 0], [310564196/697, 50476746/697], [2132656/85, -1401462/85], [418696/3485, 22092/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2608/17, 106/17], [60/17, 10/17], [0, 0]], [[0, 0], [-222316177/4879, 10908721/4879], [-52728/85, -1359/85], [-7411/24395, 3/24395]], [[0, 0], [33848805684/4879, -863701624/4879], [8056548/85, 397388/85], [1130964/24395, 26246/24395]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[36, 12]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120/17, 31/17], [-11/17, 1/17], [0, 0]], [[0, 0], [-2505472/697, -16118/697], [3279/85, -6/85], [-1944/3485, -1/3485]], [[0, 0], [-378578027/1394, -50154235/1394], [247213/85, 61551/170], [-17253/410, -2187/410]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6106/17, 179/17], [-69/17, -3/17], [0, 0]], [[0, 0], [114913781/9758, -19001363/4879], [-44373/85, 6663/170], [-3265/9758, 1/24395]], [[0, 0], [175251035530/4879, -52432210104/4879], [-27627077/17, 994355/17], [-5112174/4879, -200283/4879]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[36, 12]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [474/17, -74/17], [46/17, 2/17], [0, 0]], [[174, -3/2], [-497649/1394, -835319/1394], [-3633/85, -5544/85], [-441/6970, 3/6970]], [[1120, 140], [-2318926/697, -2898657/697], [-6573/17, -7751/17], [-284/697, -36/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7018/17, 349/17], [67/17, -3/17], [0, 0]], [[641, 1/2], [-461942909/9758, 2648585/9758], [29364/85, 32/85], [7411/48790, -3/48790]], [[-129030, -9775/2], [13277376401/1394, 208326829/697], [-1182189/17, -45145/17], [-2507/82, -46/41]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[288, 96]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -24], [4, -8], [0, 0]], [[0, 0], [-111/7, 362/7], [-8, 6], [-47/21, -4/21]], [[0, 0], [9/7, 17/7], [0, 0], [-1/7, -1/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 36], [-12, 4], [0, 0]], [[0, 0], [-402/49, -393/49], [332/7, 610/7], [-146/147, 5/147]], [[0, 0], [-8795/49, -6588/49], [11504/7, 9024/7], [-1595/147, -290/49]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[192, 384]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1152/17, -284/17], [452/17, 4/17], [0, 0]], [[0, 0], [-1249644/17, -1206874/17], [1676576/85, 1978386/85], [4/5, 0]], [[0, 0], [-16243084142/697, -10690697209/697], [612471354/85, 385527154/85], [277062/3485, 62831/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-652/17, -186/17], [104/17, -6/17], [0, 0]], [[0, 0], [-3780408/697, 1028531/697], [81314/85, -42968/85], [1284/697, 1/3485]], [[0, 0], [499089538/697, 822212185/697], [1665462/85, -11559474/85], [-377450/697, -1909897/3485]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[12, 24]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [936/17, -71/17], [-57/17, 1/17], [0, 0]], [[0, 0], [3180843/697, -234115/1394], [-6585/17, -879/85], [-1119/3485, -1/6970]], [[0, 0], [-3998318465/1394, -4525091187/1394], [23772609/85, 9938793/34], [1529361/6970, 1648809/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11412/17, -597/17], [-123/17, -5/17], [0, 0]], [[0, 0], [18136630361/9758, -862030499/9758], [11791042/595, -1414999/1190], [-15481/48790, -1/48790]], [[0, 0], [664544142343/697, 731635562177/697], [839202154/85, 939346479/85], [-629533/3485, -130893/697]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[12, 24]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1208/17, -54/17], [-74/17, 1/17], [0, 0]], [[-217, 0], [1287829/697, -331685/1394], [-6563/85, 1006/85], [-55/697, 1/6970]], [[-680, -1411/2], [348159/82, 431779/82], [-826/5, -1071/5], [-101/410, -21/82]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5286/17, -139/17], [-57/17, 1/17], [0, 0]], [[-1745, 5/2], [-951956025/9758, 183485143/9758], [-44922/119, 26034/119], [4035/9758, -1/9758]], [[130788, 147742], [2890787038/697, 4778860088/697], [-740128/85, 1321883/85], [-108298/3485, -122138/3485]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[96, 192]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, -12], [8, 0], [0, 0]], [[0, 0], [7187391/697, 3394949/697], [54164/85, 5959/17], [953/3485, -3/3485]], [[0, 0], [1693821105/697, 1267849787/697], [13754322/85, 2015859/17], [118079/3485, 111631/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1028/17, 180/17], [-48/17, 8/17], [0, 0]], [[0, 0], [-1438582917/4879, -6000089/4879], [-700444/595, 6891/119], [-21863/24395, 3/24395]], [[0, 0], [-1169787708574/4879, -1218556683411/4879], [-101299928/119, -112636766/119], [-3523806/4879, -3688641/4879]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[96, 192]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [440/17, 142/17], [-192/17, -2/17], [0, 0]], [[0, 0], [-209, 98], [152/5, -243/5], [1/5, 0]], [[0, 0], [-21931/697, -16147/697], [30/17, 111/85], [91/3485, 67/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6152/17, -96/17], [-328/17, -2/17], [0, 0]], [[0, 0], [945123990/4879, -231543867/4879], [-4775734/595, 1412506/595], [13978/24395, 1/4879]], [[0, 0], [62692240383/697, 101632840151/697], [-248557694/85, -480752019/85], [1892033/3485, 393393/697]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[96, 192]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [440/17, -28/17], [-192/17, -2/17], [0, 0]], [[0, 0], [75777/17, -18078/17], [-103294/85, 31371/85], [-1/5, 0]], [[0, 0], [-15718101/697, -22547040/697], [78766/17, 136937/17], [1341/697, 1332/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8060/17, 96/17], [-216/17, 2/17], [0, 0]], [[0, 0], [1964013025/4879, -54296280/4879], [-5930334/595, 308083/595], [1651/4879, 4/24395]], [[0, 0], [-584654033128/4879, -618053500807/4879], [1672130706/595, 364145354/119], [-2607588/24395, -2671047/24395]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[96, 192]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 22], [-12, 6], [0, 0]], [[0, 0], [251/7, 408/7], [-20, 8], [19/21, 4/21]], [[0, 0], [1619/7, -2699/7], [272, -176], [-143/21, 55/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-176, -102], [-68, -46], [0, 0]], [[0, 0], [3953/7, -689/7], [796/7, 262/7], [-5/21, -1/21]], [[0, 0], [-8459/7, 2960/7], [-1384/7, -206/7], [3/7, 0]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, 14], [2, 10], [0, 0]], [[0, 0], [614, 354], [-288, -216], [2, -6]], [[0, 0], [552, 180], [-192, -168], [12, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-546, -30], [-6, 6], [0, 0]], [[0, 0], [-168346/7, -197462/7], [2486/7, -474/7], [16/7, 4/7]], [[0, 0], [380348/7, 669164/7], [-10746/7, 3792/7], [-58/7, -4/7]]], 0, 1280, [], [] >,
< [ -2, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [1, 0], [0, 0]], [[0, 0], [-3, 1], [0, 0], [1, 0]], [[0, 0], [0, 6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 0], [1, 0], [0, 0]], [[0, 0], [13861/7, 807/7], [102/7, 8/7], [-51/7, -4/7]], [[0, 0], [-1329/7, -796/7], [-10/7, -6/7], [5/7, 3/7]]], 0, 40, [], [] >,
< [ -2, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-3, 1], [0, 0], [1, 0]], [[0, 0], [0, 6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 0], [1, 0], [0, 0]], [[0, 0], [-1853/7, 494/7], [-34/7, 2/7], [17/7, -1/7]], [[0, 0], [39824/7, -70306/7], [200/7, -1280/7], [-100/7, 640/7]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[12, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -2], [-6, 9], [-4, -2], [0, 0]], [[0, 0], [3, 1], [0, 0], [1, 0]], [[-1, -3/2], [12, -6], [-1, -3/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 2], [222, -27], [-5, 2], [0, 0]], [[-8, 13], [-1275/7, -4454/7], [38/7, 97/7], [-47/7, -3/7]], [[149, -39/2], [-61074/7, -19395/7], [1355/7, 975/14], [-156/7, -312/7]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[12, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-19, 31/2], [0, 0], [2, -1/2]], [[0, 0], [-2, 5/2], [0, 0], [1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 0], [1, 0], [0, 0]], [[0, 0], [843/7, 131/14], [-44/7, 3/7], [22/7, -3/14]], [[0, 0], [-3610/7, 753/7], [204/7, -68/7], [-102/7, 34/7]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 42], [0, 4], [0, 0]], [[0, 0], [-320, -116], [-34, -16], [-2, 2]], [[0, 0], [-648, -335], [-72, -42], [-2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, -30], [2, -4], [0, 0]], [[0, 0], [-23626/7, -29724/7], [-2328/7, 328/7], [30/7, 4/7]], [[0, 0], [-11282/7, -21675/7], [-2064/7, 618/7], [24/7, -1/7]]], 0, 320, [], [] >,
< [ -2, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -12], [-12, -2], [0, 0]], [[0, 0], [-70, -41], [144, 96], [10, -5]], [[0, 0], [22, 14], [-48, -32], [-4, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-234, 6], [-8, 2], [0, 0]], [[0, 0], [-846/7, 7933/7], [-248/7, 274/7], [40/7, 3/7]], [[0, 0], [83604/7, -250041/7], [9700/7, -9426/7], [-1224/7, 51/7]]], 0, 320, [], [] >,
< [ -2, 0, 1 ], [[288, 96]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [77566/151, 1916/151], [-2180/151, -8/151], [0, 0]], [[0, 0], [139789031/151, 375528538/151], [-3494142/151, -10482919/151], [-499/151, -1/151]], [[0, 0], [-27936863114/151, -45030012087/151], [733355178/151, 1250493904/151], [56898/151, 8091/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66694/151, -198/151], [-972/151, -8/151], [0, 0]], [[0, 0], [218069331/1057, -3010281/1057], [-3969520/1057, -8739/1057], [-6887/1057, -2/1057]], [[0, 0], [-689274641669/1057, -88347914358/1057], [12603925830/1057, 1809808555/1057], [21855621/1057, 3098199/1057]]], 0, 1920, [], [] >,
< [ -2, 0, 1 ], [[96, 192]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94574/151, 1104/151], [2652/151, 8/151], [0, 0]], [[0, 0], [101244899/151, -284073953/151], [-2611220/151, 7927273/151], [3, 0]], [[0, 0], [12400238146/151, -20219980518/151], [-331543364/151, 562162218/151], [30668/151, -4422/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [141372/151, 4608/151], [-3348/151, -6/151], [0, 0]], [[0, 0], [-251986289/1057, 24769818/1057], [4935358/1057, -731183/1057], [5541/1057, 1/1057]], [[0, 0], [22316836243/1057, -4788427829/1057], [-442263116/1057, 115068581/1057], [-479259/1057, 58092/1057]]], 0, 1920, [], [] >,
< [ -2, 0, 1 ], [[-48, -8]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-497040/1777, -24113/3554], [7973/3, -1], [2810/5331, -1/10662]], [[0, 0], [-93605984/1777, -122548943/3554], [484949, 947047/3], [512878/5331, 667757/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, 0], [-2321585/1777, 70809/3554], [35765/3, 0], [12605/5331, 5/10662]], [[0, 0], [-604618626/1777, 114605259/1777], [9264866/3, -1624252/3], [3265078/5331, -190601/1777]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-48, -8]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-7045285/1777, 32751/3554], [-7153/3, 0], [-2521/5331, -1/10662]], [[0, 0], [542756540/1777, 1121355649/3554], [184569, 190179], [65076/1777, 134079/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, 0], [13945, -2], [25210/3, -5/3], [5/3, 0]], [[0, 0], [16734/1777, 119927/3554], [17/3, 61/3], [2/1777, 43/10662]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[832, 320]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 0], [-12, 8], [0, 0]], [[0, 0], [112203896/1433, 41292/1433], [51086, 0], [-49890/24361, 2/24361]], [[0, 0], [-564184/1433, 469773/1433], [-257, 214], [251/24361, -209/24361]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, 14], [-8, 8], [0, 0]], [[0, 0], [61985838/10031, 18428434/10031], [3858/7, 79/7], [-2920/170527, 5/170527]], [[0, 0], [-115875698/10031, 11201909/10031], [-9145/7, 3291/7], [7017/170527, -2640/170527]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[416, 160]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 2], [-4, -10], [0, 0]], [[0, 0], [43583439/1777, 447039/1777], [22468/3, -70/3], [-1281/1777, 1/5331]], [[0, 0], [-10709040075/1777, -5256657252/1777], [-1816572, -2636798/3], [934729/5331, 453676/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 86], [8, 6], [0, 0]], [[0, 0], [907058251/12439, -496795/12439], [200680/21, -2/7], [10951/37317, -1/37317]], [[0, 0], [-46719585642/12439, 10002190390/12439], [-10334080/21, 2207560/21], [-187980/12439, 120500/37317]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[-64, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -58], [4, -10], [0, 0]], [[0, 0], [-56, -88], [30, -30], [-6, 2]], [[0, 0], [-14, 0], [0, 0], [2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1818, -288], [2, 4], [0, 0]], [[0, 0], [1248220/7, -5033684/7], [21018/7, -566/7], [30/7, -10/7]], [[0, 0], [42959402/7, 16205034/7], [-87306/7, -98690/7], [-36/7, -100/7]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[288, 320]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2856026/151, 3650/151], [2324/151, -2/151], [0, 0]], [[0, 0], [686929089/151, -2970458/151], [-559098/151, 3077/151], [893/151, 3/151]], [[0, 0], [-1317/151, -1903/151], [20/151, 7/151], [7/151, 10/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16987754/151, 53048/151], [-2652/151, 8/151], [0, 0]], [[0, 0], [93296479159109/1057, -576609820448/1057], [14564727930/1057, -88476389/1057], [-6119/1057, -5/1057]], [[0, 0], [-152055312723416592/151, -263031995238395850/151], [-23746416898300/151, -41065092640682/151], [10215108/151, 17322660/151]]], 0, 3456, [], [] >,
< [ -2, 0, 1 ], [[576, 640]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-388, -206], [0, -6], [0, 0]], [[0, 0], [17246, 15764], [510, -4], [0, -4]], [[0, 0], [-405982, -304472], [-6592, -2884], [46, 52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-674, 168], [6, 4], [0, 0]], [[0, 0], [-13970/7, 10/7], [36/7, 12/7], [-18/7, -6/7]], [[0, 0], [5238/7, 4196/7], [-20/7, -16/7], [10/7, 8/7]]], 0, 18432, [], [] >,
< [ -2, 0, 1 ], [[96, 288]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82, 8], [20, -8], [0, 0]], [[0, 0], [13275/7, 6588/7], [264, 30], [-1/21, 2/21]], [[0, 0], [-416, -258], [-48, -18], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1858, 104], [20, -8], [0, 0]], [[0, 0], [-98800503/7, -35338092/7], [108416, -364], [-1/21, 2/21]], [[0, 0], [6291614858/7, 681644570], [-4219488, -3703518], [-14/3, -44/21]]], 0, 4608, [], [] >,
< [ -2, 0, 1 ], [[-32, -40]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [16094506/1777, -79447/3554], [-34003/3, -11/3], [-11984/5331, -1/3554]], [[0, 0], [265340552/1777, -934130646/1777], [-183192, 657336], [-64656/1777, 231684/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, 0], [2135131/1777, -28161/3554], [-4571/3, -8/3], [-537/1777, -5/10662]], [[0, 0], [47842198/1777, -26993171/1777], [-101470/3, 18980], [-35770/5331, 20075/5331]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-32, -40]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-7865522/1777, -24113/3554], [-7973/3, -1], [-2810/5331, -1/10662]], [[0, 0], [1026202840/1777, -477206428/1777], [347116, -161644], [122360/1777, -56994/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, 0], [3351119/1777, -2024/1777], [1134, -5/3], [1199/5331, -2/5331]], [[0, 0], [-136661/1777, 153395/3554], [-139/3, 26], [-49/5331, 55/10662]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[192, 512]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 2], [-16, 16], [0, 0]], [[0, 0], [6763750/1433, 11410/1433], [2970, 13], [-2920/24361, -5/24361]], [[0, 0], [76666854/1433, 41581221/1433], [33763, 18349], [-1947/1433, -1056/1433]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 6], [-4, 0], [0, 0]], [[0, 0], [-927394568/10031, 15547417/10031], [-22327/7, 932/7], [-22609/24361, 3/24361]], [[0, 0], [237847312476/10031, -47877319806/10031], [5778984/7, -1294792/7], [5762880/24361, -1071360/24361]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[96, 256]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -42], [-8, -10], [0, 0]], [[0, 0], [15026615/1777, 631082/1777], [-13316/3, 226/3], [785/1777, 2/5331]], [[0, 0], [448044190/1777, -1145122810/1777], [-173040, 347768], [28428/1777, -60996/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 58], [12, -10], [0, 0]], [[0, 0], [2775556849/12439, 7143811/12439], [-1003568/21, -122/7], [-54755/37317, -5/37317]], [[0, 0], [11144245633/12439, -145885880713/12439], [-1420856/7, 17585994/7], [-78047/12439, 959519/12439]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[-320, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-170, -120], [-2, -4], [0, 0]], [[0, 0], [54, 58], [-30, 24], [8, -2]], [[0, 0], [-44, -34], [6, -6], [-2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1262, 406], [2, -10], [0, 0]], [[0, 0], [-597766/7, 1328248/7], [22284/7, 328/7], [-2/7, -4/7]], [[0, 0], [4356, -180], [16, 40], [0, 0]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[352, 32]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1477372/151, -630/151], [-1904/151, 2/151], [0, 0]], [[0, 0], [7764731218/151, -463699870/151], [-10009988/151, 602816/151], [-1024/151, -4/151]], [[0, 0], [282426544593/151, 66742308557/151], [-363984112/151, -85852019/151], [-38659/151, -11256/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [738124/151, 4306/151], [-932/151, -6/151], [0, 0]], [[0, 0], [52440583526/1057, 666553514/1057], [-66191136/1057, -881000/1057], [512/1057, 2/1057]], [[0, 0], [12396632105523/1057, 3698270876183/1057], [-15652536692/1057, -4677311223/1057], [120425/1057, 35050/1057]]], 0, 3456, [], [] >,
< [ -2, 0, 1 ], [[704, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74, -86], [-6, -6], [0, 0]], [[0, 0], [3934, -2218], [88, -8], [-6, 2]], [[0, 0], [-2086, 770], [-70, -18], [4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [452, 106], [-8, -2], [0, 0]], [[0, 0], [98082/7, -27486/7], [-1674/7, 446/7], [60/7, 8/7]], [[0, 0], [1154240/7, -298110/7], [-19714/7, 4812/7], [722/7, 114/7]]], 0, 18432, [], [] >,
< [ -2, 0, 1 ], [[480, 192]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 34], [-8, 2], [0, 0]], [[0, 0], [-1219/7, -1251/7], [32, 28], [5/21, -1/7]], [[0, 0], [-242, -138], [32, 28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-354, -192], [-72, -38], [0, 0]], [[0, 0], [-31950/7, -24209/7], [-6340/7, -4840/7], [4/21, 1/7]], [[0, 0], [-1/7, 2/7], [-16/7, 10/7], [-1/7, 2/21]]], 0, 4608, [], [] >,
< [ -2, 0, 1 ], [[-96, -128]], [ -518, 7 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88/7, -8/7], [4, -10], [0, 0]], [[0, 0], [8217/119, 13856/119], [-1588/7, -47/7], [267/833, 2/833]], [[0, 0], [-735983/119, -221873/119], [2994/7, 42045/7], [-191/833, -7067/833]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60/7, -36/7], [-20, -6], [0, 0]], [[0, 0], [478803/833, -5055/833], [-85310/49, -877/49], [-1177/5831, 5/5831]], [[0, 0], [14552982/833, 28392538/833], [-2804964/49, -5115070/49], [-36660/5831, -70030/5831]]], 0, 704, [], [] >,
< [ -2, 0, 1 ], [[-704, -448]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [336, 250], [8, 6], [0, 0]], [[0, 0], [-1202, -282], [-32, -6], [6, -10]], [[0, 0], [-6302, -692], [-170, -10], [48, -60]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-414, -316], [-6, -6], [0, 0]], [[0, 0], [1104, -426], [62, -40], [-10, 0]], [[0, 0], [-1246, -492], [-30, 6], [20, 12]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-12, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 1], [344, -9], [-5, 1], [0, 0]], [[0, 0], [19, 0], [0, 0], [1, 0]], [[162, 441/2], [-17722, -18424], [162, 441/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 5/2], [-324, 200], [4, 5/2], [0, 0]], [[81, -3/2], [-385920/7, 268549/7], [555/7, -13/14], [6/7, -2/7]], [[350, 315], [408749/7, -332945/7], [2428/7, 2175/7], [11/7, 15/7]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-12, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 0], [1, 0], [0, 0]], [[0, 0], [-145, -27/2], [0, 0], [-4, 1/2]], [[0, 0], [-3372, -6835/2], [0, 0], [-55, -155/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 0], [1, 0], [0, 0]], [[0, 0], [-6563/7, 481/14], [-16/7, 3/7], [8/7, -3/14]], [[0, 0], [19653, 41691/2], [32, 43], [-16, -43/2]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-96, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-178, -66], [-6, 2], [0, 0]], [[0, 0], [-80, 250], [-20, 16], [-4, -4]], [[0, 0], [-236, 305], [-32, 24], [-2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1182, -802], [-6, 10], [0, 0]], [[0, 0], [10210712/7, -7980243/7], [-184628/7, 1842/7], [82/7, 3/7]], [[0, 0], [5031527338/7, -2649638037/7], [70500912/7, 103918302/7], [-35640/7, -47655/7]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-96, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-188, -154], [-12, -10], [0, 0]], [[0, 0], [-340, 569], [-40, 40], [10, 1]], [[0, 0], [1206, -450], [88, -48], [0, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2626, -168], [-4, -2], [0, 0]], [[0, 0], [-29686/7, -2119/7], [-52/7, -6/7], [26/7, 3/7]], [[0, 0], [-183518/7, -260650/7], [-360/7, -468/7], [180/7, 234/7]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-96, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, -52], [-4, -10], [0, 0]], [[0, 0], [6622, -4455], [678, -380], [0, -1]], [[0, 0], [1362, -998], [120, -100], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-756, 486], [-20, 6], [0, 0]], [[0, 0], [2386740/7, -1334321/7], [83730/7, -442/7], [-12/7, -3/7]], [[0, 0], [14886828/7, -15181177/7], [-188546/7, -640740/7], [74/7, 99/7]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[416, 64]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43198/151, 1182/151], [-1116/151, 2/151], [0, 0]], [[0, 0], [1032376345/151, -14046616/151], [-26737366/151, 1142477/151], [197/151, 1/151]], [[0, 0], [-224030347816/151, -245103460480/151], [5427646628/151, 6173825574/151], [-44520/151, -47594/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5086610/151, -15350/151], [-1392/151, -4/151], [0, 0]], [[0, 0], [-2092864786472/1057, 11341413961/1057], [-572958390/1057, 3181004/1057], [-5062/1057, -5/1057]], [[0, 0], [-29818881525146113/1057, -32152281825771420/1057], [-8161091167374/1057, -8801153366751/1057], [-73124299/1057, -78234045/1057]]], 0, 4608, [], [] >,
< [ -2, 0, 1 ], [[32, 288]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3087358/151, 1536/151], [-2928/151, -2/151], [0, 0]], [[0, 0], [300324588151/151, -3938392072/151], [-284823010/151, 3681121/151], [-1129/151, -5/151]], [[0, 0], [-858557557232867/151, -1752060912780616/151], [814876352266/151, 1661789047197/151], [3460197/151, 6646133/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29310670/151, 114286/151], [-2560/151, -10/151], [0, 0]], [[0, 0], [5218138543556/151, -31124096686/151], [-455762112/151, 2714534/151], [-4, 0]], [[0, 0], [-39302264882811233/1057, -76939923129632714/1057], [3432849790954/1057, 6720108825107/1057], [4655811/1057, 8933573/1057]]], 0, 4608, [], [] >,
< [ -2, 0, 1 ], [[-160, -32]], [ -518, -7 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66/7, 8/7], [16, 8], [0, 0]], [[0, 0], [-12809/17, 45354/119], [-4912/7, 577/7], [177/833, -4/833]], [[0, 0], [1798380/119, -104740/119], [168668/7, 68006/7], [-6696/833, -3100/833]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54/7, 66/7], [-12, -10], [0, 0]], [[0, 0], [-1903396/833, 1290664/833], [3032/7, -30], [-12/833, 2/833]], [[0, 0], [-3900065/833, 1920350/833], [23672/7, 12561/7], [-83/833, -40/833]]], 0, 704, [], [] >,
< [ -2, 0, 1 ], [[-704, 448]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-178, 146], [6, -6], [0, 0]], [[0, 0], [-12, -138], [10, 10], [6, -2]], [[0, 0], [218, -48], [-12, -4], [6, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -54], [0, -2], [0, 0]], [[0, 0], [78, 24], [4, -4], [2, 10]], [[0, 0], [-438, -256], [-2, 10], [-48, -48]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-20, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -1], [-16, 5], [4, -1], [0, 0]], [[0, 0], [15, 0], [0, 0], [1, 0]], [[1, 1/2], [-2, -1], [1, 1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -1/2], [-728, 42], [-5, -1/2], [0, 0]], [[1608, -96], [1715655/7, -367555/7], [11282/7, -662/7], [-13/7, -5/7]], [[4920, -1092], [5515662/7, -1960207/7], [34504/7, -7628/7], [-32/7, -8/7]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-20, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [-28, 21/2], [0, 0], [-1, -5/2]], [[0, 0], [-35, 69], [0, 0], [15, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94, 0], [1, 0], [0, 0]], [[0, 0], [-20386/7, -886/7], [36/7, 2/7], [-18/7, -1/7]], [[0, 0], [-1381341/7, -525369/14], [2448/7, 493/7], [-1224/7, -493/14]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-160, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -202], [0, -8], [0, 0]], [[0, 0], [-170, -159], [-10, -8], [-10, -5]], [[0, 0], [-2, 3], [0, 0], [0, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [716, -278], [8, -4], [0, 0]], [[0, 0], [-1800/7, 12080/7], [886/7, 50/7], [-86/7, -4/7]], [[0, 0], [257664/7, 1598739/7], [122076/7, 25164/7], [-11814/7, -2327/7]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-160, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -4], [0, -4], [0, 0]], [[0, 0], [106, -11], [-8, -2], [6, -1]], [[0, 0], [482, -415], [-16, 20], [30, -25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [198, -398], [-20, -6], [0, 0]], [[0, 0], [33728308/7, -35270561/7], [-1263016/7, 1682/7], [-4/7, -1/7]], [[0, 0], [61662, -60760], [-2064, 120], [0, 0]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-160, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 58], [4, -6], [0, 0]], [[0, 0], [1390, 1411], [62, -136], [-10, 1]], [[0, 0], [-16306, -17949], [-1102, 1914], [138, -23]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2128, -398], [4, -6], [0, 0]], [[0, 0], [-2266536/7, -6505588/7], [32000/7, 356/7], [86/7, 4/7]], [[0, 0], [-85862210, -141008663], [662230, 103528], [1798, 341]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[544, 256]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [416120/151, -1432/151], [932/151, -6/151], [0, 0]], [[0, 0], [783127987/151, -154698689/151], [1759672/151, -352357/151], [-637/151, -4/151]], [[0, 0], [-3560180442646/151, -493469423414/151], [-7983895912/151, -1084098732/151], [3326268/151, 1076644/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4935526/151, 30632/151], [-1668/151, -10/151], [0, 0]], [[0, 0], [-767436408033/1057, -1892040764/1057], [259365790/1057, 585953/1057], [1313/1057, -1/1057]], [[0, 0], [620963798080182/1057, 202732259544310/1057], [-209835290860/1057, -68472971548/1057], [-1060180/1057, -343430/1057]]], 0, 4608, [], [] >,
< [ -2, 0, 1 ], [[288, 352]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2051474/151, 1182/151], [2324/151, 2/151], [0, 0]], [[0, 0], [-1020937442/151, 25861859/151], [-1153418/151, 28114/151], [-860/151, -1/151]], [[0, 0], [1815120598075/151, 63000313983/151], [2050893204/151, 73143861/151], [1533861/151, 93702/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26490896/151, 59020/151], [-4372/151, -10/151], [0, 0]], [[0, 0], [4003218684799/1057, 222044005200/1057], [-660693386/1057, -36688861/1057], [-4005/1057, 5/1057]], [[0, 0], [4274851519770770/1057, 501052694229796/1057], [-705529468548/1057, -82739183496/1057], [-4246616/1057, -260392/1057]]], 0, 4608, [], [] >,
< [ -2, 0, 1 ], [[160, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 1], [1, 0], [0, 0]], [[0, 0], [-1682/17, 184/17], [0, 0], [130/17, 1/17]], [[0, 0], [-20036/17, 5470/17], [0, 0], [1488/17, -248/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -4], [-6, -4], [0, 0]], [[0, 0], [-2689/17, 1947/17], [3, 6], [52/17, -3/17]], [[0, 0], [362, -61], [422, 293], [100, 74]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[20, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 1/2], [1, -5/2], [0, 0]], [[0, 0], [-9, -1/2], [0, -11/2], [0, 0]], [[-1, -1/2], [-19/34, -11/34], [-5/2, -1], [-5/34, -1/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 17/2], [2, 3/2], [0, 0]], [[0, 0], [4, -3], [0, 0], [0, 0]], [[-1, -1/2], [-35/17, -14/17], [0, 0], [-5/34, -1/17]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[20, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27/2, 1/2], [1/2, 2], [0, 0]], [[0, 0], [4106/17, -2951/17], [-46, 23], [65/17, 1/34]], [[0, 0], [25712/17, -21954/17], [-800, -185], [2808/17, 1674/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-501/17, -3/34], [1, -1/2], [-37/17, 1/34]], [[0, 0], [-98/17, -63/17], [0, 0], [-7/17, -9/34]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[224, 96]], [ -512, -29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -2], [4, 2], [0, 0]], [[0, 0], [-69184727/4201, -51566/4201], [38498, 2], [19249/4201, 1/4201]], [[0, 0], [24706731614/4201, 18313020490/4201], [-13734000, -10180800], [-6867000/4201, -5090400/4201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 26], [-20, -6], [0, 0]], [[0, 0], [6757457502/29407, -5507926/29407], [88120/7, 1240/7], [43388/29407, 4/29407]], [[0, 0], [-1099709419827/29407, 25719557968/29407], [-14331022/7, 121914/7], [-7060679/29407, 158733/29407]]], 0, 960, [], [] >,
< [ -2, 0, 1 ], [[448, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-110, -158], [10, 6], [0, 0]], [[0, 0], [-278, -488], [36, 24], [-10, 0]], [[0, 0], [322, -78], [-6, -6], [-4, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-306, 8], [-10, 0], [0, 0]], [[0, 0], [-865040/7, 38036/7], [-31894/7, 136/7], [-102/7, -8/7]], [[0, 0], [337858748/7, 115236512/7], [12839224/7, 4760194/7], [43608/7, 18630/7]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[28, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 3/2], [16, 26], [4, 3/2], [0, 0]], [[0, 0], [19, 0], [0, 0], [1, 0]], [[9, 9/2], [50, 57], [9, 9/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -5/2], [-308, 280], [3, -5/2], [0, 0]], [[-11, 5/2], [36955/7, -4035/7], [-158/7, 47/14], [-27/7, 2/7]], [[472, 295/2], [-258700, -104845], [1060, 799/2], [196, 84]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[28, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 0], [1, 0], [0, 0]], [[0, 0], [201, -9], [0, 0], [5, -1]], [[0, 0], [2492, 2621/2], [0, 0], [51, 45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-110, 0], [1, 0], [0, 0]], [[0, 0], [36990/7, -3569/14], [-116/7, 6/7], [29/7, -3/14]], [[0, 0], [4522999/7, 3947523/14], [-14136/7, -6138/7], [3534/7, 3069/14]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[224, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, -20], [2, 4], [0, 0]], [[0, 0], [-364, 336], [20, -6], [0, 4]], [[0, 0], [556, -197], [0, 20], [10, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [402, 648], [10, 6], [0, 0]], [[0, 0], [1110884, -1218088], [-8486, -90], [2, 0]], [[0, 0], [-4785588/7, 51296827/7], [591072/7, 256646/7], [-138/7, -59/7]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[224, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [186, -38], [12, -2], [0, 0]], [[0, 0], [1142, 577], [68, 48], [10, -5]], [[0, 0], [-508, -44], [-20, -14], [-12, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [494, 212], [12, 2], [0, 0]], [[0, 0], [7662110/7, 2345471/7], [204692/7, 192/7], [-66/7, 1/7]], [[0, 0], [-5268017462/7, -3085447136/7], [-111180284/7, -48525494/7], [35346/7, 15070/7]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[32, 128]], [ -512, 29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -8], [0, 10], [0, 0]], [[0, 0], [2292204/4201, -122983/4201], [3524, 40], [1756/4201, 1/4201]], [[0, 0], [10266963/4201, -3670533/4201], [15158, -4652], [7605/4201, -2400/4201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -28], [-12, 8], [0, 0]], [[0, 0], [1041241514/29407, 19386461/29407], [-654348/7, 24/7], [-65460/29407, 1/29407]], [[0, 0], [1170048488141/29407, -773761535657/29407], [-753960430/7, 500320060/7], [-75422937/29407, 50049660/29407]]], 0, 960, [], [] >,
< [ -2, 0, 1 ], [[64, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [174, -228], [-10, 8], [0, 0]], [[0, 0], [2118, 1288], [-20, -8], [2, -4]], [[0, 0], [-3844, -2100], [40, 10], [-8, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3368, -16], [-4, 0], [0, 0]], [[0, 0], [-13284038/7, 106642/7], [-15772/7, 208/7], [-10/7, -6/7]], [[0, 0], [155246, -138994], [186, -166], [0, 0]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[4, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 5/2], [-148, -22], [1, 5/2], [0, 0]], [[0, 0], [11, 0], [0, 0], [1, 0]], [[8, 36], [-2154, -123], [8, 36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 2], [-862, -391], [4, 2], [0, 0]], [[-14, -1/2], [29798/7, -1738/7], [-68/7, -13/14], [-10/7, 1/7]], [[-15, -40], [16057/7, 82423/7], [-96/7, -199/7], [-3/7, -27/7]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[4, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [1, 0], [0, 0]], [[0, 0], [-62, -69/2], [0, 0], [-1, -3/2]], [[0, 0], [-47, -37/2], [0, 0], [0, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-194, 0], [1, 0], [0, 0]], [[0, 0], [-3266/7, -891/14], [36/7, 2/7], [9/7, 1/14]], [[0, 0], [-6495, -15791], [44, 172], [11, 43]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[32, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -72], [8, -2], [0, 0]], [[0, 0], [1760, -1309], [84, -72], [2, -5]], [[0, 0], [1674, -709], [138, 0], [22, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -144], [4, -6], [0, 0]], [[0, 0], [-858, 3176], [202, 0], [8, 0]], [[0, 0], [196552/7, -8325/7], [1164/7, 6402/7], [46/7, 253/7]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[32, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, -38], [-16, 2], [0, 0]], [[0, 0], [-514, -1567], [144, 216], [10, 3]], [[0, 0], [-3532, 530], [432, 18], [0, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [172, 144], [0, 6], [0, 0]], [[0, 0], [323416/7, 208681/7], [15424/7, -512/7], [-36/7, 5/7]], [[0, 0], [-119634204/7, -88318406/7], [-1402932/7, -3117364/7], [1710/7, 6878/7]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-224, -64]], [ -390, 35 ], [ -7, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 0], [4, 2], [0, 0]], [[0, 0], [-3128328/365, 1173/365], [27476, 10], [13738/14965, 1/2993]], [[0, 0], [8053/73, 29799/365], [-354, -262], [-177/14965, -131/14965]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 32], [20, -8], [0, 0]], [[0, 0], [-8217012/2555, 4616817/2555], [140824/7, 4560/7], [67612/104755, 1/20951]], [[0, 0], [-2464600079/2555, 1711288361/2555], [24196306/7, -14365566/7], [12088003/104755, -7287713/104755]]], 0, 1280, [], [] >,
< [ -2, 0, 1 ], [[-96, -160]], [ -390, -35 ], [ -7, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -8], [-20, 6], [0, 0]], [[0, 0], [679182/73, 73727/365], [-28736, 146], [-14504/14965, -3/14965]], [[0, 0], [377844327/365, -23271903/73], [-3253830, 1071514], [-1636683/14965, 532173/14965]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 12], [-20, 2], [0, 0]], [[0, 0], [3182038/511, -2627/511], [-23304/7, 306/7], [844/20951, 1/20951]], [[0, 0], [9182623/2555, 3650679/2555], [-13266/7, -5154/7], [487/20951, 971/104755]]], 0, 1280, [], [] >,
< [ -2, 0, 1 ], [[448, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -104], [-2, 4], [0, 0]], [[0, 0], [1720, 1144], [-48, -30], [-4, -2]], [[0, 0], [990, 238], [-36, 0], [-6, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7284, 1550], [0, 10], [0, 0]], [[0, 0], [-6327928/7, 14973984/7], [-41110/7, -54/7], [-18/7, 6/7]], [[0, 0], [-81773162/7, -151106274/7], [508192/7, 220176/7], [158/7, 22/7]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[320, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-316, -350], [-8, -10], [0, 0]], [[0, 0], [3158, -5116], [120, -162], [6, -10]], [[0, 0], [-15446, -40604], [-270, -1188], [-32, -80]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7700, -2614], [8, 10], [0, 0]], [[0, 0], [-3143864/7, 17897174/7], [-43350/7, 198/7], [-2/7, -4/7]], [[0, 0], [-16938, -64490], [162, 34], [0, 0]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[-288, 64]], [ -1862, 65 ], [ -22, 13 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -5], [10, 1], [0, 0]], [[0, 0], [-140201820017/23689, 1731199/23689], [4801195, 92], [-18357296/1729297, -5/1729297]], [[0, 0], [-644454171270383/23689, 668630430255241/23689], [22067815095, -22896475842], [-84379262508/1729297, 87545920743/1729297]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -6], [2, -4], [0, 0]], [[0, 0], [-29758012367207/165823, 14140431/165823], [-370030027/7, 232/7], [163618244/12105079, 5/12105079]], [[0, 0], [-441944021121917058/165823, 358130449015446801/165823], [-5495414017638/7, 4453222308901/7], [2429935323660/12105079, -1969104585942/12105079]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[-288, -64]], [ -1862, -65 ], [ -14, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 5], [6, 1], [0, 0]], [[0, 0], [-17709436811/23689, 1504696/23689], [-1182995, 80], [-4522920/1729297, 5/1729297]], [[0, 0], [226344845926/23689, -3234204171085/23689], [15112402, -216045421], [57669040/1729297, -825998096/1729297]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -7], [10, 1], [0, 0]], [[0, 0], [17375770412781/165823, -23772356/165823], [64287355/7, 334/7], [-36980208/12105079, -5/12105079]], [[0, 0], [-19700876366269766/23689, -20440262108635960/23689], [-72890838932, -75625924384], [41928775600/1729297, 43502315100/1729297]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[-32, 224]], [ -7614, 45 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [218/21, -82/21], [-116/7, 6/7], [0, 0]], [[0, 0], [-41118974/11067, 1432995/3689], [-18394/7, -4014/7], [-15602/11067, -5/11067]], [[0, 0], [-160493295/217, -89585219/651], [-4363784/7, -1936539/7], [-27725/93, -7763/93]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80/21, -40/7], [-12/7, -10/7], [0, 0]], [[0, 0], [113366500/25823, 991828/77469], [-441684/49, -10/49], [-33262/77469, 4/77469]], [[0, 0], [-7378392317/25823, -30303602845/77469], [28519468/49, 39272481/49], [2146877/77469, 2957195/77469]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-32, -224]], [ -7614, -45 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74/21, 2/7], [-72/7, -10/7], [0, 0]], [[0, 0], [-25207439/11067, 969146/11067], [26974/7, -1455/7], [-16631/11067, -2/11067]], [[0, 0], [7718001713/11067, 3263805728/3689], [-7923374/7, -10336745/7], [1868995/3689, 2225408/3689]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [236/21, 46/21], [-20/7, -30/7], [0, 0]], [[0, 0], [-7454078/1581, 9278629/11067], [1346, 722/7], [-2488/11067, 1/11067]], [[0, 0], [1048658237/651, 2341919947/651], [-7435648/7, -8757977/7], [95671/651, 42887/217]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-3168, 448]], [ -7614, 45 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7984/21, -16/7], [-4020/7, 10/7], [0, 0]], [[0, 0], [-880336586/11067, 157474280/3689], [2318868/7, -447848/7], [6128/3689, 4/11067]], [[0, 0], [-641875181755/11067, 671444615276/11067], [295269134/7, -1936716049/7], [-3886327/11067, -16104362/11067]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-181192/21, -68/7], [-9560/7, -10/7], [0, 0]], [[0, 0], [271734285569/25823, 27542727466/77469], [131524706/49, 2747755/49], [19695/25823, -4/77469]], [[0, 0], [60032637475460/77469, 196689949145513/77469], [8873838458/49, 31636464164/49], [1131210/25823, 14140921/77469]]], 0, 301056, [], [] >,
< [ -2, 0, 1 ], [[-3168, -448]], [ -7614, -45 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-734/7, -34/21], [1108/7, -4/7], [0, 0]], [[0, 0], [-89354707/3689, -236676487/3689], [1008104/7, 673255/7], [-10099/11067, 1/3689]], [[0, 0], [20104891292/651, 18913557202/651], [-617923688/7, -430865182/7], [33068/93, 4724/31]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1010/21, 4/21], [-11668/7, -2/7], [0, 0]], [[0, 0], [-396205, 931666/7], [-13581646, 31893941/7], [1/21, 0]], [[0, 0], [1625006675198/11067, 71865407422/3689], [35252763832/7, 4696962400/7], [-91572/3689, -118196/11067]]], 0, 301056, [], [] >,
< [ -2, 0, 1 ], [[-2848, 1152]], [ -1862, 65 ], [ -22, 13 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 7], [0, 3], [0, 0]], [[0, 0], [3168526811/23689, 210436/23689], [-23241, 7], [250096/23689, 3/23689]], [[0, 0], [1170973050849/23689, 1530475046475/23689], [-8580781, -11222808], [92413300/23689, 120797385/23689]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 46], [-4, 2], [0, 0]], [[0, 0], [-1178389529301/165823, 5901326/165823], [-3481733/7, -13/7], [-1197656/165823, -3/165823]], [[0, 0], [10941360896606/23689, 82880027925805/23689], [32332214, 244882065], [11121516/23689, 84235186/23689]]], 0, 170496, [], [] >,
< [ -2, 0, 1 ], [[-2848, -1152]], [ -1862, -65 ], [ -14, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -7], [-4, 3], [0, 0]], [[0, 0], [-756840775/23689, -1091545/23689], [3175, 1], [34172/23689, 3/23689]], [[0, 0], [-21682582250/23689, 14776454239/23689], [91100, -62091], [980798/23689, -668498/23689]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 48], [0, -4], [0, 0]], [[0, 0], [234220824609/165823, 41665866/165823], [449361/7, -120/7], [-495790/165823, 5/165823]], [[0, 0], [-157056994461/23689, 125071385956/23689], [-301533, 240088], [332552/23689, -264809/23689]]], 0, 170496, [], [] >,
< [ -2, 0, 1 ], [[1472, 2368]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -8], [188, 0], [0, 0]], [[0, 0], [-211854, 42184], [-697942, 42292], [-4, 4]], [[0, 0], [-7743178, -4309306], [-31309832, -18885388], [46, 74]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6124, 2], [-296, 2], [0, 0]], [[0, 0], [-2774630942, -13223290], [-134100950, 223210], [-8, 0]], [[0, 0], [-1638894230752/7, -2604745114920/7], [-77595316110/7, -125388535896/7], [-4654/7, -7488/7]]], 0, 282624, [], [] >,
< [ -2, 0, 1 ], [[3264, 896]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 162], [12, 42], [0, 0]], [[0, 0], [-210, 34], [-100, 36], [-2, 2]], [[0, 0], [114, 70], [50, 34], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4446, 4], [66, -4], [0, 0]], [[0, 0], [56640858/7, 3249780/7], [829896/7, -2988/7], [54/7, -4/7]], [[0, 0], [10741521396/7, 4059553058/7], [151190412/7, 50238920/7], [9372/7, 2574/7]]], 0, 282624, [], [] >,
< [ -2, 0, 1 ], [[32, 928]], [ -390, -35 ], [ -7, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 6], [-8, 10], [0, 0]], [[0, 0], [14971/365, 3189/365], [214, 18], [123/365, 3/365]], [[0, 0], [9158/365, 7721/365], [108, 98], [56/365, 53/365]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -24], [-12, 2], [0, 0]], [[0, 0], [-3608386/2555, -1360054/2555], [-7568/7, -898/7], [-1378/2555, 2/2555]], [[0, 0], [32442317/511, -5212771/511], [472190/7, -192280/7], [19431/511, -9333/511]]], 0, 53760, [], [] >,
< [ -2, 0, 1 ], [[1824, 896]], [ -390, 35 ], [ -7, -2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 4], [-4, -6], [0, 0]], [[0, 0], [15411/365, -208/73], [142, -36], [91/365, -4/365]], [[0, 0], [-25592/73, 107016/365], [-1520, 1182], [-728/365, 616/365]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 10], [-20, -8], [0, 0]], [[0, 0], [-20614683/2555, -9865/511], [-2678/7, -134/7], [1437/2555, -3/2555]], [[0, 0], [331118544/2555, 320078607/2555], [46968/7, 43620/7], [-22882/2555, -22209/2555]]], 0, 53760, [], [] >,
< [ -2, 0, 1 ], [[544, 800]], [ -512, -29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -6], [80, 52], [0, 0]], [[0, 0], [-2446099/4201, -31715/4201], [42754, 104], [689/4201, 2/4201]], [[0, 0], [39577910/4201, 30808452/4201], [-680588, -531346], [-10976/4201, -8568/4201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162, -66], [116, 32], [0, 0]], [[0, 0], [18392248831/29407, 54394133/29407], [59058794/7, -13502/7], [190423/29407, 4/29407]], [[0, 0], [15970725833158/29407, 29359963493066/29407], [50683325424/7, 94115273246/7], [163569534/29407, 303496274/29407]]], 0, 30720, [], [] >,
< [ -2, 0, 1 ], [[4288, 2688]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-234, -118], [-70, -30], [0, 0]], [[0, 0], [-1384, -1920], [-298, -690], [-2, 10]], [[0, 0], [-1768, -2060], [-436, -722], [0, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6670, -20], [-246, -8], [0, 0]], [[0, 0], [-1487394740/7, 56982452/7], [54727122/7, -152778/7], [-66/7, -6/7]], [[0, 0], [47424258468/7, 102141073564/7], [-2017444452/7, -3830590754/7], [3300/7, 4850/7]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[68, 100]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[73, 5/2], [170, 2], [73, 5/2], [0, 0]], [[0, 0], [13, 0], [4, 0], [1, 0]], [[-6525, -9860], [-14184, -22655], [-6525, -9860], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[97, -1/2], [1418, 1], [97, -1/2], [0, 0]], [[-2904555, 10465/2], [-297223041/7, -1201780/7], [-20331291/7, 73783/14], [9/7, 4/7]], [[-157474790, 520606955], [-15491974027/7, 53180631970/7], [-1102386296/7, 3644156417/7], [-951/7, -1398/7]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[68, 100]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-394, -5], [-17, -25], [0, 0]], [[0, 0], [1802326, -2653457], [-259028, 3152], [-2, -2]], [[0, 0], [54090083, -108180753/2], [-4559360, 1155922], [-18, -53/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2280, 37], [-5, 20], [0, 0]], [[0, 0], [-58843611/7, -272571077/7], [4653112/7, -6142/7], [3/7, -1/7]], [[0, 0], [264931785555/7, 311166868549/14], [-2214189648/7, -2018840703/7], [-562/7, -1653/14]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[2144, 1344]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-374, 70], [-478, -10], [0, 0]], [[0, 0], [954928, -707295], [918152, -706580], [-2, -5]], [[0, 0], [-76338006, 58103838], [-72505528, 58647632], [378, 558]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1794, -46], [122, 8], [0, 0]], [[0, 0], [-2000856780/7, 176933521/7], [-134498156/7, -338734/7], [74/7, 1/7]], [[0, 0], [-263606363850/7, -514884370435/7], [-24404760848/7, -36813385054/7], [13872/7, 20401/7]]], 0, 30720, [], [] >,
< [ -2, 0, 1 ], [[2144, 1344]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, 66], [128, 46], [0, 0]], [[0, 0], [-486, -94], [3712, -3056], [-8, 4]], [[0, 0], [982, 613], [-360, 1540], [6, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-466, 128], [140, 60], [0, 0]], [[0, 0], [9747916/7, -5546864/7], [-1532012/7, -16686/7], [-44/7, -4/7]], [[0, 0], [-5302063876/7, 6094864523/7], [-758732120/7, -1380553466/7], [-28100/7, -41325/7]]], 0, 30720, [], [] >,
< [ -2, 0, 1 ], [[1056, 256]], [ -512, 29 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 10], [-84, -88], [0, 0]], [[0, 0], [16384325/4201, 3070192/4201], [977350, -2490], [15737/4201, -3/4201]], [[0, 0], [753964188/4201, 1097217344/4201], [21678252, 61273726], [353712/4201, 987446/4201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [124, 168], [-68, -86], [0, 0]], [[0, 0], [2214470896/29407, -102130096/29407], [27887588/7, 13344/7], [-149858/29407, -4/29407]], [[0, 0], [1571439681263/29407, -1077093605314/29407], [18605570330/7, -12696660010/7], [-100041425/29407, 68272545/29407]]], 0, 30720, [], [] >,
< [ -2, 0, 1 ], [[2112, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -10], [18, 10], [0, 0]], [[0, 0], [1018, -696], [-28, 112], [2, -8]], [[0, 0], [2734, -2134], [-812, -196], [58, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3274, -14], [358, 6], [0, 0]], [[0, 0], [-1603701452/7, 16927520/7], [175290722/7, 338306/7], [50/7, 2/7]], [[0, 0], [1489861376308/7, 292944743204/7], [-163690229712/7, -34062071936/7], [-47424/7, -11492/7]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[132, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-108, 2], [-194, -1], [-108, 2], [0, 0]], [[0, 0], [-17, 0], [-12, 0], [1, 0]], [[-3605, -1715/2], [-6554, -1695], [-3605, -1715/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[62, 0], [-426, 1], [62, 0], [0, 0]], [[-17052, 116], [782207/7, -6281/7], [-121875/7, 893/7], [-31/7, 1/7]], [[-38222, -20793/2], [1752726/7, 474900/7], [-273062/7, -148305/14], [-68/7, -17/7]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[132, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -5], [7, -3], [0, 0]], [[0, 0], [-907, -845/2], [48, -18], [-4, 3/2]], [[0, 0], [79864, 53094], [-1728, -420], [144, 35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2104, 16], [33, 8], [0, 0]], [[0, 0], [-1377267/7, 339495/14], [18570/7, 2756/7], [12/7, -1/14]], [[0, 0], [156919110/7, 26193989/7], [-2459796/7, -970353/7], [-1434/7, -348/7]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[1056, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, -64], [126, 8], [0, 0]], [[0, 0], [102098, -67799], [73184, -65996], [8, 1]], [[0, 0], [-2521570, 1630143], [-1679504, 1683140], [-244, -59]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1298, -46], [-122, 8], [0, 0]], [[0, 0], [-47251730/7, -4603139/7], [-4386464/7, 13304/7], [60/7, 1/7]], [[0, 0], [-13458333832/7, -4187604566/7], [-1194676464/7, -268571440/7], [16488/7, 3996/7]]], 0, 30720, [], [] >,
< [ -2, 0, 1 ], [[1056, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, 50], [24, -28], [0, 0]], [[0, 0], [304, 241], [-64, 4], [0, -1]], [[0, 0], [-36, -20], [-12, 14], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-158, -136], [-64, -70], [0, 0]], [[0, 0], [87358/7, 5022/7], [2300/7, 1450/7], [78/7, 2/7]], [[0, 0], [-5195824/7, -1403445/7], [-170344/7, -113398/7], [-4576/7, -1109/7]]], 0, 30720, [], [] >,
< [ -2, 0, 1 ], [[100, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 5/2], [-25, 25/2], [0, 0]], [[-9, -3/2], [151/2, 109/2], [-495/2, -20], [-3/2, 0]], [[0, 13/2], [-2137/34, -730/17], [-65/2, 365/2], [-13/34, 39/34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -19/2], [-20, -15/2], [0, 0]], [[17, 7/2], [8927/17, 5519/17], [990, 715], [95/34, 2/17]], [[-189, -378], [-259601/17, -206313/17], [-33275, -23100], [-189/17, -2079/34]]], 1, 312, [], [] >,
< [ -2, 0, 1 ], [[100, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15/2, 2], [15/2, 5/2], [0, 0]], [[0, 0], [-1045/17, -962/17], [-25, -55], [-54/17, 1/34]], [[0, 0], [3324/17, 1928/17], [180, 55], [14/17, 171/34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-705/17, 41/17], [15, 10], [-54/17, 1/34]], [[0, 0], [-16486/17, 19373/34], [80, 65/2], [-1197/17, 684/17]]], 1, 312, [], [] >,
< [ -2, 0, 1 ], [[800, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 4], [0, -10], [0, 0]], [[0, 0], [5163/17, 4503/17], [275, 150], [-72/17, -5/17]], [[0, 0], [-8003/17, -8614/17], [-535, -225], [180/17, -30/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 10], [0, 20], [0, 0]], [[0, 0], [-583/17, -937/17], [-115, -120], [-72/17, -5/17]], [[0, 0], [-9328/17, -16471/17], [-1920, -2085], [-1288/17, -46/17]]], 0, 19968, [], [] >,
< [ -2, 0, 1 ], [[224, 544]], [ -518, 7 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86/7, -4/7], [-88, -56], [0, 0]], [[0, 0], [-1345471/119, 857020/119], [-156668/7, 5661/7], [209/833, -2/833]], [[0, 0], [-121557039/119, 55717905/119], [-30265322/7, -12278713/7], [41325/833, 17487/833]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -10], [-8, -26], [0, 0]], [[0, 0], [-1576795/833, -209320/833], [-1757748/49, -23861/49], [-1637/5831, 2/5831]], [[0, 0], [4559218/833, 11441134/833], [2097240/49, 12543996/49], [1608/5831, 11658/5831]]], 0, 16896, [], [] >,
< [ -2, 0, 1 ], [[2624, 1536]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 6], [30, -6], [0, 0]], [[0, 0], [0, -132], [46, 74], [-2, -8]], [[0, 0], [-92, -62], [66, 44], [-6, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-282, -284], [-194, 2], [0, 0]], [[0, 0], [-396908, -2350], [267906, -268414], [-6, -6]], [[0, 0], [5668184, -2084718], [-6708082, 5280046], [22, 54]]], 0, 67584, [], [] >,
< [ -2, 0, 1 ], [[28, 68]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [176, -3], [18, 1], [0, 0]], [[0, 0], [-91205, 9977/2], [-9250, -136], [-2, -3/2]], [[0, 0], [2976, -1920], [277, -175], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1016, 105], [-31, -26], [0, 0]], [[0, 0], [-124372905/7, 221132279/14], [-1865006/7, 1961/7], [-16/7, -1/14]], [[0, 0], [-25377383095/7, 24430386823/14], [93940437/7, 267082332/7], [954/7, 4635/14]]], 1, 264, [], [] >,
< [ -2, 0, 1 ], [[28, 68]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-33, 2], [38, -3], [-33, 2], [0, 0]], [[0, 0], [-17, 0], [3, 0], [1, 0]], [[-24, -87/2], [26, 50], [-24, -87/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-124, -1/2], [1066, 3], [-124, -1/2], [0, 0]], [[-3817760, 10486], [32819847, -131198], [-3817734, 10512], [1, 1]], [[280881420, -104387274], [-16918022866/7, 6302747109/7], [1966166456/7, -730719342/7], [-134/7, -324/7]]], 1, 264, [], [] >,
< [ -2, 0, 1 ], [[1312, 768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -24], [-26, -4], [0, 0]], [[0, 0], [6546, 2251], [1350, 2966], [-6, 5]], [[0, 0], [3812940, 2613455], [2090112, 1547892], [186, 453]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [766, -6], [-174, -2], [0, 0]], [[0, 0], [22797156/7, -432515/7], [-5176484/7, -1928/7], [62/7, 5/7]], [[0, 0], [1115367822/7, 5014639984/7], [-297535342/7, -1144399002/7], [5764/7, 13992/7]]], 0, 16896, [], [] >,
< [ -2, 0, 1 ], [[1312, 768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -58], [28, 68], [0, 0]], [[0, 0], [-770, -593], [-872, 1542], [2, -3]], [[0, 0], [-3476, -2334], [6480, -690], [-12, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [362, 268], [112, 88], [0, 0]], [[0, 0], [1236/7, 379/7], [-13424/7, 2048/7], [-36/7, 5/7]], [[0, 0], [661218/7, 627147/7], [-1967988/7, -5112046/7], [-5694/7, -13845/7]]], 0, 16896, [], [] >,
< [ -2, 0, 1 ], [[1312, 768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, -16], [-92, -92], [0, 0]], [[0, 0], [-318, -33], [-142, -450], [-2, 5]], [[0, 0], [-2548, -1338], [-4120, -3766], [20, 30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1538, -42], [24, -14], [0, 0]], [[0, 0], [29030/7, 14793/7], [-570/7, -132/7], [12/7, 3/7]], [[0, 0], [454658/7, 468925/7], [-3538/7, -9470/7], [82/7, 199/7]]], 0, 16896, [], [] >,
< [ -2, 0, 1 ], [[-1760, -1856]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [452154/151, -1338/151], [-36988/151, 10/151], [0, 0]], [[0, 0], [-2223912327029/151, 99584642201/151], [181883967120/151, -7657379837/151], [361/151, -2/151]], [[0, 0], [7601586882416937/151, 12786862229153987/151], [-627475138307084/151, -1047704916220261/151], [-1401841/151, -2131584/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17143948/151, 1182/151], [59284/151, 2/151], [0, 0]], [[0, 0], [-59039113639069/1057, 3277842405664/1057], [-204158865546/1057, 11342010993/1057], [289/1057, 3/1057]], [[0, 0], [54491889004382209/151, 99110217276296597/151], [188409572744476/151, 342717862092267/151], [-333045/151, -506410/151]]], 0, 101376, [], [] >,
< [ -2, 0, 1 ], [[-2400, -992]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [228566/151, 802/151], [-13656/151, 8/151], [0, 0]], [[0, 0], [104909304816/151, -1433591164/151], [-6268837620/151, 111320118/151], [-92/151, 2/151]], [[0, 0], [23589120733185/151, 155922911324536/151], [-1333114135730/151, -9310333444553/151], [-18473/151, -136539/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1510870/151, 828/151], [10596/151, 6/151], [0, 0]], [[0, 0], [988367439489/1057, -20126254/1057], [6931615662/1057, -15269/1057], [-289/1057, 3/1057]], [[0, 0], [459783443429836/1057, 2951330917530536/1057], [3225303689652/1057, 20698324011082/1057], [-116560/1057, -861580/1057]]], 0, 101376, [], [] >,
< [ -2, 0, 1 ], [[864, 320]], [ -518, -7 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26/7, 10/7], [-92, 0], [0, 0]], [[0, 0], [64757/17, -186/119], [1059848/7, 363673/7], [-505/833, 2/833]], [[0, 0], [-24255451/17, -88094600/17], [-198249360, -225512987], [26325/119, 98046/119]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180/7, 276/7], [40, -38], [0, 0]], [[0, 0], [-3228971/833, -718838/833], [31208/7, -2227/7], [-9/119, 2/833]], [[0, 0], [-39667563/119, -55023608/119], [92008, 483963], [-265/119, -990/119]]], 0, 16896, [], [] >,
< [ -2, 0, 1 ], [[1728, 640]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, 6], [-66, -50], [0, 0]], [[0, 0], [942, -340], [484, 368], [2, -10]], [[0, 0], [14014, -12598], [-4552, -2640], [230, -92]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [282, 222], [178, 8], [0, 0]], [[0, 0], [-55212, -62304], [-108746, 44788], [2, 8]], [[0, 0], [15640578, 8999146], [-3127260, 8566104], [-1730, -640]]], 0, 67584, [], [] >,
< [ -2, 0, 1 ], [[108, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23, 0], [-268, -3], [23, 0], [0, 0]], [[0, 0], [3, 0], [6, 0], [1, 0]], [[-2340, -1695/2], [27486, 10180], [-2340, -1695/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-46, 0], [-1382, -5], [-46, 0], [0, 0]], [[-239580, 1665/2], [-50382265/7, -7685/7], [-1676985/7, 10905/14], [1/7, -5/7]], [[372789, 442935], [79073083/7, 93433350/7], [2610798/7, 3100995/7], [17/7, 6/7]]], 1, 264, [], [] >,
< [ -2, 0, 1 ], [[108, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-342, -4], [15, 3], [0, 0]], [[0, 0], [-1804067, 359987], [72842, -821], [-3, -1]], [[0, 0], [142787083, -43937859/2], [-5873004, -219901], [250, 185/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2138, 60], [11, 16], [0, 0]], [[0, 0], [282849502/7, -386389532/7], [4325504/7, -7278/7], [24/7, -1/7]], [[0, 0], [-3256287623/7, -68573485089/14], [541806220/7, 215890459/7], [2910/7, 2155/14]]], 1, 264, [], [] >,
< [ -2, 0, 1 ], [[864, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, 16], [-180, 10], [0, 0]], [[0, 0], [-59608, 10599], [-103206, 8070], [-8, -5]], [[0, 0], [15146738, -8452572], [24104394, -12399474], [708, 262]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1534, -40], [142, 10], [0, 0]], [[0, 0], [-549806210/7, 29485949/7], [50526862/7, -462992/7], [66/7, -1/7]], [[0, 0], [-892370753878/7, -304912014068/7], [84908161738/7, 31823366388/7], [110400/7, 40900/7]]], 0, 16896, [], [] >,
< [ -2, 0, 1 ], [[864, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, -10], [-60, -12], [0, 0]], [[0, 0], [-132, 129], [24, -80], [-4, 5]], [[0, 0], [450, 423], [-884, -670], [30, 25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 108], [60, -34], [0, 0]], [[0, 0], [819572/7, 690413/7], [120100/7, -3302/7], [24/7, -1/7]], [[0, 0], [158388912/7, 117570102/7], [13568116/7, 5160698/7], [2680/7, 992/7]]], 0, 16896, [], [] >,
< [ -2, 0, 1 ], [[864, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 0], [116, 60], [0, 0]], [[0, 0], [744, 46], [1880, 1118], [8, -2]], [[0, 0], [-918, -3], [-2178, -1252], [-10, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1002, 2], [36, -2], [0, 0]], [[0, 0], [31584524/7, 1546914/7], [-1126884/7, 5566/7], [-16/7, -4/7]], [[0, 0], [-921276690/7, -178722141/7], [32353166/7, 4629602/7], [494/7, 183/7]]], 0, 16896, [], [] >,
< [ -2, 0, 1 ], [[-416, -1408]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-779438/151, -656/151], [62396/151, 4/151], [0, 0]], [[0, 0], [416500262330/151, 8258238402/151], [-33340926712/151, -635169496/151], [118/151, -4/151]], [[0, 0], [1017922130640983/151, 501685914903604/151], [-81424922882418/151, -40097933887183/151], [273721/151, 126931/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3579666/151, -1682/151], [-24016/151, -10/151], [0, 0]], [[0, 0], [-329916688688866/1057, 357593178269/1057], [-2213412751870/1057, 2517488186/1057], [3972/1057, 1/1057]], [[0, 0], [48138292954191855909/1057, 22286271505620632551/1057], [322944020882795124/1057, 149501417261485581/1057], [-580274739/1057, -269088270/1057]]], 0, 101376, [], [] >,
< [ -2, 0, 1 ], [[-1952, -96]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-417050/151, -1484/151], [31500/151, -2/151], [0, 0]], [[0, 0], [10725280584/151, -2109224396/151], [-811171724/151, 162249494/151], [512/151, 2/151]], [[0, 0], [-27030933003/151, -1649665197/151], [2040560248/151, 117144349/151], [-1435/151, -366/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22647572/151, 630/151], [-79636/151, -2/151], [0, 0]], [[0, 0], [-1623218192805372/1057, 5428377666204/1057], [-5707744777500/1057, 18785766826/1057], [1602/1057, -2/1057]], [[0, 0], [-50990900321230473865/1057, -12911341815033436737/1057], [-179304883894607404/1057, -45409838064576719/1057], [50378481/1057, 12848218/1057]]], 0, 101376, [], [] >,
< [ -2, 0, 1 ], [[96, 152]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 6], [-15, 6], [0, 0]], [[0, 0], [1392128/1777, 244461/1777], [-217789/3, 134], [-5620/5331, 1/5331]], [[0, 0], [-46309593/1777, 26410205/3554], [2835794, -1191033], [73075/1777, -61225/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -18], [1, -14], [0, 0]], [[0, 0], [-491275/1777, 703421/3554], [71334, 256/3], [5497/5331, 5/10662]], [[0, 0], [-19717006/1777, 26085821/3554], [-18095947/3, -6208969], [-464116/5331, -956239/10662]]], 0, 1152, [], [] >,
< [ -2, 0, 1 ], [[96, 152]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -10], [-33, -14], [0, 0]], [[0, 0], [15389860/1777, 228221/1777], [218878/3, -14], [5620/5331, -1/5331]], [[0, 0], [136661/1777, 153395/3554], [1903/3, 356], [49/5331, 55/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 14], [-3, 8], [0, 0]], [[0, 0], [30149536/1777, -177971/3554], [140199, -17/3], [10828/5331, 5/10662]], [[0, 0], [136661/1777, 153395/3554], [1903/3, 356], [49/5331, 55/10662]]], 0, 1152, [], [] >,
< [ -2, 0, 1 ], [[-2752, -2816]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -6], [0, -20], [0, 0]], [[0, 0], [4978310/1433, -1227/1433], [-3681, 13], [2601/1433, -2/1433]], [[0, 0], [-177925006/1433, 221957715/1433], [132637, -164549], [-93081/1433, 116014/1433]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112, 68], [-12, -8], [0, 0]], [[0, 0], [-601713936/10031, 231837/10031], [87695/7, 26/7], [8279/10031, 3/10031]], [[0, 0], [-3652265368/1433, -600218202/1433], [532408, 87840], [50264/1433, 8296/1433]]], 0, 221184, [], [] >,
< [ -2, 0, 1 ], [[-1376, -1408]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 8], [-40, -18], [0, 0]], [[0, 0], [-16807906/1777, -118047/1777], [-115880/3, 44/3], [496/1777, 1/5331]], [[0, 0], [156443009/1777, 138798877/1777], [354840, 316350], [-4565/1777, -4067/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [128, 60], [-56, 2], [0, 0]], [[0, 0], [-3925380995/12439, -47166393/12439], [-27981368/21, 7234/21], [57731/37317, -1/12439]], [[0, 0], [109995988764/12439, 52799694865/12439], [258358796/7, 366857656/21], [-1599446/37317, -757229/37317]]], 0, 73728, [], [] >,
< [ -2, 0, 1 ], [[1216, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150, 60], [-146, 4], [0, 0]], [[0, 0], [-52628, 75136], [6392, 77026], [0, -10]], [[0, 0], [-1586920, 79352], [-2133830, -733460], [270, 84]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2152, -30], [76, -10], [0, 0]], [[0, 0], [39652048/7, 5794506/7], [-1346386/7, -1608/7], [-10/7, -6/7]], [[0, 0], [-117506, 42358], [4602, -2106], [0, 0]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[-160, -1024]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [606428/151, -328/151], [-45208/151, 2/151], [0, 0]], [[0, 0], [389163981811/151, 6088230016/151], [-29011870690/151, -468273407/151], [289/151, 3/151]], [[0, 0], [-882083802529034/151, -373678223656216/151], [65785305004108/151, 27889643262480/151], [-652236/151, -274096/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5025292/151, -276/151], [-36936/151, -2/151], [0, 0]], [[0, 0], [-14815529824220/1057, -72618149/1057], [-108894293758/1057, -445428/1057], [3972/1057, 1/1057]], [[0, 0], [-938211503631615161/1057, -394129281354448548/1057], [-6895859323332890/1057, -2896848603646485/1057], [251583915/1057, 105726995/1057]]], 0, 55296, [], [] >,
< [ -2, 0, 1 ], [[-320, -2048]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-458, 122], [-14, 26], [0, 0]], [[0, 0], [-16274, 509532], [-57520, 1186], [-2, 2]], [[0, 0], [-3110, -2938], [330, 174], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1808, 186], [172, 6], [0, 0]], [[0, 0], [-3908370/7, 1009156/7], [358370/7, -45930/7], [-76/7, -2/7]], [[0, 0], [9992840/7, -26097142/7], [-269162/7, 2440868/7], [-106/7, -530/7]]], 0, 294912, [], [] >,
< [ -2, 0, 1 ], [[-1824, -576]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 6], [-40, 50], [0, 0]], [[0, 0], [4796/7, 327/7], [-540, -38], [44/21, 1/7]], [[0, 0], [-109/7, 218/7], [12, -24], [-1/21, 2/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1168, 2], [72, 46], [0, 0]], [[0, 0], [107502891/7, -68689660/7], [173764, -424], [-1/7, 4/21]], [[0, 0], [3502817034/7, -537677589], [-11448360, -13412404], [-20, -11/7]]], 0, 73728, [], [] >,
< [ -2, 0, 1 ], [[-1760, -2016]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -30], [-16, -48], [0, 0]], [[0, 0], [64782181/1777, 149539/1777], [146684, 616/3], [-5663/5331, -5/5331]], [[0, 0], [553604434/1777, -2358488588/1777], [1263216, -16024210/3], [-48982/5331, 206240/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, -40], [4, -22], [0, 0]], [[0, 0], [228382857/1777, -525227/1777], [805360/3, -32], [-10373/5331, -1/5331]], [[0, 0], [31934346154/1777, -27119764020/1777], [37398676, -95389430/3], [-1444550/5331, 1228300/5331]]], 0, 156672, [], [] >,
< [ -2, 0, 1 ], [[-1760, -2016]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, 4], [-24, -38], [0, 0]], [[0, 0], [-90724604/1777, 5519091/1777], [-287852, 1016/3], [10994/5331, 5/5331]], [[0, 0], [37514223293/1777, 43723206330/1777], [409713604/3, 440680574/3], [-1744807/1777, -5618870/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -16], [-40, 50], [0, 0]], [[0, 0], [27065053/1777, 101807/1777], [484456/3, 310/3], [-6241/5331, -1/1777]], [[0, 0], [-103880294/1777, 2062831878/1777], [-2090008/3, 36930716/3], [27076/5331, -158588/1777]]], 0, 156672, [], [] >,
< [ -2, 0, 1 ], [[208, 56]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -2], [0, 17], [0, 0]], [[0, 0], [-3510832/1777, 365297/3554], [108188/3, -238], [2810/5331, 1/10662]], [[0, 0], [-545961253/1777, 848907467/3554], [15709255/3, -12373526/3], [134567/1777, -637289/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 4], [16, 3], [0, 0]], [[0, 0], [9069288/1777, 871495/3554], [-82280, 238/3], [-6364/5331, -1/10662]], [[0, 0], [503322298/1777, -627094798/1777], [-15444547/3, 17822992/3], [-397232/5331, 153032/1777]]], 0, 1152, [], [] >,
< [ -2, 0, 1 ], [[208, 56]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -10], [-17, 0], [0, 0]], [[0, 0], [8665389/1777, -251569/1777], [42947, 1349/3], [3265/5331, -1/5331]], [[0, 0], [2036937327/1777, -1729015955/3554], [9779493, -3895021], [250009/1777, -202797/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 0], [13, -5], [0, 0]], [[0, 0], [26526319/1777, -2858181/1777], [423118/3, -515], [10951/5331, 1/5331]], [[0, 0], [3591976011/1777, -4287536065/3554], [51322537/3, -9624750], [1322755/5331, -1484725/10662]]], 0, 1152, [], [] >,
< [ -2, 0, 1 ], [[-2880, -64]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 2], [8, 0], [0, 0]], [[0, 0], [-3166760/1433, -515/1433], [5943, 6], [-4245/1433, 5/1433]], [[0, 0], [-37997242/1433, -3568312/1433], [71320, 6757], [-50922/1433, -4715/1433]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [424/7, 34/7], [-16/7, 4/7], [0, 0]], [[0, 0], [77844616/10031, -1594235/10031], [14587/7, -12/7], [-1379/1433, 5/1433]], [[0, 0], [122585752/10031, 806700933/10031], [28935/7, 151738/7], [-2655/1433, -14337/1433]]], 0, 221184, [], [] >,
< [ -2, 0, 1 ], [[-1440, -32]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-290, -180], [-96, -52], [0, 0]], [[0, 0], [-26775705/1777, -2519515/1777], [662996/3, -1042/3], [-2851/1777, -5/5331]], [[0, 0], [-14576470730/1777, 5944216632/1777], [396214684/3, -185035282/3], [-5101120/5331, 792016/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -30], [44, 38], [0, 0]], [[0, 0], [-714085976/12439, -97982/12439], [-4509440/7, 1234/21], [27854/37317, -2/37317]], [[0, 0], [-4282381/12439, -3641306/12439], [-27036/7, -68966/21], [167/37317, 142/37317]]], 0, 73728, [], [] >,
< [ -2, 0, 1 ], [[448, 832]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -72], [34, 0], [0, 0]], [[0, 0], [-3956, 6556], [-10096, 6482], [0, -6]], [[0, 0], [10132, -126408], [152282, -86838], [74, 138]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-820, 46], [280, 10], [0, 0]], [[0, 0], [-57883198/7, 4790082/7], [19667570/7, 174284/7], [-4/7, 6/7]], [[0, 0], [4715083460/7, 2207076248/7], [-1766039970/7, -910265304/7], [-190/7, -352/7]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[-1888, -864]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [436970/151, -958/151], [-32800/151, 4/151], [0, 0]], [[0, 0], [120671498926/151, 10095566497/151], [-9061062802/151, -776557402/151], [348/151, -1/151]], [[0, 0], [6752878223669/151, 15427502272982/151], [-511685162110/151, -1159079104909/151], [11951/151, 43435/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13502130/151, -2088/151], [47204/151, -2/151], [0, 0]], [[0, 0], [387708982640531/1057, -4232360414102/1057], [1355443243450/1057, -14644331649/1057], [-5541/1057, -1/1057]], [[0, 0], [4220518087698997167/1057, 16634889556987414858/1057], [14768163287520974/1057, 58157915313356961/1057], [-65610339/1057, -238467083/1057]]], 0, 55296, [], [] >,
< [ -2, 0, 1 ], [[-3776, -1728]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [976, -4], [-92, 4], [0, 0]], [[0, 0], [-468114, -26824], [43868, 792], [6, 0]], [[0, 0], [1793128, 872364], [-162338, -75482], [-22, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-886, 74], [134, 6], [0, 0]], [[0, 0], [5844670/7, -457326/7], [-882774/7, -42540/7], [-12/7, -10/7]], [[0, 0], [8296172, -10937532], [-855234, 1524690], [22, 10]]], 0, 294912, [], [] >,
< [ -2, 0, 1 ], [[-672, -1248]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 10], [124, 70], [0, 0]], [[0, 0], [-547, -40], [3384, 2400], [-1, 0]], [[0, 0], [-7626/7, 6600/7], [-1392, -940], [-16/7, 40/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, 20], [2560, 4], [0, 0]], [[0, 0], [-1063061/7, 1867/7], [-11435172, 4574732], [-5/21, 1/7]], [[0, 0], [295882994/7, 244284122/7], [7595313008/7, 9494374546/7], [2/3, 314/21]]], 0, 73728, [], [] >,
< [ -2, 0, 1 ], [[-2272, -256]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -34], [20, -26], [0, 0]], [[0, 0], [103492611/1777, 4233085/1777], [665816/3, 2126/3], [-2851/1777, -5/5331]], [[0, 0], [-92569396050/1777, 56655105054/1777], [-624966616/3, 388149548/3], [2684800/1777, -5007152/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 10], [-96, -52], [0, 0]], [[0, 0], [-123838090/1777, -626269/1777], [-435920/3, 482], [5620/5331, 1/5331]], [[0, 0], [-3579272501/1777, 6202447785/1777], [-4322032, 7313494], [55063/1777, -94095/1777]]], 0, 156672, [], [] >,
< [ -2, 0, 1 ], [[-2272, -256]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -22], [0, -34], [0, 0]], [[0, 0], [-24023, -420], [-139068, 228], [1, 0]], [[0, 0], [-333664910/1777, 127331884/1777], [-3310760/3, 435890], [42250/5331, -16640/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -14], [-12, -32], [0, 0]], [[0, 0], [-5178481/1777, 8638/1777], [-31040, 220/3], [1199/5331, -2/5331]], [[0, 0], [250419939/1777, -158632551/1777], [1502344, -951890], [-19327/1777, 12243/1777]]], 0, 156672, [], [] >,
< [ -2, 0, 1 ], [[0, 72]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-414/7, 11/14], [0, 0], [46/7, 5/14]], [[0, 0], [-2168/7, -3896/7], [0, 0], [300/7, 450/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, 0], [33/7, -10/7], [0, 0], [15/7, -2/7]], [[0, 0], [17/7, 23/14], [0, 0], [9/7, 13/14]]], 0, 320, [], [] >,
< [ -2, 0, 1 ], [[0, 72]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, 0], [540/7, -67/14], [0, 0], [-60/7, -5/14]], [[0, 0], [319/7, 1293/14], [0, 0], [-51/7, -153/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [141/7, 45/14], [0, 0], [-11/7, -5/14]], [[0, 0], [-478/7, 29/14], [0, 0], [36/7, 3/14]]], 0, 320, [], [] >,
< [ -2, 0, 1 ], [[1728, 576]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2896/17, 50/17], [1056/17, 6/17], [0, 0]], [[0, 0], [479716/17, -92824/17], [-749796/85, 151896/85], [4/5, 0]], [[0, 0], [5066916514/697, -1047456041/697], [-193210818/85, 8335254/17], [714266/3485, -10269/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1232/17, 10/17], [-564/17, -60/17], [0, 0]], [[0, 0], [-1125640/697, 1042655/697], [-79566/85, 47616/85], [-1432/3485, 1/697]], [[0, 0], [13577780/697, -11572430/697], [894792/85, -563712/85], [13984/3485, -368/697]]], 0, 61440, [], [] >,
< [ -2, 0, 1 ], [[864, 288]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1388/17, -84/17], [-444/17, -6/17], [0, 0]], [[0, 0], [223453/697, -529059/697], [90846/85, -24639/85], [-1541/3485, 1/3485]], [[0, 0], [9411446/41, -21044011/41], [723888, -204744], [-207206/697, 2979/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2492/17, 336/17], [42/17, 24/17], [0, 0]], [[0, 0], [-4551923/287, 52650/287], [-156, -3/5], [1503/24395, 4/24395]], [[0, 0], [-35287831/41, -793774/41], [-42372/5, -321], [11663/3485, 428/3485]]], 0, 15360, [], [] >,
< [ -2, 0, 1 ], [[864, 288]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [380/17, -84/17], [168/17, -6/17], [0, 0]], [[0, 0], [1934866/697, -800412/697], [8136/17, -36774/85], [-2494/3485, -2/3485]], [[0, 0], [-234518985/697, 94137309/697], [-4840482/85, 4434081/85], [61393/697, 5887/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11768/17, -590/17], [-792/17, -30/17], [0, 0]], [[0, 0], [86093353/287, -19668501/287], [19206, -24303/5], [5723/24395, -1/24395]], [[0, 0], [2989300129/287, -596799113/287], [3329034/5, -748983/5], [201631/24395, 6357/24395]]], 0, 15360, [], [] >,
< [ -2, 0, 1 ], [[864, 288]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2928/17, -46/17], [-1200/17, -30/17], [0, 0]], [[0, 0], [24934226/697, -2908878/697], [1247724/85, -133848/85], [294/3485, -2/3485]], [[0, 0], [769315095/697, -70193011/697], [7703184/17, -629775/17], [1825/697, 35/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4212/17, -522/17], [228/17, -30/17], [0, 0]], [[0, 0], [-287032115/4879, 6611722/4879], [-182442/85, 5973/85], [-11261/24395, -4/24395]], [[0, 0], [1359950981365/4879, 9799981120/4879], [863897742/85, -2171211/85], [628587/287, 96128/1435]]], 0, 15360, [], [] >,
< [ -2, 0, 1 ], [[108, 36]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42/17, 27/17], [99/17, 42/17], [0, 0]], [[-333, 1], [35566/697, -47401/1394], [-96/85, 177/17], [422/3485, -1/6970]], [[-20683, -1443/2], [4195521/1394, -1388534/697], [-1776/85, 10950/17], [52429/6970, 962/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2714/17, -18/17], [-66/17, 6/17], [0, 0]], [[292, 0], [-177768216/4879, 6289513/4879], [80253/85, -1716/17], [1688/24395, -2/24395]], [[-1162, -119/2], [201351573/1394, 1598965/697], [-315813/85, 17787/85], [-1919/6970, -48/3485]]], 1, 240, [], [] >,
< [ -2, 0, 1 ], [[108, 36]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130/17, -18/17], [36/17, 6/17], [0, 0]], [[0, 0], [2583179/1394, -6781/1394], [-2838/85, -1269/170], [2053/6970, 1/1394]], [[0, 0], [186959167/697, -54206231/697], [-71481/17, 5265/17], [1743/41, -498/41]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1814/17, -121/17], [123/17, 12/17], [0, 0]], [[0, 0], [-61353379/574, 15585065/574], [66417/5, -14391/10], [-15481/48790, 1/48790]], [[0, 0], [-44918618349/697, 9944733988/697], [688192236/85, -9930789/17], [-679397/3485, -24932/3485]]], 1, 240, [], [] >,
< [ -2, 0, 1 ], [[864, 288]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, -24], [-4, 8], [0, 0]], [[0, 0], [-1781/7, -442/7], [-48, 54], [33/7, 4/7]], [[0, 0], [5275, -1149], [2448, -1944], [-111, 37]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -14], [4, 2], [0, 0]], [[0, 0], [4698/49, -5959/49], [-1296/7, -12/7], [108/49, 1/49]], [[0, 0], [4017/49, -59638/49], [-18444/7, -6960/7], [1537/49, 580/49]]], 0, 20480, [], [] >,
< [ -2, 0, 1 ], [[576, 1152]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5172/17, -226/17], [1656/17, 30/17], [0, 0]], [[0, 0], [2020530/697, -81687/697], [-1902/85, 3054/85], [330/697, -3/3485]], [[0, 0], [31788760/697, 36283250/697], [81144/85, 17178/85], [28336/3485, 30728/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2068/17, -86/17], [576/17, 6/17], [0, 0]], [[0, 0], [21352642/697, -2561854/697], [-766644/85, 22182/17], [5282/3485, -2/3485]], [[0, 0], [-1265937916/697, -1728161457/697], [8404002/17, 12102756/17], [-85540/697, -95739/697]]], 0, 61440, [], [] >,
< [ -2, 0, 1 ], [[288, 576]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1928/17, 200/17], [774/17, 24/17], [0, 0]], [[0, 0], [-13643801/697, -12443361/697], [-111522/17, -114183/17], [-147/697, -1/697]], [[0, 0], [-798439566/697, -539322367/697], [-35233722/85, -23318226/85], [-3050/697, -15433/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8368/17, -396/17], [330/17, 30/17], [0, 0]], [[0, 0], [-2174511175/4879, -88773861/4879], [5092704/595, 669741/595], [-15481/24395, -1/24395]], [[0, 0], [-962081917827/4879, -962466071599/4879], [2646649548/595, 488472813/119], [-6311769/24395, -6594851/24395]]], 0, 15360, [], [] >,
< [ -2, 0, 1 ], [[288, 576]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1064/17, -30/17], [348/17, -24/17], [0, 0]], [[0, 0], [635450/697, -10153/697], [6702/85, -624/85], [-330/697, 3/3485]], [[0, 0], [-507735/697, -591153/697], [-4374/85, -5799/85], [1363/3485, 311/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4540/17, 524/17], [96/17, 18/17], [0, 0]], [[0, 0], [-931381013/4879, 102753631/4879], [-1161546/595, 116037/595], [-807/4879, 1/24395]], [[0, 0], [206621520592/4879, 250052075337/4879], [52990914/119, 315334584/595], [1161864/24395, 1211253/24395]]], 0, 15360, [], [] >,
< [ -2, 0, 1 ], [[288, 576]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3724/17, -218/17], [-1524/17, -18/17], [0, 0]], [[0, 0], [-10505764/697, -6438302/697], [-515412/85, -295986/85], [-220/697, 2/3485]], [[0, 0], [31909351/697, 23293996/697], [1508562/85, 1117107/85], [1401/3485, 312/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8064/17, -288/17], [-372/17, -6/17], [0, 0]], [[0, 0], [-515611, 111334], [-122274/5, 28161/5], [3/5, 0]], [[0, 0], [-636015624777/4879, -960693701039/4879], [-3477214956/595, -1092045117/119], [6743253/24395, 7045687/24395]]], 0, 15360, [], [] >,
< [ -2, 0, 1 ], [[36, 72]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1460/17, -40/17], [-318/17, -15/17], [0, 0]], [[883, 2], [-6097255/697, 25695115/1394], [-27357/17, 338394/85], [1119/3485, 1/6970]], [[263094, 509323/2], [11169215993/1394, 4113753459/1394], [154157712/85, 61027839/85], [664481/6970, 644243/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2616/17, -397/17], [-63/17, -15/17], [0, 0]], [[-1745, 5/2], [603000791/9758, -28809905/9758], [-97758/119, -3954/119], [4035/9758, -1/9758]], [[-475522, -475522], [74534129808/4879, 78341869049/4879], [-144370446/595, -138792156/595], [2755422/24395, 550433/4879]]], 1, 240, [], [] >,
< [ -2, 0, 1 ], [[36, 72]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20/17, 127/17], [33/17, 3/17], [0, 0]], [[0, 0], [-2183347/1394, -279267/1394], [-6303/85, -6501/170], [-2053/6970, 1/1394]], [[0, 0], [15894392/697, 15837528/697], [155664/85, 23769/17], [11448/3485, 13392/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2372/17, 24/17], [150/17, 9/17], [0, 0]], [[0, 0], [-101376578/4879, 86480967/9758], [-382812/595, 329274/595], [-2036/4879, -1/48790]], [[0, 0], [35687628061/9758, 215482309751/9758], [-105287430/119, 49738131/238], [407695/574, 428465/574]]], 1, 240, [], [] >,
< [ -2, 0, 1 ], [[288, 576]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -6], [-12, -10], [0, 0]], [[0, 0], [-346/7, 636/7], [-4, 8], [12/7, 4/7]], [[0, 0], [-99, 92], [-8, 8], [1, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, -22], [-8, -12], [0, 0]], [[0, 0], [9601/7, 5410/7], [2132/7, 2164/7], [1/7, -4/7]], [[0, 0], [-190396/7, -119512/7], [-7000, -5978], [12/7, 60/7]]], 0, 20480, [], [] >,
< [ -2, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -84], [-30, -24], [0, 0]], [[0, 0], [476, -74], [146, 88], [-2, 2]], [[0, 0], [126, 12], [54, 36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, -150], [-30, -18], [0, 0]], [[0, 0], [-2210/7, 2734/7], [340/7, -104/7], [-34/7, 2/7]], [[0, 0], [-122/7, -244/7], [-20/7, -40/7], [2/7, 4/7]]], 0, 10240, [], [] >,
< [ -2, 0, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -2], [18, 3], [12, -6], [0, 0]], [[0, 0], [3, 1], [0, 0], [1, 0]], [[3, -1/2], [24, 12], [9, -3/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 3/2], [-204, -27], [-3, 9/2], [0, 0]], [[-24, 1], [10469/7, 15646/7], [-621/7, 39/7], [13/7, -2/7]], [[-132, -15], [12144, 13735], [-486, -45], [10, 0]]], 1, 40, [], [] >,
< [ -2, 0, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 15], [12, 15], [0, 0]], [[0, 0], [68, -139/2], [-105, 63], [-5, 5/2]], [[0, 0], [32, 61], [63, 0], [4, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [252, -45], [-3, 12], [0, 0]], [[0, 0], [-9860/7, -147225/7], [-14436/7, -1236/7], [-6/7, 2/7]], [[0, 0], [79514/7, 285121/14], [14340/7, 4614/7], [5/7, -1/14]]], 1, 40, [], [] >,
< [ -2, 0, 1 ], [[0, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 48], [-15, 15], [0, 0]], [[0, 0], [-3, 1], [0, 0], [1, 0]], [[0, 0], [72, 102], [-18, 24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -60], [0, -3], [0, 0]], [[0, 0], [-11707/7, 6833/7], [-1146/7, 732/7], [-1/7, -2/7]], [[0, 0], [90, -60], [9, -6], [0, 0]]], 0, 320, [], [] >,
< [ -2, 0, 1 ], [[0, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -18], [3, 9], [0, 0]], [[0, 0], [-3, 1], [0, 0], [1, 0]], [[0, 0], [0, 0], [-9, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, 66], [6, -12], [0, 0]], [[0, 0], [5219/7, -1035/7], [-663/7, -87/7], [27/7, -2/7]], [[0, 0], [-1072, 4176], [-225, -558], [0, 22]]], 0, 320, [], [] >,
< [ -2, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 30], [6, 12], [0, 0]], [[0, 0], [-134, -95], [-72, 12], [-8, -1]], [[0, 0], [-616, -442], [-1188, 660], [-100, 40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, 96], [-30, 24], [0, 0]], [[0, 0], [-17394/7, -19577/7], [-1032/7, -2484/7], [40/7, 3/7]], [[0, 0], [328078/7, 464384/7], [10032/7, 63114/7], [-1054/7, 62/7]]], 0, 2560, [], [] >,
< [ -2, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -24], [48, 0], [0, 0]], [[0, 0], [-118, -37], [132, 156], [8, 1]], [[0, 0], [806, -120], [0, -930], [-66, 22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-336, 60], [-48, 18], [0, 0]], [[0, 0], [-357604/7, -104703/7], [-40860/7, -3012/7], [60/7, 1/7]], [[0, 0], [16197570/7, 3933105/7], [1899648/7, 29628/7], [-2808/7, 117/7]]], 0, 2560, [], [] >,
< [ -2, 0, 1 ], [[864, 288]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10110/151, 3936/151], [708/151, -24/151], [0, 0]], [[0, 0], [525732/151, -977063/151], [20354/151, 75844/151], [-374/151, 5/151]], [[0, 0], [-67316691/151, 276538423/151], [-13690300/151, -24448181/151], [115177/151, 16688/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1045632/151, 1578/151], [-6420/151, 18/151], [0, 0]], [[0, 0], [-153895705028/1057, -96328827395/1057], [939942018/1057, 587386112/1057], [3972/1057, 1/1057]], [[0, 0], [20784463809565/1057, 13553429046372/1057], [-126913100906/1057, -82669965629/1057], [-455299/1057, -64957/1057]]], 0, 15360, [], [] >,
< [ -2, 0, 1 ], [[288, 576]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-774, 24], [60, 0], [0, 0]], [[0, 0], [-74404702/151, 242262215/151], [4611010/151, -18637518/151], [-164/151, -3/151]], [[0, 0], [-23061012081/151, 38477875743/151], [1605656076/151, -2933041785/151], [-24675/151, 3540/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [432306/151, 3936/151], [-2520/151, -24/151], [0, 0]], [[0, 0], [-10457488933/1057, 2416107/1057], [61147364/1057, -5723/1057], [-5797/1057, -2/1057]], [[0, 0], [-14070376104106/151, 2011185519527/151], [82269526006/151, -11748560922/151], [-7798484/151, 1110387/151]]], 0, 15360, [], [] >,
< [ -2, 0, 1 ], [[288, 864]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, -20], [4, -2], [0, 0]], [[0, 0], [236/7, -801/7], [0, 0], [-6/7, 5/7]], [[0, 0], [-419, -222], [0, 0], [1, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1612, -150], [4, 10], [0, 0]], [[0, 0], [12372740/7, -52218503/7], [88288, -672], [-2/7, -5/7]], [[0, 0], [9192211585/7, 1856919460/7], [-4997120, -8338944], [1065/7, 480/7]]], 0, 46080, [], [] >,
< [ -2, 0, 1 ], [[1440, 576]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [110, 20], [12, -8], [0, 0]], [[0, 0], [23581/7, 15404/7], [36, -2], [15/7, -2/7]], [[0, 0], [5753, 5603], [-128, 140], [-9, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 8], [4, 6], [0, 0]], [[0, 0], [404/7, 417/7], [-60/7, -36/7], [-2/7, -1/7]], [[0, 0], [2095/7, 157/7], [-12, -18], [-1/7, -5/7]]], 0, 46080, [], [] >,
< [ -2, 0, 1 ], [[-5472, -1728]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 34], [-20, 8], [0, 0]], [[0, 0], [9887/7, 4124/7], [876, -388], [23/7, -4/7]], [[0, 0], [-1572, -567], [-1116, 550], [-4, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -6], [-32, -28], [0, 0]], [[0, 0], [-31263/7, 28857/7], [-1832, -196], [-1/7, -1/7]], [[0, 0], [74, -50], [8, -10], [0, 0]]], 0, 737280, [], [] >,
< [ -2, 0, 1 ], [[-2016, -3744]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 14], [44, 38], [0, 0]], [[0, 0], [-20/7, 5/7], [-52, 62], [-4/7, 1/7]], [[0, 0], [35, -25], [1260, -888], [7, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -14], [688, 10], [0, 0]], [[0, 0], [-201807/7, 3060/7], [16292812/7, 14261094/7], [5/7, 2/7]], [[0, 0], [-5169939/7, 6544849/7], [-512797064/7, -170827418/7], [-5/7, -111/7]]], 0, 737280, [], [] >,
< [ -2, 0, 1 ], [[32, 160]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [153440/151, -354/151], [1090/151, 4/151], [0, 0]], [[0, 0], [-267499109/151, -78983177/151], [-1906244/151, -572599/151], [-1, 0]], [[0, 0], [-176623972993/151, -102547179771/151], [-1263102660/151, -735893275/151], [-79355/151, -34456/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [468354/151, 708/151], [-36004/151, -8/151], [0, 0]], [[0, 0], [14379078971/151, -28888624095/151], [-1111100902/151, 2222203015/151], [59/151, -2/151]], [[0, 0], [-447101724274/151, -839545840439/151], [34203973930/151, 64494748808/151], [2148/151, 933/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[44, 24]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44980/151, -492/151], [3460/151, 3/151], [0, 0]], [[0, 0], [9020715/151, 870874891/302], [-18966/151, -33495554/151], [23/151, 1/302]], [[0, 0], [288734251855/302, 169041012232/151], [-10845527727/151, -25788200981/302], [18027/302, 7827/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [158834/151, -263/151], [-4517/151, -3/151], [663/151, -2/151]], [[0, 0], [810119935/151, 704465793/302], [-23085248/151, -10070500/151], [3377561/151, 2931343/302]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[44, 24]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-106727/151, 690/151], [8233/151, 5/151], [0, 0]], [[-44, 1/2], [-3172588331/302, 7707834681/302], [118171890/151, -296455755/151], [289/302, 3/302]], [[-32280, -13560], [1265125255737/151, 2352881850014/151], [-100170439005/151, -182210481810/151], [108000/151, 46860/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5157, -1/2], [67947/151, 1523/302], [-5157/151, -1/302], [0, 0]], [[325258412, -271073837], [-4206112375/151, 7047925047/302], [325258412/151, -271073837/151], [115/151, 5/302]], [[11322667584, -15627640155], [-144606156260/151, 204247818954/151], [11322667584/151, -15627640155/151], [13624/151, 5916/151]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[80, 8]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1186987/151, 2015/151], [-4261/151, -4/151], [0, 0]], [[0, 0], [6231439443/151, -15589898170/151], [-22454291/151, 55981133/151], [-92/151, -2/151]], [[0, 0], [702964996929/151, 373723905425/302], [-2522466925/151, -668878870/151], [2208/151, 5079/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33963/151, 1182/151], [2659/151, 2/151], [0, 0]], [[0, 0], [8311213/151, -14027545/151], [-580527/151, 1077439/151], [-788/151, -4/151]], [[0, 0], [351627569/151, 71035102/151], [-27884408/151, -6440744/151], [12075/151, 13475/151]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[80, 8]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1551356/151, -1471/151], [-5574/151, -3/151], [0, 0]], [[0, 0], [339723239/151, -1613524597/302], [-1211633/151, 2896879/151], [-686/151, 3/302]], [[0, 0], [327345322079/151, 180606182121/302], [-1177195792/151, -326299723/151], [147817/151, 340255/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5128/151, 617/151], [256/151, -1/151], [0, 0]], [[0, 0], [275658/151, 226899/151], [14327/151, 9552/151], [-617/151, 3/151]], [[0, 0], [296054681/151, 201984034/151], [13477435/151, 9663145/151], [-227286/151, -261792/151]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[64, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 100], [64, -2], [0, 0]], [[0, 0], [1272, -910], [-958, 668], [8, -8]], [[0, 0], [-4024, 3112], [3300, -2096], [10, 52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 8], [-26, 10], [0, 0]], [[0, 0], [840, 310], [-772, 264], [10, 4]], [[0, 0], [-2480, -13254], [-19884, 18740], [-42, -154]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[32, 160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 4], [70, 0], [0, 0]], [[0, 0], [22084, 242], [28930, -1821], [-8, -4]], [[0, 0], [398432, -448020], [609560, -626439], [16, 90]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -4], [-8, -26], [0, 0]], [[0, 0], [1888, -1770], [-1538, 774], [4, 8]], [[0, 0], [4, 4], [6, 5], [2, 2]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[96, 88]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 48], [4, 13], [0, 0]], [[0, 0], [5, 1], [-3, 0], [1, 0]], [[0, 0], [166, 130], [15, 33], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, 28], [-12, -11], [0, 0]], [[0, 0], [-9, 1], [-3, 0], [1, 0]], [[0, 0], [-34, 12], [-3, 6], [0, 0]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[96, 88]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 50], [-16, -10], [0, 0]], [[0, 0], [5, 1], [-3, 0], [1, 0]], [[0, 0], [4, -8], [-1, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -28], [-9, -10], [0, 0]], [[0, 0], [-9, 1], [-3, 0], [1, 0]], [[0, 0], [160, 30], [6, 30], [0, 0]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-1344, -448]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -4], [140, 0], [0, 0]], [[0, 0], [-32, 30], [684, -619], [-4, -1]], [[0, 0], [84, -92], [-1812, 1888], [16, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [348, 48], [-20, -2], [0, 0]], [[0, 0], [31392/17, -69526/17], [-23360/17, 3831/17], [-208/17, -5/17]], [[0, 0], [953424/17, 4304378/17], [1513164/17, 264589/17], [15288/17, 5187/17]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[-672, -224]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [540942/151, 1338/151], [-41820/151, -10/151], [0, 0]], [[0, 0], [41270749155/151, 18397514580/151], [-3184303548/151, -1415190839/151], [-13/151, -3/151]], [[0, 0], [19448670/151, 41777744/151], [-1489152/151, -3226496/151], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-594348/151, -1234/151], [-4320/151, 2/151], [0, 0]], [[0, 0], [-2058643/151, -2282193/151], [-19788/151, -16147/151], [335/151, -4/151]], [[0, 0], [-3384440714/151, -1460943689/151], [-23692868/151, -14323038/151], [-22320/151, 255905/151]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[-84, -28]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2295/151, 65/151], [-827/151, -5/151], [0, 0]], [[0, 0], [-26863471/302, -298982/151], [4832051/151, 523/302], [315/302, 3/302]], [[0, 0], [609571147/302, -4955583104/151], [-189006793/151, 3573932829/302], [-10115/302, 116375/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18899/151, 250/151], [873/151, 4/151], [0, 0]], [[0, 0], [-2083250880/151, -46430506/151], [96377602/151, 3861056/151], [256/151, 1/151]], [[0, 0], [-167206807617/302, 1661961912406/151], [1128733867/151, -153515369205/302], [35595/302, -409173/302]]], 1, 144, [], [] >,
< [ -2, 0, 1 ], [[-84, -28]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28104/151, 492/151], [-1976/151, -3/151], [0, 0]], [[87, 5/2], [3332304771/302, -287488589/151], [-117832249/151, 22098617/151], [571/302, 2/151]], [[9152, -210925], [1806134644150/151, -4121604920397/151], [-136325174635/151, 291917550366/151], [60203/151, -693693/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42449/151, -716/151], [-3033/151, -3/151], [0, 0]], [[-57, -2], [29412465/151, 13707829/302], [-2110208/151, -527230/151], [-187/151, -5/302]], [[-138, 6371/2], [-1164222321/302, -3213437839/302], [45746766/151, 115048946/151], [-1817/302, 20953/302]]], 1, 144, [], [] >,
< [ -2, 0, 1 ], [[-672, -224]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2135466/151, -354/151], [7432/151, 4/151], [0, 0]], [[0, 0], [10695356331/151, -1330187436/151], [37214840/151, -4603301/151], [-105/151, 1/151]], [[0, 0], [316860220856/151, 9438695154/151], [1102762308/151, 33616190/151], [-3224/151, -464/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2842412/151, -1838/151], [3716/151, 2/151], [0, 0]], [[0, 0], [17435794019/151, 549064078/151], [-22795466/151, -714845/151], [499/151, 1/151]], [[0, 0], [3931019533746/151, 650481660129/151], [-5139212884/151, -849766006/151], [111612/151, 15327/151]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[-84, -28]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-524405/151, 1622/151], [-1825/151, 3/151], [0, 0]], [[0, 0], [-65856871/151, 30603011/302], [-229320/151, 52920/151], [535/151, -3/302]], [[0, 0], [-5964812078/151, 686181590/151], [-20778660/151, 2354625/151], [51381/151, 6228/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1168317/151, 2049/151], [4005/151, 5/151], [0, 0]], [[0, 0], [-226119213/302, 12056243/302], [-384706/151, 41041/302], [-663/302, 1/151]], [[0, 0], [186805119613/302, 17131150385/302], [317817201/151, 58277253/302], [555765/302, 39105/151]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[-84, -28]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8072, -3/2], [-2332506/151, 2455/302], [-8072/151, -3/302], [0, 0]], [[24280254, -282616935/2], [7074187374/151, -81675734609/302], [24280254/151, -282616935/302], [-348/151, -1/151]], [[1160317658, 23301603117/2], [330498232460/151, 3366408501240/151], [1160317658/151, 23301603117/302], [29394/151, 8073/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150861/151, 26/151], [-545/151, -2/151], [0, 0]], [[69, -3/2], [606055427/302, -28278730/151], [1092316/151, -97960/151], [-3/2, 0]], [[-23275, -2793], [-100140917872/151, -9808130587/302], [-361355840/151, -19026870/151], [76874/151, 21679/302]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[-192, -960]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2148/17, 290/17], [-648/17, -6/17], [0, 0]], [[0, 0], [18825730/697, -40050102/697], [-1211868/85, 1630622/85], [-3082/3485, 2/3485]], [[0, 0], [23514620414/697, 78202895739/697], [89389886/85, -2807224794/85], [7240134/3485, 2602491/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8172/17, -206/17], [2724/17, 12/17], [0, 0]], [[0, 0], [498264/697, -2801873/697], [-4070/17, 114424/85], [-256/3485, -3/3485]], [[0, 0], [-5503208/697, -7779954/697], [45008/17, 317848/85], [-792/3485, -336/3485]]], 0, 49152, [], [] >,
< [ -2, 0, 1 ], [[-12, -60]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1144/17, -36/17], [-778/17, -5/17], [0, 0]], [[0, 0], [-4359255/1394, -2073790/697], [-103983/85, 334613/170], [-1137/1394, -2/3485]], [[0, 0], [-42395/1394, -9014/697], [6/17, 27/170], [-33/6970, -7/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98, -7], [21, 0], [0, 0]], [[0, 0], [-35149223/287, 205675/287], [9742, -4208/5], [5723/24395, -1/24395]], [[0, 0], [406005636927/9758, 62700467926/4879], [-267060652/85, -128300593/170], [-780495/9758, -611601/24395]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[-12, -60]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1296/17, -141/17], [-1027/17, -4/17], [0, 0]], [[1201, -1], [-31094056/697, 8204987/1394], [2887393/85, -70976/85], [-1522/3485, -3/6970]], [[767832, 580047/2], [-35812150011/1394, -9801654001/1394], [1812799714/85, 130679071/17], [-1948791/6970, -738621/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1006/17, 25/17], [205/17, 3/17], [0, 0]], [[-57, -1/2], [129448301/9758, -6841449/9758], [-231488/85, 2978/85], [-659/48790, -1/9758]], [[1088, 404], [-1180632706/4879, -383232498/4879], [4350732/85, 1546256/85], [6284/24395, 2328/24395]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[-96, -480]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22468/17, -256/17], [1600/17, 6/17], [0, 0]], [[0, 0], [202869725/697, 1145000281/697], [2083566/85, 9974191/85], [-1541/3485, 1/3485]], [[0, 0], [657859148638/697, 782590150208/697], [5933975258/85, 6890075288/85], [-989898/3485, -354312/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20500/17, 244/17], [-1406/17, -2/17], [0, 0]], [[0, 0], [2379568789/4879, 520980860/4879], [1557824/85, 643163/85], [-3265/4879, 2/24395]], [[0, 0], [-2343407899006/4879, -1035000420540/4879], [-1680725572/85, -942992454/85], [2868354/4879, 3958664/24395]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[-96, -480]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4668/17, 4/17], [1556/17, 10/17], [0, 0]], [[0, 0], [-624105/697, -116691/697], [-2706/85, 4649/85], [1541/3485, -1/3485]], [[0, 0], [-181988415/697, -87952095/697], [168714/85, 942753/85], [79127/697, 142901/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1324/17, -198/17], [-216/17, -2/17], [0, 0]], [[0, 0], [110246874/4879, -232378/4879], [148/17, -1928/85], [-11446/24395, 2/24395]], [[0, 0], [-30255830105/4879, -10156430465/4879], [30818/17, 461267/85], [3145309/24395, 1060537/24395]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[-96, -480]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8748/17, -200/17], [2984/17, 10/17], [0, 0]], [[0, 0], [9267903/17, 7576990/17], [-15289714/85, -12625251/85], [1/5, 0]], [[0, 0], [108445892615/697, 80670323048/697], [-4379245586/85, -3268930367/85], [25553/697, 43516/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25268/17, -52/17], [-1732/17, 6/17], [0, 0]], [[0, 0], [-17164129581/4879, 1163441840/4879], [-20587774/85, 1503181/85], [-6567/24395, 2/24395]], [[0, 0], [-14623362628321/4879, -3755653955314/4879], [-17480104686/85, -4408966887/85], [-1168455/4879, -1831218/24395]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[-96, -480]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 4], [36, 12], [0, 0]], [[0, 0], [-1229/7, 120/7], [-208, -28], [-1/21, 2/21]], [[0, 0], [-16, -24], [-32, -34], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 14], [28, 14], [0, 0]], [[0, 0], [4596/49, -2255/49], [-1040/7, -272/7], [50/147, 5/147]], [[0, 0], [-9469/49, 5330/49], [1692/7, 172/7], [-29/49, 2/49]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[-96, -480]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2708276/151, 1942/151], [-18580/151, -10/151], [0, 0]], [[0, 0], [5570420062/151, -11152451548/151], [-38241808/151, 76517566/151], [-184/151, -4/151]], [[0, 0], [-56447534111/151, -130583715801/151], [386950744/151, 895799391/151], [-2777/151, -1206/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9491534/151, -2364/151], [-15888/151, -4/151], [0, 0]], [[0, 0], [2122279241779/1057, -365379793024/1057], [-3551893606/1057, 609835867/1057], [-223/1057, 5/1057]], [[0, 0], [-197621503728896/1057, -64099317349756/1057], [330908068576/1057, 107462011354/1057], [24048/1057, 10410/1057]]], 0, 15360, [], [] >,
< [ -2, 0, 1 ], [[-992, -256]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23948262/151, 6722/151], [-19604/151, -6/151], [0, 0]], [[0, 0], [1586437548543/151, 81358443370/151], [-1298658074/151, -66632783/151], [13/151, -3/151]], [[0, 0], [-2979294222/151, -2399177718/151], [2438944/151, 1964024/151], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [229876420/151, 63290/151], [35492/151, 10/151], [0, 0]], [[0, 0], [22159206614780/1057, -361684294091/1057], [3421124918/1057, -55797604/1057], [-7688/1057, -3/1057]], [[0, 0], [-3948209068346917/151, -3806045682711321/151], [-609572535312/151, -587617154189/151], [1414715/151, 1344110/151]]], 0, 27648, [], [] >,
< [ -2, 0, 1 ], [[-1984, -512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1418, 34], [-34, -30], [0, 0]], [[0, 0], [-4874632, 4356072], [-67450, 318], [2, 10]], [[0, 0], [-36953708, 17818584], [115036, 351764], [-108, -28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1078, 56], [-14, 0], [0, 0]], [[0, 0], [-254624/7, 53688/7], [-3342/7, 608/7], [-30/7, 4/7]], [[0, 0], [-15756164/7, -2852156/7], [-211948/7, -44502/7], [-1980/7, -506/7]]], 0, 110592, [], [] >,
< [ -2, 0, 1 ], [[-1600, -1728]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 8], [28, 28], [0, 0]], [[0, 0], [221662178/1433, -3980/1433], [98010, 1], [-95692/24361, 3/24361]], [[0, 0], [-192272/1433, 289549/1433], [-85, 128], [83/24361, -125/24361]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [920/7, 78/7], [-40/7, -4/7], [0, 0]], [[0, 0], [9554220782/10031, 12443583/10031], [10163785/7, -641/7], [119469/24361, -4/24361]], [[0, 0], [11342378187452/10031, 11619214883436/10031], [12032314372/7, 12344094740/7], [141440992/24361, 145101376/24361]]], 0, 98304, [], [] >,
< [ -2, 0, 1 ], [[-800, -864]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 20], [-8, 2], [0, 0]], [[0, 0], [100249/1777, -80977/1777], [-5296/3, -6], [-289/5331, -1/5331]], [[0, 0], [2888022/1777, -2054598/1777], [-24680, 48200/3], [-4040/5331, 2630/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [174, 44], [-44, -24], [0, 0]], [[0, 0], [2986429451/12439, -3779926/12439], [-1082180/21, 738/7], [-59219/37317, -2/37317]], [[0, 0], [-238996398738/12439, 327316635966/12439], [28929676/7, -39558566/7], [1574098/12439, -2161448/12439]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[-1376, -608]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25694/151, -1260/151], [-5252/151, 4/151], [0, 0]], [[0, 0], [-4963343330/151, 378964446/151], [1011817192/151, -28616548/151], [2, 0]], [[0, 0], [-276964223257/151, -59988042020/151], [58070296930/151, 15066003935/151], [17615/151, 4995/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-111737922/151, -19250/151], [-32288/151, -6/151], [0, 0]], [[0, 0], [5153603984693/1057, 363117738873/1057], [1489282124/1057, 104941079/1057], [-2147/1057, -4/1057]], [[0, 0], [-20301172596783066/1057, -6881428438459074/1057], [-5866624407248/1057, -1988616113912/1057], [8142828/1057, 2308836/1057]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[-480, -832]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7230798/151, -328/151], [16400/151, 2/151], [0, 0]], [[0, 0], [-2500466406339/151, -203768782219/151], [-5671407636/151, -463111147/151], [847/151, 2/151]], [[0, 0], [-12684292535008836/151, -7239813732782844/151], [-28774454067468/151, -16425270335018/151], [3959452/151, 2139872/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [83818542/151, 24566/151], [-27548/151, -8/151], [0, 0]], [[0, 0], [-86277961891871/1057, 97922736718/1057], [28356188586/1057, -32250907/1057], [-2915/1057, -1/1057]], [[0, 0], [196812511771218408/1057, 106247534493287645/1057], [-64684401393510/1057, -34919251109100/1057], [6660170/1057, 3599535/1057]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[5664, 1664]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1546784/151, 1640/151], [-115824/151, -10/151], [0, 0]], [[0, 0], [-15450735444190/151, 553046432313/151], [1157042227578/151, -42539288342/151], [834/151, 5/151]], [[0, 0], [624504911547605207/151, 594584458081462704/151], [-46676627782957026/151, -44477343897872149/151], [-36499949/151, -33603069/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-141618684/151, -2088/151], [-489936/151, -2/151], [0, 0]], [[0, 0], [-329243339113573/1057, 18287464340137/1057], [-1139035876644/1057, 63278446779/1057], [8489/1057, 4/1057]], [[0, 0], [41350417852470554873/1057, 39863797265836405296/1057], [143051024367682530/1057, 137909382400489425/1057], [-1188690305/1057, -1094349575/1057]]], 0, 811008, [], [] >,
< [ -2, 0, 1 ], [[4064, 4640]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7338286/151, 1536/151], [-566040/151, -2/151], [0, 0]], [[0, 0], [-177639533021205/151, -13293067652326/151], [13701836258502/151, 1022543584825/151], [13/151, -3/151]], [[0, 0], [61897320848/151, 62820389334/151], [-4772467020/151, -4844679870/151], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24248196/151, -932/151], [177064/151, 2/151], [0, 0]], [[0, 0], [-141325369793935/1057, 927173634530/1057], [-1031977888994/1057, 6719053711/1057], [-4005/1057, -5/1057]], [[0, 0], [64900521903403710/1057, 119459127201505226/1057], [473999854726284/1057, 872331614385774/1057], [1892272/1057, 3400046/1057]]], 0, 811008, [], [] >,
< [ -2, 0, 1 ], [[2528, 3232]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3012438/151, -1484/151], [-232028/151, -2/151], [0, 0]], [[0, 0], [-2418265801425/151, 930957358164/151], [186191081502/151, -71612105717/151], [407/151, -1/151]], [[0, 0], [-2852698332466476/151, 7100318400918046/151], [219176183779332/151, -546780264946866/151], [-618246/151, -1434186/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34058678/151, -52/151], [248428/151, 4/151], [0, 0]], [[0, 0], [195875428005415/1057, -534993726758/1057], [1428738327178/1057, -3877126899/1057], [1825/1057, -3/1057]], [[0, 0], [46715108985565806/151, 108857115523779921/151], [340773500313778/151, 794022639786362/151], [437460/151, 1014717/151]]], 0, 442368, [], [] >,
< [ -2, 0, 1 ], [[5056, 6464]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3826, 20], [-238, 0], [0, 0]], [[0, 0], [-1350487840, -458758], [84012132, -410446], [8, -4]], [[0, 0], [-768160844130, -599540843892], [47396710092, 37047110584], [998, 1276]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1642, 106], [-1406, -2], [0, 0]], [[0, 0], [-129333794/7, 14031294/7], [-110088546/7, 4747836/7], [-24/7, 6/7]], [[0, 0], [-1788554146/7, -1848149014/7], [-1755126664/7, -1697893266/7], [-222/7, -284/7]]], 0, 1769472, [], [] >,
< [ -2, 0, 1 ], [[8768, 3072]], [ -417, -41 ], [ -6, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 10], [20, 44], [0, 0]], [[0, 0], [5537214/1433, 3990/1433], [78950, 181], [7484/1433, 3/1433]], [[0, 0], [-3784/1433, -20147/1433], [-53, -286], [-5/1433, -27/1433]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6592/7, 150/7], [860/7, -12/7], [0, 0]], [[0, 0], [3693039468/10031, 51866705/10031], [304799/7, -7598/7], [8917/1433, 3/1433]], [[0, 0], [48272753856/1433, 17830321424/1433], [3873676, 1317858], [807940/1433, 290290/1433]]], 0, 1769472, [], [] >,
< [ -2, 0, 1 ], [[4384, 1536]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 14], [-184, -94], [0, 0]], [[0, 0], [-2605385/1777, 676790/1777], [-2324012/3, -3628], [4753/5331, -2/5331]], [[0, 0], [-576735673/1777, 400425744/1777], [-125924300, 85546470], [259335/1777, -176280/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [162, 306], [-68, -102], [0, 0]], [[0, 0], [-428337571/12439, 33563482/12439], [-2986084/7, -17986/21], [18391/37317, -4/37317]], [[0, 0], [11337240201/1777, -9643639491/1777], [69103416, -184966654/3], [-427295/5331, 380681/5331]]], 0, 442368, [], [] >,
< [ -2, 0, 1 ], [[-576, -2880]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9448/17, -114/17], [-3240/17, -30/17], [0, 0]], [[0, 0], [-286709462/697, 215015500/697], [11644704/85, -8740146/85], [806/3485, 4/3485]], [[0, 0], [-50296867062/697, 42478651267/697], [408173574/17, -345600774/17], [60642/697, 21735/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12048/17, 70/17], [4416/17, -12/17], [0, 0]], [[0, 0], [56979574/697, -20509532/697], [2549676/85, -938454/85], [-806/3485, -4/3485]], [[0, 0], [-302539666/697, 3792907/697], [-13434774/85, 63354/17], [5738/3485, 2033/3485]]], 0, 491520, [], [] >,
< [ -2, 0, 1 ], [[-288, -1440]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1336/17, -64/17], [-450/17, -24/17], [0, 0]], [[0, 0], [2338728/697, -84614/697], [36018/85, -3534/85], [220/697, 2/3485]], [[0, 0], [23569689/697, 9406812/697], [68700/17, 121731/85], [11451/3485, 4858/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64508/17, 132/17], [4734/17, 24/17], [0, 0]], [[0, 0], [64023653039/4879, -11208610412/4879], [81447456/85, -14082129/85], [-6567/24395, 2/24395]], [[0, 0], [-31785808410484/4879, -8471690425019/4879], [-40518814974/85, -10879500966/85], [3796404/24395, 306519/4879]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[-288, -1440]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24008/17, -216/17], [-8952/17, -30/17], [0, 0]], [[0, 0], [-1490731045/697, 1496871311/697], [-68593698/85, 68456769/85], [-367/697, 3/3485]], [[0, 0], [340278886844/697, -809314629106/697], [15916302792/85, -7376732316/17], [1554236/3485, 563736/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45788/17, -166/17], [3120/17, -24/17], [0, 0]], [[0, 0], [10842026810/4879, -801609758/4879], [2458044/17, -1007856/85], [25898/24395, 4/24395]], [[0, 0], [-1967906215349/4879, -596946208221/4879], [-443406198/17, -131533107/17], [-993275/4879, -358765/4879]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[-288, -1440]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23668/17, -90/17], [8952/17, 30/17], [0, 0]], [[0, 0], [-139560175/697, 106953440/697], [-5198586/85, 4890279/85], [4291/3485, 4/3485]], [[0, 0], [-292196412/41, 285570374/41], [-1259952, 16048392/5], [435864/3485, 184912/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60600/17, -2/17], [-4416/17, 12/17], [0, 0]], [[0, 0], [-31561585/287, -28157362/287], [-30402/5, -35607/5], [-6567/24395, 2/24395]], [[0, 0], [-892193/4879, -2017132/4879], [-546/85, -1281/85], [-23/24395, -52/24395]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[-36, -180]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8532/17, 23/17], [3405/17, 15/17], [0, 0]], [[-1375, 5/2], [-6121439/34, 3055538/17], [1206744/17, -1210692/17], [1/2, 0]], [[-416691, -148291], [-10918819246/697, 48822663301/1394], [103699758/17, -1182822252/85], [528748/3485, 377773/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5306/17, 329/17], [549/17, 15/17], [0, 0]], [[-2808, -7/2], [1160957347/9758, -75578626/4879], [372153/85, -153849/85], [-6493/9758, -1/24395]], [[-2559756, -842025], [483573252299/4879, 104566313235/4879], [247056381/85, -5791914/17], [-14785959/24395, -4850064/24395]]], 1, 1920, [], [] >,
< [ -2, 0, 1 ], [[-36, -180]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-488/17, 15/17], [225/17, 12/17], [0, 0]], [[0, 0], [-32581599/1394, 8133370/697], [781278/85, -155223/34], [-1797/6970, -1/3485]], [[0, 0], [3519628506/697, -777644314/697], [-169275888/85, 36621357/85], [301938/3485, 108072/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3856/17, 110/17], [324/17, 3/17], [0, 0]], [[0, 0], [-80810357/4879, -4034703/9758], [38196/85, -4446/85], [2769/24395, 1/9758]], [[0, 0], [4903360607/9758, 1856780335/9758], [-1042863/85, -555837/170], [-1943/574, -3509/2870]]], 1, 1920, [], [] >,
< [ -2, 0, 1 ], [[-288, -1440]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -4], [80, 50], [0, 0]], [[0, 0], [-2/7, 130/7], [-172, -114], [22/7, -2/7]], [[0, 0], [545/7, -635/7], [364, 198], [-115/7, 55/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, -10], [-16, 4], [0, 0]], [[0, 0], [2823/49, -10091/49], [-1780/7, -402/7], [195/49, -5/49]], [[0, 0], [19447/49, -373/49], [1252/7, 1892/7], [-39/49, -195/49]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[-288, -1440]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98934/151, -3108/151], [-7680/151, 30/151], [0, 0]], [[0, 0], [43238011/151, -112689759/151], [-2878100/151, 8669047/151], [-361/151, 2/151]], [[0, 0], [-10004558737/151, -16915364296/151], [850486254/151, 1336675987/151], [-64815/151, -28159/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11216100/151, 6732/151], [-68424/151, -30/151], [0, 0]], [[0, 0], [221479023634/1057, 74365441932/1057], [-1351453100/1057, -453516146/1057], [-7432/1057, -4/1057]], [[0, 0], [144264752810121/1057, 85870211047931/1057], [-880183269668/1057, -523845273967/1057], [-3753703/1057, -1623716/1057]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[-180, -116]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72456/151, -807/151], [5318/151, 4/151], [0, 0]], [[0, 0], [-4056588295/302, 442363156/151], [149577999/151, -68043523/302], [-13/302, 3/302]], [[0, 0], [4386601/151, 8839505/151], [-308555/151, -645592/151], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4518/151, -2239/151], [-545/151, -2/151], [0, 0]], [[0, 0], [-26694493/151, 20156899/151], [1756150/151, -1548800/151], [696/151, 2/151]], [[0, 0], [377607580/151, -468637603/302], [-30883710/151, 14003550/151], [4465/151, 18905/302]]], 1, 168, [], [] >,
< [ -2, 0, 1 ], [[-180, -116]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17794/151, 203/151], [-1090/151, -4/151], [0, 0]], [[143, -5/2], [-1270591/2, 21693], [39144, -1631], [-939/302, -2/151]], [[43581, 100893], [-26961602741/151, -134311559377/302], [1598013957/151, 4123179184/151], [-157608/151, -669237/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8873, 5/2], [-112027/151, 1445/302], [8873/151, 5/302], [0, 0]], [[901897320, -204753210], [-11421942172/151, 2661787955/151], [901897320/151, -204753210/151], [-92/151, -2/151]], [[1985738760, -79264072170], [-38539117935/151, 2001878120681/302], [1985738760/151, -79264072170/151], [4257/151, 18095/302]]], 1, 168, [], [] >,
< [ -2, 0, 1 ], [[-416, -512]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-222888/151, 1234/151], [-1602/151, -2/151], [0, 0]], [[0, 0], [6788639/151, 5572671/151], [48728/151, 40339/151], [-59/151, 2/151]], [[0, 0], [8724022492/151, 5764874676/151], [63021158/151, 41485926/151], [-16144/151, -34280/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19896/151, 1432/151], [2692/151, 6/151], [0, 0]], [[0, 0], [-391616785/151, 67185370/151], [52206852/151, -5214625/151], [197/151, 1/151]], [[0, 0], [-87870039073/151, -681943214873/151], [25867302542/151, 94178301069/151], [175817/151, 373434/151]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[-832, -1024]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-898, -10], [10, 8], [0, 0]], [[0, 0], [1924, -1732], [-16, -16], [8, 8]], [[0, 0], [8002, -6604], [-36, -44], [18, 22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-888, 26], [4, 6], [0, 0]], [[0, 0], [194774, -284646], [2988, 58], [-6, -2]], [[0, 0], [1669678, -447290], [-2062, -9378], [16, 20]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-832, -1024]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [746, -78], [-38, -22], [0, 0]], [[0, 0], [-395208, 239524], [6004, 92], [8, -4]], [[0, 0], [342222, 975830], [-89388, -69080], [-26, -32]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [158, 48], [58, 10], [0, 0]], [[0, 0], [19600, 2614], [7628, -124], [-4, 2]], [[0, 0], [254502, 191194], [80060, 62124], [-10, -12]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-52, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-274, 23], [5, -10], [0, 0]], [[0, 0], [20587, 111479/2], [3688, 48], [-2, 3/2]], [[0, 0], [7060, 5039], [270, 188], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -27], [19, 11], [0, 0]], [[0, 0], [-387416, 493465/2], [-18264, -646], [5, -1/2]], [[0, 0], [2068149, -4941883/2], [-289848, -297634], [58, 143/2]]], 1, 168, [], [] >,
< [ -2, 0, 1 ], [[-52, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29, -3/2], [342, 2], [-29, -3/2], [0, 0]], [[0, 0], [-19, 0], [-3, 0], [1, 0]], [[-4370, -10695/2], [45964, 60987], [-4370, -10695/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25, 5/2], [400, -9], [25, 5/2], [0, 0]], [[0, 0], [-47, 0], [-3, 0], [1, 0]], [[-61, -74], [-704, -1091], [-61, -74], [0, 0]]], 1, 168, [], [] >,
< [ -2, 0, 1 ], [[-1440, -928]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [202, 142], [-10, -8], [0, 0]], [[0, 0], [268, -312], [32, -8], [8, -2]], [[0, 0], [862, 179], [-48, -60], [-12, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-174, -72], [-10, -8], [0, 0]], [[0, 0], [-2784, 2114], [-32, 16], [-8, 4]], [[0, 0], [17794, -1681], [-256, -316], [-64, -79]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[-1440, -928]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, -70], [32, 20], [0, 0]], [[0, 0], [-66, 179], [-20, -62], [8, -3]], [[0, 0], [-2502, -2725], [1688, 1396], [-90, -27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -36], [48, 30], [0, 0]], [[0, 0], [280, 175], [52, 36], [8, 5]], [[0, 0], [208, -208], [-4, -10], [6, -6]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[-1440, -928]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 22], [-20, -16], [0, 0]], [[0, 0], [-214, -143], [102, 82], [-2, -5]], [[0, 0], [260, 229], [-190, -82], [20, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -64], [20, 30], [0, 0]], [[0, 0], [-304, -81], [-6, 6], [10, 3]], [[0, 0], [-66, -33], [2, 2], [2, 1]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[-52, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-216, 33], [-14, -14], [0, 0]], [[0, 0], [-574146, 1028285/2], [29659, 647], [1, 1/2]], [[0, 0], [-5798, 3532], [39, -141], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [316, -23], [4, 13], [0, 0]], [[0, 0], [220233, -962205/2], [-36766, 288], [-4, -3/2]], [[0, 0], [-46448798, 17555205/2], [-129873, -1809796], [-165, -407/2]]], 1, 168, [], [] >,
< [ -2, 0, 1 ], [[-52, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, 5/2], [-476, 0], [18, 5/2], [0, 0]], [[0, 0], [-33, 0], [-3, 0], [1, 0]], [[192, 232], [-3508, -5647], [192, 232], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 2], [-400, -5], [-1, 2], [0, 0]], [[0, 0], [-5, 0], [-3, 0], [1, 0]], [[53, 131/2], [-18234, -10019], [53, 131/2], [0, 0]]], 1, 168, [], [] >,
< [ -2, 0, 1 ], [[-1440, -928]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, -10], [-38, -8], [0, 0]], [[0, 0], [7106, -2521], [2912, -852], [0, -3]], [[0, 0], [-53910, -3900], [-23660, -3528], [26, 32]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-242, 50], [-50, 2], [0, 0]], [[0, 0], [-22774, 43279], [-1744, 8736], [4, -5]], [[0, 0], [-1060636, -1043293], [-315272, -272172], [74, 91]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[-1440, -928]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 86], [16, -4], [0, 0]], [[0, 0], [-3838, -3008], [-244, -174], [-6, 4]], [[0, 0], [5458, 3951], [336, 236], [2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-302, -180], [72, 38], [0, 0]], [[0, 0], [7320, 1689], [-2056, -92], [2, -5]], [[0, 0], [-11120, -18599], [1248, 5076], [24, -3]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[-1440, -928]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -22], [-16, 4], [0, 0]], [[0, 0], [-346, -243], [-98, -22], [8, 3]], [[0, 0], [-26, -19], [-38, 18], [2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-190, -138], [4, 6], [0, 0]], [[0, 0], [-18, 65], [-2, -8], [-8, -1]], [[0, 0], [26, 223], [-18, -30], [-30, -9]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[224, 1120]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12005950/151, 2286/151], [41820/151, 10/151], [0, 0]], [[0, 0], [-15707270315365/151, 119173394165/151], [-54712661956/151, 412447859/151], [-243/151, 2/151]], [[0, 0], [112799157935444053/151, 188587835879318008/151], [392974209671290/151, 656921960691253/151], [1741293/151, 2916405/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3636346/151, 2338/151], [12408/151, 6/151], [0, 0]], [[0, 0], [39179366473/151, -462784958/151], [133692030/151, -1600251/151], [197/151, -1/151]], [[0, 0], [10592680155811/151, 18077533947581/151], [36125878540/151, 61680164703/151], [54495/151, 91270/151]]], 0, 64512, [], [] >,
< [ -2, 0, 1 ], [[224, 1120]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6053566/151, 2364/151], [20956/151, 4/151], [0, 0]], [[0, 0], [-3737768/151, -3394042/151], [-26420/151, -12346/151], [-4, 0]], [[0, 0], [4062461919/151, 2596200031/151], [18226068/151, 15219433/151], [162433/151, 272034/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82760/151, 880/151], [-92/151, 2/151], [0, 0]], [[0, 0], [3216727/151, 91500/151], [2/151, -197/151], [-197/151, 1/151]], [[0, 0], [-990046957/151, -1520644839/151], [182540/151, 54495/151], [54495/151, 91270/151]]], 0, 64512, [], [] >,
< [ -2, 0, 1 ], [[224, 1120]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4729030/151, -9034/151], [-16400/151, -2/151], [0, 0]], [[0, 0], [-101086757249/151, -80807456656/151], [-349557630/151, -279611293/151], [-801/151, -1/151]], [[0, 0], [-1057090758201837/151, -769786937058469/151], [-3656376430424/151, -2663028654285/151], [-4953509/151, -2150390/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9333346/151, 12304/151], [32288/151, 6/151], [0, 0]], [[0, 0], [212601826404/151, -1080708464105/151], [743947854/151, -3739472336/151], [374/151, -5/151]], [[0, 0], [332711068285915/151, 441650373673186/151], [1147532261146/151, 1526557155785/151], [-165427/151, -71799/151]]], 0, 86016, [], [] >,
< [ -2, 0, 1 ], [[2496, 3072]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11232/17, 104/17], [-3676/17, -12/17], [0, 0]], [[0, 0], [-5454026016/697, 1792957321/697], [219190294/85, -72875938/85], [3044/3485, 3/3485]], [[0, 0], [-1615465493016/697, 3783703015466/697], [66170136688/85, -30379000976/17], [-625616/3485, -2316536/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1788/17, 162/17], [-732/17, -20/17], [0, 0]], [[0, 0], [-32110764/697, -11184579/697], [1697222/85, 447198/85], [-1356/3485, -1/697]], [[0, 0], [8112210758/697, 9219305604/697], [-70614728/17, -95457050/17], [19370/697, 71370/697]]], 0, 344064, [], [] >,
< [ -2, 0, 1 ], [[7488, 9216]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5880/17, -28/17], [-2460/17, -36/17], [0, 0]], [[0, 0], [-222420106/697, 23980269/697], [-10171626/85, 1111956/85], [5538/3485, 1/697]], [[0, 0], [6538723404/697, 126125900122/697], [56232360/17, 1153112544/17], [-173160/697, -646776/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18912/17, -10/17], [7908/17, 60/17], [0, 0]], [[0, 0], [32928784828/697, -2842506769/697], [1676907378/85, -131324058/85], [1356/3485, 1/697]], [[0, 0], [669296330140/697, 7105541292443/697], [8003244270/17, 362636712858/85], [81468/3485, 299739/3485]]], 0, 3440640, [], [] >,
< [ -2, 0, 1 ], [[36, 16]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32447/151, 565/151], [-2403/151, 3/151], [0, 0]], [[0, 0], [79599067/302, -39013447/302], [-3000969/151, 3001499/302], [335/302, -2/151]], [[0, 0], [72320635967/302, -87253874763/302], [-2801480420/151, 6560024721/302], [-96983/302, -209192/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [141608/151, 323/302], [2337/151, 5/151], [1139/151, 3/302]], [[0, 0], [17979589/151, 79000196/151], [299327/151, 1304058/151], [144840/151, 635450/151]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[36, 16]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13868/151, 807/151], [1090/151, -4/151], [0, 0]], [[23, 1/2], [64072695/302, -64399395/151], [-1979154/151, 4955751/151], [1/2, 0]], [[-930, -3400], [17854030063/151, -2519966798/151], [-1390476411/151, 122413770/151], [-2570/151, -11105/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3171, 0], [-283, 1], [21, 0], [0, 0]], [[3857631, 762647/2], [-52011184/151, -9910485/302], [3857631/151, 762647/302], [-407/151, -1/151]], [[84393375, 202359625], [-1118764104/151, -5452331879/302], [84393375/151, 202359625/151], [-4879/151, -41779/302]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[64, 72]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138781/151, 1083/151], [545/151, -2/151], [0, 0]], [[0, 0], [91114495/151, -232166211/302], [368379/151, -460053/151], [128/151, 1/302]], [[0, 0], [16600202313/151, -27049894486/151], [67649967/151, -106992501/151], [32752/151, 3818/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [77179/151, 1247/151], [-6053/151, -3/151], [0, 0]], [[0, 0], [-692681853/151, -551565263/151], [53001256/151, 42428736/151], [-3, 0]], [[0, 0], [288469657159/151, 222026250062/151], [-22091159216/151, -17067513680/151], [158839/151, 18721/151]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[64, 72]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1123561/151, 1596/151], [4451/151, 5/151], [0, 0]], [[0, 0], [-53100/151, -1860145/302], [-4/151, -3683/151], [338/151, 5/302]], [[0, 0], [58356226/151, 214521823/151], [183801/151, 844365/151], [-77605/151, -8965/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [224821/151, -1398/151], [-4517/151, 3/151], [0, 0]], [[0, 0], [198915/151, 126491/151], [-3860/151, -2575/151], [-79/151, 5/151]], [[0, 0], [4926001/151, 3266125/151], [-96437/151, -65824/151], [-1568/151, -176/151]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [939764/151, 1078/151], [6788/151, 10/151], [0, 0]], [[0, 0], [-37752580472/151, -3743257531/151], [-272702176/151, -27125710/151], [1070/151, 3/151]], [[0, 0], [18057947686257/151, 43347323023153/151], [130634446548/151, 313137418441/151], [-280291/151, -1202212/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-116584/151, -1536/151], [8968/151, 2/151], [0, 0]], [[0, 0], [5923445/151, 236030729/151], [11858/151, -18156117/151], [335/151, -4/151]], [[0, 0], [160798592246/151, 22534155868/151], [-12328409512/151, -1574651188/151], [26412/151, 113398/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[-448, -896]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -12], [36, 2], [0, 0]], [[0, 0], [36, -34], [4, -69], [-4, -3]], [[0, 0], [-44, 28], [-32, 48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [196, 172], [-12, -10], [0, 0]], [[0, 0], [-16936/17, -940/17], [-3542/17, 154/17], [-46/17, 2/17]], [[0, 0], [141700/17, 220458/17], [20790/17, 43659/17], [270/17, 567/17]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[-224, -448]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [922030/151, -1760/151], [3204/151, -4/151], [0, 0]], [[0, 0], [8838105484/151, -1348430387/151], [30701298/151, -4664790/151], [650/151, -1/151]], [[0, 0], [1095912755269/151, -310043696230/151], [3806263516/151, -1074717359/151], [77271/151, -11137/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2781456/151, 3702/151], [-3650/151, -6/151], [0, 0]], [[0, 0], [4076702123/151, -155257748/151], [-5349376/151, 202131/151], [79/151, -5/151]], [[0, 0], [161656103717/151, -19643683424/151], [-212111678/151, 25713229/151], [3145/151, -459/151]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[-28, -56]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [833955/151, 1924/151], [2882/151, 3/151], [0, 0]], [[0, 0], [3705664769/151, -3733247979/151], [12839155/151, -12917730/151], [-558/151, -1/151]], [[0, 0], [-5187500735437/151, 9223304156849/302], [-17967855255/151, 15959886845/151], [599794/151, -177531/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12557/151, 1911/151], [-33/151, 4/151], [0, 0]], [[0, 0], [-618143/302, 9699/302], [1328/151, 671/302], [663/302, 1/151]], [[0, 0], [437579681/151, -70944283/151], [-1732338/151, -197349/151], [-466761/151, 67353/151]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[-28, -56]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1858, -1], [538472/151, -138/151], [1858/151, -1/151], [0, 0]], [[-1740045, 151146], [-504113621/151, 87324185/302], [-1740045/151, 151146/151], [988/151, 3/302]], [[1992832020, -944015931/2], [577305048149/151, -273210763899/302], [1992832020/151, -944015931/302], [-1101073/151, 170646/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1682883/151, -276/151], [-5797/151, -2/151], [0, 0]], [[-80, -5/2], [508144849/2, 20233905/2], [875200, 35008], [-525/302, -5/302]], [[2772, -336], [-1325838597992/151, 149629642227/151], [-4566846112/151, 514591344/151], [9156/151, -1302/151]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[576, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -22], [-26, 4], [0, 0]], [[0, 0], [-9184, -6456], [-5168, -544], [-6, -8]], [[0, 0], [451728, 320852], [64044, 162286], [528, 232]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 24], [-80, -6], [0, 0]], [[0, 0], [-26488, 1522], [40576, -13770], [10, 0]], [[0, 0], [-302296, -119580], [344010, 45796], [120, 52]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[64, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 32], [20, 5], [0, 0]], [[0, 0], [-1, 1], [-3, 0], [1, 0]], [[0, 0], [-10, 8], [-5, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 8], [24, 13], [0, 0]], [[0, 0], [13, 1], [-3, 0], [1, 0]], [[0, 0], [-30, 10], [-3, -27], [0, 0]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[80, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 8], [-21, 14], [0, 0]], [[0, 0], [-1, 1], [-3, 0], [1, 0]], [[0, 0], [52, 34], [6, -9], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 18], [-4, -1], [0, 0]], [[0, 0], [13, 1], [-3, 0], [1, 0]], [[0, 0], [-44, -88], [1, 9], [0, 0]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -2], [26, -4], [0, 0]], [[0, 0], [40, 20], [-20, -6], [20, 10]], [[0, 0], [96, 40], [-52, -9], [48, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -2], [-18, 6], [0, 0]], [[0, 0], [2028, 712], [802, -23], [-6, -4]], [[0, 0], [-90, 30], [-60, 34], [0, 0]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[-224, -448]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1397004/151, 1708/151], [-10202/151, 8/151], [0, 0]], [[0, 0], [51451778124/151, -2888135631/151], [375716940/151, -20926172/151], [466/151, -3/151]], [[0, 0], [108636412645275/151, 53980525304605/151], [793682165182/151, 394550315105/151], [1038347/151, 540854/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-872164/151, -26/151], [-6250/151, 2/151], [0, 0]], [[0, 0], [-43990339359/151, 1352875651/151], [-315243284/151, 9805645/151], [571/151, -4/151]], [[0, 0], [-333426532034333/151, -169913587793363/151], [-2388490752222/151, -1216766839419/151], [4439205/151, 2311704/151]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[-28, -56]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51763/151, -367/151], [3401/151, 5/151], [0, 0]], [[0, 0], [21792687684/151, -1497844999/302], [-1432557745/151, 57258621/151], [417/151, 5/302]], [[0, 0], [-394086322579049/302, -197646805654957/302], [12874792411729/151, 12841925251021/302], [-7867763/302, -2048767/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [425, 3], [-35, 0], [0, 0]], [[0, 0], [11579278/151, 2587411/302], [-968711/151, -99963/151], [-279/151, 1/302]], [[0, 0], [-14160143387/302, -4017328383/151], [587586968/151, 663117481/302], [304983/302, 158907/302]]], 1, 144, [], [] >,
< [ -2, 0, 1 ], [[-28, -56]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7387/151, 276/151], [1149/151, 2/151], [0, 0]], [[-53, 1], [-544562666/151, 85896729/302], [84462492/151, -3376996/151], [174/151, 1/302]], [[82550, 84305/2], [1588501171391/302, 762397717735/302], [-128610666086/151, -64342351158/151], [-554515/302, -288795/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20240/151, 440/151], [-2068/151, 1/151], [0, 0]], [[-80, 5/2], [2953153487/302, 266345699/302], [-150428017/151, -10263434/151], [525/302, -5/302]], [[295446, 301719/2], [-12344379613729/302, -6938287168625/302], [615550873664/151, 340808285890/151], [-1984605/302, -1033569/302]]], 1, 144, [], [] >,
< [ -2, 0, 1 ], [[-1728, -768]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6416/17, -166/17], [2252/17, 10/17], [0, 0]], [[0, 0], [-68926222/41, -28782057/41], [2929358/5, 233886], [9502/3485, 3/3485]], [[0, 0], [1738241010336/697, 1616611790949/697], [-71739704494/85, -68240641496/85], [-4839744/3485, -11093019/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7916/17, -154/17], [2684/17, 6/17], [0, 0]], [[0, 0], [-60313588/41, -59284543/41], [2412018/5, 2410002/5], [-1944/3485, 1/3485]], [[0, 0], [-68944867664/17, -40982127350/17], [114573669348/85, 67527655338/85], [-23576/85, -10892/17]]], 0, 49152, [], [] >,
< [ -2, 0, 1 ], [[-864, -384]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17924/17, 220/17], [1256/17, 6/17], [0, 0]], [[0, 0], [419589, -163786], [148128/5, -58497/5], [-1/5, 0]], [[0, 0], [950399298/697, -2205968215/697], [8390676/85, -18950946/85], [2646/3485, 6291/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14924/17, 108/17], [-736/17, -2/17], [0, 0]], [[0, 0], [1007300549/4879, 918231/4879], [-283366/595, 7051/595], [-15481/24395, -1/24395]], [[0, 0], [646869727510/4879, 1404936166975/4879], [-32318308/119, -78110090/119], [-116530/287, -253927/287]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[-864, -384]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64/17, 182/17], [-44/17, -4/17], [0, 0]], [[0, 0], [1332690/697, 401989/697], [-8354/85, -20124/85], [38/3485, 1/697]], [[0, 0], [-1109273/41, -1520086/41], [9048, 12633/5], [-299/3485, -718/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13980/17, -256/17], [-648/17, 6/17], [0, 0]], [[0, 0], [2373594/17, 154130/17], [-409552/85, -40802/85], [2/5, 0]], [[0, 0], [37441021841/4879, 60282680435/4879], [-174602454/595, -258053799/595], [427783/24395, 167147/4879]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[-864, -384]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1296/17, 158/17], [-432/17, 4/17], [0, 0]], [[0, 0], [-85223/41, -304725/41], [8012/5, 12377/5], [-2053/3485, 1/697]], [[0, 0], [2883962044/697, 996809954/697], [-126361708/85, -60730818/85], [242176/3485, 107328/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52868/17, 96/17], [2640/17, 2/17], [0, 0]], [[0, 0], [890644789/4879, 3700652891/4879], [-4560372/595, -22553177/595], [9099/24395, 1/4879]], [[0, 0], [-21674737542/697, -9538495883/697], [26084202/17, 55792056/85], [-17574/3485, -24543/3485]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[-108, -48]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3040/17, -212/17], [-628/17, -3/17], [0, 0]], [[0, 0], [-446350717/697, -366452721/697], [12761533/85, 10175482/85], [403/3485, -2/3485]], [[0, 0], [-495624067567/1394, -323505447551/1394], [6923192063/85, 9180211707/170], [90119/6970, 215877/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-940/17, 134/17], [64/17, -5/17], [0, 0]], [[0, 0], [-843434449/9758, -115543/9758], [-104604/595, -40731/1190], [13793/48790, -1/48790]], [[0, 0], [3997365665/4879, 6613428225/4879], [1629693/595, 1833129/595], [-13065/4879, -108138/24395]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[-108, -48]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2026/17, -111/17], [-443/17, 3/17], [0, 0]], [[-1042, -3/2], [-8600901/1394, 93408337/1394], [42746/85, -248861/17], [-2641/6970, 1/6970]], [[-391880, -838080], [73470607202/697, 14000093692/697], [-396854144/17, -86145320/17], [-98552/697, -212236/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2436/17, -87/17], [421/17, -5/17], [0, 0]], [[-1631, 3/2], [-599935631/9758, 10832225/9758], [-31898/595, -114273/595], [18857/48790, 1/9758]], [[327960, -72880], [60774733578/4879, -14437022546/4879], [-751766/119, 4309884/119], [-378976/4879, 83812/4879]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[-864, -384]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 6], [-40, -38], [0, 0]], [[0, 0], [18/7, 6/7], [56, -10], [-2/7, -2/21]], [[0, 0], [27/7, -33/7], [248, -198], [-3/7, 11/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -2], [84, 84], [0, 0]], [[0, 0], [-172/7, 127/7], [2220/7, 2102/7], [-4/21, 1/7]], [[0, 0], [193/7, -57/7], [36996/7, 25748/7], [5/21, -1/21]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[-864, -384]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [687968/151, 3348/151], [-4740/151, -2/151], [0, 0]], [[0, 0], [962990965/151, 959441012/151], [-6579774/151, -6581753/151], [-525/151, -5/151]], [[0, 0], [-138082377622/151, -75934217038/151], [946876280/151, 519197140/151], [7968/151, 34176/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8220766/151, -1562/151], [13708/151, 4/151], [0, 0]], [[0, 0], [-931912044803/1057, -125209207784/1057], [1554009330/1057, 208938567/1057], [801/1057, -1/1057]], [[0, 0], [106884493079715/1057, 220008723783508/1057], [-178302032906/1057, -366883170879/1057], [-42135/1057, -183327/1057]]], 0, 15360, [], [] >,
< [ -2, 0, 1 ], [[-1856, -128]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -10], [-80, -48], [0, 0]], [[0, 0], [-50794124/1433, -22609/1433], [-23111, -36], [22609/24361, 3/24361]], [[0, 0], [1958103148/1433, 2946789163/1433], [893907, 1341760], [-870753/24361, -1311375/24361]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [316, 204], [-100, -60], [0, 0]], [[0, 0], [7021943608/10031, -224397/10031], [524639/7, 20/7], [-512165/170527, 1/170527]], [[0, 0], [-1768696679020/10031, 2642315300076/10031], [-132119114/7, 197409252/7], [128993250/170527, -192720750/170527]]], 0, 98304, [], [] >,
< [ -2, 0, 1 ], [[-928, -64]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 14], [32, -6], [0, 0]], [[0, 0], [-26242433/1777, 314282/1777], [-38084/3, 2918/3], [785/1777, -2/5331]], [[0, 0], [-1385264712/1777, -2215031026/1777], [-530500, -1026518], [42924/1777, 66738/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [134, 128], [-40, -38], [0, 0]], [[0, 0], [1367051865/12439, 221607/12439], [-145772/7, -64/7], [-10951/12439, 1/12439]], [[0, 0], [70395862653/12439, -15025638193/12439], [-22516772/21, 4800422/21], [-563979/12439, 361525/37317]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[-480, -736]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11795178/151, -4910/151], [-15376/151, 6/151], [0, 0]], [[0, 0], [3272649086221/151, -72791626990/151], [-4266167822/151, 94778285/151], [-525/151, -5/151]], [[0, 0], [-5650616589986991/151, 475393895741044/151], [7366020585334/151, -619522965681/151], [902907/151, -47547/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44230, 6], [-56, 0], [0, 0]], [[0, 0], [4003971472603/1057, -18562062063/1057], [-5069771932/1057, 24195001/1057], [2081/1057, 4/1057]], [[0, 0], [1760398309098147/1057, -104407586499822/1057], [-2229024658430/1057, 132503490589/1057], [914283/1057, -48267/1057]]], 0, 27648, [], [] >,
< [ -2, 0, 1 ], [[-960, -1472]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2352, -154], [-12, -10], [0, 0]], [[0, 0], [-47178650, 38150050], [-83656, 462], [-2, 4]], [[0, 0], [537738482, -845550058], [4754370, 2339950], [-112, -172]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3094, 0], [70, 0], [0, 0]], [[0, 0], [5910018/7, -32462/7], [133736/7, -698/7], [10/7, -8/7]], [[0, 0], [-55574, -37550], [-1258, -850], [0, 0]]], 0, 110592, [], [] >,
< [ -2, 0, 1 ], [[-1184, -352]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6171406/151, 7024/151], [-5764/151, -6/151], [0, 0]], [[0, 0], [-116854224791/151, 17964824710/151], [109143350/151, -16789505/151], [-13/151, -3/151]], [[0, 0], [324469770/151, -385816136/151], [-303120/151, 360376/151], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5586710/151, 22374/151], [-512/151, -2/151], [0, 0]], [[0, 0], [90309058789/1057, -175549777/1057], [-8284952/1057, 15301/1057], [545/1057, -2/1057]], [[0, 0], [-883769172120/1057, 5118098297966/1057], [80985880/1057, -469526590/1057], [-5440/1057, 30896/1057]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[-160, -768]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16598886/151, 8930/151], [-18580/151, 10/151], [0, 0]], [[0, 0], [5953246758/151, 125976729/151], [6662826/151, 140802/151], [-230/151, 5/151]], [[0, 0], [42256228917/151, 62838497941/151], [47288872/151, 70327077/151], [-1427/151, -2362/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10117846/151, 59020/151], [1668/151, -10/151], [0, 0]], [[0, 0], [1072350516606/1057, -75380461685/1057], [-176795706/1057, 12453162/1057], [-834/1057, 5/1057]], [[0, 0], [-150428223005929/1057, -304119151644359/1057], [24785676204/1057, 50134734843/1057], [148781/1057, 246280/1057]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[5216, 576]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5352902/151, -1614/151], [-416524/151, 8/151], [0, 0]], [[0, 0], [7437234051807/151, -183484324140/151], [-578703632566/151, 14114044239/151], [105/151, 1/151]], [[0, 0], [45736623256060748/151, 12757239501259014/151], [-3559453288147520/151, -993680707951178/151], [659140/151, 202520/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15648118/151, -630/151], [114668/151, 2/151], [0, 0]], [[0, 0], [-466666075941383/1057, 2429545608253/1057], [-3419685563860/1057, 17606176051/1057], [-2147/1057, 4/1057]], [[0, 0], [-1404106458089230564/1057, -427598750106979648/1057], [-10289529202299180/1057, -3133999412543750/1057], [-6473280/1057, -1988928/1057]]], 0, 811008, [], [] >,
< [ -2, 0, 1 ], [[2336, 4000]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3612862/151, 78/151], [-280584/151, -6/151], [0, 0]], [[0, 0], [-3756525238189/151, -3195649/151], [291741078736/151, 186813/151], [-965/151, -2/151]], [[0, 0], [-115520501420427820/151, 11133370253956382/151], [8971609381031952/151, -864647069110474/151], [-29663788/151, 2798532/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136632302/151, 3822/151], [471356/151, 8/151], [0, 0]], [[0, 0], [93978439196287834/1057, -344388901118775/1057], [324208141290938/1057, -1191644072146/1057], [-4484/1057, -1/1057]], [[0, 0], [3912306008592634897341/1057, -384032650678354300534/1057], [13496756352731901622/1057, -1324989605179092135/1057], [-186530985/1057, 17598195/1057]]], 0, 811008, [], [] >,
< [ -2, 0, 1 ], [[2624, 5696]], [ -417, 41 ], [ -6, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [60, 8], [0, 0]], [[0, 0], [1693942/1433, -55475/1433], [9821, 245], [903/1433, -4/1433]], [[0, 0], [52668772/1433, -18395554/1433], [294180, -89408], [27572/1433, -9028/1433]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 34], [16, 4], [0, 0]], [[0, 0], [-1418475146/10031, 2715432/10031], [207300/7, -787/7], [19478/10031, 1/10031]], [[0, 0], [108284897082/10031, -20673179265/10031], [-15836323/7, 3051001/7], [-1485825/10031, 280956/10031]]], 0, 1769472, [], [] >,
< [ -2, 0, 1 ], [[1312, 2848]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -20], [52, 20], [0, 0]], [[0, 0], [-50376607/1777, 69821/1777], [-3049352/3, 1684/3], [4421/5331, -1/1777]], [[0, 0], [778440008/1777, -928089372/1777], [47026268/3, -18713038], [-68200/5331, 81400/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 166], [12, -32], [0, 0]], [[0, 0], [-954276089/12439, 9779349/12439], [5615188/21, -2762/21], [57731/37317, -1/12439]], [[0, 0], [-300981818323/12439, 254579249756/12439], [580722552/7, -493674180/7], [5966075/12439, -5072950/12439]]], 0, 442368, [], [] >,
< [ -2, 0, 1 ], [[3936, 704]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3626174/151, -1036/151], [277380/151, 10/151], [0, 0]], [[0, 0], [-8961725578767/151, 399031934915/151], [685532324244/151, -30694631321/151], [-3, 0]], [[0, 0], [225869485682748250/151, 74245157282835733/151], [-17274795819111266/151, -5674986295912294/151], [11798312/151, 4278301/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-275958, 8], [-952, 0], [0, 0]], [[0, 0], [123961999578856/1057, 1190934958769/1057], [427644317930/1057, 4120895248/1057], [3394/1057, 5/1057]], [[0, 0], [-2967894751793171223/1057, -1093913365789593640/1057], [-10238861669503358/1057, -3774079168261639/1057], [-80784425/1057, -29294239/1057]]], 0, 442368, [], [] >,
< [ -2, 0, 1 ], [[7872, 1408]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-260, -2], [-1256, -6], [0, 0]], [[0, 0], [37843158, -41650], [182822862, -734230], [8, 0]], [[0, 0], [-1163202530, -206853710], [-5613647192, -982934286], [-246, -44]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4542, -110], [-366, 10], [0, 0]], [[0, 0], [1007728544/7, 11266130/7], [81312702/7, -3280224/7], [34/7, -2/7]], [[0, 0], [34306663470, 8316953136], [2702196290, 529207096], [1120, 200]]], 0, 1769472, [], [] >,
< [ -2, 0, 1 ], [[-5184, -2304]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1264, 0], [420, 0], [0, 0]], [[0, 0], [3693236/697, 4105/697], [26478/85, -384/85], [3632/3485, 1/3485]], [[0, 0], [-2047136936/697, -4581055462/697], [-13651464/85, -32615046/85], [-2005664/3485, -4503424/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6104/17, 82/17], [-1944/17, 18/17], [0, 0]], [[0, 0], [43082686/697, -20464837/697], [-1680774/85, 832782/85], [-3926/3485, -3/3485]], [[0, 0], [41405296304/697, -62828026060/697], [-1740913308/85, 2424495792/85], [179248/205, 84352/41]]], 0, 491520, [], [] >,
< [ -2, 0, 1 ], [[-324, -144]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1872/17, 142/17], [522/17, 15/17], [0, 0]], [[275, 1/2], [40393/34, 525426/17], [-193968/85, -748023/85], [1/10, 0]], [[-5546, -14396], [-2270358314/697, -473656530/697], [82134477/85, 25089459/85], [-6962/3485, -18231/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24792/17, 103/17], [1719/17, -6/17], [0, 0]], [[1745, -5/2], [14687489025/9758, 1499526481/9758], [-12534792/119, -1279860/119], [-4035/9758, 1/9758]], [[300484, 726752], [111660621610/287, 187666170732/287], [-952976904/35, -1601611392/35], [-349400/4879, -4203282/24395]]], 1, 1920, [], [] >,
< [ -2, 0, 1 ], [[-324, -144]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5758/17, 19/17], [1653/17, -12/17], [0, 0]], [[0, 0], [96209997/1394, 84893565/697], [-1725366/85, -5930319/170], [-4073/6970, -2/3485]], [[0, 0], [16733303986/697, 7963021892/697], [-586501878/85, -282004017/85], [-92418/3485, -174708/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17906/17, 53/17], [-1203/17, -12/17], [0, 0]], [[0, 0], [-1863355551/9758, 5834981/9758], [52545/119, -14625/238], [5723/9758, 1/9758]], [[0, 0], [-13341653041/287, -69870491143/574], [1078692/35, 9331236/35], [708681/4879, 18264077/48790]]], 1, 1920, [], [] >,
< [ -2, 0, 1 ], [[-2592, -1152]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9304/17, -36/17], [-3438/17, 12/17], [0, 0]], [[0, 0], [-1026270725/697, 513851954/697], [-46740948/85, 23497869/85], [4073/3485, 4/3485]], [[0, 0], [-359365252916/697, 500503930040/697], [-3297165060/17, 4553783262/17], [-226800/697, -510552/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9600/17, -444/17], [-582/17, 12/17], [0, 0]], [[0, 0], [-656502162/4879, 60619802/4879], [1096692/595, -429894/595], [1614/4879, -2/24395]], [[0, 0], [-1476645715/287, -1577353671/287], [721278/35, 1734561/35], [375679/24395, 364237/24395]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[-2592, -1152]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13924/17, 20/17], [-5196/17, -18/17], [0, 0]], [[0, 0], [568936497/697, 566172449/697], [26181654/85, 25892787/85], [587/697, 1/3485]], [[0, 0], [-294238209818/697, -172790864060/697], [-13470869664/85, -7937199774/85], [-261702/3485, -126294/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104988/17, 420/17], [5328/17, 30/17], [0, 0]], [[0, 0], [-915312/17, 58882/17], [-35556/85, 17214/85], [-4/5, 0]], [[0, 0], [-30870394123/4879, -132149034966/4879], [78346524/595, -106005339/595], [-3586221/24395, -10048266/24395]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[-2592, -1152]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25484/17, -54/17], [9480/17, 18/17], [0, 0]], [[0, 0], [2245248862/697, 1121458543/697], [102951378/85, 51287568/85], [-2826/3485, -1/697]], [[0, 0], [-3247523761253/697, -2762637666095/697], [-148635621372/85, -126616816557/85], [1235429/3485, 573475/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38300/17, -490/17], [1944/17, -18/17], [0, 0]], [[0, 0], [-950542837/4879, 736124881/4879], [1655424/119, 918465/119], [-5723/4879, -1/4879]], [[0, 0], [28264636608/4879, -17357974176/4879], [279731064/595, 231225408/595], [-208504/24395, -683862/24395]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[-2592, -1152]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -2], [-40, -38], [0, 0]], [[0, 0], [-2202/7, 2409/7], [-748, -128], [-12/7, 3/7]], [[0, 0], [-555/7, 2202/7], [-1172, -568], [-13/7, -2/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 0], [-140, -42], [0, 0]], [[0, 0], [-450/7, 823/7], [788/7, 3102/7], [4/7, -3/7]], [[0, 0], [-6961/7, -5349/7], [-51964/7, -37680/7], [1/7, 3/7]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[-2592, -1152]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-809022/151, -3546/151], [61884/151, -6/151], [0, 0]], [[0, 0], [8545457063/151, -6856487692/151], [-658391546/151, 527416125/151], [-617/151, -3/151]], [[0, 0], [-57463074713/151, 34216026990/151], [4419087418/151, -2637082657/151], [-671/151, -2989/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4905192/151, 5670/151], [-29976/151, -18/151], [0, 0]], [[0, 0], [53093727653/1057, 13527993572/1057], [-324086438/1057, -82531401/1057], [-4517/1057, 3/1057]], [[0, 0], [-16650908596073/1057, -24008608416211/1057], [101600170656/1057, 146545384681/1057], [429225/1057, 1932250/1057]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[3136, 0]], [ -7, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 8], [28, -42], [0, 0]], [[0, 0], [-252, -86], [-490, -581], [-6, -3]], [[0, 0], [20, -42], [-168, 21], [0, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [148, -80], [-140, 42], [0, 0]], [[0, 0], [-60284/17, 83918/17], [140910/17, -51331/17], [198/17, 1/17]], [[0, 0], [1465164/17, -2181072/17], [-3661168/17, 1249304/17], [-5264/17, -188/17]]], 0, 294912, [], [] >,
< [ -2, 0, 1 ], [[1568, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12432/151, 5796/151], [182/151, 42/151], [0, 0]], [[0, 0], [208295/151, -88796/151], [204/151, -313/151], [105/151, 1/151]], [[0, 0], [213491744/151, -57824546/151], [95936/151, -336544/151], [130528/151, 27520/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1887936/151, 5374/151], [13510/151, 28/151], [0, 0]], [[0, 0], [171819570576/151, -10855095579/151], [1229659802/151, -78631308/151], [230/151, -5/151]], [[0, 0], [40039723033495/151, 6905895548993/151], [286447383730/151, 49196608161/151], [54653/151, 11532/151]]], 0, 73728, [], [] >,
< [ -2, 0, 1 ], [[196, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[489, 5/2], [-44499/151, 1659/302], [3423/151, 35/302], [0, 0]], [[3620, 4616405/2], [9573915/151, -420179529/302], [25038/151, 32315741/302], [-1, 0]], [[-1041994375, -2467442680], [84257917390/151, 444713115011/302], [-7293841636/151, -17272514939/151], [161364/151, 67913/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [61, -3], [-7, 0], [0, 0]], [[-92, -2], [6760008/151, -927607/151], [-720064/151, 69856/151], [-2, 0]], [[42484, 19513/2], [-5830244617/302, -450333253/302], [316078093/151, 37232479/151], [276393/302, 58045/302]]], 1, 1152, [], [] >,
< [ -2, 0, 1 ], [[196, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23145/151, 1450/151], [-1792/151, -7/151], [0, 0]], [[0, 0], [-7938103/151, -71429787/302], [311411/151, 2747224/151], [325/151, -1/302]], [[0, 0], [-9140805232/151, -29651128833/302], [584500882/151, 1115291184/151], [128765/151, 54145/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39235/151, 273/151], [-2205/151, -21/151], [0, 0]], [[0, 0], [227130292/151, -1046201/302], [-12762533/151, -3325/151], [-23/151, 1/302]], [[0, 0], [-52443483309/302, -11981817215/302], [1475152519/151, 680825163/302], [5263/302, 555/151]]], 1, 1152, [], [] >,
< [ -2, 0, 1 ], [[1568, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-956216/151, -1026/151], [-6986/151, -14/151], [0, 0]], [[0, 0], [-12876690031/151, 1493183104/151], [-94064150/151, 10818699/151], [-893/151, -3/151]], [[0, 0], [9527049717417/151, 17625303791175/151], [69861101286/151, 128849444107/151], [979245/151, 1338090/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7660, 10], [-56, 0], [0, 0]], [[0, 0], [9273625527/151, -1376384848/151], [67770338/151, -9973661/151], [79/151, 5/151]], [[0, 0], [-70981974175/151, -189895792071/151], [-522559054/151, -1388949143/151], [-1361/151, -1858/151]]], 0, 73728, [], [] >,
< [ -2, 0, 1 ], [[196, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[801, 1], [-71381/151, -2356/151], [5607/151, 7/151], [0, 0]], [[-2171961, -3249444], [211559727/151, 591391433/302], [-15204478/151, -22747224/151], [-371/151, -3/302]], [[9457788879, 10607011173/2], [-872461700282/151, -997826771413/302], [66207774659/151, 74252732961/302], [318517/151, 435912/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50870/151, 89/151], [3402/151, 28/151], [0, 0]], [[57, -2], [486440918/151, 57110695/302], [-32553649/151, -2233717/151], [-187/151, 5/302]], [[22850, 65351/2], [497453108533/302, 598057764721/302], [-17025335177/151, -20154352329/151], [-159493/302, -217989/302]]], 1, 1152, [], [] >,
< [ -2, 0, 1 ], [[196, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22264/151, 573/151], [1701/151, 14/151], [0, 0]], [[0, 0], [372320/151, 6688845/302], [-49931/151, -257362/151], [-69/151, -3/302]], [[0, 0], [20166460/151, 15838979/302], [-1595393/151, -671177/151], [-150/151, -407/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36265/151, -122/151], [2023/151, 21/151], [0, 0]], [[0, 0], [-79742705/151, -1274843/302], [4440717/151, 67135/151], [128/151, -1/302]], [[0, 0], [77921050647/302, 103926471757/302], [-2210627647/151, -5817724351/302], [-121129/302, -82681/151]]], 1, 1152, [], [] >,
< [ -2, 0, 1 ], [[-4704, -1568]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7817538/151, 15580/151], [27020/151, 56/151], [0, 0]], [[0, 0], [293328902308/151, 20224037263/151], [1013859974/151, 69978736/151], [978/151, 5/151]], [[0, 0], [-4734137904903/151, -115484742009704/151], [-16423695782/151, -399157710547/151], [33705/151, -387447/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10080944/151, -18720/151], [-34832/151, -70/151], [0, 0]], [[0, 0], [-1459079956267/151, -151828385152/151], [-5041617174/151, -525371775/151], [13/151, 3/151]], [[0, 0], [-921584110/151, 2639704478/151], [-3181500/151, 9120300/151], [0, 0]]], 0, 516096, [], [] >,
< [ -2, 0, 1 ], [[-4704, -1568]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2945070/151, -17090/151], [-10108/151, -56/151], [0, 0]], [[0, 0], [-8765030412/151, 340426398/151], [-30083904/151, 1177574/151], [-420/151, -4/151]], [[0, 0], [6041054029/151, -33458177202/151], [20803998/151, -114840919/151], [135/151, -1595/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [617540/151, -12138/151], [1932/151, -42/151], [0, 0]], [[0, 0], [102636841/151, -22429557/151], [323196/151, -70597/151], [-59/151, -2/151]], [[0, 0], [4073519804/151, -7122222726/151], [12822916/151, -22427032/151], [-342/151, 3940/151]]], 0, 516096, [], [] >,
< [ -2, 0, 1 ], [[-4704, -1568]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40418/151, 7910/151], [-2296/151, 42/151], [0, 0]], [[0, 0], [16360015/151, -14596443/151], [-1399276/151, 1120155/151], [3, 0]], [[0, 0], [2003607412/151, -1994811330/151], [-176857092/151, 150009522/151], [72770/151, 9690/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [156520/151, -2296/151], [-12040/151, 14/151], [0, 0]], [[0, 0], [7205027/151, -279333776/151], [37722/151, 21487713/151], [-289/151, -3/151]], [[0, 0], [23371311305/151, 98241486275/151], [-2006737836/151, -7584671637/151], [102265/151, 14464/151]]], 0, 516096, [], [] >,
< [ -2, 0, 1 ], [[-100, -88]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [481, -4], [-35, 0], [0, 0]], [[0, 0], [-2176876696/151, -635301519/302], [158812333/151, 24434517/151], [69/151, -3/302]], [[0, 0], [6450578254263/302, 2964606074049/302], [-236522198608/151, -219658678825/302], [-182001/302, -31483/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17087/151, 2317/151], [-1024/151, -4/151], [0, 0]], [[0, 0], [3495098/151, -3824353/302], [-244926/151, 147015/151], [128/151, 1/302]], [[0, 0], [388384496/151, -126632581/151], [-25623675/151, 11191950/151], [22857/151, 7923/151]]], 1, 168, [], [] >,
< [ -2, 0, 1 ], [[-100, -88]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-509, 4], [35, 0], [0, 0]], [[18, 1], [979928595/151, 65006569/151], [-67467408/151, -5000424/151], [59/151, 2/151]], [[421, 305/2], [46145156057/302, 8541057353/151], [-1596106176/151, -599899104/151], [2723/302, 471/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1697, 5/2], [-19947/151, 4163/302], [1697/151, 5/302], [0, 0]], [[50848980, -50854818], [-724387431/151, 1322396955/302], [50848980/151, -50854818/151], [23/151, -1/302]], [[-1873602962, 4337519186], [32819508025/151, -53331211344/151], [-1873602962/151, 4337519186/151], [-3027/151, -1047/151]]], 1, 168, [], [] >,
< [ -2, 0, 1 ], [[-608, -96]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1245436/151, -1182/151], [-8968/151, -2/151], [0, 0]], [[0, 0], [75326745423/151, -8623730044/151], [542501374/151, -62490235/151], [499/151, -1/151]], [[0, 0], [8709966627497/151, 2203380572634/151], [62695601052/151, 15820663145/151], [62597/151, 21647/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [65872/151, -1130/151], [-5764/151, -6/151], [0, 0]], [[0, 0], [-2421998015/151, 364817651/151], [210897274/151, -28084315/151], [59/151, 2/151]], [[0, 0], [846736633783/151, 158154130991/151], [-74640269014/151, -15195860665/151], [-23317/151, -8064/151]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[2016, 896]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4441550/151, -6722/151], [-15376/151, 6/151], [0, 0]], [[0, 0], [-34944231110/151, -137586509838/151], [-119157456/151, -476076548/151], [394/151, -2/151]], [[0, 0], [99298917785121/151, 23876088041005/151], [343445281260/151, 82001012745/151], [-31937/151, -137776/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5967834/151, -9992/151], [-20628/151, 2/151], [0, 0]], [[0, 0], [-55331935917/151, 92697892097/151], [-192392832/151, 320753513/151], [-243/151, 2/151]], [[0, 0], [356206460268/151, -67345771145/151], [1232069370/151, -234965276/151], [-116/151, -503/151]]], 0, 86016, [], [] >,
< [ -2, 0, 1 ], [[-1216, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [850, 118], [74, 8], [0, 0]], [[0, 0], [205784, 15194], [17986, 752], [10, -10]], [[0, 0], [12559426, 10616320], [1042886, 896786], [-412, -64]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [152, -4], [12, -4], [0, 0]], [[0, 0], [-11190, -3192], [-774, 38], [-8, 10]], [[0, 0], [-753814, -618124], [-29872, -31674], [518, 84]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-1216, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1114, -82], [46, -34], [0, 0]], [[0, 0], [-6760168, -5063718], [29872, -560], [-8, -6]], [[0, 0], [138989890, 22780884], [3903468, -3013052], [166, 26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [374, 62], [-10, 8], [0, 0]], [[0, 0], [-4394, -3412], [-4, 20], [2, -10]], [[0, 0], [-794908, -537292], [3360, 520], [-1680, -260]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-76, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -11], [-2, 3], [0, 0]], [[0, 0], [4220, 4689], [-487, 57], [2, 1]], [[0, 0], [-10073, -140109/2], [12519, -5962], [-28, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-566, 16], [-1, -9], [0, 0]], [[0, 0], [86916, -535458], [-16885, -46], [-2, -1]], [[0, 0], [-10252020, 22251443/2], [328196, -134050], [23, 7/2]]], 1, 168, [], [] >,
< [ -2, 0, 1 ], [[-76, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -5/2], [-176, 5], [-10, -5/2], [0, 0]], [[0, 0], [-33, 0], [-3, 0], [1, 0]], [[19, 3], [352, -45], [19, 3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, 5/2], [776, -2], [-11, 5/2], [0, 0]], [[0, 0], [-5, 0], [-3, 0], [1, 0]], [[-1168, -180], [98144, 34791], [-1168, -180], [0, 0]]], 1, 168, [], [] >,
< [ -2, 0, 1 ], [[-800, -704]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [314, -58], [102, 8], [0, 0]], [[0, 0], [554118, -333345], [137536, -68742], [4, -3]], [[0, 0], [1326, 1504], [750, 660], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [290, 34], [30, -10], [0, 0]], [[0, 0], [-54584, 19322], [-8056, 4814], [-4, -2]], [[0, 0], [-9245050, 5460969], [-1574428, 1064014], [-312, -49]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[-800, -704]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -36], [-16, -4], [0, 0]], [[0, 0], [46, 238], [28, -2], [0, -4]], [[0, 0], [-94, 47], [8, -4], [2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, 2], [-24, -6], [0, 0]], [[0, 0], [-290, -157], [112, 62], [6, 3]], [[0, 0], [-446, -83], [168, 36], [10, 1]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[-800, -704]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -72], [48, 40], [0, 0]], [[0, 0], [-384, 256], [-52, -2], [8, -4]], [[0, 0], [-230, 59], [-174, -108], [10, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-170, -116], [8, 2], [0, 0]], [[0, 0], [-220, 18], [-44, 30], [6, -4]], [[0, 0], [1282, 1041], [-22, 32], [2, -5]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[-76, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [496, -2], [-3, 1], [0, 0]], [[0, 0], [1547, 1111/2], [16, 2], [4, 1/2]], [[0, 0], [-566886, -435041/2], [-5772, -910], [-1443, -455/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 6], [-9, -4], [0, 0]], [[0, 0], [-3722, 3489/2], [-308, -5], [-5, -5/2]], [[0, 0], [17449, -22167/2], [1028, -412], [10, 3/2]]], 1, 168, [], [] >,
< [ -2, 0, 1 ], [[-76, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[26, -1/2], [692, 5], [26, -1/2], [0, 0]], [[0, 0], [-19, 0], [-3, 0], [1, 0]], [[-684, -209/2], [-18370, -3266], [-684, -209/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19, 1/2], [586, 3], [-19, 1/2], [0, 0]], [[0, 0], [-47, 0], [-3, 0], [1, 0]], [[424, 64], [-13224, -2389], [424, 64], [0, 0]]], 1, 168, [], [] >,
< [ -2, 0, 1 ], [[-800, -704]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [294, 28], [74, 8], [0, 0]], [[0, 0], [381714, -64519], [95252, -14920], [-8, 1]], [[0, 0], [-108048952, -12131344], [-27161568, -3394902], [2324, 364]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [654, 202], [82, 10], [0, 0]], [[0, 0], [-858464, 482387], [-150952, 93972], [-10, -3]], [[0, 0], [39066376, -23880861], [6980984, -4552868], [350, 55]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[-800, -704]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-174, -124], [44, 32], [0, 0]], [[0, 0], [-44, 223], [72, -74], [-4, -3]], [[0, 0], [-176, 124], [88, -62], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, -4], [-36, -2], [0, 0]], [[0, 0], [304, -12], [28, 6], [8, 0]], [[0, 0], [74, 37], [8, 4], [2, 1]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[-800, -704]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -2], [8, 2], [0, 0]], [[0, 0], [20, -229], [22, -32], [-2, 5]], [[0, 0], [1216, 331], [138, -6], [-24, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -62], [24, 34], [0, 0]], [[0, 0], [772, -1028], [-204, 370], [-8, 0]], [[0, 0], [544, 597], [-290, -274], [8, 5]]], 0, 10752, [], [] >,
< [ -2, 0, 1 ], [[2016, 896]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3618576/151, -932/151], [12776/151, 2/151], [0, 0]], [[0, 0], [-10448688259909/151, 218368112014/151], [-36890244798/151, 755708699/151], [-709/151, 1/151]], [[0, 0], [-7539145965889430/151, -2041112458717394/151], [-26624214734808/151, -7217520295608/151], [-517392/151, -148592/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1236726/151, 828/151], [4504/151, 6/151], [0, 0]], [[0, 0], [-24261024718/151, 355380621/151], [-88358302/151, 1236190/151], [466/151, -3/151]], [[0, 0], [-24196825738747/151, -6783252649473/151], [-88158692080/151, -24762956629/151], [467019/151, 134140/151]]], 0, 64512, [], [] >,
< [ -2, 0, 1 ], [[2016, 896]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4663134/151, 3822/151], [-16544/151, 8/151], [0, 0]], [[0, 0], [610087222152/151, -7990331233/151], [2164470850/151, -27621084/151], [-230/151, -5/151]], [[0, 0], [-207440490538021/151, -53418079188751/151], [-736092370500/151, -189765924785/151], [79679/151, 22882/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3686248/151, 1734/151], [12960/151, 6/151], [0, 0]], [[0, 0], [351399006513/151, 1835620/151], [1235444674/151, -2479/151], [315/151, -3/151]], [[0, 0], [-104529503392737/151, -30848247421327/151], [-367502083800/151, -108453264095/151], [-93175/151, -26760/151]]], 0, 64512, [], [] >,
< [ -2, 0, 1 ], [[3648, 576]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [756/17, 112/17], [564/17, 8/17], [0, 0]], [[0, 0], [-116482696/697, -10355263/697], [-2440370/17, 130994/17], [844/697, 1/697]], [[0, 0], [-152859539992/697, -72435573449/697], [-14226400526/85, -5463570886/85], [5157872/3485, 434453/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [556/17, -274/17], [-72/17, 80/17], [0, 0]], [[0, 0], [4958124/697, -96340/697], [260152/85, -3352/85], [-3888/3485, 2/3485]], [[0, 0], [322699832/697, -181780867/697], [16811354/85, -9429518/85], [-49568/697, 137861/3485]]], 0, 344064, [], [] >,
< [ -2, 0, 1 ], [[10944, 1728]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20188/17, -126/17], [-7800/17, -60/17], [0, 0]], [[0, 0], [-1873659946/697, 106541785/697], [-90680598/85, 977964/17], [7814/3485, 1/3485]], [[0, 0], [-5847681854096/697, -2236433175880/697], [-56749857780/17, -21822331440/17], [5123312/697, 2157336/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7604/17, 66/17], [-2724/17, 12/17], [0, 0]], [[0, 0], [-522420808/697, -48493821/697], [-4623882/17, -2213538/85], [4732/3485, -1/3485]], [[0, 0], [-9491364272/17, -4528436706/17], [-17260719168/85, -8263141908/85], [79716/85, 6720/17]]], 0, 3440640, [], [] >,
< [ -2, 0, 1 ], [[-1568, -3136]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78470/151, 10024/151], [6524/151, 42/151], [0, 0]], [[0, 0], [-26146298/151, 33570879/151], [1476342/151, -2588334/151], [-138/151, 3/151]], [[0, 0], [-516529637/151, 541732534/151], [31967874/151, -40676655/151], [-2023/151, 323/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [175798/151, -1386/151], [-14336/151, -56/151], [0, 0]], [[0, 0], [-127283338/151, 26198546/151], [10313788/151, -2015296/151], [210/151, 2/151]], [[0, 0], [-5946777137/151, 2022768981/151], [480393108/151, -159182865/151], [9191/151, -1352/151]]], 0, 516096, [], [] >,
< [ -2, 0, 1 ], [[-1568, -3136]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5800330/151, -20532/151], [-20132/151, -70/151], [0, 0]], [[0, 0], [141892542109/151, 2398856912/151], [492483662/151, 8294841/151], [-105/151, 1/151]], [[0, 0], [-86433823695864/151, -46036759355364/151], [-299976768360/151, -159766714850/151], [62216/151, 32406/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1941608/151, -11836/151], [6524/151, -42/151], [0, 0]], [[0, 0], [-160835094197/151, 812346402/151], [-540420670/151, 2914875/151], [197/151, 1/151]], [[0, 0], [229133812875693/151, 118265087612096/151], [769635415298/151, 397116141483/151], [-283619/151, -147715/151]]], 0, 516096, [], [] >,
< [ -2, 0, 1 ], [[-1568, -3136]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2237132/151, -4952/151], [7812/151, -14/151], [0, 0]], [[0, 0], [48162903615/151, -2141326537/151], [168183224/151, -7407265/151], [-243/151, -2/151]], [[0, 0], [-23167759578031/151, -11474717309185/151], [-80937613880/151, -40104705745/151], [123565/151, 64350/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4640650/151, 20230/151], [15904/151, 70/151], [0, 0]], [[0, 0], [32414329012/151, -17033783/151], [111093342/151, -54900/151], [-374/151, 5/151]], [[0, 0], [-9800668927113/151, -5163268644282/151], [-33590855262/151, -17697077477/151], [111549/151, 58121/151]]], 0, 516096, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 38], [20, 2], [0, 0]], [[0, 0], [2736, 497], [2024, -961], [0, 5]], [[0, 0], [-1300, -2215], [1096, -1381], [-8, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -10], [8, 2], [0, 0]], [[0, 0], [-78, -1], [42, -23], [-6, 1]], [[0, 0], [-20, -58], [-24, 26], [0, -4]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -18], [8, -6], [0, 0]], [[0, 0], [34, 26], [-10, -10], [-10, 0]], [[0, 0], [-2, -1], [2, 1], [0, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -4], [-20, -8], [0, 0]], [[0, 0], [-228, 83], [-180, 25], [-10, -5]], [[0, 0], [-56, 21], [-44, 7], [-2, -1]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -2], [-40, 4], [0, 0]], [[0, 0], [-136, -90], [-228, -130], [-4, -20]], [[0, 0], [-440, -250], [-840, -284], [72, -120]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -22], [-12, 4], [0, 0]], [[0, 0], [-132, -48], [-44, -28], [0, -20]], [[0, 0], [112, 50], [40, 26], [4, 16]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 2], [-4, -12], [0, 0]], [[0, 0], [664, 444], [508, 390], [12, -20]], [[0, 0], [1092, 344], [288, 712], [320, -240]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 10], [-16, -12], [0, 0]], [[0, 0], [20, -12], [-12, -2], [-20, 8]], [[0, 0], [-80, 70], [-24, -48], [48, -72]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, 14], [16, -6], [0, 0]], [[0, 0], [230, -2100], [-226, 376], [-10, -2]], [[0, 0], [-5372, -1794], [776, 74], [-16, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -6], [4, 2], [0, 0]], [[0, 0], [-136, 44], [-8, -4], [-8, -4]], [[0, 0], [-34, 42], [2, 2], [2, 2]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -6], [0, -10], [0, 0]], [[0, 0], [34, 8], [-10, 20], [-2, 0]], [[0, 0], [8, 4], [0, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 18], [-16, -10], [0, 0]], [[0, 0], [358, -226], [-30, 22], [2, 2]], [[0, 0], [184, -132], [-16, 12], [0, 0]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 8], [40, 12], [0, 0]], [[0, 0], [98, -122], [-528, 216], [-2, -10]], [[0, 0], [1136, -1750], [-7560, 2520], [-64, -160]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 0], [8, 4], [0, 0]], [[0, 0], [208, -316], [-52, -84], [8, 10]], [[0, 0], [-7234, 5894], [-400, 840], [22, -88]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 12], [-4, 0], [0, 0]], [[0, 0], [-10, 73], [-24, 1], [8, 1]], [[0, 0], [284, -323], [104, -44], [-30, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 14], [4, 3], [0, 0]], [[0, 0], [96, -67], [0, 0], [6, -3]], [[0, 0], [22, -14], [0, 0], [2, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 4], [4, -2], [0, 0]], [[0, 0], [-18, -14], [-2, 1], [10, 4]], [[0, 0], [2, 1], [0, 0], [0, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -28], [-8, -4], [0, 0]], [[0, 0], [18, -1], [12, 9], [8, 5]], [[0, 0], [84, -58], [-2, 3], [4, -2]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [4, -4], [0, 0], [10, 8]], [[0, 0], [10, -8], [0, 0], [6, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -8], [-4, 5], [0, 0]], [[0, 0], [-196, -245], [-55, 122], [4, 5]], [[0, 0], [500, 0], [-432, 229], [-10, 0]]], 0, 12, [], [] >,
< [ -2, 0, 1 ], [[-384, -128]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43476/151, 2140/151], [512/151, -2/151], [0, 0]], [[0, 0], [-9671190/151, -4934403/151], [-106262/151, -50676/151], [1740/151, 5/151]], [[0, 0], [865897674/151, 496490822/151], [9430488/151, 5180802/151], [-134958/151, -20916/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18240/151, 344/151], [-1496/151, 20/151], [0, 0]], [[0, 0], [-9296856/151, -4776191/151], [729662/151, 368828/151], [-1070/151, 3/151]], [[0, 0], [-5271072848/151, -3012610320/151], [412862100/151, 233455080/151], [-529944/151, -72774/151]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-8, -12]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10413/151, -1346/151], [-197/151, -1/151], [0, 0]], [[0, 0], [5902755/302, -5331035/302], [-44290/151, 88589/302], [-243/302, -1/151]], [[0, 0], [-413115686/151, 204100084/151], [6978424/151, -2960392/151], [-3080/151, -11044/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9483/151, 539/151], [683/151, 5/151], [0, 0]], [[0, 0], [4648989/151, 9835431/302], [-381368/151, -378280/151], [220/151, 3/302]], [[0, 0], [437655722/151, 234455147/151], [-33906240/151, -18978076/151], [2350/151, 8750/151]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-48, -16]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9386/151, 1260/151], [722/151, -4/151], [0, 0]], [[0, 0], [266, 1191/2], [-5, -44], [489/151, -5/302]], [[0, 0], [1915736/151, 7747915/302], [-47321/151, -283704/151], [20815/151, 905/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1390, 6], [-10, 0], [0, 0]], [[0, 0], [781136991/151, 468310808/151], [5648310/151, 3393515/151], [893/151, 3/151]], [[0, 0], [424114997442/151, 268228375500/151], [3067643098/151, 1942895063/151], [417162/151, 58170/151]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[-48, -16]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14858/151, 1640/151], [1050/151, -10/151], [0, 0]], [[0, 0], [-12889345/151, -39358517/302], [1222309/151, 1517326/151], [384/151, -3/302]], [[0, 0], [9553018858/151, 22244997205/302], [-854732951/151, -874339489/151], [-198361/151, -54791/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13276/151, -427/151], [-998/151, -2/151], [0, 0]], [[0, 0], [7319377/151, 11952253/151], [-615124/151, -919195/151], [197/151, 1/151]], [[0, 0], [3115042130/151, 3816637620/151], [-254959482/151, -295612094/151], [58156/151, 8184/151]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[-48, -16]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13294/151, -1195/151], [1162/151, -1/151], [0, 0]], [[0, 0], [-17811545/151, -24062541/302], [1390167/151, 925372/151], [82/151, -3/302]], [[0, 0], [795719141/151, 1094099421/302], [-61937217/151, -42199764/151], [-2964/151, -897/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-177546/151, 690/151], [-1280/151, 5/151], [0, 0]], [[0, 0], [6849987/151, 151529/151], [49956/151, 1086/151], [-525/151, 5/151]], [[0, 0], [60365523/151, 9156268/151], [440192/151, 66608/151], [-4587/151, -556/151]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[-8, -12]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-173, 7], [3, 0], [0, 0]], [[-108, 5/2], [-1414147/302, 1221005/302], [9944/151, -10170/151], [709/302, -1/302]], [[1189, 5945], [-57995286/151, 61712927/302], [991010/151, -412450/151], [-4756/151, -39237/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[394, 2], [-3914/151, -177/151], [394/151, 2/151], [0, 0]], [[434218, 111639/2], [-4253369/151, -1453421/302], [434218/151, 111639/302], [683/151, 5/151]], [[-143254528, -569240893/2], [1631407516/151, 5636044513/302], [-143254528/151, -569240893/302], [-120336/151, -433872/151]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-8, -12]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37919/151, 1700/151], [617/151, -3/151], [0, 0]], [[32, -1], [27839153/151, 16236847/151], [-475560/151, -283320/151], [-105/151, 1/151]], [[-456, -3363/2], [-4426461223/302, -3526673993/302], [38439720/151, 30226680/151], [3477/302, 11115/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1504/151, -742/151], [-46/151, -1/151], [0, 0]], [[-778, -1/2], [-117249/151, -12702/151], [749/151, 2291/302], [-778/151, -1/302]], [[78138, 267695], [20463399/151, 41605720/151], [-863037/151, -372210/151], [78138/151, 267695/151]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-768, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 112], [-8, -8], [0, 0]], [[0, 0], [340, 376], [-44, -26], [-16, 10]], [[0, 0], [-19824, -14142], [1848, 1302], [56, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [248, 160], [16, 0], [0, 0]], [[0, 0], [32, -60], [12, -6], [-4, -10]], [[0, 0], [0, 18], [0, 0], [0, 2]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[-768, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, -110], [-12, 10], [0, 0]], [[0, 0], [-2204, -1356], [116, -60], [16, -8]], [[0, 0], [-11852, -8270], [144, 24], [20, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, -6], [4, 2], [0, 0]], [[0, 0], [40, -132], [0, 0], [-16, -8]], [[0, 0], [-460, 506], [0, 0], [36, 8]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[-768, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 12], [8, 8], [0, 0]], [[0, 0], [-604, 484], [-80, -2], [20, -12]], [[0, 0], [-172, -1762], [1440, 920], [-84, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 4], [8, 8], [0, 0]], [[0, 0], [288, 306], [92, 74], [0, 12]], [[0, 0], [-2424, -1426], [-624, -416], [-76, -20]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[-384, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 0], [-20, 8], [0, 0]], [[0, 0], [1322, 658], [308, 44], [2, -8]], [[0, 0], [4420, 3328], [660, 594], [-24, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, 80], [-20, 8], [0, 0]], [[0, 0], [1710, 164], [-1440, 970], [-6, 8]], [[0, 0], [-6234, -5302], [-960, 1020], [-26, -8]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[-384, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 26], [-16, 4], [0, 0]], [[0, 0], [-256, -228], [-20, 56], [4, -6]], [[0, 0], [4142, 3104], [-252, -438], [10, 40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -100], [0, -12], [0, 0]], [[0, 0], [430, -154], [96, -58], [-10, 4]], [[0, 0], [864, 818], [28, 76], [-16, -16]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[-384, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -2], [40, 8], [0, 0]], [[0, 0], [-2002, -1070], [-1668, -1030], [10, -2]], [[0, 0], [-636, -1202], [-808, -896], [-12, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, -38], [-20, 0], [0, 0]], [[0, 0], [-68, 180], [-72, 64], [8, -8]], [[0, 0], [-310, -178], [-44, -10], [6, 2]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[-8, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [48, 53/2], [0, 0], [-3, 5/2]], [[0, 0], [-38, -31], [0, 0], [-2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [-7, -19], [0, 0], [-1, -2]], [[0, 0], [-12, 11/2], [0, 0], [-1, 1/2]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-48, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 4], [-6, -3], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [18, 2], [-2, -1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 18], [2, -3], [0, 0]], [[0, 0], [13, 1], [0, 0], [1, 0]], [[0, 0], [-90, -124], [-10, -3], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-16, -32]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 2], [-6, 0], [0, 0]], [[0, 0], [14951622/151, 6881409/302], [-1308245/151, -265442/151], [-279/151, -1/302]], [[0, 0], [407120432/151, 72752425/302], [-35927811/151, -2142836/151], [-8143/151, 2363/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-202334/151, -1346/151], [-1464/151, -1/151], [0, 0]], [[0, 0], [521434512/151, -2202181107/151], [3962836/151, -15957798/151], [-768/151, -3/151]], [[0, 0], [-67696772403/151, 132088838983/151], [-501240376/151, 958731592/151], [44467/151, -6360/151]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[-16, -32]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 4], [2, 0], [0, 0]], [[0, 0], [-151131/151, -81101/302], [4633/151, 2614/151], [-476/151, 1/302]], [[0, 0], [-38069433/151, -5092874/151], [1058492/151, 530575/151], [-130055/151, 18981/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9072/151, 26/151], [-814/151, -2/151], [0, 0]], [[0, 0], [6301601/151, 10493/151], [-565872/151, -691/151], [-33/151, 4/151]], [[0, 0], [-117969155/151, 2505345/151], [10593622/151, -229679/151], [621/151, -89/151]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[-16, -32]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9990/151, 250/151], [722/151, 4/151], [0, 0]], [[0, 0], [-39398/151, -11319/302], [905/151, 174/151], [-279/151, -1/302]], [[0, 0], [974382/151, -272/151], [-22056/151, -1129/151], [7194/151, -1023/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23882/151, 1156/151], [-184/151, 4/151], [0, 0]], [[0, 0], [-4700287/151, 2021702/151], [-36580/151, 14615/151], [965/151, 2/151]], [[0, 0], [-10103643650/151, 5165618354/151], [-78012090/151, 38062755/151], [12208, -1744]]], 0, 48, [], [] >,
< [ -2, 0, 1 ], [[-16, -4]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9839/151, 1109/151], [335/151, -4/151], [0, 0]], [[0, 0], [-14243311/151, -10489072/151], [-408100/151, -305182/151], [1, 0]], [[0, 0], [618819281/302, 205282199/151], [9039325/151, 11709045/302], [1769/302, -5655/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-290/151, 177/151], [92/151, -2/151], [0, 0]], [[0, 0], [66716/151, -132741/302], [-28235/151, 4635/151], [384/151, 3/302]], [[0, 0], [8550596/151, -9688209/302], [-989520/151, 1659730/151], [6223/151, -42997/302]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-16, -4]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17643/151, -1609/151], [-571/151, -4/151], [0, 0]], [[69, 3/2], [-250422083/302, -92653450/151], [-3601702/151, -2698579/151], [3/2, 0]], [[-23, 181/2], [-391482325/302, -129115788/151], [-5718700/151, -3700970/151], [-177/302, 299/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-59, -2], [767/151, -427/151], [-59/151, -2/151], [0, 0]], [[30, 885/2], [8519/151, -10599/302], [30/151, 885/302], [13/151, 3/151]], [[-150, 105/2], [2856/151, -3781/302], [-150/151, 105/302], [0, 0]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-16, -4]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7574/151, 1562/151], [184/151, -4/151], [0, 0]], [[-115, -5/2], [65357/302, 33066/151], [-1056/151, 1034/151], [-5/2, 0]], [[27, -135], [68583/151, 58311/302], [2739/151, -1540/151], [108/151, -891/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8329/151, 203/151], [-571/151, -4/151], [0, 0]], [[-1139, -3/2], [2028247/151, -347343/151], [-151942/151, 52845/302], [-1139/151, -3/302]], [[-494351, 3425887/2], [1933480824/151, -3203584089/151], [-146052401/151, 480332119/302], [-494351/151, 3425887/302]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-128, -256]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [349124/151, -1484/151], [-2928/151, -2/151], [0, 0]], [[0, 0], [245669140/151, -85116553/151], [-2054366/151, 702554/151], [-1162/151, -1/151]], [[0, 0], [-229552926672/151, 100561541408/151], [1917520164/151, -833034348/151], [994848/151, -130032/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26624/151, 1614/151], [-2048/151, -8/151], [0, 0]], [[0, 0], [176462/151, 2463517/151], [2734/151, -190326/151], [676/151, 5/151]], [[0, 0], [6312652/151, -28404576/151], [-678404/151, 2222276/151], [-7860/151, 1090/151]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[112, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57410/151, 8068/151], [-72/151, -5/151], [0, 0]], [[0, 0], [75186628/151, -204176438/151], [-134096/151, 268360/151], [210/151, 2/151]], [[0, 0], [11396384483/151, 290515087954/151], [39250848/151, -370870192/151], [-324093/151, -68379/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [471398/151, 1458/151], [1628/151, 4/151], [0, 0]], [[0, 0], [518937/151, 74687/151], [-1692/151, -193/151], [-3, 0]], [[0, 0], [-39630396/151, -26329437/302], [127699/151, 39284/151], [32639/151, 13589/302]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[112, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-325508/151, -1859/151], [-1142/151, -8/151], [0, 0]], [[0, 0], [-413564007/151, 41264543/151], [-1450512/151, 142833/151], [-59/151, -2/151]], [[0, 0], [-36934099482/151, -3011178103/151], [-129603308/151, -10736822/151], [-5530/151, -1160/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [372946/151, 552/151], [1326/151, 4/151], [0, 0]], [[0, 0], [-239292783/151, 13571668/151], [-849254/151, 46745/151], [-197/151, 1/151]], [[0, 0], [506187517381/151, 164522795727/302], [1797794333/151, 295028344/151], [426220/151, 179561/302]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[0, 28]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24601/151, 276/151], [59/151, 2/151], [0, 0]], [[-115, 5/2], [-11823380/151, -220583/151], [-28347/151, -2339/302], [-115/151, 5/302]], [[-1508, -7189/2], [-185190660/151, -376460686/151], [-484452/151, -1823717/302], [-1508/151, -7189/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3914/151, -880/151], [92/151, -2/151], [0, 0]], [[39, 1], [1895935/151, 519349/302], [-53615/151, 7025/151], [128/151, 1/302]], [[-368, -1591/2], [-349783/2, -535689/2], [1105, 6775], [-2191/302, -5175/302]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[0, 28]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[115, -5/2], [26591/151, -2351/302], [115/151, -5/302], [0, 0]], [[161196, -11028], [37290839/151, -3386110/151], [161196/151, -11028/151], [-361/151, -2/151]], [[-51914736, -182931582], [-10059855472/151, -41916817126/151], [-51914736/151, -182931582/151], [178618/151, 422541/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-441/151, 1083/151], [-59/151, -2/151], [0, 0]], [[94, 5/2], [1073069/302, 13349/302], [-136/151, 108/151], [617/302, 3/302]], [[315, 630], [1697380/151, 7146279/302], [1023/151, -577/151], [945/151, 4095/302]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[896, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1386204/151, 250/151], [5856/151, 4/151], [0, 0]], [[0, 0], [8246680150/151, -617912391/151], [-34833886/151, 2579336/151], [952/151, -1/151]], [[0, 0], [-2016768805516/151, -285735227516/151], [8522100700/151, 1214701600/151], [-240352/151, -50750/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1756, 6], [-12, 0], [0, 0]], [[0, 0], [-1344112788/151, 93776952/151], [-9167080/151, 608560/151], [-1024/151, -4/151]], [[0, 0], [-63638691004/151, -8930145545/151], [-434649890/151, -62417038/151], [-49998/151, -10481/151]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[-768, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 112], [0, -8], [0, 0]], [[0, 0], [372, 78], [-44, -18], [-8, 8]], [[0, 0], [3432, 2154], [-480, -320], [8, 26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, -156], [-4, -4], [0, 0]], [[0, 0], [3280, -3166], [-56, -66], [-8, 8]], [[0, 0], [2600, 3478], [464, 336], [-8, -10]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[-768, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, -48], [-4, -8], [0, 0]], [[0, 0], [5604, 5650], [820, 260], [-4, 4]], [[0, 0], [-1496, -1106], [-140, -90], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-184, 32], [-8, -4], [0, 0]], [[0, 0], [-3140, -698], [-220, -140], [-4, 16]], [[0, 0], [-2652, -874], [-204, -134], [0, 12]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[-768, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-116, 50], [-4, 2], [0, 0]], [[0, 0], [176, 20], [0, 0], [0, 16]], [[0, 0], [-328, -142], [0, 0], [-20, -28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 16], [4, -4], [0, 0]], [[0, 0], [-148, -178], [-24, -6], [0, -4]], [[0, 0], [-224, -174], [-20, -12], [-4, -4]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[-16, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -56], [-10, -5], [0, 0]], [[0, 0], [7, 1], [0, 0], [1, 0]], [[0, 0], [-12, 68], [10, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 50], [-2, 3], [0, 0]], [[0, 0], [-7, 1], [0, 0], [1, 0]], [[0, 0], [182, 88], [10, -3], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-16, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [-18, -41/2], [0, 0], [3, -1/2]], [[0, 0], [-29, -119/2], [0, 0], [12, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [33, -31], [0, 0], [-5, 2]], [[0, 0], [-59, 25/2], [0, 0], [0, -11/2]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[-128, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -76], [-16, 8], [0, 0]], [[0, 0], [186, 358], [48, -8], [6, 8]], [[0, 0], [-14, -290], [-48, 18], [-2, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 70], [16, 2], [0, 0]], [[0, 0], [25800, -17664], [-3780, 2760], [-4, -4]], [[0, 0], [-367346, 257126], [55020, -39300], [10, 24]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[-128, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, 10], [-32, 8], [0, 0]], [[0, 0], [1398, 394], [448, 70], [-6, -10]], [[0, 0], [-1452, 30], [-508, 80], [0, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -10], [-20, -8], [0, 0]], [[0, 0], [-528, 748], [-112, -236], [4, 4]], [[0, 0], [-810, 510], [144, -50], [-2, 0]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[-128, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, -34], [-32, 0], [0, 0]], [[0, 0], [-154, 176], [-132, 78], [-6, -10]], [[0, 0], [584, -238], [248, -216], [-36, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -14], [12, -20], [0, 0]], [[0, 0], [-70, -192], [208, 54], [-10, -8]], [[0, 0], [474, -570], [556, -198], [-6, -10]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[112, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [494670/151, 2278/151], [-650/151, -1/151], [0, 0]], [[0, 0], [-378509399/151, -126878583/151], [496160/151, 165200/151], [-361/151, 2/151]], [[0, 0], [52294120245/151, 46251639258/151], [-68330080/151, -60546920/151], [25795/151, 35189/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1190, 2], [-4, 0], [0, 0]], [[0, 0], [-639959423/151, -74096185/302], [-2152007/151, -128221/151], [-82/151, 3/302]], [[0, 0], [150252356136/151, 179558139559/151], [507213180/151, 604545516/151], [15894/151, 21735/151]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[112, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24136/151, -1005/151], [118/151, -4/151], [0, 0]], [[0, 0], [927522/151, 25698/151], [4338/151, 416/151], [256/151, -1/151]], [[0, 0], [-2401019/151, -3215564/151], [-13244/151, -15749/151], [-609/151, -870/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-377778/151, 1458/151], [-1326/151, 4/151], [0, 0]], [[0, 0], [-3282334594/151, 376588589/302], [-11517999/151, 651535/151], [325/151, 1/302]], [[0, 0], [-253106423792/151, -393135102403/151], [-890474458/151, -1380387390/151], [29848/151, 40677/151]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[0, 28]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-242663/151, -440/151], [-801/151, -1/151], [0, 0]], [[-568, -5/2], [-21499575075/151, 262040657/151], [-70968259/151, 1810093/302], [-568/151, -5/302]], [[2967295, 2169745/2], [110970045696414/151, 39206549604524/151], [366151392661/151, 258417578689/302], [2967295/151, 2169745/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [317873/151, 2226/151], [591/151, 3/151], [0, 0]], [[-83, 3/2], [-180507497/302, -86101/151], [-166815/151, 165/151], [545/302, 1/151]], [[-30619, -21479/2], [-67525084297/302, -12320012054/151], [-62314670/151, -22649770/151], [204279/302, 37474/151]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[0, 28]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[719, 5/2], [208697/151, 2955/302], [719/151, 5/302], [0, 0]], [[2284, -3807/2], [730442/151, -1101129/302], [2284/151, -3807/302], [466/151, -3/151]], [[-2299848, 2785048], [-849215067/151, 737324794/151], [-2299848/151, 2785048/151], [-1222245/151, -447378/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64646/151, 1773/151], [138/151, 3/151], [0, 0]], [[90, -3/2], [887501/302, -14455/302], [32/151, -19/151], [-591/302, -3/302]], [[-1155, -385], [-5696461/151, -3800781/302], [-245/151, 103/151], [3850/151, 2695/302]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[896, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [630552/151, -250/151], [-2600/151, -4/151], [0, 0]], [[0, 0], [9580076894/151, 1450946066/151], [-39527756/151, -6057822/151], [-1418/151, 2/151]], [[0, 0], [-49276826274418/151, -52751321653573/151], [204023214514/151, 217913170836/151], [5145780/151, 7018375/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1431528/151, -4426/151], [-3388/151, -8/151], [0, 0]], [[0, 0], [-16704661762/151, -580026331/151], [-39531346/151, -1343424/151], [440/151, 3/151]], [[0, 0], [-1027899225668/151, -1335052636126/151], [-2427955388/151, -3157744520/151], [25160/151, 34476/151]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[48, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -2], [-2, 6], [0, 0]], [[0, 0], [132/7, 11/14], [-27, 11], [4/7, 1/42]], [[0, 0], [-88/7, -132/7], [-6, 20], [-8/21, -4/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -4], [-2, 3], [0, 0]], [[0, 0], [177/7, 157/7], [-82, 31], [-15/7, -1/21]], [[0, 0], [-55/7, -81/14], [7, 5], [3/7, 13/42]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[0, 12]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [115/14, 39/7], [0, 0], [13/42, 1/21]], [[0, 0], [-85, -61], [0, 0], [-5/3, -5/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-9/7, 67/7], [0, 0], [1/7, 1/21]], [[0, 0], [-95/2, 8], [0, 0], [-1/6, -1/3]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[48, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 2], [-4, -3], [0, 0]], [[0, 0], [541/7, -141/14], [0, 0], [13/7, 5/42]], [[0, 0], [3356/7, -6152/7], [0, 0], [76/21, -418/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 10], [8, -1], [0, 0]], [[0, 0], [-132/7, -11/14], [-10, 10], [10/7, -1/42]], [[0, 0], [-151, -57], [-24, 51], [11, 11/3]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[384, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 2], [-12, -12], [0, 0]], [[0, 0], [-330/7, -33/7], [16, 0], [-10/7, -1/7]], [[0, 0], [-110/7, 220/7], [8, -12], [-10/21, 20/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -8], [16, 20], [0, 0]], [[0, 0], [-206/7, -155/7], [-64, 64], [106/21, 5/21]], [[0, 0], [-678, -467], [992, -288], [38, 57]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[384, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -4], [4, 8], [0, 0]], [[0, 0], [1772/7, -219/7], [-4, -48], [-4/7, 1/7]], [[0, 0], [338, 46], [-40, -70], [-2/3, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 14], [-8, 10], [0, 0]], [[0, 0], [-6116/7, -3693/7], [-260, -110], [32/21, -1/21]], [[0, 0], [-184234/7, -120965/7], [-7280, -4060], [242/7, 55/7]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[1152, 384]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3840/17, 584/17], [192/17, -2/17], [0, 0]], [[0, 0], [-162864/697, -9778684/697], [4544/85, 60008/85], [-440/697, -4/3485]], [[0, 0], [-7151780/41, -95298067/41], [78414/5, 585816/5], [-21432/205, -133/41]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1528/17, -584/17], [12/17, 2/17], [0, 0]], [[0, 0], [7138172784/4879, -424335/4879], [88954/85, -786/85], [75532/24395, 3/24395]], [[0, 0], [40506413454446/4879, 1273072926310/4879], [504501088/85, 11434434/85], [428618026/24395, 13513422/24395]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[144, 48]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-984/17, 74/17], [-80/17, -2/17], [0, 0]], [[0, 0], [2736280/697, 85695/1394], [30497/85, 99/85], [752/697, 1/6970]], [[0, 0], [-450925817/697, -63909123/697], [-5010022/85, -650157/85], [-617203/3485, -78237/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1528/17, -108/17], [182/17, 2/17], [0, 0]], [[0, 0], [-133270147/4879, 140770481/9758], [-651953/85, 91162/85], [13371/24395, 3/48790]], [[0, 0], [2875737930/119, -1465538344/119], [595549884/85, -60062252/85], [-60258/119, -12118/595]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[144, 48]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1896/17, 180/17], [150/17, 8/17], [0, 0]], [[0, 0], [-1136662/697, -1767997/1394], [-24147/85, -7722/85], [972/3485, 1/6970]], [[0, 0], [67987561/697, 52387572/697], [279806/17, 97351/17], [-11009/697, -404/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1256/17, 62/17], [182/17, 2/17], [0, 0]], [[0, 0], [1567790229/4879, 52658519/4879], [2129738/85, 56833/85], [-15481/24395, 1/24395]], [[0, 0], [-15565788992080/4879, -2119181173677/9758], [-21134993013/85, -1293772188/85], [9020318/1435, 623809/2870]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[24, 36]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-848/17, 244/17], [22/17, -2/17], [0, 0]], [[1143, -1/2], [6354127/1394, 76496/697], [-2146/85, -403/85], [-2897/6970, -2/3485]], [[-12040, 45150], [-27313324/697, 124680697/697], [-1861/17, -16106/17], [3010/697, -11438/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-130, 13], [3, 0], [0, 0]], [[-568, -1/2], [786000141/9758, 3675368/4879], [22433/85, -667/85], [-6567/48790, 1/24395]], [[-1408, -16016], [1161941482/4879, 11089590753/4879], [16883/85, 630876/85], [-1584/4879, -92576/24395]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[24, 36]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2742/17, -138/17], [-98/17, -5/17], [0, 0]], [[-217, 0], [-5229159/697, -8759973/1394], [28037/85, 21704/85], [55/697, 1/6970]], [[2, -15/2], [-3305/1394, 12559/1394], [-2/85, 11/85], [-1/1394, 19/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6244/17, 525/17], [-81/17, -5/17], [0, 0]], [[73, 0], [323031024/4879, 74042797/9758], [-73693/85, -1352/17], [422/24395, -1/48790]], [[-236, -5369/2], [-7534709883/9758, -11999411752/4879], [735461/85, 2731972/85], [-531/9758, -15517/24395]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[48, 96]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1592/17, -18/17], [-104/17, 6/17], [0, 0]], [[0, 0], [6251913/697, -619863/1394], [38263/85, -2402/85], [-4201/3485, -1/1394]], [[0, 0], [-4704095764/697, -5309763806/697], [-5577974/17, -32072136/85], [3536504/3485, 3745118/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, -10], [-4, 0], [0, 0]], [[0, 0], [14253571/4879, 1849259/4879], [25014/119, -20403/595], [-5723/24395, -1/24395]], [[0, 0], [2633232670/4879, 4802265579/9758], [12151689/595, 3144627/119], [-835522/24395, -1711711/48790]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[48, 96]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2792/17, 80/17], [-214/17, -4/17], [0, 0]], [[0, 0], [-57598251/697, 75542075/1394], [-494007/85, 329421/85], [-1963/3485, -3/6970]], [[0, 0], [-709318887/697, 790024412/697], [-1304880/17, 1310835/17], [15943/697, 15836/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1316/17, -30/17], [246/17, 10/17], [0, 0]], [[0, 0], [-7152786055/4879, 998867169/9758], [36700543/119, -8095639/595], [-15059/24395, -1/48790]], [[0, 0], [-65299044897244/4879, -74386159623182/4879], [1780381547176/595, 1958762219248/595], [-32185256/4879, -167848696/24395]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[48, 12]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46/17, -32/17], [4/17, 5/17], [0, 0]], [[-492, -1/2], [-1832867/1394, -96099/1394], [146/17, 394/85], [-1247/6970, 1/6970]], [[88229, 42520], [172468533/697, 175284145/1394], [-198739/85, -133542/85], [22323/697, 107363/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5104/17, -522/17], [-24/17, 4/17], [0, 0]], [[-2329, 5/2], [-428049029/9758, -531591/9758], [-138507/595, 1783/119], [26927/48790, 3/48790]], [[-30195060, -14488554], [-2780967961932/4879, -1337863408509/4879], [-337280859/119, -747871702/595], [174750738/24395, 83962566/24395]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[48, 12]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 6], [-4, 0], [0, 0]], [[1390, 9/2], [-2606385/1394, 1500051/1394], [-11197/85, -7022/85], [3523/6970, 1/1394]], [[-81408, -29256], [44864460/697, -16639339/697], [947149/85, 128765/17], [-103032/3485, -36888/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8538/17, 641/17], [41/17, -4/17], [0, 0]], [[1964, -5/2], [-2765490391/9758, -8661491/4879], [126692/595, 393/119], [-22707/48790, 1/24395]], [[2118243, 991518], [-1501890465968/4879, -1418654328443/9758], [138794454/595, 66255954/595], [-721104/1435, -135207/574]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[384, 768]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [200/17, -56/17], [24/17, -4/17], [0, 0]], [[0, 0], [-6907264/697, -65774/697], [-25516/85, -2162/85], [-7264/3485, -2/3485]], [[0, 0], [-5523834212/697, -5759142059/697], [-23576938/85, -22779216/85], [-5698112/3485, -6003921/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [312/17, 424/17], [304/17, 6/17], [0, 0]], [[0, 0], [-3438947350/4879, -477158435/4879], [-8699858/119, 727414/119], [8914/4879, -1/4879]], [[0, 0], [8312744357296/4879, 7624707275243/4879], [67286821026/595, 78317236098/595], [-16702060/4879, -87219711/24395]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[0, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 2], [60, -18], [5, 2], [0, 0]], [[0, 0], [3, 1], [0, 0], [1, 0]], [[7, 7/2], [66, -9], [7, 7/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -3/2], [-240, 15], [2, -3/2], [0, 0]], [[0, 0], [-2190/7, -2035/7], [-52/7, -6/7], [26/7, 3/7]], [[0, 0], [-5697/7, -2406/7], [18/7, -90/7], [-9/7, 45/7]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[0, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 3/2], [-18, -24], [-4, 3/2], [0, 0]], [[0, 0], [3, 1], [0, 0], [1, 0]], [[-1, -1/2], [-24, -18], [-1, -1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 3/2], [54, 66], [2, 3/2], [0, 0]], [[0, 0], [8919/7, -5934/7], [-66/7, -6/7], [33/7, 3/7]], [[0, 0], [-21737/7, 16047/7], [6/7, -100/7], [-3/7, 50/7]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[0, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-10, 7/2], [0, 0], [-1, 5/2]], [[0, 0], [-3, -5/2], [0, 0], [2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 0], [1, 0], [0, 0]], [[0, 0], [10498/7, 825/14], [90/7, 5/7], [-45/7, -5/14]], [[0, 0], [7836, -25356], [60, -216], [-30, 108]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 24], [-6, -10], [0, 0]], [[0, 0], [3, 1], [0, 1], [1, 0]], [[0, 0], [18, -30], [-6, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 6], [-2, -6], [0, 0]], [[0, 0], [141/7, 100/7], [74/7, 15/7], [-23/7, 3/7]], [[0, 0], [-159, -111], [-74, -23], [21, 0]]], 0, 80, [], [] >,
< [ -2, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 24], [6, -10], [0, 0]], [[0, 0], [3, 1], [0, 0], [1, 0]], [[0, 0], [-18, -30], [60, 48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, 18], [-2, -2], [0, 0]], [[0, 0], [977/7, -1189/7], [2/7, 4/7], [-1/7, -2/7]], [[0, 0], [30, -18], [0, 0], [0, 0]]], 0, 80, [], [] >,
< [ -2, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -42], [-4, 4], [0, 0]], [[0, 0], [-3, 1], [0, 0], [1, 0]], [[0, 0], [18, 36], [-4, -5], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 18], [-8, 4], [0, 0]], [[0, 0], [-2321/7, 195/7], [96/7, 24/7], [15/7, 2/7]], [[0, 0], [5176, -953], [-200, -31], [-32, -1]]], 0, 80, [], [] >,
< [ -2, 0, 1 ], [[-24, -4]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [2791, -6], [578/3, 2/3], [1/3, 0]], [[0, 0], [-45743535/3554, -78648987/3554], [-2717/3, -4598/3], [-16511/10662, -9405/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [373993/1777, 7379/3554], [-632/3, -1], [-1943/5331, -5/10662]], [[0, 0], [19907/3554, -6463/1777], [-17/3, 11/3], [-35/3554, 34/5331]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-16, -48]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -6], [4, 3], [0, 0]], [[0, 0], [-4100276/1777, -34775/1777], [-484/3, -2/3], [-496/1777, -1/5331]], [[0, 0], [-173793847/1777, 7179207/3554], [-6840, 171], [-21033/1777, 1197/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -14], [-6, 5], [0, 0]], [[0, 0], [-635949/1777, 107879/3554], [1172/3, -67/3], [4009/5331, 1/3554]], [[0, 0], [72931471/1777, -6538455/3554], [-134708/3, 761], [-462935/5331, -37655/10662]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[-16, -48]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -12], [-2, 2], [0, 0]], [[0, 0], [-6281912/1777, -107879/3554], [-2067, 31], [-744/1777, -1/3554]], [[0, 0], [39974751/1777, -48308413/1777], [41726/3, -16212], [14477/5331, -17279/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 0], [-10, -1], [0, 0]], [[0, 0], [1599083/1777, 474977/3554], [-7093, 70], [-2521/1777, -1/3554]], [[0, 0], [252233788/1777, 94706853/1777], [-3104030/3, -255380], [-1108940/5331, -283465/5331]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[-128, -384]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -10], [20, 0], [0, 0]], [[0, 0], [37858682/1777, 23348/1777], [-77332/3, 304/3], [4546/1777, 2/5331]], [[0, 0], [-349847536/1777, -1249575293/1777], [230468, 849736], [-41868/1777, -150027/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -6], [24, -4], [0, 0]], [[0, 0], [-8824148/1777, 83001/1777], [-8248/3, 212/3], [11572/5331, 1/1777]], [[0, 0], [616088288/1777, 80227668/1777], [191080, 21860], [-270040/1777, -37680/1777]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[-128, -384]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 38], [20, 10], [0, 0]], [[0, 0], [-16919988/1777, 273164/1777], [-2236/3, 232/3], [-1984/1777, -4/5331]], [[0, 0], [272516250/1777, 151214679/1777], [32408/3, 5590], [97706/5331, 54835/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -12], [-4, -8], [0, 0]], [[0, 0], [3247922/1777, 76929/1777], [-1620, 38], [-5042/1777, -1/1777]], [[0, 0], [-381212492/1777, 73237142/1777], [582044/3, -136754/3], [597792/1777, -383200/5331]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[-640, -256]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 12], [16, -20], [0, 0]], [[0, 0], [-28327026/1777, 437413/1777], [19744, 328/3], [-10330/5331, -5/5331]], [[0, 0], [-297613548/1777, 336323672/1777], [197732, -230216], [-34892/1777, 40326/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 6], [8, 20], [0, 0]], [[0, 0], [-15083610/1777, -108915/1777], [-9680/3, -1156/3], [20414/5331, 1/1777]], [[0, 0], [-2230875342/1777, 296088606/1777], [-1386712/3, 29056/3], [3025222/5331, -140708/1777]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[-640, -256]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 24], [16, 4], [0, 0]], [[0, 0], [44713914/1777, 226691/1777], [5356/3, -116], [16282/5331, 1/5331]], [[0, 0], [4687756708/1777, 579460290/1777], [184064, 10042], [568320/1777, 67488/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 30], [12, 10], [0, 0]], [[0, 0], [-3661226/1777, 298042/1777], [236, -22/3], [2398/5331, -4/5331]], [[0, 0], [-11046338/1777, -39849485/1777], [980, 2626], [3850/1777, 9009/1777]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[-80, -32]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -10], [-6, 1], [0, 0]], [[0, 0], [-13279304/1777, -619655/3554], [-1622/3, 185/3], [-4876/5331, -1/3554]], [[0, 0], [-1845020814/1777, -432460856/1777], [-212276/3, -22166/3], [-223626/1777, -143350/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 6], [8, -3], [0, 0]], [[0, 0], [-9910026/1777, 357424/1777], [2236/3, -236/3], [2562/1777, 2/5331]], [[0, 0], [1295405632/1777, -1700290389/3554], [-105846, 70405], [-319766/1777, 416329/3554]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[-16, -20]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-5584, -4], [-1156/3, 4/3], [-2/3, 0]], [[0, 0], [426717/3554, -145028/1777], [25/3, -17/3], [51/3554, -52/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [3015352/1777, -20065/3554], [-242, 1], [-744/1777, 1/3554]], [[0, 0], [-89099301/3554, -5471145/3554], [3575, 650/3], [65975/10662, 4225/10662]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-80, -32]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 2], [0, 1], [0, 0]], [[0, 0], [2888145/1777, 38329/3554], [977, 2/3], [1033/5331, 1/10662]], [[0, 0], [-94091290/1777, 148555303/1777], [-32430, 151340/3], [-34310/5331, 53345/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 6], [-4, 3], [0, 0]], [[0, 0], [-6174555/1777, -11427/3554], [13015/3, 4/3], [1529/1777, 1/10662]], [[0, 0], [-247517468/1777, -295051134/1777], [520960/3, 207200], [183520/5331, 219040/5331]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[-32, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -5/2], [92, -83], [3, -5/2], [0, 0]], [[0, 0], [-9, 1], [0, 0], [1, 0]], [[1, 1/2], [34, 17], [1, 1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 1], [-2282, -246], [4, 1], [0, 0]], [[-1299, 9/2], [5609295/7, -861513/7], [-9139/7, 75/14], [23/7, -3/7]], [[-203010, -93465], [107791105, 38796044], [-203916, -93807], [453, 171]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[-32, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 0], [18, 22], [-3, 0], [0, 0]], [[0, 0], [-9, 1], [0, 0], [1, 0]], [[-3, -5/2], [52, 36], [-3, -5/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -3/2], [-1650, -126], [2, -3/2], [0, 0]], [[0, 0], [-62428/7, -42893/7], [-64/7, -2/7], [32/7, 1/7]], [[0, 0], [-4994037, -3497323], [-3530, -1320], [1765, 660]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[-48, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [202, 2], [10, -4], [0, 0]], [[0, 0], [23, 1], [0, 1], [1, 0]], [[0, 0], [870, 1758], [-28, 70], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [350, 484], [-4, 6], [0, 0]], [[0, 0], [-4924910/7, -2766702/7], [-37970/7, -228/7], [-6/7, 2/7]], [[0, 0], [-43981579/7, -31921816/7], [-171464/7, -151821/7], [-11/7, -15/7]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-48, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 32], [-4, 2], [0, 0]], [[0, 0], [-9, 1], [0, 0], [1, 0]], [[0, 0], [202, 110], [-2, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2144, -632], [2, -8], [0, 0]], [[0, 0], [-1755855/7, 4795330/7], [-37406/7, -10/7], [-15/7, 5/7]], [[0, 0], [70064754/7, 33761680/7], [-389716/7, -344690/7], [-64/7, -86/7]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-384, -512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -6], [-12, 12], [0, 0]], [[0, 0], [-170, -168], [-16, -24], [-2, 6]], [[0, 0], [340, 290], [36, 40], [0, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, 6], [-24, -16], [0, 0]], [[0, 0], [-512046/7, 335560/7], [9144/7, 172/7], [-50/7, -2/7]], [[0, 0], [-1646154/7, 1447378/7], [-33512/7, -47256/7], [194/7, 262/7]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[-8, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1], [-18, -84], [1, -1], [0, 0]], [[0, 0], [-3, 1], [0, 0], [1, 0]], [[-3, 5/2], [-60, 152], [-3, 5/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -1/2], [1400, -118], [3, -1/2], [0, 0]], [[-6910, -105/2], [-23244871/7, -2140885/7], [-48388/7, -751/14], [9/7, 4/7]], [[-164520, 281055], [-392918569/7, 897467023/7], [-1151426/7, 1967925/7], [-107/7, -270/7]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[-8, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 5/2], [64, 53], [-2, 5/2], [0, 0]], [[0, 0], [-3, 1], [0, 0], [1, 0]], [[2, -3/2], [2, -5], [2, -3/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -2], [-1212, 186], [3, -2], [0, 0]], [[-956, 7/2], [19248835/7, 12408922/7], [-6694/7, 41/14], [1/7, 2/7]], [[-26, 3/2], [69544, 44145], [-26, 3/2], [0, 0]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[-80, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -8], [2, 2], [0, 0]], [[0, 0], [7, 1], [0, 1], [1, 0]], [[0, 0], [-6, 8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, -264], [10, -4], [0, 0]], [[0, 0], [-476978/7, -522217/7], [12508/7, 68/7], [4/7, 1/7]], [[0, 0], [-535293, -633390], [15972, -801], [5, 1]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-80, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 38], [6, 2], [0, 0]], [[0, 0], [-3, 1], [0, 0], [1, 0]], [[0, 0], [114, -40], [8, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2002, 276], [8, 4], [0, 0]], [[0, 0], [-16734567/7, 7059697/7], [-38782/7, 80/7], [15/7, 2/7]], [[0, 0], [-68177846/7, 25635347/7], [-167446/7, -10904/7], [66/7, 13/7]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-640, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -42], [-4, 4], [0, 0]], [[0, 0], [-84, -118], [0, 0], [4, 10]], [[0, 0], [-86, -58], [0, 0], [6, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1500, 48], [-24, -4], [0, 0]], [[0, 0], [-4495504/7, 885460/7], [-68856/7, -372/7], [-68/7, -10/7]], [[0, 0], [-67361198/7, 10144172/7], [-1052736/7, -57552/7], [-1054/7, -204/7]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[0, 20]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -15/2], [-1, -3/2], [0, 0]], [[-8, -1], [103/17, -3/17], [-37, 10], [-23/17, 1/17]], [[-77, -99/2], [1667/34, 1017/34], [-411/2, -107], [-363/34, -110/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-8, -1], [188/17, -20/17], [-8, -1], [-23/17, 1/17]], [[-3, -5/2], [45/17, 87/34], [-3, -5/2], [-13/34, -6/17]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[0, 20]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -4], [5, -1], [0, 0]], [[-4, -3/2], [5775/34, 7054/17], [195/2, -365/2], [-21/34, -5/34]], [[-3, -3], [9538/17, 3567/17], [-204, 15], [-6/17, -15/34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[8, 2], [308/17, 79/17], [0, 0], [22/17, 2/17]], [[9, 9/2], [349/17, 177/17], [0, 0], [45/34, 9/17]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[80, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 1], [1, 0], [0, 0]], [[0, 0], [-100/17, -29/34], [-5, -1/2], [-29/17, 2/17]], [[0, 0], [-338/17, -176/17], [-16, -8], [-80/17, -32/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 1], [1, 0], [0, 0]], [[0, 0], [-582/17, 29/17], [0, 0], [41/17, -4/17]], [[0, 0], [1546/17, 1788/17], [0, 0], [-96/17, -120/17]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[80, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 2], [5, 1], [0, 0]], [[0, 0], [-1635/17, -76/17], [-3, -1], [-118/17, -3/17]], [[0, 0], [54589/17, 99217/34], [150, 235/2], [3796/17, 3504/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-458/17, -71/17], [0, 0], [198/17, 1/17]], [[0, 0], [-11110/17, -7385/17], [0, 0], [4032/17, 2592/17]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[24, 28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [-54, 0], [1, 1/2], [0, 0]], [[0, 0], [11, 1], [0, 0], [1, 0]], [[0, 0], [2, -8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1/2], [96, 168], [-3, 1/2], [0, 0]], [[2884, -8], [-155183, -186761], [2869, -8], [-5, 0]], [[-152184, -179040], [220400419/7, 137033717/7], [-1059711/7, -1246746/7], [1859/7, 2178/7]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[24, 28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 5/2], [14, 29], [2, 5/2], [0, 0]], [[0, 0], [11, 1], [0, 0], [1, 0]], [[0, -1/2], [0, -7], [0, -1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [-770, 47], [-2, -1/2], [0, 0]], [[6282, -81/2], [20018469/7, -6150665/7], [43935/7, -597/14], [-13/7, -5/7]], [[-25584, -222261], [49274413, -97284690], [-25407, -222054], [59, 69]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[112, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, 72], [-10, 4], [0, 0]], [[0, 0], [-1, 1], [0, 1], [1, 0]], [[0, 0], [-130, -166], [-16, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2812, -214], [-6, -2], [0, 0]], [[0, 0], [1800957/7, -534715/7], [2946/7, -93/7], [-19/7, 4/7]], [[0, 0], [142583594/7, 51601632/7], [332236/7, 175690/7], [-1712/7, -736/7]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[112, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, 122], [2, 6], [0, 0]], [[0, 0], [11, 1], [0, 0], [1, 0]], [[0, 0], [-782, -12], [-48, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3024, 850], [2, 8], [0, 0]], [[0, 0], [192387680/7, -253256433/7], [1212340/7, -764/7], [-20/7, -5/7]], [[0, 0], [1960839725/7, -5284896061/7], [30539044/7, 6890360/7], [-561/7, -240/7]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[896, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-224, 62], [-20, 16], [0, 0]], [[0, 0], [-684, -584], [24, 4], [-4, -4]], [[0, 0], [-1334, -694], [0, 32], [-10, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1832, 254], [4, -12], [0, 0]], [[0, 0], [262072/7, 3150194/7], [40504/7, -136/7], [80/7, 6/7]], [[0, 0], [569905670/7, 697547532/7], [8671912/7, 3272984/7], [18150/7, 7810/7]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[32, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -2], [-252, -98], [-5, -2], [0, 0]], [[0, 0], [19, 1], [0, 0], [1, 0]], [[1, -1/2], [54, -27], [1, -1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 3/2], [-1572, -287], [-1, 3/2], [0, 0]], [[13245, 30], [-64787657/7, -70220004/7], [92814/7, 219/7], [-33/7, -3/7]], [[446775, 33189/2], [-335753310, -349211593], [447255, 33309/2], [-160, -20]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[32, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [-74, 34], [0, -5/2], [0, 0]], [[0, 0], [19, 1], [0, 0], [1, 0]], [[-5, -3/2], [24, -52], [-5, -3/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 1], [1574, 248], [5, 1], [0, 0]], [[-115, 51/2], [-269529/7, 69004/7], [-754/7, 351/14], [-17/7, 1/7]], [[9972, -831/2], [23051668/7, -1845908/7], [65094/7, -7017/14], [1570/7, 200/7]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[16, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -12], [0, -2], [0, 0]], [[0, 0], [21, 1], [0, 1], [1, 0]], [[0, 0], [48, -32], [-6, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1098, 230], [10, 10], [0, 0]], [[0, 0], [320021/7, -424735/7], [-4876/7, 41/7], [-1/7, -2/7]], [[0, 0], [2616, -2866], [-30, 4], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[16, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -100], [4, 10], [0, 0]], [[0, 0], [19, 1], [0, 0], [1, 0]], [[0, 0], [48, 32], [-6, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1426, 38], [-8, 2], [0, 0]], [[0, 0], [-12774213/7, -2861293/7], [-63776/7, 226/7], [-19/7, 4/7]], [[0, 0], [-34356070, -36302423], [-99282, -158396], [-10, -41]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[128, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 60], [-8, -20], [0, 0]], [[0, 0], [-110, 46], [12, -20], [-2, -2]], [[0, 0], [-20, 18], [4, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3608, -412], [8, 12], [0, 0]], [[0, 0], [-381742/7, 442462/7], [1660/7, -292/7], [-54/7, -10/7]], [[0, 0], [-1754/7, -3522/7], [8/7, 16/7], [2/7, 4/7]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[200, 68]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[135, 5/2], [248, 31], [135, 5/2], [0, 0]], [[0, 0], [5, 1], [4, 0], [1, 0]], [[-1072, -1809/2], [-2316, -1865], [-1072, -1809/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-209, -1], [572, 6], [-209, -1], [0, 0]], [[3244017, -43855/2], [-62139835/7, 63353/7], [22708053/7, -306325/14], [-1/7, 5/7]], [[50551032, 62161330], [-982061237/7, -1196364399/7], [353868906/7, 435133270/7], [177/7, 60/7]]], 1, 960, [], [] >,
< [ -2, 0, 1 ], [[200, 68]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27, -1/2], [-90, -74], [-27, -1/2], [0, 0]], [[0, 0], [5, 1], [4, 0], [1, 0]], [[-32, 35], [86, 28], [-32, 35], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[151, 1/2], [-510, -6], [151, 1/2], [0, 0]], [[6152065, 470], [-145426377/7, -1238576/7], [43061749/7, 2960/7], [-41/7, -5/7]], [[386354100, 183723705/2], [-9169525864/7, -2248571112/7], [2704298916/7, 1285943703/14], [-2724/7, -926/7]]], 1, 960, [], [] >,
< [ -2, 0, 1 ], [[272, 400]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 0], [82, 44], [0, 0]], [[0, 0], [5, 1], [-4, 1], [1, 0]], [[0, 0], [-104, 168], [102, 150], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2650, -184], [-116, -94], [0, 0]], [[0, 0], [-1526851917/7, 1206921941/7], [-18789324/7, 22825/7], [23/7, 4/7]], [[0, 0], [131476281743/7, -76673919493/7], [-502458030/7, -1342684029/7], [1191/7, 1752/7]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[272, 400]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -8], [50, 48], [0, 0]], [[0, 0], [5, 1], [4, 0], [1, 0]], [[0, 0], [-250, 70], [60, 132], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1894, -136], [-60, -70], [0, 0]], [[0, 0], [166000673/7, -175680458/7], [7723872/7, -15018/7], [-11/7, -1/7]], [[0, 0], [47071400702/7, -13005544712/7], [-727943910/7, -1379787180/7], [1402/7, 2062/7]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[8576, 5376]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [196, 208], [184, 8], [0, 0]], [[0, 0], [-18322, 11120], [29304, -21368], [10, -10]], [[0, 0], [-58714, -4898], [33700, -40188], [-34, -50]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4344, -356], [344, 236], [0, 0]], [[0, 0], [1025197410/7, -697782738/7], [-5399224/7, -640/7], [94/7, 6/7]], [[0, 0], [-680496275772/7, 526925845296/7], [-2637940680/7, -4570109692/7], [56064/7, 82490/7]]], 0, 491520, [], [] >,
< [ -2, 0, 1 ], [[64, 132]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-81, 3/2], [-184, 39], [-81, 3/2], [0, 0]], [[0, 0], [-9, 1], [-12, 0], [1, 0]], [[-1276, -609], [-2342, -812], [-1276, -609], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-58, 1/2], [1156, 5], [-58, 1/2], [0, 0]], [[-2306772, 7254], [321889705/7, 3152836/7], [-16149267/7, 51021/7], [-23/7, 3/7]], [[372225438, 534338220], [-7696375532, -10748622151], [372252654, 534394353], [336, 693]]], 1, 960, [], [] >,
< [ -2, 0, 1 ], [[64, 132]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[105, 3/2], [74, 48], [105, 3/2], [0, 0]], [[0, 0], [-9, 1], [-12, 0], [1, 0]], [[-544, 459], [34, 74], [-544, 459], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[113, 5/2], [-3930, -34], [113, 5/2], [0, 0]], [[-66392, 1351/2], [16160321/7, -381237/7], [-462557/7, 9133/14], [27/7, -2/7]], [[0, 0], [625/7, 1257/7], [-81/7, -162/7], [-1/7, -2/7]]], 1, 960, [], [] >,
< [ -2, 0, 1 ], [[528, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [266, 10], [-36, -20], [0, 0]], [[0, 0], [-9, 1], [-4, 1], [1, 0]], [[0, 0], [-3976, 1704], [278, 58], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2018, 12], [-76, 6], [0, 0]], [[0, 0], [173102351/7, 14674979/7], [-6434446/7, -141/7], [-15/7, -2/7]], [[0, 0], [753297682, 148777336], [-27458238, -3203058], [-66, -16]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[528, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-310, 0], [-84, -26], [0, 0]], [[0, 0], [-9, 1], [-12, 0], [1, 0]], [[0, 0], [-4864, 384], [-1254, -304], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-614, -38], [26, -20], [0, 0]], [[0, 0], [-372949/7, -274518/7], [-2584/7, -408/7], [19/7, 3/7]], [[0, 0], [-1027120611/7, -749113559/7], [-6453064/7, -1564000/7], [47449/7, 11500/7]]], 0, 7680, [], [] >,
< [ -2, 0, 1 ], [[4224, 1024]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -264], [-368, 16], [0, 0]], [[0, 0], [-61822, 4688], [11028, -43368], [-10, -4]], [[0, 0], [1613858, -424370], [-708240, 1154112], [214, 52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1156, -222], [-404, -4], [0, 0]], [[0, 0], [-418484610/7, -69713808/7], [-147710112/7, 2553536/7], [34/7, -2/7]], [[0, 0], [256319581408/7, 107290316396/7], [81594954696/7, 22713017732/7], [-18320/7, -4440/7]]], 0, 491520, [], [] >,
< [ -2, 0, 1 ], [[0, 100]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 5], [20, 5], [0, 0]], [[-11, -2], [722/17, -228/17], [-260, 80], [-31/17, -1/34]], [[413, 649/2], [-19325/34, -21959/34], [7165/2, 4015], [1829/34, 767/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 2], [-5, 25], [0, 0]], [[-23, -9/2], [1120/17, -413/34], [-60, -225/2], [-129/34, -2/17]], [[-189, -441/2], [1847/17, 17359/34], [-2235, -2125/2], [-693/34, -567/17]]], 1, 624, [], [] >,
< [ -2, 0, 1 ], [[0, 100]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 9], [25, 0], [0, 0]], [[-22, -9/2], [-39/34, -188/17], [-655/2, 5/2], [-123/34, -5/34]], [[-443, -443/2], [-5561/34, -3414/17], [-11385/2, -4165/2], [-2215/34, -443/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 10], [20, 25], [0, 0]], [[-11, -5/2], [389/17, 227/17], [200, 125], [-61/34, -2/17]], [[108, 108], [-6207/17, -4686/17], [-3325, -2450], [216/17, 270/17]]], 1, 624, [], [] >,
< [ -2, 0, 1 ], [[400, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 5], [-25, 20], [0, 0]], [[0, 0], [-815/17, -428/17], [35, 5], [96/17, 1/17]], [[0, 0], [-80438/17, -116741/34], [2275, 3615/2], [5115/17, 4290/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -10], [-10, -20], [0, 0]], [[0, 0], [-1645/17, -930/17], [-155, -110], [27/17, 4/17]], [[0, 0], [297/17, 1727/17], [145, 100], [54/17, -60/17]]], 0, 4992, [], [] >,
< [ -2, 0, 1 ], [[400, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 19/2], [-5, -25/2], [0, 0]], [[0, 0], [630/17, 1034/17], [-90, -120], [130/17, 1/17]], [[0, 0], [40448/17, 32455/17], [-5100, -3975], [3132/17, 1620/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 7], [-15, 25], [0, 0]], [[0, 0], [13954/17, 8577/17], [1840, 0], [-16/17, -3/17]], [[0, 0], [75834/17, 47575/17], [9360, 520], [-84/17, -20/17]]], 0, 4992, [], [] >,
< [ -2, 0, 1 ], [[112, 272]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, 10], [28, 22], [0, 0]], [[0, 0], [1, 1], [-2, 1], [1, 0]], [[0, 0], [48, -28], [-6, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 146], [92, 46], [0, 0]], [[0, 0], [-2312992/7, 2438542/7], [807130/7, 23510/7], [6/7, -2/7]], [[0, 0], [-131410535/7, -55574/7], [-39831752/7, -40638735/7], [-83/7, -201/7]]], 0, 4224, [], [] >,
< [ -2, 0, 1 ], [[112, 272]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 2], [-70, -32], [0, 0]], [[0, 0], [1, 1], [-20, 0], [1, 0]], [[0, 0], [-286, 462], [200, 420], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2284, -40], [-42, -10], [0, 0]], [[0, 0], [190571163/7, -43184458/7], [3127540/7, -14568/7], [23/7, -3/7]], [[0, 0], [796507902, 3679891650], [44413238, 70395574], [196, 476]]], 0, 4224, [], [] >,
< [ -2, 0, 1 ], [[136, 28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-88, 3/2], [-104, 53], [-88, 3/2], [0, 0]], [[0, 0], [1, 1], [3, 0], [1, 0]], [[-6384, 4368], [-12506, 8794], [-6384, 4368], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22, 5/2], [1656, 23], [22, 5/2], [0, 0]], [[606420, 800], [326882275/7, -32287481/7], [4245538/7, 5704/7], [23/7, 4/7]], [[307431910, 11013620], [164572204557/7, -10648894421/7], [2152330144/7, 77158520/7], [11799/7, 2430/7]]], 1, 528, [], [] >,
< [ -2, 0, 1 ], [[136, 28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 5/2], [-40, -38], [-1, 5/2], [0, 0]], [[0, 0], [1, 1], [3, 0], [1, 0]], [[0, 0], [-6, -8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[32, 1/2], [368, 0], [32, 1/2], [0, 0]], [[410688, -1656], [33080771/7, -649230/7], [2874114/7, -11722/7], [-27/7, -5/7]], [[-139997976, -2572704], [-1609843650, -4479401], [-139963500, -2565606], [1326, 273]]], 1, 528, [], [] >,
< [ -2, 0, 1 ], [[5248, 3072]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, -294], [-388, 4], [0, 0]], [[0, 0], [-2244450, 1648018], [3294888, -2288224], [6, 8]], [[0, 0], [-639320316, 461660314], [926939280, -648895944], [612, 1494]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2080, 90], [-192, -164], [0, 0]], [[0, 0], [21296192/7, -18577382/7], [937752/7, -7244/7], [96/7, 10/7]], [[0, 0], [-452603446/7, 240544386/7], [2577424/7, 12994428/7], [562/7, 1362/7]]], 0, 270336, [], [] >,
< [ -2, 0, 1 ], [[80, 108]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[56, 2], [166, 24], [56, 2], [0, 0]], [[0, 0], [-15, 1], [6, 0], [1, 0]], [[0, 69/2], [22, 101], [0, 69/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[51, 1], [-332, -2], [51, 1], [0, 0]], [[79182, -6889/2], [-3618323/7, 205677/7], [553449/7, -48373/14], [-11/7, -1/7]], [[-919308, -1756114], [39810501/7, 79591735/7], [-6420531/7, -12272998/7], [195/7, 264/7]]], 1, 528, [], [] >,
< [ -2, 0, 1 ], [[80, 108]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, 2], [-10, 44], [10, 2], [0, 0]], [[0, 0], [-15, 1], [6, 0], [1, 0]], [[28, 25/2], [40, 100], [28, 25/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[24, 5/2], [-298, 14], [24, 5/2], [0, 0]], [[50040, 486], [-639972, 89734], [49890, 486], [-2, 0]], [[473088, 626304], [-25660395/7, -49881779/7], [3301941/7, 4371078/7], [-129/7, -174/7]]], 1, 528, [], [] >,
< [ -2, 0, 1 ], [[432, 160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-134, 10], [-62, -40], [0, 0]], [[0, 0], [-15, 1], [-12, 1], [1, 0]], [[0, 0], [-2090, 1100], [-332, -140], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1438, 62], [38, -20], [0, 0]], [[0, 0], [-37351467/7, -18951378/7], [457894/7, 1203/7], [23/7, -3/7]], [[0, 0], [-27513431368/7, -18123711437/7], [231067478/7, 105826906/7], [10200/7, 3775/7]]], 0, 4224, [], [] >,
< [ -2, 0, 1 ], [[432, 160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, -6], [-34, -16], [0, 0]], [[0, 0], [-15, 1], [6, 0], [1, 0]], [[0, 0], [156, -24], [-78, -34], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [502, 82], [-12, -30], [0, 0]], [[0, 0], [-107143/7, 2497843/7], [-295452/7, -4822/7], [5/7, -4/7]], [[0, 0], [-7514, -5100], [638, 468], [0, 0]]], 0, 4224, [], [] >,
< [ -2, 0, 1 ], [[3456, 1280]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, -32], [128, 44], [0, 0]], [[0, 0], [94, 1424], [1040, -3440], [-2, 8]], [[0, 0], [360, 1148], [144, -2640], [0, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3712, -34], [88, -56], [0, 0]], [[0, 0], [-340767396/7, -217330884/7], [1512520/7, -2684/7], [-36/7, -2/7]], [[0, 0], [-166278351706/7, -113221812084/7], [519634016/7, 169826816/7], [-12834/7, -4752/7]]], 0, 270336, [], [] >,
< [ -2, 0, 1 ], [[2432, 768]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 6], [252, 8], [0, 0]], [[0, 0], [58955660/1777, -384103/1777], [-556652, 4316/3], [21656/5331, 5/5331]], [[0, 0], [-24673298204/1777, 3091446278/1777], [698233952/3, -28274784], [-9048640/5331, 1074526/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 10], [-16, 88], [0, 0]], [[0, 0], [-17030334/1777, -20065/1777], [-1081912/3, -232/3], [22234/5331, 1/1777]], [[0, 0], [56610/1777, -23715/1777], [1200, -1508/3], [-74/5331, 31/5331]]], 0, 147456, [], [] >,
< [ -2, 0, 1 ], [[2432, 768]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-204, -16], [-292, 8], [0, 0]], [[0, 0], [45009502/1777, -12776359/1777], [-323260/3, -20456], [-25210/5331, -5/5331]], [[0, 0], [1462725724/1777, -48614006/1777], [-13479176/3, -1823806], [-958352/5331, -244972/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-196, -14], [-196, -10], [0, 0]], [[0, 0], [-148834/1777, 246485/1777], [22172/3, 488/3], [910/5331, 1/1777]], [[0, 0], [-46720/1777, 408927/1777], [43780/3, 3966], [1780/5331, 455/5331]]], 0, 147456, [], [] >,
< [ -2, 0, 1 ], [[48, 76]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 0], [-24, -4], [0, 0]], [[0, 0], [-10367972/1777, -49485/3554], [-90481/3, -191/3], [-1240/1777, -5/10662]], [[0, 0], [1372502841/3554, 443241803/3554], [5987839/3, 644144], [491909/10662, 158191/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -4], [29, 19], [0, 0]], [[0, 0], [-2431239/3554, 72092/1777], [48171, -29/3], [11861/10662, 1/5331]], [[0, 0], [-132680642/1777, 541209684/1777], [8225176/3, -21284818], [335608/5331, -2620324/5331]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[304, 96]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -20], [-158, 2], [0, 0]], [[0, 0], [25127603/1777, -104025309/3554], [112898/3, 256873/3], [537/1777, -5/10662]], [[0, 0], [53304166/1777, 221878712/1777], [-1474090/3, -1509677/3], [-2740/1777, -2800/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 6], [136, 0], [0, 0]], [[0, 0], [-1499571/1777, 122095/3554], [61442, -39], [2521/1777, 1/3554]], [[0, 0], [519187870/1777, 97232564/1777], [-64988186/3, -4852301], [-2667500/5331, -599500/5331]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[304, 96]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, -18], [-188, -3], [0, 0]], [[0, 0], [-13179186/1777, 24181687/3554], [8981, -51295/3], [-166/5331, -5/10662]], [[0, 0], [-22595524/1777, 72241433/3554], [-15171, -67715], [-276/1777, -201/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 10], [52, 3], [0, 0]], [[0, 0], [1599517/1777, 1977283/3554], [-264385/3, -5698/3], [-6653/5331, 1/3554]], [[0, 0], [-7030047/1777, -9335969/3554], [297445, 245002/3], [22207/5331, 11363/10662]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[112, 208]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -10], [30, -5], [0, 0]], [[0, 0], [-17155461/1777, 232540/1777], [-144482/3, 560], [-5909/5331, -2/5331]], [[0, 0], [-454016149/1777, -1532741541/3554], [-3848776/3, -2154009], [-163777/5331, -532481/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -16], [-96, -1], [0, 0]], [[0, 0], [2243397/1777, -2751067/3554], [57980/3, -9499/3], [537/1777, 5/10662]], [[0, 0], [244978989/1777, -498509453/3554], [-2940056/3, -3093941], [-176513/5331, -573889/10662]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[160, 132]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -6], [8, 10], [0, 0]], [[0, 0], [-12301737/3554, -1259/3554], [-53882/3, -109/3], [-4421/10662, -1/3554]], [[0, 0], [440116231/1777, -603637082/1777], [3835133/3, -1760164], [157919/5331, -216844/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 10], [19, 11], [0, 0]], [[0, 0], [-5596207/3554, -208427/3554], [53747/3, 106/3], [4421/10662, 1/3554]], [[0, 0], [132737388/1777, 58662499/1777], [-825556, -1039600/3], [-101750/5331, -42625/5331]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[112, 208]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -2], [112, 4], [0, 0]], [[0, 0], [-40660360/1777, 2381451/3554], [-554011/3, 2344], [-14050/5331, -5/10662]], [[0, 0], [-3511716046/1777, -15731370745/3554], [-17152455, -36024057], [-458662/1777, -1838975/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -8], [-10, -4], [0, 0]], [[0, 0], [-11339254/1777, 58123/3554], [109095, 50], [2810/1777, 1/3554]], [[0, 0], [-379301656/1777, -898045697/1777], [11104582/3, 25953779/3], [285650/5331, 222807/1777]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[896, 1664]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -8], [-16, -20], [0, 0]], [[0, 0], [10816730/1777, -28161/1777], [-302012/3, 92], [3886/5331, -5/5331]], [[0, 0], [-508632476/1777, 71615578/1777], [4731604, -658528], [-60888/1777, 8496/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 0], [-144, -44], [0, 0]], [[0, 0], [168684/1777, -14487/1777], [5024, -676/3], [-332/5331, 5/5331]], [[0, 0], [91800/1777, -218776/1777], [6632/3, -19624/3], [-40/1777, 430/5331]]], 0, 147456, [], [] >,
< [ -2, 0, 1 ], [[896, 1664]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [260, -30], [-440, -6], [0, 0]], [[0, 0], [145959660/1777, -45705699/1777], [-18628/3, 91414/3], [11572/5331, -1/1777]], [[0, 0], [-2860215948/1777, 23921418004/1777], [33953740/3, 5788084/3], [398088/1777, 2270576/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 16], [24, -4], [0, 0]], [[0, 0], [13285458/1777, -184314/1777], [-230696/3, -62], [-9506/5331, 4/5331]], [[0, 0], [-1016653148/1777, -1413060185/1777], [6127196, 8268802], [251640/1777, 340413/1777]]], 0, 147456, [], [] >,
< [ -2, 0, 1 ], [[144, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -8], [0, 4], [0, 0]], [[0, 0], [943/7, 578/7], [56, -41], [-55/7, -2/7]], [[0, 0], [-32869/7, -57097/14], [3445, -2378], [-355/7, 3905/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 14], [4, 3], [0, 0]], [[0, 0], [499/7, -701/14], [-1, -1], [-1/7, -3/14]], [[0, 0], [-8, 6], [0, 0], [0, 0]]], 0, 640, [], [] >,
< [ -2, 0, 1 ], [[0, 36]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [239/7, 17/14], [0, 0], [-25/7, -5/14]], [[0, 0], [-45/14, -18/7], [0, 0], [5/14, 2/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [13/2, -7], [0, 0], [3/2, 0]], [[0, 0], [330/7, 82/7], [0, 0], [-88/7, -76/7]]], 1, 80, [], [] >,
< [ -2, 0, 1 ], [[144, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 4], [10, -2], [0, 0]], [[0, 0], [331/7, -421/14], [-32, 23], [-1/7, -3/14]], [[0, 0], [6, -4], [-4, 3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 10], [0, -4], [0, 0]], [[0, 0], [-90/7, -627/14], [-44, -25], [10/7, -5/14]], [[0, 0], [-970/7, -1629/14], [-160, -110], [16/7, 13/14]]], 0, 640, [], [] >,
< [ -2, 0, 1 ], [[1152, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -4], [8, 0], [0, 0]], [[0, 0], [202/7, -131/7], [80, -20], [-38/7, -1/7]], [[0, 0], [-582/7, 324/7], [-324, -24], [186/7, 62/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -2], [16, 16], [0, 0]], [[0, 0], [-1716/7, 331/7], [-200, -216], [60/7, -1/7]], [[0, 0], [43928/7, -11416/7], [4176, 5004], [-1496/7, 136/7]]], 0, 40960, [], [] >,
< [ -2, 0, 1 ], [[1152, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 8], [-8, -4], [0, 0]], [[0, 0], [3204/7, -3496/7], [-28, 74], [-48/7, -2/7]], [[0, 0], [-31434/7, 48287/7], [0, -1148], [814/7, 185/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 34], [20, 10], [0, 0]], [[0, 0], [562/7, 2691/7], [40, 94], [-106/7, -5/7]], [[0, 0], [-4700/7, -23731/7], [-344, -828], [936/7, 39/7]]], 0, 40960, [], [] >,
< [ -2, 0, 1 ], [[3456, 1152]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7600/17, 388/17], [924/17, 18/17], [0, 0]], [[0, 0], [30779072/697, -53371909/697], [-362118/85, 152724/17], [-844/3485, 1/3485]], [[0, 0], [257025344/697, -329971196/697], [-3227592/85, 4662402/85], [-4864/3485, 128/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11352/17, -2096/17], [180/17, 30/17], [0, 0]], [[0, 0], [2364379422/4879, 14008619/4879], [397002/85, -642/17], [-46258/24395, -3/24395]], [[0, 0], [-21732512904416/4879, -874227683576/4879], [-3645589872/85, -95686458/85], [425015712/24395, 2922656/4879]]], 0, 245760, [], [] >,
< [ -2, 0, 1 ], [[72, 108]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100/17, -45/17], [141/17, 15/17], [0, 0]], [[-391, 3/2], [-2033073/1394, -66917/697], [-20724/17, 53688/85], [991/6970, -1/3485]], [[-1467, -21027], [-11432992/697, -109922963/1394], [1068930/17, -5350554/85], [1956/3485, 53301/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2374/17, -341/17], [-117/17, 6/17], [0, 0]], [[-1193, -3/2], [-105402805/574, -469923/574], [-2361/5, 162/5], [-13793/48790, -1/48790]], [[-74191, -895999], [-60023623383/4879, -1346107588471/9758], [1716081/85, -29975661/85], [-416611/24395, -2071641/9758]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[72, 108]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88/17, -127/17], [-273/17, -3/17], [0, 0]], [[810, 1/2], [2128951/1394, -3446321/1394], [-474162/85, -26718/85], [-2053/6970, -1/1394]], [[32718, 157563], [-15306265/17, 3362148/17], [-5886366/17, -93295734/85], [-1029/85, -4872/85]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5146/17, 359/17], [-225/17, -12/17], [0, 0]], [[1469, 2], [-56070878/4879, 8308501/9758], [48771/85, -2862/85], [8492/24395, 3/48790]], [[-158750, -5349875/2], [-18693160721/9758, 101664601497/4879], [1078689/17, -17701269/17], [-352425/9758, -3092450/4879]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[432, 144]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164/17, -18/17], [36/17, 6/17], [0, 0]], [[0, 0], [662412/697, -9937/1394], [74889/85, -447/85], [532/697, -3/6970]], [[0, 0], [-13305633/697, 48116887/697], [-1487634/85, 5437677/85], [-10151/697, 192869/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5716/17, 386/17], [486/17, 30/17], [0, 0]], [[0, 0], [3144561/17, -76304/17], [1457184/85, -41529/85], [-1/5, 0]], [[0, 0], [-79369623878/287, -1244895509/574], [-128117529/5, -92313], [7305822/24395, 468969/48790]]], 0, 3840, [], [] >,
< [ -2, 0, 1 ], [[432, 144]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [308/17, -164/17], [90/17, -36/17], [0, 0]], [[0, 0], [2877254/697, 16723/697], [-630/17, 648/85], [2238/3485, -1/3485]], [[0, 0], [-253281996/697, -39719865/1394], [268773/85, -36864/85], [-39366/697, -28431/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7144/17, 386/17], [384/17, 30/17], [0, 0]], [[0, 0], [3511157817/4879, -10387345/9758], [541167/17, 57873/85], [-15059/24395, 1/48790]], [[0, 0], [1775108998032/4879, 56904877605/4879], [1370066352/85, 75138114/85], [-1522800/4879, -255069/24395]]], 0, 3840, [], [] >,
< [ -2, 0, 1 ], [[1152, 2304]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [152/17, 836/17], [-96/17, -18/17], [0, 0]], [[0, 0], [-2496352/697, 518461/697], [-3246/17, -1686/17], [-844/697, -1/697]], [[0, 0], [-12223708/697, -18379670/697], [-295884/85, -44442/17], [-36828/3485, -38742/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14376/17, 664/17], [-780/17, -6/17], [0, 0]], [[0, 0], [3178002358/4879, 7807819/4879], [-301806/119, -9522/119], [-8914/4879, 1/4879]], [[0, 0], [4116110/4879, 5748697/4879], [-366/119, -2568/595], [-58/24395, -81/24395]]], 0, 245760, [], [] >,
< [ -2, 0, 1 ], [[144, 36]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-836/17, -161/17], [-135/17, -3/17], [0, 0]], [[-1259, -3/2], [-5118487/1394, -335211/697], [31608/85, -10674/85], [-3191/6970, 1/3485]], [[106987, 51560], [244616721/697, 266005897/1394], [-1810812/85, -385236/85], [27069/697, 130189/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1610/17, -835/17], [-21/17, 12/17], [0, 0]], [[1412, -3/2], [-382577021/9758, -1447797/4879], [547086/595, -2322/595], [-3265/9758, -1/24395]], [[-4137258, -1994307], [565162662243/4879, 275018179717/4879], [-1598071644/595, -767597616/595], [23944071/24395, 11557071/24395]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[144, 36]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-740/17, -211/17], [-201/17, -9/17], [0, 0]], [[-1143, -1/2], [23163635/1394, 6422742/697], [297936/85, 146082/85], [-2897/6970, 2/3485]], [[-1353807, -638638], [20882849341/697, 28138766019/1394], [103166364/17, 339267084/85], [-1712711/3485, -1612429/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10562/17, 835/17], [-183/17, -12/17], [0, 0]], [[1193, -3/2], [1716164139/9758, 23553685/9758], [303264/595, -24942/595], [-13793/48790, 1/48790]], [[-2595180, -1250970], [-270521575274/697, -132539625130/697], [-17373126/17, -7557354/17], [429126/697, 207126/697]]], 1, 480, [], [] >,
< [ -2, 0, 1 ], [[144, 288]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2336/17, 64/17], [774/17, 24/17], [0, 0]], [[0, 0], [1459174/697, 743315/1394], [26661/85, 14979/85], [-4054/3485, -3/6970]], [[0, 0], [-148239956/697, -117126307/697], [-746430/17, -542250/17], [56592/697, 50697/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15220/17, 240/17], [-642/17, -12/17], [0, 0]], [[0, 0], [-2713843590/4879, 13320413/4879], [14774178/595, -26994/595], [10602/24395, 1/24395]], [[0, 0], [-103586699992/119, -216149725361/238], [23270348313/595, 24194737599/595], [81784/119, 848509/1190]]], 0, 3840, [], [] >,
< [ -2, 0, 1 ], [[144, 288]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 8], [6, 0], [0, 0]], [[0, 0], [-959066/697, 434672/697], [-30276/85, 19938/85], [-294/3485, -2/3485]], [[0, 0], [-886177/697, -13208263/1394], [126171/85, -132897/85], [-725/697, -7337/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3600/17, 634/17], [78/17, -30/17], [0, 0]], [[0, 0], [-388521377/4879, 54208324/4879], [-3352722/595, -11631/595], [3265/4879, 2/24395]], [[0, 0], [10069579477/697, 25816325661/1394], [123649527/85, 128943933/85], [-597883/3485, -1251701/6970]]], 0, 3840, [], [] >,
< [ -2, 0, 1 ], [[0, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [30, 15], [0, -3/2], [0, 0]], [[0, 0], [3, 1], [0, 0], [1, 0]], [[0, 0], [-6, 0], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 5/2], [144, 81], [0, 15/2], [0, 0]], [[48, -2], [11917/7, 8987/7], [1125/7, -60/7], [-13/7, 2/7]], [[-30, -132], [-8612, -5853], [-90, -441], [0, 5]]], 1, 80, [], [] >,
< [ -2, 0, 1 ], [[0, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 5/2], [30, -24], [15, 15/2], [0, 0]], [[0, 0], [3, 1], [0, 0], [1, 0]], [[-8, -5], [-18, 18], [-24, -15], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 0], [-90, 18], [15, 0], [0, 0]], [[-11, -13/2], [-9, 79], [-42, -39/2], [1, 0]], [[-63, -105/2], [5074/7, -100/7], [-1341/7, -2781/14], [2/7, 32/7]]], 1, 80, [], [] >,
< [ -2, 0, 1 ], [[0, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 24], [15, 3], [0, 0]], [[0, 0], [-507, -231/2], [-189, -198], [0, -3/2]], [[0, 0], [-731, 307/2], [-54, -216], [2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 0], [-3, -3], [0, 0]], [[0, 0], [-3127/7, 659/14], [120/7, 30/7], [10/7, 5/14]], [[0, 0], [-121, 369/2], [0, -6], [0, -1/2]]], 1, 80, [], [] >,
< [ -2, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -30], [18, 18], [0, 0]], [[0, 0], [3, 1], [0, 3], [1, 0]], [[0, 0], [-96, 96], [-6, -30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 6], [30, 0], [0, 0]], [[0, 0], [-9313/7, 631/7], [4188/7, 207/7], [13/7, -2/7]], [[0, 0], [6651, 585], [-3102, -621], [-9, 0]]], 0, 640, [], [] >,
< [ -2, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 12], [-30, -12], [0, 0]], [[0, 0], [3, 1], [0, 0], [1, 0]], [[0, 0], [6, 6], [24, 18], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 24], [24, 0], [0, 0]], [[0, 0], [-2776/7, 643/7], [-702/7, 276/7], [-20/7, -5/7]], [[0, 0], [2895/7, 99/7], [660/7, -108/7], [27/7, 12/7]]], 0, 640, [], [] >,
< [ -2, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, -30], [-6, 15], [0, 0]], [[0, 0], [-3, 1], [0, 0], [1, 0]], [[0, 0], [48, 66], [36, 18], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150, -78], [18, -15], [0, 0]], [[0, 0], [-29259/7, -17372/7], [606/7, -657/7], [19/7, 3/7]], [[0, 0], [-221/7, -449/7], [12/7, 24/7], [1/7, 2/7]]], 0, 640, [], [] >,
< [ -2, 0, 1 ], [[128, 640]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3560, 8], [28, 0], [0, 0]], [[0, 0], [1641570/151, -949871/151], [-8634/151, 5872/151], [-1556/151, -1/151]], [[0, 0], [527987198/151, -153690052/151], [-2286488/151, 1373948/151], [-1005142/151, -436254/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-622652/151, -1062/151], [47664/151, 12/151], [0, 0]], [[0, 0], [16997345798/151, -5065806122/151], [-1302278708/151, 389681018/151], [-118/151, 4/151]], [[0, 0], [5313428435198/151, 1138724889031/151], [-406490600146/151, -86578078942/151], [-49028/151, -21267/151]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[48, 44]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94532/151, -919/151], [3972/151, 1/151], [0, 0]], [[0, 0], [-6421607833/302, -5492441189/151], [-139540394/151, -464338469/302], [13/302, -3/302]], [[0, 0], [84337631/151, 53906279/151], [3589533/151, 2300796/151], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26401/151, 552/151], [2147/151, 4/151], [0, 0]], [[0, 0], [987738139/151, -820011053/302], [-78876304/151, 31543980/151], [686/151, -3/302]], [[0, 0], [-82307139224/151, -1278616871985/151], [11428352208/151, 104219895780/151], [-1206000/151, -1388500/151]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[16, 80]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15680/151, 52/151], [-1090/151, -4/151], [0, 0]], [[0, 0], [-14045, 17], [990, 1], [243/151, 2/151]], [[0, 0], [-134838900/151, -115668113/302], [9522639/151, 4097716/151], [15575/151, 13545/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2228174/151, -190/151], [16144/151, 3/151], [0, 0]], [[0, 0], [-48885020167/151, -97794604202/151], [-354574850/151, -708656550/151], [-801/151, -1/151]], [[0, 0], [-1166159223111144/151, -1038081908277380/151], [-8453356861950/151, -7523601687525/151], [-6995924/151, -3037866/151]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[16, 80]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [734, 4], [-56, 0], [0, 0]], [[0, 0], [-327141/151, 551173/302], [29625/151, -20624/151], [522/151, 3/302]], [[0, 0], [-26707010/151, 40359104/151], [3546730/151, -2350708/151], [157520/151, 68420/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [192, -2], [-14, 0], [0, 0]], [[0, 0], [3369233/151, 664012/151], [-253608/151, -50439/151], [637/151, 4/151]], [[0, 0], [2866866072/151, 1533556696/151], [-216079258/151, -115766666/151], [466256/151, 201453/151]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[16, 80]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38324/151, -841/151], [-2948/151, -5/151], [0, 0]], [[0, 0], [1229587/151, -55893077/302], [-2915/151, 2148880/151], [-640/151, 5/302]], [[0, 0], [-2247402124/151, -2651940946/151], [181674300/151, 207793874/151], [-61712/151, -26854/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [326456/151, 1372/151], [2370/151, -1/151], [0, 0]], [[0, 0], [2340128059/151, 5735928995/151], [16603544/151, 41564658/151], [709/151, -1/151]], [[0, 0], [6518210658984/151, 6002541512881/151], [46918886094/151, 43359703920/151], [629262/151, 273439/151]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[48, 44]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48145/151, -1005/151], [2081/151, -4/151], [0, 0]], [[-30, 1/2], [1210307929/302, -1558961017/302], [24900450/151, -33222450/151], [197/302, 1/302]], [[-14384, -17110], [-600263261883/151, -38599846412/151], [-26028863325/151, -2161316025/151], [49706/151, 57246/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1602, 2], [-21732/151, 125/151], [1602/151, 2/151], [0, 0]], [[-17708191, -5912443/2], [239715859/151, 76843941/302], [-17708191/151, -5912443/302], [348/151, 1/151]], [[-46680166104, -44566228200], [624887908575/151, 600257167436/151], [-46680166104/151, -44566228200/151], [666225/151, 767228/151]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[48, 44]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30647/151, 1044/151], [-1313/151, 1/151], [0, 0]], [[9, -1/2], [192494817/302, -307293185/151], [3253788/151, -13057560/151], [-59/302, 1/151]], [[-2233, -5313/2], [327704699009/302, 56936936896/151], [7198736112/151, 2679255360/151], [15433/302, 8888/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59929/151, -794/151], [4517/151, 3/151], [0, 0]], [[476, 1/2], [-2970772837/151, 1848376375/151], [227502597/151, -284364423/302], [476/151, 1/302]], [[-1720278, -1980531], [-4656856807975/151, 5685535629820/151], [361886477029/151, -433117567967/151], [-1720278/151, -1980531/151]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[2816, 1536]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-248, -120], [192, 8], [0, 0]], [[0, 0], [74472, 138194], [73572, -145080], [20, 6]], [[0, 0], [-1346620, -91894], [1761800, -736698], [-20, -96]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 66], [52, 22], [0, 0]], [[0, 0], [-200, 86], [-68, -70], [20, 0]], [[0, 0], [-384, 358], [172, 60], [12, -30]]], 0, 98304, [], [] >,
< [ -2, 0, 1 ], [[256, 1280]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 24], [128, 10], [0, 0]], [[0, 0], [-11252, 9192], [9960, -12100], [4, 2]], [[0, 0], [-2216, 1520], [2576, -1624], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, 92], [24, -6], [0, 0]], [[0, 0], [1076, -92], [612, -404], [0, 10]], [[0, 0], [-3808, -100], [-1884, 1212], [-8, -36]]], 0, 98304, [], [] >,
< [ -2, 0, 1 ], [[256, 1280]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-116, 8], [-116, -6], [0, 0]], [[0, 0], [-8592, 7596], [-6992, 6656], [12, 0]], [[0, 0], [-10220, 4832], [-9144, 3764], [-4, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, 108], [180, 4], [0, 0]], [[0, 0], [-336, 332], [364, -226], [-16, -2]], [[0, 0], [8356, -4284], [-5736, 4596], [-44, -198]]], 0, 98304, [], [] >,
< [ -2, 0, 1 ], [[-128, -640]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, -16], [12, -24], [0, 0]], [[0, 0], [-1550, -1092], [-244, -140], [-6, 2]], [[0, 0], [-824, -588], [16, -178], [24, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -74], [-76, -2], [0, 0]], [[0, 0], [-2242, 5398], [5400, -376], [10, -4]], [[0, 0], [-78322, -26336], [-39836, -45614], [-14, -56]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[1408, 768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -14], [80, 36], [0, 0]], [[0, 0], [12, -180], [1024, 496], [-4, 0]], [[0, 0], [-502, -66], [1880, 1674], [-2, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 34], [-4, -20], [0, 0]], [[0, 0], [720, -810], [4, 440], [-4, 8]], [[0, 0], [-446, 2444], [-1572, -2026], [-10, -30]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[1408, 768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 16], [40, 4], [0, 0]], [[0, 0], [-90, -80], [124, -250], [-10, 2]], [[0, 0], [-246, -196], [48, -450], [-18, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 16], [48, -12], [0, 0]], [[0, 0], [-162, -90], [-84, -198], [-6, 8]], [[0, 0], [6060, 4046], [6460, 5916], [-24, -136]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[40, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 4], [4, 6], [0, 0]], [[0, 0], [6, 7/2], [-27, -62], [1, 1/2]], [[0, 0], [0, 0], [1, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 2], [0, -7], [0, 0]], [[0, 0], [-26, 1504], [987, 83], [-2, 2]], [[0, 0], [-21534, -23615/2], [-9072, -7796], [-13, -3/2]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[16, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 26], [20, 2], [0, 0]], [[0, 0], [5, 1], [4, 0], [1, 0]], [[0, 0], [-30, 4], [-10, -15], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, 38], [46, -1], [0, 0]], [[0, 0], [-9, 1], [4, 0], [1, 0]], [[0, 0], [-2832, -2078], [-560, -1232], [0, 0]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[-2688, -896]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1104232/151, 260/151], [-83640/151, -20/151], [0, 0]], [[0, 0], [-7206393938/151, 730811/151], [545878650/151, -55136/151], [1976/151, 3/151]], [[0, 0], [-8734836509964/151, 97154219637650/151], [661650972424/151, -7359355147112/151], [2308808/151, -26635908/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70040/151, 4176/151], [8272/151, 4/151], [0, 0]], [[0, 0], [-19729754/151, -1062388/151], [-2115828/151, -1142/151], [-6, 0]], [[0, 0], [-4954728/151, -282834375/151], [2718218/151, -30478022/151], [1178/151, -13051/151]]], 0, 147456, [], [] >,
< [ -2, 0, 1 ], [[-336, -112]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [852, 4], [-70, 0], [0, 0]], [[0, 0], [-737384910/151, -109383095/302], [60541043/151, 4209522/151], [279/151, 1/302]], [[0, 0], [3265063892/151, 56353025189/151], [-224862018/151, -4628677888/151], [1872/151, -21463/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25682/151, 1234/151], [-2022/151, -2/151], [0, 0]], [[0, 0], [-16851476/151, -53101683/302], [1009983/151, 2041298/151], [-791/151, -5/302]], [[0, 0], [-94994283757/151, -53008323507/302], [7352461021/151, 1511224709/151], [126638/151, -2915427/302]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[-336, -112]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24196/151, -1588/151], [1838/151, 6/151], [0, 0]], [[0, 0], [-5254003/151, 69539215/151], [1070912/151, -5351749/151], [-361/151, -2/151]], [[0, 0], [-461256228611/151, 79660344113/302], [35713730301/151, -5267869008/151], [-103428/151, 2384421/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-139572/151, 1104/151], [10202/151, 8/151], [0, 0]], [[0, 0], [-17959606951/151, -2974523378/151], [1316776792/151, 228868067/151], [407/151, 1/151]], [[0, 0], [724719796143/151, 5955262730237/302], [-56765041705/151, -218150216914/151], [5936/151, -137005/302]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[-56, -84]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168057/151, 4366/151], [5239/151, 1/151], [0, 0]], [[99, 2], [4435055367/151, -1449894815/302], [139604116/151, -26199874/151], [325/151, -1/302]], [[136300, -5875/2], [12399529034371/302, -2509854768423/302], [195541576346/151, -44163759470/151], [896525/302, -38775/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78840/151, 3663/151], [2252/151, -3/151], [0, 0]], [[-85, -2], [-1319188716/151, 778152253/302], [-38928031/151, 12972438/151], [-279/151, -1/302]], [[76426, -3339/2], [2440876776481/302, -808912775537/302], [36135806114/151, -13278746583/151], [502705/302, -21889/302]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[-56, -84]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [193, 13], [7, 0], [0, 0]], [[16, 1/2], [317422351/302, 69930241/302], [5634032/151, 888663/151], [105/302, 1/302]], [[-708, 31/2], [-13763052299/302, -2356795399/302], [-245946194/151, -26179314/151], [-4657/302, 203/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18247/151, -1005/151], [-873/151, -4/151], [0, 0]], [[-124, -3], [-3667945/151, 200922/151], [-195626/151, 19379/151], [-407/151, -1/151]], [[272845, -11911/2], [16259085699/302, -814948686/151], [435337186/151, -62568753/151], [1794683/302, -39057/151]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[-2688, -896]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1512368/151, 1614/151], [-6408/151, -8/151], [0, 0]], [[0, 0], [17833395220/151, -297994531/151], [-75560134/151, 1248546/151], [374/151, -5/151]], [[0, 0], [4289374410036/151, 608615660444/151], [-18175161724/151, -2582104968/151], [90052/151, 13066/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [312824/151, -198/151], [-2180/151, -8/151], [0, 0]], [[0, 0], [133599980/151, -33289033/151], [-930370/151, 227710/151], [-230/151, -5/151]], [[0, 0], [-1609106334/151, 230454121/151], [11217550/151, -1552364/151], [2952/151, 399/151]]], 0, 196608, [], [] >,
< [ -2, 0, 1 ], [[-336, -112]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1424528/151, 1950/151], [1858/151, 1/151], [0, 0]], [[0, 0], [-3727269472/151, 4198634407/151], [4840500/151, -5467000/151], [-164/151, 3/151]], [[0, 0], [-196575061279/151, 294823683006/151], [254919000/151, -384050100/151], [-13303/151, -1855/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4442154/151, -828/151], [-15376/151, -6/151], [0, 0]], [[0, 0], [97938/151, -587931/302], [-1575/151, -1344/151], [-325/151, -1/302]], [[0, 0], [806762/151, -45656922/151], [-327958/151, -261210/151], [-53312/151, -8512/151]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-336, -112]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2618678/151, 1583/151], [9034/151, 6/151], [0, 0]], [[0, 0], [-36066899577/151, -209374094/151], [-124425178/151, -729093/151], [637/151, 4/151]], [[0, 0], [-15403172554390/151, -2380251613690/151], [-53139404778/151, -8214389502/151], [272084/151, 42168/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3524654/151, -1786/151], [-12172/151, -2/151], [0, 0]], [[0, 0], [117265023962/151, -39970901739/302], [405005467/151, -69155819/151], [417/151, 5/302]], [[0, 0], [-10010935022432/151, 390411532039/151], [-34572268536/151, 1360088760/151], [-37352/151, -5191/151]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-56, -84]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1300581/151, 716/151], [4517/151, 3/151], [0, 0]], [[535, -3/2], [-41961164424/151, 1195683573/151], [-145729181/151, 8272227/302], [535/151, -3/302]], [[29890, 107177], [-1912061076024/151, -8344666329677/151], [-6647091776/151, -28981576737/151], [29890/151, 107177/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2300932/151, -591/151], [-3972/151, -1/151], [0, 0]], [[76, -3/2], [8579747129/302, -1180318009/302], [-7403544/151, 1015002/151], [-499/302, -1/302]], [[-5705, -22820], [-16726771152/151, -2488244246995/302], [30984525/151, 2147434146/151], [22005/151, 150775/302]]], 1, 384, [], [] >,
< [ -2, 0, 1 ], [[-56, -84]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1730, 3/2], [494534/151, 2377/302], [1730/151, 3/302], [0, 0]], [[3238430, 420051], [926170394/151, 121497268/151], [3238430/151, 420051/151], [486/151, 4/151]], [[20696746, 39294955], [5951083339/151, 11242689844/151], [20696746/151, 39294955/151], [1725/151, 5700/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2927431/151, 138/151], [5029/151, 1/151], [0, 0]], [[76, -3/2], [75505225173/302, 434093483/302], [-64854342/151, -388815/151], [-499/302, -1/302]], [[-6804, -29484], [-4130378087225/151, -14746988546251/151], [7107927015/151, 25335185400/151], [26568/151, 97362/151]]], 1, 384, [], [] >,
< [ -2, 0, 1 ], [[-48, -240]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12952/17, -40/17], [930/17, 2/17], [0, 0]], [[0, 0], [554945638/697, -1092473459/1394], [926555/17, -4757781/85], [-2366/3485, -1/6970]], [[0, 0], [16969565408/697, -37683500965/697], [125722542/85, -336325502/85], [-260176/3485, -19089/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30556/17, -310/17], [-2032/17, -10/17], [0, 0]], [[0, 0], [-73121368057/4879, -390521623/9758], [-16936481/17, 216124/85], [3613/24395, 3/48790]], [[0, 0], [-2323758342605/697, -1402837890459/1394], [-18779265257/85, -5588004134/85], [1349/41, 4047/410]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-48, -240]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-372, 2], [-28, 0], [0, 0]], [[0, 0], [12628836/697, -2249521/1394], [136393/85, -9446/85], [-1522/3485, -3/6970]], [[0, 0], [915103460/697, 258316358/697], [2006190/17, 599752/17], [-23556/697, -8346/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17608/17, 90/17], [1384/17, 4/17], [0, 0]], [[0, 0], [-3826414194/4879, -714934461/9758], [-2601871/85, -483016/85], [28852/24395, 1/48790]], [[0, 0], [612618092308/4879, 185058478742/4879], [432882762/85, 162727326/85], [-4436016/24395, -981042/24395]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-120, -12]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [390/17, 116/17], [-368/17, 1/17], [0, 0]], [[-1592, 5/2], [-10444829/1394, -1617773/1394], [65007/85, 74134/85], [807/1394, 1/6970]], [[46717, 140151/2], [450521339/1394, 253968225/697], [-8450014/85, -5050257/85], [-119053/6970, -88913/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-718/17, 209/17], [551/17, 4/17], [0, 0]], [[-714, -1/2], [159406085/9758, -89992776/4879], [-589586/85, 1020398/85], [-1651/9758, 2/24395]], [[-64735, -81213], [-13247148671/4879, 1831532539/9758], [35727278/17, 25327753/85], [-373109/24395, -938069/48790]]], 1, 384, [], [] >,
< [ -2, 0, 1 ], [[-120, -12]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1108/17, 263/17], [919/17, 3/17], [0, 0]], [[-2026, 5/2], [-510621453/1394, 353150891/1394], [19658926/85, -13109733/85], [1027/1394, 3/6970]], [[747844, 2066677/2], [-171438385753/1394, 129868875881/1394], [6103587682/85, -5180171429/85], [-1904981/6970, -2622507/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, -5], [-35, 0], [0, 0]], [[1339, 3/2], [-2083142927/9758, -424519/9758], [17361/85, 3701/85], [15481/48790, -1/48790]], [[119520, 178035], [-13245384703/697, -19771948123/697], [505587/17, 527174/17], [19671/697, 29382/697]]], 1, 384, [], [] >,
< [ -2, 0, 1 ], [[-384, -1920]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15936/17, -480/17], [824/17, -10/17], [0, 0]], [[0, 0], [-20111004/697, -15276620/697], [17460/17, 93192/85], [-4988/3485, -4/3485]], [[0, 0], [-3301906688/697, -2395457531/697], [16289238/85, 13325508/85], [-543508/3485, -181937/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15704/17, -624/17], [-44/17, 4/17], [0, 0]], [[0, 0], [3449036958/4879, -14989379/4879], [-10050/17, 178/17], [-8914/4879, -1/4879]], [[0, 0], [49672188564/697, 19063774718/697], [-5013252/85, -1876282/85], [-644108/3485, -249222/3485]]], 0, 196608, [], [] >,
< [ -2, 0, 1 ], [[-1152, -5760]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15840/17, -12/17], [-1812/17, -30/17], [0, 0]], [[0, 0], [-1828902/697, 29447733/697], [-123138/85, -412662/85], [-8326/3485, -1/697]], [[0, 0], [2278760056/697, 2824254056/697], [-9317280/17, -45788232/85], [-820512/3485, -348096/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [546120/17, 240/17], [-8436/17, -12/17], [0, 0]], [[0, 0], [224396078482/4879, -64698848295/4879], [-60926622/85, 17357496/85], [-5686/4879, -1/24395]], [[0, 0], [-8278280111152/4879, -2236902507115/4879], [2258005014/85, 618045864/85], [1454092/24395, 702703/24395]]], 0, 1966080, [], [] >,
< [ -2, 0, 1 ], [[-360, -36]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24040/17, -397/17], [-2691/17, -15/17], [0, 0]], [[1360, -1/2], [-1249502895/1394, 825298815/1394], [-8732508/85, 5728578/85], [-3447/6970, -1/1394]], [[80220, 268737/2], [89323704111/1394, -74739122935/1394], [616504956/85, -524654166/85], [-12033/410, -4011/82]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2930/17, -1/17], [-423/17, 6/17], [0, 0]], [[-3084, -4], [-2583240348/4879, -25955511/4879], [-1395561/85, -47931/85], [-17828/24395, -2/24395]], [[-1010322, -2747583/2], [-247540721523/1394, -165443364968/697], [-498238128/85, -636719301/85], [-332667/1394, -1133532/3485]]], 1, 3840, [], [] >,
< [ -2, 0, 1 ], [[-360, -36]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2062/17, -287/17], [-225/17, -12/17], [0, 0]], [[-1635, 1], [1069144/697, -9098367/1394], [40026/85, -62706/85], [2072/3485, 1/1394]], [[4067830, 11276795/2], [1401250469/34, 373111725/34], [66585948/17, 3636426/17], [-50547/34, -69803/34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23632/17, 91/17], [2691/17, 15/17], [0, 0]], [[-1891, -5/2], [466119233/9758, 3004465/9758], [-41844/85, 261/17], [-21863/48790, -3/48790]], [[-215740, -314230], [3855107474/697, 5551933995/697], [-864441/17, -1359735/17], [-35510/697, -51858/697]]], 1, 3840, [], [] >,
< [ -2, 0, 1 ], [[-144, -720]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3008/17, -116/17], [-1230/17, -18/17], [0, 0]], [[0, 0], [-15749794/41, -8537651/82], [-751809/5, -194547/5], [1522/3485, 3/6970]], [[0, 0], [-227324007600/697, -119799309624/697], [-10771318272/85, -5607090816/85], [1082808/3485, 388786/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84908/17, -234/17], [-6162/17, -24/17], [0, 0]], [[0, 0], [20190286356/4879, -9421481077/9758], [4875717/17, -1187949/17], [9336/4879, 1/9758]], [[0, 0], [-4590785829790/4879, -1481197027067/4879], [-5471664888/85, -342907338/17], [-13704598/24395, -6622613/24395]]], 0, 30720, [], [] >,
< [ -2, 0, 1 ], [[-144, -720]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-256/17, -54/17], [-198/17, 18/17], [0, 0]], [[0, 0], [-2588973/697, 1058349/1394], [77493/85, 27357/85], [-2769/3485, -1/1394]], [[0, 0], [-4799124000/697, -886193617/697], [42326412/17, 120493248/85], [-6027532/3485, -2184451/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51640/17, 254/17], [3504/17, 6/17], [0, 0]], [[0, 0], [-139530677862/4879, 11498182931/4879], [-165508836/85, 14125782/85], [-10602/24395, 1/24395]], [[0, 0], [-8999674349983/697, -5626421777711/1394], [-74550751263/85, -23124555639/85], [-728903/3485, -547517/6970]]], 0, 30720, [], [] >,
< [ -2, 0, 1 ], [[-1664, -2048]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39960/151, 1114/151], [4096/151, -16/151], [0, 0]], [[0, 0], [-24577902/151, 2275729/151], [2508918/151, -172884/151], [-72/151, 5/151]], [[0, 0], [-172879480/151, -401832144/151], [19703284/151, 41627448/151], [-564/151, -1194/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1175868/151, -17558/151], [-32932/151, -20/151], [0, 0]], [[0, 0], [169111308062/151, -34150170808/151], [-4708733444/151, 883239858/151], [-1418/151, 2/151]], [[0, 0], [71440149395010/151, 925873926910881/151], [-2808129514762/151, -25973974715728/151], [-4041932/151, -8578841/151]]], 0, 172032, [], [] >,
< [ -2, 0, 1 ], [[-208, -256]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11754/151, 1458/151], [1090/151, 4/151], [0, 0]], [[0, 0], [-75139547/151, 97435751/302], [5993665/151, -3748673/151], [-338/151, 5/302]], [[0, 0], [-59170910894/151, 49963865869/151], [4453478230/151, -4049998760/151], [153870/151, 326485/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1092346/151, -328/151], [7944/151, 2/151], [0, 0]], [[0, 0], [9950723259/151, -1535171521/151], [72346626/151, -11124509/151], [939/151, 4/151]], [[0, 0], [-18608140286009/151, -111677708017174/151], [-136183242096/151, -812158410492/151], [-5354641/151, -11372047/151]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-208, -256]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90914/151, 578/151], [-6854/151, 2/151], [0, 0]], [[0, 0], [1861085997/151, -1221284817/302], [-140920597/151, 46973428/151], [338/151, -5/302]], [[0, 0], [244144960966/151, -1193234136417/151], [-19608324300/151, 90079619374/151], [-120912/151, -256709/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-153392/151, 401/151], [11660/151, 4/151], [0, 0]], [[0, 0], [-1891400071/151, -467874489/151], [143985670/151, 35991019/151], [-13/151, 3/151]], [[0, 0], [5750142/151, 5199903/151], [-439438/151, -396566/151], [0, 0]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-232, -180]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1027/151, -1726/151], [-223/151, 5/151], [0, 0]], [[-23, 1/2], [-30301955/302, -31030694/151], [-4176926/151, 355225/151], [1/2, 0]], [[24046, 5192], [31438632987/151, 36545527762/151], [4235360025/151, 663588588/151], [-79750/151, -18777/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8873, -5/2], [112329/151, -539/302], [-8873/151, -5/302], [0, 0]], [[1398598586, -139770477], [-17714918157/151, 1816919410/151], [1398598586/151, -139770477/151], [335/151, 4/151]], [[-3022251326094, -395024550921], [38233059118858/151, 4898112633662/151], [-3022251326094/151, -395024550921/151], [-762026/151, -179416/151]]], 1, 336, [], [] >,
< [ -2, 0, 1 ], [[-232, -180]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-453, 17], [7, 0], [0, 0]], [[136, -5/2], [371579001/302, 80235961/302], [-2918302/151, -729417/151], [-893/302, -3/302]], [[-5152, -1113], [-7811817149/151, -3183825380/151], [124468782/151, 53802825/151], [17087/151, 4025/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69152/151, 138/151], [6086/151, 1/151], [0, 0]], [[371, 3/2], [52252572036/151, -904499876/151], [-4598359633/151, 139344331/302], [371/151, 3/302]], [[51566, 12144], [7190893858791/151, 1555600070474/151], [-633455695195/151, -138273844490/151], [51566/151, 12144/151]]], 1, 336, [], [] >,
< [ -2, 0, 1 ], [[-720, -464]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82, -10], [-22, 2], [0, 0]], [[0, 0], [5, 1], [0, 1], [1, 0]], [[0, 0], [736, 488], [-210, -140], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [178, 120], [-32, -20], [0, 0]], [[0, 0], [-23, 1], [0, 1], [1, 0]], [[0, 0], [20, -12], [-10, 6], [0, 0]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-720, -464]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, 52], [-10, -8], [0, 0]], [[0, 0], [-23, 1], [4, 0], [1, 0]], [[0, 0], [-2, -10], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -12], [26, 18], [0, 0]], [[0, 0], [47, 1], [4, 0], [1, 0]], [[0, 0], [18, -8], [0, 0], [0, 0]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-128, -52]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[32, 5/2], [424, 34], [32, 5/2], [0, 0]], [[0, 0], [-9, 1], [-3, 0], [1, 0]], [[216, 72], [2866, 960], [216, 72], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-50, -3/2], [-620, -20], [-50, -3/2], [0, 0]], [[0, 0], [-37, 1], [-3, 0], [1, 0]], [[-1068, -356], [-13262, -4444], [-1068, -356], [0, 0]]], 1, 336, [], [] >,
< [ -2, 0, 1 ], [[-128, -52]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13, -2], [144, 104], [-13, -2], [0, 0]], [[0, 0], [-9, 1], [-3, 0], [1, 0]], [[18, -51/2], [172, 111], [18, -51/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, -1/2], [-92, -89], [-12, -1/2], [0, 0]], [[0, 0], [-37, 1], [-3, 0], [1, 0]], [[-21, 21], [148, -2], [-21, 21], [0, 0]]], 1, 336, [], [] >,
< [ -2, 0, 1 ], [[-5760, -3712]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [244, 58], [48, -12], [0, 0]], [[0, 0], [-7990, -5612], [-700, -568], [-10, 4]], [[0, 0], [-9184, -6418], [-776, -672], [-16, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-136, 48], [-80, 20], [0, 0]], [[0, 0], [186, 84], [196, 128], [6, 6]], [[0, 0], [54, 174], [156, 140], [10, 2]]], 0, 172032, [], [] >,
< [ -2, 0, 1 ], [[-720, -464]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, -140], [26, 32], [0, 0]], [[0, 0], [-9, 1], [0, 1], [1, 0]], [[0, 0], [-2012, -2164], [418, 494], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 146], [-2, -24], [0, 0]], [[0, 0], [19, 1], [0, 1], [1, 0]], [[0, 0], [-1376, -1196], [130, 160], [0, 0]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-720, -464]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 8], [16, 10], [0, 0]], [[0, 0], [-37, 1], [4, 0], [1, 0]], [[0, 0], [32, 62], [-46, -34], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -26], [-2, -10], [0, 0]], [[0, 0], [-9, 1], [4, 0], [1, 0]], [[0, 0], [-22, -68], [-24, 6], [0, 0]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-128, -52]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, -5/2], [-40, -144], [10, -5/2], [0, 0]], [[0, 0], [-23, 1], [-3, 0], [1, 0]], [[22, -16], [286, -180], [22, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19, 1/2], [346, 106], [19, 1/2], [0, 0]], [[0, 0], [5, 1], [-3, 0], [1, 0]], [[60, -85], [210, -1218], [60, -85], [0, 0]]], 1, 336, [], [] >,
< [ -2, 0, 1 ], [[-128, -52]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, 3/2], [176, 89], [-20, 3/2], [0, 0]], [[0, 0], [-23, 1], [-3, 0], [1, 0]], [[140, -84], [-474, 80], [140, -84], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, -3/2], [64, 5], [-22, -3/2], [0, 0]], [[0, 0], [5, 1], [-3, 0], [1, 0]], [[204, 68], [-598, -204], [204, 68], [0, 0]]], 1, 336, [], [] >,
< [ -2, 0, 1 ], [[-5760, -3712]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [124, 102], [-64, -12], [0, 0]], [[0, 0], [2272, 1530], [-560, -480], [-4, 0]], [[0, 0], [250, 260], [-140, -20], [2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-260, -110], [-120, -68], [0, 0]], [[0, 0], [4078, 3046], [2140, 1520], [2, 4]], [[0, 0], [842, 1202], [636, 468], [-6, 6]]], 0, 172032, [], [] >,
< [ -2, 0, 1 ], [[32, 36]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [141354/151, -867/151], [-2882/151, -3/151], [0, 0]], [[0, 0], [2925365955/302, -593386800/151], [-29648905/151, 23771591/302], [827/302, 5/302]], [[0, 0], [273259333868/151, -88411899490/151], [-5545536047/151, 1762906057/151], [85039/151, 9972/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [77783/151, 190/151], [-6053/151, -3/151], [0, 0]], [[0, 0], [-189314993/151, -31663260/151], [14722020/151, 2435345/151], [105/151, 1/151]], [[0, 0], [35167927925/151, 18640960879/302], [-2733786120/151, -719973384/151], [-18868/151, -4399/302]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[144, 64]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75838/151, 984/151], [-5764/151, -6/151], [0, 0]], [[0, 0], [56620166/151, -114251189/302], [-4426681/151, 4395258/151], [581/151, 1/302]], [[0, 0], [-7335935827/151, 3122133503/151], [563186924/151, -245347783/151], [10335/151, 42400/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36838/151, 440/151], [256/151, 1/151], [0, 0]], [[0, 0], [-80393, 15467], [-560, 112], [59/151, 2/151]], [[0, 0], [108977190/151, -481363332/151], [811808/151, -3348708/151], [564/151, 2430/151]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[144, 64]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19062/151, 380/151], [-1536/151, -6/151], [0, 0]], [[0, 0], [48166, 16742], [-3850, -1288], [-92/151, 2/151]], [[0, 0], [349114195/151, 790726951/302], [-27151897/151, -31500048/151], [-1040/151, -9087/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46544/151, 682/151], [-3650/151, -6/151], [0, 0]], [[0, 0], [1131279991/151, 755817693/151], [-87203516/151, -58139265/151], [269/151, 4/151]], [[0, 0], [-991757237339/151, -731739149087/151], [76309371210/151, 56391248001/151], [-35583/151, -153729/151]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[144, 64]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98736/151, 945/151], [7688/151, -3/151], [0, 0]], [[0, 0], [115324/151, -93757/151], [-10474/151, 7003/151], [-210/151, -2/151]], [[0, 0], [6523889/151, -7628957/302], [-471173/151, 359542/151], [1980/151, 16885/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1636810/151, 1898/151], [11850/151, 5/151], [0, 0]], [[0, 0], [12736707868/151, -10193820911/151], [92318720/151, -73868262/151], [138/151, -3/151]], [[0, 0], [1149340489947/151, -676482080519/151], [8328112728/151, -4903657616/151], [-2155/151, -9325/151]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[32, 36]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [155252/151, 958/151], [-3138/151, -4/151], [0, 0]], [[32, 1], [-24517898/151, -95353289/151], [476593/151, 1925003/151], [105/151, 1/151]], [[-893, -247/2], [2501075825/302, 2716736102/151], [-24736559/151, -54790766/151], [-5833/302, -342/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1986, 1/2], [26422/151, -617/302], [-1986/151, 1/302], [0, 0]], [[-7779135, -7794059/2], [102360160/151, 101326693/302], [-7779135/151, -7794059/302], [335/151, -4/151]], [[3699719296, 2059243368], [-48616667403/151, -26836409749/151], [3699719296/151, 2059243368/151], [-141069/151, -16107/151]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[32, 36]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92406/151, -1221/151], [-1858/151, 1/151], [0, 0]], [[46, 1], [-167361620/151, -534011759/151], [3638079/151, 10783592/151], [1, 0]], [[16303, 4403/2], [-203897143911/302, -195053847463/151], [2149851084/151, 3949216984/151], [106505/302, 6069/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29904/151, -164/151], [2370/151, 1/151], [0, 0]], [[69, -3/2], [-451808759/151, -77737564/151], [35747856/151, 11960055/302], [69/151, -3/302]], [[11680, 1348], [-80549889469/151, -23736879553/151], [6365307043/151, 1849033747/151], [11680/151, 1348/151]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[1152, 512]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-372076/151, 2692/151], [-3716/151, 2/151], [0, 0]], [[0, 0], [-2721606012/151, 1705681973/151], [-26955418/151, 16854642/151], [46/151, -1/151]], [[0, 0], [17840658478/151, -15097649889/151], [176176902/151, -149602700/151], [72/151, 307/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-164796/151, -698/151], [12816/151, -16/151], [0, 0]], [[0, 0], [-222191394/151, -111687714/151], [17215396/151, 8589690/151], [1930/151, 4/151]], [[0, 0], [193301679316/151, 174598323417/151], [-14887014426/151, -13517554016/151], [-317730/151, -1360365/151]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[-896, -1792]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9649456/151, 2218/151], [40232/151, -8/151], [0, 0]], [[0, 0], [85209027192/151, 2660153038/151], [-355267240/151, -11101956/151], [-184/151, 4/151]], [[0, 0], [346164480314/151, -34626935377/151], [-1443273310/151, 144327912/151], [-760/151, 115/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-371388/151, 5894/151], [1156/151, -12/151], [0, 0]], [[0, 0], [-179160138/151, 23178129/151], [557062/151, -68932/151], [164/151, 3/151]], [[0, 0], [14679352346/151, -4154175312/151], [-45560788/151, 12670210/151], [-12806/151, 1900/151]]], 0, 196608, [], [] >,
< [ -2, 0, 1 ], [[-112, -224]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3893052/151, 86/151], [-5062/151, 5/151], [0, 0]], [[0, 0], [-62519126509/151, 45144564675/151], [81410040/151, -58782000/151], [-269/151, -4/151]], [[0, 0], [15700001451451/151, -11252774118921/151], [-20443725120/151, 14652207360/151], [55105/151, -7622/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4100, -4], [-14, 0], [0, 0]], [[0, 0], [-2772491278/151, 391936351/302], [-9466743/151, 678176/151], [-233/151, -3/302]], [[0, 0], [973714028034/151, -211081172592/151], [3325708470/151, -723849952/151], [79968/151, -11560/151]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-112, -224]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2916124/151, 276/151], [-10058/151, 2/151], [0, 0]], [[0, 0], [-345949808696/151, 10207320787/151], [-1193223840/151, 35330168/151], [-210/151, -2/151]], [[0, 0], [1035423431209/151, -186695746462/151], [3571415958/151, -644304189/151], [621/151, -89/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1065166/151, 26/151], [3716/151, -2/151], [0, 0]], [[0, 0], [-1671268499/151, -120310608/151], [-5835496/151, -417155/151], [-709/151, -1/151]], [[0, 0], [1367668475283/151, -206538081261/302], [4776143229/151, -363027860/151], [592410/151, -171275/302]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-112, -28]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-626523/151, 1609/151], [-2147/151, 4/151], [0, 0]], [[709, 1], [-7624287996/151, -560495221/151], [-26125271/151, -1939155/151], [709/151, 1/151]], [[-318336, 2250735/2], [1677382365510/151, -11852437441220/151], [5688717168/151, -81209926675/302], [-318336/151, 2250735/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5020170/151, 2166/151], [-5252/151, -4/151], [0, 0]], [[46, 1], [-3047008/151, -1655594/151], [2879/151, 1733/151], [1, 0]], [[-752, 5875/2], [-308994969/302, -328304977/302], [167664/151, 151872/151], [-5781/302, 19411/302]]], 1, 384, [], [] >,
< [ -2, 0, 1 ], [[-112, -28]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-545, 2], [-155693/151, 125/151], [-545/151, 2/151], [0, 0]], [[440198, 222717/2], [126018735/151, 64346489/302], [440198/151, 222717/302], [545/151, -2/151]], [[118039075, 986806667/2], [34501557465/151, 282298975735/302], [118039075/151, 986806667/302], [-191672/151, 658824/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3303560/151, -2153/151], [-3460/151, 3/151], [0, 0]], [[-12, 1/2], [2045141179/302, 921432153/302], [-1070859/151, -482298/151], [-79/302, 5/302]], [[9, -69/2], [4204984269/302, 2678008131/151], [-2200784/151, -2804560/151], [69/302, -114/151]]], 1, 384, [], [] >,
< [ -2, 0, 1 ], [[2304, 1024]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -74], [-16, 10], [0, 0]], [[0, 0], [-1192, -566], [-32, 12], [16, -6]], [[0, 0], [-55540, -38246], [-504, -228], [252, 114]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -10], [12, 10], [0, 0]], [[0, 0], [100, -32], [-40, 0], [20, 0]], [[0, 0], [12, 6], [-8, -4], [4, 2]]], 0, 98304, [], [] >,
< [ -2, 0, 1 ], [[2304, 1024]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -100], [-52, -6], [0, 0]], [[0, 0], [-32980, -4956], [-6488, -9620], [4, 10]], [[0, 0], [355880, 436896], [280528, 147600], [-272, -120]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, 20], [40, 10], [0, 0]], [[0, 0], [-200, 744], [88, 244], [-16, 4]], [[0, 0], [5372, 5300], [3048, 2464], [-96, -42]]], 0, 98304, [], [] >,
< [ -2, 0, 1 ], [[2304, 1024]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, 132], [48, -2], [0, 0]], [[0, 0], [31660, 14164], [-9592, 11468], [-4, 10]], [[0, 0], [1024580, 765660], [199688, 49820], [252, 114]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 140], [100, -10], [0, 0]], [[0, 0], [-180, -496], [-544, 188], [-12, 10]], [[0, 0], [9520, 6572], [2792, 2220], [-28, -12]]], 0, 98304, [], [] >,
< [ -2, 0, 1 ], [[32, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 0], [19, 10], [0, 0]], [[0, 0], [-4605, 4835/2], [2848, 20], [2, 5/2]], [[0, 0], [-254304, 125478], [169042, 12244], [138, 156]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 10], [-17, 1], [0, 0]], [[0, 0], [-118, -71/2], [-20, 32], [-5, -5/2]], [[0, 0], [-28, -52], [34, -8], [-2, -2]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[144, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, 68], [62, -2], [0, 0]], [[0, 0], [-1, 1], [4, 0], [1, 0]], [[0, 0], [-2, -4], [-48, -33], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 46], [44, 4], [0, 0]], [[0, 0], [13, 1], [4, 0], [1, 0]], [[0, 0], [2, 4], [4, 1], [0, 0]]], 0, 384, [], [] >,
< [ -2, 0, 1 ], [[1152, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -18], [-44, 10], [0, 0]], [[0, 0], [194, 84], [20, 160], [-10, 10]], [[0, 0], [2, -2], [-8, 0], [-2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, 58], [72, -10], [0, 0]], [[0, 0], [-5962, -4164], [-3152, -556], [10, -6]], [[0, 0], [126124, 89156], [42480, 29228], [-20, -8]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[1152, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -50], [32, -48], [0, 0]], [[0, 0], [-118, -46], [-36, -70], [2, -6]], [[0, 0], [-392, 194], [352, -308], [64, -48]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, -122], [-172, -8], [0, 0]], [[0, 0], [9896, -78550], [-161620, 65500], [0, -10]], [[0, 0], [875842, 350238], [67556, 613246], [118, 52]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[1152, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -14], [80, 48], [0, 0]], [[0, 0], [-210, 190], [216, -182], [2, -6]], [[0, 0], [22, 198], [24, -162], [-14, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -82], [-188, -12], [0, 0]], [[0, 0], [11090, 3350], [6200, 12498], [6, -2]], [[0, 0], [36668, 24676], [52376, 39296], [8, 4]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[-896, -1792]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [412652/151, -7206/151], [-11764/151, 20/151], [0, 0]], [[0, 0], [-8562589110/151, 609592081/151], [243682222/151, -13538412/151], [-348/151, -1/151]], [[0, 0], [3614782216864/151, 1749960877952/151], [-104677474352/151, -51538909316/151], [159120/151, 82872/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [149212/151, -3374/151], [-4044/151, 4/151], [0, 0]], [[0, 0], [-159033942/151, -50792930/151], [4406632/151, 1471170/151], [-998/151, -2/151]], [[0, 0], [194576629682/151, 122584715861/151], [-5452361286/151, -3455234912/151], [918584/151, 478333/151]]], 0, 147456, [], [] >,
< [ -2, 0, 1 ], [[-112, -224]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18760/151, -224/151], [1838/151, -6/151], [0, 0]], [[0, 0], [-55807723/151, -4117634/151], [5441884/151, 320911/151], [105/151, -1/151]], [[0, 0], [-141420097084/151, -157198571779/302], [13590985395/151, 7474749645/151], [244473/151, 254619/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-99044/151, -1234/151], [6434/151, 2/151], [0, 0]], [[0, 0], [3220536709/151, -426051321/302], [-209586463/151, 16385178/151], [476/151, 1/302]], [[0, 0], [22128133549539/151, 10790272290228/151], [-1420696695944/151, -683602345837/151], [3516125/151, 1830831/151]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[-112, -224]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-105362/151, -682/151], [8732/151, 6/151], [0, 0]], [[0, 0], [5552441718/151, 885943643/302], [-459702451/151, -34052936/151], [-627/151, -1/302]], [[0, 0], [17218068705174/151, 9542362036475/151], [-1417718613808/151, -782532052036/151], [-1796730/151, -935763/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-89730/151, 1588/151], [8180/151, -6/151], [0, 0]], [[0, 0], [974769819/151, -209965019/302], [-88633321/151, 8066477/151], [-640/151, 5/302]], [[0, 0], [-245634513298/151, -114854123976/151], [22774004442/151, 10863456392/151], [180992/151, 94272/151]]], 0, 2304, [], [] >,
< [ -2, 0, 1 ], [[-112, -28]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5726/151, -630/151], [92/151, 2/151], [0, 0]], [[-55, 3/2], [448885/302, 194655/151], [2371/151, -3300/151], [361/302, -1/151]], [[108206, 211869/2], [-2475433269/302, -1698022419/302], [8164656/151, 2148292/151], [-741335/302, -711599/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-250974/151, 5160/151], [4136/151, -2/151], [0, 0]], [[-143, 5/2], [-55974826169/302, -3107026956/151], [463665258/151, 60513023/151], [939/302, 2/151]], [[-132073, -129331], [-32474117951693/151, -57499016883149/302], [554648473143/151, 484930404154/151], [452430/151, 868757/302]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[-112, -28]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [174423/151, -3814/151], [-3033/151, 3/151], [0, 0]], [[-67, 1], [-6631323317/151, 2033488911/302], [114682763/151, -15286270/151], [220/151, 3/302]], [[684906, 1341327/2], [98253233787009/302, 113436978017057/302], [-896316139810/151, -1005077636782/151], [-4692429/302, -4505061/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-303365/151, 4090/151], [5239/151, -1/151], [0, 0]], [[-81, 1], [-3119509601/151, -1238033309/302], [54173689/151, 11410240/151], [266/151, 5/302]], [[184090, 360547/2], [20108705834151/302, 16947506388537/302], [-177582080092/151, -148693494891/151], [-1261241/302, -1210953/302]]], 1, 288, [], [] >,
< [ -2, 0, 1 ], [[-3456, -1536]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54224/17, 152/17], [2684/17, 6/17], [0, 0]], [[0, 0], [-3490062630/697, -1725077885/697], [21145666/85, 10519802/85], [-3926/3485, -3/3485]], [[0, 0], [3553895705364/697, 3026250932674/697], [-21628973444/85, -18356893172/85], [248220/697, 2793854/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [236528/17, -2452/17], [1080/17, -10/17], [0, 0]], [[0, 0], [3023434502/4879, 244545407/4879], [213714/119, 112418/595], [30118/24395, 1/24395]], [[0, 0], [-746988610380/4879, -1449867940993/4879], [-288210738/595, -103377760/119], [-5173376/24395, -14024699/24395]]], 0, 196608, [], [] >,
< [ -2, 0, 1 ], [[-432, -192]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2304/17, 248/17], [-150/17, 8/17], [0, 0]], [[0, 0], [25376871/697, 16884615/697], [421096/85, 147253/85], [-587/697, -1/3485]], [[0, 0], [-5049521076/697, -7369175025/1394], [-54094571/85, -54449491/85], [147972/3485, 131157/1394]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24728/17, -30/17], [-1080/17, 10/17], [0, 0]], [[0, 0], [-16264301903/4879, 884252469/9758], [87763689/595, -3076096/595], [12527/24395, -1/9758]], [[0, 0], [-14426408516/17, -41419434169/17], [609191020/17, 9134560832/85], [756/5, 1897/5]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-432, -192]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8204/17, 38/17], [586/17, 10/17], [0, 0]], [[0, 0], [2517838/697, -340115935/1394], [-10857/85, -1480752/85], [-716/3485, -1/1394]], [[0, 0], [-271383462034/697, -55473734850/697], [-2374108896/85, -509266698/85], [-49210/697, -573944/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9680/17, 234/17], [-586/17, -10/17], [0, 0]], [[0, 0], [2042322419/4879, 216019329/4879], [-22218904/595, -1447651/595], [15481/24395, 1/24395]], [[0, 0], [-733626301847/4879, -2722246606701/9758], [6820984803/595, 14606525961/595], [-3456983/24395, -19904303/48790]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-96, -108]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6408/17, 139/17], [227/17, -1/17], [0, 0]], [[-1375, -5/2], [-1916229/34, -464924/17], [-30480/17, -15677/17], [-1/2, 0]], [[267854, 55186], [9163334724/697, 5273283041/697], [7180504/17, 21321012/85], [339192/3485, 69319/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [122922/17, -1260/17], [540/17, -5/17], [0, 0]], [[1761, -2], [3649663484/4879, -1449163619/9758], [1792053/595, -386931/595], [-2036/4879, -1/48790]], [[7, 5/2], [2589975/9758, 927275/9758], [46/595, 3/119], [-81/48790, -29/48790]]], 1, 384, [], [] >,
< [ -2, 0, 1 ], [[-96, -108]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12968/17, -93/17], [443/17, -3/17], [0, 0]], [[-1491, -7/2], [511695217/1394, -255251081/697], [1056932/85, -1063051/85], [-3779/6970, -1/3485]], [[-597356, -253227/2], [119061418303/1394, -161355104581/1394], [244485662/85, -336722461/85], [-1512869/6970, -318157/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-124962/17, 1056/17], [-540/17, 5/17], [0, 0]], [[1047, -3/2], [-5687627101/9758, -540169081/9758], [-1157574/595, -141767/595], [-2421/9758, 3/48790]], [[106904, 13944], [-42535532728/697, -9411027171/697], [-17436499/85, -4295199/85], [-88312/3485, -2324/697]]], 1, 384, [], [] >,
< [ -2, 0, 1 ], [[-288, -324]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2110/17, 130/17], [-522/17, -15/17], [0, 0]], [[941, 5/2], [-29076755/1394, 6040330/697], [521109/85, -199638/85], [477/1394, 1/3485]], [[1630185, 724845/2], [-41119099287/1394, 4919467207/697], [149953896/17, -29428194/17], [825693/1394, 91107/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [85036/17, -737/17], [1263/17, -15/17], [0, 0]], [[2402, -5/2], [4276787625/9758, -477526149/4879], [4756761/595, -180504/119], [-27771/48790, -2/24395]], [[-368830, -131725], [-276072130059/4879, -44231864428/4879], [-126335571/119, -24586887/119], [426789/4879, 152801/4879]]], 1, 3840, [], [] >,
< [ -2, 0, 1 ], [[-288, -324]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5312/17, 27/17], [-1527/17, -9/17], [0, 0]], [[608, 3/2], [1276240945/1394, 1273610721/1394], [-22429092/85, -22341858/85], [1541/6970, 1/6970]], [[-206938, -44619], [-309358673519/697, -262808209266/697], [10867598592/85, 9223418268/85], [-262043/3485, -56068/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70530/17, -26/17], [-1038/17, 3/17], [0, 0]], [[292, 0], [72456339724/4879, -2422754175/4879], [129763881/595, -954837/119], [-1688/24395, -2/24395]], [[-15912, -6579/2], [-458103673925/574, -40249610571/287], [-409637898/35, -70688943/35], [10827/2870, 225/287]]], 1, 3840, [], [] >,
< [ -2, 0, 1 ], [[-1296, -576]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-452, 6], [-168, 0], [0, 0]], [[0, 0], [122603/697, -3527205/1394], [-338439/85, -81234/85], [1413/3485, 1/1394]], [[0, 0], [315023206/697, 104044999/1394], [5365341/17, 6711177/17], [-10206/697, -51219/1394]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45916/17, 462/17], [-2340/17, -18/17], [0, 0]], [[0, 0], [-8319972866/4879, -2077469759/9758], [51632319/595, 1266807/119], [-422/24395, -1/48790]], [[0, 0], [-39877236622/697, -62802273955/697], [245861856/85, 389403354/85], [-1274/3485, -3029/3485]]], 0, 30720, [], [] >,
< [ -2, 0, 1 ], [[-1296, -576]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2404/17, 234/17], [978/17, 24/17], [0, 0]], [[0, 0], [-2949632/41, -2455692/41], [-134508/5, -22488], [1688/3485, 2/3485]], [[0, 0], [-10128440756/697, -13146484621/1394], [-92672607/17, -60015534/17], [14310/697, 64845/1394]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20812/17, -498/17], [1044/17, 30/17], [0, 0]], [[0, 0], [-737668070/4879, -14193534/4879], [33258/119, 76716/595], [11446/24395, 2/24395]], [[0, 0], [81990781018/4879, 375844628057/9758], [-55652847/595, -49818744/595], [-1161868/24395, -5787513/48790]]], 0, 30720, [], [] >,
< [ -2, 0, 1 ], [[-10368, -4608]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18264/17, -596/17], [-2076/17, 6/17], [0, 0]], [[0, 0], [37666826/697, 76576433/697], [-540618/85, -1078086/85], [3338/3485, -1/3485]], [[0, 0], [139466067424/697, 58029042952/697], [-393424128/17, -825471168/85], [1175032/3485, 2749944/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [314632/17, 1916/17], [5328/17, 30/17], [0, 0]], [[0, 0], [124193964904/4879, 20191572811/4879], [52352778/119, 41611926/595], [-41564/24395, -3/24395]], [[0, 0], [67890684580232/4879, 113117401049568/4879], [141451619268/595, 238167631746/595], [-10997648/24395, -36070644/24395]]], 0, 1966080, [], [] >,
< [ -2, 0, 1 ], [[6272, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [284384/151, 1998/151], [-21504/151, -84/151], [0, 0]], [[0, 0], [-185303580/151, 33459729/151], [14119174/151, -2543242/151], [2790/151, 5/151]], [[0, 0], [34851121100/151, 881078617/151], [-2655989974/151, -68395714/151], [-566874/151, -116565/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-484476/151, -4174/151], [15988/151, 112/151], [0, 0]], [[0, 0], [11863517034/151, 1387369670/151], [-391337872/151, -45153630/151], [-486/151, 4/151]], [[0, 0], [5046029812514/151, 1610894160747/151], [-166343583686/151, -52890758396/151], [-195952/151, -41375/151]]], 0, 1179648, [], [] >,
< [ -2, 0, 1 ], [[0, 196]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3540/151, -31/151], [-644/151, 14/151], [0, 0]], [[476, -1/2], [1272298/151, 42773/151], [-182522/151, -13631/302], [476/151, -1/302]], [[44756, 105377], [139166905/151, 285829856/151], [-20265607/151, -41068933/151], [44756/151, 105377/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1709, -5], [35, 0], [0, 0]], [[57, 2], [453887771/151, 351082279/302], [-9281648/151, -3567231/151], [187/151, 5/302]], [[-9152, -39611/2], [-364538047193/302, -358999338139/302], [3711873985/151, 3667562719/151], [-54483/302, -128843/302]]], 1, 2304, [], [] >,
< [ -2, 0, 1 ], [[0, 196]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-361, -2], [40401/151, 937/151], [-2527/151, -14/151], [0, 0]], [[-1165302, 231967/2], [129782762/151, -21346499/302], [-8156805/151, 1624081/302], [335/151, -4/151]], [[-104245864, -816773903/2], [13255646022/151, 91695338557/302], [-729556468/151, -5717140067/302], [51484/151, 122169/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-157166/151, -1179/151], [3262/151, 21/151], [0, 0]], [[92, 2], [-3185876085/151, -428835509/151], [66097243/151, 8831540/151], [2, 0]], [[9425, 40885/2], [-969448008311/302, -741299755083/151], [10027708627/151, 15373633700/151], [56095/302, 66495/151]]], 1, 2304, [], [] >,
< [ -2, 0, 1 ], [[784, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1083190/151, 6462/151], [7812/151, 14/151], [0, 0]], [[0, 0], [1390564399/151, -1229618423/151], [10103680/151, -8909623/151], [-243/151, 2/151]], [[0, 0], [173752432294/151, -188773522772/151], [1264673418/151, -1366574753/151], [-49440/151, -10480/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-55686/151, -2420/151], [3122/151, 70/151], [0, 0]], [[0, 0], [711181/151, 321605/302], [-5155/151, -7671/151], [-384/151, -3/302]], [[0, 0], [-60643960/151, -48162667/302], [650887/151, 681504/151], [29973/151, 12707/302]]], 0, 18432, [], [] >,
< [ -2, 0, 1 ], [[784, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-122562/151, -1150/151], [8638/151, 42/151], [0, 0]], [[0, 0], [-659351174/151, 35490968/151], [46472690/151, -2710096/151], [-440/151, 3/151]], [[0, 0], [-332311324753/151, -55487655700/151], [23375418926/151, 3803255951/151], [-226389/151, -47702/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12264/151, 910/151], [1106/151, -70/151], [0, 0]], [[0, 0], [303992/151, -5109/302], [-73365/151, -1389/151], [325/151, -1/302]], [[0, 0], [-106219472/151, -42344515/302], [25925901/151, 5812851/151], [-113883/151, -46835/302]]], 0, 18432, [], [] >,
< [ -2, 0, 1 ], [[6272, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56240/151, -1866/151], [-9380/151, -112/151], [0, 0]], [[0, 0], [7219382/151, -353345/151], [1231806/151, -85152/151], [164/151, -3/151]], [[0, 0], [12498608/151, 19151252/151], [1995288/151, 3217212/151], [308/151, 440/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [101976/151, 1022/151], [16548/151, 84/151], [0, 0]], [[0, 0], [-94058318/151, -4378346/151], [-14911032/151, -640662/151], [-1694/151, -4/151]], [[0, 0], [-58947289866/151, -74263715583/151], [-9263276954/151, -11743311200/151], [-947316/151, -1295907/151]]], 0, 1179648, [], [] >,
< [ -2, 0, 1 ], [[0, 196]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54939/151, 482/151], [-4319/151, 21/151], [0, 0]], [[187, -5/2], [-288388/151, -58233/151], [6561/151, 10527/302], [187/151, -5/302]], [[37947, 27937/2], [-68137433/151, -34269963/151], [2160186/151, 3174157/302], [37947/151, 27937/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [551, 3], [21, 0], [0, 0]], [[41, -3/2], [66343821/302, 145203/151], [1259421/151, -704/151], [-269/302, 2/151]], [[-14271, -10011/2], [-23827133179/302, -4536188451/151], [-450635497/151, -169997750/151], [95211/302, 17466/151]]], 1, 2304, [], [] >,
< [ -2, 0, 1 ], [[0, 196]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[719, 5/2], [-57879/151, 149/302], [5033/151, 35/302], [0, 0]], [[2367544, -90591], [-190501968/151, 8200802/151], [16570536/151, -633758/151], [-742/151, -3/151]], [[-1698489886, -1130759293/2], [136180420300/151, 89640299365/302], [-11887955239/151, -7914660919/302], [549081/151, 200355/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-670, -10], [-28, 0], [0, 0]], [[108, -5/2], [535757/302, 275933/302], [-10611/151, 7362/151], [-709/302, 1/302]], [[-168466, -59156], [-586380313/151, -375511423/151], [8233093/151, -5481107/151], [561982/151, 206403/151]]], 1, 2304, [], [] >,
< [ -2, 0, 1 ], [[784, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [117310/151, -5676/151], [826/151, -28/151], [0, 0]], [[0, 0], [-214752937/151, -115409339/151], [-1533418/151, -838198/151], [-847/151, -2/151]], [[0, 0], [-1890111952373/151, -1458488679506/151], [-13634063672/151, -10464409043/151], [-3030981/151, -4141115/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14278/151, 1390/151], [1470/151, -14/151], [0, 0]], [[0, 0], [-2992872/151, 1998811/302], [304269/151, -76314/151], [-69/151, -3/302]], [[0, 0], [-315963/151, -21267539/302], [265719/151, 1161757/151], [-234/151, -647/302]]], 0, 18432, [], [] >,
< [ -2, 0, 1 ], [[784, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [123400/151, 155/151], [-9562/151, -70/151], [0, 0]], [[0, 0], [1024299/151, -412977/151], [-36640/151, 33835/151], [709/151, -1/151]], [[0, 0], [-22017160/151, 215357687/151], [12175072/151, -3522050/151], [1026, 1401]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-116790/151, -1390/151], [9100/151, 14/151], [0, 0]], [[0, 0], [-127836/151, -171599/302], [7917/151, 6629/151], [23/151, 1/302]], [[0, 0], [-4124004/151, -2966931/151], [296788/151, 198432/151], [272/151, 367/151]]], 0, 18432, [], [] >,
< [ -2, 0, 1 ], [[-304, -48]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166740/151, 224/151], [12106/151, 6/151], [0, 0]], [[0, 0], [-13778939998/151, -859284347/302], [1000477021/151, 33032968/151], [-627/151, 1/302]], [[0, 0], [6760335326330/151, 2496023550164/151], [-491472676530/151, -182116386150/151], [300960/151, 103950/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [403804/151, -2502/151], [2948/151, -5/151], [0, 0]], [[0, 0], [11435187127/151, -6875395975/151], [83034330/151, -49821420/151], [545/151, -2/151]], [[0, 0], [51373093483450/151, -22339225523366/151], [373590878640/151, -161415624195/151], [4206384/151, 1455414/151]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-304, -48]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24776/151, -328/151], [2626/151, 2/151], [0, 0]], [[0, 0], [-181323276/151, -16318981/302], [19294169/151, 625301/151], [791/151, 5/302]], [[0, 0], [851311648652/151, 320798339638/151], [-89825985752/151, -33029014590/151], [-3610202/151, -1248722/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108732/151, -177/151], [8968/151, 2/151], [0, 0]], [[0, 0], [35062909261/151, 725004585/151], [-2891789618/151, -55734505/151], [-289/151, 3/151]], [[0, 0], [67536307500410/151, 24924910009836/151], [-5564557933554/151, -2047958089108/151], [-544600/151, -188400/151]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-176, -100]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [87562/151, 2679/151], [2882/151, 3/151], [0, 0]], [[-37, -1/2], [-7773059699/302, 41603040/151], [-128239761/151, 5159765/151], [-243/302, 1/151]], [[-880, -1214], [-86317547397/151, -125363449383/151], [-2601964599/151, -4049743802/151], [-18, -26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1730, -3/2], [-18564/151, -1169/302], [1730/151, -3/302], [0, 0]], [[69007348, 10622396], [-747427948/151, -137947094/151], [69007348/151, 10622396/151], [1070/151, 3/151]], [[-502445531168, -558188104824], [5776987373627/151, 6160950325692/151], [-502445531168/151, -558188104824/151], [-5425053/151, -7841796/151]]], 1, 336, [], [] >,
< [ -2, 0, 1 ], [[-176, -100]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-154793/151, -5324/151], [-4517/151, 3/151], [0, 0]], [[39, 1], [28409541, -7058027/2], [838299, -132363], [128/151, 1/302]], [[785, 2167/2], [102484989241/302, 107138932495/151], [1279288395/151, 3081587124/151], [4849/302, 3504/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57259/151, -86/151], [-4451/151, -5/151], [0, 0]], [[23, -1/2], [-243887/151, 62869/151], [19562/151, -9707/302], [23/151, -1/302]], [[8163, 23595/2], [-26557334/151, -103362545/151], [2327321/151, 16724125/302], [8163/151, 23595/302]]], 1, 336, [], [] >,
< [ -2, 0, 1 ], [[-2432, -384]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-565368/151, 1458/151], [43304/151, 4/151], [0, 0]], [[0, 0], [368574/151, -851400/151], [97164/151, 63750/151], [2022/151, 2/151]], [[0, 0], [-1444585878/151, -4764384229/151], [929064366/151, 640268788/151], [13313320/151, 4608265/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [73132/151, 104/151], [6408/151, -8/151], [0, 0]], [[0, 0], [-108985282/151, -36768169/151], [-9591278/151, -3195592/151], [348/151, -1/151]], [[0, 0], [101331885930/151, 56259694943/151], [8896655538/151, 4920884684/151], [-261464/151, -90503/151]]], 0, 172032, [], [] >,
< [ -2, 0, 1 ], [[-400, -352]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, 56], [10, -8], [0, 0]], [[0, 0], [41, 1], [-6, 1], [1, 0]], [[0, 0], [-86, -60], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, -64], [30, 18], [0, 0]], [[0, 0], [-29, 1], [-6, 1], [1, 0]], [[0, 0], [-32, -36], [18, 8], [0, 0]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-400, -352]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 72], [26, -4], [0, 0]], [[0, 0], [41, 1], [4, 0], [1, 0]], [[0, 0], [-268, -312], [-102, -36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -70], [-8, 12], [0, 0]], [[0, 0], [-29, 1], [4, 0], [1, 0]], [[0, 0], [-260, -156], [26, 10], [0, 0]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-24, -76]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -2], [-166, -136], [-1, -2], [0, 0]], [[0, 0], [-43, 1], [-3, 0], [1, 0]], [[17, -23/2], [264, -144], [17, -23/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, 1], [114, 4], [11, 1], [0, 0]], [[0, 0], [-15, 1], [-3, 0], [1, 0]], [[-1, 3/2], [-12, 18], [-1, 3/2], [0, 0]]], 1, 336, [], [] >,
< [ -2, 0, 1 ], [[-24, -76]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[29, -3/2], [64, 79], [29, -3/2], [0, 0]], [[0, 0], [-43, 1], [-3, 0], [1, 0]], [[-154, 133], [374, -106], [-154, 133], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33, -1/2], [-84, -7], [33, -1/2], [0, 0]], [[0, 0], [-15, 1], [-3, 0], [1, 0]], [[-1, 3/2], [2, -3], [-1, 3/2], [0, 0]]], 1, 336, [], [] >,
< [ -2, 0, 1 ], [[-3200, -2816]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -50], [64, 16], [0, 0]], [[0, 0], [100, 88], [-808, -552], [8, 2]], [[0, 0], [-2, -16], [68, 56], [2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [200, 22], [80, 20], [0, 0]], [[0, 0], [-476, -342], [-320, -232], [8, 6]], [[0, 0], [150, -54], [172, -84], [-10, 6]]], 0, 172032, [], [] >,
< [ -2, 0, 1 ], [[-400, -352]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-130, -50], [46, 22], [0, 0]], [[0, 0], [-43, 1], [-6, 1], [1, 0]], [[0, 0], [-194, -234], [84, 84], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -28], [-50, -30], [0, 0]], [[0, 0], [27, 1], [-6, 1], [1, 0]], [[0, 0], [34, -30], [-14, 0], [0, 0]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-400, -352]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-122, -90], [26, 24], [0, 0]], [[0, 0], [-43, 1], [4, 0], [1, 0]], [[0, 0], [-96, -108], [-10, 50], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 40], [26, -4], [0, 0]], [[0, 0], [27, 1], [4, 0], [1, 0]], [[0, 0], [-94, -48], [-12, -24], [0, 0]]], 0, 2688, [], [] >,
< [ -2, 0, 1 ], [[-24, -76]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 5/2], [62, -2], [3, 5/2], [0, 0]], [[0, 0], [-29, 1], [-3, 0], [1, 0]], [[0, 0], [22, -12], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-37, -1/2], [-508, -78], [-37, -1/2], [0, 0]], [[0, 0], [41, 1], [-3, 0], [1, 0]], [[147, -49], [1822, -388], [147, -49], [0, 0]]], 1, 336, [], [] >,
< [ -2, 0, 1 ], [[-24, -76]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-43, -2], [-48, -110], [-43, -2], [0, 0]], [[0, 0], [-29, 1], [-3, 0], [1, 0]], [[1386, -1463/2], [-2460, 2843], [1386, -1463/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-41, -3/2], [16, -59], [-41, -3/2], [0, 0]], [[0, 0], [41, 1], [-3, 0], [1, 0]], [[-1690, 1521/2], [3056, -2841], [-1690, 1521/2], [0, 0]]], 1, 336, [], [] >,
< [ -2, 0, 1 ], [[-3200, -2816]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [272, 180], [56, 28], [0, 0]], [[0, 0], [-286, 210], [-348, 140], [2, 10]], [[0, 0], [-1816, 1420], [-3128, 320], [104, 130]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [252, 224], [88, 92], [0, 0]], [[0, 0], [-510, 408], [-220, 176], [10, -8]], [[0, 0], [0, -108], [0, -48], [0, 2]]], 0, 172032, [], [] >,
< [ -2, 0, 1 ], [[1024, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -68], [-12, 12], [0, 0]], [[0, 0], [-108, -8], [16, -4], [-20, -12]], [[0, 0], [-28, 44], [8, -8], [4, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 72], [16, 8], [0, 0]], [[0, 0], [-356, 16], [-32, -36], [4, 20]], [[0, 0], [2316, -2056], [-204, 40], [192, -96]]], 0, 32768, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, 12], [16, -2], [0, 0]], [[0, 0], [508, -78], [96, -32], [8, 6]], [[0, 0], [976, -704], [224, -160], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -24], [-20, -10], [0, 0]], [[0, 0], [1540, -884], [-112, 4], [-12, -8]], [[0, 0], [11620, -8402], [-448, 384], [8, 10]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -8], [4, 6], [0, 0]], [[0, 0], [-108, 74], [-24, 14], [12, -10]], [[0, 0], [-168, 58], [-80, -20], [-12, -30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, 0], [16, -8], [0, 0]], [[0, 0], [-164, -130], [12, 6], [-4, 6]], [[0, 0], [116, 68], [-4, -6], [-8, 4]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -20], [-12, -16], [0, 0]], [[0, 0], [40, 12], [60, 44], [4, 8]], [[0, 0], [32, -142], [-192, -120], [-60, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, -40], [-16, 0], [0, 0]], [[0, 0], [32, -50], [12, 16], [8, -2]], [[0, 0], [-352, -42], [200, 120], [12, 30]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 4], [-40, -24], [0, 0]], [[0, 0], [-52, 12], [56, -16], [-12, -8]], [[0, 0], [276, -194], [-312, 220], [4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 12], [-24, -8], [0, 0]], [[0, 0], [108, 42], [112, 60], [16, 6]], [[0, 0], [-520, 120], [-400, -8], [-80, 20]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 20], [40, -8], [0, 0]], [[0, 0], [52, -14], [36, 8], [-12, 10]], [[0, 0], [156, 24], [160, 84], [-16, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -8], [-24, -12], [0, 0]], [[0, 0], [-64, 54], [-20, 44], [12, 2]], [[0, 0], [-1336, 1004], [-664, 672], [140, -28]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 36], [40, 20], [0, 0]], [[0, 0], [104, 78], [116, 80], [-12, -10]], [[0, 0], [-24, -8], [-16, -16], [4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 36], [32, 4], [0, 0]], [[0, 0], [552, -32], [-1096, 888], [-12, -8]], [[0, 0], [-468, 246], [1588, -1148], [4, 2]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 4], [-8, -6], [0, 0]], [[0, 0], [48, -32], [-10, 2], [4, -8]], [[0, 0], [162, -110], [-30, 10], [18, -24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 8], [2, 6], [0, 0]], [[0, 0], [-674, -752], [300, 180], [-10, 2]], [[0, 0], [-1598, -176], [216, 264], [18, -18]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -36], [10, 10], [0, 0]], [[0, 0], [-40, 34], [-52, 32], [-4, 10]], [[0, 0], [106, -176], [256, -96], [-54, -90]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 44], [2, -4], [0, 0]], [[0, 0], [278, -22], [-32, 12], [-6, -4]], [[0, 0], [-256, 176], [40, -28], [0, 0]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[0, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [38, -34], [0, 0], [-10, 4]], [[0, 0], [-16, -27], [0, 0], [-14, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 2], [1, 0], [0, 0]], [[0, 0], [6, 18], [0, 0], [6, 4]], [[0, 0], [-250, 189], [0, 0], [8, -1]]], 0, 24, [], [] >,
< [ -2, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 1/2], [-6, 2], [-1, 1/2], [0, 0]], [[0, 0], [6, 5], [0, 0], [0, -1]], [[0, 0], [2, 2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 1/2], [1, 1], [0, 1/2], [1, 0]], [[0, 0], [2, 0], [0, 0], [0, 0]]], 1, 6, [], [] >,
< [ -2, 0, 1 ], [[-1536, -512]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69532/151, -3468/151], [1864/151, -12/151], [0, 0]], [[0, 0], [-14427246/151, 37186236/151], [501444/151, -1024250/151], [158/151, 10/151]], [[0, 0], [-402037124/151, 1632865268/151], [15778960/151, -44625068/151], [7212/151, 984/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [401636/151, 6092/151], [3440/151, -4/151], [0, 0]], [[0, 0], [-1067445104/151, 859730262/151], [-9388380/151, 7515852/151], [-748/151, 10/151]], [[0, 0], [631362980198/151, -546579119470/151], [5563903744/151, -4771455458/151], [584542/151, 81872/151]]], 0, 49152, [], [] >,
< [ -2, 0, 1 ], [[-24, -8]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24/151, -854/151], [118/151, -4/151], [0, 0]], [[0, 0], [-592281/302, -461605/302], [29697/151, 35601/302], [-361/302, 1/151]], [[0, 0], [-2059955/151, -1550616/151], [197358/151, 125504/151], [-1011/151, -150/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2138/151, -99/151], [118/151, -4/151], [0, 0]], [[0, 0], [-775, 163], [52, -13], [197/151, 1/151]], [[0, 0], [-10784148/151, 1670945/302], [715208/151, -86528/151], [19293/151, 5487/302]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-24, -8]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16936/151, 1458/151], [-1326/151, 4/151], [0, 0]], [[0, 0], [55812642/151, 148056459/151], [-2339526/151, -11377343/151], [92/151, 2/151]], [[0, 0], [1233230043/302, 1049413585/151], [-34156963/151, -158150973/302], [1255/302, 175/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16000/151, 768/151], [-1254/151, -1/151], [0, 0]], [[0, 0], [-31231/151, -849079/151], [-4532/151, 66847/151], [59/151, -2/151]], [[0, 0], [1450/151, 1015/302], [-7/151, -10/151], [-10/151, -7/302]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-192, -64]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [294716/151, 984/151], [2140/151, -6/151], [0, 0]], [[0, 0], [3062887/151, 8324548/151], [21918/151, 60023/151], [-289/151, -3/151]], [[0, 0], [1230688/151, 1335110/151], [8848/151, 9620/151], [-40/151, -14/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2778/151, -1640/151], [-144/151, 10/151], [0, 0]], [[0, 0], [220322/151, -55269/151], [-2870/151, 430/151], [-978/151, 5/151]], [[0, 0], [-7098018/151, 944798/151], [94976/151, -2334/151], [33594/151, 4072/151]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-192, -64]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-373308/151, 1588/151], [-2692/151, -6/151], [0, 0]], [[0, 0], [-324137979/151, -441036428/151], [-2378806/151, -3195717/151], [13/151, -3/151]], [[0, 0], [49782504/151, 43513596/151], [363080/151, 316130/151], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8830/151, 1062/151], [656/151, -12/151], [0, 0]], [[0, 0], [231052/151, 2614769/151], [-69694/151, -202890/151], [-952/151, -1/151]], [[0, 0], [-604479124/151, -1661331619/151], [79392118/151, 133457298/151], [597652/151, 84271/151]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-192, -64]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28316/151, 1364/151], [-2364/151, -12/151], [0, 0]], [[0, 0], [642743/151, 313514/151], [-51730/151, -23919/151], [-13/151, 3/151]], [[0, 0], [-263120/151, -167894/151], [20844/151, 13124/151], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-71562/151, 2088/151], [1904/151, 2/151], [0, 0]], [[0, 0], [-90922442/151, -35803109/151], [2478530/151, 1026564/151], [-860/151, 1/151]], [[0, 0], [-8700882146/151, -4096021700/151], [238264736/151, 116071534/151], [-75042/151, -9096/151]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-24, -8]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15432/151, -1575/151], [-1280/151, 5/151], [0, 0]], [[-94, 5/2], [-29106001/302, 31043729/302], [967271/151, -1193403/151], [617/302, -3/302]], [[93092, 11951], [9760151661/151, -13262114789/151], [-598996452/151, 1042967846/151], [-307581/151, -45917/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8329/151, 250/151], [-571/151, 4/151], [0, 0]], [[243, 2], [-11975043/151, 3625937/151], [838746/151, -279499/151], [243/151, 2/151]], [[33681, 9579/2], [-1521471104/151, 279070461/151], [105617189/151, -46155595/302], [33681/151, 9579/302]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-32, -48]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82150/151, -1195/151], [-348/151, -1/151], [0, 0]], [[0, 0], [3710351/151, 1058631/151], [15996/151, 4300/151], [-197/151, -1/151]], [[0, 0], [36612820/151, 97215809/302], [151360/151, 208808/151], [-588/151, -4851/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6070/151, -237/151], [72/151, -5/151], [0, 0]], [[0, 0], [-389776/151, 74918/151], [4336/151, -1291/151], [532/151, 5/151]], [[0, 0], [426760/151, -4042696/151], [-14789/151, 43544/151], [1771/151, 5852/151]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[-24, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 14], [2, 5], [0, 0]], [[0, 0], [14, -51/2], [-19, -5], [-5, -3/2]], [[0, 0], [-438, 290], [88, -84], [20, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 0], [10, 1], [0, 0]], [[0, 0], [-1580, -1825/2], [629, 381], [-3, 5/2]], [[0, 0], [-7742, -11405/2], [3165, 2309], [5, -3/2]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-24, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 32], [-10, -5], [0, 0]], [[0, 0], [-57, -25], [-6, 16], [-1, -2]], [[0, 0], [28, 347/2], [-168, 84], [15, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 14], [2, 1], [0, 0]], [[0, 0], [23, 21/2], [0, 0], [0, 5/2]], [[0, 0], [-54, -31], [0, 0], [-2, -5]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-192, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 26], [-20, 12], [0, 0]], [[0, 0], [-644, 97], [174, -124], [-2, -1]], [[0, 0], [128, -20], [-36, 24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 24], [-4, 4], [0, 0]], [[0, 0], [96, -13], [14, -6], [-2, -1]], [[0, 0], [-20, 10], [-4, 2], [0, 0]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-192, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -18], [0, 2], [0, 0]], [[0, 0], [2, 85], [0, 0], [-8, -1]], [[0, 0], [828, 1612], [0, 0], [-160, -56]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -28], [-4, -4], [0, 0]], [[0, 0], [-94, -23], [4, 10], [-8, -5]], [[0, 0], [-530, 159], [-40, 60], [-24, -9]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-64, -128]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2756, -16], [-20, 0], [0, 0]], [[0, 0], [-226225339/151, -857880344/151], [-1569958/151, -6215813/151], [617/151, 3/151]], [[0, 0], [87871108453/151, -2595037299275/151], [854409624/151, -18834717769/151], [1939455/151, -278244/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16586/151, 552/151], [-1392/151, 4/151], [0, 0]], [[0, 0], [-40008796/151, -17076436/151], [3247556/151, 1314176/151], [-8, 0]], [[0, 0], [1122326506/151, 357323085/151], [-91788926/151, -26692468/151], [38822/151, -5781/151]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-64, -128]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-186576/151, -4400/151], [-1352/151, -10/151], [0, 0]], [[0, 0], [5149246/151, 134055650/151], [5448/151, 971862/151], [2, 0]], [[0, 0], [7331395645/151, -29003571117/151], [60086872/151, -211271953/151], [-65705/151, 9520/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14810/151, 1838/151], [1300/151, -2/151], [0, 0]], [[0, 0], [55957014/151, -36593308/151], [5935900/151, -3958874/151], [-2534/151, -4/151]], [[0, 0], [28879962112/151, -19395671757/151], [3073276038/151, -2090918624/151], [-1098752/151, 157731/151]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-64, -128]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9156/151, 1302/151], [472/151, 16/151], [0, 0]], [[0, 0], [1493311/151, 643718/151], [-100618/151, -49691/151], [-709/151, -1/151]], [[0, 0], [-949303022/151, -310151200/151], [62629236/151, 25489026/151], [515034/151, -74124/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38318/151, 1734/151], [3952/151, 6/151], [0, 0]], [[0, 0], [-3190562/151, 857777/151], [-340034/151, 103172/151], [-164/151, -3/151]], [[0, 0], [29988246/151, -10458725/151], [3216606/151, -1219568/151], [1456/151, -117/151]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[-8, -16]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7568/151, 1247/151], [-466/151, -3/151], [0, 0]], [[0, 0], [27219212/151, -46830895/302], [-2252231/151, 1802042/151], [-69/151, 3/302]], [[0, 0], [-501811329/302, 203707093/151], [20509394/151, -31646861/302], [7/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37176/151, -367/151], [2790/151, 5/151], [0, 0]], [[0, 0], [90084151/151, -58195543/302], [-6793290/151, 2238656/151], [-476/151, 1/302]], [[0, 0], [-68694645234/151, 29434831809/151], [5189318750/151, -2250622500/151], [331824/151, -48732/151]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-8, -16]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24166/151, -617/151], [1766/151, 1/151], [0, 0]], [[0, 0], [96228511/302, -47001599/302], [-3604474/151, 3615345/302], [545/302, -1/151]], [[0, 0], [11685378587/302, -3220319594/151], [-439077255/151, 492600803/302], [58483/302, -8155/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11808/151, 216/151], [-978/151, -5/151], [0, 0]], [[0, 0], [-34199879/151, -12643353/302], [2829685/151, 487183/151], [791/151, 5/302]], [[0, 0], [-7989442107/151, -580630645/302], [663714839/151, 15147153/151], [195489/151, -57673/302]]], 1, 12, [], [] >,
< [ -2, 0, 1 ], [[-64, -16]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-558, -10], [2, 0], [0, 0]], [[0, 0], [-21234776/151, 12766005/151], [79120/151, -47171/151], [814/151, 2/151]], [[0, 0], [-2237813222/151, 3508368757/302], [8283176/151, -6527400/151], [17514/151, -113007/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43458/151, -841/151], [-1280/151, -5/151], [0, 0]], [[0, 0], [11324988/151, 5728008/151], [327125/151, 163686/151], [-243/151, 2/151]], [[0, 0], [-463212548/151, -538749628/151], [-13185253/151, -15588063/151], [-3813/151, 13407/151]]], 0, 96, [], [] >,
< [ -2, 0, 1 ], [[-8, -16]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8160/151, 1221/151], [-558/151, -1/151], [0, 0]], [[60, 1], [-11177155/151, 22084288/151], [1266308/151, -1698199/151], [197/151, -1/151]], [[26815, -6665/2], [-15604963529/302, 10620683725/151], [782654049/151, -842331173/151], [177165/302, -12865/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8329/151, 354/151], [-571/151, -4/151], [0, 0]], [[-732, -1/2], [21534358/151, -6489342/151], [-1504978/151, 997071/302], [-732/151, -1/302]], [[794094, -229585/2], [-25410652171/151, 10434203480/151], [1790066329/151, -1556118485/302], [794094/151, -229585/302]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-512, -1024]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4204/151, -6592/151], [-1024/151, -4/151], [0, 0]], [[0, 0], [-2043022/151, -1394518/151], [-133624/151, -129962/151], [1930/151, 4/151]], [[0, 0], [-733037894/151, -490370906/151], [-42389352/151, -49769258/151], [880750/151, -136500/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1569916/151, -864/151], [11160/151, 20/151], [0, 0]], [[0, 0], [746467832/151, 744406104/151], [-5318912/151, -5297472/151], [840/151, 8/151]], [[0, 0], [13896255610/151, 16942347452/151], [-99073340/151, -120539798/151], [22570/151, -3294/151]]], 0, 49152, [], [] >,
< [ -2, 0, 1 ], [[448, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [355804/151, 3124/151], [-1444/151, -8/151], [0, 0]], [[0, 0], [-17576034/151, 2387801/151], [68642/151, -10480/151], [-558/151, -1/151]], [[0, 0], [197784202/151, 19681566/151], [-766048/151, -62996/151], [6708/151, 1548/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1018332/151, 880/151], [-1300/151, 2/151], [0, 0]], [[0, 0], [34085726729/151, -4045218986/151], [-43538046/151, 5268375/151], [-315/151, -3/151]], [[0, 0], [5897493891150/151, 517727006522/151], [-7525476308/151, -642873560/151], [-57470/151, -12124/151]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[448, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-73446/151, 172/151], [-460/151, 10/151], [0, 0]], [[0, 0], [9073800/151, 16283389/151], [50534/151, 103400/151], [2488/151, 5/151]], [[0, 0], [-78126324748/151, -89444315929/151], [-461246306/151, -560689900/151], [-12251404/151, -2582569/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1091476/151, -3124/151], [1444/151, 8/151], [0, 0]], [[0, 0], [20648020959/151, -3611833489/151], [-27289924/151, 4705521/151], [361/151, 2/151]], [[0, 0], [-7774194886608/151, -261123044716/151], [10286336980/151, 372768274/151], [-146816/151, -31000/151]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[-64, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -8], [-20, 12], [0, 0]], [[0, 0], [-556, -365], [74, 32], [2, 3]], [[0, 0], [-650, -929], [-130, 246], [24, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -2], [-4, -2], [0, 0]], [[0, 0], [-318, 93], [6, 4], [4, 3]], [[0, 0], [52, -36], [0, 0], [0, 0]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-64, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -62], [16, -2], [0, 0]], [[0, 0], [-8292, 5403], [-1440, 1116], [10, 3]], [[0, 0], [-54624, 40978], [-11016, 7290], [-16, -40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -4], [8, 4], [0, 0]], [[0, 0], [1840, -1049], [-252, 78], [-6, -1]], [[0, 0], [-1596, 1433], [112, -200], [-2, -5]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[-8, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -12], [-6, -1], [0, 0]], [[0, 0], [-146, 183], [78, -11], [4, -1]], [[0, 0], [-440, 1319/2], [295, -15], [15, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -2], [-2, -3], [0, 0]], [[0, 0], [-32, 3/2], [3, -7], [-3, 5/2]], [[0, 0], [-8, -27/2], [-5, -1], [1, -1/2]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[-8, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 10], [-8, 1], [0, 0]], [[0, 0], [-285, -319/2], [60, 20], [-4, 3/2]], [[0, 0], [1169, 676], [-240, -90], [15, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, -6], [-10, 4], [0, 0]], [[0, 0], [-1, 73/2], [-4, -3], [4, -3/2]], [[0, 0], [1, -7/2], [0, 0], [0, 1/2]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[448, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [970, -4], [-4, 0], [0, 0]], [[0, 0], [-168073064/151, -55256929/151], [689218/151, 229554/151], [-1136/151, -5/151]], [[0, 0], [-999253755042/151, -894913808787/151], [4123110762/151, 3679012856/151], [-3585494/151, -4899625/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-251820/151, -3728/151], [368/151, 8/151], [0, 0]], [[0, 0], [194499315/151, -16459985/151], [-283252/151, 21843/151], [-243/151, -2/151]], [[0, 0], [-9398367035/151, -16039455364/151], [14060682/151, 23492925/151], [15705/151, 21465/151]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[448, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-588320/151, -3270/151], [-1392/151, -4/151], [0, 0]], [[0, 0], [-983902122/151, 109275962/151], [-2329232/151, 264298/151], [-512/151, 2/151]], [[0, 0], [-65711218800/151, -117543509395/151], [-154102650/151, -277729328/151], [-48470/151, -66417/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2187108/151, 1864/151], [2836/151, -4/151], [0, 0]], [[0, 0], [-67811075462/151, 8998899695/151], [87943770/151, -11717498/151], [348/151, 1/151]], [[0, 0], [-49989908677803/151, -97629660587622/151], [64682183298/151, 126560922121/151], [406929/151, 555765/151]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[24, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -4], [10, 3], [0, 0]], [[3, 1], [-589/7, 683/14], [-57, 1], [5/21, 1/42]], [[-10, -15/2], [89/14, 303/7], [110, 185/2], [-25/42, -10/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 6], [10, -4], [0, 0]], [[1, -1], [-177/7, 421/14], [-5, -31], [1/7, -5/42]], [[-8, -11/2], [571/2, 198], [-797, -1123/2], [-1/2, -1/3]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[24, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -8], [-10, -4], [0, 0]], [[0, 0], [181/7, 739/14], [48, 28], [-3/7, 1/42]], [[0, 0], [-1511/14, 1854/7], [159, 52], [-39/14, 26/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 6], [10, 4], [0, 0]], [[0, 0], [-45/7, 33/14], [6, 0], [1/21, 1/14]], [[0, 0], [23/14, 3/14], [-3, -1], [-1/14, -1/42]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[24, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -8], [-2, -2], [0, 0]], [[0, 0], [431/7, -555/14], [4, -1], [1/21, 1/14]], [[0, 0], [143/14, 99/14], [0, 0], [13/42, 3/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -6], [2, 5], [0, 0]], [[0, 0], [1325/14, -1033/14], [-32, 40], [-17/42, -1/42]], [[0, 0], [1012/7, -134/7], [-184, -76], [50/21, 40/21]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[192, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 6], [-20, -12], [0, 0]], [[0, 0], [403/7, -92/7], [-18, 10], [29/21, -2/21]], [[0, 0], [33/7, 11/7], [-2, 0], [1/7, 1/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -16], [-4, -8], [0, 0]], [[0, 0], [309/7, -639/7], [-554, 416], [23/21, 1/7]], [[0, 0], [1633, 1013], [-1286, 26], [-23, -17]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[192, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -8], [4, -16], [0, 0]], [[0, 0], [-2435/7, -2977/7], [-88, -748], [-5/21, 1/7]], [[0, 0], [-280, -190], [-352, -220], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 6], [16, -16], [0, 0]], [[0, 0], [-220/7, 13/7], [-32, 12], [-20/21, 5/21]], [[0, 0], [-249/7, -188/7], [-16, -14], [-5/7, -4/7]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[1536, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 24], [16, 0], [0, 0]], [[0, 0], [762/7, 100/7], [-4, -12], [82/21, 4/21]], [[0, 0], [768, 464], [-108, -88], [76/3, 44/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -40], [8, 8], [0, 0]], [[0, 0], [2714/7, -1312/7], [-60, 36], [-46/21, 8/21]], [[0, 0], [5612/7, -276/7], [-100, 32], [-48/7, -16/7]]], 0, 65536, [], [] >,
< [ -2, 0, 1 ], [[576, 192]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [520/17, -208/17], [8/17, -10/17], [0, 0]], [[0, 0], [1943643/697, 79863/697], [438/17, 93/85], [-1247/3485, -1/3485]], [[0, 0], [-1024358005/697, -57691960/697], [-1154244/85, -66591/85], [656397/3485, 2114/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7352/17, -228/17], [-292/17, 8/17], [0, 0]], [[0, 0], [77002043/287, -1090367/287], [11394/5, -1759/5], [10417/24395, 1/4879]], [[0, 0], [25573071943/697, 564678966/697], [26218892/85, -626619/17], [203721/3485, 7476/3485]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[576, 192]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3496/17, 120/17], [-240/17, -6/17], [0, 0]], [[0, 0], [678339/697, -3972664/697], [-28188/85, -34771/85], [477/697, -2/3485]], [[0, 0], [37352178/697, -284784802/697], [-425548/17, -508346/17], [34310/697, 658/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3064/17, 396/17], [-112/17, 4/17], [0, 0]], [[0, 0], [-738274732/4879, 16248069/4879], [-72678/85, 17586/85], [16984/24395, 3/24395]], [[0, 0], [-3337657644767/4879, -36265254421/4879], [-323812758/85, 68807757/85], [76894871/24395, 2540159/24395]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[72, 24]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-730/17, -116/17], [-108/17, -1/17], [0, 0]], [[926, -1/2], [-4959779/1394, -1393441/1394], [-67899/85, -904/85], [-2347/6970, -3/6970]], [[-507610, -24277/2], [2756250761/1394, 830352303/1394], [37245709/85, 1405716/85], [1286681/6970, 6621/1394]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [128, 4], [-2, 0], [0, 0]], [[-1047, -3/2], [-794710225/9758, 13772705/9758], [-50808/85, -1481/85], [-2421/9758, -3/48790]], [[108836, 4784], [41239262102/4879, 1040688720/4879], [5293964/85, 378521/85], [629096/24395, 5382/4879]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[192, 384]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2000/17, 16/17], [-104/17, 6/17], [0, 0]], [[0, 0], [-41515297/697, 1647723/697], [-43778/17, 21329/85], [3229/3485, 3/3485]], [[0, 0], [43223696221/697, 49058901056/697], [39375668/17, 244271071/85], [-3683709/3485, -3965058/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3568/17, 28/17], [260/17, 2/17], [0, 0]], [[0, 0], [3106338189/4879, -65906849/4879], [-12348622/595, 81143/119], [23551/24395, -1/24395]], [[0, 0], [359995801794/287, 386339187505/287], [-1394603026/35, -1518384164/35], [48551178/24395, 50822283/24395]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[192, 384]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3432/17, -40/17], [-216/17, 2/17], [0, 0]], [[0, 0], [13356699/697, 608676/697], [21432/17, 2489/85], [-991/3485, -2/3485]], [[0, 0], [264691732/697, 339837554/697], [401124/17, 2684454/85], [-17516/3485, -24462/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1840/17, -124/17], [228/17, -4/17], [0, 0]], [[0, 0], [-1598079729/4879, -66290415/4879], [6385934/595, 391059/595], [18857/24395, 1/4879]], [[0, 0], [3694710604033/4879, 3608588369906/4879], [-15311533176/595, -14688909001/595], [-40224253/24395, -8184716/4879]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[24, 48]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3650/17, 206/17], [276/17, 5/17], [0, 0]], [[941, 5/2], [23662365/1394, 810862/697], [-90181/85, -14853/85], [477/1394, 1/3485]], [[-175164, -449853/2], [-5148335443/1394, -5944164205/1394], [23758443/85, 24257446/85], [-441891/6970, -569283/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19330/17, 286/17], [198/17, 1/17], [0, 0]], [[276, -1/2], [-27541618355/9758, -232036748/4879], [-17284317/595, -122509/595], [-3191/48790, 1/24395]], [[131334, 275653/2], [-1945688770199/1394, -999927765909/697], [-1196941889/85, -1243537399/85], [-217459/6970, -22790/697]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[0, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 6], [1, 0], [0, 0]], [[0, 0], [-50, -10], [0, 0], [2, -4]], [[0, 0], [-18, 13], [0, 0], [4, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 6], [1, 0], [0, 0]], [[0, 0], [9540/7, 859/7], [52/7, 6/7], [-26/7, -3/7]], [[0, 0], [15972/7, -137568/7], [48/7, -744/7], [-24/7, 372/7]]], 0, 160, [], [] >,
< [ -2, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 12], [6, -5], [0, 0]], [[0, 0], [87, 131/2], [-1, 3], [4, 3/2]], [[0, 0], [-176, 15], [-92, 63], [30, -25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-210, -90], [4, 4], [0, 0]], [[0, 0], [-6956/7, 16531/7], [-608/7, 65/7], [10/7, -1/7]], [[0, 0], [6229/7, -40107/14], [745/7, -36/7], [-12/7, 1/14]]], 1, 20, [], [] >,
< [ -2, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -6], [0, 3], [0, 0]], [[0, 0], [-103, 99], [-30, 18], [3, -2]], [[0, 0], [118, 179/2], [-16, -10], [1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138, -54], [0, 2], [0, 0]], [[0, 0], [-28710/7, -99083/14], [1612/7, -213/7], [-1/7, 3/14]], [[0, 0], [-720, -378], [4, 9], [0, 0]]], 1, 20, [], [] >,
< [ -2, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 18], [0, -20], [0, 0]], [[0, 0], [86, -56], [-40, -4], [10, -2]], [[0, 0], [48, -15], [-108, -66], [18, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-432, -12], [20, 4], [0, 0]], [[0, 0], [-285102/7, 220131/7], [9552/7, -7818/7], [12/7, 3/7]], [[0, 0], [172/7, 141/7], [-12/7, -10/7], [6/7, 5/7]]], 0, 1280, [], [] >,
< [ -2, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -18], [20, -12], [0, 0]], [[0, 0], [40, 62], [-40, 16], [-4, -4]], [[0, 0], [26, 77], [-64, 32], [-4, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, -18], [4, 0], [0, 0]], [[0, 0], [-248/7, 379/7], [-600/7, 60/7], [-50/7, 5/7]], [[0, 0], [1320/7, -2505/7], [4104/7, -108/7], [342/7, -9/7]]], 0, 1280, [], [] >,
< [ -2, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -18], [-12, 2], [0, 0]], [[0, 0], [-348, -187], [-32, -80], [2, 3]], [[0, 0], [1614, 1443], [640, 160], [-24, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-216, -24], [4, 8], [0, 0]], [[0, 0], [-3780, 9334], [-596, 114], [-8, 0]], [[0, 0], [-507508/7, 1120663/7], [-71516/7, 15406/7], [-950/7, 25/7]]], 0, 1280, [], [] >,
< [ -2, 0, 1 ], [[-8, -24]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 4], [0, 1], [0, 0]], [[0, 0], [19018191/3554, -4319/3554], [-19348/3, 1/3], [2273/3554, 1/10662]], [[0, 0], [218344512/1777, 1568841457/3554], [-148274, -532042], [26166/1777, 187523/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 8], [-6, -1], [0, 0]], [[0, 0], [-1301067/1777, 37564/1777], [-27170/3, 109], [4753/5331, 2/5331]], [[0, 0], [6755747/3554, 296166541/3554], [58304, 3096607/3], [-88213/10662, -1084501/10662]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-8, -24]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 8], [6, 3], [0, 0]], [[0, 0], [-35675183/3554, -70809/3554], [-2185/3, -83/3], [-4257/3554, -5/10662]], [[0, 0], [-292845/3554, 94826/1777], [-17/3, 11/3], [-35/3554, 34/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 6], [10, -5], [0, 0]], [[0, 0], [-440, -44], [1030/3, -80/3], [2/3, 0]], [[0, 0], [71133579/3554, -36237249/3554], [-19069, 11076], [-121183/3554, 67023/3554]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-64, -192]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -2], [-20, 4], [0, 0]], [[0, 0], [-12364800/1777, -40353/1777], [8364, 36], [-1488/1777, -1/1777]], [[0, 0], [-153395/1777, -136661/1777], [104, 278/3], [-55/5331, -49/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -4], [-12, -20], [0, 0]], [[0, 0], [-1767509/1777, -494/1777], [440/3, 76/3], [-207/1777, -4/5331]], [[0, 0], [-119927/1777, -16734/1777], [28/3, 4/3], [-43/5331, -2/1777]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[-64, -192]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -4], [-12, 8], [0, 0]], [[0, 0], [4185572/1777, -14981/1777], [544/3, -40/3], [496/1777, 1/5331]], [[0, 0], [426717/1777, 290056/1777], [50/3, 34/3], [51/1777, 104/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -18], [-12, -2], [0, 0]], [[0, 0], [1043402/1777, 47732/1777], [-696, -98/3], [-6530/5331, -2/5331]], [[0, 0], [10089/1777, 9053/1777], [-6, -16/3], [-55/5331, -49/5331]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[-8, -24]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 6], [10, -1], [0, 0]], [[-1851, 5/2], [12458113/3554, 62713/3554], [6308/3, 121/6], [4421/10662, -1/3554]], [[-71487, 170469/2], [473824525/3554, -570607151/3554], [79090, -191875/2], [56823/3554, -67821/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -8], [10, -1], [0, 0]], [[-2353, 2], [7897508/1777, -95193/3554], [-8527/3, -84], [2810/5331, -1/10662]], [[64, 87/2], [-426717/3554, -145028/1777], [242/3, 329/6], [-51/3554, -52/5331]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-320, -128]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -10], [-16, -20], [0, 0]], [[0, 0], [17964299/1777, 110668/1777], [-37064/3, 62], [6487/5331, 4/5331]], [[0, 0], [86459/1777, 103193/1777], [-176/3, -70], [31/5331, 37/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 6], [-8, 12], [0, 0]], [[0, 0], [14467294/1777, 381043/1777], [-3988/3, -116], [5042/5331, -1/5331]], [[0, 0], [-2475872133/1777, 3195649801/1777], [572812/3, -836432/3], [-307755/1777, 1138205/5331]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[-320, -128]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 6], [-20, -10], [0, 0]], [[0, 0], [-11629859/1777, 4048/1777], [-1358/3, -2], [-4175/5331, 4/5331]], [[0, 0], [-750514728/1777, 668909658/1777], [-28964, 77690/3], [-269720/5331, 240296/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -26], [20, -10], [0, 0]], [[0, 0], [978996/1777, 294711/1777], [-96, -208/3], [-332/5331, 5/5331]], [[0, 0], [-1808877/1777, 2358725/1777], [-114, -208/3], [1375/5331, -1225/5331]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[-40, -16]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [4, -4], [0, 0]], [[0, 0], [-6454367/3554, 36305/1777], [6664/3, -8/3], [-785/3554, -1/5331]], [[0, 0], [-155760405/1777, 99035287/1777], [317600/3, -201317/3], [-55973/5331, 11819/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -2], [-6, -5], [0, 0]], [[0, 0], [-4804488/1777, 1644737/3554], [-16288/3, -11], [2810/5331, 1/10662]], [[0, 0], [-849356513/3554, 1145074478/1777], [-102046/3, 1287203], [40135/10662, -666241/5331]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-40, -16]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 0], [-10, -2], [0, 0]], [[0, 0], [13085525/3554, -34775/1777], [503/3, -46], [4753/10662, -1/5331]], [[0, 0], [-323657945/1777, 287427381/1777], [-12234, 28729/3], [-116545/5331, 103831/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 10], [-2, -1], [0, 0]], [[0, 0], [-10308983/3554, -7355/1777], [419, -5/3], [7729/10662, -2/5331]], [[0, 0], [79584022/1777, -578098693/3554], [-20170/3, 70595/3], [-20170/1777, 433655/10662]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-40, -16]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -8], [-4, -1], [0, 0]], [[986, 3/2], [6511231/3554, -11427/1777], [3341/3, -17/6], [785/3554, 1/5331]], [[17940, -15990], [59767186/1777, -53095212/1777], [20410, -18143], [7150/1777, -6370/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 4], [-4, 3], [0, 0]], [[2353, 2], [7897508/1777, 95193/3554], [-8887/3, 0], [2810/5331, 1/10662]], [[38087, -952175/2], [222576293/3554, -3194487641/3554], [-48969, 3596501/6], [92497/10662, -1137169/10662]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-24, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 0], [1, 0], [0, 0]], [[0, 1/2], [7, 1], [0, 1/2], [1, 0]], [[0, 0], [-6, -8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 0], [1, 0], [0, 0]], [[-8, 3/2], [14003/7, 1189/7], [89/7, 41/14], [29/7, 2/7]], [[36, 132], [-205330/7, -274888/7], [-1788/7, -1896/7], [-408/7, -564/7]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[-192, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -24], [4, -4], [0, 0]], [[0, 0], [-230, -89], [-16, 2], [-8, 1]], [[0, 0], [228, 601], [-36, 54], [-18, 27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2192, 312], [20, 4], [0, 0]], [[0, 0], [1128376/7, -50756/7], [10012/7, 172/7], [20/7, -2/7]], [[0, 0], [66204788/7, 80502819/7], [679892/7, 754970/7], [1010/7, 1355/7]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-192, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 130], [4, 8], [0, 0]], [[0, 0], [-1338, -2108], [-88, -128], [-10, 0]], [[0, 0], [5600, 755], [336, 56], [-6, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -1604], [-20, -20], [0, 0]], [[0, 0], [-8469624/7, 4226995/7], [-52900/7, -296/7], [74/7, 1/7]], [[0, 0], [1481420788/7, -3467730929/7], [-25021552/7, -34094836/7], [35754/7, 47967/7]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-40, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 1/2], [-21, 1], [0, 1/2], [1, 0]], [[0, 0], [-10, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94, 0], [1, 0], [0, 0]], [[13, -5/2], [47489/7, 3152/7], [-144/7, -65/14], [-47/7, -3/7]], [[847, -121/2], [3303035/7, 619558/7], [-10406/7, -6897/14], [-3267/7, -605/7]]], 1, 48, [], [] >,
< [ -2, 0, 1 ], [[-320, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, -78], [8, 16], [0, 0]], [[0, 0], [18, 23], [-416, 290], [8, -5]], [[0, 0], [-1126, -796], [168, 72], [-18, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4184, 6], [16, 0], [0, 0]], [[0, 0], [66451916/7, 75955/7], [254104/7, -90/7], [-2/7, 3/7]], [[0, 0], [-80796, -85896], [-308, -328], [0, 0]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-320, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -74], [16, 12], [0, 0]], [[0, 0], [678, -461], [-20, 8], [8, -1]], [[0, 0], [2134, -1847], [24, 96], [-44, -55]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3112, 1346], [0, 20], [0, 0]], [[0, 0], [-25527218/7, -29556743/7], [-380844/7, -4/7], [-76/7, -5/7]], [[0, 0], [-14295610972/7, -14064671570/7], [-162161668/7, -22075740/7], [-32940/7, -6534/7]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[320, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -1], [1, 0], [0, 0]], [[0, 0], [-92, -6], [0, 0], [6, 0]], [[0, 0], [-1152/17, -3752/17], [0, 0], [44/17, 242/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -7], [6, -3], [0, 0]], [[0, 0], [-3190/17, 832/17], [-38, 20], [168/17, 6/17]], [[0, 0], [51450/17, 32616/17], [276, 138], [-4366/17, -2950/17]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[320, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 1], [1, 0], [0, 0]], [[0, 0], [2044/17, 22/17], [0, 0], [-126/17, 4/17]], [[0, 0], [27940/17, -25136/17], [0, 0], [-1856/17, 1624/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -4], [-10, 2], [0, 0]], [[0, 0], [-1132/17, 710/17], [54, -34], [-8/17, -10/17]], [[0, 0], [32/17, 23/17], [10, 7], [46/17, 32/17]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[56, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 0], [1, 0], [0, 0]], [[0, 1/2], [5, 1], [0, 1/2], [1, 0]], [[0, 0], [14, 6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-110, 0], [1, 0], [0, 0]], [[-10, 5/2], [-3499, -3], [5, 5/2], [5, 0]], [[546, 123], [1701740/7, 727842/7], [-3468/7, -2253/7], [-2430/7, -1038/7]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[448, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -18], [-8, -4], [0, 0]], [[0, 0], [684, -131], [56, -34], [-6, -5]], [[0, 0], [-5072, 4098], [-644, 464], [-16, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4552, 422], [8, 4], [0, 0]], [[0, 0], [398012866/7, -215814839/7], [-319772/7, -178/7], [52/7, -1/7]], [[0, 0], [-23054008828/7, 4523762697/7], [35409620/7, 15576010/7], [-5658/7, -2419/7]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[448, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, -144], [20, -8], [0, 0]], [[0, 0], [6006, -7589], [1232, -140], [0, 3]], [[0, 0], [19764, -2479], [-784, -1960], [-10, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [260, 860], [12, 8], [0, 0]], [[0, 0], [-9460/7, -18031/7], [104/7, 12/7], [-26/7, -3/7]], [[0, 0], [45600, 44063], [-232, -100], [58, 25]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[8, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [1, 0], [0, 0]], [[0, 1/2], [-11, 1], [0, 1/2], [1, 0]], [[0, 0], [2, 8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-194, 0], [1, 0], [0, 0]], [[-14, 5/2], [-41395/7, -3487/7], [106/7, 67/14], [51/7, 4/7]], [[177, -1239/2], [-452555/7, -1868464/7], [3363/7, 9735/14], [531/7, 2301/7]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[64, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, -124], [-4, 20], [0, 0]], [[0, 0], [3762, -2881], [-488, 374], [-4, -5]], [[0, 0], [13468, -10131], [-1748, 1314], [-10, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-544, -462], [4, -20], [0, 0]], [[0, 0], [-4885444/7, -2998346/7], [-185296/7, 296/7], [16/7, 4/7]], [[0, 0], [-30421194/7, -26501529/7], [328032/7, -1204634/7], [24/7, 97/7]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[64, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144, -56], [-12, 0], [0, 0]], [[0, 0], [-244, 55], [12, 0], [-6, 1]], [[0, 0], [-436, -204], [28, 16], [-12, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1228, -370], [12, -16], [0, 0]], [[0, 0], [-19421652/7, -17610526/7], [-269476/7, 496/7], [20/7, -2/7]], [[0, 0], [-221695354/7, -137533205/7], [-591852/7, -1365956/7], [24/7, 97/7]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[136, 200]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [118, 86], [-16, 2], [0, 0]], [[0, 1/2], [5, 1], [0, 1/2], [1, 0]], [[0, 0], [80, 52], [11, -13], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-878, 40], [17, 25], [0, 0]], [[8, -2], [8545794, -11198496], [472028, -5112], [-4, 0]], [[30, 277/2], [-2421758461/7, 136233371/7], [45355470/7, 136815619/14], [-397/7, -584/7]]], 1, 1920, [], [] >,
< [ -2, 0, 1 ], [[1088, 1600]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [292, 10], [92, 4], [0, 0]], [[0, 0], [-449184, 18623], [-141036, 4618], [-6, -1]], [[0, 0], [6956830, 22489937], [2309432, 7085678], [220, 325]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1776, 160], [-20, 80], [0, 0]], [[0, 0], [3261142/7, 45926061/7], [-4100368/7, 86/7], [40/7, 3/7]], [[0, 0], [4284090344/7, 1322086896/7], [-104714544/7, -187525668/7], [1296/7, 1906/7]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[1088, 1600]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1160, 10], [128, 108], [0, 0]], [[0, 0], [-220586, 188519], [10760, 184], [-4, 3]], [[0, 0], [-3696, -3258], [-1004, -696], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6136, 194], [8, 92], [0, 0]], [[0, 0], [5900484/7, -216203641/7], [-6495024/7, 14160/7], [50/7, -5/7]], [[0, 0], [-15367349000/7, -6193812911/7], [-191423100/7, -233033488/7], [1122/7, 1649/7]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[264, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, -32], [9, 5], [0, 0]], [[0, 1/2], [-9, 1], [-8, 1/2], [1, 0]], [[0, 0], [-14, 6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1638, 42], [-19, 17], [0, 0]], [[-8, 5/2], [54321913/7, 47918945/7], [365879/7, -3579/14], [27/7, -2/7]], [[106, -1], [-1367478402/7, -1055485514/7], [-5971309/7, -1796587/7], [-422/7, -102/7]]], 1, 1920, [], [] >,
< [ -2, 0, 1 ], [[2112, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-572, 6], [40, 36], [0, 0]], [[0, 0], [3218636, -2897008], [139316, 1684], [-8, 4]], [[0, 0], [19657074, 78636845], [-11412656, -6858210], [260, 63]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2652, 6], [-92, 4], [0, 0]], [[0, 0], [210651780/7, 9806922/7], [-7282400/7, -4856/7], [-12/7, 4/7]], [[0, 0], [-37463587436/7, -19414754251/7], [1238836764/7, 614372942/7], [1366/7, 331/7]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[2112, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-172, -6], [68, 24], [0, 0]], [[0, 0], [24952, -10561], [-7768, 972], [6, -1]], [[0, 0], [2070258, -136867], [-858380, -240056], [640, 155]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3472, 62], [-116, 32], [0, 0]], [[0, 0], [-82251446, -23956906], [2306108, 1160], [2, 0]], [[0, 0], [-217774071590/7, -101846085043/7], [5351455840/7, 1299872160/7], [4640/7, 1125/7]]], 0, 122880, [], [] >,
< [ -2, 0, 1 ], [[1600, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -2], [-5, -25], [0, 0]], [[0, 0], [87/17, 28/17], [-65, 45], [-12/17, 2/17]], [[0, 0], [-488/17, -321/17], [30, -15], [38/17, 22/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 7], [-30, 15], [0, 0]], [[0, 0], [4, 63], [-20, 65], [4, 0]], [[0, 0], [5018/17, 3034/17], [240, 130], [186/17, 156/17]]], 0, 79872, [], [] >,
< [ -2, 0, 1 ], [[1600, 0]], [ -70, 45 ], [ -2, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, -16], [25, 25], [0, 0]], [[0, 0], [-3304/17, 1208/17], [300, 170], [70/17, -6/17]], [[0, 0], [2082/17, -4716/17], [730, 590], [20/17, 110/17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 6], [-50, -20], [0, 0]], [[0, 0], [2114/17, -1803/17], [-510, -555], [-70/17, 6/17]], [[0, 0], [1644, 194], [49130, 33770], [124, 104]]], 0, 79872, [], [] >,
< [ -2, 0, 1 ], [[448, 1088]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-352, 6], [32, 12], [0, 0]], [[0, 0], [-1061770, 397815], [69336, 1190], [-8, -1]], [[0, 0], [-49496592, 79959519], [-1137512, -5592258], [270, 657]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1248, 100], [4, 36], [0, 0]], [[0, 0], [1996696/7, 32053389/7], [1854644/7, 12182/7], [66/7, -1/7]], [[0, 0], [-13178903340/7, -3259438002/7], [-170105632/7, -377213432/7], [-5472/7, -13296/7]]], 0, 67584, [], [] >,
< [ -2, 0, 1 ], [[448, 1088]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -2], [-92, -92], [0, 0]], [[0, 0], [-16276, 16253], [42320, -2340], [2, -3]], [[0, 0], [-23864, 241112], [1133960, 502000], [-24, -58]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1412, 310], [124, 104], [0, 0]], [[0, 0], [-318532014/7, 246275884/7], [-8299324/7, 8740/7], [-22/7, -2/7]], [[0, 0], [-318840345710/7, 198835876621/7], [1502466624/7, 6351045528/7], [7080/7, 17205/7]]], 0, 67584, [], [] >,
< [ -2, 0, 1 ], [[56, 136]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98, -54], [-12, 7], [0, 0]], [[0, 1/2], [1, 1], [-11, 1/2], [1, 0]], [[0, 0], [-1440, -1000], [-31, -3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1130, 88], [-33, -21], [0, 0]], [[-7, 1], [33827928/7, -21979305/7], [171266/7, 414/7], [26/7, 3/7]], [[15, -309/2], [-850685579/7, 672227762/7], [762180/7, 7776401/14], [249/7, 603/7]]], 1, 1056, [], [] >,
< [ -2, 0, 1 ], [[216, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -32], [3, -4], [0, 0]], [[0, 1/2], [-15, 1], [-3, 1/2], [1, 0]], [[0, 0], [14, 12], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [966, 46], [27, 10], [0, 0]], [[-7, 5/2], [37985935/7, -12907046/7], [796393/7, -11055/14], [23/7, -3/7]], [[27, 4], [-149954142/7, -25479493/7], [-4530840/7, -2051880/7], [-116/7, -43/7]]], 1, 1056, [], [] >,
< [ -2, 0, 1 ], [[1728, 640]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 8], [12, 76], [0, 0]], [[0, 0], [3140, -19851], [59816, 9084], [-6, 5]], [[0, 0], [2230860, 1478893], [-6193312, -4527648], [-122, -45]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4592, 112], [76, -40], [0, 0]], [[0, 0], [3036385118/7, 1561764282/7], [-23044464/7, 39868/7], [-6/7, 2/7]], [[0, 0], [2649051761212/7, 1807919677563/7], [-12695648992/7, -7156311060/7], [-2066/7, -765/7]]], 0, 67584, [], [] >,
< [ -2, 0, 1 ], [[1728, 640]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [128, -2], [-28, -24], [0, 0]], [[0, 0], [492, -527], [60, -6], [10, -1]], [[0, 0], [-3960, 40562], [-7128, -2640], [-1188, -440]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3732, 54], [-8, -20], [0, 0]], [[0, 0], [8192322/7, -19162399/7], [-182748/7, 114/7], [-60/7, -1/7]], [[0, 0], [-366140958/7, -1082624909/7], [-12179296/7, -4342918/7], [-4048/7, -1495/7]]], 0, 67584, [], [] >,
< [ -2, 0, 1 ], [[152, 48]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -10], [-8, -7], [0, 0]], [[0, 0], [-1286765/1777, 20065/3554], [35342/3, 116/3], [-455/5331, -1/3554]], [[0, 0], [-52529573/3554, -22357053/3554], [728308/3, 315077/3], [-6251/3554, -8113/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -4], [-14, -8], [0, 0]], [[0, 0], [-2729341/3554, 259171/3554], [-495764/3, -370/3], [4257/3554, 5/10662]], [[0, 0], [-309221540/1777, -189260810/1777], [-127816760/3, -80976539/3], [1645556/5331, 347468/1777]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[152, 48]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -10], [10, 30], [0, 0]], [[0, 0], [15580867/3554, -128215/3554], [23149, 448/3], [5663/10662, 5/10662]], [[0, 0], [1711905256/1777, -2637471455/3554], [14919092/3, -11534518/3], [613564/5331, -315805/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 4], [-24, -21], [0, 0]], [[0, 0], [-243/2, 17], [21817/3, 52/3], [1/6, 0]], [[0, 0], [2093305/3554, 6295167/3554], [-204365/3, -346892/3], [-16511/10662, -9405/3554]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[1216, 384]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 4], [-28, -16], [0, 0]], [[0, 0], [-27311147/1777, -15475/1777], [253608, 74], [-3265/1777, -1/1777]], [[0, 0], [301628408/1777, 1078900568/1777], [-8386136/3, -30053320/3], [35992/1777, 386914/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -10], [-100, -28], [0, 0]], [[0, 0], [-34978599/1777, 71351/1777], [634780/3, 11492/3], [-4257/1777, -5/5331]], [[0, 0], [-2874670376/1777, 348155336/1777], [51918284/3, -1755952], [-1048960/5331, 124564/5331]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[1216, 384]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 18], [-32, 6], [0, 0]], [[0, 0], [16425245/1777, 1863555/1777], [153038/3, 3752/3], [6241/5331, 1/1777]], [[0, 0], [6022845990/1777, 2291256577/1777], [53381008/3, 16667546/3], [715590/1777, 628129/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, 6], [-60, -10], [0, 0]], [[0, 0], [-2350840/1777, -1994065/1777], [352852/3, -1020], [14548/5331, 5/5331]], [[0, 0], [7288223927/1777, 5604566959/1777], [-755510714/3, -190886372/3], [-31296325/5331, -2717437/1777]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[152, 48]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -10], [30, 5], [0, 0]], [[4966, -5/2], [-32724929/3554, -2789/1777], [-76855, -1001/6], [-11861/10662, -1/5331]], [[285012, 39585], [-939262079/1777, -131061478/1777], [-4414202, -624424], [-113477/1777, -15834/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -2], [6, 1], [0, 0]], [[-2371, -1/2], [15765675/3554, 13945/3554], [-59615, -319/6], [5663/10662, 5/10662]], [[-81216, -11280], [270068414/1777, 37684378/1777], [-2042432, -285008], [32336/1777, 4512/1777]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[448, 832]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 0], [124, 104], [0, 0]], [[0, 0], [16515741/1777, -69056/1777], [-457348/3, 218], [5909/5331, 2/5331]], [[0, 0], [1554949021/1777, -2623691361/1777], [-42660296/3, 72537530/3], [547865/5331, -312075/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -6], [104, 96], [0, 0]], [[0, 0], [28895666/1777, -32257/1777], [-167180, 800/3], [10330/5331, 5/5331]], [[0, 0], [754224799/1777, 220133568/1777], [-4362452, -1271524], [89961/1777, 26376/1777]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[448, 832]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [280, 20], [292, 8], [0, 0]], [[0, 0], [-96884251/1777, -82504851/1777], [-210826/3, -139118/3], [-2687/5331, 1/1777]], [[0, 0], [58751319816/1777, 38064682158/1777], [35225816, 25733402], [124232/1777, 245496/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -2], [-36, 6], [0, 0]], [[0, 0], [199458/1777, -534359/1777], [24164/3, -1058/3], [910/5331, -1/1777]], [[0, 0], [66035063/1777, 6260789/1777], [-757790/3, -540704], [-33605/5331, -62465/5331]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[264, 160]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -2], [-20, -25], [0, 0]], [[0, 0], [-13170821/3554, 13451/1777], [183838/3, -221], [-4753/10662, 1/5331]], [[0, 0], [-231755774/1777, 84665210/1777], [2159012, -2373614/3], [-83536/5331, 30418/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -6], [-20, -8], [0, 0]], [[0, 0], [-2092483/1777, -42919/3554], [-124654/3, -463/3], [537/1777, 5/10662]], [[0, 0], [-26811019/3554, -73145709/3554], [-256732, -724597], [6555/3554, 18715/3554]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[264, 160]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 4], [-28, -1], [0, 0]], [[0, 0], [14405185/1777, 13945/3554], [42160, 646/3], [5165/5331, 5/10662]], [[0, 0], [-1546614849/3554, 830104015/1777], [-6722345/3, 7257031/3], [-184847/3554, 297635/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 4], [4, -12], [0, 0]], [[0, 0], [-4271171/3554, 121601/3554], [13169, -14/3], [3265/10662, -1/10662]], [[0, 0], [-14149376/1777, 42519438/1777], [72626, -260157], [3000/1777, -10750/1777]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[264, 160]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -2], [10, -13], [0, 0]], [[1488, 1], [2787, 10], [69536/3, -341/3], [1/3, 0]], [[-106610, -181237/2], [-713174045/3554, -302638475/1777], [-1644941, -8413925/6], [-254341/10662, -108133/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 10], [-46, -15], [0, 0]], [[-1228, -5/2], [-14044237/3554, -1604878/1777], [35836, 25211/6], [-2933/10662, -2/5331]], [[22264, -19844], [75789170/1777, -84535874/1777], [-515960, 1511900/3], [26620/5331, -23716/5331]]], 1, 576, [], [] >,
< [ -2, 0, 1 ], [[72, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -2], [0, 3], [0, 0]], [[4, 3/2], [-229/14, -16/7], [-10, -25/2], [13/14, 1/7]], [[15, 5], [-435/7, -73/14], [-33, -46], [25/7, 5/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 0], [4, -3], [0, 0]], [[-4, -1], [-57, -44], [10, -1], [-1, 0]], [[-2, -7/2], [-1139/14, -373/7], [-1, 17/2], [-1/14, -6/7]]], 1, 160, [], [] >,
< [ -2, 0, 1 ], [[72, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -10], [10, -1], [0, 0]], [[0, 0], [-71/14, 261/14], [-37, -1], [-17/14, -1/14]], [[0, 0], [-1098/7, -968/7], [340, 210], [80/7, 50/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -8], [-6, 2], [0, 0]], [[0, 0], [-3708/7, -2272/7], [-110, -131], [20/7, 2/7]], [[0, 0], [4141/14, 2194/7], [189, 22], [19/14, -19/7]]], 1, 160, [], [] >,
< [ -2, 0, 1 ], [[72, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -6], [-8, 3], [0, 0]], [[0, 0], [-202/7, 103/7], [144, -104], [-4/7, 1/7]], [[0, 0], [577/14, 463/14], [32, 0], [23/14, 17/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -4], [2, 0], [0, 0]], [[0, 0], [29/14, 621/14], [12, 15], [-25/14, 1/14]], [[0, 0], [881/7, 1157/7], [84, 71], [-45/7, -15/7]]], 1, 160, [], [] >,
< [ -2, 0, 1 ], [[576, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -2], [-16, -16], [0, 0]], [[0, 0], [11/7, -120/7], [34, 14], [5/7, 4/7]], [[0, 0], [-16, 12], [-12, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 26], [20, 10], [0, 0]], [[0, 0], [1726/7, -1086/7], [-12, 62], [26/7, 4/7]], [[0, 0], [753/7, 2085/7], [766, 494], [299/7, 221/7]]], 0, 10240, [], [] >,
< [ -2, 0, 1 ], [[576, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -10], [8, 12], [0, 0]], [[0, 0], [-366/7, 795/7], [-260, -240], [22/7, 5/7]], [[0, 0], [-3615/7, 1245/7], [880, 420], [-9/7, -45/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -10], [-12, 4], [0, 0]], [[0, 0], [-576/7, -157/7], [-24, -36], [36/7, 5/7]], [[0, 0], [18713/7, 18980/7], [2448, 1294], [-897/7, -1104/7]]], 0, 10240, [], [] >,
< [ -2, 0, 1 ], [[4608, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -4], [8, 4], [0, 0]], [[0, 0], [-7158/7, 3480/7], [112, 4], [-82/7, -4/7]], [[0, 0], [-44292/7, 52296/7], [-260, -920], [208/7, 676/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, -28], [12, 8], [0, 0]], [[0, 0], [1438/7, -90/7], [0, 0], [58/7, 10/7]], [[0, 0], [864, -200], [0, 0], [32, 0]]], 0, 655360, [], [] >,
< [ -2, 0, 1 ], [[216, 72]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42/17, -160/17], [-258/17, -9/17], [0, 0]], [[1635, -1], [2479734/697, -2085777/1394], [-140316/85, -96129/85], [-2072/3485, -1/1394]], [[-18576, -645/2], [-55497351/1394, 22684321/1394], [1633401/85, 1120797/85], [9417/1394, 903/6970]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7152/17, -32/17], [-378/17, -12/17], [0, 0]], [[-1120, -3/2], [-1257378125/9758, 247527409/4879], [275550/17, -183441/85], [-12949/48790, -1/24395]], [[-2084489, -172601/2], [-2266094517615/9758, 827520548095/9758], [2536569894/85, -238647372/85], [-283503/574, -57013/2870]]], 1, 960, [], [] >,
< [ -2, 0, 1 ], [[1728, 576]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3280/17, 116/17], [1128/17, 18/17], [0, 0]], [[0, 0], [-1108462/17, 251652/17], [-2011212/85, 472332/85], [-2/5, 0]], [[0, 0], [-5768200967/697, 1209453037/697], [-255189222/85, 55537281/85], [-35697/697, -3423/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17872/17, 100/17], [1092/17, 12/17], [0, 0]], [[0, 0], [41005682146/4879, 1175336417/4879], [46526118/85, 1501056/85], [-5686/4879, -1/24395]], [[0, 0], [62904286625219/4879, 3718245074074/4879], [71388517872/85, 4475302719/85], [-8707311/4879, -1331584/24395]]], 0, 61440, [], [] >,
< [ -2, 0, 1 ], [[1728, 576]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3104/17, -404/17], [-960/17, -24/17], [0, 0]], [[0, 0], [22555386/697, -9060401/697], [664194/85, -415944/85], [5538/3485, 1/697]], [[0, 0], [-1474115081/17, 593046386/17], [-356094972/17, 223069713/17], [-4255, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12824/17, -84/17], [984/17, -6/17], [0, 0]], [[0, 0], [-2694260/17, 21936/17], [104184/85, 8286/85], [4/5, 0]], [[0, 0], [-183195165603/4879, 101591221/4879], [24715482/85, 2150613/85], [4624203/24395, 7017/4879]]], 0, 61440, [], [] >,
< [ -2, 0, 1 ], [[72, 144]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3140/17, -270/17], [-744/17, -12/17], [0, 0]], [[-15, -2], [-522107/697, 2563295/1394], [-20358/85, 38532/85], [-19/3485, -1/1394]], [[-17, -19/2], [-47611/1394, -13303/697], [-501/85, -282/85], [-43/6970, -12/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12918/17, -482/17], [-828/17, -15/17], [0, 0]], [[2329, -5/2], [4075782293/9758, -191772185/9758], [4459047/595, -175551/119], [-26927/48790, -3/48790]], [[1709003, 1709003], [33115391157/119, 69584709209/238], [1989482814/595, 2630062359/595], [-241533/595, -96499/238]]], 1, 960, [], [] >,
< [ -2, 0, 1 ], [[576, 1152]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [720/17, 16/17], [372/17, 6/17], [0, 0]], [[0, 0], [-7405145/697, 3218/697], [35712/85, -291/85], [4073/3485, 4/3485]], [[0, 0], [256322984/697, 266897420/697], [-243264/17, -255528/17], [-28280/697, -29400/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2760/17, 392/17], [36/17, -6/17], [0, 0]], [[0, 0], [-1315140178/4879, -524164/4879], [2341056/595, 1674/595], [-13134/24395, -4/24395]], [[0, 0], [348585869245/4879, 351237653392/4879], [-620906688/595, -625427697/595], [3480587/24395, 3507402/24395]]], 0, 61440, [], [] >,
< [ -2, 0, 1 ], [[576, 1152]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1848/17, -172/17], [540/17, 12/17], [0, 0]], [[0, 0], [-5953926/697, -2818688/697], [-264024/85, -130416/85], [806/3485, -4/3485]], [[0, 0], [-313235199/697, -237727136/697], [-14185596/85, -10687467/85], [21411/3485, 21838/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10800/17, 308/17], [-744/17, -12/17], [0, 0]], [[0, 0], [-1425155051/4879, -51558/4879], [7974816/595, -119127/595], [1651/4879, 4/24395]], [[0, 0], [-263513042314/4879, -265665107576/4879], [1430031996/595, 1464515124/595], [1527746/24395, 1539516/24395]]], 0, 61440, [], [] >,
< [ -2, 0, 1 ], [[0, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, -48], [-15, -3], [0, 0]], [[0, 0], [1188, 281], [300, -75], [2, -3]], [[0, 0], [1650, 813], [300, 30], [0, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, 24], [0, 12], [0, 0]], [[0, 0], [6410/7, 1165/7], [-225/7, -93/7], [46/7, 1/7]], [[0, 0], [-64914/7, -61235/7], [3138/7, 2517/7], [-344/7, -387/7]]], 0, 1280, [], [] >,
< [ -2, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 24], [-24, -9], [0, 0]], [[0, 0], [830, -343/2], [-237, -393], [-5, -1/2]], [[0, 0], [-15752, 6968], [174, 5505], [80, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 48], [-12, -12], [0, 0]], [[0, 0], [8550/7, -5959/14], [-807/7, -144/7], [-41/7, -3/14]], [[0, 0], [-386412/7, 304515/14], [34161/7, 4041/7], [1767/7, -93/14]]], 1, 160, [], [] >,
< [ -2, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 24], [30, 9], [0, 0]], [[0, 0], [-47, 287/2], [900, 594], [4, -5/2]], [[0, 0], [1524, 1509/2], [14400, 10260], [-3, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 36], [-24, -12], [0, 0]], [[0, 0], [-2431/7, 2712/7], [-1086/7, 285/7], [-3/7, 1/7]], [[0, 0], [-942/7, 19969/14], [-4986/7, -984/7], [-13/7, -3/14]]], 1, 160, [], [] >,
< [ -2, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -24], [-12, 36], [0, 0]], [[0, 0], [-154, -198], [-3996, -2796], [6, -2]], [[0, 0], [300, 359], [7428, 5202], [-10, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 126], [12, 48], [0, 0]], [[0, 0], [-100/7, 3433/7], [384/7, 1146/7], [-38/7, 1/7]], [[0, 0], [2076/7, -304191/7], [-36300/7, -101958/7], [3366/7, -51/7]]], 0, 10240, [], [] >,
< [ -2, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 6], [-36, 24], [0, 0]], [[0, 0], [-90, -69], [0, 0], [0, -3]], [[0, 0], [22, 22], [0, 0], [-2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 102], [-12, 36], [0, 0]], [[0, 0], [-15174, -7354], [-4116, -360], [-10, 0]], [[0, 0], [2143656/7, 997879/7], [598152/7, 31644/7], [1462/7, -51/7]]], 0, 10240, [], [] >,
< [ -2, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -42], [48, 18], [0, 0]], [[0, 0], [3920, -2811], [1056, -576], [-6, -5]], [[0, 0], [10650, -7584], [2688, -1680], [-6, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 36], [48, 24], [0, 0]], [[0, 0], [8278/7, -1287/7], [-516/7, 102/7], [-36/7, 5/7]], [[0, 0], [898/7, 221/7], [-48/7, -12/7], [-4/7, -1/7]]], 0, 10240, [], [] >,
< [ -2, 0, 1 ], [[512, 2560]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-287600/151, -396/151], [-55096/151, -16/151], [0, 0]], [[0, 0], [7101459438/151, -7112339766/151], [1363406288/151, -1364004374/151], [-66/151, -8/151]], [[0, 0], [458942724160/151, -998588467932/151], [88337128808/151, -191396996248/151], [-15444/151, -6704/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2010644/151, -1968/151], [13840/151, 12/151], [0, 0]], [[0, 0], [39190149394/151, 7848015672/151], [-269746716/151, -53991278/151], [-630/151, 6/151]], [[0, 0], [304149040790/151, 165585606552/151], [-2093309332/151, -1139552802/151], [-4122/151, -1790/151]]], 0, 393216, [], [] >,
< [ -2, 0, 1 ], [[88, 48]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5750/151, -880/151], [512/151, -2/151], [0, 0]], [[0, 0], [2318137/302, 1015227/151], [-82126/151, -156967/302], [-801/302, -1/302]], [[0, 0], [4672966589/302, 1738981146/151], [-172055670/151, -261443373/302], [-918969/302, -398853/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-113256/151, 768/151], [8712/151, -1/151], [0, 0]], [[0, 0], [13740470/151, -2176827243/302], [57444/151, 83724630/151], [-233/151, 3/302]], [[0, 0], [-897001395602/151, -1032883094945/151], [70063958526/151, 79918950639/151], [-221088/151, -95984/151]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[88, 48]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21128/151, 630/151], [-1602/151, -2/151], [0, 0]], [[0, 0], [14023794/151, -31202703/151], [-1197300/151, 2400417/151], [210/151, -2/151]], [[0, 0], [2489663723/302, 4645979503/302], [-84774038/151, -347748867/302], [-38643/302, -8382/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-73368/151, 716/151], [5574/151, 3/151], [0, 0]], [[0, 0], [13881239/151, 23187683/302], [-1065511/151, -892467/151], [-673/151, -3/302]], [[0, 0], [8680508462/151, 6385430945/151], [-667106768/151, -491057310/151], [-244122/151, -106628/151]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[64, 320]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3942332/151, -1864/151], [28572/151, 4/151], [0, 0]], [[0, 0], [-20996185931/151, 83694443269/151], [-151429584/151, 606482089/151], [571/151, -4/151]], [[0, 0], [135356502798035/151, 192336268528884/151], [982696251286/151, 1394554339771/151], [1465371/151, 636345/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [189414/151, 1682/151], [35492/151, 10/151], [0, 0]], [[0, 0], [584958528/151, 295958843/151], [108652822/151, 54520904/151], [-1372/151, 3/151]], [[0, 0], [55177635420/151, 36030322070/151], [10223260232/151, 6662808160/151], [-89792/151, -38796/151]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[64, 320]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1097480/151, -2744/151], [7944/151, 2/151], [0, 0]], [[0, 0], [-13837579139/151, -34950209307/151], [-101556096/151, -253262685/151], [59/151, -2/151]], [[0, 0], [-223058017223/151, -202464674460/151], [-1622673214/151, -1469984423/151], [281/151, 121/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [208260/151, 1166/151], [-16020/151, -20/151], [0, 0]], [[0, 0], [-2121594/151, -216625461/151], [29762/151, 16664554/151], [952/151, 1/151]], [[0, 0], [473126085810/151, 542117162676/151], [-36064073460/151, -41559863824/151], [-2374524/151, -1030494/151]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[64, 320]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82192/151, -1010/151], [-6276/151, 8/151], [0, 0]], [[0, 0], [-81309099/151, -124804618/151], [6417870/151, 9601087/151], [-315/151, 3/151]], [[0, 0], [-15245849244/151, -12813933652/151], [1185845292/151, 991474732/151], [-24932/151, -10810/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [97896/151, 1708/151], [19092/151, 8/151], [0, 0]], [[0, 0], [-93583912/151, -10986179/151], [-18208242/151, -1833266/151], [-834/151, -5/151]], [[0, 0], [-54424161462/151, -27065293744/151], [-10450827776/151, -5105265514/151], [-442800/151, -192126/151]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[88, 48]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [163074/151, -591/151], [-12428/151, -1/151], [0, 0]], [[41, -3/2], [53610676633/302, 10659033957/151], [-2048933755/151, -819923424/151], [-269/302, 2/151]], [[5628, 2366], [5143739818466/151, 3198193552411/151], [-393825516500/151, -245195932899/151], [-18830/151, -8176/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62955/151, 630/151], [-4773/151, -2/151], [0, 0]], [[-46, -1], [94657/151, -55424/151], [-6747/151, 4275/151], [-46/151, -1/151]], [[552, 477/2], [-569409/151, 186761/151], [37389/151, -34273/302], [552/151, 477/302]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[160, 16]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3172782/151, 2653/151], [11404/151, 5/151], [0, 0]], [[0, 0], [23886090528/151, -47737084071/302], [-85635840/151, 85681980/151], [-36/151, 5/302]], [[0, 0], [1405856887162/151, -68375984265/151], [-5052483800/151, 239328180/151], [1638/151, 1887/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [415884/151, 2049/151], [17746/151, 5/151], [0, 0]], [[0, 0], [-2389792260/151, 585108906/151], [-102216862/151, 25441869/151], [-374/151, 5/151]], [[0, 0], [144289542322/151, 287001142114/151], [6044263753/151, 12219435789/151], [49115/151, 56639/151]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[8, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 0], [40, 25], [0, 0]], [[0, 0], [1523, -1909/2], [-437, 3], [-2, 3/2]], [[0, 0], [18, 6], [-34, -23], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 2], [8, -9], [0, 0]], [[0, 0], [-5689, -6356], [-1966, -99], [5, -1]], [[0, 0], [-1343103, -1573537/2], [-112419, -169664], [76, 741/2]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[8, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 2], [-10, -15], [0, 0]], [[0, 0], [1226, -1896], [586, -18], [0, -2]], [[0, 0], [2444, -9897/2], [1616, 98], [-1, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, -4], [-32, -13], [0, 0]], [[0, 0], [5881, -4909/2], [1854, -136], [0, 1/2]], [[0, 0], [210, -70], [72, 3], [0, 0]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[64, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -6], [-16, 4], [0, 0]], [[0, 0], [-4168, -1033], [-2030, 372], [6, -3]], [[0, 0], [115056, 91915], [25686, 28132], [-10, -47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -14], [-20, -2], [0, 0]], [[0, 0], [730, -226], [-532, -122], [6, -4]], [[0, 0], [43164, 34115], [-77594, -56098], [10, 47]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[64, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 26], [44, 10], [0, 0]], [[0, 0], [832, -89], [288, -16], [-6, 5]], [[0, 0], [-1208, -682], [-448, -260], [0, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-136, -22], [-128, -10], [0, 0]], [[0, 0], [2016, -5784], [2864, -5760], [-4, 0]], [[0, 0], [-2314, 405], [-2304, 572], [0, -1]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[-1344, -448]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4058240/151, 2036/151], [29320/151, 6/151], [0, 0]], [[0, 0], [-135738401749/151, 13580759384/151], [-980742074/151, 98409617/151], [-79/151, 5/151]], [[0, 0], [2534333894165/151, -15826945069820/151], [18377992278/151, -114352065957/151], [795/151, -9225/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4021976/151, -1036/151], [29136/151, 10/151], [0, 0]], [[0, 0], [-54356681892/151, -108960326795/151], [-394733470/151, -789566372/151], [978/151, 5/151]], [[0, 0], [419554749431287/151, 86395922877779/151], [3040085430840/151, 627723778909/151], [167409/151, -1928630/151]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[-1344, -448]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [536896/151, 1380/151], [3768/151, 10/151], [0, 0]], [[0, 0], [682829142/151, 27957/151], [4792330/151, 672/151], [72/151, 5/151]], [[0, 0], [-68017057159/151, 302871849591/151], [-476945044/151, 2125611501/151], [-2739/151, 31438/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1114948/151, 3244/151], [8180/151, 6/151], [0, 0]], [[0, 0], [84566841426/151, 14878223656/151], [619974064/151, 107808024/151], [210/151, 2/151]], [[0, 0], [-1502337594769/151, -5991415988818/151], [-10830990938/151, -43933775921/151], [1315/151, -15145/151]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[-1344, -448]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-243738/151, 1864/151], [1024/151, -4/151], [0, 0]], [[0, 0], [4014630/151, -1987925/151], [-6446/151, 9084/151], [742/151, 3/151]], [[0, 0], [-723464486/151, 300512750/151], [829124/151, -1708956/151], [-154616/151, -21560/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5291004/151, -4004/151], [6920/151, 6/151], [0, 0]], [[0, 0], [-21776724411/151, 599486016/151], [28479006/151, -779939/151], [985/151, 5/151]], [[0, 0], [379642395301/151, 42663908753/151], [-496505764/151, -55865889/151], [-17329/151, -2494/151]]], 0, 49152, [], [] >,
< [ -2, 0, 1 ], [[-1344, -448]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1979936/151, -656/151], [-13708/151, 4/151], [0, 0]], [[0, 0], [-37320079586/151, -2003291878/151], [258392628/151, 13879242/151], [-696/151, -2/151]], [[0, 0], [11861215969886/151, 2234797355131/151], [-82124153098/151, -15475883386/151], [218160/151, 30603/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30489256/151, -5868/151], [39720/151, 10/151], [0, 0]], [[0, 0], [319170795561/151, -36367683273/151], [-415796096/151, 47353723/151], [243/151, 2/151]], [[0, 0], [-64970842199791/151, -1263447805685/151], [84641350336/151, 1650950615/151], [-51121/151, -7194/151]]], 0, 49152, [], [] >,
< [ -2, 0, 1 ], [[-192, -960]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32296/17, 396/17], [2336/17, 4/17], [0, 0]], [[0, 0], [1454820217/697, 1210927943/697], [12612342/85, 10548711/85], [147/3485, -1/3485]], [[0, 0], [-35577603600/697, -26462391986/697], [-309004704/85, -230178366/85], [-2208/3485, -162/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29312/17, -260/17], [1948/17, -4/17], [0, 0]], [[0, 0], [-1375950353/4879, -8303874/4879], [-4081664/85, -37207/85], [30777/24395, 4/24395]], [[0, 0], [30842275529/697, 13200587144/697], [128420836/17, 276072747/85], [-686433/3485, -291214/3485]]], 0, 49152, [], [] >,
< [ -2, 0, 1 ], [[-192, -960]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23976/17, -288/17], [1732/17, -6/17], [0, 0]], [[0, 0], [1048490/697, -1316843/697], [16246/85, -11408/85], [-110/697, -1/3485]], [[0, 0], [-35374695/697, 365656379/697], [-3106278/85, 429863/17], [12663/205, 4623/205]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43920/17, -452/17], [-3244/17, -8/17], [0, 0]], [[0, 0], [63281863189/4879, 17601688337/4879], [15674554/17, 22036077/85], [-31621/24395, -3/24395]], [[0, 0], [23011159363949/4879, 11590853686396/4879], [28544633324/85, 14428292983/85], [-1958405/4879, -3069238/24395]]], 0, 49152, [], [] >,
< [ -2, 0, 1 ], [[-24, -120]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1382/17, -70/17], [-1016/17, -5/17], [0, 0]], [[-1635, 1], [54825638/697, 104195621/1394], [-5107334/85, -4943111/85], [2072/3485, 1/1394]], [[-2013773, -1436117/2], [226790850319/1394, 88314700045/697], [-10642549073/85, -8337802273/85], [5110651/6970, 914622/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3532/17, -22/17], [520/17, -4/17], [0, 0]], [[714, 1/2], [-217676269/9758, 21454593/4879], [1269771/85, -73113/85], [1651/9758, -2/24395]], [[421122, 318541/2], [-109212001285/9758, -11586141887/4879], [715966623/85, 239621632/85], [286147/2870, 10798/287]]], 1, 768, [], [] >,
< [ -2, 0, 1 ], [[-72, -360]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4734/17, -24/17], [1884/17, -9/17], [0, 0]], [[-941, 5/2], [-75976983/1394, 72036872/697], [1664301/85, -3513948/85], [477/1394, -1/3485]], [[-383824, -144977], [6827006109/697, 23548398197/697], [-410174148/85, -235595184/17], [487081/3485, 184611/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10174/17, -160/17], [-972/17, -9/17], [0, 0]], [[-349, -1/2], [2341262849/9758, 115339801/9758], [2115819/85, 82413/85], [-807/9758, -1/48790]], [[-108108, -67977/2], [106708107523/1394, 18762177152/697], [670800153/85, 230624271/85], [-35685/1394, -27963/3485]]], 1, 7680, [], [] >,
< [ -2, 0, 1 ], [[-576, -2880]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3968/17, -268/17], [1692/17, -24/17], [0, 0]], [[0, 0], [-95268007/697, 40109813/697], [-4884954/85, 1827981/85], [-1541/3485, 1/3485]], [[0, 0], [-37720768349/697, 3271799698/697], [-2027951832/85, 7546437/17], [-875811/3485, -315416/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47400/17, -216/17], [-3240/17, -30/17], [0, 0]], [[0, 0], [743231093/4879, 31892071/4879], [417042/85, 41763/85], [-10417/24395, -1/4879]], [[0, 0], [108613910723/697, 38344595239/697], [441818046/85, 174375009/85], [-1482103/3485, -94913/697]]], 0, 491520, [], [] >,
< [ -2, 0, 1 ], [[-576, -2880]], [ -213, 27 ], [ -25, -10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3464/17, -352/17], [1044/17, -30/17], [0, 0]], [[0, 0], [206981293/697, 70790287/697], [7992678/85, 3198543/85], [2347/3485, 3/3485]], [[0, 0], [-20079797972/697, -11313196478/697], [-801462684/85, -473052732/85], [-182844/3485, -66038/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84240/17, 508/17], [5580/17, 12/17], [0, 0]], [[0, 0], [5552335/17, 358850/17], [-189816/17, 23325/17], [1, 0]], [[0, 0], [-8521250887/4879, -3936331122/4879], [862656/17, 1442247/85], [-123701/24395, -52268/24395]]], 0, 491520, [], [] >,
< [ -2, 0, 1 ], [[-832, -1024]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2068748/151, -104/151], [14864/151, 8/151], [0, 0]], [[0, 0], [-72701713172/151, -4975002059/151], [-522409994/151, -36052336/151], [558/151, -1/151]], [[0, 0], [93646840183377/151, 158249054731093/151], [674194973128/151, 1137427855449/151], [-553535/151, -1175426/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [114084/151, -1354/151], [-9612/151, -12/151], [0, 0]], [[0, 0], [1077902060/151, -163075095/151], [-90422450/151, 12554750/151], [1648/151, 3/151]], [[0, 0], [-1949762306646/151, -10978917170186/151], [188226974872/151, 926760398216/151], [-8512380/151, -18078880/151]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-832, -1024]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7628, -4], [-56, 0], [0, 0]], [[0, 0], [-2492674789/151, -101207051/151], [-18303836/151, -732729/151], [663/151, -2/151]], [[0, 0], [5659969746424/151, 10349897827332/151], [41476394380/151, 75979567690/151], [-1269840/151, -2696760/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1244482/151, 18594/151], [35492/151, 10/151], [0, 0]], [[0, 0], [46242689640/151, -2106937245/151], [-1317595286/151, 40030144/151], [-676/151, 5/151]], [[0, 0], [1117913538112/151, 2860546629654/151], [-34382072800/151, -82104510212/151], [-19604/151, -42588/151]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-2880, -1856]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 14], [-88, -76], [0, 0]], [[0, 0], [288, -289], [-508, -146], [-2, -3]], [[0, 0], [940, -650], [-348, 328], [4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [128, -4], [-44, 4], [0, 0]], [[0, 0], [3378, 2292], [-932, -704], [-6, 0]], [[0, 0], [-98, 73], [-40, 30], [4, -3]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-2880, -1856]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180, 130], [-80, -64], [0, 0]], [[0, 0], [586, 233], [-232, -128], [-8, 1]], [[0, 0], [1356, 464], [-524, -272], [-20, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-364, -238], [12, 4], [0, 0]], [[0, 0], [-310, -83], [-32, -12], [-8, -3]], [[0, 0], [-88, 346], [0, 32], [0, 8]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-104, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 30], [3, -6], [0, 0]], [[0, 1/2], [-19, 0], [2, 1/2], [1, 0]], [[0, 0], [-82, -60], [18, 13], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -28], [3, 8], [0, 0]], [[0, 1/2], [-47, 0], [2, 1/2], [1, 0]], [[0, 0], [-6, -2], [3, 1], [0, 0]]], 1, 672, [], [] >,
< [ -2, 0, 1 ], [[-2880, -1856]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, 62], [-80, -64], [0, 0]], [[0, 0], [50, 39], [8, 10], [-4, -3]], [[0, 0], [-12, 10], [-20, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [372, 222], [-60, -20], [0, 0]], [[0, 0], [134, -875], [-336, 298], [8, -1]], [[0, 0], [-80, -858], [-264, 256], [8, 0]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-2880, -1856]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -62], [-16, 32], [0, 0]], [[0, 0], [176, 307], [-176, -136], [6, -1]], [[0, 0], [-1790, -3476], [1924, 1500], [-70, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-312, -230], [100, 80], [0, 0]], [[0, 0], [-392, -291], [96, 108], [-2, -5]], [[0, 0], [-864, -772], [-40, 456], [20, -30]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-104, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, -126], [-8, 2], [0, 0]], [[0, 1/2], [-33, 0], [2, 1/2], [1, 0]], [[0, 0], [802, 524], [7, 14], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74, 76], [-10, -1], [0, 0]], [[0, 1/2], [-5, 0], [2, 1/2], [1, 0]], [[0, 0], [-374, -246], [19, 18], [0, 0]]], 1, 672, [], [] >,
< [ -2, 0, 1 ], [[72, 32]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [912, -10], [-70, 0], [0, 0]], [[0, 0], [65840259/302, 372152075/302], [-2851189/151, -28626107/302], [663/302, 1/151]], [[0, 0], [-1423357530479/302, -140302241864/151], [54877346618/151, 22780301829/302], [-287477/302, -1243955/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8776/151, 341/151], [-768/151, -3/151], [0, 0]], [[0, 0], [-1778612/151, -487819/151], [151080/151, 37420/151], [210/151, 2/151]], [[0, 0], [-260922763/151, -720967375/302], [20627440/151, 30452480/151], [9546/151, 80475/302]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[72, 32]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98180/151, 65/151], [-7622/151, -5/151], [0, 0]], [[0, 0], [-597285352/151, 586642/151], [46366712/151, -46102/151], [-2, 0]], [[0, 0], [-98385716129/302, -423876102823/302], [3818397696/151, 32905018353/302], [-50167/302, -107185/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52542/151, -591/151], [3972/151, -1/151], [0, 0]], [[0, 0], [393579747/151, -524029339/302], [-30223607/151, 20154237/151], [-627/151, 1/302]], [[0, 0], [269578104120/151, -207477696663/151], [-20743568918/151, 15927511666/151], [92842/151, 392676/151]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[576, 256]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1979972/151, 776/151], [-14352/151, 10/151], [0, 0]], [[0, 0], [3286949/151, 3271550/151], [24870/151, 23987/151], [289/151, -3/151]], [[0, 0], [-986628295/151, -550179821/151], [-7259880/151, -4137017/151], [-8925/151, -38590/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-289642/151, 1156/151], [22164/151, 4/151], [0, 0]], [[0, 0], [11884660856/151, 9518641579/151], [-915543122/151, -732204418/151], [-256/151, -1/151]], [[0, 0], [-18035590195842/151, -11648193594678/151], [1387603059316/151, 897128349358/151], [49086/151, 213110/151]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[576, 256]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3199340/151, 3520/151], [23188/151, 8/151], [0, 0]], [[0, 0], [2713671732/151, 11314409707/151], [19546114/151, 81989880/151], [650/151, -1/151]], [[0, 0], [-5318332231035/151, -1256703564249/151], [-38532624464/151, -9079651017/151], [-36153/151, -148320/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-230704/151, 2166/151], [7432/151, -4/151], [0, 0]], [[0, 0], [1208025576/151, -1002712885/151], [-38349486/151, 31962840/151], [138/151, -3/151]], [[0, 0], [160310572842/151, -89364581462/151], [-5114255528/151, 2833497162/151], [-3040/151, -13130/151]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[576, 256]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-205336/151, -854/151], [15888/151, -4/151], [0, 0]], [[0, 0], [210432/151, 227775/151], [-22018/151, -17254/151], [-374/151, -5/151]], [[0, 0], [-255142865/151, -131815828/151], [19976822/151, 13088953/151], [45087/151, 191535/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [513690/151, -630/151], [-16400/151, 2/151], [0, 0]], [[0, 0], [11567965262/151, -11559229511/151], [-368505342/151, 368631280/151], [-256/151, -1/151]], [[0, 0], [-7651966177584/151, 3347444856181/151], [244059880986/151, -106601393714/151], [-22102/151, -95503/151]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[72, 32]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-153748/151, 539/151], [11850/151, 5/151], [0, 0]], [[-163, -4], [152454135/151, -600717037/302], [-11566310/151, 23104333/151], [-535/151, -3/302]], [[-58163, -423759/2], [-1463608041147/302, 108953182550/151], [56339396169/151, -8173031846/151], [-321677/302, -692021/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76569/151, -578/151], [-5797/151, -2/151], [0, 0]], [[476, -1/2], [-1208068430/151, -599382403/151], [92184236/151, 92212689/302], [476/151, -1/302]], [[-166536, -719604], [2239204340282/151, 2038380822638/151], [-171983804792/151, -155673333288/151], [-166536/151, -719604/151]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[128, 144]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1003854/151, 3335/151], [3972/151, -1/151], [0, 0]], [[0, 0], [-17453063287/151, 44343157432/151], [-70313666/151, 175705804/151], [243/151, -2/151]], [[0, 0], [8873591159868/151, -116160165092163/302], [36754716000/151, -229939281750/151], [-333944/151, -77571/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-482626/151, 2351/151], [9736/151, 5/151], [0, 0]], [[0, 0], [-13332250/151, 1459249212/151], [-49481/151, -29437474/151], [-663/151, -2/151]], [[0, 0], [-181998973078/151, -843272349488/151], [3855675623/151, 17032055128/151], [383789/151, 44254/151]]], 0, 768, [], [] >,
< [ -2, 0, 1 ], [[4608, 2048]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-887348/151, -760/151], [28440/151, 12/151], [0, 0]], [[0, 0], [1590587990/151, 1592172410/151], [-50939656/151, -51006826/151], [1142/151, 8/151]], [[0, 0], [-1172983150516/151, -644359923488/151], [37576478728/151, 20637266100/151], [-88992/151, -379452/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [610524/151, 2760/151], [5120/151, 20/151], [0, 0]], [[0, 0], [-40178226/151, 123252/151], [-333420/151, 1786/151], [578/151, -6/151]], [[0, 0], [-907403828/151, -3580660870/151], [-7393972/151, -29696544/151], [12300/151, 51414/151]]], 0, 393216, [], [] >,
< [ -2, 0, 1 ], [[-448, -896]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20166, -2], [84, 0], [0, 0]], [[0, 0], [-211416228/151, 22147444/151], [898560/151, -93734/151], [-1418/151, -2/151]], [[0, 0], [-49657881968/151, 9105565023/151], [211040614/151, -38608750/151], [-327376/151, 26307/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21484, 16], [28, 0], [0, 0]], [[0, 0], [5656775/151, -4406630/151], [-8306/151, 5459/151], [-289/151, 3/151]], [[0, 0], [408273960/151, -308163423/151], [-582942/151, 392372/151], [-17226/151, 2541/151]]], 0, 49152, [], [] >,
< [ -2, 0, 1 ], [[-448, -896]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27784, 16], [84, 0], [0, 0]], [[0, 0], [1345113940/151, -64206222/151], [-4067096/151, 191384/151], [-394/151, 2/151]], [[0, 0], [-133278562418/151, 24344957163/151], [402908122/151, -73340594/151], [38586/151, -5487/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13394920/151, 4556/151], [-17424/151, -2/151], [0, 0]], [[0, 0], [-944119625097/151, 212625413239/151], [1228226024/151, -276858819/151], [-663/151, -2/151]], [[0, 0], [-2940417901545468/151, 1026669382982392/151], [3825469015372/151, -1336346282872/151], [-1934872/151, 278988/151]]], 0, 49152, [], [] >,
< [ -2, 0, 1 ], [[72, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -4], [12, 17], [0, 0]], [[0, 0], [-8752, 25029/2], [-7361, 634], [-3, 1/2]], [[0, 0], [-393847, -685422], [582340, 284735], [215, 95]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 8], [-8, 5], [0, 0]], [[0, 0], [678, 909/2], [29, -2], [-5, -1/2]], [[0, 0], [111732, 77716], [3020, 970], [-590, -260]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[72, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 6], [-22, -9], [0, 0]], [[0, 0], [9274, -7023/2], [-2746, 208], [1, 5/2]], [[0, 0], [-2341, 15847/2], [-1076, -2806], [6, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -6], [18, 1], [0, 0]], [[0, 0], [-3519, 37], [942, -45], [-3, 0]], [[0, 0], [-7123, -5837/2], [1848, 710], [-6, -5/2]]], 1, 96, [], [] >,
< [ -2, 0, 1 ], [[576, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, -14], [-4, 6], [0, 0]], [[0, 0], [370, 573], [-50, 14], [8, -1]], [[0, 0], [-229832, -183374], [8596, 2772], [-1680, -742]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-216, -12], [-156, -4], [0, 0]], [[0, 0], [-814, 150], [-500, 92], [-6, 2]], [[0, 0], [-1008, -577], [-614, -352], [-6, -3]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[576, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 2], [180, 10], [0, 0]], [[0, 0], [778, -202], [1152, -260], [2, 0]], [[0, 0], [0, -1], [-8, -4], [-2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-248, 8], [-156, -4], [0, 0]], [[0, 0], [-302972, -24487], [-193052, -26524], [-6, 3]], [[0, 0], [-8028094, -5327286], [-5457200, -3656278], [-50, -22]]], 0, 6144, [], [] >,
< [ -2, 0, 1 ], [[-448, -896]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2840564/151, -2312/151], [20772/151, -8/151], [0, 0]], [[0, 0], [496340640537/151, -23383080556/151], [3629390090/151, -169436785/151], [-985/151, -5/151]], [[0, 0], [-754111904933232/151, -373788479765901/151], [-5516853381038/151, -2735723863096/151], [1581714/151, 823905/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2408196/151, -1708/151], [-17280/151, -8/151], [0, 0]], [[0, 0], [88461984283/151, -2239568598/151], [634764130/151, -16227051/151], [-709/151, 1/151]], [[0, 0], [-141997310708382/151, -72356057513570/151], [-1018640230068/151, -518936437376/151], [1167214/151, 607860/151]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[-448, -896]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2326016/151, 2744/151], [-17004/151, -2/151], [0, 0]], [[0, 0], [351745633719/151, -52158967999/151], [2570396688/151, -377966089/151], [-361/151, 2/151]], [[0, 0], [2267689639766505/151, 1006728263680591/151], [16596704640572/151, 7381038875333/151], [-2738955/151, -1426470/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2868360/151, -1432/151], [20864/151, -6/151], [0, 0]], [[0, 0], [-558656947044/151, 31118626623/151], [-4063486858/151, 225492098/151], [138/151, 3/151]], [[0, 0], [831363389592595/151, 401002301809032/151], [6048440826074/151, 2918107237103/151], [-222585/151, -115919/151]]], 0, 36864, [], [] >,
< [ -2, 0, 1 ], [[-1728, -768]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30088/17, -108/17], [-2120/17, 2/17], [0, 0]], [[0, 0], [-1640258499/697, 522332364/697], [-14127972/85, 4552167/85], [403/3485, -2/3485]], [[0, 0], [-13509023484/697, 53457877556/697], [-24071064/17, 91922244/17], [-1236/697, -3024/697]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-61432/17, -324/17], [3160/17, 6/17], [0, 0]], [[0, 0], [5490708933/4879, -223899201/4879], [-28418046/595, 1512121/595], [-15481/24395, -1/24395]], [[0, 0], [223800617792/4879, 342477364760/4879], [-222584464/119, -351260302/119], [-142448/4879, -198936/4879]]], 0, 49152, [], [] >,
< [ -2, 0, 1 ], [[-1728, -768]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2336/17, 140/17], [-128/17, 10/17], [0, 0]], [[0, 0], [3944554/697, 45207/697], [14922/85, -158/85], [2826/3485, 1/697]], [[0, 0], [-796756763/697, -1791131345/697], [-543346/17, -6712689/85], [-546069/3485, -1277973/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23352/17, -152/17], [-1256/17, -6/17], [0, 0]], [[0, 0], [-841784217/4879, -60216347/4879], [-861162/119, 73827/119], [-4035/4879, 1/4879]], [[0, 0], [9819932260/4879, 22022904620/4879], [3114816/119, 107230236/595], [161236/24395, 516232/24395]]], 0, 49152, [], [] >,
< [ -2, 0, 1 ], [[-216, -96]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3922/17, 36/17], [888/17, 5/17], [0, 0]], [[-709, -1/2], [14642279/82, 3628440/41], [-212099/5, -20651], [-1797/6970, 1/3485]], [[-57085, -125587], [31835163330/697, 53979756467/1394], [-911068498/85, -779374303/85], [-71764/3485, -63609/1394]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1052/17, 232/17], [974/17, 2/17], [0, 0]], [[1047, -3/2], [-14482029/9758, 27873373/9758], [-10442549/595, -3801017/595], [-2421/9758, 3/48790]], [[-2, 9/2], [308107/9758, -348507/4879], [789/595, -1789/595], [23/48790, -26/24395]]], 1, 768, [], [] >,
< [ -2, 0, 1 ], [[-648, -288]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8322/17, 10/17], [2400/17, -9/17], [0, 0]], [[926, 1/2], [-731803169/1394, -725262709/1394], [13019631/85, 12720999/85], [2347/6970, -3/6970]], [[-602605, -1403975], [1336884107554/697, 1580068320679/1394], [-9403375116/17, -5598588153/17], [-151440/697, -711137/1394]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-930/17, 2314/17], [-30/17, -165/17], [0, 0]], [[2110, -5/2], [8844259/34, -19453/17], [-62757/17, -480/17], [-1/2, 0]], [[-16721, -55252], [-9843855876/4879, -66402275419/9758], [18422952/595, 57671919/595], [97418/24395, 639033/48790]]], 1, 7680, [], [] >,
< [ -2, 0, 1 ], [[-5184, -2304]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16768/17, -152/17], [-6492/17, -6/17], [0, 0]], [[0, 0], [153994843/697, 51475515/697], [7273374/85, 2371473/85], [441/3485, 3/3485]], [[0, 0], [-226321499/697, -266989283/697], [-10498062/85, -12585981/85], [-37/697, -703/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52840/17, -940/17], [2472/17, 30/17], [0, 0]], [[0, 0], [817148119/4879, 183014329/4879], [-3227106/595, -1023633/595], [-807/4879, 1/24395]], [[0, 0], [-107459300/4879, -15828352352/4879], [13358976/595, 59657754/595], [-38364/24395, 86736/24395]]], 0, 491520, [], [] >,
< [ -2, 0, 1 ], [[-5184, -2304]], [ -213, -27 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21256/17, 324/17], [-7920/17, -6/17], [0, 0]], [[0, 0], [1524353031/697, 4376104809/697], [75629754/85, 40010295/17], [953/3485, -3/3485]], [[0, 0], [-52937628971/697, -19843020495/697], [-2435380446/85, -940394697/85], [-2429/3485, -5327/3485]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94368/17, 428/17], [4800/17, -18/17], [0, 0]], [[0, 0], [-56233932779/4879, -781367663/4879], [70294914/119, 5118783/595], [5723/24395, 1/24395]], [[0, 0], [-111405474589/4879, -312839660195/4879], [698912766/595, 1955747967/595], [10469/24395, 31697/24395]]], 0, 491520, [], [] >,
< [ -2, 0, 1 ], [[3136, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-222926/151, 848/151], [6160/151, -42/151], [0, 0]], [[0, 0], [-20651378912/151, 547444817/151], [570754966/151, -16852336/151], [1766/151, 1/151]], [[0, 0], [23802819810896/151, 4421449117610/151], [-657009390072/151, -120190875364/151], [-2058924/151, -433832/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3260140/151, -8816/151], [-23436/151, -42/151], [0, 0]], [[0, 0], [-102935437178/151, 11853862646/151], [-740126280/151, 85887666/151], [2, 0]], [[0, 0], [4177128662167/151, 420481830924/151], [30022582202/151, 2995366767/151], [-12881/151, -2717/151]]], 0, 294912, [], [] >,
< [ -2, 0, 1 ], [[3136, 0]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19092/151, 1518/151], [2212/151, -140/151], [0, 0]], [[0, 0], [-74587664/151, -1102917/151], [8754934/151, 268630/151], [952/151, -1/151]], [[0, 0], [102533612696/151, 23140568788/151], [-12115899944/151, -2906310682/151], [-1299942/151, -274758/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-337384/151, -7004/151], [-2296/151, -42/151], [0, 0]], [[0, 0], [-1988399487/151, 111710409/151], [-13536900/151, 793795/151], [-33/151, 4/151]], [[0, 0], [-184652532928/151, -49747081375/151], [-1255077822/151, -335470950/151], [-2934/151, -619/151]]], 0, 294912, [], [] >,
< [ -2, 0, 1 ], [[3136, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-113888/151, -2292/151], [-23716/151, -56/151], [0, 0]], [[0, 0], [-123622092/151, -5052622/151], [-25767600/151, -593464/151], [210/151, -2/151]], [[0, 0], [11051154058/151, 13680076551/151], [2204774478/151, 2814394190/151], [-16500/151, -22385/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-876756/151, 6400/151], [-6524/151, 42/151], [0, 0]], [[0, 0], [-426919435/151, 2042787/151], [-3176064/151, 10821/151], [-545/151, -2/151]], [[0, 0], [-2631473776/151, -3829503892/151], [-19655616/151, -28516920/151], [-3444/151, -4920/151]]], 0, 294912, [], [] >,
< [ -2, 0, 1 ], [[3136, 0]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [310858/151, 186/151], [-25004/151, -84/151], [0, 0]], [[0, 0], [-5304637614/151, 358352483/151], [426567966/151, -27643782/151], [768/151, -3/151]], [[0, 0], [-512750671886/151, -806030563210/151], [41607573860/151, 64954979532/151], [89872/151, 122478/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1556340/151, -2656/151], [11396/151, -28/151], [0, 0]], [[0, 0], [13647267453/151, 1028772223/151], [99920328/151, 7456623/151], [-3, 0]], [[0, 0], [-10603630334680/151, -12681490326980/151], [-77502638148/151, -92800510422/151], [291824/151, 398944/151]]], 0, 294912, [], [] >,
< [ -2, 0, 1 ], [[-1216, -192]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2134476/151, 3796/151], [15244/151, 10/151], [0, 0]], [[0, 0], [113020165519/151, -8739009020/151], [807310926/151, -63318587/151], [-79/151, 5/151]], [[0, 0], [-16966108628508/151, -5685169347019/151], [-121077908506/151, -40466497446/151], [11998/151, 4151/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [242470/151, 11096/151], [22676/151, 6/151], [0, 0]], [[0, 0], [-137076533862/151, -8864287459/151], [-12797380894/151, -246748874/151], [138/151, -3/151]], [[0, 0], [48481971667906/151, 19770438234147/151], [4384085401970/151, 1649523086290/151], [-45890/151, -15875/151]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-1216, -192]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82132/151, 2088/151], [512/151, 2/151], [0, 0]], [[0, 0], [-406633059/151, 55817121/151], [-2551236/151, 402545/151], [-335/151, 4/151]], [[0, 0], [1462781449708/151, 352989240088/151], [9029404648/151, 2006031856/151], [1323928/151, 458148/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [128906/151, 198/151], [-10636/151, 8/151], [0, 0]], [[0, 0], [-7104410712/151, -243769576/151], [586236564/151, 18770648/151], [-1628/151, -4/151]], [[0, 0], [34542866585938/151, 12775905177077/151], [-2845985431630/151, -1047846244028/151], [51298, 17757]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-1600, -1408]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-220, 22], [44, -24], [0, 0]], [[0, 0], [9940, 7733], [-500, -430], [6, -3]], [[0, 0], [10598, 7622], [-560, -408], [2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, 68], [-36, -16], [0, 0]], [[0, 0], [86, 59], [-12, -54], [0, 3]], [[0, 0], [-2, 1], [0, 10], [0, -1]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-1600, -1408]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -16], [4, 36], [0, 0]], [[0, 0], [466, -527], [-640, 240], [0, -5]], [[0, 0], [-760, -300], [-544, -580], [-16, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, -44], [-68, 4], [0, 0]], [[0, 0], [1388, 495], [-1624, -964], [-6, -1]], [[0, 0], [1424, -514], [-912, -64], [-8, 4]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-152, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -8], [-11, -1], [0, 0]], [[0, 1/2], [-47, 0], [-1, 1/2], [1, 0]], [[0, 0], [-10, -6], [5, 3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [114, 60], [-21, -14], [0, 0]], [[0, 1/2], [-19, 0], [-1, 1/2], [1, 0]], [[0, 0], [-22, 40], [-2, -4], [0, 0]]], 1, 672, [], [] >,
< [ -2, 0, 1 ], [[-1600, -1408]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-160, -54], [88, 36], [0, 0]], [[0, 0], [-108, 19], [-120, -22], [10, 1]], [[0, 0], [-32, 17], [-20, 10], [2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-204, -72], [44, 32], [0, 0]], [[0, 0], [-720, 87], [-100, -30], [10, 3]], [[0, 0], [2296, 1056], [480, 300], [-48, -30]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-1600, -1408]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [224, -14], [-64, 12], [0, 0]], [[0, 0], [-1026, 102], [380, -84], [-10, 0]], [[0, 0], [-1432, -1261], [408, 396], [-18, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -38], [-32, -8], [0, 0]], [[0, 0], [-70, -38], [-92, 20], [-6, 4]], [[0, 0], [2516, 1771], [1320, 892], [10, 3]]], 0, 43008, [], [] >,
< [ -2, 0, 1 ], [[-152, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, 96], [-11, -1], [0, 0]], [[0, 1/2], [-33, 0], [-1, 1/2], [1, 0]], [[0, 0], [62, 194], [35, -35], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, -100], [23, 11], [0, 0]], [[0, 1/2], [37, 0], [-1, 1/2], [1, 0]], [[0, 0], [-110, -38], [42, -14], [0, 0]]], 1, 672, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 30], [2, -1], [0, 0]], [[0, 0], [92, 78], [0, 0], [0, -6]], [[0, 0], [-10, 26], [0, 0], [10, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -14], [-4, 3], [0, 0]], [[0, 0], [74, 52], [0, 0], [10, -6]], [[0, 0], [1052, 744], [0, 0], [4, 12]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -24], [12, -8], [0, 0]], [[0, 0], [260, 186], [0, 0], [8, 6]], [[0, 0], [2, -16], [0, 0], [2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -16], [-4, -20], [0, 0]], [[0, 0], [-414, -448], [-384, -96], [-6, -2]], [[0, 0], [-286, 88], [192, -192], [2, -2]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 36], [-4, 2], [0, 0]], [[0, 0], [-284, 157], [-50, 36], [-2, 5]], [[0, 0], [-10, -7], [0, 0], [4, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -24], [-6, 10], [0, 0]], [[0, 0], [168, -279], [-32, 128], [6, 5]], [[0, 0], [-628, 474], [232, -184], [0, -2]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 40], [-2, 6], [0, 0]], [[0, 0], [184, 52], [30, 10], [-4, 0]], [[0, 0], [-4, -3], [0, 0], [2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -36], [-2, -6], [0, 0]], [[0, 0], [1904, 240], [384, 156], [-8, 0]], [[0, 0], [-2272, -61], [-432, -144], [10, -1]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 32], [-6, 2], [0, 0]], [[0, 0], [1602, 1283], [-264, -168], [-4, 1]], [[0, 0], [-560, -562], [114, 60], [4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -20], [2, 10], [0, 0]], [[0, 0], [660, -523], [-192, 192], [10, 5]], [[0, 0], [1442, -1016], [-480, 336], [2, -2]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -32], [-8, -4], [0, 0]], [[0, 0], [50, -22], [-14, 12], [-10, 4]], [[0, 0], [118, -49], [-32, 28], [-24, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 0], [6, 8], [0, 0]], [[0, 0], [-234, 117], [-12, 36], [-4, 3]], [[0, 0], [-56, -48], [36, 24], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15088/151, 1182/151], [1300/151, 2/151], [0, 0]], [[0, 0], [325886/151, 23898/151], [1322/151, -2512/151], [-696/151, -2/151]], [[0, 0], [-18057456/151, -7530349/302], [-33745/151, 126392/151], [37823/151, 10757/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10014/151, -1614/151], [-840/151, 8/151], [0, 0]], [[0, 0], [-36957, 44360], [2052, -3420], [-289/151, -3/151]], [[0, 0], [-134679596/151, 210737767/151], [6127044/151, -16809870/151], [-10246/151, -1457/151]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12406/151, 3072/151], [722/151, -4/151], [0, 0]], [[0, 0], [2088443/151, 3023505/151], [-237160/151, -234157/151], [-243/151, -2/151]], [[0, 0], [-1067447324/151, -2473677999/302], [111109965/151, 99278484/151], [91821/151, 24003/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31722/151, 932/151], [2324/151, -2/151], [0, 0]], [[0, 0], [169239085/151, 99766270/151], [-12837226/151, -7675490/151], [-13/151, 3/151]], [[0, 0], [7143634/151, 4756982/151], [-544144/151, -364040/151], [0, 0]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30792/151, -578/151], [-2508/151, -2/151], [0, 0]], [[0, 0], [10004162/151, -6674727/302], [-809473/151, 256517/151], [-581/151, 1/302]], [[0, 0], [1042027000/151, -239982734/151], [-84688432/151, 17884668/151], [-65868/151, -7984/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26914/151, 828/151], [-2140/151, 6/151], [0, 0]], [[0, 0], [22168422/151, 21397615/151], [-1647558/151, -1645378/151], [348/151, 1/151]], [[0, 0], [-8430201369/151, -7344152904/151], [631099054/151, 562366201/151], [-104587/151, -14718/151]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31976/151, -526/151], [-2692/151, -6/151], [0, 0]], [[0, 0], [256892714/151, -107711837/302], [-21478301/151, 4132071/151], [-417/151, -5/302]], [[0, 0], [-87279608082/151, 14971440067/302], [7331490787/151, -492742333/151], [149975/151, 40279/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4192/151, -1432/151], [-276/151, -6/151], [0, 0]], [[0, 0], [125294/151, -247864/151], [6972/151, 18416/151], [-184/151, -4/151]], [[0, 0], [1291265/151, -5074242/151], [261620/151, 424975/151], [-4065/151, -630/151]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-768, -256]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111064/151, -1052/151], [1260/151, -12/151], [0, 0]], [[0, 0], [-22565754/151, 5698917/151], [-261322/151, 63720/151], [-952/151, -1/151]], [[0, 0], [-1283403448/151, 157465608/151], [-14900952/151, 1684340/151], [-58232/151, -8120/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [177480/151, 1416/151], [2888/151, -16/151], [0, 0]], [[0, 0], [-531600998/151, -423376132/151], [-8466844/151, -6775330/151], [-10, 0]], [[0, 0], [-63910688530/151, -48896863944/151], [-1018812856/151, -781934346/151], [-147798/151, -21182/151]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[-16, -24]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [900/151, 13/151], [-46/151, -1/151], [0, 0]], [[-122, 5/2], [236931/302, 1937/302], [2009/151, 1/151], [801/302, 1/302]], [[3236, 26697/2], [-7779449/302, -26134353/302], [-62569/151, -221121/151], [-25079/302, -88181/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8136/151, 867/151], [742/151, 3/151], [0, 0]], [[-348, -1], [-1377910/151, 901873/151], [116354/151, -69642/151], [-348/151, -1/151]], [[916, 7557/2], [-16040219/151, 12641544/151], [1213025/151, -2168391/302], [916/151, 7557/302]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[-16, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [1, 0], [0, 0]], [[0, 1/2], [-5, 1], [0, 1/2], [1, 0]], [[0, 0], [-4, -6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [1, 0], [0, 0]], [[0, 1/2], [9, 1], [0, 1/2], [1, 0]], [[0, 0], [-4, -6], [0, 0], [0, 0]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -18], [4, -6], [0, 0]], [[0, 0], [308, -301], [-151, 97], [-6, -1]], [[0, 0], [136, -355], [-147, 73], [-14, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 6], [6, 4], [0, 0]], [[0, 0], [-2, 36], [6, 5], [2, 4]], [[0, 0], [-128, 77], [-5, 0], [-10, 5]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-16, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 1/2], [-1, 0], [0, 1/2], [1, 0]], [[0, 0], [-4, -6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 1/2], [13, 0], [0, 1/2], [1, 0]], [[0, 0], [-4, -6], [0, 0], [0, 0]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 4], [0, -5], [0, 0]], [[0, 0], [38, 47], [-7, -2], [-2, -3]], [[0, 0], [60, -47], [9, -6], [-4, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, -16], [-6, 1], [0, 0]], [[0, 0], [-874, -1015], [-13, -55], [-10, -3]], [[0, 0], [502, -1422], [116, -124], [-18, 6]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -2], [2, 2], [0, 0]], [[0, 0], [-1, -1], [0, 1], [1, 0]], [[0, 0], [-4, 8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 2], [-10, -2], [0, 0]], [[0, 0], [5, 1], [0, 1], [1, 0]], [[0, 0], [476, 84], [-60, -20], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -40], [0, 2], [0, 0]], [[0, 0], [-9, 1], [0, 1], [1, 0]], [[0, 0], [-4, -62], [-2, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -74], [-2, 6], [0, 0]], [[0, 0], [13, -1], [0, 1], [1, 0]], [[0, 0], [-44, 30], [6, -4], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 6], [-16, 10], [0, 0]], [[0, 0], [-5, 1], [2, 0], [1, 0]], [[0, 0], [-16, 12], [8, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 8], [-12, -2], [0, 0]], [[0, 0], [9, 1], [2, 0], [1, 0]], [[0, 0], [32, 26], [-32, -16], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-96, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 10], [-12, 0], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [8, -4], [-4, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, -62], [0, 8], [0, 0]], [[0, 0], [13, 1], [0, 0], [1, 0]], [[0, 0], [40, -8], [-16, 10], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-768, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, 24], [-8, -4], [0, 0]], [[0, 0], [-2, -106], [4, 16], [2, 8]], [[0, 0], [-342, 440], [36, -60], [18, -30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-252, -140], [-32, -20], [0, 0]], [[0, 0], [13374, -7996], [996, -516], [-6, -10]], [[0, 0], [86772, -75824], [5464, -5728], [132, 48]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[-768, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, 8], [40, 8], [0, 0]], [[0, 0], [-1540, 2254], [-360, 780], [-4, 6]], [[0, 0], [48314, 10684], [19440, 6480], [130, 30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [124, -56], [32, -20], [0, 0]], [[0, 0], [1648, 854], [144, 56], [4, -10]], [[0, 0], [-40614, -31802], [-3024, -2592], [242, 44]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[-256, -512]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [248968/151, 2676/151], [-2100/151, -20/151], [0, 0]], [[0, 0], [5025080/151, -9736108/151], [-41800/151, 81976/151], [-184/151, 4/151]], [[0, 0], [-123179954/151, 174402969/151], [1028534/151, -1467436/151], [3124/151, -429/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37980/151, -1666/151], [656/151, 12/151], [0, 0]], [[0, 0], [22349278/151, -17571366/151], [350756/151, -280922/151], [118/151, 4/151]], [[0, 0], [-663400348/151, 499543504/151], [-10454592/151, 7959104/151], [-2696/151, 400/151]]], 0, 12288, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3866/151, 1078/151], [-158/151, 10/151], [0, 0]], [[0, 0], [5081/151, -47403/151], [-5188/151, 3809/151], [1, 0]], [[0, 0], [2073339/151, -10584829/302], [-692053/151, 501629/151], [16600/151, -4825/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38970/151, 1484/151], [2928/151, 2/151], [0, 0]], [[0, 0], [301654375/151, 560502014/151], [-26013468/151, -43119210/151], [919/151, 3/151]], [[0, 0], [233642567010/151, 882836730706/151], [-22776366444/151, -67209131946/151], [1570578/151, -226366/151]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16332/151, -1260/151], [1024/151, 4/151], [0, 0]], [[0, 0], [-1725768/151, 1298547/302], [120079/151, -49102/151], [371/151, -3/302]], [[0, 0], [-99966731/151, 45333615/151], [7004708/151, -3363265/151], [19767/151, -2396/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-65896/151, -1640/151], [4976/151, 10/151], [0, 0]], [[0, 0], [-743281390/151, 968344753/151], [59536876/151, -74491438/151], [558/151, 1/151]], [[0, 0], [1985686069389/151, -2087894550261/151], [-157330246870/151, 161275947756/151], [-1082475/151, 154518/151]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72540/151, -734/151], [5580/151, 10/151], [0, 0]], [[0, 0], [1337002/151, 109083061/302], [-20621/151, -4196147/151], [791/151, 5/302]], [[0, 0], [10516856629/151, -77433367111/302], [-867704671/151, 2987311164/151], [-563010/151, 162775/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64978/151, -198/151], [-5068/151, -8/151], [0, 0]], [[0, 0], [-402831851/151, 135360758/151], [31322692/151, -10412517/151], [33/151, -4/151]], [[0, 0], [-7657859555/151, 2706926995/151], [595349822/151, -208371879/151], [621/151, -89/151]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15160/151, 172/151], [1352/151, 10/151], [0, 0]], [[0, 0], [-9804794/151, 2368267/302], [865711/151, -89885/151], [-581/151, -1/302]], [[0, 0], [-1506902302/151, 413304849/151], [132338554/151, -34324428/151], [-85860/151, 14045/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6656/151, 932/151], [-512/151, -2/151], [0, 0]], [[0, 0], [54746/151, -153989/151], [2154/151, 12670/151], [860/151, 1/151]], [[0, 0], [23827051/151, -37203971/151], [-438760/151, 2816451/151], [196469/151, -31369/151]]], 0, 192, [], [] >,
< [ -2, 0, 1 ], [[-32, -8]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3636/151, -1484/151], [92/151, -2/151], [0, 0]], [[-51, -1/2], [-267361/302, 103349/151], [985/151, 3166/151], [-335/302, 2/151]], [[687, -5267/2], [25278977/302, -8419096/151], [313607/151, 5141/151], [5267/302, -8702/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6324/151, -1247/151], [-440/151, 3/151], [0, 0]], [[581, 1/2], [-776005/151, -5380215/151], [208056/151, 831059/302], [581/151, 1/302]], [[32891, -115649], [2098210048/151, -151919888/151], [-153614667/151, -17758123/151], [32891/151, -115649/151]]], 1, 24, [], [] >,
< [ -2, 0, 1 ], [[-32, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [1, 0], [0, 0]], [[0, 1/2], [-3, 1], [0, 1/2], [1, 0]], [[0, 0], [-8, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [1, 0], [0, 0]], [[0, 1/2], [11, 1], [0, 1/2], [1, 0]], [[0, 0], [-8, -2], [0, 0], [0, 0]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, 52], [-8, 4], [0, 0]], [[0, 0], [-164, -79], [-3, 4], [-6, 3]], [[0, 0], [-526, -337], [1, 6], [-8, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -4], [6, 10], [0, 0]], [[0, 0], [-30, -15], [155, -3], [-4, -1]], [[0, 0], [10, 4], [-78, 21], [2, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-32, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 1/2], [7, 0], [0, 1/2], [1, 0]], [[0, 0], [-8, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 1/2], [-7, 0], [0, 1/2], [1, 0]], [[0, 0], [-8, -2], [0, 0], [0, 0]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, -52], [-8, -5], [0, 0]], [[0, 0], [1728, -3072], [-52, -91], [-8, -4]], [[0, 0], [7880, -6887], [47, -124], [-8, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 36], [-4, 4], [0, 0]], [[0, 0], [254, 146], [12, 4], [-2, 2]], [[0, 0], [320, 217], [13, 8], [0, 1]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-256, -512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-124, -108], [-24, -20], [0, 0]], [[0, 0], [776, -628], [120, -88], [8, 4]], [[0, 0], [1522, -1022], [220, -152], [-2, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -16], [-24, 16], [0, 0]], [[0, 0], [-1538, -1128], [124, 28], [-6, 10]], [[0, 0], [-1920, -1360], [104, 68], [4, 4]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[-256, -512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, -32], [-24, 4], [0, 0]], [[0, 0], [128, 80], [0, 28], [4, -4]], [[0, 0], [14, 2], [0, 0], [2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, -48], [8, -12], [0, 0]], [[0, 0], [2122, 4126], [1360, -680], [2, 8]], [[0, 0], [7384, 12556], [3872, -1848], [8, 24]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 2], [6, 8], [0, 0]], [[0, 0], [7, -1], [0, 1], [1, 0]], [[0, 0], [8, -8], [-44, 22], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 24], [-4, -2], [0, 0]], [[0, 0], [1, 1], [0, 1], [1, 0]], [[0, 0], [-92, 78], [-10, -4], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -10], [-2, 8], [0, 0]], [[0, 0], [-13, 1], [0, 1], [1, 0]], [[0, 0], [28, 4], [-20, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 22], [2, 6], [0, 0]], [[0, 0], [-7, -1], [0, 1], [1, 0]], [[0, 0], [-20, -44], [-16, -16], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 38], [-4, -10], [0, 0]], [[0, 0], [3, 1], [2, 0], [1, 0]], [[0, 0], [100, 34], [-32, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 38], [4, -4], [0, 0]], [[0, 0], [-11, 1], [2, 0], [1, 0]], [[0, 0], [332, 184], [-16, -2], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[-32, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 18], [4, -2], [0, 0]], [[0, 0], [7, 1], [0, 0], [1, 0]], [[0, 0], [12, 10], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 46], [8, -8], [0, 0]], [[0, 0], [-7, 1], [0, 0], [1, 0]], [[0, 0], [28, 16], [-4, -2], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[96, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -12], [8, 0], [0, 0]], [[0, 0], [382/7, 705/14], [-63, 64], [12/7, 1/14]], [[0, 0], [18103/7, 12843/7], [528, 427], [793/21, 183/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -18], [-2, 10], [0, 0]], [[0, 0], [1047/7, -9151/14], [-939, -442], [5/7, 1/14]], [[0, 0], [566/7, -23187/14], [-2639, -1365], [40/21, 5/14]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[96, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 6], [20, -4], [0, 0]], [[0, 0], [785/7, -571/14], [513, -334], [23/21, -1/42]], [[0, 0], [-1386, -2331/2], [-371, -1339], [-86/3, -43/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 2], [6, -10], [0, 0]], [[0, 0], [561/7, -67/14], [41, -4], [-11/7, -1/42]], [[0, 0], [3676/7, -1150/7], [274, -94], [-208/21, 52/21]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[0, 24]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -10], [10, 1], [0, 0]], [[0, -1/2], [-8949/14, -5051/7], [679, 513/2], [1/42, -1/21]], [[0, 0], [128, 144], [-136, -51], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 10], [-6, 3], [0, 0]], [[-7, -5/2], [727/14, 163/14], [38, 25/2], [-23/42, -1/14]], [[-130, -78], [882, 481], [694, 409], [-26/3, -13/3]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[96, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 0], [4, -8], [0, 0]], [[0, 0], [263/7, -303/14], [104, -87], [1/21, 1/14]], [[0, 0], [8, 10], [-30, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -24], [-4, 2], [0, 0]], [[0, 0], [5605/7, 6945/14], [4, 27], [-11/21, -5/42]], [[0, 0], [-1974, -3613/2], [-164, 27], [0, 3/2]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[96, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -8], [-4, -4], [0, 0]], [[0, 0], [1466/7, -2441/14], [-84, -57], [-22/21, -1/14]], [[0, 0], [-2175/7, 1900/7], [164, 112], [13/7, 2/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 28], [8, -10], [0, 0]], [[0, 0], [-4904/7, -5956/7], [222, 256], [16/7, 2/21]], [[0, 0], [-5634, -4319/2], [1692, 689], [0, 47/6]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[96, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -10], [4, -8], [0, 0]], [[0, 0], [-688/7, -223/14], [-74, -12], [-32/21, -5/42]], [[0, 0], [3236/7, 1284/7], [348, 138], [48/7, 16/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -6], [16, 4], [0, 0]], [[0, 0], [423/7, -1657/14], [-108, 144], [-1/21, -1/14]], [[0, 0], [40, -10], [-48, 18], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[96, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 10], [4, 4], [0, 0]], [[0, 0], [-240/7, -223/14], [-32, 34], [-20/7, -5/42]], [[0, 0], [462, 187], [572, -550], [42, -7/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -8], [-12, 2], [0, 0]], [[0, 0], [11/7, 229/14], [-2, -8], [5/7, 1/14]], [[0, 0], [20/7, -17/14], [-2, 0], [-2/21, 1/42]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[768, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 16], [-8, -8], [0, 0]], [[0, 0], [-1074/7, 111/7], [-160, 106], [26/7, 5/21]], [[0, 0], [2992, -202], [2992, -1968], [-220/3, -22/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -28], [-20, -4], [0, 0]], [[0, 0], [-4056/7, -3382/7], [-464, -324], [8/21, -2/21]], [[0, 0], [1608/7, 1355/7], [184, 130], [-4/21, 1/21]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[768, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -4], [24, 0], [0, 0]], [[0, 0], [352/7, -11/7], [164, -26], [32/21, -1/21]], [[0, 0], [-594/7, -198/7], [-252, -56], [-18/7, -6/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -16], [-20, 4], [0, 0]], [[0, 0], [1382/7, 1401/7], [-164, 210], [2/7, -5/21]], [[0, 0], [-460, -324], [-132, -88], [0, 0]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[768, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -20], [16, 20], [0, 0]], [[0, 0], [-20806/7, 14823/7], [864, -792], [38/21, 1/21]], [[0, 0], [20360/7, -12916/7], [-2700, -612], [260/21, 208/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -12], [8, -20], [0, 0]], [[0, 0], [1466/7, -139/7], [-16, -16], [-106/21, -5/21]], [[0, 0], [-12004/7, 4380/7], [52, 88], [800/21, -200/21]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -30], [-10, -6], [0, 0]], [[0, 0], [-3, -5], [0, 1], [1, 0]], [[0, 0], [-60, 48], [4, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, -30], [-6, -6], [0, 0]], [[0, 0], [4936/7, -1118/7], [214/7, 190/7], [-44/7, -4/7]], [[0, 0], [-1539, 469], [-54, -51], [13, 0]]], 0, 320, [], [] >,
< [ -2, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -12], [8, 10], [0, 0]], [[0, 0], [-3, 1], [0, 1], [1, 0]], [[0, 0], [132, -90], [-50, 30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [228, 90], [-2, 4], [0, 0]], [[0, 0], [-28051/7, -34920/7], [-1534/7, 411/7], [39/7, 1/7]], [[0, 0], [-468297/7, -527598/7], [-21240/7, 4455/7], [561/7, 51/7]]], 0, 320, [], [] >,
< [ -2, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -24], [16, -2], [0, 0]], [[0, 0], [-3, 1], [2, 0], [1, 0]], [[0, 0], [48, 6], [-32, -32], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-636, -18], [8, 2], [0, 0]], [[0, 0], [405584/7, -157156/7], [-4268/7, 816/7], [20/7, -2/7]], [[0, 0], [-601035/7, 140166/7], [6870/7, -22/7], [-33/7, -3/7]]], 0, 320, [], [] >,
< [ -2, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 18], [20, 10], [0, 0]], [[0, 0], [-3, 1], [0, 0], [1, 0]], [[0, 0], [108, -54], [32, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, 18], [8, 10], [0, 0]], [[0, 0], [-94433/7, 111434/7], [-7572/7, -276/7], [41/7, 5/7]], [[0, 0], [917468/7, -847891/7], [47904/7, -8772/7], [-250/7, 25/7]]], 0, 320, [], [] >,
< [ -2, 0, 1 ], [[-32, -96]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 8], [0, 6], [0, 0]], [[0, 0], [-18226386/1777, -23348/1777], [1420, -20/3], [-6530/5331, -2/5331]], [[0, 0], [439784368/1777, -1504122029/3554], [-34964, 58798], [52696/1777, -179731/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 10], [20, 6], [0, 0]], [[0, 0], [1779297/1777, -258677/3554], [17950, 316/3], [-9629/5331, -1/10662]], [[0, 0], [-1474577992/1777, 476815592/1777], [-14283784, 3684644], [2561944/1777, -673758/1777]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[-32, -96]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 2], [0, -8], [0, 0]], [[0, 0], [-17014255/1777, 54075/3554], [34510/3, -100/3], [-2025/1777, -1/10662]], [[0, 0], [-2449251971/1777, -1186589744/1777], [1653832, 2400248/3], [-875935/5331, -425140/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 8], [-4, -6], [0, 0]], [[0, 0], [-437359/1777, 84037/3554], [-600, 54], [1033/1777, -1/3554]], [[0, 0], [-10156061/1777, 9676285/3554], [-13868, 19678/3], [66637/5331, -55831/10662]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[-32, -96]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -2], [10, 8], [0, 0]], [[0, 0], [-14540368/1777, -99241/3554], [1204/3, -25], [3388/5331, -5/10662]], [[0, 0], [5441100144/1777, 243789714/1777], [-448094/3, 3136], [-1267376/5331, -51544/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 10], [-2, -10], [0, 0]], [[0, 0], [-19919, 938], [286, 526], [-1, 0]], [[0, 0], [7738822331/1777, 5768924601/3554], [-486004/3, -437809/3], [1211833/5331, 327663/3554]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[-32, -96]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -4], [4, -2], [0, 0]], [[0, 0], [-11808468/1777, -289404/1777], [-454, 44/3], [-4132/5331, 2/5331]], [[0, 0], [467955004/1777, -88274921/3554], [54704/3, -2725], [164720/5331, -39121/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [8, -6], [0, 0]], [[0, 0], [-1893762/1777, -976585/3554], [660, -47/3], [6364/5331, -1/10662]], [[0, 0], [-131146338/1777, 26935699/1777], [59458, -77410/3], [562178/5331, -235507/5331]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[-256, -768]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -28], [4, -8], [0, 0]], [[0, 0], [-53966450/1777, -144949/1777], [36476, -160/3], [-19258/5331, -1/5331]], [[0, 0], [4504076296/1777, -5397909300/1777], [-3074648, 3661164], [539152/1777, -643504/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 4], [-16, -12], [0, 0]], [[0, 0], [-56721234/1777, 4047512/1777], [-66572/3, -84], [11818/5331, -4/5331]], [[0, 0], [-14549422260/1777, -6150564949/1777], [-18357268/3, -8593312/3], [3246340/5331, 504037/1777]]], 0, 32768, [], [] >,
< [ -2, 0, 1 ], [[-48, -8]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -8], [4, 3], [0, 0]], [[-1004, -1], [-124693/1777, -65502/1777], [-1264, -7/3], [1199/5331, 2/5331]], [[-9918, -38889/2], [-7525285/3554, -3058402/1777], [-12528, -48981/2], [7917/3554, 7743/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 2], [-6, -3], [0, 0]], [[-3236, 1/2], [53435561/3554, 64219/1777], [-4058, 91/6], [7729/10662, 2/5331]], [[-96048, 402201], [776023657/1777, -3318715026/1777], [-124060, 504798], [38019/1777, -160080/1777]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[-1280, -512]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -4], [-12, -8], [0, 0]], [[0, 0], [-5554, -16], [20168/3, 4/3], [-2/3, 0]], [[0, 0], [33468/1777, -119927/1777], [-68/3, 244/3], [4/1777, -43/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, -56], [-4, -12], [0, 0]], [[0, 0], [90259292/1777, 384103/1777], [39400, 724/3], [-20992/5331, -5/5331]], [[0, 0], [-5561303980/1777, -5013645027/1777], [-7307300/3, -6579184/3], [1284092/5331, 386963/1777]]], 0, 32768, [], [] >,
< [ -2, 0, 1 ], [[-160, -64]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 8], [16, 10], [0, 0]], [[0, 0], [8906107/1777, -382573/3554], [-728, -14], [1033/1777, 1/3554]], [[0, 0], [-394951591/1777, -121922983/3554], [98240/3, 18922/3], [-138491/5331, -16169/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 6], [16, 10], [0, 0]], [[0, 0], [7724099/1777, -2220485/3554], [26678/3, -442/3], [-1529/1777, -1/10662]], [[0, 0], [-91114/1777, -140743/3554], [-386/3, -298/3], [68/5331, 35/3554]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[-160, -64]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 4], [-8, 10], [0, 0]], [[0, 0], [-33992016/1777, -221607/3554], [68006/3, 526/3], [-11984/5331, -1/3554]], [[0, 0], [-7865534000/1777, -1915947367/3554], [15752846/3, 662310], [-2770960/5331, -658103/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 10], [-4, -4], [0, 0]], [[0, 0], [-1259, -22], [-1000/3, -146/3], [1/3, 0]], [[0, 0], [-476294871/1777, 375020913/3554], [-63460, 18686], [127917/1777, -103761/3554]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[-160, -64]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -10], [6, -4], [0, 0]], [[0, 0], [-22279203/1777, 35269/3554], [560, -5/3], [5165/5331, 5/10662]], [[0, 0], [239302771/1777, 200100213/3554], [-6004, -7505/3], [-55537/5331, -46531/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -16], [-4, -2], [0, 0]], [[0, 0], [-4931998/1777, -845581/3554], [1054/3, -47/3], [1240/1777, -5/10662]], [[0, 0], [-345782227/1777, 150583468/1777], [28028, -14228], [94883/1777, -46052/1777]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[-160, -64]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -2], [-10, 6], [0, 0]], [[0, 0], [22719465/1777, 45437/3554], [2660/3, -7], [8141/5331, 1/10662]], [[0, 0], [-620301376/1777, 2237212562/1777], [-25762, 87528], [-74592/1777, 267288/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 30], [10, 10], [0, 0]], [[0, 0], [-42672141/1777, -336865/1777], [-852, -160/3], [-7397/5331, -1/5331]], [[0, 0], [-2200712789/1777, 6977510681/3554], [-36280, 67193], [-130305/1777, 405195/3554]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[-32, -40]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -2], [-2, 5], [0, 0]], [[3339, 7/2], [-12359469/3554, -841039/3554], [-12413/3, 643/6], [7975/10662, 1/3554]], [[306326, -315800], [-488540860/1777, 546407667/1777], [-1202132/3, 401589], [366328/5331, -377381/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 8], [10, 1], [0, 0]], [[-3357, -1], [-23204283/1777, -119577/3554], [12607/3, -43/3], [-4009/5331, 1/3554]], [[-64, 87/2], [-881629/3554, 299627/1777], [242/3, -329/6], [-51/3554, 52/5331]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[608, 192]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -2], [-24, 30], [0, 0]], [[0, 0], [-7822874/1777, 45437/3554], [136960/3, 8], [-2810/5331, 1/10662]], [[0, 0], [-649003348/1777, -470038197/3554], [3796020, 4149694/3], [-233588/5331, -170113/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 10], [52, 20], [0, 0]], [[0, 0], [384655/1777, -92133/3554], [151138/3, -26], [-1943/5331, -5/10662]], [[0, 0], [-223076/1777, -5825304/1777], [-217444, -788978], [2832/1777, 10148/1777]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[608, 192]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -8], [-28, -50], [0, 0]], [[0, 0], [13875856/1777, 1130937/1777], [-438572/3, 1388], [5620/5331, -1/5331]], [[0, 0], [1125296585/1777, 1736350321/3554], [-31040450/3, -24572692/3], [134567/1777, 637289/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -4], [4, -22], [0, 0]], [[0, 0], [-32506/1777, -61183/3554], [-36616/3, 346/3], [248/1777, 1/10662]], [[0, 0], [-1363508/1777, -1041068/1777], [-864356/3, -344648/3], [17708/5331, 2394/1777]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[608, 192]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 10], [-122, 8], [0, 0]], [[0, 0], [39290727/1777, -13026175/3554], [-222044/3, 8527], [-8141/5331, 1/10662]], [[0, 0], [-54331218767/1777, -4573702311/1777], [105084704, 14244190], [4081371/1777, 992213/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 10], [-58, -4], [0, 0]], [[0, 0], [52037885/1777, -467869/3554], [62238, 547], [2521/1777, 1/3554]], [[0, 0], [-25139794176/1777, -6580175048/1777], [-90840662/3, -24811076/3], [-3662860/5331, -324510/1777]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[608, 192]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 6], [182, 2], [0, 0]], [[0, 0], [-51172572/1777, -8474266/1777], [481640/3, 109672/3], [992/1777, 2/5331]], [[0, 0], [2108021885/1777, 1701885991/3554], [-20461520/3, -9138511/3], [-37469/1777, -61909/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, 18], [218, 8], [0, 0]], [[0, 0], [-21066552/1777, -17437183/3554], [-25906/3, 60509/3], [-5786/5331, -1/3554]], [[0, 0], [-24546153062/1777, -13422087494/1777], [1127564, 17532676], [-1871310/1777, -454930/1777]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[4864, 1536]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, -48], [-184, -8], [0, 0]], [[0, 0], [-9865470/1777, -25324545/1777], [-672692/3, -61784/3], [8018/5331, 1/1777]], [[0, 0], [-8562016888/1777, -10457784593/1777], [-264509968/3, -29236156], [3012116/5331, 769951/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-252, -48], [-412, -12], [0, 0]], [[0, 0], [-119859690/1777, -135077643/1777], [372976/3, -321040/3], [-3058/1777, 1/5331]], [[0, 0], [-254556631940/1777, -225880222194/1777], [302178932/3, -319478044/3], [-12650480/5331, -1009998/1777]]], 0, 589824, [], [] >,
< [ -2, 0, 1 ], [[96, 152]], [ -246, -7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -10], [-30, -22], [0, 0]], [[-1367, 1/2], [-1634103/3554, 802439/3554], [-34235, 649/6], [3265/10662, 1/10662]], [[8469, -290769/2], [180680255/3554, -178699345/3554], [232441, -7283157/2], [-6587/3554, 115743/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 2], [30, 22], [0, 0]], [[-1246, 0], [10660960/1777, -267315/1777], [-94310/3, -67/3], [496/1777, 1/5331]], [[-1195, -30409/2], [7399883/3554, 259672123/3554], [-30695, -2301793/6], [2903/10662, 36317/10662]]], 1, 1152, [], [] >,
< [ -2, 0, 1 ], [[1792, 3328]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, -24], [-92, 4], [0, 0]], [[0, 0], [-27838048/1777, 3097829/1777], [753596/3, -8288/3], [-9752/5331, -1/1777]], [[0, 0], [-449170072/1777, -1033923708/1777], [18193892/3, 29879968/3], [-244244/5331, -129808/1777]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 24], [96, -16], [0, 0]], [[0, 0], [-52674874/1777, -9897/1777], [-943364/3, 136/3], [4050/1777, -1/5331]], [[0, 0], [2792953348/1777, 3332130420/1777], [49979884/3, 19886376], [-643808/5331, -768416/5331]]], 0, 589824, [], [] >,
< [ -2, 0, 1 ], [[224, 416]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 2], [-72, -22], [0, 0]], [[0, 0], [-891837/1777, 3638037/3554], [-14216/3, -7774/3], [455/5331, -1/3554]], [[0, 0], [39198644/1777, 40507280/1777], [-732272/3, -168592], [14200/5331, 8350/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 0], [80, 66], [0, 0]], [[0, 0], [542808/1777, 99241/3554], [5198, 1906/3], [-166/5331, 5/10662]], [[0, 0], [-864630/1777, 446085/1777], [-7832, 3912], [98/1777, -55/1777]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[224, 416]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -2], [-100, -40], [0, 0]], [[0, 0], [21757068/1777, 352611/3554], [-610106/3, -330], [7852/5331, -1/10662]], [[0, 0], [-11938372730/1777, -3580609400/1777], [333506308/3, 32749070], [-4287950/5331, -1257200/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -4], [-120, -82], [0, 0]], [[0, 0], [-1307, -24], [-86380/3, 94/3], [1/3, 0]], [[0, 0], [49629/1777, 41485/3554], [600, 754/3], [-37/5331, -31/10662]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[224, 416]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 20], [48, -8], [0, 0]], [[0, 0], [42956678/1777, 366827/3554], [-242032/3, 791/3], [-3306/1777, -1/10662]], [[0, 0], [16255205324/1777, 29222940456/1777], [-89110706/3, -54657274], [-3696260/5331, -6731510/5331]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -12], [-8, -10], [0, 0]], [[0, 0], [237164/1777, -568911/3554], [-1516, 163/3], [-166/5331, 5/10662]], [[0, 0], [-1317848/1777, 470520/1777], [-958/3, -3700], [-52/5331, -406/5331]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[224, 416]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -14], [22, 2], [0, 0]], [[0, 0], [-2270703/1777, -758532/1777], [-10520, -2866/3], [-1199/5331, 2/5331]], [[0, 0], [334072694/1777, 666860713/3554], [2712322/3, 1383301], [75154/5331, 301325/10662]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 20], [88, 8], [0, 0]], [[0, 0], [-43091513/1777, -336865/1777], [-60148, -1546/3], [-7397/5331, -1/5331]], [[0, 0], [-2425461414/1777, -8097648767/3554], [-3393950, -5653905], [-135240/1777, -461265/3554]]], 0, 9216, [], [] >,
< [ -2, 0, 1 ], [[320, 264]], [ -246, 7 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 4], [20, -9], [0, 0]], [[-2474, -5/2], [3315579/3554, -1852646/1777], [186014/3, -799/2], [-5909/10662, -1/5331]], [[9825, -35370], [-59617648/1777, 62239725/3554], [-259457, 888310], [3930/1777, -28165/3554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 10], [-44, -21], [0, 0]], [[-2492, 0], [-17341440/1777, 83766/1777], [185326/3, -1829/3], [-992/1777, 2/5331]], [[-13521, -5693/2], [-187799189/3554, -38707495/3554], [1001347/3, 403519/6], [-32285/10662, -2259/3554]]], 1, 1152, [], [] >,
< [ -2, 0, 1 ], [[288, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 2], [6, 0], [0, 0]], [[0, 0], [580/7, -717/14], [33, -20], [-10/7, 5/14]], [[0, 0], [48, 49], [20, 20], [-4, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 14], [6, 10], [0, 0]], [[0, 0], [-2145/7, 2455/14], [253, -238], [19/7, 1/14]], [[0, 0], [-1970/7, 8013/14], [961, -141], [-72/7, -153/14]]], 0, 2560, [], [] >,
< [ -2, 0, 1 ], [[0, 72]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 10], [8, -2], [0, 0]], [[7, 3/2], [-729/14, -383/14], [-36, 11/2], [25/14, -1/14]], [[-63, -21/2], [905/2, 453/2], [336, -135/2], [-33/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -2], [8, 1], [0, 0]], [[-8, -5/2], [-1297/14, -1055/7], [37, 305/2], [-27/14, -1/7]], [[-10, -35/2], [-9279/14, -1298/7], [679, 121/2], [-5/14, -30/7]]], 1, 320, [], [] >,
< [ -2, 0, 1 ], [[288, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 10], [8, 4], [0, 0]], [[0, 0], [687/7, -375/14], [-39, 20], [-39/7, -5/14]], [[0, 0], [-5466/7, -16041/14], [5, 297], [738/7, 1353/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 20], [4, 0], [0, 0]], [[0, 0], [3032/7, 1545/7], [4, 36], [24/7, 1/7]], [[0, 0], [244, 3099/2], [467, -203], [-20, 45/2]]], 0, 2560, [], [] >,
< [ -2, 0, 1 ], [[288, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -12], [-8, 8], [0, 0]], [[0, 0], [2043/7, 2139/14], [20, 47], [-3/7, 5/14]], [[0, 0], [-220, -158], [-38, -26], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 12], [0, -6], [0, 0]], [[0, 0], [251/7, -129/14], [-6, 19], [11/7, 5/14]], [[0, 0], [1051/7, -1437/7], [-212, 60], [-11/7, -55/7]]], 0, 2560, [], [] >,
< [ -2, 0, 1 ], [[288, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 14], [2, 10], [0, 0]], [[0, 0], [-17926/7, -24763/14], [-1708, -1205], [10/7, -5/14]], [[0, 0], [44766/7, 31239/7], [4284, 3026], [-18/7, 1/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -18], [-2, 0], [0, 0]], [[0, 0], [890/7, 103/7], [76, 2], [38/7, 1/7]], [[0, 0], [-1213/7, -3037/14], [-82, -123], [-41/7, -123/14]]], 0, 2560, [], [] >,
< [ -2, 0, 1 ], [[288, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 0], [12, 2], [0, 0]], [[0, 0], [158/7, -457/14], [-2, 24], [26/7, 1/14]], [[0, 0], [1880/7, 902/7], [-328, -200], [-240/7, -192/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -10], [4, 2], [0, 0]], [[0, 0], [-55/7, -9/7], [0, 0], [3/7, 1/7]], [[0, 0], [-106/7, 193/14], [0, 0], [4/7, -9/14]]], 0, 2560, [], [] >,
< [ -2, 0, 1 ], [[288, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -10], [8, 10], [0, 0]], [[0, 0], [-711/7, 625/14], [-140, -126], [-33/7, -1/14]], [[0, 0], [-1922/7, 533/7], [-644, -518], [-110/7, -25/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 2], [-16, 6], [0, 0]], [[0, 0], [3224/7, 4471/14], [-174, -106], [26/7, 1/14]], [[0, 0], [-14874/7, -23041/14], [518, 752], [220/7, -495/14]]], 0, 2560, [], [] >,
< [ -2, 0, 1 ], [[2304, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 16], [8, -16], [0, 0]], [[0, 0], [-1070/7, -261/7], [-136, -62], [66/7, 1/7]], [[0, 0], [8664/7, 4232/7], [1232, 740], [-468/7, -156/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 16], [-8, -8], [0, 0]], [[0, 0], [-3474/7, 3063/7], [100, -26], [22/7, 5/7]], [[0, 0], [9174/7, 9610/7], [880, 568], [390/7, 270/7]]], 0, 163840, [], [] >,
< [ -2, 0, 1 ], [[2304, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -4], [-24, 40], [0, 0]], [[0, 0], [794/7, -167/7], [-1504, 658], [30/7, 3/7]], [[0, 0], [-5636/7, -2420/7], [7264, 1440], [-304/7, -176/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -16], [-4, 12], [0, 0]], [[0, 0], [2872/7, -1887/7], [-760, 182], [-92/7, -5/7]], [[0, 0], [8474/7, -5006/7], [-3108, -180], [-450/7, -150/7]]], 0, 163840, [], [] >,
< [ -2, 0, 1 ], [[2304, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -36], [-20, 4], [0, 0]], [[0, 0], [-570/7, -372/7], [-32, -40], [26/7, 4/7]], [[0, 0], [38/7, 57/7], [0, 0], [2/7, 3/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 20], [0, -4], [0, 0]], [[0, 0], [242/7, -8/7], [-20, -16], [26/7, 4/7]], [[0, 0], [48, -127], [96, 56], [0, -13]]], 0, 163840, [], [] >,
< [ -2, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, -42], [-6, -24], [0, 0]], [[0, 0], [-3, -5], [0, 3], [1, 0]], [[0, 0], [348, -366], [-270, 162], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [300, 6], [6, -6], [0, 0]], [[0, 0], [-4399/7, -3919/7], [-12/7, -3/7], [-1/7, -2/7]], [[0, 0], [36, 12], [0, 0], [0, 0]]], 0, 2560, [], [] >,
< [ -2, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [0, 6], [0, 0]], [[0, 0], [-3, 1], [0, 3], [1, 0]], [[0, 0], [0, -6], [-6, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [264, -66], [6, -12], [0, 0]], [[0, 0], [-9493/7, -4615/7], [318/7, 447/7], [-19/7, 4/7]], [[0, 0], [-306480/7, -172002/7], [12954/7, 13896/7], [-492/7, 24/7]]], 0, 2560, [], [] >,
< [ -2, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -18], [-48, -24], [0, 0]], [[0, 0], [-3, 1], [6, 0], [1, 0]], [[0, 0], [12, -6], [-12, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, 42], [36, 18], [0, 0]], [[0, 0], [-49755/7, 31362/7], [1950/7, -930/7], [33/7, 3/7]], [[0, 0], [-23558/7, 13847/7], [996/7, -360/7], [20/7, 5/7]]], 0, 2560, [], [] >,
< [ -2, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -30], [36, 24], [0, 0]], [[0, 0], [-3, 1], [0, 0], [1, 0]], [[0, 0], [108, -72], [36, -30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-408, -84], [48, -18], [0, 0]], [[0, 0], [2722525/7, 1449093/7], [-187596/7, -11808/7], [-9/7, -4/7]], [[0, 0], [-32627775/7, -1710516/7], [4584588/7, -2180820/7], [129/7, -15/7]]], 0, 2560, [], [] >,
< [ -2, 0, 1 ], [[32, 160]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [170594/151, -2338/151], [-13262/151, -6/151], [0, 0]], [[0, 0], [-3225792460/151, 8384411235/302], [241602195/151, -322478720/151], [-673/151, -3/302]], [[0, 0], [-305659913776/151, -2128746307604/151], [28488052084/151, 165903027356/151], [513264/151, 222768/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-143414/151, -1588/151], [11148/151, 6/151], [0, 0]], [[0, 0], [130513379/151, 129107462/151], [-9941120/151, -9931320/151], [-617/151, 3/151]], [[0, 0], [406326480511/151, 310827207408/151], [-31091558400/151, -23837990400/151], [-1026087/151, -445057/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[32, 160]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116838/151, 78/151], [-9034/151, -6/151], [0, 0]], [[0, 0], [106623/151, 329/302], [-6715/151, 179/151], [174/151, 1/302]], [[0, 0], [32649099/151, 28308595/302], [-2006107/151, -833515/151], [53342/151, 46339/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29246/151, 1312/151], [-2180/151, -8/151], [0, 0]], [[0, 0], [-152226559/151, 220958471/151], [12756386/151, -17000534/151], [571/151, -4/151]], [[0, 0], [-316696460846/151, -1173303318338/151], [16421461740/151, 86788811610/151], [-4318434/151, -1875528/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[32, 160]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144924/151, 1286/151], [-11148/151, -6/151], [0, 0]], [[0, 0], [-376903/151, -17358215/151], [13184/151, 1334411/151], [847/151, 2/151]], [[0, 0], [3033406177/151, 6935874535/302], [-230067301/151, -265251542/151], [-167992/151, -145167/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [128990/151, 224/151], [-9992/151, 6/151], [0, 0]], [[0, 0], [7797158917/151, 2614718787/151], [-603042788/151, -201134189/151], [801/151, 1/151]], [[0, 0], [28426302619126/151, 16931363784910/151], [-2195855568248/151, -1306410892180/151], [2264980/151, 983456/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[32, 160]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3636/151, 578/151], [-512/151, 2/151], [0, 0]], [[0, 0], [1068087/151, 379425/151], [-146684/151, -29535/151], [-1, 0]], [[0, 0], [866546443/151, 1045985247/302], [-106841167/151, -57832266/151], [-93600/151, -81375/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-421254/151, -78/151], [32288/151, 6/151], [0, 0]], [[0, 0], [2390865133/151, 1285210/151], [-183255144/151, -98479/151], [1, 0]], [[0, 0], [-269032652117/151, -116856250409/151], [20620824550/151, 8956800061/151], [-16983/151, -7371/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[256, 1280]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3383536/151, 5884/151], [26524/151, 12/151], [0, 0]], [[0, 0], [7735462714/151, 7723335099/151], [-60892886/151, -60679252/151], [-1648/151, -3/151]], [[0, 0], [51344351656/151, 39446132720/151], [-403814920/151, -310094936/151], [-5888/151, -2544/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1118584/151, 250/151], [-17936/151, 4/151], [0, 0]], [[0, 0], [2356255062/151, 592774/151], [37787028/151, 9970/151], [538/151, -8/151]], [[0, 0], [1337429608132/151, 593147808596/151], [21448458912/151, 9512515560/151], [301280/151, 130816/151]]], 0, 98304, [], [] >,
< [ -2, 0, 1 ], [[96, 88]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-109916/151, -932/151], [-4740/151, 2/151], [0, 0]], [[-25, 1], [-1851907620/151, -649970623/302], [-79621198/151, -13305840/151], [82/151, -3/302]], [[-21299, -50681/2], [-4833257312797/302, -2250670769514/151], [-102499565513/151, -96141687666/151], [147205/302, 84783/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [106600/151, 1523/151], [-8200/151, -1/151], [0, 0]], [[-824, -3/2], [56365287/151, 1939097465/151], [-97895/151, -298322745/302], [-824/151, -3/302]], [[-5942628, -6843849], [32564997597068/151, 14393498721782/151], [-2474564845058/151, -1072049372615/151], [-5942628/151, -6843849/151]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[32, 160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, 74], [94, 8], [0, 0]], [[0, 0], [13, -1], [0, 1], [1, 0]], [[0, 0], [14852, -12092], [-608, 7600], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -22], [-10, 6], [0, 0]], [[0, 0], [-9, 1], [0, 1], [1, 0]], [[0, 0], [20, 16], [0, 0], [0, 0]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[32, 160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -2], [10, -6], [0, 0]], [[0, 0], [5, 1], [0, 1], [1, 0]], [[0, 0], [-20, -16], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112, -56], [-52, 6], [0, 0]], [[0, 0], [-1, -1], [0, 1], [1, 0]], [[0, 0], [-792, 1178], [-190, -684], [0, 0]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[32, 160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, -2], [28, 0], [0, 0]], [[0, 0], [5, 1], [-10, 0], [1, 0]], [[0, 0], [-216, -1080], [-80, -330], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-164, -8], [60, 34], [0, 0]], [[0, 0], [-9, 1], [-10, 0], [1, 0]], [[0, 0], [-7480, 7106], [-108, -1044], [0, 0]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[32, 160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-164, -8], [-32, -34], [0, 0]], [[0, 0], [5, 1], [4, 0], [1, 0]], [[0, 0], [-8228, 3366], [-108, -1044], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [220, 8], [-20, -2], [0, 0]], [[0, 0], [-9, 1], [4, 0], [1, 0]], [[0, 0], [0, -1722], [20, 156], [0, 0]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[256, 1280]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [148, 12], [152, 88], [0, 0]], [[0, 0], [14856, -8716], [5032, -552], [8, -4]], [[0, 0], [2150, -12010], [-10420, -10260], [-2, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [336, 196], [384, 16], [0, 0]], [[0, 0], [138432, 78086], [168080, -2160], [-8, 6]], [[0, 0], [-4064642, -2859848], [-2750380, -1857500], [-2, -10]]], 0, 98304, [], [] >,
< [ -2, 0, 1 ], [[256, 1280]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -12], [-8, -96], [0, 0]], [[0, 0], [50, 56], [664, 356], [6, 10]], [[0, 0], [390, 630], [7160, 3116], [30, 120]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [252, -112], [-256, -20], [0, 0]], [[0, 0], [-133666, 68462], [119888, -5640], [2, -4]], [[0, 0], [2719178, -766084], [-3538904, -1010728], [18, 102]]], 0, 98304, [], [] >,
< [ -2, 0, 1 ], [[352, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 4], [50, 40], [0, 0]], [[0, 0], [264, -51], [-193, -158], [-8, -1]], [[0, 0], [-168, 278], [-268, -154], [0, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -18], [40, 32], [0, 0]], [[0, 0], [-58, 45], [-75, -6], [10, -3]], [[0, 0], [148, -122], [278, 72], [-32, 4]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[80, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94, 50], [19, 18], [0, 0]], [[0, 1/2], [-5, 0], [2, 1/2], [1, 0]], [[0, 0], [-418, -172], [-65, -80], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 50], [-3, 6], [0, 0]], [[0, 1/2], [9, 0], [2, 1/2], [1, 0]], [[0, 0], [-118, -58], [-11, 1], [0, 0]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[352, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 12], [2, -4], [0, 0]], [[0, 0], [-2, 15], [23, -17], [-4, 3]], [[0, 0], [-88, -62], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112, 42], [50, 5], [0, 0]], [[0, 0], [-312, -894], [190, -462], [8, 2]], [[0, 0], [4830, 61], [2823, -974], [-4, -21]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[96, 88]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 6], [15, 12], [0, 0]], [[0, 1/2], [5, 1], [2, 1/2], [1, 0]], [[0, 0], [-48, 12], [-9, -10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 20], [15, 5], [0, 0]], [[0, 1/2], [-9, 1], [2, 1/2], [1, 0]], [[0, 0], [-12, -18], [-14, -7], [0, 0]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47450/151, -2494/151], [3650/151, 6/151], [0, 0]], [[0, 0], [40142/151, -667373/302], [-6073/151, 25976/151], [-23/151, 1/302]], [[0, 0], [976/151, 4179/302], [-17/151, -62/151], [3/151, 13/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [302954/151, -500/151], [-23188/151, -8/151], [0, 0]], [[0, 0], [-17350675420/151, -6921678984/151], [1330128884/151, 532436450/151], [-4, 0]], [[0, 0], [2697760235987/151, 2863244904119/151], [-207361315910/151, -219563911910/151], [21105/151, 91254/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-65256/151, 2968/151], [5252/151, 4/151], [0, 0]], [[0, 0], [139389984/151, -267098605/302], [-10263975/151, 10272820/151], [-115/151, 5/302]], [[0, 0], [-515160143/151, 230631549/151], [39914824/151, -16706701/151], [-61/151, -258/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104782/151, 26/151], [7944/151, -2/151], [0, 0]], [[0, 0], [272452372/151, -235095/151], [-20656200/151, 17910/151], [46/151, -1/151]], [[0, 0], [-580356989/151, -2121430005/151], [43998900/151, 160837770/151], [-83/151, -356/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-83908/151, 1010/151], [6408/151, -8/151], [0, 0]], [[0, 0], [9499720/151, 14715068/151], [-748496/151, -1131998/151], [92/151, -2/151]], [[0, 0], [36557384/151, 31062585/302], [-2817949/151, -1214943/151], [25/151, 209/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-199380/151, -734/151], [15244/151, 10/151], [0, 0]], [[0, 0], [-3879001920/151, 1933389059/151], [297467078/151, -148722758/151], [-978/151, -5/151]], [[0, 0], [-14714252515781/151, 16888081822102/151], [1132867799112/151, -1294590326113/151], [1111591/151, 4793014/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-118396/151, 1182/151], [8968/151, 2/151], [0, 0]], [[0, 0], [-2738656992/151, -3645605157/302], [210305439/151, 140215763/151], [325/151, -1/302]], [[0, 0], [-5650235098538/151, -8344452698151/302], [434522738321/151, 320465379255/151], [98941/151, 856477/302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-227720/151, -630/151], [17424/151, 2/151], [0, 0]], [[0, 0], [-989354499/151, 493357112/151], [75897450/151, -37950187/151], [361/151, 2/151]], [[0, 0], [315726244960/151, -361950573955/151], [-24305152798/151, 27757366708/151], [34498/151, 148635/151]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[2304, 1024]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1187488/151, 3676/151], [11660/151, -4/151], [0, 0]], [[0, 0], [-831116564/151, 413092923/151], [-8209554/151, 4082114/151], [-2186/151, -5/151]], [[0, 0], [158167725510/151, -181993737208/151], [1563170412/151, -1797595578/151], [-120714/151, -537726/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2767480/151, -104/151], [44328/151, 8/151], [0, 0]], [[0, 0], [14511487514/151, -2852982420/151], [232411716/151, -45646402/151], [538/151, 8/151]], [[0, 0], [53704011478/151, -261074991932/151], [858381672/151, -4181468926/151], [-2266/151, -10094/151]]], 0, 98304, [], [] >,
< [ -2, 0, 1 ], [[64, 72]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-584400/151, 1747/151], [11850/151, 5/151], [0, 0]], [[-30, -1/2], [-1715305759/302, 179348759/302], [17376649/151, -1759052/151], [-197/302, 1/302]], [[4935, 1365/2], [273846515273/302, 2478187961/151], [-2776476099/151, -59681772/151], [32235/302, 1890/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-184, 6], [14, 0], [0, 0]], [[-82, -3/2], [28127913/151, 103441025/151], [-2658501/151, -15914573/302], [-82/151, -3/302]], [[7264, 840], [-4268104236/151, -9373499671/151], [371998152/151, 725333457/151], [7264/151, 840/151]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -30], [-38, -6], [0, 0]], [[0, 0], [-9, -1], [-6, 1], [1, 0]], [[0, 0], [8, 2], [2, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, 94], [94, 6], [0, 0]], [[0, 0], [13, 1], [-6, 1], [1, 0]], [[0, 0], [540, -1202], [-2214, -984], [0, 0]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 38], [30, -10], [0, 0]], [[0, 0], [-1, 1], [-6, 1], [1, 0]], [[0, 0], [-160, -110], [-26, -10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -34], [-50, -2], [0, 0]], [[0, 0], [5, -1], [-6, 1], [1, 0]], [[0, 0], [-228, -36], [-88, -176], [0, 0]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -8], [32, -6], [0, 0]], [[0, 0], [-1, 1], [-10, 0], [1, 0]], [[0, 0], [-4656, -2522], [-1184, -576], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -10], [40, 38], [0, 0]], [[0, 0], [13, 1], [-10, 0], [1, 0]], [[0, 0], [0, 0], [32, 22], [0, 0]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -10], [0, -28], [0, 0]], [[0, 0], [-1, 1], [4, 0], [1, 0]], [[0, 0], [-176, -198], [340, 190], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 8], [4, -34], [0, 0]], [[0, 0], [13, 1], [4, 0], [1, 0]], [[0, 0], [44, 46], [-80, -20], [0, 0]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[2304, 1024]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-244, -12], [-32, 20], [0, 0]], [[0, 0], [-1042, -656], [100, 60], [-10, -6]], [[0, 0], [-16500, -8352], [1640, 720], [-164, -72]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -80], [-128, -4], [0, 0]], [[0, 0], [-40, 2840], [5328, 1544], [0, 4]], [[0, 0], [-23834, -11122], [-34220, -28640], [-34, -16]]], 0, 98304, [], [] >,
< [ -2, 0, 1 ], [[2304, 1024]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -48], [-56, 0], [0, 0]], [[0, 0], [630, -374], [-736, 636], [6, 0]], [[0, 0], [-4118, 1330], [2424, -4272], [-82, -36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -20], [-32, 20], [0, 0]], [[0, 0], [22, -122], [24, -32], [6, -8]], [[0, 0], [1160, 718], [176, 88], [44, 22]]], 0, 98304, [], [] >,
< [ -2, 0, 1 ], [[64, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 40], [-7, 0], [0, 0]], [[0, 1/2], [-5, 0], [-1, 1/2], [1, 0]], [[0, 0], [-4, -22], [6, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 0], [17, 13], [0, 0]], [[0, 1/2], [9, 0], [-1, 1/2], [1, 0]], [[0, 0], [-96, 74], [22, 2], [0, 0]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 32], [76, 5], [0, 0]], [[0, 0], [4952, -379], [2157, 6169], [4, 1]], [[0, 0], [88368, 17030], [100082, 125164], [84, 38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -6], [6, -16], [0, 0]], [[0, 0], [254, 259], [273, 83], [10, -3]], [[0, 0], [-344, -333], [-345, -120], [-12, 3]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[64, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 40], [11, 8], [0, 0]], [[0, 1/2], [-1, 1], [-1, 1/2], [1, 0]], [[0, 0], [-16, 10], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -10], [16, -3], [0, 0]], [[0, 1/2], [13, 1], [-1, 1/2], [1, 0]], [[0, 0], [0, 0], [11, 8], [0, 0]]], 1, 192, [], [] >,
< [ -2, 0, 1 ], [[288, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 30], [48, 5], [0, 0]], [[0, 0], [10288, 7925], [10235, 3456], [10, 5]], [[0, 0], [-65532, -52018], [-72282, -18084], [-68, -30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, 14], [-68, -3], [0, 0]], [[0, 0], [-182728, -108608], [-86928, -54442], [4, -4]], [[0, 0], [13794926, 9822085], [6730513, 4782245], [84, 37]]], 0, 1536, [], [] >,
< [ -2, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 2], [-10, 4], [0, 0]], [[0, 1/2], [-1, 0], [0, 1/2], [1, 0]], [[0, 0], [260, 104], [90, 9], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 6], [8, 0], [0, 0]], [[0, 1/2], [1, 0], [1, 1/2], [1, 0]], [[0, 0], [-12, 0], [8, 3], [0, 0]]], 1, 8, [], [] >,
< [ -2, 0, 1 ], [[1024, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, -36], [-40, 16], [0, 0]], [[0, 0], [376, -760], [-128, 384], [8, 0]], [[0, 0], [1436, 274], [-784, -212], [-8, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, 20], [24, 16], [0, 0]], [[0, 0], [-36, 6], [0, 4], [0, 2]], [[0, 0], [-32, 24], [0, 0], [0, 0]]], 0, 32768, [], [] >,
< [ -2, 0, 1 ], [[1024, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, -104], [16, 20], [0, 0]], [[0, 0], [3184, -3224], [300, 500], [-8, -4]], [[0, 0], [3852, -2562], [-280, 80], [0, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, 16], [0, 16], [0, 0]], [[0, 0], [-116, 12], [76, 72], [20, 4]], [[0, 0], [1384, -698], [-128, -416], [-180, 54]]], 0, 32768, [], [] >,
< [ -2, 0, 1 ], [[1024, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, 20], [-4, 0], [0, 0]], [[0, 0], [-128, 14], [0, 0], [4, 6]], [[0, 0], [-44, 52], [0, 0], [-4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -20], [4, 4], [0, 0]], [[0, 0], [56, -22], [0, 0], [-12, 10]], [[0, 0], [-12, -6], [0, 0], [0, -2]]], 0, 32768, [], [] >,
< [ -2, 0, 1 ], [[0, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, -4], [-12, 10], [0, 0]], [[0, 0], [382, 224], [12, 8], [-10, 2]], [[0, 0], [-188, 518], [4, 10], [88, -66]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, 20], [-16, 6], [0, 0]], [[0, 0], [1386, 508], [-200, 50], [10, 6]], [[0, 0], [-1554, 646], [520, -340], [-6, 0]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[0, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 68], [0, 6], [0, 0]], [[0, 0], [118, 116], [12, 12], [6, -2]], [[0, 0], [-116, -40], [-12, -4], [4, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, 40], [8, -4], [0, 0]], [[0, 0], [-106, 252], [12, -16], [-2, 6]], [[0, 0], [-1336, -636], [64, 22], [-32, -16]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[0, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -124], [-20, 10], [0, 0]], [[0, 0], [-362, 214], [44, -32], [2, -8]], [[0, 0], [988, 434], [-8, 30], [120, 90]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -24], [-8, 4], [0, 0]], [[0, 0], [50, 96], [20, -18], [10, 10]], [[0, 0], [-42, 102], [48, -36], [2, 8]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[0, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 92], [12, -2], [0, 0]], [[0, 0], [662, -50], [-8, 40], [-6, -8]], [[0, 0], [8880, -3168], [-408, 544], [-16, -80]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 36], [4, 6], [0, 0]], [[0, 0], [194, -470], [0, -68], [-10, 8]], [[0, 0], [1956, 2000], [440, 380], [4, -12]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -8], [-12, 4], [0, 0]], [[0, 0], [-164, -57], [-36, 6], [2, -1]], [[0, 0], [-40, -20], [-8, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -8], [-20, 12], [0, 0]], [[0, 0], [100, 104], [-76, 68], [-8, 4]], [[0, 0], [144, 103], [8, 10], [-2, -1]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -16], [40, -12], [0, 0]], [[0, 0], [228, 142], [-1920, -1368], [-4, 2]], [[0, 0], [-174, -83], [1296, 936], [8, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 20], [-16, 12], [0, 0]], [[0, 0], [-22, -26], [0, -12], [-6, 0]], [[0, 0], [-4, 3], [-4, 4], [2, -1]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 16], [10, 8], [0, 0]], [[0, 0], [-1, -1], [0, 0], [1, 0]], [[0, 0], [32, -12], [0, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -4], [-6, -2], [0, 0]], [[0, 0], [3, -1], [0, 0], [1, 0]], [[0, 0], [-8, 24], [0, 6], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -12], [6, -10], [0, 0]], [[0, 0], [-1, -1], [0, 0], [1, 0]], [[0, 0], [-40, -12], [-28, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 4], [-2, 8], [0, 0]], [[0, 0], [3, -1], [0, 0], [1, 0]], [[0, 0], [-608, -76], [24, -120], [0, 0]]], 0, 64, [], [] >,
< [ -2, 0, 1 ], [[-384, -128]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [175088/151, -4072/151], [1260/151, -12/151], [0, 0]], [[0, 0], [-29566279/151, -62666202/151], [-227102/151, -453709/151], [-499/151, -1/151]], [[0, 0], [-1770377808/151, -2508832070/151], [-13307324/151, -18232856/151], [-18748/151, -2666/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88668/151, 1250/151], [6960/151, 20/151], [0, 0]], [[0, 0], [-167831180/151, 139175542/151], [12824044/151, -10707228/151], [1300/151, 2/151]], [[0, 0], [54459538486/151, -48772173087/151], [-4152930690/151, 3757232768/151], [-545662/151, -75361/151]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-384, -128]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [79148/151, 1156/151], [-5856/151, 4/151], [0, 0]], [[0, 0], [-97467588/151, 37538683/151], [7310894/151, -2888346/151], [742/151, 3/151]], [[0, 0], [26573460709/151, -7494020136/151], [-1987427694/151, 584152321/151], [-225387/151, -30573/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7924/151, -448/151], [656/151, -12/151], [0, 0]], [[0, 0], [1133302/151, 908138/151], [-70056/151, -70786/151], [1090/151, 4/151]], [[0, 0], [71289280/151, 54893189/151], [-4609826/151, -4152036/151], [56516/151, 7761/151]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-128, -256]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15680/151, -552/151], [1392/151, -4/151], [0, 0]], [[0, 0], [-19681350/151, -5583448/151], [1728068/151, 429194/151], [814/151, 2/151]], [[0, 0], [19125157811/151, 2913269329/151], [-1697808332/151, -191201617/151], [-860655/151, 121728/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21864/151, 1166/151], [-1496/151, -20/151], [0, 0]], [[0, 0], [-5024940/151, 1448877/151], [351618/151, -113508/151], [164/151, 3/151]], [[0, 0], [-125838524/151, 57107792/151], [8926048/151, -4264952/151], [3604/151, -748/151]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[-128, -256]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59096/151, -396/151], [-472/151, -16/151], [0, 0]], [[0, 0], [28726900/151, -9286127/151], [225822/151, -67758/151], [138/151, -3/151]], [[0, 0], [-202040191/151, 83168041/151], [-1580000/151, 619591/151], [-905/151, 128/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7900/151, 406/151], [-840/151, -8/151], [0, 0]], [[0, 0], [-93522/151, -30642/151], [25616/151, 1242/151], [998/151, -2/151]], [[0, 0], [1866172/151, 393753/151], [-553598/151, 48754/151], [-21868/151, 3003/151]]], 0, 3072, [], [] >,
< [ -2, 0, 1 ], [[48, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 2], [0, -6], [0, 0]], [[13, 9/2], [1033/14, -1065/14], [98, -47/2], [43/42, 5/42]], [[165, 275/2], [-1435/2, 125/2], [310, 1263/2], [55/6, 55/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -10], [6, 0], [0, 0]], [[-6, -1], [411/7, 11/7], [22, -31], [-11/21, 1/21]], [[-33, -77/2], [3175/14, 4857/14], [-282, 35/2], [-55/42, -121/42]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[384, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -36], [-24, -16], [0, 0]], [[0, 0], [-358, 270], [28, 0], [-6, 4]], [[0, 0], [-2, 3], [-4, -2], [0, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-228, 48], [-8, 20], [0, 0]], [[0, 0], [-834, 8994], [-1644, 192], [6, 0]], [[0, 0], [5620/7, 294117/7], [-53344/7, 3310/7], [198/7, 11/7]]], 0, 5120, [], [] >,
< [ -2, 0, 1 ], [[384, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144, 0], [16, -20], [0, 0]], [[0, 0], [-748, 1055], [-380, 220], [2, 1]], [[0, 0], [-804, 612], [-260, 180], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, 60], [4, 4], [0, 0]], [[0, 0], [6220/7, -6537/7], [72/7, 60/7], [6/7, 5/7]], [[0, 0], [192, -132], [0, 0], [0, 0]]], 0, 5120, [], [] >,
< [ -2, 0, 1 ], [[144, 0]], [ -24, 15 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 6], [8, 0], [0, 0]], [[2, 1], [141/7, 75/7], [34, 25], [3/7, 1/7]], [[0, 1/2], [9/14, 19/7], [5, 7/2], [-1/14, 1/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -6], [2, -2], [0, 0]], [[8, 3], [219/7, 80/7], [18, 1], [13/7, 2/7]], [[117, 169/2], [6353/14, 4591/14], [182, 273/2], [299/14, 221/14]]], 1, 640, [], [] >,
< [ -2, 0, 1 ], [[1152, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -12], [72, 36], [0, 0]], [[0, 0], [148, -113], [168, -54], [-2, 5]], [[0, 0], [28, -234], [1320, 732], [60, 50]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-372, -144], [-48, -60], [0, 0]], [[0, 0], [112598/7, 234429/7], [73764/7, 18378/7], [-48/7, -5/7]], [[0, 0], [-42236/7, -180505/7], [-56664/7, -7194/7], [38/7, -1/7]]], 0, 40960, [], [] >,
< [ -2, 0, 1 ], [[1152, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -84], [-60, -48], [0, 0]], [[0, 0], [-846, 603], [-48, 60], [0, 3]], [[0, 0], [854, -590], [132, 0], [10, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [552, -36], [24, 0], [0, 0]], [[0, 0], [59154, 1342], [2868, 240], [10, 0]], [[0, 0], [-8041466/7, -81961/7], [-389280/7, -27768/7], [-1360/7, 17/7]]], 0, 40960, [], [] >,
< [ -2, 0, 1 ], [[128, 640]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7760, 12], [56, 0], [0, 0]], [[0, 0], [7741868659/151, -2889674991/151], [55931232/151, -20939513/151], [-335/151, -4/151]], [[0, 0], [2849185969788/151, 221661188104/151], [20554978692/151, 1567376700/151], [-182676/151, -79248/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2912, 6], [224, 0], [0, 0]], [[0, 0], [867412/151, -75054345/151], [-55550/151, 5772238/151], [1044/151, 3/151]], [[0, 0], [-5923391142/151, -6865468056/151], [456578908/151, 528451934/151], [96222/151, 42028/151]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[128, 640]], [ -46, 1 ], [ -13, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [147448/151, -3176/151], [-11528/151, 12/151], [0, 0]], [[0, 0], [530708459/151, -641054676/151], [-39461998/151, 49313443/151], [683/151, 5/151]], [[0, 0], [-19489004780/151, -389719692952/151], [2785905360/151, 30532706232/151], [648824/151, 281992/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80888/151, 406/151], [-6408/151, -8/151], [0, 0]], [[0, 0], [-176460418/151, -22806423/151], [13978326/151, 1752958/151], [1070/151, -3/151]], [[0, 0], [143698667126/151, 72971564442/151], [-11348876540/151, -5741178546/151], [-781218/151, -339066/151]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[1152, 512]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-243460/151, 2312/151], [18960/151, 8/151], [0, 0]], [[0, 0], [-1624115725/151, 1294751523/151], [124513372/151, -99596573/151], [545/151, -2/151]], [[0, 0], [5517181141249/151, -3294552486066/151], [-424651391846/151, 252377420471/151], [317185/151, 1365199/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [574452/151, -802/151], [-44328/151, -8/151], [0, 0]], [[0, 0], [1025390398/151, -511551973/151], [-79013850/151, 39348514/151], [1162/151, 1/151]], [[0, 0], [128045176574/151, -146862065722/151], [-9844158516/151, 11319323814/151], [-42042/151, -187278/151]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[1152, 512]], [ -46, -1 ], [ -13, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1622464/151, 3364/151], [-11792/151, 20/151], [0, 0]], [[0, 0], [-36017553981/151, 4505160016/151], [-261747970/151, 32644855/151], [223/151, 5/151]], [[0, 0], [897549501096/151, -14023096124548/151], [6446793964/151, -101916234528/151], [20672/151, 89284/151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [135344/151, 1010/151], [-10504/151, -8/151], [0, 0]], [[0, 0], [-1321466/151, -944973/151], [74146/151, 74932/151], [-2278/151, -3/151]], [[0, 0], [-9808712104/151, -6879804921/151], [746446806/151, 408428482/151], [-2356792/151, -10196643/151]]], 0, 24576, [], [] >,
< [ -2, 0, 1 ], [[0, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -22], [-4, -3], [0, 0]], [[0, 1/2], [-1, 2], [0, 1/2], [1, 0]], [[0, 0], [12, -8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -2], [-4, -5], [0, 0]], [[0, 1/2], [1, 2], [1, 1/2], [1, 0]], [[0, 0], [-8, -6], [-4, -3], [0, 0]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, -120], [-8, -16], [0, 0]], [[0, 0], [-266, 142], [-60, 34], [2, -4]], [[0, 0], [-2, -4], [-4, -2], [-2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -60], [12, 4], [0, 0]], [[0, 0], [-118, 84], [-36, 14], [2, -6]], [[0, 0], [-264, 196], [-92, 24], [0, -16]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -8], [16, 20], [0, 0]], [[0, 0], [3566, -1546], [132, 846], [10, 0]], [[0, 0], [-8188, 4420], [404, -1604], [-20, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 88], [0, 4], [0, 0]], [[0, 0], [-1790, -494], [-84, -38], [-10, 0]], [[0, 0], [84, 1320], [28, 56], [-4, 8]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 52], [40, -12], [0, 0]], [[0, 0], [984, 1038], [564, 64], [-4, 6]], [[0, 0], [2226, 1930], [908, 294], [-2, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -20], [-24, -20], [0, 0]], [[0, 0], [850, -652], [64, -142], [2, 6]], [[0, 0], [5018, -3634], [644, -618], [-10, 20]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 20], [-16, 20], [0, 0]], [[0, 0], [-218, -152], [-48, -22], [6, 2]], [[0, 0], [112, 62], [84, -32], [-12, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 4], [-24, -4], [0, 0]], [[0, 0], [-1518, 1526], [756, -850], [-2, -4]], [[0, 0], [-5926, 7306], [2796, -4146], [-18, -24]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 56], [8, 8], [0, 0]], [[0, 0], [-462, 351], [-6, 10], [-4, 5]], [[0, 0], [30, 21], [6, 4], [4, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 16], [16, 4], [0, 0]], [[0, 0], [0, -73], [38, -42], [-6, -5]], [[0, 0], [-140, 41], [-102, 60], [-6, -3]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 36], [0, 10], [0, 0]], [[0, 0], [-102, 95], [-86, 64], [4, -3]], [[0, 0], [-48, -32], [-8, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -20], [8, -2], [0, 0]], [[0, 0], [-834, -371], [66, 4], [4, -1]], [[0, 0], [1012, 1634], [40, -152], [8, -10]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 48], [0, 8], [0, 0]], [[0, 0], [-250, -158], [-52, 4], [-6, 4]], [[0, 0], [128, 92], [8, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 32], [-8, 0], [0, 0]], [[0, 0], [-94, 192], [44, 56], [2, 2]], [[0, 0], [-72, 28], [-16, -4], [0, 0]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -116], [4, -16], [0, 0]], [[0, 0], [652, -356], [96, -56], [4, 0]], [[0, 0], [2, 4], [0, 0], [2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 60], [-20, -20], [0, 0]], [[0, 0], [1382, -894], [-176, 96], [10, -4]], [[0, 0], [24, -404], [60, 92], [-8, -8]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, 48], [16, 8], [0, 0]], [[0, 0], [-1298, 892], [48, -28], [-10, -10]], [[0, 0], [400, -248], [-20, 4], [16, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -76], [12, -4], [0, 0]], [[0, 0], [764, 670], [-60, -12], [0, -10]], [[0, 0], [-6, 0], [0, 0], [2, -2]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 36], [20, 20], [0, 0]], [[0, 0], [-62, 44], [16, 24], [10, 10]], [[0, 0], [284, -200], [48, -24], [12, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 56], [0, 4], [0, 0]], [[0, 0], [-222, 12], [-44, -24], [10, -2]], [[0, 0], [184, 1828], [476, 408], [16, -80]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -36], [4, 8], [0, 0]], [[0, 0], [306, -198], [-16, 24], [-2, -8]], [[0, 0], [-554, 126], [-96, -112], [90, 72]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, -84], [20, -20], [0, 0]], [[0, 0], [-418, -190], [-60, -36], [10, -8]], [[0, 0], [540, 332], [84, 56], [-4, 4]]], 0, 8192, [], [] >,
< [ -2, 0, 1 ], [[0, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 4], [-10, 10], [0, 0]], [[0, 0], [-33, -31/2], [44, -33], [2, 3/2]], [[0, 0], [-4, 4], [40, -28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -16], [-2, 10], [0, 0]], [[0, 0], [2357, 3], [-1476, -34], [3, 2]], [[0, 0], [29966, -39175/2], [-18230, 11857], [5, 1/2]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 8], [4, 8], [0, 0]], [[0, 0], [-1, -1], [2, 0], [1, 0]], [[0, 0], [4, -8], [-12, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -4], [4, -12], [0, 0]], [[0, 0], [-1, -1], [2, 2], [1, 0]], [[0, 0], [-16, -48], [60, 12], [0, 0]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[0, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 12], [2, 2], [0, 0]], [[0, 0], [12, 1/2], [0, 0], [-1, 1/2]], [[0, 0], [-4, 0], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -8], [6, 10], [0, 0]], [[0, 0], [-30, -471/2], [264, -24], [-3, 1/2]], [[0, 0], [1050, -265/2], [336, -624], [-5, 15/2]]], 1, 16, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -20], [0, 12], [0, 0]], [[0, 0], [-1, -1], [0, 0], [1, 0]], [[0, 0], [0, 32], [4, -20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -16], [-16, -12], [0, 0]], [[0, 0], [-1, -1], [0, 2], [1, 0]], [[0, 0], [176, -132], [12, -16], [0, 0]]], 0, 128, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -44], [-20, 2], [0, 0]], [[0, 0], [-1974, -51], [-1288, 736], [8, -5]], [[0, 0], [9212, 6644], [1012, 874], [-4, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -20], [16, -10], [0, 0]], [[0, 0], [164, 117], [4, -8], [10, 5]], [[0, 0], [-108, -78], [-12, 12], [-8, -2]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -36], [4, 2], [0, 0]], [[0, 0], [-44, 33], [0, 0], [10, -3]], [[0, 0], [-312, 216], [0, 0], [40, -40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 12], [-16, 10], [0, 0]], [[0, 0], [2542, 1790], [84, 58], [2, 4]], [[0, 0], [6, -3], [0, 0], [-4, 3]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -28], [-16, 2], [0, 0]], [[0, 0], [1296, 625], [180, 300], [-10, 1]], [[0, 0], [5904, 2002], [300, 1500], [-60, 18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, -24], [16, 8], [0, 0]], [[0, 0], [172, -103], [8, -2], [2, 5]], [[0, 0], [-6, -5], [0, 0], [-4, -3]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 28], [-4, 2], [0, 0]], [[0, 0], [18, 42], [0, 0], [-2, 0]], [[0, 0], [-190, -187], [0, 0], [8, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 52], [12, 2], [0, 0]], [[0, 0], [282, 113], [96, -36], [0, -5]], [[0, 0], [-464, -110], [-216, 108], [-4, 10]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112, 48], [4, 8], [0, 0]], [[0, 0], [236, -203], [-48, 30], [2, 1]], [[0, 0], [-152, 96], [24, -18], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 24], [-8, -2], [0, 0]], [[0, 0], [36, -19], [60, -40], [10, -3]], [[0, 0], [-24, 8], [-36, 22], [-8, 0]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -24], [16, 4], [0, 0]], [[0, 0], [-2, -11], [-8, -4], [-4, -1]], [[0, 0], [-12, -15], [-16, -10], [-6, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, 0], [-20, 4], [0, 0]], [[0, 0], [116, 280], [0, -54], [-4, -4]], [[0, 0], [408, -259], [-108, 72], [-2, 1]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 56], [16, 10], [0, 0]], [[0, 0], [-66, 62], [28, -18], [-6, 0]], [[0, 0], [-92, 77], [36, -24], [-6, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -40], [-4, 6], [0, 0]], [[0, 0], [60, 76], [-24, 14], [4, 0]], [[0, 0], [228, 117], [24, -24], [2, 5]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, -8], [4, -4], [0, 0]], [[0, 0], [3842, 2685], [-92, -68], [8, -5]], [[0, 0], [4998, 3450], [-116, -90], [18, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -24], [0, -10], [0, 0]], [[0, 0], [84, 61], [48, 32], [2, -3]], [[0, 0], [-52, -40], [-32, -20], [-4, 4]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 32], [-20, 10], [0, 0]], [[0, 0], [3, -1], [2, 1], [1, 0]], [[0, 0], [24, 24], [-32, -20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 24], [4, 10], [0, 0]], [[0, 0], [3, 3], [2, 1], [1, 0]], [[0, 0], [-40, 8], [-132, 88], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 40], [-16, -2], [0, 0]], [[0, 0], [-1, -1], [2, 1], [1, 0]], [[0, 0], [-8, 32], [-24, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 16], [16, -4], [0, 0]], [[0, 0], [-1, 3], [2, 1], [1, 0]], [[0, 0], [0, 0], [-8, 6], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 4], [-20, 20], [0, 0]], [[0, 0], [12, -3], [6, 20], [-6, 5]], [[0, 0], [6, 3], [34, 26], [0, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 48], [8, 8], [0, 0]], [[0, 0], [4, -69], [-34, 8], [-2, -1]], [[0, 0], [-24, 20], [12, -8], [0, 0]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 4], [0, -12], [0, 0]], [[0, 0], [164, -107], [74, -56], [2, 1]], [[0, 0], [104, -84], [56, -36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -24], [16, -16], [0, 0]], [[0, 0], [112, 118], [-12, 36], [-4, 2]], [[0, 0], [-252, -145], [-58, -4], [-2, 3]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -16], [8, -6], [0, 0]], [[0, 0], [3, -1], [0, 1], [1, 0]], [[0, 0], [24, 16], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 16], [16, 2], [0, 0]], [[0, 0], [3, 3], [0, 1], [1, 0]], [[0, 0], [0, 0], [-8, -6], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 40], [20, -2], [0, 0]], [[0, 0], [-1, -1], [0, 1], [1, 0]], [[0, 0], [120, 600], [320, 64], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -32], [-4, -6], [0, 0]], [[0, 0], [-1, 3], [0, 1], [1, 0]], [[0, 0], [-24, 8], [-8, 4], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 28], [-4, 4], [0, 0]], [[0, 0], [44, 10], [-4, -8], [-8, -2]], [[0, 0], [-2, 15], [-6, 0], [0, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, -80], [-8, -16], [0, 0]], [[0, 0], [-64, 35], [66, -46], [2, 3]], [[0, 0], [50, -27], [-50, 36], [0, -1]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -28], [-24, 4], [0, 0]], [[0, 0], [-878, -550], [-344, -2], [-10, 4]], [[0, 0], [620, 433], [142, 82], [2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -16], [24, 8], [0, 0]], [[0, 0], [-16, -5], [18, -2], [-6, -1]], [[0, 0], [-32, 12], [72, -44], [-16, 8]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -4], [4, -10], [0, 0]], [[0, 0], [65, 31/2], [-142, -139], [-2, -3/2]], [[0, 0], [44, -28], [44, -44], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -16], [-20, -8], [0, 0]], [[0, 0], [-333, 539/2], [160, -5], [-4, 1/2]], [[0, 0], [1717, -1177/2], [1108, 1205], [-22, -55/2]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 4], [-16, 0], [0, 0]], [[0, 0], [-35, 15/2], [60, -29], [-2, -3/2]], [[0, 0], [-16, 12], [36, -26], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 20], [12, -8], [0, 0]], [[0, 0], [-275, -173], [-14, -4], [-5, 2]], [[0, 0], [-194, -273/2], [-8, -5], [-1, -1/2]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 44], [-20, 10], [0, 0]], [[0, 0], [-1, 3], [2, 0], [1, 0]], [[0, 0], [0, 32], [-12, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 28], [0, 10], [0, 0]], [[0, 0], [3, -1], [2, 0], [1, 0]], [[0, 0], [-24, 0], [-8, 0], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 16], [12, 6], [0, 0]], [[0, 0], [-1, 3], [2, 0], [1, 0]], [[0, 0], [-8, 8], [4, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -24], [0, -10], [0, 0]], [[0, 0], [3, 3], [2, 0], [1, 0]], [[0, 0], [56, 0], [24, 4], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 4], [-16, 6], [0, 0]], [[0, 0], [-1, -1], [2, 0], [1, 0]], [[0, 0], [-32, -16], [20, 40], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 0], [-16, 0], [0, 0]], [[0, 0], [3, 3], [2, 0], [1, 0]], [[0, 0], [0, -4], [0, -2], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 40], [4, 8], [0, 0]], [[0, 0], [-1, -1], [2, 0], [1, 0]], [[0, 0], [32, -8], [12, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 16], [-4, -10], [0, 0]], [[0, 0], [3, -1], [2, 0], [1, 0]], [[0, 0], [-120, 24], [80, -20], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 36], [-40, -4], [0, 0]], [[0, 0], [400, -313], [308, -194], [-6, 3]], [[0, 0], [144, -9], [4, -74], [2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -40], [-24, -16], [0, 0]], [[0, 0], [986, -648], [-28, 60], [2, 2]], [[0, 0], [2510, -1823], [-180, 86], [-4, -1]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -12], [0, 40], [0, 0]], [[0, 0], [12, -33], [-4, 114], [-10, 3]], [[0, 0], [-84, -185], [532, 730], [-50, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 16], [-8, 40], [0, 0]], [[0, 0], [-1066, -1861], [-4364, 1030], [-8, -3]], [[0, 0], [-428, -393], [-624, -106], [-2, -1]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 4], [-4, -4], [0, 0]], [[0, 0], [431, -805/2], [94, -18], [4, 5/2]], [[0, 0], [-7118, 5157], [-904, 578], [-8, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 20], [16, -6], [0, 0]], [[0, 0], [282, 317/2], [16, 48], [5, -3/2]], [[0, 0], [668, 274], [-40, 152], [20, -10]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 0], [0, -4], [0, 0]], [[0, 0], [16, 13/2], [4, 4], [3, -3/2]], [[0, 0], [7, 8], [4, 2], [-1, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 16], [-16, 6], [0, 0]], [[0, 0], [-131, -127/2], [18, 56], [4, 3/2]], [[0, 0], [-329, -33/2], [-150, 216], [12, -3/2]]], 1, 32, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -24], [-4, 8], [0, 0]], [[0, 0], [-1, 3], [0, 0], [1, 0]], [[0, 0], [-56, -12], [20, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 60], [8, 10], [0, 0]], [[0, 0], [3, 3], [0, 0], [1, 0]], [[0, 0], [680, -252], [100, -30], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 16], [4, 8], [0, 0]], [[0, 0], [-1, 3], [0, 0], [1, 0]], [[0, 0], [192, -48], [-40, 50], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -32], [20, 6], [0, 0]], [[0, 0], [3, -1], [0, 0], [1, 0]], [[0, 0], [216, -360], [256, -96], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -4], [-20, 2], [0, 0]], [[0, 0], [-1, -1], [0, 0], [1, 0]], [[0, 0], [-72, 660], [-68, 170], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 8], [-20, -8], [0, 0]], [[0, 0], [3, -1], [0, 0], [1, 0]], [[0, 0], [-88, 60], [-60, 50], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[0, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 32], [16, 8], [0, 0]], [[0, 0], [-1, -1], [0, 0], [1, 0]], [[0, 0], [64, -64], [-16, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -8], [-4, -8], [0, 0]], [[0, 0], [3, 3], [0, 0], [1, 0]], [[0, 0], [0, 0], [-4, -2], [0, 0]]], 0, 256, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144, 88], [16, 16], [0, 0]], [[0, 0], [34, -62], [-20, 8], [6, -4]], [[0, 0], [300, 265], [64, 32], [-6, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 24], [-8, 4], [0, 0]], [[0, 0], [194, 107], [32, 16], [-4, -3]], [[0, 0], [16, -20], [4, -4], [0, 0]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 28], [-4, 0], [0, 0]], [[0, 0], [-64, -14], [0, 0], [-4, 2]], [[0, 0], [-24, -3], [0, 0], [-2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, 12], [12, -16], [0, 0]], [[0, 0], [-282, 555], [168, -84], [8, 1]], [[0, 0], [448, 1010], [224, -28], [20, 10]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, -36], [-4, -4], [0, 0]], [[0, 0], [-22, -32], [0, 0], [10, -2]], [[0, 0], [122, -167], [0, 0], [104, -65]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -36], [-12, 4], [0, 0]], [[0, 0], [-100, -56], [-88, -64], [-4, -4]], [[0, 0], [100, -55], [0, 16], [-6, 5]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 12], [-12, -12], [0, 0]], [[0, 0], [-128, -90], [-84, -60], [4, 2]], [[0, 0], [8, 5], [4, 4], [-2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 36], [12, -12], [0, 0]], [[0, 0], [634, 487], [28, -68], [4, 1]], [[0, 0], [-2176, -1127], [760, -400], [6, -15]]], 0, 2048, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 12], [-8, 8], [0, 0]], [[0, 0], [-723, -791/2], [65, 89], [0, 3/2]], [[0, 0], [787, 1611/2], [-209, -55], [-4, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 12], [12, -4], [0, 0]], [[0, 0], [-310, -605/2], [19, -78], [-5, -5/2]], [[0, 0], [114, -249], [242, -192], [-4, 1]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -60], [-20, 12], [0, 0]], [[0, 0], [-1, -1], [2, -1], [1, 0]], [[0, 0], [-600, -296], [16, -40], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -12], [-20, -8], [0, 0]], [[0, 0], [-1, 3], [2, -1], [1, 0]], [[0, 0], [-24, -16], [0, -32], [0, 0]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -12], [-32, 8], [0, 0]], [[0, 0], [-1, -1], [2, -1], [1, 0]], [[0, 0], [-16, -4], [-40, 20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -4], [8, 20], [0, 0]], [[0, 0], [-1, -1], [-2, -1], [1, 0]], [[0, 0], [0, 0], [-8, 4], [0, 0]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -20], [8, 6], [0, 0]], [[0, 0], [-88, 46], [4, 0], [4, 2]], [[0, 0], [323, -441/2], [-9, 5], [-4, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 0], [12, -2], [0, 0]], [[0, 0], [119, 273/2], [-35, -59], [2, 3/2]], [[0, 0], [-56, 36], [36, -24], [0, 0]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -20], [20, 8], [0, 0]], [[0, 0], [-137, 319/2], [-117, 28], [-4, -3/2]], [[0, 0], [514, -422], [276, -144], [6, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -20], [-12, 4], [0, 0]], [[0, 0], [-75, 417/2], [117, -24], [4, 3/2]], [[0, 0], [18, 963/2], [269, -1], [11, 11/2]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 16], [0, 20], [0, 0]], [[0, 0], [-1, -1], [0, -1], [1, 0]], [[0, 0], [-48, -20], [-60, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 52], [20, -8], [0, 0]], [[0, 0], [-1, 3], [0, -1], [1, 0]], [[0, 0], [-56, -16], [0, -8], [0, 0]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -12], [-16, 8], [0, 0]], [[0, 0], [-1, -1], [0, -1], [1, 0]], [[0, 0], [0, 0], [-16, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -20], [8, -16], [0, 0]], [[0, 0], [-1, -1], [4, -1], [1, 0]], [[0, 0], [0, 4], [-16, 12], [0, 0]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -8], [16, -2], [0, 0]], [[0, 0], [-17, 282], [90, -123], [-5, -1]], [[0, 0], [-428, 6517/2], [1139, -1455], [-57, -19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 20], [8, -6], [0, 0]], [[0, 0], [-7, 0], [2, -1], [1, -1]], [[0, 0], [-7, -9/2], [3, 2], [-2, -3/2]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 36], [-4, -16], [0, 0]], [[0, 0], [-1, 3], [2, 2], [1, 0]], [[0, 0], [-488, 512], [160, -200], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, 20], [20, 8], [0, 0]], [[0, 0], [3, 3], [2, 0], [1, 0]], [[0, 0], [80, -4], [28, 0], [0, 0]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 4], [-24, 4], [0, 0]], [[0, 0], [-1, -1], [-2, 2], [1, 0]], [[0, 0], [-552, -92], [-320, -32], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -20], [32, -8], [0, 0]], [[0, 0], [3, -1], [-2, 0], [1, 0]], [[0, 0], [96, 24], [-80, -100], [0, 0]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -4], [4, -6], [0, 0]], [[0, 0], [8, -31/2], [8, -1], [-5, 1/2]], [[0, 0], [-36, 6], [0, 10], [0, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 12], [-8, -10], [0, 0]], [[0, 0], [-855, 403], [-230, 262], [-1, 2]], [[0, 0], [239, -1349/2], [428, -53], [4, 1/2]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 4], [-16, 8], [0, 0]], [[0, 0], [5, 9/2], [-10, -7], [-4, -1/2]], [[0, 0], [2, 3/2], [-4, -3], [-1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -20], [0, -10], [0, 0]], [[0, 0], [64, -115/2], [78, -55], [3, 1/2]], [[0, 0], [-160, 44], [-120, 84], [8, 8]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 8], [8, 20], [0, 0]], [[0, 0], [-1, 3], [2, 0], [1, 0]], [[0, 0], [16, 20], [60, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 0], [-16, 8], [0, 0]], [[0, 0], [3, 3], [2, 2], [1, 0]], [[0, 0], [16, 20], [4, -8], [0, 0]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 12], [0, 20], [0, 0]], [[0, 0], [-1, -1], [-2, 0], [1, 0]], [[0, 0], [0, 0], [-16, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -4], [24, -12], [0, 0]], [[0, 0], [3, -1], [-2, 2], [1, 0]], [[0, 0], [-48, -24], [-24, -4], [0, 0]]], 0, 512, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -20], [8, -6], [0, 0]], [[0, 0], [103, 167/2], [8, 1], [4, 1/2]], [[0, 0], [-301, -370], [-66, 22], [-33, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -20], [8, -10], [0, 0]], [[0, 0], [675, 311/2], [326, -123], [-4, 5/2]], [[0, 0], [12438, 8492], [2312, 1302], [-10, -2]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -12], [16, -2], [0, 0]], [[0, 0], [-126, 111], [-48, 62], [-4, 1]], [[0, 0], [-87, -101/2], [-108, -71], [6, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -12], [-4, -8], [0, 0]], [[0, 0], [2, 19/2], [-12, 1], [-1, -5/2]], [[0, 0], [2, -11], [16, -4], [0, 3]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[0, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, -64], [-20, -20], [0, 0]], [[0, 0], [-116, -70], [-32, -12], [-8, -2]], [[0, 0], [-10, 9], [-8, 6], [-4, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 32], [12, -16], [0, 0]], [[0, 0], [-16, 111], [124, 46], [2, 3]], [[0, 0], [-12, -7], [4, 2], [2, 1]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[0, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, 40], [-16, 20], [0, 0]], [[0, 0], [-592, 317], [-152, 142], [-10, 5]], [[0, 0], [176, 82], [-36, -40], [4, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 56], [-20, 8], [0, 0]], [[0, 0], [-406, -2315], [768, 26], [-8, -1]], [[0, 0], [-4928, -18935], [6252, 482], [-66, -11]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[0, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 72], [-4, 16], [0, 0]], [[0, 0], [548, 1169], [-376, 450], [10, 5]], [[0, 0], [-1768, 34], [-932, 516], [-4, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 40], [20, 20], [0, 0]], [[0, 0], [-46, -34], [-44, -40], [-2, -4]], [[0, 0], [-16, 5], [-12, 2], [-2, 1]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[0, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 32], [20, -8], [0, 0]], [[0, 0], [742, 386], [920, 688], [10, 4]], [[0, 0], [-2780, 299], [-1300, -1530], [-50, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 40], [20, -8], [0, 0]], [[0, 0], [-500, 275], [120, -134], [-10, 3]], [[0, 0], [1020, 482], [476, 420], [48, 30]]], 0, 4096, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 4], [0, -10], [0, 0]], [[0, 0], [-221, -77/2], [-26, -90], [-4, 5/2]], [[0, 0], [-335, -219], [-172, -132], [-1, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 20], [12, 6], [0, 0]], [[0, 0], [14, -213/2], [-72, -42], [3, -5/2]], [[0, 0], [-136, -27], [-80, -62], [-2, 1]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -16], [-4, -6], [0, 0]], [[0, 0], [-21, -18], [-12, -10], [-1, -1]], [[0, 0], [-1, 1/2], [6, -4], [-2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [4, 10], [0, 0]], [[0, 0], [109, -1], [-44, -132], [3, -2]], [[0, 0], [-710, -911/2], [1408, 1056], [-3, 1/2]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -12], [-20, 6], [0, 0]], [[0, 0], [-2025, -907], [-1088, 224], [-3, -2]], [[0, 0], [8696, -14245/2], [17600, -12672], [1, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -16], [4, -6], [0, 0]], [[0, 0], [-3, 45/2], [2, 2], [-4, -1/2]], [[0, 0], [-128, 46], [-8, -2], [-4, 10]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -20], [-16, 6], [0, 0]], [[0, 0], [139, 105], [52, 34], [1, -2]], [[0, 0], [-365, -505/2], [-124, -90], [4, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -4], [-16, -8], [0, 0]], [[0, 0], [16, 47/2], [-54, -22], [5, -5/2]], [[0, 0], [6, -14], [28, -2], [-6, 4]]], 1, 64, [], [] >,
< [ -2, 0, 1 ], [[1024, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 0], [40, -4], [0, 0]], [[0, 0], [-48, 82], [-16, 20], [4, -6]], [[0, 0], [-10, -2], [0, 0], [2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -24], [16, 12], [0, 0]], [[0, 0], [-236, 174], [0, 0], [-8, 2]], [[0, 0], [54, -42], [0, 0], [2, 0]]], 0, 32768, [], [] >,
< [ -2, 0, 1 ], [[1024, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, 8], [24, 12], [0, 0]], [[0, 0], [-422, 700], [-64, -96], [-6, 2]], [[0, 0], [420, 18], [-88, -48], [0, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 40], [-24, 20], [0, 0]], [[0, 0], [-54, -10], [8, 24], [6, 4]], [[0, 0], [8, -8], [8, -4], [0, 0]]], 0, 32768, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -24], [4, -12], [0, 0]], [[0, 0], [-5, -1], [2, -1], [1, 0]], [[0, 0], [0, 0], [-12, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, -24], [-8, -16], [0, 0]], [[0, 0], [-5, 3], [2, -1], [1, 0]], [[0, 0], [96, -24], [-12, -20], [0, 0]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 4], [-4, -12], [0, 0]], [[0, 0], [-5, 745], [-542, -17], [-3, -2]], [[0, 0], [10570, -15497/2], [5371, -3650], [3, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -8], [20, 12], [0, 0]], [[0, 0], [53, -97], [-22, 57], [-5, -2]], [[0, 0], [628, -773/2], [-345, 204], [-3, 15/2]]], 1, 128, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 32], [12, -12], [0, 0]], [[0, 0], [-5, -1], [0, -1], [1, 0]], [[0, 0], [-16, -8], [8, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, 40], [-8, -4], [0, 0]], [[0, 0], [-5, 3], [0, -1], [1, 0]], [[0, 0], [32, -32], [-4, -4], [0, 0]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -4], [12, 16], [0, 0]], [[0, 0], [-6, 2], [-4, -2], [-2, 0]], [[0, 0], [-1, 3/2], [-1, 2], [0, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -16], [-12, 12], [0, 0]], [[0, 0], [28, 5], [-58, 46], [2, 1]], [[0, 0], [24, 57/2], [55, -29], [3, 5/2]]], 1, 128, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -32], [20, -12], [0, 0]], [[0, 0], [7, 3], [2, 2], [1, 0]], [[0, 0], [8, 8], [4, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -64], [4, -20], [0, 0]], [[0, 0], [-5, 3], [2, 0], [1, 0]], [[0, 0], [-48, -120], [-64, -64], [0, 0]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -4], [16, -20], [0, 0]], [[0, 0], [16, -3547/2], [1668, -547], [-1, 5/2]], [[0, 0], [-9034, -4654], [1616, 2820], [10, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 8], [-20, 8], [0, 0]], [[0, 0], [-55, 219/2], [244, -189], [-2, -3/2]], [[0, 0], [-160, 140], [432, -312], [0, 0]]], 1, 128, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -16], [-20, 12], [0, 0]], [[0, 0], [7, -1], [2, 2], [1, 0]], [[0, 0], [320, 168], [40, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 8], [-12, -12], [0, 0]], [[0, 0], [-5, -1], [2, 0], [1, 0]], [[0, 0], [-24, 0], [-4, -4], [0, 0]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -4], [16, -4], [0, 0]], [[0, 0], [7, 11/2], [10, 15], [-4, -3/2]], [[0, 0], [2, 3/2], [4, 3], [-1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 12], [-16, 16], [0, 0]], [[0, 0], [65, 47], [30, -4], [-1, -2]], [[0, 0], [-54, -67/2], [62, -57], [5, -3/2]]], 1, 128, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -8], [-4, 4], [0, 0]], [[0, 0], [7, 3], [2, 0], [1, 0]], [[0, 0], [-16, -8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -40], [-8, -16], [0, 0]], [[0, 0], [-5, 3], [2, 2], [1, 0]], [[0, 0], [8, -8], [4, -4], [0, 0]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 4], [4, 20], [0, 0]], [[0, 0], [1360, -4043/2], [2282, -309], [-1, 5/2]], [[0, 0], [6907, 1385/2], [-2944, -4783], [-10, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 4], [-8, -4], [0, 0]], [[0, 0], [192, -225/2], [-76, 43], [5, -5/2]], [[0, 0], [87, 12], [-38, -8], [3, 1]]], 1, 128, [], [] >,
< [ -2, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, -8], [-16, 16], [0, 0]], [[0, 0], [7, -1], [2, 0], [1, 0]], [[0, 0], [-72, 16], [-20, 16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 8], [16, -16], [0, 0]], [[0, 0], [-5, -1], [2, 2], [1, 0]], [[0, 0], [-24, -16], [20, 8], [0, 0]]], 0, 1024, [], [] >,
< [ -2, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 4], [4, 16], [0, 0]], [[0, 0], [1377, -1507/2], [-568, 533], [-4, -5/2]], [[0, 0], [3639, -2818], [-2166, 1386], [3, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -8], [4, 0], [0, 0]], [[0, 0], [-48, -23/2], [12, -7], [-1, 5/2]], [[0, 0], [-20, 125/2], [36, -27], [-9, 9/2]]], 1, 128, [], [] >,
< [ -2, 0, 1 ], [[0, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [128, 16], [16, 16], [0, 0]], [[0, 0], [372, 191], [88, 66], [-2, 3]], [[0, 0], [268, 104], [56, 44], [-4, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [192, 88], [32, 20], [0, 0]], [[0, 0], [-8680, 7405], [-380, 482], [-10, 1]], [[0, 0], [-7198, 6538], [-284, 444], [-10, 0]]], 0, 16384, [], [] >,
< [ -2, 0, 1 ], [[0, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 40], [24, -4], [0, 0]], [[0, 0], [-332, -281], [-188, -138], [-2, -5]], [[0, 0], [556, 108], [208, 116], [20, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, -24], [32, -20], [0, 0]], [[0, 0], [-630, -655], [-84, 86], [8, -5]], [[0, 0], [3476, 2516], [-56, -80], [-4, 0]]], 0, 16384, [], [] >,
< [ -3, 0, 1 ], [[-1, 0]], [ -1, 0 ], [ -1, 0 ], [[[-1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[9/2, -1], [15/2, -3/2], [-3/2, 5/2], [-1, 3/2]], [[-60, -12], [-207/2, -23], [-23, -69/2], [-12, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 5/2], [71/4, 27/4], [-5/4, 5/4], [0, 0]], [[-169, 187/2], [146, -86], [-83, 48], [-5/2, -1]], [[802, -486], [-741, 418], [413, -238], [-10, -8]]], 4, 2, [], [[[-1, -1]]] >,
< [ -3, 0, 1 ], [[-13, -7]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[336, 7/2], [139110/167, 229/501], [307/334, 2/501], [198/167, -1/334]], [[201191/2, -57821/2], [42015557/167, -74305489/1002], [46206/167, -40468/501], [59965/167, -106865/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1014, -5/2], [494239/334, 841/501], [-338/167, -5/1002], [0, 0]], [[72800633/2, 7841/2], [-194830728869/3674, 119392599/1837], [12132740/167, 1306/167], [8587/3674, 1/5511]], [[254737911216, -74860317302], [-682537108838587/1837, 603755860171696/5511], [84907751152/167, -74856021590/501], [30047712/1837, -8830848/1837]]], 4, 4, [], [] >,
< [ -3, 0, 1 ], [[-3, -5]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1923/2, 2], [152136/167, 959/1002], [641/334, 2/501], [0, 0]], [[-31234477/2, 3359821/2], [-2471856667/167, 805065341/501], [-10411625/334, 3359825/1002], [-633/334, 1/1002]], [[-15116858885/2, 13674439705/2], [-1199281848618/167, 6498313193509/1002], [-2519500830/167, 6837300085/501], [-112565/167, 759215/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1923/2, 2], [131595/167, 2963/1002], [641/334, 2/501], [0, 0]], [[-56568543/2, -1482063/2], [-7766146069/334, -107893413/167], [-9424531/167, -247011/167], [3/2, 0]], [[-227450621575/2, 138424771425], [-341450586322513/3674, 1252467603774149/11022], [-416819873999/1837, 3044167908739/11022], [12164297/1837, -82825591/11022]]], 3, 6, [], [] >,
< [ -3, 0, 1 ], [[5, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41, -23], [1, 0], [0, 0]], [[-3/2, 1/2], [35, 54], [17, -11], [1/2, -1/2]], [[0, 1/2], [-67, -59/2], [11/2, -2], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-161/2, 83/2], [-9/2, -5/2], [0, 0]], [[-21/2, -2], [42579/22, -12043/11], [-100/11, -29/22], [-19/11, -1/22]], [[165, 99], [1278, -1282], [134, 81], [21, 13]]], 3, 4, [], [] >,
< [ -3, 0, 1 ], [[7, 3]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-2339/2, -4], [-187918/167, -829/501], [-330/167, -5/1002], [-571/334, 1/501]], [[-274360, -162059/2], [-88019019/334, -38802920/501], [-77356/167, -136771/1002], [-66708/167, -58424/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2481/2, 5/2], [-4048495/334, -47941/1002], [827/334, 5/1002], [0, 0]], [[160085013, -157037387/2], [-2865372221546/1837, 8422960318939/11022], [586983644/1837, -1727411285/11022], [2777/3674, -1/3674]], [[-408515630117/2, 141516318105/2], [7318328233203105/3674, -3788829179863484/5511], [-748957143222/1837, 778329351799/5511], [-6240379/3674, -2748103/5511]]], 4, 4, [], [] >,
< [ -3, 0, 1 ], [[-9, -7]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-990, -5/2], [50849/334, -1330/501], [-330/167, -5/1002], [0, 0]], [[-370235/2, -312437/2], [4513305/167, 7835725/334], [-61705/167, -52073/167], [-4/167, 5/1002]], [[-74949, -40936], [1862123/167, 3039083/501], [-24983/167, -40936/501], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[303, -1/2], [-408733/334, 736/501], [101/167, -1/1002], [0, 0]], [[-708584, -2803/2], [5104259004/1837, 76757965/11022], [-2609234/1837, -30779/11022], [-5853/3674, 5/11022]], [[-1295936001/2, -1469163165/2], [4675988225837/1837, 10587963322143/3674], [-2385930352/1837, -2704937351/1837], [-2655594/1837, -6055715/3674]]], 3, 6, [], [] >,
< [ -3, 0, 1 ], [[7, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-101, -87/2], [-1/2, 2], [0, 0]], [[-15/2, 5/2], [4527, 6653/2], [-345/2, 0], [5/2, -5/2]], [[-15/2, -6], [59219/2, 33837/2], [-945/2, -595/2], [-6, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 51/2], [5/2, 1], [0, 0]], [[9, -1], [1500/11, 954/11], [61/11, -21/11], [-17/11, -1/11]], [[3/2, 1], [1307/22, 405/11], [4/11, 5/22], [-4/11, -5/22]]], 3, 4, [], [] >,
< [ -3, 0, 1 ], [[9, 1]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41/4, -11/4], [11/4, 5/4], [0, 0]], [[8386, -1], [5929869/386, 263441/386], [255/2, -145/2], [-7017/5018, -1/15054]], [[319/2, 91], [60766/193, 34669/193], [0, 0], [-267/10036, -457/30108]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [65/4, 29/4], [-11/4, -3/4], [0, 0]], [[29902, -1], [1713106849/4246, -1801651/4246], [86195/22, -277/22], [-13055/55198, 1/165594]], [[29786723, 28302867/2], [1704025769991/4246, 809007976283/4246], [85473485/22, 40519607/22], [-26009635/110396, -37071107/331188]]], 3, 6, [], [] >,
< [ -3, 0, 1 ], [[9, 1]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1/2], [-13/2, -8], [-2, 1/2], [0, 0]], [[-153/2, -83/2], [-31861/193, 66137/1158], [64, -42], [131/193, 1/1158]], [[-1195, -703], [24496/193, -402808/579], [-416, 158], [738/193, 2419/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 2], [-97, 12], [2, 2], [0, 0]], [[4305/2, 57/2], [-44658318/2123, -104970639/4246], [42837/11, 303/11], [2709/2123, 1/4246]], [[1010117/2, 37221], [-25376173519/4246, -38757883154/6369], [20079885/22, 678899/11], [1268257/4246, 231391/12738]]], 3, 6, [], [] >,
< [ -3, 0, 1 ], [[9, 1]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1/2], [32, 18], [1/2, 1], [0, 0]], [[0, -5/2], [-65/2, -53/2], [-5/2, 0], [5/2, -3/2]], [[0, 0], [-5/2, 1], [0, 0], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 0], [664, 55], [0, -2], [0, 0]], [[-21/2, 409], [-101477/11, -498480/11], [4537/11, -145/22], [-16/11, 1/11]], [[25815, 39889/2], [-37098254/11, -53520777/22], [438149/22, 93794/11], [-1449/22, -294/11]]], 3, 6, [], [] >,
< [ -3, 0, 1 ], [[15, 7]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-18, 1/2], [-11/2, 1], [2, -3/2], [-27/52, -3/52]], [[199/2, 62], [85/4, 14], [9/2, 3/2], [95/26, 115/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1], [-24, -22], [1, -1], [0, 0]], [[-153/2, 33], [63205/44, 45197/44], [1016/11, 137/22], [225/286, -1/286]], [[-8254, 4177], [2854877/44, 1328539/22], [81894/11, -25513/22], [38041/572, -2094/143]]], 3, 6, [], [] >,
< [ -3, 0, 1 ], [[15, 7]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1/2], [1/2, 1/2], [-1/2, 1/2], [0, 0]], [[-1363/2, -3], [253405/193, -1625/1158], [1, -1/2], [-634/193, -2/579]], [[-13/2, -9/2], [4775/386, 4982/579], [0, 0], [-6/193, -25/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 2], [-248, -2], [2, -1], [0, 0]], [[-3177, 1017], [-1092791/2, -257399], [4929/2, 5/2], [-1/2, 0]], [[2722167, -2041733/2], [1613791633189/4246, 2122681865111/12738], [-21454314/11, 3639463/22], [840285/2123, -432635/12738]]], 3, 6, [], [] >,
< [ -3, 0, 1 ], [[15, 7]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1/2], [-13, 4], [1/2, 1/2], [0, 0]], [[15, 25/2], [95/2, -157/2], [25/2, 5], [3/2, -5/2]], [[-93/2, -45/2], [207, -1/2], [-45/2, -31/2], [13/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -3/2], [-613, 24], [-3/2, 1/2], [0, 0]], [[15/2, -1103], [-14283679/22, -4342905/22], [-12108/11, 45/22], [25/22, -5/22]], [[-12177, -10455], [-183975941/22, -47072735/11], [-114823/11, -44604/11], [91/11, 45/22]]], 3, 6, [], [] >,
< [ -3, 0, 1 ], [[3, 7]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -3/2], [-50, 9], [-3/2, -5/2], [0, 0]], [[-171, -133/2], [-1727/2, -135/2], [-133/2, -57], [5/2, 3/2]], [[0, 0], [-7/2, 2], [0, 0], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 2], [-1556, 507], [2, -5/2], [0, 0]], [[-219/2, -33985/2], [17050329/22, -36426831/11], [-373889/22, -779/22], [9/11, 3/22]], [[181518, 113999/2], [359936681/11, 91060738/11], [1253913/22, 665622/11], [-46/11, -37/11]]], 3, 4, [], [] >,
< [ -3, 0, 1 ], [[15, 11]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 0], [13, -4], [0, -3/2], [0, 0]], [[21/2, -9/2], [-63/2, 26], [-9/2, 7/2], [-2, 3/2]], [[-15/2, 1], [5, -39/2], [1, -5/2], [1/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -1], [-691, -211], [-1, 5/2], [0, 0]], [[243, -48033/2], [3048564, 5225279/2], [-48031/2, 80], [-1/2, 0]], [[-836274, -184889], [1265096683/11, 614741157/11], [-2034077/11, -3066296/11], [-43/11, -64/11]]], 3, 4, [], [] >,
< [ -3, 0, 1 ], [[0, -5]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-14, -2], [645/52, -115/52], [0, -5/2], [43/260, 1/260]], [[-215/2, -54], [3131/52, 1163/52], [-22, -16], [57/52, 133/260]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -5/2], [-46, -49/2], [-2, -5/2], [0, 0]], [[381, -83/2], [1879343/572, 78383/572], [2559/22, -965/22], [623/2860, 3/2860]], [[13205, 10484], [4213329/26, 2933025/26], [995, 1789], [259/26, 185/26]]], 4, 4, [], [] >,
< [ -3, 0, 1 ], [[-15, -5]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 5/2], [-29/2, 23/3], [3/2, 1/3], [0, 0]], [[241/2, 71], [14944/37, -8655/74], [35/2, 35/2], [153/740, -1/2220]], [[11567/2, 3333], [257741/74, 388970/111], [1162, 1918/3], [3289/740, 2277/740]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -3/2], [15, 7/6], [-1, -1/6], [0, 0]], [[-731/2, 6], [-2633467/814, -10935/407], [0, 2], [-449/8140, 1/24420]], [[3684, 3170], [14134108/407, 11761649/407], [-53, -21], [1178/2035, 992/2035]]], 3, 8, [], [] >,
< [ -3, 0, 1 ], [[17, 11]], [ -351, 21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1], [6, 5/6], [-3/2, 1], [0, 0]], [[4, -5], [-27386/183, -14807/366], [-561/14, -85/14], [-215/2562, -2/1281]], [[-67/2, 64], [138833/61, 289397/366], [1175/2, 145], [72/61, 9/61]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -2], [-20, -85/6], [-5/2, -2], [0, 0]], [[17, -15/2], [43884553/4026, -27923/1342], [-24219/154, -580/77], [2411/28182, 2/14091]], [[-3984, 3456], [3600786965/4026, 5264848045/2013], [-408007/22, -844537/22], [14573/2013, 82745/4026]]], 4, 4, [], [] >,
< [ -3, 0, 1 ], [[-13, -9]], [ -351, -21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 2], [2, 23/6], [2, 5/2], [0, 0]], [[-45/2, -15], [-163/6, -59/6], [-5/2, -53/7], [1/42, 0]], [[0, 0], [148/183, -37/366], [-23/14, 3/14], [-4/1281, 1/2562]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 5/2], [-141/2, -43/3], [5/2, 2], [0, 0]], [[209/2, -4773/2], [-78809125/2013, 88312688/2013], [-372613/154, 2433/154], [-223/28182, 5/28182]], [[27765/2, 6446], [-9236282/61, -2732339/61], [93127/14, 33225/7], [9/427, 13/854]]], 4, 4, [], [] >,
< [ -3, 0, 1 ], [[-1, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [109/2, 1/2], [5/2, 5/2], [0, 0]], [[-6, -5/2], [919/2, -839/2], [-73/2, 5/2], [-5/2, -2]], [[-135/2, 9/2], [52015/2, -15908], [-1015, 957/2], [9/2, -45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2721, -364], [2, -2], [0, 0]], [[39/2, -2], [-206607039/22, -167047487/22], [-216677/22, -207/22], [-37/11, -5/22]], [[2613, -9849], [258819046099/22, 54256828239/11], [2552452/11, 109934433/22], [4623/11, 18827/11]]], 3, 4, [], [] >,
< [ -3, 0, 1 ], [[10, 7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [101, 133/2], [-5/2, -2], [0, 0]], [[6, -3/2], [1820, -1026], [-120, 68], [-3/2, 2]], [[63/2, 14], [1896, -679], [-120, 48], [14, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-794, 207/2], [-1/2, -1], [0, 0]], [[-15/2, 0], [-9599521/22, 5748372/11], [18545/11, -191/22], [15/11, 5/22]], [[-39/2, -16], [4424271/2, 428243], [4332, 7155/2], [5, 7/2]]], 3, 4, [], [] >,
< [ -3, 0, 1 ], [[-7, -7]], [ -147, -7 ], [ -9, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-19/2, -1/2], [-1834/73, 13/438], [2, 1/6], [-33/73, -1/438]], [[495, 693/2], [170977/146, 373675/438], [-221/2, -455/6], [6237/292, 4521/292]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-12467/2, -5/2], [-44564/73, -35/146], [-158908/11, -41/22], [-1420/803, -1/4818]], [[-9884395, -13415907/2], [-70663461/73, -143865995/219], [-251839251/11, -512803645/33], [-9001517/3212, -18329315/9636]]], 4, 4, [], [] >,
< [ -3, 0, 1 ], [[-19, -13]], [ -3321, 33 ], [ -135, -77 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17/3, 1/2], [0, -5/6], [0, 0]], [[-674155/2, -5], [-19036090057/16782, 35899/16782], [-2, 4/3], [-3712885/2450172, -5/2450172]], [[-685288821/2, -232930683/2], [-9675072733817/8391, -3288465824615/8391], [-651, 1993/3], [-629025371/408362, -106900555/204181]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-358/33, -122/33], [15/11, 2/33], [0, 0]], [[-74147/2, -1/2], [-44532079/33, 37311/22], [2415/11, -19145/66], [-1/6, 0]], [[126204605/2, 17317315], [141189173713193/61534, 38607910635109/61534], [360675/11, 4303005/11], [695059715/2450172, 190739635/2450172]]], 4, 6, [], [] >,
< [ -3, 0, 1 ], [[23, 15]], [ -3321, -33 ], [ -159, -91 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -1/2], [-1, 1/2], [0, 0]], [[91026, -3/2], [-8040070405/16782, 119155/16782], [-3, -7/3], [-334215/816724, 1/816724]], [[66579905/2, 14658769], [-490069043196/2797, -215795448124/2797], [-4449/2, -2673/2], [-366693023/2450172, -53823419/816724]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10673/66, 335/66], [-23/22, 5/66], [0, 0]], [[101073, -1], [-79261318655/184602, -2627342440/30767], [16039/22, -19049/33], [-92776/204181, -1/612543]], [[-1525587805/2, -429943780], [12111616767978/2797, 6911211692355/2797], [3728745/2, 2510469/2], [8402312905/2450172, 4735913875/2450172]]], 4, 6, [], [] >,
< [ -3, 0, 1 ], [[-307, -187]], [ -3321, 33 ], [ -135, -77 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5/3, 1/2], [0, 1/6], [0, 0]], [[25997/2, -2], [-58939763/5594, 527/5594], [0, 0], [-34883/33564, -1/11188]], [[6257955/2, 1416685], [-14190676419/5594, -19277411369/16782], [0, 0], [-2799905/11188, -3803855/33564]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1829/66, -35/22], [13/22, 1/66], [0, 0]], [[-19783/2, 2], [-3378839147/184602, -10839875/92301], [-56/11, 175/66], [26545/33564, 1/33564]], [[92, 111/2], [964535/5594, 581845/5594], [0, 0], [-247/33564, -149/33564]]], 1, 444, [], [] >,
< [ -3, 0, 1 ], [[-433, -257]], [ -3321, -33 ], [ -159, -91 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43/6, 1/3], [3/2, 1/3], [0, 0]], [[8869, 5/2], [-18277731/5594, 2656489/5594], [-40, 80], [23801/33564, 1/33564]], [[2536730, 1291150], [-2033015519/2797, -949956060/2797], [23484, 17052], [1701280/8391, 288610/2797]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10529/66, 266/33], [41/22, 2/33], [0, 0]], [[16597/2, 1/2], [725605508/30767, 431402560/92301], [-2394/11, 646/11], [11135/16782, -1/8391]], [[-1516612, -1228003/2], [-329028543843/61534, -159915703495/61534], [294120/11, 59052/11], [-4068821/33564, -548923/11188]]], 1, 444, [], [] >,
< [ -3, 0, 1 ], [[-49, -49]], [ -147, -7 ], [ -9, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-8, -1/2], [-1592/73, -515/438], [7, -35/6], [-111/292, -5/876]], [[-312, -351/2], [-61277/73, -103322/219], [-98, -203/3], [-4017/292, -2249/292]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-11521/2, -2], [-89021/146, -154/219], [-299257/22, -182/33], [-5249/3212, -1/9636]], [[-30666615, -21228174], [-474705389/146, -492653147/219], [-1593318097/22, -1654339183/33], [-13963569/1606, -9667655/1606]]], 1, 200, [], [] >,
< [ -3, 0, 1 ], [[247, 140]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [73/2, 37/2], [29/2, 25/2], [0, 0]], [[6, -3/2], [-105/2, 27], [-47, 67/2], [-3/2, 2]], [[57/2, 19/2], [-233/2, 13], [-6, 163/2], [19/2, 19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1868, 49/2], [19/2, 9], [0, 0]], [[45/2, -5/2], [250985123/11, -488195043/22], [-4519073/22, -4211/11], [-85/22, -5/22]], [[-7425, -5337/2], [21759155241/11, 53203040581/11], [869125540/11, 365940217/11], [35037/22, 7812/11]]], 1, 184, [], [] >,
< [ -3, 0, 1 ], [[49, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [103/2, -29], [-30, -5/2], [0, 0]], [[-3/2, -5/2], [411, -229], [90, 157], [-5/2, -1/2]], [[-9/2, 0], [-1245/2, 366], [278, -5/2], [0, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1535/2, -15], [5, -7/2], [0, 0]], [[-21, 5/2], [-43124/11, 33113/11], [-5925/11, -300/11], [79/22, 2/11]], [[21156, -82], [33272826/11, -29566331/11], [6334500/11, 1033200/11], [-42230/11, -6888/11]]], 1, 184, [], [] >,
< [ -3, 0, 1 ], [[-145, -89]], [ -351, -21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 11/2], [-13/2, -49/6], [-11/2, -19/2], [0, 0]], [[-93, -46], [37132/183, 29513/366], [27005/14, 1357/14], [-232/1281, -1/854]], [[17931, 22661/2], [-12163861/366, -4360804/183], [-1625263/14, -1373937/7], [10931/1281, 7716/427]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 21/2], [271/2, 257/2], [-37/2, -37/2], [0, 0]], [[-8425, -1050], [-391993783/4026, -12825173/671], [2263869/154, 53321/22], [-83/4026, 2/14091]], [[-6303875/2, -3621375], [-30088636590/671, -174782543255/4026], [478403171/77, 993486433/154], [-20871/4697, -38772/4697]]], 1, 114, [], [] >,
< [ -3, 0, 1 ], [[-235, -139]], [ -351, 21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-26, -19], [-19, -47/3], [-26, -19], [0, 0]], [[18549/2, -4491/2], [3628771/366, -198940/61], [60485/7, -15664/7], [167/2562, -1/1281]], [[-2115261/2, -1217061], [-115824178/183, -396158507/366], [-12615875/14, -7678221/7], [-20633/1281, -15839/1281]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -23/2], [-31/2, 178/3], [-6, -23/2], [0, 0]], [[-104755/2, -390], [424826293/1342, -151504856/2013], [-10434995/154, -32735/77], [725/9394, 5/28182]], [[-11290500, -8544900], [1010346460/33, 2322700201/66], [-2243441555/154, -1699779989/154], [7597/462, 963/77]]], 1, 114, [], [] >,
< [ -3, 0, 1 ], [[0, -25]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-4, -1], [469/52, -29/52], [3/2, -1], [17/52, 1/52]], [[-62, -71/2], [1147/13, 1295/26], [-2, -3/2], [51/13, 29/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1], [-19, -14], [1, 1], [0, 0]], [[-715, -13/2], [-4073997/572, -2923/572], [-3815/11, -29/11], [-1515/572, -5/572]], [[-28462, 34487/2], [-41169850/143, 49816211/286], [-152281/11, 184471/22], [-15238/143, 9223/143]]], 1, 104, [], [] >,
< [ -3, 0, 1 ], [[-75, -25]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [-11/2, 5/3], [3/2, -2/3], [0, 0]], [[25, 33/2], [-12373/74, -2293/74], [10, 5/2], [-123/148, -5/444]], [[3085/2, 1725/2], [-405979/74, -450455/111], [735/2, 770/3], [-1375/74, -1265/74]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -2], [17, 8/3], [0, -2/3], [0, 0]], [[-491, 15/2], [-2562039/407, -13302/407], [13/2, 0], [-617/1628, 5/4884]], [[9181/2, 4065/2], [24626076/407, 66632425/2442], [-62, -167/6], [1467/407, 657/407]]], 1, 208, [], [] >,
< [ -3, 0, 1 ], [[-99, -47]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-43/2, -12], [29, 14], [-28, -31/2], [0, 0]], [[37/2, 27/2], [-19, -25], [65/2, 33/2], [1, 0]], [[-67/2, -3], [98, -47/2], [-16, -47/2], [5/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, 5/2], [2025, -13], [19/2, 3], [0, 0]], [[-158358, -9544], [-1536362967/22, 247221242/11], [-2505208/11, 5661/11], [8/11, -1/22]], [[-60495627, -21515660], [-192999584417/11, 1704116366/11], [-903421132/11, -283765181/11], [2720/11, 732/11]]], 1, 88, [], [] >,
< [ -3, 0, 1 ], [[-57, -5]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, 11/2], [-34, -5], [-35/2, -9], [0, 0]], [[97/2, 27/2], [-631/2, 201/2], [-167/2, -39/2], [3/2, -1/2]], [[0, 1/2], [3, 1/2], [-5/2, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29/2, -7], [1277, 41], [23, 23/2], [0, 0]], [[75813/2, -4425/2], [-251922497/22, 123516235/22], [-1204527/22, -5147/22], [-61/22, -1/22]], [[-4856787, -3323713/2], [697827713, -353180593/2], [15096993/2, 2870906], [775/2, 150]]], 1, 88, [], [] >,
< [ -3, 0, 1 ], [[-51, -23]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47/4, 3/4], [13/4, 3/4], [0, 0]], [[-2683/2, -1], [13885/193, 33209/193], [42, -27], [-1089/772, 1/2316]], [[-91008, -58752], [21195527/772, 11428197/772], [-2793/4, 33/4], [-18432/193, -11904/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-170, 23/2], [2, -1/2], [0, 0]], [[5351/2, 3], [371604268/2123, -96815297/2123], [-49772/11, 842/11], [23891/8492, 5/25476]], [[-4931450, -1676693], [-2010950663567/8492, -215463773523/8492], [360227193/44, 118153489/44], [-21994267/4246, -22388783/12738]]], 1, 84, [], [] >,
< [ -3, 0, 1 ], [[-51, -23]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1], [-2, -3/2], [5/2, 1], [0, 0]], [[-503/2, 1/2], [67229/386, -896/579], [0, 0], [469/386, 2/579]], [[-24101, -4695], [3208134/193, 1815818/579], [0, 0], [22536/193, 13459/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 5], [-11, -63/2], [-1/2, 5], [0, 0]], [[1237/2, 271/2], [-281642069/4246, -1650598/6369], [216339/11, 1500/11], [5735/4246, 1/6369]], [[-4150573, -2110679], [738740654123/2123, 967238260235/6369], [-1139361528/11, -498730094/11], [-14968775/2123, -19525400/6369]]], 1, 56, [], [] >,
< [ -3, 0, 1 ], [[-51, -23]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, 4], [-20, -21], [16, 9], [0, 0]], [[95/2, 30], [-1419/2, 329/2], [100, 145/2], [-1/2, -5/2]], [[161/2, 83/2], [635, -1485/2], [395/2, 171/2], [-15/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 9/2], [195, -39], [37/2, 10], [0, 0]], [[3391, 1661/2], [13707368/11, -15406353/22], [236447/22, -548/11], [-79/22, -2/11]], [[-9507822, -3500254], [-4445965259/2, 2443324261/2], [-26744363, -4404141], [18373/2, 3933/2]]], 1, 28, [], [] >,
< [ -3, 0, 1 ], [[-33, -5]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5/2, 1], [-15/4, 5/2], [3/2, -3/2], [1, -1/4]], [[-1/2, -1], [7/4, -1/4], [-2, -1/2], [1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 1], [-33/4, 43/4], [1, 3/2], [0, 0]], [[19/2, 27/2], [-93/44, -593/44], [86/11, 29/11], [25/44, -5/44]], [[9/2, 23/2], [56/11, -575/44], [72/11, 35/22], [6/11, -7/44]]], 1, 84, [], [] >,
< [ -3, 0, 1 ], [[-33, -5]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 3/2], [7/2, 3], [-1/2, -5], [0, 0]], [[-248, 5/2], [98241/193, 7471/579], [-23, -31/2], [-469/386, 2/579]], [[-80529/2, -16165/2], [32615181/386, 11311339/579], [-5350, -3320], [-38247/193, -47519/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 0], [76, -5], [8, 2], [0, 0]], [[23472, 365/2], [835088039/4246, -37725931/4246], [977910/11, 2339/22], [8099/2123, 1/4246]], [[-98564352, -38385119/2], [-3402569346609/4246, -746937374294/6369], [-8182629537/22, -772716510/11], [-33862420/2123, -19083580/6369]]], 1, 56, [], [] >,
< [ -3, 0, 1 ], [[-33, -5]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [-5, 2], [-5/2, -11/2], [0, 0]], [[-3/2, -1/2], [33/2, 28], [39/2, 37/2], [-2, -5/2]], [[-7/2, -3], [165, 45], [113, 91/2], [-15, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 3/2], [-209, -75], [-17/2, -7], [0, 0]], [[2274, -1281/2], [283684/11, -884236/11], [-155263/22, 3214/11], [28/11, 1/11]], [[365838, 135201/2], [-383982625/22, -187898143/11], [-35999417/22, -6860571/11], [7130/11, 6003/22]]], 1, 28, [], [] >,
< [ -3, 0, 1 ], [[-115, -67]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[34713/2, 3], [5427999/334, 3235/501], [11663/334, 2/501], [439/334, 1/334]], [[37816319/2, 51276661/2], [5918657369/334, 4009675189/167], [6351320/167, 8613688/167], [482341/334, 974219/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[30375/2, 3/2], [24809435/334, 6043/334], [10125/334, 1/334], [0, 0]], [[248960097/2, 142965745], [2237742935027/3674, 3853907312963/5511], [82987443/334, 142965746/501], [-4571/3674, 1/3674]], [[-4376391055169/2, -1940274865697/2], [-39326723962344097/3674, -8718715650144276/1837], [-729399680009/167, -323380704647/167], [14322455/3674, 28735805/5511]]], 1, 10, [], [] >,
< [ -3, 0, 1 ], [[27, 1]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6921, 3/2], [2061363/334, 1268/167], [2307/167, 1/334], [0, 0]], [[104040847/2, -173193467/2], [7707649265/167, -12888203547/167], [34680415/334, -57731157/334], [633/334, -1/1002]], [[199196607567/2, 1175543957179/2], [15098905328303/167, 525279798330173/1002], [33198909392/167, 587771600372/501], [-2523840/167, -1251165/334]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[28581/2, 5/2], [51947435/334, 27877/1002], [9527/334, 5/1002], [0, 0]], [[-200706027/2, 221743], [-4012725106251/3674, 13276279831/5511], [-735934013/3674, 2409377/5511], [3973/3674, -1/11022]], [[-32388454962, -7540478010], [-1295091420601947/3674, -150759685058179/1837], [-237523707853/3674, -55304163469/3674], [642095/1837, 903779/11022]]], 1, 40, [], [] >,
< [ -3, 0, 1 ], [[-1, -9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [79/2, -15/2], [83/2, -1/2], [0, 0]], [[-6, -5/2], [3418, -8961/2], [2415/2, -4506], [-5/2, -2]], [[-33, -1], [97424, -64683], [73335, -55155], [-1, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29, -19], [51, 30], [0, 0]], [[-12, -5/2], [-1069/11, -25/22], [73/22, 114/11], [-43/22, -1/11]], [[-234, 117], [-61727/22, 33221/22], [-8707/22, 5545/22], [-585/11, 312/11]]], 1, 30, [], [] >,
< [ -3, 0, 1 ], [[-1063, -613]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10125, -1], [-867314/167, 5647/501], [-3375/167, -1/501], [0, 0]], [[5337261051/2, -2799938099/2], [229413079355/167, -240882058157/334], [889543515/167, -466656350/167], [31/167, -1/334]], [[-452910329915/2, 113652984697], [-19464578606814/167, 9779610344848/167], [-75485055645/167, 75768656355/334], [-6307/334, -875/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2307, 1/2], [-1181609/334, -42152/501], [769/167, 1/1002], [0, 0]], [[-79243862, 115305819/2], [211800772672/1837, -314291639077/3674], [-26415396/167, 38435271/334], [9527/3674, 5/11022]], [[2581385517157/2, -2052404362873/2], [-3432591577722036/1837, 5609986415966003/3674], [430246719819/167, -342065922723/167], [-97044174/1837, -53579453/11022]]], 1, 110, [], [] >,
< [ -3, 0, 1 ], [[-25, -17]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1507/2, 0], [-182989/167, -674/501], [-171/167, 5/1002], [-765/334, -1/501]], [[262265/2, 216629/2], [63885177/334, 26343419/167], [29400/167, 24436/167], [133421/334, 165125/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11535, -5/2], [22722101/334, -12352/501], [3845/167, -5/1002], [0, 0]], [[-1022408, 1540461/2], [-11198351976/1837, 8346357892/1837], [-7585327/3674, 2834841/1837], [5340/1837, 5/11022]], [[159196303/2, -6252233], [1703325471721/3674, -230023864088/5511], [580513607/3674, -75692102/5511], [973705/3674, 2396161/11022]]], 1, 10, [], [] >,
< [ -3, 0, 1 ], [[51, 25]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6024, 5/2], [197981/334, 1831/501], [-2008/167, 5/1002], [0, 0]], [[58387795/2, 19452089/2], [-482913500/167, -325966409/334], [9731313/167, 3242015/167], [-66/167, -1/1002]], [[86255507841, 45187043841], [-1432122849300/167, -751894878293/167], [28751865561/167, 15062359985/167], [-139698/167, -56108/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[513, -5/2], [1324391/334, -10849/501], [171/167, -5/1002], [0, 0]], [[-11341/2, 1207], [-148306661/3674, 51571606/5511], [-39131/3674, 12385/5511], [-299/3674, -1/11022]], [[50817, 40477/2], [637278639/1837, 738344204/5511], [351931/3674, 210839/5511], [1960/1837, 1911/3674]]], 1, 40, [], [] >,
< [ -3, 0, 1 ], [[-25, -17]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -3/2], [-13/2, -2], [0, 0]], [[9/2, -1], [-133/2, -270], [-113, -371/2], [-1, 3/2]], [[252, 123], [-43607, -26624], [-35823, -21434], [123, 84]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [269, -145/2], [19/2, -3], [0, 0]], [[-39/2, 2], [611723/22, 80181/11], [9951/11, 4131/22], [37/11, 5/22]], [[-2322, -1720], [71124159/11, 43822419/11], [2145016/11, 1343726/11], [6364/11, 4214/11]]], 1, 30, [], [] >,
< [ -3, 0, 1 ], [[127, 67]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4614, -1], [206829/167, 6983/501], [1538/167, -1/501], [0, 0]], [[57745443, 41255059/2], [5240470545/334, 5726143079/1002], [38496997/334, 20627530/501], [-1/2, 0]], [[-382070525459/2, -210514725589/2], [-17451165908089/334, -4816444294749/167], [-63678459845/167, -35085806140/167], [366597/334, 260176/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15507/2, -5/2], [25175331/334, -35225/1002], [-5169/334, -5/1002], [0, 0]], [[491534900, -786168597/2], [-8794427130548/1837, 42160479458335/11022], [1802278326/1837, -8647830761/11022], [3973/3674, 1/11022]], [[-153176831101/2, -184682824346], [2720258899997119/3674, 19782820527303299/11022], [-280836475526/1837, -4063048029625/11022], [2286569/1837, 6493079/11022]]], 1, 110, [], [] >,
< [ -3, 0, 1 ], [[-3, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -1], [-1, -1], [0, 0]], [[-1, -1], [-111/2, 89/2], [-41/2, -7/2], [-3, -1]], [[1/2, 0], [-75/2, 20], [-2, 7/2], [0, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -2], [3, 2], [0, 0]], [[9/2, 1], [1101, -1315/2], [-63/2, 13], [1, 3/2]], [[-15, -8], [-783/2, 665/2], [69/2, 13/2], [-8, -5]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[-3, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45/2, -5/2], [33/2, 1/2], [0, 0]], [[15/2, -1/2], [-2487/2, -1289/2], [-2339/2, -1265/2], [-1/2, 5/2]], [[-81, -27/2], [18939, 20861/2], [36027/2, 10107], [-27/2, -27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11/2, -5/2], [-11/2, -1/2], [0, 0]], [[-1, 1], [-11, -4], [53, 29], [3, -1]], [[1, -1/2], [3, -3/2], [-3/2, 1], [-3/2, 1]]], 2, 4, [], [] >,
< [ -3, 0, 1 ], [[-9, -9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -15], [-24, -12], [0, 0]], [[1, 1], [57/2, 35/2], [63/2, 33/2], [3, 1]], [[1, -1/2], [3, -3/2], [-9/2, 3], [-3/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 6], [0, 2], [0, 0]], [[3/2, 1], [-57, -93/2], [-21/2, -13], [3, 3/2]], [[0, 0], [33/2, -13/2], [15/2, -7/2], [0, 0]]], 0, 18, [], [] >,
< [ -3, 0, 1 ], [[-9, -9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63/2, -9/2], [21/2, -1/2], [0, 0]], [[3/2, -1], [747/2, 165], [141, 147/2], [-3, 3/2]], [[-1/2, 1/2], [-1611/2, -871/2], [-645/2, -361/2], [3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 16], [6, -1], [0, 0]], [[-1, -1], [-4851/2, 785/2], [129/2, -623/2], [-3, -1]], [[9/2, 2], [675/2, 2655], [1086, 297/2], [6, 9/2]]], 0, 18, [], [] >,
< [ -3, 0, 1 ], [[27, 9]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 2], [-6, -10], [6, 1/2], [0, 0]], [[-47, -13], [246, 189/2], [-39, -47], [15/2, 2]], [[185, -10], [-834, -89], [-30, 185], [-30, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -2], [6, -9], [-6, -3/2], [0, 0]], [[-357, -289/2], [-2331/2, -7/2], [-867/2, -357], [3/2, 5/2]], [[136, 1768], [-25623/2, 10959], [5304, 136], [-54, 27/2]]], 0, 30, [], [] >,
< [ -3, 0, 1 ], [[27, 9]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -5/2], [-6, -3], [-15/2, 6], [0, 0]], [[-387/2, 213/2], [51/2, -7/2], [657/2, -381/2], [-9/2, -3/2]], [[-235/2, 73], [3/2, -11], [213, -245/2], [3, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 5/2], [9, 2], [15/2, 2], [0, 0]], [[-135, 99], [807/2, -188], [297, -135], [3, 9/2]], [[279, -108], [-456, 377], [-324, 279], [18, 6]]], 0, 30, [], [] >,
< [ -3, 0, 1 ], [[0, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3/2, -10], [-6, -1/2], [0, 0]], [[-3/2, 1], [-831/2, -390], [-244, -179/2], [1, -1/2]], [[0, 0], [-471, -255], [-162, -99], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 1/2], [-5/2, 1], [0, 0]], [[-3/2, 0], [-156, -93], [69, 39], [0, -3/2]], [[-5/2, 3/2], [24, 4], [-3, -6], [9/2, -5/2]]], 2, 4, [], [] >,
< [ -3, 0, 1 ], [[27, 9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [117/2, 47/2], [9/2, 5/2], [0, 0]], [[-1/2, -1], [183/2, -101/2], [3/2, -1/2], [-3, -1/2]], [[-5/2, -5/2], [309/2, -81], [3, -1/2], [-15/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-93/2, 13/2], [-9/2, -5/2], [0, 0]], [[1, 3/2], [-10521/2, 3190], [12, 51/2], [9/2, 1]], [[-21, -7/2], [-51183, 28405], [-360, -35], [-21/2, -21]]], 0, 54, [], [] >,
< [ -3, 0, 1 ], [[27, 9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51, -25/2], [3/2, 1], [0, 0]], [[-2, -1/2], [45, -38], [0, 0], [-3/2, -2]], [[-6, -1], [177, -135], [0, 0], [-3, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75/2, 19/2], [-3/2, -5/2], [0, 0]], [[2, -5/2], [-483/2, -835/2], [165/2, 25/2], [-15/2, 2]], [[-25/2, -75/2], [-28029/2, -10392], [1980, 1705/2], [-225/2, -25/2]]], 0, 54, [], [] >,
< [ -3, 0, 1 ], [[15, 3]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-93, 3/2], [-50355/334, -538/167], [-93/167, 3/334], [0, 0]], [[-20091, 34549/2], [-10472283/334, 26844991/1002], [-40965/334, 51817/501], [571/334, 1/501]], [[-65665405, 43100984], [-17068040752/167, 33543206003/501], [-66390068/167, 129932125/501], [530500/167, -465779/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-859/2, -5/2], [-1951805/334, -11511/334], [-859/334, -5/334], [0, 0]], [[-17675236, -3362319/2], [-441771945988/1837, -252316428343/11022], [-194497751/1837, -110956343/11022], [-13201/3674, -5/11022]], [[1802957592991, -391056829218], [45059477974483519/1837, -19540423959391103/3674], [39680695114339/3674, -8607847241727/3674], [1469629527/3674, -215839209/1837]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[12, 9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, 63/2], [3/2, 2], [0, 0]], [[-1, 3/2], [-1085/2, -793/2], [-21/2, -57/2], [9/2, -1]], [[-1/2, -2], [1433, 895], [57, 51], [-6, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [177/2, 36], [6, -5/2], [0, 0]], [[-6, -1/2], [2235, 1258], [18, 18], [-1/2, -2]], [[-9, 3], [1275, 1291/2], [-9/2, 18], [3, -3]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[36, 27]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -57/2], [9/2, -2], [0, 0]], [[-5/2, 1/2], [14763/2, 4221], [-225, -245/2], [3/2, -5/2]], [[5/2, -2], [8157/2, 4863/2], [-225/2, -155/2], [-6, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63/2, 6], [0, -5/2], [0, 0]], [[6, -1/2], [-159/2, 131/2], [-15/2, 15/2], [-3/2, 6]], [[0, 19/2], [285, -101], [33, -9], [57/2, 0]]], 0, 72, [], [] >,
< [ -3, 0, 1 ], [[-27, -45]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1], [-30, 41], [3, -3], [0, 0]], [[-7, -23/2], [540, 315/2], [-51/2, -5], [-9/2, -1]], [[21/2, 11], [-1065/2, -411/2], [24, 15/2], [9/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [-87, -43], [3/2, 0], [0, 0]], [[-3/2, -1], [-147/2, -44], [-3, -3/2], [-3, -3/2]], [[5/2, -3/2], [57/2, -41/2], [-9/2, 5/2], [-9/2, 5/2]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[21, 9]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-43/2, 1], [-416/167, 563/334], [-43/334, 1/167], [0, 0]], [[-48871/2, 3183/2], [-500995/167, 970747/501], [-47627/334, 9539/1002], [369/334, -1/1002]], [[17815009, 8658539/2], [333273865/334, -817779971/1002], [34670029/334, 12567065/501], [-285203/334, -125563/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[74, -3/2], [-546011/334, 6383/167], [74/167, -3/334], [0, 0]], [[30745/2, -497], [-1125071109/3674, 131194631/11022], [157848/1837, -32815/11022], [769/1837, -1/11022]], [[78211247, 21060424], [-2845045031174/1837, -751411638273/1837], [801399646/1837, 214336711/1837], [4026513/1837, 1182866/1837]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[-9, -18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, 45/2], [9/2, -1], [0, 0]], [[-3/2, -5/2], [-471, 297/2], [21/2, -5], [-15/2, -3/2]], [[1, 1/2], [18, 12], [0, 0], [3/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -29], [-3, -2], [0, 0]], [[-3, 3/2], [-603, 376], [-6, 6], [9/2, -3]], [[-3/2, -1/2], [78, 273/2], [27/2, 9], [-3/2, -3/2]]], 0, 72, [], [] >,
< [ -3, 0, 1 ], [[-3, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [69/2, 163/2], [-3/2, -5/2], [0, 0]], [[-5/2, 0], [13863/2, -2485/2], [-399/2, 49/2], [0, -5/2]], [[-3/2, -5/2], [426, 12185/2], [-91/2, -182], [-15/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -37/2], [3/2, 0], [0, 0]], [[-3, -5/2], [-384, 10], [-30, 22], [-5/2, -1]], [[-15/2, -5/2], [177, -873/2], [171/2, -42], [-5/2, -5/2]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[-81, -63]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, 3/2], [57, 4], [69/2, -5/2], [0, 0]], [[205/2, 77], [-3741/2, -1180], [-843, -1129/2], [-3, -3/2]], [[-77/2, 13/2], [735/2, 50], [429/2, -5/2], [0, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 0], [33, 18], [9, 3/2], [0, 0]], [[18, -18], [213/2, 233/2], [-51, 91], [-9/2, -5/2]], [[-5573/2, 1582], [11793/2, -2778], [11910, -13319/2], [-6, -29/2]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[33, 21]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -2], [9, 5], [3, -2], [0, 0]], [[51/2, 25], [-167878/193, -432065/579], [203, 49/2], [-331/386, -1/579]], [[-69/2, 175], [-41652/193, -5500457/1158], [4001/2, -602], [-1887/193, 2146/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -1], [-9, -11/2], [-9/2, -1], [0, 0]], [[531, -25], [-554393/386, -9395/386], [6, -23], [-979/386, -1/386]], [[18949/2, -1139/2], [-9866955/386, -56324/579], [123, -411], [-17435/386, 317/579]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[-9, -27]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 2], [27, -41/2], [-9/2, 2], [0, 0]], [[-675/2, 17/2], [-169887/193, -17101/386], [-12, 8], [-351/193, 5/386]], [[-46882, -27946], [-26926720/193, -15932959/193], [330, 126], [-50402/193, -29986/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 1], [9, 3/2], [-9/2, 1], [0, 0]], [[-215/2, -1/2], [-41/2, 15], [-18, 0], [-1/2, 0]], [[693, -193], [41214/193, -25951/193], [117, -33], [624/193, -176/193]]], 0, 72, [], [] >,
< [ -3, 0, 1 ], [[-3, -9]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29/2, -1/2], [5/2, 1/2], [0, 0]], [[7979/2, 3], [-1343019/772, -1291/772], [-27/4, -3/4], [9913/10036, 5/10036]], [[312578, 482048], [-105327623/772, -162297863/772], [-3195/4, -3495/4], [193949/2509, 299397/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59, 5], [2, 0], [0, 0]], [[29471/2, -3/2], [4277767893/8492, 79371/8492], [-505627/44, 119/44], [-50731/55198, 1/27599]], [[14281521/2, 4866003], [188499835039/772, 128442495909/772], [-22268889/4, -15176091/4], [-4470393/10036, -3046197/10036]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-3, -9]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -2], [-12, 1/2], [-3/2, -2], [0, 0]], [[81/2, 57/2], [55632/193, 15309/386], [462, 27], [-393/193, -1/386]], [[414, 366], [1854701/386, -214819/579], [16235/2, -2523/2], [-7161/193, 8897/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 2], [216, 9/2], [-15/2, 2], [0, 0]], [[21279/2, 242], [118897875/2123, -66707879/6369], [-54793/11, 5393/22], [7003/4246, -1/6369]], [[-1164879, 131076], [-1284316620/193, 383699464/193], [561321, -100974], [-35175/193, 4725/193]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[-3, -9]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1/2], [50, 33], [-3/2, -1], [0, 0]], [[0, 0], [-53/2, 11], [0, 0], [0, -5/2]], [[0, 0], [-49/2, 19/2], [0, 0], [-1/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1], [-1015, 62], [-3, -5/2], [0, 0]], [[5, 8675], [-102997107/11, 159890319/22], [285801/11, 31/11], [79/22, 2/11]], [[14601455/2, 5407755/2], [70359925437/22, -3982476752/11], [178120203/22, 160335169/22], [13988/11, 23403/22]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[-63, -45]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -5/2], [21/2, -5/2], [-15/2, 5/2], [0, 0]], [[71, 5/2], [-1939/193, -881/386], [9/2, 1], [-151/386, -3/386]], [[-1347/2, 1673/2], [4817/193, -37689/386], [-12, 44], [1517/386, -902/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 2], [33, -9/2], [6, 5/2], [0, 0]], [[55/2, -3/2], [17201/386, 3555/386], [3/2, 3/2], [-28/193, 2/193]], [[19, 13], [9768/193, 11701/386], [9/2, 5/2], [-18/193, -25/386]]], 0, 72, [], [] >,
< [ -3, 0, 1 ], [[-21, -15]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -3/2], [-33/2, -4], [-9/2, -2], [0, 0]], [[-9/2, 11/2], [116767/386, -33017/579], [290, -3], [255/193, 1/1158]], [[135/2, -119/2], [-1219727/386, 1149239/1158], [-5603/2, 909/2], [-2451/193, 1118/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -2], [-18, -7/2], [-6, -1/2], [0, 0]], [[420, 6], [-12153/386, -97493/386], [9, -90], [951/386, 1/386]], [[-31321/2, 8459/2], [-2644199/386, 5325563/579], [-3204, 3492], [-17930/193, 30155/1158]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[-21, -15]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-61/2, -7/2], [-5/2, -1/4], [-3, -3/2], [-29/26, -5/52]], [[-116, 343/2], [-41/4, 57/4], [21/2, 10], [-63/13, 84/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1], [123/2, 71/2], [-3, -2], [0, 0]], [[-133/2, -1], [-565/22, 3127/22], [603/22, -112/11], [267/572, -5/572]], [[-6103/2, 2855/2], [-468905/44, 159151/22], [43173/22, -11937/11], [12851/572, -3077/286]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-21, -15]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1], [-9, 7/2], [3, -3/2], [0, 0]], [[-5/2, -2], [391602/193, 13826/579], [1481/2, 2], [696/193, 5/1158]], [[0, 0], [551/386, -3857/579], [1/2, -5/2], [1/386, -7/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -5/2], [147/2, 2], [-15/2, -2], [0, 0]], [[255/2, -68], [-91711868/2123, -13929512/6369], [27595/22, 1404/11], [-1468/2123, -5/12738]], [[0, 0], [2099165/2123, 6568355/12738], [-677/22, -353/22], [31/2123, 97/12738]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[-21, -15]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1/2], [-19, 0], [-3/2, 2], [0, 0]], [[15/2, 3], [-241/2, -121/2], [9, 15/2], [5/2, 3/2]], [[45, -27], [-297, 379/2], [-81, 45], [-5/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [-432, -111], [9/2, -2], [0, 0]], [[-6, -106], [1080359/11, 571724/11], [-3684/11, 24/11], [17/11, 1/11]], [[-5757/2, -635], [42547001/22, 12803309/11], [-19560/11, -65667/22], [120/11, 315/22]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[-21, -3]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 5/2], [-105, -27], [15/2, 2], [0, 0]], [[-255, -238], [9965, 6973/2], [-714, -255], [-1/2, -1]], [[255/2, 51/2], [-1018, -3579/2], [153/2, 255/2], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3/2], [-1249, -100], [9/2, 1/2], [0, 0]], [[105/2, 2432], [-45000111/22, 1141257/22], [80268/11, 1071/22], [-19/22, -5/22]], [[-445476, -1267293/2], [11464413275/22, 1183876569/11], [-41811975/22, -4890057/11], [2907/11, 2421/22]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[-33, -15]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 5/2], [96, 0], [15/2, -1], [0, 0]], [[36, 15], [1609/2, 566], [45, 36], [2, 5/2]], [[-315, 84], [1600, -3742], [252, -315], [45, -36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -3/2], [1201, -164], [-9/2, 2], [0, 0]], [[21, -771], [13569915/11, 10022601/22], [-24969/11, 255/11], [-79/22, -2/11]], [[-29529, -113679/2], [1207408901/11, 553645027/11], [-3679239/22, -316671/11], [-3007/11, -679/11]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[15, 0]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[9, -9/2], [-987/52, -29/52], [-6, -2], [-9/52, 1/52]], [[2, -1/2], [-99/13, -69/26], [-3, -3/2], [-4/65, -1/65]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1/2], [5/2, 7/2], [-3/2, 1/2], [0, 0]], [[41/2, -5/2], [1738677/572, 2091/572], [-3501/11, -45/22], [-589/2860, -1/2860]], [[609, 843/2], [16977822/143, 22045831/286], [-138135/11, -178991/22], [-5757/715, -3737/715]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[15, 15]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 0], [17/2, 9/2], [1/2, -1/2], [0, 0]], [[-18, -13/2], [15199/74, -4135/222], [133, 49/6], [-291/740, -1/2220]], [[2527/2, 1435/2], [-575779/74, -150572/37], [-12971/2, -3533], [3234/185, 1738/185]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -3/2], [-192, -35/2], [0, -3/2], [0, 0]], [[-4641/2, -739/2], [-2394841/814, -19095136/1221], [-3091/2, -4/3], [-1179/4070, -1/12210]], [[-2038729, -2616995/2], [-19104346573/814, -14239029080/1221], [-2041753/2, -4260601/6], [-1555689/8140, -3247537/24420]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[75, 0]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-83/2, 1], [77/2, -1], [-15/2, -1], [2, 0]], [[-1937/2, -385], [46603/52, 18479/52], [-210, -98], [2501/52, 1025/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 0], [50, 31], [-6, 0], [0, 0]], [[-11, 13], [-26727/572, -30189/572], [-333/22, 140/11], [17/572, 1/572]], [[6, -5/2], [-12, -21/2], [6, -5/2], [0, 0]]], 1, 416, [], [] >,
< [ -3, 0, 1 ], [[75, 75]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 3/2], [-16, -11/2], [1, 1/2], [0, 0]], [[19/2, 1/2], [7943/74, -4889/222], [47, -2/3], [47/74, -1/111]], [[-2093/2, -637], [-247766/37, -981005/222], [-9191/2, -17017/6], [-9191/148, -17017/444]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -3], [-317/2, -59/2], [-1/2, -5/2], [0, 0]], [[-21829/2, -27367/2], [-26574393/407, -692573617/2442], [-15339, 647/6], [772/407, 1/1221]], [[28909329, 31179809/2], [195855860517/407, 588907426897/2442], [11079597, 23200835/3], [-2265719/1628, -4721395/4884]]], 1, 416, [], [] >,
< [ -3, 0, 1 ], [[141, 99]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, 11/2], [-32, -21], [-51/2, -27/2], [0, 0]], [[-47/2, -17], [159/2, 39/2], [27, 29/2], [-3/2, -5/2]], [[19/2, 23/2], [-145/2, 6], [-33/2, -13/2], [-1, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-39/2, -13], [296, -191], [48, 63/2], [0, 0]], [[-78542, 4695/2], [-94736040/11, 54333977/11], [3988485/22, 7387/11], [-23/11, -2/11]], [[32045353/2, 31582871], [-87829850787/22, 25697971874/11], [-489089256/11, -1636077515/22], [7992/11, 19791/22]]], 1, 352, [], [] >,
< [ -3, 0, 1 ], [[15, 57]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 5/2], [35, -5], [-15/2, 6], [0, 0]], [[27, 10], [369, 497/2], [51, 39], [-1/2, 1]], [[89/2, 45/2], [735, 889/2], [213/2, 133/2], [1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13, 13/2], [-440, 53], [57/2, 14], [0, 0]], [[-9147, -525/2], [30719321/22, -7987050/11], [-461259/22, 1203/11], [9/11, 3/22]], [[80919/2, 45793], [55734414/11, -43166400/11], [905358/11, 2246619/22], [-58/11, -50/11]]], 1, 352, [], [] >,
< [ -3, 0, 1 ], [[-291, -171]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-87/2, -20], [-12, -19/2], [-87/2, -20], [0, 0]], [[-879, -437/2], [90404/193, -1196/579], [-4409/2, -224], [-269/193, -5/1158]], [[-105507/2, -51467/2], [4216188/193, 4723573/579], [-230345/2, -98703/2], [-25305/386, -28679/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-69/2, -19], [-15, -19/2], [-69/2, -19], [0, 0]], [[-719/2, -11], [171030/193, -11263/1158], [-39/2, -13], [317/193, -1/579]], [[-3403, 7094], [4094463/386, -10366061/579], [1125/2, 489/2], [3605/193, -38213/1158]]], 1, 84, [], [] >,
< [ -3, 0, 1 ], [[207, 153]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[75/2, 2], [-78, 17/2], [75/2, 2], [0, 0]], [[41509/2, 24919/2], [-12210725/386, -7537877/386], [41535/2, 24921/2], [-14/193, -1/193]], [[-308757/2, -177003/2], [92370417/386, 26343302/193], [-154425, -88537], [99/386, 38/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, -1], [12, -27/2], [21/2, -1], [0, 0]], [[-1019/2, 87/2], [-213653/386, 15371/193], [-36, 48], [-1021/386, -2/193]], [[5838, 6062], [977253/193, 1178382/193], [-1362, -238], [7650/193, 6750/193]]], 0, 1008, [], [] >,
< [ -3, 0, 1 ], [[69, 51]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39/2, -4], [5/2, 0], [0, 0]], [[109/2, 1], [-35418/193, 11235/386], [18, -15/2], [235/772, 3/772]], [[36, 156], [119929/772, -391371/772], [-219/4, 189/4], [36/193, 168/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-75/4, 63/4], [-11/4, -5/4], [0, 0]], [[-213, 0], [32847503/4246, -38011773/4246], [8541/22, -551/22], [-951/4246, 1/4246]], [[-651, -1147/2], [-37559917/772, -5048659/772], [3935/4, 3873/4], [-527/772, -465/772]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[69, 51]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, -1], [-6, -7/2], [21/2, -1], [0, 0]], [[-1899/2, 11/2], [18657/386, -1475/1158], [-5023/2, 11/2], [-317/193, 1/579]], [[21804, 2911/2], [-213246/193, -9883/193], [115437/2, 4058], [7287/193, 1041/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21, 9/2], [81/2, -23], [21, 9/2], [0, 0]], [[-95319, 565/2], [-405879659/2123, 1218734243/6369], [-3732103/22, 2980/11], [4515/2123, 5/12738]], [[7670265/2, 2964966], [-21612811865/2123, -11352076712/6369], [75319001/11, 116296451/22], [-365983/4246, -423055/6369]]], 1, 112, [], [] >,
< [ -3, 0, 1 ], [[69, 51]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-55/2, -21/2], [8, 11], [-69/2, -25/2], [0, 0]], [[4669, 6003/2], [-6437/2, -1495], [11397/2, 3712], [2, 3/2]], [[-11339/2, -11339], [15743, -489], [-5916, -29087/2], [2, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, -13/2], [-123, 34], [-27/2, -8], [0, 0]], [[0, 0], [44414/11, -79513/22], [-1365/11, -156/11], [35/22, 2/11]], [[0, 0], [5979745/22, -898555/11], [25974/11, 40365/11], [-333/11, -1035/22]]], 1, 112, [], [] >,
< [ -3, 0, 1 ], [[45, 99]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[68, -3/2], [165/2, 13], [-177/2, -1], [0, 0]], [[636, 2767/2], [1338, 1776], [-660, -3645/2], [-3/2, 0]], [[178306, 120713/2], [93523669/386, 18881951/193], [-460635/2, -72570], [-7436/193, -11297/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35/2, -5/2], [-111/2, 9/2], [-45/2, 5/2], [0, 0]], [[-883/2, -297/2], [981025/386, 117137/193], [837, 219], [-200/193, 1/386]], [[-89433/2, -34188], [40256778/193, 72614283/386], [72459, 125247/2], [-6909/193, -13113/193]]], 0, 1008, [], [] >,
< [ -3, 0, 1 ], [[-129, -81]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, -10], [39, 18], [30, 14], [0, 0]], [[1163, -142], [160957/193, 280955/1158], [7507/2, 359/2], [-503/193, -5/1158]], [[321975, 45007/2], [55657384/193, 22873833/193], [1145613, 524401/2], [-299291/386, -28235/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -1/2], [51/2, 0], [21/2, 1], [0, 0]], [[-307/2, 457/2], [-8691/386, -142227/193], [-90, -302], [-186/193, -1/386]], [[-1873/2, 8219/2], [-2845943/386, -8611519/579], [-4644, -6348], [-3740/193, -3553/1158]]], 1, 84, [], [] >,
< [ -3, 0, 1 ], [[15, 33]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5/2, 0], [2, -1/4], [-3, 2], [1/4, 1/2]], [[9/2, 7/2], [5/2, 9/4], [3, -1/2], [5/2, 5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1], [53/4, -51/4], [-3, 1/2], [0, 0]], [[-55/2, -10], [-3555/22, -2989/44], [-369/11, -122/11], [-35/44, -1/11]], [[-296, 151], [-28911/22, 6982/11], [-4530/11, 2358/11], [-196/11, 217/22]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[15, 33]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-43/2, -7/2], [75/2, 11/2], [57/2, 11/2], [0, 0]], [[-2311/2, -626], [164824/193, 1256953/1158], [-1721, 1681/2], [317/193, 1/579]], [[155705/2, 40283], [-12313473/386, -99152921/1158], [377879/2, -98994], [-56829/386, 12961/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-31/2, -6], [66, -13/2], [21, 17/2], [0, 0]], [[-1245, 76], [-206474879/2123, -68359495/12738], [-2896667/22, -1383/22], [-7837/2123, -5/12738]], [[755740, 3684595/2], [471534597497/4246, 326840798203/2123], [2578425471/22, 2222300317/11], [6962606/2123, 12022388/2123]]], 1, 112, [], [] >,
< [ -3, 0, 1 ], [[15, 33]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, -19/2], [11, 19], [39/2, 13], [0, 0]], [[399/2, 219/2], [-338, -293/2], [-567/2, -315/2], [3/2, 1]], [[0, 0], [-27/2, 7], [-6, 3], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35/2, -9], [137, 122], [24, 25/2], [0, 0]], [[8122, -1007/2], [1514507/11, -2716397/22], [-227445/22, 3533/11], [23/22, 1/11]], [[-1904453/2, -1885631/2], [591505021/22, 3527045/22], [29298957/22, 27390089/22], [-3979/22, -3151/22]]], 1, 112, [], [] >,
< [ -3, 0, 1 ], [[-3, -27]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[983/2, 3/2], [436951/334, 3099/334], [983/334, 3/334], [0, 0]], [[518012, 864913/2], [232888409/167, 1158930061/1002], [522712/167, 2594765/1002], [-703/334, -1/1002]], [[-5255267623/2, -1310778219], [-2350770634749/334, -3526976236369/1002], [-2633103927/167, -7908758525/1002], [408357/167, 3296215/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4187, 5/2], [45692111/334, 14857/167], [4187/167, 5/334], [0, 0]], [[-7923825, -13007110], [-476229018104/1837, -2342162502293/5511], [-87262462/1837, -429266623/5511], [2136/1837, -1/5511]], [[32419391178, 25268901435/2], [1946226133827955/1837, 758801307983794/1837], [713379459205/3674, 139057199935/1837], [-1133281/1837, -3088325/3674]]], 1, 80, [], [] >,
< [ -3, 0, 1 ], [[129, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-107/2, -61/2], [-81/2, -47/2], [0, 0]], [[-3/2, 3/2], [-109/2, 51], [30, -15/2], [9/2, -3/2]], [[1, 5/2], [24, 82], [60, 14], [15/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63/2, 14], [-12, -7/2], [0, 0]], [[-15/2, 0], [-639/2, -119], [90, 177/2], [0, -5/2]], [[63/2, -35/2], [513, -244], [240, -162], [-35/2, 21/2]]], 1, 60, [], [] >,
< [ -3, 0, 1 ], [[-126, -45]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63/2, -14], [60, 57/2], [0, 0]], [[-1, 1], [-300, 217/2], [807/2, -123], [3, -1]], [[-2, 3/2], [-993/2, 229], [657, -561/2], [9/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45/2, 31/2], [81/2, 47/2], [0, 0]], [[-3/2, -1], [-1029/2, 273], [-27, 25/2], [-3, -3/2]], [[0, 0], [-219, 249/2], [-27/2, 5], [0, 0]]], 0, 720, [], [] >,
< [ -3, 0, 1 ], [[243, 9]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -5/2], [75, 48], [-39/2, -21/2], [0, 0]], [[19/2, 5/2], [-57, -177/2], [111/2, -31/2], [-3/2, 2]], [[-1, 1/2], [3, -5/2], [-39/2, 13], [3/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 1], [45, -24], [33, 0], [0, 0]], [[-285/2, 330], [-7155, 8579/2], [-1848, 4237/2], [3/2, 2]], [[-9425, 0], [-99267, 107657/2], [-56415, 9473], [-135/2, -24]]], 0, 2160, [], [] >,
< [ -3, 0, 1 ], [[-75, -51]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1324, 5/2], [-129835/334, -173/167], [1324/167, 5/334], [0, 0]], [[68780474, 5738441], [-6745891309/334, -851942456/501], [137556323/334, 34430645/1002], [268/167, -1/1002]], [[-536809611210, -811750807827/2], [52732260715797/334, 19920462154726/167], [-536794663662/167, -811726007163/334], [-1729308/167, -1435896/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3631, 2], [14386552/167, 9080/167], [3631/167, 2/167], [0, 0]], [[-9253414, 305239], [-807055855679/3674, 39813139004/5511], [-203682059/3674, 20169931/11022], [2008/1837, -5/11022]], [[4467838345, 7946512235/2], [389779043103133/3674, 173288993622142/1837], [49169009390/1837, 87455172895/3674], [-1057185/1837, -896670/1837]]], 1, 80, [], [] >,
< [ -3, 0, 1 ], [[117, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33/2, 22], [27, 9/2], [0, 0]], [[-3/2, -3/2], [1281/2, 611/2], [1761/2, 1059/2], [-9/2, -3/2]], [[1, 5/2], [-942, -693/2], [-2259/2, -717], [15/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -53/2], [-9/2, 13], [0, 0]], [[0, -3/2], [1140, -2223/2], [-1227/2, 560], [-9/2, 0]], [[0, -1/2], [453, -889/2], [-489/2, 224], [-3/2, 0]]], 0, 720, [], [] >,
< [ -3, 0, 1 ], [[39, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23/2, 1], [-3, 21/2], [0, 0]], [[-2, 3/2], [-64, 15], [-6, -23], [9/2, -2]], [[6, -15/2], [407, 41/2], [393/2, 194], [-45/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -27/2], [21/2, 10], [0, 0]], [[-15/2, 1], [57/2, -10], [9, 9/2], [1, -5/2]], [[0, 35/2], [48, -123/2], [-87/2, -27], [35/2, 0]]], 1, 60, [], [] >,
< [ -3, 0, 1 ], [[459, 225]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, 1/2], [-84, 19], [63/2, 5/2], [0, 0]], [[61, 119], [33/2, 1562], [-732, -773], [6, 5/2]], [[441/2, -2556], [43251/2, -37236], [6588, 30051/2], [-108, -63/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 0], [-27, -10], [12, 2], [0, 0]], [[-51, 57], [-525/2, 575], [126, -287], [3, 1/2]], [[7061/2, -7538], [-6975/2, -82501], [2520, 82615/2], [-504, -309/2]]], 0, 2160, [], [] >,
< [ -3, 0, 1 ], [[27, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21/2, 3/2], [-27/2, -9/2], [0, 0]], [[3/2, -1], [219/2, -60], [-84, 81/2], [-3, 3/2]], [[1, 3/2], [-201/2, 11/2], [303/2, 83/2], [9/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33/2, -24], [-6, 3/2], [0, 0]], [[1/2, 1], [-369/2, 65], [18, -29/2], [3, 1/2]], [[-3/2, -3/2], [363/2, -36], [-12, 27/2], [-9/2, -3/2]]], 0, 54, [], [] >,
< [ -3, 0, 1 ], [[-9, -15]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1045/2, -1], [-244570/167, 5115/334], [-1045/334, -1/167], [0, 0]], [[-1204337/2, 1588725], [-310156488/167, 4483140451/1002], [-1205061/334, 4766173/501], [264/167, -2/501]], [[-456713120, 173882465], [-433731794243/334, 252298214599/501], [-913481503/334, 1043481535/1002], [20449/167, -136721/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-365, 1/2], [-322061/334, -402/167], [-365/167, 1/334], [0, 0]], [[4552580, 431999], [44204658799/3674, 13091750351/11022], [50057266/1837, 14256008/5511], [-3973/3674, 1/11022]], [[9611586951/2, -14785865969/2], [45763393524227/3674, -35759913888462/1837], [52830716864/1837, -81284828904/1837], [-6199817/3674, 3520206/1837]]], 1, 20, [], [] >,
< [ -3, 0, 1 ], [[-9, -15]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-470, -1/2], [-436787/334, 235/167], [-470/167, -1/334], [0, 0]], [[994105/2, 1053/2], [231099277/167, -745550/501], [994345/334, 3169/1002], [-175/334, -5/1002]], [[-5213843/2, 2893492], [-2441367623/334, 2695789637/334], [-2607524/167, 5788365/334], [446/167, -1011/334]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[229/2, -1/2], [125669/334, 2307/334], [229/334, -1/334], [0, 0]], [[68548, -11533], [252370507/1837, -360649601/11022], [1482175/3674, -761113/11022], [-2435/3674, 1/5511]], [[92715127, -153689351/2], [786077034097/3674, -894265110187/5511], [1008709261/1837, -4995883111/11022], [-1047704/1837, 3567112/5511]]], 1, 20, [], [] >,
< [ -3, 0, 1 ], [[-9, -15]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -2], [81, 7], [-6, -1/2], [0, 0]], [[-36, 9], [-346, 905/2], [27, -36], [-1/2, 2]], [[0, 0], [-29/2, -7], [0, 0], [1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1], [-135, -70], [3, 1/2], [0, 0]], [[61/2, -33/2], [172, -611/2], [-99/2, 61/2], [-1/2, -2]], [[377/2, -145/2], [-3984, -4452], [-435/2, 377/2], [-57, -42]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-27, -21]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 5/2], [759/334, 328/167], [-12/167, 5/334], [0, 0]], [[923, -589/2], [-741693/334, 173333/1002], [-1623/334, -881/501], [-1029/334, -2/501]], [[52759/2, -203234], [70934427/167, 105114697/167], [480567/167, 647247/334], [271115/334, 156520/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-489, -5/2], [2021277/334, 5684/167], [-489/167, -5/334], [0, 0]], [[-5722693/2, 3], [129548981905/3674, 66640083/3674], [-31521682/1837, 13/3674], [3204/1837, 1/3674]], [[2024238882, 2297415350], [-4173151644799/167, -14190537274303/501], [2027259077/167, 6902514713/501], [-206169/167, -701698/501]]], 1, 20, [], [] >,
< [ -3, 0, 1 ], [[-27, -21]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[303, -1/2], [-42837/334, -1268/167], [303/167, -1/334], [0, 0]], [[302741, 597845/2], [-48720931/334, -134600215/1002], [600887/334, 896773/501], [-1363/334, -2/501]], [[647160305, 314031215], [-49364602503/167, -24482122332/167], [646047375/167, 312750845/167], [-332150/167, -380380/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-167, 0], [1973, 13], [-1, 0], [0, 0]], [[-5836515/2, -335007], [63558655779/1837, 23066626403/5511], [-32136768/1837, -22110521/11022], [4913/3674, -1/5511]], [[-10336511995/2, -4643791173], [114264641427192/1837, 609840111829765/11022], [-113793232209/3674, -153400939111/5511], [3126473/1837, 10648505/5511]]], 1, 20, [], [] >,
< [ -3, 0, 1 ], [[-27, -21]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, 2], [9, -3], [69, 1/2], [0, 0]], [[816, 144], [-945/2, 33/2], [-5325, -1671], [1/2, 3/2]], [[-1920, -480], [2109/2, 53], [12948, 4779], [-2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1, -3/2], [-2, -1], [-3/2, 10], [-3, -2]], [[-13, 17/2], [3, 1/2], [129/2, -47], [3/2, 3]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[18, 15]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[788, 1], [18285/772, -941/772], [-27/4, -5/4], [979/5018, 1/5018]], [[539, 2485/2], [3969/386, 14083/386], [-21/2, -23/2], [1337/10036, 3087/10036]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 3/2], [1, -1/2], [0, 0]], [[-16255/2, 0], [-220917/772, 14535/772], [15/4, 3/4], [-20195/10036, 5/10036]], [[-129300, -334456], [-1720143/772, -8859743/772], [609/4, 665/4], [-80166/2509, -207742/2509]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[18, 15]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31/2, -4], [-7/2, -1], [0, 0]], [[-20983/2, -3], [-1335837/386, 137606/193], [-1311/2, 133], [-26069/10036, -1/10036]], [[-18645809/2, -23623847/2], [-512833755/772, -2518660101/772], [-530955/4, -2479101/4], [-890135/386, -564312/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9/2, 9], [3/2, 1], [0, 0]], [[16255/2, 0], [78148/193, -29945/386], [-1, -7/2], [20195/10036, -5/10036]], [[695634, 566334], [14235119/772, 16655791/772], [-3269/4, -1477/4], [431862/2509, 351696/2509]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[27, 3]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -3/2], [9/2, -3], [-6, -3/2], [0, 0]], [[9/2, -2], [-557609/386, 9395/1158], [278, -7/2], [-255/193, 1/1158]], [[111, 8], [-36706623/386, -8613995/193], [36237/2, 16921/2], [-16905/193, -15925/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 3/2], [-171/2, -6], [-3, 3/2], [0, 0]], [[3381, -17], [-27437, 21615/2], [-2709/2, -33/2], [1/2, 0]], [[-277719/2, -5128], [2275221402/2123, -5055235303/12738], [1226515/22, 33136/11], [-43624/2123, -5488/6369]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[27, 3]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1], [-9, -13], [0, -1], [0, 0]], [[-87/2, 20], [-54104/193, 144695/1158], [445/2, 18], [-248/193, 2/579]], [[-24, 131], [-12579/193, 340971/386], [-5193/2, -3707/2], [4851/386, 1862/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 1/2], [255/2, -7], [-6, 1/2], [0, 0]], [[-9699, 68], [-809417843/2123, -17793959/6369], [86117/11, 744/11], [-3929/2123, -1/6369]], [[11720151, 1206915/2], [980552126427/2123, 64402798228/2123], [-208697145/22, -6988704/11], [4753668/2123, 556375/4246]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[27, 3]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 3/2], [30, -1], [9/2, 2], [0, 0]], [[13/2, 15/2], [234, -183/2], [45/2, 13/2], [1/2, -1]], [[-6, -5/2], [27, -83/2], [-15/2, -6], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [235, -10], [0, 1/2], [0, 0]], [[-1, 1/2], [-5320/11, 7287/22], [-9/22, 2/11], [9/22, -2/11]], [[0, 0], [-38, -23], [0, 0], [0, 0]]], 1, 36, [], [] >,
< [ -3, 0, 1 ], [[-9, -12]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1], [69/4, 1/4], [-3, 1/2], [0, 0]], [[-23, 11/2], [113/4, 355/2], [12, -30], [7/26, 3/52]], [[-19, 6], [-93/4, 523/4], [33/2, -47/2], [9/52, 1/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 5/2], [39/4, 17/4], [15/2, 2], [0, 0]], [[-142, 119/2], [305/4, -105], [180, -144], [1/13, -1/52]], [[27, 6], [42, 34], [18, 27], [0, 0]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-9, -12]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 0], [-23/4, -3/4], [0, -1/2], [0, 0]], [[159/2, -2], [32, 23/4], [0, 0], [159/52, -1/13]], [[159, 2544], [1391/2, 1053], [0, 0], [159/26, 1272/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1], [-33/4, 7/4], [3, 5/2], [0, 0]], [[105/2, 71/2], [-849/4, 107/2], [225/2, 90], [-75/52, -1/13]], [[205/2, 97], [-4971/4, 2215/4], [162, 549/2], [-86/13, 43/26]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[45, 21]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 0], [-15, -27/2], [0, 3/2], [0, 0]], [[-23, 23/2], [43038/193, 108301/1158], [143/2, -23], [69/386, -1/1158]], [[-585/2, 261/2], [1747945/386, 1265507/579], [1015, -191], [580/193, 551/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1], [-96, -25/2], [3, 1/2], [0, 0]], [[-64, 193], [418276745/4246, 17818118/6369], [88061/22, -1451/22], [-6893/4246, 1/6369]], [[-297297, 508248], [530624422843/2123, -99275760002/6369], [113082269/11, -12019122/11], [-8812450/2123, 2389355/6369]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[45, 21]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1], [9, -1/2], [3, 1/2], [0, 0]], [[9/2, -6], [371337/193, 16142/579], [1457/2, 9], [696/193, 5/1158]], [[231, -2121/2], [154008909/386, 15436632/193], [301779/2, 29964], [143259/193, 27030/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1], [108, -29/2], [-3, 5/2], [0, 0]], [[-98, -268], [173255527/4246, -88491107/4246], [-16149/11, -1080/11], [1337/4246, 1/4246]], [[12402, 95718], [-71553734357/4246, 56481562559/6369], [11692283/22, -155511/22], [-491815/4246, 58450/6369]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[45, 21]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 0], [30, 17], [0, 3/2], [0, 0]], [[5/2, -5/2], [-121/2, 25], [-15/2, 5/2], [1, -3/2]], [[7, -1], [-39, 105/2], [-3, 7], [9/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1], [309, 85], [-3, 3/2], [0, 0]], [[5, 311/2], [-272694, -295587/2], [969/2, -4], [-3/2, 0]], [[-233/2, -123], [3526180/11, 1997024/11], [-4143/11, -2503/22], [13/11, 4/11]]], 1, 36, [], [] >,
< [ -3, 0, 1 ], [[-45, -15]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -3], [-59/2, -9/2], [-1/2, -5/2], [0, 0]], [[-425, 144], [-184873/74, 149989/111], [467, -1685/6], [-21/185, 1/1110]], [[24433/2, 9060], [6077/74, 534498/37], [4001, -527], [6363/740, 3927/740]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -3], [-317/2, -15/2], [-1/2, -5/2], [0, 0]], [[3599/2, -576], [-78928519/814, -29494393/2442], [1751/2, -23/3], [2891/8140, -1/24420]], [[-1899076, -916083/2], [173337670753/814, 128923879352/1221], [-3246515/2, -4406063/6], [-1084855/1628, -7415303/24420]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[-45, -15]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -2], [41/2, 13/2], [-5/2, 1/2], [0, 0]], [[-4, 1/2], [3749/37, -1651/37], [155/2, 5], [-163/740, 1/740]], [[-487/2, -68], [136669/37, -118241/222], [11719/2, 14135/6], [-11431/740, -2485/444]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [-79, -25/2], [1, -1/2], [0, 0]], [[-163, -3/2], [-83771/814, -134713/1221], [-197/2, -5/6], [-197/8140, -1/4884]], [[34371/2, 16815/2], [22349931/814, 13581555/814], [10374, 5073], [5187/2035, 5073/4070]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[-225, -75]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 0], [29, -12], [-2, 2], [0, 0]], [[11/2, 34], [-179465/74, 3202/111], [-338, 56/3], [-715/148, -5/444]], [[10761/2, 5607/2], [-6536193/37, -8586603/74], [-22479, -30159/2], [-13392/37, -8742/37]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 0], [-335/2, 21/2], [5/2, -5/2], [0, 0]], [[676, -119], [-10358822/407, -8905535/2442], [-1201/2, -25/3], [491/814, -1/1221]], [[-42237/2, -7956], [512609511/407, 517101415/814], [50553/2, 23557/2], [-40479/1628, -18643/1628]]], 1, 1248, [], [] >,
< [ -3, 0, 1 ], [[-225, -75]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1/2], [31/2, -11], [-1/2, 1], [0, 0]], [[65/2, 11/2], [355/2, -35/2], [112, 3], [3/2, 0]], [[-3743/2, -1039], [-249937/37, -782453/222], [-10573/2, -17155/6], [-10045/148, -16195/444]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, 7/2], [194, 5/2], [1, 5/2], [0, 0]], [[5751/2, 4420], [-102643559/814, 48658889/407], [5360, 17], [-1909/1628, -1/1628]], [[7469972, 4711574], [14661579242/407, 118664230247/2442], [8769415/2, 6260437/3], [-388945/407, -1108675/2442]]], 1, 1248, [], [] >,
< [ -3, 0, 1 ], [[-180, -111]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-563/2, -5/2], [-194595/772, -1589/772], [-27/4, -5/4], [-607/386, -1/193]], [[23959/2, -35308], [2083431/193, -6103515/193], [-162, -792], [54223/772, -152581/772]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 5/2], [-2, 1/2], [0, 0]], [[415/2, 0], [-190989/772, 66963/772], [343/4, -161/4], [895/772, -5/772]], [[1099, 5181/2], [748275/386, -1015179/386], [-2107/2, 1715/2], [4553/772, 11147/772]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[-180, -111]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25/4, 9/4], [-1/4, 1/4], [0, 0]], [[-227, -3/2], [-35865/193, 1698/193], [0, 0], [-979/772, -1/772]], [[1806, -9331/2], [404961/193, -753317/193], [0, 0], [8127/772, -20167/772]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35/4, -5/4], [5/4, 3/4], [0, 0]], [[467/2, 2], [31167/193, 4942/193], [0, 0], [1007/772, 3/772]], [[122, 335], [36369/193, 46974/193], [0, 0], [251/386, 721/386]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[-153, -69]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, -1/2], [39/2, 10], [15, -1/2], [0, 0]], [[-12315/2, 3057], [347432/193, 335689/579], [-7924, 6107/2], [-717/386, -1/579]], [[-903999, 353885/2], [391148125/386, 621240775/1158], [-3221899/2, -123787], [-286559/386, -182642/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-102, -1/2], [1179/2, 10], [-102, -1/2], [0, 0]], [[-16359, 98261/2], [15531595/2123, -1794968284/6369], [-1994983/22, 540308/11], [4515/2123, 5/12738]], [[9723927, 8538195], [-155758496697/2123, -120243126588/2123], [-59248659/11, 21513993/11], [917964/2123, 399900/2123]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[-153, -69]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-177/2, 1], [-33, 5/2], [-177/2, 1], [0, 0]], [[-179499/2, -258047/2], [-4704584/193, -26537531/579], [-177257/2, -258043/2], [455/386, 1/1158]], [[-405614751/2, -132961533], [-12754038083/193, -8623562391/193], [-201915102, -265158017/2], [361675/386, 77441/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27/2, -3/2], [-147/2, 21/2], [-27/2, -3/2], [0, 0]], [[32229/2, -13], [371297196/2123, 19096523/12738], [-1722383/22, -234/11], [5735/2123, 2/6369]], [[69631683/2, 15197414], [812068849201/2123, 357697997095/2123], [-1863261591/11, -1628378559/22], [24811273/4246, 5420066/2123]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[-153, -69]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[99/2, 1/2], [3, -4], [129/2, -3/2], [0, 0]], [[47/2, 28], [105/2, 153/2], [27, 71/2], [3/2, 5/2]], [[6615/2, 1911/2], [9021, 4309/2], [8379/2, 2205/2], [589/2, 62]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[67, 3], [-1887, -6], [87, 1], [0, 0]], [[-2952265/2, -47742], [915977577/22, -4262865/11], [-21109311/11, 41887/22], [-19/11, 1/22]], [[-285304230, -149878161/2], [85963740435/11, 19646586170/11], [-7971398781/22, -938704233/11], [-3523/11, -754/11]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[-72, -57]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [21/4, 3/4], [-3/2, -2], [0, 0]], [[-217/2, -3/2], [1243/4, -135/4], [0, -111], [5/4, -3/4]], [[5731/2, 1675], [-12971/2, -15265/4], [5022, 2862], [7/4, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 0], [9/2, 3/2], [0, 2], [0, 0]], [[-1/2, -6], [-16, -14], [-33/2, 0], [-1/4, -1/4]], [[-43, 15/2], [-315/4, -37/2], [24, -40], [-3/2, -1/4]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[-72, -57]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 0], [9/2, 1/2], [0, 2], [0, 0]], [[-1/2, -1], [-9, 7/2], [9/2, -3], [5/4, -5/4]], [[6, 7/2], [9, 17/4], [3/2, 3/2], [9/4, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1/2], [7/2, 1], [3/2, 5/2], [0, 0]], [[-42, -31], [-68, -189/4], [-189/2, -42], [0, 1/4]], [[-21/2, -7], [-67/4, -43/4], [-21, -21/2], [0, 0]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[-99, -15]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-129/2, 1], [-99, 21/2], [84, 3/2], [0, 0]], [[-21973, -40483/2], [-4596104/193, -16076486/579], [35618, 54781/2], [-827/386, -1/579]], [[30491513/2, 10751780], [3516096684/193, 2728103477/193], [-46273599/2, -15119573], [176226/193, 80451/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, 3/2], [-285/2, -2], [57/2, -1], [0, 0]], [[121011/2, -7049/2], [22988805/2123, 119867587/12738], [-1757927/11, 21482/11], [-9567/4246, -2/6369]], [[-1600330879/2, -106867495], [-467905750868/2123, -664122756871/4246], [23870116686/11, 8422583975/22], [65407568/2123, 12267696/2123]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[-99, -15]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[67/2, -3/2], [75/2, 5/2], [-87/2, 1/2], [0, 0]], [[1022, 169/2], [115599/386, 68957/579], [6521/2, -116], [-441/193, -2/579]], [[710731/2, 85347], [23151432/193, 10905112/193], [2138115/2, 143558], [-147339/193, -49755/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29, 5/2], [63/2, -4], [75/2, -2], [0, 0]], [[-14945, -1085], [-862131383/2123, 1961431/4246], [3462171/22, 45701/22], [8099/2123, 1/4246]], [[742595, 174860], [41269942482/2123, 21126778546/6369], [-83478718/11, -15329047/11], [-387936/2123, -199864/6369]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[-99, -15]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-45/2, -5], [45, 8], [30, 15/2], [0, 0]], [[-98, -455/2], [50, 540], [291/2, 313], [2, -2]], [[-994, -686], [1896, 2865/2], [1395, 956], [-3/2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[175/2, -1], [-2223, -26], [-114, -5/2], [0, 0]], [[-27454798, 1862065/2], [7660628255/11, -165795973/22], [785161863/22, -227555/11], [1/22, 1/11]], [[97697/2, 109343/2], [-1338411, -1418780], [-141693/2, -146869/2], [0, 0]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[81, 3]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10211/2, 5/2], [4561681/334, 8171/334], [10211/334, 5/334], [0, 0]], [[-161537470, 807682969/2], [-142922002469/334, 540955855213/501], [-161532536/167, 2423048947/1002], [-369/167, -1/501]], [[-6463884771/2, -8548718989], [-2917504646477/334, -22925653208975/1002], [-3232058393/167, -51292486561/1002], [8673/167, 12887/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2777, -1], [-15148819/167, -3204/167], [-2777/167, -1/167], [0, 0]], [[7040, -1353/2], [-293536696/1837, -243238499/11022], [-15923/1837, -104197/11022], [3973/3674, -1/11022]], [[-6392653/2, -511068], [157925579113/1837, 54890915740/1837], [14005721/1837, 20772879/3674], [-1940625/3674, -237375/1837]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[81, 3]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11065/2, 1], [2471014/167, -1107/334], [11065/334, 1/167], [0, 0]], [[-75534476, -225439442], [-33614461202/167, -100675751187/167], [-75538942/167, -225439444/167], [2, 0]], [[569027357612, 1144695353271/2], [507676968584791/334, 1533170828127757/1002], [1138075664549/334, 1717050808102/501], [-1566223/334, -580658/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-983/2, -3/2], [-5365789/334, -9445/334], [-983/334, -3/334], [0, 0]], [[68853, 413749/2], [3670084002/1837, 74503657919/11022], [591729/1837, 13547935/11022], [7049/3674, 1/11022]], [[-1161250527, -2330646473/2], [-134589823445309/3674, -416086586981983/11022], [-23687059069/3674, -37537467442/5511], [-36672575/3674, -13684150/5511]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[81, 3]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 7/2], [-6, -10], [39/2, 16], [0, 0]], [[333, 373/2], [-709, -721/2], [2853/2, 795], [1/2, 1]], [[1029, 544], [-2372, -944], [4428, 2307], [-2, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 6], [69, 38], [39, 53/2], [0, 0]], [[146, 71], [854, 1127/2], [639, 295], [-1/2, 1]], [[-315, -619/2], [-3478, -2669/2], [-2403/2, -1407], [-25/2, 5]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[153, 75]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6835, 5/2], [-692959/334, 2499/167], [6835/167, 5/334], [0, 0]], [[-14773657/2, -14590217], [357735993/167, 4420646501/1002], [-14774865/334, -43770635/501], [70/167, -2/501]], [[-2227041225, -3117391221/2], [222212006405/334, 468970813217/1002], [-4454188387/334, -4676150501/501], [12267/334, 7366/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5938, -3/2], [-46950635/334, -4973/167], [-5938/167, -3/334], [0, 0]], [[-51168791, 4760175/2], [-4450709404983/3674, 621567629603/11022], [-1125778239/3674, 78550144/5511], [2435/3674, 1/5511]], [[-545384631, -199344540], [-23717926006521/1837, -8668646107185/1837], [-5999564367/1837, -2192905956/1837], [13731/1837, 5385/1837]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[153, 75]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9099/2, -2], [232461/167, -1627/334], [-9099/334, -2/167], [0, 0]], [[-323933227/2, -32506161], [8256128935/167, 4885021624/501], [-161963615/167, -195036919/1002], [-695/334, -2/501]], [[-2256619683073/2, -1092565765865/2], [114643595271809/334, 55371201446681/334], [-2256585910645/334, -1092552207989/334], [-1955340/167, -784266/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-470, 1/2], [-3710989/334, 3940/167], [-470/167, 1/334], [0, 0]], [[-808017/2, 175519], [-33170013743/3674, 15280477865/3674], [-4333741/1837, 3844865/3674], [-4144/1837, 1/3674]], [[-132111305/2, 4317675], [-5060240650053/3674, 1963405916227/11022], [-692015265/1837, 359953675/11022], [-1428700/1837, -3457925/11022]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[153, 75]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, -3/2], [36, 17], [-123/2, -2], [0, 0]], [[-7174, 7385/2], [-6309, 251/2], [63927/2, -14993], [-1/2, -2]], [[42833, -32494], [-57573/2, -44142], [-159786, 152050], [-45, -27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35/2, 5/2], [1, 2], [195/2, 5/2], [0, 0]], [[11, -25/2], [-11/2, 0], [-27/2, 56], [-3, 1/2]], [[-313, -1157/2], [-795/2, -325/2], [7977/2, 3649], [-345/2, -105/2]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[81, 27]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1], [-21, 3], [-3, 3/2], [0, 0]], [[0, 0], [-3/2, 23/2], [0, 0], [15/2, 5/2]], [[0, 0], [-9/2, 1], [0, 0], [0, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [-45, -3], [-15/2, 0], [0, 0]], [[15/2, -1/2], [-15/2, 62], [-3/2, 15/2], [6, 1/2]], [[0, 0], [9/2, -1], [0, 0], [0, 1/2]]], 0, 162, [], [] >,
< [ -3, 0, 1 ], [[-9, -9]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 2], [0, 2], [6, -9/2], [0, 0]], [[-57/2, -7], [57, 99/2], [-9, -63/2], [3/2, -2]], [[-262, -167/2], [611, 472], [-309/2, -278], [8, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -2], [6, 2], [-6, 15/2], [0, 0]], [[-135/2, 195/2], [161/2, 89], [585/2, -135/2], [1, -5/2]], [[225/2, -135/2], [61/2, -47/2], [-405/2, 225/2], [-5/2, 3/2]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[81, 27]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -3/2], [-9, -12], [-9/2, 3], [0, 0]], [[24, 28], [-2745, -3113/2], [84, 24], [3/2, -3]], [[27/2, 87/2], [-3396, -1889], [261/2, 27/2], [6, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 0], [6, -15], [0, 3], [0, 0]], [[30, 4], [-15/2, -146], [12, 30], [6, 15/2]], [[-15, 67/2], [-540, 273/2], [201/2, -15], [45/2, 0]]], 0, 162, [], [] >,
< [ -3, 0, 1 ], [[-9, -9]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -2], [-6, 5], [-6, 0], [0, 0]], [[-10, -7/2], [37/2, 11/2], [-21/2, -10], [15/2, 3/2]], [[-108, 4], [219, -49/2], [12, -108], [207/2, -23]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[9/2, 5/2], [3/2, 1], [15/2, 9/2], [3, 3/2]], [[3, -3/2], [-5/2, 3/2], [-9/2, 3], [9/2, -5/2]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[-9, -9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33/2, -9], [6, -15/2], [0, 0]], [[-15/2, -1/2], [-599/2, 212], [-443, -79/2], [-1/2, -5/2]], [[15/2, 0], [342, -232], [435, 10], [0, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [93/2, -9], [-3, 15/2], [0, 0]], [[9/2, 1/2], [8327/2, -1453/2], [-449/2, 1353/2], [1/2, 3/2]], [[0, 5/2], [-2140, 5287/2], [2525/2, -270], [5/2, 0]]], 1, 18, [], [] >,
< [ -3, 0, 1 ], [[-9, -9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51/2, 9/2], [-9/2, -3/2], [0, 0]], [[15/2, 1], [509, -266], [46, -4], [1, 5/2]], [[21/2, 7/2], [845/2, -193], [56, 17/2], [7/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21/2, 0], [0, 9/2], [0, 0]], [[0, 2], [65/2, -9/2], [25/2, -19/2], [2, 0]], [[3/2, 2], [28, 4], [5, -6], [2, 1/2]]], 1, 18, [], [] >,
< [ -3, 0, 1 ], [[45, 9]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 2], [89, 40], [6, 5/2], [0, 0]], [[-63, 48], [1761, -1371/2], [144, -63], [9/2, 1]], [[-768, 1152], [90711/2, -6001], [3456, -768], [216, 189/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1], [23, 29], [3, -5/2], [0, 0]], [[-51/2, 21], [-765, -206], [63, -51/2], [-3, 1]], [[225/2, 225/2], [-32253/2, -8997], [675/2, 225/2], [-21, -17/2]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[63, 27]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 2], [-12, -1], [39, -9/2], [0, 0]], [[315, -169/2], [1011/2, 39], [-3267/2, 201], [0, 1/2]], [[-110, 901/2], [1433/2, 1803/2], [-1287/2, -2579], [5/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -1], [12, 5], [-33, 0], [0, 0]], [[-143, 74], [-193/2, 1], [642, -286], [1, 5/2]], [[-10021/2, 3351], [577, 2595], [18756, -30719/2], [-209, -44]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[-9, -81]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 4], [-42, -26], [33, 33/2], [0, 0]], [[67/2, 51/2], [-258, -96], [297/2, 247/2], [-1, -2]], [[-39/2, -117/2], [1365/2, -13], [-63/2, -615/2], [-6, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, -13/2], [45, 20], [-87/2, -57/2], [0, 0]], [[-193, -211/2], [609, 435], [-1671/2, -446], [-1, -1]], [[-208, -68], [-87/2, 707], [-975, -242], [2, -5/2]]], 1, 720, [], [] >,
< [ -3, 0, 1 ], [[-225, -153]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -1], [-21, -20], [-42, -3/2], [0, 0]], [[-17954, 27273/2], [-115817/2, 1916], [133587/2, -63824], [-2, 5/2]], [[296395, 3650531/2], [-37539893/2, -8400684], [-14484147/2, -11237345], [493, 1073/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 2], [-30, -27], [66, 0], [0, 0]], [[4133/2, -1524], [-10343/2, -47], [-7821, 14173/2], [1, 3/2]], [[137367/2, -56442], [-223257, -24961], [-242397, 540765/2], [63, 69]]], 1, 720, [], [] >,
< [ -3, 0, 1 ], [[27, 9]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -3/2], [-6, -9], [-9/2, -3], [0, 0]], [[6, -39/2], [-567, 262], [-129/2, 6], [0, 1]], [[35, -103/2], [-3407/2, 856], [-339/2, 37], [-1, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 0], [-12, -6], [0, 9/2], [0, 0]], [[-24, 8], [27/2, 17], [24, -24], [0, -5/2]], [[-12, 6], [-2, 5], [18, -12], [1, -1]]], 1, 18, [], [] >,
< [ -3, 0, 1 ], [[27, 9]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 3/2], [0, 5], [9/2, 0], [0, 0]], [[11/2, 0], [49/2, 25/2], [15, 13/2], [-15/2, -1/2]], [[140, -125/2], [395/2, 40], [321/2, -5], [-174, 145/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -2], [-15, 1], [-6, 3/2], [0, 0]], [[-207/2, -147/2], [-814, -853/2], [-441/2, -207/2], [9/2, -2]], [[153/2, 99/2], [1121/2, 613/2], [297/2, 153/2], [-3/2, 1/2]]], 1, 18, [], [] >,
< [ -3, 0, 1 ], [[2, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [47/2, 25/2], [7/2, 3/2], [0, 0]], [[0, 0], [169/2, 65/2], [33/2, 3/2], [0, 0]], [[0, 1/2], [0, 0], [0, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53/2, -29/2], [-5/2, -3/2], [0, 0]], [[0, 0], [15, 29/2], [5/2, 1], [0, 0]], [[1/2, 0], [-1/4, 1/4], [1/4, 1/4], [1/2, 0]]], 1, 2, [], [] >,
< [ -3, 0, 1 ], [[2, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31/2, -11/2], [-9/2, -3/2], [0, 0]], [[0, 0], [-66, -32], [-19, -9], [0, 0]], [[0, 1/2], [1, 1/2], [1/2, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [71/2, 19], [11, 13/2], [0, 0]], [[0, 0], [-13, -12], [-6, -3], [0, 0]], [[1/2, 0], [3/4, -3/4], [1/4, 1/4], [1/2, 0]]], 2, 2, [], [] >,
< [ -3, 0, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17/2, 7/2], [5/2, -1/2], [0, 0]], [[0, 0], [17/2, -3/2], [-7/2, -1/2], [0, 0]], [[0, 0], [0, 0], [0, 0], [2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37/2, 12], [0, -1/2], [0, 0]], [[0, 0], [45/2, 27/2], [-1/2, -1/2], [0, 0]], [[0, 0], [0, 0], [0, 0], [2, 1]]], 0, 3, [], [] >,
< [ -3, 0, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [113/2, 67/2], [9/2, 1/2], [0, 0]], [[7/2, 3/2], [58, 50], [38, -18], [7/2, 3/2]], [[5/2, -5/2], [-143, 55], [287, -167], [5/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [297/2, 87], [1, 3/2], [0, 0]], [[5, 1], [-755/2, -313/2], [-77/2, 35/2], [5, 1]], [[-17/2, 9/2], [575/2, -257/2], [329/2, -189/2], [-17/2, 9/2]]], 0, 3, [], [] >,
< [ -3, 0, 1 ], [[12, 4]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1], [-2, 0], [3, 1], [0, 0]], [[2, -1], [-25/2, -15/2], [2, -1], [-5/2, -5/2]], [[1/2, -1/2], [14, 8], [1/2, -1/2], [4, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1/2], [-21, -11], [-5/2, -1/2], [0, 0]], [[17, -10], [25/2, -29/2], [17, -10], [1/2, -3/2]], [[-55, 30], [-119, -1], [-55, 30], [-15, -3]]], 0, 12, [], [] >,
< [ -3, 0, 1 ], [[18, 10]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1/2], [-12, -2], [1/2, -1/2], [0, 0]], [[0, 0], [5, 3], [0, 0], [0, 0]], [[0, 1/2], [1, 1/2], [1/2, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [-15, -5], [1/2, 0], [0, 0]], [[0, 0], [-5, -7], [0, 0], [-8, -4]], [[0, 0], [3/2, 11/2], [0, 0], [11/2, 5/2]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[12, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, -3], [-5, -1], [0, 0]], [[-7/2, 3/2], [713/2, -257/2], [-63/2, 9/2], [-7/2, 3/2]], [[-17/2, -9/2], [1190, 650], [-207, -117], [-17/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [49/2, 9/2], [1/2, -1/2], [0, 0]], [[-2, 1], [-8, -2], [0, 0], [-2, 1]], [[-1/2, -1/2], [-5, -3], [0, 0], [-1/2, -1/2]]], 0, 8, [], [] >,
< [ -3, 0, 1 ], [[-6, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-85/2, -25/2], [-13/2, -7/2], [0, 0]], [[-6, 1/2], [-713/2, -13/2], [-75/2, -35/2], [1/2, -2]], [[24, 0], [2867/2, 291/2], [335/2, 165/2], [0, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63/2, -29/2], [-9/2, -1/2], [0, 0]], [[-15/2, -1/2], [-63, -162], [47, -50], [-1/2, -5/2]], [[0, -15/2], [-473, -61/2], [-319/2, 57], [-15/2, 0]]], 2, 4, [], [] >,
< [ -3, 0, 1 ], [[34, 20]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3361/2, 3/2], [810285/334, -1367/501], [633/167, -1/501], [695/334, -2/501]], [[-319763, -1798478], [-148932597/334, -1300295951/501], [-235125/334, -4063625/1002], [-62986/167, -2230277/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1503, 0], [-4891, -3], [3, 0], [0, 0]], [[-131719849/2, -15189213/2], [393793809469/1837, 273847408841/11022], [-21953336/167, -7594607/501], [171/1837, 5/11022]], [[-24439613009/2, -49789825777/2], [73322925093354/1837, 148866415374904/1837], [-8146541217/334, -16596629287/334], [21369/3674, 381361/11022]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[18, 8]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1527/2, 5/2], [239225/334, -179/1002], [509/334, 5/1002], [0, 0]], [[-425/2, -331/2], [-588, -973/6], [0, -1/3], [338/167, 5/1002]], [[-107131/2, -79259/2], [-45951293/334, -14490675/334], [-4005/334, -24945/334], [75761/167, 12719/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4533/2, -5/2], [-724193/334, 6191/1002], [-1511/334, -5/1002], [0, 0]], [[-66079251/2, -6342149/2], [-57933343044/1837, -10686581347/3674], [-121191888/1837, -11627289/1837], [5981/1837, 1/3674]], [[-209036777497/2, -31094158491/2], [-183156023439029/1837, -53170397564701/3674], [-383379195120/1837, -57014006075/1837], [18625042/1837, 6170399/11022]]], 1, 10, [], [] >,
< [ -3, 0, 1 ], [[34, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [295/2, 155/2], [17/2, 7/2], [0, 0]], [[3/2, 1], [4445/2, -1006], [378, -405/2], [1, 1/2]], [[0, 0], [-390, 613], [-116, 87], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, 61], [2, 1], [0, 0]], [[6, 3/2], [-1333/2, -581/2], [13/2, -31/2], [3/2, 2]], [[-15, -4], [3343/2, 1487/2], [-27/2, 75/2], [-4, -5]]], 2, 6, [], [] >,
< [ -3, 0, 1 ], [[16, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [267/2, 69/2], [-7/2, 1/2], [0, 0]], [[-9/2, -3/2], [-11192, -6370], [154, 84], [-9/2, -3/2]], [[14, -8], [3095/2, -1203/2], [-147/2, 77/2], [14, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [2, 1], [0, 0]], [[1, -2], [21, -9], [0, 0], [1, -2]], [[-1/2, 1/2], [-4, 4], [0, 0], [-1/2, 1/2]]], 0, 12, [], [] >,
< [ -3, 0, 1 ], [[-8, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [73/2, 29/2], [5/2, 5/2], [0, 0]], [[4, 2], [-289, -182], [-31, -15], [4, 2]], [[1/2, -3/2], [148, 6], [-6, 12], [1/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47, -62], [-1, -1], [0, 0]], [[-103/2, -3/2], [-12202/11, 4494/11], [41/11, 50/11], [-103/22, -3/22]], [[-720, -320], [-172187/22, -21035/22], [2845/22, 1823/22], [-720/11, -320/11]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[6, 10]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 3/2], [133, 79], [3/2, 1], [0, 0]], [[-9/2, 2], [-21/2, -111/2], [2, -3/2], [-5/2, -5/2]], [[0, 0], [9/2, 7/2], [0, 0], [1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -3/2], [-43, -23], [-3/2, -3/2], [0, 0]], [[14, 25/2], [721/2, 201], [27/2, 14], [-2, -1/2]], [[-179/2, -51/2], [-1291, -788], [-205/2, -45/2], [2, 5]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[-16, -10]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2695/2, 1/2], [323561/334, 303/334], [773/334, -1/334], [299/167, 1/501]], [[-2686983/2, -1847143/2], [-322974371/334, -332924579/501], [-384028/167, -792794/501], [-597135/334, -205155/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2004, 0], [15940, 13], [-4, 0], [0, 0]], [[294361853/2, -119579571/2], [-2148360597181/1837, 1743749033845/3674], [539659349/1837, -219229212/1837], [-1068/1837, -1/11022]], [[-928868933695/2, -1615739900725/2], [13627723949148033/3674, 70854292596134371/11022], [-3405695016465/3674, -17772813376865/11022], [20830410/1837, 42974215/5511]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[-12, -2]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8493/2, 5/2], [-206493/334, -3853/1002], [2831/334, 5/1002], [0, 0]], [[90918589, -50498176], [-2189637476/167, 3645953441/501], [30306106/167, -50498179/501], [431/167, 2/501]], [[-48219423255/2, 17820199547/2], [582342190718/167, -1280505923617/1002], [-8036445054/167, 8910283108/501], [-590589/167, -571929/334]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2319/2, 3/2], [1575229/334, -1639/334], [-773/334, 1/334], [0, 0]], [[164976641/2, -1745427/2], [-616067777140/1837, 12729854393/3674], [302477416/1837, -3199957/1837], [5340/1837, 5/11022]], [[-1746907672915, -841059933915], [13051643115417453/1837, 18854353893004381/5511], [-6405763249024/1837, -9252291740162/5511], [-114881336/1837, -167040895/5511]]], 1, 10, [], [] >,
< [ -3, 0, 1 ], [[-16, -10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35/2, -23/2], [-13/2, -3/2], [0, 0]], [[15/2, -1], [1531/2, 467], [289, 121/2], [-1, 5/2]], [[-27, -9], [-5704, -3323], [-1546, -763], [-9, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35/2, -37/2], [-7/2, -3/2], [0, 0]], [[6, 3/2], [806, 593/2], [141/2, 53], [3/2, 2]], [[3/2, -1], [203/2, -91], [-13, 7/2], [-1, 1/2]]], 2, 6, [], [] >,
< [ -3, 0, 1 ], [[-4, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [209/2, 93/2], [-7/2, -5/2], [0, 0]], [[3/2, -1/2], [-28992, 17522], [-1054, 576], [3/2, -1/2]], [[-5, -12], [-225261, 98229], [-5691, 4607], [-5, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67, 34], [-4, -1], [0, 0]], [[-5/2, -1/2], [-56, 9], [7, -4], [-5/2, -1/2]], [[5, 0], [295/2, -101/2], [-47/2, 27/2], [5, 0]]], 0, 12, [], [] >,
< [ -3, 0, 1 ], [[2, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21/2, -34], [-2, 3/2], [0, 0]], [[-1, 0], [1328, 895/2], [-63/2, 3], [-1, 0]], [[-3/2, -5/2], [5186, 3870], [-24, -72], [-3/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57/2, -61], [2, -1/2], [0, 0]], [[-72, -1], [-29993/11, -11619/11], [204/11, 144/11], [-72/11, -1/11]], [[-2827/2, 2827/2], [14623/2, 65367/2], [-805/2, -203/2], [-257/2, 257/2]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[18, 14]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, -2], [-11, -7], [10, -2], [0, 0]], [[122, -157/2], [7/2, -10], [279/2, -64], [-2, -5/2]], [[-903/2, 709/2], [37, 71], [-1367/2, 405/2], [32, 24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27/2, 5/2], [40, -4], [49/2, -1/2], [0, 0]], [[6252, -5241/2], [-34625/2, 12809/2], [-19743/2, 3160], [-9/2, -3/2]], [[170257/2, -56720], [-217545, 153086], [-113545, 169985/2], [11, 25]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[86, 50]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1/2], [19/2, 3/2], [3/2, 1/2], [0, 0]], [[-61/2, -16], [34193/193, -91165/1158], [-61/2, -16], [510/193, -1/579]], [[1510, 1930], [39134697/386, -70057589/1158], [1510, 1930], [293287/386, -655099/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1], [-8, -6], [-3, -1], [0, 0]], [[1/2, -1/2], [-3/2, 1/2], [1/2, -1/2], [0, 0]], [[1, 9/2], [517/386, 7045/1158], [3/2, 7], [1/386, 7/579]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[54, 32]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -2], [-2, -1], [0, 0]], [[10190, -3/2], [7765713/386, -194/193], [7/2, 2], [-17053/10036, -1/30108]], [[367/2, -105], [69910/193, -40003/193], [0, 0], [-307/10036, 527/30108]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 13/2], [-6, -7/2], [0, 0]], [[-25207/2, 5/2], [115937/386, 5979/386], [-1/2, 1/2], [5273/2509, -1/15054]], [[-49/2, 1], [123/193, -5/193], [0, 0], [41/10036, -5/30108]]], 2, 12, [], [] >,
< [ -3, 0, 1 ], [[24, 20]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7/2, -3/2], [5/2, 3/2], [0, 0]], [[0, 0], [1, 1], [0, 0], [0, 0]], [[-43/2, -47/2], [5319/193, 11623/386], [27, 59/2], [9/2509, 59/15054]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 7/2], [-2, 1/2], [0, 0]], [[0, 0], [-122, -82], [4, 6], [0, 0]], [[-43/2, -47/2], [108/193, 118/193], [0, 0], [9/2509, 59/15054]]], 0, 24, [], [] >,
< [ -3, 0, 1 ], [[-12, -10]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [47/4, 17/4], [7/4, 5/4], [0, 0]], [[41881/2, -3/2], [-175331/386, -14495/386], [-9/2, 11/2], [-8761/2509, -5/15054]], [[-40693747/2, -9763375/2], [90254891/193, 27485253/193], [525, -4295], [8513663/2509, 12262799/15054]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-147/2, 13/2], [-1/2, -1/2], [0, 0]], [[-32015, -2], [-10584575075/8492, 23292165/8492], [542937/44, -35/44], [-45121/55198, -5/165594]], [[3391951/2, 3705797/2], [25297854537/386, 13893719743/193], [-1306809/2, -714076], [108639/2509, 712189/15054]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[-12, -10]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 5/2], [31/2, 1/2], [7/2, 5/2], [0, 0]], [[109/2, 17/2], [38777/193, -157357/1158], [-12, 9], [-62/193, 1/1158]], [[6235/2, 3539/2], [-240409/193, -610844/579], [285/2, 207/2], [-5593/386, -9401/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 2], [231, -41], [3, 2], [0, 0]], [[-614, 2], [301114225/2123, -1061205041/12738], [-19555/22, 39/22], [-855/4246, -2/6369]], [[-129927/2, -117459/2], [-37591019097/4246, 60163861739/12738], [-2076103/22, -1873083/22], [-45824/2123, -123331/6369]]], 1, 18, [], [] >,
< [ -3, 0, 1 ], [[-12, -10]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1], [6, 5], [1, -1], [0, 0]], [[9/2, 5/2], [-51, -32], [9/2, 5/2], [2, 0]], [[0, 0], [5/2, -1], [0, 0], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, -7/2], [237, 87], [-13/2, -7/2], [0, 0]], [[196, 12], [-237059/11, 183125/22], [2371/11, 122/11], [43/22, -1/11]], [[-14500, -23200], [-38202055/22, 44911469/22], [-167405/11, -279425/11], [-1581/22, -4845/22]]], 1, 10, [], [] >,
< [ -3, 0, 1 ], [[-58, -34]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -5/2], [13/2, 0], [-5/2, -2], [0, 0]], [[-297, -176], [1009959/386, 132731/1158], [-176, -99], [-2357/386, -5/1158]], [[30195/2, 14487/2], [126895627/386, -306235249/1158], [14487/2, 10065/2], [-164406/193, 378632/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -3], [-13, -4], [-4, -3], [0, 0]], [[135/2, 63/2], [199/2, 191/2], [135/2, 63/2], [0, 0]], [[-3/2, 7], [993/386, -13709/1158], [-3/2, 7], [-1/386, 7/579]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[-36, -22]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-38, -5/2], [-15/2, -1], [-1, 1/2], [-79/52, -3/52]], [[11/2, 7/2], [5/4, 3/4], [0, 0], [11/52, 7/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-57/2, 2], [-4, -1/4], [4, 2], [-5/4, 0]], [[-113/2, 77/2], [-6, 9/2], [-1/2, -3/2], [-28/13, 20/13]]], 2, 12, [], [] >,
< [ -3, 0, 1 ], [[-12, -16]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -2], [-23/2, -13/2], [-3, -2], [0, 0]], [[13/2, -7/2], [-7/2, 3], [13/2, -7/2], [0, 0]], [[-1/2, -3/2], [-1/4, -5/4], [0, 0], [-1/52, -3/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [5/2, 3/2], [2, 1], [0, 0]], [[-1/2, -3/2], [-1/4, -1/4], [0, 0], [-1/52, -3/52]]], 0, 24, [], [] >,
< [ -3, 0, 1 ], [[6, 8]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[33/2, -3/2], [25/4, -5/2], [-47/2, 2], [-47/52, 1/26]], [[-173/2, -11/2], [-28, 17/2], [247/2, 17/2], [63/13, 7/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -3/2], [-75, -77/2], [-5/2, -3/2], [0, 0]], [[175/2, -5/2], [8617/22, 93/44], [-615/11, 15/22], [-205/286, 5/572]], [[234, -195], [42287/44, -36943/44], [-3159/22, 2691/22], [-81/44, 69/44]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[6, 8]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 1/2], [-5/2, 1/2], [11/2, 1/2], [0, 0]], [[1799/2, 125/2], [-298374/193, -11113/1158], [116, 58], [1461/386, 2/579]], [[-283347/2, 188627/2], [107299143/386, -104162440/579], [-667, 3074], [-132712/193, 514259/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [-227/2, -5/2], [-1/2, -1/2], [0, 0]], [[30053/2, -1/2], [-710515807/4246, 540856/6369], [-102852/11, -15/11], [-5714/2123, -5/12738]], [[20153496, 24119976], [-475659557055/2123, -570020733790/2123], [-138033504/11, -165118896/11], [-7668528/2123, -9173272/2123]]], 1, 18, [], [] >,
< [ -3, 0, 1 ], [[6, 8]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 0], [1, -12], [5, 0], [0, 0]], [[9, 4], [-35, -53/2], [9, 4], [-5/2, -1]], [[45/2, -5/2], [49/2, -135/2], [45/2, -5/2], [-15/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 1/2], [261, 29], [-7/2, 1/2], [0, 0]], [[1161, 9], [-1058551/11, -529437/22], [12736/11, 95/11], [-35/22, -2/11]], [[-37584, -30015], [9813223/2, 6457747/2], [-37455, -29922], [129/2, 93/2]]], 1, 10, [], [] >,
< [ -3, 0, 1 ], [[-24, -10]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 3], [-71, -62], [4, 3], [0, 0]], [[777/2, 455/2], [-7498, -8845/2], [777/2, 455/2], [5/2, 0]], [[378, 210], [-14785/2, -4027], [378, 210], [-2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 5/2], [-1269, -510], [5/2, 5/2], [0, 0]], [[-4865/2, -5/2], [1337702/11, 8127901/22], [-53059/22, -23/22], [57/22, 2/11]], [[-1094823/2, -82041/2], [45795190, 85144990], [-1085351/2, -80697/2], [592, 84]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[18, 4]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 3/2], [63, 6], [11/2, 3/2], [0, 0]], [[1819/2, 1037/2], [16597/2, 9343/2], [1819/2, 1037/2], [-1/2, -1/2]], [[-408, -306], [-3147, -6187/2], [-408, -306], [5/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -1/2], [-1117, 38], [7/2, -1/2], [0, 0]], [[-54275/2, 215/2], [199764197/22, 21304471/22], [-596955/22, 2395/22], [7/22, 3/22]], [[-2860780, -165045], [10744791749/11, 3545927865/22], [-31464595/11, -1813685/11], [797/22, 181/11]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[-50, -30]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -4/3], [-3, 1/3], [0, 0]], [[36, 5/2], [16847/37, -323/222], [-2, 1/3], [71/148, 1/740]], [[7315, 3135], [6302761/74, 2474617/74], [-603/2, -171/2], [3344/37, 3971/111]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -1], [2, 0], [0, 0]], [[-614, 5/2], [-45761/74, 583/222], [40, 35/6], [439/740, 1/2220]], [[-913793/2, -271760], [-17020737/37, -30372124/111], [37782, 133193/6], [329509/740, 587681/2220]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[-30, -20]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1/2], [-27/2, -7/2], [-5/2, -1/2], [0, 0]], [[-26, -10], [-145, -61], [-26, -10], [0, 0]], [[2, 3/2], [-105/52, -75/52], [0, 0], [-7/260, -1/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -3/2], [89/2, 51/2], [-5/2, -3/2], [0, 0]], [[-887/2, -4], [-2894191/572, -30157/572], [-943/22, -5/22], [-943/2860, -1/572]], [[5019, -3339], [8165021/143, -5435724/143], [5376/11, -3570/11], [2688/715, -357/143]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[0, 20]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [2, 1], [0, 0]], [[0, 0], [-707/26, -37/26], [-12, -1], [-7/26, 1/130]], [[0, 0], [4988/13, 6225/26], [357/2, 221/2], [85/26, 136/65]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [2, 1], [0, 0]], [[0, 0], [375172/143, -7633/143], [87/11, 9/11], [126/715, -1/715]], [[0, 0], [762812/13, -619945/26], [303/2, -101/2], [101/26, -101/65]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[0, -10]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 1/2], [7, -47/6], [-2, 5/6], [0, 0]], [[-95/2, -31/2], [-2717/74, -21257/222], [-20, 4/3], [21/185, -1/1110]], [[1628, 813], [3449, 2785], [480, 140], [-29/10, -29/30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1], [50, 8/3], [0, 1/3], [0, 0]], [[-5007/2, 27/2], [11040158/407, 1028323/814], [26, -9/2], [1909/4070, 1/4070]], [[-2729693/2, -2522389/2], [6890993980/407, 5879196041/407], [15093/2, 21371/2], [105791/407, 580771/2442]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-50, -28]], [ -351, 21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3/2], [-1/2, 3/2], [1/2, 3/2], [0, 0]], [[18, 10], [-11323/366, 2725/366], [-79/7, 76/7], [-143/2562, 5/2562]], [[0, 0], [706/183, -647/366], [37/14, -17/14], [13/2562, -1/427]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1/2], [179/2, 17/6], [1/2, -1/2], [0, 0]], [[0, 0], [14962225/4026, 21269/4026], [-4636/77, -3/11], [119/4026, 5/28182]], [[0, 0], [828170441/1342, 509168734/2013], [-1545501/154, -635835/154], [23183/4697, 19109/9394]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[40, 22]], [ -351, -21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [9/2, 1/2], [5/2, -1/2], [0, 0]], [[-18, 10], [7295/366, 655/61], [-1385/14, 135/14], [-395/2562, -2/1281]], [[0, 0], [481/366, 37/61], [-37/14, -17/14], [-13/2562, -1/427]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [195/2, 113/6], [-5/2, -5/2], [0, 0]], [[649/2, -9/2], [-25121003/2013, -3449538/671], [-185345/154, -925/154], [4429/28182, 1/9394]], [[-275169, -61506], [55531408277/4026, 4640632276/671], [22754363/22, 38123639/154], [-3794621/28182, -21301/671]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[-28, -18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7/2, -91/2], [-7/2, -1/2], [0, 0]], [[3/2, 1/2], [10969/2, 5321/2], [511/2, 329/2], [1/2, 1/2]], [[-3, 1/2], [-6571, -978], [-140, -175], [1/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7315/2, 559/2], [3/2, 3/2], [0, 0]], [[15, -5/2], [-2836035/2, 2501791/2], [-1935/2, -7/2], [-5/2, 0]], [[-195, 728], [3792509961/22, -1239712115/22], [-273293/22, -1077567/22], [-338/11, -1391/11]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[-4, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-247/2, -181/2], [11/2, 7/2], [0, 0]], [[0, 0], [4, 2], [0, 0], [2, 1]], [[0, 0], [454, -6], [-13, -3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2573/2, 187/2], [-5/2, 1/2], [0, 0]], [[0, 0], [-3798419/22, -534475/22], [-6261/22, -15/22], [41/11, 5/11]], [[0, 0], [-6516046/11, -20797960/11], [3716/11, -34830/11], [115/11, 450/11]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[82, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-193/2, -131/2], [1/2, 1/2], [0, 0]], [[9/2, 3/2], [-121, -27], [0, 0], [3/2, 3/2]], [[-6, 1/2], [198, -40], [0, 0], [1/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1483/2, -959/2], [19/2, 9/2], [0, 0]], [[3/2, -1], [721175/22, 1460401/22], [-35287/22, -251/22], [-2/11, 3/22]], [[0, 0], [24543/2, 14365/2], [-275/2, -155/2], [0, 0]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[40, 28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [83/2, 67/2], [13/2, 7/2], [0, 0]], [[0, 0], [-36, -18], [0, 0], [2, 1]], [[0, 0], [11, 106], [15, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4363/2, -549/2], [-5/2, 5/2], [0, 0]], [[0, 0], [-3672826/11, -5261482/11], [-13638/11, -40/11], [-52/11, -5/11]], [[0, 0], [-2879878096/11, -1481089415/11], [-2526512/11, -1911633/11], [-11664/11, -8181/11]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[14, 0]], [ -147, -7 ], [ -9, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5, 0], [1196/73, -373/438], [2, -1/6], [35/146, -5/438]], [[39/2, 15/2], [4381/73, 4651/219], [7, 7/3], [129/146, 23/73]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3689/2, 5/2], [243037/146, -55/438], [-20245/22, 91/66], [2291/1606, -2/2409]], [[-606157, -158783], [39974932/73, 63072223/438], [-3326176/11, -5225491/66], [376675/803, 296704/2409]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[58, 32]], [ -3321, 33 ], [ -135, -77 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20/3, 2/3], [-2, 1/3], [0, 0]], [[-532693/2, -9/2], [1595770897/2797, 3805793/16782], [-36, 135/2], [-733447/612543, -5/1225086]], [[-1121125625/2, -1332794143/2], [3363077755252/2797, 11981657161288/8391], [430884, 51984], [-3087131521/1225086, -611686141/204181]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [205/33, -5/66], [21/11, -1/66], [0, 0]], [[-47221/2, -1/2], [17587965647/30767, 238351492/92301], [3264/11, 8728/11], [-65017/612543, -1/1225086]], [[-7703363, -10740619], [5846317727499/30767, 8026714823218/30767], [12975984/11, 4332216/11], [-21211804/612543, -9858835/204181]]], 1, 18, [], [] >,
< [ -3, 0, 1 ], [[-68, -38]], [ -3321, -33 ], [ -159, -91 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25/6, 1/3], [-3/2, 2/3], [0, 0]], [[141663/2, -3/2], [48515295/2797, 247817/8391], [5, 3], [-65017/204181, 1/408362]], [[25216457/2, -8571111/2], [17241389847/5594, -17522758553/16782], [691/2, 463/2], [-69438421/1225086, 11800805/612543]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10163/66, -15/11], [29/22, -1/33], [0, 0]], [[-276293/2, 3/2], [6007183891/8391, -19288856/8391], [-95, -55/3], [760837/1225086, 1/612543]], [[51547200, 8118684], [-24619066711469/92301, -3804471884783/92301], [425485/11, 410000/33], [-47316034/204181, -7452866/204181]]], 1, 18, [], [] >,
< [ -3, 0, 1 ], [[868, 494]], [ -3321, 33 ], [ -135, -77 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/3, -19/6], [2, -1/6], [0, 0]], [[8523/2, 7/2], [-55428188/8391, 4540/8391], [25, 37/3], [16729/16782, 1/8391]], [[-313812, 72768], [4084242122/8391, -950162582/8391], [-1208, -1441/3], [-205418/2797, 47754/2797]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1115/33, -49/66], [21/11, -1/66], [0, 0]], [[645/2, 3/2], [-6552005/2797, 772026/2797], [34, -17], [211/2797, 5/16782]], [[51/2, 25/2], [-390500/2797, -191345/2797], [0, 0], [50/8391, 49/16782]]], 1, 1332, [], [] >,
< [ -3, 0, 1 ], [[1204, 690]], [ -3321, -33 ], [ -159, -91 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16/3, 0], [-1, 2/3], [0, 0]], [[-6453/2, 3/2], [-16534677/5594, 67942/2797], [5/2, 0], [2111/2797, 1/5594]], [[51624, 1912], [132162127/2797, 7747191/5594], [-40, -3/2], [-101336/8391, -3824/8391]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1355/66, 178/33], [19/22, 2/33], [0, 0]], [[2151/2, -1/2], [-487627893/30767, -645436283/92301], [2378/11, -3857/11], [-2111/8391, -1/16782]], [[-115872, -166566], [915810258697/184602, 592624999733/184602], [3071825/22, 287825/66], [76041/2797, 327097/8391]]], 1, 1332, [], [] >,
< [ -3, 0, 1 ], [[98, 0]], [ -147, -7 ], [ -9, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[61/2, 3/2], [6214/73, 133/438], [-14, 7/6], [106/73, 1/438]], [[5109/2, 1965/2], [496385/73, 532850/219], [-1015, -910/3], [16899/146, 3013/73]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-252, 1], [11111/146, -121/219], [36211/22, -245/33], [313/1606, -1/1606]], [[-703/2, -285/2], [7722/73, 18703/438], [25242/11, 61355/66], [437/1606, 266/2409]]], 1, 600, [], [] >,
< [ -3, 0, 1 ], [[-296, -132]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-349, -202], [-103, -58], [0, 0]], [[0, 0], [-26, -13], [42, 21], [2, 1]], [[0, 0], [1179/2, 689/2], [365/2, 185/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-109/2, 107/2], [105/2, 3/2], [0, 0]], [[0, 0], [-453309/11, 201104/11], [115921/11, -63684/11], [21/11, -2/11]], [[0, 0], [124320866/11, 12521683/11], [-18387702/11, 6105951/11], [-13760/11, -6136/11]]], 0, 2208, [], [] >,
< [ -3, 0, 1 ], [[1828, 1054]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [753/2, 419/2], [193/2, 121/2], [0, 0]], [[3/2, 1], [-4600, -2597], [-1250, -757], [1, 1/2]], [[0, 0], [-535, 119], [180, -156], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1955/2, -65/2], [-31/2, -17/2], [0, 0]], [[15/2, 0], [-244306/11, 71101/11], [-2430/11, -405/11], [-15/11, -5/22]], [[-153/2, -55/2], [1709742/11, 170590/11], [29241/11, 13041/11], [361/22, 161/22]]], 1, 368, [], [] >,
< [ -3, 0, 1 ], [[196, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -22], [43, 31], [0, 0]], [[0, 0], [46, 23], [-18, -9], [2, 1]], [[0, 0], [-49/2, 39/2], [-45/2, -39/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3881, -174], [-165, -2], [0, 0]], [[0, 0], [3584856467/22, -206283023/22], [-152058637/22, 106987/22], [-35/11, -4/11]], [[0, 0], [-549508372757/22, 3093539949/22], [23516862867/22, 1205610291/22], [5510/11, 900/11]]], 0, 2208, [], [] >,
< [ -3, 0, 1 ], [[244, 130]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11/2, -3/2], [9/2, -11/2], [0, 0]], [[-3/2, 0], [-108, -91], [56, 17], [0, -1/2]], [[3/2, 1/2], [439/2, 277/2], [-169/2, -85/2], [1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3091, -185], [-30, -26], [0, 0]], [[-6, 1], [-45213677/2, 36251127/2], [-476007/2, 155/2], [1, 0]], [[1224, -9/2], [67087121553/22, -70539477633/22], [1162939315/22, 189548335/22], [-4887/22, -399/11]]], 1, 368, [], [] >,
< [ -3, 0, 1 ], [[412, 234]], [ -351, -21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-54, -26], [-56, -77/3], [-54, -26], [0, 0]], [[-1689/2, -287/2], [-358481/366, -17386/183], [-14572/7, -1140/7], [163/1281, 5/2562]], [[589762, 288986], [77051403/122, 17946037/61], [18390983/14, 8440219/14], [-63555/854, -13775/427]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-83/2, -29/2], [527/2, 201/2], [-83/2, -29/2], [0, 0]], [[49300, -1819], [-569625250/2013, -3252833/671], [3886423/77, -139982/77], [-1700/14091, -1/14091]], [[100772447, 42115426], [-833692578107/1342, -552700366109/2013], [15907328783/154, 6654756481/154], [-2435581/9394, -529699/4697]]], 1, 342, [], [] >,
< [ -3, 0, 1 ], [[652, 374]], [ -351, 21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 1/2], [23/2, 1/6], [15/2, 1/2], [0, 0]], [[-2098, -167], [-385307/122, -15740/183], [-42761/14, -341/2], [6/61, 1/2562]], [[-1983135/2, -505835/2], [-530965837/366, -111961817/366], [-2850295/2, -670699/2], [8162/183, 518/61]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[101/2, 61/2], [-377/2, -545/6], [101/2, 61/2], [0, 0]], [[-87519/2, -1587/2], [-908795501/4026, 417243851/2013], [-594920/77, -58963/77], [-5095/28182, -2/14091]], [[-189133269, -38255997], [-315692605179/671, 2846593804147/4026], [-5372887917/154, -1452458559/154], [-7269965/9394, -679337/4697]]], 1, 342, [], [] >,
< [ -3, 0, 1 ], [[-250, -150]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35/2, -29/6], [9/2, -1/6], [0, 0]], [[-15, -1], [1337, 15], [-495, 147], [-1, 0]], [[-275/2, -100], [806417/74, 308205/37], [-1224, -1872], [-1175/148, -2725/444]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7/2, 1/6], [15/2, 5/6], [0, 0]], [[1793/2, -2], [-61509/74, -6065/222], [-691/2, -173/3], [-641/148, -5/444]], [[-316200, -608685/2], [11949178/37, 32471039/111], [363027/2, 414103/3], [229245/148, 218705/148]]], 1, 208, [], [] >,
< [ -3, 0, 1 ], [[-150, -100]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 3/2], [-13/2, -1/2], [11/2, 3/2], [0, 0]], [[-45, -20], [46, 15], [-45, -20], [0, 0]], [[2, 3/2], [-161/52, -115/52], [0, 0], [-7/52, -5/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1], [-70, -44], [1, 1], [0, 0]], [[621, -23], [2460587/286, 169463/143], [6199/22, -549/22], [349/143, -1/286]], [[-110756, 137051/2], [-608899617/572, 399589583/572], [-1205417/22, 737311/22], [-233445/572, 145755/572]]], 1, 208, [], [] >,
< [ -3, 0, 1 ], [[0, 100]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [2, 1], [0, 0]], [[0, 0], [359/26, 171/26], [-3, -2], [-7/26, -5/26]], [[0, 0], [128/13, 77/26], [-3/2, -3/2], [-3/26, -2/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [2, 1], [0, 0]], [[0, 0], [1391603/286, 10685/143], [4469/22, 83/22], [257/143, 5/286]], [[0, 0], [-905053/13, 260161/13], [-2898, 826], [-336/13, 98/13]]], 0, 1248, [], [] >,
< [ -3, 0, 1 ], [[0, -50]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1/2], [11, -5/2], [1, -1/2], [0, 0]], [[25/2, -5/2], [-13925/74, -2969/74], [-1, -1], [91/74, 2/111]], [[89, 8], [-139269/74, -173293/222], [-31/2, -65/6], [392/37, 112/37]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -1], [169, -13/3], [-2, 1/3], [0, 0]], [[-2797/2, 3/2], [-11388021/814, 48683/814], [8, -2], [1053/814, 2/1221]], [[-17083, -14431], [-137977745/814, -175599139/1221], [36, 349/6], [12939/814, 5448/407]]], 1, 624, [], [] >,
< [ -3, 0, 1 ], [[-42, -52]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, 23/2], [-75, -37], [23/2, 23/2], [0, 0]], [[2136, 752], [-7083, -9429/2], [2129, 752], [1/2, 0]], [[336, 232], [-1679, -920], [336, 232], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, 23/2], [-283, -70], [23/2, 23/2], [0, 0]], [[-1316, -4], [-67533/11, 272333/22], [-14329/11, -58/11], [-21/22, 1/11]], [[-1628, -916], [396547/22, 239673/22], [-17747/11, -9985/11], [-23/22, -13/22]]], 1, 264, [], [] >,
< [ -3, 0, 1 ], [[72, 62]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-115/2, -69/2], [47, 13], [-115/2, -69/2], [0, 0]], [[2214, 1251], [-2061/2, -894], [2250, 1260], [2, 1/2]], [[-477, -612], [3649, -1584], [-369, -684], [6, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, 23/2], [-1203, 47], [23/2, 23/2], [0, 0]], [[1545203, 1210], [1982149083/22, -922998602/11], [16998561/11, 13227/11], [-8/11, 1/22]], [[-271505300, -609289835], [918242768327/11, -229331489311/11], [-2986692262/11, -6702697141/11], [807/11, 3066/11]]], 1, 264, [], [] >,
< [ -3, 0, 1 ], [[-730, -422]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-24, -1/2], [103/2, 4], [-24, -1/2], [0, 0]], [[4851, -3927/2], [-3693377/386, 2087743/579], [4851, -3927/2], [124/193, -1/579]], [[-2387/2, 16863/2], [-44143/193, -3398864/193], [-2387/2, 16863/2], [901/386, 795/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-149/2, -83/2], [-45/2, -37/2], [-149/2, -83/2], [0, 0]], [[721, 29/2], [357951/386, 20527/1158], [28023/2, 25], [717/386, 1/579]], [[-1, -9/2], [-517/386, -7045/1158], [-39/2, -91], [-1/386, -7/579]]], 1, 56, [], [] >,
< [ -3, 0, 1 ], [[-462, -268]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13/2, -5], [-1/2, -1], [0, 0]], [[-441/2, 1], [3827/193, 1390/193], [-18, 8], [-179/772, 1/772]], [[2261, -221], [-35318/193, -10546/193], [207, -99], [459/193, -136/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -15/2], [-2, -3/2], [0, 0]], [[-1631/2, -5/2], [-102825/193, 9791/193], [6, -30], [-331/386, -1/579]], [[18160, -10215/2], [2482285/193, -869843/193], [-704, 708], [14755/772, -12485/2316]]], 1, 168, [], [] >,
< [ -3, 0, 1 ], [[36, 56]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43/2, -17/2], [-5/2, 1/2], [0, 0]], [[0, 0], [-449/2, -227/2], [-33/2, -3/2], [0, 0]], [[-1/2, -5/2], [735/386, 1715/193], [3/2, 7], [1/386, 7/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31, 27], [1, -1], [0, 0]], [[0, 0], [164, 225/2], [1, -5/2], [0, 0]], [[-1/2, -5/2], [78/193, 364/193], [0, 0], [1/386, 7/579]]], 0, 336, [], [] >,
< [ -3, 0, 1 ], [[-18, -28]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7/4, -35/4], [-9/4, 1/4], [0, 0]], [[739/2, -5/2], [-165103/193, 116097/193], [160, -56], [-689/386, 2/579]], [[90475/2, 25025/2], [-8245170/193, 8566676/193], [13872, -1344], [-42350/193, -71225/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-103/2, -2], [-3/2, 0], [0, 0]], [[4329/2, 5/2], [24547411/2123, 346320/2123], [-57775/11, 38/11], [4832/2123, 1/4246]], [[-65986, 164965], [-2702427207/8492, 7444309529/8492], [7141041/44, -17625915/44], [-296937/4246, 2210531/12738]]], 1, 84, [], [] >,
< [ -3, 0, 1 ], [[-18, -28]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[36, 17], [30, 12], [36, 17], [0, 0]], [[657/2, -133/2], [-152921/386, -27475/579], [-130, -65], [-855/386, -2/579]], [[-215995/2, 121797/2], [15123439/193, -24306608/579], [11245/2, -3185/2], [210197/386, -346541/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29/2, -9/2], [823/2, 203/2], [-29/2, -9/2], [0, 0]], [[1021, 722], [-38630848/2123, -237860989/12738], [-86343/22, 15843/22], [-1489/4246, -1/6369]], [[-5779649/2, -2997721/2], [27050648229/386, 11583453323/386], [-152093/2, 7554139/2], [38522/193, 72204/193]]], 1, 168, [], [] >,
< [ -3, 0, 1 ], [[-18, -28]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-117/2, -65/2], [14, 3], [-117/2, -65/2], [0, 0]], [[28, 19], [-8, -31/2], [28, 19], [-3/2, -1]], [[-24, 32], [287/2, -93], [-24, 32], [1, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[75/2, 43/2], [-293, -86], [75/2, 43/2], [0, 0]], [[4089/2, -5/2], [-12705347/22, 3576754/11], [41859/22, -289/22], [20/11, 3/22]], [[916565/2, 730145/2], [490836064/11, -332010561/11], [9255259/22, 7421011/22], [5301/11, 3914/11]]], 1, 84, [], [] >,
< [ -3, 0, 1 ], [[-334, -194]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, -3/2], [7/2, -9], [-47/2, -1], [0, 0]], [[1037/2, -561/2], [269625/386, -697751/1158], [-2465/2, 1207/2], [124/193, 1/579]], [[-54808, 35360], [-51981903/386, 14851285/386], [113152, -86632], [10293/386, 22411/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29, -17], [-42, -20], [-29, -17], [0, 0]], [[890, 1/2], [-1622, 107], [11312, 1/2], [3/2, 0]], [[3/2, -7], [-993/386, 13709/1158], [39/2, -91], [1/386, -7/579]]], 1, 56, [], [] >,
< [ -3, 0, 1 ], [[-210, -124]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3, 5/2], [25/4, 1/4], [1/2, -2], [3/2, 1]], [[-37/2, 19/2], [33/4, -45/4], [12, -4], [-13/4, -5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-7/2, 0], [7/4, -2], [-7/2, 1/2], [0, -1/4]], [[-29/2, -6], [-3, -21/4], [-12, -4], [-5/4, -1]]], 1, 168, [], [] >,
< [ -3, 0, 1 ], [[-96, -76]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 1], [-21/2, -1/2], [-4, 1], [0, 0]], [[49/2, -21/2], [52, -23/2], [49/2, -21/2], [0, 0]], [[-1/2, -1/2], [1/4, -1/4], [0, 0], [-1/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [5/2, 3/2], [2, 1], [0, 0]], [[-1/2, -1/2], [-3/4, -1/4], [0, 0], [-1/4, -1/4]]], 0, 336, [], [] >,
< [ -3, 0, 1 ], [[48, 38]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3, 1], [9/4, 0], [0, 1/2], [1/4, 1/2]], [[1/2, 1/2], [-1/4, 1/2], [1/2, 0], [1/4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [19/2, -11], [-5/2, -5/2], [0, 0]], [[-83/2, -79/2], [348/11, -5763/44], [-519/11, -833/22], [7/22, -5/44]], [[619/2, 745/2], [-8442/11, 31275/22], [8245/22, 7679/22], [-41/11, 17/11]]], 1, 84, [], [] >,
< [ -3, 0, 1 ], [[48, 38]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[59/2, 31/2], [-83/2, -33/2], [59/2, 31/2], [0, 0]], [[559/2, -199/2], [-132393/193, 86201/579], [-313/2, -205/2], [813/386, 5/1158]], [[176129/2, -86351/2], [-75893339/386, 15995914/193], [-16910, -14140], [98274/193, -55093/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-51/2, -29/2], [-135/2, 27/2], [-51/2, -29/2], [0, 0]], [[-16819/2, 139/2], [-1789787619/2123, 6129637235/12738], [-244656/11, 573/11], [1075/4246, 2/6369]], [[20190347, 15477370], [-1323000732569/2123, 830331521483/2123], [595482067/11, 453825820/11], [-1319000/2123, -1001750/2123]]], 1, 168, [], [] >,
< [ -3, 0, 1 ], [[48, 38]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25, -16], [16, 17], [-25, -16], [0, 0]], [[-112, -210], [-456, 1013/2], [-127, -198], [5/2, -2]], [[-3787/2, -2289/2], [1482, 1128], [-3751/2, -2253/2], [-3, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, -15/2], [242, -76], [-21/2, -15/2], [0, 0]], [[-9022, -26], [-14385279/22, 4415272/11], [-98828/11, -217/11], [9/11, 3/22]], [[-9915, 244570], [-33519216, 18263111], [-10375, 243558], [-10, -22]]], 1, 84, [], [] >,
< [ -3, 0, 1 ], [[316, 182]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-83459/2, -7/2], [-5183637/167, -1163/501], [-27897/334, -5/1002], [-369/334, -1/1002]], [[-1220239771/2, 140006785/2], [-151578615233/334, 26089522873/501], [-203940329/167, 70212752/501], [-5393563/334, 921893/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22941/2, 1/2], [12529759/334, -1639/1002], [-7647/334, 1/1002], [0, 0]], [[-239225243/2, -5/2], [4302188696/11, -485/22], [-238744, 0], [-3845/1837, -5/11022]], [[70197925332, -8009627340], [-421651068932446/1837, 144332048763821/5511], [23398941324/167, -8009503084/501], [2256376/1837, -256984/1837]]], 1, 30, [], [] >,
< [ -3, 0, 1 ], [[-30, -28]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16533, 0], [14721, 5], [33, 0], [0, 0]], [[520658878, 69738586], [77431032556/167, 62377279043/1002], [347105773/334, 139477177/1002], [-695/334, 2/501]], [[123049328679/2, 1840565037571/2], [9287929691274/167, 821078734570457/1002], [20508271651/167, 920282112701/501], [221154/167, -1287523/334]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8331/2, -3/2], [-15192907/334, -5041/334], [-2777/334, -1/334], [0, 0]], [[93829143, 1616635], [1882237954517/1837, 97130566573/5511], [344025442/1837, 17709284/5511], [4913/1837, 2/5511]], [[-118344345003, 402883980883], [-4749419859247465/3674, 24246121746364558/5511], [-868451424705/3674, 8863284163897/11022], [-7284897/1837, 42440271/3674]]], 1, 120, [], [] >,
< [ -3, 0, 1 ], [[316, 182]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29, -19], [-8, -6], [0, 0]], [[-15/2, 1], [410, 347/2], [243/2, 45], [1, -5/2]], [[204, 85], [-43877/2, -24555/2], [-12395/2, -6847/2], [85, 68]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63/2, 39/2], [55/2, 33/2], [0, 0]], [[9/2, 1], [424, 233], [362, 208], [1, 3/2]], [[-36, 4], [-2079, -1017], [-1690, -960], [4, -12]]], 1, 60, [], [] >,
< [ -3, 0, 1 ], [[-56, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [93, 56], [46, 29], [0, 0]], [[5, 0], [17165/2, 9959/2], [8573/2, 5049/2], [5, 0]], [[327/2, -189/2], [-1750, 646], [-3030, 1566], [327/2, -189/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-173, -94], [-205, -118], [0, 0]], [[4, 0], [382, 192], [407, 243], [4, 0]], [[57/2, -33/2], [320, -192], [-108, 54], [57/2, -33/2]]], 0, 120, [], [] >,
< [ -3, 0, 1 ], [[28, 10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [185/2, 37/2], [95/2, -3/2], [0, 0]], [[-5/2, 1/2], [126223/2, -39147/2], [90921/2, -40333/2], [-5/2, 1/2]], [[-295/2, -105/2], [2946581, 759837], [1443984, 53622], [-295/2, -105/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 20], [-45, 2], [0, 0]], [[6, -1], [46559/22, 55415/22], [-146843/22, -53903/22], [6/11, -1/11]], [[-23/2, -9/2], [-286469/22, -178021/22], [513011/22, 282527/22], [-23/22, -9/22]]], 1, 30, [], [] >,
< [ -3, 0, 1 ], [[-54, -2]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -1/2], [50, 43], [-23/2, 1], [0, 0]], [[-14472, 7947], [-60828, 42579], [-36899, 20716], [4, 1]], [[-886464, 470592], [-6805975/2, 5434823/2], [-2244235, 1236417], [715/2, 255/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29/2, -19/2], [-89, -53], [-29/2, -19/2], [0, 0]], [[-176, -89], [-1729/2, -927/2], [-191, -109], [-5/2, -5/2]], [[284, 165/2], [1277, 1013/2], [505/2, 138], [-3/2, 6]]], 1, 80, [], [] >,
< [ -3, 0, 1 ], [[2902, 1676]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10125/2, -1/2], [-1244901/334, -21407/1002], [-3375/334, -1/1002], [0, 0]], [[805965883/2, -433981399/2], [98194165757/334, -79201624037/501], [134327650/167, -216990700/501], [27/334, -2/501]], [[-810992008892, 482787727134], [-98710728223340/167, 176395460264725/501], [-270330671750/167, 482787734900/501], [-9762/167, 36776/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-32169, -1], [17569486/167, 23683/501], [-10723/167, -1/501], [0, 0]], [[7146990907/2, 9530003337/2], [-43009271735213/3674, -57272140285079/3674], [2382328703/334, 3176667777/334], [4913/1837, 2/5511]], [[-539726209415877/2, 10479888628623/2], [294770982726363209/334, -2800352952578362/167], [-89954383181045/167, 1746666935889/167], [16764903/334, -10527060/167]]], 1, 330, [], [] >,
< [ -3, 0, 1 ], [[76, 42]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[35363/2, 7/2], [380510/167, 563/1002], [5810/167, 1/501], [400/167, 1/1002]], [[-107723033/2, -56475969/2], [-2318402121/334, -1215488777/334], [-35389107/334, -18552579/334], [-1218902/167, -1917242/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4614, -1], [-6126813/167, -12055/501], [1538/167, -1/501], [0, 0]], [[-168594185, 88455418], [4918052147155/3674, -3869659681381/5511], [-1236445025/3674, 1946083171/11022], [5340/1837, 5/11022]], [[-64542021025/2, 107336197/2], [942333331479055/3674, -1435452363139/5511], [-118356698534/1837, 549829100/5511], [11708711/3674, 9210100/5511]]], 1, 30, [], [] >,
< [ -3, 0, 1 ], [[24, 26]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9228, -2], [-154977/167, 1942/501], [3076/167, -2/501], [0, 0]], [[9566, -6454], [-216193/167, 655051/1002], [6453/334, -12905/1002], [-361/334, -2/501]], [[-23475869/2, -3108697/2], [-65730303/334, -726048529/1002], [-7495125/334, -2480995/1002], [-773627/167, -1475414/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-26658, 1], [-35133877/167, 2035/501], [-8886/167, 1/501], [0, 0]], [[39620260571/2, -169120915/2], [287196115624295/1837, -7324088419243/11022], [72637160870/1837, -930177089/5511], [-2008/1837, 5/11022]], [[244394715334663/2, 155624179097719/2], [3543221041607286731/3674, 2256216763755975777/3674], [896114065976431/3674, 570622070454303/3674], [-12478000/1837, -23806000/5511]]], 1, 120, [], [] >,
< [ -3, 0, 1 ], [[76, 42]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-67, -35], [-16, -10], [0, 0]], [[-6, 5/2], [-29, -106], [-58, 6], [5/2, -2]], [[0, 3], [711/2, 323/2], [107/2, 101/2], [3, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15/2, -19/2], [13/2, 15/2], [0, 0]], [[3, -1/2], [-195, -289/2], [357/2, 143], [-1/2, 1]], [[3/2, -1/2], [-107/2, -107/2], [93/2, 107/2], [-1/2, 1/2]]], 1, 60, [], [] >,
< [ -3, 0, 1 ], [[52, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -25], [13, 4], [0, 0]], [[-9/2, -5/2], [212, 203], [-169, 50], [-9/2, -5/2]], [[7/2, -3/2], [2699, -1595], [5012, -2888], [7/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-401/2, -219/2], [-41/2, -5/2], [0, 0]], [[-2, 2], [16047, -2947], [16219, -8959], [-2, 2]], [[101/2, 31/2], [486659/2, 386727/2], [-100347/2, 100743/2], [101/2, 31/2]]], 0, 120, [], [] >,
< [ -3, 0, 1 ], [[-26, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [131, 7/2], [-1/2, -1], [0, 0]], [[-7/2, -3/2], [211/2, -315/2], [7/2, 3/2], [-7/2, -3/2]], [[49/2, 15/2], [-3801/2, 3383/2], [-49/2, -15/2], [49/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-475/2, -2], [-14, -1/2], [0, 0]], [[71/2, -1/2], [-49375/22, 40257/22], [-3151/22, 2311/22], [71/22, -1/22]], [[114, 228], [612141/22, -180209/22], [34037/22, -12391/22], [114/11, 228/11]]], 1, 30, [], [] >,
< [ -3, 0, 1 ], [[-102, -50]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21, -2], [-7, -3], [21, -2], [0, 0]], [[-108, 45], [13/2, 15/2], [-104, 48], [-1/2, -1/2]], [[-3695/2, 1416], [-543/2, -70], [-1954, 2741/2], [18, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 3/2], [14, -5], [21/2, -1], [0, 0]], [[-30, 29/2], [157/2, -71/2], [101/2, -21], [-3/2, 1/2]], [[329/2, 9/2], [-999/2, -117/2], [-745/2, -145/2], [29/2, 9/2]]], 1, 80, [], [] >,
< [ -3, 0, 1 ], [[-328, -194]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-44985/2, -1/2], [-454825/334, 4979/1002], [-14995/334, -1/1002], [0, 0]], [[763683940, -127289883], [15469707351/334, -2630649003/334], [254561400/167, -42429960/167], [-827/334, -5/1002]], [[-35506638590713/2, -22588464067441/2], [-356436304775057/334, -113519768494452/167], [-5917776056640/167, -3764745809280/167], [27746873/334, 25341272/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13713/2, -3/2], [18186215/334, 7651/334], [-4571/334, -1/334], [0, 0]], [[8249, -5061], [-505742087/3674, 221581337/5511], [-2649/3674, -65207/11022], [3845/1837, -5/11022]], [[-7796563/2, -303485/2], [-924409143837/3674, -627657868261/3674], [-165930989/3674, -91482971/3674], [15059351/1837, 27507034/5511]]], 1, 330, [], [] >,
< [ -3, 0, 1 ], [[-12, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[-18, -1], [-51, -30], [-18, -1], [-18, -1]], [[297/2, -33/2], [615/2, 367/2], [297/2, -33/2], [297/2, -33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 4], [9, 6], [0, 0]], [[5/2, 5/2], [27/2, 65/2], [141/2, 93/2], [5/2, 5/2]], [[-2, 1], [-39, 21], [-12, 4], [-2, 1]]], 0, 12, [], [] >,
< [ -3, 0, 1 ], [[6, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27/2, -3/2], [5/2, 1/2], [0, 0]], [[-6, -6], [-27, -2], [-6, -2], [-6, -6]], [[9/2, 5/2], [0, 0], [0, 0], [9/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33/2, 15/2], [-9/2, 7/2], [0, 0]], [[2, 1], [33, 16], [-12, -8], [2, 1]], [[1/2, -1/2], [0, 0], [0, 0], [1/2, -1/2]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[6, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45/2, 1/2], [15/2, -5/2], [0, 0]], [[3/2, -1/2], [-243/2, 241/2], [-177/2, 115/2], [3/2, -1/2]], [[4, 3], [684, 303], [122, 18], [4, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37/2, -7/2], [7/2, 3/2], [0, 0]], [[3, 1], [-214, -415], [97, 77], [3, 1]], [[-3/2, -11/2], [2639, -290], [-377, -87], [-3/2, -11/2]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[-36, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -9], [-15, -9], [0, 0]], [[-12, 1], [-144, -90], [-153, -63], [-12, 1]], [[1215/2, -765/2], [-2703/2, -293/2], [2655/2, -3153/2], [1215/2, -765/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, -27], [9, -5], [0, 0]], [[2, -1], [-19434, -11234], [93, 37], [6, -3]], [[-11/2, 7/2], [-75393/2, -43445/2], [219/2, 225/2], [-33/2, 21/2]]], 0, 144, [], [] >,
< [ -3, 0, 1 ], [[18, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 3], [-3, 6], [0, 0]], [[-3/2, 5/2], [525, -335], [567, -273], [-3/2, 5/2]], [[-30, 2], [6885/2, -3375/2], [5103/2, -3969/2], [-30, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 9], [-9, 7], [0, 0]], [[-3, 0], [27/2, -17/2], [27/2, -17/2], [-9, 0]], [[7/2, 1/2], [-12, 8], [-12, 8], [21/2, 3/2]]], 0, 18, [], [] >,
< [ -3, 0, 1 ], [[18, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, 12], [18, 2], [0, 0]], [[-3/2, 1/2], [396, -352], [171, -133], [-3/2, 1/2]], [[0, 0], [267/2, 309/2], [57/2, 95/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15/2, 15/2], [3/2, 3/2], [0, 0]], [[-21/2, 1/2], [375, -278], [-15, -34], [-21/2, 1/2]], [[84, 7], [-4347/2, 3735/2], [459/2, 585/2], [84, 7]]], 0, 18, [], [] >,
< [ -3, 0, 1 ], [[0, 18]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[45/2, 5/2], [-33, -5], [45/2, 5/2], [0, 0]], [[-120, 24], [162, -47/2], [-120, 24], [3/2, -1]], [[72, 40], [-111, -62], [72, 40], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -1/2], [15, 6], [-15/2, -1/2], [0, 0]], [[102, -85], [-21, 185/2], [102, -85], [-3/2, -2]], [[663/2, -221/2], [-405, -15], [663/2, -221/2], [9, 3]]], 0, 54, [], [] >,
< [ -3, 0, 1 ], [[0, 18]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 4], [9, -4], [24, 12], [0, 0]], [[-87, -57], [75, -121/2], [-270, -169], [-9/2, 1]], [[-267/2, -159/2], [21/2, -31], [-813/2, -479/2], [-3, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, 3/2], [0, 2], [27/2, 3/2], [0, 0]], [[-57, -95], [-48, -13/2], [-57, -95], [-15/2, -6]], [[-57/2, 133/2], [36, -15/2], [-57/2, 133/2], [3/2, 3]]], 0, 54, [], [] >,
< [ -3, 0, 1 ], [[-30, -18]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 1/2], [9, 5], [9/2, 1/2], [0, 0]], [[-24, 31], [43, 30], [-27, 36], [1, 2]], [[84, -63/2], [55, 45/2], [195/2, -36], [9/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -3/2], [13, 3], [-9/2, 0], [0, 0]], [[-19/2, -6], [159/2, 93/2], [-18, -19/2], [13/2, 5/2]], [[0, 0], [-9/2, 5/2], [0, 0], [5/2, -3/2]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[-12, -12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, -2], [-44, -26], [-15, -2], [0, 0]], [[-15651/2, 9287/2], [2441/2, -233/2], [-15651/2, 9287/2], [-11/2, -3/2]], [[-162393, 92981], [22683/2, -20379/2], [-162393, 92981], [-9/2, 63/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -5/2], [11, -5], [9/2, -5/2], [0, 0]], [[0, 0], [76, 43], [0, 0], [-7, -2]], [[0, 0], [-547/2, -345/2], [0, 0], [-19/2, 57/2]]], 0, 16, [], [] >,
< [ -3, 0, 1 ], [[-18, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15/2, 31/2], [15/2, 5/2], [0, 0]], [[3, 5/2], [-213, -149], [-82, -44], [5/2, 1]], [[-45/2, -3/2], [2277/2, 539/2], [453/2, 361/2], [-3/2, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [101/2, 47/2], [1/2, 1/2], [0, 0]], [[5/2, 0], [6, -16], [0, 0], [0, 5/2]], [[1, 0], [3, -7], [0, 0], [0, 1]]], 1, 6, [], [] >,
< [ -3, 0, 1 ], [[0, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57/2, 7/2], [3/2, -1/2], [0, 0]], [[0, 0], [6, 3], [-2, -1], [2, 1]], [[0, 0], [15, 9], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-133/2, -63/2], [-11/2, -3/2], [0, 0]], [[0, 0], [6439, 4071], [371, 301], [42, 23]], [[0, 0], [13741, 10854], [455, 980], [108, 52]]], 0, 36, [], [] >,
< [ -3, 0, 1 ], [[0, 18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [69, 56], [3, -2], [0, 0]], [[-5/2, -2], [1362, 1519/2], [-33/2, -1], [-6, -5/2]], [[-12, 8], [-1983/2, 223/2], [387/2, -217/2], [24, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57/2, -27/2], [-15/2, -3/2], [0, 0]], [[1/2, -1], [300, 171], [48, 40], [-3, 1/2]], [[-25/2, 5], [927, 554], [288, 48], [15, -25/2]]], 0, 108, [], [] >,
< [ -3, 0, 1 ], [[0, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45/2, 33/2], [-9/2, -3/2], [0, 0]], [[3, 2], [45/2, -99/2], [63/2, -19/2], [3, 2]], [[-15/2, -1/2], [792, -412], [324, -198], [-15/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 5], [15, -2], [0, 0]], [[0, -1], [-14781, -8366], [-3045, -1680], [0, -1]], [[15/2, -9/2], [-2517, -461], [-735, 35], [15/2, -9/2]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[0, 18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75/2, 89/2], [33/2, 1/2], [0, 0]], [[2, -2], [2925, 3017], [1074, 92], [-6, 2]], [[-1/2, 2], [-15147/2, -5357], [-1614, -1081/2], [6, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [201/2, 147/2], [15/2, 3/2], [0, 0]], [[1/2, -1/2], [-438, 402], [108, -56], [-3/2, 1/2]], [[1/2, 2], [-165, -1486], [-276, 92], [6, 1/2]]], 0, 108, [], [] >,
< [ -3, 0, 1 ], [[0, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57/2, 115/2], [21/2, -1/2], [0, 0]], [[-27/2, 1/2], [7812, -696], [42, 490], [-27/2, 1/2]], [[81, -99], [-55650, 59476], [10290, -2254], [81, -99]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 2], [0, -5], [0, 0]], [[0, -1], [15, 2], [-9, -4], [0, -1]], [[-3/2, 5/2], [-33, 3], [15, 5], [-3/2, 5/2]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[0, 18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, 15/2], [9/2, 0], [0, 0]], [[21, 2], [-84, -176], [15, -25], [21, 2]], [[171/2, 57/2], [-846, -752], [-18, -80], [171/2, 57/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81, 7/2], [3/2, -1], [0, 0]], [[3, 2], [-219, -133], [0, 0], [3, 2]], [[-3/2, 3/2], [12, -48], [0, 0], [-3/2, 3/2]]], 0, 54, [], [] >,
< [ -3, 0, 1 ], [[0, 18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39/2, 0], [-3, 3/2], [0, 0]], [[27/2, -1/2], [93/2, 117/2], [-9/2, 1/2], [27/2, -1/2]], [[126, 14], [1365/2, 1237/2], [-81/2, -3/2], [126, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-153/2, 87/2], [9/2, 3/2], [0, 0]], [[9/2, 3/2], [-840, 941/2], [117/2, 22], [9/2, 3/2]], [[15/2, 1/2], [-2823, 1613], [90, 12], [15/2, 1/2]]], 0, 54, [], [] >,
< [ -3, 0, 1 ], [[6, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 6], [0, 2], [0, 0]], [[0, -5/2], [40, -13/2], [-23/2, 6], [-5/2, 0]], [[3/2, 3/2], [-18, -4], [3, -1], [3/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 19], [9, 8], [0, 0]], [[3, -3/2], [-321/2, -195/2], [-129/2, -79/2], [-3/2, 1]], [[-3/2, 1], [-4, 2], [-2, 1], [1, -1/2]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[-12, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21/2, 21/2], [21/2, 13/2], [0, 0]], [[-5/2, 1/2], [-313/2, 63/2], [-275/2, -149/2], [-5/2, 1/2]], [[-2, 0], [-115, 0], [-152, -85], [-2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [105/2, 53/2], [9/2, 3/2], [0, 0]], [[-5/2, -5/2], [23/2, 43/2], [-11/2, -1/2], [-5/2, -5/2]], [[-1/2, 1/2], [1/2, -3/2], [-1/2, 1/2], [-1/2, 1/2]]], 0, 16, [], [] >,
< [ -3, 0, 1 ], [[-24, -18]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-439/2, -1/2], [-159233/334, 303/334], [-439/334, -1/334], [0, 0]], [[1403/2, -739/2], [511871/334, -806099/1002], [2053/334, -2203/1002], [-237/167, -2/501]], [[21031/2, -13555/2], [7643975/334, -2473463/167], [9905/167, -10204/167], [825/334, 2497/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[229/2, -1/2], [360137/334, -2703/334], [229/334, -1/334], [0, 0]], [[7493438, 212130], [129596567141/1837, 9788058496/5511], [82460512/1837, 7000256/5511], [3076/1837, 2/5511]], [[14363419037/2, 57193333317/2], [239157412725457/3674, 494311858445432/1837], [79019463400/1837, 314687505312/1837], [3926821/3674, 11683774/1837]]], 1, 20, [], [] >,
< [ -3, 0, 1 ], [[102, 60]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-173/2, -93/2], [-9/2, -3/2], [0, 0]], [[-2, 1], [-212, -145], [-12, -5], [3, -2]], [[-5/2, 2], [829, 442], [33, 22], [6, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69, -35], [6, 2], [0, 0]], [[-3/2, 0], [3399/2, 1929/2], [-255/2, -127/2], [0, -1/2]], [[6, -1/2], [-5958, -3360], [456, 216], [-1/2, 2]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[48, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-245/2, -231/2], [-3/2, -11/2], [0, 0]], [[0, 0], [17, 549], [-30, 40], [-9, -7]], [[0, 0], [-3522, -2956], [-90, -150], [90, 55]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-153/2, -69/2], [15/2, 13/2], [0, 0]], [[0, 0], [60, 30], [0, 0], [2, 1]], [[0, 0], [207, -49], [24, -24], [0, 0]]], 0, 72, [], [] >,
< [ -3, 0, 1 ], [[-72, -54]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [321/2, 231/2], [21/2, 17/2], [0, 0]], [[2, -5/2], [-3354, -2262], [-252, -156], [-15/2, 2]], [[52, -28], [9981, 585], [540, 144], [-84, 52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-291/2, -149/2], [-3/2, 1/2], [0, 0]], [[0, -1/2], [-255, -141], [0, 0], [-3/2, 0]], [[0, 0], [81, 47], [0, 0], [0, 0]]], 0, 144, [], [] >,
< [ -3, 0, 1 ], [[144, 108]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1065/2, 555/2], [33/2, 1/2], [0, 0]], [[0, 0], [-18798, 26925], [-9690, 5865], [15, 1]], [[0, 0], [320265, 55551], [37485, -17595], [102, 85]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-309/2, -179/2], [-9/2, -9/2], [0, 0]], [[0, 0], [-1182, -732], [-57, -15], [-15, -15]], [[0, 0], [3384, 1968], [120, 64], [54, 33]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[-30, -6]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -3/2], [-120, -32], [-9/2, 1], [0, 0]], [[1992, -992], [-36461/2, 55807/2], [-2976, 1992], [1/2, -1/2]], [[-12, -20], [-2767, -1363], [-60, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -1], [-103, -31], [3, -1], [0, 0]], [[3, 33/2], [-3347/2, -1143], [-3/2, 19], [-1, 1/2]], [[21/2, 11/2], [-1155, -661], [21/2, 11/2], [0, 0]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[162, 72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -5], [369, 188], [-30, -15], [0, 0]], [[-72, 21], [2490, -1213/2], [-201, 67], [15/2, 2]], [[-8493/2, 4731/2], [278619/2, -153893/2], [-24765/2, 13887/2], [357/2, -153/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, 7/2], [-252, -100], [51/2, 21/2], [0, 0]], [[-140, -105], [4005, 6205/2], [-411, -317], [-9/2, 1]], [[-70, -105], [1842, 3174], [-192, -323], [-9, 4]]], 0, 648, [], [] >,
< [ -3, 0, 1 ], [[6, 12]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1813/2, 5/2], [51193/334, 155/334], [1813/334, 5/334], [0, 0]], [[3806007/2, 1311/2], [107397163/334, 33028/167], [1903223/167, 656/167], [-1/2, 0]], [[-2914142323/2, -2003972153/2], [-41138291598/167, -169709794973/1002], [-1457239896/167, -3006305923/501], [63888/167, 263659/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-191/2, 5/2], [543175/334, -16211/334], [-191/334, 5/334], [0, 0]], [[-1003627/2, 53441/2], [15625403572/1837, -5359382965/11022], [-5544320/1837, 881710/5511], [1666/1837, 5/11022]], [[-4235278816, -3019661971], [23759970061505/334, 16990081446217/334], [-4256326160/167, -3034132020/167], [2875105/334, 1977127/334]]], 1, 20, [], [] >,
< [ -3, 0, 1 ], [[-36, -72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [246, 42], [3, -1], [0, 0]], [[0, 0], [-148839/2, -62313/2], [-1077/2, 31/2], [6, -5]], [[0, 0], [3209973, 1791369], [14061, 6407], [27, 60]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111/2, 101/2], [3/2, -5/2], [0, 0]], [[0, 0], [-429/2, -339/2], [-3/2, -3/2], [33, 24]], [[0, 0], [2883/2, 2021/2], [21/2, 17/2], [-216, -144]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[18, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-669/2, -75/2], [21/2, 1/2], [0, 0]], [[2, -5/2], [17808, -7500], [-621, 279], [-15/2, 2]], [[437/2, 46], [29472, -372894], [-3294, 12078], [138, 437/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15/2, 7/2], [9/2, 3/2], [0, 0]], [[9/2, -1/2], [9, 72], [9, 6], [-3/2, 9/2]], [[0, 9/2], [225, 33], [21, 11], [27/2, 0]]], 0, 144, [], [] >,
< [ -3, 0, 1 ], [[-48, -30]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81, -5], [6, 2], [0, 0]], [[-5/2, 3/2], [-741/2, 181/2], [43/2, -1/2], [9/2, -5/2]], [[11/2, -4], [2166, 521], [-175, -70], [-12, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-93, -32], [-3, -6], [0, 0]], [[15/2, 1], [-17079/2, -8869/2], [-1311/2, -943/2], [1, 5/2]], [[33, -55/2], [6801, 10811], [2277, 23], [-55/2, 11]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[-12, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [141/2, 77/2], [-3/2, -1/2], [0, 0]], [[0, 0], [-9, -35], [5, 3], [-24, -11]], [[0, 0], [741/2, -303/2], [-17/2, -7/2], [0, 35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75/2, 57/2], [-27/2, -19/2], [0, 0]], [[0, 0], [24, 12], [0, 0], [2, 1]], [[0, 0], [9/2, -5/2], [-3/2, 1/2], [0, 0]]], 0, 72, [], [] >,
< [ -3, 0, 1 ], [[-42, -18]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, -2], [-128, -3], [-57, 3/2], [0, 0]], [[18125/2, -4375], [-87225, 34127], [-41268, 34375/2], [-3, 0]], [[16625/2, -7125/2], [-167925/2, 50115/2], [-78417/2, 26119/2], [-7/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-105, -1], [-5, 1], [-105, -1], [0, 0]], [[-7509, -5007/2], [-577/2, -47], [-14961/2, -2489], [-1, -1/2]], [[3003/2, -1001/2], [87, -39], [3003/2, -1001/2], [0, 0]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[-108, -18]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-138, -1], [-285, -14], [-138, -1], [0, 0]], [[-202206, 276147], [-345555, 1104593/2], [-202215, 276159], [-3/2, 2]], [[48748245/2, 20892105/2], [53003490, 23662492], [48750333/2, 20892993/2], [174, 74]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-459/2, -5/2], [-456, 4], [-459/2, -5/2], [0, 0]], [[40500, -156600], [98895, -625883/2], [40491, -156588], [-3/2, 2]], [[-1304100, -633150], [-2518581, -1207855], [-1304028, -633120], [12, 5]]], 0, 648, [], [] >,
< [ -3, 0, 1 ], [[-96, -54]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 13/2], [27/2, 7/2], [9/2, 13/2], [0, 0]], [[0, -24], [-471273/386, 1775/579], [-991/2, -45/2], [462/193, 5/1158]], [[5328, 2748], [53694185/386, 52104304/579], [123451/2, 78481/2], [-53080/193, -205685/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -7/2], [33/2, 1/2], [3/2, -7/2], [0, 0]], [[895, 1], [-304972/193, -886187/1158], [903/2, 7/2], [-827/386, 1/579]], [[586543/2, 90231/2], [-244109549/386, -381804841/1158], [296793/2, 47481/2], [-135375/193, -61750/579]]], 1, 18, [], [] >,
< [ -3, 0, 1 ], [[90, 36]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, -1/2], [27/2, -25/2], [27/2, -1/2], [0, 0]], [[161, 74], [173215/386, 48367/386], [-75, 75], [509/386, -5/386]], [[-18333/2, -10455/2], [-8249835/386, -2293407/193], [-1380, -1200], [-16647/386, -4296/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-45/2, -5/2], [-141/2, -27/2], [-45/2, -5/2], [0, 0]], [[-131, 180], [9551/386, 213575/386], [-9, 183], [-263/386, -5/386]], [[-2081/2, -36155/2], [-21638705/386, -13358720/193], [-16416, -22344], [33005/386, 4508/193]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[-60, -24]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5/2, 3/2], [19/2, 9/2], [0, 0]], [[0, 0], [7, 5], [40, 8], [0, 0]], [[23/2, 7/2], [-12095/386, -1845/193], [-59/2, -9], [-59/5018, -9/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 9/2], [-2, -1/2], [0, 0]], [[0, 0], [23/2, 1], [-3/2, 0], [0, 0]], [[23/2, 7/2], [-354/193, -108/193], [0, 0], [-59/5018, -9/2509]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[-96, -54]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, -13/2], [-2, 1/2], [0, 0]], [[-13693/2, -5/2], [514261/193, -20850/193], [-49, 16], [-4253/2509, -1/5018]], [[5072817/2, 473931], [-186156954/193, -27806169/193], [14833, -2541], [6301527/10036, 1176051/10036]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -15/2], [-1, -5/2], [0, 0]], [[4827, 2], [11857/193, -21610/193], [-28, -35], [5997/5018, 1/5018]], [[2482949/2, -369284], [8017335/193, -6468373/193], [840, -6860], [3085465/10036, -918351/10036]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[30, 12]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39/4, -39/4], [1/4, 5/4], [0, 0]], [[2173/2, -3/2], [-77611/193, 41121/193], [74, -50], [-5569/5018, 1/2509]], [[-85405/2, -175305/2], [-6882514/193, 4635492/193], [9176, -3992], [220255/5018, 224750/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [129/2, 17/2], [-5/2, -1/2], [0, 0]], [[-32066, 2], [-4388771/4, -1361/4], [100157/4, 35/4], [2, 0]], [[111703175/2, 31524545/2], [16233815907757/8492, 4586060806101/8492], [-1919623947/44, -542352127/44], [-192294565/55198, -27138970/27599]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[30, 12]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -3], [0, -8], [-6, -3], [0, 0]], [[6, 5], [81799/386, -5249/579], [1003/2, 7/2], [-462/193, -5/1158]], [[2505/2, 1561/2], [4183831/193, 4404710/579], [108665/2, 41371/2], [-99525/386, -112795/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, 19/2], [-495/2, -29/2], [27/2, 19/2], [0, 0]], [[9684, 48], [759230863/2123, -2984256379/12738], [155647/22, 1061/22], [-3391/4246, 2/6369]], [[10343970, 3780630], [21086918043/193, -64368767116/579], [7572226, 2776006], [-163688/193, -177896/579]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[30, 12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 3/2], [-13, 0], [-3/2, 3/2], [0, 0]], [[-69, -38], [1457/2, 432], [-69, -38], [-2, 3/2]], [[-129/2, -75/2], [710, 817/2], [-129/2, -75/2], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -5/2], [22, 66], [-3/2, -5/2], [0, 0]], [[90, 5], [-3349, 241/2], [120, 5], [-5/2, 0]], [[-1050, -175], [416608/11, 33032/11], [-15330/11, -2357/11], [315/11, 36/11]]], 1, 28, [], [] >,
< [ -3, 0, 1 ], [[-72, -18]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -5/2], [-15/2, 35/2], [-3/2, -5/2], [0, 0]], [[-194, -42], [-5974/193, 106259/386], [-69/2, -83/2], [172/193, 3/386]], [[-32871/2, -11317/2], [3101289/386, 3991241/193], [-4209, -3611], [13221/193, 4563/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -1/2], [-69/2, -15/2], [-15/2, -1/2], [0, 0]], [[-173, 118], [-263849/386, 136535/386], [-243, 117], [-151/386, -3/386]], [[-6033/2, 5001/2], [-5444973/386, 1240158/193], [-5184, 2016], [-2346/193, -1071/386]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[66, 36]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 7/2], [3/2, 3/2], [15/2, 7/2], [0, 0]], [[-9, 0], [-35317/193, -28/579], [-290, -1], [-262/193, 1/579]], [[-171, 12], [-670665/193, 93769/386], [-11007/2, 735/2], [-4977/193, 711/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 7/2], [27/2, 7/2], [3/2, 7/2], [0, 0]], [[1325/2, 7/2], [9652/193, 27157/1158], [12, 0], [1213/386, 1/579]], [[-40761, -11643], [-825441/193, -443736/193], [-735, -207], [-37167/193, -10483/193]]], 1, 18, [], [] >,
< [ -3, 0, 1 ], [[48, 12]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -2], [-9/2, -3/2], [-3, -2], [0, 0]], [[38, 22], [825/4, -341/4], [-81/2, 41/2], [157/52, 3/52]], [[-5165/2, -2985/2], [-23405/4, 4325/4], [999, -381], [-551/4, -171/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-35/2, -1/2], [91/4, 55/4], [33, 18], [-35/52, -1/52]], [[-243, 129], [10, 23], [60, 5], [-243/26, 129/26]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[66, 36]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-18, -1/2], [-5/2, -1/2], [0, -1/2], [-35/52, -1/52]], [[-1/2, -3/2], [-1/4, -1/4], [0, 0], [-1/52, -3/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-4, 6], [15/4, 13/4], [9/2, 11/2], [-17/52, 1/52]], [[118, -75/2], [203/4, 31/2], [90, 15], [14/13, -105/52]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[-24, -6]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[45/2, 13/2], [-7/2, 9/2], [-117/2, 9/2], [-11/13, -1/26]], [[0, -8], [-31/4, 7/2], [-30, 59/2], [-15/52, 5/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -11/2], [-1, -1/2], [-9/2, -11/2], [0, 0]], [[267/2, -15/2], [27065/44, -89/44], [-966/11, -62/11], [-633/572, -1/572]], [[6035/2, -2769/2], [143074/11, -250549/44], [-18630/11, 15141/22], [-3325/143, 5795/572]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-24, -6]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 5], [-6, 5], [3, 5], [0, 0]], [[-75/2, 15/2], [-138380/193, 20830/579], [-563/2, 13/2], [-455/386, 1/1158]], [[1380, 390], [6346701/193, 4905551/386], [26745/2, 10725/2], [11115/193, 9165/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 11/2], [-321/2, -15/2], [15/2, 11/2], [0, 0]], [[1629, -63], [415047461/4246, -261241298/6369], [6913/22, -1365/22], [2647/4246, -1/6369]], [[-44154, -12018], [-7235502631/4246, 689353319/2123], [-159465/22, -20159/22], [-74333/4246, -11193/2123]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-24, -6]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1/2], [20, 13], [3/2, -1/2], [0, 0]], [[0, 0], [-47/2, -29/2], [0, 0], [3/2, 1/2]], [[0, 0], [27, 27/2], [0, 0], [-1/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, -13/2], [-914, -350], [-21/2, -13/2], [0, 0]], [[4608, 6], [-16925629/22, 13892559/22], [51420/11, 78/11], [61/22, 1/22]], [[-622908, -287716], [-311078787/22, -410389053/11], [-6953004/11, -3212072/11], [-4209/11, -3933/22]]], 1, 28, [], [] >,
< [ -3, 0, 1 ], [[30, 24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 5], [-76, -99], [3, 5], [0, 0]], [[375/2, 215/2], [-7957/2, -2294], [375/2, 215/2], [-2, 3/2]], [[1215, 705], [-25906, -29943/2], [1215, 705], [25/2, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, -13/2], [1033, 1322], [-21/2, -13/2], [0, 0]], [[855/2, -25/2], [-8852581/22, 4330907/22], [8955/22, -185/22], [-15/22, 3/22]], [[78, 83], [413890/11, -904833/22], [843/11, 883/11], [-1/22, -1/11]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[-12, -18]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -6], [-22, -55], [-6, -6], [0, 0]], [[339/2, 193/2], [2421/2, 1355/2], [339/2, 193/2], [-5/2, -5/2]], [[-84, -35], [-696, -379/2], [-84, -35], [-15/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -9/2], [-317, 382], [-9/2, -9/2], [0, 0]], [[3519, 23], [-12542975/22, 2960755/11], [38469/11, 235/11], [20/11, 3/22]], [[885825/2, 694055/2], [91410258/11, -246412475/11], [9674019/22, 7583197/22], [2919/11, 2142/11]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[30, 0]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 13/2], [37/2, 27/2], [15/2, 13/2], [0, 0]], [[119, 275/2], [26313/52, 15155/52], [189, 135], [43/52, 1/52]], [[-1182, 895], [13853/26, 7633/26], [-297, 423], [1239/130, -649/130]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1], [45, 32], [0, 1], [0, 0]], [[197/2, 74], [838349/572, 2391621/572], [8214/11, 786/11], [1127/2860, -1/2860]], [[-1341, 537], [-65484983/286, 17600558/143], [507183/22, -312861/22], [2109/143, -2553/286]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[60, 0]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -6], [-15, -5], [0, 0]], [[0, 0], [4159/26, 1087/13], [249/2, 137/2], [3/65, -1/26]], [[0, 0], [1146/13, 2419/26], [171/2, 131/2], [-37/130, 2/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 36], [15, 9], [0, 0]], [[0, 0], [-1126139/286, -15285/286], [-63/11, -5/11], [-371/1430, -1/286]], [[0, 0], [8497759/26, -2389974/13], [843/2, -471/2], [280/13, -315/26]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[30, 0]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, -9/2], [8, 5/2], [-2, -5/2], [0, 0]], [[135, 85], [-4747/74, -2655/37], [-25, 49/2], [-17/37, -1/370]], [[-7080, -4920], [122997/74, 561056/111], [3495, -15445/6], [1467/37, -1793/222]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, 7/2], [-94, 57/2], [1, 5/2], [0, 0]], [[-8343, -7938], [-77592409/814, 135931322/1221], [-8711, -1217/6], [1951/4070, 1/6105]], [[-14492898, -9976365], [-3380329611/814, 203560627991/2442], [-17342529/2, -15110581/6], [953166/2035, 780491/6105]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[300, 0]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 8], [0, 1], [0, 0]], [[0, 0], [1087/26, -77/13], [-51/2, -9/2], [-36/13, -5/26]], [[0, 0], [1034, -1637/2], [-429/2, 715/2], [-77/2, 44]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-89, -51], [18, 10], [0, 0]], [[0, 0], [-2113983/286, 15166/143], [-23523/22, -637/22], [-366/143, -1/286]], [[0, 0], [544158363/143, -312348463/143], [5633604/11, -3230803/11], [183449/143, -105266/143]]], 0, 4992, [], [] >,
< [ -3, 0, 1 ], [[150, 0]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 3], [-10, -4], [3, 3], [0, 0]], [[-81, -3], [1470/13, 579/26], [-33/2, -11/2], [99/26, 1/13]], [[1693, -1621/2], [-92377/52, 38061/52], [186, -57], [-4247/52, 2055/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -1/2], [-145/2, -81/2], [-9/2, -1/2], [0, 0]], [[-15/2, -16], [-2021947/572, -263183/572], [1674/11, -150/11], [-657/572, -5/572]], [[6848, -3931], [-10148079/11, 5889683/11], [652515/11, -377640/11], [-4205/11, 2436/11]]], 1, 832, [], [] >,
< [ -3, 0, 1 ], [[150, 0]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1/2], [17/2, -2], [1/2, -1], [0, 0]], [[30, 18], [-3731/74, -2524/111], [-41, 35/6], [53/37, 1/222]], [[188, 114], [-12111/37, -15286/111], [-303, 187/3], [380/37, -76/111]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -4], [-127/2, -43/2], [-5/2, -3/2], [0, 0]], [[-40, -52], [16757515/814, -6579602/1221], [1058, 41/6], [1116/407, 5/2442]], [[-12761/2, -9933/2], [533985087/407, -22161977/2442], [84831, 133045/6], [178181/814, 137287/2442]]], 1, 1248, [], [] >,
< [ -3, 0, 1 ], [[156, 42]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[24, 10], [-26, -7], [24, 10], [0, 0]], [[-1311/2, -805/2], [1215/2, 805/2], [-1491/2, -745/2], [3/2, -1/2]], [[-5796, -3312], [11251/2, 3174], [-5856, -3462], [1, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[201/2, 101/2], [-19, -305], [201/2, 101/2], [0, 0]], [[22686, 80], [4456140/11, -6024331/22], [266028/11, 1372/11], [67/22, 1/11]], [[-3281739, -1528811], [-74171755/22, 135568710/11], [-38570445/11, -17990095/11], [-5023/11, -4769/22]]], 1, 1056, [], [] >,
< [ -3, 0, 1 ], [[-186, -72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[39, 24], [5, -4], [39, 24], [0, 0]], [[-429/2, -241/2], [0, -11], [-393/2, -313/2], [1, -2]], [[8265/2, 4727/2], [243/2, 144], [8589/2, 5537/2], [9, 45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 5], [474, 21], [-12, 5], [0, 0]], [[-296073/2, 561/2], [282447519/22, 61552504/11], [-3231267/22, 5499/22], [-19/11, 1/22]], [[-91109220, -10150260], [99848983642/11, 95509771515/22], [-994408572/11, -110969436/11], [-23193/22, -1017/11]]], 1, 1056, [], [] >,
< [ -3, 0, 1 ], [[804, 462]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[30, 25], [39, 23], [30, 25], [0, 0]], [[-2133/2, -1095/2], [-395602/193, -238293/386], [-12843, -530], [379/193, -1/386]], [[61308, 21996], [33429047/193, -12917311/1158], [3020539/2, -959927/2], [-93247/386, 48440/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[48, 27], [33, 23], [48, 27], [0, 0]], [[725/2, 223/2], [-120111/386, -39055/579], [111, 112], [-469/386, -2/579]], [[9351/2, -22729/2], [-1581228/193, 2201070/193], [-20175/2, 2135/2], [-27195/386, 23051/386]]], 1, 252, [], [] >,
< [ -3, 0, 1 ], [[252, 54]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[147/2, -1/2], [-171/2, -29/2], [147/2, -1/2], [0, 0]], [[-63728, 77599], [10705613/386, -29901235/386], [-63990, 77598], [565/386, -1/386]], [[-19768113/2, 65929403/2], [-1579339785/193, -14021516935/386], [-10016136, 32939244], [141963/193, 53311/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-87/2, -1/2], [-267/2, 9/2], [-87/2, -1/2], [0, 0]], [[-4916, -8954], [-2270549/193, -5175812/193], [-5082, -8954], [179/193, -1/193]], [[-2221997/2, -2345293/2], [-573473560/193, -1333599357/386], [-1130976, -1175856], [21484/193, 6681/386]]], 0, 3024, [], [] >,
< [ -3, 0, 1 ], [[-168, -36]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45/2, -21/2], [-5/2, -1/2], [0, 0]], [[0, 0], [8, 3], [1, 0], [0, 0]], [[-13/2, -1/2], [-2443/193, -349/386], [-7, -1/2], [-7/193, -1/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-83/2, -26], [-5/2, -1], [0, 0]], [[0, 0], [77, -37], [-15, 9], [0, 0]], [[-13/2, -1/2], [-1092/193, -78/193], [0, 0], [-7/193, -1/386]]], 0, 1344, [], [] >,
< [ -3, 0, 1 ], [[804, 462]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, 8], [2, 1], [0, 0]], [[358, 2], [-561, 29/2], [9, -15/2], [2, 0]], [[-3087, 1715/2], [958607/193, -288840/193], [-133, 87], [-13377/772, 3773/772]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17/2, 5/2], [-1/2, -5/2], [0, 0]], [[-301/2, -2], [-63939/386, 34929/386], [-225/2, 75/2], [-649/772, -5/772]], [[2093, -1001], [1622497/386, -466028/193], [4725/2, -1300], [2275/193, -1092/193]]], 1, 672, [], [] >,
< [ -3, 0, 1 ], [[84, 18]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35/4, -11/4], [9/4, 5/4], [0, 0]], [[-589/2, -7/2], [-470829/772, 159135/772], [27/4, -21/4], [-635/386, -2/193]], [[348, 1508], [-1969345/772, 2246839/772], [295/4, -117/4], [348/193, 1624/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-165/4, 73/4], [-5/4, -3/4], [0, 0]], [[-738, -1], [-107211947/4246, 260587/4246], [3295/22, 1/22], [-3295/4246, -1/4246]], [[-88647/2, -20457/2], [-6422258965/4246, -730789566/2123], [197751/22, 22730/11], [-197751/4246, -22730/2123]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[84, 18]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-51/2, -23/2], [-57/2, -27/2], [-51/2, -23/2], [0, 0]], [[33/2, -5/2], [69223/386, -2764/579], [12865, -15], [-827/386, 1/579]], [[-2130, 1618], [-3374616/193, 18009487/1158], [-2343025/2, 2171909/2], [75233/386, -104672/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, 21/2], [435/2, -11/2], [33/2, 21/2], [0, 0]], [[22521/2, -375/2], [-3445251943/4246, 5971852375/12738], [-1781689/22, -4537/22], [-3612/2123, -2/6369]], [[4086663/2, 648025/2], [-440614747667/4246, 127373179103/2123], [-163285476/11, -28763926/11], [-1322479/4246, -115064/2123]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[84, 18]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-69, -38], [-50, -33], [-69, -38], [0, 0]], [[63/2, -123/2], [-172, 163/2], [63/2, -123/2], [3/2, 2]], [[0, 0], [11/2, 3], [0, 0], [1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[153/2, 95/2], [-238, -194], [153/2, 95/2], [0, 0]], [[6498, 384], [-1378299/22, 448747/22], [70737/11, 4029/11], [19/22, 5/22]], [[-1874808, -624936], [270482263/22, -6450514/11], [-20372820/11, -6761547/11], [-3206/11, -2891/22]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[-342, -144]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-333, -2], [333, 11], [-333, -2], [0, 0]], [[11902, -34117], [-1667716/193, 13039687/386], [22743/2, -68229/2], [-572/193, -1/386]], [[3670291/2, 2802853/2], [-761269951/386, -564352749/386], [3722271/2, 2827713/2], [28250/193, 13560/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[87/2, -1/2], [285/2, -21/2], [87/2, -1/2], [0, 0]], [[-24953/2, -18565/2], [-6787436/193, -10726249/386], [-12540, -9284], [-137/386, -2/193]], [[-1730195/2, -1039597/2], [-969497947/386, -293996001/193], [-867438, -520806], [-2542/193, -2201/386]]], 0, 3024, [], [] >,
< [ -3, 0, 1 ], [[372, 210]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[117/2, 65/2], [87/2, 59/2], [117/2, 65/2], [0, 0]], [[-294, -93], [-18531/193, -91261/386], [-12147/2, -219/2], [-186/193, -1/386]], [[2676, 864], [357487/386, 1239668/579], [109601/2, 3009/2], [3355/386, 61/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, 31/2], [21/2, 23/2], [33/2, 31/2], [0, 0]], [[33/2, -241/2], [-46519/386, -15619/193], [-198, -121], [200/193, -1/386]], [[-63701/2, 37741/2], [-434483/193, 1130575/579], [-1551/2, 2937/2], [-58421/386, 98197/1158]]], 1, 252, [], [] >,
< [ -3, 0, 1 ], [[228, 96]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 0], [4, 4], [6, 0], [0, 0]], [[-77, 46], [179/4, -93/4], [-159/2, 95/2], [5/4, -3/4]], [[21/2, 11/2], [16, 19/2], [21/2, 11/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2, -1], [-9, -7/2], [-9, -6], [1, -1/2]], [[1/2, -1/2], [25/4, 17/4], [9, 5], [1/4, -1/4]]], 0, 1344, [], [] >,
< [ -3, 0, 1 ], [[372, 210]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2, 1/2], [7, 5/2], [-6, -1/2], [5/4, 5/4]], [[3/2, 3], [37/4, 41/4], [0, -19/2], [11/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3, 3], [19/4, 5/4], [3/2, 1/2], [3/4, 5/4]], [[1/2, 0], [0, 1/4], [0, 0], [1/4, 0]]], 1, 672, [], [] >,
< [ -3, 0, 1 ], [[-114, -48]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[9, 8], [23/4, 4], [9, 17/2], [3/4, 1/2]], [[35/2, -53/2], [-1/4, -9], [45/2, -30], [-1/4, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -2], [-46, -21], [0, -2], [0, 0]], [[17, 11], [5152/11, 12253/44], [807/22, 48/11], [-7/22, 5/44]], [[5/2, 5/2], [3571/44, 2489/44], [225/11, -78/11], [-13/44, 7/44]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[-114, -48]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[75/2, 35/2], [75/2, 43/2], [75/2, 35/2], [0, 0]], [[-63/2, -45/2], [220022/193, -24953/1158], [12817, -10], [827/386, 1/579]], [[2130, 1618], [-17674275/193, 3207951/386], [-2051115/2, 149711/2], [-33075/193, 4725/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-159/2, -95/2], [129/2, 89/2], [-159/2, -95/2], [0, 0]], [[1056, -204], [43814284/2123, 6852823/4246], [670503/22, -4283/22], [1730/2123, 1/4246]], [[-326592, -105984], [-39963890319/4246, -27951596038/6369], [-275111599/22, -119115983/22], [-1432155/4246, -936350/6369]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[-114, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[81/2, 43/2], [15, 7], [81/2, 43/2], [0, 0]], [[210, 150], [101, 77/2], [225, 138], [-5/2, 2]], [[-576, -378], [-495/2, -221/2], [-597, -357], [7/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[117/2, 65/2], [-254, 320], [117/2, 65/2], [0, 0]], [[-871665, 5180], [3520539017/22, -2061210975/22], [-9580995/11, 57100/11], [-61/22, -1/22]], [[-2765952585, -360940965], [8521069042691/22, -2516084698120/11], [-30402038355/11, -3966799455/11], [-97667/11, -29593/22]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[84, 30]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6365/2, -3/2], [2327233/334, -2431/334], [6365/334, -3/334], [0, 0]], [[307917413/2, 102647235/2], [56259661378/167, 112398925709/1002], [153949655/167, 153970871/501], [-400/167, 1/1002]], [[1810207669475/2, 448904649003/2], [330792126100323/167, 163753168449833/334], [905043792606/167, 224459180435/167], [-2653117/167, 604545/334]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17559/2, 5/2], [24028203/334, 5499/334], [17559/334, 5/334], [0, 0]], [[-356269690, -18607190], [-10725602286403/3674, -839365658944/5511], [-7837892591/3674, -1228106599/11022], [1068/1837, -1/11022]], [[-333161585995/2, 20499029565/2], [-455914475065745/334, 28077192922845/334], [-333159673405/334, 20498369283/334], [46215/167, -5214/167]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[948, 546]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-61/2, -43/2], [-51/2, -19/2], [0, 0]], [[-5/2, -5/2], [19, 35], [90, 22], [-15/2, -5/2]], [[1, -1/2], [-6, 4], [6, -4], [-3/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69, -27], [18, 8], [0, 0]], [[15/2, 1], [537, 231], [-126, -30], [1, 5/2]], [[-18, -18], [-4605/2, -3017/2], [759/2, 633/2], [-18, -6]]], 1, 120, [], [] >,
< [ -3, 0, 1 ], [[-168, -60]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-89/2, -53/2], [-111/2, -53/2], [0, 0]], [[0, 0], [65, 37], [180, 122], [-15, -8]], [[0, 0], [-48, -28], [48, 28], [-12, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-165/2, -77/2], [195/2, 105/2], [0, 0]], [[0, 0], [30, 15], [-30, -15], [2, 1]], [[0, 0], [15, 3], [-18, -8], [0, 0]]], 0, 720, [], [] >,
< [ -3, 0, 1 ], [[252, 90]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-267/2, -159/2], [-69/2, -27/2], [0, 0]], [[2, -1/2], [-687, -456], [-189, -36], [-3/2, 2]], [[12, -7], [525, -202], [-531, 324], [-21, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -34], [39, 21], [0, 0]], [[3/2, 5/2], [411/2, 201/2], [-339/2, -147/2], [15/2, 3/2]], [[15/2, 0], [198, 162], [-132, -140], [0, 15/2]]], 0, 1440, [], [] >,
< [ -3, 0, 1 ], [[-504, -180]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [174, 125], [84, -3], [0, 0]], [[0, 0], [-17931/2, 17947/2], [52119/2, -28749/2], [15, -2]], [[0, 0], [26235, 51964], [76563, -32346], [126, 45]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-216, -118], [39, 21], [0, 0]], [[0, 0], [2058, 1362], [-522, -342], [51, 30]], [[0, 0], [-369/2, -675/2], [105/2, 169/2], [-9, -6]]], 0, 8640, [], [] >,
< [ -3, 0, 1 ], [[-270, -252]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-105/2, -65/2], [-36, -16], [-315/2, -195/2], [0, 0]], [[210, 130], [309/2, 133/2], [720, 400], [9/2, 1/2]], [[-272, 192], [804, -885/2], [654, -264], [147/2, -42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33, 0], [27, 12], [33, 0], [0, 0]], [[-1137, -322], [-1203, -1397/2], [-1146, -320], [9/2, -1]], [[98685/2, 74715/2], [162555/2, 93641/2], [98727/2, 75121/2], [-21/2, -203/2]]], 0, 6480, [], [] >,
< [ -3, 0, 1 ], [[6, 54]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[99/2, 55/2], [-136, -80], [99/2, 55/2], [0, 0]], [[267/2, 87], [-819/2, -241], [123, 185/2], [-1, 1/2]], [[-120, -68], [345, 201], [-120, -68], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -1], [-5, 54], [-42, 3/2], [0, 0]], [[-13/2, -19/2], [485/2, 91/2], [9/2, -85/2], [7/2, 3/2]], [[-1065/2, -119/2], [918, 4607], [-5283/2, 841/2], [65, 60]]], 1, 320, [], [] >,
< [ -3, 0, 1 ], [[-78, -24]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13885/2, -5/2], [435445/334, -1157/334], [13885/334, -5/334], [0, 0]], [[18595534, 3720125], [582408978/167, 345979316/501], [18601176/167, 11160413/501], [264/167, 2/501]], [[188177191659/2, 103639981589/2], [2939656336766/167, 3236846172311/334], [94110391100/167, 51831417143/167], [1020290/167, 1069891/334]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[897, 1], [-2654046/167, -2641/167], [897/167, 1/167], [0, 0]], [[4224081, -82839], [-137444430951/1837, 16275461705/11022], [92962779/3674, -5474839/11022], [-1239/3674, 1/5511]], [[8575604077/2, 4461369671/2], [-278979201987333/3674, -435388517412899/11022], [94362109143/3674, 147271689727/11022], [-648292/1837, -1018576/5511]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[-234, -72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-105/2, -23/2], [-129/2, -93/2], [0, 0]], [[-1, 2], [5025/2, 2497/2], [8817/2, 5511/2], [6, -1]], [[-35, 49/2], [20235/2, 4655/2], [21465/2, 19695/2], [147/2, -35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [153/2, 31/2], [-87/2, -31/2], [0, 0]], [[-3, -1/2], [27, 21], [9, 29], [-3/2, -3]], [[15/2, -5/2], [-9, -24], [93, -82], [-15/2, 15/2]]], 0, 1440, [], [] >,
< [ -3, 0, 1 ], [[468, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39/2, -65/2], [-249/2, -3/2], [0, 0]], [[0, 0], [-13815, 9211], [27576, -11712], [-12, -4]], [[0, 0], [-118974, 77599], [229986, -102417], [-90, -27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51/2, -41/2], [-57/2, -15/2], [0, 0]], [[0, 0], [120, -39], [180, 141], [15, 12]], [[0, 0], [120, 27], [690, 413], [60, 36]]], 0, 8640, [], [] >,
< [ -3, 0, 1 ], [[156, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 3], [-60, -32], [0, 0]], [[0, 0], [-99/2, 19/2], [189/2, -75/2], [18, 10]], [[0, 0], [40, -17], [-90, 45], [-6, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [243/2, 145/2], [141/2, 73/2], [0, 0]], [[0, 0], [42, 21], [6, 3], [2, 1]], [[0, 0], [-765, -452], [-435, -232], [0, 0]]], 0, 720, [], [] >,
< [ -3, 0, 1 ], [[228, 126]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 0], [-9, 4], [0, 0]], [[0, -1], [97/2, 17/2], [99/2, 25/2], [-3, 0]], [[4, -5/2], [87, -43], [75, -35], [-15/2, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [273/2, 183/2], [141/2, 73/2], [0, 0]], [[-6, -3/2], [1482, 1115], [975, 490], [-3/2, -2]], [[30, -5/2], [-2817, -4230], [-3345, -1200], [-5/2, 10]]], 1, 120, [], [] >,
< [ -3, 0, 1 ], [[216, 234]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-369/2, -1/2], [474, 13], [-369/2, -1/2], [0, 0]], [[-2163939, 245097], [11022873/2, -492136], [-2163975, 245100], [-6, 1/2]], [[439206594, 304455782], [-1186106649, -1619778113/2], [439214451, 304461128], [2619/2, 891]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 5/2], [-21, -20], [-3/2, 5/2], [0, 0]], [[0, 0], [-54, 13], [18, -6], [3, -1]], [[0, 0], [21, 29/2], [-9, -6], [-3/2, -1]]], 0, 6480, [], [] >,
< [ -3, 0, 1 ], [[150, 102]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 1], [116, 45], [18, -5/2], [0, 0]], [[-6765/2, 4081/2], [33495/2, -38687/2], [28389/2, -17727/2], [7/2, -1/2]], [[-912703/2, 414865/2], [8322057, 1383517], [4224603/2, -1584107/2], [-585, -635]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[93/2, -1/2], [24, 26], [93/2, -1/2], [0, 0]], [[-4626, 10031/2], [5988, 203/2], [-9213/2, 5070], [-1/2, -2]], [[122964, -488419], [-760181, -194664], [115551, -495846], [245, 266]]], 1, 320, [], [] >,
< [ -3, 0, 1 ], [[54, 30]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, 3/2], [12, 4], [21/2, 3/2], [0, 0]], [[132, -45], [199/2, -23/2], [120, -38], [-5/2, 3/2]], [[-102, -137/2], [-158, -193/2], [-207/2, -68], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -2], [-15, -11], [-6, -1], [0, 0]], [[-8, 1/2], [-51/2, -27/2], [3/2, -8], [-15/2, -5/2]], [[-36, 39/2], [-17, 1], [117/2, -36], [-14, 6]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[36, 12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -2], [-18, -4], [9, -2], [0, 0]], [[-27/2, 21/2], [-13, -20], [-27/2, 21/2], [-4, -1]], [[-462, 252], [873/2, -205/2], [-462, 252], [-33/2, 55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1], [-12, -10], [-3, -1], [0, 0]], [[-3/2, 17/2], [62, 0], [-3/2, 17/2], [-1, -1]], [[75/2, -35/2], [-227/2, 169/2], [75/2, -35/2], [-5/2, 1/2]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[54, 30]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -1], [13, 5], [9, -1], [0, 0]], [[-1001/2, 495/2], [-295, 49], [-1005/2, 499/2], [0, 2]], [[753/2, -323], [-153/2, -265], [381, -647/2], [6, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1/2], [-16, -6], [-3/2, 2], [0, 0]], [[-132, 105], [-525/2, -1011/2], [315, -132], [27/2, 19/2]], [[-30057/2, 16641/2], [35792, -12535], [49923/2, -30057/2], [-324, -27]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[36, 12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -1/2], [22, 16], [15/2, -1/2], [0, 0]], [[1710, -1050], [-3261/2, 915/2], [1710, -1050], [-21/2, 1/2]], [[-2484, 1884], [9955/2, 1191/2], [-2484, 1884], [87/2, 29/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 2], [14, 8], [6, 2], [0, 0]], [[15, -19], [-37/2, -15/2], [15, -19], [9/2, 5/2]], [[-39/2, 23/2], [3, -1], [-39/2, 23/2], [0, 0]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[54, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33/2, -15/2], [-81/2, -57/2], [0, 0]], [[3/2, -5/2], [141, 33], [258, 168], [-15/2, 3/2]], [[-7/2, 2], [-81/2, 47/2], [-9/2, 5/2], [6, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-99/2, -93/2], [9/2, 9/2], [0, 0]], [[-3/2, -3/2], [357/2, -417/2], [-21/2, 51/2], [-9/2, -3/2]], [[-1, 3/2], [-885, 554], [87, -58], [9/2, -1]]], 0, 108, [], [] >,
< [ -3, 0, 1 ], [[108, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, -21], [-18, -6], [0, 0]], [[0, 0], [-147/2, 97/2], [333/2, -197/2], [12, -4]], [[0, 0], [21/2, -43/2], [-93/2, 65/2], [-9, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-183/2, -99/2], [-3/2, -9/2], [0, 0]], [[0, 0], [-672, 23], [345, -226], [-12, -1]], [[0, 0], [-978, -112], [363, -259], [-18, -4]]], 0, 648, [], [] >,
< [ -3, 0, 1 ], [[-18, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9/2, -83/2], [-3/2, -11/2], [0, 0]], [[-3, 1/2], [-254, 177/2], [-59/2, 9], [1/2, -1]], [[45/2, 25/2], [2363/2, 1251/2], [325/2, 175/2], [25/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9/2, -49/2], [3/2, -7/2], [0, 0]], [[15/2, 1/2], [-416, -120], [-55, -11], [1/2, 5/2]], [[-114, -57/2], [7095, 2927], [897, 316], [-57/2, -38]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[36, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9/2, 11/2], [15/2, 11/2], [0, 0]], [[-4, -2], [40, -54], [-52, -62], [-4, -2]], [[19/2, -9/2], [-4369/2, 2537/2], [-1781/2, 1071/2], [19/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, -31], [21, 2], [0, 0]], [[5/2, -1/2], [-3347/2, 217/2], [911/2, -251/2], [5/2, -1/2]], [[-3, -2], [5343/2, 3407/2], [-801/2, -579/2], [-3, -2]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[-18, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -14], [0, 1], [0, 0]], [[-3, 1/2], [124, -611/2], [-53/2, 28], [1/2, -1]], [[-9, -15/2], [-4785/2, -997], [150, 85/2], [-15/2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51/2, -77/2], [3/2, -5/2], [0, 0]], [[0, 5/2], [893, 727], [4, 33], [5/2, 0]], [[0, 1], [895/2, 725/2], [5/2, 33/2], [1, 0]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[36, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [87/2, 11/2], [-9/2, 5/2], [0, 0]], [[3/2, 5/2], [-327/2, -191/2], [3/2, 5/2], [3/2, 5/2]], [[5/2, 15/2], [-881/2, -517/2], [5/2, 15/2], [5/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 28], [-6, -2], [0, 0]], [[-7/2, -1/2], [17, 20], [7, -6], [-7/2, -1/2]], [[-7/2, -21/2], [355/2, 91/2], [-115/2, 47/2], [-7/2, -21/2]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[54, 24]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-525/2, -5/2], [-251745/334, 2183/334], [-525/334, -5/334], [0, 0]], [[-24285, -19587], [-11265374/167, -55107355/1002], [-48245/334, -117515/1002], [-237/334, -1/501]], [[10572137/2, 8019129/2], [4910716909/334, 11272721387/1002], [10509959/334, 24045337/1002], [22654/167, 4097/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[62, -1], [29644/167, 470/167], [62/167, -1/167], [0, 0]], [[-1374, 638], [-24006056/1837, 19817047/11022], [-76091/3674, 42143/11022], [-4315/3674, -2/5511]], [[5474021/2, -2424195/2], [101343112861/3674, -25367414375/11022], [159310583/3674, -63402115/11022], [4662160/1837, 788608/5511]]], 1, 60, [], [] >,
< [ -3, 0, 1 ], [[54, 24]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1775/2, -1/2], [-838255/334, 1305/334], [-1775/334, -1/334], [0, 0]], [[-3937921/2, 1/2], [-1859806357/334, 5915536/501], [-1969027/167, 2/501], [97/334, -1/501]], [[-211620799, -13281587], [-99904642621/167, -18182218138/501], [-211627943/167, -39846053/501], [5206/167, 874/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[62, -1], [40666/167, 470/167], [62/167, -1/167], [0, 0]], [[-13815, 1364], [788158875/3674, 20459192/5511], [-222195/3674, 89939/11022], [3845/1837, 5/11022]], [[48279221/2, -2119811/2], [-1404264275319/3674, -153017788868/5511], [192935583/1837, -47000533/5511], [-13662383/3674, -1142785/5511]]], 1, 60, [], [] >,
< [ -3, 0, 1 ], [[54, 24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, -2], [48, -17], [-9, -2], [0, 0]], [[-2409, 2178], [84571/2, -25596], [-2409, 2178], [-2, 5/2]], [[232617/2, 10241/2], [-846786, 380328], [232617/2, 10241/2], [162, 30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 1/2], [-6, -52], [-15/2, 1/2], [0, 0]], [[3294, -1908], [-33243, 19069], [3294, -1908], [0, -1]], [[-4536, 2592], [89711/2, -26435], [-4536, 2592], [-5, -3/2]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[-36, -6]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2815/2, -5/2], [209327/334, 2183/334], [-2815/334, -5/334], [0, 0]], [[-5369959/2, -5351229/2], [204909670/167, 401361815/334], [-2685500/167, -2675617/167], [198/167, 1/334]], [[3109112545, 1881725827], [-234864751931/167, -425830971199/501], [3109360744/167, 5645538518/501], [-94106/167, -136699/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1021/2, -3/2], [2118641/334, 2245/334], [-1021/334, -3/334], [0, 0]], [[-4607021/2, 7690795/2], [52724395431/1837, -527245813541/11022], [-25273620/1837, 126898190/5511], [-4443/1837, 1/11022]], [[-317663083284, -263646389428], [659178596698947/167, 547347020583134/167], [-318234245400/167, -263923290640/167], [39020604/167, 18912600/167]]], 1, 60, [], [] >,
< [ -3, 0, 1 ], [[-36, -6]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1126, -2], [84833/167, -730/167], [-1126/167, -2/167], [0, 0]], [[20396, 29594], [-701480/167, -13276901/1002], [38087/334, 177535/1002], [1029/334, 2/501]], [[6462453/2, 3997405/2], [-400132377/334, -387052891/501], [3162648/167, 5894723/501], [52001/334, 38390/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[272, -1], [-580243/167, 4311/167], [272/167, -1/167], [0, 0]], [[818977/2, 135813/2], [-17578461873/3674, -4672685857/5511], [4575930/1837, 2241017/5511], [-9783/3674, -1/5511]], [[-91304370957/2, -47854365569/2], [992938685743377/1837, 522555948296303/1837], [-1017212417673/3674, -532634675927/3674], [878864673/3674, 425969081/3674]]], 1, 60, [], [] >,
< [ -3, 0, 1 ], [[-36, -6]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27, -1], [-12, 1], [27, -1], [0, 0]], [[-1722, 21], [762, -85/2], [-1707, 15], [5/2, -1]], [[9219/2, 4963/2], [-1893, -2015/2], [9189/2, 4951/2], [-5/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[249/2, 3/2], [-5/2, -1], [213/2, -27/2], [-3, -5/2]], [[867/2, 4913/2], [-66, -52], [-1005/2, 4121/2], [-156, -66]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[162, 96]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, 4], [-15/2, 1], [0, 0]], [[-1675/2, 1], [941765/772, -269971/772], [-3435/4, -1031/4], [-2081/10036, 3/10036]], [[6889/2, 5312], [1245341/772, -4861373/772], [33837/4, 26071/4], [8549/10036, 13197/10036]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -4], [-1, -1], [0, 0]], [[8177/2, -1], [8451981/772, -37309/772], [10157/4, -25/4], [10159/10036, -5/10036]], [[140798, 124187], [143926677/386, 63878017/193], [173865/2, 76935], [13447/386, 11865/386]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[72, 60]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -3/2], [-3, -5/2], [0, 0]], [[0, 0], [151346/193, 11996/193], [66, 18], [24967/5018, 5/5018]], [[0, 0], [123532787/193, 101606301/193], [77556, 52854], [8358625/2509, 7720330/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3/2, 2], [-5/2, -2], [0, 0]], [[0, 0], [125307/386, 19855/386], [77/2, -55/2], [6548/2509, -1/2509]], [[0, 0], [2247147/193, 2205442/193], [-1837, 660], [270787/5018, 418011/5018]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[162, 96]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29/2, 2], [5/2, -2], [0, 0]], [[6502, 0], [-2966192/193, -34945/193], [4051, 14], [4039/2509, -1/2509]], [[3040961/2, -452276], [-2745384551/772, 792620321/772], [3777589/4, -1114047/4], [3778885/10036, -1124739/10036]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 7/2], [2, -1/2], [0, 0]], [[-11329/2, -1], [-686719/772, 48841/772], [-14063/4, 13/4], [-14075/10036, 1/10036]], [[-1381800, 704060], [-46445460/193, 24325416/193], [-859077, 437929], [-858690/2509, 437570/2509]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[72, 60]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, -27/2], [-2, -1/2], [0, 0]], [[0, 0], [170721/193, 32611/193], [21, 9], [19093/5018, -1/5018]], [[0, 0], [87011097/193, -47004134/193], [4440, -2043], [7155631/2509, -3995530/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, -13/2], [1, 3/2], [0, 0]], [[0, 0], [137550/193, 29897/193], [-72, -27], [12117/5018, -3/5018]], [[0, 0], [10848315/386, -2009683/386], [-4419/2, -117/2], [312064/2509, -112148/2509]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[-36, -30]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1/2], [-21/2, -11/2], [3/2, 1/2], [0, 0]], [[0, 0], [137738/193, 11263/579], [-148, 0], [138/193, 2/579]], [[0, 0], [790513/386, 1231621/579], [-779/2, -861/2], [369/193, 2419/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 0], [321, 15], [-15, 0], [0, 0]], [[-69/2, -43/2], [-722606153/4246, 3119783/6369], [120034/11, -194/11], [14227/4246, 1/6369]], [[108855, 61815], [844974875389/4246, 1142371395857/6369], [-281683027/22, -253373459/22], [-8384128/2123, -45130189/12738]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[-36, -30]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[45/2, 5/2], [69/2, -25/2], [45/2, 5/2], [0, 0]], [[-2211/2, -2277/2], [126624/193, -1388573/1158], [-965, -1139], [-131/193, -1/1158]], [[-91707/2, -45353/2], [-11589441/386, -2068049/386], [-88917/2, -42503/2], [-1320/193, -1335/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 1/2], [-135/2, -47/2], [15/2, 1/2], [0, 0]], [[5805/2, 801/2], [-239044911/4246, -137816737/12738], [74587/22, 8803/22], [317/2123, -1/6369]], [[-111186, -84987], [922357365/386, 334500326/193], [-249411/2, -194781/2], [-798/193, -1465/386]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[-36, -30]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -3/2], [-72, -34], [9/2, -3/2], [0, 0]], [[-339/2, 161/2], [1242, 765/2], [-339/2, 161/2], [-1/2, -1]], [[6528, -3200], [-42528, -22963/2], [6528, -3200], [25/2, 35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -1/2], [-243, 12], [9/2, -1/2], [0, 0]], [[3024, -24], [-1812230/11, -203123/22], [33159/11, -254/11], [-21/22, 1/11]], [[-2451, -4395], [3953397/22, 5463661/22], [-26916/11, -48200/11], [9/22, 29/22]]], 1, 84, [], [] >,
< [ -3, 0, 1 ], [[-108, -66]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 1], [-15/2, 7/2], [12, 1], [0, 0]], [[23, -5], [-41/4, 49/4], [27/2, -15/2], [19/52, 5/52]], [[-65/2, 1], [11/2, -67/4], [-15, 8], [-35/52, -7/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -1/2], [-15/2, 2], [15/2, -1/2], [0, 0]], [[-55, -9/2], [-637/4, -4], [0, -2], [-55/26, -5/52]], [[-295/2, 217/2], [-488, 687/2], [27/2, -13/2], [-161/26, 115/26]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[-36, -48]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3/2, 13/2], [15, 2], [0, 0]], [[0, 0], [473/2, 169], [657, 176], [83/26, 1/13]], [[0, 0], [-7/4, 5/4], [-21/2, 15/2], [-7/52, 5/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, 1], [-3, 1], [0, 0]], [[0, 0], [981/4, 239/4], [-99/2, -11/2], [-69/52, 1/52]], [[0, 0], [1163, 827], [-180, -147], [-7/2, -7/2]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[-108, -66]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-27, 0], [-39/4, 3/4], [15/2, -1/2], [-69/52, 1/52]], [[-168, -599/2], [-143/4, -207/2], [30, 80], [-99/13, -759/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27/2, 1/2], [-15/2, -8], [-27/2, 1/2], [0, 0]], [[-1873/2, 401/2], [-1125/4, -1917/4], [-972, 198], [71/52, 5/52]], [[1142, -20507/2], [-78843/4, -13429/2], [810, -10710], [166/13, 913/52]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[-36, -48]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [209/4, 1/4], [219/2, -5/2], [201/52, 5/52]], [[0, 0], [6995/2, 4153/2], [6972, 4151], [3483/13, 2064/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 2], [0, 4], [0, 0]], [[0, 0], [-423/4, -27/4], [291/2, 3/2], [97/52, 5/52]], [[0, 0], [1179/2, 145/2], [-804, -57], [-135/13, -15/13]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[18, 24]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 1/2], [9/2, 23/2], [-15/2, 1/2], [0, 0]], [[-99/2, 121/2], [-777977/386, 5390/193], [-264, 60], [-200/193, 1/386]], [[0, 0], [-10254/193, -42725/1158], [-13/2, -9/2], [-6/193, -25/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -1/2], [141/2, 1/2], [-9/2, -1/2], [0, 0]], [[1395/2, 15/2], [-643102825/4246, 6603481/6369], [-37294/11, 102/11], [4115/2123, 1/12738]], [[-616266, -728394], [24229930632/193, 60178727205/386], [5706999/2, 7003311/2], [-318078/193, -774507/386]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[18, 24]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, -1/2], [-45/2, 7/2], [21/2, -1/2], [0, 0]], [[-714, -406], [513385/193, 802933/1158], [-349/2, -805/2], [503/193, 5/1158]], [[0, 0], [4408/193, -17081/1158], [17/2, -11/2], [8/193, -31/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 3/2], [-27/2, 21/2], [15/2, 3/2], [0, 0]], [[-120, -200], [-172662249/4246, 3610205/12738], [3122/11, -2193/11], [-813/4246, -5/12738]], [[816, 320], [149722249/4246, 304796092/6369], [9979/22, -3483/22], [731/4246, 1445/6369]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[18, 24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, -1/2], [-18, -14], [21/2, -1/2], [0, 0]], [[-2772, 854], [3473/2, 2324], [-2772, 854], [-2, -1/2]], [[0, -30212], [261387/2, 59190], [0, -30212], [-51, -75/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, 5/2], [138, 135], [21/2, 5/2], [0, 0]], [[-102105, -225], [-5438857/11, -26347807/22], [-1123143/11, -2451/11], [1/22, 1/11]], [[1035, 405], [19176, 14063], [1035, 405], [0, 0]]], 1, 84, [], [] >,
< [ -3, 0, 1 ], [[0, -30]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3/2], [7, 21/2], [2, -1/2], [0, 0]], [[-15, 15], [-6871/74, 3691/37], [152, -29/2], [122/185, 1/370]], [[594, -42], [300299/74, -16906/111], [1571, 15425/6], [1931/185, 13517/1110]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1/2], [-131, -37/2], [-1, 3/2], [0, 0]], [[812, 896], [-12920781/814, -13631975/407], [468, -83/2], [94/407, -1/4070]], [[-252126, -111853], [7025322457/814, 3739833908/1221], [-16054, -203201/6], [-10265/814, -108809/6105]]], 1, 144, [], [] >,
< [ -3, 0, 1 ], [[0, -30]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 9/2], [16, -3/2], [2, 5/2], [0, 0]], [[377, 232], [-43263/74, 28639/111], [279, 439/6], [239/370, 2/555]], [[18357, 11136], [-1677071/74, 2051711/222], [25319/2, 24079/6], [5134/185, 1208/555]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -1/2], [47, -23/2], [1, -3/2], [0, 0]], [[-576, -376], [-4116752/407, 3327059/1221], [-641, -301/3], [73/407, 1/6105]], [[-124264, -67032], [3036650/11, -16928721/22], [-108911/2, -60695], [867/110, 867/55]]], 1, 144, [], [] >,
< [ -3, 0, 1 ], [[0, -150]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1/2], [16, -7/2], [-1, 3/2], [0, 0]], [[187/2, 77/2], [22441/74, 3087/74], [22, 28], [-11/37, -1/74]], [[-1650, -770], [-179810/37, -273619/222], [-1001/2, -1408/3], [341/74, 88/111]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -2], [329/2, 13/2], [1/2, -5/2], [0, 0]], [[3720, 3317], [49407519/814, -86953076/1221], [1368, 1205/6], [-3495/814, -2/1221]], [[420639/2, 200291/2], [-2397299739/814, 95127022/407], [51003/2, 25444], [-19557/407, -29643/407]]], 1, 3744, [], [] >,
< [ -3, 0, 1 ], [[0, -150]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 5/2], [-29/2, 8], [5/2, 0], [0, 0]], [[2, -6], [13807/74, -5743/111], [-26, 23/6], [16/37, 1/222]], [[-125, -67], [47230/37, 189085/222], [-527/2, -497/3], [451/74, 410/111]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -1/2], [80, -23/2], [1, -3/2], [0, 0]], [[27/2, 15/2], [2346549/407, -75311/814], [552, 7/2], [1095/814, 1/814]], [[0, 0], [28793/407, -44203/2442], [13/2, -5/3], [13/814, -5/1221]]], 1, 3744, [], [] >,
< [ -3, 0, 1 ], [[-1386, -804]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -15/2], [0, 1/2], [0, 0]], [[-659/2, -3], [-458487/772, -3675/772], [-4263/4, -15/4], [-1421/772, -5/772]], [[18312, 6976], [6362371/193, 2419843/193], [58860, 22236], [19620/193, 7412/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 21/2], [-1, 1/2], [0, 0]], [[-799/2, -2], [1474581/772, 14245/772], [-1723/4, 1/4], [-1723/772, 1/772]], [[-21153, 14743], [19327965/193, -13512538/193], [-23076, 16025], [-23076/193, 16025/193]]], 1, 672, [], [] >,
< [ -3, 0, 1 ], [[108, 168]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -3/2], [3, 3/2], [0, 0]], [[0, 0], [354795/386, -10073/386], [-33/2, 11/2], [2137/386, 1/386]], [[0, 0], [8307105/193, -43765011/386], [-2619, 4437/2], [38720/193, -130680/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45/2, -11], [-3/2, -2], [0, 0]], [[0, 0], [-554235/386, 205701/386], [1037/2, -595/2], [-1337/386, 1/386]], [[0, 0], [12663105/193, 8644689/386], [-6205, 6409/2], [71765/193, 37040/193]]], 0, 4032, [], [] >,
< [ -3, 0, 1 ], [[-1386, -804]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29, 33/2], [2, -5/2], [0, 0]], [[406, 5/2], [-30819/772, 51687/772], [1701/4, 11/4], [1751/772, 1/772]], [[54809/2, -26213/2], [-1792402/193, 1131958/193], [28691, -13719], [59575/386, -14298/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/2, -6], [-1/2, -1], [0, 0]], [[301/2, 2], [445363/772, -6747/772], [635/4, -7/4], [649/772, 5/772]], [[-1295, 37/2], [-3841263/772, 163803/772], [-5475/4, 211/4], [-5587/772, 111/772]]], 1, 672, [], [] >,
< [ -3, 0, 1 ], [[108, 168]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -9/2], [-2, -1/2], [0, 0]], [[0, 0], [30951/386, -9227/193], [-15/2, -6], [179/193, -1/193]], [[0, 0], [-2259393/386, 653376/193], [-135/2, 81], [-13715/386, 7085/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5/2, -2], [-1/2, 0], [0, 0]], [[0, 0], [23541/193, 3901/193], [0, 0], [235/386, 3/386]], [[0, 0], [-1189500/193, 440492/193], [0, 0], [-15057/386, 6741/386]]], 0, 4032, [], [] >,
< [ -3, 0, 1 ], [[-54, -84]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[147/2, -1/2], [159/2, -13/2], [147/2, -1/2], [0, 0]], [[-12213, -12420], [-2528043/193, -7196653/579], [4069, -12402], [-524/193, -2/579]], [[16225281, 7036206], [6336769551/386, 1421359500/193], [25764291/2, 2063277/2], [107688/193, 386523/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[381/2, -1/2], [-8715/2, -7/2], [381/2, -1/2], [0, 0]], [[3273/2, 2045/2], [737614010/2123, -49884679/2123], [-4468107/22, 22131/22], [-16033/4246, -1/4246]], [[63391890, 35098449], [7808971174877/4246, 34343697756853/6369], [-37176920639/22, -71742926037/22], [-68643218/2123, -774374783/12738]]], 1, 1008, [], [] >,
< [ -3, 0, 1 ], [[-54, -84]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-417/2, -3/2], [-441/2, 27/2], [-417/2, -3/2], [0, 0]], [[62730, 90950], [17734351/386, 53148109/579], [118189/2, 181953/2], [117/193, -5/1158]], [[31706190, 12468990], [5949145875/193, 6274411735/579], [31468139, 12104901], [7667/193, 35156/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[213, 2], [-4947, -49], [213, 2], [0, 0]], [[-8312475/2, 513715/2], [204961646419/2123, -37677392026/6369], [-90689677/22, 5651347/22], [2661/4246, 5/12738]], [[1686609672, 4716470000], [-83552597136633/2123, -465312300580053/4246], [36637742217/22, 102884929739/22], [-1664565/4246, -1561616/2123]]], 1, 1008, [], [] >,
< [ -3, 0, 1 ], [[-54, -84]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-201/2, -5/2], [18, 15], [-201/2, -5/2], [0, 0]], [[62952, -52632], [12261, -557/2], [62952, -52632], [-5/2, 0]], [[-291798, -32422], [62901, 95131/2], [-291798, -32422], [-27/2, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-174, -2], [-1701, 6], [-174, -2], [0, 0]], [[724839/2, 3569/2], [38915241/11, -791519/22], [7978455/22, 39415/22], [-67/22, -1/11]], [[-65941425/2, -50126439/2], [-3419191269/11, -2638354376/11], [-725857995/22, -551763981/22], [3220/11, 2392/11]]], 1, 1008, [], [] >,
< [ -3, 0, 1 ], [[-630, -372]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -5/2], [-15, -1/2], [9/2, -5/2], [0, 0]], [[2, -3/2], [41/4, 1/2], [0, 0], [1, -3/4]], [[6, 4], [-111, -63], [0, 0], [3, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -3/2], [-21, 17/2], [15/2, -3/2], [0, 0]], [[-146, -287], [-208, 1189/2], [-147, -287], [1/2, 0]], [[2263/2, 797], [-1166, -4719/4], [1134, 798], [-5/4, -1/2]]], 1, 672, [], [] >,
< [ -3, 0, 1 ], [[-288, -228]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9/2, -19/2], [-6, -5], [0, 0]], [[0, 0], [-411/4, -73/4], [-117/2, -39/2], [-3/4, 3/4]], [[0, 0], [1597/4, 961/4], [555/2, 327/2], [-7/4, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27/2, 3/2], [-9, 2], [0, 0]], [[0, 0], [-763/4, -449/4], [-177/2, -115/2], [5/4, -1/4]], [[0, 0], [484, 282], [231, 141], [-2, 0]]], 0, 4032, [], [] >,
< [ -3, 0, 1 ], [[-630, -372]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 0], [12, -11], [-12, 0], [0, 0]], [[-265, -435/2], [-1395/4, -14], [-264, -220], [-1/2, 5/4]], [[-1134, -694], [-3111/4, -1339/4], [-2277/2, -1397/2], [9/4, 9/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[6, -7/2], [1/2, -5/4], [15/2, -5/2], [-3/4, -1/2]], [[-3/2, 1/2], [-1/2, 0], [-3/2, 1/2], [0, 0]]], 1, 672, [], [] >,
< [ -3, 0, 1 ], [[-288, -228]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9/2, 11/2], [9, -4], [0, 0]], [[0, 0], [-417/4, -295/4], [-147/2, -45/2], [-9/4, 1/4]], [[0, 0], [-87/4, -37/4], [-9/2, -15/2], [1/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-17/4, -11/4], [-9/2, -3/2], [15/4, 5/4]], [[0, 0], [-3/2, -1/2], [0, -1], [0, 1]]], 0, 4032, [], [] >,
< [ -3, 0, 1 ], [[144, 114]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[57, -2], [-51, -13], [57, -2], [0, 0]], [[-5355/2, -12145/2], [1135029/193, 7285669/1158], [-7385, -6094], [-303/386, -2/579]], [[509502, 247450], [-240205555/386, -190719980/579], [1308121/2, 717469/2], [9301/386, 10742/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[129/2, 3/2], [21/2, 27/2], [129/2, 3/2], [0, 0]], [[-15744, 3136], [314864834/2123, -17510725/6369], [174958/11, 34568/11], [1861/2123, 1/6369]], [[7356096, 7554240], [-258079601552/2123, -1198538843615/12738], [-434338225/22, -286712815/22], [-1593325/2123, -7262791/12738]]], 1, 1008, [], [] >,
< [ -3, 0, 1 ], [[144, 114]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[126, -1], [-120, -8], [126, -1], [0, 0]], [[-56817/2, -87261/2], [7431655/193, 8423885/193], [-98361/2, -87299/2], [-1337/386, -1/386]], [[150820992, 77135184], [-31426669907/193, -99810857329/1158], [350979745/2, 191498843/2], [793613/193, 3593551/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-363/2, -3/2], [717/2, 21/2], [-363/2, -3/2], [0, 0]], [[6243909, -310688], [-26498936666/2123, 2254455718/6369], [69379283/11, -3417424/11], [3722/2123, 2/6369]], [[-23395672545, -18742026205], [209509160512623/4246, 81937173315089/2123], [-520593155979/22, -416798653063/22], [-31474359/4246, -11957697/2123]]], 1, 1008, [], [] >,
< [ -3, 0, 1 ], [[144, 114]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-75/2, -35/2], [-72, -31], [-75/2, -35/2], [0, 0]], [[-186, -92], [-306, -263/2], [-177, -86], [-3/2, -1]], [[147/2, -51/2], [401/2, -183/2], [153/2, -57/2], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[225/2, 1/2], [-591, 5], [225/2, 1/2], [0, 0]], [[621135, 366], [-35883924/11, 444149/11], [6835365/11, 4506/11], [-12/11, -2/11]], [[-599256, 12370356], [62420735/11, -1430239535/22], [-6566016/11, 136130796/11], [-215/22, -237/11]]], 1, 1008, [], [] >,
< [ -3, 0, 1 ], [[-90, -84]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21233/2, 5/2], [9481501/334, 6167/334], [21233/334, 5/334], [0, 0]], [[-92233, 65088492], [-10775883/334, 174389689249/1002], [-85071/167, 195265459/501], [633/334, -1/1002]], [[316207836413/2, -35853906421/2], [141181427694895/334, -23928637970858/501], [158101940071/167, -53763460816/501], [-174427/334, 768812/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2777/2, 1/2], [15163849/334, 5709/334], [2777/334, 1/334], [0, 0]], [[9213732, 20988], [553027674624/1837, 7618200869/11022], [202538961/3674, 1513975/11022], [-8587/3674, -1/5511]], [[422126397, -1234645335], [50665826622671/3674, -222316674254113/5511], [9261888283/3674, -81414938797/11022], [-200507/1837, 3454637/11022]]], 1, 720, [], [] >,
< [ -3, 0, 1 ], [[-90, -84]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3674, 0], [-9833, -2], [-22, 0], [0, 0]], [[65391191/2, 7343/2], [14613168048/167, 13842326/501], [65375283/334, 22019/1002], [-703/334, -1/1002]], [[2714791423, -7913844098], [1211206369135/167, -21220886644105/1002], [5428263091/334, -47471513561/1002], [-58187/334, 255206/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[24907/2, 5/2], [135934235/334, 30549/334], [24907/334, 5/334], [0, 0]], [[604544520, -20496360], [72586704934141/3674, -7377695336551/11022], [6650003935/1837, -676391140/5511], [1495/3674, -5/11022]], [[-9250071360, 21009409920], [-555231385422018/1837, 2522546169856151/3674], [-203502679197/3674, 462208083499/3674], [-17823/3674, 25688/1837]]], 1, 720, [], [] >,
< [ -3, 0, 1 ], [[-90, -84]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[141/2, 81/2], [-3, -16], [141/2, 81/2], [0, 0]], [[483/2, 299/2], [-712, 651/2], [603/2, 395/2], [-5/2, -2]], [[-447/2, -261/2], [317/2, -31/2], [-567/2, -333/2], [5/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -5/2], [-75, -48], [-3/2, -5/2], [0, 0]], [[0, 0], [374, 269/2], [-60, 48], [5/2, -2]], [[0, 0], [-24479/2, -6266], [264, -660], [-11, 55/2]]], 1, 720, [], [] >,
< [ -3, 0, 1 ], [[72, 78]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-897/2, -1/2], [41331/334, 3977/334], [-897/334, -1/334], [0, 0]], [[-1273451/2, -1271991/2], [76213077/334, 96254065/501], [-647721/167, -1908020/501], [-1029/334, -2/501]], [[18363808745, 10331359525], [-985814549625/167, -558978417423/167], [18473143464/167, 10400882636/167], [5118706/167, 3254547/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6451, 1], [-25527535/167, 4874/167], [-6451/167, 1/167], [0, 0]], [[1805/2, -1685/2], [29145161/1837, -36695624/1837], [-4025/3674, -16773/3674], [897/3674, 1/3674]], [[3386, 1312], [196743677/1837, 530134559/11022], [174007/3674, 280961/11022], [-4357/3674, -4139/5511]]], 1, 720, [], [] >,
< [ -3, 0, 1 ], [[72, 78]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13799/2, -1/2], [-693469/334, 3309/334], [13799/334, -1/334], [0, 0]], [[-308817760, 154402615], [31259645405/334, -23497281095/501], [-617607139/334, 926415773/1002], [664/167, 5/1002]], [[-991834787249/2, -2933996840727/2], [23911200297569/167, 147249564076667/334], [-495420996640/167, -1466682799611/167], [23239737/167, 29549961/334]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6365/2, 3/2], [25161143/334, 13453/334], [6365/334, 3/334], [0, 0]], [[181716279/2, 6364149/2], [7902421308193/3674, 415854130894/5511], [999504950/1837, 104993737/5511], [-4913/3674, 1/5511]], [[-246040739567/2, -154664859487/2], [-5350445256402220/1837, -20179857273800737/11022], [-1353295219153/1837, -2552109805178/5511], [3117049/1837, 11887151/11022]]], 1, 720, [], [] >,
< [ -3, 0, 1 ], [[72, 78]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[39, 1], [-24, 7], [39, 1], [0, 0]], [[1995/2, 525/2], [-957/2, 22], [2007/2, 507/2], [1, -3/2]], [[-4557, -2569], [1416, 1517/2], [-4530, -2551], [9/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-111, -2], [-18, -3], [-111, -2], [0, 0]], [[125247/2, -20667/2], [18647/2, -152], [125319/2, -20685/2], [6, -3/2]], [[-9608661, -6237201], [-1996352, -2469403/2], [-9612936, -6240111], [-1425/2, -485]]], 1, 720, [], [] >,
< [ -3, 0, 1 ], [[0, 54]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -3], [66, 15], [-24, -9], [0, 0]], [[-945/2, -405/2], [3744, 2329/2], [-2835/2, -1215/2], [9/2, 2]], [[-27/2, 243/2], [900, -1315], [-81/2, 729/2], [0, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1/2], [-27, -9], [-15/2, 3/2], [0, 0]], [[4, 6], [387/2, 173/2], [12, 18], [-9/2, 5/2]], [[-110, -66], [-2691, -3071/2], [-330, -198], [9/2, -1]]], 0, 486, [], [] >,
< [ -3, 0, 1 ], [[18, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, 4], [0, -1], [27, 12], [0, 0]], [[23/2, 13/2], [1, -3/2], [21/2, 19/2], [5/2, 2]], [[-7/2, -7/2], [18, -10], [-69/2, 27/2], [-6, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, 7/2], [0, 2], [51/2, 21/2], [0, 0]], [[245, 70], [-67/2, 70], [735, 210], [-2, 5/2]], [[-3325/2, -1575/2], [-176, -317], [-9975/2, -4725/2], [-2, -10]]], 1, 18, [], [] >,
< [ -3, 0, 1 ], [[0, 54]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [-15, -14], [-3/2, -9/2], [0, 0]], [[2, 0], [45/2, 15/2], [6, 0], [-15/2, -9/2]], [[0, 0], [0, 1/2], [0, 0], [-3/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3/2], [-3, -15], [3/2, 9/2], [0, 0]], [[-156, -108], [1425, 2041/2], [-468, -324], [-3/2, 3]], [[-171, -144], [1524, 1379], [-513, -432], [-6, 6]]], 0, 486, [], [] >,
< [ -3, 0, 1 ], [[18, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -1/2], [-5, 4], [9/2, -1/2], [0, 0]], [[-30, -12], [-6, -19], [-30, -12], [-6, -2]], [[30, 10], [-1/2, 21], [30, 10], [6, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-9/2, -1/2], [2, -3/2], [-27/2, -3/2], [-9/2, 2]], [[-91/2, -49/2], [-3, -4], [-273/2, -147/2], [-12, -3]]], 1, 18, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-147/2, -93/2], [-9/2, 3/2], [0, 0]], [[-13/2, -3/2], [6562, 3786], [100, 44], [-13/2, -3/2]], [[195, -111], [-2199, -1020], [-1212, 669], [195, -111]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63, 30], [12, 3], [0, 0]], [[5/2, 1/2], [257/2, 187/2], [29/2, 29/2], [5/2, 1/2]], [[-22, 6], [-335/2, -957/2], [73/2, -199/2], [-22, 6]]], 0, 72, [], [] >,
< [ -3, 0, 1 ], [[18, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 0], [9, 6], [0, 0]], [[6, 1/2], [398, 193/2], [-521/2, -159], [1/2, 2]], [[12, -5], [1229/2, -385/2], [-205/2, -189/2], [-5, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33/2, -21/2], [-21/2, 3/2], [0, 0]], [[0, -5/2], [61/2, 21], [131, 149/2], [-5/2, 0]], [[-3/2, 1], [1, -1/2], [-1/2, 0], [1, -1/2]]], 1, 36, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -15], [-9, -6], [0, 0]], [[1, -2], [-127/2, -49/2], [-43/2, -11/2], [1, -2]], [[217/2, -119/2], [-382, 356], [-250, 184], [217/2, -119/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [93, 54], [-30, -15], [0, 0]], [[3, 2], [591/2, 343/2], [-165/2, -71/2], [3, 2]], [[-43/2, 25/2], [-53, 38], [-902, 519], [-43/2, 25/2]]], 0, 72, [], [] >,
< [ -3, 0, 1 ], [[18, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39/2, 9/2], [3/2, -9/2], [0, 0]], [[9/2, -5/2], [1033/2, 393/2], [-59/2, -197/2], [-5/2, 3/2]], [[-6, -5/2], [-49871/2, -14378], [5807, 6735/2], [-5/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15/2, 9/2], [15/2, -3/2], [0, 0]], [[15/2, 5/2], [-11, -8], [-8, -7], [5/2, 5/2]], [[3, -1/2], [-1/2, -2], [1, -5/2], [-1/2, 1]]], 1, 36, [], [] >,
< [ -3, 0, 1 ], [[18, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57/2, 0], [-3, -9/2], [0, 0]], [[-3/2, 1/2], [375, -583/2], [-189/2, 26], [-3/2, 1/2]], [[-17/2, -7/2], [-2107/2, -1139], [-649, -581/2], [-17/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21/2, -27/2], [-9/2, -15/2], [0, 0]], [[5, 0], [-2113/2, 277], [-583, -231/2], [5, 0]], [[11/2, 1/2], [-2195/2, 405/2], [-1375/2, -377/2], [11/2, 1/2]]], 1, 18, [], [] >,
< [ -3, 0, 1 ], [[18, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75/2, -18], [0, 9/2], [0, 0]], [[1/2, 1/2], [1037/2, -241], [14, 137/2], [1/2, 1/2]], [[0, 0], [36, -30], [-15, -3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-105/2, 21], [0, -9/2], [0, 0]], [[1/2, -1/2], [839/2, 137], [149, 193/2], [1/2, -1/2]], [[0, 0], [225, 117], [102, 60], [0, 0]]], 1, 18, [], [] >,
< [ -3, 0, 1 ], [[-72, -54]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27/2, -1/2], [-55, 0], [-27/2, -1/2], [0, 0]], [[-1560, 300], [-6534, 2949/2], [-1560, 300], [-3/2, 2]], [[44400, 11100], [176709, 38508], [44400, 11100], [-30, -52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -1], [14, -1], [3, -1], [0, 0]], [[24, 3], [285/2, 47], [24, 3], [6, -1/2]], [[-1635/2, -1417/2], [-7175, -4911], [-1635/2, -1417/2], [-105, -147]]], 1, 216, [], [] >,
< [ -3, 0, 1 ], [[18, 36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -2], [-12, 1], [-3, -6], [0, 0]], [[-535/2, -23/2], [681/2, -1145/2], [-1671/2, -51/2], [3/2, -1/2]], [[1985/2, 1217/2], [4967/2, 1243], [6069/2, 3731/2], [-2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[151/2, 5/2], [3, 0], [453/2, 15/2], [0, 0]], [[104235/2, 347/2], [2076, -121/2], [312795/2, 1029/2], [3/2, 0]], [[-1436681/2, -1117385/2], [-26455, -42665/2], [-4310889/2, -3352951/2], [-41/2, -16]]], 1, 216, [], [] >,
< [ -3, 0, 1 ], [[252, 90]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17, -10], [42, 37], [-51, -30], [0, 0]], [[-144, -62], [1530, -905/2], [-432, -191], [5/2, 0]], [[1145/2, 693/2], [-867, -1508], [3483/2, 2099/2], [-5, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-73/2, -41/2], [15, 25], [-219/2, -123/2], [0, 0]], [[598, 340], [-336, -341], [1818, 1004], [1, -1]], [[1501/2, 863/2], [-1083/2, -363], [4515/2, 2577/2], [0, -1/2]]], 1, 2160, [], [] >,
< [ -3, 0, 1 ], [[-234, -72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -3/2], [33, 11], [-21/2, -9/2], [0, 0]], [[11/2, 3/2], [458, -445/2], [33/2, -85/2], [-1/2, 2]], [[1331/2, 803/2], [1754, 12065/2], [-10527/2, -5005/2], [539/2, 132]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-95/2, -3/2], [-21, 2], [-285/2, -9/2], [0, 0]], [[-2155/2, -131/2], [-466, 127/2], [-6447/2, -509/2], [-1/2, -2]], [[-6074, -4098], [-3341/2, -1317], [-18774, -12547], [-23, -23/2]]], 1, 2160, [], [] >,
< [ -3, 0, 1 ], [[-54, -36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 5/2], [15, 9], [21/2, 15/2], [0, 0]], [[-62, 31], [-157/2, 51/2], [-168, 83], [5/2, -3/2]], [[-25/2, -25/2], [-65, -87/2], [-75/2, -71/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, -9/2], [3, 9], [-51/2, -27/2], [0, 0]], [[184, 72], [359, -811/2], [552, 216], [1/2, 1]], [[24, 32], [-325, 273/2], [72, 96], [1/2, 0]]], 1, 54, [], [] >,
< [ -3, 0, 1 ], [[-54, -36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -3], [-9, -4], [-18, -9], [0, 0]], [[-25/2, 27/2], [-89/2, 69/2], [-81/2, 91/2], [-3/2, 5/2]], [[-319, 0], [-687, 277/2], [-1092, -18], [-135/2, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, -5/2], [12, 5], [-39/2, -15/2], [0, 0]], [[-29, 37], [39, -61], [-87, 111], [-3, 0]], [[-36, 84], [37, -283/2], [-108, 252], [-15/2, -1]]], 1, 54, [], [] >,
< [ -3, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [26, 16], [0, 0], [-70, -40]], [[0, 0], [-36, -18], [0, 0], [88, 52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -7], [-7, -4], [0, 0]], [[0, 0], [-239/2, -133/2], [-5/2, -5/2], [-5, -5]], [[0, 0], [-30, -20], [-2, 0], [-4, 0]]], 0, 16, [], [] >,
< [ -3, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[0, 0], [44, 28], [0, 0], [18, 8]], [[0, 0], [14, 8], [0, 0], [5, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-137/2, -71/2], [1/2, -3/2], [0, 0]], [[0, 0], [12, -11], [-7, 4], [-90, -52]], [[0, 0], [-273/2, 159/2], [123/2, -71/2], [10, 6]]], 0, 16, [], [] >,
< [ -3, 0, 1 ], [[-76, -44]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 16], [2, 0], [0, 0]], [[-9/2, -3/2], [3317/2, 1893/2], [109/2, 79/2], [-3/2, -3/2]], [[3, -1/2], [-1125/2, -300], [-5, -41/2], [-1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -14], [10, 2], [0, 0]], [[-3, -5/2], [497/2, 366], [-278, -81/2], [-5/2, -1]], [[3, 3], [-190, -508], [396, 14], [3, 1]]], 2, 4, [], [] >,
< [ -3, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -8], [23, 13], [0, 0]], [[0, 0], [0, 0], [0, 0], [1, 0]], [[0, 0], [15, 3], [-16, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[0, 0], [4, 2], [0, 0], [0, 0]]], 0, 6, [], [] >,
< [ -3, 0, 1 ], [[0, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -1], [1, 0], [0, 0]], [[0, 0], [-4, 0], [0, 0], [1, 0]], [[0, 0], [-48, -28], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -1], [1, 0], [0, 0]], [[0, 0], [2, 2], [0, 0], [1, 0]], [[0, 0], [-48, -28], [0, 0], [0, 0]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[0, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 1], [1, 0], [0, 0]], [[0, 0], [-4, 0], [0, 0], [1, 0]], [[0, 0], [-48, -28], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 1], [1, 0], [0, 0]], [[0, 0], [2, 2], [0, 0], [1, 0]], [[0, 0], [-48, -28], [0, 0], [0, 0]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[-48, -28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 4], [2, 1], [0, 0]], [[3, 5/2], [77/2, 39/2], [11/2, 7/2], [5/2, 1]], [[15, 2], [71, 65], [17, 7], [2, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 4], [2, 1], [0, 0]], [[3, -5/2], [-44, -32], [0, 0], [-5/2, 1]], [[30, -5/2], [982, 536], [0, 0], [-5/2, 10]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[0, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, -2], [2, 1], [0, 0]], [[-1/2, -5/2], [-118, -62], [0, 0], [-1/2, -5/2]], [[27/2, -15/2], [-24, 28], [0, 0], [27/2, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 1], [1, 0], [0, 0]], [[2, 1], [-56, -36], [0, 0], [2, 1]], [[-21/2, 11/2], [-216, 142], [0, 0], [-21/2, 11/2]]], 0, 16, [], [] >,
< [ -3, 0, 1 ], [[0, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 4], [2, 1], [0, 0]], [[-3, -1], [81, 45], [-3, -1], [-3, -1]], [[-23/2, 13/2], [61/2, -25/2], [-23/2, 13/2], [-23/2, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 4], [2, 1], [0, 0]], [[5, 1], [35, 9], [5, 1], [5, 1]], [[-5/2, 3/2], [-29/2, 17/2], [-5/2, 3/2], [-5/2, 3/2]]], 0, 16, [], [] >,
< [ -3, 0, 1 ], [[-94, -54]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-477/2, 5/2], [-39665/334, 5833/1002], [-159/334, 5/1002], [0, 0]], [[-109435/2, 108385/2], [-10492275/334, 9350031/334], [-36309/334, 36127/334], [404/167, 2/501]], [[-2970426, 2037752], [-271505621/167, 1081578347/1002], [-1975337/334, 4071067/1002], [23409/334, -3417/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2529/2, -5/2], [626169/334, 5189/1002], [-843/334, -5/1002], [0, 0]], [[15933811/2, -31852557/2], [-21961769411/1837, 260152676431/11022], [2654912/167, -15926281/501], [4443/1837, 1/11022]], [[2827693460161/2, -2347355764159/2], [-703024816324797/334, 290948849663588/167], [471235826376/167, -391212362352/167], [51901407/334, -22871972/501]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[-32, -24]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-176602/167, -866/501], [1301/167, -1/501], [0, 0]], [[0, 0], [645367163/334, 637479923/334], [-2364728/167, -2344459/167], [-1635/334, 1/1002]], [[0, 0], [-2865050327955/334, -3179312196565/1002], [10534856559/167, 11655239744/501], [360633/334, 6981485/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2433605/167, -9197/501], [-1495/167, 5/501], [0, 0]], [[0, 0], [-3284012736409/3674, 200300594669/11022], [91709844/167, -5555261/501], [-14995/3674, 1/11022]], [[0, 0], [-1835755350021203/3674, -51051868661042147/11022], [51465066875/167, 1425715936574/501], [-13132509/3674, -233906335/11022]]], 0, 40, [], [] >,
< [ -3, 0, 1 ], [[-32, -24]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59371/167, 823/501], [-159/167, 5/501], [0, 0]], [[0, 0], [-50499186/167, 37130411/501], [-136360/167, 101815/501], [-404/167, -2/501]], [[0, 0], [-28855408623/334, 144345839429/1002], [-39728570/167, 194761910/501], [393/2, 2399/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30146/167, -33245/501], [8/167, 5/501], [0, 0]], [[0, 0], [-10306885/22, 1629/22], [0, 0], [20549/3674, 5/11022]], [[0, 0], [-6839771201/11, -41044399783/11], [0, 0], [13695273/1837, 81834141/1837]]], 0, 40, [], [] >,
< [ -3, 0, 1 ], [[72, 32]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18205/167, 4051/501], [-474/167, -4/501], [0, 0]], [[0, 0], [101074025/334, -53443561/1002], [-1393096/167, 992033/501], [-1635/334, 1/1002]], [[0, 0], [69318641975/334, -8579192043/334], [-945274368/167, 178425223/167], [-1155595/334, -194005/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [257932/167, -2870/501], [633/167, -1/501], [0, 0]], [[0, 0], [-1032923773/167, 24629192/501], [-2526954/167, 35836/501], [-1, 0]], [[0, 0], [32168744813571/3674, 4695075310589/11022], [39370476914/1837, 6123765665/5511], [5207965/3674, 883265/11022]]], 0, 160, [], [] >,
< [ -3, 0, 1 ], [[64, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 1], [1, 0], [0, 0]], [[0, 0], [316, 180], [0, 0], [-14, -8]], [[0, 0], [-144, -110], [0, 0], [7, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-85, -53], [25, 13], [0, 0]], [[0, 0], [-12278, -7097], [3289, 1894], [9, 3]], [[0, 0], [-8888, -5168], [2404, 1366], [14, -2]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[-10, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-201/2, -103/2], [13/2, 3/2], [0, 0]], [[-5/2, 1/2], [143, 234], [36, -36], [-5/2, 1/2]], [[18, -10], [1147, -783], [-468, 276], [18, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, -27], [-1, -2], [0, 0]], [[-113/2, -5/2], [149623/22, -60029/22], [-5191/22, 4079/22], [-113/22, -5/22]], [[5106, 3450], [-2044267/22, -3620321/22], [-272805/22, -39579/22], [5106/11, 3450/11]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[-32, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 0], [1, 0], [0, 0]], [[0, 0], [-149, -87], [0, 0], [-60, -34]], [[0, 0], [-919, -559], [0, 0], [-391, -207]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -2], [1, 0], [0, 0]], [[0, 0], [-565/11, 173/11], [40/11, 8/11], [-10/11, -2/11]], [[0, 0], [291/11, 441/11], [-116/11, -76/11], [29/11, 19/11]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[-32, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 0], [1, 0], [0, 0]], [[0, 0], [-10, 0], [0, 0], [1, 0]], [[0, 0], [34, 20], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -2], [1, 0], [0, 0]], [[0, 0], [-272/11, -1414/11], [124/11, 16/11], [-31/11, -4/11]], [[0, 0], [-320, 1590], [-136, 0], [34, 0]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[-32, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[0, 0], [-5, 1], [0, 0], [1, 0]], [[0, 0], [34, 20], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 9], [1, 0], [0, 0]], [[0, 0], [3404/11, 2036/11], [-116/11, 12/11], [29/11, -3/11]], [[0, 0], [2067, 1267], [-100, 24], [25, -6]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[6, 10]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 1/2], [-65, -71], [-9/2, 1/2], [0, 0]], [[240, -128], [-4067/2, 1689], [240, -128], [1, 3/2]], [[328, -216], [-4891, 1529], [328, -216], [-6, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 5/2], [-59, -30], [9/2, 5/2], [0, 0]], [[41/2, -17/2], [-1631/2, 859/2], [41/2, -17/2], [3/2, 1/2]], [[-18, 30], [2677/2, -2031/2], [-18, 30], [13/2, 9/2]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[72, 32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 1], [1, 0], [0, 0]], [[0, 0], [-379/2, -245/2], [0, 0], [3/2, 3/2]], [[0, 0], [97/2, -69/2], [0, 0], [-5/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -8], [29, 17], [0, 0]], [[0, 0], [401/2, 427/2], [-748, -439], [7/2, 3/2]], [[0, 0], [-30219/2, 17471/2], [1076, -653], [165/2, -95/2]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[8, 16]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14444/167, -804/167], [-439/167, 1/167], [0, 0]], [[0, 0], [-115338/167, 304258/501], [-4464/167, 10138/501], [35/167, -1/501]], [[0, 0], [9747/334, 18311/1002], [36/167, 61/501], [25/334, 47/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1270288/167, -8672/501], [-827/167, -5/501], [0, 0]], [[0, 0], [-434219644829/3674, 259621390901/11022], [-141101017/1837, 84593398/5511], [-18669/3674, -1/11022]], [[0, 0], [-168641729167838/167, -419612789709100/501], [-109393907817/167, -272407360723/501], [-12314005/167, -8467987/167]]], 0, 40, [], [] >,
< [ -3, 0, 1 ], [[8, 16]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7432/167, 12995/501], [-466/167, -1/501], [0, 0]], [[0, 0], [-429970611/334, 247786435/334], [-6458373/167, 3994511/167], [1301/334, 1/1002]], [[0, 0], [-88823971935/167, 52391375829/167], [-3912279325/167, 969677933/167], [-1442392/167, -989688/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5411967/167, -1880/501], [1363/167, 4/501], [0, 0]], [[0, 0], [-65112479550/167, 35027137513/167], [16358953/167, -8807427/167], [-5, 0]], [[0, 0], [790098155713979/3674, -3221455524275515/11022], [-100064266583/1837, 403502112109/5511], [-91716125/3674, -189327383/11022]]], 0, 40, [], [] >,
< [ -3, 0, 1 ], [[46, 26]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-105, 1], [-4592/167, 532/501], [-35/167, 1/501], [0, 0]], [[-1283, 1252], [-187, 677/2], [-5/2, 5/2], [-97/334, -1/501]], [[48981/2, -217347/2], [-4370909/334, -35141423/1002], [13785/334, -219641/1002], [6014/167, 1767/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4485/2, -5/2], [7243873/334, -54263/1002], [-1495/334, -5/1002], [0, 0]], [[-244947803/2, 141609907/2], [4379361608623/3674, -3797483877635/5511], [-449065224/1837, 778854487/5511], [3033/3674, 2/5511]], [[231226323765, -134046429342], [-4134296728037489/1837, 2396289720226376/1837], [847807779765/1837, -491510043506/1837], [-5826342/1837, -1709806/1837]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[-48, -8]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2088/167, -470/501], [-35/167, 1/501], [0, 0]], [[0, 0], [213113/334, -118103/1002], [-735/167, 1190/501], [229/334, 1/334]], [[0, 0], [-39801507/167, -48507887/501], [82065/167, -64421/501], [-58742/167, -85238/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1511017/167, 4447/501], [738/167, -2/501], [0, 0]], [[0, 0], [-98318586479/3674, 10451893247/11022], [24009262/1837, -2518823/5511], [18669/3674, 1/11022]], [[0, 0], [360011244830462/1837, 511046078980412/5511], [-175953796087/1837, -249852244363/5511], [-72071886/1837, -104704180/5511]]], 0, 160, [], [] >,
< [ -3, 0, 1 ], [[-16, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 1], [1, 0], [0, 0]], [[0, 0], [360, 188], [0, 0], [16, 6]], [[0, 0], [-494, -324], [0, 0], [-15, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 1], [1, 0], [0, 0]], [[0, 0], [-160, -88], [0, 0], [8, 6]], [[0, 0], [-184, -118], [0, 0], [15, 5]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[8, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [145/2, 23/2], [-5/2, -1/2], [0, 0]], [[0, 0], [-572, 290], [24, -6], [37, 21]], [[0, 0], [-33695, 19509], [1071, -629], [-30, -40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-87/2, -187/2], [-11/2, -5/2], [0, 0]], [[0, 0], [84229/11, -8609/11], [993/11, 1139/11], [63/11, 5/11]], [[0, 0], [34396, -26434], [-640, 88], [16, -16]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[8, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-297/2, -1/2], [-1/2, 1/2], [0, 0]], [[0, 0], [4, 0], [0, 0], [1, 0]], [[0, 0], [-14, -6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [203/2, 123/2], [3/2, -3/2], [0, 0]], [[0, 0], [-1375/2, -465/2], [-5/2, 11/2], [-3, 0]], [[0, 0], [-1503/11, -2280/11], [72/11, -21/11], [5/11, -12/11]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[8, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 4], [2, 1], [0, 0]], [[0, 0], [-21/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [2, 4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -6], [2, 1], [0, 0]], [[0, 0], [172/11, -1097/11], [27/11, 10/11], [17/11, 1/11]], [[0, 0], [-3657/2, -3915/2], [141/2, 73/2], [34, 13]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[-14, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, -1], [1, -1], [0, 0]], [[2, -2], [75/2, -10], [-9, 11/2], [2, -2]], [[15/2, 7/2], [-85, -58], [-5, 0], [15/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 95/2], [5/2, -1], [0, 0]], [[38, -1], [29352/11, 22723/11], [523/11, 232/11], [38/11, -1/11]], [[3317/2, 3103/2], [8493305/22, 4604449/22], [107695/22, 65801/22], [3317/22, 3103/22]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[18, 14]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[161/2, 3/2], [-3, 1], [161/2, 3/2], [0, 0]], [[-28224, -9016], [1437/2, -27], [-28236, -9007], [-2, 3/2]], [[-1920996, -1067220], [62159/2, 30805/2], [-1920921, -1067085], [25/2, 45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[69/2, -5/2], [-7/2, -3/2], [111/2, 13/2], [-7/2, -3/2]], [[-1349/2, 1239/2], [-20, -35], [-1109/2, 1659/2], [-20, -35]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[-48, -8]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 26], [10, -2], [0, 0]], [[0, 0], [-925/2, -509/2], [-122, -4], [-15/2, -5/2]], [[0, 0], [-29, -91], [327, -204], [8, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, -5], [1, 13], [0, 0]], [[0, 0], [-197/2, -149/2], [97, 186], [11/2, 1/2]], [[0, 0], [-86, -72], [51, 195], [6, 0]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[96, 80]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [2, 1], [0, 0]], [[0, 0], [224571/386, -185/386], [1219/2, -1/2], [-510/2509, 1/7527]], [[0, 0], [-1227877/386, -1342109/386], [-6665/2, -7285/2], [2790/2509, 9145/7527]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-107/2, -65/2], [-11/2, -5/2], [0, 0]], [[0, 0], [-16555484/193, -60598/193], [-232, 136], [14544/2509, 1/7527]], [[0, 0], [11143389952/193, 5462469788/193], [21704, -15072], [-9737497/2509, -14290093/7527]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[-18, -2]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 23], [2, 1], [0, 0]], [[-7216, 2], [-10902601/772, -56179/772], [-73/4, 41/4], [3019/2509, -1/7527]], [[-2623879/2, -1936473/2], [-1003019613/386, -368417809/193], [1615/2, -585], [1098173/5018, 1215535/7527]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [449/4, 133/4], [5/4, 5/4], [0, 0]], [[-34939/2, 1/2], [3243431423/4246, 6004825/4246], [148749/22, 3/22], [-24621/55198, 2/82797]], [[-40389435/2, -19311651/2], [7519027507419/8492, 3599548158963/8492], [343931339/44, 164451295/44], [-28460799/55198, -6803955/27599]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[-48, -40]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-73/2, -35/2], [-1/2, -3/2], [0, 0]], [[0, 0], [-377/2, -75], [5/2, -10], [0, 0]], [[0, 0], [216/193, 236/193], [0, 0], [18/2509, 59/7527]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 121/2], [1, -5/2], [0, 0]], [[0, 0], [586295238/2123, 1011529/2123], [144162/11, 553/11], [-24621/27599, 4/82797]], [[0, 0], [-111987695494/2123, -110755447624/2123], [-27708390/11, -27291078/11], [4678048/27599, 4642761/27599]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[-48, -40]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -9], [-2, -1], [0, 0]], [[0, 0], [-55226/193, -9652/193], [-8, -6], [-7017/5018, -1/15054]], [[0, 0], [-3692788/193, 3374395/386], [107, -351/2], [-640233/5018, 326249/5018]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [173/2, 14], [-1/2, 1], [0, 0]], [[0, 0], [-16310189055/2123, 4475855/2123], [837531/11, 81/11], [-139484/27599, -2/82797]], [[0, 0], [-25572780901785/2123, -30747071523435/2123], [1314924991/11, 1579355229/11], [-33679625/4246, -40462875/4246]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[-48, -40]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 8], [1, 2], [0, 0]], [[0, 0], [14131373/386, -14292/193], [-18101/2, -15], [15095/5018, -5/15054]], [[0, 0], [-288359/386, 82500/193], [367/2, -105], [-307/5018, 527/15054]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35/2, 9/2], [9/2, 1/2], [0, 0]], [[0, 0], [2536135333/2123, 8797141/2123], [-19175/11, -1005/11], [-26110/27599, 2/82797]], [[0, 0], [2902310745545/4246, 1538758219792/2123], [-25348969/22, -12165205/11], [-29548789/55198, -31580363/55198]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[-48, -40]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29, -19], [-38, -22], [0, 0]], [[0, 0], [-64237/386, 13765/1158], [-384, -1], [703/386, -1/1158]], [[0, 0], [-3295397/193, 2564369/193], [-33119, 28191], [30555/193, -25899/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [203, -3], [2, 0], [0, 0]], [[0, 0], [411682285/4246, 29411015/12738], [-34033/11, 310/11], [-4563/4246, 1/12738]], [[0, 0], [-32181061646/2123, -89320366172/6369], [4846217/11, 4758769/11], [333610/2123, 966098/6369]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[-48, -40]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, 17], [42, 24], [0, 0]], [[0, 0], [115/2, 87/2], [160, 92], [-13/2, -3/2]], [[0, 0], [-2122, 1228], [83, -41], [-468, 270]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2151, 447], [-31, -17], [0, 0]], [[0, 0], [11708827/22, -5843523/22], [-14303/11, -1183/11], [17/22, 1/22]], [[0, 0], [28458735/11, -18706947/11], [6448/11, 43168/11], [-2/11, -26/11]]], 0, 112, [], [] >,
< [ -3, 0, 1 ], [[-48, -64]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41, -24], [-5, -3], [0, 0]], [[0, 0], [30, -27/2], [-110, -5], [-55/13, -5/26]], [[0, 0], [-86, 68], [-92, -276], [-46/13, -138/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19, 9], [-80, -46], [0, 0]], [[0, 0], [402, -123/2], [-562, -333], [33/13, 3/26]], [[0, 0], [-49625, 28809], [-1976, 532], [-2960/13, 1728/13]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[24, 32]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/2, -1/2], [1, 0], [0, 0]], [[0, 0], [229/4, -23/4], [77/2, -3/2], [77/52, -3/52]], [[0, 0], [-445, 305], [-266, 190], [-133/13, 95/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9/2, -1/2], [1, 0], [0, 0]], [[0, 0], [-26177/44, -8145/44], [801/22, -15/22], [267/572, -5/572]], [[0, 0], [-270748/11, 337977/22], [38184/11, -22533/11], [6364/143, -7511/286]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[24, 32]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53, -30], [-37, -21], [0, 0]], [[0, 0], [-129, -57], [-56, -36], [2, 0]], [[0, 0], [-29/4, 17/4], [5/2, -3/2], [29/52, -17/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29, 14], [-3, -1], [0, 0]], [[0, 0], [163455/44, -6753/44], [-1687/22, 311/22], [1205/572, 1/572]], [[0, 0], [6045021, -6955633/2], [-153520, 88449], [41540/13, -47771/26]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[24, 32]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/2, -1/2], [1, 0], [0, 0]], [[0, 0], [-117/4, -33/4], [95/2, -1/2], [95/52, -1/52]], [[0, 0], [-625/2, 152], [957, -522], [957/26, -261/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9/2, -1/2], [1, 0], [0, 0]], [[0, 0], [404927/44, 177/44], [2757/22, 3/22], [919/572, 1/572]], [[0, 0], [10143/44, -3969/44], [69/22, -27/22], [23/572, -9/572]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[-30, -14]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 3/2], [-2, -13/2], [-7/2, 3/2], [0, 0]], [[6, -4], [-16, 2], [6, -4], [0, 0]], [[3/2, 1/2], [1/4, 0], [-5/2, -1], [-5/52, -1/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [-104, -147/2], [-1/2, -3/2], [0, 0]], [[3115/2, -1749/2], [291923/44, -497795/44], [14698/11, -9599/11], [-633/572, -1/572]], [[-151567/2, 76697/2], [809769, 4674035/4], [-46746, 98225/2], [1909/13, 2875/52]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[24, 32]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39, 19], [-24, -14], [0, 0]], [[0, 0], [418233/386, 65399/1158], [321, -30], [703/386, 1/1158]], [[0, 0], [16366757/193, -9540691/193], [32149, -18669], [30240/193, -17600/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-497, -23], [32, 18], [0, 0]], [[0, 0], [-164428, 281741], [-8770, 0], [5, 0]], [[0, 0], [173130811945/4246, 50413925591/12738], [-4592659/11, -5547332/11], [1010699/4246, 3662377/12738]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[24, 32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-61, -33], [-45, -25], [0, 0]], [[0, 0], [47/2, 23/2], [8, 2], [15/2, 5/2]], [[0, 0], [54, -26], [63, -35], [44, -24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2494, 810], [25, 15], [0, 0]], [[0, 0], [11047426/11, -7364435/11], [-21460/11, -108/11], [72/11, 1/11]], [[0, 0], [-13059030847/22, 1689877399/22], [-28528781/11, -20595345/11], [195079/22, 139875/22]]], 0, 112, [], [] >,
< [ -3, 0, 1 ], [[-96, -40]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, -76], [-41, -23], [0, 0]], [[0, 0], [-42521/2, -24521/2], [-6672, -3856], [-9/2, -3/2]], [[0, 0], [-3820, 1366], [624, -624], [-241, 139]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-566, -932], [-33, -19], [0, 0]], [[0, 0], [-196467567/22, 114173105/22], [16615/11, -133/11], [-73/22, -3/22]], [[0, 0], [-11845185331/22, 6905098935/22], [1239882/11, 128558/11], [-5537/22, -833/22]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[72, 16]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-649, -373], [-70, -40], [0, 0]], [[0, 0], [1509/2, 907/2], [80, 50], [7/2, 3/2]], [[0, 0], [252, -157], [55, -33], [-7, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7484, -3108], [65, 37], [0, 0]], [[0, 0], [-289287857/22, 153434367/22], [120457/11, -481/11], [107/22, 5/22]], [[0, 0], [7505780517/11, -2295897959/11], [-20449738/11, -8909320/11], [-9690/11, -4420/11]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[0, 80]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 10], [-138, -80], [0, 0]], [[0, 0], [2287/26, 3/26], [-308, -261], [-43/26, -1/26]], [[0, 0], [-23525/13, 13258/13], [-2747, 1801], [2128/65, -1197/65]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 42], [-118, -68], [0, 0]], [[0, 0], [-109003/286, -2021/286], [-777/11, -718/11], [-51/1430, -3/1430]], [[0, 0], [-301552/143, 174563/143], [2911/11, -1647/11], [-29/143, 84/715]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[0, -40]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -38/3], [5, -4/3], [0, 0]], [[0, 0], [-68629/74, 52783/222], [-395/2, 1799/6], [567/370, 1/222]], [[0, 0], [3020457/37, 4605368/111], [-45286, -87497/3], [-8688/37, -23892/185]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [196, -98/3], [3, 5/3], [0, 0]], [[0, 0], [-294454573/814, 157116079/814], [-2035/2, -45/2], [-1347/4070, 1/4070]], [[0, 0], [-9574453198/407, 20128941623/1221], [60277, 231212/3], [36456/2035, 150536/6105]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[64, 24]], [ -351, 21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, 5/3], [50, 28], [0, 0]], [[0, 0], [-5983711/366, 3283061/366], [-35450/7, -1461/7], [223/2562, 5/2562]], [[0, 0], [328669/183, -127528/183], [2186, 7044/7], [-46/1281, -1/61]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [71, -5/3], [3, 1], [0, 0]], [[0, 0], [-8448409/1342, -14483173/4026], [40160/77, -93/11], [-171/1342, 1/28182]], [[0, 0], [-26301906779/4026, -15159755995/4026], [3410723/11, 9702310/77], [-2177995/28182, -42965/1342]]], 0, 144, [], [] >,
< [ -3, 0, 1 ], [[-56, -16]], [ -351, -21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 5/3], [-29, -17], [0, 0]], [[0, 0], [-29723/366, 22877/366], [-401/7, 16/7], [-265/2562, -5/2562]], [[0, 0], [24377/183, -7279/183], [-31, -387/7], [-95/1281, -19/183]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [259, 383/3], [56, 32], [0, 0]], [[0, 0], [9667167/1342, -6891987/1342], [80/77, 1535/77], [313/9394, -1/9394]], [[0, 0], [-85731265/4026, 25569435/1342], [-723/11, -1138/11], [-689/4026, -45/1342]]], 0, 144, [], [] >,
< [ -3, 0, 1 ], [[-16, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 1], [1, 0], [0, 0]], [[0, 0], [-118, -64], [0, 0], [78, 46]], [[0, 0], [-60, -26], [0, 0], [38, 24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [182, 1], [1, 0], [0, 0]], [[0, 0], [-63815/11, 2808/11], [114/11, -3/11], [-76/11, 2/11]], [[0, 0], [3633824/11, 18127057/11], [-8235/11, -32574/11], [5490/11, 21716/11]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[160, 112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 1], [1, 0], [0, 0]], [[0, 0], [-1996, -1158], [0, 0], [96, 56]], [[0, 0], [-2088, -1208], [0, 0], [100, 58]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, 1], [1, 0], [0, 0]], [[0, 0], [-24996, -5], [-25, 0], [-10, 0]], [[0, 0], [-250018/11, -169992/11], [-250/11, -170/11], [-100/11, -68/11]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[56, 0]], [ -147, -7 ], [ -9, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29/2, 37/6], [1/2, 1/6], [0, 0]], [[0, 0], [17319/73, -199/73], [0, 0], [285/73, 1/219]], [[0, 0], [194354/73, 222892/73], [0, 0], [3339/73, 3710/73]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29/2, -53/6], [9/2, 1/6], [0, 0]], [[0, 0], [1008737/146, -129079/146], [-51429/22, -21293/22], [5367/803, 5/2409]], [[0, 0], [-2047742500/73, -380905177/73], [160452324/11, 83176465/11], [-24558804/803, -7202559/803]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[-80, -24]], [ -3321, 33 ], [ -135, -77 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17/6, 1/2], [3/2, 1/6], [0, 0]], [[0, 0], [565871607/5594, -118403/16782], [15/2, 11/2], [-130034/612543, -1/612543]], [[0, 0], [-64897962657/5594, -426752754919/16782], [-10017/2, -5033/2], [14920768/612543, 32689588/612543]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18791/66, -325/66], [101/22, 1/66], [0, 0]], [[0, 0], [-715913273896/92301, 19913726/92301], [-11315/11, 365/33], [296957/204181, -1/612543]], [[0, 0], [-232808363085388/30767, -237377383004620/92301], [-10917880/11, -3633356/11], [869132641/612543, 295411810/612543]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[88, 32]], [ -3321, -33 ], [ -159, -91 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33/2, -13/2], [-13/2, -1/2], [0, 0]], [[0, 0], [-216424310/2797, -5021924/8391], [416, -400], [872611/612543, -2/612543]], [[0, 0], [5370797682571/8391, 4036263097799/8391], [4002696, 2075240/3], [-2364538761/204181, -1789926893/204181]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13745/33, -48/11], [-46/11, -1/33], [0, 0]], [[0, 0], [-92203867934/30767, -203708652/30767], [-37210/11, -610/11], [-463880/204181, -5/612543]], [[0, 0], [-3137516902467/5594, -1029541073303/5594], [-1283745/2, -433405/2], [-259889548/612543, -84890929/612543]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[-1016, -480]], [ -3321, 33 ], [ -135, -77 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11/3, 10/3], [-4, -1/3], [0, 0]], [[0, 0], [-68188141/5594, 796415/16782], [-255/2, 135/2], [15304/8391, 1/2797]], [[0, 0], [-221600/2797, -108584/2797], [0, 0], [100/8391, 49/8391]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6383/22, 425/66], [-149/22, -1/22], [0, 0]], [[0, 0], [-50802739993/184602, 78967224337/184602], [151619/22, -666289/66], [53/8391, -2/8391]], [[0, 0], [-9468917/66, -87145/66], [73723/22, -1391/66], [0, 0]]], 0, 21312, [], [] >,
< [ -3, 0, 1 ], [[592, 56]], [ -3321, -33 ], [ -159, -91 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/3, 0], [0, 1/3], [0, 0]], [[0, 0], [22558651/16782, -3103/5594], [-1/2, -7/6], [-950/2797, -2/8391]], [[0, 0], [161005890/2797, -404258396/8391], [104, -32], [-121705/8391, 102010/8391]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3913/66, 467/66], [21/22, 5/66], [0, 0]], [[0, 0], [-102463547/2797, 2339308/2797], [-68, 17], [-4328/8391, -5/8391]], [[0, 0], [-15632905590/2797, -4081588002/2797], [-8364, -306], [-673838/8391, -188551/8391]]], 0, 21312, [], [] >,
< [ -3, 0, 1 ], [[392, 0]], [ -147, -7 ], [ -9, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, 25/6], [-49/2, -35/6], [0, 0]], [[0, 0], [201/2, -607/6], [-2093/2, 3731/6], [-1, 0]], [[0, 0], [-960/73, -580/73], [0, 0], [-16/73, -29/219]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-123/2, -11/6], [-931/2, -35/6], [0, 0]], [[0, 0], [5463149/73, 1289501/73], [6084428/11, 1364524/11], [-1057/803, 5/2409]], [[0, 0], [707955040/73, 919634788/219], [781880064/11, 1001036288/33], [-113884/803, -96641/2409]]], 0, 9600, [], [] >,
< [ -3, 0, 1 ], [[-1184, -528]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [183, 114], [134, 75], [0, 0]], [[0, 0], [14385, 8268], [10382, 6005], [52, 30]], [[0, 0], [818, 488], [576, 328], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1108, -174], [-84, -40], [0, 0]], [[0, 0], [38253614/11, -15906753/11], [1185545/11, -13776/11], [-80/11, -6/11]], [[0, 0], [-73049663157/11, 527994064/11], [-4594642882/11, -1867890353/11], [343748/11, 153292/11]]], 0, 35328, [], [] >,
< [ -3, 0, 1 ], [[784, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-188, -94], [108, 56], [0, 0]], [[0, 0], [3809, 2454], [-1512, -983], [166, 96]], [[0, 0], [29037, 21970], [-11434, -8849], [1380, 800]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2265, 83], [37, 7], [0, 0]], [[0, 0], [-279761435/11, 44086994/11], [-4161468/11, 8607/11], [24/11, 4/11]], [[0, 0], [-100470887571/11, 16178213086/11], [-1491921674/11, 8634239/11], [8588/11, 1402/11]]], 0, 35328, [], [] >,
< [ -3, 0, 1 ], [[-488, -224]], [ -351, -21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -4/3], [-385, -221], [0, 0]], [[0, 0], [-693127/366, 392045/366], [75812/7, -55421/7], [265/2562, 5/2562]], [[0, 0], [-9738865/183, 4907149/183], [507786/7, -2343644/7], [13744/1281, 5968/1281]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1639, -2807/3], [-412, -234], [0, 0]], [[0, 0], [-1454696393/4026, -96814039/4026], [-8055277/77, 291040/77], [5681/28182, -1/28182]], [[0, 0], [7263908539988/2013, 1117389225433/671], [70527966746/77, 29524377290/77], [-26094680/14091, -3783165/4697]]], 0, 5472, [], [] >,
< [ -3, 0, 1 ], [[304, 40]], [ -351, 21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -1/3], [-468, -268], [0, 0]], [[0, 0], [-106172/183, 61423/183], [11230/7, 1242/7], [8/1281, 1/1281]], [[0, 0], [-468583/122, 813709/366], [85927/7, 14902/7], [41/854, 23/2562]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-397, -949/3], [184, 106], [0, 0]], [[0, 0], [-6570313448/2013, 3836499226/2013], [-336943/77, 13141/77], [-907/14091, 1/14091]], [[0, 0], [-9767032401/122, 17297115647/366], [-156505, -23840], [-287/122, -161/366]]], 0, 5472, [], [] >,
< [ -3, 0, 1 ], [[0, 400]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -16], [-24, -14], [0, 0]], [[0, 0], [-10707/26, -4877/26], [-423, -210], [85/26, 5/26]], [[0, 0], [-1644/13, 1110/13], [-74, 56], [54/13, -32/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, 72], [-32, -18], [0, 0]], [[0, 0], [885355/286, -359979/286], [1751/11, 3480/11], [623/286, 3/286]], [[0, 0], [29897495/11, -17246579/11], [-2192392/11, 1277158/11], [12267/11, -7047/11]]], 0, 19968, [], [] >,
< [ -3, 0, 1 ], [[0, -200]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -22/3], [9, 13/3], [0, 0]], [[0, 0], [-12883/74, -16615/74], [5075/2, 2689/2], [493/74, 5/222]], [[0, 0], [-435984/37, 618058/111], [-1164, 34046/3], [-11749/37, 21982/111]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [254, 71/3], [0, -5/3], [0, 0]], [[0, 0], [-9209861/814, -46728061/2442], [-425/2, -19/6], [-1179/814, -1/2442]], [[0, 0], [11433992558/407, 14490150812/1221], [83522, 268490/3], [220955/407, 735140/1221]]], 0, 9984, [], [] >,
< [ -3, 0, 1 ], [[-168, -208]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [115, 69], [-769, -445], [0, 0]], [[0, 0], [-7459/2, -2621/2], [20081, 11233], [1/2, 5/2]], [[0, 0], [-284935, 167587], [105534, -81226], [-756, 434]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6154, 1878], [647, 375], [0, 0]], [[0, 0], [-1246816047/22, 728795521/22], [1082413/11, -4165/11], [-49/22, 1/22]], [[0, 0], [35161647761/22, -17693094555/22], [142406353/11, 98717687/11], [-6223/22, -4361/22]]], 0, 4224, [], [] >,
< [ -3, 0, 1 ], [[288, 248]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, 1], [-174, -100], [0, 0]], [[0, 0], [15, 8], [473, 271], [2, 1]], [[0, 0], [-261/2, 149/2], [-439, 227], [-61/2, 35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [727, 21], [4, 6], [0, 0]], [[0, 0], [114848, -196616], [-3587, -17], [-4, 0]], [[0, 0], [843668975/22, -94958775/22], [751819/11, 2707555/11], [1591/22, 6031/22]]], 0, 4224, [], [] >,
< [ -3, 0, 1 ], [[144, 224]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [2, 1], [0, 0]], [[0, 0], [-95657/386, -9383/386], [843/2, -3/2], [-786/193, -1/193]], [[0, 0], [10788300/193, -5071076/193], [-112036, 56018], [207418/193, -310370/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, 1], [3, -1], [0, 0]], [[0, 0], [-72551/193, 17964/193], [5, -10], [83/193, 4/579]], [[0, 0], [899091/386, -400151/386], [-141/2, 117/2], [-416/193, 352/579]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[-72, -112]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, -11/2], [-2, -5/2], [0, 0]], [[0, 0], [-74, -2], [0, -10], [0, 0]], [[0, 0], [156/193, 728/193], [0, 0], [1/193, 14/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [41, 117/2], [2, -5/2], [0, 0]], [[0, 0], [-312565975/4246, -170406811/4246], [42477/22, 2289/22], [-1268/2123, 4/6369]], [[0, 0], [1618674204/2123, 1975513149/4246], [-25349/11, -264537/22], [214/2123, 23647/6369]]], 0, 1344, [], [] >,
< [ -3, 0, 1 ], [[-72, -112]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82, 73/2], [-1, 3/2], [0, 0]], [[0, 0], [-100, -279], [-12, 1], [2, 0]], [[0, 0], [19105200/193, -9975692/193], [-3294, 1998], [183609/386, -339721/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, -52], [2, -2], [0, 0]], [[0, 0], [-25599581/4246, 333040/2123], [93825/22, 501/11], [-7541/4246, -1/4246]], [[0, 0], [-32002554/2123, -8255025451/2123], [3455412/11, 30346643/11], [-401233/4246, -14621677/12738]]], 0, 1344, [], [] >,
< [ -3, 0, 1 ], [[-72, -112]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, 1/2], [11/2, 5/2], [0, 0]], [[0, 0], [-581597/386, -2019/386], [-449/2, -95/2], [262/193, 1/579]], [[0, 0], [-91583926/193, 106130173/386], [-44973, 52327/2], [165663/386, -95985/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39, 5], [1, 1], [0, 0]], [[0, 0], [-291167178/2123, -928278/2123], [63358/11, -158/11], [-6686/2123, 1/6369]], [[0, 0], [3442245641/2123, 95455033087/4246], [-572040/11, -20763639/22], [136799/4246, 6574399/12738]]], 0, 1344, [], [] >,
< [ -3, 0, 1 ], [[102, 46]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -13], [-1, 1], [0, 0]], [[-377, 2], [-356383/772, 4721/772], [-3/4, 1/4], [703/386, -1/1158]], [[38415/2, 2561/2], [9063003/386, 266530/193], [71/2, -10], [-17927/193, -2561/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99/4, 153/4], [11/4, 5/4], [0, 0]], [[2285/2, 3/2], [1360425961/8492, 9844381/8492], [-120279/44, 177/44], [5101/4246, 2/6369]], [[-5319435/2, -1979725/2], [-72452638993/193, -27213766535/193], [6344084, 2350710], [-1078285/386, -200320/193]]], 1, 168, [], [] >,
< [ -3, 0, 1 ], [[-72, -112]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-499, -291], [-472, -272], [0, 0]], [[0, 0], [-308189/386, -643979/1158], [-11714, -419], [703/386, -1/1158]], [[0, 0], [-4596055/193, 3057661/193], [1720713, -978671], [-55040/193, 31360/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5341, 3155], [547, 315], [0, 0]], [[0, 0], [-2779512371/4246, 1743939377/4246], [-1486378/11, 6561/11], [-11787/4246, -1/4246]], [[0, 0], [-513080093491/2123, 759456209975/6369], [210762612/11, 405412512/11], [857422/2123, 4833958/6369]]], 0, 2688, [], [] >,
< [ -3, 0, 1 ], [[-72, -112]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, -46], [257, 147], [0, 0]], [[0, 0], [2313/2, 887/2], [-3120, -1950], [-11/2, -3/2]], [[0, 0], [-34870, 20684], [-25050, 12600], [261, -153]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [551, -141], [64, 36], [0, 0]], [[0, 0], [94916839/22, -54181269/22], [198449/11, -521/11], [-117/22, -3/22]], [[0, 0], [-1879271017/22, 1180667527/22], [13193916/11, 10010284/11], [-8281/22, -6123/22]]], 0, 1344, [], [] >,
< [ -3, 0, 1 ], [[-384, -304]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 5], [37, 21], [0, 0]], [[0, 0], [55/2, 11], [59, 34], [5/2, 2]], [[0, 0], [-31, 29], [24, 14], [6, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, 5], [-66, -38], [0, 0]], [[0, 0], [-99/2, -123/2], [469, 279], [-3/2, 5/2]], [[0, 0], [230, 101/2], [-986, -549], [-10, 5/2]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[66, 10]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, -9/2], [-2, -1/2], [-19/2, -9/2], [0, 0]], [[30, 20], [4, 4], [30, 20], [0, 0]], [[1/2, 1/2], [3/4, 1/2], [1/2, 0], [1/4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1], [37/2, 21/2], [-2, -1], [0, 0]], [[46, -13], [21155/44, -274/11], [168/11, -373/22], [67/44, 1/22]], [[3603/2, -1045/2], [411459/22, -12668/11], [13477/22, -14615/22], [650/11, 13/11]]], 1, 168, [], [] >,
< [ -3, 0, 1 ], [[192, 152]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 7], [-1, -1], [0, 0]], [[0, 0], [163/4, 91/4], [-9/2, -11/2], [-11/4, -3/4]], [[0, 0], [393/4, -241/4], [759/2, -437/2], [-437/4, 253/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [170, 96], [-30, -16], [0, 0]], [[0, 0], [112753/44, 83133/44], [-6063/22, -9101/22], [7/44, 3/44]], [[0, 0], [-2304, 1301], [1403, -805], [0, 0]]], 0, 1344, [], [] >,
< [ -3, 0, 1 ], [[192, 152]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, -1/2], [2, 1], [0, 0]], [[0, 0], [-13/4, -19/4], [3/2, 1/2], [3/4, 1/4]], [[0, 0], [1/4, 51/4], [-7/2, -1/2], [-7/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9/2, -1/2], [1, 0], [0, 0]], [[0, 0], [-26199/44, 3515/44], [-805/22, -15/22], [161/44, 3/44]], [[0, 0], [-606908/11, 346600/11], [-29400/11, 16660/11], [2940/11, -1666/11]]], 0, 1344, [], [] >,
< [ -3, 0, 1 ], [[192, 152]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/2, -1/2], [1, 0], [0, 0]], [[0, 0], [-81/4, -51/4], [-5/2, -3/2], [-5/4, -3/4]], [[0, 0], [-4, 2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9/2, -1/2], [1, 0], [0, 0]], [[0, 0], [-28713/44, -12711/44], [145/22, 15/22], [-29/44, -3/44]], [[0, 0], [4589/2, -1463], [-85, 50], [17/2, -5]]], 0, 1344, [], [] >,
< [ -3, 0, 1 ], [[192, 152]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-279, -161], [255, 145], [0, 0]], [[0, 0], [8297/193, 132040/579], [-4217, -219], [-124/193, -1/579]], [[0, 0], [-31606397/386, 18370963/386], [-898616, 515475], [-57771/386, 33173/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [308, 20], [-29, -17], [0, 0]], [[0, 0], [-453447905/4246, 40006033/12738], [-1365536/11, -69/11], [-14599/4246, -1/12738]], [[0, 0], [-10941092151639/4246, -8575112765265/4246], [-35322584277/11, -26863987704/11], [-377611299/4246, -287193509/4246]]], 0, 2688, [], [] >,
< [ -3, 0, 1 ], [[192, 152]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, -25], [-269, -155], [0, 0]], [[0, 0], [147/2, 47/2], [483, 261], [-1/2, 5/2]], [[0, 0], [1027, -595], [986, -586], [-156, 90]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2077, -61], [94, 56], [0, 0]], [[0, 0], [-279501155/11, 167021604/11], [-860059/11, 2229/11], [-1/11, -2/11]], [[0, 0], [-53207796167/22, 31735644131/22], [-79560835/11, 1496183/11], [-167/22, -367/22]]], 0, 1344, [], [] >,
< [ -3, 0, 1 ], [[-862, -498]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[72669/2, 5/2], [10816337/334, 5833/1002], [24223/334, 5/1002], [0, 0]], [[8947764337/2, -26866288989/2], [1330489302265/334, -5998102849021/501], [1491293976/167, -13433144492/501], [-765/334, 1/501]], [[140817532649867/2, 21070941675385/2], [10480436527396334/167, 4707908902546898/501], [46939177767885/334, 21070942584419/1002], [1081437/334, 4368289/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19353/2, 3/2], [15802791/334, 2703/334], [6451/334, 1/334], [0, 0]], [[24076316, -1504360], [216714309524/1837, -40526397493/5511], [8026287/167, -1504357/501], [-5212/1837, -1/5511]], [[-8415306497/2, -14211035757/2], [-75807106990893/3674, -63965253165393/1837], [-1402749513/167, -2368768897/167], [2427439/3674, 4842257/5511]]], 1, 60, [], [] >,
< [ -3, 0, 1 ], [[112, 40]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2038986/167, -1138/501], [-14995/167, 1/501], [0, 0]], [[0, 0], [-30896955451/334, 30920683087/334], [113559676/167, -113678387/167], [1231/334, -1/334]], [[0, 0], [-44856660307344/167, 111817892597194/501], [329758508630/167, -822162852484/501], [1332947/167, -457505/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34158015/167, 7057/501], [-20848/167, -4/501], [0, 0]], [[0, 0], [2777587853089/3674, 65559912969/3674], [-77059283/167, -1821658/167], [-6451/3674, -1/3674]], [[0, 0], [373816098179653/1837, -112634436331553/5511], [-20741456237/167, 6247396087/501], [-875784/1837, 323206/5511]]], 0, 480, [], [] >,
< [ -3, 0, 1 ], [[112, 40]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1573639/167, 2548/501], [-4315/167, -4/501], [0, 0]], [[0, 0], [4272351997/334, -4266610331/334], [5842137/167, -5844671/167], [-703/334, -1/1002]], [[0, 0], [-7029588929543/334, 5825927169781/334], [-9616834080/167, 7979261920/167], [861003/334, -98241/334]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18611234/167, -11845/501], [-11364/167, -5/501], [0, 0]], [[0, 0], [-102099874294985/3674, 47468606568043/3674], [2832302616/167, -1316450872/167], [4571/3674, -1/3674]], [[0, 0], [163126929747603042/1837, -81505496377716072/1837], [-9050114796360/167, 4521036911820/167], [-6297556/1837, 2168128/5511]]], 0, 480, [], [] >,
< [ -3, 0, 1 ], [[-120, -112]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14779/167, 2369/501], [-299/167, 1/501], [0, 0]], [[0, 0], [303740/167, -10646/501], [3479/167, 2237/501], [4, 0]], [[0, 0], [1379/334, -8845/1002], [-2/167, -43/501], [3/334, -19/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1081410/167, 2536/167], [21147/167, 1/167], [0, 0]], [[0, 0], [-979585364849/1837, 35016993194/5511], [19154718585/1837, -547518071/5511], [15935/1837, 2/5511]], [[0, 0], [103817383713195/334, -276100462142055/334], [-995760691399/167, 2697227033052/167], [-1528345/334, 13419205/1002]]], 0, 1920, [], [] >,
< [ -3, 0, 1 ], [[-224, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-133, -75], [21, 13], [0, 0]], [[0, 0], [-427, -235], [93, 45], [-5, -1]], [[0, 0], [706, 373], [-161, -66], [10, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [345, 201], [175, 101], [0, 0]], [[0, 0], [2, 1], [-9, 2], [7, 1]], [[0, 0], [9, 5], [-9, -5], [14, 8]]], 0, 1920, [], [] >,
< [ -3, 0, 1 ], [[2, 18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19, 39], [-44, 0], [0, 0]], [[-11/2, -1/2], [3145, -1642], [2649, -1617], [-11/2, -1/2]], [[-4, -20], [-37647/2, 23837/2], [-36831/2, 20205/2], [-4, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [59/2, 47/2], [-59/2, -3/2], [0, 0]], [[-125/2, -3/2], [8475/22, 6425/22], [-259/22, -6423/22], [-125/22, -3/22]], [[-129/2, -1161/2], [181829/22, 80885/22], [-178773/22, -4739/22], [-129/22, -1161/22]]], 1, 60, [], [] >,
< [ -3, 0, 1 ], [[112, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-137, -78], [-32, -13], [0, 0]], [[0, 0], [1511, 881], [288, 210], [-8, -4]], [[0, 0], [-2389, -1383], [-489, -301], [9, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162, -83], [-25, -16], [0, 0]], [[0, 0], [-369/11, -4949/11], [-1403/11, -87/11], [7/11, -3/11]], [[0, 0], [13, 227], [64, 4], [0, 0]]], 0, 480, [], [] >,
< [ -3, 0, 1 ], [[112, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-105, -54], [-1, 2], [0, 0]], [[0, 0], [-1, 0], [-3, 0], [1, 0]], [[0, 0], [-128, -74], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-224, -157], [-40, -19], [0, 0]], [[0, 0], [2328/11, 591/11], [172/11, 239/11], [23/11, -2/11]], [[0, 0], [10741/11, -2001/11], [-677/11, 1123/11], [161/11, -69/11]]], 0, 480, [], [] >,
< [ -3, 0, 1 ], [[112, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [157, 93], [-53, -37], [0, 0]], [[0, 0], [10, 0], [8, 0], [1, 0]], [[0, 0], [42, 26], [-11, -11], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [119, 37], [-31, -15], [0, 0]], [[0, 0], [1489/11, 773/11], [-106/11, -360/11], [-45/11, 2/11]], [[0, 0], [-21/11, 9/11], [-87/11, 53/11], [8/11, -5/11]]], 0, 480, [], [] >,
< [ -3, 0, 1 ], [[-54, -2]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, -9/2], [-24, -18], [-23/2, -9/2], [0, 0]], [[376, 216], [2341/2, 716], [378, 221], [-1, -5/2]], [[-232, -130], [-1213/2, -997/2], [-223, -139], [-9/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-131/2, -79/2], [-40, -19], [-131/2, -79/2], [0, 0]], [[-906, -465], [-689/2, -683/2], [-903, -464], [-3/2, -1/2]], [[10125/2, 5325/2], [2092, 1847], [10093/2, 5313/2], [8, 3]]], 1, 120, [], [] >,
< [ -3, 0, 1 ], [[-120, -112]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [318, 178], [-41, -17], [0, 0]], [[0, 0], [41657/2, 24549/2], [-2110, -1503], [-7/2, -5/2]], [[0, 0], [-269404, 154964], [307220, -177309], [525, -303]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-65, -35], [311, 181], [0, 0]], [[0, 0], [199, 144], [-1007, -565], [3, 2]], [[0, 0], [-10951/2, 6327/2], [-3093, 1776], [-109/2, 63/2]]], 0, 960, [], [] >,
< [ -3, 0, 1 ], [[-128, -184]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2823471/167, -43/501], [20848/167, 4/501], [0, 0]], [[0, 0], [-238451158250/167, 10124242130/501], [1760673889/167, -74444423/501], [70/167, 2/501]], [[0, 0], [43494049855543/334, -153280341369289/1002], [-160542595874/167, 565868167607/501], [-11715/334, 44135/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16121347/167, 12067/501], [-9826/167, -4/501], [0, 0]], [[0, 0], [14924196471135/3674, -1654485300051/3674], [-413480263/167, 45885396/167], [2777/3674, 1/3674]], [[0, 0], [-193942247146817207/3674, 560361870035194169/11022], [5374871229442/167, -15526329203957/501], [-25432875/3674, 95771195/11022]]], 0, 5280, [], [] >,
< [ -3, 0, 1 ], [[-104, -32]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-409565/167, 155/501], [-13201/167, 5/501], [0, 0]], [[0, 0], [-27159735751/334, 17649229/1002], [-437702101/167, 284366/501], [-159/334, -5/1002]], [[0, 0], [-22376483196169/334, -35071818175997/1002], [-360615971103/167, -565212052324/501], [-133195/334, -209525/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12647496/167, 2202/167], [8245/167, 1/167], [0, 0]], [[0, 0], [-439670533173/3674, -2579513652943/11022], [-143497510/1837, -840527645/5511], [-18669/3674, -1/11022]], [[0, 0], [4465674124624209/1837, 8157416067535241/5511], [2911413683760/1837, 5317962826676/5511], [46572344/1837, 24382852/1837]]], 0, 480, [], [] >,
< [ -3, 0, 1 ], [[-104, -32]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-61540/167, 7985/501], [-2136/167, -1/501], [0, 0]], [[0, 0], [-12900081899/334, 22147165669/1002], [-208372775/167, 357212600/501], [-827/334, -5/1002]], [[0, 0], [-2731721036895/334, 1313706375747/334], [-44707152000/167, 20849748800/167], [-1749885/334, -2752645/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30651600/167, -98351/501], [7690/167, -5/501], [0, 0]], [[0, 0], [85732559598121/3674, -148045302541061/11022], [-10778511336/1837, 18612637478/5511], [-16191/3674, -5/11022]], [[0, 0], [78620038853570383/1837, -42635601099843898/1837], [-19768487155078/1837, 10720589599716/1837], [-156675003/1837, -246399412/5511]]], 0, 480, [], [] >,
< [ -3, 0, 1 ], [[-202, -118]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[28581/2, -5/2], [-476871/334, 6859/1002], [9527/334, -5/1002], [0, 0]], [[2799090171, -799237025], [-93775043147/334, 27101792821/334], [933029928/167, -266412343/167], [1231/334, 1/334]], [[32544384900739/2, 61706825670935/2], [-528742207068183/334, -513535596262487/167], [5424061477824/167, 10284468752448/167], [24910299/334, 31031185/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22941/2, 1/2], [22603701/334, 7045/1002], [7647/334, 1/1002], [0, 0]], [[-154199475/2, 30630339/2], [-151976522417/334, 15085412656/167], [-25697856/167, 5104556/167], [-3/2, 0]], [[-68730217480, -86309803568], [-745568784150890/1837, -2807686701871379/5511], [-251995096135/1837, -949337234693/5511], [-4871230/1837, -12156865/5511]]], 1, 60, [], [] >,
< [ -3, 0, 1 ], [[96, 104]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-171092/167, 3476/501], [3375/167, -1/501], [0, 0]], [[0, 0], [-315672937/334, -1639875151/1002], [3222895/167, 16235722/501], [-1969/334, -1/1002]], [[0, 0], [5857536721174/167, 9671806471534/501], [-116827870687/167, -193117558799/501], [8498533/167, 5399165/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6187266/167, -1534/501], [-3973/167, -1/501], [0, 0]], [[0, 0], [580946555423/3674, 60627690713/11022], [-186459110/1837, -19504805/5511], [-3973/3674, -1/11022]], [[0, 0], [21143496134333/167, 39776362911569/501], [-13574310128/167, -25536171592/501], [-135648/167, -85968/167]]], 0, 1920, [], [] >,
< [ -3, 0, 1 ], [[208, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [107, 71], [133, 79], [0, 0]], [[0, 0], [-699, -481], [-927, -557], [4, 4]], [[0, 0], [-42, -25], [-7, -4], [-5, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [503, 291], [51, 25], [0, 0]], [[0, 0], [-37433, -21628], [-3598, -1943], [12, 4]], [[0, 0], [11326, 6527], [963, 658], [-1, -3]]], 0, 1920, [], [] >,
< [ -3, 0, 1 ], [[-104, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [256, 17], [-11, 0], [0, 0]], [[0, 0], [14, 1], [-1, 0], [1, 0]], [[0, 0], [27749/2, 9397/2], [-1127/2, -329/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1417/2, -205/2], [-93/2, 1/2], [0, 0]], [[0, 0], [4032751/11, -2724849/11], [372681/11, -235585/11], [-1/11, -2/11]], [[0, 0], [44539/2, -18909/2], [3751/2, -1815/2], [0, 0]]], 0, 480, [], [] >,
< [ -3, 0, 1 ], [[-104, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-165/2, -55/2], [-43/2, -31/2], [0, 0]], [[0, 0], [-21281, 19618], [6616, -1091], [-1, -1]], [[0, 0], [955/2, -367/2], [-63/2, 105/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [317/2, 139/2], [27/2, -1/2], [0, 0]], [[0, 0], [1260909/11, 738157/11], [56811/11, 33971/11], [-139/11, -3/11]], [[0, 0], [133577921/11, 77483139/11], [6061567/11, 3541319/11], [-9983/11, -3015/11]]], 0, 480, [], [] >,
< [ -3, 0, 1 ], [[-104, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [101, 26], [20, 7], [0, 0]], [[0, 0], [11/2, 1/2], [-7/2, 1/2], [1, 0]], [[0, 0], [2089, 284], [396, 99], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 6], [20, -4], [0, 0]], [[0, 0], [1871/22, -889/22], [95/22, 25/22], [-9/11, 4/11]], [[0, 0], [-1151/22, -751/22], [-951/22, -549/22], [8/11, 5/11]]], 0, 480, [], [] >,
< [ -3, 0, 1 ], [[50, 34]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, -7/2], [-29/2, -7], [0, 0]], [[7/2, -3/2], [34347/2, -16835/2], [-4357/2, -337/2], [7/2, -3/2]], [[-147/2, -99/2], [-393949/2, -300963/2], [432027/2, 253799/2], [-147/2, -99/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [391/2, -82], [31, 3/2], [0, 0]], [[-3/2, 5/2], [3714537/22, -2161947/22], [304483/22, -186499/22], [-3/22, 5/22]], [[-35, -26], [-6034403/22, 3978093/22], [-279671/22, 466287/22], [-35/11, -26/11]]], 1, 60, [], [] >,
< [ -3, 0, 1 ], [[-102, -50]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[71/2, -1/2], [32, 20], [71/2, -1/2], [0, 0]], [[-19095, 11970], [6109/2, 195/2], [-19104, 11961], [-3/2, -3/2]], [[-45201, 24339], [337/2, -3557], [-45171, 24348], [5, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-117/2, -3/2], [-8, 6], [-117/2, -3/2], [0, 0]], [[31605/2, 23579/2], [-1564, -15], [31701/2, 23627/2], [-8, -4]], [[221183/2, 442819/2], [-112587/2, 39959/2], [222785/2, 443305/2], [-267/2, -81/2]]], 1, 120, [], [] >,
< [ -3, 0, 1 ], [[96, 104]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25, -17], [-30, -5], [0, 0]], [[0, 0], [422, 261], [397, 160], [2, 1]], [[0, 0], [3/2, -401/2], [-820, 318], [-5/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17, -23], [55, 33], [0, 0]], [[0, 0], [1711/2, -681/2], [-421, -164], [-11/2, -5/2]], [[0, 0], [3628, -2006], [-543, 75], [-6, 0]]], 0, 960, [], [] >,
< [ -3, 0, 1 ], [[296, 240]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [600284/167, 656/501], [19865/167, 5/501], [0, 0]], [[0, 0], [-636241130537/334, -21082428491/1002], [-10527414179/167, -339984940/501], [-1829/334, -5/1002]], [[0, 0], [110205084217072777/167, 66977654289050769/167], [3645134791727847/167, 2215458199716927/167], [311056776/167, 189393384/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21149296/167, 1534/167], [-13799/167, 1/167], [0, 0]], [[0, 0], [4524372668449/3674, -1398524267/3674], [1475961730/1837, -366683/1837], [-19865/3674, -5/11022]], [[0, 0], [-25480478005109978/1837, -46543571110777160/5511], [-16626561625100/1837, -30370344784658/5511], [111956571/1837, 68163053/1837]]], 0, 5280, [], [] >,
< [ -3, 0, 1 ], [[-48, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-483, -271], [5, 1], [0, 0]], [[0, 0], [54558, 31590], [-374, -230], [-6, 2]], [[0, 0], [48552, 28197], [-321, -212], [-9, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-243, -141], [3, 1], [0, 0]], [[0, 0], [0, -1], [3, 0], [1, 0]], [[0, 0], [0, 4], [0, 0], [0, 0]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[-48, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-165, -101], [-3, -3], [0, 0]], [[0, 0], [1422, 733], [47, 6], [-3, -4]], [[0, 0], [-2406, -1500], [-30, -44], [12, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-420, -242], [0, -2], [0, 0]], [[0, 0], [0, -1], [3, 0], [1, 0]], [[0, 0], [-3459, -1997], [-15, -9], [0, 0]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[-6, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3/2, -11/2], [-5/2, -3/2], [0, 0]], [[-12, -2], [75, -69], [0, 0], [-12, -2]], [[-273/2, -221/2], [-1098, 89], [0, 0], [-273/2, -221/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33/2, -3/2], [45/2, 5/2], [0, 0]], [[11/2, 1/2], [-477, 282], [-480, 256], [11/2, 1/2]], [[-56, -24], [1425, -923], [1728, -672], [-56, -24]]], 1, 4, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[0, 0], [3, 7], [0, 0], [-39, -25]], [[0, 0], [-189, -133], [0, 0], [1134, 666]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 10], [9, -1], [0, 0]], [[0, 0], [-1929, -1125], [-255, -315], [37, 21]], [[0, 0], [-11937, -7222], [1725, -3910], [240, 128]]], 0, 24, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[0, 0], [-36, -22], [0, 0], [0, -1]], [[0, 0], [6, 4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -17], [-12, -3], [0, 0]], [[0, 0], [0, 0], [0, 0], [1, 0]], [[0, 0], [-318, -188], [-48, -80], [0, 0]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[-6, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33/2, -43/2], [9/2, -9/2], [0, 0]], [[-1/2, 5/2], [-45/2, 297/2], [-155/2, 101/2], [-1/2, 5/2]], [[20, 15], [2493/2, 1843/2], [-85/2, 189/2], [20, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25/2, 25/2], [-7/2, -3/2], [0, 0]], [[15/2, -1/2], [-957, 192], [-6, 70], [15/2, -1/2]], [[27, 81], [859, -9601], [2318, 342], [27, 81]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 9], [9, -4], [0, 0]], [[0, 0], [-864, -520], [113, -81], [-41, -23]], [[0, 0], [1773, 1039], [-66, 68], [84, 48]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-3, -3], [0, 0], [9, 7]], [[0, 0], [21, 13], [0, 0], [-60, -36]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -23], [0, 5], [0, 0]], [[0, 0], [3, 0], [-1, 0], [1, 0]], [[0, 0], [-12, 0], [-6, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [12, 6], [0, 0], [-15, 5]], [[0, 0], [18, 10], [0, 0], [-9, 0]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[-144, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, 31], [-21, -15], [0, 0]], [[0, 0], [-1101, 833], [621, -459], [-3, -3]], [[0, 0], [2100, -1455], [-1179, 804], [3, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [123, 91], [33, 1], [0, 0]], [[0, 0], [34800, -17199], [-28863, 17020], [-3, 0]], [[0, 0], [-1680, 1760], [2220, -1184], [0, 0]]], 0, 2304, [], [] >,
< [ -3, 0, 1 ], [[-144, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-534, -296], [-18, 0], [0, 0]], [[0, 0], [19167, 11100], [294, 201], [-3, 0]], [[0, 0], [-22089, -12996], [-180, -327], [12, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-330, -194], [-18, -14], [0, 0]], [[0, 0], [279, 94], [78, -33], [15, -12]], [[0, 0], [1587, 841], [147, -3], [0, -24]]], 0, 2304, [], [] >,
< [ -3, 0, 1 ], [[-18, -18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 13], [-3, -6], [0, 0]], [[-21/2, -3/2], [-555/2, -283/2], [-45/2, 189/2], [-21/2, -3/2]], [[-75/2, 125/2], [1116, 991], [-2106, 774], [-75/2, 125/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57/2, -3/2], [45/2, 5/2], [0, 0]], [[1, -1], [1323, 693], [1344, 736], [3, -3]], [[-11/2, -1/2], [10683, 6286], [11136, 6496], [-33/2, -3/2]]], 0, 36, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -7], [12, 3], [0, 0]], [[0, 0], [24, 79], [-261, -126], [-3, -3]], [[0, 0], [-312, 288], [-432, -72], [3, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -4], [-3, 0], [0, 0]], [[0, 0], [15, -6], [6, -3], [-114, -66]], [[0, 0], [-6, 5], [-3, 2], [-99, -57]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 0], [15, -6], [0, 0]], [[0, 0], [-372, -220], [-72, -48], [-6, 1]], [[0, 0], [300, 182], [54, 42], [9, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 16], [-12, 4], [0, 0]], [[0, 0], [-1017, -578], [93, 72], [-3, -3]], [[0, 0], [-1827, -899], [-87, 261], [12, -15]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[-18, -18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99/2, 27/2], [3/2, -5/2], [0, 0]], [[15/2, 1/2], [153, 776], [-162, 60], [15/2, 1/2]], [[-42, -84], [-26094, -4326], [-1425, 1575], [-42, -84]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39/2, -1/2], [-3/2, 1/2], [0, 0]], [[12, 0], [75, 27], [0, 0], [12, 0]], [[9/2, 11/2], [66, 45], [0, 0], [9/2, 11/2]]], 0, 36, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -9], [-12, -3], [0, 0]], [[0, 0], [120, 300], [36, 52], [21, 15]], [[0, 0], [-51, -4327], [-240, -720], [-231, -187]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 8], [15, 1], [0, 0]], [[0, 0], [63, 75], [297, -99], [3, -1]], [[0, 0], [-282, -165], [-198, -99], [0, 0]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 57], [6, -3], [0, 0]], [[0, 0], [2604, 1586], [-36, 32], [-6, 5]], [[0, 0], [15489, 8919], [69, 25], [9, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, 34], [-15, -4], [0, 0]], [[0, 0], [-2172, -1418], [1050, -100], [12, -5]], [[0, 0], [8487, 4853], [-1425, -1025], [-3, -5]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[-54, -18]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 5/2], [27, 7], [3/2, 5/2], [0, 0]], [[63, 6], [126, 455/2], [63, 6], [9/2, 1]], [[-171, 84], [717, -518], [-171, 84], [-9, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, 5/2], [42, 18], [21/2, 5/2], [0, 0]], [[-75/2, -125/2], [-639/2, -247], [-75/2, -125/2], [-6, 1/2]], [[0, 0], [3, -5/2], [0, 0], [3/2, -1]]], 0, 108, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, 17], [27, 17], [0, 0]], [[0, 0], [93/2, 85/2], [48, 24], [-15/2, -5/2]], [[0, 0], [36, -10], [0, 8], [3, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 3], [18, 16], [0, 0]], [[0, 0], [-798, -368], [-825, -515], [-12, -2]], [[0, 0], [-6573/2, 1187/2], [-450, -1300], [-255/2, 119/2]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75, 55], [6, -5], [0, 0]], [[0, 0], [-9819/2, -6451/2], [-165, 190], [-9/2, -3/2]], [[0, 0], [9849/2, 2441/2], [-1080, 560], [-3/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 12], [-12, -2], [0, 0]], [[0, 0], [-69/2, -41/2], [0, 9], [-3/2, -5/2]], [[0, 0], [-9/2, 1/2], [0, 0], [-3/2, 1/2]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[-54, -18]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 5/2], [27, 19], [-15/2, 15/2], [0, 0]], [[16, -20], [-294, -391/2], [45, -62], [-3/2, -1]], [[-65/2, 37/2], [-36, 12], [-195/2, 111/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1], [15, 5], [-3, 1], [0, 0]], [[3/2, -3/2], [21, 14], [3/2, -3/2], [6, 3]], [[9/2, -5/2], [-15/2, -1], [9/2, -5/2], [0, -3/2]]], 0, 108, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -9], [168, 96], [0, 0]], [[0, 0], [18, -11], [21, -45], [-3, 0]], [[0, 0], [141/2, -81/2], [207, -101], [-9/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -15], [-9, -11], [0, 0]], [[0, 0], [-1227/2, -697/2], [-378, -198], [-21/2, 3/2]], [[0, 0], [375, 131], [450, -54], [108, -60]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -9], [12, -9], [0, 0]], [[0, 0], [15/2, -3/2], [18, -11], [21/2, 1/2]], [[0, 0], [126, -86], [507, -290], [105, -91]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69, -31], [12, -1], [0, 0]], [[0, 0], [-3396, -2267], [75, 315], [15, 6]], [[0, 0], [-49557/2, 47385/2], [28500, -17250], [-627/2, 297/2]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -29], [-39, -22], [0, 0]], [[0, 0], [-252, -347], [-133, -96], [-110, -64]], [[0, 0], [2514, 2704], [1158, 788], [930, 540]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 3], [1, 0], [0, 0]], [[0, 0], [6, 4], [0, 0], [96, 56]], [[0, 0], [6, 2], [0, 0], [30, 16]]], 0, 576, [], [] >,
< [ -3, 0, 1 ], [[0, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-303, -128], [6, -1], [0, 0]], [[0, 0], [-900, -294], [24, -8], [15, -1]], [[0, 0], [-1410, 1604], [198, -120], [84, -56]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-249, -131], [-3, -7], [0, 0]], [[0, 0], [-2295, -190], [372, -273], [-15, 1]], [[0, 0], [-7467, 1633], [2121, -1327], [-54, 18]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[0, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-270, -151], [9, 4], [0, 0]], [[0, 0], [-909, -542], [30, 15], [-24, -4]], [[0, 0], [-90, 52], [0, 0], [33, -19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, 82], [-24, -16], [0, 0]], [[0, 0], [-99, 162], [-30, 17], [15, 1]], [[0, 0], [1593, -751], [225, -131], [-36, 36]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 2], [264, 152], [0, 0]], [[0, 0], [-2, 0], [-2, 0], [1, 0]], [[0, 0], [0, 0], [90, 52], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 10], [-114, -64], [0, 0]], [[0, 0], [1, 1], [1, 1], [1, 0]], [[0, 0], [-588, -322], [3132, 1800], [0, 0]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-222, -130], [-48, -28], [0, 0]], [[0, 0], [-2, 0], [-2, 0], [1, 0]], [[0, 0], [153, 101], [33, 21], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, -23], [-15, -9], [0, 0]], [[0, 0], [4, 0], [-2, 0], [1, 0]], [[0, 0], [201, 119], [81, 47], [0, 0]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 5], [3, 1], [0, 0]], [[7/2, -1/2], [-49, -12], [2, 3], [7/2, -1/2]], [[48, -28], [-306, 184], [-36, 20], [48, -28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-225, -131], [-3, 1], [0, 0]], [[0, 2], [-3492, -1993], [39, -38], [0, 2]], [[13/2, -7/2], [-400, -322], [-208, 118], [13/2, -7/2]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[12, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, 77], [39, 22], [0, 0]], [[3/2, 2], [991/2, -417/2], [-521/2, 357/2], [2, 1/2]], [[-15/2, -5/2], [518, -479], [-505, 226], [-5/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -41], [-9, -6], [0, 0]], [[-15/2, 3/2], [-723, -408], [-96, -51], [3/2, -5/2]], [[138, -115/2], [5782, 3117], [811, 364], [-115/2, 46]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, -70], [12, 8], [0, 0]], [[-5, -2], [1126, 656], [-128, -74], [-5, -2]], [[1107/2, -639/2], [7161/2, -4167/2], [-75/2, 47/2], [1107/2, -639/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51, 40], [18, 7], [0, 0]], [[3/2, -5/2], [44181/2, 25167/2], [10911/2, 6403/2], [3/2, -5/2]], [[1057/2, -609/2], [36673/2, -40759/2], [-20543/2, 6951/2], [1057/2, -609/2]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[-54, -18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-225/2, 9/2], [9/2, -3/2], [0, 0]], [[33/2, 5/2], [336, 457], [6, -15], [33/2, 5/2]], [[42, 42], [7407/2, 1469], [-96, -17/2], [42, 42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -13/2], [-15/2, 1], [0, 0]], [[-21/2, -1/2], [-162, 34], [-81, 45], [-21/2, -1/2]], [[9/2, 5/2], [33, 19], [0, 0], [9/2, 5/2]]], 0, 108, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63/2, 173/2], [45/2, 5/2], [0, 0]], [[0, 0], [1359, -591], [-153, 123], [-9, -9]], [[0, 0], [2856, -1750], [-468, 252], [15, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39/2, -3/2], [-15/2, -3/2], [0, 0]], [[0, 0], [-102, 38], [24, -8], [15, 7]], [[0, 0], [0, -2], [0, 0], [3, 1]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [279/2, 221/2], [9/2, 5/2], [0, 0]], [[0, 0], [216, -104], [0, 0], [-12, 1]], [[0, 0], [-1566, 822], [0, 0], [72, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-183/2, -173/2], [-9/2, -5/2], [0, 0]], [[0, 0], [450, -250], [0, 0], [15, 2]], [[0, 0], [-4848, 2680], [0, 0], [-174, -29]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39, 18], [-6, -3], [0, 0]], [[0, 0], [303/2, -245/2], [-9/2, 33/2], [6, 5]], [[0, 0], [5613, -3209], [-519, 287], [-48, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 13], [-15, 4], [0, 0]], [[0, 0], [-3327/2, -1483/2], [681/2, 799/2], [-12, -1]], [[0, 0], [14259, 6256], [-2808, -3453], [105, 7]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[-54, -18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -35], [-3, -2], [0, 0]], [[-3/2, -5/2], [-105/2, 10], [0, 1/2], [-3/2, -5/2]], [[-3/2, -1/2], [-9, -5], [0, 0], [-3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -37/2], [-15/2, 1], [0, 0]], [[3, -1], [-117/2, -139], [78, -117/2], [3, -1]], [[3/2, 3/2], [-675/2, -179], [-39, -13/2], [3/2, 3/2]]], 0, 108, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81/2, 25/2], [9/2, -5/2], [0, 0]], [[0, 0], [-456, -270], [0, 0], [-24, -18]], [[0, 0], [-1140, -1042], [0, 0], [117, -169]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-117/2, 5/2], [-3/2, 5/2], [0, 0]], [[0, 0], [-561, -727], [81, 9], [-3, -1]], [[0, 0], [270, -27], [9, -12], [0, 0]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27/2, 33/2], [9/2, 3/2], [0, 0]], [[0, 0], [123/2, -47/2], [9/2, 5/2], [-12, 4]], [[0, 0], [18, -10], [0, 0], [-3, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-267/2, -183/2], [-15/2, 3/2], [0, 0]], [[0, 0], [120, 88], [12, -4], [-3, -4]], [[0, 0], [-246, 10], [72, -44], [18, -6]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 35], [3, -4], [0, 0]], [[0, 0], [2949/2, -1821/2], [-477/2, 251/2], [-9, -4]], [[0, 0], [-1089, 960], [264, -85], [45, 25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [531/2, 413/2], [33/2, 5/2], [0, 0]], [[0, 0], [5607/2, -49523/2], [-7371/2, 2709/2], [0, -1]], [[0, 0], [19863/2, -5037/2], [-1701/2, 1197/2], [0, 0]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[-96, -72]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-230047/167, -1243/167], [1651/167, 3/167], [0, 0]], [[0, 0], [23633383153/334, -10419696319/1002], [-84946658/167, 38302721/501], [-1301/334, 1/1002]], [[0, 0], [-9784380015085/167, 34580864761529/167], [72888241438/167, -248451334766/167], [-320008/167, -1950818/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-302522/167, 2202/167], [-229/167, 1/167], [0, 0]], [[0, 0], [-3755986766/1837, 905646436/5511], [-2740420/1837, 651206/5511], [-3375/1837, -1/5511]], [[0, 0], [98777901719/334, -1325254367617/334], [34324163/167, -483557542/167], [-202653/334, -1207107/334]]], 0, 320, [], [] >,
< [ -3, 0, 1 ], [[192, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-172, -85], [-9, -4], [0, 0]], [[0, 0], [314, 94], [30, 10], [72, 42]], [[0, 0], [140, 46], [12, 4], [24, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-630, -327], [-9, 4], [0, 0]], [[0, 0], [41184, 24308], [-42, 108], [-96, -56]], [[0, 0], [-39876, -23850], [108, -144], [92, 54]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[576, 432]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-600, -327], [-9, -2], [0, 0]], [[0, 0], [-6168, -3828], [-30, -60], [0, 2]], [[0, 0], [-2685, -1536], [-30, -15], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [750, 428], [6, 2], [0, 0]], [[0, 0], [1683, 996], [6, 9], [24, 12]], [[0, 0], [-978, -549], [-9, -2], [-18, -12]]], 0, 13824, [], [] >,
< [ -3, 0, 1 ], [[-30, -6]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, 1/2], [-131, 15], [33/2, 1/2], [0, 0]], [[1350, -810], [-13616, 16075/2], [1350, -810], [-5/2, 2]], [[810, -180], [-7043, 2411], [810, -180], [-6, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 5/2], [79, -22], [-15/2, 5/2], [0, 0]], [[45, -34], [-915/2, 673/2], [45, -34], [-15/2, -7/2]], [[75/2, -55/2], [-761/2, 545/2], [75/2, -55/2], [-11/2, -5/2]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[-96, -72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, 66], [6, -2], [0, 0]], [[0, 0], [-2430, -1428], [-21, -20], [-5, -1]], [[0, 0], [721/2, 15/2], [51, -27], [-25/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 3], [51, 29], [0, 0]], [[0, 0], [-17, 25], [-108, -56], [4, 2]], [[0, 0], [8629/2, -4983/2], [792, -453], [-75/2, 43/2]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[648, 288]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63, -33], [195, 111], [0, 0]], [[0, 0], [3393/2, 1921/2], [-5517, -3161], [-9/2, 1/2]], [[0, 0], [771/2, -445/2], [123, -71], [123/2, -71/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [177, 91], [126, 72], [0, 0]], [[0, 0], [-2595/2, -1541/2], [-1011, -579], [15/2, 3/2]], [[0, 0], [2817, -1585], [-567, 359], [360, -208]]], 0, 10368, [], [] >,
< [ -3, 0, 1 ], [[24, 48]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26143/167, -513/167], [811/167, 5/167], [0, 0]], [[0, 0], [-336502525/334, -227704619/334], [-5509616/167, -3671505/167], [1565/334, 1/334]], [[0, 0], [2312308864684/167, 3949828348756/501], [75048004084/167, 128366539762/501], [-4492089/167, -9271283/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2005594/167, -12012/167], [-811/167, -5/167], [0, 0]], [[0, 0], [714082006905/3674, -29488918837/11022], [144443682/1837, -5869865/5511], [10723/3674, -1/11022]], [[0, 0], [2617434440879725/1837, 1814827410709037/1837], [1059396587290/1837, 734441605452/1837], [40450480/1837, 27807920/1837]]], 0, 320, [], [] >,
< [ -3, 0, 1 ], [[-144, -288]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [375, 267], [3, -1], [0, 0]], [[0, 0], [4830, 2571], [-3, 12], [-72, -38]], [[0, 0], [-10950, -5736], [12, -30], [162, 84]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [252, 120], [-12, 2], [0, 0]], [[0, 0], [7905, 4954], [-42, -161], [-426, -246]], [[0, 0], [-5187, 5075], [2415, -1435], [-102, -60]]], 0, 13824, [], [] >,
< [ -3, 0, 1 ], [[-48, -96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 1], [1, 0], [0, 0]], [[0, 0], [318, 192], [0, 0], [18, 10]], [[0, 0], [-2892, -1702], [0, 0], [-162, -92]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-273, -124], [6, -5], [0, 0]], [[0, 0], [-1614, -907], [3, -6], [-72, -42]], [[0, 0], [-5571, -3168], [0, -15], [-248, -144]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[24, 48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 22], [-144, -2], [0, 0]], [[0, 0], [-629599/2, 368471/2], [-395157, 238987], [-3/2, -3/2]], [[0, 0], [336562, -199829], [414840, -263563], [4, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -7], [-420, -4], [0, 0]], [[0, 0], [6127/2, -163/2], [252393, -119244], [-3/2, 5/2]], [[0, 0], [-109491/2, -54469/2], [-1341942, -148553], [-85/2, -65/2]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[-42, -18]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-447/2, -3/2], [-10, -6], [-447/2, -3/2], [0, 0]], [[-876027/2, 528037/2], [1665, 87/2], [-876045/2, 528049/2], [-3/2, 1]], [[1724820, -344964], [97637/2, 30566], [1724886, -344955], [11, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[291/2, -1/2], [1, 0], [303/2, -1/2], [1, 0]], [[3846, 641], [53/2, 9/2], [4005, 668], [53/2, 9/2]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[-432, -72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [123, 13], [-90, -4], [0, 0]], [[0, 0], [40779/2, -10249/2], [-15813, 4793], [33/2, 3/2]], [[0, 0], [14043, 3043], [-9915, -1551], [18, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [402, -4], [-393, -5], [0, 0]], [[0, 0], [15051, 24392], [-16254, -24168], [21, 2]], [[0, 0], [-4634961/2, -3017341/2], [2361195, 1523925], [-2295/2, -1105/2]]], 0, 10368, [], [] >,
< [ -3, 0, 1 ], [[120, 48]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -11], [33, 19], [0, 0]], [[0, 0], [-658613/386, 4115/386], [-717, 4], [1337/386, -1/386]], [[0, 0], [-244707148/193, 420138308/579], [-532196, 304570], [492121/193, -844781/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -19], [-9, -5], [0, 0]], [[0, 0], [-97883/386, -3343/1158], [1707, 10], [1227/386, 1/1158]], [[0, 0], [13123911/193, -7473697/193], [-462150, 263250], [-167700/193, 95550/193]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[360, 144]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -4], [3, 11], [0, 0]], [[0, 0], [115705/386, 583639/386], [-918, -473], [-1309/386, 3/386]], [[0, 0], [-35137709/193, 33141165/193], [-44538, -13930], [-80812/193, 31780/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -9], [-6, -4], [0, 0]], [[0, 0], [-479701/193, 2447/193], [-1071, 17], [979/193, 1/193]], [[0, 0], [-32145897/386, -8209173/386], [-35583, -8776], [65919/386, 17157/386]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[-240, -96]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [2, 1], [0, 0]], [[0, 0], [304990/193, -2726/193], [2340, -2], [-11994/2509, -2/2509]], [[0, 0], [-23532241/386, 56542635/386], [-170065/2, 432451/2], [432451/2509, -1107852/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-147/2, -89/2], [-11/2, -5/2], [0, 0]], [[0, 0], [1945926/193, -232034/193], [-736, 440], [-3916/2509, -4/2509]], [[0, 0], [-2532062/193, -6434420/193], [-2864, 1520], [785/193, 1090/193]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[120, 48]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17/2, -5], [1/2, 0], [0, 0]], [[0, 0], [-4, -2], [0, 0], [0, 0]], [[0, 0], [-708/193, -216/193], [0, 0], [-59/2509, -18/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-101/2, -49/2], [-1/2, 3/2], [0, 0]], [[0, 0], [-982759013/2123, 40350631/4246], [72268/11, -987/22], [-158495/27599, -3/27599]], [[0, 0], [5340640502759/4246, 859803429695/2123], [-398264211/22, -65973472/11], [439761843/27599, 147701408/27599]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[120, 48]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, -6], [-1, 2], [0, 0]], [[0, 0], [180296/193, 639/386], [1, 1/2], [29985/5018, 5/5018]], [[0, 0], [-798/193, 522/193], [0, 0], [-133/5018, 87/5018]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [261/2, -79/2], [5/2, -3/2], [0, 0]], [[0, 0], [1295749856/2123, -15796694/2123], [-614062/11, 48/11], [-245759/55198, -5/55198]], [[0, 0], [-180928248051/193, -89532031405/386], [86552026, 44526589/2], [17321180/2509, 4456798/2509]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[120, 48]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, -15], [3, 1], [0, 0]], [[0, 0], [176645/193, -11604/193], [-101, 8], [551/2509, -2/2509]], [[0, 0], [-276924/193, 300147/386], [161, -175/2], [-1571/5018, 839/5018]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-453/2, -111/2], [-17/2, -7/2], [0, 0]], [[0, 0], [-195518927/2123, -39381855/4246], [86830/11, -4581/22], [94363/55198, -1/55198]], [[0, 0], [-139109373367/4246, -102159187223/4246], [46384381/22, 39067829/22], [13469886/27599, 10969488/27599]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[6, 18]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-215/4, -105/4], [1/4, -5/4], [0, 0]], [[3749/2, -5/2], [946783/386, -42828/193], [155/2, -60], [-4804/2509, 3/5018]], [[-254720, -394816], [-150565981/772, -375752963/772], [109395/4, -32535/4], [655904/2509, 1012512/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-341/4, -71/4], [3/4, -3/4], [0, 0]], [[57413/2, -3/2], [4197429645/4246, 7518502/2123], [-493127/22, 36/11], [-49415/27599, -1/55198]], [[57917580, 42159824], [4267930939201/2123, 6195342726487/4246], [-497359040/11, -724138071/22], [-7670166/2123, -5583046/2123]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[120, 48]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 5], [75, 43], [0, 0]], [[0, 0], [-41270/193, -89297/579], [-2959, -1625], [124/193, -1/579]], [[0, 0], [6894709/386, -11104963/1158], [-39172, 31293], [80223/386, -140063/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [183, -5], [18, 10], [0, 0]], [[0, 0], [-824387759/4246, -400700293/12738], [182183/11, 530/11], [20913/4246, 1/12738]], [[0, 0], [-762450068906/2123, -925288699510/6369], [294647677/11, 89562593/11], [16867284/2123, 15275092/6369]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[120, 48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, 62], [63, 37], [0, 0]], [[0, 0], [9509/2, 4391/2], [2376, 1440], [3/2, -5/2]], [[0, 0], [-13135, 7205], [1404, -1026], [-76, 44]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3051, -1457], [96, 56], [0, 0]], [[0, 0], [-31646305/11, 20368374/11], [-125955/11, 111/11], [-6/11, -1/11]], [[0, 0], [-1376174541/22, 867823287/22], [-2455422/11, 149046/11], [-227/22, -25/22]]], 0, 448, [], [] >,
< [ -3, 0, 1 ], [[-288, -72]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 1], [3, -7], [0, 0]], [[0, 0], [-274271/386, -438991/386], [327, 938], [-2467/386, -3/386]], [[0, 0], [-39067827/193, 41882006/193], [234813, -208481], [322620/193, -140085/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -9], [12, 14], [0, 0]], [[0, 0], [196486/193, 35070/193], [915, -91], [1130/193, 2/193]], [[0, 0], [-6893973/386, 1732493/386], [-22413, 9630], [-49635/386, 18751/386]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[-96, -24]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 8], [75, 45], [0, 0]], [[0, 0], [-411293/386, 49355/1158], [-1462, 115], [-3129/386, -5/1158]], [[0, 0], [24299/386, -42001/1158], [92, -53], [173/386, -299/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -11], [45, 27], [0, 0]], [[0, 0], [-857119/386, -30659/386], [2808, 527], [-1337/386, -1/386]], [[0, 0], [91428508/193, -166484261/579], [-422907, 266309], [152285/193, -275716/579]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[192, 48]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31, -20], [3, 5], [0, 0]], [[0, 0], [1811/2, -519], [-1536, 811], [-47/26, 1/13]], [[0, 0], [1, 1/2], [-48, -27], [-8/13, -9/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -1], [-114, -64], [0, 0]], [[0, 0], [541, 671/2], [-38850, -22403], [-11/13, -1/26]], [[0, 0], [-3040, 1710], [-834, 3606], [-763/13, 441/13]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[42, 30]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 1/2], [-14, -11/2], [-9/2, 1/2], [0, 0]], [[-873/2, 369/2], [-599, -19/4], [-315, 375/2], [33/26, 3/52]], [[525/2, 3977/2], [8382, 25099/4], [-1500, 1377/2], [-250/13, -725/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 1], [95/2, -25/2], [-6, 1], [0, 0]], [[-355/2, 691/2], [60287/44, -120029/44], [-2349/11, 3816/11], [-103/572, 3/572]], [[65429/2, 19805/2], [-259839, -317745/4], [31110, 17061/2], [-107/13, -361/52]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[-96, -24]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, 10], [33, 21], [0, 0]], [[0, 0], [-971/4, -997/4], [-1359/2, -987/2], [35/52, 1/52]], [[0, 0], [14453/2, -7367/2], [7269, -3085], [45/2, -27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-133, -79], [30, 18], [0, 0]], [[0, 0], [-170693/44, -10671/44], [30243/22, 1251/22], [1369/572, -1/572]], [[0, 0], [174833487/44, -101392349/44], [-32254353/22, 18699529/22], [-1575163/572, 912689/572]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[-96, -24]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [91/2, 51/2], [6, -3], [0, 0]], [[0, 0], [-2873/4, -1799/4], [-351/2, 55/2], [-85/52, 5/52]], [[0, 0], [295, 88], [-240, 161], [-49/26, 35/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [475/2, 273/2], [-9, 4], [0, 0]], [[0, 0], [34125/44, -23193/44], [-5469/22, 249/22], [-1735/572, -5/572]], [[0, 0], [-149783/11, 171517/22], [22662/11, -14274/11], [6575/286, -2104/143]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[-96, -24]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -2], [0, -2], [0, 0]], [[0, 0], [2001/4, 1165/4], [345/2, 181/2], [9/52, 1/52]], [[0, 0], [217/4, 343/4], [387/2, -147/2], [73/52, -41/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67, 36], [-9, 3], [0, 0]], [[0, 0], [-85443/44, 38763/44], [-1767/22, -685/22], [-347/572, -1/572]], [[0, 0], [-5394783/22, 1564917/11], [-18474/11, 13102/11], [-5994/143, 7209/286]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[-96, -24]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -7], [57, 33], [0, 0]], [[0, 0], [690170/193, 35291/579], [1324, -16], [1282/193, 1/579]], [[0, 0], [-673248917/386, 1075999319/1158], [-676822, 363367], [-1285219/386, 2063425/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, -2], [3, 1], [0, 0]], [[0, 0], [-35743789/2123, 371083/6369], [5726/11, -10/11], [-524/2123, 2/6369]], [[0, 0], [-2889130941/4246, -2109581839/12738], [231707/11, 56722/11], [-42423/4246, -31205/12738]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[-96, -24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-194, -112], [-57, -33], [0, 0]], [[0, 0], [-153/2, -103/2], [-24, -10], [-1/2, 3/2]], [[0, 0], [525, -269], [-252, 154], [-122, 70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5347, 1895], [57, 35], [0, 0]], [[0, 0], [-4266943357/22, 3191408373/22], [8591028/11, 628/11], [-27/22, 1/22]], [[0, 0], [-53308412347/22, -197264803929/22], [-1472375616/11, -704066280/11], [4381/22, 2041/22]]], 0, 448, [], [] >,
< [ -3, 0, 1 ], [[120, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63, 35], [66, 40], [0, 0]], [[0, 0], [1143/2, 661/2], [615, 345], [-11/2, -3/2]], [[0, 0], [31/2, -29/2], [-270, 150], [85/2, -49/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [671, -1615], [-57, -33], [0, 0]], [[0, 0], [-11065848863/11, 6378063708/11], [-1005342/11, -82/11], [-1/11, -2/11]], [[0, 0], [3967726289129/22, -2287229528225/22], [172412109/11, -4509899/11], [289/22, 677/22]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[-48, -72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-99, -85], [-9, -7], [0, 0]], [[0, 0], [-44599/2, -25607/2], [-1920, -1104], [9/2, 3/2]], [[0, 0], [759, -146], [54, -6], [-7, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5862, -3112], [63, 37], [0, 0]], [[0, 0], [-114922169/22, 98818887/22], [-322692/11, 3660/11], [-63/22, -5/22]], [[0, 0], [41312026, 2846093], [-218280, -174342], [-26, -19]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[240, 0]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 4], [-258, -148], [0, 0]], [[0, 0], [4555/26, 271/26], [-2580, -1675], [-147/130, -1/130]], [[0, 0], [693911/26, -380371/26], [34023, -41744], [-4913/26, 13583/130]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-194, -112], [-126, -72], [0, 0]], [[0, 0], [-857345/143, 64296/143], [34671/11, 3199/11], [-446/715, -1/715]], [[0, 0], [-462924435/286, 267455055/286], [6958419/11, -4022446/11], [-212283/1430, 122673/1430]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[120, 0]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -1], [2, 1], [0, 0]], [[0, 0], [1153/74, 1945/222], [-25/2, 5/6], [-5/74, 1/222]], [[0, 0], [-446/37, -821/111], [-4, 23/3], [-4/185, 23/555]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 11], [2, 1], [0, 0]], [[0, 0], [46130955/814, 20923/2442], [-3705/2, 1/6], [741/814, -1/12210]], [[0, 0], [1637146899/37, 468054313/37], [-1446060, -413160], [26292/37, 7512/37]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[1200, 0]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -2], [-6, -2], [0, 0]], [[0, 0], [729/26, 127/26], [-501, -102], [121/26, 1/26]], [[0, 0], [-193047/26, 111557/26], [122994, -71083], [-45241/26, 26133/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, 98], [174, 100], [0, 0]], [[0, 0], [12115375/286, 4565863/286], [338946/11, 183233/11], [1413/286, -1/286]], [[0, 0], [-41996628039/286, 24312491703/286], [-213817755/11, 125602076/11], [-14137547/286, 8166949/286]]], 0, 79872, [], [] >,
< [ -3, 0, 1 ], [[600, 0]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -1], [2, 1], [0, 0]], [[0, 0], [1733/74, -3277/222], [217/2, 1/6], [-217/74, -1/222]], [[0, 0], [6141/37, -2733/37], [-636, -742], [636/37, 742/37]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 11], [2, 1], [0, 0]], [[0, 0], [-8604103/407, -27644/1221], [-1951, -2/3], [-1951/407, -2/1221]], [[0, 0], [30398773327/814, 26755978111/2442], [6888583/2, 6051913/6], [6888583/814, 6051913/2442]]], 0, 19968, [], [] >,
< [ -3, 0, 1 ], [[624, 168]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -16], [969, 559], [0, 0]], [[0, 0], [-401/2, -173/2], [8238, 4800], [11/2, 5/2]], [[0, 0], [41038, -23672], [60372, -35862], [-945, 545]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [486, 1134], [393, 227], [0, 0]], [[0, 0], [-314387/22, 235243/22], [-25830/11, -246/11], [-105/22, -1/22]], [[0, 0], [-553609/11, -2554070/11], [1540452/11, 732096/11], [3131/11, 1488/11]]], 0, 16896, [], [] >,
< [ -3, 0, 1 ], [[-744, -288]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -48], [-429, -241], [0, 0]], [[0, 0], [-705, -393], [-3672, -2088], [-4, 0]], [[0, 0], [-2179/2, 1245/2], [-2673, 1509], [-369/2, 213/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1505, 1303], [570, 326], [0, 0]], [[0, 0], [150061125/22, -90785201/22], [-1087770/11, 2482/11], [-7/22, -3/22]], [[0, 0], [63330, -36910], [-543, 209], [0, 0]]], 0, 16896, [], [] >,
< [ -3, 0, 1 ], [[336, 72]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -13], [54, 32], [0, 0]], [[0, 0], [14635/386, 60719/1158], [-883, -114], [41/386, -5/1158]], [[0, 0], [511962/193, -294702/193], [34491, -19949], [-1104/193, 638/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -3], [-945, -547], [0, 0]], [[0, 0], [33614/193, -37187/579], [-71919, -47225], [-648/193, -1/579]], [[0, 0], [584750171/386, -1012673731/1158], [52160385, -30417050], [-6874525/386, 11899375/1158]]], 0, 4032, [], [] >,
< [ -3, 0, 1 ], [[1008, 216]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-405, -13], [399, 1], [0, 0]], [[0, 0], [-41889587/386, 100537953/386], [132606, -260567], [-151/386, 3/386]], [[0, 0], [208663719/193, 1116769109/193], [-499998, -5674684], [-1806/193, -322/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -6], [-285, 3], [0, 0]], [[0, 0], [2372837/386, 43611/386], [-455475, -237076], [-1007/386, -3/386]], [[0, 0], [44997921/193, 8099753/193], [-21485100, -11706344], [-18954/193, -3146/193]]], 0, 48384, [], [] >,
< [ -3, 0, 1 ], [[-672, -144]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [2, 1], [0, 0]], [[0, 0], [-103763/386, -119/386], [345/2, 1/2], [372/193, -1/193]], [[0, 0], [-857450/193, -752214/193], [2864, 2506], [6086/193, 5370/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [191/2, 99/2], [-13/2, -5/2], [0, 0]], [[0, 0], [-176585/193, 79434/193], [161, -92], [151/193, -3/193]], [[0, 0], [5750/193, -2760/193], [0, 0], [-25/193, 12/193]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[-138, -102]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-145/4, -115/4], [-9/4, 1/4], [0, 0]], [[-537/2, -3/2], [337/2, 66], [65/2, -20], [-3/2, 0]], [[-5285/2, -6191/2], [752322/193, 495983/193], [-375, 180], [-5587/386, -3322/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [361/4, 133/4], [5/4, 5/4], [0, 0]], [[639, 0], [91996741/4246, 788943/2123], [-2457/22, -26/11], [2853/4246, -3/4246]], [[-63309/2, -48941/2], [-4738579733/4246, -1800591581/2123], [127687/22, 48333/11], [-70493/2123, -109107/4246]]], 1, 672, [], [] >,
< [ -3, 0, 1 ], [[336, 72]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35/2, -51/2], [-3/2, 5/2], [0, 0]], [[0, 0], [-27/2, 25], [11/2, -4], [0, 0]], [[0, 0], [-2184/193, -156/193], [0, 0], [-14/193, -1/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 91/2], [2, -3/2], [0, 0]], [[0, 0], [140216217/4246, -459065/2123], [10183/22, -36/11], [-4976/2123, 3/2123]], [[0, 0], [4746190574/2123, 2134478813/4246], [344559/11, 154651/22], [-338256/2123, -77760/2123]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[336, 72]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35, 39/2], [-2, -3/2], [0, 0]], [[0, 0], [-133678/193, -60335/193], [42, 17], [-221/193, -2/193]], [[0, 0], [234767/193, -111700/193], [-99, 50], [3235/386, -1823/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [193, 123/2], [2, 5/2], [0, 0]], [[0, 0], [-65698023/4246, 81013635/4246], [13213/22, 939/22], [1902/2123, -2/2123]], [[0, 0], [2204607609/2123, -2867490878/2123], [-476291/11, -42134/11], [-273203/4246, -4557/4246]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[336, 72]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [91/2, 53/2], [19/2, 9/2], [0, 0]], [[0, 0], [47803/386, -57013/193], [-983/2, -64], [-1751/386, -1/386]], [[0, 0], [-108118781/386, 62726407/386], [338483/2, -192977/2], [387982/193, -222222/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31/2, 55/2], [5/2, 3/2], [0, 0]], [[0, 0], [-44511/2, -99/2], [565/2, 1/2], [1, 0]], [[0, 0], [-632411788/2123, 167237753/4246], [41601/11, -11037/22], [56883/4246, -7641/4246]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[336, 72]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -16], [237, 139], [0, 0]], [[0, 0], [-158743/386, -4377/386], [-26265, 284], [1723/386, -1/386]], [[0, 0], [-12377061/193, 21752471/579], [-4385672, 2564586], [141316/193, -248024/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [777, 187], [-312, -182], [0, 0]], [[0, 0], [-5154138629/4246, 2932477643/4246], [-913635/11, 1172/11], [-5197/4246, 1/4246]], [[0, 0], [2281148732493/2123, -3844772302919/6369], [1149267305/11, 198489355/11], [3270530/2123, 1704290/6369]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[336, 72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, -54], [-633, -365], [0, 0]], [[0, 0], [47/2, 15/2], [84, 44], [-5/2, 5/2]], [[0, 0], [-33, 21], [-12, 16], [14, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4396, -1592], [687, 397], [0, 0]], [[0, 0], [-4168503297/22, 2416201949/22], [-1580835/11, 4185/11], [-71/22, 1/22]], [[0, 0], [186260198585/11, -111228387503/11], [682424388/11, 310818678/11], [15084/11, 6804/11]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[-1368, -576]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51, 13], [-69, -1], [0, 0]], [[0, 0], [3978303/386, 2173015/386], [-41286, -5661], [-2109/386, -1/386]], [[0, 0], [-1771711837/193, -1014813230/193], [25346121, 12260731], [549892/193, 238063/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 9], [312, 0], [0, 0]], [[0, 0], [-1791215/386, -29227/386], [181620, 72809], [923/386, 3/386]], [[0, 0], [-162461216/193, -71247660/193], [49007199, 26856029], [82328/193, 35642/193]]], 0, 48384, [], [] >,
< [ -3, 0, 1 ], [[-456, -192]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -7], [291, 167], [0, 0]], [[0, 0], [-269619/386, 204359/1158], [-30388, -3047], [-1613/386, 1/1158]], [[0, 0], [-13420141/193, 24286103/579], [-1636262, 1108054], [-53920/193, 104470/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -11], [30, 14], [0, 0]], [[0, 0], [-290849/193, -279106/579], [-2388, 898], [-262/193, 1/579]], [[0, 0], [29846131/386, -22505429/386], [518919, -304454], [67025/386, -41747/386]]], 0, 4032, [], [] >,
< [ -3, 0, 1 ], [[912, 384]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 12], [0, 4], [0, 0]], [[0, 0], [-245, 245/2], [300, -183], [2, -5/2]], [[0, 0], [337/2, -1235/2], [-1068, 348], [-81/2, -27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 2], [96, 54], [0, 0]], [[0, 0], [-74, -62], [-3072, -1754], [1, -1]], [[0, 0], [-649, -797/2], [-22578, -13011], [-1, -5/2]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[-30, -66]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 5/2], [19, 15/2], [-9/2, 5/2], [0, 0]], [[3/2, 1/2], [29, 65/4], [0, 3/2], [0, 1/4]], [[-1/2, -3/2], [-33, -83/4], [-6, 3/2], [-1, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 2], [53, -11], [-6, 2], [0, 0]], [[-2, -17], [5661/11, 7833/44], [1635/22, -81/11], [-13/11, -5/44]], [[-2583/2, -33/2], [275593/22, 559467/44], [-7824/11, 41865/22], [-69/11, -1311/44]]], 1, 672, [], [] >,
< [ -3, 0, 1 ], [[-456, -192]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-61, -36], [-93, -55], [0, 0]], [[0, 0], [4785/4, 2509/4], [3651/2, 1901/2], [3/4, -5/4]], [[0, 0], [11845/2, -12791/2], [9948, -10270], [455/2, -259/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, -17], [-78, -46], [0, 0]], [[0, 0], [2403/11, -1553/22], [-3138/11, -1887/11], [19/11, -1/22]], [[0, 0], [-6295403/44, 3643665/44], [-133299/22, 49663/22], [-33277/44, 19367/44]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[-456, -192]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -10], [-36, -20], [0, 0]], [[0, 0], [173/4, 153/4], [171/2, 121/2], [-5/4, 3/4]], [[0, 0], [49/2, 23/2], [39, 22], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 66], [12, 4], [0, 0]], [[0, 0], [28579/44, 16799/44], [-921/22, 809/22], [61/44, 1/44]], [[0, 0], [-14626/11, -3941/11], [-35286/11, 20167/11], [873/22, -531/22]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[-456, -192]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [49/2, 27/2], [27, 14], [0, 0]], [[0, 0], [55/4, 45/4], [51/2, 13/2], [3/4, -3/4]], [[0, 0], [57/2, -9], [-48, 36], [-8, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [509/2, 297/2], [-6, 3], [0, 0]], [[0, 0], [83339/44, 54665/44], [-1113/22, 51/22], [29/44, 3/44]], [[0, 0], [-307817/11, 131123/11], [-56223/11, 32996/11], [1107/22, -657/22]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[-456, -192]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, 19], [240, 138], [0, 0]], [[0, 0], [-588459/193, 68929/579], [-32773, 585], [-1089/193, -1/579]], [[0, 0], [992538345/386, -581381823/386], [26673471, -15641306], [1717695/386, -1008273/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, 193], [-333, -197], [0, 0]], [[0, 0], [83105278327/4246, -46645579641/4246], [-11043792/11, 103277/11], [1337/4246, 1/4246]], [[0, 0], [-16146936688469/2123, 22782766256083/6369], [16068250688/11, 6960314802/11], [-985684/2123, -1293796/6369]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[-456, -192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, -11], [-174, -102], [0, 0]], [[0, 0], [-411/2, -307/2], [-4635, -2689], [-15/2, -5/2]], [[0, 0], [972, -562], [351, -219], [-52, 30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-883, 23], [-36, -22], [0, 0]], [[0, 0], [-231440883/22, 140803173/22], [550476/11, 908/11], [-63/22, -5/22]], [[0, 0], [3112444237/11, -1923553707/11], [-17173389/11, -1322061/11], [1000/11, 152/11]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[336, 120]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2249827/167, 439/167], [-16576/167, -2/167], [0, 0]], [[0, 0], [-917343431587/334, -102401802695/1002], [3379311203/167, 376477726/501], [633/334, -1/1002]], [[0, 0], [571226951819202/167, -132382127087228/501], [-4208680905555/167, 976285263995/501], [-399296/167, 136544/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26429499/167, -3433/167], [-19353/167, -3/167], [0, 0]], [[0, 0], [13636310535729/3674, -982593865705/11022], [4992614355/1837, -359387200/5511], [1495/3674, -5/11022]], [[0, 0], [675610141666282/1837, -278271668872702/5511], [494713403783/1837, -203729239535/5511], [73492/1837, -25460/5511]]], 0, 3840, [], [] >,
< [ -3, 0, 1 ], [[-672, -240]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [393, 226], [252, 145], [0, 0]], [[0, 0], [3731, 2146], [2424, 1395], [-24, -14]], [[0, 0], [574, 348], [372, 224], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-681, -398], [-252, -145], [0, 0]], [[0, 0], [-549, -300], [-384, -221], [54, 32]], [[0, 0], [-432, -250], [-336, -194], [52, 30]]], 0, 11520, [], [] >,
< [ -3, 0, 1 ], [[-2016, -720]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -25], [207, 114], [0, 0]], [[0, 0], [-27, 37], [339, 87], [36, 20]], [[0, 0], [45, 26], [36, 21], [24, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1047, -601], [-405, -235], [0, 0]], [[0, 0], [3891, 2222], [1422, 825], [-288, -168]], [[0, 0], [774, 412], [270, 162], [-48, -30]]], 0, 138240, [], [] >,
< [ -3, 0, 1 ], [[-1080, -1008]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, 29], [564, 324], [0, 0]], [[0, 0], [-879/2, -453/2], [-3879, -2175], [-15/2, -3/2]], [[0, 0], [-49191/2, 28465/2], [-57960, 33760], [-5103/2, 2947/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [153, -9], [-330, 0], [0, 0]], [[0, 0], [-376149/2, 40625/2], [401115, -20389], [-33/2, -5/2]], [[0, 0], [-15534561/2, 23941925/2], [12345882, -25039672], [213/2, 1917/2]]], 0, 103680, [], [] >,
< [ -3, 0, 1 ], [[336, 120]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [203, 67], [192, 1], [0, 0]], [[0, 0], [514177/2, 82457/2], [302814, -59766], [15/2, 5/2]], [[0, 0], [26336817/2, -4634227/2], [21577080, -9250776], [623/2, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-79, -51], [-525, -303], [0, 0]], [[0, 0], [2725/2, 1399/2], [7956, 4599], [-5/2, 3/2]], [[0, 0], [936, -552], [-81, -25], [0, 0]]], 0, 3840, [], [] >,
< [ -3, 0, 1 ], [[6, 54]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-63/2, -39/2], [-40, -30], [-63/2, -39/2], [0, 0]], [[132, 77], [207, 61], [180, 29], [-2, 2]], [[324, 188], [444, 369/2], [360, 116], [-3/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-81/2, -47/2], [26, 14], [-81/2, -47/2], [0, 0]], [[3, 1], [13, 0], [27, 9], [3, 1]], [[7/2, 1/2], [41/2, -9/2], [63/2, 9/2], [7/2, 1/2]]], 1, 480, [], [] >,
< [ -3, 0, 1 ], [[-312, -96]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-85747/167, 155/167], [-2863/167, 5/167], [0, 0]], [[0, 0], [383007503/334, -51363/334], [6384817/167, 284/167], [1565/334, 1/334]], [[0, 0], [-17367636281919/334, -27312163599437/1002], [-289603542204/167, -455454754897/501], [-71051881/334, -111764357/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13902419/167, -5573/167], [-5468/167, -2/167], [0, 0]], [[0, 0], [-20424178393485/3674, 245800219251/3674], [-4016423262/1837, 48425543/1837], [11919/3674, 1/3674]], [[0, 0], [98724758332254026/1837, 154539338467523050/5511], [38827154594753/1837, 60777825823543/5511], [-58731724/1837, -92319962/5511]]], 0, 3840, [], [] >,
< [ -3, 0, 1 ], [[1872, 576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-207, -139], [-201, -105], [0, 0]], [[0, 0], [-1056, -1167], [-1341, -468], [66, 34]], [[0, 0], [-24, -14], [72, 42], [24, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [285, 152], [42, 29], [0, 0]], [[0, 0], [-1272, -706], [-576, -352], [150, 90]], [[0, 0], [-768, -435], [-381, -226], [102, 60]]], 0, 138240, [], [] >,
< [ -3, 0, 1 ], [[624, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-160, -89], [-141, -84], [0, 0]], [[0, 0], [-1957, -1290], [-2784, -1483], [282, 162]], [[0, 0], [-6118, -5107], [-10605, -4900], [1008, 574]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [423, 241], [87, 53], [0, 0]], [[0, 0], [-4161, -2241], [-651, -515], [14, 8]], [[0, 0], [615, 306], [84, 91], [0, 0]]], 0, 11520, [], [] >,
< [ -3, 0, 1 ], [[864, 936]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [408, 2], [93, -1], [0, 0]], [[0, 0], [4683231/2, 47647/2], [533610, -2922], [-27/2, -5/2]], [[0, 0], [346299975, 273523655], [76025619, 61125267], [-2814, -1918]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-546, -14], [-63, -5], [0, 0]], [[0, 0], [-280905/2, 30551/2], [-15795, 871], [15/2, -3/2]], [[0, 0], [588429, 376267], [74436, 46764], [-24, -16]]], 0, 103680, [], [] >,
< [ -3, 0, 1 ], [[150, 102]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21, 2], [-17, -1], [-21, 2], [0, 0]], [[2577/2, -2007/2], [1629/2, -1285/2], [2607/2, -2025/2], [5/2, -3/2]], [[-329880, -206175], [-438515/2, -136598], [-330192, -206514], [-52, -113/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[66, 0], [-5, -10], [66, 0], [0, 0]], [[477/2, -795/2], [445/2, 43/2], [543/2, -765/2], [11/2, 5/2]], [[2703/2, -1007/2], [82, -210], [2655/2, -1055/2], [-4, -4]]], 1, 480, [], [] >,
< [ -3, 0, 1 ], [[-312, -96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -2], [-69, 5], [0, 0]], [[0, 0], [36035/2, -18317/2], [44670, -23826], [-9/2, 1/2]], [[0, 0], [100577, 3913], [203721, -19746], [-98, -48]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -9], [183, 3], [0, 0]], [[0, 0], [1530, -20], [-1416, -10610], [-5, -1]], [[0, 0], [-9489/2, -3787/2], [45159, 35240], [39/2, 19/2]]], 0, 3840, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [261, 142], [-36, -19], [0, 0]], [[5/2, 5/2], [-6008, -3452], [820, 468], [5/2, 5/2]], [[-194, 112], [-3800, 2207], [1147, -664], [-194, 112]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81, 15], [-15, -3], [0, 0]], [[-4, 1], [8, 11], [5, -2], [-4, 1]], [[-81/2, 45/2], [-72, 52], [60, -34], [-81/2, 45/2]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[-144, -84]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51, -22], [-42, -23], [0, 0]], [[6, -3/2], [-489/2, -411/2], [-519/2, -319/2], [-3/2, 2]], [[-57/2, 19/2], [794, 801], [929, 588], [19/2, -19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 10], [0, -1], [0, 0]], [[9/2, 2], [263, 154], [-4, -3], [2, 3/2]], [[-24, -2], [-872, -546], [4, 16], [-2, -8]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-141, -80], [0, -1], [0, 0]], [[-1/2, 5/2], [-79/2, -15/2], [-1/2, 5/2], [-1/2, 5/2]], [[5/2, -3/2], [29/2, -17/2], [5/2, -3/2], [5/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 9], [-39, -21], [0, 0]], [[5/2, 1/2], [-175/2, 69/2], [83/2, 105/2], [5/2, 1/2]], [[-145/2, 85/2], [13337/2, -7711/2], [4535/2, -2567/2], [-145/2, 85/2]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [198, 116], [-78, -44], [0, 0]], [[0, 0], [-2, 2], [-2, 0], [1, 0]], [[0, 0], [132, 78], [-54, -30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 10], [-144, -82], [0, 0]], [[0, 0], [1, 1], [1, 1], [1, 0]], [[0, 0], [-72, -22], [324, 184], [0, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 26], [-36, -20], [0, 0]], [[0, 0], [-2, 2], [-2, 0], [1, 0]], [[0, 0], [33, 19], [-33, -19], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-297, -167], [-9, -7], [0, 0]], [[0, 0], [4, 2], [-2, 0], [1, 0]], [[0, 0], [1908, 1092], [66, 42], [0, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, 77], [-3, -2], [0, 0]], [[9/2, 5/2], [81, 43], [-9, -5], [9/2, 5/2]], [[-47/2, 27/2], [-967, 557], [47, -27], [-47/2, 27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-156, -85], [-3, -2], [0, 0]], [[-7/2, -1/2], [43, -19], [7, 1], [-7/2, -1/2]], [[-1, 0], [20, -10], [2, 0], [-1, 0]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[-144, -84]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -11], [-9, -4], [0, 0]], [[-6, 1/2], [-4307/2, -2663/2], [-2951/2, -1673/2], [1/2, -2]], [[-15, 2], [-4771, -2990], [-3298, -1863], [2, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51, 33], [15, 9], [0, 0]], [[6, 2], [287, 172], [74, 41], [2, 2]], [[9, -9/2], [-3, 40], [18, -1], [-9/2, 3]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81, 37], [-75, -43], [0, 0]], [[2, 1], [104, 90], [-148, -86], [2, 1]], [[5/2, -3/2], [4, -2], [-5, 3], [5/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -50], [-18, -10], [0, 0]], [[-4, 1], [50, 58], [20, 6], [-4, 1]], [[161/2, -91/2], [664, -449], [-146, 71], [161/2, -91/2]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [543, 284], [6, -5], [0, 0]], [[0, 0], [4, 1], [1, 0], [1, 0]], [[0, 0], [-156, -77], [-3, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [546, 311], [9, 4], [0, 0]], [[0, 0], [-2, -5], [1, 0], [1, 0]], [[0, 0], [-180, -12], [-24, 12], [0, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, -49], [3, -2], [0, 0]], [[0, 0], [4, 1], [1, 0], [1, 0]], [[0, 0], [-312, -180], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [756, 365], [-15, 4], [0, 0]], [[0, 0], [-2, -5], [1, 0], [1, 0]], [[0, 0], [1206, 542], [-30, 10], [0, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[432, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -30], [90, 48], [0, 0]], [[0, 0], [57, -8], [-186, 31], [36, 22]], [[0, 0], [96, 183], [-261, -582], [360, 204]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 18], [-12, -9], [0, 0]], [[0, 0], [-279, -166], [0, -1], [-84, -46]], [[0, 0], [273, 43], [21, -11], [0, 58]]], 0, 10368, [], [] >,
< [ -3, 0, 1 ], [[216, 96]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1424/167, -1076/167], [-19/167, 3/167], [0, 0]], [[0, 0], [58853/334, -24485/1002], [257/167, 766/501], [509/334, 5/1002]], [[0, 0], [5069133/167, -1271633/501], [53058/167, 142922/501], [44932/167, 8126/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [409396/167, -74/167], [983/167, 3/167], [0, 0]], [[0, 0], [-507316079753/3674, 6341981721/3674], [-609487784/1837, 5644647/1837], [2777/3674, 1/3674]], [[0, 0], [-146364539643903/1837, -18850381109297/5511], [-351873262218/1837, -48718776010/5511], [802900/1837, 134162/5511]]], 0, 960, [], [] >,
< [ -3, 0, 1 ], [[216, 96]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10102/167, -804/167], [-229/167, 1/167], [0, 0]], [[0, 0], [3393349/334, 3202523/1002], [-46247/167, -47170/501], [-299/334, 1/1002]], [[0, 0], [703436073/334, 245047431/334], [-9622020/167, -3572133/167], [-59163/334, -2911/334]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-264944/167, -1534/167], [-439/167, -1/167], [0, 0]], [[0, 0], [-63196906093/3674, 4048485937/11022], [-52483522/1837, 3905359/5511], [-1495/3674, 5/11022]], [[0, 0], [-9594430541879/1837, -335969924683/1837], [-15926581021/1837, -502854035/1837], [-227746/1837, -12558/1837]]], 0, 960, [], [] >,
< [ -3, 0, 1 ], [[216, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [234, 130], [-3, -1], [0, 0]], [[0, 0], [319/2, 103/2], [0, 0], [-13/2, -3/2]], [[0, 0], [4427, -2516], [0, 0], [-245, 140]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81, -47], [-18, -8], [0, 0]], [[0, 0], [-1305/2, -751/2], [-126, -98], [9/2, 5/2]], [[0, 0], [277/2, -121/2], [-2793, 1617], [-23/2, 13/2]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[216, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-141, -69], [12, -1], [0, 0]], [[0, 0], [-135, 15], [42, -23], [6, 2]], [[0, 0], [2623/2, -1543/2], [-675, 390], [-39/2, 25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-97, -63], [0, -4], [0, 0]], [[0, 0], [979/2, 677/2], [-6, 23], [-3/2, 1/2]], [[0, 0], [81, 85], [-15, 13], [0, 0]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[18, 30]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 3/2], [44, -30], [-15/2, 3/2], [0, 0]], [[-540, 255], [9289/2, -2750], [-540, 255], [-6, 1/2]], [[105/2, -1225/2], [-11885/2, 5459/2], [105/2, -1225/2], [-45/2, -35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, -1/2], [-117, 13], [27/2, -1/2], [0, 0]], [[3330, -1470], [-62871/2, 29563/2], [3330, -1470], [27/2, -1/2]], [[29820, 268380], [541681/2, -4563207/2], [29820, 268380], [6909/2, 5217/2]]], 1, 144, [], [] >,
< [ -3, 0, 1 ], [[-144, -24]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-85422/167, -532/167], [1107/167, -1/167], [0, 0]], [[0, 0], [288742091/334, 129486043/1002], [-1864637/167, -799336/501], [-159/334, -5/1002]], [[0, 0], [7644116255/167, 11901559793/501], [-97955341/167, -152110705/501], [-3514/167, -5110/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2025631/167, 4249/167], [983/167, -3/167], [0, 0]], [[0, 0], [287451968987/3674, 52429834037/11022], [-69886994/1837, -12513749/5511], [5169/3674, 5/11022]], [[0, 0], [992985731867099/1837, 1492198073641018/5511], [-482123588071/1837, -724102760867/5511], [16414231/1837, 23856304/5511]]], 0, 960, [], [] >,
< [ -3, 0, 1 ], [[-144, -24]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138185/167, -4187/167], [1813/167, 5/167], [0, 0]], [[0, 0], [-43181273/167, 21245806/167], [596155/167, -294365/167], [5, 0]], [[0, 0], [1794199731/334, -224389087/1002], [-12277797/167, 1772866/501], [-118937/334, -171217/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2159723/167, -8257/167], [1021/167, 3/167], [0, 0]], [[0, 0], [-1557932917517/3674, 39193017703/3674], [368280050/1837, -9598929/1837], [-17473/3674, 1/3674]], [[0, 0], [10711010190269667/1837, 15325874113583810/5511], [-5057022509697/1837, -7231467929875/5511], [124679905/1837, 181276490/5511]]], 0, 960, [], [] >,
< [ -3, 0, 1 ], [[-144, -24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -5], [-327, -5], [0, 0]], [[0, 0], [132, 297], [24300, 8090], [2, -1]], [[0, 0], [-3/2, -1/2], [-3, -3], [-1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -4], [291, -1], [0, 0]], [[0, 0], [1635/2, -13/2], [30807, -30189], [-3/2, -5/2]], [[0, 0], [-12668, -13635], [1032273, -37809], [150, 65]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[54, 42]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-225/2, 1/2], [-27, -17], [-225/2, 1/2], [0, 0]], [[42600, -28100], [-2517, -641/2], [42609, -28106], [3/2, -1]], [[-7350, -95550], [-90871/2, -48539/2], [-7353, -95571], [-1/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[39/2, 1/2], [0, -4], [39/2, 1/2], [0, 0]], [[-27, 111], [-56, 12], [33, 141], [10, 5]], [[324, -144], [185/2, -125/2], [339, -123], [5/2, 7/2]]], 1, 144, [], [] >,
< [ -3, 0, 1 ], [[-144, -24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-105, -43], [-87, 2], [0, 0]], [[0, 0], [45439/2, -17547/2], [57954, -31428], [1/2, 5/2]], [[0, 0], [4842, -207033], [455907, -358752], [-132, -55]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -1], [354, 4], [0, 0]], [[0, 0], [-1237, -49], [49155, -2717], [2, -2]], [[0, 0], [-34649/2, -21723/2], [572784, 370865], [-47/2, -19/2]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[288, 240]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27/2, -21/2], [-27/2, -5/2], [0, 0]], [[0, 0], [-587/2, -1/2], [-27/2, 27/2], [-2, 0]], [[0, 0], [-1356/193, -924/193], [0, 0], [-113/2509, -77/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51/2, 49/2], [11/2, 1/2], [0, 0]], [[0, 0], [-526236/193, 181770/193], [472, -288], [-12973/2509, -3/2509]], [[0, 0], [-2159094/193, -95293764/193], [-104624, 48152], [-3876936/2509, -3688392/2509]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[288, 240]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-89/2, -41/2], [-5/2, -1/2], [0, 0]], [[0, 0], [-288392/193, 32834/193], [-62, 34], [-18114/2509, 2/2509]], [[0, 0], [-1356/193, -924/193], [0, 0], [-113/2509, -77/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [93/2, 37/2], [-3/2, -3/2], [0, 0]], [[0, 0], [401608/193, -99383/193], [62, -23], [26069/2509, 1/2509]], [[0, 0], [-59003438/193, 113798517/193], [-16060, 16973], [2027026/2509, 7888306/2509]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[-144, -120]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -1], [3, -1], [0, 0]], [[0, 0], [-180937/386, 6693/386], [96, -1], [-179/386, 1/386]], [[0, 0], [-1170835/386, -6502949/1158], [715, 1170], [-1365/386, -6565/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [420, -18], [3, -3], [0, 0]], [[0, 0], [1038432865/4246, 696705937/12738], [-150437/11, 372/11], [-16667/4246, -1/12738]], [[0, 0], [-390403587247/2123, -806597020247/6369], [71132576/11, 61712922/11], [3966048/2123, 10285472/6369]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[-144, -120]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -13], [-15, -13], [0, 0]], [[0, 0], [-37989/386, -224783/1158], [163, -98], [-841/386, -1/1158]], [[0, 0], [-887859/193, -205756/193], [-1977, 1083], [-687/193, -3206/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-360, 10], [-3, 1], [0, 0]], [[0, 0], [-346196870/2123, -1198399/6369], [30571/11, 15/11], [1806/2123, 1/6369]], [[0, 0], [-2091268957/4246, -5640485855/12738], [92170/11, 82953/11], [10881/4246, 29393/12738]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[-144, -120]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, 29], [21, 13], [0, 0]], [[0, 0], [-531/2, -47/2], [-129, -71], [-1/2, 5/2]], [[0, 0], [-5217, 3125], [-63, 129], [-115, 65]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-910, 130], [-9, -5], [0, 0]], [[0, 0], [-5969, -1541], [60, 0], [6, 0]], [[0, 0], [-8200601/22, -8106333/22], [12075/11, 37625/11], [2415/22, 7525/22]]], 0, 1344, [], [] >,
< [ -3, 0, 1 ], [[-144, -192]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 10], [42, 24], [0, 0]], [[0, 0], [55, -295/2], [-75, -56], [16/13, 5/26]], [[0, 0], [8233/2, -2427], [252, -189], [319/26, -87/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -14], [-42, -24], [0, 0]], [[0, 0], [-52, 29/2], [69, -38], [10/13, -5/26]], [[0, 0], [-551/2, 331/2], [489, -283], [101/26, -61/26]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[-144, -192]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 1], [84, 46], [0, 0]], [[0, 0], [48, 1], [-96, -44], [-48/13, -1/13]], [[0, 0], [279, -315/2], [-129, 62], [-279/13, 315/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 10], [0, -2], [0, 0]], [[0, 0], [-303/2, -47/2], [-183, -13], [-79/26, -3/26]], [[0, 0], [60, -69/2], [87, -50], [20/13, -23/26]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[72, 96]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, 1], [0, -10], [0, 0]], [[0, 0], [-314007/193, -210233/579], [-499, -135], [-138/193, 2/579]], [[0, 0], [-511761/386, 839007/386], [-279, 618], [-561/386, 495/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [303, 9], [-9, -3], [0, 0]], [[0, 0], [-1696533101/4246, 100242709/12738], [-115289/11, -106/11], [22043/4246, 5/12738]], [[0, 0], [-2068010220137/2123, -7542614116226/6369], [-302566324/11, -347926446/11], [28840871/2123, 99711152/6369]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[72, 96]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -1], [0, 10], [0, 0]], [[0, 0], [-16017/386, 38765/1158], [-262, -129], [-69/386, 1/1158]], [[0, 0], [25897/386, -43529/1158], [25, -14], [47/386, -79/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39, 11], [-9, -5], [0, 0]], [[0, 0], [1219095698/2123, -6749459/6369], [-63871/11, 23/11], [5845/2123, 2/6369]], [[0, 0], [2582979046997/4246, 9786378682183/12738], [-68045225/11, -85556054/11], [12476269/4246, 46994471/12738]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[72, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, -13], [6, 8], [0, 0]], [[0, 0], [-122, 10], [-9, 3], [4, 0]], [[0, 0], [-111/2, 97/2], [-6, 4], [3/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4839, -649], [-6, -12], [0, 0]], [[0, 0], [-1280293/22, 17521839/22], [62439/11, 1315/11], [-151/22, -5/22]], [[0, 0], [8655451547/22, 3773981399/22], [14896590/11, 10927278/11], [-36955/22, -26841/22]]], 0, 1344, [], [] >,
< [ -3, 0, 1 ], [[0, -120]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [2, 1], [0, 0]], [[0, 0], [-1787/74, -1721/74], [-133/2, -1/2], [-133/370, -1/370]], [[0, 0], [49879/74, 22451/222], [-1141/2, 5053/6], [-1141/370, 5053/1110]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, -18], [2, 1], [0, 0]], [[0, 0], [-9451814/407, -1055/1221], [772, 1/3], [-772/2035, -1/6105]], [[0, 0], [6577108545/814, 8746197639/814], [-538047/2, -714579/2], [538047/4070, 714579/4070]]], 0, 2304, [], [] >,
< [ -3, 0, 1 ], [[0, -120]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [2, 1], [0, 0]], [[0, 0], [-55109/74, -1055/222], [227/2, -1/6], [227/370, -1/1110]], [[0, 0], [1671281/74, -6178273/222], [-7085/2, 25615/6], [-1417/74, 5123/222]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, -18], [2, 1], [0, 0]], [[0, 0], [-16529385/407, -36962/1221], [-1137, -2/3], [1137/2035, 2/6105]], [[0, 0], [3496361457/814, 4809849485/814], [240345/2, 330815/2], [-48069/814, -66163/814]]], 0, 2304, [], [] >,
< [ -3, 0, 1 ], [[0, -600]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [2, 1], [0, 0]], [[0, 0], [-6013/74, -1163/74], [-281/2, -1/2], [281/74, 1/74]], [[0, 0], [-296605/74, 863923/222], [-24215/2, 54275/6], [24215/74, -54275/222]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, -18], [2, 1], [0, 0]], [[0, 0], [-17253686/407, -26471/1221], [772, 1/3], [772/407, 1/1221]], [[0, 0], [1445391635/814, 4405957493/2442], [-64657/2, -197125/6], [-64657/814, -197125/2442]]], 0, 59904, [], [] >,
< [ -3, 0, 1 ], [[0, -600]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [2, 1], [0, 0]], [[0, 0], [-21910/37, -835/111], [106, 1/3], [-106/37, -1/111]], [[0, 0], [-1092119/74, -6366185/222], [4991/2, 30659/6], [-4991/74, -30659/222]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, -18], [2, 1], [0, 0]], [[0, 0], [1257611/814, 7717/814], [281/2, 1/2], [281/814, 1/814]], [[0, 0], [-13383/814, -128555/2442], [-3/2, -29/6], [-3/814, -29/2442]]], 0, 59904, [], [] >,
< [ -3, 0, 1 ], [[432, 672]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45/2, 21/2], [33/2, 1/2], [0, 0]], [[0, 0], [-2420525/193, -1804365/193], [2805, -8415], [-1421/193, -5/193]], [[0, 0], [-399341471/193, -173952772/193], [-1952535, 268770], [7938/193, -108864/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [129/2, 79/2], [9/2, 3/2], [0, 0]], [[0, 0], [-537810/193, 47856/193], [200, -114], [-2965/193, -5/193]], [[0, 0], [910119/193, 2042583/193], [829, -493], [8280/193, 12006/193]]], 0, 64512, [], [] >,
< [ -3, 0, 1 ], [[432, 672]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 14], [-3, 0], [0, 0]], [[0, 0], [-101914/193, 16294/193], [-22, 2], [-923/193, 3/193]], [[0, 0], [2083411/386, -1792503/386], [379/2, -367/2], [6072/193, -7176/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-111/2, -49/2], [-3/2, -1/2], [0, 0]], [[0, 0], [1182349/386, -243357/386], [209/2, -81/2], [649/193, 5/193]], [[0, 0], [123243599/386, -146462477/386], [35155/2, -27097/2], [18870/193, -75990/193]]], 0, 64512, [], [] >,
< [ -3, 0, 1 ], [[-216, -336]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-237, -7], [-216, 2], [0, 0]], [[0, 0], [43732996/193, -53299135/579], [193558, -92102], [648/193, 1/579]], [[0, 0], [-57115891041/386, 198597859445/1158], [-165738178, 139308483], [693481/386, 3786529/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1401, 5], [174, 2], [0, 0]], [[0, 0], [2362563663/4246, -307980391/4246], [5007291/11, -86454/11], [24525/4246, 1/4246]], [[0, 0], [113467205290/2123, 1810304128418/6369], [1417839481/11, 2734400323/11], [3823284/2123, 20287516/6369]]], 0, 16128, [], [] >,
< [ -3, 0, 1 ], [[-216, -336]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, 4], [-123, -5], [0, 0]], [[0, 0], [156105/386, -31135/1158], [4349, -70], [-317/386, 1/1158]], [[0, 0], [-18493/386, -20933/1158], [-233, -88], [15/386, 17/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2913, 35], [279, 5], [0, 0]], [[0, 0], [105665719801/4246, 36091996921/12738], [27170797/11, 3139278/11], [6907/4246, 5/12738]], [[0, 0], [180889749386267/4246, 217737696171695/4246], [46780113174/11, 56036849589/11], [7254121/4246, 13409683/4246]]], 0, 16128, [], [] >,
< [ -3, 0, 1 ], [[-216, -336]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 50], [-69, 1], [0, 0]], [[0, 0], [5943/2, 125/2], [3132, -2616], [-3/2, 1/2]], [[0, 0], [-413463/2, -253885/2], [114480, 45792], [77/2, 57/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [723, -15], [-345, 5], [0, 0]], [[0, 0], [-33126219/22, -26861/22], [7923210/11, 54666/11], [37/22, -3/22]], [[0, 0], [7689470865/22, 5340562885/22], [-1862491473/11, -1288548099/11], [-7125/22, -5263/22]]], 0, 16128, [], [] >,
< [ -3, 0, 1 ], [[-1152, -912]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -8], [-48, -26], [0, 0]], [[0, 0], [2047/2, 325], [3642, 2213], [5/2, -1]], [[0, 0], [5133/2, 3685/2], [13695, 7757], [-3/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -1], [60, 34], [0, 0]], [[0, 0], [-623/2, 144], [-630, -335], [-5/2, 0]], [[0, 0], [41/2, -55/2], [-273, -161], [-1/2, -1/2]]], 0, 64512, [], [] >,
< [ -3, 0, 1 ], [[-1152, -912]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -9], [84, 46], [0, 0]], [[0, 0], [-72, -47], [726, 418], [2, 1]], [[0, 0], [-3, 3/2], [3, -2], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 2], [-18, -12], [0, 0]], [[0, 0], [7/2, 2], [-12, -7], [-15/2, 0]], [[0, 0], [15/2, 9/2], [-27, -15], [-21/2, -7/2]]], 0, 64512, [], [] >,
< [ -3, 0, 1 ], [[576, 456]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-198, -12], [183, -3], [0, 0]], [[0, 0], [-2171059/386, -983693/1158], [-23948, 851], [-1475/386, -1/1158]], [[0, 0], [196221393/193, 126203911/193], [3048852, 2169892], [101448/193, 70450/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [315, 9], [-285, -3], [0, 0]], [[0, 0], [102242138/2123, 123836492/6369], [1360582/11, -211568/11], [1861/2123, 1/6369]], [[0, 0], [14771336217/386, 26801440163/1158], [33400592, 30675191], [140781/386, 317467/1158]]], 0, 16128, [], [] >,
< [ -3, 0, 1 ], [[576, 456]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, -20], [189, 5], [0, 0]], [[0, 0], [-1839091/386, -2828443/386], [10938, 7577], [565/386, 1/386]], [[0, 0], [203129751/193, 323422531/579], [-1403740, -796900], [-14880/193, -31000/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [408, -2], [-225, -1], [0, 0]], [[0, 0], [-4689242443/4246, -33700723/4246], [6067368/11, 96215/11], [9829/4246, 1/4246]], [[0, 0], [22362927652579/4246, 50690302261625/12738], [-29498574694/11, -22109420191/11], [-46128607/4246, -105270389/12738]]], 0, 16128, [], [] >,
< [ -3, 0, 1 ], [[576, 456]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -9], [-246, -146], [0, 0]], [[0, 0], [631, 360], [24417, 14091], [1, 0]], [[0, 0], [1595/2, -671/2], [5271, 1821], [203/2, -117/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1533, -3], [267, 5], [0, 0]], [[0, 0], [-11868475/22, 380473/22], [1035840/11, -14712/11], [-19/22, -5/22]], [[0, 0], [2867518/11, -6747093/11], [-438063/11, 1170897/11], [-5/11, -10/11]]], 0, 16128, [], [] >,
< [ -3, 0, 1 ], [[-360, -336]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-554531/167, 155/167], [10211/167, 5/167], [0, 0]], [[0, 0], [-14076620827/334, -4682755765/334], [129703169/167, 43212902/167], [-773/334, -1/334]], [[0, 0], [1884772138591/167, 7663382264051/501], [-34813572970/167, -141194283626/501], [-54014/167, 475132/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-245405/167, 1973/167], [4571/167, -1/167], [0, 0]], [[0, 0], [975372736/1837, -1163144/5511], [178961/1837, -132199/5511], [10424/1837, 2/5511]], [[0, 0], [935813546121/3674, -7229480492923/11022], [248872854/1837, -726352951/5511], [9965575/3674, -77249075/11022]]], 0, 11520, [], [] >,
< [ -3, 0, 1 ], [[-360, -336]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1048848/167, -2598/167], [-19353/167, -3/167], [0, 0]], [[0, 0], [-3675026433/167, 750916888/167], [67721736/167, -13678268/167], [-5, 0]], [[0, 0], [1766590889881/334, -5972777042167/1002], [-16155823763/167, 54991231076/501], [141865/334, -1270109/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1541583/167, -2963/167], [-29478/167, -4/167], [0, 0]], [[0, 0], [-738402569419/3674, -81208039705/11022], [7066773662/1837, 820207469/5511], [-20549/3674, -5/11022]], [[0, 0], [-6490554232639/167, 17524714571591/167], [122155788319/167, -335107166589/167], [-235089/167, 496299/167]]], 0, 11520, [], [] >,
< [ -3, 0, 1 ], [[-360, -336]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [114, 58], [423, 243], [0, 0]], [[0, 0], [2231, 1304], [8670, 4994], [-1, 0]], [[0, 0], [22381/2, -12989/2], [-8712, 4900], [847/2, -489/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81, -47], [-546, -316], [0, 0]], [[0, 0], [-115/2, 125/2], [240, 42], [-5/2, 5/2]], [[0, 0], [2354, -1359], [-2367, 1367], [97, -56]]], 0, 11520, [], [] >,
< [ -3, 0, 1 ], [[-360, -336]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -3], [-9, -4], [0, 0]], [[0, 0], [-192, 178], [-96, 0], [4, 0]], [[0, 0], [-6381/2, 2051/2], [108, 612], [-9/2, -51/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, -102], [-483, -277], [0, 0]], [[0, 0], [-1227/2, -813/2], [-1671, -1036], [5/2, 1/2]], [[0, 0], [1632, -947], [2145, -1251], [26, -15]]], 0, 11520, [], [] >,
< [ -3, 0, 1 ], [[-162, -6]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[63/2, 39/2], [-33, -11], [63/2, 39/2], [0, 0]], [[-1581/2, -919/2], [1647/2, 637/2], [-1701/2, -847/2], [5/2, -3/2]], [[-23460, -13547], [20442, 23361/2], [-23472, -13499], [1/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-150, -85], [93, 56], [-150, -85], [0, 0]], [[-1175/2, -885/2], [420, 112], [-1287/2, -933/2], [-7, -3]], [[2799, 3624], [-8505/2, 161/2], [3267, 3732], [117/2, 27/2]]], 1, 1440, [], [] >,
< [ -3, 0, 1 ], [[288, 312]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [372571/167, 43/167], [-7262/167, -4/167], [0, 0]], [[0, 0], [10426879679/334, -2834481091/1002], [-101606177/167, 27491584/501], [35/334, -1/1002]], [[0, 0], [-726518144328/167, -1430681523716/501], [14173125969/167, 27904738291/501], [-2893/167, -5519/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12820004/167, 804/167], [-8245/167, -1/167], [0, 0]], [[0, 0], [687086925961/3674, 7473473819/11022], [-220419112/1837, -2313647/5511], [-9527/3674, 5/11022]], [[0, 0], [14372869268535851/3674, 9137164511332817/3674], [-4609741575539/1837, -2930643269952/1837], [-197854757/3674, -125941741/3674]]], 0, 11520, [], [] >,
< [ -3, 0, 1 ], [[288, 312]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9859/167, 291/167], [-86/167, 4/167], [0, 0]], [[0, 0], [23573179/334, -391551/334], [-114331/167, 10786/167], [1565/334, 1/334]], [[0, 0], [250278434651/167, 480237277400/501], [-2055919102/167, -4073697004/501], [17180427/167, 32770430/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24234454/167, 2140/167], [-15593/167, -1/167], [0, 0]], [[0, 0], [-236836521226/1837, 141692797187/5511], [151956350/1837, -90923428/5511], [-9484/1837, -1/5511]], [[0, 0], [614154136885929/3674, 432461811762655/3674], [-197007179649/1837, -138727163266/1837], [39692241/3674, 25234177/3674]]], 0, 11520, [], [] >,
< [ -3, 0, 1 ], [[288, 312]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-123, -59], [-126, -76], [0, 0]], [[0, 0], [7743/2, 6411/2], [5628, 2970], [13/2, 3/2]], [[0, 0], [60753/2, -27731/2], [-4197, 6621], [-121/2, 77/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 8], [117, 3], [0, 0]], [[0, 0], [-169/2, 3/2], [141, -337], [-21/2, 1/2]], [[0, 0], [467, 307], [2976, 1406], [54, 36]]], 0, 11520, [], [] >,
< [ -3, 0, 1 ], [[288, 312]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, 45], [177, 2], [0, 0]], [[0, 0], [172427/2, -94519/2], [-131469, 84811], [-5/2, 3/2]], [[0, 0], [9150, 4616], [29430, 18094], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, 37], [-261, -5], [0, 0]], [[0, 0], [-91775/2, 1283/2], [-788241, 512620], [-1/2, 3/2]], [[0, 0], [-3253605, -1669245], [375204, 7678264], [132, 90]]], 0, 11520, [], [] >,
< [ -3, 0, 1 ], [[-306, -150]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-213/2, 3/2], [3, 17], [-213/2, 3/2], [0, 0]], [[7608, -26628], [24853/2, -315], [7596, -26631], [-2, -1/2]], [[10461/2, 212707/2], [-50823, -4395], [10569/2, 212743/2], [9, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-93/2, 1/2], [12, 13], [-93/2, 1/2], [0, 0]], [[-6930, 7590], [-4578, -81], [-6948, 7584], [-3, -1]], [[31482, -31482], [36505/2, -877/2], [31551, -31461], [23/2, 7/2]]], 1, 1440, [], [] >,
< [ -3, 0, 1 ], [[0, 216]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [195, 129], [168, 96], [0, 0]], [[0, 0], [3495/2, 1849/2], [1320, 768], [9/2, 1/2]], [[0, 0], [-2166, 1469], [315, -9], [-60, 35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -12], [-87, -51], [0, 0]], [[0, 0], [-27/2, -231/2], [-738, -432], [-9/2, -3/2]], [[0, 0], [-5277/2, 2999/2], [-288, 0], [51/2, -31/2]]], 0, 7776, [], [] >,
< [ -3, 0, 1 ], [[-18, -18]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -3/2], [-12, -14], [-15/2, -9/2], [0, 0]], [[-7/2, -1/2], [17/2, -6], [15/2, -11/2], [1, -3/2]], [[7/2, 21/2], [115/2, -28], [105/2, -49/2], [14, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [9, 7], [-15/2, -15/2], [0, 0]], [[-8, 5], [5, -13/2], [-24, 15], [-5/2, 1]], [[-17/2, 1/2], [39, 17], [-51/2, 3/2], [3, 3]]], 1, 36, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 7], [42, 24], [0, 0]], [[0, 0], [199/2, 31/2], [264, 148], [-11/2, -1/2]], [[0, 0], [-5223, 2951], [-777, 183], [333, -189]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -8], [93, 51], [0, 0]], [[0, 0], [-211/2, -129/2], [792, 432], [11/2, 3/2]], [[0, 0], [-624, 298], [-3600, 2520], [-261, 153]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -17], [-15, -12], [0, 0]], [[0, 0], [-1821/2, -1081/2], [-645, -384], [3/2, 1/2]], [[0, 0], [839/2, -17/2], [315, -16], [11/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 1], [-6, 3], [0, 0]], [[0, 0], [451/2, 267/2], [0, 0], [-5/2, 1/2]], [[0, 0], [1528, 934], [0, 0], [-32, 12]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[0, 216]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -42], [-81, -45], [0, 0]], [[0, 0], [-645/2, -557/2], [-498, -246], [-27/2, -9/2]], [[0, 0], [2775/2, -1741/2], [-720, 336], [-105/2, 57/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, 15], [138, 78], [0, 0]], [[0, 0], [117/2, -5/2], [252, 42], [15/2, 15/2]], [[0, 0], [-591, 335], [-1701, 945], [48, -30]]], 0, 7776, [], [] >,
< [ -3, 0, 1 ], [[-18, -18]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, 2], [-7, -7], [15, 2], [0, 0]], [[-423/2, 141/2], [-63/2, 67], [-423/2, 141/2], [-3, 1/2]], [[-987/2, -423/2], [375, 249], [-987/2, -423/2], [-12, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 5/2], [-12, -6], [-3/2, 15/2], [0, 0]], [[126, -78], [137/2, -6], [378, -234], [-3, 5/2]], [[-120, 30], [383/2, 281/2], [-360, 90], [15/2, 3/2]]], 1, 36, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 9], [-3, 3], [0, 0]], [[0, 0], [-65, -38], [-6, -8], [9, 2]], [[0, 0], [-395/2, -233/2], [-12, -28], [63/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 3], [-165, -93], [0, 0]], [[0, 0], [64, 55], [-4323, -2475], [-9, 2]], [[0, 0], [2317/2, -1047/2], [-5610, -4620], [819/2, -483/2]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29, -17], [-9, -11], [0, 0]], [[0, 0], [-3625/2, -2071/2], [-1029, -398], [15/2, -1/2]], [[0, 0], [11721, 7321], [-2781, 8319], [189, -135]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29, 17], [-9, 6], [0, 0]], [[0, 0], [-3199, -1849], [-135, -9], [3, -1]], [[0, 0], [-4931/2, -2843/2], [-12, -60], [-3/2, 3/2]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-75, -48], [6, 9], [0, 0]], [[0, 0], [-28, -8], [8, -4], [-4, -2]], [[0, 0], [36, 17], [-3, 2], [9, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180, 99], [3, 6], [0, 0]], [[0, 0], [-8460, -4878], [-330, -192], [12, 6]], [[0, 0], [-4921, -2804], [-184, -115], [11, 1]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-387, -219], [-3, 3], [0, 0]], [[0, 0], [75735, 43717], [-213, -131], [-3, 1]], [[0, 0], [-231325, -133566], [680, 383], [-1, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, 24], [24, 15], [0, 0]], [[0, 0], [7169, 4154], [3602, 2077], [11, 5]], [[0, 0], [32276, 19051], [16421, 9408], [77, 7]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[-18, -18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, -9/2], [-15/2, -6], [0, 0]], [[-9/2, 1/2], [-519/2, 145], [-9, 43/2], [-9/2, 1/2]], [[49/2, 21/2], [355, -293/2], [-281/2, -113], [49/2, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 39/2], [9/2, 0], [0, 0]], [[-1/2, -5/2], [-472, -873/2], [-193/2, -34], [-1/2, -5/2]], [[55/2, 5/2], [9845/2, 3693/2], [799/2, 725/2], [55/2, 5/2]]], 1, 36, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-123/2, -63/2], [21/2, 15/2], [0, 0]], [[0, 0], [7/2, -1/2], [-1/2, 1/2], [1, 0]], [[0, 0], [-129, 69], [-45, 27], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-117/2, 3/2], [15/2, 9/2], [0, 0]], [[0, 0], [2, -1], [1, 0], [1, 0]], [[0, 0], [-6, 6], [0, 0], [0, 0]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63/2, 75/2], [39/2, 21/2], [0, 0]], [[0, 0], [-170, 449], [77, 22], [-37, -21]], [[0, 0], [2199/2, -699/2], [21/2, 93/2], [-30, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -21], [-9, -3], [0, 0]], [[0, 0], [407/2, -115/2], [13/2, 45/2], [-10, -6]], [[0, 0], [157, 252], [146, 67], [-61, -35]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 33], [27, 18], [0, 0]], [[0, 0], [-5/2, -1/2], [-1/2, 1/2], [1, 0]], [[0, 0], [108, 66], [60, 36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, -39], [-15, -9], [0, 0]], [[0, 0], [1/2, -5/2], [-1/2, 3/2], [1, 0]], [[0, 0], [-75, 168], [30, 21], [0, 0]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[-18, -18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -3/2], [-9/2, 6], [0, 0]], [[-9/2, -5/2], [-126, -145/2], [87/2, 26], [-9/2, -5/2]], [[1, 0], [14, 13/2], [-1/2, -5], [1, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21/2, -9], [0, -15/2], [0, 0]], [[13/2, 3/2], [31, 21], [20, 16], [13/2, 3/2]], [[-33/2, -9/2], [-84, -111/2], [-111/2, -42], [-33/2, -9/2]]], 1, 36, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -6], [-12, -6], [0, 0]], [[0, 0], [-11/2, -5/2], [-1/2, -1/2], [1, 0]], [[0, 0], [339/2, -171/2], [21/2, -3/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45/2, -9/2], [15/2, 3/2], [0, 0]], [[0, 0], [-5/2, 3/2], [-1/2, 1/2], [1, 0]], [[0, 0], [-57, -18], [-30, -15], [0, 0]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3/2, 9/2], [33/2, 9/2], [0, 0]], [[0, 0], [-2, 46], [122, 8], [-10, -6]], [[0, 0], [2, 17], [43, 4], [-5, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 3], [-27, -12], [0, 0]], [[0, 0], [-6607/2, 889/2], [-3287/2, -1349/2], [38, 22]], [[0, 0], [-3176, 1677], [-505, 118], [5, 3]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, 3], [-15, -12], [0, 0]], [[0, 0], [1/2, -5/2], [-1/2, -1/2], [1, 0]], [[0, 0], [96, 42], [60, 36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-93/2, -9/2], [39/2, 9/2], [0, 0]], [[0, 0], [7/2, 3/2], [-1/2, 1/2], [1, 0]], [[0, 0], [-852, -102], [360, 90], [0, 0]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[-288, -216]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-268, -40], [-21, -17], [0, 0]], [[0, 0], [8260, -5792], [-516, 152], [-9, -1]], [[0, 0], [40239/2, -8961/2], [288, 852], [63/2, 49/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-399, -15], [15, 15], [0, 0]], [[0, 0], [6343/2, 34771/2], [-2004, -700], [-21/2, 1/2]], [[0, 0], [-234897, 23229], [5364, 7764], [-30, 50]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[72, 144]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 6], [-213, 3], [0, 0]], [[0, 0], [790, 40], [-912, -9344], [1, -1]], [[0, 0], [45131/2, 24187/2], [-415704, -259814], [-31/2, -25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 3], [483, 9], [0, 0]], [[0, 0], [2639/2, 61/2], [101136, -30550], [-1/2, 3/2]], [[0, 0], [-48247/2, -22431/2], [-1050798, -276820], [-55/2, -45/2]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[1008, 360]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [117, 63], [1074, 624], [0, 0]], [[0, 0], [9663/2, 5455/2], [45996, 26608], [5/2, 3/2]], [[0, 0], [-16824, 9712], [14553, -8415], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -2], [141, 81], [0, 0]], [[0, 0], [-327/2, -245/2], [-174, -56], [-11/2, -3/2]], [[0, 0], [-34734, 20059], [54930, -31710], [2070, -1195]]], 0, 34560, [], [] >,
< [ -3, 0, 1 ], [[-936, -288]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -12], [453, 15], [0, 0]], [[0, 0], [2841/2, -247/2], [12348, -20658], [9/2, 3/2]], [[0, 0], [490, 133], [-3114, -6202], [2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-123, -59], [57, 15], [0, 0]], [[0, 0], [14753/2, -4011/2], [-8676, 4258], [7/2, 5/2]], [[0, 0], [-56939, 91481], [142398, -101750], [110, 54]]], 0, 34560, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, 15], [-24, -12], [0, 0]], [[0, 0], [289/2, 135/2], [-63, -59], [-5/2, 3/2]], [[0, 0], [12, 6], [-9, -3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -3], [75, 45], [0, 0]], [[0, 0], [13/2, -31/2], [-57, -33], [-11/2, -1/2]], [[0, 0], [-137/2, 79/2], [0, 0], [19/2, -11/2]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 11], [60, 30], [0, 0]], [[0, 0], [-395, -212], [-1941, -1115], [-12, -1]], [[0, 0], [8211/2, -6493/2], [-2145, -3213], [3567/2, -2091/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -7], [-75, -45], [0, 0]], [[0, 0], [-55/2, -31/2], [-267, -159], [-39/2, -5/2]], [[0, 0], [33/2, -49/2], [-498, 138], [1323/2, -777/2]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 25], [7, 1], [0, 0]], [[0, 0], [-358, -290], [-88, -8], [-436, -252]], [[0, 0], [13700, 8600], [2000, 800], [14476, 8360]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [493, 285], [-203, -117], [0, 0]], [[0, 0], [11322, 6611], [-4729, -2686], [-6, 0]], [[0, 0], [-20037, -11620], [8300, 4761], [8, 2]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 8], [4, -2], [0, 0]], [[0, 0], [-1205, -685], [-33, -19], [-22, -2]], [[0, 0], [142, -82], [0, 0], [142, -82]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [241, 143], [-17, -9], [0, 0]], [[0, 0], [-1093, -679], [85, 37], [10, -2]], [[0, 0], [-14794, -8145], [863, 598], [-14, 56]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-155, -91], [3, 1], [0, 0]], [[0, 0], [-1701, -981], [19, 9], [0, -2]], [[0, 0], [-4658, -2682], [60, 20], [8, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 1], [1, 0], [0, 0]], [[0, 0], [500, 296], [0, 0], [22, 2]], [[0, 0], [-3816, 2456], [0, 0], [5900, -3400]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[32, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, -68], [-2, 0], [0, 0]], [[0, 0], [1, 2], [0, 1], [1, 0]], [[0, 0], [-284, -164], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -26], [-8, -6], [0, 0]], [[0, 0], [-3, 2], [0, 1], [1, 0]], [[0, 0], [-82, -42], [-10, -10], [0, 0]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[32, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, -30], [-14, -10], [0, 0]], [[0, 0], [1, 2], [0, 1], [1, 0]], [[0, 0], [688, 398], [216, 126], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -2], [-22, -14], [0, 0]], [[0, 0], [-3, 2], [0, 1], [1, 0]], [[0, 0], [-14, -8], [-14, -8], [0, 0]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -8], [14, 6], [0, 0]], [[0, 0], [-243, 107], [-63, 77], [368, 212]], [[0, 0], [-796, -90], [434, 420], [6150, 3550]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37, 23], [7, 5], [0, 0]], [[0, 0], [-384, -200], [-76, -36], [-10, 2]], [[0, 0], [1448, 958], [256, 192], [-24, 30]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [307, 179], [-3, -3], [0, 0]], [[0, 0], [718, 412], [-10, -4], [12, 6]], [[0, 0], [116, 76], [4, -4], [-1, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -7], [7, 3], [0, 0]], [[0, 0], [15, 19], [-35, -19], [-10, 0]], [[0, 0], [-64, -42], [98, 56], [17, 7]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[-24, -8]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [137/2, 79/2], [0, 0], [9/2, 1/2]], [[0, 0], [-3, -2], [0, 0], [-2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, 0], [-127/2, -65/2], [0, 0], [1/2, 5/2]], [[0, 0], [-110, 73], [0, 0], [-63, 36]]], 0, 24, [], [] >,
< [ -3, 0, 1 ], [[-24, -8]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, 0], [91/2, 55/2], [0, 0], [-7/2, 3/2]], [[0, 0], [20, 2], [0, 0], [24, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [79, 49], [0, 0], [-3, 1]], [[0, 0], [-27/2, -73/2], [0, 0], [41/2, -23/2]]], 0, 24, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166, -84], [9, 1], [0, 0]], [[0, 0], [2, 1], [0, 0], [1, 0]], [[0, 0], [-102, -58], [4, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-124, -80], [-4, 0], [0, 0]], [[0, 0], [0, -1], [0, 0], [1, 0]], [[0, 0], [-1148, -670], [-19, -9], [0, 0]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [326, 186], [-2, -2], [0, 0]], [[0, 0], [-8309, -4813], [73, 47], [-8, 6]], [[0, 0], [96670, 55878], [-880, -528], [24, -30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-65, -39], [17, 9], [0, 0]], [[0, 0], [-1934, -1156], [462, 264], [8, -6]], [[0, 0], [-2189, -1287], [517, 297], [4, -4]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[-24, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [167/2, 95/2], [-1/2, 1/2], [0, 0]], [[0, 0], [-2, 0], [0, 0], [1, 0]], [[0, 0], [12, 8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, -27/2], [5/2, 1/2], [0, 0]], [[0, 0], [4, 2], [0, 0], [1, 0]], [[0, 0], [113/2, -47/2], [5/2, -5/2], [0, 0]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[-24, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [121/2, 83/2], [-5/2, -1/2], [0, 0]], [[0, 0], [-2, 0], [0, 0], [1, 0]], [[0, 0], [0, 103], [-15, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [121/2, 67/2], [7/2, 3/2], [0, 0]], [[0, 0], [4, 2], [0, 0], [1, 0]], [[0, 0], [-21, 4], [-6, 3], [0, 0]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [79, 49], [7, 3], [0, 0]], [[0, 0], [1245, 668], [98, 77], [13, 5]], [[0, 0], [-2160, -1066], [-130, -148], [-26, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -28], [-94, -54], [0, 0]], [[0, 0], [1122, 1408], [2866, 1676], [-16, -8]], [[0, 0], [1240, -115], [865, 476], [-3, -3]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[256, 148]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112556/167, 1961/501], [307/167, 4/501], [0, 0]], [[0, 0], [-527587536/167, 526197586/501], [-1442518/167, 1440476/501], [-369/167, -1/501]], [[0, 0], [-500768781062/167, 1136868724171/334], [-2742389907/334, 3108181001/334], [140751/334, 420649/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [220022/167, -1639/501], [-132/167, 1/501], [0, 0]], [[0, 0], [18551241769/3674, 25451077/11022], [-493711/167, -16/501], [4571/3674, -1/3674]], [[0, 0], [6492492863723/1837, 231041978957935/11022], [-685657803/334, -12296691539/1002], [3160997/3674, 28460992/5511]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[256, 148]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [223027/167, 1200/167], [606/167, 1/167], [0, 0]], [[-415/2, 5/2], [897864210/167, -2442966515/1002], [2452618/167, -3346478/501], [330/167, -5/1002]], [[1156, 8160], [41857035495/167, -32536087829/167], [114725736/167, -88853030/167], [-2210/167, -38998/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-966261/167, 3779/501], [598/167, -2/501], [0, 0]], [[2837/2, 3/2], [3801751029/1837, -65783717/11022], [-227568/167, 1724/501], [2905/1837, -1/11022]], [[6891, 48237], [16939973282/1837, 387621918920/5511], [-1022332/167, -23203747/501], [13782/1837, 98771/1837]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[-128, -96]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [71140/167, -1546/501], [-528/167, 4/501], [0, 0]], [[0, 0], [-686364/167, 345065/167], [5425/167, -2175/167], [361/167, -4/501]], [[0, 0], [535279680/167, -1099690288/501], [-3257526/167, 8867518/501], [35904/167, 211888/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1197892/167, -730/501], [-738/167, -2/501], [0, 0]], [[0, 0], [34263909804/1837, -3920891805/1837], [-1912589/167, 217099/167], [-4315/1837, -4/5511]], [[0, 0], [-13228356842464/1837, 220112440286494/5511], [726855296/167, -12288453380/501], [-1576438/1837, -28259338/5511]]], 0, 640, [], [] >,
< [ -3, 0, 1 ], [[-128, -96]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [492988/167, 4094/501], [-3620/167, -8/501], [0, 0]], [[0, 0], [3228458684/167, -14601834469/501], [-23924749/167, 107367163/501], [-27/167, 4/501]], [[0, 0], [-1172362266600/167, 438312634504/501], [8615306786/167, -3271049062/501], [-390/167, -2294/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7920, 0], [-2, 0], [0, 0]], [[0, 0], [-47591223892/1837, -18903625/5511], [-1105005/167, 731/501], [4315/1837, 4/5511]], [[0, 0], [-6110459912530/1837, -109795494506453/5511], [-140977095/167, -2549155679/501], [555781/1837, 9955228/5511]]], 0, 640, [], [] >,
< [ -3, 0, 1 ], [[288, 128]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-561616/167, 7372/501], [2990/167, -10/501], [0, 0]], [[0, 0], [-59536586/167, 32670575/501], [315331/167, -172343/501], [-3, 0]], [[0, 0], [6178194676/167, -2350700590/501], [-32726830/167, 12375802/501], [53768/167, 9724/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3148956/167, -7930/501], [1724/167, -8/501], [0, 0]], [[0, 0], [691856002977/1837, -147462175364/5511], [378873747/1837, -81541333/5511], [-1538/1837, -1/5511]], [[0, 0], [478202761475607/1837, -19937458937920/5511], [261841481097/1837, -11469664139/5511], [-1076236/1837, -185759/5511]]], 0, 2560, [], [] >,
< [ -3, 0, 1 ], [[256, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-484, -310], [-10, -4], [0, 0]], [[0, 0], [-26427, -14777], [-399, -259], [10, 10]], [[0, 0], [43690, -25690], [-2632, 1512], [378, -218]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, -32], [-4, -6], [0, 0]], [[0, 0], [-11083, -6399], [-1621, -939], [22, 10]], [[0, 0], [535, 63], [2663, -1483], [2254, -1302]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[16, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [131/2, 105/2], [9/2, -1/2], [0, 0]], [[0, 0], [-10, 0], [0, 0], [1, 0]], [[0, 0], [1371/2, 1339/2], [143/2, -33/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, 79], [-3, 2], [0, 0]], [[0, 0], [6207, 3340], [28, 15], [3, 0]], [[0, 0], [270959/22, 151181/22], [1217/22, 679/22], [50/11, 10/11]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[16, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 3], [-2, -1], [0, 0]], [[-5/2, 3/2], [59, 16], [0, 0], [-5/2, 3/2]], [[0, 0], [-47, -27], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -2], [1, 0], [0, 0]], [[-59/2, -3/2], [52/11, 391/11], [118/11, 6/11], [-59/22, -3/22]], [[-234, -104], [4093/11, 3089/11], [936/11, 416/11], [-234/11, -104/11]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[-128, -96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [260, 144], [36, 22], [0, 0]], [[0, 0], [4209, 901], [145, 393], [0, -6]], [[0, 0], [8946, 6104], [1562, 712], [-20, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-342, -198], [-14, -8], [0, 0]], [[0, 0], [4715/11, -1433/11], [-543/11, -69/11], [-120/11, -2/11]], [[0, 0], [991110/11, -554728/11], [-61920/11, 30560/11], [-16640/11, 8640/11]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[-128, -96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-352, -204], [2, -2], [0, 0]], [[0, 0], [-7, 3], [-1, 1], [-8, 2]], [[0, 0], [-2, 0], [0, 0], [-2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-770, -456], [-10, -4], [0, 0]], [[0, 0], [381283/11, 205863/11], [2399/11, 3001/11], [74/11, 6/11]], [[0, 0], [523172, 53146], [-21240, 15920], [590, -300]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[-128, -96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-268, -136], [12, 2], [0, 0]], [[0, 0], [27373, 17565], [-481, -741], [142, 82]], [[0, 0], [2103, 695], [-169, 39], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [194, 90], [-8, -4], [0, 0]], [[0, 0], [2520/11, 12780/11], [-230/11, -464/11], [-80/11, 6/11]], [[0, 0], [-86307/11, 81457/11], [2177/11, -2583/11], [-602/11, 258/11]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[-36, -16]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 0], [1, 0], [0, 0]], [[-1/2, 3/2], [-21, 93/2], [-1/2, 3/2], [5/2, -1]], [[-10, -5], [-557/2, -271/2], [-10, -5], [-5/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, -5/2], [-82, -55], [-13/2, -5/2], [0, 0]], [[3951, -2259], [-47327/2, 28133/2], [3951, -2259], [13/2, 3/2]], [[5202, -2970], [-62131/2, 37093/2], [5202, -2970], [19/2, 5/2]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-36, -16]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 0], [1, 0], [0, 0]], [[0, 0], [-229/2, -145/2], [0, 0], [5/2, 3/2]], [[0, 0], [123/2, -179], [0, 0], [1, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [137/2, 75/2], [0, 0], [7/2, 5/2]], [[0, 0], [-22, 23], [0, 0], [8, -4]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[288, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-630, -360], [2, 4], [0, 0]], [[0, 0], [-16, 1], [0, 0], [1, 0]], [[0, 0], [160, 94], [-2, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74, 46], [178, 102], [0, 0]], [[0, 0], [8, 1], [2, 0], [1, 0]], [[0, 0], [-980, -570], [-2288, -1320], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[32, 64]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58284/167, 940/501], [-1934/167, -2/501], [0, 0]], [[0, 0], [1552046523/167, -950217011/501], [51334662/167, -30651596/501], [-827/167, -5/501]], [[0, 0], [1741959151371/167, 1460967996056/167], [58655696949/167, 48825148885/167], [-1612070/167, -3327985/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3197882/167, 2066/501], [-2074/167, 2/501], [0, 0]], [[0, 0], [1596071519494/1837, -97107940682/5511], [1035007022/1837, -63294674/5511], [4870/1837, 4/5511]], [[0, 0], [-41181215187053323/1837, -28689554767589974/1837], [-26698866590799/1837, -18601462236635/1837], [-131215764/1837, -90234305/1837]]], 0, 640, [], [] >,
< [ -3, 0, 1 ], [[32, 64]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1285228/167, -9772/501], [2726/167, 8/501], [0, 0]], [[0, 0], [-10114211423/167, 5052265698/167], [21502757/167, -10749429/167], [62/167, 1/167]], [[0, 0], [199221329435/167, -2831650411102/501], [-431851105/167, 6008116223/501], [30624/167, 63191/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2745316/167, -1732/167], [-1794/167, -2/167], [0, 0]], [[0, 0], [-214059460/1837, 101646760/5511], [-68778/1837, 58726/5511], [-2478/1837, 4/5511]], [[0, 0], [816506/1837, 558279/1837], [-505/1837, -361/1837], [39/1837, 80/5511]]], 0, 640, [], [] >,
< [ -3, 0, 1 ], [[-124, -72]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30478/167, 532/501], [967/167, 1/501], [0, 0]], [[0, 0], [-546346989/334, 540506173/1002], [-8711894/167, 8718092/501], [299/334, 1/1002]], [[0, 0], [-276627160643/334, -465462219748/501], [-8605327613/334, -29373531881/1002], [237573/167, 980041/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1060869/167, -4478/167], [-272/167, 1/167], [0, 0]], [[0, 0], [4791420745217/3674, -176090116984/5511], [-1228526143/3674, 88313083/11022], [3845/1837, -5/11022]], [[0, 0], [-17397253147050291/1837, -72901017606081641/11022], [8931800316789/3674, 18707102579725/11022], [-58789787/3674, -60643751/5511]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[-124, -72]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9685/167, -1942/501], [-237/167, 2/501], [0, 0]], [[-105/2, -1/2], [78142625/334, -8958369/167], [1015050/167, -289750/167], [-1/2, 0]], [[-81917, -56023], [31502037393/167, 27415194160/167], [638368950/167, 624980850/167], [-127776/167, -263659/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19929, 0], [5, 0], [0, 0]], [[3755/2, -5/2], [-415589058201/1837, 50042979/3674], [104190558/1837, -6261/1837], [-3845/1837, 5/11022]], [[-10932006, -7522464], [2426188506485160/1837, 5004600277555400/5511], [-608259504264/1837, -1254682174072/5511], [22439673/1837, 15430553/1837]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[-192, -32]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-201572/167, 272/167], [-2462/167, -2/167], [0, 0]], [[0, 0], [-2708186611/167, 3398721343/501], [-32989090/167, 41297332/501], [-159/167, -5/501]], [[0, 0], [713804829519/167, 344969348482/501], [8728255217/167, 4271085715/501], [107670/167, 156695/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13248950/167, -29368/501], [-6330/167, -10/501], [0, 0]], [[0, 0], [12988433769593/1837, 128706399726/1837], [6205644465/1837, 60185913/1837], [10680/1837, 5/5511]], [[0, 0], [283386230038563306/1837, 414466109798532806/5511], [135356046025962/1837, 197940211627682/5511], [229762672/1837, 334081790/5511]]], 0, 2560, [], [] >,
< [ -3, 0, 1 ], [[-64, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [488, 294], [2, 4], [0, 0]], [[0, 0], [-26375, -14863], [-305, -95], [-2, -6]], [[0, 0], [20916, -18484], [5834, -3426], [-356, 204]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1097, -611], [7, -1], [0, 0]], [[0, 0], [27293, 15771], [-63, -39], [4, 4]], [[0, 0], [2835, -1307], [-495, 285], [350, -202]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[32, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-232, -24], [-14, -6], [0, 0]], [[0, 0], [-139459, 47015], [-4685, -289], [-4, -4]], [[0, 0], [-1610202, 750001], [-41459, 7882], [-10, -28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-214, -106], [-16, -8], [0, 0]], [[0, 0], [9842/11, 4746/11], [-186/11, 354/11], [-122/11, -2/11]], [[0, 0], [167872/11, -67681/11], [-69513/11, 40824/11], [-10578/11, 5904/11]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[32, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 1], [1, 0], [0, 0]], [[0, 0], [-142, -10], [0, 0], [-2, 4]], [[0, 0], [1228, 416], [0, 0], [-12, -28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -3], [1, 0], [0, 0]], [[0, 0], [-9380/11, -2766/11], [-56/11, -2/11], [56/11, 2/11]], [[0, 0], [-94320/11, 11802/11], [-812/11, 290/11], [812/11, -290/11]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[32, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -1], [1, 0], [0, 0]], [[0, 0], [320, 16], [0, 0], [6, 10]], [[0, 0], [-21838, 1194], [0, 0], [-200, -650]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 19], [1, 0], [0, 0]], [[0, 0], [9874/11, 7318/11], [-6/11, 10/11], [6/11, -10/11]], [[0, 0], [18012/11, -4874/11], [112/11, -62/11], [-112/11, 62/11]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[-4, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-87/2, -125/2], [11/2, 7/2], [0, 0]], [[11/2, 3/2], [-49669/2, 11412], [388, 5/2], [11/2, 3/2]], [[-11/2, -27/2], [-257017/2, 84641], [483, -2175/2], [-11/2, -27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -85], [-1, -1], [0, 0]], [[93/2, -1/2], [18185/11, 32469/22], [677/22, 237/11], [93/22, -1/22]], [[-1786, 1598], [1950705/22, 23899/22], [23031/22, 5307/22], [-1786/11, 1598/11]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[-4, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25/2, -2], [1, 1/2], [0, 0]], [[0, 0], [4, 0], [0, 0], [1, 0]], [[0, 0], [-8, 6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, 239/2], [1/2, 1], [0, 0]], [[0, 0], [-60619/11, -19818/11], [-470/11, -137/11], [-14/11, 5/11]], [[0, 0], [90751/11, 39899/11], [689/11, 289/11], [15/11, -3/11]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[24, 4]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -3], [-17, -1], [0, 0]], [[-15/2, -5/2], [31/2, 8], [111/2, 71/2], [0, -5/2]], [[-10, -2], [19, 9], [62, 43], [2, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 5/2], [18, 7], [19/2, 5/2], [0, 0]], [[71/2, -109/2], [16, -76], [155/2, -85/2], [-7, -2]], [[-1/2, -1/2], [-1/2, -1/2], [5/2, 5/2], [-1/2, -1/2]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[24, 4]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -2], [28, 1], [0, 0]], [[0, 0], [-40, -103/2], [732, -82], [-1/2, -2]], [[0, 0], [-389, -338], [3971, 278], [-9, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [7/2, 5/2], [10, 4], [7/2, 5/2]], [[0, 0], [-3, -6], [-28, -1], [-3, -6]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-192, -32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -48], [124, 6], [0, 0]], [[0, 0], [2, 1], [6, 0], [1, 0]], [[0, 0], [5270, -3084], [5418, -3024], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -4], [142, 86], [0, 0]], [[0, 0], [0, 1], [6, 0], [1, 0]], [[0, 0], [-26, -16], [836, 484], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[384, 320]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -3], [-11, -3], [0, 0]], [[0, 0], [3663688/193, 10406/193], [18206, 44], [12076/2509, -4/7527]], [[0, 0], [13869/193, -12864/193], [69, -64], [46/2509, -128/7527]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-481778/193, -13486/193], [0, 0], [-38186/2509, 2/2509]], [[0, 0], [-2197533996/193, 1297250844/193], [0, 0], [-14096926/193, 24913802/579]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[24, 20]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 9/2], [-1, -5/2], [0, 0]], [[0, 0], [40, -16], [0, 6], [0, 0]], [[-43/2, -47/2], [33821/772, 36949/772], [-43/4, -47/4], [9/2509, 59/15054]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-233/2, -95/2], [3/2, 5/2], [0, 0]], [[-78330, -2], [3405717, 84731/2], [-12182, -127/2], [-2, 0]], [[293401/2, 321867/2], [-56378343735/8492, -60092953369/8492], [1021005/44, 1106471/44], [103369/27599, 680429/165594]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[24, 20]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29/4, -53/4], [-11/4, -1/4], [0, 0]], [[0, 0], [-238131/772, 146889/772], [153/4, 9/4], [-3019/2509, 1/7527]], [[0, 0], [954097/193, -863089/193], [-3141, -1419], [461029/5018, 196829/5018]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [283/4, -117/4], [-9/4, -5/4], [0, 0]], [[0, 0], [35808150375/8492, 329032423/8492], [-1861749/44, 167/44], [155517/55198, 5/165594]], [[0, 0], [-26508949137983/8492, -34441119230581/8492], [1328757809/44, 1778340607/44], [-55519769/27599, -74280409/27599]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-192, -160]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [193/2, 117/2], [9/2, 1/2], [0, 0]], [[0, 0], [-5733171/193, 3301/193], [75, -45], [4977/2509, 5/7527]], [[0, 0], [-102041565/193, -111730454/193], [-1295, 660], [88848/2509, 291224/7527]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/2, 75/2], [-3/2, -5/2], [0, 0]], [[0, 0], [6019119/2, -449/2], [301055/2, 19/2], [-10, 0]], [[0, 0], [-9690721196757/2123, -10959428482500/2123], [-2512549209/11, -2840510540/11], [418703339/27599, 1420293935/82797]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-192, -160]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [2, 1], [0, 0]], [[0, 0], [8607881/386, -32625/386], [-81267/2, -1/2], [-27089/2509, -1/7527]], [[0, 0], [-9640108683/386, 5823705125/386], [90388977/2, -54637891/2], [30129659/2509, -54637891/7527]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 13], [2, 1], [0, 0]], [[0, 0], [-4641035569/4246, 3675/4246], [-1433313/22, 7/22], [-68253/27599, 1/82797]], [[0, 0], [-1519026647851/4246, -1566919249815/4246], [-469122255/22, -483917175/22], [-22339155/27599, -23043675/27599]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-192, -160]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [245, 129], [-3, 1], [0, 0]], [[0, 0], [35653108/193, 953/193], [-16, 9], [-31087/2509, -1/2509]], [[0, 0], [30481087437/386, -28272050933/386], [-35091/2, 20383/2], [-13288480/2509, 36976640/7527]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-297/2, 91/2], [-5/2, -5/2], [0, 0]], [[0, 0], [1124334686/2123, 12379052/2123], [297762/11, 424/11], [-49242/27599, 8/82797]], [[0, 0], [30391423761/2123, 72828197553/2123], [7496355/11, 19216303/11], [-1225616/27599, -9528176/82797]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-192, -160]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [118, 68], [112, 64], [0, 0]], [[0, 0], [-39436/193, -127697/579], [95, -221], [-441/193, 2/579]], [[0, 0], [-21955707/193, 12691940/193], [-306079, 176755], [283340/193, -163525/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1740, 1050], [180, 104], [0, 0]], [[0, 0], [206437560/2123, -18344981/6369], [250517/11, 61/11], [-5101/2123, -4/6369]], [[0, 0], [-29534305398/2123, -24994040112/2123], [-38660632/11, -31484792/11], [787238/2123, 641104/2123]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[-192, -160]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, 56], [170, 98], [0, 0]], [[0, 0], [4, 1], [0, 0], [1, 0]], [[0, 0], [-228, -138], [-416, -240], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6076, 3694], [-246, -142], [0, 0]], [[0, 0], [92155559/11, -53610654/11], [27536/11, 116/11], [52/11, 5/11]], [[0, 0], [-674424103, 386279173], [6998, 118642], [75, 225]]], 0, 1792, [], [] >,
< [ -3, 0, 1 ], [[-192, -256]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 18], [-380, -220], [0, 0]], [[0, 0], [-494, -253], [5294, 3212], [74/13, 1/13]], [[0, 0], [-88271/2, 51027/2], [-213451, 122865], [114367/26, -66035/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, 26], [20, 12], [0, 0]], [[0, 0], [-23661/2, -13573/2], [-5099, -2957], [113/26, 1/26]], [[0, 0], [-495161/2, 281691/2], [72599, -42823], [360137/26, -207915/26]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[96, 128]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-55, -27], [10, 0], [0, 0]], [[0, 0], [-889, -1017/2], [79, 50], [-7/13, -3/26]], [[0, 0], [262, -95], [216, -130], [120/13, -69/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [449, 249], [-10, 0], [0, 0]], [[0, 0], [-12377/22, 13946/11], [-1194/11, 219/11], [185/286, -2/143]], [[0, 0], [-1536661/11, 913397/11], [-81826/11, 46052/11], [388/11, -214/11]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[96, 128]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, 30], [-198, -114], [0, 0]], [[0, 0], [-49/2, 15/2], [-25, -19], [61/26, 1/26]], [[0, 0], [124, -143/2], [-27, 16], [-100/13, 115/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [134, 76], [-8, -4], [0, 0]], [[0, 0], [3911/11, -12011/11], [-7576/11, 908/11], [-225/143, 1/143]], [[0, 0], [557317/22, -160884/11], [-103152/11, 59555/11], [-5113/286, 1476/143]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[96, 128]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -24], [114, 66], [0, 0]], [[0, 0], [39/2, 11], [-42, -37], [-1/2, 0]], [[0, 0], [-33/2, 9], [122, -69], [-69/26, 20/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [182, 108], [-20, -12], [0, 0]], [[0, 0], [-146015/22, -19152/11], [5398/11, 2535/11], [-551/286, -1/143]], [[0, 0], [-635427919/22, 183420749/11], [8034198/11, -4637487/11], [-335915/22, 96968/11]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-12, -16]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, 1/2], [1, 0], [0, 0]], [[0, 0], [161/4, 3/2], [7, 3/2], [47/52, -1/26]], [[0, 0], [-33/4, 9/2], [-1, 1/2], [-11/52, 3/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, 1/2], [1, 0], [0, 0]], [[0, 0], [-41579/44, 72/11], [260/11, -27/22], [-307/572, 1/286]], [[0, 0], [-1082817/44, -929450/11], [3626/11, 45843/22], [-8029/572, -13727/286]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-12, -16]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, 1/2], [1, 0], [0, 0]], [[15, -1], [21, 11/2], [-22, -1], [-11/13, -1/26]], [[525/2, -425/2], [379/4, -195], [-575/2, 275], [-575/52, 275/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, 1/2], [1, 0], [0, 0]], [[-183/2, 3/2], [17483/4, 1], [117/2, 0], [3/4, 0]], [[814, 3330], [-515386/11, -1758279/11], [-6882/11, -23532/11], [-1147/143, -3922/143]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[96, 128]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-316, -178], [274, 158], [0, 0]], [[0, 0], [-70262/193, 1235147/579], [-4707, -1867], [-1392/193, -5/579]], [[0, 0], [-11436884206/193, 19815103382/579], [-21532882, 12407974], [-20287020/193, 35125480/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 46], [-66, -38], [0, 0]], [[0, 0], [933198819/2123, 4015832/6369], [-151029/11, 57/11], [13813/2123, 4/6369]], [[0, 0], [-159924397520/2123, -135308594602/2123], [25763354/11, 21851634/11], [-2359140/2123, -1999652/2123]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[96, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [292, 172], [74, 42], [0, 0]], [[0, 0], [0, 1], [0, 0], [1, 0]], [[0, 0], [-518, -300], [-132, -76], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5872, -2708], [-86, -50], [0, 0]], [[0, 0], [-122021553/11, 74758058/11], [125300/11, -1740/11], [-6/11, -1/11]], [[0, 0], [1139068757/11, -477601901/11], [2053190/11, 1764590/11], [-145/11, -103/11]]], 0, 1792, [], [] >,
< [ -3, 0, 1 ], [[-384, -160]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [676, 386], [66, 38], [0, 0]], [[0, 0], [-2, 1], [0, 0], [1, 0]], [[0, 0], [-2634, -1494], [-254, -146], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2618, 3912], [140, 80], [0, 0]], [[0, 0], [257235448/11, -151953500/11], [-179726/11, 138/11], [-34/11, -2/11]], [[0, 0], [-937080305/11, 557954944/11], [771008/11, 65112/11], [148/11, 21/11]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[288, 64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [742, 420], [84, 48], [0, 0]], [[0, 0], [0, 1], [0, 0], [1, 0]], [[0, 0], [1508, 868], [170, 98], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7890, 5376], [-112, -64], [0, 0]], [[0, 0], [4067576/11, -2715974/11], [6942/11, 134/11], [32/11, -2/11]], [[0, 0], [12663889/11, -44814932/11], [400544/11, 191380/11], [1638/11, 735/11]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[0, 320]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -24], [-454, -262], [0, 0]], [[0, 0], [-122, -49], [-1183, -697], [-1/5, 0]], [[0, 0], [-62100/13, 36020/13], [3284, -1748], [-1696/65, 196/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3864, 2232], [-190, -110], [0, 0]], [[0, 0], [4776043/143, 1971557/143], [-23270/11, -7336/11], [487/715, -1/143]], [[0, 0], [1083303365/11, -625292116/11], [-109285257/11, 63087115/11], [394426/55, -227713/55]]], 0, 12288, [], [] >,
< [ -3, 0, 1 ], [[0, -160]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 44/3], [-10, 4/3], [0, 0]], [[0, 0], [16269/37, -11452/37], [-1404, 679], [-244/185, -1/185]], [[0, 0], [-1006931/37, -1993513/111], [-74083, -110489/3], [-74803/185, -127889/555]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 134/3], [-4, -8/3], [0, 0]], [[0, 0], [17528729/407, -73426/1221], [1598, 11/3], [1586/2035, 1/6105]], [[0, 0], [98299650/37, 562652212/111], [100660, 565334/3], [8976/185, 16984/185]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[256, 96]], [ -351, 21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 2/3], [-312, -180], [0, 0]], [[0, 0], [45843/61, -69467/183], [610/7, -48/7], [53/427, -1/427]], [[0, 0], [2120/183, 373/61], [55/7, 29/7], [19/1281, 10/1281]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [200, 94/3], [-18, -10], [0, 0]], [[0, 0], [721258/3, -395593/3], [-3317, 503/7], [-1/21, 0]], [[0, 0], [5003258902/2013, -693792122/671], [-8309494/77, -3401894/77], [-22444/14091, -9424/14091]]], 0, 2304, [], [] >,
< [ -3, 0, 1 ], [[-224, -64]], [ -351, -21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -8/3], [-256, -148], [0, 0]], [[0, 0], [-5914/61, 1639/61], [429/7, -23], [12/61, -1/1281]], [[0, 0], [-144400/183, 22198/183], [3322/7, -926/7], [2320/1281, 320/1281]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [124, -22], [-10, -6], [0, 0]], [[0, 0], [36116435/2013, 127140/671], [140213/77, -9/11], [-377/2013, 2/14091]], [[0, 0], [692789227/2013, 185636348/2013], [2666707/77, 691315/77], [-50179/14091, -4332/4697]]], 0, 2304, [], [] >,
< [ -3, 0, 1 ], [[-64, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1081, -589], [11, 1], [0, 0]], [[0, 0], [2344, 1446], [-10, -20], [-748, -432]], [[0, 0], [-1213, -1247], [-57, 51], [532, 308]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7288, 1100], [14, 6], [0, 0]], [[0, 0], [-26525943/11, 9271309/11], [-28167/11, 195/11], [-76/11, -20/11]], [[0, 0], [-883487026/11, 657083034/11], [-338136/11, 586044/11], [364/11, 1344/11]]], 0, 12288, [], [] >,
< [ -3, 0, 1 ], [[640, 448]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-378, -196], [2, 0], [0, 0]], [[0, 0], [-10077, -5695], [51, 23], [-284, -164]], [[0, 0], [-35384, -19786], [190, 76], [-1032, -596]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6542, 436], [-2, -4], [0, 0]], [[0, 0], [446959195/11, -663173201/11], [-1080219/11, -1413/11], [-56/11, 20/11]], [[0, 0], [-349333137902/11, -181918845792/11], [-501020578/11, -302617376/11], [-9140/11, -6400/11]]], 0, 12288, [], [] >,
< [ -3, 0, 1 ], [[224, 0]], [ -147, -7 ], [ -9, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -22/3], [4, 2/3], [0, 0]], [[0, 0], [44967/73, -12622/73], [-21, -84], [118/73, 4/219]], [[0, 0], [-90594/73, -4067/219], [252, 721/3], [-320/73, -96/73]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 20/3], [-37, 2/3], [0, 0]], [[0, 0], [910509/73, -489398/73], [-61617/11, -74878/11], [6542/803, 4/2409]], [[0, 0], [-1479350116/73, 687153568/73], [388436588/11, 283940648/11], [-20020346/803, -5825896/803]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[-320, -96]], [ -3321, 33 ], [ -135, -77 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29/3, 1/3], [1, -1/3], [0, 0]], [[0, 0], [-956046476/8391, -35422/8391], [-80912, 4/3], [296588/612543, -4/612543]], [[0, 0], [14234353348/2797, 426487789/8391], [3614034, 35901], [-4415823/204181, -43879/204181]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2291/33, -71/33], [-101/11, -1/33], [0, 0]], [[0, 0], [-1531776628/8391, 37295/8391], [551696, -1/3], [-1150939/612543, -1/612543]], [[0, 0], [52081910334823/92301, 10867963828019/92301], [-18758484893/11, -11744194877/33], [1185868928/204181, 742445956/612543]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[352, 128]], [ -3321, -33 ], [ -159, -91 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28/3, 16/3], [-8, 2/3], [0, 0]], [[0, 0], [-1812807737/8391, -3912080/8391], [123347, -1852/3], [148663/204181, -5/612543]], [[0, 0], [754873572451/8391, 311693327546/8391], [-50909721, -62523892/3], [-185218415/612543, -76281355/612543]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-897/11, -91/33], [-39/11, -1/11], [0, 0]], [[0, 0], [601798408844/92301, 63004946/30767], [4376248/11, 2908/33], [445620/204181, -4/612543]], [[0, 0], [4950170/92301, -166055957/92301], [36/11, -3623/33], [11/612543, -123/204181]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[-4064, -1920]], [ -3321, 33 ], [ -135, -77 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13/3, -5/3], [3, 1/3], [0, 0]], [[0, 0], [-3099141/2797, -33456/2797], [2173, -38], [8813/2797, 5/8391]], [[0, 0], [628928552/8391, -597336530/8391], [-158978, 431690/3], [-1843160/8391, 1718200/8391]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5921/33, -13/11], [57/11, 1/33], [0, 0]], [[0, 0], [-1532396045/92301, 10894143571/92301], [14813/11, -112499/33], [2744/8391, 2/8391]], [[0, 0], [-127716889363/30767, -10327582918/92301], [1293939/11, -77400/11], [-2415/2797, -10833/2797]]], 0, 340992, [], [] >,
< [ -3, 0, 1 ], [[2368, 224]], [ -3321, -33 ], [ -159, -91 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17/3, 5/3], [3, -5/3], [0, 0]], [[0, 0], [-163250125/8391, 50499/2797], [2133, -5/3], [-25120/8391, 2/8391]], [[0, 0], [-41323351338/2797, 3105208319/2797], [1619720, -121479], [-6357401/2797, 1417255/8391]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1171/11, -245/33], [27/11, -1/11], [0, 0]], [[0, 0], [-6577667611/92301, 888320/92301], [56165/11, 16/33], [-6069/2797, -1/8391]], [[0, 0], [-16977569/92301, 18422528/92301], [145/11, -472/33], [-47/8391, 17/2797]]], 0, 340992, [], [] >,
< [ -3, 0, 1 ], [[1568, 0]], [ -147, -7 ], [ -9, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -2/3], [-35, -14/3], [0, 0]], [[0, 0], [-52450/73, -193/219], [490, -1225/3], [-862/73, -2/219]], [[0, 0], [-10013844/73, -19451956/219], [-57820, -51940/3], [-164430/73, -106488/73]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, -35/3], [-546, -35/3], [0, 0]], [[0, 0], [-2287349/73, -1870491/73], [-1642081/11, -1976933/11], [3448/803, 8/2409]], [[0, 0], [-581926196/73, -1130117216/219], [-499732576/11, -1094190076/33], [513072/803, 446902/2409]]], 0, 153600, [], [] >,
< [ -3, 0, 1 ], [[-4736, -2112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1427, -825], [-1345, -777], [0, 0]], [[0, 0], [-13028, -7556], [-2554, -1490], [-776, -448]], [[0, 0], [-18914, -10500], [-3740, -1970], [-1108, -640]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2805, -551], [-551, -5], [0, 0]], [[0, 0], [336859713, -69630905], [-65699349, 171419], [-20, 0]], [[0, 0], [-2971481635666/11, -982752391224/11], [798289033670/11, 355169844208/11], [243864/11, 108756/11]]], 0, 565248, [], [] >,
< [ -3, 0, 1 ], [[3136, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-157, -111], [125, 77], [0, 0]], [[0, 0], [-9701, -5651], [3411, 1983], [-484, -280]], [[0, 0], [46946, 27194], [-16478, -9538], [2340, 1352]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7513, -75], [-59, -1], [0, 0]], [[0, 0], [2749565184/11, -70340726/11], [-21571520/11, -28474/11], [-64/11, 4/11]], [[0, 0], [-1398104157250/11, -275040016258/11], [11165912976/11, 2457937456/11], [31740/11, 5180/11]]], 0, 565248, [], [] >,
< [ -3, 0, 1 ], [[-1952, -896]], [ -351, -21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 0], [1858, 1070], [0, 0]], [[0, 0], [901747/183, -171145/61], [96820/7, 970/7], [-265/1281, -5/1281]], [[0, 0], [-12477368/61, 19750771/183], [-14649903/7, -6260969/7], [13514/427, 5829/427]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4084, 6802/3], [982, 566], [0, 0]], [[0, 0], [-58745780579/2013, 31317207181/2013], [-43986086/77, 926616/77], [-2461/14091, -5/14091]], [[0, 0], [-197369994761956/2013, 21313743370429/671], [-469808201827/77, -199464030177/77], [-27098300/14091, -11784175/14091]]], 0, 87552, [], [] >,
< [ -3, 0, 1 ], [[1216, 160]], [ -351, 21 ], [ -14, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 2/3], [-602, -346], [0, 0]], [[0, 0], [815996/61, -1397518/183], [-73580/7, 4320/7], [46/427, 2/1281]], [[0, 0], [23020450/183, -4343509/61], [-131879, -94735/7], [1793/1281, 44/183]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [412, 514/3], [-100, -56], [0, 0]], [[0, 0], [1679391145/2013, -275346036/671], [-1685331/77, 82161/77], [-1180/14091, 5/14091]], [[0, 0], [-4305354214/671, 1804745060/671], [2504204/11, 2556760/77], [4198/4697, 112/671]]], 0, 87552, [], [] >,
< [ -3, 0, 1 ], [[0, 1600]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -32], [-132, -76], [0, 0]], [[0, 0], [-17130/13, -9801/13], [-2991, -1773], [-49/13, 4/13]], [[0, 0], [304890/13, -172682/13], [-156098, 90718], [109594/13, -63270/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2968, -1704], [-2, -2], [0, 0]], [[0, 0], [1181522/143, 18097/143], [-6613/11, -15/11], [497/143, 4/143]], [[0, 0], [19785712/143, 12805916/143], [-108000/11, -70272/11], [8208/143, 5328/143]]], 0, 319488, [], [] >,
< [ -3, 0, 1 ], [[0, -800]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-204, -364/3], [86, 148/3], [0, 0]], [[0, 0], [-447767/37, -782470/111], [4686, 8395/3], [-234/37, -5/111]], [[0, 0], [8135946/37, -4746748/111], [-247748, 330076/3], [-314168/37, 546616/111]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [636, 188/3], [-10, -8/3], [0, 0]], [[0, 0], [136686634/407, -69550945/1221], [-4823, -220/3], [-239/407, -4/1221]], [[0, 0], [-43104059/11, -151384097/11], [181999, 229365], [235/11, 305/11]]], 0, 159744, [], [] >,
< [ -3, 0, 1 ], [[-672, -832]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-214, -116], [-2568, -1484], [0, 0]], [[0, 0], [2, 1], [32, 0], [1, 0]], [[0, 0], [-8874, -5066], [-109174, -63042], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17056, 8732], [3022, 1746], [0, 0]], [[0, 0], [59564326351/11, -34800008426/11], [-133815948/11, 133140/11], [8/11, 5/11]], [[0, 0], [15700100, -9108266], [-24732, 6048], [0, 0]]], 0, 67584, [], [] >,
< [ -3, 0, 1 ], [[1152, 992]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-274, -158], [-2518, -1454], [0, 0]], [[0, 0], [6, 1], [-28, 0], [1, 0]], [[0, 0], [-40, -14], [-260, -160], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1842, 762], [326, 190], [0, 0]], [[0, 0], [-6758035/11, 4053218/11], [64476/11, -4500/11], [-38/11, 1/11]], [[0, 0], [-10465207660/11, 5709105170/11], [-8926306/11, -66790710/11], [10520/11, 39960/11]]], 0, 67584, [], [] >,
< [ -3, 0, 1 ], [[576, 896]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 24], [-8, -6], [0, 0]], [[0, 0], [-776771/193, 25728/193], [-2835, -32], [-1848/193, -10/579]], [[0, 0], [475308749/193, -272651174/193], [1609413, -922214], [1066546/193, -1833880/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-592212/193, -6072/193], [0, 0], [-3722/193, 2/579]], [[0, 0], [29792786/193, -19114158/193], [0, 0], [191066/193, -366370/579]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[-288, -448]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [595/2, 347/2], [3/2, -1/2], [0, 0]], [[0, 0], [4818123/386, 388969/386], [275/2, -155/2], [-2137/193, -1/193]], [[0, 0], [-193904043/193, 41976905/193], [-17553, 10051], [184561/193, -156167/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, 87/2], [-13/2, -5/2], [0, 0]], [[0, 0], [3158867494/2123, -4929591/2123], [130408/11, -49/11], [28454/2123, 4/6369]], [[0, 0], [-92446274971/386, -242446172455/386], [-3852071/2, -10013519/2], [-421631/193, -3277841/579]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[-288, -448]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [2, 1], [0, 0]], [[0, 0], [-799721/386, 16093/386], [-5253/2, -3/2], [-1751/193, -1/193]], [[0, 0], [-285448061/193, 169034935/193], [-1808307, 1072853], [-1205538/193, 2145706/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 13], [2, 1], [0, 0]], [[0, 0], [-689517661/4246, -26515/4246], [106083/22, 9/22], [11787/2123, 1/2123]], [[0, 0], [-1446468361/2123, -7677132325/2123], [222705/11, 1181145/11], [49490/2123, 787430/6369]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[-288, -448]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-273/2, -151/2], [-1/2, -3/2], [0, 0]], [[0, 0], [-536557/193, -94199/193], [-125, 65], [496/193, -4/579]], [[0, 0], [2284544/193, -279450/193], [898, -500], [-2483/193, 2101/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-136, -7], [4, 1], [0, 0]], [[0, 0], [114387836/2123, 1193141/2123], [16712/11, 545/11], [2978/2123, 4/6369]], [[0, 0], [396149649/4246, 6940034309/4246], [125325/22, 1014501/22], [2452/2123, 270946/6369]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[36, 56]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 23/2], [1, 1/2], [0, 0]], [[0, 0], [-4, 2], [0, 0], [0, 0]], [[-1/2, -5/2], [-1425/772, -6457/772], [-1/4, -5/4], [1/386, 7/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [106, -47/2], [1, 3/2], [0, 0]], [[-1377/2, -1/2], [-344653295/8492, 67943453/8492], [69849/44, 97/44], [-1537/2123, 1/4246]], [[-1016, -33528], [4726811657/4246, -8345101619/4246], [54917/22, 1700753/22], [-2032/2123, -224536/6369]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[36, 56]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 5/2], [1, -1/2], [0, 0]], [[0, 0], [205965/772, -549/772], [-3/4, -1/4], [331/193, 2/579]], [[0, 0], [-1974487/386, 1152241/193], [-5/2, -12], [-12485/386, 14755/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -11/2], [1, -1/2], [0, 0]], [[0, 0], [-280750697/8492, 558379/8492], [-11357/44, 67/44], [-634/2123, 2/6369]], [[0, 0], [-28593592/2123, 70491026/2123], [-1190/11, 2856/11], [-513/4246, 1273/4246]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[-288, -448]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-308, -180], [-386, -222], [0, 0]], [[0, 0], [1541170/193, 2677241/579], [13941, 5865], [83/193, 4/579]], [[0, 0], [-14061229/193, 24751570/579], [11825053, -6826165], [252242/193, -436885/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11362, 6796], [1180, 680], [0, 0]], [[0, 0], [-25335791257/2123, 48963847825/6369], [-54748/11, -13158/11], [2661/2123, 5/6369]], [[0, 0], [5344288097507/193, -2508841896810/193], [-10312413, -9289067], [213280/193, 400545/193]]], 0, 43008, [], [] >,
< [ -3, 0, 1 ], [[-288, -448]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, -40], [472, 272], [0, 0]], [[0, 0], [4, 1], [0, 0], [1, 0]], [[0, 0], [-258, -150], [1846, 1066], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1402, -734], [322, 186], [0, 0]], [[0, 0], [1270583/11, -769482/11], [-12896/11, -624/11], [-62/11, -3/11]], [[0, 0], [-208116130/11, 86225102/11], [-5791968/11, -4280640/11], [-27846/11, -20580/11]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[-1536, -1216]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 24], [1316, 760], [0, 0]], [[0, 0], [-817, -397], [-24910, -14374], [1, 1]], [[0, 0], [86345/2, -49865/2], [4317, -2719], [511/2, -295/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [122, 70], [-140, -80], [0, 0]], [[0, 0], [-1286, -758], [1458, 854], [-2, 2]], [[0, 0], [2489/2, -1281/2], [-1017, 499], [-473/2, 273/2]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[-96, -76]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/2, 1/2], [2, 1], [0, 0]], [[0, 0], [39/2, 9], [0, -1], [-1/2, 0]], [[0, 0], [28, 121/4], [-15/2, 2], [1, -5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, 1/2], [1, 0], [0, 0]], [[0, 0], [-2713/11, -1277/44], [15/22, 26/11], [13/11, 5/44]], [[0, 0], [101016/11, 101844/11], [-2886/11, -910/11], [-455/11, -481/11]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[-96, -76]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/2, 1/2], [2, 1], [0, 0]], [[-1/2, 1/2], [15, 21/4], [1, -1/2], [1/2, -1/4]], [[0, 0], [5, 3], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, 1/2], [1, 0], [0, 0]], [[-4, 0], [-2408/11, 266/11], [50/11, -10/11], [-5/11, 1/11]], [[33/2, 25/2], [29713/44, 12839/22], [-225/22, -115/11], [45/44, 23/22]]], 1, 336, [], [] >,
< [ -3, 0, 1 ], [[768, 608]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -10], [454, 262], [0, 0]], [[0, 0], [21/2, -19/2], [61, 27], [-1/2, 3/2]], [[0, 0], [1, 1/2], [-3, -2], [-1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [564, 322], [-160, -92], [0, 0]], [[0, 0], [18550/11, 20355/22], [-5223/11, -3010/11], [2/11, -3/22]], [[0, 0], [-26, -4], [6, 2], [0, 0]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[768, 608]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-119, -69], [-24, -14], [0, 0]], [[0, 0], [239, 285/2], [65, 36], [2, 5/2]], [[0, 0], [-1345, -815], [-372, -202], [-8, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [461, 273], [6, 0], [0, 0]], [[0, 0], [-1279/2, 33], [4, 3], [5/2, 0]], [[0, 0], [-546/11, 819/22], [-9/11, 4/11], [2/11, -3/22]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[768, 608]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -10], [122, 70], [0, 0]], [[0, 0], [93/2, 31], [-278, -155], [1/2, 2]], [[0, 0], [-983, -548], [5252, 3058], [-45, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1242, -716], [302, 174], [0, 0]], [[0, 0], [-13985/22, -4987/11], [2760/11, 1153/11], [31/22, -2/11]], [[0, 0], [-62257/2, 17946], [-14416, 8331], [-717/2, 207]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[768, 608]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2254, 1300], [-2224, -1284], [0, 0]], [[0, 0], [-700196/193, -866296/579], [15642, 1486], [-276/193, 4/579]], [[0, 0], [10001248/193, -17383921/579], [-653731, 377741], [13924/193, -24131/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1514, -948], [1628, 940], [0, 0]], [[0, 0], [-8397577653/2123, 12793432414/6369], [12203905/11, 6763/11], [-18059/2123, -4/6369]], [[0, 0], [31467018050890/2123, -153008161049038/6369], [297216492094/11, 225028294446/11], [-439333228/2123, -998338904/6369]]], 0, 43008, [], [] >,
< [ -3, 0, 1 ], [[768, 608]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94, 56], [-1294, -746], [0, 0]], [[0, 0], [-12, 1], [20, 0], [1, 0]], [[0, 0], [-664, -400], [9146, 5270], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2388, -1286], [2224, 1284], [0, 0]], [[0, 0], [-637260187/11, 367721425/11], [375942/11, -3266/11], [-19/11, -5/11]], [[0, 0], [-75422712202, 43560535579], [8573984, -21136936], [435, 958]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[2356, 1360]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2229117/167, 730/501], [-6109/167, 2/501], [0, 0]], [[0, 0], [68408507713/334, 22237037/501], [187478729/334, 123509/1002], [268/167, 1/1002]], [[0, 0], [28436511740053/334, -3255694835521/334], [38966175099/167, -4461127362/167], [222777/334, -25419/334]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16603058/167, -1472/167], [10125/167, 1/167], [0, 0]], [[0, 0], [-10530893663376/1837, -397079664825/3674], [1167640965/334, 22023009/334], [-2435/3674, 1/5511]], [[0, 0], [39870016119767168/1837, -11229462252226435/5511], [-2210341260499/167, 622494732584/501], [4639311/1837, -1564445/5511]]], 1, 120, [], [] >,
< [ -3, 0, 1 ], [[2356, 1360]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2134508/167, 1682/501], [-5853/167, -5/501], [0, 0]], [[315/2, -3/2], [10356725425/334, -3293398161/167], [14184336/167, -9023005/167], [-3/2, 0]], [[-7175, 875], [-285773494689/167, 176086610361/167], [-782806650/167, 482413743/167], [11375/167, -3850/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8544973/167, -136/501], [5212/167, 1/501], [0, 0]], [[-2107/2, -3/2], [492655280923/3674, 148237072865/5511], [-13649324/167, -8222128/501], [-4315/3674, -2/5511]], [[-1950275/2, 221725/2], [424644591328673/3674, 58538749749554/5511], [-11764179336/167, -3251230528/501], [-3995575/3674, 687800/5511]]], 1, 120, [], [] >,
< [ -3, 0, 1 ], [[448, 160]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3835658/167, -1460/501], [-28196/167, -4/501], [0, 0]], [[0, 0], [129249335951/167, 258484996958/501], [-950451057/167, -1900626989/501], [-660/167, 5/501]], [[0, 0], [-27659455550574/167, -59294272408715/501], [203402619695/167, 435979695041/501], [182039/167, -62348/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59208348/167, 1732/501], [36142/167, 2/501], [0, 0]], [[0, 0], [39411655323837/1837, -6852566061833/5511], [-2187056528/167, 380052622/501], [-10125/1837, -1/1837]], [[0, 0], [40601174770075518/1837, -20637028972410815/5511], [-2253041232879/167, 1144986618835/501], [-10226023/1837, 3520624/5511]]], 0, 7680, [], [] >,
< [ -3, 0, 1 ], [[448, 160]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5914640/167, -2276/501], [43490/167, 2/501], [0, 0]], [[0, 0], [80730244/167, 563060439574/501], [-114968/167, -4140152656/501], [-808/167, -4/501]], [[0, 0], [-236915698801901/167, 684512101680040/167], [1743773914983/167, -5033381737045/167], [-2945316/167, 335537/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7228926/167, -6074/167], [-1880/167, -2/167], [0, 0]], [[0, 0], [577873210961/1837, -57814649762/5511], [13665479/167, -1364117/501], [-2136/1837, 1/5511]], [[0, 0], [-369013167178108/1837, 161003907734836/5511], [-8726159800/167, 3805458946/501], [1348712/1837, -153608/1837]]], 0, 7680, [], [] >,
< [ -3, 0, 1 ], [[-480, -448]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [977788/167, -1064/167], [-5554/167, -2/167], [0, 0]], [[0, 0], [-92815561573/167, 116197756522/501], [526259225/167, -657733399/501], [606/167, 1/167]], [[0, 0], [363733565701293/167, -781334500250788/501], [-2059649278401/167, 4429188066391/501], [-507754/167, 4453969/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-351200/167, 6284/501], [598/167, -2/501], [0, 0]], [[0, 0], [17326195841/1837, -704498967/1837], [-29756832/1837, 1006710/1837], [9527/1837, 5/5511]], [[0, 0], [2714413309981/1837, -18275388237056/5511], [-4450333363/1837, 31317305741/5511], [1087620/1837, -9915469/5511]]], 0, 30720, [], [] >,
< [ -3, 0, 1 ], [[-896, -320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [193, 109], [-107, -61], [0, 0]], [[0, 0], [7797, 4373], [-3717, -2127], [-2, 10]], [[0, 0], [7720, -4436], [-1140, 648], [-672, 388]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-188, -108], [-418, -242], [0, 0]], [[0, 0], [-1500, -866], [-2622, -1516], [16, 8]], [[0, 0], [173, -99], [-11247, 6495], [-6322, 3650]]], 0, 30720, [], [] >,
< [ -3, 0, 1 ], [[-56, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -5], [-7, -8], [0, 0]], [[-7/2, -1/2], [-9713, 8351], [-2552, 127], [-7/2, -1/2]], [[-1199/2, -429/2], [-517947, 909152], [-379296, -80466], [-1199/2, -429/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -43], [17, 10], [0, 0]], [[19/2, -5/2], [-599/11, 505/11], [-93/11, 32/11], [19/22, -5/22]], [[-15, -3], [49/11, -659/11], [126/11, 12/11], [-15/11, -3/11]]], 1, 120, [], [] >,
< [ -3, 0, 1 ], [[-56, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -1], [-32, -2], [0, 0]], [[0, 0], [-1, 0], [-3, 0], [1, 0]], [[0, 0], [-5/2, -1/2], [-5/2, -1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, 34], [-16, -1], [0, 0]], [[0, 0], [-1897/22, -661/22], [1513/22, 901/22], [24/11, -4/11]], [[0, 0], [-2843/11, -1552/11], [2789/11, 1616/11], [37/11, 14/11]]], 1, 120, [], [] >,
< [ -3, 0, 1 ], [[448, 160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 85], [113, 5], [0, 0]], [[0, 0], [140974, -84574], [-84408, 45234], [8, -6]], [[0, 0], [1446920, -218924], [69978, 637332], [290, 100]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-743, -417], [-5, -1], [0, 0]], [[0, 0], [-6114/11, -2138/11], [-218/11, -114/11], [-94/11, -10/11]], [[0, 0], [623462/11, 295254/11], [24490/11, 13588/11], [8216/11, 2686/11]]], 0, 7680, [], [] >,
< [ -3, 0, 1 ], [[448, 160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, -62], [-138, -76], [0, 0]], [[0, 0], [40617, 23469], [50029, 28943], [8, -10]], [[0, 0], [301614, 174454], [371212, 215314], [180, -144]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-322, -170], [102, 60], [0, 0]], [[0, 0], [5806/11, 5922/11], [-2554/11, -1294/11], [-38/11, 10/11]], [[0, 0], [-31845, 20075], [-2777, 1099], [-416, 238]]], 0, 7680, [], [] >,
< [ -3, 0, 1 ], [[448, 160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [256, 148], [94, 54], [0, 0]], [[0, 0], [446, 356], [288, 132], [-10, 4]], [[0, 0], [-2045, -1045], [-897, -565], [-6, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [650, 372], [-12, 2], [0, 0]], [[0, 0], [4646/11, -976/11], [-3846/11, 2302/11], [32/11, 2/11]], [[0, 0], [-2253, -1071], [151, -203], [-26, -14]]], 0, 7680, [], [] >,
< [ -3, 0, 1 ], [[60, 56]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 6], [150, 85], [0, 0]], [[-1, 1], [-150, -33], [-1516, -890], [2, -1]], [[-19/2, -9/2], [4755/2, 1406], [71023/2, 40987/2], [-2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 1], [-107, -61], [5, 1], [0, 0]], [[4851/2, -2827/2], [-763, 807], [4867/2, -2831/2], [-4, 1]], [[10769/2, -6061/2], [-8495/2, 539/2], [10767/2, -6091/2], [1/2, 15/2]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[60, 56]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81, 47], [-116, -65], [0, 0]], [[0, 0], [-791/2, -292], [794, 261], [-1, 3/2]], [[0, 0], [-2033/2, -1115/2], [1291, 839], [5/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -19], [-9, -4], [0, 0]], [[0, 0], [-1905/2, -1083/2], [-191, -111], [-15/2, -5/2]], [[0, 0], [635/2, -403/2], [-22, 9], [133/2, -77/2]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[-480, -448]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94, 10], [68, -4], [0, 0]], [[0, 0], [-18, 1], [-2, 0], [1, 0]], [[0, 0], [16, -10], [16, -10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-170, -100], [-3124, -1804], [0, 0]], [[0, 0], [4, 1], [-2, 0], [1, 0]], [[0, 0], [172, 96], [3150, 1818], [0, 0]]], 0, 15360, [], [] >,
< [ -3, 0, 1 ], [[-512, -736]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3187360/167, 4466/501], [-23240/167, 4/501], [0, 0]], [[0, 0], [1354796514238/167, -251927968291/501], [-9879215345/167, 1852426801/501], [571/167, 2/501]], [[0, 0], [14824583825268743/167, -15795217544327042/167], [-108271929354183/167, 115224633591179/167], [5046342/167, -6337051/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-93391914/167, 4070/167], [56990/167, 2/167], [0, 0]], [[0, 0], [31287302566964/167, -46932195410555/501], [-19089980159/167, 28634680067/501], [5, 0]], [[0, 0], [-7331919211441833286/1837, 13392356290402913006/5511], [406679200670490/167, -742843177784818/501], [-67858854/1837, 255626144/5511]]], 0, 84480, [], [] >,
< [ -3, 0, 1 ], [[-416, -128]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [739646/167, -606/167], [23838/167, 2/167], [0, 0]], [[0, 0], [-4934632093/167, -14826819850/501], [-159464503/167, -478285885/501], [-466/167, -1/501]], [[0, 0], [-163961181639566/167, -291452886591350/501], [-5292729151362/167, -9407462614706/501], [-6019932/167, -3156234/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14009466/167, 2400/167], [9142/167, 2/167], [0, 0]], [[0, 0], [16112749207859/1837, -2230541717428/5511], [10514364577/1837, -1453972717/5511], [-3332/1837, -5/5511]], [[0, 0], [338816909621675533/1837, 174630272211222143/1837], [221113375450856/1837, 113966711269814/1837], [-75606037/1837, -118908367/5511]]], 0, 7680, [], [] >,
< [ -3, 0, 1 ], [[-416, -128]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3122728/167, -11332/501], [-6664/167, -10/501], [0, 0]], [[0, 0], [154082027038/167, -264153405232/501], [-327852792/167, 562027976/501], [-194/167, -4/501]], [[0, 0], [-20290130983810/167, 28524744209123/501], [43194680609/167, -60652864507/501], [249945/167, 393110/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53598814/167, 4738/167], [-34946/167, 2/167], [0, 0]], [[0, 0], [-23954592703181/1837, 4780418481482/1837], [-15617628693/1837, 3116354953/1837], [-5212/1837, 1/5511]], [[0, 0], [91550201596262846/1837, 129961065794367625/5511], [59690652596945/1837, 84735892579567/5511], [29027799/1837, 15217132/1837]]], 0, 7680, [], [] >,
< [ -3, 0, 1 ], [[556, 320]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [689, 1], [22, 0], [0, 0]], [[0, 0], [11263389227/334, -2388991669/501], [359840225/334, -154133327/1002], [-664/167, -5/1002]], [[0, 0], [97262068341443/167, 287164581379093/1002], [6197302120075/334, 9141237988135/1002], [-29549961/334, -7746579/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26661047/167, -14906/501], [6707/167, 4/501], [0, 0]], [[0, 0], [22025307191814/1837, -1232288808387/3674], [-11081467037/3674, 309808625/3674], [6109/3674, 1/5511]], [[0, 0], [-103697266926574840/1837, -161607190396076096/5511], [26087037735672/1837, 40655644632070/5511], [-15045739/1837, -23679301/5511]]], 1, 120, [], [] >,
< [ -3, 0, 1 ], [[556, 320]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-218856/167, -2159/501], [-7006/167, -5/501], [0, 0]], [[177, 2], [-7337589743/334, 8769220573/1002], [-117872339/167, 141438791/501], [563/334, 1/334]], [[324535/2, 170691/2], [-2470377040303/334, -1245505541221/501], [-39416250573/167, -39503974255/501], [508547/334, 399955/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25499813/167, 4812/167], [-6408/167, -1/167], [0, 0]], [[-2086, 2], [1908307512183/1837, -368238556298/5511], [-479494931/1837, 92609488/5511], [4272/1837, 2/5511]], [[-1138877/2, -598791/2], [937542935431647/3674, 240833426219634/1837], [-117774886291/1837, -60505934778/1837], [2336459/3674, 1843337/5511]]], 1, 120, [], [] >,
< [ -3, 0, 1 ], [[384, 416]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2599020/167, -7076/501], [36142/167, -2/501], [0, 0]], [[0, 0], [1678490979495/167, 668200240808/501], [23349430901/167, 9354278579/501], [62/167, 1/167]], [[0, 0], [-884209576958132/167, -1632431297963348/501], [-12316040078036/167, -22733457622184/501], [-26840/167, -51194/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31326032/167, -8708/501], [-33750/167, 10/501], [0, 0]], [[0, 0], [-9643274798737/1837, 313143155288/5511], [10389376367/1837, -337605523/5511], [1538/1837, -1/5511]], [[0, 0], [8370833307786966/1837, 16070960813077244/5511], [-9018353411004/1837, -17314165574812/5511], [-8160/11, -15608/33]]], 0, 30720, [], [] >,
< [ -3, 0, 1 ], [[832, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [836, 484], [386, 222], [0, 0]], [[0, 0], [-313, -197], [-223, -105], [10, -2]], [[0, 0], [1349, -783], [-1953, 1125], [634, -366]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-868, -504], [20, -4], [0, 0]], [[0, 0], [-7, -4457], [21705, -12495], [4, -4]], [[0, 0], [100254, 49028], [42338, -25316], [46, 14]]], 0, 30720, [], [] >,
< [ -3, 0, 1 ], [[-416, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [85, 93], [87, 53], [0, 0]], [[0, 0], [-8532, 4665], [-661, 190], [6, -4]], [[0, 0], [-3, -2], [-18, -9], [-4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, -98], [-48, -30], [0, 0]], [[0, 0], [2298/11, -3159/11], [-931/11, -1026/11], [-70/11, -8/11]], [[0, 0], [-121124/11, 76510/11], [-8964/11, 10782/11], [1066/11, -442/11]]], 0, 7680, [], [] >,
< [ -3, 0, 1 ], [[-416, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82, 21], [1, 2], [0, 0]], [[0, 0], [348, -698], [4, -2], [-4, 2]], [[0, 0], [32, 20], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [403, 443], [-1, 9], [0, 0]], [[0, 0], [-52791/11, -25524/11], [-938/11, -171/11], [-52/11, 6/11]], [[0, 0], [30265/11, 45812/11], [-1160/11, 1475/11], [-160/11, 120/11]]], 0, 7680, [], [] >,
< [ -3, 0, 1 ], [[-416, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-241, -42], [-36, -17], [0, 0]], [[0, 0], [88392, -35442], [5824, -2], [-256, -148]], [[0, 0], [-4731810, 2734046], [-183774, 106562], [-46, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [305, 104], [2, -7], [0, 0]], [[0, 0], [-29950/11, -18276/11], [714/11, 240/11], [12/11, 2/11]], [[0, 0], [-26376/11, -1954/11], [-1790/11, 1348/11], [-58/11, 38/11]]], 0, 7680, [], [] >,
< [ -3, 0, 1 ], [[52, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [47/2, -49/2], [-45/2, -35/2], [0, 0]], [[-1/2, -1/2], [-81415/2, 21417], [-9659, -533/2], [-1/2, -1/2]], [[0, 0], [444, -278], [2, -62], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3695/2, -119/2], [-195/2, -5/2], [0, 0]], [[19/2, 5/2], [108209/22, -43437/11], [2911/11, -4537/22], [19/22, 5/22]], [[-3/2, 5/2], [-79144/11, 88455/22], [-8357/22, 2346/11], [-3/22, 5/22]]], 1, 120, [], [] >,
< [ -3, 0, 1 ], [[52, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-123, 18], [-28, -1], [0, 0]], [[0, 0], [-8, 1], [-1, 0], [1, 0]], [[0, 0], [5053, 423/2], [2553/2, 276], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [141/2, 117/2], [5/2, -1/2], [0, 0]], [[0, 0], [-52942/11, -23714/11], [304/11, -712/11], [4/11, -3/11]], [[0, 0], [1334, 1563/2], [29/2, 7], [0, 0]]], 1, 120, [], [] >,
< [ -3, 0, 1 ], [[-48, -52]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, -23], [-35, -15], [0, 0]], [[5, 2], [33/2, -11/2], [77, -19], [1/2, 3/2]], [[-3/2, 1/2], [-19, 23/2], [-183/2, 103/2], [3/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1/2], [1, 2], [-5/2, 1/2], [0, 0]], [[7/2, 1/2], [115/2, 21/2], [-35/2, -5/2], [7/2, 1/2]], [[49/2, 35/2], [867/2, 601/2], [-245/2, -175/2], [49/2, 35/2]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[-48, -52]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, -15], [-31, -7], [0, 0]], [[0, 0], [-522, -625/2], [-423, -168], [-1/2, 2]], [[0, 0], [365, 235], [393, 72], [3, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -1], [-14, -6], [0, 0]], [[0, 0], [-15/2, 3/2], [-88, -43], [-9/2, -3/2]], [[0, 0], [11/2, -11/2], [3, -3], [1/2, -1/2]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[384, 416]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [314, 210], [-44, 0], [0, 0]], [[0, 0], [-16, 1], [6, 0], [1, 0]], [[0, 0], [-190, -776], [560, -266], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 8], [-14, -6], [0, 0]], [[0, 0], [6, 1], [6, 0], [1, 0]], [[0, 0], [-62, -36], [0, 0], [0, 0]]], 0, 15360, [], [] >,
< [ -3, 0, 1 ], [[1184, 960]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1132092/167, -3946/501], [-36142/167, 2/501], [0, 0]], [[0, 0], [-928363729015/167, 315107037475/501], [-29649916150/167, 10164772768/501], [1161/167, 5/501]], [[0, 0], [27830270227253935/167, 17397100437965406/167], [886515092387647/167, 554354014118151/167], [-43988784/167, -80350433/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29228836/167, -37384/501], [19054/167, -10/501], [0, 0]], [[0, 0], [-1339276931/1837, 10310913373556/5511], [813105/1837, 6721645511/5511], [-2136/1837, -1/5511]], [[0, 0], [10941797104036466/167, 5989776873972710/167], [7135855509618/167, 3906502663162/167], [-3724456/167, -2267758/167]]], 0, 84480, [], [] >,
< [ -3, 0, 1 ], [[24, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 0], [1, 0], [0, 0]], [[0, 0], [162, 68], [0, 0], [-9, 5]], [[0, 0], [4155, 2379], [0, 0], [-12, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -11], [0, -3], [0, 0]], [[0, 0], [3, 1], [0, 0], [1, 0]], [[0, 0], [-63, -36], [-9, -4], [0, 0]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[24, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 0], [1, 0], [0, 0]], [[0, 0], [33, 17], [0, 0], [3, 4]], [[0, 0], [-3, -1], [0, 0], [0, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -13], [0, 1], [0, 0]], [[0, 0], [-3, 1], [0, 0], [1, 0]], [[0, 0], [18, 10], [0, 0], [0, 0]]], 0, 48, [], [] >,
< [ -3, 0, 1 ], [[12, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45/2, -5/2], [5/2, -1/2], [0, 0]], [[0, 0], [-939/2, -283/2], [-93/2, -21/2], [-12, 2]], [[0, 0], [321, 252], [27, 24], [0, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [6, -1], [0, 0]], [[0, 0], [0, 0], [0, 0], [1, 0]], [[0, 0], [-3/2, -1/2], [-3/2, -1/2], [0, 0]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[12, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[-9/2, 5/2], [6, 3], [0, 0], [-9/2, 5/2]], [[0, 0], [9, 5], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -2], [-9, 0], [0, 0]], [[9/2, 3/2], [-39, -2], [-60, 4], [9/2, 3/2]], [[-1/2, -5/2], [-21, 28], [-48, 48], [-1/2, -5/2]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [126, 70], [-16, -8], [0, 0]], [[0, 0], [396, 144], [-78, 0], [-24, 2]], [[0, 0], [-7365, 4081], [3855, -2205], [1350, -774]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-117, -101], [-39, -5], [0, 0]], [[0, 0], [48207, -28603], [-25707, 14719], [-10, 0]], [[0, 0], [-39993, 19491], [18819, -11439], [-20, -16]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -8], [12, 10], [0, 0]], [[0, 0], [-369, -237], [301, 169], [-24, 6]], [[0, 0], [-579, 659], [-385, -25], [720, -410]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -10], [-18, -12], [0, 0]], [[0, 0], [-249, -143], [-219, -135], [8, -6]], [[0, 0], [2889, 1665], [2601, 1537], [-24, 30]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[12, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -6], [6, 5], [0, 0]], [[-3, -2], [-78, -427], [309, 316], [-3, -2]], [[19/2, -9/2], [12645, -7174], [-4631, 2541], [19/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[-21/2, -5/2], [12, -11], [0, 0], [-21/2, -5/2]], [[-105, 7], [273, -183], [0, 0], [-105, 7]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[12, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27/2, -35/2], [27/2, -1/2], [0, 0]], [[0, 0], [3, 0], [-1, 0], [1, 0]], [[0, 0], [-783/2, 349/2], [-567/2, 357/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 3], [-3, 2], [0, 0]], [[0, 0], [-37, -32], [-5, 2], [0, -5]], [[0, 0], [125/2, 55/2], [-5/2, 5/2], [9, 1]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -38], [84, 46], [0, 0]], [[0, 0], [-1329, -629], [1537, 791], [-4, 6]], [[0, 0], [-1176, -814], [1472, 944], [10, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 16], [10, 8], [0, 0]], [[0, 0], [17, 33], [13, -3], [-12, -10]], [[0, 0], [1302, -732], [-582, 338], [-180, 96]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 42], [12, -2], [0, 0]], [[0, 0], [240, -28], [-78, 64], [-6, -8]], [[0, 0], [1047, -525], [-629, 377], [20, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-119, -67], [-7, -5], [0, 0]], [[0, 0], [-259, -129], [-5, -15], [0, -2]], [[0, 0], [-55, 23], [25, -15], [0, 0]]], 0, 768, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69/2, -3/2], [-21/2, -3/2], [0, 0]], [[0, 0], [54, 14], [18, 6], [-3, -4]], [[0, 0], [42, -43], [9, -12], [9, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39/2, -1/2], [9/2, 3/2], [0, 0]], [[0, 0], [414, -201], [-51, 16], [-12, -9]], [[0, 0], [-3564, 2178], [342, -240], [-60, -15]]], 0, 72, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 19], [24, 18], [0, 0]], [[-9/2, 1/2], [-201, 100], [-54, 12], [-9/2, 1/2]], [[9, 3], [201, -50], [99, 24], [9, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -8], [15, -3], [0, 0]], [[0, 2], [471, 214], [273, 130], [0, 6]], [[11/2, -3/2], [240, 277], [156, 156], [33/2, -9/2]]], 0, 72, [], [] >,
< [ -3, 0, 1 ], [[72, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, 95], [-6, -15], [0, 0]], [[0, 0], [-15603, -7939], [2232, 504], [12, -3]], [[0, 0], [-68235, -35987], [9072, 2736], [42, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69, -36], [-3, -4], [0, 0]], [[0, 0], [360, 206], [27, 15], [-9, -12]], [[0, 0], [-216, -35], [-36, 9], [-285, 171]]], 0, 576, [], [] >,
< [ -3, 0, 1 ], [[72, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-183, -98], [-3, -12], [0, 0]], [[0, 0], [3612, 2222], [402, 60], [12, -4]], [[0, 0], [17301, 10461], [1716, 396], [45, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 15], [15, -1], [0, 0]], [[0, 0], [-90, -151], [-204, 51], [-3, -9]], [[0, 0], [-1506, -964], [-663, -221], [-81, -54]]], 0, 576, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57, -45], [-15, 15], [0, 0]], [[0, 0], [-87, 15], [93, -51], [-6, 10]], [[0, 0], [-78, 494], [720, -450], [-168, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, 45], [33, 1], [0, 0]], [[0, 0], [2736, -1034], [-1260, 900], [-12, 30]], [[0, 0], [48462, -17654], [-21780, 15840], [-180, 540]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -44], [60, 30], [0, 0]], [[0, 0], [108, 64], [-78, -24], [30, -10]], [[0, 0], [9, 9], [-123, 63], [126, -72]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 16], [-72, -38], [0, 0]], [[0, 0], [-63, -63], [345, 155], [30, 12]], [[0, 0], [-486, -28], [594, 762], [36, 72]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63/2, 15/2], [-9/2, 5/2], [0, 0]], [[0, 0], [111, 43], [0, 0], [-12, 4]], [[0, 0], [192, 144], [0, 0], [9, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, 11], [-18, -2], [0, 0]], [[0, 0], [-495, -72], [207, 0], [6, -5]], [[0, 0], [381/2, 519/2], [-69/2, -207/2], [6, -2]]], 0, 72, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 18], [3, 2], [0, 0]], [[3, -2], [-66, 46], [0, 0], [3, -2]], [[-9/2, 1/2], [111, -4], [0, 0], [-9/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, -12], [-6, -3], [0, 0]], [[15, 0], [-9, 46], [0, -1], [15, 0]], [[-3/2, -1/2], [-6, -3], [0, 0], [-3/2, -1/2]]], 0, 72, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, 60], [0, -2], [0, 0]], [[0, 0], [147, 89], [-9, -5], [-6, -4]], [[0, 0], [-12, 6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -26], [36, 14], [0, 0]], [[0, 0], [-3705, -2167], [2283, 1315], [-18, 8]], [[0, 0], [1644, -1228], [330, -20], [-1230, 710]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-93, -57], [-3, -1], [0, 0]], [[0, 0], [114, -44], [0, 0], [24, -2]], [[0, 0], [-474, 54], [0, 0], [-144, -36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-393, -223], [-21, -5], [0, 0]], [[0, 0], [-1404, -166], [-1104, 598], [24, 4]], [[0, 0], [-1464, 644], [-2484, 1426], [24, -10]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[0, -36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 20], [3, -4], [0, 0]], [[13/2, 7/2], [-570, -679/2], [273/2, -59/2], [9/2, 2]], [[-6, -4], [564, 306], [141, -129], [-3, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 9], [6, -2], [0, 0]], [[0, 1], [-3/2, 9/2], [18, -10], [-3/2, 3/2]], [[-1/2, -1/2], [-3/2, -2], [-9/2, 5/2], [0, -1/2]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[0, -36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63, 5], [-15, -1], [0, 0]], [[0, 0], [-3378, 89/2], [810, -20], [9/2, 0]], [[0, 0], [8622, 10426], [-1980, -2475], [-12, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -9], [-6, -4], [0, 0]], [[0, 0], [27/2, 5], [-54, -32], [3, 1/2]], [[0, 0], [-36, -57/2], [210, 119], [-9/2, -6]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[0, 288]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, -56], [0, 4], [0, 0]], [[0, 0], [-4758, -2753], [210, 90], [15, 4]], [[0, 0], [-2556, -1484], [138, 34], [12, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 6], [-18, -14], [0, 0]], [[0, 0], [-30, 17], [0, -4], [9, -4]], [[0, 0], [15, 5], [162, 94], [-45, -25]]], 0, 13824, [], [] >,
< [ -3, 0, 1 ], [[0, 288]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -44], [-126, -74], [0, 0]], [[0, 0], [291, 294], [600, 430], [-12, -1]], [[0, 0], [2421, 2535], [5070, 3682], [-105, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-270, -84], [-30, 4], [0, 0]], [[0, 0], [-9918, 3709], [-2520, 1344], [-3, -2]], [[0, 0], [6810, -3510], [1932, -1092], [0, 0]]], 0, 13824, [], [] >,
< [ -3, 0, 1 ], [[0, -36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -5], [12, 15], [0, 0]], [[11/2, 7/2], [27/2, 8], [351/2, 193/2], [3, 5/2]], [[-135/2, -95/2], [-345/2, -105], [-4653/2, -2433/2], [-30, -75/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -7], [0, 4], [0, 0]], [[-5/2, -3/2], [21/2, 62], [-63/2, -85/2], [-3, -3/2]], [[0, 0], [18, -6], [-9, 2], [0, 0]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[0, -36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, -3], [-3, 0], [0, 0]], [[0, 0], [9, 15/2], [15, 4], [15/2, 2]], [[0, 0], [39/2, 4], [0, 15], [0, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -10], [3, 2], [0, 0]], [[0, 0], [27/2, 45/2], [0, 0], [3/2, 15/2]], [[0, 0], [-423, 839/2], [0, 0], [-435/2, 174]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[0, 288]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 10], [540, 312], [0, 0]], [[0, 0], [204, 126], [5286, 3082], [6, -4]], [[0, 0], [-129, -66], [-3090, -1758], [6, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -26], [102, 62], [0, 0]], [[0, 0], [1143, 587], [-2700, -1440], [-3, 9]], [[0, 0], [-2142, -1339], [5220, 3180], [-27, 0]]], 0, 13824, [], [] >,
< [ -3, 0, 1 ], [[0, 288]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -56], [12, -6], [0, 0]], [[0, 0], [-300, -176], [12, -4], [6, -2]], [[0, 0], [-2658, -1537], [30, 8], [15, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -32], [-18, -10], [0, 0]], [[0, 0], [-1071, 514], [-174, 80], [-12, -9]], [[0, 0], [11208, -6228], [1794, -988], [12, 30]]], 0, 13824, [], [] >,
< [ -3, 0, 1 ], [[24, 24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 24], [-15, -2], [0, 0]], [[0, 0], [163, 81], [54, -72], [-3, 1]], [[0, 0], [73/2, 101/2], [-216, 108], [11/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-106, -64], [-3, -4], [0, 0]], [[0, 0], [-3947, -2319], [-153, -123], [-1, 1]], [[0, 0], [-2239/2, -47/2], [-495, 255], [47/2, -27/2]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[24, 24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -2], [-3, 0], [0, 0]], [[0, 0], [-89/2, -47/2], [-24, -13], [-1/2, 3/2]], [[0, 0], [64, -66], [21, -28], [74, -42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 22], [-6, -4], [0, 0]], [[0, 0], [32, 113], [-39, 0], [1, 2]], [[0, 0], [-3753/2, 2335/2], [-477, 261], [-55/2, 35/2]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 30], [15, -1], [0, 0]], [[0, 0], [2, 1], [0, 0], [1, 0]], [[0, 0], [182, -276], [-255, 119], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-332, -190], [-3, -3], [0, 0]], [[0, 0], [0, -1], [0, 0], [1, 0]], [[0, 0], [166, -64], [-105, 61], [0, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [492, 278], [120, 70], [0, 0]], [[0, 0], [1989, 1145], [431, 249], [-512, -296]], [[0, 0], [-3147, -1833], [-689, -397], [800, 460]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25, -5], [1, -1], [0, 0]], [[0, 0], [-1986, -1146], [0, 0], [1020, 588]], [[0, 0], [2712, 1568], [0, 0], [-1380, -800]]], 0, 9216, [], [] >,
< [ -3, 0, 1 ], [[0, -576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-183, -165], [-15, -3], [0, 0]], [[0, 0], [-2583, 1543], [255, -145], [6, -6]], [[0, 0], [-6, 2], [0, 0], [-6, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-198, -122], [36, 20], [0, 0]], [[0, 0], [771, 413], [-147, -75], [-42, -2]], [[0, 0], [-9336, 5482], [2856, -1666], [6480, -3744]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[0, -576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [231, 309], [39, 3], [0, 0]], [[0, 0], [121332, -71332], [-13668, 7820], [-36, 8]], [[0, 0], [605742, -321514], [-63240, 38080], [126, 210]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, -56], [6, 2], [0, 0]], [[0, 0], [-1116, -666], [96, 46], [36, -4]], [[0, 0], [3939, -2037], [1605, -945], [4266, -2466]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [492, 282], [48, 26], [0, 0]], [[0, 0], [-3632, -2100], [-344, -184], [4, -4]], [[0, 0], [5201, 2999], [461, 281], [8, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [432, 248], [48, 28], [0, 0]], [[0, 0], [-2799, -1649], [-339, -183], [-6, -8]], [[0, 0], [316, 204], [46, 18], [-2, 2]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[0, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33/2, -19/2], [-15/2, 5/2], [0, 0]], [[0, -1], [-15/2, -9/2], [-9/2, -1/2], [0, -1]], [[-3/2, -3/2], [-15/2, -4], [-6, -5/2], [-3/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, -28], [0, 2], [0, 0]], [[3/2, -1/2], [-1023/2, 199], [3, -21/2], [3/2, -1/2]], [[0, 0], [-429/2, -115/2], [-27/2, -19/2], [0, 0]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[0, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [183/2, 4], [-3, -1/2], [0, 0]], [[0, 0], [-906, -1339], [51, 50], [-30, -15]], [[0, 0], [-1203, 1504], [18, -45], [18, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -23/2], [-9/2, -1], [0, 0]], [[0, 0], [-1095, -1010], [-90, -75], [-12, 1]], [[0, 0], [-2445, 3426], [-120, 225], [96, -48]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[0, 288]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [141, 37], [15, 13], [0, 0]], [[0, 0], [2565, 1144], [390, 261], [12, 10]], [[0, 0], [-9177, 5595], [1053, -553], [90, -50]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, -31], [-3, 5], [0, 0]], [[0, 0], [-2595, -1478], [534, 315], [-12, 10]], [[0, 0], [-6342, -3898], [1440, 752], [180, -96]]], 0, 13824, [], [] >,
< [ -3, 0, 1 ], [[0, 288]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [150, 89], [-3, 2], [0, 0]], [[0, 0], [744, 424], [0, 0], [30, 10]], [[0, 0], [210, 94], [0, 0], [36, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-273, -93], [15, -3], [0, 0]], [[0, 0], [-24828, -17897], [69, 690], [-18, 4]], [[0, 0], [-67110, 145163], [26979, -17986], [660, -360]]], 0, 13824, [], [] >,
< [ -3, 0, 1 ], [[0, 288]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -61], [-15, -1], [0, 0]], [[0, 0], [-4074, 1869], [375, -300], [6, 6]], [[0, 0], [12384, 5836], [1800, 1200], [-210, -122]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 7], [3, 4], [0, 0]], [[0, 0], [-126, -206], [-12, -48], [222, 130]], [[0, 0], [-420, 896], [-192, 240], [-510, -310]]], 0, 13824, [], [] >,
< [ -3, 0, 1 ], [[0, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-219/2, 47/2], [15/2, -1/2], [0, 0]], [[21/2, 1/2], [-507, 777/2], [57/2, -17], [21/2, 1/2]], [[36, 12], [-1047/2, 1575/2], [87/2, -57/2], [36, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -15], [9, 0], [0, 0]], [[0, -2], [-111/2, -163/2], [249/2, 123/2], [0, -2]], [[-9/2, 7/2], [-189/2, 111], [-87, -31/2], [-9/2, 7/2]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[0, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-123/2, 17], [6, 1/2], [0, 0]], [[0, 0], [-1755, 1209/2], [315/2, 0], [9, 3]], [[0, 0], [-1425/2, 943/2], [63/2, -63/2], [0, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -57/2], [9/2, 0], [0, 0]], [[0, 0], [339, 307], [-45, -5], [18, 9]], [[0, 0], [9, 58], [-12, 3], [3, 1]]], 0, 216, [], [] >,
< [ -3, 0, 1 ], [[0, 288]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, 42], [24, 18], [0, 0]], [[0, 0], [-9, 10], [6, -3], [6, -8]], [[0, 0], [-3, 0], [0, -1], [0, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 19], [21, 13], [0, 0]], [[0, 0], [228, 103], [249, 138], [24, -2]], [[0, 0], [6537, -3853], [1251, -817], [3672, -2124]]], 0, 13824, [], [] >,
< [ -3, 0, 1 ], [[0, 288]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, -37], [15, -4], [0, 0]], [[0, 0], [2166, 834], [180, 60], [-30, 0]], [[0, 0], [369, -455], [45, -45], [-24, 16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -2], [-6, -5], [0, 0]], [[0, 0], [-78, -30], [-36, -24], [-6, 0]], [[0, 0], [204, -122], [-36, 18], [24, -14]]], 0, 13824, [], [] >,
< [ -3, 0, 1 ], [[0, 288]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, -19], [15, 2], [0, 0]], [[0, 0], [-5508, -2736], [900, 420], [-54, -30]], [[0, 0], [-1404, 16], [270, -30], [-6, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [465, 245], [-15, -1], [0, 0]], [[0, 0], [69777, 41302], [-1050, -925], [30, 8]], [[0, 0], [75486, -76817], [-32175, 19200], [-960, 544]]], 0, 13824, [], [] >,
< [ -3, 0, 1 ], [[24, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-93/2, -59/2], [21/2, 13/2], [0, 0]], [[0, 0], [2, 1], [1, 0], [1, 0]], [[0, 0], [-39/2, -11/2], [9/2, 3/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99/2, 65/2], [21/2, 1/2], [0, 0]], [[0, 0], [-4, -1], [1, 0], [1, 0]], [[0, 0], [-54, -186], [-210, 98], [0, 0]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[24, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81/2, -55/2], [-3/2, 5/2], [0, 0]], [[0, 0], [2, 1], [1, 0], [1, 0]], [[0, 0], [-138, -78], [6, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [171/2, 103/2], [3/2, 1/2], [0, 0]], [[0, 0], [-4, -1], [1, 0], [1, 0]], [[0, 0], [12, 8], [0, 0], [0, 0]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 4], [12, 6], [0, 0]], [[0, 0], [141, 82], [1158, 667], [-3, -3]], [[0, 0], [65, 40], [550, 313], [1, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 13], [15, -3], [0, 0]], [[0, 0], [-2140, -1242], [-674, -384], [-2, -2]], [[0, 0], [147, 18], [-12, 39], [9, -5]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-384, -288]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [506192/167, 1026/167], [-3722/167, -10/167], [0, 0]], [[0, 0], [-52752/167, 431123/501], [-231/167, -3881/501], [-237/167, -2/501]], [[0, 0], [36853465/167, -7526311/501], [-342046/167, -117044/501], [-3629/167, -62075/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4232618/167, -3068/167], [3130/167, -2/167], [0, 0]], [[0, 0], [-6936003152886/1837, 151072069255/5511], [-5129220375/1837, 110404967/5511], [3033/1837, -4/5511]], [[0, 0], [11557582615855776/1837, 235268124083431090/5511], [8561782294476/1837, 173984852757032/5511], [-5756506/1837, -102997594/5511]]], 0, 5120, [], [] >,
< [ -3, 0, 1 ], [[768, 576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [298, 110], [12, 0], [0, 0]], [[0, 0], [9949, -11219], [1617, -965], [1200, 692]], [[0, 0], [-14450294, 8319974], [-1615230, 932422], [4320, 3300]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [831, 497], [-9, -1], [0, 0]], [[0, 0], [6378, -1670], [1134, -654], [-616, -356]], [[0, 0], [-456846, 262840], [-111510, 64380], [252, 180]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[2304, 1728]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1983, 1065], [39, 3], [0, 0]], [[0, 0], [-745170, 462318], [-188538, 109210], [-324, -184]], [[0, 0], [177183732, -101815902], [43191684, -24931370], [-4212, -3132]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-909, -503], [-15, -3], [0, 0]], [[0, 0], [18126, -4482], [3354, -1950], [-2076, -1200]], [[0, 0], [-1683477, 969423], [-437151, 252395], [720, 600]]], 0, 221184, [], [] >,
< [ -3, 0, 1 ], [[48, 36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-248, -24], [12, -5], [0, 0]], [[-11/2, -1/2], [12391/2, -3675], [-1257/2, 715/2], [2, -5/2]], [[90, 50], [-2209, 3953], [579, -185], [30, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 1/2], [-71, -48], [-9/2, 1/2], [0, 0]], [[747/2, -429/2], [-1599/2, 991/2], [747/2, -429/2], [-11/2, -5/2]], [[15168, -8768], [-68095/2, 38675/2], [15168, -8768], [45/2, 81/2]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[48, 36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [89, 67], [6, 2], [0, 0]], [[0, 0], [-1079, 173/2], [39, -45], [1/2, 1]], [[0, 0], [1423, -1031/2], [-99, 70], [1/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 16], [-15, 1], [0, 0]], [[0, 0], [51/2, 277/2], [-135, 15], [5/2, -1/2]], [[0, 0], [5, 627], [-630, 105], [12, -3]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[-384, -288]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -10], [12, 4], [0, 0]], [[0, 0], [-16, 1], [0, 0], [1, 0]], [[0, 0], [-6, 4], [-6, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 8], [294, 170], [0, 0]], [[0, 0], [-10, 1], [6, 0], [1, 0]], [[0, 0], [-10, -8], [-96, -56], [0, 0]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[2592, 1152]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -20], [-792, -456], [0, 0]], [[0, 0], [-66, -101], [-3126, -1814], [-3, -4]], [[0, 0], [-1539, -70], [-21684, -12400], [-60, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [474, 272], [-30, -18], [0, 0]], [[0, 0], [-1752, -1052], [48, 8], [12, 2]], [[0, 0], [1863, 728], [120, -100], [30, -25]]], 0, 165888, [], [] >,
< [ -3, 0, 1 ], [[96, 192]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3832/167, 854/167], [38/167, 6/167], [0, 0]], [[0, 0], [313351/167, -65647/501], [-4130/167, 2456/501], [827/167, 5/501]], [[0, 0], [5284632412/167, 3821799319/167], [-48060809/167, -39921243/167], [16366717/167, 11257592/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3953722/167, -5072/167], [1546/167, -2/167], [0, 0]], [[0, 0], [776949886868/1837, 238799798/5511], [303837452/1837, 90896/5511], [2478/1837, -4/5511]], [[0, 0], [2178248821682491/1837, 4492257047170160/5511], [851830799923/1837, 1756754888693/5511], [6938120/1837, 14314235/5511]]], 0, 5120, [], [] >,
< [ -3, 0, 1 ], [[-576, -1152]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [873, -45], [-45, -5], [0, 0]], [[0, 0], [79710, -53778], [-3168, 1984], [-396, -228]], [[0, 0], [-9890496, 5708112], [377856, -218112], [-48, -100]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [117, 73], [-3, -1], [0, 0]], [[0, 0], [-630, -554], [0, 0], [-852, -492]], [[0, 0], [117552, -67960], [0, 0], [-24, -84]]], 0, 221184, [], [] >,
< [ -3, 0, 1 ], [[-192, -384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-645, -399], [-7, -3], [0, 0]], [[0, 0], [-216, 1526], [60, -30], [720, 416]], [[0, 0], [-132, 474], [20, -10], [180, 104]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [489, 199], [-45, -5], [0, 0]], [[0, 0], [16833, -17517], [-6003, 3393], [-644, -372]], [[0, 0], [7940496, -4585636], [-1999956, 1154664], [-44, -88]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[96, 192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [280, -52], [390, 10], [0, 0]], [[0, 0], [2, 1], [6, 0], [1, 0]], [[0, 0], [-13136, 8186], [-12636, 8586], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 2], [162, -6], [0, 0]], [[0, 0], [0, 1], [6, 0], [1, 0]], [[0, 0], [16, 12], [150, 190], [0, 0]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-12, -24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, -5], [114, -3], [0, 0]], [[1, 2], [-12689/2, -469/2], [-189903, 136743], [5/2, -1/2]], [[205/2, 109/2], [-139067, -183123/2], [3472773/2, 385043/2], [61/2, 24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-66, 0], [-47, -3], [-66, 0], [0, 0]], [[-5175/2, -1495/2], [-1942, -647], [-5139/2, -1483/2], [3, 1]], [[897/2, 1035/2], [777/2, 777/2], [891/2, 1029/2], [-1/2, -1/2]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[-12, -24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [60, -1], [0, 0]], [[0, 0], [507/2, 1/2], [7293, -255], [1/2, 5/2]], [[0, 0], [9851/2, 2047], [135204, 53667], [70, 105/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-7, -2], [45, -14], [-7, -2]], [[0, 0], [525/2, 399/2], [210, -818], [525/2, 399/2]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[-1728, -288]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [354, 26], [-342, -2], [0, 0]], [[0, 0], [-36894, 98721], [55788, -99264], [3, 0]], [[0, 0], [1770897, 1571673], [-1424730, -1424218], [57, 25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 12], [30, -6], [0, 0]], [[0, 0], [6222, 1307], [-3312, -724], [9, 4]], [[0, 0], [47172, 7948], [-25080, -4452], [66, 28]]], 0, 165888, [], [] >,
< [ -3, 0, 1 ], [[480, 192]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -36], [-306, -178], [0, 0]], [[0, 0], [-388863/193, -242732/579], [-4021, -1995], [510/193, -1/579]], [[0, 0], [294400791/193, -169782628/193], [671379, -384939], [-604170/193, 348635/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 18], [702, 406], [0, 0]], [[0, 0], [-14765/193, -65558/193], [-6609, -4539], [-400/193, -1/193]], [[0, 0], [41464751/193, -72147497/579], [516210, -310380], [-167805/193, 289619/579]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[1440, 576]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -16], [6, 2], [0, 0]], [[0, 0], [-22776/193, 34795/193], [267, 3], [-249/193, -4/193]], [[0, 0], [2929097/193, -1679077/193], [-9126, 5356], [8437/193, -4953/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -24], [132, 76], [0, 0]], [[0, 0], [-412535/193, 76/193], [-915, -9], [842/193, 5/193]], [[0, 0], [211846860/193, -122734764/193], [461694, -267518], [-427788/193, 247860/193]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[-960, -384]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [97, 53], [15, 7], [0, 0]], [[0, 0], [-2959948/193, -409305/193], [-11032, -333], [-21174/2509, 4/2509]], [[0, 0], [-2344985084/193, 1381312197/193], [-10926884, 6395445], [-22151668/2509, 12947550/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [530650/193, 1206/193], [0, 0], [44060/2509, 4/2509]], [[0, 0], [-3192/193, 2088/193], [0, 0], [-266/2509, 174/2509]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[480, 192]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -37], [-2, 1], [0, 0]], [[0, 0], [3882263/193, 46187/193], [21, -11], [-10159/2509, 5/2509]], [[0, 0], [-321781293/386, 9107979/386], [-1853/2, 983/2], [421644/2509, -17140/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [195/2, 119/2], [-5/2, -5/2], [0, 0]], [[0, 0], [205721545/4246, 121421/4246], [-16187/22, 21/22], [16033/27599, 1/27599]], [[0, 0], [-24288189224/2123, -6259703025/2123], [1908310/11, 488933/11], [-3784280/27599, -973708/27599]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[480, 192]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [2, 1], [0, 0]], [[0, 0], [-840365/386, 9385/386], [-12973/2, -3/2], [-12973/2509, -3/2509]], [[0, 0], [128205125/386, -65648009/386], [1945233/2, -991249/2], [1945233/2509, -991249/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 13], [2, 1], [0, 0]], [[0, 0], [-166463, -12], [2509, 0], [-2, 0]], [[0, 0], [-21922741297/4246, -56780303361/4246], [1711107/22, 4434159/22], [-1711107/27599, -4434159/27599]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[480, 192]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [219, 119], [-5, -1], [0, 0]], [[0, 0], [-5054216/193, -192940/193], [-574, 322], [14931/2509, 5/2509]], [[0, 0], [-2599535/386, 306867793/386], [-63231/2, 37429/2], [55535/2509, -455387/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [148, -31], [-2, -1], [0, 0]], [[0, 0], [-12165837361/4246, 61195065/4246], [-148373/22, -175/22], [149561/27599, -1/27599]], [[0, 0], [-202518606273/386, -82384496971/386], [-2488841/2, -1020183/2], [2505120/2509, 1025380/2509]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-60, -24]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 11/2], [0, 1/2], [0, 0]], [[0, 0], [-11, -5/2], [2, -3/2], [0, 0]], [[23/2, 7/2], [30815/772, 9411/772], [23/4, 7/4], [-59/5018, -9/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94, -19], [0, 1], [0, 0]], [[6719, -1], [424148162/2123, 12005975/4246], [-21783/11, -287/22], [-11566/27599, 1/27599]], [[102401/2, 19353/2], [13033414759/8492, 2628318961/8492], [-666509/44, -129959/44], [-88139/27599, -33325/55198]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[-60, -24]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17, 3], [1, -1], [0, 0]], [[0, 0], [69909/772, -7455/772], [-7/4, 1/4], [2937/5018, 3/5018]], [[0, 0], [2657007/772, 879003/772], [-253/4, -77/4], [63979/2509, 25345/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33/2, 17/2], [1/2, 1/2], [0, 0]], [[0, 0], [-228187651/2123, -247432/2123], [17783/11, -52/11], [-71231/55198, -1/55198]], [[0, 0], [588254400641/8492, 183916032873/8492], [-45671771/44, -14149271/44], [45861411/55198, 14303711/55198]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[480, 192]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 32], [192, 112], [0, 0]], [[0, 0], [869/193, 49153/193], [336, 838], [979/193, 1/193]], [[0, 0], [37307640/193, -64788425/579], [493481, -286087], [-433795/193, 749420/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, 244], [-438, -254], [0, 0]], [[0, 0], [257650, -125143], [5871, -161], [-1, 0]], [[0, 0], [78138548749/2123, -71135440438/6369], [17134885/11, 5270063/11], [-578844/2123, -567359/6369]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[480, 192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [238, 142], [-570, -330], [0, 0]], [[0, 0], [4, 1], [0, 0], [1, 0]], [[0, 0], [-270, -160], [636, 368], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6110, -3692], [246, 142], [0, 0]], [[0, 0], [1425467/11, -830502/11], [360/11, 60/11], [-30/11, -5/11]], [[0, 0], [-79153644/11, 46039646/11], [-17616/11, -1968/11], [1468/11, 164/11]]], 0, 7168, [], [] >,
< [ -3, 0, 1 ], [[-1152, -288]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, -76], [102, 58], [0, 0]], [[0, 0], [946303/193, 595872/193], [-3993, -2335], [137/193, 4/193]], [[0, 0], [-1756581/193, 857588/193], [1533, -249], [2457/193, -1430/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -24], [-150, -86], [0, 0]], [[0, 0], [262498/193, -67441/193], [963, -317], [1502/193, 3/193]], [[0, 0], [104623276/193, -61845382/193], [418500, -245716], [404876/193, -248664/193]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[-384, -96]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 20], [276, 160], [0, 0]], [[0, 0], [285829/193, 328928/579], [7909, 4123], [717/193, -2/579]], [[0, 0], [344277715/193, -595847743/579], [2758720, -1587910], [2576775/193, -4462415/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 24], [102, 58], [0, 0]], [[0, 0], [-65618/193, 137195/579], [69, 525], [-262/193, 1/579]], [[0, 0], [259004537/193, -448607246/579], [1502847, -867627], [469573/193, -813358/579]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[768, 192]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -6], [-1428, -824], [0, 0]], [[0, 0], [147, 33], [10110, 5610], [-61/13, -1/13]], [[0, 0], [171623/2, -99049/2], [376971, -215819], [-113187/26, 65337/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-122, -70], [294, 170], [0, 0]], [[0, 0], [-263/2, -215/2], [213, 263], [-113/26, -1/26]], [[0, 0], [-1519/2, 877/2], [3303, -1907], [1519/26, -877/26]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[48, 12]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23/2, 11/2], [-6, 3], [0, 0]], [[0, 0], [-397/2, -477/4], [-87/2, 29], [-3/13, 3/52]], [[0, 0], [-557/4, -319/4], [21/2, -9/2], [-1/52, -3/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, -4], [0, -2], [0, 0]], [[0, 0], [-16289/22, -38965/44], [3543/22, -21/11], [123/286, -3/572]], [[0, 0], [111615/22, 109237/22], [-9213/11, -694/11], [-320/143, -24/143]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[48, 12]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -6], [-15, -5], [0, 0]], [[27/2, -3/2], [-83/4, -8], [-135/2, -9], [-3/4, 0]], [[57, -38], [-47/4, 93/4], [-327/2, 267/2], [-133/52, 95/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [113/2, -7/2], [-6, -3], [0, 0]], [[-105/2, 3/2], [-354187/22, 411661/44], [5682/11, 409/22], [123/286, -3/572]], [[220, 16], [1235167/22, -719699/22], [-24291/11, -3284/11], [-259/143, -23/143]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[-384, -96]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, 17], [0, 10], [0, 0]], [[0, 0], [-445/2, 102], [318, -123], [47/26, -1/13]], [[0, 0], [2861/2, -1387/2], [-2013, 859], [-275/26, 33/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-931, -427], [18, 0], [0, 0]], [[0, 0], [-358169, 214246], [33768, -19874], [-1, 0]], [[0, 0], [910488241/22, -277570917/11], [-43115118/11, 25639555/11], [42375/286, 2599/143]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-384, -96]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -10], [702, 406], [0, 0]], [[0, 0], [249/2, 29/2], [-4425, -2319], [79/26, 3/26]], [[0, 0], [-144547/2, 41827], [292374, -174437], [-53669/26, 15521/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1682, -974], [474, 274], [0, 0]], [[0, 0], [-112723/11, -85955/11], [28146/11, 24194/11], [-347/143, -1/143]], [[0, 0], [-12670887/2, 3658769], [2411142, -1392341], [121023/26, -34935/13]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-384, -96]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 15], [30, -4], [0, 0]], [[0, 0], [101/2, 3], [-174, 57], [-75/26, -2/13]], [[0, 0], [999, -717], [-6558, 3974], [-749/13, 535/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [187, -17], [-6, 8], [0, 0]], [[0, 0], [615672/11, -620953/22], [-37905/11, 27568/11], [266/143, -3/286]], [[0, 0], [807891263/22, -191135172/11], [-22685808/11, 18414909/11], [417585/286, 21728/143]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-384, -96]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 34], [702, 406], [0, 0]], [[0, 0], [-105187/193, 136093/579], [4262, 2624], [-317/193, -1/579]], [[0, 0], [34038497/193, -58953736/579], [52123, -30391], [58615/193, -101492/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-516, -266], [444, 256], [0, 0]], [[0, 0], [657461836/2123, 320479367/6369], [-120293/11, -2777/11], [12476/2123, 1/6369]], [[0, 0], [1795760283907/2123, 2219743740476/6369], [-291324269/11, -95628719/11], [29575385/2123, 27708100/6369]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-384, -96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [274, 164], [192, 112], [0, 0]], [[0, 0], [0, 1], [0, 0], [1, 0]], [[0, 0], [280, 160], [198, 114], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39216, 21926], [702, 406], [0, 0]], [[0, 0], [1500122649/11, -963749000/11], [-3089136/11, 6456/11], [74/11, 5/11]], [[0, 0], [-2062867255/11, 2769881151/11], [28238184/11, 12428760/11], [-739/11, -345/11]]], 0, 7168, [], [] >,
< [ -3, 0, 1 ], [[480, 384]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -40], [-18, -10], [0, 0]], [[0, 0], [-2, 1], [0, 0], [1, 0]], [[0, 0], [-166, -96], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14294, -8714], [-306, -178], [0, 0]], [[0, 0], [-321152555/11, 141972142/11], [-1606200/11, 17860/11], [30/11, 5/11]], [[0, 0], [-32577903576/11, 24003586754/11], [-12866724/11, 116174340/11], [-916/11, -2140/11]]], 0, 12288, [], [] >,
< [ -3, 0, 1 ], [[-192, -288]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2248, -1298], [-312, -180], [0, 0]], [[0, 0], [0, 1], [0, 0], [1, 0]], [[0, 0], [-564, -324], [-78, -46], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44918, -26212], [540, 312], [0, 0]], [[0, 0], [105189010/11, -52520561/11], [-165240/11, -1492/11], [-57/11, -4/11]], [[0, 0], [10658883100/11, -17367927374/11], [97719114/11, 75922722/11], [38458/11, 28208/11]]], 0, 12288, [], [] >,
< [ -3, 0, 1 ], [[960, 0]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 4], [306, 178], [0, 0]], [[0, 0], [6, -3], [2715, 1445], [-3/5, 0]], [[0, 0], [159049/13, -91827/13], [231858, -133872], [-42617/65, 4921/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1612, -1192], [-42, 2], [0, 0]], [[0, 0], [-305015522/143, 178390997/143], [2352951/11, -1370311/11], [361/715, -4/715]], [[0, 0], [1907467052/11, -1238066552/11], [-194778612/11, 121644236/11], [-11788/55, -5404/55]]], 0, 49152, [], [] >,
< [ -3, 0, 1 ], [[480, 0]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 12], [4, 2], [0, 0]], [[0, 0], [-2136/37, -2111/111], [57, -4/3], [57/185, -4/555]], [[0, 0], [-125600/37, 71890/37], [8096, -4664], [8096/185, -4664/185]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1168, 854], [134, 78], [0, 0]], [[0, 0], [-5069910115/407, 2746212391/407], [-88903, -311], [2723/2035, 1/2035]], [[0, 0], [-659902495881/407, 956246307884/1221], [-20837310, -17214025/3], [636594/2035, 521269/6105]]], 0, 12288, [], [] >,
< [ -3, 0, 1 ], [[4800, 0]], [ -105, -55 ], [ -10, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -32], [-258, -150], [0, 0]], [[0, 0], [-45735/13, -26296/13], [-15687, -9155], [-30/13, -1/13]], [[0, 0], [129066/13, -76121/13], [-117699, 67399], [19495/13, -11256/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2060, -896], [54, 2], [0, 0]], [[0, 0], [75008149/143, -41808544/143], [-537837/11, 321051/11], [630/143, -5/143]], [[0, 0], [-472136946/143, 186934395/143], [2431353/11, -2006057/11], [-19493/143, -9264/143]]], 0, 1277952, [], [] >,
< [ -3, 0, 1 ], [[2400, 0]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, 54], [-22, -12], [0, 0]], [[0, 0], [-84107/37, -146134/111], [542, 883/3], [-32/37, -1/111]], [[0, 0], [-77222/37, 49040/37], [-9862, 5666], [9604/37, -5544/37]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1572, 772], [120, 70], [0, 0]], [[0, 0], [-43385632/407, 90109457/1221], [1835, -34/3], [575/407, -4/1221]], [[0, 0], [40947056/37, -41139262/37], [-47024, -13298], [-1344/37, -384/37]]], 0, 319488, [], [] >,
< [ -3, 0, 1 ], [[2496, 672]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [156, 88], [-786, -454], [0, 0]], [[0, 0], [2, 1], [-60, 0], [1, 0]], [[0, 0], [44, 26], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24748, 13018], [4506, 2602], [0, 0]], [[0, 0], [-1659921794, 961959007], [1194534, -4270], [-3, 0]], [[0, 0], [328931402298/11, -197357817462/11], [-1348494426/11, -638609122/11], [3404/11, 1616/11]]], 0, 270336, [], [] >,
< [ -3, 0, 1 ], [[-2976, -1152]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, -46], [348, 200], [0, 0]], [[0, 0], [6, 1], [-120, 0], [1, 0]], [[0, 0], [814, 462], [-3414, -1970], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6982, 5482], [2370, 1370], [0, 0]], [[0, 0], [4624305417/11, -2648367358/11], [10697724/11, 5992/11], [-26/11, 3/11]], [[0, 0], [-5795659653402/11, 3291518904646/11], [-20282709372/11, -4009041480/11], [45916/11, 4030/11]]], 0, 270336, [], [] >,
< [ -3, 0, 1 ], [[1344, 288]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -12], [-4980, -2876], [0, 0]], [[0, 0], [149446/193, -14737/579], [-28301, -7397], [-331/193, -2/579]], [[0, 0], [-416054769/193, 240239215/193], [40793514, -23560864], [868815/193, -501681/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -24], [3456, 1996], [0, 0]], [[0, 0], [90, 193], [-36621, -16029], [3, 0]], [[0, 0], [-100763214/193, 174530347/579], [-18931995, 10929517], [1237445/193, -2143294/579]]], 0, 64512, [], [] >,
< [ -3, 0, 1 ], [[4032, 864]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, -18], [102, -6], [0, 0]], [[0, 0], [-123035/193, -285564/193], [37125, 2019], [842/193, 5/193]], [[0, 0], [120183425/193, 133725110/193], [-16611321, -3767995], [-367220/193, -67725/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -24], [558, 10], [0, 0]], [[0, 0], [79128/193, -54371/193], [109737, -49063], [909/193, -4/193]], [[0, 0], [2829263/193, -2627083/193], [5560398, -1577384], [71029/193, 18487/193]]], 0, 774144, [], [] >,
< [ -3, 0, 1 ], [[-2688, -576]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, 27], [13, 7], [0, 0]], [[0, 0], [-199999/193, -45/193], [743, -3], [1488/193, -4/193]], [[0, 0], [-22962/193, 13083/193], [86, -49], [172/193, -98/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-77038/193, -5806/193], [0, 0], [1790/193, -10/193]], [[0, 0], [1328730/193, -753822/193], [0, 0], [-35776/193, 20384/193]]], 0, 344064, [], [] >,
< [ -3, 0, 1 ], [[-168, -36]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, -5/2], [0, 5/2], [0, 0]], [[0, 0], [-1/2, 1], [1/2, 0], [0, 0]], [[-13/2, -1/2], [3931/772, 267/772], [-13/4, -1/4], [-7/193, -1/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [61, 93/2], [-2, -5/2], [0, 0]], [[-1689, -2], [-192896227/4246, 11107265/2123], [-34413/22, -698/11], [-7541/4246, -1/4246]], [[-33603/2, -2435/2], [-340197403/772, 15301759/772], [-62767/4, -6961/4], [-3409/193, -487/386]]], 1, 1344, [], [] >,
< [ -3, 0, 1 ], [[-168, -36]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13/2, -7/2], [5/2, 1/2], [0, 0]], [[0, 0], [174475/772, -170019/772], [-405/4, -423/4], [-90/193, -34/193]], [[0, 0], [569523/772, -362869/772], [135/4, -405/4], [-151/386, 3/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17/4, -33/4], [3/4, -1/4], [0, 0]], [[0, 0], [76193241/4246, 318992/2123], [-2597/22, 21/11], [1172/2123, 1/2123]], [[0, 0], [2098099447/386, 104989251/386], [-71293/2, -1825/2], [64485/386, 2745/386]]], 1, 1344, [], [] >,
< [ -3, 0, 1 ], [[1344, 288]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35/2, -19/2], [5/2, 1/2], [0, 0]], [[0, 0], [-820077/386, 743/386], [31/2, -17/2], [1779/193, 3/193]], [[0, 0], [-44885060/193, 15395540/193], [2650, -1510], [194221/193, -66291/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63/2, 147/2], [5/2, -5/2], [0, 0]], [[0, 0], [-166782433/2123, -693679/2123], [-12183/11, 175/11], [11787/2123, 1/2123]], [[0, 0], [-884673927/193, -66737163/193], [-64367, -3679], [62468/193, 4462/193]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[1344, 288]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [2, 1], [0, 0]], [[0, 0], [-35756/193, 148/193], [-414, -2], [-828/193, -4/193]], [[0, 0], [5329/386, -3245/386], [61/2, -37/2], [61/193, -37/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 13], [2, 1], [0, 0]], [[0, 0], [-573492583/4246, -249565/4246], [-148275/22, -45/22], [-16475/2123, -5/2123]], [[0, 0], [79003978689/4246, 14897989399/4246], [20424753/22, 3849147/22], [2269417/2123, 427683/2123]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[1344, 288]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-107/2, -45/2], [5/2, -1/2], [0, 0]], [[0, 0], [184366/193, -19062/193], [-30, 18], [-716/193, 4/193]], [[0, 0], [-1204496/193, 422492/193], [270, -158], [4329/193, -1221/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-85, 46], [3, -2], [0, 0]], [[0, 0], [202739013/4246, -174221/4246], [13745/22, 67/22], [-7032/2123, -6/2123]], [[0, 0], [21393439533/2123, 839155149/2123], [1451401/11, 65209/11], [-1484368/2123, -60754/2123]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[1344, 288]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 14], [-3864, -2232], [0, 0]], [[0, 0], [-9425/193, 448/579], [5585, -145], [124/193, -1/579]], [[0, 0], [7544736/193, -13072556/579], [-4547098, 2626178], [-97060/193, 168176/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1638, -794], [1374, 794], [0, 0]], [[0, 0], [-1562625755/2123, 549919594/2123], [5542509/11, 7391/11], [-9664/2123, -1/2123]], [[0, 0], [-180369775739/193, 115784531773/579], [788573606, 141475288], [-1374065/193, -734965/579]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[1344, 288]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, 78], [-2490, -1438], [0, 0]], [[0, 0], [4, 1], [0, 0], [1, 0]], [[0, 0], [-532, -322], [10368, 5988], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6102, 3174], [-1374, -794], [0, 0]], [[0, 0], [-1021936915/11, 600444594/11], [-4226604/11, -9960/11], [74/11, 5/11]], [[0, 0], [346450608131/11, -223918163159/11], [5611226580/11, 2374185600/11], [-106329/11, -47955/11]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[-5472, -2304]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-684, 22], [708, 8], [0, 0]], [[0, 0], [-272367028/193, 308885032/193], [1284570, -1599666], [-716/193, -4/193]], [[0, 0], [847919238/193, 1251009017/193], [-5217159, -6836807], [-4728/193, -2061/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -18], [-864, -8], [0, 0]], [[0, 0], [5485066/193, 937/193], [-1453269, 1113551], [-400/193, 1/193]], [[0, 0], [1365953832/193, 596037144/193], [1042686, 119388882], [-99264/193, -43200/193]]], 0, 774144, [], [] >,
< [ -3, 0, 1 ], [[-1824, -768]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -4], [480, 276], [0, 0]], [[0, 0], [-164253/193, 6509/579], [56368, 130], [-1199/193, -5/579]], [[0, 0], [-8851/193, 15448/579], [2957, -1721], [-63/193, 110/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -38], [-1308, -756], [0, 0]], [[0, 0], [468996/193, 167303/193], [32499, 15499], [372/193, 1/193]], [[0, 0], [-123120447/193, 212928578/579], [-3888435, 2236587], [-254217/193, 440158/579]]], 0, 64512, [], [] >,
< [ -3, 0, 1 ], [[3648, 1536]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -2], [1296, 748], [0, 0]], [[0, 0], [-227/2, -117/2], [30417, 17593], [-5/2, 5/2]], [[0, 0], [583, -339], [3138, -1130], [317, -183]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 0], [-438, -254], [0, 0]], [[0, 0], [975/2, 607/2], [109611, 63285], [5/2, -3/2]], [[0, 0], [26, -6], [1680, 980], [0, 0]]], 0, 344064, [], [] >,
< [ -3, 0, 1 ], [[228, 96]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, -7/2], [-9, -4], [0, 0]], [[0, 0], [139/4, 3/2], [39, 53/2], [-3/4, 1/2]], [[0, 0], [421/4, 97/2], [213, 251/2], [-1/4, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43/2, -1/2], [15, -4], [0, 0]], [[0, 0], [202307/11, 54627/11], [-112197/11, 2492/11], [17/22, 1/22]], [[0, 0], [-7986233/11, -14327461/44], [7083987/22, 931676/11], [-287/11, -371/44]]], 1, 1344, [], [] >,
< [ -3, 0, 1 ], [[228, 96]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, 9], [0, 4], [0, 0]], [[7/2, 3/2], [37/4, 33/2], [-45/2, 23], [1/4, 1/2]], [[3/2, 3/2], [89/4, 1/2], [81/2, -17], [3/4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45, -1], [12, -4], [0, 0]], [[19/2, 3/2], [464891/44, 82135/22], [-43929/22, 390/11], [43/44, -1/22]], [[-4977/2, -2205/2], [-143782165/44, -37139123/22], [9638181/22, 1685940/11], [-9135/44, -756/11]]], 1, 1344, [], [] >,
< [ -3, 0, 1 ], [[-1824, -768]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [113, 65], [-258, -148], [0, 0]], [[0, 0], [-2505/2, -1391/2], [2919, 1565], [3/2, 5/2]], [[0, 0], [25742, 28859/2], [-59751, -32614], [-38, -95/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-183, -1], [0, -10], [0, 0]], [[0, 0], [1057737/22, -588975/22], [-48711/11, 29023/11], [-17/22, -1/22]], [[0, 0], [-6453407/11, 6701129/22], [556917/11, -352642/11], [207/11, 135/22]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[-1824, -768]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 16], [606, 350], [0, 0]], [[0, 0], [-46, -2], [-510, -294], [2, 2]], [[0, 0], [163/2, -13], [606, 349], [-3/2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [646, 374], [-198, -114], [0, 0]], [[0, 0], [-44764/11, -54657/22], [14655/11, 8520/11], [14/11, 1/22]], [[0, 0], [-404209/2, 231907/2], [8211, -4507], [-2059/2, 1189/2]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[-1824, -768]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-97, -65], [-6, 8], [0, 0]], [[0, 0], [1953/2, -1005/2], [-1173, 683], [-1/2, 5/2]], [[0, 0], [-4373/2, 1460], [3024, -1727], [25/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2070, 1200], [-522, -302], [0, 0]], [[0, 0], [-240547/2, -69739], [30762, 17573], [5/2, 0]], [[0, 0], [236375/11, -134703/11], [146430/11, -84990/11], [1131/11, -653/11]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[-1824, -768]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -34], [2718, 1570], [0, 0]], [[0, 0], [587888/193, -534557/579], [-15889, 17819], [1006/193, 5/579]], [[0, 0], [361140538/193, -624654722/579], [-18806446, 10873266], [404690/193, -697840/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2916, 1570], [-2718, -1570], [0, 0]], [[0, 0], [6115201138/2123, -11533473269/6369], [5979773/11, -1139/11], [-8230/2123, -1/6369]], [[0, 0], [3588348195668/2123, -11961601768097/6369], [20697127757/11, 9112256457/11], [-28494284/2123, -37643515/6369]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[-1824, -768]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 20], [-3198, -1846], [0, 0]], [[0, 0], [-12, 1], [72, 0], [1, 0]], [[0, 0], [38, 16], [-3096, -1788], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4130, 2768], [-4782, -2762], [0, 0]], [[0, 0], [8604307235/11, -4940059748/11], [-50513532/11, -461412/11], [4/11, -3/11]], [[0, 0], [586406, -364370], [22194, 14850], [0, 0]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[1344, 480]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6772700/167, -3030/167], [49814/167, 10/167], [0, 0]], [[0, 0], [-909553493261/167, -2273063827502/501], [6685720109/167, 16713703973/501], [-660/167, 5/501]], [[0, 0], [1153538488244706/167, 1153813803630984/167], [-8478079997064/167, -8484350641808/167], [1161336/167, -132302/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88134068/167, 14338/167], [64510/167, 10/167], [0, 0]], [[0, 0], [147875569630881/1837, 6430273294223/5511], [108237926952/1837, 4704172390/5511], [-299/1837, 1/5511]], [[0, 0], [-42958107915764466/1837, 12911204836362083/5511], [-31443387177729/1837, 9451116753721/5511], [87327/1837, -30194/5511]]], 0, 61440, [], [] >,
< [ -3, 0, 1 ], [[-2688, -960]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 26], [-120, -68], [0, 0]], [[0, 0], [253, 145], [-141, -83], [-228, -132]], [[0, 0], [1008, 582], [-1008, -582], [-672, -388]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-543, -311], [-123, -73], [0, 0]], [[0, 0], [-4074, -2368], [840, 498], [956, 552]], [[0, 0], [-1446, -846], [192, 120], [284, 164]]], 0, 184320, [], [] >,
< [ -3, 0, 1 ], [[-8064, -2880]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1575, -909], [627, 363], [0, 0]], [[0, 0], [-5883, -3401], [2463, 1419], [-24, -12]], [[0, 0], [16554, 9564], [-6930, -3996], [60, 32]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1314, 760], [222, 128], [0, 0]], [[0, 0], [-3636, -2148], [5214, 3018], [3324, 1920]], [[0, 0], [-19785, -11313], [27807, 16037], [17712, 10224]]], 0, 2211840, [], [] >,
< [ -3, 0, 1 ], [[-4320, -4032]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 60], [3432, 1980], [0, 0]], [[0, 0], [426, 223], [12906, 7270], [9, -4]], [[0, 0], [3, 4], [0, 20], [0, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5022, -3024], [5250, 3030], [0, 0]], [[0, 0], [985413, -577551], [16644, -588], [15, -1]], [[0, 0], [450576, -251381], [-3996, -6856], [-3, -6]]], 0, 1658880, [], [] >,
< [ -3, 0, 1 ], [[1344, 480]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1024, 372], [402, 10], [0, 0]], [[0, 0], [-18, 1], [-24, 0], [1, 0]], [[0, 0], [227246, -136108], [233478, -136032], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-240, -136], [726, 418], [0, 0]], [[0, 0], [4, 1], [42, 0], [1, 0]], [[0, 0], [316, 182], [-1050, -606], [0, 0]]], 0, 61440, [], [] >,
< [ -3, 0, 1 ], [[-168, -60]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 6], [375, 218], [0, 0]], [[-1/2, 3/2], [-43, -1/2], [-1209/2, -755/2], [5/2, -1]], [[5/2, 3/2], [-33/2, -8], [9/2, 5/2], [1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[126, 1], [130, 48], [126, 1], [0, 0]], [[-71265/2, 121337/2], [62815/2, 97545/2], [-71289/2, 121329/2], [-3/2, -1/2]], [[1382402, -1075189], [422963/2, -1168817/2], [1382526, -1075185], [31/2, 1/2]]], 1, 960, [], [] >,
< [ -3, 0, 1 ], [[-168, -60]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [131, 79], [192, 111], [0, 0]], [[0, 0], [-627, -571], [-1104, -683], [-1, 1]], [[0, 0], [-2667/2, -565], [-1677, -921], [2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 0], [303, 175], [0, 0]], [[0, 0], [-112, 67], [0, 5], [-3, -2]], [[0, 0], [-5/2, 3/2], [-60, 36], [5/2, -3/2]]], 1, 960, [], [] >,
< [ -3, 0, 1 ], [[-1248, -384]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1421018/167, 1646/167], [45710/167, 10/167], [0, 0]], [[0, 0], [-29795243964/167, 29737902770/501], [-959329488/167, 959286572/501], [140/167, -4/501]], [[0, 0], [3088352540961/167, 3769415645224/501], [99229981113/167, 120971924023/501], [-30088/167, -47327/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-55439336/167, -21290/167], [-21872/167, -8/167], [0, 0]], [[0, 0], [-10422817737105/1837, -1133703163408/5511], [-4112023137/1837, -447035491/5511], [-342/1837, 5/5511]], [[0, 0], [-8051831937613656/1837, -12826688475576214/5511], [-3176528860260/1837, -5060229866740/5511], [-248010/1837, -390040/5511]]], 0, 61440, [], [] >,
< [ -3, 0, 1 ], [[7488, 2304]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-195, -115], [-111, -57], [0, 0]], [[0, 0], [5682, 3302], [4896, 2760], [564, 324]], [[0, 0], [-67548, -39328], [-58428, -32712], [-6708, -3848]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-396, -242], [-228, -126], [0, 0]], [[0, 0], [17043, 9843], [-9123, -5269], [3720, 2148]], [[0, 0], [26301, 15189], [-14055, -8117], [5736, 3312]]], 0, 2211840, [], [] >,
< [ -3, 0, 1 ], [[2496, 768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-521, -305], [-267, -149], [0, 0]], [[0, 0], [-1528, -1016], [5610, 3406], [-1380, -796]], [[0, 0], [55104, 34122], [-197760, -117058], [48000, 27700]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, -62], [-48, -30], [0, 0]], [[0, 0], [798, 462], [-2082, -1202], [-256, -148]], [[0, 0], [309, 177], [-1131, -653], [-132, -76]]], 0, 184320, [], [] >,
< [ -3, 0, 1 ], [[3456, 3744]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [192, 32], [78, 2], [0, 0]], [[0, 0], [-41658, 5575], [-19152, 5088], [-9, -2]], [[0, 0], [566724, 602610], [130176, 225248], [288, 196]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [816, 4], [1050, 10], [0, 0]], [[0, 0], [5555547, -162344], [7145904, -175564], [-12, -5]], [[0, 0], [-142109172, -291698586], [-188116212, -376207848], [1164, 792]]], 0, 1658880, [], [] >,
< [ -3, 0, 1 ], [[156, 48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19, 5], [-117, -3], [0, 0]], [[5/2, 1/2], [12241, -613/2], [-189183/2, 49459/2], [-1/2, 1]], [[358, 216], [1210383, 771569], [-4950435, -3640962], [145, 71]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[144, 2], [127, 45], [144, 2], [0, 0]], [[-76995, 19865], [-98069/2, -11701/2], [-76992, 19874], [1/2, 3/2]], [[739935/2, 833895/2], [697170, 473519], [739419/2, 833643/2], [-43, -21]]], 1, 960, [], [] >,
< [ -3, 0, 1 ], [[156, 48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -50], [57, 4], [0, 0]], [[0, 0], [-33286, 4631/2], [-135375, 84622], [-1/2, 0]], [[0, 0], [-237, -111], [-87, 145], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, -13], [-9, 4], [0, 0]], [[0, 0], [-845, -359], [6, 12], [1, 2]], [[0, 0], [-390863/2, -236115/2], [3951, 1935], [1317/2, 645/2]]], 1, 960, [], [] >,
< [ -3, 0, 1 ], [[-1248, -384]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 36], [12, 2], [0, 0]], [[0, 0], [-16, 1], [6, 0], [1, 0]], [[0, 0], [-14, -6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 22], [-390, -10], [0, 0]], [[0, 0], [6, 1], [6, 0], [1, 0]], [[0, 0], [-116, -56], [1134, -42], [0, 0]]], 0, 61440, [], [] >,
< [ -3, 0, 1 ], [[-72, -24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 18], [-9, 2], [0, 0]], [[0, 0], [-3007/2, -1731/2], [120, 96], [5/2, 3/2]], [[0, 0], [54, -34], [624, -360], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, 36], [6, 1], [0, 0]], [[0, 0], [-500, -303], [-18, -27], [1, -2]], [[0, 0], [585/2, 61/2], [150, -74], [45/2, -25/2]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[-72, -24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 42], [12, 5], [0, 0]], [[0, 0], [405/2, 225/2], [27, 21], [-3/2, -5/2]], [[0, 0], [16, -13], [-27, 15], [7, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [204, 120], [15, 2], [0, 0]], [[0, 0], [2256, 803], [-1218, 798], [3, 0]], [[0, 0], [3115/2, -417/2], [-2856, 1680], [7/2, -3/2]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[-72, -24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, 30], [3, -3], [0, 0]], [[0, 0], [-300, -164], [3, 4], [-12, 0]], [[0, 0], [-947/2, 307/2], [-90, 54], [-561/2, 319/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 46], [-15, 2], [0, 0]], [[0, 0], [-22151/2, -2703/2], [-1632, 1666], [-15/2, 3/2]], [[0, 0], [-597527/2, 419463/2], [-174216, 97104], [-741/2, 455/2]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[-72, -24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, -26], [-12, -1], [0, 0]], [[0, 0], [-4895/2, -2441/2], [-351, -117], [3/2, 3/2]], [[0, 0], [13801/2, -8425/2], [3132, -1836], [51/2, -29/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, 74], [-9, -5], [0, 0]], [[0, 0], [-231/2, 469/2], [39, -34], [-15/2, -1/2]], [[0, 0], [8765, -4907], [-1629, 930], [105, -65]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-507, -307], [-3, -5], [0, 0]], [[0, 0], [16680, 9668], [174, 102], [-6, -8]], [[0, 0], [-23591, -14129], [-233, -157], [-38, 38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1650, -944], [0, 2], [0, 0]], [[0, 0], [12277, -7811], [3007, -1727], [4, 6]], [[0, 0], [-124286, 80680], [-30782, 17660], [-56, -70]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1473, -859], [-15, -11], [0, 0]], [[0, 0], [9202, 4520], [298, -44], [10, 4]], [[0, 0], [474, 6202], [-1326, 850], [-6, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [846, 542], [-30, -2], [0, 0]], [[0, 0], [101735, -59697], [29357, -16937], [2, -8]], [[0, 0], [-47551, 31407], [-14629, 8395], [20, 16]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[1728, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-117, -57], [-117, -75], [0, 0]], [[0, 0], [-31116, -17986], [-36060, -20806], [-300, -172]], [[0, 0], [42339, 24773], [49521, 28385], [420, 224]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [573, 345], [-21, -15], [0, 0]], [[0, 0], [5934, 3714], [-366, -270], [312, 180]], [[0, 0], [9774, 8584], [-306, -776], [612, 352]]], 0, 165888, [], [] >,
< [ -3, 0, 1 ], [[-72, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-99, -82], [0, 5], [0, 0]], [[0, 0], [-4, -1], [1, 0], [1, 0]], [[0, 0], [-171/2, -163/2], [-3/2, 11/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, 113], [-15, -1], [0, 0]], [[0, 0], [2, 5], [1, 0], [1, 0]], [[0, 0], [3627/2, -2371/2], [357/2, -187/2], [0, 0]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[-72, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [384, 5], [15, -10], [0, 0]], [[0, 0], [-4, -1], [1, 0], [1, 0]], [[0, 0], [-369/2, 79/2], [-21/2, 13/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [147, 82], [-12, 7], [0, 0]], [[0, 0], [2, 5], [1, 0], [1, 0]], [[0, 0], [459/2, 261/2], [-15/2, 9/2], [0, 0]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [165, 103], [105, 61], [0, 0]], [[0, 0], [367, 204], [218, 127], [-7, -5]], [[0, 0], [111, -157], [-75, -13], [24, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 80], [150, 86], [0, 0]], [[0, 0], [21778, 10290], [26564, 15380], [-10, -6]], [[0, 0], [13243, -25418], [-21220, -11625], [11, 3]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-72, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -13], [-3, 2], [0, 0]], [[0, 0], [2, 1], [1, 0], [1, 0]], [[0, 0], [-9/2, -5/2], [3/2, 1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [351/2, 51/2], [15/2, -3/2], [0, 0]], [[0, 0], [-4, -5], [1, 0], [1, 0]], [[0, 0], [240, -4], [12, -4], [0, 0]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[-72, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 27], [9, 6], [0, 0]], [[0, 0], [2, 1], [1, 0], [1, 0]], [[0, 0], [81/2, 7/2], [15/2, 7/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15/2, 19/2], [3/2, 1/2], [0, 0]], [[0, 0], [-4, -5], [1, 0], [1, 0]], [[0, 0], [24, 12], [0, 0], [0, 0]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -34], [-72, -40], [0, 0]], [[0, 0], [293, 142], [274, 151], [-11, -1]], [[0, 0], [-1100, -678], [-1120, -658], [20, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, -4], [-6, -4], [0, 0]], [[0, 0], [274, 152], [2, -4], [2, -2]], [[0, 0], [-810, -469], [9, 4], [3, 1]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[864, 384]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [422346/167, 3278/167], [-2214/167, -2/167], [0, 0]], [[0, 0], [445625425/167, -1084552868/501], [-2373955/167, 5736377/501], [676/167, 5/501]], [[0, 0], [269564439476/167, -233047978034/167], [-1437401246/167, 1232067526/167], [463500/167, 23500/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-694538/167, -20350/167], [-382/167, -10/167], [0, 0]], [[0, 0], [66998278/167, 12470269/167], [-8941/167, 7371/167], [3, 0]], [[0, 0], [-546713172996/1837, -384666556312/5511], [61011420/1837, -163178096/5511], [-3964900/1837, -662522/5511]]], 0, 15360, [], [] >,
< [ -3, 0, 1 ], [[864, 384]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [205082/167, 1212/167], [-1088/167, -4/167], [0, 0]], [[0, 0], [34467/167, -25467229/167], [-1878/167, 135004/167], [-105/167, -1/167]], [[0, 0], [-99838977/167, -1980954416/501], [485301/167, 10494509/501], [-2726/167, -493/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2095352/167, -62/167], [1126/167, -2/167], [0, 0]], [[0, 0], [-203502311/1837, -601357/1837], [-372430/1837, -6044/1837], [-6451/1837, -1/1837]], [[0, 0], [229066455047/1837, 40968922384/5511], [420160975/1837, 91662311/5511], [7257926/1837, 1237745/5511]]], 0, 15360, [], [] >,
< [ -3, 0, 1 ], [[864, 384]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-624, -362], [-36, -20], [0, 0]], [[0, 0], [-16, 1], [0, 0], [1, 0]], [[0, 0], [1206, 688], [66, 42], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [666, 390], [138, 82], [0, 0]], [[0, 0], [28, 1], [0, 0], [1, 0]], [[0, 0], [-3066, -1832], [-630, -390], [0, 0]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[864, 384]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-774, -448], [-6, -4], [0, 0]], [[0, 0], [197, -166], [0, 0], [12, -5]], [[0, 0], [1686, 2334], [0, 0], [-156, -32]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -12], [102, 58], [0, 0]], [[0, 0], [103, 78], [-120, -74], [-12, -5]], [[0, 0], [-440, -223], [450, 252], [33, 22]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[-108, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-233, 31], [15, -3], [0, 0]], [[9, 4], [-235377/2, -1295/2], [7359, -487], [15/2, 3/2]], [[361/2, 171/2], [-2139142, -362609/2], [262959/2, 3523/2], [285/2, 38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -2], [-26, -10], [3, -2], [0, 0]], [[267/2, -165/2], [-369, -61], [267/2, -165/2], [12, -1]], [[5340, -3738], [-68573/2, -26593/2], [5340, -3738], [1827/2, 377/2]]], 1, 288, [], [] >,
< [ -3, 0, 1 ], [[-108, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 29], [0, -3], [0, 0]], [[0, 0], [-357/2, 22], [18, -4], [0, 3/2]], [[0, 0], [53, 321/2], [0, -15], [-9/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -8], [6, -2], [0, 0]], [[0, 0], [-93/2, -45/2], [24, -10], [-21/2, -1/2]], [[0, 0], [-333, -182], [75, -14], [-54, -18]]], 1, 288, [], [] >,
< [ -3, 0, 1 ], [[-576, -96]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26872/167, 358/167], [382/167, -10/167], [0, 0]], [[0, 0], [-7859196/167, -1719618/167], [-104580/167, -19712/167], [4, 0]], [[0, 0], [-823258324/167, -1317619295/501], [-10588735/167, -16777175/501], [53095/167, 77140/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16694, 16], [8, 0], [0, 0]], [[0, 0], [-112283342/1837, -186977068/5511], [-10706/1837, -87622/5511], [598/1837, 2/5511]], [[0, 0], [17075925253/1837, 9824913828/1837], [4474207/1837, 2895103/1837], [-50418/1837, -24441/1837]]], 0, 15360, [], [] >,
< [ -3, 0, 1 ], [[-576, -96]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-133448/167, 3364/167], [-1622/167, -10/167], [0, 0]], [[0, 0], [-188350492/167, 1170318137/501], [-1850857/167, 14043779/501], [431/167, 2/501]], [[0, 0], [-99278225553/167, -235719228302/501], [-1298907579/167, -2984734565/501], [-113518/167, -164897/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2279210/167, 12816/167], [-1088/167, 4/167], [0, 0]], [[0, 0], [386211116/1837, 690484649/5511], [167681/1837, 326957/5511], [-1239/1837, 2/5511]], [[0, 0], [-41661358127/167, -24119661379/167], [-18849308/167, -10995318/167], [71535/167, 34675/167]]], 0, 15360, [], [] >,
< [ -3, 0, 1 ], [[-576, -96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 12], [-270, 10], [0, 0]], [[0, 0], [0, 1], [-60, 0], [1, 0]], [[0, 0], [18, 8], [108, -180], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 16], [-372, 4], [0, 0]], [[0, 0], [-13983, -235], [-397254, 290478], [-9, -5]], [[0, 0], [-320473, 140980], [-18443796, 10972576], [-54, -23]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[72, 12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 5], [24, 4], [0, 0]], [[-5/2, 1/2], [1/2, -5], [-105/2, 65/2], [2, -3/2]], [[-1/2, -1/2], [-2, -1/2], [21/2, -1/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-99, 0], [-48, -20], [-99, 0], [0, 0]], [[9165/2, -22513/2], [-9199/2, -9063/2], [9159/2, -22519/2], [-1/2, -1/2]], [[-2961/2, -235/2], [-789, -356], [-2961/2, -235/2], [0, 0]]], 1, 288, [], [] >,
< [ -3, 0, 1 ], [[72, 12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 5], [-108, 4], [0, 0]], [[0, 0], [-53/2, -41/2], [156, 93], [1/2, -5/2]], [[0, 0], [827/2, 218], [-2037, -1164], [34, 17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -2], [45, 2], [0, 0]], [[0, 0], [183/2, -5/2], [9, -651], [3/2, 3/2]], [[0, 0], [-49/2, -115/2], [1239, 201], [-7/2, -3/2]]], 1, 288, [], [] >,
< [ -3, 0, 1 ], [[-576, -96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [198, 50], [108, -4], [0, 0]], [[0, 0], [4, 1], [6, 0], [1, 0]], [[0, 0], [-84, 106], [-120, 90], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -14], [318, -2], [0, 0]], [[0, 0], [-2, 1], [6, 0], [1, 0]], [[0, 0], [-1122, -484], [13608, -1296], [0, 0]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[1152, 960]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 28], [9, -2], [0, 0]], [[0, 0], [-3654026/193, -863410/193], [-600, -540], [30964/2509, 6/2509]], [[0, 0], [486925212/193, -529290030/193], [-173100, 25950], [-8771648/2509, 6557024/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [4363980/193, -16332/193], [0, 0], [-9790/2509, -10/2509]], [[0, 0], [-650790/193, 374834/193], [0, 0], [1448/2509, -834/2509]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[1152, 960]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 2], [1, 0], [0, 0]], [[0, 0], [58194, -134], [0, 0], [-10, 0]], [[0, 0], [1757242602/193, -1033279458/193], [0, 0], [-3909634/2509, 2299248/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 2], [1, 0], [0, 0]], [[0, 0], [-1404990/193, -16622/193], [0, 0], [3060/2509, -2/2509]], [[0, 0], [124943652/193, -67131184/193], [0, 0], [-277720/2509, 149672/2509]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[-576, -480]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 12], [96, 60], [0, 0]], [[0, 0], [930099/193, 1135867/579], [12530, 7256], [317/193, -1/579]], [[0, 0], [-26586995/193, 14215588/193], [-12033, -11007], [-29842/193, 17003/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-420, -164], [-30, -14], [0, 0]], [[0, 0], [2797426051/2123, 20475239/2123], [770280/11, 3046/11], [-16033/2123, -1/2123]], [[0, 0], [13983733573217/2123, 37459725142384/6369], [3816035825/11, 3425512975/11], [-78600030/2123, -212983525/6369]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[-576, -480]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [216, 130], [222, 130], [0, 0]], [[0, 0], [65137/193, 19748/193], [609, 103], [-400/193, -1/193]], [[0, 0], [-13083329/193, 22406765/579], [-181688, 104226], [167805/193, -289619/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [516, 170], [30, 14], [0, 0]], [[0, 0], [-257035759/2123, -22345602/2123], [160221/11, -2045/11], [-3074/2123, 1/2123]], [[0, 0], [-138275033627/2123, -302870645140/6369], [69226645/11, 55812215/11], [-1368792/2123, -3263555/6369]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[-576, -480]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -10], [-66, -38], [0, 0]], [[0, 0], [30, 1], [0, 0], [1, 0]], [[0, 0], [12, 10], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2140, -1714], [114, 66], [0, 0]], [[0, 0], [170683225/11, -96835820/11], [-126462/11, 362/11], [-126/11, 1/11]], [[0, 0], [45107321990/11, -26744406228/11], [8676738/11, 24833718/11], [8268/11, 24698/11]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[-576, -768]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -16], [-78, -46], [0, 0]], [[0, 0], [-385, -146], [-864, -434], [-31/13, -2/13]], [[0, 0], [-15131/2, 8773/2], [-6405, 3745], [-3161/26, 1827/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -34], [30, 22], [0, 0]], [[0, 0], [-23, 11], [66, -2], [17/13, -1/13]], [[0, 0], [789/2, -455/2], [-657, 373], [-357/26, 203/26]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[-576, -768]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 22], [84, 48], [0, 0]], [[0, 0], [13/2, 1/2], [-3, -21], [-9/26, -1/26]], [[0, 0], [0, 0], [-66, 38], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 68], [126, 74], [0, 0]], [[0, 0], [93/2, 35/2], [33, 21], [-1/26, -3/26]], [[0, 0], [-126, 74], [120, -68], [0, 0]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[288, 384]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -38], [96, 56], [0, 0]], [[0, 0], [2256180/193, -211475/579], [2435, 551], [1392/193, 5/579]], [[0, 0], [3385142085/193, -1952144314/193], [2109381, -1214249], [1977345/193, -1140138/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-216, -4], [42, 22], [0, 0]], [[0, 0], [137221647/2123, -459107021/6369], [-95758/11, -8036/11], [2385/2123, -1/6369]], [[0, 0], [-249732422475/2123, 8715347658/2123], [-73709415/11, -73661025/11], [1402893/2123, 1716654/2123]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[288, 384]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-174, -108], [36, 24], [0, 0]], [[0, 0], [-5827, -1660], [-363, 335], [-5, 0]], [[0, 0], [-374816069/193, 630081965/579], [-610724, 353426], [-628717/193, 1077985/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 56], [-78, -50], [0, 0]], [[0, 0], [1814491428/2123, 3957493/6369], [-85099/11, 2689/11], [8754/2123, -1/6369]], [[0, 0], [-44194257531/2123, -216790201081/6369], [1744180/11, 3322370/11], [-212415/2123, -1045415/6369]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[288, 384]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, 70], [126, 74], [0, 0]], [[0, 0], [-26, 1], [0, 0], [1, 0]], [[0, 0], [-1338, -952], [-1740, -1020], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-768, 2048], [66, 38], [0, 0]], [[0, 0], [280969/11, -164392/11], [96/11, -72/11], [4/11, -3/11]], [[0, 0], [72, -34], [0, 0], [0, 0]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[0, -480]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, 50], [-62, -36], [0, 0]], [[0, 0], [-6385/37, -10600/111], [226, 241/3], [106/185, 1/555]], [[0, 0], [18556/37, -9678/37], [-5782, 3308], [-6992/185, 4028/185]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3204, 1666], [-162, -94], [0, 0]], [[0, 0], [-3119797/407, 656068/1221], [218, 19/3], [-42/407, 1/1221]], [[0, 0], [-139280/407, -3382730/1221], [34, 244/3], [-24/2035, -232/6105]]], 0, 36864, [], [] >,
< [ -3, 0, 1 ], [[0, -480]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [324, 196], [-90, -52], [0, 0]], [[0, 0], [-67087/37, -125155/111], [457, 1369/3], [-69/37, -1/111]], [[0, 0], [3000952/37, -1872609/37], [-200299, 116896], [-41391/37, 119136/185]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [530, 436], [-44, -26], [0, 0]], [[0, 0], [53716833/407, -26375394/407], [-954, 9], [-126/2035, 1/2035]], [[0, 0], [-15208086/407, 46540201/1221], [-477, -1538/3], [-63/2035, -202/6105]]], 0, 36864, [], [] >,
< [ -3, 0, 1 ], [[0, -2400]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-236, -128], [92, 54], [0, 0]], [[0, 0], [-3545/37, -20714/111], [404, 149/3], [-308/37, -5/111]], [[0, 0], [-989999/37, 2108369/111], [-45295, 66013/3], [42295/37, -65365/111]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [606, 548], [-54, -32], [0, 0]], [[0, 0], [-114280451/407, 227806024/1221], [664, -2051/3], [-856/407, 1/1221]], [[0, 0], [-3431942432/407, -333833006/407], [71206, 28722], [94500/407, 60300/407]]], 0, 958464, [], [] >,
< [ -3, 0, 1 ], [[0, -2400]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 10], [-6, -4], [0, 0]], [[0, 0], [51406/37, 94007/111], [-343, -620/3], [-17/37, -4/111]], [[0, 0], [-34944/37, 21392/37], [180, -112], [-184/37, 106/37]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1984, -1224], [118, 68], [0, 0]], [[0, 0], [14288653/407, -12664699/1221], [1933, 95/3], [1825/407, 5/1221]], [[0, 0], [-343414065/407, 804921646/407], [74154, 130039], [64362/407, 121783/407]]], 0, 958464, [], [] >,
< [ -3, 0, 1 ], [[1728, 2688]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 23], [0, -3], [0, 0]], [[0, 0], [22561/193, -22417/193], [-27, 23], [-302/193, 6/193]], [[0, 0], [554662/193, -213294/193], [-576, 248], [-688/193, 2322/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [184914/193, 57350/193], [0, 0], [-1628/193, -6/193]], [[0, 0], [10533840/193, -6152792/193], [0, 0], [-199914/193, 115830/193]]], 0, 1032192, [], [] >,
< [ -3, 0, 1 ], [[1728, 2688]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 2], [1, 0], [0, 0]], [[0, 0], [27894/193, -16122/193], [0, 0], [-1046/193, 8/193]], [[0, 0], [-17406756/193, 10049752/193], [0, 0], [329928/193, -191160/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 2], [1, 0], [0, 0]], [[0, 0], [99486/193, 19210/193], [0, 0], [-1270/193, -8/193]], [[0, 0], [33642/193, -19406/193], [0, 0], [-638/193, 368/193]]], 0, 1032192, [], [] >,
< [ -3, 0, 1 ], [[-864, -1344]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [192, 8], [222, -10], [0, 0]], [[0, 0], [31200, 16515], [-27, 16533], [-3, 0]], [[0, 0], [47331549/193, 84721135/579], [164468, 42694], [-1501/193, -5767/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1926, 44], [174, 2], [0, 0]], [[0, 0], [3443252623/2123, -944018522/6369], [7191479/11, -161407/11], [-10298/2123, -1/6369]], [[0, 0], [8196133843860/2123, 29799753165172/2123], [30653931642/11, 64656117358/11], [-50214600/2123, -93714228/2123]]], 0, 258048, [], [] >,
< [ -3, 0, 1 ], [[-864, -1344]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [618, -8], [606, -2], [0, 0]], [[0, 0], [198662/193, 442301/579], [59755, 827], [1241/193, 4/579]], [[0, 0], [-885855033/193, -448479138/193], [-55941327, -97068569], [-1085166/193, -2002163/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7872, -22], [-816, -4], [0, 0]], [[0, 0], [13184332314/2123, -2698114469/6369], [17981879/11, -466097/11], [-17839/2123, -4/6369]], [[0, 0], [1196053351236/2123, 3545634034000/2123], [2267873202/11, 4948247438/11], [-2638008/2123, -4977476/2123]]], 0, 258048, [], [] >,
< [ -3, 0, 1 ], [[-864, -1344]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [204, 118], [396, -8], [0, 0]], [[0, 0], [30, 1], [0, 0], [1, 0]], [[0, 0], [0, 0], [102, -58], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3336, -50], [90, 10], [0, 0]], [[0, 0], [-80894637/11, 8107772/11], [2099760/11, -4108/11], [-14/11, 5/11]], [[0, 0], [6445868778/11, 4040238295/11], [-204288786/11, -125019154/11], [471/11, 348/11]]], 0, 258048, [], [] >,
< [ -3, 0, 1 ], [[-4608, -3648]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138, -82], [36, 0], [0, 0]], [[0, 0], [-794, 309], [-5904, 3422], [-4, 1]], [[0, 0], [333/2, 11/2], [693, -407], [3/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 10], [-36, 0], [0, 0]], [[0, 0], [-33/2, -11/2], [-165, 83], [-3/2, -5/2]], [[0, 0], [-265/2, -145/2], [-261, 29], [-55/2, -35/2]]], 0, 1032192, [], [] >,
< [ -3, 0, 1 ], [[-4608, -3648]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -2], [-42, -2], [0, 0]], [[0, 0], [-9, 5], [0, -12], [1, -1]], [[0, 0], [15/2, -11/2], [-69, -29], [-7/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 14], [-78, -46], [0, 0]], [[0, 0], [-89/2, -49/2], [123, 49], [-15/2, 5/2]], [[0, 0], [19, -3], [-258, 130], [75, -43]]], 0, 1032192, [], [] >,
< [ -3, 0, 1 ], [[2304, 1824]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1314, 14], [1314, 10], [0, 0]], [[0, 0], [3671254/193, -350733994/579], [8668, 605692], [110/193, 4/579]], [[0, 0], [-47180251833/193, -60283671326/579], [249308087, 107881105], [19923/193, 45704/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, -14], [-222, -10], [0, 0]], [[0, 0], [-1425224316/2123, -277388039/6369], [-16051735/11, 533761/11], [19920/2123, 5/6369]], [[0, 0], [3349440541041/2123, 2406603123806/2123], [30371853747/11, 23879814241/11], [-40790421/2123, -30994086/2123]]], 0, 258048, [], [] >,
< [ -3, 0, 1 ], [[2304, 1824]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-888, -22], [900, 4], [0, 0]], [[0, 0], [247440083/193, 337761029/193], [-1134108, -1749810], [-1337/193, -1/193]], [[0, 0], [-721590342226/193, -1115945066111/579], [3633961565, 1847327261], [945406/193, 2167067/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-348, -38], [396, 8], [0, 0]], [[0, 0], [249540504/2123, -23917276/6369], [-3134522/11, 41590/11], [4770/2123, -2/6369]], [[0, 0], [501520567531/2123, 393509609206/2123], [-6588855429/11, -5069860107/11], [10335947/2123, 7850866/2123]]], 0, 258048, [], [] >,
< [ -3, 0, 1 ], [[2304, 1824]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-372, -210], [-2892, -1672], [0, 0]], [[0, 0], [-38, 1], [72, 0], [1, 0]], [[0, 0], [3660, 2020], [28158, 16302], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2568, 18], [90, -10], [0, 0]], [[0, 0], [223327605/11, 25712413/11], [7520556/11, -21188/11], [27/11, -1/11]], [[0, 0], [-141334310177/11, -166855930702/11], [-2890774272/11, -5272639704/11], [-8432/11, -18569/11]]], 0, 258048, [], [] >,
< [ -3, 0, 1 ], [[-1440, -1344]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5509828/167, -2944/167], [-31186/167, 2/167], [0, 0]], [[0, 0], [-99949731485/167, 399656915818/501], [564677207/167, -2261287669/501], [342/167, 5/501]], [[0, 0], [134773935758826/167, -45658362922679/167], [-762467261079/167, 258076516613/167], [-36225/167, 105700/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13612328/167, -6160/167], [-20078/167, 6/167], [0, 0]], [[0, 0], [528781456/1837, -103568638/5511], [185090/1837, 61114/5511], [6152/1837, 4/5511]], [[0, 0], [182603166512/1837, -344585744717/1837], [1868869/1837, -113458943/1837], [1354041/1837, -3920150/1837]]], 0, 184320, [], [] >,
< [ -3, 0, 1 ], [[-1440, -1344]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3554252/167, 4862/167], [-20078/167, 6/167], [0, 0]], [[0, 0], [4491262118/167, -13536560840/501], [-25495496/167, 76595840/501], [70/167, 2/501]], [[0, 0], [1398256763801/167, -1701048269404/501], [-7914749975/167, 9647895169/501], [2204/167, -19247/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11144408/167, 1398/167], [-16490/167, 2/167], [0, 0]], [[0, 0], [2262335348312/1837, 413866937437/5511], [-3347091917/1837, -609732319/5511], [-11663/1837, -4/5511]], [[0, 0], [773100007312674/1837, -14756292812594095/5511], [-1149512159541/1837, 21833646126577/5511], [-8712851/1837, 77665546/5511]]], 0, 184320, [], [] >,
< [ -3, 0, 1 ], [[-1440, -1344]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [246, 146], [5130, 2962], [0, 0]], [[0, 0], [4, 1], [-24, 0], [1, 0]], [[0, 0], [-102, -60], [-2262, -1306], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, -60], [2988, 1724], [0, 0]], [[0, 0], [26, 1], [-24, 0], [1, 0]], [[0, 0], [264, 154], [-7350, -4242], [0, 0]]], 0, 184320, [], [] >,
< [ -3, 0, 1 ], [[-1440, -1344]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [504, 532], [-426, -6], [0, 0]], [[0, 0], [48, 1], [-24, 0], [1, 0]], [[0, 0], [195834, -113896], [195906, -112852], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [300, 170], [-1212, -700], [0, 0]], [[0, 0], [-18, 1], [42, 0], [1, 0]], [[0, 0], [120, 68], [-606, -350], [0, 0]]], 0, 184320, [], [] >,
< [ -3, 0, 1 ], [[180, 168]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111, 53], [81, 47], [0, 0]], [[11/2, 5/2], [105/2, -565], [-909/2, -495/2], [1, 3/2]], [[-13, -7], [843, 954], [1191, 676], [-4, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[147/2, 3/2], [-21, 20], [147/2, 3/2], [0, 0]], [[-545501/2, 302977/2], [417945/2, -243467/2], [-545541/2, 303001/2], [-5/2, 3/2]], [[-3213/2, -119/2], [435, -430], [-3213/2, -119/2], [0, 0]]], 1, 2880, [], [] >,
< [ -3, 0, 1 ], [[180, 168]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -26], [-252, -145], [0, 0]], [[0, 0], [369/2, 31], [588, 372], [1, -1/2]], [[0, 0], [123, 73], [666, 384], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -17], [-33, -22], [0, 0]], [[0, 0], [-105/2, -105/2], [141, 107], [-5/2, -5/2]], [[0, 0], [-4074, 2352], [4710, -2719], [-194, 112]]], 1, 2880, [], [] >,
< [ -3, 0, 1 ], [[1152, 1248]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3153974/167, 6432/167], [-43916/167, -8/167], [0, 0]], [[0, 0], [187690622863/167, 477615698738/167], [2657768407/167, 6656226747/167], [-396/167, -1/167]], [[0, 0], [-788545593927606/167, -1284763242814319/501], [-11019617304891/167, -17962492050419/501], [285423/167, 544324/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29195116/167, 854/167], [-31358/167, 6/167], [0, 0]], [[0, 0], [-624211359873/1837, 122657876458/1837], [672408681/1837, -131802255/1837], [-10082/1837, -1/1837]], [[0, 0], [1220317418707730/1837, 2579890060249723/5511], [-1316493301837/1837, -2782156236689/5511], [31559105/1837, 60279310/5511]]], 0, 184320, [], [] >,
< [ -3, 0, 1 ], [[1152, 1248]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1193874/167, 816/167], [16662/167, -6/167], [0, 0]], [[0, 0], [-1441564050/167, -1437882175/167], [-20061177/167, -20047299/167], [-5, 0]], [[0, 0], [-9376999437818/167, -15828941576678/501], [-130652444486/167, -220530797714/501], [-1871196/167, -3569378/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8381214/167, 12716/167], [-8970/167, -10/167], [0, 0]], [[0, 0], [162948654248/1837, -36068348357/5511], [-174042877/1837, 38679571/5511], [4913/1837, -2/5511]], [[0, 0], [940024748267156/1837, 616587511547286/1837], [-1003359920980/1837, -658219150840/1837], [32987598/1837, 21020550/1837]]], 0, 184320, [], [] >,
< [ -3, 0, 1 ], [[1152, 1248]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 34], [-1314, -758], [0, 0]], [[0, 0], [6, 1], [-60, 0], [1, 0]], [[0, 0], [-396, -264], [8430, 4870], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -24], [162, -6], [0, 0]], [[0, 0], [-8165, -303], [-77334, 54494], [9, 1]], [[0, 0], [-406717, -290626], [1979244, -111616], [516, 351]]], 0, 184320, [], [] >,
< [ -3, 0, 1 ], [[1152, 1248]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-294, -60], [-192, -10], [0, 0]], [[0, 0], [50, 1], [6, 0], [1, 0]], [[0, 0], [1950, 4142], [0, 2772], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, -94], [270, -10], [0, 0]], [[0, 0], [-16, 1], [6, 0], [1, 0]], [[0, 0], [-264, -176], [-918, 782], [0, 0]]], 0, 184320, [], [] >,
< [ -3, 0, 1 ], [[-144, -156]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81, 41], [66, 0], [0, 0]], [[-1/2, -3/2], [32059/2, 71], [113385/2, -57295/2], [-2, 1/2]], [[-210, -116], [1036497, 638165], [238944, 403579], [-69, -47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[99, 0], [72, 100], [99, 0], [0, 0]], [[8340, -1085], [5459/2, 15351/2], [8343, -1100], [1/2, -5/2]], [[-714903/2, -334943/2], [-768158, -483715], [-712791/2, -333503/2], [176, 120]]], 1, 2880, [], [] >,
< [ -3, 0, 1 ], [[-144, -156]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 10], [18, 3], [0, 0]], [[0, 0], [-125/2, 267/2], [-12, -3], [-1/2, 5/2]], [[0, 0], [-2118, -2983/2], [243, 134], [-99/2, -33]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 4], [-24, -4], [0, 0]], [[0, 0], [-143/2, -55/2], [-3, 2], [-13/2, -5/2]], [[0, 0], [-693, -495], [27, -10], [-63, -45]]], 1, 2880, [], [] >,
< [ -3, 0, 1 ], [[0, 864]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-186, -108], [-24, -12], [0, 0]], [[0, 0], [10818, 6221], [1398, 798], [-3, 2]], [[0, 0], [-5082, -2934], [-654, -378], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 48], [-990, -570], [0, 0]], [[0, 0], [69, 20], [-1008, -576], [-12, -1]], [[0, 0], [-156, -70], [2712, 1560], [24, 8]]], 0, 124416, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -13], [30, 21], [0, 0]], [[0, 0], [-197/2, 32], [99, 10], [-1, 3/2]], [[0, 0], [369, 169], [-924, -510], [-12, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -1], [15, -9], [0, 0]], [[0, 0], [-229/2, -60], [3, -9], [-2, 1/2]], [[0, 0], [-849, -495], [-57, -24], [-3, -3]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 16], [6, 3], [0, 0]], [[-5/2, -1/2], [11, -3/2], [9/2, -7/2], [1/2, -1]], [[1/2, 1/2], [-1, -5/2], [3/2, -1/2], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 7], [12, 15], [0, 0]], [[1/2, -3/2], [233, -125/2], [-1509/2, 1071/2], [-5/2, 1]], [[-10, -5], [937/2, 707/2], [1104, 228], [-5/2, -5/2]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 46], [-174, -102], [0, 0]], [[0, 0], [-2, 1], [6, 2], [1, 0]], [[0, 0], [-486, -288], [1068, 612], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -4], [372, 216], [0, 0]], [[0, 0], [-2, 1], [0, 0], [1, 0]], [[0, 0], [42, 26], [-1362, -786], [0, 0]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -6], [-24, -18], [0, 0]], [[0, 0], [4, 1], [0, 2], [1, 0]], [[0, 0], [18, -2], [36, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 108], [-30, 18], [0, 0]], [[0, 0], [4, 1], [0, 0], [1, 0]], [[0, 0], [1260, 734], [0, 6], [0, 0]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[0, 864]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, -78], [-990, -570], [0, 0]], [[0, 0], [-1032, -622], [-7968, -4584], [0, -12]], [[0, 0], [993, 614], [7776, 4464], [-6, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 42], [-822, -474], [0, 0]], [[0, 0], [201, 66], [-1728, -1056], [0, -15]], [[0, 0], [540, 214], [-5040, -3024], [-12, -36]]], 0, 124416, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 1], [9, -5], [0, 0]], [[-6, -2], [37, 19], [-15, -8], [-6, 0]], [[-17/2, -9/2], [127/2, 36], [-51/2, -29/2], [-6, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 5], [3, 3], [0, 0]], [[1, 0], [5/2, 23/2], [3, 9], [3/2, -1/2]], [[3/2, 1/2], [19, 33/2], [33/2, 27/2], [3/2, 0]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -1], [-9, 3], [0, 0]], [[0, 0], [-265/2, -61], [87, 28], [3, -1/2]], [[0, 0], [-1595, -839], [969, 442], [24, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -6], [15, 12], [0, 0]], [[0, 0], [1, -18], [-165, 132], [3, 0]], [[0, 0], [-20, 57/2], [396, -264], [-9/2, 1]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 14], [-72, -40], [0, 0]], [[0, 0], [-61, -12], [96, 80], [-12, 1]], [[0, 0], [122, 58], [-306, -190], [18, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 4], [138, 78], [0, 0]], [[0, 0], [-2256, -1295], [-35760, -20640], [3, 0]], [[0, 0], [1081, 611], [17010, 9810], [-3, 1]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, -32], [-90, -50], [0, 0]], [[0, 0], [1324, 725], [1896, 1078], [9, 2]], [[0, 0], [8122, 3462], [10746, 5686], [120, -30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 4], [30, 24], [0, 0]], [[0, 0], [-200, 17], [-858, -198], [-9, -2]], [[0, 0], [4024, -717], [15708, 2244], [165, 22]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, -54], [66, 36], [0, 0]], [[0, 0], [-2230, -1278], [1496, 868], [-4, 0]], [[0, 0], [4043, -2279], [1787, -1069], [1022, -590]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [147, 87], [-3, 3], [0, 0]], [[0, 0], [-4, 0], [8, -8], [-16, 0]], [[0, 0], [-6, 0], [18, -12], [-18, 6]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [246, 138], [312, 180], [0, 0]], [[0, 0], [-610, -508], [-934, -548], [-4, -4]], [[0, 0], [50109, -28909], [2865, -1627], [558, -322]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, -108], [-48, -24], [0, 0]], [[0, 0], [-1232, -708], [-290, -170], [-14, -6]], [[0, 0], [-1087, 603], [719, -421], [-520, 300]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, -45/2], [-3/2, -6], [0, 0]], [[0, 0], [-5/2, -1/2], [-1/2, 1/2], [1, 0]], [[0, 0], [6, -48], [-72, -48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15/2, -18], [3, 3/2], [0, 0]], [[0, 0], [-1, 1/2], [-1/2, 0], [1, 0]], [[0, 0], [-12, 6], [0, 0], [0, 0]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39/2, -63/2], [-15/2, -3/2], [0, 0]], [[4, -1], [1315/2, 313/2], [233/2, 173/2], [4, -1]], [[55/2, -15/2], [8633/2, 923], [731, 1115/2], [55/2, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -42], [-30, -15], [0, 0]], [[-5, -2], [-454, -176], [-236, -146], [-5, -2]], [[-55/2, 15/2], [-2605, 1513/2], [-391/2, -369], [-55/2, 15/2]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -24], [-42, -24], [0, 0]], [[0, 0], [2, -23], [-47, -10], [-8, -6]], [[0, 0], [8, -12], [-20, 0], [-2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-93, -39], [-57, -33], [0, 0]], [[0, 0], [19, -14], [2, -3], [-4, 6]], [[0, 0], [-2, 1], [-1, 0], [2, 0]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-87, -72], [-12, -9], [0, 0]], [[0, 0], [683, 401], [85, 49], [-8, -4]], [[0, 0], [137, 143], [25, 13], [-8, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -36], [36, 24], [0, 0]], [[0, 0], [134, 62], [-80, -60], [-8, 6]], [[0, 0], [-319, -172], [226, 141], [4, -6]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [213, 111], [-9, -9], [0, 0]], [[0, 0], [130, -397], [149, -68], [-10, 6]], [[0, 0], [2232, 1364], [-150, -62], [0, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [225, 75], [15, -9], [0, 0]], [[0, 0], [61054, 35425], [-175, -18], [8, -6]], [[0, 0], [-130396, -75374], [256, 106], [-2, 4]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15/2, 51/2], [-9/2, 9/2], [0, 0]], [[0, 0], [1/2, -5/2], [-1/2, -1/2], [1, 0]], [[0, 0], [36, -3/2], [15/2, -3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39/2, -21], [6, -9/2], [0, 0]], [[0, 0], [-5/2, 3/2], [-1/2, 1/2], [1, 0]], [[0, 0], [-27/2, 81/2], [-15/2, 15/2], [0, 0]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[36, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9/2, -27/2], [-15/2, -3/2], [0, 0]], [[-4, -1], [-793/2, -101/2], [-101/2, -151/2], [-4, -1]], [[143/2, -33/2], [17239/2, -2887], [-1091, 2825/2], [143/2, -33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45/2, -3/2], [57/2, 27/2], [0, 0]], [[2, 1], [-4729/2, 3667/2], [919/2, 1837/2], [2, 1]], [[-3/2, 1/2], [21681, -25177/2], [8571/2, -2653], [-3/2, 1/2]]], 1, 72, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57, -21], [33, 15], [0, 0]], [[0, 0], [11, 10], [-2, -7], [10, 4]], [[0, 0], [48, -18], [-60, 30], [-12, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-165, -69], [-63, -33], [0, 0]], [[0, 0], [-1225, -842], [-560, -341], [-2, -4]], [[0, 0], [2163, 1359], [957, 567], [6, 6]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162, -99], [-3, -6], [0, 0]], [[0, 0], [-1257, -746], [-54, -31], [-6, 2]], [[0, 0], [2083, 1227], [89, 51], [8, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [204, 117], [33, 24], [0, 0]], [[0, 0], [-15040, -8782], [-3494, -1176], [-2, 10]], [[0, 0], [-371307, -215135], [-73629, -36019], [114, 152]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -39], [-33, -24], [0, 0]], [[0, 0], [215, 125], [85, 49], [94, 54]], [[0, 0], [-20, -11], [-7, -4], [-10, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [216, 114], [6, 0], [0, 0]], [[0, 0], [-1076, 21], [-181, 94], [-4, 0]], [[0, 0], [-1960, -2603], [337, -260], [-8, -10]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[-1152, -864]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-444, -232], [-66, -42], [0, 0]], [[0, 0], [-1205, -1817], [-528, -112], [-3, 5]], [[0, 0], [-67175, -49912], [-14400, -6400], [42, 91]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-750, -122], [54, 30], [0, 0]], [[0, 0], [-422691, 224335], [3414, 198], [-9, 1]], [[0, 0], [3403661, -2399062], [27060, 32144], [-30, -75]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[288, 576]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 8], [30, -6], [0, 0]], [[0, 0], [-2, 1], [-6, -2], [1, 0]], [[0, 0], [6, 4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 10], [276, 24], [0, 0]], [[0, 0], [-2, 1], [18, 2], [1, 0]], [[0, 0], [-120, -104], [-2958, -174], [0, 0]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[4032, 1440]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, -86], [1536, 888], [0, 0]], [[0, 0], [-18, 1], [54, -2], [1, 0]], [[0, 0], [-486, -282], [4686, 2706], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [162, 94], [-6990, -4038], [0, 0]], [[0, 0], [-18, 1], [30, 2], [1, 0]], [[0, 0], [630, 368], [-26880, -15540], [0, 0]]], 0, 552960, [], [] >,
< [ -3, 0, 1 ], [[-3744, -1152]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, -118], [30, -6], [0, 0]], [[0, 0], [-16, 1], [-6, -2], [1, 0]], [[0, 0], [-30, -16], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [240, 150], [222, -18], [0, 0]], [[0, 0], [-16, 1], [18, 2], [1, 0]], [[0, 0], [-192, -98], [72, -120], [0, 0]]], 0, 552960, [], [] >,
< [ -3, 0, 1 ], [[0, 288]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, 78], [-1020, -588], [0, 0]], [[0, 0], [-2, 3], [6, 2], [1, 0]], [[0, 0], [24, 18], [-222, -126], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, -48], [822, 474], [0, 0]], [[0, 0], [-2, 3], [0, 0], [1, 0]], [[0, 0], [30, 24], [-330, -198], [0, 0]]], 0, 13824, [], [] >,
< [ -3, 0, 1 ], [[0, 288]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -4], [174, 102], [0, 0]], [[0, 0], [5, -2], [-396, -196], [6, -5]], [[0, 0], [15, 3], [-4794, -2730], [-9, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, -46], [258, 150], [0, 0]], [[0, 0], [1406, 701], [-4140, -2436], [3, -2]], [[0, 0], [-1242, -720], [3972, 2292], [0, 0]]], 0, 13824, [], [] >,
< [ -3, 0, 1 ], [[32, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [775, 445], [-19, -9], [0, 0]], [[0, 0], [1229, 747], [-9, -27], [-10, -2]], [[0, 0], [-3205, -1903], [45, 57], [21, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -13], [-3, 1], [0, 0]], [[0, 0], [2620, 1510], [66, 38], [7, 3]], [[0, 0], [-1354, -792], [-34, -20], [0, -4]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[32, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-656, -378], [-4, -2], [0, 0]], [[0, 0], [-2952, -1720], [-12, -14], [-1, -1]], [[0, 0], [389, 223], [3, 1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [583, 339], [-3, -3], [0, 0]], [[0, 0], [4926, 2886], [-16, -30], [-5, 1]], [[0, 0], [76079, 43981], [-497, -315], [-30, -12]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -6], [-40, -24], [0, 0]], [[0, 0], [0, 0], [1, 1], [1, 0]], [[0, 0], [-8, -8], [-48, -30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, 76], [2, 2], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [293, 185], [11, 1], [0, 0]]], 0, 16, [], [] >,
< [ -3, 0, 1 ], [[132, 76]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [13, 10], [0, 0], [2, -1]], [[0, 0], [275, 315/2], [0, 0], [3/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [43/2, 25/2], [0, 0], [-1/2, -5/2]], [[0, 0], [283/2, 82], [0, 0], [-10, -25/2]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[0, -16]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -4], [9, 3], [0, 0]], [[0, 0], [-47, -28], [24, 16], [-4, 1]], [[0, 0], [-55/2, 51/2], [88, -56], [297/2, -171/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 26], [1, -1], [0, 0]], [[0, 0], [299, 176], [0, 0], [-2, 1]], [[0, 0], [-1219/2, -777/2], [0, 0], [41/2, -23/2]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -54], [-20, 16], [0, 0]], [[0, 0], [2013, 1189], [-20, -92], [-17, -7]], [[0, 0], [1976, 1142], [-84, -52], [-14, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -28], [-700, -404], [0, 0]], [[0, 0], [335, 195], [5184, 2992], [5, 3]], [[0, 0], [-14, -6], [-192, -112], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [184, 128], [0, 8], [0, 0]], [[0, 0], [-24, 12], [-8, 6], [2, 2]], [[0, 0], [-5, 11], [-10, 0], [-13, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [742, 442], [6, 8], [0, 0]], [[0, 0], [-1851, -977], [-48, 0], [-7, 1]], [[0, 0], [9640, 5544], [136, 72], [16, 8]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1932, -1104], [10, 10], [0, 0]], [[0, 0], [488, 116], [50, -32], [2, -2]], [[0, 0], [3439, 1939], [-12, -24], [-7, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [238, 166], [-8, 6], [0, 0]], [[0, 0], [5696, 3298], [36, 12], [-10, 0]], [[0, 0], [-5197, -2999], [-24, -16], [3, 3]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[0, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1228, -696], [4, 0], [0, 0]], [[0, 0], [4960, 2666], [-38, 12], [4, 20]], [[0, 0], [-48540, 28798], [8450, -4880], [4384, -2528]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-500, -286], [2, 4], [0, 0]], [[0, 0], [20180, 11736], [-260, -60], [-360, -208]], [[0, 0], [-28696, -16600], [288, 132], [568, 328]]], 0, 16384, [], [] >,
< [ -3, 0, 1 ], [[0, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2234, 1212], [4, -10], [0, 0]], [[0, 0], [-101046, -59208], [440, 110], [-8, 8]], [[0, 0], [-7340, 4690], [-1298, 748], [142, -82]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4966, 2922], [2, 10], [0, 0]], [[0, 0], [52022, 29678], [150, 30], [10, -2]], [[0, 0], [-8228, 5046], [-1350, 780], [-142, 82]]], 0, 16384, [], [] >,
< [ -3, 0, 1 ], [[0, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4426, 2534], [-10, -2], [0, 0]], [[0, 0], [544, 392], [12, -8], [14, 6]], [[0, 0], [-7906, 4548], [1500, -866], [190, -110]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6576, -3862], [-6, 8], [0, 0]], [[0, 0], [782932, 455512], [64, -576], [22, 2]], [[0, 0], [-1644248, 969208], [292128, -168672], [5072, -2928]]], 0, 16384, [], [] >,
< [ -3, 0, 1 ], [[12, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -21/2], [5/2, 2], [0, 0]], [[0, 0], [-2, 0], [0, 0], [1, 0]], [[0, 0], [89/2, 8], [-11, -11/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29, -10], [-2, 1], [0, 0]], [[0, 0], [-2, 0], [0, 0], [1, 0]], [[0, 0], [-1069/2, -313], [-2, -5/2], [0, 0]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[0, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-255/2, -143/2], [9/2, -1/2], [0, 0]], [[0, 0], [-909, 69], [749, -427], [-17, -9]], [[0, 0], [23147/2, -14745/2], [-35217/2, 20349/2], [-8, -24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-137/2, -47/2], [1/2, 1/2], [0, 0]], [[0, 0], [44, 16], [0, 0], [5, 5]], [[0, 0], [-4, 12], [0, 0], [5, -1]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [338, 202], [26, 14], [0, 0]], [[0, 0], [9444, 6956], [972, 344], [0, 4]], [[0, 0], [87897, -49223], [-12415, 7279], [226, -130]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, -68], [-92, -52], [0, 0]], [[0, 0], [2139, 1315], [1823, 1045], [10, 2]], [[0, 0], [-9718, 5976], [1196, -390], [480, -276]]], 0, 4096, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-895, -515], [-19, -9], [0, 0]], [[0, 0], [9728, 5674], [126, 144], [-10, 2]], [[0, 0], [-911, 989], [-1611, 939], [-170, 98]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-473, -271], [1, 1], [0, 0]], [[0, 0], [-284, -204], [0, 0], [4, 8]], [[0, 0], [-1864, 1092], [0, 0], [266, -154]]], 0, 4096, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [361, 237], [1, 3], [0, 0]], [[0, 0], [-125, 57], [-11, 5], [-6, 2]], [[0, 0], [3008, -1732], [264, -152], [122, -70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [329, 183], [-13, -5], [0, 0]], [[0, 0], [-836, -544], [24, 24], [-26, -10]], [[0, 0], [-3984, 2380], [660, -384], [336, -192]]], 0, 4096, [], [] >,
< [ -3, 0, 1 ], [[64, 48]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144456/167, -2276/501], [1072/167, 2/501], [0, 0]], [[0, 0], [-368399655/334, -184332351/334], [1357298/167, 677461/167], [-439/334, -1/334]], [[0, 0], [-55384019497/334, -107905939733/1002], [203599035/167, 397482430/501], [-6935/334, -118625/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1941206/167, -10564/501], [-1196/167, 4/501], [0, 0]], [[0, 0], [-217226116457/1837, 45765123326/5511], [12193711/167, -2536309/501], [5212/1837, 1/5511]], [[0, 0], [5761392312409/3674, -125295460913947/3674], [-152175158/167, 3517175279/167], [503143/3674, 3041593/3674]]], 0, 160, [], [] >,
< [ -3, 0, 1 ], [[64, 48]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180188/167, -358/501], [-1320/167, 10/501], [0, 0]], [[0, 0], [-592647/334, -265591/1002], [-258/167, 2135/501], [773/334, 1/334]], [[0, 0], [-81115860/167, -389312374/501], [887084/167, -152066/501], [32734/167, 493528/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-440044/167, 3278/501], [264/167, -2/501], [0, 0]], [[0, 0], [87477199915/3674, 48835993/11022], [-2387893/167, -1144/501], [-897/3674, 1/3674]], [[0, 0], [-10610526724025/3674, -185797874551439/11022], [289505059/167, 5071760924/501], [106323/3674, 1904767/11022]]], 0, 160, [], [] >,
< [ -3, 0, 1 ], [[-700, -404]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13192/167, -9290/501], [70/167, 2/501], [0, 0]], [[481/2, -5/2], [-22063/2, 7759], [-45, 30], [-765/334, 1/501]], [[-97047/2, 29193/2], [596176210/167, -734091793/334], [2383464/167, -1442148/167], [76533/167, -44973/334]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [334336/167, -3464/501], [-474/167, -4/501], [0, 0]], [[1794, 2], [6187195021/167, -1890720040/501], [-8752594/167, 2515861/501], [2, 0]], [[7418903/2, -2175571/2], [153523080820579/1837, -111546362798947/3674], [-19646832397/167, 7063020986/167], [7604204/1837, -13417165/11022]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-700, -404]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76320/167, -14300/501], [-264/167, 2/501], [0, 0]], [[-337/2, 3/2], [786465955/167, -2911905191/1002], [3085605/167, -5635073/501], [268/167, 1/1002]], [[-643356, 193752], [4604437906994/167, -8149044426089/501], [17978814147/167, -31679406688/501], [1014714/167, -298494/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [231798/167, 4051/501], [-307/167, -4/501], [0, 0]], [[2399/2, 3/2], [-588931955/3674, 13892743/1837], [10716/167, -1692/167], [4913/3674, 1/5511]], [[98550, -29565], [-50503583221/3674, 16861680083/3674], [1007022/167, -404388/167], [404055/3674, -121545/3674]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-512, -384]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-519362/167, 1174/501], [-4568/167, -16/501], [0, 0]], [[0, 0], [5019099070/167, -4096624870/501], [44083084/167, -35781236/501], [8, 0]], [[0, 0], [68558988177/167, -299610559033/501], [598004376/167, -2632162262/501], [-4433/167, -83369/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7657948/167, -36988/501], [-1616/167, -8/501], [0, 0]], [[0, 0], [-460337904621/1837, 18971347881/1837], [-8832676/167, 363786/167], [2179/1837, 5/5511]], [[0, 0], [21525937112131/1837, 1520113866999601/5511], [413772220/167, 29167118506/501], [-406011/1837, -7245859/5511]]], 0, 10240, [], [] >,
< [ -3, 0, 1 ], [[64, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-217, -125], [1, 1], [0, 0]], [[0, 0], [-216, -126], [-10, -6], [-8, -4]], [[0, 0], [-20, -17], [0, -1], [-3, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-101, -45], [3, 3], [0, 0]], [[0, 0], [-3631/11, 508/11], [373/11, 90/11], [91/11, 5/11]], [[0, 0], [174/11, 15/11], [-24/11, -7/11], [-5/11, -1/11]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[64, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 0], [1, 0], [0, 0]], [[0, 0], [224, 126], [0, 0], [18, 10]], [[0, 0], [-364, -226], [0, 0], [-28, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -2], [1, 0], [0, 0]], [[0, 0], [-2063/11, -2012/11], [225/11, 12/11], [150/11, 8/11]], [[0, 0], [-299960/11, -215554/11], [20184/11, 5568/11], [13456/11, 3712/11]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[20, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 0], [1, 0], [0, 0]], [[-2, 2], [136, 122], [0, 0], [-2, 2]], [[-25/2, 13/2], [-313, 8], [0, 0], [-25/2, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -2], [1, 0], [0, 0]], [[7/2, -3/2], [-5305/11, -3162/11], [-14/11, 6/11], [7/22, -3/22]], [[0, 0], [-44, -22], [0, 0], [0, 0]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[20, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 0], [1, 0], [0, 0]], [[-5, 0], [75, 27], [0, 0], [-5, 0]], [[21/2, -15/2], [-35, 56], [0, 0], [21/2, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -2], [1, 0], [0, 0]], [[105/2, -1/2], [10724/11, -1593/11], [-210/11, 2/11], [105/22, -1/22]], [[-2275/2, 1547/2], [-297356/11, 189681/11], [4550/11, -3094/11], [-2275/22, 1547/22]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-512, -384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2812, -1620], [86, 50], [0, 0]], [[0, 0], [-3722, -1816], [54, 64], [-22, -10]], [[0, 0], [88410, -50990], [8710, -5030], [728, -420]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [596, 348], [-68, -40], [0, 0]], [[0, 0], [21342/11, 17112/11], [-2330/11, -1720/11], [170/11, -10/11]], [[0, 0], [-239274/11, 139770/11], [18676/11, -10952/11], [5440/11, -3136/11]]], 0, 12288, [], [] >,
< [ -3, 0, 1 ], [[-12, -20]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 0], [1, 0], [0, 0]], [[-1/2, -1/2], [309, 365/2], [-1/2, -1/2], [-1/2, 0]], [[0, 0], [34, 20], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 10], [-2, -1], [0, 0]], [[0, -1], [-113, 4], [0, -1], [0, -1]], [[-37/2, -29/2], [-3123/2, -1275/2], [-37/2, -29/2], [-37/2, -29/2]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[-12, -20]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 0], [1, 0], [0, 0]], [[11/2, 5/2], [669/2, 173], [11/2, 5/2], [1, 3/2]], [[-22, 11], [-1423/2, 591/2], [-22, 11], [55/2, -33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -5/2], [118, 5], [-15/2, -5/2], [0, 0]], [[0, 0], [1, 0], [0, 0], [1, 0]], [[28, 21], [-200, -282], [28, 21], [0, 0]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[-144, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-164, -94], [8, 2], [0, 0]], [[0, 0], [-1701, -976], [74, 22], [-2, -1]], [[0, 0], [1025/2, -361/2], [-1387, 797], [23/2, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [167, 99], [-3, -1], [0, 0]], [[0, 0], [6, 1], [0, 0], [1, 0]], [[0, 0], [-119, -67], [1, 1], [0, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[-144, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [268, 152], [36, 22], [0, 0]], [[0, 0], [-11801, -6756], [-1628, -946], [6, 1]], [[0, 0], [1259/2, -727/2], [0, 0], [-71/2, 41/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112, 66], [44, 26], [0, 0]], [[0, 0], [1, 0], [0, 0], [1, 0]], [[0, 0], [-31, -29], [-12, -12], [0, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[1152, 512]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1686, -974], [-568, -328], [0, 0]], [[0, 0], [13367, 7713], [4684, 2704], [9, 5]], [[0, 0], [2867, 1729], [1024, 596], [-1, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2322, 1338], [8, 4], [0, 0]], [[0, 0], [560, 318], [0, 0], [-14, -8]], [[0, 0], [-125, -29], [0, 0], [3, 1]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[128, 256]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1493812/167, 59056/167], [-3798/167, -2/167], [0, 0]], [[0, 0], [156790127053/167, -90574722301/167], [-427564954/167, 246978220/167], [-299/167, -1/501]], [[0, 0], [26090900504160/167, -44896285834172/501], [-71117437658/167, 122478403090/501], [258556/167, 533540/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12181638/167, -26434/501], [9988/167, 20/501], [0, 0]], [[0, 0], [36581307899341/1837, 1310726554569/1837], [-29993564258/1837, -1073021176/1837], [2179/1837, -5/5511]], [[0, 0], [337746194065675443/1837, 682363723548512975/5511], [-276893694003148/1837, -559437375731950/5511], [18704421/1837, 12862969/1837]]], 0, 10240, [], [] >,
< [ -3, 0, 1 ], [[-16, -32]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, -8], [2, 0], [0, 0]], [[0, 0], [-3632203/334, -3369033/334], [-67109/167, -54148/167], [159/334, 5/1002]], [[0, 0], [-78679096/167, -130837871/501], [-2658841/167, -4473533/501], [1209/167, 2480/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-606376/167, 62/501], [-404/167, 2/501], [0, 0]], [[0, 0], [-18338429245/3674, -1408799191/3674], [-6145149/1837, -460172/1837], [-1495/3674, -5/11022]], [[0, 0], [2263364505081/1837, 4482788241689/5511], [1511653540/1837, 2996722064/5511], [159627/1837, 109759/1837]]], 0, 160, [], [] >,
< [ -3, 0, 1 ], [[-16, -32]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9190/167, 2696/501], [-318/167, -10/501], [0, 0]], [[0, 0], [-6284637/334, 14768891/1002], [-51354/167, 241723/501], [2831/334, 5/1002]], [[0, 0], [-7779651816/167, -3611518222/501], [-461467606/167, -545020336/501], [-5690350/167, -3913090/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-331492/167, 3402/167], [-210/167, 2/167], [0, 0]], [[0, 0], [-33228212559/3674, -3519390013/11022], [-10677295/1837, -1122188/5511], [10723/3674, -1/11022]], [[0, 0], [384184149644799/1837, 776722677820682/5511], [246772447747/1837, 498984394541/5511], [-115554488/1837, -238403789/5511]]], 0, 160, [], [] >,
< [ -3, 0, 1 ], [[340, 196]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136191/167, 4664/501], [994/167, 5/501], [0, 0]], [[625/2, 7/2], [42387192/167, -28340813/334], [313548/167, -106488/167], [497/167, 5/1002]], [[94393, 29044], [17734156055/334, -880177335/334], [65144034/167, -3753702/167], [297701/334, 268657/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4950, 1], [-1, 0], [0, 0]], [[751, -1], [3130933274/11, -244601645/33], [-632674/11, 49798/33], [-1538/1837, 1/5511]], [[11570427/2, 3389317/2], [7879912306145337/3674, 3240665688846464/5511], [-796014495935/1837, -654370203184/5511], [-23718815/3674, -3483776/1837]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[340, 196]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-183702/167, 377/501], [-1363/167, -4/501], [0, 0]], [[-525/2, -5/2], [-550161473/334, 820452394/501], [-2032436/167, 6077284/501], [-5/2, 0]], [[-26224, -7920], [-3270962528/167, 19052824714/167], [-23718428/167, 141279332/167], [-41360/167, -36608/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3375402/167, -12401/501], [695/167, 4/501], [0, 0]], [[-1189/2, 1/2], [10447235116709/3674, -2185405621414/5511], [-1075237357/1837, 447738194/5511], [2435/3674, 1/5511]], [[2101178, 615476], [-16206822510951285/1837, -8540652279612653/5511], [3338226613614/1837, 1765480348930/5511], [-4307313/1837, -3795775/5511]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[128, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-573, -103], [5, 5], [0, 0]], [[0, 0], [15844, -14844], [280, -60], [2, -6]], [[0, 0], [3928, 17004], [-416, -104], [10, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1004, -546], [6, 4], [0, 0]], [[0, 0], [-187942/11, -103436/11], [1348/11, 738/11], [-50/11, 10/11]], [[0, 0], [-247241/11, 144233/11], [1989/11, -1159/11], [-1912/11, 1104/11]]], 0, 12288, [], [] >,
< [ -3, 0, 1 ], [[28, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45/2, -17/2], [11/2, 1/2], [0, 0]], [[-1, -1], [-1999/2, -489/2], [599/2, -65/2], [-1, -1]], [[-29/2, -13/2], [-5400, -9163/2], [713/2, 1110], [-29/2, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [167/2, 281/2], [9/2, 1/2], [0, 0]], [[55, 0], [-2032, -1636], [-40, -26], [5, 0]], [[5/2, -1/2], [939/22, -73/11], [3/11, 1/22], [5/22, -1/22]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[28, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [303/2, 45/2], [-7/2, -3/2], [0, 0]], [[1/2, 5/2], [10137/2, -1281], [-71, -17/2], [1/2, 5/2]], [[15/2, 5/2], [467, 7411/2], [-161/2, -73], [15/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [219/2, 293/2], [5/2, 5/2], [0, 0]], [[-39, -1], [1555/11, 5640/11], [50/11, 67/11], [-39/11, -1/11]], [[-83/2, -45/2], [22477/22, 6802/11], [168/11, 199/22], [-83/22, -45/22]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-16, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, -18], [2, 1], [0, 0]], [[0, 0], [-217/2, 15/2], [-17/2, -7/2], [-17, -7]], [[0, 0], [1265/2, -1083/2], [-15/2, -45/2], [-15, -45]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -6], [2, 1], [0, 0]], [[0, 0], [-160/11, 406/11], [-108/11, -18/11], [-24/11, -4/11]], [[0, 0], [2313/22, -577/22], [-45/22, -189/22], [-5/11, -21/11]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[-16, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [133, 16], [4, -1], [0, 0]], [[0, 0], [885/2, 379/2], [19/2, 3/2], [-6, -4]], [[0, 0], [-2228, -20], [-84, 28], [10, 16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [159/2, 109/2], [-7/2, -3/2], [0, 0]], [[0, 0], [-27050/11, 16586/11], [-1778/11, 998/11], [18/11, -8/11]], [[0, 0], [-3241/22, -7241/22], [523/22, -43/22], [-14/11, -6/11]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[-36, -28]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [9, 7], [0, 0]], [[-4, -3], [3/2, 5/2], [-17, -7], [-5/2, -1/2]], [[9/2, 5/2], [-3, -3/2], [25/2, 15/2], [3/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, -5/2], [9, 4], [-19/2, -5/2], [0, 0]], [[0, 0], [1, 0], [-5, 0], [1, 0]], [[33/2, -33/2], [-2, 9], [33/2, -33/2], [0, 0]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[-36, -28]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -18], [11, 0], [0, 0]], [[8, 4], [1778, 924], [4, -356], [2, 2]], [[13/2, 5/2], [1435, 1233/2], [829/2, -1003/2], [1/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -4], [10, 9], [0, 0]], [[-5/2, -3/2], [11/2, -7/2], [-47/2, 47/2], [-5/2, -3/2]], [[0, 0], [-29, 17], [162, -94], [0, 0]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[96, 16]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, 30], [-30, -16], [0, 0]], [[0, 0], [-77/2, -17/2], [-42, 58], [5/2, -5/2]], [[0, 0], [-5/2, -25/2], [76, -28], [-7/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -3], [-122, -68], [0, 0]], [[0, 0], [1, 0], [6, 0], [1, 0]], [[0, 0], [28, 4], [980, 574], [0, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[96, 16]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -18], [-136, -74], [0, 0]], [[0, 0], [-465/2, -135/2], [-1239, -87], [-5/2, -5/2]], [[0, 0], [139, -90], [1356, -822], [-2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99, 7], [95, 3], [0, 0]], [[0, 0], [0, 1], [6, 0], [1, 0]], [[0, 0], [262, 432], [204, 408], [0, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[-768, -128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, -50], [2444, 1412], [0, 0]], [[0, 0], [601, 405], [-17756, -10408], [5, 3]], [[0, 0], [56, 8], [-1036, -532], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, -50], [92, 8], [0, 0]], [[0, 0], [-2145, 1177], [-12944, 7536], [-1, -1]], [[0, 0], [-140, 96], [-960, 544], [0, 0]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[640, 256]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, -58], [-3596, -2076], [0, 0]], [[0, 0], [92673/193, -37559/579], [-5948, -2438], [-1585/193, 5/579]], [[0, 0], [-111585322/193, 64421080/193], [1683702, -971694], [1549380/193, -894474/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [220, 132], [-4, -12], [0, 0]], [[0, 0], [-1731693/193, 96755/193], [1878, -64], [-1751/193, -1/193]], [[0, 0], [-476568352/193, 792632276/579], [499828, -276220], [-440818/193, 726754/579]]], 0, 12288, [], [] >,
< [ -3, 0, 1 ], [[36, 4]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69/2, -27/2], [-1/2, -3/2], [0, 0]], [[-29985/2, 5/2], [-180011/4, -1071/4], [-30139/4, 5/4], [5/2, 0]], [[1288132, -302788], [1486061497/386, -170848842/193], [1294747/2, -152171], [-538860/2509, 379768/7527]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-221, 11/2], [2, 1/2], [0, 0]], [[259855/2, 9/2], [-47346001915/8492, -30752387/8492], [657053/44, 145/44], [91558/27599, 5/165594]], [[-1563142091/2, -755388265/2], [285060890088651/8492, 137808081600421/8492], [-3953528713/44, -1910762539/44], [-550741245/27599, -1596848659/165594]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[36, 4]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, 17/2], [2, 3/2], [0, 0]], [[8337/2, 1/2], [-6564845/772, 4801/772], [8351/4, -7/4], [-1744/2509, -1/5018]], [[227/2, 137/2], [-178489/772, -107719/772], [227/4, 137/4], [-95/5018, -86/7527]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35/2, -3], [5/2, 0], [0, 0]], [[237103/2, 7/2], [50347324083/8492, 26457/8492], [603423/44, 25/44], [167083/55198, 1/82797]], [[663046325, 314074575], [140787896796651/4246, 33343834621861/2123], [1687469885/22, 399667204/11], [467222050/27599, 663935425/82797]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[96, 80]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -8], [-2, -2], [0, 0]], [[0, 0], [3979679/386, 2875/193], [-37503/2, -6], [-12504/2509, -5/7527]], [[0, 0], [-1171578659/386, -358536965/386], [11029169/2, 3366315/2], [3676644/2509, 1121688/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-559/2, -79/2], [9/2, 5/2], [0, 0]], [[0, 0], [-3268404017/4246, -101242195/2123], [-1131607/22, -180/11], [-53709/27599, 2/82797]], [[0, 0], [-2785998606981/4246, -3193025392197/4246], [-768972077/22, -1058176393/22], [-36447615/27599, -50211745/27599]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[96, 80]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 15], [2, -1], [0, 0]], [[0, 0], [236151/386, -32609/386], [-5/2, -1/2], [12035/2509, 1/7527]], [[0, 0], [-17797623/386, 3025105/193], [295/2, -6], [-826560/2509, 194176/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [321, 139/2], [2, 5/2], [0, 0]], [[0, 0], [1054861485/2123, -25840790/2123], [267789/11, 230/11], [-45121/27599, -5/82797]], [[0, 0], [3964112201381/4246, 4139316552507/4246], [1088291801/22, 1078338267/22], [-91461824/27599, -90771918/27599]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[-768, -640]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [-9723900/193, 101092/193], [0, 0], [-40062/2509, -10/7527]], [[0, 0], [196107645884/193, -112513434264/193], [0, 0], [793640256/2509, -455231834/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 2], [1, 0], [0, 0]], [[0, 0], [-1085692, 12], [150540, 0], [-10, 0]], [[0, 0], [938857530112/2123, 1567754682024/2123], [-674546208/11, -1126338544/11], [112424368/27599, 563169272/82797]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[-512, -128]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, -48], [-284, -164], [0, 0]], [[0, 0], [206693/193, 26195/579], [-370, 0], [345/193, -5/579]], [[0, 0], [-639467267/193, 369195723/193], [1235076, -713070], [-1161261/193, 670453/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [226, 138], [8, -12], [0, 0]], [[0, 0], [1579504/193, 214342/579], [-2530, -74], [-2426/193, -4/579]], [[0, 0], [-824081847/193, 1176011303/579], [1353166, -650500], [1354661/193, -1988009/579]]], 0, 12288, [], [] >,
< [ -3, 0, 1 ], [[384, 512]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-352, -206], [18, 2], [0, 0]], [[0, 0], [5493/2, -2893/2], [8195, -4769], [-121/26, 1/26]], [[0, 0], [15607/2, -7837/2], [22721, -13277], [-423/26, -47/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8842, 5120], [14, 2], [0, 0]], [[0, 0], [-1515333/22, 803549/22], [277479/11, -159877/11], [-347/286, -1/286]], [[0, 0], [5094951/11, -2347997/11], [-1752100/11, 1006152/11], [1995/143, 525/143]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[-48, -64]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51, -33], [-32, -18], [0, 0]], [[0, 0], [-1127/4, -931/4], [-601/2, -231/2], [95/52, -1/52]], [[0, 0], [5754, -3790], [-5390, 2770], [1240/13, -700/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-123, -67], [2, 0], [0, 0]], [[0, 0], [36835/44, 30341/44], [175/22, -13/22], [-103/572, 3/572]], [[0, 0], [1796445/22, -1035481/22], [-22555/11, 13025/11], [12355/286, -7135/286]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[-48, -64]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 1], [-4, -6], [0, 0]], [[0, 0], [-156, -48], [-312, -172], [-2, 0]], [[0, 0], [-5361/4, 3027/4], [-589/2, 253/2], [-1899/52, 1089/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [380, 214], [-16, -8], [0, 0]], [[0, 0], [-2799/44, -16521/44], [-4085/22, 355/22], [-225/572, 1/572]], [[0, 0], [-29321/44, 16895/44], [5427/22, -3127/22], [269/572, -155/572]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[60, 28]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, 1/2], [1, 0], [0, 0]], [[-45/2, 3/2], [59, 53/4], [33, 3/2], [33/26, 3/52]], [[-117, 143], [-7, -613/2], [104, -195], [4, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, 1/2], [1, 0], [0, 0]], [[122, -2], [-5579, 88], [-78, 0], [-1, 0]], [[-861/2, 477/2], [865333/44, -239683/22], [5895/22, -1629/11], [1965/572, -543/286]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[60, 28]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, 1/2], [1, 0], [0, 0]], [[15/2, -5/2], [17/2, 11/4], [-10, 5/2], [-5/13, 5/52]], [[-3, 3], [5/2, 3], [3, -4], [3/26, -2/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, 1/2], [1, 0], [0, 0]], [[-48, 1], [-102383/44, -10561/44], [675/22, -3/22], [225/572, -1/572]], [[107/2, -61/2], [22698/11, -51385/44], [-366/11, 417/22], [-61/143, 139/572]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[640, 0]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 48], [-18, -2], [0, 0]], [[0, 0], [644434/37, -331582/37], [7376, -4500], [-138/185, -2/555]], [[0, 0], [52315137/37, -73156967/111], [558407, -1071307/3], [-15309/185, -2709/185]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 56/3], [14, -2/3], [0, 0]], [[0, 0], [-133835/37, -175327/111], [-117, -1715/3], [-567/185, -1/111]], [[0, 0], [48911849/37, 23219153/37], [93491, 188397], [183251/185, 18957/185]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[3200, 0]], [ -75, -5 ], [ -45, -25 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 2/3], [-4, -8/3], [0, 0]], [[0, 0], [-11551/37, -2041/111], [-345, -5/3], [345/37, 5/111]], [[0, 0], [171287/37, 75225/37], [4797, 1989], [-4797/37, -1989/37]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 8], [10, 2], [0, 0]], [[0, 0], [-2361/37, 14617/37], [-443, 233], [-123/37, -5/111]], [[0, 0], [256960/37, 653236/111], [-2384, 2240/3], [-2000/37, -2560/111]]], 0, 638976, [], [] >,
< [ -3, 0, 1 ], [[1792, 384]], [ -123, -5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 24], [-2876, -1660], [0, 0]], [[0, 0], [1236197/193, 2347135/579], [-545594, -275032], [1475/193, -1/579]], [[0, 0], [-18632907250/193, 10757521858/193], [-10846065480, 6262054608], [231193800/193, -133479912/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [150, 134], [232, 20], [0, 0]], [[0, 0], [10804462/193, -21792140/579], [-241510, 91246], [-1792/193, 2/579]], [[0, 0], [4729358147/193, -10147316609/579], [-116963476, 36910622], [-974841/193, -282331/579]]], 0, 172032, [], [] >,
< [ -3, 0, 1 ], [[-1152, -1792]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [-1129856/193, 230412/193], [0, 0], [-1710/193, -8/579]], [[0, 0], [-19119930804/193, 11038801380/193], [0, 0], [-21326474/193, 36937862/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41, -2], [1, 0], [0, 0]], [[0, 0], [278721407/2123, 18023/2123], [-67869/11, -9/11], [-15082/2123, -2/2123]], [[0, 0], [-12885888097/2123, -27635849746/2123], [3139101/11, 6729576/11], [697578/2123, 4486384/6369]]], 0, 344064, [], [] >,
< [ -3, 0, 1 ], [[-204, -92]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41/2, -17], [1/2, 2], [0, 0]], [[399/2, -3/2], [-1204777/772, 62265/772], [459/4, -63/4], [-186/193, 1/386]], [[287/2, 1435/2], [-292001/772, -4290417/772], [-313/4, 1603/4], [-287/386, -2009/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -11/2], [-1, -1/2], [0, 0]], [[4613/2, 5/2], [898689551/8492, -1557213/8492], [-196409/44, 47/44], [5149/2123, 1/12738]], [[-5699722, -2088718], [-553486447917/2123, -201896650343/2123], [121163345/11, 44305603/11], [-12709318/2123, -13948388/6369]]], 1, 672, [], [] >,
< [ -3, 0, 1 ], [[-204, -92]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13/2, 0], [3/2, 1], [0, 0]], [[-207, 1], [-1421/2, -13], [-223/2, -4], [1, 0]], [[2225/2, -2047/2], [2760645/772, -2644805/772], [2129/4, -2109/4], [-2047/386, 2848/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [231/2, -113/2], [-1/2, -5/2], [0, 0]], [[-284, 0], [155949509/2123, -9060949/4246], [7894/11, 677/22], [-634/2123, 2/6369]], [[13/2, 3/2], [-13731973/8492, -3156751/8492], [-553/44, -127/44], [29/4246, 10/6369]]], 1, 672, [], [] >,
< [ -3, 0, 1 ], [[144, 224]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33/2, -7/2], [19/2, 9/2], [0, 0]], [[0, 0], [-567491/386, -234183/386], [1149/2, 93/2], [593/193, 1/193]], [[0, 0], [887311/193, -3537429/386], [-10602, 15625/2], [-13116/193, 27325/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [166, -18], [-4, 0], [0, 0]], [[0, 0], [-427903537/2123, 535523/2123], [-18687/11, -183/11], [-3929/2123, -1/6369]], [[0, 0], [-410851354/2123, -35508360199/4246], [-43633/11, -1551149/22], [-4426/2123, -489073/6369]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[144, 224]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43/2, -21], [-1/2, 2], [0, 0]], [[0, 0], [-660, -81], [40, -9], [-2, 0]], [[0, 0], [-4024140/193, 3447332/193], [2616, -1688], [-16799/193, 37523/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [299/2, -32], [-3/2, -1], [0, 0]], [[0, 0], [-410593824/2123, -25166554/2123], [69818/11, 24/11], [15399/2123, 5/6369]], [[0, 0], [7539883273/386, 9600179943/193], [-692849/2, -1611416], [-76156/193, -1066184/579]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[-2432, -1024]], [ -123, 5 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -10], [-3576, -2064], [0, 0]], [[0, 0], [-716221/193, -68929/579], [-109008, -29670], [-1227/193, 1/579]], [[0, 0], [-4949633/193, 8573009/579], [-421630, 243428], [-8983/193, 15559/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74, 62], [-120, -4], [0, 0]], [[0, 0], [-3305501/193, 1928509/579], [-184918, 11588], [3515/193, 5/579]], [[0, 0], [-270733760/193, -107301416/193], [-19136692, -8775212], [400100/193, 192048/193]]], 0, 172032, [], [] >,
< [ -3, 0, 1 ], [[-384, -304]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-91, -53], [-72, -42], [0, 0]], [[0, 0], [-229/2, -56], [-68, -37], [7/2, 1]], [[0, 0], [4773/4, -2933/4], [505/2, -347/2], [-493/4, 289/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-235, -137], [36, 22], [0, 0]], [[0, 0], [7043/44, -1083/44], [-541/22, 139/22], [-15/44, 3/44]], [[0, 0], [-32073/44, 17925/44], [2715/22, -1533/22], [73/44, -41/44]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[-384, -304]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, 7], [16, 10], [0, 0]], [[0, 0], [-227, -281/2], [-347, -192], [-1, 1/2]], [[0, 0], [-127/4, 1193/4], [1181/2, 127/2], [127/4, -73/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, 13], [-16, -10], [0, 0]], [[0, 0], [-867/22, -438/11], [468/11, 265/11], [1/22, 1/11]], [[0, 0], [12567/44, -7195/44], [125/22, -91/22], [-47/44, 27/44]]], 0, 5376, [], [] >,
< [ -3, 0, 1 ], [[-132, -20]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/2, 1/2], [2, 1], [0, 0]], [[13/2, 5/2], [15/4, 17/2], [1/2, 2], [1/4, 1]], [[-28, -14], [-71/2, -63/2], [-7, -7], [-7/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, 1/2], [1, 0], [0, 0]], [[-13, -3], [-402/11, 3727/22], [140/11, 5/11], [-14/11, -1/22]], [[611/2, -351/2], [283247/22, -327603/44], [-5135/11, 5915/22], [1027/22, -1183/44]]], 1, 672, [], [] >,
< [ -3, 0, 1 ], [[-132, -20]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/2, 1/2], [2, 1], [0, 0]], [[13/2, 7/2], [63/2, 81/4], [2, 3/2], [1, 3/4]], [[3/2, 1/2], [7/2, 19/4], [0, 1/2], [0, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, 1/2], [1, 0], [0, 0]], [[29/2, 7/2], [16265/22, 6419/44], [-155/11, -15/22], [31/22, 3/44]], [[1160, -680], [736828/11, -430862/11], [-19600/11, 11400/11], [1960/11, -1140/11]]], 1, 672, [], [] >,
< [ -3, 0, 1 ], [[3072, 2432]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 40], [0, 8], [0, 0]], [[0, 0], [-71/2, 47/2], [-109, 63], [-1/2, 1/2]], [[0, 0], [4, -2], [10, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4588, 2668], [-8, -8], [0, 0]], [[0, 0], [-267653/22, 162677/22], [24879/11, -14449/11], [-83/22, -1/22]], [[0, 0], [-153785/2, 73815/2], [12927, -7307], [57/2, 57/2]]], 0, 344064, [], [] >,
< [ -3, 0, 1 ], [[-224, -80]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3670330/167, -5096/501], [27000/167, 8/501], [0, 0]], [[0, 0], [24367366949/334, 58133426903/1002], [-89551396/167, -213724753/501], [369/334, 1/1002]], [[0, 0], [-2794092352723/334, -7922005833839/1002], [10266884877/167, 29126830966/501], [-59153/334, 21041/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45225440/167, -2610/167], [27598/167, 2/167], [0, 0]], [[0, 0], [-102612206956081/3674, 26772990425873/11022], [2846231584/167, -742465415/501], [21745/3674, 1/11022]], [[0, 0], [166433612029268866/1837, -97403970945672620/5511], [-9232930967474/167, 5403038904700/501], [-34251532/1837, 3900988/1837]]], 0, 1920, [], [] >,
< [ -3, 0, 1 ], [[-224, -80]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14958, 6], [110, 0], [0, 0]], [[0, 0], [8006845393/334, -72037544953/1002], [-29336187/167, 264843464/501], [-369/334, -1/1002]], [[0, 0], [2241716939762/167, -10288233167720/501], [-16455485942/167, 75639079502/501], [-50736/167, 5796/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19200496/167, -14386/501], [11706/167, 10/501], [0, 0]], [[0, 0], [-27867160601/3674, 244664461/11022], [772063/167, -8044/501], [-897/3674, 1/3674]], [[0, 0], [-398940700047/3674, 80671201451/11022], [11053869/167, -2253098/501], [-12827/3674, 2525/11022]]], 0, 1920, [], [] >,
< [ -3, 0, 1 ], [[-6436, -3716]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1091012/167, -6785/501], [-2435/167, 2/501], [0, 0]], [[-359/2, 3/2], [-16333693819/334, 5204789927/167], [-18308961/167, 11659373/167], [571/334, 1/501]], [[146905/2, 205667/2], [-11081270232653/334, 2502562240376/167], [-12405685842/167, 5614242282/167], [-243061/334, -494135/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37588024/167, 15989/501], [15337/167, 4/501], [0, 0]], [[-5695/2, -7/2], [-16572813740073/3674, 1383809429813/1837], [-307379224/167, 51347248/167], [-11663/3674, -2/5511]], [[8659191/2, 11596881/2], [4091290669211098/1837, 29529469594861749/3674], [151668246272/167, 547665137440/167], [8827059/1837, 23730007/3674]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[-6436, -3716]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3439613/167, 14350/501], [7690/167, 5/501], [0, 0]], [[199, -2], [326715954141/334, -576602928473/1002], [365980252/167, -645849776/501], [-633/334, 1/1002]], [[2089109/2, 2904275/2], [-2451912311631393/334, 675297161430692/167], [-2746223055576/167, 1512995508024/167], [-3455595/334, -6978136/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20325485/167, -4540/167], [-8288/167, -1/167], [0, 0]], [[-751/2, -1/2], [9682367341899/1837, -1729697287479/3674], [358927548/167, -32096330/167], [-769/1837, -1/11022]], [[182207/2, 242353/2], [-1500213332330195/1837, -17476440195486163/11022], [-55578241320/167, -323901591020/501], [185745/1837, 1487729/11022]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[1792, 640]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138278/167, -1546/501], [-1196/167, 4/501], [0, 0]], [[0, 0], [465612115/167, -697278743/501], [4039932/167, -6086314/501], [-1177/167, -5/501]], [[0, 0], [5581028518242/167, -8773461161342/501], [48467158268/167, -76494915316/501], [-12024852/167, 4110256/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [125795260/167, 9376/501], [-41098/167, -10/501], [0, 0]], [[0, 0], [13873185675061/1837, 8281946672759/5511], [-412116370/167, -246090688/501], [-14397/1837, -1/5511]], [[0, 0], [-9295879656769324/167, -858674042576764/167], [3037513678086/167, 280762889622/167], [10343580/167, -1166968/167]]], 0, 122880, [], [] >,
< [ -3, 0, 1 ], [[-4, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-278, -159], [30, 17], [0, 0]], [[5/2, -1/2], [760, 494], [-54, -65], [5/2, -1/2]], [[-302, 174], [8198, -5087], [-5204, 3041], [-302, 174]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [127, 120], [27, 12], [0, 0]], [[-73/2, 3/2], [-101428/11, -57228/11], [-14253/11, -8872/11], [-73/22, 3/22]], [[-11088, 6468], [-28832, 52316], [33422, -14028], [-1008, 588]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[-4, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-119, -70], [45, 20], [0, 0]], [[1/2, -5/2], [-415, -219], [152, 47], [1/2, -5/2]], [[-731/2, 425/2], [2974, -1409], [-5450, 3056], [-731/2, 425/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [195, 149], [25, 5], [0, 0]], [[7/2, -3/2], [80814/11, 39837/11], [4089/11, 4109/11], [7/22, -3/22]], [[0, 0], [239, 314], [69, -6], [0, 0]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[-224, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-139, -85], [-149, -87], [0, 0]], [[0, 0], [1311, 762], [1403, 812], [-11, -7]], [[0, 0], [-3, -2], [-1, 0], [-1, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35, 29], [31, 15], [0, 0]], [[0, 0], [2320/11, 4655/11], [4036/11, 1927/11], [-41/11, 5/11]], [[0, 0], [-4266, 1976], [166, -442], [-32, 20]]], 0, 1920, [], [] >,
< [ -3, 0, 1 ], [[-224, -80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-320, -185], [48, 25], [0, 0]], [[0, 0], [-4690, -2618], [-222, 838], [-14, -8]], [[0, 0], [608, 379], [-352, 99], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-133, 46], [45, 20], [0, 0]], [[0, 0], [4074/11, -6432/11], [4998/11, 3292/11], [-56/11, 2/11]], [[0, 0], [608/11, 8926/11], [-11822/11, -7222/11], [90/11, 18/11]]], 0, 1920, [], [] >,
< [ -3, 0, 1 ], [[1792, 640]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, 80], [-956, -552], [0, 0]], [[0, 0], [270, 154], [168, 8], [16, 0]], [[0, 0], [-1016, 586], [-50694, 29268], [-5262, 3038]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3192, 2284], [-68, 4], [0, 0]], [[0, 0], [-20748928/11, 11554470/11], [-1995908/11, 1154894/11], [138/11, 10/11]], [[0, 0], [158447354/11, -79025428/11], [14411704/11, -8395506/11], [-2714/11, -1062/11]]], 0, 122880, [], [] >,
< [ -3, 0, 1 ], [[108, 4]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, -60], [-25, -5], [0, 0]], [[-4, -1], [-675/2, -453/2], [-54, -34], [1/2, -3/2]], [[1/2, -1/2], [-35/2, 9], [-3/2, 1/2], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[93/2, 1/2], [19, 50], [93/2, 1/2], [0, 0]], [[0, 0], [-1, 0], [-2, 0], [1, 0]], [[3485/2, 1445/2], [2974, 2137], [3485/2, 1445/2], [0, 0]]], 1, 480, [], [] >,
< [ -3, 0, 1 ], [[108, 4]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -42], [-17, -10], [0, 0]], [[-1/2, -1/2], [-51, -69/2], [-3/2, -1/2], [-1/2, 0]], [[0, 0], [34, 20], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63, -5], [-11, 0], [0, 0]], [[-2, 1], [1714, -81], [-321, -1], [-2, 1]], [[13/2, 5/2], [-63309/2, -35333/2], [12951/2, 7267/2], [13/2, 5/2]]], 1, 480, [], [] >,
< [ -3, 0, 1 ], [[240, 224]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [266, 150], [1622, 936], [0, 0]], [[0, 0], [-16117/2, -9341/2], [-50574, -29186], [-11/2, -5/2]], [[0, 0], [-398938, 230331], [283532, -163672], [14861, -8580]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-131, -79], [794, 458], [0, 0]], [[0, 0], [-1, 0], [-2, 0], [1, 0]], [[0, 0], [-1500, -960], [9394, 5412], [0, 0]]], 0, 3840, [], [] >,
< [ -3, 0, 1 ], [[240, 224]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [248, 142], [-956, -552], [0, 0]], [[0, 0], [1555/2, 965/2], [-3473, -2003], [7/2, 3/2]], [[0, 0], [731607/2, -422389/2], [23191, -13399], [-11215/2, 6475/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-294, -160], [-20, -4], [0, 0]], [[0, 0], [4, 1], [-2, 0], [1, 0]], [[0, 0], [-203, 153], [-179, 105], [0, 0]]], 0, 3840, [], [] >,
< [ -3, 0, 1 ], [[-1920, -1792]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94, 54], [-9748, -5628], [0, 0]], [[0, 0], [-15, -5], [152, 44], [-13, -5]], [[0, 0], [19, 25], [-184, -276], [23, 23]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1630, 898], [-180, 8], [0, 0]], [[0, 0], [724157, -374237], [-1784392, 1028188], [11, 7]], [[0, 0], [26391888, -15147988], [-68366492, 39467272], [2, 26]]], 0, 245760, [], [] >,
< [ -3, 0, 1 ], [[-1664, -512]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14558564/167, -34760/501], [32382/167, 10/501], [0, 0]], [[0, 0], [-2747303680121/167, 4709796390829/501], [-6101310400/167, 10459347526/501], [175/167, -5/501]], [[0, 0], [-78017348791068/167, 108274790245876/501], [-173314892080/167, 240363240304/501], [49768/167, 78280/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74739510/167, 8770/501], [-61176/167, -8/501], [0, 0]], [[0, 0], [9573536535307/1837, 933281317181/5511], [-7836891462/1837, -764745544/5511], [-18669/1837, -1/5511]], [[0, 0], [4966848475915687/167, 7876954170698245/501], [-4066056048774/167, -6448446272012/501], [-9215975/167, -14462651/501]]], 0, 122880, [], [] >,
< [ -3, 0, 1 ], [[208, 64]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [167838/167, -1274/167], [5468/167, 2/167], [0, 0]], [[0, 0], [823811843/167, -1958350388/501], [26345861/167, -63170573/501], [466/167, 1/501]], [[0, 0], [1754152424567/334, 5727756459109/1002], [29276737987/167, 93929266388/501], [-4032759/334, -6344491/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17935294/167, 17344/501], [-11706/167, 10/501], [0, 0]], [[0, 0], [26083007561273/3674, -2279658347575/11022], [8511717964/1837, -742789013/5511], [-14397/3674, 1/11022]], [[0, 0], [147487552671060797/1837, 76494236749833083/1837], [96266849884608/1837, 49929511463428/1837], [-85312867/1837, -134117941/5511]]], 0, 1920, [], [] >,
< [ -3, 0, 1 ], [[208, 64]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [586338/167, -4948/501], [18968/167, 2/501], [0, 0]], [[0, 0], [-8139357351/167, 8092946592/167], [-261081275/167, 261062497/167], [-202/167, 1/501]], [[0, 0], [132807185619565/334, 331285990533625/1002], [2163400545491/167, 5376920373560/501], [-5819793/334, -9154391/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13258460/167, -11270/501], [8630/167, -8/501], [0, 0]], [[0, 0], [-25822039637809/3674, 1289179762867/11022], [-8404267507/1837, 420011318/5511], [14995/3674, 1/11022]], [[0, 0], [44612018963161953/3674, 23257102688817581/3674], [14519424988952/1837, 7569210146451/1837], [-26603749/3674, -13948839/3674]]], 0, 1920, [], [] >,
< [ -3, 0, 1 ], [[-1516, -876]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-382513/167, 9049/501], [7647/167, 1/501], [0, 0]], [[55, 0], [36489172709/334, -21278649367/334], [-359744733/167, 209843136/167], [175/334, -5/1002]], [[3009/2, 2465/2], [-432343205771/334, 117805901010/167], [4266354159/167, -2321294193/167], [4675/334, 1938/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28918222/167, -11585/501], [-9783/167, -2/501], [0, 0]], [[4923/2, -5/2], [-3387622521227/1837, 4055955139501/11022], [-1145863043/1837, 686257019/5511], [-5041/1837, -1/3674]], [[2344373/2, 1950203/2], [-1625917674854945/3674, -3062667892081432/5511], [-274866743759/1837, -1035806915095/5511], [-4814505/3674, -5998892/5511]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[-1516, -876]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [165411/167, -7670/501], [-3332/167, -5/501], [0, 0]], [[481/2, 5/2], [13628013935/334, -5214743685/167], [-132333168/167, 102930498/167], [765/334, 1/501]], [[-1919214, -1574397], [96290158424117/334, -6986326288207/334], [-967138914819/167, 54956911251/167], [-5963463/334, -4951287/334]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6431251/167, 17189/501], [-2179/167, 5/501], [0, 0]], [[-1481/2, 1/2], [4767615835753/3674, -812182329032/5511], [807616708/1837, -274864652/5511], [3033/3674, 2/5511]], [[2375242, 1979984], [-5485856122530755/1837, -16527756305912590/5511], [-1859362187285/1837, -5600436686206/5511], [-4877927/1837, -12180965/5511]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[-1664, -512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [619, 193], [209, 121], [0, 0]], [[0, 0], [385408, -225482], [-1734, -104], [-26, -6]], [[0, 0], [-13160789, 7741363], [72731, 11273], [1144, 352]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1796, 732], [20, -4], [0, 0]], [[0, 0], [107010/11, -63268/11], [6416/11, -3514/11], [-190/11, -6/11]], [[0, 0], [-1454239/11, 915595/11], [-96193/11, 45775/11], [6400/11, 2240/11]]], 0, 122880, [], [] >,
< [ -3, 0, 1 ], [[-100, -68]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-429/2, -77/2], [59/2, -3/2], [0, 0]], [[7/2, -1/2], [-972100, -411629/2], [260771/2, -1896], [7/2, -1/2]], [[-580, -396], [623568471/2, 377257759/2], [-57841485/2, -37138195/2], [-580, -396]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [312, -146], [56, 2], [0, 0]], [[-49/2, 1/2], [-589483/22, 166360/11], [-28592/11, 29039/22], [-49/22, 1/22]], [[-216, -135], [143650/11, -155747/11], [-13985/11, -30082/11], [-216/11, -135/11]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[-100, -68]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [256, 39], [-33, 0], [0, 0]], [[-15/2, -5/2], [6082, 1351/2], [-1561/2, 38], [-15/2, -5/2]], [[175/2, 119/2], [-46381, -81409/2], [7363/2, 4525], [175/2, 119/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-659/2, -75/2], [-19/2, -5/2], [0, 0]], [[-21, 2], [482015/22, -75877/22], [12131/22, -147/22], [-21/11, 2/11]], [[-2945/2, -2139/2], [28477843/22, 10971343/11], [514947/11, 705677/22], [-2945/22, -2139/22]]], 1, 240, [], [] >,
< [ -3, 0, 1 ], [[208, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [216, -19], [-29, -14], [0, 0]], [[0, 0], [987079, -507890], [-33438, 1281], [-4, 2]], [[0, 0], [-64870091/2, -16779683/2], [13995897/2, 7685663/2], [153, 47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-153, -42], [-8, -5], [0, 0]], [[0, 0], [-20533/22, -16701/22], [1755/22, 45/22], [195/11, 5/11]], [[0, 0], [-91941/11, -60352/11], [4896/11, 1377/11], [1088/11, 306/11]]], 0, 1920, [], [] >,
< [ -3, 0, 1 ], [[208, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-677/2, -23/2], [21/2, 9/2], [0, 0]], [[0, 0], [883571/2, -375557/2], [-12445/2, 341/2], [-12, -6]], [[0, 0], [-19740980, 10616138], [196412, -73662], [170, 52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-330, -22], [-44, 0], [0, 0]], [[0, 0], [1556, 585], [119, 74], [6, 0]], [[0, 0], [386225/22, 182905/22], [33237/22, 19867/22], [602/11, 126/11]]], 0, 1920, [], [] >,
< [ -3, 0, 1 ], [[204, 100]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, -28], [-22, -11], [0, 0]], [[1/2, -1/2], [713/2, 218], [287/2, 175/2], [-1, 1/2]], [[0, 0], [-152, -84], [-61, -34], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [105, 1], [25, 6], [0, 0]], [[-7, -2], [-41325, 10058], [-8056, 130], [-7, -2]], [[1037/2, 323/2], [5790223/2, -1237535/2], [1156517/2, 22019/2], [1037/2, 323/2]]], 1, 480, [], [] >,
< [ -3, 0, 1 ], [[204, 100]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 50], [11, 0], [0, 0]], [[-2, 0], [1609, 963], [86, 55], [1, -1]], [[5/2, -1/2], [-2819/2, -872], [-145/2, -103/2], [-2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, -1], [-24, 18], [16, -1], [0, 0]], [[0, 0], [11, 0], [-5, 0], [1, 0]], [[141/2, 51/2], [-13, 40], [141/2, 51/2], [0, 0]]], 1, 480, [], [] >,
< [ -3, 0, 1 ], [[-192, -208]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 4], [44, 22], [0, 0]], [[0, 0], [-67, 20], [338, 248], [4, -1]], [[0, 0], [-5265/2, 3033/2], [-2302, 1406], [297/2, -171/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17, -23], [14, 6], [0, 0]], [[0, 0], [11, 0], [6, 0], [1, 0]], [[0, 0], [-464, -290], [214, 120], [0, 0]]], 0, 3840, [], [] >,
< [ -3, 0, 1 ], [[-192, -208]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 8], [4, 8], [0, 0]], [[0, 0], [61, 67], [50, 16], [1, -1]], [[0, 0], [19/2, -17/2], [-3, 3], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -25], [71, -1], [0, 0]], [[0, 0], [6, 1], [6, 0], [1, 0]], [[0, 0], [326, -8], [-172, -344], [0, 0]]], 0, 3840, [], [] >,
< [ -3, 0, 1 ], [[1536, 1664]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-170, -98], [-1176, -680], [0, 0]], [[0, 0], [57, 15], [-448, -316], [9, 1]], [[0, 0], [-384, -416], [7140, 3500], [-32, -64]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-734, -478], [-296, -20], [0, 0]], [[0, 0], [-288077, 173199], [819432, -471760], [7, 5]], [[0, 0], [2305783, -1403179], [-6602320, 3797840], [-75, -51]]], 0, 245760, [], [] >,
< [ -3, 0, 1 ], [[-12, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -10], [-1, 0], [0, 0]], [[0, 0], [-309/2, 223/2], [43/2, -25/2], [12, 2]], [[0, 0], [-33, -19], [0, 0], [-12, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27/2, 13/2], [-15/2, -5/2], [0, 0]], [[0, 0], [3, 1], [0, 0], [1, 0]], [[0, 0], [3/2, -1/2], [-3/2, 1/2], [0, 0]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, -17], [-7, -3], [0, 0]], [[0, 0], [189, 44], [47, 0], [-9, 3]], [[0, 0], [18, -44], [14, -14], [-6, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -15], [-15, -7], [0, 0]], [[0, 0], [210, 75], [264, 159], [-5, 1]], [[0, 0], [-921, -748], [-1785, -1000], [-5, 15]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[0, 0], [6, -2], [0, 0], [12, 6]], [[0, 0], [6, 0], [0, 0], [18, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -13], [12, -3], [0, 0]], [[0, 0], [-72, -8], [-96, 64], [-30, -20]], [[0, 0], [30, 12], [12, -12], [20, 12]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 0], [1, 0], [0, 0]], [[0, 0], [12, -8], [0, 0], [3, -5]], [[0, 0], [6, 10], [0, 0], [30, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -4], [12, -2], [0, 0]], [[0, 0], [75, 40], [-21, -42], [10, 2]], [[0, 0], [75, 45], [-63, -21], [5, 5]]], 0, 96, [], [] >,
< [ -3, 0, 1 ], [[-12, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[6, -1], [27, 25], [0, 0], [6, -1]], [[15/2, -15/2], [-66, -13], [0, 0], [15/2, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -7], [-12, 5], [0, 0]], [[11/2, 5/2], [-990, -559], [-96, -40], [11/2, 5/2]], [[7, -4], [-147, 73], [-168, 96], [7, -4]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[-12, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[-15/2, 1/2], [-60, -39], [0, 0], [-15/2, 1/2]], [[-357/2, 187/2], [-6, -181], [0, 0], [-357/2, 187/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -10], [15, 0], [0, 0]], [[-6, -2], [-174, -86], [66, 76], [-6, -2]], [[-13/2, 5/2], [-93, 10], [-120, 96], [-13/2, 5/2]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[-12, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, 14], [15, 2], [0, 0]], [[13/2, 5/2], [1524, 603], [493, 125], [13/2, 5/2]], [[23/2, -23/2], [2529, -2638], [1763, -1343], [23/2, -23/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[9/2, -5/2], [42, 37], [0, 0], [9/2, -5/2]], [[0, 0], [24, 14], [0, 0], [0, 0]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[-12, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -14], [15, 4], [0, 0]], [[5/2, 5/2], [273, -270], [395, -145], [5/2, 5/2]], [[-11, 3], [3396, -1864], [2828, -1704], [-11, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, -1], [63, 35], [0, 0], [0, -1]], [[21/2, -15/2], [102, 41], [0, 0], [21/2, -15/2]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -16], [-18, -16], [0, 0]], [[0, 0], [-1593, -994], [-1889, -1134], [-13, -5]], [[0, 0], [-4134, -2151], [-4688, -2569], [-19, -19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 0], [-4, -2], [0, 0]], [[0, 0], [-645, 50], [93, 42], [27, -1]], [[0, 0], [1900, -867], [-106, -7], [-75, 33]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 23], [-12, 1], [0, 0]], [[0, 0], [54, -827], [762, -303], [12, 6]], [[0, 0], [-2553, -520], [-419, 584], [26, 16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-24, -10], [0, 0], [36, 14]], [[0, 0], [-210, -56], [0, 0], [324, 72]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[-36, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57/2, -9/2], [3/2, 9/2], [0, 0]], [[0, 0], [474, -256], [-81, 45], [12, 1]], [[0, 0], [-33, -19], [0, 0], [-12, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45/2, 15/2], [33/2, 1/2], [0, 0]], [[0, 0], [51, 267], [-378, -322], [-6, 3]], [[0, 0], [201, 109], [-357, -203], [0, 0]]], 0, 144, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -19], [-39, -21], [0, 0]], [[0, 0], [-894, 223], [-192, -279], [15, 1]], [[0, 0], [1116, -763], [-414, 81], [-9, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -13], [3, -7], [0, 0]], [[0, 0], [3975, 2228], [525, 526], [-3, -3]], [[0, 0], [222, 52], [-192, 144], [0, 0]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 1], [-6, -9], [0, 0]], [[0, 0], [129, -53], [-27, 135], [30, 20]], [[0, 0], [135, -120], [-405, 0], [-66, -34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, 1], [-15, 3], [0, 0]], [[0, 0], [978, 1005], [168, 315], [30, 24]], [[0, 0], [11475, 12716], [1785, 4046], [360, 300]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, 13], [15, -15], [0, 0]], [[0, 0], [54, -137], [-198, 9], [-33, -1]], [[0, 0], [-1890, 2871], [4050, -567], [660, -44]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 2], [6, 0], [0, 0]], [[0, 0], [-324, 326], [-36, 34], [3, -9]], [[0, 0], [168, 491], [12, 49], [-18, -18]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[-36, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 5], [12, -3], [0, 0]], [[9, 1], [-369, -157], [-75, -15], [9, 1]], [[21/2, -35/2], [324, 505], [-45, 135], [21/2, -35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -16], [15, 4], [0, 0]], [[7/2, 1/2], [945, 527], [-195, -310], [21/2, 3/2]], [[-187/2, 77/2], [-6693, -2732], [-8160, 7310], [-561/2, 231/2]]], 0, 144, [], [] >,
< [ -3, 0, 1 ], [[-36, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -12], [-15, -12], [0, 0]], [[0, -1], [21, 13], [0, 24], [0, -1]], [[3/2, 1/2], [3, 2], [0, 0], [3/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 23], [12, 5], [0, 0]], [[-1, -1], [-126, -90], [-12, -36], [-3, -3]], [[-11/2, 7/2], [-189, 140], [-360, 216], [-33/2, 21/2]]], 0, 144, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, 69], [-3, 7], [0, 0]], [[0, 0], [43767, 23954], [2487, 1118], [9, 5]], [[0, 0], [-9879, 5823], [-2409, 1397], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 9], [15, 9], [0, 0]], [[0, 0], [-597, 256], [-135, -70], [-27, -1]], [[0, 0], [3987, -2345], [-9, -67], [90, -60]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, 24], [0, -4], [0, 0]], [[0, 0], [36, 161], [-42, 17], [72, 38]], [[0, 0], [-1632, -3227], [726, -253], [-1632, -884]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, -16], [-15, 4], [0, 0]], [[0, 0], [474, 216], [-660, -360], [-18, -4]], [[0, 0], [3360, 2136], [-5280, -3120], [-84, -70]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[-36, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, 45], [3, 5], [0, 0]], [[3, -2], [-1350, -2237], [-27, -270], [3, -2]], [[3/2, -7/2], [-23151, -14996], [-2079, -1485], [3/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 19], [15, -1], [0, 0]], [[33/2, 1/2], [315, 19], [-150, 125], [33/2, 1/2]], [[-63, -7], [-1206, -169], [450, -425], [-63, -7]]], 0, 144, [], [] >,
< [ -3, 0, 1 ], [[-36, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51, -63], [9, -5], [0, 0]], [[3/2, -1/2], [-12465, -7103], [3, 30], [3/2, -1/2]], [[0, 0], [1227, 732], [-9, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51, -16], [9, -2], [0, 0]], [[15/2, 1/2], [372, 171], [-51, 3], [15/2, 1/2]], [[27, -81], [-3573, -3169], [-399, 589], [27, -81]]], 0, 144, [], [] >,
< [ -3, 0, 1 ], [[108, 36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, -38], [9, -5], [0, 0]], [[3/2, 1/2], [-24843, -28751/2], [69/2, 97/2], [3/2, 0]], [[5, -2], [-32757/2, -19807/2], [-303, 221], [21/2, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -6], [-9, 2], [0, 0]], [[-5/2, -1/2], [-171/2, -64], [45/2, 31/2], [-3, 1/2]], [[0, -2], [-117, -39], [27, 11], [3, -3]]], 0, 432, [], [] >,
< [ -3, 0, 1 ], [[108, 36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, -54], [9, 3], [0, 0]], [[11/2, 1/2], [-1482, -1445/2], [153/2, 173/2], [15/2, -2]], [[153, -68], [-28575/2, -949/2], [-1515, 1597], [663/2, -357/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 30], [9, 3], [0, 0]], [[9/2, 3/2], [-642, 849/2], [111/2, -11/2], [9/2, 0]], [[11, 7], [579, -154], [57, 56], [6, 5]]], 0, 432, [], [] >,
< [ -3, 0, 1 ], [[0, -144]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, -58], [-36, -22], [0, 0]], [[0, 0], [627/2, 579/2], [123, 109], [-21/2, 1/2]], [[0, 0], [2109, -849], [750, -292], [105, -65]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -30], [48, 24], [0, 0]], [[0, 0], [-345/2, 249/2], [-321, -149], [-39/2, -3/2]], [[0, 0], [-2874, 1822], [-2388, -814], [-204, 34]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[0, -144]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [162, 88], [66, 34], [0, 0]], [[0, 0], [-6243/2, -3713/2], [-1224, -748], [3/2, 3/2]], [[0, 0], [4377/2, -2405/2], [1632, -918], [-33/2, 19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -30], [-54, -28], [0, 0]], [[0, 0], [-2769/2, -1479/2], [-1860, -1080], [-39/2, -3/2]], [[0, 0], [8262, -5848], [-2250, -210], [1488, -868]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[0, 1152]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 20], [660, 380], [0, 0]], [[0, 0], [-129, -69], [-2874, -1658], [15, 5]], [[0, 0], [-2232, 1288], [-684, 380], [1410, -814]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2322, -1314], [30, 2], [0, 0]], [[0, 0], [-177606, 102752], [102384, -59112], [36, 2]], [[0, 0], [-344235, 205809], [201744, -116496], [693, 363]]], 0, 221184, [], [] >,
< [ -3, 0, 1 ], [[108, 36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [-12, -15], [0, 0]], [[11/2, 1/2], [-90, 225/2], [-747/2, 19/2], [15/2, -2]], [[-15/2, -5/2], [0, -221/2], [915/2, 225/2], [-15/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [0, 1], [0, 0]], [[-5, -1], [12, 7], [-3, -5], [3, -6]], [[55/2, 35/2], [-105, -121/2], [105/2, 55/2], [75/2, 15]]], 0, 432, [], [] >,
< [ -3, 0, 1 ], [[108, 36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 10], [-15, 9], [0, 0]], [[-1/2, -1/2], [2157/2, 623], [39/2, 31/2], [0, -1/2]], [[0, 0], [108, 60], [15, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -34], [12, -3], [0, 0]], [[-17/2, -7/2], [-15759/2, -4576], [759/2, 523/2], [-3, -15/2]], [[36, -12], [7608, 5010], [414, -734], [-108, 72]]], 0, 432, [], [] >,
< [ -3, 0, 1 ], [[0, -144]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 6], [-150, -90], [0, 0]], [[0, 0], [-78, 26], [-78, -108], [-12, 0]], [[0, 0], [-999/2, 857/2], [1524, 244], [-33/2, 121/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 4], [-6, 0], [0, 0]], [[0, 0], [39/2, 27/2], [-18, -10], [-9/2, -3/2]], [[0, 0], [-9, 10], [-6, 0], [-6, 3]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[0, -144]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 2], [-120, -72], [0, 0]], [[0, 0], [711/2, -375/2], [231, 33], [27/2, 3/2]], [[0, 0], [4581/2, -2929/2], [-531, -1019], [-51/2, -119/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 10], [48, 22], [0, 0]], [[0, 0], [6444, 3659], [13446, 7672], [-9, -6]], [[0, 0], [-9423/2, 5123/2], [-7065, 3747], [-129/2, 75/2]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[0, 1152]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [792, 436], [36, 0], [0, 0]], [[0, 0], [-1008, -430], [-162, 58], [-12, 2]], [[0, 0], [-153, 149], [-204, 120], [-15, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-588, -316], [24, 0], [0, 0]], [[0, 0], [183, -231], [-156, 92], [9, -15]], [[0, 0], [-894, 782], [606, -354], [-48, 48]]], 0, 221184, [], [] >,
< [ -3, 0, 1 ], [[-12, -12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 20], [-9, 2], [0, 0]], [[0, 0], [-663/2, -351/2], [-9, 36], [-1/2, 1/2]], [[0, 0], [-3397, -3855/2], [207, 207], [1/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -20], [-12, -3], [0, 0]], [[0, 0], [537/2, 152], [0, 77], [0, 5/2]], [[0, 0], [162, 80], [-252, 189], [-8, 6]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, -56], [27, 5], [0, 0]], [[0, 0], [-11465/2, 6541/2], [-14934, 8626], [-9/2, -5/2]], [[0, 0], [9821/2, -5727/2], [12939, -7467], [-5/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, -40], [3, -1], [0, 0]], [[0, 0], [61/2, 23/2], [0, 0], [-11/2, -3/2]], [[0, 0], [-99, -47], [0, 0], [17, 7]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 18], [36, 16], [0, 0]], [[0, 0], [179, -1], [-420, 340], [5, -1]], [[0, 0], [1722, 842], [780, 1300], [34, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 6], [-2064, -1192], [0, 0]], [[0, 0], [-15, -13], [-3672, -2120], [-13, -5]], [[0, 0], [69, -23], [2916, 1684], [-23, 23]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2106, 1234], [-6, 8], [0, 0]], [[0, 0], [41201, -23751], [26064, -15048], [-13, -3]], [[0, 0], [-57680, 33608], [-36684, 21180], [-72, -48]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 36], [12, 8], [0, 0]], [[0, 0], [-479, 283], [-306, 176], [-5, -1]], [[0, 0], [-1423, 921], [-960, 544], [-57, -27]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1620, 968], [-18, 10], [0, 0]], [[0, 0], [13967, 1555], [3516, -2032], [-15, -5]], [[0, 0], [-10792, 632], [-3708, 2142], [10, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1198, -670], [-18, 4], [0, 0]], [[0, 0], [52996, -29396], [34512, -19920], [12, 4]], [[0, 0], [-9457, 6817], [-7056, 4080], [11, 7]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[768, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -42], [390, 226], [0, 0]], [[0, 0], [-7004, -4220], [37696, 21716], [-32, -16]], [[0, 0], [-815626, 470916], [-221308, 127698], [11300, -6524]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 56], [36, 22], [0, 0]], [[0, 0], [3616, 2098], [1102, 632], [-776, -448]], [[0, 0], [-1092, -632], [-396, -228], [0, 0]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[768, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-252, -144], [6720, 3880], [0, 0]], [[0, 0], [314, 196], [-7804, -4522], [14, -2]], [[0, 0], [-53236, 30736], [59000, -34068], [36380, -21004]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, -84], [4752, 2744], [0, 0]], [[0, 0], [2496, 1438], [-82818, -47812], [18, 6]], [[0, 0], [19840, -11456], [-18752, 10872], [26632, -15376]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[768, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [624, 360], [-2148, -1240], [0, 0]], [[0, 0], [-142, -60], [392, 210], [-10, -10]], [[0, 0], [-8376, 4836], [6408, -3700], [1836, -1060]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1008, -584], [-12, -8], [0, 0]], [[0, 0], [-138, 82], [-30, -6], [-12, 0]], [[0, 0], [-298, 176], [-52, -6], [-22, 2]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[108, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-201/2, 79/2], [15/2, 1/2], [0, 0]], [[-9/2, 1/2], [-5679, 6597/2], [429/2, -137], [-9/2, 1/2]], [[-72, -42], [3303/2, -75/2], [-1035/2, -519/2], [-72, -42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [369/2, 85/2], [-15/2, -5/2], [0, 0]], [[21/2, 1/2], [2835, -2885/2], [-153/2, 45], [21/2, 1/2]], [[-294, -154], [-31779/2, -871/2], [369/2, -293/2], [-294, -154]]], 0, 432, [], [] >,
< [ -3, 0, 1 ], [[108, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [261/2, -61/2], [-9/2, -1/2], [0, 0]], [[3/2, -3/2], [-1710, -7041/2], [447/2, 180], [3/2, -3/2]], [[0, -1], [-4707, -3681], [363, 229], [0, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [267/2, 105/2], [-39/2, -3/2], [0, 0]], [[9/2, 3/2], [-768, -3181/2], [-441/2, 328], [9/2, 3/2]], [[-9/2, -13/2], [15087/2, 222], [-1812, 1189/2], [-9/2, -13/2]]], 0, 432, [], [] >,
< [ -3, 0, 1 ], [[0, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 16], [-6, 4], [0, 0]], [[0, 0], [1971, 1139], [21, 27], [0, 2]], [[0, 0], [-9927/2, -5743/2], [-63/2, -161/2], [3, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 83], [9, 2], [0, 0]], [[0, 0], [-189/2, 3/2], [27/2, -19/2], [9, -1]], [[0, 0], [-99, 129], [51, -27], [12, -12]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[0, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39/2, -111/2], [-3/2, 3/2], [0, 0]], [[0, 0], [-501, 340], [24, -19], [-162, -94]], [[0, 0], [-1701, 1235], [81, -69], [-690, -400]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [213/2, 43/2], [-45/2, -5/2], [0, 0]], [[0, 0], [-57, -73], [9, 15], [-6, -4]], [[0, 0], [-27, 2], [6, -1], [0, 0]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[0, 1152]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2082, -1210], [6, 2], [0, 0]], [[0, 0], [-2436, 1970], [-522, 300], [6, 2]], [[0, 0], [-1389, 731], [-237, 137], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51, 57], [-3, -3], [0, 0]], [[0, 0], [-477, 129], [21, -11], [24, 8]], [[0, 0], [-537, 227], [27, -15], [18, 2]]], 0, 221184, [], [] >,
< [ -3, 0, 1 ], [[108, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [117/2, -81/2], [-9/2, 3/2], [0, 0]], [[0, 1], [-339/2, -221/2], [-45/2, -25/2], [0, 1]], [[-3/2, -7/2], [1455/2, 451], [93, 105/2], [-3/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 14], [-18, -1], [0, 0]], [[9/2, -5/2], [-27, 35/2], [3/2, -1], [9/2, -5/2]], [[0, 0], [-33/2, -19/2], [9/2, 5/2], [0, 0]]], 0, 432, [], [] >,
< [ -3, 0, 1 ], [[108, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [213/2, 15/2], [15/2, 3/2], [0, 0]], [[27/2, -1/2], [-8847/2, -3557], [-393, -561/2], [27/2, -1/2]], [[-63/2, 147/2], [-49839, -35323/2], [-7707/2, -1631], [-63/2, 147/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [249/2, 79/2], [-45/2, -5/2], [0, 0]], [[-18, -2], [9, 30], [6, -13], [-18, -2]], [[3/2, 1/2], [-9, -9/2], [3/2, 1], [3/2, 1/2]]], 0, 432, [], [] >,
< [ -3, 0, 1 ], [[0, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -40], [-6, -1], [0, 0]], [[0, 0], [-231/2, 303/2], [75/2, -5/2], [21, 1]], [[0, 0], [1029, -1719], [-441, 1], [-252, -28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 3], [-9, 0], [0, 0]], [[0, 0], [987/2, 31/2], [-117/2, 9/2], [3, 5]], [[0, 0], [-1365/2, 41/2], [165/2, -23/2], [-3, -7]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[0, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, -33], [15, 0], [0, 0]], [[0, 0], [-6567/2, -855/2], [945/2, -161/2], [54, 28]], [[0, 0], [31053/2, -7049/2], [-5985/2, 2555/2], [-144, -56]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9/2, -13/2], [-21/2, -1/2], [0, 0]], [[0, 0], [-54, 506], [252, -180], [-216, -124]], [[0, 0], [2406, 134], [-756, 324], [-690, -400]]], 0, 3456, [], [] >,
< [ -3, 0, 1 ], [[0, 1152]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1575, 905], [9, 5], [0, 0]], [[0, 0], [180, -284], [0, 0], [48, 4]], [[0, 0], [3060, -1464], [0, 0], [126, -126]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1830, -1082], [-18, -2], [0, 0]], [[0, 0], [3099, -1423], [-975, 565], [54, 10]], [[0, 0], [12, -8], [0, 0], [-6, -2]]], 0, 221184, [], [] >,
< [ -3, 0, 1 ], [[-12, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -11/2], [3/2, 1], [0, 0]], [[0, 0], [-1, 1/2], [-1/2, 0], [1, 0]], [[0, 0], [-6, 2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -95/2], [15/2, -2], [0, 0]], [[0, 0], [5, 1/2], [-1/2, 0], [1, 0]], [[0, 0], [1389/2, 1801/2], [-255/2, 51/2], [0, 0]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3/2, -33/2], [3/2, -7/2], [0, 0]], [[0, 0], [3/2, -5/2], [-9/2, -7/2], [-12, -4]], [[0, 0], [4, -2], [2, 0], [-1, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-111/2, -57/2], [-45/2, -5/2], [0, 0]], [[0, 0], [897, -268], [2082, -1123], [-6, -4]], [[0, 0], [7753/2, -4831/2], [23753/2, -13825/2], [7, 1]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-474, -268], [-156, -90], [0, 0]], [[0, 0], [-3897, -2479], [-1371, -791], [-6, -10]], [[0, 0], [277313, -159869], [-581, 415], [7882, -4550]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-198, -116], [-12, -6], [0, 0]], [[0, 0], [-331, 23], [79, -61], [10, 6]], [[0, 0], [804, -466], [-402, 232], [0, 0]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [780, 434], [6, 0], [0, 0]], [[0, 0], [-11719, -6945], [-5, -41], [-14, -10]], [[0, 0], [33501, -20257], [7299, -4217], [372, -216]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [195, 115], [-21, -3], [0, 0]], [[0, 0], [-1941, -1029], [-189, 257], [-6, -2]], [[0, 0], [502, -108], [1388, -814], [8, -4]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [234, 136], [-12, -6], [0, 0]], [[0, 0], [1811, 1057], [-83, -51], [10, 10]], [[0, 0], [-751, 439], [223, -129], [-284, 164]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69, -35], [-15, -15], [0, 0]], [[0, 0], [109, 63], [35, 3], [26, 10]], [[0, 0], [-19, -37], [-2681, 1539], [-782, 442]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[60, 12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, -110], [-3, 1], [0, 0]], [[10, 5], [-633/2, -411/2], [12, 10], [5/2, 5/2]], [[9/2, 3/2], [-221/2, -99], [3/2, 11/2], [0, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-233, -55], [12, 5], [0, 0]], [[-7/2, 1/2], [839941/2, -251551/2], [-28203/2, 1587/2], [-7/2, 1/2]], [[-207, -93], [17479749, 6218261], [-970821, -466514], [-207, -93]]], 1, 192, [], [] >,
< [ -3, 0, 1 ], [[60, 12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 120], [12, -5], [0, 0]], [[-11/2, -1/2], [11233/2, 2796], [81/2, 129/2], [2, -5/2]], [[28, 12], [-40910, -22920], [-531, -371], [4, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-39/2, -3/2], [79, -6], [-39/2, -3/2], [0, 0]], [[0, 0], [1, 0], [0, 0], [1, 0]], [[-714, -322], [2387, 901], [-714, -322], [0, 0]]], 1, 192, [], [] >,
< [ -3, 0, 1 ], [[192, 144]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-260, -146], [-30, -12], [0, 0]], [[0, 0], [-12648, -7338], [-1224, -736], [4, 0]], [[0, 0], [-729/2, 421/2], [-213, 123], [-71/2, 41/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-231, -127], [-9, 1], [0, 0]], [[0, 0], [6, 1], [0, 0], [1, 0]], [[0, 0], [-214, 148], [-228, 132], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[192, 144]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [134, 74], [6, 0], [0, 0]], [[0, 0], [-42, 25], [12, -10], [3, -2]], [[0, 0], [-395/2, 229/2], [60, -36], [29/2, -17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, 30], [30, 16], [0, 0]], [[0, 0], [1, 0], [0, 0], [1, 0]], [[0, 0], [-59, -39], [-30, -20], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-1536, -1152]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1976, 1140], [2556, 1476], [0, 0]], [[0, 0], [4315, 2493], [5652, 3272], [-1, 3]], [[0, 0], [-13374, -7718], [-17544, -10112], [-12, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1862, 1034], [48, 20], [0, 0]], [[0, 0], [-250697, 143987], [-47040, 27136], [-17, -7]], [[0, 0], [-5560446, 3216640], [-1046496, 604384], [68, 102]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[384, 768]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -18], [-12, 20], [0, 0]], [[0, 0], [-39, -43], [-348, -160], [-17, -7]], [[0, 0], [-11, 5], [12, -16], [1, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, 54], [-504, 4], [0, 0]], [[0, 0], [3590, -2084], [9768, -5428], [-6, 0]], [[0, 0], [-4819, 2673], [-10812, 8284], [-25, -19]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[84, 36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -2], [-57, -4], [0, 0]], [[-7, -2], [1315/2, -65/2], [366, 6101], [1/2, -5/2]], [[-1127/2, -897/2], [33945/2, 34663], [2015949/2, 453217/2], [-391, -115/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[195/2, 5/2], [78, 1], [195/2, 5/2], [0, 0]], [[0, 0], [1, 0], [6, 0], [1, 0]], [[0, 517], [-16, 414], [0, 517], [0, 0]]], 1, 192, [], [] >,
< [ -3, 0, 1 ], [[84, 36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -8], [15, -3], [0, 0]], [[-1/2, 3/2], [2, 1/2], [111/2, -81/2], [5/2, -1]], [[-5/2, -3/2], [-7/2, -2], [39/2, 19/2], [-1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 1], [156, 4], [0, 0]], [[6, 2], [364, -6], [27471, -9204], [6, 2]], [[55/2, 9/2], [4231/2, -919/2], [380619/2, -170067/2], [55/2, 9/2]]], 1, 192, [], [] >,
< [ -3, 0, 1 ], [[-48, -96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 12], [-90, -4], [0, 0]], [[0, 0], [-181/2, 59/2], [5118, -2714], [-11/2, -1/2]], [[0, 0], [-19/2, -11/2], [150, 90], [-5/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 5], [-6, 10], [0, 0]], [[0, 0], [1, 0], [6, 0], [1, 0]], [[0, 0], [24, 12], [42, -4], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-48, -96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -4], [-24, -4], [0, 0]], [[0, 0], [-104, 8], [-450, 160], [-4, 0]], [[0, 0], [-699/2, -639/2], [-237, -863], [-33/2, -27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -10], [54, -2], [0, 0]], [[0, 0], [0, 1], [6, 0], [1, 0]], [[0, 0], [21, -13], [21, -13], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[1920, 768]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [205552/193, -197728/193], [0, 0], [2204/2509, -8/2509]], [[0, 0], [-281291228/193, 162421528/193], [0, 0], [-1138692/2509, 657138/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41, -2], [1, 0], [0, 0]], [[0, 0], [-34329546/2123, 12665/2123], [2632/11, -5/11], [-5264/27599, 10/27599]], [[0, 0], [-1900063144/2123, -462133520/2123], [145512/11, 35208/11], [-291024/27599, -70416/27599]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[-12, -36]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 3], [-1, 1], [0, 0]], [[-215/2, 1/2], [526025/772, -23401/772], [-227/4, -9/4], [551/5018, -1/2509]], [[-420, -460], [890753/386, 541436/193], [-509/2, -253], [1080/2509, 1180/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-101/2, -83/2], [-1/2, -3/2], [0, 0]], [[11909/2, 1/2], [1463566435/8492, -3531779/8492], [-78753/44, 773/44], [-10250/27599, -3/55198]], [[2787057, 1943113], [340728963089/4246, 118972664171/2123], [-18048957/22, -6333594/11], [-4798230/27599, -3345149/27599]]], 1, 192, [], [] >,
< [ -3, 0, 1 ], [[-12, -36]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 19/2], [-1, -3/2], [0, 0]], [[549/2, 1/2], [640381/772, 3957/772], [645/4, -15/4], [-1407/5018, -2/2509]], [[8323/2, -11767/2], [9529183/772, -13683631/772], [10819/4, -14071/4], [-10619/2509, 30135/5018]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-343/2, -33/2], [5/2, -1/2], [0, 0]], [[23285, 0], [-3770207783/4246, 219585111/4246], [-196863/22, 767/22], [-80165/55198, -5/55198]], [[-28932079/2, -20067705/2], [4116824143185/8492, 2976438437149/8492], [242623137/44, 168709361/44], [3831521/4246, 1328746/2123]]], 1, 192, [], [] >,
< [ -3, 0, 1 ], [[-240, -96]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [61/2, 11/2], [-11/2, -1/2], [0, 0]], [[0, 0], [5198723/193, 422791/386], [-7422, -467/2], [-15482/2509, -3/2509]], [[0, 0], [10843216759/386, -4387972680/193], [-15845491/2, 6343177], [-17820275/2509, 13789050/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-103/2, 13/2], [9/2, 1/2], [0, 0]], [[0, 0], [-2173870647/4246, -546021/2123], [168631/22, 56/11], [-170061/27599, -2/27599]], [[0, 0], [6770211860287/4246, 677223724536/2123], [-525228215/22, -52575925/11], [529475315/27599, 105698110/27599]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-240, -96]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7/2, -1], [-3/2, 0], [0, 0]], [[0, 0], [-333236/193, -1809/386], [-1, 5/2], [-28027/2509, -3/2509]], [[0, 0], [-492012397/193, -95205219/386], [-434, 7099/2], [-41350540/2509, -3895836/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53/2, -45], [-3/2, -2], [0, 0]], [[0, 0], [-875008993/2123, 1928782/2123], [65905/11, 316/11], [-135363/27599, -5/27599]], [[0, 0], [71542094425/4246, 10157300790/2123], [-5420873/22, -783933/11], [5544392/27599, 1583750/27599]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[192, 48]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -18], [-48, -28], [0, 0]], [[0, 0], [-16, 42], [372, 74], [-35/13, -1/13]], [[0, 0], [-37291/4, 21649/4], [51825/2, -29397/2], [-14085/52, 8055/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [227, 129], [-60, -34], [0, 0]], [[0, 0], [184881/44, 150015/44], [-20613/22, -19897/22], [675/572, -3/572]], [[0, 0], [20005807/11, -23095403/22], [-7392975/11, 4267678/11], [-181525/143, 209615/286]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[192, 48]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 46], [48, 24], [0, 0]], [[0, 0], [459/4, 249/4], [171/2, 59/2], [17/52, -1/52]], [[0, 0], [94, -63], [486, -286], [69/13, -40/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-121, -69], [6, 8], [0, 0]], [[0, 0], [-278435/44, -2261/44], [-27663/22, 37/22], [591/572, 5/572]], [[0, 0], [-2818085/11, 1639076/11], [-569352/11, 331072/11], [5978/143, -3477/143]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-84, -60]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-49/2, -25/2], [6, -1], [0, 0]], [[-12, 2], [176, 175], [171, -98], [17/26, -1/26]], [[153/2, -17/2], [-5409/4, -1212], [-2013/2, 575], [-17/4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, -11], [15, 5], [0, 0]], [[235/2, -3/2], [213707/44, -1381/11], [-2247/22, 195/11], [-551/572, -1/286]], [[3186, -354], [2908435/22, -359641/22], [-31905/11, 8262/11], [-3717/143, 354/143]]], 1, 192, [], [] >,
< [ -3, 0, 1 ], [[-84, -60]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -13], [-6, 4], [0, 0]], [[-6, -1], [705/4, 367/4], [-69/2, 79/2], [19/52, 5/52]], [[-3/2, -7/2], [148, 383/4], [69, -41/2], [2/13, 11/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [141/2, 49/2], [-12, -5], [0, 0]], [[17/2, 1/2], [-7665/22, -157/44], [-126/11, -75/22], [-10/143, -3/572]], [[-150, 86], [148105/22, -84995/22], [1191/11, -676/11], [171/143, -98/143]]], 1, 192, [], [] >,
< [ -3, 0, 1 ], [[-1536, -384]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, 20], [-42, -6], [0, 0]], [[0, 0], [-1414, 741], [1578, -1024], [-56/13, 1/13]], [[0, 0], [-14553/2, 9785/2], [10683, -5129], [161/26, 483/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3322, -2022], [72, 4], [0, 0]], [[0, 0], [-3053319/11, 1783475/11], [-1107180/11, 640492/11], [61/143, 1/143]], [[0, 0], [8690421/22, -5103697/22], [1579191/11, -914401/11], [-217/286, -27/286]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[276, 204]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39/2, 9/2], [1/2, -3/2], [0, 0]], [[947/2, 9/2], [760715/772, -290375/772], [471/4, -271/4], [1021/386, 2/193]], [[31050, -14850], [39223889/386, -10911313/193], [28663/2, -8272], [33750/193, -16200/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [65, 11], [-1, 1], [0, 0]], [[-2655/2, -1/2], [664033393/8492, -19635537/8492], [-19859/44, -129/44], [-5927/4246, 2/2123]], [[476076, 377916], [-110582177633/4246, -45478384362/2123], [3612845/22, 1424263/11], [1060128/2123, 842540/2123]]], 1, 2688, [], [] >,
< [ -3, 0, 1 ], [[276, 204]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9/2, -9], [1/2, 2], [0, 0]], [[-293/2, 3/2], [-43973/772, 106359/772], [-101/4, -141/4], [-158/193, 5/386]], [[-829/2, -217/2], [119707/772, 270355/772], [-613/4, -481/4], [-445/193, -229/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [401/2, -41], [-5/2, -2], [0, 0]], [[-2952, -4], [-318140936/2123, 55869907/2123], [-12616/11, 211/11], [-6590/2123, -2/2123]], [[2832603/2, 2355919/2], [341389747029/8492, 400118055735/8492], [23121017/44, 19700783/44], [3153448/2123, 5252691/4246]]], 1, 2688, [], [] >,
< [ -3, 0, 1 ], [[-672, -144]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, 2], [5, 2], [0, 0]], [[0, 0], [-206215/386, 700873/386], [-1123/2, -623/2], [-716/193, 4/193]], [[0, 0], [5571301/193, -4462247/386], [-1720, -2321/2], [3600/193, -3465/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [41/2, 15/2], [-11/2, -1/2], [0, 0]], [[0, 0], [60993/2, 5126], [-5013/2, -459], [1, 0]], [[0, 0], [22810352513/4246, 4263954459/4246], [-9722835/22, -1960389/22], [370101/2123, 7701/2123]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[-672, -144]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21/2, 11], [-1/2, -2], [0, 0]], [[0, 0], [-54850/193, -13044/193], [26, -16], [-265/193, -143/193]], [[0, 0], [-489731/193, -290692/193], [-23, 0], [-3289/193, -1903/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -44], [-2, -2], [0, 0]], [[0, 0], [-642818365/4246, -1518939/4246], [-44289/22, -171/22], [22623/2123, 3/2123]], [[0, 0], [315363307635/4246, 6803603523/2123], [21731933/22, 485026/11], [-11095696/2123, -454138/2123]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[5376, 1152]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [197612/193, 109016/193], [0, 0], [84/193, 6/193]], [[0, 0], [-338716/193, 213968/193], [0, 0], [-2968/193, 1718/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41, -2], [1, 0], [0, 0]], [[0, 0], [-161802546/2123, -264426/2123], [7474/11, 10/11], [-7474/2123, -10/2123]], [[0, 0], [-18296329100/2123, -465888554/2123], [845128/11, 21270/11], [-845128/2123, -21270/2123]]], 0, 1376256, [], [] >,
< [ -3, 0, 1 ], [[912, 384]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25, -17], [6, 4], [0, 0]], [[0, 0], [-155/4, -85/4], [21/2, 9/2], [3/4, 1/4]], [[0, 0], [78, -89/2], [-111, 64], [-13, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69, -39], [24, 10], [0, 0]], [[0, 0], [49063/44, 31081/44], [-8109/22, -4393/22], [-15/44, 3/44]], [[0, 0], [-75739/44, 32211/44], [-5127/22, 4717/22], [-277/44, 161/44]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[912, 384]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29, 19], [-30, -12], [0, 0]], [[0, 0], [-147/4, -141/4], [135/2, 11/2], [-5/4, -3/4]], [[0, 0], [110, -64], [264, -152], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [263, 149], [-48, -26], [0, 0]], [[0, 0], [-4494/11, 1747/22], [-3/11, -160/11], [19/11, -1/22]], [[0, 0], [-561779/44, 336835/44], [13635/22, -7281/22], [1827/44, -1131/44]]], 0, 21504, [], [] >,
< [ -3, 0, 1 ], [[60, 132]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 11], [6, 0], [0, 0]], [[2, 2], [-345/2, -41/2], [33, -40], [1, 0]], [[17/2, 9/2], [-1159/4, -207], [-165/2, -18], [5/4, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [512, 238], [-12, 0], [0, 0]], [[27/2, 7/2], [-40091/44, -10800/11], [-1539/22, 199/11], [57/44, 1/11]], [[1159, -665], [1342980/11, -1562909/22], [-173079/11, 99837/11], [3895/22, -1121/11]]], 1, 2688, [], [] >,
< [ -3, 0, 1 ], [[60, 132]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 4], [9, 5], [0, 0]], [[1/2, 3/2], [-175, 379/4], [12, -31/2], [1, -1/4]], [[-6, -3], [-197/4, 211/4], [75/2, 25/2], [-3/4, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 71], [3, -3], [0, 0]], [[8, 2], [40530/11, 24014/11], [-1185/11, -280/11], [17/22, 1/22]], [[605/2, -341/2], [-8107/2, 20153/4], [-4239, 4785/2], [46, -105/4]]], 1, 2688, [], [] >,
< [ -3, 0, 1 ], [[-7296, -3072]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-520, -290], [-30, -6], [0, 0]], [[0, 0], [47821, -27108], [52506, -30276], [7, 2]], [[0, 0], [-343849/2, 166109/2], [-175911, 100321], [-351/2, -189/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3070, -1692], [-54, -2], [0, 0]], [[0, 0], [476201, -281076], [174384, -100754], [-5, 0]], [[0, 0], [-56532341/22, 34990423/22], [-10597149/11, 6132309/11], [1261/22, 377/22]]], 0, 1376256, [], [] >,
< [ -3, 0, 1 ], [[5376, 1920]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [188, 108], [41604, 24020], [0, 0]], [[0, 0], [395, 237], [68232, 39412], [11, 7]], [[0, 0], [182, 130], [34884, 20188], [4, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2190, 1186], [672, 20], [0, 0]], [[0, 0], [-6075368, 3448366], [-28284048, 16320096], [-6, -4]], [[0, 0], [-190215915, 109971533], [-893422824, 515842536], [31, 1]]], 0, 983040, [], [] >,
< [ -3, 0, 1 ], [[-12, -108]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, 48], [-111, 2], [0, 0]], [[-7, -3], [11290, 139], [-224409, 125283], [-1, -2]], [[-159/2, -81/2], [198725/2, 24301], [-2378883/2, 1268449/2], [-21, -39/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-195/2, 5/2], [-178, -29], [-195/2, 5/2], [0, 0]], [[0, 0], [-1, 0], [9, 0], [1, 0]], [[1053, 963], [2947, 2147], [1053, 963], [0, 0]]], 1, 1920, [], [] >,
< [ -3, 0, 1 ], [[-12, -108]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -20], [90, 51], [0, 0]], [[9, 4], [-39/2, -87/2], [66, 44], [3/2, 5/2]], [[391/2, 207/2], [-897, -1541/2], [3261/2, 1975/2], [115/2, 46]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59, -3], [246, 3], [0, 0]], [[-1/2, 5/2], [352561/2, -7285/2], [-1482267/2, 87841/2], [-1/2, 5/2]], [[9/2, 7/2], [531351/2, 237913/2], [-2112627/2, -911521/2], [9/2, 7/2]]], 1, 1920, [], [] >,
< [ -3, 0, 1 ], [[-672, -240]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, -62], [1434, 828], [0, 0]], [[0, 0], [1629/2, 1035/2], [-10125, -5773], [-11/2, -3/2]], [[0, 0], [-209880, 121183], [-320628, 185012], [-7389, 4266]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 38], [42, 4], [0, 0]], [[0, 0], [4, 1], [-24, 0], [1, 0]], [[0, 0], [-655, 353], [-621, 351], [0, 0]]], 0, 15360, [], [] >,
< [ -3, 0, 1 ], [[-672, -240]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-196, -114], [486, 282], [0, 0]], [[0, 0], [967/2, 499/2], [-780, -506], [-15/2, -5/2]], [[0, 0], [8319, -4801], [15468, -8934], [-511, 295]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 1], [-444, -256], [0, 0]], [[0, 0], [-1, 0], [-24, 0], [1, 0]], [[0, 0], [0, 0], [828, 478], [0, 0]]], 0, 15360, [], [] >,
< [ -3, 0, 1 ], [[-300, -204]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, -34], [-33, 0], [0, 0]], [[-7/2, 1/2], [-121, 55/2], [327/2, -189/2], [5/2, -2]], [[301/2, 147/2], [8629/2, 1974], [-1719/2, 1013/2], [35, 77/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, 2], [-60, 1], [0, 0]], [[-5/2, 3/2], [-139405/2, -2017/2], [83763/2, -1917/2], [-5/2, 3/2]], [[0, 0], [8275, 4725], [-4662, -2658], [0, 0]]], 1, 1920, [], [] >,
< [ -3, 0, 1 ], [[-300, -204]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, -48], [195, 5], [0, 0]], [[7, 3], [-1214, -19], [17274, -9221], [1, 2]], [[245/2, 119/2], [-35819/2, -2984], [382737/2, -193129/2], [28, 63/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[261/2, 5/2], [138, 45], [261/2, 5/2], [0, 0]], [[0, 0], [11, 0], [6, 0], [1, 0]], [[-9/2, -7/2], [-8, -5], [-9/2, -7/2], [0, 0]]], 1, 1920, [], [] >,
< [ -3, 0, 1 ], [[624, 192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, -28], [264, 0], [0, 0]], [[0, 0], [-28435/2, -11/2], [216990, -104528], [-11/2, -1/2]], [[0, 0], [-6343979/2, -2923577/2], [16171146, -1016858], [-2761/2, -1353/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -9], [-120, 2], [0, 0]], [[0, 0], [11, 0], [6, 0], [1, 0]], [[0, 0], [-95, -47], [-432, -72], [0, 0]]], 0, 15360, [], [] >,
< [ -3, 0, 1 ], [[624, 192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-214, -120], [12, 2], [0, 0]], [[0, 0], [1139/2, -219/2], [27, 3], [9/2, 1/2]], [[0, 0], [-381305/2, -134389/2], [-14079, -6897], [-4693/2, -2299/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-309, -13], [-291, 1], [0, 0]], [[0, 0], [6, 1], [6, 0], [1, 0]], [[0, 0], [1736, 2790], [1284, 2568], [0, 0]]], 0, 15360, [], [] >,
< [ -3, 0, 1 ], [[-4992, -1536]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-326, -190], [-60, 12], [0, 0]], [[0, 0], [-8271, -1637], [68052, -39576], [5, 1]], [[0, 0], [-1328961, -651225], [2470860, -1489856], [805, 395]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-422, -250], [36, -16], [0, 0]], [[0, 0], [1776, 802], [-600, -240], [10, 4]], [[0, 0], [-315277, -162977], [103740, 50820], [-1729, -847]]], 0, 983040, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 22], [48, 28], [0, 0]], [[0, 0], [-5, -68], [-63, -43], [-2, 1]], [[0, 0], [11/2, -7/2], [-12, 7], [5/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 28], [9, 3], [0, 0]], [[0, 0], [43/2, -19/2], [-9, 10], [1/2, 1/2]], [[0, 0], [-12, 4], [6, -4], [0, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [252, 160], [30, 0], [0, 0]], [[0, 0], [-336, 211], [417, -241], [3, 2]], [[0, 0], [29/2, 17/2], [0, 0], [5/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, -68], [18, -4], [0, 0]], [[0, 0], [-1213/2, 381/2], [822, -468], [5/2, 5/2]], [[0, 0], [-204, 485], [897, -533], [-9, -4]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[396, 228]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 8], [6, -4], [0, 0]], [[0, 0], [1536, 1757/2], [-87, -40], [-3/2, -2]], [[0, 0], [22963/2, 6381], [-840, -180], [11, -55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 2], [-15, -3], [0, 0]], [[0, 0], [-23/2, -7], [-39, -22], [2, 5/2]], [[0, 0], [18, 27], [126, 49], [45, -36]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [270, 150], [24, 20], [0, 0]], [[0, 0], [-3419, 1457], [3072, -1824], [-11, -5]], [[0, 0], [3294, -1662], [-3216, 1880], [6, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, -66], [-1668, -964], [0, 0]], [[0, 0], [671, 341], [9600, 5280], [-1, -1]], [[0, 0], [78, 50], [1200, 720], [0, 0]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [282, 150], [18, -2], [0, 0]], [[0, 0], [-504, 622], [-756, 444], [-6, -4]], [[0, 0], [7883, -4411], [7488, -4320], [-7, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1188, -736], [-36, 8], [0, 0]], [[0, 0], [-91465, 54549], [53424, -30828], [17, 9]], [[0, 0], [-2374394, 1375734], [1366470, -788886], [64, 16]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -10], [-30, -16], [0, 0]], [[0, 0], [-22, 1], [27, -7], [-15, 0]], [[0, 0], [13/2, -7/2], [-12, 7], [9/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, -56], [27, -1], [0, 0]], [[0, 0], [-40, 171], [-459, 231], [-9, 0]], [[0, 0], [1465/2, -389/2], [1320, -815], [15/2, -25/2]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 42], [9, -5], [0, 0]], [[0, 0], [11/2, -7/2], [0, 0], [9/2, -3/2]], [[0, 0], [23/2, 13/2], [0, 0], [9/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, 40], [15, 1], [0, 0]], [[0, 0], [-3247/2, 2271/2], [-2706, 1584], [-33/2, -5/2]], [[0, 0], [742, -3428], [4785, -3091], [168, 84]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[396, 228]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 16], [9, -1], [0, 0]], [[0, 0], [7565/2, 3959/2], [198, 495], [3/2, -1/2]], [[0, 0], [4809/2, 958], [-396, 572], [3, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 20], [-12, 1], [0, 0]], [[0, 0], [-562, -359], [765, -340], [-3, 2]], [[0, 0], [225, 287/2], [-306, 136], [3/2, -1]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94, -46], [-24, 20], [0, 0]], [[0, 0], [627, -823], [4248, -2424], [-3, 1]], [[0, 0], [-332, -156], [-108, 84], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, -46], [624, 360], [0, 0]], [[0, 0], [-3, -41], [204, 124], [-27, -3]], [[0, 0], [19, -11], [0, 0], [-33, 19]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-980, -532], [-72, -8], [0, 0]], [[0, 0], [23025, -13005], [22626, -13050], [9, 1]], [[0, 0], [111734, -66118], [112266, -64890], [-12, -28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [274, 142], [-30, 10], [0, 0]], [[0, 0], [-7, -45], [-60, 36], [3, 3]], [[0, 0], [-125, 61], [198, -114], [3, -1]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2874, 1502], [-30, 10], [0, 0]], [[0, 0], [-135422, 74840], [23032, -13278], [-20, -12]], [[0, 0], [-69258, 39960], [12024, -6942], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1644, 950], [174, 100], [0, 0]], [[0, 0], [4528, 2650], [-1298, -768], [-5168, -2984]], [[0, 0], [-51906, -30062], [14946, 8678], [58944, 34032]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11682, 6748], [-60, -34], [0, 0]], [[0, 0], [-35704, -20550], [194, 112], [8, 0]], [[0, 0], [-69640, 40156], [-436, 252], [4874, -2814]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2748, -1502], [-30, -4], [0, 0]], [[0, 0], [-66866, 37246], [-10370, 5966], [-2, -10]], [[0, 0], [499492, -284764], [78268, -45132], [-32, 48]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4740, -2706], [30, 12], [0, 0]], [[0, 0], [129722, 76562], [-442, -538], [14, -6]], [[0, 0], [1917674, -1119454], [-327118, 188926], [-16240, 9376]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5004, -2890], [6, 4], [0, 0]], [[0, 0], [-13562, -7882], [22, 6], [22, 6]], [[0, 0], [18326, -10590], [2366, -1366], [2366, -1366]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1464, 906], [18, 0], [0, 0]], [[0, 0], [30562, -17258], [-5198, 2982], [52, 12]], [[0, 0], [-607200, 357504], [104820, -60860], [336, 560]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1254, -724], [-108, -62], [0, 0]], [[0, 0], [-2006, -1158], [238, 134], [1552, 896]], [[0, 0], [-318, -184], [60, 42], [360, 208]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9816, 5650], [18, 8], [0, 0]], [[0, 0], [-164474, -95014], [-278, -162], [-26, -10]], [[0, 0], [386688, -224474], [10458, -6040], [-35490, 20490]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7848, 4422], [30, 0], [0, 0]], [[0, 0], [271574, -154810], [42878, -24738], [14, 6]], [[0, 0], [11458986, -6625382], [1821330, -1051630], [18, -78]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3294, 1888], [0, 2], [0, 0]], [[0, 0], [-80376, -46420], [-24, -4], [-24, -4]], [[0, 0], [-190918, 112234], [127490, -73606], [127490, -73606]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6774, 3940], [12, 2], [0, 0]], [[0, 0], [-15506, -8968], [-8, -2], [10, 10]], [[0, 0], [3142, -1814], [-530, 306], [-530, 306]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-333/2, -299/2], [-3/2, -11/2], [0, 0]], [[0, 0], [7181/2, 4323/2], [187/2, 123/2], [-13, -7]], [[0, 0], [-6335/2, 4651/2], [-589/2, 367/2], [-20, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144, 75], [-3, -6], [0, 0]], [[0, 0], [677, 272], [22, -43], [-5, -5]], [[0, 0], [-5195/2, -3179/2], [317/2, 99/2], [34, 18]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[36, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15/2, 11], [-6, 1/2], [0, 0]], [[0, 0], [-1, 1/2], [-1/2, 0], [1, 0]], [[0, 0], [-90, -66], [48, 24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [177/2, 2], [3, 1/2], [0, 0]], [[0, 0], [5, 1/2], [-1/2, 0], [1, 0]], [[0, 0], [-87/2, -19/2], [-3/2, -1/2], [0, 0]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-414, -230], [-606, -350], [0, 0]], [[0, 0], [79, -65], [-37, -15], [26, 6]], [[0, 0], [71, -41], [19, -11], [-38, 22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-342, -210], [-114, -66], [0, 0]], [[0, 0], [17688, 9818], [5550, 3200], [-12, 0]], [[0, 0], [104089, -59873], [1199, -621], [-1798, 1038]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2121, 1229], [-3, -1], [0, 0]], [[0, 0], [-271, -159], [-11, -1], [22, 2]], [[0, 0], [13, -7], [-19, 11], [38, -22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [735, 217], [33, 1], [0, 0]], [[0, 0], [7644, -5108], [708, -424], [-30, -10]], [[0, 0], [7, 3], [-1, 1], [2, -2]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1011, 583], [-9, -11], [0, 0]], [[0, 0], [34868, 20188], [-812, -92], [4, 4]], [[0, 0], [-805, 775], [-6785, 3913], [-38, 22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [171, 99], [15, 9], [0, 0]], [[0, 0], [224, 104], [28, 16], [-14, -10]], [[0, 0], [-183, 111], [3, -1], [-18, 10]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[0, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-186, -110], [-6, -2], [0, 0]], [[0, 0], [-121, -101], [-17, 5], [1, 1]], [[0, 0], [-135/2, -65/2], [3/2, -5/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-567/2, -289/2], [-9/2, -1/2], [0, 0]], [[0, 0], [-853/2, 449/2], [-95/2, 45/2], [5, 5]], [[0, 0], [545, -328], [58, -35], [4, 0]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[36, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45/2, -11/2], [9/2, 1/2], [0, 0]], [[0, 0], [-1, 5/2], [-1/2, 0], [1, 0]], [[0, 0], [441, 325/2], [-165/2, -22], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -29/2], [-15/2, 2], [0, 0]], [[0, 0], [5, 5/2], [-1/2, 0], [1, 0]], [[0, 0], [-147, -117/2], [-27/2, -18], [0, 0]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [162, 98], [234, 134], [0, 0]], [[0, 0], [44, -22], [34, 8], [-8, 8]], [[0, 0], [2073, -1197], [519, -301], [-558, 322]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-462, -282], [-342, -198], [0, 0]], [[0, 0], [3942, 2876], [3192, 1866], [-12, 8]], [[0, 0], [-7573, 4983], [67, 401], [-218, 126]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-417, -247], [-75, -43], [0, 0]], [[0, 0], [2378, 1374], [190, 110], [-644, -372]], [[0, 0], [14059, 8113], [1133, 653], [-3784, -2184]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -42], [-198, -114], [0, 0]], [[0, 0], [-193, -139], [-827, -483], [-20, 16]], [[0, 0], [-892, -580], [-3620, -2104], [-44, 44]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[0, 384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-747, -427], [-3, -1], [0, 0]], [[0, 0], [-2054, -1184], [8, 10], [-16, -20]], [[0, 0], [3172, 1772], [128, -96], [-256, 192]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [387, 215], [-33, -19], [0, 0]], [[0, 0], [260, 126], [10, 4], [-20, -8]], [[0, 0], [80, -348], [16, -20], [-32, 40]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[-36, -60]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, -72], [6, 5], [0, 0]], [[4, 3], [2425/2, 1629/2], [-63, -50], [3/2, 5/2]], [[-21/2, 7/2], [-4181/2, 442], [417/2, -153/2], [-21, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-250, 26], [12, -3], [0, 0]], [[33/2, 3/2], [1228443/2, 166393/2], [-52551/2, 1291/2], [33/2, 3/2]], [[-1653, -1247], [-67126368, -48651402], [2011869, 1738183], [-1653, -1247]]], 1, 576, [], [] >,
< [ -3, 0, 1 ], [[-36, -60]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 10], [12, 5], [0, 0]], [[-7/2, -1/2], [57, 37/2], [-99/2, -71/2], [-9/2, 1]], [[-55/2, 33/2], [433/2, -138], [291/2, -135/2], [-66, 77/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 1], [-28, 0], [-12, 1], [0, 0]], [[7911/2, 1125/2], [9775, 2127], [7911/2, 1125/2], [-6, -1]], [[152550, 120006], [435485, 316666], [152550, 120006], [-243, -186]]], 1, 576, [], [] >,
< [ -3, 0, 1 ], [[-432, -192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, -104], [0, -2], [0, 0]], [[0, 0], [-3319/2, -2003/2], [15, 1], [15/2, 1/2]], [[0, 0], [5684, -3195], [990, -572], [495, -286]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [185, 113], [-3, 5], [0, 0]], [[0, 0], [835, -442], [918, -528], [-12, -1]], [[0, 0], [2724, -1320], [2880, -1650], [-60, -16]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[-432, -192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-368, -210], [-78, -42], [0, 0]], [[0, 0], [-2036, -1122], [-600, -150], [-18, -2]], [[0, 0], [-2373/2, 1487/2], [-4620, 2680], [-399/2, 231/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53, -29], [-48, -28], [0, 0]], [[0, 0], [-51, -26], [-48, -26], [-3, 0]], [[0, 0], [348, 197], [336, 192], [12, 5]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[-108, -84]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 30], [-156, -4], [0, 0]], [[-3/2, -3/2], [411, -301/2], [-12579/2, 7053/2], [-3/2, 0]], [[13/2, 7/2], [-209/2, -229], [-4779/2, 3469/2], [2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 2], [-150, -3], [0, 0]], [[2, 0], [2357, 21], [90726, 31960], [2, 0]], [[-13/2, -31/2], [-16285/2, -36643/2], [-2074329/2, -1612803/2], [-13/2, -31/2]]], 1, 576, [], [] >,
< [ -3, 0, 1 ], [[-108, -84]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -8], [9, -4], [0, 0]], [[11/2, 1/2], [35/2, 18], [99/2, -109/2], [-2, 5/2]], [[-29, 0], [-139/2, -179/2], [-348, 319], [29/2, -29/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-93/2, 1/2], [-15, 0], [-93/2, 1/2], [0, 0]], [[0, 0], [1, 0], [6, 0], [1, 0]], [[585, -260], [186, -82], [585, -260], [0, 0]]], 1, 576, [], [] >,
< [ -3, 0, 1 ], [[288, 48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -42], [144, 2], [0, 0]], [[0, 0], [23481, 813], [-307422, 163470], [-3, 1]], [[0, 0], [-645695/2, -343031/2], [647214, -24462], [37/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 4], [-90, -4], [0, 0]], [[0, 0], [1, 0], [6, 0], [1, 0]], [[0, 0], [-27, -11], [180, 30], [0, 0]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[288, 48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -28], [-90, -4], [0, 0]], [[0, 0], [-627/2, -5/2], [25029, -14631], [3/2, 3/2]], [[0, 0], [457/2, 1477/2], [86331, -48987], [-23/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, -23], [93, -1], [0, 0]], [[0, 0], [-2, 1], [6, 0], [1, 0]], [[0, 0], [330, -204], [270, -230], [0, 0]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[324, 12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [528, 308], [219, 2], [0, 0]], [[-2, 1], [-22485/2, 457/2], [227505, -132662], [5/2, -3/2]], [[-23/2, -15/2], [-491115, -572433/2], [-388521/2, -14411/2], [-11/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [333, 5], [-27, -1], [0, 0]], [[1/2, 1/2], [-785907/2, 30249/2], [63495/2, -1035/2], [1/2, 1/2]], [[0, 0], [0, 5038], [-27, -408], [0, 0]]], 1, 5760, [], [] >,
< [ -3, 0, 1 ], [[324, 12]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-426, -248], [375, 218], [0, 0]], [[13/2, 3/2], [591/2, 525], [-639/2, -671/2], [-1, 5/2]], [[5/2, 3/2], [99/2, 25], [9/2, 5/2], [1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-54, -2], [231, -55], [-54, -2], [0, 0]], [[0, 0], [21, 0], [9, 0], [1, 0]], [[-7011/2, -2489/2], [11043, 1344], [-7011/2, -2489/2], [0, 0]]], 1, 5760, [], [] >,
< [ -3, 0, 1 ], [[720, 672]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [342, 196], [1092, 632], [0, 0]], [[0, 0], [-11343/2, -6645/2], [-18027, -10481], [3/2, -1/2]], [[0, 0], [-66057/2, 38269/2], [-51327, 29841], [-1907/2, 1101/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111, 119], [-93, -1], [0, 0]], [[0, 0], [-18, 1], [-24, 0], [1, 0]], [[0, 0], [1512, -934], [1518, -858], [0, 0]]], 0, 46080, [], [] >,
< [ -3, 0, 1 ], [[720, 672]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-348, -206], [-162, -94], [0, 0]], [[0, 0], [31527/2, 18273/2], [7374, 4198], [1/2, 5/2]], [[0, 0], [-90132, 51598], [149064, -86266], [-5560, 3210]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -5], [342, 196], [0, 0]], [[0, 0], [21, 0], [-24, 0], [1, 0]], [[0, 0], [0, 0], [828, 478], [0, 0]]], 0, 46080, [], [] >,
< [ -3, 0, 1 ], [[612, 300]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-186, -108], [21, -2], [0, 0]], [[1/2, 1/2], [-2480, -493/2], [-43293/2, 25129/2], [1/2, 0]], [[0, 0], [54, 20], [204, -120], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21, 2], [276, -20], [-21, 2], [0, 0]], [[0, 0], [11, 0], [6, 0], [1, 0]], [[1035/2, 321/2], [-6993, -2282], [1035/2, 321/2], [0, 0]]], 1, 5760, [], [] >,
< [ -3, 0, 1 ], [[612, 300]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -46], [30, 5], [0, 0]], [[11/2, 3/2], [-487, 351/2], [-6015/2, 3483/2], [-1/2, 2]], [[88, 60], [2, -2504], [16626, -9478], [46, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [459, 5], [18, 3], [0, 0]], [[-5/2, 3/2], [376601/2, -65935/2], [13617/2, -353/2], [-5/2, 3/2]], [[0, 0], [41496, 24472], [2067, 1208], [0, 0]]], 1, 5760, [], [] >,
< [ -3, 0, 1 ], [[-576, -624]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 56], [378, 8], [0, 0]], [[0, 0], [26589/2, -7/2], [-81450, 63570], [15/2, 5/2]], [[0, 0], [15965, 17751], [156810, -32370], [19, 13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [150, 80], [228, -6], [0, 0]], [[0, 0], [11, 0], [6, 0], [1, 0]], [[0, 0], [819, 549], [-708, 1180], [0, 0]]], 0, 46080, [], [] >,
< [ -3, 0, 1 ], [[-576, -624]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, 44], [-180, -8], [0, 0]], [[0, 0], [-49/2, 1/2], [315, -311], [-5/2, -1/2]], [[0, 0], [53/2, 51/2], [3, 3], [1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-675, -217], [-315, -3], [0, 0]], [[0, 0], [-16, 1], [6, 0], [1, 0]], [[0, 0], [-1947, 275], [-1479, 595], [0, 0]]], 0, 46080, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -4], [-162, -96], [0, 0]], [[0, 0], [739/2, 435/2], [16224, 9370], [7/2, 5/2]], [[0, 0], [723, -414], [654, -228], [78, -45]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -4], [12, 6], [0, 0]], [[0, 0], [113/2, 53/2], [0, 0], [5/2, 3/2]], [[0, 0], [24, -14], [0, 0], [0, 0]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -30], [24, 12], [0, 0]], [[0, 0], [1329, 763], [-582, -336], [-3, -1]], [[0, 0], [-1001/2, 475/2], [27, 7], [151/2, -87/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -26], [48, 30], [0, 0]], [[0, 0], [-533/2, -295/2], [231, 147], [-11/2, -3/2]], [[0, 0], [1637/2, -991/2], [1809, -1023], [437/2, -253/2]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[-36, -36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 20], [-12, -12], [0, 0]], [[-1, -2], [79/2, 27/2], [-12, -8], [-5/2, 1/2]], [[-1/2, -1/2], [1, 1/2], [-3/2, 1/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, -50], [9, 0], [0, 0]], [[-13/2, -3/2], [-457/2, -128], [3/2, -3/2], [1, -5/2]], [[119, -17], [2342, 1203], [-72, 48], [-85, 68]]], 1, 144, [], [] >,
< [ -3, 0, 1 ], [[-36, -36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -8], [-15, -6], [0, 0]], [[9/2, 1/2], [-1224, -1379/2], [-1701/2, -945/2], [-3/2, 2]], [[-5, 0], [2237/2, 1245/2], [780, 425], [5/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 2], [6, -12], [0, 0]], [[-1, -2], [283/2, 179/2], [-153, -81], [-5/2, 1/2]], [[-9/2, -9/2], [390, 471/2], [-807/2, -447/2], [-9/2, 0]]], 1, 144, [], [] >,
< [ -3, 0, 1 ], [[1152, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-606, -374], [-54, 6], [0, 0]], [[0, 0], [-4405, 1383], [5190, -3050], [-1, -3]], [[0, 0], [-4599, 6379], [12198, -6870], [15, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1662, 954], [-30, -6], [0, 0]], [[0, 0], [2097, -2381], [-6336, 3672], [-9, -1]], [[0, 0], [-6502, 5882], [17010, -9846], [20, 0]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[-36, -36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -8], [-15, -2], [0, 0]], [[19/2, 9/2], [323, 207/2], [387/2, 91/2], [15/2, 2]], [[-104, 56], [-8612, 4854], [-6852, 3892], [-240, 136]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -10], [-12, -12], [0, 0]], [[-7, -2], [-37/2, -11/2], [-30, -6], [-15/2, 1/2]], [[-1/2, 1/2], [-2, 3/2], [-3/2, 3/2], [-3/2, 1]]], 1, 144, [], [] >,
< [ -3, 0, 1 ], [[-36, -36]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 10], [15, -2], [0, 0]], [[1/2, -3/2], [-797/2, -69], [-279/2, 49/2], [3, -5/2]], [[3/2, 1/2], [294, 381/2], [93/2, 81/2], [3/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 4], [6, -3], [0, 0]], [[-4, 0], [22, 16], [-12, 0], [-6, 2]], [[9/2, -3/2], [-11/2, -9], [27/2, -9/2], [9, -9/2]]], 1, 144, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -28], [-18, -12], [0, 0]], [[0, 0], [-241/2, -231/2], [-63, -23], [15/2, 3/2]], [[0, 0], [-1489/2, 1041/2], [267, -125], [-105/2, 55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 8], [-54, -42], [0, 0]], [[0, 0], [13/2, -7/2], [9, 3], [9/2, -5/2]], [[0, 0], [0, 0], [6, 0], [0, 0]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [24, 12], [0, 0]], [[0, 0], [53/2, 41/2], [-84, -44], [39/2, 5/2]], [[0, 0], [152, -46], [6, -112], [-180, 120]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -2], [-138, -84], [0, 0]], [[0, 0], [-531/2, -225/2], [-5238, -3078], [-21/2, -1/2]], [[0, 0], [2612, -1742], [-8370, -540], [378, -224]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[1152, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, 64], [-336, -192], [0, 0]], [[0, 0], [21, 9], [66, 30], [3, 5]], [[0, 0], [-118, 68], [-264, 152], [90, -52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -12], [-72, -24], [0, 0]], [[0, 0], [137, 3], [-66, 42], [45, 5]], [[0, 0], [-40, 10], [30, -18], [-12, 2]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-147, -60], [-36, -21], [0, 0]], [[0, 0], [1391, -731], [-5, 11], [-8, 0]], [[0, 0], [-31/2, -17/2], [19/2, 11/2], [5, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138, -75], [-27, -18], [0, 0]], [[0, 0], [-121/2, -297/2], [-185/2, 17/2], [17, 7]], [[0, 0], [-1991, 3017], [2363, -907], [-238, -34]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [141/2, 75/2], [-9/2, -9/2], [0, 0]], [[0, 0], [61, 54], [-10, 3], [-16, -10]], [[0, 0], [141/2, 179/2], [-45/2, 19/2], [-24, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -9], [15, 0], [0, 0]], [[0, 0], [-59/2, -235/2], [-55/2, -73/2], [4, 4]], [[0, 0], [-949, -635], [-383, -239], [46, 28]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[-36, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-219/2, -105/2], [-21/2, -9/2], [0, 0]], [[-9/2, 1/2], [-1437/2, 502], [-108, 145/2], [-9/2, 1/2]], [[40, 8], [5485/2, -5741/2], [875/2, -805/2], [40, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-75/2, 21/2], [-39/2, -9/2], [0, 0]], [[7, 2], [3577/2, -2499/2], [221/2, -821/2], [7, 2]], [[-143/2, -55/2], [-22447/2, 8955], [647, 7163/2], [-143/2, -55/2]]], 1, 144, [], [] >,
< [ -3, 0, 1 ], [[-36, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [231/2, -9/2], [15/2, -15/2], [0, 0]], [[-7/2, -3/2], [-295, 173/2], [-67/2, 23], [-7/2, -3/2]], [[10, 5], [611, -67], [49, -41], [10, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51/2, -9/2], [15/2, 3/2], [0, 0]], [[-7/2, -1/2], [-67, 167/2], [59/2, -29], [-7/2, -1/2]], [[7, 4], [-245/2, -151/2], [65/2, 41/2], [7, 4]]], 1, 144, [], [] >,
< [ -3, 0, 1 ], [[1152, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1803, 1053], [21, 9], [0, 0]], [[0, 0], [-135704, -78044], [-1288, -820], [8, 4]], [[0, 0], [462058, -263668], [-115048, 66454], [-946, 546]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3393, 1959], [195, 111], [0, 0]], [[0, 0], [-3725, -2145], [-181, -143], [2, -2]], [[0, 0], [-24, -12], [-252, 144], [0, 0]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81, 39], [-3, -3], [0, 0]], [[0, 0], [1514, 1204], [-158, -28], [-8, -2]], [[0, 0], [-114907/2, -71809/2], [7771/2, 3439/2], [209, 99]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69, -54], [-66, -39], [0, 0]], [[0, 0], [1456, 1398], [1556, 934], [-4, 0]], [[0, 0], [-6479/2, -2661/2], [-4597/2, -2585/2], [1, 3]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[144, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-261/2, -123/2], [-51/2, -27/2], [0, 0]], [[0, 0], [-505, 214], [-50, 17], [-8, -8]], [[0, 0], [137/2, 79/2], [19/2, 11/2], [14, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 21], [9, 6], [0, 0]], [[0, 0], [167/2, 141/2], [37/2, 17/2], [38, 24]], [[0, 0], [-615/2, 21/2], [-15/2, -45/2], [-72, -24]]], 0, 1152, [], [] >,
< [ -3, 0, 1 ], [[-36, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57/2, -63/2], [21/2, -3/2], [0, 0]], [[-3/2, 1/2], [-3, -115/2], [45/2, -7], [-3/2, 1/2]], [[-1/2, -1/2], [-5/2, 1], [1, 1/2], [-1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -9], [3, 6], [0, 0]], [[3/2, -1/2], [87, -95/2], [45/2, -11], [3/2, -1/2]], [[-1, 0], [-44, 21], [-13, 4], [-1, 0]]], 1, 144, [], [] >,
< [ -3, 0, 1 ], [[-36, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63/2, 3/2], [-21/2, -9/2], [0, 0]], [[11/2, 3/2], [1153/2, -394], [22, -97/2], [11/2, 3/2]], [[-45, -20], [-3441/2, 3187/2], [231/2, 569/2], [-45, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-93/2, -93/2], [-9/2, -15/2], [0, 0]], [[5/2, 5/2], [3146, -3695/2], [1589/2, -456], [5/2, 5/2]], [[-9, -5], [564, -241], [117, -74], [-9, -5]]], 1, 144, [], [] >,
< [ -3, 0, 1 ], [[1152, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [984, 570], [-126, -72], [0, 0]], [[0, 0], [-879, -389], [63, 71], [-12, 8]], [[0, 0], [-2090, 1376], [-676, 370], [-274, 158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1353, -759], [-3, 9], [0, 0]], [[0, 0], [-308, 610], [-334, 192], [2, 2]], [[0, 0], [-612, 384], [-312, 180], [0, 0]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[-16, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [190, 100], [0, 0], [-11, -3]], [[0, 0], [1390, 926], [0, 0], [-30, -60]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 2], [1, 0], [0, 0]], [[0, 0], [220, 126], [0, 0], [7, 5]], [[0, 0], [-1094, -642], [0, 0], [-48, -18]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[-16, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-96, -58], [0, 0], [-7, 1]], [[0, 0], [-358, -206], [0, 0], [-8, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 2], [1, 0], [0, 0]], [[0, 0], [168, 96], [0, 0], [-10, -2]], [[0, 0], [3254, 1872], [0, 0], [-153, -63]]], 0, 32, [], [] >,
< [ -3, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [155, 89], [5, 3], [0, 0]], [[0, 0], [-4, -4], [0, 0], [2, 8]], [[0, 0], [0, 0], [0, 0], [4, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [145, 77], [-13, -5], [0, 0]], [[0, 0], [6246, 4034], [-374, -374], [0, 2]], [[0, 0], [15775, 9689], [-1071, -833], [2, 4]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-241, -137], [-3, -3], [0, 0]], [[0, 0], [8190, 4720], [130, 80], [2, -8]], [[0, 0], [14283, 8205], [213, 147], [28, -28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 16], [2, 4], [0, 0]], [[0, 0], [2345, 1355], [315, 189], [-2, 4]], [[0, 0], [-8060, -4656], [-1092, -644], [0, -10]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3538, 2046], [-6, 10], [0, 0]], [[0, 0], [27392, -16596], [113288, -65408], [-4, -16]], [[0, 0], [-83388, 63624], [-390656, 225568], [272, 204]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2672, 1516], [12, -8], [0, 0]], [[0, 0], [-258, -3242], [1502, -866], [-12, 16]], [[0, 0], [1594, 1286], [-178, 102], [-4, -4]]], 0, 16384, [], [] >,
< [ -3, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 8], [776, 448], [0, 0]], [[0, 0], [92, 52], [-28, 8], [4, 20]], [[0, 0], [-82, -46], [30, -10], [0, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-528, -296], [8, -16], [0, 0]], [[0, 0], [-4246, 4298], [13742, -7894], [-4, 16]], [[0, 0], [-15776, 4228], [26996, -15692], [-64, 0]]], 0, 16384, [], [] >,
< [ -3, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -36], [320, 184], [0, 0]], [[0, 0], [-296, -168], [1356, 780], [0, -8]], [[0, 0], [2, 2], [-2, -2], [4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [544, 308], [-44, -12], [0, 0]], [[0, 0], [-18866, 10918], [41598, -24022], [16, -12]], [[0, 0], [1168, -1884], [-4676, 2936], [100, 60]]], 0, 16384, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-422, -242], [32, 18], [0, 0]], [[0, 0], [4, -1], [1, 1], [1, 0]], [[0, 0], [1056, 624], [-76, -48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, -64], [-6, -10], [0, 0]], [[0, 0], [4, -1], [1, 1], [1, 0]], [[0, 0], [-442, -278], [-50, -20], [0, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[48, 16]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-256, -148], [-8, -4], [0, 0]], [[0, 0], [765/2, 447/2], [9, 7], [5/2, 1/2]], [[0, 0], [67, -42], [57, -33], [-26, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, -52], [-5, -1], [0, 0]], [[0, 0], [-617/2, -387/2], [-8, -6], [7/2, -1/2]], [[0, 0], [-403, 220], [-37, 21], [-64, 37]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[48, 16]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [236, 136], [8, 2], [0, 0]], [[0, 0], [-956, -551], [-21, -13], [-3, -2]], [[0, 0], [605/2, -361/2], [-312, 180], [-175/2, 101/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [242, 146], [-13, -5], [0, 0]], [[0, 0], [6403/2, 4017/2], [-196, -56], [-5/2, 3/2]], [[0, 0], [216, 392], [-112, 42], [0, 0]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[-360, -208]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -16], [-11, -5], [0, 0]], [[0, 0], [2867/2, 207], [136, 331], [2, 1/2]], [[0, 0], [549, 751], [519, 123], [1, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 4], [11, 5], [0, 0]], [[0, 0], [-95/2, 0], [24, -55], [0, 1/2]], [[0, 0], [198, 165/2], [187, 188], [-5/2, -2]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[-360, -208]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 10], [11, 3], [0, 0]], [[0, 0], [-263, -231/2], [-171, -19], [1/2, 0]], [[0, 0], [56, 36], [19, 19], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 18], [-7, -3], [0, 0]], [[0, 0], [-2204, -2379/2], [400, 280], [-1/2, -2]], [[0, 0], [3243, 1333], [-300, -492], [-7, 7]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-942, -506], [10, -8], [0, 0]], [[0, 0], [-2, 1], [0, 0], [1, 0]], [[0, 0], [-160, -60], [10, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -36], [10, 6], [0, 0]], [[0, 0], [4, -1], [0, 0], [1, 0]], [[0, 0], [-54, -26], [8, 6], [0, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [260, 144], [2, 10], [0, 0]], [[0, 0], [-2, 1], [0, 0], [1, 0]], [[0, 0], [-634, -386], [-50, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [162, 78], [-10, 0], [0, 0]], [[0, 0], [4, -1], [0, 0], [1, 0]], [[0, 0], [-80, -40], [4, 0], [0, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 6], [-200, -116], [0, 0]], [[0, 0], [2, 1], [0, 0], [1, 0]], [[0, 0], [-34, -18], [512, 296], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 14], [-152, -88], [0, 0]], [[0, 0], [2, 1], [2, 2], [1, 0]], [[0, 0], [-24, -12], [124, 72], [0, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[0, 512]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4468, 2576], [0, -12], [0, 0]], [[0, 0], [-67102, -38568], [-272, 336], [-8, 10]], [[0, 0], [777816, 449432], [-2688, -528], [-80, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1428, -832], [16, -20], [0, 0]], [[0, 0], [-4510, -2412], [-832, 448], [4, -6]], [[0, 0], [-159402, -91970], [-1280, -448], [-110, -66]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[0, 512]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7720, 4452], [4, -16], [0, 0]], [[0, 0], [13418, 7722], [56, -56], [-10, -6]], [[0, 0], [-4, -2], [0, 0], [-2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-932, -536], [8, 12], [0, 0]], [[0, 0], [9844, 5650], [-96, -128], [-6, 0]], [[0, 0], [6902, 3924], [0, -128], [-8, 2]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[0, 512]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5768, -3316], [2, -10], [0, 0]], [[0, 0], [8928, -5118], [-6994, 4038], [-6, -8]], [[0, 0], [119678, -70020], [-94716, 54684], [304, 114]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10692, -6176], [-14, -6], [0, 0]], [[0, 0], [1050, -492], [-672, 388], [8, 6]], [[0, 0], [-3350, 1762], [2262, -1306], [-10, -10]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[0, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -28], [-2, -2], [0, 0]], [[0, 0], [-3, -1/2], [1/2, 0], [1, 0]], [[0, 0], [-61/2, -19/2], [-7/2, 1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29/2, 21/2], [13/2, 5/2], [0, 0]], [[0, 0], [3, -1/2], [1/2, 0], [1, 0]], [[0, 0], [40, -36], [-38, -18], [0, 0]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[0, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27/2, -17], [0, 1/2], [0, 0]], [[0, 0], [-1103/2, -607/2], [21/2, 11/2], [14, 6]], [[0, 0], [-655/2, -95/2], [17/2, -1/2], [21, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47, -23/2], [-1/2, 2], [0, 0]], [[0, 0], [-805, -201], [-7, 35], [-15, -7]], [[0, 0], [1/2, -2619/2], [441/2, -133/2], [-19, -19]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-188, -106], [82, 48], [0, 0]], [[0, 0], [1784, 1106], [-854, -468], [4, -8]], [[0, 0], [2561, 1504], [-1170, -667], [-4, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, -34], [-2, -2], [0, 0]], [[0, 0], [-590, -352], [-24, -14], [4, 4]], [[0, 0], [-1096, -643], [-45, -26], [8, 6]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -1], [1, 0], [0, 0]], [[0, 0], [284, 176], [0, 0], [2, -6]], [[0, 0], [-324, 20], [0, 0], [108, -60]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -1], [1, 0], [0, 0]], [[0, 0], [20, 0], [0, 0], [-22, -2]], [[0, 0], [-132, 84], [0, 0], [120, -80]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[256, 192]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [203576/167, -4404/167], [-1546/167, -2/167], [0, 0]], [[0, 0], [-5496983703/167, 11361145241/501], [39830076/167, -83534042/501], [-703/167, -1/501]], [[0, 0], [-20752078039750/167, 9653221363337/167], [152783664733/167, -69806354231/167], [243611/167, 4203322/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1230628/167, 42728/501], [-318/167, 10/501], [0, 0]], [[0, 0], [787678636/1837, 171023629/5511], [17357/167, 7195/501], [11663/1837, 4/5511]], [[0, 0], [341225460809/167, 2693470363495/501], [125156272/167, 659987210/501], [2205125/167, 13134875/167]]], 0, 2560, [], [] >,
< [ -3, 0, 1 ], [[256, 192]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-323808/167, -14672/501], [2322/167, -10/501], [0, 0]], [[0, 0], [-1362679321/167, 2750022002/501], [10109499/167, -20222393/501], [-676/167, -5/501]], [[0, 0], [-318439522715/167, 152915058361/167], [2339860012/167, -1135661310/167], [14283/167, 85077/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3817124/167, -42728/501], [986/167, -10/501], [0, 0]], [[0, 0], [14102637/1837, -346379467/5511], [4722/167, -7528/501], [2179/1837, 5/5511]], [[0, 0], [1199307979567/1837, 52001289926/5511], [23522131/167, -45045277/501], [-1272320/1837, -7596645/1837]]], 0, 2560, [], [] >,
< [ -3, 0, 1 ], [[1912, 1104]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [425101/167, 1181/501], [1161/167, -5/501], [0, 0]], [[-205/2, 3/2], [-2883855741/167, 12992390279/1002], [-7917870/167, 17797775/501], [163/167, -5/1002]], [[-693/2, -4851/2], [282776294783/334, -176556223066/501], [387289601/167, -484918442/501], [1323/334, 3864/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3036981/167, 9197/501], [-1845/167, -5/501], [0, 0]], [[-1648, -2], [656127620751/1837, -49712293751/5511], [-36221544/167, 2757058/501], [-3375/1837, -1/5511]], [[-1596891/2, -9370903/2], [339580510782845/3674, 1857211003099065/1837], [-9337205761/167, -102525380810/167], [-3206161/3674, -9593725/1837]]], 1, 40, [], [] >,
< [ -3, 0, 1 ], [[256, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [626, 354], [-52, -28], [0, 0]], [[0, 0], [555, 275], [-49, -21], [-4, 2]], [[0, 0], [-4150, -2398], [342, 198], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [174, 170], [-62, -34], [0, 0]], [[0, 0], [-1453/11, -3749/11], [439/11, 519/11], [80/11, -6/11]], [[0, 0], [37965/11, 1279/11], [-5001/11, -1031/11], [142/11, -284/11]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[256, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-730, -418], [64, 36], [0, 0]], [[0, 0], [363, 241], [-43, -29], [4, -2]], [[0, 0], [-148, -84], [18, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-416, -280], [62, 34], [0, 0]], [[0, 0], [104146/11, 63012/11], [-14676/11, -8158/11], [-38/11, 10/11]], [[0, 0], [-29295, -35391], [7869, 2521], [182, -100]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[-32, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-125, -83], [-1, 3], [0, 0]], [[5/2, 3/2], [2, 12], [8, 1], [5/2, 3/2]], [[0, 0], [-213, 123], [71, -41], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, -17], [-7, -1], [0, 0]], [[7/2, -3/2], [-25776/11, -14272/11], [-3424/11, -1919/11], [7/22, -3/22]], [[0, 0], [1144, 660], [154, 88], [0, 0]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[-576, -256]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2614, -1502], [-2, 6], [0, 0]], [[0, 0], [18, -1], [0, 0], [1, 0]], [[0, 0], [-2300, 1376], [-2328, 1344], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [652, 404], [-24, -4], [0, 0]], [[0, 0], [73687, -39675], [25396, -14728], [-7, -5]], [[0, 0], [4878826, -2852996], [1755950, -1012970], [156, 24]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-576, -256]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [878, 502], [-10, -10], [0, 0]], [[0, 0], [-16, 1], [0, 0], [1, 0]], [[0, 0], [-70, 46], [-66, 38], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [262, 148], [192, 112], [0, 0]], [[0, 0], [-1823, -1049], [-1338, -774], [-5, -3]], [[0, 0], [124, 68], [88, 52], [0, 0]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-64, -128]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5548, 56], [12, 0], [0, 0]], [[0, 0], [-1571071479/167, 953417802/167], [3339043/167, -2029289/167], [-800/167, -1/501]], [[0, 0], [-49017507542/167, 46231638139/501], [104952043/167, -97126109/501], [101907/167, 69680/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1274876/167, 1880/501], [808/167, -4/501], [0, 0]], [[0, 0], [-492522203460/1837, 108367781296/5511], [-312350450/1837, 70707046/5511], [6152/1837, -4/5511]], [[0, 0], [-3595477432460568/1837, -2602242116540881/1837], [-2268478856839/1837, -1644622248285/1837], [52892429/1837, 109120834/5511]]], 0, 2560, [], [] >,
< [ -3, 0, 1 ], [[-64, -128]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [227952/167, 8288/167], [-458/167, -2/167], [0, 0]], [[0, 0], [297841347/167, -518668028/501], [-636501/167, 1106749/501], [1064/167, 1/167]], [[0, 0], [9638195188/167, -15662439734/501], [-20404202/167, 33753586/501], [-180258/167, -369760/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86672/167, 11084/501], [-70/167, 2/501], [0, 0]], [[0, 0], [3777091176/1837, -1908316393/5511], [3192843/1837, -1218121/5511], [3033/1837, 4/5511]], [[0, 0], [-21077912796409/1837, -16781479258261/1837], [-20141549716/1837, -15311861162/1837], [-25964621/1837, -53567069/5511]]], 0, 2560, [], [] >,
< [ -3, 0, 1 ], [[-928, -536]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18538/167, 940/501], [-598/167, -2/501], [0, 0]], [[-691/2, -7/2], [-524007/334, 29753929/501], [-29/167, 959788/501], [-1099/334, -1/501]], [[708719/2, 484913/2], [-20313960920/167, -58695915067/1002], [-663739569/167, -964167002/501], [552733/167, 2282143/1002]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2257421/167, -3977/167], [563/167, 1/167], [0, 0]], [[1502, -2], [-426653609200/1837, -20202080/5511], [106415680/1837, 9640/5511], [-3076/1837, 2/5511]], [[3796001/2, 2612225/2], [-49149350556584/167, -202766615544443/1002], [12259165140/167, 25287492110/501], [-354177/167, -1461371/1002]]], 1, 40, [], [] >,
< [ -3, 0, 1 ], [[8, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 1], [1, 0], [0, 0]], [[6, 2], [104, 6], [0, 2], [6, 2]], [[5/2, 9/2], [-35, 183/2], [11/2, -1], [5/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -3], [1, 0], [0, 0]], [[83/2, 1/2], [-2796/11, 1301/22], [-787/22, 16/11], [83/22, 1/22]], [[-1425/2, -969/2], [48899/22, 21168/11], [6042/11, 8493/22], [-1425/22, -969/22]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[-64, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-158, 96], [-12, -6], [0, 0]], [[0, 0], [16176, -9350], [138, -12], [-2, 2]], [[0, 0], [18027, -10502], [640, 267], [4, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [221, 133], [-15, -5], [0, 0]], [[0, 0], [-32372/11, -19699/11], [1811/11, 1114/11], [26/11, 8/11]], [[0, 0], [85317/11, -56923/11], [-5735/11, 3743/11], [642/11, -366/11]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[-64, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-668, -458], [42, 24], [0, 0]], [[0, 0], [2036, -1383], [15, 6], [-2, 8]], [[0, 0], [-7372, 7258], [-194, -100], [-50, -70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2429, -1385], [7, 1], [0, 0]], [[0, 0], [-2791226/11, -1657388/11], [-1504/11, 6386/11], [-146/11, -6/11]], [[0, 0], [2607447/11, 6809256/11], [714246/11, -426405/11], [8036/11, -4410/11]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[384, 64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150, -10], [-146, -6], [0, 0]], [[0, 0], [0, -1], [-16, 0], [1, 0]], [[0, 0], [-568, -996], [-480, -960], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 2], [184, 104], [0, 0]], [[0, 0], [-11, -1], [890, 542], [-11, -1]], [[0, 0], [64, 24], [-7496, -4396], [64, 24]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[384, 64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [326, 10], [322, 6], [0, 0]], [[0, 0], [2, 1], [-16, 0], [1, 0]], [[0, 0], [2552, 4788], [2352, 4704], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [146, 74], [108, -4], [0, 0]], [[0, 0], [10161, -4819], [60036, -34288], [1, -3]], [[0, 0], [5282, -10216], [71914, -44078], [18, 6]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-48, -40]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37, 23], [3, 1], [0, 0]], [[13164, -1], [12089629/193, 34149/386], [-9928, -1/2], [-11015/5018, -1/5018]], [[8324987/2, -5780621/2], [15243696135/772, -10594925015/772], [-12553741/4, 8717649/4], [-133914/193, 557975/1158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [194, 32], [-4, -2], [0, 0]], [[-61917/2, -3/2], [15770817297/8492, 4341125/8492], [2722825/44, 177/44], [-21816/27599, -1/55198]], [[-758758, -1965873], [96801600308/2123, 500769363151/4246], [16685491/11, 86450609/22], [-82243/4246, -639373/12738]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[384, 320]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [9900159/193, -14652/193], [19521, 2], [13014/2509, 4/7527]], [[0, 0], [9620347775/386, -6778365069/386], [18905955/2, -13335565/2], [6301985/2509, -13335565/7527]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 2], [1, 0], [0, 0]], [[0, 0], [8393501759/4246, -71611/4246], [2592471/22, -7/22], [123451/27599, -1/82797]], [[0, 0], [-17586557096984/2123, -21706538501266/2123], [-5432014560/11, -6704452930/11], [-517334720/27599, -1915557980/82797]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[384, 320]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [157600/193, -2501/193], [-1530, 1], [-1020/2509, 2/7527]], [[0, 0], [-1914243/386, 2948525/386], [17289/2, -28363/2], [5763/2509, -28363/7527]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 2], [1, 0], [0, 0]], [[0, 0], [-131261778/2123, 49810/2123], [-548310/11, 14/11], [-52220/27599, 4/82797]], [[0, 0], [33437018105/4246, 32297916291/4246], [139817265/22, 134965159/22], [6657965/27599, 19280737/82797]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-192, -256]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -20], [2, 6], [0, 0]], [[0, 0], [131, -145/2], [-221, 134], [11/13, 1/26]], [[0, 0], [-85, 103], [330, -78], [99/13, 63/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-226, -164], [-14, 6], [0, 0]], [[0, 0], [-38773/22, -10206/11], [6364/11, 4357/11], [673/286, 2/143]], [[0, 0], [-2628808/11, -1642994/11], [1102362/11, 549818/11], [3976/143, 26696/143]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-192, -256]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, 56], [0, -8], [0, 0]], [[0, 0], [-391/2, 94], [408, -241], [-29/26, 2/13]], [[0, 0], [747/2, -675/2], [-1133, 619], [-23/26, -69/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2226, 1270], [4, 8], [0, 0]], [[0, 0], [-359243/22, 246379/22], [82485/11, -43447/11], [347/286, 1/286]], [[0, 0], [88501793/22, -19999512/11], [-14802660/11, 9735443/11], [14999/286, 24338/143]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[24, 32]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43, -30], [-3, 1], [0, 0]], [[6, 0], [-7801/2, -4379/2], [-14, -44], [-9/26, -1/26]], [[-69/2, 41/2], [-61/4, -1505/2], [-755/2, 209], [83/52, -25/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -42], [8, 0], [0, 0]], [[-331/2, 5/2], [-193971/22, -26289/44], [-6217/11, 1631/22], [194/143, 1/572]], [[18103, -10525], [9114112/11, -10622551/22], [814229/11, -472278/11], [-20629/143, 23997/286]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[-72, -112]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33/2, -11/2], [-5/2, -3/2], [0, 0]], [[769/2, -3/2], [-2575409/772, 3073/772], [-3533/4, -7/4], [-717/386, -1/579]], [[7992, -9324], [-13256308/193, 15577450/193], [-17982, 21312], [-7326/193, 8658/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-200, 36], [-2, -2], [0, 0]], [[-6373/2, -7/2], [-7859038761/8492, -9804029/8492], [-666977/44, 1039/44], [-14227/4246, -1/6369]], [[715050, -95340], [881730372885/4246, -117439583197/4246], [74914921/22, -10176829/22], [1596945/2123, -214515/2123]]], 1, 1344, [], [] >,
< [ -3, 0, 1 ], [[576, 896]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [-2242, -128], [1158, 0], [4, 0]], [[0, 0], [-261348731/386, 156670707/386], [778845/2, -463745/2], [259615/193, -463745/579]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 2], [1, 0], [0, 0]], [[0, 0], [-2683056488/2123, -163486/2123], [-108936/11, -6/11], [-24208/2123, -4/6369]], [[0, 0], [39795679605/386, 103121978005/386], [1615689/2, 4186893/2], [179521/193, 1395631/579]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[576, 896]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [-1504645/193, 11372/193], [2481, -2], [1654/193, -4/579]], [[0, 0], [-1470360257/386, 959035143/386], [2392803/2, -1565217/2], [797601/193, -521739/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 2], [1, 0], [0, 0]], [[0, 0], [89726770/2123, 1069/2123], [-21960/11, 3/11], [-4880/2123, 2/6369]], [[0, 0], [-3332032937/4246, -11487764919/4246], [814239/22, 2811429/22], [90471/2123, 312381/2123]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[-1536, -1216]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, 80], [20, 12], [0, 0]], [[0, 0], [13621/2, 3936], [1032, 599], [3/2, 0]], [[0, 0], [4993/2, 2875/2], [381, 217], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1174, 658], [-28, -8], [0, 0]], [[0, 0], [-1658083/22, 471451/11], [339774/11, -196041/11], [-21/22, 1/11]], [[0, 0], [377334, -235736], [-161886, 93782], [-8, -8]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[-1536, -1216]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [466, 270], [124, 72], [0, 0]], [[0, 0], [-186899/2, -53993], [-24906, -14397], [3/2, 1]], [[0, 0], [23363/2, 14017/2], [3075, 1891], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1200, 702], [10, 2], [0, 0]], [[0, 0], [204293/22, -115465/22], [-41445/11, 23931/11], [-5/22, 1/22]], [[0, 0], [-224493/22, 82176/11], [52224/11, -30115/11], [-19/22, -8/11]]], 0, 86016, [], [] >,
< [ -3, 0, 1 ], [[192, 152]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, -3], [4, 2], [0, 0]], [[17/2, 9/2], [1/4, -2], [25/2, 9], [5/4, 1]], [[-7, -4], [7/4, 5/4], [-25/2, -15/2], [-5/4, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [286, 195], [-15, -5], [0, 0]], [[-35/2, -9/2], [-7374/11, -6555/44], [-684/11, 377/22], [-37/22, -5/44]], [[871, -469], [809873/22, -220123/11], [88016/11, -50337/11], [2881/22, -804/11]]], 1, 1344, [], [] >,
< [ -3, 0, 1 ], [[-896, -320]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12008, 28], [-88, 0], [0, 0]], [[0, 0], [18335745169/167, -38567251307/501], [-135040810/167, 283580612/501], [-703/167, -1/501]], [[0, 0], [60288377206754/167, -118893894304093/501], [-443877101087/167, 874413493471/501], [-1862945/167, 636650/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [187530140/167, 30704/501], [48446/167, 10/501], [0, 0]], [[0, 0], [-23322843777/1837, 863408726/1837], [-540583/167, 26079/167], [5810/1837, -1/5511]], [[0, 0], [7708151760532/1837, -3649633514336/5511], [179391220/167, -90526220/501], [-1894368/1837, 699112/5511]]], 0, 30720, [], [] >,
< [ -3, 0, 1 ], [[-896, -320]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1083328/167, -1732/501], [7946/167, -2/501], [0, 0]], [[0, 0], [36477917019/167, -27295085476/501], [-267689521/167, 200696815/501], [-870/167, -1/501]], [[0, 0], [-144947422376374/167, 48572242264088/167], [1063847227440/167, -356923941896/167], [3184092/167, -362946/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16876848/167, -32708/501], [-4358/167, -10/501], [0, 0]], [[0, 0], [-172208151/1837, 647681284/5511], [11391/167, 29059/501], [4614/1837, 1/1837]], [[0, 0], [27695428160/1837, -79233718720/5511], [-898050/167, -2809978/501], [-516608/1837, 179456/5511]]], 0, 30720, [], [] >,
< [ -3, 0, 1 ], [[17584, 10152]], [ -105, 1 ], [ -24, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7718321/167, -1033/167], [-21147/167, -1/167], [0, 0]], [[5/2, 1/2], [382834533124/167, 4590496585927/1002], [1048362788/167, 6288351421/501], [-4/167, -5/1002]], [[0, 0], [399609348/167, -2532143434/501], [1095468/167, -6937964/501], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34159518/167, 10564/501], [-20848/167, -4/501], [0, 0]], [[-146, 0], [54236877927014/1837, 21140544009782/5511], [-3009177751/167, -1172587687/501], [-299/1837, 1/5511]], [[-9913/2, 1127/2], [3519389497920717/3674, 89697393393104/5511], [-97632912851/167, -4965236116/501], [-20309/3674, 3496/5511]]], 1, 480, [], [] >,
< [ -3, 0, 1 ], [[112, 40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [236, 144], [40, 30], [0, 0]], [[9/2, 3/2], [1981, 1181], [327, 222], [9/2, 3/2]], [[170, -98], [-5775, 3421], [-5199, 3017], [170, -98]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29, -3], [-29, -19], [0, 0]], [[-103/2, -3/2], [8665/11, -38/11], [1790/11, 1656/11], [-103/22, -3/22]], [[840, -360], [-147812/11, 65482/11], [6804/11, -14708/11], [840/11, -360/11]]], 1, 480, [], [] >,
< [ -3, 0, 1 ], [[-896, -320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1118, -646], [392, 228], [0, 0]], [[0, 0], [-20772, -12062], [7362, 4264], [2, 10]], [[0, 0], [-142045, -83101], [50427, 29331], [-54, 108]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-274, -222], [648, 376], [0, 0]], [[0, 0], [27135/11, 7869/11], [-41197/11, -23239/11], [-16/11, 10/11]], [[0, 0], [-238, 234], [-158, -102], [0, 0]]], 0, 30720, [], [] >,
< [ -3, 0, 1 ], [[-896, -320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162, -94], [-862, -498], [0, 0]], [[0, 0], [1037, 587], [5959, 3457], [10, -8]], [[0, 0], [-1348, -760], [-7726, -4486], [-16, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [294, 182], [-52, -28], [0, 0]], [[0, 0], [-34047/11, -24515/11], [6829/11, 3557/11], [160/11, 10/11]], [[0, 0], [-331636/11, 189326/11], [-25880/11, 15306/11], [-5586/11, 3230/11]]], 0, 30720, [], [] >,
< [ -3, 0, 1 ], [[960, 896]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1978, -1126], [-14, 6], [0, 0]], [[0, 0], [16, -1], [20, 0], [1, 0]], [[0, 0], [16, 12], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-436, -250], [8792, 5076], [0, 0]], [[0, 0], [-1415, -1407], [39106, 22610], [7, -1]], [[0, 0], [-7756, -4582], [159408, 92040], [12, 6]]], 0, 61440, [], [] >,
< [ -3, 0, 1 ], [[960, 896]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [714, 398], [14, -6], [0, 0]], [[0, 0], [-18, 1], [20, 0], [1, 0]], [[0, 0], [-16, -12], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1152, 622], [-226, -10], [0, 0]], [[0, 0], [-478627, 285823], [1359806, -786102], [-13, -5]], [[0, 0], [-90768340, 51999532], [252745960, -145879444], [60, 500]]], 0, 61440, [], [] >,
< [ -3, 0, 1 ], [[832, 256]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7196864/167, -14968/501], [15294/167, 2/501], [0, 0]], [[0, 0], [1461874148531/167, -2361116114632/501], [-3109884309/167, 5023654205/501], [994/167, 5/501]], [[0, 0], [2766369578813731/167, -775312339706591/501], [-5879885123820/167, 1659051383746/501], [12275631/167, 6436341/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27120972/167, 5320/501], [17686/167, 10/501], [0, 0]], [[0, 0], [14706690485689/1837, -5259269808158/1837], [9589409443/1837, -3428433529/1837], [-4016/1837, 5/5511]], [[0, 0], [-84330927988221719/1837, -96551170203335167/5511], [-55004846221786/1837, -62988728983768/5511], [52626305/1837, 82796035/5511]]], 0, 30720, [], [] >,
< [ -3, 0, 1 ], [[832, 256]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [273712/167, -11084/501], [-598/167, -2/501], [0, 0]], [[0, 0], [-1490701004/167, 2447407933/501], [3187565/167, -5210339/501], [-1029/167, -4/501]], [[0, 0], [3942505762316/167, -1967185468654/501], [-8658039462/167, 3771761474/501], [19527282/167, 10237412/167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30172888/167, -18284/501], [19652/167, -8/501], [0, 0]], [[0, 0], [-103262632816021/1837, -23332561712486/5511], [-67257394365/1837, -15210140999/5511], [-1538/1837, 1/5511]], [[0, 0], [-1856832313880369724/1837, -2986329085704208468/5511], [-1209509141878110/1837, -1945277223269158/5511], [-24718120/1837, -12958480/1837]]], 0, 30720, [], [] >,
< [ -3, 0, 1 ], [[4144, 2392]], [ -105, -1 ], [ -24, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67215/167, 2851/501], [2179/167, -5/501], [0, 0]], [[-525/2, -5/2], [1063150677/334, 4238972068/501], [15187623/167, 136736380/501], [-5/2, 0]], [[1530464, 804960], [-15820486192642/167, -29152880246924/501], [-499065623320/167, -922679615660/501], [2398240/167, 3772288/501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67120893/167, -18883/501], [-16875/167, 5/501], [0, 0]], [[-1961/2, 3/2], [16970609857573/1837, -1272952463351/3674], [-4266635977/1837, 160043094/1837], [2008/1837, -5/11022]], [[3601875/2, 1888125/2], [-58804397018264079/3674, -15215873498959491/1837], [7392030832798/1837, 3825426837697/1837], [-7389375/3674, -1937500/1837]]], 1, 480, [], [] >,
< [ -3, 0, 1 ], [[-104, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [254, 13], [5, 10], [0, 0]], [[4, -1], [17105/2, -38677/2], [-4181/2, 115/2], [4, -1]], [[979/2, 297/2], [-6508493/2, -2862664], [-372136, -327219/2], [979/2, 297/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [266, 367], [17, 12], [0, 0]], [[-10, 2], [14710/11, -102965/11], [-2377/11, -2598/11], [-10/11, 2/11]], [[-111/2, -35/2], [-1782597/22, -722582/11], [-43048/11, -54283/22], [-111/22, -35/22]]], 1, 480, [], [] >,
< [ -3, 0, 1 ], [[832, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [275, 275], [271, 157], [0, 0]], [[0, 0], [172919, -98246], [1676, 7], [0, -10]], [[0, 0], [647909, -393552], [-7122, -7835], [140, 42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2657, -1277], [-29, -3], [0, 0]], [[0, 0], [3899683/11, -2173179/11], [205397/11, -118075/11], [6/11, -10/11]], [[0, 0], [-5760195/11, 4328960/11], [-348894/11, 207985/11], [-92/11, -30/11]]], 0, 30720, [], [] >,
< [ -3, 0, 1 ], [[832, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-199, -189], [-209, -121], [0, 0]], [[0, 0], [-410417, 235202], [-3048, 351], [-8, -6]], [[0, 0], [-13724300, 7949204], [-43716, 45720], [174, 54]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4487, 845], [173, 5], [0, 0]], [[0, 0], [37619708/11, -20277214/11], [2014938/11, -1119268/11], [64/11, -4/11]], [[0, 0], [14460829/11, -7150378/11], [761252/11, -402903/11], [36/11, 6/11]]], 0, 30720, [], [] >,
< [ -3, 0, 1 ], [[-768, -832]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1576, -864], [-92, -8], [0, 0]], [[0, 0], [-6, -1], [-16, 0], [1, 0]], [[0, 0], [11518, -9194], [13410, -7830], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-242, -154], [-40, 8], [0, 0]], [[0, 0], [-610, 122], [798, -506], [-10, 0]], [[0, 0], [897, 727], [582, -90], [25, 17]]], 0, 61440, [], [] >,
< [ -3, 0, 1 ], [[-768, -832]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1228, 608], [176, 0], [0, 0]], [[0, 0], [-16, 1], [-16, 0], [1, 0]], [[0, 0], [-6178, 3022], [-5778, 3294], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [150, 80], [-896, -516], [0, 0]], [[0, 0], [-729, -413], [5574, 3210], [17, 9]], [[0, 0], [445, 505], [-4854, -3054], [7, -21]]], 0, 61440, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -3], [-2, -1], [0, 0]], [[0, 0], [-39, 14], [3, 0], [9, -3]], [[0, 0], [123/2, 29/2], [-19/2, -9/2], [-15, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 0], [9, 2], [0, 0]], [[0, 0], [3/2, 1/2], [3/2, 1/2], [1, 0]], [[0, 0], [-90, 28], [72, -8], [0, 0]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27/2, -5/2], [-7/2, -1/2], [0, 0]], [[0, 0], [-249/2, -7/2], [-61/2, 1/2], [-21, -17]], [[0, 0], [5475, -3925], [1475, -1025], [-693, 105]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [69/2, -15/2], [-9/2, -5/2], [0, 0]], [[0, 0], [24, -10], [0, 0], [-1, -3]], [[0, 0], [-378, 224], [0, 0], [-44, 20]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -28], [-34, -18], [0, 0]], [[0, 0], [-5223, -1157], [-3069, -1975], [12, -6]], [[0, 0], [3660, -526], [986, 856], [-18, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -18], [-42, -22], [0, 0]], [[0, 0], [12, 30], [126, -28], [-2, 2]], [[0, 0], [-357, -215], [-477, -235], [-8, -6]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 18], [34, 18], [0, 0]], [[0, 0], [4992, 2424], [7994, 4666], [24, 4]], [[0, 0], [63963, -35153], [-4213, 5539], [1344, -770]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 8], [-66, -42], [0, 0]], [[0, 0], [39, 41], [-237, -127], [10, -8]], [[0, 0], [-522, -294], [2148, 1244], [24, 8]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, -66], [2, 4], [0, 0]], [[0, 0], [-207, -105], [9, 3], [-6, 4]], [[0, 0], [18, 14], [2, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 2], [18, 0], [0, 0]], [[0, 0], [30, -2], [-18, 2], [4, 0]], [[0, 0], [33, -21], [-21, 13], [6, -4]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-48, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111, 65], [-13, -7], [0, 0]], [[0, 0], [-1437, -807], [160, 90], [-12, 3]], [[0, 0], [-5253, -2915], [585, 325], [-57, 19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-153, -95], [-27, -5], [0, 0]], [[0, 0], [-3, -1], [0, 0], [1, 0]], [[0, 0], [90, 0], [-66, 44], [0, 0]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[-48, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-105, -75], [-13, -3], [0, 0]], [[0, 0], [-2019, -1549], [-288, -48], [6, -5]], [[0, 0], [-17796, -10022], [-1320, -840], [-15, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [477, 283], [15, 1], [0, 0]], [[0, 0], [3, -1], [0, 0], [1, 0]], [[0, 0], [1644, -908], [-1620, 936], [0, 0]]], 0, 192, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 26], [-30, -14], [0, 0]], [[0, 0], [-7203, -4189], [4581, 2639], [6, -8]], [[0, 0], [-140910, -81650], [89404, 51560], [20, -100]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 8], [6, 2], [0, 0]], [[0, 0], [89, 33], [223, 135], [-24, 10]], [[0, 0], [-120, 40], [-48, -64], [120, -68]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -14], [24, 16], [0, 0]], [[0, 0], [-1329, -777], [1389, 801], [6, 8]], [[0, 0], [-1005, -739], [1199, 677], [-56, 42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-170, -102], [122, 70], [0, 0]], [[0, 0], [86, -104], [28, 22], [30, -10]], [[0, 0], [-663, 355], [39, -3], [-108, 66]]], 0, 3072, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -2], [6, 6], [0, 0]], [[0, 0], [147/2, -53/2], [75/2, -33/2], [9, 2]], [[0, 0], [-177/2, 367/2], [-153/2, 171/2], [42, 35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -4], [-15, -10], [0, 0]], [[0, 0], [6, 11], [30, 21], [-3, 9]], [[0, 0], [-123/2, 191/2], [165/2, 223/2], [-135, 108]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -7], [0, 3], [0, 0]], [[0, 0], [-915/2, -765/2], [195/2, 45/2], [12, 2]], [[0, 0], [-96, 522], [-192, 54], [-27, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63/2, -21/2], [39/2, 5/2], [0, 0]], [[0, 0], [-108, 790], [540, -660], [-18, 0]], [[0, 0], [-2256, 1840], [2880, -1920], [-39, 15]]], 0, 288, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 8], [258, 150], [0, 0]], [[0, 0], [-24, -68], [-1686, -1002], [24, 4]], [[0, 0], [4995, -2893], [2439, -1629], [918, -528]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -22], [-24, -12], [0, 0]], [[0, 0], [243, 165], [141, 103], [0, 6]], [[0, 0], [-1161, -757], [-681, -469], [-6, -24]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 10], [-420, -240], [0, 0]], [[0, 0], [-36, -12], [2214, 1290], [-12, 4]], [[0, 0], [-171, 89], [453, 501], [-192, 110]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 28], [162, 94], [0, 0]], [[0, 0], [-9, 85], [177, 111], [18, 24]], [[0, 0], [-2049, 1619], [771, 719], [-204, 306]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, 38], [6, 24], [0, 0]], [[0, 0], [-2859, -2477], [-1857, -111], [18, 4]], [[0, 0], [63570, -47314], [-87264, 47340], [594, -306]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 4], [12, 10], [0, 0]], [[0, 0], [51, -55], [-27, 35], [6, 24]], [[0, 0], [-312, 360], [162, -230], [-54, -162]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[-144, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [441, 271], [27, -3], [0, 0]], [[0, 0], [5355, -5563], [-8520, 4860], [15, -4]], [[0, 0], [-36081, -6759], [13200, -8280], [27, 36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [375, 235], [33, 1], [0, 0]], [[0, 0], [-7950, 4984], [8106, -4662], [15, -3]], [[0, 0], [993, -665], [-1050, 602], [-3, 0]]], 0, 2304, [], [] >,
< [ -3, 0, 1 ], [[-144, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [330, 196], [-6, -12], [0, 0]], [[0, 0], [-1311, -81], [945, -513], [12, 2]], [[0, 0], [3, 1], [0, 0], [0, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [447, 249], [-15, -1], [0, 0]], [[0, 0], [-1074, 908], [1125, -655], [6, -9]], [[0, 0], [-6117, -123], [2580, -1420], [84, 21]]], 0, 2304, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [360, 204], [30, 22], [0, 0]], [[0, 0], [-1377, -1109], [-477, 91], [-12, -2]], [[0, 0], [5778, -3796], [-7272, 4154], [-90, 50]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 8], [-102, -62], [0, 0]], [[0, 0], [255, -171], [1227, 813], [18, -8]], [[0, 0], [1131, -649], [-603, 97], [72, -42]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -6], [-60, -36], [0, 0]], [[0, 0], [24, -4], [-786, -450], [12, -4]], [[0, 0], [-1755, 1013], [393, -203], [-1074, 620]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 10], [-24, -16], [0, 0]], [[0, 0], [-327, -211], [357, 205], [18, 8]], [[0, 0], [642, -406], [66, -2], [72, -40]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, 50], [-9, -1], [0, 0]], [[7, 4], [-21/2, -15/2], [0, 5], [9/2, 5/2]], [[1/2, 1/2], [3/2, 0], [3/2, -1/2], [0, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -30], [-9, -11], [0, 0]], [[8, 3], [-1629/2, 19/2], [-372, -127], [15/2, 1/2]], [[143/2, 55/2], [-14307/2, -38], [-6651/2, -2343/2], [66, 11/2]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[0, -576]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [294, 186], [-42, -6], [0, 0]], [[0, 0], [3360, -2520], [4386, -2482], [-6, -2]], [[0, 0], [-21015, 10612], [-22032, 12852], [-6, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, -54], [42, -6], [0, 0]], [[0, 0], [-17712, 11791], [-8184, 3784], [-15, -2]], [[0, 0], [-515886, 189766], [-106920, 126720], [510, 442]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[0, -576]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-480, -268], [0, 8], [0, 0]], [[0, 0], [2079, -1700], [2226, -1278], [-6, -5]], [[0, 0], [60327, -41296], [58344, -33592], [-60, -75]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -114], [30, -6], [0, 0]], [[0, 0], [14622, -9115], [5184, -2944], [9, 2]], [[0, 0], [-231318, 123354], [-74592, 43808], [54, 78]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -8], [27, 3], [0, 0]], [[-19/2, -9/2], [-39, -39/2], [-39/2, 1/2], [-15/2, -2]], [[-56, -24], [-228, -106], [-138, 20], [-48, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 4], [-27, -17], [0, 0]], [[7/2, -1/2], [-9, 19/2], [21/2, -27/2], [-15/2, 6]], [[-7, -3], [-12, -13], [24, 22], [-3, -6]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[0, -576]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [114, 66], [30, 30], [0, 0]], [[0, 0], [87, 37], [60, 8], [3, -5]], [[0, 0], [-3, 0], [0, -4], [0, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, 42], [30, 10], [0, 0]], [[0, 0], [93, -110], [90, -70], [0, -3]], [[0, 0], [132, -37], [84, -36], [3, 0]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[0, -576]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 42], [-42, 18], [0, 0]], [[0, 0], [210, 110], [-48, -32], [6, 2]], [[0, 0], [0, -1], [-12, 8], [3, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [516, 328], [-60, -4], [0, 0]], [[0, 0], [-77283, 44954], [-78996, 45588], [-12, 9]], [[0, 0], [4302, -5804], [7482, -4118], [-18, -12]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-202, -110], [-18, 4], [0, 0]], [[0, 0], [4, -1], [3, 1], [1, 0]], [[0, 0], [-576, -328], [-24, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-244, -124], [12, -4], [0, 0]], [[0, 0], [4, -1], [3, 1], [1, 0]], [[0, 0], [-22, 30], [24, -14], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[-48, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-242, -130], [-3, 3], [0, 0]], [[0, 0], [403/2, -471/2], [150, -86], [7/2, 3/2]], [[0, 0], [5147/2, -2893/2], [1245, -719], [5/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 48], [-27, -1], [0, 0]], [[0, 0], [469, 77], [1350, -840], [-1, 1]], [[0, 0], [-5569/2, -1769/2], [-4860, 3240], [5/2, -9/2]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[-48, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, -44], [-3, 3], [0, 0]], [[0, 0], [37/2, -7/2], [-156, 90], [-5/2, 1/2]], [[0, 0], [-42, -14], [108, -62], [6, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 30], [3, 1], [0, 0]], [[0, 0], [-18, -8], [0, 0], [-4, -2]], [[0, 0], [29/2, -17/2], [0, 0], [5/2, -3/2]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -12], [9, 13], [0, 0]], [[0, 0], [379/2, 241/2], [-177, -105], [-5/2, 3/2]], [[0, 0], [-1, -1/2], [-3, 0], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -12], [-3, 5], [0, 0]], [[0, 0], [-194, -129], [-9, 33], [1, -2]], [[0, 0], [1833, 2087/2], [-240, -105], [25/2, 5]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 16], [-15, -15], [0, 0]], [[0, 0], [3/2, -5], [168, -98], [0, -3/2]], [[0, 0], [-26, -16], [21, -21], [-10, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 4], [-15, -15], [0, 0]], [[0, 0], [-9/2, -3], [-21, 35], [1, -5/2]], [[0, 0], [-171/2, -50], [294, 238], [-26, -39/2]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [636, 376], [6, -2], [0, 0]], [[0, 0], [-2, 1], [0, 0], [1, 0]], [[0, 0], [-418, 138], [204, -118], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-618, -358], [18, 8], [0, 0]], [[0, 0], [4, -1], [0, 0], [1, 0]], [[0, 0], [550, -274], [1020, -590], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-714, -406], [-18, 4], [0, 0]], [[0, 0], [-2, 1], [0, 0], [1, 0]], [[0, 0], [-232, 88], [-444, 256], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-754, -434], [-6, -4], [0, 0]], [[0, 0], [4, -1], [0, 0], [1, 0]], [[0, 0], [4, -4], [0, 0], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -22], [432, 248], [0, 0]], [[0, 0], [2, 1], [0, 0], [1, 0]], [[0, 0], [-416, -224], [4320, 2484], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -2], [180, 104], [0, 0]], [[0, 0], [2, 1], [6, 2], [1, 0]], [[0, 0], [-2, -2], [0, 0], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[1536, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, -36], [-12, 16], [0, 0]], [[0, 0], [5474, -3684], [4104, -2328], [4, -6]], [[0, 0], [29866, -7828], [14256, -8976], [84, 18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [380, 152], [48, -20], [0, 0]], [[0, 0], [-13828, 8174], [-9900, 5720], [-10, -4]], [[0, 0], [12314, -7548], [8976, -5192], [20, 10]]], 0, 131072, [], [] >,
< [ -3, 0, 1 ], [[1536, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2080, -1188], [12, 16], [0, 0]], [[0, 0], [21670, -12506], [15228, -8792], [6, -2]], [[0, 0], [24326, -13952], [17040, -9840], [28, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1484, -800], [-48, 12], [0, 0]], [[0, 0], [68562, -38350], [47208, -27244], [-2, -2]], [[0, 0], [430970, -255592], [305424, -176400], [20, 6]]], 0, 131072, [], [] >,
< [ -3, 0, 1 ], [[1536, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4676, -2656], [42, 6], [0, 0]], [[0, 0], [-252406, 147570], [106080, -61256], [6, 2]], [[0, 0], [-1053266, 616856], [443040, -255840], [28, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16412, 9520], [42, 6], [0, 0]], [[0, 0], [-1475800, 838938], [600168, -346528], [-2, -8]], [[0, 0], [-11928274, 7053338], [4948020, -2856476], [150, 30]]], 0, 131072, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -1], [3, 2], [0, 0]], [[-3/2, -5/2], [291/2, -113], [-3, 1/2], [-3/2, -5/2]], [[3/2, 7/2], [-231, 341/2], [9/2, -1], [3/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, 11], [9, 5], [0, 0]], [[39/2, 3/2], [-792, 1073/2], [-15/2, -2], [39/2, 3/2]], [[102, -170], [-20757, 11294], [0, 55], [102, -170]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[0, -576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-543, -319], [-3, -1], [0, 0]], [[0, 0], [315, -138], [-12, 3], [-24, 6]], [[0, 0], [105, 51], [-9, -5], [-18, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1347, -843], [-15, 3], [0, 0]], [[0, 0], [-43293, 30310], [8556, -4925], [-24, 6]], [[0, 0], [3228, -37896], [-6228, 3496], [60, 20]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[0, -576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-357, -91], [-15, 5], [0, 0]], [[0, 0], [858, -667], [111, -72], [-24, 2]], [[0, 0], [7803, -1507], [729, -283], [108, 144]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-246, -70], [30, 2], [0, 0]], [[0, 0], [840, -477], [-183, 106], [6, -4]], [[0, 0], [-39, 25], [9, -5], [0, 0]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[0, 72]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-75, 34], [6, -5], [0, 0]], [[3/2, -1/2], [-51, -85/2], [-45/2, -9], [3/2, -1/2]], [[0, 0], [12, 5], [3, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, 11], [-15, 2], [0, 0]], [[33/2, 5/2], [537, -377/2], [-177/2, 43], [33/2, 5/2]], [[207, 161], [-93, 2896], [318, -373], [207, 161]]], 0, 864, [], [] >,
< [ -3, 0, 1 ], [[0, -576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [471, 165], [21, -3], [0, 0]], [[0, 0], [-888, -1091], [51, -54], [18, 4]], [[0, 0], [11481, -4208], [1386, -763], [84, -70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [807, 551], [39, 5], [0, 0]], [[0, 0], [-36462, 19476], [7212, -4202], [24, -4]], [[0, 0], [-32157, 21378], [7200, -4089], [0, -18]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[0, -576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-429, -321], [3, -3], [0, 0]], [[0, 0], [-14388, -2611], [-345, 166], [-18, -8]], [[0, 0], [-191499, 74061], [-10347, 5863], [-120, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [588, 342], [-6, 0], [0, 0]], [[0, 0], [2451, 1653], [-207, 109], [24, -4]], [[0, 0], [17049, 12230], [-2052, 1109], [216, -54]]], 0, 55296, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -7/2], [3/2, -1], [0, 0]], [[0, 0], [-97, -65], [1, -1], [-2, 2]], [[0, 0], [-3047/2, -1745/2], [-13/2, -5/2], [13, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -31], [3, -1], [0, 0]], [[0, 0], [-1341/2, -185], [-24, 31/2], [15, 7]], [[0, 0], [17009/2, 4243/2], [667/2, -425/2], [-187, -85]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81/2, 7/2], [3/2, -5/2], [0, 0]], [[0, 0], [-1, 1/2], [-1/2, 0], [1, 0]], [[0, 0], [-39, -27], [3, 1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9/2, 55/2], [-9/2, -1/2], [0, 0]], [[0, 0], [5, 1/2], [-1/2, 0], [1, 0]], [[0, 0], [153, 64], [-12, -9], [0, 0]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-123, -63], [-63, -37], [0, 0]], [[0, 0], [-4193, -2385], [-2281, -1323], [-16, 4]], [[0, 0], [290, -457], [-227, -28], [190, -110]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [246, 151], [9, 0], [0, 0]], [[0, 0], [-15324, -8490], [-102, -248], [-12, 8]], [[0, 0], [17239, 12229], [1385, -407], [-82, 46]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [12, 8], [0, 0]], [[0, 0], [79, 42], [128, 75], [8, 6]], [[0, 0], [-65, -28], [-94, -57], [-4, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, -88], [-180, -104], [0, 0]], [[0, 0], [-560, -569], [-919, -534], [-4, 2]], [[0, 0], [378, 188], [420, 242], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[768, 576]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3208, 1868], [-36, -4], [0, 0]], [[0, 0], [18, -1], [0, 0], [1, 0]], [[0, 0], [9374, -4602], [9174, -5302], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [306, 18], [60, 4], [0, 0]], [[0, 0], [357, -171], [66, -34], [11, 5]], [[0, 0], [5243, -3113], [1008, -592], [-5, -25]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[768, 576]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1808, -1064], [36, 0], [0, 0]], [[0, 0], [-16, 1], [0, 0], [1, 0]], [[0, 0], [-3426, 1738], [-3318, 1918], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, -50], [-180, -104], [0, 0]], [[0, 0], [104, 20], [60, 0], [10, 0]], [[0, 0], [-7, 7], [-6, 6], [-1, 1]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[-192, -384]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [394, 22], [366, 6], [0, 0]], [[0, 0], [0, -1], [-60, 0], [1, 0]], [[0, 0], [-42, 26], [-42, 26], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -8], [108, -4], [0, 0]], [[0, 0], [159, 9], [1950, -1478], [7, 5]], [[0, 0], [-4270, 122], [-63372, 44776], [-156, -120]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[-192, -384]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-454, 10], [-474, -2], [0, 0]], [[0, 0], [2, 1], [-60, 0], [1, 0]], [[0, 0], [-15172, 6900], [-15300, 6800], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [242, 14], [576, 8], [0, 0]], [[0, 0], [12800, -2046], [31374, -6270], [4, 0]], [[0, 0], [-1333, -2151], [-2514, -5022], [-1, -1]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[120, 48]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -11], [-2, 1], [0, 0]], [[979/2, -1/2], [-22245/4, -16079/4], [-4241/4, -151/4], [-1/2, 0]], [[9805, -7579], [14541258/193, 1093942/193], [-19436, 15640], [-25069/2509, 19398/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [515/2, -1/2], [-9/2, -1/2], [0, 0]], [[-1529/2, 3/2], [393292755/8492, -6008017/8492], [-54717/44, -149/44], [1316/27599, -5/55198]], [[-29233/2, -8349/2], [7432584189/8492, 2047168865/8492], [-1050323/44, -303675/44], [25162/27599, 14375/55198]]], 1, 384, [], [] >,
< [ -3, 0, 1 ], [[-960, -384]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [810643/386, -19421/386], [-2081/2, 3/2], [-2081/2509, 3/2509]], [[0, 0], [-5842072/193, 3785808/193], [14364, -9396], [28728/2509, -18792/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 2], [1, 0], [0, 0]], [[0, 0], [1470435827/2123, 17804/2123], [-114863/11, -2/11], [229726/27599, 4/27599]], [[0, 0], [-9732153421723/4246, -2354743701907/4246], [760229465/22, 183944685/22], [-760229465/27599, -183944685/27599]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[-960, -384]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [-7008659/386, -9723/386], [9913/2, 5/2], [9913/2509, 5/2509]], [[0, 0], [601496804/193, -306392356/193], [-851904, 434112], [-1703808/2509, 868224/2509]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 2], [1, 0], [0, 0]], [[0, 0], [3576097243/2123, 69649/2123], [71231/11, 1/11], [-142462/27599, -2/27599]], [[0, 0], [-1921808852721/4246, -557515279143/4246], [-38279641/22, -11104739/22], [38279641/27599, 11104739/27599]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[768, 192]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, 118], [42, -6], [0, 0]], [[0, 0], [19409/2, -9571/2], [-11775, 6783], [43/26, -1/26]], [[0, 0], [-34429, 44933/2], [47901, -27706], [-1, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2350, 1576], [18, -10], [0, 0]], [[0, 0], [-14917/22, -4445/11], [426/11, -39/11], [21/286, -1/143]], [[0, 0], [106140/11, 124205/22], [-3987/11, -604/11], [-98/143, -29/286]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[768, 192]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, 24], [-42, 2], [0, 0]], [[0, 0], [3881/2, -2169/2], [-2445, 1351], [19/26, 5/26]], [[0, 0], [15/2, 3], [-18, -7], [5/26, 1/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1472, -674], [18, -6], [0, 0]], [[0, 0], [-145870/11, 98914/11], [8982/11, -8986/11], [-164/143, 2/143]], [[0, 0], [2921839/22, -1106922/11], [-71718/11, 109531/11], [4661/286, 316/143]]], 0, 24576, [], [] >,
< [ -3, 0, 1 ], [[-96, -24]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 1], [-30, -20], [0, 0]], [[-27, 2], [295/4, -45/4], [-687/2, 45/2], [79/52, 3/52]], [[-1617/2, 1029/2], [10025/4, -1557], [-20277/2, 6471], [147/4, -49/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, -23], [0, -6], [0, 0]], [[113, -1], [-20989/22, -78/11], [16794/11, 137/11], [-265/286, -1/143]], [[14647/2, -8607/2], [-2643649/44, 388769/11], [2112537/22, -621359/11], [-2567/44, 755/22]]], 1, 384, [], [] >,
< [ -3, 0, 1 ], [[336, 72]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, 1/2], [-17/2, -7/2], [0, 0]], [[-179, -1], [1257, -314], [-67, 82], [-1, 0]], [[245/2, -875/2], [-2489769/772, 2554805/772], [2611/4, -899/4], [140/193, -945/386]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-374, -70], [8, 4], [0, 0]], [[-2214, -3], [349682235/4246, 29082164/2123], [100349/22, 205/11], [-9885/4246, -3/4246]], [[-1618977/2, 4951/2], [255144873641/8492, 41404730825/8492], [73377081/44, -24019/44], [-1807115/2123, 14853/4246]]], 1, 5376, [], [] >,
< [ -3, 0, 1 ], [[-2688, -576]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [40845/386, -25743/386], [593/2, 1/2], [593/193, 1/193]], [[0, 0], [1760776/193, -1021119/193], [12834, -6693], [25668/193, -13386/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 2], [1, 0], [0, 0]], [[0, 0], [-192418999/2123, 18023/2123], [46773/11, -9/11], [10394/2123, -2/2123]], [[0, 0], [-224227357351/4246, -12918955725/4246], [54504009/22, 3134943/22], [6056001/2123, 348327/2123]]], 0, 344064, [], [] >,
< [ -3, 0, 1 ], [[-2688, -576]], [ -123, -5 ], [ -21, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [-561000/193, -8254/193], [800, 2], [1600/193, 4/193]], [[0, 0], [-15265367/386, 7736899/386], [22185/2, -11305/2], [22185/193, -11305/193]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 2], [1, 0], [0, 0]], [[0, 0], [868997199/4246, 173137/4246], [224703/22, 45/22], [24967/2123, 5/2123]], [[0, 0], [-362419666489/2123, 3560486565/2123], [-93713517/11, 920565/11], [-20825226/2123, 204570/2123]]], 0, 344064, [], [] >,
< [ -3, 0, 1 ], [[3648, 1536]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, 66], [30, 6], [0, 0]], [[0, 0], [-4427/2, 1441], [3270, -1857], [-1/2, 1]], [[0, 0], [6128, -2014], [-6372, 3968], [8, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1330, -900], [-18, 2], [0, 0]], [[0, 0], [3247019/11, -3865981/22], [-309537/11, 178426/11], [3/11, 1/22]], [[0, 0], [5747322/11, -7110595/22], [-559329/11, 321770/11], [10/11, 7/22]]], 0, 344064, [], [] >,
< [ -3, 0, 1 ], [[3648, 1536]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98, 60], [6, 2], [0, 0]], [[0, 0], [-777, -891/2], [-15, 2], [1, -5/2]], [[0, 0], [-1073, -1315/2], [105, -70], [-35, 35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1506, 552], [-54, -2], [0, 0]], [[0, 0], [2515814/11, -2852581/22], [-229689/11, 132004/11], [2/11, -3/22]], [[0, 0], [-1208, 1252], [144, -96], [0, 0]]], 0, 344064, [], [] >,
< [ -3, 0, 1 ], [[-456, -192]], [ -30, -14 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [3, 7], [0, 0]], [[-1, -2], [7/4, 17/4], [-513/2, -243/2], [-5/4, 1/4]], [[7/2, 1/2], [-7, -3/4], [195, 279/2], [-1/2, 3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-429, -247], [12, 2], [0, 0]], [[10, 2], [-8501, -4875], [537, -87], [1, 0]], [[-75/2, 39/2], [58087/22, 51343/44], [-41625/11, 46713/22], [-123/22, 135/44]]], 1, 5376, [], [] >,
< [ -3, 0, 1 ], [[-2688, -960]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1754, -562], [-798, -10], [0, 0]], [[0, 0], [16, -1], [-24, 0], [1, 0]], [[0, 0], [-1098, 634], [-1098, 634], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, 80], [-16440, -9492], [0, 0]], [[0, 0], [565, 347], [-70278, -40498], [-19, -9]], [[0, 0], [6718, 4346], [-859260, -494360], [-250, -100]]], 0, 245760, [], [] >,
< [ -3, 0, 1 ], [[-2688, -960]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-244, 356], [-876, -8], [0, 0]], [[0, 0], [-18, 1], [-24, 0], [1, 0]], [[0, 0], [-955466, 552278], [-959046, 552178], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [774, 432], [126, -10], [0, 0]], [[0, 0], [-66934, 63892], [-492672, 285888], [16, 6]], [[0, 0], [33517697, -21785315], [198037128, -114475960], [-2397, -85]]], 0, 245760, [], [] >,
< [ -3, 0, 1 ], [[2496, 768]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1088, -856], [396, 0], [0, 0]], [[0, 0], [-6, -1], [-60, 0], [1, 0]], [[0, 0], [-21426, 13314], [-22446, 12814], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, -94], [-6, 10], [0, 0]], [[0, 0], [-234, -358], [-24, -24], [-4, -4]], [[0, 0], [-4189, -1833], [-306, -150], [-51, -25]]], 0, 245760, [], [] >,
< [ -3, 0, 1 ], [[2496, 768]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [578, 606], [-474, -2], [0, 0]], [[0, 0], [-16, 1], [-60, 0], [1, 0]], [[0, 0], [49402, -27322], [47946, -28034], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, 40], [-552, -4], [0, 0]], [[0, 0], [25389, -75], [-460362, 213682], [9, 3]], [[0, 0], [-202238, -61364], [2112492, -583188], [-94, -46]]], 0, 245760, [], [] >,
< [ -3, 0, 1 ], [[-1080, -624]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -44], [12, 10], [0, 0]], [[9/2, 3/2], [951/2, 221], [117/2, -243/2], [0, 3/2]], [[-2, -2], [-332, -238], [183, -29], [-2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 20], [9, 13], [0, 0]], [[-8, -4], [-560, -354], [-210, -206], [-2, -2]], [[3/2, 1/2], [165/2, 67], [3/2, 109/2], [0, 1/2]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -40], [312, 180], [0, 0]], [[0, 0], [4, 1], [0, 2], [1, 0]], [[0, 0], [-6, -6], [48, 28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 46], [-42, 2], [0, 0]], [[0, 0], [-2, -1], [6, 0], [1, 0]], [[0, 0], [-600, 612], [-840, 392], [0, 0]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-192, -112], [-384, -220], [0, 0]], [[0, 0], [4, 1], [0, 0], [1, 0]], [[0, 0], [102, 62], [216, 120], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, -70], [-12, -4], [0, 0]], [[0, 0], [4, 1], [6, 2], [1, 0]], [[0, 0], [6300, 3640], [516, 296], [0, 0]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-1080, -624]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 28], [0, -8], [0, 0]], [[0, 0], [-818, -979/2], [156, 47], [5/2, 0]], [[0, 0], [2044, 1125], [-165, -233], [1, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 14], [-12, -14], [0, 0]], [[0, 0], [-3519/2, -2137/2], [1134, 604], [3/2, 3/2]], [[0, 0], [1157/2, 514], [-594, -169], [1, -3/2]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[-1080, -624]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -12], [24, 14], [0, 0]], [[0, 0], [1817/2, -693], [162, 60], [1, -5/2]], [[0, 0], [-4257, 6583], [-3471, -1755], [21, 35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 46], [9, 3], [0, 0]], [[0, 0], [461/2, 229/2], [33, 3], [5/2, 3/2]], [[0, 0], [237/2, -41], [84, -46], [0, 1/2]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[0, 1536]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5676, 3280], [24, 20], [0, 0]], [[0, 0], [-3784, 2014], [-7608, 4392], [-10, -8]], [[0, 0], [5290, -3656], [12156, -7020], [-44, -22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8520, 4916], [12, -8], [0, 0]], [[0, 0], [98, 58], [0, 0], [2, -2]], [[0, 0], [410, 236], [0, 0], [-4, -2]]], 0, 393216, [], [] >,
< [ -3, 0, 1 ], [[-1080, -624]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 14], [15, 13], [0, 0]], [[5/2, -1/2], [-168, -147/2], [-1635/2, 677/2], [9/2, -2]], [[-13, 3], [821, 346], [4377, -1885], [-24, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -24], [3, 7], [0, 0]], [[-2, 0], [-19, -3], [42, -22], [-3, 1]], [[-3/2, -1/2], [-22, -19/2], [39/2, -15/2], [-3/2, 0]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 14], [228, 132], [0, 0]], [[0, 0], [-214, -131], [-1944, -1082], [15, -4]], [[0, 0], [-920, -552], [-8220, -4632], [48, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [200, 104], [36, 8], [0, 0]], [[0, 0], [1630, -1151], [2016, -1174], [15, 0]], [[0, 0], [8966, -3318], [8298, -4702], [-36, -56]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, 60], [48, 28], [0, 0]], [[0, 0], [-40, -24], [0, 0], [6, 2]], [[0, 0], [10, 7], [0, 0], [-3, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 2], [24, 16], [0, 0]], [[0, 0], [273, 171], [2448, 1400], [-15, 1]], [[0, 0], [-2323, -1462], [-20886, -11938], [132, -11]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[-1080, -624]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 18], [3, -1], [0, 0]], [[0, 0], [203/2, 53], [12, -1], [6, -1/2]], [[0, 0], [268, -118], [336, -192], [168, -96]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, -30], [9, 13], [0, 0]], [[0, 0], [-222, -136], [54, 52], [6, -2]], [[0, 0], [-373/2, -61], [156, -37], [-27, 33/2]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[-1080, -624]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -24], [12, 14], [0, 0]], [[0, 0], [2358, 1105], [-1725, -125], [3, 0]], [[0, 0], [-1447, -187/2], [2550, -1050], [-9/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 8], [-27, -17], [0, 0]], [[0, 0], [141/2, -11], [-120, 0], [3, -1/2]], [[0, 0], [-77/2, 25/2], [60, -12], [-3/2, 1/2]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[0, 1536]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1276, 780], [-60, -4], [0, 0]], [[0, 0], [-318896, 185938], [-226800, 130896], [-18, 4]], [[0, 0], [-56354, 29950], [-38232, 22140], [6, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [376, 156], [60, -8], [0, 0]], [[0, 0], [61144, -34122], [42048, -24192], [-6, -4]], [[0, 0], [-10760, 6168], [-7488, 4320], [0, 0]]], 0, 393216, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-201, -123], [21, 9], [0, 0]], [[0, 0], [12567, 7338], [-1104, -637], [-12, 4]], [[0, 0], [-2921, 2295], [-73, -11], [-454, 262]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [276, 233], [-9, 2], [0, 0]], [[0, 0], [-682, -302], [-14, 14], [10, -6]], [[0, 0], [771, 506], [-12, -1], [0, 0]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, -62], [-78, -44], [0, 0]], [[0, 0], [577, 434], [536, 305], [8, -10]], [[0, 0], [1764, 924], [1344, 780], [-24, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, 96], [72, 42], [0, 0]], [[0, 0], [3731, 2382], [1852, 1075], [10, 0]], [[0, 0], [10048, 5070], [4466, 2560], [-4, 16]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 31/2], [-3/2, 2], [0, 0]], [[0, 0], [-10, 16], [-14, 0], [16, 8]], [[0, 0], [1/2, 1/2], [5/2, 3/2], [-5, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-255/2, -31/2], [-15/2, -1/2], [0, 0]], [[0, 0], [4427/2, -1523], [146, -201/2], [5, 3]], [[0, 0], [3045/2, -738], [99, -99/2], [0, 0]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-159/2, -37/2], [3/2, -1/2], [0, 0]], [[0, 0], [-1, 1/2], [-1/2, 0], [1, 0]], [[0, 0], [-30, -18], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21/2, -53/2], [15/2, 1/2], [0, 0]], [[0, 0], [5, 1/2], [-1/2, 0], [1, 0]], [[0, 0], [-285/2, -547/2], [153/2, 17/2], [0, 0]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -61], [9, 2], [0, 0]], [[0, 0], [4474, 2579], [-331, -192], [-64, -36]], [[0, 0], [-15013, -8701], [1123, 641], [208, 128]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [366, 206], [42, 26], [0, 0]], [[0, 0], [7244, 4161], [871, 510], [22, 2]], [[0, 0], [5059, -2363], [-1471, 917], [2288, -1320]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-252, -150], [42, 24], [0, 0]], [[0, 0], [1616, 883], [-227, -134], [10, 8]], [[0, 0], [6305, 1338], [-512, -431], [-56, 70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, 66], [-282, -162], [0, 0]], [[0, 0], [-4057, -2221], [8755, 5045], [10, -10]], [[0, 0], [5216, 2897], [-11333, -6534], [-8, 10]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51/2, 19], [0, -1/2], [0, 0]], [[0, 0], [-5/2, 37/2], [-7/2, 1/2], [7, -1]], [[0, 0], [-223, -142], [22, 11], [-44, -22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -23/2], [-9/2, 2], [0, 0]], [[0, 0], [-1061/2, -629/2], [-85/2, -35/2], [1, -1]], [[0, 0], [-225, -129], [-15, -9], [0, 0]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[0, 24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111, 68], [-12, -7], [0, 0]], [[0, 0], [-1, 5/2], [-1/2, 0], [1, 0]], [[0, 0], [-303/2, 137/2], [9/2, -1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 63], [-9, -6], [0, 0]], [[0, 0], [5, 5/2], [-1/2, 0], [1, 0]], [[0, 0], [-63/2, -7/2], [9/2, -1/2], [0, 0]]], 1, 96, [], [] >,
< [ -3, 0, 1 ], [[-1728, -768]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [326, 170], [18, -6], [0, 0]], [[0, 0], [-2795, 764], [-1710, 978], [-12, 5]], [[0, 0], [464, 658], [-270, 166], [0, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [582, 480], [-30, 10], [0, 0]], [[0, 0], [-54563, 29167], [-9948, 5764], [-33, -3]], [[0, 0], [-2594196, 1326716], [-462660, 268620], [-2046, -434]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[-1728, -768]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2720, -1568], [12, 8], [0, 0]], [[0, 0], [45495, -28529], [21450, -12374], [15, 5]], [[0, 0], [-551900, 333813], [-255360, 147364], [-117, -24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1082, -622], [-612, -352], [0, 0]], [[0, 0], [-3593, -2107], [-2058, -1198], [-21, 1]], [[0, 0], [-2896, 1632], [-864, 476], [1188, -686]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[1152, 192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, 70], [-234, -6], [0, 0]], [[0, 0], [-2, -1], [-60, 0], [1, 0]], [[0, 0], [4032, -2332], [4080, -2312], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162, -100], [54, -2], [0, 0]], [[0, 0], [4111, -1235], [15810, -9414], [-17, -9]], [[0, 0], [-36658, 18200], [-174528, 101508], [50, 20]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[1152, 192]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162, 94], [-318, 2], [0, 0]], [[0, 0], [4, 1], [-60, 0], [1, 0]], [[0, 0], [-12504, 7216], [-11484, 7656], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -20], [504, -4], [0, 0]], [[0, 0], [-1244, -2], [-63264, 42288], [16, 8]], [[0, 0], [-791, 157], [-56406, 34962], [7, 3]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[2880, 2688]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3822, -2102], [-186, -2], [0, 0]], [[0, 0], [-6, -1], [-24, 0], [1, 0]], [[0, 0], [-17700, 10056], [-17688, 10208], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-768, -422], [102, -6], [0, 0]], [[0, 0], [4245, -2771], [-13848, 7784], [9, 5]], [[0, 0], [156384, -90006], [-471648, 272496], [-2, -8]]], 0, 737280, [], [] >,
< [ -3, 0, 1 ], [[2880, 2688]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1230, -378], [-582, -2], [0, 0]], [[0, 0], [48, 1], [-24, 0], [1, 0]], [[0, 0], [-69384, 39328], [-69336, 39804], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -8], [4524, 2612], [0, 0]], [[0, 0], [231, 63], [-42354, -24594], [11, 3]], [[0, 0], [-252, -84], [48492, 28120], [-12, -4]]], 0, 737280, [], [] >,
< [ -3, 0, 1 ], [[-2304, -2496]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150, -454], [630, 6], [0, 0]], [[0, 0], [-28, -1], [-60, 0], [1, 0]], [[0, 0], [1332, -1120], [1800, -800], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-240, -150], [96, 16], [0, 0]], [[0, 0], [-5, -21], [162, -114], [-7, 1]], [[0, 0], [-55, -33], [-30, -18], [-5, -3]]], 0, 737280, [], [] >,
< [ -3, 0, 1 ], [[-2304, -2496]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1998, 806], [606, 2], [0, 0]], [[0, 0], [50, 1], [-60, 0], [1, 0]], [[0, 0], [132216, -74236], [130848, -75168], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [720, 494], [366, 6], [0, 0]], [[0, 0], [146653, -75799], [-362430, 211318], [-7, -1]], [[0, 0], [356300, -505936], [-1675884, 897552], [136, 92]]], 0, 737280, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [294, 134], [54, -6], [0, 0]], [[0, 0], [-2, -1], [6, 2], [1, 0]], [[0, 0], [180, -168], [240, -144], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [150, 134], [-30, 30], [0, 0]], [[0, 0], [4, 1], [0, 0], [1, 0]], [[0, 0], [114, -66], [114, -66], [0, 0]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [258, 118], [42, -6], [0, 0]], [[0, 0], [4, 1], [6, 2], [1, 0]], [[0, 0], [324, -136], [276, -156], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-456, -272], [60, 24], [0, 0]], [[0, 0], [-2, -1], [0, 0], [1, 0]], [[0, 0], [2550, -1926], [3630, -2046], [0, 0]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 2], [27, 15], [0, 0]], [[4, 1], [-55/2, -13/2], [351, 200], [-1/2, 3/2]], [[-9/2, -5/2], [33, 37/2], [-1149/2, -663/2], [-3/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -4], [18, 12], [0, 0]], [[1, 1], [4, 1], [-30, -12], [1, 0]], [[3/2, -1/2], [-3, 5/2], [21/2, -21/2], [-3/2, 1]]], 1, 288, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, 58], [12, 10], [0, 0]], [[5, 3], [388, 281], [-510, 370], [3, 2]], [[-1/2, -3/2], [365, -705/2], [11325/2, -6581/2], [3/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 12], [-42, -18], [0, 0]], [[8, 3], [415/2, 295/2], [-534, -237], [15/2, 1/2]], [[25/2, -25/2], [-446, 149/2], [-843/2, 1233/2], [75/2, -25]]], 1, 288, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [566, 338], [42, 2], [0, 0]], [[0, 0], [-25221, 13620], [48384, -27972], [0, -5]], [[0, 0], [-3192, 674], [4284, -2520], [-6, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, -54], [54, -6], [0, 0]], [[0, 0], [-1872, 1009], [-5952, 3456], [-3, -4]], [[0, 0], [-2, -1], [0, 0], [3, 2]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [234, 150], [42, -6], [0, 0]], [[0, 0], [-1570, 4901], [10428, -5764], [-3, 0]], [[0, 0], [-1980, -23789], [-41184, 22176], [15, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-130, -82], [18, -6], [0, 0]], [[0, 0], [579, -115], [894, -522], [15, -1]], [[0, 0], [-10813, -3646], [-4968, 3132], [-348, -145]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [354, 198], [-54, -30], [0, 0]], [[0, 0], [-1915, -1201], [271, 175], [4, -4]], [[0, 0], [10957, 6432], [-1570, -927], [2, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-393, -225], [99, 57], [0, 0]], [[0, 0], [-536, -214], [110, 56], [2, 2]], [[0, 0], [253, -546], [32, 73], [8, -2]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [393, 219], [-57, -33], [0, 0]], [[0, 0], [-125, 0], [2, 3], [-10, 8]], [[0, 0], [252, 104], [-12, -8], [0, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-561, -321], [39, 21], [0, 0]], [[0, 0], [715, 235], [-121, 33], [2, -6]], [[0, 0], [-930, -529], [57, 28], [6, 4]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [135, 24], [-6, 15], [0, 0]], [[-5, 0], [-2699/2, -5143/2], [-1735/2, 223/2], [-5, 0]], [[-13/2, 3/2], [1105/2, -2897], [-1211, 799/2], [-13/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75, -9], [-3, 15], [0, 0]], [[-2, 1], [-10523/2, -3403/2], [-2431/2, -2269/2], [-2, 1]], [[3/2, -5/2], [-40284, -50563/2], [-33711/2, -9076], [3/2, -5/2]]], 1, 288, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [153, 87], [75, 39], [0, 0]], [[0, 0], [-4229, -2441], [-1969, -1147], [2, -6]], [[0, 0], [-7, -4], [-2, 1], [-2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138, -72], [-36, -18], [0, 0]], [[0, 0], [1843, 1071], [455, 265], [8, 0]], [[0, 0], [-3476, -2001], [-859, -494], [-4, -6]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[576, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, -60], [48, 30], [0, 0]], [[0, 0], [-719, -356], [326, 173], [-10, 0]], [[0, 0], [671, 403], [-317, -187], [4, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51, -33], [-57, -33], [0, 0]], [[0, 0], [-23, 43], [-13, -9], [2, -10]], [[0, 0], [11, 0], [-2, -1], [-2, 0]]], 0, 18432, [], [] >,
< [ -3, 0, 1 ], [[72, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, -30], [-6, -15], [0, 0]], [[-7/2, -5/2], [253/2, -57], [49, -117/2], [-7/2, -5/2]], [[-12, -6], [-207, 153], [-237, 45], [-12, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 21], [3, -15], [0, 0]], [[3/2, 3/2], [10977/2, 3084], [-2394, -1341/2], [3/2, 3/2]], [[-7/2, 3/2], [-856, -2013/2], [-6613/2, 2402], [-7/2, 3/2]]], 1, 288, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [253, 135], [15, 5], [0, 0]], [[0, 0], [-25, 17], [1, 3], [2, 10]], [[0, 0], [160, -66], [42, 12], [136, 34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-439, -249], [19, 9], [0, 0]], [[0, 0], [22710, 13142], [-880, -528], [-8, -10]], [[0, 0], [33728, 20440], [-816, -1104], [128, -96]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2621, -1513], [-11, -7], [0, 0]], [[0, 0], [-13396, -7668], [58, -102], [0, 6]], [[0, 0], [64550, 37150], [78, 286], [-16, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-969, -573], [5, 5], [0, 0]], [[0, 0], [-1694, -916], [24, 2], [2, -4]], [[0, 0], [16080, 8846], [-204, -34], [-8, 32]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1028, 590], [20, 10], [0, 0]], [[0, 0], [4760, 2784], [70, 58], [-8, -10]], [[0, 0], [13459, 7923], [177, 177], [-16, -32]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1891, 1117], [5, -1], [0, 0]], [[0, 0], [2690, 1570], [4, 0], [-8, -2]], [[0, 0], [3024, 1794], [8, -2], [-12, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1291, -743], [3, -1], [0, 0]], [[0, 0], [18642, 10740], [-28, 6], [-8, -10]], [[0, 0], [112946, 65278], [4, -64], [-90, -36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1780, 1034], [8, 2], [0, 0]], [[0, 0], [-3669, -2097], [-3, -11], [-4, -4]], [[0, 0], [8662, 4932], [0, 30], [8, 10]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-8, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [-2, -1], [0, 0]], [[0, 0], [1/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [-10, -6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-3/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [-10, -6], [0, 0], [0, 0]]], 1, 8, [], [] >,
< [ -3, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [89, 53], [-55, -31], [0, 0]], [[0, 0], [841, 474], [-499, -294], [1, 3]], [[0, 0], [4584, 2704], [-2836, -1608], [28, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [121, 69], [65, 37], [0, 0]], [[0, 0], [-2232, -1250], [-1196, -670], [-2, -4]], [[0, 0], [27726, 16327], [14860, 8749], [77, 21]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[-8, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -4], [-3, 2], [0, 0]], [[0, 0], [75/2, 41/2], [1/2, 3/2], [14, 8]], [[0, 0], [-34, 26], [42, -24], [-1, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -6], [4, 0], [0, 0]], [[0, 0], [365/2, -159/2], [-117/2, 63/2], [7, -1]], [[0, 0], [25/2, -223/2], [-57/2, 51/2], [-8, -8]]], 1, 12, [], [] >,
< [ -3, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-54, -30], [0, 0], [14, 10]], [[0, 0], [172, 100], [0, 0], [-54, -30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19, 11], [5, 1], [0, 0]], [[0, 0], [731, 424], [145, 56], [-10, -8]], [[0, 0], [641, 373], [141, 41], [-8, -8]]], 0, 64, [], [] >,
< [ -3, 0, 1 ], [[984, 568]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, 56], [17, 7], [0, 0]], [[9, 4], [-35515/2, -21303/2], [-2106, -1873], [3/2, 5/2]], [[169/2, 39/2], [-252195/2, -82587], [-11875/2, -39067/2], [-13, 65/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -8], [1, 1], [0, 0]], [[9, 4], [89/2, 69/2], [6, -1], [3/2, 5/2]], [[-13/2, -3/2], [-29/2, -25], [-17/2, 7/2], [1, -5/2]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[984, 568]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, -52], [1, 3], [0, 0]], [[4, 1], [-733/2, -375/2], [-28, 31], [-1/2, 3/2]], [[91/2, 49/2], [-10801/2, -3085], [287/2, 295/2], [14, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, -34], [7, -1], [0, 0]], [[-8, -4], [1434, 838], [-51, -47], [-2, -2]], [[-13/2, -5/2], [1051, 1255/2], [-35/2, -93/2], [-1/2, -2]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -8], [10, 6], [0, 0]], [[0, 0], [89, 7], [-38, -32], [-1, -1]], [[0, 0], [-815/2, 477/2], [-97, 53], [-9/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-118, -70], [-6, -4], [0, 0]], [[0, 0], [-611/2, -377/2], [-7, -11], [9/2, 1/2]], [[0, 0], [1884, -740], [922, -518], [272, -160]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-158, -90], [-8, -6], [0, 0]], [[0, 0], [-148, -133], [-54, 24], [3, 2]], [[0, 0], [1079/2, -631/2], [-629, 363], [-5/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-234, -142], [4, 10], [0, 0]], [[0, 0], [29767, 14620], [-3696, 718], [0, -1]], [[0, 0], [54629/2, -70479/2], [-48349, 28781], [35/2, -19/2]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 24], [-86, -50], [0, 0]], [[0, 0], [-43/2, -23/2], [99, 63], [15/2, 5/2]], [[0, 0], [101, -58], [576, -334], [-182, 105]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, 50], [8, 4], [0, 0]], [[0, 0], [-261, -139], [-16, -32], [-5, -1]], [[0, 0], [831/2, -577/2], [-897, 511], [145/2, -85/2]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[984, 568]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 26], [-8, -6], [0, 0]], [[0, 0], [297/2, 75], [-34, -17], [-2, 3/2]], [[0, 0], [193/2, 105/2], [-22, -12], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, 38], [-6, 0], [0, 0]], [[0, 0], [-1498, -855], [57, 45], [-1, 2]], [[0, 0], [-1574, -1829/2], [77, 38], [5/2, 0]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -10], [-46, -26], [0, 0]], [[0, 0], [2211/2, 1393/2], [3320, 1902], [3/2, -1/2]], [[0, 0], [-2680, 2089], [2144, 312], [73, -42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, -48], [-2, -2], [0, 0]], [[0, 0], [-893/2, -519/2], [0, 0], [-5/2, -5/2]], [[0, 0], [375, -209], [0, 0], [227, -131]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 10], [-40, -20], [0, 0]], [[0, 0], [511/2, 305/2], [-576, -324], [11/2, 3/2]], [[0, 0], [144, -104], [318, -138], [-56, 32]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, 26], [112, 64], [0, 0]], [[0, 0], [-2995/2, -1939/2], [-3714, -2168], [3/2, 1/2]], [[0, 0], [-26559, 15492], [-5716, 3672], [-92, 53]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [246, 142], [-2, 0], [0, 0]], [[0, 0], [347/2, 217/2], [0, 0], [-1/2, -5/2]], [[0, 0], [-766, 418], [0, 0], [198, -114]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166, -98], [-8, -2], [0, 0]], [[0, 0], [806, 492], [42, 6], [0, 2]], [[0, 0], [925/2, -425/2], [-288, 168], [61/2, -35/2]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[984, 568]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 14], [-4, 2], [0, 0]], [[0, 0], [-3579, -2062], [43, 27], [0, -1]], [[0, 0], [4309/2, 1251], [-30, -14], [2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 10], [6, 4], [0, 0]], [[0, 0], [-67/2, -11/2], [-11, -7], [-1/2, 5/2]], [[0, 0], [-2, 1/2], [0, 0], [-1/2, 0]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[0, -256]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2280, -1300], [-14, -2], [0, 0]], [[0, 0], [-7477, 4151], [-2724, 1572], [-3, -1]], [[0, 0], [32069, -18195], [11808, -6816], [7, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [268, 148], [8, -4], [0, 0]], [[0, 0], [-237, 429], [-636, 368], [11, 7]], [[0, 0], [-8162, 3716], [-9486, 5474], [-48, -18]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[0, -256]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5656, 3248], [4, -4], [0, 0]], [[0, 0], [-13705, 5291], [-4128, 2384], [1, 3]], [[0, 0], [-22996, 17402], [-9594, 5538], [-10, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [724, 416], [-14, -10], [0, 0]], [[0, 0], [-9757, 5633], [-9372, 5412], [11, 3]], [[0, 0], [-25169, 14519], [-24144, 13968], [221, 119]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[0, -256]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-652, -372], [-16, -4], [0, 0]], [[0, 0], [-3196, 1634], [-3570, 2058], [10, 4]], [[0, 0], [5965, -3741], [7364, -4256], [9, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3364, 1956], [-16, -4], [0, 0]], [[0, 0], [-2387, 2059], [-1130, 650], [-3, -3]], [[0, 0], [9, -3], [0, 0], [-1, 1]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[0, -256]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4096, -2356], [-10, 6], [0, 0]], [[0, 0], [134, 68], [0, 0], [-16, -6]], [[0, 0], [-295, -201], [0, 0], [25, 25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2412, 1360], [10, -6], [0, 0]], [[0, 0], [-155, -75], [0, 0], [7, 5]], [[0, 0], [101, 57], [0, 0], [-5, -3]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[768, 512]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1544, 876], [-8, -20], [0, 0]], [[0, 0], [8509, 3329], [1260, -840], [19, 9]], [[0, 0], [19485, 3533], [6440, -3920], [39, 13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1600, 936], [-16, -16], [0, 0]], [[0, 0], [-8000, -4328], [240, -20], [-8, -4]], [[0, 0], [-2937, -1329], [208, -80], [-3, -1]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[0, -256]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [364, 196], [4, -12], [0, 0]], [[0, 0], [-2200, -958], [-216, 180], [-2, -4]], [[0, 0], [25687, 14469], [-324, -540], [55, 35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [740, 464], [16, -12], [0, 0]], [[0, 0], [-72, 36], [32, -20], [12, 4]], [[0, 0], [29, -13], [-12, 8], [-7, -3]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 44], [8, 4], [0, 0]], [[0, 0], [-5/2, -1/2], [-1/2, 1/2], [1, 0]], [[0, 0], [-64, -50], [-10, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98, 44], [20, 14], [0, 0]], [[0, 0], [-3/2, 1/2], [1/2, -1/2], [1, 0]], [[0, 0], [116, 44], [20, 16], [0, 0]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[-24, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -1], [1, 0], [0, 0]], [[-2, 2], [-34, -20], [4, -2], [-2, 2]], [[-5/2, 1/2], [83/2, 24], [2, -3/2], [-5/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -1], [1, 0], [0, 0]], [[-5, 0], [-287/2, -83/2], [5/2, -5/2], [-5, 0]], [[13/2, -3/2], [148, 21/2], [-11/2, 4], [13/2, -3/2]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, -54], [-30, -20], [0, 0]], [[0, 0], [7/2, 3/2], [-1/2, 1/2], [1, 0]], [[0, 0], [-76, -28], [-16, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -6], [-30, -20], [0, 0]], [[0, 0], [9/2, -3/2], [1/2, -1/2], [1, 0]], [[0, 0], [-64, -20], [-64, -40], [0, 0]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[-24, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -1], [1, 0], [0, 0]], [[-5/2, 3/2], [-14, -5/2], [7/2, -2], [-5/2, 3/2]], [[0, 0], [48, 28], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -1], [1, 0], [0, 0]], [[-11/2, -1/2], [233/2, 40], [2, -5/2], [-11/2, -1/2]], [[-63/2, 45/2], [249, -541/2], [99/2, -27], [-63/2, 45/2]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -12], [8, 4], [0, 0]], [[0, 0], [563/2, 337/2], [-159/2, -91/2], [19, 9]], [[0, 0], [-1387/2, -937/2], [423/2, 235/2], [-65, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [212, 134], [50, 28], [0, 0]], [[0, 0], [40021/2, 22825/2], [8817/2, 5107/2], [17, 7]], [[0, 0], [10051, 5394], [2132, 1255], [14, 0]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-67, -45], [-37, -21], [0, 0]], [[0, 0], [7631/2, 5443/2], [4319/2, 2437/2], [-15, -5]], [[0, 0], [-19581/2, -6553/2], [-7517/2, -4599/2], [7, 21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-67, -29], [11, 7], [0, 0]], [[0, 0], [4445/2, 2199/2], [-813/2, -497/2], [-17, -7]], [[0, 0], [4458, 2008], [-768, -486], [-36, -12]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-91/2, -23/2], [-7/2, 3/2], [0, 0]], [[0, 0], [75, -115], [25, -15], [2, -8]], [[0, 0], [371, 556], [-50, 35], [46, 46]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [316, 171], [1, 2], [0, 0]], [[0, 0], [-1511, 1310], [240, -135], [-8, -10]], [[0, 0], [-21357/2, 12827/2], [2735/2, -1575/2], [20, -20]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[0, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [283/2, 167/2], [7/2, 5/2], [0, 0]], [[0, 0], [-1423, 1141], [-447, 267], [-4, 2]], [[0, 0], [165, 17], [21, -9], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [198, 144], [0, 2], [0, 0]], [[0, 0], [605/2, -873/2], [71/2, -45/2], [-6, 4]], [[0, 0], [914, 990], [-18, 22], [2, -4]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[0, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2366, -1370], [190, 110], [0, 0]], [[0, 0], [-2637, -1527], [221, 129], [-2, 2]], [[0, 0], [-796, 462], [62, -36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1016, -674], [-2, 8], [0, 0]], [[0, 0], [5115, 4399], [99, -95], [6, 2]], [[0, 0], [-30732, 17994], [3254, -1880], [28, -16]]], 0, 16384, [], [] >,
< [ -3, 0, 1 ], [[0, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-970, -564], [44, 26], [0, 0]], [[0, 0], [-41432, -24096], [1876, 1108], [0, 4]], [[0, 0], [-32913, 19411], [4691, -2727], [814, -470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1292, 794], [2, -4], [0, 0]], [[0, 0], [7757, 4673], [1, -21], [-14, -2]], [[0, 0], [83671, -54775], [-9891, 5725], [2794, -1606]]], 0, 16384, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-318, -182], [-124, -72], [0, 0]], [[0, 0], [-525, -327], [-213, -123], [-6, 4]], [[0, 0], [510, -653], [-116, -73], [-261, 151]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 12], [54, 28], [0, 0]], [[0, 0], [192, 235], [990, 333], [-3, -3]], [[0, 0], [582, 225], [1086, 841], [-7, -3]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-186, -108], [-52, -30], [0, 0]], [[0, 0], [12, 1], [14, 5], [27, 1]], [[0, 0], [354, -202], [180, -100], [840, -480]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -16], [-24, -14], [0, 0]], [[0, 0], [24, 45], [42, 23], [19, 9]], [[0, 0], [-111, 202], [105, 50], [55, 15]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [108, 64], [0, 0], [30, -2]], [[0, 0], [180, 12], [0, 0], [-918, 544]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -9], [-12, -5], [0, 0]], [[0, 0], [705, 339], [483, 189], [4, -10]], [[0, 0], [-8580, -3913], [-6006, -2093], [-84, 140]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 0], [1, 0], [0, 0]], [[0, 0], [-60, -40], [0, 0], [30, -2]], [[0, 0], [-60, -4], [0, 0], [-90, 60]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, -49], [12, -3], [0, 0]], [[0, 0], [7344, 5993], [816, -833], [-10, -10]], [[0, 0], [4095, 5509], [1785, -1309], [-4, -10]]], 0, 384, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-240, -154], [-216, -126], [0, 0]], [[0, 0], [-210, -467], [-378, -279], [-15, 5]], [[0, 0], [-3, 2], [-21, 12], [9, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -26], [-60, -34], [0, 0]], [[0, 0], [-765, -502], [-903, -536], [-39, -9]], [[0, 0], [6960, -4226], [1530, -1116], [-1602, 918]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 38], [96, 54], [0, 0]], [[0, 0], [-297, -204], [-465, -276], [-9, -1]], [[0, 0], [1305, -770], [291, -192], [-165, 95]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-204, -122], [-222, -128], [0, 0]], [[0, 0], [-372, -133], [-312, -189], [15, -15]], [[0, 0], [-1380, 728], [78, -118], [372, -216]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, -24], [-15, 6], [0, 0]], [[0, 0], [-1470, -854], [-126, -18], [30, 2]], [[0, 0], [-1512, -1764], [-8100, 4536], [2262, -1276]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, 57], [15, -1], [0, 0]], [[0, 0], [-9, 4], [3, -2], [-30, -24]], [[0, 0], [0, 0], [0, 0], [6, 0]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[288, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39, 8], [9, 12], [0, 0]], [[0, 0], [783, 1494], [1377, 306], [6, 4]], [[0, 0], [2442, -1383], [-1122, 663], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, 36], [15, -4], [0, 0]], [[0, 0], [2508, 1576], [336, 32], [-24, -24]], [[0, 0], [2340, 580], [-720, 560], [-72, 18]]], 0, 4608, [], [] >,
< [ -3, 0, 1 ], [[-24, -24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, 56], [-3, -7], [0, 0]], [[-11/2, -3/2], [6676, 8003/2], [-1851/2, -131/2], [1/2, -2]], [[11, 5], [-16771, -9804], [1623, 551], [2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 12], [21, 3], [0, 0]], [[-11/2, -5/2], [-59/2, -27], [-207/2, 75/2], [-1, -3/2]], [[-1/2, 1/2], [11/2, -3], [-9/2, 5/2], [1, -1/2]]], 1, 64, [], [] >,
< [ -3, 0, 1 ], [[-24, -24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, -26], [21, 15], [0, 0]], [[-5/2, -3/2], [-1831/2, -554], [1179/2, 421/2], [-1, -1/2]], [[0, 0], [36, 4], [63, -49], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, -80], [-21, -5], [0, 0]], [[5/2, 1/2], [-226, 151/2], [-3087/2, 1769/2], [-1/2, 1]], [[17, 7], [-951, 70], [-4671, 2639], [2, 5]]], 1, 64, [], [] >,
< [ -3, 0, 1 ], [[-24, -24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 44], [9, -3], [0, 0]], [[0, 0], [-14, -11/2], [207, -112], [1/2, 1]], [[0, 0], [-119/2, -43/2], [1038, -568], [3/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 26], [3, 3], [0, 0]], [[0, 0], [-71, 43], [153, -79], [1, 1]], [[0, 0], [5/2, 1], [6, 3], [1, 1/2]]], 1, 64, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144, 88], [6, 10], [0, 0]], [[0, 0], [5137/2, -3369/2], [3651, -2133], [-7/2, 1/2]], [[0, 0], [-227, -690], [558, -426], [-6, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [328, 196], [-12, 8], [0, 0]], [[0, 0], [1509/2, 199/2], [693, -361], [13/2, 5/2]], [[0, 0], [2691, -4321], [11346, -6752], [-9, -27]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 40], [6, -10], [0, 0]], [[0, 0], [-1289/2, 993/2], [-1605, 947], [11/2, 3/2]], [[0, 0], [-3851, 3640], [-10752, 6440], [56, 21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-190, -106], [-24, -2], [0, 0]], [[0, 0], [-215/2, -47/2], [-123, 41], [-9/2, -3/2]], [[0, 0], [-67, 91], [-312, 198], [-1, 3]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -14], [-78, -50], [0, 0]], [[0, 0], [3221/2, 1877/2], [5631, 3287], [11/2, 5/2]], [[0, 0], [-5884, 3564], [-24474, 14714], [472, -272]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, 74], [-60, -40], [0, 0]], [[0, 0], [1479/2, 863/2], [-369, -205], [1/2, 3/2]], [[0, 0], [1041, -495], [1608, -980], [255, -147]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-24, -24]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 16], [3, 1], [0, 0]], [[0, 0], [-29/2, 2], [0, 0], [1, 1/2]], [[0, 0], [2, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94, 54], [24, 4], [0, 0]], [[0, 0], [-31/2, 33/2], [-975, 565], [-1/2, -3/2]], [[0, 0], [176, -275/2], [9180, -5310], [-5/2, 10]]], 1, 64, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 58], [-12, -4], [0, 0]], [[0, 0], [4239/2, 2423/2], [-264, -106], [-7/2, -1/2]], [[0, 0], [260, -35], [-624, 348], [-21, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -10], [-18, -14], [0, 0]], [[0, 0], [3642, 2107], [4830, 2790], [-7, -2]], [[0, 0], [6237/2, -3843/2], [900, -680], [3075/2, -1775/2]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 44], [54, 34], [0, 0]], [[0, 0], [-21931/2, -12879/2], [-8100, -4536], [-5/2, 1/2]], [[0, 0], [-5987/2, 6935/2], [6912, -2736], [165/2, -95/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -40], [30, 14], [0, 0]], [[0, 0], [-1445/2, -831/2], [204, 122], [-13/2, -5/2]], [[0, 0], [1841, -1119], [4902, -2814], [1449, -837]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -32], [-18, -10], [0, 0]], [[0, 0], [5, -5], [36, -22], [3, -1]], [[0, 0], [-13/2, 1/2], [-24, 12], [-1/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-156, -88], [-24, -8], [0, 0]], [[0, 0], [976, -546], [2736, -1578], [0, 2]], [[0, 0], [-383/2, 111/2], [-414, 234], [-11/2, -7/2]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[768, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4984, 2824], [72, 8], [0, 0]], [[0, 0], [-56784, 32724], [-35574, 20538], [-8, 0]], [[0, 0], [-10669, 5901], [-6552, 3780], [-17, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2548, 1468], [-12, 0], [0, 0]], [[0, 0], [-2711, 1679], [6294, -3634], [5, 5]], [[0, 0], [2230, -1542], [-5490, 3170], [-14, -10]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[768, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [464, 220], [42, -6], [0, 0]], [[0, 0], [-43416, 24896], [-27336, 15776], [-16, -8]], [[0, 0], [-106097, 61053], [-66912, 38624], [-21, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1516, 888], [42, -6], [0, 0]], [[0, 0], [-2833, 1365], [6120, -3536], [-9, -1]], [[0, 0], [7, -5], [0, 0], [1, -1]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[768, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1236, -696], [90, 10], [0, 0]], [[0, 0], [17989, -10449], [-43008, 24832], [9, 5]], [[0, 0], [-21326, 12336], [50880, -29376], [-4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4296, 2532], [-54, 2], [0, 0]], [[0, 0], [-217323, 130657], [-142344, 82152], [-13, -3]], [[0, 0], [-3787772, 2285008], [-2485296, 1434312], [-240, -60]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[768, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2568, -1496], [-72, -8], [0, 0]], [[0, 0], [48384, -28960], [-123750, 71430], [-4, 0]], [[0, 0], [-25519, 19993], [75600, -43560], [11, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3896, -2284], [42, 2], [0, 0]], [[0, 0], [-38131, 22365], [-24696, 14256], [-9, -3]], [[0, 0], [-225144, 132600], [-146124, 84348], [-64, -24]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[768, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-420, -272], [36, -8], [0, 0]], [[0, 0], [6479, -3527], [6144, -3552], [11, 7]], [[0, 0], [22592, -13334], [22320, -12880], [-18, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1212, -708], [12, 20], [0, 0]], [[0, 0], [17697, -10129], [-27888, 16100], [13, 5]], [[0, 0], [11, 7], [0, 0], [5, 3]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[768, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [756, 464], [-60, -8], [0, 0]], [[0, 0], [160533, -91741], [154560, -89280], [13, 5]], [[0, 0], [-117524, 65944], [-112080, 64800], [-24, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2128, 1212], [-36, 8], [0, 0]], [[0, 0], [51927, -30059], [-90156, 52052], [-9, -5]], [[0, 0], [301109, -173905], [-522192, 301488], [-7, -3]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[-24, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, -61], [-3, -2], [0, 0]], [[-2, 2], [32, 6], [-2, 4], [-2, 2]], [[-11/2, 5/2], [5/2, -22], [-10, 7/2], [-11/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, 7], [-15, 4], [0, 0]], [[3, -2], [1371/2, 377/2], [201/2, 25/2], [3, -2]], [[-1/2, 1/2], [-7, 11/2], [-1/2, 1], [-1/2, 1/2]]], 1, 64, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 34], [30, 12], [0, 0]], [[0, 0], [-5/2, -3/2], [5/2, 1/2], [1, 0]], [[0, 0], [-702, -414], [-342, -190], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, 62], [18, 4], [0, 0]], [[0, 0], [-11/2, -1/2], [-1/2, -1/2], [1, 0]], [[0, 0], [1740, 1032], [240, 112], [0, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-24, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, 38], [6, 2], [0, 0]], [[-2, -2], [-1063, -528], [-74, -35], [-2, -2]], [[-11/2, 7/2], [634, -515/2], [109/2, -24], [-11/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, 79], [-3, 0], [0, 0]], [[-7/2, 3/2], [-826, -939/2], [161/2, -38], [-7/2, 3/2]], [[5/2, 15/2], [14282, 16519/2], [-1/2, -148], [5/2, 15/2]]], 1, 64, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, 66], [30, 16], [0, 0]], [[0, 0], [7/2, 1/2], [5/2, 1/2], [1, 0]], [[0, 0], [72, 28], [12, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -38], [-42, -20], [0, 0]], [[0, 0], [1/2, 3/2], [-1/2, -1/2], [1, 0]], [[0, 0], [42, 24], [24, 14], [0, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-543/2, -303/2], [9/2, -1/2], [0, 0]], [[0, 0], [2019/2, -1417/2], [-1305/2, 757/2], [0, -2]], [[0, 0], [-23, -12], [2, 1], [-4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-627/2, -385/2], [15/2, 11/2], [0, 0]], [[0, 0], [-17342, -8241], [569, 152], [2, -4]], [[0, 0], [7296, 6010], [-78, -224], [6, -2]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [759/2, 441/2], [-3/2, -11/2], [0, 0]], [[0, 0], [383, -10], [-608, 351], [-2, -6]], [[0, 0], [1833, 836], [-582, 337], [-54, -36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [519/2, 327/2], [3/2, 5/2], [0, 0]], [[0, 0], [3343, 1680], [62, 7], [-4, -6]], [[0, 0], [14221, 7551], [227, 55], [-22, -22]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, -31], [-75, -43], [0, 0]], [[0, 0], [889/2, -1919/2], [-2179/2, -1197/2], [1, 1]], [[0, 0], [-198, -10], [-186, -110], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -1], [27, 17], [0, 0]], [[0, 0], [1005/2, 467/2], [-5841/2, -3417/2], [-15, -7]], [[0, 0], [1040, 2148], [-15968, -8608], [-32, -64]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 38], [6, 4], [0, 0]], [[0, 0], [21/2, -109/2], [-21/2, 3/2], [-3, 1]], [[0, 0], [-1381, -800], [-134, -77], [-14, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [87, 41], [69, 41], [0, 0]], [[0, 0], [7495/2, 3779/2], [6107/2, 3593/2], [-5, -1]], [[0, 0], [-4695, -2515], [-3951, -2305], [6, 2]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[768, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2574, 1486], [198, 114], [0, 0]], [[0, 0], [1257, 723], [111, 51], [18, 10]], [[0, 0], [-2960, 1708], [-14584, 8420], [-388, 224]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1128, -630], [-30, -8], [0, 0]], [[0, 0], [-1096, 584], [-476, 268], [16, 4]], [[0, 0], [-3189, 1825], [-1419, 817], [18, -6]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[768, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1236, 716], [36, 20], [0, 0]], [[0, 0], [78873, 45527], [2211, 1275], [-18, -6]], [[0, 0], [-46250, 26584], [-6688, 3858], [19496, -11256]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1698, 972], [-12, -10], [0, 0]], [[0, 0], [-16006, 9972], [-6176, 3562], [4, -8]], [[0, 0], [74331, -38815], [26241, -15171], [-66, 6]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 62], [0, -2], [0, 0]], [[0, 0], [65, 20], [9, 5], [2, 1]], [[0, 0], [-543/2, 151/2], [-15, -6], [-9/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-474, -266], [6, -4], [0, 0]], [[0, 0], [62, 3], [-15, 5], [5, 0]], [[0, 0], [-7/2, -9/2], [0, 1], [-1/2, -1/2]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[2952, 1704]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [186, 110], [12, 4], [0, 0]], [[-7/2, -5/2], [6461/2, 1868], [333/2, 183/2], [-2, -1/2]], [[12, -6], [-789, -375], [75, -85], [-15, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, -80], [39, 3], [0, 0]], [[2, -1], [3085/2, 1423/2], [456, -525], [-5/2, 3/2]], [[1/2, -1/2], [19/2, -5], [9/2, -5/2], [-1, 1/2]]], 1, 192, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 22], [-114, -66], [0, 0]], [[0, 0], [1603/2, 655/2], [-2253, -1296], [-5/2, -3/2]], [[0, 0], [3408, -1968], [-126, 74], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-312, -176], [-6, -6], [0, 0]], [[0, 0], [2977/2, -911/2], [-705, 420], [1/2, -5/2]], [[0, 0], [787/2, -4035/2], [-1272, 677], [25/2, 5/2]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, -108], [-108, 4], [0, 0]], [[0, 0], [16207, -9343], [-43170, 24986], [13, 5]], [[0, 0], [-17057, 10015], [46494, -26170], [115, 69]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3456, -2020], [-12, 8], [0, 0]], [[0, 0], [220, 122], [-12, 0], [-2, 0]], [[0, 0], [-477, -273], [18, 6], [3, 1]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [240, 140], [-360, -208], [0, 0]], [[0, 0], [442, 262], [-12, 20], [-2, 2]], [[0, 0], [-917, -521], [-54, 2], [-5, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2604, 1516], [12, 20], [0, 0]], [[0, 0], [7601, 4673], [-234, 166], [-7, -5]], [[0, 0], [-30854, -16130], [-1644, 832], [34, 14]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-324, -204], [36, 4], [0, 0]], [[0, 0], [-115, 7], [-36, 20], [11, 3]], [[0, 0], [-1942, 1076], [-1068, 616], [92, -46]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3108, 1836], [36, -4], [0, 0]], [[0, 0], [6039, -1597], [-2604, 1512], [-9, -3]], [[0, 0], [-33412, 17512], [18900, -10920], [20, -4]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-174, -106], [-30, -8], [0, 0]], [[0, 0], [-5306, 2936], [8760, -5044], [4, 2]], [[0, 0], [9659/2, -5117/2], [-7815, 4491], [-13/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [366, 206], [-12, -2], [0, 0]], [[0, 0], [5696, -4215], [-6054, 3524], [-1, 2]], [[0, 0], [-93875/2, -2981/2], [21513, -11535], [91/2, 35/2]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-330, -178], [18, -4], [0, 0]], [[0, 0], [-301, 84], [228, -138], [-4, 1]], [[0, 0], [567/2, 613/2], [159, -57], [9/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -18], [-12, -10], [0, 0]], [[0, 0], [-203/2, -39/2], [-141, 57], [1/2, 3/2]], [[0, 0], [-231/2, -89/2], [-99, 21], [3/2, 3/2]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, -50], [-96, -60], [0, 0]], [[0, 0], [-2419/2, -1401/2], [-1380, -782], [-13/2, -5/2]], [[0, 0], [-1857, 933], [11454, -6770], [981, -567]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 58], [-6, -6], [0, 0]], [[0, 0], [-1137, -653], [90, 62], [3, 1]], [[0, 0], [-301/2, 103/2], [-348, 204], [47/2, -27/2]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 10], [60, 36], [0, 0]], [[0, 0], [-43/2, -27/2], [-30, -18], [-7/2, -5/2]], [[0, 0], [-150, 86], [-102, 58], [-66, 38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, 80], [102, 62], [0, 0]], [[0, 0], [16577, 9400], [12822, 7266], [-4, -1]], [[0, 0], [301565/2, -161381/2], [120642, -64732], [-2233/2, 1287/2]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [326, 182], [12, -10], [0, 0]], [[0, 0], [-3241/2, 7/2], [-2145, 1246], [-9/2, 5/2]], [[0, 0], [1156, 676], [-30, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138, -86], [18, -4], [0, 0]], [[0, 0], [-1069/2, 323/2], [-852, 493], [-21/2, 1/2]], [[0, 0], [476, -596], [1584, -912], [0, -12]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[2952, 1704]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 14], [-3, -7], [0, 0]], [[11/2, 7/2], [849/2, 262], [-159/2, -223/2], [3, 5/2]], [[6, -3], [695/2, -325/2], [-1233, 700], [27/2, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-110, -62], [-18, -8], [0, 0]], [[-7/2, 1/2], [5829/2, 1965], [135/2, 991/2], [-6, 5/2]], [[8, -5], [3611/2, -173/2], [1701, -842], [39/2, -23/2]]], 1, 192, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 26], [30, 22], [0, 0]], [[0, 0], [-721/2, -399/2], [-249, -124], [-27/2, -3/2]], [[0, 0], [-1158, 685], [-2685, 1561], [-855, 494]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, 108], [-24, 8], [0, 0]], [[0, 0], [632, 44], [516, -318], [-18, -2]], [[0, 0], [-679/2, -2213/2], [1569, -842], [27/2, 63/2]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, 44], [-108, -12], [0, 0]], [[0, 0], [249, -175], [1230, -706], [-15, -1]], [[0, 0], [-1724, 768], [-6756, 3932], [-24, -56]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-584, -340], [24, 12], [0, 0]], [[0, 0], [-3224, -1820], [60, 52], [-24, -4]], [[0, 0], [7797, -4459], [3258, -1882], [1845, -1065]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [284, 164], [3312, 1912], [0, 0]], [[0, 0], [-375, -211], [-3762, -2226], [-3, -5]], [[0, 0], [-16706, 9642], [162804, -94028], [9786, -5650]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [396, 240], [0, -20], [0, 0]], [[0, 0], [1705, -987], [-3054, 1766], [-3, 3]], [[0, 0], [407, -197], [-714, 362], [-21, -11]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, 96], [12, 8], [0, 0]], [[0, 0], [-144, 70], [0, 0], [18, 4]], [[0, 0], [-71, 61], [0, 0], [-15, -13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [792, 436], [-36, 16], [0, 0]], [[0, 0], [-1301, 743], [2196, -1268], [15, -3]], [[0, 0], [-109, 59], [180, -104], [3, 1]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [206, 110], [24, -10], [0, 0]], [[0, 0], [151/2, -117/2], [219, -135], [-9/2, -3/2]], [[0, 0], [-52, 7], [-90, 44], [-3, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, 42], [24, 10], [0, 0]], [[0, 0], [1381/2, -271/2], [639, -295], [9/2, -1/2]], [[0, 0], [88, -322], [336, -270], [0, -2]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-106, -62], [-6, -4], [0, 0]], [[0, 0], [102, -26], [36, 4], [18, 2]], [[0, 0], [139/2, 75/2], [51, 29], [51/2, 29/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 32], [18, 2], [0, 0]], [[0, 0], [-321/2, 193/2], [-243, 167], [33/2, 5/2]], [[0, 0], [-4673, 2553], [-8262, 3760], [-225, -325]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, -46], [-120, -68], [0, 0]], [[0, 0], [121/2, 231/2], [114, 152], [3/2, -5/2]], [[0, 0], [-13/2, 7/2], [6, -4], [-9/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, -80], [174, 102], [0, 0]], [[0, 0], [299/2, 175/2], [-192, -112], [-9/2, 1/2]], [[0, 0], [-71/2, 41/2], [0, 0], [-123/2, 71/2]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 4], [150, 86], [0, 0]], [[0, 0], [329/2, 163/2], [2592, 1488], [15/2, 3/2]], [[0, 0], [-1419/2, 821/2], [-432, 264], [-303/2, 175/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, 80], [138, 82], [0, 0]], [[0, 0], [-877/2, -453/2], [-306, -252], [27/2, 1/2]], [[0, 0], [4024, -2080], [-10584, 6328], [-1050, 602]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-72, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 10], [12, -5], [0, 0]], [[-5/2, 1/2], [-8, -33/2], [7/2, 0], [-5/2, 1/2]], [[-15/2, 5/2], [3/2, -41], [9, -3/2], [-15/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 5], [9, -1], [0, 0]], [[1, 0], [-17/2, -13/2], [23/2, 1/2], [1, 0]], [[-3/2, 1/2], [3/2, 5], [-15, 9/2], [-3/2, 1/2]]], 1, 192, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, 94], [-30, -20], [0, 0]], [[0, 0], [19/2, 5/2], [5/2, 1/2], [1, 0]], [[0, 0], [-321, -189], [63, 33], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, -84], [12, 6], [0, 0]], [[0, 0], [-11/2, -9/2], [-1/2, -1/2], [1, 0]], [[0, 0], [2358, 1372], [-192, -110], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-72, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, 49], [3, -2], [0, 0]], [[3/2, 5/2], [-297, -305/2], [15/2, 7], [3/2, 5/2]], [[1/2, -1/2], [31, 17/2], [1/2, -1], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111, 82], [0, -5], [0, 0]], [[-1, -2], [3275/2, 2013/2], [-95/2, -91/2], [-1, -2]], [[-11/2, 5/2], [1253/2, 128], [-76, 51/2], [-11/2, 5/2]]], 1, 192, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-195, -83], [-3, 7], [0, 0]], [[0, 0], [-17/2, -7/2], [5/2, 1/2], [1, 0]], [[0, 0], [102, 52], [0, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-264, -166], [30, 20], [0, 0]], [[0, 0], [1/2, 3/2], [-1/2, -1/2], [1, 0]], [[0, 0], [-264, -88], [36, 8], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2268, 1310], [78, 44], [0, 0]], [[0, 0], [-18438, -10612], [-648, -374], [0, 4]], [[0, 0], [-19525, 11335], [-185, 109], [-2366, 1366]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1698, -1000], [0, 2], [0, 0]], [[0, 0], [-155, -147], [5, -5], [-10, 10]], [[0, 0], [-186, -124], [0, -2], [0, 4]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [450, 250], [162, 94], [0, 0]], [[0, 0], [4067, 2285], [1729, 993], [-14, 6]], [[0, 0], [46854, -26976], [3960, -2254], [-10524, 6076]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3102, 1904], [24, 2], [0, 0]], [[0, 0], [77286, -46774], [-8310, 4794], [-12, -4]], [[0, 0], [-858721, 491815], [89755, -51827], [10, -26]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-822, -442], [-6, 2], [0, 0]], [[0, 0], [8997/2, -4079/2], [1329/2, -765/2], [6, -4]], [[0, 0], [14206, 6759], [233, -104], [-10, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-717, -431], [-3, 1], [0, 0]], [[0, 0], [10183, 5754], [-4, 11], [-4, 6]], [[0, 0], [-36075/2, -21029/2], [-45/2, -5/2], [-12, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1113/2, 631/2], [27/2, 19/2], [0, 0]], [[0, 0], [-6305/2, -4431/2], [-379/2, 13/2], [-8, -4]], [[0, 0], [18235/2, 839/2], [-2209/2, 1565/2], [4, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-411/2, -199/2], [-3/2, -1/2], [0, 0]], [[0, 0], [481, 264], [2, 1], [-4, -2]], [[0, 0], [12, 12], [0, 0], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-213, -129], [15, 9], [0, 0]], [[0, 0], [-229, -34], [16, 3], [-2, 0]], [[0, 0], [-4589/2, -2517/2], [335/2, 185/2], [-17, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-189, -115], [-27, -19], [0, 0]], [[0, 0], [75, 25], [-3, -3], [12, 4]], [[0, 0], [59/2, 35/2], [-5/2, -3/2], [5, 3]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-777, -457], [-93, -55], [0, 0]], [[0, 0], [2597/2, 1245/2], [313/2, 143/2], [11, 1]], [[0, 0], [18662, 10376], [2212, 1218], [112, 48]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -20], [24, 16], [0, 0]], [[0, 0], [207/2, 109/2], [-159/2, -99/2], [15, 5]], [[0, 0], [-23/2, -41/2], [59/2, 11/2], [7, -7]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-72, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-249, -149], [15, 1], [0, 0]], [[13/2, 5/2], [18563/2, 6008], [-1120, 589/2], [13/2, 5/2]], [[19/2, -19/2], [-12911, 463/2], [-18905/2, 5681], [19/2, -19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -1], [-3, -4], [0, 0]], [[7, 2], [-1397/2, -535/2], [437/2, 269/2], [7, 2]], [[-171/2, 19/2], [7215, 509/2], [-2559/2, -979], [-171/2, 19/2]]], 1, 192, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -9], [3, 3], [0, 0]], [[0, 0], [-17/2, 9/2], [5/2, 1/2], [1, 0]], [[0, 0], [72, 38], [-6, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -26], [-18, -8], [0, 0]], [[0, 0], [1/2, -5/2], [-1/2, -1/2], [1, 0]], [[0, 0], [72, 60], [48, 24], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[-72, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-192, -119], [3, -2], [0, 0]], [[-9/2, -3/2], [498, 573/2], [-27/2, -6], [-9/2, -3/2]], [[-7, 5], [-113, -74], [-10, 9], [-7, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69, -45], [15, -3], [0, 0]], [[-3/2, 5/2], [-1209/2, -291], [3, 97/2], [-3/2, 5/2]], [[56, -14], [-5510, -3979], [1043, -40], [56, -14]]], 1, 192, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180, 102], [-66, -36], [0, 0]], [[0, 0], [-5/2, -3/2], [5/2, 1/2], [1, 0]], [[0, 0], [1026, 532], [-408, -170], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 50], [54, 32], [0, 0]], [[0, 0], [-11/2, 7/2], [-1/2, -1/2], [1, 0]], [[0, 0], [-30, -20], [-24, -14], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3486, 1998], [-138, -78], [0, 0]], [[0, 0], [-36653, -20969], [1439, 805], [2, 10]], [[0, 0], [-82014, 47468], [10956, -6330], [-3672, 2120]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2496, -1526], [-30, -8], [0, 0]], [[0, 0], [-150365, 91193], [16961, -9747], [-22, -6]], [[0, 0], [1017954, -577442], [-110670, 64002], [0, -44]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-174, -104], [-48, -26], [0, 0]], [[0, 0], [-87232, -50262], [-23426, -13532], [-8, 4]], [[0, 0], [-11751, 5639], [459, -573], [-918, 530]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4674, -2614], [18, 2], [0, 0]], [[0, 0], [-16364, 9484], [1616, -936], [-4, 8]], [[0, 0], [-61311, 35689], [6057, -3521], [6, 42]]], 0, 98304, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-411/2, -163/2], [9/2, -1/2], [0, 0]], [[0, 0], [2476, -277], [-139, 70], [8, -10]], [[0, 0], [-11035, -1180], [454, -195], [-8, 40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [516, 296], [12, 8], [0, 0]], [[0, 0], [-347/2, -205/2], [-1/2, -9/2], [-2, 0]], [[0, 0], [153/2, 87/2], [3/2, 3/2], [0, 0]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-615/2, -367/2], [21/2, 11/2], [0, 0]], [[0, 0], [-146, -323], [35, -8], [-10, 4]], [[0, 0], [3990, 1560], [-24, -102], [-12, 24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [627/2, 349/2], [9/2, 1/2], [0, 0]], [[0, 0], [9221/2, 5099/2], [127/2, 23/2], [-10, 4]], [[0, 0], [125875/2, 73029/2], [1097/2, 713/2], [-8, -20]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 17], [-15, -7], [0, 0]], [[0, 0], [-553, -88], [178, 147], [10, 4]], [[0, 0], [-309/2, 25/2], [45/2, 65/2], [3, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 46], [18, 10], [0, 0]], [[0, 0], [967, 545], [185, 105], [-4, 0]], [[0, 0], [-9823/2, -5655/2], [-1883/2, -1085/2], [11, 5]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[0, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-183, -129], [-33, -21], [0, 0]], [[0, 0], [-84861, -48982], [-14484, -8361], [12, 2]], [[0, 0], [-233705/2, -135019/2], [-39895/2, -23043/2], [-5, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-129, -67], [-75, -43], [0, 0]], [[0, 0], [301/2, -109/2], [11/2, -5/2], [-11, -5]], [[0, 0], [446, -115], [19, -4], [-44, -22]]], 0, 1536, [], [] >,
< [ -3, 0, 1 ], [[32, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-372, -212], [16, 8], [0, 0]], [[0, 0], [784, 334], [-50, 24], [20, 10]], [[0, 0], [-1367, -474], [129, -66], [-33, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-233, -135], [-11, -5], [0, 0]], [[0, 0], [-215, -116], [-9, -18], [-11, -5]], [[0, 0], [-3555, -1866], [-73, -336], [-187, -77]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[32, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-172, -98], [40, 22], [0, 0]], [[0, 0], [9214, 5369], [-2106, -1255], [-9, -1]], [[0, 0], [180339, 104599], [-41455, -24315], [-140, -40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-715, -413], [-13, -7], [0, 0]], [[0, 0], [3525, 2038], [59, 44], [1, 3]], [[0, 0], [11329, 6534], [237, 114], [15, 3]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 5], [5, 3], [0, 0]], [[0, 0], [3/2, 1/2], [-1/2, 1/2], [1, 0]], [[0, 0], [10, 6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, -24], [-8, -2], [0, 0]], [[0, 0], [-1/2, 1/2], [-1/2, 1/2], [1, 0]], [[0, 0], [43, 25], [5, 3], [0, 0]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, -60], [20, 10], [0, 0]], [[0, 0], [1/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [163, 97], [-33, -15], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 8], [-4, -2], [0, 0]], [[0, 0], [-3/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [-71, -35], [17, 9], [0, 0]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2656, -1516], [0, -4], [0, 0]], [[0, 0], [-6314, -4402], [-158, 82], [-2, 2]], [[0, 0], [108181, 62969], [225, 13], [-10, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2068, -1150], [0, -10], [0, 0]], [[0, 0], [-6815, -3927], [-15, -11], [10, 4]], [[0, 0], [-11, 7], [1, -1], [-4, 2]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-982, -568], [-166, -96], [0, 0]], [[0, 0], [2128, 1314], [360, 218], [-6, 2]], [[0, 0], [15, 9], [-5, -3], [-4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, -104], [-124, -72], [0, 0]], [[0, 0], [498, 268], [474, 276], [4, -4]], [[0, 0], [457, 231], [421, 247], [8, -6]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-622, -364], [54, 32], [0, 0]], [[0, 0], [-16784, -9680], [1504, 872], [8, -8]], [[0, 0], [-23089, -13321], [2071, 1199], [6, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [498, 286], [10, 6], [0, 0]], [[0, 0], [30506, 17618], [682, 394], [6, 2]], [[0, 0], [-9111, -5295], [-203, -119], [-10, 4]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1656, -956], [-8, -4], [0, 0]], [[0, 0], [-178009, -102771], [-817, -467], [10, 0]], [[0, 0], [-143431, -82815], [-647, -383], [-6, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2750, 1588], [-90, -52], [0, 0]], [[0, 0], [-71, -31], [21, 9], [10, 8]], [[0, 0], [-620, -346], [176, 98], [110, 66]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[32, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[0, 0], [-436, -248], [0, 0], [6, 2]], [[0, 0], [-206, -102], [0, 0], [8, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 2], [1, 0], [0, 0]], [[0, 0], [-794, -498], [0, 0], [-8, 10]], [[0, 0], [2716, 1756], [0, 0], [44, -44]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[32, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [764, 432], [0, 0], [-2, 2]], [[0, 0], [-3982, -2266], [0, 0], [6, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 2], [1, 0], [0, 0]], [[0, 0], [-114, -70], [0, 0], [-2, 0]], [[0, 0], [-76, -44], [0, 0], [0, 0]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[32, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[0, 0], [162, 94], [0, 0], [8, 2]], [[0, 0], [-1340, -772], [0, 0], [-40, -32]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 2], [1, 0], [0, 0]], [[0, 0], [354, 206], [0, 0], [-8, -6]], [[0, 0], [-88, -48], [0, 0], [4, 0]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[32, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [306, 182], [0, 0], [-4, -10]], [[0, 0], [886, 558], [0, 0], [26, -52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 2], [1, 0], [0, 0]], [[0, 0], [-62, -42], [0, 0], [0, 10]], [[0, 0], [292, 172], [0, 0], [-32, -24]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [-2, -1], [0, 0]], [[0, 0], [169/2, 93/2], [3/2, 3/2], [3, 3]], [[0, 0], [-173/2, -111/2], [-7/2, -1/2], [-7, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 8], [-4, -2], [0, 0]], [[0, 0], [485/2, -279/2], [-61/2, 35/2], [-10, -8]], [[0, 0], [0, 0], [0, 0], [14, 8]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-179/2, -103/2], [7/2, 3/2], [0, 0]], [[0, 0], [477/2, -141/2], [-1125/2, 645/2], [20, 10]], [[0, 0], [-47, 53], [215, -125], [6, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [-2, -1], [0, 0]], [[0, 0], [13, 11], [1, -1], [2, -2]], [[0, 0], [-467/2, -271/2], [11/2, 7/2], [11, 7]]], 1, 24, [], [] >,
< [ -3, 0, 1 ], [[32, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-194, -108], [14, 12], [0, 0]], [[0, 0], [4, 2], [1, 1], [1, 0]], [[0, 0], [906, 498], [-58, -58], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-218, -138], [-10, 6], [0, 0]], [[0, 0], [4, 2], [1, 1], [1, 0]], [[0, 0], [-778, -448], [2, 0], [0, 0]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -8], [14, 8], [0, 0]], [[5/2, 1/2], [19, 13], [4, 3], [5/2, 1/2]], [[-78, 45], [176, -102], [57, -33], [-78, 45]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, 78], [34, 20], [0, 0]], [[9/2, 1/2], [134, 72], [21, 24], [9/2, 1/2]], [[-19/2, 11/2], [14, -8], [26, -15], [-19/2, 11/2]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[32, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-782, -448], [-30, -20], [0, 0]], [[0, 0], [2, 2], [1, 1], [1, 0]], [[0, 0], [-2420, -1380], [-88, -64], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [304, 168], [-4, 4], [0, 0]], [[0, 0], [-2, 2], [1, 1], [1, 0]], [[0, 0], [2074, 1192], [6, 8], [0, 0]]], 0, 128, [], [] >,
< [ -3, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -6], [12, 6], [0, 0]], [[-7/2, 3/2], [-34, -26], [23, 10], [-7/2, 3/2]], [[545/2, -315/2], [-508, 278], [-248, 151], [545/2, -315/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -30], [-4, -2], [0, 0]], [[-1/2, 5/2], [-107, -71], [8, -3], [-1/2, 5/2]], [[908, -524], [-3014, 1726], [-2480, 1432], [908, -524]]], 1, 16, [], [] >,
< [ -3, 0, 1 ], [[-2688, -1552]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 28], [-2, 0], [0, 0]], [[-5/2, -1/2], [-147, -173/2], [7/2, -3/2], [1/2, -1]], [[15, 7], [1178, 683], [-9, 1], [3, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, 26], [-8, -4], [0, 0]], [[1/2, 3/2], [-6013/2, -1744], [971/2, 551/2], [2, -1/2]], [[12, -6], [-1769, -935], [226, 182], [-15, 9]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[-2688, -1552]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 44], [38, 24], [0, 0]], [[7, 2], [137/2, 125/2], [-288, 213], [-1/2, 5/2]], [[351/2, 189/2], [5579/2, 1687], [425/2, 2773/2], [54, 81/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -14], [10, 10], [0, 0]], [[15/2, 5/2], [911/2, 251], [-543/2, -283/2], [0, 5/2]], [[2, 2], [188, 114], [-106, -68], [2, 0]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [936, 548], [22, 10], [0, 0]], [[0, 0], [2, -3], [2, 0], [1, 0]], [[0, 0], [-944, 560], [340, -196], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 48], [6, -10], [0, 0]], [[0, 0], [4, 3], [2, 0], [1, 0]], [[0, 0], [-28, 16], [10, -6], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1120, 660], [-2, -6], [0, 0]], [[0, 0], [-2, -3], [2, 0], [1, 0]], [[0, 0], [-884, 484], [312, -180], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [876, 512], [14, 6], [0, 0]], [[0, 0], [0, 3], [2, 0], [1, 0]], [[0, 0], [1364, -868], [-480, 276], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, -92], [-20, -8], [0, 0]], [[0, 0], [-2, 1], [0, 2], [1, 0]], [[0, 0], [892, 540], [80, 64], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [272, 140], [-8, -20], [0, 0]], [[0, 0], [4, -1], [0, 2], [1, 0]], [[0, 0], [-480, -264], [28, 28], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[-96, -32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-240, -148], [-8, -10], [0, 0]], [[0, 0], [4603/2, 2797/2], [91, 91], [3/2, 3/2]], [[0, 0], [-3025/2, 1799/2], [-855, 495], [-19/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-908, -524], [-4, 2], [0, 0]], [[0, 0], [284, 152], [-8, 0], [-4, 0]], [[0, 0], [-99/2, 57/2], [19, -11], [19/2, -11/2]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[-96, -32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, -44], [-6, 0], [0, 0]], [[0, 0], [-29/2, 9/2], [-5, -5], [-1/2, 3/2]], [[0, 0], [-1833/2, 1059/2], [145, -83], [-255/2, 147/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [336, 224], [-10, 10], [0, 0]], [[0, 0], [-12661/2, -7153/2], [-91, -9], [13/2, 3/2]], [[0, 0], [-52103/2, 24665/2], [-13181, 7587], [1363/2, -783/2]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[-96, -32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [448, 248], [-2, -6], [0, 0]], [[0, 0], [6595, 4144], [-226, 22], [2, 1]], [[0, 0], [-92295/2, 53741/2], [-21003, 12123], [47/2, -27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [356, 204], [20, 10], [0, 0]], [[0, 0], [4265, 2453], [234, 120], [-1, 1]], [[0, 0], [-887/2, 1689/2], [-1525, 911], [331/2, -191/2]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[-96, -32]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-908, -524], [12, 6], [0, 0]], [[0, 0], [7253/2, 4149/2], [-77, -9], [-9/2, 1/2]], [[0, 0], [-13615/2, 7223/2], [12005, -6927], [2105/2, -1215/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [296, 180], [8, 10], [0, 0]], [[0, 0], [125/2, 125/2], [-21, 9], [-9/2, -3/2]], [[0, 0], [-27/2, 15/2], [5, -3], [5/2, -3/2]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[-2688, -1552]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, -50], [2, 0], [0, 0]], [[0, 0], [-235/2, -73], [9, 0], [0, 3/2]], [[0, 0], [325, 194], [-18, -4], [-2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -12], [10, 4], [0, 0]], [[0, 0], [-106, -143/2], [47, 16], [3/2, -2]], [[0, 0], [-5888, -6867/2], [1955, 1092], [-85/2, -34]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[-2688, -1552]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -14], [-16, -8], [0, 0]], [[0, 0], [227, 267/2], [119, 68], [-5/2, -2]], [[0, 0], [-209/2, -8], [-18, -25], [11, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 28], [14, 8], [0, 0]], [[0, 0], [-71/2, 2], [15, 0], [0, 5/2]], [[0, 0], [-71/2, -1/2], [15, 1], [1/2, 5/2]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [496, 312], [16, 0], [0, 0]], [[0, 0], [2, -3], [0, 0], [1, 0]], [[0, 0], [736, -476], [-282, 162], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2136, -1228], [2, -6], [0, 0]], [[0, 0], [4, -1], [0, 0], [1, 0]], [[0, 0], [1664, -1000], [-2328, 1344], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [340, 200], [18, 6], [0, 0]], [[0, 0], [2, -3], [0, 0], [1, 0]], [[0, 0], [-40, 32], [56, -32], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-700, -364], [12, -8], [0, 0]], [[0, 0], [0, 3], [0, 0], [1, 0]], [[0, 0], [44, -352], [-122, 70], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1028, 608], [6, -2], [0, 0]], [[0, 0], [-2, 1], [0, 0], [1, 0]], [[0, 0], [152, -28], [-38, 22], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [480, 284], [-2, -10], [0, 0]], [[0, 0], [0, 3], [0, 0], [1, 0]], [[0, 0], [-848, 352], [940, -540], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2080, 1200], [4, 4], [0, 0]], [[0, 0], [-2, 1], [0, 0], [1, 0]], [[0, 0], [124, -160], [-378, 218], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1036, -608], [-10, -2], [0, 0]], [[0, 0], [4, -1], [0, 0], [1, 0]], [[0, 0], [-216, 104], [76, -44], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[-2688, -1552]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, 34], [22, 16], [0, 0]], [[0, 0], [-2087, -2439/2], [-781, -597], [1/2, -2]], [[0, 0], [37695/2, 22011/2], [7116, 5352], [-7/2, 35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, -34], [-4, -4], [0, 0]], [[0, 0], [-2217, -2581/2], [-214, -104], [-3/2, 1]], [[0, 0], [103687/2, 29943], [4608, 2640], [-1, -5/2]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[-2688, -1552]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, 34], [-34, -22], [0, 0]], [[0, 0], [5563/2, 1621], [-1666, -1020], [2, 1/2]], [[0, 0], [-3992, -1990], [3332, 714], [10, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, 74], [-14, -6], [0, 0]], [[0, 0], [8193/2, 2376], [-365, -219], [2, 5/2]], [[0, 0], [-5567/2, -1353], [401, 37], [-29, 29/2]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -10], [-14, -2], [0, 0]], [[0, 0], [21, -23], [-25, 7], [-6, -4]], [[0, 0], [18, -10], [-10, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, -58], [6, 10], [0, 0]], [[0, 0], [-78, 22], [78, -42], [-4, -4]], [[0, 0], [123, -53], [-141, 79], [2, 4]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -16], [304, 176], [0, 0]], [[0, 0], [-1152, -664], [17060, 9856], [0, 8]], [[0, 0], [135, -79], [1761, -1001], [2172, -1254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -16], [-72, -40], [0, 0]], [[0, 0], [1143, 675], [2343, 1363], [-6, 0]], [[0, 0], [-330, -176], [-654, -368], [-2, 2]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-234, -158], [-18, -2], [0, 0]], [[0, 0], [5931, -23], [-975, 699], [-6, -8]], [[0, 0], [10464, -7454], [-4328, 2442], [18, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [342, 254], [66, 6], [0, 0]], [[0, 0], [26424, -15064], [-14892, 8604], [-8, 0]], [[0, 0], [13965, -7807], [-7791, 4505], [-8, -2]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 28], [-1060, -612], [0, 0]], [[0, 0], [9, -13], [-21, -11], [30, 4]], [[0, 0], [-3150, 1820], [194, -108], [-2310, 1330]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -32], [240, 140], [0, 0]], [[0, 0], [-240, -142], [1092, 626], [-6, 6]], [[0, 0], [141, 85], [-651, -371], [8, -6]]], 0, 6144, [], [] >,
< [ -3, 0, 1 ], [[1152, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [114, 74], [42, 6], [0, 0]], [[0, 0], [-1014, 684], [2454, -1392], [-6, -2]], [[0, 0], [5445, -3493], [-12795, 7299], [24, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -102], [-54, 2], [0, 0]], [[0, 0], [-1578, -28], [246, -316], [-30, -18]], [[0, 0], [30345, -17651], [-15819, 9109], [-30, 12]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[1152, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 40], [-372, -216], [0, 0]], [[0, 0], [-13677, -7827], [66591, 38445], [12, 2]], [[0, 0], [6201, -3601], [213, -21], [-336, 194]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -16], [-2280, -1316], [0, 0]], [[0, 0], [1881, 1191], [118281, 68279], [0, -18]], [[0, 0], [-258, -212], [-18750, -10820], [-6, 6]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[1152, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, -46], [54, 18], [0, 0]], [[0, 0], [2439, -1313], [-2349, 1395], [24, 10]], [[0, 0], [414, -156], [-318, 216], [18, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 70], [54, 2], [0, 0]], [[0, 0], [18609, -11387], [-10791, 6009], [0, 18]], [[0, 0], [2166, -1556], [-1434, 724], [6, 6]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[1152, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -40], [-84, -48], [0, 0]], [[0, 0], [-357, -221], [-9, 3], [12, -6]], [[0, 0], [-2916, 1730], [1632, -942], [-2574, 1486]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 68], [-360, -208], [0, 0]], [[0, 0], [-189, -61], [459, 275], [24, -6]], [[0, 0], [-372, -228], [1224, 704], [12, 12]]], 0, 73728, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -10], [-60, -34], [0, 0]], [[-2, 0], [159, 91], [504, 284], [1, -1]], [[3/2, -1/2], [-67, -77/2], [-435/2, -235/2], [-3/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [122, 70], [0, -8], [0, 0]], [[1/2, -3/2], [23, 325/2], [-4149/2, 2375/2], [-5/2, 1]], [[99, 69], [-15009, -9654], [14607, -7369], [54, 15]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 24], [36, 14], [0, 0]], [[1/2, 3/2], [633/2, 187], [555/2, 233/2], [2, -1/2]], [[21, 9], [3734, 2145], [2691, 1665], [3, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, 80], [0, 6], [0, 0]], [[-5/2, 1/2], [-29/2, -25], [-351/2, 199/2], [2, -3/2]], [[39/2, 27/2], [768, 849/2], [-315/2, 277/2], [21/2, 3]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[-96, -96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [536, 296], [-6, -10], [0, 0]], [[0, 0], [-3269/2, 1799/2], [-783, 445], [-3/2, -1/2]], [[0, 0], [-18547/2, 10641/2], [-4503, 2595], [-5/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [624, 360], [12, 10], [0, 0]], [[0, 0], [383/2, -353/2], [-2637, 1513], [-3/2, -1/2]], [[0, 0], [6801/2, -3523/2], [-34083, 19707], [-1/2, 9/2]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[-96, -96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [188, 108], [0, -4], [0, 0]], [[0, 0], [-119/2, -107/2], [-21, 17], [7/2, -3/2]], [[0, 0], [75, 100], [84, -56], [-10, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-316, -208], [30, 4], [0, 0]], [[0, 0], [60900, -38159], [33252, -19024], [3, 0]], [[0, 0], [-518165/2, 285201/2], [-131559, 76361], [-5/2, 11/2]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[-96, -96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-496, -272], [6, 10], [0, 0]], [[0, 0], [-49600, 29817], [-23028, 13296], [5, 2]], [[0, 0], [-2073331/2, 1179101/2], [-468063, 270231], [-33/2, -55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-208, -120], [-18, 8], [0, 0]], [[0, 0], [-3833/2, -2209/2], [-9, -23], [-3/2, -1/2]], [[0, 0], [161, -66], [-1974, 1140], [26, -15]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[-96, -96]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-644, -372], [30, -10], [0, 0]], [[0, 0], [-3629/2, -2121/2], [345, -201], [-11/2, -1/2]], [[0, 0], [-132, 310], [-10236, 5910], [70, -40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, -112], [24, -2], [0, 0]], [[0, 0], [27647, -15977], [14082, -8132], [1, -1]], [[0, 0], [27/2, 15/2], [15, 9], [5/2, 3/2]]], 0, 1024, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94, -54], [-12, -10], [0, 0]], [[0, 0], [-377/2, 73], [1959, -1132], [-2, 5/2]], [[0, 0], [805/2, 155/2], [-1665, 969], [-15/2, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94, 54], [0, 8], [0, 0]], [[0, 0], [1, -85/2], [-669, 386], [5/2, -1]], [[0, 0], [87/2, 16], [-144, 83], [0, -1/2]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 30], [-24, 2], [0, 0]], [[0, 0], [580, 91/2], [-3405, 1896], [-1/2, 1]], [[0, 0], [-3431/2, -2483/2], [-2547, 1881], [-9/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 8], [30, 4], [0, 0]], [[0, 0], [-300, 57/2], [-1932, 935], [-1/2, 2]], [[0, 0], [-1001, -2413/2], [3606, -4307], [49/2, 7]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2180, -1296], [-30, 6], [0, 0]], [[0, 0], [2, -3], [6, 0], [1, 0]], [[0, 0], [16420, -7424], [-9126, 5278], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [464, 212], [-66, -2], [0, 0]], [[0, 0], [4, 3], [6, 0], [1, 0]], [[0, 0], [11576, -7628], [-7938, 4662], [0, 0]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-436, -284], [-36, 0], [0, 0]], [[0, 0], [-2, -3], [6, 0], [1, 0]], [[0, 0], [1532, -992], [-1050, 602], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2188, -1292], [-24, 4], [0, 0]], [[0, 0], [0, 3], [6, 0], [1, 0]], [[0, 0], [-11596, 5064], [6318, -3654], [0, 0]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, 116], [-48, -4], [0, 0]], [[0, 0], [-2, 1], [0, 2], [1, 0]], [[0, 0], [-2992, 1760], [-3036, 1748], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-196, -72], [-48, 12], [0, 0]], [[0, 0], [4, -1], [0, 2], [1, 0]], [[0, 0], [-2232, 604], [-1632, 884], [0, 0]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -6], [-24, 2], [0, 0]], [[0, 0], [-1421/2, -433/2], [-1746, 470], [-3/2, -1/2]], [[0, 0], [3827/2, 163], [7167, -3049], [4, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-122, -70], [6, 10], [0, 0]], [[0, 0], [29/2, 25], [-234, 132], [1, 1/2]], [[0, 0], [-16, 12], [-288, 166], [0, 0]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[48, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -14], [18, 10], [0, 0]], [[0, 0], [2233/2, -617], [342, -220], [2, -5/2]], [[0, 0], [-15201/2, 6579], [-4692, 920], [-120, -75/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 8], [-6, 4], [0, 0]], [[0, 0], [-55/2, -26], [-9, -9], [0, -3/2]], [[0, 0], [107, 49], [36, 16], [5, 1]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [252, 148], [-12, -8], [0, 0]], [[0, 0], [2, -3], [0, 0], [1, 0]], [[0, 0], [164, -112], [-78, 46], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1584, -900], [-78, -10], [0, 0]], [[0, 0], [0, 3], [0, 0], [1, 0]], [[0, 0], [3928, -2500], [9954, -5754], [0, 0]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1200, -688], [-12, 4], [0, 0]], [[0, 0], [2, -3], [0, 0], [1, 0]], [[0, 0], [-256, 44], [-378, 218], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1304, 792], [36, -4], [0, 0]], [[0, 0], [4, -1], [0, 0], [1, 0]], [[0, 0], [6088, -3476], [-3834, 2214], [0, 0]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2464, 1388], [-42, -2], [0, 0]], [[0, 0], [-2, 1], [0, 0], [1, 0]], [[0, 0], [-23932, 15156], [16128, -9324], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-656, -388], [18, -10], [0, 0]], [[0, 0], [4, -1], [0, 0], [1, 0]], [[0, 0], [-56, -32], [0, 0], [0, 0]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1744, -1004], [6, 10], [0, 0]], [[0, 0], [-2, 1], [0, 0], [1, 0]], [[0, 0], [1132, -776], [2790, -1610], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1868, -1112], [-54, -10], [0, 0]], [[0, 0], [0, 3], [0, 0], [1, 0]], [[0, 0], [-9648, 5504], [6060, -3500], [0, 0]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[-8064, -4656]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, 38], [-6, -6], [0, 0]], [[13/2, 7/2], [25/2, 8], [3/2, -3/2], [2, 3/2]], [[-5/2, -5/2], [-10, -5/2], [21/2, -11/2], [-5/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, -104], [18, -8], [0, 0]], [[-3, -2], [-399/2, -255/2], [1647, -950], [-3/2, -1/2]], [[-1/2, -1/2], [-44, -73/2], [3117/2, -1799/2], [-1/2, 0]]], 1, 384, [], [] >,
< [ -3, 0, 1 ], [[-8064, -4656]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 16], [42, 20], [0, 0]], [[5, 3], [142, 71], [177, 83], [3, 2]], [[-7/2, 5/2], [719/2, -196], [1245/2, -691/2], [-9, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -38], [-72, -40], [0, 0]], [[7/2, 1/2], [2, 23/2], [15/2, 25/2], [9/2, -1]], [[-36, 20], [236, -140], [168, -102], [-84, 48]]], 1, 384, [], [] >,
< [ -3, 0, 1 ], [[128, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2090, 1240], [2, -4], [0, 0]], [[0, 0], [161, -93], [-27, 7], [8, -10]], [[0, 0], [189, -109], [1, 27], [30, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3122, -1804], [18, 12], [0, 0]], [[0, 0], [-3165, -1817], [27, 3], [-2, 0]], [[0, 0], [988, 572], [-4, -4], [0, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[128, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [618, 356], [-14, -8], [0, 0]], [[0, 0], [-718, -464], [-6, 0], [6, -6]], [[0, 0], [-421, -237], [-1, -1], [-2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4820, 2800], [4, 8], [0, 0]], [[0, 0], [15287, 10279], [-377, 263], [-4, 10]], [[0, 0], [-484620, -290518], [1900, -2450], [-120, -160]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[128, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1166, -656], [-30, -20], [0, 0]], [[0, 0], [6795, 3777], [143, 105], [-10, -4]], [[0, 0], [-15810, -10404], [-582, -140], [8, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2610, 1504], [38, 24], [0, 0]], [[0, 0], [-106810, -61640], [-1622, -956], [-10, -6]], [[0, 0], [-21301, -13019], [-793, 69], [-8, 2]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[128, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [914, 522], [6, 6], [0, 0]], [[0, 0], [-20952, -12110], [-212, -118], [8, -8]], [[0, 0], [8839, 5127], [95, 47], [-18, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [208, 122], [-32, -18], [0, 0]], [[0, 0], [-5413, -3087], [719, 417], [-8, 2]], [[0, 0], [-24866, -14426], [3342, 1926], [0, -12]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[128, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6764, 3924], [-4, 4], [0, 0]], [[0, 0], [-46404, -27004], [56, -36], [6, 2]], [[0, 0], [-11641, -6921], [55, -33], [2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, -134], [-8, 10], [0, 0]], [[0, 0], [-4, 16], [-16, -16], [-10, 2]], [[0, 0], [171, 61], [-265, -139], [-24, -30]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[128, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1902, 1098], [-86, -50], [0, 0]], [[0, 0], [218255, 126003], [-9853, -5681], [10, 4]], [[0, 0], [91970, 53158], [-4094, -2430], [-10, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-572, -330], [24, 14], [0, 0]], [[0, 0], [-7656, -4412], [292, 172], [10, -2]], [[0, 0], [-18295, -10511], [685, 417], [50, -20]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[128, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6818, 3936], [14, 8], [0, 0]], [[0, 0], [7207, 4167], [-5, -5], [-10, 0]], [[0, 0], [-6849, -3939], [11, 1], [-8, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1126, -636], [-38, -24], [0, 0]], [[0, 0], [261721, 151695], [9445, 5367], [-8, -2]], [[0, 0], [18853, 11795], [817, 339], [-4, 2]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[128, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1000, 576], [96, 56], [0, 0]], [[0, 0], [2794, 1596], [246, 148], [8, -8]], [[0, 0], [-24709, -14273], [-2237, -1289], [30, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2636, -1526], [0, 2], [0, 0]], [[0, 0], [527021, 304221], [-355, -195], [8, -10]], [[0, 0], [-6490250, -3746588], [4354, 2412], [-72, 108]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[-16, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, -1], [11, 5], [0, 0]], [[0, 0], [-1/2, -3/2], [-1/2, 1/2], [1, 0]], [[0, 0], [-66, -36], [154, 88], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -9], [-7, 1], [0, 0]], [[0, 0], [3/2, -3/2], [-1/2, 1/2], [1, 0]], [[0, 0], [-277, -159], [-55, -33], [0, 0]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-736, -424], [-76, -44], [0, 0]], [[0, 0], [-2150, -1243], [-220, -129], [-19, -9]], [[0, 0], [-3358, -1952], [-334, -208], [-40, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-302, -176], [2, 0], [0, 0]], [[0, 0], [3382, 1941], [2, 5], [17, 7]], [[0, 0], [-21322, -11604], [170, -136], [-238, 34]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-248, -142], [-24, -14], [0, 0]], [[0, 0], [2143, 1235], [187, 107], [-12, -6]], [[0, 0], [-313, -182], [-27, -16], [1, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -44], [-4, 0], [0, 0]], [[0, 0], [-41, -27], [-41, -27], [0, 2]], [[0, 0], [77, 36], [77, 36], [-7, 1]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [340, 196], [104, 60], [0, 0]], [[0, 0], [-573, -340], [-179, -106], [17, 9]], [[0, 0], [-406, -198], [-126, -62], [8, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -24], [84, 48], [0, 0]], [[0, 0], [86, 37], [-130, -83], [19, 9]], [[0, 0], [188, 47], [-212, -161], [39, 13]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[-16, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [318, 186], [14, 6], [0, 0]], [[0, 0], [-3/2, -3/2], [1/2, 1/2], [1, 0]], [[0, 0], [-61, -41], [-7, 1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 46], [8, 2], [0, 0]], [[0, 0], [1/2, -3/2], [1/2, 1/2], [1, 0]], [[0, 0], [-163, -91], [-9, -9], [0, 0]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-306, -176], [-22, -12], [0, 0]], [[0, 0], [2, 3], [-6, -1], [-1, -1]], [[0, 0], [4, 2], [4, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-556, -322], [-44, -26], [0, 0]], [[0, 0], [-1364, -784], [-96, -52], [8, 4]], [[0, 0], [338, 213], [8, 23], [1, -3]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -30], [80, 46], [0, 0]], [[0, 0], [-134, -77], [166, 95], [-1, -1]], [[0, 0], [76, 44], [-96, -56], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-924, -532], [-16, -8], [0, 0]], [[0, 0], [-4279, -2456], [-69, -34], [5, -1]], [[0, 0], [-3003, -1729], [-47, -25], [2, 0]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, -84], [-112, -64], [0, 0]], [[0, 0], [7033, 4059], [5449, 3147], [4, 2]], [[0, 0], [3965, 2286], [3069, 1774], [3, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, -84], [112, 64], [0, 0]], [[0, 0], [367, 222], [-307, -168], [-7, -5]], [[0, 0], [125, 68], [-93, -58], [-3, -1]]], 0, 256, [], [] >,
< [ -3, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2824, 1628], [12, 8], [0, 0]], [[0, 0], [67060, 38750], [336, 178], [-2, 2]], [[0, 0], [612, -312], [-256, 148], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3692, 2128], [16, -4], [0, 0]], [[0, 0], [4894, 2732], [282, -160], [-6, -6]], [[0, 0], [2914, -1702], [9890, -5710], [104, -60]]], 0, 16384, [], [] >,
< [ -3, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, -76], [10600, 6120], [0, 0]], [[0, 0], [228, 126], [-16124, -9314], [2, -2]], [[0, 0], [776, -448], [288, -168], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [888, 512], [-3880, -2240], [0, 0]], [[0, 0], [260, 148], [-1224, -704], [24, 8]], [[0, 0], [-2702, 1560], [1254, -724], [-1978, 1142]]], 0, 16384, [], [] >,
< [ -3, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-256, -148], [332, 192], [0, 0]], [[0, 0], [-600, -338], [892, 506], [2, 2]], [[0, 0], [-1136, 656], [1704, -984], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1572, 904], [16, -4], [0, 0]], [[0, 0], [-44998, -25936], [-218, 12], [14, 10]], [[0, 0], [-34424, 20008], [-108800, 62816], [-1552, 896]]], 0, 16384, [], [] >,
< [ -3, 0, 1 ], [[512, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [700, 404], [-6720, -3880], [0, 0]], [[0, 0], [1274, 742], [-11858, -6838], [-16, -4]], [[0, 0], [262620, -151626], [334492, -193098], [212346, -122598]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-644, -372], [-8272, -4776], [0, 0]], [[0, 0], [-10064, -5820], [-130152, -75148], [4, 4]], [[0, 0], [402574, -232424], [194434, -112228], [-73290, 42314]]], 0, 16384, [], [] >,
< [ -3, 0, 1 ], [[-16, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [-2, -1], [0, 0]], [[0, 0], [-617/2, -345/2], [5/2, 1/2], [5, 1]], [[0, 0], [384, 208], [-4, 0], [-8, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [401/2, 255/2], [15/2, 5/2], [0, 0]], [[0, 0], [-5075/2, 2919/2], [791/2, -455/2], [-10, -8]], [[0, 0], [10195, -5883], [-1589, 917], [-2, 8]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[-16, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [-2, -1], [0, 0]], [[0, 0], [-31/2, -19/2], [-17/2, -9/2], [-17, -9]], [[0, 0], [36, 23], [22, 11], [44, 22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [173, 96], [1, 2], [0, 0]], [[0, 0], [2531, -1519], [-945, 545], [-4, -2]], [[0, 0], [1513/2, -847/2], [-545/2, 315/2], [0, 0]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[-16, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-247/2, -151/2], [-5/2, -5/2], [0, 0]], [[0, 0], [119, -143], [43, -27], [-8, 6]], [[0, 0], [302, 597], [-70, 63], [6, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 2], [1, 0], [0, 0]], [[0, 0], [-577/2, -347/2], [5/2, -1/2], [5, -1]], [[0, 0], [3289, 1915], [-13, -3], [-26, -6]]], 1, 32, [], [] >,
< [ -3, 0, 1 ], [[-16, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [385/2, 217/2], [-9/2, -1/2], [0, 0]], [[0, 0], [3038, -1110], [-1984, 1136], [-2, -8]], [[0, 0], [3768, -980], [-2192, 1248], [-8, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -5], [-2, -1], [0, 0]], [[0, 0], [207/2, 123/2], [-7/2, -3/2], [-7, -3]], [[0, 0], [-70, -41], [2, 1], [4, 2]]], 1, 48, [], [] >,
< [ -3, 0, 1 ], [[0, 512]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2284, 1300], [-12, 0], [0, 0]], [[0, 0], [1469, 857], [18, -2], [11, 1]], [[0, 0], [-15, -9], [2, 2], [1, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [448, 216], [20, -4], [0, 0]], [[0, 0], [15, -13], [-30, -18], [-11, -5]], [[0, 0], [-16, 20], [68, 40], [24, 12]]], 0, 32768, [], [] >,
< [ -3, 0, 1 ], [[7344, 4240]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-200, -116], [-6, -2], [0, 0]], [[0, 0], [-2827/2, -1625/2], [-45, -1], [1/2, 5/2]], [[0, 0], [10959, 12477/2], [712, -203], [57/2, -38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144, 84], [20, 10], [0, 0]], [[0, 0], [208, 273/2], [29, 16], [-1/2, 2]], [[0, 0], [2200, 1319], [288, 164], [9, 12]]], 1, 64, [], [] >,
< [ -3, 0, 1 ], [[7344, 4240]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 8], [50, 30], [0, 0]], [[0, 0], [120, 131/2], [420, 239], [-1/2, 1]], [[0, 0], [1049/2, 327], [1929, 1136], [10, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 20], [2, 0], [0, 0]], [[0, 0], [239/2, 129/2], [-5, -1], [-5/2, -1/2]], [[0, 0], [47/2, 16], [0, -1], [0, -1/2]]], 1, 64, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [692, 392], [-6, 6], [0, 0]], [[0, 0], [389/2, -817/2], [-565, 321], [1/2, -3/2]], [[0, 0], [-552, -1543], [-1346, 744], [-3, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [512, 304], [20, 0], [0, 0]], [[0, 0], [1102, -559], [-1416, 826], [3, 2]], [[0, 0], [-20265/2, 11765/2], [13975, -8065], [7/2, -1/2]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-256, -148], [-4, -4], [0, 0]], [[0, 0], [18913/2, 10925/2], [225, 113], [-1/2, -3/2]], [[0, 0], [-1545, 359], [6634, -3842], [473, -273]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -32], [124, 72], [0, 0]], [[0, 0], [-733/2, -389/2], [695, 405], [-15/2, -5/2]], [[0, 0], [-1651, 951], [-370, 218], [-175, 101]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[7344, 4240]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [352, 204], [-10, -2], [0, 0]], [[0, 0], [4915, 5625/2], [35, -122], [5/2, 2]], [[0, 0], [2643/2, 1711/2], [-475, 245], [5/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 40], [-2, -4], [0, 0]], [[0, 0], [-339/2, -114], [33, -2], [-2, 5/2]], [[0, 0], [-1170, -1381/2], [112, 45], [9/2, 6]]], 1, 64, [], [] >,
< [ -3, 0, 1 ], [[7344, 4240]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -16], [38, 22], [0, 0]], [[0, 0], [-6, 4], [20, 6], [0, -2]], [[0, 0], [5, -5/2], [7, 8], [-5/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-124, -72], [-28, -16], [0, 0]], [[0, 0], [236, 269/2], [48, 29], [-5/2, -2]], [[0, 0], [112, 16], [-16, 26], [12, -8]]], 1, 64, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-456, -260], [-10, -10], [0, 0]], [[0, 0], [1615/2, -907/2], [-1001, 579], [3/2, -1/2]], [[0, 0], [-1189, 418], [1184, -706], [-8, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-836, -476], [0, -8], [0, 0]], [[0, 0], [4502, -2348], [-5122, 2974], [4, 2]], [[0, 0], [-28761/2, 15423/2], [16593, -9619], [-19/2, -9/2]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -8], [-276, -160], [0, 0]], [[0, 0], [-1531/2, -869/2], [-13685, -7909], [5/2, 5/2]], [[0, 0], [921, -535], [-1006, 522], [123, -71]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, -76], [-352, -204], [0, 0]], [[0, 0], [-1973/2, -1101/2], [-2645, -1521], [-7/2, 3/2]], [[0, 0], [7107/2, -4129/2], [1195, -725], [1325/2, -765/2]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [740, 424], [-10, -2], [0, 0]], [[0, 0], [5200, -3453], [-6530, 3782], [-1, 2]], [[0, 0], [-6857/2, 1419/2], [2754, -1556], [9/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, 84], [14, 2], [0, 0]], [[0, 0], [765/2, -1419/2], [-924, 504], [-1/2, -3/2]], [[0, 0], [-1128, 310], [910, -546], [-2, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-404, -236], [8, 8], [0, 0]], [[0, 0], [3855/2, -2201/2], [-2362, 1392], [13/2, 3/2]], [[0, 0], [1207, -652], [-1364, 892], [18, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -28], [-2, 6], [0, 0]], [[0, 0], [-1365/2, 883/2], [1032, -600], [-7/2, 3/2]], [[0, 0], [602, 971], [672, -504], [-15, -6]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-276, -152], [-2, -10], [0, 0]], [[0, 0], [-10931/2, 4741/2], [5744, -3344], [7/2, 1/2]], [[0, 0], [12789/2, -4533/2], [-6176, 3616], [-11/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-444, -264], [-22, -2], [0, 0]], [[0, 0], [-2383, 1119], [3016, -1728], [5, 1]], [[0, 0], [-5689/2, 3093/2], [3844, -2214], [7/2, -1/2]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[0, -64]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-420, -236], [16, 0], [0, 0]], [[0, 0], [59, -115], [-174, 102], [-5, -1]], [[0, 0], [5/2, -3/2], [0, 0], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, -88], [-28, -8], [0, 0]], [[0, 0], [-3467/2, 53/2], [1364, -914], [-1/2, 5/2]], [[0, 0], [-2623, 5709], [10834, -5710], [-25, 5]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-48, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-164, -96], [12, -4], [0, 0]], [[0, 0], [1579/2, 443], [279, -170], [-2, 5/2]], [[0, 0], [5970, 3231], [4794, -2834], [-45, 36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -36], [-30, -2], [0, 0]], [[0, 0], [-16231/2, -4675], [-2442, -1063], [1, -3/2]], [[0, 0], [166103/2, 47820], [25620, 10509], [-14, 35/2]]], 1, 256, [], [] >,
< [ -3, 0, 1 ], [[-48, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-236, -136], [0, 6], [0, 0]], [[0, 0], [-721/2, -405/2], [99, -55], [1/2, -5/2]], [[0, 0], [-19441/2, -5558], [981, -508], [-29, -87/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-248, -144], [-6, -4], [0, 0]], [[0, 0], [-71/2, 27], [6, 3], [1, 1/2]], [[0, 0], [28, -16], [0, 0], [0, 0]]], 1, 256, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, -96], [-12, -8], [0, 0]], [[0, 0], [-1517/2, 953/2], [927, -519], [7/2, 3/2]], [[0, 0], [-1863/2, 1193/2], [1155, -641], [11/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-172, -104], [18, -2], [0, 0]], [[0, 0], [-4421, 2851], [-12366, 7110], [-3, -1]], [[0, 0], [10881/2, -8503/2], [16977, -9693], [19/2, 9/2]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [256, 148], [-36, 12], [0, 0]], [[0, 0], [137/2, 93/2], [-1515, 809], [-9/2, -3/2]], [[0, 0], [-112, -46], [-3792, 2272], [2, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180, 104], [36, -16], [0, 0]], [[0, 0], [-27/2, 11/2], [4677, -2679], [-7/2, -3/2]], [[0, 0], [-11/2, -7/2], [15, 9], [-5/2, -3/2]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[-48, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-332, -192], [0, -10], [0, 0]], [[0, 0], [-46, 223/2], [-3567, 2066], [-1/2, 1]], [[0, 0], [429/2, 1017/2], [-9903, 5767], [3/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [152, 88], [-12, 6], [0, 0]], [[0, 0], [21, 21/2], [-306, 179], [-1/2, 1]], [[0, 0], [69, 41], [168, -88], [3, 1]]], 1, 256, [], [] >,
< [ -3, 0, 1 ], [[-48, -48]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, 60], [30, 2], [0, 0]], [[0, 0], [-5/2, 1], [72, -29], [2, 1/2]], [[0, 0], [6, -9/2], [-171, 128], [3/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, 96], [12, -4], [0, 0]], [[0, 0], [-920, -1039/2], [-12, -3], [-1/2, 2]], [[0, 0], [2, -1/2], [0, 1], [1/2, 0]]], 1, 256, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-424, -236], [-54, -10], [0, 0]], [[0, 0], [25413/2, -14771/2], [30693, -17709], [7/2, 1/2]], [[0, 0], [7246, -4428], [18000, -10332], [12, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-296, -180], [18, -10], [0, 0]], [[0, 0], [59/2, 23/2], [-15, -11], [-11/2, -5/2]], [[0, 0], [41, 15], [-18, -14], [-7, -3]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 8], [-48, 20], [0, 0]], [[0, 0], [191/2, 95/2], [9, -53], [-3/2, 3/2]], [[0, 0], [-5/2, 3/2], [-3, 3], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, 92], [-24, -12], [0, 0]], [[0, 0], [-210, 78], [804, -544], [-6, -2]], [[0, 0], [409/2, -195/2], [-915, 565], [7/2, 1/2]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[1536, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10016, 5792], [-24, -8], [0, 0]], [[0, 0], [15562, -9014], [9864, -5700], [2, -2]], [[0, 0], [10953, -6435], [6978, -4050], [-1, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7292, -4260], [48, -4], [0, 0]], [[0, 0], [40175, -23119], [25434, -14670], [-1, 3]], [[0, 0], [5, -1], [6, 6], [1, 1]]], 0, 131072, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [212, 112], [54, 10], [0, 0]], [[0, 0], [-3688, 518], [-4914, 2542], [-2, 0]], [[0, 0], [-14279/2, 3815/2], [-10962, 5924], [-7/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [480, 284], [-30, 2], [0, 0]], [[0, 0], [-7751, 8372], [-31320, 17976], [-4, 1]], [[0, 0], [-63905/2, -101659/2], [80352, -44496], [55/2, 15/2]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [728, 420], [-18, -10], [0, 0]], [[0, 0], [-201/2, 111/2], [-48, -26], [-11/2, -5/2]], [[0, 0], [-289/2, 165/2], [-18, -8], [-5/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [800, 452], [54, 10], [0, 0]], [[0, 0], [-68508, 36579], [-141456, 81536], [-3, 0]], [[0, 0], [-116397/2, 45273/2], [-104832, 60032], [-13/2, -5/2]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, -72], [66, 2], [0, 0]], [[0, 0], [-3552, 2331], [-9720, 5520], [7, 2]], [[0, 0], [198937/2, -127047/2], [267840, -152640], [-325/2, -75/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-564, -332], [36, 4], [0, 0]], [[0, 0], [3173/2, -3171/2], [5772, -3286], [-1/2, 5/2]], [[0, 0], [3700, -1058], [7254, -4262], [-6, 0]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[192, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [388, 236], [-60, -4], [0, 0]], [[0, 0], [-15345, 8991], [-39534, 22814], [-3, -1]], [[0, 0], [10987/2, -7105/2], [14916, -8580], [13/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, 48], [30, 6], [0, 0]], [[0, 0], [-7053/2, 3961/2], [-7638, 4436], [11/2, 3/2]], [[0, 0], [-10871, 5715], [-22644, 13336], [45, 21]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1414, -792], [10, -4], [0, 0]], [[0, 0], [-3712, -2531], [-122, 83], [19, 9]], [[0, 0], [-39986, -23846], [-150, 214], [180, 100]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [982, 568], [-14, -8], [0, 0]], [[0, 0], [623, 361], [-5, -3], [-14, -8]], [[0, 0], [179, 168], [3, -4], [-9, -1]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [752, 438], [8, 2], [0, 0]], [[0, 0], [-10113, -5834], [-87, -44], [-11, -3]], [[0, 0], [-41566, -23996], [-338, -192], [-34, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-966, -564], [10, 8], [0, 0]], [[0, 0], [546, 271], [-18, 7], [11, 5]], [[0, 0], [1154, 608], [-26, 8], [24, 12]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1642, 956], [-22, -16], [0, 0]], [[0, 0], [-4422, -3198], [-154, 178], [6, 2]], [[0, 0], [-14210, -8447], [136, 179], [13, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1924, -1114], [12, 10], [0, 0]], [[0, 0], [-32026, -18289], [402, 39], [-13, -7]], [[0, 0], [138768, 74946], [-5288, 1910], [64, 24]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2484, -1438], [4, 6], [0, 0]], [[0, 0], [498, 316], [26, -12], [10, 6]], [[0, 0], [479, 352], [65, -34], [11, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-868, -500], [-20, -12], [0, 0]], [[0, 0], [-11, -14], [-3, 2], [5, 5]], [[0, 0], [34, 26], [2, -2], [-14, -10]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [270, 160], [2, 4], [0, 0]], [[0, 0], [-3/2, -1/2], [1/2, -1/2], [1, 0]], [[0, 0], [-7016, -4068], [-104, -72], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [202, 120], [-10, -4], [0, 0]], [[0, 0], [1/2, -1/2], [1/2, -1/2], [1, 0]], [[0, 0], [-2618, -1498], [102, 66], [0, 0]]], 1, 64, [], [] >,
< [ -3, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [308, 178], [4, 2], [0, 0]], [[0, 0], [-1/2, -3/2], [-1/2, 1/2], [1, 0]], [[0, 0], [-28, -16], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-344, -198], [36, 22], [0, 0]], [[0, 0], [3/2, -3/2], [-1/2, 1/2], [1, 0]], [[0, 0], [100, 56], [-8, -8], [0, 0]]], 1, 64, [], [] >,
< [ -3, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-122, -126], [-18, 2], [0, 0]], [[0, 0], [365, -213], [-83, 47], [-2, 0]], [[0, 0], [-170, 98], [38, -22], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1412, -784], [12, 0], [0, 0]], [[0, 0], [-6986, 4102], [1566, -906], [-8, 0]], [[0, 0], [-4805, 2693], [1055, -607], [2, 4]]], 0, 4096, [], [] >,
< [ -3, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1850, 1106], [18, 2], [0, 0]], [[0, 0], [192844, -110658], [-42544, 24570], [-2, 10]], [[0, 0], [763249, -449359], [-170671, 98445], [-136, -34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1320, 768], [16, 8], [0, 0]], [[0, 0], [7677, -4389], [-1611, 931], [2, 0]], [[0, 0], [-1534, 878], [322, -186], [0, 0]]], 0, 4096, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [110, 40], [-10, 4], [0, 0]], [[0, 0], [-11402, -6573], [194, 99], [7, -1]], [[0, 0], [-19618, -11324], [318, 180], [6, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-688, -394], [8, 2], [0, 0]], [[0, 0], [-105906, -61149], [904, 529], [11, 3]], [[0, 0], [70382, 40648], [-586, -360], [-14, 2]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [878, 508], [-46, -28], [0, 0]], [[0, 0], [3257, 1901], [-135, -111], [12, 6]], [[0, 0], [-2973, -1748], [107, 112], [-11, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-374, -214], [-2, -2], [0, 0]], [[0, 0], [-1993, -1176], [-31, -10], [-5, 1]], [[0, 0], [-23327, -13572], [-309, -146], [-33, -3]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-326, -188], [-14, -8], [0, 0]], [[0, 0], [661, 381], [1, 1], [2, 0]], [[0, 0], [-1666, -959], [-2, -3], [-7, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1916, -1106], [4, 2], [0, 0]], [[0, 0], [2280, 1301], [2, 3], [7, -1]], [[0, 0], [2483, 1423], [3, 3], [6, 0]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1482, 852], [14, 12], [0, 0]], [[0, 0], [59768, 34257], [456, 533], [-9, -5]], [[0, 0], [57747, 35021], [2255, -511], [-8, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [362, 206], [-26, -14], [0, 0]], [[0, 0], [10547, 6062], [-739, -416], [-9, -3]], [[0, 0], [-13474, -7852], [914, 556], [4, 8]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -4], [22, 16], [0, 0]], [[0, 0], [-1/2, -1/2], [-1/2, -1/2], [1, 0]], [[0, 0], [150, 84], [-442, -260], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-182, -108], [10, 4], [0, 0]], [[0, 0], [3/2, -1/2], [-1/2, -1/2], [1, 0]], [[0, 0], [-154, -88], [6, 4], [0, 0]]], 1, 64, [], [] >,
< [ -3, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 30], [12, 6], [0, 0]], [[0, 0], [-3/2, -3/2], [1/2, 1/2], [1, 0]], [[0, 0], [38, 22], [10, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [194, 116], [10, 8], [0, 0]], [[0, 0], [1/2, -3/2], [1/2, 1/2], [1, 0]], [[0, 0], [-7218, -4208], [-418, -264], [0, 0]]], 1, 64, [], [] >,
< [ -3, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3670, 2146], [14, 2], [0, 0]], [[0, 0], [194288, -111978], [-43536, 25134], [-6, 2]], [[0, 0], [-331351, 192233], [74485, -43011], [2, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1238, 734], [-10, -10], [0, 0]], [[0, 0], [1417, -747], [-295, 177], [10, 0]], [[0, 0], [2910, -1690], [-650, 374], [12, -8]]], 0, 4096, [], [] >,
< [ -3, 0, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2646, -1510], [10, 2], [0, 0]], [[0, 0], [9205, -7489], [-2387, 1367], [-4, -10]], [[0, 0], [194907, -115679], [-42389, 24457], [104, -78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4934, -2878], [-22, -6], [0, 0]], [[0, 0], [-159023, 92439], [36433, -21029], [8, -2]], [[0, 0], [264016, -157930], [-61404, 35402], [-30, -6]]], 0, 4096, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1387, -797], [-1, 1], [0, 0]], [[0, 0], [-3858, -2195], [-4, 5], [-8, 10]], [[0, 0], [-29560, -17016], [8, 16], [16, 32]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -2], [1, 0], [0, 0]], [[0, 0], [-424, -240], [0, 0], [0, -8]], [[0, 0], [4, -48], [0, 0], [-74, 42]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2252, -1300], [36, 20], [0, 0]], [[0, 0], [26150, 15129], [-408, -231], [-10, 8]], [[0, 0], [3778, 2208], [-62, -32], [-10, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -2], [1, 0], [0, 0]], [[0, 0], [-1428, -800], [0, 0], [-2, -10]], [[0, 0], [-3668, 1972], [0, 0], [1280, -740]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2299, -1327], [-9, -5], [0, 0]], [[0, 0], [-2199, -1266], [-11, 0], [-6, 8]], [[0, 0], [2898, 1699], [-32, 27], [-76, 38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -2], [1, 0], [0, 0]], [[0, 0], [-696, -364], [0, 0], [14, -6]], [[0, 0], [-460, 112], [0, 0], [122, -70]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1963, -1135], [-45, -25], [0, 0]], [[0, 0], [8304, 4797], [190, 109], [8, 6]], [[0, 0], [2116, 1202], [44, 30], [12, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -2], [1, 0], [0, 0]], [[0, 0], [1632, 936], [0, 0], [-16, 0]], [[0, 0], [-268, 80], [0, 0], [302, -174]]], 0, 512, [], [] >,
< [ -3, 0, 1 ], [[-20064, -11584]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [240, 140], [22, 10], [0, 0]], [[0, 0], [721, 827/2], [58, 15], [-1/2, -2]], [[0, 0], [-1060, -618], [-30, -54], [6, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [276, 160], [62, 34], [0, 0]], [[0, 0], [6325, 7311/2], [1403, 782], [1/2, -1]], [[0, 0], [59185/2, 17060], [6284, 3811], [-10, 5/2]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[-20064, -11584]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -32], [-102, -58], [0, 0]], [[0, 0], [281, 297/2], [508, 275], [1/2, 2]], [[0, 0], [2674, 2893/2], [4848, 2669], [17/2, 17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-296, -172], [-12, -4], [0, 0]], [[0, 0], [5031, 5757/2], [91, 132], [-1/2, -1]], [[0, 0], [11493/2, 3264], [40, 187], [0, -3/2]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[-20064, -11584]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [248, 144], [-18, -2], [0, 0]], [[0, 0], [-5612, -3282], [540, -32], [2, 0]], [[0, 0], [14905/2, 4325], [-476, -95], [-2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, 60], [-22, -2], [0, 0]], [[0, 0], [-3152, -3629/2], [386, 241], [1/2, 0]], [[0, 0], [-352, -204], [48, 24], [0, 0]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[-20064, -11584]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-208, -120], [58, 34], [0, 0]], [[0, 0], [293/2, 81], [-12, -35], [0, -1/2]], [[0, 0], [-869/2, -255], [140, 47], [2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -8], [50, 30], [0, 0]], [[0, 0], [173/2, 48], [-213, -122], [2, 1/2]], [[0, 0], [389/2, 231/2], [-491, -285], [5/2, 5/2]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180, 104], [6, -10], [0, 0]], [[0, 0], [159/2, 95], [6123, -3550], [-2, 1/2]], [[0, 0], [-3395/2, -2241/2], [-17379, 10255], [25/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-240, -140], [-12, -16], [0, 0]], [[0, 0], [-345, -445/2], [69, -90], [5/2, 1]], [[0, 0], [-1025, -618], [6, -144], [6, 3]]], 1, 512, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, 60], [12, -8], [0, 0]], [[0, 0], [-3, 3/2], [0, 1], [3/2, 0]], [[0, 0], [-8, 9/2], [0, 1], [5/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, 64], [-72, -4], [0, 0]], [[0, 0], [526, 323/2], [2901, -1836], [1/2, -2]], [[0, 0], [616, 566], [-4782, 2442], [-6, 0]]], 1, 512, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, 80], [-30, -6], [0, 0]], [[0, 0], [-658, 231/2], [5697, -3256], [-1/2, 1]], [[0, 0], [-3181, -3470], [-18114, 11124], [16, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-124, -72], [-54, -10], [0, 0]], [[0, 0], [991/2, -31], [-14295, 8312], [-1, -1/2]], [[0, 0], [-64, 28], [2940, -1700], [0, 0]]], 1, 512, [], [] >,
< [ -3, 0, 1 ], [[96, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, 64], [24, 16], [0, 0]], [[0, 0], [1285/2, 319], [204, 51], [-2, -1/2]], [[0, 0], [-2635/2, -1685/2], [-249, -249], [5/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, 68], [6, 2], [0, 0]], [[0, 0], [-303, -359/2], [-12, -13], [-1/2, -1]], [[0, 0], [190, 130], [-12, 20], [-2, 2]]], 1, 512, [], [] >,
< [ -3, 0, 1 ], [[-32, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-684, -390], [4, -2], [0, 0]], [[0, 0], [5/2, -1/2], [1/2, -1/2], [1, 0]], [[0, 0], [284, 164], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -34], [4, 2], [0, 0]], [[0, 0], [1/2, -1/2], [1/2, -1/2], [1, 0]], [[0, 0], [76, 44], [0, 0], [0, 0]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[-32, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-326, -188], [-34, -20], [0, 0]], [[0, 0], [-3/2, -1/2], [1/2, -1/2], [1, 0]], [[0, 0], [80, 48], [12, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [262, 156], [2, -4], [0, 0]], [[0, 0], [-7/2, -1/2], [1/2, -1/2], [1, 0]], [[0, 0], [340, 200], [0, -4], [0, 0]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[-32, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-452, -256], [0, -4], [0, 0]], [[0, 0], [7/2, -3/2], [-1/2, 1/2], [1, 0]], [[0, 0], [-1054, -600], [-2, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [156, 94], [-8, -10], [0, 0]], [[0, 0], [-5/2, -3/2], [-1/2, 1/2], [1, 0]], [[0, 0], [2672, 1572], [-180, -144], [0, 0]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[-32, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [454, 264], [-18, -12], [0, 0]], [[0, 0], [-1/2, -3/2], [-1/2, 1/2], [1, 0]], [[0, 0], [-416, -236], [20, 8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-524, -302], [-44, -26], [0, 0]], [[0, 0], [3/2, -3/2], [-1/2, 1/2], [1, 0]], [[0, 0], [-126, -84], [-22, 0], [0, 0]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[-32, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-232, -142], [4, 10], [0, 0]], [[0, 0], [7/2, -1/2], [-1/2, -1/2], [1, 0]], [[0, 0], [-556, -292], [48, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-190, -106], [2, -2], [0, 0]], [[0, 0], [3/2, -1/2], [-1/2, -1/2], [1, 0]], [[0, 0], [3864, 2230], [16, 10], [0, 0]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[-32, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, -36], [-22, -16], [0, 0]], [[0, 0], [-1/2, -1/2], [-1/2, -1/2], [1, 0]], [[0, 0], [1182, 676], [442, 260], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-198, -118], [10, 10], [0, 0]], [[0, 0], [-5/2, -1/2], [-1/2, -1/2], [1, 0]], [[0, 0], [-58, -36], [2, 4], [0, 0]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[-32, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [244, 134], [0, 6], [0, 0]], [[0, 0], [5/2, -3/2], [1/2, 1/2], [1, 0]], [[0, 0], [-652, -368], [-8, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-484, -288], [-8, 4], [0, 0]], [[0, 0], [-7/2, -3/2], [1/2, 1/2], [1, 0]], [[0, 0], [290, 160], [-6, 4], [0, 0]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[-32, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, -78], [8, 2], [0, 0]], [[0, 0], [-3/2, -3/2], [1/2, 1/2], [1, 0]], [[0, 0], [668, 388], [-24, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-594, -340], [10, 4], [0, 0]], [[0, 0], [1/2, -3/2], [1/2, 1/2], [1, 0]], [[0, 0], [-7514, -4350], [102, 66], [0, 0]]], 1, 128, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1444, -828], [-12, -16], [0, 0]], [[0, 0], [-190155/2, -112261/2], [-2995, 243], [13/2, 5/2]], [[0, 0], [-251579, 160908], [422734, -243856], [-270, 155]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-452, -260], [8, 4], [0, 0]], [[0, 0], [-451/2, -259/2], [1, 3], [-1/2, -3/2]], [[0, 0], [-11/2, -9/2], [-5, 3], [5/2, -3/2]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[0, 128]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 8], [-68, -36], [0, 0]], [[0, 0], [6516, 3773], [-27292, -15754], [1, 2]], [[0, 0], [-6559/2, 3743/2], [-851, 583], [-847/2, 489/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-508, -292], [756, 436], [0, 0]], [[0, 0], [-6707/2, -3533/2], [4823, 2727], [1/2, -3/2]], [[0, 0], [-22059, 12655], [7618, -4278], [213, -123]]], 0, 2048, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-908, -532], [48, 12], [0, 0]], [[0, 0], [-5755/2, 2279/2], [-4947, 2823], [-7/2, -3/2]], [[0, 0], [11400, -6228], [22512, -12976], [4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2076, 1220], [-60, 16], [0, 0]], [[0, 0], [302937/2, -175261/2], [358461, -206947], [-7/2, 1/2]], [[0, 0], [43999, -24744], [102636, -59294], [4, 3]]], 0, 8192, [], [] >,
< [ -3, 0, 1 ], [[384, 0]], [ -3, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, 52], [72, 8], [0, 0]], [[0, 0], [-289, -100], [-1434, 704], [-2, 1]], [[0, 0], [2659/2, 1423/2], [1683, -285], [5/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, 32], [228, 140], [0, 0]], [[0, 0], [-9595/2, -5573/2], [-20175, -11487], [1/2, -3/2]], [[0, 0], [20849/2, -10565/2], [-91695, 56005], [2105/2, -1215/2]]], 0, 8192, [], [] >,
< [ -3, -1, 1 ], [[2, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 2], [3/2, 19/2], [-1, 3/2], [0, 0]], [[14, 4], [-44, 48], [-16, 10], [0, 0]], [[0, 1/2], [-1/2, 1/2], [0, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [75/2, -9], [3/2, -1/2], [0, 0]], [[28, 55/2], [3269/6, 2029/6], [32/3, 22/3], [-11/6, 1/3]], [[40, 103/2], [6373/6, 1609/3], [119/6, 73/6], [-17/3, 5/3]]], 3, 2, [], [] >,
< [ -3, -1, 1 ], [[2, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 11/2], [25/2, -17], [1/2, 5/2], [0, 0]], [[1805, 1473], [-5430, -1099/2], [1615/2, 665/2], [1/2, 0]], [[76, 95/2], [577/2, -229], [-19/2, 57/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -9/2], [21/2, 15], [-3/2, -3/2], [0, 0]], [[-9/2, -2], [-341/6, 167/6], [4/3, -11/6], [-2/3, -1/3]], [[-35/2, 9], [-2707/3, 2345/6], [109/3, -46/3], [-13/6, 7/6]]], 3, 3, [], [] >,
< [ -3, -1, 1 ], [[6, 0]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1/2, 0], [1/2, 0], [1, 0], [0, 0]], [[0, 0], [0, 0], [1/2, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [13/2, 0], [1, 0], [0, 0]], [[-25/2, 5/2], [-5121/34, 827/34], [-75/34, 15/34], [-25/34, 5/34]], [[-1/2, 7/2], [59/34, 1559/34], [-3/34, 21/34], [-1/34, 7/34]]], 3, 4, [], [] >,
< [ -3, -1, 1 ], [[6, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 5/2], [69/2, 8], [3/2, 1/2], [0, 0]], [[-67/2, -88], [-5634, 3733/2], [-206, 60], [1/2, -5/2]], [[-2995, 422], [220888, -100893], [7718, -3604], [-121, 33]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1/2], [7/2, 4], [1/2, -1/2], [0, 0]], [[-5/2, -3], [-9, -1/6], [-10, 14/3], [-3/2, -1/6]], [[-66, -1/2], [235, -787/6], [477, -1229/6], [33, -121/6]]], 3, 3, [], [] >,
< [ -3, -1, 1 ], [[3, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -5/2], [10, 7/2], [-1/2, -1], [0, 0]], [[7, -1], [-185, 85/2], [-37/2, 21/2], [-3/2, -2]], [[-58, 33/2], [3201/2, -1073/2], [188, -92], [5/2, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 3], [349/2, 15/2], [2, 1/2], [0, 0]], [[175/2, 73/2], [63477/34, 33769/34], [233/34, 477/34], [73/34, -1/34]], [[-99/2, 217/2], [1651/34, 70723/34], [1761/34, -87/34], [-197/34, 121/34]]], 3, 2, [], [] >,
< [ -3, -1, 1 ], [[2, -4]], [ -30, -18 ], [ -5, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[6, 7/2], [-83/6, 5/6], [3/2, 2], [16/39, 1/78]], [[0, 1/2], [9/2, -7/3], [1/2, 0], [-3/26, 5/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 7/2], [17, -15], [2, 3/2], [0, 0]], [[-55/2, -5], [3001/18, -11/9], [355/6, 5/6], [-355/234, -5/234]], [[1, -1/2], [-76/9, 71/18], [-17/6, 4/3], [17/234, -4/117]]], 4, 3, [], [] >,
< [ -3, -1, 1 ], [[3, -6]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1], [-8, 5/2], [-1/2, 1], [0, 0]], [[-52, -83/2], [231/2, 33], [-48, -167/4], [31/52, 3/52]], [[47, 20], [402, -227], [145/2, 8], [3, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [85/2, 33/2], [0, -5/2], [0, 0]], [[304, -17/2], [535402/17, -62/17], [4385/68, -503/68], [-1299/884, -1/442]], [[-7/2, -3/2], [-6576/17, -2877/17], [-39/68, -4/17], [4/221, 7/884]]], 3, 8, [], [] >,
< [ -3, -1, 1 ], [[3, -6]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, -6], [37/2, -19], [-1, -5/2], [0, 0]], [[119, 221/2], [2341/2, -647/2], [389/4, 15/2], [15/52, -1/13]], [[-340, -527/2], [-1045/2, -241], [-447/4, -309/4], [-5/52, -3/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -9/2], [247/2, 57/2], [-5/2, -1], [0, 0]], [[585, 537], [-1149215/34, 51547/34], [22981/68, 3251/68], [-539/884, -1/884]], [[231678, 58236], [981538679/34, -258051572/17], [-14068393/68, 2191524/17], [427667/884, -58230/221]]], 3, 8, [], [] >,
< [ -3, -1, 1 ], [[-10, 6]], [ -110, 32 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 3/2], [-17/6, -4/9], [3/2, 0], [0, 0]], [[-31/2, 117/2], [-231/2, -6], [191/3, -31/6], [0, 5/18]], [[-162, 73/2], [-253/2, 275/3], [181/2, -54], [-2/3, 1/9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 3/2], [14/3, -5/18], [6, -1/2], [0, 0]], [[-390, -192], [-2773/6, -77/9], [-5359/9, 55/9], [-5/18, 1/6]], [[6450, 5850], [1756, 4247], [16216/9, 47354/9], [-32/9, 4/9]]], 4, 4, [], [] >,
< [ -3, -1, 1 ], [[14, -5]], [ -535, -2 ], [ -748, 306 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[38, 3/2], [15135608/5633, 16859/11266], [2338/731, -259/1462], [-2548/95761, -1/95761]], [[5525, -3700], [55272579/131, -70122681/262], [37789/68, -5591/17], [-1600935/383044, 14931/5633]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-59, 1/2], [2386/43, 383/86], [-59/43, 1/86], [0, 0]], [[-57727/2, -4514], [1555523/86, 423929/86], [-802363/2924, -76996/731], [-3/68, 0]], [[65777/2, -30470], [-453880213/33798, 607389097/33798], [871217/8772, -1124161/4386], [84869/1149132, -28879/574566]]], 4, 4, [], [] >,
< [ -3, -1, 1 ], [[-5, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 3/2], [127/2, -30], [-3/2, 3/2], [0, 0]], [[-325/2, -249/2], [389/2, 43], [-50, -35], [-2, -5/2]], [[-27, -18], [924, -382], [-36, 7], [8, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [463/2, -42], [5/2, -3/2], [0, 0]], [[718, 701], [-28312/3, -117458/3], [2006/3, 49/3], [2/3, 1/3]], [[5785/2, -1191/2], [-1044645/2, 397227/2], [-15205/2, 7003/2], [-5/2, 3/2]]], 3, 2, [], [] >,
< [ -3, -1, 1 ], [[-15, 9]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-11, 3/2], [-23, -13/2], [3/2, 1], [3/2, 1]], [[172, -76], [188, -88], [-2, 3/2], [-2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [5/2, 5/2], [1, 0], [0, 0]], [[-50, -7/2], [-5120/17, -1047/34], [-291/34, -9/34], [-97/34, -3/34]], [[-19051/2, 3856], [-1865923/34, 374584/17], [-29181/17, 11919/17], [-9727/17, 3973/17]]], 3, 8, [], [] >,
< [ -3, -1, 1 ], [[9, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, -13/2], [627/2, 21], [-3/2, -5/2], [0, 0]], [[10555, 21245/2], [1876547/2, -636858], [21527/2, -143/2], [0, 2]], [[-73239/2, -17371/2], [18019577/2, -7083273/2], [94479/2, -55913/2], [-31/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 7/2], [-111, -11/2], [3/2, 1], [0, 0]], [[-22, -45/2], [10034, -12254/3], [-55/2, 7/3], [1/2, 5/6]], [[-875/2, -15], [-1118453/2, 489185/2], [1064, -1047/2], [27, -5]]], 3, 6, [], [] >,
< [ -3, -1, 1 ], [[-10, 2]], [ -78, -32 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 2], [22/9, -1/9], [2, 0], [0, 0]], [[-1, -9/2], [-3/2, 1], [-13/2, -3/2], [-25/18, -5/18]], [[-1, 3/2], [1, -1/2], [5/2, -1/6], [5/9, -1/18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -1/2], [47/6, 7/6], [3/2, -1/2], [0, 0]], [[-697, -112], [-68785/27, -33143/27], [-812/3, 39], [-7/9, -2/9]], [[2757/2, -718], [107155/54, -41408/27], [2530/3, -2333/6], [7/6, -2/3]]], 4, 4, [], [] >,
< [ -3, -1, 1 ], [[18, -7]], [ -537, 2 ], [ -340, 102 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-115/2, 0], [-7730732/5633, 6509/5633], [1227/2924, -121/1462], [6703/383044, 1/95761]], [[301, -82], [40501597/5633, -22101689/11266], [-1864/731, 2671/2924], [-8769/95761, 9545/383044]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[64, -2], [172, 3], [-2, 0], [0, 0]], [[42367/2, 3763], [-44622507/5633, 328415203/33798], [1381645/2924, -1009901/8772], [23025/383044, -5/1149132]], [[410285/2, -49809/2], [-934760836/5633, 1742995498/16899], [18048859/2924, -19601635/8772], [255797/383044, -184747/1149132]]], 4, 4, [], [] >,
< [ -3, -1, 1 ], [[-5, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [-19/2, 3/2], [-1, 1/2], [0, 0]], [[-3, -3/2], [-37/2, -39/2], [0, 0], [-1/2, -1]], [[3/2, -1/2], [-13/2, 5], [0, 0], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1], [371/2, 53/2], [2, -1/2], [0, 0]], [[-5039/2, -5043/2], [-711283/2, -327099/2], [-5027/2, -7/2], [3/2, -1/2]], [[-24037, -40819/2], [-7682882/3, -9605483/6], [-39347/3, -21881/6], [17/3, -7/6]]], 3, 2, [], [] >,
< [ -3, -1, 1 ], [[8, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 4], [-394, 45], [0, 2], [0, 0]], [[-349/2, -357/2], [-16609, 12219], [-185, 3/2], [3/2, 2]], [[-8463/2, 3500], [3119173, -2774517/2], [18513, -7524], [185/2, -115/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 2], [-319/2, -109/2], [-1, 3/2], [0, 0]], [[1701/2, 1665/2], [-41069/2, -66613/2], [1579/2, 41/2], [-1/2, 1/2]], [[-4163/2, -3311], [-95989/6, 465086/3], [-34237/6, 3611/3], [37/6, -11/3]]], 3, 6, [], [] >,
< [ -3, -1, 1 ], [[-15, 3]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [-7/2, 0], [1, 0], [0, 0]], [[-133/2, -2], [-133/2, -3], [0, -1/2], [0, -1/2]], [[-1424, 890], [-1383, 881], [41/2, -9/2], [41/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [-4, 7/2], [1, 0], [0, 0]], [[-2, -1/2], [1166/17, -1109/34], [-55/17, 11/17], [5/17, -1/17]], [[-3, -4], [-1840/17, 640/17], [22/17, -121/34], [-2/17, 11/34]]], 3, 8, [], [] >,
< [ -3, -1, 1 ], [[4, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [-59/2, 8], [-1/2, 1/2], [0, 0]], [[-35/2, -33/2], [-281, 240], [-16, 1/2], [-1/2, -1]], [[-9/2, 74], [18593/2, -8779/2], [285, -209/2], [-10, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [613, -19/2], [5/2, -1], [0, 0]], [[4315/2, 4335/2], [15450809/6, 10213033/6], [13015/6, -13/6], [-17/6, -1/6]], [[-54161/2, -9018], [-62708333/6, -86032405/6], [80065/3, -107279/6], [-92/3, 68/3]]], 3, 2, [], [] >,
< [ -3, -1, 1 ], [[12, -9]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 0], [1, 0], [0, 0]], [[-51/2, 2], [-55/2, 4], [-1/2, 1/2], [-1/2, 1/2]], [[313/2, -20], [341/2, -32], [7/2, -3], [7/2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, 0], [1, 0], [0, 0]], [[2459/2, 5/2], [23403/34, -145/34], [-120/17, -3/34], [40/17, 1/34]], [[36527/2, -26783/2], [353929/34, -255671/34], [-3483/34, 1302/17], [1161/34, -434/17]]], 3, 8, [], [] >,
< [ -3, -1, 1 ], [[7, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 2], [32, -3], [-2, 2], [0, 0]], [[4, 2], [25/2, -43/2], [-7/2, 1], [2, 3/2]], [[-7/2, 1], [-175/2, 73/2], [10, -9/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 7/2], [24, 107/2], [3/2, 1], [0, 0]], [[-271/2, -287/2], [50153/2, -13287], [-171, 13], [-1, 1/2]], [[-328, -231], [-107651/6, 20201/6], [-185/6, -299/3], [2/3, -1/6]]], 3, 2, [], [] >,
< [ -3, -1, 1 ], [[21, -6]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 0], [1, 0], [0, 0]], [[27/2, 1], [-23/2, -24], [5/2, 5/2], [5/2, 5/2]], [[65, -61/2], [115, -81/2], [-5, 1], [-5, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 0], [1, 0], [0, 0]], [[165/2, -4], [7389/34, 3370/17], [15/17, 45/34], [-1/17, -3/34]], [[-53/2, 25/2], [-53/2, 25/2], [0, 0], [0, 0]]], 3, 8, [], [] >,
< [ -3, -1, 1 ], [[-5, 5]], [ -95, -25 ], [ -28, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-101/2, 0], [-3913/254, -66/127], [499/508, -7/254], [-11/508, -3/508]], [[5/2, -3/2], [77/127, -85/254], [-13/254, 4/127], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[573/2, -3], [22223/127, -243/127], [-1126/381, 7/1524], [-35/1524, 1/762]], [[-5363/2, 3332], [-416701/254, 258420/127], [40751/1524, -26245/762], [385/1524, -403/1524]]], 4, 4, [], [] >,
< [ -3, -1, 1 ], [[-15, 5]], [ -105, -25 ], [ -15, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[453, 2], [-83037/314, 637/314], [-1/2, 5/2], [112/471, 1/2355]], [[42552, -59691/2], [-7998731/314, 2749860/157], [-1085/2, 105], [35263/1570, -4925/314]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 1/2], [1, 1/2], [0, 0]], [[29, 0], [28401/314, -1597/942], [-25/2, 5/6], [68/2355, -1/2355]], [[-41/2, 9], [-20537/314, 27035/942], [19/2, -25/6], [-49/2355, 43/4710]]], 4, 4, [], [] >,
< [ -3, -1, 1 ], [[-25, 25]], [ -95, -25 ], [ -28, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[17/2, 9/2], [-35812/127, 867/254], [4095/254, 645/127], [1, 0]], [[447/2, 749/2], [1604222/127, -1566949/127], [-15145/508, 89960/127], [-21949/508, 22231/508]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[342, -4], [-74693/254, 142/127], [-26635/1524, -1145/1524], [-139/762, 5/1524]], [[78925/2, -42168], [-8400285/254, 4608409/127], [-2533955/1524, 1651045/762], [-32725/1524, 34255/1524]]], 1, 104, [], [] >,
< [ -3, -1, 1 ], [[-75, 25]], [ -105, -25 ], [ -15, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[309/2, 0], [-22177/314, -415/314], [-5/2, -3/2], [191/471, -1/942]], [[9690, -7885/2], [-679574/157, 275236/157], [-42, 8], [24035/942, -9785/942]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13/2, 3], [-5/2, 0], [0, 0]], [[-58, 0], [7459/157, -10877/942], [-13, 25/6], [-136/471, 2/471]], [[2209/2, 47], [-275233/314, 179627/942], [475/2, -433/6], [2585/471, 47/314]]], 1, 104, [], [] >,
< [ -3, -1, 1 ], [[61, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -1/2], [-27, -1/2], [-23/2, 0], [0, 0]], [[-39/2, -73/2], [497/2, 286], [88, 125], [-2, 3/2]], [[-18, -112], [511, 827], [144, 372], [-10, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, 6], [-263/2, -53/2], [22, -29/2], [0, 0]], [[1216, -315/2], [-39620/3, -94535/6], [-9272/3, 445/6], [1/3, -5/6]], [[-57688, 26321/2], [982952/3, 3284081/6], [423128/3, -123361/6], [-88/3, 209/6]]], 1, 44, [], [] >,
< [ -3, -1, 1 ], [[33, -39]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[47/2, 3/2], [47/2, 3/2], [16, -21], [0, 0]], [[18048, -76680], [18042, -76677], [220408, -26079/2], [-1, 1/2]], [[-840, -864], [-840, -864], [1595, 783], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-268, 1], [-180, -11], [-22, 3], [0, 0]], [[893282, 141083], [10645448/17, 2383965/17], [2349549/34, 9191/34], [-121/34, -3/34]], [[-690257715/2, 1558010271/2], [-4593993815/34, 18661249623/34], [-1843078707/34, 1012372599/17], [88387/34, -52221/17]]], 1, 176, [], [] >,
< [ -3, -1, 1 ], [[43, -15]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, 1], [25/2, 33/2], [16, -1/2], [0, 0]], [[912, -993/2], [2453/2, 115/2], [-1269, 722], [-5/2, 0]], [[2001/2, -380], [879/2, -1023/2], [-1431, 1057/2], [-1, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1], [-161, 0], [-5, -2], [0, 0]], [[5836, -579/2], [-2591171/6, 358645/3], [-53917/6, -971/6], [1/3, -1/3]], [[691811, -811577/2], [-213190859/3, 204307393/6], [-2826607/3, 3599489/6], [311/3, -217/6]]], 1, 44, [], [] >,
< [ -3, -1, 1 ], [[129, -45]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23, 0], [23, 0], [-21, 10], [0, 0]], [[8851/2, 8029/2], [8847/2, 8013/2], [2459/2, 43], [1/2, 2]], [[-38020, 1429/2], [-37740, 1233/2], [35010, -33477/2], [-70, 49/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[603/2, 1], [379/2, 39], [56, -19], [0, 0]], [[15449315, 15868125/2], [216022499/17, 270058353/34], [23282145/17, -151235/34], [23/17, 1/34]], [[-7850418114, 406325556], [-81029726408/17, -11739078848/17], [-52370922365/34, 9313458665/17], [-50365/34, 8785/17]]], 1, 176, [], [] >,
< [ -3, -1, 1 ], [[104, -42]], [ -110, 32 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 5], [-74/3, 67/9], [-19, 8], [0, 0]], [[-1728, 21], [-68945/6, -56857/9], [-2503, 220], [1/2, 1/6]], [[-149103/2, 34075], [-238353/2, 234340/3], [-714263/6, 322301/6], [23/2, -53/9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[97/2, -2], [-67/2, 1/6], [-225/2, -1/2], [0, 0]], [[241247/2, -27761/2], [-495689/6, 122935/18], [-2491564/9, 369371/18], [-5/18, -1/6]], [[45282883, -39717389/2], [-179161867/6, 118022554/9], [-594249485/6, 130537732/3], [-56/3, 86/9]]], 1, 72, [], [] >,
< [ -3, -1, 1 ], [[-115, 52]], [ -535, -2 ], [ -748, 306 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-175257/2, 1/2], [747489145/11266, -23953/11266], [961731/1462, -14/731], [-43790/95761, 1/191522]], [[513272483/2, -101343830], [-1094614140365/5633, 864518623417/11266], [-2816684909/1462, 2224595855/2924], [128247968/95761, -202577251/383044]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[215/2, 0], [-199/2, -11], [5/2, 0], [0, 0]], [[1362261/2, 19993/2], [-25830771227/16899, -370447685/33798], [-13467733/8772, 2039173/8772], [1348835/1149132, 1/1149132]], [[10569310409/2, -2082128328], [-404461354776415/33798, 79886034179810/16899], [-62737146857/4386, 12959397682/2193], [2662707866/287283, -1054406570/287283]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[52, -21]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, -4], [-57/2, 7/2], [-26, 21/2], [0, 0]], [[-19, 49], [-2312, -1908], [-69, -231], [1, -1]], [[-41, 47/2], [-241, -603/2], [97, -157/2], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -1/2], [-207/2, -11], [-21/2, -1/2], [0, 0]], [[-2060, 785/2], [206836/3, 28627/6], [21100/3, 475/6], [-5/3, -5/6]], [[68669, -31566], [-4830701/3, 2459888/3], [-539771/3, 267089/3], [34/3, -31/3]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[33, -30]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-43/2, 1], [-43/2, 1], [11, 7], [0, 0]], [[-39933, 15521], [-39938, 15522], [10665/2, 549/2], [-5/2, 1/2]], [[-7544124, 3712188], [-7544719, 3712727], [275215/2, -1360607/2], [-595/2, 539/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 0], [-209/2, 10], [31, -5], [0, 0]], [[61, -47/2], [47724/17, -37389/34], [-30251/34, 12085/34], [3/34, 5/34]], [[-101, 63/2], [-4606, 3025/2], [2889/2, -1003/2], [-1/2, -1/2]]], 1, 96, [], [] >,
< [ -3, -1, 1 ], [[-30, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, -5/2], [196, -55/2], [-37/2, 6], [0, 0]], [[16346, -3017], [914557, 664113/2], [-112691/2, -2527/2], [-5/2, 0]], [[-1372270, 571851/2], [-145142221/2, -23871230], [9264625/2, -114387/2], [206, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 0], [-1, 21], [8, 2], [0, 0]], [[223/2, -117/2], [4071/2, -3545/6], [-543/2, 1015/6], [1/2, -5/6]], [[-9279/2, 1654], [-56121, 104581/3], [25795/2, -22597/6], [-55, 11/6]]], 1, 96, [], [] >,
< [ -3, -1, 1 ], [[56, -18]], [ -78, -32 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -11/2], [3/2, 15/2], [-7/2, 15/2], [0, 0]], [[-15409/2, 1111/2], [81164/9, 38339/18], [20187/2, 154/3], [5/18, -1/9]], [[-273/2, -84], [2440/9, 3469/18], [210, 273/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 10], [274/27, 179/27], [26/3, 22/3], [0, 0]], [[-547/2, 37/2], [2182/9, -3215/18], [-445/2, 74/3], [11/18, -1/9]], [[6993/2, 671/2], [-107543/54, 59956/27], [16673/6, 371/3], [-22/3, 1/3]]], 1, 72, [], [] >,
< [ -3, -1, 1 ], [[-111, 46]], [ -537, 2 ], [ -340, 102 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[415543/2, -1], [-1041913489/5633, -58299/11266], [4992633/2924, -103/2924], [-454259/383044, -3/383044]], [[101734777, -400613635], [-1019945241445/11266, 4018019424137/11266], [2445086623/2924, -9626408103/2924], [-222396743/383044, 875884803/383044]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-37/2, -1/2], [-4621/86, -27/86], [25/43, 3/86], [0, 0]], [[-235829/2, 143/2], [1187184601/11266, 3287881/16899], [-1424663/1462, -20797/8772], [129045/191522, -1/1149132]], [[32475433, -164379663], [-314784978089/11266, 2487406393990/16899], [748511733/2924, -5972762063/4386], [-1637871/8908, 12557011/13362]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[28, -9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 4], [-2, -3], [-4, -6], [0, 0]], [[17/2, -7], [-3/2, 4], [-1/2, 9], [-3/2, 0]], [[-39/2, 8], [8, -3], [35/2, -13/2], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, -9], [-75/2, 49/2], [-15, 23/2], [0, 0]], [[-12178, -1213/2], [98842/3, 7867/6], [49315/3, 13363/6], [2/3, 5/6]], [[5053746, -2318385], [-41619214/3, 19057165/3], [-17898685/3, 8362501/3], [628/3, -202/3]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-55, 28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, 11/2], [-283, 1/2], [19/2, -7], [0, 0]], [[55919/2, -4657/2], [-388145/2, -1159313/2], [-73009/2, 511/2], [-1/2, -1/2]], [[1704, -732], [30280, -13689], [-2028, 868], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -2], [-164, -8], [2, 3], [0, 0]], [[-1733, 441/2], [216467/2, -64283], [4443/2, -249/2], [1, 0]], [[-88659, 42461], [53070889/6, -11137373/3], [309878/3, -306655/6], [257/6, -131/6]]], 1, 96, [], [] >,
< [ -3, -1, 1 ], [[84, -27]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, 2], [7, 2], [-3, 4], [0, 0]], [[-222, 99/2], [-234, 81/2], [257, -281/2], [-2, -3/2]], [[189/2, -41], [189/2, -41], [-145, 63], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -2], [11/2, -47], [-14, 13], [0, 0]], [[-27/2, -17/2], [6535/34, -8311/34], [-5113/34, 2403/34], [-39/34, 1/34]], [[-95/2, -25], [60991/34, -21972/17], [-35341/34, 15949/34], [-215/34, 43/34]]], 1, 96, [], [] >,
< [ -3, -1, 1 ], [[26, 0]], [ -30, -18 ], [ -5, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3, 1], [1/6, -7/6], [2, -1], [-2/3, 1/6]], [[3/2, 2], [22/3, 16/3], [3/2, 1/2], [2/3, 2/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 5/2], [23, -14], [2, 1/2], [0, 0]], [[-11, 7], [2323/9, -1027/9], [28/3, -7/3], [2/9, -2/9]], [[-2, -3/2], [37/9, 61/18], [5/6, 2/3], [-5/18, -2/9]]], 1, 42, [], [] >,
< [ -3, -1, 1 ], [[39, 0]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -5/2], [19/2, -7], [1/2, -5/2], [0, 0]], [[-73, -65/2], [-317/2, -5/2], [-139/2, -30], [-1/2, -1]], [[57, -16], [260, -207/2], [56, -65/4], [-5/4, 3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -2], [213, 25/2], [-1/2, -2], [0, 0]], [[3959/2, 97/2], [2661439/34, -1289362/17], [33101/17, 819/17], [-41/34, -1/17]], [[999, -846], [2376710/17, -1418439/34], [33387/34, -56579/68], [-39/68, 35/68]]], 1, 112, [], [] >,
< [ -3, -1, 1 ], [[39, 0]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 5], [27/2, 6], [0, 5/2], [0, 0]], [[-35/2, -21/2], [-69/2, -17/2], [4, -6], [1/2, 1]], [[0, 0], [-1, 1/2], [-1/2, 1/4], [-1/2, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -2], [-250, 69], [2, -2], [0, 0]], [[208, 215], [-96708/17, 200717/34], [3358/17, 513/68], [8/17, -3/68]], [[-13/2, -213/2], [495627/34, -257069/34], [-4196/17, 1254/17], [-23/34, 4/17]]], 1, 112, [], [] >,
< [ -3, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[0, 0], [1, -1], [0, 0], [1, 0]], [[0, 0], [4, 0], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 4], [-10, -6], [0, 0]], [[0, 0], [0, 0], [0, 1], [1, 0]], [[0, 0], [16, -6], [0, -4], [0, 0]]], 0, 20, [], [] >,
< [ -3, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 0], [3, 9], [2, -1], [0, 0]], [[1, 1/2], [-31/2, -14], [-1/2, 1/2], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[-1/2, 5/2], [11/2, -15/2], [-1/2, 5/2], [-1/2, 5/2]], [[-39, 195/2], [281, -605/2], [-39, 195/2], [-39, 195/2]]], 2, 3, [], [] >,
< [ -3, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [6, -11/2], [-1/2, -1/2], [-1/2, 0]], [[0, 0], [2, 0], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 1], [1, 0], [0, 0]], [[0, 0], [385/6, 85/3], [10/3, 19/6], [17/6, 1/6]], [[0, 0], [1953/2, -721/2], [-45/2, 15], [90, -75/2]]], 1, 2, [], [] >,
< [ -3, -1, 1 ], [[-4, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -11/2], [11, -47/2], [-3/2, -2], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[-35, -49/2], [351/2, -161], [-7/2, -21/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[-11/2, -9/2], [-29, 2], [-3, -7/2], [-5/2, -1]], [[-15, -25/2], [-97, 13], [-15/2, -10], [-15/2, -5/2]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[20, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [-100, 31], [7, 5], [1, 2]], [[0, 0], [345/2, -139/2], [-7/2, -2], [1, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 3], [1, 0], [0, 0]], [[0, 0], [293/6, 23/3], [20/3, 35/6], [25/6, 5/6]], [[0, 0], [-289/6, 68/3], [5/3, -1/6], [-23/6, 11/6]]], 1, 5, [], [] >,
< [ -3, -1, 1 ], [[-12, 0]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-11/2, -3], [-11/2, -3], [4, -15/2], [2, -5/2]], [[-507/2, -156], [-507/2, -156], [41, -605/2], [39, -195/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[15/2, 2], [15/2, 2], [21/2, 7/2], [-1/2, 5/2]], [[-27, 15], [-27, 15], [-32, 19], [24, -9]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[12, 0]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [-12, 7], [-2, -1]], [[0, 0], [0, 0], [-83/2, 16], [1/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43, 19], [10, -6], [0, 0]], [[0, 0], [1579/17, -173/17], [-3305/34, -2603/34], [-25/34, 5/34]], [[0, 0], [-533/17, 59/17], [525/17, 439/17], [5/17, -1/17]]], 1, 8, [], [] >,
< [ -3, -1, 1 ], [[-12, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 1], [1, 0], [0, 0]], [[5/2, 1], [10, -5], [9/2, -1/2], [-2, 3/2]], [[-1/2, -1/2], [1, 0], [0, -1/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [13/2, -5/2], [-1, 1/2], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[0, 0], [0, 2], [0, 0], [0, 0]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[12, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 1], [1, 0], [0, 0]], [[0, 0], [74, 58], [-8, -6], [-2, -2]], [[0, 0], [-19/2, 4], [-1, 1/2], [7/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 3], [1, 0], [0, 0]], [[0, 0], [37/2, 103/6], [-7/2, -8/3], [-1, -5/6]], [[0, 0], [100, -263/6], [1/2, -1/6], [-3/2, 2/3]]], 1, 5, [], [] >,
< [ -3, -1, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 16], [-4, -2], [0, 0]], [[0, 0], [2, 3], [1, 1], [1, 0]], [[0, 0], [-238, 90], [-10, 8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -134], [8, -8], [0, 0]], [[0, 0], [-129841/17, -31145/17], [-7047/17, 964/17], [128/17, 5/17]], [[0, 0], [25701672/17, 4794622/17], [1473684/17, -257840/17], [-26100/17, 290/17]]], 0, 320, [], [] >,
< [ -3, -1, 1 ], [[4, -8]], [ -30, -18 ], [ -5, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-2/3, 5/6], [0, 0], [1/78, -1/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-847/3, 1/2], [65, 0], [5/6, 0]], [[0, 0], [-10045/18, -12599/18], [388/3, 485/3], [194/117, 485/234]]], 1, 15, [], [] >,
< [ -3, -1, 1 ], [[-48, 96]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -2], [-10, -2], [0, 0]], [[0, 0], [-197, -14], [205/2, 48], [23/13, -1/26]], [[0, 0], [-984, 348], [266, -42], [128/13, -48/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 18], [2, 4], [0, 0]], [[0, 0], [95157/17, 6081/17], [-7685/34, 1741/34], [-857/442, -1/221]], [[0, 0], [158098, -14643], [-7212, 4445/2], [-1463/26, 209/26]]], 0, 1920, [], [] >,
< [ -3, -1, 1 ], [[-48, 96]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -14], [-8, -10], [0, 0]], [[0, 0], [227, -73], [155/2, -41/2], [59/26, -1/26]], [[0, 0], [1075, 237], [919/2, 325/2], [655/26, 393/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-442, -34], [-10, 6], [0, 0]], [[0, 0], [-7637/17, 841528/17], [-59579/34, 2665/17], [-911/442, 1/221]], [[0, 0], [-2678255, 537297], [-117257/2, 66255/2], [-1541/26, 963/26]]], 0, 1920, [], [] >,
< [ -3, -1, 1 ], [[-20, 12]], [ -110, 32 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-31/6, 7/9], [-5, 0], [5/6, 5/18]], [[0, 0], [-131/6, 151/18], [-55/3, 19/3], [2, -7/18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7/3, 5/9], [-6, 3], [0, 0]], [[0, 0], [-578/3, -1682/9], [2647/9, 920/9], [-2/9, -2/9]], [[0, 0], [9559/6, -2374/9], [32540/9, -17405/9], [37/18, -7/18]]], 1, 20, [], [] >,
< [ -3, -1, 1 ], [[-224, 80]], [ -535, -2 ], [ -748, 306 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-864/43, -188/43], [130/43, 4/43], [0, 0]], [[0, 0], [83481452/5633, -853616/5633], [-53250/731, 22855/731], [-13814/95761, -1/95761]], [[0, 0], [-8985845683/5633, 8624116306/5633], [1487697/86, -650271/86], [2885683/191522, -2853797/191522]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1126/43, 376/43], [-2/43, -8/43], [0, 0]], [[0, 0], [-532208066/16899, -1119637/16899], [3904723/4386, -1805/2193], [-56867/574566, 1/287283]], [[0, 0], [-183295108194/5633, 121112216440/5633], [676443732/731, -444988023/731], [-9834204/95761, 381039/5633]]], 0, 640, [], [] >,
< [ -3, -1, 1 ], [[-80, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -28], [-8, -6], [0, 0]], [[0, 0], [-6, 1], [1, 1], [1, 0]], [[0, 0], [-124, 54], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [274, -14], [-10, -2], [0, 0]], [[0, 0], [323/3, 5041/3], [-139/3, -230/3], [8/3, 1/3]], [[0, 0], [134/3, -53/3], [-1/3, 1/3], [5/3, -2/3]]], 0, 360, [], [] >,
< [ -3, -1, 1 ], [[-240, 144]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, -32], [4, 2], [0, 0]], [[0, 0], [-8, 0], [1, 0], [1, 0]], [[0, 0], [296, -130], [8, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 36], [-6, 0], [0, 0]], [[0, 0], [558, -58], [0, -6], [-2, 0]], [[0, 0], [40384/17, -11460/17], [275/17, -318/17], [-135/17, 30/17]]], 0, 1440, [], [] >,
< [ -3, -1, 1 ], [[-144, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -34], [-4, -2], [0, 0]], [[0, 0], [-40, 1], [1, 1], [1, 0]], [[0, 0], [836, -388], [-22, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-466, -68], [8, 10], [0, 0]], [[0, 0], [-5336, 11111/3], [-147, -19/3], [3, -4/3]], [[0, 0], [-376, -196], [14, 12], [0, 0]]], 0, 1440, [], [] >,
< [ -3, -1, 1 ], [[-20, 4]], [ -78, -32 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [11/18, 2/9], [-3, -2], [1/3, 1/6]], [[0, 0], [2/9, -1/18], [0, -1/3], [-1/18, 1/18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32/27, -80/27], [19/3, 17/3], [0, 0]], [[0, 0], [36785/18, -15575/18], [-482, 407/3], [1/18, -2/9]], [[0, 0], [-172988/27, 74315/27], [4226/3, -1537/3], [-4/9, 4/9]]], 1, 20, [], [] >,
< [ -3, -1, 1 ], [[-48, 64]], [ -537, 2 ], [ -340, 102 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-650/43, 262/43], [120/43, -10/43], [0, 0]], [[0, 0], [17978040/5633, -645867/5633], [-28660/731, 15799/1462], [-3556/95761, 5/191522]], [[0, 0], [-1325188500/5633, 402307818/5633], [2535998/731, -991346/731], [254398/95761, -73194/95761]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17204/43, 14/43], [506/43, 8/43], [0, 0]], [[0, 0], [-548577497/5633, 2233352632/16899], [-7187691/1462, 8514530/2193], [21011/191522, 2/287283]], [[0, 0], [-3584015127640/5633, 6760678308580/16899], [-18531685005/731, 29420787176/2193], [34036021/95761, -25489888/287283]]], 0, 640, [], [] >,
< [ -3, -1, 1 ], [[-80, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -22], [4, 0], [0, 0]], [[0, 0], [-12, 1], [1, 1], [1, 0]], [[0, 0], [-54, -20], [2, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-170, 74], [2, -10], [0, 0]], [[0, 0], [-171365/3, 74180/3], [15478/3, 257/3], [-13/3, -5/3]], [[0, 0], [-50951185/3, 22117756/3], [3080438/3, -1095041/3], [-1541/3, 299/3]]], 0, 360, [], [] >,
< [ -3, -1, 1 ], [[-128, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-446, -52], [-4, 10], [0, 0]], [[0, 0], [-6, 1], [1, 1], [1, 0]], [[0, 0], [-11218, 2810], [-370, 230], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-858, -88], [-6, -4], [0, 0]], [[0, 0], [1755010/3, -692275/3], [2617/3, -133/3], [11/3, -2/3]], [[0, 0], [-22471274/3, 10276610/3], [-17858/3, 15200/3], [-100/3, 64/3]]], 0, 1440, [], [] >,
< [ -3, -1, 1 ], [[-240, 48]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82, -14], [6, 2], [0, 0]], [[0, 0], [2, 0], [1, 0], [1, 0]], [[0, 0], [6, -56], [-8, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -18], [10, 4], [0, 0]], [[0, 0], [37328/17, -12790/17], [3184/17, -1055/17], [-104/17, -3/17]], [[0, 0], [461480/17, -222516/17], [38754/17, -18947/17], [-630/17, 585/17]]], 0, 1440, [], [] >,
< [ -3, -1, 1 ], [[64, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 4], [10, 4], [0, 0]], [[0, 0], [-4, 1], [1, 1], [1, 0]], [[0, 0], [-8, 4], [-4, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, 40], [-4, 2], [0, 0]], [[0, 0], [-2386/3, -2309/3], [19/3, 17/3], [13/3, 2/3]], [[0, 0], [56439, 15797], [-369, -144], [306, -225]]], 0, 480, [], [] >,
< [ -3, -1, 1 ], [[192, -144]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 10], [4, 0], [0, 0]], [[0, 0], [-18, 0], [1, 0], [1, 0]], [[0, 0], [62, -54], [14, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1800, 664], [-10, 10], [0, 0]], [[0, 0], [159284, -81256], [2171, 42], [3, 0]], [[0, 0], [227087890/17, -92868522/17], [1384770/17, -1069596/17], [2000/17, -1488/17]]], 0, 1920, [], [] >,
< [ -3, -1, 1 ], [[112, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, -10], [-8, 0], [0, 0]], [[0, 0], [2, 1], [1, 1], [1, 0]], [[0, 0], [-74, 24], [-16, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [284, 10], [10, 0], [0, 0]], [[0, 0], [8656/3, 1142/3], [256/3, 2/3], [-14/3, -4/3]], [[0, 0], [-35705, 13282], [-1240, 487], [45, -15]]], 0, 480, [], [] >,
< [ -3, -1, 1 ], [[336, -96]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 80], [-4, -10], [0, 0]], [[0, 0], [14, 0], [1, 0], [1, 0]], [[0, 0], [-902, 582], [54, -54], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1170, -382], [-10, -6], [0, 0]], [[0, 0], [-31174768/17, 13297692/17], [62652/17, -321/17], [46/17, 1/17]], [[0, 0], [154051376, -66619208], [-226008, 66930], [-162, 46]]], 0, 1920, [], [] >,
< [ -3, -1, 1 ], [[80, -80]], [ -95, -25 ], [ -28, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3404/127, 582/127], [92/127, 2/127], [0, 0]], [[0, 0], [47650/127, -12393/127], [1721/254, -637/127], [589/254, -1/254]], [[0, 0], [46245/127, -24414/127], [2867/254, -973/254], [176/127, -285/254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162408/127, -1344/127], [-4410/127, -2/127], [0, 0]], [[0, 0], [-1198489841/127, 3181166974/127], [-69129995/254, 171959039/254], [277/127, 1/254]], [[0, 0], [1848291725097/127, -193687772331/127], [150962707390/381, -33658499345/762], [-278345/762, 143371/381]]], 0, 960, [], [] >,
< [ -3, -1, 1 ], [[240, -80]], [ -105, -25 ], [ -15, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-3534/157, 2310/157], [0, 0], [52/2355, -2/471]], [[0, 0], [-2, 0], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-87055/157, -7244/471], [145, -2/3], [506/785, 2/471]], [[0, 0], [288124/157, 9161519/471], [0, -14773/3], [-1738/2355, -3476/157]]], 0, 960, [], [] >,
< [ -3, -1, 1 ], [[400, -400]], [ -95, -25 ], [ -28, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-242, -2], [-20, 0], [0, 0]], [[0, 0], [-7066963/127, 1163076/127], [-1172065/254, 198275/254], [196/127, 3/254]], [[0, 0], [1660834799/127, -1122621452/127], [278022255/254, -186172015/254], [-29925/127, 62475/254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [291088/127, -784/127], [25050/127, 20/127], [0, 0]], [[0, 0], [-101448809/127, 200480277/127], [-25686205/381, 103687805/762], [1835/762, 2/381]], [[0, 0], [456570958886/127, -63914819718/127], [39239139620/127, -5390424600/127], [-1532, 1568]]], 0, 24960, [], [] >,
< [ -3, -1, 1 ], [[1200, -400]], [ -105, -25 ], [ -15, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-199698/157, 180/157], [0, 0], [3538/471, 8/471]], [[0, 0], [11965492/157, 6707314/157], [0, 0], [-71040/157, -39960/157]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-154103/157, 10001/471], [-65, 5/3], [680/471, -10/471]], [[0, 0], [-1471438/157, 679732/157], [-624, 288], [2144/157, -992/157]]], 0, 24960, [], [] >,
< [ -3, -1, 1 ], [[976, -384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, -10], [-92, 46], [0, 0]], [[0, 0], [-18, 1], [-9, 1], [1, 0]], [[0, 0], [-154, 182], [576, -204], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [430, 2], [2, 6], [0, 0]], [[0, 0], [6604/3, -5053/3], [25/3, -151/3], [1/3, -4/3]], [[0, 0], [-3211354/3, 1875556/3], [-35056/3, 46072/3], [-1048/3, 1240/3]]], 0, 10560, [], [] >,
< [ -3, -1, 1 ], [[2928, -1152]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, 34], [-14, 4], [0, 0]], [[0, 0], [6, 0], [21, 0], [1, 0]], [[0, 0], [14, -4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4192, 18], [-154, -2], [0, 0]], [[0, 0], [-1285968916/17, 14362628/17], [47227407/17, -122593/17], [-19/17, -3/17]], [[0, 0], [98451773596/17, -75046438874/17], [-3544996278/17, 2749437944/17], [894/17, -1056/17]]], 0, 42240, [], [] >,
< [ -3, -1, 1 ], [[688, -240]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, -6], [-40, 30], [0, 0]], [[0, 0], [-12, 1], [-3, 1], [1, 0]], [[0, 0], [16, -12], [-26, 8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-382, 22], [14, 24], [0, 0]], [[0, 0], [-250024, 145825], [-18093, 97], [5, 0]], [[0, 0], [19641511/3, -8889121/3], [888035/3, -310718/3], [-244/3, 85/3]]], 0, 10560, [], [] >,
< [ -3, -1, 1 ], [[2064, -720]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -16], [-258, -2], [0, 0]], [[0, 0], [20, 0], [19, 0], [1, 0]], [[0, 0], [-318, 112], [1412, -162], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3118, -4], [184, 0], [0, 0]], [[0, 0], [6241194956/17, -639020/17], [368316923/17, 434733/17], [49/17, -3/17]], [[0, 0], [16447684809644/17, -5408958389652/17], [969413071341/17, -318367875891/17], [136917/17, -47763/17]]], 0, 42240, [], [] >,
< [ -3, -1, 1 ], [[208, -84]], [ -110, 32 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13/3, -2/9], [5, -3], [0, 0]], [[0, 0], [23/3, 223/18], [-41/3, 11/3], [1/2, -1/9]], [[0, 0], [22/3, -43/18], [43/3, -19/3], [-1/2, 2/9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11/3, 4/9], [-246, -2], [0, 0]], [[0, 0], [-110503/6, 3053/18], [-11700484/9, -1599818/9], [-1/9, -1/6]], [[0, 0], [-2339449/6, 1470514/9], [-202837099/9, 83022445/9], [37/18, -19/18]]], 1, 360, [], [] >,
< [ -3, -1, 1 ], [[656, -176]], [ -535, -2 ], [ -748, 306 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166/43, 110/43], [-66/43, -6/43], [0, 0]], [[0, 0], [-1837486/43, -1545/43], [-386737/86, 268/43], [-3/2, 0]], [[0, 0], [1592431782699/5633, -631792113065/5633], [21804752050/731, -17314608209/1462], [951218758/95761, -754995087/191522]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12550/43, -626/43], [-278/43, 6/43], [0, 0]], [[0, 0], [-16897607407/16899, -850440260/16899], [-50373823/4386, 4690525/4386], [-423949/574566, -5/574566]], [[0, 0], [3982953521230/5633, -1548737475092/5633], [7012849688/731, -2855570810/731], [53141348/95761, -21043460/95761]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[832, -336]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112, -40], [-68, 34], [0, 0]], [[0, 0], [14, 1], [5, 1], [1, 0]], [[0, 0], [110, -100], [-126, 28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [188, -4], [22, 14], [0, 0]], [[0, 0], [-179, -264], [-126, -19], [5, 1]], [[0, 0], [-1633/3, -80/3], [380/3, -335/3], [-13/3, 13/3]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[2496, -1008]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -6], [-2, 8], [0, 0]], [[0, 0], [2, 0], [11, 0], [1, 0]], [[0, 0], [384, -176], [-94, 36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 182], [78, -6], [0, 0]], [[0, 0], [-375294/17, 70456/17], [63449/17, -44815/17], [-89/17, -1/17]], [[0, 0], [-787582, 476092], [255345, -85870], [-121, 110]]], 0, 23040, [], [] >,
< [ -3, -1, 1 ], [[480, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-308, 8], [-62, 10], [0, 0]], [[0, 0], [48, 1], [5, 1], [1, 0]], [[0, 0], [-16206, -1918], [-3066, 126], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 16], [-50, 30], [0, 0]], [[0, 0], [307, -416], [1218, 61], [1, -1]], [[0, 0], [16074, 2441/3], [-673, -47917/3], [39, -4/3]]], 0, 23040, [], [] >,
< [ -3, -1, 1 ], [[112, -36]], [ -78, -32 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 0], [-34, 17], [0, 0]], [[0, 0], [7192/9, 14359/18], [-2675, 7/3], [-1/2, -1/6]], [[0, 0], [-29278/9, -149305/18], [61976, -51248/3], [151/18, -7/18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-197/27, -34/27], [29/3, 1/3], [0, 0]], [[0, 0], [15595/18, -641/9], [-1257, 710/3], [-5/9, 1/18]], [[0, 0], [3336679/54, -104875/54], [-264104/3, 38993/3], [-79/2, 2]]], 1, 360, [], [] >,
< [ -3, -1, 1 ], [[432, -304]], [ -537, 2 ], [ -340, 102 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [988/43, 190/43], [-62/43, -2/43], [0, 0]], [[0, 0], [-2682233770/5633, 117675/5633], [-10550346/731, 293/1462], [-458350/95761, -5/191522]], [[0, 0], [-346948600197/5633, 4544841049222/5633], [-2726171117/1462, 17877253815/731], [-118345851/191522, 776674593/95761]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15008/43, 276/43], [-492/43, -2/43], [0, 0]], [[0, 0], [32800817/131, -1354149/131], [-161611/34, -10443/34], [-103943/191522, 1/191522]], [[0, 0], [-102928003835/5633, 1349976838931/16899], [-224562959/1462, -7312588585/4386], [3319939/191522, -103341931/574566]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[448, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 6], [-28, -8], [0, 0]], [[0, 0], [-6, 1], [5, 1], [1, 0]], [[0, 0], [0, 0], [-26, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-268, -28], [-68, 34], [0, 0]], [[0, 0], [-279403/3, -254198/3], [25904/3, 439/3], [19/3, 5/3]], [[0, 0], [136453/3, -472801/3], [245893/3, -93910/3], [128/3, -41/3]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[880, -448]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-294, -50], [40, -42], [0, 0]], [[0, 0], [36, 1], [13, 1], [1, 0]], [[0, 0], [-14722, 3944], [4966, -2496], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-762, -38], [-12, 16], [0, 0]], [[0, 0], [31051/3, -151996/3], [9772/3, -577/3], [-7/3, -5/3]], [[0, 0], [1035229, -447187], [47421, -20656], [-2, 1]]], 0, 23040, [], [] >,
< [ -3, -1, 1 ], [[1344, -432]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -8], [-58, 32], [0, 0]], [[0, 0], [6, 0], [-5, 0], [1, 0]], [[0, 0], [-8, 22], [128, -80], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, -134], [112, -2], [0, 0]], [[0, 0], [95434/17, 90162/17], [110199/17, -76977/17], [49/17, -3/17]], [[0, 0], [-40862, -115244], [-642453, 308419], [-183, 61]]], 0, 23040, [], [] >,
< [ -3, -1, 1 ], [[52, 0]], [ -30, -18 ], [ -5, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [1/3, 1/2], [0, 0], [1/6, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [44/3, -7/2], [5, 0], [5/6, 0]], [[0, 0], [-283/18, 181/18], [-8/3, 11/3], [-4/9, 11/18]]], 1, 210, [], [] >,
< [ -3, -1, 1 ], [[624, 0]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -4], [-8, -10], [0, 0]], [[0, 0], [-35, -25], [-63/2, -43/2], [3/2, -2]], [[0, 0], [-11, -12], [-13/2, -12], [-7, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, 46], [6, 6], [0, 0]], [[0, 0], [-10010/17, 9771/17], [224/17, -263/34], [-87/34, -3/34]], [[0, 0], [739204/17, -191235/17], [-11652/17, 8479/34], [1495/34, -1625/34]]], 0, 26880, [], [] >,
< [ -3, -1, 1 ], [[624, 0]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 24], [-4, 2], [0, 0]], [[0, 0], [-19, -18], [5/2, -2], [5/2, -2]], [[0, 0], [-64, -82], [28, -16], [28, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-250, 18], [2, -2], [0, 0]], [[0, 0], [41368/17, -27011/17], [407/17, 167/34], [35/17, 3/34]], [[0, 0], [-4762216/17, 2236834/17], [-23158/17, 5196/17], [-2376/17, 720/17]]], 0, 26880, [], [] >,
< [ -3, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 8], [-8, 20], [0, 0]], [[0, 0], [662, -80], [-152, 154], [10, 2]], [[0, 0], [366, 144], [56, 106], [10, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -44], [8, -12], [0, 0]], [[0, 0], [-520, 534], [-374, 234], [-6, 8]], [[0, 0], [0, 2], [-2, -2], [-2, 0]]], 0, 5120, [], [] >,
< [ -3, -1, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [-22, 18], [6, 4], [0, 2]], [[0, 0], [21/2, -12], [-5, -7/2], [-1/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -1], [1, 0], [0, 0]], [[0, 0], [187/6, -38/3], [-17/3, -29/6], [-19/6, -5/6]], [[0, 0], [-947, 821/2], [-17/2, 17/2], [85/2, -17]]], 1, 6, [], [] >,
< [ -3, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 12], [16, -20], [0, 0]], [[0, 0], [0, 1], [-1, 1], [1, 0]], [[0, 0], [12, -60], [112, 168], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -36], [8, 20], [0, 0]], [[0, 0], [-465, -162], [-366, 305], [-3, 1]], [[0, 0], [-1106/3, -1000/3], [848/3, 226/3], [2/3, -2/3]]], 0, 320, [], [] >,
< [ -3, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 74], [10, 8], [0, 0]], [[0, 0], [0, 3], [1, 1], [1, 0]], [[0, 0], [-1858, 854], [-8, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [270, 244], [-6, 10], [0, 0]], [[0, 0], [-37274/3, -25003/3], [-1969/3, -17/3], [-13/3, -2/3]], [[0, 0], [-380128/3, 150892/3], [-152762/3, 66038/3], [-812/3, 350/3]]], 0, 320, [], [] >,
< [ -3, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 16], [2, 2], [0, 0]], [[0, 0], [4, -1], [1, 1], [1, 0]], [[0, 0], [16, -8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [238, 180], [-2, 10], [0, 0]], [[0, 0], [-31609/3, -28418/3], [-15740/3, 5465/3], [-5/3, -1/3]], [[0, 0], [47255/3, -6704/3], [-150698/3, 65891/3], [-23/3, 11/3]]], 0, 320, [], [] >,
< [ -3, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 0], [2, 10], [0, 0]], [[0, 0], [4, 3], [1, 1], [1, 0]], [[0, 0], [-158, 60], [150, -86], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 14], [-10, 0], [0, 0]], [[0, 0], [563/3, 727/3], [49/3, -40/3], [16/3, 5/3]], [[0, 0], [1922/3, -548/3], [-446/3, 188/3], [-38/3, 20/3]]], 0, 320, [], [] >,
< [ -3, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -12], [-20, 12], [0, 0]], [[0, 0], [2, 1], [1, -1], [1, 0]], [[0, 0], [32, 48], [-12, -36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-358, -292], [-10, -10], [0, 0]], [[0, 0], [-6260/3, -1717/3], [-427/3, 79/3], [11/3, 4/3]], [[0, 0], [-13785, 6143], [-1829, 798], [20, -9]]], 0, 320, [], [] >,
< [ -3, -1, 1 ], [[512, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -52], [32, 16], [0, 0]], [[0, 0], [180, -162], [-198, 122], [-10, 0]], [[0, 0], [82, -2], [-62, 12], [0, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -32], [-12, -4], [0, 0]], [[0, 0], [-124, -62], [-14, -26], [-10, 0]], [[0, 0], [-48, -172], [-96, -12], [20, -16]]], 0, 20480, [], [] >,
< [ -3, -1, 1 ], [[320, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-160, 92], [20, 8], [0, 0]], [[0, 0], [4, 1], [-1, 1], [1, 0]], [[0, 0], [1300, -520], [-16, 40], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 40], [4, 16], [0, 0]], [[0, 0], [-5660/3, 1391/3], [-1783/3, 247/3], [23/3, 4/3]], [[0, 0], [-9420, 3036], [-2840, 712], [32, 0]]], 0, 1280, [], [] >,
< [ -3, -1, 1 ], [[768, 0]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -84], [-12, -16], [0, 0]], [[0, 0], [-156, -236], [-30, -54], [10, -10]], [[0, 0], [-1112, -404], [-262, -82], [-70, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 24], [0, 16], [0, 0]], [[0, 0], [152, 120], [50, 56], [-2, -8]], [[0, 0], [580, 540], [-136, 390], [120, -90]]], 0, 20480, [], [] >,
< [ -3, -1, 1 ], [[192, 0]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 4], [-20, 16], [0, 0]], [[0, 0], [2, 0], [1, 0], [1, 0]], [[0, 0], [-8, -32], [-100, 20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [156, -56], [-20, 0], [0, 0]], [[0, 0], [10364/17, 2422/17], [-1702/17, -1125/17], [22/17, -1/17]], [[0, 0], [-74100/17, -33834/17], [15454/17, 11111/17], [-130/17, -25/17]]], 0, 1280, [], [] >,
< [ -3, -1, 1 ], [[0, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, -64], [8, 4], [0, 0]], [[0, 0], [76, -38], [-14, 42], [6, 8]], [[0, 0], [-48, 20], [32, -8], [4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, 52], [-4, 8], [0, 0]], [[0, 0], [1786, 2056], [212, 26], [-10, -6]], [[0, 0], [-16404, 5194], [2886, -1334], [-30, 20]]], 0, 20480, [], [] >,
< [ -3, -1, 1 ], [[192, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 0], [-20, 8], [0, 0]], [[0, 0], [0, 1], [-1, 1], [1, 0]], [[0, 0], [88, 68], [4, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 28], [0, -20], [0, 0]], [[0, 0], [-491, 509/3], [245, -212/3], [0, 5/3]], [[0, 0], [-553, 224], [264, -101], [-1, 1]]], 0, 1280, [], [] >,
< [ -3, -1, 1 ], [[-64, 128]], [ -30, -18 ], [ -5, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 2], [-16, -12], [0, 0]], [[0, 0], [-436/3, 158/3], [0, 0], [40/39, -2/39]], [[0, 0], [613/3, -140/3], [0, 0], [-85/39, -25/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 12], [8, -8], [0, 0]], [[0, 0], [-2038/9, -221/9], [764/3, 40/3], [-167/117, -4/117]], [[0, 0], [29899/9, -2218/9], [-11528/3, 1388/3], [2555/117, -365/117]]], 0, 3840, [], [] >,
< [ -3, -1, 1 ], [[320, -192]], [ -110, 32 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 0], [8, 20], [0, 0]], [[0, 0], [1601/3, -2683/9], [4114/3, -664/3], [0, 5/9]], [[0, 0], [-952/3, 1067/9], [-1358/3, 914/3], [1/3, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8/3, -2/9], [-72, 32], [0, 0]], [[0, 0], [-379/3, -892/9], [1636/9, -130/9], [-5/9, -5/9]], [[0, 0], [-140/3, -179/9], [-2846/3, 1286/3], [-1, 2/9]]], 0, 5120, [], [] >,
< [ -3, -1, 1 ], [[320, -64]], [ -78, -32 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [16, -4], [0, 0]], [[0, 0], [419/9, 280/9], [-34, -62/3], [2, 1/3]], [[0, 0], [299/9, 8734/9], [358, -2506/3], [-1666/9, 931/9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-202/27, 100/27], [-44/3, -28/3], [0, 0]], [[0, 0], [-84949/27, 36913/27], [-1904/3, 854/3], [-1, 0]], [[0, 0], [13/27, 8/27], [2/3, 2/3], [-2/9, -1/9]]], 0, 5120, [], [] >,
< [ -3, -1, 1 ], [[-704, 640]], [ -110, 32 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20/3, 10/9], [-28, 44], [0, 0]], [[0, 0], [193/3, -1628/9], [12536/3, 2590/3], [5/3, -1/3]], [[0, 0], [-67099/3, 52727/9], [-416690/3, 383396/3], [-126, 581/9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -2/3], [1356, 16], [0, 0]], [[0, 0], [-14919, -1580/3], [15208424/9, -116462/9], [5/9, -1/3]], [[0, 0], [-54760/3, 28826/9], [19097672/9, -3918464/9], [8/9, -4/9]]], 0, 92160, [], [] >,
< [ -3, -1, 1 ], [[-1792, 576]], [ -78, -32 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2/3, 2/3], [64, 28], [0, 0]], [[0, 0], [517/9, -136/9], [34, 1054], [16/9, 5/9]], [[0, 0], [-33940/9, 13012/9], [45352, -121636/3], [-638/9, 44/9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-478/27, -236/27], [232/3, 212/3], [0, 0]], [[0, 0], [24265/27, -34378/27], [25358/3, 5822/3], [-10/9, 1/9]], [[0, 0], [434170/27, -809026/27], [609176/3, 173584/3], [-76/3, 4/3]]], 0, 92160, [], [] >,
< [ -3, -1, 1 ], [[832, 0]], [ -30, -18 ], [ -5, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -6], [-4, 12], [0, 0]], [[0, 0], [-242, 82/3], [468, 52], [0, 2/3]], [[0, 0], [-1295/3, 84], [780, 0], [-1/3, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, 32], [8, -12], [0, 0]], [[0, 0], [-6535/9, 1831/9], [800/3, 76/3], [-2/9, -1/9]], [[0, 0], [68, -58], [8, 32], [0, 0]]], 0, 53760, [], [] >,
< [ -3, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 12], [0, 8], [0, 0]], [[0, 0], [-291/2, -193/2], [-27/2, -49], [1, -5/2]], [[0, 0], [4820, 2950], [-146, 1796], [-80, 100]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [124, 104], [-8, -8], [0, 0]], [[0, 0], [-353/3, 1459/6], [271/6, -187/6], [-17/6, -2/3]], [[0, 0], [-54485, 24109], [10807, -4720], [-252, 105]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 12], [-2, 6], [0, 0]], [[0, 0], [745/2, 147/2], [-173/2, 76], [-1, 5/2]], [[0, 0], [-1514, 506], [910, -420], [20, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 4], [10, -2], [0, 0]], [[0, 0], [176/3, 70/3], [-44/3, -40/3], [10/3, 2/3]], [[0, 0], [1283/6, -337/3], [83/3, -25/6], [115/6, -55/6]]], 1, 20, [], [] >,
< [ -3, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 40], [10, 10], [0, 0]], [[0, 0], [59, -109/2], [69/2, -43/2], [-3/2, -1]], [[0, 0], [312, -281/2], [301/2, -133/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [114, 122], [0, -10], [0, 0]], [[0, 0], [-863/6, -350/3], [4/3, 73/6], [5/6, -5/6]], [[0, 0], [5/6, -1/3], [167/3, -145/6], [-53/6, 23/6]]], 1, 20, [], [] >,
< [ -3, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, -24], [2, -10], [0, 0]], [[0, 0], [-6769/2, 1585], [2804, -2399/2], [-5/2, -1/2]], [[0, 0], [122473/2, -25377], [-48100, 42159/2], [13/2, -39/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -12], [8, -4], [0, 0]], [[0, 0], [-426, -338], [-4, -12], [-2, 0]], [[0, 0], [-151/6, 43/6], [-89/6, 19/3], [8/3, -7/6]]], 1, 20, [], [] >,
< [ -3, -1, 1 ], [[24, -10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 0], [-39/2, 15/2], [0, 5/2], [0, 0]], [[287/2, -129/2], [-3411/2, 738], [-195, 83], [2, -3/2]], [[-120, 79], [1695, -704], [207, -69], [4, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, -9/2], [-3, 57/2], [-27/2, 7], [0, 0]], [[-314, 29], [-13154/3, -11941/3], [254/3, -851/3], [-4/3, 1/3]], [[-267/2, 209/2], [5033/2, 1462], [311, -28], [-1, 1/2]]], 1, 3, [], [] >,
< [ -3, -1, 1 ], [[438, -190]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [111/2, -28], [-3/2, -1/2], [0, 0]], [[-25/2, -7/2], [-1449/2, 543/2], [-15/2, -29/2], [3/2, -3/2]], [[18, 13/2], [1767/2, -629/2], [15, 22], [-3/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1], [63, 4], [3, -1], [0, 0]], [[-255/2, 173/2], [16753/2, 3278], [259, -42], [1, 1/2]], [[26171/2, -5320], [-303077/2, 146330], [-32029/2, 7775], [-19/2, 15]]], 0, 30, [], [] >,
< [ -3, -1, 1 ], [[18, -6]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, -7], [33/2, -13], [27/2, -7], [0, 0]], [[18, 3], [129/2, 36], [18, 3], [3/2, 2]], [[141, -61], [345/2, -147/2], [141, -61], [-25/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1], [-27/2, 8], [-1/2, 1], [0, 0]], [[-44, -34], [-120, -91], [-44, -34], [-3, 2]], [[4, 2], [21/2, 11/2], [4, 2], [-21/2, 9/2]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[18, -6]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, -15/2], [24, -17/2], [15, -15/2], [0, 0]], [[192, -92], [291, -112], [192, -92], [0, -1]], [[782, -707/2], [1131, -468], [782, -707/2], [2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, -7], [3/2, 2], [27/2, -7], [0, 0]], [[312, -76], [-255/2, -165/2], [312, -76], [-3/2, -1/2]], [[1440, -648], [-55/2, 129/2], [1440, -648], [-5/2, 3/2]]], 2, 6, [], [] >,
< [ -3, -1, 1 ], [[36, -6]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 3/2], [84, -49/2], [6, 3/2], [0, 0]], [[1392, 1087], [7365/2, 6691/2], [1392, 1087], [3/2, 3/2]], [[-2541, -4961/2], [7287/2, -12059], [-2541, -4961/2], [9/2, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -9/2], [21, -25/2], [9, -9/2], [0, 0]], [[69, -59/2], [156, -135/2], [69, -59/2], [-3, -1]], [[27/2, 9/2], [18, 1/2], [27/2, 9/2], [-81/2, -31]]], 0, 36, [], [] >,
< [ -3, -1, 1 ], [[36, -6]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 5], [-12, 4], [-12, 5], [0, 0]], [[399/2, -85], [399/2, -173/2], [399/2, -88], [0, 3/2]], [[51/2, 99/2], [-21, 14], [-135/2, -43/2], [93/2, 71/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1], [-42, 10], [-3, -1], [0, 0]], [[-189/2, -61], [-636, -187/2], [-189/2, -61], [3/2, 1/2]], [[-276, -414], [8289/2, -3734], [-276, -414], [-9/2, 8]]], 0, 36, [], [] >,
< [ -3, -1, 1 ], [[-27, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 3], [-17, 3], [-1, 2], [0, 0]], [[-25/2, 45/2], [504, -463/2], [189/2, -36], [3, -1]], [[-179, -5/2], [4425/2, -1803/2], [360, -180], [21/2, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1/2], [-69/2, 11], [-3/2, 1/2], [0, 0]], [[-2, 1], [3, 0], [-2, 1], [-2, 1]], [[-1/2, 1/2], [3/2, 3/2], [-1/2, 1/2], [-1/2, 1/2]]], 2, 4, [], [] >,
< [ -3, -1, 1 ], [[-504, 219]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -2], [75, -53], [-6, -2], [0, 0]], [[-5, -7], [-3/2, -327/2], [-69/2, -23], [6, 5/2]], [[-83/2, 57], [-3213, 4189/2], [216, 68], [-135/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [150, -127/2], [9/2, 1], [0, 0]], [[-150, -241/2], [-1155/2, 23/2], [-360, -270], [3/2, -1]], [[169/2, 60], [-246, 463/2], [180, 144], [3/2, -1/2]]], 0, 24, [], [] >,
< [ -3, -1, 1 ], [[48, -26]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 13/2], [-27, 31/2], [-12, 13/2], [0, 0]], [[81/2, -55/2], [147/2, -64], [57/2, -49/2], [6, -3/2]], [[-42, -28], [-267/2, -94], [-51, -36], [9/2, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -1], [57, -35], [-6, -1], [0, 0]], [[2439/2, 1821/2], [2922, 2810], [2439/2, 1821/2], [-3/2, -5/2]], [[13005, 8670], [19059/2, 36415], [13005, 8670], [63/2, -45]]], 0, 54, [], [] >,
< [ -3, -1, 1 ], [[48, -26]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -1/2], [69, -59/2], [-6, -1/2], [0, 0]], [[240, 213], [435, -475/2], [240, 213], [3, -3/2]], [[-3465/2, -1353], [-114, 372], [-3465/2, -1353], [-3/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 1], [27/2, -12], [-15/2, 1], [0, 0]], [[-1230, -880], [-6021/2, -2529], [-1230, -880], [-3/2, -2]], [[-24180, -12090], [-32679, -47093], [-24180, -12090], [36, -58]]], 0, 54, [], [] >,
< [ -3, -1, 1 ], [[-36, 15]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 3], [-6, 3], [-3, -1], [0, 0]], [[71/2, -37/2], [79/2, -27/2], [5, -3/2], [-2, -5/2]], [[2161, -1889/2], [2081, -1793/2], [254, -109], [40, -24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, 9/2], [-21/2, 9/2], [-9, 4], [0, 0]], [[3, 3], [3, 3], [-3/2, 2], [3/2, -2]], [[3, 1/2], [3, 1/2], [7, -5/2], [-7, 5/2]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[-18, 6]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5/2, 1/2], [-5/2, 1/2], [-15/2, 0], [-5/2, -1]], [[43/2, -19/2], [43/2, -19/2], [51, -23], [8, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 4], [-35, 33], [-12, 8], [0, 0]], [[129/2, 12], [26345/34, 2882/17], [2061/34, 377/17], [75/34, 1/17]], [[427/2, 235/2], [90085/34, 51275/34], [4035/17, 5169/34], [104/17, 91/34]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[-18, 30]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -1/2], [-237, 217/2], [3, -1/2], [0, 0]], [[-405/2, -155], [-2697/2, -2171/2], [-405/2, -155], [6, -3/2]], [[-300, -229], [-3867/2, -3263/2], [-300, -229], [33/2, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 2], [-24, 7], [-3, 2], [0, 0]], [[-6, -5/2], [-9/2, 11/2], [-6, -5/2], [-9/2, 0]], [[-57/2, -19/2], [-63/2, 57/2], [-57/2, -19/2], [-24, 2]]], 0, 216, [], [] >,
< [ -3, -1, 1 ], [[-6, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -2], [-39/2, -21/2], [-6, 5/2], [0, 0]], [[15/2, -11/2], [-1487, -2265/2], [-35/2, 0], [2, 1]], [[56, -47/2], [478, 839/2], [-64, 61/2], [2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, -5/2], [-6, -13/2], [-15/2, 4], [0, 0]], [[-195, 143/2], [521/2, 1577/6], [212, -376/3], [-1/2, -2/3]], [[585, -585/2], [2177/2, 1874/3], [-1769/2, 1721/6], [-3, -4/3]]], 1, 6, [], [] >,
< [ -3, -1, 1 ], [[-18, 30]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -3/2], [36, 23/2], [-6, -3/2], [0, 0]], [[105/2, 11], [-378, -84], [105/2, 11], [3/2, 1]], [[-9/2, 2], [63/2, -14], [-9/2, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1], [75, -30], [0, 1], [0, 0]], [[75/2, 33], [366, -10], [75/2, 33], [3/2, 1]], [[3/2, -1/2], [-189/2, 83/2], [3/2, -1/2], [0, 0]]], 0, 108, [], [] >,
< [ -3, -1, 1 ], [[-18, 30]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 3/2], [300, -247/2], [0, 3/2], [0, 0]], [[-3795/2, -2941/2], [-11448, -5380], [-3795/2, -2941/2], [3/2, 5/2]], [[9378, 19277/2], [545790, -350317/2], [9378, 19277/2], [180, -97]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 3/2], [252, -221/2], [-3, 3/2], [0, 0]], [[210, 327/2], [-2049/2, -971], [210, 327/2], [9/2, -5/2]], [[3975/2, 1550], [-19071/2, -9274], [3975/2, 1550], [48, -26]]], 0, 108, [], [] >,
< [ -3, -1, 1 ], [[-9, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, -2], [33/2, -15/2], [-6, 9/2], [0, 0]], [[83/2, -5/2], [157/2, -48], [-17, 41], [-2, 5/2]], [[-1541, -195/2], [-2274, 3349/2], [39, -3355/2], [39, -195/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, 3/2], [126, -145/2], [9/2, -4], [0, 0]], [[275/2, -275], [-214125/17, 49321/34], [-14568/17, -2132/17], [-87/34, -3/34]], [[-50728, 27528], [28921967/17, -10814452/17], [1495012/17, -433180/17], [5068/17, -1680/17]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[-27, 15]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -5/2], [-7/2, -2], [3/2, -5/2], [0, 0]], [[-189/2, 47], [71/2, 11], [-201/4, 199/4], [-51/52, -1/26]], [[-939/2, 109/2], [-503, -885/2], [-3345/4, -1341/4], [395/52, 108/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 9/2], [-735/2, 15/2], [-6, 9/2], [0, 0]], [[-169/2, 28], [486359/17, 163243/17], [-10239/34, 1957/68], [-1175/884, -3/884]], [[1551, -937], [5453516/17, 9002258/17], [40461/17, -70217/17], [1044/221, -4350/221]]], 1, 32, [], [] >,
< [ -3, -1, 1 ], [[-27, 15]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1/2], [-24, 15/2], [3/2, -5/2], [0, 0]], [[195/2, 13/2], [638, -115], [7/4, 415/4], [-71/52, -1/52]], [[-221, 39/2], [-3205/2, 885/2], [401/4, -207], [167/52, -11/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 3], [-216, 12], [9, -5], [0, 0]], [[-396, 879/2], [508479/34, 1181709/34], [80337/68, 1505/34], [-717/884, 1/221]], [[-486864, 275724], [-294737591/34, 232537292/17], [50210665/68, -3174056/17], [-464387/884, 31948/221]]], 1, 16, [], [] >,
< [ -3, -1, 1 ], [[27, -6]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, -1/2], [-23/2, 19/2], [-18, 10], [0, 0]], [[202, 246], [799, 303], [1239/2, 123/2], [5/2, 1/2]], [[-915/2, 2623/2], [13047/2, -1331/2], [7215, -2031], [26, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -2], [55/2, -10], [0, -2], [0, 0]], [[-103, 18], [-12445/17, 3897/17], [-1797/34, 303/34], [-89/34, -1/34]], [[-56, 663/2], [-28753/17, 59633/34], [-837/34, 5847/34], [163/34, 385/34]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-6, 7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, 4], [195/2, 111/2], [12, -13/2], [0, 0]], [[6369/2, -6523/2], [530813/2, 425747/2], [-19559/2, -155/2], [1/2, -3/2]], [[550850, -388678], [20639418, 17143931], [-1165410, 162034], [138, -162]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, -4], [-45/2, -133/2], [-12, 13/2], [0, 0]], [[-2519, 3947/2], [-112910, -141661/2], [5915, -1087/2], [-1, 1/2]], [[-4689/2, -5085], [1406145/2, 1579060/3], [-30497/2, -22289/3], [1/2, -2/3]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[-75, 32]], [ -537, 2 ], [ -340, 102 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[8015/2, 3], [-82647951/11266, 58381/11266], [-321945/1462, -1017/2924], [286/5633, -1/383044]], [[14533668, -28450449/2], [-150506520533/5633, 293381549127/11266], [-1164722667/1462, 571384768/731], [17674034/95761, -17258731/95761]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[509, -5/2], [-44678/43, -351/86], [-1113/86, -2/43], [0, 0]], [[2500, -117], [-113772885/5633, 2657773/11266], [-208809/1462, 6959/2924], [-4091/191522, 1/383044]], [[-169147, 252693/2], [7097875069/5633, -34245670013/33798], [13183049/1462, -15729419/2193], [124062/95761, -307097/287283]]], 1, 16, [], [] >,
< [ -3, -1, 1 ], [[9, -12]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[105/2, 1/2], [57/2, 25/2], [6, -3], [0, 0]], [[-2903/2, -2973/2], [-3617/2, -2979/2], [177/2, 9/2], [-1/2, 5/2]], [[43493/2, 29298], [63575/2, 27830], [-4881/2, 274], [93/2, -62]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [-29/2, 37/2], [0, -3], [0, 0]], [[-11, -2], [7536/17, -545/17], [4263/34, 249/34], [-97/34, -1/34]], [[-20, 175/2], [57684/17, -113551/34], [9903/17, -16519/17], [-279/17, 372/17]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-27, 3]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1], [-5/2, 14], [0, -5], [0, 0]], [[-3/2, -2], [-501/2, 74], [159/2, -30], [-3/2, -2]], [[-37/2, 2], [8335/2, -1889], [-2877/2, 635], [-37/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-444, -1/2], [-840, 659/2], [-6, 5], [0, 0]], [[1247765, 12405369/2], [-194987073/17, 211194443/34], [-3275763/17, 4593/34], [-40/17, -1/34]], [[-1758377085/2, 4557627186], [-402228133823/34, 100289468570/17], [-5641483593/34, 345604980/17], [-68555/34, 3821/17]]], 1, 32, [], [] >,
< [ -3, -1, 1 ], [[-18, 15]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-42, 1/2], [-87, 51/2], [9, -5], [0, 0]], [[26880, 33145], [-3485, 32558], [12165/2, 231/2], [5/2, -1/2]], [[4709005, 2382870], [5437855, 705627], [-146340, 335916], [-150, 123]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-167/2, 5/2], [601/2, -123/2], [6, -1], [0, 0]], [[-32669/2, -5987/2], [115123/2, -3811/2], [1113, 17], [-2, 0]], [[-1961627/2, 1441564], [233994401/34, -90332226/17], [4020897/34, -3458947/34], [-7511/34, 6235/34]]], 1, 32, [], [] >,
< [ -3, -1, 1 ], [[60, -25]], [ -105, -25 ], [ -15, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[10, -1/2], [2476/157, -452/157], [2, -2], [47/1570, -3/1570]], [[9/2, 1/2], [2089/314, -65/157], [1/2, -1], [21/1570, 1/785]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 1/2], [-1, -3/2], [0, 0]], [[-1751/2, 5/2], [922093/314, 61571/471], [1013/2, -10/3], [1113/1570, 2/2355]], [[-156135/2, 334575/2], [57144483/314, -271089397/471], [92495/2, -289753/3], [19331/314, -63941/471]]], 1, 16, [], [] >,
< [ -3, -1, 1 ], [[300, -125]], [ -105, -25 ], [ -15, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-11/2, 1], [-2055/157, 1201/314], [-1, 3/2], [-13/157, 5/314]], [[-29/2, 0], [-4964/157, 858/157], [0, 5], [-34/157, 1/314]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -9/2], [1, 5/2], [0, 0]], [[-236, 2], [298848/157, -893129/942], [-654, -59/6], [150/157, -2/471]], [[259/2, -1073], [-4348999/314, 1502503/314], [295/2, -6073/2], [-74/157, 1369/314]]], 1, 416, [], [] >,
< [ -3, -1, 1 ], [[-216, 111]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-26, 5/2], [-26, 5/2], [186, -86], [0, 0]], [[5910, 5080], [5895, 5077], [16515/2, 1769/2], [-5/2, -1/2]], [[-14098, -1262], [-14215, -1202], [152439/2, -37416], [-39/2, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1397/2, 5/2], [773/2, 341/2], [78, -42], [0, 0]], [[-11463006, -13375942], [-271763722/17, -227102404/17], [19265139/17, -141025/34], [-64/17, -5/34]], [[54699255600, -5524352680], [444979457274/17, 149539369056/17], [242949448971/34, -60990666818/17], [-755343/34, 194094/17]]], 1, 704, [], [] >,
< [ -3, -1, 1 ], [[-135, 84]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[74, 2], [74, 2], [27, -3], [0, 0]], [[31144, 3888], [31146, 3888], [21945/2, -290], [-1/2, 0]], [[-162, 243/2], [-162, 243/2], [-78, 47], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[941, 3/2], [1091, -153/2], [-75, 39], [0, 0]], [[-4803624, -5204304], [-72664112/17, -88489170/17], [-4480812/17, 12639/34], [-16/17, 3/34]], [[3400265232, 1064590464], [62543346096/17, 14683789608/17], [-2358095355/17, 3400156189/34], [-10101/17, 12571/34]]], 1, 704, [], [] >,
< [ -3, -1, 1 ], [[-90, 3]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-30, 1], [-30, 1], [90, -37], [0, 0]], [[-129767/2, -90569/2], [-129771/2, -90563/2], [27189, 1971/2], [-1, 3/2]], [[23966569/2, 20157313/2], [23964361/2, 20157385/2], [1008522, -3099276], [-552, 18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -5/2], [83, -137/2], [-33, 13], [0, 0]], [[71, -3], [38636/17, -9568/17], [-17961/34, 8519/34], [-3/34, -5/34]], [[31/2, 81/2], [-12203/34, 29687/34], [10269/34, -3217/34], [-11/34, -7/34]]], 1, 384, [], [] >,
< [ -3, -1, 1 ], [[93, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, 9/2], [-45/2, -12], [-51/2, 17/2], [0, 0]], [[-11577, -3557/2], [-79831, -117765/2], [-20117, -4705/2], [1, -1/2]], [[-35/2, -56], [-1431/2, -1127/2], [-21, -189/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[32, -23/2], [-417/2, 86], [117/2, -43/2], [0, 0]], [[12695/2, 2032], [-47997/2, 3161/3], [21665/2, 9272/3], [5/2, 2/3]], [[-4221299, 2761783/2], [27099834, -21767177/2], [-7684833, 5202061/2], [-1833, 1261/2]]], 1, 192, [], [] >,
< [ -3, -1, 1 ], [[471, -203]], [ -537, 2 ], [ -340, 102 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[85/2, 1], [1243653569/5633, 3189/11266], [-21181197/2924, -147/2924], [470623/383044, 1/383044]], [[344375/2, -212059/2], [10522258477699/11266, -6304597372173/11266], [-1317700527/43, 1579057261/86], [29278116/5633, -17542518/5633]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-483/2, 5/2], [43021/86, 439/86], [264/43, -1/86], [0, 0]], [[-60454, -381/2], [216903757/5633, 12935767/33798], [314743/731, 19595/4386], [-29193/191522, -1/574566]], [[143518495/2, -87607439/2], [-254258750262/5633, 312950277577/11266], [-1474594233/2924, 453984895/1462], [69703813/383044, -10597762/95761]]], 1, 192, [], [] >,
< [ -3, -1, 1 ], [[-81, 57]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[30, 5/2], [30, 5/2], [66, -37], [0, 0]], [[-616, -737], [-619, -749], [2811/2, 15], [-1/2, -2]], [[-3080, 4356], [-3251, 4470], [-48177/2, 8583], [-57/2, 19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [43/2, 5/2], [-30, 23], [0, 0]], [[583/2, -185/2], [-57787/34, 36799/34], [230559/34, -89999/34], [-19/34, -3/34]], [[969, -193], [-67463/17, 68440/17], [357234/17, -121267/17], [-46/17, -18/17]]], 1, 384, [], [] >,
< [ -3, -1, 1 ], [[-117, 39]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, -13/2], [97/2, -19], [27/2, -13/2], [0, 0]], [[-45/2, 175/2], [-508, -44], [-87/4, 173/2], [-1/2, -3/4]], [[1143/2, -231], [1790, -836], [1125/2, -909/4], [-9/4, 3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -5], [58, -15], [9, -5], [0, 0]], [[79, 15/2], [-19416/17, -4848/17], [-93/68, 209/68], [133/68, 1/17]], [[-4517, -899/2], [2224661/34, 565609/34], [1287/17, -2991/17], [-3799/34, -131/34]]], 1, 448, [], [] >,
< [ -3, -1, 1 ], [[-117, 39]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, -7/2], [9/2, 1/2], [-21/2, 6], [0, 0]], [[-613, 264], [-176, 135/2], [1585/2, -1397/4], [1/2, -1/4]], [[-53/2, 21/2], [-21/2, 1/2], [63/2, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -3/2], [-54, -1/2], [-9/2, 7/2], [0, 0]], [[-153/2, 93], [-21179/17, -56771/34], [19847/68, 947/68], [-25/68, 5/68]], [[-1375, 250], [536735/34, 203379/34], [56075/68, -79895/68], [-145/68, 97/68]]], 1, 224, [], [] >,
< [ -3, -1, 1 ], [[876, -380]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 7], [-15, 10], [0, 0]], [[0, 0], [291/2, -131/2], [-3189/2, 682], [-6, 1/2]], [[0, 0], [975/2, 423], [2829, 3293/2], [969/2, 741/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -35], [-3, 0], [0, 0]], [[0, 0], [219/2, -64], [-93, 81/2], [3/2, -1/2]], [[0, 0], [314, 201/2], [-181/2, 75/2], [-1/2, -2]]], 0, 90, [], [] >,
< [ -3, -1, 1 ], [[48, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -4], [-21, 9], [0, 0]], [[0, 0], [419/2, 349/2], [243/2, -41], [3, 1/2]], [[0, 0], [163, 155/2], [-759/2, 343/2], [-9/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -69], [-12, 7], [0, 0]], [[0, 0], [6341/6, -982/3], [-814/3, 689/6], [1/6, -1/6]], [[0, 0], [174, -98], [-54, 24], [0, 0]]], 1, 9, [], [] >,
< [ -3, -1, 1 ], [[72, -12]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75, -35], [-6, 5], [0, 0]], [[0, 0], [840, -359], [-99, 27], [-6, -1]], [[0, 0], [-525, 223/2], [315, 189], [63, 93/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, -13], [-96, 43], [0, 0]], [[0, 0], [-2880, 914], [9291, -3686], [0, 2]], [[0, 0], [-13353/2, -5727], [5700, 6460], [87/2, 33]]], 0, 180, [], [] >,
< [ -3, -1, 1 ], [[72, -12]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 5], [-3, -2], [0, 0]], [[0, 0], [63/2, -6], [0, 0], [3/2, 2]], [[0, 0], [15/2, -8], [0, 0], [-3/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -48], [15, -5], [0, 0]], [[0, 0], [321/2, -67], [12, -14], [9/2, 2]], [[0, 0], [93, -82], [126, 78], [-48, -38]]], 0, 180, [], [] >,
< [ -3, -1, 1 ], [[36, -12]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -3], [-6, 2], [0, 0]], [[0, 0], [21/2, -27/2], [-18, 9], [-5/2, -3/2]], [[0, 0], [66, -47/2], [-66, 28], [0, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [21/2, -4], [0, 0], [-9/2, 4]], [[0, 0], [234, -193/2], [0, 0], [-126, 147/2]]], 1, 20, [], [] >,
< [ -3, -1, 1 ], [[36, -12]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, 13], [12, -4], [0, 0]], [[0, 0], [96, -66], [-61, 6], [-1, 0]], [[0, 0], [261/2, -85/2], [-35, 27], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 7], [21, -12], [0, 0]], [[0, 0], [59/2, -103/2], [-129, 81], [1/2, 1/2]], [[0, 0], [294, -125], [-711, 307], [0, 0]]], 1, 30, [], [] >,
< [ -3, -1, 1 ], [[144, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -2], [-18, 16], [0, 0]], [[0, 0], [2, 1], [3, 1], [1, 0]], [[0, 0], [-84, -6], [-504, 294], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -12], [-6, 12], [0, 0]], [[0, 0], [-2, -1], [3, 1], [1, 0]], [[0, 0], [-6, 2], [-18, 8], [0, 0]]], 0, 960, [], [] >,
< [ -3, -1, 1 ], [[2448, -1056]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -54], [-12, 6], [0, 0]], [[0, 0], [-2244, -2102], [240, 226], [-12, 6]], [[0, 0], [16029, 11606], [-1722, -1245], [-27, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -74], [30, 4], [0, 0]], [[0, 0], [-8181, -1768], [-390, 1251], [3, 1]], [[0, 0], [77301, -21139], [20907, -11606], [-24, 5]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[96, -52]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -2], [-12, 9], [0, 0]], [[0, 0], [-39/2, 9/2], [303, -122], [-9/2, -5/2]], [[0, 0], [-87, -59], [315, 100], [-93, -71]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63, 30], [-9, 2], [0, 0]], [[0, 0], [861/2, -331/2], [36, -30], [3/2, -5/2]], [[0, 0], [-333/2, -145/2], [75, 64], [21/2, 17/2]]], 0, 270, [], [] >,
< [ -3, -1, 1 ], [[96, -52]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -7], [12, -9], [0, 0]], [[0, 0], [81/2, -21/2], [27, -12], [9/2, 1/2]], [[0, 0], [126, 103], [-9, -2], [45, 35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-135, 60], [9, -7], [0, 0]], [[0, 0], [8652, -7477/2], [-780, 280], [0, -5/2]], [[0, 0], [-636, 1096], [-2040, -1700], [-93, -71]]], 0, 270, [], [] >,
< [ -3, -1, 1 ], [[-576, 240]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -4], [-36, 18], [0, 0]], [[0, 0], [-2, 0], [-1, 0], [1, 0]], [[0, 0], [-6, 4], [72, -32], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 6], [-30, 14], [0, 0]], [[0, 0], [0, 0], [-1, 0], [1, 0]], [[0, 0], [0, 2], [0, 2], [0, 0]]], 0, 720, [], [] >,
< [ -3, -1, 1 ], [[36, -12]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5/2, 3/2], [5/2, 3/2], [9/2, 9], [-1/2, 1]], [[-6, 2], [-6, 2], [72, -34], [18, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3/2, 5/2], [3/2, 5/2], [-12, 27/2], [2, 1/2]], [[3, 0], [3, 0], [33, -11], [-1, 1]]], 1, 16, [], [] >,
< [ -3, -1, 1 ], [[-36, 12]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [15, -13], [-1, 1]], [[0, 0], [0, 0], [-30, 41/2], [2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, 9], [18, -8], [0, 0]], [[0, 0], [-5480/17, 263/17], [4554/17, 99/17], [-46/17, -1/17]], [[0, 0], [62436/17, -6833/17], [-51183/17, 4653/34], [517/17, -47/34]]], 1, 20, [], [] >,
< [ -3, -1, 1 ], [[-36, 60]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [177, -79], [-27, 13], [0, 0]], [[0, 0], [-12267, 5415], [1890, -885], [-6, 0]], [[0, 0], [-26805/2, -17953/2], [9180, 6840], [735/2, 565/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-219, 101], [-6, 4], [0, 0]], [[0, 0], [168, -109/2], [12, 3], [-6, 1/2]], [[0, 0], [-321, -348], [-174, -137], [42, 35]]], 0, 1080, [], [] >,
< [ -3, -1, 1 ], [[48, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, 14], [9, -3], [0, 0]], [[5, 7/2], [25, 24], [31/2, 4], [1/2, 3/2]], [[-28, -12], [-11, -144], [-223, 51], [20, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -3/2], [-12, 11/2], [-9/2, 3], [0, 0]], [[1/2, 1/2], [2, -1/2], [-1/2, 0], [1, 0]], [[-1, 1/2], [9/2, -2], [3/2, -1/2], [0, 0]]], 1, 8, [], [] >,
< [ -3, -1, 1 ], [[-12, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 20], [3, -3], [0, 0]], [[0, 0], [-15/2, 71/2], [111/2, -19], [0, 5/2]], [[0, 0], [67/2, 18], [-5, 15/2], [5/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 1], [-15, 10], [0, 0]], [[0, 0], [70, -51/2], [-101/2, 35/2], [-5/2, 0]], [[0, 0], [7/2, 25/6], [-7/2, -11/3], [-1, -5/6]]], 1, 10, [], [] >,
< [ -3, -1, 1 ], [[-36, 60]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, 3], [-6, 2], [0, 0]], [[0, 0], [-66, 48], [-21, 11], [0, 2]], [[0, 0], [147/2, -22], [18, -7], [3/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39, -17], [-18, 9], [0, 0]], [[0, 0], [231/2, -97/2], [-54, 22], [-9/2, 1/2]], [[0, 0], [3/2, 1], [0, 0], [-3/2, -1]]], 0, 540, [], [] >,
< [ -3, -1, 1 ], [[-36, 60]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 21], [-9, 1], [0, 0]], [[0, 0], [-420, -1943], [696, 32], [3, 0]], [[0, 0], [-1755/2, 4003], [-1680, 160], [-15/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -8], [-27, 14], [0, 0]], [[0, 0], [921/2, -198], [-780, 286], [3/2, 1]], [[0, 0], [-192, 83], [312, -130], [0, 0]]], 0, 540, [], [] >,
< [ -3, -1, 1 ], [[-144, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 26], [30, -20], [0, 0]], [[0, 0], [2, 3], [1, 1], [1, 0]], [[0, 0], [-36, 20], [42, -20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1824, 636], [60, -30], [0, 0]], [[0, 0], [19107/17, 11312/17], [-1620/17, -237/17], [-63/17, -1/17]], [[0, 0], [-2279/17, 466/17], [182/17, -33/17], [5/17, -1/17]]], 0, 640, [], [] >,
< [ -3, -1, 1 ], [[432, -240]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -6], [0, 2], [0, 0]], [[0, 0], [-98, -33], [165, 25/2], [-95/26, -5/26]], [[0, 0], [1466, 1108], [-1656, -1224], [456/13, 336/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [890, 38], [0, 4], [0, 0]], [[0, 0], [-617800/17, 734217/17], [11625/17, 535/34], [43/442, 5/442]], [[0, 0], [7031419/17, -1407756/17], [-49899/34, 29628/17], [-31/221, 111/442]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[432, -240]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [-30, 16], [0, 0]], [[0, 0], [-101, -26], [-209/2, 8], [-89/26, -2/13]], [[0, 0], [-316, -11], [-398, 187/2], [-158/13, 47/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [384, -46], [0, 8], [0, 0]], [[0, 0], [2258748/17, -1184810/17], [-66192/17, -1028/17], [636/221, 2/221]], [[0, 0], [926480098/17, -424950531/17], [-18870841/17, 9785295/34], [183143/221, -97353/442]]], 0, 3840, [], [] >,
< [ -3, -1, 1 ], [[1152, -528]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [124, -42], [12, -2], [0, 0]], [[0, 0], [-6, 0], [3, 0], [1, 0]], [[0, 0], [146, -66], [12, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [212, -46], [54, -26], [0, 0]], [[0, 0], [-7104/17, 57894/17], [-21459/17, 6463/17], [-47/17, 1/17]], [[0, 0], [354056/17, 162396/17], [19260/17, -24833/17], [-40/17, -95/17]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[96, -112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -66], [36, -14], [0, 0]], [[0, 0], [-40, 1], [1, 1], [1, 0]], [[0, 0], [876, 634], [24, -30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [354, 6], [-12, 6], [0, 0]], [[0, 0], [-15570, -42359/3], [-175, -5/3], [5, 4/3]], [[0, 0], [-817081, -1000937/3], [12813, -24374/3], [-186, 589/3]]], 0, 2880, [], [] >,
< [ -3, -1, 1 ], [[336, -176]], [ -537, 2 ], [ -340, 102 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-820/43, 312/43], [72/43, -6/43], [0, 0]], [[0, 0], [194705227/5633, -2860172/5633], [-2759019/1462, 49110/731], [-40501/191522, -2/95761]], [[0, 0], [-122667736160/5633, 113657901610/5633], [54094335/43, -47404801/43], [719647/5633, -694991/5633]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16556/43, -276/43], [492/43, 2/43], [0, 0]], [[0, 0], [-402123711/5633, 17370637/16899], [-1228235/1462, 111613/4386], [11759/191522, -5/574566]], [[0, 0], [318121447394/5633, -346891988167/5633], [511133961/731, -1057380573/1462], [-4433955/95761, 10162421/191522]]], 0, 2560, [], [] >,
< [ -3, -1, 1 ], [[864, -336]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 26], [6, 2], [0, 0]], [[0, 0], [12, 0], [3, 0], [1, 0]], [[0, 0], [58, -28], [-6, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [294, -266], [42, -24], [0, 0]], [[0, 0], [812392/17, -225970/17], [83475/17, -31757/17], [49/17, -3/17]], [[0, 0], [26866778/17, 6114544/17], [1885863/17, -188986/17], [2709/17, 1386/17]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[-1008, 480]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 6], [-18, 6], [0, 0]], [[0, 0], [22, 0], [3, 0], [1, 0]], [[0, 0], [-166, 60], [66, -28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1672, -650], [6, -10], [0, 0]], [[0, 0], [-20707196/17, -32027346/17], [-498663/17, -2689/17], [-73/17, 1/17]], [[0, 0], [2479698692/17, 5957234544/17], [110747667/17, -10498138/17], [16305/17, -1816/17]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[-1296, 528]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, -16], [0, -6], [0, 0]], [[0, 0], [4, 0], [3, 0], [1, 0]], [[0, 0], [260, -94], [12, -10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3604, -522], [24, -8], [0, 0]], [[0, 0], [-97583240/17, -57494032/17], [267783/17, -401/17], [25/17, -5/17]], [[0, 0], [-4896693700/17, -4959026800/17], [-4973802/17, 10381630/17], [-1042/17, 868/17]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[-240, 160]], [ -105, -25 ], [ -15, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [15460/157, 1278/157], [0, 0], [-262/785, -2/157]], [[0, 0], [134950/157, 121616/157], [0, 0], [-2052/785, -380/157]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-187019/157, 5912/471], [-307, 2/3], [614/785, -4/2355]], [[0, 0], [-13405942/157, -13516586/471], [-22200, -22940/3], [8880/157, 9176/471]]], 0, 3840, [], [] >,
< [ -3, -1, 1 ], [[-1200, 800]], [ -105, -25 ], [ -15, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-4138/157, 518/157], [0, 0], [262/157, 10/157]], [[0, 0], [21282/157, 9204/157], [0, 0], [-1792/157, -1008/157]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-192633/157, -4484/471], [171, 4/3], [342/157, 8/471]], [[0, 0], [-1059078/157, 1482458/157], [940, -1316], [1880/157, -2632/157]]], 0, 99840, [], [] >,
< [ -3, -1, 1 ], [[-12240, 5232]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 12], [-222, 116], [0, 0]], [[0, 0], [6, 0], [21, 0], [1, 0]], [[0, 0], [-158, 78], [-5220, 2280], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6190, -32], [816, 10], [0, 0]], [[0, 0], [-109393270968/17, 465773168/17], [14417972496/17, 39832118/17], [-58/17, -2/17]], [[0, 0], [-164456947795496/17, 82729907691948/17], [21446644101378/17, -10828789103311/17], [-82118/17, 42199/17]]], 0, 168960, [], [] >,
< [ -3, -1, 1 ], [[-8352, 3504]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-130, 40], [654, 4], [0, 0]], [[0, 0], [20, 0], [-27, 0], [1, 0]], [[0, 0], [434, -268], [-624, 1664], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3646, -14], [-450, 4], [0, 0]], [[0, 0], [61663107296/17, 712491156/17], [7608349845/17, -9672629/17], [97/17, 1/17]], [[0, 0], [-118750388143148/17, 73999752437296/17], [-15005995907466/17, 9204569012604/17], [-187240/17, 116498/17]]], 0, 168960, [], [] >,
< [ -3, -1, 1 ], [[-10512, 4512]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 2], [-162, 70], [0, 0]], [[0, 0], [2, 0], [45, 0], [1, 0]], [[0, 0], [-8, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-596, -98], [264, -2], [0, 0]], [[0, 0], [-442682/17, 332596/17], [281508/17, -166535/17], [-4/17, -1/17]], [[0, 0], [-4258, 2310], [2520, -1240], [0, 0]]], 0, 92160, [], [] >,
< [ -3, -1, 1 ], [[-1488, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-468, 2], [240, -110], [0, 0]], [[0, 0], [14, 1], [-29, 1], [1, 0]], [[0, 0], [-1284, -2140], [-846, 290], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, 98], [294, -122], [0, 0]], [[0, 0], [-166826, -415988/3], [-34796, -13040/3], [4, 4/3]], [[0, 0], [15367, -575191/3], [-371163, 432374/3], [30, -31/3]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[-912, 128]], [ -537, 2 ], [ -340, 102 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10876/43, 32/43], [1218/43, 6/43], [0, 0]], [[0, 0], [678102301/5633, 464608/5633], [-5754261/1462, -6914/731], [128489/191522, -2/95761]], [[0, 0], [-836203040173/5633, 508975439026/5633], [7073607573/1462, -2157148418/731], [-158653769/191522, 48243412/95761]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66094/43, 226/43], [-1992/43, -6/43], [0, 0]], [[0, 0], [-80147083424/5633, 53340142415/16899], [-311765018/731, 407950745/4386], [33284/95761, -1/574566]], [[0, 0], [-152171918489660/5633, 230092236000520/16899], [-588950154298/731, 893339962820/2193], [44373056/95761, -84845488/287283]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[-5328, 2208]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -18], [-204, 102], [0, 0]], [[0, 0], [6, 0], [-39, 0], [1, 0]], [[0, 0], [54, -38], [-480, 232], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166, 176], [234, -6], [0, 0]], [[0, 0], [-1138106/17, 327010/17], [481572/17, -358043/17], [56/17, -1/17]], [[0, 0], [-170824354/17, 83687360/17], [115374015/17, -41637290/17], [5445/17, -3690/17]]], 0, 92160, [], [] >,
< [ -3, -1, 1 ], [[-1872, 624]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -6], [-6, 4], [0, 0]], [[0, 0], [-10, -11], [-36, -35/2], [-3/2, 1/2]], [[0, 0], [-9, -4], [-15/2, -14], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-442, 74], [-12, 10], [0, 0]], [[0, 0], [-13721/17, 135623/17], [-21849/34, -1655/34], [-61/34, 1/17]], [[0, 0], [439922/17, -2463612/17], [201786/17, 10024/17], [568/17, -32/17]]], 0, 107520, [], [] >,
< [ -3, -1, 1 ], [[-1872, 624]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -16], [12, -8], [0, 0]], [[0, 0], [115, -125], [163/2, -125/2], [-5/2, -5/2]], [[0, 0], [423, -181], [495/2, -213/2], [3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, -100], [-36, 20], [0, 0]], [[0, 0], [-2544459/17, -1976838/17], [397623/34, 577/17], [75/34, 1/17]], [[0, 0], [269852638/17, 197723734/17], [42783782/17, -27460294/17], [7700/17, -5110/17]]], 0, 53760, [], [] >,
< [ -3, -1, 1 ], [[14016, -6080]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 16], [-72, 36], [0, 0]], [[0, 0], [-219, 89], [-381, 194], [-18, 11]], [[0, 0], [2325, -983], [4251, -1970], [210, -105]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -80], [60, 4], [0, 0]], [[0, 0], [44, 1], [-5, 1], [1, 0]], [[0, 0], [-504, -696], [420, 140], [0, 0]]], 0, 23040, [], [] >,
< [ -3, -1, 1 ], [[768, -320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 12], [12, 8], [0, 0]], [[0, 0], [-84, 35], [-15, 3], [3, -4]], [[0, 0], [1, -1], [-3, 0], [0, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 36], [12, -4], [0, 0]], [[0, 0], [-521/3, -13/3], [-235/3, -2/3], [14/3, 1/3]], [[0, 0], [-43/3, 40/3], [-20/3, 17/3], [1/3, -1/3]]], 0, 1920, [], [] >,
< [ -3, -1, 1 ], [[1152, -192]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 12], [48, 8], [0, 0]], [[0, 0], [78, -1], [-48, 206], [-24, 13]], [[0, 0], [-198, -120], [-864, -788], [0, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -4], [204, -88], [0, 0]], [[0, 0], [-12, 4], [1116, -492], [-12, 4]], [[0, 0], [3, -2], [-498, 212], [3, -2]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[1152, -192]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, 30], [60, 16], [0, 0]], [[0, 0], [510, 874], [-1872, -1552], [0, 4]], [[0, 0], [-243, -1214], [2166, 1908], [3, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, -50], [0, -12], [0, 0]], [[0, 0], [-105, 94], [-210, -140], [-3, 2]], [[0, 0], [-9, 326], [-1314, -968], [-3, 6]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[576, -192]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 10], [24, 4], [0, 0]], [[0, 0], [3, 0], [6, 0], [1, 0]], [[0, 0], [-66, 28], [48, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -14], [4, 16], [0, 0]], [[0, 0], [-105, 89], [-90, -182], [15, -7]], [[0, 0], [99, -48], [-42, 44], [-9, 4]]], 0, 3840, [], [] >,
< [ -3, -1, 1 ], [[576, -192]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -10], [48, -24], [0, 0]], [[0, 0], [3, 0], [-2, 0], [1, 0]], [[0, 0], [-6, 4], [-12, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 18], [24, -28], [0, 0]], [[0, 0], [-1, 0], [6, 0], [1, 0]], [[0, 0], [-654, 302], [816, -396], [0, 0]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[1536, -832]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [294, -112], [48, 16], [0, 0]], [[0, 0], [-3597, -2606], [-8178, -6244], [-9, 8]], [[0, 0], [-127350, -94499], [-293508, -224594], [-138, 207]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 22], [-12, -12], [0, 0]], [[0, 0], [-585, 316], [-174, -192], [9, -4]], [[0, 0], [36, 48], [-228, -176], [0, 0]]], 0, 69120, [], [] >,
< [ -3, -1, 1 ], [[1536, -832]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, -64], [12, -4], [0, 0]], [[0, 0], [-12, -15], [-24, 14], [-12, 7]], [[0, 0], [66, 53], [0, -14], [0, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, -24], [-36, 4], [0, 0]], [[0, 0], [852, 104], [8460, 6748], [6, -2]], [[0, 0], [-10818, -11865], [-304380, -231994], [18, -29]]], 0, 69120, [], [] >,
< [ -3, -1, 1 ], [[-2304, 768]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, -24], [-24, 20], [0, 0]], [[0, 0], [936, -48], [222, 574], [10, 10]], [[0, 0], [-3712, 1408], [1548, -1054], [4, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 28], [84, -40], [0, 0]], [[0, 0], [-160, -256], [-390, 220], [-2, 4]], [[0, 0], [-688, -288], [852, -280], [12, 0]]], 0, 81920, [], [] >,
< [ -3, -1, 1 ], [[-576, 192]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -20], [0, -8], [0, 0]], [[0, 0], [2, 0], [-3, 0], [1, 0]], [[0, 0], [-320, 160], [-96, 52], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 16], [36, -28], [0, 0]], [[0, 0], [-21912/17, 15106/17], [57228/17, -26137/17], [-32/17, 3/17]], [[0, 0], [-3682, -17286], [-22779, 14239], [41, 19]]], 0, 5120, [], [] >,
< [ -3, -1, 1 ], [[-576, 960]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [996, -436], [12, -8], [0, 0]], [[0, 0], [2097, -912], [-6, -8], [-9, 8]], [[0, 0], [77916, -33834], [120, -40], [-462, 196]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-786, 300], [60, 0], [0, 0]], [[0, 0], [2091, 1115], [-1110, -798], [-9, 7]], [[0, 0], [6, 3], [0, -2], [0, -1]]], 0, 276480, [], [] >,
< [ -3, -1, 1 ], [[768, -512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 24], [-36, 4], [0, 0]], [[0, 0], [-2686, 954], [1174, -508], [-8, -6]], [[0, 0], [-4872, 2128], [2280, -992], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, -4], [-12, 20], [0, 0]], [[0, 0], [3412, -386], [-790, 878], [-10, -4]], [[0, 0], [4372, -2184], [-2392, 900], [-4, 4]]], 0, 40960, [], [] >,
< [ -3, -1, 1 ], [[-192, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -4], [-48, 24], [0, 0]], [[0, 0], [-4, 1], [-5, 1], [1, 0]], [[0, 0], [0, 0], [0, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 24], [-84, 48], [0, 0]], [[0, 0], [2350, -3115/3], [3317, -4217/3], [-3, 2/3]], [[0, 0], [6, 7/3], [3, 5/3], [-1, -2/3]]], 0, 2560, [], [] >,
< [ -3, -1, 1 ], [[-576, 960]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -14], [-36, -12], [0, 0]], [[0, 0], [-1698, -222], [-3984, 664], [12, -4]], [[0, 0], [2811, -12916], [32358, -27048], [-141, 76]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -44], [12, -8], [0, 0]], [[0, 0], [-3405, -5975], [138, -738], [-9, 5]], [[0, 0], [-17973, -34941], [1182, -4402], [-57, 31]]], 0, 138240, [], [] >,
< [ -3, -1, 1 ], [[-576, 960]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -24], [-48, 16], [0, 0]], [[0, 0], [819, 682], [42, 120], [15, -6]], [[0, 0], [-3870, -2898], [-612, -344], [18, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -6], [-72, 40], [0, 0]], [[0, 0], [51, 236], [-1362, 496], [21, -10]], [[0, 0], [156, 1141], [-6984, 2586], [108, -51]]], 0, 138240, [], [] >,
< [ -3, -1, 1 ], [[4053, -1760]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -1], [435, -191], [-15, 1], [0, 0]], [[-836, -1297/2], [-2043/2, -117/2], [-1026, -804], [3/2, 1]], [[-1/2, -1], [-111/2, 47/2], [0, -3/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 2], [675/2, -291/2], [3, 5/2], [0, 0]], [[-3/2, -2], [1950, -1793/2], [0, 0], [3/2, -5/2]], [[259/2, 17], [194502, -166183/2], [0, 0], [675/2, -191/2]]], 0, 54, [], [] >,
< [ -3, -1, 1 ], [[4053, -1760]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1], [849/2, -371/2], [6, -5/2], [0, 0]], [[3, 1/2], [393, -353/2], [-3, -1/2], [3, 1/2]], [[474, 364], [-1569, -1162], [-474, -364], [474, 364]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 7/2], [-357/2, 77], [-39/2, 17/2], [0, 0]], [[-3/2, 1/2], [-33/2, 19/2], [3/2, -1/2], [-3/2, 1/2]], [[0, 0], [-48, -37], [0, 0], [0, 0]]], 0, 54, [], [] >,
< [ -3, -1, 1 ], [[2826, -1227]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1], [3/2, -1], [12, -2], [0, 0]], [[4, 12], [-6, -5], [3/2, 67/2], [-9/2, 5/2]], [[6, 79/2], [-18, -31/2], [-18, 225/2], [-18, 19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -1/2], [-15/2, -1/2], [-6, 1], [0, 0]], [[-21/2, -2], [-21/2, -2], [-135/2, -9/2], [-15/2, -1/2]], [[18, -11], [18, -11], [297/2, -81], [33/2, -9]]], 0, 108, [], [] >,
< [ -3, -1, 1 ], [[-36, 15]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, 9/2], [-9, 9/2], [-6, 2], [0, 0]], [[12, -14], [12, -14], [39/2, -2], [-1/2, -1]], [[108, -50], [108, -50], [165/2, -67/2], [5/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 3/2], [-3/2, 3/2], [-12, 4], [0, 0]], [[-5, 3], [-5, 3], [-45, 39/2], [-12, 13/2]], [[8, -20], [8, -20], [345/2, -74], [57/2, -38]]], 1, 8, [], [] >,
< [ -3, -1, 1 ], [[72, -30]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 13/2], [-33, 37/2], [-24, 13], [0, 0]], [[-5/2, 1/2], [5/2, -17/2], [-15/2, 7/2], [-5/2, 5/2]], [[5/2, -1], [-17/2, 5], [9, -4], [4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 5/2], [-267, 257/2], [-6, 5], [0, 0]], [[-79, -3], [-61739/17, 3484/17], [-888/17, -40/17], [-58/17, -2/17]], [[0, -23/2], [141, -977/2], [0, -15/2], [0, -1/2]]], 1, 20, [], [] >,
< [ -3, -1, 1 ], [[72, -30]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 1], [3/2, -1], [-15/2, 1], [0, 0]], [[45, 60], [35/2, 8], [45, 60], [1/2, -2]], [[-225, 120], [55, -39/2], [-225, 120], [23, -21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -3/2], [24, -15/2], [0, -3/2], [0, 0]], [[30, 18], [29, -137/2], [30, 18], [2, -3/2]], [[15/2, 11], [-201/2, 18], [15/2, 11], [-3, 1]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[12, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 2], [39, 13], [6, -1], [0, 0]], [[562, -375/2], [-67/2, 2400], [-1121/2, 745/2], [2, 0]], [[-4629, 3555/2], [9218, -27635/2], [5311, -5675/2], [-14, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 0], [135, -53], [0, 1], [0, 0]], [[5, 7/2], [237/2, 167/6], [9, 23/3], [1/2, -2/3]], [[0, 0], [-3/2, 1/3], [0, 1/6], [1/2, -1/6]]], 1, 10, [], [] >,
< [ -3, -1, 1 ], [[12, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 5/2], [6, -31/2], [15/2, 0], [0, 0]], [[-49/2, 23/2], [197/2, -123/2], [67/2, -21/2], [-5/2, -1/2]], [[-64, 57/2], [280, -273/2], [80, -63/2], [-4, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -2], [-6, 14], [-6, 2], [0, 0]], [[-15/2, 5/2], [93, -20/3], [3, -53/6], [-5/2, -2/3]], [[46, -18], [-492, 251/2], [-87/2, 77/2], [21/2, 0]]], 1, 18, [], [] >,
< [ -3, -1, 1 ], [[36, -15]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -1/2], [-15, 3/2], [-3/2, 3], [0, 0]], [[200, -42], [-843, 158], [-120, 158], [0, -2]], [[-501, 421/2], [2066, -1729/2], [619, -571/2], [-5, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1], [951/2, -33/2], [3, -3/2], [0, 0]], [[149, -319/2], [4576413/34, 4625371/34], [-8748/17, 53/17], [-99/34, -2/17]], [[238981/2, -40641], [-32361425, -9025861], [-276671/2, 172441/2], [-715, 949/2]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[36, -15]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [-123/2, 35], [-3/2, -1/2], [0, 0]], [[11, -8], [-1833, 1655/2], [-33/2, 3/2], [3/2, -2]], [[-238, 267/2], [70979/2, -15706], [541/2, -129/2], [-40, 30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 5/2], [435/2, 47], [15/2, 5/2], [0, 0]], [[-721/2, 373], [505484/17, -106011/34], [18118/17, 555/17], [-145/34, -5/34]], [[-35066, 11908], [39604223/34, -22305857/34], [1112767/34, -370797/17], [-2209/17, 2961/34]]], 1, 8, [], [] >,
< [ -3, -1, 1 ], [[-183, 80]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -5/2], [-3/2, -21/2], [-6, -5/2], [0, 0]], [[-474, -263], [-945/2, -815], [-1875/4, -262], [-3/26, -1/52]], [[1773/2, -1], [-1848, 1638], [867, 19/4], [23/52, -7/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, -2], [-47/2, -1], [9/4, -5/2], [-12/13, 5/52]], [[-31/2, 23/2], [189, -111/2], [-153/4, 81/4], [441/52, -77/26]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[45, -12]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -1], [87/2, -18], [-3, 5/2], [0, 0]], [[153, 153/2], [1531/2, -64], [883/4, 923/4], [-35/52, 5/52]], [[216, 324], [-2881/2, 2819/2], [3965/4, 2097/4], [77/52, -63/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -5/2], [798, -193/2], [-15/2, 5/2], [0, 0]], [[665, -685], [731773/2, 144330], [-8051/4, -20], [1/4, 0]], [[-123473, 32433], [23847643/17, 265272850/17], [3238291/34, -1515830/17], [-5375/442, 2450/221]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[45, -12]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1], [201/2, -43], [3, -1/2], [0, 0]], [[72, 45], [-653/2, 303], [553/4, 117], [1/4, 0]], [[-80, -100], [-3937/2, 570], [-1177/4, -185], [23/52, -5/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 3/2], [123/2, 69/2], [9/2, -1], [0, 0]], [[3605/2, -3815/2], [-162890, -203205/2], [-23059/4, -105], [-1/4, 0]], [[20489, -10577/2], [11411451/34, 13846045/34], [-1087239/68, 520639/34], [-645/884, 147/221]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[39, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, -3], [-1131/2, -99/2], [-9, 11/2], [0, 0]], [[1426, -2865/2], [203696, 516689/2], [-4298, -9/2], [-2, -1/2]], [[-566973/2, 118163], [26058169/2, -3549912], [709523/2, -165431], [215/2, -55]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1/2], [1887/2, 3], [-3/2, 3/2], [0, 0]], [[1855/2, -1657/2], [116221/2, -2999897/6], [-4955/2, 595/6], [1/2, -5/6]], [[20872, -10019], [6773499, -12019750/3], [-29966, 32465/3], [16, -25/3]]], 1, 36, [], [] >,
< [ -3, -1, 1 ], [[39, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 3/2], [483, 29/2], [9/2, -1], [0, 0]], [[-7231/2, 7125/2], [2895443/2, 901101/2], [21385/2, -107/2], [1/2, -3/2]], [[-2079019/2, 487719], [255759021/2, -35868609], [2927829/2, -552089], [597/2, -153]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 1], [498, 6], [3, 0], [0, 0]], [[-59, 61], [60855/2, 1684/3], [185, 5/6], [1/2, -1/6]], [[13/2, -3/2], [-714, 1655/2], [-9/2, 5], [0, 0]]], 1, 36, [], [] >,
< [ -3, -1, 1 ], [[321, -139]], [ -537, 2 ], [ -340, 102 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-284, 3/2], [-21/43, 1057/86], [621/86, 1/43], [0, 0]], [[110081/2, 49205/2], [-353309729/11266, -18248429/5633], [-2252193/1462, -1878157/2924], [10259/191522, 3/383044]], [[-45441131, -40898711/2], [290615621623/11266, 31137490113/11266], [218682279/172, 45941133/86], [-16858385/383044, -31511/191522]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-284, 3/2], [-27111/43, 1487/86], [621/86, 1/43], [0, 0]], [[78801/2, 59995/2], [558633632/5633, 2147835169/33798], [-3843563/2924, -1706648/2193], [-30221/383044, -1/574566]], [[-86054713, -65408136], [-1245175607537/5633, -2308707835600/16899], [4318463441/1462, 7283475887/4386], [37284325/191522, -5621329/574566]]], 1, 32, [], [] >,
< [ -3, -1, 1 ], [[-96, 61]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[52, 3/2], [-1191/2, 87], [183/2, -1/2], [0, 0]], [[-3910239/2, -86561/2], [44932735/2, -6796087/2], [-6885145/2, 82349/2], [-1/2, 3/2]], [[3344052775, -993372719], [-44677543315, 16132333901], [6076567795, -1891284314], [3280, -2084]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-59, -7/2], [813/2, -113], [-207/2, -5/2], [0, 0]], [[-299741/2, -29225/2], [1989141/2, -1548409/6], [-523775/2, -96691/6], [-5/2, 5/6]], [[328702, 3781299/2], [20350469/2, -26561879/3], [493133/2, 19234805/6], [-32, 61/3]]], 1, 576, [], [] >,
< [ -3, -1, 1 ], [[-96, 61]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[63/2, 1/2], [-726, 113/2], [111/2, -1], [0, 0]], [[-258061/2, -4402], [2958541, -181956], [-453851/2, 161/2], [2, 1/2]], [[-8443323/2, 2210614], [223650827/2, -55446535], [-15680273/2, 4019402], [85/2, -27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-121/2, -3/2], [-207, -197/2], [-213/2, 1], [0, 0]], [[-268680, -15394], [-958450, -2876479/6], [-942837/2, -62719/6], [-3/2, -2/3]], [[-7084734, 6798145/2], [-8054992, 34108399/6], [-13102234, 37290733/6], [-16, 61/6]]], 1, 576, [], [] >,
< [ -3, -1, 1 ], [[-2022, 877]], [ -537, 2 ], [ -340, 102 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[675/2, -3/2], [-1485/86, -661/86], [-369/43, -3/86], [0, 0]], [[83, -161/2], [-3764520283/11266, 8038/5633], [-28329783/2924, 5759/2924], [629417/383044, 5/383044]], [[-6763239/2, 4164633/2], [96774033806239/11266, -19453543710773/11266], [182089363617/731, -73256426505/1462], [-4045055465/95761, 813104710/95761]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[461/2, -3/2], [44397/86, -937/86], [-252/43, -1/86], [0, 0]], [[-683852, -244133], [-7806349326/5633, -8687332682/16899], [27274909/1462, 28172899/4386], [29193/191522, 1/574566]], [[4673344599/2, 476975055/2], [26381644487723/5633, 18609203660395/33798], [-188248629491/2924, -12461053013/2193], [-255385301/383044, 78269471/574566]]], 1, 576, [], [] >,
< [ -3, -1, 1 ], [[-663, 286]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 3/2], [-27/2, 19/2], [0, 3/2], [0, 0]], [[-105/2, -36], [-195/2, -189/2], [-183/4, -79/2], [1, -5/4]], [[-315/2, -80], [-132, -288], [-90, -443/4], [57/4, -33/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1, 0], [-1/2, 0], [-3/4, 1/2], [0, 1/4]], [[3/2, -1/2], [1/2, 0], [3/2, -1/2], [0, 0]]], 1, 336, [], [] >,
< [ -3, -1, 1 ], [[468, -195]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 5/2], [-3, 9/2], [15/2, -5/2], [0, 0]], [[19/2, 2], [37, 15], [23/4, 21/2], [-1/4, -1]], [[475, -380], [1671/2, -1244], [-4077/4, 74], [483/4, -21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1/2], [-63, 103/2], [-3/2, -3/2], [0, 0]], [[-535/2, 285], [-5256875/34, 1064137/17], [28895/34, 315/17], [5/34, -1/34]], [[-2514, 6285/2], [-54611539/34, 21838035/34], [637325/68, 10842/17], [107/68, -9/34]]], 1, 672, [], [] >,
< [ -3, -1, 1 ], [[468, -195]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [-93, 93/2], [9/2, -1/2], [0, 0]], [[-6345/2, -4455/2], [-35780, -38763/2], [-26725/4, -10799/2], [5/4, 1/2]], [[32760, 12168], [1265975/2, -19229], [145895/4, 89867/2], [-121/4, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -3/2], [-417, 97/2], [-9/2, -3/2], [0, 0]], [[832, -839], [-11368095/34, 3539643/34], [-172521/68, -441/68], [39/68, -1/68]], [[-9154, 6394], [98578079/34, -17867261/17], [1314911/68, -94715/34], [-301/68, 25/34]]], 1, 672, [], [] >,
< [ -3, -1, 1 ], [[64848, -28160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [156, -76], [-36, -6], [0, 0]], [[0, 0], [-744, -298], [-1284, -1028], [-36, 0]], [[0, 0], [-6, 1], [-3, -1], [3, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -10], [-222, 100], [0, 0]], [[0, 0], [1215, -547], [-34029, 14742], [-42, -5]], [[0, 0], [-4152, -2444], [10626, -12364], [-4224, -3256]]], 0, 12960, [], [] >,
< [ -3, -1, 1 ], [[64848, -28160]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-216, 96], [-174, 74], [0, 0]], [[0, 0], [-762, 327], [-627, 277], [-3, -2]], [[0, 0], [-3072, 1334], [-2556, 1110], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -2], [-804, 350], [0, 0]], [[0, 0], [18, -7], [4677, -2017], [-3, 4]], [[0, 0], [186, -80], [49356, -21420], [-54, 26]]], 0, 12960, [], [] >,
< [ -3, -1, 1 ], [[-576, 240]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -26], [-48, 22], [0, 0]], [[0, 0], [0, 0], [3, 0], [1, 0]], [[0, 0], [114, -152], [-168, 96], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -8], [-18, 2], [0, 0]], [[0, 0], [-1800, -800], [-267, -1170], [3, 0]], [[0, 0], [-920, 0], [705, -631], [3, -1]]], 0, 960, [], [] >,
< [ -3, -1, 1 ], [[45216, -19632]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-174, 82], [-42, 4], [0, 0]], [[0, 0], [10440, 7380], [-21762, -16866], [12, -8]], [[0, 0], [-130698, -85156], [257607, 201606], [-315, 170]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 20], [-498, 218], [0, 0]], [[0, 0], [-288, 200], [-3768, 1699], [18, -9]], [[0, 0], [-384, 112], [-3738, 1577], [18, -7]]], 0, 25920, [], [] >,
< [ -3, -1, 1 ], [[-144, 60]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 1], [0, -2], [0, 0]], [[-5, -4], [-7, 9], [-6, -3], [-2, -1]], [[11/2, 1], [-485/2, 102], [-24, 27/2], [-8, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 3], [30, 10], [0, 0]], [[0, 1], [-8, 2], [21, 8], [1, 0]], [[-3/2, 1/2], [-7/2, 3/2], [3, -3/2], [1, -1/2]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[144, -60]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -15], [30, 4], [0, 0]], [[0, 0], [-436, 57], [1545/2, 789], [1/2, 1]], [[0, 0], [-1634, 642], [-312, 1419/2], [-2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [123, -47], [-30, 8], [0, 0]], [[0, 0], [-163739/17, -342959/17], [232386/17, 225414/17], [10/17, -2/17]], [[0, 0], [-6870828/17, -1612493/17], [3673494/17, 4054171/34], [-114/17, 151/34]]], 1, 60, [], [] >,
< [ -3, -1, 1 ], [[144, -60]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, -37], [12, -5], [0, 0]], [[0, 0], [-51, 37/2], [-3, 4], [0, -3/2]], [[0, 0], [-233/2, 99/2], [-12, 6], [5/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, -12], [0, 3], [0, 0]], [[0, 0], [1/2, 27/2], [6, -7], [-5/2, -3/2]], [[0, 0], [151, -123/2], [-132, 56], [4, -5/2]]], 1, 120, [], [] >,
< [ -3, -1, 1 ], [[-204, 88]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, -62], [0, -4], [0, 0]], [[-5/2, -5/2], [316, -124], [17, -3/2], [-5/2, 0]], [[-1/2, 0], [-13, 6], [-7/2, 3/2], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [273/2, -69], [9/2, -1/2], [0, 0]], [[1/2, 1/2], [-4, -1/2], [-1/2, 0], [1, 0]], [[-81/2, -45/2], [924, 433/2], [-135/2, -63], [0, 0]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-204, 88]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 10], [6, 0], [0, 0]], [[-5/2, -1], [-260, 109], [139/2, -59/2], [2, -3/2]], [[-12, -7], [-633, 252], [168, -69], [3, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1], [-6, -13], [3, 2], [0, 0]], [[1/2, 1/2], [8, -1/2], [-1/2, 0], [1, 0]], [[1/2, 0], [-3/2, -3/2], [0, 1/2], [0, 0]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[24, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -32], [3, -1], [0, 0]], [[0, 0], [93/2, 19], [0, -1/2], [-3/2, 1/2]], [[0, 0], [-233/2, -239/2], [5/2, 1], [-2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, 33], [-3, 0], [0, 0]], [[0, 0], [21/2, 49/6], [9/2, 7/3], [1, 1/6]], [[0, 0], [52, 41], [17, 14], [2, 2]]], 1, 30, [], [] >,
< [ -3, -1, 1 ], [[24, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 43], [3, 0], [0, 0]], [[0, 0], [-405/2, 86], [24, -13/2], [3/2, 1/2]], [[0, 0], [-55/2, 21/2], [19/2, 4], [2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-276, 125], [21, -10], [0, 0]], [[0, 0], [-459, 659/3], [33, -62/3], [-2, -1/3]], [[0, 0], [-45/2, -135], [30, 65/2], [15/2, 11/2]]], 1, 30, [], [] >,
< [ -3, -1, 1 ], [[576, -240]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, -92], [-12, -4], [0, 0]], [[0, 0], [-4, 3], [1, 1], [1, 0]], [[0, 0], [-120, 66], [6, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [432, -212], [-24, -10], [0, 0]], [[0, 0], [8841459/17, -3945628/17], [-227424/17, -6389/17], [-87/17, -3/17]], [[0, 0], [-59120143/17, 25499410/17], [780736/17, -511437/17], [295/17, -195/17]]], 0, 1920, [], [] >,
< [ -3, -1, 1 ], [[576, -240]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, 8], [12, 10], [0, 0]], [[0, 0], [8, 3], [1, 1], [1, 0]], [[0, 0], [-18, -14], [-6, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, -84], [-6, -6], [0, 0]], [[0, 0], [677350/17, -322725/17], [10805/17, -971/17], [41/17, 2/17]], [[0, 0], [167826296/17, -71179738/17], [1645486/17, -935936/17], [4840/17, -3280/17]]], 0, 1920, [], [] >,
< [ -3, -1, 1 ], [[192, -176]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -2], [30, 6], [0, 0]], [[0, 0], [-498, 155], [1965, -1301/2], [99/26, -3/26]], [[0, 0], [-2687, 883], [21261/2, -7353/2], [513/26, -19/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -4], [0, 10], [0, 0]], [[0, 0], [63, -47], [-303/2, 81/2], [11/26, 2/13]], [[0, 0], [-546, 10], [342, -442], [34/13, 36/13]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[-720, 192]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [246, -96], [6, 10], [0, 0]], [[0, 0], [-1749, -413], [-2637/2, -2021/2], [-69/26, -5/26]], [[0, 0], [-8972, 10273], [7139, 11017/2], [-289/13, 441/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1590, 20], [-30, -6], [0, 0]], [[0, 0], [-1645181/17, 193519/17], [-53405/34, -1865/34], [-593/442, 3/442]], [[0, 0], [-15412392/17, 10114202/17], [-176826/17, 159064/17], [-2178/221, 1782/221]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[-720, 192]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 28], [24, 4], [0, 0]], [[0, 0], [530, 381], [490, 753/2], [4/13, -3/26]], [[0, 0], [384, 302], [378, 288], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [522, 10], [18, -2], [0, 0]], [[0, 0], [5820224/17, 646071/17], [152599/17, -693/34], [283/221, -1/442]], [[0, 0], [-473822225/17, 629481850/17], [-36162623/34, 16653479/17], [-66971/442, 30883/221]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[-624, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-174, 222], [18, 10], [0, 0]], [[0, 0], [62, 1], [1, 1], [1, 0]], [[0, 0], [115092, -49226], [-1152, 592], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1530, 88], [12, -10], [0, 0]], [[0, 0], [-28258, -600893], [-11573, -83], [-5, 0]], [[0, 0], [-67683775, 63171745/3], [865227, -1335530/3], [378, -581/3]]], 0, 8640, [], [] >,
< [ -3, -1, 1 ], [[-624, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1188, -78], [6, -4], [0, 0]], [[0, 0], [-142, 1], [1, 1], [1, 0]], [[0, 0], [-8700, 1508], [66, -34], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1350, 16], [-24, -4], [0, 0]], [[0, 0], [295814, -41530], [-4886, 54], [4, 0]], [[0, 0], [24278035, -34794445/3], [-335433, 512294/3], [270, -415/3]]], 0, 8640, [], [] >,
< [ -3, -1, 1 ], [[-528, 160]], [ -537, 2 ], [ -340, 102 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4038/43, 330/43], [-420/43, -8/43], [0, 0]], [[0, 0], [-113680177/5633, -28799257/5633], [-3241599/1462, 826779/1462], [-25081/191522, 1/191522]], [[0, 0], [-306602742863/5633, -75976797923/5633], [-8812359255/1462, 2272691593/1462], [-1579379/4454, 8269/4454]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8730/43, 584/43], [234/43, 2/43], [0, 0]], [[0, 0], [5072005/43, -2461100/43], [6713229/1462, -1228486/731], [-1/34, 0]], [[0, 0], [980561188194/5633, -1424405457466/16899], [4944234478/731, -5446944839/2193], [-4124410/95761, 66247/287283]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[1536, -976]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [576, 8], [618, 10], [0, 0]], [[0, 0], [116, 1], [-29, 1], [1, 0]], [[0, 0], [-17802, 10654], [-19020, 11412], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-330, 470], [468, -2], [0, 0]], [[0, 0], [-28987635, 43688122], [43339422, 336163], [-3, 1]], [[0, 0], [-8178593637, -1860132761/3], [212967233, -7986322058/3], [-202, 385/3]]], 0, 138240, [], [] >,
< [ -3, -1, 1 ], [[1536, -976]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [246, 2], [162, -2], [0, 0]], [[0, 0], [14, 1], [-29, 1], [1, 0]], [[0, 0], [-924, 568], [-630, 378], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1026, -364], [-372, -8], [0, 0]], [[0, 0], [-20952302, 22902445/3], [7290571, -360323/3], [1, 4/3]], [[0, 0], [-39651525474, 51253232368/3], [9762784484, -11878909742/3], [-808, 1540/3]]], 0, 138240, [], [] >,
< [ -3, -1, 1 ], [[3120, -1168]], [ -537, 2 ], [ -340, 102 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7134/43, -186/43], [-678/43, -8/43], [0, 0]], [[0, 0], [-5442254648/5633, -1284170685/5633], [51486678/731, 37183443/1462], [91670/95761, 1/191522]], [[0, 0], [-62491419410786/5633, 1086339140838/5633], [538600636206/731, 58580745342/731], [1229213240/95761, -249474800/95761]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26616/43, 706/43], [798/43, -2/43], [0, 0]], [[0, 0], [4961229693/5633, -9963732099/5633], [16127445/1462, -76008541/1462], [87579/191522, 1/191522]], [[0, 0], [9818187288214/5633, -23684344008208/16899], [27853170850/731, -84415293752/2193], [38693430/95761, -23882084/287283]]], 0, 138240, [], [] >,
< [ -3, -1, 1 ], [[1248, -208]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -10], [6, -2], [0, 0]], [[0, 0], [22, 13], [0, 1/2], [-3/2, 1/2]], [[0, 0], [-2, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 14], [18, 10], [0, 0]], [[0, 0], [-63, 41], [-597/2, -477/2], [5/2, 2]], [[0, 0], [-1395, 606], [279/2, -70], [-1, 1/2]]], 0, 80640, [], [] >,
< [ -3, -1, 1 ], [[7488, -3120]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 16], [-18, -8], [0, 0]], [[0, 0], [-3344, -4367], [-4849, -7749/2], [-1, -5/2]], [[0, 0], [323140, -6637], [132260, 159909/2], [260, -91/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1800, -10], [-12, 4], [0, 0]], [[0, 0], [-26760067/17, -13198509/17], [183479/34, -989/34], [-49/34, 3/34]], [[0, 0], [-2529579560/17, -974872539/17], [10504100/17, -2549495/34], [-2860/17, 957/34]]], 0, 161280, [], [] >,
< [ -3, -1, 1 ], [[7488, -3120]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -8], [-6, -2], [0, 0]], [[0, 0], [1, 6], [-17/2, 6], [-5/2, 2]], [[0, 0], [-10, -24], [25, -21], [7, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-630, -38], [-30, 6], [0, 0]], [[0, 0], [21881806/17, 6681112/17], [850607/17, -4487/17], [5/17, -1/17]], [[0, 0], [-534032809/17, -185488011/17], [-39934165/34, -1480705/34], [-229/34, 39/34]]], 0, 161280, [], [] >,
< [ -3, -1, 1 ], [[9216, -3840]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 8], [0, 8], [0, 0]], [[0, 0], [76, -24], [168, -18], [8, 6]], [[0, 0], [-156, 68], [-276, 120], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -68], [0, -20], [0, 0]], [[0, 0], [-308, -344], [-126, -164], [2, -8]], [[0, 0], [280, 2204], [-150, 1130], [-118, 86]]], 0, 245760, [], [] >,
< [ -3, -1, 1 ], [[2304, -960]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 28], [0, -20], [0, 0]], [[0, 0], [-2, 0], [-3, 0], [1, 0]], [[0, 0], [24, -8], [-24, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-492, 200], [-36, 8], [0, 0]], [[0, 0], [-331516/17, -26850/17], [-70782/17, -40145/17], [70/17, 3/17]], [[0, 0], [-96994776/17, 67690488/17], [1457268/17, 9977852/17], [22200/17, -14640/17]]], 0, 15360, [], [] >,
< [ -3, -1, 1 ], [[2304, -960]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-390, 174], [-96, 48], [0, 0]], [[0, 0], [-1, 0], [6, 0], [1, 0]], [[0, 0], [-48, 20], [-12, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -6], [48, -24], [0, 0]], [[0, 0], [1, -2], [6, 0], [1, 0]], [[0, 0], [18, -8], [36, -16], [0, 0]]], 0, 30720, [], [] >,
< [ -3, -1, 1 ], [[-3840, 1792]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, -32], [12, -12], [0, 0]], [[0, 0], [-8122, -17326], [4102, 1696], [4, 6]], [[0, 0], [-42834, 9882], [-3450, 2952], [12, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 40], [48, -32], [0, 0]], [[0, 0], [-400, 158], [490, -206], [-2, 0]], [[0, 0], [-108, 44], [132, -56], [0, 0]]], 0, 122880, [], [] >,
< [ -3, -1, 1 ], [[-3840, 1792]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, -40], [36, -20], [0, 0]], [[0, 0], [-792, -622], [270, 202], [-6, -4]], [[0, 0], [106, 22], [2, -24], [-4, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [240, -16], [-24, 16], [0, 0]], [[0, 0], [-2648, 1018], [398, -218], [-10, -4]], [[0, 0], [-9864, 4154], [1638, -754], [-18, 0]]], 0, 122880, [], [] >,
< [ -3, -1, 1 ], [[384, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -52], [-36, -20], [0, 0]], [[0, 0], [-16, 1], [-5, 1], [1, 0]], [[0, 0], [-456, 148], [72, -60], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-204, 148], [48, 4], [0, 0]], [[0, 0], [-612, 525], [183, 21], [-3, 0]], [[0, 0], [-784, 136/3], [-32, -304/3], [0, 4/3]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[384, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 20], [36, 20], [0, 0]], [[0, 0], [-4, 1], [-5, 1], [1, 0]], [[0, 0], [84, -44], [-48, 8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, -52], [12, -16], [0, 0]], [[0, 0], [461, -205/3], [283, 418/3], [2, 5/3]], [[0, 0], [3213, -4202/3], [582, -799/3], [-1, 1/3]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[-6, 10]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, -2], [27/2, 4], [33/2, -2], [0, 0]], [[263/2, 1166], [1559, 1659], [261/2, 1166], [-1/2, 0]], [[-264, 242], [42, 225], [-264, 242], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, -1], [12, -3], [15, -1], [0, 0]], [[-201/2, 40], [-197/2, 83/2], [-201/2, 40], [-2, -3/2]], [[129/2, -28], [129/2, -28], [129/2, -28], [0, 0]]], 1, 18, [], [] >,
< [ -3, -1, 1 ], [[-6, 10]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[39/2, 1/2], [51/2, -7/2], [39/2, 1/2], [0, 0]], [[-783/2, -1743/2], [45/2, -889], [-783/2, -1749/2], [0, -3/2]], [[-36359/2, 6], [-47955/2, 3753], [-36519/2, 18], [-40, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -3/2], [9/2, -5/2], [-9/2, -3/2], [0, 0]], [[-15, 1], [57/2, -9], [-15, 1], [-3/2, 2]], [[27/2, -57/2], [-69, 87/2], [27/2, -57/2], [25/2, 0]]], 1, 18, [], [] >,
< [ -3, -1, 1 ], [[-306, 132]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -5/2], [-24, 17/2], [6, -5/2], [0, 0]], [[1/2, -5/2], [-81, -52], [3/2, -15/2], [1/2, -5/2]], [[35/2, -21/2], [-162, -40], [105/2, -63/2], [35/2, -21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 5/2], [105/2, -41/2], [-3/2, 5/2], [0, 0]], [[-377/2, -45], [1230, -698], [-357/2, -41], [-5/2, -1]], [[1207/2, -599], [-14922, 6045], [1179/2, -571], [7/2, -7]]], 1, 72, [], [] >,
< [ -3, -1, 1 ], [[-33, 28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, 9/2], [-954, 1011/2], [57/2, 2], [0, 0]], [[-816215/2, -313630], [-6479343/2, -2431402], [-1005183/2, -386678], [9/2, -2]], [[41768, 32062], [326769, 250640], [51474, 39514], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, 5/2], [-2691/2, 642], [39/2, 1/2], [0, 0]], [[41949, 64517/2], [692229/2, 249990], [103287/2, 79559/2], [-3, 1]], [[5925293/2, 4545265/2], [46318023/2, 18169100], [3652566, 2800218], [51, -87/2]]], 0, 162, [], [] >,
< [ -3, -1, 1 ], [[-306, 132]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, -5/2], [33, -17/2], [15, -5/2], [0, 0]], [[144, 219/2], [213, 333/2], [144, 215/2], [0, 1]], [[234, 351/2], [337, 271], [238, 341/2], [-2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 3/2], [-57/2, 29/2], [-9/2, 3/2], [0, 0]], [[15, 61/2], [-647/2, -177/2], [5, 77/2], [-5/2, 2]], [[3105, 3519], [-33008, -31555/2], [2725, 4165], [-95, 323/2]]], 1, 36, [], [] >,
< [ -3, -1, 1 ], [[-306, 132]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[57/2, 2], [3/2, 17], [57/2, 2], [0, 0]], [[-20583/2, -12813], [-41837/2, -24279/2], [-20567/2, -12811], [2, 1/2]], [[-1244061/2, -157170], [-448259/2, -427410], [-1244285/2, -156986], [-28, 46]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, -1], [-117, 45], [-12, -1], [0, 0]], [[51, 41], [37/2, 50], [56, 39], [-5/2, 1]], [[999/2, 765/2], [473, 691/2], [997/2, 769/2], [1/2, -1]]], 1, 36, [], [] >,
< [ -3, -1, 1 ], [[-12, 20]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -4], [90, -39], [0, 0]], [[0, 0], [-25/2, -8], [-57, 12], [1/2, 2]], [[0, 0], [-21, -25/2], [-120, 32], [0, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -10], [-48, 23], [0, 0]], [[0, 0], [-154, 91/2], [360, -135], [1, -1/2]], [[0, 0], [-36, 3], [75, -20], [0, 0]]], 1, 90, [], [] >,
< [ -3, -1, 1 ], [[-12, 20]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 9], [15, -4], [0, 0]], [[0, 0], [-195/2, 83/2], [21, -53], [-3/2, -1/2]], [[0, 0], [-882, 384], [564, -198], [-4, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 0], [75, -35], [0, 0]], [[0, 0], [39/2, -3/2], [-90, 45], [3/2, -1/2]], [[0, 0], [-21/2, -4], [18, -15], [-1/2, 0]]], 1, 90, [], [] >,
< [ -3, -1, 1 ], [[-612, 264]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [153, -67], [12, -5], [0, 0]], [[0, 0], [45, 2], [-12, -12], [2, 2]], [[0, 0], [-141/2, 57/2], [-3, 3], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-264, 118], [87, -40], [0, 0]], [[0, 0], [-4539, 5523/2], [1293, -1107], [1, -5/2]], [[0, 0], [-95625/2, 40777/2], [16188, -6771], [53/2, -21/2]]], 1, 360, [], [] >,
< [ -3, -1, 1 ], [[528, -448]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [456, -130], [-72, -6], [0, 0]], [[0, 0], [218628, 272474], [-158514, -132400], [-12, 6]], [[0, 0], [-25830513, -21727934], [14851656, 11594801], [171, -145]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [582, -256], [-18, 6], [0, 0]], [[0, 0], [-3099, -4254], [-2766, -2069], [3, -3]], [[0, 0], [-72312, -117324], [-73752, -54826], [108, -92]]], 0, 38880, [], [] >,
< [ -3, -1, 1 ], [[-612, 264]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 11], [18, -9], [0, 0]], [[0, 0], [400, 119/2], [-728, 316], [-2, -3/2]], [[0, 0], [-858, 377], [3048, -1324], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 14], [108, -48], [0, 0]], [[0, 0], [379/2, 129/2], [-3643, 1581], [1/2, 3/2]], [[0, 0], [336, 145/2], [-8340, 3620], [0, 5/2]]], 1, 180, [], [] >,
< [ -3, -1, 1 ], [[-612, 264]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 13], [-39, 20], [0, 0]], [[0, 0], [1856, -343/2], [-21532, 9420], [-1, 5/2]], [[0, 0], [155/2, -108], [-2276, 980], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -1], [90, -39], [0, 0]], [[0, 0], [1147/2, 883/2], [17, -9], [-5/2, -5/2]], [[0, 0], [-20, -23], [-101, 44], [-2, 1]]], 1, 180, [], [] >,
< [ -3, -1, 1 ], [[-192, 320]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 14], [-60, 4], [0, 0]], [[0, 0], [-1, 0], [-6, 0], [1, 0]], [[0, 0], [54, -6], [240, 128], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 20], [-132, -8], [0, 0]], [[0, 0], [-1, 0], [18, 0], [1, 0]], [[0, 0], [-96, 20], [0, 204], [0, 0]]], 0, 23040, [], [] >,
< [ -3, -1, 1 ], [[-192, 320]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -22], [204, 8], [0, 0]], [[0, 0], [3, 0], [-6, 0], [1, 0]], [[0, 0], [360, -70], [-5280, -4928], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -4], [-96, -8], [0, 0]], [[0, 0], [3, 0], [18, 0], [1, 0]], [[0, 0], [6, -2], [-24, 4], [0, 0]]], 0, 23040, [], [] >,
< [ -3, -1, 1 ], [[-9792, 4224]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 10], [-48, 32], [0, 0]], [[0, 0], [3, 2], [-6, 0], [1, 0]], [[0, 0], [78, -34], [156, -68], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [246, -110], [-192, 80], [0, 0]], [[0, 0], [3, 2], [6, 0], [1, 0]], [[0, 0], [402, -168], [-288, 132], [0, 0]]], 0, 92160, [], [] >,
< [ -3, -1, 1 ], [[-9792, 4224]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -40], [60, 8], [0, 0]], [[0, 0], [-5, 0], [10, 0], [1, 0]], [[0, 0], [-18, 18], [-336, 140], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -10], [72, 12], [0, 0]], [[0, 0], [1, 0], [-14, 0], [1, 0]], [[0, 0], [6, -4], [24, -4], [0, 0]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[-9792, 4224]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 12], [12, -8], [0, 0]], [[0, 0], [-5, 0], [-14, 0], [1, 0]], [[0, 0], [-6, 4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 34], [-48, 20], [0, 0]], [[0, 0], [1, 0], [-2, 0], [1, 0]], [[0, 0], [6, 2], [0, 0], [0, 0]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[-942, 409]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 2], [-789/2, 349/2], [9, 3/2], [0, 0]], [[-1021, -790], [-3933/2, -89/2], [-2499/2, -978], [0, -1/2]], [[-6819/2, -2873], [-52250, 39037/2], [-3826, -3706], [31/2, -17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -2], [-255/2, 113/2], [-3, -5/2], [0, 0]], [[0, -1/2], [313/2, -143/2], [-2, 0], [-1/2, 0]], [[0, 0], [51, -22], [0, 0], [0, 0]]], 1, 18, [], [] >,
< [ -3, -1, 1 ], [[-4560, 1984]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [264, -98], [36, -6], [0, 0]], [[0, 0], [-10, 1], [7, 1], [1, 0]], [[0, 0], [-48, 50], [6, 14], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [162, -96], [-30, -10], [0, 0]], [[0, 0], [8, 1], [7, 1], [1, 0]], [[0, 0], [150, -130], [-60, -32], [0, 0]]], 0, 4320, [], [] >,
< [ -3, -1, 1 ], [[38, -14]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 13/2], [-23/2, -20], [19/2, 5/2], [0, 0]], [[129, -549/2], [3325/2, -511/2], [441, -315], [-7/2, 2]], [[-2604, 439], [-7089, 9111/2], [-7749/2, 2583/2], [53/2, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -2], [-53, 11], [10, -7], [0, 0]], [[585/2, -90], [-4633, 2308], [2885/2, -1133/2], [4, 1/2]], [[153/2, -63/2], [-8329/6, 1850/3], [1205/3, -515/3], [2/3, -1/6]]], 0, 30, [], [] >,
< [ -3, -1, 1 ], [[8, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 3/2], [-17/2, -2], [-3/2, 3/2], [0, 0]], [[53/2, 39/2], [-65, -43], [5, 15/2], [-1/2, -1]], [[-2, 7/2], [53/2, -35/2], [18, -7], [-5/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -7/2], [-3/2, -24], [-9/2, -3/2], [0, 0]], [[27/2, 11/2], [-295/6, 409/6], [79/6, 5/6], [1/6, -1/6]], [[3, 1/2], [-53/2, 19], [7/2, -1/2], [0, 0]]], 1, 3, [], [] >,
< [ -3, -1, 1 ], [[34, -4]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -6], [-1, -8], [6, -6], [0, 0]], [[1413/2, -291], [514, -178], [1427/2, -289], [-7/2, -1]], [[-3377, 2875/2], [-4745/2, 1895/2], [-3398, 2875/2], [21/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 0], [17, -2], [6, 0], [0, 0]], [[29/2, -10], [39, -51/2], [29/2, -10], [-3/2, 3/2]], [[-260, 104], [-1359/2, 549/2], [-260, 104], [67/2, -25/2]]], 0, 54, [], [] >,
< [ -3, -1, 1 ], [[34, -4]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, 5/2], [-5, -17/2], [11, 5/2], [0, 0]], [[-58, -116], [443/2, 229/2], [-58, -116], [-7/2, -5/2]], [[-696, 609/2], [-1091/2, 467/2], [-696, 609/2], [5/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 5/2], [20, 17/2], [5, 5/2], [0, 0]], [[-102, 15], [-462, 183/2], [-102, 15], [5, 5/2]], [[3822, -1638], [36515/2, -15695/2], [3822, -1638], [-115/2, 43/2]]], 0, 54, [], [] >,
< [ -3, -1, 1 ], [[-22, 10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -5/2], [-19, 29/2], [-7/2, -1], [0, 0]], [[-27, -55/2], [193, -63/2], [-9, -35/2], [0, -1/2]], [[10, -13/2], [309, -263/2], [17, -17/2], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -3/2], [31, 19/2], [-1/2, -1], [0, 0]], [[75/2, -5/2], [2887/3, -1741/3], [146/3, -109/6], [-11/6, -2/3]], [[132, -105/2], [10697/2, -4759/2], [228, -98], [-7/2, 1]]], 1, 6, [], [] >,
< [ -3, -1, 1 ], [[6, -6]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 1/2], [0, 9/2], [-5, 1/2], [0, 0]], [[-8, 7/2], [-14, -4], [-8, 7/2], [-2, -5/2]], [[0, 0], [3/2, 0], [0, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -3/2], [7, -11/2], [1, -3/2], [0, 0]], [[45, 35], [193/2, 167/2], [45, 35], [-15/2, 3/2]], [[0, 0], [-8, 7/2], [0, 0], [-8, 7/2]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[6, -6]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 0], [-5/2, -5], [3/2, 0], [0, 0]], [[-11/2, -1], [1, 17], [-11/2, -1], [3/2, -2]], [[-63/2, 19/2], [-241/2, 74], [-63/2, 19/2], [25, -25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, -2], [15, -3], [8, -2], [0, 0]], [[-12, 9/2], [-23, 17/2], [-12, 9/2], [2, -1]], [[-2, -5/2], [-4, -5], [-2, -5/2], [-1, -1/2]]], 2, 6, [], [] >,
< [ -3, -1, 1 ], [[42, -24]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, 1/2], [47/2, 13/2], [17/2, 1/2], [0, 0]], [[-810, 2565/2], [28, 3683], [-810, 2565/2], [-6, -3/2]], [[321165/2, -74115], [602615/2, -148237], [321165/2, -74115], [284, -104]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -3], [49/2, -8], [15/2, -3], [0, 0]], [[-189/2, 9], [-959/2, -119], [-189/2, 9], [-7, -2]], [[4309/2, -713], [7907, -1160], [4309/2, -713], [221/2, -13]]], 0, 36, [], [] >,
< [ -3, -1, 1 ], [[42, -24]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -3], [7/2, -5], [15/2, -3], [0, 0]], [[-49/2, 19/2], [-11, 37/2], [-63/2, 27/2], [7/2, -2]], [[-95, 109/2], [-234, -117/2], [-139, 125/2], [22, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -3/2], [7/2, -13/2], [-9/2, -3/2], [0, 0]], [[-5/2, 13], [175/2, -17], [-5/2, 13], [-2, -1]], [[649, -295], [-7485/2, 1602], [649, -295], [51/2, -9]]], 0, 36, [], [] >,
< [ -3, -1, 1 ], [[-12, 3]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 3/2], [-3, 3/2], [-16, 1], [0, 0]], [[-109/2, 31/2], [-105/2, 39/2], [-25, 184], [-1, -2]], [[77/2, -43/2], [85/2, -41/2], [236, 1/2], [-2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 0], [3, 0], [-5, 5], [0, 0]], [[-11/2, 1], [-11/2, 1], [18, -11], [-1, 0]], [[-7, 7], [-7, 7], [113/2, -31/2], [-1/2, 3/2]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[-6, 6]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2, 1], [2, 1], [5, 5/2], [1, 1/2]], [[-1, 1/2], [-1, 1/2], [-3, 3/2], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 0], [37/2, -16], [-3, 0], [0, 0]], [[-16, -3], [-5663/17, 422/17], [-313/34, -359/34], [-25/34, 5/34]], [[-123/2, -43], [-27383/34, -8327/17], [-2849/34, -1121/17], [-43/34, -11/17]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[-114, 42]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 5/2], [45/2, -33/2], [-5/2, 5/2], [0, 0]], [[-2, 1/2], [35/2, 14], [-2, 1/2], [-1/2, -5/2]], [[-13/2, 7/2], [-77/2, -49/2], [-13/2, 7/2], [12, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -2], [-23/2, -23], [-11/2, -2], [0, 0]], [[-176, -808], [-8294, -2047], [-176, -808], [1, 2]], [[-10920, 2184], [42839, -69883/2], [-10920, 2184], [22, -5/2]]], 0, 108, [], [] >,
< [ -3, -1, 1 ], [[-114, 42]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -3/2], [-26, 13/2], [-3, -3/2], [0, 0]], [[-31/2, 80], [-2563, 1201], [-31/2, 80], [13/2, 1]], [[1968, -1824], [189379/2, -42284], [1968, -1824], [-325/2, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -5/2], [61, -35/2], [1, -5/2], [0, 0]], [[185/2, 85/2], [371/2, -893/2], [185/2, 85/2], [-8, -1]], [[1189/2, 287/2], [7797/2, -3471], [1189/2, 287/2], [-65, 13/2]]], 0, 108, [], [] >,
< [ -3, -1, 1 ], [[-15, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 9/2], [23, 1/2], [1/2, 2], [0, 0]], [[6, 13/2], [41/2, 5], [1/2, 5/2], [5, -2]], [[65, 107/2], [241/2, 145/2], [17, 17], [21/2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -3/2], [-43/2, 8], [11/2, -5/2], [0, 0]], [[3/2, 1/2], [-29, 5], [4, -1/2], [-3/2, 2]], [[2, 1], [-23, -5/2], [7/2, 1/2], [1/2, 2]]], 2, 4, [], [] >,
< [ -3, -1, 1 ], [[-78, 33]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -2], [40, -31], [-2, -4], [0, 0]], [[12, 13/2], [195/2, 6], [39/2, 21/2], [3, 0]], [[-43/2, -29/2], [-127, -44], [-35, -47/2], [-7/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1], [65/2, -17/2], [13, -11/2], [0, 0]], [[-3, -1], [2, 5/2], [11/2, 1/2], [-7/2, -1]], [[-1/2, 1/2], [-3/2, 3/2], [1/2, -1/2], [-1/2, 1/2]]], 0, 24, [], [] >,
< [ -3, -1, 1 ], [[-114, 42]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 5/2], [67, -83/2], [-1, 5/2], [0, 0]], [[-36, -24], [305, 239/2], [-36, -24], [-2, -5/2]], [[77, -11], [-1959, 708], [77, -11], [-14, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1/2], [-55/2, 25/2], [-5/2, -1/2], [0, 0]], [[2, 1], [29/2, -10], [2, 1], [3/2, 0]], [[-1/2, -1], [21, -15/2], [-1/2, -1], [1/2, -1/2]]], 0, 216, [], [] >,
< [ -3, -1, 1 ], [[-3, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1], [-51/2, 33/2], [3, -3/2], [0, 0]], [[-101/2, -40], [726, 1271/2], [-20, -27], [-5/2, 3/2]], [[-587/2, -234], [8335/2, 3739], [-213/2, -162], [-35/2, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1/2], [-193, 53/2], [-5/2, 1], [0, 0]], [[-133/2, -2], [-127929/34, -9659/17], [133/34, 2/17], [-133/34, -2/17]], [[13193/2, -12859/2], [8187465/34, -12199525/34], [-13193/34, 12859/34], [13193/34, -12859/34]]], 1, 4, [], [] >,
< [ -3, -1, 1 ], [[-21, 3]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -1/2], [27/2, 3/2], [5, -1/2], [0, 0]], [[-35/2, -91], [-215, -347], [-11, -369/4], [47/52, -3/52]], [[-841, 2469/2], [-439, 4073], [-3913/4, 5121/4], [-915/52, 61/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -2], [-74, 31/2], [1/2, -2], [0, 0]], [[1755/2, 74], [-546995/34, 282561/34], [62979/68, 2537/34], [66/221, 5/884]], [[-27672, 21523], [21234546/17, -8751032/17], [-501059/17, 773837/34], [-4825/442, 3345/442]]], 1, 16, [], [] >,
< [ -3, -1, 1 ], [[-21, 3]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 0], [-1/2, 3], [-2, 1/2], [0, 0]], [[15, -11/2], [26, -39/2], [25/2, -11], [-3/13, -1/26]], [[5/2, 2], [-37/2, -29/2], [-21/2, -33/4], [-7/26, -11/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -5/2], [-195, 139/2], [-3/2, -3/2], [0, 0]], [[375/2, -19/2], [62371/17, -374261/34], [-21805/68, 149/34], [857/884, 1/442]], [[-807/2, 1943/2], [-6217157/34, -422222/17], [8471/17, -116267/68], [-555/442, 4625/884]]], 1, 32, [], [] >,
< [ -3, -1, 1 ], [[-29, 14]], [ -535, -2 ], [ -748, 306 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5321/2, 1/2], [-17584131/11266, 3779/11266], [84499/1462, -35/731], [-1274/95761, -1/191522]], [[-1878639/2, 307899], [-3104219832/5633, 2035119477/11266], [14926058/731, -19583789/2924], [-20909/4454, 13699/8908]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[188, -1/2], [-8191/43, -469/86], [188/43, -1/86], [0, 0]], [[-171887/2, -31345], [5791745539/33798, 579019486/16899], [-145145/258, -188635/258], [23806/287283, 1/574566]], [[26328156, -3666834], [-371998771606/5633, 184605991449/11266], [-233736353/2924, 106023632/731], [-15276131/383044, 1268678/95761]]], 1, 16, [], [] >,
< [ -3, -1, 1 ], [[42, -15]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, 5/2], [-6, 15/2], [1, 5], [0, 0]], [[82, -129/2], [388, 195/2], [315, 171], [1, 1]], [[5068, -2184], [7816, -3549], [2658, -2667/2], [-10, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -3/2], [41/2, -7/2], [10, -4], [0, 0]], [[-3/2, -5/2], [-993/34, -601/34], [234/17, -291/34], [-7/17, 5/34]], [[35/2, 15], [367/2, 139], [3/2, 18], [1/2, 0]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-23, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 7/2], [63/2, -21], [1/2, 5/2], [0, 0]], [[322, 197/2], [-5025, 3669/2], [336, -21/2], [-2, 1/2]], [[-9784, -500], [229073, -92550], [-12776, 2850], [86, -30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 1/2], [-74, 85/2], [19/2, -2], [0, 0]], [[4279/2, -470], [-192013/6, 45902/3], [19979/6, -3547/3], [-11/6, -2/3]], [[-1019447, 432578], [57166556/3, -24917927/3], [-5382442/3, 2319925/3], [1144/3, -400/3]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[24, -15]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-16, -1/2], [56, -25/2], [-18, 3], [0, 0]], [[-135/2, -19/2], [463/2, -53/2], [-151/2, 1/2], [-1/2, -5/2]], [[251/2, -85/2], [-1153/2, 455/2], [168, -63], [-5, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1], [47, 3], [-6, 3], [0, 0]], [[14, 15/2], [-2220/17, -693/34], [-2733/17, 261/17], [46/17, 1/17]], [[7, 25/2], [73, -241/2], [401/2, -299/2], [-5/2, 5/2]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-39, 12]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[73/2, -3/2], [49/2, 3/2], [4, -1], [0, 0]], [[5439, 1666], [4065, 1643], [458, 10], [0, 1]], [[-11759/2, 4624], [-6037/2, 3063], [-1891/2, 518], [7/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-729, 1/2], [-597, -659/2], [2, -5], [0, 0]], [[-58428, 200339/2], [1499233/17, 3435165/34], [75533/34, 445/34], [5/34, -1/34]], [[5516, -9125/2], [-1678, -6617/2], [-109, 19], [0, 0]]], 1, 32, [], [] >,
< [ -3, -1, 1 ], [[-39, 21]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-83/2, 2], [117/2, -23], [-20, 5], [0, 0]], [[6732, 1980], [-5928, 1832], [5083/2, 22], [5/2, -2]], [[103356, 1914], [-134881, 51489], [47921, -10067], [72, -40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-905/2, -1/2], [-2825/2, -1/2], [-15, 0], [0, 0]], [[-45752, -1433/2], [-2351324/17, -65357/34], [-25315/17, -703/34], [-35/17, -3/34]], [[-51440907/2, 27163361/2], [-2651181755/34, 1398282225/34], [-14271970/17, 7527235/17], [-18816/17, 10128/17]]], 1, 32, [], [] >,
< [ -3, -1, 1 ], [[20, -5]], [ -95, -25 ], [ -28, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-671/2, -1], [-39057/127, 120/127], [-527/127, -217/508], [-219/508, -1/254]], [[-38901, 9553], [-9097969/254, 2265557/254], [-56564/127, 41591/508], [-25277/508, 3059/254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-615/2, 3], [38123/254, 413/127], [16627/1524, 236/381], [935/1524, 1/1524]], [[-9998, 5019/2], [1211037/254, -140969/127], [257155/762, -54373/762], [7540/381, -1846/381]]], 1, 16, [], [] >,
< [ -3, -1, 1 ], [[100, -25]], [ -95, -25 ], [ -28, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1179/2, -1], [-4441/127, -425/254], [-18545/508, -1825/508], [-185/254, 3/508]], [[805135/2, -193143/2], [2931468/127, -1242273/254], [5889065/254, -526780/127], [63616/127, -15624/127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[17/2, 0], [21105/254, 191/254], [-3815/762, -925/762], [173/762, 1/762]], [[175, -91/2], [215529/127, -109965/254], [-31835/381, 12665/1524], [7085/1524, -455/381]]], 1, 416, [], [] >,
< [ -3, -1, 1 ], [[-150, 33]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, -5/2], [-17/2, -5/2], [136, -52], [0, 0]], [[-1845/2, -571], [-1869/2, -559], [5759, -1277], [-2, 2]], [[57918, 125489/2], [55053, 126749/2], [1080387/2, -345303], [-955/2, 105]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[681/2, -2], [-511/2, 234], [149, -59], [0, 0]], [[-9288986, -6089132], [-96816460/17, -103161624/17], [-30597351/34, -89061/17], [75/34, 1/17]], [[2259435465/2, 1116086769/2], [10777055605/34, 25403434365/34], [6919297929/34, -1609900623/34], [-16709/34, 3675/34]]], 1, 704, [], [] >,
< [ -3, -1, 1 ], [[-123, 6]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[101/2, -1/2], [101/2, -1/2], [-15, -6], [0, 0]], [[36203/2, -5184], [36223/2, -5180], [-6943/2, -4], [-5/2, -1]], [[-1217191, 486906], [-1217527, 486922], [184492, -56587], [84, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[855/2, -3/2], [791/2, -47/2], [16, 11], [0, 0]], [[10389, -8465/2], [156817/17, -141481/34], [-35133/34, 2151/34], [49/34, -3/34]], [[8318830, -3378440], [125345758/17, -56648508/17], [-14263998/17, 1393131/34], [19894/17, -1943/34]]], 1, 704, [], [] >,
< [ -3, -1, 1 ], [[271, -115]], [ -535, -2 ], [ -748, 306 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-306, 3/2], [-151365914/5633, 13533/11266], [3562551/1462, -39/1462], [-79399/191522, 1/95761]], [[2088718, -459655], [1029949321147/5633, -446910993305/11266], [-48480748201/2924, 2629306015/731], [1080506245/383044, -58602670/95761]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[37, -5/2], [-1352/43, 63/86], [37/43, -5/86], [0, 0]], [[266062, 119/2], [12147804427/11266, -353297/11266], [-12897655/2924, -5111/2924], [582747/383044, 1/383044]], [[-157/2, -25/2], [-10732085/33798, -854399/16899], [11377/8772, 455/2193], [-515/1149132, -41/574566]]], 1, 192, [], [] >,
< [ -3, -1, 1 ], [[-123, 33]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 2], [8, 2], [41, -11], [0, 0]], [[-697/2, -255/2], [-699/2, -247/2], [-2837/2, 370], [-1/2, 2]], [[22695/2, -15130], [24263/2, -15340], [199200, -95505], [392, -105]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [-203/2, 32], [55, -16], [0, 0]], [[7, -3/2], [1650/17, -1113/34], [-3371/34, 1397/34], [-47/34, 1/34]], [[21/2, -21/2], [7223/34, -4361/34], [-8767/34, 2030/17], [-21/34, 42/17]]], 1, 384, [], [] >,
< [ -3, -1, 1 ], [[26, -29]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, -4], [-99, 30], [38, -11], [0, 0]], [[729, 139/2], [-4246, -11/2], [1771, 149/2], [-1, 1/2]], [[-6, -7/2], [61/2, 16], [-27/2, -15/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -3/2], [26, -7/2], [23/2, -4], [0, 0]], [[-90, -61/2], [-314, -323], [-303/2, -44], [-7/2, -1/2]], [[3601/2, -5947], [-123982/3, -96907/6], [13934/3, -30500/3], [1325/6, -1475/6]]], 1, 192, [], [] >,
< [ -3, -1, 1 ], [[-165, 84]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[49/2, -3/2], [49/2, -3/2], [39, -18], [0, 0]], [[-23276, -19954], [-23279, -19957], [13957/2, 941/2], [-1/2, -1/2]], [[-176, 110], [-176, 110], [-481, 205], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1], [-1/2, -22], [-8, 5], [0, 0]], [[17, 1], [1069/17, 762/17], [-6/17, 339/34], [16/17, -3/34]], [[408, -517/2], [-7568/17, -17213/34], [-8220/17, 1950/17], [500/17, -270/17]]], 1, 384, [], [] >,
< [ -3, -1, 1 ], [[-39, 39]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -1/2], [-29/2, 7], [7/2, -1/2], [0, 0]], [[-55/2, -147/2], [-311, 153/2], [-103/4, -291/4], [5/4, -1]], [[218, 379], [1330, -253], [209, 749/2], [-9/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, 1], [-264, -33/2], [-17/2, 1], [0, 0]], [[-3501/2, 150], [-939972/17, -98153/17], [-60825/34, 10271/68], [-97/68, -1/68]], [[21385/2, -5581/2], [10196491/34, -676414/17], [371273/34, -96613/34], [140/17, -28/17]]], 1, 224, [], [] >,
< [ -3, -1, 1 ], [[-39, 39]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -1/2], [-14, 11/2], [17/2, -5/2], [0, 0]], [[6, 11/2], [11/2, 2], [13/4, 11/4], [3/4, 1/4]], [[2, -1/2], [-4, 2], [1, -1/4], [-1/2, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -3/2], [103/2, 199/2], [7/2, -2], [0, 0]], [[-582, -218], [1011751/17, 1403593/34], [-10146/17, -1665/68], [-20/17, -1/68]], [[3786, 1192], [-12374423/34, -4188463/17], [280523/68, -2809/34], [555/68, -13/34]]], 1, 448, [], [] >,
< [ -3, -1, 1 ], [[16, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[0, 0], [73/2, 29/2], [15/2, 4], [6, 3/2]], [[0, 0], [-12, 9/2], [-3/2, 1/2], [-5/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -1], [1, 0], [0, 0]], [[0, 0], [-73/6, -37/3], [-1/3, -1/6], [7/6, 5/6]], [[0, 0], [-6, 0], [0, 0], [0, 0]]], 1, 9, [], [] >,
< [ -3, -1, 1 ], [[76, -28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 9], [5, 4], [0, 0]], [[0, 0], [-272, 122], [4, 2], [-2, 2]], [[0, 0], [1020, -879/2], [-1/2, 7/2], [23/2, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-61, -50], [17, -5], [0, 0]], [[0, 0], [229/2, 71/2], [359/2, -67], [10, 1/2]], [[0, 0], [-3703/3, 253/3], [-10220/3, 4265/3], [-416/3, 104/3]]], 0, 90, [], [] >,
< [ -3, -1, 1 ], [[68, -8]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, 9], [1, -1], [0, 0]], [[0, 0], [12, -15/2], [0, 0], [8, 5/2]], [[0, 0], [-241/2, 97/2], [0, 0], [-35/2, 35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 4], [1, -1], [0, 0]], [[0, 0], [7/2, 17/2], [0, 0], [-1/2, -5/2]], [[0, 0], [-54, 21], [0, 0], [20, -8]]], 0, 270, [], [] >,
< [ -3, -1, 1 ], [[68, -8]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -3], [1, -1], [0, 0]], [[0, 0], [-30, -21/2], [0, 0], [-8, -5/2]], [[0, 0], [236, -217/2], [0, 0], [69, -63/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, 7], [7, 2], [0, 0]], [[0, 0], [-214, 107/2], [90, 36], [-11, -5/2]], [[0, 0], [3451/2, -707], [-324, 60], [105/2, -15]]], 0, 270, [], [] >,
< [ -3, -1, 1 ], [[16, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -7/2], [37/2, -11], [-9/2, -3/2], [0, 0]], [[1/2, 1/2], [0, -1/2], [1/2, 0], [1, 0]], [[195/2, 13/2], [-1275, 1155/2], [247/2, -26], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -4], [2, 4], [0, 0]], [[7/2, 3], [13, 6], [-1/2, -1/2], [2, 1/2]], [[4, 0], [-31, 18], [-3, 1], [-8, 4]]], 1, 8, [], [] >,
< [ -3, -1, 1 ], [[-44, 20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 30], [-10, 4], [0, 0]], [[0, 0], [-165/2, -87/2], [39/2, 18], [2, 5/2]], [[0, 0], [5/2, -3/2], [1/2, 0], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 3], [6, -3], [0, 0]], [[0, 0], [779/2, 667/2], [-123/2, 3], [1, 1/2]], [[0, 0], [1223/6, 2629/6], [-2171/6, 397/3], [8/3, -1/6]]], 1, 10, [], [] >,
< [ -3, -1, 1 ], [[12, -12]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19, -4], [7, -4], [0, 0]], [[0, 0], [318, 528], [-244, -44], [1, 1]], [[0, 0], [-5055/2, 1683/2], [-1120, 544], [-5/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-9/2, 9/2], [0, 0], [-7/2, 1/2]], [[0, 0], [40, -23/2], [0, 0], [12, -15/2]]], 1, 20, [], [] >,
< [ -3, -1, 1 ], [[12, -12]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, -4], [8, -5], [0, 0]], [[0, 0], [383/2, 29], [-9, -103], [-3/2, -1]], [[0, 0], [-1037/2, 485/2], [-448, 178], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 0], [13, -4], [0, 0]], [[0, 0], [-16, -1], [-12, 3], [0, -1]], [[0, 0], [-1/2, 0], [0, 0], [1/2, 0]]], 1, 30, [], [] >,
< [ -3, -1, 1 ], [[84, -48]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, 10], [-10, -2], [0, 0]], [[0, 0], [360, -153/2], [-20, -115], [0, -3/2]], [[0, 0], [1605, -1455/2], [500, -170], [7, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, -2], [11, -5], [0, 0]], [[0, 0], [-7/2, 8], [0, 0], [-23/2, -2]], [[0, 0], [-74, 53], [0, 0], [-77, 11]]], 0, 180, [], [] >,
< [ -3, -1, 1 ], [[84, -48]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -2], [-11, 5], [0, 0]], [[0, 0], [-349/2, -209/2], [-59, 32], [7/2, 5/2]], [[0, 0], [1527/2, -267], [1860, -810], [-11/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -11], [6, 0], [0, 0]], [[0, 0], [-241/2, 145/2], [-70, 25], [1/2, 5/2]], [[0, 0], [1023/2, -483/2], [256, -106], [9/2, -9/2]]], 0, 180, [], [] >,
< [ -3, -1, 1 ], [[-192, 48]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 6], [10, 2], [0, 0]], [[0, 0], [-2, 0], [-1, 0], [1, 0]], [[0, 0], [-50, 14], [12, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 4], [-10, 10], [0, 0]], [[0, 0], [0, 0], [-1, 0], [1, 0]], [[0, 0], [24, -24], [-44, 14], [0, 0]]], 0, 720, [], [] >,
< [ -3, -1, 1 ], [[12, -12]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5/2, -2], [-5/2, -2], [-13, 17/2], [-1, -1/2]], [[1/2, 1/2], [1/2, 1/2], [51/2, -12], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-6, -4], [-6, -4], [-8, -10], [-2, -2]], [[3/2, -1], [3/2, -1], [-29/2, 11/2], [-3/2, 1/2]]], 1, 16, [], [] >,
< [ -3, -1, 1 ], [[-12, 12]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [-24, 0], [-2, 2]], [[0, 0], [0, 0], [-1/2, 2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, 34], [28, -10], [0, 0]], [[0, 0], [750/17, 4457/17], [947/17, -1681/34], [-13/17, -5/34]], [[0, 0], [-298, 776], [575/2, -184], [-5/2, 0]]], 1, 20, [], [] >,
< [ -3, -1, 1 ], [[-228, 84]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 12], [14, -5], [0, 0]], [[0, 0], [167/2, -137/2], [-80, 8], [3/2, -3/2]], [[0, 0], [-519, -747/2], [-400, -320], [-13, -19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-75, 33], [1, -1], [0, 0]], [[0, 0], [43, -35/2], [0, 0], [2, -1/2]], [[0, 0], [-11/2, -5], [0, 0], [-5/2, -2]]], 0, 540, [], [] >,
< [ -3, -1, 1 ], [[-228, 84]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 20], [6, -3], [0, 0]], [[0, 0], [-111, 99/2], [10, -7], [6, 3/2]], [[0, 0], [-77, 79/2], [1, -10], [14, 17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [307, -130], [-12, 0], [0, 0]], [[0, 0], [-151/2, -29/2], [58, 44], [11/2, 1/2]], [[0, 0], [-859, -596], [1180, 905], [54, 36]]], 0, 540, [], [] >,
< [ -3, -1, 1 ], [[-336, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, 66], [42, 6], [0, 0]], [[0, 0], [-110237, -28483], [-42925, 3940], [-4, 1]], [[0, 0], [-102167, 282689], [-159273, 115050], [-20, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, -32], [8, 10], [0, 0]], [[0, 0], [159, -102], [12, 21], [-9, 3]], [[0, 0], [-43, -65], [55, 44], [-2, -1]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[-48, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 20], [-14, -4], [0, 0]], [[0, 0], [0, 1], [-1, 1], [1, 0]], [[0, 0], [-70, 34], [-40, 16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -14], [-22, 10], [0, 0]], [[0, 0], [-2, -1], [3, 1], [1, 0]], [[0, 0], [230, 166], [-22, -2], [0, 0]]], 0, 960, [], [] >,
< [ -3, -1, 1 ], [[-228, 84]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 26], [14, 1], [0, 0]], [[0, 0], [383/2, 338], [164, 76], [-3/2, 0]], [[0, 0], [917/2, -262], [-152, 44], [5/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35, 34], [1, 2], [0, 0]], [[0, 0], [-1007/2, 13], [-68, 20], [15/2, 0]], [[0, 0], [648, -261], [115, -49], [-10, 4]]], 0, 1080, [], [] >,
< [ -3, -1, 1 ], [[-48, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 30], [6, 6], [0, 0]], [[0, 0], [2, 3], [1, 1], [1, 0]], [[0, 0], [-124, 52], [-10, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [310, 38], [10, -10], [0, 0]], [[0, 0], [-16699/17, -102764/17], [7302/17, -165/17], [-43/17, -5/17]], [[0, 0], [4987471/17, -143336/17], [165992/17, -127341/17], [-667/17, 725/17]]], 0, 640, [], [] >,
< [ -3, -1, 1 ], [[336, -48]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 6], [-16, -2], [0, 0]], [[0, 0], [10, 3], [-184, 183/2], [83/26, 3/26]], [[0, 0], [-52, 41], [3485, -2967/2], [-63/2, 35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -38], [12, -6], [0, 0]], [[0, 0], [-107036/17, 3989/17], [-31930/17, 821/34], [-787/442, 1/442]], [[0, 0], [24874607/17, -16073742/17], [14150313/34, -4741763/17], [85174/221, -116251/442]]], 0, 3840, [], [] >,
< [ -3, -1, 1 ], [[336, -48]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -4], [2, 4], [0, 0]], [[0, 0], [-106, 69], [79, -17/2], [-17/13, 3/26]], [[0, 0], [131, 53], [169/2, 173/2], [-3/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-116, 44], [-2, -10], [0, 0]], [[0, 0], [15760, -2720], [561, 96], [1, 0]], [[0, 0], [2861348/17, -5211471/17], [-132786/17, -538353/34], [-370/221, -10545/442]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[208, -16]], [ -535, -2 ], [ -748, 306 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3356/43, -8/43], [796/43, 2/43], [0, 0]], [[0, 0], [-470750399/5633, -1980055/5633], [14262766/731, 125683/1462], [1274/95761, 1/191522]], [[0, 0], [-316812468069/5633, 105309737542/5633], [1129039439/86, -375221717/86], [101257/11266, -33787/11266]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34310/43, 102/43], [730/43, -4/43], [0, 0]], [[0, 0], [1420632/43, -137/43], [562973/1462, -1600/731], [-1/34, 0]], [[0, 0], [-10150478/16899, 4893335/16899], [-30899/4386, 7432/2193], [307/574566, -74/287283]]], 0, 2560, [], [] >,
< [ -3, -1, 1 ], [[672, -240]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 30], [12, 6], [0, 0]], [[0, 0], [-6, 0], [3, 0], [1, 0]], [[0, 0], [36, -14], [-2, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, -172], [-32, 2], [0, 0]], [[0, 0], [2155468/17, -836518/17], [-222421/17, 105406/17], [-9/17, 2/17]], [[0, 0], [-6902656/17, 2566496/17], [693625/17, -339403/17], [31/17, -5/17]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[368, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [384, 54], [28, -10], [0, 0]], [[0, 0], [-6, 1], [1, 1], [1, 0]], [[0, 0], [13702, 2318], [960, -336], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [198, 18], [24, 0], [0, 0]], [[0, 0], [79924/3, 14708/3], [9328/3, 788/3], [-16/3, -2/3]], [[0, 0], [-475917, 172703], [-63925, 24434], [104, -39]]], 0, 2880, [], [] >,
< [ -3, -1, 1 ], [[384, -240]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, 36], [-16, 4], [0, 0]], [[0, 0], [12, 0], [3, 0], [1, 0]], [[0, 0], [160, -70], [32, -14], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -100], [-8, 8], [0, 0]], [[0, 0], [13900/17, -3290/17], [-2789/17, 1010/17], [-3/17, 4/17]], [[0, 0], [-99958/17, 34564/17], [21409/17, -8644/17], [35/17, -24/17]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[-624, 192]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, -34], [-8, 8], [0, 0]], [[0, 0], [22, 0], [3, 0], [1, 0]], [[0, 0], [66, -24], [-14, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4976, -660], [28, -10], [0, 0]], [[0, 0], [-11921192/17, -3811126/17], [-37341/17, 4092/17], [-133/17, -4/17]], [[0, 0], [429505842, -62952502], [2142760, -763840], [6708, -2064]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[-624, 336]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -30], [20, -2], [0, 0]], [[0, 0], [4, 0], [3, 0], [1, 0]], [[0, 0], [-160, -70], [96, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2098, -388], [36, -6], [0, 0]], [[0, 0], [14001466/17, 6014914/17], [-191645/17, -7435/17], [-121/17, -3/17]], [[0, 0], [82941382/17, -76102638/17], [-3182470/17, 1682470/17], [-2058/17, 1078/17]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[-320, 80]], [ -95, -25 ], [ -28, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72796/127, -74/127], [1940/127, -2/127], [0, 0]], [[0, 0], [9631953/127, -46904/127], [514835/254, -1715/254], [-369/127, -5/254]], [[0, 0], [-4263722561/127, 1060454159/127], [-113820680/127, 56418619/254], [323891/254, -39197/127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-554/127, -890/127], [342/127, 24/127], [0, 0]], [[0, 0], [115179/127, 78668/127], [-19205/254, -31723/254], [-23/127, -1/254]], [[0, 0], [-106917/127, -58577/127], [-10622/381, 107317/762], [253/762, -29/381]]], 0, 3840, [], [] >,
< [ -3, -1, 1 ], [[-1600, 400]], [ -95, -25 ], [ -28, 6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120640/127, 1088/127], [-10400/127, 50/127], [0, 0]], [[0, 0], [16349067/127, -16234405/127], [1392115/127, -2801225/254], [3/2, 0]], [[0, 0], [1435008019/127, -824319798/127], [245744425/254, -141777415/254], [9656/127, -4743/254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3290/127, 696/127], [-1050/127, 60/127], [0, 0]], [[0, 0], [93972/127, -3766/127], [17975/381, -2660/381], [589/381, -1/381]], [[0, 0], [18279582/127, -4974265/127], [7543015/762, -1226090/381], [222737/762, -55955/762]]], 0, 99840, [], [] >,
< [ -3, -1, 1 ], [[-6384, 2928]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, 20], [58, -10], [0, 0]], [[0, 0], [6, 0], [21, 0], [1, 0]], [[0, 0], [-66, 32], [52, -28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6188, -20], [-642, 6], [0, 0]], [[0, 0], [-6235842074/17, -31598860/17], [646874620/17, -711325/17], [-32/17, 3/17]], [[0, 0], [1712251466508/17, -249215100112/17], [-178112762497/17, 26786016739/17], [9177/17, -2019/17]]], 0, 168960, [], [] >,
< [ -3, -1, 1 ], [[-4224, 2064]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [122, -34], [84, 6], [0, 0]], [[0, 0], [20, 0], [-27, 0], [1, 0]], [[0, 0], [630, -70], [592, 200], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2484, 0], [-110, 2], [0, 0]], [[0, 0], [1288635728/17, 25806756/17], [56938251/17, 83739/17], [97/17, 1/17]], [[0, 0], [-73406526266, 2912914014], [-3254042025, 185576346], [-5535, 270]]], 0, 168960, [], [] >,
< [ -3, -1, 1 ], [[-1184, 656]], [ -535, -2 ], [ -748, 306 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2848/43, 384/43], [-626/43, -10/43], [0, 0]], [[0, 0], [-702241943/5633, 43862025/5633], [10271510/731, -2860807/1462], [-164094/95761, -5/191522]], [[0, 0], [-901109108439/5633, 223187823388/5633], [27575615717/1462, -8072590721/1462], [-405336601/191522, 84245113/191522]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38704/43, -156/43], [-818/43, -4/43], [0, 0]], [[0, 0], [7386973609/16899, 6643505492/16899], [-30531761/4386, -36678949/4386], [423949/574566, 5/574566]], [[0, 0], [-2556426518536/5633, -3084228314726/5633], [2494794351/731, 9547494771/731], [-188662351/95761, 42734641/95761]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[-5520, 2496]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, -16], [-26, 2], [0, 0]], [[0, 0], [2, 0], [45, 0], [1, 0]], [[0, 0], [-104, 42], [28, -10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-274, -162], [52, -4], [0, 0]], [[0, 0], [5208/17, -8456/17], [-8362/17, 3817/17], [-56/17, 3/17]], [[0, 0], [-593642/17, 374654/17], [564898/17, -248815/17], [2886/17, -851/17]]], 0, 92160, [], [] >,
< [ -3, -1, 1 ], [[-416, 464]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, 8], [14, 4], [0, 0]], [[0, 0], [36, 1], [13, 1], [1, 0]], [[0, 0], [16, -10], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-578, -34], [14, 4], [0, 0]], [[0, 0], [11249/3, -2525/3], [-319/3, 58/3], [10/3, -1/3]], [[0, 0], [-1757708/3, 1283408/3], [44680/3, -37150/3], [-1090/3, 1210/3]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[-2640, 1344]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 26], [-2, 14], [0, 0]], [[0, 0], [6, 0], [-39, 0], [1, 0]], [[0, 0], [-360, 140], [-122, 38], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 78], [-188, -10], [0, 0]], [[0, 0], [-184086/17, -158574/17], [6141/17, 165195/17], [-5/17, 1/17]], [[0, 0], [-322, -160], [900, -180], [0, 0]]], 0, 92160, [], [] >,
< [ -3, -1, 1 ], [[-624, 624]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 2], [-6, 6], [0, 0]], [[0, 0], [-103, -49], [-13/2, -55/2], [3/2, 1]], [[0, 0], [309, -140], [-469/2, 100], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -80], [4, -10], [0, 0]], [[0, 0], [23159/17, 11168/17], [2339/34, 1597/17], [-64/17, -5/34]], [[0, 0], [464571, 64052], [-7651/2, 28020], [-2033, 1007/2]]], 0, 53760, [], [] >,
< [ -3, -1, 1 ], [[-624, 624]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -10], [26, -2], [0, 0]], [[0, 0], [-1358, 594], [-994, 448], [2, -2]], [[0, 0], [-443, 199], [-621/2, 321/2], [-1/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, 14], [-22, -2], [0, 0]], [[0, 0], [-29860/17, 1093/17], [-2340/17, -645/34], [-40/17, -1/34]], [[0, 0], [-431247/17, 26542/17], [-66679/34, -3646/17], [-1151/34, 8/17]]], 0, 107520, [], [] >,
< [ -3, -1, 1 ], [[1216, -448]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 32], [-28, 4], [0, 0]], [[0, 0], [8243, 1465], [707, -2096], [-16, 1]], [[0, 0], [41137, -12262], [18142, -9865], [-105, 39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-232, -80], [-52, 40], [0, 0]], [[0, 0], [449/3, -2171/3], [1819/3, -538/3], [22/3, -1/3]], [[0, 0], [-44641/3, 21049/3], [-35573/3, 15236/3], [-332/3, 137/3]]], 0, 23040, [], [] >,
< [ -3, -1, 1 ], [[256, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 12], [20, -8], [0, 0]], [[0, 0], [-4, 1], [-1, 1], [1, 0]], [[0, 0], [-8, -4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, -144], [-12, -12], [0, 0]], [[0, 0], [-1035, 468], [-512, 197], [-7, -1]], [[0, 0], [-10723/3, 4780/3], [-5204/3, 2093/3], [-59/3, -1/3]]], 0, 1920, [], [] >,
< [ -3, -1, 1 ], [[1088, -128]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 26], [-28, 4], [0, 0]], [[0, 0], [586, -115], [-364, -506], [16, -1]], [[0, 0], [72382, -28936], [18316, -19840], [1742, -650]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -32], [12, 12], [0, 0]], [[0, 0], [1020, -393], [-120, -42], [-2, -1]], [[0, 0], [466, -202], [-20, 8], [0, 0]]], 0, 69120, [], [] >,
< [ -3, -1, 1 ], [[1088, -128]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 32], [-76, -8], [0, 0]], [[0, 0], [14629, 8168], [-18578, -17476], [-17, 2]], [[0, 0], [684482, 69964], [-139384, -585428], [-1976, 722]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, -32], [-44, -4], [0, 0]], [[0, 0], [232, -409], [-660, -162], [-18, 3]], [[0, 0], [-2735, 929], [1174, -886], [71, -35]]], 0, 69120, [], [] >,
< [ -3, -1, 1 ], [[256, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -60], [16, 8], [0, 0]], [[0, 0], [24, 2], [54, -26], [10, -8]], [[0, 0], [112, 20], [216, -108], [36, -36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, -88], [48, 12], [0, 0]], [[0, 0], [-42, -34], [42, -20], [-8, -2]], [[0, 0], [-8, -32], [752, -328], [-64, 24]]], 0, 40960, [], [] >,
< [ -3, -1, 1 ], [[-704, 320]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-196, 88], [44, -8], [0, 0]], [[0, 0], [0, 1], [-5, 1], [1, 0]], [[0, 0], [276, -132], [-88, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, -28], [40, 20], [0, 0]], [[0, 0], [2639/3, -1241/3], [121/3, -214/3], [22/3, 5/3]], [[0, 0], [13312, -5999], [959, -787], [77, 0]]], 0, 2560, [], [] >,
< [ -3, -1, 1 ], [[1344, -768]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 14], [-52, -20], [0, 0]], [[0, 0], [-465, 159], [-5162, 2378], [11, 1]], [[0, 0], [-23900, 10142], [-290648, 126968], [368, -128]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 8], [-44, 20], [0, 0]], [[0, 0], [-32, -28], [-36, 0], [-6, 0]], [[0, 0], [45, 48], [114, -24], [19, -4]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[1344, -768]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -8], [60, 0], [0, 0]], [[0, 0], [75, 105], [-622, -218], [9, 3]], [[0, 0], [-4504, 2488], [-28628, 10544], [430, -160]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 14], [-88, -20], [0, 0]], [[0, 0], [7034, -1109], [-8964, -17442], [-2, -1]], [[0, 0], [1734, -744], [2720, -1280], [0, 0]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[192, -192]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 0], [32, 4], [0, 0]], [[0, 0], [3, 0], [6, 0], [1, 0]], [[0, 0], [26, -8], [-128, 32], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -10], [4, 4], [0, 0]], [[0, 0], [14, 1], [36, -6], [18, -3]], [[0, 0], [120, -42], [400, -160], [200, -80]]], 0, 3840, [], [] >,
< [ -3, -1, 1 ], [[192, -192]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 8], [16, 20], [0, 0]], [[0, 0], [3, 0], [-2, 0], [1, 0]], [[0, 0], [34, -16], [12, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 10], [-36, 0], [0, 0]], [[0, 0], [-1, 0], [6, 0], [1, 0]], [[0, 0], [16, -4], [4, -16], [0, 0]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[-768, 768]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -36], [-4, -20], [0, 0]], [[0, 0], [120, -128], [34, -70], [6, -2]], [[0, 0], [0, 0], [6, 0], [2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -8], [-32, -16], [0, 0]], [[0, 0], [852, -372], [-376, 172], [8, 8]], [[0, 0], [3036, -1320], [-1358, 596], [2, 8]]], 0, 81920, [], [] >,
< [ -3, -1, 1 ], [[-192, 192]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -20], [-20, -4], [0, 0]], [[0, 0], [2, 0], [-3, 0], [1, 0]], [[0, 0], [324, -216], [-352, 112], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [188, -24], [-56, -4], [0, 0]], [[0, 0], [1778/17, 4384/17], [-1861/17, -896/17], [3/17, -4/17]], [[0, 0], [-3474/17, -366/17], [117/17, 507/17], [5/17, -1/17]]], 0, 5120, [], [] >,
< [ -3, -1, 1 ], [[-3648, 1344]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, -74], [-52, -8], [0, 0]], [[0, 0], [86807, 79726], [55406, 38368], [19, -4]], [[0, 0], [26335349, 22744429], [15789282, 11315802], [4017, -507]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [360, -168], [-20, 20], [0, 0]], [[0, 0], [7088, 5746], [-7068, -5424], [-10, 4]], [[0, 0], [677749, 522641], [-654286, -502214], [-103, 13]]], 0, 138240, [], [] >,
< [ -3, -1, 1 ], [[-3648, 1344]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, 4], [20, 16], [0, 0]], [[0, 0], [1880, -830], [8, -8], [4, -4]], [[0, 0], [-16693, 7123], [-138, 18], [-69, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 26], [-32, 20], [0, 0]], [[0, 0], [-366, 255], [-188, 170], [-14, 5]], [[0, 0], [1047, -558], [582, -348], [35, -14]]], 0, 138240, [], [] >,
< [ -3, -1, 1 ], [[-3648, 1344]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98, 94], [4, 20], [0, 0]], [[0, 0], [624, -1476], [1300, -760], [2, -2]], [[0, 0], [7017, -192], [4558, -1516], [11, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -26], [4, -4], [0, 0]], [[0, 0], [-6, -87], [-16, 10], [-8, 5]], [[0, 0], [294, -942], [-240, 132], [-120, 66]]], 0, 276480, [], [] >,
< [ -3, -1, 1 ], [[18, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 0], [12, -8], [3, 0], [0, 0]], [[93/2, -49/2], [2271/2, -471], [279/2, -147/2], [2, -5/2]], [[-2090, 970], [-48042, 41085/2], [-6270, 2910], [-124, 155/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 3/2], [-3/2, -15/2], [-15/2, 3/2], [0, 0]], [[-173/2, 52], [291/2, 7/2], [-173/2, 52], [0, -1/2]], [[-25/2, 2], [-9/2, -14], [-25/2, 2], [0, 0]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[18, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 0], [27/2, -8], [-9/2, 0], [0, 0]], [[-6, -3/2], [63, -57/2], [-4, 11/2], [-1, -1]], [[16, -2], [-585/2, 257/2], [29, -17], [1/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 2], [-27/2, 11], [-21/2, 6], [0, 0]], [[33, -14], [295/2, -123/2], [99, -42], [-1/2, 3/2]], [[243, -207/2], [1085, -911/2], [729, -621/2], [-5, 10]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-54, 36]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 3/2], [51/2, 35/2], [15/2, 9/2], [0, 0]], [[16, -10], [123/2, -56], [48, -30], [3/2, 1]], [[32, -14], [147, -65], [96, -42], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[45/2, -10], [51/2, -9], [135/2, -30], [0, 0]], [[345, -150], [711/2, -311/2], [1035, -450], [-9/2, -1/2]], [[33, -12], [45, -4], [99, -36], [27, 21]]], 0, 144, [], [] >,
< [ -3, -1, 1 ], [[-54, 36]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[30, -25/2], [9, -7/2], [90, -75/2], [0, 0]], [[-5/2, -6], [-9, -12], [-15/2, -18], [-15/2, -2]], [[-1/2, -1/2], [-3, -5/2], [-3/2, -3/2], [-3/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1/2], [-39/2, -19/2], [-15/2, -3/2], [0, 0]], [[-22, 5], [-108, -2], [-66, 15], [6, -2]], [[-75, 0], [-468, -293/2], [-225, 0], [18, -7/2]]], 0, 144, [], [] >,
< [ -3, -1, 1 ], [[9, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 7/2], [-29, 49/2], [13/2, 1], [0, 0]], [[-51/2, 35/2], [1297/2, -539/2], [-97/2, 53/2], [-3/2, -1/2]], [[171/2, 79/2], [-661/2, 575/2], [181/2, 49/2], [-21/2, -17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1], [75/2, -21/2], [0, 3/2], [0, 0]], [[9, 1], [2661/2, -1125/2], [-95/2, 22], [-1, -1/2]], [[-11/2, 1], [-2337/2, 503], [85/2, -19], [1/2, 0]]], 1, 8, [], [] >,
< [ -3, -1, 1 ], [[-765, 333]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -4], [-210, 33], [0, -6], [0, 0]], [[0, 1], [303, -279/2], [-21/2, 9/2], [11/2, -1]], [[2, 3/2], [-27/2, -21/2], [0, 0], [5/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 3/2], [-3/2, 0], [3/2, 3/2], [0, 0]], [[2, 1/2], [-1899/2, 831/2], [0, 0], [-1/2, 2]], [[-24, -14], [4008, -1797], [0, 0], [-18, -24]]], 0, 108, [], [] >,
< [ -3, -1, 1 ], [[1161, -504]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 0], [12, -21], [-6, 3], [0, 0]], [[-13, 1], [-219/2, 228], [66, -69/2], [-3/2, 3/2]], [[279/2, -16], [2931/2, -4739/2], [-747, 761/2], [18, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, 5], [69, 36], [3, 6], [0, 0]], [[23/2, 5/2], [81/2, 47/2], [-9/2, 7/2], [15/2, -1/2]], [[59, -23/2], [243/2, 25], [-99/2, 49/2], [51, -17]]], 0, 48, [], [] >,
< [ -3, -1, 1 ], [[-1296, 567]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 2], [-351/2, 153/2], [3, 3/2], [0, 0]], [[11/2, 2], [-5022, 2214], [51/2, -21/2], [-6, 15/2]], [[209/2, 131/2], [-32886, 30237/2], [357/2, -63], [36, 108]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [126, -99/2], [15/2, -3], [0, 0]], [[8, 0], [-135/2, 12], [-3, 3/2], [-15/2, 15/2]], [[0, -1/2], [9/2, 3/2], [0, 0], [-3/2, 0]]], 0, 1296, [], [] >,
< [ -3, -1, 1 ], [[18, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, -4], [67/2, -11], [57/2, -12], [0, 0]], [[-45, 18], [-182, 85/2], [-135, 54], [-2, 5/2]], [[-1131, 520], [-3436, 2176], [-3393, 1560], [-114, 19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1], [23/2, 5], [3/2, 1], [0, 0]], [[0, 0], [-8, -1], [0, 0], [-6, 0]], [[0, 0], [-8, 7/2], [0, 0], [-8, 7/2]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[18, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1], [-13/2, 2], [9/2, -3], [0, 0]], [[-1/2, 1], [-10, 11/2], [3/2, 1], [3/2, -1/2]], [[-4, -3], [-15/2, -9/2], [-9, -7], [-1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, -4], [35/2, -7], [63/2, -12], [0, 0]], [[171, -133/2], [575/2, -235/2], [513, -399/2], [-5/2, 2]], [[-133/2, 285/2], [-371/2, 377/2], [-399/2, 855/2], [14, 7]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-72, 18]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [-40, 47/2], [-6, 9/2], [0, 0]], [[11/2, 11/2], [79, 127/2], [33/2, 33/2], [23/2, 2]], [[0, 0], [3/2, -3/2], [0, 0], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-37/2, 8], [-55/2, 5], [-111/2, 24], [0, 0]], [[1/2, -1/2], [-56, -49], [3/2, -3/2], [9/2, -3/2]], [[0, 0], [-5/2, 1], [0, 0], [-5/2, 1]]], 0, 144, [], [] >,
< [ -3, -1, 1 ], [[-72, 18]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1], [11/2, -4], [15/2, -3], [0, 0]], [[3/2, -1/2], [17/2, 2], [-9/2, 3/2], [-3, 3/2]], [[2, 1/2], [95/2, 67/2], [-6, -3/2], [-1/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [11, -55/2], [-3, -9/2], [0, 0]], [[-9, -8], [-73, -217/2], [-27, -24], [1, 1/2]], [[8, -3], [372, -156], [24, -9], [0, 0]]], 0, 144, [], [] >,
< [ -3, -1, 1 ], [[45, -18]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -3/2], [3, -3/2], [57, -24], [0, 0]], [[30, 28], [28, 25], [-204, -145/2], [1, 3/2]], [[-335/2, 307/2], [-209/2, 237/2], [-8463/2, 3041/2], [-63/2, 35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 0], [15/2, 0], [6, -6], [0, 0]], [[-25/2, -7], [-25/2, -7], [-3/2, 9], [-3/2, 0]], [[7, 14], [7, 14], [-75/2, 5], [-5/2, 2]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[81, -36]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, 9/2], [-21/2, 9/2], [-6, 3], [0, 0]], [[-10, 11/2], [-14, 15/2], [4, -1], [2, -1]], [[-1, -35/2], [1, -45/2], [-14, -11/2], [-1, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 2], [-15/2, 2], [24, -6], [0, 0]], [[15, -1/2], [15, -1/2], [-55, 1], [-2, 1]], [[-12, -20], [-12, -20], [95/2, 151/2], [-5/2, 1/2]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[36, -18]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5/2, -1], [-5/2, -1], [-15, -3], [0, -1]], [[-3/2, 1/2], [-3/2, 1/2], [-12, 9/2], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 3/2], [-20, 21/2], [-18, 9], [0, 0]], [[-8, -4], [-3176/17, -276/17], [2229/34, -915/34], [-39/34, 1/34]], [[-1149/2, -887/2], [-251137/34, -197891/34], [1503/34, 4269/34], [-1199/34, -957/34]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[108, -18]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [9, 3/2], [-6, -3/2], [0, 0]], [[89/2, 51/2], [-192, -94], [285/2, 163/2], [-9/2, -5/2]], [[-349, 311/2], [2139, -1889/2], [-1119, 997/2], [36, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 5/2], [-33, 3/2], [3, 15/2], [0, 0]], [[-88, 45/2], [-2127/2, 1037/2], [-249, 143/2], [-15/2, -2]], [[-1659/2, 833/2], [-26313/2, 11021/2], [-4893/2, 2387/2], [-21, 28]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[126, -72]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1/2], [-87, 57/2], [6, -3/2], [0, 0]], [[27/2, 11], [-663/2, -555/2], [81/2, 33], [2, -1/2]], [[-42, -35], [2051/2, 1771/2], [-126, -105], [-17/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -5/2], [5, -115/2], [-6, -15/2], [0, 0]], [[0, 20], [-1513/2, 1321/2], [0, 60], [-17/2, -1/2]], [[-112, 96], [-8742, 9165/2], [-336, 288], [-54, 27/2]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[126, -72]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -3/2], [69/2, -45/2], [3/2, -9/2], [0, 0]], [[119, -14], [4915/2, -1729/2], [357, -42], [1/2, 5/2]], [[1022, -476], [54479/2, -24005/2], [3066, -1428], [-45/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 0], [9/2, 6], [-3/2, 0], [0, 0]], [[0, 0], [-7/2, 5], [0, 0], [13/2, 1]], [[0, 0], [-219, 93], [0, 0], [110, -50]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[63, -27]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1/2], [-51, 39/2], [-27/2, 6], [0, 0]], [[-11/2, -12], [-7, 503/2], [-65, 17], [5/2, -5/2]], [[-60, -16], [2861/2, 105], [188, -229/2], [-35/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -2], [-3/2, -5/2], [-6, -1/2], [0, 0]], [[29/2, -12], [-29/2, -27/2], [-26, -9/2], [7, -1]], [[2, -27/2], [-36, -29], [-75/2, -19], [15/2, 3/2]]], 1, 8, [], [] >,
< [ -3, -1, 1 ], [[333, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1/2], [105/2, -21], [3/2, -3/2], [0, 0]], [[19/2, 2], [-61/2, 13/2], [8, 5/2], [8, 1]], [[-13, -39/2], [-45/2, 75/2], [-15, -18], [-15/2, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 7], [-9/2, 81/2], [6, 15/2], [0, 0]], [[-184, 24], [41877/2, -18573/2], [2709/2, -639], [3, -3/2]], [[-4195/2, -3173/2], [-8405/2, -13663/2], [-3379/2, -3071/2], [-13/2, -11/2]]], 0, 48, [], [] >,
< [ -3, -1, 1 ], [[-4995, 2169]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -3/2], [579/2, -129], [-9/2, -1/2], [0, 0]], [[659/2, 259], [885/2, 2145/2], [780, 1185/2], [0, -3]], [[488, 343], [4617, -519/2], [2085/2, 1665/2], [-33/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [-24, -9/2], [-3/2, 0], [0, 0]], [[9/2, -1/2], [-189/2, -10], [0, 0], [-6, 9/2]], [[15, -20], [-21, 483], [0, 0], [-75, 15]]], 0, 108, [], [] >,
< [ -3, -1, 1 ], [[-2430, 1053]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -7/2], [-2583/2, 591], [9/2, -15/2], [0, 0]], [[1679/2, 541], [121011, -114039/2], [-180, 900], [21/2, -3/2]], [[-802, -740], [154377, -61668], [-1860, -180], [6, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 4], [1995/2, -843/2], [3, 9/2], [0, 0]], [[-132, -209/2], [20550, -9237], [-315/2, -75], [-3/2, -9/2]], [[417/2, 135/2], [1206537/2, -261669], [-990, 570], [84, -63/2]]], 0, 1296, [], [] >,
< [ -3, -1, 1 ], [[108, -18]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [15/2, 55/2], [-3/2, -9/2], [0, 0]], [[13, -15/2], [-273, 175], [39, -45/2], [0, -5/2]], [[-78, 39], [1680, -1771/2], [-234, 117], [-6, 19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1/2], [315/2, 15/2], [9/2, 3/2], [0, 0]], [[6, 3/2], [1299/2, -17], [18, 9/2], [-3/2, 1/2]], [[-1/2, -1/2], [-45/2, -73/2], [-3/2, -3/2], [0, 0]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[108, -18]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [219, -67/2], [0, -15/2], [0, 0]], [[-1980, -5], [-83925, 57779], [-5940, -15], [0, -2]], [[5450, -981], [318192, -344721/2], [16350, -2943], [-3, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 3/2], [-135, -19/2], [3, 9/2], [0, 0]], [[-760, 18], [-110367/2, 34956], [-2280, 54], [3/2, 1]], [[-160, 74], [-21186, 9041], [-480, 222], [0, 0]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[126, -72]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1/2], [108, -93/2], [3, -3/2], [0, 0]], [[2, 5/2], [-34, -26], [2, 5/2], [2, 5/2]], [[-5/2, 1], [-1, 1], [-5/2, 1], [-5/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, -15/2], [87, -81/2], [45, -45/2], [0, 0]], [[13/2, -7/2], [39/2, -33/2], [27/2, -21/2], [3, 0]], [[5/2, 2], [-5, -4], [5/2, 2], [5/2, 2]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[18, -9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [-81/2, 9], [51/2, -21/2], [0, 0]], [[-48, 24], [-712, 515/2], [1001/2, -437/2], [-1/2, -1]], [[20, -8], [248, -237/2], [-385/2, 167/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 2], [573, -72], [18, -6], [0, 0]], [[342, 695/2], [114055/2, 17580], [2555/2, -205/2], [-2, 0]], [[3983/2, 1942], [5191240/17, 1819248/17], [221401/34, -9131/34], [-175/17, -15/34]]], 1, 8, [], [] >,
< [ -3, -1, 1 ], [[9, -18]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -2], [-1, -1/2], [33/2, -6], [0, 0]], [[-125, 40], [69/2, -1/2], [-1275/4, 485/4], [-5/4, 0]], [[-761/2, -545/2], [745/2, 282], [-963/2, -317], [-363/26, -275/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, -7/2], [-353/2, -23], [57/2, -21/2], [0, 0]], [[-12267, -217/2], [13701397/17, 8868803/17], [-2523087/68, -22641/68], [167/884, 1/221]], [[1180835, -388473/2], [-1769549815/34, -968467881/34], [60714747/17, -9981175/17], [-7975/442, 1221/442]]], 1, 64, [], [] >,
< [ -3, -1, 1 ], [[9, -18]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -3/2], [33/2, -29/2], [3/2, -3], [0, 0]], [[-22, 19/2], [865/2, -146], [163/4, -79/4], [-47/52, 3/52]], [[-177/2, 37], [2191, -215], [551/4, -193/2], [-385/52, -35/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1/2], [627/2, -193/2], [-21/2, 6], [0, 0]], [[144, 257], [-179264/17, 344151/34], [32239/34, 2911/68], [283/442, -1/884]], [[134081/2, -18797/2], [223799607/34, -42779806/17], [-3629388/17, 8211519/68], [-5307/34, 5771/68]]], 1, 64, [], [] >,
< [ -3, -1, 1 ], [[-45, 27]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, -3/2], [32, -27/2], [21, -12], [0, 0]], [[684, 885], [-1005, 579], [-1707, -288], [-2, 2]], [[513, 3303], [-8727, 4215], [-9429, 2049/2], [-21, 25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 5/2], [61/2, 83/2], [39, -18], [0, 0]], [[67/2, 2], [6639/34, 747/17], [4593/34, -975/17], [69/34, -2/17]], [[-231/2, -697/2], [-54919/34, -81615/34], [49059/34, -22377/34], [-1/34, -625/34]]], 1, 96, [], [] >,
< [ -3, -1, 1 ], [[-45, 9]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, -5/2], [41/2, -17/2], [-12, 9], [0, 0]], [[-123/2, -265/2], [267/2, -139/2], [-555/2, -171/2], [-5/2, -3/2]], [[-2083/2, 1069/2], [-4465/2, 1951/2], [3495/2, -1305/2], [13/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -1/2], [-231/2, 155/2], [39, -18], [0, 0]], [[211/2, 116], [130903/34, 24886/17], [-6957/17, 1269/17], [-12/17, -1/17]], [[-883, -933/2], [-105666/17, -468145/34], [-25533/17, 40599/34], [-14/17, 77/34]]], 1, 96, [], [] >,
< [ -3, -1, 1 ], [[36, -27]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[107/2, 5/2], [91/2, 13/2], [-12, 6], [0, 0]], [[-502, -825/2], [-523, -831/2], [-33/2, -27/2], [5/2, -3/2]], [[-1, 1/2], [1, -1/2], [-3, 3/2], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[362, 3], [312, 23], [-75, 30], [0, 0]], [[-3185583/2, -2140361/2], [-52684823/34, -36373563/34], [1086492/17, 17151/34], [-47/17, -5/34]], [[-471015671/2, -294322746], [-8576950683/34, -4806524900/17], [-421613367/17, 291225471/17], [16520/17, -12331/17]]], 1, 128, [], [] >,
< [ -3, -1, 1 ], [[63, -18]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[105/2, -1], [121/2, 3], [-6, -3], [0, 0]], [[-31432, 20843/2], [-33858, 20711/2], [3609/2, 81/2], [-5/2, -3/2]], [[-11958259/2, 5163979/2], [-12587083/2, 5426995/2], [235317, -98487], [-82, 24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[600, -3], [580, 9], [15, -9], [0, 0]], [[2151901, 3276753], [38680065/17, 55705471/17], [-1592385/17, 729/34], [11/17, -1/34]], [[176809799/2, -397855115], [2108636107/34, -6646559423/17], [681297639/34, -88934811/17], [-4873/34, 693/17]]], 1, 128, [], [] >,
< [ -3, -1, 1 ], [[99, -117]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[115/2, 0], [115/2, 0], [-504, 213], [0, 0]], [[-2961, -4311/2], [-2946, -4335/2], [4113/2, -102], [5/2, -2]], [[68913, 102771/2], [68769, 103155/2], [-33564, -4116], [-24, 32]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-525, -45/2], [-929, 291/2], [303, -126], [0, 0]], [[-149520919/2, -53750006], [-161377659/2, -53734998], [8897757/2, -11256], [-3/2, 0]], [[94885789087/2, 40200236984], [1529707269119/34, 732187396536/17], [31274801544/17, -36608937288/17], [-10451/17, 12348/17]]], 1, 2816, [], [] >,
< [ -3, -1, 1 ], [[387, -135]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, 5/2], [-11, 5/2], [-303, 141], [0, 0]], [[-824, -719], [-834, -711], [12201/2, 1914], [5/2, -2]], [[40803/2, 10734], [39207/2, 11014], [124203/2, -109998], [399/2, -70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-311, -51/2], [-57, -271/2], [381, -165], [0, 0]], [[51429283/2, 39336277/2], [869870999/34, 668690409/34], [-6670413/34, -19230/17], [-61/34, 1/17]], [[-3825123218, -2868482666], [-63556456358/17, -49259714434/17], [4432771869/34, -746901918/17], [42135/34, -7350/17]]], 1, 2816, [], [] >,
< [ -3, -1, 1 ], [[99, -90]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-73/2, 3/2], [-73/2, 3/2], [-3, 12], [0, 0]], [[-300, 350], [-296, 350], [-279, -3], [2, 0]], [[-450, 100], [-449, 99], [-195/2, 201/2], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-135/2, 63/2], [-687/2, 351/2], [-402, 180], [0, 0]], [[-2481/2, 781/2], [-258815/34, 45027/34], [-235509/34, 90489/34], [71/34, 5/34]], [[-28001/2, 2577/2], [-3629785/34, -601867/34], [-1170030/17, 317631/17], [667/17, 290/17]]], 1, 1536, [], [] >,
< [ -3, -1, 1 ], [[252, -81]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1/2], [-5/2, 1/2], [87, -48], [0, 0]], [[0, 0], [0, -12], [-633, -81], [0, -2]], [[0, 0], [-75, 24], [4161/2, -1158], [-25/2, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1/2], [-367/2, 155/2], [141, -69], [0, 0]], [[-95, 85/2], [-6324, 5485/2], [10593/2, -2070], [-5/2, 0]], [[815/2, -209], [974433/34, -209985/17], [-950253/34, 106944/17], [1025/34, 246/17]]], 1, 1536, [], [] >,
< [ -3, -1, 1 ], [[117, 0]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1], [-11, -5/2], [-15/2, 3], [0, 0]], [[41/2, -9], [67/2, -29], [249/4, -111/4], [-1/4, -1/2]], [[507/2, -221/2], [1021/2, -283], [1545/2, -677/2], [1, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1], [-221, 13/2], [-15/2, 3], [0, 0]], [[51/2, 5/2], [422075/34, 290197/34], [2991/34, 507/68], [29/68, 1/68]], [[-501/2, 292], [2260229/17, 2214071/17], [-30765/34, 68627/68], [-349/68, 335/68]]], 1, 896, [], [] >,
< [ -3, -1, 1 ], [[117, 0]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1/2], [63/2, -35/2], [39/2, -9], [0, 0]], [[-113/2, -19], [116, -316], [631/4, -112], [-5/4, -1/2]], [[423/2, -129], [-4221, 1606], [-9405/4, 984], [15/4, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [-120, 47/2], [9/2, -3/2], [0, 0]], [[41/2, 51/2], [-5225/2, -1343/2], [88, -7], [-1/2, 0]], [[88, -417/2], [1319361/34, -269013/34], [-127971/68, 22533/34], [675/68, -55/17]]], 1, 896, [], [] >,
< [ -3, -1, 1 ], [[-108, 72]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 8], [75, -30], [0, 0]], [[0, 0], [189/2, -117/2], [-636, 276], [-15/2, -5/2]], [[0, 0], [435, 671/2], [12, 0], [144, 221/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, 13], [90, -36], [0, 0]], [[0, 0], [3447/2, -722], [-5220, 2340], [-9/2, -2]], [[0, 0], [-267, -44], [45, -465], [21, 16]]], 0, 720, [], [] >,
< [ -3, -1, 1 ], [[-108, 72]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63, 28], [-39, 15], [0, 0]], [[0, 0], [-7287/2, 1603], [-2184, 924], [15/2, 1]], [[0, 0], [-2319, -63], [210, 1176], [-180, -140]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 33], [-12, 6], [0, 0]], [[0, 0], [3585/2, -823], [306, -153], [15/2, -2]], [[0, 0], [-9447/2, -4187], [-2259, -1833], [297/2, 112]]], 0, 720, [], [] >,
< [ -3, -1, 1 ], [[36, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -2], [15, -6], [0, 0]], [[0, 0], [-75/2, 39/2], [-240, 105], [5/2, 3/2]], [[0, 0], [-294, 124], [-1743, 756], [0, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 11], [-4, 1], [0, 0]], [[0, 0], [-39/2, -5], [13, 11], [-3/2, 1]], [[0, 0], [3/2, -1/2], [0, 0], [3/2, -1/2]]], 1, 60, [], [] >,
< [ -3, -1, 1 ], [[36, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -1], [63, -24], [0, 0]], [[0, 0], [1371/2, -501/2], [-13048, 5626], [1/2, 1/2]], [[0, 0], [-312, 132], [6225, -2700], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 2], [-42, 15], [0, 0]], [[0, 0], [37/2, -11], [150, -75], [5/2, 0]], [[0, 0], [1/2, 0], [0, 0], [-1/2, 0]]], 1, 120, [], [] >,
< [ -3, -1, 1 ], [[-288, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 6], [-114, 48], [0, 0]], [[0, 0], [2, -1], [3, -1], [1, 0]], [[0, 0], [-12, -18], [108, -36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 12], [78, -30], [0, 0]], [[0, 0], [-2, 3], [3, -1], [1, 0]], [[0, 0], [-6, 18], [90, -30], [0, 0]]], 0, 1920, [], [] >,
< [ -3, -1, 1 ], [[3744, -1584]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, 114], [-30, 18], [0, 0]], [[0, 0], [-261, -126], [-30, -3], [-1, 1]], [[0, 0], [12, -48], [6, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 36], [48, -24], [0, 0]], [[0, 0], [-192, -297], [-225, 105], [-9, 0]], [[0, 0], [-816, 96], [1116, -480], [26, -14]]], 0, 25920, [], [] >,
< [ -3, -1, 1 ], [[-5616, 2448]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 24], [6, 12], [0, 0]], [[0, 0], [-333, 156], [-60, 39], [9, -3]], [[0, 0], [171, -80], [30, -19], [-3, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 6], [-12, 6], [0, 0]], [[0, 0], [-15, 73], [15, 2], [-24, 13]], [[0, 0], [-108, 76], [18, -4], [-48, 22]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[68688, -29808]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 6], [-54, 12], [0, 0]], [[0, 0], [552, 498], [-180, -138], [6, 12]], [[0, 0], [438, 2049], [-549, -417], [-105, 90]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 168], [-18, 30], [0, 0]], [[0, 0], [-1149, 414], [-180, 153], [9, 15]], [[0, 0], [-7698, 3495], [-1863, 681], [-75, 0]]], 0, 311040, [], [] >,
< [ -3, -1, 1 ], [[36, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 3], [12, -9], [0, 0]], [[0, 0], [77/2, 2], [240, -120], [-1/2, -1]], [[0, 0], [-87, 36], [-936, 408], [-2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [15, -6], [0, 0]], [[0, 0], [11, 5/2], [-9, 5], [7, -5/2]], [[0, 0], [53, 31], [-9, 12], [14, -2]]], 1, 60, [], [] >,
< [ -3, -1, 1 ], [[36, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -3], [-6, 3], [0, 0]], [[0, 0], [-3/2, 0], [-6, -7], [5/2, 1]], [[0, 0], [-28, 13], [72, -18], [21, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, -2], [-15, 0], [0, 0]], [[0, 0], [123/2, -40], [-48, 57], [-3/2, -2]], [[0, 0], [-95, 83/2], [102, -45], [-1, 1/2]]], 1, 120, [], [] >,
< [ -3, -1, 1 ], [[-144, 36]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -8], [9, 12], [0, 0]], [[0, 0], [-69/2, 21], [-39, -48], [7/2, -2]], [[0, 0], [-42, 57/2], [-72, -78], [4, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -5], [147, -66], [0, 0]], [[0, 0], [-69/2, -27], [-255, 102], [-13/2, -1]], [[0, 0], [1/2, -1/2], [0, 0], [1/2, -1/2]]], 0, 720, [], [] >,
< [ -3, -1, 1 ], [[-144, 36]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 2], [0, 6], [0, 0]], [[0, 0], [59, 37], [51, 48], [-1, 1]], [[0, 0], [-199/2, -127], [-204, -102], [-21/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, -17], [15, 6], [0, 0]], [[0, 0], [1808, -860], [414, -42], [-2, -1]], [[0, 0], [37463/2, -16451/2], [3150, -1200], [-13/2, 1/2]]], 0, 720, [], [] >,
< [ -3, -1, 1 ], [[720, -288]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 8], [78, -36], [0, 0]], [[0, 0], [-2, 0], [3, -2], [1, 0]], [[0, 0], [8, -32], [-126, 36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 2], [-54, 24], [0, 0]], [[0, 0], [0, 0], [3, 2], [1, 0]], [[0, 0], [-2, 2], [42, -18], [0, 0]]], 0, 2880, [], [] >,
< [ -3, -1, 1 ], [[1296, -576]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -8], [126, -48], [0, 0]], [[0, 0], [-2, 0], [-1, -2], [1, 0]], [[0, 0], [0, 0], [6, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -8], [-24, 6], [0, 0]], [[0, 0], [0, 0], [-1, -2], [1, 0]], [[0, 0], [30, -14], [-84, 36], [0, 0]]], 0, 2880, [], [] >,
< [ -3, -1, 1 ], [[-72, 36]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3, -2], [-3, -2], [-78, 33], [0, -1]], [[-7/2, -3], [-7/2, -3], [84, -75/2], [-2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3/2, -1/2], [3/2, -1/2], [21, -9/2], [-1, 1/2]], [[0, 0], [0, 0], [-6, 0], [0, 0]]], 1, 64, [], [] >,
< [ -3, -1, 1 ], [[72, -36]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [36, -15/2], [2, -3/2]], [[0, 0], [0, 0], [-12, -3/2], [0, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [141, -54], [114, -48], [0, 0]], [[0, 0], [-9160/17, 9669/17], [-14721/17, 12549/34], [23/17, 1/34]], [[0, 0], [-1523705/17, -1050431/17], [-74787/17, 67977/17], [-2523/17, -2059/17]]], 1, 80, [], [] >,
< [ -3, -1, 1 ], [[216, -36]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [567, -246], [-21, 9], [0, 0]], [[0, 0], [381/2, -155/2], [9, -1], [-9/2, 1/2]], [[0, 0], [5565/2, 4387/2], [1575, 1211], [-1575/2, -1211/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-375, 162], [-60, 24], [0, 0]], [[0, 0], [-387/2, 86], [-9, 14], [-15/2, 2]], [[0, 0], [-327/2, -197/2], [-708, -541], [171/2, 133/2]]], 0, 2160, [], [] >,
< [ -3, -1, 1 ], [[252, -144]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [73, -28], [0, 3], [0, 0]], [[0, 0], [-6387/2, 1398], [132, -30], [5/2, 2]], [[0, 0], [1466, -638], [-51, 21], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-145, 49], [15, -3], [0, 0]], [[0, 0], [-152, -109], [39, 27], [-4, 1]], [[0, 0], [755, 1169/2], [-189, -147], [1, 7/2]]], 0, 2160, [], [] >,
< [ -3, -1, 1 ], [[252, -144]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, 22], [-12, -3], [0, 0]], [[0, 0], [30, 33/2], [12, -24], [9, 3/2]], [[0, 0], [7/2, -7/2], [0, 0], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, -45], [-6, 12], [0, 0]], [[0, 0], [-499, 623/2], [0, -108], [7, 1/2]], [[0, 0], [239/2, -83/2], [-27, 0], [-1/2, 1/2]]], 0, 2160, [], [] >,
< [ -3, -1, 1 ], [[288, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -12], [90, -30], [0, 0]], [[0, 0], [2, -1], [1, -1], [1, 0]], [[0, 0], [-6, 6], [-42, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 24], [36, -18], [0, 0]], [[0, 0], [2, 3], [1, -1], [1, 0]], [[0, 0], [84, 0], [-60, 18], [0, 0]]], 0, 1920, [], [] >,
< [ -3, -1, 1 ], [[1584, -720]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 6], [0, 12], [0, 0]], [[0, 0], [123, -21], [21, -18], [0, 3]], [[0, 0], [193, -106], [68, -23], [-7, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, 12], [-12, 18], [0, 0]], [[0, 0], [-1637, -1105], [1595, 1300], [-10, -5]], [[0, 0], [2444, -146], [4, -1006], [34, -10]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[2160, -1008]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -78], [36, 34], [0, 0]], [[0, 0], [5262, -429], [-1389, -775], [15, 0]], [[0, 0], [15699, -5913], [-1533, -6], [42, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [528, -282], [-12, -6], [0, 0]], [[0, 0], [-10998, 4950], [102, -6], [-6, 2]], [[0, 0], [-6930, 2823], [9, -45], [-3, 2]]], 0, 25920, [], [] >,
< [ -3, -1, 1 ], [[-11664, 5184]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-540, 132], [-18, -18], [0, 0]], [[0, 0], [-2496, 1293], [9, 45], [15, -12]], [[0, 0], [-5208, 1407], [-219, -105], [51, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180, -6], [18, 12], [0, 0]], [[0, 0], [-1071, 456], [24, -3], [57, -21]], [[0, 0], [-66, 27], [9, -3], [15, -6]]], 0, 311040, [], [] >,
< [ -3, -1, 1 ], [[216, -36]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 18], [-27, 6], [0, 0]], [[0, 0], [-519/2, 127], [-174, 75], [-9/2, 0]], [[0, 0], [-162, -17], [-54, 27], [9, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111, -41], [-18, 3], [0, 0]], [[0, 0], [34134, -31343/2], [-4173, 2379], [0, -1/2]], [[0, 0], [1182, -780], [-39, 195], [0, 0]]], 0, 2160, [], [] >,
< [ -3, -1, 1 ], [[216, -36]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, -41], [-21, 12], [0, 0]], [[0, 0], [-1677/2, 793/2], [222, -93], [-15/2, -3/2]], [[0, 0], [-1905, 1197/2], [414, -204], [21, 49/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, -11], [-33, 12], [0, 0]], [[0, 0], [-27/2, 8], [9, -6], [9/2, -2]], [[0, 0], [-12, -9], [12, 9], [0, 0]]], 0, 2160, [], [] >,
< [ -3, -1, 1 ], [[252, -144]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, 42], [-3, -12], [0, 0]], [[0, 0], [290, 457], [-40, -137], [5, 1]], [[0, 0], [-2609/2, 1223/2], [599, -272], [31/2, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 51], [9, 12], [0, 0]], [[0, 0], [-62, 67/2], [-11, 14], [-2, -5/2]], [[0, 0], [-1188, 1041/2], [-324, 147], [12, -15/2]]], 0, 2160, [], [] >,
< [ -3, -1, 1 ], [[288, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -6], [-102, 36], [0, 0]], [[0, 0], [2, 3], [1, 1], [1, 0]], [[0, 0], [96, -120], [2310, -1050], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [618, -150], [-66, 24], [0, 0]], [[0, 0], [-206623/17, -97375/17], [12691/17, 600/17], [-128/17, -5/17]], [[0, 0], [20604866/17, 10060981/17], [-1231553/17, -86053/17], [12415/17, 764/17]]], 0, 1280, [], [] >,
< [ -3, -1, 1 ], [[-144, 288]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 10], [6, 6], [0, 0]], [[0, 0], [-109, 54], [-21/2, -2], [3/13, 1/26]], [[0, 0], [-26, 21], [-9, -11/2], [5/26, 3/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-356, 248], [-102, 36], [0, 0]], [[0, 0], [1954397/17, 7778355/17], [-3522195/34, 36815/34], [857/442, 1/221]], [[0, 0], [-6816988, 43852204], [-11857131, 1611333], [2871/13, -360/13]]], 0, 15360, [], [] >,
< [ -3, -1, 1 ], [[-144, 288]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -14], [84, -36], [0, 0]], [[0, 0], [-34, 59], [-143, 127/2], [-17/13, 3/26]], [[0, 0], [-561, -527], [291/2, -171/2], [15/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [366, -28], [-24, 6], [0, 0]], [[0, 0], [-2767536/17, -814782/17], [163203/17, 3753/17], [-345/221, 1/221]], [[0, 0], [-36963140/17, 28950277/17], [4028792/17, -4453723/34], [-8890/221, 9625/442]]], 0, 15360, [], [] >,
< [ -3, -1, 1 ], [[-2736, 1152]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 4], [-6, 12], [0, 0]], [[0, 0], [-6, 0], [3, 0], [1, 0]], [[0, 0], [-74, 36], [60, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 162], [72, -24], [0, 0]], [[0, 0], [-27740/17, -6204/17], [483/17, -606/17], [93/17, 2/17]], [[0, 0], [243566/17, -198282/17], [-22449/17, 7737/17], [-1295/17, 777/17]]], 0, 23040, [], [] >,
< [ -3, -1, 1 ], [[-1872, 864]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 16], [-12, 6], [0, 0]], [[0, 0], [12, 0], [3, 0], [1, 0]], [[0, 0], [-10, 2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-248, -44], [-90, 36], [0, 0]], [[0, 0], [-1356, 1152], [-1299, 672], [-5, 0]], [[0, 0], [-1946/17, 4442/17], [-3135/17, 2106/17], [-21/17, -6/17]]], 0, 23040, [], [] >,
< [ -3, -1, 1 ], [[2448, -1008]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, -60], [-6, 12], [0, 0]], [[0, 0], [22, 0], [3, 0], [1, 0]], [[0, 0], [-398, 162], [54, -18], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2084, -1932], [-60, 30], [0, 0]], [[0, 0], [-39847722/17, -19092300/17], [321234/17, 105/17], [-12/17, -1/17]], [[0, 0], [57081952/17, -469701350/17], [-7741914/17, 5068515/17], [242/17, -181/17]]], 0, 30720, [], [] >,
< [ -3, -1, 1 ], [[2880, -1296]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 0], [30, -12], [0, 0]], [[0, 0], [4, 0], [3, 0], [1, 0]], [[0, 0], [-18, -6], [-6, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1992, 774], [-6, 12], [0, 0]], [[0, 0], [3571688, -1723650], [42060, 240], [4, 0]], [[0, 0], [-1785199076/17, 795967140/17], [-14784309/17, 4197957/17], [-1413/17, 405/17]]], 0, 30720, [], [] >,
< [ -3, -1, 1 ], [[27936, -12240]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 12], [-114, 72], [0, 0]], [[0, 0], [6, 0], [21, 0], [1, 0]], [[0, 0], [148, -62], [480, -216], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [358, -30], [-54, -24], [0, 0]], [[0, 0], [-2742268/17, 898606/17], [201525/17, -4503/17], [63/17, 1/17]], [[0, 0], [-709981028/17, 364832736/17], [26765079/17, -27676338/17], [7373/17, -8686/17]]], 0, 675840, [], [] >,
< [ -3, -1, 1 ], [[18864, -8352]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, 8], [-606, 6], [0, 0]], [[0, 0], [20, 0], [-27, 0], [1, 0]], [[0, 0], [8510, -2944], [-91476, 34452], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [508, 10], [276, 0], [0, 0]], [[0, 0], [-17490836/17, -180830/17], [-9508971/17, 86082/17], [41/17, 2/17]], [[0, 0], [-11667383840/17, 4188355064/17], [-6477951300/17, 2356436823/17], [26196/17, -9139/17]]], 0, 675840, [], [] >,
< [ -3, -1, 1 ], [[24048, -10512]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, 50], [114, -48], [0, 0]], [[0, 0], [2, 0], [45, 0], [1, 0]], [[0, 0], [-10, 6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1054, 102], [-510, 0], [0, 0]], [[0, 0], [-1501516/17, 1095648/17], [895002/17, -561522/17], [52/17, -4/17]], [[0, 0], [325012/17, -117970/17], [-177291/17, 67941/17], [-5/17, 3/17]]], 0, 368640, [], [] >,
< [ -3, -1, 1 ], [[11952, -5328]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 18], [-744, 312], [0, 0]], [[0, 0], [6, 0], [-39, 0], [1, 0]], [[0, 0], [-6, 8], [-294, 120], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, 44], [84, 24], [0, 0]], [[0, 0], [-64414/17, 7470/17], [-80481/17, 21849/17], [25/17, -5/17]], [[0, 0], [-7380, 2140], [-10113, 3711], [3, -1]]], 0, 368640, [], [] >,
< [ -3, -1, 1 ], [[1872, 0]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 0], [-78, 36], [0, 0]], [[0, 0], [-254, -355], [624, -381/2], [3/2, 3/2]], [[0, 0], [1567, -563], [12261/2, -5365/2], [-7/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-314, 2], [-12, 0], [0, 0]], [[0, 0], [-1132049/17, -32439/17], [-84681/34, -3083/34], [75/34, 1/17]], [[0, 0], [-34881876/17, 32561552/17], [-1276191/17, 1216408/17], [1162/17, -1079/17]]], 0, 215040, [], [] >,
< [ -3, -1, 1 ], [[1872, 0]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -14], [90, -30], [0, 0]], [[0, 0], [-56, 22], [-154, 73], [2, -1]], [[0, 0], [12, 1], [6, -39/2], [0, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 128], [66, -24], [0, 0]], [[0, 0], [-17264, -19072], [-3487, 292], [-1, 0]], [[0, 0], [-152379/17, 2125685/17], [2061585/34, -705771/34], [549/34, -171/34]]], 0, 215040, [], [] >,
< [ -3, -1, 1 ], [[-1728, 1152]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-174, 80], [0, 48], [0, 0]], [[0, 0], [-16020, 6921], [-3864, 1302], [6, -3]], [[0, 0], [14247, -5928], [5382, 384], [-3, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -2], [108, -48], [0, 0]], [[0, 0], [21, -14], [-90, 48], [-15, 8]], [[0, 0], [423, -266], [-1782, 924], [-297, 154]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[-1728, 1152]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, 62], [-48, -24], [0, 0]], [[0, 0], [12, 23], [-48, -30], [0, 1]], [[0, 0], [-324, 140], [-24, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, 48], [24, -12], [0, 0]], [[0, 0], [36, -2], [36, -12], [6, -2]], [[0, 0], [99, -71], [162, -78], [27, -13]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[576, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 14], [60, -24], [0, 0]], [[0, 0], [3, 0], [6, 0], [1, 0]], [[0, 0], [-36, 26], [144, -60], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, 28], [28, -4], [0, 0]], [[0, 0], [354, -93], [-60, 138], [-6, 3]], [[0, 0], [33, -71], [-134, -46], [-3, 1]]], 0, 15360, [], [] >,
< [ -3, -1, 1 ], [[576, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 2], [228, -84], [0, 0]], [[0, 0], [3, 0], [-2, -4], [1, 0]], [[0, 0], [0, 0], [84, -36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 10], [156, -72], [0, 0]], [[0, 0], [-1, 0], [6, 0], [1, 0]], [[0, 0], [144, -32], [-1560, 660], [0, 0]]], 0, 30720, [], [] >,
< [ -3, -1, 1 ], [[576, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -10], [-144, 48], [0, 0]], [[0, 0], [3, 0], [6, 0], [1, 0]], [[0, 0], [2, -2], [-48, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 4], [24, -20], [0, 0]], [[0, 0], [16, 23], [72, -70], [12, 3]], [[0, 0], [-109, -5], [810, -282], [25, -25]]], 0, 15360, [], [] >,
< [ -3, -1, 1 ], [[576, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -2], [-24, -12], [0, 0]], [[0, 0], [3, 0], [6, -4], [1, 0]], [[0, 0], [0, 0], [-24, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 0], [-228, 84], [0, 0]], [[0, 0], [-1, 0], [6, 0], [1, 0]], [[0, 0], [74, -14], [684, -276], [0, 0]]], 0, 30720, [], [] >,
< [ -3, -1, 1 ], [[-2304, 576]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -4], [-24, -36], [0, 0]], [[0, 0], [561, -219], [-930, 498], [-11, 5]], [[0, 0], [-71, 263], [1230, 354], [7, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 0], [48, -12], [0, 0]], [[0, 0], [-178, 97], [-492, 222], [-4, 1]], [[0, 0], [73, -64], [246, -120], [3, 0]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[-2304, 576]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 28], [24, 36], [0, 0]], [[0, 0], [-491, 383], [234, 390], [11, -5]], [[0, 0], [2694, 741], [4908, 3402], [-22, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 2], [-24, -36], [0, 0]], [[0, 0], [-221, 83], [-678, 390], [-5, 5]], [[0, 0], [276, -138], [1164, -372], [14, -2]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[4608, -2304]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -8], [-192, 84], [0, 0]], [[0, 0], [268, 236], [138, -42], [-6, 2]], [[0, 0], [-596, -440], [42, -54], [-2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 60], [264, -108], [0, 0]], [[0, 0], [4288, -3464], [-15834, 6552], [2, 8]], [[0, 0], [51832, -32384], [-167940, 70932], [-12, 60]]], 0, 327680, [], [] >,
< [ -3, -1, 1 ], [[1152, -576]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 20], [-12, 12], [0, 0]], [[0, 0], [2, 0], [-3, 0], [1, 0]], [[0, 0], [-76, 24], [-144, 60], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-164, 104], [132, -48], [0, 0]], [[0, 0], [101258/17, -36898/17], [-42345/17, 19485/17], [-73/17, 1/17]], [[0, 0], [1220988/17, 132128/17], [-218502/17, 197496/17], [-2726/17, -1692/17]]], 0, 20480, [], [] >,
< [ -3, -1, 1 ], [[3456, -576]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1914, 834], [-48, 24], [0, 0]], [[0, 0], [25638, -11184], [660, -348], [-12, 6]], [[0, 0], [18507, -8101], [450, -274], [-9, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1374, 588], [12, 12], [0, 0]], [[0, 0], [1341, -581], [54, -26], [-27, 13]], [[0, 0], [8094, -3518], [336, -140], [-168, 70]]], 0, 552960, [], [] >,
< [ -3, -1, 1 ], [[4032, -2304]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [618, -270], [264, -108], [0, 0]], [[0, 0], [43645, -19255], [19422, -7146], [7, -1]], [[0, 0], [-63669, 27213], [-24918, 12678], [-5, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [152, 16], [-48, -60], [0, 0]], [[0, 0], [-1306, 1177], [-852, -234], [10, -1]], [[0, 0], [-30576, 9954], [-2616, 4428], [96, -60]]], 0, 552960, [], [] >,
< [ -3, -1, 1 ], [[4032, -2304]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [190, 38], [24, 48], [0, 0]], [[0, 0], [785, -485], [-366, 90], [-11, 5]], [[0, 0], [-221, -343], [-222, -114], [-1, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [200, -74], [276, -108], [0, 0]], [[0, 0], [6338, -2717], [8976, -3810], [8, 1]], [[0, 0], [-50892, 22014], [-71904, 31008], [-44, 8]]], 0, 552960, [], [] >,
< [ -3, -1, 1 ], [[3456, -576]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-324, 118], [-132, 36], [0, 0]], [[0, 0], [-25383, 11370], [-9522, 4476], [-27, 14]], [[0, 0], [-109017, 52543], [-39042, 22062], [-99, 77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -10], [36, 12], [0, 0]], [[0, 0], [57, -97], [-42, 90], [-15, 7]], [[0, 0], [114, -80], [-96, 72], [-18, 8]]], 0, 552960, [], [] >,
< [ -3, -1, 1 ], [[3456, -576]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -130], [-24, -36], [0, 0]], [[0, 0], [300, -4117], [-900, -1194], [0, -1]], [[0, 0], [5088, -2084], [612, -216], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, -70], [264, -108], [0, 0]], [[0, 0], [3117, -1546], [6642, -2820], [15, -8]], [[0, 0], [-58236, 23266], [-113148, 49812], [-294, 112]]], 0, 552960, [], [] >,
< [ -3, -1, 1 ], [[4032, -2304]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -12], [-48, -36], [0, 0]], [[0, 0], [-323, 149], [-2, 2], [1, -1]], [[0, 0], [-30, 12], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 0], [-12, -60], [0, 0]], [[0, 0], [291, 447], [4818, 2886], [-9, -3]], [[0, 0], [2875, -1402], [-12014, 3884], [55, -22]]], 0, 552960, [], [] >,
< [ -3, -1, 1 ], [[54, -18]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 5/2], [39/2, 9/2], [15/2, 15/2], [0, 0]], [[-9/2, 3/2], [84, -39], [-27/2, 9/2], [3/2, -1/2]], [[-3/2, -1/2], [7, -17/2], [-9/2, -3/2], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1/2], [-15, 27/2], [3, 1/2], [0, 0]], [[9, 21/2], [169/2, 19], [9, 21/2], [17/2, -5/2]], [[-324, -264], [-1464, -1857/2], [-324, -264], [-60, -15/2]]], 1, 36, [], [] >,
< [ -3, -1, 1 ], [[54, -54]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1], [15/2, 24], [15/2, 3], [0, 0]], [[-81/2, 9], [1219/2, -703/2], [-243/2, 27], [-5, -5/2]], [[-90, 45], [3979/2, -1609/2], [-270, 135], [-1/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 0], [84, -30], [9, 0], [0, 0]], [[7, 1/2], [311/2, -107/2], [21, 3/2], [13/2, 1]], [[-39, -75/2], [44, -469/2], [-117, -225/2], [-44, -40]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[-6507, 2826]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -3/2], [6, -3/2], [0, 6], [0, 0]], [[30, 35/2], [21, 39/2], [333/2, 108], [9/2, -1]], [[171, 307/2], [189, 263/2], [1053, 888], [-9, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -5/2], [-9/2, -5/2], [414, -177], [0, 0]], [[69, 99/2], [69, 99/2], [-3321/2, 1287/2], [3/2, -5/2]], [[1095/2, 391], [1095/2, 391], [-27981/2, 10923/2], [27/2, -41/2]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[81, -36]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -1/2], [15/2, -1/2], [-21, 9], [0, 0]], [[6, 5], [6, 5], [15/2, 3/2], [5/2, 1/2]], [[-3, -3/2], [-3, -3/2], [6, -9/2], [2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 2], [5/2, 2], [-63, 24], [0, 0]], [[-16, -1/2], [-16, -1/2], [-17961/2, 7851/2], [15/2, 5/2]], [[-39, 13/2], [-39, 13/2], [-27810, 24225/2], [15, 3/2]]], 1, 32, [], [] >,
< [ -3, -1, 1 ], [[999, -432]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 3/2], [-21, 21/2], [9, -6], [0, 0]], [[-11/2, -8], [105/2, 33], [-147/2, -93/2], [-13/2, -5/2]], [[266, 51], [-498, -678], [711, 948], [-13, 91]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, -2], [4, 8], [6, -15], [0, 0]], [[-129, 147/2], [171, 63/2], [-456, 63], [6, 0]], [[-407/2, 199/2], [357/2, -21/2], [-1161/2, 333/2], [15/2, -3/2]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[-189, 81]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 0], [-3/2, 0], [9, -3], [0, 0]], [[-5, -7/2], [5, 7/2], [87/2, -31/2], [-1/2, -3/2]], [[-5/2, -5], [5/2, 5], [-375, 333/2], [-10, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1/2], [9/2, -3/2], [-15, 0], [0, 0]], [[51/2, -23/2], [151/2, -67/2], [-210, 203/2], [1, -1/2]], [[-1, 1/2], [-3, 3/2], [6, -6], [0, 0]]], 1, 36, [], [] >,
< [ -3, -1, 1 ], [[-999, 432]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 5/2], [-12, 15/2], [15, 3], [0, 0]], [[-205, 167/2], [-585, 501/2], [501/2, -147], [-15/2, 0]], [[-77/2, 2], [-167/2, 28], [-45, -159/2], [-8, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[20, -8], [60, -24], [6, 3], [0, 0]], [[-709/2, 305/2], [-2231/2, 851/2], [-81, -51], [10, 2]], [[1701/2, -374], [4853/2, -1237], [-201, -363/2], [5, 35/2]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[-162, 72]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, 9/2], [-81/2, 27/2], [-69, 27], [0, 0]], [[43/2, 2], [197/2, 25], [123, 6], [2, 2]], [[-381/2, 165/2], [-1317/2, 569/2], [-2313/2, 501], [9/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 0], [-177/2, 81], [15, 0], [0, 0]], [[4, 13/2], [6503/17, 5807/34], [309/17, 1029/34], [1/17, 3/34]], [[3, 2], [93, 89], [18, 12], [0, 0]]], 1, 80, [], [] >,
< [ -3, -1, 1 ], [[-162, 72]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [69/2, -33/2], [-3/2, -3/2], [0, 0]], [[-15/2, -7/2], [-31/2, 18], [-15/2, -7/2], [-1, -5/2]], [[45/2, -15/2], [549/2, -123], [45/2, -15/2], [-15, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 5/2], [-24, 27/2], [-6, 15/2], [0, 0]], [[-45/2, -45/2], [-49/2, -113/2], [-123/2, -123/2], [-2, -1]], [[-77/2, 31/2], [-267, 227/2], [-207/2, 83/2], [9/2, -2]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[-216, 54]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [-261/2, 129/2], [-3/2, -9/2], [0, 0]], [[6, -9], [-3129/2, 1395/2], [18, -27], [-19/2, -5/2]], [[264, 72], [-31215/2, 6249], [792, 216], [245/2, 140]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -2], [-114, 33], [6, -6], [0, 0]], [[-13, -11], [-375/2, -231/2], [-39, -33], [9/2, 3/2]], [[15/2, 7], [255/2, 129/2], [45/2, 21], [-4, -1/2]]], 0, 1296, [], [] >,
< [ -3, -1, 1 ], [[-81, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -3/2], [210, -183/2], [15/2, -6], [0, 0]], [[-205/2, -90], [-4065/2, 877], [-399/2, -39], [3/2, 2]], [[380, 400], [19420, -16819/2], [2695/2, -115/2], [-5/2, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -5/2], [423/2, -90], [-9/2, -3/2], [0, 0]], [[110, 60], [25892, -22593/2], [-241/2, 295/2], [5/2, 1]], [[-164, -32], [-99609, 86613/2], [1383/2, -783/2], [-9/2, 0]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-432, 189]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 2], [339, -159], [6, 0], [0, 0]], [[9, 21/2], [713, -353], [35/2, 5], [-13/2, -5/2]], [[889/2, 695/2], [-79/2, -3215/2], [811/2, 593/2], [-341/2, -253/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 0], [195/2, -93/2], [3, -3/2], [0, 0]], [[-5, -1], [89, -56], [-5, -1], [-5, -1]], [[35/2, 14], [241/2, 67], [35/2, 14], [35/2, 14]]], 0, 144, [], [] >,
< [ -3, -1, 1 ], [[-81, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -9/2], [-84, 63/2], [-15/2, -3], [0, 0]], [[-135/2, -99/2], [631, -311], [-46, -109/2], [1/2, 2]], [[-27/2, 99/2], [17147, -14851/2], [899/2, -154], [-35, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 9/2], [-243/2, 51], [9/2, 9/2], [0, 0]], [[49/2, 13], [-12975/2, 2821], [-63/2, 33], [3/2, 1]], [[37/2, -9/2], [-20906, 9079], [-151, 137/2], [1/2, 0]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-432, 189]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -3], [-957/2, 453/2], [-6, -3/2], [0, 0]], [[287/2, 110], [6032, -6673/2], [169, 83], [5/2, -5/2]], [[-5207/2, -3997/2], [13288, 14503/2], [-4697/2, -1820], [23, 16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, -7], [231/2, -195/2], [-6, -15/2], [0, 0]], [[-190, -154], [-3296, 419], [-214, -122], [2, -2]], [[-561/2, -217], [-3551/2, -677], [-529/2, -193], [-1/2, -1]]], 0, 144, [], [] >,
< [ -3, -1, 1 ], [[-216, 54]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -5/2], [-600, 579/2], [6, -15/2], [0, 0]], [[-336, -235/2], [49141/2, -12193/2], [-985, -697/2], [-23/2, -2]], [[-21502, -31993/2], [441155, 248287], [-63346, -94297/2], [-580, -841/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 0], [-105/2, 24], [-3/2, 0], [0, 0]], [[-1, -2], [-13, -8], [-1, -2], [-1, -2]], [[1/2, -1/2], [2, -2], [1/2, -1/2], [1/2, -1/2]]], 0, 1296, [], [] >,
< [ -3, -1, 1 ], [[-216, 54]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 5/2], [-135/2, -45/2], [9/2, 15/2], [0, 0]], [[-25/2, 1], [-83/2, 5/2], [-47/2, 4], [-7, -1/2]], [[857/2, 267], [2975/2, 941], [1271/2, 359], [325, 221]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1], [-321/2, 75], [15/2, -3], [0, 0]], [[4, 7/2], [735/2, -234], [-9, 15/2], [21/2, 3/2]], [[-639/2, -247], [2824, 8515/2], [-343/2, -190], [-787/2, -551/2]]], 0, 1296, [], [] >,
< [ -3, -1, 1 ], [[-81, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 2], [-291/2, 141/2], [21, -15/2], [0, 0]], [[330, -70], [41585/2, -8735], [-2617, 2391/2], [1/2, -5/2]], [[-3160, 0], [-158743, 126851/2], [38165/2, -18785/2], [35/2, 35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -4], [1731/2, -129/2], [-3, -9/2], [0, 0]], [[155/2, 361/2], [4655078/17, -2167208/17], [16687/17, -7943/34], [65/34, 2/17]], [[539, -1250], [-65129264/17, 28974736/17], [-205018/17, 73494/17], [-325/17, 65/17]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-81, 36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3/2], [-12, -15/2], [21/2, -3], [0, 0]], [[207/2, -36], [211/2, -96], [-1885/2, 421], [5/2, 0]], [[-36, 45/2], [-189/2, 5], [843/2, -347/2], [0, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [1665/2, -21], [9/2, -3/2], [0, 0]], [[-165/2, -48], [-882782/17, -410848/17], [-6707/34, 233/34], [47/17, 5/34]], [[7093/2, 235], [100027697/34, -4901034/17], [773821/34, -139648/17], [-9875/34, 1659/17]]], 1, 16, [], [] >,
< [ -3, -1, 1 ], [[-81, 45]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [-6, 15/2], [15/2, -9/2], [0, 0]], [[17, -59/2], [182, 41], [-104, 119/4], [41/26, 5/52]], [[-1325/2, 707/2], [-1962, 495], [7545/4, -3093/4], [-1077/52, 347/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [876, -145/2], [-9/2, 3/2], [0, 0]], [[517/2, 202], [-3539659/17, -1459150/17], [35185/68, -569/34], [-275/884, 1/221]], [[-35247/2, -28565/2], [789868409/34, 37641773/17], [-2882213/34, 1516165/68], [11120/221, -11259/884]]], 1, 192, [], [] >,
< [ -3, -1, 1 ], [[-81, 45]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 5/2], [-3/2, 3/2], [15/2, 0], [0, 0]], [[-113/2, -32], [-66, -13], [-339/4, -33/2], [-3/4, 0]], [[828, 203], [1537, -253], [1979, -329], [272/13, -76/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 3], [477/2, -370], [-6, 15/2], [0, 0]], [[-2393/2, -1189], [3496578/17, -37023/34], [-260307/68, 14301/68], [345/884, -1/884]], [[-46243/2, -98761/2], [306279260/17, -80840770/17], [-23684471/68, 6851225/68], [30163/884, -7923/884]]], 1, 192, [], [] >,
< [ -3, -1, 1 ], [[-1053, 468]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -7/2], [123/2, -53/2], [3/2, -6], [0, 0]], [[-305/2, -319/2], [-7177/2, 3109/2], [-1043/2, 16], [-1, -1]], [[-141/2, 425/2], [22528, -9780], [9269/4, -3347/4], [-1/4, 5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 9/2], [267/2, -593/2], [3/2, 6], [0, 0]], [[-403, -387], [2324561/34, -202361/17], [-73981/68, -647/17], [-37/68, 1/17]], [[28205/2, 6639], [43373590/17, -25702156/17], [-1774765/68, 389770/17], [-1225/68, 403/34]]], 1, 2688, [], [] >,
< [ -3, -1, 1 ], [[-1053, 468]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 7/2], [-177/2, 77/2], [-3/2, 6], [0, 0]], [[8, 7/2], [-115, 56], [-8, 17/4], [-1/2, -5/4]], [[1, -11], [-548, 229], [-40, 16], [5, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 4], [-1035, -143], [6, 3], [0, 0]], [[-1805/2, -1797/2], [13951336/17, -3954910/17], [-186787/68, 1399/68], [-145/68, -5/68]], [[28743/2, 4523], [742711421/34, -357622503/34], [-1628627/34, 2079427/68], [-1163/34, 1577/68]]], 1, 2688, [], [] >,
< [ -3, -1, 1 ], [[108, -36]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, -6], [75, -30], [0, 0]], [[0, 0], [533/2, -121], [867, -384], [-5/2, -1]], [[0, 0], [-3860, 1631], [-12375, 5310], [-4, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 15], [-6, 2], [0, 0]], [[0, 0], [-187/2, 35], [-18, 11], [-17/2, 1]], [[0, 0], [4534, -1792], [936, -507], [380, -80]]], 1, 180, [], [] >,
< [ -3, -1, 1 ], [[108, -108]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, -57], [-15, -15], [0, 0]], [[0, 0], [-4137/2, 903], [9, 66], [9/2, 0]], [[0, 0], [-2131/2, 470], [54, 72], [7/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, -12], [-60, 24], [0, 0]], [[0, 0], [23, -13/2], [-15, 24], [-2, 1/2]], [[0, 0], [80, 107/2], [360, 288], [-8, -11/2]]], 0, 2160, [], [] >,
< [ -3, -1, 1 ], [[-15984, 6912]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, 6], [-24, -12], [0, 0]], [[0, 0], [714, -306], [72, -33], [-4, 1]], [[0, 0], [-150, 54], [-12, 9], [2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, -26], [-30, 12], [0, 0]], [[0, 0], [-60, -288], [-198, -15], [-6, -9]], [[0, 0], [-3006, 2502], [2586, -738], [-36, 60]]], 0, 103680, [], [] >,
< [ -3, -1, 1 ], [[1296, -576]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 2], [-12, 6], [0, 0]], [[0, 0], [0, 0], [3, 0], [1, 0]], [[0, 0], [6, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 2], [18, -18], [0, 0]], [[0, 0], [0, 0], [3, 0], [3, 2]], [[0, 0], [0, 0], [-12, 6], [0, 0]]], 0, 3840, [], [] >,
< [ -3, -1, 1 ], [[864, -432]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 6], [12, 0], [0, 0]], [[0, 0], [-2, -2], [3, -2], [1, 0]], [[0, 0], [156, -78], [-42, 24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -18], [-12, -12], [0, 0]], [[0, 0], [-2, 2], [3, 2], [1, 0]], [[0, 0], [462, -198], [42, -12], [0, 0]]], 0, 8640, [], [] >,
< [ -3, -1, 1 ], [[4752, -2160]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -24], [24, 6], [0, 0]], [[0, 0], [56, -62], [24, 3], [-16, 1]], [[0, 0], [1476, -684], [243, -90], [-195, 78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -6], [30, -12], [0, 0]], [[0, 0], [56, 28], [-18, -15], [-4, 1]], [[0, 0], [-146, -58], [39, 36], [13, -4]]], 0, 103680, [], [] >,
< [ -3, -1, 1 ], [[-104112, 45216]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 26], [54, 6], [0, 0]], [[0, 0], [-9042, -5968], [-22905, -18225], [-15, 5]], [[0, 0], [312444, 247102], [910818, 694326], [-54, 82]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 4], [-1386, 600], [0, 0]], [[0, 0], [132, -48], [15255, -6642], [15, -10]], [[0, 0], [18, 4], [981, -447], [-3, -3]]], 0, 103680, [], [] >,
< [ -3, -1, 1 ], [[-108, 36]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 7], [0, 6], [0, 0]], [[-11/2, -3], [-1531/2, 296], [-372, 177/2], [2, -5/2]], [[341/2, 217/2], [28963/2, -10111/2], [15507/2, -894], [-31/2, 62]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -11], [-30, 18], [0, 0]], [[0, -5/2], [719, -481/2], [-2355/2, 396], [-5/2, 0]], [[-9, -5], [-299, 393], [498, -639], [-2, -3]]], 1, 192, [], [] >,
< [ -3, -1, 1 ], [[-108, 36]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -9], [-30, 0], [0, 0]], [[0, 0], [-29, -5], [-177/2, -153/2], [-1/2, -5/2]], [[0, 0], [83, -39], [-111/2, 9/2], [-23/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-129, 0], [-12, 0], [0, 0]], [[0, 0], [237842/17, -1852/17], [15525/17, -504/17], [41/17, 2/17]], [[0, 0], [-17751558/17, 6139075/17], [-1187973/17, 838707/34], [-2883/17, 1891/34]]], 1, 240, [], [] >,
< [ -3, -1, 1 ], [[-324, 144]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-213, 93], [-33, 12], [0, 0]], [[0, 0], [3393/2, -1487/2], [243, -112], [-3/2, -5/2]], [[0, 0], [-2441/2, 1061/2], [-177, 78], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -3], [15, -9], [0, 0]], [[0, 0], [-3/2, -1], [3, 5], [-3/2, -1]], [[0, 0], [-7/2, 3/2], [-9, 4], [-7/2, 3/2]]], 1, 240, [], [] >,
< [ -3, -1, 1 ], [[-432, 108]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-246, 96], [3, 12], [0, 0]], [[0, 0], [-53535/2, 11733], [-1032, 312], [-1/2, -1]], [[0, 0], [-22752, 16953/2], [720, 1440], [13, 19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1008, 456], [-3, -3], [0, 0]], [[0, 0], [921/2, -198], [0, 0], [5/2, -1]], [[0, 0], [-12, 3], [0, 0], [0, 0]]], 0, 6480, [], [] >,
< [ -3, -1, 1 ], [[-2160, 864]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [354, -108], [30, -6], [0, 0]], [[0, 0], [6515, 2881], [877, 518], [16, -1]], [[0, 0], [24014, -6098], [2062, -214], [130, -52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [126, -72], [18, 12], [0, 0]], [[0, 0], [-496, 151], [49, 47], [7, -4]], [[0, 0], [1141, -487], [11, -14], [-16, 7]]], 0, 34560, [], [] >,
< [ -3, -1, 1 ], [[-432, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 18], [6, 6], [0, 0]], [[0, 0], [8, -1], [1, -1], [1, 0]], [[0, 0], [-54, 24], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -6], [-18, -12], [0, 0]], [[0, 0], [2, 3], [1, -1], [1, 0]], [[0, 0], [6, 0], [6, 0], [0, 0]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[-2160, 864]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138, 90], [6, 6], [0, 0]], [[0, 0], [1266, -561], [3, 3], [3, 0]], [[0, 0], [-3985, 1780], [-14, -13], [-11, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 12], [-12, -6], [0, 0]], [[0, 0], [32, -14], [4, 2], [10, -4]], [[0, 0], [14, -5], [1, -1], [-5, 2]]], 0, 34560, [], [] >,
< [ -3, -1, 1 ], [[-432, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [114, -30], [6, 18], [0, 0]], [[0, 0], [2, -1], [1, -1], [1, 0]], [[0, 0], [-192, -6], [-66, -66], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 0], [-30, 24], [0, 0]], [[0, 0], [-4, 3], [1, -1], [1, 0]], [[0, 0], [6, 6], [6, 6], [0, 0]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[-432, 108]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69, 15], [15, -9], [0, 0]], [[0, 0], [-410, 7/2], [58, -49], [-2, -5/2]], [[0, 0], [-1665/2, 459], [279, -108], [9/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81, 0], [9, 9], [0, 0]], [[0, 0], [-359/2, -338], [125, 100], [7/2, -2]], [[0, 0], [368, 7], [-55, -38], [5, -2]]], 0, 6480, [], [] >,
< [ -3, -1, 1 ], [[-432, 108]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63, 54], [9, -3], [0, 0]], [[0, 0], [-705/2, 21/2], [24, -15], [-9/2, 3/2]], [[0, 0], [-3700, -2000], [-13, -110], [-22, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81, -54], [9, 9], [0, 0]], [[0, 0], [308, -115/2], [47, -35], [5, -1/2]], [[0, 0], [-4289/2, 742], [-451, 232], [-65/2, 10]]], 0, 6480, [], [] >,
< [ -3, -1, 1 ], [[-432, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 18], [24, 18], [0, 0]], [[0, 0], [-4, 3], [1, 1], [1, 0]], [[0, 0], [180, -78], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [210, -36], [-6, 6], [0, 0]], [[0, 0], [62899/17, -70679/17], [-8641/17, -84/17], [-46/17, -1/17]], [[0, 0], [2312014/17, -1187004/17], [-149122/17, 48572/17], [-784/17, 252/17]]], 0, 3840, [], [] >,
< [ -3, -1, 1 ], [[-432, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 36], [24, 24], [0, 0]], [[0, 0], [8, 3], [1, 1], [1, 0]], [[0, 0], [246, -102], [30, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [600, -30], [6, 12], [0, 0]], [[0, 0], [169962/17, -58316/17], [-5052/17, -1118/17], [-48/17, -4/17]], [[0, 0], [-16017925/17, 6763385/17], [266077/17, -74394/17], [3016/17, -1001/17]]], 0, 3840, [], [] >,
< [ -3, -1, 1 ], [[1296, -720]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, 30], [-18, 30], [0, 0]], [[0, 0], [-878, 584], [-697, -125], [-19/13, -1/13]], [[0, 0], [78012, -36067], [29865, -16701/2], [945/13, -621/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1596, -4], [-30, 0], [0, 0]], [[0, 0], [-34562307/17, 195843/17], [1333647/34, -3753/34], [-981/442, -1/442]], [[0, 0], [47531080693/17, -12694960916/17], [-1829943311/34, 243012418/17], [1341985/442, -176860/221]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[1296, -720]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -2], [30, 6], [0, 0]], [[0, 0], [-145, -90], [5/2, -55], [53/26, -1/13]], [[0, 0], [-865, -800], [-1327/2, -127], [-103/26, 103/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [546, 154], [30, -30], [0, 0]], [[0, 0], [-56807/17, -155361/17], [38095/34, 1493/34], [43/442, 5/442]], [[0, 0], [-10323/17, 74284/17], [-21771/34, 1203/17], [-27/442, 1/221]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[-16848, 7488]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, 46], [6, 6], [0, 0]], [[0, 0], [-778, 331], [-20, 7/2], [-2, 3/2]], [[0, 0], [3460, -1310], [188, 64], [-4, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1416, -148], [-30, 30], [0, 0]], [[0, 0], [4852962/17, -13631203/17], [-964950/17, -2691/34], [30/17, 5/34]], [[0, 0], [-1200284546/17, 343329655/17], [39424181/17, -47220349/34], [-1045/17, 1387/34]]], 0, 645120, [], [] >,
< [ -3, -1, 1 ], [[-16848, 7488]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162, 58], [-12, -6], [0, 0]], [[0, 0], [-7555, 3353], [-253/2, 145/2], [-1/2, 5/2]], [[0, 0], [282318, -121634], [5412, -2115], [114, -19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1698, -38], [0, 6], [0, 0]], [[0, 0], [-15546238/17, 16415253/17], [-173945/17, 1867/34], [1/17, 3/34]], [[0, 0], [-221682, 101958], [-1110, 438], [0, 0]]], 0, 645120, [], [] >,
< [ -3, -1, 1 ], [[1728, -576]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 0], [-48, 60], [0, 0]], [[0, 0], [-1, -2], [6, 0], [1, 0]], [[0, 0], [102, -36], [936, -468], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, 24], [-24, -8], [0, 0]], [[0, 0], [-16, -80], [-216, -96], [-14, 2]], [[0, 0], [354, -81], [-180, 238], [-54, 27]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[1728, -1728]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-228, 102], [48, 36], [0, 0]], [[0, 0], [-612, 297], [-36, -18], [-6, -3]], [[0, 0], [-1055, 455], [-6, 6], [-1, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -18], [192, -48], [0, 0]], [[0, 0], [7, -19], [-186, -174], [-7, 1]], [[0, 0], [74, -38], [36, -108], [-20, 8]]], 0, 552960, [], [] >,
< [ -3, -1, 1 ], [[-6912, 2304]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [240, -44], [60, 12], [0, 0]], [[0, 0], [-11180, -356], [-3810, -1698], [-10, -6]], [[0, 0], [84708, -40244], [11208, -7092], [12, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -36], [-24, 12], [0, 0]], [[0, 0], [104, 32], [-6, 30], [-2, 10]], [[0, 0], [-1992, 824], [1404, -624], [468, -208]]], 0, 983040, [], [] >,
< [ -3, -1, 1 ], [[-1728, 576]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 40], [12, 0], [0, 0]], [[0, 0], [-2, 0], [-3, 0], [1, 0]], [[0, 0], [12, -4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [312, 100], [-60, -60], [0, 0]], [[0, 0], [-128638/17, -58810/17], [4137/17, 1947/17], [121/17, 3/17]], [[0, 0], [15233954/17, -1436034/17], [-476703/17, 37935/17], [-26675/17, 9075/17]]], 0, 61440, [], [] >,
< [ -3, -1, 1 ], [[-5184, 2304]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [174, -78], [48, -12], [0, 0]], [[0, 0], [-1, 2], [6, 4], [1, 0]], [[0, 0], [4446, -1938], [1056, -432], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-204, 90], [60, 0], [0, 0]], [[0, 0], [1, 0], [6, 4], [1, 0]], [[0, 0], [-828, 360], [156, -60], [0, 0]]], 0, 61440, [], [] >,
< [ -3, -1, 1 ], [[-6912, 1728]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-756, 342], [-12, 12], [0, 0]], [[0, 0], [105, 102], [162, 12], [13, -4]], [[0, 0], [-3384, -2688], [-2328, -1308], [-88, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, -66], [72, -12], [0, 0]], [[0, 0], [-24735, 10719], [-8238, 3558], [5, -5]], [[0, 0], [3306, -1368], [1128, -432], [6, 6]]], 0, 1658880, [], [] >,
< [ -3, -1, 1 ], [[-6912, 1728]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [156, 78], [-12, -60], [0, 0]], [[0, 0], [-557, 722], [-1406, 404], [-11, 2]], [[0, 0], [-5267, 3722], [-8846, 3224], [-65, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 0], [-12, 60], [0, 0]], [[0, 0], [7890, 8187], [11508, 7206], [6, -3]], [[0, 0], [4159, 1976], [2530, 2876], [-5, 2]]], 0, 1658880, [], [] >,
< [ -3, -1, 1 ], [[-6912, 1728]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, 84], [-24, -12], [0, 0]], [[0, 0], [-2575, 736], [74, 136], [-19, 4]], [[0, 0], [4538, -3308], [656, 304], [26, -26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 60], [84, -36], [0, 0]], [[0, 0], [76, 20], [-8, -4], [4, 2]], [[0, 0], [151, 2], [-14, -4], [7, 2]]], 0, 1658880, [], [] >,
< [ -3, -1, 1 ], [[702, -306]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-45/2, 19/2], [-171/2, 63/2], [-135/2, 57/2], [0, 0]], [[-6961/2, 1536], [-24723/2, 11539/2], [-20889/2, 4592], [-2, 5/2]], [[98801, -43230], [354846, -159404], [296271, -129404], [77, -55]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, -9/2], [51/2, -21/2], [63/2, -27/2], [0, 0]], [[33/2, -7], [36, -15], [87/2, -18], [-5/2, 1]], [[33/2, -17/2], [69/2, -20], [81/2, -49/2], [-2, 3/2]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[81, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -2], [675/2, -291/2], [-18, 15/2], [0, 0]], [[-3, -14], [257/2, 415/2], [-275/2, -47], [-13, 11/2]], [[-302, -471/2], [5221, 8083/2], [-2143, -3253/2], [-7, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 3], [-81/2, 57/2], [18, 9/2], [0, 0]], [[16, 14], [-214, 323/2], [167/2, 37/2], [-1/2, 2]], [[59, 46], [171/2, 201], [171, 225/2], [9/2, 9/2]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[1161, -504]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 0], [351/2, -153/2], [0, -3/2], [0, 0]], [[0, 0], [69/2, -69/2], [3/2, 0], [0, -1/2]], [[0, 0], [-563/2, 293/2], [-13/2, 2], [-2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, -1/2], [216, -231/2], [-33/2, 2], [0, 0]], [[2737, 4189/2], [27629/2, 22009/2], [3398, 2569], [7/2, -2]], [[14572, 22323/2], [148247/2, 116785/2], [18050, 13708], [25/2, -8]]], 1, 36, [], [] >,
< [ -3, -1, 1 ], [[702, -306]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1], [-48, 29], [9, 3], [0, 0]], [[-264, -449/2], [-3581/2, -859/2], [-814, -1327/2], [-5/2, 1]], [[14373/2, 11153/2], [27922, 18829], [43223/2, 33391/2], [17/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -1/2], [-147/2, 53/2], [-27/2, -3/2], [0, 0]], [[739/2, 318], [175/2, 2037/2], [2281/2, 973], [-1, -5/2]], [[-714, -261], [-7659, 2065], [-2136, -825], [15, -3]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[702, -306]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -2], [12, -17], [-9, -6], [0, 0]], [[39/2, 43/2], [1005/2, -179/2], [165/2, 153/2], [0, -2]], [[-16, -1/2], [1369/2, -659/2], [-43, -19/2], [7/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 1], [-33, 13], [-18, 3], [0, 0]], [[123/2, 219/2], [-541/2, 228], [365/2, 673/2], [-2, -1/2]], [[1533, -4081/2], [17792, -8842], [4949, -12691/2], [56, -21/2]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[1404, -612]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -6], [108, -45], [0, 0]], [[0, 0], [-321/2, 139/2], [-1248, 545], [1/2, -3/2]], [[0, 0], [1887, -819], [14712, -6396], [-16, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-111, 48], [45, -21], [0, 0]], [[0, 0], [69/2, -19/2], [-3, 34], [-5/2, 1/2]], [[0, 0], [102, -97/2], [-129, 31], [-7, 7/2]]], 1, 720, [], [] >,
< [ -3, -1, 1 ], [[5616, -2448]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 6], [18, -6], [0, 0]], [[0, 0], [83, -55], [-125, 20], [-20, 5]], [[0, 0], [-138, 31], [69, -81], [15, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 48], [54, -6], [0, 0]], [[0, 0], [125, -68], [28, 59], [-11, -1]], [[0, 0], [2490, -1038], [-750, 100], [-96, 60]]], 0, 8640, [], [] >,
< [ -3, -1, 1 ], [[1296, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -18], [-36, 6], [0, 0]], [[0, 0], [-71, 14], [-118, 37], [11, -5]], [[0, 0], [-126, -96], [-108, -84], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, -30], [-18, 72], [0, 0]], [[0, 0], [-593, 107], [-199, -524], [-16, 1]], [[0, 0], [12666, -4500], [-4440, 5988], [312, -96]]], 0, 103680, [], [] >,
< [ -3, -1, 1 ], [[1404, -612]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -9], [135, -60], [0, 0]], [[0, 0], [37/2, 35/2], [-892, 388], [-5/2, 1/2]], [[0, 0], [685/2, 489/2], [4898, -2117], [7/2, -21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 7], [180, -78], [0, 0]], [[0, 0], [811/2, 559/2], [-514, 247], [-5/2, -1/2]], [[0, 0], [-12781/2, -11487/2], [-14459, 5834], [-13/2, 65/2]]], 1, 720, [], [] >,
< [ -3, -1, 1 ], [[1404, -612]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -9], [-243, 105], [0, 0]], [[0, 0], [559, 683/2], [3589, -1543], [1, -3/2]], [[0, 0], [-7167/2, -2273], [-19557, 8391], [-9/2, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -8], [-90, 39], [0, 0]], [[0, 0], [-121/2, -45], [-8, -7], [-1/2, -1]], [[0, 0], [-24, -35/2], [-3, -3], [0, -1/2]]], 1, 720, [], [] >,
< [ -3, -1, 1 ], [[22464, -9792]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [480, -210], [216, -84], [0, 0]], [[0, 0], [3, -2], [6, 4], [1, 0]], [[0, 0], [-2604, 1134], [-1152, 480], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [828, -348], [0, 0]], [[0, 0], [3, -2], [18, 4], [1, 0]], [[0, 0], [0, 0], [-1188, 516], [0, 0]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[22464, -9792]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -28], [36, 36], [0, 0]], [[0, 0], [-5, 0], [-2, -4], [1, 0]], [[0, 0], [180, -84], [-288, 132], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -18], [180, -24], [0, 0]], [[0, 0], [1, 0], [10, -4], [1, 0]], [[0, 0], [-192, 8], [-4860, 2268], [0, 0]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[22464, -9792]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -46], [108, -60], [0, 0]], [[0, 0], [-5, 0], [10, -4], [1, 0]], [[0, 0], [120, -32], [1584, -684], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -42], [-972, 420], [0, 0]], [[0, 0], [1, 0], [-14, -4], [1, 0]], [[0, 0], [-120, -112], [-1368, 588], [0, 0]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[97, -40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -2], [-61/2, -5/2], [-4, -1/2], [0, 0]], [[315/2, -275], [3979, -5189/2], [484, -328], [-7/2, -5/2]], [[-84, 36], [-1195, 517], [-148, 64], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -3], [-37/2, 25/2], [-3, -3/2], [0, 0]], [[-345/2, -131], [367/2, 124], [-199/2, -73], [1/2, 1]], [[-3/2, -1], [5/2, 1/2], [-1, -1/2], [0, 0]]], 0, 54, [], [] >,
< [ -3, -1, 1 ], [[97, -40]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 0], [-49, 1], [-8, 2], [0, 0]], [[367/2, 76], [8841/2, 3399/2], [507, 75/2], [1, 2]], [[-2942, 569], [-150279/2, 16158], [-13732, 9581/2], [71/2, -53/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [-23/2, -5], [3/2, -3/2], [0, 0]], [[49/2, 1], [143, 473/2], [68, -11], [9/2, -3/2]], [[-33/2, -97/2], [-1400, -820], [32, -205/2], [13/2, -5]]], 0, 54, [], [] >,
< [ -3, -1, 1 ], [[52, -22]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, 9/2], [-85/2, -13], [15/2, 3/2], [0, 0]], [[-1, 3/2], [-55/2, 13/2], [4, -1], [-5/2, 1]], [[1, 1], [-11, -9/2], [3/2, 1/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, -6], [-277/2, -23/2], [-8, -5/2], [0, 0]], [[-5535/2, -1886], [-79595/3, -56399/6], [-5407/3, -2885/3], [13/6, -1/6]], [[-1353, -1681], [70849/6, -122989/6], [-721/6, -3688/3], [-11/3, 13/6]]], 1, 18, [], [] >,
< [ -3, -1, 1 ], [[52, -22]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -1], [-148, 61], [5, -2], [0, 0]], [[33, 59/2], [-330, -293], [41/2, 13], [-3/2, 5/2]], [[103/2, -67/2], [-955/2, 318], [-45, 14], [53, -47/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, -9/2], [33/2, -57], [-15/2, -3/2], [0, 0]], [[-312, -455/2], [-1494, -3009/2], [-191, -251/2], [-1, -1/2]], [[0, 221], [39463/6, -9271/6], [-1309/6, 665/3], [-11/3, 13/6]]], 1, 10, [], [] >,
< [ -3, -1, 1 ], [[-12, 3]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -3/2], [0, -3/2], [8, -5], [0, 0]], [[-13/2, 1/2], [-13/2, 1/2], [-79/2, 14], [-1/2, 0]], [[1/2, -2], [1/2, -2], [14, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1], [-3/2, -1], [-2, 2], [0, 0]], [[1/2, -3/2], [1/2, -3/2], [49, -22], [-7, 1]], [[-5, 10], [-5, 10], [-721/2, 161], [99/2, -9]]], 1, 8, [], [] >,
< [ -3, -1, 1 ], [[120, -57]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -3], [2, -2], [25, -4], [0, 0]], [[-1423/2, -591], [-673/2, -43], [-517/2, 1274], [-23/2, -2]], [[4045/2, 2014], [4697/2, -412], [9495, -7857], [77, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1/2], [-1, -1/2], [52, -22], [0, 0]], [[0, 0], [0, 0], [563/2, -76], [-1/2, 2]], [[0, 0], [0, 0], [2635/2, -695], [-31/2, 2]]], 0, 108, [], [] >,
< [ -3, -1, 1 ], [[24, -6]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 5/2], [5/2, 1/2], [1, 5], [0, 0]], [[-55/2, -39/2], [-33/2, -29/2], [-55, -73/2], [0, 5/2]], [[-7/2, 3/2], [7/2, -3/2], [-21/2, 9/2], [-7/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -3/2], [-239/2, 41/2], [-9, -3], [0, 0]], [[293/2, -102], [324121/34, -93981/17], [13713/34, -6843/34], [-121/34, -3/34]], [[1529/2, 1136], [572095/34, 778825/17], [-4387/17, 18877/17], [980/17, 637/17]]], 1, 20, [], [] >,
< [ -3, -1, 1 ], [[24, -6]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 0], [39/2, -9], [-9/2, 0], [0, 0]], [[-5/2, -8], [-77/2, 25/2], [-5/2, -8], [-1, 3/2]], [[22, 50], [427/2, -65], [22, 50], [9/2, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 5/2], [-19/2, 1/2], [19/2, 5/2], [0, 0]], [[336, -84], [-1015/2, 357/2], [336, -84], [1/2, -5/2]], [[-651, 399], [1177, -590], [-651, 399], [-10, 0]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[12, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1/2], [-37, -7/2], [-5/2, 1], [0, 0]], [[1/2, -5/2], [-63/2, -65/2], [-1/2, 5/2], [1/2, -5/2]], [[-28, -7], [-357, -232], [28, 7], [-28, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1/2], [227, 59/2], [-5/2, 1], [0, 0]], [[15/2, -3/2], [59667/34, 29601/34], [-15/34, 3/34], [15/34, -3/34]], [[209/2, -26], [706383/34, 152587/17], [-209/34, 26/17], [209/34, -26/17]]], 1, 12, [], [] >,
< [ -3, -1, 1 ], [[12, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1], [31, -4], [-5, 2], [0, 0]], [[1, 13/2], [-87, -134], [-23/2, 8], [5/2, -1/2]], [[36, 13/2], [-663, -519/2], [60, -33/2], [-6, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -4], [-963/2, -75/2], [-6, -3/2], [0, 0]], [[144, 105/2], [311567/17, -47010/17], [6217/34, -93/17], [-63/34, -1/34]], [[5491, 399/2], [18123927/17, -11774471/34], [166205/17, -87885/34], [-1628/17, 777/34]]], 1, 8, [], [] >,
< [ -3, -1, 1 ], [[-31, 10]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3, -5/2], [97/2, -3/2], [97/4, -1], [103/52, 1/26]], [[-9/2, 8], [-3781/2, 790], [-957, 801/2], [-943/13, 391/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -3], [8, -8], [-1, -2], [0, 0]], [[81/2, 19], [299/2, -83/2], [31/2, 19/4], [-9/26, -3/52]], [[-14, 37/2], [-611/2, 281/2], [-43/4, 17/2], [19/52, -3/13]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[30, -21]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 1/2], [27/2, -15], [-7/2, 1/2], [0, 0]], [[2, 45/2], [775/2, 53], [7/2, 87/4], [9/52, -5/52]], [[-1157/2, -130], [42, -3628], [-1107/2, -557/4], [163/52, -53/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, 1/2], [2009/2, 13/2], [7, 1/2], [0, 0]], [[-121231/2, -139/2], [-149972298/17, 8970461/17], [-4109215/68, -1204/17], [252/221, -1/884]], [[-10664781/2, 1721975], [-1644024239/2, 282662009], [-21263633/4, 6866413/4], [5227/52, -423/13]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[30, -21]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, -2], [-27, -3/2], [-23/2, -2], [0, 0]], [[1413, 3319/2], [4507/2, 3329], [1419, 6635/4], [45/52, 1/52]], [[-31077/2, 27810], [-117531/2, 65433], [-60865/4, 110749/4], [2087/52, -179/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 3/2], [-973/2, -1], [15/2, 3/2], [0, 0]], [[-1409, 59/2], [3509857/34, -288339/17], [-25473/17, 1981/68], [-485/884, -5/884]], [[-47198, 15365], [66662502/17, -24774585/17], [-852097/17, 553859/34], [-7887/442, 2475/442]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[71, -29]], [ -535, -2 ], [ -748, 306 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[129, 0], [106, 2], [3, 0], [0, 0]], [[552819/2, 63189], [2486205507/11266, 645185067/11266], [19532543/2924, 2148167/1462], [-10729/383044, -1/191522]], [[-651244339, 765588061/2], [-2722057620844/5633, 1652705611026/5633], [-46929831331/2924, 13676500037/1462], [38472631/383044, -4812674/95761]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-37, 5/2], [2384/43, -493/86], [-37/43, 5/86], [0, 0]], [[60079/2, -2969], [144949108/16899, 119771809/33798], [-3740369/4386, -585299/8772], [-25717/287283, -5/1149132]], [[-45700523/2, 10956353], [-36320068243/16899, 56740892447/33798], [2185304873/4386, -2291194393/8772], [17028583/287283, -34161439/1149132]]], 1, 32, [], [] >,
< [ -3, -1, 1 ], [[22, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1], [1315/2, -67/2], [3, -3/2], [0, 0]], [[-5270, -1748], [3904089/2, 2072560], [-5276, 11/2], [-1/2, 3/2]], [[-351551/2, -1044491], [1727685197/2, 871465259/2], [807942, -1971019/2], [917, -42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 5/2], [-428, -77/2], [7/2, 1], [0, 0]], [[-75/2, -16], [5476, -528], [-85/2, -7/2], [2, 1/2]], [[3811/2, 214], [-2604769/6, 386537/3], [17735/6, -1726/3], [-725/6, 25/3]]], 1, 36, [], [] >,
< [ -3, -1, 1 ], [[22, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1/2], [1363, 55/2], [-5/2, 1], [0, 0]], [[-3/2, 5/2], [131/2, -33/2], [3/2, -5/2], [-3/2, 5/2]], [[-20, 0], [185, -139], [20, 0], [-20, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 7/2], [368, -145/2], [5/2, 2], [0, 0]], [[6, 3/2], [2215, -2127/2], [-2, -1/2], [2, 1/2]], [[133/2, -7/2], [239039/6, -107573/6], [-133/6, 7/6], [133/6, -7/6]]], 1, 36, [], [] >,
< [ -3, -1, 1 ], [[-616, 271]], [ -535, -2 ], [ -748, 306 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[328, 1/2], [12620/43, -133/86], [328/43, 1/86], [0, 0]], [[853370, -284735], [2226096754/5633, -2909347207/11266], [72429475/2924, -4840450/731], [-320007/383044, -1/95761]], [[-4673621920, 2143481740], [-33179786543437/11266, 13113517762329/11266], [-91746546935/731, 175412194595/2924], [273221651/95761, -659009695/383044]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-166, 5/2], [9092/43, -1267/86], [-166/43, 5/86], [0, 0]], [[848175/2, 76024], [-13090865599/5633, -936945657/11266], [-3622195/1462, 5158979/2924], [169627/95761, 1/383044]], [[4436423965, -3457975592], [-567399714167122/16899, 355049919047842/16899], [-191409705800/2193, 148469972287/4386], [7858151647/287283, -9426319787/574566]]], 1, 576, [], [] >,
< [ -3, -1, 1 ], [[-113, 26]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 11/2], [1485/2, -21], [-77/2, 29/2], [0, 0]], [[-184314, -15989/2], [25632196, 15038965], [-895679/2, 1874], [-3/2, -5/2]], [[-594351585/2, 301858943/2], [11084392441/2, -8910513994], [-776793483, 385195247], [3838, -1767/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, 0], [-202, 37], [-44, 2], [0, 0]], [[1759, -188], [126635/6, -32039/6], [25889/6, -1966/3], [8/3, 5/6]], [[2074783/2, -394718], [85114651/6, -34738495/6], [7962509/3, -6207475/6], [2827/3, -649/3]]], 1, 576, [], [] >,
< [ -3, -1, 1 ], [[-113, 26]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, -3], [-1449/2, 45/2], [34, -17/2], [0, 0]], [[-44277, -3799/2], [5900009/2, 1750533/2], [-107609, 520], [3/2, -2]], [[2793741, -2756765], [-45466117, 354572919/2], [15509697/2, -13487479/2], [-965/2, 111]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[72, 9/2], [1121/2, -175], [349/2, 5/2], [0, 0]], [[-227079, -28293/2], [-1768282, 1104297/2], [-550370, -15573/2], [0, 1/2]], [[-218853191/2, 139269895/2], [-4466433400/3, 4133060303/6], [-1744152761/6, 523917553/3], [-1442/3, 332/3]]], 1, 576, [], [] >,
< [ -3, -1, 1 ], [[-91, 52]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[15/2, 5], [16, 5/2], [37/4, 5/4], [17/4, -5/4]], [[-12, -5], [-109/2, 12], [-129/4, 15/2], [-85/4, 17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -3], [-27/2, -3], [1, -5/2], [0, 0]], [[137/2, 42], [203/2, 241/2], [91/2, 79/4], [1/2, 5/4]], [[27, -61/2], [-415/2, 47], [211/4, -133/4], [-15/4, 5/4]]], 1, 336, [], [] >,
< [ -3, -1, 1 ], [[156, -39]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -5/2], [3/2, -27/2], [-2, -5/2], [0, 0]], [[19, -15/2], [297, -86], [89/4, -21/4], [-1/4, -1]], [[-252, 223/2], [-7007/2, 3291/2], [-246, 239/2], [-12, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, -5/2], [-1939/2, -1], [-19/2, -5/2], [0, 0]], [[556883/2, -1729], [1159912653/34, -245624473/34], [18932783/68, -29388/17], [-23/34, -1/68]], [[-141895755/2, 79201719/2], [-198392954698/17, 191343325575/34], [-4824134745/68, 2692680871/68], [11175/68, -1600/17]]], 1, 672, [], [] >,
< [ -3, -1, 1 ], [[156, -39]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, -1], [6, 6], [7, -1], [0, 0]], [[-105/2, 5], [-95/2, -99/2], [-207/4, 11/2], [0, -1/4]], [[107, -87/2], [-20, 41/2], [427/4, -87/2], [-1/2, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 2], [914, -19/2], [-1/2, 2], [0, 0]], [[-8423/2, 101/2], [8470642/17, -20560137/34], [-288401/68, 3457/68], [-75/68, -1/34]], [[-108917/2, 30370], [655414585/34, -234721037/34], [-3729269/68, 1039859/34], [-227/17, 525/68]]], 1, 672, [], [] >,
< [ -3, -1, 1 ], [[1552, -640]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 30], [-46, -2], [0, 0]], [[0, 0], [-3, 84], [-130, -53], [7, -1]], [[0, 0], [-7, 4], [-4, 1], [1, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 14], [6, -6], [0, 0]], [[0, 0], [2701, 5717], [2597, 1252], [8, 1]], [[0, 0], [1012131, -70290], [-37322, 143741], [-795, 585]]], 0, 12960, [], [] >,
< [ -3, -1, 1 ], [[1552, -640]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 18], [-38, 32], [0, 0]], [[0, 0], [-1907, 791], [-3661, 1546], [-24, -3]], [[0, 0], [-2202, 192], [-3778, 736], [-238, -170]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 12], [-22, 4], [0, 0]], [[0, 0], [-239, -160], [136, 89], [-53, 11]], [[0, 0], [-372, 528], [268, -322], [-1472, 656]]], 0, 12960, [], [] >,
< [ -3, -1, 1 ], [[-28, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1], [57, -42], [1, -1], [0, 0]], [[1/2, 1/2], [6, -1/2], [1/2, 0], [1, 0]], [[-15/2, -3/2], [-368, 157/2], [-17/2, 1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [49, -25], [-10, 1], [0, 0]], [[4, 5/2], [-104, -579], [-1045/2, -338], [-1/2, 3/2]], [[7/2, 0], [1833, -1028], [-863/2, -45/2], [-7, 7/2]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-28, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [-11/2, -5], [-1/2, 1/2], [0, 0]], [[1/2, 1/2], [0, -1/2], [1/2, 0], [1, 0]], [[0, 0], [-8, 2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -26], [-10, -2], [0, 0]], [[8, 11/2], [-776, 374], [251/2, -58], [1/2, 5/2]], [[2, 3/2], [10, 9], [1/2, 0], [1/2, 1/2]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[104, -44]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [107, -62], [-11, -1], [0, 0]], [[0, 0], [3292, -1539], [-208, 48], [-1, -1]], [[0, 0], [12883/2, -5663/2], [-683/2, 135], [0, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, -22], [-2, 2], [0, 0]], [[0, 0], [13817/6, 6895/6], [283/6, 163/3], [2/3, 5/6]], [[0, 0], [4914, -4623/2], [-307/2, 121/2], [-5/2, 1]]], 1, 30, [], [] >,
< [ -3, -1, 1 ], [[104, -44]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, 41], [10, 5], [0, 0]], [[0, 0], [-9743/2, 2079], [214, -141/2], [5/2, 5/2]], [[0, 0], [9267/2, -4015/2], [-379/2, 79], [0, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, 18], [15, -3], [0, 0]], [[0, 0], [-1216, 6539/2], [-3563/2, 1997/2], [-3/2, 0]], [[0, 0], [-3923/3, -19061/6], [4573/6, -3829/6], [7/6, 1/3]]], 1, 30, [], [] >,
< [ -3, -1, 1 ], [[-192, 48]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 2], [4, -4], [0, 0]], [[0, 0], [0, 0], [3, 0], [1, 0]], [[0, 0], [-42, 42], [-34, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 6], [-14, -10], [0, 0]], [[0, 0], [-840, 340], [9, 84], [-1, -2]], [[0, 0], [-15600, 6800], [-1298, 473], [22, -7]]], 0, 960, [], [] >,
< [ -3, -1, 1 ], [[1920, -912]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -22], [-74, -4], [0, 0]], [[0, 0], [-9980, -8710], [-19786, -6803], [-12, -3]], [[0, 0], [-8586, -11280], [-45913, 2224], [-31, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 0], [46, -34], [0, 0]], [[0, 0], [188, 16], [228, -219], [-8, 5]], [[0, 0], [-44, 74], [-327, 75], [9, -3]]], 0, 25920, [], [] >,
< [ -3, -1, 1 ], [[-48, 12]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 4], [-10, 10], [0, 0]], [[17/2, 13/2], [-53/2, -379/2], [-1305/2, 156], [5/2, 2]], [[1/2, 3/2], [-12753/2, 5471/2], [49269/2, -10719], [7/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 1], [-22, 4], [0, 0]], [[-9/2, -2], [-5137/2, -569], [7197/2, -489/2], [-1/2, -3/2]], [[3/2, -3/2], [3735/2, -2361/2], [-4422, 4419/2], [-2, 1/2]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[48, -12]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, 5], [-42, -6], [0, 0]], [[0, 0], [-47, -10], [2326, 1835], [2, 1]], [[0, 0], [-266, 109], [27/2, 606], [11/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, 5], [-34, -8], [0, 0]], [[0, 0], [796550/17, -367747/17], [-683781/34, 353241/34], [111/34, 5/34]], [[0, 0], [-1071913706/17, 473220175/17], [475228464/17, -432679791/34], [-52000/17, 26325/34]]], 1, 60, [], [] >,
< [ -3, -1, 1 ], [[48, -12]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [41, 31], [1, -1], [0, 0]], [[0, 0], [27/2, 19/2], [0, 0], [-3/2, 5/2]], [[0, 0], [29, 24], [0, 0], [10, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19, 14], [5, 4], [0, 0]], [[0, 0], [37/2, -7/2], [0, 0], [-1/2, 1/2]], [[0, 0], [-131/2, 43/2], [0, 0], [5/2, -3/2]]], 1, 120, [], [] >,
< [ -3, -1, 1 ], [[192, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 66], [42, 6], [0, 0]], [[0, 0], [8, 3], [1, 1], [1, 0]], [[0, 0], [52, 92], [790, -316], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 94], [32, 4], [0, 0]], [[0, 0], [-1474445/17, 2537138/17], [925764/17, -9213/17], [73/17, -1/17]], [[0, 0], [2487735833/17, -1706748262/17], [-698278592/17, 173509923/17], [-55211/17, 13837/17]]], 0, 1920, [], [] >,
< [ -3, -1, 1 ], [[192, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, 2], [-20, 2], [0, 0]], [[0, 0], [2, 3], [1, 1], [1, 0]], [[0, 0], [-542, -4], [-104, 8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1550, -112], [-20, -4], [0, 0]], [[0, 0], [-82232269/17, 10137186/17], [-988252/17, 14931/17], [-111/17, -5/17]], [[0, 0], [-40097595435/17, 13273983416/17], [-442795652/17, 125249071/17], [-47293/17, 11927/17]]], 0, 1920, [], [] >,
< [ -3, -1, 1 ], [[496, -160]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -10], [20, 10], [0, 0]], [[0, 0], [185, -71], [249/2, -147/2], [-7/26, 1/26]], [[0, 0], [-48, 24], [-44, 14], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 10], [-24, 6], [0, 0]], [[0, 0], [267, 36], [-363/2, -6], [89/26, 2/13]], [[0, 0], [1959, -144], [-2821/2, 218], [687/26, -50/13]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[-480, 336]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -4], [-10, -8], [0, 0]], [[0, 0], [-306, 270], [111, 6], [-32/13, -1/13]], [[0, 0], [69424, -33377], [-12375, 8195/2], [7315/26, -2475/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [494, -20], [-2, -4], [0, 0]], [[0, 0], [5177062/17, -3243590/17], [55591/17, -789/17], [-27/221, 2/221]], [[0, 0], [321507841/17, -152858825/17], [4521573/34, -1342255/34], [-2309/442, 372/221]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[-480, 336]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, -4], [16, 8], [0, 0]], [[0, 0], [-674, -110], [-152, -180], [-38/13, -2/13]], [[0, 0], [-67422, 19021], [3940, -15955/2], [-8639/26, 2809/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [734, 52], [36, 6], [0, 0]], [[0, 0], [6270277/17, -876822/17], [951671/34, -6320/17], [795/221, 5/442]], [[0, 0], [3964168480/17, -1462311342/17], [268191221/17, -88343241/17], [441001/221, -142692/221]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[-256, 208]], [ -535, -2 ], [ -748, 306 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2828/43, -212/43], [-664/43, 10/43], [0, 0]], [[0, 0], [39876664/5633, 324185347/5633], [-508741/1462, -10552990/731], [-6707/191522, 2/95761]], [[0, 0], [-3284821112471/5633, 1042200005900/5633], [229191447627/1462, -75531096333/1462], [-49314075/191522, 24687813/191522]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47212/43, -164/43], [1010/43, -2/43], [0, 0]], [[0, 0], [-717081751/16899, -10575938888/16899], [5292047/4386, 58369423/4386], [-36883/574566, 1/574566]], [[0, 0], [-27443451671363/5633, 8987832617984/5633], [149037480109/1462, -48395508805/1462], [67030495/191522, -33418315/191522]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[-352, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-346, 10], [8, -2], [0, 0]], [[0, 0], [-108, 1], [1, 1], [1, 0]], [[0, 0], [-322, -98], [6, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1020, -36], [-36, -6], [0, 0]], [[0, 0], [1130863/3, -241060/3], [-35384/3, 2081/3], [-7/3, 1/3]], [[0, 0], [-942968, 86576], [32054, 3238], [6, 0]]], 0, 8640, [], [] >,
< [ -3, -1, 1 ], [[-352, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [376, 38], [12, -6], [0, 0]], [[0, 0], [-6, 1], [1, 1], [1, 0]], [[0, 0], [-2174, -2110], [32, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-220, -158], [-20, -10], [0, 0]], [[0, 0], [18403/3, 9650/3], [1816/3, 467/3], [-1/3, -5/3]], [[0, 0], [-41119/3, -146960/3], [10124/3, -16127/3], [133/3, -7/3]]], 0, 8640, [], [] >,
< [ -3, -1, 1 ], [[400, -784]], [ -535, -2 ], [ -748, 306 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6890/43, -218/43], [-1400/43, -10/43], [0, 0]], [[0, 0], [-2805395197/5633, 20897352/5633], [7659397/1462, -1230529/1462], [-216065/191522, -3/191522]], [[0, 0], [18071022582780/5633, -10811750311952/5633], [-31419749298/731, 16238305578/731], [686617984/95761, -414315648/95761]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22186/43, -94/43], [-494/43, 2/43], [0, 0]], [[0, 0], [10464281308/16899, -12144919/16899], [53468185/4386, 28480/2193], [-511529/574566, -2/287283]], [[0, 0], [-29686346483149/16899, 17652459513841/16899], [-75541608701/2193, 90060500209/4386], [724072675/287283, -862226525/574566]]], 0, 138240, [], [] >,
< [ -3, -1, 1 ], [[1808, -416]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-202, -14], [-28, -8], [0, 0]], [[0, 0], [138, 1], [13, 1], [1, 0]], [[0, 0], [-1286, 434], [-136, 34], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-288, -126], [132, -6], [0, 0]], [[0, 0], [436223/3, 196696/3], [-196954/3, 6505/3], [-17/3, -1/3]], [[0, 0], [81696413/3, 8801047/3], [-58738963/3, 16446028/3], [-4712/3, 1085/3]]], 0, 138240, [], [] >,
< [ -3, -1, 1 ], [[1808, -416]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1822, 4], [-292, 4], [0, 0]], [[0, 0], [-66, 1], [13, 1], [1, 0]], [[0, 0], [9798, -2184], [1582, -364], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [122, -344], [334, 8], [0, 0]], [[0, 0], [111851, -234088], [232440, -3205], [-7, -1]], [[0, 0], [-138810314/3, 85022477/3], [-101331911/3, 30969101/3], [2627/3, -602/3]]], 0, 138240, [], [] >,
< [ -3, -1, 1 ], [[1456, -832]], [ -19, -14 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 6], [18, -6], [0, 0]], [[0, 0], [139, 257], [889/2, -163/2], [9/2, -3/2]], [[0, 0], [336, 210], [-9, 129], [-1, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 10], [-44, -10], [0, 0]], [[0, 0], [3208, -325], [1158, -8463/2], [-2, 5/2]], [[0, 0], [91850, -54824], [234942, -49881], [-170, 51]]], 0, 80640, [], [] >,
< [ -3, -1, 1 ], [[2496, -624]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 20], [-2, 8], [0, 0]], [[0, 0], [-1219, -433], [-2073/2, -1373/2], [5/2, 0]], [[0, 0], [1993, -2398], [-1593/2, -1464], [-11, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-294, -72], [-2, -10], [0, 0]], [[0, 0], [-360820/17, 375699/17], [36249/17, 1001/34], [-111/34, -5/34]], [[0, 0], [71275804/17, -27018125/17], [-2604258/17, 2845325/34], [7561/34, -4239/34]]], 0, 161280, [], [] >,
< [ -3, -1, 1 ], [[2496, -624]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -8], [0, -6], [0, 0]], [[0, 0], [54, 20], [56, 14], [2, 0]], [[0, 0], [-92, 109], [-151, 253/2], [-19/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, -66], [8, -8], [0, 0]], [[0, 0], [155206/17, 152552/17], [24238/17, -1264/17], [58/17, 2/17]], [[0, 0], [-8946445/17, -1651477/17], [4772649/34, -2538821/34], [9905/34, -2835/17]]], 0, 161280, [], [] >,
< [ -3, -1, 1 ], [[1280, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, -32], [8, -8], [0, 0]], [[0, 0], [40, 56], [-24, 12], [-4, 4]], [[0, 0], [-18, 142], [-150, 68], [-32, 18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [320, 160], [-72, -12], [0, 0]], [[0, 0], [2848, -1220], [-1408, 608], [-4, 0]], [[0, 0], [-17076, 7434], [8470, -3682], [14, -8]]], 0, 122880, [], [] >,
< [ -3, -1, 1 ], [[1280, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -36], [-8, 32], [0, 0]], [[0, 0], [-1852, -5972], [16568, -4112], [8, -8]], [[0, 0], [55356, -91958], [439446, -159934], [310, -180]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, -64], [-8, -16], [0, 0]], [[0, 0], [-1916, 862], [1158, -482], [-6, 8]], [[0, 0], [22724, -9958], [-13450, 5778], [110, -64]]], 0, 122880, [], [] >,
< [ -3, -1, 1 ], [[1664, -704]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-264, 96], [-28, -8], [0, 0]], [[0, 0], [12, 1], [-5, 1], [1, 0]], [[0, 0], [-188, 8], [-72, -48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 4], [-16, 16], [0, 0]], [[0, 0], [8/3, -449/3], [13/3, -157/3], [-17/3, -4/3]], [[0, 0], [41588/3, -15764/3], [15208/3, -5824/3], [-740/3, 380/3]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[1664, -704]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, -4], [8, 16], [0, 0]], [[0, 0], [-12, 1], [-5, 1], [1, 0]], [[0, 0], [56, -20], [-4, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -76], [-32, -16], [0, 0]], [[0, 0], [3131/3, 412/3], [1420/3, 1175/3], [7/3, 5/3]], [[0, 0], [-275410/3, 120835/3], [12841/3, -4327/3], [-47/3, 26/3]]], 0, 7680, [], [] >,
< [ -3, -1, 1 ], [[3072, -768]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 64], [-8, 20], [0, 0]], [[0, 0], [56, -336], [106, -136], [-2, -8]], [[0, 0], [1080, -140], [542, -140], [22, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -132], [-88, -20], [0, 0]], [[0, 0], [-6904, -1868], [-936, -1818], [-4, 10]], [[0, 0], [-14244, -1432], [-368, -3322], [-20, 22]]], 0, 245760, [], [] >,
< [ -3, -1, 1 ], [[768, -192]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 0], [-28, 16], [0, 0]], [[0, 0], [-2, 0], [-3, 0], [1, 0]], [[0, 0], [8, 4], [-4, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-372, 252], [-20, -16], [0, 0]], [[0, 0], [174800/17, -39346/17], [5544/17, -99/17], [-56/17, 1/17]], [[0, 0], [-6555706/17, 2330400/17], [-180873/17, 45936/17], [1827/17, -464/17]]], 0, 15360, [], [] >,
< [ -3, -1, 1 ], [[768, -192]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 34], [-32, 8], [0, 0]], [[0, 0], [-1, 0], [6, 0], [1, 0]], [[0, 0], [52, 44], [-28, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 18], [-36, -12], [0, 0]], [[0, 0], [-1, 2], [6, 0], [1, 0]], [[0, 0], [28, 8], [-52, 4], [0, 0]]], 0, 30720, [], [] >,
< [ -3, -1, 1 ], [[-18, 18]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 0], [-15/2, 3], [-3/2, 0], [0, 0]], [[0, 0], [-48, 16], [0, 0], [0, 1]], [[0, 0], [-123/2, 23], [0, 0], [-1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, 5/2], [15/2, 33/2], [25/2, 5/2], [0, 0]], [[-22, -77], [-249, -107], [-22, -77], [-6, 2]], [[0, 0], [0, -1/2], [0, 0], [0, 1/2]]], 1, 36, [], [] >,
< [ -3, -1, 1 ], [[162, -54]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 5/2], [-99, 135/2], [0, 15/2], [0, 0]], [[-11, 3/2], [-1023/2, 194], [-33, 9/2], [-9/2, 5/2]], [[-64, -54], [-693/2, -1107/2], [-192, -162], [27/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -3/2], [-21/2, -9/2], [-45/2, -9/2], [0, 0]], [[0, -50], [-45, -74], [0, -150], [0, -1]], [[-60, 20], [-105/2, 23/2], [-180, 60], [-3/2, 1/2]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[-45, 18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -7/2], [-51/2, 6], [-9/2, -3/2], [0, 0]], [[-102, -54], [-482, 114], [-67, -24], [-6, 1]], [[-585, -1711/2], [5841, -7225/2], [-117, -1097/2], [63, -91/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 3/2], [39/2, -6], [-9/2, 9/2], [0, 0]], [[6, -4], [198, -86], [-71, 31], [1, 0]], [[-8, 0], [-141, 123/2], [103/2, -43/2], [1/2, 1]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-45, 18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27/2, -13/2], [79, -65/2], [-23/2, -2], [0, 0]], [[1857, 2851/2], [-205, -234], [2081/2, 807], [9/2, 1/2]], [[2550, 3915/2], [-1637/2, -88], [2975/2, 2165/2], [-15, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1], [-249/2, 99/2], [6, -9/2], [0, 0]], [[12, 12], [-657/2, 379/2], [57/2, -5], [0, -5/2]], [[-36, -28], [-105/2, -98], [-17, -19/2], [11/2, 9/2]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-2673, 1161]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 7/2], [231/2, -30], [15/2, 3/2], [0, 0]], [[55/2, -117/2], [-38733/2, 16467/2], [-1455/2, 549/2], [-9/2, 3/2]], [[-2827/2, -1075], [-5823/2, -5138], [-2325/2, -997], [-27/2, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, -9/2], [-579, 513/2], [-3/2, -6], [0, 0]], [[-1239/2, -533], [78738, -67279/2], [-1140, -232], [-15/2, 5/2]], [[-4219/2, -3233/2], [-4437/2, 5421/2], [-3771/2, -2955/2], [-3/2, -3/2]]], 0, 144, [], [] >,
< [ -3, -1, 1 ], [[-2673, 1161]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 4], [-57/2, 81/2], [3, 9/2], [0, 0]], [[-13/2, -11/2], [-81/2, -41/2], [-15/2, -13/2], [3/2, 1/2]], [[5/2, 3/2], [9/2, 10], [3, 2], [0, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [531/2, -120], [-9/2, 3/2], [0, 0]], [[12, -7/2], [3627, -1558], [-117/2, 28], [9/2, -5/2]], [[163/2, 127/2], [537, 1491/2], [249/2, 90], [-24, -18]]], 0, 144, [], [] >,
< [ -3, -1, 1 ], [[-9, 9]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1/2], [1/2, -1/2], [3, 6], [0, 0]], [[0, 0], [0, 0], [3, 6], [-2, 1]], [[0, 0], [0, 0], [-18, -21/2], [-2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 3/2], [-1, 3/2], [57, -21], [0, 0]], [[-165, 5], [-165, 5], [5865/2, -3027/2], [-5/2, -1/2]], [[585/2, -165/2], [585/2, -165/2], [-14343/2, 6549/2], [7/2, -1/2]]], 1, 32, [], [] >,
< [ -3, -1, 1 ], [[-531, 234]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[20, -8], [20, -8], [39, 6], [0, 0]], [[-1263, 1305/2], [-1268, 1315/2], [3237/2, 5781/2], [5/2, -5/2]], [[-40471/2, 17065/2], [-40701/2, 17151/2], [-55347/2, 6423/2], [115/2, -43/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -5/2], [-8, -5/2], [33, -15], [0, 0]], [[-23, -19], [-23, -19], [0, 27/2], [0, 3/2]], [[-51/2, -9/2], [-51/2, -9/2], [261/2, -99/2], [29/2, -11/2]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[-189, 81]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, -2], [39/2, -6], [-42, 18], [0, 0]], [[-91/2, 21], [-317/2, 47], [332, -307/2], [1, 3/2]], [[-100, 39], [-240, 165], [726, -288], [-6, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1], [-15/2, 3], [6, -9], [0, 0]], [[16, 17/2], [33, 31/2], [865/2, 695/2], [5/2, 5/2]], [[14, -9/2], [36, -25/2], [-9/2, 60], [-3/2, 1]]], 1, 36, [], [] >,
< [ -3, -1, 1 ], [[-3483, 1512]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[89/2, -39/2], [255/2, -105/2], [6, -6], [0, 0]], [[-45/2, 13/2], [-153/2, 13/2], [9/2, 21/2], [-9/2, -5/2]], [[81/2, -15], [243/2, -33], [9/2, -21/2], [9/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-31/2, 9/2], [-87/2, 45/2], [-3, -9], [0, 0]], [[1076, -959/2], [3699, -3203/2], [-1017/2, 321/2], [-15/2, -1/2]], [[672, -129], [1770, -835], [441, 1221/2], [39, 65/2]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[324, -135]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -5], [21/2, 3], [-12, -12], [0, 0]], [[-91/2, 17], [-75/2, 23], [-15, -3], [3, -6]], [[-71, 30], [-69, 32], [-27/2, 3], [21/2, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17, 7], [-66, 30], [15, -9], [0, 0]], [[-47/2, -1], [15/2, 36], [-63/2, -117/2], [15/2, -3/2]], [[70, 60], [-273, -198], [495, 735/2], [-9, -19/2]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[-18, 18]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -3/2], [-31/2, -11/2], [-9, -9], [0, 0]], [[41/2, 5/2], [-401/2, 275/2], [126, 15/2], [-1, 5/2]], [[1115/2, -161/2], [-17435/2, 9001/2], [3585, -675], [-80, 64]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -2], [-3, -63], [6, -12], [0, 0]], [[21, -13/2], [16913/17, -8115/34], [-828/17, -1821/34], [30/17, 5/34]], [[-101/2, 20], [-77847/34, 14345/17], [294/17, 951/17], [-55/17, 11/17]]], 1, 80, [], [] >,
< [ -3, -1, 1 ], [[-162, 108]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [387/2, -249/2], [-3/2, -9/2], [0, 0]], [[89/2, -6], [9480, -3770], [285/2, -20], [-9/2, 1]], [[241/2, 195/2], [4221/2, 3006], [759/2, 615/2], [-9, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 5/2], [-495/2, 183/2], [-9/2, 15/2], [0, 0]], [[-16, -1], [-672, 319], [-42, 1], [-3, -2]], [[-37/2, 14], [-1746, 740], [-117/2, 38], [3/2, 2]]], 0, 1296, [], [] >,
< [ -3, -1, 1 ], [[-162, 108]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [-1161/2, 537/2], [15/2, -3/2], [0, 0]], [[-143/2, 55/2], [21054, -9281], [-447/2, 167/2], [9/2, -1/2]], [[241/2, 207/2], [7782, 2582], [921/2, 775/2], [-99/2, -77/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [321/2, -117/2], [-3/2, -3/2], [0, 0]], [[-6, -3/2], [-402, 183], [-6, -3/2], [-6, -3/2]], [[75/2, 25], [438, -275], [75/2, 25], [75/2, 25]]], 0, 1296, [], [] >,
< [ -3, -1, 1 ], [[-162, 108]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 5/2], [36, -135/2], [0, 15/2], [0, 0]], [[1, -1], [-36, 57/2], [3, -3], [0, 5/2]], [[-1/2, -1/2], [21/2, 12], [-3/2, -3/2], [3, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [465, -441/2], [-6, -3/2], [0, 0]], [[-37, 21], [45417/2, -19569/2], [-111, 63], [3/2, -3/2]], [[-174, -136], [-7683/2, -1605], [-522, -408], [57/2, 22]]], 0, 1296, [], [] >,
< [ -3, -1, 1 ], [[-18, 18]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -5/2], [-24, 15/2], [18, -15/2], [0, 0]], [[-51/2, 21/2], [125, -35/2], [-155/2, 59/2], [1/2, 0]], [[-13/2, 5/2], [63/2, -9/2], [-39/2, 15/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -7/2], [-12, 3/2], [27, -21/2], [0, 0]], [[65/2, -20], [-49, 2], [229/2, -44], [-5/2, -1]], [[-1/2, -1/2], [1, -3/2], [-1/2, 1/2], [-1/2, 0]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[-9, 9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 3/2], [-6, 39/2], [9/2, 0], [0, 0]], [[-5/2, -15/2], [537/2, -399/2], [-111/2, 27/2], [3/2, -3/2]], [[9/2, 2], [241/2, -27/2], [-8, 17/2], [1, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [789, -87/2], [9/2, -3], [0, 0]], [[-285/2, -221/2], [859693/34, 1140543/34], [-9709/34, -1159/34], [53/34, 3/34]], [[193, 287/2], [-3468645/34, -244965/17], [-17811/34, 14823/34], [57/17, -42/17]]], 1, 24, [], [] >,
< [ -3, -1, 1 ], [[-9, 9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [33/2, -15], [-15/2, 3/2], [0, 0]], [[9, 3], [313/2, -30], [-23, 41/2], [-1/2, 3/2]], [[-27, -3], [-635, 194], [125, -77], [5, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -3/2], [-21, -117/2], [3/2, -3], [0, 0]], [[-15, 9/2], [18520/17, 597/17], [-899/34, 146/17], [49/34, -3/34]], [[-2, 1/2], [1895/17, -379/17], [-73/34, 9/17], [5/34, -1/34]]], 1, 16, [], [] >,
< [ -3, -1, 1 ], [[-63, 9]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1/2], [47/2, 19/2], [6, 3/2], [0, 0]], [[-9/2, -47/2], [65/2, -429/2], [93/2, -259/4], [-69/52, -5/52]], [[-1585/2, 525], [-20165/2, 5802], [-17853/4, 9019/4], [2465/52, -411/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [-811/2, 13/2], [-6, 9/2], [0, 0]], [[-11853/2, 85/2], [1170562/17, 8927565/17], [-1012701/68, 4705/34], [-795/442, -5/884]], [[-5807327/2, 1986237], [-16764864379/34, 936287913/17], [-498321081/68, 339721019/68], [-762575/884, 265221/442]]], 1, 192, [], [] >,
< [ -3, -1, 1 ], [[-63, 9]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [14, 5/2], [3/2, 0], [0, 0]], [[47/2, -3/2], [-311/2, 3/2], [30, -11/4], [47/52, -3/52]], [[-245/2, 35/2], [1599/2, -153/2], [-315/2, 105/4], [-245/52, 35/52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 3/2], [-213/2, 27/2], [6, 9/2], [0, 0]], [[-1493/2, -2], [2639113/34, 54820/17], [32043/68, 201/68], [-1493/884, -1/221]], [[624250, -433400], [-1014029371/17, 752787518/17], [-6648675/17, 4643375/17], [312125/221, -216700/221]]], 1, 192, [], [] >,
< [ -3, -1, 1 ], [[-117, 117]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1], [-28, 29/2], [-9/2, 3], [0, 0]], [[13, 8], [82, 111/2], [33, 107/4], [-5/4, 3/4]], [[209, 152], [1375, 1024], [603, 469], [-3, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -3/2], [2349/2, -6], [15/2, -9/2], [0, 0]], [[-2007/2, -105/2], [11454547/34, 7621260/17], [-51018/17, -5341/34], [6/17, 1/34]], [[1890, -1107/2], [2890147/17, -6787565/17], [384363/68, -112559/68], [-43/68, 3/17]]], 1, 2688, [], [] >,
< [ -3, -1, 1 ], [[-117, 117]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1/2], [23/2, -1], [9/2, -3/2], [0, 0]], [[-9, 7/2], [-71, 31/2], [-105/4, 9], [-1, -5/4]], [[-112, 95/2], [-1565/2, 297], [-633/2, 523/4], [5/4, -21/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1/2], [-1469/2, -11], [-15/2, -3/2], [0, 0]], [[-4546, 44], [-50310687/34, 4094894/17], [-924585/68, 4475/34], [26/17, 3/68]], [[-2575364, 691104], [-31922035627/34, 5419484384/17], [-523789077/68, 35140038/17], [28569/34, -14151/68]]], 1, 2688, [], [] >,
< [ -3, -1, 1 ], [[324, -108]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [261, -111], [69, -27], [0, 0]], [[0, 0], [27030, -11738], [6903, -3042], [6, 2]], [[0, 0], [-114, -175/2], [0, 0], [-15, -23/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39, -15], [99, -42], [0, 0]], [[0, 0], [2055, -944], [5436, -2388], [-3, -1]], [[0, 0], [-1419/2, -1819/2], [252, -756], [-93/2, -71/2]]], 0, 2160, [], [] >,
< [ -3, -1, 1 ], [[-36, 36]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -15], [12, 3], [0, 0]], [[0, 0], [171, -56], [-42, -63], [1, 0]], [[0, 0], [1281/2, -589/2], [168, 0], [5/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57, 24], [-11, 5], [0, 0]], [[0, 0], [0, -67/2], [14, 4], [0, -5/2]], [[0, 0], [-51, -34], [13, 11], [-3, -2]]], 1, 180, [], [] >,
< [ -3, -1, 1 ], [[144, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 42], [-6, 12], [0, 0]], [[0, 0], [-4, -1], [3, -1], [1, 0]], [[0, 0], [-462, 90], [-168, 48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -18], [-12, -12], [0, 0]], [[0, 0], [-2, 3], [3, -1], [1, 0]], [[0, 0], [600, -228], [-30, 24], [0, 0]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[144, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -12], [24, -6], [0, 0]], [[0, 0], [2, -1], [3, -1], [1, 0]], [[0, 0], [-12, 78], [-12, 24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 6], [24, -18], [0, 0]], [[0, 0], [4, 3], [3, -1], [1, 0]], [[0, 0], [-6, 18], [90, 30], [0, 0]]], 0, 5760, [], [] >,
< [ -3, -1, 1 ], [[12960, -5616]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [216, -48], [-12, 18], [0, 0]], [[0, 0], [501, 1878], [636, 315], [-15, 9]], [[0, 0], [7626, -4297], [-1209, 247], [117, -52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [186, -162], [30, 12], [0, 0]], [[0, 0], [-3246, -1551], [717, 591], [9, -6]], [[0, 0], [-2082, 2912], [-672, -320], [54, -22]]], 0, 34560, [], [] >,
< [ -3, -1, 1 ], [[12960, -5616]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, -6], [30, -18], [0, 0]], [[0, 0], [546, 1827], [-1131, 87], [3, 0]], [[0, 0], [-16659, 6265], [-10593, 4790], [24, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-348, 120], [-30, 18], [0, 0]], [[0, 0], [-804, -384], [66, 84], [12, -6]], [[0, 0], [159, 634], [-150, -43], [27, -11]]], 0, 34560, [], [] >,
< [ -3, -1, 1 ], [[720, -288]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -8], [-36, 12], [0, 0]], [[0, 0], [0, 0], [3, 0], [1, 0]], [[0, 0], [2, -2], [-6, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -10], [-12, 18], [0, 0]], [[0, 0], [-600, 60], [1083, -75], [9, -3]], [[0, 0], [480, 300], [-930, -597], [-2, -1]]], 0, 3840, [], [] >,
< [ -3, -1, 1 ], [[-8496, 3744]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 30], [114, 30], [0, 0]], [[0, 0], [-13598, -4156], [-4434, -20775], [-8, 5]], [[0, 0], [-45920, 197462], [868722, 23286], [-366, 132]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -8], [270, -108], [0, 0]], [[0, 0], [-230, 170], [-3282, 1590], [-14, 2]], [[0, 0], [2800, -1960], [39090, -18723], [162, -27]]], 0, 103680, [], [] >,
< [ -3, -1, 1 ], [[16848, -7344]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, 8], [12, 30], [0, 0]], [[0, 0], [3360, -1782], [1122, -147], [-54, 21]], [[0, 0], [2466, -1518], [1050, 15], [-42, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [444, -162], [-30, -12], [0, 0]], [[0, 0], [76464, -32382], [-2262, 315], [-12, 7]], [[0, 0], [12684, -5676], [-177, 213], [-3, 1]]], 0, 103680, [], [] >,
< [ -3, -1, 1 ], [[-55728, 24192]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-294, 126], [24, -12], [0, 0]], [[0, 0], [570, -272], [-66, 0], [0, -4]], [[0, 0], [-840, 370], [69, -24], [-3, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [240, -108], [-6, 12], [0, 0]], [[0, 0], [-3498, 1578], [126, -234], [24, -12]], [[0, 0], [-4824, 2080], [405, -132], [33, -14]]], 0, 103680, [], [] >,
< [ -3, -1, 1 ], [[864, -432]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 6], [30, -18], [0, 0]], [[0, 0], [-2, -2], [-1, -2], [1, 0]], [[0, 0], [30, -6], [324, -144], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -42], [-24, 24], [0, 0]], [[0, 0], [0, -2], [-1, -2], [1, 0]], [[0, 0], [12, -6], [-6, 0], [0, 0]]], 0, 8640, [], [] >,
< [ -3, -1, 1 ], [[-36, 36]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, -1], [0, -24], [0, 0]], [[9/2, 5/2], [-25/2, 29/2], [-177/2, 18], [-3/2, 2]], [[11/2, 7/2], [-11/2, 29/2], [-159/2, 6], [-1/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -3], [6, -24], [0, 0]], [[0, 2], [-11, 27], [-510, -306], [2, 0]], [[9/2, -1/2], [149/2, -31/2], [-186, -639/2], [-2, 3/2]]], 1, 192, [], [] >,
< [ -3, -1, 1 ], [[-36, 36]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, -2], [18, 12], [0, 0]], [[0, 0], [-176, 45], [-126, -129/2], [2, -5/2]], [[0, 0], [951, -388], [246, -12], [-20, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 2], [-6, 12], [0, 0]], [[0, 0], [-57744/17, 2855/17], [-5193/34, 4788/17], [-133/34, -2/17]], [[0, 0], [2444609/17, 2444486/17], [-1097055/34, -339375/17], [7125/34, 3325/17]]], 1, 240, [], [] >,
< [ -3, -1, 1 ], [[-324, 216]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2106, -927], [6, 3], [0, 0]], [[0, 0], [77343, -67655/2], [141, 47], [0, 1/2]], [[0, 0], [-1413, 291], [120, 93], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [930, -363], [-6, 15], [0, 0]], [[0, 0], [-2271/2, 928], [129, 76], [9/2, -2]], [[0, 0], [21525, 16530], [6531, 5013], [0, 0]]], 0, 6480, [], [] >,
< [ -3, -1, 1 ], [[-324, 216]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-702, 339], [0, -15], [0, 0]], [[0, 0], [44643/2, -9466], [-447, 101], [-15/2, 2]], [[0, 0], [116511, 163363/2], [-45186, -34555], [-612, -935/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2157, 954], [-15, 12], [0, 0]], [[0, 0], [-119493/2, 26631], [-351, 378], [-9/2, 0]], [[0, 0], [25845/2, 7172], [3513, 2672], [-57/2, -22]]], 0, 6480, [], [] >,
< [ -3, -1, 1 ], [[-324, 216]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [93, -24], [6, 6], [0, 0]], [[0, 0], [-99, 138], [45, 30], [-3, -1]], [[0, 0], [102, -39/2], [9, 9], [0, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57, -18], [3, 3], [0, 0]], [[0, 0], [573/2, -105], [0, 0], [-3/2, -1]], [[0, 0], [-117, 51], [0, 0], [0, 0]]], 0, 6480, [], [] >,
< [ -3, -1, 1 ], [[-36, 36]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 27], [3, 0], [0, 0]], [[0, 0], [-17/2, 11/2], [14, 1], [1/2, 5/2]], [[0, 0], [17/2, 0], [7, 11], [11/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [-6, 15], [0, 0]], [[0, 0], [-52, -23/2], [5, -116], [2, 3/2]], [[0, 0], [-63, 24], [240, -120], [0, 0]]], 1, 240, [], [] >,
< [ -3, -1, 1 ], [[-144, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -30], [-18, 0], [0, 0]], [[0, 0], [8, 3], [1, 1], [1, 0]], [[0, 0], [-18, 12], [6, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [846, -648], [24, 30], [0, 0]], [[0, 0], [-128411536/17, 50694686/17], [1707568/17, -22308/17], [82/17, 4/17]], [[0, 0], [3408283268/17, -1548573153/17], [-22861187/17, 19646185/17], [-923/17, 936/17]]], 0, 3840, [], [] >,
< [ -3, -1, 1 ], [[-144, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, -48], [-12, 24], [0, 0]], [[0, 0], [2, 3], [1, 1], [1, 0]], [[0, 0], [96, 12], [-54, -18], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1524, -636], [0, 30], [0, 0]], [[0, 0], [102404, -45075], [-2699, -65], [1, 0]], [[0, 0], [208401452/17, -89828537/17], [-2230031/17, 2341241/17], [889/17, -868/17]]], 0, 3840, [], [] >,
< [ -3, -1, 1 ], [[1008, -144]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -14], [12, -30], [0, 0]], [[0, 0], [351, -5], [459/2, 19/2], [-63/26, -2/13]], [[0, 0], [37, -14], [27/2, -5], [-4/13, 3/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1262, 200], [-24, 30], [0, 0]], [[0, 0], [-100764869/17, 127366782/17], [-21897351/34, 99461/17], [380/221, 1/442]], [[0, 0], [-6189709732, 1831515106], [-187839690, 129253938], [6380/13, -4466/13]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[1008, -144]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -2], [-18, -6], [0, 0]], [[0, 0], [69, 10], [-141/2, -1], [22/13, 3/26]], [[0, 0], [-34, 15], [42, -37/2], [-25/26, 11/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-808, 208], [12, 30], [0, 0]], [[0, 0], [-35516363/17, 17725182/17], [-2846763/34, 25292/17], [89/221, -5/442]], [[0, 0], [4958991145/17, -2041146043/17], [193657437/34, -141960057/34], [-12383/442, 4453/221]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[-1872, 1872]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 54], [24, 24], [0, 0]], [[0, 0], [2395, -888], [597/2, 23], [-2, -3/2]], [[0, 0], [3430, -1492], [258, -114], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-522, -204], [24, -30], [0, 0]], [[0, 0], [-10428053/17, -13744225/17], [-3787137/34, -10143/34], [-109/34, -1/17]], [[0, 0], [30398674/17, -1454405234/17], [-364572900/17, 93062572/17], [-10366/17, 2556/17]]], 0, 645120, [], [] >,
< [ -3, -1, 1 ], [[-1872, 1872]], [ -6, -1 ], [ -10, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -30], [-24, -18], [0, 0]], [[0, 0], [-490, 209], [-9, 7/2], [-5/2, 1/2]], [[0, 0], [168, -110], [0, -4], [-4, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [628, 212], [6, 30], [0, 0]], [[0, 0], [-3685129/17, 19464474/17], [5491041/34, 10201/17], [64/17, 5/34]], [[0, 0], [-1141701006/17, 877586052/17], [158673993/17, -43206453/17], [3591/17, -912/17]]], 0, 645120, [], [] >,
< [ -3, -1, 1 ], [[5184, -1728]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [288, -126], [-36, 48], [0, 0]], [[0, 0], [-795, 365], [-606, -630], [-3, 5]], [[0, 0], [-20409, 8896], [2214, -2460], [-147, 70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, -12], [36, 60], [0, 0]], [[0, 0], [945, -433], [-1026, 114], [-9, 1]], [[0, 0], [-984, 368], [0, -876], [0, -8]]], 0, 552960, [], [] >,
< [ -3, -1, 1 ], [[-576, 576]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -12], [0, 60], [0, 0]], [[0, 0], [3, -2], [6, 0], [1, 0]], [[0, 0], [12, -6], [-60, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -24], [68, 16], [0, 0]], [[0, 0], [-258, -8], [1424, 1120], [12, -4]], [[0, 0], [-249, -70], [2134, 1652], [9, -2]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[-2304, 2304]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144, -12], [60, 60], [0, 0]], [[0, 0], [56, 112], [210, 198], [-10, 10]], [[0, 0], [16, -8], [-12, 6], [-4, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -56], [-60, -36], [0, 0]], [[0, 0], [-1404, 544], [192, -162], [4, 6]], [[0, 0], [-4768, 2120], [966, -360], [-14, 0]]], 0, 983040, [], [] >,
< [ -3, -1, 1 ], [[-576, 576]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 4], [36, 60], [0, 0]], [[0, 0], [-2, 0], [-3, 0], [1, 0]], [[0, 0], [0, 0], [-24, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [236, -104], [0, -12], [0, 0]], [[0, 0], [-380368/17, 77488/17], [-20868/17, 1848/17], [116/17, 4/17]], [[0, 0], [-1430444/17, -589214/17], [-103302/17, -54687/17], [722/17, 437/17]]], 0, 61440, [], [] >,
< [ -3, -1, 1 ], [[-5184, 3456]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2508, 1086], [-120, 48], [0, 0]], [[0, 0], [-822, 383], [-12, 38], [0, -1]], [[0, 0], [9114, -3960], [408, -180], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-618, 132], [48, 60], [0, 0]], [[0, 0], [31593, -13878], [1326, -480], [-3, 0]], [[0, 0], [278265, -120652], [10830, -4816], [-15, 8]]], 0, 1658880, [], [] >,
< [ -3, -1, 1 ], [[-5184, 3456]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4320, -1872], [-72, 36], [0, 0]], [[0, 0], [-98373, 42655], [1674, -818], [3, 1]], [[0, 0], [222207, -96485], [-3942, 1726], [-3, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1758, -798], [48, 0], [0, 0]], [[0, 0], [-3621, 1318], [78, 112], [-3, -2]], [[0, 0], [4524, -1968], [60, -24], [0, 0]]], 0, 1658880, [], [] >,
< [ -3, -1, 1 ], [[-5184, 3456]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, 126], [0, 48], [0, 0]], [[0, 0], [10404, -2700], [2868, -36], [-12, 4]], [[0, 0], [-17706, 11511], [-2256, 3522], [24, -13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-228, 30], [-204, 72], [0, 0]], [[0, 0], [5628, -14244], [14880, -9288], [0, 2]], [[0, 0], [-67023, 29538], [-75090, 32712], [9, -4]]], 0, 1658880, [], [] >,
< [ -3, -1, 1 ], [[-576, 576]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -36], [12, 12], [0, 0]], [[0, 0], [1, 0], [-2, -4], [1, 0]], [[0, 0], [12, -6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [24, -60], [0, 0]], [[0, 0], [1, -2], [-2, -4], [1, 0]], [[0, 0], [-72, -42], [480, 480], [0, 0]]], 0, 61440, [], [] >,
< [ -3, -1, 1 ], [[14985, -6507]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1/2], [-6, 15/2], [-18, 6], [0, 0]], [[-6, -3/2], [-18, -31/2], [45/2, 9/2], [9/2, -1/2]], [[-7/2, 3/2], [3/2, -1/2], [27/2, -6], [9/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 5/2], [15/2, 15/2], [36, -6], [0, 0]], [[5, 7/2], [9, 1/2], [-99/2, 111/2], [3/2, 5/2]], [[-1/2, -1], [9/2, -3], [-171/2, 30], [-3/2, 0]]], 0, 1296, [], [] >,
< [ -3, -1, 1 ], [[27, 0]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1/2], [9/2, -3/2], [15, 15], [0, 0]], [[13, 3], [24, 0], [120, 219/2], [2, 5/2]], [[1065/2, -191], [2715/2, -541], [-618, 1020], [-56, 40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 3/2], [-6, 3/2], [-51, 21], [0, 0]], [[-41, -85/2], [-41, -85/2], [9, -135/2], [3, -5/2]], [[-115, -95], [-115, -95], [-90, -114], [0, -3]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[2295, -999]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -7], [6, -21], [-69, -12], [0, 0]], [[4619/2, 1891/2], [13925/2, 5719/2], [15627/2, 9984], [-11/2, -2]], [[-17385, 18973/2], [-52195, 57029/2], [205215/2, -31260], [95/2, -25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1], [-9/2, 3], [213, -87], [0, 0]], [[-113/2, 28], [-335/2, 76], [13767/2, -2946], [-1/2, 2]], [[-199/2, -54], [-261/2, -36], [1137, -3417/2], [-42, -63/2]]], 0, 1296, [], [] >,
< [ -3, -1, 1 ], [[54, -27]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 0], [9/2, 0], [15, 9], [0, 0]], [[153/2, -67/2], [479/2, -209/2], [297/2, -69], [-5/2, 1]], [[-25, 31/2], [-83, 89/2], [6, 147/2], [2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 0], [-15/2, 0], [15, -6], [0, 0]], [[-1, -11/2], [1, -29/2], [-57/2, 27/2], [1/2, -1/2]], [[-11/2, 4], [-37/2, 12], [51, -45/2], [-1, 1/2]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[-189, 81]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -4], [9/2, -4], [24, -9], [0, 0]], [[638, -519/2], [622, -517/2], [2301, -2001/2], [8, -1/2]], [[-2380, 826], [-2282, 854], [-8139, 3549], [-49, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1], [9/2, -3], [3, 3], [0, 0]], [[48, -22], [149, -65], [-6, 3/2], [-2, 1/2]], [[769/2, -311/2], [2291/2, -989/2], [-30, 24], [-10, 8]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[54, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -2], [99/2, -18], [3/2, -6], [0, 0]], [[-39, -33/2], [-323/2, 303/2], [-123, -113/2], [5/2, 1]], [[-302, 177], [-7062, 2955], [-834, 513], [21, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -5/2], [-75, 87/2], [3, -15/2], [0, 0]], [[-18, 9/2], [514, -337/2], [-60, 19/2], [1, 1]], [[-243/2, 50], [3706, -3123/2], [-747/2, 148], [-1/2, 3/2]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[54, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -3/2], [-147/2, 75/2], [9/2, -9/2], [0, 0]], [[-9, -43/2], [-659/2, 593/2], [-21, -123/2], [-1/2, -1]], [[13/2, -25/2], [-981/2, 271], [45/2, -73/2], [0, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 3/2], [-105/2, 51/2], [-9/2, 9/2], [0, 0]], [[49, 17/2], [1379/2, -413/2], [153, 57/2], [-1/2, -1]], [[-303/2, 55], [-3625, 3081/2], [-927/2, 167], [-5/2, 3/2]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[54, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 3/2], [-261/2, 105/2], [-9/2, 9/2], [0, 0]], [[-139/2, -31/2], [-1674, 1875/2], [-411/2, -81/2], [-3/2, 0]], [[105/2, -171/2], [6388, -4971/2], [353/2, -509/2], [5/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -2], [333/2, -66], [9/2, -6], [0, 0]], [[13, 7/2], [272, -333/2], [41, 29/2], [-1, 0]], [[19, -57/2], [4331/2, -833], [34, -173/2], [-7/2, 5/2]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[54, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 2], [-159/2, 27], [15/2, 6], [0, 0]], [[4, -4], [7640, -6635/2], [26, -11], [2, -3/2]], [[2, 3/2], [1/2, 0], [-1, -1/2], [1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1/2], [261/2, -111/2], [9/2, -3/2], [0, 0]], [[-21, 5], [-1660, 1395/2], [-49, 16], [2, -3/2]], [[-119/2, -25], [-3695/2, 513], [-197/2, -23], [-4, -6]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[54, -27]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -5], [150, -60], [-3, -6], [0, 0]], [[61/2, 47/2], [61/2, -33/2], [47/2, 35/2], [-1/2, -3/2]], [[7/2, 6], [2487/2, -1081/2], [21, -7/2], [36, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1], [-327/2, 3/2], [-6, 3/2], [0, 0]], [[-8, 10], [79443/17, 11614/17], [180/17, -2/17], [24/17, 2/17]], [[12, -15/2], [-55340/17, 8671/17], [-305/34, 39/17], [-35/34, 7/34]]], 1, 72, [], [] >,
< [ -3, -1, 1 ], [[54, -27]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 9/2], [135/2, -18], [9/2, 9/2], [0, 0]], [[3, 7/2], [-757, 313], [17/2, -4], [5/2, -5/2]], [[5/2, 1], [1141/2, -253], [-13/2, 3], [-7/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 3/2], [654, 261/2], [-15/2, 6], [0, 0]], [[-56, -107/2], [-100870/17, -137671/17], [-5581/34, 9/17], [5/34, -1/34]], [[-8, -7], [-969, -1011], [-15, -3], [0, 0]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[54, -27]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -3], [375/2, -153/2], [-6, -3/2], [0, 0]], [[-126, -98], [1831/2, -227], [-122, -161/2], [5/2, 1/2]], [[42, 49/2], [4628, -4115/2], [-35, 105/2], [7, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -2], [-411/2, -57/2], [-3, -3/2], [0, 0]], [[56, 53/2], [375679/34, -70876/17], [4451/34, -285/34], [-41/17, -2/17]], [[-743, -741/2], [-2289423/17, 1696773/34], [-28011/17, 1851/34], [522/17, 87/34]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[54, -27]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 7], [-141/2, 69/2], [6, 15/2], [0, 0]], [[-33/2, -13], [-124, 26], [-43/2, -27/2], [-2, -1/2]], [[-15/2, -7], [-775/2, 307/2], [-19, -7/2], [-4, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 2], [-183/2, -15/2], [3, 3/2], [0, 0]], [[7, -7], [20677/34, -5500/17], [-200/17, 63/34], [-25/34, 5/34]], [[-3/2, 11/2], [-281, 198], [8, 1/2], [1/2, 0]]], 1, 48, [], [] >,
< [ -3, -1, 1 ], [[864, -432]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 12], [18, -30], [0, 0]], [[0, 0], [0, -2], [3, 0], [1, 0]], [[0, 0], [-114, 42], [240, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 2], [30, -24], [0, 0]], [[0, 0], [330, 232], [822, 672], [-6, 4]], [[0, 0], [-60, 26], [90, -39], [30, -13]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[864, -432]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150, 60], [-30, 18], [0, 0]], [[0, 0], [-2, 0], [3, 0], [1, 0]], [[0, 0], [-210, 42], [0, 48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -18], [-12, 24], [0, 0]], [[0, 0], [-2, -2], [3, 0], [1, 0]], [[0, 0], [-336, 126], [126, -90], [0, 0]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[432, 0]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -10], [-12, 6], [0, 0]], [[0, 0], [-34, -14], [15, -15], [5, -5]], [[0, 0], [18, 20], [18, 0], [6, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, -54], [-18, -12], [0, 0]], [[0, 0], [-2, 2], [3, 0], [1, 0]], [[0, 0], [-2496, 1092], [6, -30], [0, 0]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[-11232, 4752]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [222, -108], [-12, 12], [0, 0]], [[0, 0], [2828, 4876], [-2802, -2400], [14, -2]], [[0, 0], [-19708, -374], [5535, 2889], [53, -29]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 18], [12, 24], [0, 0]], [[0, 0], [2538, -1080], [543, -264], [-9, 0]], [[0, 0], [2888, -1268], [666, -270], [-4, 4]]], 0, 311040, [], [] >,
< [ -3, -1, 1 ], [[239760, -104112]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, 66], [90, -24], [0, 0]], [[0, 0], [-13236, -8474], [15246, 11013], [-18, 11]], [[0, 0], [141030, 122584], [-184770, -147690], [-210, 50]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -6], [126, 24], [0, 0]], [[0, 0], [-18, 10], [-63, -183], [9, -5]], [[0, 0], [30, -6], [-711, -381], [-15, 3]]], 0, 311040, [], [] >,
< [ -3, -1, 1 ], [[108, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-270, 111], [-15, 12], [0, 0]], [[0, 0], [707/2, -73/2], [-72, -70], [-5/2, 3/2]], [[0, 0], [-498, 459], [-207, -120], [9, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [309, -126], [9, -12], [0, 0]], [[0, 0], [3541/2, -1441], [681, 376], [1/2, -1]], [[0, 0], [-5587/2, 2774], [-1512, -903], [-1/2, 2]]], 1, 720, [], [] >,
< [ -3, -1, 1 ], [[108, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-195, 84], [-12, 6], [0, 0]], [[0, 0], [-77, 63/2], [0, 4], [-1, -5/2]], [[0, 0], [-1503/2, 693/2], [-69, -12], [81/2, 27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [150, -48], [-9, -12], [0, 0]], [[0, 0], [-9563/2, 5135/2], [-540, -216], [1/2, 5/2]], [[0, 0], [-42767, 18736], [-1491, 497], [-14, 7]]], 1, 720, [], [] >,
< [ -3, -1, 1 ], [[108, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51, 18], [24, -12], [0, 0]], [[0, 0], [80, 95/2], [50, 22], [-1, 5/2]], [[0, 0], [-35/2, 15/2], [-16, 7], [7/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, -6], [-39, 15], [0, 0]], [[0, 0], [-5474, 5793/2], [5284, -2344], [-2, 5/2]], [[0, 0], [12627, -17673/2], [-13635, 6240], [0, -21/2]]], 1, 720, [], [] >,
< [ -3, -1, 1 ], [[108, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 6], [-9, 3], [0, 0]], [[0, 0], [-5, -31/2], [55, -25], [-2, -1/2]], [[0, 0], [21, 4], [57, -24], [0, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, -6], [-18, 9], [0, 0]], [[0, 0], [229, -237/2], [-140, 59], [1, -1/2]], [[0, 0], [93, 51], [-3, 9], [0, 0]]], 1, 720, [], [] >,
< [ -3, -1, 1 ], [[864, -432]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, -126], [-30, -12], [0, 0]], [[0, 0], [-4, 9], [1, 1], [1, 0]], [[0, 0], [-120, 354], [96, 48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1512, 492], [0, 30], [0, 0]], [[0, 0], [-2700075/17, 1344710/17], [-78144/17, 3569/17], [-39/17, 1/17]], [[0, 0], [-69814526/17, 36092220/17], [-2235094/17, -47824/17], [-1120/17, -48/17]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[864, -432]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138, 126], [24, 6], [0, 0]], [[0, 0], [-4, -3], [1, 1], [1, 0]], [[0, 0], [426, -258], [-42, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1272, -534], [-6, -30], [0, 0]], [[0, 0], [-8141913/17, 3602086/17], [-225102/17, -5303/17], [-63/17, -1/17]], [[0, 0], [-110777431/17, 48925920/17], [-2953790/17, 10021/17], [-827/17, 9/17]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[864, -432]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, 60], [6, 18], [0, 0]], [[0, 0], [8, -3], [1, 1], [1, 0]], [[0, 0], [12, -6], [-42, 18], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [480, 450], [-24, 30], [0, 0]], [[0, 0], [-5937797/17, -4316058/17], [-386884/17, -42463/17], [-121/17, -3/17]], [[0, 0], [664577500/17, 474093283/17], [50934611/17, 1163835/17], [16259/17, -916/17]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[864, -432]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-264, 144], [6, 6], [0, 0]], [[0, 0], [8, 3], [1, 1], [1, 0]], [[0, 0], [126, -54], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-900, 492], [0, 30], [0, 0]], [[0, 0], [552361/17, -194646/17], [16832/17, -1765/17], [-19/17, -3/17]], [[0, 0], [-2709351/17, 1001489/17], [-78777/17, 12692/17], [84/17, 7/17]]], 0, 11520, [], [] >,
< [ -3, -1, 1 ], [[1728, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [792, -306], [60, 48], [0, 0]], [[0, 0], [5, 2], [6, 4], [1, 0]], [[0, 0], [-10950, 4734], [-12, -36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [840, -378], [-36, -12], [0, 0]], [[0, 0], [-5, 0], [6, 4], [1, 0]], [[0, 0], [-1032, 426], [-24, -36], [0, 0]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[1728, 0]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-420, 210], [-12, 60], [0, 0]], [[0, 0], [-7, 2], [6, 4], [1, 0]], [[0, 0], [-1326, 282], [-624, -312], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, -48], [-36, -48], [0, 0]], [[0, 0], [1, 0], [6, 4], [1, 0]], [[0, 0], [1332, -588], [312, -156], [0, 0]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[1728, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -54], [-60, -60], [0, 0]], [[0, 0], [-5, 0], [-2, -4], [1, 0]], [[0, 0], [-6, 6], [-48, 24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [-48, 12], [0, 0]], [[0, 0], [7, -2], [-2, -4], [1, 0]], [[0, 0], [-18, -12], [36, 24], [0, 0]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[1728, 0]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 72], [-156, 60], [0, 0]], [[0, 0], [7, 0], [-2, -4], [1, 0]], [[0, 0], [-606, 972], [-3480, 1440], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, 12], [-204, 84], [0, 0]], [[0, 0], [1, -2], [-2, -4], [1, 0]], [[0, 0], [150, -216], [624, -288], [0, 0]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[810, -351]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, -7/2], [57/2, -21/2], [-36, 12], [0, 0]], [[-199/2, -69], [-601/2, -211], [1161/2, 426], [1/2, 1]], [[-167, 107], [-433, 293], [342, -357], [-17, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, -7/2], [57/2, -21/2], [-144, 60], [0, 0]], [[69/2, -17], [195/2, -57], [-1071/2, 255], [3/2, 0]], [[245/2, -101/2], [763/2, -291/2], [-3735/2, 780], [5/2, -2]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[810, -351]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 5/2], [-3, 5/2], [-315, 135], [0, 0]], [[30, -3/2], [24, 3/2], [1395, -1251/2], [3, -3/2]], [[23/2, -23/2], [13/2, -19/2], [2385/2, -507], [5/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -2], [18, -6], [63, -27], [0, 0]], [[11/2, -13/2], [49/2, -31/2], [63, -36], [-2, 0]], [[-2, 2], [-8, 5], [-45/2, 12], [1/2, 0]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[-1620, 702]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1], [-219/2, 48], [-9/2, 3], [0, 0]], [[35, 57/2], [-33, 67], [90, 155/2], [2, 1/2]], [[-30, -53/2], [123, -201/2], [-72, -147/2], [-3, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -2], [-273/2, 57], [45/2, -6], [0, 0]], [[2961/2, 2227/2], [-3030, -1866], [8877/2, 6681/2], [-1/2, 1/2]], [[-6945/2, -5167/2], [15075/2, 4139], [-20817/2, -15503/2], [2, -3/2]]], 1, 432, [], [] >,
< [ -3, -1, 1 ], [[-1620, 702]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -1], [45/2, -15], [45/2, -3], [0, 0]], [[-135/2, -35], [69/2, 217/2], [-375/2, -85], [0, -5/2]], [[139/2, 115/2], [-156, -199/2], [351/2, 299/2], [7/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 2], [-51/2, -12], [45/2, 6], [0, 0]], [[585, -197], [-1284, 298], [1755, -587], [-2, 0]], [[-315/2, 207/2], [477/2, -263], [-939/2, 623/2], [0, -1/2]]], 1, 432, [], [] >,
< [ -3, -1, 1 ], [[-1620, 702]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -1], [279/2, -69], [-27/2, -3], [0, 0]], [[-4907/2, -3741/2], [-6133, -11455/2], [-14759/2, -11227/2], [-5/2, 2]], [[-10315/2, -3898], [-21109/2, -12958], [-31081/2, -11686], [-14, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 0], [45/2, -3], [45/2, 0], [0, 0]], [[-9/2, -7/2], [21, -45/2], [33/2, -33/2], [3/2, -2]], [[12, 10], [-763/2, 203], [-290, 152], [-61/2, 17]]], 1, 432, [], [] >,
< [ -3, -1, 1 ], [[0, -432]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -42], [-72, -54], [0, 0]], [[0, 0], [-2, 0], [9, 0], [1, 0]], [[0, 0], [-174, 78], [-36, -30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -12], [36, 6], [0, 0]], [[0, 0], [-2, -2], [9, 0], [1, 0]], [[0, 0], [-48, 18], [-36, 24], [0, 0]]], 0, 34560, [], [] >,
< [ -3, -1, 1 ], [[12960, -5616]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 10], [-18, 18], [0, 0]], [[0, 0], [-28, 42], [-1503, 609], [-1, -5]], [[0, 0], [2136, -850], [57402, -25041], [-150, 51]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, -24], [36, 30], [0, 0]], [[0, 0], [-2, 2], [9, 0], [1, 0]], [[0, 0], [438, -192], [-18, 0], [0, 0]]], 0, 34560, [], [] >,
< [ -3, -1, 1 ], [[-3240, 1404]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-270, 147], [-45, -12], [0, 0]], [[0, 0], [-8982, -6431], [9072, 6997], [2, 2]], [[0, 0], [11049/2, -606], [-1290, -1338], [7/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 21], [-18, 3], [0, 0]], [[0, 0], [159/2, -11/2], [-33, -46], [5/2, -1/2]], [[0, 0], [-267/2, -387/2], [459, 324], [-3/2, -9/2]]], 1, 2160, [], [] >,
< [ -3, -1, 1 ], [[-3240, 1404]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-342, 150], [27, -15], [0, 0]], [[0, 0], [-291/2, -54], [207, 165], [-3/2, 0]], [[0, 0], [9/2, -1], [3, -1], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 33], [-27, 6], [0, 0]], [[0, 0], [-57/2, -4], [24, 17], [3/2, -1]], [[0, 0], [-132, -97], [210, 161], [-2, -2]]], 1, 2160, [], [] >,
< [ -3, -1, 1 ], [[-3240, 1404]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 27], [-45, 3], [0, 0]], [[0, 0], [89/2, -4], [-2657, 1142], [-1/2, -2]], [[0, 0], [727/2, -241/2], [-27688, 11995], [19/2, -19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45, -3], [27, -15], [0, 0]], [[0, 0], [1811/2, 1915/2], [412, 8], [-1/2, -3/2]], [[0, 0], [8991, -20457/2], [-17469, 6711], [-54, 63/2]]], 1, 2160, [], [] >,
< [ -3, -1, 1 ], [[-51840, 22464]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, 78], [-36, 48], [0, 0]], [[0, 0], [9, -2], [6, 4], [1, 0]], [[0, 0], [-438, -300], [-864, -648], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-660, 228], [-180, -36], [0, 0]], [[0, 0], [-3, -2], [18, 4], [1, 0]], [[0, 0], [-5076, -3354], [-9072, -6888], [0, 0]]], 0, 552960, [], [] >,
< [ -3, -1, 1 ], [[-51840, 22464]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [420, -186], [-36, 0], [0, 0]], [[0, 0], [3, -2], [6, 4], [1, 0]], [[0, 0], [-108, 186], [504, 372], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-282, 120], [72, -36], [0, 0]], [[0, 0], [9, -2], [18, 4], [1, 0]], [[0, 0], [-180, -138], [-360, -276], [0, 0]]], 0, 552960, [], [] >,
< [ -3, -1, 1 ], [[-51840, 22464]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -30], [-144, 0], [0, 0]], [[0, 0], [1, 2], [10, -4], [1, 0]], [[0, 0], [126, -84], [1440, -660], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 30], [-72, 12], [0, 0]], [[0, 0], [7, 2], [-14, -4], [1, 0]], [[0, 0], [-36, 36], [288, -132], [0, 0]]], 0, 552960, [], [] >,
< [ -3, -1, 1 ], [[-38, 14]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, -2], [-6, -3], [8, -2], [0, 0]], [[361/2, -2], [-264, -171], [351/2, 0], [-5/2, 1]], [[163, 939/2], [-3233/2, -2637/2], [174, 927/2], [11/2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -1/2], [1, -5/2], [-7, -1/2], [0, 0]], [[-72, -18], [-4, -27], [-72, -18], [-2, 0]], [[-78, 78], [95, -31/2], [-78, 78], [-4, 5/2]]], 1, 18, [], [] >,
< [ -3, -1, 1 ], [[-38, 14]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21, 3/2], [8, -1/2], [21, 3/2], [0, 0]], [[6419/2, -963/2], [1325, -320], [6413/2, -965/2], [-3/2, -1/2]], [[-25865/2, 11905/2], [-5920, 2665], [-25855/2, 11899/2], [5/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, 5/2], [13/2, 5/2], [25/2, 5/2], [0, 0]], [[-121/2, -179/2], [-125/2, -50], [-121/2, -179/2], [-2, 3/2]], [[18, 81], [93/2, 39], [18, 81], [7/2, -2]]], 1, 18, [], [] >,
< [ -3, -1, 1 ], [[-217, 97]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 3/2], [211/2, -77], [31/2, -1/2], [0, 0]], [[-505, -817/2], [5640, 5787/2], [-791, -1439/2], [-1, -1/2]], [[0, -24], [1522, -457], [72, -72], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 0], [-132, 69], [4, -1], [0, 0]], [[-114, -219/2], [-6186, -1293], [-323/2, -206], [13/2, -1/2]], [[-18431/2, -18692], [-3982463/2, 296764], [6527/2, -40828], [5377/2, -836]]], 0, 162, [], [] >,
< [ -3, -1, 1 ], [[-42, 24]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1], [11/2, -7], [1/2, 1], [0, 0]], [[0, 0], [-57, 121/2], [-2, -5], [1, 5/2]], [[0, 0], [-38413, 32311/2], [1334, -493], [-667, 493/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[47/2, 2], [23/2, 14], [47/2, 2], [0, 0]], [[183/2, 354], [577, 357], [195/2, 346], [3/2, -2]], [[-64260, 16065], [1268, -37643/2], [-61708, 15119], [638, -473/2]]], 1, 36, [], [] >,
< [ -3, -1, 1 ], [[-42, 24]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-55/2, -1], [-101/2, 16], [-55/2, -1], [0, 0]], [[810, 1485], [-1260, 1382], [814, 1489], [1, 1]], [[22680, -9450], [121931/2, -52587/2], [22706, -9460], [13/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, 3/2], [83/2, -23/2], [33/2, 3/2], [0, 0]], [[5656, 6020], [-125, 12855/2], [5658, 6025], [-1, -5/2]], [[149730, -39606], [515635, -204809], [150010, -39710], [-140, 52]]], 1, 36, [], [] >,
< [ -3, -1, 1 ], [[-42, 24]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[55/2, 1], [-49/2, -7], [55/2, 1], [0, 0]], [[-2959/2, 4879/2], [-289, -2324], [-2957/2, 4877/2], [1/2, -1/2]], [[-57107/2, 8157/2], [22156, 1721], [-57081/2, 8151/2], [13/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 0], [-15/2, 0], [-9/2, 0], [0, 0]], [[-37, -5/2], [-59, 2], [-33, 15/2], [-1, -5/2]], [[-515, 275], [-964, 484], [-691, 319], [44, -11]]], 1, 72, [], [] >,
< [ -3, -1, 1 ], [[-76, 28]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17, 2], [4, 8], [0, 0]], [[0, 0], [-1599/2, 380], [-321, 81], [-1/2, 0]], [[0, 0], [100, -40], [27, -18], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 2], [-25, 13], [0, 0]], [[0, 0], [31/2, 61/2], [-96, -12], [3/2, -5/2]], [[0, 0], [-16, 193/2], [-408, 48], [14, -21/2]]], 1, 90, [], [] >,
< [ -3, -1, 1 ], [[-76, 28]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -5], [-32, 17], [0, 0]], [[0, 0], [62, 113/2], [-148, 25], [2, 3/2]], [[0, 0], [136, -58], [2074, -901], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -2], [-6, -3], [0, 0]], [[0, 0], [865/2, -397/2], [86, -44], [-5/2, 1/2]], [[0, 0], [568, -280], [106, -67], [-4, 0]]], 1, 90, [], [] >,
< [ -3, -1, 1 ], [[1184, -368]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [526, 62], [94, 8], [0, 0]], [[0, 0], [387643, -52675], [70857, -11316], [0, 3]], [[0, 0], [76449948, -36790956], [14400616, -6857746], [-758, 236]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144, 18], [-40, -8], [0, 0]], [[0, 0], [3372, -333], [-913, 31], [5, -2]], [[0, 0], [74, 22], [-22, -8], [0, 0]]], 0, 38880, [], [] >,
< [ -3, -1, 1 ], [[-84, 48]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53, 20], [-19, 16], [0, 0]], [[0, 0], [9311/2, -2475], [3472, -390], [1/2, 2]], [[0, 0], [406795/2, -179115/2], [105776, -42900], [-99/2, 55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25, -13], [14, -8], [0, 0]], [[0, 0], [-721/2, 357/2], [-197, 99], [-1/2, -3/2]], [[0, 0], [1821/2, -813/2], [500, -224], [-3/2, 3/2]]], 1, 180, [], [] >,
< [ -3, -1, 1 ], [[-84, 48]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, -15], [-20, 5], [0, 0]], [[0, 0], [687/2, -281/2], [-164, 61], [1/2, -3/2]], [[0, 0], [2750, -2345/2], [-1284, 532], [10, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25, -13], [-12, 12], [0, 0]], [[0, 0], [-99/2, 22], [29, -13], [5/2, 0]], [[0, 0], [-1/2, 0], [1, 0], [-1/2, 0]]], 1, 180, [], [] >,
< [ -3, -1, 1 ], [[-84, 48]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-71, -34], [20, -5], [0, 0]], [[0, 0], [398, -289/2], [-366, 153], [-2, 3/2]], [[0, 0], [1223/2, -401/2], [-549, 225], [-5/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, -49], [-4, 10], [0, 0]], [[0, 0], [74, -29], [-105, 51], [-2, 2]], [[0, 0], [17/2, -4], [-14, 5], [-1/2, 0]]], 1, 360, [], [] >,
< [ -3, -1, 1 ], [[-1216, 448]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 8], [280, 20], [0, 0]], [[0, 0], [-1, 0], [-6, 0], [1, 0]], [[0, 0], [-104, 56], [2484, -864], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 8], [-88, 4], [0, 0]], [[0, 0], [-1, 0], [18, 0], [1, 0]], [[0, 0], [-270, 162], [-400, 640], [0, 0]]], 0, 23040, [], [] >,
< [ -3, -1, 1 ], [[-1216, 448]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 4], [12, -12], [0, 0]], [[0, 0], [3, 0], [-6, 0], [1, 0]], [[0, 0], [160, -40], [172, -88], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -6], [40, 8], [0, 0]], [[0, 0], [3, 0], [18, 0], [1, 0]], [[0, 0], [10, -4], [44, -20], [0, 0]]], 0, 23040, [], [] >,
< [ -3, -1, 1 ], [[-1344, 768]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-170, 74], [72, 0], [0, 0]], [[0, 0], [-5, 0], [10, 0], [1, 0]], [[0, 0], [-8, 2], [-236, -184], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 24], [-220, -8], [0, 0]], [[0, 0], [1, 0], [-14, 0], [1, 0]], [[0, 0], [250, -94], [1160, 232], [0, 0]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[-1344, 768]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98, -38], [-12, 12], [0, 0]], [[0, 0], [-5, 0], [-14, 0], [1, 0]], [[0, 0], [-728, 308], [128, -68], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 4], [-4, -8], [0, 0]], [[0, 0], [1, 0], [-2, 0], [1, 0]], [[0, 0], [-74, 32], [0, 0], [0, 0]]], 0, 46080, [], [] >,
< [ -3, -1, 1 ], [[-1344, 768]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 22], [-56, -4], [0, 0]], [[0, 0], [-1, -2], [-6, 0], [1, 0]], [[0, 0], [-234, 114], [-480, 192], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -36], [24, -24], [0, 0]], [[0, 0], [-1, -2], [6, 0], [1, 0]], [[0, 0], [-34, -50], [52, -40], [0, 0]]], 0, 92160, [], [] >,
< [ -3, -1, 1 ], [[333, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -7/2], [-33, 21/2], [57/2, -15], [0, 0]], [[945, -420], [-9783/2, 2107], [5043, -4415/2], [-1/2, -3/2]], [[1302, -574], [-13425/2, 5799/2], [13869/2, -3027], [0, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1], [-87/2, 33/2], [-9, 9/2], [0, 0]], [[27/2, -13/2], [867/2, -359/2], [153/2, -73/2], [-5/2, 3/2]], [[-15/2, 10], [-951/2, 227/2], [-45, 109/2], [-1, -4]]], 1, 36, [], [] >,
< [ -3, -1, 1 ], [[81, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 2], [-1071/2, 477/2], [-12, 15/2], [0, 0]], [[-11, -21/2], [69/2, -163/2], [-9, -22], [9/2, -2]], [[327, 251], [1431, 1098], [555, 426], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1], [-18, 0], [-9, 0], [0, 0]], [[3/2, 1/2], [-15, 13], [12, -11/2], [-3/2, 1]], [[-13/2, -5], [-69/2, -25], [-3/2, -2], [-3/2, -1]]], 0, 432, [], [] >,
< [ -3, -1, 1 ], [[72, -18]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 2], [-27, 18], [-6, 6], [0, 0]], [[5/2, -9/2], [41/2, -97/2], [-9/2, -47/2], [1, 1]], [[-213/2, 49], [-2123/2, 987/2], [-645/2, 161], [3, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1], [-31/2, 14], [21/2, 3], [0, 0]], [[117, 74], [77, 321], [351, 218], [2, 0]], [[-375/2, -181], [-1132, -507/2], [-1095/2, -541], [3/2, -5/2]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[72, -18]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 2], [1, 20], [12, 6], [0, 0]], [[109/2, -55/2], [-2011/2, 937/2], [363/2, -129/2], [-1, -2]], [[-53, 21], [933, -773/2], [-144, 71], [-2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 3/2], [23, -25/2], [-9, 9/2], [0, 0]], [[-37/2, 26], [65/2, -292], [-87/2, 78], [2, -2]], [[-29/2, -351/2], [1260, 2263], [-237/2, -1093/2], [-5/2, 25/2]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[72, -18]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, 9/2], [3/2, -3/2], [-63/2, 27/2], [0, 0]], [[2, -13/2], [8, -1/2], [32, -7/2], [-1, -2]], [[3/2, 1], [-1, -1/2], [-5/2, -2], [1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, -11/2], [-15/2, -3/2], [69/2, -33/2], [0, 0]], [[70, -42], [-29, 5], [238, -106], [-2, -2]], [[1/2, 1/2], [-1, -1/2], [1/2, -1/2], [1/2, 0]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[-576, 144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -6], [-6, -12], [0, 0]], [[0, 0], [0, 1], [9, -1], [1, 0]], [[0, 0], [360, -180], [66, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 24], [-60, -12], [0, 0]], [[0, 0], [6, 1], [-3, -1], [1, 0]], [[0, 0], [-54, 18], [-48, 30], [0, 0]]], 0, 8640, [], [] >,
< [ -3, -1, 1 ], [[1296, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, 12], [378, -144], [0, 0]], [[0, 0], [75, -17], [-255, 80], [6, -5]], [[0, 0], [1317, -426], [-4662, 1737], [135, -81]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, 12], [-252, 90], [0, 0]], [[0, 0], [279, -411], [-3213, 1518], [6, -3]], [[0, 0], [-519, 100], [2598, -1075], [-3, 1]]], 0, 103680, [], [] >,
< [ -3, -1, 1 ], [[144, -36]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, -35], [-24, -3], [0, 0]], [[0, 0], [-4522, 2160], [-177, -1012], [2, 0]], [[0, 0], [-29855/2, 6370], [2826, -603], [7/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -3], [6, -6], [0, 0]], [[0, 0], [171/2, -38], [114, -41], [1/2, -1]], [[0, 0], [47, -13], [-9, -68], [6, 4]]], 1, 720, [], [] >,
< [ -3, -1, 1 ], [[144, -36]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67, -28], [57, -12], [0, 0]], [[0, 0], [18675/2, -4179], [5553, -3711], [5/2, 2]], [[0, 0], [367747/2, -79936], [128505, -56717], [1/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, 33], [51, -15], [0, 0]], [[0, 0], [203/2, 117/2], [-690, -506], [3/2, 5/2]], [[0, 0], [7/2, -3/2], [30, -13], [7/2, -3/2]]], 1, 720, [], [] >,
< [ -3, -1, 1 ], [[144, -36]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 12], [60, -15], [0, 0]], [[0, 0], [107/2, 38], [-8, 47], [-1/2, 0]], [[0, 0], [-9, -6], [12, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 24], [54, -9], [0, 0]], [[0, 0], [-2965/2, -2267/2], [-629, -394], [5/2, 1/2]], [[0, 0], [11/2, -5/2], [16, -7], [-7/2, 3/2]]], 1, 720, [], [] >,
< [ -3, -1, 1 ], [[2304, -576]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, -62], [204, -60], [0, 0]], [[0, 0], [7, 0], [-6, 4], [1, 0]], [[0, 0], [196, -76], [60, -240], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -2], [180, -36], [0, 0]], [[0, 0], [1, 0], [18, 4], [1, 0]], [[0, 0], [0, 0], [-60, 24], [0, 0]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[2304, -576]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, -42], [-96, -48], [0, 0]], [[0, 0], [-5, 0], [-6, 4], [1, 0]], [[0, 0], [-74, 32], [-12, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [186, -78], [96, 48], [0, 0]], [[0, 0], [1, 0], [6, 4], [1, 0]], [[0, 0], [962, -416], [156, -12], [0, 0]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[2304, -576]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 36], [180, -36], [0, 0]], [[0, 0], [1, 2], [10, -4], [1, 0]], [[0, 0], [-66, -42], [-168, 24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, 36], [-60, -12], [0, 0]], [[0, 0], [1, 2], [-14, -4], [1, 0]], [[0, 0], [630, 210], [-768, 48], [0, 0]]], 0, 184320, [], [] >,
< [ -3, -1, 1 ], [[-27, 27]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 5/2], [-3/2, 15/2], [42, -6], [0, 0]], [[18, -5/2], [42, -23/2], [-150, 63], [0, 2]], [[3/2, 1], [3/2, 1], [-3/2, -3/2], [1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, -5/2], [-25/2, -5/2], [72, -36], [0, 0]], [[74, 20], [74, 20], [-759/2, 375/2], [3/2, 5/2]], [[-501, 277/2], [-501, 277/2], [5634, -2481], [12, -10]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[-135, 54]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, 2], [-33/2, 6], [-18, 0], [0, 0]], [[109/2, -25], [311/2, -65], [111, -75/2], [2, -5/2]], [[227/2, -59/2], [473/2, -281/2], [45, -180], [26, 13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -5/2], [15, -15/2], [57, -30], [0, 0]], [[205/2, -95/2], [619/2, -289/2], [2391/2, -570], [5/2, -1]], [[233/2, -12], [727/2, -28], [1539, -27/2], [1, -3/2]]], 1, 144, [], [] >,
< [ -3, -1, 1 ], [[-54, 54]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 0], [-93/2, 6], [-45/2, 0], [0, 0]], [[22, 11], [171/2, -3], [39, 12], [5/2, 2]], [[181/2, -34], [1011, -430], [537/2, -109], [-1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -1/2], [267/2, -141/2], [-33/2, -3/2], [0, 0]], [[-73/2, 361/2], [8616, -6057/2], [-207/2, 1077/2], [5/2, -1]], [[565/2, 499/2], [2598, 967/2], [1695/2, 1495/2], [1/2, 0]]], 1, 432, [], [] >,
< [ -3, -1, 1 ], [[-54, 54]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -3/2], [-279, 225/2], [27, -9/2], [0, 0]], [[7/2, -17/2], [-389, 182], [59/2, -29/2], [-1/2, -3/2]], [[-37/2, 24], [2697/2, -615], [-207/2, 48], [0, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -3/2], [-108, 105/2], [0, -9/2], [0, 0]], [[21/2, 3], [-901/2, 349/2], [47/2, 2], [1, 1/2]], [[-91/2, 25], [10223/2, -4469/2], [-301/2, 74], [-2, 3/2]]], 1, 432, [], [] >,
< [ -3, -1, 1 ], [[-54, 54]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -1], [-3, -3], [12, -3], [0, 0]], [[45/2, -7], [-17/2, -13/2], [103/2, -26], [-1, 3/2]], [[-447/2, 219/2], [-77/2, -29], [-1289/2, 527/2], [26, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 1], [-159, 72], [-12, 3], [0, 0]], [[35/2, -7/2], [674, -613/2], [67/2, -25/2], [-5/2, 2]], [[131/2, 79/2], [246, -336], [99/2, 27/2], [21/2, 21/2]]], 1, 432, [], [] >,
< [ -3, -1, 1 ], [[-2160, 864]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, 30], [-12, -24], [0, 0]], [[0, 0], [0, -2], [-3, 0], [1, 0]], [[0, 0], [270, -120], [-60, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -2], [-78, -12], [0, 0]], [[0, 0], [-806, 1354], [-159, -3789], [-15, 5]], [[0, 0], [6680, -2112], [-13710, 2922], [48, -22]]], 0, 34560, [], [] >,
< [ -3, -1, 1 ], [[-2160, 864]], [ -3, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, -24], [6, -24], [0, 0]], [[0, 0], [-2, 0], [-3, 0], [1, 0]], [[0, 0], [-78, 36], [36, 72], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, 24], [-96, 6], [0, 0]], [[0, 0], [-2, -2], [-3, 0], [1, 0]], [[0, 0], [-966, 378], [-1008, 288], [0, 0]]], 0, 34560, [], [] >,
< [ -3, -1, 1 ], [[-108, 108]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [459, -198], [15, -6], [0, 0]], [[0, 0], [-51/2, 29/2], [12, 13], [-1/2, -3/2]], [[0, 0], [-90, 47], [24, 32], [0, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -30], [-12, -15], [0, 0]], [[0, 0], [5991/2, -2567/2], [216, -67], [5/2, 5/2]], [[0, 0], [-9450, 4101], [-618, 264], [1, -1]]], 1, 2160, [], [] >,
< [ -3, -1, 1 ], [[-108, 108]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 6], [27, -9], [0, 0]], [[0, 0], [31/2, -145/2], [-337, 118], [1/2, -1/2]], [[0, 0], [77/2, 152], [514, -151], [-1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81, -66], [-99, 45], [0, 0]], [[0, 0], [-5111/2, 2843/2], [2654, -1175], [-5/2, 1/2]], [[0, 0], [18811, -3784], [-14660, 6050], [4, -10]]], 1, 2160, [], [] >,
< [ -3, -1, 1 ], [[-108, 108]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-93, 54], [111, -48], [0, 0]], [[0, 0], [225/2, -45/2], [-111, 48], [3/2, -1/2]], [[0, 0], [-289/2, -245/2], [-11, 5], [-1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -18], [6, 3], [0, 0]], [[0, 0], [-143/2, 59/2], [2, -5], [-5/2, -1/2]], [[0, 0], [-1055, 925/2], [91, -28], [-14, 21/2]]], 1, 2160, [], [] >,
< [ -3, -1, 1 ], [[-1728, 1728]], [ -6, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, -36], [-24, 24], [0, 0]], [[0, 0], [-3, -2], [-6, 4], [1, 0]], [[0, 0], [-96, 42], [60, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [822, -354], [-60, 24], [0, 0]], [[0, 0], [9, -2], [18, 4], [1, 0]], [[0, 0], [30, -12], [0, 0], [0, 0]]], 0, 552960, [], [] >,
< [ -3, -1, 1 ], [[-1728, 1728]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, -6], [-24, -12], [0, 0]], [[0, 0], [7, 2], [10, -4], [1, 0]], [[0, 0], [18, -6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 12], [60, 12], [0, 0]], [[0, 0], [-5, 2], [-14, -4], [1, 0]], [[0, 0], [420, -138], [-528, -48], [0, 0]]], 0, 552960, [], [] >,
< [ -3, -1, 1 ], [[-1728, 1728]], [ -10, 4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 18], [12, 24], [0, 0]], [[0, 0], [1, 2], [10, -4], [1, 0]], [[0, 0], [-6, 6], [-12, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, -102], [336, -156], [0, 0]], [[0, 0], [7, 2], [-14, -4], [1, 0]], [[0, 0], [1290, -600], [2688, -1176], [0, 0]]], 0, 552960, [], [] >,
< [ -3, -1, 1 ], [[-40, 19]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1], [-113/2, 17/2], [-7, -1/2], [0, 0]], [[-156, -181/2], [-5231/2, -209/2], [-368, -116], [-5/2, 2]], [[186, 83/2], [6301, -3555/2], [658, -145/2], [11, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 2], [203/2, -53/2], [0, 9/2], [0, 0]], [[474, 461/2], [-22131/2, 7731], [2371/2, 413/2], [1, 2]], [[112, -79/2], [-12640, 11101/2], [563, -459/2], [-1, 1/2]]], 1, 18, [], [] >,
< [ -3, -1, 1 ], [[272, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 50], [-42, 6], [0, 0]], [[0, 0], [-12, 1], [7, 1], [1, 0]], [[0, 0], [74, -32], [74, -32], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -2], [-104, -10], [0, 0]], [[0, 0], [6, 1], [7, 1], [1, 0]], [[0, 0], [-418, 118], [-640, 160], [0, 0]]], 0, 4320, [], [] >,
< [ -4, -1, 1 ], [[2, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [9/2, 3/2], [-5/2, -5/2], [0, 0]], [[-1/2, -1/2], [1/2, 1/2], [-1/2, -1/2], [0, 0]], [[1/2, 0], [2, -1/2], [3/4, -1/4], [3/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [29/2, -107/2], [-5/2, -5/2], [0, 0]], [[-67, 13/2], [-94615/26, 11127/13], [-3581/52, 235/52], [109/52, -3/52]], [[-10777, 3693], [-8803512/13, 3244729/13], [-277737/26, 93213/26], [8075/26, -2635/26]]], 3, 2, [], [] >,
< [ -4, -1, 1 ], [[6, -3]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -3/2], [1, -5/2], [-3, 1], [0, 0]], [[385/2, 239/2], [5993/38, 4441/38], [73/2, 5/2], [13/114, -1/114]], [[-41, -47/2], [-1023/38, -489/19], [-15, 5/2], [-7/114, 1/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[185/2, 1], [151, 41/2], [-9/2, -3/2], [0, 0]], [[43989/2, -6698], [15753353/494, -1944522/247], [-7265/26, 1159/13], [805/1482, -1/741]], [[-462777, 333607/2], [-318283595/494, 53830966/247], [77224/13, -28241/13], [-4469/494, 981/494]]], 4, 2, [], [] >,
< [ -4, -1, 1 ], [[9, -3]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 2], [7/2, -1/2], [-3, 5/2], [0, 0]], [[-73, -171/2], [-686/13, -236/13], [6, -133/2], [31/39, 1/39]], [[1275/2, -1790], [-35583/26, 135/13], [6059/2, -2050], [2419/78, -295/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 2], [29/2, -11/2], [-3, 3/2], [0, 0]], [[20, -5/2], [-1097/13, 124/13], [246/13, -69/26], [1/39, 0]], [[599/2, -151], [-2471/2, 8224/13], [7577/26, -1874/13], [23/78, -7/39]]], 4, 2, [], [] >,
< [ -4, -1, 1 ], [[6, 0]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-109/2, -1], [-641/38, 21/19], [-105/2, -5/2], [-113/114, -1/38]], [[-270, 96], [-3563/38, 1303/38], [-249, 175/2], [-553/114, 98/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [-24, 11], [-7/2, 3/2], [0, 0]], [[-197/2, -1], [2029889/494, 3878/247], [14749/26, 53/26], [-1633/1482, -1/494]], [[-5371, 2282], [55946617/247, -23719360/247], [406661/13, -344793/26], [-45160/741, 38267/1482]]], 3, 4, [], [] >,
< [ -4, -1, 1 ], [[6, 0]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, -1], [-11/2, -5/2], [-6, 3/2], [0, 0]], [[155, -47/2], [827/13, 167/26], [51, -61/2], [35/39, 1/78]], [[4189/2, -1463/2], [16443/26, -4527/26], [2023/2, -839/2], [781/78, -239/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22, 7/2], [-22, -24], [4, 5/2], [0, 0]], [[-103, 89/2], [-1234/13, 1203/26], [67/26, 2/13], [5/78, 1/39]], [[15825/2, -6183/2], [199341/26, -77963/26], [-1396/13, 536/13], [-44/39, 16/39]]], 3, 4, [], [] >,
< [ -4, -1, 1 ], [[6, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1/2], [-9/2, -3/2], [-3/2, 1/2], [0, 0]], [[5/2, -5/2], [-22, -39/2], [5/2, -5/2], [-1/2, -2]], [[-5/2, 2], [27/2, 27/2], [-5/2, 2], [0, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [-261/2, 93/2], [-1/2, 3/2], [0, 0]], [[-4, -15/2], [8357/13, -2760/13], [-20/13, -275/26], [-2/13, 5/26]], [[-11/2, -11/2], [2802/13, -1363/26], [-159/26, -175/26], [1/26, 1/13]]], 3, 4, [], [] >,
< [ -4, -1, 1 ], [[17, -7]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-12957/2, -7/2], [43752709/3758, -8280/1879], [1/2, -5/2], [-45489/48854, -2/24427]], [[-12593316, 11195881/2], [85188297921/3758, -37849284833/3758], [19239/2, -3135], [-44247772/24427, 19664183/24427]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -3/2], [48, -20], [-1, -1/2], [0, 0]], [[1421/2, -3], [572640449/24427, 913932/24427], [8704/13, -5/26], [-363/3758, -5/48854]], [[-13/2, -3/2], [-10453545/48854, -1215310/24427], [-159/26, -37/26], [43/48854, 5/24427]]], 4, 2, [], [] >,
< [ -4, -1, 1 ], [[6, -4]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[214637/2, 2], [-17905334/3127, 16507/6254], [214637/118, 2/59], [214787/81302, 1/40651]], [[-141304049, 218974229/2], [47221251843/6254, -18269698483/3127], [-141304049/59, 218974229/118], [-282813773/81302, 109563927/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[338, 1], [-44947/59, 2304/59], [338/59, 1/59], [0, 0]], [[16329779/2, 5405482], [-1279272470943/81302, -428317169094/40651], [212567279/1534, 70270611/767], [11288/40651, 5/81302]], [[-46710123739/2, -13834357763], [1872083013102671/40651, 2160340625453337/81302], [-606398950475/1534, -180153493050/767], [66132351/81302, -24685678/40651]]], 3, 6, [], [] >,
< [ -4, -1, 1 ], [[6, -4]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 2], [159/2, 12], [5/2, 2], [0, 0]], [[-9/2, -18], [-3411/2, 749/2], [-9/2, -18], [1, -3/2]], [[0, 0], [-5/2, 0], [0, 0], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -5/2], [259/2, 83/2], [1/2, -5/2], [0, 0]], [[462, -341/2], [11993/2, -5643/2], [472, -341/2], [5/2, 0]], [[649/2, -121], [111559/26, -25365/13], [8605/26, -1577/13], [21/13, -1/13]]], 3, 6, [], [] >,
< [ -4, -1, 1 ], [[38, -15]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-13535/2, 0], [-4886300/1879, -3730/1879], [2620/1879, 2/1879], [15945/7516, 5/7516]], [[32799, -66381], [47070735/3758, -47947285/1879], [-25239/3758, 25709/1879], [-38541/3758, 78213/3758]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [248102181/3758, 18776/1879], [-12015/3758, -1/1879], [0, 0]], [[-16515/2, -2], [369258925368213/48854, -19470384352633/48854], [-17882285121/48854, 942648735/48854], [-23461/97708, -5/97708]], [[8110965/2, -8292920], [-259918262295587869/48854, 360826924209498307/48854], [12586173482055/48854, -17474074086513/48854], [11525075/97708, -23561285/97708]]], 4, 2, [], [] >,
< [ -4, -1, 1 ], [[22, -8]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-98795, 2], [-35452345/3127, -30127/6254], [-98795/59, 2/59], [-98744/40651, -1/81302]], [[-515463265/2, 93637188], [-184853082475/6254, 67150531035/6254], [-515463265/118, 93637188/59], [-515178225/81302, 93584700/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-347, -3/2], [-102101/59, -543/118], [-347/59, -3/118], [0, 0]], [[-23121929/2, 1112315], [-88521469999/1534, 8642176385/1534], [-23121929/118, 1112315/59], [3/26, 0]], [[219537506343, -82511177617], [44627387436147014/40651, -16777098619750693/40651], [219537506343/59, -82511177617/59], [-78011642/40651, 28735308/40651]]], 3, 6, [], [] >,
< [ -4, -1, 1 ], [[22, -8]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 2], [-247/2, 49], [-1/2, 2], [0, 0]], [[2987/2, 145/2], [47591, -36609/2], [2987/2, 145/2], [-3/2, -1]], [[1305/2, -493/2], [71145/2, -27767/2], [1305/2, -493/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -5/2], [-213/2, -7/2], [-1/2, -5/2], [0, 0]], [[-15, 5/2], [752/13, -2578/13], [-255/13, 59/26], [30/13, 3/26]], [[71, -27], [-34781/26, 7274/13], [1132/13, -427/13], [-209/26, 38/13]]], 3, 6, [], [] >,
< [ -4, -1, 1 ], [[2, -4]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 2], [31, 12], [0, 2], [0, 0]], [[-285/2, 51/2], [165/2, -393], [-285/2, 51/2], [1, -1/2]], [[-354, -177/2], [-4243/2, -3773/2], [-354, -177/2], [1/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -2], [301/2, 200], [-1/2, -2], [0, 0]], [[-629/2, 3], [320109/13, 102961/26], [-7987/26, 34/13], [-19/26, 1/26]], [[-81, 206], [-122623/26, -233032/13], [-1018/13, 2618/13], [-7/26, 6/13]]], 3, 4, [], [] >,
< [ -4, -1, 1 ], [[-22, 9]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 1/2], [1, -1], [11/2, 3/2], [0, 0]], [[-7635/2, 91/2], [-19891093/7746, 186935/7746], [-18905/22, 226/11], [-7339/85206, -2/42603]], [[-1230239/2, -495929], [-1077285567/2582, -433188546/1291], [-2925151/22, -2387711/22], [-410463/28402, -326979/28402]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-119/2, -3], [-43, 5/2], [-3/2, -1/2], [0, 0]], [[18263/2, -631/2], [7057888783/100698, -25486597/100698], [-2149283/286, -1741/286], [16597/1107678, 5/1107678]], [[-1449981/2, -426798], [-302674346620/50349, -360018632503/100698], [186299831/286, 55472563/143], [-718444/553839, -855565/1107678]]], 4, 4, [], [] >,
< [ -4, -1, 1 ], [[-14, 4]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [-11, 27/2], [0, -1/2], [0, 0]], [[53/2, -9], [-1062, 751/2], [53/2, -9], [3/2, -3/2]], [[-8, 3/2], [615/2, -143/2], [-8, 3/2], [1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 1], [-1640, 225], [-1, 1], [0, 0]], [[5589, -65/2], [33933049/26, -25748391/13], [73017/13, -861/26], [-45/26, 1/26]], [[1807963/2, -502279/2], [7284978591/13, -7498904853/26], [23622063/26, -6563355/26], [-7409/26, 1054/13]]], 3, 6, [], [] >,
< [ -4, -1, 1 ], [[-43, 17]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -7/2], [-7/2, -3/2], [-4, -2], [0, 0]], [[-6079/2, 22], [-16066037/7746, 43829/3873], [13609/22, 114/11], [-6011/85206, -1/42603]], [[472797, -482577/2], [415009618/1291, -636630022/3873], [-1006959/11, 1056041/22], [153444/14201, -21536/3873]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[121/2, 1], [101/2, 17/2], [-2, 3/2], [0, 0]], [[27643, -459/2], [17134128533/50349, -19448785/100698], [-3769775/286, 732/143], [55069/1107678, 1/553839]], [[-26085111/2, -603548], [-16196030604121/100698, -440186946541/50349], [890879806/143, 97184833/286], [-13015217/553839, -1431341/1107678]]], 4, 4, [], [] >,
< [ -4, -1, 1 ], [[-18, 8]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1/2], [271/2, -81/2], [-5/2, 1/2], [0, 0]], [[-124, 45/2], [13367/2, -1920], [-124, 45/2], [-5/2, -1/2]], [[1250, -1825/2], [-180301/2, 92971/2], [1250, -1825/2], [-11/2, -22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [309, 459/2], [0, -5/2], [0, 0]], [[3843/2, -81/2], [-2800937/26, -724278/13], [3843/2, -81/2], [29/13, -1/26]], [[-264240, 236277/2], [23631773/26, -62894541/26], [-264240, 236277/2], [-7923/26, 1775/13]]], 3, 6, [], [] >,
< [ -4, -1, 1 ], [[38, -16]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1], [-205/2, -10], [3/2, 1], [0, 0]], [[0, 0], [2865/2, -539], [0, 0], [-5/2, 0]], [[0, 0], [2046, -869], [0, 0], [1, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [8849/2, 411/2], [-1/2, -1/2], [0, 0]], [[-1250, 1/2], [-261053163/26, 137152001/26], [-16249/13, 17/26], [1/26, 1/13]], [[96, -73/2], [1386353, -1087865/2], [96, -73/2], [0, 0]]], 3, 8, [], [] >,
< [ -4, -1, 1 ], [[18, -4]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -5/2], [-47/2, -175/2], [1/2, -5/2], [0, 0]], [[3/2, -13], [-273/2, -456], [3/2, -13], [1, 0]], [[203/2, 29], [3653, 1388], [203/2, 29], [-1/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [-899/2, 0], [1/2, 0], [0, 0]], [[0, 0], [57355/26, 3496/13], [-67/13, -4/13], [67/26, 2/13]], [[0, 0], [7262707/26, -670400/13], [-9093/13, 2016/13], [9093/26, -1008/13]]], 3, 8, [], [] >,
< [ -4, -1, 1 ], [[194, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 1], [49/2, 5], [-9/2, 1], [0, 0]], [[-3/2, 1], [76, -41], [33/2, -11], [-3/2, 1]], [[-9, 3], [403, -144], [99, -33], [-9, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -1], [-8381/2, -14], [9/2, -1], [0, 0]], [[11, 5/2], [-175291/13, -46616/13], [2981/13, 1355/26], [11/13, 5/26]], [[-491/2, 81], [3581977/13, -1147063/13], [-133061/26, 21951/13], [-491/26, 81/13]]], 1, 368, [], [] >,
< [ -4, -1, 1 ], [[1234, -480]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[83/2, -15], [225/2, -35], [83/2, -15], [0, 0]], [[1861, -744], [9343/2, -3917/2], [1871, -734], [-1/2, -1/2]], [[30426, -11913], [155259/2, -30576], [30396, -11873], [3/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[77/2, -25/2], [-4109/2, 283/2], [77/2, -25/2], [0, 0]], [[1952720, 9695/2], [-6284760255/26, -2754337275/26], [25392303/13, 126559/26], [53/26, 1/13]], [[-3310349469/2, 791117936], [876762143427/26, -663152820498/13], [-43045517753/26, 10287237008/13], [-20944/13, 10320/13]]], 1, 368, [], [] >,
< [ -4, -1, 1 ], [[226, -89]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-107/2, 0], [4, -3/2], [-115/2, 3/2], [0, 0]], [[13669, 6297], [12785/6, -3/2], [52139/11, 138587/22], [5/66, 0]], [[-236533/2, -31008], [-76106669/2582, 7743486/1291], [114535/22, -617096/11], [-29747/28402, 3020/14201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, 1/2], [-281, -27], [49/2, 5/2], [0, 0]], [[69195/2, -369/2], [18735827687/50349, -65433527/50349], [-85897649/286, 11720/143], [3043/50349, 5/1107678]], [[464378315/2, -48789426], [83698954320971/33566, -8746182010785/16783], [-574069833351/286, 59414755932/143], [149094615/369226, -1401345/16783]]], 1, 60, [], [] >,
< [ -4, -1, 1 ], [[130, -48]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -7], [43/2, -17], [11/2, -7], [0, 0]], [[-598, 555/2], [-1843, 825], [-582, 515/2], [2, -5/2]], [[-2459/2, 376], [-3670, 1183], [-2291/2, 376], [21/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, -13/2], [355/2, 75/2], [17/2, -13/2], [0, 0]], [[-4977/2, 635], [-169544/13, 286125/26], [-61047/26, 8360/13], [-87/26, -5/26]], [[-2636641/2, 509090], [-294021407/26, 117326123/26], [-32995249/26, 6381647/13], [-15251/13, 11263/26]]], 1, 60, [], [] >,
< [ -4, -1, 1 ], [[659, -257]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[53/2, 1], [3/2, 1/2], [25, 1/2], [0, 0]], [[5423/2, -401], [5699161/7746, -2647/2582], [75175/22, -4421/11], [1957/85206, -1/28402]], [[-2931909/2, 590437], [-2479347461/7746, 514543702/3873], [-19501230/11, 15791975/22], [-425782/42603, 32131/7746]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-171/2, 1/2], [-691/2, 21/2], [-52, 2], [0, 0]], [[62317/2, -980], [1800954953/100698, -585595148/50349], [206826677/286, -300308/143], [-93355/1107678, -2/553839]], [[869860572, -720287285/2], [49820396015981/50349, -19019003570074/50349], [2756264276655/143, -2299358133997/286], [-1237998208/553839, 516803264/553839]]], 1, 60, [], [] >,
< [ -4, -1, 1 ], [[290, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-40, 25/2], [-17, 13/2], [-40, 25/2], [0, 0]], [[1671/2, -687/2], [380, -295/2], [1683/2, -687/2], [-3/2, 0]], [[3096, -2305/2], [2701/2, -530], [3102, -2325/2], [-3/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-125/2, 45/2], [-2243/2, 581/2], [-125/2, 45/2], [0, 0]], [[261299/2, -826], [66291794/13, 49449947/26], [261909/2, -801], [-61/26, -5/26]], [[-42221107, 26597534], [-2042088657/26, 10599486484/13], [-42297822, 26656524], [15343/26, -5899/13]]], 1, 60, [], [] >,
< [ -4, -1, 1 ], [[34, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 5], [-5, -7], [6, 5], [0, 0]], [[309/2, -91/2], [-503, 349/2], [321/2, -99/2], [3/2, -1]], [[3577/2, -245], [-10573/2, 1395], [3625/2, -305], [6, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -11/2], [-2547/2, -57/2], [-3/2, -11/2], [0, 0]], [[6649/2, -835/2], [-4560453/13, 5539881/26], [87991/26, -11023/26], [37/26, -2/13]], [[-45679/2, -2751], [13021132/13, -36396813/26], [-604705/26, -36540/13], [-259/26, -37/26]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[107, -41]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[886, 0], [7231319/3758, 1812/1879], [1/2, 3/2], [-2906/1879, 3/3758]], [[3765/2, -4291], [7647154/1879, -35031945/3758], [-28, -13/2], [-12407/3758, 14070/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -1/2], [47, -15], [-2, 3/2], [0, 0]], [[-60953/2, -63/2], [-6851207303/48854, 7404468/24427], [-408199/26, -1409/26], [-102209/48854, 1/24427]], [[30776712, 43985399/2], [6855665677283/48854, 4906225604765/48854], [415062215/26, 148136154/13], [51452940/24427, 36785511/24427]]], 1, 28, [], [] >,
< [ -4, -1, 1 ], [[50, -16]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-12870, 1/2], [-57024687/6254, -17060/3127], [-12870/59, 1/118], [-26191/6254, -2/3127]], [[-71409591/2, 11052778], [-158076806459/6254, 24451650842/3127], [-71409591/118, 11052778/59], [-36321775/3127, 22483265/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[193, -1], [-24024/59, 1059/59], [193/59, -1/59], [0, 0]], [[-1038725/2, -434169], [168503399903/81302, 34383596808/40651], [-9029825/1534, -5644167/767], [-111840/40651, -3/81302]], [[-78342209/2, 447871137], [-132728840255384/40651, 12249759988621/81302], [-15109943937/1534, 7979814881/767], [704574761/81302, -107874505/40651]]], 1, 84, [], [] >,
< [ -4, -1, 1 ], [[50, -16]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[49/2, -11/2], [75/2, -11/2], [49/2, -11/2], [0, 0]], [[-6125/2, 980], [-8865/2, 1250], [-6125/2, 980], [2, 0]], [[1225/2, -196], [886, -250], [1225/2, -196], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-47/2, 7], [-83/2, -20], [-47/2, 7], [0, 0]], [[-3183/2, 489], [-38868/13, -34639/26], [-42073/26, 6272/13], [67/26, 3/26]], [[25601/2, -9341/2], [140430/13, 50751/26], [336131/26, -121643/26], [-399/26, 42/13]]], 1, 28, [], [] >,
< [ -4, -1, 1 ], [[658, -257]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2078, -3/2], [-281728765/3758, -1865/1879], [151061/3758, 1/1879], [-1224/1879, 1/3758]], [[445786857/2, -93361438], [-15091007901925/1879, 6322380558025/1879], [8091693245/1879, -3390016385/1879], [-524886367/7516, 219874469/7516]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1102122713/3758, -22534/1879], [53353/3758, 1/1879], [0, 0]], [[10181/2, 1/2], [574944219886399/24427, -36998287302747/48854], [-27832770073/24427, 1791223327/48854], [14463/97708, 1/97708]], [[-31882275/2, 6679670], [-1897871043446800532/24427, 788197844002570366/24427], [91875419041135/24427, -38156414633138/24427], [-45293765/97708, 18978875/97708]]], 1, 28, [], [] >,
< [ -4, -1, 1 ], [[42, -20]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[13907/2, -9/2], [28689925/6254, 9843/3127], [13907/118, -9/118], [13687/6254, -2/3127]], [[-3206827/2, 749182], [-111850175/106, 26156015/53], [-54353/2, 12698], [-3154005/6254, 1474065/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-74, -1], [-21123/59, 55/59], [-74/59, -1/59], [0, 0]], [[-80781/2, -3619], [-6497925831/81302, -1489048341/81302], [-80781/118, -3619/59], [-108471/81302, 1/40651]], [[-1063817512, 524852781], [-59238357364181/40651, 69000491524543/81302], [-1063817512/59, 524852781/59], [-1710763987/40651, 1574998437/81302]]], 1, 84, [], [] >,
< [ -4, -1, 1 ], [[370, -144]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[62, -51/2], [-13, 13/2], [62, -51/2], [0, 0]], [[-2835, 765], [1903/2, -11], [-2841, 773], [3/2, -2]], [[33165/2, -6030], [-8679/2, 2453/2], [33301/2, -6064], [-17, 17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 3/2], [-107/2, 111/2], [-5/2, 3/2], [0, 0]], [[117/2, -41/2], [23732/13, -10645/26], [1551/26, -525/26], [-15/26, -2/13]], [[382, -283/2], [145175/13, -87461/26], [5034/13, -3667/26], [-34/13, -3/13]]], 1, 28, [], [] >,
< [ -4, -1, 1 ], [[18, -9]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 7/2], [4, 1], [1/2, 5/2], [0, 0]], [[22, 53/2], [1711/38, -30/19], [-25, 53/2], [-5/38, -2/19]], [[29/2, -6], [-35, 27/2], [99/2, -39/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[135/2, -2], [152, 61/2], [-13/2, -5/2], [0, 0]], [[-226573/2, 39555], [-90369823/494, 12804313/247], [135011/26, -12279/13], [805/494, -1/247]], [[-20355564, 7552489], [-412243608/13, 139462823/13], [11042007/13, -6246349/26], [3099/13, -1033/26]]], 1, 20, [], [] >,
< [ -4, -1, 1 ], [[27, -9]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 3], [3/2, 1/2], [0, 5/2], [0, 0]], [[-63, 15/2], [-191/13, -79/26], [-137/2, 10], [-75/26, -1/13]], [[-943/2, 271/2], [-161/2, 13/2], [-524, 157], [-19, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -3/2], [7, 1], [-3, -1/2], [0, 0]], [[43/2, 11], [-619/26, -379/26], [144/13, 147/26], [-1/13, -1/13]], [[-4, 3/2], [210/13, -167/26], [33/26, -6/13], [5/26, -1/13]]], 1, 20, [], [] >,
< [ -4, -1, 1 ], [[18, 0]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-15/2, 8], [-831/38, 116/19], [99/2, 3/2], [89/38, -1/38]], [[-5855/2, 1147], [-87526/19, 68263/38], [13863/2, -2689], [6653/19, -5167/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -5/2], [-1, -17/2], [-5, 0], [0, 0]], [[1409/2, 65/2], [617516/247, 14449/247], [-1049/26, 212/13], [661/247, 5/494]], [[-1517370, 1151445/2], [-2759247243/494, 524762200/247], [1964244/13, -1534419/26], [-3045177/494, 580302/247]]], 1, 40, [], [] >,
< [ -4, -1, 1 ], [[18, 0]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, 5/2], [-1, 1], [-8, 3/2], [0, 0]], [[119/2, -37/2], [645/26, -20/13], [99/2, -35/2], [55/26, -1/13]], [[-1689/2, 312], [-7393/26, 2099/26], [-726, 553/2], [-308/13, 84/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-63/2, -1], [-283/2, 9/2], [10, -1/2], [0, 0]], [[-41465/2, -3645/2], [-2389459/26, -26126/13], [168213/26, 415/26], [5/26, 1/13]], [[-3270837, 1249221], [-210615892/13, 161694693/26], [30569251/26, -11749443/26], [27/2, -63/13]]], 1, 40, [], [] >,
< [ -4, -1, 1 ], [[18, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1], [-3/2, 0], [9/2, 3], [0, 0]], [[0, 0], [107/2, -12], [0, 0], [-5/2, -1]], [[0, 0], [855/2, -353/2], [0, 0], [-7/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -5/2], [-465/2, 57/2], [-3/2, -15/2], [0, 0]], [[1567, -157], [-2105167/26, 545624/13], [60546/13, -6165/13], [27/26, 1/13]], [[883/2, -478], [-1726801/26, 492977/26], [34353/26, -18453/13], [1/13, -9/26]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[46, -18]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, 5/2], [-21/2, 7/2], [-11/2, 5/2], [0, 0]], [[231/2, -35], [199, -76], [453/4, -141/4], [9/4, 1/4]], [[-3029/2, -1054], [-117, -232], [-5347/4, -3757/4], [-711/4, -459/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, -9/2], [-59/2, 21/2], [23/2, -9/2], [0, 0]], [[-11/2, -3], [-20, -11/2], [-9/4, -1/4], [-9/4, -1/4]], [[215, 275/2], [556, 707/2], [95/2, 30], [95/2, 30]]], 2, 3, [], [] >,
< [ -4, -1, 1 ], [[14, -6]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [-115/2, 41/2], [-1/2, -1/2], [0, 0]], [[11/2, 1/2], [4, 0], [11/4, 1/4], [11/4, 1/4]], [[1/2, -1/2], [2, -1], [1/4, -1/4], [1/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 5/2], [-109/2, 39/2], [1/2, 5/2], [0, 0]], [[-669/2, -419/2], [55, 190], [-1335/4, -833/4], [-3/4, -5/4]], [[-431, -176], [-2963, 1371], [-445, -169], [14, -7]]], 0, 6, [], [] >,
< [ -4, -1, 1 ], [[19, -7]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-69/2, 25/2], [-39/2, 11/2], [-69/2, 25/2], [0, 0]], [[-1830, 752], [-891, 428], [-1830, 751], [0, 1]], [[-197/2, -311/2], [-356, -276], [-377/4, -611/4], [-17/4, -11/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[37, -13], [52, -20], [37, -13], [0, 0]], [[-5155/2, 1855/2], [-7319/2, 2801/2], [-5147/2, 1857/2], [-4, -1]], [[-3015/2, 203/2], [-1673, 478], [-5965/4, 445/4], [-65/4, -39/4]]], 0, 4, [], [] >,
< [ -4, -1, 1 ], [[59, -23]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -2], [39, -17], [4, -2], [0, 0]], [[-11, -17/2], [9/2, -10], [-15/4, -15/4], [-9/4, -5/4]], [[43/2, -1/2], [255/2, -89/2], [16, -3], [-1/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [-1/2, 9/2], [9/2, 3/2], [0, 0]], [[-27, 11], [169/2, -69/2], [-115/4, 39/4], [3/4, 1/4]], [[-9/2, 0], [25/2, -1], [1, 7/2], [-3/2, -1]]], 2, 2, [], [] >,
< [ -4, -1, 1 ], [[6, -2]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -2], [-26, 11], [0, -2], [0, 0]], [[-51/2, -27/2], [95/2, -17/2], [-51/2, -27/2], [0, 0]], [[1/2, -1/2], [0, 0], [1/4, -1/4], [1/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1/2], [249/2, 25/2], [7/2, 1/2], [0, 0]], [[61/2, -39/2], [76757/26, -18307/26], [14/13, -258/13], [85/26, 1/26]], [[0, 0], [1855/26, 265/26], [-63/52, -9/52], [7/52, 1/52]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[138, -54]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 9/2], [0, 2], [19/2, 5/2], [0, 0]], [[-76, 119/2], [613/38, 2/19], [-127, 59], [-265/114, -1/38]], [[18741/2, -3562], [-1713/2, 355], [24129/2, -9359/2], [245/2, -305/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-53, 1], [-105, -25], [4, 2], [0, 0]], [[6195/2, -1435/2], [2013327/247, -174491/247], [19641/26, 9/26], [956/741, 1/741]], [[271161, -221943/2], [286932197/494, -62366272/247], [603677/13, -275582/13], [117407/1482, -53617/1482]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[-42, 18]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 2], [1, -1], [8, 2], [0, 0]], [[123/2, 57/2], [1010/19, 276/19], [123/2, 57/2], [88/57, 2/57]], [[-3845/2, 99/2], [-101989/38, 21917/38], [-3845/2, 99/2], [-13345/114, 1413/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -1/2], [169, -25], [-15/2, -1/2], [0, 0]], [[5082, 3801], [-16188814/247, -11271816/247], [67676/13, 49409/13], [-805/741, 2/741]], [[949787/2, -2338061/2], [1072423761/494, 5563719355/494], [6728233/26, -28413583/26], [2809499/1482, -990605/1482]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[39, -15]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[14, 0], [276/13, -43/26], [27/2, 5/2], [49/78, 1/39]], [[-697/2, 263/2], [-1181/2, 225], [-242, 88], [-44/3, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 0], [1, 0], [0, 0]], [[-121/2, -5/2], [-2415/26, 134/13], [93/26, -35/26], [-5/78, 1/39]], [[5/2, 1/2], [5/2, 1/2], [0, 0], [0, 0]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[18, -6]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[47/2, -1/2], [-1181/38, -105/38], [91/2, 2], [-23/38, -1/57]], [[-155/2, 67/2], [1584/19, -724/19], [-267/2, 119/2], [104/57, -46/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 3/2], [43, 15], [13/2, 3/2], [0, 0]], [[-545/2, 225/2], [717501/247, 156244/247], [8331/26, 1506/13], [-725/741, -1/1482]], [[200425/2, -77809/2], [-181249973/494, 101743457/494], [-593633/26, 227083/13], [101219/494, -23113/247]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[18, -6]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -3/2], [-7/2, -3/2], [-14, 5], [0, 0]], [[18, 10], [18, 10], [30, -9], [0, 0]], [[1/2, -1/2], [33/26, -11/13], [1/2, -1/2], [1/26, -1/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27/2, 5/2], [-159/2, 53/2], [-22, 8], [0, 0]], [[-5680, -3320], [-142452/13, -124857/26], [-45681/26, -12803/26], [1/78, 1/39]], [[248, -512], [50456/13, -2196], [31501/26, -14595/26], [1/26, -1/78]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[18, -6]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, 5/2], [-57/2, 39/2], [-11/2, 5/2], [0, 0]], [[-10, 4], [-61, 63/2], [-10, 4], [-2, -1/2]], [[-2, 1], [7/2, 18], [-2, 1], [-7/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [-129/2, -21/2], [5/2, -1/2], [0, 0]], [[125/2, -1/2], [-2269, -1823/2], [135/2, -1/2], [1/2, 0]], [[-10725/2, 3575/2], [2340339/26, -315417/26], [-150465/26, 50135/26], [-552/13, 183/13]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[90, -34]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-225/2, 3/2], [27645/118, -1171/118], [-225/118, 3/118], [0, 0]], [[-7254, -6162], [-1230899826/3127, 37463344/3127], [-7254/59, -6162/59], [-214787/40651, -2/40651]], [[2367248, -1299220], [-3009738555953/6254, 1138011862905/6254], [2367248/59, -1299220/59], [-502164765/81302, 189045367/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, 5/2], [-5727/118, 2375/118], [-21/118, 5/118], [0, 0]], [[144, 109], [3302417097/6254, -218035/6254], [144/59, 109/59], [557293/81302, 5/81302]], [[-779129, 581956], [67122700910396/3127, -25120245791787/3127], [-779129/59, 581956/59], [11325889860/40651, -4238586900/40651]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[282, -110]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-247/2, -3/2], [-741/118, 227/118], [-247/118, -3/118], [0, 0]], [[372277/2, -132497], [38485817/3127, -42612713/6254], [372277/118, -132497/59], [110421/81302, -1/40651]], [[-1753068713, 667342429], [-318773900399/3127, 122656983381/3127], [-1753068713/59, 667342429/59], [-237986851/40651, 99043663/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[633/2, 1/2], [3197/118, -823/118], [633/118, 1/118], [0, 0]], [[46265, 90645/2], [4458153/118, 136233/59], [46265/59, 90645/118], [1/2, 0]], [[1212768299/2, -299062747/2], [-4408054413363/6254, 1867609992535/6254], [1212768299/118, -299062747/118], [-422147078/40651, 175716784/40651]]], 2, 12, [], [] >,
< [ -4, -1, 1 ], [[79, -31]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-11918, -2], [80661809/3758, 1115/3758], [-9/2, 3/2], [-41906/24427, -1/24427]], [[1677515/2, 1581657/2], [-5673470291/3758, -2675340916/1879], [-163/2, 187/2], [5895267/48854, 2779882/24427]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-143/2, 49/2], [-7/2, 1/2], [0, 0]], [[847/2, -3/2], [714044093/48854, -17511877/48854], [10705/26, -563/26], [-2797/48854, 5/48854]], [[-98875/2, -69125/2], [-78420822287/48854, -27637196608/24427], [-1076761/26, -768523/26], [328125/48854, 114625/24427]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[34, -14]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-375/2, 5/2], [-209532942/3127, -4116/3127], [-375/118, 5/118], [139251/81302, 3/81302]], [[548269/2, -228351/2], [599314148781/6254, -250526813655/6254], [548269/118, -228351/118], [-99572445/40651, 41623547/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[32, -2], [-7515/59, 1764/59], [32/59, -2/59], [0, 0]], [[-40025/2, -26685/2], [10294117695/81302, 2099970723/81302], [-572733/1534, -344839/1534], [-18274/40651, -1/40651]], [[83923680, 20847520], [257138109143469/81302, -115889326900777/81302], [34304824/767, 706848063/767], [-1382872241/81302, 576019115/81302]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[34, -14]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -3/2], [29/2, -15/2], [9/2, -3/2], [0, 0]], [[-8, 2], [-53/2, 26], [-8, 2], [-1/2, 2]], [[-66, 21], [-611/2, 371/2], [-66, 21], [-25/2, 25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -1], [21, 25], [4, -1], [0, 0]], [[-10, 40], [48569/26, 16670/13], [40/13, 528/13], [85/26, 2/13]], [[-4705/2, 1735/2], [-182031/26, -2679/26], [-51373/26, 18523/26], [1224/13, -504/13]]], 1, 10, [], [] >,
< [ -4, -1, 1 ], [[794, -310]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10218531/3758, 16869/3758], [5465/3758, -3/3758], [0, 0]], [[3673/2, -1], [-10475467901/1879, -7870777524/1879], [5620380/1879, 4220250/1879], [-4327/7516, 1/7516]], [[51569/2, -2780], [-99602020140/1879, -82836386339/1879], [53455176/1879, 44410932/1879], [-60743/7516, 6533/7516]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27078719/1879, 15018/1879], [-1310/1879, -1/1879], [0, 0]], [[85295/2, 3], [-474763531031/48854, -172566969673/48854], [21788337/48854, 8354669/48854], [121169/97708, 5/97708]], [[90786962, -9907977], [-850239224305465/48854, -216891815786881/48854], [38615536347/48854, 10778840939/48854], [64486225/24427, -7039244/24427]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[34, -10]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4623769/1879, 26292/1879], [2448/1879, -1/1879], [0, 0]], [[4671/2, 5/2], [275198324540/1879, 199271470015/1879], [-147958396/1879, -106848215/1879], [4671/7516, 5/7516]], [[-6258807/2, 4356027/2], [747684417556195/3758, 349757231397915/3758], [-399832600169/3758, -188281680381/3758], [-6258807/7516, 4356027/7516]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [113326777/3758, -50691/3758], [-5465/3758, 3/3758], [0, 0]], [[-640567/2, 3/2], [-1400916149696199/48854, 34292043927077/48854], [67557344909/48854, -1660379639/48854], [-640567/97708, 3/97708]], [[-271705318593/2, 189184531613/2], [-317360594523711156586/24427, 209081034758543014069/24427], [15308250741048646/24427, -10083089776068015/24427], [-271705318593/97708, 189184531613/97708]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[10, -6]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[14968, 0], [38477938/3127, 2627/6254], [11263/59, -24/59], [-17442/40651, -1/81302]], [[-1819735/2, 1007467/2], [-4677602683/6254, 1294901980/3127], [-1375761/118, 759393/118], [2120377/81302, -586980/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35994/59, 1432/59], [119/59, 4/59], [0, 0]], [[3461/2, 3/2], [-1256618031/81302, 18857911/40651], [-1365/118, 263/118], [4101/81302, 1/40651]], [[-668928, 364480], [259232098849/40651, -135759861336/40651], [375187/59, -167064/59], [-793280/40651, 33232/3127]]], 1, 18, [], [] >,
< [ -4, -1, 1 ], [[98, -38]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 0], [-16, 5], [-1, 0], [0, 0]], [[9, -4], [115/2, -85/2], [9, -4], [-1/2, -5/2]], [[-311/2, 131/2], [-2219/2, 631], [-311/2, 131/2], [-10, 61/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, 7/2], [233/2, -35/2], [-13/2, 7/2], [0, 0]], [[-130, 40], [30991/26, -10037/13], [-1679/13, 516/13], [-11/26, 2/13]], [[-10, -5], [-231, -165], [-10, -5], [0, 0]]], 1, 10, [], [] >,
< [ -4, -1, 1 ], [[22, -10]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1], [35, 6], [-2, 1], [0, 0]], [[-3/2, -1/2], [-69, -103/2], [-3/2, -1/2], [-5/2, -1]], [[0, 0], [35/2, -7], [0, 0], [-5/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, -11/2], [-2153/2, 1091/2], [25/2, -11/2], [0, 0]], [[315, 21], [-515108/13, -301051/26], [3795/13, 258/13], [30/13, 3/26]], [[840, -357], [-1593405/26, 382218/13], [10115/13, -4301/13], [161/26, -34/13]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[-466, 182]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 5], [-4, 5/2], [19/2, 5/2], [0, 0]], [[2975/2, 279], [2890385/3873, 401371/7746], [13803/22, 5007/22], [1070/42603, -1/42603]], [[-62783/2, 11901/2], [-47588613/2582, 36239705/7746], [-19795/2, 8779/22], [-19143/28402, 16307/85206]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, 0], [51, 11/2], [-11/2, -1/2], [0, 0]], [[37371/2, 83/2], [15328135153/100698, -13005469/33566], [-4723603/286, 1015/26], [36811/1107678, 1/369226]], [[-274113/2, 897905/2], [-3062600997/2582, 9412422985/2582], [2825027/22, -8702839/22], [-647/2582, 22645/28402]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[-26, 2]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 5/2], [-25, 11], [3/2, 5/2], [0, 0]], [[-9131/2, 413/2], [-22670759/7746, 769501/2582], [-16473/22, 4487/22], [-9665/85206, 1/28402]], [[-834312, 113434], [-2116406362/3873, 385604968/3873], [-1636248/11, 507846/11], [-867895/42603, 84889/42603]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 2], [81, -75], [6, 2], [0, 0]], [[18436, 21], [-5660550383/100698, -6661495/33566], [-2382608/143, 241/13], [36811/1107678, 1/369226]], [[3760389/2, -97227/2], [-96190347729/16783, 6791335399/50349], [-486098293/286, 1239113/26], [625766/184613, -50465/553839]]], 0, 36, [], [] >,
< [ -4, -1, 1 ], [[-58, 22]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -7/2], [53/2, -19/2], [11/2, -7/2], [0, 0]], [[-775/2, 325/2], [-1561, 1205/2], [-775/2, 325/2], [-5/2, 1]], [[-25/2, -25/2], [55/2, 1/2], [-25/2, -25/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, -11/2], [5989/2, -2513/2], [25/2, -11/2], [0, 0]], [[-2408, 56], [-972183/2, 64619], [-2403, 56], [1/2, 0]], [[551173, -209601], [1678882159/13, -645164742/13], [7150879/13, -2719363/13], [-1437/13, 545/13]]], 1, 10, [], [] >,
< [ -4, -1, 1 ], [[-197, 77]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[694, 4], [10771646/3873, 14461/7746], [55427/22, -17/22], [8149/85206, 2/42603]], [[-1074217/2, 357895/2], [-5595833027/2582, 1870625085/2582], [-21623880/11, 7233240/11], [-1058600/14201, 353920/14201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [1, 0], [0, 0]], [[-4011, 2], [174095754/16783, 17461/16783], [5444367/286, -27/286], [19143/369226, 1/369226]], [[-11656615/2, 4226873/2], [1516533869075/100698, -91636304763/16783], [718676905/26, -260564035/26], [7580215/100698, -458040/16783]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[-86, 34]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, -7], [-275, 110], [16, -7], [0, 0]], [[-197/2, 79/2], [1633, -1275/2], [-197/2, 79/2], [3/2, -1]], [[0, 0], [9/2, 0], [0, 0], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, -11/2], [-115/2, 991/2], [25/2, -11/2], [0, 0]], [[-70059/2, -297/2], [144099767/13, 80839420/13], [-70059/2, -297/2], [31/26, -3/26]], [[6454800, -322740], [-3593666481/2, -974683977], [6454800, -322740], [-449/2, 32]]], 1, 10, [], [] >,
< [ -4, -1, 1 ], [[178, -70]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, 3/2], [-45/2, 35/2], [-11/2, 3/2], [0, 0]], [[-25/2, 11/2], [-205/2, -5], [-25/2, 11/2], [-2, 5/2]], [[667/2, -319/2], [3689, 1373/2], [667/2, -319/2], [45/2, -90]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1], [390, -405], [-3, 1], [0, 0]], [[-3879/2, 15/2], [-20544899/26, -10303070/13], [-50227/26, 205/26], [50/13, 5/26]], [[87175, -22542], [-27598053/26, 449537513/26], [1129028/13, -292063/13], [-4247/26, 983/26]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[70, -26]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -3], [203, -103], [6, -3], [0, 0]], [[28, -9], [1975/2, -773/2], [28, -9], [1/2, -5/2]], [[-63/2, 17/2], [-1050, 827/2], [-63/2, 17/2], [3/2, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[29/2, -13/2], [-693/2, -4209/2], [29/2, -13/2], [0, 0]], [[17193, 27], [243244188/13, 277562825/26], [223581/13, 352/13], [-36/13, -1/26]], [[398623, -148478], [1692282391/26, -165363275/26], [5183738/13, -1930823/13], [-1639/26, 609/26]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[838, -322]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-435/2, 175/2], [-417/2, 171/2], [-435/2, 175/2], [0, 0]], [[33/2, -23/2], [9, -16], [-147/2, -131/2], [-5/2, -3/2]], [[1090, -425], [2153/2, -419], [928, -353], [-9/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-435/2, 175/2], [461/2, 1929/2], [-435/2, 175/2], [0, 0]], [[-2652921, 1944], [-10767930001/26, -6736375315/26], [-34489163/13, 25102/13], [7/26, 1/26]], [[-175450275/2, 120750291/2], [257673870319/26, 87963125973/13], [-2280901175/26, 1569804443/26], [70/13, -149/26]]], 1, 1104, [], [] >,
< [ -4, -1, 1 ], [[5622, -2194]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-70, 27], [25, -13], [-70, 27], [0, 0]], [[165/2, -67/2], [-59/2, -5/2], [205/2, -67/2], [-1, 0]], [[-801/2, 315/2], [90, -45/2], [-941/2, 355/2], [7/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[439, -170], [-3554, 1865], [439, -170], [0, 0]], [[-59525/2, 1155/2], [-45638270/13, -31590745/13], [-775135/26, 15801/26], [-5/26, 3/26]], [[1953828, 3473472], [37299132789/26, 11675375292/13], [25259463/13, 45157232/13], [-1071/26, 8/13]]], 1, 1104, [], [] >,
< [ -4, -1, 1 ], [[198, -62]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, 1/2], [7, -5], [-13/2, 1/2], [0, 0]], [[251/2, 3299/2], [31645463/7746, 2914753/7746], [36671/22, 36439/22], [-1105/85206, -5/85206]], [[-300586, 168656], [1440544709/2582, -1225851823/7746], [-702607/11, 1040933/11], [-56559/28402, 53057/85206]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-189/2, -3/2], [850, 48], [-189/2, -3/2], [0, 0]], [[817575/2, 426627/2], [-393606463175/100698, -214955297797/100698], [93400457/286, 61000629/286], [16597/1107678, 5/1107678]], [[648967161, 87115843], [-95076771794921/16783, -56925922356631/50349], [39258880151/143, 29166716989/143], [12598230/184613, -11794462/553839]]], 0, 720, [], [] >,
< [ -4, -1, 1 ], [[4718, -1842]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-365/2, 3/2], [1, 2], [-367/2, -1/2], [0, 0]], [[149165/2, -52297], [-22806335/7746, -82141/3873], [2030315/22, -104545/2], [-14015/85206, -5/85206]], [[143556903/2, -24291772], [-8421587759/7746, 2373310391/3873], [1724852695/22, -615860801/22], [-5255597/85206, 266621/7746]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-87/2, -5/2], [-533, 3], [89/2, -1/2], [0, 0]], [[-289763/2, -2561], [-26945455555/16783, 1035491605/100698], [246699081/286, -332205/286], [-30197/184613, -1/553839]], [[445608555/2, -251723029/2], [262353091915495/100698, -143246653970441/100698], [-395929280859/286, 217685535233/286], [289913155/1107678, -159696929/1107678]]], 1, 120, [], [] >,
< [ -4, -1, 1 ], [[582, -226]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-73, 29], [-140, 59], [-73, 29], [0, 0]], [[723/2, -117/2], [1249, 235], [693/2, -147/2], [3/2, 3/2]], [[2421, -936], [9549/2, -1784], [2466, -956], [-9/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-75/2, 35/2], [1627/2, -169/2], [-75/2, 35/2], [0, 0]], [[-114291/2, 265/2], [-15999793/13, -17226009/13], [-1479025/26, 2791/26], [31/26, -3/26]], [[58307500, -37920625], [-58880855127/26, -4550515050/13], [753703663/13, -490613725/13], [-39393/26, 10800/13]]], 1, 180, [], [] >,
< [ -4, -1, 1 ], [[3005, -1173]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -5/2], [1/2, -5/2], [-12, -1], [0, 0]], [[-63/2, -3/2], [-374973/2582, -6325/7746], [42325/11, -113/11], [-74/14201, 1/42603]], [[-7/2, 1/2], [-108527/7746, 2647/1291], [7839/22, -1147/22], [-41/85206, 1/14201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-99/2, 1/2], [645/2, -203/2], [62, -17], [0, 0]], [[-43943/2, -18045/2], [7839620613/33566, -392355686/50349], [10007353/286, 58393/286], [-8741/369226, -2/553839]], [[-65093840, -6634898], [20262850982623/16783, -16086509390849/50349], [49781808751/286, -12214304273/286], [-43729165/369226, 32566475/1107678]]], 1, 180, [], [] >,
< [ -4, -1, 1 ], [[1318, -514]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-401/2, 155/2], [-597/2, 221/2], [-401/2, 155/2], [0, 0]], [[-20190, 7998], [-57797/2, 24407/2], [-20214, 8022], [-3/2, 3/2]], [[121632, -48384], [345663/2, -74622], [121752, -48544], [15/2, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -4], [858, -52], [9, -4], [0, 0]], [[-40539/2, -1/2], [95837663/26, 41048851/13], [-40359/2, -31/2], [9/13, -3/26]], [[-5009743, 2266748], [-13037220101/26, 392712107/26], [-4980788, 2254653], [5791/26, -2419/26]]], 1, 180, [], [] >,
< [ -4, -1, 1 ], [[102, -34]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, 6], [-55, 8], [-20, 6], [0, 0]], [[75/2, -99/2], [-165/2, -212], [83/2, -79/2], [1, 5/2]], [[-1515/2, 633/2], [-1545, 749], [-1375/2, 565/2], [35/2, -17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-135/2, 49/2], [1819/2, 255/2], [-135/2, 49/2], [0, 0]], [[79420, 1793], [-17226583/2, -5186600], [79005, 1793], [5/2, 0]], [[-5378912, 1797719], [2873869605/26, 925782005/26], [-69548953/13, 23242610/13], [-4541/26, 1539/26]]], 1, 144, [], [] >,
< [ -4, -1, 1 ], [[86, -14]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[365/2, 3/2], [-27933/118, -5891/118], [365/118, 3/118], [0, 0]], [[736117/2, 480505/2], [-2243152095/3127, -1464148978/3127], [736117/118, 480505/118], [23353/6254, -3/6254]], [[8855806855/2, 5866986195/2], [-53973687887749/6254, -35754065474937/6254], [8855806855/118, 5866986195/118], [209748800/3127, -26550208/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-86, -2], [5229/59, -2189/59], [-86/59, -2/59], [0, 0]], [[-125349/2, -82845/2], [17307123/6254, -12584597/6254], [-125349/118, -82845/118], [14659/3127, 2/3127]], [[70112280, 47460840], [-39300837701/6254, 21961616869/6254], [70112280/59, 47460840/59], [-48877101/6254, 6077835/6254]]], 0, 336, [], [] >,
< [ -4, -1, 1 ], [[1726, -674]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, 5/2], [2297/118, -1165/118], [-21/118, 5/118], [0, 0]], [[-5209/2, 521/2], [527409/118, 53719/118], [-5209/118, 521/118], [-1, 0]], [[-1686911/2, 835327], [742204389/3127, -9786601049/6254], [-1686911/118, 835327/59], [-1186419/6254, 1048437/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[102, 1], [-225/59, 180/59], [102/59, 1/59], [0, 0]], [[52631/2, 12495], [96558/59, 75029/118], [52631/118, 12495/59], [1/2, 0]], [[-10940912, -10093015], [-3107731561/6254, -3816351821/6254], [-10940912/59, -10093015/59], [629049/6254, -1015725/6254]]], 1, 168, [], [] >,
< [ -4, -1, 1 ], [[485, -189]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-2157/2, 5/2], [-8838173/3758, 6979/1879], [-3/2, 1/2], [7123/3758, -2/1879]], [[-13/2, -3/2], [-26640/1879, -12347/3758], [0, 0], [43/3758, 5/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-67/2, 41/2], [-3/2, 3/2], [0, 0]], [[-20362, -2], [-2339840091/24427, 21517100/24427], [-139380/13, 685/13], [-34390/24427, -1/24427]], [[-33835105/2, -22139303/2], [-1896752929437/24427, -2484307348789/48854], [-114283426/13, -74812818/13], [-57134797/48854, -18692603/24427]]], 1, 84, [], [] >,
< [ -4, -1, 1 ], [[14, -18]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[263, 2], [5842329/6254, -957/6254], [263/59, 2/59], [-3615/6254, 1/6254]], [[-27661/2, 47959/2], [-323737251/6254, 531072537/6254], [-27661/118, 47959/118], [100232/3127, -164296/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-145, -2], [11542/59, 2236/59], [-145/59, -2/59], [0, 0]], [[29903/2, 19183/2], [1050998424/40651, -759855825/40651], [-140719/1534, 249349/1534], [-88243/81302, -5/81302]], [[-134450677, -85938360], [33042083658911/81302, -6626635679583/81302], [-2442675454/767, 81432939/767], [-231605551/81302, 399543873/81302]]], 1, 84, [], [] >,
< [ -4, -1, 1 ], [[214, -82]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[123/2, -43/2], [53/2, -31/2], [123/2, -43/2], [0, 0]], [[6839/2, -2709/2], [3719/2, -692], [6839/2, -2709/2], [-2, -1/2]], [[-14826, 5698], [-15357/2, 3153], [-14826, 5698], [-5/2, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[45/2, -17/2], [59/2, 95/2], [45/2, -17/2], [0, 0]], [[-59, 22], [619/13, -4123/26], [-413/13, 362/13], [-35/13, -1/26]], [[1251, -405], [188765/26, 110039/13], [-3466/13, -14858/13], [3077/26, 543/13]]], 1, 84, [], [] >,
< [ -4, -1, 1 ], [[46, -38]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64186190/1879, -22534/1879], [-34391/1879, 1/1879], [0, 0]], [[6378, 2], [-45880760323023/3758, -36059899601619/3758], [24607844375/3758, 19335066875/3758], [3189/1879, 1/1879]], [[983430195/2, -394162815/2], [460071088617036195/1879, -124142377855028271/1879], [-246420782156875/1879, 66457615744375/1879], [983430195/7516, -394162815/7516]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3737836001/3758, 9381/3758], [180953/3758, -1/3758], [0, 0]], [[-14463, -1], [-8439393216900785/48854, 364271403571577/48854], [408561353463/48854, -17635939315/48854], [-14463/48854, -1/48854]], [[-101963661/2, 40868801/2], [-15905457149516134446/24427, 6347253283679047677/24427], [770005795860006/24427, -307279476524857/24427], [-101963661/97708, 40868801/97708]]], 0, 336, [], [] >,
< [ -4, -1, 1 ], [[13694, -5346]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-109731271/1879, 15018/1879], [58818/1879, -1/1879], [0, 0]], [[-5897/2, 1/2], [38921052094059/3758, 22702760646841/3758], [-20868241459/3758, -12173062005/3758], [6947/7516, 1/7516]], [[514054025/2, -96068300], [-216998783650655550/1879, 14358070916693143/1879], [116311605015060/1879, -7683138026928/1879], [-605300975/7516, 226228925/7516]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1533549237/3758, -88243/3758], [-74247/3758, 5/3758], [0, 0]], [[182131/2, 3], [868433233822295/48854, 1735704360362969/48854], [-42041436497/48854, -84031838829/48854], [258733/97708, 1/97708]], [[-61450857625, 22967346350], [1165076782119774333371/48854, -514490594329978935039/48854], [-56407420672828655/48854, 24909043261231075/48854], [-87300107975/48854, 32628712125/48854]]], 1, 56, [], [] >,
< [ -4, -1, 1 ], [[38, -2]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[4045/2, -1/2], [-9330239/6254, 4509/6254], [-1439/118, 85/118], [4793/6254, -3/6254]], [[-138112, 14726], [318602558/3127, -68068663/6254], [50363/59, -7821/59], [-163678/3127, 35009/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41895/59, -787/59], [-134/59, -5/59], [0, 0]], [[56572, 0], [-23595302555/40651, 5228276/40651], [-53217/59, 122/59], [67820/40651, -2/40651]], [[-171/2, 5/2], [71343485/81302, -1044051/40651], [161/118, -5/118], [-205/81302, 3/40651]]], 1, 252, [], [] >,
< [ -4, -1, 1 ], [[1686, -658]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-174, 68], [-229, 88], [-174, 68], [0, 0]], [[17/2, -5/2], [3, -45/2], [13/2, 3/2], [1/2, -1]], [[201/2, -79/2], [611/2, -225/2], [73/2, -31/2], [16, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-201/2, 79/2], [-2185/2, 791/2], [-201/2, 79/2], [0, 0]], [[4259/2, -1637/2], [259880/13, -263457/26], [55473/26, -21277/26], [-53/26, -1/13]], [[18649/2, -13195/2], [8436039/13, 7370159/26], [232643/26, -178175/26], [4897/26, 1660/13]]], 1, 84, [], [] >,
< [ -4, -1, 1 ], [[414, -162]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[29/2, 3/2], [-3, -1], [35/2, 5/2], [0, 0]], [[-35/2, 5/2], [2475/38, 99/38], [-65/2, -1/2], [127/38, -1/38]], [[261, -209/2], [-13849/19, 11445/38], [382, -157], [-770/19, 315/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[163/2, 1], [-16, -11/2], [15/2, 1/2], [0, 0]], [[-92133/2, 4019], [7716977/494, 458479/247], [-115949/26, 4299/26], [-1395/494, 5/494]], [[-3279258, 2954289/2], [181472026/247, -197112585/494], [-3786031/13, 1766917/13], [-42813/247, 20519/247]]], 1, 40, [], [] >,
< [ -4, -1, 1 ], [[-126, 54]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -1/2], [-7, 1], [-11/2, -1/2], [0, 0]], [[219/2, 103/2], [556/19, 726/19], [219/2, 103/2], [32/19, -1/19]], [[851/2, -349/2], [-17017/38, 6477/38], [851/2, -349/2], [991/38, -389/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 0], [139, -61], [2, 0], [0, 0]], [[-2091/2, -1045/2], [1197479/494, 3075157/494], [-25125/26, -13603/26], [-343/494, 3/494]], [[40111/2, -3117/2], [98103702/247, -50234142/247], [389359/26, 5751/26], [11007/247, -3856/247]]], 0, 160, [], [] >,
< [ -4, -1, 1 ], [[117, -45]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[1, 1], [21/13, 11/26], [9/2, -1/2], [19/26, -2/13]], [[5/2, 5/2], [81/26, 37/26], [8, 0], [16/13, -2/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 0], [1, 0], [0, 0]], [[93/2, 3/2], [1207/26, 17/13], [-3/26, 7/26], [1/26, 0]], [[-17/2, 7/2], [-17/2, 7/2], [0, 0], [0, 0]]], 1, 40, [], [] >,
< [ -4, -1, 1 ], [[54, -18]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-13/2, 3/2], [-33/2, 3/2], [65/2, 0], [3/2, 0]], [[-17, 7], [-1351/38, 595/38], [60, -28], [105/38, -49/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -3/2], [21, -1], [11/2, -3/2], [0, 0]], [[134, 12], [2452989/494, 42977/494], [25846/13, 160/13], [2063/494, 5/494]], [[-12603/2, 6135/2], [-133469741/494, 61556231/494], [-2872659/26, 657543/13], [-115443/494, 26361/247]]], 1, 40, [], [] >,
< [ -4, -1, 1 ], [[54, -18]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1], [3, 1], [2, 1], [0, 0]], [[-3/2, 1/2], [-3/2, 1/2], [0, 0], [0, 0]], [[1/2, -1/2], [21/26, -7/13], [-5/2, 3/2], [3/26, -1/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, -1], [-24, -1], [-2, 0], [0, 0]], [[541/2, -67/2], [8923/26, -570/13], [853/26, -179/26], [5/26, -1/13]], [[-47/2, -25/2], [-59/2, -31/2], [-2, -1], [0, 0]]], 1, 120, [], [] >,
< [ -4, -1, 1 ], [[54, -18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [9/2, -21/2], [-3/2, -3/2], [0, 0]], [[0, 0], [-135/2, 14], [0, 0], [5/2, 2]], [[0, 0], [-525/2, 153/2], [0, 0], [9/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 0], [165, 0], [6, 0], [0, 0]], [[-70, -1], [-148351/26, -1537/26], [-2640/13, -93/13], [5/26, -3/26]], [[947/2, -627/2], [506975/13, -665843/26], [33729/26, -23373/26], [-89/26, 15/13]]], 1, 40, [], [] >,
< [ -4, -1, 1 ], [[269, -105]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[40, -16], [27, -11], [40, -16], [0, 0]], [[36, -33/2], [69/2, -31/2], [149/4, -65/4], [-5/4, -1/4]], [[641/2, 293/2], [273, 119], [967/4, 381/4], [315/4, 205/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, 9/2], [187/2, -75/2], [-25/2, 9/2], [0, 0]], [[1555/2, -599/2], [-6037, 2387], [3119/4, -1195/4], [-9/4, -3/4]], [[103, -151/2], [-2679/2, 503/2], [355/4, -339/4], [57/4, 37/4]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[9, -5]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 1], [-130, 48], [5, 1], [0, 0]], [[139/2, 85/2], [-74, -34], [275/4, 177/4], [7/4, 1/4]], [[-3, -15], [-153/2, 89/2], [-69/4, -39/4], [21/4, -9/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35/2, -5/2], [1243/2, -467/2], [-35/2, -5/2], [0, 0]], [[-5047/2, -3233/2], [2300, 1640], [-10091/4, -6473/4], [-7/4, -1/4]], [[5894, 3682], [-36941, 8585], [6315, 3521], [-161, 65]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[9, -5]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, -5/2], [-641/2, 237/2], [-23/2, -5/2], [0, 0]], [[31416, 20222], [45499/2, 43735/2], [125637/4, 80883/4], [27/4, 5/4]], [[115385/2, 47823/2], [1867713/2, -641233/2], [116125/2, 47523/2], [-370, 150]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 5/2], [381/2, -145/2], [-1/2, 5/2], [0, 0]], [[1594, 1022], [3709/2, 1213/2], [6353/4, 4087/4], [23/4, 1/4]], [[199/2, 137/2], [4961/2, -1763/2], [85, 74], [29/2, -11/2]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[29, -9]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 0], [-431, 163], [-4, 0], [0, 0]], [[-30267/2, -19433/2], [-46482, -34454], [-60539/4, -38881/4], [-15/4, -5/4]], [[13308, 8420], [125883/2, 42529/2], [53293/4, 33671/4], [-9/4, 13/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, 0], [-279, 131], [16, 0], [0, 0]], [[-17947/2, -11457/2], [-62519/2, -40861/2], [-17945/2, -11467/2], [-5, -1]], [[151426, 97730], [1109453/2, 675775/2], [606929/4, 390755/4], [-165/4, 265/4]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[29, -9]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-991/2, 387/2], [-1017/2, 397/2], [-991/2, 387/2], [0, 0]], [[173/2, -41/2], [59, -23], [311/4, -27/4], [55/4, 5/4]], [[-2777/2, -1779/2], [-7/2, -5/2], [-2470, -1582], [-1385/2, -887/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-748, 292], [-663, 259], [-748, 292], [0, 0]], [[1529/2, -597/2], [693, -269], [3059/4, -1191/4], [3/4, 1/4]], [[7/2, 5/2], [-71/2, -45/2], [7/2, 5/2], [0, 0]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[958, -374]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-63, 25], [285, -111], [-63, 25], [0, 0]], [[7095/2, -1358], [-15810, 6187], [14191/4, -5435/4], [-1/4, 3/4]], [[-23143/2, -15393/2], [-15665/2, -7459/2], [-22565/2, -15023/2], [-289, -185]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, -9/2], [43/2, -15/2], [21/2, -9/2], [0, 0]], [[-3/2, 0], [-15/2, -3/2], [-3, 1], [3/2, -1]], [[111/2, 71/2], [400, 256], [71/4, 45/4], [151/4, 97/4]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[94, -38]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -1/2], [39/2, -7/2], [-15/2, -1/2], [0, 0]], [[-322, -162], [585/2, 387/2], [-1137/4, -643/4], [-151/4, -5/4]], [[22619/2, -9603/2], [4077/2, -765/2], [10541/2, -4845/2], [6039, -2379]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[29/2, 3/2], [-113/2, 105/2], [29/2, 3/2], [0, 0]], [[15043/2, 10505/2], [38609, 19739], [30081/4, 21011/4], [5/4, -1/4]], [[-927/2, -721/2], [-5873/2, -2311/2], [-927/2, -721/2], [0, 0]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[7, -11]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[71/2, 5/2], [855/2, -259/2], [71/2, 5/2], [0, 0]], [[1096147/2, 701345/2], [1258084, 799442], [2192307/4, 1402689/4], [-13/4, 1/4]], [[9272336, 5981488], [20434405, 13968327], [9272032, 5981624], [304, -136]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[46, 2], [-259, 147], [46, 2], [0, 0]], [[20735/2, 13325/2], [48311/2, 30389/2], [20727/2, 13325/2], [4, 0]], [[0, 0], [-13/2, 5/2], [7/4, -3/4], [-7/4, 3/4]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[11194, -4370]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 0], [-179, 69], [2, 0], [0, 0]], [[-38, -26], [125/2, 51/2], [-38, -26], [7/2, 1/2]], [[-1/2, -9/2], [43, -11], [-1/2, -9/2], [9/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 3/2], [-1037/2, 397/2], [13/2, 3/2], [0, 0]], [[-7788, -4988], [6779, 5145], [-7788, -4988], [-2, 2]], [[-23589/2, -15113/2], [7444, 8896], [-23589/2, -15113/2], [-29/2, 15/2]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[538, -210]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-33/2, 13/2], [-87/2, 35/2], [-33/2, 13/2], [0, 0]], [[4, -3/2], [29/2, -3/2], [7, -3/2], [-3/2, 0]], [[-5/2, 1], [-5, 2], [5/2, -1], [-5/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23, -9], [-12, 6], [23, -9], [0, 0]], [[115/2, -21], [-105/2, 73/2], [115/2, -21], [-2, 5/2]], [[1616, -1125/2], [-2291/2, 2407/2], [1616, -1125/2], [-45/2, 90]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[58, -18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, -5/2], [-647/2, 267/2], [-23/2, -5/2], [0, 0]], [[-7439, -4773], [16607/2, 9353/2], [-7439, -4773], [-1/2, 1/2]], [[-2107/2, -1333/2], [1051/2, 1813/2], [-2107/2, -1333/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, -1/2], [-1459/2, 587/2], [17/2, -1/2], [0, 0]], [[-19960, -12800], [-128005/2, -77367/2], [-19960, -12800], [25/2, 3/2]], [[-316020, -205780], [-2826823/2, -931857/2], [-316020, -205780], [2605/2, -813/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[38, -14]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -2], [100, -48], [-10, -2], [0, 0]], [[-703/2, -473/2], [-575, -353], [-1441/4, -947/4], [35/4, 1/4]], [[1181/2, 555/2], [1263/2, 1077/2], [1099/2, 597/2], [41, -21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, 3/2], [515/2, 65/2], [21/2, 3/2], [0, 0]], [[440, 24], [121089/26, 9491/26], [28343/52, 1293/52], [-607/52, -5/52]], [[-4724, 2676], [-612847/13, 359799/13], [-155395/26, 86919/26], [3619/26, -1927/26]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[38, -14]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, 3/2], [547/2, -211/2], [-11/2, 3/2], [0, 0]], [[-12717/2, -8103/2], [14026, 7350], [-25457/4, -16203/4], [23/4, -3/4]], [[-62413, -40643], [142927/2, 199421/2], [-249141/4, -162831/4], [-511/4, 259/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [-235/2, 43/2], [-1/2, 1/2], [0, 0]], [[0, 0], [153383/26, 525/26], [-5211/52, -9/52], [579/52, 1/52]], [[0, 0], [2129112/13, -1281232/13], [-36315/13, 21789/13], [4035/13, -2421/13]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[38, -14]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, 3/2], [-5/2, -19/2], [25/2, 3/2], [0, 0]], [[4191/2, 5661/2], [-7590, -3048], [8405/4, 11295/4], [-27/4, -1/4]], [[484561/2, -88325/2], [154861, -143525], [963461/4, -174689/4], [1961/4, -925/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31/2, -3/2], [657/2, -49/2], [31/2, -3/2], [0, 0]], [[6387/2, 3297/2], [838277/13, 491279/13], [159759/52, 86077/52], [371/52, 1/52]], [[36450, 82450], [1533214, 1504012], [47349, 76843], [-567, 315]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[26, -10]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13, 1], [-3, -6], [13, 1], [0, 0]], [[-335, -251], [903/2, 529/2], [-1309/4, -999/4], [-31/4, -5/4]], [[-6047/2, 1559/2], [-1330, 982], [-13147/4, 3547/4], [1053/4, -429/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -2], [-240, -51], [-2, -2], [0, 0]], [[-995, 25], [1845505/26, -1236445/26], [-49679/52, 1327/52], [-229/52, -3/52]], [[-271625/2, 114841/2], [39818235/2, -15063947/2], [-130741, 55247], [-1127/2, 483/2]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[-282, 114]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 3/2], [-210, 82], [-7/2, 3/2], [0, 0]], [[317/2, -1/2], [-5977/38, 869/38], [317/2, -1/2], [317/114, -1/114]], [[-25151, 9333], [573806/19, -218214/19], [-25151, 9333], [-25151/57, 3111/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1], [-3193, 1253], [1, -1], [0, 0]], [[6493, 5621], [-47364069/494, -26448927/494], [89006/13, 73076/13], [-4597/1482, -1/494]], [[200918681/2, -112659489/2], [201065276875/247, -31350107279/247], [2133993013/26, -1285530501/26], [119487460/741, -14920238/247]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[-27, 15]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31/2, 5/2], [31/2, 5/2], [-32, 12], [0, 0]], [[-17539/2, -10663/2], [-227977/26, -138613/26], [3361/2, -309/2], [-5/26, -1/26]], [[-38011, -20454], [-494021/13, -265914/13], [18284, -5116], [-61/39, 2/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 39/2], [-455/2, 215/2], [-112, 44], [0, 0]], [[10063/2, 6431/2], [136229/26, 85521/26], [2385/26, 779/26], [-5/78, -5/78]], [[-11377/2, -7401/2], [-10715/2, -104179/26], [4431/26, -3683/26], [23/78, -1/78]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[-114, 42]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[113/2, 3/2], [-25, 11], [113/2, 3/2], [0, 0]], [[-348529/2, -277451/2], [-1180573/38, 47125/38], [-348503/2, -277453/2], [-13/114, 1/114]], [[715662, -39089], [-6909622/19, 2937874/19], [715824, -39157], [-27/19, 34/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[24, 0], [103, -3], [24, 0], [0, 0]], [[7789/2, -417/2], [13083991/494, -724039/494], [146643/26, -5311/26], [-2063/1482, -5/1482]], [[-38094075/2, 15676781/2], [-32083523080/247, 13197789076/247], [-698170687/26, 288498549/26], [4612448/741, -1925009/741]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[-114, 42]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, 1], [145, -57], [7, 1], [0, 0]], [[9971, 6464], [-162455/38, 21903/38], [9972, 6461], [-1/114, 1/38]], [[-209/2, -187/2], [1125, -425], [-209/2, -187/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, 3/2], [213, -101], [-23/2, 3/2], [0, 0]], [[68323/2, 41707/2], [111862799/494, 61679753/494], [819669/26, 542125/26], [3115/1482, 1/494]], [[-570958, -1966350], [4283460570/247, -5045099022/247], [-39844888/13, -12046564/13], [491249/247, -614363/741]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[78, -30]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -1/2], [22, -13], [-7/2, -1/2], [0, 0]], [[-8, -1], [436/19, -111/19], [-18, -7/2], [5/19, 5/114]], [[-25/2, 9/2], [2381/38, -911/38], [-49/2, 17/2], [43/114, -5/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, 3/2], [153, -38], [21/2, 3/2], [0, 0]], [[-15069/2, -8527/2], [-14575078/247, -3077694/247], [-175909/26, -55360/13], [-940/741, -1/494]], [[15992265/2, 8587831/2], [35380686993/494, 4235698081/494], [181881255/26, 56816484/13], [2451185/1482, -99220/741]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[-114, 42]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [5/2, -1/2], [-268, 104], [0, 0]], [[51/2, -21/2], [487/26, -277/26], [90, 2], [44/39, 1/39]], [[411/2, -157/2], [4685/26, -1611/26], [679/2, -443/2], [329/78, -215/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[130, 0], [-1424, 606], [-518, 202], [0, 0]], [[-110789/2, -71043/2], [-1444181/26, -902835/26], [-504/13, 3464/13], [2/39, -2/39]], [[0, 0], [120/13, -3], [145/26, -61/26], [1/26, -1/78]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[7362, -2874]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[309/2, -121/2], [999/2, -387/2], [309/2, -121/2], [0, 0]], [[-4425/2, 1725/2], [-7115, 2782], [-4427/2, 1731/2], [-1/2, 3/2]], [[165/2, -105/2], [789/2, -173/2], [253/2, -49/2], [22, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[309/2, -121/2], [6993/2, -2565/2], [309/2, -121/2], [0, 0]], [[-3648, -192], [16983195/26, 12090159/26], [-46929/13, -2481/13], [99/26, 3/26]], [[738720, -270864], [105911081/13, -142836883/13], [9499520/13, -3482952/13], [-10384/13, 3828/13]]], 0, 80, [], [] >,
< [ -4, -1, 1 ], [[50, -42]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1137/2, 1/2], [-7187/118, -469/118], [-1137/118, 1/118], [0, 0]], [[-11918468, 1311732], [-4960958550/3127, 204337566/3127], [-11918468/59, 1311732/59], [360093/40651, -1/40651]], [[33206870740, -22907966468], [22397051195061/6254, -19055901989193/6254], [33206870740/59, -22907966468/59], [-1397929979/81302, 1382546703/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[472, 0], [-1215, 115], [8, 0], [0, 0]], [[-3405213/2, -2175579/2], [13273034608/3127, 6630094142/3127], [-3405213/118, -2175579/118], [-1916363/81302, -1/81302]], [[196368460596, 126239951250], [-1956457615646313/6254, -1971336224419847/6254], [196368460596/59, 126239951250/59], [-144698778015/81302, 143106464347/81302]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[67, -23]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150, 60], [-125, 49], [0, 0]], [[-331665/2, -5/2], [179567226/1879, -7580841/1879], [8701, -3381], [-331665/48854, -5/48854]], [[1542151573/2, 985380307/2], [-1489637555979/3758, -951412348309/3758], [-554631/2, -170093/2], [1542151573/48854, 985380307/48854]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-61, 23], [-72, 28], [0, 0]], [[8827/2, -1/2], [-1052579314/24427, -8078425/24427], [-4130/13, -4778/13], [679/3758, -1/48854]], [[-21099685, -13512505], [10265007613417/48854, 6573832738743/48854], [156561915/26, 100259625/26], [-21099685/24427, -13512505/24427]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[42, -2]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[193/2, -1/2], [-20425/118, 5189/118], [193/118, -1/118], [0, 0]], [[-1078050, -707550], [4091081371/6254, 2884516633/6254], [-1078050/59, -707550/59], [-11821/81302, 5/81302]], [[-1458240, -924840], [5891416005/6254, 3634160823/6254], [-1458240/59, -924840/59], [-2069/81302, -5295/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-633, -1], [59520/59, 44896/59], [-633/59, -1/59], [0, 0]], [[-56516285/2, -36244083/2], [411737901862/3127, 263590671942/3127], [-56517589/118, -36244031/118], [-11821/81302, 5/81302]], [[1309625567825/2, 839872849775/2], [-248067526522598703/81302, -158810232696642069/81302], [17025526410845/1534, 10918330911299/1534], [10566012/3127, -212652/40651]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[42, -2]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-32, 2], [1143/59, -525/59], [-32/59, 2/59], [0, 0]], [[-135/2, -69/2], [3983619123/6254, -36459/6254], [-135/118, -69/118], [-661948/40651, -2/40651]], [[34431/2, 17189/2], [-534469517903/3127, 12951538751/3127], [34431/118, 17189/118], [355245419/81302, -8604279/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[687/2, 5/2], [-307453/118, 88633/118], [687/118, 5/118], [0, 0]], [[-77603350, -49718780], [115701233229/767, 74331407165/767], [-1008816646/767, -646345202/767], [6/13, 0]], [[-492869498212, -315771726172], [77891558491369379/81302, 50041923368978825/81302], [-6407131857656/767, -4105039477086/767], [239302925/81302, -383525/81302]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[42, -2]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[504, -2], [1571/59, -183/59], [504/59, -2/59], [0, 0]], [[1203029/2, -1785249/2], [497660817/3127, -141763305/3127], [1203029/118, -1785249/118], [-220553/81302, -3/81302]], [[11566092087/2, -17180832207/2], [9576506524995/6254, -2727358912227/6254], [11566092087/118, -17180832207/118], [-1061220768/40651, -184048/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2489/2, 3/2], [-290955/118, -581/118], [2489/118, 3/118], [0, 0]], [[-7727331/2, 362211/2], [312004859655/40651, -14353477945/40651], [-99420705/1534, 4711053/1534], [-42115/81302, 3/81302]], [[-689347940, 33599716], [4282072140177/3127, -204998565619/3127], [-682251044/59, 33601492/59], [-288896/3127, 592/3127]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[22, -6]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[219287/2, 1/2], [-314388672/3127, -4434/3127], [219287/118, 1/118], [220553/81302, 3/81302]], [[-3660930185/2, 920918983/2], [10497146906133/6254, -2640542076597/6254], [-3660930185/118, 920918983/118], [-141616622/3127, 35623491/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[397, 1], [-49490/59, 1419/59], [397/59, 1/59], [0, 0]], [[322031, 215449], [-4263188747/6254, -2626793297/6254], [323319/59, 215398/59], [23353/81302, -3/81302]], [[-110495475/2, -84154725/2], [11041917723181/81302, 6096052765911/81302], [-1454607127/1534, -1089111145/1534], [-6092842/40651, 1528478/40651]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[15026, -5866]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-361/2, 141/2], [-4583/2, 1803/2], [-361/2, 141/2], [0, 0]], [[-472, 184], [-12101/2, 4603/2], [-469, 179], [3/2, -5/2]], [[28, 36], [10218, 6773], [678, 452], [325, 208]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-283/2, 111/2], [-2949/2, 1173/2], [-283/2, 111/2], [0, 0]], [[-577/2, 229/2], [-38131/13, 16208/13], [-7171/26, 3043/26], [-15/26, -3/26]], [[57, 51], [97713/26, 66509/26], [4646/13, 3160/13], [-355/26, -227/26]]], 0, 112, [], [] >,
< [ -4, -1, 1 ], [[210, -74]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10886397/3758, 1921/3758], [5809/3758, 3/3758], [0, 0]], [[-68213/2, 1/2], [-353734455765/3758, -58751176831/3758], [188907549/3758, 31485263/3758], [-68213/7516, 1/7516]], [[1520850263, -739429091], [10678175049818203/3758, -6322840396690051/3758], [-5693016573761/3758, 3374117153409/3758], [1520850263/3758, -739429091/3758]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-835951697/3758, 84485/3758], [40425/3758, -5/3758], [0, 0]], [[586248, 0], [3129980458707061/3758, -59210265885597/3758], [-151361466395/3758, 2866675507/3758], [12, 0]], [[686372024043/2, -333718270319/2], [24695862301803790971845/48854, -11812714956269209369341/48854], [-1194306856691608243/48854, 571259431396942875/48854], [686372024043/97708, -333718270319/97708]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[1017, -397]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15817/118, -747/118], [-279/118, 5/118], [0, 0]], [[-294169/2, 5/2], [555638415/3127, 74085771/6254], [405/59, -12717/59], [342791/81302, 2/40651]], [[1423395450, -437587290], [-4936218029260/3127, 2809463956103/6254], [-155249541/59, 86437206/59], [-1658604240/40651, 1019762775/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8026/59, -51/59], [-147/59, 2/59], [0, 0]], [[-94757, 1], [-656985331/6254, 2946733/6254], [-237/118, -1007/118], [110419/40651, 2/40651]], [[-351/2, 115/2], [-10324/53, 6765/106], [0, 0], [409/81302, -67/40651]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[31, -3]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35753/118, 653/118], [-693/118, 1/118], [0, 0]], [[-551813/2, -3/2], [-13204822880/3127, -9691473054/3127], [-5379430/59, -3697596/59], [-551813/81302, -3/81302]], [[-7641505515, 1043805668], [-438116376984289/6254, -363583750566569/6254], [-186064836839/118, -136135302261/118], [-7641505515/40651, 1043805668/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48261/118, 889/118], [-929/118, 1/118], [0, 0]], [[-121953, 0], [-312783392/59, -190453339/59], [-6142983/59, -3839745/59], [-3, 0]], [[-5454547549/2, 746341927/2], [-247179190887477/3127, -144122147355494/3127], [-90379663248/59, -55322719536/59], [-5454547549/81302, 746341927/81302]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[74, -34]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, 3], [-4, 0], [0, 0]], [[-470511/2, -3/2], [1046258477/6254, -14336463/6254], [292651/118, -69163/118], [-470511/81302, -3/81302]], [[12490220511, -5575795300], [-28453955667673/3127, 12609479976682/3127], [-11047317190/59, 4484494836/59], [12490220511/40651, -5575795300/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-170869/59, -1731/59], [-547/59, -5/59], [0, 0]], [[-6741/2, -1/2], [-849800935623/81302, 26515509833/81302], [-3956441/118, 126833/118], [-6741/81302, -1/81302]], [[-108305/2, 48397/2], [-14419009484673/81302, 6338147091417/81302], [-67228169/118, 29538765/118], [-108305/81302, 48397/81302]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[42322, -16522]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-755/2, 295/2], [1461/2, -573/2], [-755/2, 295/2], [0, 0]], [[17685/2, -6897/2], [-34175/2, 13317/2], [17713/2, -6889/2], [7, 2]], [[723, 309], [-4541/2, -2313/2], [2280, 1306], [1557/2, 997/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[125/2, -49/2], [-1849/2, 761/2], [125/2, -49/2], [0, 0]], [[8815/2, -3435/2], [-1730013/26, 663821/26], [114755/26, -44647/26], [-40/13, -2/13]], [[-5225/2, 165/2], [2008241/13, 943516/13], [-88379/26, -10917/26], [10227/26, 6531/26]]], 0, 112, [], [] >,
< [ -4, -1, 1 ], [[10118, -3950]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-72, 28], [-183, 69], [-72, 28], [0, 0]], [[360, -140], [1809/2, -681/2], [359, -139], [-1/2, 1/2]], [[-5/2, -15/2], [-177, -128], [-27/2, -29/2], [-11/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-85/2, 33/2], [11067/2, -3267/2], [-85/2, 33/2], [0, 0]], [[3225/2, -21/2], [-46741699/13, -28232550/13], [43435/26, -243/26], [-151/26, -3/26]], [[-43217, 17761], [14091765/26, -139097961/26], [-581186/13, 238898/13], [3873/26, -1601/26]]], 0, 144, [], [] >,
< [ -4, -1, 1 ], [[-138, 34]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, 1/2], [-40, 16], [-21/2, 1/2], [0, 0]], [[486, -172], [3506827/7746, 2257/7746], [-1070/11, -1868/11], [1477/85206, -5/85206]], [[-104865/2, 39913/2], [-93173773/2582, 23177961/2582], [-126219/22, 181235/22], [-39401/28402, 9881/28402]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, 2], [13, -65], [10, 2], [0, 0]], [[381225/2, -913/2], [-9627286027/16783, 222460021/50349], [-49809193/286, -129919/286], [63763/184613, 1/553839]], [[3649592971/2, -890913355/2], [-555835804566217/100698, 137209396298261/100698], [-474527569203/286, 114600713827/286], [3654025679/1107678, -887435071/1107678]]], 0, 576, [], [] >,
< [ -4, -1, 1 ], [[-24842, 9698]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-427/2, 167/2], [-401/2, 165/2], [-427/2, 167/2], [0, 0]], [[-9146, 3570], [-8726, 3447], [-9140, 3574], [3, 2]], [[102, -34], [-1019/2, -843/2], [13, -91], [-89/2, -57/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[295/2, -115/2], [62033/2, -26337/2], [295/2, -115/2], [0, 0]], [[63375, 5], [-3910522511/13, -2618959068/13], [823365/13, 85/13], [-51/13, 2/13]], [[9659727, -8324739], [1559758729075/26, 916816059707/26], [125488186/13, -108154192/13], [-17653/26, 13483/26]]], 0, 160, [], [] >,
< [ -4, -1, 1 ], [[-161, 61]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, 1/2], [23/2, 1/2], [39, -15], [0, 0]], [[-22467/2, -6669/2], [-24165875/2582, -25830263/7746], [166477/22, -17/22], [-3947/28402, 1/85206]], [[176960767/2, -63788313/2], [158835315331/2582, -55819205301/2582], [-2395238749/22, 912790297/22], [56787141/28402, -1967337/2582]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[91, -13], [12, 18], [79, -31], [0, 0]], [[-561771/2, -395243/2], [-18824478727/33566, -6622657071/33566], [-6419679/286, -85461/286], [14423/369226, -1/369226]], [[24639265/2, -21288373/2], [-1329567608603/7746, 457824466223/7746], [-158713429/11, 60067101/11], [1091891/42603, -413927/42603]]], 0, 144, [], [] >,
< [ -4, -1, 1 ], [[-37414, 14606]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[118, -46], [-1691, 657], [118, -46], [0, 0]], [[3524, -1376], [-100589/2, 39305/2], [3513, -1381], [-11/2, -5/2]], [[-743/2, 747/2], [-6305, -12766], [14427/2, 10461/2], [7585/2, 4857/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[184, -72], [-18257, 6551], [184, -72], [0, 0]], [[164165/2, -185/2], [1313808506/13, 907130907/13], [164147/2, -195/2], [-9/26, -5/26]], [[5875/2, -2255/2], [-433195/2, 300839/2], [5875/2, -2255/2], [0, 0]]], 0, 160, [], [] >,
< [ -4, -1, 1 ], [[77282, -30170]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-545/2, 213/2], [14313/2, -5585/2], [-545/2, 213/2], [0, 0]], [[17028, -6644], [-893453/2, 348985/2], [17033, -6641], [5/2, 3/2]], [[-715, 319], [42459/2, -13589/2], [-626, 376], [89/2, 57/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[73/2, -29/2], [-35075/2, 11623/2], [73/2, -29/2], [0, 0]], [[6212, -8], [206087847/26, 178824589/26], [80631/13, -107/13], [-125/26, -3/26]], [[2467689, -816029], [-11990980955/26, 20484821529/26], [32031958/13, -10592796/13], [-47999/26, 15581/26]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[29750, -11614]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-295/2, 115/2], [-11747/2, 4575/2], [-295/2, 115/2], [0, 0]], [[-616, 240], [-49137/2, 19109/2], [-615, 239], [1/2, -1/2]], [[-164, -108], [-12835, -8338], [-392, -254], [-114, -73]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-191/2, 75/2], [-62557/2, 24229/2], [-191/2, 75/2], [0, 0]], [[-107370, -510], [-88498011/26, 521440249/26], [-1395857/13, -6633/13], [47/26, 3/26]], [[-30143685/2, 29430225/2], [-149283124898/13, 7603542613/13], [-391878055/26, 382605775/26], [5075/26, -6425/26]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[360662, -140798]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5179/2, -2023/2], [4903/2, -1899/2], [5179/2, -2023/2], [0, 0]], [[162441, -63405], [306309/2, -119821/2], [162122, -63434], [11/2, 1/2]], [[-19584, -3168], [235069/2, 168225/2], [140061, 99057], [-5505/2, -3525/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3104, -1212], [38637, -13333], [3104, -1212], [0, 0]], [[1188574, 2], [-86924495999/26, -55900836751/26], [15413977/13, -415/13], [-85/26, -1/26]], [[-69854134885/2, 38994125505/2], [-1113590868204013/26, -700182363430987/26], [-905958572509/26, 505705291449/26], [1216089/13, -690669/13]]], 0, 17664, [], [] >,
< [ -4, -1, 1 ], [[2433798, -950126]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7250, 2830], [-6843, 2671], [-7250, 2830], [0, 0]], [[611, -235], [1155/2, -411/2], [648, -124], [1/2, 3/2]], [[799/2, 517/2], [3117/2, 2001/2], [17671/2, 11321/2], [114, 73]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5571/2, 2175/2], [46213/2, -23933/2], [-5571/2, 2175/2], [0, 0]], [[-18666907/2, 9887/2], [3672110569939/26, 2350126503555/26], [-242672935/26, 129055/26], [-6/13, 1/13]], [[-43373559115/2, 2695588223/2], [3592304377779233/13, 2298623084635512/13], [-563863873045/26, 35044239597/26], [-29025/26, 6079/26]]], 0, 17664, [], [] >,
< [ -4, -1, 1 ], [[1238, -446]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[506, 2], [-755, 295], [506, 2], [0, 0]], [[7592049/2, 4858287/2], [66530722/3873, -118642/3873], [83009995/22, 53441085/22], [8188/42603, 2/42603]], [[-4955191657/2, -3127397035/2], [-1096620029627/7746, 394646115263/7746], [-50376863553/22, -35886763235/22], [-134569427/85206, 48394703/85206]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1151/2, -5/2], [8891, -1199], [-1151/2, -5/2], [0, 0]], [[3558350129, 2277794813], [-1194491216091655/33566, -2293689181043695/100698], [508523220527/143, 325724655419/143], [150985/369226, 5/1107678]], [[103272341896267/2, 65600061854581/2], [-52050434916950637683/100698, -33009502071479943001/100698], [14649988706482501/286, 9423239570469611/286], [83261682817/1107678, -29950535977/1107678]]], 0, 11520, [], [] >,
< [ -4, -1, 1 ], [[251478, -98174]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6713/2, -2621/2], [6887/2, -2687/2], [6713/2, -2621/2], [0, 0]], [[-20530, 8010], [-42097/2, 16443/2], [-20475, 8025], [-11/2, -3/2]], [[-330, 5170], [-9948, -851], [-38580, -19330], [3825, 2450]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1791/2, -699/2], [-6627/2, 3503/2], [1791/2, -699/2], [0, 0]], [[-40554, 138], [-1951305403/26, -1252452711/26], [-526657/13, 1467/13], [5/26, -3/26]], [[-110, 26], [-80745, -52113], [-110, 26], [0, 0]]], 0, 2880, [], [] >,
< [ -4, -1, 1 ], [[317, -105]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, -3/2], [-13/2, -3/2], [505, -197], [0, 0]], [[16609/2, 9369/2], [61927375/7746, 12096605/2582], [-402225/22, 5645/22], [1957/85206, -1/28402]], [[-9085, -1536], [-29846975/3873, -7733984/3873], [909956/11, -306672/11], [-4355/42603, 1456/42603]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1065/2, 269/2], [339/2, -279/2], [-702, 274], [0, 0]], [[-157784415/2, -100849421/2], [-2622613600463/33566, -5077873969175/100698], [-25818387/286, 596927/286], [-31905/369226, -5/1107678]], [[-230456434483/2, -144723037795/2], [-10858430636482795/100698, -7534611422870263/100698], [-23486489753/26, 87158074623/286], [-929151061/1107678, 308738819/1107678]]], 0, 2880, [], [] >,
< [ -4, -1, 1 ], [[570422, -222686]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10111/2, -3947/2], [9223/2, -3603/2], [10111/2, -3947/2], [0, 0]], [[26554, -10362], [48173/2, -19051/2], [26653, -10307], [-9/2, -5/2]], [[462, -66], [-2889, -2180], [2970, 1540], [-114, -73]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4717/2, 1841/2], [-66199/2, 23935/2], [-4717/2, 1841/2], [0, 0]], [[214850, 98], [8811568063/26, 5594036407/26], [214875, 83], [5/26, -3/26]], [[3645/2, -1297/2], [553713/2, 305051/2], [3645/2, -1297/2], [0, 0]]], 0, 2880, [], [] >,
< [ -4, -1, 1 ], [[41718, -16286]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2249/2, -877/2], [2129/2, -841/2], [2249/2, -877/2], [0, 0]], [[4886, -1918], [4746, -1763], [4976, -1858], [-3, -2]], [[3836, -1484], [7067/2, -2973/2], [3671, -1589], [11/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[623/2, -243/2], [6493/2, -1205/2], [623/2, -243/2], [0, 0]], [[-33880, 100], [-2082586799/26, -1328915329/26], [-431227/13, 1383/13], [-111/26, -1/26]], [[14874089/2, -5495349/2], [13114638773/13, 7580342852/13], [189389615/26, -69975583/26], [23937/26, -8819/26]]], 0, 2304, [], [] >,
< [ -4, -1, 1 ], [[486, -142]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[107/2, -3/2], [1855/118, -127/118], [107/118, -3/118], [0, 0]], [[54012, 4368], [-421598511/6254, 3507419/6254], [54012/59, 4368/59], [325895/6254, 5/6254]], [[243410265, -57002211], [-1051225374618/3127, 290076765948/3127], [243410265/59, -57002211/59], [805282610/3127, -219345258/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1309/2, 3/2], [-94013/118, -22411/118], [1309/118, 3/118], [0, 0]], [[-1663/2, -1065/2], [146503157/6254, 6497547/6254], [-1663/118, -1065/118], [-42802/3127, -2/3127]], [[0, 0], [-6777/106, 1917/106], [0, 0], [251/6254, -71/6254]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[385, -157]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [227/2, -87/2], [243/2, -95/2], [0, 0]], [[6205/2, 1/2], [-3704294/1879, -57645/1879], [85, -33], [6205/3758, 1/3758]], [[-1070707, -696728], [1329617332/1879, 864358683/1879], [309, -289], [-1070707/1879, -696728/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-333/2, 133/2], [7/2, -3/2], [0, 0]], [[78743/2, 3/2], [2675004052/24427, -23506357/24427], [157486/13, 6/13], [78743/48854, 3/48854]], [[240895255, 154294333], [15997021073649/24427, 10246222104301/24427], [963581020/13, 617177332/13], [240895255/24427, 154294333/24427]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[114, -50]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[19835/2, 3/2], [-504417/118, 9/118], [19835/118, 3/118], [3, 0]], [[27248923/2, -12232725/2], [-18368961315/3127, 8245495611/3127], [27248923/118, -12232725/118], [25781859/6254, -11573129/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[311, -1], [-32874/59, -1006/59], [311/59, -1/59], [0, 0]], [[-6457765/2, -3849873/2], [470082767991/81302, 305040759973/81302], [-76360105/1534, -50048269/1534], [-189771/40651, -2/40651]], [[-19665102925, -33097722273], [6624871779349121/81302, 3667382129876821/81302], [-575813786055/767, -286314252479/767], [32016744803/81302, -14395613707/81302]]], 1, 168, [], [] >,
< [ -4, -1, 1 ], [[142, -86]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-193, 1], [4790/59, 1006/59], [-193/59, 1/59], [0, 0]], [[292929/2, 192215/2], [-303608754/3127, -196021950/3127], [292929/118, 192215/118], [-687/6254, -5/6254]], [[5144295, 3064451], [-20504654377/6254, -12814036275/6254], [5144295/59, 3064451/59], [33165/6254, -21989/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1309/2, 3/2], [-673157/118, 121785/118], [1309/118, 3/118], [0, 0]], [[-1073119963/2, -687760017/2], [202261219251295/81302, 130048312343125/81302], [-13955844547/1534, -8940880233/1534], [-440419/40651, -1/40651]], [[12159139793892, 7768622142060], [-4619434685244196539/81302, -2923914844070757593/81302], [157983653358459/767, 101048667508005/767], [-28387987379/81302, 18859887075/81302]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[142, -86]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[440, 2], [-745/59, 891/59], [440/59, 2/59], [0, 0]], [[-384118, -287402], [-237004175/6254, -91351769/6254], [-384118/59, -287402/59], [38211/6254, 5/6254]], [[483726733/2, 201877235/2], [31395598/59, 762589666/59], [483726733/118, 201877235/118], [461295/118, -305847/118]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-579/2, 3/2], [10771/118, 21485/118], [-579/118, 3/118], [0, 0]], [[27474745/2, 17648675/2], [-2250557645003/81302, -1398441422301/81302], [364814869/1534, 229432799/1534], [636932/40651, 2/40651]], [[336322092950, 213465165620], [-50752009508949149/81302, -35520715209751535/81302], [4239805359779/767, 2862982219919/767], [-44127282857/81302, 29311688953/81302]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[142, -86]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-429, 1], [-874/59, -56/59], [-429/59, 1/59], [0, 0]], [[2705527, 453255], [689279475/6254, 143339121/6254], [2705527/59, 453255/59], [-49345/6254, 5/6254]], [[-6109322439/2, 6677331287/2], [-313955425332/3127, 415759361676/3127], [-6109322439/118, 6677331287/118], [100334827/6254, -66551695/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-365/2, -3/2], [29703/118, 345/118], [-365/118, -3/118], [0, 0]], [[3751155/2, 465/2], [-287883619929/81302, -734923287/81302], [57952539/1534, 6057/1534], [765627/40651, 1/40651]], [[-107644389615, 71525430543], [5249676767487/26, -3506558396815/26], [-28188326430/13, 18729241746/13], [-1658705625/1534, 1101853245/1534]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[92006, -35918]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[124, -48], [85, -35], [124, -48], [0, 0]], [[-21525/2, 8409/2], [-7500, 2897], [-21655/2, 8279/2], [-5/2, -5/2]], [[2193/2, -357/2], [-3927/2, -3737/2], [-12835/2, -9977/2], [-289, -185]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-767/2, 299/2], [741/2, -325/2], [-767/2, 299/2], [0, 0]], [[-27119/2, 10587/2], [177501/13, -69116/13], [-353019/26, 137755/26], [-27/26, 5/26]], [[-623/2, 203/2], [-217275/26, -147013/26], [29901/26, 26983/26], [1747/13, 1119/13]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[382, -198]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-193979, -5], [104, 0], [0, 0]], [[65937/2, 3/2], [5929991710113439/3758, -1235316364823351/3758], [-3179376739487/3758, 662368040815/3758], [65937/7516, 3/7516]], [[1150137100, -215481252], [239182742863764273303/3758, -73786972299534281383/3758], [-128239625604146413/3758, 39562468994313149/3758], [575068550/1879, -107740626/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-524879489/3758, 84485/3758], [25393/3758, -5/3758], [0, 0]], [[698419, 1], [167426699008788/24427, -7743923996618/24427], [-8104220587/24427, 376141165/24427], [698419/48854, 1/48854]], [[70462548735/2, -13202203507/2], [17477008184352499859/48854, -3799774621514059179/48854], [-846065675480865/48854, 184033086791161/48854], [70462548735/97708, -13202203507/97708]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[17539, -6847]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21357/118, 299/118], [369/118, 1/118], [0, 0]], [[-4986, -4], [326821106/3127, 347515265/6254], [-120239/59, -59637/59], [-5908/3127, -5/6254]], [[4419285/2, -3266977/2], [82586601175/3127, 86857099457/3127], [-24761514/59, -32454880/59], [5242361/6254, -3871621/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36695/118, 661/118], [635/118, 3/118], [0, 0]], [[-8739/2, -5/2], [120067662/3127, 189208395/6254], [-40108/59, -32520/59], [-10355/6254, -1/3127]], [[-184341, 115749], [-4955193856/3127, -1691772146/3127], [1752557/59, 550672/59], [-218637/3127, 137184/3127]]], 1, 168, [], [] >,
< [ -4, -1, 1 ], [[389, -145]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21361/118, 6443/118], [753/118, 3/118], [0, 0]], [[21197/2, 5/2], [884164/53, 714145/53], [408, 274], [21197/6254, 5/6254]], [[134998392, -50737560], [-142453019352/3127, 85264566232/3127], [-2957505/59, 13283035/59], [134998392/3127, -50737560/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15988/59, -2592/59], [-457/59, 1/59], [0, 0]], [[-487/2, -1/2], [35965329084/3127, 23410688442/3127], [13502079/59, 8920575/59], [-487/6254, -1/6254]], [[126970, -47723], [-792340436685/6254, -1136510620357/6254], [-90183231/118, -512672733/118], [126970/3127, -47723/3127]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[198, -46]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-117/59, -55/59], [15/59, 1/59], [0, 0]], [[9381, 0], [-5734, -3], [-33, 3], [3, 0]], [[-3214141/2, 822999/2], [6140002895/6254, -1570634297/6254], [729199/118, -215927/118], [-3214141/6254, 822999/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-304091/59, -1377/59], [-1019/59, -5/59], [0, 0]], [[203255, 0], [3932767036/59, -653488919/59], [13358845/59, -2185395/59], [5, 0]], [[-11777089625/2, 3023563487/2], [-183796646745951849/81302, 59699332692938343/81302], [-904081262153/118, 292840167369/118], [-11777089625/81302, 3023563487/81302]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[729894, -284942]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11437/2, -4465/2], [11633/2, -4541/2], [11437/2, -4465/2], [0, 0]], [[46052, -17980], [93841/2, -36543/2], [46173, -17947], [11/2, 3/2]], [[13485/2, 7743/2], [-310631/2, -199833/2], [-532951/2, -342189/2], [-12419, -7953]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6227/2, 2431/2], [-68393/2, 26689/2], [-6227/2, 2431/2], [0, 0]], [[-18712, 7335], [-5338493/26, 2096047/26], [-245968/13, 95378/13], [151/26, 3/26]], [[-25319/2, -15473/2], [-2497440/13, -1546448/13], [518477/26, 341727/26], [-25349/26, -16235/26]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[-846, 342]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, -3/2], [-387, 151], [23/2, -3/2], [0, 0]], [[-8703, -5679], [14758/19, 946/19], [-8703, -5679], [177/19, 1/19]], [[104479/2, 124053/2], [-4578725/38, 1665665/38], [104479/2, 124053/2], [-60161/38, 22213/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 5/2], [818, -346], [-1/2, 5/2], [0, 0]], [[-26981/2, -15523/2], [72747405/494, 42219703/494], [-335027/26, -201781/26], [-2621/494, -3/494]], [[-872780, 94520], [2224447598/247, -201117054/247], [-7659170/13, -152410/13], [-614495/247, 230195/247]]], 0, 2560, [], [] >,
< [ -4, -1, 1 ], [[-81, 45]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, -1/2], [17/2, -1/2], [-80, 32], [0, 0]], [[-1110, -725], [-14259/13, -9422/13], [-1501/2, -55/2], [-57/26, -1/26]], [[-42991/2, -28177/2], [-42427/2, -28189/2], [-16050, 46], [-47, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[333/2, -45/2], [837/2, -245/2], [126, -50], [0, 0]], [[27606, 18918], [312947/13, 249138/13], [-45967/26, 3187/26], [-1/26, -1/26]], [[-3410, -1448], [-4752, -818], [-671, 315], [0, 0]]], 0, 640, [], [] >,
< [ -4, -1, 1 ], [[234, -90]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35/2, -5/2], [-3, -10], [-35/2, -5/2], [0, 0]], [[-693, -16], [1422/19, -6774/19], [-673, -27/2], [15/19, 5/38]], [[7189/2, -1387/2], [-74521/38, 59897/38], [6999/2, -682], [-137/38, 6/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 0], [-103, 31], [-4, 0], [0, 0]], [[-2255/2, -1253/2], [-2184162/247, -526629/247], [-8471/26, -8133/13], [446/247, 3/494]], [[-764352, -401862], [-3308785151/494, -519289633/494], [-1409970/13, -11748645/26], [729267/494, -27060/247]]], 1, 80, [], [] >,
< [ -4, -1, 1 ], [[-342, 126]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29, 1], [-15, 7], [-29, 1], [0, 0]], [[4209/2, 4201/2], [-17185/19, 635/19], [4457/2, 4217/2], [-31/19, -2/19]], [[-26016, 6298], [-673255/38, 278871/38], [-23978, 5428], [-1019/38, 435/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-71/2, -5/2], [-124, -18], [-71/2, -5/2], [0, 0]], [[233147/2, 9031/2], [197838967/494, 22612553/494], [3103911/26, 117283/26], [-1825/494, 3/494]], [[645433313, -272361209], [49877783583/26, -21613848651/26], [8607284369/13, -3631057817/13], [-570135/26, 237795/26]]], 0, 640, [], [] >,
< [ -4, -1, 1 ], [[-342, 126]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-55/2, -5/2], [27, -11], [-55/2, -5/2], [0, 0]], [[-6923/2, -4625/2], [-340, 20], [-6923/2, -4625/2], [-4, 0]], [[48833/2, 10821/2], [-918641/38, 376097/38], [48833/2, 10821/2], [-9849/38, 4087/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1/2], [-138, 62], [3/2, 1/2], [0, 0]], [[741, 0], [-15918, 40], [1425, 0], [3, 0]], [[238899/2, -99311/2], [-1272894997/494, 528805465/494], [5972475/26, -2482775/26], [238899/494, -99311/494]]], 0, 640, [], [] >,
< [ -4, -1, 1 ], [[-342, 126]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -1], [5, -1], [-334, 130], [0, 0]], [[9043/2, 5831/2], [118147/26, 75827/26], [-2573, -895], [-49/13, -2/13]], [[116121, 67624], [1454880/13, 903523/13], [403487/2, -249195/2], [18231/26, -8137/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[130, 0], [-104, 90], [-78, 30], [0, 0]], [[-7189/2, -4581/2], [-89719/26, -58023/26], [1153/26, 395/26], [-3/26, -3/26]], [[-2832, -1448], [-22351/13, -23437/13], [11279/26, -3819/26], [31/26, -15/26]]], 0, 1920, [], [] >,
< [ -4, -1, 1 ], [[22086, -8622]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[401/2, -157/2], [1191/2, -471/2], [1203/2, -471/2], [0, 0]], [[-4720, 1844], [-28099/2, 11009/2], [-14145, 5523], [5/2, -3/2]], [[-520, 260], [-1835/2, 2359/2], [-1683, 699], [-41/2, -27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-79, 31], [876, -480], [-237, 93], [0, 0]], [[17083/2, -735/2], [-33371782/13, -20399487/13], [668043/26, -28875/26], [-43/26, 5/26]], [[-2669139/2, 961695/2], [1308950895/26, 393754033/26], [-104406213/26, 37620345/26], [3688/13, -1360/13]]], 0, 640, [], [] >,
< [ -4, -1, 1 ], [[181, -65]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-81/2, -3/2], [-245/2, -95/2], [-81/2, -3/2], [0, 0]], [[-17/2, -3/2], [-34, -14], [-33/4, -3/4], [-9/4, 5/4]], [[-27, -9], [-247/2, -125/2], [-99/4, -25/4], [-17/4, 13/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-33/2, -3/2], [-73/2, -11/2], [-33/2, -3/2], [0, 0]], [[2615, -507], [10753/2, -1621/2], [10629/4, -2113/4], [171/4, 1/4]], [[509301, -241137], [970108, -484808], [521867, -245651], [5490, -3538]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[102, -14]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, 2], [-80, 16], [14, 2], [0, 0]], [[-26449/2, -899/2], [172409/2, -44373/2], [-26423/2, -885/2], [11, 1]], [[-1287414, 470934], [24381249/2, -9388789/2], [-5148561/4, 1883581/4], [3905/4, -1405/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, 5/2], [-19/2, 7/2], [23/2, 5/2], [0, 0]], [[663/2, -299/2], [-661, 253], [1421/4, -553/4], [105/4, -5/4]], [[2777, -1093], [-10419/2, 4063/2], [11265/4, -4397/4], [571/4, -207/4]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[47, -19]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[39/2, 5/2], [103/2, 5/2], [39/2, 5/2], [0, 0]], [[-14755/2, -10049/2], [-16254, -11318], [-29511/4, -20093/4], [1/4, -5/4]], [[35167/2, 11653/2], [86971/2, 22765/2], [17557, 5835], [53/2, -17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, 5/2], [49/2, -29/2], [-25/2, 5/2], [0, 0]], [[-291/2, -209/2], [-337, -209], [-619/4, -417/4], [37/4, -1/4]], [[38, -58], [-136, -38], [-13/2, -83/2], [89/2, -33/2]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[47, -19]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 2], [9, -3], [-2, 2], [0, 0]], [[515/2, 401/2], [240, 40], [995/4, 801/4], [35/4, 1/4]], [[183/2, 4885/2], [16907/2, -4399/2], [-571/2, 5119/2], [377, -117]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, -3/2], [-43/2, 7/2], [-17/2, -3/2], [0, 0]], [[-1908, -1188], [-4127/2, -2329/2], [-7617/4, -4747/4], [-15/4, -5/4]], [[2187, 729], [9169/2, -353/2], [8651/4, 2945/4], [97/4, -29/4]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[65, -29]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, -3/2], [803/2, -359/2], [-25/2, -3/2], [0, 0]], [[-149227/2, -95617/2], [-534913/2, -340099/2], [-149237/2, -95615/2], [5, -1]], [[-918146, -588190], [-6571721/2, -4188379/2], [-3672763/4, -2352737/4], [179/4, -23/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[49/2, 3/2], [5239/2, -2011/2], [49/2, 3/2], [0, 0]], [[1801599/2, 1153973/2], [2737919/2, 1805213/2], [1801577/2, 1153971/2], [11, 1]], [[12198257/2, 7816379/2], [8963060, 6233148], [24395929/4, 15632843/4], [585/4, -85/4]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[65, -29]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 5/2], [1665/2, -661/2], [15/2, 5/2], [0, 0]], [[-16823/2, -10773/2], [9192, 5192], [-33641/4, -21547/4], [-5/4, 1/4]], [[-217, -139], [232, 136], [-217, -139], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, 1/2], [-5197/2, 2033/2], [-13/2, 1/2], [0, 0]], [[69431/2, 44405/2], [-36205, -22223], [138759/4, 88805/4], [103/4, 5/4]], [[-1174296, -750056], [1255111, 738853], [-1172928, -750208], [-1368, 152]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[65, -29]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-193/2, -3/2], [-169/2, -3/2], [-193/2, -3/2], [0, 0]], [[-21589/2, -1967/2], [-9484, -884], [-43233/4, -3875/4], [59/4, 1/4]], [[94681/2, -14213/2], [41513, -6169], [189857/4, -28701/4], [-275/4, 55/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-113/2, -3/2], [-435/2, 63/2], [-113/2, -3/2], [0, 0]], [[-765520, -494232], [-1725205, -1124603], [-765509, -494247], [-15, -1]], [[46864095/2, 30637805/2], [52311142, 35049630], [93722775/4, 61279045/4], [3435/4, -495/4]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[65, -29]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[69/2, -1/2], [869/2, -281/2], [69/2, -1/2], [0, 0]], [[946791/2, 609285/2], [1039640, 693324], [1893571/4, 1218569/4], [-1/4, -3/4]], [[1693274, 1062070], [4155034, 2247598], [3386583/2, 2124117/2], [-23/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[161/2, 3/2], [173/2, -1/2], [161/2, 3/2], [0, 0]], [[-28612, -14268], [-58603/2, -28505/2], [-114503/4, -57013/4], [59/4, 1/4]], [[-1142660, -444540], [-1182683, -437797], [-1143960, -443704], [836, -116]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[14, -22]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35/2, -1/2], [2721/2, -1085/2], [-35/2, -1/2], [0, 0]], [[-17514, -11214], [-53923/2, -34981/2], [-17514, -11214], [23/2, 1/2]], [[73269/2, 46935/2], [115521/2, 72139/2], [73269/2, 46935/2], [17, -17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[20, 0], [-13, 33], [20, 0], [0, 0]], [[-143/2, -93/2], [-259, -163], [-143/2, -93/2], [-1/2, 1/2]], [[17/2, 11/2], [61/2, 39/2], [17/2, 11/2], [0, 0]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[362, -130]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, 2], [-60589, 23629], [-14, 2], [0, 0]], [[7621205, 4880539], [106475765/2, 68290655/2], [7621205, 4880539], [17/2, -5/2]], [[705819205/2, 452001095/2], [2459884140, 1583243648], [705819205/2, 452001095/2], [2415/2, -867/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-33/2, -3/2], [27461/2, -10641/2], [-33/2, -3/2], [0, 0]], [[193971/2, 124217/2], [-484934, -310766], [193971/2, 124217/2], [15/2, 5/2]], [[350103/2, 224237/2], [-1693705/2, -1144179/2], [350103/2, 224237/2], [312, -112]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[362, -130]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [-28683/2, 11191/2], [-3/2, -1/2], [0, 0]], [[0, 0], [-2083/2, 479/2], [0, 0], [15/2, 5/2]], [[0, 0], [269660, -104588], [0, 0], [-705, 253]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -5/2], [7619/2, -2967/2], [9/2, -5/2], [0, 0]], [[-812, -520], [8129/2, 5155/2], [-812, -520], [-13/2, 1/2]], [[395, 253], [-4435/2, -2321/2], [395, 253], [95/2, -35/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[362, -130]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1], [16782, -6558], [-3, -1], [0, 0]], [[116731/2, 74753/2], [173990, 112398], [116731/2, 74753/2], [-9/2, -3/2]], [[-432985/2, -277235/2], [-767083/2, -1038129/2], [-432985/2, -277235/2], [387, -139]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, 2], [5547, -2195], [10, 2], [0, 0]], [[159121/2, 101899/2], [-795647/2, -509501/2], [159121/2, 101899/2], [-7, -1]], [[4902915/2, 3139545/2], [-12268365, -7844883], [4902915/2, 3139545/2], [-7385/2, 2653/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[14, -22]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 5/2], [10033/2, -3933/2], [-1/2, 5/2], [0, 0]], [[2579, 1665], [-9295, -5813], [2588, 1664], [-9, 1]], [[1509/2, 911/2], [-2337, -1739], [2967/4, 1845/4], [51/4, -23/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, -3/2], [3693/2, 103/2], [-17/2, -3/2], [0, 0]], [[-230265, 1513], [1435209561/26, -191893989/26], [-11978307/52, 78631/52], [503/52, 5/52]], [[952460343/2, -421405027/2], [-3630673473501/26, 1520695838345/26], [6193265058/13, -2740147034/13], [-505073/26, 225413/26]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[118, -46]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, -1], [11, -6], [7, -1], [0, 0]], [[-85, -53], [161/2, 103/2], [-331/4, -209/4], [-9/4, -3/4]], [[61/2, 7/2], [-15, -9], [91/4, 25/4], [31/4, -11/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [339/2, -25/2], [5/2, -1/2], [0, 0]], [[-150, -4], [-235541/26, -60945/26], [-10455/52, -253/52], [295/52, 5/52]], [[999, -211], [615236/13, -21428/13], [34893/26, -7421/26], [-991/26, 215/26]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[118, -46]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -1], [91, -35], [3, -1], [0, 0]], [[-785/2, -503/2], [-2505/2, -1475/2], [-395, -252], [5/2, 1/2]], [[347/2, 225/2], [997, 157], [729/4, 439/4], [-35/4, 11/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -3/2], [-195/2, -77/2], [-9/2, -3/2], [0, 0]], [[7, 15], [-15159/26, 8175/26], [1021/52, 807/52], [-73/52, -3/52]], [[745/2, -1241/2], [679140/13, -295372/13], [-19195/52, -24805/52], [4285/52, -829/52]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[354, -138]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, -5/2], [-7, 5], [25/2, -5/2], [0, 0]], [[184, 317], [1197/2, 307/2], [24, 639/2], [-5/6, 0]], [[13681/2, -7187/2], [-373037/38, 110705/38], [22113/2, -5097], [2449/114, -434/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, 2], [-33, 9], [10, 2], [0, 0]], [[-4209/2, 105/2], [-5291753/494, -1564119/494], [-141383/26, 655/13], [-2095/1482, -2/741]], [[-9166011, 3232267], [-13091653385/494, 3477567265/494], [-301385272/13, 105534937/13], [-8794373/1482, 3063431/1482]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[354, -138]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -2], [-5, 3], [2, -2], [0, 0]], [[-55, -69], [755/38, 2713/38], [-67, -71], [37/114, 1/38]], [[-11685/2, 6323/2], [413613/38, -190747/38], [-9305/2, 2762], [-4267/114, 748/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, -3/2], [6, -6], [23/2, -3/2], [0, 0]], [[8709/2, 503/2], [-895443/494, -1267077/494], [115503/26, 6561/26], [-215/1482, -1/1482]], [[-147871, 50405], [-16298130/247, 9395651/247], [-1963995/13, 1339635/26], [3947/741, -921/494]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[90, -34]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[965/2, -5/2], [1048103883/6254, 11241/6254], [965/118, -5/118], [-174136/40651, -2/40651]], [[-16343759/2, 6130483/2], [-8807076034512/3127, 3300623696478/3127], [-16343759/118, 6130483/118], [5852958927/81302, -2193510351/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1223/2, -1/2], [139937/118, 233/118], [-1223/118, -1/118], [0, 0]], [[-4296705/2, -865683/2], [6755932657/1534, 1294180273/1534], [-55910973/1534, -11251755/1534], [-6/13, 0]], [[20712429759/2, -7401497691/2], [-881437106930550/40651, 316063590163547/40651], [269655414635/1534, -96368134167/1534], [259283239/81302, -97278795/81302]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[90, -34]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1395/2, -5/2], [-3713/118, -251/118], [-1395/118, -5/118], [0, 0]], [[996901/2, 679379/2], [-386186367/3127, 53999981/3127], [996901/118, 679379/118], [313387/81302, 5/81302]], [[-954567655/2, 2092557793/2], [-19440017474685/3127, 7433408374365/3127], [-954567655/118, 2092557793/118], [13038263885/81302, -4893058787/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[75, -1], [23766/59, -12570/59], [75/59, -1/59], [0, 0]], [[9100219/2, 5857933/2], [-375806091705/40651, -232229427249/40651], [118359039/1534, 76150915/1534], [39187/81302, 3/81302]], [[43714674061/2, 34737890259/2], [-7693563734000257/81302, -1168528626811215/81302], [576654584553/1534, 448436006303/1534], [2753270114/40651, -1032728998/40651]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[4639, -1811]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27965/118, 653/118], [487/118, 1/118], [0, 0]], [[-59872, 0], [1827825028/3127, 3374736568/3127], [-636849/59, -1157651/59], [69768/40651, 2/40651]], [[-35037613/2, 55104073/2], [-5677146985720/3127, -2813328742857/6254], [1944577348/59, 487063491/59], [40821475/81302, -32106336/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3011/59, 657/59], [-88/59, 2/59], [0, 0]], [[49853, -1], [-897119411/6254, -156508031/3127], [-83847/118, 107053/118], [-58093/40651, -1/81302]], [[-23497219/2, 36327399/2], [-122396670415/3127, -367152347339/6254], [87887719/59, -8385232/59], [27376125/81302, -21166118/40651]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[4639, -1811]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4479/118, -79/118], [-75/118, -5/118], [0, 0]], [[-104655/2, 3/2], [3761895/59, 46873/118], [-1/59, -417/59], [3/2, 0]], [[-109755123, 173516855], [401642025874/3127, -662662237009/3127], [5529013/59, 511609/59], [127872917/40651, -202198882/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15397/59, -303/59], [-266/59, -2/59], [0, 0]], [[84859/2, 1/2], [-32124684/53, -87785947/106], [12900, 15050], [-98885/81302, -2/40651]], [[-22935977, 36406629], [-266563917003/106, -82995606981/106], [89361095/2, 31692505/2], [26722107/40651, -42424583/40651]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[86, -14]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[193/2, -1/2], [-41937108/3127, -876/3127], [193/118, -1/118], [52671/6254, 1/6254]], [[-409989/2, 51765/2], [177722293599/6254, -21684367215/6254], [-409989/118, 51765/118], [-55802725/3127, 6808725/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[687/2, 5/2], [-81483/118, 605/118], [687/118, 5/118], [0, 0]], [[-1565965/2, -1423055/2], [119868959891/81302, 112775803297/81302], [-20195737/1534, -18499739/1534], [13484/40651, -2/40651]], [[-2914666655/2, -3598105985/2], [108209227322746/40651, 143493356401245/40651], [-37333738049/1534, -46845800159/1534], [92821411/81302, -11737059/81302]]], 1, 336, [], [] >,
< [ -4, -1, 1 ], [[86, -14]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1223/2, -1/2], [-4731/118, 351/118], [-1223/118, -1/118], [0, 0]], [[-5134835/2, -2591759/2], [-483304877/3127, -206048823/3127], [-5134835/118, -2591759/118], [44465/6254, 5/6254]], [[-9792125847, -4130235153], [-1942059177484/3127, -607816125358/3127], [-9792125847/59, -4130235153/59], [114026360/3127, -14470584/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-965/2, 5/2], [148853/118, -15325/118], [-965/118, 5/118], [0, 0]], [[3407703/2, 1901007/2], [-112259883083/40651, -75314405909/40651], [35761439/1534, 24713031/1534], [426935/81302, 3/81302]], [[186038783843/2, 93535188719/2], [-5641070619189592/40651, -3924208002792860/40651], [1769314383179/1534, 1297979013527/1534], [32459490339/81302, -4101078009/81302]]], 1, 336, [], [] >,
< [ -4, -1, 1 ], [[80005, -31233]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19055/59, 995/59], [-384/59, -2/59], [0, 0]], [[-1114, 0], [309260693/6254, 112561576/3127], [-107743/118, -77267/118], [-1320/3127, 1/6254]], [[2025151/2, -841447/2], [58984464897/6254, -1403210078/3127], [-18791997/118, 359623/118], [2401151/6254, -498789/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8497/118, 1479/118], [-221/118, 1/118], [0, 0]], [[-8739/2, -5/2], [375363287/6254, 146697023/3127], [-160157/118, -100601/118], [-10355/6254, -1/3127]], [[-121846974, 50564360], [-3114472847371/6254, 222058136314/3127], [190075605/118, 211953057/118], [-144469600/3127, 119893351/6254]]], 1, 336, [], [] >,
< [ -4, -1, 1 ], [[80005, -31233]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18177/118, -1259/118], [397/118, -5/118], [0, 0]], [[2055/2, 5/2], [1333310139/6254, 921528713/6254], [-437711/118, -315905/118], [2435/6254, 5/6254]], [[-238581/2, 99029/2], [11410374869/3127, 1612160295/6254], [-5039606/59, 191620/59], [-282877/6254, 58702/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50155/118, 1455/118], [869/118, -5/118], [0, 0]], [[-1817/2, 1/2], [-767589257/6254, -402367009/3127], [277773/118, 276183/118], [-2153/6254, 1/3127]], [[5359743/2, -2223855/2], [-837251539860/3127, 448719338539/6254], [266215290/59, -68232306/59], [6354855/6254, -1318248/3127]]], 1, 336, [], [] >,
< [ -4, -1, 1 ], [[1062, -414]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -1/2], [10, -4], [-11/2, -1/2], [0, 0]], [[59/2, 43/2], [455/38, -149/38], [45/2, 16], [5/38, 2/19]], [[6, -2], [-23, 9], [6, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, 3/2], [-23, 13], [-23/2, 3/2], [0, 0]], [[-3925/2, 385/2], [1547981/494, 1164851/494], [-110093/26, 4753/26], [2063/494, 5/494]], [[7611335/2, -2755679/2], [120492915/494, -379655893/494], [199154707/26, -35280429/13], [-3508841/494, 608727/247]]], 1, 160, [], [] >,
< [ -4, -1, 1 ], [[1062, -414]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, -1/2], [3, -3], [13/2, -1/2], [0, 0]], [[8, -89], [1974/19, 272/19], [-56, -177/2], [-47/19, -3/38]], [[137289/2, -60975/2], [84711/2, -28355/2], [71583/2, -18714], [-2397/2, 423]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-41/2, -3/2], [-107, -11], [-41/2, -3/2], [0, 0]], [[36267/2, 5229/2], [23554022/247, 4096816/247], [470723/26, 34001/13], [-16/247, 1/494]], [[-1418275/2, 440331/2], [-1748286283/494, 527087295/494], [-18399435/26, 2855487/13], [1627/494, -284/247]]], 1, 160, [], [] >,
< [ -4, -1, 1 ], [[29, -9]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[62, 2], [43, 9], [62, 2], [0, 0]], [[18661, 10823], [35623/2, 21713/2], [74625/4, 43331/4], [39/4, 5/4]], [[-827717/2, -638127/2], [-866073/2, -607327/2], [-829313/2, -637923/2], [102, -174]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[43/2, 1/2], [-47/2, 59/2], [43/2, 1/2], [0, 0]], [[4461/2, 2839/2], [5092, 3242], [8885/4, 5679/4], [37/4, -1/4]], [[12472, 8060], [28491, 18401], [12503, 8029], [-31, 31]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[29, -9]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, 3/2], [-863/2, 331/2], [-23/2, 3/2], [0, 0]], [[8081, 5167], [15755/2, 10273/2], [32295/4, 20669/4], [29/4, -1/4]], [[622517/2, 399295/2], [622081/2, 390979/2], [311353, 199511], [-189/2, 273/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31/2, 5/2], [1121/2, -421/2], [31/2, 5/2], [0, 0]], [[-208618, -133866], [-183957, -137475], [-208628, -133866], [10, 0]], [[-17158849/2, -10964155/2], [-9183973, -4999211], [-34317205/4, -21929143/4], [-493/4, 833/4]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[1227, -479]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-43/2, -1/2], [-31/2, -9/2], [-43/2, -1/2], [0, 0]], [[-164, -248], [-305, -255], [-167, -249], [3, 1]], [[4979/2, -1435/2], [1232, -176], [9907/4, -2843/4], [51/4, -27/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [-13/2, 13/2], [9/2, 3/2], [0, 0]], [[273/2, 219/2], [384, 58], [519/4, 433/4], [27/4, 5/4]], [[4929/2, 155/2], [-22197/2, 11321/2], [2643, -17], [-357/2, 189/2]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[51, -7]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-65/2, -3/2], [-125/2, 57/2], [-65/2, -3/2], [0, 0]], [[206, 130], [-107/2, -49/2], [807/4, 517/4], [17/4, 3/4]], [[3789/2, 1447/2], [-5441/2, 1493/2], [2781/2, 1807/2], [504, -180]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[71/2, 5/2], [-4677/2, 1817/2], [71/2, 5/2], [0, 0]], [[95074, 60902], [-22861, -17583], [95067, 60901], [7, 1]], [[-247993/2, -159995/2], [-61753, 58833], [-495513/4, -320155/4], [-473/4, 165/4]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[51, -7]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[59/2, 1/2], [529/2, -213/2], [59/2, 1/2], [0, 0]], [[-126779/2, -80961/2], [15680, 11472], [-253499/4, -161921/4], [-59/4, -1/4]], [[1853305/2, 1119915/2], [336797/2, -628697/2], [1847875/2, 1121865/2], [2715, -975]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-47/2, 3/2], [1035/2, -439/2], [-47/2, 3/2], [0, 0]], [[202210, 129494], [919061/2, 590575/2], [808943/4, 517981/4], [-103/4, -5/4]], [[-38532765/2, -24680871/2], [-41684351, -28959649], [-77202417/4, -49312611/4], [136887/4, -49131/4]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[441, -181]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -5/2], [18845/2, -7369/2], [-7/2, -5/2], [0, 0]], [[-23/2, -5/2], [-1981, 793], [-23/4, -5/4], [-23/4, -5/4]], [[361/2, -101/2], [68214, -26686], [361/4, -101/4], [361/4, -101/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27/2, -1/2], [-44861/2, 17449/2], [-27/2, -1/2], [0, 0]], [[-3456753/2, -2213587/2], [-9621697, -6155219], [-6913401/4, -4427179/4], [-105/4, 5/4]], [[127441246, 81600186], [710835659, 453263745], [127435274, 81601854], [5972, -1668]]], 0, 2048, [], [] >,
< [ -4, -1, 1 ], [[158, -102]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-171/2, -1/2], [-4775/2, 1883/2], [-171/2, -1/2], [0, 0]], [[84532023/2, 54126981/2], [-11646799, -7602553], [84532005/2, 54126975/2], [-9/2, -3/2]], [[1271885175/2, 815631525/2], [-404984323/2, -207843169/2], [1271885943/2, 815631029/2], [192, -124]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-105/2, 5/2], [18763/2, -7407/2], [-105/2, 5/2], [0, 0]], [[-3425274, -2193534], [-7825561, -5003603], [-3425306, -2193534], [-16, 0]], [[342785304, 219506760], [1560071393/2, 1003848139/2], [342780399, 219509925], [-4905/2, 3165/2]]], 0, 2048, [], [] >,
< [ -4, -1, 1 ], [[158, -102]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35, -1], [11914, -4674], [-35, -1], [0, 0]], [[8403040, 5381240], [26298991/2, 16804549/2], [8403040, 5381240], [29/2, -1/2]], [[-1181762325/2, -756774575/2], [-1840019735/2, -1185244005/2], [-1181762325/2, -756774575/2], [1422, -918]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-49/2, -3/2], [109629/2, -42921/2], [-49/2, -3/2], [0, 0]], [[27338480, 17507280], [304546025/2, 194709491/2], [27338480, 17507280], [-13/2, 1/2]], [[-343046060, -219681540], [-1904499824, -1224043488], [-343046060, -219681540], [-101, 65]]], 0, 2048, [], [] >,
< [ -4, -1, 1 ], [[130, -58]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-49/2, -3/2], [13697/2, -5325/2], [-49/2, -3/2], [0, 0]], [[-4346556, -2783468], [8714809/2, 5565815/2], [-4346556, -2783468], [9/2, -1/2]], [[234900284, 150433416], [-232193701, -151688627], [234900284, 150433416], [1240, -552]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [-1387/2, 535/2], [-3/2, -1/2], [0, 0]], [[0, 0], [-793/2, 129/2], [0, 0], [-29/2, -3/2]], [[0, 0], [85019/2, -34651/2], [0, 0], [2001/2, -897/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[130, -58]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 1], [8888, -3468], [-1, 1], [0, 0]], [[-112994, -72362], [-677707/2, -412261/2], [-112994, -72362], [7/2, 1/2]], [[-3390315/2, -2169865/2], [-1580529, -4458039], [-3390315/2, -2169865/2], [-1017/2, 453/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -1], [8344, -3260], [9, -1], [0, 0]], [[876375/2, 561245/2], [-937619/2, -568797/2], [876375/2, 561245/2], [4, 2]], [[343991, 219077], [2289383/2, -1625095/2], [343991, 219077], [-101/2, 45/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[94, -38]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[39/2, 5/2], [375/2, -75/2], [39/2, 5/2], [0, 0]], [[12500, 8076], [86551/2, 57683/2], [12500, 8076], [3/2, -5/2]], [[1000, 820], [2763/2, 7467/2], [1000, 820], [17/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, 3/2], [721/2, -237/2], [25/2, 3/2], [0, 0]], [[43064, 27720], [286297/2, 198623/2], [43064, 27720], [-5/2, -3/2]], [[8330, -2338], [402702, -154025], [8330, -2338], [5, -2]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[538, -210]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 5/2], [-107/2, 53/2], [3/2, 5/2], [0, 0]], [[231/2, 189/2], [-315, 385], [481/4, 379/4], [-19/4, -1/4]], [[665/2, -93/2], [7322, -2702], [1197/4, -129/4], [133/4, -57/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1/2], [133/2, -19/2], [7/2, 1/2], [0, 0]], [[690, 74], [419241/26, -59493/26], [33603/52, 3857/52], [253/52, -1/52]], [[297295, -106375], [259525095/26, -98377075/26], [14287027/52, -5098663/52], [130257/52, -48093/52]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[538, -210]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -5/2], [35/2, -7/2], [1/2, -5/2], [0, 0]], [[11/2, -23/2], [40, 5], [-9/4, -43/4], [31/4, -3/4]], [[-211/2, 71/2], [-124, 61], [-275/4, 79/4], [-147/4, 63/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, 2], [428, 41], [18, 2], [0, 0]], [[-43/2, -25/2], [66113/26, -8005/26], [-950/13, -158/13], [149/26, -1/26]], [[-2, -2], [-26901/26, 12849/26], [769/52, -581/52], [-97/52, 53/52]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[94, -38]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, -2], [-2024, 776], [-18, -2], [0, 0]], [[-33578, -21498], [-106803/2, -66761/2], [-134313/4, -85995/4], [1/4, 3/4]], [[71649/2, 45987/2], [47864, 39260], [143325/4, 91967/4], [-27/4, 7/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [203/2, -31/2], [-3/2, -1/2], [0, 0]], [[0, 0], [84743/26, -10083/26], [-1467/52, -9/52], [163/52, 1/52]], [[0, 0], [90327479/26, -31018595/26], [-1350639/52, 419931/52], [150071/52, -46659/52]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[94, -38]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, -1/2], [4103/2, -1595/2], [13/2, -1/2], [0, 0]], [[74469/2, 47703/2], [129565/2, 76855/2], [37246, 23852], [-23/2, -1/2]], [[-69270, -44518], [-365091/2, -95033/2], [-277721/4, -177859/4], [641/4, -213/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17, 1], [455, 5], [-17, 1], [0, 0]], [[-7179/2, 399/2], [2496211/26, 36601/26], [-93669/26, 5205/26], [19/13, -1/13]], [[27919/2, -8243/2], [-4503344/13, 1199352/13], [728495/52, -215083/52], [-289/52, 85/52]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[1614, -630]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, 3/2], [77, -23], [25/2, 3/2], [0, 0]], [[6354, 4241], [98155/19, 102027/19], [6240, 8469/2], [-34/57, -5/114]], [[7083/2, 3879/2], [14729/2, 1551/2], [7283/2, 1875], [1/2, -1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, -3/2], [-74, 4], [23/2, -3/2], [0, 0]], [[-31413/2, -763/2], [27268970/247, 3092234/247], [-394553/26, -4865/13], [167/741, 5/1482]], [[-775649/2, 604329/2], [74561051/38, -78029799/38], [-748531/2, 291901], [653/114, -248/57]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[1614, -630]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1], [-141, 55], [1, -1], [0, 0]], [[-1413/2, -907/2], [-19201/19, 6683/19], [-1197/2, -917/2], [32/57, -1/57]], [[50976, 32487], [-5325335/38, 2195723/38], [59012, 53361/2], [1519/38, -1715/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, -3/2], [-260, -2], [23/2, -3/2], [0, 0]], [[-3307/2, 215/2], [10905995/494, 1816833/494], [4127/26, 2859/26], [1139/1482, 1/494]], [[34143/2, -24687/2], [-2911291/38, 6069275/38], [3849/2, 1062], [-243/38, 108/19]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[-282, 114]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[26, -2], [3, 1], [26, -2], [0, 0]], [[-10653/2, 2823/2], [-7459/19, -423/19], [-10269/2, 2811/2], [32/57, -1/57]], [[-260194, 100517], [-478209/38, 176105/38], [-253159, 97880], [2345/114, -293/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [101, -9], [-1/2, -3/2], [0, 0]], [[-215/2, -1/2], [-1447241/494, 244069/494], [1935/26, 9/26], [-215/1482, -1/1482]], [[451581/2, -169143/2], [295011809/38, -113091305/38], [-312633/2, 117099/2], [11579/38, -4337/38]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[-282, 114]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[43/2, 1/2], [2, 2], [43/2, 1/2], [0, 0]], [[-10601/2, 5277/2], [19141/38, -537/38], [-10627/2, 5279/2], [13/114, -1/114]], [[-311185/2, 122607/2], [168898/19, -62512/19], [-311677/2, 122791/2], [41/19, -46/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-65/2, -3/2], [-361, -11], [-65/2, -3/2], [0, 0]], [[-258197/2, 2901/2], [-709967457/494, 18601965/494], [-3303671/26, 37959/26], [215/494, 1/494]], [[215130627/2, -80799193/2], [604602583859/494, -227616861171/494], [2753662501/26, -1034268719/26], [-524825/1482, 196595/1482]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[46, -22]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1309/2, -3/2], [24983/118, -481/118], [-1309/118, -3/118], [0, 0]], [[-708, 354], [-3583829/106, -12347/106], [-12, 6], [127719/81302, 1/81302]], [[-7516355/2, 2819355/2], [-557761709921/6254, 279412674643/6254], [-7516355/118, 2819355/118], [169615806/40651, -84678342/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-118, 0], [-1125, -6], [-2, 0], [0, 0]], [[-57374, -22942], [-37181601085/81302, -18114129151/81302], [-773258/767, -297168/767], [-38211/81302, -5/81302]], [[1350268951/2, -2004281763/2], [58828473502369/81302, -554488291241477/81302], [21005513371/1534, -27716607831/1534], [1115701455/40651, -557095011/40651]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[46, -22]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[21905/2, -1/2], [-65916681/6254, -12195/6254], [21905/118, -1/118], [11532/40651, 2/40651]], [[18591219/2, -9240139/2], [-27959588214/3127, 13899501414/3127], [18591219/118, -9240139/118], [19566361/81302, -9726881/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[429/2, -1/2], [-49807/118, 705/118], [429/118, -1/118], [0, 0]], [[-204473, 1024117], [18394817875/40651, -81135650699/40651], [-2652965/767, 13313315/767], [3615/40651, -1/40651]], [[-44870949201, 12261720429], [7197367391684739/81302, -1986594280575417/81302], [-583210750217/767, 159348685763/767], [144266695/81302, -72017263/81302]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[50, -42]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-515/2, -1/2], [71497/118, -20181/118], [-515/118, -1/118], [0, 0]], [[6156261, 4118287], [-13768437256/3127, -8391287776/3127], [6156261/59, 4118287/59], [-255438/40651, -2/40651]], [[-142020016701/2, -84710510387/2], [136181161448210/3127, 94759702999438/3127], [-142020016701/118, -84710510387/118], [-272962113/6254, 271413841/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-944, 0], [11801, -2893], [-16, 0], [0, 0]], [[8298390345/2, 5314886259/2], [-1568585215566481/81302, -1004982442323443/81302], [107879179301/1534, 69093517235/1534], [36548/40651, 2/40651]], [[127862278476438, 81863817773826], [-3720409545486406887/6254, -2380632091106835509/6254], [127862185514186/59, 81863897657036/59], [-112070113/6254, 111389177/6254]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[50, -42]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2017/2, 3/2], [-103571/118, 10039/118], [2017/118, 3/118], [0, 0]], [[-47689807/2, -31232709/2], [48149934239/3127, 31811116821/3127], [-47689807/118, -31232709/118], [1196177/81302, 3/81302]], [[-348288193975/2, -214988827505/2], [713329720074569/6254, 434110824729299/6254], [-348288193975/118, -214988827505/118], [-2723700977/40651, 2707107695/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[386, -2], [140457/59, -95645/59], [386/59, -2/59], [0, 0]], [[224948197/2, 144068935/2], [-21277638124075/40651, -13620909194177/40651], [2924319977/1534, 1872896419/1534], [-4591/81302, 3/81302]], [[-904047237810, -578843519058], [341786337862750979/81302, 219009288162901793/81302], [-11752633855622/767, -7524948764764/767], [-23826593/81302, 23681057/81302]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[43, -31]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46257/118, 23427/118], [2139/118, 1/118], [0, 0]], [[400743/2, 1/2], [41851072702/3127, 25532720888/3127], [15522887/59, 9721437/59], [400743/81302, 1/81302]], [[-4342202234, 2810819405], [525747743776083/3127, 391946849053656/3127], [209096670564/59, 143456599490/59], [-4342202234/40651, 2810819405/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-137239/118, 29067/118], [-1255/118, -5/118], [0, 0]], [[238139/2, 1/2], [561006901923/6254, 361773159321/6254], [215312149/118, 137728823/118], [238139/81302, 1/81302]], [[-28688284985/2, 18571205295/2], [22633451569687581/3127, 14190058785172846/3127], [8512215424603/59, 5469840470535/59], [-28688284985/81302, 18571205295/81302]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[43, -31]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75871/118, -7859/118], [1135/118, -3/118], [0, 0]], [[64001/2, 3/2], [460189855699/6254, 299253293113/6254], [176391283/118, 113962161/118], [64001/81302, 3/81302]], [[903852063/2, -585015741/2], [-2221023213541982/3127, -1357666425675847/3127], [-837756232521/59, -522243721281/59], [903852063/81302, -585015741/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57939/118, -8551/118], [723/118, 1/118], [0, 0]], [[-215071/2, -5/2], [-57935354692/3127, -36470874608/3127], [-22004895/59, -13882245/59], [-215071/81302, -5/81302]], [[19136334905/2, -12391385755/2], [-3250017310704175/3127, -2194056445557362/3127], [-1241317162439/59, -832402961051/59], [19136334905/81302, -12391385755/81302]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[21161, -8261]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75875/118, -4775/118], [-1165/118, 1/118], [0, 0]], [[-64821/2, 1/2], [172096275/53, 120136237/53], [-61824, -41214], [75535/81302, 1/81302]], [[86192717/2, -38486761/2], [6664891498855/6254, 812156299054/3127], [-1849561361/118, -752323607/118], [-100434019/81302, 22423244/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5547/118, 2651/118], [-15/118, -1/118], [0, 0]], [[-324105/2, 5/2], [30493584/53, 1074/53], [0, 0], [377675/81302, 5/81302]], [[-764428389/2, 340951553/2], [71915135627/53, -64153165267/106], [0, 0], [890732099/81302, -198645953/40651]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[21161, -8261]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3535/118, 393/118], [-75/118, -5/118], [0, 0]], [[-109725, 1], [424378253/3127, 3408015/6254], [-2234/59, -558/59], [127861/40651, 5/81302]], [[-6743457897/2, 3011456213/2], [12946932553654/3127, -11589180798531/6254], [-38018434/59, 21167020/59], [604434947/6254, -134964728/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32917/118, -4287/118], [783/118, 5/118], [0, 0]], [[15089/2, 3/2], [17161138462/3127, 22231243645/6254], [-5831087/59, -3813697/59], [-17583/81302, -2/40651]], [[-25007563, 11185895], [9034927303020/3127, 10154442417449/6254], [-3288122235/59, -1657744851/59], [29139467/40651, -26068609/81302]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[314, -114]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-279/2, -1/2], [2113/118, 1177/118], [-279/118, -1/118], [0, 0]], [[741720, 510160], [-1538350301/6254, -960557587/6254], [741720/59, 510160/59], [15147/6254, 1/6254]], [[-59962420, -293173020], [386151426173/3127, 158246679978/3127], [-59962420/59, -293173020/59], [-35215506/3127, 12577100/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[161, 1], [87154/59, 2599/59], [161/59, 1/59], [0, 0]], [[1764517/2, 1214795/2], [776674831327/81302, 478901553781/81302], [25051777/1534, 15792311/1534], [176088/40651, -2/40651]], [[5767536209/2, 30911605267/2], [9484382274695087/40651, 3109913181319408/40651], [510190881887/1534, 246319190101/1534], [72535485195/81302, -25921946395/81302]]], 1, 672, [], [] >,
< [ -4, -1, 1 ], [[314, -114]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-23021, -3], [65066835/6254, 3825/6254], [-23021/59, -3/59], [-45441/6254, -3/6254]], [[138792689/2, -49686081/2], [-98081384421/3127, 35112840669/3127], [138792689/118, -49686081/118], [136993601/6254, -49043169/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[665, -1], [-71106/59, -2186/59], [665/59, -1/59], [0, 0]], [[-7080344, -5399570], [1170459151761/81302, 855700945383/81302], [-94414122/767, -70194360/767], [236965/81302, -5/81302]], [[-19513194543/2, 28781835015/2], [15195414592801/1534, -38035691863915/1534], [-181122387899/1534, 348239657795/1534], [-34221293/767, 12228395/767]]], 1, 672, [], [] >,
< [ -4, -1, 1 ], [[486, -142]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-601/2, -3/2], [-18795/118, 16511/118], [-601/118, -3/118], [0, 0]], [[3523689, 2267545], [-7285499641/3127, -4619844219/3127], [3523689/59, 2267545/59], [-3615/3127, 1/3127]], [[-2581336749/2, -1691915715/2], [2761113992449/3127, 1687577428923/3127], [-2581336749/118, -1691915715/118], [8939331/6254, -2444787/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1201/2, 5/2], [557959/118, -90491/118], [-1201/118, 5/118], [0, 0]], [[2618458023/2, 1676319389/2], [-719251579579/118, -460046867441/118], [2619458663/118, 1676319389/118], [-8, 0]], [[31700520523835, 20271251266231], [-12024292558916421245/81302, -7656295948402559527/81302], [412631845866805/767, 263382718793333/767], [-52507905695/81302, 14354766767/81302]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[486, -142]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-386, 2], [19315/59, -1823/59], [-386/59, 2/59], [0, 0]], [[-48685/2, -26483/2], [94834715/6254, 53948217/6254], [-48685/118, -26483/118], [-3615/3127, 1/3127]], [[-10027731, -3024043], [687723337/118, 255156899/118], [-10027731/59, -3024043/59], [-138483/118, 37827/118]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[794, 2], [173777/59, -153453/59], [794/59, 2/59], [0, 0]], [[1805266537/2, 1156083823/2], [-170621319703879/40651, -109300867599769/40651], [23470229841/1534, 15029089799/1534], [-88243/81302, -5/81302]], [[-4323024850300, -2768555867022], [1633077603858406635/81302, 1047490957309316329/81302], [-56213427615910/767, -35987370181356/767], [1410456201/81302, -385608993/81302]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[969, -389]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19355/118, 25441/118], [1697/118, 3/118], [0, 0]], [[14943/2, 5/2], [2838048719/3127, 1760807425/3127], [1060516/59, 670440/59], [14943/6254, 5/6254]], [[25636424, -353785], [18793399479249/6254, 11637759545561/6254], [7017842653/118, 4433108227/118], [25636424/3127, -353785/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15162/59, -7430/59], [-693/59, 1/59], [0, 0]], [[8407, -2], [-33226445745/6254, -21196942301/6254], [-12596327/118, -8069033/118], [8407/3127, -2/3127]], [[8554689/2, -104907/2], [-8193004295426/3127, -5225741457547/3127], [-3105606852/59, -1989440298/59], [8554689/6254, -104907/6254]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[969, -389]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [929, -53], [16, 0], [0, 0]], [[-6254, 0], [1635915857/118, 1044382519/118], [32955341/118, 21070871/118], [-2, 0]], [[48560615/2, -685221/2], [-324485378945459/6254, -207115513168339/6254], [-123327376613/118, -78845104563/118], [48560615/6254, -685221/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13631/59, -51/59], [266/59, 2/59], [0, 0]], [[27451/2, 5/2], [2875297015/6254, 1584530305/6254], [1084669/118, 601439/118], [27451/6254, 5/6254]], [[-258968269/2, 3465083/2], [-13157280549191/3127, -7188917264950/3127], [-4962470289/59, -2729120913/59], [-258968269/6254, 3465083/6254]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[364947, -142471]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33216/59, 114/59], [-605/59, -1/59], [0, 0]], [[7214, 4], [-127373933/6254, -1653973/3127], [3/118, 1133/118], [8548/3127, 3/6254]], [[34498705/2, -8862273/2], [-148298155468/3127, 72484857735/6254], [-1390515/59, 1005879/59], [40894089/6254, -5256292/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38819/118, -6301/118], [989/118, 3/118], [0, 0]], [[1114, 0], [-3072636957/3127, -3984027683/6254], [1052190/59, 683274/59], [1320/3127, -1/6254]], [[155367/2, -41027/2], [-67537811664/3127, -45646916927/3127], [23044260/59, 15689322/59], [184171/6254, -48665/6254]]], 1, 672, [], [] >,
< [ -4, -1, 1 ], [[364947, -142471]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74225/118, 4885/118], [1135/118, -3/118], [0, 0]], [[12373/2, 3/2], [1883578033/6254, 610403192/3127], [-628587/118, -418845/118], [14661/6254, -1/3127]], [[2973300, -768500], [5631486409/118, 3792049991/118], [-93917569/118, -71147263/118], [66500/59, -17200/59]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29207/59, 539/59], [-560/59, 2/59], [0, 0]], [[-7214, -4], [39078266009/6254, 13345681962/3127], [-13315869/118, -9156315/118], [-8548/3127, -3/6254]], [[-59366625/2, 15214233/2], [907952396945/118, 381355791796/59], [-16138493049/118, -13961856699/118], [-1327773/118, 170259/59]]], 1, 672, [], [] >,
< [ -4, -1, 1 ], [[-846, 342]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-107/2, -1/2], [15, 5], [-107/2, -1/2], [0, 0]], [[14089/2, -3453/2], [-52151/38, 691/38], [15149/2, -3441/2], [265/38, 3/38]], [[438467, -169368], [-1210106/19, 455076/19], [462175, -178248], [5927/19, -2220/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 5/2], [45, 19], [-9/2, 5/2], [0, 0]], [[1558, -38], [10377501/494, 6460631/494], [4794/13, -474/13], [773/494, -1/494]], [[-3052381/2, 1147503/2], [-663224573/494, -147665579/494], [-10402993/26, 3953099/26], [-731949/494, 274111/494]]], 0, 2560, [], [] >,
< [ -4, -1, 1 ], [[-846, 342]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[171/2, 1/2], [5, -5], [171/2, 1/2], [0, 0]], [[308, 9659], [-42935/19, -15/19], [180, 9663], [32/19, -1/19]], [[-420729/2, 177001/2], [-1279105/38, 477469/38], [-424725/2, 178501/2], [999/38, -375/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[65/2, 3/2], [246, 14], [65/2, 3/2], [0, 0]], [[-36638, 3239], [-134224203/494, 10826603/494], [-530598/13, 42075/13], [-1697/494, -1/494]], [[285617663/2, -108400627/2], [258911826711/247, -98163004059/247], [4086529523/26, -1549067095/26], [2917968/247, -1092648/247]]], 0, 2560, [], [] >,
< [ -4, -1, 1 ], [[4842, -1890]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-47/2, -5/2], [-71, 13], [-47/2, -5/2], [0, 0]], [[12544, 8139], [294027/19, 197575/19], [12530, 16283/2], [-10/19, 3/38]], [[-130641/2, -82301/2], [-3214291/38, -1939261/38], [-130755/2, -41113], [-75/38, 27/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, 2], [-313, 11], [18, 2], [0, 0]], [[-63903/2, 815/2], [291882445/494, -41093045/494], [-827959/26, 5341/13], [119/494, 2/247]], [[-293757/2, 202305/2], [906266763/247, -486065829/247], [-3807593/26, 2621313/26], [239/247, -185/247]]], 1, 320, [], [] >,
< [ -4, -1, 1 ], [[4842, -1890]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-49/2, -3/2], [69, -41], [-49/2, -3/2], [0, 0]], [[-35637/2, -22695/2], [-843785/38, -554511/38], [-35619/2, -22697/2], [13/38, -1/38]], [[-8578, -5565], [-216603/19, -130673/19], [-8584, -11123/2], [-4/19, 5/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, -3/2], [156, -4], [-17/2, -3/2], [0, 0]], [[6631/2, -67/2], [-33078863/494, 5988959/494], [101275/26, -835/26], [645/494, 3/494]], [[414033/2, -303409/2], [-3096939353/494, 1598332253/494], [6289161/26, -2315565/13], [38537/494, -14685/247]]], 1, 320, [], [] >,
< [ -4, -1, 1 ], [[7, -11]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[49/2, 3/2], [-547/2, 207/2], [49/2, 3/2], [0, 0]], [[-26732, -17044], [17433/2, 9427/2], [-106825/4, -68171/4], [-103/4, -5/4]], [[1977549/2, 1341375/2], [238289/2, -717225/2], [995757, 667527], [-13965/2, 6321/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -5/2], [-43/2, 19/2], [-15/2, -5/2], [0, 0]], [[481/2, 315/2], [128, -114], [1021/4, 631/4], [-59/4, -1/4]], [[2541/2, 1223/2], [-11289, 4125], [3117/4, 3319/4], [1965/4, -873/4]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[5597, -2185]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[65/2, 3/2], [-8, 0], [49/4, 3/4], [81/4, 3/4]], [[1633/2, -661/2], [-435/2, 175/2], [599/2, -243/2], [517, -209]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[20, 0], [51, -13], [20, 0], [0, 0]], [[2055/2, 1333/2], [861, 616], [4069/4, 2663/4], [41/4, 3/4]], [[-4103/2, 147/2], [-21605/2, 7137/2], [-2959, 431], [1815/2, -715/2]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[7, -11]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [725/2, -281/2], [5/2, -1/2], [0, 0]], [[-3, -1], [115, 25], [-3/2, -1/2], [-3/2, -1/2]], [[-239/2, 107/2], [6444, -2736], [-239/4, 107/4], [-239/4, 107/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27, -1], [-508, 172], [-27, -1], [0, 0]], [[-9839, -6301], [-44929/2, -28747/2], [-39309/4, -25199/4], [-47/4, -5/4]], [[-240845/2, -154135/2], [-543909/2, -353943/2], [-121724, -76488], [2603/2, -1159/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[7, -11]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-171/2, -1/2], [-107/2, 7/2], [-171/2, -1/2], [0, 0]], [[-1367985/2, 138853/2], [-441017, 70765], [-2735985/4, 277701/4], [3/4, 1/4]], [[86826, -34626], [60561, -24017], [86826, -34626], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-55/2, -5/2], [-33/2, -11/2], [-55/2, -5/2], [0, 0]], [[-4065/2, -1539/2], [-3097/2, -1619/2], [-4125/2, -1539/2], [-10, 0]], [[68517/2, -49425/2], [5541, -12421], [143241/4, -101613/4], [2069/4, -921/4]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[7, -11]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[39/2, 5/2], [1073/2, -373/2], [39/2, 5/2], [0, 0]], [[431017/2, 276299/2], [964573/2, 632071/2], [431025/2, 276299/2], [-4, 0]], [[-261956, -165712], [-1382395/2, -676305/2], [-1047687/4, -662909/4], [-137/4, 61/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[75/2, 1/2], [-947/2, 439/2], [75/2, 1/2], [0, 0]], [[-84121/2, -53931/2], [-96978, -61422], [-168271/4, -107861/4], [29/4, -1/4]], [[1135629/2, 719895/2], [2422845/2, 1716031/2], [1134551/2, 720385/2], [539, -245]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[7, -11]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-65/2, -3/2], [-111/2, -13/2], [-65/2, -3/2], [0, 0]], [[-4283/2, 775/2], [-3423, 451], [-8547/4, 1551/4], [-19/4, -1/4]], [[794132, -324788], [1186575, -492375], [792916, -324244], [1216, -544]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-65/2, -3/2], [-37/2, -7/2], [-65/2, -3/2], [0, 0]], [[945, 243], [590, 230], [950, 242], [-5, 1]], [[306, -234], [171/2, -239/2], [1245/4, -945/4], [-21/4, 9/4]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[5597, -2185]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [249/2, -101/2], [-3/2, -1/2], [0, 0]], [[-31/2, -5/2], [21, -25], [-31/4, -5/4], [-31/4, -5/4]], [[9523/2, -3827/2], [-25030, 9664], [9523/4, -3827/4], [9523/4, -3827/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, -5/2], [5/2, -1/2], [17/2, -5/2], [0, 0]], [[384, 192], [407/2, 225/2], [1513/4, 767/4], [23/4, 1/4]], [[-10089, 5301], [-6059/2, 3895/2], [-37489/4, 20045/4], [-2867/4, 1159/4]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[5597, -2185]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [-215/2, 91/2], [9/2, 3/2], [0, 0]], [[-3867/2, -2501/2], [-6185/2, -1955/2], [-3871/2, -2503/2], [2, 1]], [[-977, 143], [121027/2, -47767/2], [-3841/4, 545/4], [-67/4, 27/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, -2], [-57, 25], [10, -2], [0, 0]], [[-2811, -1893], [-9663/2, -4837/2], [-11247/4, -7573/4], [3/4, 1/4]], [[27339/2, -6543/2], [-163955/2, 69951/2], [13641, -3260], [57/2, -23/2]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[882, -362]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-51, -1], [156380, -61028], [-51, -1], [0, 0]], [[288302541/2, 184625559/2], [-288203741/2, -184627439/2], [288302541/2, 184625559/2], [9, -1]], [[16886225001/2, 10813724667/2], [-8478193928, -5392092460], [16886225001/2, 10813724667/2], [-14715/2, 6039/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-113/2, -3/2], [-495309/2, 193033/2], [-113/2, -3/2], [0, 0]], [[-150981380, -96686700], [-2113621187/2, -1353616809/2], [-150981380, -96686700], [9/2, -5/2]], [[-1528116480, -978588160], [-21387595045/2, -13702154183/2], [-1528116480, -978588160], [753/2, -309/2]]], 0, 4096, [], [] >,
< [ -4, -1, 1 ], [[102, -14]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[59, 1], [-274, 162], [59, 1], [0, 0]], [[1446429/2, 928791/2], [1670114, 1057974], [1446395/2, 928785/2], [17/2, 3/2]], [[60979170, 39457110], [288332287/2, 177173881/2], [60975903, 39457569], [3267/2, -459/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-97/2, -3/2], [-169/2, -27/2], [-97/2, -3/2], [0, 0]], [[-2737/2, -1779/2], [-6283/2, -4037/2], [-2729/2, -1779/2], [-2, 0]], [[73363/2, 48313/2], [84744, 54610], [73029/2, 48359/2], [167/2, -23/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[58, -18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, -1], [3460, -1344], [-15, -1], [0, 0]], [[86173/2, 55191/2], [-41031, -27673], [86173/2, 55191/2], [7/2, -3/2]], [[1358110, 869674], [-2706447/2, -1697467/2], [1358110, 869674], [-101/2, 31/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-41/2, -3/2], [579/2, -207/2], [-41/2, -3/2], [0, 0]], [[-1690, -1082], [3457/2, 2199/2], [-1690, -1082], [11/2, 5/2]], [[17613/2, 11143/2], [-21631/2, -9911/2], [17613/2, 11143/2], [-287, 88]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[2454, -958]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 0], [65, -21], [12, 0], [0, 0]], [[-10983/2, -7189/2], [-9151/2, -3571], [-10983/2, -7189/2], [-1, 3/2]], [[-89943/2, -33005/2], [-129111, 37213/2], [-89943/2, -33005/2], [669/2, -124]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, -1], [-14, -2], [-15, -1], [0, 0]], [[-3/2, -49/2], [3/2, -29], [5/2, -61/2], [1, -3/2]], [[8686, -3030], [22013/2, -3888], [11780, -4174], [1547/2, -286]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[2454, -958]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [-25/2, 9/2], [5/2, -1/2], [0, 0]], [[179/2, 129/2], [-87, -65], [387/4, 249/4], [-9/4, 5/4]], [[207/2, 157/2], [-199/2, -159/2], [231/2, 149/2], [-4, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, 5/2], [-187/2, 135/2], [-17/2, 5/2], [0, 0]], [[-2453, 221], [-19262/13, 383781/13], [-65431/26, 5859/26], [97/26, -1/26]], [[848681/2, -424413/2], [126855757/13, -25746119/13], [22614369/52, -11316205/52], [-28555/52, 15807/52]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[79, -51]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27/2, -1/2], [16735/2, -6507/2], [-27/2, -1/2], [0, 0]], [[114063/2, 73101/2], [-128741, -83047], [228211/4, 146201/4], [-85/4, 1/4]], [[-4212301, -2635183], [10702703, 5521681], [-8366311/2, -5294293/2], [-58291/2, 23927/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[39/2, 5/2], [-17831/2, 6915/2], [39/2, 5/2], [0, 0]], [[758333, 485615], [-3426321/2, -2218875/2], [3033259/4, 1942465/4], [73/4, -5/4]], [[-3310725/2, -2121455/2], [4392791, 2168357], [-6624021/4, -4241855/4], [2571/4, -1055/4]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[79, -51]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, 2], [-6451, 2519], [-10, 2], [0, 0]], [[376667/2, 241249/2], [-64451, -36761], [753371/4, 482497/4], [-37/4, 1/4]], [[-124115, -79145], [-85295/2, 114691/2], [-496019/4, -316761/4], [-441/4, 181/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[119/2, 5/2], [-19051/2, 7423/2], [119/2, 5/2], [0, 0]], [[-282503, -180917], [153939/2, 101577/2], [-1130083/4, -723673/4], [71/4, 5/4]], [[14381133/2, 9197799/2], [-7133777/2, -1326803/2], [7180150, 4603174], [20833/2, -8549/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[65, -29]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-81/2, -3/2], [4645/2, -1937/2], [-81/2, -3/2], [0, 0]], [[1243687, 796661], [4464865, 2836155], [2487355/2, 1593321/2], [19/2, 1/2]], [[67448349/2, 43221887/2], [121966633, 76586375], [134894829/4, 86444047/4], [1869/4, -273/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-38, -2], [-853, 273], [-38, -2], [0, 0]], [[-73899/2, -47313/2], [-131864, -84244], [-147789/4, -94623/4], [-9/4, -3/4]], [[-34587, -22113], [-248827/2, -156729/2], [-138325/4, -88455/4], [-23/4, 3/4]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[65, -29]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[39/2, 5/2], [-2783/2, 1107/2], [39/2, 5/2], [0, 0]], [[-17461/2, -11207/2], [-9117, -5571], [-34957/4, -22415/4], [35/4, 1/4]], [[-44367, -28605], [-49137, -27347], [-88929/2, -57171/2], [195/2, -39/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-119/2, -5/2], [-2167/2, 795/2], [-119/2, -5/2], [0, 0]], [[-2734439/2, -1752821/2], [-2659265/2, -1755611/2], [-2734457/2, -1752823/2], [9, 1]], [[43808406, 28135690], [82115115/2, 57567225/2], [175235935/4, 112542437/4], [-2311/4, 323/4]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[25531, -9967]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, -1], [-16, -4], [-11, -1], [0, 0]], [[219/2, -75/2], [199/2, -55/2], [169/2, -75/2], [5, 0]], [[346, -132], [595/2, -219/2], [1159/4, -463/4], [45/4, -13/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [-15/2, 3/2], [5/2, -1/2], [0, 0]], [[0, 0], [175/2, 41/2], [105/4, 15/4], [35/4, 5/4]], [[0, 0], [-2293, 647], [-816, 255], [-272, 85]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[25531, -9967]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, -5/2], [23/2, -3/2], [25/2, -5/2], [0, 0]], [[13/2, 67/2], [6, 40], [13/4, 131/4], [13/4, 3/4]], [[-2883, 1343], [-7131/2, 3295/2], [-12141/4, 5561/4], [609/4, -189/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -1/2], [35/2, 1/2], [-11/2, -1/2], [0, 0]], [[514, -10], [-3309/2, 253/2], [2041/4, -41/4], [15/4, 1/4]], [[-201/2, -43/2], [306, 46], [-399/4, -85/4], [-3/4, -1/4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[25531, -9967]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [-23/2, 3/2], [-1/2, -3/2], [0, 0]], [[265/2, 107/2], [-59/2, 367/2], [235/2, 97/2], [3, 1]], [[3101/2, -917/2], [-8858, 3698], [5317/4, -1549/4], [177/4, -57/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1], [8, -4], [3, 1], [0, 0]], [[1/2, 51/2], [-387/2, 167/2], [25/2, 51/2], [4, 0]], [[2547/2, -1415/2], [12108, -4792], [3141/4, -2221/4], [-651/4, 203/4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[25531, -9967]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-103/2, -5/2], [-41/2, 5/2], [-103/2, -5/2], [0, 0]], [[69367/2, -14631/2], [16161, -4793], [138751/4, -29263/4], [-17/4, 1/4]], [[-1582747/2, 529491/2], [-394302, 143166], [-3165835/4, 1059075/4], [341/4, -93/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 17/2], [-21/2, 9/2], [-5/2, 17/2], [0, 0]], [[328, -104], [639/2, -299/2], [1341/4, -413/4], [-29/4, -3/4]], [[-3202, 1234], [-3577, 1413], [-3244, 1248], [42, -14]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[362, -130]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, 3/2], [-23799/2, 9275/2], [33/2, 3/2], [0, 0]], [[-461219, -295361], [915751/2, 591353/2], [-461222, -295366], [-3/2, -5/2]], [[1237071/2, 791901/2], [-1639409/2, -632179/2], [1237595/2, 791713/2], [131, -47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-69/2, 1/2], [-47739/2, 18559/2], [-69/2, 1/2], [0, 0]], [[-31956536, -20464712], [-191312493/2, -122782387/2], [-31956537, -20464711], [-1/2, 1/2]], [[-65162, -41726], [-198445, -123847], [-65162, -41726], [0, 0]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[362, -130]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -3/2], [-22373/2, 8737/2], [15/2, -3/2], [0, 0]], [[210821/2, 135007/2], [208711/2, 134469/2], [210845/2, 135015/2], [6, 2]], [[-265629, -170079], [-378333/2, -396427/2], [-266328, -169828], [-699/2, 251/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, -2], [-3197, 1233], [18, -2], [0, 0]], [[1008575/2, 645885/2], [-1511380, -968446], [1008565/2, 645879/2], [-5/2, -3/2]], [[197/2, 127/2], [-421/2, -447/2], [197/2, 127/2], [0, 0]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[14, -22]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-37/2, 1/2], [2185/2, -901/2], [-37/2, 1/2], [0, 0]], [[3275415/2, 2098005/2], [5869280, 3736791], [3275405/2, 2098011/2], [5/2, -3/2]], [[7882368, 5048160], [56358917/2, 36019833/2], [7882363, 5048167], [5/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[71/2, 5/2], [-3033/2, 1301/2], [71/2, 5/2], [0, 0]], [[-6463157/2, -4141343/2], [-23299299/2, -14727151/2], [-6463149/2, -4141339/2], [-2, -1]], [[51101625/2, 32502475/2], [82301718, 61617983], [51101671/2, 32502401/2], [-23/2, 37/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[14, -22]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[58, -2], [-421, 185], [58, -2], [0, 0]], [[-2197/2, -1407/2], [-2195/2, -1411/2], [-2201/2, -1399/2], [1, -2]], [[15935/2, 10205/2], [7963, 5116], [15953/2, 10151/2], [-9/2, 27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, -2], [37, -25], [-22, -2], [0, 0]], [[122, 78], [251/2, 155/2], [143, 75], [7/2, -1/2]], [[-407/2, -261/2], [-201, -133], [-377/2, -291/2], [5/2, -5/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[362, -130]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31/2, -3/2], [17573/2, -6833/2], [31/2, -3/2], [0, 0]], [[356825/2, 228507/2], [1069651/2, 685309/2], [356825/2, 228507/2], [1, 1]], [[-579960, -371304], [-3600149/2, -2179091/2], [-579960, -371304], [-287/2, 103/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-16, 0], [6927, -2723], [-16, 0], [0, 0]], [[47025/2, 30115/2], [70828, 45170], [47025/2, 30115/2], [-23/2, -1/2]], [[129025/2, 82675/2], [411705/2, 239019/2], [129025/2, 82675/2], [-450, 162]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[116461, -45465]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -11/2], [-33/2, -19/2], [-9/2, -11/2], [0, 0]], [[749/2, -185/2], [-29, 151], [1535/4, -419/4], [-49/4, -3/4]], [[87367/2, -43379/2], [-36283, 2106], [188167/4, -89019/4], [-2261/4, 2793/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 1/2], [17/2, -5/2], [11/2, 1/2], [0, 0]], [[-3/2, -105/2], [102, -61], [-7/4, -213/4], [-3/4, -1/4]], [[15/2, -3/2], [31/2, -11/2], [15/2, -3/2], [0, 0]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[116461, -45465]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13, -1], [36, -4], [13, -1], [0, 0]], [[-3624, -510], [-19451/2, -1893/2], [-14631/4, -2065/4], [27/4, 5/4]], [[84675/2, -108935/2], [280285/2, -296409/2], [85275/2, -109935/2], [-60, 100]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 5/2], [-55/2, 11/2], [7/2, 5/2], [0, 0]], [[0, 0], [-563/2, 239/2], [-39/4, 3/4], [-13/4, 1/4]], [[0, 0], [-4462, 1568], [-93/2, 147/2], [-31/2, 49/2]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[51, -7]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[139/2, 1/2], [239/2, 77/2], [139/2, 1/2], [0, 0]], [[675750, -38018], [2139293/2, 556431/2], [2702925/4, -152097/4], [15/4, 5/4]], [[-92192187/2, 35393311/2], [-80946495/2, 29759491/2], [-46095516, 17696448], [-231/2, 83/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[105/2, -5/2], [269/2, 55/2], [105/2, -5/2], [0, 0]], [[-1838, 118], [-9249/2, -1723/2], [-7373/4, 481/4], [-7/4, 3/4]], [[-67, 71], [14, 194], [-67, 71], [0, 0]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[51, -7]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21, -1], [46, -6], [21, -1], [0, 0]], [[-5097/2, -1635/2], [-9565/2, -2271/2], [-5157/2, -1635/2], [-10, 0]], [[-13508, 3832], [-61935/2, 19403/2], [-55211/4, 15751/4], [-393/4, 141/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[353/2, 3/2], [325/2, -1/2], [353/2, 3/2], [0, 0]], [[-112761/2, 14453/2], [-52222, 7178], [-225677/4, 28881/4], [31/4, 5/4]], [[-25881351/2, 9859595/2], [-24251377/2, 9249285/2], [-25892681/2, 9863665/2], [1133, -407]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[116461, -45465]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, -5/2], [-45/2, -7/2], [25/2, -5/2], [0, 0]], [[-4331/2, 147/2], [5325, 1893], [-8645/4, 293/4], [-17/4, 1/4]], [[31731, -63727], [171576, 197192], [31656, -63604], [75, -123]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-30, -2], [-19, -1], [-30, -2], [0, 0]], [[-4693, 417], [-5987/2, 603/2], [-18773/4, 1669/4], [1/4, -1/4]], [[427/2, 1/2], [271/2, -3/2], [427/2, 1/2], [0, 0]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[51, -7]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, -5/2], [-47/2, -29/2], [-23/2, -5/2], [0, 0]], [[547/2, -247/2], [4, -60], [1137/4, -493/4], [-43/4, -1/4]], [[307043/2, -120687/2], [61705/2, -26957/2], [314093/2, -123221/2], [-3525, 1267]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-171/2, -1/2], [-261/2, -95/2], [-171/2, -1/2], [0, 0]], [[-182508, 15276], [-486075/2, -135545/2], [-730013/4, 61105/4], [-19/4, -1/4]], [[-149746608, 55787952], [-210744095/2, 66746651/2], [-598973607/4, 223147203/4], [-12825/4, 4605/4]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[51, -7]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-161/2, -3/2], [-201/2, -91/2], [-161/2, -3/2], [0, 0]], [[708235/2, -107223/2], [627557/2, 190591/2], [708215/2, -107223/2], [2, 0]], [[54807250, -20528182], [45000223/2, -13100547/2], [219223915/4, -82110903/4], [1017/4, -365/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-59, -1], [-2430, 894], [-59, -1], [0, 0]], [[-39603/2, -25369/2], [-44776, -28944], [-79263/4, -50741/4], [-19/4, -1/4]], [[31805, 20535], [122627/2, 101993/2], [128669/4, 81615/4], [483/4, -175/4]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[51, -7]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -1/2], [25/2, -5/2], [-11/2, -1/2], [0, 0]], [[-411/2, -113/2], [348, -28], [-657/4, -211/4], [55/4, 5/4]], [[-49249/2, 16165/2], [78464, -29424], [-69701/4, 21977/4], [9599/4, -3451/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[236, -92], [-243, 95], [236, -92], [0, 0]], [[-7/2, 11/2], [-19/2, -9/2], [63/2, 1/2], [-7, 1]], [[217, 139], [-773/2, -495/2], [2563/4, 1641/4], [-339/4, -217/4]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[51062, -19934]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[135/2, 5/2], [69/2, 31/2], [135/2, 5/2], [0, 0]], [[-37440, -24336], [-75755/2, -24313], [-37437, -24334], [-3/2, -1]], [[-819, 351], [-104, 72], [-819, 351], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-32, 0], [-393, 141], [-32, 0], [0, 0]], [[44525/2, 28535/2], [21952, 28525/2], [44531/2, 28535/2], [1/2, 0]], [[235/2, 145/2], [329/2, 107/2], [235/2, 145/2], [0, 0]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[130, -58]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-69/2, 1/2], [6959/2, -2691/2], [-69/2, 1/2], [0, 0]], [[-1295800, -829928], [1267352, 829446], [-1295802, -829930], [1, 1]], [[7287016, 4715128], [360739/2, -15129453/2], [7286731, 4715255], [285/2, -127/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1], [-154, 58], [3, 1], [0, 0]], [[1723/2, 1105/2], [-1633/2, -1105/2], [1735/2, 1105/2], [-3, 0]], [[260, 164], [-685/2, -253/2], [249, 169], [11/2, -5/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[130, -58]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[46, 2], [3727, -1435], [46, 2], [0, 0]], [[-4264266, -2730726], [-8552591/2, -5460399/2], [-4264263, -2730731], [-3/2, 5/2]], [[317051343/2, 202988541/2], [323697419/2, 200703969/2], [317046283/2, 202990801/2], [1265, -565]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 3/2], [2741/2, -1073/2], [-15/2, 3/2], [0, 0]], [[17729, 11355], [36913/2, 23033/2], [17736, 11354], [-7/2, 1/2]], [[1759662, 1125914], [3243791/2, 2447775/2], [1756575, 1127291], [3087/2, -1377/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[51062, -19934]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[49/2, 3/2], [-149/2, 81/2], [49/2, 3/2], [0, 0]], [[-5928, -3848], [-12973/2, -7659/2], [-5923, -3845], [-5/2, -3/2]], [[1430, -494], [-17007/2, 3386], [1435, -496], [-5/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-113/2, -3/2], [387/2, -199/2], [-113/2, -3/2], [0, 0]], [[725560, 467720], [1520539/2, 467027], [725545, 467714], [-5/2, -1]], [[2596770, 297990], [-7235976, 4159036], [2598300, 297372], [255, -103]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[130, -58]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[91/2, 1/2], [22599/2, -8859/2], [91/2, 1/2], [0, 0]], [[-25360148, -16240620], [51069761/2, 32476041/2], [-25360159, -16240623], [-11/2, -3/2]], [[72866805, 46635215], [-124051413/2, -102111815/2], [72866436, 46635380], [-369/2, 165/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[119/2, 5/2], [2335/2, -963/2], [119/2, 5/2], [0, 0]], [[-21895/2, -14021/2], [10941, 7043], [-21897/2, -14011/2], [-1/2, 5/2]], [[388614, 248778], [-738553/2, -514781/2], [391589, 247453], [2975/2, -1325/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[158, -102]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[149/2, -1/2], [-50917/2, 20081/2], [149/2, -1/2], [0, 0]], [[-379567880, -243070744], [-1351808743, -865709067], [-379567904, -243070748], [-12, -2]], [[-79223502376, -50733856504], [-564375046281/2, -361353116111/2], [-79223491447, -50733863561], [10929/2, -7057/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-105/2, 5/2], [-25019/2, 9711/2], [-105/2, 5/2], [0, 0]], [[943128, 603976], [2935425/2, 1885703/2], [943155, 603981], [27/2, 5/2]], [[-328498712, -210349000], [-518538757, -325511579], [-328477432, -210362720], [10640, -6860]]], 0, 2048, [], [] >,
< [ -4, -1, 1 ], [[73450, -28674]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-49/2, -3/2], [8993/2, -3533/2], [-49/2, -3/2], [0, 0]], [[6282144, 4023216], [6378571, 4017674], [6282168, 4023220], [6, 1]], [[520854624, 333159264], [798652901/2, 766523993/2], [520834730, 333168138], [-9947/2, 4437/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-47/2, 3/2], [5257/2, -2037/2], [-47/2, 3/2], [0, 0]], [[716937/2, 459147/2], [-708755/2, -458647/2], [716945/2, 459163/2], [1, 2]], [[2781519/2, 1785069/2], [-1081219, -1006200], [2780203/2, 1785657/2], [-329/2, 147/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[774, -302]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, -6], [-111, 43], [14, -6], [0, 0]], [[-89, 29], [1119/2, -423/2], [-99, 39], [-5/2, 5/2]], [[285/2, -73/2], [-1687/2, 306], [293/2, -117/2], [1, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 11], [-534, 214], [-15, 11], [0, 0]], [[-3328, -168], [-105789/2, 19073], [-3322, -164], [-3/2, -1]], [[8147/2, -3159/2], [219177/2, -85541/2], [8147/2, -3159/2], [0, 0]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[531243, -207391]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[43/2, 1/2], [25/2, 11/2], [43/2, 1/2], [0, 0]], [[-7239/2, -8977/2], [-6318, -4444], [-14547/4, -17957/4], [-23/4, -1/4]], [[-1613637, 363475], [-551201, -96845], [-3215073/2, 721511/2], [4067/2, -1813/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-102, -2], [-87, 3], [-102, -2], [0, 0]], [[-224455/2, 55915/2], [-101208, 27764], [-449005/4, 111825/4], [19/4, 1/4]], [[68588890, -27543570], [127492413/2, -50908445/2], [274392365/4, -110190685/4], [-7361/4, 3281/4]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[181, -65]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[95/2, -3/2], [341/2, 95/2], [95/2, -3/2], [0, 0]], [[163153, -3497], [1186467/2, 342497/2], [652467/4, -13983/4], [29/4, -1/4]], [[139779293/2, -92551177/2], [94708681/2, -291160485/2], [139747173/2, -92530497/2], [3212, -2068]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-117/2, 1/2], [-133/2, -111/2], [-117/2, 1/2], [0, 0]], [[32458, 7854], [136825/2, 96323/2], [129883/4, 31401/4], [17/4, -5/4]], [[-330066, -376742], [-1843154, -1124694], [-659895/2, -753637/2], [79/2, -51/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[882, -362]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-193/2, -3/2], [-153379/2, 59799/2], [-193/2, -3/2], [0, 0]], [[217368815, 139200397], [434848801/2, 278399103/2], [217368814, 139200398], [1/2, -1/2]], [[347311, 222413], [348444, 222004], [347311, 222413], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[38, 2], [-247373, 96521], [38, 2], [0, 0]], [[-351013175/2, -224784709/2], [1052832093/2, 674364891/2], [-351013171/2, -224784705/2], [-1, -1]], [[1115785477/2, 714543951/2], [-1628685223, -1089269061], [1115786359/2, 714543589/2], [-441/2, 181/2]]], 0, 4096, [], [] >,
< [ -4, -1, 1 ], [[232922, -90930]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 0], [-2479, 971], [8, 0], [0, 0]], [[-686315/2, -439585/2], [-746819/2, -219842], [-686319/2, -439591/2], [1, 3/2]], [[-8834935/2, -5631765/2], [1772953, -10769529/2], [-8836157/2, -5631385/2], [611/2, -95]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[62, 2], [147, -31], [62, 2], [0, 0]], [[118597/2, 75263/2], [121011/2, 75129/2], [118573/2, 75287/2], [-2, 2]], [[142746, 95238], [269241/2, 99414], [142977, 95166], [77/2, -12]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[102, -14]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-53/2, 1/2], [3779/2, -1495/2], [-53/2, 1/2], [0, 0]], [[538087/2, 344597/2], [270167, 172319], [537989/2, 344583/2], [-7/2, -1/2]], [[-375342, -240394], [-758343/2, -479079/2], [-375195, -240415], [21/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-74, 2], [11, -31], [-74, 2], [0, 0]], [[71314, 45238], [140199/2, 90435/2], [71339, 45243], [-5/2, -1/2]], [[2323107/2, 1431561/2], [1106000, 729554], [2324957/2, 1431311/2], [-185/2, 25/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[102, -14]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-223/2, 3/2], [-2441/2, 869/2], [-223/2, 3/2], [0, 0]], [[-3189465, -2042955], [-6355871/2, -4085573/2], [-3189438, -2042946], [-9/2, -3/2]], [[-1699155/2, -1089945/2], [-834453, -549632], [-1699113/2, -1089951/2], [-7/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[119/2, 5/2], [3649/2, -1373/2], [119/2, 5/2], [0, 0]], [[7607560, 4871384], [15276227/2, 9740311/2], [7607605, 4871389], [9/2, 1/2]], [[1452484616, 929927288], [1465685546, 926816363], [1452501646, 929924948], [1703, -234]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[882, -362]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 1/2], [283995/2, -110863/2], [11/2, 1/2], [0, 0]], [[-87689, -56155], [-87713, -56193], [-87695, -56153], [-3, 1]], [[61305, 39259], [122745/2, 78531/2], [61298, 39262], [-7/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[48, 0], [326851, -127655], [48, 0], [0, 0]], [[-8837142, -5659202], [53042267/2, 33956589/2], [-8837123, -5659197], [19/2, 5/2]], [[-171234793/2, -109655835/2], [504315971/2, 332719401/2], [-171246841/2, -109650891/2], [-3012, 1236]]], 0, 4096, [], [] >,
< [ -4, -1, 1 ], [[232922, -90930]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, 0], [1663, -643], [16, 0], [0, 0]], [[268355/2, 171865/2], [132449, 171897/2], [268361/2, 171841/2], [-1/2, 2]], [[15215625/2, 9736875/2], [16267735/2, 9251475/2], [15200493/2, 9741555/2], [1261, -390]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1/2], [-1685/2, 657/2], [-5/2, 1/2], [0, 0]], [[0, 0], [323/2, 103/2], [9, 9], [-3/2, -3/2]], [[0, 0], [1089/2, -242], [-39, 12], [13/2, -2]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[102, -14]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-215/2, -5/2], [-11429/2, 4145/2], [-215/2, -5/2], [0, 0]], [[-44562756, -28537404], [-317440317/2, -203274799/2], [-44562777, -28537395], [7/2, -3/2]], [[2441652213, 1563605631], [8696197421, 5568973120], [2441652039, 1563605655], [29, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-193/2, -3/2], [-17987/2, 6743/2], [-193/2, -3/2], [0, 0]], [[125655957/2, 80470815/2], [447023907/2, 286605335/2], [125655993/2, 80470791/2], [-3, 2]], [[-1825716645/2, -1169146479/2], [-3251330446, -2080529729], [-1825716075/2, -1169146557/2], [-95/2, 13/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[102, -14]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[95/2, -3/2], [-4275/2, 1703/2], [95/2, -3/2], [0, 0]], [[35355/2, 22641/2], [35345/2, 22661/2], [35367/2, 22617/2], [-1, 2]], [[56755/2, 36345/2], [28430, 18165], [56629/2, 36363/2], [21/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-86, -2], [1325, -553], [-86, -2], [0, 0]], [[297881/2, 190763/2], [299311/2, 191577/2], [297881/2, 190723/2], [0, -2]], [[-5382023/2, -3446389/2], [-2700304, -1731963], [-5379173/2, -3446779/2], [285/2, -39/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[362, -130]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-215/2, -5/2], [35175/2, -13643/2], [-215/2, -5/2], [0, 0]], [[-973951/2, -623709/2], [486477, 311878], [-973909/2, -623715/2], [-7/2, 1/2]], [[-2102969/2, -1346763/2], [2088643/2, 1351617/2], [-2102297/2, -1347003/2], [-56, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, -2], [16813, -6553], [-22, -2], [0, 0]], [[630205/2, 403575/2], [-316004, -201683], [630199/2, 403593/2], [1/2, -3/2]], [[7162220, 4586820], [-13652349/2, -9447265/2], [7167863, 4584795], [-1881/2, 675/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[362, -130]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, 0], [-71669, 27985], [16, 0], [0, 0]], [[-2432326, -1557634], [-4898047/2, -3119867/2], [-2432353, -1557649], [9/2, 5/2]], [[6901821/2, 4420983/2], [7588782, 607628], [6904143/2, 4420149/2], [-387/2, 139/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-149/2, 1/2], [92159/2, -36035/2], [-149/2, 1/2], [0, 0]], [[-390536488, -250095480], [-782693745/2, -500202387/2], [-390536491, -250095489], [1/2, 3/2]], [[-3717445760, -2380380800], [-7005083147/2, -4934684951/2], [-3717448859, -2380379687], [1033/2, -371/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[1062486, -414782]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[69, -1], [1296, -480], [69, -1], [0, 0]], [[-144274, -92390], [-288731/2, -184809/2], [-144265, -92387], [-3/2, -1/2]], [[112643/2, 72137/2], [112623/2, 36093], [112643/2, 72131/2], [0, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-127/2, 3/2], [-1977/2, 725/2], [-127/2, 3/2], [0, 0]], [[3230680, 2067880], [6535865/2, 2068930], [3230705, 2067860], [5/2, -2]], [[270412710, 173123410], [272680800, 173543308], [270413460, 173122260], [75, -115]]], 1, 128, [], [] >,
< [ -4, -1, 1 ], [[28, -11]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74, -57/2], [-2, -1/2], [0, 0]], [[5/2, 1], [1574, -626], [79/4, 113/4], [7/4, -1/4]], [[21/2, 7/2], [8613, -6815/2], [215/4, 479/4], [35/4, -7/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -7/2], [3/2, -7], [1/2, -2], [0, 0]], [[3/2, 5/2], [21/2, 5], [1/2, 0], [1, 2]], [[5/2, -1], [-3/2, 1/2], [0, 0], [5/2, -1]]], 2, 2, [], [] >,
< [ -4, -1, 1 ], [[4, -3]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [283, -225/2], [-11, 7/2], [0, 0]], [[4, 7/2], [24907, -9544], [-1645/2, 777/2], [5/2, 1]], [[12, 9/2], [-81472, 64247/2], [6103/2, -1072], [3/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [159, -121/2], [-3, -1/2], [0, 0]], [[6, 7/2], [3871, -3053/2], [-19, 45/2], [2, 3/2]], [[0, 3/2], [-15139, 11813/2], [269/2, -49], [3/2, 0]]], 0, 4, [], [] >,
< [ -4, -1, 1 ], [[36, -14]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 1/2], [-13/2, 3/2], [-7/2, 1/2], [0, 0]], [[-12, -3], [-18, -2], [-12, -3], [0, 0]], [[0, 1/2], [0, 1/2], [1/2, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [-1, 0], [0, 0]], [[5, 5/2], [12, -1/2], [5/2, 0], [5/2, 0]], [[5/2, 2], [-2, 7/2], [-1/4, 3/4], [-1/4, 3/4]]], 2, 3, [], [] >,
< [ -4, -1, 1 ], [[8, -2]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [-1, 0], [0, 0]], [[0, 5/2], [4, 3/2], [5/2, 0], [5/2, 0]], [[4, -2], [-4, 1], [-3, 1], [-3, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -1], [6, -1], [0, 0]], [[2, -1/2], [2, -1/2], [-11, 7/2], [-1, 1/2]], [[-4, -1/2], [-4, -1/2], [33/2, -1], [1/2, -1]]], 0, 6, [], [] >,
< [ -4, -1, 1 ], [[4, -2]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [-1, 0], [0, 0]], [[-3, 1/2], [37/2, -5], [-5/4, 3/4], [5/4, -3/4]], [[-42, -36], [107, 132], [51/2, 21/2], [-51/2, -21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 0], [1, 0], [0, 0]], [[2, -1/2], [282/13, -445/26], [27/13, -9/26], [-3/13, 1/26]], [[13, -3/2], [1603/26, -1725/13], [765/52, 9/52], [-85/52, -1/52]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[24, -9]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-14, -5/2], [-261/38, -17/19], [-12, -2], [-37/114, -1/38]], [[-39, 31/2], [-405/19, 321/38], [-34, 27/2], [-62/57, 49/114]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[492, 1], [-1039189/494, -523/494], [-7396/13, -87/26], [-1171/1482, -1/741]], [[13775, -11675/2], [-14585565/247, 12355679/494], [-205720/13, 87292/13], [-16402/741, 6950/741]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[108, -42]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-13/2, 3/2], [1069/26, -14/13], [2, 2], [-43/39, 1/78]], [[147/2, -30], [-8927/26, 1992/13], [13, -3/2], [350/39, -105/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -3/2], [-20, -24], [0, -3/2], [0, 0]], [[1/2, 16], [17889/26, -1617/26], [78, -41/2], [1/13, -2/39]], [[529, 285/2], [-23281/13, 133839/26], [-8419/13, 12149/26], [-5/3, 5/26]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[-24, 6]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -1/2], [22, -8], [-8, -1/2], [0, 0]], [[-1397, -711], [894, -138], [-1397, -711], [-5/3, 0]], [[-22633, -34021/2], [-68058/13, 166001/26], [-22633, -34021/2], [47/39, -1081/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [-22, 22], [-2, -1/2], [0, 0]], [[12, 5], [-630/13, -1619/26], [96/13, 49/13], [4/39, 1/78]], [[-21, -77/2], [8586/13, 3465/26], [-291/13, -605/26], [3/13, -9/26]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[12, -6]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 1/2], [0, 1/2], [1, 0], [0, 0]], [[0, 0], [-111/38, 29/38], [-2, 1/2], [-7/114, 1/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [2, 1/2], [1, 0], [0, 0]], [[0, 0], [1709913/494, 1021/494], [-2848/13, 24/13], [773/1482, -1/1482]], [[0, 0], [-9826369/247, -2996111/247], [32374/13, 19191/26], [-4432/741, -2687/1482]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[12, -6]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-12, 0], [-350/13, 55/26], [-37, -5], [15/13, 5/78]], [[87, 53/2], [2296/13, 1025/26], [625/2, 129], [-697/78, -41/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1], [-8, -13], [-2, 1], [0, 0]], [[2, 1/2], [1637/13, 2127/26], [-111/13, 63/26], [-1/39, 1/26]], [[2, -3], [-218, -3453/26], [-979/26, 421/26], [-25/78, 1/13]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[12, -6]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, 5/2], [-18, 15/2], [-7, 5/2], [0, 0]], [[-3, 1/2], [17/2, 1/2], [-3, 1/2], [3/2, -2]], [[54, -15], [-265/2, 17], [54, -15], [-93/2, 31]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, 5/2], [-249, 111/2], [-7, 5/2], [0, 0]], [[-1005, -50], [-2439207/26, -1096831/26], [-12760/13, -625/13], [61/26, 5/26]], [[-50050, 23925], [-22848925/26, 14618856/13], [-636455/13, 304055/13], [2839/26, -697/13]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[220, -86]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, 3], [16, -7], [-10, 3], [0, 0]], [[-19829/2, 1287/2], [-77594196/1879, -4008671/3758], [-1470, 645], [-59385/48854, -1/24427]], [[13105197/2, 2637912], [60758631121/1879, 56564706225/3758], [231855, -410085/2], [44438415/48854, 9991743/24427]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, -9/2], [382, -146], [14, -9/2], [0, 0]], [[3914, -1241/2], [829066151/24427, -335081533/24427], [39735/13, -16151/26], [3015/24427, 2/24427]], [[-1461431/2, -435645], [127029074/24427, 18051653213/48854], [-6067150/13, -7078221/26], [-142767/3758, -574350/24427]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[40, -18]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 3/2], [-7, 6], [1, 3/2], [0, 0]], [[228, -57], [-627603502/1879, -3393443/3758], [228, -57], [422316/24427, 5/48854]], [[776244, -97125], [-2676157886442/1879, -542323298260/1879], [776244, -97125], [1796918664/24427, 359114733/24427]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -1/2], [335, -134], [-5, -1/2], [0, 0]], [[-845, -535], [2175351813/24427, -24760791/24427], [-50567/13, -6957/13], [10706/24427, -1/24427]], [[-114540, -71460], [531685977254/24427, -193632519019/48854], [-11086970/13, 742030/13], [2596280/24427, -904555/48854]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[28, -10]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-77314, -1/2], [-279068159/6254, 2780/3127], [-56601/59, -263/118], [-180191/81302, 2/40651]], [[600939050, -418312207/2], [1084597330220/3127, -754995138791/6254], [438523941/59, -304914199/118], [700313849/40651, -487493483/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57765/59, -1106/59], [510/59, 5/59], [0, 0]], [[496, 3/2], [-62924859/81302, 230124946/40651], [-17677/767, -75781/1534], [-1175/81302, -2/40651]], [[-73236, 25551], [52354572596/40651, -23832090989/40651], [-5231003/767, 2739857/767], [86700/40651, -30243/40651]]], 1, 18, [], [] >,
< [ -4, -1, 1 ], [[28, -10]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -5/2], [80, -59/2], [5, -5/2], [0, 0]], [[6, -3], [83, -77/2], [6, -3], [-2, -1/2]], [[14, -11/2], [377/2, -74], [14, -11/2], [-3/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, -3/2], [69, -131/2], [8, -3/2], [0, 0]], [[173, -25], [23021/26, -38301/26], [2403/13, -315/13], [77/26, 5/26]], [[-27012, 10356], [-10353325/26, 2086091/13], [-368974/13, 141272/13], [-8909/26, 1661/13]]], 1, 10, [], [] >,
< [ -4, -1, 1 ], [[136, -53]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[198, 1/2], [5947485/3758, 1865/3758], [-3189/3758, -1/3758], [655/1879, 1/3758]], [[-54736, 32695/2], [-824257265/1879, 493596495/3758], [441961/1879, -264663/3758], [-362909/3758, 54303/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [118176622/1879, 39417/3758], [-5723/1879, -3/3758], [0, 0]], [[-36160, 5/2], [-89677034762519/3758, 23395835778383/3758], [4342410465/3758, -1132696145/3758], [5/2, 0]], [[-1611780798, 964498719/2], [-68182039128638154943/48854, 12522697432757944794/24427], [3301427988615697/48854, -606344103646770/24427], [2721772149/24427, -1628594805/48854]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[620, -242]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-170, -3/2], [8288/59, 873/118], [-170/59, -3/118], [0, 0]], [[-138137, -63497], [351011669/3127, 185177594/3127], [-138137/59, -63497/59], [-11534/40651, 2/40651]], [[101850605/2, 13551349], [-236668832825/6254, -91080197163/6254], [101850605/118, 13551349/59], [1033193/6254, -103103/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-369, -1], [20531/59, -4/59], [-369/59, -1/59], [0, 0]], [[-826163/2, -237655/2], [52590945/118, 6535719/59], [-826163/118, -237655/118], [-3/2, 0]], [[122972773/2, 2174007], [-432005626807/6254, 2202354085/6254], [122972773/118, 2174007/59], [23661061/81302, -2393697/40651]]], 2, 12, [], [] >,
< [ -4, -1, 1 ], [[8, -10]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-199, 1/2], [13777/59, -2415/118], [-199/59, 1/118], [0, 0]], [[-301953, -215609], [1293483983/3127, 1256743761/6254], [-301953/59, -215609/59], [139395/40651, 1/81302]], [[-1867512790, -1006663110], [4071801999134/3127, 8618240010355/6254], [-1867512790/59, -1006663110/59], [-462165487/40651, 927318003/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-185, -5/2], [-17083/59, 4051/118], [-185/59, -5/118], [0, 0]], [[-1170346, -787266], [-3396495424/3127, -2630607996/3127], [-1170346/59, -787266/59], [110419/40651, 2/40651]], [[-2914667047, -1724575225], [-10490994832993/3127, -10014585260107/6254], [-2914667047/59, -1724575225/59], [-161441101/40651, 324407737/81302]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[12, -2]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-8, -5/2], [41144845/3127, 7435/3127], [-8/59, -5/118], [-139395/40651, -1/81302]], [[6625, -2637/2], [-57691919255/3127, 37798050615/6254], [6625/59, -2637/118], [195500364/40651, -64051464/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-251, -1], [-75462/59, -535/59], [-251/59, -1/59], [0, 0]], [[1947, -708], [-26169725/689, -4947957/1378], [33, -12], [17929/40651, 3/81302]], [[26027617, -19792529/2], [-1138537587173/3127, 303751186047/6254], [26027617/59, -19792529/118], [185846808/40651, -36986593/40651]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[76, -30]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, 7/2], [-70, 59/2], [-11, 7/2], [0, 0]], [[224, -140], [2071, -1323/2], [224, -140], [0, 1/2]], [[616, -322], [10191/2, -1761], [616, -322], [-1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -3/2], [-47, 131/2], [1, -3/2], [0, 0]], [[30, -18], [-39209/26, 9892/13], [349/13, -238/13], [41/26, 2/13]], [[252, -132], [-24619/2, 5728], [231, -132], [21/2, 0]]], 1, 10, [], [] >,
< [ -4, -1, 1 ], [[20, -6]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -1/2], [-1, 3/2], [3, -1/2], [0, 0]], [[0, 12], [71/2, -1], [0, 12], [-1/2, 1]], [[6, -12], [-40, 5], [6, -12], [1, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1], [341, 97], [0, -1], [0, 0]], [[-1063, -11/2], [318917/26, 2378521/26], [-13694/13, -163/26], [-25/26, 1/13]], [[1988, -1021/2], [4038189/26, -1578721/13], [25589/13, -13123/26], [51/26, -15/26]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[-80, 31]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[597, -4], [-6075125/2582, -16913/7746], [23437/11, 51/22], [-209/2582, -1/42603]], [[92017, 147579/2], [-1439454401/3873, -2292008737/7746], [3704028/11, 2948480/11], [-543626/42603, -433058/42603]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[1116, 1/2], [-2002376185/100698, 636398/50349], [-124882/143, 127/286], [3431/1107678, -1/553839]], [[-441619, 545405/2], [132415648091/16783, -163208046265/33566], [49534596/143, -30533931/143], [-226860/184613, 12711/16783]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[-44, 18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 0], [9, -14], [-2, 0], [0, 0]], [[8, -3/2], [-115/2, 47/2], [8, -3/2], [3/2, -2]], [[-103, 87/2], [1961/2, -380], [-103, 87/2], [-99/2, 33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 5/2], [-1974, 1141/2], [-5, 5/2], [0, 0]], [[-1884, -1/2], [-3015159/26, 4079916/13], [-24447/13, 37/26], [9/26, 5/26]], [[-502407, 393271/2], [-4212403129/26, 1639712271/26], [-6529726/13, 5111243/26], [313/26, -64/13]]], 1, 10, [], [] >,
< [ -4, -1, 1 ], [[-548, 214]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, 0], [1/2, -5/2], [-10, 5/2], [0, 0]], [[-2987/2, -91/2], [-7759139/7746, -128422/3873], [2718/11, -13], [-1402/42603, 1/85206]], [[-3994487/2, 786783], [-10330983695/7746, 2035060622/3873], [375819, -3248427/22], [-1970425/42603, 1550785/85206]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[119/2, 3], [199/2, 11/2], [8, 1/2], [0, 0]], [[56031/2, 268], [12768303005/33566, 41703043/100698], [-2192764/143, 849/26], [10402/184613, -1/553839]], [[-75128439, 57265827/2], [-17344953001951/16783, 39695678288009/100698], [5986773121/143, -4568513739/286], [-28309363/184613, 64795787/1107678]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[-104, 42]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 5/2], [-4, -1], [-8, 5/2], [0, 0]], [[6868, 72], [7444614/1291, -866131/3873], [-21680/11, 788/11], [2434/14201, 2/42603]], [[7930769, -6364939/2], [9287214852/1291, -22246528949/7746], [-26946591/11, 1956451/2], [2857435/14201, -6872075/85206]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1], [-106, 47], [-2, 1], [0, 0]], [[52661, -71/2], [-10087007968/50349, -49273532/50349], [-3607693/143, -10249/286], [52709/553839, 1/553839]], [[62152009, -50017071/2], [-3932854585934/16783, 3167187750749/33566], [-4243561897/143, 3415915491/286], [20713111/184613, -16670395/369226]]], 0, 36, [], [] >,
< [ -4, -1, 1 ], [[-68, 26]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1/2], [-40, 33/2], [1, -1/2], [0, 0]], [[0, 0], [-27, 2], [0, 0], [-2, 2]], [[0, 0], [5/2, -5], [0, 0], [3/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 0], [826, 4], [-5, 0], [0, 0]], [[5415, -93/2], [-23208739/26, 91907/26], [5415, -93/2], [27/26, 1/13]], [[985725, -1956285/2], [-159508182, 322526781/2], [985725, -1956285/2], [127, -188]]], 1, 10, [], [] >,
< [ -4, -1, 1 ], [[140, -54]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, -5/2], [-269, 141/2], [10, -5/2], [0, 0]], [[11, -3], [-275, 213/2], [11, -3], [0, -3/2]], [[-35, 23/2], [1855/2, -361], [-35, 23/2], [-5/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1/2], [1379, 411/2], [1, -1/2], [0, 0]], [[0, 0], [-116575/26, -94453/26], [-5/13, 3/13], [-5/26, 3/26]], [[0, 0], [-5313485/26, -1938633/13], [-101/13, 84/13], [-101/26, 42/13]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[52, -22]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, 5/2], [-341, 143/2], [-10, 5/2], [0, 0]], [[-13, 35/2], [-260, 1441/2], [-13, 35/2], [1, 2]], [[62, -37], [3873/2, -1392], [62, -37], [3/2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [2588, 319/2], [1, 1/2], [0, 0]], [[0, 0], [-108419/26, -12271/13], [93/13, 4/13], [-93/26, -2/13]], [[0, 0], [80681059/26, -37009809/26], [-103251/13, 43631/13], [103251/26, -43631/26]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[644, -258]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[175, -65], [147, -64], [175, -65], [0, 0]], [[-260, 267/2], [-327, 59], [-332, 159/2], [-2, -3/2]], [[-12698, 4942], [-22631/2, 4450], [-12320, 4834], [21/2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-92, 67/2], [-3419, 731/2], [-92, 67/2], [0, 0]], [[246095, -267], [539655076/13, 577924057/26], [3216235/13, -2621/13], [-50/13, -5/26]], [[-87155402, 34748262], [-55706109483/26, 14648313812/13], [-1138551176/13, 453943186/13], [32535/26, -6517/13]]], 1, 1104, [], [] >,
< [ -4, -1, 1 ], [[4388, -1714]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13, 3], [70, -27], [-13, 3], [0, 0]], [[-475, 353/2], [2775, -1071], [-515, 333/2], [2, 1/2]], [[7528, -2952], [-89325/2, 17454], [7738, -3072], [-21/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[130, -107/2], [913, 1173/2], [130, -107/2], [0, 0]], [[-1515750, -1410], [394698097/2, 126369126], [-1515619, -1410], [1/2, 0]], [[952430325, -715964865/2], [-59975462309/13, -38266379949/13], [12380522645/13, -9306737595/26], [-4090/13, 3075/26]]], 1, 1104, [], [] >,
< [ -4, -1, 1 ], [[808, -315]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -5/2], [5, -5/2], [22, -9], [0, 0]], [[375, 1/2], [-11390821/7746, 5099/3873], [-37496, -337/22], [-4315/85206, -1/42603]], [[50732, -14388], [-257486589/1291, 219752687/3873], [-5077997, 15862112/11], [-97389/14201, 82961/42603]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19, -5/2], [-79, 13/2], [-20, 3], [0, 0]], [[28941, 2075/2], [11476829281/100698, -46486198/50349], [-24017206/143, -190041/286], [77053/1107678, 2/553839]], [[443334911, -192077647], [31645887150620/16783, -13480761219181/16783], [-35388224709/13, 166558097808/143], [209543952/184613, -89528412/184613]]], 1, 180, [], [] >,
< [ -4, -1, 1 ], [[452, -178]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, -13/2], [-49, 47/2], [18, -13/2], [0, 0]], [[208, -165/2], [-1299/2, 235], [183, -115/2], [5/2, -5/2]], [[-61, 43/2], [144, -91], [-21, 73/2], [-4, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, 4], [1217, -22], [-14, 4], [0, 0]], [[-43510, -76], [176439927/26, 34145931/13], [-559853/13, -770/13], [53/26, 1/13]], [[-14632331, 6641509/2], [1479168766, 162059891], [-14487797, 6581995/2], [663, -273/2]]], 1, 180, [], [] >,
< [ -4, -1, 1 ], [[184, -86]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-208, -3/2], [-16, 5], [-208, -3/2], [0, 0]], [[264369, 120365], [5756, -150], [2874423/11, 1324003/11], [-1/11, 0]], [[-26851337, 83651995/2], [-16280141972/3873, 4996154983/2582], [-271961535/11, 898214113/22], [245141/3873, -843115/28402]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-202, -1], [-1294, 27], [-202, -1], [0, 0]], [[128869, 109105/2], [659963302/50349, 16482633293/50349], [-87786519/143, 15606739/286], [47989/553839, -1/553839]], [[-291201737, 331958424], [322561243540840/50349, -60718670290397/33566], [1097632448983/143, -483596684639/143], [-514735223/553839, 14541901/33566]]], 0, 720, [], [] >,
< [ -4, -1, 1 ], [[8356, -3262]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-265/2, -1/2], [-9/2, -5/2], [-128, 2], [0, 0]], [[48757, -19862], [-6014009/1291, 20591/2582], [467459/11, -218617/11], [-2471/14201, -1/28402]], [[482926141/2, -94532780], [-114044832023/7746, 39973843865/7746], [2439551299/11, -1928173701/22], [-23366347/42603, 8183035/42603]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[529/2, 1], [2729/2, 27/2], [220, 5/2], [0, 0]], [[570677/2, 9272], [141521868881/100698, 2962968128/50349], [157110351/143, 2846551/286], [-56249/553839, -5/1107678]], [[-7619452555/2, 1309359723], [-143354786213243/7746, 24512865262628/3873], [-166893419716/11, 116070811933/22], [60513644/42603, -42265973/85206]]], 1, 120, [], [] >,
< [ -4, -1, 1 ], [[1028, -402]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35, -29/2], [39, -41/2], [35, -29/2], [0, 0]], [[2133, -834], [5307/2, -2079/2], [2125, -826], [-1/2, 1/2]], [[-6120, 2397], [-15215/2, 2992], [-6112, 2365], [1/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-45, 20], [588, 258], [-45, 20], [0, 0]], [[111245, 190], [16622627/2, 5495750], [111180, 190], [-1/2, 0]], [[2031943, -1416091/2], [153515534/13, 162014729/13], [2030753, -1415261/2], [-119/13, 83/26]]], 1, 180, [], [] >,
< [ -4, -1, 1 ], [[68, -34]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25, 15/2], [11, 41/2], [-25, 15/2], [0, 0]], [[-101, 49], [-171, -99/2], [-105, 43], [-1, -3/2]], [[-473, 181], [-407/2, 124], [-455, 177], [9/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21, -8], [45, -39], [21, -8], [0, 0]], [[-29, -10], [25905/13, 31015/26], [-1871/13, 119/13], [9/13, -3/26]], [[2, 9/2], [-11383/26, -4129/13], [-389/13, 615/26], [5/26, -3/26]]], 1, 144, [], [] >,
< [ -4, -1, 1 ], [[1348, -526]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 1], [5, 0], [-1, 1], [0, 0]], [[-1235, 11/2], [-5006441/1879, -8187/3758], [-11, 7/2], [4042/1879, 1/3758]], [[107837/2, 190867/2], [226789330/1879, 780221079/3758], [-594, 426], [-364455/3758, -314615/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 1], [221, -88], [-5, 1], [0, 0]], [[26331/2, -7/2], [1440731075/24427, 25825513/48854], [89161/13, -61/13], [44353/48854, 1/24427]], [[9430437, 12423881/2], [1057104939153/24427, 695595032403/24427], [63795513/13, 84049829/26], [15898032/24427, 10471842/24427]]], 1, 56, [], [] >,
< [ -4, -1, 1 ], [[264, -98]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 1/2], [11, -2], [-1, 1/2], [0, 0]], [[0, 0], [4860188/1879, 14361/3758], [0, 0], [-7232/1879, 1/3758]], [[0, 0], [368359356/1879, -338395355/3758], [0, 0], [-549682/1879, 504455/3758]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1], [209, -84], [-1, -1], [0, 0]], [[-668, -857/2], [-32993204734/24427, -20369031/24427], [910540/13, -11133/26], [229806/24427, 1/24427]], [[503280, 316836], [-145783068933648/24427, 133038185051139/48854], [4072753904/13, -1850525966/13], [1016552816/24427, -927322417/48854]]], 0, 336, [], [] >,
< [ -4, -1, 1 ], [[164, -66]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3548, 1/2], [795755/6254, -56/3127], [573/59, 157/118], [8405/6254, 1/3127]], [[-6438222, 2606058], [1443981297/6254, -584493531/6254], [808942/59, -336023/59], [15242409/6254, -6170157/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7519/59, 817/59], [-70/59, -3/59], [0, 0]], [[-19850, -3/2], [7570660453/40651, 3387326763/81302], [-269623/767, -559815/1534], [23796/40651, 5/81302]], [[1087597875, -880982735/2], [-8966118111383/1378, 1911845221127/689], [-170742264/13, 106517113/26], [-2607480335/81302, 528034175/40651]]], 1, 252, [], [] >,
< [ -4, -1, 1 ], [[164, -66]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[61, -51/2], [29, -43/2], [61, -51/2], [0, 0]], [[945, -357], [640, -359/2], [945, -357], [-2, 1/2]], [[-126, 84], [203/2, 333/2], [-126, 84], [-1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-26, 13], [65, -65], [-26, 13], [0, 0]], [[-1967, 1197/2], [223195/26, -13684/13], [-25976/13, 15347/26], [77/26, 5/26]], [[-147000, 55685], [13903899/26, -2413700/13], [-1925499/13, 726902/13], [3807/26, -567/13]]], 1, 84, [], [] >,
< [ -4, -1, 1 ], [[2344, -915]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-766, -3/2], [119887795/3758, -3730/1879], [-64283/3758, 2/1879], [-2534/1879, -1/3758]], [[11613992, -18478597/2], [-914707941030/1879, 723414309150/1879], [490460022/1879, -387889710/1879], [77271147/3758, -30578695/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-607354582/1879, -31957/3758], [29409/1879, -1/3758], [0, 0]], [[-35874, 1], [-7483678675813763/48854, -1588495537326523/24427], [362344263279/48854, 76905925120/24427], [121169/48854, 5/48854]], [[-796301174, 1258711003/2], [56838690120659530845/48854, 116510084848824904149/48854], [-2751205309490957/48854, -5641231120454775/48854], [1344510329/24427, -2125689321/48854]]], 1, 84, [], [] >,
< [ -4, -1, 1 ], [[10692, -4174]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-155, -1/2], [7699/59, 763/118], [-155/59, -1/118], [0, 0]], [[196747/2, 148667/2], [-600229991/6254, -216693805/3127], [196747/118, 148667/118], [-2153/6254, 1/3127]], [[-30816907/2, 9034321], [61926480947/6254, -42056272211/6254], [-30816907/118, 9034321/59], [-38225/106, 7271/53]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-288, -3/2], [15014/59, 401/118], [-288/59, -3/118], [0, 0]], [[-138996, -47077/2], [382334794/3127, 68727093/3127], [-138996/59, -47077/118], [2781/3127, 5/6254]], [[21332491/2, -3955225], [-57427616633/6254, 10624642892/3127], [21332491/118, -3955225/59], [-574117/6254, 218289/6254]]], 1, 168, [], [] >,
< [ -4, -1, 1 ], [[248, -102]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[406, 3/2], [-19734/59, -2289/118], [406/59, 3/118], [0, 0]], [[3881678, 5373615/2], [-11447067880/3127, -15663009205/6254], [3881678/59, 5373615/118], [8407/3127, -2/3127]], [[6005200841, -122818329], [-15902357740755/3127, -589305380051/6254], [6005200841/59, -122818329/59], [-101463533/3127, 82688371/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[273, 1/2], [16255/59, 889/118], [273/59, 1/118], [0, 0]], [[202648, 155928], [669482730/3127, 1041594633/6254], [202648/59, 155928/59], [-3960/3127, 3/6254]], [[176368, -35332], [614531320/3127, -256716571/6254], [176368/59, -35332/59], [13731/3127, -11161/6254]]], 0, 336, [], [] >,
< [ -4, -1, 1 ], [[164, -62]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-44, 1], [-12985139/3127, -13087/6254], [-44/59, 1/59], [-5421/3127, -3/6254]], [[-15847, 12051/2], [-4517457529/3127, 3426102323/6254], [-15847/59, 12051/118], [-1886586/3127, 715426/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-480, -5/2], [-142517/59, -787/118], [-480/59, -5/118], [0, 0]], [[233333, -122285/2], [-75875441461/40651, -12595502025/40651], [233333/59, -122285/118], [-281084/40651, -5/81302]], [[5880940135, -2281643766], [-1022360996925310/40651, 758184451123477/81302], [5880940135/59, -2281643766/59], [-5065979445/40651, 3851291663/81302]]], 1, 84, [], [] >,
< [ -4, -1, 1 ], [[1316, -514]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[117, -91/2], [171, -135/2], [117, -91/2], [0, 0]], [[-910, 715/2], [-1361, 530], [-902, 703/2], [-2, 3/2]], [[-1080, 440], [-3293/2, 633], [-1090, 420], [5/2, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[155, -121/2], [1692, -1279/2], [155, -121/2], [0, 0]], [[14, -1/2], [-1899/13, -1796/13], [230/13, -3/26], [-24/13, -5/26]], [[212, 35/2], [-85457/26, -69215/26], [3533/13, 807/26], [-777/26, -88/13]]], 1, 84, [], [] >,
< [ -4, -1, 1 ], [[72, -27]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[16, 5], [721/38, 155/38], [14, 5/2], [43/38, 2/19]], [[1229, -935/2], [71613/38, -13740/19], [1508, -580], [5481/38, -2117/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-237, -1/2], [923847/494, -3625/247], [1342/13, -1/26], [311/494, -1/247]], [[-309251, 252499/2], [612575627/247, -499262123/494], [1758240/13, -717464/13], [205744/247, -83864/247]]], 1, 40, [], [] >,
< [ -4, -1, 1 ], [[-72, 18]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 1], [14, -3], [8, 1], [0, 0]], [[-734, -399], [-7274/13, -4727/26], [-734, -399], [-14/13, -3/26]], [[-5, 1385/2], [-1282, 1807/2], [-5, 1385/2], [-5, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [2, 1], [0, 1/2], [0, 0]], [[2, -1/2], [-1164/13, 207/2], [6/13, -15/26], [2/13, -1/26]], [[-9, 29/2], [56876/13, 25289/26], [-321/13, -153/26], [-9/13, 29/26]]], 0, 160, [], [] >,
< [ -4, -1, 1 ], [[324, -126]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5/2, 3/2], [-1/26, -4/13], [2, 1], [-1/13, -3/26]], [[1/2, 0], [3/2, -1/2], [-1, 1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 0], [-141/2, 53/2], [-5, 5/2], [0, 0]], [[-95/2, -55], [-1751/2, 5090/13], [-1465/13, 107/26], [2/13, -3/26]], [[1575/2, 332], [-179243/26, 29364/13], [-2370/13, 10865/26], [25/13, -7/26]]], 1, 40, [], [] >,
< [ -4, -1, 1 ], [[36, -18]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 1/2], [0, 1/2], [1, 0], [0, 0]], [[-2, 1/2], [-105/38, 15/19], [-2, 1/2], [-7/38, 1/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1/2], [2, 1/2], [1, 0], [0, 0]], [[352, -5/2], [1687665/494, -3557/247], [-254/13, -41/26], [-805/494, 1/247]], [[-45152, 8300], [-108018205/247, 19641916/247], [30544/13, -3652/13], [51460/247, -9296/247]]], 1, 120, [], [] >,
< [ -4, -1, 1 ], [[36, -18]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-9, 3], [-122/13, 63/26], [11/2, -1/2], [19/26, -2/13]], [[1, 1/2], [34/13, 37/26], [-7/2, -2], [-7/26, -2/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -5/2], [-29, 13], [6, -5/2], [0, 0]], [[94, 119/2], [-12218/13, -7758/13], [183/2, 60], [-5/26, -1/26]], [[766, 465], [-98888/13, -121793/26], [17879/26, 12787/26], [-101/26, 8/13]]], 1, 40, [], [] >,
< [ -4, -1, 1 ], [[36, -18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -3/2], [18, 15/2], [15, -9/2], [0, 0]], [[-20, 16], [505/2, 171], [-60, 48], [5/2, -2]], [[118, -59], [-372, -561/2], [354, -177], [-15, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -3/2], [69, 63/2], [3, -9/2], [0, 0]], [[-1496, 120], [460871/26, 458123/26], [-58902/13, 4734/13], [-31/26, 3/26]], [[117248, -58624], [36755793/26, 1661253/13], [4617762/13, -2308476/13], [2505/26, -615/13]]], 1, 40, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 9], [2, -1], [0, 0]], [[-4, -1/2], [332, -255/2], [1/2, -1], [1/2, -1]], [[0, 2], [338, -134], [2, 0], [2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 2], [5, -2], [0, 0]], [[-8, -3/2], [-24, 27/2], [1/2, -2], [1/2, -2]], [[34, -17], [298, -113], [-51/2, 17/2], [-51/2, 17/2]]], 0, 12, [], [] >,
< [ -4, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -2], [5, -2], [0, 0]], [[-2, -3/2], [4, -3/2], [0, -1/2], [0, -1/2]], [[1/2, 0], [4, -3/2], [3/4, -1/4], [3/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [-73/2, 27/2], [1/2, 1/2], [0, 0]], [[-2, -3], [14, -7], [-5/2, -1/2], [-5/2, -1/2]], [[6, -5/2], [60, -47/2], [-4, 3/2], [-4, 3/2]]], 2, 6, [], [] >,
< [ -4, -1, 1 ], [[4, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -1/2], [131/2, -47/2], [-7/2, -1/2], [0, 0]], [[-285/2, -183/2], [343/2, 201/2], [-144, -92], [3/2, 1/2]], [[-17/2, -13/2], [55/2, 1/2], [-10, -6], [3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 18], [-62, 24], [0, 0]], [[2, 2], [149, -53], [264, -98], [1, 1]], [[439/2, 281/2], [394, 266], [1503/4, 1061/4], [439/4, 281/4]]], 0, 12, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-95, 39], [7, -5], [0, 0]], [[0, 0], [-1924, 794], [134, -106], [-2, 0]], [[0, 0], [-940, -40], [1089/2, 591/2], [13/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 14], [-712, 278], [0, 0]], [[0, 0], [0, -6], [467/2, -143/2], [15/2, 5/2]], [[0, 0], [-406, -260], [2619/2, 1677/2], [723/2, 463/2]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[16, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -6], [5, -2], [0, 0]], [[0, 3/2], [118, -44], [3/2, 3/2], [3/2, 0]], [[-2, 1], [134, -52], [-1/2, 1/2], [3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 2], [5, -2], [0, 0]], [[0, -1/2], [1314, -512], [-1/2, -1/2], [-1/2, 0]], [[0, 0], [128, -50], [0, 0], [0, 0]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[584, -228]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 2], [5, -2], [0, 0]], [[23/2, 7], [27, -21], [33/4, 23/4], [13/4, 5/4]], [[-119, -153/2], [138, 58], [-187/2, -119/2], [-51/2, -17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -5/2], [-175/2, 57/2], [3/2, -5/2], [0, 0]], [[1713/2, 545], [4873/2, 3293/2], [858, 546], [-3/2, -1]], [[26, 13], [-22, 77], [26, 13], [0, 0]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -2], [5, -2], [0, 0]], [[-4, -1], [54, -24], [-4, 0], [0, -1]], [[25, 35/2], [167/2, -3/2], [55/4, 45/4], [45/4, 25/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -2], [5, -2], [0, 0]], [[0, 2], [-118, 46], [-2, 0], [2, 0]], [[-27, -39/2], [261/2, -50], [51/4, 27/4], [-51/4, -27/4]]], 1, 3, [], [] >,
< [ -4, -1, 1 ], [[32, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[0, 0], [96, -38], [3/2, 1/2], [3/2, 1/2]], [[0, 0], [48, -12], [-29/2, -19/2], [-29/2, -19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-76, -32], [-27/2, -5/2], [-27/2, -5/2]], [[0, 0], [-1836, -1150], [-475/2, -285/2], [-475/2, -285/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[24, -8]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[6, 2], [12, 10], [3, 1], [3, 1]], [[-1/2, 5/2], [10, 4], [-1/4, 5/4], [-1/4, 5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -5/2], [-21/2, -27/2], [-15/2, -5/2], [0, 0]], [[-95/2, -51/2], [-359/2, -251/2], [-63, -28], [31/2, 5/2]], [[-1263/2, -449/2], [-3309/2, -2891/2], [-1967/2, -357/2], [352, -46]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[4, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-51/2, -3/2], [-13/4, -3/4], [13/4, 3/4]], [[0, 0], [-218, 102], [-18, 10], [18, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [28, 11], [-1, 0], [1, 0]], [[0, 0], [65/2, -23/2], [-13/4, 5/4], [13/4, -5/4]]], 0, 6, [], [] >,
< [ -4, -1, 1 ], [[48, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, 30], [302, -118], [0, 0]], [[0, 0], [-455, 166], [3515/2, -1369/2], [1/2, 1/2]], [[0, 0], [-130, -84], [-14, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -10], [-426, 166], [0, 0]], [[0, 0], [325, -154], [-11689/2, 4627/2], [-7/2, -3/2]], [[0, 0], [4022, 2618], [-4100, -3334], [428, 274]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[28, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59, 25], [-139, 55], [0, 0]], [[5, 1], [-1667, 588], [-7433/2, 2855/2], [5/2, 1/2]], [[61/2, 39/2], [-638, -386], [-1119/4, -509/4], [61/4, 39/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [113, -43], [45, -17], [0, 0]], [[-12, -2], [10748, -4159], [4272, -1665], [-6, -1]], [[21299/2, 13629/2], [-68739, -33700], [-33365/4, -4915/4], [21299/4, 13629/4]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-46, 29], [5/2, 3/2], [5/2, 3/2]], [[0, 0], [898, -373], [-13/2, -5/2], [-13/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -3], [-8, 3], [0, 0]], [[0, 0], [-90, 72], [258, -96], [4, 1]], [[0, 0], [-432, -1296], [-4349/2, 1323/2], [-221/2, -117/2]]], 0, 6, [], [] >,
< [ -4, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -1/2], [49/2, -11/2], [-9/2, -1/2], [0, 0]], [[133/2, 57/2], [-433/2, -27/2], [133/2, 57/2], [0, 0]], [[3/2, -1/2], [3/2, -1/2], [0, 0], [3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-9, -1], [18, -7], [-9/2, -1/2], [-9/2, -1/2]], [[5/2, 3/2], [0, 0], [5/4, 3/4], [5/4, 3/4]]], 1, 3, [], [] >,
< [ -4, -1, 1 ], [[748, -292]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [85, -33], [25, -11], [0, 0]], [[-11/2, -4], [9753, -7621/2], [12207/4, -4597/4], [-1/4, -5/4]], [[96, 123/2], [-409, 413/2], [-784, -715/2], [21, 27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, 11], [7, -1], [0, 0]], [[-5, -7/2], [-424, 337/2], [163/2, -34], [-1/2, -1]], [[-125/2, -40], [73, 19/2], [-119/4, -47/4], [-55/4, -35/4]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[16, -8]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 4], [-18, 8], [0, 0]], [[-8, -7/2], [-287, 197/2], [-989/2, 185], [-3/2, -2]], [[30, -5], [4067, -1574], [14425/2, -5615/2], [-25/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 22], [-22, 8], [0, 0]], [[-10, -3/2], [13410, -10435/2], [4909, -3815/2], [1, -5/2]], [[6, 7], [8387, -3304], [6129/2, -2423/2], [11/2, 3/2]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[8, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -2], [31, -10], [-1, -2], [0, 0]], [[-340, -429/2], [353, 168], [-340, -429/2], [-7, 3/2]], [[22545/2, 14211/2], [-23607/2, -11051/2], [22545/2, 14211/2], [243, -54]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -2], [5, -2], [0, 0]], [[-5/2, -1], [90, -34], [-5/2, -1], [-5/2, -1]], [[-4, 5], [1122, -440], [-4, 5], [-4, 5]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[4160, -1624]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 2], [5, -2], [0, 0]], [[1, 1/2], [256, -100], [1, 1/2], [1, 1/2]], [[0, 0], [-36, 14], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[5, -1/2], [-38, 26], [5, -1/2], [5, -1/2]], [[9, -27/2], [-330, 52], [9, -27/2], [9, -27/2]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[6824, -2664]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[1/2, 5/2], [105, -35], [1/2, 5/2], [1/2, 5/2]], [[-18, -12], [-62, -18], [-18, -12], [-18, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[1/2, -5/2], [-354, 126], [1/2, -5/2], [1/2, -5/2]], [[553/2, 357/2], [1644, 874], [553/2, 357/2], [553/2, 357/2]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [13/2, 1/2], [11/4, -3/4], [-11/4, 3/4]], [[0, 0], [31/2, -1/2], [29/4, -9/4], [-29/4, 9/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 0], [1, 0], [0, 0]], [[0, 0], [62557/26, 899/26], [-2061/52, -27/52], [229/52, 3/52]], [[0, 0], [1796442/13, -618037/13], [-29646/13, 10206/13], [3294/13, -1134/13]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[12, 0]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -2], [1, -2], [-5, 3], [0, 0]], [[13, 39/2], [13, 39/2], [10, -20], [0, 0]], [[0, 0], [-145/38, 55/38], [-8, 3], [-29/114, 11/114]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-38, 3/2], [-57, 21/2], [-19, 9], [0, 0]], [[-10260, -17195/2], [-5916915/494, -2049922/247], [22822/13, 3823/13], [-895/494, -1/1482]], [[-190589, 187017/2], [-11316254/247, 18551997/494], [-1132082/13, 422650/13], [29803/247, -34109/741]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[-12, 12]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, 3], [9, -3], [0, 0]], [[0, 0], [-1987/19, 1173/19], [90, -47], [-2/19, -1/57]], [[0, 0], [7737/38, 2515/38], [-130, -31], [-41/114, -29/114]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 5], [3, 1], [0, 0]], [[0, 0], [4818633/494, -75749/494], [-17620/13, -504/13], [-2621/1482, -1/494]], [[0, 0], [-10581710155/494, 1147438923/494], [38046634/13, -2652607/13], [1906367/494, -178929/494]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[-96, 36]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 4], [8, -1], [0, 0]], [[0, 0], [21678/13, -8329/13], [-800, 294], [-62/39, -2/39]], [[0, 0], [82/13, 103/26], [-11, -7], [-5/13, -19/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, 9], [12, -1], [0, 0]], [[0, 0], [-758/13, -289/26], [140/13, 59/13], [4/39, 1/26]], [[0, 0], [-94/13, -160/13], [43/13, 34/13], [1/39, 1/39]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[12, 0]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1/2, 1/2], [1/2, 1/2], [1, 0], [0, 0]], [[3/2, -1/2], [-171/26, 31/13], [0, 0], [7/39, -5/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [-3/2, 1/2], [1, 0], [0, 0]], [[-12, 5], [-161/13, -95/26], [148/13, -55/13], [10/39, -7/78]], [[-25/2, 11/2], [-553/26, -112/13], [160/13, -57/13], [11/39, -7/78]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[12, 0]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-101/38, -77/38], [-29, 19/2], [-5/114, -2/57]], [[0, 0], [0, 0], [23, -9], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, 69], [-31, 13], [0, 0]], [[0, 0], [-2702359/494, 955857/494], [-23282/13, 6905/13], [709/1482, 1/1482]], [[0, 0], [-156178771/247, 58154990/247], [-2612403/13, 1791591/26], [33530/741, -3467/494]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[12, 0]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-8, 1], [13, -2], [1/3, 0]], [[0, 0], [-144/13, 153/26], [37/2, -19/2], [9/26, -3/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, 6], [6, -1], [0, 0]], [[0, 0], [-725/13, 595/26], [267/26, -337/26], [5/78, -1/39]], [[0, 0], [1, -1], [4, 3], [0, 0]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[60, -24]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [5, -2], [0, 0]], [[0, 0], [31/2, -19/2], [0, 0], [3/2, -5/2]], [[0, 0], [467/2, -105], [0, 0], [73/2, -22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, 36], [5, -2], [0, 0]], [[0, 0], [25845/26, 391/13], [395/13, 10/13], [79/26, 1/13]], [[0, 0], [-402165/13, 34196/13], [-12320/13, 1100/13], [-1232/13, 110/13]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[44, -12]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40430/59, 401/59], [-349/59, -4/59], [0, 0]], [[0, 0], [7792741977/6254, 1431512127/6254], [-461448/59, -117450/59], [360093/81302, -1/81302]], [[0, 0], [-28259203510353/3127, 4019151363199/3127], [3052073448/59, -258487092/59], [-1604025506/40651, 405829505/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [752/59, -283/59], [467/59, 4/59], [0, 0]], [[0, 0], [766123587/3127, -83802304/3127], [1700765/59, -527296/59], [92834/40651, 2/40651]], [[0, 0], [-2735603016565/6254, 827739708781/6254], [-3595146500/59, 1327260528/59], [-298227833/81302, 75985311/81302]]], 0, 72, [], [] >,
< [ -4, -1, 1 ], [[1004, -392]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-771/59, 605/59], [215/59, 5/59], [0, 0]], [[-12370, -5/2], [-22160348/3127, 922193/6254], [-5444/59, 3011/118], [-14415/40651, -5/81302]], [[-2412850, 3558063/2], [-9180748179/6254, 3210966625/3127], [-1928657/59, 1720603/118], [-5623957/81302, 2073161/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [483/59, -292/59], [-16/59, 1/59], [0, 0]], [[92158, 7/2], [-1014092459/6254, -369239/3127], [66963/59, -1047/118], [214787/81302, 1/40651]], [[-569079456, 421812510], [6249247531839/6254, -4640441013515/6254], [-423130338/59, 307334476/59], [-1326431325/81302, 983102397/81302]]], 1, 36, [], [] >,
< [ -4, -1, 1 ], [[1004, -392]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -2], [5, -2], [0, 0]], [[-16889/2, -3/2], [-82971894/1879, -28949/3758], [0, 0], [-59385/48854, -1/24427]], [[-6857917/2, -3248487/2], [-33691215358/1879, -15958935030/1879], [0, 0], [-24107193/48854, -11417197/48854]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25, -10], [5, -2], [0, 0]], [[-172, 0], [273701086/24427, 3841884/24427], [-4336/13, -4/13], [568/24427, 1/24427]], [[45661/2, 28875/2], [-37619771156/24427, -47613241135/48854], [576884/13, 364826/13], [-151459/48854, -47894/24427]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[32, -4]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-151480728/1879, 12771/3758], [0, 0], [101182/24427, -1/48854]], [[0, 0], [48519996338/1879, 49982322787/3758], [0, 0], [-32411560/24427, -33389495/48854]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 0], [1, 0], [0, 0]], [[0, 0], [-2066117718/24427, -270039/24427], [37482/13, -2/13], [-10138/24427, 2/24427]], [[0, 0], [-922874734706/24427, -1121970277369/48854], [16734630/13, 10172030/13], [-4524740/24427, -423115/3758]]], 0, 72, [], [] >,
< [ -4, -1, 1 ], [[12, -8]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-1676811003/6254, -14409/6254], [263/59, 2/59], [557293/81302, 5/81302]], [[0, 0], [2923055223639/6254, -2140683168417/6254], [-448266/59, 334824/59], [-971484803/81302, 711462161/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22055/59, 1242/59], [161/59, 1/59], [0, 0]], [[0, 0], [-2492723527/40651, 342613038/40651], [-67967/767, -57042/767], [15147/40651, 1/40651]], [[0, 0], [-14266859/81302, 9041935/81302], [56/767, -33/767], [71/81302, -45/81302]]], 1, 18, [], [] >,
< [ -4, -1, 1 ], [[124, -48]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [5, -2], [0, 0]], [[0, 0], [31, 5/2], [0, 0], [-2, 5/2]], [[0, 0], [2269/2, 247], [0, 0], [-45/2, 90]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -10], [5, -2], [0, 0]], [[0, 0], [2331/26, 955/26], [-22/13, 6/13], [-11/26, 3/26]], [[0, 0], [-6459/26, -720/13], [106/13, -36/13], [53/26, -9/13]]], 1, 30, [], [] >,
< [ -4, -1, 1 ], [[2828, -1104]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1132587/3758, -35687/3758], [-569/3758, 1/3758], [0, 0]], [[-1730, -7/2], [1023212663/3758, 1006832437/3758], [-600111/3758, -539919/3758], [-5723/1879, -3/3758]], [[-33164052, 30224351/2], [-7789069617983/1879, 798029698334/1879], [3682361466/1879, -202868442/1879], [-220125515/3758, 50098138/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19094769/3758, -92001/3758], [913/3758, 5/3758], [0, 0]], [[-4282, 0], [975651234231/24427, 48320690752/24427], [-46870481/24427, -2342590/24427], [14463/48854, 1/48854]], [[-138642964, 126224725/2], [28740926421316754/24427, -13527782212741157/24427], [-1379466801291/24427, 649502464051/24427], [468225301/48854, -106576199/24427]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[108, -44]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57805927/3758, 1949/3758], [30977/3758, 5/3758], [0, 0]], [[0, 0], [968409335187/1879, 484308774835/1879], [-519153108/1879, -259682964/1879], [-8, 0]], [[0, 0], [3774522249590295/1879, -412185481833699/1879], [-2022516014148/1879, 220530085524/1879], [-403017925/3758, 142888741/3758]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [352774205/3758, 46933/3758], [-17083/3758, -3/3758], [0, 0]], [[0, 0], [310558374892543/24427, -51767371197676/24427], [-15038276885/24427, 2506288106/24427], [14463/48854, 1/48854]], [[0, 0], [66229049131253753309/48854, -24753438066686769311/48854], [-3206919567414149/48854, 1198593019566679/48854], [1247220997/48854, -442126641/48854]]], 0, 72, [], [] >,
< [ -4, -1, 1 ], [[64, -28]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14456/59, 358/59], [-280/59, 1/59], [0, 0]], [[0, 0], [-383745210/3127, 129933021/3127], [-56212/59, -44603/59], [-168371/40651, 1/40651]], [[0, 0], [225899793961/3127, -177980285467/6254], [-7795749/59, 359879/59], [62487448/40651, -54089707/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-535/59, 43/59], [-1/59, -4/59], [0, 0]], [[0, 0], [-2585268/53, 343/106], [0, 0], [-46559/40651, -5/81302]], [[0, 0], [3235252684/53, -2746134257/106], [0, 0], [58252931/40651, -49448047/81302]]], 0, 72, [], [] >,
< [ -4, -1, 1 ], [[2828, -1104]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7675/59, -20/59], [161/59, -5/59], [0, 0]], [[-84859/2, -1/2], [429276487/6254, 4823682/3127], [-73287/118, -3163/118], [98885/81302, 2/40651]], [[-129911307, 47844679], [635436430858/3127, -465413728417/6254], [-105064072/59, 38262094/59], [151377427/40651, -111499981/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6553/59, -338/59], [-117/59, 4/59], [0, 0]], [[144489/2, -5/2], [363619185/6254, 108258459/6254], [106077/118, -37485/118], [-168371/81302, 1/81302]], [[1975842675/2, -727942039/2], [2790612645763/6254, -448436980467/3127], [2205856023/118, -858118781/118], [-2302324429/81302, 424109470/40651]]], 1, 36, [], [] >,
< [ -4, -1, 1 ], [[44, -16]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-75468475/3127, -2157/6254], [-340/59, -3/59], [255581/40651, 3/81302]], [[0, 0], [-9509231730349/3127, 3509420585393/3127], [-42283787/59, 15572494/59], [2477253603/3127, -914242299/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-55634/59, 425/59], [-191/59, 3/59], [0, 0]], [[0, 0], [-112462882401/40651, -106901792513/81302], [-550341/59, -259556/59], [2294/40651, 3/81302]], [[0, 0], [-54920211531449/40651, 25077298765061/81302], [-273580439/59, 63426099/59], [3737537/40651, -2754139/81302]]], 1, 18, [], [] >,
< [ -4, -1, 1 ], [[348, -136]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 2], [5, -2], [0, 0]], [[0, 0], [145/2, -38], [0, 0], [1/2, -1]], [[0, 0], [515, -233], [0, 0], [6, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 14], [5, -2], [0, 0]], [[0, 0], [-5661/26, -604/13], [-51/13, 2/13], [51/26, -1/13]], [[0, 0], [77962/13, -32095/13], [2266/13, -902/13], [-1133/13, 451/13]]], 1, 30, [], [] >,
< [ -4, -1, 1 ], [[84, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -6], [5, -2], [0, 0]], [[0, 0], [-21/2, -2], [0, 0], [-3/2, -1]], [[0, 0], [-21, 8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-495, 198], [5, -2], [0, 0]], [[0, 0], [73783/26, 6061/26], [-235/13, -15/13], [47/26, 3/26]], [[0, 0], [662481/26, -797887/13], [-2475/13, 5060/13], [495/26, -506/13]]], 1, 36, [], [] >,
< [ -4, -1, 1 ], [[-1660, 648]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -3/2], [-4, -3/2], [-7, 1], [0, 0]], [[33, 11/2], [33, 11/2], [88, -24], [0, 0]], [[0, 0], [-71469/2582, 60881/7746], [25, -78/11], [-27/28402, 23/85206]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[26, 0], [-19, 15], [-15, 5], [0, 0]], [[-168, -231/2], [1969565577/33566, -4295770/50349], [369020/143, 1707/143], [-3369/369226, 1/1107678]], [[-2877, -987/2], [-15562481877/2582, 3300647751/1291], [-2885780/11, 1226646/11], [26559/28402, -11271/28402]]], 1, 18, [], [] >,
< [ -4, -1, 1 ], [[-60, 28]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 3], [22, -10], [0, 0]], [[0, 0], [-8117651/2582, 730381/7746], [48575/11, -3956/11], [-3811/28402, -5/85206]], [[0, 0], [718570148/3873, 590369870/3873], [-2346721/11, -2062099/11], [373529/42603, 297557/42603]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-119, 13], [-3, 3], [0, 0]], [[0, 0], [15569273297/100698, -26398303/33566], [-3770033/143, -1392/143], [103943/1107678, 1/369226]], [[0, 0], [-866083037679/16783, 1325123754371/50349], [1244372143/143, -638436303/143], [-5722061/184613, 8803961/553839]]], 0, 108, [], [] >,
< [ -4, -1, 1 ], [[-204, 80]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -2], [5, -2], [0, 0]], [[0, 0], [31/2, -53/2], [0, 0], [-3/2, -1/2]], [[0, 0], [43, -15/2], [0, 0], [0, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, 36], [5, -2], [0, 0]], [[0, 0], [47357/26, 2117/13], [-335/13, -20/13], [-67/26, -2/13]], [[0, 0], [14668273/26, -4000719/26], [-107985/13, 30705/13], [-21597/26, 6141/26]]], 1, 30, [], [] >,
< [ -4, -1, 1 ], [[-64, 20]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 4], [-16, 5], [0, 0]], [[0, 0], [32286692/3873, 98441/7746], [6027, -3/11], [9773/42603, 5/85206]], [[0, 0], [-1517928322/1291, -6715464477/1291], [-9091406/11, -41289197/11], [-449172/14201, -2029592/14201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, -9], [10, -2], [0, 0]], [[0, 0], [15455195870/50349, -1864269/33566], [2849090/143, -1306/143], [30026/553839, -1/369226]], [[0, 0], [-62261176/50349, -95192291/100698], [-11469/143, -8768/143], [-11/50349, -185/1107678]]], 0, 108, [], [] >,
< [ -4, -1, 1 ], [[-2500, 976]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -5/2], [1/2, -5/2], [-6, 3], [0, 0]], [[17/2, 17/2], [17/2, 17/2], [4, -5], [0, 0]], [[0, 0], [-140291/3873, 124409/7746], [-361/11, 160/11], [-53/42603, 47/85206]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[79/2, -5/2], [-161/2, 79/2], [-20, 7], [0, 0]], [[9956, 5548], [-170151749/50349, 472255481/100698], [-1866515/143, -20399/143], [-1633/50349, -1/1107678]], [[32794, -104690], [-17481080945/16783, 6273489528/16783], [-166012843/143, 72105002/143], [-542793/184613, 234668/184613]]], 1, 18, [], [] >,
< [ -4, -1, 1 ], [[-308, 120]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -8], [5, -2], [0, 0]], [[0, 0], [-13/2, 13], [0, 0], [5/2, -2]], [[0, 0], [25/2, -103/2], [0, 0], [-15/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-455, 182], [5, -2], [0, 0]], [[0, 0], [-7947/2, 5], [0, 0], [-3/2, 0]], [[0, 0], [1340706/13, -596941/13], [0, 0], [505/13, -225/13]]], 1, 30, [], [] >,
< [ -4, -1, 1 ], [[636, -248]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [110, -44], [5, -2], [0, 0]], [[0, 0], [245/2, 51/2], [0, 0], [-5/2, -5/2]], [[0, 0], [-5, 133/2], [0, 0], [-4, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1050, -420], [5, -2], [0, 0]], [[0, 0], [-191421/26, -8221/26], [-73/13, -3/13], [-73/26, -3/26]], [[0, 0], [5193189/26, -1093078/13], [1987/13, -836/13], [1987/26, -418/13]]], 1, 72, [], [] >,
< [ -4, -1, 1 ], [[244, -96]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 12], [5, -2], [0, 0]], [[0, 0], [58, -68], [0, 0], [1, -2]], [[0, 0], [-391/2, 16], [0, 0], [-11/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1440, 576], [5, -2], [0, 0]], [[0, 0], [-4983/26, 5335/26], [5/13, -3/13], [-5/26, 3/26]], [[0, 0], [5374/13, -45/26], [-6/13, 1/13], [3/13, -1/26]]], 1, 72, [], [] >,
< [ -4, -1, 1 ], [[2964, -1160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, 6], [323, -124], [0, 0]], [[0, 0], [1983/2, -343], [-13798, 5396], [-1/2, 1]], [[0, 0], [2670, -800], [-35384, 13864], [1, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-921, -46], [-61, 24], [0, 0]], [[0, 0], [1511225/26, 564370/13], [11390/13, 680/13], [-67/26, -2/13]], [[0, 0], [2933702, -19538372], [-1813900, 598400], [5335, -1760]]], 1, 3312, [], [] >,
< [ -4, -1, 1 ], [[20020, -7816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [77, -25], [197, -78], [0, 0]], [[0, 0], [-14453, 11263/2], [-40064, 15684], [-2, -3/2]], [[0, 0], [-93939/2, 18331], [-130394, 50927], [-1/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [115, 194], [-248, 97], [0, 0]], [[0, 0], [1613437923/26, 516067779/13], [1630981/13, 301/13], [-25/26, 1/13]], [[0, 0], [194269361417/26, 125036817739/26], [-509307632/13, 275820463/13], [9163/26, -4515/26]]], 1, 3312, [], [] >,
< [ -4, -1, 1 ], [[644, -260]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, 9], [-26, 2], [0, 0]], [[0, 0], [18780013/7746, 407891/7746], [708415/11, -9785/11], [7525/85206, -1/85206]], [[0, 0], [-7125256501/7746, -655973563/7746], [-266142384/11, -14592823/11], [-2837821/85206, -196525/85206]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-261, -9], [-113, -3], [0, 0]], [[0, 0], [-59729448439/100698, -349202525/100698], [-3431988/13, 19062/143], [23459/1107678, 1/1107678]], [[0, 0], [-114335220397081/50349, -3490357035491/16783], [-144217633199/143, -12242047720/143], [4074253/50349, 1276746/184613]]], 0, 2160, [], [] >,
< [ -4, -1, 1 ], [[16804, -6560]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 2], [1, 2], [227, 3], [0, 0]], [[-2840, -105/2], [-12084245/2582, -204656/3873], [983648/11, -1074561/11], [-1795/28402, -1/85206]], [[39205, -14510], [168659635/2582, -62518675/2582], [-36630840/11, 1343013], [25475/28402, -9465/28402]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[45, 5/2], [-261, 17/2], [-102, 2], [0, 0]], [[-2784, -120], [27539358493/100698, -71304187/100698], [-69374490/143, -30517/143], [217993/1107678, 5/1107678]], [[-6477680, 2377640], [11452557066566/16783, -4247984397088/16783], [-15666046437/13, 5807088855/13], [8209553/16783, -3043389/16783]]], 1, 360, [], [] >,
< [ -4, -1, 1 ], [[2068, -808]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29, 11], [-269, 104], [0, 0]], [[0, 0], [993/2, -347/2], [4403, -1648], [1/2, -1/2]], [[0, 0], [293, -167/2], [2494, -865], [0, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [706, 105], [51, -20], [0, 0]], [[0, 0], [490257/26, 145510/13], [2943/13, 218/13], [27/26, 1/13]], [[0, 0], [-8548309/13, 259292/13], [-825348/13, 304764/13], [-3786/13, 1398/13]]], 1, 540, [], [] >,
< [ -4, -1, 1 ], [[38116, -14880]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -1], [-6, -1], [-362, 144], [0, 0]], [[-4871, -3205], [56398/1291, -24812695/7746], [-1210215/11, -1795], [2397/14201, 5/85206]], [[-3876023/2, -2312817/2], [-32968841555/7746, 1812504335/3873], [49572702, -397262071/11], [-3391954/42603, 4753513/85206]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[75, 2], [-537, 236], [-102, 39], [0, 0]], [[23895, 14750], [51212238998/50349, 768005507/50349], [1475839/13, 12385/143], [-86275/553839, -1/553839]], [[27804635/2, 19277955/2], [-57651725464789/100698, 24243624802591/50349], [-9576934478/143, 701096676/13], [51018742/553839, -81984871/1107678]]], 1, 360, [], [] >,
< [ -4, -1, 1 ], [[160, -12]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 3], [276, -110], [0, 0]], [[0, 0], [-359252/1291, 1910615/3873], [163804/11, -77195/11], [74/14201, -1/42603]], [[0, 0], [-14526612/1291, -1558281/2582], [1903425/11, -571290/11], [95/14201, -815/28402]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [800, -39], [130, -5], [0, 0]], [[0, 0], [-3326856828/16783, -21683419177/100698], [367106/143, -5134846/143], [-11582/184613, -1/1107678]], [[0, 0], [-46342635895390/50349, 32896829584295/100698], [-54535862839/143, 20733630171/143], [222265949/553839, -176564833/1107678]]], 0, 2160, [], [] >,
< [ -4, -1, 1 ], [[4692, -1832]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [109, -40], [677, -265], [0, 0]], [[0, 0], [11340, -10929/2], [78625, -30438], [0, -3/2]], [[0, 0], [58885/2, -12214], [191515, -74587], [5/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [587, 3], [274, -107], [0, 0]], [[0, 0], [2207204791/26, 1414173785/26], [-32793, 97], [5/26, -3/26]], [[0, 0], [306884241197/26, 98293399556/13], [-3504054, -398327], [385/26, -148/13]]], 1, 540, [], [] >,
< [ -4, -1, 1 ], [[340, -136]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 4], [-41, 14], [0, 0]], [[0, 0], [1223/2, -213], [-4307, 1670], [-1/2, -1]], [[0, 0], [-2965, 1064], [21091, -8192], [1, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-643, 334], [-169, 66], [0, 0]], [[0, 0], [-9240/13, -5903/26], [3818/13, 83/13], [-23/13, -1/26]], [[0, 0], [55087/26, 15125/13], [-8051/13, -3154/13], [97/26, 19/13]]], 1, 432, [], [] >,
< [ -4, -1, 1 ], [[228, -100]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3813/59, 466/59], [-27/59, -2/59], [0, 0]], [[0, 0], [1313043/106, -317549/106], [-100, 25], [-2639/6254, -1/6254]], [[0, 0], [5129938062/3127, -2083105082/3127], [-789370/59, 319740/59], [-121709/3127, 54722/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1084/59, -183/59], [-263/59, -2/59], [0, 0]], [[0, 0], [867717/106, 5377/106], [-40, 15], [25703/6254, 5/6254]], [[0, 0], [-37439076815/6254, 16891341409/6254], [2922229/59, -1144874/59], [-19001741/6254, 8543231/6254]]], 0, 1008, [], [] >,
< [ -4, -1, 1 ], [[6148, -2400]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1394/59, -301/59], [209/59, -2/59], [0, 0]], [[3754, -1], [112225135/6254, 34365627/6254], [171913/59, 107886/59], [-8893/6254, -1/6254]], [[2564472, -1570313/2], [903890615/118, -67666921/59], [27196885/59, 30381953/118], [-114571/118, 17532/59]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19, -5], [4, 0], [0, 0]], [[-2144, 5/2], [56953/106, -23054/53], [-48, -287/2], [5079/6254, -2/3127]], [[3487968, -1064300], [-5423082887/3127, 2368073022/3127], [-12166075/59, 8160392/59], [-4129484/3127, 1259544/3127]]], 1, 504, [], [] >,
< [ -4, -1, 1 ], [[6148, -2400]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -2], [5, -2], [0, 0]], [[-2223/2, 3/2], [-4502560/1879, -15099/1879], [0, 0], [7341/3758, 3/3758]], [[98881/2, 108607/2], [204426736/1879, 443924015/3758], [0, 0], [-329063/3758, -179931/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25, -10], [5, -2], [0, 0]], [[-33208, -2], [-3724090472/24427, -338891/48854], [-224344/13, 2/13], [-56086/24427, 1/48854]], [[-5047769/2, -448643/2], [-283037974266/24427, -25151856456/24427], [-17050242/13, -1514170/13], [-8525121/48854, -757085/48854]]], 1, 168, [], [] >,
< [ -4, -1, 1 ], [[128, -68]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-6615792/1879, -403/3758], [0, 0], [9854/1879, -5/3758]], [[0, 0], [-75152/1879, 53009/3758], [0, 0], [112/1879, -79/3758]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 0], [1, 0], [0, 0]], [[0, 0], [50891743724/24427, -3337507/48854], [-1418688/13, -10/13], [-354672/24427, -5/48854]], [[0, 0], [-880537200319752/24427, -567999816842037/24427], [24548893208/13, 15835503800/13], [6137223302/24427, 3958875950/24427]]], 0, 1008, [], [] >,
< [ -4, -1, 1 ], [[100, -32]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [70875357/6254, 7647/6254], [134/59, -1/59], [-44465/6254, -5/6254]], [[0, 0], [44474904774/3127, -13503692169/3127], [169719/59, -51948/59], [-27902021/3127, 8471709/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12836/59, -817/59], [-107/59, 3/59], [0, 0]], [[0, 0], [-26445108437/81302, 26263520669/81302], [1259758/767, -2163581/767], [508237/81302, 3/81302]], [[0, 0], [2002526749846147/81302, -899785427206093/81302], [-133556598885/767, 64517387598/767], [-17375278369/81302, 5313989287/81302]]], 1, 252, [], [] >,
< [ -4, -1, 1 ], [[756, -296]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 6], [299, -117], [0, 0]], [[0, 0], [-80, -15], [1395, -540], [2, -2]], [[0, 0], [23/2, 19], [432, -171], [3/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [139, -97], [-178, 71], [0, 0]], [[0, 0], [5597/13, -2414/13], [-6239/13, 2348/13], [10/13, 2/13]], [[0, 0], [-17587/26, 4168/13], [10337/13, -3754/13], [-51/26, -9/13]]], 1, 252, [], [] >,
< [ -4, -1, 1 ], [[244, -84]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [408175541/3758, 24357/3758], [-218877/3758, -5/3758], [0, 0]], [[0, 0], [6208065082543/1879, 6208293595349/1879], [-3328476030/1879, -3328843770/1879], [58421/3758, 3/3758]], [[0, 0], [-328202762524078075/1879, -6380348677014675/1879], [175992492831750/1879, 3414743237250/1879], [1483913376/1879, -757021056/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [484786129/3758, 84485/3758], [-23461/3758, -5/3758], [0, 0]], [[0, 0], [-266322031797043/48854, -27791802851893/48854], [12892869843/48854, 1344481949/48854], [347443/48854, -3/48854]], [[0, 0], [-12656700302285634425/48854, 7378863218438945469/48854], [612837387753699/48854, -357244746279179/48854], [20978238575/48854, -10699167827/48854]]], 0, 1008, [], [] >,
< [ -4, -1, 1 ], [[48772, -19040]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64112909/3758, 16925/3758], [-34391/3758, 1/3758], [0, 0]], [[-2212, -9/2], [-48321663191/3758, -118602593475/3758], [25816329/3758, 63593763/3758], [-14635/3758, -2/1879]], [[161794980, -77386035/2], [-2405453311433578/1879, 2876641130979695/1879], [1293205931655/1879, -1543253826099/1879], [1072280415/3758, -128717610/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-916105550/1879, 50705/1879], [44355/1879, -2/1879], [0, 0]], [[44724, -5/2], [397468949392974/24427, -66256289275935/24427], [-19244217288/24427, 3207986892/24427], [-151061/48854, -1/24427]], [[4898289256, -2352146643/2], [100994868898432096727/48854, -31928562306589643651/48854], [-4889872306255875/48854, 1545892607850013/48854], [-16543496781/48854, 1985734030/24427]]], 1, 168, [], [] >,
< [ -4, -1, 1 ], [[48772, -19040]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-259, -5], [5, 0], [0, 0]], [[-995/2, 3/2], [760155503/6254, 183336078/3127], [-268771/118, -125951/118], [-1179/6254, 2/3127]], [[-128539, 58301], [12036006519/3127, -37352824897/6254], [-5118411/59, 6862472/59], [-152413/3127, 138227/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11031/59, -110/59], [207/59, 2/59], [0, 0]], [[-6273/2, 1/2], [106667835/6254, 1733645/3127], [-31153/118, -1361/118], [-7433/6254, 2/3127]], [[-4382184, 1970664], [70138412458/3127, -32170763955/3127], [-20046700/59, 9261802/59], [-5196072/3127, 2336160/3127]]], 1, 504, [], [] >,
< [ -4, -1, 1 ], [[160, -44]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16518/59, 657/59], [266/59, 2/59], [0, 0]], [[0, 0], [-305239051/3127, -485256291/6254], [121339/59, 83212/59], [8548/3127, 3/6254]], [[0, 0], [-72388073482/3127, -520882148797/6254], [76831230/59, 74207070/59], [26687297/3127, -15508649/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-352/59, -1939/59], [-88/59, 2/59], [0, 0]], [[0, 0], [774013442/3127, 1045896787/6254], [236782/59, 156351/59], [-10701/3127, 1/6254]], [[0, 0], [-1417171927893/3127, -1261296029466/3127], [-471420911/59, -363082798/59], [95131056/3127, -27952128/3127]]], 0, 1008, [], [] >,
< [ -4, -1, 1 ], [[84, -40]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [52062697/3127, 13791/6254], [-235/59, 4/59], [21543/3127, 5/6254]], [[0, 0], [-326531214266/3127, 151969811635/3127], [1520967/59, -699480/59], [-135119330/3127, 62884705/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42187/59, -952/59], [-148/59, -2/59], [0, 0]], [[0, 0], [-5673554704/40651, -25147907131/81302], [-292407/59, -60900/59], [118480/40651, 5/81302]], [[0, 0], [-69008063256831/40651, 33153815726433/81302], [714170646/59, -401468634/59], [-468843121/40651, 430887407/81302]]], 1, 252, [], [] >,
< [ -4, -1, 1 ], [[6004, -2344]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 8], [-76, 30], [0, 0]], [[0, 0], [906, -699/2], [4885, -1911], [1, 1/2]], [[0, 0], [9421/2, -3681/2], [25537, -9968], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-927, 343], [457, -178], [0, 0]], [[0, 0], [-596032/13, 465563/26], [299592/13, -116583/13], [-23/13, -1/26]], [[0, 0], [-127093/26, 22004/13], [18723/13, -19481/13], [595/26, 192/13]]], 1, 252, [], [] >,
< [ -4, -1, 1 ], [[36, 0]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 2], [5, 2], [0, -2], [0, 0]], [[8, -17/2], [8, -17/2], [25, -7], [0, 0]], [[0, 0], [-435/38, 165/38], [-8, 3], [-29/38, 11/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[92, 3/2], [95, -3/2], [3, -3], [0, 0]], [[149, -524], [-5158034/247, -137172/247], [-13410/13, -183/13], [-1665/247, -2/247]], [[734036, -602369/2], [-7779713991/494, 1451026203/247], [-10317400/13, 3857681/13], [-2610837/494, 978299/494]]], 1, 80, [], [] >,
< [ -4, -1, 1 ], [[-36, 36]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -12], [25, -11], [0, 0]], [[0, 0], [-106101/38, 34709/38], [-2548, 890], [63/38, 1/38]], [[0, 0], [10311/2, 8965/2], [2668, 2811], [-47/2, -31/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-107, -7], [12, -4], [0, 0]], [[0, 0], [-20127199/494, -11195849/494], [30529/13, -94/13], [2685/494, 1/494]], [[0, 0], [-7839885046/247, -4074370598/247], [29889101/13, -2812651/13], [1312704/247, -119568/247]]], 0, 480, [], [] >,
< [ -4, -1, 1 ], [[36, 0]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1/2, 1/2], [1/2, 1/2], [1, 0], [0, 0]], [[3/2, -1/2], [137/26, -24/13], [0, 0], [7/13, -5/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [-3/2, 1/2], [1, 0], [0, 0]], [[-8, 3], [-573/13, 417/26], [120/13, -46/13], [6/13, -5/26]], [[-9/2, 3/2], [-667/26, 106/13], [66/13, -24/13], [3/13, -3/26]]], 1, 80, [], [] >,
< [ -4, -1, 1 ], [[-288, 108]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -10], [12, -1], [0, 0]], [[0, 0], [-5038/13, 4087/26], [-109, 51], [-1/13, -3/26]], [[0, 0], [-78, 29], [-26, 7], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, -41], [-16, 5], [0, 0]], [[0, 0], [-193764/13, 147135/26], [25342/13, -12106/13], [-2/13, -1/26]], [[0, 0], [-323066/13, 129903/13], [50753/13, -15780/13], [1/13, 2/13]]], 0, 480, [], [] >,
< [ -4, -1, 1 ], [[36, 0]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [937/38, -37/38], [51, 7], [-87/38, -5/38]], [[0, 0], [-2278/19, 925/19], [-181, 153/2], [180/19, -149/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19, -17], [6, -4], [0, 0]], [[0, 0], [336081/494, -445/494], [3490/13, 63/26], [-311/494, 1/247]], [[0, 0], [-28665/19, 25936/19], [-573, 538], [27/19, -24/19]]], 1, 120, [], [] >,
< [ -4, -1, 1 ], [[36, 0]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [396/13, -17/13], [125/2, -11/2], [-67/26, -3/26]], [[0, 0], [330, -55/2], [1365/2, -171/2], [-55/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [53, -17], [24, -7], [0, 0]], [[0, 0], [21000/13, -24353/26], [8494/13, -5866/13], [2/13, -1/26]], [[0, 0], [17164/13, -2063/13], [16937/26, -667/26], [1/26, -1/26]]], 1, 120, [], [] >,
< [ -4, -1, 1 ], [[180, -72]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 6], [-72, 27], [0, 0]], [[0, 0], [381, -61], [2865, -1140], [-2, 2]], [[0, 0], [-3363/2, 5], [-10080, 4095], [5/2, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [321, -84], [-42, 15], [0, 0]], [[0, 0], [-16917/13, -15135/26], [1065/13, 141/13], [9/13, -3/26]], [[0, 0], [84255/26, 20711/13], [-2421/13, -513/13], [-37/26, 2/13]]], 1, 120, [], [] >,
< [ -4, -1, 1 ], [[3412, -1332]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 20], [46, -18], [0, 0]], [[-1, -3/2], [647, -250], [-1343/2, 527/2], [3/2, -1]], [[6287/2, 2013], [-4231, -2756], [-9187/4, -5689/4], [2757/4, 1765/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [101, -39], [-115, 45], [0, 0]], [[2, 3/2], [-1216, 472], [1276, -497], [0, 1/2]], [[837/2, 268], [-496, -332], [763/4, 549/4], [367/4, 235/4]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-764, 298], [-174, 68], [0, 0]], [[6, 1], [13007, -5077], [6061/2, -2361/2], [-1/2, 3/2]], [[72, 29/2], [144451, -56382], [67319/2, -26215/2], [-7/2, 18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [552, -216], [886, -346], [0, 0]], [[-6, -1], [-44901, 17555], [-144009/2, 56245/2], [1/2, -3/2]], [[0, -15/2], [120185, -46859], [385183/2, -150313/2], [-15/2, 0]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[20, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1407, 547], [3, 1], [0, 0]], [[1/2, 3/2], [-20426, 7968], [93/4, -1/4], [1/4, 3/4]], [[-381/2, -243/2], [-7808, 3744], [-3913/4, -2531/4], [-381/4, -243/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1588, 618], [-26, 12], [0, 0]], [[4, -2], [-2985, 1171], [-65, 17], [2, -1]], [[1083/2, 693/2], [-7153, -4399], [41155/4, 26369/4], [1083/4, 693/4]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -10], [-52, 20], [0, 0]], [[0, 0], [278, -100], [-264, 110], [6, 2]], [[0, 0], [867, 539], [1353/2, 899/2], [867/2, 555/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1510, -588], [-80, 30], [0, 0]], [[0, 0], [28, -12], [2, 0], [0, 1]], [[0, 0], [-11, -7], [17/2, 11/2], [11/2, 7/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[20, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1722, -674], [16, -8], [0, 0]], [[11/2, 5/2], [2, 1], [39/4, 25/4], [11/4, 5/4]], [[-196, -126], [-81, -52], [-431, -276], [-98, -63]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1212, 474], [-18, 8], [0, 0]], [[-25/2, -3/2], [2077, -837], [79/4, -51/4], [-25/4, -3/4]], [[1421, 909], [5503, 3854], [2235/2, 1439/2], [1421/2, 909/2]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [250, -98], [-12, 4], [0, 0]], [[0, 0], [13215, -5156], [-1137/2, 447/2], [5/2, -3/2]], [[0, 0], [1666, 1278], [998, 630], [-328, -210]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [518, -202], [6, -2], [0, 0]], [[0, 0], [1882, -737], [31, -16], [3, 2]], [[0, 0], [-15, 38], [105/2, 69/2], [-89/2, -57/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 3/2], [-41/2, -15/2], [13/2, 3/2], [0, 0]], [[189/2, -21/2], [-621/2, -11/2], [225/2, -25/2], [-18, 2]], [[4719/2, -1859/2], [-12789/2, 5073/2], [2805, -1105], [-891/2, 351/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -9], [5, -3], [0, 0]], [[33/2, 3/2], [28, 18], [33/4, 11/4], [33/4, 3/4]], [[283/2, -111/2], [-2, 0], [139/4, -55/4], [283/4, -111/4]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-749, 295], [1, -3], [0, 0]], [[0, 0], [5052, -2118], [-83/2, 67/2], [-119/2, -5/2]], [[0, 0], [55674, 31522], [-12339/2, -7809/2], [18189/2, 11703/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-142, 18], [-104, 40], [0, 0]], [[0, 0], [-2014, 1586], [-5443/2, 2143/2], [-7/2, -5/2]], [[0, 0], [3322, -1304], [3258, -1272], [0, 0]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [559, -227], [-9, 1], [0, 0]], [[27/2, 1/2], [-35556, -23444], [-41481/4, -26523/4], [27/4, 1/4]], [[4615/2, -1859/2], [373352, 39776], [194251/4, 136497/4], [4615/4, -1859/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 35], [15, 5], [0, 0]], [[-41/2, -3/2], [442, 266], [459/4, 273/4], [-41/4, -3/4]], [[-893, 361], [773, -873], [529/2, -501/2], [-893/2, 361/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 8], [-26, -6], [0, 0]], [[0, 0], [-346, 314], [324, -264], [-4, 2]], [[0, 0], [4679, -2115], [-8293/2, 3681/2], [81/2, -33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 10], [-8, 8], [0, 0]], [[0, 0], [-29, -307], [-639/2, 131/2], [15/2, 1/2]], [[0, 0], [-60542, 25298], [58507, -22531], [-945, 351]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3621, -1413], [3261, -1273], [0, 0]], [[-41/2, -3/2], [74656, -29160], [268875/4, -105039/4], [-41/4, -3/4]], [[-81681, -52307], [-126885, -84887], [-308971/2, -204401/2], [-81681/2, -52307/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2553, 997], [-2395, 935], [0, 0]], [[23, 1], [-37308, 14564], [-70137/2, 27365/2], [23/2, 1/2]], [[299239/2, 191629/2], [-9200, -5716], [-470157/4, -300423/4], [299239/4, 191629/4]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 6], [-14816, 5784], [0, 0]], [[0, 0], [151, -63], [353909/2, -138153/2], [-9/2, 1/2]], [[0, 0], [4772, 3056], [-5192, -3248], [1446, 926]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 20], [-5118, 1998], [0, 0]], [[0, 0], [375, -151], [100201/2, -39125/2], [-5/2, -3/2]], [[0, 0], [-22, -14], [-12, 4], [0, 0]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[3412, -1332]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, -62], [-10, 4], [0, 0]], [[-4, 1/2], [1548, -605], [-233/2, 89/2], [3/2, -1]], [[1177, 1507/2], [1251/2, 1047/2], [4375/4, 2765/4], [1837/4, 1177/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-436, 170], [82, -32], [0, 0]], [[3, -1], [14137/2, -5561/2], [-5409/4, 2117/4], [-7/4, 3/4]], [[-641, -821/2], [160393/2, 102657/2], [-20523/4, -13121/4], [-1001/4, -641/4]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43, 15], [-21, -3], [0, 0]], [[0, 0], [-982, 184], [-2509/2, -1227/2], [31/2, 5/2]], [[0, 0], [11965, -4519], [3577, -555], [-114, 38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 44], [0, 4], [0, 0]], [[0, 0], [-1378, -856], [-1113/2, -711/2], [3/2, 1/2]], [[0, 0], [387, -103], [33, 7], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[152, -56]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1], [21, -13], [3, 1], [0, 0]], [[29/2, -121/2], [3731/2, -1147/2], [4, -54], [31/2, 5/2]], [[6463/2, -2075/2], [151501/2, -60409/2], [5301/2, -1641/2], [287, -147]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, -11], [-11, 3], [0, 0]], [[-65/2, -3/2], [-73, 21], [539/4, -223/4], [-65/4, -3/4]], [[267, 25], [561, -151], [-2023/2, 847/2], [267/2, 25/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 3], [1, -1], [0, 0]], [[0, 0], [-97/2, 21/2], [-9/4, 21/4], [-43/4, -1/4]], [[0, 0], [-400, 130], [-97/2, 65/2], [-145/2, 29/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 14], [-10, 4], [0, 0]], [[0, 0], [-35299/2, -22805/2], [-501/4, -7/4], [-59/4, -1/4]], [[0, 0], [-15341/2, -3643/2], [9359/4, -3707/4], [1093/4, -433/4]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[188, -76]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1205, -437], [35, 1], [0, 0]], [[-49/2, -3/2], [1425604, 915336], [2506035/4, 1605033/4], [-49/4, -3/4]], [[-5995/2, 1815/2], [33436877, 21889937], [59461285/4, 38117703/4], [-5995/4, 1815/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [93, -13], [29, -1], [0, 0]], [[-15/2, -5/2], [-24433, -16093], [-43655/4, -28445/4], [-15/4, -5/4]], [[80, -24], [19014, 26786], [10844, 10944], [40, -12]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -6], [-20, -4], [0, 0]], [[0, 0], [1119, -439], [-1317/2, 289/2], [-11/2, -1/2]], [[0, 0], [-2842, 1108], [1324, -586], [6, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -18], [-28, 4], [0, 0]], [[0, 0], [41, -19], [-99/2, 27/2], [19/2, 5/2]], [[0, 0], [-566, 226], [581, -217], [-55, 11]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[748, -292]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -5/2], [-5/2, 9/2], [-11/2, -5/2], [0, 0]], [[-147/2, -105/2], [183/2, 51/2], [-72, -55], [3/2, -5/2]], [[203/2, 49/2], [385/2, -247/2], [257/2, 31/2], [27, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 2], [4, -2], [0, 0]], [[-5/2, 5/2], [-4, 4], [107/4, -43/4], [-5/4, 5/4]], [[6, 4], [9, 6], [0, -1], [3, 2]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[16, -8]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [41, -16], [-13, 5], [0, 0]], [[0, 0], [38, 2], [9, 6], [7, 2]], [[0, 0], [-1166, -782], [-1355/2, -867/2], [-667/2, -435/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [58, -22], [0, 0]], [[0, 0], [0, 0], [673/2, -267/2], [-3/2, -3/2]], [[0, 0], [0, 0], [-75/2, 77/2], [45/2, 29/2]]], 0, 12, [], [] >,
< [ -4, -1, 1 ], [[20, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -5/2], [43/2, -31/2], [-11/2, -5/2], [0, 0]], [[453/2, 267/2], [121/2, 627/2], [225, 135], [3/2, -3/2]], [[24, 28], [340, -76], [27, 27], [-3, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [569, -217], [-35, 15], [0, 0]], [[35/2, 1/2], [-311, 123], [111/4, -27/4], [35/4, 1/4]], [[-2744, -1764], [-795, -305], [-1517, -987], [-1372, -882]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-508, 200], [-8, 4], [0, 0]], [[0, 0], [-17292, 6724], [-633/2, 217/2], [3/2, 1/2]], [[0, 0], [2159, -507], [214, 104], [-11, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [282, -110], [16, -6], [0, 0]], [[0, 0], [750, -294], [99/2, -39/2], [15/2, 1/2]], [[0, 0], [12, 132], [29/2, 35/2], [-747/2, -477/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[20, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 3/2], [367/2, -151/2], [13/2, 3/2], [0, 0]], [[-9825/2, -6271/2], [8185/2, 6479/2], [-9825/2, -6275/2], [0, 2]], [[758, 482], [-537, -535], [1515/2, 965/2], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 5], [-15, 7], [0, 0]], [[4, 0], [-223, 87], [-221, 87], [2, 0]], [[105/2, 67/2], [-13, 3], [53/4, 79/4], [105/4, 67/4]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [850, -332], [10, -4], [0, 0]], [[0, 0], [7088, -2746], [183/2, -51/2], [-5/2, 5/2]], [[0, 0], [505, 529], [675/2, 437/2], [105/2, 67/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [298, -116], [30, -12], [0, 0]], [[0, 0], [12248, -4776], [2463/2, -967/2], [7/2, 1/2]], [[0, 0], [-2964, -52], [807/2, 889/2], [-805/2, -515/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[20, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35/2, 1/2], [-211/2, 67/2], [35/2, 1/2], [0, 0]], [[-24139/2, -15385/2], [25853/2, 15923/2], [-12069, -7695], [-1/2, 5/2]], [[-1935/2, -2745/2], [-9007/2, 7187/2], [-1026, -1350], [117/2, -45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, -22], [16, 4], [0, 0]], [[9/2, 3/2], [121, -83], [-75/4, -97/4], [9/4, 3/4]], [[9/2, -5/2], [690, -260], [241/4, -61/4], [9/4, -5/4]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -2], [20, 4], [0, 0]], [[0, 0], [33, 23], [-42, -30], [-5, -1]], [[0, 0], [-306, 90], [997/2, -313/2], [-651/2, 259/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 2], [-2, 6], [0, 0]], [[0, 0], [-16, 24], [-41/2, 125/2], [-29/2, -3/2]], [[0, 0], [454, -168], [1010, -366], [98, -42]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[5984, -2336]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -26], [-18, 8], [0, 0]], [[0, 0], [2, 1], [1, 1], [1, 0]], [[0, 0], [1398, -546], [-392, 154], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-205, 81], [9, -3], [0, 0]], [[0, 0], [1, 2], [0, 0], [1, 0]], [[0, 0], [190, -74], [-10, 4], [0, 0]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[512, -200]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-269, 187/2], [0, 0], [-1, -3/2]], [[0, 0], [-133, -6], [0, 0], [-9, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-237, 93], [0, 0], [-3, 1]], [[0, 0], [-22, 5/2], [0, 0], [2, 3/2]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[39868, -15564]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, 1], [-3, -1], [0, 0]], [[0, 0], [821/2, 39/2], [-20, -3], [9/2, 5/2]], [[0, 0], [-4903, 1909], [198, -77], [-8, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -7], [-16, 6], [0, 0]], [[0, 0], [4639/2, 3025/2], [169, 5], [7/2, -3/2]], [[0, 0], [29731/2, 18309/2], [-922, 799], [-99/2, 37/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[1916, -748]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, -14], [-85, 33], [0, 0]], [[2, -2], [-2357/2, 877/2], [2857, -1123], [-5/2, 1/2]], [[2, -1/2], [-734, 295], [1837, -1429/2], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [69, -27], [95, -37], [0, 0]], [[-4, 3/2], [-975/2, 383/2], [-684, 531/2], [5/2, -1]], [[0, 0], [-15, 7], [-24, 8], [0, 0]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[188, -76]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29, -1], [-12, 4], [0, 0]], [[0, 0], [-428, -174], [79, -9], [-6, -2]], [[0, 0], [-5741/2, 2337/2], [1734, -680], [-107/2, 43/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, -21], [16, -6], [0, 0]], [[0, 0], [-9219/2, -5889/2], [111, -9], [27/2, 5/2]], [[0, 0], [-5274, -4124], [-7839, 3105], [-594, 242]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[20, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 10], [-8, 6], [0, 0]], [[0, 0], [-251, -149], [-192, 26], [3, 1]], [[0, 0], [7/2, -3/2], [-7/4, 3/4], [7/4, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [397, -49], [-7, 5], [0, 0]], [[0, 0], [-601225/26, 4064669/26], [428409/52, -5173/52], [239/52, -3/52]], [[0, 0], [-233240523/2, 98630535/2], [15424481/4, -5700933/4], [8611/4, -3183/4]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[20, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -10], [6, -4], [0, 0]], [[0, 0], [-1097/2, -867/2], [-1159/4, 227/4], [-25/4, -3/4]], [[0, 0], [-6041/2, 3677/2], [43343/4, -16691/4], [589/4, -217/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-157, 31], [17, -7], [0, 0]], [[0, 0], [-489563/26, -389849/26], [-32021/52, -1655/52], [45/52, -1/52]], [[0, 0], [-207230/13, 203430/13], [41674/13, -14776/13], [-66/13, 24/13]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[20, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -8], [-2, -2], [0, 0]], [[0, 0], [11/2, -19/2], [273/4, -93/4], [15/4, 5/4]], [[0, 0], [-469/2, 185/2], [-4833/4, 1885/4], [-83/4, 31/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138, -4], [-4, 0], [0, 0]], [[0, 0], [1002873/26, 7971/26], [56335/52, -1171/52], [73/52, 3/52]], [[0, 0], [26018451/13, -9666675/13], [762397/13, -284845/13], [900/13, -332/13]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[92, -36]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25, 8], [-11, 5], [0, 0]], [[0, 0], [29/2, 57/2], [-77/4, -23/4], [-11/4, -1/4]], [[0, 0], [-1/2, 1/2], [1/4, -1/4], [-1/4, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-85, 12], [3, -3], [0, 0]], [[0, 0], [-1195/26, -20655/26], [-6533/52, 493/52], [-83/52, 3/52]], [[0, 0], [135825/26, 26665/26], [-6195/52, 10191/52], [-57/52, 133/52]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[-108, 60]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29, -1], [-15, -5], [0, 0]], [[0, 0], [-24494/19, 5766/19], [469, 27], [26/57, -2/57]], [[0, 0], [102457/38, -34037/38], [-776, 138], [-97/114, 25/114]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-617, -11], [15, 1], [0, 0]], [[0, 0], [-2826589978/247, 120860914/247], [3524964/13, 11286/13], [-895/247, -1/741]], [[0, 0], [-6833770284909/494, 1830842932329/494], [4075431158/13, -1000113388/13], [-2075335/494, 512287/494]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-48, 48]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -6], [230, -90], [0, 0]], [[0, 0], [774/13, -256/13], [612, -244], [-10/39, -2/39]], [[0, 0], [-2300/13, -1357/13], [145, 191], [93/13, 178/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 16], [-2, -2], [0, 0]], [[0, 0], [-1948/13, 1481/13], [163/13, 105/13], [1/13, 2/39]], [[0, 0], [-502, 196], [0, 0], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-60, 12]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 2], [13, 1], [12, 4], [0, 0]], [[-351/2, -69/2], [-9131/26, 649/26], [-321, -63], [-18/13, -1/13]], [[-1043/2, 387/2], [-42901/26, 16463/26], [-954, 354], [-211/39, 80/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 2], [57, 13], [-4, 4], [0, 0]], [[889, -37], [60036/13, 95018/13], [23267/13, -851/13], [1/39, -1/13]], [[474707/2, -189601/2], [-46267045/26, 16426575/26], [6164906/13, -2463538/13], [485/13, -550/39]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[-60, 12]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 6], [-5, 1], [0, 0]], [[0, 0], [-6319/38, -1905/38], [-204, 43], [127/114, -1/114]], [[0, 0], [-139663/38, 382471/38], [-34454, 16199], [14065/114, -3045/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39, 27], [4, 4], [0, 0]], [[0, 0], [2330105/494, -62573/494], [29882/13, 133/13], [465/494, -5/1482]], [[0, 0], [5079234/19, -3651122/19], [118641, -92789], [2839/57, -2171/57]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[-60, 12]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 2], [-7, -5], [0, 0]], [[0, 0], [4203, -1723], [232, -18], [2/3, 0]], [[0, 0], [-2342873/38, 893937/38], [-1840, 1199], [-161/38, 385/114]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51, 29], [31, 5], [0, 0]], [[0, 0], [65050865/494, 31211315/494], [1330098/13, -13774/13], [1633/1482, 1/494]], [[0, 0], [-4131361024/247, -5732810118/247], [369027825/13, -275253530/13], [218318/741, -56115/247]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[276, -108]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -9], [1, -3], [0, 0]], [[0, 0], [14329/38, -3733/38], [103, -9/2], [-7/114, 1/57]], [[0, 0], [-37, -19], [-25, -15], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, 4], [3, -1], [0, 0]], [[0, 0], [4861071/494, -22411/494], [4314/13, -47/26], [-1171/1482, -1/741]], [[0, 0], [-1940339499/494, 890779291/494], [-1724604/13, 791301/13], [154007/494, -71001/494]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[-60, 12]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -6], [18, -2], [0, 0]], [[0, 0], [93, -7], [-64, -68], [-4/3, 0]], [[0, 0], [46178/13, -17339/13], [2513/2, -1317/2], [-3577/78, 441/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [865, -387], [328, -128], [0, 0]], [[0, 0], [-11504877/13, -7422576/13], [60553/26, -613/26], [-3/26, -1/78]], [[0, 0], [28635205/13, 35745163/13], [-6092682/13, 2333166/13], [740/39, -280/39]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[26220, -10236]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57, 27], [-400, 156], [0, 0]], [[0, 0], [-5475, 2585], [-38293, 14929], [-5, -1]], [[0, 0], [278971/2, 176979/2], [-997, -6049], [-1837/2, -1177/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1500, -738], [-105, 41], [0, 0]], [[0, 0], [-560777/26, -373027/26], [345/13, -25/13], [69/26, -5/26]], [[0, 0], [84546273/26, 58491549/26], [-91035/13, 18585/13], [-18207/26, 3717/26]]], 0, 240, [], [] >,
< [ -4, -1, 1 ], [[268, -92]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1663/59, -233/59], [397/59, 1/59], [0, 0]], [[0, 0], [32637855/106, -3835131/106], [-12048, -12048], [-685301/81302, 1/81302]], [[0, 0], [1651383548391/3127, -588088368843/3127], [352731806/59, -350585254/59], [-508025620/40651, 169514492/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15185/59, 289/59], [150/59, -2/59], [0, 0]], [[0, 0], [-102214373/106, 386645/106], [1080, -30], [1776823/81302, 5/81302]], [[0, 0], [5372063547162/3127, -1796984685458/3127], [-117140187/59, 39779931/59], [-1574825998/40651, 525477202/40651]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[176, -48]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 21], [15, 1], [0, 0]], [[0, 0], [-456545570/1879, 2239799/1879], [1936, 1232], [307238/24427, 5/24427]], [[0, 0], [-295846043734/1879, 152152691621/1879], [-392920, -260656], [197086440/24427, -101924605/24427]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-967, 471], [35, 5], [0, 0]], [[0, 0], [4199676788/24427, 985518455/24427], [115922/13, 105022/13], [12978/24427, 3/24427]], [[0, 0], [-159644573002/24427, -854412925796/24427], [-64099008/13, -27457552/13], [1840448/24427, -2488896/24427]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[92, -44]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [405, -159], [479, -187], [0, 0]], [[261749/2, 1/2], [365019683/1879, -12962/1879], [-307, 119], [261749/48854, 1/48854]], [[-2067838800, -1323515000], [-5766790787623/1879, -3691019556523/1879], [36931, 20997], [-2067838800/24427, -1323515000/24427]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3368, 1314], [-282, 110], [0, 0]], [[14857/2, 3/2], [12541939329/24427, -3452643777/24427], [337257/13, -153689/13], [14857/48854, 3/48854]], [[1165761891/2, 746539731/2], [290000899520780/24427, 185712633664333/24427], [-4425147268/13, -2833828888/13], [1165761891/48854, 746539731/48854]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[92, -44]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9901/59, -351/59], [161/59, 1/59], [0, 0]], [[0, 0], [148675999/6254, -51487291/6254], [-34848/59, 8668/59], [220553/81302, 3/81302]], [[0, 0], [773674911509/6254, -307596513505/6254], [-160484324/59, 66840972/59], [679167841/81302, -338222649/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-151597/59, 2133/59], [-225/59, 3/59], [0, 0]], [[0, 0], [79593076354/40651, 2704392254/40651], [2027114/767, 78972/767], [-28631/40651, 1/40651]], [[0, 0], [1209107621824157/81302, -625592187337457/81302], [15232768450/767, -7925250218/767], [-466633143/81302, 232982531/81302]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[92, -44]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-723/59, 71/59], [-64/59, 4/59], [0, 0]], [[0, 0], [1994187062/3127, 198938/3127], [4285/59, 525/59], [-661948/40651, -2/40651]], [[0, 0], [1435332948645/118, -718311603197/118], [61699414/59, -35902174/59], [-476534925/1534, 238458501/1534]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64111/59, 407/59], [-440/59, -2/59], [0, 0]], [[0, 0], [-6967563097371/81302, 76376724519/81302], [451146976/767, -5744826/767], [203/6254, 1/81302]], [[0, 0], [-13084901185359311/81302, 6459258134442119/81302], [850174497189/767, -418970586691/767], [4846203/81302, -2418919/81302]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[92, -44]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [675/59, 227/59], [461/59, -3/59], [0, 0]], [[0, 0], [-851644783/3127, 13221975/3127], [165837/59, 83589/59], [290323/40651, 1/40651]], [[0, 0], [10315133366151/6254, -5034603919619/6254], [-1443810/59, 234661590/59], [-3411450519/81302, 1689541251/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52558/59, -180/59], [-515/59, -1/59], [0, 0]], [[0, 0], [1253067223659/81302, -59444471067/81302], [-115532231/767, 4901279/767], [-1015/6254, -5/81302]], [[0, 0], [-33923589233765/40651, 16202441301343/40651], [6198261595/767, -2973358691/767], [326070/40651, -162798/40651]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[68, -28]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-332623178/3127, -2939/3127], [-134779/59, -312/59], [-214787/40651, -2/40651]], [[0, 0], [-35411052953811/6254, 14741039414527/6254], [-7146735098/59, 2976879166/59], [-22866199077/81302, 9518824093/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4617/59, -1109/59], [54/59, 4/59], [0, 0]], [[0, 0], [5514211299/81302, -166634229/81302], [-2523/767, 14786/767], [-28631/81302, 1/81302]], [[0, 0], [-10691194120484/40651, 4416347912713/40651], [100199917/767, -35744769/767], [52855040/40651, -21999360/40651]]], 1, 36, [], [] >,
< [ -4, -1, 1 ], [[53516, -20892]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, 26], [-341, 133], [0, 0]], [[0, 0], [-9269/2, 3731/2], [-21880, 8546], [5/2, 1/2]], [[0, 0], [-45645, -29893], [-539, -3437], [-1212, -776]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2431, -949], [-446, 174], [0, 0]], [[0, 0], [-4313/26, -171/26], [-998/13, 102/13], [73/26, -1/26]], [[0, 0], [1347891/26, 865519/26], [208701/13, 134321/13], [-19975/26, -12835/26]]], 0, 336, [], [] >,
< [ -4, -1, 1 ], [[124, -12]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37285, 1], [20, 0], [0, 0]], [[0, 0], [9119581865703/3758, -569936385195/3758], [-4891788745/3758, 305623029/3758], [54319/3758, -3/3758]], [[0, 0], [1389868357202562384/1879, -528034572020263774/1879], [-745512589885071/1879, 283232220941309/1879], [15133091351/3758, -5701393299/3758]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168438747/3758, 5623/3758], [8085/3758, -1/3758], [0, 0]], [[0, 0], [120135497750009/48854, -1232386082705/48854], [-5767454507/48854, 60131235/48854], [922761/48854, 3/48854]], [[0, 0], [705790484617674081/48854, -266300021214184577/48854], [-33891958635865/48854, 12787994884577/48854], [5338621135/48854, -2011307435/48854]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[12900, -5036]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5669/59, -905/59], [161/59, -5/59], [0, 0]], [[294169/2, -5/2], [9394456/53, 23363321/106], [-6785, -4025], [-342791/81302, -2/40651]], [[696709195, -374623095], [-74512670101/53, 3303382157/106], [8867995, 8467680], [-811815375/40651, 873064535/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [113/59, -669/59], [43/59, -5/59], [0, 0]], [[-94757, 1], [261219493/3127, -1652759/3127], [939/59, 570/59], [110419/40651, 2/40651]], [[-52511303/2, 32946459/2], [73527135639/3127, -91165163069/6254], [-136194/59, -104400/59], [4706637/6254, -1476592/3127]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[48, -8]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11565/59, 527/59], [221/59, -1/59], [0, 0]], [[0, 0], [-2171399488/3127, 1248764346/3127], [962578/59, -428545/59], [116186/40651, 1/40651]], [[0, 0], [-575692395003/3127, 519997958355/6254], [236973587/59, -97149937/59], [21061298/40651, -8469909/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19290/59, -189/59], [-340/59, -3/59], [0, 0]], [[0, 0], [19832847/3127, -21572772/3127], [5347/59, 7405/59], [-116186/40651, -1/40651]], [[0, 0], [-220562473426/3127, 241147279135/6254], [6550950/59, -26214986/59], [661074548/40651, -290060057/81302]]], 0, 144, [], [] >,
< [ -4, -1, 1 ], [[432, -176]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1064/59, 716/59], [30/59, 2/59], [0, 0]], [[0, 0], [5296255/3127, -5204736/3127], [939/59, -2321/59], [-46418/40651, 1/40651]], [[0, 0], [208012789417/3127, -79497002889/3127], [71182675/59, -26724341/59], [-704005824/40651, 284705184/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18882/59, -834/59], [-384/59, -2/59], [0, 0]], [[0, 0], [-4229672012/3127, 1929437025/3127], [-2707962/59, 814398/59], [418326/40651, 5/40651]], [[0, 0], [627568163769065/3127, -244138333019615/3127], [343656578883/59, -134907124977/59], [-35711167356/40651, 14444196750/40651]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[284, -108]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25012/59, -4264/59], [294/59, -4/59], [0, 0]], [[551813/2, 3/2], [7877843919/3127, 4584728703/3127], [2735640/59, 1745050/59], [551813/81302, 3/81302]], [[-410383324, 667593069], [32655470783675/3127, 23335249158874/3127], [12820367165/59, 8245933215/59], [-31567948/3127, 51353313/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8021/59, 1841/59], [-73/59, 3/59], [0, 0]], [[-75535, -1], [-287867610/3127, -24245350/3127], [-14686/59, -9184/59], [-75535/40651, -1/40651]], [[146071407/2, -223232209/2], [135058955527/3127, -437754073880/3127], [-40082364/59, -26391078/59], [146071407/81302, -223232209/81302]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[432, -176]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2594/59, 480/59], [-678/59, 2/59], [0, 0]], [[0, 0], [779704376/3127, -264997873/3127], [1317292/59, -1258474/59], [-110419/40651, -2/40651]], [[0, 0], [8002141926816/3127, -3132982903951/3127], [22197785922/59, -8494932880/59], [-731517409/40651, 295470430/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4719/59, 2305/59], [15/59, 1/59], [0, 0]], [[0, 0], [-133379624/3127, 15377/3127], [104370/59, -4/59], [52185/40651, -2/40651]], [[0, 0], [-7788591952/53, 3160212338/53], [6093838, -2472598], [3046919/689, -1236299/689]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[284, -108]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38351/59, 173/59], [693/59, -1/59], [0, 0]], [[-168371/2, 1/2], [-1176267999/3127, -881012602/3127], [130205/59, 302225/59], [-168371/81302, 1/81302]], [[50087212, -82020904], [-2733639161886/3127, -1480238973466/3127], [1100355164/59, 241506712/59], [50087212/40651, -82020904/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20183/59, -315/59], [397/59, -5/59], [0, 0]], [[-551813/2, -3/2], [1012426139/6254, -118070607/6254], [419067/118, 39785/118], [-551813/81302, -3/81302]], [[-158550483/2, 176028489/2], [441561965065/6254, -319225139327/6254], [69646285/118, -134942261/118], [-12196191/6254, 13540653/6254]]], 0, 576, [], [] >,
< [ -4, -1, 1 ], [[284, -108]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-175/59, 185/59], [30/59, 2/59], [0, 0]], [[0, 0], [22077381/3127, -194842/3127], [359561/59, -1179/59], [180187/40651, 4/40651]], [[0, 0], [-112472707047/3127, 161995740894/3127], [-1773064402/59, 2643363072/59], [-871025039/40651, 1326172086/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10562/59, 594/59], [15/59, 1/59], [0, 0]], [[0, 0], [5075184644/40651, -1456955/40651], [33218/59, 4/59], [16609/40651, 2/40651]], [[0, 0], [530062261569/3127, -839239670791/3127], [44985186/59, -71419434/59], [22492593/40651, -35709717/40651]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[150732, -58844]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-804, 314], [505, -197], [0, 0]], [[0, 0], [-40381, 15749], [25313, -9905], [4, 0]], [[0, 0], [-11761/2, -4041/2], [-5293, -4485], [867/2, 555/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1079, 393], [-374, 146], [0, 0]], [[0, 0], [637271/26, -250553/26], [113577/13, -44351/13], [43/26, -5/26]], [[0, 0], [126157/13, 97224/13], [-3763/13, 3433/13], [-946/13, -605/13]]], 0, 336, [], [] >,
< [ -4, -1, 1 ], [[36036, -14068]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1431, -571], [492, -192], [0, 0]], [[0, 0], [301, -31], [75, -31], [1, -1]], [[0, 0], [-16551/2, -10611/2], [161, 101], [111/2, 71/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12084, 4054], [105, -41], [0, 0]], [[0, 0], [1984587/13, 1347802/13], [580/13, -10/13], [-58/13, 1/13]], [[0, 0], [-3012180383/26, -1670190803/26], [481865/13, -333215/13], [-96373/26, 66643/26]]], 0, 432, [], [] >,
< [ -4, -1, 1 ], [[-412, 172]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -3], [17, -1], [0, 0]], [[0, 0], [3747281/7746, -33631/2582], [-5773/11, 5/11], [1919/85206, -1/28402]], [[0, 0], [-662111/7746, 250963/7746], [1137/11, -431/11], [-335/85206, 127/85206]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [155, 9], [-3, -1], [0, 0]], [[0, 0], [245963713186/50349, 658327246/50349], [15756837/143, 3169/143], [-214748/553839, -2/553839]], [[0, 0], [-14107167515338765/33566, 5889924287094009/33566], [-1361217389068/143, 567941660798/143], [12371870151/369226, -5161654503/369226]]], 0, 1728, [], [] >,
< [ -4, -1, 1 ], [[-88476, 34540]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-73, 31], [59, -23], [0, 0]], [[0, 0], [1727, -689], [-969, 377], [1, -1]], [[0, 0], [-20111/2, -12835/2], [-857, -561], [-823/2, -527/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4537, 919], [131, -51], [0, 0]], [[0, 0], [-1866669083/26, -1181011129/26], [399811/13, 1565/13], [-97/26, 1/26]], [[0, 0], [-20995160013/26, -11367112541/26], [37235855/13, -12921505/13], [-9213/26, 3219/26]]], 0, 480, [], [] >,
< [ -4, -1, 1 ], [[-400, 144]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [-518, 202], [0, 0]], [[0, 0], [-11594950/1291, -48092/3873], [159213/11, 331/11], [-3503/14201, -5/42603]], [[0, 0], [82958/1291, 172501/3873], [-1141/11, -791/11], [25/14201, 52/42603]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [142, 28], [16, 4], [0, 0]], [[0, 0], [300658054/16783, 83007362/50349], [3414721/143, 14023/143], [-6381/184613, -1/553839]], [[0, 0], [654109680072/16783, -690910479131/50349], [8525621558/143, -3095619022/143], [-16026100/184613, 17478181/553839]]], 0, 1728, [], [] >,
< [ -4, -1, 1 ], [[-244, 100]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, 5/2], [23/2, 5/2], [-544, 212], [0, 0]], [[653, 415], [7121614/3873, 1602001/3873], [-30637/11, 1297/11], [1735/42603, -2/42603]], [[-5927/2, -4177/2], [101214059/2582, -53663199/2582], [-1168922/11, 507970/11], [20564/14201, -9118/14201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[88, 2], [347, -99], [-518, 202], [0, 0]], [[-2858457/2, -1827507/2], [-43647258791/33566, -92013178085/100698], [509273/13, -6895/143], [-4021/184613, 2/553839]], [[-286419951/2, -194877753/2], [-3426909453233/7746, 63538027143/2582], [-1002357166/11, 408781798/11], [2154668/42603, -292962/14201]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[-133252, 52020]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [649, -255], [164, -64], [0, 0]], [[0, 0], [-14499/2, 5655/2], [-1800, 708], [11/2, 1/2]], [[0, 0], [1329/2, 445/2], [-897, -625], [-945/2, -605/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120049, 47771], [1345, -525], [0, 0]], [[0, 0], [2213202933/26, 1444381717/26], [18199, 19], [113/26, 5/26]], [[0, 0], [-41331938290/13, -13049984856/13], [11015004, -4480260], [31789/13, -13031/13]]], 0, 480, [], [] >,
< [ -4, -1, 1 ], [[275244, -107452]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22062, 8608], [-971, 379], [0, 0]], [[0, 0], [102855, -40240], [4530, -1768], [0, 1]], [[0, 0], [425/2, -2709/2], [79, -15], [39/2, 25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86552, 35492], [-433, 169], [0, 0]], [[0, 0], [-10316335269/13, -6686605379/13], [614378/13, -238/13], [-40/13, -2/13]], [[0, 0], [-2278682937871/26, -655803406795/26], [-1897570619/13, 758069593/13], [227205/26, -91239/26]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[105956, -41364]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5929, 2307], [1017, -397], [0, 0]], [[0, 0], [486951/2, -194423/2], [-42158, 16466], [5/2, -1/2]], [[0, 0], [-3880615/2, -2510991/2], [5091, 5483], [867/2, 555/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [216251, -84097], [-748, 292], [0, 0]], [[0, 0], [-190033712, -118798676], [15711, 17], [4, 0]], [[0, 0], [-1263936392005/26, -663384466253/26], [263494138/13, -84431416/13], [134357/26, -43091/26]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[1284516, -501460]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-175, 65], [6679, -2607], [0, 0]], [[0, 0], [-2295/2, 921/2], [45799, -17921], [1/2, 1/2]], [[0, 0], [-217, -145], [-204, 108], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17957, -4779], [-6121, 2389], [0, 0]], [[0, 0], [1124746835621/13, 719031592980/13], [-752526075/13, -123543/13], [-51/13, 2/13]], [[0, 0], [3709529193090327/26, 2286150323145655/26], [-17265709103937/13, 6266493801435/13], [-2474087/26, 908105/26]]], 0, 52992, [], [] >,
< [ -4, -1, 1 ], [[8668100, -3383924]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1005, 391], [18799, -7339], [0, 0]], [[0, 0], [137433/2, -53939/2], [-1287557, 502835], [1/2, 5/2]], [[0, 0], [-1423839, -912619], [1856295, 1203885], [26829, 17181]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3517, -2905], [3714, -1450], [0, 0]], [[0, 0], [756228991989/26, 484275444841/26], [22956720/13, -10230/13], [85/26, 1/26]], [[0, 0], [148627224795075/2, 95196653295467/2], [-51752118911, 21962991985], [-187649/2, 79975/2]]], 0, 52992, [], [] >,
< [ -4, -1, 1 ], [[692, -100]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, -1], [189, 3], [0, 0]], [[0, 0], [-61916845/2582, 1492331/7746], [-4402076/11, -89250/11], [-9541/28402, -1/85206]], [[0, 0], [-151112543, 22649531], [-27290640896/11, 3488460848/11], [-23178/11, 3330/11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6065, -51], [619, 5], [0, 0]], [[0, 0], [4685892285323/33566, 39098131297/33566], [-2091437069/143, -16337309/143], [90591/369226, 1/369226]], [[0, 0], [133043470172013120/16783, -53702932887083528/50349], [-118797447641011/143, 16033907148085/143], [234931204/16783, -1093711046/553839]]], 0, 34560, [], [] >,
< [ -4, -1, 1 ], [[895652, -349652]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-176, 72], [-1063, 415], [0, 0]], [[0, 0], [-271/2, 105/2], [35, -5], [-7/2, 1/2]], [[0, 0], [-2683, -1719], [61400, 39320], [-6140, -3932]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27475, -10377], [-5315, 2075], [0, 0]], [[0, 0], [-6017722785/26, -3866529191/26], [-1966256/13, -4952/13], [17/26, -5/26]], [[0, 0], [2895567670599/26, 1853050805111/26], [242652713/13, 276081957/13], [721/26, -1067/26]]], 0, 8640, [], [] >,
< [ -4, -1, 1 ], [[848, -208]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -8], [-7894, 3082], [0, 0]], [[0, 0], [-14491850/3873, -1656613/3873], [-3109043/11, 1629939/11], [-5567/42603, -4/42603]], [[0, 0], [-738156079864/3873, -157566816624/1291], [42001544568/11, 26900141380/11], [-219739486/42603, -46905258/14201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-730, -16], [-124, -4], [0, 0]], [[0, 0], [8392160534/50349, -470475127/50349], [15753989/143, -222461/143], [-79195/553839, 2/553839]], [[0, 0], [301993405384786/50349, -83003294146166/50349], [544568605241/143, -138877486505/143], [-2699789645/553839, 669516613/553839]]], 0, 34560, [], [] >,
< [ -4, -1, 1 ], [[420, -212]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -3/2], [11/2, -3/2], [-7192, 2808], [0, 0]], [[-8056, -5160], [-5625574/3873, -6658913/1291], [-1909508/11, -23396/11], [9662/42603, 1/14201]], [[4857224, 3106800], [23338042489/1291, -13975493864/3873], [-3730074969/11, 1919338073/11], [586165/1291, -9825512/42603]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-187/2, -1/2], [-7071/2, 2687/2], [6884, -2688], [0, 0]], [[2102055/2, 1346609/2], [131599143703/100698, 22609467483/33566], [10830827/143, -68795/143], [-23863/553839, -1/184613]], [[-235952360, -150776136], [-702788844867/16783, -4178820486500/16783], [758173859/13, -380739071/13], [-549615/16783, 277860/16783]]], 0, 5760, [], [] >,
< [ -4, -1, 1 ], [[2031588, -793108]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [351, -137], [-7697, 3005], [0, 0]], [[0, 0], [-119/2, -85/2], [607, -151], [-7/2, -5/2]], [[0, 0], [-29546, -18921], [38645, 24737], [-1738, -1113]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1081, -3], [-8005, 3125], [0, 0]], [[0, 0], [-55682481973/26, -35657541233/26], [-770719, 2137], [109/26, -3/26]], [[0, 0], [33948681612146/13, 21743198435560/13], [-2836265430, 1471556630], [210837/13, -106425/13]]], 0, 8640, [], [] >,
< [ -4, -1, 1 ], [[148580, -58004]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, -26], [539, -211], [0, 0]], [[0, 0], [2905/2, -1255/2], [12230, -4720], [-1/2, -5/2]], [[0, 0], [7987, 5017], [-6279, -4809], [350, 224]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12795, -4221], [2165, -845], [0, 0]], [[0, 0], [-741824195/26, -473274389/26], [-249339/13, 2719/13], [31/26, -3/26]], [[0, 0], [-3696447433/26, -2352090773/26], [-1789669/13, 227959/13], [231/26, -45/26]]], 0, 6912, [], [] >,
< [ -4, -1, 1 ], [[1540, -628]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [181/59, 103/59], [-451/59, -5/59], [0, 0]], [[0, 0], [-80729355/6254, 12515099/6254], [-667688/59, 48722/59], [65179/6254, 1/6254]], [[0, 0], [785278533787/6254, -314634890635/6254], [5795543292/59, -2352541070/59], [-505037445/6254, 207970065/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10919/59, -811/59], [97/59, 5/59], [0, 0]], [[0, 0], [-367773/6254, -8420943/6254], [63/59, 693/59], [-687/6254, -5/6254]], [[0, 0], [-24484237/3127, 8804113/3127], [3927/59, -1407/59], [1179/3127, -483/3127]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[628, -228]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1245, 487], [-1345, 525], [0, 0]], [[-3190, 1], [4718478/1879, -244941/1879], [404, -160], [-3190/1879, 1/1879]], [[-753/2, -481/2], [465898/1879, 297603/1879], [0, 0], [-753/3758, -481/3758]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1736, -678], [282, -110], [0, 0]], [[127597/2, 3/2], [13024455255/24427, -3430486609/24427], [1015239/13, -296719/13], [127597/48854, 3/48854]], [[-7020227225/2, -4495678197/2], [-233104137434578/24427, -149278219962967/24427], [-14038637492/13, -8990264732/13], [-7020227225/48854, -4495678197/48854]]], 0, 2688, [], [] >,
< [ -4, -1, 1 ], [[912, -400]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 4], [-10, -2], [0, 0]], [[0, 0], [6511353/1879, -217427/1879], [-145, -95], [-10138/1879, 2/1879]], [[0, 0], [3506055622/1879, -1123986857/1879], [-13888, -10540], [-5242482/1879, 1630125/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-476, 230], [18, 2], [0, 0]], [[0, 0], [39333061595/24427, -427353452/24427], [-1186517/13, -45907/13], [-278660/24427, -1/24427]], [[0, 0], [-691386715684558/24427, 185511537788627/24427], [19779736160/13, -4843413780/13], [4842763322/24427, -1275508659/24427]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[28, -36]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-5498/59, -3/59], [-397/59, -60/59], [-1, 0]], [[0, 0], [52115687/6254, -94147007/6254], [-3120/59, -68422/59], [561467/6254, -1010063/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [65409/59, -360/59], [-558/59, -2/59], [0, 0]], [[0, 0], [-692177086941/81302, -541574688229/81302], [50619099/767, 44421816/767], [-359117/81302, -1/81302]], [[0, 0], [615902773364728/3127, 321106903055887/3127], [-103514993581/59, -48384551844/59], [-72283317/3127, 125197550/3127]]], 1, 504, [], [] >,
< [ -4, -1, 1 ], [[628, -228]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1619/59, -345/59], [11/59, 3/59], [0, 0]], [[0, 0], [-1336979/106, 5223/106], [0, 0], [-38211/6254, -5/6254]], [[0, 0], [38739040493/106, -13856948225/106], [0, 0], [1100814683/6254, -393175539/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [458168/59, 2192/59], [719/59, 3/59], [0, 0]], [[0, 0], [1229893073/59, 25776295/59], [1825584/59, 39360/59], [4, 0]], [[0, 0], [-38041664630131297/81302, 13484346816836245/81302], [-532234090965/767, 188612084517/767], [-7525096975/81302, 2688824831/81302]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[628, -228]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [675/59, -9/59], [461/59, -3/59], [0, 0]], [[0, 0], [-8855704/3127, 79918/3127], [-134249/59, 149/59], [-976/3127, 2/3127]], [[0, 0], [-5424703533/6254, 1942661821/6254], [-40659567/59, 14518411/59], [-591995/6254, 211459/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12364/59, 522/59], [225/59, -3/59], [0, 0]], [[0, 0], [47533652279/40651, -1341598693/40651], [-12768283/767, 145887/767], [-311724/40651, -2/40651]], [[0, 0], [-986069860500823/81302, 355842386642115/81302], [129380713117/767, -46417987139/767], [6215827893/81302, -2220819325/81302]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[628, -228]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1213/59, -699/59], [-107/59, 3/59], [0, 0]], [[0, 0], [23140986/3127, -5033460/3127], [-34122/59, -29484/59], [-27655/3127, -1/3127]], [[0, 0], [-187665330099/6254, 71123100143/6254], [-24573484/59, 21037924/59], [171150831/6254, -61041579/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3603/59, 339/59], [21/59, -5/59], [0, 0]], [[0, 0], [26072714040/40651, -900254920/40651], [-3468759/767, -7539/767], [-555630/40651, -2/40651]], [[0, 0], [104183201912773/6254, -37683924371945/6254], [-6583856986/59, 2350998246/59], [-2115782879/6254, 756121675/6254]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[327684, -127924]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, -5], [-1004, 392], [0, 0]], [[0, 0], [-3445/2, 1385/2], [76423, -29919], [-9/2, -3/2]], [[0, 0], [-1290, -825], [5305, 3349], [203, 130]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6218, 2438], [5945, -2321], [0, 0]], [[0, 0], [-4682949/26, 1825983/26], [2236860/13, -873506/13], [-129/26, -5/26]], [[0, 0], [-971903/2, -725759/2], [-176516, -63638], [-27145/2, -17385/2]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[1556, -580]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47331639/3758, 13083/3758], [25393/3758, -5/3758], [0, 0]], [[0, 0], [-6757903677516/1879, 845173332438/1879], [3625309273/1879, -453162955/1879], [50905/3758, 3/3758]], [[0, 0], [5515707902283071433/3758, -2281073424932179325/3758], [-2958655892630601/3758, 1223603255239325/3758], [-8540818560/1879, 3688416576/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10688728101/1879, 46947/1879], [-517466/1879, -2/1879], [0, 0]], [[0, 0], [-528995409328893111/24427, 6292624920571339/24427], [25609889982805/24427, -304653743645/24427], [54319/48854, -3/48854]], [[0, 0], [678131689407194100343/3758, -291455601660878507511/3758], [-32829950586146427/3758, 14110048513069147/3758], [-34118625/3758, 14734325/3758]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[222476, -86852]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21887/59, -1424/59], [-325/59, -2/59], [0, 0]], [[-1114, 0], [-44156957/53, -53880289/106], [14931, 9243], [-1320/3127, 1/6254]], [[-391723/2, 37259/2], [-6636435039/59, -7898489035/118], [118405200/59, 72029040/59], [-8759/118, 418/59]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3600/59, -3005/59], [74/59, 1/59], [0, 0]], [[-5278, -2], [-775769/59, -37200/59], [1097/59, 730/59], [-2, 0]], [[-13399149/2, 1403613/2], [-51146136784/3127, 6489544553/6254], [1003163/59, 683046/59], [-15879429/6254, 834276/3127]]], 1, 336, [], [] >,
< [ -4, -1, 1 ], [[656, -248]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7849/59, 362/59], [-147/59, 2/59], [0, 0]], [[0, 0], [-158469386/3127, 289007005/3127], [44574/59, -98532/59], [-41138/3127, -1/3127]], [[0, 0], [31923848989700/3127, -25528305991493/6254], [-10379680212/59, 4159779954/59], [2194066020/3127, -1670443855/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2003/59, 47/59], [-45/59, -3/59], [0, 0]], [[0, 0], [3245490/53, -14621/106], [-6, 3], [-49686/3127, -5/6254]], [[0, 0], [2036404951788/3127, -1548944536559/6254], [-6604976/59, 2589216/59], [-526559428/3127, 400414973/6254]]], 0, 2016, [], [] >,
< [ -4, -1, 1 ], [[580, -244]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2719/59, 6175/59], [279/59, -5/59], [0, 0]], [[21197/2, 5/2], [14656461691/3127, 9427092436/3127], [5660824/59, 3589128/59], [21197/6254, 5/6254]], [[27418545, -11396770], [-2630530781818/3127, -1508442018611/3127], [-792536374/59, -661157162/59], [27418545/3127, -11396770/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20292/59, 2108/59], [530/59, -4/59], [0, 0]], [[6741/2, 1/2], [76671825/3127, 37729074/3127], [22854/59, 14362/59], [6741/6254, 1/6254]], [[-1020873/2, 417795/2], [-2258615926/3127, 1376755651/3127], [99395/59, 131549/59], [-1020873/6254, 417795/6254]]], 0, 2688, [], [] >,
< [ -4, -1, 1 ], [[976, -336]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14273/59, 275/59], [279/59, -5/59], [0, 0]], [[0, 0], [196846390/3127, -10857300/3127], [48160/59, -5600/59], [-17788/3127, 2/3127]], [[0, 0], [-13898859436/3127, 5099473605/3127], [-3678304/59, 1370656/59], [1163570/3127, -419897/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18645/59, -535/59], [-369/59, -1/59], [0, 0]], [[0, 0], [4225124190/3127, -265655428/3127], [1622440/59, -137710/59], [-33218/3127, -4/3127]], [[0, 0], [84507835583032/3127, -30484157031981/3127], [33374198040/59, -12130990930/59], [-610277674/3127, 214746751/3127]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[580, -244]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [55933/59, -1943/59], [-929/59, 1/59], [0, 0]], [[21197/2, 5/2], [97616727/3127, 25314846/3127], [7641/59, -8671/59], [21197/6254, 5/6254]], [[82692135/2, -34268295/2], [217207590650/3127, -100009564880/3127], [85911008/59, -32174168/59], [82692135/6254, -34268295/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27615/59, 1699/59], [427/59, -3/59], [0, 0]], [[-6741/2, -1/2], [-3980728633/6254, -2278924933/6254], [1340455/118, 782417/118], [-6741/6254, -1/6254]], [[724975, -303564], [17635306565/3127, -36793734792/3127], [-3232153/59, 11450483/59], [724975/3127, -303564/3127]]], 0, 8064, [], [] >,
< [ -4, -1, 1 ], [[976, -336]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [592/59, 126/59], [266/59, 2/59], [0, 0]], [[0, 0], [-4976722/3127, -3683481/3127], [-59174/59, -17216/59], [-3614/3127, -1/3127]], [[0, 0], [-194144312/3127, 595326919/3127], [32692130/59, -9039768/59], [3379819/3127, -1189070/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17697/59, 8213/59], [45/59, 3/59], [0, 0]], [[0, 0], [85256078/3127, 46653193/3127], [-6530/59, 14000/59], [-14174/3127, 3/3127]], [[0, 0], [-10746581902/3127, 161289429/3127], [15078684/59, -6464414/59], [8080947/3127, -2875612/3127]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[580, -244]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1833/59, -279/59], [296/59, 4/59], [0, 0]], [[0, 0], [3565, 20828], [5677, 5181], [-5, 0]], [[0, 0], [261785869960/3127, -90223560241/3127], [466343111/59, -106838197/59], [42173068/3127, -17515799/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56933/59, 303/59], [-206/59, 2/59], [0, 0]], [[0, 0], [385649645050/40651, 28332630275/40651], [2105943/59, 139051/59], [27169/40651, -2/40651]], [[0, 0], [-1819403022057331/40651, 771282296861149/40651], [-10075137277/59, 4261026529/59], [-146005920/40651, 60615630/40651]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[2599556, -1014836]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-331, 131], [4862, -1898], [0, 0]], [[0, 0], [2591/2, -907/2], [-19006, 7522], [11/2, 5/2]], [[0, 0], [-301567/2, -193151/2], [-295479, -188983], [-26829/2, -17181/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5340, 2086], [2605, -1017], [0, 0]], [[0, 0], [-129391/26, 50969/26], [32145/13, -12787/13], [43/26, -5/26]], [[0, 0], [607589/26, 390497/26], [-318705/13, -204445/13], [15805/26, 10121/26]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[-324, 180]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 0], [-21, -3], [0, 0]], [[0, 0], [-5843/19, 1455/19], [-603, -5], [202/19, 2/19]], [[0, 0], [-525595/38, 185871/38], [-21316, 5510], [14259/38, -3675/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-193, 5], [16, 0], [0, 0]], [[0, 0], [8423711/494, -606131/494], [-6771/13, 1265/13], [-1331/494, 3/494]], [[0, 0], [-4146356052/247, 1160901780/247], [7367911/13, -2405887/13], [613272/247, -151248/247]]], 0, 7680, [], [] >,
< [ -4, -1, 1 ], [[-180, 36]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, 3/2], [5/2, 15/2], [21, 3], [0, 0]], [[-1191/2, -1741/2], [-56497/26, -21507/26], [-1176, -1736], [-25/13, -5/13]], [[6096, -2446], [-93643/13, 35250/13], [12250, -4914], [-138/13, 53/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 2], [1, 9], [-8, 4], [0, 0]], [[-46, -2], [-1658/13, -44/13], [-801/13, 153/13], [-5/13, -5/13]], [[11465/2, -4503/2], [425063/26, -12837/2], [139244/13, -54468/13], [-381/13, 144/13]]], 0, 1280, [], [] >,
< [ -4, -1, 1 ], [[-144, 144]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -6], [308, -120], [0, 0]], [[0, 0], [2764/13, -1457/13], [6061, -2345], [55/13, -2/13]], [[0, 0], [414502/13, 274796/13], [-41202, -8338], [-21924/13, -13932/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2406, -916], [-590, 230], [0, 0]], [[0, 0], [895182/13, 479732/13], [-33945/13, 1465/13], [3/13, -3/13]], [[0, 0], [-3752230/13, 325215/13], [672285/13, -246253/13], [-137/13, 56/13]]], 0, 7680, [], [] >,
< [ -4, -1, 1 ], [[828, -324]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, -6], [-13, 7], [0, 0]], [[0, 0], [-9683/19, 3855/19], [402, -283/2], [-16/19, 1/38]], [[0, 0], [-11893/38, 2125/38], [-73, -240], [185/38, 129/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 4], [-11, 3], [0, 0]], [[0, 0], [2406693/494, 146867/494], [-1923/13, 693/26], [375/494, -2/247]], [[0, 0], [-243308158/247, 119066931/247], [586199/13, -493533/26], [-43631/247, 40379/494]]], 1, 240, [], [] >,
< [ -4, -1, 1 ], [[-180, 36]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -8], [27, 1], [0, 0]], [[0, 0], [-1457/38, 761/38], [-371, 80], [-277/38, -5/38]], [[0, 0], [-1054, 292], [-5189, 3559], [-27, 81]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [192, -22], [31, -3], [0, 0]], [[0, 0], [7389209/494, 9063319/494], [-12347/13, 39994/13], [-2255/494, 1/494]], [[0, 0], [9049094025/494, 1518960515/494], [60303983/13, -8670404/13], [1023323/494, -771273/494]]], 0, 1920, [], [] >,
< [ -4, -1, 1 ], [[-180, 36]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -5], [23, 1], [0, 0]], [[0, 0], [-24915/38, 1139/38], [1123, -324], [277/38, 5/38]], [[0, 0], [-762858/19, 499230/19], [111748, -48992], [7089/19, -5421/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-369, 25], [-1, 5], [0, 0]], [[0, 0], [-418993789/494, 377691653/494], [-535134/13, 4715/13], [-2557/494, -5/494]], [[0, 0], [-6567593657/13, 1729639793/13], [-88342193/13, 64720375/13], [-10759/13, 8109/13]]], 0, 1920, [], [] >,
< [ -4, -1, 1 ], [[-180, 36]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -6], [6, 6], [0, 0]], [[0, 0], [-95/13, 150/13], [26, 2], [-34/13, 1/13]], [[0, 0], [-1068/13, 205/13], [81/2, -77/2], [-151/26, 105/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [179, -81], [72, -28], [0, 0]], [[0, 0], [276658/13, 185197/13], [-11351/26, -1109/26], [5/26, 5/26]], [[0, 0], [-724502/13, 208012/13], [-249416/13, 98076/13], [-74/13, 28/13]]], 0, 1920, [], [] >,
< [ -4, -1, 1 ], [[78660, -30708]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 9], [393, -153], [0, 0]], [[0, 0], [1219/2, -475/2], [-15759, 6159], [3/2, 1/2]], [[0, 0], [-83/2, -59/2], [-357, -153], [-89/2, -57/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8232, 3216], [1653, -645], [0, 0]], [[0, 0], [1399363/26, 1281665/26], [152367/13, 58917/13], [69/26, -5/26]], [[0, 0], [19767931/13, 28098254/13], [7504806/13, 1709832/13], [2328/13, -479/13]]], 0, 1920, [], [] >,
< [ -4, -1, 1 ], [[464, -144]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 0], [-34, 2], [0, 0]], [[0, 0], [1038, 70], [-2110, -30], [40, 0]], [[0, 0], [1713, -3761], [-10161/2, 15077/2], [209/2, -285/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 2], [-40, -8], [0, 0]], [[0, 0], [106, -46], [-219, 43], [-51, -1]], [[0, 0], [-825, 289], [1967/2, -1371/2], [153/2, -357/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[260, -116]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 10], [4, 4], [0, 0]], [[127/2, -3/2], [1433, -889], [-681/4, 85/4], [127/4, -3/4]], [[-8549, 913], [-232239, 124971], [47425/2, -9101/2], [-8549/2, 913/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35, -7], [91, 1], [0, 0]], [[127/2, -3/2], [-6543, 1935], [-58945/4, 9517/4], [127/4, -3/4]], [[2635, -255], [-293635, 94063], [-1273339/2, 273007/2], [2635/2, -255/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[260, -116]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [55, 21], [25, -5], [0, 0]], [[0, 0], [-13867/2, -6249/2], [-9619/4, 1015/4], [-193/4, -3/4]], [[0, 0], [2704705, 899443], [1324139, -287223], [24882, -3146]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [113, 35], [31, 5], [0, 0]], [[0, 0], [-45675/2, -11393/2], [-26009/4, -2443/4], [33/4, 3/4]], [[0, 0], [468059/2, 6393/2], [305597/4, -37785/4], [-389/4, 49/4]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[3412, -1332]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, -1], [-37, 11], [7, -1], [0, 0]], [[175/2, 81/2], [-345/2, -115/2], [74, 38], [27/2, 5/2]], [[-759/2, 419/2], [2787/2, -1293/2], [-423/2, 275/2], [-168, 72]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [-14, 8], [0, 0]], [[-7/2, -5/2], [922, -401], [-8575/4, 3251/4], [-7/4, -5/4]], [[-5, -3], [-1263, 461], [5393/2, -2145/2], [-5/2, -3/2]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35, -12], [29, -13], [0, 0]], [[0, 0], [21, 15], [-16, -10], [1, 1]], [[0, 0], [-1, 3], [-3/2, -1/2], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 1], [-50, 20], [0, 0]], [[0, 0], [-70, 30], [-1267/2, 499/2], [17/2, -1/2]], [[0, 0], [250, 225], [-294, 380], [336, 210]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[3412, -1332]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [-31/2, 11/2], [-1/2, 1/2], [0, 0]], [[0, 0], [-10, -4], [9/2, 5/2], [9/2, 5/2]], [[0, 0], [-186, 72], [29, -11], [29, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -16], [10, -4], [0, 0]], [[-23/2, -5/2], [-48, 18], [-87/4, 19/4], [-23/4, -5/4]], [[-211/2, -133/2], [-21, -3], [-239/4, -137/4], [-211/4, -133/4]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75, -29], [5, -3], [0, 0]], [[0, 0], [1026, -398], [90, -29], [0, 1]], [[0, 0], [110, -50], [-5/2, -23/2], [-5/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 16], [-104, 40], [0, 0]], [[0, 0], [80, -30], [427/2, -157/2], [7/2, 3/2]], [[0, 0], [-32, -4], [-213/2, -49/2], [-77/2, -49/2]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[76, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-169, 73], [1, 3], [0, 0]], [[-47/2, -5/2], [57, 47], [129/4, 107/4], [-47/4, -5/4]], [[-511, 219], [-554, 100], [-643/2, 119/2], [-511/2, 219/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-289, 87], [-21, -3], [0, 0]], [[-21/2, 1/2], [1305, 837], [2251/4, 1457/4], [-21/4, 1/4]], [[51, -19], [-338, -228], [-249/2, -215/2], [51/2, -19/2]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[112, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-272, 108], [10, -2], [0, 0]], [[0, 0], [450, 340], [486, 314], [10, 2]], [[0, 0], [105, 43], [163/2, 101/2], [-3/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -14], [-16, -8], [0, 0]], [[0, 0], [412, -106], [-23, 53], [5, 1]], [[0, 0], [-1111, 483], [501/2, -117/2], [-9/2, 9/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[76, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -16], [-20, -4], [0, 0]], [[-26, -2], [4329, 4531], [7370, 4116], [-13, -1]], [[1131/2, -599/2], [116132, -5036], [70039/4, 153869/4], [1131/4, -599/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29, -1], [-37, 1], [0, 0]], [[15, 1], [-215, -133], [-527/2, -257/2], [15/2, 1/2]], [[-329/2, 141/2], [-99, -161], [2375/4, -1779/4], [-329/4, 141/4]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[112, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -6], [-70, -10], [0, 0]], [[0, 0], [437, 35], [2173/2, 3083/2], [27/2, 5/2]], [[0, 0], [-51050, 16772], [136464, -83460], [-1320, 396]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 6], [6, -6], [0, 0]], [[0, 0], [15, -1], [369/2, -149/2], [15/2, 5/2]], [[0, 0], [-37, 15], [-1377/2, 537/2], [-15/2, 7/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -12], [6, -2], [0, 0]], [[0, 0], [219, 97], [35/2, 1/2], [-35/2, -1/2]], [[0, 0], [4426, -2066], [1164, -468], [-1164, 468]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -6], [-8, 4], [0, 0]], [[0, 0], [213, 271], [-179/2, 31/2], [31/2, 5/2]], [[0, 0], [-131318, 47486], [-68856, 27088], [6954, -2806]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9244, -3652], [-26, -2], [0, 0]], [[1/2, 3/2], [1115886, 716218], [1255661/4, 804103/4], [1/4, 3/4]], [[-3/2, 7/2], [1885757, 1213639], [2125565/4, 1361159/4], [-3/4, 7/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3005, -1177], [-9, 1], [0, 0]], [[-17/2, -3/2], [16687, 10893], [43759/4, 28029/4], [-17/4, -3/4]], [[-7/2, 11/2], [-14727, -9029], [-37167/4, -23789/4], [-7/4, 11/4]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10244, 4020], [-24, -4], [0, 0]], [[0, 0], [-865777, -555819], [1111277/2, 711655/2], [-13/2, 1/2]], [[0, 0], [-4095464, -2355072], [4917109/2, 3147639/2], [1729/2, -693/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -10], [-10, -2], [0, 0]], [[0, 0], [278, -6], [-1555/2, 671/2], [29/2, -1/2]], [[0, 0], [-14136, 5680], [129537/2, -50469/2], [-1503/2, 603/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 5/2], [-3609/2, 1397/2], [7/2, 5/2], [0, 0]], [[11575/2, 7405/2], [-26509/2, -8055/2], [11555/2, 7401/2], [10, 2]], [[-15085, -9687], [-7508, 26972], [-30201/2, -19331/2], [31/2, -43/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [956, -364], [10, 2], [0, 0]], [[-31/2, 3/2], [1830, 1154], [4641/4, 2995/4], [-31/4, 3/4]], [[11/2, -15/2], [2167, 1405], [5639/4, 3589/4], [11/4, -15/4]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -4], [14, -2], [0, 0]], [[0, 0], [-9161, -1843], [3587/2, -95/2], [-35/2, -1/2]], [[0, 0], [535962, -219458], [-161072, 64112], [1440, -576]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, -2], [-22, -6], [0, 0]], [[0, 0], [8865, -1501], [6339/2, 193/2], [-3/2, -1/2]], [[0, 0], [17046, -6670], [4584, -1800], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2889, -1121], [-15, -1], [0, 0]], [[119/2, 5/2], [-95773, -62199], [388119/4, 248485/4], [119/4, 5/4]], [[1156, -2012], [5925934, 3727866], [-5884042, -3769266], [578, -1006]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4614, -1802], [-8, 4], [0, 0]], [[-21/2, 1/2], [3050, 1894], [-14057/4, -8987/4], [-21/4, 1/4]], [[39/2, -27/2], [4781, 3279], [-23369/4, -15019/4], [39/4, -27/4]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 6], [86, 2], [0, 0]], [[0, 0], [1201, -1], [-33753/2, 17429/2], [-39/2, -5/2]], [[0, 0], [-618841, 246181], [31641365/2, -12310673/2], [15975/2, -6435/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 14], [6, 10], [0, 0]], [[0, 0], [-79, -101], [-49/2, -147/2], [-3/2, -1/2]], [[0, 0], [142, -54], [156, -60], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 8], [-70, -2], [0, 0]], [[-65/2, -3/2], [-71239, 25303], [-330889/4, 101701/4], [-65/4, -3/4]], [[1363/2, -1943/2], [4895250, -2035750], [20854591/4, -9507523/4], [1363/4, -1943/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-423, 139], [-27, -1], [0, 0]], [[43/2, 1/2], [36821, 24067], [65787/4, 42225/4], [43/4, 1/4]], [[425/2, -629/2], [-986852, -615424], [-1718091/4, -1096993/4], [425/4, -629/4]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 38], [70, 10], [0, 0]], [[0, 0], [-2051, 1419], [7419/2, -1807/2], [-15/2, -5/2]], [[0, 0], [108363, -42171], [-259545/2, 101557/2], [181/2, -73/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -6], [-46, 6], [0, 0]], [[0, 0], [-142, -22], [910, -470], [-2, 2]], [[0, 0], [-975, 347], [28739/2, -11319/2], [-87/2, 35/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [682, -218], [44, 4], [0, 0]], [[-13, 1], [59227, 38089], [52113/2, 33379/2], [-13/2, 1/2]], [[-119/2, 171/2], [-910292, -580808], [-1594427/4, -1020881/4], [-119/4, 171/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 7], [23, 5], [0, 0]], [[75/2, 1/2], [3557, -485], [9899/4, -1375/4], [75/4, 1/4]], [[-247/2, 299/2], [-20180, 13920], [-56563/4, 38727/4], [-247/4, 299/4]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[376, -152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, -71], [-55, -5], [0, 0]], [[-11/2, 3/2], [8223, 5215], [7113/2, 4595/2], [-11/2, 3/2]], [[67/2, -27/2], [4945, 3517], [4891/2, 2857/2], [67/2, -27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-81/2, -3/2], [4615/2, -1811/2], [-81/2, -3/2], [0, 0]], [[66432, 42528], [16573, 12039], [66502, 42498], [35, -15]], [[-41084, -26292], [-9386, -7780], [-41172, -26256], [-44, 18]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[39264, -15328]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13274, -5182], [-15774, 6158], [0, 0]], [[0, 0], [44106, -17222], [-52425, 20461], [23, -11]], [[0, 0], [73992, -28886], [-87937, 34329], [43, -17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-720, 280], [-20, 4], [0, 0]], [[0, 0], [2135, 1351], [7501, 4819], [-6, 4]], [[0, 0], [2618, 1930], [10391, 6413], [121, -45]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[376, -152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2049, -813], [-19, -1], [0, 0]], [[7/2, 1/2], [555052, 359918], [719211/2, 460529/2], [7/2, 1/2]], [[-141/2, 57/2], [477385, 116299], [375637/2, 242471/2], [-141/2, 57/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9252, -3644], [-18, -2], [0, 0]], [[-5/2, 5/2], [1161156, 746338], [654005/2, 418807/2], [-5/2, 5/2]], [[-88, 36], [1200753, 831023], [354405, 226843], [-88, 36]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 3], [-11, 3], [0, 0]], [[0, 0], [3921/2, 1535/2], [-384, 24], [-5/2, 5/2]], [[0, 0], [1592, -3632], [-2256, 1128], [-41, 13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, -2], [-19, -1], [0, 0]], [[0, 0], [-1105/2, 121/2], [-112, 12], [-19/2, -5/2]], [[0, 0], [88302, -32654], [17848, -6596], [819, -247]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[40, -8]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1795, 699], [-29, 13], [0, 0]], [[1/2, 1/2], [-10475, 4062], [-303/2, 175/2], [1/2, 1/2]], [[0, 0], [-941, -521], [827, 531], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 12], [4, -2], [0, 0]], [[1/2, 1/2], [-106, 43], [221/2, -81/2], [1/2, 1/2]], [[0, 0], [-1, -1], [1, 1], [0, 0]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[40, -8]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-955, 371], [-29, 13], [0, 0]], [[-3/2, 5/2], [1305, -498], [65/2, -49/2], [-3/2, 5/2]], [[-507/2, -325/2], [-1631, -981], [3221/2, 2067/2], [-507/2, -325/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31, 13], [5, -3], [0, 0]], [[0, -1], [209, -88], [-217, 81], [0, -1]], [[2469/2, 1581/2], [7925, 5062], [9143/2, 5881/2], [2469/2, 1581/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[288, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-231, 93], [11, -7], [0, 0]], [[0, 0], [-5749, 4313/2], [430, -69], [5, 1/2]], [[0, 0], [6442, 2858], [-5921, -3717], [-143, -91]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-129, 49], [1, 1], [0, 0]], [[0, 0], [371, -293/2], [6, -5], [3, -5/2]], [[0, 0], [46, -53/2], [-12, -9], [-6, -9/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[288, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-309, 123], [13, -7], [0, 0]], [[0, 0], [-46348, 17880], [2366, -754], [-2, 0]], [[0, 0], [-19963, -13523/2], [11492, 7072], [-51, -65/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, 28], [-32, 14], [0, 0]], [[0, 0], [2482, -932], [1085, -455], [-3, -1]], [[0, 0], [4725, 4571/2], [-3080, -2310], [-237, -303/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[204, -28]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [195, 17], [25, 3], [0, 0]], [[0, 0], [-22924, -5288], [-2995, -781], [2, -2]], [[0, 0], [53797/2, 211063/2], [5049, 13923], [79/2, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -26], [-5, 5], [0, 0]], [[0, 0], [-2533/2, -143/2], [252, -20], [7/2, 5/2]], [[0, 0], [287577/2, -117197/2], [-35520, 14208], [135/2, -19/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[204, -28]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [365, 3], [15, 1], [0, 0]], [[0, 0], [910952, -49408], [36894, 26], [-19, -1]], [[0, 0], [-219431865/2, 46658301/2], [-4277936, 751088], [4245/2, -585/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [177, -13], [22, 2], [0, 0]], [[0, 0], [280019/2, -37343/2], [16659, 297], [35/2, 1/2]], [[0, 0], [-5214329, 1321145], [-563823, 85095], [-588, 84]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[204, -28]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-186, -10], [5, -5], [0, 0]], [[0, 0], [5709/2, 17391/2], [852, 28], [35/2, 1/2]], [[0, 0], [146499, -349335], [-42822, 5978], [-882, 126]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [196, -16], [-3, 3], [0, 0]], [[0, 0], [10797/2, -33561/2], [-1111, -9], [9/2, 3/2]], [[0, 0], [-789717/2, 397833/2], [16524, -5100], [-79/2, 11/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31, -3], [1, -5], [0, 0]], [[0, 0], [-6215/2, 4411/2], [-5983/4, 339/4], [43/4, 1/4]], [[0, 0], [-732159/2, 187667/2], [-220761/4, 184933/4], [1161/4, -1333/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-741, 9], [-13, -3], [0, 0]], [[0, 0], [-8561099/26, 1975647/26], [-236307/52, 13287/52], [31/52, -3/52]], [[0, 0], [2634461/26, -2195769/26], [17707/52, -74319/52], [-3/52, 7/52]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[420, -164]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -7], [14, -8], [0, 0]], [[0, 0], [1684, -656], [2883/2, -1099/2], [15/2, 1/2]], [[0, 0], [-3537/2, 1385/2], [-5941/4, 2393/4], [1/4, 19/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, 2], [-1, 1], [0, 0]], [[0, 0], [-128181/26, -15/26], [3465/52, -493/52], [-489/52, -3/52]], [[0, 0], [165005/2, -70557/2], [-5547/4, 2271/4], [623/4, -267/4]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[420, -164]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, -3], [-13, 7], [0, 0]], [[0, 0], [-1139/2, 2427/2], [-24197/4, 8397/4], [5/4, 3/4]], [[0, 0], [-1494, 598], [-5712, 2226], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-157, 25], [23, -9], [0, 0]], [[0, 0], [-91727/26, -17457/26], [2151/52, -27/52], [-239/52, 3/52]], [[0, 0], [2626421/26, -1259261/26], [-93609/52, 40113/52], [10401/52, -4457/52]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[1260, -492]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -8], [-3, -5], [0, 0]], [[0, 0], [-12772/19, 7992/19], [168, 561/2], [-35/57, 1/114]], [[0, 0], [804019/38, -469915/38], [-3606, -15149/2], [2017/114, -52/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [172, 22], [21, 3], [0, 0]], [[0, 0], [11414194/247, -614330/247], [50175/13, -6975/26], [-385/247, -5/1482]], [[0, 0], [-10526273919/494, 1303719511/494], [-23244695/13, 6390633/26], [1047277/1482, -38860/741]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[1260, -492]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19, -9], [10, -2], [0, 0]], [[0, 0], [14052/19, 4812/19], [-685, -424], [44/57, 1/57]], [[0, 0], [57035/38, 7115/38], [-1006, -1187/2], [235/114, -20/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [197, -3], [13, -1], [0, 0]], [[0, 0], [292433/2, 13145/2], [10078, -419/2], [1/6, 0]], [[0, 0], [-16450270493/494, 636849381/494], [-30470919/13, 2986806/13], [-19023/494, 1513/494]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[44, -12]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-1083509661/6254, 2373/6254], [32/59, -2/59], [360093/81302, -1/81302]], [[0, 0], [99750519210/3127, -21467146992/3127], [-6209/59, 1557/59], [-33151049/40651, 7134395/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82036/59, -581/59], [719/59, 3/59], [0, 0]], [[0, 0], [-36088713897/81302, -131736491/81302], [69197/767, 8681/767], [70457/81302, 3/81302]], [[0, 0], [210870341440663/81302, -52459158562565/81302], [-354778156/767, 63543830/767], [-31783257/6254, 103534629/81302]]], 1, 72, [], [] >,
< [ -4, -1, 1 ], [[44, -12]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2463/59, -637/59], [290/59, 4/59], [0, 0]], [[0, 0], [-156070821/6254, -326684279/6254], [-1518763/59, -1022187/59], [-104655/81302, 3/81302]], [[0, 0], [50807930383/6254, -61444568083/6254], [-148261240/59, -115499055/59], [-31205601/81302, 7796767/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18913/59, -463/59], [-225/59, 3/59], [0, 0]], [[0, 0], [16801956497/81302, -348638997/81302], [-1490800/767, 23083/767], [-18075/81302, 5/81302]], [[0, 0], [-8378015133276/40651, 2190134883202/40651], [1479014636/767, -382909619/767], [8831083/40651, -2220754/40651]]], 1, 72, [], [] >,
< [ -4, -1, 1 ], [[176, -64]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6137/59, -63/59], [103/59, -1/59], [0, 0]], [[0, 0], [248822191/3127, -46147199/3127], [-222411/59, 15947/59], [-69768/40651, -2/40651]], [[0, 0], [690892648972/3127, -527424536773/6254], [-536096100/59, 200939527/59], [-152055576/40651, 112306723/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14276/59, -110/59], [266/59, 2/59], [0, 0]], [[0, 0], [-942780597/3127, 2876001/6254], [305613/59, -500/59], [168512/40651, 5/81302]], [[0, 0], [-8799886106875/3127, 6508260405927/6254], [2853048889/59, -1055061876/59], [120716318/3127, -89248869/6254]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[58844, -22972]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26309/59, -787/59], [-429/59, -5/59], [0, 0]], [[-19917, 1], [-12403522964/3127, -15886621975/6254], [4284282/59, 2724903/59], [23209/40651, -1/81302]], [[91520329/2, -37075093/2], [-1075136387552/3127, -1375199921797/6254], [301434433/59, 263174618/59], [-106642399/81302, 21600633/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5541/59, 315/59], [75/59, 5/59], [0, 0]], [[-14968, 0], [-78436970/3127, -26268473/6254], [41502/59, 4525/59], [17442/40651, 1/81302]], [[-18558663/2, 7514843/2], [-35438216962/3127, 29689295839/6254], [21185295/59, -8748922/59], [21625145/81302, -4378286/40651]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[176, -64]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28089/59, -197/59], [515/59, -5/59], [0, 0]], [[0, 0], [-834715948/3127, 145921015/6254], [14976/59, -25056/59], [-133628/40651, -3/81302]], [[0, 0], [-2746133956776/3127, 1026240252766/3127], [150703344/59, -62312976/59], [-389725838/40651, 142693110/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30446/59, 582/59], [560/59, -2/59], [0, 0]], [[0, 0], [1029627572/3127, -526971414/3127], [-347330/59, 180316/59], [11534/40651, -2/40651]], [[0, 0], [-88344773679/3127, 69910341817/6254], [29983447/59, -11872035/59], [-569186/40651, 410831/81302]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[58844, -22972]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-222, 0], [4, 0], [0, 0]], [[-24987/2, -1/2], [48418592/3127, 14621/6254], [-251/59, -1/59], [29117/81302, 1/40651]], [[18551352, -7496840], [-71882917583/3127, 29049269192/3127], [370329/59, -149739/59], [-21616628/40651, 8735593/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22533/59, 747/59], [-429/59, -5/59], [0, 0]], [[-45025/2, -3/2], [60213610/3127, -2120658/3127], [817/59, 731/59], [52467/81302, 5/81302]], [[-6767775/2, 2754675/2], [9570803713/3127, -7746647627/6254], [-56092/59, 15172/59], [7886025/81302, -1604925/40651]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[228, -100]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-1459209/3127, 3663/3127], [601/59, 3/59], [976/3127, -2/3127]], [[0, 0], [50463153/6254, -22619865/6254], [-10254/59, 4616/59], [-33725/6254, 15121/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62197/59, -3/59], [547/59, -1/59], [0, 0]], [[0, 0], [-149950633515/81302, -34906931453/81302], [12982131/767, 2863701/767], [-467387/81302, 3/81302]], [[0, 0], [865682050038118/40651, -479304268204325/40651], [-155557491711/767, 84724016679/767], [4643168370/40651, -2088637830/40651]]], 1, 1008, [], [] >,
< [ -4, -1, 1 ], [[228, -100]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1921/59, -463/59], [247/59, 3/59], [0, 0]], [[0, 0], [135415245/6254, 106069851/6254], [499883/59, 333027/59], [2639/6254, 1/6254]], [[0, 0], [23913601096/3127, 1032851932/3127], [85338561/59, 35598250/59], [-1143964/3127, 513865/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [91454/59, 634/59], [-805/59, -5/59], [0, 0]], [[0, 0], [-36645870096/40651, 989647276/40651], [-399134/767, -162239/767], [135437/40651, -2/40651]], [[0, 0], [-3077870636149969/81302, 1363223655575897/81302], [-4301062802/767, 3609653643/767], [10848757375/81302, -4877070385/81302]]], 1, 1008, [], [] >,
< [ -4, -1, 1 ], [[336, -160]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20885/59, 527/59], [-369/59, -1/59], [0, 0]], [[0, 0], [-2208819606/3127, 2036023889/6254], [760516/59, -349079/59], [-8548/3127, -3/6254]], [[0, 0], [6809601516460/3127, -5230954033915/6254], [-2340240200/59, 899221977/59], [14333676/3127, -13031431/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36575/59, 511/59], [-665/59, -5/59], [0, 0]], [[0, 0], [217658958/3127, -484807835/6254], [-110106/59, 83201/59], [-11188/3127, -1/6254]], [[0, 0], [-78340389641/3127, 27089163888/3127], [31041619/59, -11225721/59], [1312370/3127, -609279/3127]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[1014836, -396180]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11795/59, 197/59], [193/59, 5/59], [0, 0]], [[-703, 1], [454028243/3127, 607352171/6254], [-158319/59, -104164/59], [-833/3127, 3/6254]], [[754103/2, -267287/2], [-12702916475/3127, -37754676875/6254], [5739648/59, 5985413/59], [894031/6254, -158466/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18295/59, 1023/59], [-397/59, 5/59], [0, 0]], [[-3461/2, -3/2], [-1636046952/3127, -1930478693/6254], [571615/59, 331082/59], [-4101/6254, -1/3127]], [[-2664448, 931516], [-440395655574/3127, -85467353761/3127], [167155868/59, 23685504/59], [-3158828/3127, 1104549/3127]]], 1, 672, [], [] >,
< [ -4, -1, 1 ], [[336, -160]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8611/59, 425/59], [163/59, 3/59], [0, 0]], [[0, 0], [168228362/3127, -37291637/6254], [-9996/59, 6390/59], [55940/3127, 5/6254]], [[0, 0], [-938826690132/3127, 806900704423/6254], [100547136/59, -37298208/59], [-4400308/53, 4017255/106]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2011/59, -157/59], [-43/59, 5/59], [0, 0]], [[0, 0], [71698398/3127, 998615/6254], [-396/59, -168/59], [-18416/3127, -5/6254]], [[0, 0], [-8584075874/3127, 4437785200/3127], [6228/59, -14736/59], [2236192/3127, -1147300/3127]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[1014836, -396180]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37050/59, -1070/59], [-620/59, -2/59], [0, 0]], [[-1114, 0], [-1548539785/3127, -2064891043/6254], [531949/59, 354197/59], [-1320/3127, 1/6254]], [[1091007/2, -385359/2], [43993814740/3127, 118310721293/6254], [-15434363/59, -20173545/59], [1293447/6254, -228468/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37641/59, -1597/59], [-605/59, -1/59], [0, 0]], [[-12373/2, -3/2], [6664414320/3127, 8045487465/6254], [-2276827/59, -1380491/59], [-14661/6254, 1/3127]], [[-6952575/2, 2428143/2], [586898229791/3127, 325907810659/6254], [-195667626/59, -57925714/59], [-8242599/6254, 1439592/3127]]], 1, 672, [], [] >,
< [ -4, -1, 1 ], [[3780, -1476]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, -9], [2, 2], [0, 0]], [[0, 0], [797/38, -111/38], [-568, -603/2], [-71/38, 2/19]], [[0, 0], [-8236/19, 1775/19], [8677, 8289/2], [710/19, -213/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [134, 4], [11, 1], [0, 0]], [[0, 0], [-8066977/247, 164107/247], [-37602/13, -805/13], [-462/247, -1/247]], [[0, 0], [6206805729/494, -585742663/494], [14282799/13, -1621225/26], [353045/494, -13100/247]]], 1, 480, [], [] >,
< [ -4, -1, 1 ], [[3780, -1476]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, -5], [35, 5], [0, 0]], [[0, 0], [7145/38, -573/38], [-184, -537/2], [71/38, -2/19]], [[0, 0], [351921/19, -43481/19], [-12713, -23876], [3481/19, -354/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-297, -31], [-27, -5], [0, 0]], [[0, 0], [176965953/494, -13967405/494], [392087/13, -5757/26], [311/494, -1/247]], [[0, 0], [-762428325/38, 107682533/38], [-1655607, 128719], [-1313/38, 101/38]]], 1, 480, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -40], [-28, -4], [0, 0]], [[17/2, 3/2], [-5344, -4176], [-25955/4, -16105/4], [17/4, 3/4]], [[-141/2, 57/2], [-14735, 4495], [4147/4, -6887/4], [-141/4, 57/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-283, 107], [9, -5], [0, 0]], [[-47/2, 3/2], [5254, -1620], [-67/4, 743/4], [-47/4, 3/4]], [[258, 150], [-18083, -7003], [-5496, -3700], [129, 75]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -8], [4, 4], [0, 0]], [[0, 0], [337, -333], [121/2, 267/2], [7/2, -3/2]], [[0, 0], [198, -66], [-38, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-172, 66], [-6, 2], [0, 0]], [[0, 0], [-233, 91], [-7/2, 3/2], [7/2, -3/2]], [[0, 0], [2, 2], [0, 0], [0, 0]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[48, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-213, 84], [-13, 7], [0, 0]], [[0, 0], [-9730, 3796], [-640, 292], [-10, -2]], [[0, 0], [-360, 260], [-4909/2, -3075/2], [663/2, 425/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [118, -47], [-40, 14], [0, 0]], [[0, 0], [9614, -3753], [-6243/2, 2431/2], [-15/2, -1/2]], [[0, 0], [0, 0], [-317/2, -203/2], [-317/2, -203/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[15564, -6076]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 0], [120, -47], [-6, 0], [0, 0]], [[-331/2, -213/2], [49/2, -43/2], [-333/2, -211/2], [1, -1]], [[329/2, 207/2], [227/2, -65/2], [159, 105], [11/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -8], [6, -2], [0, 0]], [[-41/2, -3/2], [-372, 143], [-457/4, 181/4], [-41/4, -3/4]], [[-1273, -779], [-1441, 264], [-547/2, 387/2], [-1273/2, -779/2]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[48, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -15], [-16, 0], [0, 0]], [[0, 0], [179, 129], [-321/2, -223/2], [9/2, -1/2]], [[0, 0], [2981, 2239], [-2697, -1927], [96, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -7], [2, -10], [0, 0]], [[0, 0], [-72, 90], [-845/2, -395/2], [-5/2, -3/2]], [[0, 0], [540, -207], [266, -126], [0, 0]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[15564, -6076]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-26, -2], [20, 2], [-26, -2], [0, 0]], [[-297, 37], [225, -24], [-605/2, 69/2], [-11/2, -5/2]], [[289/2, -125/2], [-213/2, 93/2], [145, -63], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31, 13], [-5, 5], [0, 0]], [[-31/2, -5/2], [-144, 20], [-607/4, -261/4], [-31/4, -5/4]], [[40, -8], [520, -171], [246, 14], [20, -4]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, -5/2], [-3317/2, 1297/2], [17/2, -5/2], [0, 0]], [[-1817, -1163], [-2185, -1519], [-3623/2, -2321/2], [11/2, 5/2]], [[1044, 828], [33160, -11380], [2623/2, 1441/2], [535/2, -215/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-573, 217], [3, -3], [0, 0]], [[23/2, 5/2], [-3821, -2495], [-4221/4, -2711/4], [23/4, 5/4]], [[1825/2, -725/2], [12578, -1326], [5297/4, 1851/4], [1825/4, -725/4]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3083, -1191], [13, 3], [0, 0]], [[0, 0], [-82211, -53741], [-107059/2, -68565/2], [11/2, 5/2]], [[0, 0], [261305, -241857], [-86187, -56255], [378, -140]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -8], [-10, 2], [0, 0]], [[0, 0], [208, 52], [115/2, -19/2], [3/2, 5/2]], [[0, 0], [-10602, 4290], [-12233/2, 4805/2], [415/2, -155/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-977, 385], [7, 1], [0, 0]], [[15, 1], [-9825, 3845], [69/2, -29/2], [15/2, 1/2]], [[413/2, 263/2], [-553, 509], [-107/4, -81/4], [413/4, 263/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-471, 179], [-25, 5], [0, 0]], [[15/2, -3/2], [-3913, 1593], [-441/4, 405/4], [15/4, -3/4]], [[-91/2, -57/2], [-1636, -1456], [-7159/4, -4653/4], [-91/4, -57/4]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1034, 406], [16, -4], [0, 0]], [[0, 0], [-11077, 4313], [297/2, -105/2], [-21/2, -3/2]], [[0, 0], [317, 203], [-317/2, -203/2], [317/2, 203/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-122, 50], [-30, 14], [0, 0]], [[0, 0], [-651, 223], [-305/2, 113/2], [-15/2, -1/2]], [[0, 0], [1041, 791], [161/2, 163/2], [255/2, 165/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 1/2], [-1799/2, 715/2], [19/2, 1/2], [0, 0]], [[15435/2, 9873/2], [21397/2, 15615/2], [7726, 4936], [17/2, -1/2]], [[20817/2, 13851/2], [116847/2, -12483/2], [20299/2, 14061/2], [-259, 105]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [191, -75], [-13, 5], [0, 0]], [[9/2, -5/2], [-40, 16], [9/4, -5/4], [9/4, -5/4]], [[-22, -14], [10, 6], [-11, -7], [-11, -7]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-495, 171], [-29, -3], [0, 0]], [[0, 0], [-9452, -6060], [-6087, -3893], [-11, -1]], [[0, 0], [-26, 10], [-13/2, 5/2], [-13/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1522, 594], [6, -2], [0, 0]], [[0, 0], [472, -184], [5/2, -5/2], [5/2, -5/2]], [[0, 0], [-6, 6], [-22, -14], [-22, -14]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[48, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -4], [8, 4], [0, 0]], [[0, 0], [-6, 4], [-47, 22], [-3, 2]], [[0, 0], [1, 5], [-29/2, 35/2], [1/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -4], [-8, -8], [0, 0]], [[0, 0], [22, -20], [-5, -20], [-1, -2]], [[0, 0], [-113, 43], [-115/2, 41/2], [-9/2, 3/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[15564, -6076]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, 13], [-9, 1], [0, 0]], [[-23/2, -1/2], [-431, -287], [-1943/4, -1249/4], [-23/4, -1/4]], [[-435/2, 135/2], [-1219, -1111], [-6651/4, -4401/4], [-435/4, 135/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-55, 11], [-23, -1], [0, 0]], [[11/2, -3/2], [-409, -391], [-1917/4, -1347/4], [11/4, -3/4]], [[-3/2, 3/2], [-884, -498], [-3175/4, -1969/4], [-3/4, 3/4]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9399, -3671], [9, 3], [0, 0]], [[-119/2, -5/2], [-22102, -24410], [477541/4, 305871/4], [-119/4, -5/4]], [[-78309/2, 34881/2], [14566233, -2919109], [-40073653/4, -25591791/4], [-78309/4, 34881/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1453, -561], [-49, -3], [0, 0]], [[113/2, 3/2], [-90463, -57405], [1276929/4, 817619/4], [113/4, 3/4]], [[21296, -9328], [3534947, 2612341], [-13726385, -8808635], [10648, -4664]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[752, -304]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 0], [14, -6], [0, 0]], [[0, 0], [303, 337], [171/2, -31/2], [-27/2, -1/2]], [[0, 0], [-372, 56], [137, -57], [-15, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 6], [-10, 10], [0, 0]], [[0, 0], [-374, 1094], [942, -170], [26, 2]], [[0, 0], [134763, -65087], [-175375/2, 63259/2], [-3537/2, 1061/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3391, 1323], [15, -3], [0, 0]], [[2, -2], [25155, 16225], [-89580, -57368], [1, -1]], [[181/2, -81/2], [103614, 69830], [-1516983/4, -971701/4], [181/4, -81/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7788, -3036], [10, -2], [0, 0]], [[21, -1], [-34107, -21853], [-29889/2, -19155/2], [21/2, -1/2]], [[-1173/2, 529/2], [-168755, -107569], [-296205/4, -188407/4], [-1173/4, 529/4]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[752, -304]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -26], [-54, -10], [0, 0]], [[0, 0], [-25838, 12610], [20643, -2623], [11, 1]], [[0, 0], [714527, -285767], [-812217/2, 287677/2], [-327/2, 99/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -14], [-24, 0], [0, 0]], [[0, 0], [403, 1389], [4217/2, 475/2], [23/2, 5/2]], [[0, 0], [-50147, 23539], [111521/2, -38101/2], [499/2, -159/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[724, -260]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13677, 5337], [9, -5], [0, 0]], [[-63/2, 3/2], [238055, 152613], [606233/4, 388267/4], [-63/4, 3/4]], [[-4829/2, 3113/2], [-13567243, -8664625], [-34476989/4, -22072567/4], [-4829/4, 3113/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [110945, -43261], [31, -3], [0, 0]], [[-11/2, -1/2], [21710923, 13904641], [15616565/4, 10000671/4], [-11/4, -1/4]], [[35/2, -23/2], [38182219, 24442289], [27456467/4, 17582745/4], [35/4, -23/4]]], 0, 4096, [], [] >,
< [ -4, -1, 1 ], [[1040, -464]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [268, 36], [30, 10], [0, 0]], [[0, 0], [76225, -10957], [13567/2, 525/2], [-47/2, 3/2]], [[0, 0], [4156342, -843550], [349226, -15722], [-1250, 170]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [342, 2], [-38, -2], [0, 0]], [[0, 0], [563201, -28157], [-123839/2, 723/2], [-1/2, -3/2]], [[0, 0], [-628315, 300255], [127049/2, -63253/2], [-5/2, 1/2]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[724, -260]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 13], [36, -4], [0, 0]], [[0, 0], [-507/2, 23/2], [87, -99], [-41/2, -3/2]], [[0, 0], [40115, -14879], [-34463, 14035], [2715, -975]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-231, -13], [-16, 0], [0, 0]], [[0, 0], [-321461/2, -10711/2], [-11192, 240], [1/2, -5/2]], [[0, 0], [33641356, -14081752], [2567899, -1059991], [-1030, 370]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[724, -260]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [228, 12], [-23, 3], [0, 0]], [[0, 0], [698659/2, 145593/2], [-31382, -130], [27/2, 1/2]], [[0, 0], [-271039785/2, 89951549/2], [17367948, -6310876], [-14223/2, 5115/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [53, -1], [-43, -1], [0, 0]], [[0, 0], [-2271/2, 107/2], [847, -11], [35/2, 1/2]], [[0, 0], [-82727/2, 30131/2], [29436, -10604], [1147/2, -407/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [79, 9], [-3, -5], [0, 0]], [[0, 0], [-109269/2, 75249/2], [-7668, 468], [5/2, -1/2]], [[0, 0], [-360401, 9179], [2529, 19395], [3, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [65, 15], [0, 4], [0, 0]], [[0, 0], [8229/2, -24285/2], [-3164, 196], [-21/2, -3/2]], [[0, 0], [788255/2, -82179/2], [-32025, 23625], [-85/2, 153/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 4], [29, 3], [0, 0]], [[0, 0], [-43365/2, 2581/2], [-19968, 1560], [-3/2, 3/2]], [[0, 0], [-835411/2, -17209/2], [-382200, 0], [-39/2, 59/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -1], [1, -1], [0, 0]], [[0, 0], [157/2, -169/2], [0, 0], [23/2, 5/2]], [[0, 0], [15575, -4041], [0, 0], [234, -356]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[6824, -2664]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-75, 31], [-29, 13], [0, 0]], [[-15/2, -9/2], [-15, -8], [-21/2, -7/2], [-3/2, -3/2]], [[1/2, 1/2], [2, 1/2], [1/2, 1/2], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [181, -69], [-9, 5], [0, 0]], [[-2, -2], [27877, -10965], [-1697, 583], [-2, 0]], [[15/2, 7/2], [51588, -39893/2], [-5595/2, 2557/2], [-1/2, 2]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[-15328, 5984]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3911, -1523], [9, -1], [0, 0]], [[0, 0], [3, 2], [2, 0], [1, 0]], [[0, 0], [-946, -270], [-410, -262], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [835, -327], [1, -1], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [748, -292], [0, 0], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-15328, 5984]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1408, 568], [20, 4], [0, 0]], [[0, 0], [-1, 2], [2, 0], [1, 0]], [[0, 0], [1697, 627], [803, 517], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4572, -1796], [-8, -4], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [-43709, 17081], [21, 3], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[152, -56]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, 52], [34, -2], [0, 0]], [[3/2, 3/2], [-20666, -12989], [-40305/2, -25911/2], [3/2, 3/2]], [[-19/2, 7/2], [-2149, 2913], [5679/2, 1885/2], [-19/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-409, 153], [-9, -3], [0, 0]], [[5, 0], [-3523, -1960], [-3154, -2016], [5, 0]], [[-61/2, 23/2], [3423, -648], [1371/2, 805/2], [-61/2, 23/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[1312, -512]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1179, 459], [-9, 5], [0, 0]], [[0, 0], [-263733, 205901/2], [-2343, 913], [0, -3/2]], [[0, 0], [-2835, -3631/2], [0, 0], [-463, -593/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [681, -267], [-25, 11], [0, 0]], [[0, 0], [5087, -3991/2], [-187, 85], [0, 1/2]], [[0, 0], [-4119, -5449/2], [5304, 3400], [235, 301/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[1312, -512]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [505, -197], [-13, 5], [0, 0]], [[0, 0], [-531, 419/2], [20, -8], [1, 1/2]], [[0, 0], [19, 11], [-11, -7], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1087, -425], [9, -3], [0, 0]], [[0, 0], [680, -499/2], [-9, -11], [5, 1/2]], [[0, 0], [1643, 1923/2], [-1409, -903], [234, 299/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -5], [-1, 1], [0, 0]], [[0, 0], [5/2, 33/2], [0, 0], [-3/2, 5/2]], [[0, 0], [-551, 433], [0, 0], [-154, 84]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 3], [3, 5], [0, 0]], [[0, 0], [-1135/2, 787/2], [192, -8], [5/2, -1/2]], [[0, 0], [-9457/2, 2687/2], [544, -408], [21/2, -11/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[152, -56]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [382, -166], [-12, 0], [0, 0]], [[7/2, 3/2], [50134, 31243], [27345/2, 17547/2], [7/2, 3/2]], [[216, -80], [320531, -48519], [15559, 15201], [216, -80]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2689, 1045], [-11, 3], [0, 0]], [[-11/2, -1/2], [20212, 12724], [10903/2, 6965/2], [-11/2, -1/2]], [[1501/2, -551/2], [-185426, -63811], [-76089/2, -44435/2], [1501/2, -551/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[1916, -748]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 5], [-3, 3], [0, 0]], [[0, 0], [16, -8], [683/2, -259/2], [-17/2, 1/2]], [[0, 0], [91/2, 7/2], [1725/4, -857/4], [99/4, 97/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 28], [7, -5], [0, 0]], [[0, 0], [15956/13, -27550/13], [5527/13, 1135/13], [137/13, 1/13]], [[0, 0], [-57501835/26, 35787815/26], [-12966453/52, 941721/52], [-389683/52, 83951/52]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[1916, -748]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -4], [-24, -4], [0, 0]], [[0, 0], [402, -86], [555/2, -123/2], [23/2, 1/2]], [[0, 0], [7897/2, -1871/2], [10913/4, -2661/4], [435/4, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 2], [-1, 1], [0, 0]], [[0, 0], [105735/26, 987/26], [-3591/52, -45/52], [399/52, 5/52]], [[0, 0], [-554009/2, 111919/2], [18765/4, -3753/4], [-2085/4, 417/4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 28], [14, 2], [0, 0]], [[0, 0], [-1031/2, -621/2], [-2315/4, 567/4], [-17/4, 5/4]], [[0, 0], [-128, -272], [9629/2, -3865/2], [73/2, -29/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [293, -25], [-13, 1], [0, 0]], [[0, 0], [199047/26, 8653/26], [-26145/52, -1083/52], [-579/52, -1/52]], [[0, 0], [-90247325/26, 36594625/26], [11896293/52, -4822377/52], [281523/52, -113487/52]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[36, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -14], [4, -4], [0, 0]], [[0, 0], [42, -74], [-187/2, 59/2], [9/2, -1/2]], [[0, 0], [-6795/2, 2479/2], [11703/4, -4611/4], [-439/4, 179/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [589, 15], [-13, -3], [0, 0]], [[0, 0], [25445973/26, -4242081/26], [-943017/52, -4115/52], [-607/52, -5/52]], [[0, 0], [-2197423917, 871140433], [63707659/2, -25740063/2], [40749/2, -16473/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[5748, -2244]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -3], [0, -4], [0, 0]], [[0, 0], [1607/38, -223/38], [41, -5], [-13/114, 1/114]], [[0, 0], [-2897/38, 901/38], [-74, 45/2], [7/38, -1/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [333, 21], [11, 5], [0, 0]], [[0, 0], [-199286976/247, 58400046/247], [-161589/13, -2063/26], [-170/247, 1/1482]], [[0, 0], [86293510479/494, -33091152899/494], [24559741/13, -17203207/26], [156649/1482, -9174/247]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[5748, -2244]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 10], [11, 5], [0, 0]], [[0, 0], [-1261/19, -55/19], [72, -65/2], [-28/57, -1/38]], [[0, 0], [957/2, -277/2], [-856, 683/2], [7/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-216, 18], [29, 3], [0, 0]], [[0, 0], [-1030177831/494, 178534251/494], [3384305/13, -76497/26], [677/1482, 1/741]], [[0, 0], [3122380397803/247, -1162188359259/247], [-16772596275/13, 5896675279/13], [-1644664/741, 574480/741]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[-108, 60]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 3], [-102, -2], [0, 0]], [[0, 0], [5781/38, -1041/38], [-915, 223], [-113/114, -1/38]], [[0, 0], [-85565/38, 25845/38], [14154, -4691], [477/38, -265/114]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [547, 21], [124, 4], [0, 0]], [[0, 0], [8473010757/494, -68416069/494], [50538281/13, -706106/13], [-1267/1482, 1/1482]], [[0, 0], [-566849815875/13, 142052506729/13], [-129220825663/13, 32763363814/13], [28053/13, -20780/39]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-108, 60]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -2], [-39, -5], [0, 0]], [[0, 0], [-171689/38, 25969/38], [-7858, 965], [-77/114, 1/38]], [[0, 0], [-4262953/38, 1207333/38], [-191242, 51260], [-1763/114, 129/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [472, 32], [103, 5], [0, 0]], [[0, 0], [643708275/494, 21167241/494], [3697114/13, 51672/13], [1075/1482, 5/1482]], [[0, 0], [-20558414639/494, 4763148671/494], [-120373477/13, 29090718/13], [-35329/1482, 8707/1482]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[180, -68]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1995/59, 593/59], [43/59, 1/59], [0, 0]], [[0, 0], [12788120/59, 23409/59], [-1833/59, -1519/59], [-10, 0]], [[0, 0], [13868761052571/6254, -5204807756391/6254], [4595594/59, -2674136/59], [-8341069307/81302, 3131252451/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94920/59, -174/59], [515/59, 1/59], [0, 0]], [[0, 0], [-4845267084179/40651, -198196090381/40651], [495559268/767, 20343902/767], [24040/40651, 2/40651]], [[0, 0], [680557977901374891/81302, -253447384653203173/81302], [-34794510148028/767, 12957502770962/767], [-3596964899/81302, 1349256463/81302]]], 1, 144, [], [] >,
< [ -4, -1, 1 ], [[180, -68]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [305637617/6254, -913/6254], [61341/59, 145/59], [197489/81302, -1/81302]], [[0, 0], [3112948178078/3127, -1167199229952/3127], [1245092331/59, -466661661/59], [2011450499/40651, -754193181/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36252/59, -2705/59], [365/59, 3/59], [0, 0]], [[0, 0], [-61912752115/40651, -33435348384/40651], [7856915/767, 5485735/767], [25992/40651, -2/40651]], [[0, 0], [1261738960321067/81302, -250228167040393/81302], [20078175488/767, -25829042638/767], [-2792213769/81302, 80566805/6254]]], 1, 144, [], [] >,
< [ -4, -1, 1 ], [[268, -92]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10163/59, 401/59], [-172/59, -4/59], [0, 0]], [[0, 0], [-22602644/3127, -166396/3127], [7033/59, 73/59], [11532/40651, 2/40651]], [[0, 0], [1809439/6254, -612595/6254], [-281/59, 95/59], [-895/81302, 303/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [364631/59, 829/59], [515/59, 1/59], [0, 0]], [[0, 0], [19982159555511/81302, -116814333387/81302], [266237501/767, -1643965/767], [-4591/81302, 3/81302]], [[0, 0], [-184336800221187903/81302, 61715314489706243/81302], [-2457128529196/767, 822814228498/767], [42061187/81302, -14033963/81302]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[268, -92]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34419/59, -407/59], [-622/59, 2/59], [0, 0]], [[0, 0], [23404662491/6254, -8814365511/6254], [-3397472/59, 1485326/59], [522697/81302, -1/81302]], [[0, 0], [-961025688107634/3127, 373892088037702/3127], [294021148081/59, -116045310023/59], [-14283508375/40651, 4765687525/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [920160/59, 3024/59], [1395/59, 5/59], [0, 0]], [[0, 0], [5251835569063/81302, 117764582365/81302], [75206188/767, 1707382/767], [-609/6254, -3/81302]], [[0, 0], [-8398319284898/13, 2760100102498/13], [-12743062612/13, 4187161468/13], [769615/767, -256795/767]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[1136, -432]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45075/59, -881/59], [-929/59, 1/59], [0, 0]], [[0, 0], [4267530478/3127, 48588105/3127], [392136/59, 3038/59], [-185954/40651, -3/40651]], [[0, 0], [1342070151122/3127, -2241214366459/3127], [126305558/59, -205677736/59], [-62903066/40651, 97268365/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39770/59, 1550/59], [768/59, 4/59], [0, 0]], [[0, 0], [-1489385261/3127, 169836106/3127], [-603661/59, 78755/59], [-11816/40651, -5/40651]], [[0, 0], [-71577986561/3127, 62202014276/3127], [-30737363/59, 25059305/59], [-332502/40651, 514155/40651]]], 0, 4608, [], [] >,
< [ -4, -1, 1 ], [[124, -12]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32563/59, 8417/59], [1105/59, -5/59], [0, 0]], [[319441/2, 1/2], [56476755860/3127, 35141584583/3127], [21222511/59, 13378091/59], [319441/81302, 1/81302]], [[-233682520, 31524484], [-54885143943528/3127, -33331407012796/3127], [-20488006746/59, -12743782202/59], [-233682520/40651, 31524484/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [61244/59, -4948/59], [974/59, 2/59], [0, 0]], [[110419, 2], [-852679917/3127, -300225980/3127], [41327/59, -114293/59], [110419/40651, 2/40651]], [[598111155/2, -83241105/2], [-1856685663144/3127, -378514605991/3127], [284272423/59, -282044565/59], [598111155/81302, -83241105/81302]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[1136, -432]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39171/59, 865/59], [869/59, -5/59], [0, 0]], [[0, 0], [3239649150/3127, 646097643/3127], [1420126/59, 226780/59], [46418/40651, -1/40651]], [[0, 0], [20520085392/3127, 145344464026/3127], [-466910/59, 62876954/59], [-1258076/40651, 1945390/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8733/59, -63/59], [-251/59, -1/59], [0, 0]], [[0, 0], [-833215298/3127, -181391532/3127], [347508/59, -102668/59], [-546046/40651, -4/40651]], [[0, 0], [1140820754550/3127, 5117245619193/3127], [3578238140/59, -1759147170/59], [-1954832756/40651, 3103533853/40651]]], 0, 4608, [], [] >,
< [ -4, -1, 1 ], [[124, -12]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27139/59, -10919/59], [-15/59, -1/59], [0, 0]], [[-470511/2, -3/2], [600763506/3127, -1757/3127], [-470511/59, -3/59], [-470511/81302, -3/81302]], [[979364185, -129712865], [-2500979405926/3127, 331263256170/3127], [1958728370/59, -259425730/59], [979364185/40651, -129712865/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162, -14], [-4, 0], [0, 0]], [[633115/2, 3/2], [2862442948/3127, -4779373/3127], [630213/59, -1811/59], [633115/81302, 3/81302]], [[-8643810715/2, 1185374875/2], [-39116339699993/3127, 5415786547775/3127], [-8617775844/59, 1201311188/59], [-8643810715/81302, 1185374875/81302]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[80, -48]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18285/59, -275/59], [311/59, 5/59], [0, 0]], [[0, 0], [649098676/3127, 275577/6254], [-778/59, -44/59], [-98744/40651, -1/81302]], [[0, 0], [29748/53, -30525/106], [0, 0], [-268/40651, 275/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27964/59, -8/59], [-502/59, -2/59], [0, 0]], [[0, 0], [-5034846769/3127, 1950285/6254], [-691/59, -345/59], [-412418/40651, -5/81302]], [[0, 0], [-11650287186565/3127, 12996294467701/6254], [182567/59, 538931/59], [-953881520/40651, 1064393387/81302]]], 0, 576, [], [] >,
< [ -4, -1, 1 ], [[268420, -104788]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25373/59, -1605/59], [545/59, -3/59], [0, 0]], [[-114553/2, 5/2], [-4925053161/3127, -5416371775/6254], [1487022/59, 929076/59], [133487/81302, -1/40651]], [[-1244748339, 384448887], [-34322833217674/3127, -7621354144827/3127], [7372639230/59, 3974195148/59], [1450436373/40651, -447964146/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4014/59, -9904/59], [384/59, 2/59], [0, 0]], [[-44904, 0], [-13618870221/3127, -16811939767/6254], [4516425/59, 2883525/59], [52326/40651, 3/81302]], [[-194369569/2, 60168141/2], [-6948240652348/3127, -6874021230255/6254], [2047370175/59, 1283051325/59], [226488087/81302, -35054303/40651]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[80, -48]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13568/59, 480/59], [266/59, 2/59], [0, 0]], [[0, 0], [-2397132724/3127, 141965634/3127], [135966/59, -48732/59], [-336742/40651, 2/40651]], [[0, 0], [-12546757741461/3127, 13070080707305/6254], [1135895025/59, -452404731/59], [-1554571366/40651, 1755913233/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34452/59, 370/59], [650/59, 4/59], [0, 0]], [[0, 0], [-8582339775/3127, 5366991691/6254], [2957289/59, -920685/59], [331116/40651, 5/81302]], [[0, 0], [-171072373176001/3127, 70069341935642/3127], [58843785343/59, -24123407597/59], [3899743260/40651, -2159047265/40651]]], 0, 576, [], [] >,
< [ -4, -1, 1 ], [[268420, -104788]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1767/59, 2077/59], [-73/59, 3/59], [0, 0]], [[44783/2, -3/2], [-4857553/53, -4423125/106], [1200, 760], [-52185/81302, 1/40651]], [[9206380, -2852924], [-51335911408/3127, -511574688/3127], [6258330/59, 3703050/59], [-10727684/40651, 3324260/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10270/59, -5530/59], [60/59, 4/59], [0, 0]], [[-74840, 0], [145607793/3127, -78243997/6254], [20931/59, 13455/59], [87210/40651, 5/81302]], [[-1408831589/2, 437875393/2], [1828294363469/3127, -1359484452041/6254], [39563070/59, 26049210/59], [1641633139/81302, -255108803/40651]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[172, -28]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11096/59, -369/59], [-569/59, -5/59], [0, 0]], [[0, 0], [2519794747/6254, 5011873647/6254], [-1757152/59, -2602526/59], [75735/6254, 5/6254]], [[0, 0], [-14352264107/3127, 967516638519/3127], [-199861993/59, -977171893/59], [18124710/3127, -2331372/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37144/59, -817/59], [-225/59, 3/59], [0, 0]], [[0, 0], [-315159495375/81302, 2146748797/81302], [1629215/767, -81187/767], [-1063867/81302, -5/81302]], [[0, 0], [-20869994226640847/40651, 2746640962205111/40651], [220441013568/767, -36481796084/767], [-70208319264/40651, 8853474720/40651]]], 1, 2016, [], [] >,
< [ -4, -1, 1 ], [[172, -28]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [5401025/6254, -309/6254], [4445/59, 515/59], [54623/6254, -3/6254]], [[0, 0], [2656366137/6254, -335354849/6254], [2058248/59, -54566/59], [26864997/6254, -3391541/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116079/59, 3354/59], [-1073/59, -3/59], [0, 0]], [[0, 0], [1710566222823/81302, 1465409344033/81302], [-165315862/767, -120230164/767], [-1389075/81302, -5/81302]], [[0, 0], [21000667007056237/81302, 23081581222273591/81302], [-2265620585091/767, -1824858451477/767], [-30183243313/81302, 3831433421/81302]]], 1, 2016, [], [] >,
< [ -4, -1, 1 ], [[1540, -628]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60213/59, 127/59], [-1051/59, 3/59], [0, 0]], [[0, 0], [108871233495/6254, -19002646379/6254], [-18002157/59, 3202971/59], [36837/6254, -5/6254]], [[0, 0], [-1648079356486402/3127, 658369162420930/3127], [547384003970/59, -218568157362/59], [-433267425/3127, 178305525/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102295/59, -947/59], [193/59, -1/59], [0, 0]], [[0, 0], [930447510657/81302, -22384711229/81302], [27068394/767, -304574/767], [-535205/81302, 1/81302]], [[0, 0], [42796260932136607/40651, -17527170505278715/40651], [2439539465803/767, -1001746733601/767], [-23679074259/40651, 9746688581/40651]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[1540, -628]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40699/59, -239/59], [-751/59, -1/59], [0, 0]], [[0, 0], [-55846405247/6254, 10244826539/6254], [9655141/59, -1726515/59], [-22377/6254, 1/6254]], [[0, 0], [700039710726967/3127, -279348267889251/3127], [-240639363628/59, 96085389744/59], [215440836/3127, -88686468/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-747869/59, -2431/59], [-1116/59, -4/59], [0, 0]], [[0, 0], [110399665276054/40651, 938398082762/40651], [3107671355/767, 27467941/767], [209997/40651, -1/40651]], [[0, 0], [100262853050604220233/81302, -41348135949840562269/81302], [1410365439451290/767, -581674928779436/767], [193423761621/81302, -79618341109/81302]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[2320, -976]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41299/59, -881/59], [-929/59, 1/59], [0, 0]], [[0, 0], [-1396243452/3127, -35915779/3127], [-741032/59, -558/59], [-43086/3127, -5/3127]], [[0, 0], [-6318587379942/3127, 2640420451897/3127], [-3498713548/59, 1452521914/59], [-203641944/3127, 84530215/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24313/59, -315/59], [-547/59, -5/59], [0, 0]], [[0, 0], [-1173636766/3127, 282446021/3127], [-510560/59, 121290/59], [-13200/3127, 5/3127]], [[0, 0], [-271489438790/3127, 107841151093/3127], [-117670412/59, 46760742/59], [-2182726/3127, 906451/3127]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[1556, -580]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18763/59, -11273/59], [-959/59, -1/59], [0, 0]], [[-23555/2, 3/2], [-84606751844/3127, -54091257494/3127], [-32212655/59, -20591697/59], [-23555/6254, 3/6254]], [[-607992385/2, 228563775/2], [-84383659255482/3127, -50356029615545/3127], [-32231564185/59, -19129145625/59], [-607992385/6254, 228563775/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [306, -42], [4, 0], [0, 0]], [[5767/2, -1/2], [660716698/3127, 443161709/3127], [270087/59, 168739/59], [5767/6254, -1/6254]], [[2847435/2, -1070175/2], [-2711730361/3127, 13966078141/3127], [8105028/59, 1883600/59], [2847435/6254, -1070175/6254]]], 0, 10752, [], [] >,
< [ -4, -1, 1 ], [[2320, -976]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14280/59, -952/59], [-266/59, -2/59], [0, 0]], [[0, 0], [-492684383/3127, 89544238/3127], [-173023/59, 38505/59], [-7920/3127, 3/3127]], [[0, 0], [415066959292/3127, -166262668980/3127], [153350862/59, -61060126/59], [5128514/3127, -2129082/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8846/59, -606/59], [176/59, -4/59], [0, 0]], [[0, 0], [-51746855/3127, 40541180/3127], [9431/59, 16071/59], [4588/3127, 3/3127]], [[0, 0], [-48990761669/3127, 18603927390/3127], [-7092553/59, 2262411/59], [1886830/3127, -782595/3127]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[1556, -580]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54751/59, 12571/59], [-457/59, 1/59], [0, 0]], [[31757/2, 1/2], [-6037969392/3127, -3841795507/3127], [-2255117/59, -1462509/59], [31757/6254, 1/6254]], [[-511973360, 192322400], [8553562140104/3127, 4206346809312/3127], [1855503318/59, 2127461714/59], [-511973360/3127, 192322400/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3417/59, 10659/59], [633/59, -5/59], [0, 0]], [[-26477/2, -3/2], [-132445033468/3127, -84852115958/3127], [-50522153/59, -32302483/59], [-26477/6254, -3/6254]], [[-363630167, 136681130], [-133682383107487/3127, -87172858039076/3127], [-53678784435/59, -32138363163/59], [-363630167/3127, 136681130/3127]]], 0, 10752, [], [] >,
< [ -4, -1, 1 ], [[4629228, -1807196]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [119/59, 7143/59], [-339/59, 1/59], [0, 0]], [[-5981, -1], [-3055397232/3127, -3999253705/6254], [1079606/59, 686030/59], [-7087/3127, 3/6254]], [[13431597/2, -9696085/2], [-3051373895741/3127, -3702718100621/6254], [1011628828/59, 660586378/59], [15932765/6254, -5745377/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41177/59, 11643/59], [193/59, 5/59], [0, 0]], [[3753, 1], [6996364046/3127, 8837860789/6254], [-2371720/59, -1516216/59], [4447/3127, -1/6254]], [[4004701/2, -2826137/2], [-2920352065935/3127, -1939112605111/3127], [1017436056/59, 654477304/59], [4750321/6254, -3349273/6254]]], 1, 1344, [], [] >,
< [ -4, -1, 1 ], [[304, -16]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9791/59, -189/59], [-163/59, -3/59], [0, 0]], [[0, 0], [-4072460/53, -3990305/106], [912, 684], [-36204/3127, -1/6254]], [[0, 0], [-119276777846/3127, -51014326276/3127], [23448204/59, 19154394/59], [-22107716/3127, 2110064/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36576/59, 574/59], [-650/59, -4/59], [0, 0]], [[0, 0], [1787210275/3127, -468133240/3127], [-584775/59, 161025/59], [-16122/3127, -1/3127]], [[0, 0], [136306652070/3127, -87647482993/6254], [-44907330/59, 14780400/59], [-1064000/3127, 315875/6254]]], 0, 8064, [], [] >,
< [ -4, -1, 1 ], [[4629228, -1807196]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3052/59, -2778/59], [114/59, -16/59], [0, 0]], [[2639/2, 1/2], [603623/59, -302541/118], [7580/59, -3428/59], [1/2, 0]], [[255323, 163829], [2206347745/3127, 1423824106/3127], [-235453/59, -147613/59], [302243/3127, 193936/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44253/59, 5711/59], [545/59, -3/59], [0, 0]], [[-4283/2, -5/2], [2501170834/53, 3157619155/106], [-852619, -541573], [-5075/6254, -2/3127]], [[-1315545, 947155], [-1252759401989/53, -1664409144263/106], [433025667, 283101495], [-1560515/3127, 2244935/6254]]], 1, 1344, [], [] >,
< [ -4, -1, 1 ], [[304, -16]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32219/59, 1809/59], [515/59, -5/59], [0, 0]], [[0, 0], [-4555795350/3127, -3264250246/3127], [1723440/59, 1119902/59], [-44752/3127, -2/3127]], [[0, 0], [-3229795035252/3127, -4932261458541/6254], [1267329600/59, 830203092/59], [-44420664/3127, 8855317/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30093/59, -425/59], [545/59, -3/59], [0, 0]], [[0, 0], [2111058242/3127, -1924792183/3127], [-783840/59, 659874/59], [-3614/3127, -1/3127]], [[0, 0], [139874730125/3127, -189455043683/6254], [-50883357/59, 32763873/59], [-176162/3127, 34611/6254]]], 0, 8064, [], [] >,
< [ -4, -1, 1 ], [[-324, 180]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, -3], [31, -3], [0, 0]], [[0, 0], [-4737/38, 1861/38], [-629, 173], [239/38, 5/38]], [[0, 0], [-933379/38, 364907/38], [-113024, 40867], [32529/38, -8287/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, 14], [17, 3], [0, 0]], [[0, 0], [-5130598/247, 1207040/247], [36596/13, -453/13], [-183/247, -2/247]], [[0, 0], [-990158869/494, 342930241/494], [2887747/13, -748283/13], [-28207/494, 6987/494]]], 0, 7680, [], [] >,
< [ -4, -1, 1 ], [[-324, 180]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31, -5], [69, -1], [0, 0]], [[0, 0], [-19555/38, 10519/38], [1741, -751], [115/38, -3/38]], [[0, 0], [-23/38, 31/38], [1, -4], [1/38, -3/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81, -19], [-17, -3], [0, 0]], [[0, 0], [5627927/494, -288991/494], [-78895/13, -880/13], [1569/494, 5/494]], [[0, 0], [145815979/26, -39152899/26], [-36590547/13, 8678268/13], [38599/26, -9317/26]]], 0, 7680, [], [] >,
< [ -4, -1, 1 ], [[17244, -6732]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 0], [-3, -1], [0, 0]], [[0, 0], [-19821/38, 373/38], [-7, -25], [-113/38, -3/38]], [[0, 0], [4186503/38, -1508691/38], [-5923, 5571/2], [22357/38, -3962/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45, -1], [-14, 2], [0, 0]], [[0, 0], [11308025/494, 780223/494], [-82/13, 1422/13], [1633/494, 3/494]], [[0, 0], [45128691181/494, -15178791897/494], [-9125605/13, 8430247/26], [7192955/494, -1253665/247]]], 1, 960, [], [] >,
< [ -4, -1, 1 ], [[17244, -6732]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 2], [-1, 1], [0, 0]], [[0, 0], [-1709/38, -763/38], [-23, 7/2], [33/38, -2/19]], [[0, 0], [32215/19, -1911/19], [2484, -888], [-1722/19, 606/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [228, 2], [1, -1], [0, 0]], [[0, 0], [-2894421/494, 18921/494], [-4757/13, 121/26], [375/494, -2/247]], [[0, 0], [-2494708/19, 846132/19], [-8268, 5629/2], [325/19, -221/38]]], 1, 960, [], [] >,
< [ -4, -1, 1 ], [[188, -76]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-318, 128], [-24, -4], [0, 0]], [[-39/2, -5/2], [617, 363], [-8423/4, -5381/4], [-39/4, -5/4]], [[551/2, -171/2], [-2086, -498], [18611/4, 11577/4], [551/4, -171/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [775, -297], [-35, -5], [0, 0]], [[2, -2], [521, 231], [-1422, -910], [1, -1]], [[-5/2, 1/2], [106, 146], [-2449/4, -1571/4], [-5/4, 1/4]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -22], [-26, -10], [0, 0]], [[0, 0], [-64512, 3980], [-20439, -577], [23, 1]], [[0, 0], [-12247315, 5562659], [-6573571/2, 3196879/2], [7171/2, -3535/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -24], [-28, -8], [0, 0]], [[0, 0], [378, 414], [1085, -149], [17, -1]], [[0, 0], [11809, -533], [-73225/2, 32573/2], [-1007/2, 475/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[70996, -27716]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -3/2], [57/2, -21/2], [7/2, -3/2], [0, 0]], [[-15/2, -5/2], [29/2, 15/2], [0, 0], [-15/2, -5/2]], [[-1/2, 1/2], [-1/2, -1/2], [0, 0], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, 22], [-20, 0], [0, 0]], [[15/2, -3/2], [-1468, -660], [-4601/4, -2747/4], [15/4, -3/4]], [[-69/2, 25/2], [2269, -62], [3991/4, 1477/4], [-69/4, 25/4]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [129, -59], [19, 1], [0, 0]], [[0, 0], [9681, 6036], [-18569/2, -11915/2], [-3/2, -5/2]], [[0, 0], [44236, -5165], [-18233/2, -16515/2], [603/2, -243/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 2], [-4, 8], [0, 0]], [[0, 0], [164, -171], [-766, 182], [-8, -2]], [[0, 0], [19496, -7289], [-92801/2, 36933/2], [-405/2, 189/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[70996, -27716]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, -5], [3, 5], [0, 0]], [[25/2, -5/2], [115, 58], [329/4, 187/4], [25/4, -5/4]], [[203, -79], [316, -113], [243/2, -79/2], [203/2, -79/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, 7], [-13, -3], [0, 0]], [[23/2, -3/2], [-221, 130], [23/4, 173/4], [23/4, -3/4]], [[13/2, 39/2], [783, 23], [1597/4, 743/4], [13/4, 39/4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 4], [6, 6], [0, 0]], [[0, 0], [27, 6], [-135/2, -61/2], [39/2, 5/2]], [[0, 0], [1242, -470], [-1432, 508], [1094, -418]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, -24], [4, 0], [0, 0]], [[0, 0], [-2163, 841], [-247/2, 43/2], [7/2, -3/2]], [[0, 0], [-9, 62], [879/2, 569/2], [5/2, 3/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[188, -76]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [215, -79], [3, 1], [0, 0]], [[-17/2, 5/2], [153, -41], [-17/4, 5/4], [-17/4, 5/4]], [[87/2, -27/2], [-781, 225], [87/4, -27/4], [87/4, -27/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1233, 469], [-11, -1], [0, 0]], [[18, 2], [92210, 53762], [37365, 23913], [9, 1]], [[5995/2, -1815/2], [4056281, 1028419], [4364867/4, 2777281/4], [5995/4, -1815/4]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-966, 354], [-36, -4], [0, 0]], [[0, 0], [-199693, -128043], [-312195/2, -199933/2], [-5/2, -3/2]], [[0, 0], [1010, 486], [670, 426], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 34], [44, 4], [0, 0]], [[0, 0], [-516, -188], [-798, 156], [16, 2]], [[0, 0], [-1673, 2353], [-29799/2, 12991/2], [315/2, -195/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[188, -76]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [41, -1], [37, -1], [0, 0]], [[7/2, 5/2], [-955, 43], [-3465/4, 149/4], [7/4, 5/4]], [[17/2, -5/2], [17940, -7068], [64893/4, -25569/4], [17/4, -5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, -8], [-54, -2], [0, 0]], [[25/2, -5/2], [-3467, 1047], [-12511/4, 4083/4], [25/4, -5/4]], [[23, -7], [-6879, 2427], [-12595/2, 4579/2], [23/2, -7/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 4], [6, 2], [0, 0]], [[0, 0], [35, 5], [121/2, 79/2], [27/2, 5/2]], [[0, 0], [-478, 202], [72, 24], [-168, 72]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -2], [-22, -2], [0, 0]], [[0, 0], [-1736, 92], [2958, 584], [-4, -2]], [[0, 0], [52171, -20879], [-111711/2, 46651/2], [43/2, -23/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[188, -76]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1579, -563], [47, 5], [0, 0]], [[-18, -2], [979047, 619893], [424996, 272054], [-9, -1]], [[605/2, -193/2], [-2533294, -1406814], [-4076055/4, -2597053/4], [605/4, -193/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2375, 915], [-11, -1], [0, 0]], [[-49/2, -3/2], [-185322, -115074], [-316381/4, -202631/4], [-49/4, -3/4]], [[18487/2, -5699/2], [14634279, 7144405], [21691335/4, 13905917/4], [18487/4, -5699/4]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -28], [-62, -10], [0, 0]], [[0, 0], [1620, 568], [1997, 1609], [7, -1]], [[0, 0], [-7, 3], [-53/2, 21/2], [13/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -12], [-18, 2], [0, 0]], [[0, 0], [260, 228], [5, 65], [-5, -1]], [[0, 0], [-329, 181], [-743/2, 311/2], [-25/2, 9/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[188, -76]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-141, -11], [-135, -5], [0, 0]], [[-41/2, -3/2], [12815, -6939], [53935/4, -27771/4], [-41/4, -3/4]], [[5896, -1876], [-7057608, 2841948], [-7272502, 2914312], [2948, -938]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81, 5], [-91, -1], [0, 0]], [[-1/2, 5/2], [-181120, 68416], [-732845/4, 273521/4], [-1/4, 5/4]], [[-176, 56], [-10694640, 4187700], [-10765762, 4220166], [-88, 28]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -6], [82, 6], [0, 0]], [[0, 0], [1472, -48], [6631, -5517], [1, 1]], [[0, 0], [26433, -9881], [507929/2, -203161/2], [-17/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -2], [-62, 6], [0, 0]], [[0, 0], [14, -2], [-45, 15], [7, -1]], [[0, 0], [25, -1], [-149/2, 45/2], [25/2, -1/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[70996, -27716]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, -34], [8, -4], [0, 0]], [[-3/2, -1/2], [-48, -48], [-399/4, -261/4], [-3/4, -1/4]], [[-77/2, 29/2], [1375, -569], [251/4, -299/4], [-77/4, 29/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [77, -45], [-27, -5], [0, 0]], [[-6, 0], [-3742, -2656], [-4179, -2646], [-3, 0]], [[515/2, -195/2], [-12065, 10035], [29483/4, 10621/4], [515/4, -195/4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -6], [2, 10], [0, 0]], [[0, 0], [148, -150], [-102, 237], [4, -1]], [[0, 0], [-3481, 1139], [8985/2, -2567/2], [-93/2, 39/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -2], [-8, -4], [0, 0]], [[0, 0], [3, -3], [65/2, 39/2], [3/2, -3/2]], [[0, 0], [-31, 13], [-49/2, -13/2], [-31/2, 13/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[70996, -27716]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [182, -78], [-8, -4], [0, 0]], [[1, 1], [-693, -679], [-1893/2, -1209/2], [1/2, 1/2]], [[-77/2, 29/2], [24892, -9360], [743/4, 1177/4], [-77/4, 29/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -18], [-20, 0], [0, 0]], [[11/2, 5/2], [20, 4], [87/4, 33/4], [11/4, 5/4]], [[-171/2, -117/2], [-195, -157], [-1203/4, -853/4], [-171/4, -117/4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -2], [-22, -10], [0, 0]], [[0, 0], [-24, -8], [25, -2], [-5, 0]], [[0, 0], [-37, 13], [165/2, -63/2], [-29/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [190, -74], [-54, 22], [0, 0]], [[0, 0], [1667, -667], [-1067/2, 301/2], [-1/2, -1/2]], [[0, 0], [-24, 16], [42, 18], [0, 0]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[316, -204]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-442, 2], [-37, 1], [0, 0]], [[0, 0], [1828621, 67543], [152515, 2065], [-14, -2]], [[0, 0], [43306357/2, -23417177/2], [1900626, -998634], [-253/2, 161/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 20], [-7, 3], [0, 0]], [[0, 0], [-641, -287], [0, 0], [-26, -2]], [[0, 0], [-17/2, -1787/2], [0, 0], [165/2, -105/2]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[72, -40]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1085, -421], [-9, 1], [0, 0]], [[7/2, -1/2], [-11271, -7008], [21619/2, 13845/2], [7/2, -1/2]], [[171, -90], [282184, 195981], [-290101, -185761], [171, -90]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7497, -2917], [-17, -3], [0, 0]], [[2, 2], [2295, 1493], [-2287, -1465], [2, 2]], [[3/2, -1/2], [-8, 3], [-1/2, 1/2], [3/2, -1/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[72, -40]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2018, 798], [16, 4], [0, 0]], [[-3/2, 1/2], [-24164, -16007], [-49599/2, -31761/2], [-3/2, 1/2]], [[0, 0], [3379, 2133], [3365, 2155], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8844, 3456], [14, -2], [0, 0]], [[0, 1], [-635655, -417164], [-656587, -420459], [0, 1]], [[-9/2, 5/2], [-423264, -324940], [-967595/2, -619513/2], [-9/2, 5/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[72, -40]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7380, -2872], [-18, -2], [0, 0]], [[-9/2, -3/2], [-12597, -7715], [24403/2, 15625/2], [-9/2, -3/2]], [[83/2, -45/2], [-11582, -19925], [47137/2, 30271/2], [83/2, -45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2585, 1001], [13, 3], [0, 0]], [[1, -2], [47781, 28346], [-45182, -28928], [1, -2]], [[55/2, -33/2], [191249, 93416], [-323267/2, -206861/2], [55/2, -33/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[72, -40]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10786, 4206], [-12, 0], [0, 0]], [[5/2, 1/2], [14921, 9464], [29407/2, 18833/2], [5/2, 1/2]], [[-33/2, 15/2], [9364, 7525], [21523/2, 13765/2], [-33/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1210, -462], [16, 4], [0, 0]], [[9/2, 1/2], [-83719, -49306], [-157235/2, -100645/2], [9/2, 1/2]], [[9, -5], [33773, 41243], [52072, 33452], [9, -5]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[31128, -12152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, 7], [-15, -1], [0, 0]], [[-21/2, -13/2], [-4591, -6583/2], [-9939/2, -6567/2], [-5/2, -2]], [[-34, 8], [42785, -19228], [10493, -6691], [50, -21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-118, 62], [32, 4], [0, 0]], [[19/2, 11/2], [8392, 12011/2], [18829/2, 11905/2], [3/2, 2]], [[143/2, -33/2], [-54099, 65201/2], [38903/2, 8631/2], [-209/2, 44]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[31128, -12152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-207, 87], [3, 5], [0, 0]], [[7/2, 1/2], [10694, 7015], [21663/2, 13849/2], [-5/2, 3/2]], [[23/2, -5/2], [10588, 15437/2], [23051/2, 14627/2], [-33/2, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-234, 90], [8, -4], [0, 0]], [[-9/2, -7/2], [-926, -611], [-1219/2, -789/2], [-5/2, -1/2]], [[-3/2, 1/2], [9, -7/2], [-23/2, 9/2], [5/2, -1]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[56, -88]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-39/2, -5/2], [-19651/2, 7703/2], [-39/2, -5/2], [0, 0]], [[-377226, -241566], [582130, 377984], [-377246, -241558], [-10, 4]], [[-2468860, -1581028], [3842131, 2461293], [-2468862, -1581026], [-1, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51619, 20183], [39, 5], [0, 0]], [[5/2, 3/2], [-295869, -190565], [-380669/2, -243775/2], [5/2, 3/2]], [[0, 0], [-9243, -4881], [-5279, -3381], [0, 0]]], 0, 2048, [], [] >,
< [ -4, -1, 1 ], [[260, -116]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-99, -1], [5, -1], [0, 0]], [[0, 0], [31, 5], [-28, -4], [14, 2]], [[0, 0], [-349/2, 165/2], [165, -77], [-165/2, 77/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [55, -3], [-4, 4], [0, 0]], [[0, 0], [-447/2, -11889/2], [-1746, -114], [17/2, -1/2]], [[0, 0], [-6012579/2, 1716651/2], [427047, -208303], [-5247/2, 2343/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[188, -76]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 3], [-5, 1], [0, 0]], [[0, 0], [1165/2, 327/2], [-72, 4], [-15/2, -5/2]], [[0, 0], [-63253/2, 25303/2], [7616, -2992], [693/2, -279/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [91, -3], [0, 4], [0, 0]], [[0, 0], [7049/2, -8483/2], [-756, -60], [7/2, 3/2]], [[0, 0], [94099, -36633], [-6123, 2403], [10, -4]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[31128, -12152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [363, -143], [-11, 3], [0, 0]], [[-3/2, -3/2], [2491, 3201/2], [4985/2, 3195/2], [-3/2, 0]], [[-25/2, 7/2], [1748, 2013/2], [3329/2, 2075/2], [39/2, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -18], [-20, 0], [0, 0]], [[3, 2], [15, 19/2], [18, 12], [1, 1/2]], [[1/2, 1/2], [2, 3/2], [3/2, 5/2], [1/2, 0]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[8740, -3412]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-93, 37], [-3, -1], [0, 0]], [[0, 0], [-2509/2, 329], [481, 319], [1/2, 1]], [[0, 0], [-71753/2, 14779], [-2720, -1376], [-55/2, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, -28], [1, -5], [0, 0]], [[0, 0], [-207/2, 251/2], [-3214, -2046], [3/2, 1/2]], [[0, 0], [-5337, 4597/2], [-8443, -5043], [16, -7/2]]], 1, 36, [], [] >,
< [ -4, -1, 1 ], [[8740, -3412]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, -1], [-13, -3], [0, 0]], [[0, 0], [789/2, -411/2], [501/4, -353/4], [31/4, 5/4]], [[0, 0], [5182, -1952], [1932, -700], [36, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [113, 5], [19, 1], [0, 0]], [[0, 0], [-2725367/13, 158233/13], [-457416/13, 22988/13], [7/13, 1/13]], [[0, 0], [-224177709/26, 85252111/26], [-74435113/52, 28280709/52], [829/52, -305/52]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[204, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11709, 4593], [-17, -3], [0, 0]], [[-59, -1], [-638949, -412183], [563571/2, 360937/2], [-59/2, -1/2]], [[-46993/2, 16941/2], [-16890084, -12739120], [32896691/4, 21108569/4], [-46993/4, 16941/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31641, 12377], [-15, -5], [0, 0]], [[-43/2, -1/2], [111145, 71867], [-196387/4, -125737/4], [-43/4, -1/4]], [[-190, 70], [42076, 36764], [-22749, -14471], [-95, 35]]], 0, 2048, [], [] >,
< [ -4, -1, 1 ], [[112, -176]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, 2], [26, -2], [0, 0]], [[0, 0], [21005, 499], [-9543/2, 331/2], [135/2, 5/2]], [[0, 0], [849998, -376642], [-213715, 92175], [2665, -1189]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, 14], [40, 0], [0, 0]], [[0, 0], [-8471, 2527], [12839/2, -619/2], [25/2, -5/2]], [[0, 0], [50844, -21040], [-25653, 13369], [-65, 29]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[204, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8111, 3155], [97, 3], [0, 0]], [[-91/2, -1/2], [-3539869, -2288063], [50879909/4, 32583551/4], [-91/4, -1/4]], [[17195/2, -6175/2], [46251792, 35972200], [-748855633/4, -479755603/4], [17195/4, -6175/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21072, 8232], [-58, 2], [0, 0]], [[29, -1], [2507409, 1641579], [-18285549/2, -11709679/2], [29/2, -1/2]], [[33189/2, -11937/2], [96064838, 91929746], [-1806632703/4, -1156656493/4], [33189/4, -11937/4]]], 0, 2048, [], [] >,
< [ -4, -1, 1 ], [[112, -176]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 14], [42, -2], [0, 0]], [[0, 0], [-2901, -1751], [-5499/2, -1225/2], [31/2, 5/2]], [[0, 0], [16828, 72228], [-596474, 278926], [3920, -1764]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -16], [-46, 6], [0, 0]], [[0, 0], [887, -187], [-1583/2, 3/2], [-17/2, -3/2]], [[0, 0], [-10497, 4165], [13975/2, -5715/2], [105/2, -45/2]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -8], [54, 10], [0, 0]], [[0, 0], [12083, -1355], [-16955/2, 835/2], [-5/2, 5/2]], [[0, 0], [333528, -126640], [-215201, 80945], [-147, 59]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5984, 2336], [42, 6], [0, 0]], [[0, 0], [291, -11], [-52567/2, -33657/2], [3/2, -3/2]], [[0, 0], [-610, 230], [2084, 1322], [-10, 4]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7353, 2885], [13, -1], [0, 0]], [[-17, 1], [-1027500, -661064], [-580177/2, -371519/2], [-17/2, 1/2]], [[477/2, -689/2], [-46081573, -29381883], [-51746339/4, -33139377/4], [477/4, -689/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2478, 934], [-24, 0], [0, 0]], [[31/2, 5/2], [-92352, -58852], [-103333/4, -66135/4], [31/4, 5/4]], [[925/2, -1425/2], [5689657, 3682863], [6420989/4, 4117119/4], [925/4, -1425/4]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, -10], [-6, -10], [0, 0]], [[0, 0], [-7437, 6077], [4619/2, 29/2], [13/2, 3/2]], [[0, 0], [97967, -37987], [-26261/2, 10401/2], [-47/2, 19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -16], [2, -10], [0, 0]], [[0, 0], [65, 35], [111/2, 69/2], [-19/2, -1/2]], [[0, 0], [-1477, 837], [-73/2, 513/2], [2881/2, -1161/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3417, 1333], [-5, 1], [0, 0]], [[11/2, 1/2], [-10643, -6849], [-42613/4, -27295/4], [11/4, 1/4]], [[7/2, -3/2], [317, 163], [1119/4, 709/4], [7/4, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11303, 4411], [9, -5], [0, 0]], [[3/2, 1/2], [4863, 3185], [18875/4, 12089/4], [3/4, 1/4]], [[0, 0], [-394, -230], [-356, -228], [0, 0]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[323852, -126428]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -6], [-36, -4], [0, 0]], [[17/2, 3/2], [167, 385], [273/4, 1507/4], [17/4, 3/4]], [[357/2, -189/2], [-16550, 4140], [-76575/4, 21575/4], [357/4, -189/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19, 5], [15, -3], [0, 0]], [[-3/2, -5/2], [80, 150], [-527/4, 351/4], [-3/4, -5/4]], [[-76, 44], [4959, -2779], [9903, -4035], [-38, 22]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[112, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 4], [42, 6], [0, 0]], [[0, 0], [-592, 98], [2021, 588], [5, 0]], [[0, 0], [-675, 153], [3901/2, 765/2], [11/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -2], [-2, -6], [0, 0]], [[0, 0], [1011, -1091], [-2739/2, 3/2], [-13/2, -3/2]], [[0, 0], [258127, -111629], [-287667/2, 95673/2], [-945/2, 243/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[323852, -126428]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 13], [-23, 3], [0, 0]], [[19/2, 5/2], [123, -409], [4499/4, -1147/4], [19/4, 5/4]], [[444, -252], [75246, -24802], [144318, -58270], [222, -126]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 9], [1, 3], [0, 0]], [[-17/2, 1/2], [-151, 249], [311/4, 369/4], [-17/4, 1/4]], [[-148, 84], [-11809, 2841], [-2347, -225], [-74, 42]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[112, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 10], [-10, -6], [0, 0]], [[0, 0], [135, -55], [-23/2, -5/2], [-1/2, -3/2]], [[0, 0], [68, -26], [-1, 2], [1, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -10], [18, -2], [0, 0]], [[0, 0], [-124, -52], [59, 59], [1, 1]], [[0, 0], [69, -31], [117/2, -39/2], [3/2, -1/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[323852, -126428]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -8], [2, -2], [0, 0]], [[9, 1], [9, 15], [-49/2, 11/2], [9/2, 1/2]], [[135/2, -63/2], [-162, 42], [-1277/4, 517/4], [135/4, -63/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [448, -176], [2, -2], [0, 0]], [[6, 2], [1005, -389], [14, 2], [3, 1]], [[-249/2, -159/2], [-219, -9], [-841/4, -535/4], [-249/4, -159/4]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[112, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -6], [70, 10], [0, 0]], [[0, 0], [4824, -744], [-14769, 3092], [1, -2]], [[0, 0], [-8615, 4663], [58749/2, -29035/2], [-17/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [282, -110], [66, -26], [0, 0]], [[0, 0], [-1434, 598], [-365, 144], [7, 2]], [[0, 0], [-3439, -2193], [-293/2, -183/2], [-851/2, -545/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[323852, -126428]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 4], [-22, -2], [0, 0]], [[15/2, 1/2], [1042, -422], [3227/4, -1627/4], [15/4, 1/4]], [[638, -348], [186251, -72271], [160094, -59849], [319, -174]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [167, -63], [3, 1], [0, 0]], [[11/2, 1/2], [1962, -766], [-25/4, 21/4], [11/4, 1/4]], [[2665/2, 1703/2], [1152, -480], [5629/4, 3627/4], [2665/4, 1703/4]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[112, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -4], [-46, -10], [0, 0]], [[0, 0], [401, 7], [1481/2, 81/2], [-1/2, 3/2]], [[0, 0], [7978, -3906], [13638, -6919], [-70, 21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 6], [210, -82], [0, 0]], [[0, 0], [-56, -8], [5, 2], [-5, -2]], [[0, 0], [5047, 3233], [-1335/2, -855/2], [1335/2, 855/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[204, -28]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, -2], [7, -3], [0, 0]], [[0, 0], [-2495/2, -1905/2], [-11, -5], [-11/2, -5/2]], [[0, 0], [2460, -6032], [-130, 18], [-65, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [158, -14], [7, -3], [0, 0]], [[0, 0], [521/2, 439/2], [7, 1], [7/2, 1/2]], [[0, 0], [605, 1089], [60, -8], [30, -4]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[204, -28]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-130, 2], [-13, 1], [0, 0]], [[0, 0], [-393967/2, -29489/2], [-19263, -145], [-15/2, -1/2]], [[0, 0], [5741941, -747403], [590960, -105732], [220, -30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [200, 0], [29, -1], [0, 0]], [[0, 0], [8393189/2, 397179/2], [604501, 6811], [-11/2, -5/2]], [[0, 0], [547633328, -185536376], [83114554, -28712418], [-283, 39]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[141992, -55432]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [187, -83], [-23, -1], [0, 0]], [[3/2, 1/2], [1284, 818], [2563/2, 1641/2], [-1/2, 1/2]], [[-1/2, -1/2], [-793, -1019/2], [-1591/2, -1019/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1714, -666], [8, 0], [0, 0]], [[-23/2, -13/2], [13927, 8907], [27829/2, 17823/2], [-3/2, -5/2]], [[24, 91], [-126083, -163529/2], [-127141, -81348], [158, -67/2]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[141992, -55432]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [638, -242], [8, 4], [0, 0]], [[17/2, 7/2], [-984, -869], [-2455/2, -1577/2], [-3/2, 5/2]], [[-52, -73], [21385, 17623/2], [16889, 10766], [-94, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1162, 470], [32, 4], [0, 0]], [[-1/2, -1/2], [-256076, -338221/2], [-526171/2, -336815/2], [-1/2, 0]], [[0, 0], [7763, 5429], [8275, 5293], [0, 0]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53, 1], [13, -1], [0, 0]], [[0, 0], [-3914, -370], [938, 30], [1, -1]], [[0, 0], [-65273/2, 41559/2], [9173, -5259], [67/2, -21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 1], [-25, 5], [0, 0]], [[0, 0], [-13351/2, -3407/2], [-3599, -115], [-7/2, 1/2]], [[0, 0], [-228169, 17251], [-159543, 36951], [-183, 57]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[116, -36]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 2], [-1, -3], [0, 0]], [[0, 0], [7173/2, -5649/2], [-919, -69], [-7/2, -5/2]], [[0, 0], [-768025, 298576], [77423, -30601], [-42, 13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, 1], [-119, -5], [0, 0]], [[0, 0], [-24031/2, 601/2], [-113002, -11324], [9/2, 1/2]], [[0, 0], [712401, -246031], [5594465, -1778889], [-219, 69]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[141992, -55432]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1620, 632], [-6, 2], [0, 0]], [[17/2, 11/2], [1197, 853], [2123/2, 1361/2], [5/2, 3/2]], [[-5/2, -13/2], [6140, -7025/2], [-1673/2, -1197/2], [-21/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1108, -428], [6, 2], [0, 0]], [[-6, -4], [5387, 2614], [4353, 2785], [-2, -1]], [[1/2, -7/2], [21812, -12163/2], [4611/2, 2827/2], [-15/2, 2]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[141992, -55432]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-454, 170], [-8, -4], [0, 0]], [[-9/2, -3/2], [-13900, -6022], [-21873/2, -13971/2], [3/2, -3/2]], [[11/2, 43/2], [44329, 131753/2], [158213/2, 101789/2], [75/2, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1068, -408], [18, 2], [0, 0]], [[3/2, 1/2], [3042, 2196], [6637/2, 4247/2], [-1/2, 1/2]], [[1/2, 1/2], [1757, 2095/2], [3397/2, 2177/2], [1/2, 0]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[204, -28]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [228, -12], [23, -3], [0, 0]], [[0, 0], [474634, 53238], [45241, 851], [-11, -1]], [[0, 0], [-51042697/2, 6165849/2], [-2631936, 493488], [1205/2, -165/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-229, 17], [23, 5], [0, 0]], [[0, 0], [-672929/2, 151233/2], [27216, 128], [-5/2, -3/2]], [[0, 0], [-33993, 13181], [2032, -776], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[141992, -55432]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, 1], [-217, 81], [7, 1], [0, 0]], [[2109/2, 1351/2], [-2235/2, -658], [2037/2, 1371/2], [-9, 5/2]], [[-41287/2, -26445/2], [42967/2, 26067/2], [-40327/2, -26661/2], [120, -27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1930, -754], [-12, 4], [0, 0]], [[13/2, 9/2], [-10240, 7941/2], [87/2, -63/2], [5/2, 1]], [[-14, -7], [-60499, 47333/2], [367, -117], [0, -7/2]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[1477268, -576708]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [287, -111], [31, -11], [0, 0]], [[-19/2, -1/2], [-614, 255], [-239/4, 99/4], [-19/4, -1/4]], [[-136, -88], [592, 276], [50, 22], [-68, -44]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-174, 66], [-76, 28], [0, 0]], [[-37/2, 1/2], [220, -82], [399/4, -83/4], [-37/4, 1/4]], [[-58, -42], [-47, 60], [140, 124], [-29, -21]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-262, 102], [-304, 120], [0, 0]], [[0, 0], [18373, -7228], [43463/2, -16419/2], [5/2, -5/2]], [[0, 0], [4887, 2287], [-38411/2, -26561/2], [227/2, 145/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112, -44], [90, -34], [0, 0]], [[0, 0], [-8379, 3278], [-13433/2, 5285/2], [29/2, 3/2]], [[0, 0], [-2562, -3643], [-11714, -9110], [-4650, -2976]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[1477268, -576708]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -6], [40, 0], [0, 0]], [[-27/2, -5/2], [11, 27], [-259/4, 51/4], [-27/4, -5/4]], [[-2278, 918], [-7599, 2851], [-20292, 7968], [-1139, 459]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41, -3], [11, 1], [0, 0]], [[-2, 0], [8018, -768], [-2133, 170], [-1, 0]], [[-121/2, 49/2], [281433, -112547], [-292721/4, 117281/4], [-121/4, 49/4]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 10], [6, -6], [0, 0]], [[0, 0], [27, 27], [-25/2, -45/2], [-3/2, -3/2]], [[0, 0], [-169, 65], [523/2, -203/2], [13/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -6], [-24, -8], [0, 0]], [[0, 0], [-370, 100], [-165, 22], [-5, 0]], [[0, 0], [6377, -2455], [4869/2, -1835/2], [123/2, -45/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53, -39], [-59, -1], [0, 0]], [[-12, 0], [467, 293], [73, 165], [-6, 0]], [[7/2, -3/2], [6, -2], [-21/4, 9/4], [7/4, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 6], [12, 4], [0, 0]], [[47/2, 5/2], [534, 302], [883/4, 705/4], [47/4, 5/4]], [[4141, -1845], [4205, -11629], [-34217/2, 3089/2], [4141/2, -1845/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[752, -304]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, 36], [78, 10], [0, 0]], [[0, 0], [-156240, 63892], [106231, -4917], [1, 1]], [[0, 0], [-8649393, 3373501], [7617845/2, -3052633/2], [-41/2, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, 38], [76, 4], [0, 0]], [[0, 0], [-2430, 1354], [2658, 12], [16, 2]], [[0, 0], [-68813, 27605], [84489/2, -29145/2], [423/2, -135/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-113, 5], [-105, 5], [0, 0]], [[14, 2], [198, 34], [211, 21], [7, 1]], [[7/2, -3/2], [-6, 2], [35/4, -15/4], [7/4, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [127, 5], [107, 1], [0, 0]], [[-23/2, 3/2], [-46711, 7423], [-160999/4, 28963/4], [-23/4, 3/4]], [[204, -92], [867621, -383481], [771609, -336309], [102, -46]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[752, -304]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 6], [56, 8], [0, 0]], [[0, 0], [341, 91], [-5505/2, -3143/2], [-3/2, 3/2]], [[0, 0], [2295, -2403], [23245/2, 26511/2], [-157/2, 49/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -2], [-78, -10], [0, 0]], [[0, 0], [-345, 37], [-12835/2, 3215/2], [7/2, -3/2]], [[0, 0], [-76, 168], [-3415, 2605], [3, -1]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[1477268, -576708]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -8], [-6, -2], [0, 0]], [[8, 2], [-2925, 735], [-467, 92], [4, 1]], [[-121/2, 49/2], [51338, -20112], [30771/4, -12075/4], [-121/4, 49/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -6], [32, 0], [0, 0]], [[25/2, 3/2], [774, -466], [9597/4, -1633/4], [25/4, 3/4]], [[2711, -1093], [406639, -157857], [1635577/2, -644251/2], [2711/2, -1093/2]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 0], [34, -2], [0, 0]], [[0, 0], [-1614, -308], [-2194, -277], [2, -1]], [[0, 0], [7811, -4773], [25445/2, -14099/2], [-61/2, 23/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -2], [12, -4], [0, 0]], [[0, 0], [-9, -41], [-19/2, -87/2], [-1/2, -5/2]], [[0, 0], [-1906, 710], [-2024, 754], [-118, 44]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, -37], [-65, -3], [0, 0]], [[-43/2, -1/2], [-3325, -6847], [-51195/4, -49/4], [-43/4, -1/4]], [[-454, 202], [192004, -52272], [-281365, 123791], [-227, 101]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-65, -43], [-81, -3], [0, 0]], [[29/2, -1/2], [-9602, -6482], [-67679/4, 5691/4], [29/4, -1/4]], [[-2795/2, 1247/2], [-200028, -76420], [7078073/4, -3076277/4], [-2795/4, 1247/4]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[752, -304]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 22], [54, 2], [0, 0]], [[0, 0], [-369, -219], [-503/2, -357/2], [11/2, 1/2]], [[0, 0], [-1343, -425], [-553/2, -1231/2], [161/2, -49/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 18], [58, -2], [0, 0]], [[0, 0], [-18141, -10371], [-19461/2, -23099/2], [5/2, -5/2]], [[0, 0], [-30687, -35789], [-215121/2, -35/2], [-111/2, 35/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99, 33], [39, 5], [0, 0]], [[-37/2, 1/2], [125616, 11184], [242703/4, -26659/4], [-37/4, 1/4]], [[-6097/2, 2725/2], [16539998, -8001566], [45729187/4, -19598431/4], [-6097/4, 2725/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-501, 121], [-71, -5], [0, 0]], [[13/2, -1/2], [-1376169, -882915], [-2416915/4, -1548337/4], [13/4, -1/4]], [[-174, 78], [-6880645, -4339903], [-2995680, -1912572], [-87, 39]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[752, -304]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 46], [54, 2], [0, 0]], [[0, 0], [4744, -992], [-3996, 1918], [2, 0]], [[0, 0], [-12795, 5111], [28771/2, -11135/2], [-7/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, 18], [38, 2], [0, 0]], [[0, 0], [-111, 35], [81/2, -41/2], [-5/2, -3/2]], [[0, 0], [-538, 210], [236, -92], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [-10, 2], [0, 0]], [[-6, -2], [5, 143], [-10, 138], [-3, -1]], [[-295/2, 131/2], [-12027, 4431], [-49583/4, 18379/4], [-295/4, 131/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1319, -515], [-85, 33], [0, 0]], [[-26, -2], [-1090, 402], [55, -57], [-13, -1]], [[-6625/2, -4243/2], [-6401, -4115], [-38777/4, -24827/4], [-6625/4, -4243/4]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[752, -304]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 2], [-52, 4], [0, 0]], [[0, 0], [317, 31], [-2517/2, 229/2], [-7/2, -1/2]], [[0, 0], [-5192, 1720], [26917, -9761], [53, -17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-800, 312], [-2586, 1010], [0, 0]], [[0, 0], [128642, -50250], [416930, -162738], [-8, 0]], [[0, 0], [-192145, -123211], [344799/2, 219745/2], [-40527/2, -25953/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[232, -72]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12295, 4787], [25, 3], [0, 0]], [[5/2, -3/2], [793605, 497838], [-1559407/2, -998601/2], [5/2, -3/2]], [[-453, 141], [52200278, 34871158], [-53335139, -34156921], [-453, 141]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12247, 4787], [-23, 3], [0, 0]], [[-11/2, -3/2], [-29894, -19363], [60841/2, 38959/2], [-11/2, -3/2]], [[-30, 10], [-10870, -10078], [14058, 8982], [-30, 10]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[232, -72]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [552, -208], [14, 2], [0, 0]], [[-1, -1], [-2223, -1427], [-2212, -1416], [-1, -1]], [[-49/2, 15/2], [-3511, -2028], [-6483/2, -4221/2], [-49/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24305, 9485], [-1, -3], [0, 0]], [[-3/2, -3/2], [-64031, -40922], [-128131/2, -82053/2], [-3/2, -3/2]], [[19, -6], [40958, 29027], [43741, 28021], [19, -6]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[181860, -70996]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-361, 141], [38, 2], [0, 0]], [[0, 0], [-942, 145/2], [-69625, -44632], [-2, 1/2]], [[0, 0], [1237/2, -1603/2], [-132216, -84590], [5/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [191, -75], [-20, 4], [0, 0]], [[0, 0], [-5311/2, -1339/2], [-14508, -9366], [1/2, 5/2]], [[0, 0], [-456641/2, 52803], [-296391, -204330], [-705/2, 195]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [119, -3], [-23, 3], [0, 0]], [[0, 0], [28902, 3079], [-5270, 84], [3, -2]], [[0, 0], [131427/2, 49241/2], [-10499, -2809], [3/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, 5], [2, -2], [0, 0]], [[0, 0], [103, 550], [159, 43], [5, 0]], [[0, 0], [37099/2, 5091/2], [590, 1512], [-57/2, 87/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-152, 0], [-3, -1], [0, 0]], [[0, 0], [-861/2, 221/2], [-5, -3], [5/2, 3/2]], [[0, 0], [191245/2, -75311/2], [23, -37], [-23/2, 37/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, -2], [1, -5], [0, 0]], [[0, 0], [-71589/2, 73599/2], [-5936, 154], [1/2, 1/2]], [[0, 0], [2721, -1221], [205, -65], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[181860, -70996]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [295, -115], [-12, -4], [0, 0]], [[0, 0], [25/2, -1], [-178, -121], [-5/2, 2]], [[0, 0], [31, -8], [-173, -133], [-10, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [177, -69], [-17, -3], [0, 0]], [[0, 0], [-939/2, 137/2], [11223, 7179], [-3/2, 1/2]], [[0, 0], [-139, 413/2], [-14865, -9526], [-1, 1/2]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[232, -72]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18048, 7032], [30, 2], [0, 0]], [[4, -1], [97993, 62610], [-97771, -62595], [4, -1]], [[-15/2, 5/2], [-79844, -50815], [158979/2, 101741/2], [-15/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-499, 215], [-39, -5], [0, 0]], [[-13/2, -3/2], [6728, 4346], [-13649/2, -8763/2], [-13/2, -3/2]], [[498, -155], [-59559, -44810], [64793, 43481], [498, -155]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[28, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99, -7], [-25, 5], [0, 0]], [[0, 0], [-48449/2, -10701/2], [5105, 233], [-11/2, -3/2]], [[0, 0], [-1313847, 1502259], [534996, -357580], [-216, 328]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -6], [-17, 5], [0, 0]], [[0, 0], [371/2, 843/2], [657, -59], [-3/2, 1/2]], [[0, 0], [-43, -25], [-12, -12], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[724, -260]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [211, -7], [36, -4], [0, 0]], [[0, 0], [221289/2, 17599/2], [18223, -159], [5/2, 3/2]], [[0, 0], [-10008, 3896], [-1907, 743], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [353, 3], [-53, 1], [0, 0]], [[0, 0], [4785565/2, 91999/2], [-358839, 3027], [9/2, 3/2]], [[0, 0], [-55647141, 21216043], [8708573, -3328693], [-53, 19]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[261596, -102124]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, 0], [55, 5], [0, 0]], [[0, 0], [790585/2, -85431/2], [-217587, 6107], [5/2, 1/2]], [[0, 0], [16390407, -9326601], [-7447631, 4975811], [34, -52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, 0], [33, 3], [0, 0]], [[0, 0], [-180693/2, 18821/2], [-17911, 427], [7/2, 1/2]], [[0, 0], [-1040331/2, 671589/2], [-82080, 65740], [15/2, -25/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[2756, -1076]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-342, 134], [43, -15], [0, 0]], [[0, 0], [-72111/2, 28145/2], [4275, -1739], [1/2, 5/2]], [[0, 0], [687007/2, -134088], [-41128, 16314], [21/2, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111, -43], [-64, 24], [0, 0]], [[0, 0], [179/2, -28], [-55, 1], [-5/2, 1]], [[0, 0], [87, -27], [-65, 5], [0, 0]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[6738636, -2630684]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [69, 7], [21, -1], [0, 0]], [[-2, 0], [-6878, -136], [-2197, 256], [-1, 0]], [[47/2, -15/2], [79298, -24868], [119403/4, -41419/4], [47/4, -15/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 4], [-26, 2], [0, 0]], [[-27/2, -5/2], [981, -359], [8117/4, -1053/4], [-27/4, -5/4]], [[9577/2, -2989/2], [-711954, 276782], [-4599979/4, 1693703/4], [9577/4, -2989/4]]], 1, 128, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 6], [74, -2], [0, 0]], [[0, 0], [2025, 55], [13877/2, -2613/2], [-9/2, 1/2]], [[0, 0], [-3578, 2560], [-19921, 9706], [11, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, -6], [46, -6], [0, 0]], [[0, 0], [33451, 6013], [-58145/2, 4785/2], [13/2, 3/2]], [[0, 0], [2003687, -1012489], [-5863575/2, 2505365/2], [675/2, -361/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[464, -144]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 0], [14, -6], [0, 0]], [[0, 0], [275, 197], [73/2, 47/2], [11/2, 5/2]], [[0, 0], [-5575, -1473], [-903/2, -553/2], [91/2, -147/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -4], [22, 2], [0, 0]], [[0, 0], [-1113, 65], [-979/2, -109/2], [-1/2, 1/2]], [[0, 0], [86, 2], [40, 8], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[260, -116]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -24], [-26, 2], [0, 0]], [[-17, 1], [-8135, -4793], [-11183/2, 1111/2], [-17/2, 1/2]], [[-7011/2, 943/2], [-1322629, -751803], [-4672971/4, 788375/4], [-7011/4, 943/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-77, 89], [87, 5], [0, 0]], [[3, 1], [58472, -45536], [-88157/2, 4401/2], [3/2, 1/2]], [[-23/2, 3/2], [-730311, 315783], [1193505/4, -384837/4], [-23/4, 3/4]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[316, -204]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [339, 9], [39, 5], [0, 0]], [[0, 0], [-4577487/2, 469311/2], [-249795, 3243], [-5/2, -3/2]], [[0, 0], [-157349, 61937], [-15080, 5960], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [405, 15], [-7, -5], [0, 0]], [[0, 0], [-6671/2, 2755/2], [-5, 1], [5/2, -1/2]], [[0, 0], [-131719, 48921], [-124, 80], [62, -40]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[829564, -323852]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1966, -766], [17, -5], [0, 0]], [[0, 0], [-134907/2, -44839], [-75145, -48134], [-5/2, -2]], [[0, 0], [-719209, 337830], [54582, 40800], [-186, 75]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [314, -130], [-21, 1], [0, 0]], [[0, 0], [-115317/2, -34806], [-53871, -34572], [-5/2, 2]], [[0, 0], [63320, 11712], [33315, 22337], [47, -19]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[260, -116]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [91, 1], [171, 1], [0, 0]], [[0, 0], [1155875/2, -6727/2], [1086301, -11801], [-5/2, 1/2]], [[0, 0], [1750497/2, -1011815/2], [1664236, -954322], [-11/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25, 5], [171, 1], [0, 0]], [[0, 0], [-6991/2, 27/2], [29957, 7559], [7/2, -3/2]], [[0, 0], [97621/2, 8317/2], [-456641, -152537], [-83/2, 37/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[260, -116]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47, 3], [63, -3], [0, 0]], [[0, 0], [-13641/2, -607/2], [9245, 563], [-3/2, 3/2]], [[0, 0], [202121/2, -59399/2], [-134051, 38613], [105/2, -47/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25, -5], [151, 5], [0, 0]], [[0, 0], [-25345/2, 791/2], [-95583, -24051], [-13/2, -5/2]], [[0, 0], [-887532, 354792], [-3801577, 1596125], [-166, 74]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[316, -204]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [547, -7], [-49, -3], [0, 0]], [[0, 0], [-83758771/2, 5279807/2], [3694993, 26347], [25/2, 3/2]], [[0, 0], [21019928399, -10454238989], [-1609136662, 869073658], [-4108, 2650]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [459, 1], [-64, 0], [0, 0]], [[0, 0], [3291553/2, -4745/2], [-229496, 828], [-11/2, 3/2]], [[0, 0], [7469117, -109610859], [-1174161, 15253641], [-423, 273]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[829564, -323852]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2136, 856], [49, 3], [0, 0]], [[0, 0], [-33617/2, -10761], [-16781, -10750], [-5/2, -1]], [[0, 0], [4513/2, 3081/2], [2460, 1458], [-37/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [801, -293], [46, 2], [0, 0]], [[0, 0], [-111147/2, -37308], [-57917, -37150], [5/2, 2]], [[0, 0], [3754837/2, -1723831/2], [-56124, -108738], [-917/2, 371/2]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[260, -116]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -5], [5, -1], [0, 0]], [[0, 0], [-69/2, -51/2], [-15, 15], [5/2, -5/2]], [[0, 0], [-25/2, -85/2], [-225, 99], [75/2, -33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -4], [-49, -3], [0, 0]], [[0, 0], [29625, -1856], [-28179, -2207], [0, 1]], [[0, 0], [-656119/2, 239783/2], [254237, -88125], [29/2, -13/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[260, -116]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, -2], [41, -5], [0, 0]], [[0, 0], [-443505/2, -61595/2], [83191, -1603], [3/2, 1/2]], [[0, 0], [2239192, -926829], [-1116721, 449811], [-9, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69, 1], [183, 5], [0, 0]], [[0, 0], [-102796, 2021], [272491, 6003], [4, 1]], [[0, 0], [-4378267/2, 1785961/2], [5419079, -2228689], [97/2, -43/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[204, -28]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [188, 4], [-135, -5], [0, 0]], [[0, 0], [-38668, -423], [27768, 738], [5, 0]], [[0, 0], [-160445/2, 21551/2], [57091, -6961], [21/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-172, -4], [-31, 3], [0, 0]], [[0, 0], [225970, 27623], [38823, -345], [-1, 2]], [[0, 0], [13458127/2, -21305265/2], [2129376, -1857438], [-871/2, 117/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[204, -28]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, 3], [70, 2], [0, 0]], [[0, 0], [54743/2, 9081/2], [113196, 2120], [9/2, -1/2]], [[0, 0], [7256695/2, 960683/2], [15285415, -198053], [1235/2, -169/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-363, -1], [-87, -5], [0, 0]], [[0, 0], [-319142, 9877], [-75930, -1680], [5, 2]], [[0, 0], [-770947/2, 272455/2], [-85207, 29371], [5/2, -1/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[3784100, -1477268]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-505, 197], [-92, -4], [0, 0]], [[0, 0], [-62237/2, 2809/2], [-2848430, -1821866], [-5/2, 1/2]], [[0, 0], [5398817/2, -609807], [117865521, 75234690], [485/2, -75]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1647, 643], [25, -5], [0, 0]], [[0, 0], [-1911/2, -477/2], [-96399, -61733], [-3/2, -1/2]], [[0, 0], [-3930, 2561/2], [-39996, -25615], [-5, 3/2]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[28, -13]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-600, 469/2], [-12, 9/2], [0, 0]], [[3, 3/2], [-2042, 810], [-45, 16], [3, 3/2]], [[299, 383/2], [1566, 1761/2], [-181, -237/2], [299, 383/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [474, -373/2], [-2, 1/2], [0, 0]], [[-1, 2], [9968, 10163/2], [1691, 2181/2], [-1, 2]], [[-351, 63/2], [-448092, -413309], [-112057, -71022], [-351, 63/2]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[28, -13]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-578, 225], [-26, 10], [0, 0]], [[3, 1/2], [-180, 84], [-3, 5], [3, 1/2]], [[-273, -175], [-2296, -2891/2], [-633, -809/2], [-273, -175]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-220, 171/2], [20, -15/2], [0, 0]], [[-5, 5/2], [-270, 227/2], [11, -11/2], [-5, 5/2]], [[-64, -41], [-928, -595], [128, 82], [-64, -41]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[100, -39]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 55/2], [-26, 21/2], [0, 0]], [[23/2, 7], [-5123, 3597/2], [-7835/4, 2885/4], [13/4, 5/4]], [[900, 1155/2], [-242, -16176], [2643, -4539], [195, 255/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, -67/2], [22, -17/2], [0, 0]], [[-3, -5/2], [-4, -7/2], [-7/2, 4], [1/2, -1]], [[-659/2, -211], [-456, -292], [939/4, 601/4], [-289/4, -185/4]]], 1, 2, [], [] >,
< [ -4, -1, 1 ], [[20, -7]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, -109/2], [82, -63/2], [0, 0]], [[8, 9/2], [1408, -498], [1533/2, -669/2], [5/2, 2]], [[42, -14], [90730, -70807/2], [106959/2, -20889], [-49/2, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [284, -219/2], [4, -5/2], [0, 0]], [[10, 4], [-394, -228], [555/2, 359/2], [3/2, 5/2]], [[30, -31/2], [-162, 481/2], [-155, -147/2], [-23, 15/2]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[20, -7]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [47, -35/2], [1, -1/2], [0, 0]], [[3, 5/2], [-143, 69], [0, 0], [3, 5/2]], [[78, 50], [266, 185], [0, 0], [78, 50]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [87, -30], [1, 1], [0, 0]], [[-1, 5/2], [362, 87], [79, 51], [-1, 5/2]], [[180, -117], [-15295, 1829/2], [-1729, -2275/2], [180, -117]]], 0, 8, [], [] >,
< [ -4, -1, 1 ], [[108, -41]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [966, -373], [-2, 0], [0, 0]], [[2, -1], [-11738, -11627/2], [1900, 2425/2], [2, -1]], [[-109, 101/2], [452742, 400191/2], [-68941, -87851/2], [-109, 101/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1794, -700], [-14, 5], [0, 0]], [[-1, 0], [8788, -6879/2], [-61, 55/2], [-1, 0]], [[-185, -237/2], [-4500, -2492], [1705, 1089], [-185, -237/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[456, -178]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -9], [-16, 4], [0, 0]], [[-5/2, -1], [-73, 21/2], [105/4, -87/4], [-7/4, 1/4]], [[-28, -16], [-418, -83], [-32, -145], [-10, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, -31], [16, -3], [0, 0]], [[-7/2, -3], [-8060, 6709/2], [-3665/4, 2995/4], [3/4, -5/4]], [[-88, -48], [94922, -33128], [21454, -989], [-36, -4]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[24, -2]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, -35], [-8, -4], [0, 0]], [[3, -3/2], [-2432, 1615/2], [1069, 1321/2], [3, -3/2]], [[47, -33/2], [-30520, 25427/2], [-5567, -7787/2], [47, -33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -19], [244, -95], [0, 0]], [[-4, -1/2], [-562, 389/2], [-2736, 2171/2], [-4, -1/2]], [[65, 83/2], [824, 987/2], [-385, -843/2], [65, 83/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[56, -26]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 1/2], [-718, 565/2], [-6, 1/2], [0, 0]], [[-45650, -29293], [64422, 62269/2], [-45650, -29293], [-4, -3/2]], [[-25828, -30129/2], [-215236, 228135/2], [-25828, -30129/2], [24, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -5/2], [-354, 239/2], [-10, -5/2], [0, 0]], [[15330, 19761/2], [39520, 61803/2], [15330, 19761/2], [-10, 0]], [[-13580, -16429/2], [-79576, -8404], [-13580, -16429/2], [-44, 41/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[2536, -990]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 2], [32, -13], [-4, 2], [0, 0]], [[27, 17], [-30, -39/2], [27, 17], [-3, -5/2]], [[1, -19/2], [20, 5/2], [1, -19/2], [21, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [-24, 21/2], [0, -1/2], [0, 0]], [[0, 1/2], [4, -3], [0, 1/2], [0, 1/2]], [[-7, 5/2], [68, -26], [-7, 5/2], [-7, 5/2]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[200, -78]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -3/2], [14, -11/2], [2, -3/2], [0, 0]], [[-55/2, 17/2], [-217, 159/2], [-49/2, 25/2], [-3/2, -2]], [[-1543/2, 282], [-6343, 4863/2], [-1577/2, 333], [17/2, -51/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-38, 15], [-62, 26], [-38, 15], [0, 0]], [[-2231/2, 435], [-1876, 725], [-2231/2, 435], [1/2, 0]], [[-156, 123/2], [-256, 213/2], [-156, 123/2], [0, 0]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[16, -6]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[-3, -3/2], [-35/2, 5], [3/4, 3/4], [-3/4, -3/4]], [[3, 1/2], [103/2, -19], [1/4, -3/4], [-1/4, 3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, 0], [1, 0], [0, 0]], [[-19, 5/2], [55111/26, -230/13], [-1107/52, 9/52], [123/52, -1/52]], [[192, -96], [-215184/13, 129061/13], [2160/13, -1296/13], [-240/13, 144/13]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[8, -6]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, -34], [28, -13], [0, 0]], [[-4, -1], [31664, -12274], [11280, -4252], [0, -1]], [[24, 9/2], [-219173, 170185/2], [-155797/2, 29594], [-3/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-184, 63], [52, -22], [0, 0]], [[16, -2], [1212, -813], [-418, 25], [-2, 0]], [[-492, 399/2], [-849539/13, 647847/26], [304045/26, -62490/13], [1323/26, -276/13]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[8, -6]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [134, -54], [-6, 1], [0, 0]], [[0, 5/2], [-1249, 1023/2], [115/2, -5], [5/2, 0]], [[10, -2], [4361, -1684], [-251/2, 125/2], [-9/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 10], [2, -3], [0, 0]], [[2, 1], [-6649/13, 2653/13], [2161/26, 305/26], [-9/26, -5/26]], [[4, -3/2], [-156107/13, 121785/26], [24799/26, -4828/13], [-11/26, 2/13]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[8, -6]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, -28], [44, -19], [0, 0]], [[-10, -4], [21199, -8148], [28111/2, -10637/2], [-3/2, -5/2]], [[126, 25/2], [-599232, 465869/2], [-395633, 306267/2], [-19, 63/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -48], [-40, 17], [0, 0]], [[28, -5/2], [1723855/13, 1827201/26], [-328999/26, -7236/13], [-93/26, -2/13]], [[-1232, 499], [-8346850/13, 6653806/13], [5851831/13, -2437400/13], [1657/13, -690/13]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[-60, 21]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 2], [-2, 2], [76, -31], [0, 0]], [[-152, -33], [-1432/19, -606/19], [-30, 71/2], [-104/57, -1/38]], [[-4093, 3543/2], [-18477/19, 18807/38], [-3666, 2773/2], [-4235/57, 1155/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-56, 1/2], [-124, 55/2], [-68, 27], [0, 0]], [[434479, 284482], [102826901/247, 70175693/247], [-280828/13, -4736/13], [2159/741, 2/741]], [[-50472172, -48734693/2], [-15731728920/247, -9130231219/494], [-205544762/13, 182683785/26], [1625972/741, -1433509/1482]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[-72, 6]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[26, 5/2], [-260, 101], [26, 5/2], [0, 0]], [[169094, 107643], [-273102/13, 31167/26], [169094, 107643], [-196/39, -1/26]], [[-1420976, -1518723/2], [43965468/13, -16474736/13], [-1420976, -1518723/2], [28762/39, -3546/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1], [364, -147], [0, 1], [0, 0]], [[-3226, -4157/2], [105082/13, 25849/2], [-41818/13, -54081/26], [-10/39, 5/78]], [[-3338, -2229], [-493438/13, 827675/26], [-42686/13, -29225/13], [-64/39, 47/78]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[-24, 18]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, 19/2], [-4, 11/2], [-44, 19], [0, 0]], [[2946, -2293/2], [18555/19, -14639/38], [5860, -2295], [-17/19, 1/57]], [[730, 107], [-6294/19, -6312/19], [-98, -1563/2], [-678/19, -2597/114]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[20, -17/2], [-8, 1/2], [40, -17], [0, 0]], [[-1530, 1185/2], [-961852/247, -89875/494], [-36258/13, 30767/26], [-478/741, -1/1482]], [[840, -6300], [-505727489/247, -326345410/247], [1648014/13, 1774971/26], [-74949/247, -96879/494]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[-24, 18]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, -2], [-42, 19], [12, -2], [0, 0]], [[1443, 955], [21516/13, 20907/26], [1353, 950], [15/13, 5/78]], [[-3134, -527/2], [163950/13, -82468/13], [-5974, 1769/2], [1420/39, -574/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, 5/2], [94, 14], [14, 5/2], [0, 0]], [[362, 1535/2], [24954/13, 131011/26], [4674/13, 19983/26], [-2/39, 1/78]], [[18773, -9403/2], [1711016/13, -900865/26], [245095/13, -123047/26], [53/39, -43/78]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[-24, 18]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, -1/2], [-4, 0], [-14, -1/2], [0, 0]], [[1714, 53/2], [6290/13, -253/26], [1686, 47/2], [14/39, 1/26]], [[-51205, 20481], [-198866/13, 158559/26], [-50495, 20194], [-355/39, 287/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, -5/2], [296, -4], [-22, -5/2], [0, 0]], [[-19709, -24321/2], [2616210/13, 3150637/26], [-256175/13, -316213/26], [1/13, -1/78]], [[-111067, -331391/2], [6604942/13, 49524713/26], [-1453241/13, -4300843/26], [-475/39, 385/78]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[48, -18]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[30, -3/2], [174/13, -37/26], [42, 1/2], [-22/39, -1/78]], [[-69, 31], [-440/13, 383/26], [-173/2, 81/2], [89/78, -7/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 1], [65, 0], [-8, 1], [0, 0]], [[-120, -246], [31562/13, 5251/2], [-1721/13, -3299/13], [-1/39, 5/78]], [[-107440, 118875/2], [580433, -11441499/26], [-2771355/26, 778165/13], [4375/78, -980/39]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[2136, -834]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-180, 70], [-468, 189], [-180, 70], [0, 0]], [[-1174, 937/2], [-3373, 1068], [-1172, 947/2], [1, 5/2]], [[858, 9/2], [-6649, -11399/2], [1048, 249/2], [95, 60]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-114, 89/2], [-2454, 1845/2], [-114, 89/2], [0, 0]], [[0, 0], [-17833, -11239], [-10, 0], [-1, 0]], [[0, 0], [1423012/13, 1897907/26], [-980/13, 705/13], [-98/13, 141/26]]], 0, 80, [], [] >,
< [ -4, -1, 1 ], [[116, -47]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1934/59, -9/118], [-94/59, -3/118], [0, 0]], [[40651, 0], [4536637/59, -18623/118], [-528/59, -937/118], [1, 0]], [[66365425, -54250225/2], [393854165349/3127, -321830965441/6254], [388466/59, -199849/118], [66365425/40651, -54250225/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16046/59, -2021/118], [-904/59, -5/118], [0, 0]], [[-197489, 1], [-16593305375/3127, -6386771878/3127], [-16401728/59, -5478816/59], [-197489/40651, 1/40651]], [[40598212807, -33157388943/2], [1266494435525727/3127, -616173587023253/3127], [1531991835136/59, -710520051584/59], [40598212807/40651, -33157388943/81302]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[172, -67]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[8649, 3/2], [18093/53, 3/53], [5, 0], [8649/40651, 3/81302]], [[-639200, 592905/2], [-78893231/3127, 73178883/6254], [-21809/59, 20227/118], [-639200/40651, 592905/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2513/59, -1059/118], [287/59, 1/118], [0, 0]], [[42430, -1/2], [-6274211/106, -4375635/106], [-29127, -13797], [98889/81302, -2/40651]], [[122915442, -114015395/2], [157536345739/3127, 48177256405/3127], [-603462895/59, 1044476335/59], [11018720/3127, -10220673/6254]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[88, -50]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 0], [-12, 9], [4, 0], [0, 0]], [[-42, -33/2], [467040, -82], [-42, -33/2], [-24, 0]], [[4296, 3579/2], [-85451110432/1879, -5453820843/3758], [4296, 3579/2], [57085790/24427, 3664043/48854]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 1/2], [90, -4], [-8, 1/2], [0, 0]], [[2928, -144], [-9409937574/24427, 49325763/48854], [194048/13, -1844/13], [-42190/24427, -3/48854]], [[2347488, -231264], [-7470649833306/24427, 828016189763/48854], [154281272/13, -9540996/13], [-33476250/24427, 3544019/48854]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[72, -22]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1560/59, -68/59], [520/59, -3/59], [0, 0]], [[-133485, -2], [-240602511/3127, 29805427/3127], [-268438/59, 187575/59], [-133485/40651, -2/40651]], [[-916377125, 532849183/2], [-1889734693857/3127, 1250733302947/6254], [-3340453308/59, 2898259955/118], [-916377125/40651, 532849183/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-113232/59, -180/59], [960/59, -1/59], [0, 0]], [[2883, 1/2], [8119290997/3127, -1523213787/6254], [-1291440/59, 249753/118], [2883/40651, 1/81302]], [[68196156, -19712280], [2768162028230186/40651, -888525808035569/40651], [-441628054680/767, 142144345482/767], [68196156/40651, -19712280/40651]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[4360, -1702]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[124, -48], [1610, -627], [124, -48], [0, 0]], [[-1104, 431], [-14377, 11181/2], [-1114, 426], [-5, -5/2]], [[-70, 55/2], [-1250, 140], [-206, -119/2], [-68, -87/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[70, -55/2], [16, -95/2], [70, -55/2], [0, 0]], [[456, -178], [-3043/13, -2733/26], [3794/13, -2369/13], [97/13, 5/26]], [[284, -89], [-3182406/13, -2037642/13], [-1103348/13, -709337/13], [50320/13, 32190/13]]], 0, 112, [], [] >,
< [ -4, -1, 1 ], [[36, -19]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4722152/1879, 5651/3758], [2534/1879, 1/3758], [0, 0]], [[8912, 5/2], [9916611, -4951581], [-5313, 2655], [8912/1879, 5/3758]], [[-88300238, 31232921/2], [-249954566836585/1879, 217143449627791/3758], [133945316899/1879, -116402895173/3758], [-88300238/1879, 31232921/3758]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25525990/1879, -20655/3758], [-1224/1879, 1/3758], [0, 0]], [[-419758, -2], [5026410749147/24427, 1636324475/48854], [-241300573/24427, -76559/48854], [-419758/24427, -2/24427]], [[-120874757576, 42762754927/2], [1447258310234236820/24427, -255844002057724532/24427], [-69478062716628/24427, 12282420985158/24427], [-120874757576/24427, 42762754927/48854]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[296, -110]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[546, 1], [-30974/59, 122/59], [546/59, 1/59], [0, 0]], [[-13150514, -6062459/2], [39405815598/3127, 17667901641/6254], [-13150514/59, -6062459/118], [-255440/40651, 2/40651]], [[575305906344, -405833624105/2], [-1748900602253222/3127, 618459601126572/3127], [575305906344/59, -405833624105/118], [17078113082/40651, -12804738311/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-738, -2], [46490/59, -2191/59], [-738/59, -2/59], [0, 0]], [[48344600, 30908920], [-2392335590/53, -3054216185/106], [819400, 523880], [575022/40651, 5/81302]], [[320707010610, 385042875777/2], [-970820851252546/3127, -1095434424911797/6254], [320707010610/59, 385042875777/118], [92526667492/40651, -34688604595/40651]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[32, -14]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-74442, 5], [-232274416/3127, 645/6254], [-74442/59, 5/59], [-75394/40651, 5/81302]], [[4227725989, -3622218591/2], [13189891601980/3127, -5650539164910/3127], [4227725989/59, -3622218591/118], [4281542685/40651, -3668374815/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-280, 1], [-85077/59, 181/59], [-280/59, 1/59], [0, 0]], [[409633, -62985/2], [84119018434/40651, -6482731341/40651], [409633/59, -62985/118], [14315/40651, 1/81302]], [[5969160824, -4985567741/2], [1226126210931399/40651, -1024027685516571/81302], [5969160824/59, -4985567741/118], [14175920/3127, -79015090/40651]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[184, -74]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-118, 0], [96, -31], [-2, 0], [0, 0]], [[-1625994, -2193075/2], [1484279832/3127, 552999752/3127], [-1625994/59, -2193075/118], [-319300/40651, 5/81302]], [[-5161624560, 592477335/2], [-24040004068082/3127, 21018395616943/6254], [-5161624560/59, 592477335/118], [12806955126/40651, -5123432139/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[66, -3/2], [44514/59, -12461/118], [66/59, -3/118], [0, 0]], [[-85550, -56050], [-363114890/689, -605130779/1378], [-1450, -950], [-3822/3127, -5/81302]], [[-463128440, -133780235/2], [-798379793368580/40651, 239086139479329/40651], [-463128440/59, -133780235/118], [5553280360/40651, -341792907/6254]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[184, -74]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[30, 2], [1654/59, -1467/59], [30/59, 2/59], [0, 0]], [[-93100, -129725/2], [394323030/3127, 184149015/3127], [-93100/59, -129725/118], [-145162/40651, 1/81302]], [[-559336590, 87676965], [-5217892839918/3127, 4947100523119/6254], [-559336590/59, 87676965/59], [7599363120/40651, -6079747927/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-546, -1], [-136822/59, -10506/59], [-546/59, -1/59], [0, 0]], [[131017418, 164844267/2], [26889506111126/40651, 16980087429544/40651], [131017418/59, 164844267/118], [43432/40651, 5/81302]], [[182326063192, 1233318621605/2], [58742795383168046/40651, 237133175276818251/81302], [182326063192/59, 1233318621605/118], [-9029248482/40651, 3612238983/40651]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[184, -74]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-590, 0], [560, -1], [-10, 0], [0, 0]], [[-835354, -91637], [2647015472/3127, 534132613/6254], [-835354/59, -91637/59], [-575022/40651, -5/81302]], [[189678206120, -153829701311/2], [-611313617505812/3127, 495147100295299/6254], [189678206120/59, -153829701311/118], [158370193048/40651, -63366331194/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[126, 5/2], [43928/59, 1849/118], [126/59, 5/118], [0, 0]], [[1961952, -105823/2], [35807662496/3127, -935863763/3127], [1961952/59, -105823/118], [52326/40651, 3/81302]], [[55412260344, -22109448948], [13130508778930782/40651, -10478933924009921/81302], [55412260344/59, -22109448948/59], [1416663234/40651, -87187681/6254]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[12280, -4794]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, -11/2], [14, -7/2], [14, -11/2], [0, 0]], [[0, 0], [339, -132], [-6, 2], [-3, 1]], [[0, 0], [-151, -163/2], [130, 83], [65, 83/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[124, -48], [-384, 191], [124, -48], [0, 0]], [[-12342, 9647/2], [556219/13, -211014/13], [-160468/13, 125401/26], [11/13, 5/26]], [[-81928, 32186], [3885723/13, -2568591/26], [-1065622/13, 418121/13], [279/13, 297/26]]], 0, 112, [], [] >,
< [ -4, -1, 1 ], [[2936, -1146]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, -13/2], [62, -71/2], [18, -13/2], [0, 0]], [[1246, -973/2], [5221, -4079/2], [1256, -969/2], [5, 1]], [[56, -28], [172, -315/2], [492, 251], [218, 279/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[66, -51/2], [-6032, 5047/2], [66, -51/2], [0, 0]], [[69800, 145], [166294463/13, 322234121/26], [907690/13, 1880/13], [-29/13, 1/26]], [[-183803290, 60580905/2], [-155889614324/13, -281275267719/13], [-2390216250/13, 787828095/26], [77348/13, -27633/26]]], 0, 144, [], [] >,
< [ -4, -1, 1 ], [[-12, 17]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, -1/2], [10, -1/2], [20, -8], [0, 0]], [[-3328, 3/2], [-8796956/3873, 12845/7746], [-50618/11, -89/22], [-3338/42603, -1/85206]], [[47, 53/2], [124409/3873, 140291/7746], [714/11, 805/22], [47/42603, 53/85206]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-110, -5/2], [46, -137/2], [52, -22], [0, 0]], [[-18463, -82377], [-62638014553/50349, -1369106113/16783], [-8666938/143, 76841/286], [8539/50349, 1/369226]], [[-1060355780, -289892153/2], [30520835815172/16783, -427852786405279/100698], [1890651344/13, -2635262337/13], [-6660412/16783, 28598306/50349]]], 0, 144, [], [] >,
< [ -4, -1, 1 ], [[-7208, 2814]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[94, -73/2], [116, -91/2], [94, -73/2], [0, 0]], [[136, -53], [68, -55/2], [128, -50], [-4, 3/2]], [[34, 43/2], [-391, -501/2], [-16, -21/2], [-25, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-110, 85/2], [-27484, 19473/2], [-110, 85/2], [0, 0]], [[298054, 1167/2], [3888763173/13, 1891527123/13], [3874012/13, 15141/26], [-69/13, -3/26]], [[-425079650, 372432705/2], [-826136076133/13, 1827077565973/26], [-5525085580/13, 4840784945/26], [94987/13, -42011/13]]], 0, 160, [], [] >,
< [ -4, -1, 1 ], [[-248, 106]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, -1/2], [-8, 4], [-14, -1/2], [0, 0]], [[3340, -297/2], [-5162178/1291, 33631/2582], [-10396/11, -3285/22], [1180/14201, 1/28402]], [[250504, -100524], [-363139370/1291, 878927257/7746], [-541940/11, 225041/11], [82518/14201, -199823/85206]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, -2], [-1116, 379], [-20, -2], [0, 0]], [[-298302, -256923/2], [-33479108714/50349, -78980242805/100698], [-21627514/143, -36740817/286], [-99518/553839, 1/1107678]], [[-1303107682, 883211589], [558724026131306/50349, -275502180310867/100698], [160171840682/143, -21529270095/143], [-1639765960/553839, 1399100231/1107678]]], 0, 576, [], [] >,
< [ -4, -1, 1 ], [[-10856, 4238]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-52, 20], [1158, -449], [-52, 20], [0, 0]], [[4810, -3705/2], [-107193, 41589], [4816, -3711/2], [3, -3/2]], [[-676, -403], [7253, 7953/2], [-662, -394], [7, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1/2], [-2906, -99/2], [-2, 1/2], [0, 0]], [[0, 0], [36330/13, 7179/13], [-80, -4], [-40/13, -2/13]], [[0, 0], [-370321/13, 261587/26], [1070, -395], [535/13, -395/26]]], 0, 160, [], [] >,
< [ -4, -1, 1 ], [[22424, -8754]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[96, -37], [-1834, 704], [96, -37], [0, 0]], [[-2, 11/2], [119, -172], [4, 5/2], [3, -3/2]], [[378, 483/2], [-10071, -12857/2], [324, 415/2], [-27, -17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-92, 36], [33784, -14431], [-92, 36], [0, 0]], [[18556, 35], [-1409475537/13, -1688130075/26], [241210/13, 458/13], [-9/13, 3/26]], [[1918274, -1393199/2], [-18942263287/13, -5235845091/26], [24935244/13, -18109835/26], [-1159/13, 438/13]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[8632, -3370]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[50, -39/2], [1856, -1471/2], [50, -39/2], [0, 0]], [[280, -110], [10919, -7865/2], [282, -115], [1, -5/2]], [[-60, -6], [12434, 9187], [-236, -118], [-88, -56]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[96, -37], [35680, -11950], [96, -37], [0, 0]], [[260006, -13/2], [6050029768/13, 6218846867/26], [3380038/13, -173/26], [20/13, 1/13]], [[-84758112, 39416576], [-86644353719/13, 749884983701/26], [-1101843630/13, 512409773/13], [-5913/13, 5715/26]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[104648, -40854]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1670, 1301/2], [-1792, 1397/2], [-1670, 1301/2], [0, 0]], [[-4896, 1840], [-5221, 3963/2], [-4954, 1927], [1, -3/2]], [[-4308, -3492], [-3225, -2850], [158, -650], [-77, -49]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[510, -399/2], [5468, -4399/2], [510, -399/2], [0, 0]], [[35362, -2405/2], [30294417/13, 32096299/26], [453532/13, -33029/26], [-7/13, -1/13]], [[133720140, -54024065], [15135747723/13, -19874546789/26], [1721371854/13, -695204366/13], [-19263/13, 16119/26]]], 0, 17664, [], [] >,
< [ -4, -1, 1 ], [[706184, -275686]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[938, -733/2], [328, -249/2], [938, -733/2], [0, 0]], [[-16128, 6296], [-5285, 4141/2], [-16498, 6481], [-5, 5/2]], [[-54, -51/2], [1902, 1221], [10750, 13787/2], [146, 187/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-830, 647/2], [11016, -7127/2], [-830, 647/2], [0, 0]], [[2891260, 7670], [-20516838639/13, -25682870699/26], [37561490/13, 99317/13], [-95/13, -3/26]], [[-117247033310, 83071329935/2], [7203811501538, 6333573679083/2], [-117170843710, 83017640895/2], [290800, -102460]]], 0, 17664, [], [] >,
< [ -4, -1, 1 ], [[220, -109]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 3/2], [8, 3/2], [-284, 111], [0, 0]], [[8917, 10757/2], [33879631/3873, 41663087/7746], [114790/11, -4531/22], [535/42603, -1/85206]], [[-173481, -323631/2], [-242615109/1291, -398832819/2582], [924230, -922053/2], [1383/1291, -1407/2582]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[166, 2], [538, -145], [124, -49], [0, 0]], [[-368100, -415233/2], [-6937445976/16783, -20928659525/100698], [33505982/143, -16823/286], [-16752/184613, -5/1107678]], [[557454117, 1957827661/2], [-3319763875/3873, 9742911359827/7746], [32118100864/11, -15963220952/11], [-48145501/42603, 2176012/3873]]], 0, 2880, [], [] >,
< [ -4, -1, 1 ], [[72968, -28486]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1092, -426], [1216, -475], [1092, -426], [0, 0]], [[888, -346], [961, -739/2], [918, -371], [-3, 5/2]], [[330, 433/2], [2920, 3751/2], [-6510, -8327/2], [684, 438]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-364, 142], [3258, -711], [-364, 142], [0, 0]], [[-428290, -599/2], [11724424316/13, 14963145433/26], [-5557742/13, -7351/26], [46/13, 1/13]], [[1259192250, -74651625/2], [-31805502295433/13, -20285922054507/13], [16340091704/13, -969926343/26], [-134897/13, 2499/26]]], 0, 2880, [], [] >,
< [ -4, -1, 1 ], [[392, -246]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-392, -1], [60, -23], [-392, -1], [0, 0]], [[16383898, 20362093/2], [-370328/3, 334], [180267726/11, 223983055/22], [4/33, 0]], [[20107470448, 28503815661/2], [359763365526/1291, -445639923465/2582], [221081697992/11, 313667150751/22], [-3859884/14201, 4805577/28402]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[204, -2], [2028, -327], [204, -2], [0, 0]], [[90342, -56733/2], [5748632/3, -170348], [-21865358/11, -623999/22], [8/33, 0]], [[-2323655678, 966351010], [-566997022165238/16783, 609091201017837/33566], [3957520234142/143, -2531947682965/143], [-646057692/184613, 804263679/369226]]], 0, 11520, [], [] >,
< [ -4, -1, 1 ], [[165512, -64614]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1028, -402], [736, -287], [1028, -402], [0, 0]], [[3366, -2631/2], [2456, -1897/2], [3278, -2587/2], [4, -1]], [[-388, -254], [3113, 3979/2], [-4150, -2663], [171, 219/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-94, 73/2], [-2488, 947/2], [-94, 73/2], [0, 0]], [[-438818, 685/2], [-5536581455/13, -3467434702/13], [-438588, 695/2], [23/13, 1/26]], [[1098244380, -322095195], [3682583684445/13, 4147103404989/26], [1097683930, -321935530], [-56045/13, 31933/26]]], 0, 2880, [], [] >,
< [ -4, -1, 1 ], [[12104, -4726]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-650, 509/2], [-550, 415/2], [-650, 509/2], [0, 0]], [[-41328, 15540], [-28447, 33675/2], [-41358, 15525], [1, 1/2]], [[-1596, 336], [1586, 2149], [-1596, 336], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-502, 393/2], [344, 1973/2], [-502, 393/2], [0, 0]], [[208038, 151/2], [2190691437/13, 2800678409/26], [2713292/13, 2627/26], [-53/13, -2/13]], [[-28749072, 19613491], [225141818485/13, 289814897615/26], [-374829718/13, 255790360/13], [6577/13, -9819/26]]], 0, 2304, [], [] >,
< [ -4, -1, 1 ], [[1052, -411]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1639/59, 699/118], [-153/59, -3/118], [0, 0]], [[-6600, 5/2], [-1001731/118, 25063/59], [18590/59, 16335/118], [5/2, 0]], [[2929306, -1079846], [25288330857/6254, -4712476361/3127], [-2904495/59, 1504085/118], [-6935475/6254, 2556431/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-555/59, -115/118], [-185/59, 1/118], [0, 0]], [[-6188, 3/2], [924437/106, -735747/106], [2312, -2312], [14659/6254, 1/3127]], [[36525242, -26824187/2], [-349005847582/3127, 140127113892/3127], [-1987002738/59, 804874248/59], [-43238988/3127, 31751707/6254]]], 1, 168, [], [] >,
< [ -4, -1, 1 ], [[60, -53]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13922/59, -3791/118], [-904/59, -5/118], [0, 0]], [[9625, -1/2], [-183751599/53, -120710110/53], [-166656, -111104], [9625/3127, -1/6254]], [[-9578850, 20283635/2], [-19230334230068/3127, -11841648437988/3127], [-17845139088/59, -10745570052/59], [-9578850/3127, 20283635/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3824/59, 1472/59], [370/59, -1/59], [0, 0]], [[-5766, -1], [66958524/3127, 54696907/6254], [38500/59, 50205/118], [-5766/3127, -1/3127]], [[-350001, 754029/2], [-3085244089/3127, -4504950230/3127], [-4226584/59, -2633771/59], [-350001/3127, 754029/6254]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[664, -226]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -3/2], [10, -10], [-4, -3/2], [0, 0]], [[-108, 48], [38998336/1879, -1271412/1879], [-108, 48], [-53180/1879, -1/1879]], [[0, 0], [-71126/1879, -62403/3758], [0, 0], [106/1879, 93/3758]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -1/2], [20, 10], [6, -1/2], [0, 0]], [[-26, -12], [5738802, -131], [-300666, -12], [-40, 0]], [[-1512, -4634], [-56135753569502/24427, 69642710397857/48854], [1564978032/13, -970879412/13], [391249422/24427, -485409585/48854]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[392, -166]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3706/59, 180/59], [-960/59, 1/59], [0, 0]], [[-3371, 1/2], [-2528812807/3127, -1134084039/6254], [-13039036/59, -7124039/118], [-3371/3127, 1/6254]], [[-18838503, 16231635/2], [-8668774898177/3127, 8567770274453/6254], [-38552653024/59, 40117930199/118], [-18838503/3127, 16231635/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37734/59, 168/59], [284/59, -3/59], [0, 0]], [[159233, 1/2], [28288793079/40651, -422446255/81302], [1589512/767, 77785/1534], [159233/40651, 1/81302]], [[1371847500, -591766875], [246859015812478/40651, -106166510944332/40651], [13116115020/767, -5716685430/767], [1371847500/40651, -591766875/40651]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[26696, -10422]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[38, -29/2], [48, -25/2], [38, -29/2], [0, 0]], [[-5450, 4255/2], [-6315, 4935/2], [-5476, 4307/2], [-1, 1]], [[-66, 49/2], [-49, 46], [116, 283/2], [7, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[564, -220], [-408, 155], [564, -220], [0, 0]], [[-86, 67/2], [2566/13, -532/13], [-822/13, 979/26], [-30/13, 1/26]], [[0, 0], [-581/13, -729/26], [-226/13, -144/13], [15/13, 19/26]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[116, -15]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96982, 3], [52, 0], [0, 0]], [[26392, 3/2], [1214762330697/1879, -3643588210809/1879], [-651091925/1879, 1953666605/1879], [26392/1879, 3/3758]], [[1342245000, -508375814], [342550331490549909/1879, -277064091561736275/3758], [-183660121785965/1879, 148550003563665/3758], [1342245000/1879, -508375814/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3223105745/1879, 76997/3758], [-156043/1879, -3/3758], [0, 0]], [[-190434, -1/2], [-13477154404466868/24427, 4494960304565427/48854], [652482785586/24427, -217619785273/48854], [-190434/24427, -1/48854]], [[-56376211508, 42704221965/2], [-4997786837862356125020/24427, 1924463089568495374488/24427], [241962976566919670/24427, -93171008669575011/24427], [-56376211508/24427, 42704221965/48854]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[584, -262]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-52, -3/2], [3804/59, 519/118], [-52/59, -3/118], [0, 0]], [[-106890, 16828], [663143992/3127, -103112859/6254], [-106890/59, 16828/59], [107638/3127, -1/6254]], [[-3458919436, 2853705379/2], [19112149921704/3127, -16196745258703/6254], [-3458919436/59, 2853705379/118], [2730545996/3127, -1195120671/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -5/2], [-8292/59, 7001/118], [-8/59, -5/118], [0, 0]], [[0, 0], [-2388982/53, 12973/106], [0, 0], [-57606/3127, 1/6254]], [[0, 0], [3041781174/53, -2660536139/106], [0, 0], [73001018/3127, -63931921/6254]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[408, -146]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[170, 3/2], [-854/59, -873/118], [170/59, 3/118], [0, 0]], [[26668, 27140], [-282246/53, -482707/106], [452, 460], [-3960/3127, 3/6254]], [[-1298562, 770298], [411143542/3127, -611933375/6254], [-1298562/59, 770298/59], [-402402/3127, 292523/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[568, 1/2], [260574/59, 2541/118], [568/59, 1/118], [0, 0]], [[-1088928, -2176488], [-332971239534/40651, -1384125797501/81302], [-1088928/59, -2176488/59], [-233692/40651, -3/81302]], [[-230637979152, 109963082844], [-74811939219397694/40651, 71003028967614333/81302], [-230637979152/59, 109963082844/59], [25968172520/40651, -18877903535/81302]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[408, -146]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[184, -3/2], [-5636/59, -3375/118], [184/59, -3/118], [0, 0]], [[4230378, 5517773/2], [-12479701814/3127, -8043527107/3127], [4230378/59, 5517773/118], [5908/3127, 5/6254]], [[758788446, 1514219421/2], [-2719527221530/3127, -4045863310413/6254], [758788446/59, 1514219421/118], [20508608/3127, -7454880/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, 1/2], [8526/59, -11147/118], [-22/59, 1/118], [0, 0]], [[216294, 263907/2], [954207954/689, 457693349/689], [3666, 4473/2], [44124/40651, -5/81302]], [[-902084040, -396749925/2], [-10654232107080/689, 4094211634059/1378], [-15289560, -6724575/2], [-1628032520/40651, 591746512/40651]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[408, -146]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-126, -5/2], [7992/59, -433/118], [-126/59, -5/118], [0, 0]], [[63334, 31614], [-61149428/3127, -183906945/6254], [63334/59, 31614/59], [54966/3127, 1/6254]], [[204418718, -34564729], [857312209968/3127, -855375971587/6254], [204418718/59, -34564729/59], [648462518/3127, -471843409/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[354, 0], [1988, 5], [6, 0], [0, 0]], [[4906840, -244305/2], [1422573367398/40651, -25137722842/40651], [4906840/59, -244305/118], [687594/40651, 5/81302]], [[12300404780, -4503072765], [3529941969735186/40651, -2579381552016613/81302], [12300404780/59, -4503072765/59], [28193782/689, -20496699/1378]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[80, -22]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1379, -1/2], [-2004758/3127, -2171/3127], [1379/59, -1/118], [833/3127, -3/6254]], [[-581576, 170812], [844047940/3127, -494919535/6254], [-581576/59, 170812/59], [-351900/3127, 207075/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[760, 3/2], [228125/59, -283/118], [760/59, 3/118], [0, 0]], [[540443, 3121537/2], [256906165736/40651, 321542102646/40651], [540443/59, 3121537/118], [-240433/40651, -5/81302]], [[-143478484337, 104771490212], [-13400152857743425/40651, 16840308568170697/40651], [-143478484337/59, 104771490212/59], [-26688896129/40651, 7835842055/40651]]], 1, 168, [], [] >,
< [ -4, -1, 1 ], [[211784, -82678]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1210, -945/2], [1024, -805/2], [1210, -945/2], [0, 0]], [[-29400, 11478], [-24935, 19591/2], [-29290, 11533], [5, 5/2]], [[330, -175/2], [4292, 4989/2], [6754, 8053/2], [292, 187]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2374, -1853/2], [25984, -20383/2], [2374, -1853/2], [0, 0]], [[43985, -17161], [6267757/13, -4887407/26], [570994/13, -223025/13], [35/13, -3/26]], [[-50090, 73485/2], [-4367942/13, 14013725/26], [-1055706/13, 435401/26], [19800/13, 12716/13]]], 0, 1344, [], [] >,
< [ -4, -1, 1 ], [[-180, 63]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -3/2], [6, -3/2], [-40, 17], [0, 0]], [[-110, -66], [-2050/19, -1260/19], [-206, -199/2], [-10/19, 3/38]], [[11, 51/2], [341/19, 861/38], [-98, 175/2], [-33/19, 27/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[88, 2], [96, -1], [8, -3], [0, 0]], [[-2049, -222], [-5354107/247, -59160/247], [-14510/13, -203/26], [-1681/247, -3/494]], [[8506685, -8063987/2], [26974512015/247, -24052261977/494], [73638774/13, -65519905/26], [8624605/247, -7649257/494]]], 0, 640, [], [] >,
< [ -4, -1, 1 ], [[-216, 18]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, -1/2], [244, -95], [-14, -1/2], [0, 0]], [[205592, 262073/2], [-321726/13, 17791/26], [205592, 262073/2], [100/13, 1/26]], [[-27008306, -30395927/2], [716817082/13, -531238843/26], [-27008306, -30395927/2], [-212510/13, 156289/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, 3/2], [388, -187], [18, 3/2], [0, 0]], [[-36296, -47105/2], [2147362/13, 2409375/26], [-471876/13, -612347/26], [4/13, -3/26]], [[528, 341], [-2332, -1369], [528, 341], [0, 0]]], 0, 2560, [], [] >,
< [ -4, -1, 1 ], [[-72, 54]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-16, 13/2], [-20, 19/2], [-32, 13], [0, 0]], [[-255, 215/2], [-6647/19, 5777/38], [-542, 439/2], [23/19, -5/38]], [[594, 488], [23004/19, 17571/19], [476, 530], [576/19, 362/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, -7/2], [106, -93/2], [16, -7], [0, 0]], [[-1075, -113/2], [3017497/247, -377317/494], [2974/13, -3041/26], [-1219/247, -1/494]], [[-464972, -298823], [964760578/247, 621380530/247], [-357386/13, -446237/26], [-464942/247, -598105/494]]], 0, 1920, [], [] >,
< [ -4, -1, 1 ], [[144, -54]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-22, 7/2], [-424/13, 14/13], [-114, -9/2], [36/13, 2/13]], [[51, -49/2], [770/13, -875/26], [347/2, -112], [-105/26, 35/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22, 5/2], [-222, -28], [22, 5/2], [0, 0]], [[-12288, 7424], [1557128/13, -1922309/26], [-319593/26, 193009/26], [3/26, 0]], [[418816, -157056], [-53670701/13, 40171401/26], [10890491/26, -4084091/26], [-49/26, 11/13]]], 1, 80, [], [] >,
< [ -4, -1, 1 ], [[-72, 54]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-16, -1], [30, -17], [-16, -1], [0, 0]], [[5380, 3305], [38412/13, 71985/26], [5380, 3305], [-110/13, -5/26]], [[735, -4817/2], [-246244/13, 76118/13], [735, -4817/2], [-1335/13, 539/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-28, -2], [110, -131], [-28, -2], [0, 0]], [[106464, 68576], [9521232/13, 12065271/26], [1383991/13, 891497/13], [-3/13, -1/26]], [[-498982, -401515/2], [-15237282/13, -58133229/26], [-499766, -400899/2], [-406/13, 329/26]]], 0, 640, [], [] >,
< [ -4, -1, 1 ], [[-72, 54]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-26, -5/2], [4, -2], [-26, -5/2], [0, 0]], [[-104, -39/2], [354/13, -225/26], [-104, -39/2], [-20/13, 5/26]], [[-7, 5/2], [94/13, -69/26], [-7, 5/2], [-7/13, 5/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, -1/2], [184, 16], [-22, -1/2], [0, 0]], [[-10168, -4464], [1221874/13, 1165395/26], [-132217/13, -58007/13], [1/13, 5/26]], [[1431332, -505176], [-10855282, 7439399/2], [1433717, -506113], [95, -77/2]]], 0, 640, [], [] >,
< [ -4, -1, 1 ], [[6408, -2502]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[124, -48], [342, -141], [372, -144], [0, 0]], [[-31262, 24505/2], [-89321, 33975], [-93756, 73521/2], [5, 1/2]], [[17342, -26767/2], [186274, 100203/2], [50058, -82797/2], [-328, -208]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1/2], [480, 9/2], [-6, 3/2], [0, 0]], [[0, 0], [-26501/13, -3264/13], [3570/13, 42/13], [-85/13, -1/13]], [[0, 0], [8871789/13, -18813129/26], [-1788318/13, 1325079/13], [42579/13, -63099/26]]], 0, 640, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4490, 1753], [18, -7], [0, 0]], [[-2, 5/2], [-1280, 500], [8, 3], [-2, 5/2]], [[-1097, -1405/2], [-200, -126], [-3907, -2502], [-1097, -1405/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, 34], [-10, 4], [0, 0]], [[3, -3/2], [192, -78], [53, -22], [3, -3/2]], [[-89, -57], [-838, -537], [-359, -230], [-89, -57]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2034, -795], [-34, 13], [0, 0]], [[3, 2], [127608, -49834], [-2133, 839], [3, 2]], [[983, 1259/2], [-8216, -2510], [1949, 1202], [983, 1259/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5232, 2043], [104, -41], [0, 0]], [[1, -5/2], [754258, -294476], [-15059, 5876], [1, -5/2]], [[54912, 35165], [589726, 378407], [72022, 46107], [54912, 35165]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-110, 43], [74, -29], [0, 0]], [[-1/2, -1/2], [93, -37], [-231/4, 91/4], [1/4, -1/4]], [[203/2, 65], [89, 57], [-39/4, -25/4], [89/4, 57/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-202, 79], [-18, 7], [0, 0]], [[-17/2, -11/2], [-56, 22], [-27/4, -17/4], [-7/4, -5/4]], [[-260, -333/2], [4, 2], [-203, -130], [-57, -73/2]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[48, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1740, -679], [-100, 39], [0, 0]], [[4, 3], [-1774, 693], [116, -39], [2, 1]], [[-4, -3/2], [-3966, 1548], [483/2, -197/2], [-1/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-312, 123], [-16, 5], [0, 0]], [[-6, -7/2], [-1106, 395], [-38, 26], [-2, -3/2]], [[-12, 3/2], [-29474, 11486], [-2675/2, 1057/2], [9/2, -3]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[48, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[3, 3/2], [-351, 146], [0, 0], [3, 3/2]], [[-4, -5/2], [34, -27], [0, 0], [-4, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[5, 1], [845, -331], [0, 0], [5, 1]], [[300, 383/2], [122, -165], [0, 0], [300, 383/2]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [996, -389], [-592, 231], [0, 0]], [[5, -3/2], [-117196, 91497/2], [69559, -54315/2], [5, -3/2]], [[4281, 5483/2], [-33044, -42223/2], [-23817, -30563/2], [4281, 5483/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1244, 483], [0, -1], [0, 0]], [[0, 1/2], [14, -55/2], [0, -1/2], [0, 1/2]], [[-9, 11/2], [708, -727/2], [9, -11/2], [-9, 11/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [204, -78], [24, -8], [0, 0]], [[12, 0], [-38, 38], [-24, 6], [6, 0]], [[105/2, 67/2], [260, 167], [-147/4, -93/4], [105/4, 67/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, -26], [6, -4], [0, 0]], [[39/2, 5/2], [-1092, 433], [-597/4, 197/4], [39/4, 5/4]], [[-6745/2, -4275/2], [224, -2376], [13195/4, 7161/4], [-6745/4, -4275/4]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1456, -566], [16, -4], [0, 0]], [[0, 0], [-8886, 3445], [-287/2, 1/2], [-23/2, -5/2]], [[0, 0], [-42, -779], [-1748, -1127], [-218, -140]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1396, 541], [12, -1], [0, 0]], [[0, 0], [24662, -9433], [-627/2, -99/2], [-3/2, -5/2]], [[0, 0], [-13676, 69], [9149/2, 5753/2], [153/2, 99/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[0, 0], [289, -115], [0, 0], [17, -9]], [[0, 0], [7565, -2963], [0, 0], [493, -203]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [143, -53], [0, 0], [-5, 1]], [[0, 0], [-9, 3], [0, 0], [3, -1]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4238, -1652], [-22, 6], [0, 0]], [[0, 0], [-401634, 156926], [1721, -815], [11, -5]], [[0, 0], [-646346, 252677], [2626, -1403], [16, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5188, 2017], [-20, 5], [0, 0]], [[0, 0], [10686, -4147], [30, -5], [-12, 4]], [[0, 0], [3558, -1381], [11, -2], [-3, 1]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5140, -1999], [4, 1], [0, 0]], [[0, 0], [952966, -372021], [272, -105], [-10, 6]], [[0, 0], [-4, -4], [-1, -1], [-1, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [240, -97], [16, -3], [0, 0]], [[0, 0], [-2626, 1026], [-145, 55], [-7, 3]], [[0, 0], [-12, 4], [3, -1], [3, -1]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1184, 462], [4, -2], [0, 0]], [[0, 0], [-2, 0], [-1, 1], [1, 0]], [[0, 0], [0, 2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, 56], [-5456, 2130], [0, 0]], [[0, 0], [2, 0], [3, 1], [1, 0]], [[0, 0], [-404, 158], [-15600, 6090], [0, 0]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[48, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1066, -416], [118, -46], [0, 0]], [[5, 1/2], [-5972, 2302], [-577, 234], [5, 1/2]], [[-15418, -19747/2], [184868, 118375], [-54996, -35220], [-15418, -19747/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8266, 3227], [146, -57], [0, 0]], [[3, 1/2], [-612, 260], [5, 4], [3, 1/2]], [[6012, 3850], [75816, 48558], [21412, 13712], [6012, 3850]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[48, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [480, -188], [220, -86], [0, 0]], [[0, 3/2], [-11197, 4438], [-10295/2, 4049/2], [3/2, 0]], [[8, -5/2], [54247, -21151], [49717/2, -19397/2], [-9/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-304, 119], [-428, 167], [0, 0]], [[10, 3], [1049, -402], [2911/2, -1145/2], [1/2, 5/2]], [[18, -19/2], [6086, -4757/2], [8530, -6657/2], [-14, 9/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[48, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [966, -377], [-74, 29], [0, 0]], [[-8, -1/2], [1, -4], [21/2, -11/2], [3/2, -2]], [[138, 46], [55, 78], [-143/2, 133/2], [23/2, 69/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-834, 326], [-194, 76], [0, 0]], [[2, 5/2], [4900, -3819/2], [1132, -883/2], [2, 1/2]], [[0, -5/2], [-10713, 8359/2], [-4951/2, 966], [-5/2, 0]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[48, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-638, 249], [18, -7], [0, 0]], [[-6, -5/2], [142, -76], [-5, -1], [-1, -3/2]], [[88, -55/2], [-10041, 3949], [275/2, -99/2], [-99/2, 22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-404, 157], [-520, 203], [0, 0]], [[4, 2], [10, 6], [3, 3], [1, 1]], [[-4, 3/2], [1, -1/2], [15/2, -3], [5/2, -1]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[8, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[-1, -2], [-33/2, -7/2], [3/4, -7/4], [-7/4, -1/4]], [[1, 1/2], [7/2, 5/2], [3/4, 1/4], [1/4, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[-5, -3/2], [-57/2, 11], [1/4, 5/4], [-1/4, -5/4]], [[30, 18], [21, -7], [-21/2, -15/2], [21/2, 15/2]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[64, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2018, -797], [-10, 1], [0, 0]], [[0, 0], [56920, -22110], [-171, 107], [-11, 3]], [[0, 0], [-1066400, 417052], [4207, -1373], [175, -77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1934, 757], [-26, 9], [0, 0]], [[0, 0], [-23774, 9254], [-306, 136], [-16, 6]], [[0, 0], [3996, -1640], [101, 9], [1, -1]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[24, -8]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 2], [1, 0], [0, 0]], [[0, 0], [-97/2, 43/2], [-3/4, -5/4], [3/4, 5/4]], [[0, 0], [77, -38], [7/2, 7/2], [-7/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-79/2, 29/2], [-13/4, -3/4], [13/4, 3/4]], [[0, 0], [-35, 16], [7/2, 7/2], [-7/2, -7/2]]], 0, 12, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [650, -253], [18, -5], [0, 0]], [[0, 0], [-344843, 134728], [-16469/2, 7019/2], [-3/2, -1/2]], [[0, 0], [94529, -30631], [38403/2, 20089/2], [-123/2, -79/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [604, -240], [-12, 4], [0, 0]], [[0, 0], [129, 69], [31/2, 21/2], [1/2, 5/2]], [[0, 0], [9502, 6079], [1316, 843], [214, 138]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, -30], [-28, 10], [0, 0]], [[0, 0], [-9329, 3532], [6521/2, -2351/2], [-9/2, -3/2]], [[0, 0], [6813, -5770], [-1409/2, 6055/2], [-175/2, -115/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, -44], [-32, 12], [0, 0]], [[0, 0], [190, -86], [-61, 27], [5, 0]], [[0, 0], [-51, -48], [27/2, 27/2], [21/2, 13/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -14], [52, -22], [0, 0]], [[0, 0], [-1846, 705], [-3411, 1336], [3, 2]], [[0, 0], [-1453, 520], [-5229/2, 2063/2], [17/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [190, -69], [-10, 5], [0, 0]], [[0, 0], [1830, -702], [-115, 47], [3, -1]], [[0, 0], [2715, 1868], [977/2, 609/2], [79/2, 51/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[128, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [348, -136], [-6568, 2564], [0, 0]], [[0, 0], [2, 1], [3, 2], [1, 0]], [[0, 0], [2068, -814], [-39200, 15300], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [404, -158], [-3904, 1524], [0, 0]], [[0, 0], [2, 1], [3, 0], [1, 0]], [[0, 0], [-2856, 1120], [27576, -10764], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [276, -107], [-8, -5], [0, 0]], [[0, 0], [-2, 0], [-1, 0], [1, 0]], [[0, 0], [28, -11], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, 30], [276, -107], [0, 0]], [[0, 0], [2, 0], [-1, 0], [1, 0]], [[0, 0], [-388, 157], [1428, -545], [0, 0]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [110, -41], [10, -1], [0, 0]], [[-35/2, -5/2], [-3589, 1463], [-755/4, 535/4], [-35/4, -5/4]], [[189/2, 135/2], [-3609, 715], [-3411/4, -1365/4], [189/4, 135/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -15], [-12, 1], [0, 0]], [[-13/2, 1/2], [8982, -3385], [-9769/4, 4165/4], [-13/4, 1/4]], [[-109/2, -75/2], [-1536, 4089], [15407/4, 4081/4], [-109/4, -75/4]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[32, -24]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -12], [-160, 62], [0, 0]], [[-5, -5/2], [2308, -1841/2], [-12435, 9635/2], [-5, -5/2]], [[121, 155/2], [572, 647/2], [783, 1459/2], [121, 155/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-388, 152], [528, -206], [0, 0]], [[-4, 2], [22684, -8844], [-30764, 12014], [-4, 2]], [[349, 447/2], [8504, 10849/2], [3063, 3981/2], [349, 447/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[48, -4]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, 28], [-6, -1], [0, 0]], [[0, 0], [-4390, 3433/2], [-182, 70], [0, -3/2]], [[0, 0], [-32, -41/2], [0, 0], [32, 41/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-454, 179], [-14, 6], [0, 0]], [[0, 0], [1530, -1231/2], [46, -24], [-8, 3/2]], [[0, 0], [-34436, -44519/2], [-11490, -7365], [-3094, -3961/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[912, -356]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, -23], [54, -21], [0, 0]], [[4, 3], [-84, 77/2], [-82, 34], [2, 1/2]], [[-1/2, -1/2], [-1, -1/2], [1/2, -1/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -7], [-26, 10], [0, 0]], [[13/2, 5/2], [-2174, 1723/2], [7441/2, -2893/2], [-3/2, 2]], [[-279/2, -155/2], [15200, -12537/2], [-53055/2, 20401/2], [-31/2, -31]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[11568, -4516]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [428, -167], [-68, 27], [0, 0]], [[0, 0], [-1154, 457], [194, -67], [4, 1]], [[0, 0], [146, 187/2], [203, 130], [57, 73/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 7], [10, -3], [0, 0]], [[0, 0], [-2674, 2123/2], [1337, -510], [3, 3/2]], [[0, 0], [436, -733], [-855, -49], [-83, -53]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[6824, -2664]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-605/2, 249/2], [0, 0], [3/2, 1/2]], [[0, 0], [104, 45], [0, 0], [14, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [421/2, -171/2], [0, 0], [11/2, 3/2]], [[0, 0], [137/2, 27/2], [0, 0], [-85/2, -55/2]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[-4672, 1824]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [484, -191], [-14, 5], [0, 0]], [[0, 0], [-1, 0], [0, 0], [1, 0]], [[0, 0], [348, -132], [-8, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1420, -552], [-14, 6], [0, 0]], [[0, 0], [1, 2], [0, 0], [1, 0]], [[0, 0], [44, -25], [-2, -1], [0, 0]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[48, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-116, 43], [0, -2], [0, 0]], [[0, 0], [447, -187], [-27/2, -7/2], [-5/2, 3/2]], [[0, 0], [231, 98], [259/2, 167/2], [-15/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-410, -14], [-6, 3], [0, 0]], [[0, 0], [-2020494/13, -1960234/13], [26626/13, -217/13], [72/13, 1/13]], [[0, 0], [407909/13, -51139410/13], [2950749/26, -774457/26], [7799/26, -1965/26]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[48, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 5], [76, -30], [0, 0]], [[0, 0], [-1071, 387], [16207/2, -6309/2], [-15/2, -5/2]], [[0, 0], [-521, -401], [-679/2, 613/2], [-201/2, -129/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-436, -7], [0, 1], [0, 0]], [[0, 0], [-26069/13, 564/13], [873/26, -9/26], [-97/26, 1/26]], [[0, 0], [-181232/13, 40822/13], [3006/13, -657/13], [-334/13, 73/13]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[48, -20]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 12], [40, -15], [0, 0]], [[0, 0], [15, -6], [-29/2, 13/2], [1/2, 1/2]], [[0, 0], [0, 1], [0, -1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-448, 5], [4, -3], [0, 0]], [[0, 0], [193041/13, 732961/13], [39141/26, -511/26], [71/26, -1/26]], [[0, 0], [-227509640/13, 225269316/13], [8762330/13, -2174123/13], [15910/13, -3956/13]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[8, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-73/2, 3/2], [-19/4, -1/4], [19/4, 1/4]], [[0, 0], [15/2, 9/2], [5/4, 3/4], [-5/4, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, 0], [1, 0], [0, 0]], [[0, 0], [60545/26, -161/26], [-1809/52, 9/52], [201/52, -1/52]], [[0, 0], [-1839090/13, 21685/13], [27477/13, -387/13], [-3053/13, 43/13]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[-144, 60]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -5/2], [2, -5/2], [260, -102], [0, 0]], [[3836, 4935/2], [3831, 4935/2], [348, 1007], [-1/3, 0]], [[-4704, -3577], [-86301/19, -69113/19], [37636, -16253], [205/19, -230/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[188, 5/2], [-36, 181/2], [-224, 88], [0, 0]], [[312008, 201928], [78734581/247, 49852068/247], [83820/13, -1399/13], [119/741, 4/741]], [[3322008, 2749248], [1138842438/247, 562640805/247], [16040328/13, -5870465/13], [21142/741, -2541/247]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[-384, 144]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 2], [-292, 114], [0, 0]], [[0, 0], [1219/19, -47/19], [44, 5], [23/19, 2/57]], [[0, 0], [-115441/19, -74337/19], [-5980, -3841], [-2599/19, -5014/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-492, 192], [-148, 58], [0, 0]], [[0, 0], [-2292070/247, 260752/247], [972/13, 4141/13], [892/741, 1/247]], [[0, 0], [-457708197/247, -292770747/247], [3260224/13, 2088501/13], [253471/741, 162208/741]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-240, 84]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -5], [24, -9], [0, 0]], [[0, 0], [-4174/13, 569/26], [-212, 34], [-54/13, -5/78]], [[0, 0], [-1723078/13, -2199501/26], [-62546, -39842], [-84172/39, -35851/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-580, 205], [16, -1], [0, 0]], [[0, 0], [1536332/13, 941528/13], [-367078/13, -234228/13], [2/39, 1/39]], [[0, 0], [603182/13, -7236985/26], [55876, 41929], [22/39, -25/78]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-144, 60]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 4], [-168, 66], [0, 0]], [[0, 0], [60/19, -161/19], [316, -124], [-26/57, 2/57]], [[0, 0], [32371/19, 20858/19], [-54, 349/2], [1937/57, 819/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [270, -108], [-240, 94], [0, 0]], [[0, 0], [-3334883/247, 969294/247], [130516/13, -49369/13], [-61/247, -2/741]], [[0, 0], [56088609/247, 40132557/247], [-111346/13, -503507/26], [13133/741, 5711/494]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[-144, 60]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 11], [-8, -5], [0, 0]], [[0, 0], [2618/13, -2195/26], [23, 3], [43/39, -1/78]], [[0, 0], [-136546/13, 108165/26], [-700, 150], [-1550/39, 875/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [272, -105], [56, -22], [0, 0]], [[0, 0], [-26386/13, 20295/26], [-5703/13, 2075/13], [-1/13, -5/78]], [[0, 0], [-10094/13, 12018/13], [3940/13, 6437/13], [188/39, 40/13]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[-144, 60]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -8], [-40, 15], [0, 0]], [[0, 0], [-38/13, -101/26], [-5, 7], [19/39, 5/78]], [[0, 0], [838/13, 1045/26], [-70, -39], [-40/13, -55/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, -32], [28, -11], [0, 0]], [[0, 0], [7890/13, -6101/26], [2655/13, -1008/13], [1/13, -1/78]], [[0, 0], [-3116/13, -1273/13], [-2557/13, -1396/13], [-55/39, -35/39]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[24, -12]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-142/13, 3/26], [23, -3], [19/39, 5/78]], [[0, 0], [-36/13, -511/26], [-29/2, 71/2], [49/78, 40/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [131, -54], [40, -17], [0, 0]], [[0, 0], [-29699/13, 21023/26], [-9364/13, 3151/13], [-2/39, 1/26]], [[0, 0], [-1941/13, -254/13], [-1509/26, -353/26], [1/78, 1/78]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[9744, -3804]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -3], [436, -170], [0, 0]], [[0, 0], [195, -175/2], [8510, -3320], [5, -1/2]], [[0, 0], [-4910, -3186], [2628, -39], [632, 404]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5700, 2373], [336, -131], [0, 0]], [[0, 0], [-2179682/13, -3095175/26], [-12616/13, 1847/13], [-76/13, -5/26]], [[0, 0], [-10854199/13, -2725249/26], [347778/13, -142957/13], [1581/13, -1385/26]]], 0, 240, [], [] >,
< [ -4, -1, 1 ], [[128, -16]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27682/59, 469/59], [252/59, -1/59], [0, 0]], [[0, 0], [556772127/3127, 118637072/3127], [474810/59, -19299/59], [185957/40651, -3/40651]], [[0, 0], [-620258035895/3127, -46154283893/3127], [-601120946/59, 92183800/59], [-230899881/40651, 27853584/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1556/59, -230/59], [204/59, 2/59], [0, 0]], [[0, 0], [-894954133/3127, 1510028/3127], [-256666/59, 10621/59], [-145017/40651, -4/40651]], [[0, 0], [4142001490854/3127, -289274776973/3127], [1200770120/59, -126872641/59], [670849300/40651, -45801800/40651]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[136, -56]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1519/59, 342/59], [-231/59, -4/59], [0, 0]], [[0, 0], [-72689794/3127, -18788401/3127], [-156860/59, -117415/59], [-475991/40651, -5/40651]], [[0, 0], [498578348761/3127, -232142237669/3127], [-464702580/59, 39362200/59], [5730439866/40651, -2384853416/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6081/59, 2611/59], [215/59, 5/59], [0, 0]], [[0, 0], [-419895, 1866], [969, 608], [-10, 0]], [[0, 0], [186089106397/106, -77885253669/106], [208278, 219450], [3374056639/81302, -1413978231/81302]]], 0, 144, [], [] >,
< [ -4, -1, 1 ], [[128, -16]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7692/59, -596/59], [-440/59, -2/59], [0, 0]], [[0, 0], [-1281026565/3127, -251651/3127], [-224/59, -222/59], [-394689/40651, -5/40651]], [[0, 0], [-6519470097118/3127, 577225635921/3127], [-739134/59, -928521/59], [-2008803734/40651, 178181766/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20012/59, 5071/59], [-338/59, -1/59], [0, 0]], [[0, 0], [2904191656/3127, 1199220270/3127], [1722448/59, 1100372/59], [-336740/40651, -2/40651]], [[0, 0], [8234967550843/3127, 2861410456763/3127], [4488815240/59, 2864858906/59], [-1096082191/40651, 85507001/40651]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[16, -28]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [734/59, -127/59], [284/59, -3/59], [0, 0]], [[2883, 1/2], [4921355/3127, -419695/6254], [4288/59, -2719/118], [2883/40651, 1/81302]], [[-202257, 77058], [-367810091/3127, 140699794/3127], [-446406/59, 173741/59], [-202257/40651, 77058/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2644/59, 233/59], [960/59, -1/59], [0, 0]], [[113304, -3/2], [-552244326/3127, -137132289/6254], [94778/59, -865769/118], [113304/40651, -3/81302]], [[94320207, -71512621/2], [-373157821671/3127, 277666566151/6254], [625321192/59, -507303655/118], [94320207/40651, -71512621/81302]]], 0, 576, [], [] >,
< [ -4, -1, 1 ], [[3576, -1396]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3385/59, 820/59], [-381/59, -2/59], [0, 0]], [[-84736, -2], [1118126717/6254, -9320515/6254], [-28132/59, -22181/59], [-197489/81302, 1/81302]], [[-130, 127/2], [29233/106, -14279/106], [0, 0], [-303/81302, 74/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7301/59, 2938/59], [123/59, -4/59], [0, 0]], [[-54800, -2], [-764644807/6254, -21610179/6254], [-114256/59, -71447/59], [-127719/81302, -1/81302]], [[-585105846, 410820141/2], [-7840585514067/6254, 2716618577067/6254], [-148678580/59, -66758397/59], [-1363725219/81302, 239381013/40651]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[16, -28]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13168/59, -475/59], [-692/59, -1/59], [0, 0]], [[-14415, -5/2], [-775193093/3127, -356981318/3127], [-639642/59, -320800/59], [-14415/40651, -5/81302]], [[71501261, -54307721/2], [1155547852179/3127, -362141892058/3127], [755709840/59, -218067840/59], [5500097/3127, -4177517/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1088/59, -127/59], [48/59, -3/59], [0, 0]], [[127719, 1], [-727829575/3127, -743896/3127], [-690/59, -687/59], [127719/40651, 1/40651]], [[4474909077, -3399068275/2], [-25461777349679/3127, 9669057942821/3127], [12391700/59, -5747075/59], [4474909077/40651, -3399068275/81302]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[464, -188]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -4], [-10, 1], [0, 0]], [[0, 0], [412946542/1879, -63917/3758], [-88, 44], [-275754/24427, -5/48854]], [[0, 0], [-270333983662/1879, -139234697349/1879], [-1738, -13970], [180553536/24427, 93000636/24427]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [430, -168], [-2, 1], [0, 0]], [[0, 0], [-10855127992/24427, 3106658/24427], [196616/13, 32/13], [-53180/24427, -1/24427]], [[0, 0], [26936573057146/24427, 35056919104919/48854], [-488465424/13, -317850092/13], [132068918/24427, 13221475/3758]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[16, -28]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -1], [-8, 0], [0, 0]], [[0, 0], [530932377/3127, 3892662/3127], [-263110/59, 24638/59], [-191723/40651, 2/40651]], [[0, 0], [-7962276014334/3127, 3022278917502/3127], [4558051180/59, -1747574147/59], [2907667830/40651, -1104602040/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [182052/59, 171/59], [-1620/59, -2/59], [0, 0]], [[0, 0], [2567016307052/40651, -36620711722/40651], [-430408104/767, 6024271/767], [-18274/40651, -1/40651]], [[0, 0], [-7265353934786331/3127, 2762986193502782/3127], [1217684415682/59, -463066986262/59], [658051663/40651, -249851714/40651]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[19888, -7764]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -11], [-80, 31], [0, 0]], [[0, 0], [13240, -10305/2], [-32284, 12599], [-2, -1/2]], [[0, 0], [885, 1065/2], [-282, -97], [-57, -73/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-450, 183], [-292, 114], [0, 0]], [[0, 0], [-1485/13, 522/13], [-942/13, 303/13], [5/13, 1/13]], [[0, 0], [7805/13, 9999/26], [2662/13, 1705/13], [-121/13, -155/26]]], 0, 336, [], [] >,
< [ -4, -1, 1 ], [[112, -36]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16471764/1879, -13139/1879], [8826/1879, 1/1879], [0, 0]], [[-26392, -3/2], [-35122455, 17545913], [18817, -9408], [-26392/1879, -3/3758]], [[278801280, -326575041/2], [1513200504036512/1879, -552666057020567/1879], [-811061705568/1879, 296156499328/1879], [278801280/1879, -326575041/3758]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20775, 2], [1, 0], [0, 0]], [[-219360, -5/2], [51450218181645/24427, 867418134369/24427], [-2470006057/24427, -41994860/24427], [-219360/24427, -5/48854]], [[-5208614928, 3050351700], [1173448769805024663/24427, -706921545133406313/24427], [-56314977167987/24427, 33934204797119/24427], [-5208614928/24427, 3050351700/24427]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[256, -112]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2096064/1879, 3786/1879], [-1138/1879, 2/1879], [0, 0]], [[0, 0], [-3960411396/1879, -1597122086/1879], [2137908/1879, 856402/1879], [1482/1879, 4/1879]], [[0, 0], [-700016923935/1879, 24690390150/1879], [380253735/1879, -14709120/1879], [506466/1879, -151646/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57852902/1879, -110791/1879], [2792/1879, 5/1879], [0, 0]], [[0, 0], [186154697764576/24427, -7273429920247/24427], [-8984161492/24427, 352088749/24427], [-126634/24427, -2/24427]], [[0, 0], [11105750551069825327/24427, -3464650764105944294/24427], [-536055843328001/24427, 167252630718922/24427], [-7217222602/24427, 2159160344/24427]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[144, -76]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13514/59, -283/59], [-250/59, 3/59], [0, 0]], [[0, 0], [893592198/3127, -324187017/6254], [-167040/59, 55593/59], [-1388042/40651, -5/81302]], [[0, 0], [58114079666392/3127, -25180774005536/3127], [-13275904896/59, 5311178001/59], [-66253129320/40651, 33100110438/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32274/59, 4067/59], [398/59, -1/59], [0, 0]], [[0, 0], [-19501492/3127, 64358967/3127], [-35140/59, -22088/59], [418044/40651, -2/40651]], [[0, 0], [-72531890456/3127, 39566430069/6254], [4875926/59, 3480366/59], [200035750/40651, -205260261/81302]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[112, -36]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2660/59, -138/59], [-724/59, -5/59], [0, 0]], [[0, 0], [1540251894/3127, 320861083/6254], [757220/59, 757321/59], [-458836/40651, -3/81302]], [[0, 0], [170381324196684/3127, -52160430030025/3127], [-32352241762/59, 32471983881/59], [-58935234834/40651, 19632070446/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-266620/59, 3603/59], [546/59, 1/59], [0, 0]], [[0, 0], [-5832095161910/40651, -6722549478089/81302], [17979420/59, 10424340/59], [-26336/40651, 1/81302]], [[0, 0], [35500472596610712/40651, 7865624693587236/40651], [-107277538050/59, -25332716550/59], [53056322/3127, -229649409/40651]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[112, -36]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28730/59, 1310/59], [458/59, 3/59], [0, 0]], [[0, 0], [-6668420912/3127, -9856910463/6254], [2369920/59, 1690500/59], [-191580/40651, 3/81302]], [[0, 0], [194921195890/3127, 2273470792135/3127], [-244164550/59, -720660150/59], [411251728/40651, -137216944/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [268396/59, 8811/59], [960/59, 5/59], [0, 0]], [[0, 0], [140641760236/689, 181490452805/1378], [682070, 440490], [346/40651, -5/81302]], [[0, 0], [73800177148956/40651, 50997752436133/40651], [355973398/59, 248300007/59], [21446/40651, -7141/40651]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[112, -36]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-414/59, -358/59], [-310/59, -1/59], [0, 0]], [[0, 0], [13938178/3127, 58505783/6254], [184212/59, 138057/59], [110278/40651, -3/81302]], [[0, 0], [-314298501358/3127, 186414822787/3127], [2378844/59, 384686523/59], [1383427972/40651, -461012494/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2446, -3], [-8, 0], [0, 0]], [[0, 0], [221669304546/40651, -11240347662/40651], [1044714/59, -54571/59], [-15148/40651, 1/40651]], [[0, 0], [83227141545632/767, -57205716270263/1534], [20828589826/59, -7164427182/59], [-5327970/767, 3549345/1534]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[24, -4]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-396688402/3127, -3475/6254], [-113894/59, 258/59], [180046/40651, 1/81302]], [[0, 0], [32500101845/53, -13487084807/106], [9348747, -1952936], [-870304613/40651, 361165895/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60237/59, 716/59], [-206/59, 2/59], [0, 0]], [[0, 0], [24434434158/40651, -1937617388/40651], [112288/59, -9219/59], [8894/40651, -1/40651]], [[0, 0], [2503864804512/40651, -1229904827257/81302], [11530425/59, -2850365/59], [857781/40651, -338643/81302]]], 1, 36, [], [] >,
< [ -4, -1, 1 ], [[56016, -21868]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [786, -306], [-356, 139], [0, 0]], [[0, 0], [-3070, 2649/2], [1456, -559], [2, 5/2]], [[0, 0], [3819, 4783/2], [274, 200], [107, 137/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2354, 885], [556, -217], [0, 0]], [[0, 0], [40163/13, -21854/13], [-12170/13, 4689/13], [79/13, 2/13]], [[0, 0], [2203633/13, 2790215/26], [17874/13, 15663/13], [-11615/13, -14909/26]]], 0, 336, [], [] >,
< [ -4, -1, 1 ], [[13392, -5228]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [310, -137], [100, -39], [0, 0]], [[0, 0], [-83, 100], [-38, 17], [3, 0]], [[0, 0], [373, 471/2], [14, 8], [7, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62002, 23961], [620, -242], [0, 0]], [[0, 0], [65580543/13, 80379775/26], [-28334/13, 376/13], [-63/13, -5/26]], [[0, 0], [5095163208/13, 947602887/13], [-23483016/13, 8690543/13], [-48212/13, 17612/13]]], 0, 432, [], [] >,
< [ -4, -1, 1 ], [[-80, 12]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 0], [-6, 0], [260, -102], [0, 0]], [[4600, 5935/2], [19094/3, 5935/2], [66360/11, 602/11], [2/33, 0]], [[612320, 398395], [3944465993/3873, 428660437/1291], [15181964/11, -2379447/11], [594239/42603, -32364/14201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[114, 2], [654, -208], [180, -70], [0, 0]], [[-238322, -151641], [-46110160949/50349, -7619940565/50349], [-4716156/143, 11993/143], [5201/50349, -4/553839]], [[95367776, 120640667/2], [8753561137202/16783, -24758009713/33566], [270043468/13, -430382795/143], [-11994522/184613, 1714881/184613]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[-128, 80]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-130, 50], [-44, 18], [0, 0]], [[0, 0], [-6071245/3873, -2299141/3873], [-85348/11, -2291/11], [-6013/42603, 2/42603]], [[0, 0], [106024479440/1291, 67901608734/1291], [2425404632/11, 1553673422/11], [53247702/14201, 34110798/14201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94, -38], [116, -46], [0, 0]], [[0, 0], [-7064062324/50349, 4566332/16783], [3294576/143, 50087/143], [-47104/553839, 1/184613]], [[0, 0], [-29946868646159/50349, -19152343303919/50349], [14582323632/143, 9326873321/143], [-200652149/553839, -128327204/553839]]], 0, 1728, [], [] >,
< [ -4, -1, 1 ], [[-32880, 12836]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [622, -237], [464, -181], [0, 0]], [[0, 0], [16144, -13425/2], [12404, -4855], [2, -5/2]], [[0, 0], [-32709, -42329/2], [-850, -708], [-135, -173/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10074, -4160], [-592, 231], [0, 0]], [[0, 0], [-3009663949/13, -1971365434/13], [-3930194/13, 13868/13], [7/13, 1/13]], [[0, 0], [1869019552, 2593583913/2], [6522468, -1567031], [-10, 3/2]]], 0, 480, [], [] >,
< [ -4, -1, 1 ], [[-176, 36]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -11], [24, -11], [0, 0]], [[0, 0], [-7204082/3873, 7681/2582], [10078/11, 366/11], [1624/42603, -1/28402]], [[0, 0], [12722486604/1291, 24433686109/3873], [-58598932/11, -37515133/11], [-2872984/14201, -5517605/42603]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2080, -866], [-20, -1], [0, 0]], [[0, 0], [-46018702386/16783, -36059887/100698], [16458460/143, -7998/143], [57910/184613, 5/1107678]], [[0, 0], [20096250808378/50349, -6825777203515/100698], [-2396793330/143, 408096255/143], [-25291148/553839, 8594447/1107678]]], 0, 1728, [], [] >,
< [ -4, -1, 1 ], [[-49520, 19332]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1186, -465], [236, -92], [0, 0]], [[0, 0], [-215061, 167995/2], [-42714, 16681], [5, 5/2]], [[0, 0], [1654, 5191/2], [220, 446], [374, 479/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24950, 9375], [264, -103], [0, 0]], [[0, 0], [-723393285/13, -444247656/13], [24650, 10], [85/13, 1/13]], [[0, 0], [509213083, 800548441/2], [676422, -367309], [175, -193/2]]], 0, 480, [], [] >,
< [ -4, -1, 1 ], [[102288, -39932]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8474, 3311], [-356, 139], [0, 0]], [[0, 0], [55138, -44177/2], [2332, -913], [-4, 5/2]], [[0, 0], [-203077, -130783], [-906, -611], [345, 221]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50654, -22261], [272, -106], [0, 0]], [[0, 0], [4397585275/13, 5851676331/26], [-881602/13, -2341/13], [55/13, -1/26]], [[0, 0], [74923584014/13, 36172531355/13], [53984400/13, -25957733/13], [-3444/13, 1640/13]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[39376, -15372]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2962, -1149], [-492, 192], [0, 0]], [[0, 0], [-1060, 863/2], [156, -59], [-4, 5/2]], [[0, 0], [817, 1033/2], [86, 56], [43, 55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-147674, 58460], [520, -203], [0, 0]], [[0, 0], [680055/13, 1117853/26], [230/13, 5/13], [-115/13, -5/26]], [[0, 0], [5599226/13, 9818715/26], [2272/13, -71/13], [-1136/13, 71/26]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[477360, -186356]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 11], [7516, -2934], [0, 0]], [[0, 0], [-12, -3], [4304, -1531], [-4, -1]], [[0, 0], [2691, 3447/2], [-52070, -33541], [897, 1149/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13528, 3706], [4752, -1855], [0, 0]], [[0, 0], [-18305435407/13, -23432884627/26], [3915682/13, -1552/13], [89/13, 5/26]], [[0, 0], [-30329549829848/13, -19381262127700/13], [18867674244/13, -4838082087/13], [416330/13, -100883/13]]], 0, 52992, [], [] >,
< [ -4, -1, 1 ], [[3221296, -1257556]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-356, 140], [-2016, 787], [0, 0]], [[0, 0], [-461, 331/2], [74, -185], [1, -5/2]], [[0, 0], [-475662, -304620], [-5131456, -3286118], [-69344, -44407]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9462, 4031], [-5164, 2016], [0, 0]], [[0, 0], [-10810720827/13, -6919109698/13], [-2962790/13, -3235/13], [85/13, 1/13]], [[0, 0], [-297030569737, -381001515635/2], [102092050, -71764758], [-2841, 4099/2]]], 0, 52992, [], [] >,
< [ -4, -1, 1 ], [[1536, -656]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -22], [-212, -10], [0, 0]], [[0, 0], [-18844891/3873, 524081/3873], [-9077224/11, -502336], [-2803/42603, -1/42603]], [[0, 0], [6671591407/3873, -940237457/1291], [-121427744/11, -239568479/11], [946765/42603, -134754/14201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-962, 40], [-320, 10], [0, 0]], [[0, 0], [16745671377/16783, 150219209/50349], [71239776/143, 13133/13], [-36873/184613, -4/553839]], [[0, 0], [-18697466328535/16783, 7942789749101/16783], [-79673746376/143, 33834666808/143], [41378241/184613, -17559929/184613]]], 0, 34560, [], [] >,
< [ -4, -1, 1 ], [[656, -220]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -3/2], [-8, -3/2], [440, 10], [0, 0]], [[1950, 0], [2681564/1291, -13235/3873], [-1283248/11, 16791], [62/14201, -5/42603]], [[1350, -550], [5564719/3873, -2267794/3873], [-1098200/11, 438197/11], [127/42603, -52/42603]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-104, 0], [244, -18], [116, -6], [0, 0]], [[15100, 1685/2], [-5771388860/50349, 79984555/100698], [19376780/143, -5901/143], [-33752/553839, 5/553839]], [[1911530, -614560], [-265631916437/16783, 89281618548/16783], [2651979904/143, -887572955/143], [-1539487/184613, 515188/184613]]], 0, 5760, [], [] >,
< [ -4, -1, 1 ], [[332848, -129940]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-110, 45], [-1944, 759], [0, 0]], [[0, 0], [156, -75/2], [2104, -846], [0, 5/2]], [[0, 0], [5219, 6675/2], [-5394, -3529], [555, 711/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23598, -8303], [-4252, 1660], [0, 0]], [[0, 0], [-47320682509/13, -60672020419/26], [-9510838/13, -12621/13], [-35/13, 3/26]], [[0, 0], [-5453242180188/13, -7052132770619/26], [-6582971352/13, 2138282050/13], [-25620/13, 17185/26]]], 0, 8640, [], [] >,
< [ -4, -1, 1 ], [[2160, -884]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -7], [-224, 89], [0, 0]], [[0, 0], [-2262946/1291, -7720115/7746], [-1043612/11, 126472/11], [114/1291, 1/85206]], [[0, 0], [13287052442/3873, 17018308973/7746], [52085798, 367366738/11], [-2997100/42603, -3841405/85206]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-688, 260], [-16, 5], [0, 0]], [[0, 0], [-1304732898/16783, 120785895/33566], [676842/143, 306/143], [-1180/184613, -1/369226]], [[0, 0], [-11228284566636/16783, 13660157141069/50349], [5410857340/143, -2212500332/143], [-9433676/184613, 11572232/553839]]], 0, 34560, [], [] >,
< [ -4, -1, 1 ], [[754992, -294740]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-122, 50], [976, -381], [0, 0]], [[0, 0], [-206, 98], [0, -22], [0, 1]], [[0, 0], [-6119, -7839/2], [7678, 4917], [-349, -447/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2316, -3], [3596, -1404], [0, 0]], [[0, 0], [12615842924/13, 8080591407/13], [463344, 19], [-6/13, 1/13]], [[0, 0], [996961332563/13, 1283116995203/26], [590958850, -216365946], [-9521/13, 7221/26]]], 0, 8640, [], [] >,
< [ -4, -1, 1 ], [[55216, -21556]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -8], [-496, 193], [0, 0]], [[0, 0], [22, 51/2], [460, -300], [4, 5/2]], [[0, 0], [5, 5/2], [-30, -15], [1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6634, 3000], [-1532, 599], [0, 0]], [[0, 0], [-1318878459/13, -1643777065/26], [-7744522/13, 1678/13], [89/13, 5/26]], [[0, 0], [38881382265/13, 61290040717/13], [-7546283478/13, 3118834447/13], [82665/13, -34402/13]]], 0, 6912, [], [] >,
< [ -4, -1, 1 ], [[512, -272]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1088/59, 1761/59], [284/59, -3/59], [0, 0]], [[0, 0], [1128121119/3127, 715263682/3127], [1057254/59, 655617/59], [4591/3127, -3/3127]], [[0, 0], [382806526183/3127, 256175277882/3127], [331792500/59, 245445525/59], [-3782097/3127, 2104487/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11704/59, 1894/59], [794/59, 2/59], [0, 0]], [[0, 0], [-206123149/53, -137110653/53], [-183094, -126506], [18075/3127, -5/3127]], [[0, 0], [-17221593504/53, -9408946623/53], [-17085534, -8009223], [-3052112/3127, 1714314/3127]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[56, -72]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2677/59, 702/59], [-381/59, -2/59], [0, 0]], [[0, 0], [-17125831/3127, 4955909/3127], [35070/59, 30590/59], [-11821/3127, 5/3127]], [[0, 0], [-6376315556/3127, 3273791222/3127], [-23128980/59, -11054400/59], [-1367123/3127, 2624477/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7504/59, -2475/59], [338/59, 1/59], [0, 0]], [[0, 0], [-216586103/3127, -32458784/3127], [-339919/59, -208844/59], [-30294/3127, -2/3127]], [[0, 0], [-8505746249/6254, -56964938681/6254], [-83278140/59, -55472737/59], [3213395/6254, -7348595/6254]]], 0, 2016, [], [] >,
< [ -4, -1, 1 ], [[512, -272]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58738/59, -699/59], [-520/59, 3/59], [0, 0]], [[0, 0], [-1234666078/3127, 308791035/3127], [203844/59, -50633/59], [-488/3127, 1/3127]], [[0, 0], [-181809937829/3127, 78225624017/3127], [29942890/59, -12900780/59], [-46155/3127, 25950/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1722/59, -587/59], [692/59, 1/59], [0, 0]], [[0, 0], [74302621/3127, -34144832/3127], [331490/59, -216281/59], [-4103/3127, 2/3127]], [[0, 0], [5641499528/3127, -2119202843/3127], [30524148/59, -10510033/59], [-153794/3127, 85936/3127]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[272, -60]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166/59, 357/59], [-16/59, 1/59], [0, 0]], [[-21157, -3/2], [130480677/3127, 68485/6254], [-3992/59, -799/118], [-21157/3127, -3/6254]], [[343440320, -66908000], [-2117768821058/3127, 412312244816/3127], [59750400/59, -7406560/59], [343440320/3127, -66908000/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1914/59, 599/59], [-520/59, 3/59], [0, 0]], [[21401, 1], [810612137/3127, -400088417/3127], [1010166/59, -2543960/59], [21401/3127, 1/3127]], [[-373332353, 143159429/2], [-19495070696423/3127, 16705972923587/6254], [-51664332032/59, 78497869569/118], [-6327667/53, 2426431/106]]], 0, 8064, [], [] >,
< [ -4, -1, 1 ], [[21896, -8548]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5166/59, -1997/59], [-48/59, 3/59], [0, 0]], [[1114, 0], [-5552843/6254, 433543/6254], [5033/59, 3089/59], [-2639/6254, -1/6254]], [[1698988, -1369615/2], [-9534839825/6254, 3808194691/6254], [80364/59, -281718/59], [-4022343/6254, 810679/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2489/59, 823/59], [-43/59, -1/59], [0, 0]], [[702, 1], [-5645977/6254, 792147/6254], [-381/59, -2/59], [-1663/6254, -3/6254]], [[436072, -352989/2], [-4313621375/6254, 1716107769/6254], [-235204/59, 95250/59], [-1032395/6254, 208936/3127]]], 1, 336, [], [] >,
< [ -4, -1, 1 ], [[272, -60]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4576/59, -717/59], [-306/59, -3/59], [0, 0]], [[20669, 5/2], [-361624085/3127, -249115616/3127], [-378784/59, -227430/59], [20669/3127, 5/6254]], [[-331139045, 63832923], [2715162764547/3127, 2104337810241/3127], [3258134250/59, 1770863080/59], [-331139045/3127, 63832923/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5756/59, -1643/59], [70/59, 3/59], [0, 0]], [[-14903, -3/2], [-36525503/3127, -14891750/3127], [-20980/59, -13660/59], [-14903/3127, -3/6254]], [[-37063944, 7628886], [-1022755212/53, -181494664/53], [-410180, -275190], [-37063944/3127, 7628886/3127]]], 0, 2688, [], [] >,
< [ -4, -1, 1 ], [[240, -212]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 3], [10, -4], [0, 0]], [[0, 0], [-53114478/1879, 36909/3758], [0, 2], [79202/1879, 1/3758]], [[0, 0], [-40819662098/1879, -27821427578/1879], [4194, 2587], [60927260/1879, 41522345/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-470, 191], [6, -1], [0, 0]], [[0, 0], [119947514390/24427, 193318365/48854], [-3349752/13, -518/13], [-837750/24427, 1/48854]], [[0, 0], [464951609274340/1879, 297702602577670/1879], [-12963005768, -8300044226], [-3240670404/1879, -2074958959/1879]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[272, -60]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4694/59, 186/59], [1604/59, 3/59], [0, 0]], [[0, 0], [-191013411/3127, 982853574/3127], [-2063458/59, 6184055/59], [9869/3127, -1/3127]], [[0, 0], [-67701501468/3127, 59958516300/3127], [-488059696/59, 389076349/59], [711192/3127, -135457/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [182078/59, 870/59], [-1572/59, -5/59], [0, 0]], [[0, 0], [6431452950024/40651, -1182035150156/40651], [-1048400864/767, 193915131/767], [-237164/40651, -1/40651]], [[0, 0], [-780602120002311069/40651, 232508592041226814/40651], [127347124268634/767, -38007464352804/767], [25241016339/40651, -4820791954/40651]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[121776, -47540]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-122, 51], [1176, -459], [0, 0]], [[0, 0], [289, -367/2], [-3062, 1205], [5, -3/2]], [[0, 0], [-21316, -13648], [2712, 1715], [128, 82]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [228, -61], [-124, 48], [0, 0]], [[0, 0], [-247887/13, 97047/13], [147622/13, -57521/13], [-21/13, 1/13]], [[0, 0], [37853/13, 48481/26], [14866/13, 9520/13], [-983/13, -1259/26]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[640, -176]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-135006521/1879, 43287/1879], [72315/1879, 5/1879], [0, 0]], [[0, 0], [56086827803912/1879, 34136970931835/1879], [-30070925200/1879, -18304006053/1879], [-4102/1879, -6/1879]], [[0, 0], [180392499148072397/1879, 129427542339227847/1879], [-96733750432877/1879, -69391410252071/1879], [14298340/1879, -11314894/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3717932125/1879, 93894/1879], [-179987/1879, -4/1879], [0, 0]], [[0, 0], [-8200251429658326/24427, 296371166892270/24427], [396979393750/24427, -14347912584/24427], [-242338/24427, -10/24427]], [[0, 0], [53184288651570527073/24427, -38121600906809633514/24427], [-2574692570108793/24427, 1845491457041614/24427], [1410215994/24427, -1115934732/24427]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[176, -116]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-121233, -2], [65, 0], [0, 0]], [[-6206, 1], [72548231029828/1879, -14507290254872/1879], [-38897814640/1879, 7778707984/1879], [-6206/1879, 1/1879]], [[19164268, -2528095/2], [-235813566660624700/1879, 56591827849612875/1879], [126435287942470/1879, -30343729034606/1879], [19164268/1879, -2528095/3758]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3717537535/1879, -63830/1879], [179987/1879, 4/1879], [0, 0]], [[-317068, -5/2], [2043756693743190/24427, -340161379260618/24427], [-98948372990/24427, 16469669023/24427], [-317068/24427, -5/48854]], [[-9001970060, 596060195], [60583192891478365330/24427, -12860607860621332264/24427], [-2933137920713152/24427, 622666166173306/24427], [-9001970060/24427, 596060195/24427]]], 0, 2688, [], [] >,
< [ -4, -1, 1 ], [[464, -60]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [534/59, 130/59], [-14/59, 3/59], [0, 0]], [[0, 0], [-2136674/53, 4647/106], [0, 0], [-52326/3127, -3/6254]], [[0, 0], [14473062720/53, -2425642069/53], [0, 0], [354173776/3127, -59073312/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [53744/59, -79/59], [-960/59, -5/59], [0, 0]], [[0, 0], [-5764355682/3127, -7106698863/6254], [2035760/59, 1219036/59], [74702/3127, 5/6254]], [[0, 0], [68865048044462/3127, 40579186356677/3127], [-24803643870/59, -13725475398/59], [-1512374032/3127, 251389520/3127]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[328, -124]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [19844693/3127, 4066/3127], [1633/59, -194/59], [-10355/3127, -2/3127]], [[0, 0], [83971568095/3127, -63841377165/6254], [8160723/59, -3136596/59], [-43817313/3127, 33313195/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150511/59, -834/59], [-502/59, -2/59], [0, 0]], [[0, 0], [16145063074/40651, 127044782/40651], [35522/59, 547/59], [-47392/40651, -1/40651]], [[0, 0], [-30270623287/689, 22992361191/1378], [-65829, 24979], [5305815/40651, -4033621/81302]]], 1, 504, [], [] >,
< [ -4, -1, 1 ], [[176, -116]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1832/59, -47/59], [458/59, 3/59], [0, 0]], [[0, 0], [-49133628/3127, -28109/3127], [318/59, -321/59], [41138/3127, 1/3127]], [[0, 0], [-68958912206/3127, 82714495749/6254], [1528120/59, -448615/59], [57812972/3127, -69279567/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50272/59, 10577/59], [-176/59, 4/59], [0, 0]], [[0, 0], [-887146403054/40651, -1132711857259/81302], [2772614/59, 1756833/59], [-10214/40651, 3/81302]], [[0, 0], [-635188785082846/40651, -822661063518413/81302], [1942726136/59, 1292564832/59], [13642448/40651, -16410351/81302]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[176, -116]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4306/59, -63/59], [-74/59, -1/59], [0, 0]], [[0, 0], [-95568814/3127, -103785698/3127], [35696/59, 35581/59], [974/3127, 2/3127]], [[0, 0], [28216812080/3127, 5690170903/6254], [-9131460/59, -1299477/59], [179216/3127, -215027/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [224438/59, -641/59], [738/59, 2/59], [0, 0]], [[0, 0], [-3525115762/59, -1660343256/59], [-11372350/59, -5553185/59], [-4, 0]], [[0, 0], [5323000524839912/40651, 32983567796802513/81302], [32688580540/59, 75934372745/59], [-2665952104/40651, 3208378107/81302]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[176, -116]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2298/59, -425/59], [250/59, -3/59], [0, 0]], [[0, 0], [655572202/3127, 207558933/3127], [2065228/59, 964854/59], [-5280/3127, 2/3127]], [[0, 0], [64280210890/3127, -255623042599/6254], [-104540128/59, -351696422/59], [-2170154/3127, 2607141/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [137534/59, 1200/59], [488/59, 5/59], [0, 0]], [[0, 0], [-213441630574/689, 15082147419/1378], [-1094856, 37240], [-104998/40651, -1/81302]], [[0, 0], [4776811142053148/3127, -2710506806817576/3127], [317605989414/59, -180593194943/59], [36706700/3127, -22082825/3127]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[966064, -377140]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-310, 121], [-6140, 2397], [0, 0]], [[0, 0], [11, -33/2], [158, -86], [1, -3/2]], [[0, 0], [5093, 6523/2], [10186, 6523], [463, 593/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7402, -2876], [-3584, 1399], [0, 0]], [[0, 0], [364395/13, -281833/26], [-176130/13, 69941/13], [-75/13, -1/26]], [[0, 0], [2931673/13, 1948071/13], [2675286/13, 1678722/13], [-66555/13, -42630/13]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[-432, 180]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 3/2], [-6, 3/2], [-260, 102], [0, 0]], [[1282, 1651/2], [24253/19, 31429/38], [-972, -395], [-7/19, 2/19]], [[28, 37/2], [28, 37/2], [-44, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[66, 3/2], [62, 7/2], [-4, 2], [0, 0]], [[-116, -231/2], [-4941191/247, -88367/494], [-13544/13, -126/13], [-1569/247, -5/247]], [[-69138, 85905/2], [6596268079/247, -4758440825/494], [18071060/13, -6517315/13], [2112215/247, -763280/247]]], 0, 1280, [], [] >,
< [ -4, -1, 1 ], [[-1152, 432]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [388, -152], [0, 0]], [[0, 0], [735/19, -115/19], [-1992, 762], [-65/19, 5/19]], [[0, 0], [10338/19, 6644/19], [-864, -635], [-1226/19, -787/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [142, -56], [-16, 6], [0, 0]], [[0, 0], [254747/247, 111317/247], [11528/13, -370/13], [1203/247, 1/247]], [[0, 0], [-23644146/247, -15148392/247], [-462480/13, -297203/13], [-52712/247, -33859/247]]], 0, 7680, [], [] >,
< [ -4, -1, 1 ], [[-720, 252]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [228, -89], [-8, 2], [0, 0]], [[0, 0], [-418/13, -45/26], [-32, -3], [-30/13, 1/26]], [[0, 0], [-10402/13, -13331/26], [-874, -560], [-628/13, -805/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [980, -341], [-20, -3], [0, 0]], [[0, 0], [4027022/13, 6318945/26], [-1187346/13, -766267/13], [-4/13, -3/26]], [[0, 0], [556154888/13, -3733426], [-46500828/13, -25663047/13], [612/13, -348/13]]], 0, 7680, [], [] >,
< [ -4, -1, 1 ], [[-432, 180]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [152, -60], [0, 0]], [[0, 0], [-782/19, 47/19], [-2418, 1841/2], [72/19, 5/38]], [[0, 0], [-903/19, -578/19], [-82, -105/2], [107/19, 137/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-106, 41], [404, -158], [0, 0]], [[0, 0], [-60370/247, 20427/247], [7394/13, -4705/26], [16/247, -1/494]], [[0, 0], [-59889/247, -35603/247], [7342/13, 8633/26], [81/247, 103/494]]], 0, 1920, [], [] >,
< [ -4, -1, 1 ], [[-432, 180]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 7], [20, -4], [0, 0]], [[0, 0], [1018/13, -20/13], [86, 7], [-70/13, -1/13]], [[0, 0], [-48512/13, 26415/26], [-3671, 817], [3219/13, -1653/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-350, 115], [-16, 3], [0, 0]], [[0, 0], [-3978228/13, -5212319/26], [-46399, -29889], [-1/13, -3/26]], [[0, 0], [58109906/13, 3344577/2], [7051758/13, 3912478/13], [240/13, -147/26]]], 0, 1920, [], [] >,
< [ -4, -1, 1 ], [[-432, 180]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 19], [-52, 22], [0, 0]], [[0, 0], [20026/13, -16297/26], [1817, -732], [-1/13, -3/26]], [[0, 0], [84, -4], [92, -9], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-328, 133], [-80, 32], [0, 0]], [[0, 0], [-101450/13, 82337/26], [-24784/13, 9920/13], [-2/13, 5/26]], [[0, 0], [245658/13, 216457/26], [42553/13, 15322/13], [219/13, 277/26]]], 0, 1920, [], [] >,
< [ -4, -1, 1 ], [[72, -36]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-18, 3/2], [47/2, -41/2], [3/2, 0]], [[0, 0], [-2822/13, -5151/26], [-719, -299], [323/13, 527/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-93, 30], [-20, 7], [0, 0]], [[0, 0], [-5702/13, 1793/13], [-2563/26, 685/26], [5/26, 5/26]], [[0, 0], [10306/13, -577/2], [4483/26, -1551/26], [-1/26, -2/13]]], 1, 240, [], [] >,
< [ -4, -1, 1 ], [[29232, -11412]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [576, -225], [0, 0]], [[0, 0], [-68, 35/2], [-4968, 1944], [-2, 3/2]], [[0, 0], [3187, 4117/2], [-3042, -471], [-255, -325/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4770, -1881], [-960, 375], [0, 0]], [[0, 0], [-129555/13, -134005/26], [3774/13, -759/13], [29/13, -1/26]], [[0, 0], [-8188824/13, 13780401/26], [2320248/13, -928236/13], [13734/13, -11403/26]]], 0, 1920, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1952, 762], [-1296, 506], [0, 0]], [[-5, 5/2], [-27434, 10711], [-18505, 7225], [-5, 5/2]], [[26790, 17156], [53208, 34074], [42474, 27200], [26790, 17156]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1460, -570], [-128, 50], [0, 0]], [[4, 5/2], [-10208, 4014], [-14, -9], [4, 5/2]], [[3761, 4817/2], [26774, 17152], [-13395, -8578], [3761, 4817/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5476, 2138], [-1440, 562], [0, 0]], [[0, 0], [2, 0], [-1, 1], [1, 0]], [[0, 0], [77684, -30336], [20416, -7964], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2332, 910], [416, -162], [0, 0]], [[0, 0], [-2, 0], [-1, 1], [1, 0]], [[0, 0], [12108, -4726], [-2200, 858], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4216, -1646], [1040, -406], [0, 0]], [[0, 0], [2, -1], [3, 0], [1, 0]], [[0, 0], [-92, 36], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-348, 136], [-256, 100], [0, 0]], [[0, 0], [-2, -1], [3, 0], [1, 0]], [[0, 0], [-1040, 406], [-1040, 406], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 16], [20, 8], [0, 0]], [[71/2, 5/2], [-103, 37], [-57/4, 173/4], [71/4, 5/4]], [[3874, -1490], [-19602, 7648], [-9917, 3923], [1937, -745]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -14], [-10, 2], [0, 0]], [[81/2, 3/2], [-1336, -866], [-1491/4, 111/4], [81/4, 3/4]], [[-1898, 754], [-1830, -330], [20729, -8181], [-949, 377]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, -12], [4, -8], [0, 0]], [[0, 0], [806, 56], [-75, -127], [7, 1]], [[0, 0], [-2622, 876], [-729/2, 409/2], [-41/2, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 2], [-10, 2], [0, 0]], [[0, 0], [1730, 1076], [687/2, 417/2], [-9/2, -3/2]], [[0, 0], [858, -352], [304, -122], [-46, 18]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-85, 37], [-19, -1], [0, 0]], [[0, 0], [-795, -6031], [14139, 8367], [-32, -4]], [[0, 0], [1472936, -550406], [128115, -103909], [-4265, 1729]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 13], [1, -1], [0, 0]], [[0, 0], [50, 0], [-4, -6], [-10, -2]], [[0, 0], [-13, 7], [-2, 0], [1, -1]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -4], [-56, 12], [0, 0]], [[0, 0], [276, -126], [-10183, 4045], [-35, -5]], [[0, 0], [1528, -670], [-55537, 21963], [-165, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -8], [-80, 28], [0, 0]], [[0, 0], [48, -2], [-740, 270], [-20, 0]], [[0, 0], [0, -12], [-273, 117], [-1, 5]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 4], [-12, -4], [0, 0]], [[0, 0], [16, -22], [81, 33], [-11, -5]], [[0, 0], [-3352, 1340], [-2104, 692], [232, -72]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 12], [-4, 12], [0, 0]], [[0, 0], [-88, 24], [-62, 6], [14, 2]], [[0, 0], [-4, 2], [-3, 1], [1, -1]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 30], [4, 6], [0, 0]], [[0, 0], [-6186, 546], [-1453, -695], [-35, -1]], [[0, 0], [386384, -142408], [25284, -4176], [1860, -660]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-260, 92], [-256, 100], [0, 0]], [[0, 0], [3614, -1360], [3701, -1435], [-29, 1]], [[0, 0], [7772, 2682], [3374, -216], [-1134, -714]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -40], [56, -24], [0, 0]], [[0, 0], [1918, 1226], [-135, 111], [19, -9]], [[0, 0], [-17456, -11064], [9258, -4142], [-1034, 418]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 16], [-88, 32], [0, 0]], [[0, 0], [586, 262], [-1209, 433], [-11, 3]], [[0, 0], [938, 466], [-1447, 499], [-13, 3]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1332, -520], [-70248, 27424], [0, 0]], [[0, 0], [-6, 2], [2335, -911], [-3, 1]], [[0, 0], [0, 0], [2664, -1040], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1608, 628], [89224, -34832], [0, 0]], [[0, 0], [-84558, 33026], [4677681, -1826109], [-29, 13]], [[0, 0], [-165926, 64742], [9175507, -3582015], [-63, 21]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[12152, -4744]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 28], [14, -8], [0, 0]], [[2, 0], [6576, -2566], [-3105/2, 1209/2], [-1/2, 1/2]], [[57, 73/2], [139/2, 71/2], [-349/4, -215/4], [89/4, 57/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [253, -99], [-17, 7], [0, 0]], [[-4, -9/2], [3627, -1446], [-481/2, 213/2], [-7/2, -1]], [[-6475, -8295/2], [-60501/2, -42577/2], [53335/4, 34685/4], [-10115/4, -6475/4]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2208, 862], [-1460, 570], [0, 0]], [[-4, 3/2], [373, -146], [455/2, -179/2], [5/2, -1]], [[0, 0], [-52, 20], [-32, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2608, 1018], [-1532, 598], [0, 0]], [[10, 3], [-5815, 2307], [-6841/2, 2705/2], [1/2, 5/2]], [[18, -19/2], [-34192, 13335], [-20088, 7836], [-14, 9/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1634, 638], [-1050, 410], [0, 0]], [[2, 1], [669, -257], [1335/2, -519/2], [1/2, 1/2]], [[4, 5/2], [9, 6], [5/2, 3/2], [3/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1132, -442], [548, -214], [0, 0]], [[-8, -1/2], [-371, 122], [-715/2, 275/2], [3/2, -2]], [[-72, 9], [-4284, 1552], [-4257, 1651], [27, -18]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[512, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [194, -190], [-18, -10], [0, 0]], [[0, 0], [2272, -1952], [-168, -92], [8, 0]], [[0, 0], [-2278, 9084], [1223, 735], [-39, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [746, -510], [46, 26], [0, 0]], [[0, 0], [5422, -68], [-378, -256], [12, 0]], [[0, 0], [-28254, -24284], [6773, 4313], [-65, -55]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[152, -56]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25, 13], [-9, 3], [0, 0]], [[0, 0], [-365/2, 5/2], [-423/4, 99/4], [151/4, 5/4]], [[0, 0], [-10955/2, -2301/2], [-10157/4, 801/4], [4725/4, 1215/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-139, 53], [-9, 3], [0, 0]], [[0, 0], [1235/2, -435/2], [183/4, -67/4], [-59/4, -1/4]], [[0, 0], [10925/2, 10007/2], [863/4, 1005/4], [-6975/4, -4557/4]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, 44], [0, 8], [0, 0]], [[0, 0], [-1149, 551], [107/2, 237/2], [-47/2, 3/2]], [[0, 0], [7735, -3343], [201/2, -957/2], [255/2, -51/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1914, 752], [-10, 8], [0, 0]], [[0, 0], [-129667, 49783], [-3209/2, -99/2], [41/2, 3/2]], [[0, 0], [-33475, 719], [-19665/2, -12267/2], [273/2, 171/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, 10], [-68, 26], [0, 0]], [[0, 0], [2295, -801], [4809/2, -1881/2], [7/2, 5/2]], [[0, 0], [-812, 326], [-896, 350], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1092, -426], [292, -114], [0, 0]], [[0, 0], [48, -24], [-6, 2], [6, -2]], [[0, 0], [1807, 1157], [217/2, 139/2], [-217/2, -139/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-268, 118], [-260, 102], [0, 0]], [[0, 0], [-852, 308], [-736, 296], [8, 0]], [[0, 0], [159, 61], [-1/2, -75/2], [-27/2, -17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, -46], [-16, 6], [0, 0]], [[0, 0], [173, -61], [-239/2, 83/2], [-13/2, 1/2]], [[0, 0], [-244, -158], [198, 128], [78, 50]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[768, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -4], [24, 0], [0, 0]], [[0, 0], [32, -46], [142, -12], [18, -8]], [[0, 0], [-278, -424], [1037, 285], [55, -37]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4772, -1848], [9488, -3704], [0, 0]], [[0, 0], [1344, -1650], [4868, -1902], [4, -2]], [[0, 0], [-19726, 9160], [-42263, 16501], [-37, 15]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[9488, -3704]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, 37], [-130, 50], [0, 0]], [[16, 2], [-870, 355], [-1118, 449], [8, 1]], [[2413/2, 1539/2], [1901, 1563], [5605/4, 5355/4], [2413/4, 1539/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, 42], [-80, 30], [0, 0]], [[-4, -2], [-358, 125], [-248, 99], [-2, -1]], [[-219/2, -141/2], [-228, -380], [937/4, -81/4], [-219/4, -141/4]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[32, -24]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, -51], [12, -10], [0, 0]], [[0, 0], [-2, 0], [-1, 0], [1, 0]], [[0, 0], [44, -15], [-16, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 18], [1040, -406], [0, 0]], [[0, 0], [2, 0], [-1, 0], [1, 0]], [[0, 0], [0, 1], [0, 0], [0, 0]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-514, 198], [-94, 36], [0, 0]], [[1/2, -5/2], [-31205, 12093], [-22751/4, 8779/4], [1/4, -5/4]], [[-1719/2, -1101/2], [-34873, -21331], [-39735/4, -24717/4], [-1719/4, -1101/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [858, -334], [98, -38], [0, 0]], [[-17, 1], [384, -136], [163/2, -27/2], [-17/2, 1/2]], [[2089/2, 1339/2], [-2434, -1578], [-13435/4, -8617/4], [2089/4, 1339/4]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3064, 1196], [4, 2], [0, 0]], [[0, 0], [30, -2], [-29, 13], [29, -13]], [[0, 0], [-430, -6], [361, -171], [-361, 171]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1844, 720], [-984, 384], [0, 0]], [[0, 0], [8386, -3278], [4415, -1721], [-7, 1]], [[0, 0], [-64704, 25276], [-34048, 13282], [48, -12]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [600, -234], [36, -14], [0, 0]], [[31/2, 5/2], [911, -371], [343/4, -115/4], [31/4, 5/4]], [[-9434, -6042], [17018, 10824], [-5207, -3341], [-4717, -3021]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [526, -206], [-6, 2], [0, 0]], [[39/2, 5/2], [-36312, 14218], [1491/4, -639/4], [39/4, 5/4]], [[-9313/2, -5963/2], [-17734, -13120], [26131/4, 16809/4], [-9313/4, -5963/4]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2904, -1156], [-12, -4], [0, 0]], [[0, 0], [17106, 10864], [6637, 4235], [-13, 7]], [[0, 0], [-105454, -63360], [-40143, -25003], [675, -275]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [876, -342], [16, -6], [0, 0]], [[0, 0], [-6660, 2604], [0, -2], [0, 2]], [[0, 0], [-31146, 12158], [9, -3], [-9, 3]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, -30], [0, -4], [0, 0]], [[0, 0], [-78, 22], [61, -5], [-17, 9]], [[0, 0], [1758, -658], [-1117, 373], [469, -191]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -8], [-112, 36], [0, 0]], [[0, 0], [18, 0], [-357, 157], [-19, 9]], [[0, 0], [-46, -88], [-2123, 563], [-125, 25]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[118528, -46272]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1686, -660], [-62, 26], [0, 0]], [[0, 0], [950, -532], [80, 128], [-18, 6]], [[0, 0], [2484, -1005], [-126, 84], [-34, 13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [706, -268], [-50, 22], [0, 0]], [[0, 0], [44686, -17329], [-3312, 1326], [-18, 5]], [[0, 0], [-50078, 19448], [3722, -1482], [20, -6]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[394848, -154144]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1890, -738], [1542, -602], [0, 0]], [[-3/2, 1/2], [17468, -6819], [28607/2, -11167/2], [-3/2, 1/2]], [[0, 0], [-3244, -2078], [-424, -272], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-892, 348], [-912, 356], [0, 0]], [[-5/2, 3/2], [-18582, 7255], [-37775/2, 14743/2], [-5/2, 3/2]], [[14905/2, 9545/2], [11472, 7389], [-55737/2, -35607/2], [14905/2, 9545/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[616576, -240704]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1050, -410], [466, -182], [0, 0]], [[0, 0], [-2, 1], [1, 1], [1, 0]], [[0, 0], [-3428, 1338], [-1476, 576], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1066, 402], [10, 10], [0, 0]], [[0, 0], [-2, 1], [1, 1], [1, 0]], [[0, 0], [202, 16], [-90, -58], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[962816, -375872]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1004, -392], [-544, 212], [0, 0]], [[0, 0], [-4600, 1785], [2404, -942], [-24, 7]], [[0, 0], [-48896, 18789], [25402, -10014], [-294, 49]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-686, 246], [-10, 0], [0, 0]], [[0, 0], [1370, -549], [8, -6], [10, -3]], [[0, 0], [-8348, 3264], [-64, 26], [-52, 20]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[31128, -12152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, 1], [9, -3], [0, 0]], [[0, 0], [1, 0], [0, 0], [-1, 0]], [[0, 0], [13, -13], [-18, 8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31, -7], [-19, 9], [0, 0]], [[0, 0], [1890, 1235], [612, 374], [0, -1]], [[0, 0], [-3901/2, -345/2], [476, -476], [87/2, -33/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 12], [-2, 0], [0, 0]], [[0, 0], [1, 2], [0, 0], [1, 0]], [[0, 0], [4, 0], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -20], [94, -36], [0, 0]], [[0, 0], [-1, 0], [0, 0], [1, 0]], [[0, 0], [180, -720], [2610, -986], [0, 0]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[40, -16]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-185/2, 36], [0, 0], [-5/2, 1]], [[0, 0], [2, 0], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-2, 1/2], [0, 0], [0, 3/2]], [[0, 0], [13/2, -5/2], [0, 0], [7/2, -3/2]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[1824, -712]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-268, 99], [-14, 3], [0, 0]], [[0, 0], [-2485, 1933/2], [-114, 42], [1, -5/2]], [[0, 0], [-1112, -371], [-558, -342], [-460, -295]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, -30], [6, -2], [0, 0]], [[0, 0], [-162, 119/2], [-22, 8], [-2, 1/2]], [[0, 0], [595, 755/2], [96, 61], [43, 55/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[160, -56]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2210, 859], [-6, 1], [0, 0]], [[0, 0], [909274, -355101], [1896, -786], [-6, 1]], [[0, 0], [-129964, -314947/2], [-70416, -45252], [-2072, -2653/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3286, 1290], [6, 0], [0, 0]], [[0, 0], [2224, -837], [10, 9], [-2, -2]], [[0, 0], [12, 15/2], [0, 0], [4, 5/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[97216, -37952]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1914, 748], [208, -82], [0, 0]], [[0, 0], [-3, 1], [2, 1], [1, 0]], [[0, 0], [4, -2], [-4, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2342, -914], [20, -8], [0, 0]], [[0, 0], [1, 1], [2, 1], [1, 0]], [[0, 0], [21504, -8394], [188, -74], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[308288, -120352]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1152, 450], [-1204, 470], [0, 0]], [[5, -1/2], [7433, -2904], [7816, -6089/2], [5, -1/2]], [[-7821, -10017/2], [12189, 7756], [-36444, -46781/2], [-7821, -10017/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -4], [-200, 78], [0, 0]], [[-5, -1/2], [233, -95], [-828, 649/2], [-5, -1/2]], [[4160, 2664], [6850, 4388], [-2132, -1370], [4160, 2664]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[2022848, -789696]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4420, 1726], [-68, 26], [0, 0]], [[0, 0], [-346047, 135099], [-5330, 2074], [7, -3]], [[0, 0], [1267731, -494937], [19534, -7594], [-25, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9576, -3740], [60, -24], [0, 0]], [[0, 0], [218993, -85485], [1434, -560], [31, -13]], [[0, 0], [-557309, 217527], [-3650, 1426], [-77, 35]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[72, -40]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [967, -377], [3, -1], [0, 0]], [[0, 0], [15843/2, -6147/2], [0, 0], [3/2, 5/2]], [[0, 0], [-40483/2, -25589/2], [0, 0], [-6535/2, -4185/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4790, 1864], [0, -2], [0, 0]], [[0, 0], [-216538, 84548], [81, -33], [13, 1]], [[0, 0], [71035/2, 43029/2], [-3369, -2157], [29571/2, 18937/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[2022848, -789696]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38364, -14978], [0, -2], [0, 0]], [[0, 0], [114863, -44885], [-72, -52], [-11, 5]], [[0, 0], [-540308, 210910], [-62, -12], [52, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15988, -6244], [-6, -2], [0, 0]], [[0, 0], [16372, -6404], [-10, -4], [12, -6]], [[0, 0], [178905, -69827], [-16, 16], [145, -55]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[56, -24]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-379, 147], [27, -11], [0, 0]], [[0, 0], [-76467/2, 29679/2], [10949/4, -4441/4], [7/4, -3/4]], [[0, 0], [-3831, -2445], [-1837, -1177], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-375, 107], [-17, 7], [0, 0]], [[0, 0], [-1385281/26, -1100699/26], [64825/52, 5851/52], [-593/52, -3/52]], [[0, 0], [99792837/26, 124629767/26], [-12848869/52, 1910921/52], [126589/52, -26049/52]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2974, 1178], [2, 4], [0, 0]], [[0, 0], [-65773, 25569], [-175/2, 15/2], [15/2, 5/2]], [[0, 0], [9575, 3745], [3597/2, 2299/2], [-717/2, -459/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -66], [6, 8], [0, 0]], [[0, 0], [-61706/13, 15090/13], [2693/13, -867/13], [-45/13, 1/13]], [[0, 0], [1855/13, 265/13], [-63/26, -9/26], [7/26, 1/26]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1188, -464], [-144, 56], [0, 0]], [[0, 0], [-7471, 2923], [1783/2, -691/2], [9/2, -1/2]], [[0, 0], [4354, 2722], [1657, 1069], [851, 545]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3300, -1304], [332, -130], [0, 0]], [[0, 0], [-613513/13, -105607/13], [-67767/26, 10287/26], [-97/26, 1/26]], [[0, 0], [-35322995/13, 10186255/13], [-6111297/26, 2216961/26], [-7367/26, 2491/26]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [420, -164], [-128, 50], [0, 0]], [[0, 0], [-769, 313], [287/2, -151/2], [-19/2, -5/2]], [[0, 0], [-64584, -41136], [98066, 62754], [31242, 20008]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1220, -580], [148, -58], [0, 0]], [[0, 0], [-4406410/13, -2691250/13], [-24087/13, -737/13], [-45/13, 1/13]], [[0, 0], [145311587/13, 56421921/13], [8501003/26, -2798515/26], [17057/26, -5809/26]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[56, -24]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-773, 303], [5, -3], [0, 0]], [[0, 0], [5505/2, -2125/2], [-65/4, 21/4], [-23/4, 3/4]], [[0, 0], [1468, 984], [-285/2, -183/2], [-373/2, -239/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-449, 169], [-19, 7], [0, 0]], [[0, 0], [-56554/13, -5416/13], [1523/26, -503/26], [-201/26, 1/26]], [[0, 0], [-56431763/26, 8416191/26], [2118583/52, -781731/52], [-219255/52, 47235/52]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2658, 1044], [6, 4], [0, 0]], [[0, 0], [10647, -4175], [-3/2, -5/2], [3/2, 5/2]], [[0, 0], [2646, -558], [77, 49], [-77, -49]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-384, -32], [8, 4], [0, 0]], [[0, 0], [58233/13, -30213/13], [-159/26, -97/26], [-173/26, 5/26]], [[0, 0], [12532766/13, -5003312/13], [-1602/13, -552/13], [-11288/13, 3944/13]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-656, 256], [164, -64], [0, 0]], [[0, 0], [-51, 23], [31/2, -15/2], [9/2, -1/2]], [[0, 0], [-1772, -1134], [828, 530], [-712, -456]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1092, 268], [244, -96], [0, 0]], [[0, 0], [-2903560/13, -1977840/13], [-43008/13, 2098/13], [12/13, -2/13]], [[0, 0], [-2861137/13, -2390361/13], [-303079/26, 85195/26], [95/26, -31/26]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-752, 294], [-332, 130], [0, 0]], [[0, 0], [-24115, 9401], [-21467/2, 8355/2], [7/2, -3/2]], [[0, 0], [-173219, -110875], [-334103/2, -213909/2], [-3565/2, -2283/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-588, 298], [240, -94], [0, 0]], [[0, 0], [-350715/13, -214515/13], [1229/26, 1275/26], [-73/26, -3/26]], [[0, 0], [43931, -2127], [1395/2, -619/2], [129/2, -49/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[56, -24]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -4], [2, 2], [0, 0]], [[0, 0], [-29, -19], [28, 20], [-1, -1]], [[0, 0], [-27/2, -1/2], [191/4, -51/4], [-31/4, 11/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [575, 77], [21, 3], [0, 0]], [[0, 0], [-96165/13, 25641/13], [-4327/26, 1707/26], [-97/26, 1/26]], [[0, 0], [-36567/2, 6399/2], [-1463/4, 587/4], [-45/4, -7/4]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -6], [-4, 16], [0, 0]], [[0, 0], [-176, 74], [3574, -1438], [-10, 0]], [[0, 0], [-663, 271], [26767/2, -10643/2], [-63/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 4], [4, 0], [0, 0]], [[0, 0], [-10851/13, -31/13], [-5709/26, -199/26], [-163/26, -1/26]], [[0, 0], [538425/13, -177793/13], [271243/26, -87455/26], [8053/26, -2653/26]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, 42], [-12, 8], [0, 0]], [[0, 0], [9674, 6818], [5522, 3622], [-8, -2]], [[0, 0], [-49429, 25845], [-8429/2, 10433/2], [-567/2, 215/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150, 16], [-14, -6], [0, 0]], [[0, 0], [-4022/13, -37996/13], [1103/13, -875/13], [97/13, -1/13]], [[0, 0], [3787/13, 541/13], [115/26, 9/26], [-7/26, -1/26]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 6], [-16, 16], [0, 0]], [[0, 0], [-118, 4], [281, -137], [-1, 1]], [[0, 0], [-535, 129], [3549/2, -1489/2], [-17/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, -64], [16, 20], [0, 0]], [[0, 0], [-361549/13, 125867/13], [70099/26, -631/26], [-191/26, -5/26]], [[0, 0], [-45511855/13, 17572115/13], [6104013/26, -2041417/26], [-15865/26, 5177/26]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[8, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 11], [12, -4], [0, 0]], [[0, 0], [-343/2, 119/2], [267/4, -115/4], [5/4, 3/4]], [[0, 0], [-41, 16], [17, -7], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [329, -110], [7, -5], [0, 0]], [[0, 0], [2089845/26, -1001785/26], [177903/52, -26199/52], [-111/52, -1/52]], [[0, 0], [-10116525/13, 4086115/13], [-322305/13, 109923/13], [170/13, -50/13]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[32, -8]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [178, -73], [-10, 0], [0, 0]], [[0, 0], [54, 79], [89, 54], [-5, -2]], [[0, 0], [-9, 3], [-3/2, 1/2], [3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [666, 29], [-10, -8], [0, 0]], [[0, 0], [-15705613/13, 7084062/13], [-209631/26, 2939/26], [-73/26, -3/26]], [[0, 0], [-4107140955/13, 1608464985/13], [-33317189/26, 12585503/26], [-10659/26, 3993/26]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[32, -8]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -13], [-68, 26], [0, 0]], [[0, 0], [3128, -1186], [-6942, 2719], [-2, 1]], [[0, 0], [-983, -682], [-757/2, -249/2], [-11/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [256, -7], [-12, 4], [0, 0]], [[0, 0], [312617/13, 148433/13], [-11469/26, 579/26], [-43/26, 5/26]], [[0, 0], [-213780, 43926], [13704, -5065], [56, -21]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[32, -8]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 25], [-92, 36], [0, 0]], [[0, 0], [9, 9], [-23/2, -5/2], [-5/2, -3/2]], [[0, 0], [-1, -1], [3/2, 3/2], [1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-240, -7], [-4, 2], [0, 0]], [[0, 0], [-27561/13, 115/13], [-6493/26, -129/26], [-151/26, -3/26]], [[0, 0], [754288, -283931], [85656, -32121], [1992, -747]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[-192, 192]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 2], [12, -16], [0, 0]], [[0, 0], [12333/19, -51553/19], [-7184, -602], [9/19, -5/57]], [[0, 0], [17996/19, 60012/19], [7904, 1800], [-26/57, 2/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-696, 184], [20, -16], [0, 0]], [[0, 0], [42543654/247, -48341910/247], [-358744/13, -4880/13], [-2836/741, -4/741]], [[0, 0], [2103978299/247, -1593095087/247], [-11905444/13, 1123190/13], [-31535/247, 9911/741]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-1536, 576]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-360, 140], [1424, -556], [0, 0]], [[0, 0], [4500/13, -1141/13], [-712, 300], [64/39, 5/39]], [[0, 0], [-4563756/13, -2922572/13], [-163378, -104626], [-74078/13, -142316/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-192, -50], [0, 12], [0, 0]], [[0, 0], [2792/13, -44881/13], [11566/13, -398/13], [2/39, -1/13]], [[0, 0], [-105248, 701456/13], [-271216/13, 90148/13], [-44/13, 20/13]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[192, 0]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 4], [-4, -4], [0, 0]], [[0, 0], [-890/19, -180/19], [216, -10], [-64/57, 2/57]], [[0, 0], [-90767/19, 34573/19], [34336, -13283], [-9953/57, 3848/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, 12], [16, -16], [0, 0]], [[0, 0], [-1931003/247, 417035/247], [-67112/13, 1418/13], [-1139/741, -1/247]], [[0, 0], [-3311711193/247, 1276853985/247], [-89636472/13, 33815841/13], [-489525/247, 552050/741]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[192, 0]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -20], [-4, 16], [0, 0]], [[0, 0], [8083/19, 7177/19], [-2264, 594], [-101/57, -1/57]], [[0, 0], [-1554508/19, 613066/19], [-1594600, 622339], [-49682/57, 6457/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150, 2], [8, 0], [0, 0]], [[0, 0], [-10699639/247, -131733/247], [32464/13, 500/13], [-2063/741, -5/741]], [[0, 0], [-1869919065/247, 710324171/247], [5646376/13, -2144139/13], [-366065/741, 139208/741]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-96, 24]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 7], [128, -50], [0, 0]], [[0, 0], [-991/19, 142/19], [24, 7], [15/19, -2/57]], [[0, 0], [-268887/19, -171725/19], [17954, 22985/2], [5695/19, 21845/114]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [440, -171], [-260, 102], [0, 0]], [[0, 0], [-4317773/247, -315559/247], [-34254/13, 19777/26], [1219/741, 1/1482]], [[0, 0], [-16558756972/247, -10604896635/247], [-28817952/13, -18465903/13], [1313930/247, 841517/247]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, 0]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-300, 118], [-16, 8], [0, 0]], [[0, 0], [-518/13, 29/13], [32, 8], [64/39, 5/39]], [[0, 0], [288/13, 185/13], [-39, -25], [-53/39, -34/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [414, -230], [-164, 64], [0, 0]], [[0, 0], [49872/13, 32212/13], [-251/13, 31/13], [-1/39, 1/13]], [[0, 0], [95728/13, 48023/13], [8889/13, -3581/13], [175/39, -64/39]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[192, 0]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 26], [-4, 16], [0, 0]], [[0, 0], [12580/13, -4933/13], [352, -28], [-8/13, 1/13]], [[0, 0], [1100/13, -404/13], [-133, -107], [3/13, 7/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2252, 960], [-820, 320], [0, 0]], [[0, 0], [979716/13, 633324/13], [-3191/13, -129/13], [1/13, -5/39]], [[0, 0], [-1736652/13, -945483/13], [-50099/13, 21755/13], [5, -70/39]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-168, 72]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 4], [12, 0], [0, 0]], [[0, 0], [-66/13, 83/13], [17/2, -13/2], [-25/78, -5/78]], [[0, 0], [-103/13, 21/13], [17/2, -5/2], [-1/78, 5/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1679, -683], [584, -228], [0, 0]], [[0, 0], [-3061012/13, -1951289/13], [-9093/26, 417/26], [1/78, 5/78]], [[0, 0], [-6849321/13, -4547250/13], [50988/13, -23500/13], [44/39, -11/39]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[519360, -202752]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 6], [-2828, 1104], [0, 0]], [[0, 0], [1, -2], [2, 0], [1, 0]], [[0, 0], [-558, 216], [-77820, 30380], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4728, 1998], [-3412, 1332], [0, 0]], [[0, 0], [14725770/13, 9427393/13], [-580/13, -146/13], [20/13, 1/13]], [[0, 0], [-1376617/13, -883015/13], [-106/13, 74/13], [5/13, -3/13]]], 0, 3840, [], [] >,
< [ -4, -1, 1 ], [[168, -8]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-129/59, -475/59], [-279/59, -1/59], [0, 0]], [[0, 0], [2932455949/6254, 187472219/6254], [447259/59, 590783/59], [-429863/81302, 3/81302]], [[0, 0], [-39623491611258/3127, -2371351760780/3127], [-11849916076/59, -15871957042/59], [5814120056/40651, -22678596/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2522/59, -366/59], [-880/59, -4/59], [0, 0]], [[0, 0], [320670671/3127, 166750479/3127], [-1202817/59, 1050907/59], [743250/40651, 2/40651]], [[0, 0], [-5501263454369/6254, -2853362525931/6254], [10492140577/59, -9075314953/59], [-12831366331/81302, 38689487/81302]]], 0, 2304, [], [] >,
< [ -4, -1, 1 ], [[704, -192]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68256/59, -572/59], [1202/59, 6/59], [0, 0]], [[0, 0], [-46175280/59, 12933950/59], [1241166/59, -230936/59], [-4, 0]], [[0, 0], [33005206527369/3127, -11841680941531/3127], [-15518883968/59, 5078201374/59], [1716880933/40651, -424899525/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28372/59, -1044/59], [494/59, 6/59], [0, 0]], [[0, 0], [-391704423/3127, 78377949/3127], [411666/59, -26828/59], [-522697/40651, 1/40651]], [[0, 0], [-2767343016528/3127, 915066328124/3127], [2588009316/59, -713478536/59], [-3089562124/40651, 753689068/40651]]], 0, 18432, [], [] >,
< [ -4, -1, 1 ], [[704, -192]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2618/59, -112/59], [912/59, 2/59], [0, 0]], [[0, 0], [1280831361/3127, 43029/3127], [-952362/59, 176/59], [-475991/40651, -5/40651]], [[0, 0], [-4384602660675/3127, 1049281455537/3127], [3260852410/59, -780734724/59], [1629470985/40651, -389969517/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66678/59, 1740/59], [-548/59, -10/59], [0, 0]], [[0, 0], [11240561552/3127, -1617417830/3127], [-1090636/59, 263794/59], [418042/40651, 2/40651]], [[0, 0], [-237632814287963/3127, 74636892995851/3127], [25045594410/59, -8717508546/59], [-593701455/3127, 149620119/3127]]], 0, 18432, [], [] >,
< [ -4, -1, 1 ], [[512, -64]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -10], [-26, -10], [0, 0]], [[0, 0], [-1410126796/1879, 1007175/1879], [132, 660], [942340/24427, 5/24427]], [[0, 0], [691781056124/1879, -14060598275/1879], [-39336, -316140], [-462267748/24427, 9070125/24427]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [232, 6], [12, 0], [0, 0]], [[0, 0], [2376250710/24427, 24292115/24427], [-31086/13, 418/13], [10356/24427, 5/24427]], [[0, 0], [-89451189294/24427, 413611057335/24427], [1678630/13, -5316622/13], [-459540/24427, 1789653/24427]]], 0, 18432, [], [] >,
< [ -4, -1, 1 ], [[192, -128]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21328/59, -212/59], [-364/59, 8/59], [0, 0]], [[0, 0], [-390819431/3127, 72414023/3127], [-151246/59, -24568/59], [-139251/40651, -3/40651]], [[0, 0], [722204886426/3127, -364089226578/3127], [96507936/59, -123365754/59], [167543852/40651, -121122908/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-378478/59, 4502/59], [-568/59, 6/59], [0, 0]], [[0, 0], [5488832527/40651, 848795097/40651], [116706/767, 24116/767], [1663/40651, 3/40651]], [[0, 0], [-2444179571/3127, 2304859055/3127], [-40830/59, 47414/59], [-1207/3127, 765/3127]]], 0, 4608, [], [] >,
< [ -4, -1, 1 ], [[192, -128]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6482/59, -148/59], [-1728/59, -10/59], [0, 0]], [[0, 0], [-374273/53, -337881/53], [25822, -2044], [104655/40651, -3/40651]], [[0, 0], [17219655847/3127, 5414156975/3127], [834805302/59, -527422566/59], [46148195/40651, -35378833/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7530/59, -360/59], [32/59, -2/59], [0, 0]], [[0, 0], [1987054025/40651, 96045013/40651], [481562/767, 6888/767], [-15147/40651, -1/40651]], [[0, 0], [4311221247485/40651, -3709371014147/40651], [1169221734/767, -909435630/767], [-38413523/40651, 28743073/40651]]], 0, 4608, [], [] >,
< [ -4, -1, 1 ], [[192, -128]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4764/59, 130/59], [1588/59, 4/59], [0, 0]], [[0, 0], [-2788717800/3127, -98272364/3127], [2742200/59, -617870/59], [1068458/40651, 2/40651]], [[0, 0], [-8057239575879/3127, 6535302832215/3127], [14706173466/59, -7033857322/59], [3444455685/40651, -2535924245/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [127102/59, 2890/59], [-1096/59, -20/59], [0, 0]], [[0, 0], [1516599075/40651, 292965783/40651], [86874/767, -50454/767], [-1015/3127, -5/40651]], [[0, 0], [12701451/40651, -8049775/40651], [-242/767, 170/767], [-71/40651, 45/40651]]], 0, 4608, [], [] >,
< [ -4, -1, 1 ], [[160, -72]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1246/59, -254/59], [-612/59, -6/59], [0, 0]], [[0, 0], [-4653033/59, -710102/59], [-432194/59, -236917/59], [-3, 0]], [[0, 0], [2207026950/3127, -1169290919/3127], [-74112/59, -903142/59], [1520552/40651, -703000/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29714/59, -466/59], [204/59, 2/59], [0, 0]], [[0, 0], [-59155552/767, 1744735/767], [218684/767, -14420/767], [2/13, 0]], [[0, 0], [-7623731192005/40651, 3469861594333/40651], [565878782/767, -251867179/767], [14417675/40651, -6693662/40651]]], 0, 576, [], [] >,
< [ -4, -1, 1 ], [[1060032, -413824]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [480, -190], [-1660, 648], [0, 0]], [[0, 0], [5, 0], [2, 0], [1, 0]], [[0, 0], [-942, 368], [3412, -1332], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16464, -6426], [9652, -3768], [0, 0]], [[0, 0], [154056/13, -58452/13], [87944/13, -33756/13], [-62/13, -2/13]], [[0, 0], [-13770269/13, -8818546/13], [-4696678/13, -3007828/13], [213561/13, 136762/13]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[1728, -704]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18273354/1879, -3702/1879], [-9792/1879, 4/1879], [0, 0]], [[0, 0], [-50976199767/1879, 12699614645/1879], [27321811/1879, -6809465/1879], [16858/1879, 10/1879]], [[0, 0], [-20856211143291/1879, 7942321548739/1879], [11179555977/1879, -4257413093/1879], [5092152/1879, -1805128/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-453412545/1879, -5623/1879], [21979/1879, 1/1879], [0, 0]], [[0, 0], [5631996916523083/24427, -146496410404041/24427], [-273008252145/24427, 7092557059/24427], [-401762/24427, 6/24427]], [[0, 0], [-286935075886297882722/24427, 102742729550993989568/24427], [13908423271070992/24427, -4980124170524098/24427], [19741022784/24427, -6997946796/24427]]], 0, 18432, [], [] >,
< [ -4, -1, 1 ], [[736, -296]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32624/59, -401/59], [576/59, 3/59], [0, 0]], [[0, 0], [-6129634564/3127, 920326957/3127], [1339780/59, -315854/59], [-360092/40651, -1/40651]], [[0, 0], [-960466310521664/3127, 759067642149601/6254], [233117985606/59, -91650741917/59], [-45494359506/40651, 36395173197/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1116, -2], [20, 0], [0, 0]], [[0, 0], [-56558288/3127, 110465499/6254], [45054/59, -19145/59], [-214930/40651, -3/81302]], [[0, 0], [1346957151072/3127, -518611307131/3127], [-703578180/59, 274329433/59], [153762224/3127, -61433540/3127]]], 0, 2304, [], [] >,
< [ -4, -1, 1 ], [[1024, -448]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1052/59, -40/59], [204/59, -10/59], [0, 0]], [[0, 0], [-2385176684/3127, -18103/3127], [-420396/59, -438/59], [-615532/40651, 1/40651]], [[0, 0], [-76009710583142/3127, 32477164292297/3127], [-13373303722/59, 5716281486/59], [-19615798824/40651, 8381341699/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5076/59, 228/59], [-1092/59, -2/59], [0, 0]], [[0, 0], [1494593270/3127, -87747261/3127], [-1334834/59, -415432/59], [-708368/40651, 3/40651]], [[0, 0], [13132843188998/3127, -5556520298994/3127], [-4910388426/59, 2728594364/59], [-5650128540/40651, 2445399548/40651]]], 0, 18432, [], [] >,
< [ -4, -1, 1 ], [[1024, -448]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68670/59, 802/59], [-1270/59, -6/59], [0, 0]], [[0, 0], [-16528213612/3127, -10844689939/3127], [2125912/59, 3720282/59], [-1730692/40651, -3/40651]], [[0, 0], [31420706997064/3127, 13374514314509/3127], [-65878751832/59, 18973169590/59], [-26906788212/40651, 11505650987/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31634/59, -1140/59], [-558/59, 10/59], [0, 0]], [[0, 0], [261676952/3127, 308438625/3127], [1352136/59, -105950/59], [708368/40651, -3/40651]], [[0, 0], [-14110398205668/3127, 3399323525940/3127], [81129993036/59, -33839519920/59], [37472931696/40651, -16049544614/40651]]], 0, 18432, [], [] >,
< [ -4, -1, 1 ], [[704, -256]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3432/59, 2910/59], [1030/59, -10/59], [0, 0]], [[0, 0], [1547826152/3127, 762035341/3127], [5328768/59, 3594186/59], [-139254/40651, 3/40651]], [[0, 0], [-1387770005312/3127, 302680843489/3127], [-46916540/59, -974666334/59], [35307548/3127, -13051917/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [587048/59, 1408/59], [-1210/59, -2/59], [0, 0]], [[0, 0], [-1072957678160/40651, 23006385095/40651], [3184142/59, -71152/59], [-8894/40651, 1/40651]], [[0, 0], [982755364348/59, -363746418584/59], [-2012030594/59, 744863446/59], [102676/767, -37814/767]]], 0, 4608, [], [] >,
< [ -4, -1, 1 ], [[704, -256]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50738/59, 3902/59], [738/59, 2/59], [0, 0]], [[0, 0], [7030739540/3127, 4631617811/3127], [-2550120/59, -1589194/59], [-57952/40651, 3/40651]], [[0, 0], [-48305132054/3127, -86028384275/3127], [53803540/59, 15748730/59], [15664482/40651, -5793577/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [223970/59, 1322/59], [798/59, 6/59], [0, 0]], [[0, 0], [-10329708186/767, 327739038/767], [-2813476/59, 85424/59], [2/13, 0]], [[0, 0], [9287119597404238/40651, -3446178608318397/40651], [47634849508/59, -17670618438/59], [-101351790/40651, 37335861/40651]]], 0, 4608, [], [] >,
< [ -4, -1, 1 ], [[704, -256]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4612/59, -550/59], [1094/59, 10/59], [0, 0]], [[0, 0], [-34945886/3127, 112553851/3127], [1219582/59, 525308/59], [778136/40651, -1/40651]], [[0, 0], [48371049836/53, -20289828161/53], [-108061932, 27947746], [-852614576/3127, 313248521/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [173804/59, -2518/59], [558/59, -10/59], [0, 0]], [[0, 0], [2229051552764/40651, -133707543365/40651], [10447232/59, -656498/59], [7088/3127, 3/40651]], [[0, 0], [240474269295624410/40651, -89736812044500464/40651], [1131422476748/59, -422451115300/59], [9133229700/40651, -3363206644/40651]]], 0, 4608, [], [] >,
< [ -4, -1, 1 ], [[136, -40]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2647/59, -327/59], [588/59, -8/59], [0, 0]], [[0, 0], [-499204296/3127, -64962/3127], [-143169/59, 37/59], [226605/40651, 3/40651]], [[0, 0], [-901027/3127, 295202/3127], [-259/59, 85/59], [409/40651, -134/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [97116/59, 126/59], [-1150/59, 2/59], [0, 0]], [[0, 0], [-27493505290/40651, 36463843317/40651], [501535/59, -626145/59], [8407/40651, -2/40651]], [[0, 0], [101676455263559/40651, -47151887891432/40651], [-1787141370/59, 822425616/59], [-11770734/40651, 3644379/40651]]], 0, 576, [], [] >,
< [ -4, -1, 1 ], [[2985664, -1165568]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5920, 2312], [6660, -2600], [0, 0]], [[0, 0], [5, 0], [2, 0], [1, 0]], [[0, 0], [-7286, 2844], [8156, -3184], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11920, -4668], [4324, -1688], [0, 0]], [[0, 0], [30712008/13, -11994849/13], [11131180/13, -4345546/13], [74/13, 5/13]], [[0, 0], [5222951/13, 3444492/13], [30418/13, 55636/13], [-34345/13, -21994/13]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[713792, -278656]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6880, 2686], [-2244, 876], [0, 0]], [[0, 0], [-1, 0], [2, 0], [1, 0]], [[0, 0], [7690, -3002], [2500, -976], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27782, 11964], [-2664, 1040], [0, 0]], [[0, 0], [5381683111/13, 3445813538/13], [74058/13, -84/13], [25/13, -2/13]], [[0, 0], [7818057451, 5007159466], [-6698, 44500], [-7, 14]]], 0, 6912, [], [] >,
< [ -4, -1, 1 ], [[-960, 448]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -8], [20, 20], [0, 0]], [[0, 0], [-16164775/3873, -1884925/3873], [-152684/11, -2950/11], [-959/3873, -1/42603]], [[0, 0], [117443/3873, 93425/3873], [896/11, 714/11], [59/42603, 47/42603]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [638, -158], [-16, 16], [0, 0]], [[0, 0], [-87137174789/50349, -1880452591/50349], [-6335424/143, -2634/143], [77239/553839, -1/553839]], [[0, 0], [38468219177270/16783, -18203253350830/16783], [8735316428/143, -4069331044/143], [-35527554/184613, 16545366/184613]]], 0, 27648, [], [] >,
< [ -4, -1, 1 ], [[-1752512, 684160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1522, 596], [-1332, 520], [0, 0]], [[0, 0], [17, 0], [2, 0], [1, 0]], [[0, 0], [-102, 40], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1700, -1158], [-164, 64], [0, 0]], [[0, 0], [331623/13, 225913/13], [190/13, -10/13], [19/13, -1/13]], [[0, 0], [-4135953/13, -3494250/13], [-8870/13, 2540/13], [-887/13, 254/13]]], 0, 7680, [], [] >,
< [ -4, -1, 1 ], [[-1024, 320]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [472, -184], [-1424, 556], [0, 0]], [[0, 0], [43139452/3873, -43959/1291], [142094/11, 1946/11], [-9662/42603, -1/14201]], [[0, 0], [-164815852368/1291, -316637468362/3873], [-154460376, -98914336], [3384996/1291, 6503116/3873]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, 82], [-12, 12], [0, 0]], [[0, 0], [-17980933580/16783, 1028539375/50349], [9287086/143, -12526/143], [-15122/184613, -5/553839]], [[0, 0], [235925180087216/16783, -227729348425954/50349], [-119185627664/143, 37766151100/143], [193710048/184613, -183902296/553839]]], 0, 27648, [], [] >,
< [ -4, -1, 1 ], [[-2639424, 1030400]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25730, 10044], [-6240, 2436], [0, 0]], [[0, 0], [-1, 0], [2, 0], [1, 0]], [[0, 0], [27428, -10708], [6660, -2600], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21574, 7406], [-584, 228], [0, 0]], [[0, 0], [-367866718, -235873080], [13084, -104], [4, 0]], [[0, 0], [-34178335379/13, -21563585224/13], [-659186, 292744], [-2583/13, 1152/13]]], 0, 7680, [], [] >,
< [ -4, -1, 1 ], [[5451968, -2128384]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8572, -3346], [-4324, 1688], [0, 0]], [[0, 0], [23, 0], [2, 0], [1, 0]], [[0, 0], [51606, -20148], [-25984, 10144], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1115720, 437386], [11732, -4580], [0, 0]], [[0, 0], [517609119767/13, 333039730892/13], [25780070/13, 38384/13], [-37/13, 4/13]], [[0, 0], [25214779115501/13, 15186696148613/13], [-9324310558/13, 4112661454/13], [15975/13, -6725/13]]], 0, 18432, [], [] >,
< [ -4, -1, 1 ], [[2098752, -819328]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46182, -18028], [-7572, 2956], [0, 0]], [[0, 0], [19, 0], [2, 0], [1, 0]], [[0, 0], [-51724, 20190], [8484, -3312], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45762, -17078], [2500, -976], [0, 0]], [[0, 0], [-1371977584/13, -880221465/13], [135292/13, 210/13], [58/13, -1/13]], [[0, 0], [-23679624031/13, -15246686698/13], [5153286/13, -1094532/13], [2245/13, -502/13]]], 0, 18432, [], [] >,
< [ -4, -1, 1 ], [[25443392, -9932800]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -22], [105956, -41364], [0, 0]], [[0, 0], [3, 0], [-58, 0], [1, 0]], [[0, 0], [-122, 48], [-204832, 79964], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63060, 23664], [30308, -11832], [0, 0]], [[0, 0], [-51100639124/13, -32745427875/13], [-16241064/13, -4098/13], [-74/13, -5/13]], [[0, 0], [21907880871583/13, 14146545608218/13], [58362596130/13, -20051095284/13], [241309/13, -79606/13]]], 0, 847872, [], [] >,
< [ -4, -1, 1 ], [[171695680, -67027968]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1666, -652], [495312, -193364], [0, 0]], [[0, 0], [9, 0], [74, 0], [1, 0]], [[0, 0], [-58758, 22974], [-17454972, 6814216], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138234, -51134], [65504, -25572], [0, 0]], [[0, 0], [-50567924265/13, -32383563656/13], [545978/13, -200/13], [67/13, 4/13]], [[0, 0], [-1081883874806/13, -692741261590/13], [-57657520/13, 27064288/13], [-6278/13, 3096/13]]], 0, 847872, [], [] >,
< [ -4, -1, 1 ], [[10304, -4160]], [ -666, 3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 2], [72, 12], [0, 0]], [[0, 0], [-16870460/3873, 121484/3873], [-1384892/11, 2226/11], [-664/3873, 2/42603]], [[0, 0], [-3329258735/3873, 8109515/3873], [-24847976, -79142], [-131053/3873, -593/3873]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3970, 110], [-376, -12], [0, 0]], [[0, 0], [93977663837/16783, 5692375381/50349], [-155245736/143, -1669062/143], [63763/184613, 1/553839]], [[0, 0], [1175820315318700/50349, 121560400386436/50349], [-645465945620/143, -60366401034/143], [792522370/553839, 65165080/553839]]], 0, 552960, [], [] >,
< [ -4, -1, 1 ], [[17740864, -6925824]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-626, 244], [13484, -5264], [0, 0]], [[0, 0], [5, 0], [-10, 0], [1, 0]], [[0, 0], [-102, 40], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [143930, -56236], [96048, -37496], [0, 0]], [[0, 0], [1525560174/13, 977239435/13], [-411032/13, -25034/13], [86/13, 3/13]], [[0, 0], [-1082750801773/13, -700291233962/13], [5659614518/13, -2077001968/13], [-1234575/13, 455850/13]]], 0, 138240, [], [] >,
< [ -4, -1, 1 ], [[2560, -192]], [ -663, -3 ], [ -11, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1240, 484], [-7500, 2928], [0, 0]], [[0, 0], [-37796836/3873, 10668889/3873], [-903284/11, 176280/11], [2360/42603, 1/42603]], [[0, 0], [-15348541540/1291, -9828993259/1291], [-1987054646/11, -1272484298/11], [3464090/14201, 2218361/14201]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -82], [8, -12], [0, 0]], [[0, 0], [-44524135580/16783, -278313845/16783], [19435514/143, 84670/143], [-3266/16783, -1/184613]], [[0, 0], [380929485742664/50349, -151355776683304/50349], [-55595799310/143, 22087025794/143], [310436630/553839, -11208350/50349]]], 0, 552960, [], [] >,
< [ -4, -1, 1 ], [[40241216, -15709696]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-720, 282], [20308, -7928], [0, 0]], [[0, 0], [17, 0], [-22, 0], [1, 0]], [[0, 0], [-154, 60], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2718, 8], [-135752, 52996], [0, 0]], [[0, 0], [644479376121/13, 412717242943/13], [2545510, -7130], [7/13, 1/13]], [[0, 0], [7051275701580/13, 4515542710925/13], [-58927020, 33798902], [-108/13, 83/13]]], 0, 138240, [], [] >,
< [ -4, -1, 1 ], [[2943040, -1148928]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, 52], [50780, -19824], [0, 0]], [[0, 0], [5, 0], [-30, 0], [1, 0]], [[0, 0], [-894, 360], [351700, -137300], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5826, 3220], [5492, -2144], [0, 0]], [[0, 0], [978147/13, 619712/13], [-8798/13, -332/13], [53/13, 2/13]], [[0, 0], [73588534/13, 46589438/13], [-687240/13, -14940/13], [4140/13, 90/13]]], 0, 110592, [], [] >,
< [ -4, -1, 1 ], [[3648, -1600]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3878/59, 414/59], [1096/59, 20/59], [0, 0]], [[0, 0], [-100245180/3127, 3993986/3127], [-147884/59, 24686/59], [-73096/3127, -4/3127]], [[0, 0], [-28846951177/3127, 12557322897/3127], [-51525156/59, 21333396/59], [-19642583/3127, 8720643/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [47052/59, -1628/59], [-836/59, 8/59], [0, 0]], [[0, 0], [-101502745/3127, -236919019/3127], [-148226/59, 80042/59], [70457/3127, 3/3127]], [[0, 0], [179995538699/3127, -40999415773/3127], [-156564476/59, 58773850/59], [36960617/3127, -17340425/3127]]], 0, 258048, [], [] >,
< [ -4, -1, 1 ], [[568, -344]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4930/59, -186/59], [-1073/59, -3/59], [0, 0]], [[0, 0], [-613575395/3127, 38913295/3127], [-2531559/59, 239683/59], [-5278/3127, -2/3127]], [[0, 0], [30830556036/3127, -18113955598/3127], [136259847/59, -75874457/59], [226673/3127, -150977/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1106/59, -342/59], [172/59, 4/59], [0, 0]], [[0, 0], [-509669525/6254, -931007/6254], [-45103/59, -2421/59], [95473/6254, 3/6254]], [[0, 0], [-91240043809/6254, 61558287353/6254], [-6943406/59, 5309568/59], [17174271/6254, -11541419/6254]]], 0, 32256, [], [] >,
< [ -4, -1, 1 ], [[3648, -1600]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, -10], [12, 0], [0, 0]], [[0, 0], [-194453827/3127, 44534301/3127], [60018/59, 274220/59], [95473/3127, 3/3127]], [[0, 0], [-1577083792063/3127, 645186026681/3127], [-2511040594/59, 700341048/59], [546659869/3127, -248466193/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [184626/59, 342/59], [-1588/59, -4/59], [0, 0]], [[0, 0], [-37431771242/3127, -2452226902/3127], [6107584/59, 402268/59], [17786/3127, 2/3127]], [[0, 0], [-23444472415421/3127, 10960359035587/3127], [3822598834/59, -1787514728/59], [12621491/3127, -5663095/3127]]], 0, 258048, [], [] >,
< [ -4, -1, 1 ], [[2048, -1088]], [ -225, 7 ], [ -31, 12 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -12], [-14, -6], [0, 0]], [[0, 0], [36074612/1879, -112069/1879], [88, -24], [-53180/1879, -1/1879]], [[0, 0], [8433687964/1879, -853302239/1879], [22756, -7076], [-12417372/1879, 1222923/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [110, 34], [6, 6], [0, 0]], [[0, 0], [-3677913596/24427, 26250033/24427], [103736/13, -84/13], [25388/24427, 5/24427]], [[0, 0], [-10950604758/1879, 1147540605/1879], [308094, -30610], [75372/1879, -7423/1879]]], 0, 258048, [], [] >,
< [ -4, -1, 1 ], [[1056, -392]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2662/59, 254/59], [1084/59, 6/59], [0, 0]], [[0, 0], [587338037/3127, 386227913/3127], [3644866/59, 2429637/59], [10357/3127, -2/3127]], [[0, 0], [-1873796565/59, -2657913240/59], [-382167678/59, -975175835/59], [-950371/59, 348760/59]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20628/59, -65/59], [-204/59, -2/59], [0, 0]], [[0, 0], [-4446207041/40651, 5183544940/40651], [14460934/767, -854772/767], [332149/40651, 5/40651]], [[0, 0], [724435772207453/40651, -295158633078045/40651], [-944207455606/767, 351451057407/767], [-19954684375/40651, 7325684350/40651]]], 0, 8064, [], [] >,
< [ -4, -1, 1 ], [[1600, -512]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76442/59, -478/59], [-1384/59, -2/59], [0, 0]], [[0, 0], [8445341571/3127, -2997876839/3127], [-2931230/59, 1009696/59], [-27655/3127, -1/3127]], [[0, 0], [1080336818425/3127, -416902888533/3127], [-371507626/59, 142850112/59], [-2435795/3127, 775893/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-228750/59, -3322/59], [-376/59, -6/59], [0, 0]], [[0, 0], [456527702833/40651, -25638027177/40651], [18006262/767, -767018/767], [-426935/40651, -3/40651]], [[0, 0], [-2435073174472083/40651, 784381427379859/40651], [-94555629510/767, 30090458704/767], [2131112329/40651, -650369305/40651]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[1600, -512]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2014/59, 324/59], [160/59, -10/59], [0, 0]], [[0, 0], [36331971/3127, -14083/3127], [-71374/59, 1356/59], [-31957/3127, -5/3127]], [[0, 0], [38862165792/3127, -12306784542/3127], [-78142852/59, 25147198/59], [-34158980/3127, 10812140/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [318, 2], [-4, 0], [0, 0]], [[0, 0], [-10507522/59, -761426/59], [320496/59, 6342/59], [-10, 0]], [[0, 0], [-130018027697429/40651, 36396472245307/40651], [80109663294/767, -23949679302/767], [-8009770401/40651, 2446791483/40651]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[1600, -512]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44/59, 130/59], [172/59, 4/59], [0, 0]], [[0, 0], [-21957681/3127, -109913/3127], [32270/59, -800/59], [17099/3127, -3/3127]], [[0, 0], [40010272255/3127, -12378805645/3127], [-60993514/59, 19407336/59], [-31359027/3127, 9751623/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-174950/59, -460/59], [1588/59, 4/59], [0, 0]], [[0, 0], [-221812610522/40651, -499223966/40651], [39548400/767, 80742/767], [-582598/40651, 2/40651]], [[0, 0], [-15521877029273037/40651, 4741063674588445/40651], [2768205999038/767, -845717338474/767], [-40881564657/40651, 12516494409/40651]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[6490688, -2533888]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [446, -176], [104460, -40780], [0, 0]], [[0, 0], [5, 0], [26, 0], [1, 0]], [[0, 0], [960, -380], [226236, -88320], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32718, -12790], [-33628, 13128], [0, 0]], [[0, 0], [-14243904/13, 5567492/13], [14640004/13, -5714160/13], [46/13, 4/13]], [[0, 0], [-18665965/13, -11944526/13], [-3039854/13, -1955868/13], [-59517/13, -38114/13]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[3904, -1344]], [ -218, -7 ], [ -494, 191 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80886663/1879, 13195/1879], [43389/1879, 3/1879], [0, 0]], [[0, 0], [-2893360276439/1879, 1033426043185/1879], [1551585763/1879, -554115861/1879], [8654/1879, -2/1879]], [[0, 0], [39739038845681760/1879, -15748045279869506/1879], [-21309274690158/1879, 8444746701404/1879], [-68777592/1879, 35084580/1879]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5231427166/1879, 78862/1879], [-253268/1879, -4/1879], [0, 0]], [[0, 0], [11749160034708033/24427, 255408072841445/24427], [-568810330041/24427, -12365989425/24427], [184486/24427, 6/24427]], [[0, 0], [213227931725858199454/24427, -111440494829366935274/24427], [-10322934948552804/24427, 5395143133563600/24427], [3503284734/24427, -1787100326/24427]]], 0, 258048, [], [] >,
< [ -4, -1, 1 ], [[1632, -584]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104956/59, -747/59], [1904/59, 5/59], [0, 0]], [[0, 0], [-68991714612/3127, 93185287353/6254], [23886846/59, -15984446/59], [-35230/3127, 3/6254]], [[0, 0], [3117177422823218/3127, -1247674202267428/3127], [-1074372894586/59, 429843781385/59], [803087016/3127, -291995109/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2120/59, 134/59], [60/59, 4/59], [0, 0]], [[0, 0], [-43959346/3127, 19120231/6254], [13284/59, -3563/59], [-2294/3127, -3/6254]], [[0, 0], [-4365580560/3127, 3329644127/6254], [1393174/59, -535456/59], [-172918/3127, 125699/6254]]], 0, 32256, [], [] >,
< [ -4, -1, 1 ], [[2560, -704]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3656/59, 244/59], [-796/59, 2/59], [0, 0]], [[0, 0], [101774964/3127, -21547180/3127], [-184580/59, -102536/59], [-89504/3127, -4/3127]], [[0, 0], [-120237026022/3127, 42894778487/3127], [58683714/59, 15921084/59], [84409224/3127, -25180359/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2236/59, 24/59], [-500/59, 6/59], [0, 0]], [[0, 0], [22307660/3127, 15737/3127], [3196/59, 40/59], [4588/3127, 3/3127]], [[0, 0], [16121909782/3127, -4770185537/3127], [2277434/59, -664204/59], [3315984/3127, -981201/3127]]], 0, 258048, [], [] >,
< [ -4, -1, 1 ], [[2560, -704]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46026/59, 24/59], [-854/59, 6/59], [0, 0]], [[0, 0], [1899141240/3127, 1249155747/3127], [-831100/59, -428562/59], [-59900/3127, -1/3127]], [[0, 0], [-157428546134/3127, -119436835012/3127], [123192966/59, 20338214/59], [391200/53, -116700/53]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35154/59, -196/59], [622/59, 10/59], [0, 0]], [[0, 0], [2597882/59, -51590/59], [101626/59, 938/59], [16, 0]], [[0, 0], [-223973212472/3127, 67565207745/3127], [-159773240/59, 46555362/59], [-79524064/3127, 23437575/3127]]], 0, 258048, [], [] >,
< [ -4, -1, 1 ], [[1344, -640]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10612/59, -4044/59], [116/59, -8/59], [0, 0]], [[0, 0], [-5525360/3127, -11379429/3127], [-89478/59, -59372/59], [692/3127, -5/3127]], [[0, 0], [357357736/3127, -83534907/3127], [458374/59, 210996/59], [16266/3127, -7447/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [295592/59, -1290/59], [-678/59, 2/59], [0, 0]], [[0, 0], [-6982655448004/40651, 116585667623/40651], [21774620/59, -356394/59], [-480866/40651, -5/40651]], [[0, 0], [593699905997019972/40651, -270050648928105460/40651], [-1850298783476/59, 841803066432/59], [39666708158/40651, -18239253528/40651]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[1344, -640]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5438/59, -786/59], [-86/59, 10/59], [0, 0]], [[0, 0], [27704734/3127, -5300144/3127], [30420/59, 1792/59], [13482/3127, 2/3127]], [[0, 0], [-49890327832/3127, 20596751423/3127], [-36440640/59, 17001802/59], [-18059052/3127, 8119373/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-385156/59, -1314/59], [-1240/59, -4/59], [0, 0]], [[0, 0], [19204484338/59, -140157440/59], [60626992/59, -462528/59], [-10, 0]], [[0, 0], [176980395682107128/40651, -80976288446009449/40651], [811390687282/59, -371167064044/59], [-5365183630/40651, 2466598483/40651]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[1344, -640]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3418/59, -252/59], [884/59, -4/59], [0, 0]], [[0, 0], [164151048/3127, -48039711/3127], [410352/59, -225706/59], [27656/3127, -1/3127]], [[0, 0], [302402512412/3127, -121821606866/3127], [991066178/59, -371517494/59], [32933404/3127, -15391852/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50026/59, 1440/59], [-146/59, 6/59], [0, 0]], [[0, 0], [-137204588350/40651, 3583117269/40651], [97952/59, 19754/59], [236960/40651, 5/40651]], [[0, 0], [-272467744646/767, 123226647129/767], [6187624/59, -3452330/59], [448980/767, -206481/767]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[184, -152]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4950/59, -732/59], [854/59, -6/59], [0, 0]], [[0, 0], [9680294/59, 11666077/59], [3440567/59, 2928747/59], [5, 0]], [[0, 0], [1269659634123/3127, 190782335960/3127], [4986838910/59, 1635461212/59], [-15896274/3127, 11324077/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1177/59, -5027/59], [-104/59, 56/59], [0, 0]], [[0, 0], [-6904091821/40651, -2583918733/40651], [62663/59, -2635/59], [-6741/40651, -1/40651]], [[0, 0], [-269580081319/40651, -2030286247918/40651], [-33378387/59, 21860297/59], [3200047/40651, -2314196/40651]]], 0, 8064, [], [] >,
< [ -4, -1, 1 ], [[51491392, -20101632]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1708, -666], [84644, -33044], [0, 0]], [[0, 0], [11, 0], [22, 0], [1, 0]], [[0, 0], [-13162, 5136], [-650112, 253796], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168222, -65672], [-84644, 33044], [0, 0]], [[0, 0], [261441/13, -102483/13], [-130606/13, 51334/13], [-9/13, -5/13]], [[0, 0], [2269118/13, 1453037/13], [-1876808/13, -1201846/13], [46058/13, 29495/13]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[-576, 576]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, -6], [16, -4], [0, 0]], [[0, 0], [38704/19, 17648/19], [572, 174], [-290/19, -4/19]], [[0, 0], [24863/19, 6845/19], [432, 32], [-283/19, 51/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4126, -1630], [4, 0], [0, 0]], [[0, 0], [16424489/247, -1433101/247], [-18360/13, -138/13], [-2127/247, -3/247]], [[0, 0], [-27277158374/247, -17468239850/247], [40024432/13, 25631436/13], [4565664/247, 2923828/247]]], 0, 122880, [], [] >,
< [ -4, -1, 1 ], [[-4608, 1728]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, -62], [-164, 64], [0, 0]], [[0, 0], [-21044/13, 7512/13], [-54, -10], [-98/13, -4/13]], [[0, 0], [-30052052/13, -19245765/13], [-1328068, -850480], [-1805656/13, -1156323/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4792, 1848], [1188, -464], [0, 0]], [[0, 0], [-938868/13, -710521/13], [-36508/13, 3944/13], [8/13, -3/13]], [[0, 0], [-11218784/13, -6756249/13], [454/13, -106758/13], [-30/13, 1]]], 0, 122880, [], [] >,
< [ -4, -1, 1 ], [[-288, 72]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, 26], [-276, 108], [0, 0]], [[0, 0], [52447/19, -20446/19], [11814, -9245/2], [41/19, 1/38]], [[0, 0], [-27731/19, -18894/19], [11120, 6865], [-17145/19, -10980/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [474, -186], [124, -48], [0, 0]], [[0, 0], [105265/247, 164354/247], [-10796/13, 1990/13], [-215/247, -1/247]], [[0, 0], [-10286077/13, -6589653/13], [2121018/13, 2707561/26], [4257/13, 5445/26]]], 0, 3840, [], [] >,
< [ -4, -1, 1 ], [[576, 0]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, 44], [20, 12], [0, 0]], [[0, 0], [-14553/19, 4367/19], [3352, 2115], [-81/19, -4/19]], [[0, 0], [-437018, 170522], [23216, -4873], [-1530, 595]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 16], [28, -12], [0, 0]], [[0, 0], [2674226/247, 234798/247], [-25604/13, 285/13], [-1020/247, 1/247]], [[0, 0], [4614239457/247, -1745273135/247], [-51886764/13, 19830199/13], [-2035533/247, 777232/247]]], 0, 30720, [], [] >,
< [ -4, -1, 1 ], [[576, 0]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 2], [16, -8], [0, 0]], [[0, 0], [-457/19, 3/19], [-32, 7], [43/19, 4/19]], [[0, 0], [4294, -1672], [7576, -2955], [-342, 133]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-264, 4], [-4, 0], [0, 0]], [[0, 0], [-3633091/247, -9881/247], [36664/13, 34/13], [1569/247, 5/247]], [[0, 0], [-1936479674/247, 734565964/247], [19595724/13, -7434833/13], [835700/247, -316989/247]]], 0, 30720, [], [] >,
< [ -4, -1, 1 ], [[-504, 216]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 4], [-20, -8], [0, 0]], [[0, 0], [-13912/13, 5288/13], [-877/2, 217/2], [135/26, 1/26]], [[0, 0], [209979/13, -88402/13], [6395/2, -8127/2], [1039/26, 2007/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2799, -1117], [952, -372], [0, 0]], [[0, 0], [1708962/13, 970968/13], [126437/26, -2329/26], [5/26, 3/26]], [[0, 0], [2032195/13, -55404], [1325603/26, -515399/26], [3/26, -1/26]]], 0, 3840, [], [] >,
< [ -4, -1, 1 ], [[576, 0]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98, 38], [-20, 8], [0, 0]], [[0, 0], [946/13, 171/13], [-47, -9], [85/13, 4/13]], [[0, 0], [-40994/13, -35127/13], [2093, 1771], [-2415/13, -2576/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [186, 20], [-20, -8], [0, 0]], [[0, 0], [-1790/13, 13568/13], [-1409/13, -1895/13], [3/13, -5/13]], [[0, 0], [1578/13, -633/13], [125/13, -49/13], [5/13, -2/13]]], 0, 30720, [], [] >,
< [ -4, -1, 1 ], [[576, 0]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144, -56], [4, 8], [0, 0]], [[0, 0], [1000/13, -541/13], [-14, 10], [50/13, -3/13]], [[0, 0], [-3404/13, 81/13], [73, 11], [69/13, 110/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-908, 404], [-348, 136], [0, 0]], [[0, 0], [3180988/13, 1992312/13], [24815/13, -199/13], [-5/13, 3/13]], [[0, 0], [-1806752/13, -1280127/13], [37291/13, -20383/13], [-17/13, 6/13]]], 0, 30720, [], [] >,
< [ -4, -1, 1 ], [[1558080, -608256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [246, -96], [9744, -3804], [0, 0]], [[0, 0], [1, -2], [6, 0], [1, 0]], [[0, 0], [0, 0], [492, -192], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24732, -9660], [16476, -6432], [0, 0]], [[0, 0], [2719/13, 56/13], [-786/13, -636/13], [15/13, 4/13]], [[0, 0], [35286/13, -5764/13], [-4380/13, -5016/13], [160/13, 8/13]]], 0, 30720, [], [] >,
< [ -4, -1, 1 ], [[1280, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -8], [-24, -40], [0, 0]], [[0, 0], [-422, 198], [-3675, 1567], [-25, 5]], [[0, 0], [842, -350], [7147, -2875], [41, -13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 8], [88, 24], [0, 0]], [[0, 0], [-358, -18], [-3883, 983], [-49, -3]], [[0, 0], [-6198, 2370], [-101193, 39337], [-835, 319]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[576, -320]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, -50], [-14, -10], [0, 0]], [[0, 0], [141, -109], [29/2, 95/2], [103/2, 5/2]], [[0, 0], [-5516, 2080], [1115, -363], [-805, 345]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 28], [28, -4], [0, 0]], [[0, 0], [-4277, -2607], [-1809/2, -355/2], [53/2, -1/2]], [[0, 0], [6875, -4435], [51965/2, -20721/2], [-2277/2, 897/2]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[576, -320]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -8], [-52, -12], [0, 0]], [[0, 0], [579, 61], [645/2, 167/2], [91/2, 1/2]], [[0, 0], [-89196, 36072], [-35020, 14584], [-8280, 3312]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 12], [24, -8], [0, 0]], [[0, 0], [-1429, -603], [-747/2, 247/2], [59/2, 1/2]], [[0, 0], [-16715, 9251], [-44889/2, 17629/2], [2225/2, -925/2]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[56, -88]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57, 5], [17, 3], [0, 0]], [[0, 0], [17577/2, -5461/2], [-7681/4, 1437/4], [9/4, -5/4]], [[0, 0], [24755, -9107], [-4904, 1604], [7, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, -5], [15, 5], [0, 0]], [[0, 0], [-450, 178], [201, -85], [-5, 1]], [[0, 0], [2245/2, -873/2], [-2077/4, 793/4], [37/4, -17/4]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 9], [6, -2], [0, 0]], [[6, -2], [2066, -808], [-607, 237], [3, -1]], [[-139/2, -89/2], [245, 164], [-51/4, -41/4], [-139/4, -89/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, 32], [-68, 26], [0, 0]], [[37/2, -1/2], [1644, -617], [5129/4, -2037/4], [37/4, -1/4]], [[561/2, 363/2], [794, 763], [-2243/4, -625/4], [561/4, 363/4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, -62], [-16, -6], [0, 0]], [[0, 0], [-1194, 251], [5601, 3595], [31, -13]], [[0, 0], [4604, -13181], [296932, 190022], [-552, 168]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 5], [-1240, 484], [0, 0]], [[0, 0], [-1450, 446], [-111315, 43447], [-5, 3]], [[0, 0], [3196, -1188], [261874, -102228], [14, -6]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, 54], [40, -14], [0, 0]], [[-9/2, 1/2], [-5217, 1959], [5663/4, -2423/4], [-9/4, 1/4]], [[-196, -124], [-14422, -6844], [-7604, -5552], [-98, -62]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-438, 172], [-14, 6], [0, 0]], [[-23/2, -1/2], [154, -78], [101/4, -5/4], [-23/4, -1/4]], [[-578, -374], [-2180, -1296], [995, 647], [-289, -187]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-528, 206], [-4, -4], [0, 0]], [[0, 0], [-2, 0], [-1, 0], [1, 0]], [[0, 0], [96, -40], [-116, -74], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-260, 102], [-856, 334], [0, 0]], [[0, 0], [2, 0], [-1, 0], [1, 0]], [[0, 0], [6120, -2400], [20128, -7854], [0, 0]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[256, -128]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, 34], [-96, 28], [0, 0]], [[0, 0], [-8244, 3226], [-7618, 2984], [2, 0]], [[0, 0], [21686, -8468], [20047, -7829], [-3, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -14], [8, -4], [0, 0]], [[0, 0], [-30, 22], [-15, 9], [-5, 3]], [[0, 0], [160, -100], [78, -42], [26, -14]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[256, -128]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 2], [24, -32], [0, 0]], [[0, 0], [-1294, 664], [6611, -1733], [25, -11]], [[0, 0], [-22424, 13146], [129414, -27078], [450, -210]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 12], [24, -32], [0, 0]], [[0, 0], [13866, -7202], [-25975, 2317], [3, -1]], [[0, 0], [-1620, 450], [928, -1160], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[256, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 4], [-56, 8], [0, 0]], [[0, 0], [1730, -4626], [2767, -3503], [-11, -1]], [[0, 0], [-8466, 4306], [-8087, 3771], [11, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, 20], [32, -8], [0, 0]], [[0, 0], [-2698, 1698], [1113, -633], [11, 1]], [[0, 0], [64482, -32714], [-25953, 12453], [-187, 11]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[256, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -8], [20, -20], [0, 0]], [[0, 0], [-146, -86], [-13, -67], [-23, -5]], [[0, 0], [-494, 158], [3513, -1389], [-585, 225]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 12], [96, -28], [0, 0]], [[0, 0], [98, -34], [-687, 247], [23, 1]], [[0, 0], [-620, 220], [4368, -1592], [-136, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[256, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 40], [80, -28], [0, 0]], [[0, 0], [-812, 320], [802, -310], [-2, 2]], [[0, 0], [2118, -810], [-2043, 815], [15, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -20], [-8, 4], [0, 0]], [[0, 0], [82, 86], [87, 9], [29, 3]], [[0, 0], [480, -16], [-378, 210], [-126, 70]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[256, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -16], [56, 8], [0, 0]], [[0, 0], [-2994, 702], [-799, 2019], [3, 1]], [[0, 0], [-43170, 17086], [-42755, 15839], [15, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 0], [32, -24], [0, 0]], [[0, 0], [916, -396], [1920, -720], [-8, 4]], [[0, 0], [-854, 346], [-1723, 663], [7, -3]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[256, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -16], [-24, 0], [0, 0]], [[0, 0], [-318, -122], [-79, -37], [-29, -3]], [[0, 0], [-33180, 13712], [-5448, 2336], [-6424, 2552]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -16], [72, 8], [0, 0]], [[0, 0], [3280, 964], [-4086, -4722], [-10, 2]], [[0, 0], [-35442, 16278], [-76723, 23079], [279, -111]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -6], [12, -4], [0, 0]], [[0, 0], [-159, -91], [30, 2], [15, -5]], [[0, 0], [-86, -66], [-8, 12], [-14, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -26], [8, -20], [0, 0]], [[0, 0], [-1725, -1377], [-1402, -1018], [-31, 13]], [[0, 0], [14956, 6600], [10492, 5400], [-352, 132]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[11968, -4672]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-620, 278], [10, 4], [0, 0]], [[0, 0], [3, 0], [0, 0], [1, 0]], [[0, 0], [7552, -2956], [-30, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1836, 708], [-10, 2], [0, 0]], [[0, 0], [1, 2], [0, 0], [1, 0]], [[0, 0], [-1584, 626], [-6, 4], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[40, -8]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1062, 414], [12, -4], [0, 0]], [[0, 0], [-1423/2, 517/2], [7, -5], [-5/2, -5/2]], [[0, 0], [-1548, -1048], [-187, -119], [-289, -185]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [462, -180], [-16, 6], [0, 0]], [[0, 0], [-27173/2, 10597/2], [456, -174], [-7/2, 3/2]], [[0, 0], [-5217, -3358], [3789, 2427], [114, 73]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[11968, -4672]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2224, 888], [6, 2], [0, 0]], [[0, 0], [-1, 0], [0, 0], [1, 0]], [[0, 0], [4148, -1630], [-6, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1172, -448], [-10, 6], [0, 0]], [[0, 0], [-3, 2], [0, 0], [1, 0]], [[0, 0], [-432, 154], [2, -4], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[40, -8]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2075, 809], [15, -5], [0, 0]], [[0, 0], [91029/2, -35523/2], [-324, 116], [-7/2, -3/2]], [[0, 0], [581, 86], [-445, -283], [-114, -73]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1063, -417], [-13, 7], [0, 0]], [[0, 0], [-4797/2, 1873/2], [36, -12], [1/2, -5/2]], [[0, 0], [89/2, 57/2], [0, 0], [-89/2, -57/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[1496, -584]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 3], [-17, 9], [0, 0]], [[0, 0], [75/2, 2], [117, -34], [5/2, 1]], [[0, 0], [-381/2, 185/2], [-1015, 409], [-7/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, 3], [-15, 5], [0, 0]], [[0, 0], [10, -11/2], [14, -13], [-2, -3/2]], [[0, 0], [-259/2, 101/2], [-239, 93], [-3/2, 1/2]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[8320, -3248]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -4], [-52, 20], [0, 0]], [[0, 0], [-2861, 1108], [11932, -4656], [-5, 2]], [[0, 0], [-9189, -11947/2], [1844, 1553], [51, 65/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, 42], [24, -10], [0, 0]], [[0, 0], [-2181, 853], [468, -178], [-1, 1]], [[0, 0], [995, 249/2], [1390, 999], [195, 249/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[64, -48]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1468, -566], [-4, 4], [0, 0]], [[0, 0], [47464, -37641/2], [-300, 19], [0, -5/2]], [[0, 0], [-8482, -9107/2], [-2566, -1647], [-68, -87/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2106, 828], [10, -2], [0, 0]], [[0, 0], [-1946, 1505/2], [14, -1], [4, 5/2]], [[0, 0], [-50, 0], [-6, -4], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[1496, -584]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-101, 41], [-1, 3], [0, 0]], [[0, 0], [-7847, 5917/2], [-441, -7], [0, 1/2]], [[0, 0], [-159307/2, 31042], [-2835, 1015], [-9/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81, 33], [7, -1], [0, 0]], [[0, 0], [-1511, 639], [159, -3], [0, -2]], [[0, 0], [19589/2, -3870], [-696, 216], [-21/2, 6]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[8320, -3248]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, 34], [-16, 6], [0, 0]], [[0, 0], [2237, -1739/2], [380, -148], [1, -5/2]], [[0, 0], [-37, -2653/2], [96, -160], [725, 925/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, -30], [-8, -10], [0, 0]], [[0, 0], [2059, -1653/2], [70, -90], [-5, -3/2]], [[0, 0], [11556, -9385/2], [250, -600], [-36, -27/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[64, -48]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4446, -1748], [10, -8], [0, 0]], [[0, 0], [-59770, 39669/2], [-1300, -650], [-10, -5/2]], [[0, 0], [116296, 144699/2], [37800, 24200], [204, 261/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-718, 266], [-2, -4], [0, 0]], [[0, 0], [-284, 188], [30, 18], [-10, 0]], [[0, 0], [12, 15/2], [0, 0], [4, 5/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[13273024, -5181632]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [246, 10], [-8, 0], [0, 0]], [[0, 0], [114959, 2669], [-3766, 74], [-5, 5]], [[0, 0], [2639837, -970781], [-92158, 34222], [-295, 119]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43002, -16782], [-136, 52], [0, 0]], [[0, 0], [280845, -109617], [-926, 346], [-7, -1]], [[0, 0], [148590, 95990], [-105132, -67328], [-25116, -16084]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[3008, -1216]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [290, 50], [4, 16], [0, 0]], [[0, 0], [154046, -263074], [-55920, -8], [8, -4]], [[0, 0], [1754957, -837013], [-204146, 63350], [47, -19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, -110], [0, 20], [0, 0]], [[0, 0], [7112, -920], [-1532, 344], [32, 4]], [[0, 0], [-63189, 25029], [15330, -6034], [-189, 77]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[3008, -1216]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-340, -44], [-20, -12], [0, 0]], [[0, 0], [37281, -14145], [274, -22], [23, 5]], [[0, 0], [-3111475, 1215235], [-16054, 6382], [-779, 323]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [172, -80], [4, 16], [0, 0]], [[0, 0], [-23164, 8104], [2788, 164], [2, 2]], [[0, 0], [4719465, -1841881], [-334266, 129770], [147, -59]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[376, -152]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, 16], [4, 0], [0, 0]], [[0, 0], [-6115/2, 231/2], [-595/4, 119/4], [-49/4, -3/4]], [[0, 0], [137195, -45463], [8004, -2912], [483, -147]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1489, 99], [-17, -3], [0, 0]], [[0, 0], [6267221/26, -432785/26], [-133763/52, -4601/52], [-385/52, -3/52]], [[0, 0], [552921425/26, -188818349/26], [-10342165/52, 3274657/52], [-30843/52, 9983/52]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -58], [-22, -2], [0, 0]], [[0, 0], [10698, 2902], [767, 1169], [-7, -1]], [[0, 0], [-302803, 109207], [97327/2, -41731/2], [529/2, -197/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-874, 58], [14, -2], [0, 0]], [[0, 0], [-11027137/13, -1501131/13], [329565/26, 13823/26], [-461/26, 1/26]], [[0, 0], [5138748375/13, -1819556491/13], [-180288885/26, 65804641/26], [269689/26, -99533/26]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -24], [20, -4], [0, 0]], [[0, 0], [1114, 646], [-211, -5], [-17, 1]], [[0, 0], [-8199, 827], [23143/2, -8651/2], [2105/2, -797/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1252, 100], [-20, 8], [0, 0]], [[0, 0], [-96791/13, -13701/13], [2655/26, 45/26], [-295/26, -5/26]], [[0, 0], [4895315/13, -1749119/13], [-165735/26, 61299/26], [18415/26, -6811/26]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 48], [12, 16], [0, 0]], [[0, 0], [1169, 603], [937/2, 451/2], [35/2, 1/2]], [[0, 0], [-24368, 9752], [-12454, 4954], [-1794, 702]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [324, 124], [20, 12], [0, 0]], [[0, 0], [483618/13, -155106/13], [6905/13, -9/13], [7/13, 1/13]], [[0, 0], [10505653/13, -4087313/13], [202149/26, -76689/26], [159/26, -59/26]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[1496, -584]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, 14], [9, -3], [0, 0]], [[0, 0], [57, 19], [20, 2], [-11, -1]], [[0, 0], [9/2, 3/2], [3/4, 1/4], [-3/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [139, -64], [1, -3], [0, 0]], [[0, 0], [1199893/26, -310883/26], [73629/52, 6975/52], [815/52, 5/52]], [[0, 0], [15692607/13, -7005554/13], [211248/13, -182160/13], [3087/13, -2107/13]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-218, 79], [2, -6], [0, 0]], [[0, 0], [3695, -1511], [-395/2, -9/2], [-21/2, -3/2]], [[0, 0], [1926, -438], [313, 253], [23, 17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [526, 11], [2, -2], [0, 0]], [[0, 0], [-46695/13, -724930/13], [19727/26, 233/26], [177/26, 3/26]], [[0, 0], [27084455/13, -7072725/13], [386369/26, -188209/26], [3431/26, -1679/26]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -6], [4, -2], [0, 0]], [[0, 0], [-63, 28], [-1/2, -3/2], [1/2, 3/2]], [[0, 0], [-39, -25], [39/2, 25/2], [-39/2, -25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 111], [92, -36], [0, 0]], [[0, 0], [11524949/13, 7315322/13], [-56729/26, 513/26], [225/26, -5/26]], [[0, 0], [-124469784/13, -83965330/13], [-1050352/13, 531406/13], [4276/13, -2134/13]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -13], [-236, 92], [0, 0]], [[0, 0], [-25, 3], [259/2, -107/2], [1/2, -1/2]], [[0, 0], [52, 33], [12, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [704, -163], [-144, 56], [0, 0]], [[0, 0], [-4836269/13, -3013223/13], [51855/26, -2383/26], [-59/26, -1/26]], [[0, 0], [-98956385/13, -75279831/13], [-4500401/26, 2172009/26], [4525/26, -2325/26]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[1496, -584]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, 13], [5, -3], [0, 0]], [[0, 0], [185/2, -101/2], [-29/4, 61/4], [13/4, 3/4]], [[0, 0], [-1787/2, -453/2], [2167/4, 1137/4], [297/4, 207/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [917, -197], [23, -9], [0, 0]], [[0, 0], [30505/26, -2313/26], [-1089/52, 45/52], [121/52, -5/52]], [[0, 0], [1855/26, 265/26], [-63/52, -9/52], [7/52, 1/52]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 10], [8, -8], [0, 0]], [[0, 0], [-41, 33], [49/2, -17/2], [-9/2, -3/2]], [[0, 0], [-53, -17], [7/2, -9/2], [13/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98, -22], [-6, 4], [0, 0]], [[0, 0], [30647/13, 15027/13], [3923/26, 735/26], [113/26, 5/26]], [[0, 0], [-11942/13, 37632/13], [-7122/13, 4164/13], [-292/13, 144/13]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -10], [-164, 64], [0, 0]], [[0, 0], [526, -62], [-2035, 792], [-1, 2]], [[0, 0], [-39151, -24979], [2271/2, 479/2], [-871/2, -559/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [368, -42], [-36, 14], [0, 0]], [[0, 0], [-100873/13, -37699/13], [1485/26, 45/26], [-165/26, -5/26]], [[0, 0], [-72425, 75415], [3609/2, -1791/2], [-401/2, 199/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -10], [-20, 8], [0, 0]], [[0, 0], [-796, 296], [416, -152], [4, 2]], [[0, 0], [-281, -677], [579/2, 887/2], [369/2, 237/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, -148], [-116, 46], [0, 0]], [[0, 0], [6897582/13, 4294374/13], [-115821/13, -3986/13], [-27/13, -2/13]], [[0, 0], [35751487/13, 32392487/13], [9902559/26, -4518597/26], [2133/26, -999/26]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[-384, 144]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, 28], [-8, 16], [0, 0]], [[0, 0], [-554, 238], [-292, -2], [-2/3, 0]], [[0, 0], [-105953/19, 35633/19], [-86, 3289/2], [-17/57, 425/114]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, 8], [4, -16], [0, 0]], [[0, 0], [90257/247, -925435/247], [-43274/13, -3745/26], [199/741, 1/494]], [[0, 0], [800391474/247, -295169240/247], [-20240160/13, 8266092/13], [32960/247, -13380/247]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-384, 144]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, 28], [0, 20], [0, 0]], [[0, 0], [17370/19, -6453/19], [-66, -499/2], [16/57, -1/114]], [[0, 0], [279/19, -457/19], [292, 181], [-5/57, -4/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98, 0], [0, 8], [0, 0]], [[0, 0], [-1639475/247, 164815/247], [16532/13, -177/13], [311/741, -2/741]], [[0, 0], [23994849/19, -9661222/19], [-211382, 172807/2], [-3949/57, 1077/38]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[128, -16]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2470/59, 324/59], [-548/59, -10/59], [0, 0]], [[0, 0], [29873546/59, 11708855/59], [4545464/59, 3891250/59], [-8, 0]], [[0, 0], [-271001788387/3127, -85096618565/3127], [-633215410/59, -625953086/59], [64412175/40651, -5580245/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70498/59, -926/59], [612/59, 6/59], [0, 0]], [[0, 0], [3651456437/3127, -2875754596/3127], [-751690/59, 471788/59], [23353/40651, -3/40651]], [[0, 0], [35129852795212/767, -22336857279728/767], [-366888806116/767, 199425145600/767], [13641870/767, -1157492/767]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[128, -16]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4314/59, -218/59], [1556/59, 6/59], [0, 0]], [[0, 0], [-186522611/3127, -677559/3127], [69578/59, -4238/59], [93123/40651, -5/40651]], [[0, 0], [-164990001742/3127, 14098826534/3127], [62956204/59, -8884081/59], [82480478/40651, -7316045/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2284, -6], [-20, 0], [0, 0]], [[0, 0], [-387117697/767, 96025929/767], [3677118/767, -833471/767], [-3/13, 0]], [[0, 0], [-97156401258901/40651, 27960408774959/40651], [17295432654/767, -4696933258/767], [-40960019/40651, 3489513/40651]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[448, -144]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [588/59, 346/59], [88/59, -2/59], [0, 0]], [[0, 0], [3080222880/3127, -5029829/6254], [563294/59, -10713/59], [795578/40651, -1/81302]], [[0, 0], [-331059538409024/3127, 220403878452745/6254], [-62007234410/59, 20887685395/59], [-6570404650/3127, 4371861625/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4372/59, -614/59], [-916/59, -6/59], [0, 0]], [[0, 0], [-3001816712/3127, 1902925121/6254], [-9546354/59, 4492411/59], [470370/40651, -1/81302]], [[0, 0], [149936924814536/3127, -57406289819628/3127], [545510189564/59, -216876623386/59], [-16512325632/40651, 5507040420/40651]]], 0, 4608, [], [] >,
< [ -4, -1, 1 ], [[448, -144]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3180/59, 378/59], [-736/59, 6/59], [0, 0]], [[0, 0], [-2418608342/3127, 44932045/3127], [-1206118/59, 210824/59], [847904/40651, 1/40651]], [[0, 0], [6671164726760/3127, -4430131928901/6254], [3991686838/59, -1445744232/59], [-2283154706/40651, 1496052373/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2948/59, 228/59], [560/59, -2/59], [0, 0]], [[0, 0], [166677376/3127, 38158083/6254], [-463426/59, 90582/59], [75394/40651, -5/81302]], [[0, 0], [992533712160/3127, -301299991008/3127], [-4106204304/59, 1510505228/59], [529892352/40651, -176724870/40651]]], 0, 4608, [], [] >,
< [ -4, -1, 1 ], [[512, -272]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1586/59, 41/59], [568/59, -6/59], [0, 0]], [[0, 0], [-13534815/3127, 295113/3127], [23530/59, 1826/59], [10845/3127, -3/3127]], [[0, 0], [-6167053212/3127, 3377843934/3127], [8424812/59, -5430734/59], [4712240/3127, -2662480/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84628/59, 407/59], [740/59, -2/59], [0, 0]], [[0, 0], [-125316087096/40651, 28945611265/40651], [19739788/767, -4748824/767], [379542/40651, 4/40651]], [[0, 0], [-2535058896399925/40651, 1108607898254943/40651], [405011097090/767, -175721409510/767], [5043437707/40651, -2851206897/40651]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[512, -272]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5420/59, 324/59], [-1964/59, -10/59], [0, 0]], [[0, 0], [-3051803481/3127, 1285053629/3127], [-18825734/59, 8081843/59], [-4103/3127, 2/3127]], [[0, 0], [4462149421059/3127, -1710819604533/3127], [27787335730/59, -10604236830/59], [3081375/3127, -1734975/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62194/59, -1032/59], [548/59, 10/59], [0, 0]], [[0, 0], [132510315264/40651, -8381525526/40651], [-13844320/767, 1374145/767], [-169346/40651, 1/40651]], [[0, 0], [1493850259402183/40651, -775355088084911/40651], [-167200188362/767, 83140968919/767], [-1670037501/40651, 945038936/40651]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[704, -464]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4604/59, 362/59], [1092/59, 2/59], [0, 0]], [[0, 0], [-60633970/3127, 38130070/3127], [-276178/59, 178774/59], [7228/3127, 2/3127]], [[0, 0], [-29302037944/3127, 20191169725/6254], [-135780282/59, 46413539/59], [1428686/3127, -1640251/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [816/59, 314/59], [204/59, -10/59], [0, 0]], [[0, 0], [125231472/3127, 2621581/6254], [16738/59, 6005/59], [25362/3127, -5/6254]], [[0, 0], [287917637998/3127, -359430006263/6254], [4794212/59, -18686225/59], [59857798/3127, -73282449/6254]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[704, -464]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1884/59, -606/59], [176/59, -4/59], [0, 0]], [[0, 0], [-348297642/3127, 5237199/6254], [98628/59, 12428/59], [-77342/3127, -3/6254]], [[0, 0], [-40946211132/3127, 48306441451/6254], [7960178/59, -6227268/59], [-8931506/3127, 10672589/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2828/59, 134/59], [-412/59, 4/59], [0, 0]], [[0, 0], [-50822020/3127, -10032381/6254], [-141634/59, -19960/59], [346/3127, -5/6254]], [[0, 0], [-129160976/3127, 90369041/3127], [-314192/59, 243602/59], [1148/3127, -659/3127]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[-1152, 432]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, -34], [16, -12], [0, 0]], [[0, 0], [7629/19, -2633/19], [156, -21], [-107/19, -2/19]], [[0, 0], [5454/19, -7983/19], [-478, -981/2], [622/19, 999/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, 14], [-4, -16], [0, 0]], [[0, 0], [12596, -2220], [192, -658], [-2, 0]], [[0, 0], [57309/247, -19490/247], [-586/13, 399/26], [-25/247, 17/494]]], 0, 7680, [], [] >,
< [ -4, -1, 1 ], [[-1152, 432]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, -20], [-20, 8], [0, 0]], [[0, 0], [-3049/19, 27/19], [-360, -1], [-107/19, -2/19]], [[0, 0], [-27464/19, -86936/19], [-3726, -20855/2], [-1304/19, -6331/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 6], [20, 4], [0, 0]], [[0, 0], [1379844/247, 41570/247], [38262/13, 4445/26], [-1004/247, 1/494]], [[0, 0], [313372763/247, -130118231/247], [8267906/13, -6915609/26], [-240133/247, 197989/494]]], 0, 7680, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 4], [-16, -8], [0, 0]], [[0, 0], [158, -50], [1, -29], [3, 5]], [[0, 0], [3828, -1514], [800, -264], [-88, 24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1116, -436], [592, -232], [0, 0]], [[0, 0], [5150, -2032], [2707, -1107], [-31, -5]], [[0, 0], [-53550, -34332], [-125143, -80161], [-42629, -27299]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[128, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -4], [60, -24], [0, 0]], [[0, 0], [-702, 272], [-2495, 973], [-5, 3]], [[0, 0], [-932, 373], [-3344, 1310], [-12, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, 54], [-984, 384], [0, 0]], [[0, 0], [-332, 131], [-2516, 986], [4, -4]], [[0, 0], [2798, -1093], [21131, -8251], [-51, 21]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[197424, -77072]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-306, 123], [34, -12], [0, 0]], [[-9, 1], [88502, -34614], [-18825/2, 7297/2], [-9/2, 1/2]], [[2597/2, 1663/2], [31647, 20847], [52901/4, 33631/4], [2597/4, 1663/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-316, 121], [-100, 38], [0, 0]], [[9, -1], [-2, 0], [-39/2, 7/2], [9/2, -1/2]], [[3665/2, 2347/2], [-520, -333], [-11907/4, -7625/4], [3665/4, 2347/4]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[128, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 1], [16, -20], [0, 0]], [[0, 0], [-34, 14], [-153, 59], [17, -7]], [[0, 0], [30, -14], [147, -55], [-15, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 19], [-96, 28], [0, 0]], [[0, 0], [-446, 178], [-1205, 209], [29, -13]], [[0, 0], [6, -2], [-3, 1], [3, -1]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[197424, -77072]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -32], [-12, -8], [0, 0]], [[23/2, 5/2], [33, -40], [-25/4, -27/4], [23/4, 5/4]], [[11, -3], [132, -57], [7/2, -7/2], [11/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 9], [22, 2], [0, 0]], [[-10, -2], [-292, -171], [-261, -173], [-5, -1]], [[-15/2, 11/2], [82, 90], [509/4, 271/4], [-15/4, 11/4]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3894, 1558], [22, 2], [0, 0]], [[9, -1], [-1221500, -777368], [-681139/2, -436229/2], [9/2, -1/2]], [[-573/2, 217/2], [1826289, 959171], [1813291/4, 1164289/4], [-573/4, 217/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6078, 2366], [-10, 2], [0, 0]], [[-55/2, -5/2], [120866, 77438], [136045/4, 87031/4], [-55/4, -5/4]], [[-5709/2, 2145/2], [375592, 247596], [446951/4, 268829/4], [-5709/4, 2145/4]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 8], [16, -20], [0, 0]], [[0, 0], [190, 30], [-381, 11], [-31, 13]], [[0, 0], [-1838, 10], [4105, -667], [407, -165]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, -44], [-72, 24], [0, 0]], [[0, 0], [-2322, -1722], [3529, -1523], [-9, 3]], [[0, 0], [1426, 726], [3007, -1103], [-7, 3]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [884, -344], [136, -52], [0, 0]], [[0, 0], [-30, 18], [-41, 25], [-11, 7]], [[0, 0], [-46, 18], [-69, 27], [-23, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [932, -364], [-472, 184], [0, 0]], [[0, 0], [-63446, 24770], [31627, -12349], [9, -3]], [[0, 0], [-80366, 31370], [40067, -15635], [9, -5]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, 30], [22, -14], [0, 0]], [[9/2, 3/2], [-339, 127], [2369/4, -917/4], [9/4, 3/4]], [[-178, -114], [286, 186], [-103, -71], [-89, -57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3732, 1460], [-8, 4], [0, 0]], [[-10, 2], [9982, -3918], [41, -17], [-5, 1]], [[2187/2, 1401/2], [12382, 7642], [2239/4, 1429/4], [2187/4, 1401/4]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5984, -2336], [20, 0], [0, 0]], [[0, 0], [-3574, 1398], [-15, 13], [15, -5]], [[0, 0], [-8124, 3172], [-42, 18], [26, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4580, 1788], [-296, 116], [0, 0]], [[0, 0], [99954, -39026], [6593, -2547], [31, -13]], [[0, 0], [436640, -170512], [28958, -11028], [130, -60]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[128, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -16], [-40, 20], [0, 0]], [[0, 0], [2, 0], [3, 2], [1, 0]], [[0, 0], [-20, 10], [32, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -6], [32, 0], [0, 0]], [[0, 0], [2, 0], [3, 0], [1, 0]], [[0, 0], [16, -6], [24, -12], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[1792, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -20], [16, 0], [0, 0]], [[0, 0], [-110, -38], [-45, 21], [-23, -1]], [[0, 0], [-368, 80], [-470, 186], [-138, 46]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, 16], [40, 0], [0, 0]], [[0, 0], [1436, 436], [364, 80], [-12, 0]], [[0, 0], [462, 274], [103, 61], [-3, -1]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[1792, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 12], [32, 32], [0, 0]], [[0, 0], [-3182, 3086], [3201, 591], [11, -3]], [[0, 0], [13542, -14050], [-14763, -2985], [-49, 13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -24], [16, 40], [0, 0]], [[0, 0], [2872, -1068], [-3924, -1140], [12, 4]], [[0, 0], [-49546, 19306], [25137, -8001], [-69, 21]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[2304, -1280]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 140], [24, 40], [0, 0]], [[0, 0], [-1570, 602], [-221, 161], [49, 3]], [[0, 0], [324004, -126532], [61282, -23618], [-5634, 2290]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, 100], [8, 32], [0, 0]], [[0, 0], [-2386, 730], [-405, -15], [25, 3]], [[0, 0], [-44476, 17164], [-4956, 1764], [268, -92]]], 0, 393216, [], [] >,
< [ -4, -1, 1 ], [[1856, -576]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-266, -6], [-80, 0], [0, 0]], [[0, 0], [78780, -984], [23752, -816], [-10, -2]], [[0, 0], [3224643, -1138635], [1001570, -356850], [-289, 89]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-184, -8], [-44, -4], [0, 0]], [[0, 0], [-37137, 9377], [-8414, 1918], [-7, -1]], [[0, 0], [130259, -46607], [28890, -10146], [15, -3]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[1856, -576]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 38], [24, 8], [0, 0]], [[0, 0], [3221, -1757], [-786, -38], [7, 1]], [[0, 0], [-145083, 58191], [18898, -6306], [-145, 45]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, -4], [28, 12], [0, 0]], [[0, 0], [3234, -878], [-456, -16], [0, 4]], [[0, 0], [6063, -2347], [-574, 214], [-7, 3]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[1216, -448]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50484, 19708], [-12, 4], [0, 0]], [[0, 0], [35921, 23197], [68930, 44142], [3, -1]], [[0, 0], [-2384, -1604], [-4694, -3006], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37940, 14820], [14, 10], [0, 0]], [[0, 0], [33580, 21114], [59186, 37902], [-12, 6]], [[0, 0], [130839, 93013], [249192, 159580], [319, -119]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[232, -72]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-163, -17], [7, -3], [0, 0]], [[0, 0], [-12085/2, -8947/2], [-74, 6], [23/2, 1/2]], [[0, 0], [-23712, -55692], [-3685, 1221], [493, -145]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -5], [-35, -5], [0, 0]], [[0, 0], [-1718, 94], [-2367, 207], [-7, -1]], [[0, 0], [77415/2, -27639/2], [55593, -20097], [235/2, -75/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[1216, -448]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-71040, 27684], [-2, -10], [0, 0]], [[0, 0], [-17470256, -11188820], [-3830052, -2452720], [-12, 4]], [[0, 0], [-38055455, -24377015], [-8343940, -5343360], [-73, 27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [55460, -21616], [-6, 10], [0, 0]], [[0, 0], [12634250, 8090156], [2769676, 1773668], [6, -4]], [[0, 0], [24927065, 15974967], [5467332, 3501212], [-139, 51]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[232, -72]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-184, -8], [22, 2], [0, 0]], [[0, 0], [-30373/2, 2145/2], [1775, -55], [-31/2, -5/2]], [[0, 0], [-6833893/2, 2447973/2], [379350, -133650], [-4929/2, 1537/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -12], [10, 2], [0, 0]], [[0, 0], [1207/2, -319/2], [145, 35], [-17/2, 1/2]], [[0, 0], [-13529, 4933], [-1805, 285], [156, -48]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[5181632, -2022848]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4310, -1686], [60, -20], [0, 0]], [[0, 0], [-86, 32], [96, -36], [-10, 4]], [[0, 0], [-71, 23], [78, -26], [-7, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, -64], [12, -8], [0, 0]], [[0, 0], [-1299, 255], [-146, 26], [11, -7]], [[0, 0], [11943, -3045], [1334, -322], [-117, 63]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[1216, -448]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 34], [-20, 4], [0, 0]], [[0, 0], [1579, -525], [406, -178], [23, -9]], [[0, 0], [-276, -264], [100, 40], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 6], [-8, -4], [0, 0]], [[0, 0], [180, -78], [40, -20], [26, -12]], [[0, 0], [245, -21], [82, 10], [43, 1]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[840, -328]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51, 19], [21, -9], [0, 0]], [[0, 0], [169/2, -59/2], [-37, 17], [3/2, -1/2]], [[0, 0], [-65, 61/2], [38, -11], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-329, 127], [31, -13], [0, 0]], [[0, 0], [2811, -2195/2], [-289, 100], [-2, -5/2]], [[0, 0], [15195/2, -2966], [-758, 285], [1/2, -3]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[37952, -14816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-400, 172], [-10, 10], [0, 0]], [[0, 0], [-6348, 5211/2], [-192, 125], [4, -5/2]], [[0, 0], [-14145, -18809/2], [-5678, -3649], [105, 135/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1164, -454], [-30, 12], [0, 0]], [[0, 0], [43054, -33635/2], [-1128, 447], [2, 5/2]], [[0, 0], [-1389, -1779/2], [926, 593], [463, 593/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[152, -56]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-49, -11], [-3, -5], [0, 0]], [[0, 0], [-305/2, 3/2], [-2, -12], [-5/2, -1/2]], [[0, 0], [8317, -3141], [-865, 361], [94, -34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-65, -27], [-7, -5], [0, 0]], [[0, 0], [238, 47], [27, 15], [5, 0]], [[0, 0], [-69/2, 27/2], [23, -9], [23/2, -9/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[-64, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 10], [-8, 12], [0, 0]], [[0, 0], [-3, 0], [0, 2], [1, 0]], [[0, 0], [0, 0], [-12, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 4], [32, 20], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [-356, 140], [-10, 6], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[303616, -118528]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31030, -11878], [42, 26], [0, 0]], [[0, 0], [-4636870, 1810303], [-100, 62], [6, -1]], [[0, 0], [7971572, -3112472], [128, -136], [-12, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43238, 16926], [6, 6], [0, 0]], [[0, 0], [-412432, -264231], [-74188, -47502], [-4, 1]], [[0, 0], [-858422, -550559], [-154552, -98922], [-26, 9]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[152, -56]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -34], [-32, -4], [0, 0]], [[0, 0], [106923/2, -66473/2], [-33295, 6221], [5/2, 5/2]], [[0, 0], [2233586, -868074], [-908153, 356665], [-31, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 18], [20, 0], [0, 0]], [[0, 0], [683/2, -811/2], [-532, 84], [-7/2, -1/2]], [[0, 0], [-12169/2, 4847/2], [4193, -1615], [35/2, -13/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[-64, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, -10], [12, -4], [0, 0]], [[0, 0], [1, 0], [0, 2], [1, 0]], [[0, 0], [116, 116], [4, 16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -4], [-48, -28], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [-60, 20], [-14, -2], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[303616, -118528]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [49762, -19442], [-2, -2], [0, 0]], [[0, 0], [-216, 83], [-32, 6], [-16, 3]], [[0, 0], [-98, 38], [-12, 4], [-6, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62252, 24284], [12, -8], [0, 0]], [[0, 0], [-2860744, 1116338], [630, -322], [10, 0]], [[0, 0], [22035866, -8601825], [-5308, 2190], [-54, 15]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[152, -56]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -3], [-3, -1], [0, 0]], [[0, 0], [-17, 5], [2, -2], [-1, 1]], [[0, 0], [341/2, -135/2], [-35, 13], [35/2, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, 3], [-7, 3], [0, 0]], [[0, 0], [-38, -28], [0, -4], [0, 2]], [[0, 0], [113/2, -15/2], [47, -17], [-47/2, 17/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[-64, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -16], [52, 12], [0, 0]], [[0, 0], [1, 0], [4, 2], [1, 0]], [[0, 0], [-298, 170], [1000, -448], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 16], [-2, 2], [0, 0]], [[0, 0], [1, 0], [-2, 0], [1, 0]], [[0, 0], [-4, 0], [0, 0], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[384, -160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7378, 2922], [10, 10], [0, 0]], [[0, 0], [-92746, 36652], [88, 98], [-10, -2]], [[0, 0], [469670, 677887/2], [150664, 96500], [-6726, -8611/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14130, 5540], [10, 4], [0, 0]], [[0, 0], [151452, -118087/2], [4, 28], [0, -5/2]], [[0, 0], [-7584, 75], [-1020, -654], [92, 59]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[6824, -2664]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-143, 57], [1, 1], [0, 0]], [[0, 0], [2465/2, -939/2], [0, 0], [-3/2, 5/2]], [[0, 0], [-110965/2, 21517], [0, 0], [259/2, -74]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, 28], [-16, 6], [0, 0]], [[0, 0], [-6436, 4981/2], [-1407, 543], [-1, 1/2]], [[0, 0], [-15507/2, 2861], [-1704, 618], [-1/2, 1]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[37952, -14816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1500, 596], [0, 4], [0, 0]], [[0, 0], [-28599, 21253/2], [-276, -102], [3, 3/2]], [[0, 0], [15531, -1998], [1566, 972], [-19, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [944, -338], [10, 8], [0, 0]], [[0, 0], [-20895, 14859/2], [-252, -196], [5, 5/2]], [[0, 0], [7585, 86], [1190, 770], [-19, -12]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[384, -160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12742, -4972], [2, 0], [0, 0]], [[0, 0], [26608, -20779/2], [0, 0], [4, -5/2]], [[0, 0], [-238, -183/2], [0, 0], [-82, -105/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2354, 888], [-6, -8], [0, 0]], [[0, 0], [-61376, 48349/2], [176, 0], [8, -5/2]], [[0, 0], [42406, 57515/2], [14124, 9042], [126, 161/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[6824, -2664]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-187, 73], [23, -9], [0, 0]], [[0, 0], [33, -33/2], [0, 0], [-1, 1/2]], [[0, 0], [163/2, -65], [0, 0], [-5/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [303, -119], [21, -9], [0, 0]], [[0, 0], [343/2, -59], [19, -1], [-1/2, -2]], [[0, 0], [-3497/2, 669], [-146, 46], [-27/2, 9]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[37952, -14816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-608, 216], [-6, -6], [0, 0]], [[0, 0], [248, 135/2], [62, 40], [4, -3/2]], [[0, 0], [1, 1/2], [0, 0], [-1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1516, -600], [-8, 0], [0, 0]], [[0, 0], [-181, 453/2], [58, 36], [-1, 3/2]], [[0, 0], [-1, -3/2], [0, 0], [-1, -1/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[-64, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 6], [20, -8], [0, 0]], [[0, 0], [-1, 0], [2, 2], [1, 0]], [[0, 0], [10, 6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -6], [12, 16], [0, 0]], [[0, 0], [3, 0], [2, 2], [1, 0]], [[0, 0], [230, -70], [0, 72], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[6824, -2664]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25, -6], [-9, 3], [0, 0]], [[0, 0], [93/2, -207/2], [-231/4, 115/4], [27/4, 1/4]], [[0, 0], [441/2, -471/2], [-681/4, 309/4], [65/4, -5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-305, 89], [29, -13], [0, 0]], [[0, 0], [114557/26, -176161/26], [-67113/52, 10269/52], [73/52, 3/52]], [[0, 0], [-9459941/13, 3390874/13], [960345/13, -393219/13], [-768/13, 336/13]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[64, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, -37], [-6, 0], [0, 0]], [[0, 0], [-4015, 1592], [383/2, -87/2], [17/2, 3/2]], [[0, 0], [-5097, 1273], [-1413/2, -1267/2], [-263/2, -177/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [490, -40], [-6, -2], [0, 0]], [[0, 0], [-2646998/13, 795009/13], [19166/13, -538/13], [40/13, 2/13]], [[0, 0], [-21418223/13, 6608079/13], [302007/26, -15735/26], [625/26, 15/26]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[64, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, 45], [116, -46], [0, 0]], [[0, 0], [6757, -2981], [-13541/2, 5181/2], [5/2, 3/2]], [[0, 0], [-196, 275], [396, -126], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-308, 132], [-60, 24], [0, 0]], [[0, 0], [40231/13, 2488/13], [-2715/26, 771/26], [163/26, 1/26]], [[0, 0], [-748725/13, -23783/13], [52541/26, -15493/26], [-3053/26, 69/26]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[64, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, 72], [256, -100], [0, 0]], [[0, 0], [-112, 41], [166, -52], [6, 2]], [[0, 0], [39, 25], [-117/2, -75/2], [-39/2, -25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [430, -182], [6, -10], [0, 0]], [[0, 0], [10100081/13, -3652121/13], [916719/26, -26511/26], [97/26, -1/26]], [[0, 0], [30373514, -10945779], [1397802, -26316], [148, 0]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[6824, -2664]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29, -8], [-5, -3], [0, 0]], [[0, 0], [-85, 32], [1/2, -1/2], [-1/2, 1/2]], [[0, 0], [-1965/2, 773/2], [41/4, -13/4], [-41/4, 13/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [346, 49], [-2, 2], [0, 0]], [[0, 0], [-1342285/26, -1499295/26], [-47673/52, -5867/52], [-475/52, -1/52]], [[0, 0], [126135475/26, -35972135/26], [-4210751/52, 1804363/52], [-52497/52, 21717/52]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[64, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, 18], [-14, 2], [0, 0]], [[0, 0], [-383, -407], [-1125/2, -787/2], [5/2, 3/2]], [[0, 0], [-108, 67], [0, 28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-370, -21], [10, 6], [0, 0]], [[0, 0], [-5486009/13, 2059897/13], [30639/26, 61/26], [253/26, -1/26]], [[0, 0], [-770763153/13, 289702717/13], [4263573/26, -18781/26], [35211/26, -363/26]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[64, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 2], [8, -20], [0, 0]], [[0, 0], [2629, -642], [-5457/2, 4433/2], [-23/2, -1/2]], [[0, 0], [9928, -12445], [-55994, -3810], [54, 90]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-188, 35], [-4, -12], [0, 0]], [[0, 0], [10085851/13, -5198305/13], [-2235803/26, -14881/26], [-45/26, 1/26]], [[0, 0], [643487046/13, -335798982/13], [-72981953/13, -1285229/13], [-1467/13, 17/13]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[64, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 5], [-12, 12], [0, 0]], [[0, 0], [-11, -157], [-567/2, -1009/2], [11/2, -3/2]], [[0, 0], [-296, -264], [-1248, -960], [4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-296, -4], [-12, 0], [0, 0]], [[0, 0], [2278988/13, 45507/13], [94150/13, 658/13], [66/13, 2/13]], [[0, 0], [301875937/13, -8423365/13], [25003193/26, -1005705/26], [17451/26, -315/26]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[152, -56]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 38], [18, 2], [0, 0]], [[0, 0], [-4821/2, 137/2], [-135/4, -1149/4], [7/4, -3/4]], [[0, 0], [-217, -67], [-39, -37], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-275, -1], [-9, 1], [0, 0]], [[0, 0], [-36791/26, 8435/26], [15789/52, -545/52], [-697/52, -3/52]], [[0, 0], [-20858185/26, 9100045/26], [6375777/52, -3396357/52], [-258793/52, 145453/52]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 6], [10, -2], [0, 0]], [[0, 0], [374, 262], [50, 32], [4, -2]], [[0, 0], [361, -369], [-63/2, -33/2], [-237/2, 93/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-376, 0], [-16, -4], [0, 0]], [[0, 0], [-2220043/13, 422031/13], [-155795/26, -3009/26], [87/26, 5/26]], [[0, 0], [82189517/13, -32824037/13], [4248195/26, -1764419/26], [-2219/26, 931/26]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 12], [-20, 8], [0, 0]], [[0, 0], [199, 129], [5/2, 3/2], [-5/2, -3/2]], [[0, 0], [12, -4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-436, 92], [-8, 8], [0, 0]], [[0, 0], [260955/13, -370995/13], [70197/26, 5571/26], [-69/26, 5/26]], [[0, 0], [-98054360/13, 35010480/13], [-3277836/13, 1479888/13], [4208/13, -1776/13]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -8], [-4, -12], [0, 0]], [[0, 0], [20, 40], [480, 310], [8, 2]], [[0, 0], [-2043, 787], [-611/2, 19/2], [463/2, -183/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-340, 140], [8, 12], [0, 0]], [[0, 0], [-359919/13, 150135/13], [-20455/26, -2833/26], [187/26, -3/26]], [[0, 0], [108561838/13, -42225986/13], [1377413/13, -624979/13], [-16933/13, 7175/13]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[152, -56]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, -17], [-25, -3], [0, 0]], [[0, 0], [-501/2, -799/2], [-3509/4, 337/4], [9/4, -5/4]], [[0, 0], [8457/2, 6187/2], [13603/4, 4545/4], [-3/4, 15/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-309, -103], [-7, -5], [0, 0]], [[0, 0], [80596, -41676], [-718, 48], [-6, 0]], [[0, 0], [505241713/26, -184964893/26], [-4828929/52, 2443621/52], [-35175/52, 19363/52]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 8], [20, 12], [0, 0]], [[0, 0], [177, -101], [43/2, 37/2], [-11/2, -5/2]], [[0, 0], [-4226, 1658], [87, -41], [21, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-292, 140], [-8, 12], [0, 0]], [[0, 0], [-376877/13, 100073/13], [-63391/26, -4309/26], [295/26, 5/26]], [[0, 0], [8174202/13, -3263994/13], [416303/13, -185021/13], [-2131/13, 925/13]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, 58], [30, 10], [0, 0]], [[0, 0], [-88, -144], [-114, -8], [6, 0]], [[0, 0], [819, -287], [-1147/2, 467/2], [67/2, -27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [506, 102], [-14, -10], [0, 0]], [[0, 0], [-1414687/13, 563899/13], [-16659/26, 1327/26], [-177/26, -3/26]], [[0, 0], [-216345149/13, 84347561/13], [-1716731/26, 719635/26], [-15565/26, 6765/26]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -8], [4, 16], [0, 0]], [[0, 0], [1451, -2391], [9987/2, -771/2], [1/2, -1/2]], [[0, 0], [1612, -676], [1824, -672], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-236, 84], [16, 8], [0, 0]], [[0, 0], [-506862/13, 202894/13], [4691/13, -563/13], [-59/13, -1/13]], [[0, 0], [-41976357/13, 16355065/13], [551535/26, -231471/26], [-5555/26, 2475/26]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[192, -96]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-264, 102], [-68, 24], [0, 0]], [[0, 0], [299665/19, -116043/19], [3808, -1503], [-107/57, -2/57]], [[0, 0], [4750451/19, 3139955/19], [-85510, -107015/2], [-74987/19, -288167/114]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -24], [-164, 64], [0, 0]], [[0, 0], [1142971/247, 1260515/247], [-1466/13, -1/26], [199/741, 1/494]], [[0, 0], [-145976894/247, 220442850/247], [-593856/13, 176976/13], [26640/247, -7872/247]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[192, -96]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -8], [-16, -20], [0, 0]], [[0, 0], [2151/19, -145/19], [46, -29/2], [35/57, -1/114]], [[0, 0], [72342/19, -25316/19], [2020, -774], [1100/57, -374/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-234, 0], [-12, 8], [0, 0]], [[0, 0], [-6045955/247, 24168275/247], [-124180/13, -1035/13], [-2159/741, -2/741]], [[0, 0], [71600055535/247, -40954702019/247], [264370666/13, -147370271/26], [1545049/247, -2611543/1482]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-192, 192]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -18], [-60, -4], [0, 0]], [[0, 0], [46070/19, 12688/19], [6116, -1019], [-20/57, 1/19]], [[0, 0], [59903/19, 1551/19], [11544, -3395], [-35/57, 10/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, -2], [-32, -16], [0, 0]], [[0, 0], [-35049/247, -205389/247], [8016/13, -231/13], [119/741, 4/741]], [[0, 0], [3726380/247, -10282568/247], [473604/13, -68092/13], [2274/247, -210/247]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-192, 192]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 20], [60, 4], [0, 0]], [[0, 0], [-9527/19, -1173/19], [-16076, 5986], [-17/19, 1/57]], [[0, 0], [163605/19, -20147/19], [402920, -154705], [991/57, -218/57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [148, -4], [-84, -12], [0, 0]], [[0, 0], [-2786679/247, 231077/247], [270808/13, 28467/13], [-369/247, -4/741]], [[0, 0], [664650646/247, -116663930/247], [-59533528/13, 875416/13], [84840/247, -8888/247]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[448, -160]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6866/59, -65/59], [268/59, -2/59], [0, 0]], [[0, 0], [322582777/3127, -65777941/3127], [-532946/59, 46798/59], [-290323/40651, -1/40651]], [[0, 0], [3853058668673/3127, -1448956617332/3127], [-5557654398/59, 2021580846/59], [-2694593199/40651, 947872473/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-291740/59, -602/59], [-1116/59, -4/59], [0, 0]], [[0, 0], [-18864190979775/40651, 1086947980654/40651], [-1361280202/767, 76502718/767], [10845/40651, -3/40651]], [[0, 0], [-84543718909502053/40651, 30326501688568388/40651], [-6089620748574/767, 2183214227904/767], [44991273/40651, -15758933/40651]]], 0, 2304, [], [] >,
< [ -4, -1, 1 ], [[448, -160]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1268/59, 153/59], [-108/59, -8/59], [0, 0]], [[0, 0], [432153337/3127, -1304482/3127], [99822/59, -22722/59], [313387/40651, 5/40651]], [[0, 0], [-28199735145519/3127, 9919609354073/3127], [-8560943362/59, 3236375472/59], [-20362925547/40651, 7153372025/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11490/59, 637/59], [64/59, -4/59], [0, 0]], [[0, 0], [-254216701/3127, 19664872/3127], [-83378/59, -1832/59], [23353/40651, -3/40651]], [[0, 0], [34691396767827/40651, -12532967271977/40651], [9949961646/767, -3447914982/767], [-221218833/40651, 77462209/40651]]], 0, 2304, [], [] >,
< [ -4, -1, 1 ], [[704, -192]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19912/59, -920/59], [-364/59, 8/59], [0, 0]], [[0, 0], [-67583850/3127, 181848218/3127], [27648/59, -61554/59], [-151072/40651, 2/40651]], [[0, 0], [-324872858243/3127, 199492720591/3127], [116177458/59, -69080502/59], [-196648937/40651, 49203809/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-723206/59, -13394/59], [-1096/59, -20/59], [0, 0]], [[0, 0], [12241992349895/40651, -478062220603/40651], [349978062/767, -13760148/767], [1663/40651, 3/40651]], [[0, 0], [-15825407051064478/40651, 4278345289883182/40651], [-452538562548/767, 122397418724/767], [-2064684/40651, 517956/40651]]], 0, 18432, [], [] >,
< [ -4, -1, 1 ], [[704, -192]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7686/59, -1002/59], [152/59, 20/59], [0, 0]], [[0, 0], [-196570137/3127, -1779063/3127], [-29178/59, 592/59], [-46417/40651, -1/40651]], [[0, 0], [-62520497380/3127, 16104984660/3127], [-9568164/59, 2593464/59], [-14904192/40651, 3902280/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90962/59, -13630/59], [-152/59, -20/59], [0, 0]], [[0, 0], [4016352090/767, 389053706/767], [6301952/767, 528298/767], [6/13, 0]], [[0, 0], [-638461584765861/40651, 126068788870669/40651], [-19175612870/767, 3936765212/767], [-62331917/40651, 15635067/40651]]], 0, 18432, [], [] >,
< [ -4, -1, 1 ], [[2816, -1024]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-232/59, 16/59], [532/59, 4/59], [0, 0]], [[0, 0], [-1603852576/3127, 122020/3127], [168204/59, -256/59], [185672/40651, -4/40651]], [[0, 0], [1019485122758/3127, -376495478215/3127], [-107146818/59, 39582448/59], [-118012464/40651, 43581411/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3524/59, -172/59], [-940/59, 16/59], [0, 0]], [[0, 0], [815093962/3127, -38969642/3127], [-256694/59, -182014/59], [-348276/40651, 4/40651]], [[0, 0], [7239772618954/3127, -2708062020521/3127], [107977914/59, -161679792/59], [-2888825064/40651, 1070182491/40651]]], 0, 73728, [], [] >,
< [ -4, -1, 1 ], [[2816, -1024]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2580/59, -172/59], [-468/59, 16/59], [0, 0]], [[0, 0], [-713956992/3127, -1456348/3127], [-105556/59, -6628/59], [-185672/40651, 4/40651]], [[0, 0], [-714307030906/3127, 252455828257/3127], [-96503746/59, 33166328/59], [-186306400/40651, 65901975/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2584/59, -992/59], [764/59, -12/59], [0, 0]], [[0, 0], [154087758/59, 509622/59], [361890/59, 129618/59], [20, 0]], [[0, 0], [1104198824390/3127, -405972897879/3127], [23248818/59, -6961820/59], [110464768/40651, -40646999/40651]]], 0, 73728, [], [] >,
< [ -4, -1, 1 ], [[128, -160]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40228/59, -786/59], [740/59, 10/59], [0, 0]], [[0, 0], [395413850/3127, 132307656/3127], [76278/59, -45466/59], [-92836/40651, 2/40651]], [[0, 0], [6115037806/3127, 37577004397/6254], [-12378816/59, 3673708/59], [4497598/40651, -8865529/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2356/59, -1400/59], [60/59, 4/59], [0, 0]], [[0, 0], [2629428916/3127, 18891/3127], [381996/59, -234/59], [-290324/40651, 1/40651]], [[0, 0], [126772/3127, 2617383/6254], [18/59, 190/59], [-14/40651, -289/81302]]], 0, 9216, [], [] >,
< [ -4, -1, 1 ], [[128, -160]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [93092/59, 314/59], [-1684/59, -10/59], [0, 0]], [[0, 0], [-7416701624/3127, -282378631/6254], [1012910/59, 47782/59], [-760694/40651, 3/81302]], [[0, 0], [-135896/3127, -2804835/6254], [18/59, 190/59], [-14/40651, -289/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32812/59, -676/59], [-588/59, 8/59], [0, 0]], [[0, 0], [-2565823138/3127, -2581902/3127], [978126/59, 332/59], [-743252/40651, 2/40651]], [[0, 0], [48340/3127, 997429/6254], [-18/59, -190/59], [14/40651, 289/81302]]], 0, 9216, [], [] >,
< [ -4, -1, 1 ], [[2624, -1056]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5030/59, 460/59], [-172/59, -4/59], [0, 0]], [[0, 0], [-73576369/3127, 8363715/3127], [56070/59, -5916/59], [21401/3127, 1/3127]], [[0, 0], [-2345644024362/3127, 935767655649/3127], [1767585448/59, -705779282/59], [9766086/53, -3952074/53]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8710/59, 301/59], [-32/59, 2/59], [0, 0]], [[0, 0], [92389000775/40651, 151451413/40651], [2545698/767, 10600/767], [426935/40651, 3/40651]], [[0, 0], [6675241533506449/40651, -2705133816577318/40651], [183175905342/767, -74260636208/767], [30928496623/40651, -12530612643/40651]]], 0, 32256, [], [] >,
< [ -4, -1, 1 ], [[2624, -1056]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [162/59, 71/59], [172/59, 4/59], [0, 0]], [[0, 0], [115719/3127, -1134409/3127], [-28898/59, -6358/59], [22377/3127, -1/3127]], [[0, 0], [9688636011/3127, -3582739691/3127], [-92307718/59, 39268068/59], [111042225/3127, -44950111/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [137308/59, 755/59], [-1116/59, -4/59], [0, 0]], [[0, 0], [-2470988727599/40651, 71817462012/40651], [362854358/767, -11705570/767], [-440419/40651, -1/40651]], [[0, 0], [-384828432519603686/40651, 155224337931150932/40651], [56789864814248/767, -22896643985718/767], [-65505266828/40651, 26533785634/40651]]], 0, 32256, [], [] >,
< [ -4, -1, 1 ], [[3648, -1600]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34058/59, -342/59], [644/59, 4/59], [0, 0]], [[0, 0], [1436602239/3127, 87122669/3127], [-509542/59, -29108/59], [-3615/3127, 1/3127]], [[0, 0], [219494926858/3127, -102956725306/3127], [-78406672/59, 36686136/59], [-620494/3127, 279818/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180554/59, 8414/59], [280/59, 12/59], [0, 0]], [[0, 0], [52602784445/40651, 19810665223/40651], [1340930/767, 572412/767], [-6941/40651, -5/40651]], [[0, 0], [4036051518130/40651, -3020699483218/40651], [74126172/767, -68189500/767], [-1645728/40651, 739704/40651]]], 0, 258048, [], [] >,
< [ -4, -1, 1 ], [[3648, -1600]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84636/59, -684/59], [1524/59, 8/59], [0, 0]], [[0, 0], [5622771305/3127, 2788195695/3127], [-1886930/59, -939192/59], [8893/3127, 1/3127]], [[0, 0], [430113590847/3127, -727838855495/3127], [-139754522/59, 242857344/59], [6441961/3127, -2905067/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36432/59, 4744/59], [108/59, 8/59], [0, 0]], [[0, 0], [67789947502/40651, 3083270118/40651], [4160788/767, -59346/767], [-13484/40651, 2/40651]], [[0, 0], [23620360106885/40651, -10921457299421/40651], [1619406950/767, -722255364/767], [-5118175/40651, 2300881/40651]]], 0, 258048, [], [] >,
< [ -4, -1, 1 ], [[5376, -2560]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3532/59, -676/59], [-1060/59, 8/59], [0, 0]], [[0, 0], [-21297480/3127, -41022579/3127], [-5688/59, -192318/59], [-4588/3127, -3/3127]], [[0, 0], [28890699978/3127, -6635599201/3127], [185783126/59, -54219928/59], [-2450008/3127, 1125293/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3064/59, 16/59], [-412/59, 4/59], [0, 0]], [[0, 0], [-75518304/3127, -353116/3127], [-24772/59, -912/59], [-14456/3127, -4/3127]], [[0, 0], [2330769178/3127, -1073188621/3127], [719042/59, -338624/59], [449800/3127, -206505/3127]]], 0, 1032192, [], [] >,
< [ -4, -1, 1 ], [[5376, -2560]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [188/59, -1844/59], [696/59, -284/59], [0, 0]], [[0, 0], [-1275688486/3127, -12576911/3127], [-137242/59, 10352/59], [-111880/3127, -5/3127]], [[0, 0], [354173998776/3127, -206483060735/3127], [45737184/59, -23630442/59], [31777788/3127, -18241779/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12/59, -1132/59], [888/59, 12/59], [0, 0]], [[0, 0], [-552055186/3127, 1279401/3127], [41294/59, 5876/59], [72408/3127, 1/3127]], [[0, 0], [806361817696/3127, -370294789808/3127], [-44337508/59, 23007360/59], [-105311376/3127, 48435560/3127]]], 0, 1032192, [], [] >,
< [ -4, -1, 1 ], [[3968, -1632]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48260/59, 598/59], [856/59, 2/59], [0, 0]], [[0, 0], [24863844/59, 36978270/59], [-470568/59, -671946/59], [8, 0]], [[0, 0], [12296059568332/3127, -8164023376211/6254], [-4092985666/59, 1349479882/59], [-163761790/3127, 133530955/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20288/59, 504/59], [356/59, 8/59], [0, 0]], [[0, 0], [-205378372/3127, 654719233/6254], [-12426/59, -111536/59], [35230/3127, -3/6254]], [[0, 0], [-11636352396020/3127, 4374111073156/3127], [2666644380/59, -961648110/59], [554997960/3127, -226043730/3127]]], 0, 129024, [], [] >,
< [ -4, -1, 1 ], [[3968, -1632]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11204/59, 1274/59], [-208/59, -6/59], [0, 0]], [[0, 0], [-241029900/3127, 214847595/6254], [434/59, -36968/59], [24670/3127, 5/6254]], [[0, 0], [-1441493891084/3127, 560729781192/3127], [210210168/59, -76507494/59], [85452416/3127, -34814122/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [232, 8], [-4, 0], [0, 0]], [[0, 0], [6208388/53, 161315/106], [-590, -22], [35230/3127, -3/6254]], [[0, 0], [-11106564318696/3127, 4528795392341/3127], [1012852300/59, -414843954/59], [-1091370148/3127, 444013735/3127]]], 0, 129024, [], [] >,
< [ -4, -1, 1 ], [[-576, 576]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -2], [76, 4], [0, 0]], [[0, 0], [310/19, 20/19], [176, 89], [-30/19, -5/19]], [[0, 0], [39/19, 35/19], [52, 35], [-5/19, -4/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [314, 10], [-68, -12], [0, 0]], [[0, 0], [112573837/247, -14551461/247], [-1152208/13, 6282/13], [-151/247, -3/247]], [[0, 0], [11806548150/247, -2447460664/247], [-115032324/13, 12291973/13], [-14920/247, 1269/247]]], 0, 122880, [], [] >,
< [ -4, -1, 1 ], [[-576, 576]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 8], [52, -4], [0, 0]], [[0, 0], [-101, -5], [2748, -837], [5, 0]], [[0, 0], [6474/19, -1296/19], [-12412, 4501], [-336/19, 77/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [186, 2], [24, -8], [0, 0]], [[0, 0], [12585670/247, 7250684/247], [52056/13, -187/13], [828/247, 5/247]], [[0, 0], [-4540403217/247, -2528050185/247], [-22164592/13, 1534049/13], [-351655/247, 21232/247]]], 0, 122880, [], [] >,
< [ -4, -1, 1 ], [[576, -288]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [8, -12], [0, 0]], [[0, 0], [1954/19, 142/19], [182, -31/2], [72/19, 5/38]], [[0, 0], [-61459/19, 21927/19], [-7200, 2684], [-2405/19, 869/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, -8], [12, 0], [0, 0]], [[0, 0], [723565/247, -1161/247], [10754/13, 1039/26], [-263/247, 1/494]], [[0, 0], [-6263091/247, 1829835/247], [-87674/13, 47819/26], [2277/247, -1331/494]]], 0, 15360, [], [] >,
< [ -4, -1, 1 ], [[576, -288]], [ -102, 39 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-292, 114], [-100, 40], [0, 0]], [[0, 0], [61577/19, -23117/19], [898, -845/2], [-47/19, -3/38]], [[0, 0], [-152858/19, -100292/19], [12140, 7736], [3340/19, 2140/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, 2], [20, -16], [0, 0]], [[0, 0], [-21133132/247, -2567046/247], [-39438/13, 11105/26], [-1928/247, -3/494]], [[0, 0], [-3037204129/247, 722795467/247], [-7679636/13, 2576802/13], [-322345/247, 93567/247]]], 0, 15360, [], [] >,
< [ -4, -1, 1 ], [[768, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 2], [8, -12], [0, 0]], [[0, 0], [-1052, -28], [-246, 366], [6, 2]], [[0, 0], [-6698, 2286], [-4977, 2145], [21, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 22], [-80, 20], [0, 0]], [[0, 0], [-1046, -64], [-1151, 691], [-29, -3]], [[0, 0], [-27168, 7018], [-54054, 22938], [-714, 170]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -22], [4, 16], [0, 0]], [[0, 0], [1152, -448], [-632, -96], [20, -8]], [[0, 0], [326, -119], [-1757, -1039], [5, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -16], [48, -20], [0, 0]], [[0, 0], [-198, 11], [-73, 105], [1, 1]], [[0, 0], [-140, 54], [-152, 60], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -7], [-56, 12], [0, 0]], [[0, 0], [-1938, 734], [5097, -2169], [-5, -3]], [[0, 0], [176, -70], [-504, 180], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-404, 158], [-224, 88], [0, 0]], [[0, 0], [7214, -2814], [4047, -1575], [5, -1]], [[0, 0], [-2020, 793], [-1128, 450], [0, 2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[768, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-252, 96], [-32, 8], [0, 0]], [[0, 0], [2950, -1150], [197, -77], [-1, 1]], [[0, 0], [8804, -3436], [588, -230], [-4, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, 44], [24, 8], [0, 0]], [[0, 0], [-6, 130], [-29, 43], [1, 1]], [[0, 0], [88, -36], [40, -16], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[768, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -12], [-40, -24], [0, 0]], [[0, 0], [618, -222], [29, 81], [23, -9]], [[0, 0], [52, 28], [224, 144], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -8], [-104, -24], [0, 0]], [[0, 0], [-352, -148], [-1680, -498], [-8, 2]], [[0, 0], [-490, 646], [-5151, 3849], [-85, 35]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[768, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, 52], [24, 24], [0, 0]], [[0, 0], [-270, -42], [147, -125], [25, -11]], [[0, 0], [664, 60], [-450, 322], [-70, 30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -44], [-24, -32], [0, 0]], [[0, 0], [-650, -370], [-441, -197], [-19, 9]], [[0, 0], [46, -18], [69, -27], [23, -9]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[768, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -16], [-8, 24], [0, 0]], [[0, 0], [564, 208], [-796, -124], [12, -4]], [[0, 0], [186, 70], [-271, -39], [3, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -16], [24, -40], [0, 0]], [[0, 0], [5152, -28], [13400, -1034], [32, -14]], [[0, 0], [176094, 152358], [342957, 334033], [-561, 51]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 0], [16, -8], [0, 0]], [[0, 0], [2, 0], [3, 2], [1, 0]], [[0, 0], [4, 0], [8, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 20], [8, 4], [0, 0]], [[0, 0], [2, 0], [3, 0], [1, 0]], [[0, 0], [-20, 8], [0, 0], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 20], [-8, 0], [0, 0]], [[0, 0], [2, 2], [3, 2], [1, 0]], [[0, 0], [60, -28], [32, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-256, 100], [40, -16], [0, 0]], [[0, 0], [2, 2], [3, 0], [1, 0]], [[0, 0], [-748, 292], [72, -28], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[448, -704]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-610, 2], [-8, 0], [0, 0]], [[0, 0], [424142, 4418], [5620, 84], [28, 4]], [[0, 0], [-1394071, 1171151], [-18190, 15502], [-51, 75]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [452, -28], [28, -4], [0, 0]], [[0, 0], [-3017, -591], [-206, -18], [-15, -1]], [[0, 0], [-7, 7], [2, -2], [1, -1]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[72, -40]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-49, 1], [-3, 3], [0, 0]], [[0, 0], [175/2, 323/2], [-33, -5], [1/2, 1/2]], [[0, 0], [157, -69], [25, -9], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [101, 11], [-19, -5], [0, 0]], [[0, 0], [-43267, 7370], [6807, -321], [-4, -1]], [[0, 0], [-4256957/2, 1754999/2], [278927, -120317], [-169/2, 91/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21332, 8304], [2, -6], [0, 0]], [[0, 0], [-5, 2], [2, 0], [1, 0]], [[0, 0], [-7108, -5052], [-1668, -1068], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13068, 5024], [-18, -10], [0, 0]], [[0, 0], [5, 0], [2, 0], [1, 0]], [[0, 0], [-104512, 40752], [-22, -2], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[72, -40]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31, -5], [19, 1], [0, 0]], [[0, 0], [15563/2, 159/2], [-5061, 447], [5/2, 5/2]], [[0, 0], [-82418, 30456], [61549, -23185], [13, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57, -3], [25, 3], [0, 0]], [[0, 0], [8311/2, -801/2], [-1777, 55], [-13/2, -5/2]], [[0, 0], [-1084343/2, 441087/2], [210110, -86670], [527/2, -279/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3436, 1316], [-10, -6], [0, 0]], [[0, 0], [-5, 2], [2, 0], [1, 0]], [[0, 0], [456, 292], [178, 114], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20876, 8160], [0, 4], [0, 0]], [[0, 0], [5, 0], [2, 0], [1, 0]], [[0, 0], [-24660, 9496], [-54, -30], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[72, -40]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41, 9], [-9, 1], [0, 0]], [[0, 0], [3467/2, 395/2], [463, 127], [-7/2, -3/2]], [[0, 0], [-38088, 16109], [-6874, 3120], [28, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 10], [4, 0], [0, 0]], [[0, 0], [201/2, 25/2], [29, -11], [-3/2, -3/2]], [[0, 0], [1023/2, -363/2], [282, -110], [9/2, -5/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29684, -11536], [14, 6], [0, 0]], [[0, 0], [3, 2], [2, 0], [1, 0]], [[0, 0], [59596, 34868], [12368, 7920], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17152, -6604], [26, 10], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [-49124, 19520], [54, 54], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[72, -40]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [47, -3], [-23, -5], [0, 0]], [[0, 0], [19939/2, -5221/2], [-3706, 272], [-1/2, -1/2]], [[0, 0], [3883, -1491], [-1157, 429], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [47, 1], [-1, 1], [0, 0]], [[0, 0], [-47/2, -203/2], [9, 5], [9/2, 5/2]], [[0, 0], [-14682, 5520], [-112, 60], [-56, 30]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16436, -6400], [-4, 8], [0, 0]], [[0, 0], [3, 2], [2, 0], [1, 0]], [[0, 0], [-12540, -9860], [-5614, -3594], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1876, -768], [-10, -10], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [3412, -1324], [8, 0], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[31128, -12152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-390, 162], [16, 4], [0, 0]], [[0, 0], [-5250, -4240], [-6433, -4107], [1, 1]], [[0, 0], [70265/2, -15269], [-2113, -810], [-29/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-175, 75], [15, 1], [0, 0]], [[0, 0], [17635/2, 11933/2], [9385, 5995], [-5/2, -3/2]], [[0, 0], [-19677, 14187/2], [313, -726], [-6, 5/2]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-314, 122], [-20, 16], [0, 0]], [[0, 0], [12641, -10489/2], [5408, 2275], [-1, 3/2]], [[0, 0], [169, 686], [-10396, -6606], [-3, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [236, -92], [38, 22], [0, 0]], [[0, 0], [-83463, 65161/2], [-1274, -1], [-3, 1/2]], [[0, 0], [1944, -625], [26040, 16658], [36, 23]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[31128, -12152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-420, 168], [6, 2], [0, 0]], [[0, 0], [1020, 2841/2], [1923, 1222], [1, -5/2]], [[0, 0], [109535/2, -28230], [-7965, -4320], [-487/2, 103]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [165, -53], [15, 5], [0, 0]], [[0, 0], [9541/2, 2159], [3733, 2362], [1/2, -1]], [[0, 0], [-19683, 4545], [-3423, -1645], [-24, 10]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-354, 138], [-12, -16], [0, 0]], [[0, 0], [6455, -5057/2], [-580, -207], [5, -1/2]], [[0, 0], [960, -1275], [-44168, -28238], [150, 95]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [348, -136], [-24, -12], [0, 0]], [[0, 0], [-509, 210], [-92, -62], [-5, -2]], [[0, 0], [40, -101/2], [282, 181], [12, 15/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[576, -320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 34], [-68, 4], [0, 0]], [[0, 0], [22623, -3595], [13966, -9830], [35, -15]], [[0, 0], [14749, 1913], [1366, -6946], [13, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -10], [16, 0], [0, 0]], [[0, 0], [-41, 45], [-114, 26], [-5, 1]], [[0, 0], [481, -103], [502, -250], [21, -11]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[72, -40]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, 11], [-23, -1], [0, 0]], [[0, 0], [103/2, 739/2], [-819, -273], [1/2, -3/2]], [[0, 0], [-3723, 3443], [-7161, -231], [24, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, -14], [16, 4], [0, 0]], [[0, 0], [-1839, 322], [335, -43], [4, 1]], [[0, 0], [61713/2, -25447/2], [-5266, 2206], [-57/2, 31/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5356, 2056], [6, -10], [0, 0]], [[0, 0], [-5, 0], [0, 0], [1, 0]], [[0, 0], [16336, 10608], [3614, 2314], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29620, 11572], [10, -2], [0, 0]], [[0, 0], [1, 2], [0, 0], [1, 0]], [[0, 0], [2020, 1360], [456, 292], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[192, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 18], [-16, 16], [0, 0]], [[0, 0], [3, 0], [2, 2], [1, 0]], [[0, 0], [148, 40], [-60, 48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, 66], [12, -16], [0, 0]], [[0, 0], [-5, 0], [2, 2], [1, 0]], [[0, 0], [-82, 170], [160, -80], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 2], [8, 8], [0, 0]], [[0, 0], [3, 2], [98, -46], [-3, -2]], [[0, 0], [37, 47/2], [-346, 42], [-37, -47/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, -30], [-4, 8], [0, 0]], [[0, 0], [717, -571/2], [-150, 8], [-1, -1/2]], [[0, 0], [-22, 10], [24, 12], [0, 0]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[31128, -12152]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, -5], [5, 3], [0, 0]], [[0, 0], [17/2, -59/2], [13/4, -25/4], [-25/4, -3/4]], [[0, 0], [-846, 371], [-203, 87], [87, -29]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-484, -84], [-16, -4], [0, 0]], [[0, 0], [-1788821/13, -14368/13], [-55326/13, -4494/13], [85/13, 1/13]], [[0, 0], [-634521019/26, 132028113/26], [-36785605/52, 5890289/52], [60109/52, -12369/52]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -10], [-4, 4], [0, 0]], [[0, 0], [-11, -34], [-37/2, -31/2], [5/2, -5/2]], [[0, 0], [-23, 13], [-1/2, 5/2], [-7/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [216, 58], [-12, -16], [0, 0]], [[0, 0], [6915/13, 12777/13], [-1943/26, 235/26], [135/26, -3/26]], [[0, 0], [-4044/13, 1961/13], [-406/13, 150/13], [22/13, -8/13]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -24], [-22, -14], [0, 0]], [[0, 0], [12, -15], [8, -16], [-16, -2]], [[0, 0], [-5, 2], [-33/2, 13/2], [13/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [590, 38], [-10, -10], [0, 0]], [[0, 0], [1212699/13, -650597/13], [45555/26, 929/26], [121/26, -5/26]], [[0, 0], [458465292/13, -185002703/13], [4902882/13, -1595938/13], [14114/13, -4792/13]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, 2], [-30, -14], [0, 0]], [[0, 0], [-1193, 530], [-213/2, 209/2], [9/2, -1/2]], [[0, 0], [-1860, 894], [-108, 208], [8, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [610, -2], [-6, 2], [0, 0]], [[0, 0], [-111610/13, 679/13], [-2095/13, 139/13], [123/13, -1/13]], [[0, 0], [-12215/13, 4976/13], [-503/26, 203/26], [27/26, -11/26]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[4864, -1792]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -4], [-8, -40], [0, 0]], [[0, 0], [-230, -186], [-549, -311], [9, 3]], [[0, 0], [300, -48], [-112, 176], [16, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, -28], [24, -32], [0, 0]], [[0, 0], [-1712, -3332], [-3222, 62], [46, 2]], [[0, 0], [201042, -36562], [-140299, 67303], [1767, -899]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[4864, -1792]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 20], [-64, 16], [0, 0]], [[0, 0], [-68, -52], [-180, -140], [12, 4]], [[0, 0], [418, -18], [1187, -75], [105, -57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, -4], [-56, -24], [0, 0]], [[0, 0], [17938, -4202], [4441, 567], [-13, -3]], [[0, 0], [776052, -314020], [105372, -50220], [-236, 124]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[256, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -20], [-32, 16], [0, 0]], [[0, 0], [32, 32], [66, -34], [14, -6]], [[0, 0], [6, -2], [-1, -1], [-3, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12992, 5072], [8, -8], [0, 0]], [[0, 0], [-6080, 2372], [-70, 8], [-18, 8]], [[0, 0], [-79494, 31034], [-637, 255], [-239, 93]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[256, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 52], [-24, 40], [0, 0]], [[0, 0], [-176, -1460], [-296, -1126], [32, -14]], [[0, 0], [13382, -38930], [5473, -29511], [1147, -481]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -36], [-8, -24], [0, 0]], [[0, 0], [-174, -510], [-225, -373], [13, -7]], [[0, 0], [-8942, 5322], [-4741, 3311], [-407, 165]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[256, -128]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -8], [40, 0], [0, 0]], [[0, 0], [2, 0], [3, 2], [1, 0]], [[0, 0], [0, 0], [40, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 20], [24, -24], [0, 0]], [[0, 0], [2, 0], [3, 0], [1, 0]], [[0, 0], [4, 32], [96, -56], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[256, -128]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 8], [-8, 8], [0, 0]], [[0, 0], [2, 0], [3, -2], [1, 0]], [[0, 0], [0, 16], [-8, 16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 12], [-40, 16], [0, 0]], [[0, 0], [2, 0], [3, 4], [1, 0]], [[0, 0], [-12, -8], [0, 0], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[256, -128]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -16], [32, 0], [0, 0]], [[0, 0], [2, 2], [3, 2], [1, 0]], [[0, 0], [-60, 0], [8, 32], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-532, 208], [-1680, 656], [0, 0]], [[0, 0], [2, 2], [3, 0], [1, 0]], [[0, 0], [-4096, 1600], [-13032, 5088], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[256, -128]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -12], [0, 40], [0, 0]], [[0, 0], [2, 2], [3, -2], [1, 0]], [[0, 0], [8, 4], [-40, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [328, -128], [984, -384], [0, 0]], [[0, 0], [2, 2], [3, 4], [1, 0]], [[0, 0], [-164, 64], [-328, 128], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[3008, -1216]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 2], [-32, 8], [0, 0]], [[0, 0], [753, 837], [-518, -510], [25, -11]], [[0, 0], [-150, 3364], [-332, -1952], [252, -102]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [234, -2], [20, -4], [0, 0]], [[0, 0], [-47077, -8249], [-3418, 198], [7, -5]], [[0, 0], [11304917, -3656989], [1183526, -429758], [-4515, 1827]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[3008, -1216]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-360, -16], [4, -12], [0, 0]], [[0, 0], [-16571, 29797], [4194, -78], [15, -5]], [[0, 0], [-417397, 112171], [21886, -11938], [131, -53]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 42], [-32, -16], [0, 0]], [[0, 0], [-2317, 1031], [-242, -26], [17, -7]], [[0, 0], [2986, -1238], [228, -20], [-20, 8]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[11968, -4672]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-124, 16], [-12, -8], [0, 0]], [[0, 0], [-1333, -852], [-508, -326], [-3, -2]], [[0, 0], [103, -977/2], [-390, -19], [-27, 19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -24], [10, 2], [0, 0]], [[0, 0], [43, 11], [12, 4], [-5, -1]], [[0, 0], [7, 7/2], [2, 1], [-1, -1/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-2152, 840]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [281, -101], [19, 1], [0, 0]], [[0, 0], [3019, -1182], [129, -43], [-2, -1]], [[0, 0], [1/2, -1], [1, 0], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, -6], [12, 4], [0, 0]], [[0, 0], [-12, -33/2], [-7, -4], [1, 5/2]], [[0, 0], [325/2, -60], [-10, 5], [-69/2, 13]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[11968, -4672]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8824, 3460], [10, 2], [0, 0]], [[0, 0], [-6741, -8519/2], [-2624, -1679], [5, 5/2]], [[0, 0], [2166, 595], [566, 344], [-10, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8856, -3424], [18, 6], [0, 0]], [[0, 0], [-105868, 42377], [332, 278], [0, 1]], [[0, 0], [71383, 55689/2], [21046, 13467], [51, 65/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-2152, 840]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-262, 98], [0, -4], [0, 0]], [[0, 0], [-30059, 23357/2], [411, -190], [2, -5/2]], [[0, 0], [118129/2, -22998], [-834, 357], [-11/2, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-110, 42], [8, -4], [0, 0]], [[0, 0], [-2065/2, 805/2], [62, -26], [5/2, -1/2]], [[0, 0], [10545/2, -2062], [-337, 120], [-15/2, 6]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -34], [-40, -8], [0, 0]], [[0, 0], [1, 0], [-2, 0], [1, 0]], [[0, 0], [850, -250], [-1364, 572], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 48], [28, 20], [0, 0]], [[0, 0], [-7, 0], [-2, 0], [1, 0]], [[0, 0], [146, -58], [40, -16], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -2], [-32, 0], [0, 0]], [[0, 0], [1, 0], [-2, 0], [1, 0]], [[0, 0], [0, 0], [4, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 10], [128, 16], [0, 0]], [[0, 0], [1, 0], [6, 0], [1, 0]], [[0, 0], [196, -52], [-436, 436], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[11968, -4672]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3908, -1556], [-20, -4], [0, 0]], [[0, 0], [8838, 16977/2], [4514, 2887], [2, 5/2]], [[0, 0], [-697, -16629/2], [-3254, -2073], [1, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3956, 1516], [-8, -8], [0, 0]], [[0, 0], [-32190, 23825/2], [-234, -165], [-2, 5/2]], [[0, 0], [3199, 10855/2], [2540, 1625], [-17, -21/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-2152, 840]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1961, 757], [-19, -1], [0, 0]], [[0, 0], [314399/2, -61762], [496, -581], [-1/2, 0]], [[0, 0], [-14619, 5667], [-119, 7], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1235, -471], [15, 5], [0, 0]], [[0, 0], [-39581, 30973/2], [-122, 73], [1, 5/2]], [[0, 0], [-327327/2, 127883/2], [-571, 259], [-7/2, 11/2]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[11968, -4672]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1672, -668], [-10, -2], [0, 0]], [[0, 0], [-28831, -35891/2], [-10962, -7015], [-1, 5/2]], [[0, 0], [-93007, -121357], [-58590, -38110], [375, -135]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4976, -1968], [-10, -6], [0, 0]], [[0, 0], [60741, -46825/2], [98, 67], [-3, -5/2]], [[0, 0], [51888, -25977], [-1952, -1246], [68, 43]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-2152, 840]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1122, 430], [-20, 0], [0, 0]], [[0, 0], [-18351, 7165], [-185, 85], [0, -2]], [[0, 0], [-91955/2, 17952], [-454, 219], [-3/2, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1710, -666], [4, 0], [0, 0]], [[0, 0], [-27/2, -3], [-16, -13], [-1/2, -2]], [[0, 0], [-7, 17], [43, 17], [10, 0]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[376, -152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81, 19], [-1, 5], [0, 0]], [[0, 0], [-4923/2, 15009/2], [2087, -225], [-5/2, -5/2]], [[0, 0], [993109/2, -389839/2], [-85657, 33343], [-97/2, 39/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51, 23], [23, -3], [0, 0]], [[0, 0], [47975/2, -27739/2], [-17477, -1871], [-5/2, 1/2]], [[0, 0], [-241279/2, 90785/2], [34753, -16855], [17/2, -7/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 36], [4, -12], [0, 0]], [[0, 0], [5, 0], [0, 2], [1, 0]], [[0, 0], [858, -546], [-812, 364], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, 8], [-46, 6], [0, 0]], [[0, 0], [5, 0], [2, 0], [1, 0]], [[0, 0], [212, -20], [-106, 26], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[376, -152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-109, -7], [-103, -5], [0, 0]], [[0, 0], [137335/2, -33229/2], [66033, -16527], [5/2, 5/2]], [[0, 0], [3220305, -1255253], [3125866, -1218562], [-47, 19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, -3], [7, 5], [0, 0]], [[0, 0], [991/2, -415/2], [3, -3], [-1/2, 1/2]], [[0, 0], [-158607/2, 62073/2], [-735, 297], [245/2, -99/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -10], [80, 16], [0, 0]], [[0, 0], [-3, 0], [0, 2], [1, 0]], [[0, 0], [68, -20], [84, -84], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -12], [30, 10], [0, 0]], [[0, 0], [-3, 0], [-6, 0], [1, 0]], [[0, 0], [12, -4], [28, -12], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[3008, -1216]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [166, 10], [40, 0], [0, 0]], [[0, 0], [15468, -1938], [3928, -664], [-18, 8]], [[0, 0], [266571, -81997], [70354, -22786], [-399, 161]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-182, 30], [24, 8], [0, 0]], [[0, 0], [20620, -6976], [-1412, 108], [-8, 4]], [[0, 0], [119455, -45265], [-6474, 1962], [-51, 21]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -8], [-880, 344], [0, 0]], [[0, 0], [6, -3], [-10141, 3957], [9, -3]], [[0, 0], [-38, 14], [55915, -21831], [-47, 19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 8], [-184, 72], [0, 0]], [[0, 0], [18, -7], [-8589, 3353], [-23, 9]], [[0, 0], [0, 0], [-328, 128], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -4], [-16, -8], [0, 0]], [[0, 0], [-2, 0], [3, 2], [1, 0]], [[0, 0], [24, -24], [-8, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 36], [32, -24], [0, 0]], [[0, 0], [-2, 0], [3, 0], [1, 0]], [[0, 0], [1248, 672], [520, -416], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[1792, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -8], [72, 8], [0, 0]], [[0, 0], [-50, 6], [-123, 105], [-1, -1]], [[0, 0], [-116, 44], [-560, 224], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -16], [-24, -8], [0, 0]], [[0, 0], [-218, 62], [37, -43], [-1, -1]], [[0, 0], [-68, 28], [24, -8], [0, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[1792, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 20], [-256, -32], [0, 0]], [[0, 0], [-18062, 2534], [149769, -43677], [-21, 9]], [[0, 0], [56950, 79998], [93281, -371159], [-85, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 20], [48, 16], [0, 0]], [[0, 0], [-30, 6], [71, -23], [29, -13]], [[0, 0], [-394, -338], [169, 341], [-245, -49]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 4], [-32, 40], [0, 0]], [[0, 0], [-2, 0], [3, -2], [1, 0]], [[0, 0], [0, 0], [-24, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [-40, -16], [0, 0]], [[0, 0], [-2, 0], [3, 4], [1, 0]], [[0, 0], [-4, 12], [72, 72], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[1792, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -28], [-96, -16], [0, 0]], [[0, 0], [-164, -64], [-280, -98], [-16, 6]], [[0, 0], [-6, 2], [-17, 7], [-3, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 32], [24, 24], [0, 0]], [[0, 0], [840, -348], [138, 64], [14, -8]], [[0, 0], [11550, -4166], [-1645, -1371], [257, -57]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[1792, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 32], [56, 24], [0, 0]], [[0, 0], [1578, -722], [-759, -177], [27, -11]], [[0, 0], [-7810, -1326], [-18319, -12387], [-77, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1324, -476], [2520, -984], [0, 0]], [[0, 0], [43114, -16890], [84669, -33055], [-9, 3]], [[0, 0], [102894, -39990], [201463, -78645], [-19, 9]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[1792, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, 52], [-64, -32], [0, 0]], [[0, 0], [-1516, 532], [1966, -724], [2, 0]], [[0, 0], [5070, -1902], [-6647, 2539], [-5, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3740, -1460], [49448, -19304], [0, 0]], [[0, 0], [63054, -24622], [840301, -328039], [31, -13]], [[0, 0], [-72684, 28212], [-966310, 377352], [-58, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[6720, -2624]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 26], [-28, -12], [0, 0]], [[0, 0], [219, -109/2], [-1926, -1243], [3, -5/2]], [[0, 0], [164, -36], [-1732, -1116], [2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [722, -282], [-20, 12], [0, 0]], [[0, 0], [-97, -95/2], [2618, 1683], [-1, 1/2]], [[0, 0], [30, 18], [-912, -584], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-637888, 249024]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 14], [4, -12], [0, 0]], [[0, 0], [1, 0], [-2, 0], [1, 0]], [[0, 0], [-2046, 806], [704, -256], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 32], [28, -12], [0, 0]], [[0, 0], [-15, 0], [-2, 0], [1, 0]], [[0, 0], [-66, 34], [40, -16], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-637888, 249024]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -6], [-44, -12], [0, 0]], [[0, 0], [1, 0], [-2, 0], [1, 0]], [[0, 0], [1510, -598], [1160, -464], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -48], [-52, -12], [0, 0]], [[0, 0], [-15, 0], [-2, 0], [1, 0]], [[0, 0], [70, -22], [-44, 20], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[6720, -2624]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1640, -640], [-28, -4], [0, 0]], [[0, 0], [-485, 22], [10250, 6556], [-1, 2]], [[0, 0], [2423, -1173/2], [-22046, -14067], [13, -17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [630, -246], [44, 20], [0, 0]], [[0, 0], [-568, 379/2], [40484, 25933], [-4, -5/2]], [[0, 0], [-86631, 67683/2], [-28642, -17127], [-7, 11/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-637888, 249024]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48616, 18928], [-46, -2], [0, 0]], [[0, 0], [11, 2], [2, 0], [1, 0]], [[0, 0], [-42628, -27788], [-16830, -10778], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39828, -15548], [26, -10], [0, 0]], [[0, 0], [-11, 0], [2, 0], [1, 0]], [[0, 0], [1916, -748], [0, 0], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[232, -72]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, -2], [-32, 0], [0, 0]], [[0, 0], [-20275, 89], [-7575, 199], [0, 2]], [[0, 0], [-1928945/2, 853947/2], [-374225, 163875], [-335/2, 105/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-300, -12], [-30, -2], [0, 0]], [[0, 0], [3725/2, -325/2], [191, -7], [5/2, 3/2]], [[0, 0], [-41373/2, 16107/2], [-1974, 768], [-3/2, 1/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[647704, -252856]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1399, -547], [-5, 1], [0, 0]], [[0, 0], [4153/2, 2847/2], [2415, 1561], [3/2, -3/2]], [[0, 0], [-1075/2, -141], [-413, -232], [11/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1459, -559], [29, -1], [0, 0]], [[0, 0], [-193517/2, -56312], [-89143, -57014], [-1/2, 0]], [[0, 0], [-6824, -904], [-3422, -2146], [0, 0]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[6720, -2624]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-210, 82], [8, 16], [0, 0]], [[0, 0], [9, 3], [1128, 720], [-3, -1]], [[0, 0], [0, 3/2], [240, 155], [0, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1496, -584], [-22, 6], [0, 0]], [[0, 0], [-7256, 5641/2], [60, -51], [4, 5/2]], [[0, 0], [1301, 1843/2], [3042, 1947], [-463, -593/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-637888, 249024]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 6], [20, 12], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [1932, -756], [-44, 20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 54], [-48, -8], [0, 0]], [[0, 0], [13, 0], [2, 0], [1, 0]], [[0, 0], [-2612, 924], [-788, 364], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-637888, 249024]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-152688, 59584], [2, -10], [0, 0]], [[0, 0], [3, 2], [2, 0], [1, 0]], [[0, 0], [-77020, -45052], [-28476, -18236], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33020, 12884], [-22, 6], [0, 0]], [[0, 0], [13, 0], [2, 0], [1, 0]], [[0, 0], [13624, -5328], [6, -6], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[232, -72]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [121, 3], [-17, 5], [0, 0]], [[0, 0], [16191/2, 6347/2], [-621, 31], [-3/2, -3/2]], [[0, 0], [21845, -10812], [-5056, 2050], [7, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, -13], [7, -3], [0, 0]], [[0, 0], [-585, -424], [2, 4], [1, 2]], [[0, 0], [11943/2, 171/2], [-217, 67], [-217/2, 67/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[647704, -252856]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [511, -203], [-1, -3], [0, 0]], [[0, 0], [5961/2, 4033/2], [2997, 1933], [-1/2, -5/2]], [[0, 0], [86875, -8401/2], [35535, 15122], [-1198, 885/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [185, -85], [-25, -3], [0, 0]], [[0, 0], [-3955/2, -1252], [-1961, -1274], [-3/2, 2]], [[0, 0], [8669/2, 7341/2], [6342, 2928], [-365/2, 135/2]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[6720, -2624]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-774, 302], [-16, 8], [0, 0]], [[0, 0], [333, 577/2], [-4048, -2605], [-3, 5/2]], [[0, 0], [170, 311/2], [-2144, -1381], [-2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8412, -3284], [34, -10], [0, 0]], [[0, 0], [-263390, 102810], [670, 1418], [2, 2]], [[0, 0], [30715, -14545/2], [-538634, -345033], [-897, -1149/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[1856, -576]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-344, -40], [-108, -20], [0, 0]], [[0, 0], [22399, -1131], [6846, 42], [21, -9]], [[0, 0], [9881, 92389], [9866, 30466], [-131, 41]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, -8], [-28, -4], [0, 0]], [[0, 0], [231, 167], [-82, -34], [-31, 13]], [[0, 0], [574, 354], [-124, -100], [36, -12]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[-9664, 3776]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-778, 274], [-760, 296], [0, 0]], [[0, 0], [-1, 0], [2, 2], [1, 0]], [[0, 0], [-12506, 4842], [-12636, 4932], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [610, -234], [-656, 256], [0, 0]], [[0, 0], [15, 0], [2, 2], [1, 0]], [[0, 0], [-202, 58], [196, -76], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[443456, -173120]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2152, -840], [300, -116], [0, 0]], [[0, 0], [10370, -4048], [1448, -592], [-4, 2]], [[0, 0], [229, 313/2], [-36986, -23684], [577, 739/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1050, 410], [-432, 168], [0, 0]], [[0, 0], [12709, -9917/2], [5418, -2136], [-5, -3/2]], [[0, 0], [-65502, -41698], [462728, 296432], [76538, 49014]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[768, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 28], [40, -24], [0, 0]], [[0, 0], [-2, 0], [-5, 2], [1, 0]], [[0, 0], [12, 12], [32, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 16], [-40, 8], [0, 0]], [[0, 0], [-2, 0], [-5, 0], [1, 0]], [[0, 0], [4, 4], [-128, 48], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[1280, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -36], [-96, -16], [0, 0]], [[0, 0], [-13626, 1998], [56011, -25197], [-31, 13]], [[0, 0], [64068, -46644], [-505386, 175602], [266, -98]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -20], [-24, 40], [0, 0]], [[0, 0], [-190, 906], [971, -1757], [-7, 1]], [[0, 0], [-6090, 2694], [14295, -6105], [-35, 13]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[448, -704]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82, 6], [-28, -4], [0, 0]], [[0, 0], [-2841, 367], [882, -62], [7, -1]], [[0, 0], [13278, -21446], [-2328, 7096], [-36, 52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 6], [68, -4], [0, 0]], [[0, 0], [39866, -17922], [-224872, -7944], [-28, 12]], [[0, 0], [46683, -214465], [-8468966, -4658254], [-77, 119]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[30656, -11968]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5846, 2286], [20, -4], [0, 0]], [[0, 0], [144573, 185687/2], [145478, 93169], [5, -1/2]], [[0, 0], [65148, 39918], [63732, 40768], [-24, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1766, -710], [-32, -8], [0, 0]], [[0, 0], [-161705, -202289/2], [-158630, -101611], [5, 3/2]], [[0, 0], [-2911, 456543/2], [221798, 139533], [153, -129/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[576, -320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 18], [-48, -16], [0, 0]], [[0, 0], [-7, 0], [14, 0], [1, 0]], [[0, 0], [-42, 18], [-180, 68], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 10], [-160, 0], [0, 0]], [[0, 0], [1, 0], [-10, 0], [1, 0]], [[0, 0], [14, -6], [1388, -540], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[576, -320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -40], [-20, 4], [0, 0]], [[0, 0], [-3, 0], [-6, 0], [1, 0]], [[0, 0], [42, -2], [-28, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -8], [-116, 4], [0, 0]], [[0, 0], [-3, 0], [10, 0], [1, 0]], [[0, 0], [58, -34], [-1900, 700], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[448, -704]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [106, 14], [84, 12], [0, 0]], [[0, 0], [-32967, 2823], [-26198, 2150], [-27, 11]], [[0, 0], [1055682, 601928], [847784, 484300], [40, -62]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-794, -14], [44, 4], [0, 0]], [[0, 0], [1684985, -113255], [-91082, -34], [-7, 1]], [[0, 0], [9004626, -33051318], [31624, 1918128], [-82, 126]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[30656, -11968]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5862, -2286], [-4, 4], [0, 0]], [[0, 0], [-59357, -76913/2], [-59414, -38021], [3, -5/2]], [[0, 0], [-850199, -1195261/2], [-898870, -572397], [493, -425/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4524, 1756], [-36, 4], [0, 0]], [[0, 0], [-48395, -61145/2], [-47718, -30537], [1, -5/2]], [[0, 0], [147879, 73749], [127802, 80790], [-147, 63]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[576, -320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -10], [80, 0], [0, 0]], [[0, 0], [5, 0], [-6, 0], [1, 0]], [[0, 0], [10, -2], [4, -20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -30], [16, 16], [0, 0]], [[0, 0], [-11, 0], [-6, 0], [1, 0]], [[0, 0], [570, -210], [-84, 20], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[576, -320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 6], [100, 12], [0, 0]], [[0, 0], [5, 0], [-6, 0], [1, 0]], [[0, 0], [78, -38], [-1008, 336], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -12], [196, 12], [0, 0]], [[0, 0], [5, 0], [10, 0], [1, 0]], [[0, 0], [50, -26], [-7948, 3132], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[1633984, -637888]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -12], [36, 12], [0, 0]], [[0, 0], [13, 0], [-6, 0], [1, 0]], [[0, 0], [354, -138], [136, -56], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [262, 18], [-92, -20], [0, 0]], [[0, 0], [-19, 0], [-6, 0], [1, 0]], [[0, 0], [46868, -18676], [-12100, 4900], [0, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[1633984, -637888]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-176, 0], [-68, 4], [0, 0]], [[0, 0], [13, 0], [-6, 0], [1, 0]], [[0, 0], [-4106, 1666], [-1740, 700], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [354, -10], [-12, -20], [0, 0]], [[0, 0], [-19, 0], [-6, 0], [1, 0]], [[0, 0], [-157374, 60918], [-8064, 3248], [0, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5446, 2126], [-28, -4], [0, 0]], [[0, 0], [-1120, 163/2], [-86900, -55625], [2, -5/2]], [[0, 0], [14567, -18699/2], [-893902, -573023], [-103, 45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2874, -1122], [-112, -16], [0, 0]], [[0, 0], [281, -45/2], [214114, 137083], [5, -1/2]], [[0, 0], [-5778, 1258], [-2450060, -1568180], [-104, 24]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[60, -37]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [350, -321/2], [-30, -3/2], [0, 0]], [[8, 5/2], [-33978, -41615/2], [-18236, -23459/2], [8, 5/2]], [[-190, 155/2], [50640, -39962], [-14628, -5460], [-190, 155/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4178, -3263/2], [4238, -3309/2], [0, 0]], [[-10, 3/2], [70320, -27462], [71360, -27846], [-10, 3/2]], [[-55720, -71365/2], [-230074, -293399/2], [279896, 359777/2], [-55720, -71365/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[52, -15]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1056, -412], [-540, 211], [0, 0]], [[-5, 1/2], [-225132, 175801/2], [115253, -89965/2], [-5, 1/2]], [[-2628, -1683], [24554, 23985/2], [17818, 26641/2], [-2628, -1683]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-192, 44], [-28, -1], [0, 0]], [[4, 1/2], [64708, 40412], [24646, 15682], [4, 1/2]], [[153, -117/2], [112904, -10283/2], [21947, 12867/2], [153, -117/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[52, -15]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3384, -1321], [92, -36], [0, 0]], [[-2, 1/2], [144018, -112433/2], [3902, -3061/2], [-2, 1/2]], [[57, 73/2], [-1214, -577], [1133, 731], [57, 73/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [482, -375/2], [-94, 73/2], [0, 0]], [[-1, -5/2], [-630, 242], [127, -46], [-1, -5/2]], [[-525, -336], [-656, -985/2], [639, 847/2], [-525, -336]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[52, -15]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, 24], [284, -111], [0, 0]], [[1, -2], [4, -17/2], [-75, 49/2], [1, -2]], [[-68, -87/2], [-290, -371/2], [-200, -259/2], [-68, -87/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, 1/2], [34, 1/2], [0, 0]], [[4, 5/2], [56674, 71359/2], [21912, 27609/2], [4, 5/2]], [[-25, 19/2], [-248820, 186927/2], [-92347, 69261/2], [-25, 19/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[52, -15]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-336, 132], [-500, 195], [0, 0]], [[-5, 5/2], [-2120, 1657/2], [-3175, 2483/2], [-5, 5/2]], [[32, 41/2], [24, 19], [118, 81], [32, 41/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1096, 428], [-1012, 395], [0, 0]], [[-1, -3/2], [6094, -2386], [5647, -2196], [-1, -3/2]], [[556, 356], [2446, 2303/2], [-2130, -3495/2], [556, 356]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[12, -1]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [412, -325/2], [0, 3/2], [0, 0]], [[-10, -4], [-3005, -6031/2], [7295/2, 2341], [-3/2, -5/2]], [[446, -411/2], [-232416, 74098], [15533, 8888], [-317, 223/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [554, -419/2], [10, -3/2], [0, 0]], [[0, -1/2], [67795, 94495/2], [50653/2, 16272], [-1/2, 0]], [[0, 0], [92, 1009/2], [180, 243/2], [0, 0]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[12, -1]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-756, 601/2], [8, -3/2], [0, 0]], [[2, -1/2], [5474, 6579/2], [1591, 2039/2], [-1, 1/2]], [[8, -7/2], [-5585, -9087/2], [-3949/2, -1262], [-11/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-664, 511/2], [8, 1/2], [0, 0]], [[-8, -5/2], [-18175, -21405/2], [33601/2, 10754], [-1/2, -2]], [[168, -78], [26126, -98885/2], [36702, 47691/2], [-120, 42]]], 0, 16, [], [] >,
< [ -4, -1, 1 ], [[328, -134]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [156, -61], [1312, -512], [0, 0]], [[-8, 5/2], [-86, 63/2], [-712, 559/2], [-8, 5/2]], [[730, 935/2], [2474, 3169/2], [-1902, -2433/2], [730, 935/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, 59], [-4, -5], [0, 0]], [[4, -3/2], [-798, -2653/2], [-916, -1177/2], [4, -3/2]], [[0, 0], [-116, -83], [-72, -46], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[120, -74]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, 5/2], [13090, -10109/2], [14, 5/2], [0, 0]], [[-95670, -122535/2], [-665770, -859019/2], [-95670, -122535/2], [-20, 0]], [[89460, 57285], [633486, 794647/2], [89460, 57285], [-26, 35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -1/2], [11138, -8715/2], [6, -1/2], [0, 0]], [[37142, 47573/2], [-191780, -119598], [37142, 47573/2], [-6, -3/2]], [[-106256, -68013], [456218, 756097/2], [-106256, -68013], [-50, 61/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[120, -74]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 2], [-14960, 5851], [4, 2], [0, 0]], [[62776, 40202], [215102, 224049/2], [62776, 40202], [2, -1/2]], [[374, 479/2], [1002, 1553/2], [374, 479/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-28, -2], [296, -51], [-28, -2], [0, 0]], [[-1696, -1089], [8510, 10885/2], [-1696, -1089], [-6, 1/2]], [[94670, 120489/2], [-471080, -302620], [94670, 120489/2], [-454, 559/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[120, -74]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 5/2], [-2398, 1873/2], [-6, 5/2], [0, 0]], [[-17412, -11148], [-40158, -49593/2], [-17412, -11148], [-6, 5/2]], [[206758, 264803/2], [467730, 596127/2], [206758, 264803/2], [8, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, 3/2], [3874, -2985/2], [-14, 3/2], [0, 0]], [[63336, 40558], [-317808, -202936], [63336, 40558], [12, -1]], [[-1265936, -810768], [6314414, 8143041/2], [-1265936, -810768], [330, -405/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[216, -82]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, -2], [-132, 55], [8, -2], [0, 0]], [[-66, -87/2], [-230, -247/2], [-66, -87/2], [-4, -1]], [[-4, 6], [172, -107/2], [-4, 6], [12, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, 3/2], [526, -361/2], [10, 3/2], [0, 0]], [[9114, 11655/2], [42788, 26451], [9114, 11655/2], [-2, 3/2]], [[12096, 8064], [24480, 98469/2], [12096, 8064], [96, -73/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[56, -22]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, -24], [-14, 5], [0, 0]], [[0, 1], [1822, -242], [-153, 222], [1, 0]], [[-1, -5/2], [-7895/2, 153], [501/4, -2115/4], [-9/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [270, -2], [-6, 1], [0, 0]], [[-21, 2], [9240029/26, 1724371/26], [-355319/52, 2399/52], [139/52, 5/52]], [[-12937, 9871/2], [3576912239/26, -648752295/13], [-193354813/52, 72955359/52], [70817/52, -26547/52]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[56, -22]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -14], [4, -3], [0, 0]], [[4, 3/2], [-2047, 1637/2], [-709/2, 146], [1/2, 1]], [[9, 15/2], [7029/2, -1301], [2523/4, -873/4], [21/4, 9/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [346, 5], [10, 0], [0, 0]], [[18, -2], [-5440925/13, -36314/13], [-312561/26, 2427/26], [-59/26, -1/26]], [[-11165, 8525/2], [5724450341/26, -1076043255/13], [336068727/52, -126620805/52], [61105/52, -22935/52]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[216, -82]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2312, 927], [-8, -5], [0, 0]], [[3, 2], [-2226, 908], [-3, -2], [3, 2]], [[-79, 73/2], [-2500188, 1952227/2], [79, -73/2], [-79, 73/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -197], [20, -4], [0, 0]], [[69, 3/2], [-30321108/13, -75618305/26], [2458251/13, -2835/26], [69/13, 3/26]], [[39040, -18120], [22900744188/13, -3913474922/13], [1450019952/13, -663094593/13], [39040/13, -18120/13]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[168, -66]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1], [4, 1], [0, 1], [0, 0]], [[-7, 3/2], [401/13, 75/13], [-37/2, -1], [41/78, 1/26]], [[-1, 1/2], [23/13, -35/26], [-3/2, 1], [1/26, -1/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -5/2], [-6, 38], [-2, -5/2], [0, 0]], [[-1006, -2013/2], [33872/13, 369613/26], [-13058/13, -26141/26], [-2/39, 1/78]], [[-52198, -29806], [8471989/13, 7589965/26], [-1355607/26, -773993/26], [5/26, -1/3]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[168, -66]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[26, 3/2], [-22, 7], [26, 3/2], [0, 0]], [[29879, 27259/2], [-139706/13, 9777/13], [59789/2, 13632], [-19/26, -1/78]], [[1302879, 1244178], [319912, -727001/2], [2605835/2, 2489511/2], [77/6, -77/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 1], [-190, 33], [8, 1], [0, 0]], [[1350, 1727/2], [-173930/13, -222379/26], [17331/13, 22173/26], [1/39, 5/78]], [[18700, 23873/2], [-2410682/13, -1536459/13], [480083/26, 153263/13], [-59/78, 103/78]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[612, -239]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3044/59, -239/118], [-169/59, -1/118], [0, 0]], [[200372, -1/2], [-80412594/3127, 19982796/3127], [-18915/59, 20855/59], [200372/40651, -1/81302]], [[-848584969, 323018219], [469405806765/3127, -182045800921/3127], [214585825/59, -85194130/59], [-848584969/40651, 323018219/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2004/59, -723/118], [-1022/59, -5/118], [0, 0]], [[-87210, -5/2], [-25041099/118, -1307055/118], [-434008/59, -217872/59], [-5/2, 0]], [[-173697174, 131972181/2], [-2433801611177/6254, 918673584785/6254], [-205027762/59, 59300844/59], [-404842989/81302, 76898466/40651]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[612, -239]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-153955, 3/2], [-308228/53, 3/53], [-2, 0], [-153955/40651, 3/81302]], [[-1191702442, 904971061/2], [-140766114940/3127, 106896869347/6254], [-913376/59, 693611/118], [-1191702442/40651, 904971061/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3114/59, -581/118], [684/59, 3/118], [0, 0]], [[-57274, -5/2], [-1524699867/6254, -202054521/6254], [-1807069/59, -638390/59], [-133485/81302, -1/40651]], [[35004160, -13284800], [372215983222/3127, -138527146440/3127], [512155176/59, -177078043/59], [40792800/40651, -15481760/40651]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[8, -10]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-244, -5/2], [-31820750/3127, 7730/3127], [-244/59, -5/118], [110278/40651, -3/81302]], [[104300, -104950], [14176505420/3127, -27383563325/6254], [104300/59, -104950/59], [-49086576/40651, 94899735/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-598, -5/2], [-177563/59, -1613/118], [-598/59, -5/118], [0, 0]], [[8602254, 432686], [33181856685/767, 1682740910/767], [8602254/59, 432686/59], [4/13, 0]], [[-22472845016, 28313011748], [-4584759334071866/40651, 11576605448435439/81302], [-22472845016/59, 28313011748/59], [-40957224/40651, 82316157/81302]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[8, -10]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-568, -1/2], [30886/59, -63/118], [-568/59, -1/118], [0, 0]], [[19426, -23186], [-951730894/3127, 67615923/3127], [19426/59, -23186/59], [-151070/40651, -2/40651]], [[-202176317, 72085793/2], [2241325216628/3127, -1710361482956/3127], [-202176317/59, 72085793/118], [21443215/3127, -41681755/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-952, -5/2], [-274618/59, -9755/118], [-952/59, -5/118], [0, 0]], [[6605468, 9232301/2], [1361977024270/40651, 950957556429/40651], [6605468/59, 9232301/118], [11188/40651, 1/81302]], [[-80494866659, -44875217544], [-16574363727889726/40651, -9252755007407844/40651], [-80494866659/59, -44875217544/59], [75181361/40651, -75673139/40651]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[3748, -1463]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3044/59, 351/118], [-700/59, -1/118], [0, 0]], [[-7096, 1], [2822475475/3127, 478011870/3127], [13106698/59, 3012756/59], [8405/3127, 2/3127]], [[-29363472, 11209347/2], [20337871702561/6254, -1254939231313/6254], [44717456969/59, -258574036/59], [69540201/6254, -6627906/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24/59, -121/118], [-110/59, -1/118], [0, 0]], [[4250, 1/2], [-14532868/3127, -15835749/6254], [-253268/59, -98525/118], [-5034/3127, -5/6254]], [[26630060, -10272983/2], [-105546270761/6254, -44940143619/6254], [-1348826041/59, 57112440/59], [-63066591/6254, 6074375/3127]]], 1, 336, [], [] >,
< [ -4, -1, 1 ], [[3748, -1463]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-212/59, -239/118], [-228/59, -1/118], [0, 0]], [[9942, -5/2], [-9914574/3127, -37026034/3127], [-695762/59, -232362/59], [-11776/3127, -3/6254]], [[-117317628, 44989523/2], [-435547287363/6254, 661470750689/6254], [6107812586/59, 643644064/59], [277837739/6254, -26601819/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1958/59, 62/59], [810/59, 1/59], [0, 0]], [[618, -3/2], [137051186/3127, 49687385/6254], [1062382/59, 313729/118], [-732/3127, 3/6254]], [[-9176, 3565/2], [-3493654745/6254, 188067619/6254], [-13948760/59, 1156148/59], [21731/6254, -2108/3127]]], 1, 336, [], [] >,
< [ -4, -1, 1 ], [[248, -102]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-834, -5/2], [-6311156/3127, 9737/6254], [-834/59, -5/118], [-3614/3127, -1/3127]], [[-1467190, 597876], [-11171228324/3127, 9098507139/6254], [-1467190/59, 597876/59], [-6386146/3127, 5202201/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-568, -1/2], [-169773/59, 645/118], [-568/59, -1/118], [0, 0]], [[1867968, -1661328], [454137071850/40651, -342255365321/40651], [1867968/59, -1661328/59], [149122/40651, -2/40651]], [[-19871519040, 7580116224], [-4394782487817053/40651, 3368516692982465/81302], [-19871519040/59, 7580116224/59], [-647587524/40651, 527791177/81302]]], 1, 336, [], [] >,
< [ -4, -1, 1 ], [[248, -102]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1070, 5/2], [-59204/59, -39/118], [1070/59, 5/118], [0, 0]], [[948028, 951975/2], [-2781021788/3127, -1387486010/3127], [948028/59, 951975/118], [-4934/3127, -1/6254]], [[-696566547, 841434855/2], [2101396263962/3127, -2510542747415/6254], [-696566547/59, 841434855/118], [19932247/3127, -8120124/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[96, 1/2], [31536/59, -1943/118], [96/59, 1/118], [0, 0]], [[-881247, -919463/2], [-70271261728/40651, -94712899980/40651], [-881247/59, -919463/118], [-179559/40651, 1/81302]], [[-24250343871, 31914967539/2], [1190261149189766/3127, -388791604643077/3127], [-24250343871/59, 31914967539/118], [-2540671191/3127, 2070779427/6254]]], 1, 336, [], [] >,
< [ -4, -1, 1 ], [[504, -198]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, 5/2], [-2, 1], [18, 5/2], [0, 0]], [[-9, -41/2], [-307/13, 15/26], [95/2, -24], [-45/26, 2/13]], [[-1220, -323], [2530/13, -9453/26], [-1818, 528], [276/13, -667/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 2], [-236, 27], [12, 2], [0, 0]], [[66, 93/2], [-6921/13, -5895/13], [1581/26, 502/13], [1/26, 5/26]], [[-646, -1007/2], [57113/13, 135211/26], [-16621/26, -5233/13], [35/26, -35/13]]], 1, 160, [], [] >,
< [ -4, -1, 1 ], [[504, -198]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-16, -1], [18, -5], [-16, -1], [0, 0]], [[36, 31/2], [0, -4], [69, 33/2], [-1, 0]], [[5, 19], [-146/13, 43/26], [-53/2, 83/2], [27/26, -9/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 1/2], [86, -18], [-6, 1/2], [0, 0]], [[-640, -635], [47330/13, 157753/26], [-8315/13, -8310/13], [-1/13, 3/26]], [[25970, 49765/2], [-2011262/13, -6135849/26], [51935/2, 25045], [67/26, -57/13]]], 1, 160, [], [] >,
< [ -4, -1, 1 ], [[208, -60]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2060, 831], [36, 1], [0, 0]], [[10, -3/2], [163648, 104940], [91988, 58927], [10, -3/2]], [[-100, 75/2], [-104456, -68735], [-59446, -38312], [-100, 75/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4072, 1590], [-4160, 1624], [0, 0]], [[8, 3/2], [24820, -9680], [25114, -9797], [8, 3/2]], [[-108150, -69258], [-220600, -141381], [-168542, -108045], [-108150, -69258]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[448, -208]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3084, -1231], [-36, -1], [0, 0]], [[0, 0], [2425228, 1514142], [1328778, 851190], [6, 0]], [[0, 0], [-22248016, -13731951], [-12103230, -7754157], [-70, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1652, 645], [-1780, 695], [0, 0]], [[0, 0], [-996, 382], [-1010, 410], [2, -4]], [[0, 0], [-4364, 1699], [-4504, 1769], [20, -10]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[112, -52]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1284, 501], [-356, 139], [0, 0]], [[-5, 5/2], [262650, -102530], [73671, -28762], [-5, 5/2]], [[36887, 23622], [364834, 233619], [-114895, -73582], [36887, 23622]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3068, 1141], [-44, -5], [0, 0]], [[3, -2], [1601662, 1036072], [630201, 403645], [3, -2]], [[0, 1/2], [-894928, -574595], [-350518, -224478], [0, 1/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[112, -52]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5736, -2239], [-592, 231], [0, 0]], [[4, -2], [-426476, 166498], [44088, -17216], [4, -2]], [[3761, 4817/2], [-42158, -26995], [32501, 20813], [3761, 4817/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8492, -3315], [-28, 11], [0, 0]], [[0, 5/2], [1885852, -736237], [-6330, 2476], [0, 5/2]], [[-62491, -80037/2], [564670, 362228], [-121167, -77596], [-62491, -80037/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[112, -52]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3104, -1212], [-456, 178], [0, 0]], [[5, 5/2], [-65598, 25610], [9769, -3806], [5, 5/2]], [[14321, 9171], [4794, 3017], [24807, 15894], [14321, 9171]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1720, 658], [-24, 4], [0, 0]], [[-1, -3/2], [401502, 263376], [162415, 104080], [-1, -3/2]], [[-78, 7], [5459256, 3081309], [2020582, 1289229], [-78, 7]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[112, -52]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1484, 579], [-356, 139], [0, 0]], [[1, -5/2], [-59898, 23387], [-13915, 5429], [1, -5/2]], [[175987, 112700], [-294454, -188590], [271293, 173727], [175987, 112700]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2592, -1012], [2280, -890], [0, 0]], [[-4, -1/2], [60424, -23585], [53338, -20842], [-4, -1/2]], [[70013, 89671/2], [-129518, -82964], [661317, 423480], [70013, 89671/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[16, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1478, -580], [2, 2], [0, 0]], [[-2, -3], [-624323, 243716], [561/2, -239/2], [-5/2, -1/2]], [[-46, -9/2], [9081524, -3545393], [-4279, 1611], [7, -23/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2380, 925], [4, -3], [0, 0]], [[4, 3/2], [87855, -34185], [-329/2, 199/2], [1/2, 1]], [[0, -1], [98020, -38301], [-233, 80], [-1, 0]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[16, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3704, 1444], [0, 2], [0, 0]], [[2, 1/2], [-14, -13], [16, 12], [0, 1/2]], [[4, 1/2], [-19, -23], [49/2, 41/2], [-1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3930, -1534], [-10, 4], [0, 0]], [[2, -3/2], [-10480, 4080], [24, -15], [-2, 1/2]], [[24, 3/2], [-51791, 20388], [457/2, -9/2], [-9/2, 6]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[112, -52]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1380, -539], [-244, 95], [0, 0]], [[5, 1/2], [366, -96], [289, -109], [5, 1/2]], [[-446056, -285649], [-8528744, -5461707], [-695308, -445267], [-446056, -285649]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13392, 5243], [0, -5], [0, 0]], [[3, -2], [105274, 65918], [-34803, -22283], [3, -2]], [[55, -11/2], [-1986328, -2575173/2], [670797, 859233/2], [55, -11/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 14], [10, 0], [0, 0]], [[-3, -5/2], [-31/2, -15/2], [-57/4, -23/4], [-7/4, -3/4]], [[72, 44], [250, 169], [204, 143], [26, 18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-246, 99], [10, -1], [0, 0]], [[-2, 0], [-129, -21], [-133/2, -87/2], [1/2, -1/2]], [[1, 1/2], [1/2, 0], [-1/4, -1/4], [1/4, 1/4]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-174, 68], [14, -6], [0, 0]], [[-1, 3/2], [-4751/2, 1873/2], [661/4, -389/4], [7/4, -1/4]], [[-152, -96], [-2742, -211], [4592, 2813], [-58, -38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-422, 164], [-18, 6], [0, 0]], [[3, 0], [-5049/2, 1981/2], [-377/4, 189/4], [-3/4, 3/4]], [[68, 87/2], [219, 401/2], [1179/2, 380], [53/2, 17]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[64, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [222, -84], [-6, 2], [0, 0]], [[0, 0], [-1151, 479], [71/2, -23/2], [-15/2, -1/2]], [[0, 0], [-7600, 1073], [16, -157], [192, 144]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-172, 73], [4, 1], [0, 0]], [[0, 0], [-24871, 9774], [447/2, -153/2], [9/2, 3/2]], [[0, 0], [-19099, 7552], [361/2, -107/2], [11/2, 5/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[64, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [226, -85], [14, -5], [0, 0]], [[0, 0], [12573, -4966], [1507/2, -605/2], [5/2, -1/2]], [[0, 0], [1838, 128], [180, 52], [-6, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, 25], [8, -3], [0, 0]], [[0, 0], [90, 1], [0, -1], [10, 0]], [[0, 0], [425, 355], [-31/2, -17/2], [91/2, 77/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[320, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1112, 435], [0, 1], [0, 0]], [[0, 0], [8520, -3306], [0, -2], [0, 2]], [[0, 0], [-416542, 162586], [-93, 39], [93, -39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [648, -257], [0, 1], [0, 0]], [[0, 0], [-416, 324], [16, -6], [-16, 6]], [[0, 0], [-3998, -1812], [15, -11], [-15, 11]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[320, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [548, -213], [556, -217], [0, 0]], [[0, 0], [4916, -1923], [5112, -2011], [20, -10]], [[0, 0], [-4110, 1610], [-4265, 1687], [-15, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, -17], [-60, -5], [0, 0]], [[0, 0], [1558, 776], [557, 311], [-29, 13]], [[0, 0], [43086, 25458], [16085, 9861], [-245, 147]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[320, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 9], [-276, 107], [0, 0]], [[0, 0], [94, -19], [-71, 36], [-17, 7]], [[0, 0], [-88, 9], [54, -33], [14, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [628, -211], [36, -1], [0, 0]], [[0, 0], [74906, 45920], [28017, 17783], [27, -11]], [[0, 0], [4435050, 2831046], [1691997, 1082829], [95, -65]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[320, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-716, 283], [-580, 227], [0, 0]], [[0, 0], [-88914, 34834], [-71821, 28063], [1, 1]], [[0, 0], [180812, -70583], [145900, -56957], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1104, 432], [-968, 378], [0, 0]], [[0, 0], [1078, -469], [965, -392], [3, 1]], [[0, 0], [-38002, 14843], [-33115, 12930], [-29, 11]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, 41], [-12, 5], [0, 0]], [[0, 0], [-3143/2, 1141/2], [-607/4, 303/4], [27/4, 5/4]], [[0, 0], [7133/2, -11035/2], [9465/4, 2639/4], [1387/4, 949/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-186, 72], [10, -4], [0, 0]], [[0, 0], [-559/2, 73/2], [33/4, -49/4], [11/4, -3/4]], [[0, 0], [532, 401], [78, 45], [-2, -2]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, -13], [18, -5], [0, 0]], [[0, 0], [47/2, -3/2], [-7/4, 3/4], [15/4, 1/4]], [[0, 0], [5/2, -3/2], [-1/4, 1/4], [1/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 29], [4, -1], [0, 0]], [[0, 0], [-100, 42], [13, -1], [-3, 0]], [[0, 0], [459/2, -77/2], [209/4, 199/4], [-65/4, -55/4]]], 0, 24, [], [] >,
< [ -4, -1, 1 ], [[320, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11740, 4587], [20, -9], [0, 0]], [[0, 0], [6, -1], [-1, 0], [1, 0]], [[0, 0], [-25204, 9842], [44, -18], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10264, 4018], [8, 2], [0, 0]], [[0, 0], [14, 1], [-1, 0], [1, 0]], [[0, 0], [-3880, -3289], [-2160, -1383], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[208, -60]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -39], [-2580, 1007], [0, 0]], [[0, 0], [-1804, 708], [46882, -18313], [22, -7]], [[0, 0], [1808, -737], [-47614, 18678], [-34, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [836, -297], [32, 4], [0, 0]], [[0, 0], [-12060, -7690], [-6698, -4339], [18, -5]], [[0, 0], [-168452, -102235], [-83196, -61747], [2760, -1050]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-357808, 139684]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1636, 624], [-8, 1], [0, 0]], [[0, 0], [-137160, -89713], [-20112, -12886], [12, 0]], [[0, 0], [170514, 108739/2], [17168, 10804], [214, -175/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4732, -1849], [-12, 5], [0, 0]], [[0, 0], [-139094, -179055/2], [26020, 16664], [22, 1/2]], [[0, 0], [822180, 433726], [-136756, -87352], [2652, -1083]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[656, -268]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10408, 4097], [16, 5], [0, 0]], [[0, 0], [-2724610, -3391875/2], [-889720, -569790], [-10, -3/2]], [[0, 0], [232428, -2611065], [-813904, -519870], [264, -108]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5148, -2066], [16, 5], [0, 0]], [[0, 0], [448918, 570205/2], [-89236, -57148], [-10, -1/2]], [[0, 0], [-535024, -500019], [137564, 87941], [-372, 152]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[656, -268]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, 73], [-8, 4], [0, 0]], [[0, 0], [-1746, -2247/2], [-584, -375], [2, 1/2]], [[0, 0], [-4038, -3351/2], [-1220, -610], [-126, 103/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3248, 1273], [0, -1], [0, 0]], [[0, 0], [-112, 81], [0, 0], [-12, 0]], [[0, 0], [-1830, 1407/2], [0, 0], [-90, 73/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[112, -52]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [356, -139], [-4, 0], [0, 0]], [[0, 0], [3340, -1305], [-12, 7], [8, -2]], [[0, 0], [-116, -177/2], [256, 164], [132, 169/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [260, -105], [8, -5], [0, 0]], [[0, 0], [-50110, -30245], [-25968, -16560], [2, 0]], [[0, 0], [106574, 257117/2], [86280, 57528], [38, -35/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[52768, -20600]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-998, 389], [2, -1], [0, 0]], [[-1, -5/2], [1309, -495], [-10, -7/2], [-1, -5/2]], [[-639, -819/2], [3747, 2189], [-1638, -2097/2], [-639, -819/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-420, 163], [4, -1], [0, 0]], [[3, 0], [31571, -12336], [-252, 104], [3, 0]], [[-68, -87/2], [-96, 691], [-316, -417/2], [-68, -87/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[52768, -20600]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [532, -207], [-140, 55], [0, 0]], [[-4, 1], [-1666, 653], [434, -170], [-4, 1]], [[-363, -465/2], [1737, 1093], [-360, -451/2], [-363, -465/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, -54], [-10, 4], [0, 0]], [[-1, -1], [37, -12], [-38, 11], [-1, -1]], [[107, 137/2], [-187, -122], [294, 381/2], [107, 137/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[96, -8]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-496, 217], [36, -1], [0, 0]], [[0, 5/2], [-33402, -21236], [-18554, -23775/2], [0, 5/2]], [[16, -3], [-41892, -27635], [-23848, -15242], [16, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4372, 1707], [-4260, 1663], [0, 0]], [[8, 3/2], [173098, -67553], [168630, -131623/2], [8, 3/2]], [[-178986, -229241/2], [-869304, -555561], [-762246, -974063/2], [-178986, -229241/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[96, -8]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3292, 1301], [-4, 5], [0, 0]], [[4, -1/2], [325122, 211255], [71202, 91217/2], [4, -1/2]], [[42, -6], [3174286, 2065483], [695776, 445691], [42, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2580, -1003], [12, -3], [0, 0]], [[10, -2], [-4342, -2854], [-1772, -1122], [10, -2]], [[-60, -15/2], [71698, 46186], [28738, 36713/2], [-60, -15/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[24304, -9488]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, -36], [-2, 2], [0, 0]], [[0, 0], [-13245/2, 5181/2], [245, -92], [5/2, 1/2]], [[0, 0], [889, 68], [276, 195], [117, 75]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [0, -2], [0, 0]], [[0, 0], [-111/2, 37/2], [39, -23], [-11/2, -3/2]], [[0, 0], [-4, -15], [-50, -21], [-18, -12]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[24304, -9488]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [118, -47], [6, -1], [0, 0]], [[0, 0], [481/2, -207/2], [4, -6], [-3/2, -3/2]], [[0, 0], [-293/2, 15/2], [-24, -12], [-21/2, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-350, 135], [16, -5], [0, 0]], [[0, 0], [-13445, 5630], [306, -408], [-1, -2]], [[0, 0], [1681/2, 1989/2], [-952, -629], [-17/2, -11/2]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[751744, -293472]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5100, -1989], [164, -63], [0, 0]], [[0, 0], [-473518, 184802], [-15152, 5887], [2, -1]], [[0, 0], [157840, -61601], [5052, -1963], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1644, 633], [-20, 3], [0, 0]], [[0, 0], [4870, 2971], [2596, 1646], [10, -1]], [[0, 0], [9004, 6214], [5104, 3318], [-16, 12]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[112, -52]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3348, 1306], [-48, 19], [0, 0]], [[0, 0], [-6, 0], [-1, 0], [1, 0]], [[0, 0], [35532, -13843], [504, -204], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [828, 193], [-8, 4], [0, 0]], [[0, 0], [-44901202/13, -33996641/13], [-222623/13, -672/13], [7/13, 1/13]], [[0, 0], [-1673612118/13, -1670246648/13], [-19546749/13, 3681234/13], [549/13, -46/13]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94, 35], [-26, 8], [0, 0]], [[0, 0], [1991/2, -749/2], [1047/4, -403/4], [29/4, 3/4]], [[0, 0], [-2145/2, -3017/2], [107/4, -803/4], [-1887/4, -1221/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [118, 13], [18, -5], [0, 0]], [[0, 0], [-569194, -266016], [-40839, -720], [3, 0]], [[0, 0], [-1667119/26, 6369209/26], [-3347403/52, 1697123/52], [255/52, -127/52]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[32, -12]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -16], [0, 1], [0, 0]], [[0, 0], [-3897/2, 1471/2], [209/4, -49/4], [23/4, 5/4]], [[0, 0], [-36123/2, 12663/2], [2503/4, -47/4], [473/4, 215/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, -12], [-18, 5], [0, 0]], [[0, 0], [997508/13, 514602/13], [105432/13, 4047/13], [-32/13, 1/13]], [[0, 0], [7630907/26, 38509103/26], [-29315571/52, 15593775/52], [10267/52, -5063/52]]], 1, 6, [], [] >,
< [ -4, -1, 1 ], [[96, -36]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [28, -11], [0, 0]], [[0, 0], [-97/13, -317/26], [-31/2, 19/2], [19/78, -2/39]], [[0, 0], [-1128/13, -1343/26], [29, 8], [5/39, 5/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, -23], [56, -22], [0, 0]], [[0, 0], [-1419/13, 492/13], [-441/26, -297/26], [5/78, -5/78]], [[0, 0], [-10005/13, 7461/26], [-1217/26, -887/26], [49/78, -14/39]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[96, -36]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -5], [-20, 8], [0, 0]], [[0, 0], [-16/13, 485/26], [73/2, -13/2], [1/26, -1/39]], [[0, 0], [-12, -9], [-8, -3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-134, 59], [-20, 9], [0, 0]], [[0, 0], [87292/13, -56499/26], [13353/13, -4078/13], [1/39, 5/78]], [[0, 0], [-836020/13, 322243/13], [-251293/26, 96493/26], [11/26, -17/78]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[48, -32]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4082/59, 1183/59], [338/59, 1/59], [0, 0]], [[0, 0], [-23678246/59, -12562648/59], [-877393/59, -615355/59], [2, 0]], [[0, 0], [257743749551/3127, 266783143081/3127], [333707681/59, 174229613/59], [27490425/40651, -20821721/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2404/59, 248/59], [998/59, 4/59], [0, 0]], [[0, 0], [3655341447/6254, 117031/6254], [474/59, 317/59], [1126407/81302, 5/81302]], [[0, 0], [39102154127517/6254, -30716619136631/6254], [-5584356/59, -3255627/59], [12050517705/81302, -9465511201/81302]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[48, -32]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-247/59, 528/59], [370/59, -1/59], [0, 0]], [[0, 0], [59024034/3127, 65426/3127], [638/59, 410/59], [499344/40651, 2/40651]], [[0, 0], [-22145741060/3127, 15650697877/3127], [194934/59, 123701/59], [-187938437/40651, 132466351/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144/59, 599/59], [-166/59, 3/59], [0, 0]], [[0, 0], [-4012139037/6254, -292885/6254], [-1125075/59, -752/59], [-1126407/81302, -5/81302]], [[0, 0], [-166459258527/6254, 151791348037/6254], [-46576757/59, 42562532/59], [-46745081/81302, 42615665/81302]]], 0, 288, [], [] >,
< [ -4, -1, 1 ], [[12736, -4972]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1582/59, 239/59], [-488/59, 1/59], [0, 0]], [[27338, 5/2], [-332049397/6254, -7335629/6254], [80779/59, -22037/59], [63715/81302, 2/40651]], [[2063980, -49935], [-25015675995/6254, 68359625/6254], [6260371/59, -1771486/59], [4810405/81302, -116515/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-376/59, -242/59], [-86/59, -2/59], [0, 0]], [[17442, 1/2], [4810121/118, 12521/118], [37391/59, 2195/59], [1/2, 0]], [[554112, -49136], [4045817522/3127, -349591241/3127], [1163138/59, -41817/59], [645724/40651, -57276/40651]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[12736, -4972]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-734/59, 9/59], [-166/59, 3/59], [0, 0]], [[-79788, -1], [1031232105/6254, -434193/6254], [-58140/59, -570/59], [-185957/81302, 3/81302]], [[364212406, -67925197/2], [-4708079843647/6254, 440805401405/6254], [264425280/59, -22391652/59], [848856603/81302, -39588305/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2710/59, -221/59], [982/59, 5/59], [0, 0]], [[-82262, -3/2], [-1893165935/6254, 351860399/6254], [-2200816/59, 1106567/59], [-191723/81302, 1/40651]], [[-1771700318, 317279377/2], [-737095508715/106, 178831838653/106], [-948091824, 439715646], [-4129235713/81302, 184919782/40651]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[64, -28]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1832/59, -366/59], [-694/59, -3/59], [0, 0]], [[0, 0], [348118424/3127, 788331637/6254], [3227555/59, 1859048/59], [-209163/40651, -5/81302]], [[0, 0], [17310142317538/3127, -4043421955235/3127], [-2319969346/59, 16877033228/59], [11074910748/40651, -4741647416/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [106146/59, 3206/59], [370/59, 5/59], [0, 0]], [[0, 0], [-10212332956/767, -6287310004/767], [-2618099/59, -1617735/59], [-5/13, 0]], [[0, 0], [-414228862593016/40651, -1141263599099337/81302], [-2141479428/59, -2714311931/59], [213639450/40651, -14094047/6254]]], 1, 72, [], [] >,
< [ -4, -1, 1 ], [[64, -28]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [494992/53, 5/106], [6, 0], [-98744/40651, -1/81302]], [[0, 0], [182948938736/3127, -78452649846/3127], [2217618/59, -950963/59], [-618572216/40651, 265257782/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140010/59, 130/59], [458/59, 3/59], [0, 0]], [[0, 0], [599028045975/40651, 392852145939/81302], [2859156/59, 953740/59], [-11188/40651, -1/81302]], [[0, 0], [-15023738447718272/40651, 16579289652207559/81302], [-70115818920/59, 39036051880/59], [641153920/40651, -549825617/81302]]], 1, 72, [], [] >,
< [ -4, -1, 1 ], [[400, -128]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-594/59, 605/59], [38/59, 5/59], [0, 0]], [[0, 0], [-34571761/3127, -293676/3127], [-462/59, -303/59], [21401/3127, 1/3127]], [[0, 0], [-20129778990/3127, 6779967701/3127], [-30435/59, -25920/59], [12605180/3127, -4267452/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-122/59, -103/59], [156/59, 5/59], [0, 0]], [[0, 0], [-128064463/6254, 1130599/6254], [-27502/59, 4750/59], [-27655/6254, -1/6254]], [[0, 0], [-428528700766/3127, 131654059085/3127], [-220389334/59, 77305113/59], [-91550888/3127, 27865604/3127]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[400, -128]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1213/59, 540/59], [778/59, 3/59], [0, 0]], [[0, 0], [-5460066/3127, 29664645/3127], [190588/59, 192125/59], [-31957/3127, -5/3127]], [[0, 0], [12519486046/3127, -7318342111/3127], [8610274/59, -26892889/59], [10248330/3127, -2898930/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1556/59, 242/59], [322/59, 2/59], [0, 0]], [[0, 0], [145126223/3127, -14645546/3127], [358584/59, -92533/59], [15147/3127, 1/3127]], [[0, 0], [-367849053013/6254, 123898976177/6254], [-532952223/59, 196929033/59], [-34130727/6254, 10550151/6254]]], 0, 4032, [], [] >,
< [ -4, -1, 1 ], [[77984, -30444]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2002/59, -575/59], [864/59, 5/59], [0, 0]], [[-2846, 3/2], [24332787/3127, -8071713/3127], [107632/59, -50741/59], [3371/3127, -1/6254]], [[488416, -553417/2], [-14617570663/6254, 5927913453/6254], [-38174911/59, 14226653/59], [-1156035/6254, 327658/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3654/59, -251/59], [-1100/59, -5/59], [0, 0]], [[-2434, 1/2], [5955017/3127, 319509/3127], [808/59, 1985/59], [2883/3127, 1/6254]], [[-548386, 308841], [2357838515/6254, -1448142181/6254], [-825357/59, 92682/59], [1297985/6254, -731411/6254]]], 1, 672, [], [] >,
< [ -4, -1, 1 ], [[77984, -30444]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [800/59, -581/59], [70/59, 3/59], [0, 0]], [[8622, -2], [-25858163/6254, 812817/6254], [-300/59, 1125/59], [-20425/6254, -3/6254]], [[-235522, 298365/2], [381091119/3127, -227739552/3127], [86040/59, -16440/59], [278701/3127, -353327/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [682/59, -109/59], [70/59, 3/59], [0, 0]], [[5486, -5/2], [-18445282/3127, -678375/3127], [-13472/59, -4704/59], [-6498/3127, 1/6254]], [[11190924, -12352555/2], [-69070006895/6254, 40279031513/6254], [-6278272/59, 10869376/59], [-26488459/6254, 7313367/3127]]], 1, 672, [], [] >,
< [ -4, -1, 1 ], [[160, -44]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5078/59, 515/59], [-886/59, -4/59], [0, 0]], [[0, 0], [146542118/3127, 133189473/6254], [583759/59, 313696/59], [11675/3127, 3/6254]], [[0, 0], [135509034066/3127, 12138553861/6254], [423069168/59, 92810626/59], [23586100/3127, -14072075/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [216358/59, 1318/59], [724/59, 5/59], [0, 0]], [[0, 0], [-13487482932/40651, -38930207/81302], [61265/59, -203/59], [-77829/40651, -5/81302]], [[0, 0], [12720218941856/40651, -7432041687329/81302], [-58102096/59, 17074237/59], [73522988/40651, -43033083/81302]]], 1, 1008, [], [] >,
< [ -4, -1, 1 ], [[160, -44]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-57427048/3127, -3267/6254], [-502/59, -2/59], [-23696/3127, -1/6254]], [[0, 0], [-576201628054/3127, 339947962837/6254], [-5013370/59, 1471785/59], [-237758906/3127, 140274463/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23424/59, 55/59], [-74/59, -1/59], [0, 0]], [[0, 0], [18835264508/40651, 6094507399/81302], [39456/59, 14808/59], [23696/40651, 1/81302]], [[0, 0], [69443774459931/40651, -15385265551186/40651], [100415784/59, -5142690/59], [107864352/40651, -31679730/40651]]], 1, 1008, [], [] >,
< [ -4, -1, 1 ], [[288, -108]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 5], [-8, 2], [0, 0]], [[0, 0], [2231/13, -2147/26], [317/2, -81/2], [-59/26, -2/13]], [[0, 0], [19395/13, 4906/13], [-1727/2, -1959/2], [1517/26, 1073/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -5], [0, -1], [0, 0]], [[0, 0], [6613/13, -5087/26], [-35/26, -5/26], [1/26, 0]], [[0, 0], [110, -43], [0, 0], [0, 0]]], 1, 480, [], [] >,
< [ -4, -1, 1 ], [[288, -108]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -6], [20, -7], [0, 0]], [[0, 0], [-7888/13, 2624/13], [-1119/2, 421/2], [-27/26, 5/26]], [[0, 0], [2302/13, 9285/26], [-134, 149], [28/13, 45/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-274, 117], [-44, 19], [0, 0]], [[0, 0], [345032/13, -263739/26], [55642/13, -21264/13], [0, 5/26]], [[0, 0], [-131874/13, 53310/13], [-3271/2, 1323/2], [5/26, 1/26]]], 1, 480, [], [] >,
< [ -4, -1, 1 ], [[3072, -1280]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-160, -12], [-64, -16], [0, 0]], [[0, 0], [-3928, -2170], [-1932, -1194], [-28, -8]], [[0, 0], [-10612, -1058], [-3350, -1428], [-186, 46]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -24], [-432, 164], [0, 0]], [[0, 0], [316, -110], [-2094, 888], [14, 6]], [[0, 0], [0, -112], [-1348, -64], [-92, -60]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [334, -132], [-34, 12], [0, 0]], [[4, 0], [-19294, 7514], [1857, -733], [-1, 1]], [[-555, -711/2], [11561/2, 8705/2], [11563/4, 7153/4], [-867/4, -555/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1568, -612], [52, -20], [0, 0]], [[5, 4], [-35521/2, 13909/2], [-2203/4, 1015/4], [11/4, 5/4]], [[950, 1217/2], [424, 3303], [6113, 4015], [371, 475/2]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [356, -138], [8, -2], [0, 0]], [[1, 3/2], [-63393/2, 24759/2], [-2377/4, 965/4], [5/4, 1/4]], [[-555, -711/2], [2987/2, -4565/2], [-10713/4, -7107/4], [-867/4, -555/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-618, 240], [-14, 4], [0, 0]], [[5, 4], [3157/2, -1209/2], [105/4, -61/4], [11/4, 5/4]], [[-7, -9/2], [-45/2, -29/2], [-17/4, -11/4], [-11/4, -7/4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[384, -128]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [234, -102], [22, 2], [0, 0]], [[0, 0], [544, 414], [-609, -393], [23, 1]], [[0, 0], [-3285, 1545], [-189/2, -455/2], [1489/2, -573/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [270, -50], [26, 10], [0, 0]], [[0, 0], [-8699, -5771], [-6505/2, -4175/2], [41/2, 3/2]], [[0, 0], [-37476, 8384], [-2947, -1137], [-1815, 715]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[384, -128]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 68], [20, 8], [0, 0]], [[0, 0], [-4687, 7451], [4225/2, 1603/2], [-37/2, 1/2]], [[0, 0], [62059, -210681], [-130287/2, -57017/2], [1007/2, 53/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 24], [-4, -4], [0, 0]], [[0, 0], [-522, 220], [-124, -90], [-6, 2]], [[0, 0], [1057, -499], [1377/2, 927/2], [27/2, -7/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[2048, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [812, -308], [-4, 8], [0, 0]], [[0, 0], [-9674, 3636], [117, -43], [-29, -3]], [[0, 0], [-1996, 4272], [4, -64], [336, 224]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [936, -416], [-8, 20], [0, 0]], [[0, 0], [-350, -262], [139, 85], [5, -1]], [[0, 0], [-11640, -7442], [4058, 2600], [26, 18]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[2048, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-256, 100], [-72, 16], [0, 0]], [[0, 0], [28, -10], [6, -4], [-6, 2]], [[0, 0], [-106, -68], [89, 57], [39, 25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 28], [-48, 24], [0, 0]], [[0, 0], [-52, 2], [22, -28], [-14, 2]], [[0, 0], [1978, 1314], [2207, 1357], [369, 251]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[2048, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 12], [0, 4], [0, 0]], [[0, 0], [166, -72], [-1, 11], [-3, -5]], [[0, 0], [524, -120], [-150, -66], [78, 42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -12], [256, -100], [0, 0]], [[0, 0], [-26, -26], [-45, -31], [-7, -5]], [[0, 0], [-56, -42], [-76, -50], [-12, -8]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[2048, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [240, -96], [104, -36], [0, 0]], [[0, 0], [-494, 134], [-39, 131], [-13, 1]], [[0, 0], [-576, -974], [2492, 1386], [-68, -56]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144, -64], [40, -20], [0, 0]], [[0, 0], [-322, 140], [-25, 27], [-11, 3]], [[0, 0], [360, 72], [252, 140], [-12, -12]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, 50], [-98, 38], [0, 0]], [[0, 0], [-323, 201], [-653/2, 333/2], [69/2, -1/2]], [[0, 0], [-81/2, -51/2], [-81/4, -51/4], [-27/4, -17/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [250, -98], [-26, 10], [0, 0]], [[0, 0], [125/2, -85/2], [-83/4, -1/4], [-17/4, -3/4]], [[0, 0], [1209/2, 663/2], [981/4, 663/4], [287/4, 189/4]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -2], [48, -18], [0, 0]], [[0, 0], [-9823/2, 4423/2], [-24753/4, 9685/4], [73/4, -5/4]], [[0, 0], [157663/2, -107835/2], [481173/4, -189553/4], [-2773/4, -767/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [796, -310], [48, -18], [0, 0]], [[0, 0], [35, 7], [15/2, 9/2], [-11/2, -1/2]], [[0, 0], [-2511/2, -1613/2], [-1797/4, -1151/4], [645/4, 415/4]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[2048, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-184, 72], [-8, 4], [0, 0]], [[0, 0], [-408, 180], [514, 354], [2, -2]], [[0, 0], [-3702, 1500], [1207, 991], [25, -13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8808, -3436], [8, -4], [0, 0]], [[0, 0], [21966, -8514], [61, -1], [-29, -3]], [[0, 0], [-34452, -20934], [-12380, -7926], [7784, 4984]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[864, -328]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 16], [-1112, 434], [0, 0]], [[0, 0], [260, -102], [4150, -1619], [2, -1]], [[0, 0], [-100, 39], [-1624, 634], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, 49], [-40, 10], [0, 0]], [[0, 0], [-1276, -950], [-3238, -2039], [-18, 7]], [[0, 0], [144, 92], [328, 210], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[1280, -448]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2224, 868], [11056, -4316], [0, 0]], [[0, 0], [-1179112, 460328], [5858272, -2287022], [8, 0]], [[0, 0], [2167972, -846312], [-10771054, 4204842], [-2, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10376, -4028], [64, 4], [0, 0]], [[0, 0], [-593544, -378260], [-756624, -484512], [8, 10]], [[0, 0], [-20325324, -12297872], [-25104342, -16068288], [-1426, 992]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[1280, -448]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7480, -2920], [912, -356], [0, 0]], [[0, 0], [-214972, 83948], [-26658, 10348], [10, 8]], [[0, 0], [3148660, -1229218], [389618, -152060], [14, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3288, 1236], [-48, -8], [0, 0]], [[0, 0], [169844, 109098], [95598, 61200], [2, -6]], [[0, 0], [1230308, 795152], [695426, 444908], [118, -84]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[19071232, -7445184]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64992, 25478], [8, 12], [0, 0]], [[0, 0], [-6392088, 2495935], [-596, 302], [-12, -3]], [[0, 0], [633864, 403224], [79852, 51136], [-10300, -6596]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9132, -3606], [-20, 16], [0, 0]], [[0, 0], [-150988, 56059], [1020, 182], [0, 1]], [[0, 0], [-95188, -60898], [19020, 12180], [0, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[19071232, -7445184]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62560, -24416], [16, -4], [0, 0]], [[0, 0], [-3392296, 1324323], [-732, 302], [-4, 5]], [[0, 0], [25524, 15707], [41372, 26494], [8968, 5743]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9664, -3904], [16, 20], [0, 0]], [[0, 0], [891440, -347563], [-984, 290], [-16, 1]], [[0, 0], [-4105652, -2641314], [871796, 558300], [48664, 31164]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[19071232, -7445184]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30152, -11774], [-64, 24], [0, 0]], [[0, 0], [39888, -15514], [-100, 52], [-20, 2]], [[0, 0], [-1560, -999], [-1040, -666], [-520, -333]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7036, 2736], [108, -40], [0, 0]], [[0, 0], [338512, -132297], [-5176, 2034], [-8, -3]], [[0, 0], [2894504, 1857180], [-264504, -169440], [121848, 78030]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[27855104, -10874304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -24], [-60176, 23492], [0, 0]], [[0, 0], [302, -126], [-199472, 77872], [-10, 4]], [[0, 0], [-144, 11], [64584, -25210], [4, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [220, -86], [-182608, 71288], [0, 0]], [[0, 0], [-24998, 9731], [20754864, -8102430], [10, -1]], [[0, 0], [-812664, 316956], [675214208, -263595404], [264, -72]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[-208, 80]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 1], [-84, 32], [0, 0]], [[0, 0], [-1, 0], [0, 0], [1, 0]], [[0, 0], [234, -26], [-1710, 660], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -18], [44, -16], [0, 0]], [[0, 0], [254, 1351], [13434, -5304], [-4, -1]], [[0, 0], [2107/2, 2503/2], [6483, -2599], [-7/2, -3/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[-208, 80]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 12], [-5, 3], [0, 0]], [[0, 0], [-1, 0], [0, 0], [1, 0]], [[0, 0], [102, -42], [20, -10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 22], [-60, 22], [0, 0]], [[0, 0], [37/2, -23/2], [6152, -2402], [-3/2, -3/2]], [[0, 0], [-13/2, 17/2], [-3318, 1296], [7/2, 5/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[9344, -3648]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 18], [10, -4], [0, 0]], [[0, 0], [16, -20], [0, 0], [14, -6]], [[0, 0], [-416, -99], [0, 0], [-90, 25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3882, 1518], [-6, 4], [0, 0]], [[0, 0], [-3, 2], [0, 0], [1, 0]], [[0, 0], [3694, -1450], [2, -6], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[9344, -3648]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 8], [-6, 10], [0, 0]], [[0, 0], [12, -1], [-2, 6], [20, -7]], [[0, 0], [64, 5], [12, 38], [86, -27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1882, -734], [6, -2], [0, 0]], [[0, 0], [1, 2], [0, 0], [1, 0]], [[0, 0], [5330, -2086], [14, -8], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[144, -56]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 1], [-6, -1], [0, 0]], [[0, 0], [-458, 375/2], [-158, 71], [2, -1/2]], [[0, 0], [4941/2, -998], [861, -372], [-21/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 25], [-6, 3], [0, 0]], [[0, 0], [5117/2, -1959/2], [237, -109], [-3/2, 1/2]], [[0, 0], [1335/2, -220], [29, -46], [-1/2, 0]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[144, -56]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -6], [20, -6], [0, 0]], [[0, 0], [-289/2, 151/2], [-166, 65], [3/2, 5/2]], [[0, 0], [7993/2, -1750], [4260, -1665], [17/2, -34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 2], [10, -2], [0, 0]], [[0, 0], [723/2, -139], [-620, 265], [5/2, 2]], [[0, 0], [-38862, 15167], [69390, -27135], [36, -20]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[6496, -2536]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1110, 436], [-2, -2], [0, 0]], [[0, 0], [-63930, 49931/2], [32, -18], [2, 1/2]], [[0, 0], [5783, -4893/2], [124, 83], [-29, -37/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, 24], [-2, -2], [0, 0]], [[0, 0], [7132, -5569/2], [-52, 22], [0, 1/2]], [[0, 0], [599, -230], [-40, -21], [-11, -7]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[6496, -2536]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [150, -58], [10, -4], [0, 0]], [[0, 0], [-2225, 858], [-156, 63], [3, -1]], [[0, 0], [-487, -645/2], [98, 62], [7, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-654, 258], [-18, 4], [0, 0]], [[0, 0], [87141, -68925/2], [2494, -473], [5, -5/2]], [[0, 0], [8395, 16583/2], [-12728, -8084], [13, 17/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7608, -2970], [82, -32], [0, 0]], [[0, 0], [-2159/2, 827/2], [-13, 1], [-13/2, 1/2]], [[0, 0], [193685/2, 124123/2], [49827, 31909], [49827/2, 31909/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [272, -106], [-10, 4], [0, 0]], [[0, 0], [15793/2, -6169/2], [-7, -1], [-7/2, -1/2]], [[0, 0], [-6587/2, -3925/2], [-6535, -4185], [-6535/2, -4185/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6256, 2442], [10, -4], [0, 0]], [[0, 0], [165/2, -169/2], [0, 0], [-31/2, -5/2]], [[0, 0], [239/2, 153/2], [0, 0], [39/2, 25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3406, -1326], [-2, 2], [0, 0]], [[0, 0], [4406, -1700], [-4, 0], [16, 2]], [[0, 0], [11985/2, 7859/2], [-484, -310], [5023/2, 3217/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-774, 298], [-34, 12], [0, 0]], [[0, 0], [370869/2, -145481/2], [31125/4, -12593/4], [-25/4, -3/4]], [[0, 0], [1248513/2, 557667/2], [662073/4, 403443/4], [18515/4, 11865/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [580, -184], [-40, 14], [0, 0]], [[0, 0], [7686, 58], [-334, -4], [-8, 0]], [[0, 0], [8313/26, -2445/26], [-731/52, 215/52], [-17/52, 5/52]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-800, 316], [28, -10], [0, 0]], [[0, 0], [282795/2, -110223/2], [-18999/4, 7507/4], [-9/4, 5/4]], [[0, 0], [18451/2, 12113/2], [9549/4, 6095/4], [139/4, 89/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [446, -242], [-46, 18], [0, 0]], [[0, 0], [1303917/26, 842135/26], [-3733/52, 321/52], [-163/52, -1/52]], [[0, 0], [8843477/26, 4718791/26], [341559/52, -140211/52], [12905/52, -5429/52]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[768, -320]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [83168, -32468], [32, -12], [0, 0]], [[0, 0], [700574, -273482], [235, -117], [1, -1]], [[0, 0], [-6433978, 2511706], [-2307, 979], [-13, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-996, 208], [-28, 6], [0, 0]], [[0, 0], [-602246/13, -90054/13], [-17457/13, -2349/13], [33/13, 1/13]], [[0, 0], [54085604/13, -9683152/13], [1596858/13, -301230/13], [-3402/13, 840/13]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [894, -348], [34, -12], [0, 0]], [[0, 0], [-6047/2, 2419/2], [-311/4, 259/4], [3/4, 1/4]], [[0, 0], [580, -16], [272, 160], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [258, -166], [-130, 50], [0, 0]], [[0, 0], [1052731/26, 746533/26], [73071/52, -979/52], [45/52, -1/52]], [[0, 0], [-4211958/13, -100692/13], [811508/13, -337566/13], [506/13, -210/13]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-192, 74], [-100, 38], [0, 0]], [[0, 0], [-14127/2, 5555/2], [-14889/4, 5805/4], [-31/4, -5/4]], [[0, 0], [-15915/2, -10889/2], [3775/4, 1685/4], [7089/4, 4539/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [174, -32], [-34, 12], [0, 0]], [[0, 0], [71793/26, 62011/26], [-28649/52, 3165/52], [-399/52, -5/52]], [[0, 0], [716410/13, -75310/13], [338902/13, -141404/13], [3872/13, -1694/13]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[768, -320]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19756, 7716], [-44, 16], [0, 0]], [[0, 0], [25810, -10060], [55, -25], [1, -1]], [[0, 0], [-27086, 10578], [-61, 23], [-3, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [852, 310], [20, 6], [0, 0]], [[0, 0], [-513330/13, -103790/13], [-12399/13, -1515/13], [-9/13, -5/13]], [[0, 0], [-6736, 2492], [-192, 72], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -14], [-18, -10], [0, 0]], [[0, 0], [899/2, -415/2], [465/4, -45/4], [47/4, 5/4]], [[0, 0], [19320, -7410], [3184, -1384], [220, -110]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-196, -20], [0, 4], [0, 0]], [[0, 0], [-592193/26, 812401/26], [-122731/52, -1777/52], [267/52, 1/52]], [[0, 0], [198635/13, -74903/13], [12463/26, -5091/26], [-27/26, 11/26]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[16, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 18], [20, 8], [0, 0]], [[0, 0], [-354, 30], [-206, 26], [-4, 0]], [[0, 0], [-18523/2, 7319/2], [-22815/4, 8995/4], [-365/4, 145/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -18], [24, 4], [0, 0]], [[0, 0], [17229/13, -14357/13], [3599/26, -34883/26], [-319/26, -1/26]], [[0, 0], [3010661/26, -1216233/26], [4296069/52, -1856417/52], [-25097/52, 9125/52]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[768, -320]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [500, -214], [-4, 8], [0, 0]], [[0, 0], [-2642, 1012], [57, -13], [-1, -1]], [[0, 0], [-7092, 2770], [132, -52], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [564, 392], [20, 8], [0, 0]], [[0, 0], [352834/13, 639342/13], [61441/13, 19/13], [-165/13, -5/13]], [[0, 0], [2304416/13, -2667346/13], [-435340/13, 115344/13], [1132/13, -284/13]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[16, -8]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -8], [42, -16], [0, 0]], [[0, 0], [33, -2], [49/2, -5/2], [11/2, 1/2]], [[0, 0], [15/2, 9/2], [15/4, 9/4], [5/4, 3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [382, -137], [-114, 44], [0, 0]], [[0, 0], [-229241/26, -156453/26], [36627/52, 6369/52], [-135/52, 3/52]], [[0, 0], [-430639/2, -292529/2], [66341/4, 12811/4], [-241/4, 1/4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[16, -8]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -25], [46, -18], [0, 0]], [[0, 0], [-91/2, -5/2], [-69/4, 21/4], [13/4, 3/4]], [[0, 0], [2250, 1452], [158, 108], [-224, -144]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [272, -6], [-4, 2], [0, 0]], [[0, 0], [-153417/26, -160753/26], [-5315/52, -633/52], [163/52, 1/52]], [[0, 0], [49499897/26, 54966779/26], [1885095/52, 175833/52], [-58447/52, 1055/52]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[96, -8]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3576, -1375], [-28, 4], [0, 0]], [[0, 0], [-6, 0], [-1, 0], [1, 0]], [[0, 0], [101092, -39301], [-656, 202], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2644, -98], [20, -2], [0, 0]], [[0, 0], [40941062/13, 3095273/13], [300695/13, 1336/13], [-15/13, -4/13]], [[0, 0], [11797292596/13, -4381125571/13], [97117560/13, -36517116/13], [-2920/13, 1024/13]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-48, 48]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 16], [-16, 16], [0, 0]], [[0, 0], [235/13, 528/13], [-225/2, -75/2], [43/26, 5/78]], [[0, 0], [91384/13, 9923/13], [-1498, -5406], [-2870/39, 3157/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, 40], [20, 16], [0, 0]], [[0, 0], [1021635/13, -386760/13], [118999/26, -10107/26], [1/6, 5/78]], [[0, 0], [-427206430/13, 166813779/13], [-17657297/13, 6949537/13], [-667/39, 92/13]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-48, 48]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 14], [16, -20], [0, 0]], [[0, 0], [9430/13, -3743/13], [-1487/2, 243/2], [-19/26, -1/78]], [[0, 0], [-38554/13, 14592/13], [1107, -1691], [-5/13, -27/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [142, 32], [8, 8], [0, 0]], [[0, 0], [-126756/13, 84661/13], [24571/26, -791/26], [3/26, 1/78]], [[0, 0], [1748936, -8785925/13], [-2235173/26, 895105/26], [-213/26, 87/26]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[368, -176]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1512/59, -112/59], [-150/59, 2/59], [0, 0]], [[0, 0], [-686971345/3127, 19039/3127], [193504/59, -1946/59], [127719/40651, 1/40651]], [[0, 0], [413166605415/6254, -201803527635/6254], [-59329888/59, 28720224/59], [-76808971/81302, 37517119/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-266/59, 378/59], [-364/59, 8/59], [0, 0]], [[0, 0], [-307551740/3127, -6982350/3127], [-407030/59, -44424/59], [-418042/40651, -2/40651]], [[0, 0], [2153681774591/6254, -1137286369559/6254], [1159243262/59, -689823180/59], [3070835255/81302, -1579711379/81302]]], 0, 4608, [], [] >,
< [ -4, -1, 1 ], [[368, -176]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2308/59, -336/59], [966/59, 6/59], [0, 0]], [[0, 0], [-11804058001/6254, 262754349/6254], [-2860863/59, 826871/59], [1916363/81302, 1/81302]], [[0, 0], [181546076824075/6254, -88428739735187/6254], [66366444981/59, -27080169843/59], [-28223431621/81302, 14040497273/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5848/59, -372/59], [-1438/59, -6/59], [0, 0]], [[0, 0], [-6374413061/6254, 825184341/6254], [-13391649/59, 2585491/59], [-1451615/81302, -5/81302]], [[0, 0], [-29070815063809/3127, 13015319249903/3127], [-134457264590/59, 57785296104/59], [-5262358301/40651, 2622118749/40651]]], 0, 4608, [], [] >,
< [ -4, -1, 1 ], [[432, -176]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-106, 10], [-20, 0], [0, 0]], [[0, 0], [-344850772/3127, -149212142/3127], [-1077821/59, -703847/59], [-75535/40651, -1/40651]], [[0, 0], [2150181787970/3127, -1055483726383/3127], [-1279407763/59, -356674019/59], [1571850225/40651, -636080950/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-226090/59, -1070/59], [-738/59, -2/59], [0, 0]], [[0, 0], [-870336979678/40651, 67672965938/40651], [-4121397/59, 328173/59], [-4793/40651, 3/40651]], [[0, 0], [-12509582817642080/40651, 5007898523626737/40651], [-59397228143/59, 23773087205/59], [-61256943/40651, 24767428/40651]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[432, -176]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1819/59, 255/59], [558/59, -10/59], [0, 0]], [[0, 0], [325244924/3127, 387155718/3127], [691092/59, 1812580/59], [-11534/40651, 2/40651]], [[0, 0], [-258560307411/3127, 85029356338/3127], [-1924651344/59, 686922670/59], [-167916/689, 67913/689]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47210/59, 1140/59], [558/59, -10/59], [0, 0]], [[0, 0], [-26836160229/40651, 34502637465/40651], [483600/59, -592924/59], [5280/40651, -2/40651]], [[0, 0], [-122472526001698/40651, 46539659616901/40651], [2137908988/59, -813215866/59], [7829870/40651, -3165725/40651]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[2512, -912]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46636/59, 68/59], [837/59, 3/59], [0, 0]], [[0, 0], [-1317787607/3127, 694860649/3127], [464619/59, -234473/59], [-38211/3127, -5/3127]], [[0, 0], [16669115825419/3127, -6617508267803/3127], [-5768675245/59, 2284417481/59], [275555453/3127, -98468553/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-634/59, -602/59], [64/59, -4/59], [0, 0]], [[0, 0], [231456307/6254, 242537/6254], [-22504/59, -1396/59], [-45441/6254, -3/6254]], [[0, 0], [95822973291/6254, -34229560059/6254], [-8503274/59, 2962380/59], [-18839029/6254, 6732057/6254]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[2512, -912]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-701/59, 313/59], [-922/59, 6/59], [0, 0]], [[0, 0], [260616217/3127, -85906231/3127], [4111274/59, -524232/59], [63227/3127, 5/3127]], [[0, 0], [7551935722213/3127, -2921674875743/3127], [95744416680/59, -35568057766/59], [1245381522/3127, -444848950/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-738/59, -94/59], [108/59, 8/59], [0, 0]], [[0, 0], [-255648077/3127, 151583/3127], [-37120/59, -158/59], [47393/3127, -1/3127]], [[0, 0], [133446914277/6254, -47604595669/6254], [9621249/59, -3425883/59], [-24718725/6254, 8816025/6254]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[976, -336]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1650/59, -1424/59], [-502/59, -2/59], [0, 0]], [[0, 0], [714911060/3127, 466025332/3127], [3477429/59, 2197331/59], [10073/3127, -5/3127]], [[0, 0], [-24586587416/3127, -20984759123/3127], [-159874747/59, -83495319/59], [-4156057/3127, 1461278/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25376/59, 1794/59], [90/59, 6/59], [0, 0]], [[0, 0], [-57400304458/40651, -12368167/40651], [123998/59, 156/59], [115212/40651, -1/40651]], [[0, 0], [-1508305352501322/40651, 531239958760723/40651], [3253502245/59, -1145400607/59], [3028377231/40651, -1066727046/40651]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[976, -336]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3298/59, 378/59], [-618/59, 6/59], [0, 0]], [[0, 0], [-103220110/3127, -59971881/3127], [-399284/59, -283206/59], [-10842/3127, -3/3127]], [[0, 0], [-8122281599/3127, -1082674795/3127], [-136052/59, -18573428/59], [-4698826/3127, 1654686/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12459/59, 727/59], [86/59, -10/59], [0, 0]], [[0, 0], [36212347330/40651, -894740295/40651], [-353982/59, -4648/59], [-277816/40651, 1/40651]], [[0, 0], [-157107019061858/40651, 55875834868305/40651], [1456675332/59, -509807222/59], [1164785066/40651, -410025571/40651]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[-144, 144]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -6], [-8, 12], [0, 0]], [[0, 0], [2425/13, -776/13], [47/2, 261/2], [67/26, 3/26]], [[0, 0], [40081/13, -17664/13], [-7379/2, -425/2], [385/26, -495/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 44], [-20, 16], [0, 0]], [[0, 0], [233312/13, 113999/13], [64971/13, 6325/13], [-1/13, -2/13]], [[0, 0], [2361079/13, -792209/13], [4493257/26, -1714085/26], [13/2, -69/26]]], 0, 7680, [], [] >,
< [ -4, -1, 1 ], [[-144, 144]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, -26], [-20, 0], [0, 0]], [[0, 0], [25690/13, -9773/13], [-1237/2, 81/2], [-57/26, -1/26]], [[0, 0], [-45402/13, 19309/13], [-426, -1078], [-38/13, -57/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-160, -4], [-12, 0], [0, 0]], [[0, 0], [-100070/13, -6348/13], [-14791/26, -605/26], [-7/26, 3/26]], [[0, 0], [-952832/13, 122303/13], [-143155/26, 20815/26], [-7/2, 37/26]]], 0, 7680, [], [] >,
< [ -4, -1, 1 ], [[464, -144]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 76], [56, 8], [0, 0]], [[0, 0], [-334, -438], [-450, -34], [40, 0]], [[0, 0], [6017/2, 1723/2], [-1771/4, 3695/4], [255/4, -323/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, 30], [6, 10], [0, 0]], [[0, 0], [40235/2, -45607/2], [-23609/4, 357/4], [149/4, -1/4]], [[0, 0], [-7465158, 993350], [331192, -413896], [-2002, 2618]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[464, -144]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 44], [32, 0], [0, 0]], [[0, 0], [1209/2, 163/2], [2111/4, -723/4], [-87/4, -5/4]], [[0, 0], [803, 1393], [-2629/2, 1297/2], [-31/2, -93/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 6], [-22, 6], [0, 0]], [[0, 0], [-1248, -836], [-387, -429], [-35, -1]], [[0, 0], [-106869/2, -65527/2], [-119019/4, -47569/4], [979/4, -2759/4]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[448, -208]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [188, -73], [-912, 356], [0, 0]], [[0, 0], [-3876, 1512], [20882, -8144], [6, -4]], [[0, 0], [-12980, 5056], [69942, -27226], [10, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-200, 100], [88, 10], [0, 0]], [[0, 0], [-40572, -27227], [-84736, -53986], [0, 10]], [[0, 0], [-76140, -43948], [-143454, -92940], [54, -4]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[448, -208]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [728, -284], [6184, -2414], [0, 0]], [[0, 0], [-17652, 6894], [-149826, 58485], [26, -9]], [[0, 0], [-36136, 14128], [-306884, 119765], [60, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2152, -750], [104, 10], [0, 0]], [[0, 0], [-1203972, -770806], [-675942, -432862], [-2, -2]], [[0, 0], [933368, 599478], [525032, 336253], [8, -1]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[896, -384]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3034, 1142], [-22, -10], [0, 0]], [[0, 0], [-438975, 171457], [-618, 278], [-19, 9]], [[0, 0], [7135636, -2786880], [10124, -4468], [312, -144]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19292, -7532], [4, -4], [0, 0]], [[0, 0], [-20939, -11909], [-75180, -48172], [11, -7]], [[0, 0], [76243, 23323], [198342, 127486], [-225, 95]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[896, -384]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8002, -3130], [-30, -10], [0, 0]], [[0, 0], [58244, -22734], [-102, 34], [-18, 8]], [[0, 0], [54083, -21101], [-108, 24], [-15, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23416, 9188], [32, 8], [0, 0]], [[0, 0], [2624573, -1024191], [-1172, 640], [7, -1]], [[0, 0], [66135089, -25822479], [-35774, 12138], [117, -63]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-22500352, 8783872]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12244, -4780], [24304, -9488], [0, 0]], [[0, 0], [-2666, 1032], [-5324, 2096], [-2, -8]], [[0, 0], [53236, -20770], [106936, -41772], [-116, 58]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84312, 32916], [-168960, 65960], [0, 0]], [[0, 0], [-525078, 204944], [-1052196, 410768], [-6, 4]], [[0, 0], [661708, -258300], [1326040, -517672], [8, -4]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[-22500352, 8783872]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81784, -31916], [163632, -63880], [0, 0]], [[0, 0], [1090494, -425800], [2182352, -851932], [6, 4]], [[0, 0], [-5258548, 2052876], [-10522736, 4107952], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-279272, 109036], [-558480, 218024], [0, 0]], [[0, 0], [-103271682, 40315092], [-206509528, 80618964], [2, 8]], [[0, 0], [4006951032, -1564252876], [8012636720, -3128039992], [132, -176]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[1024, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -84], [-40, -4], [0, 0]], [[0, 0], [-11630, -9070], [-4348, -2488], [10, 2]], [[0, 0], [-77888, -17918], [-8752, -11444], [-64, 46]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -20], [-24, 4], [0, 0]], [[0, 0], [-84, 8], [-8, -28], [8, -4]], [[0, 0], [-118, -40], [-92, -72], [2, -4]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[15642112, -6106496]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [876, -342], [-128, 50], [0, 0]], [[0, 0], [7980, -3116], [-24, 8], [-12, 4]], [[0, 0], [-4154, 1621], [12, -6], [6, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29984, -11682], [8, 10], [0, 0]], [[0, 0], [-508146, -325495], [-285044, -182520], [-10, 3]], [[0, 0], [74, -29], [-36, 14], [-18, 7]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[112, -48]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2274, 888], [-88, 34], [0, 0]], [[0, 0], [203481/2, -79283/2], [3825, -1583], [3/2, 3/2]], [[0, 0], [-6009, -7480], [11324, 7112], [-253, -162]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [472, -184], [-26, 10], [0, 0]], [[0, 0], [-8875/2, 3477/2], [257, -99], [-3/2, 5/2]], [[0, 0], [-659, -377], [-124, -82], [-189, -121]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[112, -48]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2282, -892], [80, -30], [0, 0]], [[0, 0], [-17323/2, 6815/2], [-296, 114], [13/2, 3/2]], [[0, 0], [20011/2, 12635/2], [-598, -386], [3059/2, 1959/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1286, -502], [-66, 26], [0, 0]], [[0, 0], [-163885/2, 63999/2], [4192, -1652], [9/2, 5/2]], [[0, 0], [19611/2, -12157/2], [2704, 2366], [-1835/2, -1175/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[15642112, -6106496]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31588, -12332], [-472, 184], [0, 0]], [[0, 0], [329634, -128682], [-4820, 1886], [22, -8]], [[0, 0], [-4217142, 1646253], [61628, -24152], [-286, 99]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8648, -3384], [-32, 8], [0, 0]], [[0, 0], [-25950, -16360], [-14540, -9342], [14, -6]], [[0, 0], [17910, 11423], [10124, 6488], [-2, 1]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[112, -48]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1170, 456], [-50, 20], [0, 0]], [[0, 0], [-5785, 2236], [-244, 98], [1, -2]], [[0, 0], [-97/2, -169/2], [27, 15], [-11/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1384, -540], [-98, 38], [0, 0]], [[0, 0], [-995/2, 389/2], [29, -11], [-7/2, 1/2]], [[0, 0], [49, 40], [32, 20], [-125, -80]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[112, -48]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1058, 414], [-110, 42], [0, 0]], [[0, 0], [27633/2, -10991/2], [1530, -488], [13/2, 5/2]], [[0, 0], [-222681/2, -155813/2], [127204, 80784], [11675/2, 7475/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-160, 62], [42, -16], [0, 0]], [[0, 0], [8354, -3268], [-2080, 816], [0, 2]], [[0, 0], [-11877/2, -6517/2], [3360, 2016], [3225/2, 2065/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[656, -256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, -20], [-40, 14], [0, 0]], [[0, 0], [849, -655/2], [-630, 263], [-1, 5/2]], [[0, 0], [-3639/2, 718], [1430, -525], [21/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -2], [-4, 2], [0, 0]], [[0, 0], [935/2, -178], [-122, 53], [1/2, 1]], [[0, 0], [-668, 257], [178, -74], [0, -1]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[656, -256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -12], [-130, 50], [0, 0]], [[0, 0], [-66, 55/2], [346, -137], [-2, 3/2]], [[0, 0], [211/2, -35], [-519, 196], [13/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, 38], [50, -20], [0, 0]], [[0, 0], [2853/2, -544], [-727, 292], [-3/2, 2]], [[0, 0], [-26403, 9951], [13324, -5428], [15, -45]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[29632, -11568]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-202, 80], [2, -2], [0, 0]], [[0, 0], [-1091, 917/2], [14, -1], [3, 5/2]], [[0, 0], [5310, 2386], [586, 384], [488, 312]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-366, 142], [50, -20], [0, 0]], [[0, 0], [11119, -8633/2], [-1554, 611], [-5, -1/2]], [[0, 0], [-25156, -17178], [-4844, -2952], [2648, 1696]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[29632, -11568]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [312, -122], [-16, 6], [0, 0]], [[0, 0], [486, -379/2], [-34, 13], [4, -3/2]], [[0, 0], [933, 1197/2], [-954, -611], [235, 301/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -6], [-10, 0], [0, 0]], [[0, 0], [-65, 59/2], [62, -27], [3, -5/2]], [[0, 0], [724, 466], [-490, -316], [-234, -150]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[656, -256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 4], [2, 0], [0, 0]], [[0, 0], [-349/2, 133/2], [13, 7], [1/2, 3/2]], [[0, 0], [2833/2, -551], [-25, -5], [15/2, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -10], [-36, 14], [0, 0]], [[0, 0], [-101/2, 16], [39, -17], [3/2, -1]], [[0, 0], [65/2, -27/2], [-29, 11], [-3/2, 1/2]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[656, -256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -4], [-22, 8], [0, 0]], [[0, 0], [777/2, -167], [-708, 276], [-3/2, -2]], [[0, 0], [-2502, 916], [4284, -1674], [-16, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -26], [56, -22], [0, 0]], [[0, 0], [59/2, -12], [30, -12], [1/2, 0]], [[0, 0], [-10, 4], [-10, 4], [0, 0]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[29632, -11568]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1630, -636], [10, -4], [0, 0]], [[0, 0], [-11, 25/2], [0, 0], [5, 3/2]], [[0, 0], [-200, -289/2], [0, 0], [-92, -115/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [194, -76], [-10, 4], [0, 0]], [[0, 0], [-150, 107/2], [0, 0], [-2, -3/2]], [[0, 0], [59, 249/2], [0, 0], [65, 83/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[29632, -11568]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [974, -388], [10, 4], [0, 0]], [[0, 0], [-4263, 3689/2], [-192, -112], [5, -5/2]], [[0, 0], [3254, 1780], [-3072, -1968], [-10, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-354, 132], [-6, 8], [0, 0]], [[0, 0], [-14999, 5844], [-480, 200], [-1, -2]], [[0, 0], [-2590, -29/2], [1040, 720], [-202, -259/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74, -2], [-2, 2], [0, 0]], [[0, 0], [400, 1504], [109, 15], [-15, -1]], [[0, 0], [-47565/2, 17705/2], [4055/4, -1643/4], [-635/4, 255/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [442, -26], [10, 2], [0, 0]], [[0, 0], [-5206631/26, 941211/26], [-187323/52, -7201/52], [239/52, -3/52]], [[0, 0], [107610523, -42648951], [2808767/2, -1143547/2], [-3899/2, 1575/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 14], [10, 10], [0, 0]], [[0, 0], [-289/2, 13/2], [-59/4, -1/4], [91/4, 1/4]], [[0, 0], [38481/2, -14957/2], [7159/4, -2779/4], [-11135/4, 4323/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-254, -50], [14, 6], [0, 0]], [[0, 0], [-6511891/26, 1459063/26], [440243/52, -11639/52], [-475/52, -1/52]], [[0, 0], [18321741195/26, -7229848735/26], [-948308259/52, 381637239/52], [977931/52, -395071/52]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, -42], [50, -20], [0, 0]], [[0, 0], [-2507/2, 937/2], [-2435/4, 895/4], [-49/4, -3/4]], [[0, 0], [6425/2, 2567/2], [8009/4, 3635/4], [2627/4, 1665/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150, 31], [30, -10], [0, 0]], [[0, 0], [-548191/26, -63805/26], [77165/52, -721/52], [711/52, 5/52]], [[0, 0], [-213219549/26, 64607809/26], [35973527/52, -12071803/52], [324309/52, -107657/52]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 17], [-58, 22], [0, 0]], [[0, 0], [147/2, -107/2], [577/4, -245/4], [31/4, 5/4]], [[0, 0], [-2118, -1563], [-155, -415], [407, 253]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-374, 79], [70, -26], [0, 0]], [[0, 0], [-10143137/26, -5129847/26], [935469/52, -5105/52], [-45/52, 1/52]], [[0, 0], [-131619563/13, -6161812/13], [35741529/26, -11673405/26], [-1757/26, 581/26]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[320, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [344, -146], [56, -18], [0, 0]], [[0, 0], [1738, -672], [233, -91], [11, -5]], [[0, 0], [1512, -649], [212, -82], [16, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [128, 5], [-4, 0], [0, 0]], [[0, 0], [-936970/13, -30202/13], [29395/13, -165/13], [-71/13, 1/13]], [[0, 0], [52969404/13, -45316374/13], [-1879012/13, 1437270/13], [4656/13, -3480/13]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, 20], [-42, 16], [0, 0]], [[0, 0], [945/2, -333/2], [1441/4, -529/4], [11/4, 5/4]], [[0, 0], [-1647/2, -105/2], [-2103/4, 123/4], [-189/4, -119/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166, 148], [130, -50], [0, 0]], [[0, 0], [-325173/13, -206877/13], [-12933/26, -269/26], [33/26, 1/26]], [[0, 0], [1887775/26, 1120209/26], [532971/52, -178483/52], [-1343/52, 447/52]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 16], [-50, 20], [0, 0]], [[0, 0], [398, -162], [463, -180], [1, 0]], [[0, 0], [409/2, 7/2], [531/4, -243/4], [-19/4, -13/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-300, 100], [88, -34], [0, 0]], [[0, 0], [-650607/26, -363017/26], [71979/52, -2071/52], [149/52, -1/52]], [[0, 0], [-46835817/26, -6137551/26], [21786857/52, -7475089/52], [43807/52, -14839/52]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[320, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-884, 352], [20, -10], [0, 0]], [[0, 0], [-6, 0], [-1, 0], [1, 0]], [[0, 0], [-1520, 582], [40, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3656, 286], [-8, 6], [0, 0]], [[0, 0], [-516922/13, -34203942/13], [222473/13, -382/13], [79/13, 2/13]], [[0, 0], [-42881685180/13, 4394665790/13], [-100231080/13, 70156708/13], [-32900/13, 24628/13]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[384, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4572, -1785], [312, -122], [0, 0]], [[0, 0], [82560, -32225], [5378, -2108], [-2, -2]], [[0, 0], [-38016, 14848], [-2492, 962], [-4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4772, -1863], [8120, -3170], [0, 0]], [[0, 0], [-32100, 12554], [-55218, 21496], [10, 8]], [[0, 0], [456200, -178130], [783532, -305788], [4, -20]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[384, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, -30], [-400, 156], [0, 0]], [[0, 0], [248, -97], [-926, 380], [-10, 0]], [[0, 0], [372, -145], [-1476, 512], [4, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [516, -193], [32, 4], [0, 0]], [[0, 0], [-15720, -9192], [-29120, -18632], [0, -4]], [[0, 0], [-2444, 5856], [9174, 6012], [34, -12]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[3072, -1280]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 24], [560, -220], [0, 0]], [[0, 0], [32, 220], [7412, -2946], [-4, 10]], [[0, 0], [-244, 356], [19118, -7522], [-22, 18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 16], [16, 4], [0, 0]], [[0, 0], [2116, -16], [782, -76], [10, -4]], [[0, 0], [-120, -96], [-32, -28], [0, 0]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[3072, -1280]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1168, 456], [-8432, 3292], [0, 0]], [[0, 0], [-118156, 46156], [-840526, 328112], [-10, 8]], [[0, 0], [202220, -79252], [1440474, -562140], [-18, -36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43288, 16880], [-32, -12], [0, 0]], [[0, 0], [-1350644, -864260], [-1728858, -1107168], [2, -8]], [[0, 0], [-5457568, -3513848], [-7013544, -4490616], [-280, 80]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[752, -304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [106, 22], [-12, 4], [0, 0]], [[0, 0], [36358, 19808], [-1194, 106], [10, 0]], [[0, 0], [663609/2, -469353/2], [-107599, 43119], [1575/2, -639/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, -16], [-14, -6], [0, 0]], [[0, 0], [412711/2, -137507/2], [-8853, -39], [19/2, 1/2]], [[0, 0], [418773345/2, -163903761/2], [-5813615, 2331679], [11505/2, -4641/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[752, -304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [246, -14], [14, -6], [0, 0]], [[0, 0], [-9267/2, -7809/2], [116, -8], [17/2, 3/2]], [[0, 0], [247369/2, -77457/2], [9984, -3960], [945/2, -385/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [204, -20], [-22, -10], [0, 0]], [[0, 0], [-71584, 24554], [2882, -66], [-2, 0]], [[0, 0], [-3759597/2, 1471405/2], [50534, -20306], [-67/2, 27/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[752, -304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, 6], [-28, -8], [0, 0]], [[0, 0], [59698, -18774], [11498, -1550], [14, 2]], [[0, 0], [7877433/2, -3089121/2], [612553, -243629], [943/2, -391/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, -2], [-10, 6], [0, 0]], [[0, 0], [-7589, -13925], [-2974, 58], [13, 1]], [[0, 0], [5263041/2, -1916817/2], [-550863, 219551], [4097/2, -1649/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[752, -304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 2], [16, -4], [0, 0]], [[0, 0], [-47/2, 39/2], [50, 14], [29/2, 3/2]], [[0, 0], [-16658, 6438], [8450, -3510], [3696, -1488]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 6], [8, 0], [0, 0]], [[0, 0], [161, -5], [-30, -6], [-1, 1]], [[0, 0], [1807/2, -663/2], [-114, 38], [-27/2, 11/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[2992, -1168]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [442, -172], [88, -34], [0, 0]], [[0, 0], [275, -199/2], [38, -23], [-1, -3/2]], [[0, 0], [-20119/2, 3902], [-1698, 689], [-51/2, 16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-200, 78], [30, -12], [0, 0]], [[0, 0], [-839/2, 164], [60, -23], [-5/2, 1]], [[0, 0], [-10, 4], [2, 0], [0, 0]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[2992, -1168]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-502, 194], [-50, 18], [0, 0]], [[0, 0], [1633, -1511/2], [78, -125], [1, 1/2]], [[0, 0], [-1/2, 0], [5, -2], [5/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-198, 76], [-22, 8], [0, 0]], [[0, 0], [-16167/2, 3160], [-871, 340], [-3/2, 0]], [[0, 0], [4740, -3693/2], [510, -199], [0, -1/2]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[128, -96]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3832, 1502], [24, -6], [0, 0]], [[0, 0], [-13572, -17439/2], [-7624, -4875], [-8, -3/2]], [[0, 0], [29824, 18797], [16464, 10622], [-28, 21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3568, 1398], [-8, 6], [0, 0]], [[0, 0], [-154264, -196519/2], [-86840, -55615], [8, 5/2]], [[0, 0], [-2133652, -1440880], [-1246496, -797722], [-280, 190]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-23936, 9344]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13994, -5466], [-10, 2], [0, 0]], [[0, 0], [-1, -2], [2, 0], [1, 0]], [[0, 0], [3670, 2978], [2802, 1794], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26218, 10138], [-34, -14], [0, 0]], [[0, 0], [1, 4], [2, 0], [1, 0]], [[0, 0], [-2654, 1046], [2, 2], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-23936, 9344]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14866, 5754], [-10, -10], [0, 0]], [[0, 0], [-1, -2], [2, 0], [1, 0]], [[0, 0], [-8100, 3052], [-28, -20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8346, -3250], [-2, 6], [0, 0]], [[0, 0], [1, 4], [2, 0], [1, 0]], [[0, 0], [-2822, -2042], [-1946, -1246], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -6], [4, 4], [0, 0]], [[0, 0], [2827/2, -1605/2], [190, -8], [-5/2, 3/2]], [[0, 0], [18915, -5157], [702, -862], [-35, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -6], [-6, 6], [0, 0]], [[0, 0], [22, 14], [-78, 42], [2, 2]], [[0, 0], [-19/2, -15/2], [-1444, 558], [-25/2, 7/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 4], [30, 10], [0, 0]], [[0, 0], [-97, 106], [-90, 120], [3, 2]], [[0, 0], [-11823/2, 4637/2], [-6245, 2451], [-5/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 2], [-22, -6], [0, 0]], [[0, 0], [-10185/2, 1599/2], [-3821, -677], [-13/2, -5/2]], [[0, 0], [188358, -70620], [86024, -28268], [88, -22]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[-23936, 9344]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16302, 6350], [-18, -2], [0, 0]], [[0, 0], [3, -2], [2, 0], [1, 0]], [[0, 0], [-17428, -10756], [-10900, -6980], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1762, -754], [-22, -10], [0, 0]], [[0, 0], [-3, 4], [2, 0], [1, 0]], [[0, 0], [-6824, 2672], [16, -4], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-23936, 9344]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7166, 2782], [-6, -2], [0, 0]], [[0, 0], [3, -2], [2, 0], [1, 0]], [[0, 0], [-10988, 4284], [-4, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29946, -11722], [-26, -10], [0, 0]], [[0, 0], [-3, 4], [2, 0], [1, 0]], [[0, 0], [71638, 52514], [50050, 32050], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 10], [2, -2], [0, 0]], [[0, 0], [-73/2, 217/2], [66, -34], [-1/2, 1/2]], [[0, 0], [-1303/2, 1/2], [256, -78], [-7/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, 10], [-20, -4], [0, 0]], [[0, 0], [91, -28], [-2, 4], [-3, 2]], [[0, 0], [-531/2, 221/2], [18, -4], [27/2, -9/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -6], [4, -8], [0, 0]], [[0, 0], [-5, -160], [-104, -242], [3, 0]], [[0, 0], [217/2, -111/2], [113, -67], [3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, -2], [-10, -10], [0, 0]], [[0, 0], [3235/2, -1509/2], [403, -5], [-5/2, 3/2]], [[0, 0], [-3557/2, 971/2], [19, 251], [7/2, -1/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -8], [-30, -10], [0, 0]], [[0, 0], [17/2, 53/2], [110, 56], [1/2, -3/2]], [[0, 0], [-976, 132], [-298, -710], [74, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 10], [48, 8], [0, 0]], [[0, 0], [-242, 77], [-542, 192], [4, -1]], [[0, 0], [9/2, 37/2], [-14, 28], [-1/2, -1/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -2], [-28, 4], [0, 0]], [[0, 0], [2153/2, 303/2], [2175, -327], [7/2, 1/2]], [[0, 0], [47231/2, -8401/2], [64387, -20553], [153/2, -27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -6], [14, -6], [0, 0]], [[0, 0], [1383/2, 1159/2], [285, -75], [-9/2, -1/2]], [[0, 0], [10269/2, 13939/2], [7101, -2389], [-171/2, 19/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[-2048, 768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -32], [-40, -16], [0, 0]], [[0, 0], [2656, -892], [-176, 336], [-8, 0]], [[0, 0], [7502, -2737], [-924, 714], [-18, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 24], [-40, 40], [0, 0]], [[0, 0], [-2, 13], [-20, 14], [2, 1]], [[0, 0], [-20, 8], [-40, 16], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[2992, -1168]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 18], [-104, 40], [0, 0]], [[0, 0], [3127, -2439/2], [7104, -2784], [-1, -1/2]], [[0, 0], [101773/2, -19868], [115845, -45203], [-1/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [134, -52], [120, -46], [0, 0]], [[0, 0], [2592, -2033/2], [2286, -908], [-2, -3/2]], [[0, 0], [-29429/2, 5746], [-13037, 5095], [-1/2, 1]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[2992, -1168]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -18], [-114, 44], [0, 0]], [[0, 0], [-1884, 1541/2], [4900, -1900], [2, 3/2]], [[0, 0], [-5311/2, 2097/2], [6800, -2650], [1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-230, 90], [12, -4], [0, 0]], [[0, 0], [-31359/2, 12241/2], [756, -298], [3/2, -1/2]], [[0, 0], [-4850, 3793/2], [250, -82], [0, -1/2]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[135168, -52768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [984, -386], [0, 2], [0, 0]], [[0, 0], [28269, -22047/2], [-48, 20], [-3, -1/2]], [[0, 0], [-5115, 599], [-130, -90], [183, 117]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1902, -738], [-6, -2], [0, 0]], [[0, 0], [-198191, 77239], [312, 6], [3, -1]], [[0, 0], [7854, 821/2], [-3258, -2082], [-4, -5/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[135168, -52768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1106, 418], [10, 10], [0, 0]], [[0, 0], [-46649, 36425/2], [-134, 60], [5, -1/2]], [[0, 0], [-8610, 3928], [3322, 2156], [632, 404]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2002, 776], [-6, 8], [0, 0]], [[0, 0], [62787, -24250], [72, -324], [-3, -2]], [[0, 0], [76361, -61935/2], [1728, 648], [15, 19/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[2992, -1168]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, -28], [-28, 10], [0, 0]], [[0, 0], [523/2, -215/2], [-141, 43], [5/2, -5/2]], [[0, 0], [1173/2, -249], [-337, 87], [7/2, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [274, -106], [98, -38], [0, 0]], [[0, 0], [16455/2, -3200], [2939, -1155], [-5/2, -1]], [[0, 0], [27731, -10818], [9938, -3884], [-3, 0]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[2992, -1168]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, -54], [94, -36], [0, 0]], [[0, 0], [-83/2, 11], [-30, 12], [-3/2, -2]], [[0, 0], [-155, 66], [-134, 52], [7, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-326, 128], [-24, 10], [0, 0]], [[0, 0], [-731/2, 307/2], [-18, 16], [-5/2, 1/2]], [[0, 0], [8883/2, -1706], [336, -108], [45/2, -10]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[135168, -52768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2006, -788], [2, 4], [0, 0]], [[0, 0], [550, -467/2], [24, 16], [2, -5/2]], [[0, 0], [-13, 148], [-184, -118], [11, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5392, 2112], [-8, -4], [0, 0]], [[0, 0], [398729, -311481/2], [162, 22], [-3, -3/2]], [[0, 0], [193192, -154761/2], [2030, 1260], [-62, -79/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[135168, -52768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1502, -592], [-6, 8], [0, 0]], [[0, 0], [42197, -16102], [-680, -102], [1, 2]], [[0, 0], [17503, 65405/2], [-37808, -24378], [247, 315/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4484, 1746], [-4, 6], [0, 0]], [[0, 0], [26504, -20753/2], [118, 26], [2, 5/2]], [[0, 0], [4629, -2905/2], [-812, -528], [-37, -47/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[-16384, 6400]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, 44], [-40, -4], [0, 0]], [[0, 0], [-916, -463], [-1152, -716], [16, -5]], [[0, 0], [-1266, 761], [100, 340], [186, -73]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, 56], [16, 16], [0, 0]], [[0, 0], [-436, -235], [-464, -308], [-16, 3]], [[0, 0], [1954, -1263], [-1188, -140], [730, -289]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[24304, -9488]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 6], [-40, 16], [0, 0]], [[0, 0], [-1527/2, 541/2], [-4963/4, 1951/4], [-9/4, 5/4]], [[0, 0], [17169/2, 11341/2], [-5431/4, -2309/4], [-477/4, -303/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [518, -174], [-58, 22], [0, 0]], [[0, 0], [-2759855/26, -1025727/26], [243149/52, 4895/52], [503/52, 5/52]], [[0, 0], [-79680454/13, -164756909/13], [-6709106/13, 7267102/13], [-14492/13, 15034/13]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[24304, -9488]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, -14], [110, -42], [0, 0]], [[0, 0], [2283, -1117], [11555/2, -4571/2], [1/2, -1/2]], [[0, 0], [-11323/2, -6763/2], [-5085/4, -991/4], [-27/4, -17/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-394, 302], [98, -38], [0, 0]], [[0, 0], [3260279/26, 2182887/26], [32333/52, 407/52], [-253/52, 1/52]], [[0, 0], [-264582527/26, -156497057/26], [1730567/52, -1655107/52], [-14399/52, 12971/52]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[128, -96]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -10], [-28, 4], [0, 0]], [[0, 0], [126, -38], [79, -29], [13, -7]], [[0, 0], [536, -171], [344, -128], [60, -30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-936, -63], [-4, 2], [0, 0]], [[0, 0], [1100, -2080], [-54, 0], [6, 0]], [[0, 0], [298042/13, -109608/13], [-3537/13, 1467/13], [393/13, -163/13]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[24304, -9488]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -3], [-2, 2], [0, 0]], [[0, 0], [-8, 0], [-11, -5], [-3, -1]], [[0, 0], [21/2, -9/2], [21/4, -9/4], [7/4, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, 20], [-28, -8], [0, 0]], [[0, 0], [4307569/26, -342187/26], [-1244259/52, -99417/52], [-121/52, 5/52]], [[0, 0], [-114258459/26, 89917393/26], [16380853/52, -26190473/52], [2823/52, -2531/52]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[24304, -9488]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -7], [4, -4], [0, 0]], [[0, 0], [0, 28], [45, 33], [9, 1]], [[0, 0], [-1053/2, 313/2], [-631/4, -109/4], [295/4, -147/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [198, 35], [-10, -10], [0, 0]], [[0, 0], [-698291/26, 297981/26], [-64469/52, 6041/52], [-579/52, -1/52]], [[0, 0], [161742995/26, -58816671/26], [6842733/52, -5931937/52], [40635/52, -54567/52]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[128, -96]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-544, 181], [-4, 12], [0, 0]], [[0, 0], [-1298, 562], [-51, 7], [3, -3]], [[0, 0], [-876, 320], [-18, 12], [2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -789], [-12, -16], [0, 0]], [[0, 0], [-77218354/13, 12489935/13], [-1109097/13, -12159/13], [-7/13, -1/13]], [[0, 0], [-13345902790/13, 5301253505/13], [-149182407/13, 60537717/13], [-737/13, 307/13]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 26], [26, 10], [0, 0]], [[0, 0], [-2335/2, 3955/2], [-2783/4, 3523/4], [-21/4, 1/4]], [[0, 0], [-91286, 37154], [-44555, 18001], [-125, 47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [210, -114], [-2, 10], [0, 0]], [[0, 0], [243161/26, -98821/26], [-25855/52, 6595/52], [59/52, 1/52]], [[0, 0], [-8313/26, 2445/26], [731/52, -215/52], [17/52, -5/52]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 10], [-10, 6], [0, 0]], [[0, 0], [-1633/2, -1211/2], [-607/4, -597/4], [-41/4, -3/4]], [[0, 0], [15833, -11621], [24229/2, -11913/2], [-3025/2, 1125/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-426, 74], [10, -6], [0, 0]], [[0, 0], [-17645/13, 254285/13], [29161/26, -1049/26], [111/26, 1/26]], [[0, 0], [-31167057/26, 13472149/26], [2461465/52, -906413/52], [8783/52, -3195/52]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[2048, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, 72], [-8, -20], [0, 0]], [[0, 0], [-4904, 2036], [382, -244], [14, -8]], [[0, 0], [-82230, 31894], [7897, -2921], [275, -103]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3036, 692], [-4, 16], [0, 0]], [[0, 0], [7475744/13, 95501412/13], [2038812/13, -38982/13], [12/13, -2/13]], [[0, 0], [-1581092606/13, 159654322/13], [13441539/13, -8766705/13], [109/13, -55/13]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -24], [-20, -8], [0, 0]], [[0, 0], [113, 3], [23/2, 9/2], [-15/2, -1/2]], [[0, 0], [-12489/2, 4757/2], [-1061/4, 369/4], [1553/4, -589/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-448, 16], [20, 0], [0, 0]], [[0, 0], [1198791/13, -50643/13], [-113319/26, 823/26], [-201/26, 1/26]], [[0, 0], [2073248881/26, -771893261/26], [-186457779/52, 68892159/52], [-329625/52, 121725/52]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[80, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, -66], [-26, -10], [0, 0]], [[0, 0], [8, -464], [-4533, 1673], [7, 1]], [[0, 0], [-5965/2, 2537/2], [120373/4, -46905/4], [-93/4, 33/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [446, 82], [-10, -10], [0, 0]], [[0, 0], [521351/26, -429483/26], [49433/52, 1067/52], [-177/52, -3/52]], [[0, 0], [-10029129/26, 4022357/26], [-415451/52, 152535/52], [1499/52, -551/52]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[2048, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, 28], [4, -8], [0, 0]], [[0, 0], [2236, -836], [-214, 154], [-10, 6]], [[0, 0], [-20778, 8082], [2609, -1075], [111, -45]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-672, 496], [-16, 12], [0, 0]], [[0, 0], [131406/13, -958/13], [-1697/13, -131/13], [125/13, 3/13]], [[0, 0], [-2881754/13, 1357658/13], [31341/13, -15903/13], [-2581/13, 1247/13]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, -2], [-8, -4], [0, 0]], [[0, 0], [-14635/2, 4525/2], [332, 50], [9/2, 1/2]], [[0, 0], [401870, -156186], [-9594, 3534], [-140, 52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 0], [2, -6], [0, 0]], [[0, 0], [739/2, -155/2], [-564, 468], [9/2, -1/2]], [[0, 0], [-26061/2, 9883/2], [33500, -13618], [-283/2, 105/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, -2], [18, 2], [0, 0]], [[0, 0], [3219/2, -293/2], [609, 29], [1/2, -3/2]], [[0, 0], [-288613/2, 115693/2], [-43891, 17971], [-459/2, 171/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 4], [-6, 6], [0, 0]], [[0, 0], [-43/2, -37/2], [47, -43], [5/2, 3/2]], [[0, 0], [-1845/2, 731/2], [-14309, 5591], [-41/2, 15/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[9216, -3584]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -32], [-24, -4], [0, 0]], [[0, 0], [-1450, 483], [796, -338], [6, -1]], [[0, 0], [-7500, 2903], [4472, -1754], [24, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-172, 48], [-24, -12], [0, 0]], [[0, 0], [388, 5], [216, 90], [20, -7]], [[0, 0], [798, -199], [244, 30], [50, -19]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 0], [-10, -10], [0, 0]], [[0, 0], [-6282, 2593], [-608, 166], [4, -1]], [[0, 0], [16711/2, -6661/2], [740, -254], [-9/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 2], [12, 4], [0, 0]], [[0, 0], [-1681/2, 495/2], [-164, 22], [-3/2, 1/2]], [[0, 0], [210, -62], [42, -6], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -8], [2, -6], [0, 0]], [[0, 0], [183/2, -137/2], [-35, 13], [1/2, 5/2]], [[0, 0], [23/2, -9/2], [-3, 1], [-3/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 0], [2, 2], [0, 0]], [[0, 0], [43/2, -21/2], [-1, -1], [-1/2, -1/2]], [[0, 0], [-118, 46], [0, 0], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[9216, -3584]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 0], [0, 8], [0, 0]], [[0, 0], [-848, 323], [320, -130], [-12, 3]], [[0, 0], [2414, -939], [-932, 366], [30, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, -36], [32, -4], [0, 0]], [[0, 0], [4892, 3132], [-3864, -2368], [-24, 8]], [[0, 0], [4922, 3161], [-4564, -2126], [-170, 65]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-116, -16], [18, 10], [0, 0]], [[0, 0], [337305/2, -116735/2], [-6252, 362], [5/2, -3/2]], [[0, 0], [2981819, -1181959], [-73872, 33816], [57, -21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98, 14], [-4, -4], [0, 0]], [[0, 0], [-15896, 8412], [-746, 78], [6, 2]], [[0, 0], [3603049/2, -1410391/2], [54084, -20930], [-365/2, 135/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 20], [-10, -10], [0, 0]], [[0, 0], [4943/2, -2205/2], [397, -107], [-3/2, 5/2]], [[0, 0], [-29295/2, 11273/2], [-1933, 783], [39/2, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, 6], [0, -4], [0, 0]], [[0, 0], [-2155/2, 507/2], [49, -45], [9/2, -1/2]], [[0, 0], [5287/2, -2121/2], [-219, 81], [-17/2, 7/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[9216, -3584]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -28], [-104, 32], [0, 0]], [[0, 0], [122, -56], [-588, 236], [18, -4]], [[0, 0], [-34, 17], [172, -70], [-6, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, 76], [8, 16], [0, 0]], [[0, 0], [-94, -18], [-84, 8], [-30, 10]], [[0, 0], [2, 1], [-4, 2], [-2, 1]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -10], [-24, -4], [0, 0]], [[0, 0], [-99/2, -65/2], [-40, -36], [1/2, 3/2]], [[0, 0], [-104, -17], [-690, 212], [74, -27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -2], [2, -10], [0, 0]], [[0, 0], [11/2, 849/2], [316, 64], [9/2, 3/2]], [[0, 0], [1373, -528], [-442, 176], [-5, 2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, 6], [10, 6], [0, 0]], [[0, 0], [-569, 191], [26, 6], [3, -1]], [[0, 0], [5221/2, -1983/2], [-65, 11], [-29/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, -10], [-14, -2], [0, 0]], [[0, 0], [95201/2, -8663/2], [7573, -519], [-7/2, 1/2]], [[0, 0], [1788558, -654546], [276524, -100480], [-140, 52]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[9216, -3584]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 20], [-8, 8], [0, 0]], [[0, 0], [254, -94], [204, -72], [30, -10]], [[0, 0], [6, -3], [-4, 2], [-2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, 40], [24, -4], [0, 0]], [[0, 0], [-70, -34], [-276, -144], [-18, 6]], [[0, 0], [-38, 1], [-116, -10], [-34, 13]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[110864, -43280]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, 34], [-6, 2], [0, 0]], [[0, 0], [-29/2, -11/2], [10, 10], [-5/2, 5/2]], [[0, 0], [-10, 3/2], [-4, 5], [-8, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -26], [-4, 8], [0, 0]], [[0, 0], [65/2, 15], [-632, -403], [-5/2, 2]], [[0, 0], [135, 69/2], [-2006, -1269], [-29, 29/2]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[110864, -43280]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [308, -120], [-6, -6], [0, 0]], [[0, 0], [404, -473/2], [2698, 1719], [-2, 3/2]], [[0, 0], [-5319/2, 1448], [-14041, -8936], [27/2, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-374, 146], [-8, 8], [0, 0]], [[0, 0], [3/2, -5/2], [-181, -109], [3/2, -5/2]], [[0, 0], [-1/2, 0], [1, 0], [-1/2, 0]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[768, -320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4224, 1660], [16, 0], [0, 0]], [[0, 0], [26572, 33973/2], [15064, 9647], [4, 5/2]], [[0, 0], [4444, -1644], [40, 36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-636, 272], [24, 4], [0, 0]], [[0, 0], [-18428, -23627/2], [-10400, -6665], [0, 5/2]], [[0, 0], [-132, 103/2], [-64, 25], [32, -25/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[110864, -43280]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [242, -94], [6, 2], [0, 0]], [[0, 0], [1923/2, -123], [2240, 1425], [-1/2, 1]], [[0, 0], [3615/2, -1089/2], [1446, 904], [-5/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [446, -174], [14, -2], [0, 0]], [[0, 0], [-1957/2, -733/2], [-22492, -14394], [5/2, 1/2]], [[0, 0], [3993/2, -1751], [-29072, -18729], [-21/2, 6]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[110864, -43280]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [334, -130], [-8, 0], [0, 0]], [[0, 0], [-523/2, -49], [969, 618], [-5/2, -2]], [[0, 0], [3421/2, -606], [-429, -238], [-9/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [590, -230], [12, 0], [0, 0]], [[0, 0], [26, 39/2], [274, 173], [-2, -5/2]], [[0, 0], [13/2, 17/2], [101, 61], [1/2, -3/2]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[768, -320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5100, -1968], [-8, 16], [0, 0]], [[0, 0], [19654, 26331/2], [11324, 7251], [-2, -1/2]], [[0, 0], [19428, 16975/2], [8728, 5595], [4, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3348, -1356], [-40, -12], [0, 0]], [[0, 0], [14084, 14487/2], [6976, 4459], [8, -5/2]], [[0, 0], [-56738, -64787/2], [-29844, -19095], [-18, 9/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[-13312, 5120]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [184, -56], [144, -56], [0, 0]], [[0, 0], [-58, -92], [-12, 8], [6, -4]], [[0, 0], [66, 2], [-12, 4], [6, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [460, -124], [-8, 24], [0, 0]], [[0, 0], [28166, -12614], [-2684, 452], [-10, 10]], [[0, 0], [10086, -6308], [-1724, -200], [2, 8]]], 0, 393216, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 12], [-30, -10], [0, 0]], [[0, 0], [103/2, -23/2], [-73, 1], [-3/2, -5/2]], [[0, 0], [-3939/2, 1549/2], [2103, -839], [-141/2, 51/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, -10], [-4, 0], [0, 0]], [[0, 0], [14797, -208], [700, -72], [3, 0]], [[0, 0], [-13319/2, 4425/2], [-351, 123], [-3/2, 1/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[304, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -6], [6, 2], [0, 0]], [[0, 0], [-163/2, 233/2], [-100, -28], [-7/2, 1/2]], [[0, 0], [-18152, 7675], [-4452, 1272], [-310, 115]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 6], [-2, -2], [0, 0]], [[0, 0], [183/2, -97/2], [0, 0], [5/2, -3/2]], [[0, 0], [8565, -3241], [0, 0], [249, -93]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[768, -320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2876, -1168], [-24, -16], [0, 0]], [[0, 0], [2010, 1359], [1188, 736], [-6, 1]], [[0, 0], [-544, -309/2], [-116, -160], [-16, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3576, 1400], [16, -4], [0, 0]], [[0, 0], [30240, 38787/2], [17116, 10966], [8, 1/2]], [[0, 0], [38308, 39687/2], [19924, 11906], [-744, 589/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[110864, -43280]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 8], [26, 6], [0, 0]], [[0, 0], [29/2, 845/2], [135/4, 1157/4], [-7/4, 3/4]], [[0, 0], [-190, 30], [-126, 18], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-214, 8], [14, -2], [0, 0]], [[0, 0], [-538036/13, -24515/13], [26531/13, -2383/13], [-137/13, -1/13]], [[0, 0], [3388079/26, -1543777/26], [-421463/52, 179563/52], [1855/52, -827/52]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[110864, -43280]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 0], [6, -6], [0, 0]], [[0, 0], [279/2, -137/2], [535/4, -267/4], [-35/4, -1/4]], [[0, 0], [1356, -548], [1305, -529], [-51, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-182, 8], [-14, -2], [0, 0]], [[0, 0], [900665/26, -74427/26], [107101/52, 5799/52], [-489/52, -3/52]], [[0, 0], [-26427204/13, 10857006/13], [-1254273/13, 536041/13], [6235/13, -2623/13]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[512, -128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8040, -3092], [16, 20], [0, 0]], [[0, 0], [-168256, -214865/2], [-94352, -60411], [8, -1/2]], [[0, 0], [1519760, 959454], [846640, 541704], [-260, 78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13996, 5440], [-24, -4], [0, 0]], [[0, 0], [-625112, -799569/2], [-349768, -223991], [-4, -1/2]], [[0, 0], [167132, 98148], [88712, 56868], [32, -12]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-7664, 2992]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1396, 544], [-18, 6], [0, 0]], [[0, 0], [-23943/2, 9391/2], [-154, 58], [5/2, -5/2]], [[0, 0], [-9929/2, 1970], [-66, 23], [-1/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2032, -788], [-2, 6], [0, 0]], [[0, 0], [609477/2, -119069], [-1162, 347], [-5/2, 0]], [[0, 0], [-456661, 177913], [1220, -852], [-1, -3]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[-7664, 2992]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138, 54], [-46, 18], [0, 0]], [[0, 0], [323/2, -64], [-5, 2], [5/2, -1]], [[0, 0], [2, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1756, 688], [-50, 22], [0, 0]], [[0, 0], [8, -33/2], [-2, -9], [-2, 3/2]], [[0, 0], [-129/2, -14], [-37, -14], [11/2, 0]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[512, -128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3300, 1304], [-8, 12], [0, 0]], [[0, 0], [4364, 2725], [2424, 1550], [0, 1]], [[0, 0], [-8552, -10127/2], [-4608, -2937], [4, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11252, -4456], [-40, -20], [0, 0]], [[0, 0], [-21612, -26067/2], [-11744, -7521], [4, 5/2]], [[0, 0], [1428, -776], [-120, -76], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-7664, 2992]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-302, 118], [-40, 16], [0, 0]], [[0, 0], [4645/2, -908], [288, -121], [-3/2, 0]], [[0, 0], [-6081, 4751/2], [-766, 309], [3, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1562, 606], [52, -24], [0, 0]], [[0, 0], [-2581/2, 476], [26, -33], [-3/2, -1]], [[0, 0], [2566, -1002], [-98, 38], [0, 0]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[-7664, 2992]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [854, -330], [14, -2], [0, 0]], [[0, 0], [-15583, 12249/2], [-188, 85], [-1, 5/2]], [[0, 0], [558223/2, -109485], [3423, -1484], [57/2, -38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1130, -438], [-38, 18], [0, 0]], [[0, 0], [-5574, 2222], [246, -46], [2, -2]], [[0, 0], [1/2, 0], [-1, 0], [1/2, 0]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[512, -128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1156, -456], [24, -12], [0, 0]], [[0, 0], [11270, 14513/2], [6284, 4037], [-6, 5/2]], [[0, 0], [-54752, -69929/2], [-30464, -19477], [-16, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10148, -3968], [-40, 12], [0, 0]], [[0, 0], [-339860, -435999/2], [-194000, -124219], [-8, 5/2]], [[0, 0], [2037640, 1310136], [1164992, 745808], [112, -40]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-7664, 2992]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [308, -120], [-46, 18], [0, 0]], [[0, 0], [-359/2, 69], [8, -1], [-3/2, 1]], [[0, 0], [-117/2, 35/2], [12, 6], [3/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [318, -118], [-10, 10], [0, 0]], [[0, 0], [-1296, 1053/2], [88, -19], [-2, 5/2]], [[0, 0], [-2875/2, 552], [72, -35], [-9/2, 1]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[-7664, 2992]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2138, -830], [-14, 10], [0, 0]], [[0, 0], [152885/2, -59789/2], [-701, 221], [3/2, -3/2]], [[0, 0], [722439/2, -141533], [-3579, 876], [5/2, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-238, 90], [24, -12], [0, 0]], [[0, 0], [13325, -10347/2], [-1472, 595], [-1, 5/2]], [[0, 0], [469271/2, -183609/2], [-26487, 10193], [-137/2, 23/2]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[512, -128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5628, -2228], [-24, -8], [0, 0]], [[0, 0], [45032, 26794], [24192, 15504], [-4, 2]], [[0, 0], [39448, 50165/2], [22080, 14141], [0, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13984, 5456], [16, -8], [0, 0]], [[0, 0], [-75084, -47971], [-41256, -26418], [0, 1]], [[0, 0], [-26948, -32733/2], [-14368, -9185], [-8, 7/2]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-7664, 2992]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-992, 388], [18, -6], [0, 0]], [[0, 0], [80565/2, -31465/2], [-708, 264], [1/2, 3/2]], [[0, 0], [-136701/2, 26685], [1184, -459], [3/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [950, -370], [-34, 14], [0, 0]], [[0, 0], [-2199/2, 430], [30, -21], [-5/2, -1]], [[0, 0], [4348, -3393/2], [-166, 53], [0, -5/2]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[-7664, 2992]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-726, 286], [22, -6], [0, 0]], [[0, 0], [1049/2, -200], [-23, 4], [3/2, 1]], [[0, 0], [-1648, 644], [58, -22], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1532, -604], [10, -10], [0, 0]], [[0, 0], [-21700, 17019/2], [-190, 117], [-2, 3/2]], [[0, 0], [47227/2, -9201], [271, -86], [7/2, -1]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 0], [6, -6], [0, 0]], [[0, 0], [-85/2, -1125/2], [-450, -12], [3/2, -5/2]], [[0, 0], [39895/2, -28965/2], [-15748, 3978], [299/2, -161/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 6], [32, 0], [0, 0]], [[0, 0], [37/2, -15/2], [-22, -24], [-9/2, -1/2]], [[0, 0], [245, -95], [198, -2], [-25, 15]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 2], [56, 8], [0, 0]], [[0, 0], [-4435/2, 529/2], [4597, 417], [-1/2, -1/2]], [[0, 0], [-360, 136], [550, -198], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94, -10], [-6, 6], [0, 0]], [[0, 0], [-970, -10770], [2774, -206], [2, 2]], [[0, 0], [202991/2, -86989/2], [20855, -7837], [-13/2, 7/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -2], [-110, -10], [0, 0]], [[0, 0], [-15/2, 15/2], [-26, 62], [5/2, -5/2]], [[0, 0], [99/2, -57/2], [272, -210], [-33/2, 19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -2], [-94, -10], [0, 0]], [[0, 0], [-2, -1], [-18, -60], [2, -1]], [[0, 0], [25/2, 13/2], [164, 366], [-21/2, 11/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[144, -80]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 8], [34, 6], [0, 0]], [[0, 0], [477/2, -95/2], [1407, -457], [3/2, -5/2]], [[0, 0], [-8127/2, 2761/2], [-26609, 9971], [-117/2, 63/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -6], [-14, 6], [0, 0]], [[0, 0], [-299/2, -215/2], [-15, -3], [5/2, 1/2]], [[0, 0], [2378, 506], [-480, 264], [80, -44]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14028, 5420], [-40, -16], [0, 0]], [[0, 0], [383850, 250672], [217964, 139592], [10, 0]], [[0, 0], [-102244, -122867/2], [-55164, -35318], [4, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14852, 5768], [8, -20], [0, 0]], [[0, 0], [-270020, -347609/2], [-152156, -97438], [0, 1/2]], [[0, 0], [-90008, -57936], [-50720, -32480], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-23552, 9216]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1252, 404], [-24, -40], [0, 0]], [[0, 0], [-69536, 28273], [2128, -154], [-20, 5]], [[0, 0], [57482, -24099], [-2196, -138], [18, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, -36], [-8, 16], [0, 0]], [[0, 0], [382, -294], [-212, -28], [10, -2]], [[0, 0], [10830, -4333], [-2260, 802], [170, -65]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[-23552, 9216]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1236, -492], [-8, 32], [0, 0]], [[0, 0], [183248, -71485], [-5456, 2018], [28, -9]], [[0, 0], [18, 9], [-4, -2], [2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1004, 388], [40, 32], [0, 0]], [[0, 0], [-492530, 192264], [-3060, 1176], [-10, 0]], [[0, 0], [-6, -5], [4, 2], [-2, -1]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[-23552, 9216]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, -24], [-16, 8], [0, 0]], [[0, 0], [250, -91], [-60, 2], [-18, 5]], [[0, 0], [-4656, 1843], [672, -346], [300, -125]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-300, 188], [40, 24], [0, 0]], [[0, 0], [4130, -1734], [-68, -44], [6, -2]], [[0, 0], [1390, -481], [36, 22], [2, -1]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[752, -304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-106, -14], [-50, -6], [0, 0]], [[0, 0], [47893/2, -6807/2], [11440, -1718], [5/2, 1/2]], [[0, 0], [-1106130, 435924], [-533948, 210344], [-64, 26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 4], [22, 10], [0, 0]], [[0, 0], [-2119/2, 337/2], [-320, -90], [-1/2, -5/2]], [[0, 0], [212593, -82395], [29276, -10904], [-539, 217]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[752, -304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [126, -6], [-34, -6], [0, 0]], [[0, 0], [-13049/2, 2611/2], [1527, -13], [5/2, 5/2]], [[0, 0], [934609, -364127], [-169084, 65664], [151, -61]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, 4], [34, -2], [0, 0]], [[0, 0], [-7189, -48], [-2454, 228], [5, 2]], [[0, 0], [-503581/2, 197939/2], [-99549, 39035], [131/2, -53/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[2306832, -900560]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1824, 712], [-26, -6], [0, 0]], [[0, 0], [1545/2, -147], [35592, 22783], [-3/2, 1]], [[0, 0], [1005, -753], [-82992, -53168], [-5, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-564, 220], [18, -2], [0, 0]], [[0, 0], [-359/2, 7], [1244, 799], [-1/2, -2]], [[0, 0], [336, -242], [2188, 1392], [-10, 0]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[2306832, -900560]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-354, 138], [-12, 4], [0, 0]], [[0, 0], [1194, 1625/2], [4730, 3027], [0, 1/2]], [[0, 0], [4495/2, 1066], [7171, 4608], [9/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1430, 558], [18, -2], [0, 0]], [[0, 0], [4617/2, 239], [-21995, -14078], [1/2, 1]], [[0, 0], [40906, -22172], [119336, 76708], [-32, 6]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[752, -304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 16], [38, 10], [0, 0]], [[0, 0], [-11192, 5843], [11240, 1262], [6, 1]], [[0, 0], [15848435/2, -6166493/2], [-3572692, 1434126], [-3413/2, 1379/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, -2], [64, 8], [0, 0]], [[0, 0], [-1264, 159], [1566, -144], [-4, -1]], [[0, 0], [788783/2, -309853/2], [-466842, 183592], [1261/2, -507/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[752, -304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-194, 2], [32, 8], [0, 0]], [[0, 0], [-304560, 64355], [39610, -308], [0, -1]], [[0, 0], [17557039/2, -6808239/2], [-872847, 334383], [-67/2, 27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, -4], [-22, 6], [0, 0]], [[0, 0], [5093/2, 1615/2], [281, -29], [-7/2, -5/2]], [[0, 0], [-54609/2, 21151/2], [-6913, 2695], [-17/2, 7/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[2306832, -900560]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-840, 328], [-10, 10], [0, 0]], [[0, 0], [-3/2, 12], [668, 429], [1/2, 0]], [[0, 0], [-2, 2], [78, 50], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2362, 922], [-10, 10], [0, 0]], [[0, 0], [217/2, 283], [-19528, -12509], [-5/2, 0]], [[0, 0], [284, -301], [11406, 7312], [4, -1]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[2306832, -900560]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2060, -804], [22, -6], [0, 0]], [[0, 0], [9817/2, 2153], [51087, 32700], [3/2, 2]], [[0, 0], [-9814, 7394], [44508, 28716], [16, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1194, 466], [22, -6], [0, 0]], [[0, 0], [1943/2, 413], [-15681, -10054], [-5/2, 1]], [[0, 0], [174, 114], [-3604, -2308], [0, 0]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[148, -23]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [53336, -20820], [-4, 1], [0, 0]], [[-4, 5/2], [-383128, -241019], [122114, 78195], [-4, 5/2]], [[116, -42], [-1229562, -1773773/2], [427210, 547407/2], [116, -42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18560, 7264], [12, -1], [0, 0]], [[6, 2], [1161854, 1492113/2], [233108, 298561/2], [6, 2]], [[-3784, 2739/2], [-24840748, -20063932], [-5781394, -3704162], [-3784, 2739/2]]], 0, 2048, [], [] >,
< [ -4, -1, 1 ], [[28, -13]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-418, 363/2], [-462, 361/2], [0, 0]], [[0, -5/2], [211115, 265457/2], [8241/2, 40], [-5/2, 0]], [[4, -8], [543622, 337783], [14661, -1509], [-9, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-214, 181/2], [-234, 183/2], [0, 0]], [[-10, -4], [30717, 37747/2], [2915/2, 95], [-3/2, -5/2]], [[-116, 609/2], [-860155, -676468], [214069/2, -127123/2], [667/2, -29]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[28, -13]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162, 143/2], [-190, 149/2], [0, 0]], [[8, 4], [-124418, -150911/2], [-9344, -2515/2], [2, 2]], [[-4, 19/2], [-90361, -206617/2], [88107/2, -22679], [21/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-256, 110], [-284, 111], [0, 0]], [[-6, -3/2], [-51902, -64801/2], [-1536, -185/2], [0, -3/2]], [[-6, 14], [148997, 203597/2], [-9107/2, 3880], [31/2, -3/2]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[356, -139]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -3/2], [2, 3/2], [0, 0]], [[-5, 0], [-495/2, 166], [-53/4, -13/4], [5/4, -5/4]], [[7, -5/2], [1391/2, -280], [49/4, -15/4], [-17/4, 7/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -3/2], [4, 3/2], [0, 0]], [[-1, 0], [3945/2, -561], [519/4, 11/4], [1/4, -1/4]], [[7, -5/2], [-39053/2, 14995/2], [-3543/4, 1255/4], [-17/4, 7/4]]], 1, 4, [], [] >,
< [ -4, -1, 1 ], [[164, -67]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1308, 505], [8, -2], [0, 0]], [[2, -3/2], [23814, 30341/2], [-4754, -6083/2], [2, -3/2]], [[-113, 65/2], [380490, 246667], [-76637, -49187], [-113, 65/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -61], [-8, 0], [0, 0]], [[3, 3/2], [13348, 17131/2], [1897, 2437/2], [3, 3/2]], [[-26, 15/2], [-12276, -8870], [-1680, -1287], [-26, 15/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[164, -67]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6106, 4745/2], [2, 3/2], [0, 0]], [[-1, 5/2], [-2876, 2469/2], [1, -5/2], [-1, 5/2]], [[2856, -1649/2], [2536586, -1949737/2], [-2856, 1649/2], [2856, -1649/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2240, -929], [-20, 0], [0, 0]], [[-1, -5/2], [-411900, -530623/2], [-59203, -75805/2], [-1, -5/2]], [[91, -26], [1431296, 1693843/2], [194811, 250453/2], [91, -26]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[104, -30]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, 1/2], [3986, -3127/2], [18, 1/2], [0, 0]], [[943560, 604170], [-902092, -1211155/2], [943560, 604170], [4, -1/2]], [[6518070, 8345025/2], [-5844220, -8666969/2], [6518070, 8345025/2], [70, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 5/2], [3130, -2433/2], [-2, 5/2], [0, 0]], [[-822, -1051/2], [-1908, -3963/2], [-822, -1051/2], [-10, -2]], [[27000, 16950], [-193172, 327925/2], [27000, 16950], [1804, -1025/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[104, -30]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-30, -5/2], [-1402, 1009/2], [-30, -5/2], [0, 0]], [[19908, 12741], [60592, 76311/2], [19908, 12741], [4, -5/2]], [[709530, 909681/2], [2102086, 2769099/2], [709530, 909681/2], [-324, 93]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -1], [-4008, 1564], [4, -1], [0, 0]], [[24050, 30799/2], [-30950, -35381/2], [24050, 30799/2], [-8, 0]], [[349650, 447525/2], [-587686, -203281], [349650, 447525/2], [-448, 259/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[24, -2]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, -5/2], [138, -155/2], [-18, -5/2], [0, 0]], [[36330, 45535/2], [80029, 60393], [36330, 45535/2], [1, 1/2]], [[-490, -455/2], [530, -2491/2], [-490, -455/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[26, 3/2], [46, 23/2], [26, 3/2], [0, 0]], [[-20504, -13662], [-52535, -68541/2], [-20504, -13662], [-1, 3/2]], [[688600, 420046], [1713640, 1072681], [688600, 420046], [-116, 10]]], 0, 32, [], [] >,
< [ -4, -1, 1 ], [[536, -194]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-68, -1], [-4168, 1676], [-68, -1], [0, 0]], [[-13041558, -16700119/2], [22971892, 14874355], [-13041578, -16700129/2], [-10, -5/2]], [[-45815252, -29016561], [48714198, 128356241/2], [-45816824, -29015992], [-786, 569/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, -5/2], [414, -289/2], [-18, -5/2], [0, 0]], [[-14410, -18425/2], [26512, 16300], [-14374, -18415/2], [18, 5/2]], [[55352, 33374], [-183794, -54003/2], [52940, 34245], [-1206, 871/2]]], 0, 2048, [], [] >,
< [ -4, -1, 1 ], [[536, -194]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [-11014, 8593/2], [-2, -1/2], [0, 0]], [[0, 0], [488, -106], [0, 0], [4, 1]], [[0, 0], [55954, -43289/2], [0, 0], [214, -155/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, -1], [10216, -4046], [-20, -1], [0, 0]], [[425120, 272242], [2789478, 3572675/2], [425120, 272242], [-6, -3/2]], [[1206918, 1545847/2], [7921286, 10141681/2], [1206918, 1545847/2], [-384, 139]]], 0, 2048, [], [] >,
< [ -4, -1, 1 ], [[200, -78]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-270, 104], [26, -9], [0, 0]], [[-2, 3/2], [-5302, 4321/2], [438, -483/2], [2, -1/2]], [[-25, -16], [-7453/2, -4707/2], [11595/4, 7413/4], [-39/4, -25/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, 118], [-14, 5], [0, 0]], [[5, -1/2], [10682741/26, 4157911/13], [-362715/52, 3077/52], [-33/52, -1/52]], [[44, -27/2], [7282303/13, 25922983/26], [-1454857/26, 196312/13], [-127/26, 16/13]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[200, -78]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, -24], [6, -3], [0, 0]], [[1, -2], [645/2, -245/2], [101/4, -61/4], [-9/4, 1/4]], [[-78, -101/2], [234, 161/2], [-259, -345/2], [-31, -39/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 19], [-6, 1], [0, 0]], [[7, -1/2], [288443/26, 196585/13], [-174245/52, -6161/52], [-47/52, -3/52]], [[-855, 525/2], [17210389/26, -11432810/13], [18923885/52, -5019327/52], [4935/52, -1245/52]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[24, -2]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-236, 94], [-24, 11], [0, 0]], [[-10, 0], [-32283, 12550], [-7045/2, 2705/2], [5/2, -5/2]], [[-24, -3/2], [-69601, 54049/2], [-15209/2, 2906], [9/2, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1204, 4], [16, -3], [0, 0]], [[-10, 3/2], [196548642/13, 88789977/26], [-2169948/13, 6561/26], [16/13, -1/26]], [[98, -36], [-1097230475/13, 314646144/13], [35282775/26, -12189759/26], [-271/26, 95/26]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[24, -2]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-324, 127], [-24, 10], [0, 0]], [[8, 9/2], [-621, 497/2], [-101/2, 22], [5/2, 2]], [[14, -7/2], [-12764, 9969/2], [-1073, 839/2], [-7, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-512, -14], [12, 5], [0, 0]], [[-18, 5/2], [63415200/13, -35875265/26], [-785201/13, -3891/26], [29/13, -1/26]], [[-8718, 3200], [35862028777/13, -13693729576/13], [-635418857/26, 220339259/26], [24113/26, -8441/26]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[600, -234]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-42, -1/2], [-6, 0], [-42, -1/2], [0, 0]], [[9593, 6], [17509/13, -185/13], [18909/2, 37/2], [-37/78, 1/26]], [[-495996, 273639/2], [-916480/13, 514119/26], [-488115, 268745/2], [1043/39, -641/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 3/2], [-88, -5], [6, 3/2], [0, 0]], [[332, 369/2], [-3995, -45603/26], [9081/26, 2542/13], [-5/78, -2/39]], [[9522, -10467/2], [-3887878/13, 1725714/13], [122808/13, -137539/26], [170/39, -4/3]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[600, -234]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[34, 1/2], [8, -3], [34, 1/2], [0, 0]], [[19267, 23071/2], [6221/13, -343/26], [38525/2, 11536], [19/78, -2/39]], [[248068, 136556], [138806/13, -26545/13], [247962, 136582], [238/39, -24/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, 5/2], [216, -18], [-22, 5/2], [0, 0]], [[-904, 4255/2], [78503/13, -562567/26], [-24183/26, 27817/13], [-5/78, 2/39]], [[299608, -64046], [-37665750/13, 7230391/13], [302328, -65046], [120/13, -110/39]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[-72, 6]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[34, 1/2], [12, 6], [34, 1/2], [0, 0]], [[246, 196], [658/13, 3859/26], [358, 195], [-56/39, 1/78]], [[-15279, 26267/2], [-819678/13, 747325/26], [27775, -5251/2], [-21527/39, 5253/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, -1/2], [-1780, 730], [14, -1/2], [0, 0]], [[266207, 342069/2], [25897246/13, 2332581/2], [3460673/13, 4446669/26], [-1/39, 5/78]], [[-3243366, -1890977], [178032512/13, -359678940/13], [-42129306/13, -24594761/13], [-346/13, 127/13]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[-72, 6]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, -3/2], [-160, 66], [18, -3/2], [0, 0]], [[8100, 10035/2], [46746/13, 98651/26], [7916, 10029/2], [92/39, 1/26]], [[225547, 58839], [-8314386/13, 8918683/26], [168033, 79948], [28757/39, -21109/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-38, -3/2], [-1724, 564], [-38, -3/2], [0, 0]], [[-1897167, -2441609/2], [-12284350, -215703075/26], [-24663201/13, -31740881/26], [1/39, -1/78]], [[-9360, -5876], [-70076, -36253], [-9360, -5876], [0, 0]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[2180, -851]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2948/59, 811/118], [-550/59, -5/118], [0, 0]], [[110421, -2], [1025117/53, 343273/106], [4269, 2191/2], [110421/40651, -2/40651]], [[172605878, -97649553/2], [76631277488/3127, -30780684589/6254], [279394724/59, -77820969/118], [172605878/40651, -97649553/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3682/59, -2127/118], [362/59, -1/118], [0, 0]], [[-7422, -3/2], [-98856621/3127, -48661279/3127], [-440858/59, -305612/59], [-8649/40651, -3/81302]], [[335778, -193087/2], [3880442283/6254, 564407927/6254], [4040400/59, 4114832/59], [782603/81302, -112512/40651]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[2180, -851]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2526/59, 351/59], [193/59, -1/59], [0, 0]], [[580646, 2], [-979541918/3127, -759858143/6254], [-1327502/59, -619131/118], [580646/40651, 2/40651]], [[-54777755742, 31766460161/2], [50838402843892/3127, -2690891255297/6254], [91363937186/59, -31154155847/118], [-928436538/689, 538414579/1378]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4412/59, -3059/118], [212/59, 3/118], [0, 0]], [[-27338, -5/2], [358077061/6254, -63068964/3127], [-575302/59, -787437/118], [-63715/81302, -2/40651]], [[237324364, -68518959], [-4373711867103/6254, 838294215976/3127], [1046695608/59, 1978025301/118], [553135657/81302, -159704215/81302]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[188, -69]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 5], [4, 0], [0, 0]], [[200372, -1/2], [-96016642/3127, -42682655/3127], [-22988/59, -72269/59], [200372/40651, -1/81302]], [[-2060804382, 1492627591/2], [351609726946/3127, -155235853937/6254], [-840271390/59, 776959185/118], [-158523414/3127, 114817507/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9110/59, 12629/118], [346/59, 1/118], [0, 0]], [[89951, 3/2], [15219933535/3127, 10331690592/3127], [15094802/59, 9474286/59], [89951/40651, 3/81302]], [[8346834437, -6045252241/2], [23594105412587/3127, 200191632883773/6254], [127231431664/59, 107099606103/118], [8346834437/40651, -6045252241/81302]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[188, -69]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10618/59, 693/118], [-3146/59, -5/118], [0, 0]], [[107538, -5/2], [-23108912118/3127, -9345823453/3127], [-137097400/59, -58783010/59], [107538/40651, -5/81302]], [[-6320658602, 2289006542], [562513019872438/3127, -141496867232494/3127], [3053059752380/59, -714336842505/59], [-6320658602/40651, 2289006542/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29876/59, 525/59], [-1384/59, -2/59], [0, 0]], [[203255, 0], [256102967/59, 300692827/118], [11715340/59, 14635355/118], [5, 0]], [[3401765116, -2463167281/2], [34040523102806/3127, 2833579401733/3127], [18712982952/59, 7145049644/59], [3401765116/40651, -2463167281/81302]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[56, -18]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-96, -1/2], [2035/59, 527/118], [-96/59, -1/118], [0, 0]], [[49610, 16720], [-673154502/3127, -27934574/3127], [49610/59, 16720/59], [371626/40651, -1/40651]], [[-1536770620, 305840150], [35822150782641/3127, -23230469371831/6254], [-1536770620/59, 305840150/59], [-20936748172/40651, 13982264797/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22, -1/2], [-2508/59, -4547/118], [22/59, -1/118], [0, 0]], [[2398, 1332], [-8536854193/40651, -785428567/81302], [2398/59, 1332/59], [-39818/40651, -3/81302]], [[25752008, 7439469/2], [-25435577498598/3127, 8189598982288/3127], [25752008/59, 7439469/118], [-1642861120/40651, 1093905853/81302]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[56, -18]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-425302, -2], [-1286574638/3127, 5701/6254], [-425302/59, -2/59], [-423952/40651, -1/81302]], [[19558711240, -13035429691/2], [59167306722314/3127, -39433826749341/6254], [19558711240/59, -13035429691/118], [19496719246/40651, -6497072017/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[598, 5/2], [179805/59, 2203/118], [598/59, 5/118], [0, 0]], [[-1358252, 711141/2], [-280659709172/40651, 73257961534/40651], [-1358252/59, 711141/118], [-1320/40651, 1/81302]], [[-801842882, 603311133/2], [-165562251291100/40651, 124538477621801/81302], [-801842882/59, 603311133/118], [-578380/40651, 192269/40651]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[296, -110]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[126, 5/2], [-13538/59, 9519/118], [126/59, 5/118], [0, 0]], [[-3269654, -4250119/2], [1748582218/3127, 2107234381/6254], [-3269654/59, -4250119/118], [92836/40651, -2/40651]], [[-5607707130, -6931849185], [214831981166/59, 7950977181/118], [-5607707130/59, -6931849185/59], [118261080/767, -88668405/1534]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-170, -3/2], [-79386/59, -661/118], [-170/59, -3/118], [0, 0]], [[-26696, -8661/2], [-16962927274/40651, -2757059879/81302], [-26696/59, -8661/118], [-21402/40651, 1/40651]], [[-2850801214, 2060657709/2], [-161692585003124/3127, 59677383445345/3127], [-2850801214/59, 2060657709/118], [-3020354006/40651, 2264680943/81302]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[296, -110]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2036, -2], [16164/59, 1231/59], [-2036/59, -2/59], [0, 0]], [[-42488884, -27586943], [21862830658/3127, 27646806557/6254], [-42488884/59, -27586943/59], [145162/40651, -1/81302]], [[30186843020, 70920660071/2], [-30546408565296/3127, -11987707344154/3127], [30186843020/59, 70920660071/118], [-3911391540/40651, 2932705335/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[752, -1], [339072/59, 3064/59], [752/59, -1/59], [0, 0]], [[10472698, 14327079/2], [3375355711734/40651, 4565214474715/81302], [10472698/59, 14327079/118], [-44752/40651, -2/40651]], [[3490626998, -7124996832], [617278960069734/40651, -4169499288350821/81302], [3490626998/59, -7124996832/59], [578172240/40651, -433527225/81302]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[212, -7]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3164/59, 879/59], [268/59, -2/59], [0, 0]], [[6986, -3/2], [53690938/3127, -8199303/6254], [8162/59, -7525/118], [6986/3127, -3/6254]], [[52349733, -41941659/2], [451405879687/3127, -179527377234/3127], [106304206/59, -41387011/59], [52349733/3127, -41941659/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10194/59, -12517/118], [-1274/59, -3/118], [0, 0]], [[6986, -3/2], [-198940479744/3127, -127340627148/3127], [-183521696/59, -116794124/59], [6986/3127, -3/6254]], [[409661957, -328209625/2], [299409761925297/3127, 197313832596097/3127], [212609362954/59, 205810128935/59], [6943423/53, -5562875/106]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[212, -7]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28744/59, -3714/59], [928/59, 1/59], [0, 0]], [[-14903, -3/2], [156097796615/3127, 97579551944/3127], [141511194/59, 89453909/59], [-14903/3127, -3/6254]], [[356337786, -285474815/2], [5964367183250/3127, 192956036548417/6254], [43444359282/59, 146464084235/118], [356337786/3127, -285474815/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6654/59, 127/118], [330/59, 3/118], [0, 0]], [[2395, 3/2], [-1372904769/3127, -982497495/3127], [-1267250/59, -908597/59], [2395/3127, 3/6254]], [[10810632, -4330390], [909177527380/3127, -176495822505/3127], [851586400/59, -167543966/59], [10810632/3127, -4330390/3127]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[13348, -5211]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [308/59, -1425/118], [-448/59, -3/118], [0, 0]], [[5982, -1], [211013995/6254, 181805803/6254], [763520/59, 572960/59], [-14171/6254, -3/6254]], [[2653870, -2287487/2], [-22712383525/3127, 2771986815/3127], [-99464960/59, -1359040/59], [-3141377/3127, 2708105/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2948/59, -929/118], [668/59, 5/118], [0, 0]], [[5776, -1/2], [8675809/6254, 66948817/6254], [212576/59, 210678/59], [-13683/6254, -2/3127]], [[-22822830, 19629855/2], [210362947741/3127, -136005701623/6254], [591991894/59, -226392491/118], [27015345/3127, -23239305/6254]]], 1, 672, [], [] >,
< [ -4, -1, 1 ], [[13348, -5211]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2196/59, -3431/118], [-684/59, -3/118], [0, 0]], [[1320, -1/2], [123462931/118, 70454057/118], [17420488/59, 11746699/59], [-1/2, 0]], [[-2839184, 1222806], [-117868550030/3127, 744863982548/3127], [6060060000/59, 1756575725/59], [3360734/3127, -1447652/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [706/59, 841/118], [550/59, 5/118], [0, 0]], [[-2022, -1/2], [358720135/3127, 247114430/3127], [2001538/59, 1555836/59], [2395/3127, 3/6254]], [[-18443498, 7943672], [-1222233481045/6254, -125879361733/3127], [-6192520188/59, 434652331/118], [43663031/6254, -18808663/6254]]], 1, 672, [], [] >,
< [ -4, -1, 1 ], [[88, -58]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[494, -1/2], [-16668/59, 645/118], [494/59, -1/118], [0, 0]], [[68, 131/2], [2336302/3127, -216429/6254], [68/59, 131/118], [-974/3127, -2/3127]], [[-4160, -592], [128113143/3127, -138728315/6254], [-4160/59, -592/59], [-47996/3127, 55877/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[686, 1/2], [-268066/59, 2777/118], [686/59, 1/118], [0, 0]], [[8936730, 11039490], [-40176892069/689, -99679658515/1378], [151470, 187110], [-199782/40651, -5/81302]], [[57425535090, 6371735535/2], [-15328840554813287/40651, -1657988532711855/81302], [57425535090/59, 6371735535/118], [650788934/40651, -391515937/40651]]], 1, 672, [], [] >,
< [ -4, -1, 1 ], [[88, -58]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-25356, -3], [14236010/3127, 5395/6254], [-25356/59, -3/59], [-24670/3127, -5/6254]], [[-9735912, 11699779/2], [5465248056/3127, -3284238249/3127], [-9735912/59, 11699779/118], [-9472896/3127, 11383373/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-516, 1], [-155405/59, 535/59], [-516/59, 1/59], [0, 0]], [[5443466, 2873659/2], [1092136058096/40651, 296015836204/40651], [5443466/59, 2873659/118], [57606/40651, -1/81302]], [[-17475857248, 47533858731/2], [-3342374386353818/40651, 9482557730667371/81302], [-17475857248/59, 47533858731/118], [-506788418/40651, 304824573/40651]]], 1, 672, [], [] >,
< [ -4, -1, 1 ], [[584, -262]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-966, 1/2], [30238/59, -16457/118], [-966/59, 1/118], [0, 0]], [[-877043332, -1117838825/2], [445970003184/3127, 279374085183/3127], [-877043332/59, -1117838825/118], [-43432/3127, -5/6254]], [[-19875135389336, -13626156791869], [8451776458304210/3127, 14920147687398641/6254], [-19875135389336/59, -13626156791869/59], [8491991974/3127, -7435059413/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[642, 3/2], [165526/59, 104147/118], [642/59, 3/118], [0, 0]], [[9888676, 6265960], [3197483589754/40651, 3993931625641/81302], [9888676/59, 6265960/59], [125426/40651, -5/81302]], [[108034312632, 160722022359/2], [29851964179543248/40651, 27615652991463775/40651], [108034312632/59, 160722022359/118], [-12496856168/40651, 10942207559/81302]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[584, -262]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1542, -5/2], [11886/59, 2163/118], [-1542/59, -5/118], [0, 0]], [[-121020970, -156617745/2], [60830022184/3127, 39239133104/3127], [-121020970/59, -156617745/118], [2294/3127, 3/6254]], [[-11972504488, -13306144451/2], [5858657477352/3127, 3395242503408/3127], [-11972504488/59, -13306144451/118], [-1707124/3127, 1494739/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-126, -5/2], [-104226/59, 33551/118], [-126/59, -5/118], [0, 0]], [[-60137808, -77026863/2], [-19191983522704/40651, -12274268680866/40651], [-60137808/59, -77026863/118], [23696/40651, 1/81302]], [[-260776411940, -166884664860], [-82181739377052788/40651, -53592574567992847/40651], [-260776411940/59, -166884664860/59], [-14331284/689, 6274386/689]]], 0, 5376, [], [] >,
< [ -4, -1, 1 ], [[1800, -702]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, -2], [-18, 7], [16, -2], [0, 0]], [[-2, 25/2], [566/13, 125/26], [216, 35/2], [40/13, 3/26]], [[-47, 109/2], [2629/13, -158/13], [2045/2, -87], [389/26, -47/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 1/2], [58, -8], [-6, 1/2], [0, 0]], [[214, -257/2], [-27349/13, 33821/26], [5349/26, -1723/13], [5/26, 1/13]], [[-116870, 92365/2], [15145913/13, -5990135/13], [-3021895/26, 598280/13], [-579/26, 177/26]]], 1, 320, [], [] >,
< [ -4, -1, 1 ], [[1800, -702]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-38, -3/2], [12, -5], [-38, -3/2], [0, 0]], [[13447, 9519], [9765/13, -218/13], [26973/2, 19043/2], [-31/26, -1/26]], [[-3384, -12303/2], [-29326/13, 19259/26], [-3489, -12239/2], [43/13, -27/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-40, -2], [470, -5], [-40, -2], [0, 0]], [[-3570, -3969/2], [481085/13, 257282/13], [-93007/26, -25823/13], [-3/26, -1/26]], [[36414, -6069/2], [-5734211/13, 1530813/26], [953149/26, -40493/13], [85/26, -1]]], 1, 320, [], [] >,
< [ -4, -1, 1 ], [[-216, 18]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-30, 1/2], [-112, 35], [-30, 1/2], [0, 0]], [[5041, 6485/2], [50138/13, 65615/26], [5117, 6505/2], [-19/13, -5/26]], [[-7, 5/2], [-270/13, 191/26], [21, -15/2], [-7/13, 5/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, -5/2], [-124, -15], [-18, -5/2], [0, 0]], [[546, 893/2], [50848/13, 38212/13], [7113/13, 11539/26], [-1/13, 1/13]], [[-75118, 12521/2], [-5046190/13, -120353/26], [-951254/13, 145073/26], [-914/13, 671/26]]], 0, 2560, [], [] >,
< [ -4, -1, 1 ], [[-216, 18]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, -3/2], [-44, 10], [-22, -3/2], [0, 0]], [[1050, 1501/2], [8630/13, 15139/26], [1170, 1497/2], [-30/13, 1/26]], [[155, -2305/2], [21874/13, -37663/26], [-1105, -1405/2], [315/13, -225/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[38, -1/2], [496, -98], [38, -1/2], [0, 0]], [[46168, 30184], [3925154/13, 5294269/26], [600339/13, 392507/13], [-3/13, -5/26]], [[-4400040, 713520], [-823906624/13, 234581401/13], [-57291240/13, 9307520/13], [3280/13, -1204/13]]], 0, 2560, [], [] >,
< [ -4, -1, 1 ], [[240, -148]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25624, -10022], [16, 0], [0, 0]], [[-2, -5/2], [2548144, 1642478], [-854988, -547517], [-2, -5/2]], [[224, -183/2], [1164464, 2802579], [-1057310, -675696], [224, -183/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-119700, 46681], [-12, -5], [0, 0]], [[10, 0], [12207844, 7709060], [2418230, 1548620], [10, 0]], [[408, -333/2], [-15347088, -17090951], [-4475394, -2865052], [408, -333/2]]], 0, 4096, [], [] >,
< [ -4, -1, 1 ], [[112, -44]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [212, -81], [-28, 9], [0, 0]], [[-4, -2], [-220, 95], [19, -16], [-1, -1]], [[-7, -9/2], [33/2, 21/2], [-61/4, -39/4], [-11/4, -7/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-674, 261], [18, -5], [0, 0]], [[3, 7/2], [45207/2, -17913/2], [-1555/4, 1223/4], [11/4, 3/4]], [[-121, -77], [20977/2, -1103/2], [-16645/4, -9971/4], [-187/4, -121/4]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-932, 363], [52, -21], [0, 0]], [[-10, -3], [35627, -13867], [-4055/2, 1595/2], [-1/2, -5/2]], [[-46, 9/2], [354200, -138195], [-20222, 7906], [16, -23/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [824, -322], [-216, 84], [0, 0]], [[-8, 1/2], [33, -15], [15/2, -1/2], [5/2, -2]], [[-4, -5/2], [-3, -2], [7/2, 5/2], [-3/2, -1]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [672, -262], [144, -56], [0, 0]], [[-4, -1/2], [4535, -1774], [2023/2, -799/2], [1/2, -1]], [[80, 4], [-104044, 40679], [-23228, 9147], [-16, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-404, 157], [140, -55], [0, 0]], [[0, -2], [-4344, 1689], [1574, -623], [-2, 0]], [[-8, -3/2], [7959, -3123], [-5857/2, 2247/2], [1/2, -2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28892, 11269], [4, -3], [0, 0]], [[3, 1/2], [1279326, 821846], [182603, 116940], [3, 1/2]], [[242, -112], [-13912556, -8424659], [-1915530, -1226083], [242, -112]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [732, -303], [-4, 5], [0, 0]], [[-5, 3/2], [-24670, -15887], [4963, 3167], [-5, 3/2]], [[-160, 74], [635160, 403423], [-126000, -81111], [-160, 74]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56720, 22143], [-8, 3], [0, 0]], [[3, 3/2], [14050, -5533], [3, 3], [3, 3/2]], [[-1129, -723], [20362, 12984], [-1763, -1129], [-1129, -723]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17400, 6798], [-16, 8], [0, 0]], [[3, -1/2], [202670, -79144], [223, -90], [3, -1/2]], [[27246, 17448], [-974548, -625557], [-119742, -76683], [27246, 17448]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3920, 1529], [40, -17], [0, 0]], [[0, -1/2], [609791, -238231], [-13251/2, 4799/2], [-1/2, 0]], [[0, 0], [65992, -25738], [-672, 288], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-324, 126], [-12, 4], [0, 0]], [[-6, -5/2], [-292, 165/2], [-15, 15/2], [-1, -3/2]], [[8, -5/2], [1669, -1295/2], [209/2, -41], [-9/2, 2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2604, -1017], [12, -5], [0, 0]], [[-6, 1], [8209, -3198], [99/2, -29/2], [5/2, -3/2]], [[-88, 55/2], [141395, -55165], [1593/2, -573/2], [99/2, -22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [472, -183], [-40, 17], [0, 0]], [[4, 7/2], [-38809, 30319/2], [6955/2, -1351], [5/2, 1]], [[20, 5/2], [428893, -334833/2], [-76675/2, 14980], [-5/2, 5]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[112, -44]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-338, 134], [-6, 0], [0, 0]], [[-1, 0], [15711/2, -6121/2], [331/4, -155/4], [1/4, -1/4]], [[7, 9/2], [317/2, -327/2], [417/4, 255/4], [11/4, 7/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-850, 333], [-6, 1], [0, 0]], [[1, 3/2], [24003/2, -4672], [255/4, -109/4], [5/4, 1/4]], [[-90, -115/2], [1210, -2233/2], [117, 129/2], [-35, -45/2]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[112, -44]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-110, 41], [22, -7], [0, 0]], [[5, 4], [-16731/2, 6523/2], [6409/4, -2389/4], [11/4, 5/4]], [[-10, -13/2], [1094, -414], [-256, 46], [-4, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, -35], [-18, 7], [0, 0]], [[5, 1/2], [99/2, -23], [-9/4, 15/4], [-3/4, 5/4]], [[234, 299/2], [-344, -455/2], [273, 351/2], [91, 117/2]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, 53], [-204, 79], [0, 0]], [[0, 0], [67339, -26601], [191819/2, -74967/2], [-7/2, 3/2]], [[0, 0], [-417357, -265617], [-115077/2, -69003/2], [361/2, 231/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 9], [-28, 11], [0, 0]], [[0, 0], [-44, 10], [-30, 0], [6, 0]], [[0, 0], [557, 363], [1825/2, 1175/2], [-365/2, -235/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[32, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -7], [14, -5], [0, 0]], [[0, 0], [-104, 36], [-62, 24], [2, 0]], [[0, 0], [-43/2, -33/2], [31/4, 13/4], [17/4, 11/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -13], [-12, 3], [0, 0]], [[0, 0], [-5141/2, 1995/2], [3469/4, -1421/4], [11/4, 1/4]], [[0, 0], [3827/2, -877/2], [1153/4, 3031/4], [-273/4, -171/4]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [292, -113], [276, -107], [0, 0]], [[0, 0], [-25, 38], [-135/2, 61/2], [-17/2, -3/2]], [[0, 0], [-4950, -3197], [-695, -482], [851, 543]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, -35], [12, -5], [0, 0]], [[0, 0], [259, -91], [157/2, 3/2], [11/2, 5/2]], [[0, 0], [308, 321], [1336, 879], [196, 126]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2164, -806], [4, 4], [0, 0]], [[0, 0], [-30688, -18613], [-4240, -2723], [-8, 2]], [[0, 0], [-359810, -183250], [-44603, -28915], [-325, 115]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3836, 1448], [20, 2], [0, 0]], [[0, 0], [1225576, 754521], [-236924, -151671], [-28, 12]], [[0, 0], [-23441522, -15552903], [4745159, 3039678], [-539, 189]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[192, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-748, 294], [52, -20], [0, 0]], [[0, 0], [-4872, 1911], [242, -93], [18, -8]], [[0, 0], [89778, -35298], [-4477, 1707], [-323, 153]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4068, 1595], [4, -3], [0, 0]], [[0, 0], [-69956, 27257], [106, -29], [-2, 2]], [[0, 0], [-998890, 389945], [1343, -522], [-43, 17]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[832, -240]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17728, -6922], [216, -84], [0, 0]], [[0, 0], [-347584, 135665], [-4174, 1659], [-6, 6]], [[0, 0], [-3009476, 1174766], [-36290, 14270], [-70, 40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1816, 688], [-16, 2], [0, 0]], [[0, 0], [65588, 42954], [13490, 8654], [6, -4]], [[0, 0], [259176, 107305], [41974, 25945], [-474, 180]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[32, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-882, 335], [-14, 3], [0, 0]], [[0, 0], [2428, -1036], [6, -24], [-2, 1]], [[0, 0], [76369/2, 48349/2], [37257/4, 23847/4], [-381/4, -243/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-670, 263], [-26, 9], [0, 0]], [[0, 0], [-32490, 12683], [-1209, 472], [-3, -1]], [[0, 0], [-545/2, -349/2], [951/4, 609/4], [317/4, 203/4]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[32, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-558, 233], [6, 1], [0, 0]], [[0, 0], [-162, 53], [-26, -5], [-8, -1]], [[0, 0], [1/2, 1/2], [-15/4, -9/4], [-5/4, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-256, 99], [24, -7], [0, 0]], [[0, 0], [170225/2, -66559/2], [-28407/4, 11695/4], [3/4, 1/4]], [[0, 0], [1012, -2697], [6217, 4266], [25, 16]]], 0, 48, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [388, -160], [-12, -4], [0, 0]], [[0, 0], [2708, 1893], [2872, 1837], [-4, -2]], [[0, 0], [-2065, 1958], [2329/2, 1401/2], [-25/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-232, 159], [16, 5], [0, 0]], [[0, 0], [-10941, -7359], [-3719/2, -2369/2], [-1/2, -1/2]], [[0, 0], [-772, -115], [-60, -45], [0, 0]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-272, 96], [-16, -4], [0, 0]], [[0, 0], [762, 503], [783, 500], [-3, 0]], [[0, 0], [-549, -373], [-1151/2, -733/2], [7/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -23], [12, -5], [0, 0]], [[0, 0], [-221, -112], [-35/2, -23/2], [-5/2, 1/2]], [[0, 0], [956, 526], [80, 52], [8, -1]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[240, -148]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1480, -552], [76, 3], [0, 0]], [[0, 0], [-342298, -424755/2], [-425672, -272400], [14, 5/2]], [[0, 0], [3092332, 2461188], [4497660, 2894009], [360, -225]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3808, -1472], [60, -5], [0, 0]], [[0, 0], [-584826, -730485/2], [-726880, -465364], [-18, -5/2]], [[0, 0], [-29924150, -44558425/2], [-41543588, -26644811], [2414, -2975/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[240, -148]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4516, -1763], [248, -96], [0, 0]], [[0, 0], [-26344, 10290], [-1380, 539], [-8, 2]], [[0, 0], [48170, 61695/2], [0, 0], [-9634, -12339/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6116, -2491], [-56, -4], [0, 0]], [[0, 0], [-17088352, -10965363], [-4280100, -2740815], [8, 1]], [[0, 0], [1064800946, 1348451579/2], [264461340, 169396095], [1134, -1395/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[5072, -1980]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -17], [-72, 28], [0, 0]], [[0, 0], [-1743, 1293/2], [2916, -1141], [3, -3/2]], [[0, 0], [-6535, -8497/2], [-616, -286], [-65, -83/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 18], [-316, 123], [0, 0]], [[0, 0], [-2803, 981], [-19004, 7462], [-5, 0]], [[0, 0], [9207, 10965/2], [-508, -3250], [153, 195/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3484, -1364], [8, 1], [0, 0]], [[0, 0], [132502, 111308], [-167808, -107432], [6, -1]], [[0, 0], [-6842058, 9627025/2], [-2214992, -1407936], [1650, -1253/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4536, 1789], [8, 3], [0, 0]], [[0, 0], [-82498, -118323/2], [-29824, -19096], [2, 3/2]], [[0, 0], [-3013396, 2264681/2], [-13000, -9746], [104, -79/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1276, 515], [12, 1], [0, 0]], [[0, 0], [-275628, -366875/2], [-95200, -60930], [8, 5/2]], [[0, 0], [-104854, 67868], [9468, 5382], [-50, 19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-984, 393], [-16, -3], [0, 0]], [[0, 0], [30194, 24608], [-36880, -23580], [10, -1]], [[0, 0], [-3651084, 4513009/2], [-873120, -526440], [6324, -4805/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[4160, -1624]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [444, -174], [112, -44], [0, 0]], [[2, 2], [-40447/2, 15705/2], [-5095, 1978], [3/2, 1/2]], [[0, -1/2], [31669/2, -12349/2], [3989, -3111/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [194, -76], [-118, 46], [0, 0]], [[0, -5/2], [-39/2, 19/2], [-1, -7/2], [-5/2, 0]], [[-2, 0], [27/2, -9/2], [-3, 0], [1/2, -1/2]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[187936, -73368]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-296, 115], [-484, 189], [0, 0]], [[4, 3/2], [3138, -1235], [5142, -3987/2], [4, 3/2]], [[-463, -593/2], [1649, 1056], [-2112, -2705/2], [-463, -593/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [408, -159], [612, -239], [0, 0]], [[3, 3/2], [39587, -15466], [59568, -46505/2], [3, 3/2]], [[2835, 3631/2], [-12193, -7858], [2296, 2791/2], [2835, 3631/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[187936, -73368]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-308, 121], [592, -231], [0, 0]], [[-3, 5/2], [25831, -9986], [-49250, 38489/2], [-3, 5/2]], [[18036, 11550], [1334120, 854605], [243540, 155481], [18036, 11550]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -10], [-16, 0], [0, 0]], [[-1, -1/2], [-51, -35], [-26, -31/2], [-1, -1/2]], [[0, 0], [4, 1], [0, 1], [0, 0]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[-59264, 23136]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1068, 447], [4, 5], [0, 0]], [[0, 0], [3, 2], [2, 0], [1, 0]], [[0, 0], [-2404, -1899], [-600, -385], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3056, 1198], [8, -2], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [1412, 981], [336, 215], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[59264, -23136]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3376, 1310], [52, -22], [0, 0]], [[0, 0], [-1, 2], [2, 0], [1, 0]], [[0, 0], [33532, -13075], [-532, 211], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4156, 1615], [24, -11], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [7736, -2998], [-44, 22], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[1312, -512]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-198, 80], [-6, 0], [0, 0]], [[0, 0], [8369/2, -3291/2], [84, -31], [-11/2, -5/2]], [[0, 0], [-234, -81], [26, 18], [-64, -41]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1868, -727], [-24, 7], [0, 0]], [[0, 0], [10850, -4558], [198, 261], [-4, 1]], [[0, 0], [320313/2, 206481/2], [-168804, -108108], [555/2, 355/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[1312, -512]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162, 61], [18, -5], [0, 0]], [[0, 0], [-11504, 4477], [1190, -442], [2, 1]], [[0, 0], [-6309/2, -1421/2], [3128, 1870], [467/2, 299/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, 64], [4, 0], [0, 0]], [[0, 0], [-5/2, 1/2], [2, -1], [1/2, 1/2]], [[0, 0], [-14, -9], [14, 9], [0, 0]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[112, -44]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-212, 86], [-16, 3], [0, 0]], [[0, 0], [-7/2, -19/2], [21/4, 31/4], [-1/4, 1/4]], [[0, 0], [-14, -9], [14, 9], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 26], [-10, 1], [0, 0]], [[0, 0], [-869727/26, -1428611/26], [944925/52, -8969/52], [135/52, -3/52]], [[0, 0], [-95533647/26, 42981443/26], [-72313975/52, 27073047/52], [-10525/52, 3949/52]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[112, -44]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, 32], [-4, 1], [0, 0]], [[0, 0], [757/2, -299/2], [89/4, -21/4], [11/4, -3/4]], [[0, 0], [237, -24], [-249/2, -177/2], [-23/2, -17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-134, -141], [18, -6], [0, 0]], [[0, 0], [-5959139/26, -3936109/26], [167741/52, -893/52], [-97/52, 1/52]], [[0, 0], [-764762, -2712727], [988770, -370475], [-576, 216]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [940, -365], [16, -4], [0, 0]], [[0, 0], [-34932, -24579], [-42310, -27129], [-2, 0]], [[0, 0], [-463845, -236995], [-928251/2, -592583/2], [51/2, -37/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-608, 9], [4, -2], [0, 0]], [[0, 0], [-227596, -240234], [-1572, -11], [-4, 0]], [[0, 0], [178208893/13, 39661853/13], [-1120193/26, 852015/26], [-2911/26, 2173/26]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[80, -28]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-200, 86], [12, 3], [0, 0]], [[0, 0], [-877, -482], [-1595/2, -1029/2], [-13/2, -5/2]], [[0, 0], [3001, -11772], [-21869/2, -12701/2], [429/2, -297/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [972, 11], [-8, -2], [0, 0]], [[0, 0], [-14951171/13, 2937309/13], [197243/26, -1013/26], [109/26, -3/26]], [[0, 0], [-331641000, 171858915], [1357804, -1085548], [804, -603]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[336, -132]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 7], [-160, 62], [0, 0]], [[0, 0], [-7017/13, 6535/26], [-7781/2, 3201/2], [-55/78, 1/39]], [[0, 0], [713158/13, 463989/13], [107636, 72773], [-13288/39, -8492/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-736, 293], [-228, 89], [0, 0]], [[0, 0], [647/13, 465/26], [-23/26, -7/26], [-1/78, 0]], [[0, 0], [-2, -3], [0, 0], [0, 0]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[336, -132]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 4], [-244, 95], [0, 0]], [[0, 0], [-2621/13, 976/13], [-7209/2, 2807/2], [-31/78, -1/78]], [[0, 0], [-12464/13, -15825/26], [-1013, -552], [-1633/39, -697/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-186, 79], [-40, 16], [0, 0]], [[0, 0], [-629807/13, 496221/26], [-265961/26, 104207/26], [1/78, -1/39]], [[0, 0], [6004588/13, -182129], [1268104/13, -497043/13], [-4/39, 10/39]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[-240, 84]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, -76], [-60, -5], [0, 0]], [[0, 0], [-147282/13, -215321/26], [-7369, -4417], [-17/39, 1/78]], [[0, 0], [-280528/13, -130294/13], [-9189, -7003], [11/13, -22/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1320, 512], [-332, 129], [0, 0]], [[0, 0], [195658/13, -152705/26], [49740/13, -19470/13], [2/39, -5/78]], [[0, 0], [-176234/13, -207877/26], [289243/13, 187498/13], [3205/13, 4105/26]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-240, 84]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, 69], [36, -1], [0, 0]], [[0, 0], [-1961926/13, -2833755/26], [-97976, -60700], [-10/13, 1/78]], [[0, 0], [49771362/13, 40535247/26], [1602515, 1173948], [-395/13, 1333/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1096, 553], [44, 1], [0, 0]], [[0, 0], [-34294382/13, -42230605/26], [-4844674/13, -3120773/13], [0, -1/26]], [[0, 0], [-1057463320/13, -521082824/13], [-128336869/13, -85560653/13], [229/39, -10/3]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[224, -80]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1276/59, 478/59], [-386/59, 2/59], [0, 0]], [[0, 0], [93240595/3127, 3926199/3127], [354675/59, 25951/59], [371625/40651, 1/40651]], [[0, 0], [-636226209098/3127, 220913577337/3127], [-2307017910/59, 788670215/59], [-2696430960/40651, 953857940/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-896/59, 351/59], [-220/59, -1/59], [0, 0]], [[0, 0], [-1463928607/6254, 26826357/6254], [-26130/59, 84565/59], [-429863/81302, 3/81302]], [[0, 0], [74104383889575/6254, -26227886430075/6254], [7151331200/59, -3160642550/59], [21213940227/81302, -7449329955/81302]]], 0, 576, [], [] >,
< [ -4, -1, 1 ], [[224, -80]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3536/59, 310/59], [215/59, 5/59], [0, 0]], [[0, 0], [-31251500/3127, 1043483/3127], [14522/59, 265/59], [-371914/40651, 6/40651]], [[0, 0], [295255754514/3127, -105629962946/3127], [-127646101/59, 44707037/59], [3355607880/40651, -1184615326/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1582/59, -1065/59], [-574/59, -1/59], [0, 0]], [[0, 0], [10073063053/6254, -681533261/6254], [-4514174/59, -2141090/59], [-1126407/81302, -5/81302]], [[0, 0], [1617403166044119/6254, -582598729932763/6254], [-221906765976/59, 28015219344/59], [-165196408089/81302, 57887402681/81302]]], 0, 576, [], [] >,
< [ -4, -1, 1 ], [[64, -112]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6206/59, 4015/59], [1400/59, 1/59], [0, 0]], [[0, 0], [-10193018030/3127, -7199896498/3127], [-18111848/59, -11526666/59], [-348850/40651, 10/40651]], [[0, 0], [241709478146/3127, -192289705428/3127], [-194076888/59, -87147164/59], [-8694746/3127, 3302564/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17368/59, -1528/59], [676/59, 2/59], [0, 0]], [[0, 0], [-19534888797/3127, -14631401581/3127], [-17462246/59, -13583274/59], [209021/40651, 1/40651]], [[0, 0], [227542398449860/3127, -140287908916027/3127], [268219767040/59, -151874008079/59], [17689381728/40651, -6717071520/40651]]], 0, 4608, [], [] >,
< [ -4, -1, 1 ], [[64, -112]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2216/59, -481/59], [-660/59, -3/59], [0, 0]], [[0, 0], [57807472/3127, -10668187/3127], [105716/59, -68159/59], [418042/40651, 2/40651]], [[0, 0], [1212859524278/3127, -467784266390/3127], [3427097864/59, -1350782980/59], [6853554062/40651, -2597344976/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [468/59, 1195/59], [156/59, 5/59], [0, 0]], [[0, 0], [-1533467658/3127, -1851762/3127], [-861704/59, -1692/59], [-429574/40651, -4/40651]], [[0, 0], [-36128451918171/3127, 13709615261741/3127], [-20278378182/59, 7694326154/59], [-171850755/689, 65221121/689]]], 0, 4608, [], [] >,
< [ -4, -1, 1 ], [[464, -188]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11140/59, 3537/59], [960/59, -1/59], [0, 0]], [[174136, 2], [2191108564/3127, 630901583/3127], [1144268/59, 584755/59], [174136/40651, 2/40651]], [[5698076573, -4654259855/2], [37973084876247/3127, -17068845886361/3127], [6184562746/59, -3972107015/59], [5698076573/40651, -4654259855/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10004/59, -463/59], [424/59, 3/59], [0, 0]], [[136368, 5/2], [-147493182/3127, 475484018/3127], [929376/59, 437573/59], [136368/40651, 5/81302]], [[-762759153, 622748763/2], [5167891651843/3127, -1910712089237/3127], [-1201900002/59, 673702107/59], [-58673781/3127, 47903751/6254]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[464, -188]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8308/59, -705/59], [-488/59, 1/59], [0, 0]], [[95717, 5/2], [-1305365049/3127, -688464140/3127], [-458442/59, -649368/59], [95717/40651, 5/81302]], [[-2692382803, 1099544642], [5083627482121/3127, -3538546486340/3127], [-16943598970/59, 5540177753/59], [-2692382803/40651, 1099544642/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22280/59, -2956/59], [740/59, -2/59], [0, 0]], [[29119, -2], [-4725393611/3127, -3583589406/3127], [-4748254/59, -3307935/59], [29119/40651, -2/40651]], [[-274470921, 224067947/2], [-10609479751109/3127, 1809303288524/3127], [-6152178830/59, 183837508/59], [-274470921/40651, 224067947/81302]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[45360, -17708]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3326/59, 820/59], [-322/59, -2/59], [0, 0]], [[42430, -1/2], [507159807/6254, -55809737/6254], [-327640/59, -176494/59], [98889/81302, -2/40651]], [[87453072, -40519584], [629238041665/3127, -273024908434/3127], [-1108540/59, 117662405/59], [101916171/40651, -47219823/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [778/59, -587/59], [-370/59, 1/59], [0, 0]], [[12494, -1/2], [4452309/106, 2602349/106], [18084, 8220], [29119/81302, -1/40651]], [[4194198, -3890505/2], [-3719962158/3127, -6631236663/3127], [56125612/59, -78823224/59], [4887840/40651, -4533831/81302]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[45360, -17708]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1302/59, 841/59], [510/59, 5/59], [0, 0]], [[-57274, -5/2], [760421633/6254, 5306389/6254], [39564/59, 16422/59], [-133485/81302, -1/40651]], [[-173518716, 80224851], [2274245449645/6254, -1056547524845/6254], [27858558/59, -28668192/59], [-404430873/81302, 186981375/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2828/59, -693/59], [392/59, 5/59], [0, 0]], [[-82138, -9/2], [10456637/53, -274916/53], [-2290, -1718], [-95717/40651, -5/81302]], [[60249746, -55887183/2], [-949315834375/6254, 432558220409/6254], [-38827594/59, -6095110/59], [140427857/81302, -32564287/40651]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[144, -76]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6492/59, -3001/59], [-324/59, 2/59], [0, 0]], [[0, 0], [933539642/3127, -4058883/6254], [105994/59, -9674/59], [-191580/40651, 3/81302]], [[0, 0], [-157909712618/3127, 161648747303/6254], [-21192758/59, 9951167/59], [32262644/40651, -33105325/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-799388/59, 32993/59], [1520/59, 3/59], [0, 0]], [[0, 0], [-585939246721154/40651, -751826745188653/81302], [1817684230/59, 1165795051/59], [-13828/40651, 1/81302]], [[0, 0], [2065634396130666232/40651, 1307717693600587856/40651], [-6399213232900/59, -4058943224470/59], [-171012136/40651, 85633891/40651]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[144, -76]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9264/59, 1766/59], [-1136/59, -1/59], [0, 0]], [[0, 0], [8347089868/3127, 4381855060/3127], [34317194/59, 20671442/59], [209022/40651, -1/40651]], [[0, 0], [41564040616454/3127, 387041718882535/6254], [688041683128/59, 666648954049/59], [-20321416994/40651, 20346601641/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [316708/59, -24619/59], [-532/59, -4/59], [0, 0]], [[0, 0], [-52889367143646/40651, -68003409478513/81302], [164150186/59, 105446226/59], [30924/40651, 5/81302]], [[0, 0], [-2071569293864438920/40651, -1294582061564820534/40651], [6406728282312/59, 4023591282707/59], [-4210665464/40651, 2108523591/40651]]], 0, 1152, [], [] >,
< [ -4, -1, 1 ], [[16, -20]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25552/59, 197/59], [960/59, 5/59], [0, 0]], [[0, 0], [803855354/3127, -5418729/6254], [-2982/59, -1898/59], [-493720/40651, -5/81302]], [[0, 0], [-3517859645973/3127, 6783524337133/6254], [-19150566/59, -12390735/59], [2132509414/40651, -4166039097/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132452/59, 2053/59], [368/59, -3/59], [0, 0]], [[0, 0], [-2663919195/3127, -1765683453/3127], [-121924/59, -87499/59], [-11534/40651, 2/40651]], [[0, 0], [30360509082519/40651, 36770879599591/81302], [121095318/59, 64726072/59], [-471998/3127, 12253387/81302]]], 1, 144, [], [] >,
< [ -4, -1, 1 ], [[16, -20]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-691145934/3127, -5042/3127], [-198614/59, 451/59], [313674/40651, 2/40651]], [[0, 0], [2020864335780/3127, -3983509422055/6254], [585949506/59, -572387896/59], [-917165052/40651, 1807900893/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-408753/59, -771/59], [-1372/59, -1/59], [0, 0]], [[0, 0], [24910218499/40651, 17978080017/81302], [81808/59, 44386/59], [39818/40651, 3/81302]], [[0, 0], [834932483103/40651, 3748304952577/81302], [7211578/59, 6157685/59], [-229636/3127, 5986193/81302]]], 1, 144, [], [] >,
< [ -4, -1, 1 ], [[1312, -528]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1862/59, 463/59], [-660/59, -3/59], [0, 0]], [[0, 0], [53213239/3127, -17830310/3127], [136407/59, -116064/59], [9869/3127, -1/3127]], [[0, 0], [-48124785305/3127, 18841945104/3127], [-189931285/59, 72981906/59], [-5797545/3127, 2334735/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [568/59, -596/59], [-204/59, -2/59], [0, 0]], [[0, 0], [400420453/6254, 704385/6254], [2130/59, 2485/59], [-50719/6254, -5/6254]], [[0, 0], [-254572756159/6254, 104324944483/6254], [1238240/59, -378998/59], [32333289/6254, -13245953/6254]]], 0, 8064, [], [] >,
< [ -4, -1, 1 ], [[1312, -528]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1250/59, 652/59], [43/59, 1/59], [0, 0]], [[0, 0], [-41419552/3127, -273191/3127], [1889/59, -756/59], [-27366/3127, -8/3127]], [[0, 0], [64210149380/3127, -26014248806/3127], [-4877886/59, 1903200/59], [42861410/3127, -17348576/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1040/59, -360/59], [268/59, -2/59], [0, 0]], [[0, 0], [147162973/6254, -75873855/6254], [78364/59, -243243/59], [-4591/6254, 3/6254]], [[0, 0], [272297262247/6254, -105608471449/6254], [476278946/59, -177932755/59], [-4633849/6254, 1876321/6254]]], 0, 8064, [], [] >,
< [ -4, -1, 1 ], [[1088, -240]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10926/59, 3/59], [928/59, 1/59], [0, 0]], [[0, 0], [44253966/3127, 61400912/3127], [146080/59, 98604/59], [29318/3127, 4/3127]], [[0, 0], [-1846818932/3127, -9733097944/3127], [-18793192/59, -13342582/59], [-6185520/3127, 893464/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6796/59, 4959/59], [928/59, 1/59], [0, 0]], [[0, 0], [19622736807/3127, 12507784169/3127], [16971578/59, 11528394/59], [6941/3127, 5/3127]], [[0, 0], [-19896426693650/3127, -12590553679392/3127], [-16122759212/59, -12030439260/59], [-13789846/3127, 2643186/3127]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[1088, -240]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1530/59, -221/59], [628/59, 5/59], [0, 0]], [[0, 0], [-27916544/3127, 249901/3127], [-3980/59, 1591/59], [-17786/3127, -2/3127]], [[0, 0], [38866162188/3127, -7494522302/3127], [7148664/59, -2817618/59], [24595518/3127, -4593560/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29260/59, -1313/59], [-1572/59, -5/59], [0, 0]], [[0, 0], [173009165/3127, -1734540/3127], [-49310/59, -1557/59], [-23353/3127, 3/3127]], [[0, 0], [313749445122/3127, -62268038259/3127], [-86589316/59, 14763937/59], [-42031038/3127, 8068886/3127]]], 0, 64512, [], [] >,
< [ -4, -1, 1 ], [[240, -212]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23788/59, -2003/59], [928/59, 1/59], [0, 0]], [[-4103, 2], [-7105602927/3127, -5368368999/3127], [-6961230/59, -4964876/59], [-4103/3127, 2/3127]], [[-11785889, 24883411/2], [44747823019609/3127, 22437449463877/3127], [40267433358/59, 21932737539/59], [-11785889/3127, 24883411/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16800/59, 602/59], [880/59, 4/59], [0, 0]], [[20669, 5/2], [-201662983/3127, 5174992/3127], [49218/59, 4734/59], [20669/3127, 5/6254]], [[-416330950, 439302815], [4504083414334/3127, -4280458462293/3127], [-589426268/59, 1051294213/59], [-416330950/3127, 439302815/3127]]], 0, 10752, [], [] >,
< [ -4, -1, 1 ], [[240, -212]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36340/59, 251/59], [1808/59, 5/59], [0, 0]], [[3859, -3/2], [15474834189/3127, 11999522165/3127], [14345646/59, 11159435/59], [3859/3127, -3/6254]], [[2208768, -2347008], [-20350014882276/3127, -9853247618445/3127], [-18951477152/59, -9135568949/59], [2208768/3127, -2347008/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4532/59, 1655/59], [-16/59, 1/59], [0, 0]], [[9869, -1], [20757099/3127, -148821/3127], [19738/59, -2/59], [9869/3127, -1/3127]], [[13343929, -28194369/2], [28904096497/3127, -29638797093/3127], [26687858/59, -28194369/59], [13343929/3127, -28194369/6254]]], 0, 10752, [], [] >,
< [ -4, -1, 1 ], [[277744, -108428]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3920/59, 953/59], [-284/59, 3/59], [0, 0]], [[-6890, 1/2], [-4315339/53, -479214/53], [-6522, -2898], [8161/3127, 5/6254]], [[-20341018, 7469236], [-1257982365335/6254, 446319315649/6254], [-394567232/59, 97700387/59], [48159847/6254, -17682623/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3348/59, 814/59], [-408/59, -4/59], [0, 0]], [[-618, 3/2], [470988/3127, -644025/3127], [-6342/59, -4036/59], [732/3127, -3/6254]], [[116998, -42981], [-534533639/6254, 219015313/6254], [78272/59, 42603/59], [-277007/6254, 101753/6254]]], 1, 1344, [], [] >,
< [ -4, -1, 1 ], [[277744, -108428]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [686/59, -596/59], [-558/59, -2/59], [0, 0]], [[3960, -3/2], [-277859/118, -462691/118], [-229318/59, -77538/59], [-3/2, 0]], [[-6223800, 2287450], [-16745832474/3127, 7931439941/3127], [181171782/59, -55340415/59], [7367800/3127, -2707650/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3064/59, 929/59], [-156/59, -5/59], [0, 0]], [[2846, -3/2], [169486941/3127, 37887923/3127], [436518/59, 249789/59], [-3371/3127, 1/6254]], [[-6130944, 4505073/2], [-489982243921/6254, 164853753899/6254], [-149543930/59, 5014900/59], [14515755/6254, -2666322/3127]]], 1, 1344, [], [] >,
< [ -4, -1, 1 ], [[464, -60]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13692/59, 3701/59], [-1004/59, -4/59], [0, 0]], [[0, 0], [-1190710634/3127, -1138253391/6254], [-4314350/59, -2685993/59], [33564/3127, 3/6254]], [[0, 0], [-4398337933702/3127, -3004819803671/6254], [-13708202364/59, -8256209474/59], [181282090/3127, -59933653/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-769828/59, 29103/59], [1476/59, 4/59], [0, 0]], [[0, 0], [2208436263940/40651, 1536045268778/40651], [-7549486/59, -4763339/59], [196514/40651, -1/40651]], [[0, 0], [40520553626183282/40651, 62327193983257783/81302], [-149505728798/59, -92690397617/59], [6685604168/40651, -2214127217/81302]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[464, -60]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5836/59, -1967/59], [220/59, -5/59], [0, 0]], [[0, 0], [31101502/3127, 43093471/6254], [157338/59, 102010/59], [1320/3127, -1/6254]], [[0, 0], [28320754300/3127, 21578296323/3127], [151025966/59, 99360811/59], [2216882/3127, -366739/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [493176/59, 28300/59], [-1196/59, -5/59], [0, 0]], [[0, 0], [-101288691703454/40651, -129547229795795/81302], [314246186/59, 200877723/59], [-186300/40651, -1/81302]], [[0, 0], [-345173356254394028/3127, -220371792458827813/3127], [13925747820432/59, 8882885134055/59], [-1101408480/3127, 182381310/3127]]], 0, 16128, [], [] >,
< [ -4, -1, 1 ], [[496, -204]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7142/59, -720/59], [-340/59, -3/59], [0, 0]], [[0, 0], [717636017/3127, 690300919/6254], [541838/59, 239527/59], [-7574/3127, 1/6254]], [[0, 0], [213173626217/3127, -243241877173/6254], [208331100/59, -109029500/59], [-10441128/3127, 8515283/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2365, -34], [6, 0], [0, 0]], [[0, 0], [-92783765843/40651, -112554418049/81302], [-295820/59, -214559/59], [-91516/40651, 3/81302]], [[0, 0], [-28596358892340/40651, 123073083094874/40651], [1484520534/59, -180237393/59], [-2517863650/40651, 1026166330/40651]]], 1, 2016, [], [] >,
< [ -4, -1, 1 ], [[496, -204]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [31693132/3127, -6205/6254], [3226/59, -312/59], [-16468/3127, 3/6254]], [[0, 0], [-56212761236/3127, 45773802137/6254], [-6622010/59, 2657311/59], [29208268/3127, -23784191/6254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-257065/59, -362/59], [-856/59, -2/59], [0, 0]], [[0, 0], [9911023406/40651, 18244624013/81302], [111810/59, 44388/59], [71088/40651, 3/81302]], [[0, 0], [3773552440056/40651, -2070813473537/81302], [-29959260/59, 14662133/59], [-54021518/40651, 44049011/81302]]], 1, 2016, [], [] >,
< [ -4, -1, 1 ], [[1008, -396]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -5], [8, -4], [0, 0]], [[0, 0], [-1042/13, 605/26], [-139, 13], [-17/13, 1/26]], [[0, 0], [-439/13, -563/26], [-357/2, -229/2], [-53/26, -17/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, -27], [28, -11], [0, 0]], [[0, 0], [-333/13, 883/13], [-275/26, -225/26], [5/26, 5/26]], [[0, 0], [-4107/13, 3651/26], [95/26, -135/26], [-5/26, 2/13]]], 1, 960, [], [] >,
< [ -4, -1, 1 ], [[1008, -396]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -2], [-12, 5], [0, 0]], [[0, 0], [-1905/13, 503/13], [441/2, -135/2], [-67/26, -3/26]], [[0, 0], [11369, 14515/2], [-22845/2, -14557/2], [1375/2, 440]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [200, -88], [52, -21], [0, 0]], [[0, 0], [5137, -41285/26], [31351/26, -11879/26], [-5/26, -2/13]], [[0, 0], [-2973424/13, 2322651/26], [-749498/13, 292612/13], [-20/13, 15/26]]], 1, 960, [], [] >,
< [ -4, -1, 1 ], [[-720, 252]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [196, -26], [60, 5], [0, 0]], [[0, 0], [896378/13, 1155017/26], [38874, 24961], [4/13, -1/26]], [[0, 0], [2625490/13, 3311403/26], [113023, 71888], [-19/13, 21/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [288, -107], [36, -13], [0, 0]], [[0, 0], [-1896436/13, 741045/13], [-17905, 7005], [-5/13, -1/13]], [[0, 0], [846, 18349/26], [3453/13, 2473/13], [-57/13, -73/26]]], 0, 7680, [], [] >,
< [ -4, -1, 1 ], [[-720, 252]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -36], [-20, -3], [0, 0]], [[0, 0], [-205806/13, -295239/26], [-9925, -6190], [-19/13, -5/26]], [[0, 0], [8529700/13, 2534131/13], [221392, 172468], [-1488/13, 836/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [440, -313], [-48, -2], [0, 0]], [[0, 0], [-36702450/13, -46503827/26], [-5341740/13, -3432925/13], [2/13, -3/26]], [[0, 0], [406809602/13, 511192937/26], [58805265/13, 37895245/13], [-45/13, 51/26]]], 0, 7680, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5324, 2078], [4, -2], [0, 0]], [[4, 1], [-190016, 74190], [4, 4], [0, 1]], [[-24, -15/2], [952145, -371772], [-57/2, -51/2], [-3/2, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5684, 2220], [-100, 40], [0, 0]], [[-8, -5/2], [-17217, 6712], [-603/2, 211/2], [-1/2, -2]], [[0, -1/2], [3, -2], [-3/2, -1/2], [-1/2, 0]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4228, -1650], [68, -26], [0, 0]], [[4, 7/2], [-109543, 42754], [-3289/2, 1309/2], [5/2, 1]], [[14, 7/2], [649284, -253491], [9842, -3820], [0, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14704, 5740], [368, -144], [0, 0]], [[-6, -4], [-199693, 77903], [9933/2, -3917/2], [-5/2, -3/2]], [[0, -1/2], [-844125, 329532], [42157/2, -16461/2], [-1/2, 0]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[32, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7486, 2920], [6, 0], [0, 0]], [[4, 3/2], [16879, -6564], [-25/2, -3/2], [1/2, 1]], [[705, 903/2], [10907/2, 7863/2], [-6025/4, -3859/4], [1101/4, 705/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2070, -812], [10, 0], [0, 0]], [[-1, -2], [6495/2, -2535/2], [3/4, -39/4], [-7/4, -1/4]], [[-1642, -2103/2], [286, 227], [-6629, -4245], [-641, -821/2]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[32, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1742, 694], [-10, -10], [0, 0]], [[-1, -3/2], [-36171/2, 14141/2], [97/4, -77/4], [-5/4, -1/4]], [[-990, -634], [5043, 3575], [-10387/2, -6653/2], [-773/2, -495/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3402, 1332], [10, -8], [0, 0]], [[-1, 0], [-701745/2, 271201/2], [11323/4, 1345/4], [1/4, -1/4]], [[185, 237/2], [1244015/2, 827627/2], [-2668733/4, -1709279/4], [289/4, 185/4]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[1024, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1972, 732], [20, 0], [0, 0]], [[0, 0], [-128, -104], [-68, -40], [-20, -4]], [[0, 0], [-26, 28], [1, 1], [-1, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3008, 1048], [-16, -12], [0, 0]], [[0, 0], [245382, -97280], [-341, -69], [9, -1]], [[0, 0], [200692, -53952], [3112, 2100], [-36, -28]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[1024, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [196, -68], [-4, 0], [0, 0]], [[0, 0], [-1622, 644], [-9, -5], [-7, -1]], [[0, 0], [1366, -356], [-135, -87], [-57, -39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2700, 1016], [-4, -4], [0, 0]], [[0, 0], [-25230, 10166], [55, 21], [-15, -5]], [[0, 0], [39990, -14644], [105, 89], [-25, -23]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -12], [-56, 12], [0, 0]], [[0, 0], [35, -127], [323/2, 481/2], [-31/2, 3/2]], [[0, 0], [-492, 94], [622, 20], [26, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, -32], [56, -12], [0, 0]], [[0, 0], [1279, -521], [1299/2, -523/2], [-23/2, 3/2]], [[0, 0], [116, 884], [-74, 362], [130, 78]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, -20], [8, -4], [0, 0]], [[0, 0], [44, 10], [-22, -12], [-18, -2]], [[0, 0], [229, 97], [-285/2, -171/2], [-171/2, -57/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, 36], [-24, 8], [0, 0]], [[0, 0], [41, 95], [219/2, 33/2], [-27/2, -1/2]], [[0, 0], [193, -23], [-173/2, 125/2], [29/2, -17/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -8], [20, 0], [0, 0]], [[0, 0], [206, -320], [-186, -276], [-20, 0]], [[0, 0], [-10963/2, 3299/2], [-9721/4, 941/4], [505/4, -261/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, 14], [22, 6], [0, 0]], [[0, 0], [661/2, -429/2], [179/4, 257/4], [37/4, -1/4]], [[0, 0], [-10550, 3146], [1704, 264], [-102, 78]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[5120, -1792]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7096, 2804], [-8, -8], [0, 0]], [[0, 0], [31708, 23774], [-11654, -7468], [6, -10]], [[0, 0], [548216, 500592], [-230248, -147660], [432, -320]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5384, -2116], [-8, 0], [0, 0]], [[0, 0], [2464, 1732], [560, 356], [16, 0]], [[0, 0], [-3276, -1498], [-566, -372], [30, -18]]], 0, 393216, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94, 32], [-10, 4], [0, 0]], [[0, 0], [121/2, -109/2], [-159/4, 3/4], [-53/4, 1/4]], [[0, 0], [-2917/2, 3089/2], [4515/4, 105/4], [1505/4, 35/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1138, -428], [-10, 8], [0, 0]], [[0, 0], [50746, -18958], [-430, 374], [-4, 0]], [[0, 0], [14917/2, 9099/2], [6945/4, 4459/4], [-61/4, -39/4]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [110, -38], [-6, 2], [0, 0]], [[0, 0], [3367/2, 1013/2], [-5/4, -143/4], [129/4, 3/4]], [[0, 0], [-33774, -9420], [-42, 720], [-664, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [722, -256], [6, 4], [0, 0]], [[0, 0], [-54481/2, 21309/2], [111/4, -3/4], [37/4, -1/4]], [[0, 0], [8924, 2780], [3042, 1950], [1014, 650]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-224, 98], [-16, 10], [0, 0]], [[0, 0], [4913, 6887], [5223/2, 4061/2], [81/2, 3/2]], [[0, 0], [212954, -158040], [2173, -26795], [-2009, 637]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4836, -1876], [20, 4], [0, 0]], [[0, 0], [-2601, -995], [-3871/2, -2469/2], [7/2, -3/2]], [[0, 0], [-2788, -1846], [-2820, -1806], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-288, 106], [0, -10], [0, 0]], [[0, 0], [586, 332], [801, 497], [-21, 1]], [[0, 0], [99, -39], [33/2, -13/2], [-33/2, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1316, -518], [4, -6], [0, 0]], [[0, 0], [1137, 361], [1611/2, 1021/2], [-11/2, -1/2]], [[0, 0], [5811, 861], [6305/2, 3955/2], [-65/2, 5/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -16], [72, -20], [0, 0]], [[0, 0], [1, 0], [0, 2], [1, 0]], [[0, 0], [220, -70], [336, -84], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 14], [-80, 28], [0, 0]], [[0, 0], [1, 0], [4, 2], [1, 0]], [[0, 0], [-460, 92], [-792, 220], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-185088, 72256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2716, -1076], [-20, -8], [0, 0]], [[0, 0], [67644, -26411], [-112, 30], [4, -3]], [[0, 0], [-107654, 42025], [148, -66], [-10, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15776, 6104], [16, 12], [0, 0]], [[0, 0], [79818, -31224], [12, 16], [-10, 2]], [[0, 0], [-131004, 51181], [4, -14], [16, -5]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-185088, 72256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5592, -2184], [8, -4], [0, 0]], [[0, 0], [136, -59], [-4, -6], [4, 1]], [[0, 0], [-54, 21], [-36, 14], [-18, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3508, 1334], [20, 4], [0, 0]], [[0, 0], [-18226, 7127], [36, -22], [-6, 1]], [[0, 0], [-15654, 6134], [24, -24], [-6, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[8361728, -3264320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13408, 5218], [32, 20], [0, 0]], [[0, 0], [2600, -1024], [-32, -4], [-16, -2]], [[0, 0], [577600, -225359], [-3312, 1530], [-1656, 765]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5344, 2088], [144, -60], [0, 0]], [[0, 0], [-52040, 20265], [1552, -498], [16, 1]], [[0, 0], [-59588, -41334], [133000, 85260], [8900, 5700]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[-8361728, 3264320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4976, 1946], [208, -88], [0, 0]], [[0, 0], [257632, -100617], [-10936, 4350], [8, -3]], [[0, 0], [32520, 20820], [-64480, -41292], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13232, -5156], [-80, 12], [0, 0]], [[0, 0], [50068, 32074], [-100240, -64204], [-12, -4]], [[0, 0], [-9360, -5915], [18664, 11870], [-24, 11]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[-96, 32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 20], [2, 4], [0, 0]], [[0, 0], [2, 1], [0, 0], [1, 0]], [[0, 0], [442, -182], [10, -20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 4], [8, 6], [0, 0]], [[0, 0], [-1265, 632], [176, 16], [7, 2]], [[0, 0], [-291817/2, 113615/2], [9685, -3875], [493/2, -203/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[-33280, 12992]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, -14], [4, 4], [0, 0]], [[0, 0], [-122, -55], [-240, -154], [14, -5]], [[0, 0], [-858, 318], [-28, -30], [492, -192]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 8], [12, 2], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [-1496, 572], [224, -80], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-33280, 12992]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -12], [40, -16], [0, 0]], [[0, 0], [-74, 29], [-192, 76], [-16, 5]], [[0, 0], [-580, 226], [-1512, 586], [-110, 48]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [108, -42], [0, 0]], [[0, 0], [-1, 0], [2, 0], [1, 0]], [[0, 0], [8, -4], [-128, 50], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-33280, 12992]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-106, 46], [20, -2], [0, 0]], [[0, 0], [-432, -361], [-672, -420], [10, -1]], [[0, 0], [1376, 323], [1008, 714], [42, -21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 8], [584, -228], [0, 0]], [[0, 0], [-1, 0], [-2, 0], [1, 0]], [[0, 0], [0, 0], [1040, -406], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-736, 288]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 6], [82, -32], [0, 0]], [[0, 0], [-1, 0], [1, 1], [1, 0]], [[0, 0], [-2, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -22], [-10, -8], [0, 0]], [[0, 0], [-135, 456], [-12, 156], [-3, -2]], [[0, 0], [252231/2, -98537/2], [38052, -14868], [-37/2, 15/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[-736, 288]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -10], [-8, 2], [0, 0]], [[0, 0], [1262, 527], [531, -145], [-4, 3]], [[0, 0], [-1202, 1951], [-4466, 1834], [54, -19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -16], [-8, -10], [0, 0]], [[0, 0], [-1151/2, 223/2], [290, -150], [-11/2, -5/2]], [[0, 0], [20293/2, -7859/2], [-7064, 2768], [45/2, -15/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[-185088, 72256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2856, 1140], [16, 10], [0, 0]], [[0, 0], [8712, -18625], [-9588, -6138], [-8, -3]], [[0, 0], [584484, -204761], [14696, 9460], [-40, 25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18092, 7064], [-20, 8], [0, 0]], [[0, 0], [-52674, -33695], [-9260, -5930], [-22, 7]], [[0, 0], [194578, 124713], [34248, 21932], [-54, 27]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-185088, 72256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [676, -236], [20, 10], [0, 0]], [[0, 0], [-160, -64], [-72, -46], [-16, 4]], [[0, 0], [-4, -3], [0, 0], [0, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60224, 23508], [16, -8], [0, 0]], [[0, 0], [70420, 45121], [45132, 28902], [-16, 3]], [[0, 0], [-136494, -87285], [-87372, -55952], [-58, 29]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[512, -200]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, 41], [8, -1], [0, 0]], [[0, 0], [-516, 479/2], [58, 3], [2, 3/2]], [[0, 0], [8329/2, -3249/2], [-249, 98], [3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-296, 115], [-4, 1], [0, 0]], [[0, 0], [27/2, 17], [11, 7], [-1/2, -2]], [[0, 0], [381/2, 833/2], [243, 154], [21/2, -105/2]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[23136, -9032]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1420, -551], [16, -5], [0, 0]], [[0, 0], [-171731, -216345/2], [-63226, -40465], [-5, -1/2]], [[0, 0], [1154228, 783693], [444648, 285345], [-48, 36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, 56], [20, 2], [0, 0]], [[0, 0], [-6159, -8933/2], [-2698, -1673], [-3, -1/2]], [[0, 0], [-32980, -15535], [-10368, -7225], [8, -10]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[23136, -9032]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [628, -249], [24, -11], [0, 0]], [[0, 0], [-169967, 132629/2], [-6890, 2673], [-5, 1/2]], [[0, 0], [-71620, -94411/2], [-31632, -20311], [-2760, -3535/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [428, -167], [-44, 17], [0, 0]], [[0, 0], [-349, 263/2], [18, -15], [-5, -5/2]], [[0, 0], [-216, -261/2], [-352, -226], [-196, -251/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[23136, -9032]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [792, -309], [332, -129], [0, 0]], [[0, 0], [663, -523/2], [294, -113], [-3, 1/2]], [[0, 0], [2328, 1487], [-1548, -993], [584, 374]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-392, 153], [-204, 79], [0, 0]], [[0, 0], [116837, -91223/2], [60590, -23701], [5, 1/2]], [[0, 0], [2808, -1472], [63924, 39239], [-3212, -2057]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[512, -200]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [118, -45], [26, -9], [0, 0]], [[0, 0], [4587/2, -921], [480, -210], [-1/2, -2]], [[0, 0], [29079, -23807/2], [5940, -2805], [-25, -75/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [218, -83], [18, -5], [0, 0]], [[0, 0], [-4287/2, 498], [-450, -150], [-1/2, 0]], [[0, 0], [-1046, 440], [-50, 50], [0, 0]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[512, -200]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, -38], [-24, 8], [0, 0]], [[0, 0], [-2843/2, 580], [360, -132], [5/2, 1]], [[0, 0], [-7295/2, 1436], [894, -345], [5/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, -20], [-6, 2], [0, 0]], [[0, 0], [32, -27/2], [-2, 1], [2, 1/2]], [[0, 0], [-1/2, 0], [0, 0], [1/2, 0]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[224, -104]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15892, 6212], [12, -2], [0, 0]], [[0, 0], [-491784, -638851/2], [-167540, -107288], [8, -5/2]], [[0, 0], [3594172, 2257664], [1199240, 768005], [68, -31]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9444, -3682], [-12, 0], [0, 0]], [[0, 0], [-4994, -2930], [4596, 2943], [-2, 1]], [[0, 0], [5026, 6949/2], [-5120, -3279], [-2, 1/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[224, -104]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5580, 2175], [-4, 5], [0, 0]], [[0, 0], [56934, 36522], [-58268, -37314], [-6, 2]], [[0, 0], [-1369352, -1751115/2], [1398600, 895650], [-116, 107/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [512, -203], [0, -1], [0, 0]], [[0, 0], [-24, 57/2], [0, 0], [0, -1/2]], [[0, 0], [24, -10], [0, 0], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[388864, -151808]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [55472, -21658], [-16, 2], [0, 0]], [[0, 0], [-160766, -102790], [-285888, -183022], [-26, 12]], [[0, 0], [-732791, -459411], [-1290486, -822938], [-1677, 663]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39456, -15402], [0, 2], [0, 0]], [[0, 0], [-24689, -14301], [-40198, -25730], [-5, 3]], [[0, 0], [-26866, -12322], [-38328, -24506], [-18, 8]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[25659136, -10017024]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19592, 7648], [172, -68], [0, 0]], [[0, 0], [-710993, 277571], [6454, -2512], [-15, 7]], [[0, 0], [15420613, -6020207], [-139994, 54474], [323, -153]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46056, -17980], [60, -24], [0, 0]], [[0, 0], [910577, -355479], [1222, -478], [-15, 5]], [[0, 0], [-2402724, 937994], [-3228, 1258], [36, -16]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[160, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20862, 8132], [10, -8], [0, 0]], [[0, 0], [358617/2, -138629/2], [90, 180], [-23/2, -1/2]], [[0, 0], [2391265/2, 1526839/2], [374508, 239832], [-17435/2, -11165/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2342, -918], [2, -2], [0, 0]], [[0, 0], [-21489/2, 8365/2], [-24, 10], [-11/2, -5/2]], [[0, 0], [32175/2, 20265/2], [-852, -546], [12341/2, 7903/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[160, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12560, 4878], [4, -10], [0, 0]], [[0, 0], [-128015/2, 49927/2], [62, -26], [-3/2, -5/2]], [[0, 0], [51553, 33287], [3998, 2560], [6507, 4167]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4914, 1904], [-2, -4], [0, 0]], [[0, 0], [-117254, 46000], [120, 10], [10, 2]], [[0, 0], [-239935/2, -162977/2], [-31360, -20080], [-6545/2, -4191/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[96, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-738, 294], [10, 0], [0, 0]], [[0, 0], [-12429, 4889], [181/2, -61/2], [-13/2, 1/2]], [[0, 0], [-61309/2, -37311/2], [-15597/4, -10015/4], [6561/4, 4203/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [542, 138], [-6, 8], [0, 0]], [[0, 0], [-336795/26, -658393/26], [-64959/52, 13147/52], [579/52, 1/52]], [[0, 0], [24246315/26, 6904057/26], [-788841/52, 561117/52], [2421/52, -5649/52]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[96, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4522, 1754], [2, -8], [0, 0]], [[0, 0], [-258169/2, 103597/2], [4567/4, 1789/4], [29/4, -1/4]], [[0, 0], [368640, 230028], [230484, 147612], [668, 428]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-202, 2], [10, 0], [0, 0]], [[0, 0], [294571/26, -5439/26], [-23233/52, 165/52], [45/52, -1/52]], [[0, 0], [-481765/26, 462713/26], [36295/52, -36467/52], [-75/52, 71/52]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10956, -4232], [12, 8], [0, 0]], [[0, 0], [49201, 25195], [24207/2, 15505/2], [9/2, 3/2]], [[0, 0], [-27699, 18203], [4047/2, 2573/2], [-15/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, 4], [-4, -2], [0, 0]], [[0, 0], [-149724/13, -2216/13], [-594/13, -18/13], [66/13, 2/13]], [[0, 0], [78525, -40317], [603/2, -315/2], [-67/2, 35/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14144, 5540], [8, 2], [0, 0]], [[0, 0], [34700, 22308], [9708, 6222], [8, 0]], [[0, 0], [-39, 15], [-13/2, 5/2], [13/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-392, -76], [-8, 8], [0, 0]], [[0, 0], [233343/13, 218685/13], [-29747/26, -1345/26], [243/26, 5/26]], [[0, 0], [-20654216/13, 154964/13], [-1498842/13, 750528/13], [12878/13, -6302/13]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[96, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3074, -1206], [-10, 10], [0, 0]], [[0, 0], [-4644, 1772], [57, 21], [-3, 1]], [[0, 0], [5727/2, 3609/2], [-12073/4, -7731/4], [61/4, 39/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-600, -154], [0, -6], [0, 0]], [[0, 0], [-90731/26, -60081/26], [5865/52, 875/52], [267/52, 1/52]], [[0, 0], [-352152/13, -219716/13], [847/13, 5607/13], [-97/13, 235/13]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[96, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2742, 1058], [6, 10], [0, 0]], [[0, 0], [12993, -5109], [213/2, 51/2], [15/2, 1/2]], [[0, 0], [-8981/2, -4467/2], [28459/4, 18233/4], [1465/4, 939/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-586, 4], [-6, 0], [0, 0]], [[0, 0], [124263/13, 54761/13], [10649/26, 1135/26], [319/26, 1/26]], [[0, 0], [-9493/26, -7767/26], [-473/52, -387/52], [-11/52, -9/52]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12724, -4980], [-12, -8], [0, 0]], [[0, 0], [45451, 34043], [100321/2, 64239/2], [-1/2, 5/2]], [[0, 0], [13955, -212149], [-400635/2, -256321/2], [227/2, -107/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-496, 14], [0, -10], [0, 0]], [[0, 0], [286554/13, -290014/13], [-23831/13, 61/13], [19/13, -1/13]], [[0, 0], [-39284013/13, 12626727/13], [2099449/26, -1100721/26], [-1849/26, 917/26]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9732, -3802], [-12, 2], [0, 0]], [[0, 0], [-6619, -4073], [-12609/2, -8063/2], [17/2, -1/2]], [[0, 0], [-16565, -12627], [-35995/2, -23193/2], [-125/2, 65/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [724, 10], [-12, -6], [0, 0]], [[0, 0], [-7133307/13, 2323661/13], [82595/26, 753/26], [-187/26, 3/26]], [[0, 0], [-8954335316/13, 3601865038/13], [30575546/13, -15736212/13], [-72842/13, 36498/13]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -16], [-4, -16], [0, 0]], [[0, 0], [-8175, 3293], [-7765/2, 217/2], [5/2, -1/2]], [[0, 0], [-75027, 28853], [-33665/2, 25237/2], [33/2, -17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [800, 16], [0, -4], [0, 0]], [[0, 0], [-1141572/13, 1233538/13], [-28856/13, 684/13], [-116/13, 2/13]], [[0, 0], [1215432965/13, -386454381/13], [19751027/26, -10075175/26], [78373/26, -40269/26]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -2], [-8, -4], [0, 0]], [[0, 0], [-1999, 731], [559/2, -27/2], [-7/2, 3/2]], [[0, 0], [14619, -4851], [-5855/2, -1029/2], [47/2, -23/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [440, -2], [0, 4], [0, 0]], [[0, 0], [155618/13, -121430/13], [-3655/13, 35/13], [19/13, -1/13]], [[0, 0], [-458771/13, 156791/13], [8431/26, -4315/26], [-47/26, 23/26]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[96, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 2], [8, 4], [0, 0]], [[0, 0], [-771/2, 287/2], [-279/4, 11/4], [27/4, 1/4]], [[0, 0], [-1577/2, 621/2], [-345/4, 181/4], [29/4, -17/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-318, -140], [-10, -6], [0, 0]], [[0, 0], [379201/13, 2725/13], [5159/26, -355/26], [-319/26, -1/26]], [[0, 0], [-3931933/26, 3322049/26], [-67253/52, 45921/52], [3353/52, -2797/52]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[96, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 2], [4, 4], [0, 0]], [[0, 0], [121, 193], [-225/2, -139/2], [-7/2, -1/2]], [[0, 0], [2229/2, -721/2], [-51/4, -121/4], [63/4, -27/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 8], [-20, 0], [0, 0]], [[0, 0], [26773/26, 51/26], [-211/52, 631/52], [191/52, 5/52]], [[0, 0], [-867273/26, 721765/26], [74947/52, -9239/52], [-5687/52, 5123/52]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[64, -24]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, -33], [6, 10], [0, 0]], [[0, 0], [24651/2, -9135/2], [-5353/4, 1117/4], [-11/4, -1/4]], [[0, 0], [22639/2, -37199/2], [45655/4, 38665/4], [285/4, 195/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [224, 44], [0, 2], [0, 0]], [[0, 0], [69333/13, -735402/13], [-47673/26, -771/26], [97/26, -1/26]], [[0, 0], [1147139025/26, -298336611/26], [-34273359/52, 17470447/52], [73563/52, -36499/52]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[64, -24]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [330, -137], [2, 8], [0, 0]], [[0, 0], [-134834, 51691], [3576, -381], [2, -1]], [[0, 0], [-440741/2, -186611/2], [749811/4, 476469/4], [-159/4, -105/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-334, 0], [-10, 0], [0, 0]], [[0, 0], [-176723/26, 6121/26], [-8599/52, 391/52], [-229/52, -3/52]], [[0, 0], [23301/26, -9493/26], [1161/52, -473/52], [27/52, -11/52]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[32, -24]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [568, -219], [-12, 8], [0, 0]], [[0, 0], [-22323, -11991], [-48497/2, -31183/2], [1/2, 3/2]], [[0, 0], [-74885, 19279], [-19807/2, -16363/2], [-65/2, 27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 4], [20, -2], [0, 0]], [[0, 0], [-584713/13, -84030/13], [-260215/26, -2991/26], [151/26, 3/26]], [[0, 0], [-14576915/13, 6338757/13], [-8358037/26, 3479907/26], [4781/26, -1995/26]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[32, -24]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-960, 383], [20, 0], [0, 0]], [[0, 0], [26085, 14457], [45315/2, 29079/2], [5/2, 1/2]], [[0, 0], [60168, -39315], [-15576, -8939], [36, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1008, 1], [20, -2], [0, 0]], [[0, 0], [-4636441/13, -459155/13], [176633/26, -1725/26], [-97/26, 1/26]], [[0, 0], [907265305/13, -391520835/13], [-42094233/26, 17539251/26], [23137/26, -9639/26]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[-288, 96]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74, -28], [24, -8], [0, 0]], [[0, 0], [38474/13, -15531/13], [1059, -367], [-23/39, -2/39]], [[0, 0], [-136967/13, -166210/13], [42693/2, 23255/2], [-9205/78, -5845/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 44], [-16, 12], [0, 0]], [[0, 0], [15465/13, -5503/13], [9331/26, -3711/26], [3/26, -1/78]], [[0, 0], [54319/13, -22390/13], [35017/26, -13517/26], [19/78, -1/6]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-288, 96]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -8], [120, -40], [0, 0]], [[0, 0], [509/13, -283/13], [245/2, -265/2], [11/78, -1/26]], [[0, 0], [1541/13, 1226/13], [3433/2, 2363/2], [-11/26, -17/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 14], [-8, 4], [0, 0]], [[0, 0], [107, 2543/13], [177/26, -205/26], [11/78, 1/78]], [[0, 0], [-12523, 15112/13], [24381/26, -7385/26], [343/78, -217/78]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-1536, 576]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, 56], [24, -12], [0, 0]], [[0, 0], [-11720/13, -7531/13], [-1335, -833], [-29/39, 2/39]], [[0, 0], [-2108/13, -1407/13], [-267, -145], [-25/39, 8/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1016, 18], [16, -8], [0, 0]], [[0, 0], [-1930108/13, -2010962/13], [-32816/13, 44/13], [0, -2/39]], [[0, 0], [22231108/13, -13987289/13], [-767859/13, 275247/13], [67/39, -10/13]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-1536, 576]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-260, 104], [-40, 20], [0, 0]], [[0, 0], [6468/13, 5113/13], [1029, 651], [55/39, -2/39]], [[0, 0], [-79972/13, -21860/13], [-6864, -4636], [320/13, -170/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [556, 74], [40, -20], [0, 0]], [[0, 0], [4837268/13, 4075317/13], [-241198/13, 4142/13], [2/39, 5/39]], [[0, 0], [71490280/13, -49344483/13], [15286213/13, -5644001/13], [331/39, -50/13]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[1440, -544]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2706/59, -738/59], [-1138/59, -10/59], [0, 0]], [[0, 0], [-6060734893/6254, -506889675/6254], [-572888/59, -1596046/59], [-801199/81302, -5/81302]], [[0, 0], [-2716736862586/59, 1004563410436/59], [99153679728/59, -42469500518/59], [-410738050/767, 154248390/767]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4078/59, 726/59], [1202/59, 6/59], [0, 0]], [[0, 0], [1673722485/6254, 5543571/6254], [1417700/59, 15278/59], [2171801/81302, 3/81302]], [[0, 0], [-3003157/6254, 1156717/6254], [-2560/59, 986/59], [-3897/81302, 1501/81302]]], 0, 9216, [], [] >,
< [ -4, -1, 1 ], [[1440, -544]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3650/59, 678/59], [-1374/59, -10/59], [0, 0]], [[0, 0], [-1904469485/3127, -446634245/3127], [5343672/59, -2800858/59], [522697/40651, -1/40651]], [[0, 0], [25597689625109/6254, -9032267312841/6254], [-99007312408/59, 38939792500/59], [-10841165845/81302, 4067532801/81302]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2014/59, 502/59], [-278/59, 10/59], [0, 0]], [[0, 0], [-10223296059/6254, -312717/6254], [571178/59, -660/59], [870969/81302, 3/81302]], [[0, 0], [-57892921644582/3127, 21641729889722/3127], [6480456526/59, -2423062018/59], [4932361000/40651, -1843841048/40651]]], 0, 9216, [], [] >,
< [ -4, -1, 1 ], [[768, -512]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50592/59, 1628/59], [836/59, -8/59], [0, 0]], [[0, 0], [3808786353/3127, 3581065409/3127], [-2197730/59, -1205740/59], [-638595/40651, -5/40651]], [[0, 0], [10728788154914/3127, 2971511043690/3127], [-2160520536/59, -2072113600/59], [1012897138/40651, -747634954/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [49752/59, -248/59], [-880/59, -4/59], [0, 0]], [[0, 0], [2382201733/3127, -4923423/3127], [134882/59, 1504/59], [-197489/40651, 1/40651]], [[0, 0], [462028165760/3127, -418158360340/3127], [24908868/59, -23646124/59], [-38017176/40651, 34659192/40651]]], 0, 73728, [], [] >,
< [ -4, -1, 1 ], [[768, -512]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29632/59, 2324/59], [428/59, -12/59], [0, 0]], [[0, 0], [63315160/53, -1017502/53], [8688, 334], [-673480/40651, -4/40651]], [[0, 0], [13053739726791/3127, -9909439796837/3127], [1495934338/59, -1340674808/59], [-172231789/3127, 136857845/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-504, 20], [8, 0], [0, 0]], [[0, 0], [-157647199/3127, -42065033/3127], [145302/59, 14054/59], [-174425/40651, 5/40651]], [[0, 0], [3103612171/3127, -13990877249/3127], [-12324258/59, 13541148/59], [21255885/40651, -16696197/40651]]], 0, 73728, [], [] >,
< [ -4, -1, 1 ], [[1024, -448]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27368/59, 10534/59], [-116/59, 8/59], [0, 0]], [[0, 0], [-1707507536/3127, -110334294/3127], [-1009358/59, -519026/59], [313674/40651, 2/40651]], [[0, 0], [8050516528652/3127, -3539395972333/3127], [640554826/59, -716126080/59], [-1662826474/40651, 711653915/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-49568/59, 3154/59], [116/59, -8/59], [0, 0]], [[0, 0], [-11354355024/40651, -1048439988/40651], [29456/59, 2892/59], [-26964/40651, -4/40651]], [[0, 0], [-202890647904676/40651, 90672689759683/40651], [520080666/59, -233140496/59], [-572356658/40651, 245471375/40651]]], 0, 18432, [], [] >,
< [ -4, -1, 1 ], [[1024, -448]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45552/59, -18038/59], [-176/59, 4/59], [0, 0]], [[0, 0], [-579372484/3127, -247414697/3127], [-1730380/59, -1168902/59], [-150788/40651, 5/40651]], [[0, 0], [7700545727416/3127, -5299103604059/3127], [-13543932486/59, -3642345348/59], [7477320914/40651, -3204031691/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [184808/59, -9360/59], [-408/59, 20/59], [0, 0]], [[0, 0], [55447810296/40651, -120326229/40651], [-160594/59, 16/59], [-5562/40651, -5/40651]], [[0, 0], [-3938304376624/40651, 1686298697576/40651], [11366224/59, -4870600/59], [392980/40651, -168462/40651]]], 0, 18432, [], [] >,
< [ -4, -1, 1 ], [[160, -96]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7438/59, 1164/59], [176/59, -4/59], [0, 0]], [[0, 0], [-18970060/3127, 61193929/3127], [152226/59, -45052/59], [116186/40651, 1/40651]], [[0, 0], [-1098351124857/3127, 264907495441/3127], [1783112822/59, -739903018/59], [818890316/40651, -457878614/40651]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1430, 0], [-16, 0], [0, 0]], [[0, 0], [33834773107/40651, -60155072/40651], [-699232/59, 970/59], [28630/40651, 1/40651]], [[0, 0], [538301103001595/40651, -299482460618761/40651], [-11114913610/59, 6187212998/59], [453659724/40651, -253049616/40651]]], 0, 2304, [], [] >,
< [ -4, -1, 1 ], [[160, -96]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2954/59, 456/59], [-532/59, -4/59], [0, 0]], [[0, 0], [-668645245/3127, -16849988/3127], [-254046/59, -79500/59], [301858/40651, -3/40651]], [[0, 0], [5886734582663/3127, -3320661711506/3127], [753263588/59, -951560978/59], [-216305700/3127, 117798915/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4291/59, -1529/59], [4/59, 16/59], [0, 0]], [[0, 0], [7308861791/40651, 14640061/40651], [-9490/59, 862/59], [45726/40651, 4/40651]], [[0, 0], [-288295851069288/40651, 161095743396763/40651], [452127858/59, -224628096/59], [-1811383098/40651, 1009390599/40651]]], 0, 2304, [], [] >,
< [ -4, -1, 1 ], [[1376, -224]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10808/59, -528/59], [-193/59, 1/59], [0, 0]], [[0, 0], [123766846/3127, -37495050/3127], [-43867/59, 12591/59], [-60588/3127, -4/3127]], [[0, 0], [55053109752/3127, -18442263170/3127], [-19391927/59, 6292585/59], [-23778094/3127, 2615826/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5022/59, 1198/59], [1438/59, 6/59], [0, 0]], [[0, 0], [-1045429313/6254, 637615013/6254], [-3070016/59, 1996096/59], [115211/6254, 1/6254]], [[0, 0], [-908171221245/3127, 453169243747/3127], [-5420717576/59, 2801760262/59], [75415771/3127, -10110979/3127]]], 0, 129024, [], [] >,
< [ -4, -1, 1 ], [[1376, -224]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1232/59, -336/59], [22/59, 6/59], [0, 0]], [[0, 0], [-67193619/3127, -164839/3127], [3107/59, 311/59], [32933/3127, 3/3127]], [[0, 0], [429182621186/3127, -52719407214/3127], [-18876424/59, 739784/59], [-210599800/3127, 26274264/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1762/59, 974/59], [194/59, 10/59], [0, 0]], [[0, 0], [-1501945859/6254, 3379507/6254], [-135850/59, 10740/59], [-200815/6254, -5/6254]], [[0, 0], [54328509546/3127, -7942752124/3127], [10263582/59, -2081804/59], [7254360/3127, -1047852/3127]]], 0, 129024, [], [] >,
< [ -4, -1, 1 ], [[6400, -2048]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7582/59, 802/59], [836/59, -8/59], [0, 0]], [[0, 0], [-9516694/3127, -1414164/3127], [-6392/59, -2226/59], [3326/3127, 6/3127]], [[0, 0], [4250150738/3127, -1065722484/3127], [1996012/59, -232942/59], [-30744/53, 9444/53]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-160, -12], [4, 0], [0, 0]], [[0, 0], [-1046942105/3127, -287618383/3127], [427286/59, 97202/59], [-15147/3127, -1/3127]], [[0, 0], [-127949070959/3127, 22660940617/3127], [56802002/59, -11828452/59], [-2795709/3127, 859637/3127]]], 0, 1032192, [], [] >,
< [ -4, -1, 1 ], [[6400, -2048]], [ -282, -7 ], [ -1317, 514 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6946/59, 650/59], [2040/59, 20/59], [0, 0]], [[0, 0], [-180721282/3127, 49698512/3127], [-813064/59, 312806/59], [-51984/3127, 4/3127]], [[0, 0], [-183743798226/3127, 67980827820/3127], [-908222312/59, 353731102/59], [-39787710/3127, 11883330/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64488/59, 1604/59], [-1160/59, -16/59], [0, 0]], [[0, 0], [336321153/3127, -176169765/3127], [6898/59, 59122/59], [-45441/3127, -3/3127]], [[0, 0], [-448738447354/3127, 183013862912/3127], [53290576/59, -31592310/59], [36915730/3127, -11314918/3127]]], 0, 1032192, [], [] >,
< [ -4, -1, 1 ], [[2560, -704]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-101720/59, 37744/59], [-1240/59, -4/59], [0, 0]], [[0, 0], [-3866801264/3127, -2485570343/3127], [-18314238/59, -11723728/59], [-16122/3127, -1/3127]], [[0, 0], [5967238700344/3127, 3909385293682/3127], [28634542440/59, 18294757240/59], [104174980/3127, -30838444/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [549392/59, 8078/59], [-1184/59, -16/59], [0, 0]], [[0, 0], [-54753346384/40651, -2808776495/40651], [-14250/59, 8608/59], [-60874/40651, -3/40651]], [[0, 0], [150575072850376/40651, -41406478659848/40651], [71395220/59, -30059680/59], [178166160/40651, -52476860/40651]]], 0, 258048, [], [] >,
< [ -4, -1, 1 ], [[2560, -704]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28800/59, -9526/59], [1064/59, 8/59], [0, 0]], [[0, 0], [-12588755124/3127, -7736456341/3127], [-57232992/59, -36504530/59], [-2640/3127, 1/3127]], [[0, 0], [-1328037188908/3127, -669667083921/3127], [-5440840886/59, -3402644964/59], [-1006082/3127, 296065/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18424/59, 7724/59], [-4/59, -16/59], [0, 0]], [[0, 0], [226674141796/40651, -70158443/40651], [-584158/59, -704/59], [-480866/40651, -5/40651]], [[0, 0], [20724440075231612/40651, -6085207710772323/40651], [-53313653404/59, 15624951914/59], [-43948272456/40651, 12899212579/40651]]], 0, 258048, [], [] >,
< [ -4, -1, 1 ], [[608, -32]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12500/59, 1094/59], [356/59, 8/59], [0, 0]], [[0, 0], [483278623/3127, 321987686/3127], [-334486/59, -238420/59], [27656/3127, -1/3127]], [[0, 0], [-215576479608/3127, -146792678600/3127], [145476746/59, 110093306/59], [-16749246/3127, 1656242/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-71984/59, 574/59], [884/59, -4/59], [0, 0]], [[0, 0], [-119616000294/40651, 16569233555/40651], [3216470/59, -284040/59], [-169550/40651, 5/40651]], [[0, 0], [1436369119376029/40651, -301227722235530/40651], [-37920108998/59, 6434052936/59], [1933659896/40651, -184766337/40651]]], 0, 32256, [], [] >,
< [ -4, -1, 1 ], [[608, -32]], [ -289, 7 ], [ -979, 382 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5365/59, -783/59], [884/59, -4/59], [0, 0]], [[0, 0], [-889461798/3127, -751255719/3127], [-4896750/59, -3544900/59], [-18070/3127, -5/3127]], [[0, 0], [137877557318/3127, 135351558839/3127], [808838146/59, 623939424/59], [4086262/3127, -379505/3127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43109/59, -1867/59], [536/59, 20/59], [0, 0]], [[0, 0], [79027909730/40651, 7707898737/40651], [-1504726/59, -129996/59], [-33910/40651, 1/40651]], [[0, 0], [-146507648855080/40651, 1170747662267/40651], [2801952720/59, -51485154/59], [65308320/40651, -6263103/40651]]], 0, 32256, [], [] >,
< [ -4, -1, 1 ], [[-864, 288]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -2], [-56, 20], [0, 0]], [[0, 0], [-888/13, 176/13], [405, -121], [-47/13, 1/13]], [[0, 0], [-6675/13, -2544/13], [3889/2, 723/2], [-1155/26, -595/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, -40], [8, -12], [0, 0]], [[0, 0], [-1455, -12833/13], [-10493/26, -719/26], [11/26, 1/26]], [[0, 0], [-5433/13, -3362/13], [-575/26, -1085/26], [1/26, 1/26]]], 0, 15360, [], [] >,
< [ -4, -1, 1 ], [[-864, 288]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, 44], [40, -12], [0, 0]], [[0, 0], [-2400/13, 157/13], [81, 155], [-55/13, 2/13]], [[0, 0], [6293/13, 11136/13], [-7161/2, -3723/2], [355/26, 539/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [154, -58], [48, -20], [0, 0]], [[0, 0], [1577/13, -798/13], [717/26, -217/26], [5/26, -3/26]], [[0, 0], [2312/13, -1562/13], [683/13, -155/13], [3/13, -3/13]]], 0, 15360, [], [] >,
< [ -4, -1, 1 ], [[-4608, 1728]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-908, 354], [40, -16], [0, 0]], [[0, 0], [98912/13, 65051/13], [6305, 4079], [-23/13, -2/13]], [[0, 0], [631048/13, 247120/13], [33887, 17905], [1083/13, -475/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-484, -72], [24, 20], [0, 0]], [[0, 0], [1673312/13, -828355/13], [54749/13, -1717/13], [1/13, -4/13]], [[0, 0], [311859952/13, -124119280/13], [6339752/13, -2208616/13], [720/13, -330/13]]], 0, 122880, [], [] >,
< [ -4, -1, 1 ], [[-4608, 1728]], [ -147, 57 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1116, -442], [-24, -4], [0, 0]], [[0, 0], [34676/13, 46203/13], [9641, 6051], [49/13, 2/13]], [[0, 0], [-463612/13, 40551/13], [-20708, -14988], [352/13, -187/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-508, -38], [-40, 8], [0, 0]], [[0, 0], [34348/13, 15159/13], [1559/13, 245/13], [3/13, 0]], [[0, 0], [-113892/13, 109266/13], [-17599/13, 8807/13], [-47/13, 21/13]]], 0, 122880, [], [] >,
< [ -4, -1, 1 ], [[1504, -608]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 2], [2, 6], [0, 0]], [[0, 0], [1181, 55], [-183/2, 107/2], [75/2, 1/2]], [[0, 0], [392513/2, -133621/2], [-118087/4, 47451/4], [26163/4, -9063/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 48], [8, 0], [0, 0]], [[0, 0], [341/2, 39/2], [-139/4, 47/4], [23/4, 5/4]], [[0, 0], [-1191, 427], [883/2, -343/2], [-67/2, 23/2]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[1504, -608]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -44], [-20, 4], [0, 0]], [[0, 0], [1045/2, -337/2], [-871/4, 299/4], [75/4, 1/4]], [[0, 0], [12991/2, -4379/2], [-10873/4, 3845/4], [861/4, -41/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, 40], [64, 8], [0, 0]], [[0, 0], [-1469/2, 993/2], [1347/4, -359/4], [193/4, 3/4]], [[0, 0], [-153853/2, 64649/2], [101775/4, -37907/4], [10701/4, -3321/4]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[1280, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, -124], [-36, -20], [0, 0]], [[0, 0], [3613, -73], [179/2, 441/2], [53/2, -1/2]], [[0, 0], [390538, -150846], [-26293, 10573], [2861, -1105]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -44], [-20, 20], [0, 0]], [[0, 0], [58, 178], [233, -137], [-29, 1]], [[0, 0], [-17475, 7531], [73531/2, -29031/2], [-5123/2, 1927/2]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[1280, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 48], [-16, 16], [0, 0]], [[0, 0], [492, 192], [52, 40], [-40, 0]], [[0, 0], [-6565, 2237], [581/2, -329/2], [2627/2, -999/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, 4], [-36, -4], [0, 0]], [[0, 0], [-2261, -1035], [-2243/2, -1121/2], [59/2, 1/2]], [[0, 0], [20073, -8353], [15167/2, -6459/2], [-1815/2, 715/2]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[256, -256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -12], [32, 32], [0, 0]], [[0, 0], [-135, 49], [-264, 108], [7, -1]], [[0, 0], [1062, -418], [2184, -848], [-42, 18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -28], [-16, -16], [0, 0]], [[0, 0], [-332, -70], [-120, -68], [32, -14]], [[0, 0], [2265, -575], [292, 64], [-473, 187]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[256, -256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 8], [8, 32], [0, 0]], [[0, 0], [997, -379], [1370, -334], [-19, 9]], [[0, 0], [1347, -459], [2782, 210], [-17, 17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 4], [40, 32], [0, 0]], [[0, 0], [353, -151], [-338, -514], [-11, 5]], [[0, 0], [1060, -404], [1288, -24], [-32, 12]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[608, -224]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 64], [64, 8], [0, 0]], [[0, 0], [-1689/2, -191/2], [785, -457], [11/2, 5/2]], [[0, 0], [-3957, 1495], [8408, -3300], [9, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 0], [-12, -4], [0, 0]], [[0, 0], [559/2, -299/2], [33, -53], [7/2, 5/2]], [[0, 0], [65009/2, -25369/2], [7341, -2861], [-51/2, 19/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-1233152, 481408]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19296, 7542], [0, 2], [0, 0]], [[0, 0], [3, -2], [2, 0], [1, 0]], [[0, 0], [6744, 5090], [1652, 1058], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13952, 5474], [0, 6], [0, 0]], [[0, 0], [-3, 4], [2, 0], [1, 0]], [[0, 0], [-5216, -3574], [-1196, -766], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[1233152, -481408]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [184, -70], [-332, 130], [0, 0]], [[0, 0], [-1, 2], [2, 0], [1, 0]], [[0, 0], [128, -50], [292, -114], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13320, 5198], [4, -2], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [-21640, 8448], [0, 0], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[32, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2658, -1034], [6, -6], [0, 0]], [[0, 0], [-3243/2, 1187/2], [42, 32], [-3/2, -1/2]], [[0, 0], [6337/2, 3949/2], [-3888, -2490], [189/2, 121/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4670, 1824], [-2, 0], [0, 0]], [[0, 0], [10145/2, -3991/2], [0, 0], [-13/2, -5/2]], [[0, 0], [4013, 3162], [0, 0], [1515, 970]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[32, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [518, -206], [-6, 6], [0, 0]], [[0, 0], [1977, -748], [-40, 16], [5, 2]], [[0, 0], [7791/2, 4891/2], [64, 42], [1279/2, 819/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4570, -1778], [10, -10], [0, 0]], [[0, 0], [-28457/2, 11121/2], [-78, 0], [-11/2, -1/2]], [[0, 0], [-5285/2, -3661/2], [15432, 9882], [2725/2, 1745/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[-1233152, 481408]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17800, -6948], [-20, 8], [0, 0]], [[0, 0], [-1, -2], [2, 0], [1, 0]], [[0, 0], [-2768, -1762], [-584, -374], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8592, -3410], [-16, -6], [0, 0]], [[0, 0], [1, 4], [2, 0], [1, 0]], [[0, 0], [10808, 6206], [2220, 1422], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[1233152, -481408]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5632, 2200], [52, -20], [0, 0]], [[0, 0], [3, 2], [2, 0], [1, 0]], [[0, 0], [-73792, 28806], [660, -258], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4912, -1914], [-208, 82], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [77456, -30242], [-3276, 1278], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[32, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8420, -3294], [-8, 10], [0, 0]], [[0, 0], [-513431, 197574], [3626, 1406], [7, 2]], [[0, 0], [496809/2, 295435/2], [-233914, -149776], [-795/2, -509/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5758, 2240], [10, 4], [0, 0]], [[0, 0], [184519/2, -72235/2], [64, 80], [-7/2, -5/2]], [[0, 0], [-799/2, -1695/2], [1024, 656], [-89/2, -57/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[32, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [752, -282], [-4, -10], [0, 0]], [[0, 0], [-7/2, 9/2], [-4, -6], [-3/2, -3/2]], [[0, 0], [393/2, 251/2], [-450, -288], [-239/2, -153/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2254, -866], [-10, -10], [0, 0]], [[0, 0], [16278, -6363], [18, -12], [0, -1]], [[0, 0], [13877/2, 8289/2], [4170, 2670], [1635/2, 1047/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[288, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, 28], [10, -10], [0, 0]], [[0, 0], [1510, -609], [-336, 108], [2, -1]], [[0, 0], [651/2, -225], [-200, -39], [-1/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 8], [8, 10], [0, 0]], [[0, 0], [57, -45/2], [54, -21], [1, -1/2]], [[0, 0], [-87/2, 35/2], [-42, 16], [-1/2, 1/2]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[288, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [202, -76], [-6, 6], [0, 0]], [[0, 0], [-590, 505/2], [74, 9], [0, 5/2]], [[0, 0], [-2929/2, 583], [108, -23], [-9/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-212, 86], [8, 0], [0, 0]], [[0, 0], [275/2, -137/2], [-28, -4], [5/2, -3/2]], [[0, 0], [67/2, -34], [-26, -11], [1/2, -1]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[288, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 10], [6, 0], [0, 0]], [[0, 0], [471, -203], [-84, 24], [-1, -1]], [[0, 0], [9943/2, -1955], [-775, 296], [5/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [306, -126], [-6, -4], [0, 0]], [[0, 0], [-1231/2, 493/2], [-3, -3], [-3/2, -3/2]], [[0, 0], [-4169/2, 815], [3, -2], [3/2, -1]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[105536, -41200]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-488, 190], [-12, 8], [0, 0]], [[0, 0], [-425, 1013/2], [-2222, -1403], [1, -3/2]], [[0, 0], [1757, -1691/2], [1082, 643], [-5, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [856, -334], [-20, 0], [0, 0]], [[0, 0], [-295, 113/2], [1958, 1249], [5, 5/2]], [[0, 0], [-7452, 2925], [-380, -396], [20, -9]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[105536, -41200]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-616, 240], [36, -14], [0, 0]], [[0, 0], [1162, -921/2], [4, -5], [2, -5/2]], [[0, 0], [14707, 18905/2], [7378, 4725], [3689, 4725/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1312, -512], [4, -2], [0, 0]], [[0, 0], [-3243, 2533/2], [10, -3], [5, -3/2]], [[0, 0], [194, 116], [356, 228], [178, 114]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[105536, -41200]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -18], [616, -240], [0, 0]], [[0, 0], [255, -203/2], [3678, -1435], [-3, 1/2]], [[0, 0], [-338, -217], [156, 92], [-114, -73]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-184, 72], [-16, 6], [0, 0]], [[0, 0], [-361, 141], [-6, 2], [3, -1]], [[0, 0], [-31, -31/2], [142, 91], [-71, -91/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, -16]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [960, -362], [16, -2], [0, 0]], [[0, 0], [17170, 10866], [5660, 3630], [-2, 2]], [[0, 0], [-222238, -287437/2], [-74376, -47571], [-50, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10156, -3954], [-4, -2], [0, 0]], [[0, 0], [232, -161/2], [16, -5], [8, -5/2]], [[0, 0], [3182, -1041/2], [252, -9], [126, -9/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[192, -16]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [948, -350], [12, 2], [0, 0]], [[0, 0], [39170, 49659/2], [12948, 8297], [-6, -1/2]], [[0, 0], [-327644, -411917/2], [-107712, -69057], [72, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17528, 6858], [-8, -2], [0, 0]], [[0, 0], [-63934, -85841/2], [22080, 14137], [-2, -5/2]], [[0, 0], [-114264, -108065/2], [32056, 20555], [-16, 3/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[288, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [210, -84], [2, -2], [0, 0]], [[0, 0], [-3633/2, 694], [-51, -3], [-3/2, -2]], [[0, 0], [9348, -7235/2], [196, -28], [0, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [198, -78], [10, -4], [0, 0]], [[0, 0], [37/2, -8], [9, 5], [1/2, 1]], [[0, 0], [-16, 13/2], [-4, -2], [0, -1/2]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[105536, -41200]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [384, -150], [16, 4], [0, 0]], [[0, 0], [-108, 25/2], [4000, 2564], [4, 3/2]], [[0, 0], [2435, -1909/2], [598, 308], [-31, 25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [240, -94], [16, 2], [0, 0]], [[0, 0], [-1174, -55], [13424, 8622], [2, -1]], [[0, 0], [10393, -6269/2], [-23830, -15618], [-31, 25/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[105536, -41200]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-640, 250], [-132, 52], [0, 0]], [[0, 0], [11124, -4338], [2316, -926], [-4, -2]], [[0, 0], [105, 65/2], [-354, -234], [-57, -73/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1056, 412], [180, -70], [0, 0]], [[0, 0], [5979, -2338], [-1002, 384], [3, -2]], [[0, 0], [11252, 14649/2], [21040, 13454], [2432, 3115/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[105536, -41200]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, -46], [472, -184], [0, 0]], [[0, 0], [2652, -1033], [10800, -4210], [4, 1]], [[0, 0], [-419, -761/2], [-1026, -1114], [-605, -775/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-200, 78], [1128, -440], [0, 0]], [[0, 0], [-727, 571/2], [3858, -1500], [5, -3/2]], [[0, 0], [-2010, -1282], [-7156, -4610], [-534, -342]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[288, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, -32], [2, 8], [0, 0]], [[0, 0], [2373/2, -496], [-120, 12], [1/2, -1]], [[0, 0], [-7687, 3052], [600, -180], [-7, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-174, 74], [6, 4], [0, 0]], [[0, 0], [2077/2, -406], [0, 0], [-1/2, 0]], [[0, 0], [292, -114], [0, 0], [0, 0]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[288, -112]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-226, 92], [-2, 4], [0, 0]], [[0, 0], [-1669/2, 328], [-16, 8], [-5/2, 1]], [[0, 0], [30, 0], [10, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 14], [10, -8], [0, 0]], [[0, 0], [-122, -197/2], [-150, -90], [0, 5/2]], [[0, 0], [-5/2, 1], [0, 0], [5/2, -1]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[192, -16]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2796, 1062], [-20, -2], [0, 0]], [[0, 0], [-82122, -103841/2], [-27072, -17334], [2, 1/2]], [[0, 0], [313084, 380757/2], [100800, 64512], [-16, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13180, -5146], [12, -4], [0, 0]], [[0, 0], [-109676, -140511/2], [109696, 70248], [-4, 3/2]], [[0, 0], [-15044, -9634], [15044, 9634], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[192, -16]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6676, -2620], [20, 6], [0, 0]], [[0, 0], [487922, 319519], [-496188, -317746], [6, -1]], [[0, 0], [-16406772, -21363267/2], [16623904, 10645580], [-160, 35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10644, 4142], [4, -6], [0, 0]], [[0, 0], [-164900, -105288], [-54960, -35196], [-4, 2]], [[0, 0], [367676, 471295/2], [122832, 78660], [-4, 1/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[608, -224]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -20], [-20, 0], [0, 0]], [[0, 0], [-260, 84], [93, -9], [9, -1]], [[0, 0], [25/2, -5/2], [-15/4, 3/4], [-5/4, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [842, 70], [-18, -2], [0, 0]], [[0, 0], [41627899/26, -1240575/26], [-1750301/52, 6681/52], [385/52, 3/52]], [[0, 0], [11282102035/26, -5864906679/26], [-449375977/52, 241265301/52], [96389/52, -52545/52]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[608, -224]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -18], [-2, -2], [0, 0]], [[0, 0], [197/2, -65/2], [21/4, 15/4], [7/4, 5/4]], [[0, 0], [-184, 72], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-860, -236], [20, 8], [0, 0]], [[0, 0], [-1011269/26, 94161/26], [-28685/52, -2471/52], [-863/52, 3/52]], [[0, 0], [2589/26, -6041/26], [129/52, -301/52], [3/52, -7/52]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[256, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [212, -44], [20, 0], [0, 0]], [[0, 0], [-1178, 362], [-119, 15], [7, 1]], [[0, 0], [11447, -5211], [1525/2, -1073/2], [-21/2, 65/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-624, -120], [16, 12], [0, 0]], [[0, 0], [32379/13, -205031/13], [6021/26, -217/26], [371/26, 1/26]], [[0, 0], [133413268/13, -46373780/13], [1122696/13, -469944/13], [64900/13, -27500/13]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[256, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [468, -172], [20, -8], [0, 0]], [[0, 0], [58, 22], [23, 1], [-23, -1]], [[0, 0], [1321, 795], [659/2, 329/2], [-659/2, -329/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-528, -104], [16, 20], [0, 0]], [[0, 0], [-91955/13, 106575/13], [-24697/26, -3699/26], [-87/26, -5/26]], [[0, 0], [5234725/13, -1903105/13], [347723/26, -162255/26], [1485/26, -657/26]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[32, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [170, -73], [-6, 10], [0, 0]], [[0, 0], [-14637/2, 4841/2], [3979/4, 353/4], [25/4, 3/4]], [[0, 0], [-34380, -12440], [28104, 17258], [188, 116]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-466, 2], [-6, 0], [0, 0]], [[0, 0], [-373212/13, -11235/13], [-7317/13, -113/13], [-45/13, 1/13]], [[0, 0], [-107685/26, 198407/26], [-4625/52, 7741/52], [-35/52, 47/52]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[32, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -55], [8, 10], [0, 0]], [[0, 0], [-2, 614], [-552, -390], [6, 0]], [[0, 0], [-1225/2, -303/2], [1563/4, 945/4], [1/4, -5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-284, 187], [0, 8], [0, 0]], [[0, 0], [266525/26, -4357/26], [11317/52, -1585/52], [343/52, -3/52]], [[0, 0], [-14671/26, 4315/26], [-731/52, 215/52], [-17/52, 5/52]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-916, 369], [8, 8], [0, 0]], [[0, 0], [40024, 38193], [50836, 32596], [8, 2]], [[0, 0], [-1173625, 1188769], [1368969/2, 889407/2], [1071/2, -279/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180, -33], [0, 10], [0, 0]], [[0, 0], [-97727/13, 18799/13], [5515/26, 149/26], [69/26, -5/26]], [[0, 0], [-24772, 7688], [588, -112], [8, -2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-960, 373], [20, -10], [0, 0]], [[0, 0], [-8391, -4936], [-19653/2, -12607/2], [-3/2, -1/2]], [[0, 0], [-57625, -9116], [-74415/2, -49017/2], [-65/2, 17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1544, -33], [20, 10], [0, 0]], [[0, 0], [34940827/13, -11477507/13], [-310979/26, 651/26], [187/26, -3/26]], [[0, 0], [779664164, -290421264], [-2638588, 640672], [1608, -402]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[32, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-152, 54], [8, 4], [0, 0]], [[0, 0], [-15195/2, 5847/2], [337/4, -33/4], [19/4, 5/4]], [[0, 0], [28879/2, -19783/2], [8991/4, 6369/4], [1189/4, 779/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-474, -148], [-6, -6], [0, 0]], [[0, 0], [-2204775/26, 2017195/26], [135805/52, -2729/52], [-281/52, -3/52]], [[0, 0], [-37773173/13, 32061895/13], [2157933/26, -89483/26], [-4453/26, 51/26]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[32, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 22], [10, 4], [0, 0]], [[0, 0], [4470, -1748], [-141, 83], [1, 1]], [[0, 0], [-15/2, -9/2], [-15/4, -9/4], [-5/4, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, -40], [-10, -2], [0, 0]], [[0, 0], [-993381/26, -509299/26], [-450821/52, 15105/52], [73/52, 3/52]], [[0, 0], [-11443443/2, -5620573/2], [-5722959/4, 424959/4], [915/4, -3/4]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, -42], [-16, 4], [0, 0]], [[0, 0], [673, 589], [2863/2, 1793/2], [-7/2, -5/2]], [[0, 0], [-7171, 2493], [743/2, -1337/2], [25/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1332, 14], [20, -8], [0, 0]], [[0, 0], [19601261/13, 13089175/13], [36255/26, 1309/26], [97/26, -1/26]], [[0, 0], [-627834837/13, -485442021/13], [-3830083/26, 950605/26], [-10773/26, 2907/26]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, -80]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [348, -136], [4, -2], [0, 0]], [[0, 0], [-77, -49], [-7/2, 3/2], [7/2, -3/2]], [[0, 0], [-1233, -791], [29/2, -7/2], [-29/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-720, -10], [-8, 4], [0, 0]], [[0, 0], [8230048/13, 7964674/13], [-84918/13, -407/13], [-46/13, -1/13]], [[0, 0], [5875525/13, -222632931/13], [10083395/26, -2613409/26], [5365/26, -1347/26]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[1792, -768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [240, -8], [-4, 12], [0, 0]], [[0, 0], [-12726, 6102], [1392, -404], [6, -2]], [[0, 0], [-16657, 3299], [850, -726], [5, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -40], [-12, 20], [0, 0]], [[0, 0], [-33793, -27611], [22442, 10], [-13, 5]], [[0, 0], [-770743, -472303], [111610, 122634], [45, -19]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[1792, -768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 32], [16, -8], [0, 0]], [[0, 0], [-1659, -699], [230, 2], [-5, 3]], [[0, 0], [-6661, 381], [1950, -610], [-75, 31]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, -8], [-4, -4], [0, 0]], [[0, 0], [-2533, 1505], [50, 34], [-29, 13]], [[0, 0], [-78785, 36223], [494, 374], [-833, 343]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[288, -160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -8], [0, 4], [0, 0]], [[0, 0], [108, 14], [38, 30], [-6, 0]], [[0, 0], [1287/2, -1079/2], [-318, -106], [-105/2, 65/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, 2], [6, 6], [0, 0]], [[0, 0], [-4558, 2848], [314, 46], [0, -2]], [[0, 0], [155775/2, -65451/2], [-2510, 614], [-47/2, 27/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[288, -160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, -10], [6, -2], [0, 0]], [[0, 0], [-448, -228], [0, 0], [4, 0]], [[0, 0], [475/2, 2093/2], [0, 0], [67/2, -35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [178, -26], [14, -6], [0, 0]], [[0, 0], [23083/2, 18493/2], [-352, -28], [29/2, 3/2]], [[0, 0], [1139851/2, 139761/2], [27048, -14076], [-2107/2, 1127/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[1792, -768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, 20], [8, 12], [0, 0]], [[0, 0], [-394, -368], [-208, -56], [-14, 8]], [[0, 0], [-2361, 323], [1026, -558], [261, -99]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112, 84], [-4, 16], [0, 0]], [[0, 0], [-107, 1295], [-1934, 898], [-15, 7]], [[0, 0], [-778, 420], [-1380, 552], [-10, 4]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[1792, -768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [272, 120], [20, 20], [0, 0]], [[0, 0], [-655, 1193], [350, -22], [23, -9]], [[0, 0], [392, 300], [60, 32], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [184, -12], [0, -12], [0, 0]], [[0, 0], [-11077, 4517], [-1074, 382], [3, 1]], [[0, 0], [25646, -10052], [2376, -920], [-2, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[288, -160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-154, 2], [-6, -2], [0, 0]], [[0, 0], [4407/2, -395/2], [80, 20], [19/2, 1/2]], [[0, 0], [-22581/2, 10781/2], [-164, 140], [-73/2, 41/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -2], [-2, -10], [0, 0]], [[0, 0], [77/2, -189/2], [1056, -816], [-17/2, 1/2]], [[0, 0], [44999/2, -10303/2], [255552, -81312], [-1643/2, 899/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[288, -160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -4], [4, 0], [0, 0]], [[0, 0], [3243/2, 61/2], [144, 12], [35/2, 5/2]], [[0, 0], [-25467/2, 12375/2], [-986, 510], [-207/2, 115/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 4], [4, 8], [0, 0]], [[0, 0], [-25/2, -11/2], [-24, -20], [1/2, -5/2]], [[0, 0], [-78, -12], [-50, -102], [32, -22]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[10656, -4160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1616, 630], [-100, 38], [0, 0]], [[0, 0], [27992, -11174], [1466, -844], [-2, -2]], [[0, 0], [-1129411/2, 220518], [-34532, 13551], [-27/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-582, 228], [74, -28], [0, 0]], [[0, 0], [-9247/2, 1806], [570, -245], [-5/2, -1]], [[0, 0], [149762, -58468], [-19106, 7520], [24, -4]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[10656, -4160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [772, -302], [-48, 18], [0, 0]], [[0, 0], [-6417, 5005/2], [414, -157], [1, 1/2]], [[0, 0], [9/2, 3], [-8, -5], [-3/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1256, 490], [4, -2], [0, 0]], [[0, 0], [19816, -7746], [-78, 24], [2, -2]], [[0, 0], [-40353/2, 7926], [104, -9], [5/2, 5]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[481408, -187936]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3088, -1186], [4, 6], [0, 0]], [[0, 0], [-34573, -43787/2], [-13302, -8523], [1, -3/2]], [[0, 0], [39814, 40575/2], [13380, 8663], [-42, 35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3104, -1182], [4, 10], [0, 0]], [[0, 0], [-213211, -280833/2], [-84294, -53965], [-3, 3/2]], [[0, 0], [873357, 547791], [334858, 214486], [-11, 3]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[481408, -187936]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-544, 210], [136, -54], [0, 0]], [[0, 0], [36040, -28163/2], [-8700, 3393], [-4, 1/2]], [[0, 0], [-258989, -165996], [-73506, -47038], [-23111, -14800]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2888, -1128], [20, -8], [0, 0]], [[0, 0], [6423, -4995/2], [46, -25], [-5, -3/2]], [[0, 0], [-25092, -16038], [17692, 11330], [8676, 5556]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-3851264, 1503488]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-259660, 101364], [4, 8], [0, 0]], [[0, 0], [1589868, -620675], [40, 2], [-4, 1]], [[0, 0], [1150634, -449191], [12, -10], [-2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [221724, -86540], [-12, 8], [0, 0]], [[0, 0], [1635976, -638739], [-80, 18], [24, -7]], [[0, 0], [1479454, -576878], [60, 100], [-2, -22]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[-3851264, 1503488]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [293524, -114596], [4, 16], [0, 0]], [[0, 0], [-53407008, 20848053], [5520, 1042], [24, -7]], [[0, 0], [4941274, -1929159], [92, 290], [-2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23228, 8948], [-4, -20], [0, 0]], [[0, 0], [107488, -42221], [-128, 2], [0, -1]], [[0, 0], [3549298, -1385537], [-2668, 1054], [34, -13]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -24], [-20, -4], [0, 0]], [[0, 0], [279/2, 187/2], [44, 30], [7/2, 3/2]], [[0, 0], [-193, 69], [-82, 30], [33, -13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, -20], [0, -8], [0, 0]], [[0, 0], [638, 2173], [982, 28], [0, -1]], [[0, 0], [29305/2, -12307/2], [-5204, 1958], [-17/2, 7/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -2], [10, 2], [0, 0]], [[0, 0], [5241/2, -995/2], [-588, 46], [-3/2, 1/2]], [[0, 0], [-732, 340], [136, -72], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 26], [10, 2], [0, 0]], [[0, 0], [3365/2, 343/2], [-172, 228], [15/2, 5/2]], [[0, 0], [8846, -3517], [-3336, 1290], [22, -9]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 24], [20, 0], [0, 0]], [[0, 0], [-1, -2], [2, 0], [1, 0]], [[0, 0], [-104, 0], [32, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 0], [8, -20], [0, 0]], [[0, 0], [1, 4], [2, 0], [1, 0]], [[0, 0], [-24, 40], [84, 0], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -16], [-12, -20], [0, 0]], [[0, 0], [3, 2], [2, 0], [1, 0]], [[0, 0], [-384, 240], [-420, 280], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -8], [20, 4], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [-40, 8], [-28, -8], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[-256, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 16], [-56, 24], [0, 0]], [[0, 0], [3, 2], [-2, 0], [1, 0]], [[0, 0], [-28, -20], [-16, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 8], [40, -12], [0, 0]], [[0, 0], [-3, 0], [-2, 0], [1, 0]], [[0, 0], [28, 12], [-16, 16], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -10], [-2, -2], [0, 0]], [[0, 0], [169/2, -63/2], [-1, -5], [-1/2, -5/2]], [[0, 0], [41523/2, -16199/2], [1037, -425], [1037/2, -425/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -22], [-14, 2], [0, 0]], [[0, 0], [1655, 1096], [1596, -454], [-3, -2]], [[0, 0], [3005/2, -1313/2], [-64069, 25005], [-7/2, 3/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[3851264, -1503488]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168964, 65948], [4, -4], [0, 0]], [[0, 0], [217658, -84918], [-64, 28], [-30, 10]], [[0, 0], [494678, -192919], [-140, 66], [-70, 21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94924, -37060], [-4, 8], [0, 0]], [[0, 0], [2325742, -907928], [-228, 100], [6, 0]], [[0, 0], [418194, -163247], [-36, 22], [2, 1]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[3851264, -1503488]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14764, -5844], [4, -16], [0, 0]], [[0, 0], [1252282, -488371], [1532, -510], [-26, 9]], [[0, 0], [1640410, -641817], [1656, -894], [-30, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86572, -33796], [-4, 0], [0, 0]], [[0, 0], [-399038, 155763], [20, -10], [10, -5]], [[0, 0], [-709618, 277066], [44, -12], [22, -6]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 0], [-12, -4], [0, 0]], [[0, 0], [-4745/2, 3705/2], [36, 500], [-13/2, -3/2]], [[0, 0], [-914826, 353429], [-130890, 49040], [-704, 291]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, 42], [14, 6], [0, 0]], [[0, 0], [-9451/2, 453/2], [-1436, 282], [-9/2, -5/2]], [[0, 0], [675502, -264296], [249656, -97564], [78, -32]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, -62], [-26, -10], [0, 0]], [[0, 0], [-1199, 210], [1386, -604], [-5, 0]], [[0, 0], [17227/2, -6665/2], [-13086, 5116], [55/2, -21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 48], [28, 8], [0, 0]], [[0, 0], [2899/2, 3999/2], [1154, 360], [9/2, 1/2]], [[0, 0], [8143, -2769], [-2614, 1150], [-17, 7]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -32], [0, 16], [0, 0]], [[0, 0], [3, -2], [2, 0], [1, 0]], [[0, 0], [168, -168], [-20, 80], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 16], [-12, 12], [0, 0]], [[0, 0], [-3, 4], [2, 0], [1, 0]], [[0, 0], [0, 0], [12, 8], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -8], [12, -12], [0, 0]], [[0, 0], [-1, 2], [2, 0], [1, 0]], [[0, 0], [8, 0], [-8, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -8], [12, 0], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [-8, 0], [12, -4], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[-256, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -28], [64, -12], [0, 0]], [[0, 0], [-1, 2], [-2, 0], [1, 0]], [[0, 0], [280, 64], [1144, -500], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 36], [-80, 28], [0, 0]], [[0, 0], [1, 0], [-2, 0], [1, 0]], [[0, 0], [-156, -84], [-440, 180], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -8], [-4, 0], [0, 0]], [[0, 0], [1055/2, -293/2], [-135, -39], [5/2, -3/2]], [[0, 0], [1986, -739], [-246, 40], [12, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -40], [-12, -8], [0, 0]], [[0, 0], [7593/2, -3557/2], [33, -81], [5/2, -1/2]], [[0, 0], [-25170, 9627], [-650, 208], [-12, 5]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 6], [46, 2], [0, 0]], [[0, 0], [-4445, -2954], [-4252, -2878], [-5, -2]], [[0, 0], [1279/2, -575/2], [946, -406], [-13/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 16], [-28, 4], [0, 0]], [[0, 0], [389, -83], [218, -134], [-3, 1]], [[0, 0], [-3957/2, 1763/2], [-1792, 622], [37/2, -15/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -16], [-40, 0], [0, 0]], [[0, 0], [-29, -2], [-38, 12], [1, 0]], [[0, 0], [3/2, -1/2], [2, 0], [3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 6], [-22, 6], [0, 0]], [[0, 0], [53/2, -71/2], [42, -12], [3/2, 3/2]], [[0, 0], [411/2, -157/2], [154, -60], [-3/2, 1/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 0], [-8, 16], [0, 0]], [[0, 0], [3, 2], [-2, 0], [1, 0]], [[0, 0], [-8, 36], [60, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -8], [20, 20], [0, 0]], [[0, 0], [-3, 0], [-2, 0], [1, 0]], [[0, 0], [8, -4], [-16, -8], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[-256, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -20], [60, 28], [0, 0]], [[0, 0], [-1, 2], [-2, 0], [1, 0]], [[0, 0], [-176, 56], [108, 108], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 8], [76, 44], [0, 0]], [[0, 0], [1, 0], [-2, 0], [1, 0]], [[0, 0], [120, -44], [84, 84], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[481408, -187936]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1472, -590], [0, -6], [0, 0]], [[0, 0], [-3647, -4699/2], [-1438, -916], [3, -5/2]], [[0, 0], [-12660, -8084], [-4940, -3172], [-12, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4096, -1598], [-168, 66], [0, 0]], [[0, 0], [-6943, 2715], [230, -82], [5, -1]], [[0, 0], [322659, 413315/2], [553978, 354760], [67691, 86697/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[481408, -187936]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2752, -1074], [200, -78], [0, 0]], [[0, 0], [129565, -50529], [9462, -3704], [-5, -1]], [[0, 0], [-7487, -9625/2], [1726, 1104], [463, 593/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6864, 2720], [20, 8], [0, 0]], [[0, 0], [-217055, -137699], [-84494, -54108], [1, -1]], [[0, 0], [-33403, -41719/2], [-12878, -8246], [1, -1/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[481408, -187936]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1940, 758], [160, -62], [0, 0]], [[0, 0], [-4872, 3815/2], [420, -158], [4, 1/2]], [[0, 0], [34197, 43901/2], [36950, 23658], [12779, 16367/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, 30], [128, -50], [0, 0]], [[0, 0], [-185, 127/2], [14, -10], [-5, 1/2]], [[0, 0], [17188, 22013/2], [8932, 5720], [2860, 3663/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[10656, -4160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [602, -236], [18, -8], [0, 0]], [[0, 0], [12229/2, -4743/2], [191, -67], [-1/2, 3/2]], [[0, 0], [-4424, 3377/2], [-150, 40], [-2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1314, -514], [-110, 42], [0, 0]], [[0, 0], [-98191/2, 19115], [4011, -1641], [-3/2, -2]], [[0, 0], [355218, -277047/2], [-29354, 11678], [0, 15/2]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[1312, -512]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [816, -310], [-4, 10], [0, 0]], [[0, 0], [32477/2, -6243], [-126, 168], [5/2, 2]], [[0, 0], [-186465, 72678], [2646, -1176], [1, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1520, -582], [4, 10], [0, 0]], [[0, 0], [154365/2, -30103], [-342, 162], [-5/2, 1]], [[0, 0], [-1578, 1136], [522, 324], [0, 0]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[1312, -512]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1098, -438], [2, -10], [0, 0]], [[0, 0], [-84045/2, 16723], [-120, 354], [-5/2, 2]], [[0, 0], [75182, -28158], [1848, 430], [10, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [924, -358], [-8, 6], [0, 0]], [[0, 0], [-28447/2, 11873/2], [552, 178], [-1/2, 3/2]], [[0, 0], [9785, -7711/2], [-150, 22], [1, -1/2]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[640, -224]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64276, 25128], [20, 4], [0, 0]], [[0, 0], [-936324, -1203409/2], [-312920, -200390], [8, 1/2]], [[0, 0], [432622, 290340], [148572, 95142], [-30, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68504, -26730], [-8, -10], [0, 0]], [[0, 0], [-265054, -176463], [270952, 173514], [-2, 1]], [[0, 0], [-297830, -375251/2], [294140, 188364], [2, -1/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[640, -224]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30532, -11928], [12, 4], [0, 0]], [[0, 0], [13946, 9301], [-14332, -9178], [-2, 1]], [[0, 0], [-39660, -48445/2], [38592, 24714], [-8, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12468, 4866], [4, -2], [0, 0]], [[0, 0], [2, -54], [0, 0], [-10, 2]], [[0, 0], [970, -1091/2], [0, 0], [-178, 127/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[481408, -187936]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5976, 2358], [20, 2], [0, 0]], [[0, 0], [-24323, -16377], [-9826, -6290], [3, 1]], [[0, 0], [-17459, -24645/2], [-7270, -4652], [3, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2344, -916], [368, -144], [0, 0]], [[0, 0], [-5381, 4211/2], [-778, 306], [-1, 1/2]], [[0, 0], [-1896, -1214], [-684, -438], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[481408, -187936]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2088, 814], [332, -130], [0, 0]], [[0, 0], [157661, -123037/2], [-25054, 9792], [-1, 1/2]], [[0, 0], [-31864, -20396], [-11016, -7056], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2128, -862], [-16, -6], [0, 0]], [[0, 0], [174557, 227357/2], [69126, 44260], [-3, 3/2]], [[0, 0], [-98055, -61095], [-37770, -24194], [-3, 1]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[481408, -187936]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [476, -186], [-640, 250], [0, 0]], [[0, 0], [-17262, 13483/2], [22624, -8836], [2, -3/2]], [[0, 0], [-10483, -13419/2], [15342, 9820], [2835, 3631/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, 30], [88, -34], [0, 0]], [[0, 0], [-259, 209/2], [-254, 104], [5, -1/2]], [[0, 0], [18269, 23395/2], [26090, 16706], [7821, 10017/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[10656, -4160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [442, -172], [42, -16], [0, 0]], [[0, 0], [1041/2, -393/2], [51, -15], [-1/2, 1/2]], [[0, 0], [427, -329/2], [40, -14], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166, 64], [-22, 8], [0, 0]], [[0, 0], [16547/2, -3233], [1005, -387], [3/2, 0]], [[0, 0], [50271/2, -9805], [3023, -1193], [3/2, -2]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[1312, -512]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1004, -390], [0, 2], [0, 0]], [[0, 0], [-1487, 1319/2], [74, 44], [-1, -3/2]], [[0, 0], [-194205/2, 38019], [304, -16], [99/2, -22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -10], [2, -2], [0, 0]], [[0, 0], [43/2, -7], [20, -8], [-3/2, -1]], [[0, 0], [-82, 32], [-82, 32], [0, 0]]], 1, 128, [], [] >,
< [ -4, -1, 1 ], [[1312, -512]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1776, -686], [4, 6], [0, 0]], [[0, 0], [223631/2, -88581/2], [-848, -324], [3/2, -5/2]], [[0, 0], [3881254, -3041389/2], [-12814, -634], [100, -111/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1526, 586], [-10, -6], [0, 0]], [[0, 0], [-291691/2, 113843/2], [-66, -4], [3/2, 1/2]], [[0, 0], [786813/2, -153591], [80, -52], [-1/2, 1]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[640, -224]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34692, -13518], [-4, 10], [0, 0]], [[0, 0], [2349580, 3017631/2], [783552, 501776], [-8, 1/2]], [[0, 0], [-17259430, -11535326], [-5901896, -3779336], [650, -234]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13900, 5420], [-4, 8], [0, 0]], [[0, 0], [246838, 311955/2], [-246420, -157806], [-2, 1/2]], [[0, 0], [894692, 1071225/2], [-864108, -553392], [-32, 23/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[640, -224]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29628, 11574], [-4, -6], [0, 0]], [[0, 0], [-12424, -16801/2], [12864, 8238], [4, 5/2]], [[0, 0], [1852, -810], [84, 54], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [53680, -20938], [0, 6], [0, 0]], [[0, 0], [-270494, -350585/2], [-90636, -58042], [-6, -3/2]], [[0, 0], [-77448, -147403/2], [-33540, -21476], [-28, 19/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[32, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 11], [-10, 4], [0, 0]], [[0, 0], [-127/2, -9/2], [57/4, 3/4], [19/4, 1/4]], [[0, 0], [403/2, 529/2], [-165/4, -231/4], [-55/4, -77/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-194, 0], [-6, -2], [0, 0]], [[0, 0], [-335407/26, 26285/26], [18509/52, 735/52], [503/52, 5/52]], [[0, 0], [-6158875/26, 1986709/26], [296105/52, -83829/52], [8347/52, -2455/52]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[32, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [170, -40], [6, 10], [0, 0]], [[0, 0], [30675/2, -16065/2], [-6645/4, -1239/4], [-39/4, -5/4]], [[0, 0], [84038, -21001], [2302, 4634], [8, 26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-146, 21], [-10, -4], [0, 0]], [[0, 0], [-1322005/26, 420649/26], [-84073/52, -667/52], [-59/52, -1/52]], [[0, 0], [-353495499/26, 135630951/26], [-15542407/52, 5236211/52], [-10773/52, 3609/52]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[128, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-516, 198], [-12, -4], [0, 0]], [[0, 0], [-6339, 1216], [-6077/2, -3815/2], [-3/2, -5/2]], [[0, 0], [-256841, 101398], [1645/2, 4915/2], [155/2, -55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [156, 160], [12, 8], [0, 0]], [[0, 0], [1263931/13, -443808/13], [21005/26, -409/26], [35/26, 5/26]], [[0, 0], [-272576482/13, 106256821/13], [-1518219/13, 580617/13], [-1921/13, 721/13]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[128, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [328, -126], [-16, 8], [0, 0]], [[0, 0], [1805, 1598], [3799/2, 2393/2], [1/2, -5/2]], [[0, 0], [41923, -13080], [1877/2, 4799/2], [-501/2, 189/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1272, 127], [4, 6], [0, 0]], [[0, 0], [-4918870/13, 3639932/13], [51807/13, -217/13], [137/13, 1/13]], [[0, 0], [-17397401555/13, 6900712219/13], [174624691/26, -65635699/26], [453861/26, -170277/26]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[32, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -2], [22, 6], [0, 0]], [[0, 0], [-34147/2, 11603/2], [-49371/4, 8631/4], [-41/4, -3/4]], [[0, 0], [-548886, 211043], [-337797, 121905], [-207, 63]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [364, 3], [-8, 0], [0, 0]], [[0, 0], [-10801207/26, -153805/26], [477341/52, 2783/52], [135/52, -3/52]], [[0, 0], [-100598741/13, 32947377/13], [4496217/26, -1481549/26], [1319/26, -443/26]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[32, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 5], [16, 0], [0, 0]], [[0, 0], [455/2, -83/2], [-381/4, 33/4], [41/4, 3/4]], [[0, 0], [9546, -4028], [-3462, 1536], [276, -138]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [418, -231], [2, -10], [0, 0]], [[0, 0], [-109082, 32932], [-3108, 350], [-6, 0]], [[0, 0], [14671/26, -4315/26], [731/52, -215/52], [17/52, -5/52]]], 1, 128, [], [] >,
< [ -4, -1, 1 ], [[128, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-160, 53], [-4, -8], [0, 0]], [[0, 0], [-2925, 1140], [105/2, -121/2], [15/2, 1/2]], [[0, 0], [-820, 309], [-306, -222], [30, 18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-264, -55], [-12, 20], [0, 0]], [[0, 0], [-57736/13, -318064/13], [87962/13, 1542/13], [-38/13, 2/13]], [[0, 0], [-60241443/13, 25940131/13], [-24895025/26, 9208305/26], [11905/26, -4465/26]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[128, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 42], [-16, 20], [0, 0]], [[0, 0], [1522, -571], [551, -193], [-3, 1]], [[0, 0], [-1743, -1221], [-3437/2, -2275/2], [29/2, 19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1020, -27], [-16, 8], [0, 0]], [[0, 0], [-11143165/13, -10656335/13], [316001/26, -45/26], [191/26, 5/26]], [[0, 0], [979324375/13, -487245207/13], [62996705/26, -23730905/26], [36567/26, -13719/26]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 44], [20, 0], [0, 0]], [[0, 0], [-204, -128], [-65, -41], [-5, -1]], [[0, 0], [-1343/2, -645/2], [-827/4, -425/4], [-385/4, 117/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-190, -130], [-10, -6], [0, 0]], [[0, 0], [-224439/26, -41549/26], [21109/52, 1047/52], [607/52, 5/52]], [[0, 0], [162579/2, -11127/2], [-17297/4, 2989/4], [-515/4, 103/4]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 10], [-22, -6], [0, 0]], [[0, 0], [468, 48], [1489, -747], [13, 1]], [[0, 0], [-17277/2, 945/2], [-149325/4, 66625/4], [-975/4, 75/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [128, 112], [8, 4], [0, 0]], [[0, 0], [-635883/26, -6073/26], [-30699/52, -1273/52], [-697/52, -3/52]], [[0, 0], [62446278/13, -13959014/13], [1462936/13, -299532/13], [34390/13, -7790/13]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [128, -40], [-16, 8], [0, 0]], [[0, 0], [-185, -223], [-123/2, -45/2], [-5/2, -3/2]], [[0, 0], [-260, 108], [44, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1064, 160], [8, -12], [0, 0]], [[0, 0], [45481/13, 396891/13], [-39673/26, 6077/26], [-191/26, -5/26]], [[0, 0], [5042682/13, -3018662/13], [270697/13, -93747/13], [1059/13, -313/13]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 36], [20, 4], [0, 0]], [[0, 0], [366, -1402], [575, -441], [-3, 1]], [[0, 0], [-8145, -807], [-5559/2, 799/2], [15/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-756, -84], [-4, 8], [0, 0]], [[0, 0], [-150781/13, -485395/13], [38893/26, 3283/26], [-69/26, 5/26]], [[0, 0], [-30683592/13, 16703536/13], [-1058420/13, 333036/13], [2324/13, -812/13]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 42], [10, -6], [0, 0]], [[0, 0], [-1089/2, -115/2], [239/4, -83/4], [-27/4, -1/4]], [[0, 0], [-943/2, 627/2], [473/4, -189/4], [-29/4, 17/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, -34], [-10, -2], [0, 0]], [[0, 0], [-1374403/26, 314631/26], [99985/52, -3701/52], [-461/52, 1/52]], [[0, 0], [3218349/2, -1040393/2], [-203919/4, 45219/4], [915/4, -183/4]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[224, -96]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -20], [4, -8], [0, 0]], [[0, 0], [-227, -161], [-129/2, -39/2], [1/2, -1/2]], [[0, 0], [31/2, 61/2], [147/4, -31/4], [-7/4, 3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [586, 134], [6, 6], [0, 0]], [[0, 0], [234684/13, -148236/13], [-5293/13, 87/13], [-33/13, -1/13]], [[0, 0], [16424293/26, -7387441/26], [-470679/52, 115555/52], [-2805/52, 617/52]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, 20], [-12, 4], [0, 0]], [[0, 0], [-3663, -909], [-521/2, 69/2], [-31/2, -5/2]], [[0, 0], [182837, -16409], [39359/2, -12207/2], [1729/2, -273/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [556, 60], [-4, -8], [0, 0]], [[0, 0], [-187581/13, 423337/13], [-41299/26, -4689/26], [-149/26, 1/26]], [[0, 0], [-118448688/13, 52207128/13], [-2659054/13, 860740/13], [-11494/13, 4000/13]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, -36], [4, 0], [0, 0]], [[0, 0], [-177, 61], [5/2, -5/2], [-5/2, 5/2]], [[0, 0], [347, -151], [-23/2, 3/2], [23/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [996, -28], [-12, 4], [0, 0]], [[0, 0], [-3095819/13, -1399929/13], [29555/26, -1691/26], [21/26, 3/26]], [[0, 0], [6417989/13, -1071097/13], [-183121/26, 66073/26], [-95/26, 31/26]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[160, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98, -6], [30, 10], [0, 0]], [[0, 0], [8953/2, -855/2], [-1170, -196], [5/2, -3/2]], [[0, 0], [20941, -19903], [198, 5722], [35, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, 6], [26, 10], [0, 0]], [[0, 0], [-453/2, 5199/2], [-2546, -2056], [-7/2, 1/2]], [[0, 0], [43653/2, -40975/2], [8916, 11054], [75/2, -21/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[160, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, 10], [-26, -10], [0, 0]], [[0, 0], [414, -99], [188, 74], [6, 1]], [[0, 0], [-9279/2, 3541/2], [-680, 170], [-75/2, 25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, 14], [6, -2], [0, 0]], [[0, 0], [-64, -39], [8, -6], [-4, 1]], [[0, 0], [-109/2, -61/2], [20, -10], [-15/2, 5/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-768, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -4], [0, -4], [0, 0]], [[0, 0], [-1, -2], [2, 0], [1, 0]], [[0, 0], [-256, 124], [28, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, 48], [20, 4], [0, 0]], [[0, 0], [1, 4], [2, 0], [1, 0]], [[0, 0], [-280, 100], [-280, 108], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-768, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 60], [-12, 16], [0, 0]], [[0, 0], [-5, 2], [2, 0], [1, 0]], [[0, 0], [328, -160], [440, -176], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, -76], [4, -16], [0, 0]], [[0, 0], [5, 0], [2, 0], [1, 0]], [[0, 0], [1040, -536], [-700, 260], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[160, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 6], [2, 10], [0, 0]], [[0, 0], [6171/2, -3941/2], [1740, 70], [-13/2, -5/2]], [[0, 0], [206897, -82545], [56888, -20472], [-99, 27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -6], [18, -2], [0, 0]], [[0, 0], [-8347, -1367], [3518, -326], [1, 1]], [[0, 0], [-135943/2, 65049/2], [46512, -19514], [-17/2, 3/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[160, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74, -6], [-18, -10], [0, 0]], [[0, 0], [-41711/2, 15641/2], [812, -78], [5/2, -3/2]], [[0, 0], [294299/2, -123035/2], [-1328, 3548], [-57/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 12], [20, 8], [0, 0]], [[0, 0], [-37137/2, 9309/2], [-2884, 176], [-3/2, -1/2]], [[0, 0], [21365, -7436], [2826, -772], [1, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-768, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 24], [12, 4], [0, 0]], [[0, 0], [-1, -2], [2, 0], [1, 0]], [[0, 0], [0, -4], [-4, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 12], [-20, 8], [0, 0]], [[0, 0], [1, 4], [2, 0], [1, 0]], [[0, 0], [-8, -8], [0, 0], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-768, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -20], [4, 0], [0, 0]], [[0, 0], [-5, 2], [2, 0], [1, 0]], [[0, 0], [-24, 8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-160, -32], [-12, -20], [0, 0]], [[0, 0], [5, 0], [2, 0], [1, 0]], [[0, 0], [440, -196], [-88, 28], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[160, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, -14], [-6, -6], [0, 0]], [[0, 0], [-24619/2, 12969/2], [850, -64], [1/2, 5/2]], [[0, 0], [230842, -86624], [-9090, 4106], [40, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94, 10], [-2, -6], [0, 0]], [[0, 0], [5865/2, -7767/2], [906, 44], [3/2, -1/2]], [[0, 0], [-238, -1030], [238, 70], [0, 0]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[160, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, -16], [-8, -4], [0, 0]], [[0, 0], [-1681/2, 375/2], [-40, -6], [-5/2, 3/2]], [[0, 0], [-2007, 933], [-38, 38], [-9, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, -10], [6, -6], [0, 0]], [[0, 0], [-33, -10], [-4, 10], [5, 0]], [[0, 0], [23/2, -9/2], [4, -2], [-3/2, 1/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-768, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, -80], [12, -20], [0, 0]], [[0, 0], [7, -2], [2, 0], [1, 0]], [[0, 0], [-960, 388], [-2004, 784], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 28], [20, 8], [0, 0]], [[0, 0], [-7, 4], [2, 0], [1, 0]], [[0, 0], [-296, 116], [32, -12], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-768, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 0], [20, 4], [0, 0]], [[0, 0], [3, 2], [2, 0], [1, 0]], [[0, 0], [1256, -484], [-728, 276], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, 0], [4, 4], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [96, -44], [-4, 0], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[160, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -18], [10, -2], [0, 0]], [[0, 0], [85/2, 123/2], [-40, 24], [5/2, 3/2]], [[0, 0], [-2501/2, 1079/2], [-1876, 738], [11/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -8], [12, -4], [0, 0]], [[0, 0], [-17787/2, -9769/2], [360, 4], [-5/2, 1/2]], [[0, 0], [11158, 5741], [-550, 40], [4, -1]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[160, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, -26], [2, -6], [0, 0]], [[0, 0], [105, -20], [-56, 26], [1, 0]], [[0, 0], [-45/2, -45/2], [-12, -2], [-1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, 6], [14, -2], [0, 0]], [[0, 0], [3275, 1084], [436, 50], [1, 2]], [[0, 0], [37715/2, -20279/2], [4624, -2064], [-63/2, 19/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-768, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -8], [-4, 4], [0, 0]], [[0, 0], [7, -2], [2, 0], [1, 0]], [[0, 0], [256, -132], [68, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 20], [4, 0], [0, 0]], [[0, 0], [-7, 4], [2, 0], [1, 0]], [[0, 0], [-24, 8], [0, 0], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-768, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, -28], [16, -20], [0, 0]], [[0, 0], [3, 2], [2, 0], [1, 0]], [[0, 0], [1120, -444], [-700, 272], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, -68], [-20, -8], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [48, -20], [20, -8], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[394848, -154144]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1186, -462], [-2, 2], [0, 0]], [[0, 0], [-4609, -4695/2], [-4886, -3129], [1, 5/2]], [[0, 0], [10835/2, -6775/2], [-1500, -960], [43/2, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [720, -300], [-28, -8], [0, 0]], [[0, 0], [11966, 15505/2], [12086, 7741], [0, 5/2]], [[0, 0], [9455/2, 2593], [4324, 2763], [25/2, -4]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[394848, -154144]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-220, 88], [16, -4], [0, 0]], [[0, 0], [1729/2, 1117/2], [932, 598], [-3/2, 1/2]], [[0, 0], [-5309/2, -1745], [-2886, -1859], [27/2, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-760, 316], [28, 8], [0, 0]], [[0, 0], [88903/2, 26750], [41940, 26877], [5/2, -1]], [[0, 0], [7254, 4762], [7226, 4626], [0, 0]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[33280, -12992]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2408, 940], [20, 4], [0, 0]], [[0, 0], [44166, -34475/2], [-56, 123], [-2, -3/2]], [[0, 0], [-2799, 2157/2], [-242, -165], [7, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5728, -2236], [-4, 16], [0, 0]], [[0, 0], [-595849, 465229/2], [4522, 963], [-5, -3/2]], [[0, 0], [538470, -210368], [-195324, -123336], [246, 156]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[33280, -12992]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [912, -356], [12, 20], [0, 0]], [[0, 0], [17208, -13403/2], [-564, -121], [4, 5/2]], [[0, 0], [-28613, 22217/2], [1602, 627], [-15, -19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2408, 940], [12, -16], [0, 0]], [[0, 0], [-17453, 6810], [282, 4], [-5, -2]], [[0, 0], [-9477, 6931/2], [7562, 4749], [-261, -333/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[394848, -154144]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [278, -98], [22, 2], [0, 0]], [[0, 0], [-9101/2, -5843/2], [-4596, -2948], [3/2, 5/2]], [[0, 0], [585, -995/2], [280, -381], [-175, 137/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1422, -550], [-2, 6], [0, 0]], [[0, 0], [5317/2, 1611], [2588, 1667], [3/2, -2]], [[0, 0], [-7487/2, -7815/2], [-5418, -3312], [99/2, -33/2]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[394848, -154144]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1334, -522], [2, -2], [0, 0]], [[0, 0], [-7586, -9707/2], [-7598, -4861], [0, -3/2]], [[0, 0], [-2699/2, -905], [-1350, -907], [-27/2, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [658, -270], [-18, -6], [0, 0]], [[0, 0], [21855, 27169/2], [21298, 13645], [-1, -3/2]], [[0, 0], [27997/2, -49213/2], [-18914, -11622], [139/2, -51/2]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[33280, -12992]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4232, -1652], [12, -20], [0, 0]], [[0, 0], [665687, -519717/2], [4782, -1297], [-3, -5/2]], [[0, 0], [104000, -41285], [-20020, -13506], [136, 87]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [728, -284], [4, 0], [0, 0]], [[0, 0], [5699, -2234], [6, -4], [3, -2]], [[0, 0], [4748, 3487/2], [632, 403], [316, 403/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[33280, -12992]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3832, 1496], [0, -4], [0, 0]], [[0, 0], [1172, -907/2], [4, 5], [0, 1/2]], [[0, 0], [169, -15/2], [70, 45], [7, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1640, 640], [-16, 20], [0, 0]], [[0, 0], [-18207, 14213/2], [-146, 249], [-3, 1/2]], [[0, 0], [-2646, 1089], [-7784, -4934], [26, 17]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-768, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112, 48], [12, 20], [0, 0]], [[0, 0], [-5, 4], [2, 2], [1, 0]], [[0, 0], [-56, 12], [24, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, -52], [12, -8], [0, 0]], [[0, 0], [5, 2], [2, 2], [1, 0]], [[0, 0], [-56, 52], [136, -52], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-768, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, 76], [12, 16], [0, 0]], [[0, 0], [-1, 0], [2, 2], [1, 0]], [[0, 0], [464, -204], [420, -168], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 36], [-20, 16], [0, 0]], [[0, 0], [-7, -2], [2, 2], [1, 0]], [[0, 0], [-8, -4], [-4, 0], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[160, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 24], [-4, -4], [0, 0]], [[0, 0], [-171, 127], [-10, -18], [-1, 1]], [[0, 0], [3509/2, -1095/2], [-128, 0], [25/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -24], [4, 4], [0, 0]], [[0, 0], [-2129/2, 953/2], [-264, 92], [13/2, 3/2]], [[0, 0], [-58613/2, 23815/2], [-6790, 2566], [197/2, -15/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[160, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 26], [-6, -6], [0, 0]], [[0, 0], [-2599/2, 1587/2], [52, -104], [1/2, 3/2]], [[0, 0], [174297/2, -64399/2], [-7728, 2484], [145/2, -35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, -10], [-2, -2], [0, 0]], [[0, 0], [-351/2, 131/2], [0, 0], [-1/2, -3/2]], [[0, 0], [13777/2, -5403/2], [0, 0], [-105/2, 27/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-644, 274], [20, 16], [0, 0]], [[0, 0], [-20260, 7682], [-310, -98], [-2, 2]], [[0, 0], [-4367, 796], [-1721/2, -1067/2], [9/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [992, 36], [16, -12], [0, 0]], [[0, 0], [182729/13, 259001/13], [-21769/26, -547/26], [-31/26, 3/26]], [[0, 0], [3017843/13, -28268/13], [148845/26, -89593/26], [275/26, -139/26]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-528, 182], [-8, -20], [0, 0]], [[0, 0], [-25905, 10024], [1293/2, -681/2], [-21/2, -3/2]], [[0, 0], [7634, 491], [3211, 2181], [209, 133]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [500, -14], [12, 4], [0, 0]], [[0, 0], [-1411471/13, 367570/13], [-47153/26, -147/26], [-111/26, -1/26]], [[0, 0], [-4240748, 1753519], [-46428, 23080], [-108, 54]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[394848, -154144]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 0], [-6, 2], [0, 0]], [[0, 0], [17/2, 39/2], [-11/4, -1/4], [-1/4, -3/4]], [[0, 0], [-91, -16], [-3/2, 7/2], [7/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1304, -102], [-24, -4], [0, 0]], [[0, 0], [-1650515/13, -180068/13], [-71281/26, -12419/26], [201/26, -1/26]], [[0, 0], [29172913/26, -22224521/26], [990345/52, -915541/52], [-4877/52, 2921/52]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[394848, -154144]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -6], [12, 4], [0, 0]], [[0, 0], [-313/2, 87/2], [75/4, -143/4], [-47/4, -5/4]], [[0, 0], [-2351/2, 847/2], [1297/4, -733/4], [-245/4, 49/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-122, 228], [-6, 10], [0, 0]], [[0, 0], [-26527/26, 7357/26], [1973/52, 943/52], [191/52, 5/52]], [[0, 0], [-4388620/13, 2018168/13], [-53657/13, -66143/13], [7363/13, -6919/13]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[-27296, 10656]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [886, -346], [-46, 18], [0, 0]], [[0, 0], [-409/2, 79], [-2, 1], [-5/2, 1]], [[0, 0], [-12, 4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6534, 2550], [-38, 14], [0, 0]], [[0, 0], [-6053/2, 1163], [-36, -17], [5/2, -2]], [[0, 0], [-1258, 929/2], [-46, -27], [0, -3/2]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[-27296, 10656]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6182, 2418], [-14, 10], [0, 0]], [[0, 0], [2924545/2, -570546], [4622, -1531], [1/2, -2]], [[0, 0], [-26190880, 10220688], [-81418, 28302], [-18, 30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3482, 1358], [22, -10], [0, 0]], [[0, 0], [15304, -11969/2], [-126, 23], [-2, -5/2]], [[0, 0], [-1/2, 1], [2, 1], [1/2, 0]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[-1233152, 481408]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24552, 9632], [-4, 20], [0, 0]], [[0, 0], [-909339, 713309/2], [-186, 719], [3, 1/2]], [[0, 0], [121, 155/2], [114, 73], [-57, -73/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9128, -3588], [-4, -8], [0, 0]], [[0, 0], [2348, -2187/2], [-40, -29], [-4, -3/2]], [[0, 0], [703, 575], [234, 150], [11, 7]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-1233152, 481408]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13192, 5152], [-80, 32], [0, 0]], [[0, 0], [9711, -7579/2], [82, -29], [-3, 1/2]], [[0, 0], [-8292, -5291], [-15444, -9890], [3412, 2185]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13256, 5180], [-36, 16], [0, 0]], [[0, 0], [233141, -91000], [710, -272], [-3, 0]], [[0, 0], [58628, 74921/2], [19512, 12495], [-4484, -5743/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-27296, 10656]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5802, -2266], [-38, 14], [0, 0]], [[0, 0], [17633, -13793/2], [-134, 33], [-1, -5/2]], [[0, 0], [-104545/2, 20392], [320, -147], [-17/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3694, -1438], [-46, 22], [0, 0]], [[0, 0], [12477, -9861/2], [-194, 53], [1, 3/2]], [[0, 0], [-106761/2, 20816], [724, -291], [9/2, -1]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[-27296, 10656]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8414, 3286], [-2, 2], [0, 0]], [[0, 0], [192749/2, -37560], [112, 35], [1/2, 2]], [[0, 0], [-7822620, 3053662], [-3130, 978], [126, -56]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7264, -2836], [20, -8], [0, 0]], [[0, 0], [3981/2, -771], [12, 1], [-1/2, 0]], [[0, 0], [-934, 366], [-2, 2], [0, 0]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[-1233152, 481408]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7072, 2816], [4, 20], [0, 0]], [[0, 0], [-528762, 414019/2], [-1040, 629], [-2, -5/2]], [[0, 0], [118835, 131889/2], [41386, 26479], [-627, -803/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27232, 10684], [12, 16], [0, 0]], [[0, 0], [602047, -469019/2], [394, 67], [-5, -3/2]], [[0, 0], [-925676, -1403477/2], [-435752, -279083], [6804, 8715/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-1233152, 481408]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4712, 1836], [-188, 72], [0, 0]], [[0, 0], [20445, -15915/2], [814, -309], [-1, 1/2]], [[0, 0], [-26864, -17212], [-10668, -6832], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14040, -5476], [-36, 16], [0, 0]], [[0, 0], [7437429, -5806455/2], [-19954, 7883], [5, 1/2]], [[0, 0], [43295, 57089/2], [15886, 10171], [463, 593/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-27296, 10656]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2054, 802], [46, -18], [0, 0]], [[0, 0], [556, -437/2], [-4, -1], [0, -1/2]], [[0, 0], [1391/2, -275], [-8, -3], [-1/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5056, 1972], [36, -16], [0, 0]], [[0, 0], [732753/2, -143116], [-2838, 1019], [3/2, 1]], [[0, 0], [-523654, 204430], [3934, -1534], [0, 0]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[-27296, 10656]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6130, -2394], [54, -22], [0, 0]], [[0, 0], [89/2, 23], [32, 15], [-3/2, -1]], [[0, 0], [6, -2], [6, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2428, -944], [0, 4], [0, 0]], [[0, 0], [-1587287/2, 309849], [1302, -487], [-1/2, 0]], [[0, 0], [139618, -54502], [-222, 90], [0, 0]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[-1233152, 481408]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10080, 3996], [20, 16], [0, 0]], [[0, 0], [-4175725, 1628091], [-2038, 2], [5, 1]], [[0, 0], [428689, 1279529/2], [301158, 192969], [-1117, -1431/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [280, -140], [0, -12], [0, 0]], [[0, 0], [245, -263/2], [-186, 65], [-3, -3/2]], [[0, 0], [-6766, -8631/2], [-1424, -923], [-502, -643/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-1233152, 481408]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1248, -496], [-60, 20], [0, 0]], [[0, 0], [24419, -19085/2], [-1030, 399], [-3, 3/2]], [[0, 0], [24037, 30823/2], [7670, 4911], [-869, -1113/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, -52], [124, -48], [0, 0]], [[0, 0], [-127, 113/2], [66, -23], [-3, 5/2]], [[0, 0], [24337, 15586], [9726, 6228], [4669, 2990]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-27296, 10656]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2748, 1072], [8, -4], [0, 0]], [[0, 0], [-52379/2, 20407/2], [62, -30], [1/2, -5/2]], [[0, 0], [-2474471/2, 482664], [3104, -1307], [185/2, -74]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3744, 1464], [-4, 4], [0, 0]], [[0, 0], [-35643/2, 13961/2], [-56, 6], [-5/2, -5/2]], [[0, 0], [-119407/2, 23317], [-142, 49], [3/2, -2]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[-27296, 10656]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2214, -862], [-30, 14], [0, 0]], [[0, 0], [22475, -17533/2], [-326, 135], [1, 3/2]], [[0, 0], [35071/2, -6853], [-268, 97], [-5/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3158, -1234], [-18, 6], [0, 0]], [[0, 0], [-43419/2, 8486], [130, -41], [-5/2, 1]], [[0, 0], [-818, 326], [10, 2], [0, 0]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[-1233152, 481408]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12104, 4756], [0, 12], [0, 0]], [[0, 0], [11317, -4091], [138, 74], [3, -1]], [[0, 0], [-422585, -541301/2], [-165270, -105837], [-235, -301/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4224, 1596], [-12, -16], [0, 0]], [[0, 0], [31695, -23479/2], [174, 181], [-1, 5/2]], [[0, 0], [-98197, -64196], [-39062, -25012], [-325, -208]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-1233152, 481408]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1936, 760], [76, -28], [0, 0]], [[0, 0], [-889, 358], [46, -16], [5, 0]], [[0, 0], [-463, -593/2], [-114, -73], [-57, -73/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17544, 6852], [44, -16], [0, 0]], [[0, 0], [373451, -291559/2], [-898, 349], [-1, -3/2]], [[0, 0], [79688, 50697], [-9280, -5942], [-12672, -8115]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[608, -224]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 36], [24, 8], [0, 0]], [[0, 0], [73, 60], [26, 24], [7, 2]], [[0, 0], [-121/2, 47/2], [-36, 14], [23/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [154, 30], [2, 6], [0, 0]], [[0, 0], [-1286, 664], [126, -26], [0, 2]], [[0, 0], [6787/2, -2605/2], [-238, 96], [9/2, -3/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[608, -224]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -40], [-44, -4], [0, 0]], [[0, 0], [-331/2, 161/2], [332, -130], [1/2, -3/2]], [[0, 0], [-36591, 14203], [67082, -26186], [363, -135]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 10], [34, -2], [0, 0]], [[0, 0], [-6691, 2272], [12904, -5438], [3, -2]], [[0, 0], [-56943/2, 22501/2], [59924, -23234], [35/2, -13/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-256, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 40], [-60, -20], [0, 0]], [[0, 0], [-1, -2], [2, 0], [1, 0]], [[0, 0], [64, -32], [-204, 84], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -16], [4, 12], [0, 0]], [[0, 0], [1, 4], [2, 0], [1, 0]], [[0, 0], [24, 8], [-4, -4], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[-256, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 40], [-4, -12], [0, 0]], [[0, 0], [-5, 2], [2, 0], [1, 0]], [[0, 0], [-64, 16], [36, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -8], [-64, -24], [0, 0]], [[0, 0], [5, 0], [2, 0], [1, 0]], [[0, 0], [0, 0], [-4, -4], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[608, -224]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, -14], [-82, -6], [0, 0]], [[0, 0], [-5371/2, -11265/2], [-444, -5732], [-11/2, -1/2]], [[0, 0], [-807426, 349127], [-1140900, 475374], [662, -245]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, -12], [88, 8], [0, 0]], [[0, 0], [3773/2, -1285/2], [1580, -344], [11/2, 5/2]], [[0, 0], [-23914, 9343], [-17510, 6856], [-12, 5]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[608, -224]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138, -22], [-110, -10], [0, 0]], [[0, 0], [57807/2, -14997/2], [25554, -7324], [-1/2, 3/2]], [[0, 0], [-3426703/2, 1351233/2], [-1561924, 614482], [245/2, -91/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138, -14], [-94, -10], [0, 0]], [[0, 0], [147763/2, -21087/2], [50092, -6964], [1/2, -5/2]], [[0, 0], [8350189/2, -3356239/2], [2816796, -1132818], [423/2, -153/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-256, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -32], [0, 16], [0, 0]], [[0, 0], [-1, -2], [-6, 0], [1, 0]], [[0, 0], [840, -168], [-380, 60], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -16], [4, 12], [0, 0]], [[0, 0], [1, 4], [-6, 0], [1, 0]], [[0, 0], [160, -40], [-132, 36], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[-256, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -16], [-28, 12], [0, 0]], [[0, 0], [3, 2], [-6, 0], [1, 0]], [[0, 0], [96, 48], [-44, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 24], [-28, -4], [0, 0]], [[0, 0], [-3, 0], [-6, 0], [1, 0]], [[0, 0], [-24, 16], [-20, 4], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[288, -160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -28], [0, -8], [0, 0]], [[0, 0], [23/2, 399/2], [162, -32], [-5/2, 3/2]], [[0, 0], [106, -208], [-214, 58], [4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-198, -2], [-14, 6], [0, 0]], [[0, 0], [14059/2, 10817/2], [-164, 12], [5/2, -1/2]], [[0, 0], [-5056, -2179], [-106, 68], [2, -1]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[288, -160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 2], [38, 10], [0, 0]], [[0, 0], [2790, -3486], [-280, -2920], [-6, -2]], [[0, 0], [43335/2, -15861/2], [11644, -3878], [-13/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 8], [36, 4], [0, 0]], [[0, 0], [-419, -258], [-1114, -176], [-7, -2]], [[0, 0], [-4677/2, -4623/2], [36522, -18930], [309/2, -193/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[1792, -768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-600, 304], [20, 20], [0, 0]], [[0, 0], [-1, -2], [2, 0], [1, 0]], [[0, 0], [-216, 176], [32, 24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-248, 128], [0, 8], [0, 0]], [[0, 0], [1, 4], [2, 0], [1, 0]], [[0, 0], [48, -40], [-4, -4], [0, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[1792, -768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 56], [28, 20], [0, 0]], [[0, 0], [11, 2], [2, 0], [1, 0]], [[0, 0], [16, -8], [-12, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-344, 312], [68, 44], [0, 0]], [[0, 0], [-11, 0], [2, 0], [1, 0]], [[0, 0], [-1296, 520], [4, 4], [0, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[8215904, -3207392]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1234, 498], [26, 6], [0, 0]], [[0, 0], [2184, 2185/2], [1864, 1201], [0, -3/2]], [[0, 0], [-1675/2, -169], [-468, -309], [-3/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2796, -1076], [40, 0], [0, 0]], [[0, 0], [-10935/2, -7363/2], [-5686, -3640], [-5/2, -5/2]], [[0, 0], [-3873/2, 3092], [2312, 1451], [-39/2, 9]]], 1, 768, [], [] >,
< [ -4, -1, 1 ], [[8215904, -3207392]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4190, -1622], [30, 2], [0, 0]], [[0, 0], [1293455/2, 413144], [645040, 413067], [-5/2, 0]], [[0, 0], [633021, 432819], [658676, 422052], [41, -17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5402, -2122], [-18, -6], [0, 0]], [[0, 0], [74385/2, 22453], [35604, 22811], [3/2, -2]], [[0, 0], [-118713/2, -14821], [-36422, -23505], [-95/2, 20]]], 1, 768, [], [] >,
< [ -4, -1, 1 ], [[85248, -33280]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17808, -6952], [-20, 12], [0, 0]], [[0, 0], [-102, 62], [2392, 1512], [-2, 2]], [[0, 0], [-3, -1/2], [6, 3], [-1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7480, 2920], [4, 20], [0, 0]], [[0, 0], [-444, 179], [-2776, -1786], [-4, -1]], [[0, 0], [-1, -5/2], [6, 3], [-1, -1/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15472, 6040], [28, 12], [0, 0]], [[0, 0], [178253, -139235/2], [378, 301], [-5, -3/2]], [[0, 0], [54556, -1650], [-289068, -185104], [2220, 1422]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5656, -2208], [-48, -24], [0, 0]], [[0, 0], [42621, -33265/2], [58, 111], [1, -5/2]], [[0, 0], [-3366, -1398], [-56064, -35904], [890, 570]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[288, -160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 16], [20, -4], [0, 0]], [[0, 0], [1481/2, 261/2], [-626, -276], [5/2, 1/2]], [[0, 0], [-6607, 3373], [1726, -1658], [-21, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, 18], [-22, 6], [0, 0]], [[0, 0], [1841/2, 731/2], [204, 60], [-1/2, 5/2]], [[0, 0], [-6605/2, 599/2], [-924, 170], [53/2, -27/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[288, -160]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [166, 26], [22, 10], [0, 0]], [[0, 0], [6383, -1881], [434, -22], [5, 1]], [[0, 0], [-439727/2, 176053/2], [-10642, 4684], [-143/2, 77/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, -14], [-58, -6], [0, 0]], [[0, 0], [-8346, 1766], [5950, 338], [4, 0]], [[0, 0], [-125981/2, 55855/2], [26568, -16322], [41/2, -23/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[1792, -768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 32], [20, 20], [0, 0]], [[0, 0], [-9, -2], [2, 0], [1, 0]], [[0, 0], [136, -48], [-16, 8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-512, 264], [4, 20], [0, 0]], [[0, 0], [-7, 4], [2, 0], [1, 0]], [[0, 0], [4776, -1288], [312, 72], [0, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[1792, -768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1048, 296], [-56, -24], [0, 0]], [[0, 0], [3, 2], [2, 0], [1, 0]], [[0, 0], [960, -248], [60, 28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-312, 192], [24, 16], [0, 0]], [[0, 0], [13, 0], [2, 0], [1, 0]], [[0, 0], [-2008, 760], [-12, -4], [0, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[8215904, -3207392]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [634, -250], [-22, 6], [0, 0]], [[0, 0], [-6879/2, -2240], [-3616, -2307], [1/2, -2]], [[0, 0], [-2777, -2619], [-3918, -2314], [49, -21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5458, -2106], [38, 10], [0, 0]], [[0, 0], [51699/2, 17048], [26440, 16927], [-3/2, 1]], [[0, 0], [73859/2, 56497/2], [41604, 26596], [-35/2, 15/2]]], 1, 768, [], [] >,
< [ -4, -1, 1 ], [[8215904, -3207392]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7330, 2858], [6, -6], [0, 0]], [[0, 0], [113777/2, 34924], [57156, 36609], [5/2, 0]], [[0, 0], [37835/2, 69395/2], [42206, 26924], [-45/2, 19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, 26], [-22, -10], [0, 0]], [[0, 0], [1561/2, 515], [778, 505], [-1/2, -2]], [[0, 0], [1002, 7348], [4502, 5878], [700, -294]]], 1, 768, [], [] >,
< [ -4, -1, 1 ], [[85248, -33280]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15144, 5912], [36, 4], [0, 0]], [[0, 0], [3700, -1934], [210640, 134900], [4, 2]], [[0, 0], [6133, -4307/2], [-103218, -66087], [-1, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20800, -8120], [4, 20], [0, 0]], [[0, 0], [1057, -500], [-25542, -16352], [1, 0]], [[0, 0], [-15, -323/2], [-49370, -31615], [1, 1/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10984, 4288], [-48, -24], [0, 0]], [[0, 0], [-181891, 71009], [1766, 1246], [-1, -1]], [[0, 0], [4092, -3243/2], [-49252, -31543], [32, 41/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10984, -4288], [12, -4], [0, 0]], [[0, 0], [-2679, 2055/2], [18, 15], [-3, -5/2]], [[0, 0], [-2315, -2965/2], [2778, 1779], [-463, -593/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[108, -41]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1982, 1547/2], [2, -1/2], [0, 0]], [[2, 0], [-55, -32], [-3/2, 3/2], [-1/2, 1/2]], [[-2, 1/2], [20, 21/2], [3, -3/2], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -23], [-20, -2], [0, 0]], [[6, 7/2], [-2084, -1318], [-676, -425], [2, 3/2]], [[164, -95/2], [-13009, -1899/2], [-10611/2, 123], [-177/2, 41]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[1268, -495]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 13/2], [-14, 3/2], [0, 0]], [[1, 3/2], [4211/2, 503], [4239/4, 1455/4], [5/4, 1/4]], [[48, -9/2], [-23955, 19339], [-13695/2, 17067/2], [-33/2, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 1], [-4, -2], [0, 0]], [[-2, -7/2], [7534, -2568], [-403, 31], [-3, -1/2]], [[65, -6], [304493/2, -61124], [-21851/4, 10817/4], [-89/4, 65/4]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[1268, -495]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 1/2], [-18, -5/2], [0, 0]], [[3, 2], [1081/2, -97], [-1957/4, 183/4], [5/4, 3/4]], [[-19, 3/2], [148417/2, -58365/2], [-240137/4, 94829/4], [25/4, -19/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -7], [8, -2], [0, 0]], [[2, -1/2], [558, 266], [-157, 25], [-1, 1/2]], [[7, -1/2], [7871/2, 2268], [-2455/4, -183/4], [-9/4, 7/4]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[1268, -495]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 4], [0, -1], [0, 0]], [[5, 1], [943/2, -353], [809/4, -235/4], [-1/4, 5/4]], [[242, -51/2], [48254, -45571/2], [15430, -11103/2], [-86, 121/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 11/2], [-2, 1/2], [0, 0]], [[-5, -5/2], [-305/2, -57], [-35/4, -35/4], [-5/4, -5/4]], [[70, -6], [3397, -768], [-329/2, 245/2], [-47/2, 35/2]]], 1, 8, [], [] >,
< [ -4, -1, 1 ], [[108, -41]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1732, -698], [-16, -1], [0, 0]], [[-10, 0], [313415, 394677/2], [205735/2, 65896], [5/2, -5/2]], [[168, -97/2], [-1436807, -1676033/2], [-899459/2, -288510], [-181/2, 42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1126, 871/2], [14, -3/2], [0, 0]], [[2, -3/2], [-280570, -343587/2], [265486, 339883/2], [-2, 1/2]], [[-164, 95/2], [-5850365, -8357373/2], [12186543/2, 3906041], [177/2, -41]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[108, -41]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1022, 777/2], [22, 3/2], [0, 0]], [[-8, -3/2], [-3877, -4407/2], [6839/2, 2188], [1/2, -2]], [[-660, 195], [-95042, -26527/2], [46610, 59081/2], [360, -165]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2946, -2261/2], [18, -1/2], [0, 0]], [[4, 7/2], [-53711, -34384], [-35785/2, -22915/2], [5/2, 1]], [[264, -76], [-284058, -370025/2], [-95484, -122631/2], [-142, 66]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[108, -41]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [218, -147/2], [6, 3/2], [0, 0]], [[2, -3/2], [-14554, -19135/2], [-4898, -6281/2], [-2, 1/2]], [[12, -7/2], [25237, 30341/2], [16117/2, 5145], [-13/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2180, -852], [0, 1], [0, 0]], [[6, 0], [-8737, -9329/2], [16343/2, 5230], [-3/2, 3/2]], [[40, -23/2], [-22523, -5419], [28807/2, 18391/2], [-43/2, 10]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[108, -41]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3482, 2725/2], [-10, 1/2], [0, 0]], [[10, 2], [-123633, -92778], [294017/2, 188227/2], [-1/2, 5/2]], [[-112, 65/2], [-52253, 577167/2], [-560281/2, -178712], [121/2, -28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [158, -147/2], [-14, 3/2], [0, 0]], [[-4, -3], [137138, 177231/2], [46332, 59247/2], [-2, -1]], [[12, -7/2], [-55255, -30415/2], [-21635/2, -8121], [-13/2, 3]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[296, -46]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 1], [-41768, 16300], [12, 1], [0, 0]], [[-21340610, -27332413/2], [21955128, 13619131], [-21340610, -27332413/2], [-22, -1/2]], [[-7538558710, -9655098507/2], [7947219070, 9472256307/2], [-7538558710, -9655098507/2], [-13680, 2130]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-40, -2], [-27932, 10781], [-40, -2], [0, 0]], [[911570, 1167521/2], [6379982, 8175321/2], [911570, 1167521/2], [28, 2]], [[-393662076, -252098715], [-2753748430, -3531669529/2], [-393662076, -252098715], [-23750, 7375/2]]], 0, 4096, [], [] >,
< [ -4, -1, 1 ], [[328, -134]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[110, 3/2], [538, -263/2], [110, 3/2], [0, 0]], [[-4636844, -2985331], [-8113658, -10612051/2], [-4636864, -2985326], [10, -5/2]], [[61841990, 75447807/2], [118638246, 63000861], [61839990, 75449441/2], [1000, -817/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[74, 1/2], [-774, 709/2], [74, 1/2], [0, 0]], [[3668, 2349], [6508, 8357/2], [3652, 2346], [8, 3/2]], [[6346, 8113/2], [12654, 13343/2], [7258, 7369/2], [-456, 186]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[56, -26]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 2], [604, -241], [8, 2], [0, 0]], [[25866, 33147/2], [-28150, -32251/2], [25866, 33147/2], [4, 2]], [[-14700, -8925], [-83327, 94875/2], [-14700, -8925], [27, -25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, -1/2], [-554, 445/2], [-14, -1/2], [0, 0]], [[62352, 40004], [-70023, -79617/2], [62352, 40004], [3, -5/2]], [[-5024288, -3245384], [7098733, 5324105/2], [-5024288, -3245384], [-1501, 1387/2]]], 0, 64, [], [] >,
< [ -4, -1, 1 ], [[712, -278]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -3/2], [2, -15/2], [-10, -3/2], [0, 0]], [[198, 387/2], [875/2, 167], [198, 387/2], [1/2, -5/2]], [[-270, -2835/2], [-7783/2, -761/2], [-270, -2835/2], [-77/2, 28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1/2], [-10, 9/2], [2, 1/2], [0, 0]], [[-8, -5], [7/2, -6], [2, -9], [5/2, -1]], [[18, 23/2], [10, 13/2], [18, 23/2], [0, 0]]], 1, 12, [], [] >,
< [ -4, -1, 1 ], [[712, -278]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180, -71], [44, -19], [0, 0]], [[-5, -5/2], [8545/2, -1635], [4457/4, -1575/4], [-5/4, -5/4]], [[8, 5], [-994, 322], [-323, 36], [3, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-820, 66], [56, -23], [0, 0]], [[20, -2], [-6673126/13, -4823283/13], [-82799/13, -121/13], [-33/13, -1/13]], [[273, -221/2], [2327177/2, -68735], [-297299/4, 122797/4], [-113/4, 47/4]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[48, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3672, 1433], [-8, 3], [0, 0]], [[-10, -1/2], [-972, -681], [-4, -8], [2, -5/2]], [[-746, 344], [20233, 4809], [1691/2, -431/2], [1061/2, -373/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13212, -5159], [-20, 9], [0, 0]], [[-4, 1], [12, -11], [10, -1], [2, -1]], [[-4, -1/2], [-11, -18], [27/2, 9/2], [1/2, -1]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[48, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8980, 3506], [-52, 20], [0, 0]], [[0, -5/2], [-15009, 5833], [-159/2, 53/2], [-5/2, 0]], [[-16, -3], [43658, -17141], [203, -96], [1, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9372, -3694], [-20, -4], [0, 0]], [[-10, -2], [1186785, 777286], [805559/2, 515831/2], [1/2, -5/2]], [[144, -133/2], [2701331, 1106897], [1402065/2, 899289/2], [-205/2, 36]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[48, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6124, -2384], [-20, 10], [0, 0]], [[-2, 3/2], [-142676, 55672], [508, -205], [2, -1/2]], [[12, -15/2], [765387, -298694], [-5471/2, 2187/2], [-21/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4128, 1611], [-32, 13], [0, 0]], [[6, -1], [-2865, 1101], [-35/2, 31/2], [-5/2, 3/2]], [[6, -7/2], [-3618, 1427], [-41, 9], [-5, 3/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[48, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [488, -189], [24, -11], [0, 0]], [[-6, -5/2], [66274, -25856], [3555, -1404], [-1, -3/2]], [[24, -9/2], [-988377, 385834], [-106495/2, 41607/2], [-21/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5284, -2061], [4, -1], [0, 0]], [[0, -1/2], [1285435, -501810], [1725/2, -669/2], [-1/2, 0]], [[0, 0], [155880, -60855], [104, -41], [0, 0]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[400, -156]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-292, 112], [52, -22], [0, 0]], [[1, 1/2], [-155191/2, 60717/2], [57519/4, -22235/4], [1/4, 1/4]], [[0, 0], [-536, -231], [-344, -241], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, -64], [-36, 14], [0, 0]], [[-2, -5/2], [-12, -8], [-8, -3], [-2, -1/2]], [[7, 9/2], [55/2, 35/2], [61/4, 39/4], [11/4, 7/4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[400, -156]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [572, -222], [-100, 40], [0, 0]], [[4, 7/2], [3909, -1542], [-1345/2, 541/2], [5/2, 1]], [[-381, -244], [2321/2, 1593/2], [-2333/4, -1531/4], [-595/4, -381/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-864, 337], [-64, 25], [0, 0]], [[1, 3], [67/2, -67/2], [-51/4, 7/4], [11/4, 1/4]], [[655, 839/2], [-7881/2, -5049/2], [-2495/4, -1597/4], [1023/4, 655/4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[48, -4]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [664, -259], [48, -19], [0, 0]], [[10, 2], [-15135, 5865], [-1995/2, 791/2], [-1/2, 5/2]], [[24, 1/2], [-51397, 19992], [-6805/2, 2677/2], [-11/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10996, 4331], [20, 5], [0, 0]], [[-4, -1/2], [17023, 10779], [11287/2, 7235/2], [1/2, -1]], [[-40, 37/2], [-21153, -16170], [-15977/2, -10083/2], [57/2, -10]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[400, -156]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-444, 174], [12, -4], [0, 0]], [[3, 7/2], [3109/2, -1243/2], [-319/4, 91/4], [11/4, 3/4]], [[438, 561/2], [-1346, -872], [-769, -492], [171, 219/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [228, -89], [-12, 5], [0, 0]], [[2, 0], [-12667, 4942], [1293/2, -499/2], [-1/2, 1/2]], [[-463, -593/2], [3615/2, 2315/2], [-6913/4, -4427/4], [-723/4, -463/4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[400, -156]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1472, -573], [-40, 17], [0, 0]], [[-3, 1], [-1015611/2, 397267/2], [58501/4, -21521/4], [7/4, -3/4]], [[-324, -415/2], [757113, 482257], [1266821/2, 811403/2], [-253/2, -81]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1296, 507], [-56, 23], [0, 0]], [[5, 3], [-42055/2, 16635/2], [-3203/4, 1775/4], [7/4, 5/4]], [[57, 73/2], [1779/2, 705], [5027/4, 3243/4], [89/4, 57/4]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[64, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1616, -631], [8, -3], [0, 0]], [[0, 0], [-719, -397], [9/2, 15/2], [3/2, 5/2]], [[0, 0], [10772, -2938], [678, -282], [226, -94]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1508, 554], [-20, -4], [0, 0]], [[0, 0], [-1449846, -1048640], [-532281, -341547], [-7, 1]], [[0, 0], [62064161, 8329806], [21838461/2, 13629297/2], [-2713/2, 1129/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 21], [24, -11], [0, 0]], [[0, 0], [19993/2, -7689/2], [-20375/4, 7803/4], [3/4, 1/4]], [[0, 0], [476, -99], [-260, 39], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [152, -59], [16, -5], [0, 0]], [[0, 0], [20017/2, -7729/2], [3909/4, -1513/4], [15/4, 5/4]], [[0, 0], [-4135/2, 51/2], [-763/4, 39/4], [-193/4, -123/4]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-176, 71], [-24, 11], [0, 0]], [[0, 0], [-2391/2, 845/2], [-657/4, 241/4], [9/4, 3/4]], [[0, 0], [-501/2, -133/2], [-51/4, 19/4], [27/4, 17/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, -48], [56, -22], [0, 0]], [[0, 0], [839/2, -229/2], [797/4, -277/4], [-13/4, 1/4]], [[0, 0], [-2519, -1476], [-965/2, -477/2], [101/2, 63/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -40], [-84, 34], [0, 0]], [[0, 0], [-178, 426], [101, -435], [-13, -1]], [[0, 0], [-3907/2, -1475/2], [8295/4, 3409/4], [73/4, 75/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, 61], [-72, 29], [0, 0]], [[0, 0], [-21347/2, 7413/2], [-20365/4, 7613/4], [5/4, -1/4]], [[0, 0], [6587, 3099], [3085/2, 879/2], [-5/2, -3/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[64, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1460, -569], [4, -1], [0, 0]], [[0, 0], [10319, 10658], [16045/2, 10313/2], [35/2, 5/2]], [[0, 0], [676476, -212109], [31394, 17079], [-1314, 546]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 27], [-20, -3], [0, 0]], [[0, 0], [-1055, -1005], [3083/2, 1877/2], [5/2, -5/2]], [[0, 0], [-1225, 935], [-1455/2, -425/2], [-41/2, 17/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[64, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, 58], [12, -4], [0, 0]], [[0, 0], [-145, 4], [-303/2, -203/2], [-9/2, 1/2]], [[0, 0], [3112, -1343], [-530, -185], [110, -46]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-500, 191], [4, -3], [0, 0]], [[0, 0], [-7798, -5026], [-2723, -1749], [-9, -1]], [[0, 0], [84809, 42959], [54995/2, 31541/2], [-3171/2, 1323/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[64, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [536, -185], [8, 5], [0, 0]], [[0, 0], [-2025, 751], [-11/2, -5/2], [11/2, 5/2]], [[0, 0], [-956820, 373634], [-466, 194], [466, -194]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1440, 562], [-8, 4], [0, 0]], [[0, 0], [-4324, -276], [11304, 7258], [4, -2]], [[0, 0], [-29859, 6598], [57943/2, 37499/2], [89/2, -37/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[64, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [688, -265], [0, -3], [0, 0]], [[0, 0], [-372, -413], [472, 301], [-4, -2]], [[0, 0], [-13243, 5059], [-1/2, 193/2], [81/2, -33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 2], [4, 4], [0, 0]], [[0, 0], [-307, -118], [-53/2, -57/2], [-35/2, -5/2]], [[0, 0], [3573, -1636], [-1193/2, 387/2], [825/2, -341/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [444, -174], [84, -34], [0, 0]], [[0, 0], [-5344, 2076], [-998, 404], [-2, -1]], [[0, 0], [-3587/2, -707/2], [5265/4, 3975/4], [-717/4, -459/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-824, 323], [16, -7], [0, 0]], [[0, 0], [24325/2, -9479/2], [-895/4, 423/4], [-13/4, -3/4]], [[0, 0], [255, -675], [-2549/2, -1599/2], [273/2, 175/2]]], 0, 96, [], [] >,
< [ -4, -1, 1 ], [[208, -60]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [356, -123], [20, 1], [0, 0]], [[0, 0], [-18898, -24245/2], [-10396, -6667], [-10, -5/2]], [[0, 0], [-1812, -2401/2], [-1000, -659], [-8, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1116, -449], [-24, 2], [0, 0]], [[0, 0], [190534, 237177/2], [103476, 66319], [6, 5/2]], [[0, 0], [-2675340, -1419727/2], [-925780, -608724], [-424, 243/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[18064, -7052]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [688, -269], [-8, 3], [0, 0]], [[0, 0], [-31, -41/2], [0, 0], [-5, -1/2]], [[0, 0], [-43, -29], [0, 0], [-9, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -15], [0, 3], [0, 0]], [[0, 0], [451, 281/2], [-352, -212], [5, -1/2]], [[0, 0], [-9448, -2982], [7412, 4469], [-104, 10]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[400, -156]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, -29], [16, -6], [0, 0]], [[0, 0], [-1317/2, 465/2], [-132, 59], [-3/2, -3/2]], [[0, 0], [-7927/2, 1552], [-872, 339], [7/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, -37], [-28, 12], [0, 0]], [[0, 0], [319/2, -64], [-30, 34], [5/2, 2]], [[0, 0], [-5603/2, 2187/2], [902, -349], [15/2, -5/2]]], 1, 36, [], [] >,
< [ -4, -1, 1 ], [[1072, -388]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16604, 6501], [-36, -5], [0, 0]], [[0, 0], [78406, 101647/2], [-79200, -50718], [14, -1/2]], [[0, 0], [-239174, -383361/2], [277280, 177520], [-594, 429/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29380, 11561], [36, -1], [0, 0]], [[0, 0], [49590038, 63486431/2], [7081088, 4534656], [2, -3/2]], [[0, 0], [-36495850, -46921415/2], [-5225164, -3346063], [18, -13/2]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[669344, -261304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 21], [0, 1], [0, 0]], [[-1, -5/2], [35, -54], [-12, -17/2], [-1, -5/2]], [[-133, 95/2], [-5353, 2028], [-76, 19/2], [-133, 95/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4536, 1771], [-320, 125], [0, 0]], [[0, -3/2], [116606, -45531], [8162, -6393/2], [0, -3/2]], [[5987, 3834], [37585, 23737], [40454, 25883], [5987, 3834]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[669344, -261304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1548, 604], [-436, 170], [0, 0]], [[-3, -2], [-2593, 998], [-770, 286], [-3, -2]], [[463, 593/2], [2087, 1322], [2128, 2717/2], [463, 593/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-668, 255], [12, 1], [0, 0]], [[3, 1/2], [-7329, -4415], [6944, 8887/2], [3, 1/2]], [[117, -81/2], [-43879, -5446], [21800, 27375/2], [117, -81/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[669344, -261304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1672, 653], [-464, 181], [0, 0]], [[-5, 1], [-58727, 22929], [-16358, 6382], [-5, 1]], [[12006, 15377/2], [-34312, -21983], [50398, 64543/2], [12006, 15377/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -9], [336, -131], [0, 0]], [[0, 5/2], [-138, 39], [-2014, 1599/2], [0, 5/2]], [[-57, -73/2], [431, 276], [-260, -333/2], [-57, -73/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[669344, -261304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3376, 1318], [-72, 28], [0, 0]], [[3, 3/2], [-156845, 61221], [-3280, 2585/2], [3, 3/2]], [[-2575, -1649], [8931, 5882], [-11578, -7411], [-2575, -1649]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1512, -590], [-144, 56], [0, 0]], [[1, -1], [2271, -886], [-242, 91], [1, -1]], [[-1731, -2217/2], [1565, 1019], [-9828, -12591/2], [-1731, -2217/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[14816, -5784]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [236, -92], [220, -86], [0, 0]], [[0, -1/2], [-9315/2, 3637/2], [-4411, 3443/2], [-1/2, 0]], [[0, 0], [684, -267], [648, -253], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-236, 93], [8, -3], [0, 0]], [[4, 5/2], [-399/2, 157/2], [7, 9/2], [3/2, 1]], [[0, 0], [-2372, 926], [0, 0], [0, 0]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[14816, -5784]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, 40], [-364, 142], [0, 0]], [[2, -3/2], [14320, -5534], [50318, -39271/2], [-2, 1/2]], [[0, 3/2], [-16659/2, 6253/2], [-28965, 22579/2], [3/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-668, 261], [-592, 231], [0, 0]], [[-4, -3/2], [214209/2, -83565/2], [94857, -74089/2], [-1/2, -1]], [[4, 0], [-251931, 98336], [-223194, 87139], [-1, 1]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[864, -328]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8212, -3123], [44, 1], [0, 0]], [[8, 5/2], [1653842, 1060808], [363158, 465133/2], [8, 5/2]], [[250, -95], [604678, 553557], [167628, 107776], [250, -95]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3300, -1239], [20, 3], [0, 0]], [[0, -3/2], [-330682, -212105], [-72598, -92985/2], [0, -3/2]], [[-38, 29/2], [-80836, -43123], [-15930, -20321/2], [-38, 29/2]]], 0, 2048, [], [] >,
< [ -4, -1, 1 ], [[14816, -5784]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-848, 331], [-628, 245], [0, 0]], [[-4, -1/2], [56153/2, -21933/2], [20772, -16269/2], [1/2, -1]], [[-4, 0], [37069, -14476], [27436, -10731], [1, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-852, 333], [-592, 231], [0, 0]], [[-8, -3/2], [1613/2, -607/2], [554, -457/2], [1/2, -2]], [[124, -31/2], [-41729/2, 16129/2], [-14702, 11653/2], [-93/2, 31]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[400, -156]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 19], [-12, 6], [0, 0]], [[0, 0], [-120, 54], [-6, 21], [-6, -1]], [[0, 0], [-225/2, -67/2], [-813/4, -491/4], [137/4, 91/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, -79], [-64, 25], [0, 0]], [[0, 0], [778795/26, 434845/26], [-5917/52, 61/52], [97/52, -1/52]], [[0, 0], [-108241590/13, -42121811/13], [919575/13, -230580/13], [-15075/13, 3780/13]]], 1, 24, [], [] >,
< [ -4, -1, 1 ], [[512, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-328, 124], [8, -4], [0, 0]], [[0, 0], [-82, 114], [37, 3], [-5, 1]], [[0, 0], [-1467, -915], [-611/2, -397/2], [31/2, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [364, -68], [20, 16], [0, 0]], [[0, 0], [-11427, 5601], [989/2, 379/2], [15/2, 5/2]], [[0, 0], [4466, -4110], [-839, -469], [-13, -7]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -16], [16, -12], [0, 0]], [[0, 0], [579, -85], [223/2, -359/2], [-51/2, -1/2]], [[0, 0], [126639/2, -46919/2], [132015/4, -56395/4], [-8987/4, 3135/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 12], [-8, 0], [0, 0]], [[0, 0], [167/2, 113/2], [427/4, -119/4], [81/4, 3/4]], [[0, 0], [310, -54], [-7659, 2999], [-949, 377]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 0], [-8, -4], [0, 0]], [[0, 0], [1750, -256], [139, 91], [9, -1]], [[0, 0], [168599/2, -67391/2], [-1507/4, -481/4], [1651/4, -663/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, -4], [-16, 12], [0, 0]], [[0, 0], [305/2, 2727/2], [-4569/4, 509/4], [-15/4, 3/4]], [[0, 0], [27719/2, -9375/2], [35097/4, -14349/4], [127/4, -51/4]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 12], [-12, -8], [0, 0]], [[0, 0], [213/2, -41/2], [-77/4, -39/4], [-75/4, -1/4]], [[0, 0], [1310, -500], [-47, 9], [-177, 65]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 12], [-8, 0], [0, 0]], [[0, 0], [-137/2, 217/2], [-43/4, 151/4], [-69/4, 1/4]], [[0, 0], [1053, -705], [547/2, -455/2], [245/2, -49/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-760, 324], [-8, 12], [0, 0]], [[0, 0], [1681, 161], [583/2, 337/2], [1/2, -5/2]], [[0, 0], [-9226, -5366], [-3001, -1911], [21, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [332, -104], [-12, -16], [0, 0]], [[0, 0], [-24958, 9732], [-713, 215], [17, -1]], [[0, 0], [-20871, 5829], [-26449/2, -15935/2], [2281/2, 1443/2]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[512, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1448, 540], [8, 20], [0, 0]], [[0, 0], [-14497, 5971], [-863/2, -241/2], [7/2, -3/2]], [[0, 0], [2676, 1664], [-2404, -1540], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [700, -248], [20, 0], [0, 0]], [[0, 0], [-10406, 3712], [-297, 3], [9, -1]], [[0, 0], [-24319, -13591], [-14505/2, -9215/2], [321/2, 203/2]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[512, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1288, 528], [-8, 12], [0, 0]], [[0, 0], [-26646, 11720], [133, 445], [23, 1]], [[0, 0], [-113719, -61967], [-78069/2, -49723/2], [-1547/2, -1001/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [612, -244], [12, 0], [0, 0]], [[0, 0], [-2842, 1072], [83, 83], [17, -1]], [[0, 0], [-7111, -2799], [33331/2, 21381/2], [1645/2, 1039/2]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[512, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [696, -284], [-8, 16], [0, 0]], [[0, 0], [22406, -7328], [-2045, -685], [-15, -1]], [[0, 0], [-169039, -91769], [320891/2, 204545/2], [1493/2, 943/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 16], [-12, 20], [0, 0]], [[0, 0], [417, 13], [-89/2, -47/2], [-47/2, -5/2]], [[0, 0], [3749, 2783], [-1905/2, -1235/2], [-511/2, -365/2]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 12], [-36, 8], [0, 0]], [[0, 0], [1202, -482], [1425, -605], [19, 1]], [[0, 0], [-2207/2, 943/2], [-4939/4, 2551/4], [-145/4, -51/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2468, 966], [52, -18], [0, 0]], [[0, 0], [-2389/2, 813/2], [135/4, -195/4], [-59/4, -1/4]], [[0, 0], [13397/2, 12507/2], [20905/4, 12915/4], [3403/4, 2241/4]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-1792, 704]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -8], [8, 20], [0, 0]], [[0, 0], [1, 0], [0, 2], [1, 0]], [[0, 0], [-204, 66], [-140, 68], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, -22], [-16, 0], [0, 0]], [[0, 0], [-7, 0], [0, 2], [1, 0]], [[0, 0], [-4, 0], [4, 0], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -8], [8, -20], [0, 0]], [[0, 0], [145/2, 33/2], [4176, 2634], [-7/2, -3/2]], [[0, 0], [-333, 165], [2740, 2264], [7, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 10], [-12, 16], [0, 0]], [[0, 0], [148, 81], [264, -6], [0, -1]], [[0, 0], [-239/2, 1/2], [-994, 356], [-11/2, 5/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[81152, -31680]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, 46], [-16, 20], [0, 0]], [[0, 0], [74, 63], [196, 154], [14, -5]], [[0, 0], [188, 50], [424, 144], [-60, 24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-592, 206], [-80, -16], [0, 0]], [[0, 0], [-59358, -23302], [-85708, -53972], [14, -4]], [[0, 0], [115356, 24553], [129976, 80170], [-44, 15]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[29780736, -11626048]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [73536, -28690], [56, -16], [0, 0]], [[0, 0], [99404, -38447], [248, 66], [20, -1]], [[0, 0], [-254736, -162439], [-115584, -74018], [-4880, -3125]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99240, -38604], [-40, -12], [0, 0]], [[0, 0], [106645628, 68091124], [-21282328, -13628936], [12, 2]], [[0, 0], [42439832, 19577789], [-7011472, -4489474], [208, -79]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[-14592, 5696]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-580, 240], [4, 2], [0, 0]], [[0, 0], [-12, 11], [0, 0], [-12, 5]], [[0, 0], [-28, 11], [0, 0], [-18, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -40], [-12, -4], [0, 0]], [[0, 0], [-5, 0], [2, 0], [1, 0]], [[0, 0], [-420, 92], [-20, -30], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-14592, 5696]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-376, 148], [-16, -4], [0, 0]], [[0, 0], [1052, -343], [-480, -324], [-10, 1]], [[0, 0], [2024, -594], [-1404, -930], [-22, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-284, 144], [20, 0], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [2524, -1020], [-108, 34], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-14592, 5696]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -4], [20, -2], [0, 0]], [[0, 0], [-5612, -3842], [-1664, -1152], [-6, 0]], [[0, 0], [-616, -225], [-192, -64], [2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 0], [-4, 0], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [-104, 40], [-16, 6], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-14592, 5696]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 36], [-4, 4], [0, 0]], [[0, 0], [24640, -9637], [1764, -708], [10, -5]], [[0, 0], [-58820, 22931], [-4284, 1638], [-28, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [260, -116], [-4, -2], [0, 0]], [[0, 0], [-5, 0], [2, 0], [1, 0]], [[0, 0], [-256, 100], [0, 0], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-320, 128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, -22], [-28, 8], [0, 0]], [[0, 0], [2, 1], [2, 0], [1, 0]], [[0, 0], [-1080, 480], [612, -170], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 20], [-12, 0], [0, 0]], [[0, 0], [-863/2, 345/2], [-173, 57], [-5/2, -5/2]], [[0, 0], [987, -375], [338, -160], [-11, -5]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[-320, 128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 10], [20, -6], [0, 0]], [[0, 0], [2, 1], [0, 0], [1, 0]], [[0, 0], [22, -10], [0, 16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 16], [12, 0], [0, 0]], [[0, 0], [157/2, -69/2], [-191, 81], [-13/2, -3/2]], [[0, 0], [-355/2, 101/2], [413, -129], [-29/2, -29/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[-118528, 46272]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-252, 144], [12, 8], [0, 0]], [[0, 0], [-1994, -2529], [-886, -578], [-18, 5]], [[0, 0], [-3140, -14368], [-4124, -2746], [-168, 56]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-332, 156], [20, 6], [0, 0]], [[0, 0], [5, 2], [0, 0], [1, 0]], [[0, 0], [1440, -268], [128, 104], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[82400, -32168]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1552, 613], [-16, -1], [0, 0]], [[0, 0], [-37685, -52777/2], [40602, 25991], [-3, -1/2]], [[0, 0], [-2458, 25954], [-24804, -15762], [18, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1508, -587], [-60, 25], [0, 0]], [[0, 0], [13875, -10777/2], [-550, 229], [-5, -1/2]], [[0, 0], [5232, 3987], [2984, 1885], [-512, -328]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[82400, -32168]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3920, -1531], [-40, 15], [0, 0]], [[0, 0], [54225, -21186], [-546, 196], [3, -2]], [[0, 0], [-74903, -99005/2], [-76210, -48789], [-3689, -4725/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2656, -1037], [-64, 25], [0, 0]], [[0, 0], [241, -209/2], [10, 3], [5, 3/2]], [[0, 0], [18044, 23117/2], [-11960, -7659], [-5980, -7659/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[82400, -32168]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4164, 1625], [-52, 21], [0, 0]], [[0, 0], [-623791, 243523], [-7898, 3081], [-5, 2]], [[0, 0], [3761, 4817/2], [926, 593], [463, 593/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [336, -131], [24, -9], [0, 0]], [[0, 0], [11855, -4620], [746, -288], [-1, 2]], [[0, 0], [2315, 2965/2], [926, 593], [463, 593/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[82400, -32168]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3972, 1549], [44, -19], [0, 0]], [[0, 0], [1382229, -1079387/2], [-16002, 6158], [3, -5/2]], [[0, 0], [154508, 113273], [171168, 109449], [2564, 1642]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1624, 635], [0, -1], [0, 0]], [[0, 0], [65, -85/2], [10, 3], [5, 3/2]], [[0, 0], [4343, -3421/2], [182, -65], [91, -65/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[1824, -712]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-164, 66], [4, 0], [0, 0]], [[0, 0], [-40, 41/2], [0, -4], [0, 3/2]], [[0, 0], [21/2, -4], [5, -2], [-5/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 23], [20, -7], [0, 0]], [[0, 0], [12957/2, -5083/2], [-2237, 862], [-3/2, 3/2]], [[0, 0], [61147/2, -12058], [-10635, 4040], [-5/2, 10]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[1824, -712]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, 56], [52, -22], [0, 0]], [[0, 0], [-31, -23/2], [-14, -12], [-1, -1/2]], [[0, 0], [1/2, 0], [-5, 2], [-5/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -23], [52, -21], [0, 0]], [[0, 0], [464, -353/2], [464, -184], [0, -3/2]], [[0, 0], [-9139/2, 1762], [-4607, 1812], [-15/2, 10]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[82400, -32168]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2636, 1036], [-12, -2], [0, 0]], [[0, 0], [-16109, -19287/2], [14920, 9556], [3, 3/2]], [[0, 0], [-4984, 3341/2], [248, 169], [4, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3768, 1469], [8, -1], [0, 0]], [[0, 0], [-1399, -710], [1320, 845], [-5, -1]], [[0, 0], [5, -5/2], [0, 0], [-1, 1/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-892, 372], [12, 2], [0, 0]], [[0, 0], [-175507/2, 68263/2], [2225/4, -965/4], [-29/4, 1/4]], [[0, 0], [-320606, -219246], [-63785, -40755], [-6815, -4365]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [328, 156], [40, -10], [0, 0]], [[0, 0], [1162555/13, 734417/13], [110823/26, 6145/26], [-59/26, -1/26]], [[0, 0], [-4697527/26, -2451949/26], [-3629839/52, 1238851/52], [2043/52, -711/52]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3340, 1306], [52, -18], [0, 0]], [[0, 0], [725817/2, -284189/2], [-23379/4, 7311/4], [-9/4, -3/4]], [[0, 0], [17545, 26091], [69653/2, 44163/2], [239/2, 153/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-244, -32], [-4, 4], [0, 0]], [[0, 0], [231219/26, -64543/26], [-10485/52, 649/52], [281/52, 3/52]], [[0, 0], [-4967776/13, 1913454/13], [87336/13, -32366/13], [-2112/13, 768/13]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[64, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 10], [16, 20], [0, 0]], [[0, 0], [55/2, -3/2], [127/4, 13/4], [21/4, -1/4]], [[0, 0], [177/2, -69/2], [321/4, -125/4], [59/4, -23/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [416, -18], [-16, 8], [0, 0]], [[0, 0], [135426/13, 118050/13], [20139/13, 953/13], [189/13, 1/13]], [[0, 0], [4639917/26, -3269001/26], [-4761755/52, 1708607/52], [-47625/52, 17317/52]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[224, -88]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, -49], [12, -8], [0, 0]], [[0, 0], [-7613/2, 3145/2], [-1449/4, 1105/4], [5/4, -5/4]], [[0, 0], [2717/2, -1429/2], [-335/4, -1017/4], [3/4, 5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, 9], [12, -4], [0, 0]], [[0, 0], [265727/26, 38585/26], [-25113/52, -1775/52], [173/52, -5/52]], [[0, 0], [2639056, -950130], [-142408, 52335], [1144, -429]]], 1, 48, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 16], [28, -4], [0, 0]], [[0, 0], [-1655/2, -1749/2], [756, -580], [-1/2, -3/2]], [[0, 0], [-125/2, 1197/2], [-1780, 832], [-3/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -28], [-28, 12], [0, 0]], [[0, 0], [12049/2, 7299/2], [-730, 162], [19/2, 1/2]], [[0, 0], [242881/2, 107119/2], [-72910, 26394], [1395/2, -403/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[65536, -25600]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2480, 972], [32, -8], [0, 0]], [[0, 0], [482, -248], [-52, -48], [10, -4]], [[0, 0], [-464, 240], [72, 40], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1616, -804], [-32, -40], [0, 0]], [[0, 0], [242242, -95578], [2260, -1188], [-6, 2]], [[0, 0], [95728, -30850], [2856, 860], [0, 2]]], 0, 393216, [], [] >,
< [ -4, -1, 1 ], [[1536, -512]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 24], [20, 4], [0, 0]], [[0, 0], [-391, 101], [-22, -70], [1, 1]], [[0, 0], [-424, 168], [72, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-176, -16], [-32, -16], [0, 0]], [[0, 0], [2135, -4651], [-994, -902], [-5, 5]], [[0, 0], [32216, -13622], [1124, -792], [-44, 18]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[1536, -512]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 56], [36, 20], [0, 0]], [[0, 0], [-52, 398], [316, 144], [24, -10]], [[0, 0], [2237, -797], [-246, 150], [-131, 51]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 16], [-36, -20], [0, 0]], [[0, 0], [2058, -812], [340, 96], [-14, 8]], [[0, 0], [-7405, 2903], [-738, -34], [55, -25]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[1536, -512]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-184, 44], [-24, -16], [0, 0]], [[0, 0], [1724, -768], [-108, -44], [-8, 4]], [[0, 0], [-17453, 6711], [146, -150], [87, -33]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [212, 16], [44, 28], [0, 0]], [[0, 0], [-720, 282], [-32, 12], [-16, 6]], [[0, 0], [1229, -475], [50, -22], [25, -11]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[1536, -512]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-160, 60], [0, 8], [0, 0]], [[0, 0], [536, -224], [36, -20], [4, -4]], [[0, 0], [-9, -5], [-2, -2], [-1, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-116, 48], [12, -4], [0, 0]], [[0, 0], [-7, 91], [-70, 30], [-35, 15]], [[0, 0], [87, 95], [-26, 14], [-13, 7]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 0], [20, 4], [0, 0]], [[0, 0], [-144, 78], [-264, 380], [4, 2]], [[0, 0], [-4563/2, 1791/2], [-7313, 2917], [17/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -24], [-40, 0], [0, 0]], [[0, 0], [242, -460], [-880, -236], [-6, 0]], [[0, 0], [3967/2, -1915/2], [-1433, 269], [-29/2, 9/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[320, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 24], [20, 20], [0, 0]], [[0, 0], [-83/2, 67/2], [-11, 19], [-3/2, 3/2]], [[0, 0], [7/2, 1/2], [-1, 1], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 0], [20, 12], [0, 0]], [[0, 0], [6259/2, -2443/2], [-99, 43], [-29/2, -3/2]], [[0, 0], [-164968, 64396], [5336, -2192], [572, -44]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[46272, -18064]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1884, 730], [4, 4], [0, 0]], [[0, 0], [5710, 5703/2], [-5016, -3201], [2, -5/2]], [[0, 0], [-76921, -69449/2], [63988, 40775], [-45, 79/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, -22], [-20, 0], [0, 0]], [[0, 0], [41, 51/2], [-44, -29], [-1, -1/2]], [[0, 0], [-4, -2], [4, 2], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[1024, -400]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -20], [24, -2], [0, 0]], [[0, 0], [706, -565/2], [256, -91], [2, -5/2]], [[0, 0], [-17093/2, 3431], [-3117, 1094], [-43/2, 32]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-220, 86], [-48, 14], [0, 0]], [[0, 0], [29185/2, -5663], [1567, -1962], [1/2, 1]], [[0, 0], [-71398, 27838], [-12744, 6374], [2, -2]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[1024, -400]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, 52], [20, -2], [0, 0]], [[0, 0], [2837/2, -564], [-161, 54], [-1/2, -1]], [[0, 0], [-3/2, -1], [-1, 0], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [208, -82], [36, -8], [0, 0]], [[0, 0], [-25987/2, 5062], [-1759, 804], [1/2, -2]], [[0, 0], [192263/2, -74983/2], [13459, -5669], [-21/2, 21/2]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[46272, -18064]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4468, -1750], [4, 4], [0, 0]], [[0, 0], [-3277, -6937/2], [4466, 2853], [5, -1/2]], [[0, 0], [20029, 5628], [-12594, -8102], [15, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3588, -1396], [28, -6], [0, 0]], [[0, 0], [12603, -9821/2], [94, -21], [-1, 3/2]], [[0, 0], [6598, 4728], [11688, 7488], [834, 534]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[46272, -18064]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1260, 486], [-36, 8], [0, 0]], [[0, 0], [86877, -68533/2], [1738, -1037], [-1, 3/2]], [[0, 0], [18636, 12539], [19628, 12584], [-64, -41]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5144, -2008], [-16, 6], [0, 0]], [[0, 0], [-58123, 45445/2], [122, -105], [1, 5/2]], [[0, 0], [12263, 10497], [-26590, -17036], [1335, 855]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[46272, -18064]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4192, -1638], [24, -8], [0, 0]], [[0, 0], [49937, -38525/2], [50, -237], [-5, 3/2]], [[0, 0], [-83528, -107823/2], [78548, 50299], [160, 205/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [292, -122], [-20, 0], [0, 0]], [[0, 0], [18524, -14493/2], [-708, 269], [0, -5/2]], [[0, 0], [-9105, -12365/2], [-4682, -2985], [-1581, -2025/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[46272, -18064]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1568, -614], [0, -2], [0, 0]], [[0, 0], [7589, -2996], [2, -10], [-5, -2]], [[0, 0], [6075, 8133/2], [1722, 1103], [741, 949/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2372, 934], [-20, 0], [0, 0]], [[0, 0], [-18038, -21817/2], [16968, 10867], [-2, -5/2]], [[0, 0], [-11703, -7887/2], [8042, 5155], [5, -7/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[1024, -400]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 2], [-20, 0], [0, 0]], [[0, 0], [-1, -5/2], [78, -22], [1, 5/2]], [[0, 0], [-7/2, 3/2], [-147, 57], [7/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 8], [40, -10], [0, 0]], [[0, 0], [619/2, -127], [-467, 173], [-5/2, 0]], [[0, 0], [-493, 171], [654, -288], [-1, -3]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[1024, -400]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-352, 138], [20, -4], [0, 0]], [[0, 0], [18661/2, -3656], [-513, 115], [-1/2, 0]], [[0, 0], [-2716, 1062], [136, -42], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, 66], [-60, 20], [0, 0]], [[0, 0], [36, -8], [4, -2], [0, 2]], [[0, 0], [-43/2, 6], [-3, 1], [1/2, -1]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[46272, -18064]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2276, 882], [-4, 8], [0, 0]], [[0, 0], [-19315, -25545/2], [19454, 12460], [3, -3/2]], [[0, 0], [-43318, -56145/2], [43084, 27592], [2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2424, -940], [32, -6], [0, 0]], [[0, 0], [838877, -655453/2], [8694, -3628], [5, 1/2]], [[0, 0], [303100, 172964], [276980, 177150], [-2920, -1870]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[46272, -18064]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1576, 614], [-8, 2], [0, 0]], [[0, 0], [-4193, 3235/2], [-18, 18], [5, 1/2]], [[0, 0], [-20572, -13576], [11844, 7582], [2648, 1696]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2620, -1028], [28, -6], [0, 0]], [[0, 0], [1567746, -1222539/2], [13160, -5854], [-2, 3/2]], [[0, 0], [-452773, -556767/2], [416194, 266628], [-413, -529/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[46272, -18064]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4020, -1570], [-4, 2], [0, 0]], [[0, 0], [-2651, 2071/2], [2, 0], [-1, 1/2]], [[0, 0], [-8, -6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [408, -162], [-48, 16], [0, 0]], [[0, 0], [15, -19], [18, -16], [-1, -1]], [[0, 0], [-3317, -4249/2], [-2270, -1454], [-349, -447/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[46272, -18064]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1092, -430], [-20, 4], [0, 0]], [[0, 0], [-794, 673/2], [32, 16], [2, -1/2]], [[0, 0], [-17891, -22887/2], [-19182, -12284], [-185, -237/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3712, -1448], [-8, 2], [0, 0]], [[0, 0], [16199, 10373], [-16222, -10388], [-1, -1]], [[0, 0], [32111, 41091/2], [-32150, -20578], [7, -11/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[46272, -18064]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-316, 112], [4, 10], [0, 0]], [[0, 0], [30693, 35491/2], [-29312, -18816], [-3, 1/2]], [[0, 0], [245196, 178136], [-270912, -172992], [20, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5372, -2106], [12, 4], [0, 0]], [[0, 0], [3597, 1788], [-3032, -1942], [-1, -2]], [[0, 0], [7702, 2623/2], [-4100, -2628], [6, -11/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, -47], [20, -8], [0, 0]], [[0, 0], [305/2, -101/2], [53/4, -9/4], [15/4, 5/4]], [[0, 0], [153/2, 67/2], [93/4, 55/4], [71/4, 45/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-300, 11], [16, -4], [0, 0]], [[0, 0], [-2757438/13, -824840/13], [102091/13, 485/13], [-19/13, 1/13]], [[0, 0], [66388789/26, -68469481/26], [-13098611/52, 6919199/52], [2735/52, -1355/52]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[128, -48]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -8], [36, -14], [0, 0]], [[0, 0], [-75/2, 3/2], [-55/4, 15/4], [11/4, -3/4]], [[0, 0], [-504, -326], [-60, -40], [12, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [692, 16], [20, -2], [0, 0]], [[0, 0], [-6556393/26, -780635/26], [-364033/52, 5329/52], [21/52, 3/52]], [[0, 0], [-156274613/26, 76628797/26], [-11338853/52, 5066257/52], [473/52, -237/52]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[512, -256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, 12], [-4, -8], [0, 0]], [[0, 0], [5, 0], [0, 2], [1, 0]], [[0, 0], [4592, -1592], [-192, 120], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, -52], [-20, 8], [0, 0]], [[0, 0], [-5, 2], [0, 2], [1, 0]], [[0, 0], [16, 8], [0, 0], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -4], [8, -8], [0, 0]], [[0, 0], [29/2, 99/2], [65, -13], [7/2, 1/2]], [[0, 0], [-93, -8], [58, -32], [1, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -16], [-12, 8], [0, 0]], [[0, 0], [-189/2, -75/2], [29, -5], [7/2, 1/2]], [[0, 0], [387/2, -237/2], [-239, 97], [-33/2, 15/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 4], [-16, -4], [0, 0]], [[0, 0], [3, 6], [-42, 8], [-3, 0]], [[0, 0], [-11/2, 17/2], [-109, 35], [-13/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 4], [20, -16], [0, 0]], [[0, 0], [3467/2, 2717/2], [-1281, -443], [-5/2, -3/2]], [[0, 0], [-27579/2, 10221/2], [-20427, 8101], [-11/2, 5/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, 28], [-12, -8], [0, 0]], [[0, 0], [7, -2], [2, 0], [1, 0]], [[0, 0], [-144, 56], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, -4], [-20, -4], [0, 0]], [[0, 0], [1, 4], [2, 0], [1, 0]], [[0, 0], [-68, -60], [-20, -16], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-512, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -44], [-4, -16], [0, 0]], [[0, 0], [7, -2], [2, 0], [1, 0]], [[0, 0], [-1588, 892], [-500, 300], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -20], [-12, 16], [0, 0]], [[0, 0], [1, 4], [2, 0], [1, 0]], [[0, 0], [-52, 20], [20, -8], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-512, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [212, -68], [-20, 8], [0, 0]], [[0, 0], [-1, -2], [2, 0], [1, 0]], [[0, 0], [-16, -8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-228, 68], [-4, 0], [0, 0]], [[0, 0], [-7, 4], [2, 0], [1, 0]], [[0, 0], [-16, 8], [0, 0], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-512, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 4], [20, -8], [0, 0]], [[0, 0], [-1, -2], [2, 0], [1, 0]], [[0, 0], [16, 8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 12], [-12, 4], [0, 0]], [[0, 0], [-7, 4], [2, 0], [1, 0]], [[0, 0], [60, 44], [-28, 8], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[512, -256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-164, 76], [20, 8], [0, 0]], [[0, 0], [5, 4], [0, 2], [1, 0]], [[0, 0], [1368, -512], [-8, 32], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, 68], [20, 16], [0, 0]], [[0, 0], [-5, -2], [0, 2], [1, 0]], [[0, 0], [-1232, 520], [0, 32], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 20], [-12, -20], [0, 0]], [[0, 0], [3789/2, 619/2], [-1759, -509], [-5/2, 5/2]], [[0, 0], [-1697/2, 1055/2], [495, -417], [9/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -12], [-4, 20], [0, 0]], [[0, 0], [-5383/2, -2019/2], [303, 1187], [-7/2, -3/2]], [[0, 0], [12108, -4204], [15812, -6504], [12, -4]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -20], [-20, 12], [0, 0]], [[0, 0], [827/2, 1299/2], [361, -295], [1/2, 5/2]], [[0, 0], [404, -876], [-1372, 672], [4, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 12], [0, -4], [0, 0]], [[0, 0], [-285/2, 233/2], [-57, 9], [-1/2, -3/2]], [[0, 0], [442, -187], [104, -38], [-2, 1]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-164, 52], [20, -8], [0, 0]], [[0, 0], [-5, -2], [2, 0], [1, 0]], [[0, 0], [-16, -8], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, -28], [-12, 4], [0, 0]], [[0, 0], [-3, 4], [2, 0], [1, 0]], [[0, 0], [44, -220], [-20, 16], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-512, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [264, -48], [-8, 16], [0, 0]], [[0, 0], [-5, -2], [2, 0], [1, 0]], [[0, 0], [3100, -84], [60, 240], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-124, 52], [-4, 16], [0, 0]], [[0, 0], [-3, 4], [2, 0], [1, 0]], [[0, 0], [-2240, 920], [-144, 240], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-512, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-208, 56], [16, -12], [0, 0]], [[0, 0], [3, -2], [2, 0], [1, 0]], [[0, 0], [-2676, 500], [132, -176], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, -4], [4, -16], [0, 0]], [[0, 0], [5, 4], [2, 0], [1, 0]], [[0, 0], [380, -196], [-196, 56], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-512, 256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, 92], [12, 8], [0, 0]], [[0, 0], [3, -2], [2, 0], [1, 0]], [[0, 0], [-144, 56], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180, -60], [-20, 12], [0, 0]], [[0, 0], [5, 4], [2, 0], [1, 0]], [[0, 0], [44, -28], [-12, 0], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[1714560, -669344]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-236, 104], [-20, -4], [0, 0]], [[0, 0], [-1001, -628], [1034, 664], [5, 2]], [[0, 0], [-168, 423/2], [-192, -78], [28, -23/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8836, 3450], [4, -2], [0, 0]], [[0, 0], [-45, -113/2], [18, 8], [-1, 5/2]], [[0, 0], [-935, 999/2], [-162, 36], [117, -99/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[1714560, -669344]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4616, 1802], [-200, 78], [0, 0]], [[0, 0], [78092, -60979/2], [3296, -1292], [0, -1/2]], [[0, 0], [-2901, -3783/2], [-4570, -2928], [-463, -593/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-716, 280], [-460, 180], [0, 0]], [[0, 0], [-1681, 1349/2], [-1726, 642], [-5, -5/2]], [[0, 0], [-11019, -7066], [19222, 12300], [2689, 1722]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[1714560, -669344]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-864, 338], [208, -82], [0, 0]], [[0, 0], [-57335, 44767/2], [13550, -5288], [-1, 1/2]], [[0, 0], [-484, -306], [548, 350], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20016, -7814], [128, -50], [0, 0]], [[0, 0], [-12354, 9667/2], [-116, 26], [-2, -3/2]], [[0, 0], [-4697, -5823/2], [8350, 5348], [983, 1259/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[1714560, -669344]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5120, -1998], [-208, 82], [0, 0]], [[0, 0], [-106355, 83103/2], [4234, -1634], [-1, 5/2]], [[0, 0], [-302639, -193639], [-179918, -115224], [-20105, -12875]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8108, 3166], [-188, 74], [0, 0]], [[0, 0], [3190191, -2490705/2], [74282, -29008], [-5, -3/2]], [[0, 0], [64142, 77509/2], [-9744, -6294], [-3558, -4557/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[37952, -14816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [812, -318], [136, -54], [0, 0]], [[0, 0], [132487/2, -51727/2], [11111, -4349], [1/2, 3/2]], [[0, 0], [460269/2, -89838], [38653, -15073], [-13/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [820, -320], [-40, 16], [0, 0]], [[0, 0], [-18805/2, 3667], [467, -173], [-5/2, 2]], [[0, 0], [-43911, 34273/2], [2154, -826], [-15, 15/2]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[37952, -14816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-304, 118], [260, -102], [0, 0]], [[0, 0], [35015, -27349/2], [-29962, 11696], [1, -3/2]], [[0, 0], [-64991/2, 12703], [27819, -10857], [3/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1136, -444], [276, -108], [0, 0]], [[0, 0], [-8437, 6559/2], [-1998, 788], [-1, 5/2]], [[0, 0], [-36361/2, 7125], [-4351, 1683], [-21/2, 0]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[211072, -82400]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2612, 1004], [20, 8], [0, 0]], [[0, 0], [319, 269], [-384, -246], [-5, -1]], [[0, 0], [-9, 7/2], [0, 0], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2608, -1018], [-16, 6], [0, 0]], [[0, 0], [995, 1195/2], [-1740, -1114], [5, 5/2]], [[0, 0], [-830, 225], [180, 110], [-14, 5]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[1714560, -669344]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9732, 3814], [-12, -10], [0, 0]], [[0, 0], [85275, 118693/2], [-89554, -57352], [-3, -1/2]], [[0, 0], [-1394132, 200464], [332956, 212604], [-312, 128]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8656, 3380], [80, -32], [0, 0]], [[0, 0], [-6563, 2560], [66, -24], [1, 0]], [[0, 0], [-1700, -2145/2], [1440, 922], [260, 333/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[1714560, -669344]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2792, 1090], [200, -78], [0, 0]], [[0, 0], [-2937, 2447/2], [154, -28], [5, 5/2]], [[0, 0], [-27516, -35225/2], [-11480, -7352], [-1592, -2039/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22904, 8942], [-424, 166], [0, 0]], [[0, 0], [1480221, -1155261/2], [27622, -10566], [5, 1/2]], [[0, 0], [-4034956, -2524246], [-3753204, -2402402], [-42312, -27096]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[1714560, -669344]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10488, -4094], [424, -166], [0, 0]], [[0, 0], [-1271447, 992577/2], [-51354, 20124], [-5, 3/2]], [[0, 0], [-479116, -307903], [524772, 336014], [-3184, -2039]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11808, -4610], [16, -6], [0, 0]], [[0, 0], [-5321, -6719/2], [4318, 2768], [3, -1/2]], [[0, 0], [15305, 22327/2], [-13698, -8692], [65, -55/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[1714560, -669344]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5844, -2282], [260, -102], [0, 0]], [[0, 0], [-1663627, 649416], [-74026, 28862], [-5, 0]], [[0, 0], [9665, 12683/2], [8122, 5208], [463, 593/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19084, 7450], [148, -58], [0, 0]], [[0, 0], [178577, -139477/2], [-1358, 542], [5, 1/2]], [[0, 0], [213459, 276999/2], [-105758, -67740], [-21861, -27999/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[37952, -14816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1808, -706], [292, -114], [0, 0]], [[0, 0], [-167/2, 64], [13, 3], [3/2, 2]], [[0, 0], [-283/2, 65], [9, -1], [-1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-220, 86], [-108, 42], [0, 0]], [[0, 0], [4402, -3401/2], [2004, -798], [-2, -3/2]], [[0, 0], [121385/2, -47379/2], [27945, -10913], [5/2, -3/2]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[37952, -14816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [752, -294], [-68, 26], [0, 0]], [[0, 0], [-34099/2, 6646], [1611, -637], [-5/2, 0]], [[0, 0], [-36321/2, 7112], [1745, -663], [1/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -16], [20, -8], [0, 0]], [[0, 0], [-1787/2, 669/2], [-861, 347], [5/2, 5/2]], [[0, 0], [2083/2, -409], [1037, -403], [3/2, 0]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[211072, -82400]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9508, 3714], [20, -10], [0, 0]], [[0, 0], [-35810, -45869/2], [35872, 22972], [2, -3/2]], [[0, 0], [-20177, -26001/2], [20288, 12992], [95, -75/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12100, 4706], [20, 10], [0, 0]], [[0, 0], [-12308, -17849/2], [13404, 8584], [0, 1/2]], [[0, 0], [-16939, 23929/2], [-5220, -3348], [11, -9/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[64, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 18], [28, -4], [0, 0]], [[0, 0], [446, 15], [-169, 153], [-7, 1]], [[0, 0], [-70471/2, -44277/2], [-62507/4, -41673/4], [1311/4, 805/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 15], [12, -2], [0, 0]], [[0, 0], [200643/26, 7425/26], [30283/52, 6681/52], [281/52, 3/52]], [[0, 0], [38678816/13, 939160/13], [2892456/13, 601188/13], [27120/13, -48/13]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[64, -32]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 5], [-4, 0], [0, 0]], [[0, 0], [25, 0], [-15/2, -5/2], [3/2, 1/2]], [[0, 0], [371/2, -99/2], [-145/4, 5/4], [29/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-400, 58], [0, -20], [0, 0]], [[0, 0], [1706387/26, -1201511/26], [-465709/52, 1761/52], [-191/52, -5/52]], [[0, 0], [44349830, -29090531], [-5567765, 193247], [-2275, 13]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 28], [12, 12], [0, 0]], [[0, 0], [-126, -50], [-59, -25], [7, 1]], [[0, 0], [-445/2, 129/2], [-369/4, 101/4], [93/4, -33/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-164, 140], [-20, -20], [0, 0]], [[0, 0], [-285471/26, -63253/26], [12313/52, 563/52], [-461/52, 1/52]], [[0, 0], [30793767/26, -14376107/26], [-1955553/52, 835805/52], [79605/52, -33489/52]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[64, -64]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 20], [20, -12], [0, 0]], [[0, 0], [1325/2, -25/2], [-2559/4, 827/4], [-13/4, 1/4]], [[0, 0], [8936, -3312], [-12400, 4810], [-48, 18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [512, -72], [-8, 8], [0, 0]], [[0, 0], [-688955/26, 412671/26], [42949/52, -1137/52], [295/52, 5/52]], [[0, 0], [-89853247/26, 34319331/26], [2909369/52, -1218253/52], [18579/52, -7887/52]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[268, -97]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2438, 1973/2], [14, -1/2], [0, 0]], [[-4, 1/2], [-9939126, -12749885/2], [-1422332, -1821597/2], [-4, 1/2]], [[-47, 29], [100010068, 127702815/2], [14269657, 18278021/2], [-47, 29]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13662, -10569/2], [38, 3/2], [0, 0]], [[2, 3/2], [-22351862, -28665267/2], [-7459834, -9554439/2], [2, 3/2]], [[-13, 8], [-27321230, -18892980], [-9560687, -6124770], [-13, 8]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[4516, -1763]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 2], [-4, -1], [0, 0]], [[0, 5/2], [-13273, 5743/2], [-1469/2, -9], [5/2, 0]], [[-31, 29/2], [-307135/2, 115475/2], [-25673/4, 8889/4], [89/4, -31/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, 11/2], [14, -3/2], [0, 0]], [[1, 3], [-28569/2, -4521/2], [-11467/4, 495/4], [11/4, 1/4]], [[874, -809/2], [2872144, -1949863/2], [794847, -583429/2], [-623, 437/2]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[4516, -1763]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 9/2], [-2, -3/2], [0, 0]], [[-4, -1], [-216, 100], [0, -7], [0, -1]], [[135, -125/2], [44243/2, -8576], [-2695/4, 945/4], [-385/4, 135/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 3/2], [-10, 5/2], [0, 0]], [[0, 1/2], [-5921, -3067/2], [2135/2, -113], [1/2, 0]], [[-53, 49/2], [-568649/2, 81719], [370089/4, -135227/4], [151/4, -53/4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[52, -15]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-136, 2], [-60, 1], [0, 0]], [[-10, 0], [-1769725, -58851/2], [-1561153/2, -11370], [5/2, -5/2]], [[1884, -1539/2], [324355401, -265798767/2], [287118649/2, -58797519], [-2481/2, 471]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, -9/2], [-90, -1/2], [0, 0]], [[-6, -2], [-20629, -4507], [-61559/2, -8999/2], [-1/2, -3/2]], [[-900, 735/2], [-4279445, 3434699/2], [-14997689/2, 2988872], [1185/2, -225]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[52, -15]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-106, -13/2], [-26, -5/2], [0, 0]], [[6, 2], [5943, -931/2], [2859/2, -67], [1/2, 3/2]], [[6, -5/2], [12830, -10143/2], [2948, -2335/2], [-4, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, 1/2], [-26, -1/2], [0, 0]], [[-4, -5/2], [-148887, 2908], [133383/2, -1213/2], [-3/2, -1]], [[0, 0], [71902, -56161/2], [-31698, 24759/2], [0, 0]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[4516, -1763]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -7/2], [18, 5/2], [0, 0]], [[1, 2], [-89/2, 29], [385/4, -79/4], [7/4, 1/4]], [[428, -397/2], [19239, -15327/2], [-55341/2, 10568], [-611/2, 107]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 3/2], [-6, -1/2], [0, 0]], [[-1, -3/2], [30271/2, -1287], [9325/4, 293/4], [-5/4, -1/4]], [[-26, 12], [-359967, 135997], [-93821/2, 34699/2], [37/2, -13/2]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[4516, -1763]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, -5], [-4, 0], [0, 0]], [[-4, 0], [-1324, 2101/2], [65, -129/2], [1, -1]], [[171, -159/2], [280275/2, -100705/2], [-31631/4, 11071/4], [-489/4, 171/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -1/2], [18, 3/2], [0, 0]], [[4, 0], [32, -53/2], [-9, 15/2], [-1, 1]], [[1, -1/2], [41/2, -7], [-21/4, 7/4], [-3/4, 1/4]]], 1, 16, [], [] >,
< [ -4, -1, 1 ], [[268, -97]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25276, -9815], [-32, 2], [0, 0]], [[-2, 1], [-8190366, -10493753/2], [1638736, 2098853/2], [-2, 1]], [[-69, 85/2], [-581459652, -744861387/2], [116327037, 148988871/2], [-69, 85/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21002, -16483/2], [-22, 5/2], [0, 0]], [[3, 0], [25892422, 16613970], [3708093, 2374596], [3, 0]], [[-77, 95/2], [387617236, 493148773/2], [55212605, 70717321/2], [-77, 95/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[120, -74]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-42, -1/2], [-5742, 4517/2], [-42, -1/2], [0, 0]], [[3704904, 2372568], [-3701920, -4745125/2], [3704920, 2372567], [8, -1/2]], [[143814902, 184196507/2], [-143956780, -91997433], [143814002, 184197617/2], [-450, 555/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-28, -1], [6968, -2756], [-28, -1], [0, 0]], [[3069602, 3931433/2], [9195726, 11795131/2], [3069618, 3931433/2], [8, 0]], [[-14263032, -9134198], [-42901928, -54673503/2], [-14262904, -9134277], [64, -79/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[120, -74]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[26, 5/2], [14286, -11129/2], [26, 5/2], [0, 0]], [[-9775568, -6260276], [-9607506, -12549505/2], [-9775564, -6260275], [2, 1/2]], [[82114560, 52576128], [90833520, 97485769/2], [82114656, 52576069], [48, -59/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22, -1/2], [-4182, 3217/2], [22, -1/2], [0, 0]], [[1677434, 2148773/2], [-4948640, -3221178], [1677414, 2148771/2], [-10, -1/2]], [[-569079720, -364182060], [1766286612, 2115496801/2], [-569092944, -364173911], [-6612, 8149/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[216, -82]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-26, 3/2], [374, -337/2], [-26, 3/2], [0, 0]], [[-379944, -244242], [-1010675, -1252639/2], [-379938, -244243], [-3, 1/2]], [[1202796, 853335], [5148516, 2860543/2], [1202372, 853496], [212, -161/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, -5/2], [514, -387/2], [14, -5/2], [0, 0]], [[94290, 121185/2], [218887, 149738], [94296, 121187/2], [-3, -1/2]], [[304500, 295365], [-3458525, 4700787/2], [305830, 294860], [-665, 505/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[216, -82]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[74, 1/2], [66, 9/2], [74, 1/2], [0, 0]], [[-28552, -28810], [-31695, -57547/2], [-28562, -28813], [5, 3/2]], [[-17753840, 7306388], [-14215561, 11872547/2], [-17747918, 7304141], [-2961, 2247/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-68, -1], [-8, -24], [-68, -1], [0, 0]], [[-30600, -18990], [-29293, -38047/2], [-30630, -18975], [-5, 5/2]], [[-31950, -54315/2], [-40692, -23134], [-31578, -54597/2], [62, -47/2]]], 0, 128, [], [] >,
< [ -4, -1, 1 ], [[120, -74]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[38, 3/2], [-7094, 5637/2], [38, 3/2], [0, 0]], [[13657032, 8746218], [41170774, 26231234], [13657032, 8746218], [-10, -1]], [[-2508319440, -1605911940], [-7415607580, -9746753985/2], [-2508319440, -1605911940], [-3996, 4921/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, 5/2], [-5174, 4097/2], [18, 5/2], [0, 0]], [[-424370, -543545/2], [-1281828, -814284], [-424370, -543545/2], [-2, -3/2]], [[-4172860, -2678525], [-16216664, -13230447/2], [-4172860, -2678525], [100, -123/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[656, -268]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-55044, 21605], [-52, -3], [0, 0]], [[-2, 2], [-490158284, -314151888], [98106882, 62826356], [-2, 2]], [[597, -345/2], [-24402313886, -15582934245], [4873121101, 3120711907], [597, -345/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94332, 36663], [-52, -3], [0, 0]], [[0, 2], [-922641464, -590864882], [-131809208, -84409064], [0, 2]], [[255, -147/2], [-12018271306, -7694444447], [-1716644393, -1099318567], [255, -147/2]]], 0, 2048, [], [] >,
< [ -4, -1, 1 ], [[112, -52]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1812, 707], [124, -49], [0, 0]], [[0, -5/2], [-303885, 118652], [41545/2, -16229/2], [-5/2, 0]], [[-4, 1/2], [357859, -139696], [-48935/2, 19099/2], [3/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 34], [480, -188], [0, 0]], [[-2, 0], [465, -180], [-10025/2, 3919/2], [1/2, -1/2]], [[0, 1/2], [141, -56], [-3085/2, 1201/2], [1/2, 0]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[112, -52]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3564, -1391], [316, -123], [0, 0]], [[-8, -5/2], [100911, -39310], [17621/2, -6829/2], [-1/2, -2]], [[-50, -15/2], [944670, -368382], [82401, -32048], [5, -25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2896, -1130], [360, -140], [0, 0]], [[-4, -5/2], [-3867, 1543], [-921/2, 339/2], [-3/2, -1]], [[0, 0], [14916, -5823], [1724, -673], [0, 0]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[1424, -556]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1936, -753], [0, -3], [0, 0]], [[-3, -1/2], [-6151/2, -2741/2], [10815/4, 6953/4], [1/4, -3/4]], [[184, -64], [86100, -21555], [-11866, -8469], [-110, 46]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-836, 336], [-20, -2], [0, 0]], [[-2, -7/2], [-180134, -123532], [191557, 122572], [-3, -1/2]], [[705, -495/2], [7433365/2, -390731/2], [-4839513/4, -3223707/4], [-1695/4, 705/4]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[1424, -556]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-952, 375], [-16, 3], [0, 0]], [[4, 7/2], [40973, 25374], [-77777/2, -49823/2], [5/2, 1]], [[3, -1], [-2407/2, 3675/2], [-5233/4, -3259/4], [-7/4, 3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2588, 1013], [-4, -1], [0, 0]], [[-5, -4], [-27967/2, -14335/2], [46843/4, 30005/4], [-11/4, -5/4]], [[143, -101/2], [-595749/2, 255179/2], [-43199/4, -26365/4], [-345/4, 143/4]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[1424, -556]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [668, -253], [-12, -3], [0, 0]], [[1, 1/2], [5621/2, 3785/2], [-11433/4, -7323/4], [1/4, 1/4]], [[0, 0], [44, -30], [12, 8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3036, 1194], [-12, -4], [0, 0]], [[-5, -4], [-3403/2, -2063/2], [6387/4, 4077/4], [-11/4, -5/4]], [[70, -51/2], [-4486, 2275], [-211, -425], [-43, 35/2]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[1424, -556]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1364, 537], [-4, -3], [0, 0]], [[4, 3/2], [-1583, -760], [2691/2, 1725/2], [1/2, 1]], [[-31, 11], [15343/2, -4993/2], [-1851/4, -1285/4], [75/4, -31/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [976, -374], [-8, -4], [0, 0]], [[-2, 0], [1529, 1238], [-3609/2, -2301/2], [1/2, -1/2]], [[15, -11/2], [4395/2, -3427/2], [3589/4, 2059/4], [-37/4, 15/4]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[656, -268]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43624, 17060], [16, -2], [0, 0]], [[-1, -3/2], [-3085374, -1975345], [-440981, -282397], [-1, -3/2]], [[95, -55/2], [15598502, 10039678], [2236583, 1432490], [95, -55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46412, 18079], [28, -3], [0, 0]], [[2, 3/2], [-9086852, -5808559], [1813380, 1161262], [2, 3/2]], [[-7, 2], [2622050, 1992297], [-584397, -374394], [-7, 2]]], 0, 2048, [], [] >,
< [ -4, -1, 1 ], [[1728, -656]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3912, 1548], [-48, -2], [0, 0]], [[0, 0], [-296344, -187364], [293188, 187726], [12, -6]], [[0, 0], [-161626, -101365], [159117, 101872], [11, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11028, 4189], [52, 3], [0, 0]], [[0, 0], [-18560904, -11988876], [3741576, 2396238], [32, -14]], [[0, 0], [110755354, 71330513], [-22286229, -14272534], [-123, 57]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[448, -176]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, 53], [16, 5], [0, 0]], [[0, 0], [-15767/2, -5461/2], [21143/4, 13021/4], [49/4, 3/4]], [[0, 0], [54471/2, -19475/2], [-9103/4, 275/4], [-329/4, 125/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [508, -200], [12, -2], [0, 0]], [[0, 0], [12893/2, 15325/2], [-62697/4, -39895/4], [-23/4, -5/4]], [[0, 0], [724823/2, -301983/2], [85205/4, 26879/4], [1035/4, -391/4]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[448, -176]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [220, -78], [-20, 0], [0, 0]], [[0, 0], [-454, -300], [447, 289], [1, 1]], [[0, 0], [137/2, -87/2], [-1/4, 65/4], [-7/4, 3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, 67], [-4, 3], [0, 0]], [[0, 0], [-1555/2, -947/2], [1359/4, 897/4], [33/4, 3/4]], [[0, 0], [919/2, -401/2], [501/4, -157/4], [-309/4, 121/4]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[448, -176]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 17], [-16, 5], [0, 0]], [[0, 0], [-1411/2, -515/2], [1447/4, 905/4], [-55/4, -5/4]], [[0, 0], [-83/2, 43/2], [-9/4, -11/4], [-7/4, 3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 15], [20, -3], [0, 0]], [[0, 0], [-7379/2, -3869/2], [12219/4, 7361/4], [-19/4, -1/4]], [[0, 0], [-15069, 3846], [10645/2, -495/2], [-173/2, 65/2]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[448, -176]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, 49], [-16, -1], [0, 0]], [[0, 0], [115, 862], [-2619/2, -1551/2], [19/2, 1/2]], [[0, 0], [-241611/2, 100821/2], [-57569/4, 4033/4], [3569/4, -1333/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-184, 81], [-8, -5], [0, 0]], [[0, 0], [-37, 75], [-91/2, 7/2], [-13/2, 1/2]], [[0, 0], [-2663/2, 1187/2], [-1953/4, 693/4], [-279/4, 99/4]]], 0, 192, [], [] >,
< [ -4, -1, 1 ], [[320, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-768, 300], [-568, 222], [0, 0]], [[0, 0], [-1597, 600], [-2355/2, 849/2], [-5/2, -3/2]], [[0, 0], [-20, -21], [-36, -29], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [388, -151], [500, -195], [0, 0]], [[0, 0], [1269, -509], [3499/2, -1383/2], [-3/2, 3/2]], [[0, 0], [-20503, -13133], [-25657/2, -16439/2], [2753/2, 1763/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[320, -112]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1968, -768], [120, -46], [0, 0]], [[0, 0], [-50095, 19384], [-5969/2, 2399/2], [-23/2, -5/2]], [[0, 0], [172425, 112493], [-69573/2, -44303/2], [14133/2, 9051/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1768, -676], [32, 2], [0, 0]], [[0, 0], [-39189, -26802], [-83151/2, -53243/2], [-1/2, 5/2]], [[0, 0], [153123, 122475], [360013/2, 230463/2], [59/2, -43/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[1728, -656]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8232, -3200], [0, 2], [0, 0]], [[0, 0], [-388254, -224687], [-53371, -34160], [23, -9]], [[0, 0], [52724, 33719], [7700, 4931], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9396, -3785], [52, 3], [0, 0]], [[0, 0], [-155817938, -98646680], [30830605, 19747083], [11, -3]], [[0, 0], [-40878264726, -26767985190], [8262735663, 5289528499], [-4719, 2189]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[656, -268]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5340, -2107], [44, 5], [0, 0]], [[0, 0], [3911312, 2436321], [-3818828, -2445807], [-8, 1]], [[0, 0], [-52039404, -123209473/2], [79050672, 50509649], [-2412, 1971/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4732, -1879], [-32, 2], [0, 0]], [[0, 0], [-2714882, -1716777], [-891960, -571317], [10, -2]], [[0, 0], [-33519144, -51069199/2], [-12428864, -7937583], [-1496, 1221/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[656, -268]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1092, -429], [-20, 5], [0, 0]], [[0, 0], [8640, 11635/2], [9408, 6007], [8, -5/2]], [[0, 0], [252552, 128377], [229896, 149306], [-852, 348]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6012, 2377], [-28, 1], [0, 0]], [[0, 0], [-141180, -178149/2], [46320, 29671], [-4, -1/2]], [[0, 0], [-375464, -686312], [270268, 170333], [656, -268]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[64336, -25116]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [304, -118], [12, -5], [0, 0]], [[0, 0], [2112, -824], [-8, 2], [4, -1]], [[0, 0], [1381, 1825/2], [-3162, -2025], [1581, 2025/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, -30], [-188, 73], [0, 0]], [[0, 0], [-848, 667/2], [2160, -831], [4, 1/2]], [[0, 0], [-739, -967/2], [-3746, -2373], [-627, -803/2]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[64336, -25116]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-412, 161], [-148, 57], [0, 0]], [[0, 0], [-12499, 9759/2], [-4518, 1762], [5, -5/2]], [[0, 0], [-14, 4], [1840, 1183], [634, 406]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [156, -61], [40, 0], [0, 0]], [[0, 0], [-63, -29/2], [3450, 2216], [5, 1/2]], [[0, 0], [581, -281], [4946, 2999], [-63, 28]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[656, -268]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11096, 4284], [-28, -5], [0, 0]], [[0, 0], [12368050, 7959921], [4139344, 2650832], [10, 0]], [[0, 0], [-60239862, -64791863/2], [-18105048, -11587240], [954, -779/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5892, -2255], [36, 1], [0, 0]], [[0, 0], [-9147680, -11712465/2], [-3048296, -1952086], [0, 5/2]], [[0, 0], [-29987408, -18858917], [-9884468, -6328619], [-448, 183]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[52768, -20600]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-320, 125], [192, -75], [0, 0]], [[-2, -1], [-479/2, 197/2], [243, -95], [-1/2, -1/2]], [[-2, 1/2], [-1663, 650], [1656, -1293/2], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, -45], [156, -61], [0, 0]], [[4, -3/2], [201/2, -79/2], [199, -155/2], [-5/2, 1]], [[0, 0], [20, -8], [36, -14], [0, 0]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[52768, -20600]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [660, -257], [300, -117], [0, 0]], [[4, 7/2], [-529/2, 215/2], [-189, 151/2], [5/2, 1]], [[-72, 9/2], [-29065/2, 11307/2], [-10309, 8033/2], [45/2, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [516, -201], [500, -195], [0, 0]], [[4, 3/2], [-3717/2, 1433/2], [-1847, 1453/2], [1/2, 1]], [[-12, -6], [3211, -1222], [3166, -1255], [-3, -3]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[52768, -20600]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1080, 421], [-208, 81], [0, 0]], [[6, 1], [-1735651/2, 677679/2], [-166971, 65204], [-1/2, 3/2]], [[72, 29/2], [-19275185/2, 7526095/2], [-1854271, 1448293/2], [-7/2, 18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-828, 323], [156, -61], [0, 0]], [[-4, 3/2], [691/2, -269/2], [-65, 51/2], [5/2, -1]], [[0, 0], [48, -19], [-8, 3], [0, 0]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[52768, -20600]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-892, 348], [292, -114], [0, 0]], [[10, 9/2], [5732, -2230], [-1898, 1513/2], [2, 5/2]], [[60, 15/2], [186743/2, -72845/2], [-31139, 24427/2], [-15/2, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [916, -357], [500, -195], [0, 0]], [[4, 7/2], [43451/2, -16941/2], [11871, -9265/2], [5/2, 1]], [[0, -9/2], [-219839/2, 85803/2], [-60079, 46905/2], [-9/2, 0]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[52768, -20600]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-848, 331], [208, -81], [0, 0]], [[-8, -1/2], [-232181/2, 90649/2], [28498, -22285/2], [3/2, -2]], [[180, 15], [2515654, -982179], [-617516, 241476], [-30, 45]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [720, -281], [520, -203], [0, 0]], [[0, -1/2], [-9/2, 13/2], [-2, -1/2], [-1/2, 0]], [[0, 0], [-16, 6], [0, 0], [0, 0]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[1024, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4392, 1596], [8, -20], [0, 0]], [[0, 0], [-212742, -136554], [-30171, -19365], [-25, -3]], [[0, 0], [426098, 237608], [60293, 33749], [-1377, 561]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15248, 5972], [48, -12], [0, 0]], [[0, 0], [-77062, 29760], [237, -99], [-17, 1]], [[0, 0], [628048, 345558], [11272, 7398], [9976, 6380]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[384, -128]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [152, -76], [8, 8], [0, 0]], [[0, 0], [-4197, 1367], [-27/2, 27/2], [35/2, 1/2]], [[0, 0], [127073/2, -5545/2], [-1661/4, -2015/4], [-2755/4, -1305/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 20], [-16, -8], [0, 0]], [[0, 0], [153/2, -41/2], [-1/4, 37/4], [25/4, -5/4]], [[0, 0], [-133, -71], [-239/2, -157/2], [-33/2, -19/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[384, -128]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-196, 64], [20, 8], [0, 0]], [[0, 0], [508, -206], [16, 2], [-4, 0]], [[0, 0], [349/2, 195/2], [-689/4, -443/4], [129/4, 83/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, 80], [-12, -16], [0, 0]], [[0, 0], [68493/2, -28429/2], [-4253/4, 4529/4], [-91/4, -1/4]], [[0, 0], [-541591, 100057], [226879/2, 100457/2], [-1991/2, -1629/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[384, -128]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [244, -104], [-4, 4], [0, 0]], [[0, 0], [-687, 105], [19/2, -3/2], [-19/2, -1/2]], [[0, 0], [2011/2, 2453/2], [-51/4, -65/4], [139/4, 113/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [204, -84], [20, -8], [0, 0]], [[0, 0], [-193/2, 9/2], [-187/4, 7/4], [27/4, 1/4]], [[0, 0], [3591/2, 2245/2], [3565/4, 2231/4], [-621/4, -391/4]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[384, -128]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -4], [16, 0], [0, 0]], [[0, 0], [-23/2, 15/2], [103/4, -51/4], [-15/4, 3/4]], [[0, 0], [-16, -6], [18, 4], [2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -4], [-4, 16], [0, 0]], [[0, 0], [1372, -726], [8128, -2902], [-4, 0]], [[0, 0], [-1261/2, -1491/2], [12193/4, 907/4], [-33/4, -19/4]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[2048, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [400, -160], [80, -28], [0, 0]], [[0, 0], [-2995, 1281], [-1685/2, 445/2], [29/2, -1/2]], [[0, 0], [48272, 38352], [-54536, -33152], [2584, 1632]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-256, 100], [-96, 44], [0, 0]], [[0, 0], [66, 4], [119, 11], [17, -1]], [[0, 0], [367, 235], [1429/2, 915/2], [139/2, 89/2]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[2048, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 12], [-24, 8], [0, 0]], [[0, 0], [78, 60], [105, 33], [-1, 1]], [[0, 0], [143, 183], [961/2, 15/2], [-25/2, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 16], [16, 12], [0, 0]], [[0, 0], [603, 85], [-279/2, 35/2], [55/2, 5/2]], [[0, 0], [-2561, 1231], [1925/2, -805/2], [-261/2, 121/2]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[1024, -768]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5168, -1948], [16, -20], [0, 0]], [[0, 0], [-176722, -115712], [35397, 22653], [-5, -3]], [[0, 0], [4728, -1504], [-40, -52], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3192, 1068], [-24, -16], [0, 0]], [[0, 0], [-81876, -85522], [-16270, -10412], [-2, -2]], [[0, 0], [-1898274, 783252], [6257, 3577], [-41, 17]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[289024, -112832]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [264, -108], [-40, 20], [0, 0]], [[0, 0], [5078, -1975], [-696, 278], [6, -1]], [[0, 0], [-2472, 976], [352, -128], [0, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3792, -1466], [-56, 8], [0, 0]], [[0, 0], [-302706, 118913], [2728, -1770], [-2, -1]], [[0, 0], [647296, -252702], [-7272, 2844], [0, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[289024, -112832]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4032, 1584], [-16, -4], [0, 0]], [[0, 0], [229404, -89503], [320, -146], [4, 1]], [[0, 0], [1299966, -507473], [1924, -758], [10, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5160, -2026], [0, -4], [0, 0]], [[0, 0], [-199012, -110379], [-62864, -40298], [28, -9]], [[0, 0], [1636662, 1023668], [556028, 356132], [-54, 4]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[-289024, 112832]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2904, -1146], [-32, 0], [0, 0]], [[0, 0], [30708, -12010], [-240, 96], [-12, 2]], [[0, 0], [22902, -8935], [-180, 70], [-6, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4288, 1666], [-24, 12], [0, 0]], [[0, 0], [46228, 29858], [-15360, -9816], [-12, 2]], [[0, 0], [-519386, -334251], [172092, 110074], [90, -5]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[768, -320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 2], [-336, 136], [0, 0]], [[0, 0], [-1, 0], [-2, 0], [1, 0]], [[0, 0], [856, 128], [-5936, 2444], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -2], [80, -36], [0, 0]], [[0, 0], [-1, 0], [6, 0], [1, 0]], [[0, 0], [-600, 100], [-1760, 748], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[768, -320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, -6], [-8, 12], [0, 0]], [[0, 0], [-1, 0], [-2, 0], [1, 0]], [[0, 0], [-9360, 3380], [-2520, 1036], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 6], [8, -4], [0, 0]], [[0, 0], [7, 0], [-2, 0], [1, 0]], [[0, 0], [-8, 2], [0, 0], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[-1152, 448]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 16], [12, 6], [0, 0]], [[0, 0], [0, -1], [2, 0], [1, 0]], [[0, 0], [120, -48], [-12, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, 0], [-12, -10], [0, 0]], [[0, 0], [171, 242], [82, 44], [1, -2]], [[0, 0], [-1395/2, 713/2], [71, -7], [31/2, -13/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-1152, 448]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, -64], [-16, 6], [0, 0]], [[0, 0], [2, 1], [2, 0], [1, 0]], [[0, 0], [0, 0], [-4, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, -8], [-4, -10], [0, 0]], [[0, 0], [-3673/2, -1417/2], [-355, -325], [5/2, 5/2]], [[0, 0], [4045, -1465], [-786, 344], [7, -3]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-51968, 20288]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-160, 76], [32, 4], [0, 0]], [[0, 0], [2816, 745], [2068, 1432], [-6, 1]], [[0, 0], [-996, 1955], [2100, 1082], [10, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [400, -160], [16, 2], [0, 0]], [[0, 0], [-5, 0], [2, 0], [1, 0]], [[0, 0], [896, -364], [48, 12], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[-51968, 20288]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 0], [-408, 158], [0, 0]], [[0, 0], [4, -3], [3480, -1358], [12, -5]], [[0, 0], [0, -1], [708, -276], [2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -12], [-80, 32], [0, 0]], [[0, 0], [3, 0], [-6, 0], [1, 0]], [[0, 0], [48, -20], [-168, 66], [0, 0]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[-1152, 448]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [240, -92], [20, 2], [0, 0]], [[0, 0], [0, -1], [0, 0], [1, 0]], [[0, 0], [2652, -1224], [-936, -728], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, -4], [-4, -6], [0, 0]], [[0, 0], [-351/2, -59/2], [-15, -11], [-1/2, -5/2]], [[0, 0], [-598, 270], [16, 0], [18, -6]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[-1152, 448]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 28], [-52, 16], [0, 0]], [[0, 0], [2, 1], [0, 0], [1, 0]], [[0, 0], [-84, 32], [-84, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -20], [-4, -6], [0, 0]], [[0, 0], [-159/2, -249/2], [-35, -43], [-1/2, 1/2]], [[0, 0], [-373/2, 1111/2], [-13, 181], [13/2, -7/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[6496, -2536]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [176, -70], [16, -8], [0, 0]], [[0, 0], [-13095, 10221/2], [-1330, 515], [-1, 1/2]], [[0, 0], [-16847/2, 6569/2], [-863, 326], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [220, -86], [20, -8], [0, 0]], [[0, 0], [-18, 11/2], [4, 4], [-2, -3/2]], [[0, 0], [5/2, -1], [-5, 2], [5/2, -1]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[6496, -2536]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-136, 52], [-8, 2], [0, 0]], [[0, 0], [90, -91/2], [104, -37], [-2, -3/2]], [[0, 0], [-271/2, 52], [-135, 53], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-948, 369], [92, -37], [0, 0]], [[0, 0], [-23, -8], [-18, -3], [1, 1]], [[0, 0], [-129/2, 3], [-67, 13], [-1/2, 2]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[293472, -114568]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-968, 354], [-24, 0], [0, 0]], [[0, 0], [-29009, -18877], [-11482, -7359], [1, 0]], [[0, 0], [-32920, -41593/2], [-12804, -8194], [0, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1460, -643], [-60, -5], [0, 0]], [[0, 0], [-102128, -131167/2], [-39816, -25497], [0, -3/2]], [[0, 0], [-5, 5/2], [-2, 1], [-1, 1/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[293472, -114568]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [172, -67], [-556, 217], [0, 0]], [[0, 0], [-3139, 2501/2], [9454, -3711], [3, 5/2]], [[0, 0], [8006, 10249/2], [-6520, -4168], [1186, 1519/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-284, 111], [100, -39], [0, 0]], [[0, 0], [266, -203/2], [-12, 9], [2, -3/2]], [[0, 0], [15993, 20485/2], [29490, 18885], [-4915, -6295/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[6496, -2536]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [988, -385], [-52, 21], [0, 0]], [[0, 0], [-31/2, -12], [-25, -12], [-5/2, -1]], [[0, 0], [10, -2], [-12, 7], [-2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-528, 207], [-56, 23], [0, 0]], [[0, 0], [87519/2, -34203/2], [4695, -1868], [3/2, -5/2]], [[0, 0], [-286367/2, 55831], [-15583, 5957], [-35/2, 0]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[6496, -2536]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1568, 611], [72, -29], [0, 0]], [[0, 0], [-7399, 5921/2], [398, -99], [-1, 1/2]], [[0, 0], [-5923/2, 1035], [39, -110], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1328, -517], [-56, 23], [0, 0]], [[0, 0], [163593/2, -32276], [-3787, 1208], [5/2, -2]], [[0, 0], [1468126, -576128], [-65412, 23184], [54, -30]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[896, -384]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -48], [-28, -12], [0, 0]], [[0, 0], [-1053/2, 261/2], [6, -90], [-27/2, -5/2]], [[0, 0], [-9/2, 1/2], [-2, -2], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 56], [24, 8], [0, 0]], [[0, 0], [3277/2, -4493/2], [-882, -130], [11/2, 5/2]], [[0, 0], [-573655/2, 226455/2], [38362, -14606], [-185/2, 65/2]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[896, -384]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 24], [4, 20], [0, 0]], [[0, 0], [3303/2, 1897/2], [533, 427], [-5/2, 5/2]], [[0, 0], [575/2, -795/2], [-555, 103], [-45/2, 17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 4], [-20, -12], [0, 0]], [[0, 0], [-9676, 3810], [-244, 152], [0, 2]], [[0, 0], [-156657/2, 61185/2], [-2389, 957], [-29/2, 13/2]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[896, -384]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -44], [-44, -20], [0, 0]], [[0, 0], [295/2, -7/2], [-3, 35], [-29/2, -3/2]], [[0, 0], [-2792, 1064], [1024, -416], [224, -84]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 28], [-8, 0], [0, 0]], [[0, 0], [1842, 978], [-216, -160], [-2, 2]], [[0, 0], [4677/2, -1621/2], [221, -101], [-79/2, 31/2]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[896, -384]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -20], [-20, 4], [0, 0]], [[0, 0], [1089/2, 1051/2], [565, -137], [-23/2, -5/2]], [[0, 0], [67639/2, -35407/2], [-108217, 41737], [2183/2, -767/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -8], [-44, -12], [0, 0]], [[0, 0], [793/2, -161/2], [255, -23], [-7/2, -1/2]], [[0, 0], [-4776, 1890], [-2648, 1060], [24, -10]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[896, -384]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -60], [-24, -16], [0, 0]], [[0, 0], [-821/2, 341/2], [-17, 9], [-5/2, -3/2]], [[0, 0], [-2028, 792], [-92, 36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 4], [-32, 8], [0, 0]], [[0, 0], [53/2, -9/2], [15, 5], [-11/2, -1/2]], [[0, 0], [91/2, -35/2], [13, -5], [-13/2, 5/2]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[3648, -1424]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -6], [16, 10], [0, 0]], [[0, 0], [1515/2, -183], [123, 74], [-3/2, 0]], [[0, 0], [14943/2, -5455/2], [251, 107], [-23/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1392, -542], [8, -2], [0, 0]], [[0, 0], [-3365/2, -2229/2], [-1347, -869], [-5/2, 3/2]], [[0, 0], [2072, 3175/2], [1788, 1189], [20, -17/2]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[3648, -1424]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [176, -70], [16, -8], [0, 0]], [[0, 0], [-106, -117/2], [-128, -75], [2, -5/2]], [[0, 0], [195/2, 34], [107, 48], [-19/2, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-716, 284], [-4, 6], [0, 0]], [[0, 0], [-25252, -33207/2], [-25396, -16273], [0, 5/2]], [[0, 0], [207193/2, 57322], [94059, 60032], [-119/2, 14]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[3648, -1424]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1176, 464], [8, 2], [0, 0]], [[0, 0], [11575/2, 2445], [4761, 3058], [-3/2, 2]], [[0, 0], [-132817/2, -16698], [-43035, -27746], [93/2, -31]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1444, -558], [4, 4], [0, 0]], [[0, 0], [-5465/2, -1323], [-2245, -1438], [3/2, 1]], [[0, 0], [3036, -1144], [36, 26], [0, 0]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[3648, -1424]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-420, 170], [20, -2], [0, 0]], [[0, 0], [23191/2, 14515/2], [11005, 7047], [5/2, -3/2]], [[0, 0], [-8125/2, -2611], [-3919, -2510], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1460, -564], [20, -2], [0, 0]], [[0, 0], [119625/2, 37645], [57605, 36878], [5/2, -1]], [[0, 0], [-21040, -13510], [-20512, -13136], [0, 0]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[164800, -64336]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [240, -94], [264, -102], [0, 0]], [[0, 0], [17537, -6848], [19030, -7422], [-5, 2]], [[0, 0], [-4894, -6289/2], [20004, 12799], [146, 187/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-272, 106], [176, -68], [0, 0]], [[0, 0], [7677, -3006], [-4830, 1878], [1, 2]], [[0, 0], [-1439, -2067/2], [-1398, -825], [413, 529/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[164800, -64336]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2648, -1034], [16, 6], [0, 0]], [[0, 0], [2385, -1459/2], [-9522, -6099], [-1, 1/2]], [[0, 0], [1320, -594], [3720, 2380], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-912, 356], [-16, 2], [0, 0]], [[0, 0], [-649, -213/2], [-38842, -24865], [-5, -1/2]], [[0, 0], [93844, -32233], [477688, 303230], [812, -287]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[3648, -1424]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-520, 204], [8, -2], [0, 0]], [[0, 0], [-1373/2, -745/2], [-685, -457], [-3/2, 5/2]], [[0, 0], [-16773/2, -3509], [-6949, -4959], [-147/2, 49]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-236, 84], [4, -10], [0, 0]], [[0, 0], [-20825, -12670], [-20902, -13414], [-1, -2]], [[0, 0], [3363/2, 5570], [6453, 3939], [19/2, -3]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[3648, -1424]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-980, 392], [20, 2], [0, 0]], [[0, 0], [-2123/2, -945/2], [-903, -581], [-5/2, -3/2]], [[0, 0], [2175/2, -382], [31, 33], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-308, 128], [4, 6], [0, 0]], [[0, 0], [-6125, -9021/2], [-6490, -4178], [-1, 5/2]], [[0, 0], [108765/2, 23385/2], [31895, 19565], [-259/2, 81/2]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[3648, -1424]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1332, -518], [20, -6], [0, 0]], [[0, 0], [1135/2, 363], [517, 329], [-3/2, 1]], [[0, 0], [487, 625/2], [446, 282], [-3, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [200, -94], [-16, -10], [0, 0]], [[0, 0], [-1282, -154], [-632, -406], [2, 2]], [[0, 0], [38455/2, -8439], [-941, -563], [51/2, -6]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[3648, -1424]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-476, 186], [-20, 8], [0, 0]], [[0, 0], [2802, 3603/2], [2960, 1896], [-2, -3/2]], [[0, 0], [-11175/2, -2850], [-5189, -3277], [51/2, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-604, 246], [12, 6], [0, 0]], [[0, 0], [-2773/2, -1999], [-2585, -1655], [-1/2, 2]], [[0, 0], [86396, -15556], [18464, 11850], [-156, 48]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[164800, -64336]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, 44], [-168, 66], [0, 0]], [[0, 0], [-175, 121/2], [-294, 116], [-5, -1/2]], [[0, 0], [-3142, -2041], [548, 300], [-994, -637]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -6], [440, -170], [0, 0]], [[0, 0], [15, -7/2], [4034, -1576], [-1, 3/2]], [[0, 0], [2132, 1365], [-968, -718], [1004, 643]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[164800, -64336]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1880, -734], [-40, 10], [0, 0]], [[0, 0], [585, 465/2], [34698, 22222], [-5, -5/2]], [[0, 0], [-10010, 3750], [-11756, -7658], [50, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2080, 812], [8, -2], [0, 0]], [[0, 0], [102, 193/2], [-27096, -17350], [2, -1/2]], [[0, 0], [31, 69], [-16114, -10316], [3, -1]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[384, -128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 32], [0, 8], [0, 0]], [[0, 0], [-459/2, -295/2], [-67, -39], [-1/2, -1/2]], [[0, 0], [4, 4], [4, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 12], [4, 12], [0, 0]], [[0, 0], [-2019, 42], [186, -356], [-3, -2]], [[0, 0], [31969/2, -12507/2], [-5697, 2219], [-3/2, 1/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[384, -128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 12], [12, -20], [0, 0]], [[0, 0], [435/2, -397/2], [-249, 7], [-7/2, -3/2]], [[0, 0], [-7050, 2730], [3448, -1364], [14, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 12], [4, 8], [0, 0]], [[0, 0], [-5225/2, -685/2], [-103, -299], [3/2, -1/2]], [[0, 0], [-68, -148], [-60, -20], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-2048, 768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 32], [-240, 100], [0, 0]], [[0, 0], [3, 2], [6, 0], [1, 0]], [[0, 0], [80, -80], [864, -348], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 32], [-96, 44], [0, 0]], [[0, 0], [-3, 0], [6, 0], [1, 0]], [[0, 0], [784, -448], [2016, -828], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[2048, -768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 8], [8, 0], [0, 0]], [[0, 0], [-5, 2], [-2, 0], [1, 0]], [[0, 0], [-80, 32], [32, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112, -40], [-40, -12], [0, 0]], [[0, 0], [5, 0], [-2, 0], [1, 0]], [[0, 0], [2800, -1080], [-432, 72], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[384, -128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -12], [-12, -8], [0, 0]], [[0, 0], [410, -151], [12, 2], [6, 1]], [[0, 0], [50765/2, -19891/2], [323, -153], [323/2, -153/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -52], [-4, -8], [0, 0]], [[0, 0], [2827/2, -659/2], [251, -67], [-5/2, -3/2]], [[0, 0], [-29030, 11355], [-5356, 2094], [2, -1]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[384, -128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -44], [-4, 0], [0, 0]], [[0, 0], [83/2, -11/2], [-11, -5], [-11/2, -5/2]], [[0, 0], [-75/2, 29/2], [3, -1], [3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 16], [0, -8], [0, 0]], [[0, 0], [-5511/2, 1653/2], [1129, -271], [1/2, 5/2]], [[0, 0], [-72942, 28166], [28072, -10748], [-58, 26]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[384, -128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -68], [4, -20], [0, 0]], [[0, 0], [-38571/2, -20479/2], [-4871, -2067], [-13/2, -5/2]], [[0, 0], [642801/2, -290579/2], [165529, -69047], [527/2, -217/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 36], [20, 4], [0, 0]], [[0, 0], [-735/2, -627/2], [-165, -69], [9/2, 5/2]], [[0, 0], [3217, -1051], [-1358, 590], [13, -7]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[384, -128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 16], [-8, 12], [0, 0]], [[0, 0], [3847/2, 2087/2], [239, 235], [1/2, 5/2]], [[0, 0], [-2746, 884], [1080, -456], [30, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -24], [-16, 12], [0, 0]], [[0, 0], [4759/2, -1921/2], [-843, 397], [7/2, -1/2]], [[0, 0], [5221, -2172], [-1734, 968], [9, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[384, -128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -36], [-12, -8], [0, 0]], [[0, 0], [-457/2, 175/2], [-3, 1], [-3/2, 1/2]], [[0, 0], [-40, 16], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -8], [-16, 12], [0, 0]], [[0, 0], [433, -350], [-538, 64], [1, 2]], [[0, 0], [3821/2, -1521/2], [-1267, 483], [-7/2, 3/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[384, -128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -52], [-4, -16], [0, 0]], [[0, 0], [-5921/2, -3571/2], [-767, -393], [-11/2, -1/2]], [[0, 0], [-36339/2, 20573/2], [-18185, 7851], [-1161/2, 459/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 16], [16, -16], [0, 0]], [[0, 0], [155/2, -149/2], [-93, 47], [-9/2, -1/2]], [[0, 0], [-1/2, 3/2], [3, -1], [3/2, -1/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-2048, 768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -32], [144, -60], [0, 0]], [[0, 0], [3, -2], [-6, 0], [1, 0]], [[0, 0], [64, -64], [2400, -940], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 16], [240, -96], [0, 0]], [[0, 0], [-3, 4], [-6, 0], [1, 0]], [[0, 0], [0, 8], [192, -76], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[2048, -768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, 40], [-40, 4], [0, 0]], [[0, 0], [-5, -2], [2, 0], [1, 0]], [[0, 0], [720, -264], [128, -128], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 0], [24, -4], [0, 0]], [[0, 0], [5, 4], [2, 0], [1, 0]], [[0, 0], [336, -120], [128, -48], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[135168, -52768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6716, -2622], [404, -158], [0, 0]], [[0, 0], [73139/2, -14270], [2219, -825], [5/2, -2]], [[0, 0], [-1385338, 540778], [-82820, 32058], [-126, 56]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [656, -256], [-72, 28], [0, 0]], [[0, 0], [-1123/2, 223], [57, -29], [5/2, -2]], [[0, 0], [21/2, -4], [-3, 1], [5/2, -1]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[135168, -52768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2872, -1122], [208, -82], [0, 0]], [[0, 0], [-37222, 29143/2], [-2612, 1040], [2, 5/2]], [[0, 0], [-673505/2, 131759], [-23661, 9385], [25/2, 19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1444, -564], [204, -80], [0, 0]], [[0, 0], [-44170, 34565/2], [-6420, 2482], [-2, -5/2]], [[0, 0], [-799193/2, 156282], [-58029, 22477], [-25/2, -19]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[6106496, -2383904]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8544, -3340], [16, -8], [0, 0]], [[0, 0], [-42791, -27466], [-16618, -10640], [3, 0]], [[0, 0], [-49801, -63485/2], [-19250, -12332], [-3, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19240, -7546], [-40, 2], [0, 0]], [[0, 0], [1764224, 2251103/2], [686036, 439356], [4, -3/2]], [[0, 0], [-37686325, -48276903/2], [-14691234, -9408064], [3, -5/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[6106496, -2383904]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3832, 1496], [-912, 356], [0, 0]], [[0, 0], [-3086, 1168], [-860, 338], [-2, -2]], [[0, 0], [279787, 358353/2], [-17282, -11066], [21177, 27123/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1208, 472], [-1936, 756], [0, 0]], [[0, 0], [-134390, 104933/2], [-214736, 83812], [-2, -1/2]], [[0, 0], [-7887, -10117/2], [53362, 34160], [3761, 4817/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[135168, -52768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3196, 1248], [-132, 52], [0, 0]], [[0, 0], [-2205605/2, 861031/2], [-45651, 17813], [1/2, 1/2]], [[0, 0], [3292764, -2570903/2], [136288, -53198], [0, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2016, -786], [-136, 54], [0, 0]], [[0, 0], [-12783/2, 2508], [415, -167], [-3/2, -1]], [[0, 0], [-36164, 14118], [2372, -926], [0, 0]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[135168, -52768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1656, 646], [96, -38], [0, 0]], [[0, 0], [-1345/2, 489/2], [29, -23], [-3/2, -1/2]], [[0, 0], [17/2, -3], [3, -1], [-5/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3928, 1534], [-96, 38], [0, 0]], [[0, 0], [-89037, 69517/2], [-2182, 842], [-1, -5/2]], [[0, 0], [-239029/2, 93319/2], [-2871, 1167], [31/2, 15/2]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[6106496, -2383904]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1160, -490], [-32, -2], [0, 0]], [[0, 0], [-680397, -869571/2], [-265078, -169750], [1, -5/2]], [[0, 0], [6967822, 4431842], [2706836, 1733334], [-78, 52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [264, -138], [-40, 2], [0, 0]], [[0, 0], [-1267, -1633/2], [-466, -298], [5, 5/2]], [[0, 0], [-830, -467], [-276, -182], [-6, 5]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[6106496, -2383904]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1880, -734], [1368, -534], [0, 0]], [[0, 0], [21628, -16885/2], [16908, -6600], [4, -3/2]], [[0, 0], [-404685, -518311/2], [-339822, -217618], [-30551, -39129/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [600, -234], [-1480, 578], [0, 0]], [[0, 0], [-2919, 1160], [6674, -2586], [5, -2]], [[0, 0], [-1892073, -2423323/2], [-1797342, -1150996], [4687, 6003/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[135168, -52768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7140, -2788], [244, -96], [0, 0]], [[0, 0], [-23935/2, 4664], [-451, 171], [3/2, -2]], [[0, 0], [56464, -21964], [2152, -790], [0, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1204, 470], [108, -42], [0, 0]], [[0, 0], [-11999/2, 2326], [485, -175], [5/2, 1]], [[0, 0], [-82182, 64201/2], [6456, -2536], [6, -9/2]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[135168, -52768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4136, -1614], [-96, 38], [0, 0]], [[0, 0], [-1951335/2, 761827/2], [22833, -8887], [3/2, -3/2]], [[0, 0], [2373727/2, -463376], [-27785, 10805], [-3/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-844, 330], [68, -26], [0, 0]], [[0, 0], [-1301/2, 515/2], [39, -31], [-1/2, -5/2]], [[0, 0], [-41/2, 8], [3, -1], [-5/2, 1]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[135168, -52768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [784, -306], [-312, 122], [0, 0]], [[0, 0], [48533/2, -19063/2], [-9565, 3715], [-5/2, -5/2]], [[0, 0], [-198115/2, 38688], [38891, -15177], [-5/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, -46], [-208, 82], [0, 0]], [[0, 0], [-7761, 6057/2], [12594, -4910], [-1, 3/2]], [[0, 0], [2729/2, -533], [-2213, 865], [1/2, 0]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[135168, -52768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2156, 842], [-404, 158], [0, 0]], [[0, 0], [-5211/2, 1004], [-501, 187], [-5/2, -2]], [[0, 0], [346417/2, -135229/2], [32915, -12847], [-49/2, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1332, 520], [-92, 36], [0, 0]], [[0, 0], [31039/2, -6044], [1149, -451], [-1/2, -1]], [[0, 0], [-162897, 63568], [-12090, 4724], [-5, 4]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[16084, -6279]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 4], [-20, 1], [0, 0]], [[-1, 2], [-242565/2, -9823], [133355/4, -3581/4], [9/4, -1/4]], [[-6, 31/2], [-936092, -204339/2], [254355, -333/2], [17, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 1/2], [14, -5/2], [0, 0]], [[0, -3/2], [4769, -85/2], [5159/2, -517], [-3/2, 0]], [[9, -49/2], [170579/2, -15693/2], [196383/4, -49247/4], [-107/4, 9/4]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[164, -67]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144, 0], [-4, -1], [0, 0]], [[4, -1/2], [-2575, 529], [95/2, 11/2], [-3/2, 1]], [[8, -5], [-6340, 6677/2], [41, -119/2], [-7, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [422, 11/2], [30, -1/2], [0, 0]], [[-8, -5/2], [12289765, 501933/2], [1745857/2, -8278], [-1/2, -2]], [[-600, 369], [2005149030, -903786328], [150302361, -66645138], [519, -150]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[164, -67]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-194, -1/2], [-22, 5/2], [0, 0]], [[10, 9/2], [-2553796, -360169], [-271012, -2561], [2, 5/2]], [[1232, -1519/2], [-962580701, 841523937/2], [-262868801/2, 54902012], [-2135/2, 308]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-172, -1], [-40, 0], [0, 0]], [[10, 1/2], [10654, 131/2], [2498, -57/2], [-2, 5/2]], [[-150, 91], [-177429, 200749/2], [-86525/2, 23860], [257/2, -75/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[16084, -6279]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, -13/2], [-30, -3/2], [0, 0]], [[0, 3/2], [-100327, 11943/2], [-74555/2, 3162], [3/2, 0]], [[1, -5/2], [376493/2, -53439/2], [282299/4, -46011/4], [-11/4, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -3/2], [-10, -5/2], [0, 0]], [[-1, -5/2], [-2257/2, 73], [-1927/4, -175/4], [-9/4, -1/4]], [[-45, 126], [155273/2, -33041/2], [119275/4, -11779/4], [549/4, -45/4]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[164, -67]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-356, 5], [-16, 2], [0, 0]], [[8, 7/2], [-680109, -86020], [-57239/2, 93/2], [3/2, 2]], [[-1470, 903], [368357955, -322543099/2], [39438527/2, -8251080], [2541/2, -735/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [154, -3/2], [-2, -1/2], [0, 0]], [[-4, 1/2], [-1459, 651/2], [-3/2, 1], [3/2, -1]], [[156, -96], [70374, -35543], [135, -39], [-135, 39]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[16084, -6279]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -1/2], [-14, -3/2], [0, 0]], [[4, 1], [58, -7/2], [54, -39/2], [0, 1]], [[1, -5/2], [129/2, -41], [419/4, -169/4], [-11/4, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 9/2], [-2, -1/2], [0, 0]], [[3, 1/2], [-937/2, 93], [-15/4, 45/4], [-1/4, 3/4]], [[96, -260], [-74636, 41107], [-4260, 360], [-284, 24]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[164, -67]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -5], [24, 0], [0, 0]], [[8, 1/2], [-247, 192], [-2529/2, 203/2], [-3/2, 2]], [[-80, 50], [7910, -5187/2], [17372, -17623/2], [70, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-268, -5], [8, 0], [0, 0]], [[-6, 1/2], [-324926, 929/2], [9730, -399/2], [2, -3/2]], [[132, -163/2], [5740839, -4296857], [-363447/2, 258965/2], [-229/2, 33]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[164, -67]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [202, 5/2], [6, 3/2], [0, 0]], [[-10, -9/2], [-84122, 34515/2], [-2002, 79/2], [-2, -5/2]], [[-340, 419/2], [-15346831, 6133570], [-562265/2, 233059/2], [589/2, -85]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 11/2], [26, 5/2], [0, 0]], [[6, 5/2], [-77692, -7769/2], [-19793, -3579/2], [1, 3/2]], [[94, -58], [-3772019, 1623067], [-1778461/2, 778019/2], [-163/2, 47/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[9032, -3526]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, -1/2], [-378, 279/2], [-18, -1/2], [0, 0]], [[57478, 73167/2], [68930, 36335], [57478, 73157/2], [0, 5/2]], [[1600800, 1040520], [2425517/2, 1311147], [1600331, 1040562], [469/2, -21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -1/2], [222, -169/2], [6, -1/2], [0, 0]], [[136, 88], [211/2, 121], [145, 94], [3/2, 1]], [[-2, -1/2], [-46, 33/2], [-2, -1/2], [0, 0]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[9032, -3526]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -2], [-220, 83], [0, -2], [0, 0]], [[-262, -339/2], [-584, -154], [-258, -345/2], [-2, 3/2]], [[6424, 4088], [11565/2, 7013], [6539, 4078], [-115/2, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, -2], [324, -125], [8, -2], [0, 0]], [[-5834, -7437/2], [-17033/2, -4637], [-5849, -7431/2], [-5/2, 1/2]], [[-249164, -159151], [-697783/2, -204283], [-249569, -159115], [-135/2, 6]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[104, -30]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -5/2], [-2882, 2263/2], [-10, -5/2], [0, 0]], [[80838, 103535/2], [-80833, -51767], [80828, 103533/2], [5, 1/2]], [[-10501590, -13449755/2], [10498461, 13451561/2], [-10495332, -13453367/2], [-3129, 903]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22, -1/2], [2714, -2135/2], [22, -1/2], [0, 0]], [[300508, 192415], [-291821, -191963], [300502, 192413], [3, 1]], [[3635444, 2321127], [-2300086, -5592045/2], [3634928, 2321276], [258, -149/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[104, -30]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-16, 2], [-3308, 1287], [-16, 2], [0, 0]], [[523502, 670355/2], [560905, 681211/2], [523504, 670351/2], [-1, 1]], [[-8856106, -11350437/2], [-8146324, -6291338], [-8855902, -11350555/2], [-102, 59/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[46, 3/2], [1826, -1387/2], [46, 3/2], [0, 0]], [[692150, 886715/2], [681110, 887295/2], [692150, 886707/2], [0, 2]], [[-1993392, -1273556], [-2171353, -2385047/2], [-1993278, -1273589], [-57, 33/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[104, -30]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-40, 0], [1308, -495], [-40, 0], [0, 0]], [[-97086, -124331/2], [97535, 62070], [-97084, -124325/2], [1, 3/2]], [[-1922490, -2467977/2], [1777599, 2584269/2], [-1921760, -2468397/2], [365, -105]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22, -1/2], [2158, -1701/2], [22, -1/2], [0, 0]], [[-254322, -325701/2], [250659, 162720], [-254328, -325711/2], [-3, -5/2]], [[957834, 1233117/2], [-1428672, -853705/2], [958110, 1232957/2], [138, -40]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[536, -194]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-16, 0], [1268, -511], [-16, 0], [0, 0]], [[-49472, -31680], [-126808, -162293/2], [-49456, -31681], [8, -1/2]], [[934990, 1196715/2], [2412592, 1526412], [931506, 1199237/2], [-1742, 1261/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-84, -1], [6168, -2562], [-84, -1], [0, 0]], [[-4255268, -2724913], [-19389282, -24860553/2], [-4255248, -2724908], [10, 5/2]], [[-21035150, -26878267/2], [-92006134, -62805150], [-21032926, -26879877/2], [1112, -805/2]]], 0, 2048, [], [] >,
< [ -4, -1, 1 ], [[9032, -3526]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1/2], [94, -69/2], [2, 1/2], [0, 0]], [[0, 0], [-263/2, 40], [-2, 8], [-1/2, 2]], [[0, 0], [10780, -4803], [1216, -96], [304, -24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -5/2], [322, -263/2], [-10, -5/2], [0, 0]], [[-1024, -652], [-1213/2, -1435/2], [-1034, -662], [5/2, 5/2]], [[456, 320], [2816, -1295/2], [488, 314], [-8, 3/2]]], 1, 32, [], [] >,
< [ -4, -1, 1 ], [[104, -30]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-42, -5/2], [-2066, 1575/2], [-42, -5/2], [0, 0]], [[13758836, 8808345], [14084771, 17580831/2], [13758856, 8808347], [5, 1/2]], [[1928377360, 1231825140], [2199077713, 2282893275/2], [1928390892, 1231821230], [3383, -1955/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-34, -1/2], [702, -521/2], [-34, -1/2], [0, 0]], [[-257256, -164970], [245983, 165121], [-257236, -164978], [5, -2]], [[10235160, 6553710], [-10095471, -12878631/2], [10235236, 6553688], [19, -11/2]]], 0, 256, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35476, -13811], [20, 5], [0, 0]], [[6, 7/2], [2744520, 1761390], [916328, 586805], [2, 3/2]], [[-92, 53/2], [-3500541, -3197486], [-2952967/2, -1890725/2], [99/2, -23]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28924, -11295], [-4, 5], [0, 0]], [[-6, -2], [315279, 198640], [-629495/2, -403123/2], [-1/2, -3/2]], [[-1044, 603/2], [9289261, 4231739], [-15374753/2, -9846773/2], [1125/2, -261]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5772, -2255], [12, -3], [0, 0]], [[0, 1/2], [-32643, -20915], [65315/2, 41831/2], [1/2, 0]], [[0, 0], [-292, -187], [292, 187], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10916, -4241], [20, -1], [0, 0]], [[-6, -7/2], [-1257628, -800771], [-416612, -266788], [-2, -3/2]], [[-14, 4], [-484409, -135626], [-209863/2, -133983/2], [15/2, -7/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[5072, -1980]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -9], [-52, -5], [0, 0]], [[5, 9/2], [21157/2, -15099/2], [-172893/4, -13743/4], [13/4, 5/4]], [[481, -91/2], [-7715823/2, 2861337/2], [23885575/4, -11116155/4], [-663/4, 481/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-124, -9], [-28, -1], [0, 0]], [[-3, -1], [11027/2, -211/2], [5057/4, -237/4], [-1/4, -3/4]], [[-14, 3/2], [43802, -13353], [10369, -3253], [5, -7/2]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12232, -4806], [-16, -4], [0, 0]], [[0, -3/2], [-1335355, -848634], [-885057/2, -566799/2], [-3/2, 0]], [[-64, 37/2], [-5496999, -3778525], [-3828353/2, -2450881/2], [69/2, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18804, -7329], [-28, -1], [0, 0]], [[8, 9/2], [2424897, 1583240], [-4938353/2, -3162515/2], [5/2, 2]], [[120, -34], [-1105044, 4697805], [-4159572, -2668369], [-64, 30]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[5072, -1980]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 2], [-8, 4], [0, 0]], [[-1, -1/2], [-17377/2, -15791/2], [-3583/4, -97/4], [-1/4, -1/4]], [[0, 0], [228, -205], [-84, 29], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 10], [40, 0], [0, 0]], [[3, 5/2], [827/2, 847/2], [-271/4, 1555/4], [7/4, 3/4]], [[-40, 4], [-9680, 1927], [-22578, 7667], [14, -10]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33604, -13117], [4, -1], [0, 0]], [[10, 9/2], [-92, -99], [16, 12], [2, 5/2]], [[12, -7/2], [207, -100], [-15/2, 11/2], [-13/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30368, -11848], [-24, 2], [0, 0]], [[8, 3/2], [-4724977, -3072372], [9618981/2, 6159903/2], [-1/2, 2]], [[494, -285/2], [-46235416, -35504540], [52382724, 33546611], [-266, 247/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26412, 10297], [28, 3], [0, 0]], [[-6, -1], [-6945031, -4444728], [13882447/2, 8890147/2], [1/2, -3/2]], [[210, -121/2], [44799886, 28498089], [-44607529, -28565851], [-113, 105/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [53432, -20866], [-16, 4], [0, 0]], [[6, 5/2], [-1607118, -1025107], [-531247, -340211], [1, 3/2]], [[-490, 141], [17989235, 10140264], [11030873/2, 7068573/2], [527/2, -245/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[5072, -1980]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, -6], [-8, 4], [0, 0]], [[-1, -1/2], [-4227/2, -5019/2], [725/4, -89/4], [-1/4, -1/4]], [[0, 0], [-228, 157], [-36, 13], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 9], [4, -1], [0, 0]], [[-5, -3/2], [549/2, 209/2], [-11/4, 39/4], [-1/4, -5/4]], [[-51, 9/2], [4855/2, -5/2], [-825/4, 477/4], [69/4, -51/4]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[1600, -624]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -7], [-20, 3], [0, 0]], [[0, 0], [-2974, 321], [-1793, 514], [1, 1]], [[0, 0], [383775/2, -155739/2], [579307/4, -228775/4], [145/4, -37/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 7], [-4, -1], [0, 0]], [[0, 0], [1849, -45], [301/2, 147/2], [-9/2, 1/2]], [[0, 0], [-322291/2, 64481/2], [-33039/4, -11073/4], [1667/4, -423/4]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2188, -883], [-12, -5], [0, 0]], [[0, 0], [95539, 68583], [68597/2, 44019/2], [-29/2, -3/2]], [[0, 0], [770869, -1703563], [-883877/2, -592831/2], [4669/2, -1633/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-356, 159], [-44, -3], [0, 0]], [[0, 0], [-82532, -54290], [84650, 54112], [-2, 0]], [[0, 0], [348933, 339459], [-945041/2, -589559/2], [209/2, -73/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[192, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1500, 595], [-12, -5], [0, 0]], [[0, 0], [18383, 10202], [-34627/2, -22115/2], [-13/2, 1/2]], [[0, 0], [-98162, -12432], [51409, 31963], [151, -53]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7960, -3120], [-16, 2], [0, 0]], [[0, 0], [1578177, 1038806], [1089863/2, 697859/2], [17/2, 3/2]], [[0, 0], [264256, 452566], [183352, 117032], [40, -14]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[192, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7268, 2845], [-28, 3], [0, 0]], [[0, 0], [-180935, -123213], [389587/2, 249445/2], [-3/2, -1/2]], [[0, 0], [537605, -718333], [1027655/2, 652033/2], [-135/2, 47/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2868, 1189], [52, 3], [0, 0]], [[0, 0], [6483754, 4255953], [2212761, 1415968], [3, -1]], [[0, 0], [378831065, 251491407], [260470735/2, 166621161/2], [505/2, -177/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[1600, -624]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, 3], [-20, 5], [0, 0]], [[0, 0], [9939/2, 2551/2], [3873/4, -193/4], [-1/4, -3/4]], [[0, 0], [18272, -11410], [7432, -3340], [8, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 6], [8, 0], [0, 0]], [[0, 0], [90, -29], [117, -56], [-1, 1]], [[0, 0], [1601/2, -669/2], [5119/4, -1851/4], [-71/4, 19/4]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[192, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [428, -175], [-20, 5], [0, 0]], [[0, 0], [-33286, -21782], [-11913, -7601], [-7, 1]], [[0, 0], [12569, 9613], [10107/2, 6285/2], [37/2, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [684, -239], [-60, -5], [0, 0]], [[0, 0], [41573, 28109], [-87189/2, -55975/2], [-3/2, -1/2]], [[0, 0], [-28917, 40893], [-52867/2, -39461/2], [-37/2, 13/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[192, -16]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4080, 1618], [-56, -4], [0, 0]], [[0, 0], [901557, 631358], [-1957941/2, -1253025/2], [-3/2, -5/2]], [[0, 0], [81412357, -9312207], [-43821665/2, -28992723/2], [-3535/2, 1239/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3212, -1259], [-12, 3], [0, 0]], [[0, 0], [47887, 30577], [31673/2, 20295/2], [-1/2, 1/2]], [[0, 0], [-484, -321], [-164, -105], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[1600, -624]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -4], [0, -2], [0, 0]], [[0, 0], [557/2, -15/2], [-625/4, -55/4], [-47/4, -5/4]], [[0, 0], [-3008, 811], [1494, -315], [110, -22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -7], [-12, -5], [0, 0]], [[0, 0], [1601/2, -13/2], [751/4, 157/4], [-23/4, 3/4]], [[0, 0], [-29297/2, 5029/2], [-11775/4, -117/4], [455/4, -115/4]]], 0, 384, [], [] >,
< [ -4, -1, 1 ], [[5072, -1980]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 18], [-36, -5], [0, 0]], [[0, 0], [-471/2, 19], [-2057, -1254], [1/2, -1]], [[0, 0], [-5796, 2420], [2088, 3622], [48, -17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, -63], [-44, -1], [0, 0]], [[0, 0], [90324, -1363], [-593152, -370260], [0, 2]], [[0, 0], [3647149/2, -755485], [448503, 598666], [-131/2, 23]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[229136, -89452]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -18], [-4, 1], [0, 0]], [[0, 0], [-25475, 19893/2], [6, -5], [-3, 5/2]], [[0, 0], [-5168, -5400], [14056, 9002], [-7028, -4501]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1120, -452], [36, 1], [0, 0]], [[0, 0], [986973, 1337941/2], [-1043506, -667545], [5, -3/2]], [[0, 0], [-12099144, -13676574], [18309748, 11612327], [-740, 281]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[229136, -89452]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-116, 45], [-228, 89], [0, 0]], [[0, 0], [-488, 193], [-8, 0], [4, 0]], [[0, 0], [3067, 3915/2], [-3846, -2463], [1923, 2463/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3700, -1445], [-304, 118], [0, 0]], [[0, 0], [124023, -96783/2], [-10150, 3995], [-1, 1/2]], [[0, 0], [-3056, -1926], [-3636, -2331], [0, 0]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[5072, -1980]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, 51], [92, -35], [0, 0]], [[0, 0], [-9300, 7249/2], [6480, -2519], [0, -1/2]], [[0, 0], [9519/2, -1860], [-3311, 1296], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, -51], [-72, 28], [0, 0]], [[0, 0], [-266, 173/2], [180, -59], [-2, 5/2]], [[0, 0], [-12677/2, 2196], [4293, -1495], [-125/2, 52]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[240, -148]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13704, 5350], [76, -1], [0, 0]], [[0, 0], [7732, 38], [710756, 455179], [0, 1]], [[0, 0], [-25496, 14473/2], [-631828, -404708], [4, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5616, -2268], [-84, -5], [0, 0]], [[0, 0], [63907632, 81870543/2], [31960800, 20467235], [0, -5/2]], [[0, 0], [848771440, 544255016], [424767056, 272009548], [148, -91]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[229136, -89452]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2092, 817], [-244, 95], [0, 0]], [[0, 0], [-117, 33], [-18, 16], [3, 2]], [[0, 0], [-207, -269/2], [146, 93], [57, 73/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3504, 1366], [12, -3], [0, 0]], [[0, 0], [-87950, -103807/2], [73500, 47061], [-2, 3/2]], [[0, 0], [-561611, 4568635/2], [-1755494, -1128705], [-1631, 1239/2]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[432, -164]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, -57], [8, 4], [0, 0]], [[0, 0], [-4161, -3651/2], [-3376, -2163], [1, -1/2]], [[0, 0], [24, -30], [-20, -13], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1596, -631], [28, -3], [0, 0]], [[0, 0], [-1079307, -1379683/2], [1076672, 689503], [3, 3/2]], [[0, 0], [-1319211, -266568], [751016, 487423], [179, -68]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[5072, -1980]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -23], [-12, 3], [0, 0]], [[0, 0], [437/2, 157/2], [-630, -389], [3/2, 3/2]], [[0, 0], [-1833/2, 383], [126, -147], [17/2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144, -56], [28, 1], [0, 0]], [[0, 0], [67/2, 49], [3486, 2234], [5/2, 2]], [[0, 0], [5/2, -1], [10, -4], [-5/2, 1]]], 1, 96, [], [] >,
< [ -4, -1, 1 ], [[8490400, -3314552]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14268, 5587], [-36, -3], [0, 0]], [[-4, -3/2], [-1825198, -1198493], [1866330, 2390263/2], [-4, -3/2]], [[-59, 55/2], [4471965, 1040967], [-2718888, -3487723/2], [-59, 55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14376, 5612], [1552, -606], [0, 0]], [[-1, -3/2], [45883, -17870], [-4960, 3869/2], [-1, -3/2]], [[-3558, -4557/2], [81324, 52152], [-2362, -3041/2], [-3558, -4557/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[8490400, -3314552]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2180, -851], [-156, 61], [0, 0]], [[5, -1/2], [8049, -3130], [-340, 267/2], [5, -1/2]], [[-86560, -55432], [-729388, -467085], [-45764, -29307], [-86560, -55432]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-720, 278], [8, 0], [0, 0]], [[4, 5/2], [-48814, -31515], [49602, 63535/2], [4, 5/2]], [[-27, 25/2], [-143511, 31615], [25336, 29579/2], [-27, 25/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[8490400, -3314552]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14988, 5863], [-28, -1], [0, 0]], [[-5, -1/2], [308175, 200820], [-313356, -401329/2], [-5, -1/2]], [[960, -444], [10114852, 5118275], [-8845524, -5666523], [960, -444]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17552, 6852], [712, -278], [0, 0]], [[5, 3/2], [-725027, 283090], [29588, -23093/2], [5, 3/2]], [[279126, 178749], [3882642, 2485349], [347844, 222798], [279126, 178749]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [232, -84], [56, -12], [0, 0]], [[0, 0], [509/2, -873/2], [-1895/4, -1573/4], [-21/4, 1/4]], [[0, 0], [-61/2, 13/2], [23/4, -3/4], [5/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-256, 104], [0, 4], [0, 0]], [[0, 0], [189, 45], [465/2, 87/2], [-29/2, 1/2]], [[0, 0], [28349/2, 17295/2], [64513/4, 38931/4], [-2605/4, -1447/4]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[1024, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1296, -484], [0, 8], [0, 0]], [[0, 0], [-14717, -6453], [-8471/2, -5481/2], [-9/2, -3/2]], [[0, 0], [-187161, 68335], [157/2, -3469/2], [-173/2, 65/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2136, -812], [-40, -8], [0, 0]], [[0, 0], [-102273, -100133], [292577/2, 187927/2], [23/2, -3/2]], [[0, 0], [3173704, -1849112], [607800, 420836], [976, -368]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[1024, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2520, -980], [-24, 4], [0, 0]], [[0, 0], [-4595, -4991], [18335/2, 11737/2], [-15/2, -5/2]], [[0, 0], [-27144, 11206], [-856, -514], [32, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2424, -908], [-8, 16], [0, 0]], [[0, 0], [315134, 198288], [104961, 67249], [23, 1]], [[0, 0], [-2644391, -724271], [-1130249/2, -742087/2], [-7439/2, 2795/2]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [128, -52], [64, -24], [0, 0]], [[0, 0], [947/2, -147/2], [941/4, -289/4], [-37/4, 1/4]], [[0, 0], [1931, 363], [1381/2, -149/2], [-93/2, -31/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-296, 108], [-8, -8], [0, 0]], [[0, 0], [78581/2, -30477/2], [-1153/4, 901/4], [-15/4, 3/4]], [[0, 0], [-51265/2, 16837/2], [-5987/4, -4841/4], [51/4, 25/4]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[1024, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3016, 1144], [-40, 4], [0, 0]], [[0, 0], [622449, 427857], [451855/2, 289937/2], [-23/2, 3/2]], [[0, 0], [392571, -15766859], [-10224363/2, -6862137/2], [9555/2, -3591/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3704, 1424], [8, 20], [0, 0]], [[0, 0], [-136931, -60729], [233519/2, 149981/2], [49/2, 3/2]], [[0, 0], [-5770940, 1744838], [477574, 350048], [2826, -1054]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[1024, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3688, -1428], [8, -16], [0, 0]], [[0, 0], [-35953, -18125], [67833/2, 43487/2], [31/2, 5/2]], [[0, 0], [3545955, -1116673], [-532963/2, -374181/2], [-10101/2, 3801/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1992, 792], [-40, 20], [0, 0]], [[0, 0], [-7541, -4793], [-4623/2, -3009/2], [-1/2, 5/2]], [[0, 0], [2465, 3441], [5139/2, 733/2], [-291/2, 111/2]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 36], [24, -12], [0, 0]], [[0, 0], [1187/2, -595/2], [-147/4, 367/4], [-37/4, 1/4]], [[0, 0], [552, -1840], [1492, 1328], [-100, -44]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-192, 68], [-48, 12], [0, 0]], [[0, 0], [-407/2, 315/2], [-197/4, 289/4], [-43/4, -1/4]], [[0, 0], [-4470, -3620], [-3273, -2369], [313, 183]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[1024, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4072, 1660], [8, 20], [0, 0]], [[0, 0], [-3744, -2050], [-1148, -734], [4, 0]], [[0, 0], [-207, 89], [-1/2, 1/2], [-7/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1856, 700], [32, 12], [0, 0]], [[0, 0], [-2881, -1917], [6141/2, 3859/2], [-13/2, 1/2]], [[0, 0], [128, -4356], [6516, 1884], [-284, 108]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[22784, -8896]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-712, 284], [24, -4], [0, 0]], [[0, 0], [9, 0], [4, 2], [1, 0]], [[0, 0], [-5960, 2334], [160, -56], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1936, -746], [24, -20], [0, 0]], [[0, 0], [9, 0], [4, 2], [1, 0]], [[0, 0], [-1704, -1426], [2208, 1408], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 0], [104, -36], [0, 0]], [[0, 0], [461/2, 835/2], [2438, -1334], [-11/2, -1/2]], [[0, 0], [-44727/2, 11085/2], [209046, -79208], [-399/2, 189/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -18], [-40, 0], [0, 0]], [[0, 0], [235/2, -133/2], [1302, -516], [11/2, 3/2]], [[0, 0], [-10801/2, 4169/2], [-51218, 19986], [-145/2, 65/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 10], [-104, 36], [0, 0]], [[0, 0], [-120, -69], [32, 10], [0, 1]], [[0, 0], [161/2, -63/2], [-23, 9], [23/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -6], [-40, 0], [0, 0]], [[0, 0], [-951/2, 85/2], [-747, 141], [-9/2, -5/2]], [[0, 0], [-34362, 13386], [-61308, 23904], [-38, 14]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[22784, -8896]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [768, -288], [-80, 20], [0, 0]], [[0, 0], [-1, 0], [-2, 0], [1, 0]], [[0, 0], [2464, -970], [-216, 92], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1584, -610], [-24, 0], [0, 0]], [[0, 0], [15, 0], [-2, 0], [1, 0]], [[0, 0], [8, -78], [80, 52], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[22784, -8896]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 6], [-32, 16], [0, 0]], [[0, 0], [-1, 0], [-2, 0], [1, 0]], [[0, 0], [72, -28], [72, -28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-272, 108], [16, -4], [0, 0]], [[0, 0], [15, 0], [-2, 0], [1, 0]], [[0, 0], [-304, 118], [8, -4], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[512, -192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -14], [56, -12], [0, 0]], [[0, 0], [1153/2, 2047/2], [-8735, 2795], [-1/2, 5/2]], [[0, 0], [-193405/2, 82419/2], [-1284461, 499735], [-851/2, 345/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -10], [24, 4], [0, 0]], [[0, 0], [188, -43], [184, -74], [4, 1]], [[0, 0], [3825/2, -1467/2], [2229, -871], [39/2, -13/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[22784, -8896]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [672, -262], [72, -28], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [-24, 10], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -2], [-8, 8], [0, 0]], [[0, 0], [-13, 0], [2, 0], [1, 0]], [[0, 0], [72, -28], [72, -28], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[1792, -832]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, -6], [64, -4], [0, 0]], [[0, 0], [1070, 62], [964, 80], [2, 0]], [[0, 0], [854, -459], [724, -402], [2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, 30], [80, 16], [0, 0]], [[0, 0], [11870, 4781], [22740, -330], [26, -9]], [[0, 0], [-151624, -136912], [31232, -190228], [328, -152]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[2816, -1088]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1520, 640], [8, 10], [0, 0]], [[0, 0], [-20572, -12615], [-5636, -3616], [2, -3]], [[0, 0], [81368, 49052], [22052, 14158], [-14, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [728, -320], [-32, -10], [0, 0]], [[0, 0], [-13, 0], [2, 0], [1, 0]], [[0, 0], [-1328, -1348], [-1144, -726], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-4096, 1600]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, 40], [32, -4], [0, 0]], [[0, 0], [0, -1], [-2, 0], [1, 0]], [[0, 0], [-1100, 400], [352, -22], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -16], [16, 6], [0, 0]], [[0, 0], [1790, -430], [188, -312], [2, 2]], [[0, 0], [63505/2, -24823/2], [8727, -3393], [-29/2, 11/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[-185088, 72256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-496, 252], [32, 4], [0, 0]], [[0, 0], [-107400, -70911], [-31004, -19784], [-6, 1]], [[0, 0], [199584, 124960], [55528, 35654], [-4, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -4], [-8, -10], [0, 0]], [[0, 0], [11, 0], [2, 0], [1, 0]], [[0, 0], [8, 0], [0, 2], [0, 0]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[-4096, 1600]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 16], [64, -24], [0, 0]], [[0, 0], [2, 1], [-2, 0], [1, 0]], [[0, 0], [-60, 24], [96, -38], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 8], [-16, -10], [0, 0]], [[0, 0], [37/2, -11/2], [-21, 3], [7/2, -1/2]], [[0, 0], [69/2, -27/2], [-69, 27], [23/2, -9/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[1045216, -408040]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9172, 3609], [-60, -5], [0, 0]], [[0, 0], [-287580, -367987/2], [287996, 184430], [-4, -5/2]], [[0, 0], [-113533, -466785/2], [270666, 172611], [53, -49/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5044, 1969], [28, -11], [0, 0]], [[0, 0], [-4134, 3209/2], [4, -3], [2, -3/2]], [[0, 0], [-21477, -13754], [-3298, -2112], [-1649, -1056]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[23136, -9032]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-896, 350], [360, -140], [0, 0]], [[0, 0], [31183/2, -6086], [-6295, 2460], [5/2, -1]], [[0, 0], [-276, 101], [92, -53], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 23], [-220, 85], [0, 0]], [[0, 0], [1423/2, -541/2], [3115, -1226], [-5/2, 5/2]], [[0, 0], [3075/2, -580], [6707, -2646], [-9/2, 6]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[1045216, -408040]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3444, 1347], [-4, -1], [0, 0]], [[0, 0], [28147, 21062], [-31762, -20347], [5, -1]], [[0, 0], [496307, 382181/2], [-381746, -244174], [-159, 147/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2028, 791], [-4, 1], [0, 0]], [[0, 0], [122031, -95203/2], [-10, -3], [-5, -3/2]], [[0, 0], [330517, 421351/2], [-59934, -38381], [-29967, -38381/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[23136, -9032]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1544, 602], [-104, 40], [0, 0]], [[0, 0], [203701/2, -79537/2], [6815, -2662], [-1/2, -1/2]], [[0, 0], [-130463, 101851/2], [-8730, 3409], [-1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1004, 391], [-76, 29], [0, 0]], [[0, 0], [-150701/2, 29445], [-5653, 2232], [-1/2, -1]], [[0, 0], [-886647/2, 346209/2], [-33363, 13056], [5/2, -5/2]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[18432, -7168]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-288, 108], [-16, 8], [0, 0]], [[0, 0], [359, -129], [18, -14], [3, -1]], [[0, 0], [56, -28], [8, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, 92], [0, 24], [0, 0]], [[0, 0], [-1878, 638], [-372, 100], [-22, 10]], [[0, 0], [-1695, 553], [-342, 82], [-19, 9]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[18432, -7168]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-464, 192], [16, 0], [0, 0]], [[0, 0], [11277, -4855], [-526, -46], [-19, 9]], [[0, 0], [-448065, 181335], [14398, -2058], [775, -325]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [216, -60], [-40, 32], [0, 0]], [[0, 0], [-20855, 8731], [6654, -2182], [17, -9]], [[0, 0], [-6075, 2621], [2014, -610], [5, -3]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[18432, -7168]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [336, -196], [32, -40], [0, 0]], [[0, 0], [120, 350], [200, 92], [16, -6]], [[0, 0], [489, -79], [-6, 50], [-23, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-392, 172], [40, 32], [0, 0]], [[0, 0], [-563, 229], [22, 38], [5, -3]], [[0, 0], [-4662, 1824], [-172, 88], [50, -20]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[586944, -229136]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15040, 5868], [24, -6], [0, 0]], [[0, 0], [113006, 142831/2], [-109852, -70341], [-2, 3/2]], [[0, 0], [102301, 132667/2], [-101034, -64707], [3, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5296, -2068], [24, -10], [0, 0]], [[0, 0], [86246, -33712], [380, -162], [-2, -2]], [[0, 0], [38875, 51723/2], [12662, 8113], [2607, 3339/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[12992, -5072]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1000, -390], [-24, 4], [0, 0]], [[0, 0], [4669/2, 489], [-18437, -11802], [-1/2, 2]], [[0, 0], [132613/2, -46975/2], [-31869, -20091], [-289/2, 119/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1000, -390], [-32, 14], [0, 0]], [[0, 0], [27287/2, -10673/2], [-465, 179], [-5/2, -1/2]], [[0, 0], [269032, -209981/2], [-9104, 3563], [-16, 23/2]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[586944, -229136]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2528, 998], [-8, -8], [0, 0]], [[0, 0], [23026, 14639], [-22956, -14700], [-2, -1]], [[0, 0], [-49461, -55915/2], [45946, 29397], [13, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11024, -4330], [-32, -14], [0, 0]], [[0, 0], [-6959263, 5430389/2], [2442, -2523], [5, 5/2]], [[0, 0], [78338, 367551], [374596, 239706], [-1054, -675]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[12992, -5072]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [528, -206], [-88, 38], [0, 0]], [[0, 0], [17265/2, -3370], [-1489, 586], [3/2, -1]], [[0, 0], [-4018, 1569], [756, -232], [-6, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1440, 562], [24, 4], [0, 0]], [[0, 0], [-221/2, -361], [33195, 21264], [-1/2, -1]], [[0, 0], [18027/2, -6955/2], [-3573, -2097], [39/2, -15/2]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[586944, -229136]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-680, 272], [-32, 6], [0, 0]], [[0, 0], [-90099, -114571/2], [89018, 57024], [-1, -5/2]], [[0, 0], [1781260, 1168958], [-1796496, -1149228], [180, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6016, 2350], [-32, 14], [0, 0]], [[0, 0], [-440369, 343757/2], [-2438, 924], [-1, -1/2]], [[0, 0], [984, 534], [944, 604], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[12992, -5072]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [600, -234], [8, 0], [0, 0]], [[0, 0], [24, -19/2], [12, 12], [0, -1/2]], [[0, 0], [3/2, 0], [-3, 1], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [872, -340], [40, -14], [0, 0]], [[0, 0], [-5844, 4597/2], [-236, 98], [0, 3/2]], [[0, 0], [-8141/2, 3185/2], [-169, 67], [-1/2, 1/2]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[586944, -229136]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6864, 2702], [-32, -10], [0, 0]], [[0, 0], [287613, 383361/2], [-296422, -189812], [-1, -5/2]], [[0, 0], [2287556, 2460385/2], [-2070076, -1326064], [-76, 19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6176, 2426], [8, 12], [0, 0]], [[0, 0], [-1304099, 1018869/2], [-1098, 740], [-3, -1/2]], [[0, 0], [273593, 266929/2], [220302, 141034], [-1175, -1505/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[12992, -5072]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, -62], [32, -16], [0, 0]], [[0, 0], [-3966, 1559], [-908, 342], [-2, -1]], [[0, 0], [145555/2, -28410], [16397, -6403], [9/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-456, 178], [40, 8], [0, 0]], [[0, 0], [-297/2, 69/2], [28619, 18303], [-5/2, 1/2]], [[0, 0], [45/2, 1], [-11931, -7637], [1/2, 0]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [24, 0], [0, 0]], [[0, 0], [35/2, 23/2], [-13, 7], [9/2, 1/2]], [[0, 0], [8, 5], [8, -2], [0, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -24], [-56, 16], [0, 0]], [[0, 0], [119/2, -183/2], [-575, 219], [-5/2, 5/2]], [[0, 0], [-5/2, -5/2], [-3, -3], [-1/2, -1/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[7168, -2816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [376, -144], [104, -36], [0, 0]], [[0, 0], [11, 2], [-2, 0], [1, 0]], [[0, 0], [12464, -4768], [3456, -1188], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 24], [16, 16], [0, 0]], [[0, 0], [13, 0], [-2, 0], [1, 0]], [[0, 0], [24, -8], [-8, 4], [0, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 8], [-16, -4], [0, 0]], [[0, 0], [325, -127], [66, -34], [-1, -1]], [[0, 0], [-1/2, -1/2], [-33, -21], [-11/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -8], [-64, 20], [0, 0]], [[0, 0], [1341/2, -1/2], [3667, -1371], [1/2, -5/2]], [[0, 0], [-264, -19], [-1288, 474], [0, 1]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[7168, -2816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, 32], [-32, 12], [0, 0]], [[0, 0], [-13, 2], [-2, 0], [1, 0]], [[0, 0], [-232, 128], [-88, 36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-480, 200], [16, -4], [0, 0]], [[0, 0], [-11, 0], [-2, 0], [1, 0]], [[0, 0], [-648, -40], [-40, -36], [0, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 40], [-48, 12], [0, 0]], [[0, 0], [-137/2, -95/2], [-15, 31], [5/2, -5/2]], [[0, 0], [-41/2, -29/2], [-23, 17], [5/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 8], [-96, 28], [0, 0]], [[0, 0], [-406, 7], [-1684, -34], [-6, -1]], [[0, 0], [795/2, 267/2], [1731, 635], [15/2, 7/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[-7168, 2816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [608, -240], [-16, 12], [0, 0]], [[0, 0], [11, -2], [2, 0], [1, 0]], [[0, 0], [264, -128], [40, 36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, -88], [-24, -4], [0, 0]], [[0, 0], [13, 4], [2, 0], [1, 0]], [[0, 0], [-5040, 1928], [336, -144], [0, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[256, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 24], [24, 4], [0, 0]], [[0, 0], [-4533/2, 1527/2], [981, -451], [-7/2, 1/2]], [[0, 0], [173/2, -231/2], [-125, 3], [-1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 0], [56, -8], [0, 0]], [[0, 0], [-229/2, 299/2], [219, -177], [7/2, -1/2]], [[0, 0], [-1735, -541], [1818, 354], [-3, -9]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[-7168, 2816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -72], [-8, -20], [0, 0]], [[0, 0], [-13, -2], [2, 0], [1, 0]], [[0, 0], [-320, 264], [0, 64], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-760, 280], [-8, -4], [0, 0]], [[0, 0], [-11, 4], [2, 0], [1, 0]], [[0, 0], [512, -200], [0, 0], [0, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[481408, -187936]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-416, 162], [-928, 362], [0, 0]], [[0, 0], [-16959/2, 6641/2], [-18605, 7265], [-5/2, 3/2]], [[0, 0], [-194439/2, 37875], [-212929, 83111], [-77/2, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [312, -122], [128, -50], [0, 0]], [[0, 0], [-10781/2, 4209/2], [-15, -13], [-1/2, -3/2]], [[0, 0], [-232905/2, 45463], [-143, -165], [11/2, -22]]], 1, 768, [], [] >,
< [ -4, -1, 1 ], [[21748608, -8490400]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68488, 26736], [-8, 4], [0, 0]], [[0, 0], [-609591, -790953/2], [594178, 380502], [-5, -3/2]], [[0, 0], [1394577, 1949351], [-2339666, -1497760], [355, -125]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35576, 13894], [-40, 10], [0, 0]], [[0, 0], [-184429, -238029/2], [187574, 120090], [-5, 5/2]], [[0, 0], [-295828, -371335/2], [295564, 189402], [24, -17/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[481408, -187936]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2096, 818], [-200, 78], [0, 0]], [[0, 0], [-56711/2, 22115/2], [-2645, 1035], [-5/2, -3/2]], [[0, 0], [294891/2, -57560], [13773, -5377], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1384, -540], [984, -384], [0, 0]], [[0, 0], [20657/2, -4048], [7631, -2957], [5/2, 1]], [[0, 0], [111780, -43618], [82192, -32114], [4, -4]]], 1, 768, [], [] >,
< [ -4, -1, 1 ], [[21748608, -8490400]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22184, -8666], [40, -10], [0, 0]], [[0, 0], [150284, 192075/2], [-149716, -95880], [-4, 1/2]], [[0, 0], [-1411487, -1771581/2], [1390186, 890584], [275, -195/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-83288, 32528], [-24, -4], [0, 0]], [[0, 0], [-2617395, -3384361/2], [2637266, 1688896], [5, -3/2]], [[0, 0], [-30386684, -19848614], [30814584, 19733830], [116, -40]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[481408, -187936]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4600, 1796], [144, -56], [0, 0]], [[0, 0], [-441/2, 54], [-209, 55], [-3/2, -2]], [[0, 0], [-6494, 2192], [-6236, 2150], [6, -30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1640, -640], [72, -28], [0, 0]], [[0, 0], [-120011/2, 23426], [-2403, 939], [1/2, -1]], [[0, 0], [330119, -128876], [13222, -5164], [-5, 4]]], 1, 768, [], [] >,
< [ -4, -1, 1 ], [[21748608, -8490400]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25088, -9794], [1040, -406], [0, 0]], [[0, 0], [-1441, 559], [14, -6], [-3, 1]], [[0, 0], [-78739, -100847/2], [-11746, -7522], [-3761, -4817/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37824, 14766], [-784, 306], [0, 0]], [[0, 0], [-86203, 67277/2], [-1730, 662], [-3, -1/2]], [[0, 0], [-683256, -437706], [-646656, -414114], [-80776, -51728]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[481408, -187936]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [784, -306], [-200, 78], [0, 0]], [[0, 0], [52289/2, -20391/2], [-5707, 2251], [3/2, 3/2]], [[0, 0], [290047/2, -56608], [-31777, 12421], [-3/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1696, 662], [-1440, 562], [0, 0]], [[0, 0], [-64934, 25340], [-54996, 21464], [2, 0]], [[0, 0], [-439989/2, 85891], [-186333, 72747], [7/2, -2]]], 1, 768, [], [] >,
< [ -4, -1, 1 ], [[21748608, -8490400]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31584, -12330], [1040, -406], [0, 0]], [[0, 0], [3447, -2717/2], [10, 10], [5, 5/2]], [[0, 0], [41309, 26451], [-44726, -28642], [-14321, -9171]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64976, 25366], [-640, 250], [0, 0]], [[0, 0], [-789897, 308398], [-7674, 2982], [-5, 0]], [[0, 0], [-492577, -630881/2], [217618, 139360], [30551, 39129/2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[60, -37]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -13/2], [-98, -5/2], [0, 0]], [[-4, -2], [105786, -49567], [-757791, -28365], [-1, -1]], [[-192, 139/2], [38988893, -30466935/2], [-304774931/2, 58993798], [235/2, -48]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [368, 0], [100, 1], [0, 0]], [[4, 1/2], [1223427, -9248], [664669/2, 1621/2], [-1/2, 1]], [[-1968, 712], [-748165414, 558575165/2], [-200237450, 149212065/2], [1204, -492]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[57284, -22363]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 3], [-16, -2], [0, 0]], [[-5, -5/2], [19059/2, -1617/2], [-16587/4, 759/4], [-5/4, -5/4]], [[31, -9], [-554335/2, 106177], [457059/4, -174453/4], [-67/4, 31/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98, 9/2], [2, 1/2], [0, 0]], [[0, -5/2], [-815, 353/2], [-75/2, 0], [-5/2, 0]], [[441, -255/2], [-217287/2, 44944], [-14265/4, 6615/4], [-951/4, 441/4]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[328, -134]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[134, -1/2], [390, -201/2], [134, -1/2], [0, 0]], [[1637136, 1049452], [1632140, 2098845/2], [1637080, 1049487], [-4, 5/2]], [[32416324, 20980669], [31728573, 42419441/2], [32402058, 20986500], [-1019, 833/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-50, 3/2], [674, -563/2], [-50, 3/2], [0, 0]], [[-363978, -467145/2], [-381753, -234131], [-363988, -467095/2], [1, -5/2]], [[-7686630, -10682847/2], [-16914973, -3810567/2], [-7712480, -10661727/2], [2585, -1056]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[32168, -12558]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -5/2], [-990, 761/2], [-10, -5/2], [0, 0]], [[-21316, -13675], [-27671/2, -30359/2], [-21317, -13672], [1/2, -3/2]], [[-520416, -339768], [2269251/2, -950931], [-521291, -339362], [875/2, -203]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-26, -5/2], [-1050, 795/2], [-26, -5/2], [0, 0]], [[37520, 24052], [70055/2, 48529/2], [37517, 24061], [-1/2, 3/2]], [[9632, 6216], [6037, 14847/2], [9614, 6225], [-3, 3/2]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[296, -46]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 1], [-30184, 11786], [4, 1], [0, 0]], [[15144, 9698], [14432, 19629/2], [15160, 9697], [-8, 1/2]], [[96966, 124191/2], [90512, 63582], [97106, 124149/2], [-70, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[54, -1/2], [-23854, 18501/2], [54, -1/2], [0, 0]], [[-122141968, -78217204], [367608584, 469325879/2], [-122141960, -78217205], [-4, 1/2]], [[-10158077280, -6505008120], [30583149968, 39023688369/2], [-10158076528, -6505008237], [-376, 117/2]]], 0, 4096, [], [] >,
< [ -4, -1, 1 ], [[328, -134]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-162, -5/2], [-374, 161/2], [-162, -5/2], [0, 0]], [[-166936, -107230], [-165633, -214205/2], [-166954, -107215], [3, -5/2]], [[-6070186, -8200745/2], [-5598936, -8520935/2], [-6086710, -8187245/2], [2754, -1125]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-66, -5/2], [334, -317/2], [-66, -5/2], [0, 0]], [[-1138060, -727615], [-1119847, -1456525/2], [-1138010, -727640], [5, -5/2]], [[25794860, 16369815], [24152841, 16865033], [25788030, 16372605], [-683, 279]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[328, -134]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[78, 3/2], [-3442, 2851/2], [78, 3/2], [0, 0]], [[6470494, 8286675/2], [16540843, 10614305], [6470512, 8286693/2], [-3, -3/2]], [[-18829200, -12374164], [-71939385, -44811711/2], [-18826578, -12375235], [-437, 357/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-24, -2], [3284, -1311], [-24, -2], [0, 0]], [[1311618, 1679549/2], [3298896, 4312197/2], [1311606, 1679561/2], [2, -1]], [[-21508740, -13758525], [-50933333, -73120201/2], [-21507558, -13759008], [-197, 161/2]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[328, -134]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-110, -3/2], [-142, 21/2], [-110, -3/2], [0, 0]], [[68672, 41128], [70731, 82179/2], [68654, 41125], [3, 1/2]], [[780416, -742896], [1349923, -1940323/2], [776870, -741447], [591, -483/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[116, 1], [440, -126], [116, 1], [0, 0]], [[-493350, -636111/2], [-478459, -318198], [-493360, -636121/2], [-1, -1/2]], [[-1794, -69/2], [-6722, 3795/2], [-1794, -69/2], [0, 0]]], 0, 512, [], [] >,
< [ -4, -1, 1 ], [[32168, -12558]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[20, -1], [-104, 48], [20, -1], [0, 0]], [[1390, 1815/2], [3357/2, 912], [1375, 1845/2], [5/2, -5/2]], [[-1200, -860], [-4451/2, -567], [-1083, -914], [-39/2, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 5/2], [-774, 605/2], [-6, 5/2], [0, 0]], [[0, 0], [1203/2, 905/2], [3, 15], [-1/2, -5/2]], [[0, 0], [23883/2, -19355], [4755, -2202], [-1585/2, 367]]], 1, 64, [], [] >,
< [ -4, -1, 1 ], [[296, -46]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-90, -1/2], [-32814, 25549/2], [-90, -1/2], [0, 0]], [[-268131822, -343414107/2], [-269413390, -171699752], [-268131806, -343414117/2], [8, -5/2]], [[-80120023026, -102615603333/2], [-80329346354, -102746799215/2], [-80120021442, -102615603825/2], [792, -123]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[80, 0], [-17436, 6713], [80, 0], [0, 0]], [[-34098, -43677/2], [101664, 65920], [-34110, -43675/2], [-6, 1/2]], [[-762784, -488560], [2266480, 2955531/2], [-763136, -488505], [-176, 55/2]]], 0, 4096, [], [] >,
< [ -4, -1, 1 ], [[18064, -7052]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 1], [44, 1], [0, 0]], [[-2, -1/2], [27640, 1591], [-18106, -1742], [0, -1/2]], [[-67, 31], [2867095/2, -1212911/2], [-3489015/4, 1495323/4], [191/4, -67/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112, 2], [24, 0], [0, 0]], [[4, 9/2], [85379, 726], [36477/2, -377/2], [7/2, 1]], [[1007, -466], [-60783475/2, 22910193/2], [-26716969/4, 10096625/4], [-2871/4, 1007/4]]], 1, 128, [], [] >,
< [ -4, -1, 1 ], [[208, -60]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27828, 10855], [-20, -1], [0, 0]], [[-10, -1], [139827, 92181], [287373/2, 183967/2], [3/2, -5/2]], [[-400, 325/2], [-381579, -40480], [-366097/2, -239347/2], [525/2, -100]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17308, -6773], [-44, 1], [0, 0]], [[10, 4], [-4013933, -2576520], [-8048059/2, -5153907/2], [3/2, 5/2]], [[-2100, 1715/2], [-24537863, -10176066], [-38393681/2, -24563995/2], [2765/2, -525]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[448, -208]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [244, 5], [-12, 5], [0, 0]], [[0, 0], [-1416, -614], [-240, -30], [-16, -2]], [[0, 0], [55191, 13873], [24885/2, -2205/2], [1659/2, -147/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-440, -10], [16, 0], [0, 0]], [[0, 0], [4102139, 4732], [-298935/2, 6269/2], [7/2, 5/2]], [[0, 0], [167813368, -68572670], [-6336016, 2578712], [-24, 2]]], 0, 6144, [], [] >,
< [ -4, -1, 1 ], [[5696, -2224]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [148, 3], [12, -3], [0, 0]], [[0, 0], [6909, 2571], [423/2, -15/2], [-23/2, -1/2]], [[0, 0], [288773/2, -144835/2], [48455/4, -19831/4], [-2311/4, 963/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -5], [-28, -1], [0, 0]], [[0, 0], [5129/2, -2565/2], [-30073/4, 5821/4], [17/4, 3/4]], [[0, 0], [-7003685/2, 2720457/2], [29830869/4, -11789721/4], [-9197/4, 3825/4]]], 0, 768, [], [] >,
< [ -4, -1, 1 ], [[1072, -388]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6540, -2537], [44, -1], [0, 0]], [[0, 0], [100660, 129265/2], [101040, 64693], [-8, 3/2]], [[0, 0], [-684802, -449397], [-697460, -445896], [418, -152]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23316, -9035], [-60, 1], [0, 0]], [[0, 0], [-201448662, -257807875/2], [67095552, 42967020], [-6, 5/2]], [[0, 0], [6962949888, 8924136643/2], [-2321233392, -1486495943], [-192, 139/2]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[18064, -7052]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-660, 255], [-4, -1], [0, 0]], [[0, 0], [-4093/2, -631], [-1315, -846], [-5/2, 1]], [[0, 0], [-304, -198], [-292, -187], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-524, 203], [0, -2], [0, 0]], [[0, 0], [-8829/2, -1553/2], [-3107, -2018], [3/2, -5/2]], [[0, 0], [1301/2, 81937], [104147, 65569], [389/2, -13]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[208, -60]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [556, -217], [124, 3], [0, 0]], [[0, 0], [-16023, 307], [-5305130, -3395876], [-3, 2]], [[0, 0], [-9181, 13683/2], [2902714, 1860629], [-5, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-368, 144], [-4, 3], [0, 0]], [[0, 0], [-120, -737/2], [-40, 15], [4, -3/2]], [[0, 0], [-119265, -179311/2], [-1990, 575], [199, -115/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[208, -60]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -39], [196, 5], [0, 0]], [[0, 0], [-15, 3], [-14074, -8973], [5, -1]], [[0, 0], [-3714, 2145/2], [-1865384, -1183668], [1238, -715/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-780, 305], [-148, -1], [0, 0]], [[0, 0], [-27330, 225], [1195380, 767560], [2, 0]], [[0, 0], [454671, -264603/2], [-5133930, -3336745], [-33, 19/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[1072, -388]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4572, -1761], [56, 2], [0, 0]], [[0, 0], [-36994, -47043/2], [-36784, -23574], [10, -5/2]], [[0, 0], [-259840, -320015/2], [-252784, -162559], [336, -243/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44400, -17288], [-36, -1], [0, 0]], [[0, 0], [66459656, 42352793], [-22050008, -14120464], [-4, -2]], [[0, 0], [-67604588, -30397407/2], [13440824, 8593649], [76, -55/2]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[18064, -7052]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, 45], [-8, -4], [0, 0]], [[0, 0], [5409/2, -5499], [-4659, -3055], [-3/2, 1]], [[0, 0], [2680779/2, 235460], [813387, 514730], [-465/2, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-436, 159], [-24, -2], [0, 0]], [[0, 0], [-199335/2, -134681/2], [-104427, -66990], [-3/2, 1/2]], [[0, 0], [-8360547/2, -2697111], [-4258731, -2727906], [-23/2, 1]]], 1, 192, [], [] >,
< [ -4, -1, 1 ], [[816080, -318588]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [324, -127], [44, -17], [0, 0]], [[0, 0], [-3423, 2707/2], [-30, -9], [5, 3/2]], [[0, 0], [-44055, -56485/2], [53082, 33993], [-8847, -11331/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [412, -161], [156, -61], [0, 0]], [[0, 0], [29622, -23151/2], [11904, -4670], [-2, -3/2]], [[0, 0], [18805, 24085/2], [37610, 24085], [3761, 4817/2]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[816080, -318588]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1000, 390], [300, -117], [0, 0]], [[0, 0], [137, -51], [-50, 17], [1, 0]], [[0, 0], [285, 365/2], [-342, -219], [57, 73/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2180, 851], [-48, 0], [0, 0]], [[0, 0], [-2475, 25/2], [-387754, -248288], [-3, -5/2]], [[0, 0], [424376, -170125], [-1803892, -1162131], [-172, 50]]], 0, 1536, [], [] >,
< [ -4, -1, 1 ], [[3072, -1280]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2288, 880], [-64, 12], [0, 0]], [[0, 0], [-76207, -47989], [-147873/2, -94651/2], [-7/2, -5/2]], [[0, 0], [2437, -35719], [-64093/2, -43123/2], [-27/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2816, 1144], [80, 12], [0, 0]], [[0, 0], [-840843, -466255], [-1490265/2, -956207/2], [-7/2, 3/2]], [[0, 0], [-35648, -23628], [-35264, -22572], [0, 0]]], 0, 98304, [], [] >,
< [ -4, -1, 1 ], [[512, -256]], [ -1, 0 ], [ -18, 7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1232, 508], [-32, -16], [0, 0]], [[0, 0], [-2685/2, 8937/2], [-16323/4, -10937/4], [-53/4, 1/4]], [[0, 0], [-4705/2, -202135/2], [425409/4, 281467/4], [1127/4, 69/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1112, -444], [-8, 16], [0, 0]], [[0, 0], [15633, 5785], [-31677/2, -19851/2], [-51/2, -1/2]], [[0, 0], [-3124073/2, -918199/2], [5728629/4, 3557239/4], [11515/4, -735/4]]], 0, 12288, [], [] >,
< [ -4, -1, 1 ], [[6912, -2624]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13352, 5162], [48, 32], [0, 0]], [[0, 0], [1235506, -482341], [116, -74], [-18, 5]], [[0, 0], [4459660, -1741067], [392, -286], [-68, 17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5288, -2054], [-32, 16], [0, 0]], [[0, 0], [462332, 294443], [155592, 99654], [4, 1]], [[0, 0], [786238, 220367], [170284, 111606], [266, -101]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[-9984, 3904]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -8], [656, -252], [0, 0]], [[0, 0], [7, 0], [14, 0], [1, 0]], [[0, 0], [40, -18], [1520, -588], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -16], [-816, 316], [0, 0]], [[0, 0], [-1, 0], [-10, 0], [1, 0]], [[0, 0], [-168, 90], [4400, -1700], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[-256, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 22], [24, 16], [0, 0]], [[0, 0], [-1529/2, 509/2], [-81, -19], [1/2, -1/2]], [[0, 0], [-465, 236], [38, 48], [1, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 38], [40, 20], [0, 0]], [[0, 0], [-3939, 628], [386, -800], [3, 0]], [[0, 0], [53347/2, -17213/2], [-7033, 4035], [-35/2, 9/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[-9984, 3904]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 2], [160, -64], [0, 0]], [[0, 0], [3, 0], [-6, 0], [1, 0]], [[0, 0], [-8, 2], [112, -44], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -10], [160, -64], [0, 0]], [[0, 0], [3, 0], [10, 0], [1, 0]], [[0, 0], [-8, 2], [-400, 156], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[6912, -2624]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12960, -5060], [32, -12], [0, 0]], [[0, 0], [-420, 128], [-40, 12], [-20, 6]], [[0, 0], [-342, 133], [-36, 14], [-18, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15480, -6038], [-16, 8], [0, 0]], [[0, 0], [588952, 375849], [197680, 126610], [-8, 3]], [[0, 0], [14785170, 9421937], [4958028, 3175702], [-282, 107]]], 0, 196608, [], [] >,
< [ -4, -1, 1 ], [[-9984, 3904]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -2], [304, -116], [0, 0]], [[0, 0], [-5, 0], [-6, 0], [1, 0]], [[0, 0], [-512, 224], [12496, -4884], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -10], [-112, 44], [0, 0]], [[0, 0], [-5, 0], [10, 0], [1, 0]], [[0, 0], [-8, 2], [0, 0], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[-9984, 3904]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-280, 106], [-128, 56], [0, 0]], [[0, 0], [-5, 0], [-6, 0], [1, 0]], [[0, 0], [-3800, 1450], [-1760, 748], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, 16], [-32, -12], [0, 0]], [[0, 0], [11, 0], [-6, 0], [1, 0]], [[0, 0], [-456, 174], [-80, 20], [0, 0]]], 0, 24576, [], [] >,
< [ -4, -1, 1 ], [[-256, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 26], [40, 16], [0, 0]], [[0, 0], [-1365/2, 1249/2], [-1891, 1003], [-15/2, -5/2]], [[0, 0], [18192, -7613], [38608, -15450], [48, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -4], [40, -4], [0, 0]], [[0, 0], [-901/2, 151/2], [-771, 61], [1/2, 1/2]], [[0, 0], [504, -206], [768, -320], [0, 0]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[120, -74]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-48, 0], [-8428, 3309], [-48, 0], [0, 0]], [[-288318, -369283/2], [291111, 369377/2], [-288348, -369295/2], [5, 1]], [[2642410, 3383513/2], [-2537623, -1743086], [2641696, 3384395/2], [119, -147/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[110, 3/2], [-6450, 4947/2], [110, 3/2], [0, 0]], [[-34625918, -44346259/2], [34756318, 22171333], [-34625918, -44346277/2], [0, 3/2]], [[-716089436, -458471895], [726577095, 910786307/2], [-716088614, -458472402], [-137, 169/2]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[120, -74]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -3/2], [1114, -871/2], [2, -3/2], [0, 0]], [[0, 0], [-184, -724], [-24, 6], [4, -1]], [[0, 0], [57651, 26323/2], [-666, 411], [111, -137/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, 5/2], [13722, -10695/2], [18, 5/2], [0, 0]], [[-3471720, -2223330], [-3304203, -4487307/2], [-3471726, -2223345], [1, 5/2]], [[-52687050, -67501785/2], [-35723285, -79378387/2], [-52685880, -67503225/2], [-195, 120]]], 0, 1024, [], [] >,
< [ -4, -1, 1 ], [[114568, -44726]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-72, -2], [228, -119], [-72, -2], [0, 0]], [[829614, 1060827/2], [1641169/2, 530666], [829611, 1060809/2], [1/2, 3/2]], [[5594400, 4506600], [23697853/2, 2039277], [5586957, 4509426], [2481/2, -471]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22, -1/2], [602, -455/2], [22, -1/2], [0, 0]], [[-72768, -46800], [-119231/2, -46587], [-72743, -46810], [5/2, -1]], [[6432, 4104], [6572, 3579], [6432, 4104], [0, 0]]], 1, 128, [], [] >,
< [ -4, -1, 1 ], [[64336, -25116]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [456, -178], [20, -3], [0, 0]], [[0, 0], [1695, 294], [252834, 161889], [-1, -1]], [[0, 0], [-425661/2, 78653], [-1178829, -748686], [-177/2, 41]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 5], [64, 4], [0, 0]], [[0, 0], [-15/2, -6], [285, 205], [5/2, 2]], [[0, 0], [39/2, -9], [-345, 184], [-13/2, 3]]], 1, 384, [], [] >,
< [ -4, -1, 1 ], [[656, -268]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14268, 5569], [8, -2], [0, 0]], [[0, 0], [-861305, -1149127/2], [936262, 599579], [3, 5/2]], [[0, 0], [79621416, -41012884], [10176708, 6548493], [-2208, 902]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11180, 4361], [12, -1], [0, 0]], [[0, 0], [-128873, -90186], [141542, 90638], [-1, 1]], [[0, 0], [-1268397, 16030669/2], [-7580210, -4849865], [1803, -1473/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[656, -268]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13668, -5355], [-36, -5], [0, 0]], [[0, 0], [5635947, 3508967], [5503962, 3524791], [-1, 1]], [[0, 0], [408559177, 292181225/2], [294476622, 188716156], [-1803, 1473/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2892, -1117], [44, -5], [0, 0]], [[0, 0], [1504003, 985821], [1547846, 991458], [-5, 0]], [[0, 0], [10286265, 6028377/2], [6954610, 4416513], [481, -393/2]]], 0, 3072, [], [] >,
< [ -4, -1, 1 ], [[4352, -1728]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, -14], [-80, 0], [0, 0]], [[0, 0], [-13, 0], [-6, 0], [1, 0]], [[0, 0], [200, -70], [-112, 36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, -44], [32, -4], [0, 0]], [[0, 0], [19, 0], [-6, 0], [1, 0]], [[0, 0], [-120, -134], [240, 140], [0, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[4352, -1728]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-272, 68], [-48, -20], [0, 0]], [[0, 0], [-13, 0], [-6, 0], [1, 0]], [[0, 0], [-616, 186], [-80, -24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [392, -186], [-16, -24], [0, 0]], [[0, 0], [19, 0], [-6, 0], [1, 0]], [[0, 0], [-1112, 418], [-48, 4], [0, 0]]], 0, 49152, [], [] >,
< [ -4, -1, 1 ], [[-768, 320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, 0], [-48, -12], [0, 0]], [[0, 0], [2297, -936], [798, -352], [3, 0]], [[0, 0], [83331/2, -32477/2], [14957, -5811], [65/2, -27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, 10], [0, 4], [0, 0]], [[0, 0], [-191/2, 205/2], [-25, 15], [-5/2, 3/2]], [[0, 0], [8031, -3597], [1570, -650], [157, -65]]], 0, 6144, [], [] >,
< [ -5, -1, 1 ], [[1, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5/2, -1], [9/2, -2], [-5/2, 1], [-1/2, 0]], [[1/2, 1/2], [0, 1/2], [1/2, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 7/2], [49/2, 9], [5/2, 1/2], [0, 0]], [[-66, -45/2], [-71, -225/2], [0, -25/2], [-3, -1/2]], [[353/2, -140], [-4726/3, 1004/3], [-1501/6, 413/6], [55/3, -55/6]]], 4, 2, [], [] >,
< [ -5, -1, 1 ], [[5, 2]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [-1, 0], [0, 0]], [[7/2, 3], [10/7, -5/14], [2, 3/2], [1/14, 5/14]], [[-23/2, -11/2], [11/14, -4/7], [-6, -3], [-9/7, -3/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-3, 9/2], [1523/14, 111/14], [4, 3/2], [17/14, 1/14]], [[9/2, -19/2], [-3233/14, -922/35], [-9, -18/5], [-18/7, -9/35]]], 4, 4, [], [] >,
< [ -5, -1, 1 ], [[5, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[29/2, 7], [35/2, -51/2], [2, 5/2], [0, 0]], [[409/2, 125], [-706, -113/2], [72, 27], [-1/2, -1/2]], [[-751, -747/2], [-921/2, 2335/2], [-126, -126], [7/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1], [51/2, -29/10], [-1, 3/10], [0, 0]], [[-7, 0], [246, 754/5], [-1, -8/5], [1, 0]], [[-75/2, -17], [3176, 3573/2], [-25, -15], [11/2, 5/2]]], 3, 4, [], [] >,
< [ -5, -1, 1 ], [[13, 7]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-3/2, -1/2], [-2325/134, -31/134], [59, -1], [59/67, -1/67]], [[7, 1], [7516/67, -1238/67], [-783/2, 145/2], [-783/134, 145/134]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [1/2, 0], [1, 0], [0, 0]], [[829/2, -7/2], [375039/670, -2809/670], [2517/10, -6/5], [839/670, -2/335]], [[-1052, 307/2], [-475612/335, 138109/670], [-3186/5, 456/5], [-1062/335, 152/335]]], 4, 4, [], [] >,
< [ -5, -1, 1 ], [[-5, -5]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1/2], [5/2, 1/2], [25, 6], [0, 0]], [[-24, 20], [-3345/67, 1349/67], [-187/2, 379/2], [193/134, -1/134]], [[-126, 224], [-28314/67, 12524/67], [344, 2323], [1104/67, 138/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, 5/2], [-102, -11/2], [20, 2], [0, 0]], [[892, -196], [1582483/1139, -407074/1139], [-159059/34, 639/17], [-3299/2278, -1/1139]], [[-1879, 7022], [-7410481/1139, 10873688/1139], [-989860/17, -1076340/17], [-21510/1139, -22705/1139]]], 3, 8, [], [] >,
< [ -5, -1, 1 ], [[4, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 0], [-157/2, 17/2], [-1, 1/2], [0, 0]], [[202, 357/2], [-6098, -14375/2], [157, 23/2], [1, -5/2]], [[61439/2, 28619/2], [-1210229, -1024337/2], [7739/2, 5450], [-380, -80]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 3/2], [-106, -3/2], [15/2, -2], [0, 0]], [[50, -53/2], [1067, -430], [-191/2, 47], [-7/2, -1/2]], [[-8, -9/2], [-17, -19/2], [56/5, 63/10], [-8/5, -9/10]]], 3, 4, [], [] >,
< [ -5, -1, 1 ], [[-5, -5]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-61/2, -19/2], [-729/14, -27/7], [-8, -3], [-17/7, -1/7]], [[1141/2, 484], [1560/7, 9503/14], [361/2, 133], [57/7, 437/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 0], [1, 0], [0, 0]], [[-661/2, 5/2], [3170397/238, 11236/119], [307/34, 52/17], [354/119, 5/238]], [[26163/2, 45763/2], [-141765255/238, -112356683/119], [-24704/17, -16598/17], [-15826/119, -25090/119]]], 3, 8, [], [] >,
< [ -5, -1, 1 ], [[5, 4]], [ -10, -1 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13, -5], [-4/3, -4/3], [5/3, -4/3], [0, 0]], [[140, 81], [65/3, 47/3], [79/6, 43/6], [29/30, -2/15]], [[-37023/2, -20627/2], [-19987/6, -5501/3], [-5021/3, -2807/3], [-74/3, -56/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 3/2], [1/6, 2/3], [-7/3, -1/3], [0, 0]], [[77/2, -17/2], [-29/2, 27/5], [-26, 5], [-1/15, -1/15]], [[-69/2, -2], [8, -33/10], [51/2, 3], [4/15, 1/6]]], 4, 4, [], [] >,
< [ -5, -1, 1 ], [[19, 11]], [ -66, 6 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1/2], [25/12, 5/6], [-1/2, -1/4], [0, 0]], [[-10, -5/2], [25/6, -7/3], [0, 0], [-1/12, -1/3]], [[-80, -64], [-46, 11/3], [0, 0], [-8, -8/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, 0], [-19/12, 11/12], [-25/4, 0], [0, 0]], [[-460, 127], [-310/3, 81/2], [-2169/10, 659/10], [-3/10, -1/30]], [[-25/2, 197/2], [-467/12, 21/4], [-489/20, 377/10], [7/20, 7/30]]], 4, 4, [], [] >,
< [ -5, -1, 1 ], [[-16, -10]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [1/2, 4], [-5/2, 0], [0, 0]], [[-20, -11], [-186544/35, -577/70], [-45723/17, -84/17], [-11401/3570, -2/1785]], [[95/2, 479/2], [-145091937/35, 105856179/70], [-35543962/17, 25932787/34], [-4443484/1785, 1620779/1785]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, -9/2], [158, 137/2], [-2, -5/2], [0, 0]], [[-425/2, -1547/2], [5162217/350, 1618634/175], [45843/85, -7251/170], [-4153/8925, 1/17850]], [[-1217965, -225437], [4592085409/350, 2316891811/350], [-11248584/85, 13998394/85], [163998/2975, -889841/5950]]], 3, 8, [], [] >,
< [ -5, -1, 1 ], [[1, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, -15/2], [-197/2, -57], [-5/2, -5/2], [0, 0]], [[-175/2, -91/2], [-583, -621/2], [-45/2, -11], [1, -2]], [[-297/2, 1/2], [-1585/2, -72], [-56, 7], [68, -51/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [-195/2, -39], [-15/2, -5/2], [0, 0]], [[-707/2, 271/2], [6399, -3655/2], [6769/10, -1072/5], [-4/5, -1/5]], [[6223, -4215/2], [-91812, 78591/2], [-52073/5, 41181/10], [-14/5, -57/10]]], 3, 4, [], [] >,
< [ -5, -1, 1 ], [[4, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 2], [-131/2, -65/2], [1, 1/2], [0, 0]], [[-25/2, -1/2], [-39/2, 26], [0, 0], [2, -5/2]], [[-130, 39], [-662, 266], [0, 0], [65, -26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, -5/2], [650, 1/2], [-5/2, 0], [0, 0]], [[-1785/2, -323/2], [474789/10, -9149/10], [-1827/10, 37/10], [-3/2, 1/2]], [[-825/2, -463/2], [68682/5, 77671/10], [-527/10, -149/5], [0, 0]]], 3, 4, [], [] >,
< [ -5, -1, 1 ], [[61, 33]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-49/2, -13], [-165/2, -111/2], [-36, -37/2], [0, 0]], [[3841/2, 2159/2], [15319/2, 8329/2], [5513/2, 3127/2], [1/2, -1/2]], [[2351/2, 654], [9095/2, 2573], [3403/2, 942], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[153/2, -5/2], [-89/5, -567/10], [-521/10, -2/5], [0, 0]], [[1043278, -157247/2], [-69433, -1445139/2], [-704146, 52697/2], [-2, 1/2]], [[-73725051, -33176285], [155647946, 95147807], [55293357, 25803659], [69, 19]]], 1, 48, [], [] >,
< [ -5, -1, 1 ], [[21, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1], [37/2, -11/2], [-5, -3/2], [0, 0]], [[-39, -59/2], [-533/2, 269/2], [-54, -54], [-5/2, -2]], [[19/2, -125/2], [-5305/2, 2007/2], [239/2, -285/2], [3/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1], [-75/2, -31/2], [-5, -3/2], [0, 0]], [[1/2, -1], [459, -209/2], [649/5, -59/5], [-11/10, 1/10]], [[-160, -116], [22019, 4768], [9912, 3776], [-84, -32]]], 1, 48, [], [] >,
< [ -5, -1, 1 ], [[-35, -21]], [ -10, -1 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-28, 4], [-64/3, 2/3], [125/3, 2/3], [0, 0]], [[-1135, 1845/2], [-2615/6, 4519/6], [1559/3, -9071/6], [-19/30, -1/30]], [[10871, 387/2], [55603/6, 8467/6], [-56656/3, -11218/3], [-14/15, -26/15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, 9/2], [-13/6, -37/6], [-17/3, -8/3], [0, 0]], [[21845/2, -2740], [29860/3, -130541/30], [-9943/6, 178/3], [-1/5, 1/10]], [[-48032, -11692], [7850/3, 276217/15], [48605/3, 44161/6], [-11/30, -17/30]]], 1, 32, [], [] >,
< [ -5, -1, 1 ], [[-112, -63]], [ -66, 6 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 13/2], [-61/6, -77/12], [11/4, 13/4], [0, 0]], [[-3635, 652], [5867/4, 1451/6], [-3625/2, 1305/4], [1/4, -1/3]], [[37185/2, 7942], [-77493/4, -41163/4], [36975/4, 3944], [11/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35/2, 0], [-77/4, 5/4], [35/4, 0], [0, 0]], [[447/2, 209], [-2035/12, -201], [2049/10, 2367/20], [-11/30, -1/20]], [[-1864, -815/2], [23213/12, 842/3], [-4053/5, -8463/20], [-8/15, 13/15]]], 1, 32, [], [] >,
< [ -5, -1, 1 ], [[14, 14]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [47, 57/2], [20, 25/2], [0, 0]], [[838, 69/2], [-56023/70, -3937/70], [10435/34, -645/17], [2879/3570, -2/1785]], [[32698, 5577/2], [-2199629/70, -126093/35], [392787/34, -17318/17], [18552/595, 773/595]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1], [173/2, -17/2], [-7/2, -7/2], [0, 0]], [[-22015/2, 37], [-1671199/35, 4749/35], [143961/34, -5313/34], [-2368/1785, 1/3570]], [[4325107/2, -246471/2], [234486251/25, -13249121/25], [-71345204/85, 12542803/170], [664039/2550, -17947/1275]]], 1, 48, [], [] >,
< [ -5, -1, 1 ], [[-10, -7]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -2], [0, -1], [-15, -1], [0, 0]], [[0, 61/2], [677/14, -171/14], [-345, 275/2], [37/14, 3/14]], [[-584, -589/2], [-673/14, -943/14], [-625, -8], [-136/7, -85/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, 3/2], [41/2, -5/2], [10, -2], [0, 0]], [[-405, -513/2], [-4897/14, -3975/14], [0, -219/2], [25/14, -1/14]], [[182, 223/2], [2305/14, 8457/70], [14, 433/10], [-9/14, -1/70]]], 1, 8, [], [] >,
< [ -5, -1, 1 ], [[-10, -7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -3/2], [45, -13/2], [-15/2, 1], [0, 0]], [[-157/2, 110], [-3155, -171/2], [530, 20], [5/2, 3/2]], [[-1081/2, 541/2], [-16097/2, 1741], [1335, -281], [2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, -6], [26, -149/5], [-2, -7/5], [0, 0]], [[-777/2, 27], [-25341/2, 43103/10], [-108, 119/10], [-1, 2]], [[36305/2, 15147/2], [161744, -29211], [4495, 3503/2], [-391/2, -136]]], 1, 16, [], [] >,
< [ -5, -1, 1 ], [[25, 10]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, 5/2], [25/2, 5/2], [-5, 2], [0, 0]], [[12, -43/2], [-6340/67, -2121/134], [47, -5/2], [47/67, -5/134]], [[-1763/2, 34], [-18105/134, -51302/67], [-329, 705/2], [-329/67, 705/134]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[365, 4], [305, -8], [15, 3], [0, 0]], [[-412535/2, 33332], [-408571005/2278, 37845102/1139], [-165065/17, 401/17], [-1080/1139, -1/1139]], [[206510065/2, 13544055], [194518364015/2278, 9185064670/1139], [109828098/17, 67650691/34], [722343/1139, 448971/2278]]], 1, 32, [], [] >,
< [ -5, -1, 1 ], [[25, 10]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35/2, 11/2], [61/2, 7], [15, 5], [0, 0]], [[-123, 146], [-2355/7, 2113/7], [-30, 261/2], [-29/14, -5/14]], [[6523/2, 43], [6775, -547/2], [5765/2, 389], [-7, -21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, 1], [-104, 10], [-15, 1], [0, 0]], [[-386, -218], [689938/119, -138853/119], [-27985/34, -6075/34], [783/238, 1/119]], [[33615/2, 18681/2], [1339545/34, -907430/17], [289575/17, 243383/17], [-369/17, -738/17]]], 1, 48, [], [] >,
< [ -5, -1, 1 ], [[-20, -9]], [ -10, -1 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 3/2], [-1/2, -5/2], [5, 1], [0, 0]], [[5/2, -5/2], [5/6, 10/3], [-31/6, -1/6], [3/2, 0]], [[11, -11/2], [-11/2, 11/2], [-11, 2], [10/3, -2/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -7/2], [-43/6, -7/6], [-5/3, 1/3], [0, 0]], [[-199/2, -25], [268/3, -2033/30], [323/6, -139/6], [-11/6, -2/15]], [[-1270, -200], [5152/3, -15022/15], [5531/6, -2233/6], [-51/2, 3/5]]], 1, 24, [], [] >,
< [ -5, -1, 1 ], [[105, 56]], [ -10, -1 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, -2], [10, 0], [-21, 0], [0, 0]], [[-33/2, 0], [-10, -3/2], [43/2, 5/2], [-11/6, 2/3]], [[8, 9/2], [41/6, 23/6], [-41/3, -23/3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-24, -2], [107/3, -7/3], [53/3, -1/3], [0, 0]], [[19751/2, -595], [-48334/3, 88121/30], [-23281/3, 3407/3], [-5/3, -16/15]], [[-414035/2, 99449], [1295129/3, -1074095/6], [583805/3, -503075/6], [-125/6, -41/6]]], 1, 192, [], [] >,
< [ -5, -1, 1 ], [[-5, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-53/2, -1], [-45/2, -15/2], [-35, 1/2], [0, 0]], [[-16224, -9795/2], [-37975/2, -18153/2], [-19997, -5120], [-3/2, 0]], [[928697/2, 619075/2], [1499495/2, 436978], [515810, 361051], [15, 37/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[40, 5/2], [75/2, 7], [105/2, 1/2], [0, 0]], [[-22631/2, 10541/2], [-14525/2, 8143/2], [-33715/2, 14919/2], [5/2, -5/2]], [[-12805/2, 25361/2], [2505/2, 12098], [-12592, 16636], [-9, -21/2]]], 1, 20, [], [] >,
< [ -5, -1, 1 ], [[-5, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, 0], [20, 7], [20, -1], [0, 0]], [[1167, -1079/2], [575/2, -421], [3413/2, -1489/2], [-2, 2]], [[865, -3211/2], [-2590, -4931/2], [1697, -4057/2], [9, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-32, -1/2], [-55/2, -6], [-85/2, 3/2], [0, 0]], [[-50507/2, 3053], [-18755, -1225], [-69381/2, 11103/2], [-1, 1/2]], [[-172492, -147847/2], [-209410, -209691/2], [-205344, -164265/2], [2, 5/2]]], 1, 20, [], [] >,
< [ -5, -1, 1 ], [[-109, -61]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -5/2], [-1, -5/2], [-16, -9], [0, 0]], [[-29/2, 11/2], [-7487/134, 647/134], [770, 25/2], [154/67, 5/134]], [[-728, 232], [-18860/67, 102799/67], [-8310, -48475/2], [-1662/67, -9695/134]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 6], [-5/2, 6], [20, 10], [0, 0]], [[2007/2, 203/2], [-166907/134, 13047/134], [73, -121/2], [272/67, 1/134]], [[244149/2, 118961/2], [-68049911/670, -27952679/670], [-63023/10, -54317/10], [270469/670, 122391/670]]], 1, 8, [], [] >,
< [ -5, -1, 1 ], [[20, 5]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 2], [0, 2], [85, 55], [0, 0]], [[27/2, -135/2], [6345/134, -9081/134], [-2266, -1739], [-126/67, 1/67]], [[1395, -1179/2], [120312/67, -95949/134], [10907/2, -5606], [-2983/134, 471/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -7], [29, 9], [-135, -80], [0, 0]], [[-247/2, 83/2], [15277/2, 87/2], [-8536, -14], [2, 0]], [[2498, -1687/2], [-171060404/1139, 3885659/2278], [5708179/34, -87559/34], [-89621/2278, 1519/2278]]], 1, 48, [], [] >,
< [ -5, -1, 1 ], [[-1, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 7/2], [-46, 27/2], [11/2, 2], [0, 0]], [[75/2, 17], [-391/2, 71], [47/2, 9], [1/2, 1]], [[-2345/2, -1033/2], [6863, -4977/2], [-1485/2, -270], [-12, -32]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -7/2], [-143/2, 9], [-5/2, -15/2], [0, 0]], [[5597/2, 4443/2], [-54877/2, 36471/2], [92081/10, 9549/10], [17/10, 3/10]], [[-64744, -22066], [-910563, 208217], [161858/5, -356568/5], [6/5, -66/5]]], 1, 16, [], [] >,
< [ -5, -1, 1 ], [[20, 5]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 3/2], [-9/2, 2], [5, 0], [0, 0]], [[89/2, 13/2], [729/14, -43/7], [107/2, 45], [3/7, -5/14]], [[-363, -561/2], [-1209/14, -2769/14], [-1351, -690], [48/7, 9/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[217/2, 21], [-87, 149/2], [55, 30], [0, 0]], [[-179205/2, 31221], [33072087/119, -23572531/238], [-39948/17, 4513/34], [163/238, 3/238]], [[-1032765/2, 173279], [188419881/119, -133336633/238], [-327410/17, -43262/17], [722/119, 152/119]]], 1, 32, [], [] >,
< [ -5, -1, 1 ], [[-167, -93]], [ -66, 6 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -9/2], [35/12, -1/3], [-4, -9/4], [0, 0]], [[-15/2, 1/2], [108, -235/6], [0, 0], [1/3, -1/4]], [[35, 77/2], [903/2, -452/3], [0, 0], [21/4, 7/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [9/4, -2], [-5, 15/4], [0, 0]], [[-19, 63/2], [209/12, -165/4], [-993/20, 382/5], [1/30, 1/20]], [[824, -403/2], [-12221/12, 2785/12], [40543/20, -5039/10], [4/5, -1/20]]], 1, 24, [], [] >,
< [ -5, -1, 1 ], [[966, 539]], [ -66, 6 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-131/2, -37], [413/12, 269/12], [-131/4, -37/2], [0, 0]], [[149/2, 225], [8149/6, -628], [67/2, 223/2], [1/12, 1/4]], [[65497/2, 15657], [-230639/6, -9713/6], [16113, 7667], [437/12, 209/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -2], [7, 3], [-15, -5], [0, 0]], [[30, -19/2], [-93/4, 26/3], [384/5, -531/20], [-1/15, 1/15]], [[-9/2, -4], [-3, -1/2], [-2/5, -41/10], [-13/60, -7/60]]], 1, 192, [], [] >,
< [ -5, -1, 1 ], [[-25, -25]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, -3/2], [25/2, -3/2], [155, 90], [0, 0]], [[-67, 3], [3035/67, 505/67], [151/2, -33], [-99/134, -2/67]], [[-55/2, -325/2], [19115/134, 19265/134], [-355, 75], [-75/67, -135/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[411/2, 6], [-165/2, -156], [80, 45], [0, 0]], [[1746964, -629187], [2017754240/1139, -716549800/1139], [-187045/17, -945/34], [540/1139, 1/2278]], [[-765197845/2, 270420627/2], [-866582393815/2278, 317534268025/2278], [-16515756/17, -31817644/17], [46949/1139, 91637/1139]]], 1, 192, [], [] >,
< [ -5, -1, 1 ], [[-25, -25]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35/2, -6], [-15, -5/2], [-95, -60], [0, 0]], [[1988, -2033/2], [47921/14, -19759/14], [-6835, 183/2], [29/14, 5/14]], [[22525/2, -3062], [16584, -10699/2], [-21045/2, 11306], [0, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 29/2], [505/2, 205/2], [60, 40], [0, 0]], [[-8461/2, 1286], [886086/119, -1140159/238], [-84735/34, 571/17], [191/119, -1/238]], [[-495997/2, 139735], [149686230/119, 4727537/238], [3033485/34, 2694029/17], [-7512/119, -24727/238]]], 1, 192, [], [] >,
< [ -5, -1, 1 ], [[-247, -138]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, 4], [67, 53], [88, 2], [0, 0]], [[2731/2, -927/2], [-6445/2, 2695/2], [20997/2, -7341/2], [1/2, -3/2]], [[-46507/2, 12439/2], [36476, -57847/2], [-342051/2, 53823], [88, 77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1], [-23/2, -7/2], [16, 3/2], [0, 0]], [[852, -285], [-2602, 877], [6509, -2290], [1, 1]], [[9011/2, -1477], [-13749, 9103/2], [34233, -11980], [15/2, 13/2]]], 1, 20, [], [] >,
< [ -5, -1, 1 ], [[-247, -138]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-33/2, -7/2], [-6, -43/2], [-163/2, -1], [0, 0]], [[-867/2, 346], [5147/2, -867/2], [-4320, 4343/2], [-2, -1]], [[17639/2, -2540], [-48337/2, 10246], [131371/2, -21505], [-9/2, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [13/2, 6], [7/2, 3/2], [0, 0]], [[-15/2, -1/2], [-445/2, 65], [12, -18], [1, -3/2]], [[-675, -288], [-7642, 292], [-1836, -1620], [-153, -135]]], 1, 20, [], [] >,
< [ -5, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -4], [-2, 10], [0, 0]], [[0, 0], [0, 1], [1, 1], [1, 0]], [[0, 0], [-8, 10], [-156, -104], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 4], [4, 8], [0, 0]], [[0, 0], [-941/3, 316/3], [-352/3, 137/3], [-13/3, -1/3]], [[0, 0], [5/3, 2/3], [4/3, 1/3], [1/3, 1/3]]], 0, 40, [], [] >,
< [ -5, -1, 1 ], [[-4, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 9/2], [-3, -3/2], [5/2, 1], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[-1/2, -1/2], [0, 1/2], [-1/2, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[23/2, 11/2], [25, 13], [10, 7/2], [3/2, 2]], [[-1/2, -1/2], [-1, -1], [0, -1/2], [-1/2, 0]]], 1, 8, [], [] >,
< [ -5, -1, 1 ], [[-80, -32]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 0], [2, 6], [0, 0]], [[0, 0], [916/7, 16/7], [-15, -106], [22/7, 5/7]], [[0, 0], [5914/7, -10666/7], [6022, 609], [-125/7, -275/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, 18], [2, -8], [0, 0]], [[0, 0], [-806/7, 72096/35], [-2175, 2074/5], [-34/7, -3/35]], [[0, 0], [-106724/7, 1493554/35], [-50156, 56256/5], [-740/7, 148/35]]], 0, 320, [], [] >,
< [ -5, -1, 1 ], [[-80, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -14], [-2, 2], [0, 0]], [[0, 0], [2, 1], [1, 1], [1, 0]], [[0, 0], [120, 76], [-6, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [336, 406/5], [-8, -12/5], [0, 0]], [[0, 0], [-6, -3/5], [1, 1/5], [1, 0]], [[0, 0], [-784, -524/5], [18, 18/5], [0, 0]]], 0, 960, [], [] >,
< [ -5, -1, 1 ], [[-64, -16]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -6], [-6, 2], [0, 0]], [[0, 0], [5102/67, 956/67], [-209, -1], [-209/67, -1/67]], [[0, 0], [56716/67, 44844/67], [-1059, -1397], [-1059/67, -1397/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 18], [-4, -10], [0, 0]], [[0, 0], [357656/335, 65544/335], [-887/5, -523/5], [-209/335, -1/335]], [[0, 0], [-92696/67, -197512/67], [1131, 598], [-39/67, 104/67]]], 0, 320, [], [] >,
< [ -5, -1, 1 ], [[80, 80]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 6], [30, 8], [0, 0]], [[0, 0], [-24214/67, 8648/67], [743, -26], [303/67, -4/67]], [[0, 0], [96924/67, -34148/67], [-7840, -2622], [-3330/67, -1170/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-182, -24], [-30, 0], [0, 0]], [[0, 0], [4988190/1139, -1373160/1139], [65895/17, -4244/17], [1375/1139, -4/1139]], [[0, 0], [-57783390/1139, 40636734/1139], [232676/17, 849246/17], [10916/1139, 19622/1139]]], 0, 1920, [], [] >,
< [ -5, -1, 1 ], [[-64, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [152, 48], [-6, -8], [0, 0]], [[0, 0], [-4, 1], [1, 1], [1, 0]], [[0, 0], [1616, 2594], [-576, -108], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [220, 30], [-50, -6], [0, 0]], [[0, 0], [19955, 1856], [-22804/5, -1681/5], [-3/5, 3/5]], [[0, 0], [32877, 31462], [-34594/5, -34911/5], [17/5, 3/5]]], 0, 960, [], [] >,
< [ -5, -1, 1 ], [[80, 80]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 14], [10, 0], [0, 0]], [[0, 0], [892/7, 274/7], [8, 1], [-17/7, -1/7]], [[0, 0], [13208/7, -5094/7], [211, -78], [-510/7, 187/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [950, 94], [-4, 8], [0, 0]], [[0, 0], [6133070/119, -23946410/119], [-146367/17, 1757/17], [-783/119, -2/119]], [[0, 0], [9387108538/119, 2776801154/119], [7412864/17, 11651284/17], [44286/119, 63888/119]]], 0, 1920, [], [] >,
< [ -5, -1, 1 ], [[-80, -64]], [ -10, -1 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28/3, 22/3], [16/3, 10/3], [0, 0]], [[0, 0], [190, -64], [34, -8], [2, 0]], [[0, 0], [-184/3, 704/3], [575/3, 449/3], [583/15, 352/15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8/3, -28/3], [-4/3, 2/3], [0, 0]], [[0, 0], [-54, -10], [-1, 1], [7/15, -2/15]], [[0, 0], [428, 1196/5], [-9, -5], [-7/15, -4/15]]], 0, 960, [], [] >,
< [ -5, -1, 1 ], [[-32, -48]], [ -66, 6 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/3, 1/3], [1, 0], [0, 0]], [[0, 0], [-35/3, -17/6], [-15/2, -1/2], [1/3, -1/2]], [[0, 0], [1697/6, 266/3], [170, 51/2], [-17/6, 34/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [73/3, 1/3], [-25, -2], [0, 0]], [[0, 0], [-8303/6, 155], [6711/5, -727/10], [17/30, -1/15]], [[0, 0], [-21451/3, -23890/3], [49572/5, 45273/5], [14/5, 16/5]]], 0, 960, [], [] >,
< [ -5, -1, 1 ], [[-32, -20]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-43775/14, -45/7], [-26660/17, -20/17], [-1333/714, -1/714]], [[0, 0], [4005634/35, -1387223/70], [976924/17, -170024/17], [244231/3570, -21253/1785]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [1, 0], [0, 0]], [[0, 0], [11963499/350, -2452/175], [488241/85, 39/85], [-12519/5950, -1/5950]], [[0, 0], [770759203/50, -3489971913/50], [217745164/85, -997383569/85], [-1196402/1275, 10960259/2550]]], 1, 40, [], [] >,
< [ -5, -1, 1 ], [[16, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [126, 26], [8, -2], [0, 0]], [[0, 0], [8, 1], [1, 1], [1, 0]], [[0, 0], [-302, -386], [28, -16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-292, -96], [-50, -16], [0, 0]], [[0, 0], [-3758, 2079], [-3177/5, 1897/5], [-11/5, -4/5]], [[0, 0], [69181, -27545], [12063, -4894], [14, 1]]], 0, 720, [], [] >,
< [ -5, -1, 1 ], [[64, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 18], [2, -2], [0, 0]], [[0, 0], [16, 1], [1, 1], [1, 0]], [[0, 0], [-44, -28], [2, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1398/5, -82/5], [14/5, 6/5], [0, 0]], [[0, 0], [82/5, 3/5], [-1/5, 1/5], [1, 0]], [[0, 0], [-1658/5, 3998/5], [-56/5, -44/5], [0, 0]]], 0, 720, [], [] >,
< [ -5, -1, 1 ], [[976, 528]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-190, -100], [136, 68], [0, 0]], [[0, 0], [6, 1], [17, 1], [1, 0]], [[0, 0], [-144, -40], [126, 18], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, -20], [14, 2], [0, 0]], [[0, 0], [152/5, 3/5], [-11/5, 1/5], [1, 0]], [[0, 0], [-1778/5, 18/5], [-246/5, -74/5], [0, 0]]], 0, 11520, [], [] >,
< [ -5, -1, 1 ], [[336, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 20], [94, 18], [0, 0]], [[0, 0], [2, 1], [-7, 1], [1, 0]], [[0, 0], [-96, -22], [-52, -104], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 4], [1160, 8], [0, 0]], [[0, 0], [14047, -290], [-1271208/5, -65717/5], [-19/5, -1/5]], [[0, 0], [128731, 43543], [-13197811/5, -5124954/5], [-198/5, -77/5]]], 0, 11520, [], [] >,
< [ -5, -1, 1 ], [[0, 112]], [ -10, -1 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -4], [-62, -2], [0, 0]], [[0, 0], [-8420/3, -3086/3], [-8642/3, -3107/3], [-21/5, 1/5]], [[0, 0], [369626/3, 233090/3], [374336/3, 237425/3], [589/15, 961/15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-584/3, 4/3], [142/3, 10/3], [0, 0]], [[0, 0], [-17570, 25846/5], [3798, -1030], [8/15, -4/15]], [[0, 0], [-32726/3, -734/3], [8017/3, 787/3], [-1/15, -4/15]]], 0, 7680, [], [] >,
< [ -5, -1, 1 ], [[336, 224]], [ -66, 6 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [14, 7], [0, 0]], [[0, 0], [-691/3, 81], [-325, 90], [-1/3, 1/3]], [[0, 0], [-6154/3, 4291/6], [-6007/2, 1465/2], [-2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, -2], [60, -1], [0, 0]], [[0, 0], [-859/6, -286/3], [-12/5, 7559/10], [11/30, 2/15]], [[0, 0], [-1099/3, -574/3], [12594/5, 3771/5], [3/5, 2/5]]], 0, 7680, [], [] >,
< [ -5, -1, 1 ], [[28, 28]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 4], [-14, -14], [0, 0]], [[0, 0], [-93943/70, 2743/70], [46438/17, -3158/17], [4772/1785, 1/3570]], [[0, 0], [537009/14, -568961/14], [-94223, 82049], [-1354/21, 3421/42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, 5], [13, 9], [0, 0]], [[0, 0], [-15520683/350, 3076093/350], [-127897/85, 34922/85], [-4153/8925, 1/17850]], [[0, 0], [82903971/25, 42288184/25], [5376186/85, 2494974/85], [31924/425, 17296/425]]], 1, 240, [], [] >,
< [ -5, -1, 1 ], [[160, 112]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 2], [40, 16], [0, 0]], [[0, 0], [246/7, 12/7], [-65, 41], [41/7, 2/7]], [[0, 0], [2862/7, 3180/7], [1875, 71], [477/7, 530/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 12], [40, -2], [0, 0]], [[0, 0], [44610/7, -126564/35], [5604, -12241/5], [29/7, -3/35]], [[0, 0], [1341852/7, 12974882/35], [-65227, 842878/5], [-4194/7, -8621/35]]], 0, 1920, [], [] >,
< [ -5, -1, 1 ], [[160, 112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-200, -8], [-30, 0], [0, 0]], [[0, 0], [12, 1], [5, 1], [1, 0]], [[0, 0], [-3060, -2158], [-400, -296], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, -162/5], [4, -16/5], [0, 0]], [[0, 0], [-6, -3/5], [1, 1/5], [1, 0]], [[0, 0], [446, 996/5], [-22, -72/5], [0, 0]]], 0, 3840, [], [] >,
< [ -5, -1, 1 ], [[-400, -160]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -10], [10, 4], [0, 0]], [[0, 0], [45600/67, 5700/67], [486, -104], [236/67, -4/67]], [[0, 0], [109490/67, 105426/67], [-415, 609], [245/67, 441/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, -40], [40, -6], [0, 0]], [[0, 0], [35628550/1139, -7410808/1139], [388158/17, -14388/17], [6598/1139, 4/1139]], [[0, 0], [-92289751710/1139, -5024159910/1139], [-1397216649/17, -386441965/17], [-25217889/1139, -7811525/1139]]], 0, 7680, [], [] >,
< [ -5, -1, 1 ], [[-400, -160]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 34], [-20, -2], [0, 0]], [[0, 0], [2172/7, 416/7], [45, -62], [26/7, -3/7]], [[0, 0], [-2792/7, -3082/7], [355, 29], [13/7, -26/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-410, -54], [0, -4], [0, 0]], [[0, 0], [8432650/119, -1096050/119], [20940/17, 995/17], [-877/119, -3/119]], [[0, 0], [10736464/17, 3239476/17], [277645/17, 119478/17], [-1526/17, -621/17]]], 0, 11520, [], [] >,
< [ -5, -1, 1 ], [[320, 144]], [ -10, -1 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22/3, 10/3], [-2/3, 4/3], [0, 0]], [[0, 0], [0, 6], [32, 2], [16/3, 4/3]], [[0, 0], [-6, 0], [5, -6], [0, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 18], [4, 2], [0, 0]], [[0, 0], [1580, -2378/5], [71, -15], [5/3, -2/15]], [[0, 0], [-16124/3, 5320/3], [-686/3, 193/3], [-5, 1]]], 0, 5760, [], [] >,
< [ -5, -1, 1 ], [[-560, -112]], [ -10, -1 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-206/3, -20/3], [-230/3, -2/3], [0, 0]], [[0, 0], [-1212, -2448], [-254, -2495], [13/3, 1/3]], [[0, 0], [531658/3, 379546/3], [438088/3, 354487/3], [-171, -63]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1274/3, 26/3], [-268/3, -10/3], [0, 0]], [[0, 0], [7188172/3, -9735754/15], [-1475579/3, 390628/3], [6, 1/5]], [[0, 0], [-189432098, 80645622/5], [39499921, -2782757], [-2533/3, -4172/15]]], 0, 46080, [], [] >,
< [ -5, -1, 1 ], [[80, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -6], [270, 4], [0, 0]], [[0, 0], [0, 1], [3, 1], [1, 0]], [[0, 0], [100, 128], [870, -1566], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 8], [200, 10], [0, 0]], [[0, 0], [0, 1], [-7, 1], [1, 0]], [[0, 0], [30, 46], [1040, 208], [0, 0]]], 0, 4800, [], [] >,
< [ -5, -1, 1 ], [[80, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -2], [30, -4], [0, 0]], [[0, 0], [0, 1], [13, 1], [1, 0]], [[0, 0], [-10, -8], [-40, -28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 8], [-140, 2], [0, 0]], [[0, 0], [0, 1], [-17, 1], [1, 0]], [[0, 0], [210, 238], [-4500, -1800], [0, 0]]], 0, 4800, [], [] >,
< [ -5, -1, 1 ], [[16, 64]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -8], [-84, -46], [0, 0]], [[0, 0], [-49818/67, 14124/67], [1279, -219], [311/67, -3/67]], [[0, 0], [458830/67, -305602/67], [-3739, 10409], [1905/67, 3429/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 14], [38, 2], [0, 0]], [[0, 0], [779458/335, -61408/335], [-1856/5, 226/5], [418/335, 2/335]], [[0, 0], [165580/67, 413284/67], [-148, -897], [196/67, 259/67]]], 0, 1920, [], [] >,
< [ -5, -1, 1 ], [[-320, -80]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 8], [-80, -50], [0, 0]], [[0, 0], [41456/67, -3394/67], [-1284, -621], [-174/67, -5/67]], [[0, 0], [-1240458/67, 497640/67], [-800, -4735], [4170/67, -1807/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-156, -4], [-40, 30], [0, 0]], [[0, 0], [-35100054/1139, 1529012/1139], [441153/17, 17482/17], [-7737/1139, -4/1139]], [[0, 0], [-2893149334/1139, 793965248/1139], [32675136/17, -7852136/17], [-603464/1139, 155248/1139]]], 0, 11520, [], [] >,
< [ -5, -1, 1 ], [[16, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 14], [10, 10], [0, 0]], [[0, 0], [6, 1], [-1, 1], [1, 0]], [[0, 0], [-6, -4], [-6, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -48], [40, -50], [0, 0]], [[0, 0], [-15787, -2423], [-16283, -1122], [4, 1]], [[0, 0], [4306, -55972], [141454/5, -284984/5], [28/5, 72/5]]], 0, 3840, [], [] >,
< [ -5, -1, 1 ], [[-320, -80]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -6], [104, 56], [0, 0]], [[0, 0], [-1520/7, -740/7], [1558, 902], [22/7, -2/7]], [[0, 0], [-22592/7, 9386/7], [-8711, 1652], [3146/7, -1133/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1012, 68], [-80, -10], [0, 0]], [[0, 0], [299196536/119, -18478380/119], [-3225601/17, 31340/17], [-520/119, -3/119]], [[0, 0], [-15270337868/119, -1149622134/119], [171014810/17, 22633722/17], [27876/119, 4140/119]]], 0, 7680, [], [] >,
< [ -5, -1, 1 ], [[208, 32]], [ -66, 6 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14/3, -5/3], [-13, -7], [0, 0]], [[0, 0], [-2423/6, 430/3], [-150, 55/2], [-1/2, -2/3]], [[0, 0], [-28651/2, 15538/3], [-3332, 4229/2], [95/2, 38/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [61/3, 19/3], [15, 20], [0, 0]], [[0, 0], [53, -355/3], [-3151/5, 96/5], [14/15, 1/15]], [[0, 0], [-3679/6, 4969/3], [43647/5, -1399/10], [-391/30, -17/15]]], 0, 5760, [], [] >,
< [ -5, -1, 1 ], [[-784, -336]], [ -66, 6 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-326/3, -173/3], [125, 65], [0, 0]], [[0, 0], [187/6, 205/6], [-17/2, -74], [1/2, -1/2]], [[0, 0], [-828, -1352/3], [1436, 754], [19/3, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64/3, 13/3], [-145, -25], [0, 0]], [[0, 0], [15881/6, -856], [-98882/5, 63119/10], [7/10, 2/15]], [[0, 0], [7130/3, -1439/6], [-36637/2, 2847/2], [3, 3/2]]], 0, 46080, [], [] >,
< [ -5, -1, 1 ], [[400, 400]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -2], [-220, -130], [0, 0]], [[0, 0], [-73000/67, -750/67], [568, -123], [-292/67, -3/67]], [[0, 0], [-14633500/67, 5762750/67], [165536, -60861], [-58534/67, 23051/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [600, 60], [-30, 10], [0, 0]], [[0, 0], [193008930/1139, -1082952/1139], [-150304/17, 54/17], [2396/1139, -2/1139]], [[0, 0], [-21363013780/1139, -42405433740/1139], [17510871/17, 33290054/17], [-277879/1139, -530292/1139]]], 0, 46080, [], [] >,
< [ -5, -1, 1 ], [[400, 400]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -26], [80, 50], [0, 0]], [[0, 0], [2, -180], [700, 36], [4, 0]], [[0, 0], [-10170/7, 2560/7], [-2225, 1045], [-99/7, 44/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [148, -238], [40, 40], [0, 0]], [[0, 0], [8535680/119, -2060168/119], [-89655/17, 873/17], [-69/119, -2/119]], [[0, 0], [-41936298/119, 40878470/119], [-360110/17, -680712/17], [-380/119, -556/119]]], 0, 46080, [], [] >,
< [ -5, -1, 1 ], [[128, 112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, -24], [314, 6], [0, 0]], [[0, 0], [4, 1], [-9, 1], [1, 0]], [[0, 0], [20, 20], [888, -398], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, 42], [14, 6], [0, 0]], [[0, 0], [4, 1], [11, 1], [1, 0]], [[0, 0], [2, -2], [0, 0], [0, 0]]], 0, 4800, [], [] >,
< [ -5, -1, 1 ], [[128, 112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -28], [60, -10], [0, 0]], [[0, 0], [4, 1], [21, 1], [1, 0]], [[0, 0], [6, 4], [34, -14], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-124, -66], [-14, -6], [0, 0]], [[0, 0], [4, 1], [-19, 1], [1, 0]], [[0, 0], [-2, 2], [0, 0], [0, 0]]], 0, 4800, [], [] >,
< [ -5, -1, 1 ], [[256, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 52], [32, -40], [0, 0]], [[0, 0], [-90538, -45456], [64044, 5126], [-6, -10]], [[0, 0], [46780, 16484], [-76336, 15368], [-8, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -56], [-8, 20], [0, 0]], [[0, 0], [17710, -7248], [-5656, 2354], [-6, -10]], [[0, 0], [259368, -107272], [-82784, 34864], [-104, -156]]], 0, 40960, [], [] >,
< [ -5, -1, 1 ], [[-512, -320]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, -26], [16, -8], [0, 0]], [[0, 0], [204257/35, 3723/35], [-156004/17, 314/17], [5974/1785, 1/1785]], [[0, 0], [163633646/35, -62230926/35], [-129935724/17, 49157924/17], [1651764/595, -625244/595]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [330, -48], [20, -8], [0, 0]], [[0, 0], [5561083/175, -188418/175], [482914/85, 706/85], [-18469/8925, -1/8925]], [[0, 0], [-3793148/5, 3917798/5], [-1881880/17, 2399140/17], [3458/85, -4368/85]]], 0, 10240, [], [] >,
< [ -5, -1, 1 ], [[448, 448]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, -46], [36, 12], [0, 0]], [[0, 0], [-37806/35, -2494/35], [-21308/17, -1208/17], [4808/1785, 2/1785]], [[0, 0], [288/35, 257/35], [142/17, 132/17], [-29/1785, -26/1785]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, 28], [68, 32], [0, 0]], [[0, 0], [-28116699/175, 502079/175], [-3499452/85, 12842/85], [15494/2975, 1/2975]], [[0, 0], [1212986226/5, 870948544/5], [1113051500/17, 786047568/17], [-2140138/255, -1505152/255]]], 0, 61440, [], [] >,
< [ -5, -1, 1 ], [[-18, -18]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35, 37/2], [95/2, 28], [69/2, 21], [0, 0]], [[-2035/2, -421/2], [-23721/14, -1551/14], [-1100/17, -1225/34], [-381/238, -1/238]], [[311617, -142182], [26743923/35, -10915638/35], [-56769/17, -33129/17], [490692/595, -194052/595]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1], [-6, 0], [-4, -1], [0, 0]], [[-22, 8], [-34887/70, -1353/70], [-13110/17, -66/17], [-559/595, 3/1190]], [[625/2, -205/2], [-468849/35, -385491/35], [-307204/17, -541097/34], [-25317/1190, -11349/595]]], 0, 108, [], [] >,
< [ -5, -1, 1 ], [[-18, -18]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1], [-135/2, -81/2], [9/2, 3/2], [0, 0]], [[136, -52], [-72809/70, 18589/70], [26740/17, 556/17], [1202/595, 1/1190]], [[-6076, 2354], [238928/5, -56653/5], [-1302306/17, -81552/17], [-8328/85, -347/85]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1], [53/2, 35/2], [11/2, 5/2], [0, 0]], [[-495/2, 155/2], [-27501/70, 11301/70], [-19328/17, -3169/34], [-1809/1190, -1/1190]], [[24030, -10320], [344264/7, -202295/14], [-316950/17, -1190010/17], [2529/238, -10397/119]]], 0, 108, [], [] >,
< [ -5, -1, 1 ], [[-30, -18]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 3/2], [-61/2, -25/2], [-3/2, 3/2], [0, 0]], [[47/2, 17/2], [-233/2, -62], [17/2, 3], [-1, 0]], [[3/2, -1/2], [-1/3, 1/6], [7/6, -1/3], [-7/30, 1/15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1], [-8/3, -25/6], [4/3, -1/6], [0, 0]], [[6, -6], [-27/2, 24], [-14, 4], [-7/5, -1/10]], [[56, 40], [-1765/6, -581/3], [88/3, 16/3], [11, 11/2]]], 1, 12, [], [] >,
< [ -5, -1, 1 ], [[0, 18]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [-79/2, -23], [-1/2, 1], [0, 0]], [[-184, -100], [4337/2, 2431/2], [-44, -28], [1/10, 2/5]], [[90, 6], [-833/2, -310], [-50, 28], [28/5, -21/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 0], [77, 85/2], [-1, 1/2], [0, 0]], [[-33/2, 9], [500, 589/2], [26, -17/2], [-1, 0]], [[-7, 2], [-90, -91/2], [8, -3], [-1/10, 1/10]]], 0, 144, [], [] >,
< [ -5, -1, 1 ], [[-15, -9]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1], [0, 1/2], [-16, -7], [0, 0]], [[-21, 2], [17, -8], [229/2, 1/2], [1/2, 0]], [[73/2, 31/2], [59/14, 60/7], [-523/2, -247/2], [-17/14, -4/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -3], [-8, -1], [-5, 1], [0, 0]], [[-115/2, -25], [522/7, -4091/70], [129/2, -207/5], [-4/7, 3/70]], [[-2100, -1500], [-6749, 4254/5], [-9767/2, 8459/10], [19/2, -57/5]]], 1, 8, [], [] >,
< [ -5, -1, 1 ], [[0, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 5/2], [-55, 13/2], [11/2, 1], [0, 0]], [[-521/2, -321/2], [2274, 59], [-293, -191/2], [-1/2, 2]], [[2695/2, 2231/2], [-75675/2, 16109/2], [6335/2, 255/2], [95/2, -57/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 9/2], [54, 273/10], [-5/2, -8/5], [0, 0]], [[499, -349/2], [-1569, 5343/10], [-116, 439/10], [1, 5/2]], [[-1322, 861/2], [4274, -12513/10], [280, -1239/10], [-26, -39/2]]], 1, 8, [], [] >,
< [ -5, -1, 1 ], [[54, 36]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 1], [-53, -59/2], [-1/2, 3/2], [0, 0]], [[-75, -105/2], [2285/2, 1277/2], [-75/2, -15], [0, -1/5]], [[75, -45/2], [-69, -33], [-75/2, 15], [2, -7/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 0], [33, 45/2], [-3/2, 3/2], [0, 0]], [[15, 17/2], [177, 103], [11/2, 3], [-1, 1/10]], [[10, 3], [365/2, 27/2], [1, 2], [15, -11/2]]], 0, 144, [], [] >,
< [ -5, -1, 1 ], [[-96, -54]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 0], [-9, 1/2], [-1/2, 1/2], [0, 0]], [[-17/2, -15/2], [101/6, 64/3], [-13/3, -11/6], [-1/3, 1/15]], [[-35/2, -15/2], [299/6, 107/6], [-13/3, -17/6], [1/6, -2/15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 3/2], [17/2, 4], [1, -1/2], [0, 0]], [[2, -1/2], [-64/3, -53/6], [-1/6, 1/3], [-3/2, 1/2]], [[0, 3/2], [-243/2, -141/2], [5/2, 1], [1, -3/5]]], 1, 12, [], [] >,
< [ -5, -1, 1 ], [[-48, -27]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 1/2], [-1, 1/2], [-7, -1], [0, 0]], [[4, -1/2], [-1082/67, -103/134], [207, -15], [75/67, 1/67]], [[-19/2, -21/2], [12065/134, 8853/134], [-1395/2, -639], [-741/134, -285/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, 11/2], [23/2, 11/2], [23, 8], [0, 0]], [[-457/2, 216], [-47091/134, 14414/67], [-565, 1141/2], [-71/67, -1/134]], [[-30673, -8432], [-8525537/335, -1273568/335], [-826007/10, -118504/5], [30171/670, 13372/335]]], 1, 8, [], [] >,
< [ -5, -1, 1 ], [[15, 0]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -3/2], [-3/2, -3/2], [35, 23], [0, 0]], [[-64, 7], [-2551/67, 460/67], [2817/2, 153/2], [-193/134, 1/134]], [[141, -198], [8727/67, -7326/67], [855, 5076], [40/67, -330/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-41, -15], [179, 109], [-55, -31], [0, 0]], [[34701/2, -10505/2], [59038829/2278, -11559497/2278], [-892073/34, -1883/34], [6657/2278, 3/2278]], [[585542, 30662], [1787445333/1139, 556470456/1139], [-98268631/34, -22510715/17], [730549/2278, 167101/1139]]], 1, 32, [], [] >,
< [ -5, -1, 1 ], [[-9, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 3/2], [119/2, 13], [3/2, 3/2], [0, 0]], [[-1/2, -17/2], [1553/2, -629/2], [-67/2, 9/2], [-3/2, -5/2]], [[139/2, 44], [-397/2, 727/2], [81, 61/2], [25, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-41/2, 5/2], [25, 5/2], [55/2, -1], [0, 0]], [[-15371/2, 6079/2], [5842, -5533/2], [87613/10, -18439/5], [8/5, 2/5]], [[-2590, -5595/2], [16709/2, 11551/2], [6089, 4981], [-29/2, -8]]], 1, 8, [], [] >,
< [ -5, -1, 1 ], [[15, 0]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 3/2], [61/2, 23/2], [26, 11], [0, 0]], [[-361/2, 45], [-5375/7, 2691/14], [-969/2, 108], [-22/7, -3/14]], [[-20451, -2908], [-606241/7, -84737/7], [-61343, -12152], [-6014/7, -2728/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-71/2, 1], [165, 91/2], [4, 4], [0, 0]], [[-17139, 8091], [3156499/119, -3098423/119], [-47879/17, 547/17], [-94/119, -1/119]], [[461970, 1016334], [-153256864/17, -115379141/17], [-24509443/34, -5669822/17], [-3619/17, -3409/34]]], 1, 32, [], [] >,
< [ -5, -1, 1 ], [[18, 6]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -3], [-33/2, -23/2], [-3/2, -3/2], [0, 0]], [[1101/2, -3/2], [-7393/70, 764/35], [3845/17, 81/34], [559/595, -3/1190]], [[23/2, 1/2], [-149/70, 2/35], [84/17, 7/34], [12/595, 1/1190]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 3/2], [-97/2, 3], [3/2, 0], [0, 0]], [[655/2, 3/2], [479509/70, -1509/70], [-2158/17, 27/34], [-619/1190, -1/1190]], [[2297/2, 451], [8282807/350, 3212403/350], [-74099/170, -28591/170], [-5396/2975, -2109/2975]]], 1, 32, [], [] >,
< [ -5, -1, 1 ], [[42, 0]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1], [3/2, 15/2], [-5/2, 3/2], [0, 0]], [[-73, 15/2], [-7494/35, -951/35], [18621/34, -104/17], [2903/1190, -3/1190]], [[-10162, 12493/2], [-45294/5, 88789/5], [110157/2, -46289], [2349/10, -2059/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, -5/2], [-7, -7/2], [-22, -3/2], [0, 0]], [[-293/2, 289], [1267473/350, 25896/175], [252539/170, -24579/170], [1737/5950, -1/2975]], [[-4239/2, -5191/2], [-2110663/70, -679297/70], [-170815/17, -64675/34], [-2727/1190, -783/1190]]], 1, 192, [], [] >,
< [ -5, -1, 1 ], [[-90, -18]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, 11/2], [105/2, 32], [3/2, 2], [0, 0]], [[529/2, -161/2], [-1315/2, 607/2], [-621/2, 115], [-3/2, 5/2]], [[0, 0], [7/2, 2], [0, 0], [-1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -5/2], [-143/2, -39], [-1/2, -1], [0, 0]], [[60, -60], [-404, -377], [-140, 40], [2, 2]], [[-168, 48], [-861/2, -21/2], [192, -72], [5/2, 0]]], 0, 864, [], [] >,
< [ -5, -1, 1 ], [[90, 48]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 0], [13, 17/2], [-1, 1/2], [0, 0]], [[21/2, 7/2], [5/6, 23/6], [-7/6, 7/3], [17/6, 5/6]], [[91, -31/2], [-185/2, 43], [-173/2, 71/2], [55/2, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1/2], [11/6, 1/3], [5/6, -2/3], [0, 0]], [[3/2, 5/2], [7/6, -5/6], [19/6, -1/3], [1/2, -1/2]], [[0, -10], [-49/6, 13/3], [-50/3, 10/3], [-4, 5/2]]], 1, 72, [], [] >,
< [ -5, -1, 1 ], [[45, 24]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1], [-1, 0], [-45, -24], [0, 0]], [[45, -1/2], [-471/14, 179/14], [-245/2, 137], [22/7, 3/14]], [[-5683/2, 2725/2], [55743/14, -9872/7], [28030, -7988], [-1128/7, 611/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35/2, -11/2], [19/2, 8], [25, 10], [0, 0]], [[447/2, 58], [-930/7, -6383/70], [-977/2, -551/5], [-15/7, -1/70]], [[-1604, 275], [18/7, 10509/35], [3781, -3679/5], [171/7, -247/35]]], 1, 32, [], [] >,
< [ -5, -1, 1 ], [[15, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -9/2], [-95/2, 14], [15/2, 15/2], [0, 0]], [[-228, -41/2], [1620, -1259/2], [340, 133/2], [0, -1/2]], [[63/2, -57], [-2387/2, 405], [-5/2, 85], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -2], [209/2, 109/10], [-4, -13/10], [0, 0]], [[-163/2, -761/2], [-21403/2, 88263/10], [39/2, -2831/10], [-3/2, -1/2]], [[-3236, 6525], [330279, -918544/5], [-4032, 25303/5], [24, 5]]], 1, 32, [], [] >,
< [ -5, -1, 1 ], [[0, -15]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 3/2], [-15/2, 3/2], [-25, -16], [0, 0]], [[-603/2, 161], [-73385/134, 10635/67], [-993/2, 111], [217/134, 1/67]], [[-5685/2, -1909/2], [73585/134, 160593/134], [1905, 1809], [-1495/67, -949/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-40, 12], [-140, -76], [25, 22], [0, 0]], [[-205598, 75813], [122046540/1139, 93436275/1139], [-2680261/34, -26459/17], [-1021/2278, -1/1139]], [[30861851/2, -5819509/2], [366859557085/2278, 201742201565/2278], [-1247358689/34, -783621461/34], [-449899/2278, -285503/2278]]], 1, 128, [], [] >,
< [ -5, -1, 1 ], [[0, -15]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -5/2], [117/2, 40], [65, 41], [0, 0]], [[-665, 346], [-33953/7, 2680/7], [-6865/2, -74], [-25/7, -5/14]], [[-4403/2, -215], [63027/7, 131541/14], [20815/2, 8414], [99/7, 143/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-36, 2], [-98, -123], [-20, -11], [0, 0]], [[100, -71/2], [-615705/238, 2875/238], [-7710/17, -699/34], [-113/238, -5/238]], [[954, -396], [17841888/119, 11722072/119], [1042225/34, 331115/17], [3807/119, 4841/238]]], 1, 192, [], [] >,
< [ -5, -1, 1 ], [[828, 462]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, 6], [35, 16], [4, 2], [0, 0]], [[297/2, 80], [2659/6, 1471/6], [305/6, 173/6], [-13/6, -1/6]], [[415/2, -127/2], [351/2, -30], [-27, 27/2], [-70, 25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -2], [53/3, 23/3], [-8/3, -2/3], [0, 0]], [[553, -357/2], [389/3, -787/3], [-679/6, 196/3], [-1, -5/2]], [[-14861, 10241/2], [-15225/2, 9935/2], [7161/2, -1540], [-26, 39]]], 1, 72, [], [] >,
< [ -5, -1, 1 ], [[-126, -54]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -5/2], [1/2, -3/2], [-3/2, -1], [0, 0]], [[45, 24], [-19/2, 17/2], [15, 9], [-1, 3/2]], [[-175, -133], [-502, 155], [-98, -35], [-77, 22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 0], [17, 9], [-1, 1], [0, 0]], [[15/2, 13/2], [102, 59], [5, 3/2], [3/2, 1/2]], [[75/2, -5], [120, 89/2], [-25/2, 15/2], [-3, 2]]], 0, 864, [], [] >,
< [ -5, -1, 1 ], [[414, 231]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1], [-1/2, 1], [-157, -88], [0, 0]], [[-35/2, 15/2], [19/2, 15/2], [-3471/2, -132], [-3/2, 0]], [[0, 0], [171/67, -54/67], [-285/2, 45], [-19/134, 3/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-159/2, -49], [-159/2, -49], [-179, -101], [0, 0]], [[-4787, 2629/2], [-337072/67, 176697/134], [-4131/2, -429/2], [59/134, -1/134]], [[11728, -2555], [4173471/335, -827671/335], [66251/10, 7777/5], [-883/670, -51/335]]], 1, 32, [], [] >,
< [ -5, -1, 1 ], [[-45, -30]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 0], [-1, 0], [-535, -295], [0, 0]], [[55/2, -13], [5467/134, -835/67], [-9569/2, -2668], [-99/134, -2/67]], [[-218, 165/2], [-18746/67, 13035/134], [6695, 3725], [230/67, -55/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[41/2, 37/2], [-103/2, -41/2], [360, 195], [0, 0]], [[-48274, 18362], [-75453164/1139, 21422893/1139], [1440244/17, -76093/34], [-1561/1139, -5/2278]], [[6701223/2, -1496465/2], [166466763/134, -339133485/134], [9869267, 8372363], [-12048/67, -9680/67]]], 1, 192, [], [] >,
< [ -5, -1, 1 ], [[21, 9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13, 15/2], [-511/2, -137], [-179/2, -101/2], [0, 0]], [[-109, 100], [-5289, 751], [-65, -390], [1, 0]], [[-1637/2, -1627/2], [63239/2, 18883/2], [14665/2, 9755/2], [-17/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -5/2], [25, -25/2], [-35/2, -10], [0, 0]], [[5, 0], [342, -125], [3, 2], [1, 0]], [[-141/2, -27], [-2891/2, 590], [-963/10, -276/5], [-141/10, -27/5]]], 1, 32, [], [] >,
< [ -5, -1, 1 ], [[-45, -30]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -2], [-4, -1], [-136, -79], [0, 0]], [[74, -31], [744/7, -312/7], [-979/2, 70], [-9/7, 1/14]], [[-475/2, 7/2], [-4787/14, 34/7], [-2783/2, -2843/2], [-85/14, -34/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-64, -8], [758, 337], [240, 135], [0, 0]], [[-691029/2, 249699/2], [251502739/238, -47442771/119], [-391967/17, -3103/34], [401/238, 3/238]], [[34039389, -22537801/2], [-28990216797/238, 6232684877/238], [-111935077/17, -83188303/17], [58000/119, 42900/119]]], 1, 128, [], [] >,
< [ -5, -1, 1 ], [[75, 0]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 3/2], [-5/2, 3/2], [30, 15], [0, 0]], [[259, -40], [-45, -40], [1149, 171], [2, 0]], [[-877/2, -126], [42625/134, 12534/67], [-7477/2, -1784], [-667/134, -138/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-115, -9], [335, 225], [-125, -65], [0, 0]], [[188773/2, -31894], [33010595/2278, -35113199/1139], [590630/17, -9575/34], [-1620/1139, -3/2278]], [[-1345296, 200616], [4122774235/1139, 2800278725/1139], [-74319407/34, -33962543/34], [208163/2278, 95893/2278]]], 1, 768, [], [] >,
< [ -5, -1, 1 ], [[75, 0]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, -5], [-13, -2], [465, 255], [0, 0]], [[30011/2, -5283], [162889/7, -115937/14], [-49355/2, 4922], [-13/7, 3/14]], [[27522, -8755/2], [74225/2, -20049/2], [-563985/2, -130401], [-31, -31/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[37/2, -13/2], [-569/2, -113], [-75, -45], [0, 0]], [[51019/2, -18289/2], [-14105237/238, 3572995/119], [276145/34, 487/34], [69/238, 1/119]], [[132569/2, -47859/2], [32700029/238, 28696257/119], [2009535/17, 921636/17], [533/119, 250/119]]], 1, 768, [], [] >,
< [ -5, -1, 1 ], [[-36, -36]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19, 10], [-90, -51], [0, 0]], [[0, 0], [34109/14, -194/7], [11657/17, 740/17], [-333/238, 1/238]], [[0, 0], [23930289/35, -17711973/70], [2826796/17, -1059719/17], [-460153/1190, 85254/595]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -1], [-54, -30], [0, 0]], [[0, 0], [-7377/70, -303/70], [-1533/17, -15/17], [36/595, 3/1190]], [[0, 0], [-977/35, 2459/70], [-503/17, 511/17], [19/1190, -12/595]]], 0, 540, [], [] >,
< [ -5, -1, 1 ], [[-36, -36]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57, -30], [15, 3], [0, 0]], [[0, 0], [939567/70, 491913/70], [-60364/17, -16696/17], [-631/595, -3/1190]], [[0, 0], [3751508/35, 1225729/70], [-1883236/17, 493664/17], [-71891/1190, 11803/595]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 10], [-23, -8], [0, 0]], [[0, 0], [989/70, 5983/35], [222/17, -3327/17], [571/1190, -1/1190]], [[0, 0], [886651/35, -647827/70], [-536822/17, 195622/17], [-50297/1190, 8906/595]]], 0, 540, [], [] >,
< [ -5, -1, 1 ], [[24, 12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -5/2], [-23, -19/2], [-11/2, -1], [0, 0]], [[1/2, 1/2], [3, -1/2], [-1/2, 0], [1, 0]], [[10, 0], [-18, 24], [-20, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 7], [17, 8], [0, 0]], [[-23/2, -11/2], [-173, 36], [-1, -87/2], [-3/2, -2]], [[-65/2, -10], [-1350, 425], [617/2, -419/2], [5, -15/2]]], 1, 16, [], [] >,
< [ -5, -1, 1 ], [[0, 36]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [64, 77/2], [0, 0], [1/10, -1/10]], [[0, 0], [-6, -3], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [-66, -69/2], [0, 0], [-3/2, -1/2]], [[0, 0], [-36, -6], [0, 0], [-13/5, 3/5]]], 0, 720, [], [] >,
< [ -5, -1, 1 ], [[-60, -36]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-4, 5/2], [-1, 1], [-1/10, 1/10]], [[0, 0], [-16/3, -17/6], [-13/3, -7/3], [-13/30, -7/30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, -13], [5, 0], [0, 0]], [[0, 0], [-79/3, -52/3], [164/3, -52/3], [0, 0]], [[0, 0], [1/2, 1/2], [0, 0], [-3/10, -1/5]]], 1, 60, [], [] >,
< [ -5, -1, 1 ], [[0, 48]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 0], [-42, -12], [0, 0]], [[0, 0], [76/7, 58/7], [-89, -59], [15/7, -2/7]], [[0, 0], [-24/7, 6/7], [7, -2], [-4/7, 1/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, 40], [30, 18], [0, 0]], [[0, 0], [5300, 1446], [601, 1045], [-5, 0]], [[0, 0], [-250708/7, -106286/35], [2155, -33754/5], [304/7, -247/35]]], 0, 1280, [], [] >,
< [ -5, -1, 1 ], [[0, 48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, -10], [-26, -8], [0, 0]], [[0, 0], [12, 1], [-1, 1], [1, 0]], [[0, 0], [80, -52], [38, 38], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-134, -244/5], [-2, 8/5], [0, 0]], [[0, 0], [-6, 17/5], [3, 1/5], [1, 0]], [[0, 0], [14, 124/5], [-2, 2/5], [0, 0]]], 0, 1920, [], [] >,
< [ -5, -1, 1 ], [[-192, -108]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-49/3, -10/3], [10/3, 4/3], [-1/3, -2/15]], [[0, 0], [-159/2, 40], [5, -5], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/3, 17/3], [-11/3, 1/3], [0, 0]], [[0, 0], [-32/3, 16/3], [-16/3, 5/3], [0, 0]], [[0, 0], [-1/2, -1/2], [0, 0], [0, -1/10]]], 1, 60, [], [] >,
< [ -5, -1, 1 ], [[108, 72]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -1], [1, 0], [0, 0]], [[0, 0], [137/2, 77/2], [0, 0], [0, 1/10]], [[0, 0], [3, 0], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [45/2, 24], [0, 0], [-3/2, 1/2]], [[0, 0], [-234, -183], [0, 0], [7, -11/5]]], 0, 720, [], [] >,
< [ -5, -1, 1 ], [[144, 96]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -10], [14, 8], [0, 0]], [[0, 0], [2194/67, 1430/67], [-924, -15], [-308/67, -5/67]], [[0, 0], [18178/67, 8788/67], [1035, -2760], [345/67, -920/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -6], [22, 4], [0, 0]], [[0, 0], [526992/335, 21788/335], [-1964/5, -821/5], [-378/335, 3/335]], [[0, 0], [3941104/335, 490896/335], [-16913/5, -7712/5], [-2771/335, -204/335]]], 0, 1280, [], [] >,
< [ -5, -1, 1 ], [[240, 0]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 8], [-20, -14], [0, 0]], [[0, 0], [11886/67, -72/67], [738, -72], [-102/67, 4/67]], [[0, 0], [-940/67, 4740/67], [-195, 276], [15/67, -40/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-386, 0], [-70, 2], [0, 0]], [[0, 0], [-221581884/1139, 30198070/1139], [-984242/17, 90658/17], [4438/1139, 2/1139]], [[0, 0], [199101010356/1139, 76460202442/1139], [1016233586/17, 423033737/17], [-5827954/1139, -2695497/1139]]], 0, 7680, [], [] >,
< [ -5, -1, 1 ], [[144, 96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98, 2], [-50, -26], [0, 0]], [[0, 0], [6, 1], [-1, 1], [1, 0]], [[0, 0], [-448, 308], [-168, -114], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112, -2], [0, -6], [0, 0]], [[0, 0], [7781, -1625], [1687/5, -1632/5], [-16/5, 1/5]], [[0, 0], [-69480, -31928], [51552/5, 31738/5], [264/5, 136/5]]], 0, 1920, [], [] >,
< [ -5, -1, 1 ], [[240, 0]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 40], [40, 22], [0, 0]], [[0, 0], [-1202/7, -74/7], [19, 4], [-30/7, -3/7]], [[0, 0], [14954/7, -6122/7], [-158, 73], [341/7, -143/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-214, 208], [36, 18], [0, 0]], [[0, 0], [-2403538/119, 1699062/119], [-16718/17, -65/17], [-689/119, -1/119]], [[0, 0], [-140465188/119, -119129816/119], [1471216/17, 697225/17], [60287/119, 28519/119]]], 0, 7680, [], [] >,
< [ -5, -1, 1 ], [[36, 12]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-7919/35, -377/70], [2735/17, -10/17], [-547/1190, 1/595]], [[0, 0], [-2447/7, -7482/7], [2500/17, 12500/17], [-50/119, -250/119]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [1, 0], [0, 0]], [[0, 0], [27161, 11], [-5460, 0], [2, 0]], [[0, 0], [65603/350, 42387/350], [-3198/85, -2067/85], [41/2975, 53/5950]]], 1, 160, [], [] >,
< [ -5, -1, 1 ], [[84, 0]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -11], [-8, -12], [0, 0]], [[0, 0], [23389/35, -5713/70], [3861/17, -1367/17], [-1833/1190, -1/595]], [[0, 0], [1937249/35, -662394/35], [421275/17, -150834/17], [-63114/595, 20724/595]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17, 13], [3, 8], [0, 0]], [[0, 0], [-862181/70, 4231/70], [-9689/17, 3218/17], [-607/595, -1/1190]], [[0, 0], [-1344999099/350, 118302379/350], [-17178921/85, 5852406/85], [-944653/2975, 156651/5950]]], 1, 960, [], [] >,
< [ -5, -1, 1 ], [[-180, -36]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [45/2, 33/2], [0, 0], [1/2, 2]], [[0, 0], [94, 85], [0, 0], [-4, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [87/2, 30], [0, 0], [0, -1/2]], [[0, 0], [198, 285/2], [0, 0], [1/2, -5/2]]], 0, 4320, [], [] >,
< [ -5, -1, 1 ], [[180, 96]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [1/3, -31/6], [-11/3, 1/3], [11/6, -1/6]], [[0, 0], [-74, 31], [36, -12], [-18, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44/3, 14/3], [2/3, -1/3], [0, 0]], [[0, 0], [1, 1], [0, 0], [0, 0]], [[0, 0], [1/2, 1/2], [0, 0], [1/2, 0]]], 1, 360, [], [] >,
< [ -5, -1, 1 ], [[-240, -48]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 2], [-100, -58], [0, 0]], [[0, 0], [4842/7, -1648/7], [595, -476], [-26/7, 3/7]], [[0, 0], [-4422, 1662], [-7670, 1096], [12, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, -12], [70, -2], [0, 0]], [[0, 0], [-19368/7, 15348/35], [-2863, -53/5], [-1/7, -4/35]], [[0, 0], [-1582, 512], [-1330, 380], [0, 0]]], 0, 7680, [], [] >,
< [ -5, -1, 1 ], [[-240, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 0], [70, 58], [0, 0]], [[0, 0], [12, 1], [5, 1], [1, 0]], [[0, 0], [-770, 484], [720, 144], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-272, -1012/5], [-46, -116/5], [0, 0]], [[0, 0], [14, -3/5], [-9, 1/5], [1, 0]], [[0, 0], [-3790, -490], [-180, -180], [0, 0]]], 0, 7680, [], [] >,
< [ -5, -1, 1 ], [[0, 240]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -2], [-70, -40], [0, 0]], [[0, 0], [43530/67, -1510/67], [-1320, 12], [150/67, 2/67]], [[0, 0], [-8050/67, -36064/67], [391, 1135], [-59/67, -133/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-440, 46], [40, 10], [0, 0]], [[0, 0], [-1147904920/1139, 358875004/1139], [1814469/17, -6699/17], [-4261/1139, -5/1139]], [[0, 0], [-14890110890/1139, -272481905898/1139], [3429735255/17, 2184113748/17], [-8180175/1139, -5193900/1139]]], 0, 30720, [], [] >,
< [ -5, -1, 1 ], [[0, 240]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -14], [20, -10], [0, 0]], [[0, 0], [2070/7, -374/7], [-955, 230], [16/7, 3/7]], [[0, 0], [-1040/7, -580/7], [685, 382], [-52/7, -29/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-946, -104], [-130, -10], [0, 0]], [[0, 0], [-329139530/119, 1286906/119], [-6564655/17, 229205/17], [307/119, 2/119]], [[0, 0], [4813475780/119, -11094073720/119], [130385680/17, -217236119/17], [-3949/119, 10411/119]]], 0, 46080, [], [] >,
< [ -5, -1, 1 ], [[1656, 924]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [-2, -1], [0, 0]], [[0, 0], [8/3, -1/3], [16/3, 4/3], [8/3, 2/3]], [[0, 0], [45/2, -8], [21, -7], [21/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -3], [2, -1], [0, 0]], [[0, 0], [7/3, 10/3], [-4/3, -1/3], [0, 0]], [[0, 0], [-1, 1/2], [0, 0], [1/2, 0]]], 1, 360, [], [] >,
< [ -5, -1, 1 ], [[-252, -108]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -1], [1, 0], [0, 0]], [[0, 0], [137/2, 95/2], [0, 0], [-2, 1/2]], [[0, 0], [-238, -124], [0, 0], [-1, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [33/2, 39/2], [0, 0], [-2, -5/2]], [[0, 0], [-156, 459/2], [0, 0], [45/2, -30]]], 0, 4320, [], [] >,
< [ -5, -1, 1 ], [[-336, -144]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -6], [-62, -38], [0, 0]], [[0, 0], [10710/67, 518/67], [-3949, 539], [-327/67, 1/67]], [[0, 0], [-138924/67, 63202/67], [74194, -29279], [4770/67, -2067/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150, 4], [90, 0], [0, 0]], [[0, 0], [-4743426/335, -216874/335], [49732/5, 3328/5], [504/335, -4/335]], [[0, 0], [1556824/67, 359356/67], [-16625, -4160], [-157/67, -28/67]]], 0, 7680, [], [] >,
< [ -5, -1, 1 ], [[720, 480]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -8], [250, 130], [0, 0]], [[0, 0], [-13276/67, -3100/67], [5328, 2997], [8/67, 1/67]], [[0, 0], [-38, 16], [-140, -50], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-288, -130], [-110, -50], [0, 0]], [[0, 0], [87819590/1139, -13391674/1139], [1520995/17, -75725/17], [-6775/1139, -1/1139]], [[0, 0], [-2379693794/67, 720216602/67], [-36869006, 9772846], [154814/67, -37682/67]]], 0, 46080, [], [] >,
< [ -5, -1, 1 ], [[-336, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-134, 4], [428, 242], [0, 0]], [[0, 0], [6, 1], [-1, 1], [1, 0]], [[0, 0], [21836, -8446], [6984, 3096], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 6], [10, 10], [0, 0]], [[0, 0], [83, -25], [609/5, 186/5], [-12/5, -3/5]], [[0, 0], [-162, 47], [-1389/5, -481/5], [27/5, 8/5]]], 0, 7680, [], [] >,
< [ -5, -1, 1 ], [[720, 480]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -14], [236, 134], [0, 0]], [[0, 0], [2210/7, 1488/7], [-3819, -1734], [-12/7, 3/7]], [[0, 0], [-7282/7, 858/7], [-5740, 4439], [-201/7, 73/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-364, -66], [-20, 10], [0, 0]], [[0, 0], [18117560/119, 13688054/119], [-28897/17, 1553/17], [-545/119, -2/119]], [[0, 0], [2528356896/17, 1367839660/17], [-5923559/17, -4818383/17], [-20223/17, -14980/17]]], 0, 30720, [], [] >,
< [ -5, -1, 1 ], [[1200, 0]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 14], [520, 280], [0, 0]], [[0, 0], [46210/67, 6932/67], [1997, 848], [217/67, 2/67]], [[0, 0], [151640/67, -160672/67], [-3952, -5668], [1298/67, -826/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1700, 544], [260, 110], [0, 0]], [[0, 0], [-11531768640/1139, 1453722334/1139], [-17587957/17, -261433/17], [-4497/1139, -1/1139]], [[0, 0], [-4674704080530/1139, -1819511080872/1139], [-10388134545/17, -4842282480/17], [-2569545/1139, -1183190/1139]]], 0, 184320, [], [] >,
< [ -5, -1, 1 ], [[1200, 0]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, -28], [-400, -220], [0, 0]], [[0, 0], [10854/7, 5578/7], [9945, 5808], [-32/7, 1/7]], [[0, 0], [-1782/7, 638/7], [1120, -401], [81/7, -29/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1402, -58], [100, 10], [0, 0]], [[0, 0], [-215184154/119, 15661848/119], [2068380/17, -42639/17], [-263/119, 1/119]], [[0, 0], [-29601749760/119, -13347103500/119], [327686690/17, 154908935/17], [-43433/119, -20787/119]]], 0, 184320, [], [] >,
< [ -5, -1, 1 ], [[-576, -576]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 10], [-72, -36], [0, 0]], [[0, 0], [44179/7, -2279/7], [55396/17, 19498/17], [-500/119, -1/119]], [[0, 0], [-5015318/5, 1920373/5], [-2509878/17, 1401660/17], [51373/85, -20048/85]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, -16], [420, 240], [0, 0]], [[0, 0], [-155969/35, 7354/35], [-11222/17, -64202/17], [1809/595, 1/595]], [[0, 0], [-21344112/7, 7476810/7], [63610128/17, -23983104/17], [228552/119, -79608/119]]], 0, 138240, [], [] >,
< [ -5, -1, 1 ], [[-576, -576]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -62], [-32, 16], [0, 0]], [[0, 0], [-2837/7, 214/7], [36710/17, -322/17], [-95/119, 1/119]], [[0, 0], [2298/35, -753/35], [-5226/17, 1716/17], [67/595, -22/595]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-110, -68], [4, 16], [0, 0]], [[0, 0], [174869/35, -27934/35], [149058/17, 30270/17], [-2999/595, -1/595]], [[0, 0], [2343844/35, -6195194/35], [-10631928/17, -9099312/17], [71916/595, 140144/595]]], 0, 138240, [], [] >,
< [ -5, -1, 1 ], [[-1536, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, 44], [-48, -24], [0, 0]], [[0, 0], [-210, -468], [136, 202], [6, 6]], [[0, 0], [-980, 482], [338, -182], [6, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, -4], [28, 4], [0, 0]], [[0, 0], [12734, 8208], [-5136, -3166], [2, 10]], [[0, 0], [-8762, -32594], [7066, 11476], [212, -106]]], 0, 81920, [], [] >,
< [ -5, -1, 1 ], [[0, 192]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -12], [-20, 8], [0, 0]], [[0, 0], [-13801/3, -7747/3], [1178/3, 224/3], [61/15, 4/15]], [[0, 0], [228750, 127048], [-4328, -9088], [8, -88]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26/3, -32/3], [-32/3, 16/3], [0, 0]], [[0, 0], [55, -4], [-12, 22], [24/5, 1/5]], [[0, 0], [194/3, 26/3], [44/3, 92/3], [32/5, 8/5]]], 0, 15360, [], [] >,
< [ -5, -1, 1 ], [[0, 576]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, -50], [-8, -8], [0, 0]], [[0, 0], [75, 89], [154, -48], [-3/5, -2/5]], [[0, 0], [38, -12], [-100, 36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, 64], [-12, -4], [0, 0]], [[0, 0], [-475, -187], [158, -52], [-23/5, -2/5]], [[0, 0], [-6394, -1416], [4264, -1480], [-442/5, 52/5]]], 0, 184320, [], [] >,
< [ -5, -1, 1 ], [[1728, 1152]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, -68], [20, 0], [0, 0]], [[0, 0], [715, 75], [-256, 90], [4, 1/5]], [[0, 0], [-3186, 988], [2168, -776], [-20, 32/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-110, -82], [12, -16], [0, 0]], [[0, 0], [-4648, 1704], [-5128, 1840], [2, -4/5]], [[0, 0], [1, -1], [0, 2], [0, 1/5]]], 0, 184320, [], [] >,
< [ -5, -1, 1 ], [[576, 384]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -20], [-8, -16], [0, 0]], [[0, 0], [-68/3, -215/3], [890/3, -544/3], [19/3, 2/15]], [[0, 0], [-692, -3156], [14276, -8316], [286, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46/3, 76/3], [68/3, 8/3], [0, 0]], [[0, 0], [-328/3, -433/3], [-470/3, -56/3], [-5, 4/5]], [[0, 0], [-2822/3, 1750/3], [3332/3, -892/3], [54, -18]]], 0, 15360, [], [] >,
< [ -5, -1, 1 ], [[576, 192]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -10], [20, 4], [0, 0]], [[0, 0], [-10387/35, -10418/35], [3054/17, 2690/17], [-523/595, 3/595]], [[0, 0], [1551766/35, 626614/35], [-401080/17, -172800/17], [124/595, 15376/595]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [530, -90], [20, -16], [0, 0]], [[0, 0], [-7444202/175, 5156192/175], [119344/85, -37244/85], [-7188/2975, -2/2975]], [[0, 0], [-385221/35, 36599886/35], [535626/17, -111502/17], [-58479/595, -16791/595]]], 0, 40960, [], [] >,
< [ -5, -1, 1 ], [[1344, 0]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -36], [-188, -16], [0, 0]], [[0, 0], [261468/35, 82137/35], [67358/17, 98620/17], [-3023/595, -2/595]], [[0, 0], [-21580948/35, 5237198/35], [948800, -442360], [30284/35, -9944/35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [274, -16], [104, -12], [0, 0]], [[0, 0], [5019253/175, -607063/175], [876684/85, -118214/85], [4832/2975, 3/2975]], [[0, 0], [-60703/175, -39237/175], [-9924/85, -6406/85], [-82/2975, -53/2975]]], 0, 245760, [], [] >,
< [ -5, -1, 1 ], [[-960, -192]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -18], [8, 16], [0, 0]], [[0, 0], [900, 767], [-1206, -178], [3, -1]], [[0, 0], [34889/3, 21632/3], [-25252/3, -10066/3], [26/3, -7/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2/3, 2/3], [32/3, -4/3], [0, 0]], [[0, 0], [3, 1], [2, 0], [1, 0]], [[0, 0], [2, 2], [24, 0], [0, 0]]], 0, 92160, [], [] >,
< [ -5, -1, 1 ], [[-2880, -576]], [ -10, 2 ], [ -20, -11 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98, -42], [16, -12], [0, 0]], [[0, 0], [1, -1], [2, 0], [1, 0]], [[0, 0], [906, 696], [432, -72], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [228, 110], [-20, 12], [0, 0]], [[0, 0], [3, 1], [2, 0], [1, 0]], [[0, 0], [-3742, -1760], [396, -220], [0, 0]]], 0, 1105920, [], [] >,
< [ -5, -1, 1 ], [[-1344, -576]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -2], [68, 40], [0, 0]], [[0, 0], [-153, 85], [-680, -126], [-4, 1]], [[0, 0], [-41914/3, 15098/3], [-63608/3, 21784/3], [-796/3, 284/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 14], [8, -4], [0, 0]], [[0, 0], [2, 1], [2, 0], [1, 0]], [[0, 0], [-2/3, 16/3], [8/3, -4/3], [0, 0]]], 0, 92160, [], [] >,
< [ -5, -1, 1 ], [[-4032, -1728]], [ -26, -14 ], [ -13, -7 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164, 108], [-12, -16], [0, 0]], [[0, 0], [0, -1], [2, 0], [1, 0]], [[0, 0], [28, -126], [-72, 40], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, -54], [-8, 20], [0, 0]], [[0, 0], [0, -1], [2, 0], [1, 0]], [[0, 0], [246, 498], [-504, 84], [0, 0]]], 0, 1105920, [], [] >,
< [ -5, -1, 1 ], [[60, 33]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, 6], [10, 4], [2, -1], [0, 0]], [[45/2, 25/2], [281/14, 55/7], [-13/2, 4], [3/7, -5/14]], [[23, 13], [7, 13], [49/2, -7], [-2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 2], [10, -5], [-12, -3], [0, 0]], [[379, -213/2], [-11089/14, 15907/70], [545/2, 583/10], [-27/14, 2/35]], [[-42221/2, 3427/2], [606429/14, -147942/35], [-76667/2, -174181/10], [2669/14, 2041/35]]], 1, 24, [], [] >,
< [ -5, -1, 1 ], [[15, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1], [-45/2, 51/2], [6, -3/2], [0, 0]], [[-43/2, -14], [-913/2, -306], [-51/2, -8], [1/2, 0]], [[22, 14], [455, 305], [26, 8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-51/2, 2], [-673/2, -263/10], [7, 1/10], [0, 0]], [[-25/2, -1], [-615/2, -113/10], [6, -19/10], [2, -2]], [[181, 241/2], [3914, 13537/5], [19/2, -59/5], [117/2, 45/2]]], 1, 24, [], [] >,
< [ -5, -1, 1 ], [[15, 6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 5/2], [-55, -29/2], [7/2, 2], [0, 0]], [[-1/2, -3/2], [1193/2, -479/2], [-1/2, -3/2], [-1/2, -3/2]], [[-50, -35/2], [-5925, 3157/2], [-50, -35/2], [-50, -35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-65/2, 2], [-1029/2, -729/10], [9, 3/10], [0, 0]], [[60661/2, -10247], [666871/2, -206027/2], [-7203, 4713/2], [-1, 2]], [[-490312, 245377], [-8010953/2, 32865237/10], [210753/2, -314897/5], [255, 187/2]]], 1, 24, [], [] >,
< [ -5, -1, 1 ], [[183, 102]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 5/2], [11/2, 5/2], [-20, -11], [0, 0]], [[473, -243/2], [28532/67, -16317/134], [1013/2, 73], [351/134, 1/67]], [[-669, 1079/2], [-48153/67, 60305/134], [1193, 1163], [185/67, 333/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-71/2, -1], [-71/2, -1], [-6, -3], [0, 0]], [[-3548, 1877/2], [-698537/335, 626669/670], [-577/10, -553/10], [461/670, -1/670]], [[-136896, -23592], [1138259/335, 13364121/335], [-176481/10, -102699/10], [44213/670, 20007/670]]], 1, 24, [], [] >,
< [ -5, -1, 1 ], [[12, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 2], [-7/2, 47/2], [1, 5/2], [0, 0]], [[-362, 175], [41131/2, -14189/2], [3161/2, -530], [-2, 5/2]], [[-11145, 715/2], [329696, -280077/2], [23715, -22805/2], [-225, -125/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [-145/2, -5], [5/2, 5/2], [0, 0]], [[-42, -23], [-776, -817/2], [59/2, 89/2], [3/2, 0]], [[3/2, -1/2], [-31/2, 5], [128/5, -48/5], [-4/5, 3/10]]], 1, 24, [], [] >,
< [ -5, -1, 1 ], [[12, 3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1], [28, 22], [-5, 1], [0, 0]], [[-21, -45/2], [1939/2, 1273/2], [-77, 4], [-1/2, 1]], [[585/2, 124], [-17123/2, -8863/2], [9, 353/2], [-12, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, -1/2], [-28, 1/2], [25/2, 2], [0, 0]], [[-399, 289/2], [-1527, 553], [4707/10, -866/5], [-1/10, 1/10]], [[17, 51/2], [53/2, 76], [-85/2, -85/2], [0, 0]]], 1, 24, [], [] >,
< [ -5, -1, 1 ], [[123, 69]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 4], [7, 5/2], [15, 9], [0, 0]], [[-77, -143], [-2811/5, 331/5], [-483/2, -300], [3/5, -1/10]], [[-1045, -1045], [-15707/5, 2/5], [-2677, -2257], [16/5, -1/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, 11/2], [19/2, 7/2], [-22, -10], [0, 0]], [[-423/2, -221/2], [-257/2, -99], [761/2, 485/2], [-1/2, 0]], [[126, 43], [-159/5, 399/5], [-81, -150], [7/5, -2/5]]], 1, 24, [], [] >,
< [ -5, -1, 1 ], [[123, 69]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -4], [0, -2], [7, 1], [0, 0]], [[322, 455/2], [1713/10, 317/10], [-191/2, -136], [-17/5, -1/10]], [[65709/2, 33957/2], [65237/10, 27334/5], [-18148, -7771], [-323/5, -437/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -4], [-6, -3], [-10, -1], [0, 0]], [[-39/2, -17/2], [-139/10, -23/5], [-10, -1], [-9/5, -1/5]], [[0, -1/2], [3/10, -3/10], [-1, 1/2], [1/10, -1/10]]], 1, 24, [], [] >,
< [ -5, -1, 1 ], [[-21, -21]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 3/2], [3/2, 3/2], [104, 2], [0, 0]], [[-24, -51/2], [-807/10, 17/10], [7193/2, -1817], [3/5, -1/10]], [[-120, -62], [-352/5, -293/5], [-6995/2, -376], [1/5, 3/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -9/2], [-17/2, -5/2], [68, 32], [0, 0]], [[290, 349/2], [2907/10, 1153/10], [-2566, -2651/2], [-1/10, 1/10]], [[0, -29/2], [-145/2, 29/2], [287, 14], [0, 0]]], 1, 192, [], [] >,
< [ -5, -1, 1 ], [[-21, -21]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, 5/2], [-3/2, 2], [125, 65], [0, 0]], [[45, 30], [149/5, 26/5], [1103, 1111/2], [-49/10, -1/10]], [[-305, 55], [2771/5, -1086/5], [1794, -1761], [-648/5, 243/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13, -15/2], [-23/2, -11/2], [-50, -26], [0, 0]], [[-103, -101/2], [-57/2, -129/2], [-623, -595/2], [7/2, 1/2]], [[-5634, 2297/2], [317037/10, -121017/10], [-39304, 17797/2], [9919/10, -3379/10]]], 1, 192, [], [] >,
< [ -5, -1, 1 ], [[-165, -93]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 7/2], [11/2, 5/2], [55, 34], [0, 0]], [[-5, -14], [-477/7, 72/7], [235, -421/2], [-19/14, 3/14]], [[-34, -48], [-1369/7, 113/7], [445, -1279/2], [-55/14, 5/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -3/2], [1/2, 17], [15, 15], [0, 0]], [[200, -70], [-984, 297], [-20, 145], [2, 0]], [[-150, 20], [12490/7, 17921/35], [-2986, -17557/10], [-235/14, -611/70]]], 1, 96, [], [] >,
< [ -5, -1, 1 ], [[30, 21]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1], [50, 26], [5, 2], [0, 0]], [[-122, 43], [306, -169/2], [285/2, -107/2], [1/2, 1]], [[-153/2, 53/2], [207, -87/2], [175/2, -34], [1, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19, 17/2], [669/2, 537/5], [27/2, 57/10], [0, 0]], [[-4371/2, -965], [-38896, -11977], [-3135/2, -1263/2], [2, -5/2]], [[13848, 24959/2], [84296, 456677/2], [8040, 18047/2], [93, -31/2]]], 1, 96, [], [] >,
< [ -5, -1, 1 ], [[30, 21]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 0], [85/2, -5/2], [5, 1/2], [0, 0]], [[1639/2, 613/2], [-8621, -5905/2], [-2795/2, -595], [2, -1]], [[-41941/2, -23235/2], [211327, 116873], [38230, 42465/2], [17/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[95/2, 5/2], [945, 165/2], [75/2, 0], [0, 0]], [[-77, 2711/2], [2959, 275747/10], [-327, 10361/10], [-1, -1/2]], [[-64, 4], [-1249, 196/5], [-52, 28/5], [0, 0]]], 1, 96, [], [] >,
< [ -5, -1, 1 ], [[-1569, -876]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 9/2], [12, 9/2], [-83, -47], [0, 0]], [[1763/2, 1407/2], [124007/134, 94251/134], [-25455/2, -11385/2], [-327/134, 1/134]], [[177041, -55760], [10552247/67, -3258920/67], [1043070, -450795], [72750/67, -26500/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -5/2], [-7, -5/2], [41, -1], [0, 0]], [[2411/2, 847], [-3271/2, 847], [-1085/2, -3280], [3/2, 0]], [[154936, 88444], [3527012/335, 8575983/335], [-1951504/5, -2512457/10], [25542/335, 22231/670]]], 1, 96, [], [] >,
< [ -5, -1, 1 ], [[-3, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -3/2], [3/2, -9], [-33/2, 3/2], [0, 0]], [[-26, 9/2], [165/2, 57], [185/2, 5/2], [-1, 2]], [[247/2, -57/2], [-501/2, -389/2], [-805/2, 55/2], [17/2, -17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1], [121/2, 19/2], [-10, -5/2], [0, 0]], [[-33/2, -43], [12773/2, -2377/2], [-4356/5, 1077/10], [8/5, 2/5]], [[-3089/2, -59], [-216573/2, 52559], [25233/2, -7079], [1/2, 12]]], 1, 96, [], [] >,
< [ -5, -1, 1 ], [[-3, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, -2], [-126, -39], [-30, 0], [0, 0]], [[-5475/2, 751], [23586, 7529/2], [7199, -1019], [-3/2, 1/2]], [[171/2, 133/2], [-5551, -6353/2], [-1349/2, -418], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, -9/2], [-43, -29/2], [-95/2, -10], [0, 0]], [[202, 471/2], [2980, 297], [39231/10, -988/5], [17/10, 3/10]], [[-17569/2, -3061/2], [18364, -54625/2], [515867/10, -184166/5], [22/5, -77/5]]], 1, 96, [], [] >,
< [ -5, -1, 1 ], [[-84, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3], [-411/2, -243/2], [6, 3/2], [0, 0]], [[1/2, 1/2], [1, -5/2], [-1/2, 0], [1, 0]], [[-7/2, -3], [365/2, 233/2], [-8, -1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [106, 58], [22, 10], [0, 0]], [[6, 3], [-17, -8], [0, 3], [1, 1]], [[-11/2, -5/2], [17, 7], [3, -7/2], [-1/2, -1]]], 1, 48, [], [] >,
< [ -5, -1, 1 ], [[-84, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [-353/2, -100], [-5/2, 1/2], [0, 0]], [[1/2, 1/2], [3, -1/2], [-1/2, 0], [1, 0]], [[11/2, 4], [4209/2, 2355/2], [9, 3/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [133, 73], [10, 1], [0, 0]], [[5, 7/2], [-2068, -1118], [-461/2, 21], [5/2, 1/2]], [[143/2, 11/2], [-10009, -7362], [7547, -6133/2], [-77/2, 22]]], 1, 48, [], [] >,
< [ -5, -1, 1 ], [[-240, -96]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 2], [-2, -8], [0, 0]], [[0, 0], [412/7, -54/7], [-49, 23], [43/7, -2/7]], [[0, 0], [-3368/7, -3862/7], [-705, -42], [-594/7, -513/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [172, 82], [24, 0], [0, 0]], [[0, 0], [-34012/7, 44944/35], [-3371, 6446/5], [20/7, 3/35]], [[0, 0], [-237750/7, -159594/35], [-9206, 31424/5], [352/7, 792/35]]], 0, 3840, [], [] >,
< [ -5, -1, 1 ], [[-240, -96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 20], [-10, 2], [0, 0]], [[0, 0], [-8, -1], [-1, 1], [1, 0]], [[0, 0], [40, 22], [-14, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [256, -454/5], [-8, 8/5], [0, 0]], [[0, 0], [14, -33/5], [3, 1/5], [1, 0]], [[0, 0], [20, -22], [2, 2], [0, 0]]], 0, 5760, [], [] >,
< [ -5, -1, 1 ], [[-240, -96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [220, 40], [-38, -8], [0, 0]], [[0, 0], [2, 3], [-1, 1], [1, 0]], [[0, 0], [1350, 516], [-240, -96], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -350], [10, 10], [0, 0]], [[0, 0], [-6, 17/5], [3, 1/5], [1, 0]], [[0, 0], [-3608, -15328/5], [154, 506/5], [0, 0]]], 0, 5760, [], [] >,
< [ -5, -1, 1 ], [[-192, -48]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -10], [-46, -16], [0, 0]], [[0, 0], [187104/67, 109416/67], [1059, 3444], [-367/67, -4/67]], [[0, 0], [-9232422/67, -4935650/67], [-331902, -59712], [-2742/67, 7312/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94, 76], [8, -4], [0, 0]], [[0, 0], [-4700844/335, -208486/335], [593/5, 1007/5], [1131/335, -1/335]], [[0, 0], [-329115326/335, -182714084/335], [211027/5, 118093/5], [70339/335, 39001/335]]], 0, 3840, [], [] >,
< [ -5, -1, 1 ], [[-192, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-136, -34], [2, 2], [0, 0]], [[0, 0], [-2, -1], [-1, 1], [1, 0]], [[0, 0], [-6, 6], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [394, -14], [-110, -2], [0, 0]], [[0, 0], [-2133, -1367], [4301/5, 2184/5], [32/5, 3/5]], [[0, 0], [55, -19], [169/5, -64/5], [8/5, -3/5]]], 0, 5760, [], [] >,
< [ -5, -1, 1 ], [[-192, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -32], [10, 10], [0, 0]], [[0, 0], [14, 3], [-1, 1], [1, 0]], [[0, 0], [2, -22], [-4, 8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [374, -4], [-100, -4], [0, 0]], [[0, 0], [-35173, -10880], [51616/5, 17799/5], [37/5, 3/5]], [[0, 0], [1102375, -71600], [-297668, 6697], [-351, 81]]], 0, 5760, [], [] >,
< [ -5, -1, 1 ], [[-384, -240]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 2], [46, 22], [0, 0]], [[0, 0], [308/5, 22/5], [-601, -340], [-24/5, -1/5]], [[0, 0], [-648/5, 758/5], [-2446, -1333], [59/5, -59/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 4], [-42, -18], [0, 0]], [[0, 0], [5568/5, 1972/5], [-2552, -1271], [21/5, -1/5]], [[0, 0], [-364, -2364], [5902, 4756], [22, -12]]], 0, 5760, [], [] >,
< [ -5, -1, 1 ], [[-384, -240]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 4], [2, -4], [0, 0]], [[0, 0], [-14/5, -116/5], [-30, 12], [-68/5, -2/5]], [[0, 0], [2094/5, 516/5], [-205, 59], [63/5, 252/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -14], [22, 4], [0, 0]], [[0, 0], [676, 424], [-273, -195], [1, 0]], [[0, 0], [-2504/5, -2276/5], [128, 233], [-13/5, 3/5]]], 0, 5760, [], [] >,
< [ -5, -1, 1 ], [[-336, -336]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -10], [202, 100], [0, 0]], [[0, 0], [-3294/5, -1126/5], [3902, 2213], [37/5, 3/5]], [[0, 0], [-16/5, 6/5], [-155, 58], [8/5, -3/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 22], [86, 38], [0, 0]], [[0, 0], [9336, 5512], [17077, 10072], [-6, -1]], [[0, 0], [278996/5, -122926/5], [100040, -44239], [2387/5, -847/5]]], 0, 46080, [], [] >,
< [ -5, -1, 1 ], [[-336, -336]], [ -10, -1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -4], [148, -2], [0, 0]], [[0, 0], [-9748/5, -232/5], [-13555, 14489], [-31/5, -4/5]], [[0, 0], [13078, 72568], [-2597466, -68508], [160, 256]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -18], [34, 16], [0, 0]], [[0, 0], [-2708/5, -1052/5], [202, 163], [9/5, 1/5]], [[0, 0], [7268/5, -3148/5], [856, -242], [-64/5, 24/5]]], 0, 46080, [], [] >,
< [ -5, -1, 1 ], [[480, 336]], [ -10, -1 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -8], [110, 2], [0, 0]], [[0, 0], [-5440/7, -264/7], [-1585, 2045], [-83/7, -2/7]], [[0, 0], [-68726, -60376], [610950, 178284], [-946, -880]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, -4], [-110, -2], [0, 0]], [[0, 0], [20002/7, -28674/35], [3149, -3671/5], [-59/7, 2/35]], [[0, 0], [-127734/7, -1633904/35], [-70781, -385921/5], [5339/7, 17422/35]]], 0, 23040, [], [] >,
< [ -5, -1, 1 ], [[480, 336]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-310, -34], [-190, -4], [0, 0]], [[0, 0], [-8, -1], [5, 1], [1, 0]], [[0, 0], [-13920, -12702], [-5640, -6768], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 206/5], [-2, 8/5], [0, 0]], [[0, 0], [14, -3/5], [-9, 1/5], [1, 0]], [[0, 0], [-60, -30], [0, 0], [0, 0]]], 0, 23040, [], [] >,
< [ -5, -1, 1 ], [[480, 336]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 26], [-130, 2], [0, 0]], [[0, 0], [2, 3], [5, 1], [1, 0]], [[0, 0], [4800, 2382], [-4380, -3942], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-348, -708/5], [-54, -144/5], [0, 0]], [[0, 0], [-6, 47/5], [-9, 1/5], [1, 0]], [[0, 0], [-232, 118/5], [-16, -26/5], [0, 0]]], 0, 23040, [], [] >,
< [ -5, -1, 1 ], [[48, 192]], [ -31, -4 ], [ -2, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 4], [-96, -54], [0, 0]], [[0, 0], [19554/67, 250/67], [-1986, -39], [-126/67, 1/67]], [[0, 0], [-792138/67, 291978/67], [79420, -29300], [5304/67, -1950/67]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96, -18], [-58, 8], [0, 0]], [[0, 0], [-2030944/335, 218214/335], [3928/5, -1988/5], [836/335, 4/335]], [[0, 0], [-13747496/67, -7081050/67], [-12937, -9058], [8027/67, 4278/67]]], 0, 23040, [], [] >,
< [ -5, -1, 1 ], [[48, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, 2], [-160, -10], [0, 0]], [[0, 0], [14, 3], [-1, 1], [1, 0]], [[0, 0], [148, -158], [154, -314], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, 10], [70, 40], [0, 0]], [[0, 0], [116, -45], [363/5, -173/5], [-9/5, 4/5]], [[0, 0], [-64, 2], [-406/5, -124/5], [8/5, 2/5]]], 0, 23040, [], [] >,
< [ -5, -1, 1 ], [[48, 192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-130, 20], [-142, 2], [0, 0]], [[0, 0], [-2, -1], [-1, 1], [1, 0]], [[0, 0], [3016, -626], [3124, -284], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94, -16], [20, -10], [0, 0]], [[0, 0], [-132, -173], [235, 15], [-5, 0]], [[0, 0], [2758, 1094], [-2268/5, -3872/5], [24/5, 76/5]]], 0, 23040, [], [] >,
< [ -5, -1, 1 ], [[5376, 3072]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, -24], [120, 24], [0, 0]], [[0, 0], [9150, -4002], [-13534, 5648], [-8, -2]], [[0, 0], [11988, -8648], [-19012, 11620], [-36, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [372, 228], [12, 0], [0, 0]], [[0, 0], [5878, -2032], [-1760, 642], [-10, 10]], [[0, 0], [214, 120], [32, 18], [18, 10]]], 0, 245760, [], [] >,
< [ -5, -1, 1 ], [[5376, 3072]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [288, 168], [-72, -24], [0, 0]], [[0, 0], [-2996, 2910], [-11466, 3802], [6, -8]], [[0, 0], [128876, 30314], [87242, -43990], [-378, -108]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, 76], [52, -8], [0, 0]], [[0, 0], [-4390, 24], [352, -522], [-10, -2]], [[0, 0], [-2486, 32974], [19834, 1096], [72, 90]]], 0, 245760, [], [] >,
< [ -5, -1, 1 ], [[18, 0]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1/2], [-11, -13/2], [0, -3/2], [0, 0]], [[-1113/2, 385/2], [-48991/35, -10543/70], [-22234/17, -5879/34], [-1214/595, -1/595]], [[102459, -37961], [19073/70, -8340223/70], [-217538/17, -1912955/17], [52806/595, -197007/1190]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-429, -3/2], [66009/70, 8/35], [17111/34, -20/17], [1238/595, 2/595]], [[24555/2, -5227/2], [-1895731/70, 203488/35], [-246389/17, 106493/34], [-35502/595, 15189/1190]]], 1, 36, [], [] >,
< [ -5, -1, 1 ], [[18, 0]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -1/2], [12, 17/2], [1, -3/2], [0, 0]], [[-230, -831/2], [36361/35, -2357/70], [28481/34, 3381/17], [3534/595, -3/1190]], [[-91185, 218039/2], [-30071459/70, 7139569/70], [-8392317/34, 202491/17], [-2823131/1190, 311783/595]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1], [-6, -3], [5, 2], [0, 0]], [[15/2, -27/2], [-94387/70, 2217/70], [-16255/17, -693/34], [3047/1190, 3/1190]], [[-12972, 4806], [5902069/10, -2048219/10], [387378, -133455], [-5376/5, 3717/10]]], 1, 36, [], [] >,
< [ -5, -1, 1 ], [[36, 0]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -9], [-23, -8], [0, 0]], [[0, 0], [750793/70, 275596/35], [163809/17, 126006/17], [667/1190, 3/1190]], [[0, 0], [328056/7, -75609/7], [841830/17, -207195/17], [-775/119, 290/119]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [2697/70, 913/70], [1592/17, 497/17], [-166/595, -113/1190]], [[0, 0], [1404/35, 1266/35], [1502/17, 1475/17], [-174/595, -156/595]]], 1, 180, [], [] >,
< [ -5, -1, 1 ], [[36, 0]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -7], [7, 1], [0, 0]], [[0, 0], [-26101/70, -45399/70], [28238/17, 4102/17], [-607/595, -1/1190]], [[0, 0], [62332/5, -34939/10], [282681/17, -118941/17], [-2419/170, 472/85]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -11], [-9, -6], [0, 0]], [[0, 0], [-61293/70, 4929/35], [11240/17, 746/17], [-1857/1190, -3/1190]], [[0, 0], [766429/35, -270394/35], [-194742/17, 66469/17], [18121/595, -6261/595]]], 1, 180, [], [] >,
< [ -5, -1, 1 ], [[576, 0]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 2], [-72, -24], [0, 0]], [[0, 0], [-42858/35, 8/35], [84112/17, -2876/17], [-1142/595, 2/595]], [[0, 0], [-695536/7, 267061/7], [7270654/17, -2763560/17], [-18589/119, 7134/119]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -8], [-20, 4], [0, 0]], [[0, 0], [-18853/35, -11112/35], [-10526/17, -3602/17], [563/595, 197/595]], [[0, 0], [-20481/35, -3824/35], [27654/17, -14526/17], [-1419/595, 759/595]]], 0, 46080, [], [] >,
< [ -5, -1, 1 ], [[576, 0]], [ -20, -2 ], [ -11, -5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -8], [-64, -28], [0, 0]], [[0, 0], [96442/35, 1583/35], [-167046/17, 2836/17], [-2927/595, 2/595]], [[0, 0], [-8120983/35, 3087678/35], [14983846/17, -5649346/17], [254703/595, -96413/595]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 12], [20, 20], [0, 0]], [[0, 0], [38771/35, -7136/35], [-23802/17, -6538/17], [1809/595, 1/595]], [[0, 0], [-1251310/7, 470702/7], [1223244/17, -688200/17], [-42372/119, 17334/119]]], 0, 46080, [], [] >,
< [ -6, 0, 1 ], [[2, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5, -1/2], [7, 2], [-1, -3/2], [1, 1]], [[-229/2, 48], [-69/2, 18], [-103/2, 39/2], [57/2, -21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[28, 2], [-489/5, -46/5], [28/5, 2/5], [0, 0]], [[127/2, 171], [-725/2, -618], [25/2, 67/2], [-5/2, -3/2]], [[-10291, 4894], [32788, -32161/2], [-2014, 958], [26, -39/2]]], 3, 4, [], [] >,
< [ -6, 0, 1 ], [[12, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -1], [-5, 8], [-5, -1], [0, 0]], [[-1629/2, -651/2], [2955/2, 1383/2], [-1641/2, -324], [-3/2, 1]], [[-2890, -1637/2], [-750, 4238], [-3142, -1437/2], [-100, 42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-28, -2], [1619/5, 151/5], [-28/5, -2/5], [0, 0]], [[-1263/2, -219], [15123/2, 2684], [-249/2, -89/2], [3/2, -1/2]], [[-256, 134], [2556, -2801/2], [-37, 21], [11, -9/2]]], 3, 6, [], [] >,
< [ -6, 0, 1 ], [[8, -3]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-35/2, -5], [-3429/43, -175/86], [-5/2, -5/2], [-104/43, 1/86]], [[296, -134], [378189/86, -157619/86], [-220, 86], [12397/86, -2576/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1135/2, 4], [-37831/86, 161/86], [9667/10, 43/10], [1361/430, 2/215]], [[40611/2, -16193/2], [672364/43, -536015/86], [-336543/10, 67004/5], [-23777/215, 18939/430]]], 4, 4, [], [] >,
< [ -6, 0, 1 ], [[6, -1]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31/2, 3], [15, -1], [1/2, 5/2], [0, 0]], [[-677, -377/2], [-541, -35], [-446/5, -973/10], [-1/5, 0]], [[-16563/2, -3313], [-4688, -7081/4], [-23007/10, -9863/10], [-3/2, -11/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -2], [-1, -9], [-23/2, -3/2], [0, 0]], [[-777, -332], [-8219/2, -1729], [-69429/25, -27806/25], [-9/50, -1/50]], [[5/2, -1], [1/2, -1/4], [-193/50, 73/50], [-2/25, 3/100]]], 3, 6, [], [] >,
< [ -6, 0, 1 ], [[1, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 1/2], [-9, -1], [4, 3/2], [0, 0]], [[-565/2, 223/2], [-601/2, 229/2], [39/2, -3], [-1/2, 0]], [[-45, 37/2], [-47, 39/2], [2, -1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -1/2], [1, 4], [-2, -1/2], [0, 0]], [[-45/2, 8], [-771/10, 341/10], [-53/10, 13/10], [3/2, -1]], [[-5, 3], [-129/5, 83/10], [-2/5, 9/10], [1, 0]]], 3, 4, [], [] >,
< [ -6, 0, 1 ], [[6, -1]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 3/2], [-14, 9], [1, 1/2], [0, 0]], [[35/2, 5], [-2629/10, 617/5], [5/2, 5/2], [-23/10, -1/5]], [[-11/2, -21/2], [-1108, 871/2], [-23/2, 1], [-2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, 5/2], [-4, -1], [1, 3/2], [0, 0]], [[-1575/2, 315/2], [19893/50, -2823/50], [3347/10, -946/5], [-59/50, -1/50]], [[5754, -3066], [-24629/10, 7342/5], [-4793, 1727], [37/10, -37/10]]], 3, 6, [], [] >,
< [ -6, 0, 1 ], [[9, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -2], [22, -19/2], [-5, 3/2], [0, 0]], [[-569, -365/2], [-1508, 1065/2], [188, -143], [1, 0]], [[6445/2, -4675/2], [205829/2, -84439/2], [-39891/2, 15959/2], [-71/2, 31/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -3/2], [-71, 6], [16, -3/2], [0, 0]], [[19/2, -62], [339/2, 498], [-29/2, -112], [-5/2, 0]], [[-771, 725/2], [4829, -4875/2], [-6083/5, 2968/5], [69/5, -24/5]]], 3, 6, [], [] >,
< [ -6, 0, 1 ], [[32, -13]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[9/2, 2], [-479/43, 143/86], [3/2, 1/2], [68/43, -1/86]], [[-2, -19/2], [35607/86, -13871/86], [-11, 3/2], [-3861/86, 715/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1/2], [-17, 3], [1, -1/2], [0, 0]], [[-319/2, 51], [517701/430, 249931/430], [1033/10, 53/10], [-573/430, 1/215]], [[-67523/2, 11233], [45937509/215, 22909754/215], [202319/10, 3159/10], [-56782/215, 2233/215]]], 4, 4, [], [] >,
< [ -6, 0, 1 ], [[18, -7]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-13/2, 2], [-663/94, 23/94], [11/2, 3/2], [-27/470, 1/235]], [[60, -49/2], [1871/47, -767/47], [-44/5, 37/10], [83/235, -34/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 1/2], [-16, 2], [4, 1/2], [0, 0]], [[-741, -449/2], [110954/47, 43181/94], [-788, -453/2], [52/235, 1/470]], [[-65189/2, 11856], [95904289/470, -18655828/235], [-1972783/50, 729937/50], [82619/2350, -33131/2350]]], 3, 6, [], [] >,
< [ -6, 0, 1 ], [[600, -245]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[617/2, -2], [8276/19, -63/19], [-109/38, -1/38], [-3/2, 0]], [[-21807/2, 6201], [-13506463/874, 7667049/874], [3649/38, -1066/19], [22661/437, -13029/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-33, -1], [10244/19, 558/19], [-33/19, -1/19], [0, 0]], [[-31759/2, -1925], [4823513883/16606, 542069355/16606], [128107/722, -36593/361], [-14374/8303, 2/8303]], [[140602, -113275], [-45012733207/16606, 35065138413/16606], [-2962526/361, 2280121/722], [442953/16606, -129402/8303]]], 4, 8, [], [] >,
< [ -6, 0, 1 ], [[10, -5]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3, 1/2], [-793/86, 101/86], [-115, 1/2], [115/86, 1/43]], [[247/2, -39/2], [-27531/43, 18487/86], [-13249/2, 1872], [3192/43, -1729/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1227/2, 2], [73893/86, 143/43], [-550663/38, -835/38], [3319/1634, 5/1634]], [[178043/2, -54252], [-5222058/43, 3229418/43], [4132393/2, -2543063/2], [-12454/43, 7664/43]]], 3, 6, [], [] >,
< [ -6, 0, 1 ], [[7, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13, -1/2], [-17, -2], [4, 3/2], [0, 0]], [[-2243/2, 459], [-2325/2, 474], [67/2, -27/2], [5/2, -1/2]], [[-1/2, 0], [3/2, 0], [-1/2, 0], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 3/2], [-14/5, 117/10], [3/5, -2/5], [0, 0]], [[45/2, 29], [-69/10, 1058/5], [83/10, -31/5], [-3/2, 1]], [[316, -294], [4503, -5481/2], [-236, 217/2], [40, -18]]], 3, 4, [], [] >,
< [ -6, 0, 1 ], [[18, -7]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 0], [40, -43/2], [3/2, -3/2], [0, 0]], [[-77, -62], [-6483/10, 1103/10], [-59, -3], [-1/10, -2/5]], [[-12173, -4888], [-93598/5, -43217/5], [-3431, -1457], [-291/5, -114/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 3/2], [84, -26], [5, 5/2], [0, 0]], [[-115/2, -19], [-427/10, -773/10], [-607/10, -267/10], [-3/10, -1/2]], [[-867/2, -147/2], [5063/5, -9721/10], [-635/2, -174], [31/5, -31/5]]], 3, 6, [], [] >,
< [ -6, 0, 1 ], [[3, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[66, 1], [46, 27/2], [4, -5/2], [0, 0]], [[-9553/2, -2553], [-12453/2, -2657], [581/2, 41/2], [5/2, -3/2]], [[50751, 58009/2], [68375, 58989/2], [-3532, -94], [-36, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, 5/2], [72, 19/2], [3, 0], [0, 0]], [[-69/2, -29/2], [-2159/10, -949/10], [-73/10, -33/10], [-1/2, -1/2]], [[-4, -3], [-10, -51/2], [0, -1], [1, -1/2]]], 3, 6, [], [] >,
< [ -6, 0, 1 ], [[10, -5]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, 4], [-52, 29], [5/2, 3/2], [0, 0]], [[216, -404], [-3781419/86, 1519141/86], [-528, 124], [-29/86, 1/43]], [[17408, 3968], [-22865679/86, 5099066/43], [1280, 2688], [315/86, 217/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35/2, 5], [596, 136], [5/2, 5/2], [0, 0]], [[-11021/2, -3893], [-271833167/1634, -116816093/817], [-177601/38, -443/38], [-6055/1634, -5/1634]], [[18297501, -5156725], [656588424729/817, -203164975972/817], [-322242149/19, 145290234/19], [-11036158/817, 4971876/817]]], 3, 6, [], [] >,
< [ -6, 0, 1 ], [[-30, 13]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1/2], [-22, 8], [-1, 1/2], [0, 0]], [[14, 4], [-257/2, -25/2], [2, 2], [-5/2, 0]], [[5/2, 5/2], [64/5, -283/10], [5/2, 0], [3/5, -3/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [208, -5/2], [-1/2, 0], [0, 0]], [[0, 0], [-99359/25, -1377/50], [-134/5, -1/5], [67/25, 1/50]], [[0, 0], [9555917/2, -1997930], [32175, -13455], [-6435/2, 2691/2]]], 3, 10, [], [] >,
< [ -6, 0, 1 ], [[-6, 5]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1/2], [-2, 23], [0, -1/2], [0, 0]], [[22, -21/2], [1975/2, -621/2], [-17, 13/2], [5/2, 0]], [[-25/2, 10], [-5147/5, 1309/10], [29/2, -9/2], [-24/5, -6/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 0], [-28, -171/2], [-3/2, 3/2], [0, 0]], [[-92, -62], [173907/25, 60571/50], [-56, -6], [49/25, -3/50]], [[2408, -472], [4667901/50, -1472893/25], [-1048, 576], [2907/50, -1377/50]]], 3, 10, [], [] >,
< [ -6, 0, 1 ], [[72, -35]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 0], [55, -35/2], [5/2, 1/2], [0, 0]], [[-3/2, 1/2], [10777/10, -2211/5], [81/2, -18], [9/10, -2/5]], [[20, 17/2], [3668/5, 319/10], [279, 207/2], [31/5, 23/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -5/2], [-112, -11], [-15, 13/2], [0, 0]], [[-3175/2, 284], [-4965653/10, -2086957/10], [12999/2, 363/2], [19/10, 1/10]], [[65904, -27504], [-62789171/50, -8198169/50], [-855058/5, 372388/5], [-2327/50, 511/25]]], 1, 180, [], [] >,
< [ -6, 0, 1 ], [[60, -31]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1], [-20, -11/2], [17/2, -11/2], [0, 0]], [[-70, -55], [-18943/10, -6577/10], [7, -217], [9/10, -2/5]], [[-225, -120], [-4601, -3497/2], [-375, -390], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1], [565, -55/2], [-17/2, 11/2], [0, 0]], [[2466, 483], [8195849/25, 6171011/25], [9552, -47], [18/25, 2/25]], [[-215511/2, 51658], [55349949/2, -18678175/2], [-1716911/2, 740581/2], [-91/2, 41/2]]], 1, 180, [], [] >,
< [ -6, 0, 1 ], [[458, -187]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[29/2, -6], [-437/86, 22/43], [-43/2, 17/2], [65/86, 3/86]], [[-711/2, 144], [2147/43, -1824/43], [1017/2, -423/2], [-95/43, 247/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31/2, -13/2], [-33, 19], [-47/2, 9], [0, 0]], [[553, -45], [306854/215, 67883/430], [-1663/5, 307/5], [448/215, 1/430]], [[-63667/2, 30321/2], [-3719917/86, 1140614/43], [48041/2, -10697], [-8217/86, 4233/86]]], 1, 6, [], [] >,
< [ -6, 0, 1 ], [[24, -11]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[494, -5/2], [32576/47, -70/47], [-2326/5, -17/10], [-772/235, -2/235]], [[-57205/2, 23791/2], [-3745209/94, 1558011/94], [263563/10, -54851/5], [87711/470, -18252/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -3/2], [-39, 13], [2, -3/2], [0, 0]], [[-1235/2, 17], [1340377/470, 20886/235], [-22009/50, 801/50], [1427/2350, -3/2350]], [[-209715, 89150], [195595828/235, -168557469/470], [-3816726/25, 1619689/25], [227553/1175, -194509/2350]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[8610, -3515]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[221/2, 4], [-108197/437, 3223/874], [545/38, 5/38], [585/874, -3/874]], [[-52343/2, 3616], [54013007/874, -9799789/874], [-132759/38, 10728/19], [-72296/437, 12544/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[143/2, -1], [-22547/38, 527/38], [143/38, -1/19], [0, 0]], [[1739, 47/2], [7662531/38, -3842/19], [-6490/19, 25/19], [-3/2, 0]], [[76519/2, -11821/2], [37374841011/8303, -6232463206/8303], [-5520939/722, 466858/361], [-555493/16606, 92167/16606]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[20, -5]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-15, -5/2], [1259/86, -93/43], [-121, -7/2], [-179/86, 1/86]], [[-1/2, 0], [55/86, -7/43], [-9/2, 1/2], [-7/86, 1/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-901/2, 4], [23532/43, 89/86], [-1339233/38, 1117/38], [1057/817, -1/1634]], [[773011/2, -69317], [-39933459/86, 3405330/43], [1139533349/38, -196903891/38], [-1798101/1634, 310167/1634]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[103, -42]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17, 11/2], [-6, 3/2], [-11, 4], [0, 0]], [[388, 265/2], [261, 95], [125, 75/2], [-2, 0]], [[2347/2, -154], [1243/2, -57/2], [1053/2, -116], [-51/2, 19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 5/2], [180, 25/2], [25, 0], [0, 0]], [[-5699, -193/2], [-41517/5, -342207/5], [14489/5, -48496/5], [1, 3/2]], [[35617/2, -7749], [-1107905/2, 211959], [-183643/2, 71607/2], [19/2, -7/2]]], 1, 6, [], [] >,
< [ -6, 0, 1 ], [[24, -11]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[40, -33/2], [16, -9], [-59, 47/2], [0, 0]], [[-1051/2, 419/2], [-793/2, 65/2], [1441/2, -322], [5/2, 1/2]], [[1283/2, -375/2], [13078/5, 8619/10], [-583/2, 534], [-144/5, -56/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17, -9/2], [-100, 45], [-10, -25/2], [0, 0]], [[-10279/2, -5419/2], [285623/10, -99043/10], [-111051/10, -12123/5], [-1/10, -3/10]], [[96219/2, 35862], [-725669, 551957/2], [1669257/10, 121827/10], [-18/5, 27/5]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[9, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[57, -1/2], [92, 2], [35, 5/2], [0, 0]], [[914153/2, -58023/2], [1460729/2, -24384], [546571/2, 4628], [5/2, -1/2]], [[-23467672, -764255], [-38165293, -4783363/2], [-14697503, -3254881/2], [-118, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, -1/2], [343/5, 73/5], [1/5, -3/10], [0, 0]], [[7, 4], [13, 12], [5, 5/2], [1, 1/2]], [[53/2, -7], [281/2, -48], [25/2, -5/2], [5/2, -1/2]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[20, -5]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1/2], [28, -12], [-3/2, 1], [0, 0]], [[3/2, 3/2], [-298, 36], [-67/2, -3], [-1, 0]], [[20, 8], [-65859/86, -29557/86], [-154, -65], [-321/86, -69/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1/2], [52, -18], [3/2, -1], [0, 0]], [[-21, 69/2], [-34174227/1634, -675943/817], [-10459/19, 471/38], [1999/1634, 3/1634]], [[-89698, 84483/2], [-16158555484/817, 4937359827/817], [-11174009/19, 7373765/38], [1020377/817, -327754/817]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[6572, -2683]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3/2], [61, -24], [19/2, 2], [0, 0]], [[-27, -15/2], [30525/86, -6007/86], [-72, -69/2], [-187/86, -2/43]], [[139, -71/2], [-300552/43, 119003/43], [-74, 207/2], [1215/43, -450/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [199, -81], [-1/2, 2], [0, 0]], [[-504, -10], [-225682/215, -7999/430], [534/5, -151/5], [-484/215, -3/430]], [[-67/2, 14], [-32731/430, 13669/430], [127/10, -53/10], [-67/430, 14/215]]], 1, 30, [], [] >,
< [ -6, 0, 1 ], [[6572, -2683]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 3/2], [-32, 13], [13/2, -1], [0, 0]], [[-252, -105], [11003/86, 13/86], [-882, -357], [71/86, -2/43]], [[-448, -252], [190003/86, -68153/86], [-1960, -700], [1377/86, -255/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 5/2], [105, -35], [25/2, 0], [0, 0]], [[1239/2, 77/2], [31937/430, 51736/215], [1431/10, 708/5], [1039/430, -1/430]], [[889789/2, -177833], [-183830113/430, 76565437/430], [-1676029/10, 710281/10], [879749/430, -176823/215]]], 1, 30, [], [] >,
< [ -6, 0, 1 ], [[42, -13]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [-690, 595/2], [7/2, 1], [0, 0]], [[591/2, 243/2], [57487/10, 15724/5], [2059/2, 418], [-1/10, -2/5]], [[533, 187], [91825/2, -19135/2], [1616, 741], [-33/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, 4], [677, -501/2], [15/2, 25/2], [0, 0]], [[-180, -665/2], [60392, -51201/2], [-9037/5, 1561/10], [1/5, -3/10]], [[-1711/2, -663], [716621/10, -316141/10], [-31029/10, -1839/10], [-1/10, -1/2]]], 1, 60, [], [] >,
< [ -6, 0, 1 ], [[26, -11]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1/2, 1], [4023/86, 143/43], [11/2, -1/2], [121/86, 5/86]], [[-57/2, -3], [-5346/43, -9548/43], [21/2, -51/2], [-110/43, -286/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-21/2, -1/2], [-278, 2], [647/2, -6], [2, 0]], [[455, 65], [1003071/86, 92777/86], [-67402/5, -5503/5], [-36237/430, -1799/215]]], 1, 6, [], [] >,
< [ -6, 0, 1 ], [[12, -7]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, 4], [21, -1], [5/2, 3/2], [0, 0]], [[311/2, -128], [6503/2, -2767/2], [-1899/10, 589/10], [-7/10, 1/5]], [[-1842, -693], [-5123/2, -841/4], [-2297/5, -1148/5], [-11/5, -21/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 5/2], [31, 4], [29/2, 2], [0, 0]], [[-14, -387/2], [-4743/2, -1505/4], [-28184/25, -9777/50], [-7/25, -17/100]], [[-2398, 2107/2], [16929/2, -11809/4], [19054/5, -13103/10], [-3/5, 7/20]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[7, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -12], [19, -3/2], [-17, -21/2], [0, 0]], [[6263, -1628], [3060, -3545/2], [3205, 145], [2, 1/2]], [[167065/2, -33347], [118255/2, -24564], [48825/2, -8785], [15/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -5/2], [-134, -16], [-22, -1/2], [0, 0]], [[-4051/2, -67], [-817459/10, -202563/5], [-102087/10, -57243/10], [5/2, 5/2]], [[-13589, 12655/2], [1077957/5, -235619/10], [201806/5, -39241/5], [-32, 10]]], 1, 6, [], [] >,
< [ -6, 0, 1 ], [[12, -7]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1/2], [30, -15/2], [-7/2, 1], [0, 0]], [[-9, -5/2], [187/2, 129/2], [-6, -13/2], [3/2, 0]], [[-6, 1], [-661/10, 511/10], [12, -7], [23/10, -4/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [-24, 19], [11, -7/2], [0, 0]], [[-425/2, -255/2], [-71489/25, -84467/50], [-5597/10, -429/5], [-18/25, -2/25]], [[51, -68], [6249/10, -8839/10], [-466, 121], [-7/10, 1/5]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[33, -13]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-90, -5/2], [-78, -2], [12, 1/2], [0, 0]], [[-195627/2, 3762], [-169703/2, 6887/2], [25927/2, -637/2], [-3/2, 0]], [[-9738569/2, 1930923], [-8486895/2, 1683257], [1251811/2, -247693], [-137/2, 27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-63, 1/2], [-53, 21/2], [10, 10], [0, 0]], [[32827/2, -28087/2], [54313/2, -28679/2], [107379/10, -2969/10], [-17/10, -3/10]], [[8270171/2, -3396421/2], [10155983/2, -2077542], [1885329/2, -379237], [-161/2, 63/2]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[2070, -845]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[283/2, 0], [219293/874, -541/437], [-67/38, 1/19], [-316/437, 1/874]], [[-10349, 3549], [-16202081/874, 2789755/437], [2601/19, -1827/38], [46375/874, -15925/874]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-67, 2], [-728/19, 556/19], [-67/19, 2/19], [0, 0]], [[-21435/2, -12065/2], [3243289945/8303, 24125703/8303], [-998485/722, -114595/361], [-47095/16606, -5/16606]], [[202551, -1086797/2], [58662730953/722, -9379775787/361], [-58547480/361, 9807425/361], [-432047/722, 69685/361]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[40, -15]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -3], [23, -3], [-29/2, -1/2], [0, 0]], [[-3596, -2146], [1126631/86, -2788/43], [-9459, -1449], [179/86, -1/86]], [[-148625, 142680], [-91824217/43, 32332197/43], [1033921, -301597], [-14608/43, 5146/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, 1], [23, -3], [24, 1], [0, 0]], [[253, 40], [11545/86, -1055/43], [-20017/19, 819/19], [337/1634, 1/1634]], [[28489/2, -3793], [1313979/86, -249832/43], [-3596471/38, 1260779/38], [27783/1634, -9387/1634]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[40, -15]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 5/2], [39, -4], [16, -7/2], [0, 0]], [[783/2, 203/2], [2643/2, 1885/2], [435/2, 290], [-1/2, 0]], [[-377, -232], [-287335/86, -35448/43], [-1015, -145], [3/86, 25/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [27, -80], [-1, -3/2], [0, 0]], [[-1641/2, 16], [-47169, -360], [-695/2, 15/2], [-2, 0]], [[89199, -71171/2], [7860148381/1634, -1562750040/817], [721182/19, -575559/38], [339465/1634, -135115/1634]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[29700, -12125]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[391/2, -5/2], [85864/437, 539/437], [335/38, -5/19], [-585/874, 3/874]], [[-1931/2, 1177/2], [-790261/874, 250788/437], [-1755/38, 1035/38], [1405/437, -870/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17, 3/2], [747/19, -219/38], [-85/19, 15/38], [0, 0]], [[4219/2, -17], [4174259005/16606, 396863/16606], [-304575/722, -1415/361], [-15490/8303, 1/8303]], [[-212301, 73261/2], [-416717384505/16606, 69085906845/16606], [15063745/361, -2380600/361], [3093233/16606, -513227/16606]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[50, -25]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1/2], [29, -4], [-5, 5/2], [0, 0]], [[-65, -22], [-123649/86, -44821/86], [-144, -39], [-115/86, -1/43]], [[-785/2, 113/2], [-290279/43, 16639/43], [-2821/2, 367], [-1377/43, 510/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, -1], [-4, -1], [-265/2, -15/2], [0, 0]], [[1273/2, -77/2], [174363/86, 547/86], [1720693/38, 8919/19], [-2737/1634, 2/817]], [[17/2, -5/2], [2617/86, -767/86], [26189/38, -3833/19], [-41/1634, 6/817]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[50, -25]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29, 11], [-33, 12], [95, -40], [0, 0]], [[-165/2, 145/2], [10136/43, 6637/86], [1575/2, -250], [90/43, -5/86]], [[5009/2, 951], [927125/86, 189796/43], [7961/2, 4019/2], [4199/86, 1767/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-65/2, 25/2], [2329, -716], [215/2, -45], [0, 0]], [[-5970, -10535/2], [4308969907/1634, 1032952258/817], [-493959/19, -22767/38], [423/1634, -1/1634]], [[-59879, 38417/2], [8979564237/1634, -1065997721/1634], [3417168/19, -3079721/38], [-3143/1634, 700/817]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[92, -37]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -1], [-11, 1], [-13/2, 3/2], [0, 0]], [[10, 10], [17611/86, 659/43], [50, 0], [-137/86, 5/86]], [[-3/2, -57/2], [-55451/86, 2523/43], [-339/2, 27], [481/86, -91/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -1], [-26, 6], [-5/2, -5/2], [0, 0]], [[65/2, 15/2], [26535/86, -4140/43], [-1849/10, 107/5], [-537/430, -3/430]], [[77, 62], [-109981/86, 56381/86], [1654/5, -1894/5], [179/430, -537/215]]], 1, 30, [], [] >,
< [ -6, 0, 1 ], [[92, -37]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -3], [27, -2], [-25/2, -5/2], [0, 0]], [[-6789/2, -2356], [2462805/86, -221175/43], [-21483/2, -2077/2], [107/86, 3/86]], [[-46035/2, -404085/2], [195527200/43, -63914388/43], [-2378475/2, 179025], [6562/43, -1360/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, 7/2], [9, 1], [25/2, 5], [0, 0]], [[0, 0], [-7265/43, 7501/86], [-592/5, -13/5], [-161/215, -3/430]], [[0, 0], [933989/86, -552509/86], [10701, 1189], [5781/86, 287/43]]], 1, 30, [], [] >,
< [ -6, 0, 1 ], [[54, -19]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -2], [-93, 21/2], [-17/2, -3/2], [0, 0]], [[-528, -192], [-3075/2, -2640], [-624, -336], [1/2, -1/2]], [[-16, -24], [-10652/5, 6249/10], [-128, 8], [-4/5, 3/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 0], [-177, 22], [-2, 2], [0, 0]], [[146, 179/2], [-14383/2, -12597/2], [366, 113/2], [-5/2, 0]], [[16549/2, -9139/2], [-25111164/25, 12096329/25], [-322687/10, 57641/5], [8557/25, -6579/50]]], 1, 60, [], [] >,
< [ -6, 0, 1 ], [[108, -45]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, 9/2], [150, -119/2], [15/2, 2], [0, 0]], [[-420, -170], [-12693/10, 2144/5], [-240, -90], [69/10, 1/10]], [[-5990, -2440], [-29256/5, 11087/10], [-3330, -1330], [318/5, 159/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, -3], [-18, -3/2], [-15/2, -1/2], [0, 0]], [[-71, -29], [-1899/10, -168/5], [-39, -16], [87/10, 3/10]], [[-207/2, -85/2], [-1119, 589/2], [-111/2, -24], [75, -25]]], 0, 54, [], [] >,
< [ -6, 0, 1 ], [[108, -45]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 0], [-93, 83/2], [15/2, -5/2], [0, 0]], [[575, 236], [2163, 770], [309, 133], [6, 0]], [[4731, 1919], [151917/10, 36594/5], [2679, 1026], [-51/10, 221/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1], [-93, 42], [0, 1], [0, 0]], [[249/2, 103/2], [-174/5, 1344/5], [129/2, 30], [27/5, 1/10]], [[-2295, -1855/2], [-105369/10, -1683/5], [-1320, -975/2], [-153/10, -357/10]]], 0, 54, [], [] >,
< [ -6, 0, 1 ], [[6, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -1/2], [9, -4], [9, -1/2], [0, 0]], [[2153/2, 783/2], [23/2, -85], [2137/2, 388], [5/2, 1/2]], [[-5763, 429/2], [-5625, 2503], [-5757, 459/2], [-39, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-66, -3/2], [1458/5, 47/5], [-66/5, -3/10], [0, 0]], [[15691, 1685/2], [-347584/5, -43737/10], [15718/5, 1719/10], [-2, -5/2]], [[1470305/2, -279553], [-31774079/10, 6021057/5], [1468973/10, -558403/10], [407/2, -185/2]]], 1, 6, [], [] >,
< [ -6, 0, 1 ], [[24, -9]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [47, -21], [15/2, -5], [0, 0]], [[1/2, 11], [-601/2, 515/4], [-105/2, 55/2], [1/5, -1/20]], [[50, 39/2], [53, -1/4], [159/5, 87/10], [1/10, 1/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-39/2, -3], [-43, -10], [-63/2, -3/2], [0, 0]], [[-4209/2, -1655/2], [-10505/2, -2097], [-139527/50, -26839/25], [-1/50, 1/50]], [[503/2, 150], [1385/2, 1411/4], [14607/50, 10623/50], [-2/25, 3/100]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[24, -9]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1], [-53, 41/2], [27/2, -11/2], [0, 0]], [[0, 0], [149/5, -14/5], [0, 0], [18/5, 2/5]], [[0, 0], [-2941/10, 141/10], [0, 0], [-377/10, -29/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1], [-12, -11/2], [3/2, 1/2], [0, 0]], [[15/2, -1], [-11543/50, 3023/50], [123/10, -3/10], [-41/50, 1/50]], [[144, -80], [-151381/25, 70491/25], [816/5, -576/5], [-272/25, 192/25]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[3, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[72, 1], [60, 5/2], [12, -3/2], [0, 0]], [[-8105/2, -1771/2], [-6977/2, -1691/2], [-1123/2, -105/2], [1/2, -5/2]], [[67936, -5615/2], [55432, -355], [11984, -4255/2], [-104, 65]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[51, 1], [105, 5/2], [-54, -3/2], [0, 0]], [[5451/2, -7004], [10491/2, -14389], [-25263/10, 36939/5], [9/10, -2/5]], [[-390901/2, -125855/2], [-810901/2, -262355/2], [2100203/10, 341236/5], [-29/10, 2/5]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[12, -3]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[17/2, 3], [-407/94, 29/47], [159/10, 19/10], [-17/470, 3/470]], [[26, 5], [-1697/47, 1127/94], [441/5, -79/5], [-74/235, 51/470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 1/2], [10, 4], [-15, 1/2], [0, 0]], [[428, 231/2], [-84728/235, -61981/470], [-8769/25, 5857/50], [-428/1175, -1/2350]], [[-1521/2, -24334], [10064257/470, 3514336/235], [-6330729/50, 2695131/50], [-136653/2350, 85547/2350]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[3270, -1335]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[73, 4], [-102831/874, 3983/874], [168/19, 5/38], [343/874, -2/437]], [[21431/2, -9163/2], [-837239/38, 351915/38], [55125/38, -23375/38], [1309/19, -1105/38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-123/2, -1], [36771/38, 755/38], [-123/38, -1/19], [0, 0]], [[1744, 59/2], [-531758733/16606, -3825128/8303], [-15708/361, 607/361], [3839/16606, -2/8303]], [[-962961/2, 207556], [147806496617/16606, -63673486689/16606], [9970749/722, -2121341/361], [-555555/8303, 238392/8303]]], 1, 32, [], [] >,
< [ -6, 0, 1 ], [[12, -3]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 3/2], [70, -55/2], [-9/2, 3], [0, 0]], [[64, 22], [-282, 136], [60, 2], [1, 0]], [[-960, -390], [-2729/10, -2281/10], [-540, -210], [-83/10, -16/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-33/2, 1], [122, -33/2], [57/2, 3/2], [0, 0]], [[-21335/2, -8731/2], [618889/10, 253891/10], [244389/10, 49927/5], [1/10, 1/2]], [[-4607, -1422], [30090, 6901], [9699, 3601], [25, -10]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[21, -9]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1/2], [-15, 0], [12, -1/2], [0, 0]], [[-6, 0], [-30, 8], [24, -1/2], [0, 3/2]], [[85/2, -33/2], [691/2, -279/2], [-361/2, 141/2], [49/2, -21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -3/2], [-702/5, 81/10], [-69/5, 1/5], [0, 0]], [[393/2, 111/2], [-35781/10, 39439/10], [-2517/10, 3823/10], [-3/2, -5/2]], [[-1598, 634], [1721132/5, -1408661/10], [154414/5, -126457/10], [-119, 49]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[-12, 9]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1], [99, -44], [-12, 5], [0, 0]], [[-27/2, -7], [1538/5, 837/5], [3/2, -15/2], [16/5, 3/10]], [[-208, -155/2], [9833/2, 3599/2], [-159, -49/2], [39/2, 13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -3/2], [-189, 129/2], [3/2, -2], [0, 0]], [[-2425/2, -387], [348047/10, -168487/10], [-2463/2, 67/2], [19/10, 1/10]], [[-19759, 60392], [607568554/25, -244123719/25], [-1911081/5, 919391/5], [11523/25, -6003/25]]], 1, 40, [], [] >,
< [ -6, 0, 1 ], [[-48, 21]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1], [-54, 49/2], [27/2, -11/2], [0, 0]], [[0, 0], [-997/5, -78/5], [0, 0], [-14/5, -1/5]], [[0, 0], [501/10, 107/5], [0, 0], [7/10, 3/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [456, -383/2], [-21/2, 5], [0, 0]], [[-19849/2, -6325/2], [13882801/50, -2095843/25], [-21597/2, 437], [7/50, -1/25]], [[-23/2, 23], [7426, -6213/2], [-345/2, 161/2], [0, 0]]], 1, 40, [], [] >,
< [ -6, 0, 1 ], [[6, -33]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[95/2, -19], [-200, 167/2], [177/2, -71/2], [0, 0]], [[-1452, 1173/2], [63031/10, -25851/10], [-2631, 2167/2], [17/10, -1/5]], [[47719/2, 18681/2], [210078/5, 189029/10], [-68277/2, -14669], [-9204/5, -3756/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-217, 89], [1477, -799], [-405, 166], [0, 0]], [[-9249, -287], [120882721/50, 23964147/25], [-84477/5, 147/5], [-73/50, 3/50]], [[1243977/2, -793049], [305736420, 266700207/2], [2859351/2, -2990049/2], [154, -134]]], 1, 720, [], [] >,
< [ -6, 0, 1 ], [[366, -153]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-43, 18], [-59, 27], [69, -29], [0, 0]], [[-237/2, 97/2], [-683/2, 73/2], [531/2, -63], [5/2, 1/2]], [[-30, 13], [-7957/10, -2793/10], [381, 111], [111/10, 22/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[26, -10], [541, 21], [-42, 16], [0, 0]], [[-17569, 1245/2], [-162526011/50, -31277877/25], [29994, -385/2], [-27/50, -3/50]], [[-2811435/2, 1851055/2], [3790886288/25, 3825273339/50], [4275243/2, -1519734], [-484/25, 574/25]]], 1, 720, [], [] >,
< [ -6, 0, 1 ], [[6, -9]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[632, -1], [40720/47, -175/94], [-567, 0], [-193/47, -1/94]], [[-47703/2, 14799], [-3079989/94, 954371/47], [212727/10, -132433/10], [71709/470, -44891/470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, -1/2], [50, -4], [-15, -1/2], [0, 0]], [[-4394, -147/2], [-9930/47, 16297/94], [28509/5, -717/10], [898/235, 1/470]], [[776097/2, -456215/2], [35449631/470, -12944249/470], [-27857817/50, 7791294/25], [-839649/2350, 239893/1175]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[46920, -19155]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-59, 7/2], [-404121/874, 553/874], [237/19, 2/19], [1069/874, -1/874]], [[84487/2, -32439/2], [255983495/874, -48153601/437], [-293625/38, 110025/38], [-338240/437, 127232/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-546, -1], [2055/19, 368/19], [-546/19, -1/19], [0, 0]], [[52687, 60149/2], [-2167484317/16606, -138984909/16606], [-688863/361, 571592/361], [-38167/16606, 3/16606]], [[49036157/2, -28687449/2], [1351387447044/8303, -1017375097775/16606], [5879806905/722, -1224608000/361], [55873673/16606, -10750680/8303]]], 1, 192, [], [] >,
< [ -6, 0, 1 ], [[6, -9]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-159/2, 32], [140, -115/2], [-363/2, 147/2], [0, 0]], [[-50, 20], [839/10, -157/5], [-105, 37], [3/10, -3/10]], [[-49/2, -21/2], [1631/10, 337/5], [-681/2, -140], [-103/10, -21/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [40, -15], [15, -15/2], [0, 0]], [[93/2, -5/2], [7266/5, -6207/10], [6549/10, -1238/5], [1/5, 2/5]], [[-508, 92], [-204877/10, 42781/5], [-44802/5, 17598/5], [13/10, -39/10]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[33, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-51, -1], [-60, -5/2], [9, 3/2], [0, 0]], [[-16557/2, 3065/2], [-18939/2, 3195/2], [2415/2, -75/2], [3/2, 5/2]], [[-1468487/2, 615523/2], [-1631003/2, 342761], [155861/2, -67579/2], [-605/2, 110]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 5/2], [174/5, 153/10], [18/5, -2/5], [0, 0]], [[-1403/2, -143/2], [-16573/10, -3794/5], [-2621/10, 569/10], [1/2, 0]], [[54, -18], [6/5, 157/10], [192/5, -151/10], [0, 0]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[204, -81]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -2], [-32, 1/2], [-15/2, -5/2], [0, 0]], [[327/2, 34], [5599/2, -1577/2], [537/2, 27/2], [1/2, -1/2]], [[1584, 1056], [-222317/10, 75326/5], [1077, 1641], [-169/10, 19/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 5/2], [-983, 829/2], [-195/2, 45], [0, 0]], [[-123/2, -210], [579673/10, -252293/10], [54699/10, -28621/10], [-1/10, -3/10]], [[1070, 1108], [-204809, 93888], [-87966/5, 56574/5], [8/5, 8/5]]], 1, 240, [], [] >,
< [ -6, 0, 1 ], [[78, -33]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1], [-31, 13], [-21/2, 9/2], [0, 0]], [[-42, -35/2], [-27/2, -71/4], [3, -15/2], [2, 1/4]], [[133, 119/2], [-126, 128], [-654/5, 743/10], [-72/5, 12/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, -5/2], [-39, -5], [-39/2, -2], [0, 0]], [[-144, -96], [-363, -1151/4], [-6492/5, -798/5], [-37/10, -1/20]], [[-6576, 2336], [-24262, 8923], [1483536/25, -644496/25], [5928/25, -2508/25]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[78, -33]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[45, -35/2], [34, -19], [-60, 45/2], [0, 0]], [[-559, 221], [-899/2, 451/2], [741, -286], [1/2, 0]], [[65/2, -65], [2286/5, 1153/10], [39/2, 221/2], [7/5, 3/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-69/2, 13], [-101, 137/2], [93/2, -33/2], [0, 0]], [[1473/2, -301], [28833/10, -11003/10], [-1755/2, 795/2], [-29/10, -1/10]], [[-4115, 1666], [-286351/25, 199711/25], [36111/5, -6271/5], [-1512/25, -768/25]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[21, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[54, -3/2], [-18, -2], [72, 1/2], [0, 0]], [[43021/2, -6127/2], [-12953/2, 111/2], [55985/2, -6205/2], [1/2, 3/2]], [[-458223, 426001/2], [97290, -102915/2], [-554820, 264260], [63, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-120, -7/2], [-105, -5/2], [-75, -5], [0, 0]], [[-198951/2, 12221/2], [-174597/2, 5821], [-608463/10, 7284/5], [9/10, 1/10]], [[113089/2, -16669/2], [99521/2, -15133/2], [67801/2, -3843], [-1/2, 0]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[11280, -4605]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-443/2, 3], [-280863/874, 979/437], [123/38, 1/19], [511/437, -3/874]], [[-31964, 2800], [-40411919/874, 3285621/874], [8757/19, -1029/38], [146785/874, -5682/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[510, 5/2], [141514/19, 4031/38], [510/19, 5/38], [0, 0]], [[-370540, -167327], [-94662307375/16606, -20726296074/8303], [-5053866/361, -6358263/722], [44863/16606, 3/16606]], [[-1239013677/2, -275884488], [-3432678690980/361, -2977388387181/722], [-17402048571/722, -10297731609/722], [3014253/722, 91341/722]]], 1, 192, [], [] >,
< [ -6, 0, 1 ], [[161850, -66075]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1875/2, 1], [-1015487/874, -1969/437], [-1185/38, -5/19], [1479/437, 5/874]], [[829552, -700697/2], [887328985/874, -375061617/874], [511680/19, -216450/19], [-2599163/874, 1098223/874]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-279/2, -5/2], [835/38, 1446/19], [-1395/38, -25/38], [0, 0]], [[41731/2, -553/2], [1057681392/8303, -16851527/16606], [4960515/722, -26495/361], [43747/16606, 1/8303]], [[-7299962, -1453159/2], [-371363014724/8303, -38803940135/8303], [-869248065/361, -177234085/722], [-7721549/8303, -1728705/16606]]], 1, 1152, [], [] >,
< [ -6, 0, 1 ], [[48, -3]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[65/2, -5/2], [148, -31/2], [-111/2, -2], [0, 0]], [[46501/2, -2117], [1061737/10, -125717/10], [-78621/2, -1679/2], [29/10, 1/10]], [[5510624, -1602496], [52065065/2, -7927140], [-7996128, 1782368], [1157/2, -247/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, 5/2], [88, 32], [33, -1/2], [0, 0]], [[82809/2, -9319], [-3079534/25, -1016651/25], [-633657/10, 84927/10], [17/25, 1/50]], [[-12061311/2, 2099727], [73712191/10, 13353149/10], [16675353/2, -5147673/2], [-723/10, 153/10]]], 1, 240, [], [] >,
< [ -6, 0, 1 ], [[36, -15]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 1], [-15, 16], [-15, 1], [0, 0]], [[3223, 1295], [-6095, -5115/2], [3236, 1300], [-2, -3/2]], [[1133/2, -277/2], [2573/2, -1409/2], [1147/2, -141], [29/2, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21, -3/2], [1578/5, 177/5], [-21/5, -3/10], [0, 0]], [[5125/2, -1190], [-66293/2, 15970], [1025/2, -481/2], [-5/2, 5/2]], [[-36552, 14993], [481914, -197939], [-7350, 3016], [57, -24]]], 1, 18, [], [] >,
< [ -6, 0, 1 ], [[36, -15]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 1/2], [-108, 53], [-12, 1/2], [0, 0]], [[3113, 2553/2], [-6448, -4983/2], [3094, 2539/2], [2, 5/2]], [[-8405/2, -4531/2], [53371/2, -5773/2], [-8167/2, -2291], [391/2, -85]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -2], [579/5, 136/5], [-3/5, -2/5], [0, 0]], [[-137/2, -6], [745/2, 1407/2], [-31/2, -5/2], [1/2, 1]], [[-8376, 6753/2], [-207636, 85850], [-1464, 1173/2], [-300, 124]]], 1, 18, [], [] >,
< [ -6, 0, 1 ], [[279, -114]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 0], [-15, 9], [6, -2], [0, 0]], [[297/2, 121/2], [526, 877/4], [837/10, 164/5], [-1/10, -1/20]], [[-3/2, 2], [66, -22], [-33/2, 15/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [24, -13], [-9/2, 2], [0, 0]], [[-695/2, -135], [3736, 5661/4], [-2049/10, -681/10], [1/10, -1/4]], [[3181, 3961/2], [-29277, -22874], [1548/5, 16709/10], [192/5, -66/5]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[18, -3]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -3], [-117, 22], [-6, -1], [0, 0]], [[507/2, 205/2], [13899/10, 2841/10], [291/2, 54], [13/10, -3/10]], [[4255/2, 851], [74256/5, 10453/10], [2553/2, 851/2], [102/5, -32/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, 7/2], [-10, 15/2], [9/2, 2], [0, 0]], [[-43, -17], [16707/50, 2324/25], [-426/5, -39/5], [-291/50, 1/50]], [[-83, -74], [-14954/5, 9689/5], [2229, -1043], [1017/5, -452/5]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[27, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17, 1/2], [96, 4], [-9, -1/2], [0, 0]], [[-305/2, 122], [-1649/2, 684], [149/2, -64], [-5/2, 1]], [[91, 143/2], [543, 819/2], [-54, -39], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 1/2], [-264, 23/2], [48, -2], [0, 0]], [[56, 13/2], [2070, 380], [-1764/5, -677/10], [-18/5, -2/5]], [[-3173/2, 677], [-89243/2, 38879/2], [73111/10, -31961/10], [1037/10, -221/5]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[27, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 1/2], [-24, 23/2], [0, -2], [0, 0]], [[19/2, 213/2], [-1697/2, 222], [365/2, 39/2], [-5/2, -2]], [[180145/2, -75391/2], [1012861/2, -411417/2], [-99697/2, 19564], [-1679/2, 368]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 5/2], [-360, 5], [63, 1/2], [0, 0]], [[51/2, -671/2], [-16825/2, -18951/2], [16787/10, 16913/10], [19/10, 1/10]], [[-3380, 2935/2], [-56634, 26601], [46782/5, -22302/5], [-36/5, 27/10]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[1161, -474]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, -5/2], [-15, -1/2], [-3, -2], [0, 0]], [[-1289/2, 59], [-58975/94, 5570/47], [-183/10, -294/5], [7/470, -2/235]], [[30, -59/2], [45, -30], [-15, 1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 5/2], [-9, 5/2], [3, 0], [0, 0]], [[111, -41/2], [-4068/47, -2879/47], [312/5, 379/10], [57/235, 1/235]], [[17119/2, -3181], [162283/94, -90466/47], [-5631/10, 5152/5], [6283/470, -976/235]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[54, -21]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 3/2], [315, -231/2], [15/2, -1], [0, 0]], [[-8813/2, -1799], [-76273/5, -31417/5], [-4851/2, -1981/2], [-11/5, -3/10]], [[5425, 4431/2], [179227/10, 80893/10], [2982, 2443/2], [119/10, -17/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25, -5/2], [-54, -7], [-42, -1/2], [0, 0]], [[-17/2, -4], [227/5, 123/5], [249/10, 149/10], [-2/5, -1/2]], [[121/2, 38], [-515/2, -257], [-225/2, -329/2], [-7/2, 7]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[9, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -5/2], [-75, -15/2], [9, 0], [0, 0]], [[-328, -38], [-2845, 361/2], [376, -121/2], [-1, -2]], [[-7385/2, 1085], [-94757/2, 33863/2], [14729/2, -2778], [91/2, -49/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 2], [324/5, 253/10], [3/5, 1/10], [0, 0]], [[17/2, -3/2], [55/2, 39/2], [5/2, -1], [-5/2, 1]], [[1, 1/2], [15, 15/2], [0, 0], [0, 0]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[9, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, 1], [-57, 11/2], [3, -1/2], [0, 0]], [[-910, -125], [-3616, -419], [172, 13/2], [2, 1/2]], [[-30921/2, 16599/2], [-134913/2, 70253/2], [8499/2, -2042], [33/2, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-86, -4], [-2997/5, -309/10], [-84/5, -3/10], [0, 0]], [[1279/2, -5013/2], [7789/2, -34835/2], [425/2, -997/2], [-5/2, 3/2]], [[39693, -214667/2], [1262079/5, -7453987/10], [57648/5, -107087/5], [-114, 66]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[16659, -6801]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, -2], [3, -1/2], [15, -3/2], [0, 0]], [[1071/2, 29/2], [31965/94, 71/94], [3459/10, 67/5], [873/470, -1/235]], [[-17/2, 3/2], [-595/94, 105/94], [-51/10, 9/10], [-17/470, 3/470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, -1], [-15, -3/2], [-3, 1/2], [0, 0]], [[92, 382], [18275/47, 30445/94], [-582/5, 303/5], [-109/235, -3/470]], [[-22679/2, 2657/2], [-766019/94, -44139/94], [-4833/2, 1767/2], [-187/94, 221/94]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[72, -33]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 1], [687, -278], [-3, 2], [0, 0]], [[-380, -155], [-17391/10, -6769/10], [-399, -197], [33/10, 1/5]], [[-585/2, -255/2], [5482/5, -15519/10], [-5739/2, 885], [-416/5, 176/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1/2], [360, -145], [-30, 15/2], [0, 0]], [[-25517/2, -5208], [15806, 5442], [-352047/10, -142967/10], [-2/5, 1/10]], [[-24243/2, -4953], [48617/10, 46609/5], [-327033/10, -139003/10], [23/10, -1]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[27, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -3/2], [48, -2], [30, 5/2], [0, 0]], [[2275/2, -85], [24063/2, 1977], [17313/2, 4433/2], [-3/2, 5/2]], [[-20068, 71989/2], [329180, 740877/2], [386332, 263687], [476, -56]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-270, 0], [8319/5, -107/10], [-267/5, 1/10], [0, 0]], [[-537483/2, 75901/2], [3330187/2, -489017/2], [-106495/2, 15225/2], [-5/2, 3/2]], [[711311, 4793825/2], [-3813678, -14742393], [135039, 947673/2], [-66, 9]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[27, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17, -2], [-66, -17/2], [-15, -5/2], [0, 0]], [[2943, -472], [11202, -1682], [2385, -525/2], [0, 1/2]], [[-27841/2, 18579/2], [-102073/2, 70259/2], [-18479/2, 7288], [17/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-395, -7/2], [13068/5, -102/5], [-399/5, -3/10], [0, 0]], [[-147153/2, -36082], [4632861/10, 1154063/5], [-146493/10, -72273/10], [-3/2, -5/2]], [[644003, 293363/2], [-20838398/5, -4500168/5], [647849/5, 144614/5], [68, -17/2]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[963, -393]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -3/2], [-6, 4], [-15/2, 1], [0, 0]], [[70, 30], [-95/2, -15/2], [72/5, 88/5], [-13/10, -1/5]], [[0, 0], [1/2, -1/4], [-24/5, 9/5], [-2/5, 3/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1], [-12, 5], [-3/2, 3/2], [0, 0]], [[7, 7/2], [-3, 21/4], [-54/5, 53/10], [-9/10, 3/20]], [[0, 0], [7/2, 3/4], [-12/5, -3/5], [-1/5, -1/20]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[36, -21]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, 1], [69, -13/2], [39/2, 1/2], [0, 0]], [[1390, 540], [-81459/10, -15823/5], [-3150, -1250], [17/10, 3/10]], [[295, -4130], [-17271/10, 121013/5], [4425, 7375], [703/10, -323/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, 2], [-35, 55/2], [15/2, -5/2], [0, 0]], [[-69, -179], [384816/25, 243223/50], [1779/5, 1681/5], [42/25, 1/50]], [[74448, -26132], [18535343/50, -9516349/25], [-498849/5, 154139/5], [14391/50, -6601/50]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[99, -39]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19, 1], [147, 11/2], [90, 5/2], [0, 0]], [[-14065/2, 114], [-109649/2, 1716], [-67411/2, 2771/2], [1/2, 3/2]], [[-467636, 195478], [-3778463, 1576780], [-2376028, 1981011/2], [-209, 165/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-16, 1], [-3, 31/2], [45, 25/2], [0, 0]], [[6835/2, -951], [9973/2, -6355/2], [-53231/10, -1742/5], [-7/10, -3/10]], [[8911, -7277/2], [19803, -8083], [-6930, 5665/2], [0, 0]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[99, -39]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1/2], [60, 5/2], [54, 1], [0, 0]], [[-5/2, 0], [343/2, -93/2], [329/2, -42], [1/2, -1/2]], [[-253/2, 56], [29843/2, -6192], [27925/2, -11615/2], [185/2, -73/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[29, 1], [87, -19/2], [0, -25/2], [0, 0]], [[-71, -438], [911, -1330], [4967/5, -299/10], [-11/5, -3/10]], [[279161/2, -116029/2], [1166921/2, -240312], [1509581/10, -607991/10], [-2093/10, 414/5]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[1962, -801]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 3/2], [-15, 19/2], [15/2, -3], [0, 0]], [[-14, 5/2], [693/10, 207/10], [27, 13/2], [41/10, 2/5]], [[325, -125], [-435, 121/2], [-225, 50], [-55, 35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, 3/2], [0, 9], [-3, 15/2], [0, 0]], [[-875/2, 350], [1677, -451], [3045/2, -945/2], [3, 1/2]], [[9450, -11025/2], [-274173/10, 44689/5], [-25515, 17955/2], [-361/10, -19/10]]], 1, 18, [], [] >,
< [ -6, 0, 1 ], [[1962, -801]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -1/2], [-15, 15/2], [3/2, -3], [0, 0]], [[-291/2, 112], [-1645, 1275/2], [981/2, -293/2], [2, 0]], [[-211, 27/2], [-8731/10, 4031/10], [156, -275/2], [-7/10, -4/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 0], [33, -25/2], [-9/2, 9/2], [0, 0]], [[7/2, -3/2], [381/10, -171/10], [-15/2, 3], [-3/10, 3/10]], [[0, 0], [59/10, 13/5], [0, 0], [-7/10, -3/10]]], 1, 18, [], [] >,
< [ -6, 0, 1 ], [[2, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[4, -5/2], [17, -6], [4, -5/2], [17, -6]], [[85, 30], [-68, -85/2], [85, 30], [-68, -85/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-30, -5/2], [43, 34], [-6, -1/2], [0, 0]], [[11897, 10011/2], [-212866/5, -85519/5], [11897/5, 10011/10], [-8, 2]], [[48290, 19435], [-167014, -137407/2], [9658, 3887], [6, -15/2]]], 1, 4, [], [] >,
< [ -6, 0, 1 ], [[8, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-5, 1/2], [100, -87/2], [-5, 1/2], [-5, 1/2]], [[176, 64], [-30, 248], [176, 64], [176, 64]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2688/5, 798/5], [31/5, 4/5], [0, 0]], [[0, -1/2], [79609, 64331/2], [-4408, -3597/2], [0, -1/2]], [[-7, 2], [672587/5, 291173/5], [-38489/5, -15766/5], [-7, 2]]], 0, 8, [], [] >,
< [ -6, 0, 1 ], [[6, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -2], [-31, 18], [2, -2], [0, 0]], [[585, 855/2], [-1159, -2533], [585, 855/2], [-11, 3]], [[-7821, -5148], [19946, 58975/2], [-7821, -5148], [118, -59/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, 5/2], [121, -39], [-2, 1/2], [0, 0]], [[-64, 14], [3717/5, -2149/10], [-64/5, 14/5], [-5, 5/2]], [[58, -58], [-4924/5, 3264/5], [58/5, -58/5], [13, -4]]], 1, 6, [], [] >,
< [ -6, 0, 1 ], [[34, -14]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-13, 5], [-6861/86, -186/43], [-13, 5], [-207/86, -5/86]], [[-315, 375/2], [326928/43, 170716/43], [-315, 375/2], [9016/43, 4900/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-2, 11/2], [49785/86, -247/86], [16109/5, 127/10], [-1791/430, -2/215]], [[1344, -836], [-7031623/86, 1638975/86], [-2247501/5, 510206/5], [250469/430, -28577/215]]], 1, 4, [], [] >,
< [ -6, 0, 1 ], [[186, -76]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 3/2], [37, -14], [5/2, -1], [0, 0]], [[1/2, 5/2], [85/2, 8], [-29/10, 2/5], [1/10, 1/2]], [[-34, 68], [1030, 87], [-442/5, 102/5], [-34/5, 68/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 3/2], [6, -3], [5/2, -1], [0, 0]], [[-2, 0], [-28, -11], [-2/5, 2/5], [-2/5, 0]], [[1/2, -2], [-119/2, -51/2], [5/2, -1/2], [1/10, -2/5]]], 2, 12, [], [] >,
< [ -6, 0, 1 ], [[36, -16]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -3/2], [78, -31], [5, -3/2], [0, 0]], [[-326, -137], [-951/2, -230], [-1646/5, -684/5], [-1/10, 1/10]], [[-537, -467/2], [-1415/2, -422], [-2729/5, -2317/10], [-1/2, 3/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 3/2], [-22, 10], [-4, 3/2], [0, 0]], [[174, -143/2], [1117, -445], [866/5, -727/10], [1/5, 0]], [[590, -238], [7245/2, -3097/2], [3028/5, -1173/5], [-3/10, -2/5]]], 0, 24, [], [] >,
< [ -6, 0, 1 ], [[18, -8]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, -11/2], [14, -3], [14, -11/2], [0, 0]], [[153, -117/2], [176, -22], [153, -117/2], [0, 0]], [[0, 0], [2, -3/4], [-8/5, 3/5], [1/10, -1/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, -3/2], [22, -7], [-9, -3/2], [0, 0]], [[330, 105], [-384, 263/4], [1718/5, 492/5], [-1/10, 1/20]], [[82, 52], [261/2, -343/4], [1784/25, 1401/25], [2/25, -3/100]]], 1, 6, [], [] >,
< [ -6, 0, 1 ], [[34, -14]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [-1, 0], [0, 0]], [[1/2, 5/2], [-19/2, -19/2], [1/2, 5/2], [1/2, 5/2]], [[37, -37/2], [-80, 99/2], [37, -37/2], [37, -37/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 21], [-1, 0], [0, 0]], [[-1/2, 1], [10171/10, 152/5], [203/10, -64/5], [-1/2, 1]], [[-6, 9], [44719/5, 21/5], [997/5, -592/5], [-6, 9]]], 1, 4, [], [] >,
< [ -6, 0, 1 ], [[4, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [10, -4], [0, 0], [5, -2]], [[0, 0], [1, -1], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [79/5, 131/5], [-13/5, -2/5], [0, 0]], [[0, 0], [-7, 3], [0, 0], [5, -2]], [[0, 0], [-1259/5, 1449/5], [-132/5, 12/5], [0, 0]]], 0, 24, [], [] >,
< [ -6, 0, 1 ], [[18, -8]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [-2, -3], [-2, 3/2], [0, 0]], [[-74, 26], [863/10, -59/5], [-74, 26], [-9/10, -1/10]], [[2166, -874], [-9361/5, 3536/5], [2166, -874], [58/5, -18/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 11/2], [76, -16], [-15, 11/2], [0, 0]], [[-370, 777], [-138817/10, -47059/5], [-369, 776], [1/10, -1/10]], [[16095, -7770], [-887097/25, 1084392/25], [80347/5, -38792/5], [-64/25, 29/25]]], 1, 18, [], [] >,
< [ -6, 0, 1 ], [[18, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 0], [1, 0], [0, 0]], [[3/2, -5/2], [171/2, 25/2], [3/2, -5/2], [3/2, -5/2]], [[899, -783/2], [7440, -4845/2], [899, -783/2], [899, -783/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-155, 45], [25, -10], [0, 0]], [[-1, 1], [-1562, -527], [217/5, -22/5], [-1/5, 1/5]], [[-69/2, 29/2], [-7377/2, 1405/2], [5523/10, -2163/10], [-69/10, 29/10]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[36, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 0], [1, 0], [0, 0]], [[0, 0], [10, -4], [0, 0], [5, -2]], [[0, 0], [9, -4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51, 36], [18, -7], [0, 0]], [[0, 0], [-1447, -479], [-99/5, -116/5], [17/5, -2/5]], [[0, 0], [-2205, 137], [737/5, -412/5], [104/5, -39/5]]], 0, 72, [], [] >,
< [ -6, 0, 1 ], [[142, -58]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[11, -7/2], [-21/2, 3/2], [11, -7/2], [3/2, 0]], [[-140, 63], [7429/86, -2223/43], [-140, 63], [-589/86, 551/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, 11/2], [-16, 9], [-14, 11/2], [0, 0]], [[-360, 180], [-837289/430, 6428/215], [-4166/5, 894/5], [-1183/430, -3/430]], [[2196, -1128], [2756828/215, 54711/430], [26604/5, -5206/5], [3906/215, 217/430]]], 1, 4, [], [] >,
< [ -6, 0, 1 ], [[774, -316]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[7/2, -2], [151/94, -93/94], [-13/10, 7/10], [7/470, -2/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[7/2, -2], [245/94, -70/47], [-3/10, 1/5], [7/470, -2/235]]], 2, 12, [], [] >,
< [ -6, 0, 1 ], [[12, -8]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-114, -2], [-3520/47, -23/47], [66/5, 6/5], [-114/235, -2/235]], [[-455, 1225/2], [-15314/47, 38175/94], [21, -133/2], [-91/47, 245/94]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[215, -2], [6491/47, 259/47], [-123/5, -8/5], [43/47, -2/235]], [[-5215, -29055/2], [-287429/47, -895101/94], [1341, 3427/2], [-1043/47, -5811/94]]], 0, 24, [], [] >,
< [ -6, 0, 1 ], [[6, -4]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[230, -3/2], [175, 0], [-32, -7/2], [1, 0]], [[10104, -8667/2], [355355/47, -305305/94], [-4964/5, 4427/10], [10153/235, -8723/470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -2], [29, -4], [2, -2], [0, 0]], [[-114, -51/2], [330624/235, 69149/235], [-398/25, -1331/50], [554/1175, -1/1175]], [[360, -716], [-1332374/235, 4312707/470], [-33282/25, 7048/25], [-9234/1175, 11097/2350]]], 1, 6, [], [] >,
< [ -6, 0, 1 ], [[2670, -1090]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-317, -3/2], [-98573/437, -243/437], [-116/19, -3/38], [363/437, 3/874]], [[-33606, 26529/2], [-21013193/874, 8297131/874], [-12056/19, 4752/19], [77075/874, -30425/874]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[111, 5/2], [7754/19, 383/38], [111/19, 5/38], [0, 0]], [[1741, 2], [3507193077/16606, 172926/8303], [-130277/361, 123/722], [-26025/16606, -1/16606]], [[6, -7/2], [11995509/16606, -3504306/8303], [-445/361, 260/361], [-89/16606, 26/8303]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[10, 0]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-31, -3/2], [848/43, -115/43], [213, 1/2], [-122/43, -1/43]], [[19046, -7476], [-1556425/86, 625625/86], [-147029, 58174], [166075/86, -32825/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[36, 3/2], [69573/86, 209/86], [2560059/19, 3333/38], [3125/1634, 1/817]], [[-2693, 2111/2], [-2866488/43, 1131456/43], [-212139407/19, 167535437/38], [-129480/817, 51128/817]]], 1, 18, [], [] >,
< [ -6, 0, 1 ], [[142, -58]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [-1, 0], [0, 0]], [[-5/2, 5/2], [71/2, -39/2], [-5/2, 5/2], [-5/2, 5/2]], [[-3, 0], [20, -4], [-3, 0], [-3, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-139/5, 146/5], [3/5, -2/5], [0, 0]], [[1/2, 1], [873/10, -2581/5], [-51/10, 37/5], [1/2, 1]], [[-6, 3], [20889/5, -9581/5], [-368/5, 162/5], [-6, 3]]], 1, 4, [], [] >,
< [ -6, 0, 1 ], [[28, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [10, -4], [0, 0], [5, -2]], [[0, 0], [7, -3], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [214/5, -21/5], [-23/5, -3/5], [0, 0]], [[0, 0], [17, -7], [0, 0], [5, -2]], [[0, 0], [1869/5, -741/5], [-113/5, 42/5], [0, 0]]], 0, 24, [], [] >,
< [ -6, 0, 1 ], [[6, -4]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [0, -2], [-2, 3/2], [0, 0]], [[450, -189], [-3583/10, 1623/10], [450, -189], [9/10, -2/5]], [[-1323, -441], [18706/5, 14453/10], [-1323, -441], [-38/5, -29/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1/2], [32, -10], [-3, 1/2], [0, 0]], [[-150, -67], [671, 575/2], [-808/5, -323/5], [-1/5, 3/10]], [[176, -63/2], [-5091/10, 311/10], [98/5, 331/10], [-17/2, 17/5]]], 1, 18, [], [] >,
< [ -6, 0, 1 ], [[6, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 0], [1, 0], [0, 0]], [[-1, -2], [-54, 4], [-1, -2], [-1, -2]], [[-39/2, 12], [873/2, -148], [-39/2, 12], [-39/2, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-205, -20], [-4, -1], [0, 0]], [[-2, -1/2], [-52152/5, 10711/10], [-829/5, -143/10], [-2, -1/2]], [[-27/2, 21/2], [-3158997/10, 1410613/10], [-29319/10, 15081/10], [-27/2, 21/2]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[12, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 0], [1, 0], [0, 0]], [[0, 0], [10, -4], [0, 0], [5, -2]], [[0, 0], [3, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [419/5, -141/5], [23/5, -2/5], [0, 0]], [[0, 0], [-8, 3], [0, 0], [5, -2]], [[0, 0], [2112/5, -893/5], [69/5, -36/5], [0, 0]]], 0, 72, [], [] >,
< [ -6, 0, 1 ], [[10, 0]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 11/2], [16, -7], [-15, 11/2], [0, 0]], [[1652, -1064], [-124324/43, 74393/86], [1652, -1064], [-68/43, -1/86]], [[-180432, -64008], [-10540047/86, -2639851/43], [-180432, -64008], [-24089/86, -10137/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, 3], [-323, 163], [-11, 3], [0, 0]], [[4043, -52], [23519067/1634, -82110619/1634], [60066/19, -1016/19], [2393/1634, 2/817]], [[-2531022, 714285/2], [-27085037040/817, 26392107074/817], [-37720234/19, 10913767/38], [-740656/817, 94916/817]]], 1, 18, [], [] >,
< [ -6, 0, 1 ], [[-18, 4]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, 7/2], [-93, 46], [-11, 7/2], [0, 0]], [[1540, -1144], [280473/10, -72073/10], [1540, -1144], [41/10, 2/5]], [[8052, 8910], [-195481, -41251/2], [8052, 8910], [-65, -45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 1/2], [-185, 21], [-1, 1/2], [0, 0]], [[0, 0], [-22411/25, -2354/25], [-36/5, -4/5], [18/25, 2/25]], [[0, 0], [-8839/50, 2529/50], [-7/5, 2/5], [7/50, -1/25]]], 1, 30, [], [] >,
< [ -6, 0, 1 ], [[-42, 16]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 5/2], [-58, 41], [-6, 5/2], [0, 0]], [[-107, 50], [13289/10, 17211/10], [-107, 50], [23/10, 1/5]], [[7203, -3024], [55311, -52459], [7203, -3024], [-76, 16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, -7/2], [530, 110], [10, -7/2], [0, 0]], [[10150, 0], [145903649/50, 56590811/50], [10150, 0], [143/50, 1/25]], [[-4189402, 1665832], [-2247504436/25, 294054796/25], [-4189402, 1665832], [-28527/25, 11322/25]]], 1, 30, [], [] >,
< [ -6, 0, 1 ], [[66, -2]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[56, -23], [-77, 34], [56, -23], [0, 0]], [[2997, -2453/2], [-41829/10, 8762/5], [3062, -2483/2], [-13/10, 3/10]], [[-10234, -4437], [1579187/10, 324179/5], [30671, 12258], [-8181/10, -3339/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-67, 53/2], [-148, 111], [-67, 53/2], [0, 0]], [[6210, -240], [-7747589/50, -3618971/50], [30448/5, -1228/5], [-43/50, -1/25]], [[855702, -216528], [-36674316/5, -24270674/5], [840946, -213672], [-527/5, 102/5]]], 1, 540, [], [] >,
< [ -6, 0, 1 ], [[306, -122]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-50, 39/2], [25, -5], [-50, 39/2], [0, 0]], [[1305, -1035/2], [-3544/5, 1543/10], [1347, -1029/2], [7/5, 1/10]], [[342, 0], [-3157/2, -1171/2], [567, 90], [15/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[92, -71/2], [474, 4], [92, -71/2], [0, 0]], [[-714660, 12169/2], [-862714601/25, -332899314/25], [-714912, 12113/2], [18/25, 2/25]], [[28018026, -6608025], [31239519667/50, 10414408013/50], [28026293, -6609187], [-1181/50, 83/25]]], 1, 540, [], [] >,
< [ -6, 0, 1 ], [[2038, -832]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-64, 26], [2735/86, -180/43], [-64, 26], [-395/86, -5/86]], [[32, -21/2], [-19367/86, -3620/43], [32, -21/2], [4163/86, 1629/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-211, 173/2], [-389, 165], [-211, 173/2], [0, 0]], [[-32901, 27103/2], [-25366639/430, 5646308/215], [-165151/5, 135503/10], [-323/430, -3/430]], [[-25926, 7515/2], [-79503579/430, -20950789/430], [-110996/5, 53063/10], [9317/430, 1936/215]]], 1, 18, [], [] >,
< [ -6, 0, 1 ], [[36, -4]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-193, -1/2], [8050/47, -35/94], [-579/5, -3/10], [-193/235, -1/470]], [[2686, -474], [-112602/47, 20305/47], [8058/5, -1422/5], [2686/235, -474/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[428, 1/2], [15638/47, -435/94], [1284/5, 3/10], [428/235, 1/470]], [[-45140, -13115], [-1606126/47, -454372/47], [-27084, -7869], [-9028/47, -2623/47]]], 0, 144, [], [] >,
< [ -6, 0, 1 ], [[11106, -4534]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[17/2, -3/2], [-721/94, 65/47], [81/10, -7/5], [17/470, -3/470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[17/2, -3/2], [595/94, -105/94], [51/10, -9/10], [17/470, -3/470]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[18, -2]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1, 3/2], [-11165/47, 35/47], [643/5, 11/10], [-319/235, 1/235]], [[253, -44], [586740/47, -760095/94], [-32263/5, 21497/5], [16764/235, -21717/470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1/2], [-5, -2], [3, 1/2], [0, 0]], [[-1, 1], [-8169924/235, -3583/470], [-74217/25, 13/25], [-9274/1175, -3/2350]], [[2, -55/2], [53277406/47, 8344774/47], [483802/5, 151229/10], [60474/235, 9469/235]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[38310, -15640]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-508, -2], [14943/38, 21/38], [-629/19, -3/38], [-1/2, 0]], [[430070, -382677/2], [-146474440/437, 130194981/874], [534734/19, -475497/38], [186942/437, -83034/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-617, -2], [-42820/19, -43/19], [-617/19, -2/19], [0, 0]], [[-290, -14], [-519354051/16606, -335313/16606], [18587/361, -591/722], [3839/16606, -2/8303]], [[-4007, 2697/2], [-3988189404/8303, 2795547231/16606], [295413/361, -209559/722], [29585/8303, -10382/8303]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[70, -30]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[18, -13/2], [-191/86, 15/86], [37, -71/2], [29/86, 1/43]], [[-416, 182], [1785/86, -1631/86], [-1933, 497], [-63/86, 112/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[16, -5/2], [13869/86, -17/43], [364830/19, -3945/38], [623/1634, -3/1634]], [[429, -387/2], [126759/43, -64573/43], [6728819/19, -6833577/38], [5735/817, -2914/817]]], 1, 108, [], [] >,
< [ -6, 0, 1 ], [[44, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-125, 50], [-118, 47], [0, 0]], [[0, 0], [10, -4], [0, 0], [5, -2]], [[0, 0], [-682, 253], [-649, 236], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-377/5, 153/5], [-36/5, 4/5], [0, 0]], [[0, 0], [17, -7], [0, 0], [5, -2]], [[0, 0], [-241/5, 99/5], [-13/5, 7/5], [0, 0]]], 0, 72, [], [] >,
< [ -6, 0, 1 ], [[2038, -832]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-71, 29], [-11, 4], [0, 0]], [[1, 2], [-3, -6], [-4, 6], [1, 2]], [[-45/2, 15/2], [135/2, -45/2], [-203/2, 77/2], [-45/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-160, 25], [-25, 0], [0, 0]], [[-3/2, -2], [563417/10, -216224/5], [28941/10, -31562/5], [-3/2, -2]], [[475/2, -175/2], [108734789/10, -43657921/10], [12426277/10, -4887253/10], [475/2, -175/2]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[18, -2]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[108, -89/2], [11, -4], [108, -89/2], [0, 0]], [[4900, -4025/2], [2523/5, -1911/10], [4916, -4037/2], [-4/5, 3/10]], [[-7875, -3150], [96237/10, 39353/10], [-7513, -3002], [-181/10, -37/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, 3/2], [-17, 8], [-35, 15/2], [0, 0]], [[-510, 375/2], [-16261/10, 3428/5], [-12692/5, 9421/10], [-1/2, -1/10]], [[5490, -2295], [38031/2, -15413/2], [27478, -11462], [1/2, -1]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[36, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-65, 15], [-29, 11], [0, 0]], [[0, 0], [10, -4], [0, 0], [5, -2]], [[0, 0], [313, 98], [40, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-363/5, -18/5], [9/5, -1/5], [0, 0]], [[0, 0], [-8, 3], [0, 0], [5, -2]], [[0, 0], [266/5, -224/5], [-13/5, 7/5], [0, 0]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[18, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, 21], [-69, 26], [0, 0]], [[-1, 0], [-11896, -6034], [7807, 1457], [-1, 0]], [[-15/2, 1], [-105505/2, -33193], [99125/2, 3105], [-15/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1963/5, -7/5], [-59/5, 1/5], [0, 0]], [[3/2, 2], [14191/10, -2232/5], [-353/10, 121/5], [3/2, 2]], [[260, -30], [-592604/5, 261306/5], [24947/5, -8758/5], [260, -30]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[70, -30]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-76, 63/2], [32, -13], [-76, 63/2], [0, 0]], [[1295, -455], [2828/43, 19169/86], [823, -461], [118/43, 3/86]], [[73780, 46655], [27757467/86, 5524276/43], [-175950, -58435], [124865/86, 52545/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1/2], [180, -5], [2, -1/2], [0, 0]], [[0, 0], [-66529061/1634, -38683/817], [-25431/19, -21/19], [3633/1634, 3/1634]], [[0, 0], [22172802095/1634, -9253282621/1634], [8482817/19, -3539970/19], [-1211831/1634, 252855/817]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[29242, -11938]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35, -5/2], [-64, 26], [-35, -5/2], [0, 0]], [[74137, 30107], [109667/86, -5410/43], [74137, 30107], [137/86, 5/86]], [[-849184, -354144], [2708281/86, -749884/43], [-849184, -354144], [2057/86, -1547/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1/2], [-29, -24], [-2, 1/2], [0, 0]], [[-57, 3/2], [590273/430, -3791/215], [1077/5, 19/10], [681/430, 1/430]], [[2871, -2233], [-13958899/215, 22771437/430], [-45617/5, 40513/5], [-14993/215, 25839/430]]], 1, 90, [], [] >,
< [ -6, 0, 1 ], [[29242, -11938]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, -5/2], [-86, 34], [-15, -5/2], [0, 0]], [[-1255, -995/2], [-26985/43, 2995/43], [-1255, -995/2], [-72/43, -2/43]], [[-3031, -1416], [361115/86, -189581/86], [-3031, -1416], [605/86, -206/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 1], [-13, -23], [-4, 1], [0, 0]], [[85, 112], [2721587/430, 445186/215], [-1797/5, 558/5], [-1111/430, -1/430]], [[35037, -10369/2], [84226579/430, 45015107/215], [385451/5, -336553/10], [105133/430, -71177/430]]], 1, 90, [], [] >,
< [ -6, 0, 1 ], [[162, -68]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[26, 1], [-157, -7], [26, 1], [0, 0]], [[-66105, 6565/2], [795739/2, -34653/2], [-66095, 6565/2], [-1/2, 0]], [[-731250, 1584375/2], [21159948/5, -23747503/5], [-731174, 1584143/2], [-19/5, 29/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 0], [215, -80], [-10, 0], [0, 0]], [[-87, 38], [196407/10, -80557/10], [-419, 197], [-1/10, -2/5]], [[-5859, 4977/2], [6525484/5, -5342593/10], [-143441/5, 127213/10], [41/5, -41/2]]], 1, 180, [], [] >,
< [ -6, 0, 1 ], [[118, -48]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-65, 55/2], [6861/86, 186/43], [-65, 55/2], [207/86, 5/86]], [[-672, 469/2], [-66303/43, -38503/43], [-672, 469/2], [-1807/43, -1112/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-9, 7/2], [4975/86, -4/43], [-554/5, 163/10], [-179/430, -1/430]], [[-16, 11/2], [9495/43, 2155/43], [-338, -69/2], [-69/43, -16/43]]], 1, 18, [], [] >,
< [ -6, 0, 1 ], [[132, -52]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [5, -2], [0, 0]], [[0, -1/2], [-5/2, 7/2], [3/5, -1/10], [3/10, 1/5]], [[8, -7/2], [-139/2, 59/2], [29/5, -23/10], [-11/10, 3/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, 3], [-26, 10], [-11, 3], [0, 0]], [[-259, 105], [-1387/2, 579/2], [-254, 105], [5/2, 0]], [[-49, -7/2], [184, 120], [139/5, 277/10], [192/5, 78/5]]], 0, 144, [], [] >,
< [ -6, 0, 1 ], [[642, -262]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -2], [0, -3], [-1, -1], [0, 0]], [[29/2, 2], [3/2, 3], [-63/10, 43/10], [-29/10, 9/10]], [[609/2, 189/2], [100, 59], [-11/2, 50], [-29, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [-22, 8], [-1/2, 0], [0, 0]], [[0, 0], [-5/2, -1/2], [-9/5, 4/5], [-9/10, 2/5]], [[0, 0], [-1, -1/2], [8/5, -3/5], [4/5, -3/10]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[66, -26]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17, 13/2], [26, -9], [-17, 13/2], [0, 0]], [[33, -21/2], [-56, 12], [33, -21/2], [0, 0]], [[4, -3/2], [9/2, -7/4], [4/5, -3/10], [2/5, -3/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13, -1/2], [16, -6], [-13, -1/2], [0, 0]], [[-643, -319/2], [249, -281/4], [-16573/25, -7969/50], [-83/50, 1/100]], [[2143, -128], [-4233/2, 1617/2], [56473/25, -4028/25], [483/50, -69/25]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[118, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -4], [-24, 4], [0, 0]], [[-2, 5/2], [54, 9/2], [5, 95/2], [-2, 5/2]], [[-135/2, 45/2], [453/2, -343/2], [-2035/2, 535/2], [-135/2, 45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67, 18], [11, -1], [0, 0]], [[-5/2, 3/2], [-95779/2, -45185/2], [-3561/2, -5029/2], [-5/2, 3/2]], [[58, -18], [-3367329/5, -1123056/5], [-416422/5, -22108/5], [58, -18]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[28, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, 2], [19, -4], [0, 0]], [[0, 0], [10, -4], [0, 0], [5, -2]], [[0, 0], [102, -12], [253, -88], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, 17], [9, 1], [0, 0]], [[0, 0], [-7, 3], [0, 0], [5, -2]], [[0, 0], [-13/5, 93/5], [-34/5, 24/5], [0, 0]]], 0, 72, [], [] >,
< [ -6, 0, 1 ], [[66, -26]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22, -19/2], [-10, 5], [22, -19/2], [0, 0]], [[28, 42], [-839/10, -601/10], [28, 42], [17/10, -1/5]], [[-427, -203], [3932/5, 3451/10], [-427, -203], [-26/5, -13/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, 13/2], [71, -41], [-14, 13/2], [0, 0]], [[-195, 75], [46853/50, -21283/50], [-814/5, 379/5], [161/50, 2/25]], [[-825, -3135/2], [-742259/25, -284377/50], [30559/5, 13627/10], [17342/25, 14651/50]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[132, -52]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, 8], [7, 3], [0, 0]], [[0, 0], [10, -4], [0, 0], [5, -2]], [[0, 0], [93, -38], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43, 8], [5, 5], [0, 0]], [[0, 0], [197, -182], [613/5, 107/5], [-9/5, -1/5]], [[0, 0], [-105740, 43487], [-59313/5, 23093/5], [1099/5, -434/5]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[66, -26]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43, 8], [-25, 5], [0, 0]], [[1/2, -5/2], [4907/2, 835/2], [2757/2, 423/2], [1/2, -5/2]], [[2961, -2331/2], [595382, -539687/2], [359861, -323047/2], [2961, -2331/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-111, 21], [-15, 25], [0, 0]], [[4, -3/2], [13741, -32983/2], [115152/5, -9569/10], [4/5, -3/10]], [[33/2, -13/2], [177367/2, -110187/2], [703619/10, -140659/10], [33/10, -13/10]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[9210, -3760]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[520, -2], [-48333/874, 887/437], [440/19, -5/38], [-289/874, -3/874]], [[-1253, 5971/2], [171071/874, -140533/437], [-1088/19, 2528/19], [555/874, -825/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[183, -1/2], [11734/19, 729/38], [183/19, -1/38], [0, 0]], [[-23536, -16833/2], [-4971191343/16606, -256702725/8303], [-276823/361, -159932/361], [27141/16606, 1/8303]], [[-2209476, -657554], [-325129618851/8303, 22724656635/8303], [-17138444/361, -16619006/361], [1978456/8303, -328264/8303]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[10, -10]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13, 1/2], [29, -9], [-13, 1/2], [0, 0]], [[-15164, -9537/2], [606288/43, 29297/43], [-15092, -9533/2], [-36/43, -1/43]], [[-463335, -275315], [-3645893/86, 12476079/43], [-463738, -273820], [403/86, -1495/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[238, 2], [5, -5], [238, 2], [0, 0]], [[7616, 7854], [1969/2, 21/2], [-98035, 7854], [-3/2, 0]], [[-771001, -210273/2], [157667/86, -711391/43], [-20549914/19, 63596883/38], [-7205/1634, 41265/1634]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[10, -10]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [-83, 28], [-2, -1/2], [0, 0]], [[0, 0], [-39195/86, 6688/43], [0, 0], [-179/86, -1/86]], [[0, 0], [1126469/43, 454651/43], [0, 0], [31620/43, 12896/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[52, -22], [2361, -1190], [52, -22], [0, 0]], [[2793, 469/2], [447385071/817, 146321266/817], [50457/19, 9271/38], [29/817, -2/817]], [[-4704, 3479], [383419417/1634, 294681628/817], [-81231/19, 61736/19], [-181/1634, 97/1634]]], 1, 108, [], [] >,
< [ -6, 0, 1 ], [[132150, -53950]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-2, 2], [-29035/874, 842/437], [130/19, 5/38], [101/874, -5/874]], [[456, -379/2], [2256053/874, -892687/874], [-8500/19, 3315/19], [-7711/874, 3047/874]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[88, -1/2], [33951/19, -3385/38], [440/19, -5/38], [0, 0]], [[374325, 302579/2], [58241639727/8303, 45397505457/16606], [35157365/361, 28745365/722], [-17722/8303, -1/8303]], [[-1825161, 3167471/2], [-3711564673123/16606, 885783300423/8303], [133878850/361, 24559000/361], [26956973/16606, -5522523/8303]]], 1, 864, [], [] >,
< [ -6, 0, 1 ], [[50, 0]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 11/2], [-4, 4], [-75, 55/2], [0, 0]], [[-308, 121], [-17783/43, 2608/43], [-960, 605], [-158/43, -2/43]], [[-154, 66], [-5151/86, 8181/86], [-809, 191], [27/86, 38/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -1], [-21, 1], [-25, -5], [0, 0]], [[-1995, -95], [-988937/86, 92381/43], [400053/19, -7252/19], [1011/1634, 3/1634]], [[329967, -256035/2], [132586724/43, -106645623/86], [-4089115, 3217885/2], [-4921/43, 3857/86]]], 1, 432, [], [] >,
< [ -6, 0, 1 ], [[50, 0]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-124, 101/2], [-125, 50], [-620, 505/2], [0, 0]], [[1359, -601], [37334/43, -52365/86], [7663, -2983], [-118/43, -3/86]], [[1869048, 1523601/2], [884817971/86, 361136889/86], [-5870958, -4806679/2], [4016571/86, 819929/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-60, 49/2], [-4448, 1962], [-300, 245/2], [0, 0]], [[443, 5/2], [-705714045/1634, -150295853/817], [19446/19, 593/38], [-1999/1634, -3/1634]], [[-10457, 679], [6848079382/817, 2968900717/817], [-457145/19, 25385/19], [23635/817, -1630/817]]], 1, 432, [], [] >,
< [ -6, 0, 1 ], [[406, -166]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, 3/2], [5, -5], [11, 3/2], [0, 0]], [[-221, -204], [45581/86, -5467/86], [-221, -204], [-29/86, 1/43]], [[21879, -13923/2], [2005598/43, -862790/43], [21879, -13923/2], [-1144/43, 500/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17, -13/2], [-9, 4], [85, -65/2], [0, 0]], [[144, 12], [2171/86, 1442/43], [549, 56], [-93/86, -1/86]], [[9360, -360], [7135/86, 181435/86], [175879/5, -3319/5], [-31901/430, 1748/215]]], 1, 90, [], [] >,
< [ -6, 0, 1 ], [[406, -166]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, 3/2], [-3, -2], [11, 3/2], [0, 0]], [[210, -175], [-325/2, -23/2], [210, -175], [-3/2, 0]], [[-18816, 7546], [324485/86, -71315/43], [-18816, 7546], [3667/86, -1577/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17, 13/2], [2, 3], [-85, 65/2], [0, 0]], [[-574, 231], [-24183/86, 5391/86], [-11717/5, 5812/5], [1433/430, 1/215]], [[-16149, 6321], [-483083/43, 14574/43], [-257449/5, 188939/5], [39208/215, 7917/215]]], 1, 90, [], [] >,
< [ -6, 0, 1 ], [[6, -16]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21, 3/2], [43, 2], [21, 3/2], [0, 0]], [[-10400, 925/2], [-216589/10, 7532/5], [-10400, 925/2], [7/10, 3/10]], [[2200, -1775/2], [4832, -1952], [2200, -1775/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, -1/2], [-12, -43], [-22, -1/2], [0, 0]], [[2842, -87], [301/5, 55453/10], [2876, -86], [17/5, 1/10]], [[48314, -34104], [-19160541/50, 4090851/50], [243753/5, -172408/5], [2183/50, -944/25]]], 1, 180, [], [] >,
< [ -6, 0, 1 ], [[54, -18]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1], [15, 17], [0, -1], [0, 0]], [[-3, -7], [393/2, 123], [-3, -7], [-9/2, -1/2]], [[90, -75/2], [-3234/5, 1414/5], [90, -75/2], [-108/5, 43/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 1/2], [-9, -15], [12, 1/2], [0, 0]], [[3162, -3255/2], [52929/5, -31693/10], [3162, -3255/2], [18/5, -1/10]], [[11811, -5115], [324663/10, -61254/5], [11811, -5115], [81/10, -21/10]]], 0, 162, [], [] >,
< [ -6, 0, 1 ], [[54, -18]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 0], [-3, -9], [6, 0], [0, 0]], [[-315, 160], [-12693/10, 1969/5], [-315, 160], [9/10, 1/10]], [[2370, -1945/2], [37659/5, -30553/10], [2370, -1945/2], [-12/5, 9/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -1/2], [-9, -3], [6, -1/2], [0, 0]], [[24, 12], [-783/10, -171/5], [24, 12], [9/10, 1/10]], [[0, 0], [609/10, -249/10], [0, 0], [93/10, -19/5]]], 0, 162, [], [] >,
< [ -6, 0, 1 ], [[6, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, 5/2], [18, -11], [9, 5/2], [0, 0]], [[-672, 607/2], [-11100, 9027/2], [-672, 609/2], [0, -1/2]], [[-455, 168], [-6770, 2775], [-457, 168], [1, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[63, -1/2], [-1359/5, 9/5], [63/5, -1/10], [0, 0]], [[-1408, 2113/2], [6074, -4568], [-284, 425/2], [2, -1]], [[6337, -3169], [-27374, 27397/2], [1277, -638], [-8, 7/2]]], 1, 6, [], [] >,
< [ -6, 0, 1 ], [[1014, -414]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [29, -5], [9/2, 0], [0, 0]], [[23, 19/2], [529/2, -64], [42, -9/2], [-1/2, -1/2]], [[-8, -5], [-4101, 1655], [-2598/5, 1033/5], [-33/5, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, 9/2], [-18, 7], [6, 5/2], [0, 0]], [[-393/2, -155/2], [25/2, 1], [-1041/10, -222/5], [3/10, -1/10]], [[60, -49/2], [71/2, -29/2], [-207/5, 169/10], [-49/10, 2]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[12, -12]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, 5/2], [152, -65], [-9, 5/2], [0, 0]], [[-1668, -1355/2], [-8391/2, -1685], [-8277/5, -6811/10], [3/10, -3/10]], [[-348, -133/2], [-1366, 36], [-576/5, -1613/10], [56/5, -23/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, -11/2], [140, -58], [15, -11/2], [0, 0]], [[-351, 307/2], [-7239/2, 2939/2], [-1812/5, 1529/10], [1/2, 2/5]], [[-9861, 4164], [-99737, 40607], [-50427/5, 20922/5], [17/5, 34/5]]], 0, 96, [], [] >,
< [ -6, 0, 1 ], [[6, -6]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-48, 19], [20, -7], [-48, 19], [0, 0]], [[-2809, 2439/2], [967, -2163/4], [-14073/5, 12201/10], [-1/10, -1/4]], [[-5243, 1780], [5569/2, -1653/4], [-26193/5, 8933/5], [11/5, 11/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[42, -1/2], [-18, 6], [42, -1/2], [0, 0]], [[3221, 1093], [-469, -17/2], [79929/25, 27331/25], [-8/25, 1/50]], [[-98066, 106549/2], [92856, -156031/4], [-2324874/25, 2557603/50], [3841/50, -3197/100]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[6, -6]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21, 17/2], [28, -3], [-21, 17/2], [0, 0]], [[297, -122], [-748/5, 733/5], [297, -122], [-1/5, 1/5]], [[-30, 2], [2889/2, 1155/2], [-30, 2], [5/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27, -11], [-81, 21], [27, -11], [0, 0]], [[6, -1/2], [-62053/50, -24617/50], [264/5, -53/10], [39/50, -2/25]], [[0, 0], [-139/50, 29/50], [42/5, -12/5], [7/50, -1/25]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[6, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, 3], [-18, 10], [0, 0]], [[3/2, 5/2], [-23211/2, -10173/2], [-3195/2, -689/2], [3/2, 5/2]], [[-35, 35/2], [-5261, -16123/2], [-7660, 4183/2], [-35, 35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 2], [-33, -3], [0, 0]], [[-3/2, 3/2], [-459/2, 357/2], [4641/10, -3451/10], [-3/10, 3/10]], [[-13, 1/2], [-1490, 291/2], [14266/5, -3157/10], [-13/5, 1/10]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[12, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, -2], [27, -14], [0, 0]], [[0, 0], [35, -14], [-5, 2], [5, -2]], [[0, 0], [-342, -78], [-57, 95], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 1], [-15, 5], [0, 0]], [[0, 0], [38, 30], [101/5, 204/5], [-23/5, -2/5]], [[0, 0], [985, 892], [1801/5, 6239/5], [-703/5, -37/5]]], 0, 144, [], [] >,
< [ -6, 0, 1 ], [[84, -36]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -3], [18, -10], [0, 0]], [[-25, -5/2], [-31707/47, -13053/94], [-5442, 4051/2], [-5/47, -1/94]], [[28, 31], [59119/47, 40283/47], [-61449/5, 28331/5], [28/235, 31/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 3], [21, -9], [0, 0]], [[-89, 1/2], [269/47, -1093/94], [-549/5, 567/10], [-89/235, 1/470]], [[-420, -42], [-318/47, -2457/47], [-1758/5, 1072/5], [-84/47, -42/235]]], 0, 96, [], [] >,
< [ -6, 0, 1 ], [[4218, -1722]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-17/2, 3/2], [-407/94, 29/47], [-321/10, 57/5], [-17/470, 3/470]], [[-24, 7], [-558/47, 151/47], [-513/5, 197/5], [-24/235, 7/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-77/2, -3/2], [-2695/94, -105/94], [15/2, -7/2], [-77/470, -3/470]], [[-2996, 1148], [-104860/47, 40180/47], [6693/5, -2742/5], [-2996/235, 1148/235]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[42, -18]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[170, 1/2], [5635/47, 70/47], [-48/5, -31/10], [161/235, 2/235]], [[4140, -3649/2], [133770/47, -118335/94], [-174/5, 277/10], [3822/235, -3381/470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 3/2], [-4, 0], [3, 3/2], [0, 0]], [[521, -13/2], [-15403/235, -11221/470], [15291/25, -373/50], [512/1175, -1/2350]], [[-20283, 8932], [19641/235, -45614/235], [-594867/25, 261988/25], [-19344/1175, 8556/1175]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[30, 0]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-556, 2], [-921013/874, -485/874], [183/19, -1/38], [2669/874, 1/437]], [[801158, -458391/2], [1317840587/874, -374222681/874], [-263304/19, 75210/19], [-3817513/874, 1083607/874]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21, -3/2], [-1126/19, -511/38], [-21/19, -3/38], [0, 0]], [[-708, 131/2], [-941361275/16606, 1852510/8303], [309258/361, 1331/361], [12767/16606, 2/8303]], [[-25686, 13122], [-13073827600/8303, 7581261704/8303], [8345466/361, -4911409/361], [174707/8303, -102076/8303]]], 1, 96, [], [] >,
< [ -6, 0, 1 ], [[42, -18]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -1], [101, -41], [3, -1], [0, 0]], [[-126, 125/2], [-25526/5, 10396/5], [-126, 125/2], [18/5, 2/5]], [[78, -429/2], [111259/10, -22297/5], [78, -429/2], [-407/10, -143/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-99, -1], [263, -23], [-99, -1], [0, 0]], [[-44538, -35477/2], [457273/5, 179232/5], [-222816/5, -177157/10], [-1/5, 2/5]], [[7362, -937], [-213557/10, 22521/5], [7713, -1081], [51/10, -21/10]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[84, -36]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-93, -3], [-12, 7], [0, 0]], [[0, 0], [35, -14], [-5, 2], [5, -2]], [[0, 0], [6258, -1937], [1833, -780], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-426/5, -61/5], [-57/5, -2/5], [0, 0]], [[0, 0], [35, -14], [-5, 2], [5, -2]], [[0, 0], [24897/5, -8658/5], [4539/5, -1691/5], [0, 0]]], 0, 144, [], [] >,
< [ -6, 0, 1 ], [[42, -18]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69, -4], [-36, 17], [0, 0]], [[1/2, 1], [-124649/2, -27041], [14351/2, 827], [1/2, 1]], [[6, -5/2], [-9072, 11627/2], [-15531, 12379/2], [6, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [597/5, 42/5], [24/5, -1/5], [0, 0]], [[-5/2, 3/2], [2267/10, -483/10], [139/10, -51/10], [-5/2, 3/2]], [[3/2, -1/2], [-759/10, 411/10], [-63/10, 27/10], [3/2, -1/2]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[-78, 30]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[51, -41/2], [-157, 61], [51, -41/2], [0, 0]], [[2484, -2001/2], [-38519/5, 14839/5], [2484, -2001/2], [-13/5, -2/5]], [[897, -943/2], [-14381/10, 9773/5], [897, -943/2], [133/10, 57/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[60, -24], [2473, -813], [60, -24], [0, 0]], [[-14835, 80], [-159602353/50, -53588917/50], [-73809/5, 424/5], [-61/50, -2/25]], [[17743275, -14235825/2], [18109969438/25, -12288176711/50], [88352403/5, -70889241/10], [30331/25, -24157/50]]], 1, 120, [], [] >,
< [ -6, 0, 1 ], [[-30, 6]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[99, -40], [815, -336], [99, -40], [0, 0]], [[-9288, 4042], [-822829/10, 315729/10], [-9288, 4042], [-13/10, -1/5]], [[-13932, 18963/2], [-1920339/10, 477859/10], [-13932, 18963/2], [-143/10, -26/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-30, 23/2], [1113, -342], [-30, 23/2], [0, 0]], [[-11325, 375/2], [25435269/25, 12642457/50], [-11325, 375/2], [58/25, -1/50]], [[8260875, -2543825], [-19882033027/50, 1875506297/50], [8260875, -2543825], [-83439/50, 12702/25]]], 1, 120, [], [] >,
< [ -6, 0, 1 ], [[210, -72]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1278, 1043/2], [189, -80], [-1278, 1043/2], [0, 0]], [[12294, -5031], [-20677/10, 3416/5], [12510, -5007], [-9/10, -1/10]], [[252, 135/2], [27503/10, 5641/5], [-1452, -1257/2], [71/10, 29/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1431, -584], [5629, -2336], [1431, -584], [0, 0]], [[-18678, 1113/2], [80188239/50, 34359471/50], [-92823/5, 5241/10], [-7/50, 1/25]], [[51, -29/2], [-1298, -670], [51, -29/2], [0, 0]]], 1, 2160, [], [] >,
< [ -6, 0, 1 ], [[186, -60]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[24, -21/2], [44, -24], [24, -21/2], [0, 0]], [[-147, 131/2], [-4351/10, 1491/10], [-78, 143/2], [23/10, 1/5]], [[-198, 127], [-9611/10, 1491/10], [201, 253], [133/10, 21/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[24, -21/2], [617, 2], [24, -21/2], [0, 0]], [[-109131, 701/2], [189015383/10, 41354766/5], [-110271, 581/2], [-19/10, -1/10]], [[-20064300, 15200975/2], [571828438/25, 5108080582/25], [-20247516, 15336527/2], [-7634/25, 2824/25]]], 1, 2160, [], [] >,
< [ -6, 0, 1 ], [[132, -48]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, 7], [-9, 2], [0, 0]], [[-1175, 0], [2240, -368], [-240, -105], [-5, 0]], [[2916, 837/2], [-224355/47, 10871/94], [4098/5, 3461/10], [2916/235, 837/470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 13], [-27, 11], [0, 0]], [[789, -1], [28555/47, 200/47], [2367/5, -3/5], [789/235, -1/235]], [[-104263, -68661/2], [-3835325/47, -2547519/94], [-312789/5, -205983/10], [-104263/235, -68661/470]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[60522, -24708]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[193, 1/2], [-8144/47, 35/94], [849/5, 93/10], [193/235, 1/470]], [[22081/2, -8397], [-951971/94, 713123/94], [73923/10, -68747/10], [22081/470, -8397/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-965, -5/2], [-33775/47, -175/94], [-576, -5/2], [-193/47, -1/94]], [[17/2, -3/2], [595/94, -105/94], [51/10, -9/10], [17/470, -3/470]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[66, -24]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1938, 5/2], [68145/47, 70/47], [5796/5, 17/10], [1947/235, 2/235]], [[767230, -563689/2], [26993435/47, -19834955/94], [2293668/5, -1685019/10], [771241/235, -566713/470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 0], [-29, 0], [12, 0], [0, 0]], [[6448, 21/2], [2050503/235, -10869/470], [207864/25, 533/50], [5833/1175, 1/2350]], [[-84635583, 64140409/2], [-27177577488/235, 10314107862/235], [-2730552519/25, 2069589457/50], [-76832868/1175, 29129952/1175]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[208770, -85230]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[190, 3/2], [257407/874, 1293/874], [-24/19, 1/19], [-773/874, -5/874]], [[-1162, 1509], [-1609951/874, 1024699/437], [204/19, -397/38], [4781/874, -6147/874]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[855, 0], [2980, 51], [45, 0], [0, 0]], [[-3786, -1721/2], [-7176885/38, -59478/19], [-120102/19, -862/19], [3/2, 0]], [[17118, -30071], [65725225127/16606, -39613674397/16606], [49493634/361, -58599227/722], [-554203/16606, 161902/8303]]], 1, 576, [], [] >,
< [ -6, 0, 1 ], [[66, -24]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-348, 142], [-69, 26], [-348, 142], [0, 0]], [[5769, -4707/2], [5721/5, -2056/5], [5781, -4731/2], [2/5, -2/5]], [[-24, -54], [-25711/10, -10579/10], [285, 72], [103/10, 21/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[36, -29/2], [50, -20], [180, -145/2], [0, 0]], [[-483, 399/2], [-6693/10, 1399/5], [-12186/5, 10143/10], [1/2, -3/10]], [[126, -133/2], [744/5, -519/5], [576, -725/2], [3/5, 2/5]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[132, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 4], [3, 3], [0, 0]], [[0, 0], [35, -14], [25, -10], [5, -2]], [[0, 0], [21, -9], [3, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, 13], [-9, 1], [0, 0]], [[0, 0], [17, -7], [25, -10], [5, -2]], [[0, 0], [-4929/5, 1881/5], [522/5, -208/5], [0, 0]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[66, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99, 4], [57, -3], [0, 0]], [[0, -1], [-165483, 2180], [-98160, 10235], [0, -1]], [[-23/2, 4], [1364527/2, -323648], [1013645/2, -227500], [-23/2, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-237/5, -32/5], [-9/5, 1/5], [0, 0]], [[3/2, -1], [-75/2, 10], [15/2, -5], [3/2, -1]], [[-1/2, 0], [-1/2, -2], [-5/2, 0], [-1/2, 0]]], 1, 96, [], [] >,
< [ -6, 0, 1 ], [[78, -42]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-69, -3/2], [199, -1], [-69, -3/2], [0, 0]], [[1545870, 205435/2], [-22132317/5, -1776501/10], [1545906, 205453/2], [6/5, 3/10]], [[-259151145, 109942910], [1602213467/2, -676522245/2], [-259153830, 109944140], [-179/2, 41]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27, -11], [475, -195], [135, -55], [0, 0]], [[162, -67], [26893/10, -5589/5], [3831/5, -1789/5], [1/2, 3/10]], [[-4902, 4009/2], [-407778/5, 166853/5], [-122514/5, 101737/10], [6/5, -12/5]]], 1, 720, [], [] >,
< [ -6, 0, 1 ], [[3498, -1428]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1], [14, -7], [0, -1], [0, 0]], [[405/2, 82], [363/2, 39], [1143/10, 437/10], [-1/10, 1/10]], [[29/2, 6], [3, 7], [15/2, 7/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -3/2], [-20, 7], [-3, -1/2], [0, 0]], [[-794, -643/2], [-1339/2, 33], [-2283/5, -1719/10], [7/10, 3/10]], [[-3/2, -9/2], [544, -224], [45/2, -12], [0, 0]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[84, -24]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 2], [-183, 75], [0, 0]], [[-12, 5/2], [-2259/2, 1001/2], [-144672/5, 117929/10], [33/10, 1/5]], [[-2405, -1961/2], [78565/2, 16211], [-123957/5, -58501/10], [15503/10, 6327/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -5/2], [-14, 6], [6, -5/2], [0, 0]], [[0, 0], [61, 27], [36/5, 24/5], [3/5, 2/5]], [[0, 0], [-75/2, -4], [-78/5, 18/5], [-13/10, 3/10]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[42, -12]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[93, -75/2], [40, -15], [93, -75/2], [0, 0]], [[-1488, 527], [-1659/2, 239/2], [-7242/5, 2647/5], [33/10, 1/5]], [[-37758, -11718], [-92319, -144785/4], [-150168/5, -43047/5], [6437/10, 5181/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 2], [12, -5], [12, 2], [0, 0]], [[-102, -42], [1, 3/4], [-978/5, -132/5], [-3/10, 1/20]], [[-90, -75/2], [0, 1], [-6618/25, 621/50], [-14/25, 4/25]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[42, -12]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[162, -67], [-35, 10], [162, -67], [0, 0]], [[-1485, 1155/2], [502/5, -937/5], [-1485, 1155/2], [14/5, 1/5]], [[-495, 110], [-1001/2, -529/2], [-495, 110], [11/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[339, -139], [-1341, 576], [339, -139], [0, 0]], [[-188442, 153729/2], [1533511/2, -619717/2], [-188532, 153729/2], [-3/2, 0]], [[-211356, 93366], [23939201/50, -13303543/25], [-1033158/5, 476688/5], [3937/50, 1643/50]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[42, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -3], [51, 4], [0, 0]], [[-1/2, -2], [-517/2, 6], [3355/2, -430], [-1/2, -2]], [[-41/2, 6], [1909/2, -496], [-21037/2, 4566], [-41/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -1], [75, -5], [0, 0]], [[-9/2, 2], [-213/2, -90], [-357/10, 3701/5], [-9/10, 2/5]], [[-5, 5/2], [-355, -387/2], [1264, 2647/2], [-1, 1/2]]], 1, 96, [], [] >,
< [ -6, 0, 1 ], [[84, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51, -1], [66, -1], [0, 0]], [[0, 0], [35, -14], [25, -10], [5, -2]], [[0, 0], [3060, -850], [3933, -1083], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, 5], [-75, 15], [0, 0]], [[0, 0], [15341, 8368], [-14884/5, -21226/5], [-8/5, -2/5]], [[0, 0], [-36821, 11716], [243358/5, -93163/5], [-19/5, 9/5]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[50190, -20490]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-745, -2], [979709/874, 807/874], [-1242/19, -1/38], [-1795/874, -1/437]], [[2661236, -2524997/2], [-3518289037/874, 1666805397/874], [4465566/19, -2114931/19], [6440795/874, -3052005/874]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-834, 3/2], [-58781/19, 1157/38], [-834/19, 3/38], [0, 0]], [[355767, 276211/2], [18987631797/16606, 8329875181/16606], [4846614/361, 2624246/361], [21561/16606, -3/16606]], [[2285256, 2027859], [157233245486/8303, 19831295870/8303], [180233580/361, -25482640/361], [-771043/8303, 360750/8303]]], 1, 576, [], [] >,
< [ -6, 0, 1 ], [[150, 0]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-15, 0], [-264363/874, -715/874], [1200/19, -5/38], [921/874, 1/437]], [[-9865, 5629/2], [-173054827/874, 24566118/437], [792000/19, -226800/19], [603449/874, -85746/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[147, 1], [50392/19, 497/19], [735/19, 5/19], [0, 0]], [[11661, 6063/2], [553161245/16606, 459864344/8303], [-1348245/361, 287490/361], [29373/16606, 2/8303]], [[583845, 887275/2], [111846809830/8303, 4470879183/8303], [93652200/361, -122489775/722], [-228602/8303, 1236529/16606]]], 1, 3456, [], [] >,
< [ -6, 0, 1 ], [[114, -54]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[75, 5/2], [-14, 4], [75, 5/2], [0, 0]], [[26784, 7626], [-2617, 185/2], [26784, 7626], [-3, -1/2]], [[-505548, 239568], [1895077/10, -791107/10], [-505548, 239568], [1159/10, -252/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[105, 5/2], [-320, 20], [105, 5/2], [0, 0]], [[-25578, 4321/2], [2065366/25, -671777/50], [-128586/5, 21617/10], [-58/25, 1/50]], [[9232092, -3931472], [-1740313371/50, 730386131/50], [46370898/5, -19748728/5], [35073/50, -7614/25]]], 1, 720, [], [] >,
< [ -6, 0, 1 ], [[7128, -2910]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, -3/2], [3, -14], [-9, -3/2], [0, 0]], [[75/2, 27/2], [1911/10, 237/5], [-15/2, 14], [-33/10, -1/5]], [[-185, -53/2], [-7803/5, 963/5], [519, -501/2], [224/5, -64/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, 3/2], [159, -70], [-9, 3/2], [0, 0]], [[-413, -339/2], [-4794/5, -1956/5], [-447, -345/2], [-13/5, -2/5]], [[405/2, 63], [4077/10, 854/5], [-165/2, 373/2], [-171/10, 38/5]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[7128, -2910]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1], [-84, 77/2], [3/2, 1/2], [0, 0]], [[0, 0], [-51, -7/2], [0, 0], [6, 1/2]], [[0, 0], [-802/5, 747/5], [0, 0], [86/5, -86/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -5/2], [-177, 68], [3, -5/2], [0, 0]], [[-13649/2, -2821], [-245221/10, -86969/10], [-13665/2, -5649/2], [-7/10, -3/10]], [[90, 3], [-1392, 701], [90, 3], [0, 0]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[18, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 3/2], [-66, 30], [-6, 3/2], [0, 0]], [[-13, 7], [-226, 86], [-11, 7], [-1, 0]], [[-38, 33/2], [-569, 457/2], [-34, 31/2], [-2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-63, -2], [4149/5, 76/5], [-63/5, -2/5], [0, 0]], [[-13633, 11537/2], [186578, -157505/2], [-2747, 2323/2], [17, -13/2]], [[8386, -4459], [-115811, 120923/2], [1694, -896], [-14, 7/2]]], 1, 18, [], [] >,
< [ -6, 0, 1 ], [[18, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -5/2], [-75, 29], [9, -5/2], [0, 0]], [[202, -130], [-2513, 2175/2], [218, -135], [-8, 5/2]], [[-279, 731/2], [5442, -5095/2], [-321, 749/2], [21, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-66, -3/2], [4203/5, 117/5], [-66/5, -3/10], [0, 0]], [[-25758, -12613/2], [1651524/5, 819477/10], [-25758/5, -12619/10], [0, 1/2]], [[122129, -129757/2], [-7644866/5, 8177637/10], [122027/5, -129679/10], [17, -13/2]]], 1, 18, [], [] >,
< [ -6, 0, 1 ], [[108, -48]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 15], [-252, 103], [0, 0]], [[0, 0], [-331/2, 133/2], [-5643/5, 2293/5], [1/2, -2/5]], [[0, 0], [-330, 128], [-11109/5, 4469/5], [0, -6/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, 43], [-120, 49], [0, 0]], [[0, 0], [595/2, 5], [822/5, -317/5], [1/2, 1/10]], [[0, 0], [2001, -758], [10827/5, -4412/5], [9/5, -3/5]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[5526, -2256]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -2], [-30, 11], [9, -2], [0, 0]], [[1839, 721], [-2973/2, -492], [9168/5, 3617/5], [-3/10, 1/10]], [[3345/2, 769], [-1843/2, -2831/4], [16899/10, 7621/10], [4/5, -7/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -3/2], [-108, 43], [0, -3/2], [0, 0]], [[441/2, 95], [568, -389/4], [2229/10, 971/10], [-1/2, -3/20]], [[-33/2, -44], [-6105/2, 4837/4], [-15/2, -97/2], [3/5, -3/20]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[54, -24]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 5/2], [-33, -2], [12, 5/2], [0, 0]], [[105, -119/2], [-5781/10, 2691/10], [105, -119/2], [-7/10, 1/5]], [[1764, -686], [-85797/10, 34347/10], [1764, -686], [-79/10, 17/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -1/2], [-9, 19], [-6, -1/2], [0, 0]], [[-24, -84], [118853/50, -10033/50], [-459/5, -416/5], [-339/50, 2/25]], [[-10560, 3940], [-3894119/25, 1665909/25], [-34056/5, 11516/5], [9372/25, -4092/25]]], 1, 108, [], [] >,
< [ -6, 0, 1 ], [[108, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57, 17], [9, -4], [0, 0]], [[0, 0], [-7, 3], [-5, 2], [5, -2]], [[0, 0], [-135, 50], [24, -10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-231, 11], [51, -4], [0, 0]], [[0, 0], [-356, -1905], [-7, 408], [1, 1]], [[0, 0], [-2357, -452], [2434/5, 401/5], [8/5, 2/5]]], 0, 432, [], [] >,
< [ -6, 0, 1 ], [[54, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180, -40], [-27, 11], [0, 0]], [[1/2, -1], [-4889/2, -989], [-1/2, 1], [1/2, -1]], [[110, -48], [-10309, -3517], [-110, 48], [110, -48]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [468, 17], [-81, -1], [0, 0]], [[-7/2, 1], [-13727/2, 3701], [12889/10, -3362/5], [-7/10, 1/5]], [[22, -7], [46697, -23163], [-43579/5, 21124/5], [22/5, -7/5]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[108, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 5], [-9, 2], [0, 0]], [[0, 0], [2, -1], [-5, 2], [5, -2]], [[0, 0], [-363, 123], [99, -39], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, -8], [-21, 4], [0, 0]], [[0, 0], [7517, 3082], [-7459/5, -3021/5], [37/5, 3/5]], [[0, 0], [31479, 6705], [-1968, -3054], [-1368, 570]]], 0, 432, [], [] >,
< [ -6, 0, 1 ], [[54, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -76], [-33, 14], [0, 0]], [[5/2, 0], [-148171/2, -27757], [3145/2, -18], [5/2, 0]], [[-55/2, 12], [31007/2, -50167], [-35549/2, 7728], [-55/2, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 9], [-3, -3], [0, 0]], [[11/2, 2], [2473/2, -504], [-947/10, 276/5], [11/10, 2/5]], [[23/2, -4], [90583/2, -18490], [-42101/10, 8608/5], [23/10, -4/5]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[22986, -9384]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 10], [9, -7], [0, 0]], [[-66, -1], [-16053/47, 6521/47], [-162/5, -497/5], [-84/235, 1/235]], [[-1975/2, -553], [182075/94, -76615/94], [-53271/10, -8388/5], [-2291/470, -1343/470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27, -14], [21, -11], [0, 0]], [[143/2, 7/2], [3219349/94, -606559/47], [54159/2, -20143/2], [181/470, 2/235]], [[-29682, -11475], [-83433375/47, -2449326/47], [-7583802/5, -453607/5], [-35496/235, -13617/235]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[36, -24]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 3], [24, -13], [0, 0]], [[0, 0], [15547/47, -941/47], [-894/5, 966/5], [55/47, 4/235]], [[0, 0], [1474585/47, 219063/47], [5229, 16121], [5719/47, 1197/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, 11], [-15, 8], [0, 0]], [[0, 0], [-59, 0], [-42/5, -17/5], [1/5, 0]], [[0, 0], [144078/47, 57112/47], [855, 349], [-2442/235, -968/235]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[18, -12]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, 5/2], [-33, -3], [15, 5/2], [0, 0]], [[18, 21/2], [-1028/5, -152/5], [18, 21/2], [14/5, 1/5]], [[9, -2], [1033/10, -264/5], [9, -2], [-19/10, 9/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, 5/2], [219, -106], [15, 5/2], [0, 0]], [[5529, 2237], [-43981/5, -50663/10], [27789/5, 11044/5], [1/5, -1/2]], [[6459, 5097/2], [-8699/2, -8213], [6648, 4905/2], [5/2, -3/2]]], 1, 108, [], [] >,
< [ -6, 0, 1 ], [[18, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -32], [-9, 7], [0, 0]], [[-2, 2], [1, -26], [-1, 2], [-2, 2]], [[45/2, -27/2], [-291/2, 305/2], [33/2, -25/2], [45/2, -27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [234/5, 474/5], [3/5, 3/5], [0, 0]], [[-5/2, 1], [-21901/10, 27342/5], [73/10, 154/5], [-5/2, 1]], [[0, 0], [14271/5, 4831/5], [102/5, 37/5], [0, 0]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[36, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, 52], [15, -8], [0, 0]], [[0, 0], [-22, 9], [-5, 2], [5, -2]], [[0, 0], [213, 198], [-63, -42], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1284/5, -124/5], [-33/5, 2/5], [0, 0]], [[0, 0], [95, -39], [-5, 2], [5, -2]], [[0, 0], [33537/5, -7368/5], [1134/5, -351/5], [0, 0]]], 0, 432, [], [] >,
< [ -6, 0, 1 ], [[18, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-141, 44], [15, -10], [0, 0]], [[-1/2, 2], [1349/2, -1118], [-1115/2, -14], [-1/2, 2]], [[113/2, -61/2], [-74335/2, 37317/2], [15151/2, -4187/2], [113/2, -61/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [459, 94], [15, 1], [0, 0]], [[-5/2, -5/2], [-196267/10, -102087/10], [-4199/10, -2879/10], [-5/2, -5/2]], [[-12, 6], [-13353, 11388], [-912, 522], [-12, 6]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[36, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, -45], [-15, 9], [0, 0]], [[0, 0], [17, -7], [-5, 2], [5, -2]], [[0, 0], [-201, 269], [78, -52], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2202/5, -478/5], [69/5, -1/5], [0, 0]], [[0, 0], [-25, 11], [-5, 2], [5, -2]], [[0, 0], [213333/5, -77737/5], [5016/5, -1444/5], [0, 0]]], 0, 432, [], [] >,
< [ -6, 0, 1 ], [[329814, -134646]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -5], [-15, 5], [0, 0]], [[647/2, -3/2], [-14095/94, -6380/47], [-9261/10, 1589/10], [-1007/470, -1/235]], [[-24180, -10912], [1838085/47, 723110/47], [188028/5, 97678/5], [38316/235, 17236/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, 5], [15, -9], [0, 0]], [[248, -1], [51256/47, -10657/47], [-5523/5, 1737/5], [-386/235, -1/235]], [[-76817/2, -32655/2], [-7541059/94, -1739261/47], [343023/10, 190583/10], [121601/470, 25813/235]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[108, -12]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, -7], [24, -11], [0, 0]], [[0, 0], [-57345/47, 12760/47], [-10359/5, 4186/5], [537/235, 2/235]], [[0, 0], [-967318/47, -607227/47], [11103, -5346], [4784/47, 2208/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -5], [-9, 3], [0, 0]], [[0, 0], [45266/47, 494/47], [-2301/5, -26/5], [-772/235, -2/235]], [[0, 0], [-2808599/47, -1489150/47], [142941/5, 75751/5], [46657/235, 25012/235]]], 0, 1728, [], [] >,
< [ -6, 0, 1 ], [[54, -6]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, 1/2], [-18, 2], [18, 1/2], [0, 0]], [[-2340, -585/2], [21839/10, -419/10], [-2361, -573/2], [-7/10, 1/5]], [[10140, 1690], [-90879/10, -1298/5], [10221, 1669], [27/10, -7/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1], [285, -115], [0, 5], [0, 0]], [[75, 30], [-649/10, 1079/10], [1908/5, 753/5], [-1/10, 0]], [[9, 7/2], [-36, 24], [45, 35/2], [0, 0]]], 1, 432, [], [] >,
< [ -6, 0, 1 ], [[54, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [87, -8], [81, 1], [0, 0]], [[-2, -1], [4351, 50633], [35360, 50430], [-2, -1]], [[-77/2, 9/2], [13980469/2, -5060089/2], [10697075/2, -3565775/2], [-77/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1167, -77], [36, 1], [0, 0]], [[1/2, -3/2], [10601/10, -917679/10], [-6983/10, 28687/10], [1/2, -3/2]], [[-84, 21/2], [-25130616/5, 3735763/10], [798783/5, -177449/10], [-84, 21/2]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[108, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [159, 9], [75, 0], [0, 0]], [[0, 0], [-22, 9], [25, -10], [5, -2]], [[0, 0], [-2025, 320], [-1026, 209], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4437, 28], [141, 1], [0, 0]], [[0, 0], [-43, 18], [25, -10], [5, -2]], [[0, 0], [127473/5, -73922/5], [-3864/5, 2296/5], [0, 0]]], 0, 1728, [], [] >,
< [ -6, 0, 1 ], [[54, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, 5], [24, -1], [0, 0]], [[1/2, -2], [697/2, -89], [-1423/2, -44], [1/2, -2]], [[47/2, 0], [1793/2, -653], [1765/2, 1445], [47/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4047, -77], [126, 1], [0, 0]], [[2, -2], [-1289438/5, 1420242/5], [43169/5, -44766/5], [2, -2]], [[1/2, 0], [1/2, 7], [5/2, 0], [1/2, 0]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[108, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -8], [39, 4], [0, 0]], [[0, 0], [17, -7], [25, -10], [5, -2]], [[0, 0], [747, -303], [672, -288], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11073/5, -428/5], [339/5, 4/5], [0, 0]], [[0, 0], [17, -7], [25, -10], [5, -2]], [[0, 0], [-128241/5, 107949/5], [4488/5, -3432/5], [0, 0]]], 0, 1728, [], [] >,
< [ -6, 0, 1 ], [[19062, -7782]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 0], [30, -13], [3, 0], [0, 0]], [[-159/2, -67/2], [46, 67/4], [-921/10, -172/5], [7/10, 1/20]], [[-45, 55/2], [-126, 93/2], [909/5, -643/10], [-63/5, 51/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, 1/2], [-114, 45], [15, 1/2], [0, 0]], [[-25881, -21677/2], [1199/2, 9425/2], [-129288/5, -108349/10], [-13/10, -1/5]], [[-260589/2, -3643], [1010632, -1597703/4], [-1315779/10, -30841/10], [713/10, -621/20]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[396, -156]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 5], [-42, 19], [0, 0]], [[0, 0], [-7919, -6401/2], [-2823/5, -3682/5], [-4/5, 3/10]], [[0, 0], [-2693/2, -607], [-6558/5, 1808/5], [17/10, -7/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -3], [-33, 14], [0, 0]], [[0, 0], [215/2, 44], [402/5, -132/5], [17/10, 3/10]], [[0, 0], [255, 199/2], [-11922/5, 4942/5], [-66/5, 77/10]]], 0, 1728, [], [] >,
< [ -6, 0, 1 ], [[198, -78]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[51, -1], [-75, -5], [51, -1], [0, 0]], [[102921, -9737/2], [-1491549/10, -58641/10], [102921, -9737/2], [17/10, -1/5]], [[-3016377, 55419/2], [4459161, 342639], [-3016377, 55419/2], [-49, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[120, 5/2], [-460, -5], [120, 5/2], [0, 0]], [[-37974, 9014], [7387971/50, -901428/25], [-189843/5, 45073/5], [27/50, 3/50]], [[-606672, 202607], [2374352, -1601597/2], [-606612, 202602], [6, -1/2]]], 1, 432, [], [] >,
< [ -6, 0, 1 ], [[198, -78]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 17], [33, 2], [0, 0]], [[0, -1], [-1101, -776], [1173, -1008], [0, -1]], [[-115/2, 45/2], [-39883/2, 13883/2], [-169487/2, 68157/2], [-115/2, 45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51, -4], [-30, 5], [0, 0]], [[-5, -5/2], [266, -263/2], [268, -271/2], [-1, -1/2]], [[399/2, -159/2], [205935/2, -84053/2], [1050387/10, -428707/10], [399/10, -159/10]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[396, -156]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 18], [-18, 3], [0, 0]], [[0, 0], [-7, 3], [25, -10], [5, -2]], [[0, 0], [-207, 82], [-111, 46], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45, -10], [0, -10], [0, 0]], [[0, 0], [151, 68], [166/5, 99/5], [17/5, -2/5]], [[0, 0], [-169, 155], [-257, 127], [80, -32]]], 0, 1728, [], [] >,
< [ -6, 0, 1 ], [[198, -78]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69, -6], [-102, -3], [0, 0]], [[-1/2, -5/2], [5921/2, 967/2], [8587/2, 883/2], [-1/2, -5/2]], [[-798, 315], [-239634, 104578], [-437583, 187393], [-798, 315]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [138, 12], [45, 0], [0, 0]], [[-31/2, -2], [-24731/2, -801], [-41603/10, 404/5], [-31/10, -2/5]], [[325, -130], [317420, -127707], [132649, -53634], [65, -26]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[396, -156]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63, 17], [-27, 2], [0, 0]], [[0, 0], [2, -1], [25, -10], [5, -2]], [[0, 0], [-4053, 1488], [5796, -2331], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -14], [15, -5], [0, 0]], [[0, 0], [-244, -110], [284/5, -49/5], [-17/5, 2/5]], [[0, 0], [1047, -1182], [31608/5, -12663/5], [-1719/5, 684/5]]], 0, 1728, [], [] >,
< [ -6, 0, 1 ], [[18, 0]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, 7/2], [39, -17], [-33, 21/2], [0, 0]], [[34, -135/2], [-4893/10, 1193/10], [51, -407/2], [-31/10, -2/5]], [[642, 737/2], [16689/10, 2641/10], [2271, 2441/2], [253/10, 46/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, -3/2], [-15, 8], [21, -9/2], [0, 0]], [[-208, 94], [3618/5, -2831/10], [-624, 282], [-4/5, 3/10]], [[1364, 572], [19311/10, 3697/5], [4092, 1716], [-43/10, -17/10]]], 1, 54, [], [] >,
< [ -6, 0, 1 ], [[18, 0]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 11/2], [24, -13], [-45, 33/2], [0, 0]], [[4977, -4479/2], [-23173/2, 3663], [14970, -13429/2], [5/2, 1/2]], [[637, 28715/2], [1259351/10, 118557/5], [144, 84781/2], [-1333/10, -527/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -1/2], [-39, 18], [12, -3/2], [0, 0]], [[-84, 49/2], [11271/10, -2398/5], [-252, 147/2], [-3/10, 3/10]], [[0, 0], [59/10, 13/5], [0, 0], [-7/10, -3/10]]], 1, 54, [], [] >,
< [ -6, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[0, 0], [10, -4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3204/5, 1309/5], [13/5, -3/5], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[0, 0], [1432/5, 608/5], [3476/5, 1419/5], [0, 0]]], 0, 20, [], [] >,
< [ -6, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 9], [-4, 2], [0, 0]], [[0, 0], [1, 0], [0, 0], [1, 0]], [[0, 0], [-148, 74], [-32, 11], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [358, -142], [4, -1], [0, 0]], [[0, 0], [5, 0], [0, 0], [1, 0]], [[0, 0], [214/5, 81/5], [32/5, 13/5], [0, 0]]], 0, 12, [], [] >,
< [ -6, 0, 1 ], [[4, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 1/2], [-34, 13], [-5, 1/2], [0, 0]], [[-34, -13], [-30, -3], [-34, -13], [0, 0]], [[0, 0], [-2, 1/2], [0, 0], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21, -1], [-538/5, 83/5], [21/5, -1/5], [0, 0]], [[-16, -13/2], [288/5, 117/5], [-16/5, -13/10], [0, 0]], [[0, 0], [-2, 1/2], [0, 0], [1, -1/2]]], 1, 4, [], [] >,
< [ -6, 0, 1 ], [[32, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3380, -1380], [-14, 5], [0, 0]], [[0, 0], [-1, -1], [1, 0], [1, 0]], [[0, 0], [9168, -3744], [-44, 11], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-228568/5, 93228/5], [-4/5, -1/5], [0, 0]], [[0, 0], [1, -1], [1, 0], [1, 0]], [[0, 0], [28, -12], [0, 0], [0, 0]]], 0, 96, [], [] >,
< [ -6, 0, 1 ], [[4752, -1940]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 5], [5, -2], [0, 0]], [[-7/2, -2], [-981/10, 311/10], [-17/2, -3/2], [-17/10, -3/10]], [[-43/2, -9], [-181/2, -19/2], [-65/2, -25/2], [-13/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 5], [5, -2], [0, 0]], [[-27/2, -3/2], [539/10, -219/10], [-9/2, -3], [-27/10, -3/10]], [[-352, -143], [74/5, -9/5], [-242, -99], [-352/5, -143/5]]], 1, 8, [], [] >,
< [ -6, 0, 1 ], [[0, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 3/2], [-112, 40], [2, 3/2], [0, 0]], [[-120, -95/2], [76, 209], [-120, -95/2], [-4, 2]], [[20, 6], [275, -295/2], [20, 6], [6, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, 3/2], [-358/5, -112/5], [11/5, 3/10], [0, 0]], [[1930, -80], [-9903, -2062], [386, -16], [-1, 0]], [[52560, -21960], [-116060, 103429/2], [10512, -4392], [-25, 21/2]]], 1, 8, [], [] >,
< [ -6, 0, 1 ], [[24, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 1], [1, 0], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [54, -22], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108/5, 33/5], [-9/5, 4/5], [0, 0]], [[0, 0], [11, 1], [0, 0], [1, 0]], [[0, 0], [-14, -11], [1, 0], [0, 0]]], 0, 64, [], [] >,
< [ -6, 0, 1 ], [[24, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, 29], [-28, 10], [0, 0]], [[0, 0], [-1, 0], [0, 0], [1, 0]], [[0, 0], [-64, 29], [-22, 11], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-298/5, 98/5], [-4/5, -1/5], [0, 0]], [[0, 0], [5, 0], [0, 0], [1, 0]], [[0, 0], [18, -7], [0, 0], [0, 0]]], 0, 48, [], [] >,
< [ -6, 0, 1 ], [[152, -62]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 1/2], [-12, 3], [4, 1/2], [0, 0]], [[-4, -1], [8, -1], [-4, -1], [0, 0]], [[0, 0], [-1273/86, 250/43], [0, 0], [23/86, -9/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-16, 3/2], [2, 1], [-16, 3/2], [0, 0]], [[7, -11/2], [-5235/43, 255/86], [331, -29/2], [-18/43, 1/86]], [[-897, 368], [489957/86, -98644/43], [-80886/5, 32611/5], [8489/430, -3419/430]]], 1, 8, [], [] >,
< [ -6, 0, 1 ], [[8, -8]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, -14], [-292, 119], [0, 0]], [[0, 0], [155478/43, -143285/86], [-31300, 12800], [-97/43, 3/86]], [[0, 0], [2682270/43, 2204117/86], [-5560, -3600], [12565/43, 10255/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 3], [284, -116], [0, 0]], [[0, 0], [46343/43, -1201/86], [5268, 254], [-326/43, -1/86]], [[0, 0], [-185719526/43, -75800251/43], [-121889048/5, -49751557/5], [6771636/215, 2763849/215]]], 0, 48, [], [] >,
< [ -6, 0, 1 ], [[8, -8]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [-7202/43, -1723/43], [0, 0], [222/43, 1/43]], [[0, 0], [1126595/43, 900609/86], [0, 0], [-22774/43, -17177/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-148, 60], [-118, 47], [0, 0]], [[0, 0], [88393/43, -35725/86], [-12096/5, -1899/5], [842/215, 1/430]], [[0, 0], [5712635/43, 2499940/43], [-2208699/5, -911151/5], [110483/215, 46172/215]]], 0, 48, [], [] >,
< [ -6, 0, 1 ], [[144, -64]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-106, 44], [294, -120], [0, 0]], [[0, 0], [2761, -1148], [-37888/5, 15498/5], [3/5, 1/5]], [[0, 0], [-8980, -7539/2], [2262, 1205], [959/5, 783/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [348, -140], [26, -10], [0, 0]], [[0, 0], [-3316, 1312], [-1204/5, 439/5], [-2/5, 2/5]], [[0, 0], [16, 13/2], [-64/5, -26/5], [-11/5, -9/10]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[72, -32]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [681, -541/2], [-4/5, -6/5], [-2/5, -1/10]], [[0, 0], [-7913/2, 1633], [-54/5, 4/5], [-3/10, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-388, 158], [68, -27], [0, 0]], [[0, 0], [8919/2, -1832], [-17756/25, 8216/25], [-11/50, 1/50]], [[0, 0], [4061/2, 2113/2], [-196199/25, -81061/25], [721/50, 147/25]]], 0, 96, [], [] >,
< [ -6, 0, 1 ], [[72, -32]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -28], [226, -92], [0, 0]], [[0, 0], [-73937/2, 29463/2], [-611906/5, 250261/5], [-1/2, 1/5]], [[0, 0], [112, -280], [1410, -517], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, 26], [-50, 20], [0, 0]], [[0, 0], [23213/2, -4736], [225312/25, -92682/25], [27/50, 3/50]], [[0, 0], [-2640, -675/2], [504262/25, 220293/25], [-5239/25, -4277/50]]], 0, 96, [], [] >,
< [ -6, 0, 1 ], [[72, -32]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, -38], [238, -97], [0, 0]], [[0, 0], [11860, -4965], [156252/5, -63707/5], [-2/5, 1/5]], [[0, 0], [4047/2, -1287/2], [23247/5, -9612/5], [-1/10, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 18], [-124, 51], [0, 0]], [[0, 0], [-422, 327/2], [-29922/25, 11392/25], [-11/25, -3/50]], [[0, 0], [6161/2, 2475/2], [57609/5, 23236/5], [833/10, 34]]], 0, 96, [], [] >,
< [ -6, 0, 1 ], [[12, -2]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 1/2], [128, -55], [-4, 1/2], [0, 0]], [[-273, -221/2], [-1185/2, -581/2], [-271, -225/2], [-1/2, 0]], [[221, 91], [1163/2, 791/4], [1123/5, 452/5], [0, 3/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 3/2], [100, -35], [4, 3/2], [0, 0]], [[0, 0], [225/2, -123/4], [974/25, 61/25], [-8/25, -3/100]], [[0, 0], [9877, -13545/4], [2552, -261], [-203/10, 29/20]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[16, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -1], [22, -7], [0, 0]], [[0, 0], [-280, -399], [288, -224], [-10, 3]], [[0, 0], [-8942, 8249], [-16320, 7616], [374, -143]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3314/5, 1204/5], [28/5, 2/5], [0, 0]], [[0, 0], [146938/5, 61367/5], [-13396/5, -5474/5], [0, 1]], [[0, 0], [36296/5, 18584/5], [-3672/5, -1513/5], [-2, 1]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[72, -32]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, -35], [-76, 31], [0, 0]], [[0, 0], [4787/5, -1422/5], [-754, 309], [-11/5, 1/5]], [[0, 0], [-63501, -53123/2], [-1426, 0], [420, 345/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1618, -653], [-216, 88], [0, 0]], [[0, 0], [355823/25, -292481/50], [-9538/5, 3918/5], [26/25, 3/50]], [[0, 0], [18858/25, 15399/50], [-458/5, -187/5], [-229/25, -187/50]]], 0, 144, [], [] >,
< [ -6, 0, 1 ], [[144, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [172, -47], [-26, 9], [0, 0]], [[0, 0], [-67512, -13318], [6336, 252], [30, -10]], [[0, 0], [138410, 501747], [41904, -55872], [814, -363]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-402, -23], [48, 3], [0, 0]], [[0, 0], [15514, 1820], [-9086/5, -1154/5], [-22/5, 2/5]], [[0, 0], [-31670, 14310], [17894/5, -8129/5], [78/5, -33/5]]], 0, 1152, [], [] >,
< [ -6, 0, 1 ], [[632, -258]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1], [-2, 1], [-2, -1], [0, 0]], [[1, 1/2], [0, 0], [1, 1/2], [0, 0]], [[0, 0], [547/86, -36/43], [0, 0], [7/86, -1/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [-66, 30], [-2, 3/2], [0, 0]], [[100, 35], [1489207/430, 21636/215], [-862/5, 173/5], [-681/430, -1/430]], [[-2145, -2005/2], [-2349713/215, -7103468/215], [-8569/5, 15847/10], [539/215, 3234/215]]], 1, 8, [], [] >,
< [ -6, 0, 1 ], [[56, -24]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 5], [-128, 52], [0, 0]], [[0, 0], [-32962/43, 14863/43], [-7056, 2883], [-244/43, -2/43]], [[0, 0], [1314182/43, 1148851/86], [-7128, 4806], [-98465/43, -80135/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-534, 217], [-272, 111], [0, 0]], [[0, 0], [1675261/215, -581904/215], [19848/5, -6922/5], [717/215, 2/215]], [[0, 0], [-67564237/43, -54740157/86], [-782164, -316790], [-194488/43, -158701/86]]], 0, 48, [], [] >,
< [ -6, 0, 1 ], [[56, -24]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [2758/43, 1921/86], [0, 0], [61/43, 1/86]], [[0, 0], [74578/43, 29422/43], [0, 0], [1080/43, 288/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 1], [1, 0], [0, 0]], [[0, 0], [1768092/215, 59599/430], [-4084/5, 6/5], [-1021/215, 3/430]], [[0, 0], [-259597535/43, -256411611/86], [568128, 285678], [142032/43, 142839/86]]], 0, 48, [], [] >,
< [ -6, 0, 1 ], [[48, -32]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -6], [4, -3], [0, 0]], [[0, 0], [-9274/47, 2889/47], [-296/5, 114/5], [12/47, 6/235]], [[0, 0], [-3842/47, 490/47], [-18, 7], [46/235, 14/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 3], [-90, 38], [0, 0]], [[0, 0], [-7092/47, 635/47], [32/5, 812/5], [90/47, -2/235]], [[0, 0], [744/47, 300/47], [-268/5, -108/5], [-62/235, -5/47]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[24, -16]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -7], [2, -1], [0, 0]], [[0, 0], [-153, -6], [-208, 2], [-1, 0]], [[0, 0], [-480170/47, -160535/47], [-63384/5, -20064/5], [-14592/235, -4674/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82, -34], [-16, 7], [0, 0]], [[0, 0], [50013/235, -29022/235], [-2296/25, 494/25], [-67/1175, -2/1175]], [[0, 0], [230124/47, 77241/47], [2036, 928], [704/235, 296/235]]], 0, 96, [], [] >,
< [ -6, 0, 1 ], [[24, -16]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-9599/47, 1047/47], [111/5, 11/5], [-191/235, -1/47]], [[0, 0], [616843/47, 182949/47], [-2205, -805], [3325/47, 1155/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [-94021/235, 12749/235], [-668/25, 2/25], [-151/1175, -1/1175]], [[0, 0], [494146/235, 181306/235], [5088/25, 1968/25], [1176/1175, 456/1175]]], 0, 96, [], [] >,
< [ -6, 0, 1 ], [[24, -16]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [2084/47, -506/47], [71/5, -4/5], [-64/235, 3/235]], [[0, 0], [1944/47, -7053/47], [-322/5, -322/5], [308/235, 294/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[0, 0], [104314/47, -1845/47], [876/5, -4/5], [198/235, 1/235]], [[0, 0], [160795227/235, 71621392/235], [1399636/25, 620046/25], [324527/1175, 143227/1175]]], 0, 96, [], [] >,
< [ -6, 0, 1 ], [[36, -14]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1], [22, -9], [2, -1], [0, 0]], [[14, 11/2], [5, 0], [14, 11/2], [0, 0]], [[19, -15/2], [430/47, -337/94], [-9/5, 7/10], [19/235, -3/94]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 3/2], [-29, 25], [3, 3/2], [0, 0]], [[37, 33/2], [-342/47, 16767/94], [207/5, 169/10], [1/47, 1/470]], [[36, -63/2], [1698897/235, -715548/235], [-584/25, -423/50], [-328/1175, 127/1175]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[120, -40]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [346/19, -149/19], [-6/19, 5/19], [0, 0]], [[0, 0], [899100/437, -40383/874], [2225/19, 277/19], [-2353/437, -5/874]], [[0, 0], [-6799930238/437, 2698904374/437], [-11255188/19, 4331245/19], [16852624/437, -6665824/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1042/19, 7/19], [-52/19, -1/19], [0, 0]], [[0, 0], [-3757266515/8303, -200761245/16606], [75897/361, -214136/361], [30422/8303, -5/16606]], [[0, 0], [-411936936700/437, 353648824743/874], [73437555/19, -29011155/19], [3580977/437, -3055329/874]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[40, 0]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 2], [-114, 49], [0, 0]], [[0, 0], [2310/43, -2652/43], [2312, -1188], [-36/43, -1/43]], [[0, 0], [-16265/43, 60713/86], [-22720, 12663], [440/43, 77/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -11], [-262, -3], [0, 0]], [[0, 0], [157134/43, 13001/86], [-7720524/19, -1067031/19], [-2885/817, -5/1634]], [[0, 0], [10865776/43, -4259202/43], [-398080620/19, 151961607/19], [-220740/817, 87164/817]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[112, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-840, 340], [-26, 10], [0, 0]], [[0, 0], [13376, -5355], [420, -150], [-20, 7]], [[0, 0], [-94466, 37094], [-3120, 975], [150, -45]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2398/5, 847/5], [56/5, 1/5], [0, 0]], [[0, 0], [-221852/5, -132667/5], [48824/5, 20434/5], [12, -5]], [[0, 0], [4201528/5, 2089843/5], [-837216/5, -346256/5], [-106, 45]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[24, -16]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -9], [98, -40], [0, 0]], [[0, 0], [2083/5, -1601/10], [2226, -909], [16/5, 3/10]], [[0, 0], [-99497/5, -81291/10], [516, 182], [-16224/5, -13247/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-376, 159], [30, -15], [0, 0]], [[0, 0], [-33/5, 88/5], [2, -3], [-1/5, 1/5]], [[0, 0], [17617/5, 14381/10], [-2754/5, -1124/5], [136/5, 111/10]]], 0, 144, [], [] >,
< [ -6, 0, 1 ], [[48, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, -27], [-20, 5], [0, 0]], [[0, 0], [-1256, 857], [912, -60], [-28, 11]], [[0, 0], [-47900, -10753], [-30276, -15138], [-130, 91]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, -53], [2, 1], [0, 0]], [[0, 0], [-7526/5, 7904/5], [-12/5, -92/5], [-32, 12]], [[0, 0], [32606, 5097], [-532, -152], [90, -57]]], 0, 1152, [], [] >,
< [ -6, 0, 1 ], [[40, 0]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-222, 91], [20, -8], [0, 0]], [[0, 0], [-657901/43, 265230/43], [1370, -559], [-229/43, -2/43]], [[0, 0], [103823442/43, 84820303/86], [-9222, -3816], [2954105/43, 2412025/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10318, -4883], [-292, 119], [0, 0]], [[0, 0], [-172302173286/817, -144402380285/1634], [-2636284/19, 49365/19], [-649/817, 5/1634]], [[0, 0], [20618248928178/817, 17651115290781/1634], [454825690/19, -61462375/19], [110805/817, -26975/1634]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[-72, 16]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-162, 66], [-160, 65], [0, 0]], [[0, 0], [-33669/5, 13884/5], [-6780, 2760], [17/5, -2/5]], [[0, 0], [92779/5, 76177/10], [-5424, -2172], [3318/5, 2709/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7912, 3021], [-218, 89], [0, 0]], [[0, 0], [2504566/25, 1958123/50], [166/5, -1/5], [-83/25, 1/50]], [[0, 0], [99642126/5, 28517109/5], [26416, -8476], [-13208/5, 4238/5]]], 0, 480, [], [] >,
< [ -6, 0, 1 ], [[-168, 64]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2436, 991], [-292, 119], [0, 0]], [[0, 0], [-159268/5, 65673/5], [-3848, 1573], [14/5, 1/5]], [[0, 0], [-20878, -9237/2], [-832, 130], [-165, -135/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1844, -1051], [-86, 35], [0, 0]], [[0, 0], [-32694857/25, -27168921/50], [-914, -22], [26/25, 3/50]], [[0, 0], [-1908448/25, -16757322/25], [-29326, 11715], [764/25, -304/25]]], 0, 480, [], [] >,
< [ -6, 0, 1 ], [[264, -8]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [440, -178], [4392, -1793], [0, 0]], [[0, 0], [11013/5, -8261/10], [20562, -8516], [26/5, 3/10]], [[0, 0], [790611/5, 645533/10], [-263714, -107659], [26272/5, 21451/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7496, -3133], [-7672, 3132], [0, 0]], [[0, 0], [-202837184/25, -166015177/50], [-92414/5, 469/5], [-33/25, 1/50]], [[0, 0], [-12584317402/25, -5169454178/25], [-10317622/5, 1896167/5], [-3724/25, 714/25]]], 0, 8640, [], [] >,
< [ -6, 0, 1 ], [[1224, -488]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, 27], [-1936, 790], [0, 0]], [[0, 0], [-888/5, 781/10], [-4338, 1758], [-1/5, -3/10]], [[0, 0], [-4786/5, -3873/10], [2658, 1167], [403/5, 329/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1282, -2], [788, -321], [0, 0]], [[0, 0], [5799625469/25, 4725072157/50], [-619276, 811], [8/25, -1/50]], [[0, 0], [760687222958/25, 309530802012/25], [-101876724, 8555614], [1356/25, -191/25]]], 0, 8640, [], [] >,
< [ -6, 0, 1 ], [[9068, -3702]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, -5/2], [-8, 1], [10, -5/2], [0, 0]], [[60, 15/2], [-7040/43, -745/43], [60, 15/2], [-50/43, 1/43]], [[-812, 348], [204283/86, -87135/86], [-812, 348], [2077/86, -434/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, -1/2], [60, -22], [7, -1/2], [0, 0]], [[1285, 943/2], [2002921/430, -2049/430], [7859/5, 4723/10], [717/430, 1/215]], [[-186525, 81845/2], [-224885862/43, 88924834/43], [-505637, 334061/2], [-79778/43, 31527/43]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[88, -32]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -9], [1864, -761], [0, 0]], [[0, 0], [-233/43, 85/86], [376, -154], [32/43, -3/86]], [[0, 0], [13315/43, 10871/86], [128, 53], [-2926/43, -2389/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9230, -3766], [4676, -1909], [0, 0]], [[0, 0], [-427135, 175230], [-216804, 88546], [-1, 0]], [[0, 0], [-2028533569/215, -1635863033/430], [-2134272/5, -751017/5], [965142/215, 788059/430]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[88, -32]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, 58], [10, -5], [0, 0]], [[0, 0], [-64788/43, 61431/86], [148, -52], [125/43, -5/86]], [[0, 0], [-162796/43, -63069/43], [-307, -132], [-1800/43, -738/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-338, 138], [-50, 20], [0, 0]], [[0, 0], [-902502/215, 48761/430], [-2506/5, 34/5], [-699/215, -3/430]], [[0, 0], [-169180089/215, -137299993/430], [-486237/5, -197382/5], [-140998/215, -114521/430]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[144, -16]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -1], [-8, 2], [0, 0]], [[0, 0], [-15312/47, 48/47], [-2452/5, -27/5], [1276/235, -4/235]], [[0, 0], [-459816/47, -195216/47], [-76306/5, -32311/5], [38318/235, 16268/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 3], [-34, 14], [0, 0]], [[0, 0], [-35840/47, 1680/47], [-7642/5, 888/5], [2736/235, 1/235]], [[0, 0], [20161824/47, 8195404/47], [695500, 282186], [-347912/47, -141547/47]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[72, -8]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -12], [2, 1], [0, 0]], [[0, 0], [46102/47, -1011/47], [-2484/5, -4/5], [1242/235, 2/235]], [[0, 0], [3194179/47, 1101042/47], [-181042/5, -63572/5], [90521/235, 31786/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [110, -44], [-36, 13], [0, 0]], [[0, 0], [-5568879/235, 290931/235], [-24162/25, -10882/25], [-5539/1175, -4/1175]], [[0, 0], [225616988/47, 86150471/47], [2281694/5, 933864/5], [255878/235, 99218/235]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[72, -8]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-14753/47, -1762/47], [1074/5, 4/5], [-537/235, -2/235]], [[0, 0], [-2251967/47, -952329/47], [25234, 10974], [-12617/47, -5487/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [-1918112/235, -3642/235], [-17456/25, -16/25], [-2182/1175, -2/1175]], [[0, 0], [9641161/47, 4875019/47], [17496, 8856], [2187/47, 1107/47]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[72, -8]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [47663/47, -2279/47], [2014/5, 4/5], [-1007/235, -2/235]], [[0, 0], [15550110/47, 6860042/47], [754408/5, 327248/5], [-377204/235, -163624/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[0, 0], [-3335653/235, -33428/235], [-63784/25, -24/25], [-7973/1175, -3/1175]], [[0, 0], [-143600738/47, -57936622/47], [-536672, -216400], [-67084/47, -27050/47]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[48, -22]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1/2], [37, -15], [-3, 1/2], [0, 0]], [[-68, -24], [90, -29], [-68, -24], [0, 0]], [[0, 0], [910/47, -805/94], [-52/5, 23/5], [26/235, -23/470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -3/2], [-21, -3], [-4, -3/2], [0, 0]], [[-11, -7], [1210472/47, -7203/94], [10889/5, -31/5], [1368/235, 1/470]], [[11022, -3718], [9778430294/235, -8317790207/470], [87934862/25, -37400818/25], [10957414/1175, -9326967/2350]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[120, -80]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [118, 9], [-20, 0], [0, 0]], [[0, 0], [-573736/437, -200079/437], [4802/19, 1217/19], [-390/437, 2/437]], [[0, 0], [-359029/23, 1156375/46], [15457, -9468], [-75988/437, 67981/874]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7642/19, -402/19], [-70/19, -5/19], [0, 0]], [[0, 0], [-103509621/8303, 8044245/16606], [1459987/361, 2552/361], [19396/8303, 5/16606]], [[0, 0], [17678537320/8303, -29875125533/16606], [-199934297/361, 202487103/361], [-2682315/8303, 5388795/16606]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[280, -120]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 9], [920, -375], [0, 0]], [[0, 0], [1997/43, -273/43], [904, 49], [-287/43, -2/43]], [[0, 0], [-5537025/43, -4499661/86], [-4262468, -1737013], [1215306/43, 990039/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 1], [-860, -20], [0, 0]], [[0, 0], [80270/43, 12467/86], [4556000/19, 854470/19], [577/817, 1/1634]], [[0, 0], [-1666206/43, 737198/43], [-60920638/19, 28835777/19], [-14950/817, 6448/817]]], 0, 1728, [], [] >,
< [ -6, 0, 1 ], [[176, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1656, -689], [-20, -5], [0, 0]], [[0, 0], [-17264, -7845], [-18552, -7572], [-4, 3]], [[0, 0], [9254, 1728], [6852, 2802], [-16, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2236/5, -779/5], [48/5, 3/5], [0, 0]], [[0, 0], [2568, 1904], [598, 253], [14, -3]], [[0, 0], [35228/5, -96027/5], [-15436/5, -7446/5], [-294, 105]]], 0, 1152, [], [] >,
< [ -6, 0, 1 ], [[72, -8]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-394, 161], [1232, -503], [0, 0]], [[0, 0], [36978/5, -30391/10], [-23492, 9566], [11/5, 3/10]], [[0, 0], [-818762, -334233], [-1013296, -413756], [49416, 20174]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-280, 115], [1030, -420], [0, 0]], [[0, 0], [33106/5, -26847/10], [-24204, 9897], [-3/5, 1/10]], [[0, 0], [-160296/5, -65329/5], [-137126/5, -56391/5], [1286/5, 105]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[144, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, 5], [-68, -3], [0, 0]], [[0, 0], [-72524, 1920], [71424, -3816], [14, -4]], [[0, 0], [-1842306, -354353], [1749888, 298368], [234, -27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8236/5, -21/5], [-202/5, 3/5], [0, 0]], [[0, 0], [-10965344/5, -3728039/5], [-259488/5, -86768/5], [16, -7]], [[0, 0], [2148353816/5, 886943041/5], [50433152/5, 20842272/5], [342, -39]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[280, -120]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -1], [3586, -1464], [0, 0]], [[0, 0], [-13943/43, -341/86], [-14736, 6129], [-68/43, -1/86]], [[0, 0], [-108672790/43, -44364127/43], [2091908, 856995], [-523852/43, -213855/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1876, 989], [806, -329], [0, 0]], [[0, 0], [-135295546386/817, -55307586982/817], [-1346688/19, 2418/19], [-1240/817, 1/817]], [[0, 0], [313698531552/43, 229395209671/86], [-121692718, 50882931], [-111775/43, 93483/86]]], 0, 1152, [], [] >,
< [ -6, 0, 1 ], [[104, -56]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-362, 148], [550, -225], [0, 0]], [[0, 0], [14571/43, 2551/86], [108, -52], [-190/43, -1/86]], [[0, 0], [-14147898/43, -5777493/43], [15524, 6304], [152880/43, 62440/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-276, 119], [-238, 97], [0, 0]], [[0, 0], [1701/215, -10649/215], [-3402/5, 53/5], [1147/215, 2/215]], [[0, 0], [8133943/215, 6778631/430], [1113234/5, 445749/5], [-391584/215, -314083/430]]], 0, 1440, [], [] >,
< [ -6, 0, 1 ], [[104, -56]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-266, 109], [188, -77], [0, 0]], [[0, 0], [1093840/43, -894027/86], [-18040, 7360], [-25/43, 1/86]], [[0, 0], [-702495/43, -289199/43], [-7960, -3210], [-15449/43, -6307/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [544, -231], [362, -148], [0, 0]], [[0, 0], [-7120751/215, 5479433/430], [-106008/5, 43612/5], [-412/215, 1/430]], [[0, 0], [-247328063/215, -207129711/430], [549396/5, 184381/5], [-250916/215, -205027/430]]], 0, 1440, [], [] >,
< [ -6, 0, 1 ], [[648, -272]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [396, -64], [-82, 33], [0, 0]], [[0, 0], [-3187966/5, -1259359/5], [6156, -5], [-12/5, 2/5]], [[0, 0], [20019402, 16764037/2], [-22732, -71792], [-19, 53/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6324, -2581], [-1250, 510], [0, 0]], [[0, 0], [112409, -45983], [-22134, 9081], [-1, 0]], [[0, 0], [-4666447/5, -3811211/10], [2266822/5, 925532/5], [-4110, -16779/10]]], 0, 2880, [], [] >,
< [ -6, 0, 1 ], [[56, -16]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -13], [-262, 107], [0, 0]], [[0, 0], [12921/43, -8726/43], [-3828, 1563], [-265/43, -1/43]], [[0, 0], [19521836/43, 15932909/86], [-2178, -152], [617463/43, 504207/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [650, -265], [0, 0]], [[0, 0], [-10451/43, 67/86], [79032/5, -31677/5], [376/215, 3/430]], [[0, 0], [527697/43, 215811/43], [-66406/5, -32759/5], [-19323/215, -7902/215]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[56, -16]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [30, -5], [0, 0]], [[0, 0], [-9127/43, -255/86], [-140, 55], [190/43, -1/86]], [[0, 0], [563356/43, 235003/43], [127, 208], [-11256/43, -4704/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, -46], [0, 5], [0, 0]], [[0, 0], [282981/43, -238153/86], [-3223/5, 228/5], [-54/215, 3/430]], [[0, 0], [-364272/43, 102454/43], [-15311/5, -7904/5], [-298/215, -147/215]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[524, -214]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 3/2], [4, -3], [6, 3/2], [0, 0]], [[108, 62], [-16577/86, 1098/43], [108, 62], [79/86, -1/86]], [[-457, -201/2], [-18800/43, 13857/43], [-457, -201/2], [46/43, -61/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -5/2], [-20, 8], [15, -25/2], [0, 0]], [[-56, -28], [1041/86, 935/86], [-1269/5, -691/5], [71/430, 2/215]], [[-266, -112], [3654/43, 1640/43], [-6266/5, -2674/5], [102/215, 33/215]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[528, -208]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [470, -188], [-4, 3], [0, 0]], [[0, 0], [56753, -22882], [-2812/5, 1652/5], [19/5, 1/5]], [[0, 0], [2754, -23369/2], [-23642/5, -8873/5], [-391/5, -323/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [310, -126], [-12, 5], [0, 0]], [[0, 0], [7427, -5935/2], [-266, 122], [2, 1/2]], [[0, 0], [-1008, -3049/2], [-2726/5, -899/5], [-243/5, -199/10]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[24, -14]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -3/2], [100, -45], [0, -3/2], [0, 0]], [[-2027, -1637/2], [-5556, -9159/4], [-10059/5, -8197/10], [-19/10, 3/20]], [[-191, -1015], [-12917/2, -390], [-5647/5, -3143/5], [1173/10, -483/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, -3/2], [-18, -7], [-14, -3/2], [0, 0]], [[-56, 45/2], [339, 55], [-2108/25, 1101/50], [-59/25, -1/25]], [[-4884, 4027/2], [-3893, -35827/4], [-26394/5, 28313/10], [-329/10, 1363/20]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[264, -104]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-106, 44], [-120, 49], [0, 0]], [[0, 0], [1131/2, -131], [508, -197], [-3/2, -1/2]], [[0, 0], [6246, 2686], [2446/5, 1759/5], [-362/5, -148/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 20], [184, -76], [0, 0]], [[0, 0], [21647/2, -8835/2], [-1055766/25, 429901/25], [39/50, -2/25]], [[0, 0], [-267/2, -109/2], [95786/25, 39104/25], [-1019/50, -208/25]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[264, -104]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [5, -2], [0, 0]], [[0, 0], [663/2, -259/2], [11/5, 4/5], [11/10, 2/5]], [[0, 0], [472, -173], [36/5, 14/5], [18/5, 7/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [452, -184], [39, -16], [0, 0]], [[0, 0], [-8181/2, 1664], [-851/5, 756/5], [29/10, 1/10]], [[0, 0], [4359/2, 1232], [-899881/25, -366809/25], [-28251/50, -11539/50]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[264, -104]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [5, -2], [0, 0]], [[0, 0], [-203/2, 41/2], [33/5, 2/5], [33/10, 1/5]], [[0, 0], [-2945/2, -751/2], [187, 68], [187/2, 34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [584, -238], [51, -19], [0, 0]], [[0, 0], [-116520, 95279/2], [-242671/25, 100656/25], [-33/25, 1/50]], [[0, 0], [17641/2, 1897], [31003/5, 11942/5], [-497/10, -203/10]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[112, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, 85], [62, 3], [0, 0]], [[0, 0], [72860, 30869], [75702, 30723], [-14, 6]], [[0, 0], [1066890, 433431], [1081674, 441936], [32, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1836/5, 521/5], [-98/5, 3/5], [0, 0]], [[0, 0], [-3393538/5, -1844177/5], [-621504/5, -269256/5], [4, -1]], [[0, 0], [13923724/5, 8616391/5], [2714712/5, 1207518/5], [-24, 7]]], 0, 1152, [], [] >,
< [ -6, 0, 1 ], [[264, -104]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, 34], [42, -17], [0, 0]], [[0, 0], [130783/5, -107271/10], [-13854, 5654], [-4/5, 3/10]], [[0, 0], [-8526, -3479], [-326, -134], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1082, 447], [-1082, 442], [0, 0]], [[0, 0], [2558216/25, -2079827/50], [506984/5, -207024/5], [-83/25, 1/50]], [[0, 0], [657416/5, 283274/5], [-10958, -1517], [-5038/5, -2057/5]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[528, -208]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 7], [50, 5], [0, 0]], [[0, 0], [5422, 6665], [48924, 2106], [14, -3]], [[0, 0], [-1041016, 537406], [5073354, -1791639], [2350, -925]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 0], [0, -10], [0, 0]], [[0, 0], [-350, -191], [-2146/5, -694/5], [-42/5, -3/5]], [[0, 0], [498, -228], [-2144/5, 759/5], [-158/5, 63/5]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[360, -160]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1042/19, -69/19], [176/19, -1/19], [0, 0]], [[0, 0], [-17947850/437, -14656249/874], [117527/19, 45628/19], [2353/437, 5/874]], [[0, 0], [435130848/19, 177613153/19], [-61937746/19, -26903934/19], [6500/19, -26000/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27822/19, -81/19], [352/19, -2/19], [0, 0]], [[0, 0], [5118416884/8303, 111341667/8303], [2937070/361, 53285/361], [-1116/8303, -1/8303]], [[0, 0], [-37731195286/8303, 167855776997/16606], [-22707811/361, 48261231/361], [10547/8303, -37047/16606]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[40, -40]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -1], [-78, 33], [0, 0]], [[0, 0], [20713/43, 919/86], [-220, -129], [262/43, 5/86]], [[0, 0], [3250254/43, 1332261/43], [-79964, -32619], [39900/43, 16359/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 21], [-94, 4], [0, 0]], [[0, 0], [-589896/43, -24599/43], [1406132/19, 1004211/19], [-480/817, 1/817]], [[0, 0], [-2847368/43, -80193939/86], [395340036/19, 83940532/19], [6319/817, -65771/1634]]], 0, 1152, [], [] >,
< [ -6, 0, 1 ], [[40, -40]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [940, -383], [-1124, 459], [0, 0]], [[0, 0], [3421736/43, -2792681/86], [-95168, 38848], [111/43, 1/86]], [[0, 0], [-29078394/43, -11696889/43], [214656, 82784], [-2291044/43, -935312/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14966, -6112], [-364, 149], [0, 0]], [[0, 0], [-146302586/817, -10264373/1634], [-411042/19, -3873/19], [4253/817, 5/1634]], [[0, 0], [120806861004/817, -71548570831/817], [372432516/19, -210884676/19], [-3971162/817, 2217150/817]]], 0, 1728, [], [] >,
< [ -6, 0, 1 ], [[600, -200]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [520/19, -66/19], [550/19, -15/19], [0, 0]], [[0, 0], [12552176/437, 6762371/874], [724065/19, 231995/19], [511/437, -3/874]], [[0, 0], [-2854860195/437, 1011742133/437], [-108972590/19, 34950935/19], [-325995/437, 129343/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2032/19, -42/19], [920/19, 25/19], [0, 0]], [[0, 0], [7547254/19, 162477/19], [-80690/19, -73105/19], [4, 0]], [[0, 0], [1633170296583/8303, -1374478138195/16606], [1027828735/361, -390469130/361], [17388086/8303, -14589499/16606]]], 0, 13824, [], [] >,
< [ -6, 0, 1 ], [[200, 0]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -19], [-490, 200], [0, 0]], [[0, 0], [3262/43, 5991/86], [1806, -1024], [197/43, -1/86]], [[0, 0], [2511483/43, 2052819/86], [-165038, -68543], [46472/43, 37837/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 31], [860, 20], [0, 0]], [[0, 0], [358739/43, -9193/86], [-3366504/19, 721196/19], [-4182/817, -3/1634]], [[0, 0], [-503831204/43, 196947204/43], [6890534000/19, -2772801515/19], [5697740/817, -2220800/817]]], 0, 6912, [], [] >,
< [ -6, 0, 1 ], [[200, 0]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [486, -199], [-5450, 2225], [0, 0]], [[0, 0], [268212/43, -100015/43], [-63666, 26111], [122/43, -1/43]], [[0, 0], [-1395904682/43, -1139748111/86], [-17586168, -7179932], [-7184919/43, -5866461/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3658, -1197], [-980, 400], [0, 0]], [[0, 0], [-706109352/817, -511714463/1634], [106404/19, -1099/19], [4253/817, 5/1634]], [[0, 0], [90503241429/817, 31220312060/817], [-16135912/19, 1283167/19], [-642031/817, 44278/817]]], 0, 6912, [], [] >,
< [ -6, 0, 1 ], [[152, -72]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -3], [-16, 6], [0, 0]], [[0, 0], [227/43, -273/86], [32, -12], [-4/43, 5/86]], [[0, 0], [0, 0], [4, 1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -3], [-540, 220], [0, 0]], [[0, 0], [600/43, 1185/86], [3772/5, -617/5], [591/215, 3/430]], [[0, 0], [-245375/43, -199875/86], [-53660, -22200], [-14170/43, -11635/86]]], 0, 1440, [], [] >,
< [ -6, 0, 1 ], [[152, -72]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, 36], [48, -23], [0, 0]], [[0, 0], [189059/43, -166137/86], [-3008, 1088], [-82/43, -5/86]], [[0, 0], [64456/43, 247391/86], [6112, 1088], [1147/43, 899/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, -38], [-700, 285], [0, 0]], [[0, 0], [-518982/43, 406659/86], [457394/5, -187509/5], [-233/215, 1/430]], [[0, 0], [-39266191/43, -17396278/43], [-5239024/5, -907661/5], [-453017/215, -185258/215]]], 0, 1440, [], [] >,
< [ -6, 0, 1 ], [[24, -64]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-202, -3], [-60, 25], [0, 0]], [[0, 0], [59107/5, 49511/10], [-148, 3], [-16/5, -3/10]], [[0, 0], [-261424, -92914], [-7144, 4089], [-96, 72]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [124, -14], [-6, 1], [0, 0]], [[0, 0], [92827/25, 15831/50], [-1282/5, -23/5], [-176/25, -3/50]], [[0, 0], [2893772/5, -5606539/10], [-57758, 42923], [-8271/5, 11947/10]]], 0, 2880, [], [] >,
< [ -6, 0, 1 ], [[216, -72]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -19], [72, -28], [0, 0]], [[0, 0], [561/5, -847/10], [402, -134], [72/5, 1/10]], [[0, 0], [-144579/5, -42211/5], [9792, 11679], [18147/5, 8153/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -12], [-96, 39], [0, 0]], [[0, 0], [-447/5, -591/10], [-432, 172], [66/5, 3/10]], [[0, 0], [-33516, -13469], [2520, -2268], [1920, 832]]], 0, 2592, [], [] >,
< [ -6, 0, 1 ], [[216, -72]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, 44], [30, -11], [0, 0]], [[0, 0], [-43146, 18383], [10584, -4445], [6, 0]], [[0, 0], [-2103717/5, 249249/10], [87696, -12096], [-2784/5, -2407/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, 21], [138, -55], [0, 0]], [[0, 0], [-35622/5, 30909/10], [20304, -8084], [-39/5, 3/10]], [[0, 0], [-4926, -1137], [-1410, -2961], [60, 25]]], 0, 2592, [], [] >,
< [ -6, 0, 1 ], [[25896, -10572]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-122, 50], [54, -22], [0, 0]], [[15/2, 5], [281/2, -67/2], [33/2, 57/2], [9/2, 1/2]], [[-49/2, -10], [-703/10, -287/10], [-213/2, -87/2], [-71/10, -29/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, 35], [-93, 38], [0, 0]], [[5/2, 5/2], [-1169/2, 525/2], [-1335/2, 269], [1/2, 1/2]], [[-284, -116], [-9912/5, -4148/5], [306, 103], [-284/5, -116/5]]], 1, 32, [], [] >,
< [ -6, 0, 1 ], [[12, -6]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -2], [-78, 31], [0, -2], [0, 0]], [[4, -89/2], [-1796, 713], [8, -89/2], [-2, 0]], [[-569, -601/2], [-2927, 1887/2], [-541, -583/2], [-14, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[108, 2], [-1944/5, -11/5], [108/5, 2/5], [0, 0]], [[-2, 3875/2], [562, -6987], [2, 775/2], [-2, 0]], [[-2326, 1551/2], [8612, -5817/2], [-464, 309/2], [-1, 1/2]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 17], [-144, 58], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [48, -19], [162, -63], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [852/5, -77/5], [96/5, -1/5], [0, 0]], [[0, 0], [-11, 0], [2, 0], [1, 0]], [[0, 0], [-19758/5, -7502/5], [-2754/5, -1071/5], [0, 0]]], 0, 96, [], [] >,
< [ -6, 0, 1 ], [[24, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, 29], [39, -17], [0, 0]], [[0, 0], [1, 0], [-1, 0], [1, 0]], [[0, 0], [792, -314], [-420, 175], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-312/5, -123/5], [-81/5, -4/5], [0, 0]], [[0, 0], [13, 0], [-1, 0], [1, 0]], [[0, 0], [-2298, -868], [-900, 100], [0, 0]]], 0, 96, [], [] >,
< [ -6, 0, 1 ], [[48, -48]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, -16], [30, -1], [0, 0]], [[0, 0], [4800, 4167/2], [5946, 2459], [-1, 1/2]], [[0, 0], [-64858, -26422], [-391608/5, -159802/5], [-2, -2/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [652, -276], [-30, 0], [0, 0]], [[0, 0], [-1293, -768], [-9906/5, -4029/5], [-1, 1/5]], [[0, 0], [4, 3/2], [18/5, 7/5], [1/5, 1/10]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[48, -18]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 5/2], [6, 13], [12, 5/2], [0, 0]], [[-2224, -1879/2], [-9811/2, -1856], [-11106/5, -9403/10], [-1/10, 1/10]], [[286, 142], [804, 849/4], [1422/5, 713/5], [1/10, -1/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-54, 1], [-154, 22], [-54, 1], [0, 0]], [[38367, 33495/2], [144429/2, 33467], [958821/25, 837263/50], [-9/50, -1/50]], [[-20470, -59169/2], [5316, -303441/4], [-509334/25, -1480727/50], [71/50, -47/100]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[24, -24]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [122, -50], [534, -218], [0, 0]], [[0, 0], [-305/2, 53], [-3522/5, 1472/5], [1/10, -1/2]], [[0, 0], [709, -479/2], [3228, -1355], [0, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 6], [-108, 2], [0, 0]], [[0, 0], [79, -31/2], [-107052/25, -52753/25], [-16/25, -3/50]], [[0, 0], [-10513/2, 2169], [-46524, 13690], [217/10, -93/10]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[24, -24]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [628, -256], [-3, 1], [0, 0]], [[0, 0], [-22, -13/2], [66/5, 19/5], [1/5, 1/2]], [[0, 0], [3/2, -1/2], [9/5, -4/5], [-1/2, 1/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-388, 158], [9, -1], [0, 0]], [[0, 0], [-2963/2, -143/2], [135072/25, 54433/25], [17/50, -1/25]], [[0, 0], [-380379/2, 163639/2], [-568443/25, -444352/25], [3237/50, -676/25]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[24, -24]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 2], [-816, 333], [0, 0]], [[0, 0], [-2091/2, 419], [-946887/5, 386567/5], [3/10, -3/10]], [[0, 0], [-1657, 1323/2], [-1497738/5, 611453/5], [2/5, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, 20], [-12, -2], [0, 0]], [[0, 0], [139/2, -15/2], [8451/25, 2889/25], [31/50, 2/25]], [[0, 0], [-28393, 11670], [-416418/25, 193873/25], [-3399/25, 1419/25]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[24, -24]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 4], [-1536, 627], [0, 0]], [[0, 0], [2599/5, -904/5], [103356, -42196], [23/5, 2/5]], [[0, 0], [-65171, -53275/2], [10560, -2464], [-4726, -3859/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4706, -1931], [-1710, 698], [0, 0]], [[0, 0], [-55747941/25, 45519177/50], [4041516/5, -1649661/5], [58/25, -1/50]], [[0, 0], [73334/25, 59877/50], [-27204/5, -11106/5], [-2267/25, -1851/50]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[48, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-222, -13], [-6, -1], [0, 0]], [[0, 0], [-19550, 3344], [-460, 32], [16, -4]], [[0, 0], [-29646, 106668], [1068, 2741], [72, -81]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-696, -19], [-138, -3], [0, 0]], [[0, 0], [-236, 98], [-374/5, 79/5], [32/5, 3/5]], [[0, 0], [-1942, 789], [-2116/5, 1021/5], [58/5, -58/5]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[336, -144]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 1], [24, 4], [0, 0]], [[0, 0], [-26674/47, 7823/47], [5442/5, -723/5], [288/235, 2/47]], [[0, 0], [4450152/47, -1857496/47], [-683772/5, 299053/5], [-23798/235, 2282/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -10], [-6, 2], [0, 0]], [[0, 0], [-2084/47, 1023/47], [-432/5, -42/5], [-6/47, -3/235]], [[0, 0], [2620/47, 262/47], [-2004/5, -874/5], [-28/47, -61/235]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[168, -72]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 3], [120, -49], [0, 0]], [[0, 0], [2089/47, 82/47], [822/5, 12/5], [57/235, 1/235]], [[0, 0], [-455/47, -210/47], [-186/5, -86/5], [-13/235, -6/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-476, 194], [186, -75], [0, 0]], [[0, 0], [-904557/235, 16098/235], [-38736/25, -646/25], [873/1175, -2/1175]], [[0, 0], [-25148664/235, -18054984/235], [-1241172/25, -813217/25], [25936/1175, 17831/1175]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[168, -72]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-130, 54], [12, -8], [0, 0]], [[0, 0], [-11221, 4556], [7533/5, -2432/5], [1/5, 0]], [[0, 0], [190198/47, -71098/47], [-6789/5, -864/5], [-144/235, -52/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 24], [18, -11], [0, 0]], [[0, 0], [13781/235, 26086/235], [-35142/25, -1437/25], [-1309/1175, -4/1175]], [[0, 0], [-4033188/235, -1703038/235], [2085471/25, 815756/25], [71442/1175, 27702/1175]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[168, -72]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 9], [3, -2], [0, 0]], [[0, 0], [-127428/47, 56460/47], [2571/5, -844/5], [44/235, -1/47]], [[0, 0], [-340716/47, 109410/47], [3627/5, -2858/5], [-42/235, -14/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, -29], [-30, 13], [0, 0]], [[0, 0], [-72552/235, 763/235], [39474/25, 64/25], [1158/1175, 3/1175]], [[0, 0], [-6850/47, -24326/47], [939, 2658], [28/47, 78/47]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[24, -6]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 3/2], [-23, 5], [-15, 3/2], [0, 0]], [[7930, 6599/2], [361119/47, 292165/94], [8220, 6609/2], [-52/47, -1/94]], [[13672, 20065/2], [976523/47, 604825/94], [119934/5, 61163/10], [-9416/235, 7169/470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -5/2], [113, -31], [-6, -5/2], [0, 0]], [[-495, -5/2], [10024/47, -10657/94], [-2913/5, -21/10], [-99/235, -1/470]], [[-180554, 53911], [36156766/235, -15359154/235], [-5326662/25, 1594043/25], [-180554/1175, 53911/1175]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[120, 0]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3334/19, 207/19], [384/19, 3/19], [0, 0]], [[0, 0], [120638359/437, 40195768/437], [-701772/19, -249689/19], [-1795/437, -2/437]], [[0, 0], [81967346040/437, 16715326329/874], [-432030105/19, -74319121/19], [-2902437/437, 1682711/874]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24456/19, 12/19], [-366/19, 1/19], [0, 0]], [[0, 0], [3941500667/8303, -23519021/16606], [7677/361, -8858/361], [-31538/8303, 3/16606]], [[0, 0], [-1931506819798/8303, 975572430397/8303], [-16806054/361, 6190820/361], [15318288/8303, -7761096/8303]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[168, -72]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [418, -170], [-468, 191], [0, 0]], [[0, 0], [-10537, 8611/2], [11880, -4848], [-6, -1/2]], [[0, 0], [31312/5, 15243/5], [4356, 1224], [-27176/5, -11094/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -104], [144, 1], [0, 0]], [[0, 0], [353104/5, 288407/10], [-175512/5, -71617/5], [-1/5, 1/10]], [[0, 0], [-2126, -821], [990, 435], [0, 0]]], 0, 576, [], [] >,
< [ -6, 0, 1 ], [[336, -144]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [300, 30], [18, 4], [0, 0]], [[0, 0], [-15082, 5117], [-596, 166], [2, -1]], [[0, 0], [5022, -1703], [198, -55], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-882/5, 223/5], [-114/5, 1/5], [0, 0]], [[0, 0], [27104/5, -14411/5], [1228/5, -1627/5], [-38, 14]], [[0, 0], [-479826/5, 185914/5], [-43182/5, 14273/5], [540, -225]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[-312, 120]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-742, 303], [12, -5], [0, 0]], [[0, 0], [-4226, 3405/2], [0, 0], [-3, 1/2]], [[0, 0], [-147914/5, -60321/5], [0, 0], [-4708/5, -1922/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-528, 165], [-12, 5], [0, 0]], [[0, 0], [22277/25, 51931/50], [312/5, 18/5], [-26/25, -3/50]], [[0, 0], [28033204/25, -11908319/25], [-187776/5, 74736/5], [15648/25, -6228/25]]], 0, 1920, [], [] >,
< [ -6, 0, 1 ], [[-120, 24]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2146, -879], [282, -115], [0, 0]], [[0, 0], [2016848/5, -823078/5], [52884, -21594], [-4/5, -1/5]], [[0, 0], [-8807, -43095/2], [5076, -282], [278, 227/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50184, -20941], [-1710, 698], [0, 0]], [[0, 0], [-5610653379/5, -4644491587/10], [-522288, 468], [2/5, 1/10]], [[0, 0], [6197482448/25, 3509038422/25], [1684332, -631917], [-14/25, 4/25]]], 0, 1920, [], [] >,
< [ -6, 0, 1 ], [[840, -288]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, 36], [19236, -7853], [0, 0]], [[0, 0], [-3213/5, 1603/5], [171216, -70320], [19/5, 1/5]], [[0, 0], [1343766/5, 1097253/10], [-1945104, -795832], [40467/5, 33041/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1126, 683], [1668, -681], [0, 0]], [[0, 0], [-662314986/5, -540603793/10], [52938, -127], [-17/5, -1/10]], [[0, 0], [24380637849/25, 19705723347/50], [-31694706/5, 12152291/5], [9438/25, -7161/50]]], 0, 34560, [], [] >,
< [ -6, 0, 1 ], [[744, -240]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -39], [2100, -857], [0, 0]], [[0, 0], [-58512/5, 46089/10], [-240294, 98189], [31/5, 3/10]], [[0, 0], [123280, 100807/2], [-67290, -25910], [-2071, -1691/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1258, 3], [-5676, 2317], [0, 0]], [[0, 0], [-1387162431/25, -1132268243/50], [40272, 1208], [-142/25, -1/50]], [[0, 0], [-408559487, -331160097/2], [3439680, -1274740], [-516, 387/2]]], 0, 34560, [], [] >,
< [ -6, 0, 1 ], [[528, -192]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -8], [6, -3], [0, 0]], [[0, 0], [-7416/47, 941/47], [1368/5, -442/5], [806/235, -4/235]], [[0, 0], [334830/47, -137597/47], [-16926, 6920], [-5604/47, 2316/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 3], [318, -130], [0, 0]], [[0, 0], [42216/47, 142/47], [39558/5, 678/5], [-3424/235, -4/235]], [[0, 0], [-2938636/47, -1262402/47], [-2850642/5, -1220532/5], [237006/235, 101871/235]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[264, -96]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 7], [78, -32], [0, 0]], [[0, 0], [-427, 112], [1572, -411], [-1, 0]], [[0, 0], [626990/47, 249900/47], [-247116/5, -98511/5], [20358/235, 8268/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -2], [-42, 17], [0, 0]], [[0, 0], [-1333902/235, -5757/235], [-111906/25, 2634/25], [2518/1175, -2/1175]], [[0, 0], [-795147667/235, -319450232/235], [-62276676/25, -24960936/25], [1482703/1175, 595433/1175]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[264, -96]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -24], [33, -14], [0, 0]], [[0, 0], [109076/47, -41629/47], [1335, -523], [-10/47, -1/47]], [[0, 0], [5533/47, 24669/47], [-441/5, 1209/5], [-277/235, -117/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [134, -50], [18, -10], [0, 0]], [[0, 0], [-641701/235, 6344/235], [-49863/25, 357/25], [-1511/1175, 4/1175]], [[0, 0], [-33327182/235, -10887987/235], [-2603901/25, -853236/25], [-79622/1175, -26217/1175]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[264, -96]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -7], [-6, 1], [0, 0]], [[0, 0], [-32456/47, 2244/47], [6978/5, -37/5], [2266/235, 1/235]], [[0, 0], [446332/47, 386812/47], [-131373/5, -91738/5], [-43696/235, -30041/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [172, -77], [-45, 20], [0, 0]], [[0, 0], [-5984808/235, 116267/235], [-448884/25, -3349/25], [-13848/1175, -3/1175]], [[0, 0], [-182194170/47, -76173848/47], [-2926401, -1219909], [-88672/47, -36992/47]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[12, -18]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, -3/2], [-23, 4], [-12, -3/2], [0, 0]], [[-1273, -463], [-37339/47, -18553/47], [-6063/5, -2313/5], [-151/235, -1/235]], [[-2364, -909/2], [-23305/47, -78545/94], [-2052, -1091/2], [-156/47, 91/94]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 3/2], [103, -31], [-15, 3/2], [0, 0]], [[9337, 87/2], [-392771/235, -71147/470], [307617/25, 2199/50], [9274/1175, 3/2350]], [[-15285, 687589/2], [-6814364/235, -14372104/235], [-577317/25, 22655101/50], [-24399/1175, 341586/1175]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[840, -360]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [434/19, -83/19], [-24/19, 1/19], [0, 0]], [[0, 0], [897557/437, 5287/874], [13959/19, 119/19], [2548/437, 3/874]], [[0, 0], [185231498/437, -170246856/437], [2791830/19, -2631380/19], [532694/437, -484559/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31164/19, 440/19], [450/19, 5/19], [0, 0]], [[0, 0], [-141499342/8303, 1218732643/16606], [-3427725/361, 384300/361], [27699/8303, 5/16606]], [[0, 0], [-1213736298520/8303, 648736901735/16606], [-2298973983/361, 1253481922/361], [12718745/8303, -17403165/16606]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[264, -96]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -13], [13602, -5553], [0, 0]], [[0, 0], [132/5, -27/5], [6678, -2735], [-6/5, 1/5]], [[0, 0], [-113121/5, -92363/10], [36684, 14973], [6098/5, 4979/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [316, -129], [-930, 380], [0, 0]], [[0, 0], [-36/5, 107/10], [3324/5, -1166/5], [1/5, -1/2]], [[0, 0], [-43668, -17827], [-214920, -87755], [2354, 961]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[528, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150, 10], [-36, 4], [0, 0]], [[0, 0], [-19876, -2637], [-4490, -410], [2, -1]], [[0, 0], [-36, 419], [-36, 99], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [474/5, 164/5], [-132/5, -2/5], [0, 0]], [[0, 0], [76588/5, 31053/5], [-13024/5, -4414/5], [8, -1]], [[0, 0], [-644508/5, -247353/5], [179154/5, 6569/5], [-408, 148]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[312, -168]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-446, 4], [132, -3], [0, 0]], [[0, 0], [5619554, 73719/2], [-1661058, 11997], [1, -1/2]], [[0, 0], [-1073772624/5, 116518839/5], [64082472, -7767052], [-258/5, 118/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6246, -2549], [-3810, 1555], [0, 0]], [[0, 0], [297902/5, -242559/10], [-36156, 14781], [-1/5, -3/10]], [[0, 0], [-1275566/5, -521219/5], [-388716/5, -158406/5], [7226/5, 590]]], 0, 11520, [], [] >,
< [ -6, 0, 1 ], [[336, -96]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98, 40], [-5526, 2256], [0, 0]], [[0, 0], [-5, -5/2], [-840, 367], [-2, -1/2]], [[0, 0], [17531, 7157], [-464688/5, -189702/5], [25411/5, 10374/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [470, -188], [18, -3], [0, 0]], [[0, 0], [5954, 4871/2], [6726, 2728], [5, 1/2]], [[0, 0], [34692, 13466], [174354/5, 84216/5], [-1288/5, 598/5]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[168, -48]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -6], [-1656, 676], [0, 0]], [[0, 0], [-419/2, 175/2], [123894/5, -50579/5], [9/10, -2/5]], [[0, 0], [-96441/2, -39371/2], [-12558/5, -5382/5], [7907/10, 1614/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 6], [-72, 3], [0, 0]], [[0, 0], [-801/2, 7/2], [-245442/25, -97438/25], [143/50, 1/25]], [[0, 0], [17931/2, -2477/2], [752556/5, 291024/5], [-629/10, 37/5]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[168, -48]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 2], [252, -103], [0, 0]], [[0, 0], [-12, -2], [-5301/5, 2101/5], [-8/5, -2/5]], [[0, 0], [-3591/2, -733], [-16446/5, -6699/5], [-2741/10, -1119/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-348, 142], [-63, 2], [0, 0]], [[0, 0], [-2184, -22], [-9468159/25, -3871251/25], [68/25, 2/25]], [[0, 0], [317135/2, -25982], [16046628, 6575592], [-387/2, 57/2]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[168, -48]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -2], [1056, -431], [0, 0]], [[0, 0], [585, -240], [683832/5, -279162/5], [1/5, -1/5]], [[0, 0], [6743/2, 2753/2], [-35889/5, -14546/5], [3831/10, 782/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [146, -60], [132, 2], [0, 0]], [[0, 0], [3843/2, 43/2], [-3471117/25, -1412863/25], [143/50, 1/25]], [[0, 0], [4581/2, -931/2], [-2028861/25, -820654/25], [169/50, -17/25]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[156, -66]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -5/2], [-10, 5], [6, -5/2], [0, 0]], [[0, 0], [-219/2, -149/4], [-84/5, 9/5], [-7/5, 3/20]], [[0, 0], [11/2, -43/2], [162/5, -72/5], [27/10, -6/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, -5/2], [112, -39], [15, -5/2], [0, 0]], [[-15408, -6368], [-27821, -48499/4], [-76572/5, -31918/5], [3/10, -1/20]], [[37200, 13020], [90276, 15472], [974304/25, 306156/25], [142/25, -62/25]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[168, -48]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, -7], [-4656, 1901], [0, 0]], [[0, 0], [10579/5, -8333/10], [-499986, 204121], [-22/5, -1/10]], [[0, 0], [-135080, -110437/2], [-32712, 4042], [8393, 6853/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1796, 721], [-1656, 676], [0, 0]], [[0, 0], [72529/5, -58563/10], [13530, -5490], [8/5, -1/10]], [[0, 0], [282662/25, 113618/25], [27678/5, 10967/5], [2244/25, 916/25]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[336, -96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 12], [-72, 2], [0, 0]], [[0, 0], [5090, -1998], [5734, -1869], [-16, 7]], [[0, 0], [63952, -31411], [34442, -45347], [-272, 80]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -13], [60, -15], [0, 0]], [[0, 0], [3106, 761], [1322, 148], [-8, -1]], [[0, 0], [5638, -1805], [20446/5, -7506/5], [-118/5, 43/5]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[120, -120]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2828/19, 102/19], [366/19, -1/19], [0, 0]], [[0, 0], [339718791/437, 237677765/874], [-2072601/19, -737864/19], [-948/437, 3/874]], [[0, 0], [-2551513807/437, 50305088208/437], [-28105308/19, -291534367/19], [1140499/437, -539354/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104550/19, -219/19], [1464/19, -4/19], [0, 0]], [[0, 0], [-4242061552/8303, 2064044837/16606], [10007073/361, 625552/361], [-39841/8303, 3/16606]], [[0, 0], [35226256/8303, -27749629/16606], [-56013/361, 22063/361], [245/8303, -193/16606]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[600, 0]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1388/19, -15/19], [-2250/19, -25/19], [0, 0]], [[0, 0], [10512685/437, 195041/874], [737265/19, 7150/19], [316/437, -1/874]], [[0, 0], [4960364967/437, -2823508907/874], [347616585/19, -98858690/19], [151960/437, -88163/874]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9556/19, -42/19], [2820/19, 25/19], [0, 0]], [[0, 0], [-3487434702/8303, 69195639/16606], [-7473435/361, -459805/361], [-42073/8303, -1/16606]], [[0, 0], [20879546/8303, -16447935/16606], [35985/361, -14170/361], [245/8303, -193/16606]]], 0, 55296, [], [] >,
< [ -6, 0, 1 ], [[456, -216]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, -4], [192, 3], [0, 0]], [[0, 0], [66591, -2019/2], [204240, 12880], [0, -1/2]], [[0, 0], [-46583394/5, 17950569/5], [-23603520, 8851320], [-778/5, 338/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 12], [-12, -3], [0, 0]], [[0, 0], [30234/25, -5223/50], [-744/5, -566/5], [-17/25, -1/50]], [[0, 0], [-72902/5, 61729/10], [-1422, 482], [31/5, -27/10]]], 0, 11520, [], [] >,
< [ -6, 0, 1 ], [[72, -30]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 2], [-822, 341], [-12, 2], [0, 0]], [[-210, -373/2], [13110, -9685/2], [-204, -383/2], [-3, 5/2]], [[-39644, -31237/2], [2776, 58404], [-40060, -31493/2], [208, 64]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[63, -1/2], [-3594/5, 49/5], [63/5, -1/10], [0, 0]], [[-1607, 24563/2], [115166/5, -1401957/10], [-1577/5, 24569/10], [-5, -1/2]], [[323644, -133605], [-18714472/5, 7723287/5], [323404/5, -133509/5], [40, -16]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[72, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2292, -934], [-18, 11], [0, 0]], [[0, 0], [1, 2], [-1, 0], [1, 0]], [[0, 0], [4986, -2041], [-63, 14], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-252/5, 202/5], [54/5, 1/5], [0, 0]], [[0, 0], [-5, 2], [-1, 0], [1, 0]], [[0, 0], [-1902, 673], [93, -62], [0, 0]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[72, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [174, -70], [108, -43], [0, 0]], [[0, 0], [1, -1], [2, 0], [1, 0]], [[0, 0], [12, -5], [12, -5], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-492, -1], [-54, -1], [0, 0]], [[0, 0], [13, -1], [2, 0], [1, 0]], [[0, 0], [213108/5, -68253/5], [22644/5, -7104/5], [0, 0]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[72, -30]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, -1/2], [90, -26], [-12, -1/2], [0, 0]], [[-2, 0], [7, 5/2], [2, -3], [-2, 3/2]], [[-9, -7/2], [54, 22], [-21, -19/2], [6, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-108, -2], [7014/5, 181/5], [-108/5, -2/5], [0, 0]], [[-1077, 585/2], [13815, -3690], [-219, 117/2], [3, 0]], [[-782, 665/2], [49784/5, -42403/10], [-788/5, 671/10], [1, -1/2]]], 1, 36, [], [] >,
< [ -6, 0, 1 ], [[72, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [630, -256], [-12, 8], [0, 0]], [[0, 0], [1, -2], [-1, 0], [1, 0]], [[0, 0], [474, -193], [-9, 5], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 9], [15, 0], [0, 0]], [[0, 0], [1, -2], [-1, 0], [1, 0]], [[0, 0], [-4338/5, 1123/5], [-969/5, 304/5], [0, 0]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[72, -24]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, 37], [138, -56], [0, 0]], [[0, 0], [1, 1], [2, 0], [1, 0]], [[0, 0], [-174, 75], [270, -105], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1758/5, -82/5], [-144/5, -1/5], [0, 0]], [[0, 0], [-5, 1], [2, 0], [1, 0]], [[0, 0], [-99036, 34825], [-8892, 3211], [0, 0]]], 0, 288, [], [] >,
< [ -6, 0, 1 ], [[432, -192]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [690, -282], [-5286, 2158], [0, 0]], [[0, 0], [44, -25/2], [-108/5, 8/5], [1, 1/10]], [[0, 0], [-73671, -30076], [487968/5, 199212/5], [-34359/5, -14027/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [366, -150], [-3684, 1504], [0, 0]], [[0, 0], [11086, -9025/2], [-558546/5, 227996/5], [-1/5, 1/2]], [[0, 0], [-897924, -366572], [1986822/5, 810918/5], [-28224, -57612/5]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[216, -96]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120, 0], [0, 1], [0, 0]], [[0, 0], [162/5, -149/10], [0, 0], [9/5, -3/10]], [[0, 0], [708/5, -288/5], [0, 0], [26/5, -11/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 33], [0, 1], [0, 0]], [[0, 0], [-9191/5, 6067/10], [36, -1], [18/5, -1/10]], [[0, 0], [-2511354/25, -869837/50], [35754/5, 13231/5], [17877/25, 13231/50]]], 0, 1728, [], [] >,
< [ -6, 0, 1 ], [[432, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, -16], [-6, 2], [0, 0]], [[0, 0], [-7414, -3239], [-80, -22], [-28, 9]], [[0, 0], [-8910, -2285], [18, -59], [156, -66]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-330, 10], [84, 4], [0, 0]], [[0, 0], [4528, -2149], [-4832/5, 2332/5], [26/5, -1/5]], [[0, 0], [26, -10], [56/5, -21/5], [-8/5, 3/5]]], 0, 6912, [], [] >,
< [ -6, 0, 1 ], [[432, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-606, 161], [90, -37], [0, 0]], [[0, 0], [23996, 10581], [220, -30], [32, -11]], [[0, 0], [-916338, -322586], [7128, -4955], [1848, -825]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-708, -7], [150, 5], [0, 0]], [[0, 0], [-996, 529], [1476/5, -471/5], [-48/5, -2/5]], [[0, 0], [60014, -24241], [-68152/5, 28102/5], [1066/5, -481/5]]], 0, 6912, [], [] >,
< [ -6, 0, 1 ], [[144, -96]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [618, -261], [-18, -1], [0, 0]], [[0, 0], [808928/47, 434079/47], [19650, 8020], [104/47, 1/47]], [[0, 0], [4660360/47, 4820398/47], [864456/5, 352621/5], [9476/235, -1957/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [366, -138], [24, 2], [0, 0]], [[0, 0], [-424520/47, -183217/47], [-49728/5, -20228/5], [346/235, -3/235]], [[0, 0], [3116/47, -1230/47], [-18/5, 7/5], [38/235, -3/47]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[72, -48]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-192, 79], [24, -9], [0, 0]], [[0, 0], [36032/5, -29979/10], [-864, 376], [19/5, -3/10]], [[0, 0], [10262/5, 3461/10], [-672, -214], [-161/5, -133/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2364, -974], [18, -3], [0, 0]], [[0, 0], [-80593/5, -33602/5], [39678/5, 16253/5], [-1, 2/5]], [[0, 0], [-2021891/5, -1655013/10], [987648/5, 403368/5], [-16/5, 11/10]]], 0, 1728, [], [] >,
< [ -6, 0, 1 ], [[144, -96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-840, 275], [138, -55], [0, 0]], [[0, 0], [-13516, -4090], [526, -27], [14, -3]], [[0, 0], [293262, 160812], [1806, -6219], [210, -165]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1428, 337], [12, 1], [0, 0]], [[0, 0], [998618/5, 491153/5], [-26114/5, -10914/5], [28, -9]], [[0, 0], [-21824368/5, -8266553/5], [507334/5, 205169/5], [136, -102]]], 0, 6912, [], [] >,
< [ -6, 0, 1 ], [[144, -96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [642, -178], [-96, 38], [0, 0]], [[0, 0], [-276792, -91256], [8178, -445], [12, -5]], [[0, 0], [12453344, 5033721], [-186278, -67289], [-22, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4302/5, -1097/5], [156/5, 1/5], [0, 0]], [[0, 0], [-239780, -98422], [5324, 2277], [22, -9]], [[0, 0], [428784, 175059], [-9720, -3969], [0, 0]]], 0, 6912, [], [] >,
< [ -6, 0, 1 ], [[432, -48]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-492, 209], [12, 3], [0, 0]], [[0, 0], [414106/47, 30140/47], [-636, 555], [-668/47, -1/47]], [[0, 0], [-14017116/47, 20541874/47], [1077726/5, -330119/5], [189882/235, -179333/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [486, -195], [6, 1], [0, 0]], [[0, 0], [179128/47, 7084/47], [1560, 167], [386/47, 1/47]], [[0, 0], [1227100/47, 2140702/47], [90678/5, 95348/5], [8176/235, 22776/235]]], 0, 27648, [], [] >,
< [ -6, 0, 1 ], [[216, -24]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -19], [18, -2], [0, 0]], [[0, 0], [4518/5, 677/5], [-642, -359], [6/5, -1/5]], [[0, 0], [-22066/5, -1423/10], [2088, 1542], [-37/5, 19/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1026, 419], [30, -15], [0, 0]], [[0, 0], [7158/5, 7069/10], [-145662/5, -59417/5], [-3/5, -1/2]], [[0, 0], [-30268, 2024], [231588, 95703], [44, -12]]], 0, 6912, [], [] >,
< [ -6, 0, 1 ], [[432, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-366, 89], [-216, 89], [0, 0]], [[0, 0], [-64744, -27635], [1720, 30], [-34, 13]], [[0, 0], [4537716, 1856831], [-64476, -23911], [192, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7548, -317], [156, 1], [0, 0]], [[0, 0], [-6341354/5, -2712624/5], [-150058/5, -62813/5], [-34, 13]], [[0, 0], [-202019076/5, -82774706/5], [-4732002/5, -1935597/5], [-114, 19]]], 0, 27648, [], [] >,
< [ -6, 0, 1 ], [[432, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [318, -107], [300, -125], [0, 0]], [[0, 0], [-11798, -3104], [-1492, 1443], [-20, 7]], [[0, 0], [5361338, 2063918], [-365144, -298664], [2120, -240]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14898/5, -322/5], [336/5, -4/5], [0, 0]], [[0, 0], [65560, 24487], [1502, 562], [-2, -1]], [[0, 0], [-18204/5, 25281/5], [-378/5, 567/5], [0, 0]]], 0, 27648, [], [] >,
< [ -6, 0, 1 ], [[1584, -624]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 0], [444, -182], [0, 0]], [[0, 0], [-28, 28], [36354/5, -14874/5], [-8/5, -2/5]], [[0, 0], [-30, -39/2], [-6642/5, 2742/5], [9/5, 7/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 24], [372, -152], [0, 0]], [[0, 0], [684, 597/2], [11676/5, -4766/5], [3/5, -1/10]], [[0, 0], [-1972, -1585/2], [7758/5, -3168/5], [-1/5, -3/10]]], 0, 27648, [], [] >,
< [ -6, 0, 1 ], [[792, -312]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 1], [-96, 1], [0, 0]], [[0, 0], [96, -27/2], [-174, -31], [7, 1/2]], [[0, 0], [1074/5, -249/5], [-312, -23], [68/5, -3/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, 26], [-66, 1], [0, 0]], [[0, 0], [-23702/25, 3269/50], [882/5, 473/5], [201/25, 3/50]], [[0, 0], [-164636/5, 74297/10], [2538, 2077], [1293/5, -431/10]]], 0, 6912, [], [] >,
< [ -6, 0, 1 ], [[1584, -624]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144, -4], [-6, -4], [0, 0]], [[0, 0], [-1046, 889], [-280, 50], [-32, 11]], [[0, 0], [202938, -93328], [28722, -10267], [4002, -1587]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-246, -19], [-120, 5], [0, 0]], [[0, 0], [-40804, 3875], [-112288/5, 22343/5], [4/5, -4/5]], [[0, 0], [-718904, 310283], [-2417732/5, 1017902/5], [206/5, -81/5]]], 0, 27648, [], [] >,
< [ -6, 0, 1 ], [[1584, -624]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -10], [-72, 2], [0, 0]], [[0, 0], [6796, 2703], [9710, 2795], [4, -2]], [[0, 0], [41898, 19944], [-900, 46085], [-180, 71]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -20], [0, 10], [0, 0]], [[0, 0], [-12, 50], [-582/5, 27/5], [36/5, -1/5]], [[0, 0], [-20, 9], [-146/5, 56/5], [8/5, -3/5]]], 0, 27648, [], [] >,
< [ -6, 0, 1 ], [[72, 0]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -43], [-426, 174], [0, 0]], [[0, 0], [-237/5, 499/10], [324, -173], [26/5, 3/10]], [[0, 0], [-1809/5, -1477/10], [534, 218], [-158/5, -129/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -44], [66, -27], [0, 0]], [[0, 0], [417/5, -609/10], [0, 0], [-26/5, -3/10]], [[0, 0], [5499, 4489/2], [0, 0], [496, 405/2]]], 0, 864, [], [] >,
< [ -6, 0, 1 ], [[72, 0]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -27], [546, -222], [0, 0]], [[0, 0], [-2569, 1037], [-21120, 8495], [5, 0]], [[0, 0], [-268047/5, -219891/10], [-578382, -236970], [46506/5, 37973/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 29], [522, -213], [0, 0]], [[0, 0], [811/5, -567/10], [-1032, 420], [-8/5, 1/10]], [[0, 0], [33312/5, 13593/5], [-948, -378], [-1896/5, -774/5]]], 0, 864, [], [] >,
< [ -6, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-406, 162], [6, -6], [0, 0]], [[0, 0], [10, -15], [-10, -4], [-14, 5]], [[0, 0], [32, -13], [0, 0], [-22, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18906/5, 7596/5], [-38/5, -2/5], [0, 0]], [[0, 0], [-4145358/5, -1687002/5], [-592484/5, -241876/5], [26, -10]], [[0, 0], [-44707304/5, -18254681/5], [-6400432/5, -2612968/5], [-6, 9]]], 0, 192, [], [] >,
< [ -6, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, -26], [24, -10], [0, 0]], [[0, 0], [-1652, 675], [-704, 284], [4, -3]], [[0, 0], [27636, -11280], [11684, -4784], [-102, 36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-662, 316], [16, 0], [0, 0]], [[0, 0], [627158/5, 255967/5], [89544/5, 36556/5], [6, -1]], [[0, 0], [11422, 5159], [1716, 702], [-154, 63]]], 0, 192, [], [] >,
< [ -6, 0, 1 ], [[16, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [44, -18], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23198/5, 9628/5], [-19/5, -1/5], [0, 0]], [[0, 0], [-9, 1], [0, 0], [1, 0]], [[0, 0], [-28918, -11496], [1587, 648], [0, 0]]], 0, 24, [], [] >,
< [ -6, 0, 1 ], [[16, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [44, -18], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18352/5, 7642/5], [9/5, 1/5], [0, 0]], [[0, 0], [-9, 1], [0, 0], [1, 0]], [[0, 0], [-26096/5, -11274/5], [-838/5, -342/5], [0, 0]]], 0, 32, [], [] >,
< [ -6, 0, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 3/2], [-2, 1], [-1, 3/2], [0, 0]], [[1, 1/2], [0, 0], [1, 1/2], [0, 0]], [[0, 0], [1, 0], [0, 0], [1, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, 0], [-4, -3], [2, 0], [0, 0]], [[-112, -21/2], [316/5, 189/5], [-112/5, -21/10], [0, 0]], [[0, 0], [5, 0], [0, 0], [1, 0]]], 1, 8, [], [] >,
< [ -6, 0, 1 ], [[4, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-10, -9], [0, 0], [-4, -2]], [[0, 0], [2, 5/2], [0, 0], [1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [226/5, -31/5], [3/5, 2/5], [0, 0]], [[0, 0], [41648/5, -33301/10], [-236/5, 116/5], [1, -3/2]], [[0, 0], [14634/5, -4139/5], [47/5, 83/5], [-6, -3]]], 1, 6, [], [] >,
< [ -6, 0, 1 ], [[12, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 1/2], [16, 0], [4, 1/2], [0, 0]], [[0, 0], [-1, 0], [0, 0], [1, 0]], [[143, -99/2], [794, -297], [143, -99/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33, 2], [-2244/5, -111/5], [33/5, 2/5], [0, 0]], [[0, 0], [5, 0], [0, 0], [1, 0]], [[425, -425/2], [-6002, 2968], [85, -85/2], [0, 0]]], 1, 16, [], [] >,
< [ -6, 0, 1 ], [[12, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [1, 6], [0, 0], [-1, -2]], [[0, 0], [38, -31/2], [0, 0], [-11, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3076/5, 229/5], [-32/5, -3/5], [0, 0]], [[0, 0], [655766/5, -105237/10], [-6697/5, 407/5], [-3, 3/2]], [[0, 0], [-61933, 433049/2], [370, -2220], [14, -9/2]]], 1, 16, [], [] >,
< [ -6, 0, 1 ], [[96, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1410, -588], [-6, -10], [0, 0]], [[0, 0], [174730, -68097], [5096, 1176], [28, -11]], [[0, 0], [654448, -241111], [36162, 11466], [104, -39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3870, 1598], [6, 0], [0, 0]], [[0, 0], [-10890, -5173], [-1598, -652], [34, -13]], [[0, 0], [178586/5, 69434/5], [23638/5, 9652/5], [28, -14]]], 0, 768, [], [] >,
< [ -6, 0, 1 ], [[96, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [406, -166], [412, -168], [0, 0]], [[0, 0], [-3992, 1631], [-4032, 1646], [-40, 15]], [[0, 0], [38788, -15853], [39184, -15996], [396, -143]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4412/5, 1852/5], [4/5, 6/5], [0, 0]], [[0, 0], [-155128/5, -56862/5], [-22104/5, -9016/5], [2, -2]], [[0, 0], [26444, 23427], [6272, 2576], [36, -13]]], 0, 768, [], [] >,
< [ -6, 0, 1 ], [[676, -276]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[9, 3/2], [-235/86, -198/43], [9, 3/2], [21/86, 3/86]], [[3, 11/2], [-1563/86, 2/43], [3, 11/2], [5/86, 13/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -11], [-4, 1], [0, 0]], [[42, 3/2], [576467/86, -228771/86], [-5219/5, 2983/10], [501/430, 2/215]], [[-4644, -1849], [-38607, 415], [34103, 11751], [-121, -48]]], 1, 16, [], [] >,
< [ -6, 0, 1 ], [[676, -276]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [2581/86, -479/86], [0, 0], [-29/86, 1/43]], [[0, 0], [244/43, 2105/43], [0, 0], [-24/43, -28/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 9], [64, -26], [0, 0]], [[0, 0], [771/2, -383/2], [-1312, 385], [1/2, 0]], [[0, 0], [1707939/43, 753529/43], [933553/5, 363857/5], [-53371/215, -21624/215]]], 1, 16, [], [] >,
< [ -6, 0, 1 ], [[32, -32]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, -26], [1700, -694], [0, 0]], [[0, 0], [-309215/43, 124583/43], [-194680, 79480], [101/43, -4/43]], [[0, 0], [-1547800/43, -632010/43], [2200, 820], [35738/43, 14590/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-146, 60], [2116, -864], [0, 0]], [[0, 0], [-780841/43, 317708/43], [1308464/5, -538104/5], [-323/215, 3/215]], [[0, 0], [147039/43, 59638/43], [473732/5, 194058/5], [15601/215, 6369/215]]], 0, 768, [], [] >,
< [ -6, 0, 1 ], [[32, -32]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [446, -190], [-10, -4], [0, 0]], [[0, 0], [49276/43, -19338/43], [0, 0], [-28/43, -4/43]], [[0, 0], [15585/43, -1447/43], [0, 0], [-121/43, -48/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-450, 198], [46, -4], [0, 0]], [[0, 0], [17848831/43, 7450242/43], [2165386/5, 885254/5], [323/215, -3/215]], [[0, 0], [484337370/43, 164597395/43], [53583528/5, 21624282/5], [-29596/215, 15251/215]]], 0, 768, [], [] >,
< [ -6, 0, 1 ], [[576, -256]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-584, 238], [-7564, 3088], [0, 0]], [[0, 0], [54857, -22410], [3545224/5, -1447334/5], [3/5, -1/5]], [[0, 0], [-84206, 33939], [-5405596/5, 2206756/5], [4/5, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [328, -134], [-9700, 3960], [0, 0]], [[0, 0], [1738, -713], [-244924/5, 99984/5], [0, -1/5]], [[0, 0], [17, 7], [28/5, 12/5], [1, 2/5]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[288, -128]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [432, -176], [-3248, 1326], [0, 0]], [[0, 0], [4097, -3299/2], [-154818/5, 63198/5], [0, 1/10]], [[0, 0], [-69253, -56549/2], [19642/5, 8098/5], [-1564/5, -1277/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [476, -194], [3444, -1406], [0, 0]], [[0, 0], [-12681, 10247/2], [-2259418/25, 922348/25], [-4/25, 3/50]], [[0, 0], [76032, 31040], [1640, 670], [0, 0]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[288, -128]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1600, 668], [0, 6], [0, 0]], [[0, 0], [-12090, 9317/2], [-916/5, -164/5], [3/5, 3/10]], [[0, 0], [-2831, -6444], [-17926/5, -7434/5], [91/5, 37/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 58], [38, 8], [0, 0]], [[0, 0], [-30889, -12864], [-611072/25, -247508/25], [29/25, 1/25]], [[0, 0], [182956, 118151/2], [609648/5, 273042/5], [147/5, -147/10]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[288, -128]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1612, 672], [4, 4], [0, 0]], [[0, 0], [476, -1389/2], [-1214/5, -516/5], [-1/5, 1/10]], [[0, 0], [-5948, -2518], [-2454, -1002], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1160, 454], [-18, -8], [0, 0]], [[0, 0], [-5684, -1931], [-101482/25, -41898/25], [-6/25, 1/25]], [[0, 0], [-596, 5533/2], [64918/25, 22952/25], [-31/25, 27/50]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[36, -16]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-1, -1/2], [7, -39/4], [-9/5, -7/10], [-1/10, -1/20]], [[0, 0], [-10, 4], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 2], [-97, 38], [0, 0]], [[-26, -3/2], [-389/2, 141/4], [195594/25, -160793/50], [-13/25, -3/100]], [[-119, -56], [-703/2, -473/2], [-164919/25, 62609/25], [-119/50, -28/25]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[36, -16]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [3/2, -19/4], [-22/5, 7/5], [1/5, -3/20]], [[0, 0], [-17/2, 2], [18/5, -8/5], [-3/10, 1/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -2], [18, -7], [0, 0]], [[0, 0], [177, -23/4], [6233/25, -2288/25], [3/50, -1/100]], [[0, 0], [1775, 3547/4], [-4678/25, 8133/25], [17/50, 21/100]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[64, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4634, 1864], [6, -8], [0, 0]], [[0, 0], [-118890, 54160], [1716, 416], [-2, -8]], [[0, 0], [-6573038, 2832690], [55016, 7176], [186, -310]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66982/5, -27652/5], [-34/5, 4/5], [0, 0]], [[0, 0], [-289210, -118420], [-9328, -3808], [2, 8]], [[0, 0], [312470, 124784], [9952, 4064], [-82, 24]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[288, -128]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, 20], [-3204, 1308], [0, 0]], [[0, 0], [2113/5, -878/5], [25810, -10530], [11/5, -1/5]], [[0, 0], [-29736/5, -12144/5], [13664, 5526], [6888/5, 2812/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3858, 1578], [5144, -2100], [0, 0]], [[0, 0], [14763857/25, -6030252/25], [-3933542/5, 1605822/5], [-41/25, 1/25]], [[0, 0], [76916692/25, 30424588/25], [709308/5, 549682/5], [406504/25, 165956/25]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[576, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 34], [2, -6], [0, 0]], [[0, 0], [-6800, -480], [1302, -168], [2, 8]], [[0, 0], [574058, -210346], [-169218, 66402], [1624, -728]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [430, 0], [-26, 4], [0, 0]], [[0, 0], [-192924, -69344], [39168/5, 12042/5], [-24/5, -6/5]], [[0, 0], [-99956, 42152], [42238/5, -17498/5], [-34/5, 14/5]]], 0, 18432, [], [] >,
< [ -6, 0, 1 ], [[2812, -1148]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-75, 5/2], [13963/86, 50/43], [-75, 5/2], [179/86, -1/86]], [[-3348, 1488], [280310/43, -126935/43], [-3348, 1488], [3720/43, -1674/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[-78, 2], [-440652/215, -702/215], [1474/5, 14/5], [466/215, 1/215]], [[1494, -1369/2], [15682543/430, -7304977/430], [-25648/5, 24019/10], [-16559/430, 3858/215]]], 1, 16, [], [] >,
< [ -6, 0, 1 ], [[2812, -1148]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-20399/86, 164/43], [0, 0], [-223/86, -5/86]], [[0, 0], [921545/86, -1042463/86], [0, 0], [7475/86, -5525/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, 0], [-678257/215, 5761/430], [1504/5, -6/5], [376/215, -3/430]], [[0, 0], [38534759/430, -17954731/430], [-42694/5, 19896/5], [-21347/430, 4974/215]]], 1, 16, [], [] >,
< [ -6, 0, 1 ], [[224, -96]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [5144, -2100], [0, 0]], [[0, 0], [-466/43, 85/43], [29340, -11978], [64/43, -3/43]], [[0, 0], [-1843317/43, -752544/43], [-1300, 600], [405081/43, 165375/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10406, 4248], [-5144, 2100], [0, 0]], [[0, 0], [164297, -66945], [81208, -33084], [1, 0]], [[0, 0], [2777437018/215, 1132313253/215], [34568784/5, 14094594/5], [8785746/215, 3586761/215]]], 0, 768, [], [] >,
< [ -6, 0, 1 ], [[224, -96]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, -6], [-6, 10], [0, 0]], [[0, 0], [-623, 15], [0, -70], [-5, 0]], [[0, 0], [-129188/43, -32604/43], [-560, -350], [-1080/43, -288/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1730, -692], [-2, -4], [0, 0]], [[0, 0], [8547834/215, -2894071/215], [-3068/5, -318/5], [-752/215, 3/215]], [[0, 0], [-1063488031/215, -462914296/215], [2892072/5, 1184892/5], [559113/215, 229653/215]]], 0, 768, [], [] >,
< [ -6, 0, 1 ], [[192, -128]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2506, 1034], [2, 10], [0, 0]], [[0, 0], [-11447476/47, 4606586/47], [-14022/5, -1322/5], [-34/235, 6/235]], [[0, 0], [-31913384/47, -12288790/47], [-3269934/5, -1334594/5], [-3634/235, -1482/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [460, -198], [0, -10], [0, 0]], [[0, 0], [34268/47, -14922/47], [-22/5, -72/5], [74/235, -2/235]], [[0, 0], [-44122/47, -15664/47], [-3574/5, -1454/5], [1272/235, 522/235]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[96, -64]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 8], [-6, 10], [0, 0]], [[0, 0], [4308/47, -105/47], [148, -8], [158/235, -3/235]], [[0, 0], [46054/47, 21328/47], [7222/5, 3412/5], [1716/235, 792/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1852, 778], [8, 4], [0, 0]], [[0, 0], [-1036658/47, 534707/47], [446, -18], [574/235, 1/235]], [[0, 0], [445907762/235, 187546042/235], [3337786/25, 1356896/25], [957072/1175, 389382/1175]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[96, -64]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, -28], [476, -194], [0, 0]], [[0, 0], [6262/47, 2431/47], [-3022/5, 1718/5], [332/235, 1/47]], [[0, 0], [8442214/47, 3446508/47], [163872, 66956], [47580/47, 19422/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1580, 644], [672, -274], [0, 0]], [[0, 0], [-3764914/235, 1689121/235], [197638/25, -76232/25], [856/1175, 1/1175]], [[0, 0], [2689950978/235, 1099113873/235], [78849874/25, 32144314/25], [6200798/1175, 2531363/1175]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[96, -64]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, 32], [-2, -4], [0, 0]], [[0, 0], [-83530/47, 28401/47], [-746/5, -346/5], [-144/235, -1/47]], [[0, 0], [-1937530/47, -978230/47], [-247462/5, -100902/5], [-24056/235, -9982/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [286, -124], [-6, 0], [0, 0]], [[0, 0], [-319428/235, -138473/235], [-7204/25, 256/25], [-1628/1175, -3/1175]], [[0, 0], [209668, 85610], [98722/5, 40052/5], [522/5, 212/5]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[12, -8]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [4055/47, -693/94], [394/5, -6/5], [89/235, -1/470]], [[0, 0], [26502/47, 116305/94], [5162/5, 6052/5], [1246/235, 2759/470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [-804, -3], [-416/5, 4/5], [-2/5, 0]], [[0, 0], [740191/235, -1422683/470], [8778/25, -7942/25], [1881/1175, -3553/2350]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[12, -8]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 1/2], [-25, 14], [5, 1/2], [0, 0]], [[-84, -27], [28, -103], [-84, -27], [0, 0]], [[-1, 1/2], [-84/47, 48/47], [-8/5, 9/10], [7/235, -4/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 0], [-36, 6], [5, 0], [0, 0]], [[302, 24], [-757619/235, 15216/235], [10298/25, 578/25], [621/1175, 1/1175]], [[12540, -13869/2], [-43811251/235, 21509779/235], [466972/25, -499141/50], [33704/1175, -16896/1175]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[480, -160]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1868/19, 128/19], [-256/19, -2/19], [0, 0]], [[0, 0], [4928845/437, 5304656/437], [-7642/19, -31277/19], [-3395/437, -5/437]], [[0, 0], [-903242318/437, 381994344/437], [7786908/19, -3241268/19], [-388720/437, 156176/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7158/19, -438/19], [-112/19, -8/19], [0, 0]], [[0, 0], [2698000267/8303, 6752406/8303], [7526/361, 3849/361], [-21561/8303, 3/8303]], [[0, 0], [-43069003370/361, 18009811812/361], [786364/361, -259698/361], [346480/361, -144840/361]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[160, 0]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, 32], [-456, 186], [0, 0]], [[0, 0], [399, -177], [3632, -1060], [3, 0]], [[0, 0], [-48767/43, -19423/43], [33620, 13810], [4199/43, 1716/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-106, 44], [-332, 2], [0, 0]], [[0, 0], [-53189/43, -547/43], [1020076/19, 1334126/19], [1103/817, -4/817]], [[0, 0], [1577580, -617324], [2769264524/19, -1220899790/19], [-33812/19, 13268/19]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[448, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9426, -3854], [2, -2], [0, 0]], [[0, 0], [-244898, 100092], [-64, 48], [6, -4]], [[0, 0], [116604, -47380], [96, 4], [-8, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-79198/5, 32522/5], [26/5, 6/5], [0, 0]], [[0, 0], [-301646/5, -214776/5], [-36288/5, -14808/5], [2, 0]], [[0, 0], [63988/5, -57132/5], [-3336/5, -1356/5], [0, 0]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[96, -64]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6182, -2524], [-3400, 1388], [0, 0]], [[0, 0], [-523787/5, 213927/5], [57746, -23566], [1/5, 4/5]], [[0, 0], [12991711/5, 5303014/5], [1231110, 502690], [623427/5, 254513/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3766, 1538], [1876, -766], [0, 0]], [[0, 0], [133791/5, -54736/5], [-67014/5, 27446/5], [-1/5, -1]], [[0, 0], [-197612/5, 82117/5], [98584/5, -41336/5], [74/5, 37/5]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[192, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -70], [-4, 10], [0, 0]], [[0, 0], [-712, -450], [58, 58], [-10, -4]], [[0, 0], [-18982, 7758], [4118, -1682], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1736/5, 46/5], [-28/5, 2/5], [0, 0]], [[0, 0], [7524, 4358], [-78, -58], [6, 8]], [[0, 0], [-70474, 88904], [2040, -1560], [-518, 296]]], 0, 18432, [], [] >,
< [ -6, 0, 1 ], [[160, 0]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-646, 264], [632, -258], [0, 0]], [[0, 0], [-171331/43, 68140/43], [3880, -1584], [-137/43, 5/43]], [[0, 0], [-78077708/43, -31875302/43], [140, 62], [-2202336/43, -899100/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [220124, -90128], [-5384, 2198], [0, 0]], [[0, 0], [271668880121/817, 111315430881/817], [384840/19, -8568/19], [-2509/817, 4/817]], [[0, 0], [-204453635571448/817, -84067895197463/817], [-436259640/19, 66115416/19], [2798496/817, -373275/817]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[-288, 64]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-242, 100], [-392, 160], [0, 0]], [[0, 0], [-4152, 1709], [-9568, 3888], [-2, -1]], [[0, 0], [-1017419/5, -415291/5], [264370, 107960], [132537/5, 54108/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [220156, -89558], [6452, -2634], [0, 0]], [[0, 0], [-108903521, -44295389], [-12018, -72], [-1, 0]], [[0, 0], [25387044784/25, 10054406176/25], [2513624/5, -797124/5], [1058/25, -338/25]]], 0, 7680, [], [] >,
< [ -6, 0, 1 ], [[-672, 256]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21022, 8580], [-2768, 1130], [0, 0]], [[0, 0], [-5671204/5, 2314939/5], [-149320, 60984], [22/5, 3/5]], [[0, 0], [709411/5, 281789/5], [-52698, -21720], [-26043/5, -10632/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6110, 2950], [240, -98], [0, 0]], [[0, 0], [-528034977/25, -215013253/25], [2126, 2], [111/25, 4/25]], [[0, 0], [-5956819728/25, -1952822092/25], [924400, -368526], [44204/25, -17544/25]]], 0, 7680, [], [] >,
< [ -6, 0, 1 ], [[1056, -32]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3086, 1260], [42920, -17522], [0, 0]], [[0, 0], [-6517, 2742], [92810, -38002], [3, 1]], [[0, 0], [-4571718/5, -1866402/5], [1251472, 510928], [-123856/5, -50564/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [55068, -22472], [-55040, 22470], [0, 0]], [[0, 0], [-30176987/5, -12340478/5], [-12466, -718], [1/5, -1/5]], [[0, 0], [21795186168/25, 8880460552/25], [646908/5, 3922512/5], [1966/25, -376/25]]], 0, 138240, [], [] >,
< [ -6, 0, 1 ], [[4896, -1952]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-402, 164], [-36860, 15048], [0, 0]], [[0, 0], [-7571/5, 3166/5], [-137106, 55960], [3/5, -3/5]], [[0, 0], [1691027/5, 690358/5], [-309954, -126554], [-41051/5, -16759/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-570, 0], [-35072, 14318], [0, 0]], [[0, 0], [86971638/25, 35534757/25], [-168, 1298], [-34/25, -1/25]], [[0, 0], [-206173421, -84333462], [148810, -133654], [133, -19]]], 0, 138240, [], [] >,
< [ -6, 0, 1 ], [[40348, -16472]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -13], [125, -50], [0, 0]], [[-135, 5/2], [-209073/86, 56266/43], [-10148, 8949/2], [323/86, 3/86]], [[57276, 23754], [-15691802/43, -5768698/43], [-431847, -120782], [-73482/43, -30414/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -25], [25, -10], [0, 0]], [[-96, 5/2], [1370391/430, -17959/430], [1994/5, -107/10], [1147/430, 1/215]], [[3060, 0], [-4376990/43, -56751/43], [-12710, 10], [-3672/43, -102/43]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[40348, -16472]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 6], [-15, 5], [0, 0]], [[0, 0], [-186281/86, 65889/86], [-1364, 566], [-359/86, -2/43]], [[0, 0], [2084047/43, 1294053/43], [-13320, 1575], [38383/43, 16115/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 7], [1, 1], [0, 0]], [[0, 0], [222623/430, 1799/215], [-903/5, -33/5], [681/430, 1/430]], [[0, 0], [-269417/215, -1059652/215], [3234/5, 8624/5], [-539/215, -3234/215]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[352, -128]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [146, -60], [31280, -12770], [0, 0]], [[0, 0], [-42250/43, 18088/43], [-217540, 88810], [14/43, -2/43]], [[0, 0], [6863179/43, 2801875/43], [-2688, -1128], [31667/43, 12928/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [110266, -45016], [55040, -22470], [0, 0]], [[0, 0], [-46584425/43, 18986722/43], [-539324, 220416], [79/43, 1/43]], [[0, 0], [-52459520594/215, -21415985574/215], [398842608/5, 162832888/5], [55747992/215, 22759022/215]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[352, -128]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-154, 72], [42, -8], [0, 0]], [[0, 0], [6482826/43, 2648773/43], [151096, 61676], [8/43, 5/43]], [[0, 0], [7049183/43, 2737549/43], [159528, 65688], [149/43, -52/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-964, 480], [-56, -6], [0, 0]], [[0, 0], [-87274441/215, -35812076/215], [680392/5, 277612/5], [-107/215, 3/215]], [[0, 0], [181696747/215, 79756162/215], [-1471494/5, -595934/5], [1859/215, -671/215]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[576, -64]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [440, -214], [0, -10], [0, 0]], [[0, 0], [-63942/47, 36686/47], [-60, 70], [74/47, -2/47]], [[0, 0], [2352238/47, 934800/47], [50374/5, 20374/5], [30528/235, 12528/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3174, -1302], [-10, -2], [0, 0]], [[0, 0], [7224818/47, -2990772/47], [704, -6], [-490/47, -2/47]], [[0, 0], [-1828426384/47, -712303974/47], [60926944/5, 24881754/5], [-43744212/235, -17864192/235]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[288, -32]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-478, 188], [-2, -6], [0, 0]], [[0, 0], [7420208/47, -2963149/47], [-540, 866], [-762/47, -1/47]], [[0, 0], [87758/47, 35829/47], [4208/5, 1718/5], [-2104/235, -859/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2078, -850], [-6, 2], [0, 0]], [[0, 0], [757896/235, -333289/235], [-1222/25, -42/25], [-84/1175, 1/1175]], [[0, 0], [3215952/235, 1264387/235], [71776/25, 29336/25], [4322/1175, 1767/1175]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[288, -32]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -28], [344, -140], [0, 0]], [[0, 0], [-545184/47, 270167/47], [-362006/5, 147674/5], [3508/235, 3/235]], [[0, 0], [534777322/47, 218408600/47], [-1348468/5, -498538/5], [16128164/235, 6584044/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1426, -580], [-452, 184], [0, 0]], [[0, 0], [65787696/235, -26598944/235], [-2289812/25, 897318/25], [-9064/1175, -4/1175]], [[0, 0], [597802084/235, 243688849/235], [-86571418/25, -35330198/25], [-8551796/1175, -3491231/1175]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[288, -32]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [362, -148], [-2, 0], [0, 0]], [[0, 0], [42572/47, -8602/47], [-1208/5, -8/5], [604/235, 4/235]], [[0, 0], [-4664366/47, -1891533/47], [265708/5, 108238/5], [-132854/235, -54119/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-590, 230], [6, -6], [0, 0]], [[0, 0], [2580942/235, -98523/235], [21216/25, 576/25], [2602/1175, -3/1175]], [[0, 0], [853758608/47, 350146394/47], [8262104/5, 3384224/5], [947188/235, 388168/235]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[36, -4]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 3/2], [7, -1], [-1, 3/2], [0, 0]], [[12, 0], [-2, 9], [12, 0], [0, 0]], [[0, 0], [595/47, -105/47], [-34/5, 6/5], [17/235, -3/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 2], [16, 8], [1, 2], [0, 0]], [[-27, 63], [22325, 193], [1853, 63], [5, 0]], [[-17028, 22059/2], [833870881/235, -168833209/235], [7126428/25, -2604109/50], [944016/1175, -197224/1175]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[36, -4]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [-34276/47, 129/94], [1964/5, -1/5], [-982/235, 1/470]], [[0, 0], [-910/47, 805/94], [52/5, -23/5], [-26/235, 23/470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [1, 0], [0, 0]], [[0, 0], [8135742/235, 587/235], [73856/25, 16/25], [9232/1175, 2/1175]], [[0, 0], [102213940/47, 140598429/94], [928448/5, 638308/5], [116056/235, 159577/470]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[480, -320]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-690, 8], [100, 0], [0, 0]], [[0, 0], [-598597127/437, 463053271/437], [3563376/19, -2876209/19], [2669/437, 2/437]], [[0, 0], [-10568977902744/437, 4203760937218/437], [64755711716/19, -25714834534/19], [15361244/437, -6825334/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11342/19, -566/19], [144/19, -6/19], [0, 0]], [[0, 0], [92865408/8303, 50692319/8303], [2909206/361, 31076/361], [36560/8303, 3/8303]], [[0, 0], [201320258709/8303, -57208311816/8303], [-15029796482/361, 6479493343/361], [-194190207/8303, 83486643/8303]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[1120, -480]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 16], [-24520, 10010], [0, 0]], [[0, 0], [34223/43, -14005/43], [500900, -204780], [-101/43, -4/43]], [[0, 0], [131170/43, 53784/43], [1093456, 449826], [172146/43, 70278/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 2], [-2140, -10], [0, 0]], [[0, 0], [-140504/43, -955/43], [51621572/19, 26310832/19], [-1440/817, 3/817]], [[0, 0], [69202473/43, -31074723/43], [9554734016/19, -1606882074/19], [726473/817, -324894/817]]], 0, 27648, [], [] >,
< [ -6, 0, 1 ], [[704, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6628, 2702], [-24, 6], [0, 0]], [[0, 0], [67634, 27384], [66040, 26960], [2, -8]], [[0, 0], [42898, 19500], [44438, 18148], [-100, 36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3654/5, -2056/5], [-178/5, -8/5], [0, 0]], [[0, 0], [-2404, -928], [-338, -138], [10, -2]], [[0, 0], [3546/5, 3506/5], [878/5, 358/5], [56, -24]]], 0, 18432, [], [] >,
< [ -6, 0, 1 ], [[288, -32]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1058, 432], [-77252, 31538], [0, 0]], [[0, 0], [-10517/5, 4572/5], [-160458, 65430], [-29/5, -1/5]], [[0, 0], [110038484/5, 44923026/5], [-30317292, -12376938], [-5074652/5, -2071718/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 6], [8500, -3470], [0, 0]], [[0, 0], [87/5, 58/5], [48438/5, -19872/5], [-1, -3/5]], [[0, 0], [-672/5, 322/5], [1333856/5, -544594/5], [28/5, -14/5]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[576, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [158, -2], [-46, -6], [0, 0]], [[0, 0], [475176, -72966], [-121576, 1624], [-4, 10]], [[0, 0], [-84247114, 71387838], [6902000, -17493000], [8778, -1026]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15002/5, -128/5], [314/5, 4/5], [0, 0]], [[0, 0], [31810818/5, 5674118/5], [681696/5, 133056/5], [-6, 6]], [[0, 0], [21403328, 15503040], [489888, 334368], [76, -8]]], 0, 73728, [], [] >,
< [ -6, 0, 1 ], [[1120, -480]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1314, -536], [-64108, 26172], [0, 0]], [[0, 0], [-36084954/43, 14720356/43], [40935524, -16711606], [-158/43, 2/43]], [[0, 0], [5928401717/43, 2420280016/43], [-132438524, -54090668], [32895611/43, 13429577/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-93974, 38306], [31280, -12770], [0, 0]], [[0, 0], [-35404775176/817, -14448503257/817], [136640/19, -6884/19], [-336/817, -5/817]], [[0, 0], [-1531364601159/817, -646307017591/817], [-295719112/19, 122878000/19], [621601/817, -260022/817]]], 0, 18432, [], [] >,
< [ -6, 0, 1 ], [[416, -224]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-838, 342], [7172, -2928], [0, 0]], [[0, 0], [-17553, 7141], [150900, -61600], [1, 0]], [[0, 0], [32694432/43, 13347792/43], [-142660, -58310], [-535140/43, -218470/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16856, -6884], [8088, -3302], [0, 0]], [[0, 0], [11676258/215, -5095702/215], [132504/5, -57006/5], [-1004/215, -4/215]], [[0, 0], [-1377928603/43, -562704768/43], [-12197396, -4981456], [-1734263/43, -708003/43]]], 0, 23040, [], [] >,
< [ -6, 0, 1 ], [[416, -224]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-966, 394], [-980, 400], [0, 0]], [[0, 0], [11591493/43, -4745582/43], [275364, -112416], [-395/43, -5/43]], [[0, 0], [-4946373160/43, -2019328148/43], [325728, 133458], [-61486640/43, -25101816/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21166, 8644], [-10268, 4192], [0, 0]], [[0, 0], [-1695047, 688639], [-821064, 334716], [-3, 0]], [[0, 0], [1189142242/215, 484213517/215], [3982016/5, 1611526/5], [433364/215, 176919/215]]], 0, 23040, [], [] >,
< [ -6, 0, 1 ], [[2592, -1088]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11558, -4582], [-5624, 2296], [0, 0]], [[0, 0], [-143162161/5, -58470854/5], [-5518, 206], [-17/5, -3/5]], [[0, 0], [-1683825852/5, -686173578/5], [119692, -72910], [96/5, -156/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42514, 17356], [21360, -8720], [0, 0]], [[0, 0], [-384145, 156730], [192038, -78372], [1, 1]], [[0, 0], [-745216/5, 303486/5], [372392/5, -151818/5], [12/5, 6/5]]], 0, 46080, [], [] >,
< [ -6, 0, 1 ], [[224, -64]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, 20], [-8872, 3622], [0, 0]], [[0, 0], [-11483/43, 5989/43], [-60228, 24588], [101/43, -4/43]], [[0, 0], [-83367298/43, -34034533/43], [-1548, -522], [-2385864/43, -974025/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -4], [-6320, 2580], [0, 0]], [[0, 0], [-417, 3], [7864, -5644], [3, 0]], [[0, 0], [84077677/43, 34324454/43], [142258332/5, 58077398/5], [-3078629/215, -1256841/215]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[224, -64]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-334, 146], [34, -4], [0, 0]], [[0, 0], [285028/43, 114881/43], [6888, 2822], [250/43, 5/43]], [[0, 0], [-37115/43, -12735/43], [-812, -348], [-213/43, 74/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-220, 82], [0, -40], [0, 0]], [[0, 0], [24274/43, -4905/43], [-66, -44], [50/43, 1/43]], [[0, 0], [437923/43, 223706/43], [-35326/5, -14164/5], [10187/215, 4453/215]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[2332, -952]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 7], [10, -5], [0, 0]], [[-78, -1/2], [-21369/86, 6825/86], [425, -165/2], [-187/86, 2/43]], [[-1269, -1833/2], [138929/86, -70508/43], [957, 7291/2], [-2679/86, -2115/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [15, -25], [0, 0]], [[15, 0], [8589/43, -1201/86], [1391, -1051], [18/43, -1/86]], [[33, -55/2], [51123/86, -17102/43], [73456/5, -48857/10], [451/430, -341/430]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[2332, -952]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 3], [-2, 2], [0, 0]], [[0, 0], [-7867/86, 1235/86], [0, 20], [71/86, 2/43]], [[0, 0], [-3568/43, 8250/43], [-275, -25], [-72/43, -84/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 10], [-5, -25], [0, 0]], [[0, 0], [324831/86, -151199/86], [-85899/5, -20361/5], [1361/430, 2/215]], [[0, 0], [4020933/86, -860310/43], [-502133/5, -30762/5], [10917/430, -2077/430]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[2112, -832]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [584, -238], [3684, -1504], [0, 0]], [[0, 0], [36001, -14700], [1129028/5, -460918/5], [-1/5, 1/5]], [[0, 0], [-8280, -3380], [260, 108], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [304, -124], [-16196, 6612], [0, 0]], [[0, 0], [-377, 155], [101128/5, -41248/5], [-1/5, -4/5]], [[0, 0], [8430, 3441], [238976/5, 97704/5], [-28152/5, -11493/5]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[132, -52]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [21/2, -5], [-76/5, -4/5], [19/10, 1/10]], [[0, 0], [1583/2, -1291/4], [-456, 190], [57, -95/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [-89, 36], [0, 0]], [[0, 0], [-116, -203/4], [-3277/25, -128/25], [33/50, -1/100]], [[0, 0], [3, -5/4], [-1222/25, 517/25], [13/50, -11/100]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[132, -52]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[4, -3/2], [-27/2, 5/4], [4/5, -3/10], [2/5, -3/20]], [[0, 0], [-2, 0], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 10], [71, -29], [0, 0]], [[185, 5/2], [-369, -89/4], [1147/5, 31/10], [37/10, 1/20]], [[-2232, -648], [4798, 1496], [-69192/25, -20088/25], [-1116/25, -324/25]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[1056, -416]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2372, 992], [4, 8], [0, 0]], [[0, 0], [188776, -71799], [16038/5, 4172/5], [14/5, 1/5]], [[0, 0], [1976720, 1909311/2], [4387006/5, 1793344/5], [2743/5, 2249/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2816, -1134], [30, 0], [0, 0]], [[0, 0], [-169426, -138735/2], [-3331988/25, -1356682/25], [51/25, 3/50]], [[0, 0], [11417, 14611/2], [346936/25, 93054/25], [-322/25, 259/50]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[1056, -416]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-672, 274], [-3596, 1468], [0, 0]], [[0, 0], [141710, -115695/2], [758334, -309582], [3, -1/2]], [[0, 0], [20283, 16561/2], [137774/5, 56246/5], [15482/5, 12641/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [152, -62], [-3664, 1496], [0, 0]], [[0, 0], [825, -665/2], [-537438/25, 217668/25], [26/25, 3/50]], [[0, 0], [22367, 18255/2], [-9035846/25, -3686394/25], [62892/25, 51351/50]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[1056, -416]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1540, 626], [2, -2], [0, 0]], [[0, 0], [-12222, 10179/2], [518/5, 72/5], [-11/5, -3/10]], [[0, 0], [-64548, 5516], [-14378, -5958], [304, 126]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [368, -150], [-14, 6], [0, 0]], [[0, 0], [-46, -81/2], [-21996/25, -94/25], [117/25, 1/50]], [[0, 0], [-14733, 6073], [6067324/25, -2468064/25], [-32273/25, 13128/25]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[448, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4328, 1748], [-36, -4], [0, 0]], [[0, 0], [13136, 4312], [11726, 4784], [-10, 4]], [[0, 0], [117418, 47832], [116038, 47372], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-75302/5, 30472/5], [-86/5, -4/5], [0, 0]], [[0, 0], [46871294/5, 19771346/5], [6903972/5, 2818858/5], [-6, 4]], [[0, 0], [-625387582/5, -243089238/5], [-88454466/5, -36105174/5], [-176, 52]]], 0, 18432, [], [] >,
< [ -6, 0, 1 ], [[1056, -416]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [302, -122], [-1504, 614], [0, 0]], [[0, 0], [-1933/5, 823/5], [-62, -8], [-31/5, -4/5]], [[0, 0], [7790141/5, 3180324/5], [-7664586, -3129054], [-3832293/5, -1564527/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6862, -2802], [6692, -2732], [0, 0]], [[0, 0], [56043/5, -22068/5], [10642, -4362], [-19/5, -1/5]], [[0, 0], [338840568/25, 138332302/25], [-7275568/5, -2970002/5], [-3656784/25, -1492876/25]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[2112, -832]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-328, -12], [20, 0], [0, 0]], [[0, 0], [-5198, -446], [306, 24], [8, -10]], [[0, 0], [54186, -23526], [-3264, 1414], [-450, 180]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [142, 8], [-50, 20], [0, 0]], [[0, 0], [-1152, -456], [96/5, -6/5], [12/5, -2/5]], [[0, 0], [256, 22], [-66, 26], [-10, 4]]], 0, 73728, [], [] >,
< [ -6, 0, 1 ], [[1440, -640]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13098/19, 10/19], [-1844/19, 4/19], [0, 0]], [[0, 0], [718623065/437, -142704807/437], [-4417136/19, 886471/19], [343/437, -4/437]], [[0, 0], [7273874744/19, -5180599762/19], [-1037083788/19, 732828538/19], [852/19, -2344/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78274/19, -252/19], [-1168/19, -2/19], [0, 0]], [[0, 0], [-8397118920/8303, -1199624936/8303], [-8146720/361, -775790/361], [-35444/8303, -2/8303]], [[0, 0], [-265497360067/8303, 234715146663/8303], [-343729064/361, 252292649/361], [-2244313/8303, 1311284/8303]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[160, -160]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166, 66], [1116, -456], [0, 0]], [[0, 0], [-238385/43, 95330/43], [36012, -14936], [-65/43, -3/43]], [[0, 0], [-50738424/43, -20719511/43], [-5971016, -2436790], [-753018/43, -307419/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-370, 150], [144, 6], [0, 0]], [[0, 0], [-641192/43, 38027/43], [19301744/19, 4528288/19], [-4136/817, -5/817]], [[0, 0], [-1091260701/43, 1932048006/43], [-68415248180/19, -54510942332/19], [-2571345/817, 12301641/817]]], 0, 18432, [], [] >,
< [ -6, 0, 1 ], [[160, -160]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19610, -8006], [-19248, 7858], [0, 0]], [[0, 0], [-7062169/43, 2882588/43], [161152, -65792], [-79/43, 1/43]], [[0, 0], [-24717938/43, -10101878/43], [-93568, -37952], [-1468224/43, -599400/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-817130, 333498], [19924, -8134], [0, 0]], [[0, 0], [13697830214/817, 5889566890/817], [349740/19, -3790/19], [-846/817, 2/817]], [[0, 0], [12838687061/817, 4487256134/817], [-310940/19, 244740/19], [721/817, -585/817]]], 0, 27648, [], [] >,
< [ -6, 0, 1 ], [[2400, -800]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [450/19, 24/19], [560/19, 40/19], [0, 0]], [[0, 0], [350943/437, 5078/437], [-4610/19, 675/19], [2521/437, 5/437]], [[0, 0], [124312199/437, -49410683/437], [-2283180/19, 921205/19], [920593/437, -366492/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5828/19, -20/19], [1940/19, 30/19], [0, 0]], [[0, 0], [-368387173/8303, -76159974/8303], [1617790/361, 1125515/361], [-2723/8303, 5/8303]], [[0, 0], [-15778953473/8303, 6514020585/8303], [-100282320/361, 40369915/361], [-238387/8303, 97674/8303]]], 0, 221184, [], [] >,
< [ -6, 0, 1 ], [[800, 0]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-522, 212], [-5120, 2090], [0, 0]], [[0, 0], [-4592395/43, 1874615/43], [-1051164, 429196], [15/43, 4/43]], [[0, 0], [-292481/43, -102439/43], [93272, 41962], [16441/43, 6712/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [284, -114], [720, 30], [0, 0]], [[0, 0], [-122531/43, -4014/43], [6804256/19, 1183226/19], [3319/817, 5/817]], [[0, 0], [392484483/43, -152705913/43], [-13959035384/19, 5147136126/19], [-11477619/817, 4496328/817]]], 0, 110592, [], [] >,
< [ -6, 0, 1 ], [[800, 0]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1314, 536], [-350620, 143140], [0, 0]], [[0, 0], [2011517/43, -822796/43], [12503676, -5104516], [-21/43, -3/43]], [[0, 0], [-46409829/43, -18946742/43], [3441356, 1404874], [-449087/43, -183339/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-310162, 126818], [103540, -42270], [0, 0]], [[0, 0], [-292583840674/817, -119559061123/817], [-2221512/19, 23802/19], [1240/817, -1/817]], [[0, 0], [-7631439212047/817, -3121529201294/817], [-89251136/19, 13390836/19], [49403/817, -6985/817]]], 0, 110592, [], [] >,
< [ -6, 0, 1 ], [[608, -288]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, -42], [-356, 146], [0, 0]], [[0, 0], [273157/43, -109604/43], [-22480, 9180], [-93/43, -1/43]], [[0, 0], [-5703245/43, -2337582/43], [-8640, -2760], [116467/43, 47549/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 22], [-21580, 8810], [0, 0]], [[0, 0], [697/43, 333/43], [-3288/5, -182/5], [71/215, 4/215]], [[0, 0], [2315/43, 945/43], [-31008/5, -12662/5], [671/215, 274/215]]], 0, 23040, [], [] >,
< [ -6, 0, 1 ], [[608, -288]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-404, 164], [660, -270], [0, 0]], [[0, 0], [207863/43, -94391/43], [-9036, 3686], [-115/43, 2/43]], [[0, 0], [-202187121/43, -82455879/43], [-57784, -27156], [-952965/43, -389070/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, -14], [22340, -9120], [0, 0]], [[0, 0], [-10552/43, 446/43], [15796/5, -21406/5], [788/215, 2/215]], [[0, 0], [23195555/43, 9469457/43], [89837844/5, 36676666/5], [-1944253/215, -793732/215]]], 0, 23040, [], [] >,
< [ -6, 0, 1 ], [[96, -256]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -4], [-1252, 512], [0, 0]], [[0, 0], [-417/5, 72/5], [114, 46], [-29/5, -1/5]], [[0, 0], [-49152/5, 25152/5], [-5744, -2446], [-1664/5, 1344/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1212, -482], [-1268, 518], [0, 0]], [[0, 0], [414329/25, -266794/25], [-114554/5, 46194/5], [-77/25, -3/25]], [[0, 0], [124770, 50374], [2904, 1786], [44, 18]]], 0, 46080, [], [] >,
< [ -6, 0, 1 ], [[864, -288]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2052, -834], [2220, -906], [0, 0]], [[0, 0], [-11901/5, 4901/5], [-2658, 1068], [-27/5, 2/5]], [[0, 0], [-18594/5, -8211/5], [7752, 3028], [4002/5, 1633/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-390, 162], [-2832, 1156], [0, 0]], [[0, 0], [585264/5, -236589/5], [838944, -342516], [18/5, -3/5]], [[0, 0], [3133431/5, 1277449/5], [-21810, -11452], [5727/5, 2338/5]]], 0, 41472, [], [] >,
< [ -6, 0, 1 ], [[864, -288]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-720, 292], [936, -382], [0, 0]], [[0, 0], [-50187, 20516], [65490, -26666], [15, 1]], [[0, 0], [-2732577/5, -1138028/5], [-1429002, -577538], [-721629/5, -294601/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [378, -156], [-2244, 916], [0, 0]], [[0, 0], [-314592/5, 128412/5], [371448, -151654], [-24/5, 4/5]], [[0, 0], [-43863/5, -17907/5], [-7662, -3128], [-3831/5, -1564/5]]], 0, 41472, [], [] >,
< [ -6, 0, 1 ], [[12, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-198, 80], [-27, 14], [0, 0]], [[0, 0], [-11710, 9901/2], [-2582, 463], [-1, 3/2]], [[0, 0], [118201, -35423], [-38698, -28844], [121, 33]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-468, -18], [21, 1], [0, 0]], [[0, 0], [28324/5, 45776/5], [-1363/5, -2052/5], [2, 1]], [[0, 0], [377786/5, -374627/10], [-16442/5, 8217/5], [1, -3/2]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[12, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 2], [-78, 31], [0, 2], [0, 0]], [[0, 0], [1, 0], [-1, 0], [1, 0]], [[-39, -31/2], [0, 13], [-39, -31/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[120, 5/2], [-558, -10], [24, 1/2], [0, 0]], [[0, 0], [13, 0], [-1, 0], [1, 0]], [[11403, -181/2], [-265254/5, 2879/5], [11403/5, -181/10], [0, 0]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3660, 1484], [0, -10], [0, 0]], [[0, 0], [-14634, -6209], [-14664, -5970], [-12, 3]], [[0, 0], [11974, 4934], [11810, 4818], [4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13614/5, 5554/5], [18/5, -8/5], [0, 0]], [[0, 0], [-2, 25], [8, -6], [4, -3]], [[0, 0], [240, 104], [-24, -12], [-12, -6]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[96, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-372, 152], [-936, 382], [0, 0]], [[0, 0], [-10312, 4206], [-26288, 10738], [2, 0]], [[0, 0], [-199634, 81491], [-509248, 207914], [22, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5538/5, -1288/5], [324/5, 6/5], [0, 0]], [[0, 0], [141254/5, 51806/5], [19132/5, 7718/5], [-14, 4]], [[0, 0], [1446110, 588669], [204868, 83610], [-130, -39]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[192, -192]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 36], [-31716, 12948], [0, 0]], [[0, 0], [184, -68], [206028/5, -84188/5], [0, 2/5]], [[0, 0], [227, -87], [258912/5, -105762/5], [-1/5, 2/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-280, 114], [-56544, 23084], [0, 0]], [[0, 0], [61851, -25269], [62630988/5, -25569008/5], [3/5, 0]], [[0, 0], [133469, -54436], [135037752/5, -55128892/5], [-1/5, -3/5]]], 0, 24576, [], [] >,
< [ -6, 0, 1 ], [[12, -12]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -4], [24, -13], [0, 0]], [[0, 0], [451/2, 101/4], [6393/5, -2318/5], [1/5, -3/20]], [[0, 0], [314, -215], [30741/5, -12766/5], [8/5, -3/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -4], [-21, 9], [0, 0]], [[0, 0], [32, 3/4], [2187/25, 568/25], [-13/50, 1/100]], [[0, 0], [-156, 35/2], [-8349/25, -1436/25], [33/25, -11/50]]], 1, 96, [], [] >,
< [ -6, 0, 1 ], [[12, -12]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -8], [21, -11], [0, 0]], [[-4, -3/2], [-583/2, 149/4], [-378, 195/2], [-2/5, -3/20]], [[10, -3], [10004, -8113/2], [80454/5, -32749/5], [1, -3/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -4], [-27, 13], [0, 0]], [[-21, -3/2], [-106, -189/4], [-4341/25, 3727/50], [-21/50, -3/100]], [[-260, 110], [190, -43], [-27162/5, 11082/5], [-26/5, 11/5]]], 1, 96, [], [] >,
< [ -6, 0, 1 ], [[96, -96]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [212, -86], [7128, -2910], [0, 0]], [[0, 0], [1554, -1259/2], [254838/5, -103988/5], [3/5, -1/2]], [[0, 0], [1365743, 1115125/2], [13732158/5, 5606172/5], [-356086/5, -290743/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-436, 178], [-96, -6], [0, 0]], [[0, 0], [24, -6], [1280664/25, 521246/25], [12/25, -2/25]], [[0, 0], [6, -13/2], [-1353258/25, -553362/25], [1/25, -7/50]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[96, -96]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1424, 586], [-6, 8], [0, 0]], [[0, 0], [35070, 28701/2], [209244/5, 85496/5], [-1/5, -1/2]], [[0, 0], [19892, 8385], [119832/5, 49488/5], [18/5, -9/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-532, 206], [90, 10], [0, 0]], [[0, 0], [-201453, -160177/2], [4153788/5, 1695412/5], [0, -1/10]], [[0, 0], [-594282, -233497], [60917388/25, 24861732/25], [4/25, -9/25]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[96, -96]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2612, 1068], [24, -8], [0, 0]], [[0, 0], [-11580, -9677/2], [-63516/5, -26024/5], [-1/5, 1/2]], [[0, 0], [3831, 157], [12882/5, 4088/5], [-9, 18/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [984, -398], [-18, -8], [0, 0]], [[0, 0], [-172, 55/2], [-4356/5, -284/5], [7/5, 1/10]], [[0, 0], [112, -110], [-4464/25, -13696/25], [8/25, 22/25]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[96, -96]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-186, 76], [24348, -9940], [0, 0]], [[0, 0], [18009/5, -7294/5], [-477678, 194904], [-37/5, -3/5]], [[0, 0], [-13820441/5, -5642209/5], [25481658, 10403844], [4302803/5, 1756612/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42870, -17500], [-15324, 6256], [0, 0]], [[0, 0], [9713186/25, -3968346/25], [-694476/5, 283686/5], [-18/25, -2/25]], [[0, 0], [3687801/25, 1506439/25], [-180306/5, -73674/5], [10087/25, 4118/25]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[192, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90, 60], [6, 8], [0, 0]], [[0, 0], [1808, -864], [442, -194], [-10, 2]], [[0, 0], [-968, 628], [-262, 132], [10, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 36], [-42, 8], [0, 0]], [[0, 0], [4244, 944], [-1198/5, -3122/5], [-26/5, 6/5]], [[0, 0], [-66920, -16180], [5264, 9588], [76, -16]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[1344, -576]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-538, 224], [30, -8], [0, 0]], [[0, 0], [-275378/47, -108312/47], [-27864/5, -11324/5], [302/235, 2/235]], [[0, 0], [63570/47, -384166/47], [-38826/5, -20986/5], [-2916/47, 6156/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2930, -1182], [30, 2], [0, 0]], [[0, 0], [-10974384/47, -4784908/47], [-1213818/5, -495718/5], [-182/235, 2/47]], [[0, 0], [-145759204/47, -28111300/47], [-2300652, -935550], [1980/47, -930/47]]], 0, 24576, [], [] >,
< [ -6, 0, 1 ], [[672, -288]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [350, -132], [30, -2], [0, 0]], [[0, 0], [-1663784/47, -638907/47], [-32796, -13150], [-158/235, 3/235]], [[0, 0], [9577058/47, -9100313/47], [-167922/5, -453962/5], [26378/235, -11011/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1804, -736], [-24, 10], [0, 0]], [[0, 0], [3838788/235, 1287623/235], [173604/25, 57344/25], [-722/1175, 3/1175]], [[0, 0], [2622704/47, -1525666/47], [128874/5, -73046/5], [-666/47, 1406/235]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[672, -288]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-136, 56], [1896, -774], [0, 0]], [[0, 0], [-38702/47, 11527/47], [44778/5, -17502/5], [-292/235, -1/235]], [[0, 0], [9048244/47, 3695205/47], [-1646838/5, -673988/5], [254584/235, 103939/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1582, -646], [-960, 392], [0, 0]], [[0, 0], [10110, -52], [3384, 20], [-2, 0]], [[0, 0], [-1987323174/235, -811450299/235], [-72706002/25, -29686572/25], [1990786/1175, 812861/1175]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[672, -288]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [368, -140], [0, 10], [0, 0]], [[0, 0], [651738/47, 262461/47], [70218/5, 27218/5], [232/235, -1/47]], [[0, 0], [12950/47, -5285/47], [5376/5, -2194/5], [74/47, -151/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1082, -420], [-6, 10], [0, 0]], [[0, 0], [-13145258/235, -5026943/235], [-477234/25, -190374/25], [252/1175, -3/1175]], [[0, 0], [18000936/235, -21954919/235], [-191772/25, -463042/25], [-11024/1175, 4641/1175]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[84, -36]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 1], [3, -4], [0, 0]], [[0, 0], [-3115/47, 35/94], [-1464/5, 96/5], [-89/235, 1/470]], [[0, 0], [26250/47, 27300/47], [1539, 2413], [150/47, 156/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, 21], [18, -9], [0, 0]], [[0, 0], [336606/235, 45297/470], [17553/25, -42/25], [-344/1175, -3/2350]], [[0, 0], [8524542/235, -7765131/470], [544296/25, -240119/25], [-10478/1175, 9269/2350]]], 1, 96, [], [] >,
< [ -6, 0, 1 ], [[84, -36]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -5/2], [11, -7], [-6, -5/2], [0, 0]], [[-10, 1/2], [2502/47, -1564/47], [378/5, 41/10], [97/235, 1/47]], [[414, -184], [-246508/47, 98367/47], [-2346, 1104], [-3036/235, 1426/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -1/2], [-43, 6], [9, -1/2], [0, 0]], [[330, 31], [1679864/235, -19741/235], [53682/25, 827/25], [1544/1175, 4/1175]], [[21, -17/2], [135036/235, -54684/235], [4098/25, -3319/50], [121/1175, -49/1175]]], 1, 96, [], [] >,
< [ -6, 0, 1 ], [[480, 0]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10240/19, -42/19], [1452/19, 6/19], [0, 0]], [[0, 0], [-390000993/437, -1488855/437], [2414328/19, 9109/19], [-3153/437, -4/437]], [[0, 0], [-49760725210/19, 14227154295/19], [7085635782/19, -2026024724/19], [-404078/19, 116053/19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28280/19, 652/19], [444/19, 10/19], [0, 0]], [[0, 0], [853633464/8303, 531114387/8303], [866478/361, 362512/361], [3348/8303, 3/8303]], [[0, 0], [134064849/8303, -54930211/8303], [672/361, -275/361], [-1069/8303, 438/8303]]], 0, 24576, [], [] >,
< [ -6, 0, 1 ], [[672, -288]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9196, -3754], [-3444, 1406], [0, 0]], [[0, 0], [-1140324/5, 465299/5], [85404, -34770], [32/5, 3/5]], [[0, 0], [19121991/5, 7806459/5], [-7760514, -3168212], [-1298063/5, -529932/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, -114], [108, 2], [0, 0]], [[0, 0], [1267204/5, 517956/5], [-635604/5, -259854/5], [0, 4/5]], [[0, 0], [-628489/5, -257531/5], [315174/5, 129224/5], [1, -4/5]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[1344, -576]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, 68], [18, 12], [0, 0]], [[0, 0], [164, 84], [82, 40], [2, -8]], [[0, 0], [-3824, 1598], [-1504, 632], [2068, -846]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-516, 94], [24, 2], [0, 0]], [[0, 0], [9062/5, -6148/5], [-56/5, 304/5], [10, -8]], [[0, 0], [869676/5, -393364/5], [-25038/5, 14622/5], [1050, -490]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[-1248, 480]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60112, 24540], [15084, -6158], [0, 0]], [[0, 0], [16152344/5, -6594199/5], [-810684, 330962], [8/5, -3/5]], [[0, 0], [4906467/5, 2004208/5], [-253170, -103414], [-41051/5, -16759/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [996532, -407260], [29340, -11978], [0, 0]], [[0, 0], [-217080963904/25, -88693833531/25], [1004856/5, -7366/5], [152/25, 3/25]], [[0, 0], [29083574950151/25, 12740547635464/25], [-6324290994/5, 2525958134/5], [-895713/25, 356643/25]]], 0, 30720, [], [] >,
< [ -6, 0, 1 ], [[-480, 96]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35768, 14602], [-4512, 1842], [0, 0]], [[0, 0], [2900017/5, -1184572/5], [73362, -29898], [19/5, 1/5]], [[0, 0], [-3762726/5, -1536499/5], [303216, 123778], [51138/5, 20877/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [943236, -385504], [-31476, 12850], [0, 0]], [[0, 0], [-27819692463/25, -11394547582/25], [-121602, 294], [-91/25, 1/25]], [[0, 0], [-67853276816/5, -28308555839/5], [-5737776, 1735002], [-872/5, 267/5]]], 0, 30720, [], [] >,
< [ -6, 0, 1 ], [[3360, -1152]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1586, 648], [914664, -373410], [0, 0]], [[0, 0], [81762/5, -33302/5], [-9408792, 3840968], [4/5, -4/5]], [[0, 0], [-4863033/5, -1985327/5], [10612902, 4332940], [161779/5, 66046/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120574, 48982], [119976, -48980], [0, 0]], [[0, 0], [-354698586779/25, -144808755556/25], [-1801794/5, -6556/5], [-23/25, 3/25]], [[0, 0], [107498891940583/25, 43901896842087/25], [4091286198/5, -1445303548/5], [67221/25, -25506/25]]], 0, 552960, [], [] >,
< [ -6, 0, 1 ], [[2976, -960]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [106, -44], [-131856, 53830], [0, 0]], [[0, 0], [1734/5, 191/5], [-24804, 10054], [-22/5, -3/5]], [[0, 0], [-48191/5, -19674/5], [4218, 1722], [703/5, 287/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [808, -2], [9744, -3978], [0, 0]], [[0, 0], [-11890893748/25, -4854493472/25], [81360, 556], [14/25, -4/25]], [[0, 0], [293151356521/25, 119683524769/25], [-4552938, 1026144], [-1103/25, 408/25]]], 0, 552960, [], [] >,
< [ -6, 0, 1 ], [[2112, -768]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1408, 584], [12, 4], [0, 0]], [[0, 0], [116028/47, 24086/47], [14058/5, 3498/5], [1846/235, 6/235]], [[0, 0], [-1399158/47, 447932/47], [-139638/5, 41072/5], [-41676/235, 15704/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2484, -1016], [-24, 8], [0, 0]], [[0, 0], [216158/47, 86410/47], [15234/5, 8304/5], [-1712/235, -2/235]], [[0, 0], [-8539168/47, -3779366/47], [-1147662/5, -135612/5], [-100594/235, 70226/235]]], 0, 147456, [], [] >,
< [ -6, 0, 1 ], [[1056, -384]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-314, 140], [30, 0], [0, 0]], [[0, 0], [138504/47, 28270/47], [26766/5, 3176/5], [-1578/235, 2/235]], [[0, 0], [28315868/47, -12557971/47], [7894488/5, -3388872/5], [-665854/235, 279391/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2078, -862], [-6, -2], [0, 0]], [[0, 0], [3594398/47, 5605/47], [154392/5, 42/5], [-3676/235, -1/235]], [[0, 0], [-30971285636/235, 11690589574/235], [-1334220048/25, 503870472/25], [31767144/1175, -11996916/1175]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[1056, -384]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-146, 60], [-4140, 1690], [0, 0]], [[0, 0], [-197452/47, 57598/47], [-410484/5, 174126/5], [-1578/235, 2/235]], [[0, 0], [2211107078/47, 902626293/47], [-125772486, -51373298], [12341450/47, 5038325/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1654, 676], [936, -382], [0, 0]], [[0, 0], [8803654/235, -349446/235], [-415488/25, 20532/25], [9064/1175, 4/1175]], [[0, 0], [-646654/235, -263419/235], [29478/25, 12008/25], [-734/1175, -299/1175]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[1056, -384]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [438, -172], [6, 4], [0, 0]], [[0, 0], [130300/47, -7791/47], [-42696/5, -276/5], [3508/235, 3/235]], [[0, 0], [8800240/47, -1960656/47], [-2692668/5, 462822/5], [222564/235, -39276/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2146, -890], [-6, -2], [0, 0]], [[0, 0], [-1223154/235, 7461/235], [-95172/25, -42/25], [2266/1175, 1/1175]], [[0, 0], [303407368/235, -115392182/235], [23260944/25, -8826216/25], [-553832/1175, 210148/1175]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[132, -48]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 4], [9, -4], [0, 0]], [[0, 0], [38433/47, 1821/94], [-13461/5, -76/5], [1133/235, 1/470]], [[0, 0], [-23743640/47, -5598000/47], [8124519/5, 1815154/5], [-679182/235, -149247/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, -19], [-15, 9], [0, 0]], [[0, 0], [-6657187/235, -29693719/470], [-971886/25, -36021/25], [-1217/1175, 1/2350]], [[0, 0], [9415840311/47, -8572273601/94], [-309499578/5, 115458467/5], [-423591/235, 320873/470]]], 1, 576, [], [] >,
< [ -6, 0, 1 ], [[132, -48]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [23, -8], [0, -1/2], [0, 0]], [[0, 0], [30649/47, 165/47], [2619/5, -6/5], [873/235, -2/235]], [[0, 0], [-20072278/47, 7718595/47], [-1746006/5, 672894/5], [-582002/235, 224298/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, 0], [8, 4], [9, 0], [0, 0]], [[-1008, -77/2], [1283998/235, -114092/235], [96669/25, -2057/50], [3693/1175, -2/1175]], [[-806610, 612927/2], [5778105, -2270356], [17383158/5, -13413189/10], [13808/5, -5312/5]]], 1, 576, [], [] >,
< [ -6, 0, 1 ], [[3360, -1440]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1230/19, 94/19], [192/19, -8/19], [0, 0]], [[0, 0], [-567259/437, 168662/437], [-32670/19, -895/19], [1459/437, -3/437]], [[0, 0], [47461634/437, -22104504/437], [823488/19, -953342/19], [-44512/437, 43870/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67280/19, 414/19], [996/19, 6/19], [0, 0]], [[0, 0], [-11721636383/8303, 576417606/8303], [11707926/361, 373131/361], [40399/8303, -1/8303]], [[0, 0], [3059731365996/8303, -3178324672264/8303], [-1563856668/361, 3000305252/361], [-7422642/8303, 10589450/8303]]], 0, 147456, [], [] >,
< [ -6, 0, 1 ], [[1056, -384]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-554, 226], [383448, -156542], [0, 0]], [[0, 0], [-278891/5, 113661/5], [38687982, -15794234], [23/5, 2/5]], [[0, 0], [648330193/5, 264679612/5], [-226896090, -92618702], [-37717319/5, -15398031/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1612, 658], [35640, -14550], [0, 0]], [[0, 0], [62724/5, -25524/5], [-1352088/5, 552252/5], [2/5, -4/5]], [[0, 0], [-611387/5, 248947/5], [13183986/5, -5384414/5], [-27/5, 36/5]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[2112, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [150, 10], [-54, 6], [0, 0]], [[0, 0], [-7424, -1264], [2366, -14], [10, -10]], [[0, 0], [27888, -20304], [-19104, 9776], [-324, 120]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24/5, -486/5], [-132/5, -2/5], [0, 0]], [[0, 0], [24560, -7172], [-1802, 1048], [2, -4]], [[0, 0], [-1635378, 684154], [173916, -69194], [-486, 180]]], 0, 147456, [], [] >,
< [ -6, 0, 1 ], [[1248, -672]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [566, 6], [-192, -2], [0, 0]], [[0, 0], [22207857/5, -246337/5], [-1506762, 17000], [9/5, -4/5]], [[0, 0], [-1525827941/5, -79231114/5], [103517154, 5355918], [-517/5, 237/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-298946, 122044], [145500, -59400], [0, 0]], [[0, 0], [-189212, 77104], [459792/5, -188138/5], [4/5, 4/5]], [[0, 0], [-617/5, 247/5], [-258/5, 102/5], [1, -2/5]]], 0, 184320, [], [] >,
< [ -6, 0, 1 ], [[1344, -384]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [148, -60], [5820, -2376], [0, 0]], [[0, 0], [25749, -10497], [4948296/5, -2019686/5], [33/5, 2/5]], [[0, 0], [-34115012, -13927368], [-1018541208/5, -415812452/5], [-35224804/5, -14380466/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-520, 212], [-31716, 12948], [0, 0]], [[0, 0], [2631, -1086], [824076/5, -336596/5], [-27/5, -3/5]], [[0, 0], [-645715, -263612], [-9099144/5, -3714696/5], [-757757/5, -309353/5]]], 0, 147456, [], [] >,
< [ -6, 0, 1 ], [[672, -192]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1164, 466], [-18, -4], [0, 0]], [[0, 0], [16641, 6212], [98238/5, 40112/5], [-1/5, 1/5]], [[0, 0], [82262, 64049/2], [495588/5, 202342/5], [-1/5, 7/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1440, 594], [-54, -4], [0, 0]], [[0, 0], [-21885, -18671/2], [2372904/25, 976156/25], [-58/25, 1/50]], [[0, 0], [313975, 271479/2], [-34237734/25, -14117376/25], [968/25, -121/50]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[672, -192]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [212, -86], [-15084, 6158], [0, 0]], [[0, 0], [9367, -7639/2], [-3347646/5, 1366946/5], [22/5, 1/10]], [[0, 0], [2413210, 1970403/2], [145520334/5, 59403906/5], [5012637/5, 4092801/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-496, 202], [-264, 6], [0, 0]], [[0, 0], [-25554, 2507/2], [-11699046/5, -4757284/5], [37/5, 1/10]], [[0, 0], [134880, -21418], [214755168/25, 87057152/25], [-936/25, 96/25]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[672, -192]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-496, 194], [-30, 2], [0, 0]], [[0, 0], [2858, 967], [15678/5, 6452/5], [-16/5, 1/5]], [[0, 0], [3, 1/2], [24/5, 6/5], [2/5, 1/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, 42], [102, 2], [0, 0]], [[0, 0], [-37893, -31723/2], [4058304/25, 1668556/25], [-58/25, 1/50]], [[0, 0], [475434, 203332], [-51321504/25, -21229156/25], [1058/25, -138/25]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[84, -24]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 4], [6, -2], [0, 0]], [[-19, 3/2], [48, -111/4], [-579/5, 573/10], [-19/10, 3/20]], [[-70, -35], [-140, -49/2], [213, 15], [-7, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 6], [-99, -4], [0, 0]], [[10, 5/2], [359/2, -51/4], [4662/5, -7869/10], [1/5, 1/20]], [[1, 3/2], [-94, 213/4], [-41019/25, 28243/50], [1/50, 3/100]]], 1, 576, [], [] >,
< [ -6, 0, 1 ], [[84, -24]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -8], [-9, 3], [0, 0]], [[0, 0], [90, 355/4], [399/5, -129/5], [-1/10, -3/20]], [[0, 0], [237/2, 119/4], [-102/5, 62/5], [-1/5, -1/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -6], [45, 5], [0, 0]], [[0, 0], [207/2, -45/4], [11856/25, -2391/25], [38/25, 3/100]], [[0, 0], [2873, -2993/4], [71844/5, -22614/5], [369/10, -123/20]]], 1, 576, [], [] >,
< [ -6, 0, 1 ], [[672, -192]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [170, -70], [-52032, 21242], [0, 0]], [[0, 0], [-34721/5, 14241/5], [2108118, -860568], [23/5, 2/5]], [[0, 0], [3670996/5, 1498729/5], [3745404, 1525956], [630702/5, 257483/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60506, -24696], [61056, -24926], [0, 0]], [[0, 0], [1584479/25, -683594/25], [329526/5, -134286/5], [-27/25, -3/25]], [[0, 0], [-68937/25, -28143/25], [18342/5, 7488/5], [-1019/25, -416/25]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[1344, -384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-396, -24], [-96, -4], [0, 0]], [[0, 0], [-55126, 4962], [-13550, 1540], [8, 10]], [[0, 0], [427884, -201550], [111150, -51490], [138, -36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -10], [0, 10], [0, 0]], [[0, 0], [736, -308], [1702/5, -1122/5], [74/5, 6/5]], [[0, 0], [26914, -11104], [14546, -7256], [352, -32]]], 0, 147456, [], [] >,
< [ -6, 0, 1 ], [[480, -480]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12952/19, -62/19], [1872/19, -2/19], [0, 0]], [[0, 0], [-555200345/437, -275985162/437], [3390330/19, 1714015/19], [-2911/437, -3/437]], [[0, 0], [1926996758593/437, -106989985527/437], [-12451874724/19, 894024429/19], [-1280583/23, 607590/23]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37406/19, -666/19], [-492/19, -8/19], [0, 0]], [[0, 0], [10777685/19, -1545257/19], [6168/19, -20473/19], [1, 0]], [[0, 0], [-314925113369/8303, 152502158907/8303], [-65907192/361, 20362857/361], [-369439/8303, 215852/8303]]], 0, 147456, [], [] >,
< [ -6, 0, 1 ], [[2400, 0]], [ -270, -35 ], [ -13, 5 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3626/19, 26/19], [-6360/19, -20/19], [0, 0]], [[0, 0], [-138287521/437, 29424755/437], [-10394580/19, 2136125/19], [-1405/437, -4/437]], [[0, 0], [14262364360/437, -5194222606/437], [1062322140/19, -384701290/19], [105932/437, -29820/437]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [724/19, -198/19], [-60/19, 50/19], [0, 0]], [[0, 0], [-4570354555/8303, 550132/8303], [15186450/361, -9925/361], [-35935/8303, 5/8303]], [[0, 0], [117351505978/8303, -68567234008/8303], [-390666240/361, 228044160/361], [922752/8303, -539136/8303]]], 0, 884736, [], [] >,
< [ -6, 0, 1 ], [[1824, -864]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [218, 2], [156, 4], [0, 0]], [[0, 0], [-3503037/5, 96642/5], [-499674, 5544], [-29/5, -1/5]], [[0, 0], [173170353, -74055915], [118593450, -50915320], [1219, -530]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1218, -148], [-492, -8], [0, 0]], [[0, 0], [75777154/25, -10236369/25], [-6047364/5, -7196/5], [48/25, -3/25]], [[0, 0], [-12072196957/25, 5142116352/25], [706123062/5, -313831282/5], [-6559/25, 2849/25]]], 0, 184320, [], [] >,
< [ -6, 0, 1 ], [[36, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1056, -434], [9, -2], [0, 0]], [[0, 0], [44965, -18427], [350, -103], [1, -1]], [[0, 0], [-20759, -11467/2], [9878, 4051], [-146, -119/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1074, -53], [18, 1], [0, 0]], [[0, 0], [118213, -29057], [-1957, 478], [1, 2]], [[0, 0], [-4152589/5, 3669193/10], [68548/5, -30313/5], [22, -11/2]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[36, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 5/2], [-384, 142], [12, 5/2], [0, 0]], [[0, 0], [1, -1], [-1, 0], [1, 0]], [[792, 324], [-1482, -687], [792, 324], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27, 1/2], [-1566/5, 11/5], [27/5, 1/10], [0, 0]], [[0, 0], [7, -1], [-1, 0], [1, 0]], [[-516, 387/2], [31728/5, -12018/5], [-516/5, 387/10], [0, 0]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[288, -96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1680, -686], [1416, -578], [0, 0]], [[0, 0], [752, -307], [640, -262], [-4, 1]], [[0, 0], [76, -31], [44, -18], [22, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [186/5, -176/5], [108/5, -8/5], [0, 0]], [[0, 0], [-16736/5, 29551/5], [-19168/5, -302/5], [2, 1]], [[0, 0], [131928/5, -53658/5], [27144/5, -11154/5], [0, 0]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[288, -96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18366, 7498], [-318, 130], [0, 0]], [[0, 0], [-299684, 122335], [-5236, 2114], [-26, 9]], [[0, 0], [-17582538, 7177658], [-306564, 124292], [-1482, 546]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-954/5, 4/5], [-102/5, -8/5], [0, 0]], [[0, 0], [-88782/5, -22923/5], [-10596/5, -3284/5], [36, -13]], [[0, 0], [-2676022/5, -743828/5], [-322646/5, -104454/5], [952, -336]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[36, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-864, 353], [-6, 2], [0, 0]], [[0, 0], [-12333, 5022], [-45, 41], [3, -1]], [[0, 0], [1163, 1541/2], [-2684, -1094], [-28, -23/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1356, -65], [18, 1], [0, 0]], [[0, 0], [-3420019/5, 470953/10], [45133/5, -2773/5], [-2, -1/2]], [[0, 0], [8978242, -3478619], [-116755, 45147], [10, -3]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[36, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -3/2], [-150, 57], [9, -3/2], [0, 0]], [[0, 0], [1, 1], [-1, 0], [1, 0]], [[-42, -35/2], [72, 38], [-42, -35/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[75, 5/2], [-1044, -28], [15, 1/2], [0, 0]], [[0, 0], [-11, 1], [-1, 0], [1, 0]], [[1116, -186], [-78288/5, 13473/5], [1116/5, -186/5], [0, 0]]], 1, 72, [], [] >,
< [ -6, 0, 1 ], [[288, -96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1836, 750], [-132, 54], [0, 0]], [[0, 0], [-46952, 19161], [-3244, 1320], [-8, 1]], [[0, 0], [594712, -242779], [41036, -16746], [70, -25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1248/5, 132/5], [144/5, 6/5], [0, 0]], [[0, 0], [112624/5, -44244/5], [16052/5, -6372/5], [26, -10]], [[0, 0], [-840792/5, 228377/5], [-114996/5, 34946/5], [-210, 45]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[288, -96]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7854, -3206], [138, -56], [0, 0]], [[0, 0], [32734, -13370], [602, -252], [16, -6]], [[0, 0], [-86220, 35195], [-1602, 650], [-36, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96/5, -34/5], [192/5, 8/5], [0, 0]], [[0, 0], [-3660, -1303], [6852, 508], [6, -1]], [[0, 0], [-5620, -648], [28426, -8128], [38, -14]]], 0, 4608, [], [] >,
< [ -6, 0, 1 ], [[1728, -768]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5784, -2380], [-36, -4], [0, 0]], [[0, 0], [-197755, -80801], [-989424/5, -403996/5], [1, 4/5]], [[0, 0], [-105300, -44104], [-532164/5, -218346/5], [-36/5, 18/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2040, -836], [12, -8], [0, 0]], [[0, 0], [6670, 2728], [32652/5, 13358/5], [2/5, 0]], [[0, 0], [1701, 706], [8304/5, 3466/5], [3/5, -1/5]]], 0, 73728, [], [] >,
< [ -6, 0, 1 ], [[864, -384]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, -2], [-132, 54], [0, 0]], [[0, 0], [-7542/5, -3003/5], [48, -44], [-4/5, -1/5]], [[0, 0], [-2541/5, -549/5], [462, -196], [-7/5, 2/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5526, -2256], [-2136, 872], [0, 0]], [[0, 0], [-17289/25, -7871/25], [-726/5, 576/5], [357/25, -2/25]], [[0, 0], [-190401122/25, -77730608/25], [3566472/5, 1455658/5], [1833186/25, 748454/25]]], 0, 27648, [], [] >,
< [ -6, 0, 1 ], [[1728, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3522, 1312], [666, -272], [0, 0]], [[0, 0], [239044, 99978], [800, -148], [-8, -6]], [[0, 0], [-99296, 231556], [66422, -26944], [370, -160]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-300, -70], [72, 2], [0, 0]], [[0, 0], [4758, 1614], [-4926/5, -1204/5], [48/5, 2/5]], [[0, 0], [-98756, 26936], [43442, -15316], [-902, 352]]], 0, 110592, [], [] >,
< [ -6, 0, 1 ], [[1728, -768]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1566, 506], [258, -106], [0, 0]], [[0, 0], [596476, 268168], [8738, -982], [-2, -6]], [[0, 0], [372304, -1156356], [-301852, 118156], [-320, 144]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-702, 32], [126, -4], [0, 0]], [[0, 0], [-8524, -1292], [8228/5, 1362/5], [-44/5, -6/5]], [[0, 0], [-93996, 42092], [85494/5, -38584/5], [-522/5, 232/5]]], 0, 110592, [], [] >,
< [ -6, 0, 1 ], [[576, -384]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3222, 1310], [6, -4], [0, 0]], [[0, 0], [1191460/47, 481422/47], [36486/5, 14836/5], [-322/235, -4/235]], [[0, 0], [-1407228/47, -556560/47], [-42816/5, -17266/5], [756/235, -30/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5364, -2156], [24, 0], [0, 0]], [[0, 0], [-3278542/47, -1317646/47], [-19938, -8124], [416/235, 4/235]], [[0, 0], [11299108/47, 6164532/47], [396966/5, 167896/5], [14278/235, -6534/235]]], 0, 73728, [], [] >,
< [ -6, 0, 1 ], [[288, -192]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4206, 1716], [1524, -622], [0, 0]], [[0, 0], [160091/5, -65116/5], [-11334, 4746], [37/5, 3/5]], [[0, 0], [567864, 228634], [1390032, 568626], [42372, 17298]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7956, 3242], [12, -2], [0, 0]], [[0, 0], [-79, -64], [-102, -122], [1, 1]], [[0, 0], [3093/5, -1108/5], [7686/5, -2874/5], [-57/5, 21/5]]], 0, 27648, [], [] >,
< [ -6, 0, 1 ], [[576, -384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1554, -566], [-258, 106], [0, 0]], [[0, 0], [-401684, -174654], [-6388, -726], [4, 4]], [[0, 0], [-226460, -162572], [-18226, 4930], [-14, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-182442/5, 79088/5], [-174/5, -4/5], [0, 0]], [[0, 0], [-216520526/5, -87898736/5], [3516878/5, 1435938/5], [-4, 6]], [[0, 0], [1147191912, 461057374], [-18538530, -7570948], [546, -338]]], 0, 110592, [], [] >,
< [ -6, 0, 1 ], [[576, -384]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3078, -1192], [-606, 248], [0, 0]], [[0, 0], [-28284, -8830], [450, -376], [-6, 6]], [[0, 0], [45130, 12544], [-1126, 752], [16, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-456/5, -16/5], [-12/5, 8/5], [0, 0]], [[0, 0], [23162/5, 9082/5], [-356/5, -136/5], [-2, -2]], [[0, 0], [8048, 2300], [-134, -30], [14, -10]]], 0, 110592, [], [] >,
< [ -6, 0, 1 ], [[1728, -192]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3204, 1328], [24, -4], [0, 0]], [[0, 0], [-2537352/47, -1100036/47], [-88398/5, -33938/5], [-1746/235, 4/235]], [[0, 0], [-36918722/47, -2236066/47], [-168138/5, -498798/5], [168584/235, -74566/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13620, -5588], [0, -8], [0, 0]], [[0, 0], [19231450/47, 7812386/47], [591162/5, 240612/5], [604/235, 4/235]], [[0, 0], [-26727116/47, -11251678/47], [-165474, -68832], [434/47, -248/47]]], 0, 442368, [], [] >,
< [ -6, 0, 1 ], [[864, -96]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [696, -284], [144, -6], [0, 0]], [[0, 0], [7171/5, 469/5], [235902, 96308], [-23/5, -2/5]], [[0, 0], [55839, -15398], [2568966, 1048886], [-171, 45]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3792, 1548], [60, 50], [0, 0]], [[0, 0], [2668/5, -418/5], [-405324/5, -165324/5], [-2/5, -4/5]], [[0, 0], [8457/5, -2702/5], [-91734, -37332], [9/5, -9/5]]], 0, 110592, [], [] >,
< [ -6, 0, 1 ], [[1728, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [282, -158], [270, -110], [0, 0]], [[0, 0], [279946, 113144], [-334, -1044], [-8, -4]], [[0, 0], [-1566116, -765370], [131426, -46364], [154, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-131574/5, 53486/5], [-18/5, 2/5], [0, 0]], [[0, 0], [2572, 228], [50, 40], [10, 8]], [[0, 0], [123540, -88980], [-6300, 750], [-1260, 150]]], 0, 442368, [], [] >,
< [ -6, 0, 1 ], [[1728, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [996, -374], [888, -362], [0, 0]], [[0, 0], [-254030, -101806], [-6190, -780], [-8, -6]], [[0, 0], [4204384, 1928056], [-166330, 126550], [574, -70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43374/5, 17486/5], [-18/5, 2/5], [0, 0]], [[0, 0], [2792, -12], [-50, 40], [-10, 8]], [[0, 0], [-2604, -4396], [-330, 40], [-66, 8]]], 0, 442368, [], [] >,
< [ -6, 0, 1 ], [[6336, -2496]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 20], [36, 0], [0, 0]], [[0, 0], [-1098, -8], [72/5, -1562/5], [6/5, 4/5]], [[0, 0], [-2807, 1316], [11604/5, -4164/5], [-13/5, 3/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, 26], [-24, -2], [0, 0]], [[0, 0], [118, 14], [516/5, 214/5], [-2/5, 2/5]], [[0, 0], [-311, 64], [-492/5, -228/5], [19/5, -9/5]]], 0, 442368, [], [] >,
< [ -6, 0, 1 ], [[3168, -1248]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 8], [-12, -8], [0, 0]], [[0, 0], [-108/5, 33/5], [-1068, -452], [-6/5, 1/5]], [[0, 0], [1473/5, -363/5], [23142, 9648], [91/5, -6/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 24], [-84, 4], [0, 0]], [[0, 0], [-4217/5, 2162/5], [-1050, 410], [-9/5, -1/5]], [[0, 0], [72751/25, -32386/25], [16554/5, -6644/5], [87/25, -7/25]]], 0, 110592, [], [] >,
< [ -6, 0, 1 ], [[6336, -2496]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [228, 22], [240, 10], [0, 0]], [[0, 0], [44, 166], [142, 178], [2, 8]], [[0, 0], [-6186, 2432], [-5070, 1950], [-300, 118]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180, 70], [120, 10], [0, 0]], [[0, 0], [-8090, -3880], [24778/5, -24658/5], [-4/5, -6/5]], [[0, 0], [-7240, 2548], [-81326, 33036], [-10, 4]]], 0, 442368, [], [] >,
< [ -6, 0, 1 ], [[6336, -2496]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [294, 16], [-102, -8], [0, 0]], [[0, 0], [959250, -86216], [-325848, 21518], [-6, -2]], [[0, 0], [323803568, -131879664], [-104744378, 42647578], [-310, 122]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, 8], [120, 20], [0, 0]], [[0, 0], [6, 92], [354/5, 306/5], [-12/5, 2/5]], [[0, 0], [1526, -724], [484, -294], [26, -10]]], 0, 442368, [], [] >,
< [ -6, 0, 1 ], [[288, 0]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-318, 130], [14124, -5766], [0, 0]], [[0, 0], [-309, 179], [17082, -6936], [3, 0]], [[0, 0], [-8049/5, -3286/5], [-1842, -752], [-703/5, -287/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-666, 272], [8304, -3390], [0, 0]], [[0, 0], [146118/5, -59513/5], [-364752, 148956], [16/5, -1/5]], [[0, 0], [6529983/5, 2665782/5], [2184918, 892170], [259521/5, 105949/5]]], 0, 13824, [], [] >,
< [ -6, 0, 1 ], [[288, 0]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [480, -196], [-5100, 2082], [0, 0]], [[0, 0], [14719/5, -6024/5], [-32922, 13448], [13/5, -3/5]], [[0, 0], [2539242/5, 1036648/5], [-1293264, -527988], [-390336/5, -159354/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-534, 218], [3204, -1308], [0, 0]], [[0, 0], [203/5, -8/5], [534, -270], [-19/5, -1/5]], [[0, 0], [874512/5, 357018/5], [-607380, -247962], [-102276/5, -41754/5]]], 0, 13824, [], [] >,
< [ -6, 0, 1 ], [[8, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -5/2], [106, -53], [-5, -5/2], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[7, 5/2], [104, -31], [7, 5/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, 1], [-9572/5, 3822/5], [9/5, 1/5], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[-211, -173/2], [2598/5, 2107/5], [-211/5, -173/10], [0, 0]]], 1, 8, [], [] >,
< [ -6, 0, 1 ], [[8, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -5/2], [46, -20], [1, -5/2], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[252, 54], [910, -280], [252, 54], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13, 1/2], [-12666/5, 5016/5], [-13/5, 1/10], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[-440, -180], [-2678, -1224], [-88, -36], [0, 0]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 28], [-2, 0], [0, 0]], [[0, 0], [1, 1], [0, 1], [1, 0]], [[0, 0], [98, -40], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [836, -344], [-50, 20], [0, 0]], [[0, 0], [-7/5, -3/5], [4/5, 1/5], [1, 0]], [[0, 0], [29442/5, -12072/5], [-1744/5, 704/5], [0, 0]]], 0, 48, [], [] >,
< [ -6, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, 34], [-26, 10], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[0, 0], [1036, -420], [310, -130], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3882/5, -1582/5], [-34/5, 14/5], [0, 0]], [[0, 0], [1, 1], [0, 0], [1, 0]], [[0, 0], [142, -58], [0, 0], [0, 0]]], 0, 48, [], [] >,
< [ -6, 0, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-178, 74], [4, -1], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [1428, -586], [-28, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20142/5, -8232/5], [-44/5, -1/5], [0, 0]], [[0, 0], [-9, 1], [0, 0], [1, 0]], [[0, 0], [-52162/5, -18628/5], [-102306/5, -41769/5], [0, 0]]], 0, 48, [], [] >,
< [ -6, 0, 1 ], [[8, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [0, -4], [0, 0], [-2, -2]], [[0, 0], [-2, -1/2], [0, 0], [-1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3814/5, 1644/5], [-17/5, 2/5], [0, 0]], [[0, 0], [-5817, -4255/2], [312, 128], [4, -1/2]], [[0, 0], [-36474/5, -12951/5], [1928/5, 792/5], [6, -1]]], 1, 8, [], [] >,
< [ -6, 0, 1 ], [[0, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1/2], [356, -140], [2, 1/2], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[5, 2], [50, -4], [5, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19, 3/2], [-3508/5, 1848/5], [-19/5, 3/10], [0, 0]], [[0, 0], [11, 1], [0, 0], [1, 0]], [[153, 102], [-30534/5, 1534/5], [153/5, 102/5], [0, 0]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[48, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 2], [16, -6], [-5, 2], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[1, -1/2], [-2, 1], [1, -1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[29, 1], [4328/5, -718/5], [29/5, 1/5], [0, 0]], [[0, 0], [11, 1], [0, 0], [1, 0]], [[134, 67/2], [14768/5, 1177/5], [134/5, 67/10], [0, 0]]], 1, 24, [], [] >,
< [ -6, 0, 1 ], [[48, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-382, 156], [14, -6], [0, 0]], [[0, 0], [-1, 1], [0, 1], [1, 0]], [[0, 0], [1254, -512], [-48, 20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102/5, 18/5], [66/5, 4/5], [0, 0]], [[0, 0], [-7/5, -3/5], [4/5, 1/5], [1, 0]], [[0, 0], [4354/5, -1274/5], [3952/5, -1352/5], [0, 0]]], 0, 192, [], [] >,
< [ -6, 0, 1 ], [[48, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-346, 142], [74, -30], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [-1940, 784], [406, -168], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 10], [-4, 0], [0, 0]], [[0, 0], [11, 1], [0, 0], [1, 0]], [[0, 0], [-96/5, 36/5], [-18/5, 8/5], [0, 0]]], 0, 192, [], [] >,
< [ -6, 0, 1 ], [[3008, -1228]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-81, -1], [1022/43, -4309/86], [-81, -1], [-97/43, 3/86]], [[7074, 12183/2], [1750939/86, 200979/86], [7074, 12183/2], [14541/86, 7074/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -12], [-68, 27], [0, 0]], [[132, 4], [29008/43, 2424/43], [-4199/5, -676/5], [788/215, 2/215]], [[-129, -119/2], [-64537/86, -14466/43], [5496/5, 4773/10], [-1429/430, -671/430]]], 1, 32, [], [] >,
< [ -6, 0, 1 ], [[3008, -1228]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[63, 3], [-1472/43, -2073/86], [63, 3], [75/43, 3/86]], [[-477, -689/2], [82313/86, 13942/43], [-477, -689/2], [-1007/86, -795/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, -22], [-71, 29], [0, 0]], [[-36, -1], [-285, 1], [308, -1], [-1, 0]], [[429, 429/2], [266039/86, 68806/43], [-16731/5, -17303/10], [4719/430, 2431/430]]], 1, 32, [], [] >,
< [ -6, 0, 1 ], [[16, -16]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, 34], [26, -10], [0, 0]], [[0, 0], [215311/43, -180161/86], [-1270, 647], [140/43, -3/86]], [[0, 0], [770154/43, 291095/43], [-43926, -17780], [-18928/43, -7735/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, 32], [128, -52], [0, 0]], [[0, 0], [-46384/43, 7877/43], [11838/5, -1418/5], [-466/215, 1/215]], [[0, 0], [70992285/43, 57955165/86], [-21920436/5, -8947839/5], [1214752/215, 991771/430]]], 0, 192, [], [] >,
< [ -6, 0, 1 ], [[16, -16]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 20], [-48, 20], [0, 0]], [[0, 0], [-8955/43, 17117/86], [-506, 206], [-240/43, -1/86]], [[0, 0], [9572528/43, 3912072/43], [-1290, -388], [-192424/43, -78524/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [-824, 336], [0, 0]], [[0, 0], [38586/43, 207/86], [-19544/5, 16624/5], [663/215, -1/430]], [[0, 0], [233689200/43, 95408600/43], [25485478, 10402710], [796352/43, 325128/43]]], 0, 192, [], [] >,
< [ -6, 0, 1 ], [[128, -128]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11116, -4550], [16, -10], [0, 0]], [[0, 0], [-83548, -34090], [-24264, -9906], [-8, 0]], [[0, 0], [3510120/43, 1431419/43], [23700, 9676], [506/43, -69/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12924, -5282], [-64, 6], [0, 0]], [[0, 0], [-104131728/43, -42793963/43], [-42243696/5, -17224564/5], [2902/215, 3/215]], [[0, 0], [4789618190/43, 1867842419/43], [1883986648/5, 775752002/5], [383364/215, -209739/215]]], 0, 12288, [], [] >,
< [ -6, 0, 1 ], [[1152, -512]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51376, 20988], [-12, 8], [0, 0]], [[0, 0], [-1160978, -473865], [-1300812/5, -531118/5], [-4/5, 3/5]], [[0, 0], [-4964317, -2032776], [-1115240, -454536], [69, -27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63148, -25752], [-92, -2], [0, 0]], [[0, 0], [-15251497, -6236473], [537912484/25, 219602676/25], [7/25, -2/25]], [[0, 0], [-11420763, -4658194], [402293748/25, 164235472/25], [-1/25, 1/25]]], 0, 24576, [], [] >,
< [ -6, 0, 1 ], [[24, -4]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, 1], [77, -51/2], [12/5, 3/5], [0, 1/10]], [[-17, -13/2], [-67, -211/4], [-129/5, -107/10], [-17/10, -13/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -16], [4, -1], [0, 0]], [[-24, -1], [-5983, 4883/2], [-12799/25, 4489/25], [-12/25, -1/50]], [[-158, -129/2], [-11/2, -9/4], [-10728/25, -8759/50], [-79/25, -129/100]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[24, -4]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[0, -1], [35, -21/2], [-12/5, -3/5], [0, -1/10]], [[-8, -5/2], [7/2, 83/4], [-54/5, -47/10], [-4/5, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [142, -58], [97, -38], [0, 0]], [[16, 3/2], [224567/2, -183281/4], [1855401/25, -1552247/50], [8/25, 3/100]], [[1705, 1395/2], [-27988, 59109/4], [-901443/5, -560659/10], [341/10, 279/20]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[144, -64]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -6], [110, -46], [0, 0]], [[0, 0], [-701, 821/2], [-28048/5, 11028/5], [2/5, 1/2]], [[0, 0], [-40481/2, 8917], [-681624/5, 276049/5], [-59/10, 59/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, -22], [1818, -742], [0, 0]], [[0, 0], [-7159/2, 2165], [-3424782/25, 1397977/25], [-17/50, -3/50]], [[0, 0], [-134622, -110629/2], [371504/25, -122294/25], [957/25, 781/50]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[144, -64]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, 22], [-74, 30], [0, 0]], [[0, 0], [-7135/2, 3], [-11682/5, 4392/5], [3/10, -3/10]], [[0, 0], [-6574, 475], [-24988/5, 9628/5], [4/5, -3/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 0], [1754, -716], [0, 0]], [[0, 0], [-107/2, -19/2], [-122878/25, 49858/25], [17/50, -1/25]], [[0, 0], [4397, 1797], [24668/25, 25552/25], [-351/25, -144/25]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[12512, -5108]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[96, -1], [-3163/43, 2479/43], [96, -1], [-115/43, -2/43]], [[27246, 23183/2], [1837927/86, 662455/86], [27246, 23183/2], [-70027/86, -14818/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[48, -1], [-91571/215, 39889/215], [-908/5, -13/5], [-287/215, -2/215]], [[-29565, -23725/2], [-1198403/86, -400223/43], [121837, 98039/2], [75701/86, 30441/86]]], 1, 32, [], [] >,
< [ -6, 0, 1 ], [[12512, -5108]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-147, 2], [15037/43, -113/86], [-147, 2], [176/43, 5/86]], [[-7272, -5151/2], [1520105/86, 542001/86], [-7272, -5151/2], [18483/86, 3333/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[6, -1/2], [53067/430, 2137/430], [-112/5, 11/10], [-71/430, 2/215]], [[-6, -5/2], [-73189/430, -30419/430], [124/5, 103/10], [77/430, 16/215]]], 1, 32, [], [] >,
< [ -6, 0, 1 ], [[112, -48]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, 58], [122, -50], [0, 0]], [[0, 0], [-7715/43, 515/86], [-56, -19], [-54/43, -3/86]], [[0, 0], [63092/43, 24318/43], [880, 358], [506/43, 198/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [118, -46], [-58, 24], [0, 0]], [[0, 0], [-289009/43, 188569/86], [2970, -1203], [-18/43, -1/86]], [[0, 0], [5435044/215, 2103054/215], [-3858/5, -258/5], [1768/215, 718/215]]], 0, 192, [], [] >,
< [ -6, 0, 1 ], [[112, -48]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, -48], [-130, 54], [0, 0]], [[0, 0], [896107/43, -729221/86], [-23392, 9520], [4/43, 5/86]], [[0, 0], [-42, -210], [136, 272], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [166, -66], [-136, 56], [0, 0]], [[0, 0], [2002461/215, -367163/430], [-12062/5, 3388/5], [-878/215, -1/430]], [[0, 0], [3444287477/215, 2818348579/430], [-8325204/5, -3424074/5], [-1951026/215, -1595187/430]]], 0, 192, [], [] >,
< [ -6, 0, 1 ], [[896, -384]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1668, -738], [-16, -10], [0, 0]], [[0, 0], [-6658686/43, -2713299/43], [-44856, -18312], [-236/43, 3/43]], [[0, 0], [8001724/43, 3150422/43], [53004, 21630], [2916/43, -1080/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29736, 12156], [-8, 8], [0, 0]], [[0, 0], [37361742/215, 15549287/215], [260076/5, 104826/5], [824/215, -1/215]], [[0, 0], [27445556/43, 30919901/43], [463352, 99400], [28046/43, -10991/43]]], 0, 12288, [], [] >,
< [ -6, 0, 1 ], [[384, -256]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1216, -510], [12, -16], [0, 0]], [[0, 0], [-2195266/47, 1079168/47], [14964/5, 9894/5], [86/47, -4/235]], [[0, 0], [-1829908850/47, -755284458/47], [-32184848, -13142562], [-345230/47, -140790/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-608, 246], [-4, 0], [0, 0]], [[0, 0], [-1696826/235, 123964/235], [-37228/25, -258/25], [-2786/1175, -6/1175]], [[0, 0], [1942775468/235, 792530188/235], [52788864/25, 21539904/25], [3905088/1175, 1593408/1175]]], 0, 24576, [], [] >,
< [ -6, 0, 1 ], [[48, -32]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 28], [62, -26], [0, 0]], [[0, 0], [110508/47, -46919/47], [-11822/5, 4648/5], [-138/235, 1/47]], [[0, 0], [-47495/47, -19390/47], [-4774/5, -1949/5], [-1357/235, -554/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-248, 98], [-18, 8], [0, 0]], [[0, 0], [-4643579/235, 2000261/235], [-31502/25, 16303/25], [621/1175, 1/1175]], [[0, 0], [-1923891/235, -785421/235], [-63278/25, -25833/25], [-4681/1175, -1911/1175]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[48, -32]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 4], [10, -4], [0, 0]], [[0, 0], [4971/47, -927/47], [404/5, -26/5], [91/235, -1/47]], [[0, 0], [275423/47, 112006/47], [6936, 2826], [1605/47, 654/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-330, 132], [-28, 12], [0, 0]], [[0, 0], [-276809/47, 171115/47], [-478, 312], [339/235, 1/235]], [[0, 0], [-1237137597/235, -504189847/235], [-12438376/25, -5070186/25], [-2964707/1175, -1210757/1175]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[72, -28]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 5/2], [1, 6], [-3, 5/2], [0, 0]], [[112, 57/2], [22972/47, 8191/47], [563/5, 291/10], [-3/235, -1/47]], [[-287, 95], [-24380/47, 4706/47], [-1411/5, 464/5], [-52/235, 23/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 2], [38, -4], [-4, 2], [0, 0]], [[21, -8], [-209129/235, -36484/235], [1193/25, -202/25], [151/1175, 1/1175]], [[811, -663/2], [-459912/47, 203607/47], [6707/5, -5551/10], [117/47, -247/235]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[72, -28]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [-49, 15], [-1, -3/2], [0, 0]], [[69, 19], [11212/47, 1422/47], [459/5, 104/5], [-198/235, -1/235]], [[-2026, 2981/2], [-873552/47, 441000/47], [-4159, 5035/2], [4661/47, -2133/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -5/2], [39, 24], [-4, -5/2], [0, 0]], [[-713, 246], [1527181/235, -533449/235], [-17377/25, 6128/25], [101/1175, -4/1175]], [[207434, -169017/2], [-1901270, 774694], [204242, -166461/2], [-15, 6]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[179528, -73292]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, -26], [79, -31], [0, 0]], [[-15, 5/2], [-801537/86, 163091/43], [-11383, 9359/2], [35/86, -5/86]], [[-78, -32], [-4410/43, -9217/43], [1053, 218], [100/43, 41/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-714, 288], [-79, 31], [0, 0]], [[78, -5/2], [64706577/430, -27661483/430], [79258/5, -72549/10], [-931/430, 2/215]], [[3360, 1344], [-43839562/215, -39711712/215], [-376146/5, -208931/5], [-21504/215, -8624/215]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[179528, -73292]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, -58], [-17, 8], [0, 0]], [[27, 1/2], [-297897/86, 59189/43], [353, -359/2], [-65/86, -3/86]], [[432, 168], [-177430/43, 23922/43], [-972, -657], [-552/43, -216/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [552, -222], [65, -25], [0, 0]], [[-63, 2], [-5392777/215, 5016981/430], [-15551/5, 6664/5], [376/215, -3/430]], [[28941, 23679/2], [-759844733/430, -150960669/215], [-399237/5, -303089/10], [-370971/430, -151721/430]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[176, -64]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 10], [-568, 232], [0, 0]], [[0, 0], [-17409/43, 10263/86], [-6816, 2509], [-68/43, 1/86]], [[0, 0], [-20086/43, -16443/86], [-2728, -1123], [-273/43, -223/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3134, 1278], [-1534, 626], [0, 0]], [[0, 0], [4336931/43, -3523449/86], [48972, -20073], [68/43, -1/86]], [[0, 0], [513780219/215, 421308033/430], [-4698068/5, -1907723/5], [1591368/215, 1299361/430]]], 0, 1152, [], [] >,
< [ -6, 0, 1 ], [[176, -64]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 18], [1058, -432], [0, 0]], [[0, 0], [-7421/43, -1203/86], [-900, 360], [-118/43, 3/86]], [[0, 0], [-11606552/43, -4738896/43], [-23544, -9774], [-149186/43, -60916/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1908, -778], [1030, -420], [0, 0]], [[0, 0], [-4718243/215, 3069599/430], [-53204/5, 19406/5], [-806/215, 3/430]], [[0, 0], [-42087252323/215, -34365149061/430], [-248858524/5, -101602314/5], [-35220376/215, -28757417/430]]], 0, 1152, [], [] >,
< [ -6, 0, 1 ], [[1408, -512]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2044, 832], [-20, 0], [0, 0]], [[0, 0], [219460/43, 73759/43], [15004, 6124], [-466/43, -1/43]], [[0, 0], [18466928/43, 3061198/43], [974000, 397250], [-80740/43, 20552/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28132, 11442], [0, -10], [0, 0]], [[0, 0], [-28003394/43, -11551405/43], [-152728, -62658], [-308/43, 1/43]], [[0, 0], [9355258168/215, 2905775123/215], [47683444/5, 17110934/5], [-1146194/215, 504431/215]]], 0, 73728, [], [] >,
< [ -6, 0, 1 ], [[1152, -128]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3380, 1386], [12, 0], [0, 0]], [[0, 0], [-559362/47, 268674/47], [-432/5, 18/5], [2786/235, 6/235]], [[0, 0], [-306352652/47, -124985246/47], [1202924/5, 491124/5], [-8685312/235, -3545952/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4244, 1762], [20, 16], [0, 0]], [[0, 0], [-50266, 31342], [-4392, 214], [-10, 0]], [[0, 0], [6829868792/235, 2779676732/235], [-105816824/25, -43234964/25], [-12859628/1175, -5253308/1175]]], 0, 147456, [], [] >,
< [ -6, 0, 1 ], [[96, -44]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -3/2], [-41, 4], [-3, -3/2], [0, 0]], [[-127, -105/2], [9839/47, -10235/47], [-2951/5, -537/10], [1158/235, 3/235]], [[-143, -416], [9531971/47, -3919683/47], [-127333, 50644], [63595/47, -25530/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1/2], [25, -6], [1, -1/2], [0, 0]], [[0, 0], [1211853/235, 11868/235], [10744/25, -16/25], [1343/1175, -2/1175]], [[0, 0], [-141416303/235, 61528882/235], [-1291544/25, 560016/25], [-161443/1175, 70002/1175]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[96, -44]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 3/2], [-41, 23], [3, 3/2], [0, 0]], [[-25, -21/2], [46050/47, -2163/47], [-2743/5, -121/10], [1309/235, 4/235]], [[352, 244], [-194599, 72817], [469974/5, -169766/5], [-4981/5, 1819/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1], [-92, 0], [2, -1], [0, 0]], [[129, -43/2], [2495914/235, 924784/235], [13297/25, -1091/50], [1259/1175, -1/1175]], [[46970, -39865/2], [2978607/235, -48435598/235], [3712826/25, -3268753/50], [317322/1175, -142008/1175]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[144, -16]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98, 40], [-170, 70], [0, 0]], [[0, 0], [22330/47, -70/47], [-106/5, -26/5], [638/235, -2/235]], [[0, 0], [46380915/47, 18940215/47], [-355208/5, -145023/5], [1325169/235, 541149/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-554, 226], [160, -66], [0, 0]], [[0, 0], [-39416336/235, 16226809/235], [1194572/25, -496008/25], [-4616/1175, -1/1175]], [[0, 0], [503804219/47, 227214270/47], [-31857816/5, -13661431/5], [-7397697/235, -3018842/235]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[144, -16]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -4], [120, -50], [0, 0]], [[0, 0], [45815/47, 140/47], [-3128/5, 202/5], [1309/235, 4/235]], [[0, 0], [-27743310/47, -11328660/47], [1582622/5, 646302/5], [-792666/235, -323676/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [288, -118], [-86, 36], [0, 0]], [[0, 0], [-9963379/235, 380936/235], [-51312/25, -12432/25], [-10239/1175, -4/1175]], [[0, 0], [206557844183/235, 84292836198/235], [1869966164/25, 763345304/25], [234421933/1175, 95670388/1175]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[896, -256]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6388, 2626], [40, 10], [0, 0]], [[0, 0], [-2763070/43, -1153361/43], [-94728, -38672], [336/43, 5/43]], [[0, 0], [-76836302/43, -47321953/43], [-3267792, -1333728], [107912/43, -39151/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5920, -2414], [-40, 30], [0, 0]], [[0, 0], [13744318/43, 5560209/43], [7678528/5, 3133592/5], [824/215, 1/215]], [[0, 0], [228301112/43, 128795530/43], [151573096/5, 62686594/5], [-279112/215, 120652/215]]], 0, 73728, [], [] >,
< [ -6, 0, 1 ], [[10376, -4236]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, 32], [15, -5], [0, 0]], [[-6, 3/2], [-8469/86, 2783/86], [29, -33/2], [-15/86, 2/43]], [[-30, -25/2], [-24653/86, -10537/86], [-202, -161/2], [-67/86, -14/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-150, 62], [-20, 15], [0, 0]], [[-15, -1/2], [743457/86, -143108/43], [21046/5, 4213/10], [-179/430, -1/430]], [[-465, -186], [848671/43, 290189/86], [749892/5, 301713/5], [-2604/215, -2077/430]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[10376, -4236]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-146, 60], [-22, 2], [0, 0]], [[54, 3/2], [21397/2, -8701/2], [-259, -1647/2], [3/2, 0]], [[4275, 3515/2], [-278243/86, 166638/43], [-169917, -137881/2], [9557/86, 3933/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [150, -62], [25, -25], [0, 0]], [[-111, -7/2], [-994225/86, 181010/43], [-6202, -201/2], [-265/86, -1/86]], [[-3327, -2681/2], [-3369219/86, -524867/43], [-897313/5, -722339/10], [-37243/430, -14977/430]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[112, -32]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82, -34], [420, -170], [0, 0]], [[0, 0], [-153919/43, 61364/43], [-17828, 7348], [-7/43, -1/43]], [[0, 0], [275152/43, 178467/86], [-8262, -6093], [661/43, 539/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98, 40], [340, -140], [0, 0]], [[0, 0], [60471/43, 266/43], [3768/5, 52/5], [1039/215, 1/215]], [[0, 0], [8862/43, 7219/86], [572/5, 233/5], [151/215, 123/430]]], 0, 1152, [], [] >,
< [ -6, 0, 1 ], [[112, -32]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 28], [304, -124], [0, 0]], [[0, 0], [36474/43, -22351/86], [-3588, 1478], [97/43, -3/86]], [[0, 0], [6316495/43, 2546099/43], [17802, 10948], [64425/43, 26250/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 10], [230, -100], [0, 0]], [[0, 0], [139522/43, -76935/43], [-168078/5, 84008/5], [-824/215, -1/215]], [[0, 0], [-55126457/43, -45256789/86], [42417552/5, 17457228/5], [-934044/215, -762027/430]]], 0, 1152, [], [] >,
< [ -6, 0, 1 ], [[528, -208]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 18], [66, -28], [0, 0]], [[0, 0], [-18, -1/2], [-72/5, -18/5], [-11/5, -3/10]], [[0, 0], [-561/2, -221/2], [-334, -135], [-85/2, -17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 0], [426, -174], [0, 0]], [[0, 0], [-105/2, 17], [-152988/25, 62943/25], [-23/50, 3/50]], [[0, 0], [-692, -284], [82652/25, 28878/25], [-504/25, -206/25]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[528, -208]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 10], [-40, 16], [0, 0]], [[0, 0], [-1611/2, 307], [-4942/5, 2052/5], [-17/10, -3/10]], [[0, 0], [-3905, -638], [-3174/5, 4824/5], [-627/5, -253/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -8], [-1250, 510], [0, 0]], [[0, 0], [176, -173/2], [-67796/5, 27026/5], [7/5, 1/10]], [[0, 0], [11735/2, 4661/2], [1147902/25, 580728/25], [-13233/50, -2706/25]]], 0, 2304, [], [] >,
< [ -6, 0, 1 ], [[48, -28]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[29, 1], [191/2, -8], [29/5, 1/5], [29/10, 1/10]], [[845, 1235/2], [1398, 7009/4], [169, 247/2], [169/2, 247/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [248, -96], [104, -41], [0, 0]], [[-25, 0], [-35025/2, 15177/2], [-7522, 3179], [-1/2, 0]], [[3894, 3157/2], [-293973/2, -304787/4], [-817036/25, -1010383/50], [1947/25, 3157/100]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[48, -28]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [1, 0], [0, 0]], [[35, 5/2], [-28, -41/4], [7, 1/2], [7/2, 1/4]], [[-48, -32], [80, 34], [-48/5, -32/5], [-24/5, -16/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, -28], [39, -16], [0, 0]], [[-193, -2], [1203/2, -125/2], [-2858/25, -1312/25], [-193/50, -1/25]], [[-27393, -22629/2], [61789, 103009/4], [-845683/25, -689999/50], [-27393/50, -22629/100]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[4224, -1664]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9952, -4016], [16, 4], [0, 0]], [[0, 0], [191200, 77992], [42888, 17522], [4, 0]], [[0, 0], [-61115, -21934], [-60728/5, -27832/5], [-469/5, 189/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43616, 17824], [24, 4], [0, 0]], [[0, 0], [216479, 88395], [4166184/25, 1709426/25], [107/25, -2/25]], [[0, 0], [81, -33], [11092/25, -4512/25], [-59/25, 24/25]]], 0, 147456, [], [] >,
< [ -6, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-318, 130], [-156, 64], [0, 0]], [[0, 0], [1, 1], [2, 1], [1, 0]], [[0, 0], [1302, -532], [630, -258], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-174/5, -6/5], [-132/5, -8/5], [0, 0]], [[0, 0], [-7/5, -3/5], [4/5, 1/5], [1, 0]], [[0, 0], [-282, 26], [-210, 14], [0, 0]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[48, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-138, 56], [54, -22], [0, 0]], [[0, 0], [1, 1], [2, 0], [1, 0]], [[0, 0], [-54, 22], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102/5, 22/5], [24/5, 6/5], [0, 0]], [[0, 0], [-5, 1], [2, 0], [1, 0]], [[0, 0], [-582/5, 212/5], [54/5, -4/5], [0, 0]]], 0, 384, [], [] >,
< [ -6, 0, 1 ], [[24, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1/2], [882, -357], [3, 1/2], [0, 0]], [[0, 0], [1, 1], [-1, 0], [1, 0]], [[-99, -40], [-684, 136], [-99, -40], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, -5/2], [864, -321], [-3, -1/2], [0, 0]], [[0, 0], [-11, 1], [-1, 0], [1, 0]], [[9, 7/2], [-342/5, 7/5], [9/5, 7/10], [0, 0]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[24, -12]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -3/2], [612, -250], [-3, -3/2], [0, 0]], [[0, 0], [1, 1], [-1, 0], [1, 0]], [[-9, -2], [-3822, 1560], [-9, -2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[90, 5/2], [612, 2], [18, 1/2], [0, 0]], [[0, 0], [-11, 1], [-1, 0], [1, 0]], [[1611, 1074], [49602/5, 35318/5], [1611/5, 1074/5], [0, 0]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[48, -48]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -14], [234, -96], [0, 0]], [[0, 0], [-1639/2, 777/2], [-28368/5, 11473/5], [1/10, 1/5]], [[0, 0], [21614, -9277], [707952/5, -288112/5], [12/5, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, 30], [1272, -518], [0, 0]], [[0, 0], [-1878, 2653/2], [210432/5, -87422/5], [-1/5, -1/10]], [[0, 0], [-169783/2, -67661/2], [1552188/25, 291557/25], [1353/50, 276/25]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[48, -48]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 14], [660, -270], [0, 0]], [[0, 0], [-189/2, -4], [4242/5, -1652/5], [1/2, 1/10]], [[0, 0], [597, -224], [-56142/5, 22882/5], [-9/5, 3/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -4], [186, -74], [0, 0]], [[0, 0], [16623/2, -6793/2], [2570232/25, -1047202/25], [-13/50, -1/25]], [[0, 0], [-1037, -1039/2], [667608/25, 242862/25], [-1106/25, -903/50]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[96, -36]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -14], [12, -4], [0, 0]], [[2, -3/2], [-3445/2, 2649/4], [-2127/5, 1679/10], [1/5, -3/20]], [[-20, -15/2], [-1355/2, -2695/4], [-42, -233/2], [-2, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-158, 0], [-69, -4], [0, 0]], [[18, -1/2], [306773/2, 244135/4], [1907628/25, 1526759/50], [9/25, -1/100]], [[-2450, 825], [-4326496, -2794841/2], [-2108508, -717472], [-49, 33/2]]], 1, 192, [], [] >,
< [ -6, 0, 1 ], [[96, -36]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-134, 52], [-27, 11], [0, 0]], [[-4, 5/2], [45/2, 53/4], [18/5, -1/10], [-2/5, 1/4]], [[130, 91/2], [6257/2, 5079/4], [936/5, 793/10], [13, 91/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 36], [60, 5], [0, 0]], [[-17, -1/2], [70189, 121981/4], [1026573/25, 729919/50], [-17/50, -1/100]], [[1369, -444], [-1535423/2, -1200193/2], [-25156956/25, -1838734/25], [1369/50, -222/25]]], 1, 192, [], [] >,
< [ -6, 0, 1 ], [[384, -384]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26384, 10768], [0, -4], [0, 0]], [[0, 0], [1301345, -531168], [-144/5, 904/5], [-1, -1/5]], [[0, 0], [-21131721, 8627371], [22956/5, -6266/5], [7/5, -14/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7972, 3156], [-132, -2], [0, 0]], [[0, 0], [-12698665, -5183363], [-36002256/5, -14698084/5], [-1/5, 0]], [[0, 0], [-5899283, -2443774], [-84305304/25, -34370756/25], [103/25, -43/25]]], 0, 98304, [], [] >,
< [ -6, 0, 1 ], [[2688, -1152]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [792, -318], [12, 8], [0, 0]], [[0, 0], [59158/47, 19762/47], [10272/5, 5102/5], [342/235, 6/235]], [[0, 0], [693824/47, -240310/47], [-24324, 11748], [3940/47, -1580/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8224, 3426], [60, 4], [0, 0]], [[0, 0], [269139306/235, 108903936/235], [11889228/25, 4809458/25], [-2954/1175, -4/1175]], [[0, 0], [14126078628/235, 10500243588/235], [615703344/25, 467141184/25], [7060448/1175, -2972382/1175]]], 0, 98304, [], [] >,
< [ -6, 0, 1 ], [[336, -144]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 20], [-498, 204], [0, 0]], [[0, 0], [-89592/47, 35860/47], [-19644, 8042], [-54/235, 4/235]], [[0, 0], [-67997/47, -27287/47], [9834/5, 4539/5], [-1693/235, -691/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [764, -314], [-558, 228], [0, 0]], [[0, 0], [-5296581/235, 2031104/235], [370482/25, -157123/25], [369/1175, 4/1175]], [[0, 0], [-46969302/235, -18839202/235], [-2053296/25, -862956/25], [54868/1175, 22388/1175]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[336, -144]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, -20], [-84, 34], [0, 0]], [[0, 0], [-137585/47, 59115/47], [30498/5, -11292/5], [41/47, -3/235]], [[0, 0], [4582816/47, 1907066/47], [1829022/5, 739252/5], [126764/235, 51724/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-190, 76], [54, -22], [0, 0]], [[0, 0], [-509287/235, 45238/235], [-18366/25, 74/25], [403/1175, -2/1175]], [[0, 0], [401164086/47, 163885560/47], [18309504/5, 7478144/5], [-400832/235, -163712/235]]], 0, 1536, [], [] >,
< [ -6, 0, 1 ], [[48, -12]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, -2], [-86, 29], [-15, -2], [0, 0]], [[16235, 6602], [600509/47, 221181/47], [16395, 6604], [181/235, 4/235]], [[-149237, -131551/2], [25975/47, -4476667/47], [-677577/5, -720219/10], [15104/235, -6912/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 2], [38, -20], [-6, 2], [0, 0]], [[-123, -47/2], [541931/235, -18624/235], [-19377/25, -1069/50], [-554/1175, 1/1175]], [[35673, -11497/2], [-253041744/235, 79074281/235], [8105598/25, -4598419/50], [244521/1175, -72899/1175]]], 1, 192, [], [] >,
< [ -6, 0, 1 ], [[48, -12]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 3/2], [41, -5], [6, 3/2], [0, 0]], [[229, 85], [34106/47, 11034/47], [597/5, 417/5], [-124/235, -3/235]], [[776, 85/2], [176084/47, -21646/47], [-1044, 1385/2], [-403/47, 143/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 2], [-54, 2], [-6, 2], [0, 0]], [[171, -165/2], [32216/235, -60924/235], [-5112/25, -4039/50], [-319/1175, 1/1175]], [[-17076, 7153], [-7575699/235, 3776976/235], [79683/25, 26288/25], [17171/1175, -5159/1175]]], 1, 192, [], [] >,
< [ -6, 0, 1 ], [[4224, -1536]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [680, -278], [-12, 4], [0, 0]], [[0, 0], [-51032/47, 1552/47], [-13032/5, 68/5], [1276/235, -4/235]], [[0, 0], [-2981046/47, 1208424/47], [-717876/5, 290734/5], [69938/235, -28322/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5924, 2502], [36, 20], [0, 0]], [[0, 0], [-74415226/235, -27926106/235], [-2764368/25, -1235898/25], [-6546/1175, -6/1175]], [[0, 0], [-301904732/235, -5062412/235], [-40296/25, -5187056/25], [-164512/1175, 61268/1175]]], 0, 589824, [], [] >,
< [ -6, 0, 1 ], [[528, -192]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, 38], [312, -128], [0, 0]], [[0, 0], [37611/47, 2149/47], [-2130, -155], [245/47, 1/47]], [[0, 0], [-23464210/47, -9617650/47], [6868398/5, 2814408/5], [-676704/235, -277704/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1330, 544], [876, -358], [0, 0]], [[0, 0], [7848593/235, -1931877/235], [-475716/25, 136849/25], [3273/1175, 3/1175]], [[0, 0], [-136715252/47, -55694996/47], [6166614/5, 2509854/5], [-143792/235, -58672/235]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[528, -192]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -20], [-606, 248], [0, 0]], [[0, 0], [209850/47, -73720/47], [-251064/5, 98556/5], [772/235, 2/235]], [[0, 0], [46244215/47, 18967905/47], [-15146268/5, -6295428/5], [1229949/235, 502299/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, 24], [288, -118], [0, 0]], [[0, 0], [1822618/235, -1267472/235], [-1800306/25, 691434/25], [2518/1175, -2/1175]], [[0, 0], [-955540931/235, -390160701/235], [-79548108/25, -32430888/25], [1873299/1175, 764739/1175]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[24, -36]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, 5/2], [97, -16], [15, 5/2], [0, 0]], [[1920, 812], [202345/47, 113083/47], [11313/5, 4048/5], [571/235, -4/235]], [[45504, 17400], [6962963/47, 1569091/47], [210093/5, 109608/5], [-5809/235, 7536/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 1/2], [93, 7], [12, 1/2], [0, 0]], [[-189, 15], [-567911/235, 16214/235], [178062/25, 507/25], [5539/1175, 4/1175]], [[-93462, 74370], [-217089761/235, 214257029/235], [55716357/25, -65393298/25], [1759179/1175, -2037956/1175]]], 1, 1152, [], [] >,
< [ -6, 0, 1 ], [[24, -36]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, -1], [-152, 66], [12, -1], [0, 0]], [[-4770, -3915/2], [-262876/47, -87679/47], [-22239/5, -19563/10], [537/235, 2/235]], [[61560, 24345], [1162279/47, 1996289/47], [71871, 18453], [3437/47, -1964/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -3/2], [79, 6], [-6, -3/2], [0, 0]], [[2562, -217/2], [-2357969/47, 537057/47], [10038/5, -1019/10], [-84/235, 1/235]], [[-28518, 24444], [251484551/235, -131726749/235], [-581907/25, 482598/25], [3971/1175, -3894/1175]]], 1, 1152, [], [] >,
< [ -6, 0, 1 ], [[2688, -768]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63044, -25752], [-48, 2], [0, 0]], [[0, 0], [7940473, 3244148], [48549972/5, 19820568/5], [-29/5, -1/5]], [[0, 0], [-28566376, -11558758], [-34765644, -14191968], [-100, 50]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7708, 3156], [-120, 10], [0, 0]], [[0, 0], [-1518803, -620734], [160627476/25, 65571864/25], [23/25, -3/25]], [[0, 0], [-23378212, -9555193], [2472534792/25, 1009342938/25], [366/25, -51/25]]], 0, 589824, [], [] >,
< [ -6, 0, 1 ], [[312, -132]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 8], [6, -3], [0, 0]], [[-21, -3/2], [606, -1937/4], [-1101/5, 847/10], [-21/10, -3/20]], [[-104, -91], [-10001, 1885/2], [6921/5, -3171/5], [-52/5, -91/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, 8], [63, -2], [0, 0]], [[17, 1/2], [-2765, -4197/4], [-42723/25, -28219/50], [17/50, 1/100]], [[-13, 11/2], [9, -15/4], [2847/25, -2409/50], [-13/50, 11/100]]], 1, 1152, [], [] >,
< [ -6, 0, 1 ], [[312, -132]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 8], [3, -2], [0, 0]], [[-25, -5/2], [-187, 365/4], [75, -17/2], [-5/2, -1/4]], [[1156, 544], [-3380, 188], [-8589/5, -5336/5], [578/5, 272/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 20], [15, 5], [0, 0]], [[-26, -3/2], [1367/2, -723/4], [6294/25, 2357/50], [-13/25, -3/100]], [[-182, 52], [8173, -3153], [31908/25, -6088/25], [-91/25, 26/25]]], 1, 1152, [], [] >,
< [ -6, 0, 1 ], [[336, -96]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 22], [-156, 64], [0, 0]], [[0, 0], [-141/2, 55], [-1308/5, 643/5], [17/10, 3/10]], [[0, 0], [-11295/2, -4709/2], [-22956/5, -10059/5], [-2171/10, -442/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -10], [126, -4], [0, 0]], [[0, 0], [-3519/2, -57], [-841812/25, -299743/25], [23/50, -3/50]], [[0, 0], [-15358, 287/2], [-1349718/5, -465812/5], [21/5, -7/10]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[336, -96]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -18], [-348, 142], [0, 0]], [[0, 0], [39/2, 2], [24, 4], [5/2, 1/2]], [[0, 0], [9/2, 2], [42/5, 18/5], [7/10, 3/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, -28], [90, 0], [0, 0]], [[0, 0], [717/2, 1], [11244/5, 4356/5], [-1/10, 1/10]], [[0, 0], [-141/2, 155/2], [16992/25, 7838/25], [7/50, -1/25]]], 0, 9216, [], [] >,
< [ -6, 0, 1 ], [[1152, -384]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12612, 5138], [-12, -4], [0, 0]], [[0, 0], [474/5, -119/5], [168, -18], [28/5, -3/5]], [[0, 0], [-2424/5, 1024/5], [-648, 288], [-108/5, 48/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14136, 5758], [-36, 4], [0, 0]], [[0, 0], [165114/5, 65386/5], [27216, 10980], [58/5, 2/5]], [[0, 0], [1064166/5, 533289/5], [189336, 83690], [-1068/5, 623/5]]], 0, 73728, [], [] >,
< [ -6, 0, 1 ], [[1152, -384]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-696, 284], [-16392, 6692], [0, 0]], [[0, 0], [-88, 21], [-2640, 1054], [2, 1]], [[0, 0], [-282024/5, -115136/5], [-89256, -36440], [34092/5, 13918/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9528, 3874], [-12, -8], [0, 0]], [[0, 0], [-284864/5, -116621/5], [-46788, -18990], [-38/5, 3/5]], [[0, 0], [439674/5, 171686/5], [67068, 30052], [-522/5, 232/5]]], 0, 73728, [], [] >,
< [ -6, 0, 1 ], [[144, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1716, 700], [606, -248], [0, 0]], [[0, 0], [1, 3], [2, 1], [1, 0]], [[0, 0], [2874, -1170], [-1020, 420], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 4], [6, -2], [0, 0]], [[0, 0], [-67/5, -13/5], [4/5, 1/5], [1, 0]], [[0, 0], [2946/5, -616/5], [228/5, -88/5], [0, 0]]], 0, 1152, [], [] >,
< [ -6, 0, 1 ], [[144, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2328, -950], [-714, 292], [0, 0]], [[0, 0], [1, -1], [2, 0], [1, 0]], [[0, 0], [-2526, 1030], [780, -320], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [942/5, 178/5], [156/5, 4/5], [0, 0]], [[0, 0], [13, -1], [2, 0], [1, 0]], [[0, 0], [-1122, 1708], [-582, 388], [0, 0]]], 0, 1152, [], [] >,
< [ -6, 0, 1 ], [[144, -60]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 5/2], [-546, 238], [3, 5/2], [0, 0]], [[0, 0], [1, -1], [-1, 0], [1, 0]], [[60, 45/2], [1128, -270], [60, 45/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[96, 3/2], [-7278/5, -252/5], [96/5, 3/10], [0, 0]], [[0, 0], [7, -1], [-1, 0], [1, 0]], [[-34875, 28675/2], [503028, -206942], [-6975, 5735/2], [0, 0]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[144, -60]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, 1], [1716, -710], [9, 1], [0, 0]], [[0, 0], [1, -1], [-1, 0], [1, 0]], [[-468, -377/2], [-720, 1061], [-468, -377/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 5/2], [-324, 23], [-3, 1/2], [0, 0]], [[0, 0], [7, -1], [-1, 0], [1, 0]], [[-18, 13], [-1206/5, 1336/5], [-18/5, 13/5], [0, 0]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[144, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [744, -304], [-138, 56], [0, 0]], [[0, 0], [1, -1], [2, 1], [1, 0]], [[0, 0], [1866, -762], [-324, 132], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [246/5, 34/5], [-42/5, -8/5], [0, 0]], [[0, 0], [-7/5, -3/5], [4/5, 1/5], [1, 0]], [[0, 0], [-3066/5, 1176/5], [432/5, -162/5], [0, 0]]], 0, 1152, [], [] >,
< [ -6, 0, 1 ], [[144, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2196, 896], [258, -106], [0, 0]], [[0, 0], [1, 1], [2, 0], [1, 0]], [[0, 0], [-11682, 4768], [1368, -560], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [378/5, 122/5], [54/5, -4/5], [0, 0]], [[0, 0], [-5, 1], [2, 0], [1, 0]], [[0, 0], [42, 168], [-132, 66], [0, 0]]], 0, 1152, [], [] >,
< [ -6, 0, 1 ], [[144, -60]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 1/2], [4800, -1948], [6, 1/2], [0, 0]], [[0, 0], [1, 1], [-1, 0], [1, 0]], [[-594, -240], [-8466, 1560], [-594, -240], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 1], [1218/5, -8/5], [-6/5, 1/5], [0, 0]], [[0, 0], [-11, 1], [-1, 0], [1, 0]], [[192, -159/2], [-27756/5, 11706/5], [192/5, -159/10], [0, 0]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[144, -60]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, 5/2], [-3192, 1291], [9, 5/2], [0, 0]], [[0, 0], [1, 1], [-1, 0], [1, 0]], [[-726, -583/2], [14628, -4817], [-726, -583/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[36, -1], [3642/5, 8/5], [36/5, -1/5], [0, 0]], [[0, 0], [-11, 1], [-1, 0], [1, 0]], [[-3477, 2869/2], [-327324/5, 135269/5], [-3477/5, 2869/10], [0, 0]]], 1, 144, [], [] >,
< [ -6, 0, 1 ], [[32, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 2], [1, 0], [0, 0]], [[0, 0], [-698, 281], [0, 0], [-24, 7]], [[0, 0], [21748, -8829], [0, 0], [686, -245]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21738/5, -8958/5], [-1/5, -4/5], [0, 0]], [[0, 0], [72872, 29557], [3836, 1566], [2, 1]], [[0, 0], [-620, -428], [-44, -18], [0, 0]]], 0, 96, [], [] >,
< [ -6, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-220, 90], [88, -36], [0, 0]], [[0, 0], [1914, -776], [-904, 372], [38, -14]], [[0, 0], [3124, -1293], [-1508, 606], [54, -27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30032/5, -12262/5], [-1284/5, 524/5], [0, 0]], [[0, 0], [61276, -25023], [-2528, 1030], [-10, 3]], [[0, 0], [457504/5, -186919/5], [-18908/5, 7678/5], [-18, 3]]], 0, 768, [], [] >,
< [ -6, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [496, -202], [-2008, 820], [0, 0]], [[0, 0], [247804, -101201], [-1004892, 410228], [-2, 1]], [[0, 0], [-31400, 12800], [127204, -51940], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57016/5, -23276/5], [8348/5, -3408/5], [0, 0]], [[0, 0], [3548432/5, -1448602/5], [520016/5, -212296/5], [16, -4]], [[0, 0], [12886314/5, -5260499/5], [1888432/5, -770952/5], [72, -9]]], 0, 768, [], [] >,
< [ -6, 0, 1 ], [[64, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-300, 126], [-16, 10], [0, 0]], [[0, 0], [-24098, -9805], [-23664, -9656], [-16, 5]], [[0, 0], [-346712, -141608], [-341020, -139230], [0, -22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15296, -6242], [-4, 2], [0, 0]], [[0, 0], [546716/5, 223049/5], [78168/5, 31912/5], [2, 1]], [[0, 0], [48116/5, 19684/5], [6888/5, 2812/5], [0, 0]]], 0, 768, [], [] >,
< [ -6, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -10], [28, -11], [0, 0]], [[0, 0], [-213, 75], [-216, 80], [5, -2]], [[0, 0], [-11906, -9717/2], [-8145, -3323], [43, 35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74/5, 44/5], [-2/5, -3/5], [0, 0]], [[0, 0], [2998/5, -808/5], [-136/5, 6/5], [4, 2]], [[0, 0], [-2761, 2305/2], [81, -36], [4, -1/2]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[8, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 36], [-24, 7], [0, 0]], [[0, 0], [-1711, 1391/2], [-280, 210], [-2, 1/2]], [[0, 0], [-2432, -928], [74550, 30450], [-250, -102]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [232/5, 68/5], [-24/5, -1/5], [0, 0]], [[0, 0], [14826/5, 11793/10], [-952/5, -408/5], [-3, 5/2]], [[0, 0], [15654/5, 5861/5], [-918/5, -442/5], [-14, 7]]], 1, 12, [], [] >,
< [ -6, 0, 1 ], [[1536, -512]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20740, -8488], [-32, -4], [0, 0]], [[0, 0], [-6227626/5, -2543864/5], [-1015580, -414652], [58/5, 2/5]], [[0, 0], [-2612066/5, -911044/5], [-400500, -158892], [-2822/5, 1162/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35948, -14624], [8, 20], [0, 0]], [[0, 0], [-68147662/5, -27871978/5], [-6138052, -2505824], [-14/5, 4/5]], [[0, 0], [81141696/5, 32747734/5], [7259800, 2963992], [-88/5, 38/5]]], 0, 98304, [], [] >,
< [ -6, 0, 1 ], [[192, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5144, 2100], [-3380, 1380], [0, 0]], [[0, 0], [32930, -13445], [21616, -8826], [-28, 11]], [[0, 0], [12006, -4890], [7884, -3208], [-6, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-664/5, -46/5], [68/5, -8/5], [0, 0]], [[0, 0], [-139448/5, -38652/5], [10736/5, 1564/5], [-28, 10]], [[0, 0], [-1135536/5, -285379/5], [90732/5, 9558/5], [-270, 99]]], 0, 3072, [], [] >,
< [ -6, 0, 1 ], [[192, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1456, -594], [-2204, 900], [0, 0]], [[0, 0], [-820612, 335337], [1243200, -507360], [-2, 1]], [[0, 0], [67068, -27354], [-101472, 41440], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-536/5, 86/5], [112/5, 8/5], [0, 0]], [[0, 0], [170578/5, -70083/5], [-20916/5, 8736/5], [4, -1]], [[0, 0], [28, 13], [0, 0], [2, 1]]], 0, 3072, [], [] >,
< [ -6, 0, 1 ], [[13384, -5464]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [126, -52], [-4, 2], [0, 0]], [[12, 2], [137472/43, -55390/43], [-136, 41], [14/43, 2/43]], [[156, 127/2], [52531/86, 6325/86], [-343, -267/2], [349/86, 71/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-110, 46], [-280, 115], [0, 0]], [[-6, -1/2], [-3753393/86, 1471471/86], [-543601/5, 438067/10], [-71/430, -2/215]], [[-696, -284], [-7354638/43, -2893360/43], [-724424/5, -263696/5], [-3892/215, -1588/215]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[64, -64]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [688, -274], [12, 2], [0, 0]], [[0, 0], [-19068/43, -9131/43], [-440, -180], [-94/43, 5/43]], [[0, 0], [-187843/43, -81328/43], [-4112, -1680], [-567/43, -81/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [728, -266], [72, 2], [0, 0]], [[0, 0], [9841006/43, 4077104/43], [1169836/5, 473344/5], [358/215, 2/215]], [[0, 0], [292067261/43, 111790011/43], [6518000, 2767024], [-3381/43, 2226/43]]], 0, 3072, [], [] >,
< [ -6, 0, 1 ], [[64, -64]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [460, -196], [0, -8], [0, 0]], [[0, 0], [238842/43, 91857/43], [5120, 2090], [-236/43, -3/43]], [[0, 0], [-1273/43, 500/43], [0, 0], [23/43, -9/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1376, -600], [-84, -4], [0, 0]], [[0, 0], [-54311653/43, -22246988/43], [-6328072/5, -2585518/5], [179/215, 1/215]], [[0, 0], [1332500089/43, 536322790/43], [154229504/5, 62748056/5], [6897/215, -4617/215]]], 0, 3072, [], [] >,
< [ -6, 0, 1 ], [[72, -32]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 4], [8, -1], [0, 0]], [[-4, 3/2], [623/2, -509/4], [-879/5, 733/10], [-2/5, 3/20]], [[12, 5], [23, 5/2], [-614/5, -231/5], [6/5, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -2], [28, -12], [0, 0]], [[16, 3/2], [-265/2, 223/4], [-27899/25, 22403/50], [8/25, 3/100]], [[-1111, -913/2], [-308, -247/4], [10004/25, 34487/50], [-1111/50, -913/100]]], 1, 96, [], [] >,
< [ -6, 0, 1 ], [[576, -256]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-952, 404], [16, 0], [0, 0]], [[0, 0], [384, -241], [-304/5, -106/5], [2/5, 1/5]], [[0, 0], [6, 3/2], [-22/5, -8/5], [1/5, 1/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-676, 320], [60, 10], [0, 0]], [[0, 0], [-18351, -15731/2], [-72754/5, -29916/5], [4/5, 1/10]], [[0, 0], [-5902, -2619/2], [-92214/25, -34546/25], [-17/25, 19/50]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[576, -256]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [564, -240], [4, -6], [0, 0]], [[0, 0], [-22517, -19237/2], [-51582/5, -21098/5], [0, -1/10]], [[0, 0], [-9021, -2241/2], [-13478/5, -5262/5], [-4/5, 3/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1196, 500], [28, -2], [0, 0]], [[0, 0], [-2038, -1805/2], [-7718/5, -3502/5], [1, 1/10]], [[0, 0], [-25160, -3744], [-528256/25, -53134/25], [-748/25, 408/25]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[55672, -22728]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -28], [-8, 3], [0, 0]], [[99, -3/2], [588935/86, -114230/43], [-858, 635/2], [-237/86, -3/86]], [[-20634, -17557/2], [-1621597/86, -4629997/86], [10823, 20139/2], [53033/86, 11222/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-394, 156], [-4, 0], [0, 0]], [[81, -5/2], [19056389/430, -3713458/215], [4436/5, -913/10], [-967/430, 3/430]], [[92700, 38110], [93474658/43, 49507256/43], [820254, 338251], [-118862/43, -48822/43]]], 1, 48, [], [] >,
< [ -6, 0, 1 ], [[448, -192]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1568, -634], [20, -2], [0, 0]], [[0, 0], [12634420/43, 5162035/43], [295416, 120604], [-122/43, -1/43]], [[0, 0], [4371167/43, 1598322/43], [96888, 39512], [2715/43, -1125/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, 22], [20, 2], [0, 0]], [[0, 0], [-204133/215, -18648/215], [1076/5, 146/5], [179/215, -1/215]], [[0, 0], [873483/215, -521532/215], [-3716/5, 2464/5], [-1089/215, 561/215]]], 0, 3072, [], [] >,
< [ -6, 0, 1 ], [[448, -192]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [608, -234], [20, 6], [0, 0]], [[0, 0], [-403966/43, -173004/43], [-9600, -3920], [14/43, -2/43]], [[0, 0], [-81003/43, -53739/43], [-2464, -1008], [27/43, -10/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2380, -946], [-16, -2], [0, 0]], [[0, 0], [16921752/215, 7579812/215], [-140464/5, -58964/5], [1004/215, 4/215]], [[0, 0], [286648987/215, 32274857/215], [-1718284/5, -497064/5], [-57511/215, 27744/215]]], 0, 3072, [], [] >,
< [ -6, 0, 1 ], [[192, -128]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-256, 104], [-108, 44], [0, 0]], [[0, 0], [-105322/47, 46648/47], [-1328, 406], [262/235, -2/235]], [[0, 0], [15713600/47, 6414569/47], [-2930174/5, -1196264/5], [90356/47, 184439/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6084, -2484], [-3380, 1380], [0, 0]], [[0, 0], [-1200636/235, 343159/235], [38962/25, -20468/25], [-856/1175, -1/1175]], [[0, 0], [1725331468/235, 704354578/235], [53543664/25, 21859504/25], [4113408/1175, 1679288/1175]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[192, -128]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, 36], [-2596, 1060], [0, 0]], [[0, 0], [219594/47, -83894/47], [639324/5, -260466/5], [86/47, -4/235]], [[0, 0], [1327621382/47, 542023869/47], [24755774, 10121352], [7915178/47, 3231363/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1308, -534], [-1136, 464], [0, 0]], [[0, 0], [-8813654/235, 4206441/235], [1011738/25, -390732/25], [-1494/1175, 1/1175]], [[0, 0], [175872580776/235, 71800433016/235], [6450132468/25, 2633178048/25], [-176058944/1175, -71875704/1175]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[24, -16]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 5/2], [21, 4], [1, 5/2], [0, 0]], [[252, 108], [54766/47, 21090/47], [1413/5, 533/5], [-138/235, 1/47]], [[-540, -72], [-28902/47, -48452/47], [-68, -280], [-416/47, 184/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 2], [-50, -6], [-4, 2], [0, 0]], [[67, -1/2], [-57601/47, -25674/47], [174/5, -37/10], [2/47, 1/235]], [[372, -178], [452092/235, 55662/235], [6201/25, -2789/25], [192/1175, -103/1175]]], 1, 96, [], [] >,
< [ -6, 0, 1 ], [[798808, -326112]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126, 52], [188, -77], [0, 0]], [[-6, 1], [-254529/43, 96506/43], [8538, -3422], [7/43, -1/43]], [[-126, -103/2], [-1194719/86, -494327/86], [4953, 4271/2], [323/86, 66/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [372, -154], [152, -63], [0, 0]], [[63, -3/2], [6540221/430, -1402682/215], [34774/5, -26597/10], [-753/430, -3/430]], [[3828, 1562], [-2118812/43, -880562/43], [28574, 11509], [-4906/43, -2002/43]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[704, -256]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [196, -114], [-88, 2], [0, 0]], [[0, 0], [11640549/43, 4731533/43], [269500, 110110], [-201/43, -2/43]], [[0, 0], [383726598/43, 152817538/43], [8778000, 3599750], [-21538/43, 6050/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1368, 500], [28, 8], [0, 0]], [[0, 0], [3679687/215, 1338147/215], [-22544/5, -10284/5], [359/215, 4/215]], [[0, 0], [115506584/215, -10015226/215], [148992/5, -315638/5], [63248/215, -23852/215]]], 0, 18432, [], [] >,
< [ -6, 0, 1 ], [[704, -256]], [ -22, 3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1384, -550], [32, 2], [0, 0]], [[0, 0], [929901/43, 381394/43], [21800, 8900], [-51/43, -5/43]], [[0, 0], [802576/43, 349820/43], [19404, 7924], [-272/43, 88/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7796, -3122], [-64, 6], [0, 0]], [[0, 0], [-338997203/215, -138502153/215], [2600516/5, 1064676/5], [-931/215, 4/215]], [[0, 0], [2144211172/215, 869671412/215], [-16609264/5, -6619704/5], [-22176/215, 11424/215]]], 0, 18432, [], [] >,
< [ -6, 0, 1 ], [[72, -8]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[-12, -1/2], [52/47, 71/47], [74/5, 3/10], [-67/235, -2/235]], [[30, -10], [286/47, -150/47], [-194/5, 66/5], [172/235, -58/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[-282, -7/2], [-8939484/235, -5639/235], [-70162/25, -239/50], [-7889/1175, -4/1175]], [[-26484, 0], [-840287882/235, 9899518/235], [-6594516/25, 70624/25], [-741552/1175, 8828/1175]]], 1, 576, [], [] >,
< [ -6, 0, 1 ], [[576, -64]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [112, -46], [-460, 188], [0, 0]], [[0, 0], [-215704/47, 49033/47], [24642/5, -21068/5], [-2736/235, -1/235]], [[0, 0], [4688998540/47, 1914256450/47], [1322539072/5, 539928672/5], [134317844/235, 54834874/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [740, -302], [940, -384], [0, 0]], [[0, 0], [-1528372/47, 580673/47], [-173162/5, 77908/5], [1796/235, 1/235]], [[0, 0], [37900232296/235, 15472728686/235], [-6317764872/25, -2579213792/25], [-642916984/1175, -262469774/1175]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[576, -64]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [280, -114], [-2704, 1104], [0, 0]], [[0, 0], [330374/47, -81041/47], [-40650, 16540], [762/47, 1/47]], [[0, 0], [-45074921252/47, -18401680272/47], [231558356/5, 94472476/5], [-1306543468/235, -533393568/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2904, -1186], [-1460, 596], [0, 0]], [[0, 0], [125934/47, 1102561/47], [14618/5, -58572/5], [3206/235, 1/235]], [[0, 0], [20195261067814/235, 8244680251279/235], [-920607142838/25, -375836258168/25], [22923094614/1175, 9358314879/1175]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[46168, -18848]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 4], [-42, 17], [0, 0]], [[57, -1/2], [6469/86, -186/43], [486, -47/2], [137/86, -5/86]], [[-3672, -1512], [-182736/43, -75420/43], [-28180, -11625], [-4104/43, -1692/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, -28], [-90, 35], [0, 0]], [[54, 3/2], [485/2, 69/2], [3302, -79/2], [3/2, 0]], [[-1035, -412], [-250935/43, -202041/86], [-288371/5, -114169/5], [-5798/215, -4599/430]]], 1, 288, [], [] >,
< [ -6, 0, 1 ], [[448, -128]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1592, 636], [-44, 4], [0, 0]], [[0, 0], [-3051970/43, -1249396/43], [-71172, -29058], [-114/43, -4/43]], [[0, 0], [-27909403/43, -11683345/43], [-658008, -268812], [-4961/43, 1558/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, 82], [-20, 50], [0, 0]], [[0, 0], [-574003/43, -228784/43], [-317244/5, -131266/5], [-107/215, -3/215]], [[0, 0], [1655631/43, 1276228/43], [1578372/5, 454858/5], [-5149/215, 2299/215]]], 0, 18432, [], [] >,
< [ -6, 0, 1 ], [[448, -128]], [ -22, -3 ], [ -5, 2 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [632, -196], [132, 8], [0, 0]], [[0, 0], [1183508/43, 418061/43], [25748, 10362], [-78/43, -5/43]], [[0, 0], [-365/43, -46/43], [0, 0], [7/43, 1/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3372, -1376], [-40, 20], [0, 0]], [[0, 0], [238186/43, 76572/43], [76612/5, 52818/5], [1146/215, 4/215]], [[0, 0], [-7521363/43, 2886354/43], [7495212/5, -3149032/5], [-164359/215, 66599/215]]], 0, 18432, [], [] >,
< [ -6, 0, 1 ], [[2112, -832]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-924, 356], [-16, -2], [0, 0]], [[0, 0], [-7210, -6199/2], [-14818/5, -6052/5], [11/5, 3/10]], [[0, 0], [-7997, 321], [-7292/5, -2918/5], [-81/5, 36/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1032, -364], [88, 8], [0, 0]], [[0, 0], [97724, 38542], [1855084/25, 751926/25], [-68/25, -2/25]], [[0, 0], [-116079, -34211/2], [-333754/5, -111946/5], [148/5, -111/10]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[2112, -832]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1304, 548], [16, 0], [0, 0]], [[0, 0], [27159, 10879], [56124/5, 22916/5], [-13/5, -2/5]], [[0, 0], [870, -8777/2], [-10402/5, -4168/5], [-91/5, 77/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, 16], [92, 2], [0, 0]], [[0, 0], [-139, -81/2], [3086/5, -156/5], [-22/5, -1/10]], [[0, 0], [3090, -607], [-1042632/25, 388502/25], [6364/25, -2279/25]]], 0, 36864, [], [] >,
< [ -6, 0, 1 ], [[264, -104]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 6], [-22, 6], [0, 0]], [[11, -1], [-1679/2, 432], [-3779/5, 1799/5], [11/10, -1/10]], [[9, 27/2], [2286, -1935/4], [9064/5, -4823/10], [9/10, 27/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 10], [358, -147], [0, 0]], [[-43, -2], [-491/2, 269/2], [117967/25, -48887/25], [-43/50, -1/25]], [[6174, 5047/2], [-21775/2, -17601/4], [252819/25, 169557/50], [3087/25, 5047/100]]], 1, 576, [], [] >,
< [ -6, 0, 1 ], [[1536, 0]], [ -18, 7 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9900, 4044], [24, -4], [0, 0]], [[0, 0], [23850, 9830], [59436, 24240], [2, 0]], [[0, 0], [-175252/5, -73188/5], [-87984, -35836], [-24/5, 4/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45772, -18692], [0, -4], [0, 0]], [[0, 0], [-118/5, 48/5], [84, 36], [14/5, 6/5]], [[0, 0], [-40, 16], [0, 0], [0, 0]]], 0, 393216, [], [] >,
< [ -6, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2460, 1004], [7260, -2964], [0, 0]], [[0, 0], [-223880, 91351], [660680, -269732], [-26, 9]], [[0, 0], [562776, -229796], [-1661424, 678264], [60, -26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [480, 28], [60, 4], [0, 0]], [[0, 0], [-490, -194], [-200, 28], [26, -10]], [[0, 0], [28896/5, 11759/5], [4488/5, 1372/5], [-30, 5]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[192, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3900, -1592], [-8916, 3640], [0, 0]], [[0, 0], [-772972, 315621], [1766644, -721210], [2, -1]], [[0, 0], [-65532, 26746], [149736, -61132], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [948/5, 102/5], [144/5, 16/5], [0, 0]], [[0, 0], [-248/5, 103/5], [356/5, -126/5], [26, -9]], [[0, 0], [12/5, -72/5], [-1164/5, -376/5], [-96, -32]]], 0, 6144, [], [] >,
< [ -6, 0, 1 ], [[192, -192]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-476, 192], [0, -2], [0, 0]], [[0, 0], [14, 5/2], [-54/5, -6/5], [3/5, -1/10]], [[0, 0], [14, 11/2], [-42/5, -18/5], [1/5, 1/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-308, 124], [24, -6], [0, 0]], [[0, 0], [-5182, -3237/2], [48594/5, 20086/5], [-3/5, 1/10]], [[0, 0], [99764, 90411/2], [-5640186/25, -2291454/25], [7/25, 161/50]]], 0, 24576, [], [] >,
< [ -6, 0, 1 ], [[192, -192]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-804, 352], [48, 10], [0, 0]], [[0, 0], [20648, 5434], [105468/5, 43272/5], [-4/5, -2/5]], [[0, 0], [-2393, -6087/2], [-30846/5, -12444/5], [2/5, 1/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1556, 604], [312, 2], [0, 0]], [[0, 0], [66348, 35197/2], [-5698314/25, -2299946/25], [-27/25, -1/50]], [[0, 0], [-1225820, -524513], [25976184/5, 10618116/5], [58/5, 29/5]]], 0, 24576, [], [] >,
< [ -6, 0, 1 ], [[24, -24]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 26], [-72, 29], [0, 0]], [[-3, -2], [-13639/2, 7197/2], [-41223/5, 17768/5], [-3/10, -1/5]], [[16, 11/2], [-28445/2, 10987/4], [-61101/5, 42837/10], [8/5, 11/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -10], [-54, 1], [0, 0]], [[-22, -1/2], [909/2, 295/4], [-23367/25, 39399/50], [-11/25, -1/100]], [[-986, 406], [12917, -5368], [-3411996/25, 1389231/25], [-493/25, 203/25]]], 1, 384, [], [] >,
< [ -6, 0, 1 ], [[1344, -576]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [408, -166], [7740, -3160], [0, 0]], [[0, 0], [6532472/47, -2675227/47], [2648262, -1082166], [-104/47, -1/47]], [[0, 0], [-278367650/47, -113611295/47], [-169541778/5, -69150708/5], [-1447470/47, -2954637/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21512, 8782], [11052, -4512], [0, 0]], [[0, 0], [13796208/235, -7065687/235], [-1073526/25, 385914/25], [3508/1175, 3/1175]], [[0, 0], [-181568599476/235, -74124713146/235], [-6631229688/25, -2707211368/25], [181786784/1175, 74214184/1175]]], 0, 24576, [], [] >,
< [ -6, 0, 1 ], [[1344, -576]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-476, 194], [-5232, 2136], [0, 0]], [[0, 0], [231856/47, -97830/47], [55704, -22628], [-208/235, -2/235]], [[0, 0], [-2423894/47, -989633/47], [432078/5, 176298/5], [-66418/235, -5423/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1024, 418], [960, -392], [0, 0]], [[0, 0], [2831196/235, -2052724/235], [-802092/25, 211888/25], [-2484/1175, -4/1175]], [[0, 0], [-24091723484/235, -9835385719/235], [-3104212002/25, -1267292472/25], [-27347164/1175, -11164439/1175]]], 0, 24576, [], [] >,
< [ -6, 0, 1 ], [[168, -72]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, 0], [16, 1], [9, 0], [0, 0]], [[99, -87], [-5948/47, -7203/47], [-714/5, -439/5], [198/235, 1/235]], [[10319, -8383/2], [391273/47, -155354/47], [2469, -1883/2], [1280/47, -530/47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, 2], [4, 7], [15, 2], [0, 0]], [[-2324, 447/2], [1211597/235, -150693/235], [-24309/25, 11227/50], [-2098/1175, -3/1175]], [[-3908811, 3288213/2], [45878479/5, -19217566/5], [-52241331/25, 43229493/50], [-59976/25, 25704/25]]], 1, 384, [], [] >,
< [ -6, 0, 1 ], [[2112, -768]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [320, -130], [4272, -1744], [0, 0]], [[0, 0], [145778/47, -62709/47], [223146/5, -92924/5], [-218/235, -3/235]], [[0, 0], [62534258/47, 25529611/47], [35714694/5, 14580624/5], [1800358/235, 734993/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23188, 9466], [12600, -5144], [0, 0]], [[0, 0], [-592140394/235, 242700716/235], [34258488/25, -14029882/25], [2686/1175, -4/1175]], [[0, 0], [-352083526012/235, -143739153257/235], [16098270534/25, 6572187174/25], [-400529052/1175, -163515297/1175]]], 0, 147456, [], [] >,
< [ -6, 0, 1 ], [[2112, -768]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -2], [2616, -1068], [0, 0]], [[0, 0], [-51100/47, -175/47], [159426, -63864], [-292/47, -1/47]], [[0, 0], [5512371620/47, 2250415895/47], [-1600274094/5, -653296844/5], [157496332/235, 64297597/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24440, 9978], [12600, -5144], [0, 0]], [[0, 0], [-6312612/235, 3393988/235], [990744/25, -186416/25], [4868/1175, -2/1175]], [[0, 0], [132088235782/235, 53924423987/235], [35258974266/25, 14394452826/25], [321029202/1175, 131059747/1175]]], 0, 147456, [], [] >,
< [ -6, 0, 1 ], [[264, -96]], [ -27, -2 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -1], [3, -2], [0, 0]], [[-276, -4], [6214/47, 4372/47], [-4722/5, -572/5], [-1544/235, -4/235]], [[14415, -24025/2], [814548/47, 30300/47], [112662/5, -354551/10], [85529/235, -68231/235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, 69], [33, -15], [0, 0]], [[210, 5/2], [52220, 5396], [4293, -947/2], [5, 0]], [[53571, -20408], [2455285134/235, -898321776/235], [35271657/25, -13869623/25], [1540804/1175, -589281/1175]]], 1, 2304, [], [] >,
< [ -6, 0, 1 ], [[168, -48]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 10], [-24, 9], [0, 0]], [[9, -3/2], [-849, 1403/4], [-3516/5, 2887/10], [9/10, -3/20]], [[-110, -45], [-188, -131/2], [-84, -25], [-11, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 2], [-78, 2], [0, 0]], [[168, 2], [1270, 137], [718158/25, 193137/25], [84/25, 1/25]], [[-1360, 595/2], [-17825/2, 4983/4], [-748677/5, -98851/10], [-136/5, 119/20]]], 1, 2304, [], [] >,
< [ -6, 0, 1 ], [[1344, -384]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [572, -228], [0, 6], [0, 0]], [[0, 0], [4860, 3943/2], [26454/5, 10756/5], [7/5, 1/10]], [[0, 0], [-796, -538], [-4776/5, -2754/5], [52/5, -22/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -40], [-24, 6], [0, 0]], [[0, 0], [-675, -501/2], [88146/25, 26794/25], [-142/25, -1/50]], [[0, 0], [20354, 13181/2], [-589938/5, -114782/5], [1371/5, -457/10]]], 0, 147456, [], [] >,
< [ -6, 0, 1 ], [[1344, -384]], [ -18, -7 ], [ -25, 10 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -12], [-24, -2], [0, 0]], [[0, 0], [-121, -41], [-936/5, -324/5], [-13/5, -2/5]], [[0, 0], [-271, 145/2], [-1914/5, 484/5], [-92/5, 69/10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [372, -144], [-60, -10], [0, 0]], [[0, 0], [143, -45/2], [-2538/25, 3718/25], [76/25, 3/50]], [[0, 0], [-4014, 1422], [40056/5, -19626/5], [-322/5, 92/5]]], 0, 147456, [], [] >,
< [ -6, 0, 1 ], [[576, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1416, 578], [-7956, 3248], [0, 0]], [[0, 0], [4474, -1830], [20504, -8376], [-2, 2]], [[0, 0], [-42140, 17201], [-193000, 78788], [34, -13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-768, -28], [-84, -4], [0, 0]], [[0, 0], [16312/5, 4993/5], [1256/5, 764/5], [26, -9]], [[0, 0], [-37332/5, 1102/5], [1164/5, -2024/5], [-240, 96]]], 0, 18432, [], [] >,
< [ -6, 0, 1 ], [[576, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22344, 9122], [-12600, 5144], [0, 0]], [[0, 0], [-930586, 379911], [-525464, 214530], [20, -5]], [[0, 0], [-848584, 346434], [-479156, 195628], [20, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-456, -22], [-96, -4], [0, 0]], [[0, 0], [164494/5, -2969/5], [34832/5, -902/5], [-16, 7]], [[0, 0], [149574/5, 134136/5], [30312/5, 28128/5], [18, -6]]], 0, 18432, [], [] >,
< [ -6, 0, 1 ], [[576, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5928, -2420], [7956, -3248], [0, 0]], [[0, 0], [-61578, 25138], [-81240, 33168], [-6, 2]], [[0, 0], [-102280, 41753], [-134936, 55092], [-10, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1404/5, 6/5], [-48/5, -12/5], [0, 0]], [[0, 0], [-162572/5, 41997/5], [2924/5, 116/5], [26, -9]], [[0, 0], [-8842216/5, 2239056/5], [161452/5, 7748/5], [1408, -484]]], 0, 18432, [], [] >,
< [ -6, 0, 1 ], [[576, -192]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2136, -872], [10572, -4316], [0, 0]], [[0, 0], [-746, 302], [-52, 20], [-26, 10]], [[0, 0], [1292, -505], [100, -30], [50, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -34], [24, -4], [0, 0]], [[0, 0], [1318, 913], [-556, -66], [-8, 3]], [[0, 0], [-6376/5, -1919/5], [772/5, 598/5], [-2, 1]]], 0, 18432, [], [] >,
< [ -6, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 12], [4, -8], [0, 0]], [[0, 0], [-1, -1], [0, 1], [1, 0]], [[0, 0], [24, -10], [-10, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7696/5, 3136/5], [-28/5, -2/5], [0, 0]], [[0, 0], [3/5, 7/5], [4/5, 1/5], [1, 0]], [[0, 0], [4244/5, 1866/5], [10062/5, 4108/5], [0, 0]]], 0, 192, [], [] >,
< [ -6, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2204, -894], [6, 0], [0, 0]], [[0, 0], [-1, 1], [0, 1], [1, 0]], [[0, 0], [-9740, 3998], [-2, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [208088/5, -84958/5], [-26/5, -4/5], [0, 0]], [[0, 0], [43/5, -3/5], [4/5, 1/5], [1, 0]], [[0, 0], [78448/5, 35242/5], [187254/5, 76446/5], [0, 0]]], 0, 192, [], [] >,
< [ -6, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-260, 106], [436, -178], [0, 0]], [[0, 0], [-1, 1], [2, 0], [1, 0]], [[0, 0], [-4, 2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68/5, -92/5], [-24/5, -6/5], [0, 0]], [[0, 0], [-5, 1], [2, 0], [1, 0]], [[0, 0], [44, 10], [4, 2], [0, 0]]], 0, 192, [], [] >,
< [ -6, 0, 1 ], [[32, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-192, 78], [-716, 292], [0, 0]], [[0, 0], [-1, 1], [0, 0], [1, 0]], [[0, 0], [-364, 148], [-1368, 558], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76/5, -106/5], [68/5, -8/5], [0, 0]], [[0, 0], [-9, 1], [0, 0], [1, 0]], [[0, 0], [360, -474], [304, -38], [0, 0]]], 0, 192, [], [] >,
< [ -6, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1636, -668], [-1656, 676], [0, 0]], [[0, 0], [-127750, 52149], [130692, -53370], [-32, 11]], [[0, 0], [-2557660, 1043992], [2616176, -1068592], [-680, 204]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72640, 29644], [-10376, 4236], [0, 0]], [[0, 0], [79954/5, 37656/5], [-948/5, 288/5], [-18, 6]], [[0, 0], [34186/5, 9159/5], [748/5, -338/5], [16, -7]]], 0, 3072, [], [] >,
< [ -6, 0, 1 ], [[128, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [472, -204], [-8, -8], [0, 0]], [[0, 0], [-34128, 13968], [-324, 168], [20, -8]], [[0, 0], [-49990, 20847], [0, 444], [32, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-664/5, 4/5], [-32/5, -8/5], [0, 0]], [[0, 0], [2864/5, -5534/5], [-268/5, -232/5], [-16, 6]], [[0, 0], [27636, 9407], [2024, 792], [-6, 15]]], 0, 3072, [], [] >,
< [ -7, 0, 1 ], [[-2, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9/2, -5], [2, -3/2], [0, 0]], [[-14, -1], [249, 44], [64, 8], [-1, -2]], [[-119, -51/2], [2355, 662], [576, 144], [-51/2, -17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23/2, -35/2], [-1/2, 1/2], [0, 0]], [[-3/2, 0], [1041/2, 35], [-13, -1/2], [1, -1/2]], [[0, -1/2], [475/6, 1003/6], [-7/6, -25/6], [-7/6, 1/3]]], 3, 4, [], [] >,
< [ -7, 0, 1 ], [[13, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-85/2, 27/2], [3/2, -1/2], [0, 0]], [[-35/2, 0], [-95/2, -4], [0, -5/2], [0, -5/2]], [[-336, 123], [-715, 257], [123, -48], [123, -48]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, -5/2], [7/2, -1/2], [0, 0]], [[6, 2], [37/3, -11/3], [5/3, -4/3], [2/3, 2/3]], [[2, -1/2], [49, -37/2], [21/2, -4], [-5/2, 1]]], 3, 6, [], [] >,
< [ -7, 0, 1 ], [[-9, 3]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31/2, 7/2], [10, 1/2], [3/2, 2], [0, 0]], [[1627, -1423/2], [14261/6, -2818/3], [-1105, 391], [5/12, -5/12]], [[-10673/2, 3559/2], [-14183/2, 5159/2], [2975, -1190], [-3, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31/2, 7/2], [-236, -29/2], [3/2, 2], [0, 0]], [[4147, 4738], [2199514/57, -4831144/57], [91705/19, -1519/19], [-125/114, -1/114]], [[-242767/2, 58345], [8272819/2, -1702152], [174737/2, -59147/2], [-75/4, 25/4]]], 3, 4, [], [] >,
< [ -7, 0, 1 ], [[-5, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [121/2, -23], [0, -3/2], [0, 0]], [[14, 5/2], [-759, 308], [200, 95], [5/2, 2]], [[7, -9/2], [-2125, 798], [-125, 5], [-9/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, 1/2], [3/2, -2], [0, 0]], [[-9/2, 2], [-3373/6, -73/3], [34/3, -233/6], [5/3, -1/6]], [[-19/2, 7/2], [-2435/6, 1343/6], [769/6, -229/6], [11/6, -5/6]]], 3, 4, [], [] >,
< [ -7, 0, 1 ], [[1, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [115/2, -43/2], [5/2, 1/2], [0, 0]], [[35/2, 1], [149, -75/2], [105/2, 21], [1, 5/2]], [[-28, 15/2], [-405, 291/2], [-33/2, -10], [15/2, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, 14], [-2, 2], [0, 0]], [[-1, 3/2], [118/3, -2753/6], [-377/6, -242/3], [17/6, 2/3]], [[33, -11], [-51913/6, 16105/6], [-6773/6, 1733/6], [-11/3, 11/3]]], 3, 6, [], [] >,
< [ -7, 0, 1 ], [[-9, 3]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13/2, -1], [1/2, -1], [0, 0]], [[-25/2, -4], [-40/3, -7/3], [1, 0], [-23/12, -5/12]], [[-29/2, 29/2], [-533/6, 247/6], [27/2, -11/2], [-29/3, 29/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, -18], [2, 1], [0, 0]], [[-135, -7/2], [-9053/114, 24032/57], [3877/38, 51/19], [-473/228, -5/228]], [[-72225, 46575/2], [-22717291/38, 9680989/38], [2072247/38, -667937/38], [-87525/76, 28575/76]]], 3, 4, [], [] >,
< [ -7, 0, 1 ], [[357, -135]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[78327/2, 5/2], [-67654577/1406, -2066/703], [-35705/2, -34/13], [3661/27417, 1/383838]], [[285510329/2, -33985508], [-3332558585/19, 793382775/19], [-1691698145/26, 402655667/26], [480927/988, -801545/6916]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-169/2, 36], [-5/2, 2], [0, 0]], [[-408065/2, -5/2], [2473965, 10560], [7029185/13, 4204/13], [-5/26, 0]], [[28239867, 331556957/2], [-10747213784769/26714, -53737304174961/26714], [-18930094975/247, -8348094112/19], [55433813/2083692, 2279061859/14585844]]], 4, 8, [], [] >,
< [ -7, 0, 1 ], [[0, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99/2, -7], [-2, 5/2], [0, 0]], [[-7, -1/2], [-1921/2, 687], [238, -85/2], [-1/2, -1]], [[-91/2, -8], [-5025/2, 7071/2], [2499/2, -187/2], [-8, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 12], [-2, -1], [0, 0]], [[3, -5/2], [-1615/6, -353/6], [31/6, 11/6], [-23/6, -2/3]], [[126, -35], [4033/6, 3688/3], [-128/3, -113/6], [7/3, 56/3]]], 3, 4, [], [] >,
< [ -7, 0, 1 ], [[-103, 39]], [ -33, -3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9/2, -1/2], [3/2, -1/2], [0, 0]], [[7, 5/2], [559/3, 511/6], [21/2, -9], [7/12, 1/4]], [[81, -30], [-48787/6, 3092], [7175, -5425/2], [-97/6, 37/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7/6, 5/3], [-1, -3/2], [0, 0]], [[-11/2, -3], [773/18, -431/18], [-331/6, 115/6], [-31/36, -5/36]], [[44, -22], [2200, -2519/3], [-2206, 832], [-11, 11/3]]], 4, 6, [], [] >,
< [ -7, 0, 1 ], [[-23, 9]], [ -149, 55 ], [ -5, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, 1], [5, 0], [1, -1], [0, 0]], [[-48, -35/2], [707/18, 131/9], [-111/10, -5], [-17/45, -1/18]], [[282, -217/2], [-379/3, 148/3], [-3569/10, 672/5], [193/5, -73/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-7, -1/2], [-29/18, -31/18], [-5/2, -7/5], [-1/18, -1/90]], [[-133/2, 25], [856/27, -653/54], [193/15, -149/30], [-91/270, 17/135]]], 4, 6, [], [] >,
< [ -7, 0, 1 ], [[-195, 73]], [ -149, 55 ], [ -5, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 2], [11/3, -2/3], [6, -4], [0, 0]], [[19/2, -3], [-5/18, 71/18], [-401/5, -29/10], [-23/90, -1/90]], [[53, -35/2], [-23/3, 121/6], [-4073/10, 3], [-13/10, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-4, -5], [376/27, -35/54], [301/15, 173/15], [83/270, 2/135]], [[-226, -293/2], [3190/9, 547/18], [8093/10, 375], [767/90, 13/9]]], 1, 120, [], [] >,
< [ -7, 0, 1 ], [[-3765, 1423]], [ -33, -3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [673/6, -127/3], [143, -107/2], [0, 0]], [[2, 1/2], [18, 245/2], [2555/2, 630], [1/12, 1/12]], [[-22, 19/2], [32611/3, -3986], [15015, -4620], [59/12, -7/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-887/3, 671/6], [-219/2, 41], [0, 0]], [[3/2, 1/2], [2636/9, -1376/9], [1595/3, 316/3], [1/9, 1/18]], [[-41/2, 9], [-1568725/18, 592033/18], [-186691/6, 72715/6], [167/36, -59/36]]], 1, 120, [], [] >,
< [ -7, 0, 1 ], [[-945, 357]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2043/2, -2], [1260371/1406, 1505/1406], [8930/13, 19/13], [-3137/109668, 5/109668]], [[306819/2, -180675/2], [93416061/703, -110870509/1406], [1318602/13, -1568599/26], [-39201/9139, 46209/18278]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -53/2], [0, -5/2], [0, 0]], [[233847, -3/2], [35114522045/26714, 13894695/13357], [-17102715/247, -35559/494], [-158813/694564, -1/694564]], [[136915251/2, 1664234], [5140504791363/13357, 129051472091/13357], [-770404919/38, -253905963/494], [-139475611/2083692, -3392477/2083692]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[7, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, -5], [0, -1], [0, 0]], [[14, 1/2], [79/2, 14], [2, -9/2], [1/2, 2]], [[-385/2, 165/2], [25, 79/2], [-467/2, 82], [165/2, -55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [91/2, -4], [0, -3/2], [0, 0]], [[-5/2, 3/2], [1849/6, 1960/3], [-461/3, -125/6], [11/6, 1/6]], [[-56, 49/2], [-21406/3, 21940/3], [-4634/3, 332/3], [119/6, -7/3]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[283, -107]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 9], [-4, 2], [0, 0]], [[-9, -3/2], [-1643/6, 383/3], [-125/2, 20], [-23/12, 1/12]], [[22, 11], [-1654/3, 685/6], [-62, 75/2], [11/6, 11/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 3], [-2, 2], [0, 0]], [[15, 7/2], [-445/6, 125/6], [-45/2, 9/2], [101/12, 5/12]], [[-31/2, -31/2], [-794/3, 701/6], [-64, 67/2], [31/6, -31/3]]], 1, 6, [], [] >,
< [ -7, 0, 1 ], [[19, -11]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [137/2, -26], [7/2, -1], [0, 0]], [[12, 5/2], [685/6, 475/6], [-1125/2, -423/2], [85/12, 1/12]], [[78, -78], [-7261/2, 529], [7581/2, 1491], [156, -78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, -7], [15/2, 0], [0, 0]], [[-15, -7/2], [-2941/3, -2285/6], [790, 593/2], [-101/12, -5/12]], [[-963/2, 749], [201934/3, 63061/3], [-47492, -18848], [-15301/12, 8453/12]]], 0, 72, [], [] >,
< [ -7, 0, 1 ], [[11, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -3/2], [-1/2, 1], [0, 0]], [[-21/2, 5/2], [839/2, -321/2], [-265/2, 103/2], [5/2, -3/2]], [[0, -15/2], [-509, 365/2], [335/2, -56], [-15/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -57/2], [-27/2, 3], [0, 0]], [[19/2, 7/2], [215299/6, -11945/6], [-22201/6, 14495/6], [11/6, 5/6]], [[-10, 15/2], [-15245665/6, 2899297/3], [1877441/3, -1416023/6], [145/6, -25/3]]], 1, 4, [], [] >,
< [ -7, 0, 1 ], [[-5, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45/2, 3/2], [-23/2, -5/2], [0, 0]], [[14, 3/2], [2815, 1759/2], [5097/2, 928], [3/2, 2]], [[-168, 114], [7691, 11540], [16416, 7854], [114, -24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13/2, 13/2], [-11/2, -5/2], [0, 0]], [[-13/2, -3], [9029/3, -8003/6], [-1243/6, 526/3], [-8/3, -1/6]], [[-24, -30], [124162, -48335], [-12014, 5236], [-54, 12]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[627, -237]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19, -4], [-99/2, 7/2], [-3/2, -5/2], [0, 0]], [[7851, 6779/2], [15009/2, 5810], [2650, 742], [-7/4, 3/4]], [[-18217/2, -9261/2], [-3459, -19347/2], [-7791/2, -742], [5, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [43, -25/2], [3/2, 0], [0, 0]], [[25, -19/2], [-8653/6, 1799/3], [-5, 14], [35/12, 1/12]], [[1203/2, -228], [-70963/2, 14101], [-605/2, 535/2], [209/4, -19/4]]], 2, 8, [], [] >,
< [ -7, 0, 1 ], [[51, -21]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1], [-79/2, 47/2], [7/2, 1/2], [0, 0]], [[589, 439/2], [10323/2, 1843], [1065, 405], [-3/4, -1/4]], [[5/2, -5/2], [146, -137/2], [-15/2, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13, -6], [-35/2, 7/2], [107/2, -43/2], [0, 0]], [[-4119/2, 741], [3449/2, -1519/2], [-15495/2, 2886], [-5/4, 1/4]], [[-135, 193], [1681/2, 91], [-2047/2, 547], [1, 1/2]]], 0, 48, [], [] >,
< [ -7, 0, 1 ], [[39, -15]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -3/2], [81/2, -15], [-4, 1/2], [0, 0]], [[2543/2, -913/2], [91985/6, -34817/6], [-955, 406], [-4/3, -1/6]], [[-57425/2, 10475], [-2093975/6, 396115/3], [44315/2, -18161/2], [289/12, 17/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -5/2], [187/2, -19], [-5, 5/2], [0, 0]], [[-823/2, 318], [712099/114, 393217/57], [35807/38, -683/38], [-125/228, -1/228]], [[315644, -118629], [58270462/19, -21295163/19], [-4689674/19, 1799155/19], [5079/38, -1953/38]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[39, -15]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75, -57/2], [12, -9/2], [0, 0]], [[-11/2, -2], [-61/2, 9], [-13/2, 1], [-3/4, -1/4]], [[13/2, 1], [1546/3, -578/3], [88, -32], [17/12, -1/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [244, -25], [-5, 1], [0, 0]], [[88, 1/2], [344851/19, 45911/19], [-7423/19, -91/19], [103/76, -1/76]], [[-207853/2, 80157/2], [-795132160/57, 626058745/114], [8608404/19, -6644271/38], [-95078/57, 73217/114]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[161, -61]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1], [-41, 13], [11, -4], [0, 0]], [[-8, 3/2], [-63, 29/2], [41/2, -5], [-2, 0]], [[1, 1/2], [2/3, 1/3], [-1, -1/2], [1/3, 1/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -2], [-13, -1], [-12, 3], [0, 0]], [[-353, -197/2], [-3893/6, -2035/6], [22, -319/2], [-1/6, 2/3]], [[622, 533/2], [5354/3, 3539/6], [1265/2, 88], [-8/3, -1/3]]], 1, 12, [], [] >,
< [ -7, 0, 1 ], [[217, -83]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1/2], [110, -83/2], [3/2, 0], [0, 0]], [[161/2, 61/2], [356, -255/2], [55, 19], [-1/2, 0]], [[-81/2, -31/2], [-353/2, 127/2], [-55/2, -19/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 0], [-235/2, 46], [1, -1/2], [0, 0]], [[1, 1], [52, 26], [0, 0], [1, 0]], [[41/2, 5/2], [518, 285/2], [0, 0], [-1/2, 3]]], 0, 144, [], [] >,
< [ -7, 0, 1 ], [[-1659, 627]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[664, -1/2], [294781/703, -2051/1406], [-2591/26, -12/13], [649/36556, -5/255892]], [[469/2, -2438], [124732/703, -1082603/703], [-249/26, 9505/26], [235/36556, -2383/36556]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-95/2, 15], [3/2, 0], [0, 0]], [[22997, 1/2], [13575717411/26714, -552429/26714], [-2088407/247, -648/247], [15055/694564, 1/4861948]], [[-41215063, 14923571], [-12167078249898/13357, 8811284863719/26714], [3740090980/247, -2708323069/494], [-6745576/173641, 17097597/1215487]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[-581, 217]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-45/2, 0], [-215/2, 17], [-35, 5/2], [0, 0]], [[12323/2, 4995/2], [16193, 14541/2], [7623, 3201], [-3/2, 2]], [[203292, 72091], [589435, 190423], [260183, 89342], [154, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -2], [81, -18], [-14, -2], [0, 0]], [[-661/2, -122], [887, 232], [-861/2, -156], [3/2, 1]], [[-3417/2, -1449/2], [953/2, 2968], [-2100, -975], [27, -3/2]]], 0, 1152, [], [] >,
< [ -7, 0, 1 ], [[-427, 161]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -1/2], [-9, 3/2], [7/2, -1], [0, 0]], [[-9/2, -3/2], [15, -4], [63/2, 21/2], [-3/2, -1/2]], [[13/2, 1], [-290/3, 104/3], [-91/2, -7], [13/6, 1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 0], [-3/2, 0], [7, -1/2], [0, 0]], [[225, -94], [-323/6, 167/6], [434, -166], [-19/6, -5/6]], [[4729/2, -2161/2], [-2977/6, 1031/3], [4760, -1840], [-184/3, -115/6]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[4389, -1659]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-257/2, -2], [2793365/1406, -903/1406], [873, -7/13], [-5559/36556, -1/36556]], [[43956, -32967/2], [-13474335/19, 10112173/38], [-8108367/26, 1521302/13], [53559/988, -20097/988]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-105/2, 16], [-3/2, 1], [0, 0]], [[173921/2, -5/2], [-7990734217/13357, 7593606/13357], [2749589/247, 3372/247], [-46014/173641, -1/347282]], [[-1348687757/2, 298088647], [124283262711069/26714, -54896475957565/26714], [-21239159774/247, 9398454235/247], [1427105681/694564, -630862145/694564]]], 1, 256, [], [] >,
< [ -7, 0, 1 ], [[-115, 41]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [89, -25], [-14, 1], [0, 0]], [[13/2, 1], [45425/2, 9043], [-23023/2, -4400], [17/4, -1/4]], [[-1218, 377], [-641162/3, -2065951/6], [241868, 239239/2], [-8729/6, 3103/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-141/2, 0], [-61/2, -2], [0, 0]], [[-5, -3/2], [275930/3, 116606/3], [47502, 19422], [-29/12, -5/12]], [[315/2, -50], [3756269/3, -2040826/3], [406692, -258804], [2275/12, -815/12]]], 0, 216, [], [] >,
< [ -7, 0, 1 ], [[283, -107]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 11/2], [-5, 5/2], [0, 0]], [[27/2, 3], [281/3, 131/3], [-36, -12], [31/12, 1/12]], [[100, -40], [-1294/3, 425/3], [-69, 33], [130/3, -50/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, -10], [-1, -1], [0, 0]], [[25/2, 4], [-335/3, -98/3], [-125, -47], [23/12, 5/12]], [[-99, 45], [2703/2, -576], [-143/2, -55], [-45, 18]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[283, -107]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-11/2, -3/2], [31/3, -7/6], [-1, -5/2], [-17/6, -1/3]], [[-13/2, 2], [105/2, -39/2], [43/2, -17/2], [-31/4, 11/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [77/2, -8], [13/2, 2], [0, 0]], [[27/2, 3], [-4861/3, 938/3], [-288, -90], [31/12, 1/12]], [[-35/2, 17/2], [25862/3, -9982/3], [117, -90], [-49/6, 10/3]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-50, 19]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5/2, -20], [-4, -5/2], [0, 0]], [[-7/2, 3/2], [-33337/2, -14849/2], [-7507/2, -2943/2], [3/2, -1/2]], [[77/2, -3], [-2383729/2, -443500], [-249477, -187931/2], [-3, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-151/2, -5], [-8, -1/2], [0, 0]], [[-1, 1/2], [-14663/6, 2387/3], [-788/3, 515/6], [11/6, -2/3]], [[-4, -3/2], [-127/6, -23/3], [-7/3, -5/6], [-5/6, -1/3]]], 1, 12, [], [] >,
< [ -7, 0, 1 ], [[-50, 19]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111, -99/2], [-35/2, 5], [0, 0]], [[0, -1/2], [-659, -249/2], [-167/2, -48], [-1/2, 0]], [[0, 0], [-62, -47], [-24, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, -3/2], [-3/2, 0], [0, 0]], [[5, 3/2], [77/6, 25/3], [29/3, 13/6], [1/6, 2/3]], [[-9, 0], [43/2, -22], [-25, 7/2], [6, -3]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[17, -7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -2], [-3, 0], [0, 0]], [[7/2, 3/2], [-96, 67], [61, -16], [3/2, 1/2]], [[-259/2, 45], [-144955/2, 27351], [27372, -20711/2], [45, -37/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-147/2, 39/2], [-9/2, 3/2], [0, 0]], [[-7/2, -3/2], [-12202/3, -4312/3], [-329/3, -104/3], [-7/6, -1/6]], [[75/2, -9], [-10101, 18549/2], [-1981/2, 514], [-46, 37/2]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[17, -7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29/2, 7/2], [7/2, 1/2], [0, 0]], [[7/2, 2], [-73/2, -11], [26, 19/2], [2, 1/2]], [[21/2, -7/2], [36, -17], [-1, 3], [-7/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-163/2, 17/2], [-25/2, -1/2], [0, 0]], [[-2, -1/2], [-73369/6, -5129/3], [-7144/3, -3509/6], [1/6, -1/3]], [[6, -1], [348851/6, -93175/6], [44221/6, -7643/6], [-19/3, 8/3]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-15, 3]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -1], [-123/2, 63/2], [-1/2, 5/2], [0, 0]], [[-275, -86], [-3253/3, -4777/6], [-428, -365/2], [-13/6, -1/3]], [[-2403/2, -153], [6983/2, -5174], [-1989/2, -1449/2], [-63/4, 9/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [881, 1/2], [-11/2, -1], [0, 0]], [[16001/2, -7793], [184977025/38, -16724605/19], [-889737/38, -681/38], [179/76, -1/76]], [[-18965715/2, 9487989/2], [-351026624429/114, 106071089597/114], [225114346/19, -44110831/19], [-68528/57, 27487/114]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-15, 3]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 3/2], [-187/2, 49], [7, 5/2], [0, 0]], [[-1421/2, -271], [-22835/6, -3515/3], [-2597/2, -987/2], [1/12, 5/12]], [[12685, 4579], [29034, 34372], [22936, 8431], [-55, 13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -1/2], [-2169/2, -18], [1, 5/2], [0, 0]], [[1717/2, -1169], [-4610891/114, 12853687/57], [-136551/38, -3463/38], [-287/228, 5/228]], [[151507/2, -79701/2], [-414653907/38, 262839637/38], [-1944233/19, 369049/19], [-725/19, 319/38]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-1315, 497]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [61/2, -13], [-29/2, 2], [0, 0]], [[0, 3/2], [-746/3, -1345/6], [-1061, -715/2], [-7/12, 5/12]], [[-59, 43/2], [5242, -1812], [-1144, 836], [-99/4, 37/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75/2, -21/2], [25/2, -5/2], [0, 0]], [[-15/2, 0], [-8047/6, -1124/3], [-1531/2, -242], [-25/12, 5/12]], [[-463/2, 169/2], [-35530/3, 21265/6], [-4541, 2309/2], [-583/6, 109/3]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[33, -15]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1385/2, -259], [-15/2, 0], [0, 0]], [[19/2, 2], [-3360, -1373], [3631, 1373], [3/4, 5/4]], [[-319, 145/2], [13522, 17622], [-31140, -11844], [551/4, -261/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-565/2, 217/2], [-685/2, 259/2], [0, 0]], [[-7/2, -1/2], [-1804, 1359/2], [-2163, 1641/2], [0, -1/2]], [[2110, 1595/2], [2624, 984], [-3420, -1302], [2315/4, 875/4]]], 0, 48, [], [] >,
< [ -7, 0, 1 ], [[1389, -525]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43/2, 9], [3/2, -1], [0, 0]], [[-3, 0], [27/2, -2], [-5/2, 0], [1/2, -1/2]], [[5/2, 1], [-3, -1], [0, 0], [3/4, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59/2, 23/2], [-65/2, 23/2], [0, 0]], [[-27/2, -3], [14470/3, -5435/3], [5027, -1908], [-31/12, -1/12]], [[37/2, 7], [-29/3, -97/6], [36, 1/2], [29/12, 11/12]]], 2, 8, [], [] >,
< [ -7, 0, 1 ], [[79, -31]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[505/2, -191/2], [1111/2, -209], [-297, 225/2], [0, 0]], [[-6849, 5201/2], [-15058, 11417/2], [16175/2, -6125/2], [23/4, 1/4]], [[-15581/2, -4045/2], [-73217/6, -7760/3], [4611, 1311/2], [-4040/3, -1528/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 5/2], [-716, 547/2], [11/2, 2], [0, 0]], [[-309, -115], [2011/6, -806/3], [-503/2, -95], [7/3, 1/6]], [[-4, 3/2], [-23/6, 4/3], [0, 0], [19/12, -7/12]]], 0, 72, [], [] >,
< [ -7, 0, 1 ], [[3077, -1163]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 0], [187/2, -67/2], [-1/2, 1/2], [0, 0]], [[-31/2, -3], [-2260/3, 1409/6], [-10, -9], [13/12, 5/12]], [[-23/2, 11/2], [-4701/2, 894], [25, -17/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[29/2, -11/2], [73, -53/2], [-53/2, 10], [0, 0]], [[86, -28], [2431/6, -901/6], [-291/2, 119/2], [17/6, 1/6]], [[1275, 955/2], [868, 306], [2517/2, 484], [1395/4, 527/4]]], 1, 6, [], [] >,
< [ -7, 0, 1 ], [[3, -3]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[20, -8], [112, -45], [-38, 14], [0, 0]], [[1450, -1031/2], [49249/6, -8705/3], [-2548, 994], [55/12, 5/12]], [[2177/2, 150], [19598/3, 2980/3], [70, 1015/2], [595/12, 221/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27/2, 11/2], [2255/2, -361], [26, -19/2], [0, 0]], [[1827/2, 633], [12906853/57, 6559555/114], [35420/19, 199/19], [581/228, 1/228]], [[-162079, -6793], [-350438372/57, -870123293/114], [2052392/19, -3441739/38], [17221/114, -7091/57]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[53, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33/2, -3], [16, -11/2], [0, 0]], [[-7, -1/2], [3064, -3275/2], [9055/2, -1793], [-1/2, -1]], [[105, -5], [-70137, 31804], [-95501, 36999], [-5, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -2], [-14, 5], [0, 0]], [[-5, 3/2], [-1070/3, 1897/6], [2627/6, -517/3], [1/6, -2/3]], [[-8, -8], [15353/2, 2238], [-914, 303/2], [-24, -8]]], 1, 4, [], [] >,
< [ -7, 0, 1 ], [[-19, 7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [73/2, -13/2], [33/2, 3/2], [0, 0]], [[-7, 5/2], [-969, -891/2], [-2231/2, -440], [5/2, -1]], [[-35, 27/2], [2519, 1089/2], [4453/2, 747], [27/2, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 14], [-17, 2], [0, 0]], [[-5/2, 2], [-6855, 515/2], [3865/2, 1739], [3, 1/2]], [[-3515/2, 666], [-10249063/6, 1925423/3], [-1793077/3, 1379711/6], [1147/3, -851/6]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[3, -3]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-165/2, 30], [-13/2, 2], [0, 0]], [[-4, -2], [5410/3, -2105/3], [126, -54], [-1/3, -1/3]], [[-49, -37/2], [-1024/3, -223/3], [-90, -30], [-77/12, -29/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1021/2, -188], [61/2, -11], [0, 0]], [[213/2, 1/2], [40307/114, -6413/57], [-1219/38, -115/19], [187/114, -1/57]], [[37053, -81087/2], [16287019/38, -6678753/38], [176209/38, 383213/38], [48509/76, -48151/76]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[791, -299]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -2], [27/2, -6], [-2, 1/2], [0, 0]], [[-20, 3], [-211/6, 50/3], [3/2, -3/2], [37/6, 1/3]], [[-477/2, 121], [-1645/2, 288], [63, -35/2], [29, -29]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-37/2, 7], [49/2, -8], [12, -9/2], [0, 0]], [[141, -101/2], [-439/6, 272/3], [-175/2, 35], [13/6, -1/6]], [[329, -68], [8335/6, 2233/3], [-231/2, 165/2], [119/6, 17/3]]], 1, 12, [], [] >,
< [ -7, 0, 1 ], [[7, -13]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 2], [401/2, -73], [9, 3/2], [0, 0]], [[-13231/2, -2426], [-71089/6, -51053/6], [-60421/2, -11470], [-10/3, 5/6]], [[-39027/2, -15083/2], [-63925, -30325/2], [-91834, -34595], [9/2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -5/2], [-62, 31/2], [-15/2, 0], [0, 0]], [[-2481/2, -508], [-34379/2, -12235/2], [-12005/2, -2240], [-11, 1/2]], [[6288, 1747], [187097/3, 178067/6], [49133/2, 19495/2], [-236/3, 271/6]]], 0, 144, [], [] >,
< [ -7, 0, 1 ], [[-3675, 1389]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-38527/2, -2], [-14598172/703, -11664/703], [74735/26, -347/26], [-2401/36556, -1/255892]], [[-2297489/2, 515705/2], [-1739169265/1406, 194799245/703], [4489945/26, -510764/13], [-107392/27417, 337523/383838]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75/2, -43/2], [9/2, -3/2], [0, 0]], [[23746, 0], [66898329859/26714, 12776939/13357], [37598443/494, 22657/247], [11659/520923, -1/3646461]], [[126644, -502053/2], [177448172237/13357, -707067174405/26714], [197169675/494, -198611691/247], [248765/2083692, -493007/2083692]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[-91, 7]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 3/2], [278, -229/2], [35/2, -1], [0, 0]], [[55801/2, 21197/2], [536165/6, 95642/3], [-51646, -19586], [2/3, -1/6]], [[4396, 1666], [13884, 5085], [-8134, -3080], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[39, -3/2], [-31, 5/2], [-119/2, -2], [0, 0]], [[-196967/2, -74807/2], [205391/3, 156383/6], [182364, 69138], [191/6, 2/3]], [[-6458999/2, -2493125/2], [4472075/2, 872042], [5998139, 2297419], [2718, -1215/2]]], 0, 1152, [], [] >,
< [ -7, 0, 1 ], [[-2093, 791]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1], [93/2, -20], [7, -1/2], [0, 0]], [[-1305/2, -249], [10681/6, 4847/6], [-3493/2, -649], [7/3, 1/6]], [[551, -765/2], [-131467/3, 102503/6], [-8547/2, 1155], [712/3, -268/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-139/2, 53/2], [-23/2, 11/2], [175/2, -67/2], [0, 0]], [[17832, -6694], [11072/3, -6697/6], [-45101/2, 16847/2], [-11/3, -5/6]], [[243146, -180269/2], [59215, -23291/2], [-617729/2, 112897], [-123, -39]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[9723, -3675]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3099, -1/2], [5244975/1406, -6629/703], [1047, -345/26], [9517/109668, 5/109668]], [[-91825, 363627], [8789291/74, -16206548/37], [1093591/26, -1602272/13], [3673/1443, -14692/1443]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1083/2, 201], [-71/2, 13], [0, 0]], [[389745, -5/2], [142750809627/26714, 50339320/13357], [-27078594/247, 120057/494], [-794065/2083692, -5/2083692]], [[-723682543, 246116229/2], [-264836645000159/26714, 22441755522810/13357], [50412098051/247, -17321870797/494], [1474405789/2083692, -250699399/2083692]]], 1, 256, [], [] >,
< [ -7, 0, 1 ], [[-6453, 2439]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19/2, 5], [-63/2, 12], [0, 0]], [[-6, -3/2], [-1705/6, 749/6], [-1723/2, 647/2], [-13/12, -1/12]], [[481/2, 91], [-7111/6, -1250/3], [35/2, 94], [377/12, 143/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25, 47/2], [9, 3/2], [0, 0]], [[-3, 0], [18412, 4805], [5264, 2114], [1/2, -1/2]], [[-11, 5/2], [39098, 2253], [6902, 3332], [19/4, -9/4]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[-171, 63]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-357/2, 135/2], [-1389/2, 525/2], [0, 0]], [[-3/2, 0], [109/2, -61/2], [471/2, -183/2], [1/4, -1/4]], [[-41, -31/2], [-764, -577/2], [-189, -141/2], [-45/4, -17/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [999/2, -186], [-15/2, 0], [0, 0]], [[-19/2, -2], [-715/2, 97], [75/2, 12], [-3/4, -5/4]], [[608, 209], [7971, -43/2], [-2754, -2025/2], [285/2, 133/2]]], 0, 192, [], [] >,
< [ -7, 0, 1 ], [[-6453, 2439]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-33/2, 13/2], [-165/2, 28], [31, -23/2], [0, 0]], [[-237, 81], [-929, 448], [406, -160], [-1, 0]], [[-39/2, -178], [3828, 1295/2], [-602, 86], [-41/4, -17/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35/2, 13/2], [-31, 25/2], [63/2, -12], [0, 0]], [[76, -61/2], [291/2, -45], [-150, 48], [-7/4, -1/4]], [[-65, 61], [-2771/6, -181/6], [877/2, 29/2], [155/6, 55/6]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[-45, 9]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13, 4], [97/2, 7/2], [15/2, 9/2], [0, 0]], [[-2011/2, -111], [-7392, 1591], [117, -897/2], [-1/4, 1/4]], [[-4589/2, 37], [-22191, 12707/2], [1287, -1170], [-5/4, 3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-283/2, 107/2], [-299, 227/2], [699/2, -132], [0, 0]], [[2747/2, -520], [2910, -2189/2], [-3381, 1284], [-5/4, -1/4]], [[-281, -23/2], [717, 471], [2823/2, 300], [-521/4, -197/4]]], 0, 192, [], [] >,
< [ -7, 0, 1 ], [[-27, 9]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35/2, -13/2], [60, -45/2], [-63/2, 12], [0, 0]], [[151/2, -28], [1555/6, -287/3], [-241/2, 97/2], [-17/12, -1/12]], [[107/2, 10], [1291/6, 139/3], [389/2, 181/2], [-545/12, -205/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35, 13], [269, -7], [63, -24], [0, 0]], [[-5159/2, -5765/2], [4290643/2, 818809], [-8715, 99/2], [2, 0]], [[-2241956, 2155925/2], [-13480199029/114, -3005109340/57], [89695526/19, -30216857/19], [-243757/228, 81829/228]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[-27, 9]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [283/2, -53], [93/2, -18], [0, 0]], [[-21/2, -3], [-6591, 2510], [-2244, 825], [-7/4, -1/4]], [[1895, 715], [20215/6, -30833/6], [18249/2, 2607/2], [745/3, 280/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2103/2, -456], [141/2, -27], [0, 0]], [[-5, -3/2], [-3134249/114, -1086407/114], [-8625/38, -1209/38], [-17/228, -5/228]], [[0, 0], [-19870, 6259], [-1155, 429], [0, 0]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[17073, -6453]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-4913/2, -1], [4828530/703, -2941/1406], [-208483/26, -37/13], [-2401/36556, -1/255892]], [[-172200, -88150], [675232475/1406, 173028328/703], [-14611875/26, -3740262/13], [-42025/9139, -21525/9139]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-463, 343/2], [-35, 25/2], [0, 0]], [[-150604, -5/2], [61481140851/13357, 72930239/26714], [-143389733/494, 51382/247], [-98593/694564, -3/4861948]], [[1092200300, 365277440], [-446471180232450/13357, -298748835025031/26714], [519048215851/247, 347017346677/494], [13749790/13357, 418460590/1215487]]], 1, 128, [], [] >,
< [ -7, 0, 1 ], [[-45171, 17073]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[251/2, 2], [1132901/1406, -16975/1406], [24615/13, -153/13], [5429/36556, 3/36556]], [[51305/2, 18205/2], [5646092/37, 3962121/74], [4766488/13, 3356179/26], [28135/962, 4965/481]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [653/2, -128], [53/2, -10], [0, 0]], [[172531/2, -2], [-7930735806/13357, -3021794/13357], [5480353/494, 7019/494], [-14045/53428, -3/694564]], [[-771731447, -677518565/2], [142073024690221/26714, 62344377716709/26714], [-24611850623/247, -10792470226/247], [1633604849/694564, 717064713/694564]]], 1, 1024, [], [] >,
< [ -7, 0, 1 ], [[27, -27]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2487/2, 483], [-9/2, 6], [0, 0]], [[-17/2, -5/2], [-33660, 27917/2], [246, 615/2], [-3/2, -1]], [[8327/2, 1573], [-867857, -352529], [-291387, -110331], [4565/4, 1727/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7503/2, -2823/2], [3/2, 3/2], [0, 0]], [[-19/2, -7/2], [88444, -67237/2], [-111, -39/2], [-5/2, -1]], [[311, 235/2], [-74613/2, 20344], [5379/2, 1005], [341/4, 129/4]]], 0, 576, [], [] >,
< [ -7, 0, 1 ], [[29979, -11331]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-201/2, 87/2], [-15/2, 15/2], [0, 0]], [[-3, -3/2], [-6878, 4709/2], [-1101, 423/2], [-1/4, -1/4]], [[7/2, 1], [-33905/6, 14149/6], [-1015/2, 755/2], [7/12, 1/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [264, -189/2], [3, 9/2], [0, 0]], [[-17/2, -2], [-90787/6, 34589/6], [709/2, -137/2], [-19/12, -1/12]], [[55, 20], [18487/2, -7689/2], [-1677/2, -375/2], [15/2, 5/2]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[27, -27]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-405, 261/2], [0, -15/2], [0, 0]], [[-3, 0], [284, 21], [51, 21], [-5/2, 1/2]], [[-25, -19/2], [3259, 1235], [1032, 390], [-39/4, -15/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2541, -1941/2], [3, -9/2], [0, 0]], [[7/2, -1], [-28681, 7262], [-1650, -570], [-7/4, 3/4]], [[3993/2, 1509/2], [-22082115, -8345430], [-7365540, -2783910], [1095/2, 207]]], 0, 576, [], [] >,
< [ -7, 0, 1 ], [[29979, -11331]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [59, -49/2], [3, -9/2], [0, 0]], [[-33/2, -7/2], [-922/3, 763/6], [58, 59/2], [-29/3, -1/6]], [[-1/2, 0], [-5/6, 1/6], [5/2, -1/2], [-5/12, 1/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-198, 165/2], [6, 9/2], [0, 0]], [[-5/2, -2], [518125/6, -194831/6], [2821/2, -785/2], [1/12, -5/12]], [[403/2, 143/2], [1105762/3, -443006/3], [-3911, -5558], [169/6, 26/3]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[117, -45]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 3/2], [8, 13/2], [9/2, 0], [0, 0]], [[11, -4], [565/6, -5/3], [-1/2, 5], [-13/6, -1/3]], [[11767/2, -2224], [53601/2, -10183], [-7509/2, 2823/2], [-1391/4, 533/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1/2], [-162, -3/2], [-3/2, 0], [0, 0]], [[535/2, 7/2], [-234893/114, -523/114], [-296/19, -1/19], [148/57, 1/114]], [[1083485/2, -208481], [-490110805/114, 94210838/57], [-1231373/38, 473447/38], [1231373/228, -473447/228]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[117, -45]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 0], [-61/2, -19/2], [-3/2, 3/2], [0, 0]], [[-5/2, 79/2], [-933, -821/2], [231/2, -15], [2, 0]], [[-1385/2, 260], [3094/3, -1066/3], [998, -757/2], [155/12, -59/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [-437/2, 65], [3, 3/2], [0, 0]], [[-205, -17/2], [-488774/19, 44607/38], [-375/38, -117/38], [-141/76, 1/76]], [[-8285, 3184], [-149683237/114, 57170701/114], [-2801/38, 1217/38], [-4900/57, 1876/57]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[-59, 17]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -3/2], [517/2, -98], [-1, 5/2], [0, 0]], [[-1143/2, -210], [-1316/3, -359/6], [2152, 812], [47/12, -5/12]], [[4124, 1395], [17669/3, -1985/3], [-14958, -5616], [-469/6, 133/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 1], [545/2, -209/2], [33/2, 3/2], [0, 0]], [[-4343/2, -817], [-7621/6, -4433/6], [16583/2, 3128], [-13/12, 1/12]], [[-10453/2, -1938], [-1292/3, -16499/6], [19872, 7452], [-91/12, 25/12]]], 0, 216, [], [] >,
< [ -7, 0, 1 ], [[3077, -1163]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[14, -1], [13/6, -11/3], [-1/2, 2], [-37/6, -1/3]], [[3113/2, -525], [2983/3, -2507/6], [-477, 207], [-6235/12, 1885/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1], [-67, 19], [-2, -1], [0, 0]], [[337, 273/2], [-9955/6, 8449/6], [301, 205/2], [-1/12, -5/12]], [[-3977/2, -2935/2], [404967/2, -83100], [-3575, -935/2], [-35, 17]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[3077, -1163]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 7/2], [15, 15/2], [17/2, 2], [0, 0]], [[-219/2, -1], [-823/3, 77/6], [58, -58], [-17/12, -1/12]], [[-104, 81], [-683/2, 437/2], [725/2, -203/2], [-1, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 5/2], [-79/2, 23], [7, 1/2], [0, 0]], [[-4857, -3679/2], [-19929/2, -3983], [-4015, -1505], [7/4, 1/4]], [[-24741/2, -4262], [-170227/3, 15611/6], [-7885, -4370], [-689/12, 287/12]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-545, 206]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-637/2, 235/2], [-13/2, -5/2], [0, 0]], [[-35/2, 3/2], [-12089, 8099/2], [-2383/2, -455], [3/2, -5/2]], [[-11319/2, 2107], [-5969945, 4506333/2], [-8583/2, -4058], [2107, -1617/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-65, -25], [-7, -2], [0, 0]], [[6, -5/2], [-1433/3, -1235/6], [-361/6, -43/3], [-11/6, 1/3]], [[-135/2, 51/2], [-392, 253/2], [243/2, -48], [29/2, -11/2]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[-545, 206]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [515/2, -94], [9, 3/2], [0, 0]], [[14, 3/2], [-13505/2, -1917], [-8766, -6611/2], [3/2, 2]], [[-6601/2, 2461/2], [563882, -403921/2], [57131/2, 5741], [2461/2, -943/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -11/2], [1/2, -2], [0, 0]], [[-11/2, 2], [-1082, -691/2], [-133/2, -44], [1, -1/2]], [[-53/2, 10], [-1664/3, 391/6], [557/6, -145/3], [17/3, -13/6]]], 1, 12, [], [] >,
< [ -7, 0, 1 ], [[11, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-391/2, 163/2], [-33/2, -3/2], [0, 0]], [[14, 2], [424, 175], [-429, -163], [2, 2]], [[-7/2, 3], [251/2, 25], [-94, -69/2], [3, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [225/2, -57/2], [-21/2, -3/2], [0, 0]], [[4, -3/2], [-3526/3, -3181/6], [3011/6, 575/3], [-5/6, 1/3]], [[0, 0], [-124, -50], [50, 19], [0, 0]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[11, -5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-243/2, 87/2], [1/2, 5/2], [0, 0]], [[7, -5/2], [-3057/2, -480], [1555, 1177/2], [-5/2, 1]], [[21/2, -7/2], [-4542, -1579], [4847, 1833], [-7/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [194, -50], [-13, -2], [0, 0]], [[-5/2, 0], [28390/3, 15931/6], [-14741/6, -2720/3], [-5/3, -5/6]], [[8, -3], [-39919/6, 14305/6], [1231/6, -235/6], [-5/3, 2/3]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-57, 21]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1231/2, -481/2], [-11/2, -1/2], [0, 0]], [[23/2, 2], [521662/3, 378545/6], [55862, 42245/2], [29/12, -1/12]], [[1422, -504], [2443809, -489027/2], [289510, 226525/2], [591, -219]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -45], [-2, 2], [0, 0]], [[353/2, 3], [1986848/57, 3805/114], [-3270/19, 105/38], [619/228, 1/228]], [[-83448, 61427/2], [-103164359/6, 38052451/6], [177267/2, -65523/2], [-16043/12, 5917/12]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-57, 21]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [432, -333/2], [-1, -1/2], [0, 0]], [[15/2, 3], [-20/3, -56/3], [0, 0], [11/12, 5/12]], [[-2, 2], [1168/3, -455/3], [0, 0], [-4/3, 2/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 1], [6, 0], [0, 0]], [[5, 3/2], [-27821/57, -40597/114], [-10023/19, -1413/38], [17/228, 5/228]], [[0, 0], [-159/2, 30], [101/2, -19], [0, 0]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[66411, -25101]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [57, -39/2], [3/2, 0], [0, 0]], [[10, -1/2], [625/3, -527/6], [-31/2, -5/2], [-31/12, -5/12]], [[-350, -119], [237, 607], [861, 315], [287/2, 105/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 1], [-111/2, 33/2], [15/2, -9/2], [0, 0]], [[-4, 1/2], [35/3, 11/6], [25/2, 11/2], [31/12, 5/12]], [[-33, -12], [196, 147/2], [321, 243/2], [44, 33/2]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[66411, -25101]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35/2, 5/2], [-1/2, 1], [0, 15/2], [0, 0]], [[134, 129/2], [199/6, 1/3], [152, 34], [-29/12, 5/12]], [[6763, 2462], [3793/6, 1931/6], [10123/2, 4145/2], [-50/3, -46/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [150, -129/2], [-15/2, 0], [0, 0]], [[21, 3/2], [874/3, -563/6], [-7/2, 13/2], [-13/12, 1/12]], [[5/2, 1], [-67/6, -13/3], [-13/2, -5/2], [-13/12, -5/12]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[351, -135]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -1], [-103/2, -55/2], [3/2, -9/2], [0, 0]], [[-1700, -3913/2], [-77597/2, -21739/2], [-6003, 261/2], [7/4, -1/4]], [[-243171/2, 46551], [361187, -261321/2], [224112, -84216], [-337/4, 127/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 2], [-1116, 423], [6, 0], [0, 0]], [[-58, -41/2], [-597, 453/2], [-81/2, -33/2], [-11/4, -5/4]], [[-40, -32], [7246, -5477/2], [-66, -21/2], [-13/2, 0]]], 0, 576, [], [] >,
< [ -7, 0, 1 ], [[351, -135]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, -7/2], [-333, 243/2], [-15/2, -3], [0, 0]], [[50, -23], [306841/2, -115923/2], [-201/2, 75/2], [-3, -1]], [[-20, -7/2], [-14816, 11333/2], [15/2, -9/2], [-29/4, -11/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 1/2], [-3273/2, 618], [3, -3/2], [0, 0]], [[45/2, 2], [2492, -1851/2], [6, 6], [-5/4, 3/4]], [[355/2, 129/2], [2497/2, -266], [135, 105/2], [4, 2]]], 0, 576, [], [] >,
< [ -7, 0, 1 ], [[9, -9]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-551/2, 106], [3/2, 0], [0, 0]], [[21/2, 3/2], [-1660/3, 569/3], [0, 0], [7/3, -1/6]], [[-3139/2, -592], [5843, 2012], [0, 0], [-823/4, -309/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1751/2, 68], [-9/2, -3], [0, 0]], [[-88, -1/2], [11248549/38, -8563675/38], [155997/38, -4131/38], [-103/76, 1/76]], [[994, -1278], [-3024427157/114, 797407717/114], [-2274345/38, 2324943/38], [994/57, -1136/57]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[9, -9]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-639/2, 207/2], [9/2, -15/2], [0, 0]], [[4, 2], [110084/3, -119327/6], [-4515, -645/2], [1/3, 1/3]], [[49, 37/2], [-264725/3, -191467/6], [-29025, -22059/2], [77/12, 29/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1046, -71/2], [-6, 3/2], [0, 0]], [[-9, 1], [-81884441/114, -21728513/114], [-83217/38, 249/38], [-8/57, 1/57]], [[-29/2, 16], [4315631/2, 2421517/2], [-1257/2, 7677/2], [-1/4, 1/4]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[-31667, 11969]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 3/2], [19/2, -4], [2, 5/2], [0, 0]], [[1571, 1201/2], [-219, -81/2], [2625/2, 975/2], [11/4, 1/4]], [[-1707, -706], [2074/3, -731/6], [-1575, -1035/2], [-34/3, 17/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, 3/2], [18, -9/2], [37/2, 1], [0, 0]], [[216, 133/2], [-274, -121/2], [-1553/2, -547/2], [5/4, -1/4]], [[-330, -227/2], [1171/3, 697/6], [2451/2, 897/2], [-13/12, 1/12]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[418, -158]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [49/2, -19/2], [-5/2, 3/2], [0, 0]], [[0, 0], [1153/2, -441/2], [-135/2, 63/2], [0, 0]], [[5/2, -1], [-1/3, 1/6], [-4, 3/2], [13/12, -5/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 10], [-3, 1], [0, 0]], [[0, 0], [-59/2, 21/2], [-5/2, 3/2], [0, 0]], [[5/2, -1], [-13/3, 5/3], [0, 0], [13/12, -5/12]]], 1, 4, [], [] >,
< [ -7, 0, 1 ], [[52, -20]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, 41], [-4, -1], [0, 0]], [[-5/2, 3/2], [-191/6, -137/6], [93/2, 35/2], [4/3, -1/6]], [[93/2, -35/2], [-655/3, 233/3], [5, 3], [-38/3, 29/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [255/2, -103/2], [5/2, 3/2], [0, 0]], [[1/2, 3/2], [-10/3, 320/3], [-91, -35], [11/6, 1/3]], [[120, -45], [10199, -3832], [-77, 14], [-65/2, 25/2]]], 0, 16, [], [] >,
< [ -7, 0, 1 ], [[-74, 28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-455/2, 179/2], [-19/2, 9/2], [0, 0]], [[7/2, 1], [12874, -4497], [696, -168], [1, 1/2]], [[35/2, -3/2], [310472, -116540], [14520, -5280], [-3/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [85, -27], [-14, 6], [0, 0]], [[-1/2, 0], [-3611/6, 2173/6], [1031/6, -277/6], [1/3, -1/6]], [[0, 0], [513/2, 189/2], [69/2, 27/2], [0, 0]]], 1, 4, [], [] >,
< [ -7, 0, 1 ], [[-8, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-315/2, 117/2], [13/2, -5/2], [0, 0]], [[0, 0], [16, -6], [0, 0], [8, -3]], [[0, 0], [195/2, -65/2], [-7/2, 3/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-211/2, 33/2], [-13/2, -3/2], [0, 0]], [[0, 0], [72596/3, 27149/3], [12238/3, 4615/3], [7/3, -2/3]], [[0, 0], [-311060/3, -114134/3], [-52051/3, -19549/3], [-76/3, 26/3]]], 0, 16, [], [] >,
< [ -7, 0, 1 ], [[-4, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-85/2, 29/2], [3/2, -3/2], [0, 0]], [[15/2, -7/2], [-177, -182], [-208, -70], [15/2, -7/2]], [[-132, 60], [2365, 2894], [3190, 1056], [-132, 60]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25/2, -41/2], [-11/2, -1/2], [0, 0]], [[29/2, 5/2], [-77165/6, 41041/6], [10931/6, -2893/6], [29/6, 5/6]], [[304, -38], [-2304985/3, 928379/3], [246082/3, -87047/3], [304/3, -38/3]]], 1, 6, [], [] >,
< [ -7, 0, 1 ], [[926, -350]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37/2, 5/2], [13/2, -7/2], [0, 0]], [[0, 0], [483, -169], [-288, 112], [0, 0]], [[-1/2, 0], [1/6, -1/6], [-1/2, 0], [1/12, -1/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-129/2, 47/2], [33/2, -13/2], [0, 0]], [[0, 0], [219/2, -145/2], [-105/2, 21/2], [0, 0]], [[-1, 1/2], [-5/6, 1/3], [0, 0], [1/12, -1/12]]], 1, 4, [], [] >,
< [ -7, 0, 1 ], [[4, -4]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-117/2, 13/2], [-5/2, -5/2], [0, 0]], [[-13/2, -7/2], [1159/2, 241/2], [92, 40], [-3, -1/2]], [[-107/2, -27/2], [10175/6, 7639/6], [602, 194], [-41/6, -20/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -6], [0, -2], [0, 0]], [[-9/2, -3/2], [1007/2, 407/2], [90, 45], [-1, -1/2]], [[-1, 0], [155/6, 193/6], [-27/2, 27/2], [1/6, -1/6]]], 0, 16, [], [] >,
< [ -7, 0, 1 ], [[6, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 2], [29, -8], [2, 0], [0, 0]], [[131/2, 93/2], [1694/3, -404/3], [85/2, 5/2], [5/6, 2/3]], [[-209/2, -71/2], [-25, -147/2], [-45/2, -11], [-3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, 2], [747/2, -11/2], [1/2, 3/2], [0, 0]], [[-2941/2, -2687/2], [891470/57, -5462203/114], [-50791/38, -337/19], [173/114, -5/114]], [[-104013/2, -91565/2], [25490773/57, -92123905/57], [-1718435/38, -35143/38], [2921/57, -127/114]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[-20, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-313/2, 117/2], [37/2, -15/2], [0, 0]], [[0, 0], [16, -6], [0, 0], [8, -3]], [[0, 0], [-3618, 1360], [437, -171], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-289/2, 71/2], [1/2, -5/2], [0, 0]], [[0, 0], [-8957/3, -4114/3], [-1226/3, -445/3], [-13/3, -2/3]], [[0, 0], [34727/3, -14666/3], [-1171/3, 256/3], [-152/3, 56/3]]], 0, 16, [], [] >,
< [ -7, 0, 1 ], [[-164, 62]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-219, 82], [-11, 4], [0, 0]], [[-7, 1/2], [-31855/2, 11873/2], [-1615/2, 577/2], [1/2, -1]], [[-119/2, -2], [-104500, 38542], [-5379, 1842], [-2, -17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [127/2, -45/2], [-7/2, 3/2], [0, 0]], [[6, -5/2], [439/3, -391/3], [-86/3, 5/3], [-11/6, 1/3]], [[-9/2, 6], [1445, 847], [252, 75], [11, 5/2]]], 1, 4, [], [] >,
< [ -7, 0, 1 ], [[-10, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-167/2, 59/2], [-3/2, 3/2], [0, 0]], [[4, -2], [-3312, -1643], [1750, 648], [4, -2]], [[105/2, -41/2], [794, -4206], [2542, 806], [105/2, -41/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 18], [-3, -1], [0, 0]], [[7/2, -1/2], [1973/3, -1706/3], [169/3, 47/3], [7/6, -1/6]], [[201/2, -75/2], [87479/2, -33435/2], [661/2, -207/2], [67/2, -25/2]]], 1, 6, [], [] >,
< [ -7, 0, 1 ], [[6, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21/2, 27/2], [3/2, 5/2], [0, 0]], [[3, -2], [323/6, 730/3], [165/2, 55], [-11/6, 1/6]], [[9/2, 3/2], [-1358, -501], [-440, -165], [5/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [302, -97/2], [-2, 5/2], [0, 0]], [[413/2, -5/2], [7507087/114, -9073318/57], [-366041/38, -2/19], [-481/114, -2/57]], [[-6524, 233], [-165770924/57, 288887869/57], [5770700/19, -136584/19], [15145/114, -233/114]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[238, -90]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, -2], [-41/2, -3], [-2, -3/2], [0, 0]], [[322, -23], [4243/6, -547/6], [-23, 46], [-13/6, 1/6]], [[0, -299/2], [137, -637/2], [-299/2, 0], [0, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, -9/2], [-51/2, 11/2], [19/2, -9/2], [0, 0]], [[342, -133], [-672, 237], [342, -133], [0, 0]], [[-5/2, 1], [-5/3, 2/3], [-5/2, 1], [-5/6, 1/3]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[-2016, 762]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5322, -1], [6961826/703, -617/1406], [-44453/13, 7/26], [-3223/54834, 1/383838]], [[3599451/2, -1392891/2], [4706691061/1406, -910697910/703], [-30056201/26, 5815551/13], [-363163/18278, 491879/63973]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15/2, 29], [-5/2, 2], [0, 0]], [[-47492, 0], [-49945861599/26714, -38162886/13357], [-18308587/494, -36422/247], [-23318/520923, 2/3646461]], [[105579715/2, -39217735/2], [27648427854860/13357, -20537196812095/26714], [10070211407/247, -7478422143/494], [25920010/520923, -134792495/7292922]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-84, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, 27], [8, -3], [0, 0]], [[0, 0], [-32, 12], [0, 0], [8, -3]], [[0, 0], [-205/2, 249/2], [43/2, -17/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81/2, 67/2], [-9/2, -5/2], [0, 0]], [[0, 0], [34559/6, -9641/6], [-1703/6, 347/6], [11/3, 1/3]], [[0, 0], [73229/3, -36335/3], [-2702/3, 1772/3], [-11/3, -22/3]]], 0, 32, [], [] >,
< [ -7, 0, 1 ], [[-42, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [100, -35], [-22, 9], [0, 0]], [[-14, -2], [17651/2, -6455/2], [-4033/2, 1591/2], [-2, -2]], [[231/2, -11], [-144587, 54165], [33966, -12987], [-11, 33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-229, 106], [13, -6], [0, 0]], [[2, -3/2], [-61895/6, -2239/6], [3467/6, 115/6], [-13/6, -1/3]], [[36, -8], [-12491/6, 197423/6], [935/6, -11069/6], [16/3, 20/3]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[582, -220]], [ -33, -3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17/6, 1/6], [5/2, -1/2], [0, 0]], [[-9, -3], [5/6, -1], [-2, 1/2], [-2/3, -1/3]], [[1/2, 1/2], [1/3, 0], [0, 0], [1/6, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47/6, 7/6], [-3/2, -5/2], [0, 0]], [[-5/2, -1/2], [-12467/18, 2764/9], [1388/3, -553/6], [-1/18, -1/9]], [[-1, 0], [-5051/9, 4009/18], [1775/6, -277/3], [1/18, -1/18]]], 1, 18, [], [] >,
< [ -7, 0, 1 ], [[132, -50]], [ -149, 55 ], [ -5, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, -9/2], [-2/3, -1/3], [19/2, -9/2], [0, 0]], [[10, -6], [71/18, 17/9], [114/5, -28/5], [16/45, 1/90]], [[-2701/2, 999/2], [1375/18, -110/9], [-3845/2, 1483/2], [-143/9, 121/18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5/2, 1/2], [-685/54, -37/27], [-47/6, 19/30], [-4/27, 1/270]], [[15, -7], [811/54, -647/27], [97/3, -287/15], [13/27, -91/270]]], 1, 18, [], [] >,
< [ -7, 0, 1 ], [[1096, -414]], [ -149, 55 ], [ -5, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[63/2, -23/2], [-10/3, -5/3], [63/2, -23/2], [0, 0]], [[-1071/2, 543/2], [-5639/9, -4133/18], [-691/2, 2411/10], [-5/18, 2/45]], [[975897/2, -375345/2], [328160/9, 73120/9], [3792077/10, -1485173/10], [7154/45, -2576/45]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[223/2, -79/2], [1294/27, -143/54], [-18733/30, -2249/30], [83/270, 2/135]], [[6745/2, -2451/2], [1222, -174], [-28367/2, -855/2], [22/3, -1/3]]], 1, 360, [], [] >,
< [ -7, 0, 1 ], [[21256, -8034]], [ -33, -3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31/3, -5/6], [-19/2, 0], [0, 0]], [[39/2, 9/2], [253/2, -145/6], [267/2, -69/2], [2/3, 5/6]], [[58, 232], [-12603/2, 8663/3], [-7776, 6561/2], [87, -29/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-143/3, 16/3], [-16, 2], [0, 0]], [[-4, -2], [4157/9, -4957/18], [1177/6, -260/3], [-5/9, -1/9]], [[3/2, 17/2], [-168097/18, 34112/9], [-10253/3, 7945/6], [29/9, -7/18]]], 1, 360, [], [] >,
< [ -7, 0, 1 ], [[-630, 238]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -3/2], [9/2, -11/2], [-21/2, 5/2], [0, 0]], [[-12, -6], [-521/6, -253/6], [-42, -12], [-25/6, 1/6]], [[-45/2, 30], [-123, 399/2], [210, -45/2], [129/2, -43/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21, 8], [-11, 6], [-21, 8], [0, 0]], [[95/2, -39/2], [481/6, 41/6], [35/2, -51/2], [-5/3, -1/3]], [[1, 1/2], [2/3, 1/3], [7, 7/2], [1/3, 1/6]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[42, 0]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3319, -4], [961217/1406, -99/703], [-1175/2, -6/13], [-9517/54834, -5/54834]], [[2361975/2, -914115/2], [-171668978/703, 132852861/1406], [2720722/13, -2105799/26], [1130885/18278, -218815/9139]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [209/2, -38], [3/2, -1], [0, 0]], [[-1687/2, -1/2], [-7274789975/26714, -34835258/13357], [5021721/494, 40325/247], [-3535/80142, 2/520923]], [[-5447185/2, 1996655/2], [-11473669621126/13357, 8398746056709/26714], [7785085397/247, -5692293513/494], [-24774030/173641, 18163745/347282]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[14, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-231/2, 79/2], [49/2, -19/2], [0, 0]], [[-7/2, -1/2], [3849, -833], [-639, 275], [-1/2, -1/2]], [[-14, 3/2], [26477, -8724], [-5503, 2149], [3/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, -16], [-49, 17], [0, 0]], [[9/2, -3/2], [-80131/2, -30965/2], [-361/2, -2053/2], [-1/2, 1/2]], [[5, -3/2], [-228145/3, -87284/3], [-4286/3, -4582/3], [-1/6, 2/3]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[28, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -20], [7, -3], [0, 0]], [[0, 0], [-40, 15], [-24, 9], [8, -3]], [[0, 0], [301/2, -125/2], [49/2, -15/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-301/2, -81/2], [-63/2, -5/2], [0, 0]], [[0, 0], [-450125/3, -147673/3], [-79360/3, -17018/3], [5/3, -2/3]], [[0, 0], [-42973, -16567], [-6174, -2520], [0, 0]]], 0, 192, [], [] >,
< [ -7, 0, 1 ], [[-1598, 604]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, -1/2], [-5, -1/2], [0, 0]], [[-7/2, -1/2], [-665/6, 25/6], [-83/2, 1/2], [-7/6, -2/3]], [[-3/2, 1/2], [-223/3, 163/6], [-26, 19/2], [1/3, -1/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, 1/2], [-3/2, -3/2], [0, 0]], [[29/2, 7/2], [45/2, -9/2], [11/2, -1/2], [8, 1/2]], [[-123/2, -61/2], [95/3, -215/6], [0, -19/2], [-47/3, -91/6]]], 1, 18, [], [] >,
< [ -7, 0, 1 ], [[-1942, 734]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [157/2, -61/2], [127/2, -47/2], [0, 0]], [[-8, -5/2], [-12284, 9263/2], [-9689, 7319/2], [-5/4, -1/4]], [[-897/2, -339/2], [-8465/6, -1211/6], [-1059/2, 123/2], [-176/3, -133/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-121/2, 49/2], [-83/2, 31/2], [0, 0]], [[-15, -9/2], [-6881/6, 1747/6], [-1221/2, 495/2], [-29/12, -5/12]], [[253/2, 95/2], [11717/6, 3311/6], [-77/2, -275/2], [50/3, 37/6]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-20, 4]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5/2, 1/2], [7/2, -5/2], [0, 0]], [[6, -2], [-1040/3, -416/3], [310, 100], [-4/3, 2/3]], [[13/2, -7/2], [1420, 526], [-1100, -440], [-3, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [291/2, -127/2], [33/2, 3/2], [0, 0]], [[1/2, -1/2], [36427, 14133], [-33592, -12682], [-1/2, 0]], [[3/2, -1/2], [-31319/3, -8891/3], [8262, 3162], [-1/3, 1/6]]], 0, 64, [], [] >,
< [ -7, 0, 1 ], [[-134, 52]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, -3/2], [-1, 1/2], [0, 0]], [[35/2, 9/2], [-160/3, -103/3], [0, 0], [28/3, 5/6]], [[-2227/2, 917/2], [-24128/3, 8566/3], [0, 0], [-8777/6, 1703/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25, -5/2], [7, 5/2], [0, 0]], [[-5/2, 1/2], [7919/3, -2716/3], [-108, 0], [-8/3, 5/6]], [[-3/2, 1/2], [5311/3, -1964/3], [-46, 11], [-11/6, 2/3]]], 0, 216, [], [] >,
< [ -7, 0, 1 ], [[44, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53/2, 19/2], [-65/2, 25/2], [0, 0]], [[0, 0], [8, -3], [-8, 3], [8, -3]], [[0, 0], [69/2, -27/2], [83/2, -31/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, -1/2], [5/2, -1/2], [0, 0]], [[0, 0], [7/6, -29/6], [77/6, -13/6], [-8/3, -5/3]], [[0, 0], [-236/3, 88/3], [-313/3, 119/3], [-31/3, 11/3]]], 0, 32, [], [] >,
< [ -7, 0, 1 ], [[344, -130]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [241, -92], [-55, 20], [0, 0]], [[14, -2], [-66821/2, 25245/2], [14853/2, -5627/2], [-2, 2]], [[21/2, 2], [-9224, 3476], [2034, -781], [2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-431/2, 163/2], [175/2, -65/2], [0, 0]], [[25/2, 5], [24727/6, -9413/6], [-9841/6, 3815/6], [10/3, 5/6]], [[-197/2, -75/2], [-11798/3, 4717/3], [4391/3, -2026/3], [-131/6, -47/6]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[22, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-55/2, 17/2], [-9/2, 3/2], [0, 0]], [[-15/2, 5/2], [-1521/2, -713/2], [-135/2, -83/2], [-15/2, 5/2]], [[10, -4], [-675, -157], [-87, -10], [10, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 2], [5, 2], [0, 0]], [[-5/2, -5/2], [-512/3, 199/3], [-46/3, -4/3], [-5/6, -5/6]], [[-79/2, 29/2], [19987/6, -7553/6], [671/6, -259/6], [-79/6, 29/6]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[-3540, 1338]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-31/2, -1/2], [-89/2, 8], [2, -5/2], [0, 0]], [[6179/2, 2303/2], [8695/2, 3149/2], [828, 322], [1/2, 1]], [[-1952, -1025], [-1621, -1833], [-851, -161], [-39/2, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -1], [95/2, -19/2], [-1/2, 5/2], [0, 0]], [[-782, -575], [-13766/3, -24467/6], [-2410, -1359/2], [13/6, 1/3]], [[-63273/2, 14973/2], [-1531243/6, 199829/3], [10495, -24269/2], [-221/6, 119/6]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-6, 12]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1], [31, 13], [5, 2], [0, 0]], [[-61, 26], [468, -473/2], [42, -51/2], [2, 3/2]], [[5501/2, -2129/2], [-45579/2, 18235/2], [-2240, 928], [17, -51/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 0], [-37, 14], [5, -1], [0, 0]], [[1167/2, 429/2], [-599/2, 225/2], [708, 246], [0, 1/2]], [[-14399/2, -5203/2], [5924, -4461/2], [-17757/2, -2928], [5, -8]]], 0, 144, [], [] >,
< [ -7, 0, 1 ], [[-12, 6]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, 2], [18, -3], [5, -1], [0, 0]], [[97/2, 57/2], [532, 343/2], [257/2, 40], [3/2, 1/2]], [[608, -209], [-4408/3, 4325/6], [-437, 409/2], [-19/6, 5/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1/2], [301/2, 5], [1, -1/2], [0, 0]], [[45/2, -5/2], [147023/114, 15853/114], [230/19, -5/19], [-115/57, 5/114]], [[-1328, 592], [-634294/19, 418299/19], [-10464/19, 5184/19], [1744/19, -864/19]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-12, 6]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 7], [2, 2], [0, 0]], [[3/2, -1/2], [106/3, 25/3], [12, 3], [-1/3, 1/6]], [[0, 0], [19, 7/2], [6, 3/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-311, -40], [2, 2], [0, 0]], [[-231/2, 3/2], [-468316/57, -1992577/57], [29632/19, 1027/19], [269/114, 1/57]], [[-4144, 1945], [70854198/19, -40565733/38], [901206/19, -900951/38], [3007/38, -1447/38]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[-910, 344]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[101/2, -37/2], [177/2, -63/2], [101/2, -37/2], [0, 0]], [[27147/2, -10393/2], [69907/3, -27091/3], [27137/2, -10385/2], [1/6, 5/6]], [[11541/2, -3267/2], [22309/2, -2373], [5745, -1641], [-10, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-135/2, 51/2], [-73/2, 29/2], [-135/2, 51/2], [0, 0]], [[553/2, -219/2], [1336/3, 265/6], [276, -108], [-11/6, 1/3]], [[10, 130], [-15275/2, -5627/2], [-35, 112], [27/2, 9/2]]], 1, 36, [], [] >,
< [ -7, 0, 1 ], [[-70, 32]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35/2, 5/2], [25/2, 7/2], [35/2, 5/2], [0, 0]], [[-1475, -305], [-2243/2, -713/2], [-1479, -306], [1/2, 1/2]], [[-35049/2, 11673/2], [-5341, 2613/2], [-17561, 5848], [-39/2, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -1], [-183, 60], [-7, -1], [0, 0]], [[15689, 6086], [23569, 42627/2], [31375/2, 12175/2], [-2, 1/2]], [[45269/2, 14963/2], [332419/2, -22487], [22655, 7475], [11, -9/2]]], 0, 432, [], [] >,
< [ -7, 0, 1 ], [[9366, -3540]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5400, -1], [-2383017/703, -2741/1406], [10800/13, -61/26], [-203/1406, 3/127946]], [[1553349/2, -1426545/2], [341886700/703, -314632953/703], [-1583405/13, 1431225/13], [190206/9139, -348711/18278]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [161/2, -46], [5/2, -2], [0, 0]], [[-40113/2, 3/2], [5747663528/13357, 1631289/26714], [1823064/247, 2913/494], [-505/26714, 2/1215487]], [[55/2, 103/2], [-7875315/13357, -14750590/13357], [-2494/247, -4671/247], [9/347282, 59/1215487]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[224, -70]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-189/2, -3/2], [-325/2, 53/2], [-189/2, -3/2], [0, 0]], [[17729, 7169], [15630, 14201/2], [35441/2, 14339/2], [-2, 3/2]], [[194229/2, 37389/2], [258915/2, 6055/2], [194579/2, 37235/2], [119, -42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[77/2, 5/2], [97/2, 67/2], [77/2, 5/2], [0, 0]], [[153170, 59501], [949419/2, 354813/2], [153153, 59499], [-1/2, 5/2]], [[-623371/2, -135583/2], [-663314, -626865/2], [-311850, -67716], [-231/2, 40]]], 0, 3456, [], [] >,
< [ -7, 0, 1 ], [[2408, -910]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-217/2, 83/2], [-233/2, 85/2], [-217/2, 83/2], [0, 0]], [[14359/2, -5445/2], [22831/3, -16955/6], [7266, -2711], [13/6, 1/3]], [[22763/2, -8519/2], [69359/6, -13834/3], [11144, -4383], [-19/3, -19/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[49, -20], [46, -20], [49, -20], [0, 0]], [[-34041/2, 12843/2], [-33085/2, 6237], [-17017, 6422], [0, -1/2]], [[279931/2, -108015/2], [812801/6, -316025/6], [280371/2, -107835/2], [-205/3, -65/3]]], 1, 288, [], [] >,
< [ -7, 0, 1 ], [[-24780, 9366]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-310, -5], [1017565/703, 109/1406], [-16110/13, -31/26], [-6705/18278, -5/18278]], [[-38367/2, -12789/2], [121434935/1406, 20013798/703], [-1926577/26, -317730/13], [-200361/9139, -132153/18278]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63/2, 19/2], [3/2, -1/2], [0, 0]], [[2942, 2], [345119, -959/2], [-83996/13, 317/26], [2/13, 0]], [[-182589/2, 813351/2], [-152278311890/13357, 637513080447/13357], [53488207/247, -220735929/247], [-846549/173641, 7386555/347282]]], 1, 768, [], [] >,
< [ -7, 0, 1 ], [[58, -8]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, 15/2], [-8, 5/2], [0, 0]], [[-13/2, -3/2], [-1597/3, -496/3], [-42, -6], [-11/3, -1/6]], [[-20, 0], [-7757/6, -622/3], [-315/2, 18], [-50/3, 10/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-109/2, -20], [-45/2, 0], [0, 0]], [[-3, -1], [-3883/6, -1405/6], [-679/2, 53/2], [-4/3, -1/3]], [[21/2, 1/2], [5029/3, 1093/3], [5562, -1890], [49/6, -4/3]]], 0, 648, [], [] >,
< [ -7, 0, 1 ], [[-1598, 604]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/2, -7], [-19/2, -2], [0, 0]], [[1/2, 1/2], [8459/6, 1397/6], [1485/2, 693/2], [2/3, 1/6]], [[13/2, -3/2], [-10846/3, 14533/6], [2244, 33/2], [-2/3, 5/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11/2, 5], [1/2, 2], [0, 0]], [[-9/2, 5/2], [145/3, -53/3], [12, -6], [13/6, -1/3]], [[3/2, 1/2], [14/3, 5/3], [0, 0], [5/6, 1/3]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-1598, 604]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5/2, -3/2], [-25/6, -13/6], [-7/2, -1/2], [-1/3, -5/6]], [[0, 4], [8/3, 31/6], [12, -3/2], [-14/3, 10/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9/2, -3], [-11/2, -1], [0, 0]], [[1/2, -3/2], [-3491/6, -623/6], [-315/2, -315/2], [-5/3, -1/6]], [[40, -10], [-611, 2987/2], [3045, -609/2], [-5, 5]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-4, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-531/2, 195/2], [-1/2, -1/2], [0, 0]], [[0, 0], [8, -3], [-8, 3], [8, -3]], [[0, 0], [61, -23], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-179/2, 7/2], [7/2, -5/2], [0, 0]], [[0, 0], [11741/2, -3993/2], [-1117/2, 439/2], [1, 0]], [[0, 0], [-7108/3, 3455/3], [868/3, -299/3], [1/3, 1/3]]], 0, 96, [], [] >,
< [ -7, 0, 1 ], [[-1598, 604]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-333/2, 147/2], [-1/2, 5/2], [0, 0]], [[-14, -1/2], [-3586, -1312], [-771, -294], [-1/2, -2]], [[28, 0], [6516, 2368], [1395, 533], [0, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-206, 58], [-11, 1], [0, 0]], [[2, 0], [-264721/6, -96583/6], [-41513/6, -15557/6], [-4/3, 2/3]], [[-12, -5/2], [2427359/6, 908129/6], [384241/6, 144871/6], [13/6, -7/3]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-4, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [711/2, -267/2], [157/2, -59/2], [0, 0]], [[0, 0], [56, -21], [-8, 3], [8, -3]], [[0, 0], [-1597/2, 665/2], [-357/2, 147/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35, -58], [-13, 2], [0, 0]], [[0, 0], [-65549/6, 16201/6], [4517/6, -2263/6], [-11/3, -2/3]], [[0, 0], [201771/2, -81483/2], [-20667/2, 7473/2], [6, -6]]], 0, 96, [], [] >,
< [ -7, 0, 1 ], [[-1598, 604]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1777/2, -677/2], [-79/2, 29/2], [0, 0]], [[-21/2, 2], [-12464, 5150], [664, -183], [2, -3/2]], [[161/2, -69/2], [146207, -54333], [-6189, 2483], [-69/2, 23/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [145/2, -167/2], [-35/2, -5/2], [0, 0]], [[5/2, 3/2], [-14824/3, -4663/3], [-2153/3, -848/3], [11/6, -1/6]], [[-108, -45/2], [207179/2, 98993/2], [38963/2, 13973/2], [39/2, -21]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-2, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, 34], [2, -1], [0, 0]], [[-3/2, 1/2], [-167/2, -57/2], [31/2, 9/2], [-3/2, 1/2]], [[0, 0], [-107/2, 19/2], [7/2, 1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17/2, -1/2], [-19/2, 5/2], [0, 0]], [[15, 0], [-221, -57], [168, -7], [5, 0]], [[-91/2, -13/2], [5005/6, 1597/6], [-2899/6, -307/6], [-91/6, -13/6]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-2, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, -20], [-3, 0], [0, 0]], [[-4, 1], [119/2, -23/2], [-9/2, -7/2], [-4, 1]], [[-23/2, 9/2], [293/2, -117/2], [21/2, -5/2], [-23/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-91/2, 11/2], [23/2, -1/2], [0, 0]], [[25/2, 1/2], [101765/6, -19279/6], [-24689/6, 3049/6], [25/6, 1/6]], [[-323/2, 493/2], [-4659619/6, 2442131/6], [897211/6, -562115/6], [-323/6, 493/6]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[66, -24]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -1/2], [-29/2, -4], [0, 3/2], [0, 0]], [[-47/2, 21/2], [-85/3, -62/3], [61/2, -9/2], [11/6, 2/3]], [[15257, -5767], [-46967/6, 8899/3], [-25239/2, 4768], [-127/6, 23/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, 1/2], [801/2, 18], [-1, -5/2], [0, 0]], [[-815, 701], [654596/57, -2693555/57], [38792/19, -954/19], [79/57, 2/57]], [[-177477/2, 68041/2], [171022397/38, -66634453/38], [1405330/19, -514403/19], [840/19, -609/38]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[66, -24]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, 3/2], [-57/2, -3], [2, -5/2], [0, 0]], [[-819, 279], [-6229/3, 2195/6], [571, -539/2], [4/3, 1/6]], [[-184428, 69651], [-2168567/6, 815015/6], [303773/2, -115013/2], [322/3, -118/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -5/2], [-1015, -29/2], [-13/2, 1], [0, 0]], [[-83467/2, 82751/2], [2681362687/114, 440676341/114], [2355048/19, -3491/19], [-56/57, -5/114]], [[492155828, -188569152], [-859706002310/19, 300782601907/19], [-7865288132/19, 2884428364/19], [54990/19, -19998/19]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[7424, -2806]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39, -6], [8, 2], [0, 0]], [[7, -3], [4817/6, -593/3], [239/2, 16], [-7/3, 2/3]], [[-11/2, 5/2], [-730, 291/2], [-132, -51/2], [2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 15/2], [20, 1/2], [0, 0]], [[-5/2, 5/2], [-8303/2, -2240], [-14255/2, -2140], [5/2, 0]], [[-116, 48], [30559/3, -42068/3], [-36600, 924], [110/3, -34/3]]], 1, 72, [], [] >,
< [ -7, 0, 1 ], [[-204, 78]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -5/2], [8, 5/2], [0, 0]], [[-7/2, -1/2], [378, -16], [-59, -16], [0, -1/2]], [[-289, 107], [55480, -20814], [-2254, 805], [173, -66]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-77/2, 22], [45/2, 0], [0, 0]], [[17, 2], [-2296, -1069], [-2983, -1073], [-1/2, 5/2]], [[4913/2, -1819/2], [209521/2, -43956], [-72953/2, 8833], [-2941/2, 561]]], 0, 144, [], [] >,
< [ -7, 0, 1 ], [[-7842, 2964]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82, -31], [-1, 1], [0, 0]], [[3/2, -3/2], [-209/2, 39], [-7/2, -3], [-2, 1/2]], [[1/2, 1/2], [1, 0], [0, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23/2, -5/2], [-5/2, 5/2], [0, 0]], [[-7/2, 3/2], [904/3, 707/6], [259, 197/2], [7/6, -1/3]], [[-16, 6], [-328/3, -143/6], [-76, -53/2], [13/3, -5/3]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-20, 14]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, -5/2], [47, -37/2], [-45/2, 0], [0, 0]], [[-3131/2, -961/2], [-283, 460], [11203/2, 3971/2], [-3/2, 0]], [[-535/2, -621/2], [4777/3, -1399/3], [3511/2, 1823/2], [7/6, -2/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1/2], [67/2, 1], [1, 1/2], [0, 0]], [[-9/2, 5/2], [295/6, -139/6], [0, 0], [5/6, -4/3]], [[160, -70], [-4927/3, 2026/3], [0, 0], [-155/3, 95/3]]], 0, 216, [], [] >,
< [ -7, 0, 1 ], [[-17372, 6566]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 1], [49/2, -7/2], [3/2, 3/2], [0, 0]], [[929, 357], [5770/3, 5395/6], [786, 571/2], [-5/6, 1/3]], [[35/2, 15/2], [13, 55/2], [35/2, 5], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 7/2], [-19, 41/2], [17/2, 2], [0, 0]], [[2201, 831], [14182/3, 5105/3], [1805, 687], [8/3, 1/3]], [[511/2, -25/2], [43028/3, -15734/3], [-1409/2, 671/2], [689/6, -130/3]]], 1, 18, [], [] >,
< [ -7, 0, 1 ], [[-9530, 3602]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [129/2, -49/2], [-87/2, 33/2], [0, 0]], [[2, 3/2], [667/3, -235/3], [-267/2, 57], [17/12, 1/12]], [[418, 319/2], [8987/6, 1417/6], [929, 1139/2], [1397/12, 517/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [85, -34], [-43, 16], [0, 0]], [[-29/2, 2], [37607/2, -7118], [-18361/2, 6937/2], [13/4, 1/4]], [[243/2, 93/2], [5590/3, -1228/3], [-1337/2, 581/2], [-311/6, -59/3]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-76, 28]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39/2, -73/2], [-55/2, -5/2], [0, 0]], [[15/2, 7/2], [-7241/6, -2713/6], [-531, -201], [17/6, 2/3]], [[-290, 110], [-5387/3, 1871/3], [97, -61], [530/3, -200/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17/2, -51/2], [-45/2, -3/2], [0, 0]], [[7/2, 3/2], [-183157/6, -69365/6], [-13720, -5180], [7/6, 1/3]], [[-24, 9], [4530, -1033], [-490, 490], [29/2, -11/2]]], 0, 64, [], [] >,
< [ -7, 0, 1 ], [[-30, 12]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 7/2], [11, -21/2], [19/2, 1], [0, 0]], [[7443/2, 2707/2], [-29227/6, -7709/6], [2870, 1183], [13/6, 1/3]], [[-71995/2, 13209/2], [581223/2, -203823/2], [41860, -21574], [-497/2, 91]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [-141/2, 17], [-5, 1/2], [0, 0]], [[1867/2, 1491/2], [2900617/114, -375889/114], [40567/19, 1838/19], [17/114, -7/57]], [[2668, -912], [-4720127/57, 1815656/57], [-85309/19, 33751/19], [-67/57, 25/57]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[1688, -638]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1303/2, -493/2], [-231/2, 87/2], [0, 0]], [[0, 5/2], [1753, -669], [-323, 114], [5/2, 0]], [[7/2, -2], [-2598, 984], [464, -173], [-2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-337/2, 121/2], [241/2, -91/2], [0, 0]], [[5/2, -2], [1565/2, -687/2], [-1243/2, 453/2], [-3, -1/2]], [[-327/2, -62], [-43319/6, -16633/6], [-8087/6, -2869/6], [-761/3, -575/6]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[16, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-167/2, 65/2], [443/2, -167/2], [0, 0]], [[0, 0], [8, -3], [8, -3], [8, -3]], [[0, 0], [-283/2, 115/2], [759/2, -285/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [71/2, -35/2], [7/2, -1/2], [0, 0]], [[0, 0], [-4735/6, 271/6], [227/6, 223/6], [-13/3, -2/3]], [[0, 0], [-19586/3, 5582/3], [-653/3, 617/3], [-70/3, 10/3]]], 0, 32, [], [] >,
< [ -7, 0, 1 ], [[8, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [77/2, -29/2], [9/2, -3/2], [0, 0]], [[37/2, -15/2], [-181/2, 69/2], [-49/2, 21/2], [37/2, -15/2]], [[160, -40], [-1293/2, 465/2], [-495/2, 87/2], [160, -40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -6], [-15, 0], [0, 0]], [[12, 0], [469/2, 771/2], [-1009/2, 737/2], [4, 0]], [[539/2, -143/2], [-64843/6, 43543/6], [-160127/6, 67661/6], [539/6, -143/6]]], 1, 8, [], [] >,
< [ -7, 0, 1 ], [[-30, 12]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, 35/2], [-6, -3/2], [0, 0]], [[35/2, -15/2], [-41587/6, -3935/3], [-8921/2, -1661], [-35/6, 5/3]], [[891/2, -333/2], [-29968, 19678], [8624, 3850], [-120, 93/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-201/2, 39], [17/2, 2], [0, 0]], [[-91/2, 1/2], [27523871/114, -10489453/114], [-311133/38, -7143/38], [53/57, 1/114]], [[56595, -22491], [-68538532721/114, 25899437455/114], [351436869/38, -141049137/38], [-62279/57, 24892/57]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-4466, 1688]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, -7/2], [-115/2, 43/2], [13/2, -7/2], [0, 0]], [[-1115/2, 471/2], [25765/6, -4868/3], [-560, 235], [-8/3, -5/6]], [[-116, 77], [3488/3, -1319/3], [-119, 76], [-11/3, -4/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-82, 31], [-49, 19], [-82, 31], [0, 0]], [[-695/2, 269/2], [-455/2, 79], [-352, 133], [1, 1/2]], [[-241/2, -97/2], [1012/3, 377/3], [13/2, -1/2], [-209/6, -79/6]]], 1, 36, [], [] >,
< [ -7, 0, 1 ], [[-112, 46]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 5/2], [-67/2, -11/2], [1/2, 5/2], [0, 0]], [[-1021, 68], [6043/6, 10871/6], [-1036, 70], [-61/6, -5/6]], [[288909/2, -110831/2], [2797981/6, -511868/3], [146902, -56350], [2848/3, -2225/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, 1/2], [-99/2, 27/2], [-25/2, 1/2], [0, 0]], [[1603, 549], [4925/2, 1027/2], [1625, 550], [-31/2, 1/2]], [[1665/2, -3203/2], [98809/6, -23501/3], [1145, -1730], [-827/3, 661/6]]], 0, 432, [], [] >,
< [ -7, 0, 1 ], [[20748, -7842]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[47969/2, -5/2], [24983781/1406, -1578/703], [297319/26, 64/13], [-14525/54834, -2/191919]], [[34883573, -12106977], [18169449063/703, -12612199847/1406], [215932765/13, -149850509/26], [-10559053/27417, 25651312/191919]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-108, -113/2], [-11, -5/2], [0, 0]], [[-81613, -1], [-8740367/2, 31929/2], [546965/26, 25471/26], [-1/13, 0]], [[606642375/2, -191757425/2], [218705706582907/13357, -138742169367625/26714], [-17322518609/247, 10410674269/494], [22912475/80142, -329539825/3646461]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[322, -112]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[217/2, 5/2], [-267/2, -15/2], [217/2, 5/2], [0, 0]], [[-65677/2, 13403/2], [229489/6, -20585/3], [-32830, 6700], [16/3, 1/6]], [[-5042995, 1887520], [5630002, -2103265], [-5041750, 1887055], [495, -180]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-133/2, -5/2], [-93/2, -21/2], [-133/2, -5/2], [0, 0]], [[-81561/2, -32657/2], [-126758/3, -97613/6], [-40768, -16328], [-53/6, 1/3]], [[285070, -1041324], [-2273566/3, -1985237/3], [292292, -1043900], [-18653/3, 6785/3]]], 0, 3456, [], [] >,
< [ -7, 0, 1 ], [[11816, -4466]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 3/2], [43/2, -23/2], [7/2, 3/2], [0, 0]], [[21/2, -5/2], [-86/3, 43/6], [0, 0], [-35/6, 1/3]], [[-153, 54], [847/2, -301/2], [0, 0], [129/2, -39/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1043/2, 395/2], [-1135/2, 427/2], [-1043/2, 395/2], [0, 0]], [[107621/2, -40565/2], [348617/6, -66283/3], [53802, -20286], [8/3, 5/6]], [[2485, -576], [3089/3, -7525/6], [4851/2, -1197/2], [49/3, 37/6]]], 1, 288, [], [] >,
< [ -7, 0, 1 ], [[-54894, 20748]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[6465/2, 3/2], [-2911599/1406, 3717/1406], [51251/26, -77/26], [713/4218, -1/27417]], [[134477/2, -60271/2], [-822900/19, 736471/38], [536322/13, -36915/2], [2611/741, -2339/1482]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, -93/2], [-11, -5/2], [0, 0]], [[1336, 1], [-2584130499/26714, 653744503/26714], [-4987469/494, 447971/494], [5599/80142, 5/1041846]], [[15412353/2, -6937887/2], [-26842731722241/26714, 5250342791887/13357], [-36991879497/494, 7780832271/247], [70123878/173641, -63092865/347282]]], 1, 768, [], [] >,
< [ -7, 0, 1 ], [[18, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [97/2, -17], [3/2, 0], [0, 0]], [[-5/2, -1/2], [67, -47/2], [3, 3/2], [-1, -1/2]], [[-3, -1], [71/3, -19/3], [5, 2], [-5/3, -2/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 17/2], [0, -3/2], [0, 0]], [[-5/2, 1/2], [-905/2, -281/2], [-219/2, -87/2], [1, -1/2]], [[3, 0], [2371/2, 845/2], [623/2, 239/2], [-1/2, 1/2]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[72, -18]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [167/2, -31], [-9/2, 0], [0, 0]], [[-3/2, -3/2], [-1500, 525/2], [1275, 915/2], [-3/2, 0]], [[-7/2, 11/2], [8771, -5409/2], [-2727, -1707/2], [7, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [124, -89/2], [-3, -3/2], [0, 0]], [[8, -1], [-24409/2, 4620], [-111/2, 18], [-5/2, 3/2]], [[-3/2, -3/2], [-2955, 1110], [-9, 6], [-3/2, 0]]], 0, 576, [], [] >,
< [ -7, 0, 1 ], [[18, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1], [15/2, -5/2], [7/2, -1/2], [0, 0]], [[-385, -141], [-115, -119/2], [-295, -235/2], [-2, -3/2]], [[11007/2, 3877/2], [2491/2, 1947/2], [4000, 1700], [11, 55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [1/2, 2], [3, 3/2], [0, 0]], [[31/2, 7/2], [-409/6, 56/3], [-5, 7/2], [19/6, 5/6]], [[55, 10], [-599/2, 90], [-51/2, 15], [11, 5/2]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[198, -72]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 3/2], [11/2, 13], [6, -3/2], [0, 0]], [[-341/2, -131/2], [-5361/2, -2051/2], [-150, -48], [2, -3/2]], [[217, 85], [3416, 1328], [213, 54], [-8, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1/2], [-51/2, 9], [-3, 3/2], [0, 0]], [[0, 0], [-36, -33/2], [6, 3/2], [2, 1/2]], [[0, 0], [645, -260], [180, -66], [60, -22]]], 0, 576, [], [] >,
< [ -7, 0, 1 ], [[18, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 1/2], [-2, 5/2], [-3/2, 3], [0, 0]], [[-88, -22], [-82/3, -175/6], [-38, -71/2], [-5/3, -5/6]], [[55/2, 55/2], [220/3, -5/6], [175/2, 1], [5/3, 1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-31/2, -7/2], [118, -13/2], [-9/2, -6], [0, 0]], [[1923/2, 2137/2], [1247897/114, -1187699/114], [61229/19, -740/19], [137/57, -1/114]], [[15356, 17796], [21722353/114, -10005845/57], [2051543/38, -18481/19], [4589/114, -22/57]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[18, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-73, 47/2], [-3, -3/2], [0, 0]], [[-15/2, 5/2], [-17101/6, 6683/6], [105/2, 9/2], [5/3, -5/6]], [[13, 6], [-12925/6, -1112/3], [-2079/2, -396], [55/6, 19/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, -47], [3, -3], [0, 0]], [[-77, 2], [3011257/114, -730498/57], [86553/38, -1131/19], [179/114, -1/114]], [[35875/2, -1435/2], [-733267981/114, 349361675/114], [-20163375/38, 809745/38], [-41615/114, 410/57]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[-96390, 36432]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3851/2, -1/2], [-2946681/1406, -1735/1406], [-93619/26, -11/26], [941/18278, -2/63973]], [[818978, -311370], [-1250491505/1406, 237720575/703], [-39779275/26, 7561997/13], [15408/703, -533074/63973]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, -3], [-5, -1], [0, 0]], [[-81613/2, -1/2], [-189626, 4643/2], [810112/13, 4747/26], [-1/26, 0]], [[145268926, -56514824], [18635354738287/26714, -3618342505450/13357], [-108719523033/494, 21157400520/247], [23775891/173641, -64747601/1215487]]], 1, 384, [], [] >,
< [ -7, 0, 1 ], [[126, 0]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[77/2, 1/2], [333903/1406, 2715/1406], [14853/26, 27/26], [833/18278, -1/9139]], [[-748, 289], [-3287622/703, 2539021/1406], [-148795/13, 114833/26], [-16881/18278, 6511/18278]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [49/2, -57/2], [-3/2, -3/2], [0, 0]], [[985/2, 1/2], [1451292917/26714, 33845729/26714], [-591893/494, 11897/494], [344/13357, 3/347282]], [[-47904, 14970], [-134249775587/26714, 20478294256/13357], [60240821/494, -9604978/247], [-435627/173641, 10479/13357]]], 1, 3072, [], [] >,
< [ -7, 0, 1 ], [[-270, 108]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [153/2, -27/2], [3/2, 9/2], [0, 0]], [[-17/2, -5/2], [-37329/2, 14207/2], [3591/2, -1323/2], [-3/2, -1]], [[-4, -1], [-28337/2, 5378], [2709/2, -504], [-1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2013/2, 390], [-15/2, 6], [0, 0]], [[13, 4], [-1467, 515], [-33, 0], [5/2, 3/2]], [[-1/2, -1/2], [3, -1], [0, 0], [-1/2, 0]]], 0, 1728, [], [] >,
< [ -7, 0, 1 ], [[-169254, 63972]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [345/2, -141/2], [-15/2, -3/2], [0, 0]], [[-5, 0], [-114121/6, 21883/3], [583/2, -34], [-5/6, -5/6]], [[-21/2, -9/2], [5728, -3427/2], [378, 363/2], [-7, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [378, -141], [6, 0], [0, 0]], [[4, -2], [26503/6, -4966/3], [113/2, -2], [-5/3, 1/3]], [[-115/2, -45/2], [16163/6, 853/3], [4705/2, 884], [-215/6, -40/3]]], 1, 144, [], [] >,
< [ -7, 0, 1 ], [[-270, 108]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-570, 411/2], [3, -9/2], [0, 0]], [[-9/2, 5/2], [-22211, 9091], [621, 0], [13/2, -1]], [[-65, -26], [-101179/2, -50217/2], [-39675/2, -14835/2], [-247/2, -91/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1929/2, -723/2], [-3/2, 3/2], [0, 0]], [[2, -1], [97633/2, -18532], [-339/2, 39], [-3/2, 1/2]], [[37/2, 7/2], [202639/2, -69659/2], [2295/2, 1275/2], [1, 5/2]]], 0, 1728, [], [] >,
< [ -7, 0, 1 ], [[-169254, 63972]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -1/2], [-3, 9/2], [0, 0]], [[-2, 0], [1237/6, 187/6], [197/2, 209/2], [-5/3, 1/3]], [[1/2, 1/2], [-851/6, -235/3], [-553/2, -68], [-1/6, 1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-555/2, 111], [15/2, 3], [0, 0]], [[1/2, 5/2], [-104483/2, 39289/2], [-333/2, -63/2], [3, 1/2]], [[35/2, 15/2], [-61655/3, 43445/6], [-668, -481/2], [35/3, 25/6]]], 1, 144, [], [] >,
< [ -7, 0, 1 ], [[-36, 18]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 2], [5, -10], [3, 3], [0, 0]], [[-144, -54], [674/3, 533/6], [-116, -89/2], [1/3, 1/6]], [[3/2, -3/2], [61/2, -10], [-6, 3/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-31/2, -1/2], [367/2, -295], [6, -15/2], [0, 0]], [[-7105/2, -10815/2], [-77667235/114, 2055715/114], [-325402/19, 17443/19], [-91/57, -1/114]], [[-470041/2, 113603/2], [439130131/38, -209152131/38], [5993397/19, -2766084/19], [925/38, -230/19]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[-36, 18]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-39/2, -9/2], [-91/2, -2], [-6, -15/2], [0, 0]], [[305/2, -217/2], [3181/3, -1420/3], [-911/2, 263/2], [1/6, 1/3]], [[16989/2, -6195/2], [132359/3, -99085/6], [-30265/2, 5810], [-44/3, 14/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -2], [-1469/2, 121/2], [-15/2, 3/2], [0, 0]], [[-310, -69], [-232735/57, -1973605/114], [-890/19, -5183/38], [-307/114, -1/57]], [[-3/2, 1/2], [-90703/114, 27913/114], [-13/19, 4/19], [13/114, -2/57]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[296, -110]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 3/2], [13, 1/2], [7/2, -2], [0, 0]], [[-254, 102], [2375/3, 61/3], [259, -130], [19/3, 2/3]], [[300543/2, -113627/2], [-1276993/6, 477475/6], [-172866, 65424], [-7931/6, 1474/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -3/2], [57, 15/2], [-17/2, 1], [0, 0]], [[-5357/2, 1273/2], [-200995/6, -36833/6], [4486, -262], [-35/6, 10/3]], [[251404, -96807], [885730, -424066], [-292264, 117274], [1719/2, -639/2]]], 0, 648, [], [] >,
< [ -7, 0, 1 ], [[-17372, 6566]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-2, 0], [3, -1/2], [-2, 1/2], [3/2, 0]], [[13/2, -5/2], [-58/3, 22/3], [29/2, -11/2], [-17/3, 13/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 5/2], [15, 9/2], [13/2, 1], [0, 0]], [[-63, -20], [-428/3, -172/3], [-36, -24], [-5/6, 5/6]], [[41/2, -23/2], [-217/6, 25/6], [-72, 24], [43/6, -8/3]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-17372, 6566]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 5/2], [81/2, -6], [7, 1/2], [0, 0]], [[-492, -191], [-7945/6, -2483/6], [-831/2, -297/2], [-7/3, -2/3]], [[2103/2, -725/2], [-102985/6, 39433/6], [-1666, 658], [-257/6, 49/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -3/2], [-15, -3/2], [-5/2, -2], [0, 0]], [[145/2, 59/2], [787/6, 383/6], [63, 21], [4/3, 1/6]], [[-339, 131], [-2329, 886], [469, -175], [53, -20]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-17372, 6566]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [135/2, -45/2], [23/2, 1/2], [0, 0]], [[7, 1/2], [-3956, -1579], [-6526, -2474], [1/2, 1]], [[-553/2, 207/2], [-18861/2, 9095/2], [2283/2, 2297/2], [207/2, -79/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1269/2, -459/2], [-3/2, 3/2], [0, 0]], [[-4, 3/2], [-64961/6, -24769/6], [-5891/6, -2227/6], [5/6, -1/3]], [[0, 0], [-386, -235], [-46, -17], [0, 0]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-136, 52]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5617/2, -2125/2], [-25/2, 7/2], [0, 0]], [[0, 0], [56, -21], [8, -3], [8, -3]], [[0, 0], [105409/2, -39901/2], [-507/2, 117/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [695/2, -299/2], [-23/2, 5/2], [0, 0]], [[0, 0], [27257/3, -5210/3], [233/3, 430/3], [19/3, -7/3]], [[0, 0], [-34807/2, 4439/2], [-661/2, -637/2], [-11, 4]]], 0, 96, [], [] >,
< [ -7, 0, 1 ], [[-17372, 6566]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2937/2, -1107/2], [11/2, 1/2], [0, 0]], [[-21/2, 5/2], [-900, -503], [-1875, -704], [5/2, -3/2]], [[231/2, -43], [-2398, 1284], [920, 285], [-43, 33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-885, 300], [-9, 0], [0, 0]], [[4, -3/2], [910001/6, 332269/6], [88283/6, 33307/6], [-5/6, 1/3]], [[0, 0], [-10141/2, -3161/2], [-917/2, -343/2], [0, 0]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-136, 52]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6821/2, 2573/2], [-35/2, 5/2], [0, 0]], [[0, 0], [8, -3], [8, -3], [8, -3]], [[0, 0], [-14804, 5582], [-81, 9], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-305/2, -79/2], [-25/2, -5/2], [0, 0]], [[0, 0], [763/6, -4963/6], [391/6, -505/6], [16/3, 5/3]], [[0, 0], [-29623, 11232], [-3681, 1394], [-11, 4]]], 0, 96, [], [] >,
< [ -7, 0, 1 ], [[-68, 26]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-119/2, 47/2], [-17/2, 5/2], [0, 0]], [[7/2, -3/2], [3973/2, -1487/2], [443/2, -177/2], [7/2, -3/2]], [[-6, 3], [-7541/2, 2789/2], [-807/2, 345/2], [-6, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11/2, -11/2], [-19/2, -5/2], [0, 0]], [[-25/2, 1/2], [-14657/3, 4955/3], [506/3, -1313/3], [-25/6, 1/6]], [[-3839/2, 1463/2], [-7743347/6, 2928371/6], [1114403/6, -418019/6], [-3839/6, 1463/6]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-68, 26]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-313, 121], [-20, 5], [0, 0]], [[-7/2, 3/2], [-418, 213], [-94, -18], [-7/2, 3/2]], [[57/2, -21/2], [7917/2, -2817/2], [139/2, -223/2], [57/2, -21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 9], [-12, 0], [0, 0]], [[-10, -2], [5743/6, 2099/6], [-1807/6, -779/6], [-10/3, -2/3]], [[-233/2, 89/2], [2135/3, -980/3], [3247/3, -1168/3], [-233/6, 89/6]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[24, -6]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-49, -7/2], [-4, -1/2], [0, 0]], [[-7/2, 1/2], [-15213, 1214], [-1170, 27], [0, -1/2]], [[-34, 15], [-374542/3, 177038/3], [-8034, 4119], [71/6, -19/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-719, -23/2], [4, 1/2], [0, 0]], [[-119, 2], [1063722995/114, -118655503/114], [-1788687/38, 1521/38], [277/114, 1/114]], [[114639/2, -29973/2], [-297832681673/57, 90552158272/57], [418989042/19, -105955326/19], [-64375/57, 32239/114]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[24, -6]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81/2, 9/2], [-1/2, 1/2], [0, 0]], [[0, -2], [-3821/3, -6427/6], [-84, 15/2], [-7/3, -1/3]], [[-369/2, 171/2], [-44378, 29015], [4284, -1428], [69, -33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [241, 19/2], [-1, -1/2], [0, 0]], [[-77/2, 5/2], [271214/57, -11629/57], [-801/19, 36/19], [89/114, -2/57]], [[-7/2, 1/2], [24512/57, -3064/57], [-72/19, 9/19], [4/57, -1/114]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[-374940, 141714]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27/2, -3/2], [-3, -27/2], [3/2, -6], [0, 0]], [[-79/2, 89/2], [343, -66], [351/2, -81/2], [0, -1/2]], [[1323, 357], [10901/6, 3473/3], [1301/2, 503], [-125/6, -20/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, -7/2], [81, -93/2], [-15/2, -3], [0, 0]], [[-12, 9], [97349/6, -18364/3], [89/2, -10], [-7/3, -1/6]], [[63, 36], [88757/6, -32657/6], [305/2, 67/2], [-58/3, -20/3]]], 1, 144, [], [] >,
< [ -7, 0, 1 ], [[-374940, 141714]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1/2], [81/2, -12], [0, 3/2], [0, 0]], [[-21, -18], [2287/6, -1153/6], [-107/2, -7/2], [1/3, 2/3]], [[15, -12], [2297/3, -1807/6], [-46, 23/2], [-7/6, 2/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 5/2], [-465/2, 99], [6, 3/2], [0, 0]], [[-46, -34], [57557/6, -11302/3], [-181/2, -4], [-11/6, -2/3]], [[-32, -2], [-17978/3, 13363/6], [10, -29/2], [-1/3, -1/6]]], 1, 144, [], [] >,
< [ -7, 0, 1 ], [[-108, 54]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 1/2], [55/2, 17], [-3, 9/2], [0, 0]], [[499/2, 155/2], [2939/2, 1149/2], [147, 84], [-1/2, 2]], [[577, -189], [-372, 332], [-882, 357], [-68, 26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [1596, -1209/2], [-15/2, 0], [0, 0]], [[96, 60], [-46567/2, 17677/2], [321/2, 39/2], [1/2, -1/2]], [[-761/2, -419/2], [128989/2, -49033/2], [-540, -90], [-1, 3/2]]], 0, 1728, [], [] >,
< [ -7, 0, 1 ], [[-108, 54]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, -3], [-1740, 654], [-6, -3], [0, 0]], [[71/2, 17/2], [23971/2, -9037/2], [18, 12], [-2, 1/2]], [[101/2, 35/2], [8157/2, -1522], [39, 33/2], [-1, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -1], [-720, 270], [0, -3], [0, 0]], [[181/2, 91/2], [-4901, 1899], [225/2, 45/2], [1/2, 0]], [[-15/2, -3/2], [-606, 453/2], [-3/2, -3], [0, 0]]], 0, 1728, [], [] >,
< [ -7, 0, 1 ], [[-90, 36]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-257/2, 31], [-15/2, -3], [0, 0]], [[-1/2, -1/2], [21578/3, -16241/6], [0, 15/2], [-2/3, -1/6]], [[-7/2, 3/2], [-201023/3, 75970/3], [90, -36], [7/6, -1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [825/2, 60], [-9/2, -3], [0, 0]], [[-119, 2], [-34390897/114, 33763252/57], [-1006875/38, -6165/19], [277/114, 1/114]], [[312585/2, -124215/2], [46646025797/19, -16988874335/19], [609929163/19, -244401840/19], [-57330/19, 45825/38]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[-90, 36]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [349, -233/2], [-6, 15/2], [0, 0]], [[3, -1], [408301/6, -148775/6], [-4425/2, 2301/2], [-2/3, 1/3]], [[-19/2, -7/2], [-180304/3, -62425/3], [-19470, -7434], [-17/3, -13/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-467/2, -125], [-15/2, 6], [0, 0]], [[7/2, -1/2], [-2249906/57, -1626067/114], [16431/19, 4143/38], [-4/57, 1/114]], [[0, 0], [307, -5927/2], [-924, 783/2], [0, 0]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[178784, -67574]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3/2], [31/2, -7], [5, -1/2], [0, 0]], [[2689/2, 931/2], [-2711/2, -325/2], [972, 432], [-15/2, 0]], [[99/2, 23/2], [-647/6, 119/6], [18, 18], [-2/3, 1/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, -5/2], [-10, -1/2], [-65/2, -2], [0, 0]], [[889, 254], [-5569/6, -1913/6], [-6233/2, -2161/2], [5/3, 1/3]], [[-3429, 1143], [4460/3, -2329/6], [4607, -2311/2], [-35/3, 25/6]]], 1, 72, [], [] >,
< [ -7, 0, 1 ], [[-32, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 1], [1, 0], [0, 0]], [[0, 0], [-2042, 772], [0, 0], [2360, -892]], [[0, 0], [228, -86], [0, 0], [-254, 96]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 3], [1, 0], [0, 0]], [[0, 0], [-773/3, 304/3], [8/3, 5/3], [-16/3, -10/3]], [[0, 0], [12376/3, -4133/3], [527/3, 170/3], [-1054/3, -340/3]]], 0, 256, [], [] >,
< [ -7, 0, 1 ], [[26, -10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-485/2, 181/2], [5/2, -1/2], [0, 0]], [[1/2, 3/2], [731/2, 141/2], [-217/2, -81/2], [1/2, 3/2]], [[243/2, -93/2], [-6379, 2340], [84, -4], [243/2, -93/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [131, -56], [4, -1], [0, 0]], [[16, 1], [439/6, 985/6], [-115/6, -37/6], [16/3, 1/3]], [[1575/2, -567/2], [-40547/2, 16095/2], [-399/2, 97/2], [525/2, -189/2]]], 1, 12, [], [] >,
< [ -7, 0, 1 ], [[-16, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [147, -55], [0, 0], [16, -6]], [[0, 0], [-2413, 913], [0, 0], [-267, 101]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [-51, 9], [-6, 0], [-6, 0]], [[0, 0], [-16/3, 50/3], [7/3, 7/3], [7/3, 7/3]]], 0, 64, [], [] >,
< [ -7, 0, 1 ], [[-16, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-2, 0], [0, 0], [1, 0]], [[0, 0], [-74, 28], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -2], [1, 0], [0, 0]], [[0, 0], [2701/3, -956/3], [-7/3, -4/3], [-7/3, -4/3]], [[0, 0], [83/3, -346/3], [43/3, 16/3], [43/3, 16/3]]], 0, 64, [], [] >,
< [ -7, 0, 1 ], [[24, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 3], [8, -3], [0, 0]], [[0, 0], [-635/6, 203/6], [-7/2, -5/2], [-7/6, -5/6]], [[0, 0], [-151/2, -49/2], [-87/2, -33/2], [-29/2, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -15], [8, -3], [0, 0]], [[0, 0], [-352009/38, -1625/38], [10251/38, 51/38], [201/38, 1/38]], [[0, 0], [651014621/57, 1160443/57], [-6319444/19, -13532/19], [-371732/57, -796/57]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[-80, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 1], [1, 0], [0, 0]], [[0, 0], [-1122, 424], [0, 0], [-508, 192]], [[0, 0], [3248, -1228], [0, 0], [1508, -570]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 3], [1, 0], [0, 0]], [[0, 0], [-454/3, 145/3], [-13/3, -2/3], [-26/3, -4/3]], [[0, 0], [-3365, 1133], [-77, -7], [-154, -14]]], 0, 256, [], [] >,
< [ -7, 0, 1 ], [[2, -2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-325/2, 119/2], [-3/2, 5/2], [0, 0]], [[13/2, 5/2], [-13648, -5152], [13776, 5207], [13/2, 5/2]], [[-7/2, 3/2], [-896, 23], [410, 164], [-7/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29/2, -5/2], [-1/2, 1/2], [0, 0]], [[19/2, -1/2], [89/3, 19/3], [-2/3, 5/3], [19/6, -1/6]], [[-154, -14], [-3665/6, -1069/6], [-97/6, -161/6], [-154/3, -14/3]]], 1, 12, [], [] >,
< [ -7, 0, 1 ], [[-40, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [119, -45], [0, 0], [13, -5]], [[0, 0], [508, -192], [0, 0], [45, -17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[0, 0], [305/3, -125/3], [10/3, -4/3], [-10/3, 4/3]], [[0, 0], [911/3, 25/3], [25/3, -1/3], [-25/3, 1/3]]], 0, 64, [], [] >,
< [ -7, 0, 1 ], [[-40, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-2, 0], [0, 0], [1, 0]], [[0, 0], [-164, 62], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [829/3, -406/3], [17/3, 4/3], [-17/3, -4/3]], [[0, 0], [-2841, 1305], [-45, -9], [45, 9]]], 0, 64, [], [] >,
< [ -7, 0, 1 ], [[24, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-103/2, 25/2], [-9/2, -1/2], [0, 0]], [[0, 0], [-760/3, -76/3], [-54, -18], [-2/3, 1/3]], [[0, 0], [-272, -106], [-87, -33], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1063/2, 19/2], [1/2, -1/2], [0, 0]], [[0, 0], [13940963/114, 14324903/114], [27679/38, 827/38], [473/57, 5/57]], [[0, 0], [-2047252612/57, -2916382966/57], [-5828040/19, 76786/19], [-200354/57, 6505/57]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[-504, 192]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, 11], [-5, 0], [0, 0]], [[0, 0], [41/2, -11/2], [-23/2, -11/2], [0, 0]], [[0, 0], [-341201/703, 132038/703], [2181/13, -844/13], [79/27417, -214/191919]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-719/2, 137/2], [-9/2, -5/2], [0, 0]], [[0, 0], [-5398383262/13357, 1068008489/13357], [32493/247, 951180/247], [-505/40071, 4/3646461]], [[0, 0], [26736293659335/13357, -10168648125548/13357], [8183965405/247, -3030550004/247], [7066961/173641, -19074110/1215487]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[-336, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 1], [1, 0], [0, 0]], [[0, 0], [-1636, 618], [0, 0], [-508, 192]], [[0, 0], [2142, -810], [0, 0], [672, -254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 1], [1, 0], [0, 0]], [[0, 0], [401/3, 175/3], [19/3, 5/3], [-38/3, -10/3]], [[0, 0], [-5698/3, 2077/3], [511/3, -196/3], [-1022/3, 392/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[144, -56]], [ -33, -3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28/3, -1/3], [4, 1], [0, 0]], [[0, 0], [-2521/6, 1061/6], [125/2, -71/2], [21, -8]], [[0, 0], [-9125/6, -2353/6], [1771/2, 605/2], [16, -8/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [167/6, 5/6], [7/2, 3/2], [0, 0]], [[0, 0], [-50195/9, 19013/9], [310/3, -112/3], [2/9, -2/9]], [[0, 0], [10/9, 5/9], [-2/3, -1/3], [2/9, 1/9]]], 0, 288, [], [] >,
< [ -7, 0, 1 ], [[24, -16]], [ -149, 55 ], [ -5, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5/3, -1/3], [209, -79], [0, 0]], [[0, 0], [4720/9, 1781/9], [-86/5, 36/5], [-14/45, -1/45]], [[0, 0], [19235/18, 8095/18], [12508/5, -944], [1529/90, -121/18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1817/3, 683/3], [537, -203], [0, 0]], [[0, 0], [1526935/54, -576361/54], [-375421/15, 28433/3], [367/270, 1/54]], [[0, 0], [-3015889/27, -1056515/27], [-398009/3, -158647/3], [-109145/27, -41251/27]]], 0, 288, [], [] >,
< [ -7, 0, 1 ], [[296, -96]], [ -149, 55 ], [ -5, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11/3, -1/3], [-1865, 705], [0, 0]], [[0, 0], [16285/6, 6161/6], [-4577/5, 81/5], [23/30, 1/30]], [[0, 0], [102797/9, 40633/9], [-495319/5, 180119/5], [3179/45, -1139/45]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1331/3, -503/3], [2829, -1069], [0, 0]], [[0, 0], [-391969/54, 149263/54], [-141859/3, 264047/15], [19/54, 1/270]], [[0, 0], [-883132/27, -356216/27], [6735332/15, 2465476/15], [-30277/135, -11441/135]]], 0, 5760, [], [] >,
< [ -7, 0, 1 ], [[352, -120]], [ -33, -3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-287/3, -8/3], [-117, -2], [0, 0]], [[0, 0], [-31981, -90211/3], [-36423, -36423], [7, -8/3]], [[0, 0], [32579951/6, 12232103/6], [12931443/2, 4853205/2], [8, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [619/6, 25/6], [71/2, 3/2], [0, 0]], [[0, 0], [-398759/18, -82603/18], [-45635/6, -9517/6], [-5/9, -1/9]], [[0, 0], [4055173/18, -509893/18], [461929/6, -57259/6], [52/9, -7/9]]], 0, 5760, [], [] >,
< [ -7, 0, 1 ], [[168, 0]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [97/2, -29/2], [15/2, 5/2], [0, 0]], [[0, 0], [163/2, -85/2], [-41/2, -17/2], [0, 0]], [[0, 0], [21614/703, -7979/703], [-344/13, 127/13], [-214/27417, 79/27417]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [259/2, -139/2], [-1/2, -3/2], [0, 0]], [[0, 0], [43863821869/13357, 11780369/13357], [-27853513/247, 36279/247], [273142/520923, 5/520923]], [[0, 0], [298971048863723/26714, -108726286706055/26714], [-190606356869/494, 5333817069/38], [931446583/520923, -338754865/520923]]], 0, 3072, [], [] >,
< [ -7, 0, 1 ], [[112, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [616, -233], [-217, 82], [0, 0]], [[0, 0], [1395, -528], [928, -351], [1926, -728]], [[0, 0], [11415, -4316], [7584, -2867], [15742, -5950]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-189, -19], [-21, 5], [0, 0]], [[0, 0], [-146211, -43508], [-8124, -161], [-8, -2]], [[0, 0], [-6202216/3, -238334/3], [-801344/3, 218384/3], [-416/3, 26/3]]], 0, 3072, [], [] >,
< [ -7, 0, 1 ], [[-8, 16]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51/2, -9/2], [25/2, 1/2], [0, 0]], [[0, 0], [37/6, 61/6], [41/2, 9/2], [-5/3, 4/3]], [[0, 0], [-281/6, -131/6], [-107/2, -37/2], [-5/3, -5/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [161/2, -53/2], [-13/2, -3/2], [0, 0]], [[0, 0], [11327/3, 4073/3], [-3718, -1404], [-20/3, 4/3]], [[0, 0], [-16454, -6052], [16380, 6188], [19, -2]]], 0, 288, [], [] >,
< [ -7, 0, 1 ], [[-536, 208]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63/2, 3/2], [-17/2, -5/2], [0, 0]], [[0, 0], [10558/3, -2504/3], [-481, -31], [-1/3, 2/3]], [[0, 0], [-1361258/3, 510460/3], [32250, -11610], [491/3, -190/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [241/2, 7/2], [17/2, -1/2], [0, 0]], [[0, 0], [42143/6, -271/6], [1015/2, -95/2], [-10/3, 2/3]], [[0, 0], [42979/3, -18341/3], [1300, -530], [-28/3, 11/3]]], 0, 3456, [], [] >,
< [ -7, 0, 1 ], [[176, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-716, 271], [307, -116], [0, 0]], [[0, 0], [10117, -3820], [-4436, 1677], [1016, -384]], [[0, 0], [-29568, 11185], [12977, -4904], [-2942, 1112]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-247, 83], [-25, 5], [0, 0]], [[0, 0], [4418/3, -1624/3], [382/3, -128/3], [16/3, -2/3]], [[0, 0], [13/3, -338/3], [-118/3, -73/3], [-40/3, -16/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-10, 2]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -2], [7, 1], [0, 0]], [[-9/2, 1/2], [495/2, -265/2], [49/2, -81/2], [-9/2, 1/2]], [[34, 17], [3681/2, 541/2], [2297/2, 681/2], [34, 17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-137, 49], [-14, -2], [0, 0]], [[13/2, -5/2], [-2549/3, 5299/3], [14765/3, 5798/3], [13/6, -5/6]], [[0, 0], [1677/2, 513/2], [3987/2, 1503/2], [0, 0]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[88, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-139, 56], [27, -6], [0, 0]], [[0, 0], [2687, -950], [-1226, 543], [820, -310]], [[0, 0], [5194, -1692], [-2066, 1110], [1547, -585]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 15], [30, -9], [0, 0]], [[0, 0], [-1055/3, 82/3], [422/3, -253/3], [32/3, 2/3]], [[0, 0], [-14638/3, 3053/3], [8776/3, -4049/3], [385/3, -35/3]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[88, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-439, 164], [-21, 6], [0, 0]], [[0, 0], [-1, 0], [-1, 0], [1, 0]], [[0, 0], [186, -84], [-10, -10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-615, 234], [-15, 6], [0, 0]], [[0, 0], [1507/3, -497/3], [83/3, -7/3], [-1/3, 5/3]], [[0, 0], [56, -163], [-54, -27], [-13, -4]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[-48, 24]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -3], [8, -3], [0, 0]], [[0, 0], [-245/2, 85/2], [-9/2, 1/2], [-9/2, 1/2]], [[0, 0], [-58, -34], [-23, -9], [-23, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -7], [1, -2], [0, 0]], [[0, 0], [-2875/6, -4559/6], [-177/2, -421/2], [1/6, 5/6]], [[0, 0], [16419/2, -8635/2], [5173/2, -2585/2], [-23/2, 11/2]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[19986, -7554]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [228, -189/2], [-5/2, -1], [0, 0]], [[0, 0], [455/6, -163/3], [11/2, 2], [-11/6, -2/3]], [[0, 0], [-42085/2, 15905/2], [-39/2, 15/2], [13/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [50, -53/2], [-11/2, -1], [0, 0]], [[-764, -308], [-8008/3, -5033/3], [-1467, -538], [7/3, 2/3]], [[-3920, 1360], [-262837/2, 49124], [5849/2, -1328], [-83/2, 16]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-48, 24]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2329/2, -845/2], [27/2, 3/2], [0, 0]], [[0, 0], [584719/2, 213953/2], [215401/2, 81391/2], [3/2, -1/2]], [[0, 0], [-38447443/6, -14766629/6], [-4835413/2, -1827869/2], [41/3, -20/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1333/2, -575/2], [-33/2, -3/2], [0, 0]], [[0, 0], [2461519/6, 947585/6], [180105/2, 68023/2], [-13/6, -5/6]], [[0, 0], [12682, -5561], [-341, -38], [0, 0]]], 0, 192, [], [] >,
< [ -7, 0, 1 ], [[-24, 48]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5695/2, -2129/2], [7/2, 1/2], [0, 0]], [[0, 0], [58307, 25652], [9783, 3699], [-1/2, 5/2]], [[0, 0], [1882966, 846717], [319680, 120879], [-33, 88]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5/2, 1/2], [-11/2, 1/2], [0, 0]], [[0, 0], [-64, 24], [0, 0], [-8, 3]], [[0, 0], [-8, -2], [-27, -9], [0, 0]]], 0, 2304, [], [] >,
< [ -7, 0, 1 ], [[102, -42]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 2], [-85/2, 89/2], [15/2, 3/2], [0, 0]], [[-250, -94], [-5667/2, -1144], [-903/2, -168], [2, -3/2]], [[1015/2, 367/2], [8363/2, 2830], [952, 629/2], [-49, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [139/2, 19/2], [33/2, 3/2], [0, 0]], [[-13, -1], [7042, -1493], [1887, -459], [1, -2]], [[547/2, -173/2], [-541999/2, 198189/2], [-76177, 28067], [-293/2, 60]]], 0, 288, [], [] >,
< [ -7, 0, 1 ], [[-24, 48]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-347, 130], [-3, 0], [0, 0]], [[0, 0], [189/2, -43/2], [29/2, 17/2], [-3/2, 1/2]], [[0, 0], [474, 180], [463, 175], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1309, 494], [-1304, 493], [0, 0]], [[0, 0], [1320295/2, -499035/2], [1316427/2, -497547/2], [5/2, 3/2]], [[0, 0], [2316, 1287], [-4737, -1380], [-1307, -494]]], 0, 2304, [], [] >,
< [ -7, 0, 1 ], [[-48, 24]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 11], [-20, 7], [0, 0]], [[0, 0], [-9317/3, -3085/3], [-990, -286], [-10/3, -2/3]], [[0, 0], [7705/6, -12229/6], [2815/2, -1995/2], [71/6, -35/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, 25], [-17, 4], [0, 0]], [[0, 0], [-744497/114, -110245/114], [-19555/38, -2555/38], [59/114, -5/114]], [[0, 0], [267907/38, -285711/38], [24765/38, -23409/38], [-71/38, 35/38]]], 0, 256, [], [] >,
< [ -7, 0, 1 ], [[-48, 24]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [175/2, 5/2], [29/2, -1/2], [0, 0]], [[0, 0], [-12298/3, -30508/3], [64, -1664], [-8/3, 1/3]], [[0, 0], [740723/3, -453709/3], [52640, -28000], [-164/3, 52/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1961/2, -95/2], [-19/2, 5/2], [0, 0]], [[0, 0], [-7041015/2, -1883795/2], [35191/2, 2035/2], [4, 0]], [[0, 0], [506998079/114, -714254347/114], [-5010797/38, 2481721/38], [-2101/57, 968/57]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-224, 88]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -14], [897, -339], [0, 0]], [[0, 0], [6111/2, -2317/2], [71534, -27043], [-5/2, -1/2]], [[0, 0], [1106/3, 490/3], [-18, 554], [553/3, 209/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-118, 44], [-2765, 1045], [0, 0]], [[0, 0], [1923/2, -829/2], [24317, -9202], [9/2, 1/2]], [[0, 0], [7093/6, 2747/6], [-78, 231], [-331/6, -125/6]]], 0, 576, [], [] >,
< [ -7, 0, 1 ], [[-280, 128]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [484, -182], [201, -75], [0, 0]], [[0, 0], [-2267/2, 915/2], [-443, 196], [3/2, 1/2]], [[0, 0], [217, 61], [208, 70], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-305, 115], [-170, 64], [0, 0]], [[0, 0], [-5602, 2118], [-3087, 1155], [2, -2]], [[0, 0], [-13/2, -17/2], [-232, -91], [-45/2, -17/2]]], 0, 6912, [], [] >,
< [ -7, 0, 1 ], [[168, -48]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11/2, -5/2], [3/2, -1/2], [0, 0]], [[0, 0], [-3, -1], [0, 0], [0, 0]], [[0, 0], [-19866/703, 3096/703], [90/13, -14/13], [-11/9139, 12/63973]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-309/2, -7/2], [-13/2, -3/2], [0, 0]], [[0, 0], [120284814160/13357, 106304590/13357], [38400057/247, 150697/247], [-68483/173641, -1/1215487]], [[0, 0], [-696338661888080/13357, 114815885337990/13357], [-17039748950/19, 2767501112/19], [30527640/13357, -5055325/13357]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[896, -280]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25, 7], [42, 0], [0, 0]], [[0, 0], [3695/2, 1417/2], [1624, 733], [-9/2, 1/2]], [[0, 0], [-27212, -12510], [5481, -23895], [660, -230]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [683, -259], [189, 3], [0, 0]], [[0, 0], [37943/2, -615/2], [-792995, -300728], [7/2, -3/2]], [[0, 0], [186767/2, -311325/2], [13965063, 5252658], [199/2, -69/2]]], 0, 55296, [], [] >,
< [ -7, 0, 1 ], [[616, -224]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [109, -41], [9527, -3601], [0, 0]], [[0, 0], [-14263/2, 5705/2], [-643951, 243260], [1/2, 1/2]], [[0, 0], [-364817/3, -136567/3], [49455, 57313], [-1585/3, -599/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, 28], [-161, 61], [0, 0]], [[0, 0], [-4309/6, 1615/6], [-826, 437], [25/6, 5/6]], [[0, 0], [535/6, 191/6], [-4774, -1807], [-553/6, -209/6]]], 0, 4608, [], [] >,
< [ -7, 0, 1 ], [[-336, 168]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33/2, 17/2], [5/2, 3/2], [0, 0]], [[0, 0], [24, 4], [19, 7], [0, 0]], [[0, 0], [-3636/703, 3333/703], [58/13, -53/13], [12/9139, -11/9139]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [749/2, -319/2], [1/2, -3/2], [0, 0]], [[0, 0], [23501424295/26714, 260687963/26714], [-6808381/494, 391003/494], [65314/173641, 1/173641]], [[0, 0], [4939404968093/13357, -7472196667039/13357], [-2477773447/247, 2274364723/247], [30701553/173641, -41872856/173641]]], 0, 12288, [], [] >,
< [ -7, 0, 1 ], [[232, -32]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-211/2, -79/2], [111/2, 3/2], [0, 0]], [[0, 0], [11306/3, 4109/3], [-2409, 120], [61/3, 4/3]], [[0, 0], [-1611619/6, -548311/6], [649187/2, -136213/2], [-7138/3, 830/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [97/2, -71/2], [-101/2, -5/2], [0, 0]], [[0, 0], [415055/6, -257683/6], [-112133/2, 193/2], [-43/3, -4/3]], [[0, 0], [7340921/2, -3217999/2], [-3178903/2, 644813/2], [-352, 44]]], 0, 10368, [], [] >,
< [ -7, 0, 1 ], [[-8, 16]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, 2], [-8, 1], [0, 0]], [[0, 0], [-6, -5], [2, -7], [-4, 1]], [[0, 0], [2197/6, 553/6], [871/2, 67/2], [-104/3, 88/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [5, -1], [0, 0]], [[0, 0], [-13/6, 11/6], [1/2, 1/2], [2/3, 2/3]], [[0, 0], [-13/3, 5/3], [0, 0], [-2/3, 1/3]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[-8, 16]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, -3], [17, -4], [0, 0]], [[0, 0], [136156/3, 26224/3], [10958, 2], [-13/3, 2/3]], [[0, 0], [-1786027/6, -1097143/6], [-33461/2, -81881/2], [-65/6, 91/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45, 15], [-32, 10], [0, 0]], [[0, 0], [1235/6, 467/6], [435/2, 171/2], [-23/6, -5/6]], [[0, 0], [1637/6, 617/6], [653/2, 197/2], [13/6, -23/6]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[9022, -3410]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 7/2], [-5, -1/2], [0, 0]], [[15/2, -5/2], [458/3, 176/3], [-190, -70], [-5/3, 5/6]], [[-8, 3], [-29/3, -20/3], [20, 5], [13/6, -5/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-73, 29], [-2, -2], [0, 0]], [[-3/2, -3/2], [795/2, -24], [-745/2, -137], [-2, -1/2]], [[73, -27], [80273/6, -15278/3], [-375/2, 150], [-58/3, 23/3]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[-8, 16]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [65/2, -21/2], [-1/2, 5/2], [0, 0]], [[0, 0], [6467/3, 2231/3], [2676, 1020], [-20/3, -5/3]], [[0, 0], [-82, 132], [200, 56], [2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31/2, 11/2], [19/2, 1/2], [0, 0]], [[0, 0], [143/3, -61/3], [-78, -18], [1/3, -5/3]], [[0, 0], [-4075/3, 1661/3], [1512, 252], [-92/3, 115/3]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[-8, 16]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -1], [-1, 2], [0, 0]], [[0, 0], [-497/3, 193/3], [202, -38], [62/3, 2/3]], [[0, 0], [43/6, -257/6], [-2511/2, -867/2], [-1615/6, -595/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69/2, 21/2], [17/2, -1/2], [0, 0]], [[0, 0], [-13459/3, -5680/3], [5037, 1932], [16/3, 1/3]], [[0, 0], [415657/3, 120031/3], [-132940, -48484], [355/6, -497/6]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[9022, -3410]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53/2, 7], [17/2, 1], [0, 0]], [[29/2, 7/2], [-300, -147], [448, 175], [8, 1/2]], [[297/2, -119/2], [16469/6, -5635/6], [-1225/2, 203/2], [1159/6, -223/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, 41/2], [-7, 1/2], [0, 0]], [[-9/2, 1/2], [523/6, 295/6], [-285/2, -105/2], [-1/6, -2/3]], [[133, -49], [1703/2, -817/2], [459/2, 51/2], [-35, 14]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[-16, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4100, 1543], [-25, 8], [0, 0]], [[0, 0], [34038, -13286], [202, -168], [254, -96]], [[0, 0], [8228, -3043], [65, -10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-176, 127], [31, -8], [0, 0]], [[0, 0], [-21560/3, 8671/3], [2309/3, -850/3], [26/3, -4/3]], [[0, 0], [-18245/3, 4960/3], [1496/3, -649/3], [-16/3, -16/3]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-16, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3141, 1188], [-50, 19], [0, 0]], [[0, 0], [-129067, 48785], [-2473, 935], [-836, 316]], [[0, 0], [101100, -38213], [1947, -736], [672, -254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [149, -16], [-10, 5], [0, 0]], [[0, 0], [-1876/3, -241/3], [37/3, -32/3], [-20/3, -2/3]], [[0, 0], [-3742/3, 6281/3], [1123/3, -332/3], [-56/3, 70/3]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-8, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-235, 86], [13, -2], [0, 0]], [[0, 0], [4351, -1713], [-59, 93], [-29, 11]], [[0, 0], [-69406, 26322], [2273, -951], [447, -169]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [47, 32], [26, -7], [0, 0]], [[0, 0], [1901, 726], [80, 51], [-7, 1]], [[0, 0], [-2534/3, -998/3], [29/3, -121/3], [32/3, -10/3]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[-8, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4561, 1721], [11, -1], [0, 0]], [[0, 0], [-7, 0], [-1, 0], [1, 0]], [[0, 0], [53491, -20210], [-91, 26], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3378, -1281], [30, -9], [0, 0]], [[0, 0], [655727/3, -246190/3], [3997/3, -2426/3], [4/3, 4/3]], [[0, 0], [-92841, -43620], [57799, 21778], [-352, -133]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[34, -14]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-103/2, 23/2], [25/2, 7/2], [0, 0]], [[-1, -1], [7784, -2956], [-311, 121], [-1, -1]], [[61/2, 23/2], [1167/2, 35/2], [-189/2, -55/2], [61/2, 23/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [131/2, -7/2], [17/2, -1/2], [0, 0]], [[-7, -1], [24539/6, -7243/6], [3199/6, -959/6], [-7/3, -1/3]], [[-93/2, 33/2], [148435/2, -55907/2], [19481/2, -7339/2], [-31/2, 11/2]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[-8, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [131, -52], [30, -9], [0, 0]], [[0, 0], [-5284, 1994], [-1291, 491], [283, -107]], [[0, 0], [1391, -497], [292, -138], [-68, 26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 30], [27, -9], [0, 0]], [[0, 0], [-91, -16], [12, -3], [-7, -1]], [[0, 0], [-259/3, -34/3], [40/3, -11/3], [-20/3, -2/3]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[-8, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1031, 391], [-1, -1], [0, 0]], [[0, 0], [-1, 0], [-1, 0], [1, 0]], [[0, 0], [-1944, 735], [2, -1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-936, 351], [-6, 3], [0, 0]], [[0, 0], [37417/3, -14054/3], [239/3, -106/3], [8/3, -1/3]], [[0, 0], [-16171, -5646], [2743, 1040], [-360, -136]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[34, -14]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [614, -241], [13, 4], [0, 0]], [[-3, 1], [-2923/2, -795/2], [2515/2, 947/2], [-3, 1]], [[-1/2, 1/2], [1904, 751], [-1943, -735], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, -16], [2, -1], [0, 0]], [[25/2, 1/2], [-158/3, 7/3], [-16/3, 20/3], [25/6, 1/6]], [[1/2, 1/2], [-37/6, -1/6], [7/6, 1/6], [1/6, 1/6]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[264, -96]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -7], [-20, 7], [0, 0]], [[0, 0], [90647/6, 32929/6], [1175/2, 9/2], [-35/6, -1/6]], [[0, 0], [-29067/2, 1211/2], [-16067/2, 5875/2], [151/2, -55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1999, 13], [-4, 2], [0, 0]], [[0, 0], [-1213843496/57, -601539421/57], [-587939/19, 378/19], [125/57, 1/57]], [[0, 0], [-1035978113323/114, 515753566645/114], [1906019629/38, -694424539/38], [-396317/114, 144143/114]]], 0, 768, [], [] >,
< [ -7, 0, 1 ], [[264, -96]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 4], [1, 1], [0, 0]], [[0, 0], [1/2, -11/2], [345/2, -147/2], [7/2, 1/2]], [[0, 0], [-46003/6, 17647/6], [-376421/2, 142409/2], [-6821/6, 2489/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-800, 7], [4, 1], [0, 0]], [[0, 0], [-72301072/57, 18244768/57], [68223/19, 319/19], [22/57, 2/57]], [[0, 0], [12774839371/114, -4805805085/114], [-7208285/38, 2659431/38], [-1801/114, 655/114]]], 0, 768, [], [] >,
< [ -7, 0, 1 ], [[128, -40]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21/2, 21/2], [-13/2, 17/2], [0, 0]], [[0, 0], [6562/3, -2402/3], [1585, -575], [98/3, -37/3]], [[0, 0], [5617/3, -2192/3], [1354, -533], [74/3, -28/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [85/2, 13/2], [101/2, 5/2], [0, 0]], [[0, 0], [50324/3, 21623/3], [15165, 7230], [-14/3, -2/3]], [[0, 0], [10066, -13387], [27151, -19430], [31, -10]]], 0, 1152, [], [] >,
< [ -7, 0, 1 ], [[-816, 312]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [791/2, -293/2], [-19/2, 1/2], [0, 0]], [[0, 0], [64, -24], [0, 0], [8, -3]], [[0, 0], [230, -56], [-45, -15], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3975/2, -1503/2], [4553/2, -1721/2], [0, 0]], [[0, 0], [8, -3], [-24, 9], [-8, 3]], [[0, 0], [44935/2, -16999/2], [51475/2, -19459/2], [0, 0]]], 0, 2304, [], [] >,
< [ -7, 0, 1 ], [[66, -30]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1935/2, 369], [-11/2, 1], [0, 0]], [[21/2, 3/2], [180841/2, 67325/2], [-58357/2, -22061/2], [0, 3/2]], [[-71/2, 19/2], [-70762, -21970], [20930, 7930], [17, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [79, -22], [12, 0], [0, 0]], [[-8, 1], [-173/2, -309/2], [-255/2, -117/2], [5/2, -3/2]], [[-231/2, 63/2], [1520, -1697], [-592, -416], [56, -49/2]]], 0, 288, [], [] >,
< [ -7, 0, 1 ], [[-816, 312]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1277/2, 443/2], [27/2, 3/2], [0, 0]], [[0, 0], [-302950, -114129], [100705, 38060], [3/2, -1/2]], [[0, 0], [5971, 2366], [-2035, -770], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4259, -1607], [66, -24], [0, 0]], [[0, 0], [632043/2, -240365/2], [9003/2, -3897/2], [9/2, -1/2]], [[0, 0], [-1315837, -441578], [-417220, -156845], [2020, 764]]], 0, 2304, [], [] >,
< [ -7, 0, 1 ], [[-120, 48]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-175/2, 69/2], [3/2, -5/2], [0, 0]], [[0, 0], [16, -6], [0, 0], [8, -3]], [[0, 0], [533, -257], [72, 48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [89/2, 1/2], [19/2, -1/2], [0, 0]], [[0, 0], [41963/3, -4669/3], [3155, -523], [-5/3, -2/3]], [[0, 0], [66333/2, -25023/2], [16625/2, -6275/2], [0, 0]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[44274, -16734]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [239/2, -89/2], [145/2, -55/2], [0, 0]], [[-1/2, 1/2], [-2774, 1005], [-1653, 630], [1/2, 0]], [[45/2, 17/2], [-8855/3, -3389/3], [364, 129], [41/3, 31/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -9], [-7, -2], [0, 0]], [[-11/2, 5/2], [1367/2, 775/2], [1797/2, 657/2], [2, -1/2]], [[83, -22], [63031/3, 38609/6], [19502, 15001/2], [-71/6, 61/6]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-120, 48]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2173, 820], [3, 0], [0, 0]], [[0, 0], [-17992/3, -5443/3], [4643, 1752], [11/6, -1/6]], [[0, 0], [123767/6, -93115/6], [17163/2, 6785/2], [-172/3, 68/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [106, -40], [-58, 22], [0, 0]], [[0, 0], [-77/6, 115/6], [-99/2, 25/2], [-11/3, -2/3]], [[0, 0], [-25633/2, -9689/2], [11117/2, 4201/2], [3675/2, 1389/2]]], 0, 192, [], [] >,
< [ -7, 0, 1 ], [[-80, 56]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5483, 2072], [-5011, 1894], [0, 0]], [[0, 0], [6903656/3, -2609705/3], [2103517, -795046], [-32/3, -1/3]], [[0, 0], [81778081/2, 30894887/2], [-5772707/2, -2194969/2], [2906535/2, 1098567/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1950, 738], [-37, 13], [0, 0]], [[0, 0], [-102919/6, 39475/6], [-797/2, 173/2], [43/6, 5/6]], [[0, 0], [-38129/2, -14359/2], [25611/2, 9681/2], [-1389/2, -525/2]]], 0, 3456, [], [] >,
< [ -7, 0, 1 ], [[-272, 104]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -9], [31, -10], [0, 0]], [[0, 0], [27719/6, 9043/6], [-979/2, -1299/2], [31/6, 5/6]], [[0, 0], [-37939, 13735], [-71988, 27364], [-176, 66]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, 26], [-85, 31], [0, 0]], [[0, 0], [-12809/6, -6205/6], [-1/2, -473/2], [5/6, 1/6]], [[0, 0], [-173/6, 65/6], [-45/2, 17/2], [29/6, -11/6]]], 0, 288, [], [] >,
< [ -7, 0, 1 ], [[-120, 48]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, 33], [90, -33], [0, 0]], [[0, 0], [-2209/3, -122/3], [464, -65], [16/3, 2/3]], [[0, 0], [36473/2, -15005/2], [-37969/2, 14773/2], [-203/2, 87/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2702, -1276], [675, -255], [0, 0]], [[0, 0], [-52672507/114, -20643623/114], [80145/38, -23691/38], [-11/114, -1/114]], [[0, 0], [114431, 33334], [2863, -1120], [0, 0]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[64, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1081, -409], [-1003, 379], [0, 0]], [[0, 0], [-249603, 94245], [238373, -90119], [-2614, 988]], [[0, 0], [152143, -56112], [-143260, 54473], [1598, -604]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [528, -201], [-15, 6], [0, 0]], [[0, 0], [1846, -690], [-54, 16], [14, 2]], [[0, 0], [-2164/3, 109/3], [551/3, 184/3], [-842/3, -316/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-38, 14]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [89/2, -29/2], [11/2, 1/2], [0, 0]], [[-13/2, -3/2], [6557/2, -2479/2], [333/2, -113/2], [-13/2, -3/2]], [[-126, -49], [-4711, 1772], [-19, 164], [-126, -49]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-75/2, 51/2], [33/2, 3/2], [0, 0]], [[-20, -1], [-13007/3, -1789/3], [-5569/3, -2483/3], [-20/3, -1/3]], [[-551/2, 203/2], [-265835/6, 96341/6], [27737/6, -13313/6], [-551/6, 203/6]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[32, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [293, -110], [4, -1], [0, 0]], [[0, 0], [1574, -586], [614, -226], [-595, 225]], [[0, 0], [11535, -4364], [4395, -1664], [-4318, 1632]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-65, 32], [-5, 2], [0, 0]], [[0, 0], [-271/3, 181/3], [55/3, 5/3], [-55/3, -5/3]], [[0, 0], [10673/3, 4327/3], [3652/3, 1364/3], [-3652/3, -1364/3]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[32, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1256, -473], [60, -21], [0, 0]], [[0, 0], [-1, 0], [-1, 0], [1, 0]], [[0, 0], [456, -171], [22, -7], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [252, -96], [66, -24], [0, 0]], [[0, 0], [10904/3, -3962/3], [2548/3, -1108/3], [5/3, 4/3]], [[0, 0], [944, 1235], [-2196, -605], [80, 30]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[-120, 48]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-383/2, 149/2], [3/2, 3/2], [0, 0]], [[0, 0], [8447/6, -2809/6], [161/2, 61/2], [503/3, -190/3]], [[0, 0], [33649/3, 21067/3], [14195, 5365], [-1372/3, 539/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1541/2, 25/2], [-7/2, 1/2], [0, 0]], [[0, 0], [47237716/57, 7013452/57], [-57510/19, 534/19], [-187/57, 2/57]], [[0, 0], [5169239320/19, -2249860821/19], [-33270459/19, 13332366/19], [-36200/19, 14500/19]]], 0, 256, [], [] >,
< [ -7, 0, 1 ], [[-56, 32]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-585, 221], [373, -141], [0, 0]], [[0, 0], [62213/6, -23603/6], [-6665, 2514], [31/6, -1/6]], [[0, 0], [-995858/3, -374224/3], [-114300, -43666], [119933/3, 45331/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [279, -105], [4900, -1852], [0, 0]], [[0, 0], [-5419/6, 2203/6], [-16044, 6111], [55/6, 5/6]], [[0, 0], [-320108/3, -120988/3], [-194027, -73327], [-53296/3, -20144/3]]], 0, 576, [], [] >,
< [ -7, 0, 1 ], [[-448, 184]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-303, 111], [298, -112], [0, 0]], [[0, 0], [211/6, -163/6], [27, 12], [95/6, 1/6]], [[0, 0], [5393/3, -2327/3], [119, 109], [1000/3, -250/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [221, -83], [10, -4], [0, 0]], [[0, 0], [-117749/6, 44681/6], [-832, 331], [-367/6, -5/6]], [[0, 0], [-122202, -24984], [-54269, -19591], [76812, 29064]]], 0, 6912, [], [] >,
< [ -7, 0, 1 ], [[336, -120]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [77/2, -15/2], [37/2, 5/2], [0, 0]], [[0, 0], [10537902/703, -692627/703], [6085/13, -6640/13], [2228/27417, -2/191919]], [[0, 0], [-1356634657/1406, 363444457/1406], [-1955727/26, 936135/26], [-129686/27417, 209411/191919]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35, -14], [-2, -1], [0, 0]], [[0, 0], [79719229021/26714, 185332249/26714], [-9599873/38, -781/494], [-96895/520923, -2/3646461]], [[0, 0], [144174857376277/26714, -46501684933597/26714], [-226891984351/494, 73323229303/494], [-176163095/520923, 398507591/3646461]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[1288, -448]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63, -3], [14, 4], [0, 0]], [[0, 0], [-442763/6, 137171/6], [-6244, 91], [-7/6, -5/6]], [[0, 0], [52659867/2, -19926675/2], [1265383, -483484], [-415/2, 151/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25, 1], [-84, 0], [0, 0]], [[0, 0], [-38617/6, 1363/6], [-20629, -62], [313/6, 5/6]], [[0, 0], [5711353/3, -2085421/3], [5557587, -2013543], [-40765/3, 14725/3]]], 0, 55296, [], [] >,
< [ -7, 0, 1 ], [[224, -56]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-335, 127], [-21, 7], [0, 0]], [[0, 0], [-52357/3, 19660/3], [-1225, 399], [-50/3, -1/3]], [[0, 0], [-9511/6, -10709/6], [-4599, -1816], [-2915/6, -1105/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-125, 47], [10157, -3839], [0, 0]], [[0, 0], [25921/6, -10105/6], [-355194, 134229], [-13/6, 1/6]], [[0, 0], [-709627/6, -268217/6], [-49119, -18522], [-8813/6, -3331/6]]], 0, 4608, [], [] >,
< [ -7, 0, 1 ], [[-840, 336]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9/2, -7/2], [-1/2, -5/2], [0, 0]], [[0, 0], [611123/703, 72211/703], [31443/13, 57], [5246/27417, -5/27417]], [[0, 0], [-44349247/1406, -1318377/1406], [-2429837/26, 165485/26], [-205900/27417, 1450/2109]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [202, 25], [25, 2], [0, 0]], [[0, 0], [39016675069/26714, 423830361/26714], [77879445/494, -3363663/494], [25243/173641, 1/173641]], [[0, 0], [-897424799279/703, 409080007109/703], [-2107893692/13, 916811774/13], [-3606974/27417, 1627043/27417]]], 0, 12288, [], [] >,
< [ -7, 0, 1 ], [[72, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 29], [9, 0], [0, 0]], [[0, 0], [-2750/3, -1049/3], [-944, -359], [-1/3, 2/3]], [[0, 0], [-4339/6, -1567/6], [-1477/2, -541/2], [14/3, -4/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-395/2, 179/2], [29/2, -1/2], [0, 0]], [[0, 0], [16, -6], [0, 0], [8, -3]], [[0, 0], [-7866, -3000], [-2651, -1001], [0, 0]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-54, 18]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-167/2, 65/2], [-99/2, 39/2], [0, 0]], [[-3/2, 1/2], [5449/6, -2189/6], [1067/2, -439/2], [1/3, -1/6]], [[0, 0], [-1429/2, -521/2], [-1197/2, -441/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [199, -76], [6, -3], [0, 0]], [[-1/2, 5/2], [481/6, 35/3], [83/2, 13], [17/6, 1/3]], [[5/2, 3/2], [395/6, 125/6], [85/2, 31/2], [13/6, 2/3]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[72, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3233/2, -1229/2], [27/2, -3/2], [0, 0]], [[0, 0], [-25246/3, -10078/3], [8875, 3355], [5/6, 5/6]], [[0, 0], [-60479/6, -21641/6], [20129/2, 7607/2], [7/3, 1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1279/2, 499/2], [33/2, 3/2], [0, 0]], [[0, 0], [-217231/6, -81019/6], [-71459/2, -27011/2], [-17/6, -5/6]], [[0, 0], [278702/3, 87434/3], [84406, 31936], [49/3, -5/3]]], 0, 768, [], [] >,
< [ -7, 0, 1 ], [[-342, 126]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-906, 651/2], [3, 9/2], [0, 0]], [[-15, 0], [45809, -17099], [150, -120], [5/2, -5/2]], [[-59/2, -17/2], [22099, -7611], [-180, -150], [-5, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1163/2, -419/2], [-69/2, 33/2], [0, 0]], [[-9, -3], [86261, -38018], [-8832, 1518], [-2, -1]], [[7/2, 1/2], [-182955, 70654], [13386, -4554], [0, 1/2]]], 0, 1152, [], [] >,
< [ -7, 0, 1 ], [[288, -72]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [975/2, -345/2], [3/2, -9/2], [0, 0]], [[0, 0], [157512, 59278], [-52575, -19875], [7/2, 3/2]], [[0, 0], [-75983, -44197], [32550, 12090], [-33/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4046, 1529], [-159, 60], [0, 0]], [[0, 0], [150165, -56716], [5892, -2205], [0, 1]], [[0, 0], [-2288461/2, -863291/2], [-1224819/2, -462873/2], [-55865/2, -21115/2]]], 0, 9216, [], [] >,
< [ -7, 0, 1 ], [[288, -72]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4417/2, 1669/2], [-11517/2, 4353/2], [0, 0]], [[0, 0], [8, -3], [24, -9], [-8, 3]], [[0, 0], [28493/2, -10751/2], [74223/2, -28053/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9737/2, -3653/2], [-33/2, -15/2], [0, 0]], [[0, 0], [-64, 24], [0, 0], [-8, 3]], [[0, 0], [11062, 1565], [-7665, -2898], [0, 0]]], 0, 9216, [], [] >,
< [ -7, 0, 1 ], [[72, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -3], [-13, 4], [0, 0]], [[0, 0], [717/2, -281/2], [-1243/2, 475/2], [-5/2, 5/2]], [[0, 0], [-4510, -1721], [2307, 900], [1407, 532]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-234, 87], [6, -3], [0, 0]], [[0, 0], [-38699/3, 14687/3], [430, -154], [-19/3, -2/3]], [[0, 0], [-24855/2, -9695/2], [-10749/2, -4053/2], [3855/2, 1457/2]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-54, 18]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 0], [38, -10], [-3, 3], [0, 0]], [[35/2, 125/2], [-2038/3, 2171/6], [433/2, -20], [-13/6, -5/6]], [[-1785, 510], [-106063/6, 19295/3], [5321/2, -1153], [17/3, 11/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 1/2], [122, -89/2], [-3/2, 3], [0, 0]], [[-21, 9], [-3073/3, 2327/6], [44, -31/2], [-2/3, 1/6]], [[42, 15], [233/3, -32/3], [38, 16], [-13/6, -5/6]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[72, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-273/2, 105/2], [-3/2, 9/2], [0, 0]], [[0, 0], [-638/3, -496/3], [-1607, -610], [19/6, 5/6]], [[0, 0], [3805/6, 1091/6], [5515/2, 2081/2], [-25/6, -11/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1621/2, 683/2], [45/2, 15/2], [0, 0]], [[0, 0], [-84517/6, -39935/6], [-14413/2, -5453/2], [-10/3, 1/3]], [[0, 0], [-3893641/6, -1716215/6], [-639319/2, -241805/2], [-713/6, 23/6]]], 0, 768, [], [] >,
< [ -7, 0, 1 ], [[-90, 18]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1/2], [-29/2, -7], [0, 3/2], [0, 0]], [[43/2, -17/2], [235/2, -21/2], [-45, 9], [3/2, 2]], [[101, -37], [213, -167], [-129, 69], [-17, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-141/2, 21/2], [-27/2, 15/2], [0, 0]], [[3/2, -3/2], [12465/2, -4817/2], [2148, -804], [-2, 1/2]], [[31, 7], [15861, -4930], [4692, -1932], [3, 4]]], 0, 1152, [], [] >,
< [ -7, 0, 1 ], [[792, -288]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-627/2, 147/2], [27/2, 15/2], [0, 0]], [[0, 0], [-11410, -3823], [3000, 1140], [-9/2, -3/2]], [[0, 0], [29255, -10967], [330, -150], [8, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35/2, -25/2], [15/2, -3/2], [0, 0]], [[0, 0], [64, -24], [0, 0], [8, -3]], [[0, 0], [382, -134], [81, -33], [0, 0]]], 0, 9216, [], [] >,
< [ -7, 0, 1 ], [[792, -288]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, 78], [-135, 51], [0, 0]], [[0, 0], [7501/2, 519/2], [2091/2, -831/2], [-15/2, -5/2]], [[0, 0], [-1879/2, -131/2], [-525/2, 207/2], [3/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1492, -563], [4056, -1533], [0, 0]], [[0, 0], [-56719/2, 21457/2], [-154143/2, 58269/2], [-1/2, 3/2]], [[0, 0], [4475, 1704], [1854, 735], [590, 223]]], 0, 9216, [], [] >,
< [ -7, 0, 1 ], [[72, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 14], [-213, 81], [0, 0]], [[0, 0], [-1093/6, 67/6], [-1457/2, 503/2], [19/6, -1/6]], [[0, 0], [-12370, -4673], [-5130, -1923], [225, 85]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-398, 529], [-276, 105], [0, 0]], [[0, 0], [1821239657/114, 680421721/114], [2203015/38, -4045/38], [331/114, -1/114]], [[0, 0], [-458801353229/114, -171417975175/114], [-553850485/38, 588265/38], [-83215/114, 187/114]]], 0, 1024, [], [] >,
< [ -7, 0, 1 ], [[72, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [374, -155], [-21, -6], [0, 0]], [[0, 0], [-125059/6, -55351/6], [-46233/2, -17457/2], [2/3, -4/3]], [[0, 0], [88805/6, 27083/6], [27291/2, 10329/2], [8/3, -1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2147/2, 265/2], [21/2, 15/2], [0, 0]], [[0, 0], [-433750/57, -2313490/57], [-33267/19, -4185/19], [-131/57, -5/57]], [[0, 0], [-16136224/57, 17061950/57], [217704/19, -8118/19], [952/57, -119/57]]], 0, 1024, [], [] >,
< [ -7, 0, 1 ], [[-1512, 576]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57/2, 17/2], [-11/2, -1/2], [0, 0]], [[0, 0], [-11686559/1406, -4263/1406], [-28577/2, -241/26], [1871/9139, 4/63973]], [[0, 0], [895248297/1406, -346437907/1406], [28436919/26, -11004741/26], [-11027/703, 388309/63973]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-367/2, -51/2], [-39/2, -3/2], [0, 0]], [[0, 0], [-6575851954/13357, -249795068/13357], [17549630/247, -12398/19], [-9961/173641, 2/1215487]], [[0, 0], [69368702443887/26714, -26972296557699/26714], [-211488089065/494, 81717618769/494], [58567528/173641, -158584351/1215487]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[504, 0]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [71/2, -21/2], [17/2, 1/2], [0, 0]], [[0, 0], [-540629/703, 51925/703], [-2350, 1660/13], [-1979/9139, -2/9139]], [[0, 0], [30287931/703, -11556799/703], [1559132/13, -596372/13], [87887/9139, -33755/9139]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [154, 3], [15, 0], [0, 0]], [[0, 0], [4525715117/26714, 66395829/26714], [1480109/494, 67513/494], [688/13357, 3/173641]], [[0, 0], [10589968604505/13357, -3893464298721/13357], [3176144731/247, -1161953605/247], [43465410/173641, -16012647/173641]]], 0, 49152, [], [] >,
< [ -7, 0, 1 ], [[-1080, 432]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16395/2, 6261/2], [33/2, 9/2], [0, 0]], [[0, 0], [16, -6], [0, 0], [8, -3]], [[0, 0], [-3567/2, -465/2], [-801/2, -303/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3771/2, 1449/2], [-3/2, 9/2], [0, 0]], [[0, 0], [-3, 1], [0, 0], [8, -3]], [[0, 0], [4287/2, 1293/2], [1281/2, 483/2], [0, 0]]], 0, 27648, [], [] >,
< [ -7, 0, 1 ], [[-144, 72]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3507/2, 1305/2], [-15/2, -15/2], [0, 0]], [[0, 0], [-72889/3, -28336/3], [-24863, -9392], [-17/3, -2/3]], [[0, 0], [8376, 2617], [7701, 2922], [-3, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2139/2, -819/2], [-3/2, -9/2], [0, 0]], [[0, 0], [-31153/3, -11221/3], [-9770, -3686], [-5/3, 4/3]], [[0, 0], [-3217/2, -1605/2], [-3573/2, -1365/2], [3, -1]]], 0, 2304, [], [] >,
< [ -7, 0, 1 ], [[-1080, 432]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [745/2, -283/2], [-9/2, 3/2], [0, 0]], [[0, 0], [92, 20], [0, 0], [13, -2]], [[0, 0], [-207, 91], [0, 0], [-104, 40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34893/2, -13185/2], [-21/2, 9/2], [0, 0]], [[0, 0], [35, -13], [0, 0], [8, -3]], [[0, 0], [8607/2, 2751/2], [2547/2, 963/2], [0, 0]]], 0, 27648, [], [] >,
< [ -7, 0, 1 ], [[-144, 72]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, -61], [-15, -6], [0, 0]], [[0, 0], [-769/6, -427/6], [-287/2, -125/2], [11/3, -4/3]], [[0, 0], [-151/2, -47/2], [-135/2, -51/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2469/2, -963/2], [-39/2, -15/2], [0, 0]], [[0, 0], [53/3, -583/3], [-235, -91], [-11/3, -2/3]], [[0, 0], [971, -724], [-438, -177], [-10, 0]]], 0, 2304, [], [] >,
< [ -7, 0, 1 ], [[-144, 72]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-427, 170], [411, -156], [0, 0]], [[0, 0], [169161/2, -56437/2], [-150405/2, 56289/2], [15/2, 1/2]], [[0, 0], [15544145/6, 2928931/6], [-1510277/2, 352193/2], [10507/6, 3857/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [476, -193], [120, -45], [0, 0]], [[0, 0], [2554, 265], [-669, 66], [-3, 0]], [[0, 0], [-119137/114, -44813/114], [5995/38, 2255/38], [109/114, 41/114]]], 0, 3072, [], [] >,
< [ -7, 0, 1 ], [[-144, 72]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-224, 73], [237, -90], [0, 0]], [[0, 0], [32554/3, -13354/3], [-12925, 4873], [-1/3, 1/3]], [[0, 0], [228581/6, 76999/6], [-2219/2, 2735/2], [-131/6, -49/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [161, -70], [33, -12], [0, 0]], [[0, 0], [3909455/57, -946418/57], [146170/19, -59107/19], [-182/57, -1/57]], [[0, 0], [65566537/2, 25199119/2], [-1519419/2, -515229/2], [-8671/2, -3289/2]]], 0, 3072, [], [] >,
< [ -7, 0, 1 ], [[1184, -440]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 7], [-34, -5], [0, 0]], [[0, 0], [-138925/3, 35332/3], [-22082, 305], [-50/3, -1/3]], [[0, 0], [-299981231/6, 113063483/6], [-29700277/2, 11076421/2], [-61525/6, 22885/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2807, -1064], [40, -1], [0, 0]], [[0, 0], [-352163/6, -131989/6], [540479/2, 204277/2], [23/6, 1/6]], [[0, 0], [-270750, -28209], [799731, 301302], [682, -253]]], 0, 10368, [], [] >,
< [ -7, 0, 1 ], [[98078, -37070]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 7/2], [53, -23/2], [19/2, 1], [0, 0]], [[11403/2, 4203/2], [21509/3, 22799/6], [9029/2, 1796], [-8/3, 2/3]], [[17365/2, 7383/2], [150989/6, 6919/6], [8500, 2525], [97/6, -20/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 1/2], [-393/2, 78], [1, 1/2], [0, 0]], [[-1/2, -3/2], [373/6, -145/6], [0, 0], [-5/3, 1/6]], [[55/2, -11/2], [1537/2, -577/2], [0, 0], [-11, 11/2]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[-272, 104]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 1], [10, -4], [0, 0]], [[0, 0], [-55/6, 1/6], [91/2, -13/2], [43/6, 5/6]], [[0, 0], [20/3, 10/3], [-18, -12], [-23/3, -10/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -17], [34, -13], [0, 0]], [[0, 0], [-375, -183], [88, -34], [2, 0]], [[0, 0], [-1051/6, -23/6], [-279/2, 105/2], [-11/6, 5/6]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[-272, 104]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 27], [5, -2], [0, 0]], [[0, 0], [-1793/6, -697/6], [-305/2, -115/2], [-5/3, -1/3]], [[0, 0], [71/3, -44/3], [-5, -1], [-19/6, 7/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, -18], [-19, -2], [0, 0]], [[0, 0], [-1945/6, -4133/6], [-3007/2, 679/2], [-16/3, -2/3]], [[0, 0], [-19/3, 7/3], [0, 0], [-5/3, 2/3]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[98078, -37070]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1], [-449/2, 161/2], [-7/2, 1/2], [0, 0]], [[6524, 2474], [29895, 20395/2], [5394, 4053/2], [1, -1/2]], [[-14845/2, -5639/2], [-104663/3, -67751/6], [-12303/2, -2304], [-11/6, 5/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 1/2], [321, -225/2], [-1/2, 2], [0, 0]], [[-799/2, -303/2], [-9739/6, -3515/6], [-322, -122], [-17/6, -2/3]], [[134, 64], [1549, -131], [112, 50], [15, -5]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[-272, 104]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 9], [-13, 4], [0, 0]], [[0, 0], [1181/6, -497/6], [417/2, -141/2], [37/6, 5/6]], [[0, 0], [-361488, 136587], [-343162, 129745], [-3421, 1309]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -17], [50, -17], [0, 0]], [[0, 0], [-8129/6, -4909/6], [1971/2, -57/2], [-43/6, -5/6]], [[0, 0], [414418/3, -152269/3], [177947, -67634], [-2488/3, 952/3]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[-272, 104]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81/2, -9/2], [-17/2, -1/2], [0, 0]], [[0, 0], [-44617/6, 8611/6], [2769/2, -117/2], [-22/3, -5/3]], [[0, 0], [75354985/6, -28501837/6], [-3440125/2, 1302535/2], [9766/3, -3724/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-157, 67], [7, -1], [0, 0]], [[0, 0], [3599, 1356], [775, 293], [-5/2, 1/2]], [[0, 0], [-54361/6, -23693/6], [-4233/2, -1581/2], [-1391/6, 533/6]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[-544, 208]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10181, -3848], [-34, 13], [0, 0]], [[0, 0], [71528, -27031], [-1945, 746], [3450, -1304]], [[0, 0], [-1656908, 626206], [45278, -17238], [-80028, 30248]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [757, -277], [95, -35], [0, 0]], [[0, 0], [17655, -7177], [2177, -873], [-74, 28]], [[0, 0], [111257/3, -41432/3], [13622/3, -5087/3], [-434/3, 164/3]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-544, 208]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5571, 2106], [4, -1], [0, 0]], [[0, 0], [119857, -45302], [-348, 131], [582, -220]], [[0, 0], [90987, -34390], [-252, 95], [418, -158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-91, -17], [1, -1], [0, 0]], [[0, 0], [1093, 1670], [170, -41], [6, 0]], [[0, 0], [109781/3, -40868/3], [-9112/3, 3451/3], [-194/3, 74/3]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[22, -10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5139/2, 1941/2], [7/2, -1/2], [0, 0]], [[5/2, -1/2], [-46945/2, 17811/2], [-59/2, -53/2], [5/2, -1/2]], [[-8, -3], [-877/2, -835/2], [1753/2, 663/2], [-8, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1159/2, 367/2], [-25/2, 1/2], [0, 0]], [[-1, 1], [2707139/3, 1007821/3], [319726/3, 120644/3], [-1/3, 1/3]], [[-21/2, 9/2], [1598127/2, 541615/2], [181279/2, 67701/2], [-7/2, 3/2]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[-272, 104]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1318, 499], [-71, 26], [0, 0]], [[0, 0], [14039, -5231], [998, -452], [-386, 146]], [[0, 0], [21263, -8113], [1775, -595], [-585, 221]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1685, -638], [71, -26], [0, 0]], [[0, 0], [889810/3, -330796/3], [31217/3, -15881/3], [-29/3, 11/3]], [[0, 0], [52547, -19979], [2300, -782], [0, 0]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[-272, 104]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1745, 659], [57, -21], [0, 0]], [[0, 0], [-1, 0], [-1, 0], [1, 0]], [[0, 0], [5, -2], [-5, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6609, -2508], [-51, 18], [0, 0]], [[0, 0], [-1038154/3, 391663/3], [7594/3, -2965/3], [-13/3, 1/3]], [[0, 0], [920824/3, 215633/3], [96500/3, 37459/3], [4048/3, 1529/3]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[22, -10]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1494, 567], [-1, -2], [0, 0]], [[-5/2, 1/2], [66801/2, -25235/2], [-107/2, 27/2], [-5/2, 1/2]], [[-45/2, -17/2], [530, 137], [-450, -170], [-45/2, -17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 10], [2, 1], [0, 0]], [[-5/2, 5/2], [-28/3, -95/3], [-8/3, -10/3], [-5/6, 5/6]], [[-9, 3], [125/2, -31/2], [13/2, -3/2], [-3, 1]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[-272, 104]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2427, 918], [-52, 19], [0, 0]], [[0, 0], [201924, -76242], [4471, -1765], [-299, 113]], [[0, 0], [-355179, 137249], [-11952, 1628], [528, -200]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43, 31], [-46, 16], [0, 0]], [[0, 0], [-17842/3, 1447/3], [-6983/3, 3140/3], [-13/3, -5/3]], [[0, 0], [7580, -2873], [5357, -2024], [0, 0]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[-272, 104]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16836, -6363], [-62, 23], [0, 0]], [[0, 0], [-7, 0], [-1, 0], [1, 0]], [[0, 0], [-33358, 12604], [128, -44], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4507, 1708], [-25, 10], [0, 0]], [[0, 0], [-16739/3, 6386/3], [-79/3, 52/3], [-17/3, -1/3]], [[0, 0], [-10898, -5381], [-4680, -1777], [1573, 594]]], 0, 384, [], [] >,
< [ -7, 0, 1 ], [[96, -24]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13/2, 1/2], [21/2, 3/2], [0, 0]], [[0, 0], [1400, -455], [-1357, 322], [1, -1]], [[0, 0], [3295/3, -1475/3], [-759, 483], [8/3, -1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [182, -5], [3, 0], [0, 0]], [[0, 0], [1182005/57, -16102/57], [6129/19, 96/19], [-8/57, 1/57]], [[0, 0], [-453/2, 75/2], [-7/2, 1/2], [0, 0]]], 0, 768, [], [] >,
< [ -7, 0, 1 ], [[96, -24]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [161/2, 7/2], [13/2, -1/2], [0, 0]], [[0, 0], [222836/3, 12206/3], [5940, -390], [-5/3, -2/3]], [[0, 0], [12756, -4890], [1405, -535], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [327/2, -21/2], [17/2, 1/2], [0, 0]], [[0, 0], [19035911/57, -2301463/57], [308448/19, -252/19], [40/57, -5/57]], [[0, 0], [-380022935/57, 93777241/57], [-5431914/19, 867816/19], [-802/57, 200/57]]], 0, 768, [], [] >,
< [ -7, 0, 1 ], [[-360, 144]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1554, 588], [57, -21], [0, 0]], [[0, 0], [949279/6, -359203/6], [-11681/2, 4289/2], [11/6, 1/6]], [[0, 0], [-179775, -85518], [-188343, -70548], [2556, 966]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [300, -114], [387, -147], [0, 0]], [[0, 0], [53377/2, -20179/2], [68955/2, -26073/2], [5/2, 1/2]], [[0, 0], [3998/3, 1315/3], [3020, 1057], [-2360/3, -892/3]]], 0, 2304, [], [] >,
< [ -7, 0, 1 ], [[-360, 144]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [77, -28], [-93, 36], [0, 0]], [[0, 0], [42721/2, -16561/2], [-54177/2, 20157/2], [-1/2, 1/2]], [[0, 0], [47125/6, 16559/6], [11023/2, 4685/2], [-61/6, -23/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [489, -186], [93, -36], [0, 0]], [[0, 0], [448371, -169374], [85986, -32445], [3, 0]], [[0, 0], [-52949/6, -15601/6], [-9527/2, -3319/2], [-553/6, -209/6]]], 0, 2304, [], [] >,
< [ -7, 0, 1 ], [[-432, 216]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [464, -181], [150, -57], [0, 0]], [[0, 0], [-6067/2, 2299/2], [-1767/2, 747/2], [55/2, 5/2]], [[0, 0], [-1867, 388], [-6138, -1983], [-1850, -703]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7014, 2652], [-261, 99], [0, 0]], [[0, 0], [106753/2, -40423/2], [3927/2, -1509/2], [-7/2, 1/2]], [[0, 0], [167335, 63308], [56031, 21180], [3585, 1355]]], 0, 27648, [], [] >,
< [ -7, 0, 1 ], [[-432, 216]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3879, 1467], [-126, 48], [0, 0]], [[0, 0], [1361259/2, -514453/2], [44505/2, -16791/2], [5/2, 3/2]], [[0, 0], [98716, 35367], [53427, 20130], [8559, 3235]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9249, 3495], [174, -66], [0, 0]], [[0, 0], [-194509/2, 73653/2], [3699/2, -1347/2], [1/2, 3/2]], [[0, 0], [-247547, -93938], [-93432, -35307], [-6154, -2326]]], 0, 27648, [], [] >,
< [ -7, 0, 1 ], [[-360, 144]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4034, -1544], [-9, -3], [0, 0]], [[0, 0], [-715147/6, -216715/6], [-71265/2, -26937/2], [-577/3, 218/3]], [[0, 0], [-497598211/6, -188393197/6], [-55089969/2, -20822043/2], [3344/3, -1330/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2365, -131], [-6, 6], [0, 0]], [[0, 0], [362364, 288288], [-4446, 96], [3, 0]], [[0, 0], [1340479525/114, -424113143/114], [4682301/38, -1872255/38], [-4466/57, 1798/57]]], 0, 3072, [], [] >,
< [ -7, 0, 1 ], [[-360, 144]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6179/2, -2339/2], [21/2, -9/2], [0, 0]], [[0, 0], [-605926/3, -230407/3], [-60525, -22878], [7/3, 1/3]], [[0, 0], [852295/3, 105091/3], [56637, 21141], [335/3, -130/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [275/2, 307/2], [-27/2, -15/2], [0, 0]], [[0, 0], [17531417/57, -3594247/57], [-198354/19, 7452/19], [82/57, 4/57]], [[0, 0], [1609501357/57, -616746647/57], [-12821628/19, 5033448/19], [4151/57, -1666/57]]], 0, 3072, [], [] >,
< [ -7, 0, 1 ], [[184, -64]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [61, -16], [34, -13], [0, 0]], [[0, 0], [574, 155], [95, -26], [15, 0]], [[0, 0], [21221/6, -5183/6], [5853/2, -2187/2], [1657/6, -583/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 10], [7, 5], [0, 0]], [[0, 0], [52987/6, -82765/6], [-24053/2, 3095/2], [-7/6, -5/6]], [[0, 0], [1820419/2, -677767/2], [-638699/2, 244355/2], [43/2, -15/2]]], 0, 1152, [], [] >,
< [ -7, 0, 1 ], [[104, -40]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2021/2, 761/2], [1/2, 3/2], [0, 0]], [[0, 0], [-6394/3, -1510/3], [2020, 764], [35/6, 5/6]], [[0, 0], [-4145, 1621], [-91, -29], [39/2, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1095/2, -421/2], [5/2, -3/2], [0, 0]], [[0, 0], [6340/3, 2761/3], [350, 133], [19/6, 1/6]], [[0, 0], [40187/6, 2963/6], [1267/2, 455/2], [-58/3, 29/3]]], 0, 64, [], [] >,
< [ -7, 0, 1 ], [[104, -40]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1637/2, -647/2], [-9/2, -1/2], [0, 0]], [[0, 0], [-245219/3, -97589/3], [-13065, -4935], [11/3, 2/3]], [[0, 0], [1979422/3, -879794/3], [-10400, -2900], [1909/6, -713/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-65/2, 29/2], [1/2, -5/2], [0, 0]], [[0, 0], [8455/3, 3409/3], [-3053, -1161], [-11/6, -5/6]], [[0, 0], [30740/3, -11179/3], [-1204, 301], [-59/3, 22/3]]], 0, 64, [], [] >,
< [ -7, 0, 1 ], [[-128, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4764, -1800], [-226, 86], [0, 0]], [[0, 0], [-613769, 232173], [29457, -10955], [10, -6]], [[0, 0], [4618962, 1747088], [4343226, 1641524], [-54132, -20460]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4592, -1736], [-58, 22], [0, 0]], [[0, 0], [339538/3, -128300/3], [-4360/3, 1634/3], [44/3, -4/3]], [[0, 0], [500153/3, 184967/3], [-207107/3, -78227/3], [187918/3, 71026/3]]], 0, 4096, [], [] >,
< [ -7, 0, 1 ], [[-8, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53/2, 3/2], [13/2, 5/2], [0, 0]], [[0, 0], [-2, 0], [0, 0], [1, 0]], [[0, 0], [112, -43], [1, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33/2, -39/2], [9/2, 3/2], [0, 0]], [[0, 0], [-16355/6, 7555/6], [-499/6, 23/6], [4/3, 4/3]], [[0, 0], [-97908, 36665], [-1447, 588], [-39, 12]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-8, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[-13/2, -3/2], [19, -6], [0, 0], [-13/2, -3/2]], [[91, -49], [-1515, 577], [0, 0], [91, -49]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [-1, 0], [0, 0]], [[17/2, -1/2], [38/3, 41/3], [-17/3, 1/3], [17/6, -1/6]], [[-240, 60], [201, -285], [160, -40], [-80, 20]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-64, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [408, -154], [-38, 14], [0, 0]], [[0, 0], [14371, -5459], [-1313, 483], [-8, -6]], [[0, 0], [385655, -146055], [-34899, 13049], [-22, -88]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [208, -82], [146, -56], [0, 0]], [[0, 0], [7913, -2705], [5307, -1937], [4, -2]], [[0, 0], [-385903/3, -146131/3], [-92807/3, -35267/3], [646/3, 244/3]]], 0, 1024, [], [] >,
< [ -7, 0, 1 ], [[-64, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4708, -1782], [-8, 2], [0, 0]], [[0, 0], [-7997, 3027], [15, -3], [10, -6]], [[0, 0], [36384, -13764], [-62, 16], [-52, 26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2081, -789], [-15, 5], [0, 0]], [[0, 0], [188206/3, -71558/3], [-1438/3, 428/3], [-28/3, -10/3]], [[0, 0], [102524/3, -67324/3], [-11282/3, -3542/3], [-1832/3, -692/3]]], 0, 1024, [], [] >,
< [ -7, 0, 1 ], [[8, -8]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-90, 33], [1, 0], [0, 0]], [[0, 0], [-1937/3, -745/3], [246, 93], [1/6, 5/6]], [[0, 0], [6289/6, 2153/6], [-755/2, -285/2], [-32/3, 8/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [613/2, -213/2], [-11/2, -3/2], [0, 0]], [[0, 0], [-43264/3, -13115/3], [4992, 1884], [-37/6, -5/6]], [[0, 0], [572334, 97378], [-159720, -60060], [352, -32]]], 0, 64, [], [] >,
< [ -7, 0, 1 ], [[8, -8]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1069/2, -355/2], [15/2, 5/2], [0, 0]], [[0, 0], [10729/3, 2873/3], [665, 251], [-4/3, -2/3]], [[0, 0], [4222/3, -3451/3], [-176, -68], [7/6, -1/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-641/2, 207/2], [-7/2, -5/2], [0, 0]], [[0, 0], [-6823/3, -2579/3], [-500, -189], [-37/6, -5/6]], [[0, 0], [5261/2, 1983/2], [1159/2, 435/2], [-165, 66]]], 0, 64, [], [] >,
< [ -7, 0, 1 ], [[96, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, 20], [-1000, 378], [0, 0]], [[0, 0], [-1208/3, 623/3], [-9054, 3419], [5/3, 4/3]], [[0, 0], [47192/3, 17788/3], [-450, -480], [1720/3, 650/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16252, -6352], [3360, -1270], [0, 0]], [[0, 0], [1510233961/57, 569562974/57], [195791/19, -3790/19], [-226/57, -5/57]], [[0, 0], [-100799019344/57, -38011548484/57], [-13342934/19, 357128/19], [15368/57, 226/57]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[-320, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10336, -3906], [62, -24], [0, 0]], [[0, 0], [-1886021, 712889], [-11499, 4309], [14, -6]], [[0, 0], [-360289, -137045], [335101, 126651], [6154, 2326]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-202, 76], [-242, 92], [0, 0]], [[0, 0], [-6451/3, 2413/3], [-7477/3, 2833/3], [-26/3, 2/3]], [[0, 0], [-9305/3, -3547/3], [2503/3, 911/3], [-2926/3, -1106/3]]], 0, 4096, [], [] >,
< [ -7, 0, 1 ], [[-20, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [47/2, 3/2], [7/2, 3/2], [0, 0]], [[0, 0], [-2, 0], [0, 0], [1, 0]], [[0, 0], [-2523/2, 951/2], [59/2, -23/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, 2], [4, -1], [0, 0]], [[0, 0], [200/3, -74/3], [-71/3, 11/3], [23/3, 4/3]], [[0, 0], [13909/2, -5261/2], [-3469/2, 1349/2], [198, -90]]], 1, 24, [], [] >,
< [ -7, 0, 1 ], [[-20, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[-5/2, 5/2], [-11, 2], [0, 0], [-5/2, 5/2]], [[33/2, -13/2], [30, -11], [0, 0], [33/2, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -1], [1, 0], [0, 0]], [[1/2, -1/2], [-40/3, -11/3], [1/3, -1/3], [1/6, -1/6]], [[0, 0], [9, -3], [0, 0], [0, 0]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-160, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-652, 246], [-158, 60], [0, 0]], [[0, 0], [30554, -11588], [7512, -2804], [0, 4]], [[0, 0], [-449355, 170049], [-109917, 41359], [50, -40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [510, -196], [-62, 24], [0, 0]], [[0, 0], [-301990/3, 113596/3], [36880/3, -13864/3], [-16/3, -8/3]], [[0, 0], [-2333/3, 15017/3], [-37/3, -1955/3], [466/3, 176/3]]], 0, 1024, [], [] >,
< [ -7, 0, 1 ], [[-160, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16779, 6343], [-19, 9], [0, 0]], [[0, 0], [-375688, 141942], [-576, 144], [-2, -8]], [[0, 0], [-4287272, 1620080], [-6096, 1824], [34, -70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-340, 124], [-22, 10], [0, 0]], [[0, 0], [31, -31], [17, -3], [-2, -2]], [[0, 0], [3626/3, 1378/3], [-650/3, -244/3], [518/3, 196/3]]], 0, 1024, [], [] >,
< [ -7, 0, 1 ], [[96, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [1, 0], [0, 0]], [[0, 0], [1466, -556], [0, 0], [0, 2]], [[0, 0], [1228/3, -398/3], [0, 0], [-94/3, -34/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 0], [1, 0], [0, 0]], [[0, 0], [791078/57, 12308/57], [-506/19, -8/19], [-506/57, -8/57]], [[0, 0], [-14011478/57, 1754584/57], [8960/19, -1120/19], [8960/57, -1120/57]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[-2016, 768]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [183, -67], [-23, 11], [0, 0]], [[0, 0], [100898948/703, -2493111/703], [107800/13, 2443/13], [21847/27417, 5/191919]], [[0, 0], [209268195700/703, 71142828982/703], [19287202, 87270942/13], [48185548/27417, 116173376/191919]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1092, -436], [38, -16], [0, 0]], [[0, 0], [-100932359641/13357, -1277095194/13357], [164392089/247, -840342/247], [252085/520923, -1/3646461]], [[0, 0], [2446470392654928/13357, 929212585929614/13357], [-3802516173814/247, -111150714960/19], [-1970426364/173641, -5240594062/1215487]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-1344, 512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2448, 926], [-190, 72], [0, 0]], [[0, 0], [-18320, 7006], [-1416, 550], [24, 8]], [[0, 0], [89, 325], [59, 45], [90, 34]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-344, 66], [-10, 4], [0, 0]], [[0, 0], [85882/3, 42320/3], [-862/3, 64/3], [20/3, 4/3]], [[0, 0], [22679/3, 523/3], [379/3, -175/3], [-2/3, 2/3]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[576, -224]], [ -33, -3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2/3, 1/3], [1, 0], [0, 0]], [[0, 0], [-2038/3, 758/3], [0, 0], [672, -254]], [[0, 0], [450, 472/3], [0, 0], [-16, 20/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2/3, 1/3], [1, 0], [0, 0]], [[0, 0], [53/9, -38/9], [2/3, 1/3], [4/9, 2/9]], [[0, 0], [-22/3, 8/3], [0, 0], [0, 0]]], 0, 4608, [], [] >,
< [ -7, 0, 1 ], [[96, -64]], [ -149, 55 ], [ -5, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14/3, -10/3], [-7170, 2710], [0, 0]], [[0, 0], [240806/9, 91021/9], [1236/5, -304/5], [29/45, 4/45]], [[0, 0], [166790/9, 63076/9], [1520, -552], [16/9, -4/9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13040/3, -4928/3], [7170, -2710], [0, 0]], [[0, 0], [73153/9, -27484/9], [66708/5, -25184/5], [22/45, -1/45]], [[0, 0], [288371/27, 108994/27], [50936/15, 19252/15], [12734/135, 4813/135]]], 0, 4608, [], [] >,
< [ -7, 0, 1 ], [[1184, -384]], [ -149, 55 ], [ -5, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 2], [67128, -25372], [0, 0]], [[0, 0], [-796649, -301104], [914, 3578/5], [2/3, -1/15]], [[0, 0], [912752/9, 344959/9], [6816/5, -3252/5], [-61/45, 22/45]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13010/3, 4916/3], [62916, -23780], [0, 0]], [[0, 0], [3458641/27, -1307350/27], [-27872996/15, 2107672/3], [16/135, 1/27]], [[0, 0], [561017/27, 211513/27], [-21854662/15, -8256002/15], [-71893/135, -27173/135]]], 0, 92160, [], [] >,
< [ -7, 0, 1 ], [[1408, -480]], [ -33, -3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-634/3, 239/3], [-281, 104], [0, 0]], [[0, 0], [6253/3, -2285/3], [2777, -739], [-254, 96]], [[0, 0], [82870/3, 31232/3], [327842, 123878], [-8, 2/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1481/3, 532/3], [-178, 65], [0, 0]], [[0, 0], [1033/3, -2174/3], [260, -251], [4/3, -2/3]], [[0, 0], [36691/9, 6773/9], [3613/3, 401/3], [20/9, -2/9]]], 0, 92160, [], [] >,
< [ -7, 0, 1 ], [[672, 0]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67, -23], [-13, 7], [0, 0]], [[0, 0], [-1505837/703, 1256564/703], [93891/13, -5906/13], [4283/9139, -1/9139]], [[0, 0], [-4502453062/703, -1640475609/703], [-188427232/13, -72608429/13], [-31001281/27417, -11880521/27417]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1256, -468], [-36, 14], [0, 0]], [[0, 0], [334467500/13357, -97666889/13357], [-30782838/247, 62423/247], [313213/520923, 5/520923]], [[0, 0], [3566804880/361, 1475627465/361], [-55307411270/247, -21150495495/247], [5097693/4693, 1949199/4693]]], 0, 49152, [], [] >,
< [ -7, 0, 1 ], [[448, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3402, -1286], [3556, -1344], [0, 0]], [[0, 0], [-88919, 33633], [-92683, 35035], [-6, 10]], [[0, 0], [-1033856, -392942], [-169326, -66272], [-323532, -122284]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [882, -264], [728, -274], [0, 0]], [[0, 0], [1844176/3, 649760/3], [87230/3, -10478/3], [20/3, -8/3]], [[0, 0], [-58716541/3, -22225031/3], [-942071/3, -385723/3], [34/3, 2/3]]], 0, 49152, [], [] >,
< [ -7, 0, 1 ], [[-32, 64]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, -20], [43, -14], [0, 0]], [[0, 0], [1493, 971], [-965, 135], [0, -2]], [[0, 0], [-4292/3, -7427/3], [3742, -963], [-22/3, 20/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [398, -148], [0, 0], [-6, 0]], [[0, 0], [-542/3, -248/3], [0, 0], [560/3, 212/3]]], 0, 4608, [], [] >,
< [ -7, 0, 1 ], [[-40, 8]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1781/2, -671/2], [7/2, -5/2], [0, 0]], [[0, 0], [6388/3, 3616/3], [-2890, -1090], [-35/6, -5/6]], [[0, 0], [4219/2, 1065/2], [-3815/2, -1445/2], [-3/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1413/2, 535/2], [21/2, -3/2], [0, 0]], [[0, 0], [25369/6, 2857/6], [28897/2, 10945/2], [-13/6, 5/6]], [[0, 0], [-7279/2, -2787/2], [-38621/2, -14597/2], [0, 0]]], 0, 256, [], [] >,
< [ -7, 0, 1 ], [[-40, 8]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1019/2, -385/2], [5/2, 5/2], [0, 0]], [[0, 0], [-1663/3, 335/3], [-6513, -2463], [-11/3, 1/3]], [[0, 0], [22858/3, -7670/3], [21488, 8144], [259/6, -77/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1985/2, 745/2], [17/2, -1/2], [0, 0]], [[0, 0], [50044/3, 19231/3], [-17368, -6565], [-13/3, 2/3]], [[0, 0], [-14341, -5783], [15301, 5785], [23/2, -7/2]]], 0, 256, [], [] >,
< [ -7, 0, 1 ], [[-2144, 832]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-79, -52], [-15, 6], [0, 0]], [[0, 0], [-28048/3, -10450/3], [64, 4], [106/3, 4/3]], [[0, 0], [89744/3, -25678/3], [-10554, 3978], [-18788/3, 7084/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 35], [41, -13], [0, 0]], [[0, 0], [-8375, 118], [3745, -1610], [-4, 2]], [[0, 0], [-219634/3, 71132/3], [62300, -23800], [-212/3, 82/3]]], 0, 55296, [], [] >,
< [ -7, 0, 1 ], [[704, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10202, 3856], [-7842, 2964], [0, 0]], [[0, 0], [-9606, 3632], [-7174, 2712], [4, 0]], [[0, 0], [84349, 31879], [31983, 12087], [98078, 37070]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2660, -1006], [1154, -436], [0, 0]], [[0, 0], [-802/3, 308/3], [-494/3, 196/3], [4/3, -8/3]], [[0, 0], [425/3, 161/3], [1399/3, 529/3], [-926/3, -350/3]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[44, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [77, -28], [24, -9], [0, 0]], [[-5, -2], [-357, 264], [-162, 63], [-5, -2]], [[15/2, 7/2], [2957, -1332], [1005, -383], [15/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 16], [-41, 13], [0, 0]], [[17/2, -1/2], [6380/3, -1630/3], [3487/3, -2468/3], [17/6, -1/6]], [[-924, 330], [-328597, 122350], [-301939, 116842], [-308, 110]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[44, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [61/2, -41/2], [-35/2, -5/2], [0, 0]], [[0, 0], [-1, 0], [-1, 0], [1, 0]], [[0, 0], [-11, 19], [24, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43/2, 13/2], [1/2, -5/2], [0, 0]], [[0, 0], [-271/3, 218/3], [-284/3, 91/3], [37/3, -11/3]], [[0, 0], [1687/2, -565/2], [965/2, -375/2], [-61, 24]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[352, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3461, -1309], [-9, 3], [0, 0]], [[0, 0], [-2026, -762], [-924, -350], [-2, 0]], [[0, 0], [87, 15], [29, 11], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1811, -637], [35, 5], [0, 0]], [[0, 0], [-68467/3, -25159/3], [-25955/3, -9779/3], [-14/3, 4/3]], [[0, 0], [-12310/3, -7306/3], [-5900/3, -2360/3], [52/3, -20/3]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[352, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [392, -148], [-684, 258], [0, 0]], [[0, 0], [25445, -9611], [-44257, 16729], [6, 4]], [[0, 0], [31722, -12000], [-55222, 20870], [-16, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [884, -334], [1202, -454], [0, 0]], [[0, 0], [54493/3, -20633/3], [73889/3, -27961/3], [-34/3, -4/3]], [[0, 0], [-10934, -3730], [-10318, -3354], [-4778, -1806]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[-192, 96]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4414, 1668], [-3360, 1270], [0, 0]], [[0, 0], [2, 1], [0, 1], [1, 0]], [[0, 0], [-4086, 1544], [-3106, 1174], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [662, -250], [736, -278], [0, 0]], [[0, 0], [-192026/3, 72671/3], [-71154, 26959], [-19/3, -2/3]], [[0, 0], [1384756/3, 531578/3], [986330, 375834], [-139162/3, -52598/3]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-112836, 42648]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1/2], [67/2, 11], [3, 3/2], [0, 0]], [[-75, 31], [-463/2, 253/2], [97/2, -47/2], [15/2, 1/2]], [[-8327/2, 3113/2], [-91589/6, 16552/3], [2963, -2173/2], [403/3, -217/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 5/2], [39/2, 6], [8, 1/2], [0, 0]], [[-48, -120], [-3956/3, -1363/3], [-425, -82], [-19/3, -2/3]], [[2256, -744], [467/6, 4321/6], [-2755/2, 1423/2], [-197/6, 89/6]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[-112836, 42648]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23/2, -5/2], [-3/2, -3/2], [0, 0]], [[0, 0], [299/6, -19/3], [-11/2, 6], [2/3, -1/6]], [[0, 0], [700/3, -881/6], [-124, 57/2], [14/3, -13/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59/2, 25/2], [27/2, -3/2], [0, 0]], [[0, 0], [42113/6, -19103/6], [-8057/2, 219/2], [25/6, 5/6]], [[0, 0], [123871/3, -93101/6], [-11198, 8941/2], [14/3, -13/6]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[-192, 96]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [418, -158], [-884, 334], [0, 0]], [[0, 0], [-376, 143], [816, -279], [4, 1]], [[0, 0], [-163/3, -59/3], [-1125, -427], [-209/3, -79/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3619, -1355], [31, 1], [0, 0]], [[0, 0], [277294/3, 103055/3], [90674, 34269], [2/3, 1/3]], [[0, 0], [-4057, -313], [-2423, -911], [0, 0]]], 0, 3072, [], [] >,
< [ -7, 0, 1 ], [[-96, 192]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3833, 1447], [17, -7], [0, 0]], [[0, 0], [17, 0], [3, 0], [1, 0]], [[0, 0], [12750, -4818], [-52, 20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-788, 298], [-96, 36], [0, 0]], [[0, 0], [-1, 0], [3, 0], [1, 0]], [[0, 0], [4794, -1812], [614, -232], [0, 0]]], 0, 36864, [], [] >,
< [ -7, 0, 1 ], [[-12, 24]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [389/2, -157/2], [-27/2, -3/2], [0, 0]], [[0, 0], [62665/2, 14969/2], [67397/2, 25697/2], [-5/2, 3/2]], [[0, 0], [208835/2, 32403], [251241/2, 47661], [-5/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27/2, 9/2], [-17/2, -5/2], [0, 0]], [[0, 0], [-15, 22], [92, 32], [-19/2, 9/2]], [[0, 0], [-792, 262], [-128, -104], [-437/2, 161/2]]], 0, 576, [], [] >,
< [ -7, 0, 1 ], [[-12, 24]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1/2], [1009/2, -190], [-1, 1/2], [0, 0]], [[0, 0], [-21, -13], [0, 0], [1, -1]], [[0, 0], [67, 30], [0, 0], [1/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 20], [-1, -1], [0, 0]], [[25/2, 7/2], [-1044, 467], [-47/2, -47/2], [2, 3/2]], [[-31/2, -13/2], [-1437/2, 323/2], [75, 21], [-5, -3/2]]], 0, 576, [], [] >,
< [ -7, 0, 1 ], [[-96, 192]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3200, 1210], [1128, -426], [0, 0]], [[0, 0], [0, 1], [-2, 1], [1, 0]], [[0, 0], [-5868, 2220], [2078, -784], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-466, 176], [-48994, 18518], [0, 0]], [[0, 0], [0, 1], [-2, 1], [1, 0]], [[0, 0], [5140, -1940], [541098, -204516], [0, 0]]], 0, 36864, [], [] >,
< [ -7, 0, 1 ], [[-192, 96]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, 38], [-684, 258], [0, 0]], [[0, 0], [-13964/3, 5282/3], [-32646, 12338], [8/3, -2/3]], [[0, 0], [23576/3, 8923/3], [-6004, -2241], [5863/3, 2216/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5724, -1842], [980, -370], [0, 0]], [[0, 0], [-25523513/57, -9647374/57], [-15203/19, -990/19], [-160/57, 1/57]], [[0, 0], [33270056/57, 12572890/57], [-65848/19, 33672/19], [-896/57, 416/57]]], 0, 4096, [], [] >,
< [ -7, 0, 1 ], [[-192, 96]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25, 16], [-11, 4], [0, 0]], [[0, 0], [-74/3, -17/3], [-2, 1], [-10/3, 2/3]], [[0, 0], [-4/3, 2/3], [0, 0], [4/3, -2/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [213, -48], [-7, 2], [0, 0]], [[0, 0], [-142052/19, 15030/19], [-2784/19, -108/19], [174/19, 2/19]], [[0, 0], [66506984/57, -30728794/57], [264502/19, -155912/19], [-55610/57, 30820/57]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[-896, 352]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-710, 268], [-88130, 33310], [0, 0]], [[0, 0], [-147490/3, 55888/3], [-6124756, 2314996], [-20/3, -4/3]], [[0, 0], [-3358390/3, -1269407/3], [-1318601, -500661], [273658/3, 103433/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [440, -166], [24288, -9180], [0, 0]], [[0, 0], [9671/3, -3662/3], [175177, -66209], [-11/3, 2/3]], [[0, 0], [-227086, -85831], [174655, 65983], [-74634, -28209]]], 0, 9216, [], [] >,
< [ -7, 0, 1 ], [[-1120, 512]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6884, 2602], [-2900, 1096], [0, 0]], [[0, 0], [-1, 0], [-5, 1], [1, 0]], [[0, 0], [-180630, 68274], [-76114, 28766], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2852, 1078], [3318, -1254], [0, 0]], [[0, 0], [-7, 0], [-5, 1], [1, 0]], [[0, 0], [8190, -3096], [-9580, 3620], [0, 0]]], 0, 110592, [], [] >,
< [ -7, 0, 1 ], [[672, -192]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [123, -47], [23, -9], [0, 0]], [[0, 0], [7251740/703, 983168/703], [46796/13, 3376/13], [3050/9139, -4/63973]], [[0, 0], [-132975729132/703, -50267878775/703], [-752081438/13, -284323387/13], [-41138893/9139, -108879003/63973]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2389, 925], [-25, 11], [0, 0]], [[0, 0], [21964410086/13357, 3158544882/13357], [4890058/247, 627462/247], [33506/173641, 4/1215487]], [[0, 0], [-1439134983585432/13357, -543897172527811/13357], [-310892456500/247, -117495687905/247], [-1590450621/173641, -4207166003/1215487]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[3584, -1120]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [77240, -29194], [75642, -28590], [0, 0]], [[0, 0], [-7, 0], [7, 1], [1, 0]], [[0, 0], [40194, -15192], [39284, -14848], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3984, -1506], [-308, -8], [0, 0]], [[0, 0], [-7, 0], [7, 1], [1, 0]], [[0, 0], [-6112, 2144], [-144018, -54594], [0, 0]]], 0, 884736, [], [] >,
< [ -7, 0, 1 ], [[2464, -896]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1080, -408], [303674, -114778], [0, 0]], [[0, 0], [-20828/3, 7868/3], [-1962016, 741720], [2/3, 4/3]], [[0, 0], [342928/3, 129635/3], [-12135361, -4584813], [-390796/3, -147707/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [122, -46], [-88130, 33310], [0, 0]], [[0, 0], [1133, -426], [-978215, 369871], [-5, 0]], [[0, 0], [180523/3, 68231/3], [3781120, 1429210], [-152599/3, -57677/3]]], 0, 73728, [], [] >,
< [ -7, 0, 1 ], [[-1344, 672]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [175, -65], [-9, 5], [0, 0]], [[0, 0], [6616625/703, -2864422/703], [4285/13, 188], [2877/9139, -1/9139]], [[0, 0], [55907272/37, 22511969/37], [-942678, -356609], [-13299/37, -5005/37]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1307, 473], [15, -7], [0, 0]], [[0, 0], [-1094123859/13357, -2032762668/13357], [43353/247, 432158/247], [-31127/173641, 3/173641]], [[0, 0], [31607227875533/13357, 11942892390624/13357], [-445824289/19, -2189671624/247], [151912383/173641, 57443043/173641]]], 0, 196608, [], [] >,
< [ -7, 0, 1 ], [[928, -128]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 7], [-22, -1], [0, 0]], [[0, 0], [-7405/3, 2714/3], [-1469, 364], [16/3, 4/3]], [[0, 0], [340390/3, -128288/3], [57772, -21008], [-184/3, 26/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25, 43], [49, 1], [0, 0]], [[0, 0], [3835/3, 745/3], [203, 197], [-22/3, 8/3]], [[0, 0], [176, 65], [64, 25], [0, 0]]], 0, 165888, [], [] >,
< [ -7, 0, 1 ], [[-32, 64]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, -18], [43, -14], [0, 0]], [[0, 0], [2354/3, 1256/3], [476, 272], [-8/3, -8/3]], [[0, 0], [716, 122], [476, 68], [-6, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, -4], [-13, 2], [0, 0]], [[0, 0], [-3113/3, 1030/3], [-693, 252], [-10/3, -10/3]], [[0, 0], [-311, 75], [-189, 63], [-4, -2]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-32, 64]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-135, 48], [13, -2], [0, 0]], [[0, 0], [-133522/3, 50450/3], [3168, -1200], [-20/3, 4/3]], [[0, 0], [-89240/3, -33482/3], [-14208, -5376], [-19195/3, -7255/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-118, 38], [-118, 44], [0, 0]], [[0, 0], [-2753/3, -1403/3], [35, -115], [-28/3, -4/3]], [[0, 0], [2081/3, 428/3], [235, -38], [1/3, 7/3]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-50936, 19252]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17, 1], [-2, -2], [0, 0]], [[13/2, -3/2], [7/6, 80/3], [41/2, 7], [-2/3, 5/6]], [[-5, 1], [-47/6, -131/6], [-37/2, -13/2], [1/3, -2/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -7], [-11, -2], [0, 0]], [[-3/2, -3/2], [225, -441/2], [582, -549/2], [-2, -1/2]], [[28, -6], [45401/6, -15361/6], [23527/2, -8651/2], [-7/3, 11/3]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-50936, 19252]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 1], [-3, 0], [0, 0]], [[0, 0], [25/3, -7/6], [-2, -1/2], [19/6, -5/6]], [[0, 0], [35, -19/2], [-5, -1/2], [15, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3/2, -9/2], [-7/2, -1/2], [0, 0]], [[0, 0], [-647/6, 109/6], [15/2, -21/2], [-7/6, -1/6]], [[0, 0], [-3325/6, 757/3], [315/2, -45], [-4/3, 5/3]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-32, 64]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, 29], [-8, 1], [0, 0]], [[0, 0], [-4762/3, 1940/3], [-18, 72], [112/3, 10/3]], [[0, 0], [-280442/3, -100088/3], [-127008, -47880], [-101758/3, -38512/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17, -8], [-7, 2], [0, 0]], [[0, 0], [-668/3, -266/3], [-22, 2], [-28/3, -10/3]], [[0, 0], [110, -142], [-560, 208], [-16, 2]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-32, 64]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-946, 357], [20, -7], [0, 0]], [[0, 0], [-2746/3, 860/3], [96, 24], [-5/3, 1/3]], [[0, 0], [5018, 1896], [-5064, -1914], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-127, 41], [-131, 49], [0, 0]], [[0, 0], [52706/3, 21992/3], [376, 916], [34/3, 4/3]], [[0, 0], [-2263907/3, -664070/3], [-145471, 16616], [275/3, -715/3]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-50936, 19252]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37/2, -19/2], [-11/2, 1/2], [0, 0]], [[-5/2, -1/2], [2771/2, 459], [1607/2, 316], [-3/2, 0]], [[-1, 3], [-5210/3, -3467/3], [-1637, -524], [-13/3, 8/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67/2, 1/2], [1/2, -5/2], [0, 0]], [[3/2, -3/2], [-3057/2, 2415], [-2609/2, 170], [-3/2, 0]], [[-12, 2], [57863/3, -6763/3], [1626, -1500], [1/3, -5/3]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-50936, 19252]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25/2, -8], [5/2, 1], [0, 0]], [[0, 0], [-71/3, 7/3], [0, 0], [-22/3, -1/3]], [[0, 0], [-355/3, 101/3], [0, 0], [-175/6, 35/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, -4], [-2, 1], [0, 0]], [[0, 0], [1807/6, 452/3], [-57/2, -24], [17/6, -1/6]], [[0, 0], [-15136/3, -4000/3], [836, 110], [65/6, -91/6]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-64, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10964, 4144], [-122, 46], [0, 0]], [[0, 0], [317739, -120111], [3469, -1319], [-18, -6]], [[0, 0], [-119419, -44895], [-55327, -20909], [-89982, -34010]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [664, -338], [832, -314], [0, 0]], [[0, 0], [-86272, 30732], [-89320, 33760], [20, 0]], [[0, 0], [-1343287/3, -491149/3], [-23177/3, 8899/3], [5302/3, 2002/3]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-64, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [196, -74], [13668, -5166], [0, 0]], [[0, 0], [-1809, 651], [-127015, 48011], [18, 6]], [[0, 0], [386682, 146152], [-25822, -9764], [-129028, -48768]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-620, 316], [-758, 286], [0, 0]], [[0, 0], [-709999/3, 232277/3], [-688763/3, 260527/3], [46/3, -2/3]], [[0, 0], [-6798296/3, -2443112/3], [-137374/3, 79586/3], [2828/3, 1064/3]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-32, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-348, 132], [-440, 166], [0, 0]], [[0, 0], [233928, -88376], [296126, -111948], [-10, -2]], [[0, 0], [-2580801, 975705], [-3268695, 1235307], [-22, -28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-944, 370], [370, -140], [0, 0]], [[0, 0], [-29279/3, 11143/3], [11297/3, -4273/3], [-16/3, -10/3]], [[0, 0], [-6098/3, -2042/3], [368/3, 38/3], [1196/3, 452/3]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-32, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24809, -9373], [123, -45], [0, 0]], [[0, 0], [4804314, -1817642], [22538, -9204], [2, 4]], [[0, 0], [29708302, -11236198], [141128, -56232], [0, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, -38], [4, -2], [0, 0]], [[0, 0], [8006/3, 3398/3], [892/3, 382/3], [-14/3, 4/3]], [[0, 0], [156367/3, 56839/3], [17531/3, 6353/3], [44/3, -40/3]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-4, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [550, -206], [-45, 15], [0, 0]], [[-11/2, -5/2], [8873, -3676], [-308, 424], [-11/2, -5/2]], [[-2081/2, -787/2], [-68328, -29636], [69639, 26614], [-2081/2, -787/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51, -54], [-39, 12], [0, 0]], [[-7, -1], [16720/3, -1556/3], [-3337/3, 1613/3], [-7/3, -1/3]], [[95/2, -115/2], [-409447/3, 206447/3], [179437/3, -64004/3], [95/6, -115/6]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-4, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-763/2, 287/2], [-3/2, 3/2], [0, 0]], [[0, 0], [-7, 0], [-1, 0], [1, 0]], [[0, 0], [32, 17], [-53, -20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29, -29], [4, -2], [0, 0]], [[0, 0], [-1400/3, -500/3], [-13/3, -7/3], [8/3, -1/3]], [[0, 0], [23/6, -7/6], [13/6, -5/6], [2/3, -1/3]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-32, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1914, 738], [4, 4], [0, 0]], [[0, 0], [18591, 7003], [7059, 2671], [-8, -6]], [[0, 0], [193272, 72040], [72876, 27670], [44, -110]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, 38], [8, 2], [0, 0]], [[0, 0], [-1582/3, -754/3], [-704/3, -242/3], [-14/3, 4/3]], [[0, 0], [-4293, -1471], [-1507, -593], [8, -6]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-32, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-592, 224], [492, -186], [0, 0]], [[0, 0], [1950, -780], [-1500, 558], [-8, -8]], [[0, 0], [1213, -477], [-923, 345], [-2, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3156, 1188], [1128, -426], [0, 0]], [[0, 0], [453409/3, -171683/3], [-162427/3, 61421/3], [26/3, -4/3]], [[0, 0], [-209208, -80230], [19520, 7792], [4064, 1536]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-4, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [544, -203], [-22, 5], [0, 0]], [[13/2, 5/2], [-49596, 18895], [1483, -667], [13/2, 5/2]], [[-119/2, -45/2], [11842, -5892], [931, 690], [-119/2, -45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -45], [-30, 9], [0, 0]], [[-3/2, 3/2], [-48102, -34426], [-13662, 2561], [-1/2, 1/2]], [[13/2, -17/2], [1012501/3, 641563/3], [229880/3, -36211/3], [13/6, -17/6]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-4, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 7], [-3, 0], [0, 0]], [[0, 0], [-1, 0], [-1, 0], [1, 0]], [[0, 0], [11/2, -1/2], [-1/2, -1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-127/2, -1/2], [-7/2, -1/2], [0, 0]], [[0, 0], [-8515/3, 1214/3], [-410/3, 7/3], [4/3, 4/3]], [[0, 0], [71969/6, -22975/6], [2839/6, -761/6], [11/3, -10/3]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[1056, -384]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-242, 76], [218, -82], [0, 0]], [[0, 0], [-19025/3, 6791/3], [6055, -2289], [-13/3, -5/3]], [[0, 0], [215191/3, -81772/3], [-70643, 26700], [-16/3, -5/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2916, -1092], [440, -166], [0, 0]], [[0, 0], [22422851/57, -9221282/57], [1218797/19, -462888/19], [226/57, 5/57]], [[0, 0], [573663404/19, 216036254/19], [5287640/19, 1875146/19], [-69378/19, -26226/19]]], 0, 12288, [], [] >,
< [ -7, 0, 1 ], [[1056, -384]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [668, -262], [-684, 258], [0, 0]], [[0, 0], [-45794/3, 17639/3], [15488, -5849], [-13/3, -2/3]], [[0, 0], [-200476/3, 80248/3], [69204, -26090], [-140/3, -40/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5334, 2004], [-662, 250], [0, 0]], [[0, 0], [233410684/57, -88301590/57], [9678892/19, -3659826/19], [44/57, 4/57]], [[0, 0], [-22841902/57, -5863715/57], [-513788/19, -79369/19], [4783/57, 1808/57]]], 0, 12288, [], [] >,
< [ -7, 0, 1 ], [[512, -160]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1327, -503], [173, -67], [0, 0]], [[0, 0], [-14057/3, 6094/3], [-4955, 2164], [-9784/3, 3698/3]], [[0, 0], [-32488, 11897], [-33444, 12213], [-19986, 7554]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, 7], [5, -1], [0, 0]], [[0, 0], [17170/3, 3079/3], [644, -115], [20/3, 2/3]], [[0, 0], [610409/3, -178858/3], [57857, -21172], [952/3, -308/3]]], 0, 18432, [], [] >,
< [ -7, 0, 1 ], [[-3264, 1248]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9434, -3566], [-10, 4], [0, 0]], [[0, 0], [-814222, 307759], [888, -345], [-1688, 638]], [[0, 0], [-759951, 287197], [879, -303], [-1598, 604]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6815, 2576], [-7789, 2944], [0, 0]], [[0, 0], [-3451266, 1304406], [-3940360, 1489306], [-1852, 700]], [[0, 0], [32208573, -12173120], [36772923, -13898742], [17250, -6520]]], 0, 36864, [], [] >,
< [ -7, 0, 1 ], [[-408, 156]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3469, 1315], [-2, 2], [0, 0]], [[-25/2, -7/2], [-31715/2, -6159], [-10401/2, -1968], [-2, -3/2]], [[399/2, -147/2], [-22775, 22813/2], [813, 1197/2], [-119, 91/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-217, 70], [-16, 1], [0, 0]], [[-13/2, -1/2], [-569067/2, 218905/2], [-24495/2, 10863/2], [1/2, -1]], [[-50, -14], [-1388293/2, 567431/2], [-43239/2, 34293/2], [-8, -6]]], 0, 576, [], [] >,
< [ -7, 0, 1 ], [[-408, 156]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2757/2, 1047/2], [-7/2, 1/2], [0, 0]], [[0, 0], [13328, 10049/2], [-4425, -3345/2], [11/2, -5/2]], [[0, 0], [-7137/2, -1238], [2275/2, 430], [-50, 19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/2, -25/2], [-23/2, 5/2], [0, 0]], [[0, 0], [-3961, -18], [756, -513], [-5/2, 1/2]], [[0, 0], [39657/2, -29833/2], [-34965/2, 10989/2], [26, -12]]], 0, 576, [], [] >,
< [ -7, 0, 1 ], [[-3264, 1248]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100958, 38159], [34, -13], [0, 0]], [[0, 0], [-604056, 228315], [210, -81], [-19, 7]], [[0, 0], [143768, -54331], [-56, 17], [4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6711, 2535], [-385, 145], [0, 0]], [[0, 0], [62991, -23819], [3753, -1419], [-38, 16]], [[0, 0], [945340, -357529], [56324, -21299], [-557, 245]]], 0, 36864, [], [] >,
< [ -7, 0, 1 ], [[-480, 192]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [1704, -644], [0, 0], [-74, 28]], [[0, 0], [-35268, 13330], [0, 0], [1508, -570]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, -21], [80, -29], [0, 0]], [[0, 0], [-21682/3, -8719/3], [-806, -513], [16/3, 10/3]], [[0, 0], [9985, -4336], [12685, -4876], [-78, 30]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-249960, 94476]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-411, 147], [-16, -2], [0, 0]], [[-1/2, 3/2], [314039/6, 92747/6], [90097/2, 33943/2], [5/3, 1/6]], [[-13, 5], [217001/6, -67411/6], [7055/2, 2031/2], [11/3, -4/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23/2, -1/2], [-21/2, -3/2], [0, 0]], [[-9/2, 1/2], [26/3, 1/6], [10, 11/2], [-1/6, -2/3]], [[175, -65], [-1499/6, 547/6], [247/2, -111/2], [-140/3, 55/3]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[-249960, 94476]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-99/2, 27/2], [-25/2, 1/2], [0, 0]], [[0, 0], [-25999/6, -7303/6], [-6255/2, -2239/2], [25/6, 1/6]], [[0, 0], [46024/3, -22292/3], [863, -1642], [-172/3, 68/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, -7], [-4, -2], [0, 0]], [[0, 0], [-1127/6, 335/3], [151/2, -21], [-5/3, 1/3]], [[0, 0], [-15301/6, 5525/6], [1331/2, -519/2], [-77/6, 31/6]]], 1, 48, [], [] >,
< [ -7, 0, 1 ], [[-480, 192]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11283, 4266], [-41, 14], [0, 0]], [[0, 0], [11593226/3, -4381348/3], [13150, -5138], [13/3, -5/3]], [[0, 0], [-199337, -75457], [209235, 79083], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6043, -2284], [-381, 144], [0, 0]], [[0, 0], [-540193/3, 204185/3], [11153, -4221], [-8/3, -2/3]], [[0, 0], [-33870, -12888], [51324, 19404], [15475, 5849]]], 0, 3072, [], [] >,
< [ -7, 0, 1 ], [[-320, 224]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2170, 820], [-79018, 29866], [0, 0]], [[0, 0], [-202097/3, 76388/3], [-2448087, 925290], [-4/3, 1/3]], [[0, 0], [-662856, -250536], [11830, 4472], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5662, -2140], [-1794, 678], [0, 0]], [[0, 0], [65723/3, -24776/3], [-7219, 2734], [52/3, 5/3]], [[0, 0], [6090374/3, 2301952/3], [513336, 194022], [2311540/3, 873680/3]]], 0, 55296, [], [] >,
< [ -7, 0, 1 ], [[-1088, 416]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [646, -244], [-106, 40], [0, 0]], [[0, 0], [-533365/3, 201604/3], [28553, -10792], [-2/3, -1/3]], [[0, 0], [96, 0], [-26, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-492, 186], [376, -142], [0, 0]], [[0, 0], [-9003, 3439], [6533, -2467], [7, 1]], [[0, 0], [227693/3, 86032/3], [4697, 1782], [22936/3, 8669/3]]], 0, 4608, [], [] >,
< [ -7, 0, 1 ], [[-152, 56]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2145/2, -813/2], [13/2, 5/2], [0, 0]], [[0, 0], [187/3, -73/3], [0, 0], [-13/3, -2/3]], [[0, 0], [-182941/3, 69148/3], [0, 0], [7439/6, -2795/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [431/2, -167/2], [39/2, 3/2], [0, 0]], [[0, 0], [-22855/3, -6947/3], [29664, 11232], [7/3, 2/3]], [[0, 0], [25895, -9472], [-896, -1024], [-19/2, 7/2]]], 0, 256, [], [] >,
< [ -7, 0, 1 ], [[-152, 56]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [384, -148], [2, -2], [0, 0]], [[0, 0], [2824/3, 1130/3], [420, 159], [-23/6, -1/6]], [[0, 0], [2921/6, -9317/6], [-1515/2, -615/2], [434/3, -155/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [447/2, -191/2], [-13/2, -5/2], [0, 0]], [[0, 0], [-119/3, 26/3], [0, 0], [13/6, -1/6]], [[0, 0], [3770/3, -1427/3], [0, 0], [-319/6, 121/6]]], 0, 256, [], [] >,
< [ -7, 0, 1 ], [[-480, 192]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2264, 856], [2826, -1068], [0, 0]], [[0, 0], [1900880/3, -718697/3], [-790926, 298911], [1/3, 2/3]], [[0, 0], [-100516/3, -39524/3], [-14344, -4784], [1180/3, 446/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72536, 27582], [-14594, 5516], [0, 0]], [[0, 0], [635690827/57, 240685514/57], [-28979/19, -1396/19], [230/57, -5/57]], [[0, 0], [1238441728/57, 434681051/57], [982002/19, -394341/19], [-9541/57, 3760/57]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[256, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25754, 9734], [-17208, 6504], [0, 0]], [[0, 0], [-1692367, 639655], [-1129509, 426915], [2, -2]], [[0, 0], [-1554629, -587609], [-2883301, -1089795], [4947338, 1869918]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3782, -1430], [328, -124], [0, 0]], [[0, 0], [22511/3, -8453/3], [1955/3, -731/3], [-14/3, 2/3]], [[0, 0], [-47924, -18124], [-6104, -2308], [2360, 892]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[16, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [407, -155], [-46, 16], [0, 0]], [[-5/2, 3/2], [854, -325], [-103, 35], [-5/2, 3/2]], [[-405/2, -153/2], [909, 333], [1534, 581], [-405/2, -153/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29, 29], [-56, 20], [0, 0]], [[1/2, 5/2], [-232/3, -308/3], [352/3, -103/3], [1/6, 5/6]], [[51/2, -15/2], [-875, 224], [-775, 301], [17/2, -5/2]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[16, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-83/2, 35/2], [13/2, -1/2], [0, 0]], [[0, 0], [-1, 0], [-1, 0], [1, 0]], [[0, 0], [43/2, 23/2], [57/2, 21/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29/2, 31/2], [11/2, 1/2], [0, 0]], [[0, 0], [3778/3, -5698/3], [-2185/3, 295/3], [13/3, 5/3]], [[0, 0], [335202, -127061], [-52861, 19934], [-3, 2]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[128, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7050, -2664], [-10, 4], [0, 0]], [[0, 0], [-198101, -75143], [-67383, -25471], [-8, 0]], [[0, 0], [-266954, -103734], [-91882, -34756], [-48, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4235, 1721], [55, 5], [0, 0]], [[0, 0], [-635482/3, -241382/3], [-136526/3, -51598/3], [-10/3, -2/3]], [[0, 0], [-241174/3, -73058/3], [-46472/3, -17626/3], [32/3, -14/3]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[128, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2498, 944], [-482, 182], [0, 0]], [[0, 0], [15304, -5812], [2948, -1142], [-4, -8]], [[0, 0], [-252599, 95559], [-49055, 18627], [-102, 68]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-288, 108], [-762, 288], [0, 0]], [[0, 0], [-8327/3, 3029/3], [-22441/3, 8443/3], [4/3, -10/3]], [[0, 0], [164047, 62001], [53357, 20159], [11636, 4398]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[-480, 192]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1736, -656], [48, -18], [0, 0]], [[0, 0], [-13649/3, 5044/3], [-61, -14], [12488/3, -4720/3]], [[0, 0], [-59868, 22446], [-392, -28], [55164, -20850]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-680, 245], [-42, 15], [0, 0]], [[0, 0], [1604453/57, 379397/57], [34481/19, 9415/19], [262/57, 10/57]], [[0, 0], [-444123904/57, 205739387/57], [-6734372/19, 3407813/19], [-188264/57, 75346/57]]], 0, 4096, [], [] >,
< [ -7, 0, 1 ], [[-224, 128]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9334, -3528], [-8514, 3218], [0, 0]], [[0, 0], [224854, -85001], [-205405, 77639], [-8, -1]], [[0, 0], [31232281/3, 11804474/3], [-2355543, -890245], [8864939/3, 3350632/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [212, -80], [-229974, 86922], [0, 0]], [[0, 0], [685/3, -304/3], [-256115, 96791], [-13/3, -2/3]], [[0, 0], [3363914, 1271440], [2546674, 962534], [516112, 195072]]], 0, 9216, [], [] >,
< [ -7, 0, 1 ], [[-1792, 736]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14182, -5368], [-14102, 5330], [0, 0]], [[0, 0], [-23924728/3, 9025108/3], [7916422, -2992162], [-26/3, 2/3]], [[0, 0], [35637802/3, 14270639/3], [425409, -104451], [16352/3, 6181/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2064, -780], [12578, -4754], [0, 0]], [[0, 0], [531040/3, -200701/3], [1079687, -408077], [-70/3, -5/3]], [[0, 0], [-278592, -105210], [-398646, -150138], [658972, 249068]]], 0, 110592, [], [] >,
< [ -7, 0, 1 ], [[1344, -480]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-194, 74], [-10, 4], [0, 0]], [[0, 0], [-23010766/703, 485343/703], [-31866/13, 453/13], [-4975/27417, -5/191919]], [[0, 0], [-231589002/19, -87790448/19], [-12095604/13, -4584702/13], [-17686/247, -46916/1729]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6855, 2567], [-453, 171], [0, 0]], [[0, 0], [-205526490046/13357, 3565895349/13357], [341820400/247, 47093/247], [175339/173641, 1/1215487]], [[0, 0], [-536815056831994/13357, 170700796573292/13357], [859874660384/247, -268858341686/247], [1323631742/520923, -2897434340/3646461]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[5152, -1792]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -10], [28, 8], [0, 0]], [[0, 0], [13844, -5747], [5383, 227], [-2, -1]], [[0, 0], [-13944332/3, 5269163/3], [-762615, 290145], [-316/3, 115/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -2], [-266, 2], [0, 0]], [[0, 0], [-131552/3, -1483/3], [-561491, 48965], [122/3, 1/3]], [[0, 0], [220640593/3, -80336215/3], [1185646672, -438382102], [-206275/3, 75151/3]]], 0, 884736, [], [] >,
< [ -7, 0, 1 ], [[896, -224]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3514, -1328], [-3080, 1164], [0, 0]], [[0, 0], [-321484/3, 121585/3], [93961, -35615], [16/3, 5/3]], [[0, 0], [-512812/3, -191630/3], [682472, 257308], [-74462/3, -28144/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1350, -510], [296086, -111910], [0, 0]], [[0, 0], [387838/3, -146635/3], [28327425, -10706823], [-4/3, -5/3]], [[0, 0], [122872316/3, 46441360/3], [167599446, 63345894], [17395672/3, 6574946/3]]], 0, 73728, [], [] >,
< [ -7, 0, 1 ], [[-3360, 1344]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-156, 58], [-250, 94], [0, 0]], [[0, 0], [7960307/703, -2610340/703], [249391/13, -77914/13], [6965/27417, 1/27417]], [[0, 0], [-1245169447/703, -469534581/703], [-51079357/13, -19272623/13], [-632500/2109, -3107300/27417]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3142, -1200], [212, -80], [0, 0]], [[0, 0], [1031716462/13357, 543897343/13357], [30477452/247, -5321/247], [-105385/173641, -1/173641]], [[0, 0], [3512358466809/13357, -459158268973/13357], [-162780085607/247, 72232047779/247], [1687618892/520923, -748981736/520923]]], 0, 196608, [], [] >,
< [ -7, 0, 1 ], [[288, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-631, 256], [15, 12], [0, 0]], [[0, 0], [275100, -103135], [4644, -891], [-12, -2]], [[0, 0], [2066557/3, -698585/3], [45631, 10945], [-868/3, -310/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-238, 97], [30, -9], [0, 0]], [[0, 0], [-10721, 3957], [935, -385], [1508, -570]], [[0, 0], [-94205, 37286], [9625, -3080], [13754, -5198]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[36, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81/2, -33/2], [3/2, -3/2], [0, 0]], [[5/2, -1/2], [-94/3, -49/3], [-23, -11], [-1/6, 1/3]], [[4, 0], [-805/6, -331/6], [-191/2, -77/2], [2/3, 2/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-259/2, 91/2], [69/2, -33/2], [0, 0]], [[11/2, -5/2], [5267, -3463/2], [-1191, 1425/2], [-2, 1/2]], [[-1455, -550], [5345281/6, 2020027/6], [1803005/2, 681503/2], [-5305/6, -2005/6]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[36, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-125/2, 59/2], [-3/2, 15/2], [0, 0]], [[0, 0], [4107/2, 2119/2], [5631/2, 2217/2], [1/2, 1/2]], [[0, 0], [10147/6, 8905/6], [6299/2, 2645/2], [-1/6, 5/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [451/2, -83], [9/2, 0], [0, 0]], [[0, 0], [1939/3, -1369/6], [47, 13/2], [14/3, -1/3]], [[0, 0], [1477/2, 174], [1839/2, 345], [111/2, 41/2]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[288, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15948, -6024], [6, -6], [0, 0]], [[0, 0], [65603, -24738], [-15, -48], [5, -1]], [[0, 0], [1796/3, 1883/3], [-1046, -395], [58/3, 22/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11051, 4193], [3, 15], [0, 0]], [[0, 0], [-3946249/3, 1482626/3], [-6125, -668], [-20/3, -2/3]], [[0, 0], [3035315, 278717], [1895289, 714909], [2023, 763]]], 0, 12288, [], [] >,
< [ -7, 0, 1 ], [[144, -36]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2256, -843], [-39, 18], [0, 0]], [[31/2, 7/2], [-178601, 138045/2], [4152, -2121/2], [3/2, 2]], [[-391, 23], [26115629/2, -9911271/2], [-522033/2, 183735/2], [92, -69]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8693/2, 3287/2], [9/2, -3/2], [0, 0]], [[13, 1], [-4555, 1725], [0, 0], [-1, 2]], [[83/2, 17/2], [-8377, 3180], [0, 0], [3, 11/2]]], 0, 2304, [], [] >,
< [ -7, 0, 1 ], [[144, -36]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1504, 565], [3, 0], [0, 0]], [[0, 0], [2319, -1793/2], [6, 9/2], [-17/2, 7/2]], [[0, 0], [35597/2, -6801], [21/2, 21], [-66, 26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-419/2, 143/2], [105/2, -45/2], [0, 0]], [[0, 0], [-15101, 6069], [4563, -1599], [29/2, -13/2]], [[0, 0], [747398, -299452], [-225069, 79170], [-720, 320]]], 0, 2304, [], [] >,
< [ -7, 0, 1 ], [[1152, -288]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [164235, -62031], [-15, -9], [0, 0]], [[0, 0], [-52690754, 19916062], [-1782, 396], [7, -3]], [[0, 0], [-15001735, 5671822], [-1155, -132], [1, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22060, -8332], [-90, 36], [0, 0]], [[0, 0], [48983, -18528], [-159, 60], [-15, 7]], [[0, 0], [-1143839, 432585], [3711, -1401], [360, -160]]], 0, 147456, [], [] >,
< [ -7, 0, 1 ], [[1152, -288]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1505, -569], [6453, -2439], [0, 0]], [[0, 0], [-142271, 53771], [-616653, 233073], [1688, -638]], [[0, 0], [58260, -22025], [252540, -95451], [-672, 254]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10608, 4020], [-12, -6], [0, 0]], [[0, 0], [57781, -21844], [-3, 6], [2180, -824]], [[0, 0], [-88643, 33499], [21, -3], [-3302, 1248]]], 0, 147456, [], [] >,
< [ -7, 0, 1 ], [[288, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-906, 342], [222, -84], [0, 0]], [[0, 0], [-2, 1], [2, 1], [1, 0]], [[0, 0], [2814, -1064], [-704, 266], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [762, -288], [1524, -576], [0, 0]], [[0, 0], [-99, 19], [-243, 75], [-3, -1]], [[0, 0], [5101/3, 1928/3], [1561, 590], [590/3, 223/3]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[36, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 0], [29/2, -7/2], [-3/2, 3/2], [0, 0]], [[-15/2, -3/2], [-15/2, -5], [3, -9/2], [-3/2, 1/2]], [[-511/2, -193/2], [-2771/6, -524/3], [-199, -151/2], [-11/3, -4/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29/2, -5/2], [-65, 47/2], [-3/2, -6], [0, 0]], [[-168, -84], [2411/6, -1049/6], [-457/2, -89/2], [37/6, 5/6]], [[-2674, -994], [-764, -23], [-2307, -906], [55, 22]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[36, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [230, -85], [-48, 21], [0, 0]], [[0, 0], [-4364/3, 5563/6], [1168, 211/2], [1/6, 1/3]], [[0, 0], [4503, 3179/2], [6294, 4809/2], [4, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [353/2, -133/2], [-93/2, 39/2], [0, 0]], [[0, 0], [1543/6, -263/3], [73/2, 67], [-2/3, -5/6]], [[0, 0], [-1063/2, -535/2], [-10539/2, -3945/2], [72, 27]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[288, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-196, 74], [6810, -2574], [0, 0]], [[0, 0], [-12785/3, 4832/3], [150433, -56860], [11/3, -2/3]], [[0, 0], [-125977/3, -47612/3], [-783721, -296252], [1013545/3, 383084/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4721, -1771], [27, 3], [0, 0]], [[0, 0], [-1142366/3, -427855/3], [-374324, -141475], [-4/3, -5/3]], [[0, 0], [168138, 69088], [173232, 65502], [8, -2]]], 0, 12288, [], [] >,
< [ -7, 0, 1 ], [[396, -144]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23/2, -1/2], [-39/2, 15/2], [0, 0]], [[0, 0], [-187/2, -79/2], [117/2, -57/2], [-1, -1]], [[0, 0], [61/2, 15], [-99/2, 21], [0, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35/2, -61/2], [27/2, -15/2], [0, 0]], [[0, 0], [8941/2, -3679/2], [3087/2, -1197/2], [8, -3]], [[0, 0], [3148, -231], [756, -189], [7/2, -3/2]]], 0, 2304, [], [] >,
< [ -7, 0, 1 ], [[396, -144]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 0], [25, -23], [-6, 6], [0, 0]], [[59/2, 5/2], [61/2, -56], [-6, 27/2], [14, -6]], [[-49, -13], [79, 73], [-21, -18], [-15/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 0], [-9, 6], [0, 0]], [[-25/2, -7/2], [-109, -51], [-231/2, -33/2], [-2, -3/2]], [[-72, 24], [969/2, -437/2], [-3003/2, 1089/2], [40, -16]]], 0, 2304, [], [] >,
< [ -7, 0, 1 ], [[3168, -1152]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4389, -1659], [1515, -573], [0, 0]], [[0, 0], [17, 0], [3, 0], [1, 0]], [[0, 0], [-8678, 3280], [-3000, 1134], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, -20], [2778, -1050], [0, 0]], [[0, 0], [-1, 0], [3, 0], [1, 0]], [[0, 0], [-102, 42], [-6318, 2388], [0, 0]]], 0, 147456, [], [] >,
< [ -7, 0, 1 ], [[3168, -1152]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7518, -2844], [7572, -2862], [0, 0]], [[0, 0], [-6, 1], [0, 3], [1, 0]], [[0, 0], [133130, -50296], [133998, -50646], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [196, -74], [-36432, 13770], [0, 0]], [[0, 0], [0, 1], [6, 3], [1, 0]], [[0, 0], [-688, 260], [149268, -56418], [0, 0]]], 0, 147456, [], [] >,
< [ -7, 0, 1 ], [[288, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-784, 296], [-1746, 660], [0, 0]], [[0, 0], [-7241, 2743], [-15849, 6009], [1, 1]], [[0, 0], [-52492/3, -19337/3], [-52868, -19615], [-11615/3, -4390/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48742, -18632], [9858, -3726], [0, 0]], [[0, 0], [6018010516/57, 2272041965/57], [496286/19, 4849/19], [149/57, -2/57]], [[0, 0], [-8499718337/57, -3214920019/57], [-139303/19, -219377/19], [-31/57, -65/57]]], 0, 16384, [], [] >,
< [ -7, 0, 1 ], [[288, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1029, -390], [-3, 0], [0, 0]], [[0, 0], [-1132/3, 416/3], [0, 0], [4/3, 10/3]], [[0, 0], [-322/3, 116/3], [0, 0], [4/3, 4/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-189, 96], [-15, 6], [0, 0]], [[0, 0], [-1156612/57, -20581/57], [-11526/19, 87/19], [-962/57, -8/57]], [[0, 0], [-822639589/57, -3210664/57], [-8218107/19, 176118/19], [-684854/57, 3826/57]]], 0, 16384, [], [] >,
< [ -7, 0, 1 ], [[-6048, 2304]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51, 19], [39, -15], [0, 0]], [[0, 0], [-22086956/703, 232435/703], [-114512/13, -2749/13], [-6619/9139, -1/63973]], [[0, 0], [-678163395486/703, -256501395914/703], [-3846643064/13, -1454743402/13], [-209067958/9139, -553508610/63973]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2739, -1105], [193, -73], [0, 0]], [[0, 0], [26045160584/13357, 12647464538/13357], [14221528/247, -60604/247], [6792/173641, 4/1215487]], [[0, 0], [4617086039104/13357, -1456611938099/13357], [-8122680084/247, 3138251247/247], [-3834183/173641, 1482119/173641]]], 0, 98304, [], [] >,
< [ -7, 0, 1 ], [[2016, 0]], [ -441, 123 ], [ -455, 169 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-399, 151], [-347, 131], [0, 0]], [[0, 0], [3711170/703, 181871/703], [170172/13, 225], [9647/9139, 3/9139]], [[0, 0], [-6640441158/703, -2521162181/703], [-281682640/13, -107034869/13], [-15282651/9139, -5810055/9139]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-220, 56], [-10, 4], [0, 0]], [[0, 0], [382619690/13357, 245421821/13357], [38590224/247, 9081/247], [-132099/173641, -1/173641]], [[0, 0], [14894284751962/13357, -6146736337479/13357], [-2278290300932/247, 841758765125/247], [7803459647/173641, -2883219233/173641]]], 0, 786432, [], [] >,
< [ -7, 0, 1 ], [[-4320, 1728]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [103758, -39246], [6, -12], [0, 0]], [[0, 0], [-2566111, 968533], [-1071, -51], [2614, -988]], [[0, 0], [2306552, -838767], [14994, 5355], [-2270, 858]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10575, 3996], [15, -6], [0, 0]], [[0, 0], [-19330, 7255], [-6, -15], [-2344, 886]], [[0, 0], [82535, -31108], [-33, 42], [10006, -3782]]], 0, 442368, [], [] >,
< [ -7, 0, 1 ], [[-576, 288]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7311, -2748], [9, 12], [0, 0]], [[0, 0], [144851, -54607], [-45, 159], [4, -2]], [[0, 0], [410/3, 155/3], [82, 31], [-164/3, -62/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11607, 4386], [-3, 0], [0, 0]], [[0, 0], [-3815, 1437], [-9, -3], [6, 2]], [[0, 0], [46/3, -161/3], [-82, -31], [164/3, 62/3]]], 0, 36864, [], [] >,
< [ -7, 0, 1 ], [[-4320, 1728]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9548, 3557], [-6, -15], [0, 0]], [[0, 0], [-1766, -8548], [-4080, -1530], [684, -258]], [[0, 0], [-526523, 183943], [-5865, -2805], [-33022, 12482]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7815, 2937], [9, -9], [0, 0]], [[0, 0], [1607, -559], [3, 15], [-344, 130]], [[0, 0], [-13101, 5022], [189, -48], [2942, -1112]]], 0, 442368, [], [] >,
< [ -7, 0, 1 ], [[-576, 288]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [659, -260], [3, -12], [0, 0]], [[0, 0], [35087/3, -14536/3], [-233, -338], [-38/3, 4/3]], [[0, 0], [-1408222/3, -513754/3], [-462854, -174776], [-11228/3, -4256/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8817, -3324], [-9, 12], [0, 0]], [[0, 0], [-2069758/3, 788627/3], [4436, 467], [-20/3, -2/3]], [[0, 0], [-1743023/3, -757580/3], [-634409, -239708], [2816/3, 1064/3]]], 0, 36864, [], [] >,
< [ -7, 0, 1 ], [[-576, 288]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8872, 3356], [8826, -3336], [0, 0]], [[0, 0], [-3099158/3, 1171307/3], [1027334, -388289], [-7/3, 4/3]], [[0, 0], [202931/3, 77404/3], [-23777, -9220], [-4892/3, -1849/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [61112, -23092], [11604, -4386], [0, 0]], [[0, 0], [4369087/57, -1445356/57], [233525/19, -92444/19], [-226/57, -5/57]], [[0, 0], [-714894736/19, -270243900/19], [43526970/19, 16444806/19], [313794/19, 118604/19]]], 0, 49152, [], [] >,
< [ -7, 0, 1 ], [[-576, 288]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3416, 1288], [3540, -1338], [0, 0]], [[0, 0], [230318/3, -88055/3], [-80162, 30281], [1/3, -4/3]], [[0, 0], [-1715270/3, -647908/3], [-29782, -11396], [-6244/3, -2360/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45380, -17146], [8826, -3336], [0, 0]], [[0, 0], [449005204/57, -170451415/57], [29246156/19, -11050085/19], [215/57, 4/57]], [[0, 0], [-8503510184/19, -3214418120/19], [134729172/19, 50846154/19], [975330/19, 368640/19]]], 0, 49152, [], [] >,
< [ -7, 0, 1 ], [[4736, -1760]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, 28], [-102, -6], [0, 0]], [[0, 0], [-707561/3, 253145/3], [-220625, 12323], [-31/3, 1/3]], [[0, 0], [-516874958/3, 195255911/3], [-95692512, 35648805], [-12727/3, 4732/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 46], [-130, -8], [0, 0]], [[0, 0], [28132/3, 134321/3], [-127480, -1295], [-25/3, 4/3]], [[0, 0], [-92247452/3, 36523847/3], [-36549050, 13248449], [-10351/3, 3850/3]]], 0, 165888, [], [] >,
< [ -7, 0, 1 ], [[-553724, 209288]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [59/2, -23/2], [9/2, -3/2], [0, 0]], [[0, 0], [1321/6, 353/6], [-213/2, -81/2], [-13/6, 1/6]], [[0, 0], [-4796/3, 4855/6], [-172, -103/2], [224/3, -175/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11/2, 37/2], [27/2, 3/2], [0, 0]], [[0, 0], [10247/6, 788/3], [545/2, 188], [-5/6, 1/3]], [[0, 0], [120, -24], [-11, 11], [0, 0]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-553724, 209288]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, -4], [9/2, -31/2], [-19/2, -5/2], [0, 0]], [[5369/2, 2015/2], [31529/6, 5333/3], [2184, 1677/2], [-37/3, -2/3]], [[5408, -7098], [340392, -138063], [-27547, 6253], [-13489/2, 5125/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -7/2], [-64, -31/2], [-17/2, -2], [0, 0]], [[-261/2, -377/2], [-13138/3, 989/6], [-1189/2, 29], [-2/3, 2/3]], [[4669/2, -1827/2], [-93985/3, 69875/6], [-8729/2, 1624], [-97/6, 37/6]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-1088, 416]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 14], [-2228, 842], [0, 0]], [[0, 0], [-22922/3, 8531/3], [-461874, 174585], [47/3, 4/3]], [[0, 0], [-1009081/3, -390737/3], [351251, -56903], [167533/3, 63329/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [868, -328], [-1630, 616], [0, 0]], [[0, 0], [-169180/3, 63958/3], [105560, -39902], [-2/3, 2/3]], [[0, 0], [-26097, -9720], [23079, 8454], [-2278, -861]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-1088, 416]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [91, -35], [1, -1], [0, 0]], [[0, 0], [-314/3, -13/3], [-70, -5], [-70/3, -5/3]], [[0, 0], [-13570/3, 5122/3], [-2756, 1040], [-2756/3, 1040/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1197, 447], [-1, -5], [0, 0]], [[0, 0], [-13493/3, -5152/3], [-4471, -1694], [14/3, 1/3]], [[0, 0], [386, 4], [234, 60], [13, -5]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-553724, 209288]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [131/2, 25/2], [15/2, 3/2], [0, 0]], [[0, 0], [-4285/3, 179/6], [-165, -3/2], [-2/3, -5/6]], [[0, 0], [537422/3, -404833/6], [19145, -14413/2], [-545/3, 415/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5/2, 5/2], [-1/2, -5/2], [0, 0]], [[0, 0], [1276/3, -457/3], [-301, 97], [-17/6, -1/6]], [[0, 0], [-33479/6, 6334/3], [7505/2, -1423], [95/6, -19/3]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-553724, 209288]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -4], [-15, -9], [-10, -2], [0, 0]], [[-525/2, 595/2], [-3706/3, 5297/6], [2345/2, -280], [-5/3, 2/3]], [[-4536, 2016], [-47860/3, 19987/3], [9324, -3276], [-97/6, 37/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 1/2], [19/2, -2], [2, -1/2], [0, 0]], [[-84, -31], [-2659/6, -1061/6], [-133/2, -53/2], [-4/3, 1/3]], [[-55, -55], [-3338/3, 14/3], [-165, 0], [301/6, -115/6]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-1088, 416]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1466, 554], [2556, -966], [0, 0]], [[0, 0], [-76592/3, 29009/3], [44478, -16815], [-1/3, 4/3]], [[0, 0], [310585, 116266], [-62965, -21842], [18666, 7055]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2170, 820], [2228, -842], [0, 0]], [[0, 0], [-775376/3, 293327/3], [265328, -100277], [23/3, 4/3]], [[0, 0], [-195726, -76252], [-20356, -5360], [-9620, -3636]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-1088, 416]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1879, 697], [-27, -3], [0, 0]], [[0, 0], [-948947/3, -359791/3], [-317091, -119847], [-16/3, -2/3]], [[0, 0], [-123105, -16710], [-83507, -31732], [141, -54]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1216, 478], [38, 4], [0, 0]], [[0, 0], [-42548, -15892], [-42224, -15964], [5, 1]], [[0, 0], [-20212/3, 27943/3], [9340, 3227], [220/3, -85/3]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-2176, 832]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10668, -4032], [-1138, 430], [0, 0]], [[0, 0], [647, -207], [-605, 223], [14, 6]], [[0, 0], [277058, 104718], [-41856, -15820], [83320, 31492]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14922, 5640], [-762, 288], [0, 0]], [[0, 0], [-81043/3, 30733/3], [-2725/3, 997/3], [58/3, 2/3]], [[0, 0], [3527936/3, 1333528/3], [-1143994/3, -432386/3], [830512/3, 313904/3]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-2176, 832]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-77504, 29294], [-1514, 572], [0, 0]], [[0, 0], [8937601, -3378067], [174595, -66067], [14, 10]], [[0, 0], [309844, 116248], [-802470, -303322], [158544, 59924]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-284, 128], [482, -182], [0, 0]], [[0, 0], [-150809/3, 51959/3], [222649/3, -84205/3], [-10/3, 10/3]], [[0, 0], [75617, 32909], [9681, -3029], [-102, -38]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-136, 52]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4702, 1777], [43, -16], [0, 0]], [[-15/2, -5/2], [102755, -38863], [-939, 352], [-15/2, -5/2]], [[209, 79], [2340, -165], [152, 67], [209, 79]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 48], [-33, 12], [0, 0]], [[9/2, -3/2], [131385, 53174], [-3812, 496], [3/2, -1/2]], [[97/2, -37/2], [-507019/3, -69431/3], [-85898/3, 34865/3], [97/6, -37/6]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-136, 52]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1906, -709], [-25, -2], [0, 0]], [[0, 0], [-1, 0], [-1, 0], [1, 0]], [[0, 0], [10401/2, -267/2], [-4897/2, -1829/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [299/2, 79/2], [29/2, 1/2], [0, 0]], [[0, 0], [-60293/2, -11907/2], [-7053/2, 505/2], [-3, 1]], [[0, 0], [-374131/3, 242758/3], [-139733/3, 59126/3], [-199/3, 76/3]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-1088, 416]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66127, -25003], [-25, -5], [0, 0]], [[0, 0], [693160, 258456], [1064844, 402478], [-4, -6]], [[0, 0], [987036, -49086], [662114, 250828], [702, -270]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28320, -10704], [270, -102], [0, 0]], [[0, 0], [950753/3, -359225/3], [8947/3, -3367/3], [-46/3, -8/3]], [[0, 0], [-718036/3, -261896/3], [-82286/3, -31012/3], [142310/3, 53788/3]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-1088, 416]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2556, 966], [-820, 310], [0, 0]], [[0, 0], [360, -164], [60, -50], [-10, -6]], [[0, 0], [17607, -6663], [4257, -1617], [130, -52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3030, -1146], [1572, -594], [0, 0]], [[0, 0], [-512256, 193528], [-265702, 100442], [-6, 2]], [[0, 0], [-1528163/3, -575479/3], [282479/3, 107863/3], [-4646/3, -1756/3]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-136, 52]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1144, 433], [-52, 19], [0, 0]], [[5, 1], [1682, -641], [85, -28], [5, 1]], [[45/2, 17/2], [-53, -20], [45, 17], [45/2, 17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-247, 37], [-46, 16], [0, 0]], [[55/2, 5/2], [6818/3, 1939/3], [400/3, -16/3], [55/6, 5/6]], [[3799, -1450], [302032/3, -119101/3], [80669/3, -30638/3], [3799/3, -1450/3]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-136, 52]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7701/2, -2925/2], [35/2, 1/2], [0, 0]], [[0, 0], [-7, 0], [-1, 0], [1, 0]], [[0, 0], [-79, -1001], [1360, 512], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, -21], [-12, 0], [0, 0]], [[0, 0], [-65/6, -37/6], [11/6, 7/6], [-7/3, -2/3]], [[0, 0], [13/3, -4/3], [5/3, -2/3], [-5/3, 2/3]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-1088, 416]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17044, 6442], [1360, -514], [0, 0]], [[0, 0], [56907, -21443], [-4273, 1649], [4, 10]], [[0, 0], [-3191665, 1201463], [238729, -92745], [-498, -664]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4736, 1790], [-1736, 656], [0, 0]], [[0, 0], [-2851/3, 1015/3], [-1127/3, 323/3], [-34/3, -8/3]], [[0, 0], [-626/3, 1964/3], [2720/3, 1816/3], [754/3, 290/3]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[-1088, 416]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2701, -1021], [145, -55], [0, 0]], [[0, 0], [15996, -6032], [664, -258], [-8, 10]], [[0, 0], [-73570, 27926], [-3186, 1144], [158, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-323, 89], [19, 5], [0, 0]], [[0, 0], [16456/3, 3944/3], [-4990/3, -1868/3], [10/3, 8/3]], [[0, 0], [57754, -21228], [-746, 60], [-104, 40]]], 0, 6144, [], [] >,
< [ -7, 0, 1 ], [[384, -96]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [208, -61], [80, -29], [0, 0]], [[0, 0], [-133552, 65547], [-63744, 25149], [-8, 0]], [[0, 0], [190999/3, 155461/3], [-8549, 8549], [-64/3, -22/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1290, -615], [-80, 29], [0, 0]], [[0, 0], [666538, 370088], [16716, -234], [6, 0]], [[0, 0], [129028933/57, 1487759248/57], [41812539/19, -10793964/19], [43946/57, -11008/57]]], 0, 12288, [], [] >,
< [ -7, 0, 1 ], [[384, -96]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [173, -59], [75, -27], [0, 0]], [[0, 0], [6787, -5796], [4015, -2200], [-10, 0]], [[0, 0], [-405074/3, -199388/3], [-23760, -15840], [-574/3, -196/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2362, -397], [-52, 19], [0, 0]], [[0, 0], [5566859164/57, 1925668963/57], [-4695600/19, 3327/19], [212/57, 2/57]], [[0, 0], [-384667315840/57, -91125074635/57], [853005528/19, -218435409/19], [-37814/57, 9472/57]]], 0, 12288, [], [] >,
< [ -7, 0, 1 ], [[-1440, 576]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1746, -660], [-4302, 1626], [0, 0]], [[0, 0], [-57839/3, 21866/3], [50155, -18952], [2/3, 1/3]], [[0, 0], [2430, 918], [108, 42], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3048, -1152], [7572, -2862], [0, 0]], [[0, 0], [170933/3, -64472/3], [143855, -54338], [22/3, 5/3]], [[0, 0], [-4186228, -1582175], [-3180000, -1201749], [-414113, -156520]]], 0, 36864, [], [] >,
< [ -7, 0, 1 ], [[-1440, 576]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1202, -454], [-10350, 3912], [0, 0]], [[0, 0], [275738/3, -104225/3], [-792022, 299365], [-17/3, 2/3]], [[0, 0], [-262996/3, -99482/3], [433214, 163966], [-216650/3, -81886/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [492, -186], [-10842, 4098], [0, 0]], [[0, 0], [35905/3, -13582/3], [-256775, 97028], [-10/3, -5/3]], [[0, 0], [71069/3, 26848/3], [151451, 57340], [55828/3, 21101/3]]], 0, 36864, [], [] >,
< [ -7, 0, 1 ], [[-1728, 864]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, 54], [-1254, 474], [0, 0]], [[0, 0], [504, -185], [4374, -1653], [-25, 10]], [[0, 0], [3100, -1184], [27414, -10362], [-162, 60]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14160, -5352], [7302, -2760], [0, 0]], [[0, 0], [4, -1], [0, 3], [1, 0]], [[0, 0], [-41004, 15498], [-21336, 8064], [0, 0]]], 0, 442368, [], [] >,
< [ -7, 0, 1 ], [[-1728, 864]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10620, -4014], [-2238, 846], [0, 0]], [[0, 0], [-6, 1], [0, 3], [1, 0]], [[0, 0], [45798, -17310], [-9906, 3744], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22272, 8418], [11112, -4200], [0, 0]], [[0, 0], [2, 3], [0, 3], [1, 0]], [[0, 0], [-9366, 3540], [4794, -1812], [0, 0]]], 0, 442368, [], [] >,
< [ -7, 0, 1 ], [[-1440, 576]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19543, -7390], [-3, 0], [0, 0]], [[0, 0], [-65588/3, 24790/3], [0, 0], [20330/3, -7684/3]], [[0, 0], [1557856/3, -588818/3], [0, 0], [-482974/3, 182546/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1891, -250], [3, 12], [0, 0]], [[0, 0], [-8181299, 7161192], [304887, -312], [2, 0]], [[0, 0], [5312022581/57, -1996223830/57], [-19753185/19, 7574574/19], [-386/57, 148/57]]], 0, 49152, [], [] >,
< [ -7, 0, 1 ], [[-1440, 576]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22928, 8711], [0, 15], [0, 0]], [[0, 0], [-6023959/3, 2260625/3], [-4131, -255], [-32/3, -2/3]], [[0, 0], [7003003/3, 2473738/3], [758727, 286722], [5864/3, 2216/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-621, 126], [-3, -6], [0, 0]], [[0, 0], [1675189/57, -1250126/57], [-29361/19, 414/19], [-538/57, -4/57]], [[0, 0], [-853008989/57, 316943890/57], [5044635/19, -2001294/19], [87098/57, -34756/57]]], 0, 49152, [], [] >,
< [ -7, 0, 1 ], [[736, -256]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [762, -288], [1688, -638], [0, 0]], [[0, 0], [-77, 22], [-115, 46], [8, 1]], [[0, 0], [-7648/3, -2891/3], [908, 343], [4339/3, 1640/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 6], [2, 4], [0, 0]], [[0, 0], [-230/3, -379/3], [-64, -77], [5/3, 4/3]], [[0, 0], [92548/3, -33505/3], [16804, -6031], [-679/3, 238/3]]], 0, 18432, [], [] >,
< [ -7, 0, 1 ], [[-32, 16]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [610, -230], [730, -276], [0, 0]], [[0, 0], [-1026907/6, 388745/6], [-410611/2, 155145/2], [-29/6, -5/6]], [[0, 0], [37229/2, 14537/2], [-10221/2, -3305/2], [-971/2, -367/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [187, -71], [-103, 39], [0, 0]], [[0, 0], [1613/6, -625/6], [-331/2, 103/2], [-17/6, -5/6]], [[0, 0], [-111, -65], [-809, -293], [-135, -51]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[13324, -5036]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69/2, 31/2], [-3/2, -3/2], [0, 0]], [[0, 0], [119/2, -23], [-3/2, 1], [0, 0]], [[0, 0], [-26/3, 10/3], [0, 0], [13/6, -5/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [549/2, -114], [-3/2, -1], [0, 0]], [[0, 0], [2799/2, -1121/2], [-7/2, -7/2], [0, 0]], [[0, 0], [-26/3, 10/3], [0, 0], [13/6, -5/6]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-32, 16]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57/2, 17/2], [5/2, 3/2], [0, 0]], [[0, 0], [-1352/3, -686/3], [576, 216], [-4/3, 5/3]], [[0, 0], [-1509, 63], [705, 285], [33, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-221/2, 67/2], [1/2, -3/2], [0, 0]], [[0, 0], [-1877/2, -715/2], [-299/2, -113/2], [1, -1]], [[0, 0], [-841/6, -325/6], [-45/2, -17/2], [2/3, -1/3]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[-256, 128]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [448, -170], [88, -34], [0, 0]], [[0, 0], [24437/3, -9235/3], [1639, -617], [22/3, -2/3]], [[0, 0], [1672, 620], [10002, 3778], [8604, 3252]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [273, -103], [-23, 9], [0, 0]], [[0, 0], [6700/3, -2516/3], [-176, 80], [32/3, -4/3]], [[0, 0], [1598/3, 674/3], [1360, 512], [772/3, 292/3]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[-256, 128]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32240, 12186], [36, -14], [0, 0]], [[0, 0], [445033/3, -168125/3], [-189, 57], [20/3, 2/3]], [[0, 0], [170596, 63764], [-90090, -34050], [19822, 7492]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24649, 9317], [33, -13], [0, 0]], [[0, 0], [3072370/3, -1160798/3], [-1580, 460], [8/3, -10/3]], [[0, 0], [1983090, 755090], [-1825760, -690080], [-30876, -11670]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[-32, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [780, -296], [-18, 8], [0, 0]], [[0, 0], [-10770, 3910], [494, -22], [-6, 4]], [[0, 0], [-142028, 52329], [5502, -693], [-91, 49]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -7], [-7, 3], [0, 0]], [[0, 0], [-424/3, -325/3], [-290/3, 121/3], [-11/3, 1/3]], [[0, 0], [6109, 2875], [887, -457], [68, 8]]], 0, 256, [], [] >,
< [ -7, 0, 1 ], [[-32, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-272, 102], [0, 0], [142, -54]], [[0, 0], [-2358, 888], [0, 0], [1240, -470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -2], [1, 0], [0, 0]], [[0, 0], [14/3, 26/3], [4/3, -2/3], [-8/3, 4/3]], [[0, 0], [60, 9], [-4, 1], [8, -2]]], 0, 256, [], [] >,
< [ -7, 0, 1 ], [[52, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[-3/2, 5/2], [1164, -425], [0, 0], [-3/2, 5/2]], [[-903/2, -357/2], [-6499, -244], [0, 0], [-903/2, -357/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -2], [1, 0], [0, 0]], [[5, 2], [1237/3, -431/3], [-10/3, -4/3], [5/3, 2/3]], [[17/2, 5/2], [-7213/3, 2780/3], [-17/3, -5/3], [17/6, 5/6]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[52, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[3/2, -5/2], [155, -62], [0, 0], [3/2, -5/2]], [[-92, -23], [-749, 181], [0, 0], [-92, -23]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -2], [1, 0], [0, 0]], [[21/2, 3/2], [295, -128], [-7, -1], [7/2, 1/2]], [[-10, -1], [-1031/3, 433/3], [20/3, 2/3], [-10/3, -1/3]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[-256, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9500, 3548], [-30, -10], [0, 0]], [[0, 0], [-20866, -7916], [-10430, -3944], [10, 6]], [[0, 0], [-5296, -3636], [-3586, -1458], [-160, 64]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4328, 1748], [26, 10], [0, 0]], [[0, 0], [166774/3, 38416/3], [23726/3, 8984/3], [62/3, 2/3]], [[0, 0], [713206/3, -94046/3], [40766/3, 15650/3], [476/3, -136/3]]], 0, 16384, [], [] >,
< [ -7, 0, 1 ], [[29516, -11156]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111, -49], [-1, -1], [0, 0]], [[0, 0], [10694/3, 7487/6], [663, 505/2], [-19/6, -1/3]], [[0, 0], [-137291/6, -6055/6], [-4565/2, -2019/2], [286/3, -91/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-371/2, 107/2], [-11/2, -3/2], [0, 0]], [[0, 0], [140395/6, 52475/6], [10029/2, 3785/2], [-1/6, -5/6]], [[0, 0], [60703/6, 11362/3], [4339/2, 819], [-1/6, -1/3]]], 1, 16, [], [] >,
< [ -7, 0, 1 ], [[-80, 32]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [4441/6, -1693/6], [35/2, 1/2], [35/6, 1/6]], [[0, 0], [-610/3, -1106/3], [1744, 656], [1744/3, 656/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [-2249/6, 773/6], [-19/2, -5/2], [-19/6, -5/6]], [[0, 0], [-2/3, -250/3], [-52, -20], [-52/3, -20/3]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[-80, 32]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [277/2, -85/2], [9/2, 1/2], [0, 0]], [[0, 0], [-51917/6, -19615/6], [-3871/2, -1463/2], [16/3, 2/3]], [[0, 0], [861, -66], [98, 21], [-585, 221]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 8], [8, -3], [0, 0]], [[0, 0], [-135/2, 49/2], [-7/2, -1/2], [0, -1]], [[0, 0], [193/6, -55/6], [15/2, 5/2], [10/3, 5/3]]], 0, 128, [], [] >,
< [ -7, 0, 1 ], [[-640, 256]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-508, 192], [-109968, 41564], [0, 0]], [[0, 0], [5432/3, -2042/3], [386998, -146264], [4/3, 2/3]], [[0, 0], [-433709/3, -163927/3], [-301351, -113929], [-140455/3, -53087/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3344, -1264], [-18970, 7170], [0, 0]], [[0, 0], [485107/3, -183367/3], [-914865, 345785], [-19/3, 1/3]], [[0, 0], [-3311364, -1251590], [-1056740, -399342], [-1483822, -560832]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[-640, 256]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38198, 14438], [-258, 98], [0, 0]], [[0, 0], [-103322/3, 39002/3], [-246, 74], [20/3, -2/3]], [[0, 0], [59937, 22457], [68187, 25771], [-6797, -2569]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23770, -8980], [10, -8], [0, 0]], [[0, 0], [-2784281/3, 1053731/3], [-1253, -5], [-37/3, -5/3]], [[0, 0], [847369, 340623], [-915241, -345915], [-12131, -4585]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[-80, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-419, 157], [-15, 7], [0, 0]], [[0, 0], [1183, -420], [-31, -26], [29, -13]], [[0, 0], [-49232, 18662], [-918, 272], [-1360, 510]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17, -15], [-15, 5], [0, 0]], [[0, 0], [671/3, -50/3], [-551/3, 212/3], [-19/3, 1/3]], [[0, 0], [-389, -450], [-569, 204], [13, 13]]], 0, 256, [], [] >,
< [ -7, 0, 1 ], [[-80, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-646, 244], [0, 0], [-164, 62]], [[0, 0], [-830, 312], [0, 0], [-206, 78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[0, 0], [-14, -1], [2, 1], [4, 2]], [[0, 0], [43/3, -16/3], [5/3, -2/3], [10/3, -4/3]]], 0, 256, [], [] >,
< [ -7, 0, 1 ], [[4, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[11/2, 5/2], [329, -126], [0, 0], [11/2, 5/2]], [[-585/2, -221/2], [150, 23], [0, 0], [-585/2, -221/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[33/2, 3/2], [-68, -19], [11, 1], [11/2, 1/2]], [[56, 28], [-1090/3, -440/3], [112/3, 56/3], [56/3, 28/3]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[4, -4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, -2], [690, -272], [0, 0], [0, -2]], [[193/2, 73/2], [531, 208], [0, 0], [193/2, 73/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 2], [1, 0], [0, 0]], [[-17, -1], [-836/3, 320/3], [-34/3, -2/3], [-17/3, -1/3]], [[2025/2, 729/2], [762, -423], [675, 243], [675/2, 243/2]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[-640, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8186, -3094], [-1164, 440], [0, 0]], [[0, 0], [2578690, -974662], [-366282, 138434], [0, -4]], [[0, 0], [1140532, 432390], [984066, 371756], [519906, 196506]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9044, 3420], [6, 2], [0, 0]], [[0, 0], [-634/3, -74/3], [-2/3, -22/3], [-52/3, -8/3]], [[0, 0], [-9442/3, 3532/3], [1210/3, -460/3], [-670/3, 250/3]]], 0, 16384, [], [] >,
< [ -7, 0, 1 ], [[-2688, 1024]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [450, -170], [-424696, 160520], [0, 0]], [[0, 0], [-1483/3, 565/3], [392286, -148276], [-17/3, -1/3]], [[0, 0], [-14591038, -5514894], [57002804, 21545044], [24205820, 9148940]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2134, 834], [8, 12], [0, 0]], [[0, 0], [995789/3, -367925/3], [3856, 94], [-11/3, -1/3]], [[0, 0], [6159753, 2289973], [3366078, 1272048], [-3723, -1407]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[896, 0]], [ -7, -1 ], [ -8, 3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, 22], [476140, -179964], [0, 0]], [[0, 0], [-38441/3, 14537/3], [107305464, -40557626], [-25/3, 1/3]], [[0, 0], [421596628/3, 159348548/3], [1492971984, 564288484], [-464583670/3, -175596122/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6782, 2538], [-140, 16], [0, 0]], [[0, 0], [4971646/3, 1882628/3], [2415014, 912810], [2/3, 4/3]], [[0, 0], [-34688285/3, -12968875/3], [-16744392, -6327958], [-217/3, 49/3]]], 0, 196608, [], [] >,
< [ -7, 0, 1 ], [[176, -64]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, -5], [-35, 13], [0, 0]], [[0, 0], [6895/6, -2459/6], [-6033/2, 2301/2], [23/6, 5/6]], [[0, 0], [32782/3, 8680/3], [-508, 3164], [2600/3, 980/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, -5], [83, -31], [0, 0]], [[0, 0], [439/6, -41/6], [767/2, -241/2], [35/6, 5/6]], [[0, 0], [-506, -192], [-588, -228], [-74, -28]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-61900, 23396]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [95/2, -31/2], [1/2, -5/2], [0, 0]], [[0, 0], [-848/3, -158/3], [190, 76], [7/6, 1/6]], [[0, 0], [-277/3, -425/6], [133, 95/2], [1/3, 1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-217/2, 81/2], [-11/2, -5/2], [0, 0]], [[0, 0], [101/2, -29/2], [-125/2, -47/2], [-11/2, -1/2]], [[0, 0], [521/6, -95/3], [-33/2, -6], [-29/6, 7/6]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[176, -64]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1079/2, 405/2], [11/2, -1/2], [0, 0]], [[0, 0], [-78107/6, -32111/6], [30393/2, 11493/2], [-8/3, 4/3]], [[0, 0], [-25312/3, -3022/3], [6228, 2340], [46/3, -17/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2473/2, -935/2], [-9/2, 3/2], [0, 0]], [[0, 0], [-17423/6, -6173/6], [-7727/2, -2921/2], [-17/3, -5/3]], [[0, 0], [-75721/3, 26240/3], [-1359, -576], [-506/3, 187/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[1408, -512]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [688, -260], [662, -250], [0, 0]], [[0, 0], [-17677/3, 6683/3], [-5677, 2147], [-14/3, 10/3]], [[0, 0], [-842/3, -572/3], [-758, -368], [-3280/3, -1240/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-507, 193], [1, 1], [0, 0]], [[0, 0], [6, -2], [0, 0], [0, 4]], [[0, 0], [-148/3, 56/3], [0, 0], [148/3, -56/3]]], 0, 32768, [], [] >,
< [ -7, 0, 1 ], [[1408, -512]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21749, -8219], [-1, -1], [0, 0]], [[0, 0], [196/3, -44/3], [0, 0], [-16/3, 8/3]], [[0, 0], [586/3, -194/3], [0, 0], [-64/3, 26/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46559, -17589], [-15, -3], [0, 0]], [[0, 0], [-1002892, -372004], [996058, 376474], [-12, -2]], [[0, 0], [-262910/3, 49756/3], [21938, 8288], [-70/3, 26/3]]], 0, 32768, [], [] >,
< [ -7, 0, 1 ], [[-20, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [506, -190], [14, -4], [0, 0]], [[-1/2, 1/2], [1873, -705], [47, -14], [-1/2, 1/2]], [[127, 48], [1534, 581], [1889, 714], [127, 48]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [199, -77], [-5, 1], [0, 0]], [[13/2, -5/2], [181/3, -89/3], [-19/3, -4/3], [13/6, -5/6]], [[0, 0], [421, 160], [217, 82], [0, 0]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[-20, 4]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-722, 274], [14, -4], [0, 0]], [[-5, -2], [2647, -974], [20, 41], [-5, -2]], [[45/2, 17/2], [161, -131], [-215, -78], [45/2, 17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [677, -256], [29, -10], [0, 0]], [[35/2, 5/2], [-108181/3, 41009/3], [-5474/3, 1285/3], [35/6, 5/6]], [[-261/2, -99/2], [-2061, 354], [3576, 1398], [-87/2, -33/2]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[176, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [679, -257], [65, -25], [0, 0]], [[0, 0], [-2417, 914], [-257, 98], [19, -9]], [[0, 0], [-22512, 8514], [-2392, 914], [172, -86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 3], [75, -27], [0, 0]], [[0, 0], [-482, 153], [7642, -2907], [-5, -1]], [[0, 0], [16841/3, 5684/3], [-5423/3, 9730/3], [1579/3, 595/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[176, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1153, 434], [-25, 8], [0, 0]], [[0, 0], [-37390, 14727], [-96, 517], [68, -26]], [[0, 0], [570587, -217043], [9495, -4705], [-1030, 390]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75, -24], [27, -6], [0, 0]], [[0, 0], [2952, -1118], [-540, 202], [-376, 142]], [[0, 0], [-15121/3, 5744/3], [2791/3, -1028/3], [1930/3, -728/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[1408, -512]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-566, 214], [4720, -1784], [0, 0]], [[0, 0], [3848, -1440], [-35852, 13616], [24, 8]], [[0, 0], [44254, 16728], [200084, 75610], [52370, 19794]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1060, 392], [38, -10], [0, 0]], [[0, 0], [223352/3, 84560/3], [-112832/3, -42668/3], [28/3, 4/3]], [[0, 0], [-8174/3, -5828/3], [5414/3, 2456/3], [-166/3, 62/3]]], 0, 32768, [], [] >,
< [ -7, 0, 1 ], [[637044, -240780]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -3/2], [-3, 15/2], [-7/2, 1], [0, 0]], [[-2, 0], [190/3, -1/3], [-6, 1], [5/3, -2/3]], [[0, 0], [-493/6, 187/6], [29/2, -11/2], [-29/6, 11/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -3/2], [-23/2, -13], [-7, -5/2], [0, 0]], [[-52, -4], [-7039/6, 1801/6], [-63/2, -55/2], [-17/6, -1/6]], [[3328, -1274], [476899/3, -180544/3], [-3373, 1248], [578/3, -221/3]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[637044, -240780]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 3/2], [55/2, 14], [7, 5/2], [0, 0]], [[20, 5], [62/3, 115/3], [49, 15], [-43/6, -5/6]], [[-455/2, 177/2], [16603/6, -3110/3], [-309, 247/2], [505/3, -193/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -3/2], [21/2, 3], [-4, 1/2], [0, 0]], [[-7, -3], [557/6, 205/6], [-17/2, -9/2], [-11/6, -1/6]], [[69, -27], [587/3, -188/3], [248, -95], [-308/3, 116/3]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-96, 48]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, -1], [9, -3], [0, 0]], [[0, 0], [-2888/3, -778/3], [-102, 22], [-16/3, -2/3]], [[0, 0], [-23897/6, 24173/6], [-8305/2, 3273/2], [-481/6, 247/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, -26], [66, -24], [0, 0]], [[0, 0], [6815/3, 2902/3], [-317, -12], [-5/3, 2/3]], [[0, 0], [48335/6, 18961/6], [-1479/2, -337/2], [-11/6, 5/6]]], 0, 768, [], [] >,
< [ -7, 0, 1 ], [[-96, 48]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 10], [-40, 14], [0, 0]], [[0, 0], [30511/2, 12951/2], [-11177/2, -1601/2], [-3/2, 1/2]], [[0, 0], [-1610573/6, -579715/6], [101029/2, 56075/2], [-49/6, 25/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [122, -52], [114, -42], [0, 0]], [[0, 0], [-4741/6, -1313/6], [59/2, 163/2], [7/6, -1/6]], [[0, 0], [-2511/2, -2045/2], [1987/2, -215/2], [-9/2, 5/2]]], 0, 768, [], [] >,
< [ -7, 0, 1 ], [[-48, 96]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-427, 161], [-109, 41], [0, 0]], [[0, 0], [110889/2, -41917/2], [27913/2, -10553/2], [-3/2, 1/2]], [[0, 0], [-1552, -586], [-810, -306], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [41, -19], [-83, 31], [0, 0]], [[0, 0], [-1, 0], [3, 0], [1, 0]], [[0, 0], [63, -63], [-212, 76], [0, 0]]], 0, 9216, [], [] >,
< [ -7, 0, 1 ], [[-48, 96]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1325, 499], [-179, 67], [0, 0]], [[0, 0], [832501/2, -314895/2], [112127/2, -42481/2], [9/2, 1/2]], [[0, 0], [-3717775, -1397847], [-1566471, -591081], [68173, 25767]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, 1], [41, -13], [0, 0]], [[0, 0], [8, 0], [0, 0], [1, 0]], [[0, 0], [-16, -13], [66, -33], [0, 0]]], 0, 9216, [], [] >,
< [ -7, 0, 1 ], [[204, -84]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1/2], [-2009/2, 380], [1, -1/2], [0, 0]], [[0, 0], [-195, -37], [0, 0], [3, -2]], [[0, 0], [-5446, 659], [0, 0], [585/2, -243/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, 4], [22, -5], [0, 0]], [[-23/2, -5/2], [2487/2, 5437/2], [-2535, 1482], [-1, -3/2]], [[-713/2, -23/2], [-216909/2, 218235/2], [-200694, 87048], [46, -115/2]]], 0, 1152, [], [] >,
< [ -7, 0, 1 ], [[204, -84]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1/2], [8413/2, -1591], [1, -1/2], [0, 0]], [[0, 0], [41, 28], [0, 0], [-5/2, -3/2]], [[0, 0], [642, -268], [0, 0], [-28, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-83, 13], [-28, 8], [0, 0]], [[11/2, 5/2], [1384, -770], [1343/2, -571/2], [2, 1/2]], [[-1, -1], [-2277, 938], [-979, 380], [-1, 0]]], 0, 1152, [], [] >,
< [ -7, 0, 1 ], [[-128, 256]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40020, 15120], [8, -4], [0, 0]], [[0, 0], [327578/3, 123752/3], [17372, 6566], [-26/3, 4/3]], [[0, 0], [-912639, -345103], [-145265, -54905], [-26, 26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 18], [38, 8], [0, 0]], [[0, 0], [-99886/3, 40040/3], [11374, -3020], [10/3, -2/3]], [[0, 0], [395099/3, -135649/3], [-25343, 17233], [-14/3, 16/3]]], 0, 98304, [], [] >,
< [ -7, 0, 1 ], [[287572, -108692]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, 11/2], [1/2, 1/2], [0, 0]], [[-5/2, 1/2], [11/6, -20/3], [1/2, -1], [1/6, -1/3]], [[3, -1], [-46/3, 23/3], [-2, 1], [-2/3, 1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15/2, 15/2], [25/2, 1/2], [0, 0]], [[-7/2, 1/2], [-2595/2, 448], [2193/2, -435], [0, -1/2]], [[-100, 36], [-300971/6, 113203/6], [90473/2, -34285/2], [76/3, -32/3]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[287572, -108692]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, -5], [1, 1], [0, 0]], [[-5/2, 1/2], [307/3, -193/6], [-59, -37/2], [1/6, -1/3]], [[126, -46], [-36557/6, 13675/6], [1043/2, -97/2], [-98/3, 40/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51/2, 3/2], [-11/2, 1/2], [0, 0]], [[-1/2, -3/2], [11789/6, -227/3], [-947/2, 83], [-11/6, -1/3]], [[93, -33], [54987, -21630], [-17801, 6850], [-23, 10]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[-16, 32]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 17], [-26, 7], [0, 0]], [[0, 0], [11/2, -65/2], [-719/2, -323/2], [-5, 0]], [[0, 0], [-391/6, 77/6], [-375/2, -87/2], [5/3, -4/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, 2], [-25, 8], [0, 0]], [[0, 0], [14195/6, 5591/6], [2171/2, 995/2], [-1/3, -4/3]], [[0, 0], [6799, 2870], [2657, 1700], [7, -7]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-16, 32]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -7], [-8, 1], [0, 0]], [[0, 0], [-10456/3, -2293/3], [-1134, 189], [-17/3, 1/3]], [[0, 0], [-141497/6, -96023/6], [13363/2, -10787/2], [40/3, -80/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 2], [-17, -2], [0, 0]], [[0, 0], [-377/6, -35/6], [263/2, -19/2], [1/3, -5/3]], [[0, 0], [-299/6, -173/6], [81/2, 99/2], [-14/3, -2/3]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-128, 256]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29571, -11177], [-19, 5], [0, 0]], [[0, 0], [120634/3, 45634/3], [411970, 155710], [98/3, 2/3]], [[0, 0], [-2866058/3, -1083806/3], [-9786000, -3698760], [-1870/3, -220/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 2], [18, -6], [0, 0]], [[0, 0], [-2051/3, -893/3], [-1, 41], [-22/3, -4/3]], [[0, 0], [4726, 1324], [-944, 130], [8, 20]]], 0, 98304, [], [] >,
< [ -7, 0, 1 ], [[287572, -108692]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [245/2, -91/2], [-1/2, -1/2], [0, 0]], [[-11, -2], [155/6, -91/6], [-41/2, 1/2], [-41/6, 1/6]], [[595/2, -255/2], [-11057/3, 8279/6], [1190, -935/2], [1190/3, -935/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15/2, -21/2], [-11/2, 1/2], [0, 0]], [[5/2, 5/2], [-1681/3, -179/6], [-4, -77/2], [10/3, 5/6]], [[-441/2, 161/2], [-150415/6, 29023/3], [10387/2, -1930], [343/6, -70/3]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[287572, -108692]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33/2, 17/2], [1/2, -5/2], [0, 0]], [[25/2, 5/2], [28, -7/2], [32, 7/2], [15/2, 0]], [[9, -4], [184/3, -71/3], [36, -15], [73/6, -29/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19/2, 5/2], [15/2, 3/2], [0, 0]], [[-3, -2], [-463/6, 71/6], [-55/2, -37/2], [-17/6, -5/6]], [[205/2, -75/2], [-14353/3, 10891/6], [963, -705/2], [-80/3, 65/6]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[-16, 32]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -12], [4, -2], [0, 0]], [[0, 0], [-5783/6, -881/6], [-239/2, 55/2], [37/3, -2/3]], [[0, 0], [-70240/3, -17293/3], [-2032, 263], [754/3, 58/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, -8], [15, -6], [0, 0]], [[0, 0], [-3247/3, -1093/3], [-141, 27], [4/3, -2/3]], [[0, 0], [-53929/6, -20113/6], [-821/2, -149/2], [-1/3, -4/3]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-16, 32]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21/2, 7/2], [1/2, 1/2], [0, 0]], [[0, 0], [30, -4], [0, 0], [13, 1]], [[0, 0], [-818/3, 430/3], [0, 0], [-121/3, 143/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, -2], [13, -2], [0, 0]], [[0, 0], [-107/6, 43/6], [21/2, -9/2], [13/3, -5/3]], [[0, 0], [1/2, 1/2], [-1/2, -1/2], [0, 0]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-128, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23722, 8966], [17896, -6764], [0, 0]], [[0, 0], [-495296, 187230], [372802, -140880], [2, 6]], [[0, 0], [-64380506, -24333546], [-64906136, -24532212], [-16921220, -6395620]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7084, 2768], [38, 2], [0, 0]], [[0, 0], [14207638/3, 5637118/3], [2633534/3, 994730/3], [32/3, -4/3]], [[0, 0], [-1361334556/3, -494119654/3], [-241183676/3, -91208714/3], [646/3, -986/3]]], 0, 98304, [], [] >,
< [ -7, 0, 1 ], [[68, -28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2017, -767], [25, -5], [0, 0]], [[3/2, -1/2], [14003, -5294], [134, -50], [3/2, -1/2]], [[0, 0], [-499, -196], [487, 184], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31, -13], [11, -1], [0, 0]], [[-17/2, -5/2], [4474/3, -338/3], [10055/3, -3994/3], [-17/6, -5/6]], [[-32, -8], [21497/3, -3412/3], [57733/3, -22496/3], [-32/3, -8/3]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[68, -28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-479, 178], [13, -2], [0, 0]], [[13/2, 3/2], [-111264, 42086], [2155, -816], [13/2, 3/2]], [[-897, -339], [-3352, -4213], [222, 141], [-897, -339]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [224, -97], [38, -13], [0, 0]], [[17/2, -1/2], [-35569/3, 11987/3], [-4838/3, 2005/3], [17/6, -1/6]], [[52, 13], [-83851/3, 14081/3], [-6308/3, 4516/3], [52/3, 13/3]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[-16, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4036, -1526], [70, -26], [0, 0]], [[0, 0], [32430, -12243], [648, -249], [-47, 19]], [[0, 0], [-67573, 25422], [-1313, 530], [87, -43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [233, -103], [-79, 29], [0, 0]], [[0, 0], [-25549/3, -8581/3], [-857/3, -707/3], [28/3, -2/3]], [[0, 0], [430025/3, 184304/3], [36193/3, 5926/3], [121/3, -209/3]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-16, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-197, 79], [-25, 5], [0, 0]], [[0, 0], [-3672, 1397], [-480, 173], [-168, 64]], [[0, 0], [3352, -1277], [440, -157], [152, -58]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-372, 102], [-36, 12], [0, 0]], [[0, 0], [122969/3, 13478/3], [7927/3, -500/3], [10/3, -2/3]], [[0, 0], [7184/3, -16732/3], [1954/3, -1322/3], [4/3, -2/3]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-128, 256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23992, -9068], [-40660, 15368], [0, 0]], [[0, 0], [-232438, 87850], [393712, -148788], [-8, 8]], [[0, 0], [721756, 272798], [-4118848, -1556778], [-963662, -364230]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2740, 1076], [14, 2], [0, 0]], [[0, 0], [-151382/3, -60206/3], [-28072/3, -10600/3], [-16/3, -4/3]], [[0, 0], [251864/3, 48326/3], [34084/3, 13042/3], [-26/3, 22/3]]], 0, 98304, [], [] >,
< [ -7, 0, 1 ], [[68, -28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2597, -985], [11, -1], [0, 0]], [[-1, 2], [1115858, -421579], [2693, -1186], [-1, 2]], [[2023/2, 765/2], [197877, 7898], [-104468, -39660], [2023/2, 765/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [101, -52], [17, -4], [0, 0]], [[-9/2, -3/2], [1259, -407], [108, -61], [-3/2, -1/2]], [[2, -1], [-45893/3, 17371/3], [-5308/3, 2000/3], [2/3, -1/3]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[68, -28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4181, 1582], [-25, 8], [0, 0]], [[3/2, 5/2], [1945725, -734650], [9923, -4355], [3/2, 5/2]], [[29/2, 11/2], [24039, -5952], [-3191, -1289], [29/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-262, 92], [-10, 2], [0, 0]], [[17/2, 5/2], [-13351/3, 3908/3], [-752/3, -14/3], [17/6, 5/6]], [[3, -3], [-24000, 9203], [-684, 293], [1, -1]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[-16, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2011, 761], [-153, 57], [0, 0]], [[0, 0], [77668, -29246], [5696, -2248], [34, -14]], [[0, 0], [673510, -253729], [49540, -19447], [297, -121]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [249, -45], [-57, 21], [0, 0]], [[0, 0], [-21620/3, -7574/3], [458/3, 2/3], [2/3, -4/3]], [[0, 0], [3966, 1339], [-102, 7], [-1, 1]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-16, 32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1000, 377], [-10, 5], [0, 0]], [[0, 0], [-30777, 11623], [-241, 105], [194, -74]], [[0, 0], [1474865, -557210], [11979, -4870], [-9322, 3540]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 19], [-2, 1], [0, 0]], [[0, 0], [-302/3, -170/3], [14/3, 8/3], [-16/3, -4/3]], [[0, 0], [-1184/3, 13/3], [56/3, -1/3], [2/3, -16/3]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[132, -60]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6779/2, 2561/2], [9/2, -3/2], [0, 0]], [[-31/2, -7/2], [39100, 29549/2], [-12769, -9661/2], [-3/2, -2]], [[-2023, 527], [1991043/2, 748259/2], [-642553/2, -247541/2], [952, -425]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -11], [-33, 12], [0, 0]], [[25/2, 7/2], [265/2, -173/2], [-307/2, 109/2], [2, 3/2]], [[150, 30], [3434, -1682], [-3297, 1209], [10, 20]]], 0, 1152, [], [] >,
< [ -7, 0, 1 ], [[132, -60]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37977/2, -14325/2], [-23/2, -1/2], [0, 0]], [[-4, -1], [-1498791/2, 566483/2], [397/2, -157/2], [-1/2, -1/2]], [[29/2, 11/2], [-72792, 55063/2], [38, -1/2], [4, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63, 18], [-61, 22], [0, 0]], [[5, -1], [637, -390], [878, -359], [-2, 1]], [[11/2, -1/2], [388, -404], [736, -325], [-3/2, 1]]], 0, 1152, [], [] >,
< [ -7, 0, 1 ], [[-1632, 624]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6764, -2555], [4, -1], [0, 0]], [[0, 0], [-9/2, 1/2], [-1/2, 1/2], [1, 0]], [[0, 0], [-7857, 2970], [-5, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1189, -448], [-25, 10], [0, 0]], [[0, 0], [7, 1], [0, 0], [1, 0]], [[0, 0], [1882, -718], [-44, 14], [0, 0]]], 0, 9216, [], [] >,
< [ -7, 0, 1 ], [[-1632, 624]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13591/2, -5101/2], [-29/2, -1/2], [0, 0]], [[0, 0], [-1621249/2, -610729/2], [539035/2, 203735/2], [-312, 118]], [[0, 0], [238019510, 89943150], [-79260440, -29957620], [6003, -2291]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-111, 48], [32, -11], [0, 0]], [[0, 0], [-28532, 10310], [6890, -2690], [-299, 113]], [[0, 0], [-25383, 12773], [8190, -2520], [-312, 118]]], 0, 9216, [], [] >,
< [ -7, 0, 1 ], [[1411212, -533388]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [101, -14], [51, -18], [0, 0]], [[-1/2, 3/2], [-920479/6, -276913/6], [-36901/2, 2955/2], [5/3, 1/6]], [[-16, 4], [122590, 117050], [-55407, 29565], [2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5/2, -19/2], [-21/2, -3/2], [0, 0]], [[-1/2, -5/2], [206, -33/2], [-9, 45/2], [-3, -1/2]], [[47/2, -7/2], [3019/6, -937/3], [-465/2, 50], [-1/6, 10/3]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[1411212, -533388]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-71, 14], [-51, 18], [0, 0]], [[6, -1], [-13024/3, -2560/3], [-1292, 238], [-1/6, 5/6]], [[-861/2, 231/2], [211600, 12920], [94148, -26261], [63, -105/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43/2, -1/2], [-9/2, 3/2], [0, 0]], [[13/2, -3/2], [7225/6, 1262/3], [-101/2, 0], [-2/3, 5/6]], [[1175/2, -325/2], [229658/3, 153505/6], [-4026, 667/2], [-275/3, 425/6]]], 1, 96, [], [] >,
< [ -7, 0, 1 ], [[-240, 96]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2136, 807], [-14, 5], [0, 0]], [[0, 0], [-186433/3, 70490/3], [-382, 147], [-2/3, -5/3]], [[0, 0], [266/3, 542/3], [114, 44], [-164/3, -62/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 1], [4, -1], [0, 0]], [[0, 0], [24929/6, 6767/6], [455/2, -3/2], [8/3, 5/3]], [[0, 0], [197056/3, -70280/3], [12678, -4748], [-280/3, 110/3]]], 0, 768, [], [] >,
< [ -7, 0, 1 ], [[-240, 96]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-505, 190], [-4, 1], [0, 0]], [[0, 0], [-1490/3, 526/3], [-37, -1], [-31/3, -1/3]], [[0, 0], [26/3, 1790/3], [931, 373], [790/3, 316/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51/2, -3/2], [-19/2, 1/2], [0, 0]], [[0, 0], [29257/6, -2849/6], [4179/2, -779/2], [-35/3, -5/3]], [[0, 0], [-28843/6, 11153/6], [-4917/2, 1883/2], [17/3, -7/3]]], 0, 768, [], [] >,
< [ -7, 0, 1 ], [[-303764, 114812]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-181, 57], [-11, -1], [0, 0]], [[0, 0], [52601/2, 19979/2], [23841/2, 9009/2], [2, 0]], [[0, 0], [61678/3, 63727/6], [11078, 8255/2], [355/6, -65/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [216, -64], [16, 2], [0, 0]], [[0, 0], [-172291/3, -65084/3], [-26189, -9901], [17/6, 1/6]], [[0, 0], [176/3, -133/6], [-41, 31/2], [-41/3, 31/6]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[64, -16]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1320, -499], [-5, 2], [0, 0]], [[0, 0], [9841/6, -3715/6], [-1/2, -5/2], [-1/6, -5/6]], [[0, 0], [-105, -42], [381, 144], [127, 48]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [158, -60], [-66, 24], [0, 0]], [[0, 0], [-4623/2, 1785/2], [1891/2, -709/2], [15/2, 1/2]], [[0, 0], [925003/6, 355043/6], [48221/2, 17497/2], [165053/6, 62377/6]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[64, -16]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21/2, -3/2], [19/2, 5/2], [0, 0]], [[0, 0], [-3752/3, 1523/3], [-81, 162], [-55/3, -5/3]], [[0, 0], [-415264/3, 157882/3], [-25740, 10890], [-2537/3, 731/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -19], [-41, 14], [0, 0]], [[0, 0], [-179837/6, 69893/6], [40611/2, -15489/2], [13/3, 2/3]], [[0, 0], [-615620/3, 263408/3], [143846, -56600], [320/3, 100/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[512, -128]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-624, 236], [-71012, 26840], [0, 0]], [[0, 0], [-16240/3, 6118/3], [-618126, 233604], [-20/3, 2/3]], [[0, 0], [1520199, 574581], [5837071, 2206181], [421365, 159261]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9260, -3500], [926, -350], [0, 0]], [[0, 0], [15116/3, -5774/3], [-28, -50], [-50/3, -4/3]], [[0, 0], [-12583601, -4756155], [-37684899, -14243553], [-4747851, -1794519]]], 0, 32768, [], [] >,
< [ -7, 0, 1 ], [[512, -128]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7610, -2866], [22, 2], [0, 0]], [[0, 0], [-891028/3, -336224/3], [-296932, -112220], [-20/3, 2/3]], [[0, 0], [1662301, 631729], [1667471, 630427], [-65, 35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21778, -8214], [-30, -6], [0, 0]], [[0, 0], [-933397, -353293], [935633, 353629], [9, 1]], [[0, 0], [935786/3, 387796/3], [-327726, -123708], [-224/3, 80/3]]], 0, 32768, [], [] >,
< [ -7, 0, 1 ], [[-76, 28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2632, 994], [-76, 28], [0, 0]], [[3/2, -5/2], [-1149, 439], [-31, 8], [3/2, -5/2]], [[-11063/2, -4181/2], [13580, 5073], [-10635, -4021], [-11063/2, -4181/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-164, 65], [70, -25], [0, 0]], [[-9/2, 3/2], [1235, -460], [-509, 195], [-3/2, 1/2]], [[-179/2, -67/2], [9329/3, 3244/3], [3289/3, 1361/3], [-179/6, -67/6]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[-76, 28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1277, -482], [33, -12], [0, 0]], [[4, -1], [290472, -109935], [7235, -2840], [4, -1]], [[-743/2, -281/2], [116013, 36347], [76389, 28682], [-743/2, -281/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [667, -253], [37, -13], [0, 0]], [[-25/2, -5/2], [104743/3, -39409/3], [5288/3, -2213/3], [-25/6, -5/6]], [[-79/2, -29/2], [21511/3, -7384/3], [-79/3, -857/3], [-79/6, -29/6]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[64, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [154, -58], [202, -76], [0, 0]], [[0, 0], [-14138, 5345], [-18442, 6973], [-19, 7]], [[0, 0], [110843, -41883], [144605, -54633], [144, -56]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-207, 69], [-231, 87], [0, 0]], [[0, 0], [-6862/3, 5488/3], [-12500/3, 4832/3], [-4/3, 4/3]], [[0, 0], [-48194, -17483], [-2898, -229], [-41, -15]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[64, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2256, 852], [-28, 10], [0, 0]], [[0, 0], [-38061, 14449], [-485, 237], [-190, 72]], [[0, 0], [58169, -21954], [881, -306], [286, -108]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -37], [52, -19], [0, 0]], [[0, 0], [-103/3, 67/3], [-89/3, 41/3], [20/3, 10/3]], [[0, 0], [-80/3, -7/3], [-40/3, 1/3], [-44/3, -16/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[512, -128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2122, 802], [43020, -16260], [0, 0]], [[0, 0], [-92990, 35188], [1877446, -709568], [22, 6]], [[0, 0], [32926788, 12445144], [31965672, 12082132], [11472528, 4336208]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1908, 732], [-30, 6], [0, 0]], [[0, 0], [1428, 542], [-660, -238], [14, 2]], [[0, 0], [-530/3, -250/3], [578/3, -14/3], [-92/3, 32/3]]], 0, 32768, [], [] >,
< [ -7, 0, 1 ], [[-108, 36]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, 17], [9, 12], [0, 0]], [[11/2, -5/2], [-3429/2, -105/2], [2085/2, -1353/2], [-2, 1/2]], [[33/2, -11/2], [-2345/6, 8101/6], [8411/2, -2209/2], [-11/3, 11/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [931/2, -373/2], [-33/2, -9/2], [0, 0]], [[7/2, -3/2], [80749/6, 20897/3], [32441/2, 6124], [-7/6, 1/3]], [[-17/2, 7/2], [-62063/3, -74725/6], [-27292, -20597/2], [8/3, -5/6]]], 1, 384, [], [] >,
< [ -7, 0, 1 ], [[-108, 36]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -14], [-3, -9], [0, 0]], [[0, 1], [11095/3, 3826/3], [50, 911], [7/6, 1/6]], [[57/2, -21/2], [-2582, 1730], [26379, -9708], [-15/2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [635/2, -257/2], [-21/2, -9/2], [0, 0]], [[-3/2, 1/2], [31993/6, 6338/3], [10883/2, 2056], [1/3, -1/6]], [[0, 0], [-461/2, -133/2], [-405/2, -153/2], [0, 0]]], 1, 384, [], [] >,
< [ -7, 0, 1 ], [[144, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, -7], [6, 15], [0, 0]], [[0, 0], [8119/3, -2120/3], [-502, 509], [8/3, -1/3]], [[0, 0], [-2566, -273], [-1287, -768], [-4, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1807, -682], [-363, 138], [0, 0]], [[0, 0], [27601/2, -10421/2], [-5511/2, 2127/2], [4, 1]], [[0, 0], [-299/6, -113/6], [299/2, 113/2], [82/3, 31/3]]], 0, 3072, [], [] >,
< [ -7, 0, 1 ], [[144, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [443, -164], [0, 3], [0, 0]], [[0, 0], [-191509/3, 73469/3], [985, -59], [-17/3, 1/3]], [[0, 0], [619462, -254726], [-29325, -6747], [169, 39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1307/2, -485/2], [15/2, 3/2], [0, 0]], [[0, 0], [-29453/3, -9638/3], [-8815, -3328], [2/3, -4/3]], [[0, 0], [46619/6, 20687/6], [16237/2, 6145/2], [11/3, -1/3]]], 0, 3072, [], [] >,
< [ -7, 0, 1 ], [[-684, 252]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26313, 9924], [3, 6], [0, 0]], [[11/2, -1/2], [-1253473, -945435/2], [417792, 315831/2], [-3/2, 1]], [[-693/2, 273/2], [-4249948, -3430849/2], [1466973, 1107897/2], [217, -161/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1037, -392], [111, -42], [0, 0]], [[7/2, 1/2], [5479/2, -2063/2], [843/2, -309/2], [0, 1/2]], [[117/2, 27/2], [57309/2, -21507/2], [8919/2, -3183/2], [6, 15/2]]], 0, 4608, [], [] >,
< [ -7, 0, 1 ], [[-684, 252]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40273/2, 15223/2], [-9/2, 3/2], [0, 0]], [[-7/2, -1/2], [20150, -15243/2], [0, -3/2], [0, -1/2]], [[75/2, 21/2], [-89254, 67619/2], [18, 27/2], [6, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1116, -423], [237, -90], [0, 0]], [[-17, -2], [112848, -42691], [23907, -9048], [1/2, -5/2]], [[645/2, 111/2], [-1693418, 640862], [-358722, 135837], [11, 89/2]]], 0, 4608, [], [] >,
< [ -7, 0, 1 ], [[576, -144]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15870, -5997], [-102, 39], [0, 0]], [[0, 0], [-1/2, -1/2], [3/2, 3/2], [1, 0]], [[0, 0], [181505, -68594], [-1167, 444], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20114, -7652], [-12, -12], [0, 0]], [[0, 0], [7, 1], [0, 0], [1, 0]], [[0, 0], [-12272, 4679], [12, 9], [0, 0]]], 0, 36864, [], [] >,
< [ -7, 0, 1 ], [[576, -144]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-61441/2, 23287/2], [-33/2, -9/2], [0, 0]], [[0, 0], [-7262, -3003], [2532, 957], [119, -45]], [[0, 0], [-496485, -187662], [165333, 62490], [2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1811, 707], [-12, 12], [0, 0]], [[0, 0], [-200541, 73067], [-3531, 429], [-447, 169]], [[0, 0], [-5021365, 1766992], [-114873, 0], [-11000, 4160]]], 0, 36864, [], [] >,
< [ -7, 0, 1 ], [[-108, 36]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [489, -369/2], [3/2, 0], [0, 0]], [[0, 0], [-1745/3, 464/3], [25, 2], [-25/3, -2/3]], [[0, 0], [-13511/2, -3941/2], [2133/2, 783/2], [-711/2, -261/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [53, -41/2], [-15/2, 0], [0, 0]], [[2, -4], [859/6, -319/6], [-5/2, 5/2], [-25/6, 1/6]], [[-139, -55], [343/3, -37/3], [64, 26], [-187/3, -68/3]]], 1, 384, [], [] >,
< [ -7, 0, 1 ], [[-108, 36]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 3/2], [-923, 713/2], [3/2, 3], [0, 0]], [[-77, -26], [13061/6, -5267/6], [-139/2, -53/2], [17/3, 1/3]], [[553, 208], [-566/3, 1454/3], [529, 200], [-155/6, -55/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, -5], [1579/2, -551/2], [-15/2, -15/2], [0, 0]], [[827/2, 305/2], [-5242/3, 587/6], [649/2, 133], [5/6, -5/6]], [[-70397/2, -26609/2], [191824/3, 145867/6], [-58291/2, -11014], [179/3, 67/3]]], 1, 384, [], [] >,
< [ -7, 0, 1 ], [[144, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1624, 614], [-1698, 642], [0, 0]], [[0, 0], [-2161/3, 886/3], [-739, 292], [7/3, 2/3]], [[0, 0], [-28485/2, -11137/2], [-15435/2, -6207/2], [-1945/2, -735/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [457, -173], [1389, -525], [0, 0]], [[0, 0], [-799/6, 109/6], [-541/2, 211/2], [-5/6, 5/6]], [[0, 0], [-2351/2, -889/2], [297/2, 111/2], [45/2, 17/2]]], 0, 3072, [], [] >,
< [ -7, 0, 1 ], [[144, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [557, -211], [1341, -507], [0, 0]], [[0, 0], [-5359/6, 1831/6], [-3985/2, 1477/2], [-5/6, 5/6]], [[0, 0], [-2968/3, -1148/3], [-460, -194], [61/3, 23/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-444, 168], [-762, 288], [0, 0]], [[0, 0], [-35173/6, 13405/6], [-19693/2, 7429/2], [19/6, 5/6]], [[0, 0], [42415, 17305], [-19815, -5361], [4842, 1830]]], 0, 3072, [], [] >,
< [ -7, 0, 1 ], [[1584, -576]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4230, 1602], [-1380, 522], [0, 0]], [[0, 0], [-1185655/2, 447757/2], [-386463/2, 146001/2], [-9/2, 1/2]], [[0, 0], [50619, 37067], [5715, 8007], [476, 180]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -11], [492, -186], [0, 0]], [[0, 0], [-1, 0], [3, 0], [1, 0]], [[0, 0], [16, -32], [1611, -609], [0, 0]]], 0, 36864, [], [] >,
< [ -7, 0, 1 ], [[1584, -576]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2515, -953], [753, -285], [0, 0]], [[0, 0], [-1392589/2, 524985/2], [-416439/2, 157179/2], [11/2, 1/2]], [[0, 0], [-22116, -15892], [-2196, -3084], [119, 45]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-249, 84], [3, -6], [0, 0]], [[0, 0], [8, 0], [0, 0], [1, 0]], [[0, 0], [2180, -715], [-12, 57], [0, 0]]], 0, 36864, [], [] >,
< [ -7, 0, 1 ], [[-180, 36]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 5/2], [-539/2, 98], [6, 3/2], [0, 0]], [[129/2, 39/2], [6025/2, -1197], [36, 45/2], [2, 1]], [[-75/2, -33/2], [3047/2, -537], [-39, -21/2], [-3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [462, -177], [150, -57], [0, 0]], [[-25/2, -7/2], [-4997, 1850], [-3279/2, 1185/2], [-2, -3/2]], [[-330, -90], [-141518, 52479], [-46389, 16824], [-50, -40]]], 0, 4608, [], [] >,
< [ -7, 0, 1 ], [[-180, 36]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1], [-269/2, 97/2], [9/2, -3/2], [0, 0]], [[-19, -4], [-235/2, 263/2], [-9/2, -15/2], [5/2, -1/2]], [[-1443/2, -555/2], [6021, 4021/2], [-1221/2, -222], [26, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-788, 289], [-276, 105], [0, 0]], [[1/2, 1/2], [252453/2, -97253/2], [45549, -17145], [1/2, 0]], [[0, 0], [-11898, 4311], [-4137, 1578], [0, 0]]], 0, 4608, [], [] >,
< [ -7, 0, 1 ], [[-544, 208]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39, -15], [-77, 29], [0, 0]], [[0, 0], [5381/6, -1877/6], [-3647/2, 1391/2], [67/6, -1/6]], [[0, 0], [30817/3, 12104/3], [2945, 790], [4868/3, 1843/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -14], [10, -4], [0, 0]], [[0, 0], [-554/3, -343/3], [50, -11], [8/3, 1/3]], [[0, 0], [8729/6, -3161/6], [1913/2, -725/2], [127/6, -49/6]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-544, 208]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25, -9], [19, -7], [0, 0]], [[0, 0], [-895/6, 343/6], [-241/2, 85/2], [-29/6, 5/6]], [[0, 0], [92, 12], [-218, -100], [-78, -30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-188, 68], [-202, 76], [0, 0]], [[0, 0], [26555/6, 10405/6], [925/2, 455/2], [43/6, 5/6]], [[0, 0], [-25467, 7506], [-19791, 7230], [690, -263]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[3126188, -1181588]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1], [-92, 35], [3, 0], [0, 0]], [[455/2, 173/2], [-211/6, 140/3], [189, 141/2], [23/3, 1/3]], [[-278, -114], [3971/3, -1628/3], [-260, -82], [-385/6, 121/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -5/2], [-95/2, -8], [-7, -1/2], [0, 0]], [[1, 12], [1589/6, -17/6], [83/2, -11/2], [-23/6, -1/6]], [[994, -308], [-21920/3, 9881/3], [-1575, 651], [529/6, -253/6]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[3126188, -1181588]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 5/2], [153, -101/2], [13/2, 1], [0, 0]], [[3388, 1298], [27236/3, 3202/3], [2849, 1045], [4/3, -1/3]], [[15620, 5940], [33820, 7881], [12980, 4840], [7/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -5/2], [-47/2, 4], [-6, -3/2], [0, 0]], [[-34, 2], [1793/3, -698/3], [24, -18], [-13/6, 1/6]], [[-42, 8], [968, -371], [49, -25], [-5/2, 1/2]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[-4352, 1664]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37080, -14030], [-24, -6], [0, 0]], [[0, 0], [-4412234/3, -1662106/3], [-1467674, -554746], [56/3, 4/3]], [[0, 0], [3264731/3, 3796735/3], [2228011, 834107], [10411/3, -3973/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-215216, 81350], [0, -6], [0, 0]], [[0, 0], [9946841/3, 3757915/3], [-3316031, -1253341], [-5/3, -1/3]], [[0, 0], [-630257, -315445], [732505, 276989], [-55, 21]]], 0, 98304, [], [] >,
< [ -7, 0, 1 ], [[-544, 208]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [328, -106], [308, -116], [0, 0]], [[0, 0], [7433/6, 4603/6], [-691/2, 343/2], [13/6, 5/6]], [[0, 0], [-5037, 1905], [-5093, 1925], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [463, -181], [453, -171], [0, 0]], [[0, 0], [-239933/6, -87679/6], [1567/2, 1553/2], [-7/6, 1/6]], [[0, 0], [6893/3, -18956/3], [9373, -3346], [34/3, -13/3]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-544, 208]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [478, -178], [472, -178], [0, 0]], [[0, 0], [109615/6, 31817/6], [8989/2, 215/2], [-31/6, -5/6]], [[0, 0], [1947500, -759306], [1960090, -744280], [-1375, 525]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [193, -67], [183, -69], [0, 0]], [[0, 0], [-2591/2, -663/2], [-499/2, 133/2], [-9/2, -1/2]], [[0, 0], [84805/6, -33619/6], [29419/2, -11137/2], [653/6, -251/6]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[3126188, -1181588]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 2], [748, -292], [4, 2], [0, 0]], [[2360, 892], [-15451/3, -5798/3], [1942, 734], [11/6, 1/6]], [[-1437/2, -543/2], [7433/6, 2138/3], [-591, -447/2], [35/3, -14/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, -9/2], [55/2, 19], [-11, -5/2], [0, 0]], [[1264, -176], [-28904/3, 7643/3], [-1248, 720], [7/6, -1/6]], [[-13440, 7040], [142389, -60924], [31360, -10240], [-25/2, 13/2]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[3126188, -1181588]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -5/2], [-2765/2, 505], [-6, -3/2], [0, 0]], [[40915, 15465], [158568, 58519], [33670, 12725], [1, 0]], [[67540, 25520], [701626/3, 321311/3], [55550, 21010], [-35/6, 17/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 9/2], [99/2, 24], [11, 5/2], [0, 0]], [[1696, 128], [27985/3, 1640/3], [-400, 784], [19/6, 5/6]], [[-848, 400], [-14936/3, 6908/3], [1824, -624], [-1/3, 1/3]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[-4352, 1664]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-449488, 169894], [4, 2], [0, 0]], [[0, 0], [239/3, -23/3], [25, -1], [25/3, -1/3]], [[0, 0], [63964/3, -24292/3], [5888, -2240], [5888/3, -2240/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48608, 18350], [-32, -10], [0, 0]], [[0, 0], [2610503/3, 985315/3], [869359, 328571], [55/3, 5/3]], [[0, 0], [-360055, -197345], [-438153, -167739], [933, -357]]], 0, 98304, [], [] >,
< [ -7, 0, 1 ], [[44, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10525, -3979], [95, -35], [0, 0]], [[0, -2], [-3752, 1417], [6, 23], [0, -2]], [[1881/2, 711/2], [1095, 378], [-12392, -4684], [1881/2, 711/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3008, -1121], [50, -17], [0, 0]], [[-5, -1], [-1064213/3, 403859/3], [-16669/3, 6487/3], [-5/3, -1/3]], [[1733/2, 655/2], [-469337/3, -182866/3], [-54622/3, -20732/3], [1733/6, 655/6]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[44, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1133, -428], [-43, 16], [0, 0]], [[-2, 1], [-46455, 17563], [1652, -628], [-2, 1]], [[-1897/2, -717/2], [-18670, -7071], [14627, 5529], [-1897/2, -717/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4084, -1552], [-8, 2], [0, 0]], [[-15/2, 3/2], [38850, -14677], [-72, 26], [-5/2, 1/2]], [[-7670, -2899], [117184/3, 44555/3], [-21133/3, -7988/3], [-7670/3, -2899/3]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[-544, 208]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3213, -1215], [163, -61], [0, 0]], [[0, 0], [290191, -109695], [14493, -5459], [-8, 4]], [[0, 0], [1303818, -492827], [65060, -24547], [-39, 17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [230, -8], [38, -14], [0, 0]], [[0, 0], [-72335/3, -24142/3], [-1597/3, 352/3], [-5/3, -1/3]], [[0, 0], [100172/3, -38483/3], [30172/3, -11407/3], [29/3, -11/3]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-544, 208]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4489, 1696], [23, -8], [0, 0]], [[0, 0], [-35649, 13484], [273, -112], [210, -80]], [[0, 0], [28673, -10841], [-227, 89], [-174, 66]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128, -40], [-8, 2], [0, 0]], [[0, 0], [-18215/3, -5878/3], [-997/3, 226/3], [-14/3, 2/3]], [[0, 0], [-39388/3, 20647/3], [-28058/3, 10673/3], [-340/3, 130/3]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-4352, 1664]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-613412, 231848], [4900, -1852], [0, 0]], [[0, 0], [-12588202, 4757892], [99644, -37662], [6, -2]], [[0, 0], [168892, 63836], [77166, 29166], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [124372, -47008], [-20, 8], [0, 0]], [[0, 0], [117406/3, 44984/3], [267578/3, 101104/3], [-50/3, -10/3]], [[0, 0], [-26542/3, 5026/3], [-13964/3, -6052/3], [-292/3, 112/3]]], 0, 98304, [], [] >,
< [ -7, 0, 1 ], [[44, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3343, -1264], [33, -12], [0, 0]], [[5/2, 5/2], [-64081, 24284], [-606, 226], [5/2, 5/2]], [[22428, 8477], [414065, 156902], [-19988, -7551], [22428, 8477]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-396, 141], [6, -3], [0, 0]], [[19/2, -1/2], [234626/3, -86951/3], [-3977/3, 1655/3], [19/6, -1/6]], [[5221/2, 1955/2], [1975565/3, 352606/3], [118309/3, 51803/3], [5221/6, 1955/6]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[44, -20]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8385, -3171], [55, -19], [0, 0]], [[-7/2, -3/2], [278400, -105277], [1808, -630], [-7/2, -3/2]], [[11001, 4158], [180853, 83576], [-207612, -78375], [11001, 4158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75, -18], [51, -18], [0, 0]], [[-25, -2], [7526/3, 928/3], [2425/3, -499/3], [-25/3, -2/3]], [[-4897/2, -1829/2], [805273/3, 301550/3], [91463/3, 32491/3], [-4897/6, -1829/6]]], 1, 192, [], [] >,
< [ -7, 0, 1 ], [[-544, 208]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4562, -1724], [-96, 36], [0, 0]], [[0, 0], [-168599, 63728], [3435, -1302], [29, -11]], [[0, 0], [-115336, 43704], [2204, -948], [18, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-562, 214], [-202, 76], [0, 0]], [[0, 0], [-596/3, -211/3], [296/3, 133/3], [25/3, 5/3]], [[0, 0], [3710/3, -1583/3], [5986/3, -2161/3], [-1225/3, 469/3]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-544, 208]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7828, -2959], [14, -5], [0, 0]], [[0, 0], [23480, -8869], [-96, 31], [-248, 94]], [[0, 0], [-123939, 46762], [571, -138], [1302, -496]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 32], [46, -16], [0, 0]], [[0, 0], [7514/3, 2953/3], [478/3, 149/3], [-10/3, 4/3]], [[0, 0], [-400, -191], [-70, 7], [0, 0]]], 0, 1536, [], [] >,
< [ -7, 0, 1 ], [[-4352, 1664]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [711712, -269020], [-24, 0], [0, 0]], [[0, 0], [2201390, 831286], [1099760, 415672], [-16, 4]], [[0, 0], [2816986, 1095780], [1428576, 539878], [538, -206]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [101144, -38228], [16880, -6380], [0, 0]], [[0, 0], [-224212/3, 84754/3], [-37394/3, 14168/3], [26/3, -2/3]], [[0, 0], [-6078, -2270], [-22956, -8672], [-5228, -1976]]], 0, 98304, [], [] >,
< [ -7, 0, 1 ], [[-75224, 28432]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[1/2, -1/2], [-5/2, 8], [-3/2, 0], [-1/2, 0]], [[-7/2, 3/2], [251/6, -59/3], [7/2, -1], [7/6, -1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[5/2, -5/2], [-19, -3/2], [-5, -5/2], [-5/2, 0]], [[45/2, -17/2], [-112/3, 85/6], [4, -3/2], [-37/6, 7/3]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[-75224, 28432]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -6], [-6, 2], [0, 0]], [[0, 0], [611/2, -117], [-175/2, 33], [-1/2, 1/2]], [[0, 0], [-4153/6, -1369/6], [-37/2, -33/2], [395/3, 149/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-71/2, 27/2], [-21/2, 9/2], [0, 0]], [[0, 0], [-22969/6, 8663/6], [-2441/2, 895/2], [-13/3, 2/3]], [[0, 0], [-17833/6, -587/3], [-16423/2, -2812], [-3311/6, -1247/6]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[-75224, 28432]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-429/2, 163/2], [-3/2, 1/2], [0, 0]], [[0, 0], [-615/2, 100], [3/2, 2], [0, 0]], [[0, 0], [-4/3, 2/3], [0, 0], [-2/3, 1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-199/2, 95/2], [-5/2, 5/2], [0, 0]], [[0, 0], [23/2, -114], [-33/2, -11], [0, 0]], [[0, 0], [-4/3, 2/3], [0, 0], [-2/3, 1/3]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[-128, 64]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5395, 2039], [-19, 7], [0, 0]], [[0, 0], [-43151/3, 16270/3], [-51, 18], [5/3, 5/3]], [[0, 0], [-36307/3, -14185/3], [-1213, -459], [6424/3, 2428/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1386, 524], [-1090, 412], [0, 0]], [[0, 0], [5587, -2108], [4111, -1562], [-3, -1]], [[0, 0], [207073/3, 78217/3], [-153149, -57897], [-119752/3, -45262/3]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[-128, 64]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-1838/3, 706/3], [0, 0], [-34/3, 2/3]], [[0, 0], [-7322/3, -4214/3], [0, 0], [8888/3, 3344/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [323, -121], [-37, 15], [0, 0]], [[0, 0], [-15845/3, 5860/3], [591, -256], [38/3, 8/3]], [[0, 0], [85312/3, 29008/3], [20338, 7818], [-14080/3, -5320/3]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[-128, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-154, 58], [-264, 100], [0, 0]], [[0, 0], [-603, 229], [581, -219], [8, -2]], [[0, 0], [257, -95], [-243, 93], [0, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2594, 990], [894, -338], [0, 0]], [[0, 0], [-1218776/3, 454714/3], [415430/3, -156940/3], [-10/3, -10/3]], [[0, 0], [-427969, -170381], [1855, 3659], [-1032, -390]]], 0, 4096, [], [] >,
< [ -7, 0, 1 ], [[-128, 64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3472, -1312], [682, -258], [0, 0]], [[0, 0], [-245487, 92791], [-48415, 18283], [8, -10]], [[0, 0], [1925870, -728274], [381114, -143006], [460, 276]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [160, -48], [-90, 34], [0, 0]], [[0, 0], [-434/3, 256/3], [20/3, 14/3], [26/3, 2/3]], [[0, 0], [-20819, -7879], [-4881, -1845], [-2678, -1012]]], 0, 4096, [], [] >,
< [ -7, 0, 1 ], [[-16, 8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59, 21], [-41, 17], [0, 0]], [[-3, 0], [-428, 154], [-295, 119], [-3, 0]], [[-103/2, -39/2], [-317, -129], [322, 115], [-103/2, -39/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-185, 71], [-1, 1], [0, 0]], [[-10, -1], [-7289/3, 2839/3], [-130/3, 26/3], [-10/3, -1/3]], [[-6403/2, -2413/2], [46736/3, 24812/3], [-15602/3, -5801/3], [-6403/6, -2413/6]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[-166640, 62984]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [-47/6, -23/3], [3/2, -2], [-11/3, -5/6]], [[0, 0], [1908, -737], [1050, -399], [-231, 84]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [-5/6, -2/3], [-5/2, 0], [-5/3, -5/6]], [[0, 0], [-82/3, 31/3], [82, -31], [-53/3, 20/3]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[-166640, 62984]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [25/6, -1/6], [-13/2, 1/2], [-13/6, 1/6]], [[0, 0], [5/6, -1/3], [-5/2, 1], [-5/6, 1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [1, 0], [0, 0]], [[0, 0], [5, 8], [3, 0], [1, 0]], [[0, 0], [407/3, -325/6], [-26, 19/2], [-26/3, 19/6]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[-320, 128]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [206, -78], [-11890, 4494], [0, 0]], [[0, 0], [1933/3, -757/3], [-44277, 16733], [-13/3, -5/3]], [[0, 0], [85704, 32393], [20818, 7873], [32257, 12192]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-804, 304], [24706, -9338], [0, 0]], [[0, 0], [721094/3, -272447/3], [-7385408, 2791399], [-11/3, -4/3]], [[0, 0], [133827, 50473], [-99777, -34367], [-11427, -4319]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[-320, 128]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1370, -518], [12816, -4844], [0, 0]], [[0, 0], [2581441/3, -975361/3], [8045121, -3040765], [-1/3, 1/3]], [[0, 0], [85916398/3, 32474129/3], [1270846, 482775], [162002/3, 61231/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1402, 530], [10874, -4110], [0, 0]], [[0, 0], [-1384664/3, 523235/3], [3580114, -1353145], [-4/3, -5/3]], [[0, 0], [5106600, 1930435], [-1403460, -532953], [280320, 105951]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[-166640, 62984]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -1], [-81/2, 25/2], [-1/2, -1/2], [0, 0]], [[11/2, -1/2], [178, -131/2], [-3/2, 1], [0, 0]], [[0, 0], [-1/3, 1/3], [0, 0], [-5/3, 2/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-507/2, 193/2], [19/2, -7/2], [0, 0]], [[-25/2, -5/2], [-3701/6, 751/3], [23, -21/2], [-25/6, -5/6]], [[245/2, 91/2], [-175/3, -1171/6], [43/2, 15], [245/6, 91/6]]], 1, 32, [], [] >,
< [ -7, 0, 1 ], [[-320, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1974, 746], [-148, 56], [0, 0]], [[0, 0], [-65083, 24589], [-5159, 1957], [8, 6]], [[0, 0], [-3247254, 1227218], [-257790, 97526], [-44, 132]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1196, 456], [-450, 170], [0, 0]], [[0, 0], [-25946, 9724], [-9684, 3654], [-14, -2]], [[0, 0], [-237671/3, -55495/3], [-31447/3, 973/3], [-16964/3, -6406/3]]], 0, 4096, [], [] >,
< [ -7, 0, 1 ], [[-320, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2424, 916], [-354, 134], [0, 0]], [[0, 0], [-146428, 55336], [-21922, 8286], [-4, 0]], [[0, 0], [-817145, 308917], [-122363, 46247], [4, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [896, -336], [354, -134], [0, 0]], [[0, 0], [271940/3, -103286/3], [108418/3, -40912/3], [26/3, -2/3]], [[0, 0], [-291133/3, -189845/3], [94177/3, 3881/3], [6182/3, 2332/3]]], 0, 4096, [], [] >,
< [ -7, 0, 1 ], [[-40, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1126, -426], [-36, 14], [0, 0]], [[9/2, -1/2], [11236, -4246], [-373, 140], [9/2, -1/2]], [[-2286, -864], [-1977, -641], [2155, 811], [-2286, -864]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [107, -43], [-47, 19], [0, 0]], [[55/2, 5/2], [5033/3, -2207/3], [-2204/3, 995/3], [55/6, 5/6]], [[1357, 506], [-27092/3, -13828/3], [14813/3, 7195/3], [1357/3, 506/3]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[349472, -132088]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, 8], [-17, 4], [0, 0]], [[-11/2, 3/2], [1789/6, -262/3], [365/2, -92], [5/6, -2/3]], [[-40, 16], [2265, -895], [1911, -687], [12, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, 5], [-31, 11], [0, 0]], [[7/2, -3/2], [-1924/3, -6101/6], [1384, -1537/2], [-7/6, 1/3]], [[-4, 2], [9673/3, 6466/3], [-1197, 1110], [5/3, -1/3]]], 1, 128, [], [] >,
< [ -7, 0, 1 ], [[349472, -132088]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21/2, 3/2], [-17/2, 1/2], [0, 0]], [[0, 0], [-713/6, -208/3], [131/2, 58], [35/6, 5/6]], [[0, 0], [825/2, -317/2], [-1125/2, 429/2], [24, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 2], [7, -2], [0, 0]], [[0, 0], [-521/6, -97/3], [-83/2, -10], [11/6, -1/6]], [[0, 0], [-3/2, -5], [73/2, -16], [-13/2, 5/2]]], 1, 128, [], [] >,
< [ -7, 0, 1 ], [[349472, -132088]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 9/2], [-2, -1/2], [0, 0]], [[0, 0], [-184/3, 157/6], [-4, 1/2], [-8/3, 4/3]], [[0, 0], [4/3, -2/3], [0, 0], [2/3, -1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29/2, 5], [15/2, 0], [0, 0]], [[0, 0], [-67/6, 29/6], [-3/2, -3/2], [-10/3, 5/3]], [[0, 0], [-38/3, 29/6], [1, -1/2], [-13/3, 5/3]]], 1, 128, [], [] >,
< [ -7, 0, 1 ], [[704, -256]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-77, 29], [-5, 1], [0, 0]], [[0, 0], [-80/3, -71/3], [-124, -55], [-25/3, -1/3]], [[0, 0], [-1730/3, 706/3], [-284, 160], [374/3, -136/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [924, -350], [884, -334], [0, 0]], [[0, 0], [6948, -2607], [6604, -2501], [1, -1]], [[0, 0], [21370/3, 10336/3], [-3040, -430], [-790/3, -298/3]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[704, -256]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 19], [30, -9], [0, 0]], [[0, 0], [1217/3, -727/3], [-151, 149], [34/3, -2/3]], [[0, 0], [1438, 4522], [-4180, -3652], [-338, -78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [135, -49], [131, -49], [0, 0]], [[0, 0], [28229, -10658], [27791, -10498], [6, 0]], [[0, 0], [35152/3, -11222/3], [11114, -3844], [536/3, 200/3]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[88, -32]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [536, -202], [96, -36], [0, 0]], [[-1/2, 5/2], [5390, -2050], [964, -353], [-1/2, 5/2]], [[2087/2, 789/2], [-5569, -2247], [5167, 1928], [2087/2, 789/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-133, 53], [5, -1], [0, 0]], [[17/2, 5/2], [322028/3, -121585/3], [-8795/3, 3301/3], [17/6, 5/6]], [[2004, 756], [232266, -76294], [-8620, 1210], [668, 252]]], 1, 128, [], [] >,
< [ -7, 0, 1 ], [[704, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [540, -204], [-5530, 2090], [0, 0]], [[0, 0], [16849, -6361], [-177437, 67073], [0, 2]], [[0, 0], [-143464, 54140], [1510482, -571002], [-8, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3910, 1478], [-418, 158], [0, 0]], [[0, 0], [8426/3, -3190/3], [-44/3, 16/3], [-20/3, 4/3]], [[0, 0], [-27889, -10541], [-3331, -1259], [-18806, -7108]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[704, -256]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3858, -1458], [-2090, 790], [0, 0]], [[0, 0], [154977, -58569], [-83385, 31521], [-10, 8]], [[0, 0], [694404, -262358], [-373510, 141240], [14, 58]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1472, -556], [1106, -418], [0, 0]], [[0, 0], [-33395/3, 12637/3], [-24967/3, 9461/3], [-28/3, 2/3]], [[0, 0], [4003/3, 1513/3], [7379/3, 2789/3], [-2614/3, -988/3]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[-384, 192]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, 8], [-10, 8], [0, 0]], [[0, 0], [-1616/3, -703/3], [-144, -23], [-1/3, 4/3]], [[0, 0], [-1939/3, -3245/3], [-1443, 311], [-143/3, 65/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 10], [-28, -10], [0, 0]], [[0, 0], [11471/3, -4085/3], [477, -235], [19/3, 5/3]], [[0, 0], [-1491058/3, 564553/3], [-73886, 27711], [-323/3, 170/3]]], 0, 12288, [], [] >,
< [ -7, 0, 1 ], [[-384, 192]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 18], [-2, 10], [0, 0]], [[0, 0], [-4193/3, -2020/3], [493, -514], [-4/3, 1/3]], [[0, 0], [-6122/3, -3781/3], [2384, -1455], [-13/3, 4/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -8], [-12, 0], [0, 0]], [[0, 0], [226/3, -235/3], [116, -63], [11/3, 4/3]], [[0, 0], [-10120/3, 3823/3], [-3374, 1275], [-5/3, 2/3]]], 0, 12288, [], [] >,
< [ -7, 0, 1 ], [[-192, 384]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [90764, -34306], [-48, 18], [0, 0]], [[0, 0], [4, -1], [-2, 1], [1, 0]], [[0, 0], [305106, -115320], [-170, 64], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1576, 596], [74, -28], [0, 0]], [[0, 0], [523, -199], [-105, 45], [-35, 15]], [[0, 0], [349, -131], [-81, 27], [-27, 9]]], 0, 147456, [], [] >,
< [ -7, 0, 1 ], [[-192, 384]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111016, -41960], [688, -260], [0, 0]], [[0, 0], [-6, 1], [-2, 1], [1, 0]], [[0, 0], [72120, -27258], [440, -166], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 8], [418, -158], [0, 0]], [[0, 0], [-226, 90], [-30, 12], [-10, 4]], [[0, 0], [379, -155], [51, -21], [17, -7]]], 0, 147456, [], [] >,
< [ -7, 0, 1 ], [[-1623560, 613648]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, -1], [-11, 1], [0, 0]], [[5/2, 3/2], [988/3, 365/6], [-175, -41/2], [13/6, 2/3]], [[-4, 1], [697/2, -345/2], [-525/2, 237/2], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, 10], [-1, 2], [0, 0]], [[-5, 0], [-5119/6, -4969/6], [-651/2, -405/2], [-5/6, -5/6]], [[-63/2, 15/2], [3329, -7895/2], [76, -1579/2], [7/2, -4]]], 1, 384, [], [] >,
< [ -7, 0, 1 ], [[-64, 128]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -10], [-4, 2], [0, 0]], [[0, 0], [-114, 66], [36, -12], [8, 2]], [[0, 0], [211/3, -68/3], [-15, 6], [2/3, 2/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [109, -56], [-35, 10], [0, 0]], [[0, 0], [2462/3, 350/3], [68, 68], [34/3, 4/3]], [[0, 0], [5567/3, -2911/3], [-561, 153], [88/3, -44/3]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-64, 128]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 1], [22, -5], [0, 0]], [[0, 0], [-8680/3, 410/3], [1734, -408], [28/3, 10/3]], [[0, 0], [-186590, 72406], [162792, -62016], [12, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 21], [-4, -1], [0, 0]], [[0, 0], [1210/3, -422/3], [-140, 52], [-34/3, -4/3]], [[0, 0], [-1694/3, 703/3], [210, -81], [-22/3, -22/3]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-1623560, 613648]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17, 18], [-25, 8], [0, 0]], [[-1/2, 1/2], [30633/2, -2918], [15505/2, -3289], [-1, 1/2]], [[-12, -5], [-757289/6, -250445/6], [18307/2, 15439/2], [-25/6, -13/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 1], [2, -1], [0, 0]], [[-11/2, 3/2], [53/3, -41/6], [-14, 5/2], [5/6, -2/3]], [[7, 0], [-67/6, 35/6], [49/2, 7/2], [7/6, 7/6]]], 1, 384, [], [] >,
< [ -7, 0, 1 ], [[-64, 128]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [236, -89], [22, -5], [0, 0]], [[0, 0], [-4601/3, 1702/3], [51, 102], [86/3, 8/3]], [[0, 0], [17003/3, 9266/3], [-68187, -25704], [-22700/3, -8600/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [73, -44], [-15, 6], [0, 0]], [[0, 0], [10758, 4806], [-76, -148], [10, 0]], [[0, 0], [-24800/3, -6848/3], [322, -14], [8/3, -10/3]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-64, 128]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-520, 195], [4, 1], [0, 0]], [[0, 0], [-125340, 47386], [118, -80], [18, 0]], [[0, 0], [118873/3, -35159/3], [-12811, -4807], [7340/3, 2780/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59, 10], [7, -2], [0, 0]], [[0, 0], [-6940/3, -3319/3], [96, 69], [-2/3, 10/3]], [[0, 0], [-4203, -1059], [285, 33], [16, -2]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-8, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [818, -310], [-30, 12], [0, 0]], [[3/2, -3/2], [-36249, 13719], [1429, -548], [3/2, -3/2]], [[-1897/2, -717/2], [18548, 7020], [-8095, -3060], [-1897/2, -717/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, 1], [-65, 25], [0, 0]], [[-11/2, 1/2], [-620/3, -131/3], [-703/3, 323/3], [-11/6, 1/6]], [[-192, -72], [-14614, -5516], [2236, 888], [-64, -24]]], 1, 384, [], [] >,
< [ -7, 0, 1 ], [[-64, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27214, -10286], [1106, -418], [0, 0]], [[0, 0], [-44673, 16899], [-1773, 687], [-10, 8]], [[0, 0], [79279, -29977], [3165, -1211], [22, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18982, -7238], [-7202, 2722], [0, 0]], [[0, 0], [3164246/3, -1189996/3], [-1192208/3, 450622/3], [10/3, -2/3]], [[0, 0], [-652039/3, -253297/3], [-4493/3, 889/3], [-164/3, -62/3]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-64, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3910, -1478], [7620, -2880], [0, 0]], [[0, 0], [-34121, 12827], [-63293, 23915], [0, -10]], [[0, 0], [-261081, 97959], [-483857, 182803], [-36, -90]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9118, 3458], [3440, -1300], [0, 0]], [[0, 0], [-88037/3, 34081/3], [33725/3, -12685/3], [-34/3, -4/3]], [[0, 0], [-119438/3, -47420/3], [-10492/3, -3106/3], [2546/3, 962/3]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-8, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1616, -610], [-140, 52], [0, 0]], [[9/2, 1/2], [-15429, 5851], [1300, -481], [9/2, 1/2]], [[189941/2, 71791/2], [836924, 316084], [446700, 168857], [189941/2, 71791/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35, -7], [17, -7], [0, 0]], [[-6, 0], [-822, 232], [-518, 206], [-2, 0]], [[-1105/2, -415/2], [-58681/3, -21226/3], [6517/3, 3169/3], [-1105/6, -415/6]]], 1, 384, [], [] >,
< [ -7, 0, 1 ], [[-64, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7890, 2982], [2752, -1040], [0, 0]], [[0, 0], [-333435, 126105], [117933, -44547], [10, 4]], [[0, 0], [4835161, -1827567], [-1709139, 645977], [-2, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4306, 1658], [1646, -622], [0, 0]], [[0, 0], [1183243/3, -445733/3], [-447271/3, 169061/3], [14/3, 8/3]], [[0, 0], [-35725, -31227], [-9213, 3229], [-524, -198]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-64, 128]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2752, -1040], [-4006, 1514], [0, 0]], [[0, 0], [142221, -53733], [-203681, 76981], [10, -8]], [[0, 0], [1332307, -501865], [-1905509, 719963], [-296, -222]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1288, 596], [566, -214], [0, 0]], [[0, 0], [-21023/3, 6907/3], [7781/3, -2965/3], [2/3, 8/3]], [[0, 0], [-94738/3, -35362/3], [-1886/3, -890/3], [772/3, 292/3]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-6528, 2496]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [820193, -310004], [-81, 30], [0, 0]], [[0, 0], [3202765, -1210501], [-277, 133], [6, 0]], [[0, 0], [-13015006, 4919250], [1328, -464], [-8, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2119, 847], [13, 5], [0, 0]], [[0, 0], [52, -42], [0, 0], [-2, 4]], [[0, 0], [112, -42], [0, 0], [-16, 6]]], 0, 147456, [], [] >,
< [ -7, 0, 1 ], [[-6528, 2496]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-319247, 120665], [-67, 25], [0, 0]], [[0, 0], [22755888, -8600801], [4734, -1791], [4, 10]], [[0, 0], [-13913490, 5257119], [-2862, 1107], [-214, -86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, 54], [1688, -638], [0, 0]], [[0, 0], [-163, 25], [855, -327], [-2, -4]], [[0, 0], [-176, 36], [1018, -388], [0, -4]]], 0, 147456, [], [] >,
< [ -7, 0, 1 ], [[-960, 384]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1524, -576], [-1090, 412], [0, 0]], [[0, 0], [969, -389], [-523, 205], [-10, 0]], [[0, 0], [-358906/3, -135658/3], [38536, 14566], [-59630/3, -22538/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, -25], [50, -17], [0, 0]], [[0, 0], [-4232, 133], [-1878, 951], [-12, -2]], [[0, 0], [24518/3, -9529/3], [7962, -2995], [34/3, -14/3]]], 0, 12288, [], [] >,
< [ -7, 0, 1 ], [[-960, 384]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9779, -3701], [3, -3], [0, 0]], [[0, 0], [71303/3, 26561/3], [8989, 3415], [-20/3, 10/3]], [[0, 0], [54701, 19835], [20317, 7793], [-48, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, -59], [-22, 7], [0, 0]], [[0, 0], [-4498/3, -940/3], [-4, -42], [-38/3, -8/3]], [[0, 0], [440762/3, -167479/3], [-23562, 8891], [3700/3, -1406/3]]], 0, 12288, [], [] >,
< [ -7, 0, 1 ], [[1714976, -648200]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78, 31], [53, -20], [0, 0]], [[0, 0], [49/6, -257/3], [-195/2, 27], [-2/3, -5/6]], [[0, 0], [-11902, -2964], [283, -997], [-143, -44]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -5], [5, -2], [0, 0]], [[0, 0], [-44/3, -1/3], [-14, -1], [-1/3, -2/3]], [[0, 0], [145/6, 19/3], [49/2, 7], [7/3, 7/6]]], 1, 128, [], [] >,
< [ -7, 0, 1 ], [[1714976, -648200]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-87, 40], [52, -19], [0, 0]], [[0, 0], [7154, -10159/2], [-5747, 3907/2], [1, -1/2]], [[0, 0], [38119/3, 16355/3], [1704, 300], [2/3, 1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74, -32], [-56, 20], [0, 0]], [[0, 0], [514/3, -377/6], [-117, 87/2], [-7/3, -1/6]], [[0, 0], [-836/3, 739/6], [200, -163/2], [-31/3, -31/6]]], 1, 128, [], [] >,
< [ -7, 0, 1 ], [[256, -64]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-894, 338], [-8874, 3354], [0, 0]], [[0, 0], [456320/3, -172403/3], [1509988, -570775], [-23/3, -4/3]], [[0, 0], [-1332674, -503536], [3042200, 1151506], [242118, 91512]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [836, -316], [2450, -926], [0, 0]], [[0, 0], [2526, -951], [6334, -2389], [1, 0]], [[0, 0], [-244951/3, -92582/3], [-110483, -41758], [-24878/3, -9403/3]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[256, -64]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [238, -90], [-8874, 3354], [0, 0]], [[0, 0], [1352, -507], [-50636, 19133], [-4, -1]], [[0, 0], [-5917/3, -2237/3], [2211, 843], [3331/3, 1259/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180, -68], [598, -226], [0, 0]], [[0, 0], [18293/3, -6932/3], [13503, -5100], [1/3, -4/3]], [[0, 0], [-959833, -362781], [587947, 222227], [-194259, -73423]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[1714976, -648200]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [16, -9/2], [11/2, -1], [0, 0]], [[-276, -120], [-1349/3, -217/3], [-282, -78], [23/3, 4/3]], [[396, -504], [-17668/3, 5530/3], [-1962, 450], [286/3, -88/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35/2, -15/2], [-13/2, 1/2], [0, 0]], [[-55/2, -5/2], [758/3, 851/6], [325/2, -50], [-55/6, -5/6]], [[222, -111], [4341/2, -645/2], [-7205/2, 2771/2], [74, -37]]], 1, 128, [], [] >,
< [ -7, 0, 1 ], [[32, -8]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-975, 369], [221, -83], [0, 0]], [[3, 1], [57168, -21592], [-12890, 4906], [3, 1]], [[-4511/2, -1705/2], [-14950, -6002], [-35055, -13170], [-4511/2, -1705/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [812, -308], [86, -32], [0, 0]], [[-35/2, -1/2], [55892/3, -21266/3], [5929/3, -2302/3], [-35/6, -1/6]], [[42159, 15933], [273233, 106979], [120053, 45773], [14053, 5311]]], 1, 128, [], [] >,
< [ -7, 0, 1 ], [[256, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15954, 6030], [7948, -3004], [0, 0]], [[0, 0], [1321285, -499403], [-657575, 248545], [-6, 4]], [[0, 0], [-9148660, 3457996], [4553000, -1721024], [-12, -48]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7432, 2800], [-7678, 2902], [0, 0]], [[0, 0], [58886/3, -22136/3], [60832/3, -23014/3], [-34/3, -2/3]], [[0, 0], [-444171, -167955], [80187, 30231], [54894, 20748]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[256, -64]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12250, 4630], [7080, -2676], [0, 0]], [[0, 0], [-18720, 7070], [10506, -3976], [-10, 2]], [[0, 0], [-5897, 2235], [3325, -1251], [0, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9018, 3414], [-8874, 3354], [0, 0]], [[0, 0], [-2053409, 773607], [-2015681, 761859], [-8, -2]], [[0, 0], [-15494789/3, -5717029/3], [-162199/3, 75805/3], [-30728/3, -11614/3]]], 0, 8192, [], [] >,
< [ -7, 0, 1 ], [[576, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1244, 470], [534, -204], [0, 0]], [[0, 0], [3855992/3, -1457398/3], [-554768, 209668], [22/3, -2/3]], [[0, 0], [-123877/3, -32395/3], [51133, 17251], [-21944/3, -8294/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-95291, 36008], [9, -12], [0, 0]], [[0, 0], [832700/3, -314431/3], [70, 73], [4/3, -2/3]], [[0, 0], [34484, 12208], [33336, 12600], [0, 0]]], 0, 49152, [], [] >,
< [ -7, 0, 1 ], [[576, 0]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12210, 4644], [18, 12], [0, 0]], [[0, 0], [-550489/3, -202339/3], [-117149, -44267], [-32/3, -2/3]], [[0, 0], [2991065/3, 1105187/3], [638161, 241153], [160/3, 16/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69141, 26151], [15, 3], [0, 0]], [[0, 0], [1594115/3, -602428/3], [-29, 10], [16/3, 4/3]], [[0, 0], [-4176, -235], [24, 9], [-254, -96]]], 0, 49152, [], [] >,
< [ -7, 0, 1 ], [[2304, -576]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [284776, -107599], [6, 15], [0, 0]], [[0, 0], [-22866646, 8648789], [5124, 915], [8, 0]], [[0, 0], [-90149254, 34064732], [0, -4026], [10, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6177, 2325], [33, 9], [0, 0]], [[0, 0], [-124416, -47398], [276930, 104670], [0, -2]], [[0, 0], [-67592, -24574], [147000, 55560], [-8, 2]]], 0, 589824, [], [] >,
< [ -7, 0, 1 ], [[2304, -576]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [392321, -148244], [-3, -12], [0, 0]], [[0, 0], [9019942, -3410155], [792, 51], [10, 8]], [[0, 0], [-268760893, 101598818], [-18069, 570], [-112, -168]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9530, -3602], [222, -84], [0, 0]], [[0, 0], [-6877, 2557], [-183, 33], [2, -8]], [[0, 0], [-45066, 16550], [-1428, 126], [-34, -70]]], 0, 589824, [], [] >,
< [ -7, 0, 1 ], [[576, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11770, 4436], [30, -24], [0, 0]], [[0, 0], [784388/3, -294980/3], [-448, 628], [-2/3, -4/3]], [[0, 0], [655181/3, 363958/3], [249179, 94024], [-2576/3, -973/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32068, -12098], [12, 18], [0, 0]], [[0, 0], [-2917640/3, 1106435/3], [2146, 419], [11/3, -2/3]], [[0, 0], [-59449780/3, -22504106/3], [-19937800, -7535774], [-35030/3, -13240/3]]], 0, 49152, [], [] >,
< [ -7, 0, 1 ], [[576, 0]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24294, 9162], [-6, -18], [0, 0]], [[0, 0], [-584605/3, 223054/3], [1043, 274], [22/3, 5/3]], [[0, 0], [433831/3, 186710/3], [148099, 55970], [2924/3, 1105/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5426, -2044], [18, 0], [0, 0]], [[0, 0], [100007/3, -37910/3], [41, -38], [4/3, 5/3]], [[0, 0], [-1845, 1797], [867, 333], [-87, -33]]], 0, 49152, [], [] >,
< [ -7, 0, 1 ], [[6336, -2304]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14926, 5642], [-2238, 846], [0, 0]], [[0, 0], [4, -1], [0, 3], [1, 0]], [[0, 0], [339900, -128478], [51000, -19278], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, 44], [-21510, 8130], [0, 0]], [[0, 0], [19, -11], [7401, -2799], [17, -7]], [[0, 0], [100, -40], [30318, -11460], [68, -26]]], 0, 589824, [], [] >,
< [ -7, 0, 1 ], [[6336, -2304]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27388, -10352], [8064, -3048], [0, 0]], [[0, 0], [-6, 1], [0, 3], [1, 0]], [[0, 0], [15104, -5710], [4428, -1674], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1166, -442], [762, -288], [0, 0]], [[0, 0], [-74, 30], [120, -48], [40, -16]], [[0, 0], [273, -103], [-453, 171], [-151, 57]]], 0, 589824, [], [] >,
< [ -7, 0, 1 ], [[-2176, 832]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1170, 440], [-6, 0], [0, 0]], [[0, 0], [36932/3, 13948/3], [12572, 4744], [-8/3, 2/3]], [[0, 0], [75, -154], [211, -208], [-82, 31]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -12], [-10, -8], [0, 0]], [[0, 0], [3538/3, 119/3], [988, 257], [17/3, 4/3]], [[0, 0], [103054, -39076], [29382, -11268], [204, -78]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-2176, 832]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4216, 1602], [-4, 10], [0, 0]], [[0, 0], [-143450/3, -54208/3], [-47750, -18040], [8/3, -2/3]], [[0, 0], [25822, 9861], [25622, 9907], [63, -24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 2], [2, -2], [0, 0]], [[0, 0], [-560/3, -292/3], [-104, -40], [-16/3, -2/3]], [[0, 0], [-2666/3, 977/3], [-26, 5], [131/3, -50/3]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-17649680, 6670952]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 7], [13, 2], [0, 0]], [[61/2, 5/2], [-661/6, -214/3], [-209, 73/2], [61/6, 5/6]], [[-343, 133], [-7117/6, 2527/6], [8907/2, -3387/2], [-343/3, 133/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 14], [4, 2], [0, 0]], [[23/2, 1/2], [-145/3, 23/6], [-5/2, 10], [23/6, 1/6]], [[110, -44], [-3793/6, 1477/6], [-651/2, 237/2], [110/3, -44/3]]], 1, 384, [], [] >,
< [ -7, 0, 1 ], [[-2176, 832]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64, 26], [20, 10], [0, 0]], [[0, 0], [-818/3, 203/3], [-248, 101], [5/3, 4/3]], [[0, 0], [-60993, 23044], [-69573, 26298], [-250, 95]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 6], [4, 2], [0, 0]], [[0, 0], [70, -59], [0, -15], [-5, 0]], [[0, 0], [-7321/3, 2758/3], [-427, 160], [160/3, -61/3]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-2176, 832]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, 22], [0, 6], [0, 0]], [[0, 0], [19291/3, 683/3], [-985, 643], [-13/3, 1/3]], [[0, 0], [-824648/3, 302915/3], [124528, -47365], [731/3, -272/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 0], [-40, -8], [0, 0]], [[0, 0], [-169/3, 40/3], [35, 40], [-2/3, 5/3]], [[0, 0], [-2591/3, 980/3], [-735, 276], [-130/3, 49/3]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-17649680, 6670952]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/2, 23/2], [25/2, 5/2], [0, 0]], [[-8, -1], [-4441/3, 1951/3], [378, -96], [-8/3, -1/3]], [[127/2, -49/2], [232271/6, -43861/3], [-7632, 5781/2], [127/6, -49/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63/2, 15/2], [5/2, -5/2], [0, 0]], [[-25, -2], [-1393/6, 241/6], [-317/2, 83/2], [-25/3, -2/3]], [[1197/2, -399/2], [19583/2, -3590], [7703, -5737/2], [399/2, -133/2]]], 1, 384, [], [] >,
< [ -7, 0, 1 ], [[-272, 104]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10717, -4051], [501, -189], [0, 0]], [[-6, -2], [24527, -9219], [1187, -447], [-6, -2]], [[-6617/2, -2501/2], [39296, 15168], [1338, 521], [-6617/2, -2501/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3828, 1446], [96, -36], [0, 0]], [[11/2, 1/2], [187783/3, -70981/3], [-4630/3, 1771/3], [11/6, 1/6]], [[-2913, -1101], [1901, 1051], [-7971, -3021], [-971, -367]]], 1, 384, [], [] >,
< [ -7, 0, 1 ], [[-2176, 832]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-174974, 66134], [1254, -474], [0, 0]], [[0, 0], [-885835, 334801], [6491, -2453], [-6, 0]], [[0, 0], [-669601, 253097], [4907, -1855], [0, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24148, -9148], [9202, -3478], [0, 0]], [[0, 0], [-13376818/3, 5027068/3], [-5077046/3, 1918988/3], [14/3, -2/3]], [[0, 0], [11690457, 4028511], [179009, -80813], [-1276, -482]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-2176, 832]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166640, 62984], [2450, -926], [0, 0]], [[0, 0], [6851614, -2589632], [-100894, 38172], [6, 10]], [[0, 0], [-423617277, 160111835], [6240483, -2359165], [424, -318]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13666, 5158], [-5170, 1954], [0, 0]], [[0, 0], [3971195/3, -1500383/3], [1503151/3, -568111/3], [2/3, 4/3]], [[0, 0], [95302/3, -22906/3], [30332/3, -10844/3], [148/3, 56/3]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-272, 104]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6559, 2479], [-193, 73], [0, 0]], [[-3/2, -1/2], [27248, -10296], [707, -270], [-3/2, -1/2]], [[0, 0], [-44, -10], [26, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-913, 337], [-241, 91], [0, 0]], [[39/2, 3/2], [-65258, 25660], [-17780, 6751], [13/2, 1/2]], [[10807, 4040], [2096698/3, 1941188/3], [-294841/3, 196051/3], [10807/3, 4040/3]]], 1, 384, [], [] >,
< [ -7, 0, 1 ], [[-2176, 832]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35014, -13234], [-3646, 1378], [0, 0]], [[0, 0], [-164379, 62131], [17425, -6585], [-4, -6]], [[0, 0], [-1264804, 478052], [134062, -50670], [40, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25294, 9526], [-9472, 3580], [0, 0]], [[0, 0], [20758507/3, -7894963/3], [7811567/3, -2952647/3], [-44/3, -10/3]], [[0, 0], [-289840, 6289576], [-3150292, 1209904], [4452, 1680]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[-2176, 832]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-120842, 45674], [-5228, 1976], [0, 0]], [[0, 0], [-164883, 62329], [-7359, 2773], [8, -6]], [[0, 0], [-216462, 81778], [-9598, 3662], [32, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13670, 5210], [-5228, 1976], [0, 0]], [[0, 0], [188759/3, -116267/3], [94573/3, -35665/3], [38/3, 4/3]], [[0, 0], [19843034/3, 7772386/3], [-173282/3, 38198/3], [-8284/3, -3116/3]]], 0, 24576, [], [] >,
< [ -7, 0, 1 ], [[424696, -160520]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[-7/2, -1/2], [38/3, -83/6], [-7, -5/2], [-7/6, -2/3]], [[5, -2], [-249/2, 93/2], [1/2, -1/2], [-3/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[-1/2, -3/2], [-23/3, 53/6], [-6, -5/2], [-11/6, -1/3]], [[-10, 5], [617/6, -259/6], [5/2, 5/2], [25/6, -5/6]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[-64, 32]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 2], [1, 0], [0, 0]], [[0, 0], [-9081/2, 3427/2], [5/2, 1/2], [2, 1]], [[0, 0], [199/3, 760/3], [-201, -76], [-733/3, -277/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-2057/2, 773/2], [5/2, -5/2], [-5, 0]], [[0, 0], [1303/6, 535/6], [315/2, 119/2], [574/3, 217/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-64, 32]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 13], [8, -3], [0, 0]], [[0, 0], [17285/6, -6505/6], [9/2, -5/2], [-13/3, 2/3]], [[0, 0], [51311/3, 19448/3], [-2921, -1104], [-10649/3, -4025/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [41413/6, -15671/6], [5/2, -3/2], [-8/3, 1/3]], [[0, 0], [66949/6, 28165/6], [4277/2, 1617/2], [7798/3, 2947/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-64, 32]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 3], [8, -3], [0, 0]], [[0, 0], [-6265/6, 2369/6], [-13/2, 5/2], [-13/3, 5/3]], [[0, 0], [-6, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-668, 259], [0, 1], [0, 0]], [[0, 0], [70976/3, 22976/3], [3372, 1272], [22/3, -8/3]], [[0, 0], [170711/6, 66293/6], [8847/2, 3345/2], [-4/3, 2/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-64, 32]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2337/2, -881/2], [-9/2, 1/2], [0, 0]], [[0, 0], [-6599/3, -2288/3], [2207, 834], [8/3, 8/3]], [[0, 0], [-2369/3, -2009/3], [1339, 507], [44/3, -10/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 3], [8, -3], [0, 0]], [[0, 0], [511/2, -193/2], [9/2, -3/2], [3, -1]], [[0, 0], [103/3, -8/3], [43, 16], [86/3, 32/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-512, 256]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-209583, 79213], [23, -9], [0, 0]], [[0, 0], [337068, -127396], [-36, 16], [18, -2]], [[0, 0], [2711086/3, 1021990/3], [578398, 218614], [3480920/3, 1315664/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-101820, 38482], [-8, 2], [0, 0]], [[0, 0], [-2446331/3, 924679/3], [-63, 19], [-70/3, -10/3]], [[0, 0], [2745338/3, 1045610/3], [-250950, -94850], [-1902470/3, -719066/3]]], 0, 32768, [], [] >,
< [ -7, 0, 1 ], [[-160, 64]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-298, 116], [-216, 82], [0, 0]], [[0, 0], [-761285/6, 275687/6], [-178421/2, 66991/2], [-7/6, -5/6]], [[0, 0], [-213761/6, -692989/6], [155355/2, -87345/2], [-655/6, -245/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, 38], [-116, 44], [0, 0]], [[0, 0], [1406/3, -566/3], [562, -210], [4/3, 2/3]], [[0, 0], [1145/6, -155/6], [273/2, -123/2], [-35/6, -13/6]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-160, 64]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, -8], [-58, 22], [0, 0]], [[0, 0], [268/3, 35/3], [-102, 37], [-1/3, -2/3]], [[0, 0], [1591/6, 629/6], [23/2, -23/2], [-31/6, -11/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-220, 82], [-274, 104], [0, 0]], [[0, 0], [-246241/6, 96187/6], [-105433/2, 39423/2], [-23/6, -1/6]], [[0, 0], [63734/3, 75853/3], [-46790, 3997], [-413/3, -154/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-160, 64]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-149, 53], [5, -3], [0, 0]], [[0, 0], [-19573/6, 7165/6], [257/2, -121/2], [-23/6, -1/6]], [[0, 0], [19673/3, 1381/3], [1075, 497], [490/3, 182/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-243, 95], [-5, 3], [0, 0]], [[0, 0], [-5227/6, 2113/6], [-5/2, 23/2], [37/6, 5/6]], [[0, 0], [2159/2, 2789/2], [2151/2, 849/2], [665/2, 247/2]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-160, 64]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-199, 79], [-37, 15], [0, 0]], [[0, 0], [-49561/2, 17415/2], [-9461/2, 3227/2], [1/2, 1/2]], [[0, 0], [15029/6, 18499/6], [1759/2, 1469/2], [-35/6, -13/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, -1], [-13, 5], [0, 0]], [[0, 0], [473/6, -95/6], [-45/2, 7/2], [-29/6, -1/6]], [[0, 0], [4715/3, 1531/3], [-553, -187], [-638/3, -232/3]]], 0, 512, [], [] >,
< [ -7, 0, 1 ], [[-1280, 512]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-122804, 46404], [-20, -4], [0, 0]], [[0, 0], [1066964/3, 398080/3], [353608, 133668], [34/3, 2/3]], [[0, 0], [-341805, -97191], [-299295, -113429], [-93, 31]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26630, -10082], [18, 10], [0, 0]], [[0, 0], [2181007/3, 825203/3], [-727261, -274881], [-1/3, 1/3]], [[0, 0], [-18632, -7232], [18880, 7136], [0, 0]]], 0, 32768, [], [] >,
< [ -7, 0, 1 ], [[940808, -355592]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1383/2, 529/2], [-9/2, 1/2], [0, 0]], [[-17, -1], [-11785/3, -4340/3], [1472, 555], [-17/3, -1/3]], [[-91/2, 7/2], [-21922/3, -15703/6], [5409/2, 1017], [-91/6, 7/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2207/2, 837/2], [-5/2, 1/2], [0, 0]], [[7/2, -1/2], [23387/6, 4376/3], [-1217, -919/2], [7/6, -1/6]], [[-15, 6], [1680, 739], [-566, -217], [-5, 2]]], 1, 64, [], [] >,
< [ -7, 0, 1 ], [[-1973032, 745736]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45, 23], [-29, 7], [0, 0]], [[-2, 1], [86119/6, -29111/6], [11187/2, -4983/2], [5/6, -1/6]], [[33/2, 13/2], [254947/6, 43454/3], [-51343/2, -10409], [31/3, 23/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29, 8], [-1, 2], [0, 0]], [[-1/2, -1/2], [-1385/6, 281/3], [-79/2, 10], [-2/3, -1/6]], [[3/2, 1/2], [-178/3, 67/6], [5, 13/2], [5/6, 1/3]]], 1, 256, [], [] >,
< [ -7, 0, 1 ], [[352, -128]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [192, -74], [-4, 2], [0, 0]], [[0, 0], [-5711/6, 2221/6], [41/2, -19/2], [4/3, 1/3]], [[0, 0], [4484/3, -1696/3], [-34, 14], [1/3, 1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [524, -202], [24, -6], [0, 0]], [[0, 0], [54301/6, -18833/6], [93/2, -453/2], [19/3, 4/3]], [[0, 0], [-584795/6, 173929/6], [8917/2, 8269/2], [-455/3, -140/3]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[352, -128]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-565, 215], [29, -7], [0, 0]], [[0, 0], [-1226819/6, 462097/6], [15185/2, -7195/2], [-2/3, 1/3]], [[0, 0], [-342, 845], [2640, 957], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-364, 137], [8, -1], [0, 0]], [[0, 0], [-120889/6, 45701/6], [607/2, -215/2], [8/3, 5/3]], [[0, 0], [-103909, 39145], [717, -873], [-300, -110]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[352, -128]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -7], [-8, 1], [0, 0]], [[0, 0], [-9343/6, -3583/6], [-959/2, 25/2], [11/3, 5/3]], [[0, 0], [8449/3, -2798/3], [-59411, 22474], [-262/3, 98/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75/2, -17/2], [-19/2, 5/2], [0, 0]], [[0, 0], [399/2, 527/2], [-35/2, -119/2], [6, -2]], [[0, 0], [-7436/3, 2134/3], [672, -210], [152/3, -58/3]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[352, -128]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1/2, 15/2], [25/2, 1/2], [0, 0]], [[0, 0], [-344/3, 1585/3], [874, 19], [-16/3, 2/3]], [[0, 0], [33688/3, -12530/3], [-6004, 2318], [152/3, -58/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 13], [18, -3], [0, 0]], [[0, 0], [367/2, 147/2], [145/2, 49/2], [-5, -1]], [[0, 0], [-4798/3, 1793/3], [1102, -419], [-962/3, 364/3]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[2816, -1024]], [ -9, 3 ], [ -3, 1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1374, -520], [-10, -4], [0, 0]], [[0, 0], [-4975/3, 887/3], [-4755, -1797], [22/3, 10/3]], [[0, 0], [656239/3, -248291/3], [-1173, -483], [404/3, -148/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-191, 147], [35, 5], [0, 0]], [[0, 0], [99440/3, 37724/3], [8100, 3060], [34/3, 10/3]], [[0, 0], [7772/3, -772/3], [180, 108], [-104/3, 40/3]]], 0, 131072, [], [] >,
< [ -7, 0, 1 ], [[128, -32]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2536, 962], [-2498, 944], [0, 0]], [[0, 0], [-2230867/3, 836173/3], [-727927, 275221], [-5/3, -1/3]], [[0, 0], [2205227/6, 708673/6], [27727/2, -30427/2], [823/6, 311/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1594, -600], [1630, -616], [0, 0]], [[0, 0], [-335224/3, 128773/3], [-115386, 43635], [-5/3, 2/3]], [[0, 0], [15139121/6, 5717887/6], [171457/2, 63383/2], [823/6, 311/6]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[128, -32]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2102, 798], [-2064, 780], [0, 0]], [[0, 0], [1839445/6, -692203/6], [599289/2, -226611/2], [-55/6, -5/6]], [[0, 0], [310744, 110660], [-21254, -14686], [-2556, -966]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-264, 100], [-270, 102], [0, 0]], [[0, 0], [-2281/2, 859/2], [-2315/2, 845/2], [-3/2, -1/2]], [[0, 0], [1486/3, 245/3], [3536, 1231], [725/3, 274/3]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[128, -32]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-416, 158], [-6, 0], [0, 0]], [[0, 0], [-867, -15], [1315, 497], [2, 0]], [[0, 0], [-32261/6, 9419/6], [3549/2, 1341/2], [77/6, -23/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-374, 142], [-2, 2], [0, 0]], [[0, 0], [271/6, 1415/6], [1337/2, 505/2], [-1/6, -5/6]], [[0, 0], [-25708/3, 2008/3], [-6786, -2568], [91/3, -7/3]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[128, -32]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [312, -124], [-44, -4], [0, 0]], [[0, 0], [-25006/3, -7958/3], [-26030, -9868], [7/3, -1/3]], [[0, 0], [-141095/6, 1583/6], [-76045/2, -29831/2], [185/6, -65/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [101, -35], [45, 3], [0, 0]], [[0, 0], [-215587/6, -137417/6], [-603501/2, -231675/2], [19/6, 5/6]], [[0, 0], [-1560108, 710470], [677372, 505186], [-76, 22]]], 0, 2048, [], [] >,
< [ -7, 0, 1 ], [[1024, -256]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-236110, 89254], [18, 6], [0, 0]], [[0, 0], [-205154/3, -77758/3], [-68534, -25882], [32/3, 4/3]], [[0, 0], [-45949/3, -26957/3], [-20793, -6921], [475/3, -175/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75256, -28428], [-32, -4], [0, 0]], [[0, 0], [-21222184/3, -8021690/3], [7074536, 2673934], [16/3, 2/3]], [[0, 0], [-5905157, -2234697], [5908789, 2233505], [35, -11]]], 0, 131072, [], [] >,
< [ -7, 0, 1 ], [[-9682328, 3659576]], [ -9, 3 ], [ -45, 17 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-185/2, 43/2], [-35/2, -1/2], [0, 0]], [[-10, -2], [-22313/3, -17893/3], [-5699, -2497], [-10/3, -2/3]], [[-235/2, 85/2], [1206949/6, -236852/3], [20253, -18405/2], [-235/6, 85/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [116, -25], [19, 2], [0, 0]], [[5, -2], [-1046/3, -439/3], [-182, -67], [5/3, -2/3]], [[67/2, -25/2], [3767/6, 449/3], [234, 201/2], [67/6, -25/6]]], 1, 256, [], [] >,
< [ -7, -1, 1 ], [[1, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-11, -11/2], [-13, -5], [-1/2, -1], [-5/2, -1/2]], [[71, 37/2], [37/2, 71/2], [36, -6], [-33/2, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-19/2, -7/2], [-1, -5/2], [-127/10, -12/5], [-3/5, -1/5]], [[-24, 1], [34, -27/2], [-713/10, 159/10], [-19/10, 1/5]]], 4, 2, [], [] >,
< [ -7, -1, 1 ], [[8, -2]], [ -42, 8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-121/14, -6/7], [-5/2, 2], [0, 0]], [[23, 3/2], [9459/14, -3662/7], [2475/2, -561/2], [23/14, 3/28]], [[1015/2, -329/2], [669387/14, -206897/14], [48246, -15180], [145/4, -47/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-107/7, -31/14], [-7, -3/2], [0, 0]], [[-29, 1], [49937/14, -3160/7], [14591/10, -472/5], [-29/70, 1/70]], [[1055/2, -145/2], [-971519/14, 98677/7], [-27150, 8687/2], [211/28, -29/28]]], 4, 3, [], [] >,
< [ -7, -1, 1 ], [[4, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, -5/2], [-46, 33/2], [3/2, -2], [0, 0]], [[-619/2, -217], [1309, -637/2], [-180, -16], [-5/2, -5/2]], [[208, 319], [-3662, 1035], [369, -27], [0, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -2], [-118/5, 12/5], [-6/5, -1/5], [0, 0]], [[49, 31/2], [166/5, 66/5], [49/10, 12/5], [-3/2, 5/2]], [[-39/2, 41/2], [17/5, 99/10], [33/10, 4/5], [19, -5]]], 3, 3, [], [] >,
< [ -7, -1, 1 ], [[-4, 2]], [ -34, -8 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35/2, -5], [-15/2, -6/7], [-5/2, -5/2], [0, 0]], [[441, 480], [-125/2, 2913/14], [417, 63], [-9/5, -1/70]], [[-86688, 46800], [-174839/2, 233613/7], [59184, -12384], [-697/2, 1271/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 3/2], [19/2, 25/14], [9, 3/2], [0, 0]], [[17/2, -5], [-33, -171/14], [-349/10, -123/10], [2/5, -3/70]], [[-1415/2, 278], [1913/2, 1710/7], [2093/2, 465/2], [-112/5, 176/35]]], 4, 3, [], [] >,
< [ -7, -1, 1 ], [[-2, 1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-11, -9/2], [-13/2, -7/2], [-3, 0], [-3/2, -1]], [[8, -2], [-17/2, 3], [21, -13/2], [-9/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[29/2, 2], [1143/10, -159/10], [32/5, 3/10], [0, 0]], [[-1799/2, -475], [-3659/2, -1753], [-615/2, -178], [3/2, 2]], [[161/2, 322], [-38757/10, 22811/10], [-263/5, 1423/10], [6, -3]]], 3, 3, [], [] >,
< [ -7, -1, 1 ], [[46, -14]], [ -42, 8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/14, -25/7], [9/2, -3], [0, 0]], [[-45/2, -2], [-24789/14, -1329/7], [-1556, 154], [-45/28, -1/7]], [[-10509, 5989/2], [-788625, 445127/2], [-1072436, 324964], [-10509/14, 5989/28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-123/14, -31/14], [-25/2, -15/2], [0, 0]], [[99/2, -1/2], [-739, 344], [13337/10, -1233/10], [99/140, -1/140]], [[3081/2, -869/2], [-302626/7, 97316/7], [481653/10, -141427/10], [3081/140, -869/140]]], 1, 18, [], [] >,
< [ -7, -1, 1 ], [[23, -7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 0], [43/2, -17/2], [6, -3/2], [0, 0]], [[28, 1], [520, -441/2], [315/2, -75/2], [3/2, -2]], [[153/2, 0], [1583, -1275/2], [460, -115], [11/2, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[26, 2], [55, -5], [10, 0], [0, 0]], [[-2861, 2711], [-65211/5, 62863/10], [-16809/10, 10881/10], [5/2, -2]], [[-279549/2, 127947], [-3132268/5, 2983019/10], [-406146/5, 257439/5], [243/2, -189/2]]], 1, 6, [], [] >,
< [ -7, -1, 1 ], [[22, -6]], [ -34, -8 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -3], [-11/2, -1], [-5/2, -1/2], [0, 0]], [[-189, -333/2], [-609/2, -381/7], [-279/2, -27], [-1, 5/14]], [[252, -315], [-1581/2, 1273/14], [-351, 36], [-6, 27/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 5/2], [7, 25/14], [29/2, 2], [0, 0]], [[-8093/2, 3721/2], [3728, 2477/7], [45437/5, -3117/10], [-6/5, -3/70]], [[3623723/2, -554629], [-609168, 223888], [-4173757/2, 1417545/2], [465/2, -1147/14]]], 1, 18, [], [] >,
< [ -7, -1, 1 ], [[11, -3]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -1/2], [-15, 5/2], [3/2, -2], [0, 0]], [[112, 77/2], [1049/2, -41], [27/2, 183/2], [2, -2]], [[98, -145/2], [3293, -2203/2], [-1101, 581/2], [36, -21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25, 5/2], [3441/10, -134/5], [113/10, 1/10], [0, 0]], [[-1713/2, -823/2], [-65427/10, -16602/5], [-1518/5, -761/5], [0, 5/2]], [[-7/2, 1], [-12, 7/2], [-3, 1], [3/2, -1/2]]], 1, 6, [], [] >,
< [ -7, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 4], [10, -2], [0, 0]], [[0, 0], [0, 1], [1, 1], [1, 0]], [[0, 0], [-16, -4], [-2, -4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 2], [-76, -26], [0, 0]], [[0, 0], [-407, -49], [4981, 2844], [0, -1]], [[0, 0], [13724, -4896], [400556/5, -50938/5], [-552/5, 156/5]]], 0, 60, [], [] >,
< [ -7, -1, 1 ], [[16, -4]], [ -42, 8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [87/14, -5/7], [1/2, -1], [0, 0]], [[0, 0], [-3827/7, 173/7], [7, 98], [1/14, -1/14]], [[0, 0], [1051/7, -204/7], [28, -21], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-85/14, 4/7], [-15/2, 0], [0, 0]], [[0, 0], [5465/14, -811/7], [4247/10, -594/5], [17/70, -3/70]], [[0, 0], [-41177/14, 5969/7], [-32307/10, 4299/5], [-137/70, 9/35]]], 1, 15, [], [] >,
< [ -7, -1, 1 ], [[64, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, -28], [-6, -2], [0, 0]], [[0, 0], [4, 1], [1, 1], [1, 0]], [[0, 0], [1564, -476], [-12, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4/5, -14/5], [42/5, -8/5], [0, 0]], [[0, 0], [-2/5, 3/5], [1/5, 1/5], [1, 0]], [[0, 0], [-8/5, 22/5], [-96/5, 24/5], [0, 0]]], 0, 360, [], [] >,
< [ -7, -1, 1 ], [[-8, 4]], [ -34, -8 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [6, -2/7], [0, 0], [-1, 0]], [[0, 0], [377/2, -359/7], [0, 0], [-289/10, 527/70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -3/7], [-11, 4], [0, 0]], [[0, 0], [59/2, 213/14], [696/5, 172/5], [-1/5, -1/70]], [[0, 0], [25/2, 207/14], [1372/5, -131/5], [-3/5, 9/70]]], 1, 15, [], [] >,
< [ -7, -1, 1 ], [[-32, 16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 6], [-50, 10], [0, 0]], [[0, 0], [0, 1], [1, 1], [1, 0]], [[0, 0], [44, -132], [1674, -432], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1362/5, 156/5], [-126/5, -2/5], [0, 0]], [[0, 0], [-14/5, -3/5], [3/5, 1/5], [1, 0]], [[0, 0], [2934/5, 328/5], [342/5, 84/5], [0, 0]]], 0, 360, [], [] >,
< [ -7, -1, 1 ], [[92, -28]], [ -42, 8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [181/14, 15/14], [11/2, 1/2], [0, 0]], [[0, 0], [-1261/7, 723/14], [-76, 43/2], [1/7, -1/7]], [[0, 0], [57377/7, -18100/7], [3439, -1086], [-93/7, 53/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5/14, -23/14], [25/2, -15/2], [0, 0]], [[0, 0], [-1399/14, 125/14], [-6289/10, 1551/10], [58/35, -2/35]], [[0, 0], [-7977/14, 835/7], [-41381/10, 5927/5], [629/70, -111/70]]], 1, 90, [], [] >,
< [ -7, -1, 1 ], [[368, -112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -8], [-74, 26], [0, 0]], [[0, 0], [4, 1], [1, 1], [1, 0]], [[0, 0], [-238, 112], [1908, -612], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1612/5, -42/5], [216/5, 6/5], [0, 0]], [[0, 0], [8/5, 13/5], [11/5, 1/5], [1, 0]], [[0, 0], [-3568/5, 2362/5], [474/5, -316/5], [0, 0]]], 0, 1440, [], [] >,
< [ -7, -1, 1 ], [[44, -12]], [ -34, -8 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[0, 0], [3, -3/14], [0, 0], [1/2, 0]], [[0, 0], [25/2, -47/7], [0, 0], [3/2, -15/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 5/7], [-23, 12], [0, 0]], [[0, 0], [846, 12259/14], [26244, -4959], [-3/2, 0]], [[0, 0], [55832, -155061/14], [-8088829/5, 2625302/5], [629/10, -782/35]]], 1, 90, [], [] >,
< [ -7, -1, 1 ], [[176, -48]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -2], [34, -12], [0, 0]], [[0, 0], [-2, 1], [1, 1], [1, 0]], [[0, 0], [2, -6], [36, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1768/5, 264/5], [-124/5, 2/5], [0, 0]], [[0, 0], [-14/5, -3/5], [3/5, 1/5], [1, 0]], [[0, 0], [66548/5, -7854/5], [4864/5, 128/5], [0, 0]]], 0, 1440, [], [] >,
< [ -7, -1, 1 ], [[-256, 64]], [ -42, 8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4/7, -10/7], [-2, -6], [0, 0]], [[0, 0], [996/7, -1780/7], [686, -1082], [2/7, -2/7]], [[0, 0], [-49411/7, 7908/7], [-30517, 5088], [-61/7, 12/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [118/7, 8/7], [16, -8], [0, 0]], [[0, 0], [-10678/7, -9293/7], [2800, -121], [-20/7, -1/7]], [[0, 0], [1658/7, -9008/7], [23362/5, -4778/5], [-148/35, 22/35]]], 0, 3840, [], [] >,
< [ -7, -1, 1 ], [[128, -64]], [ -34, -8 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 10/7], [-20, -12], [0, 0]], [[0, 0], [294, -792/7], [2604, -640], [6/5, 2/35]], [[0, 0], [-12301, 28029/7], [-94024, 28190], [-144/5, 207/35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -8/7], [-48, 12], [0, 0]], [[0, 0], [45, 102/7], [-3258/5, 1254/5], [-1/5, 1/35]], [[0, 0], [-122, -202/7], [15344/5, -5352/5], [4/5, -6/35]]], 0, 3840, [], [] >,
< [ -7, -1, 1 ], [[192, -128]], [ -42, 8 ], [ -2, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64/7, -6/7], [-4, -4], [0, 0]], [[0, 0], [-1219, 622], [1539, -96], [17/7, 4/7]], [[0, 0], [-697918/7, 220406/7], [68300, -20980], [332/7, -94/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80/7, -4/7], [50, 30], [0, 0]], [[0, 0], [11334/7, -4915/7], [5704, 409], [20/7, 1/7]], [[0, 0], [-4300544/7, 1358346/7], [-4809246/5, 1415464/5], [-2538/5, 752/5]]], 0, 23040, [], [] >,
< [ -7, -1, 1 ], [[-704, 192]], [ -34, -8 ], [ -3, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 6/7], [-4, 0], [0, 0]], [[0, 0], [-4, -13/7], [-14, 8], [-1, 4/7]], [[0, 0], [12, 46/7], [728, -240], [52, -120/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 10/7], [96, -44], [0, 0]], [[0, 0], [-367, -314], [196934/5, 108518/5], [-37/5, -3/35]], [[0, 0], [-174745, 234033/7], [5948448, -172790], [3144, -7729/7]]], 0, 23040, [], [] >,
< [ -8, -1, 1 ], [[-2, -1]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1, 2], [6, 3/2], [6, 3/2], [1, 2]], [[-221/2, -51], [-341/2, -69], [-341/2, -69], [-221/2, -51]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [165, 125/2], [0, -1/2], [0, 0]], [[-33/2, -5/2], [-98667/34, 15374/17], [-7143/34, 1087/17], [-33/34, -5/34]], [[-4077/2, -1053], [4844833/34, -1102635/34], [331355/34, -85737/34], [-4077/34, -1053/17]]], 3, 4, [], [] >,
< [ -8, -1, 1 ], [[7, 3]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 1/2], [-7/2, -2], [-7/2, -2], [0, 1/2]], [[31/2, 6], [-183/2, -38], [-183/2, -38], [31/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [451/2, 171/2], [7/2, 5/2], [0, 0]], [[-17, 0], [25307/2, -7233/2], [-2683/2, 791/2], [-1, 0]], [[-1437/2, -309], [151526/17, 387805/34], [13796/17, -16291/34], [-1437/34, -309/17]]], 3, 4, [], [] >,
< [ -8, -1, 1 ], [[2, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-5/2, 1], [-7/2, 1], [-5/2, 1], [-1, 0]], [[-4, 0], [-5/2, 1], [-4, 0], [3/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-95/2, -1/2], [9961/34, -6591/34], [-95/34, -1/34], [0, 0]], [[124989/2, -18483], [-17241710/17, 5119077/17], [124989/34, -18483/17], [5/2, 0]], [[41663/2, -6161], [-11494377/34, 1706359/17], [41663/34, -6161/17], [1, 0]]], 4, 4, [], [] >,
< [ -8, -1, 1 ], [[10, 4]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 3/2], [13/2, 7/2], [5/2, 3/2], [0, 0]], [[-12, -6], [-28, -57/4], [-10, -11/2], [-1, -1/4]], [[111, -67/2], [569/2, -343/4], [150, -45], [-39/2, 23/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 5/2], [70, 107/2], [-1, 5/2], [0, 0]], [[3889/2, 145], [684629/17, 812721/68], [66299/34, 4935/34], [93/34, 5/68]], [[128574, -4704], [73170415/34, 31859469/68], [2192161/17, -160947/34], [6403/34, -1011/68]]], 3, 4, [], [] >,
< [ -8, -1, 1 ], [[10, 4]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [161/4, 63/4], [-15/4, -5/4], [0, 0]], [[-3/2, 1], [563, -369/2], [-156, 48], [-3/4, 1/2]], [[0, 3], [954, -757/2], [-280, 185/2], [0, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [763/4, 15/4], [-5/4, -1/4], [0, 0]], [[27/2, 1/2], [376311/17, -96317/17], [-1442/17, 291/17], [27/68, 1/68]], [[-23/2, -2], [-232913/17, 98577/34], [974/17, -110/17], [-23/68, -1/17]]], 3, 4, [], [] >,
< [ -8, -1, 1 ], [[10, 4]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[9, 0], [13/2, -1], [4, -2], [5/2, 1]], [[65/2, 6], [18, 0], [7/2, -6], [29/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -2], [-2325/34, -1676/17], [11/34, -2/17], [0, 0]], [[-5/2, -1/2], [-64, -23], [5/2, 1/2], [-5/2, -1/2]], [[47/2, 9], [765, 316], [-47/2, -9], [47/2, 9]]], 3, 8, [], [] >,
< [ -8, -1, 1 ], [[18, 8]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 0], [-77/2, -18], [5/2, 0], [0, 0]], [[8, 3], [-537/2, -122], [8, 3], [-3/2, 1]], [[8, 3/2], [-285/2, -103], [8, 3/2], [-21/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1], [-355/2, 19], [-1/2, -1], [0, 0]], [[378, -27/2], [-734889/34, 351387/34], [6315/17, -471/34], [37/34, 1/17]], [[-2583/2, -585], [-1023392/17, -707637/34], [-42861/34, -9714/17], [-175/34, -77/34]]], 3, 6, [], [] >,
< [ -8, -1, 1 ], [[418, 176]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-73/2, -15], [65/2, 12], [-73/2, -15], [0, 0]], [[1251/2, 269], [-499, -238], [1251/2, 269], [3/2, -1]], [[-7209/2, -3081/2], [2934, 1346], [-7209/2, -3081/2], [-9/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-69/2, -27/2], [-455/2, -399/2], [-69/2, -27/2], [0, 0]], [[-1599/2, -64], [1092801/34, -454513/34], [-27631/34, -1158/17], [-8/17, -5/34]], [[10937/2, -2659/2], [-8396151/17, 5105905/34], [187189/34, -45315/34], [45/34, -2/17]]], 1, 60, [], [] >,
< [ -8, -1, 1 ], [[-234, -99]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-313/2, -66], [-899/2, -190], [-939/2, -198], [0, 0]], [[4320, 3645/2], [24805/2, 5252], [12955, 10937/2], [5/2, -1/2]], [[405/2, 27], [1670, -979/4], [1569/2, 57/2], [-177/2, 105/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 5/2], [678, 585/2], [1, 5/2], [0, 0]], [[1027/2, -299/2], [3927/2, -1419/4], [1027/2, -151], [0, 3/4]], [[-5347/2, 811], [-6651, 13833/4], [-5397/2, 1617/2], [25/2, 5/4]]], 0, 108, [], [] >,
< [ -8, -1, 1 ], [[-9, -9]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2053/4, 829/4], [29/4, 5/4], [0, 0]], [[5/2, 1], [-35459, 20999/2], [-7032, 2085], [5/4, 1/2]], [[0, 0], [2328, -702], [465, -138], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2737/4, 1159/4], [-23/4, -5/4], [0, 0]], [[17/2, 1], [44549/2, -6356], [39153/2, -11613/2], [17/4, 1/2]], [[-374, -319/2], [-22003/2, -31825/2], [28335/2, -4095], [-187, -319/4]]], 0, 108, [], [] >,
< [ -8, -1, 1 ], [[6, 0]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-59/2, -13], [-127/2, -27], [-59/2, -13], [0, 0]], [[-5572, -4631/2], [-11663, -4902], [-5576, -4633/2], [2, 1/2]], [[4345, -2165/2], [4709/2, -1057/4], [4428, -1107], [-83/2, 49/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-57/2, -12], [-1199/2, -255], [-57/2, -12], [0, 0]], [[1, 30], [588389/34, -316951/68], [56/17, 1021/34], [39/34, 1/68]], [[-83779, -73545/2], [-36601620/17, -10838015/34], [-1459507/17, -1278425/34], [-17632/17, -7040/17]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[6, 0]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11/4, 1/4], [5/4, 5/4], [0, 0]], [[1, -1/2], [-145/4, 39/4], [-81/4, 21/4], [1/2, -1/4]], [[29/2, 6], [133/2, 31], [99/2, 45/2], [29/4, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [291/4, -37/4], [3/4, 3/4], [0, 0]], [[21/2, -3/2], [-124655/34, 27729/17], [4147/34, 164/17], [21/68, -3/68]], [[167/2, 33], [431105/17, 201661/17], [39026/17, 32377/34], [167/68, 33/34]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[6, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -3/2], [115/2, 49/2], [-3/2, -3/2], [0, 0]], [[-251, 141/2], [291/2, 6], [-250, 147/2], [-1/2, -3/2]], [[15391/2, -2215], [-3552, 216], [15457/2, -2281], [-33/2, 33]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, 2], [-247609/34, -50990/17], [-11/34, 2/17], [0, 0]], [[3/2, -1], [111, 12], [-3/2, 1], [3/2, -1]], [[2, 8], [-1183, -346], [-2, -8], [2, 8]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[-3594, -1515]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -3/2], [-86, -79/2], [3, -3/2], [0, 0]], [[103, -59/2], [-133/2, -233/2], [102, -63/2], [1/2, 1]], [[-81/2, 11], [233/2, 333/4], [-77/2, 25/2], [-1, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 1], [55/2, 11], [11/2, 1], [0, 0]], [[252, -127/2], [225, 77/4], [252, -63], [0, -1/4]], [[-197, 133/2], [-15/2, 127/2], [-196, 133/2], [-1/2, 0]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[11451, 4827]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[13, 11/2], [-1/4, 9/4], [-25/4, -1/4], [13/2, 11/4]], [[79/2, 17], [-189/4, 83/4], [-265/4, 53/4], [79/4, 17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-197/4, -89/4], [11/4, -1/4], [0, 0]], [[-3/2, -1], [247, -127/2], [222, -66], [-3/4, -1/2]], [[21/2, 9/2], [-111, -15], [-41, 13], [21/4, 9/4]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[30, 12]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 2], [911/2, 190], [19/2, 2], [0, 0]], [[-50745/2, 7521], [-51115/2, 29977/4], [-50745/2, 15045/2], [0, -3/4]], [[26315, -7802], [52881/2, -15603/2], [26316, -7803], [-1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 5/2], [663, 111/2], [4, 5/2], [0, 0]], [[-911, 15/2], [4627325/34, -3956765/68], [-15428/17, 130/17], [59/34, 5/68]], [[-69395/2, 1680], [11776971/2, -2330580], [-69135/2, 1680], [65, 0]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[30, 12]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-412, -347/2], [2, 1/2], [0, 0]], [[-5/2, 0], [-89/4, 135/4], [467/4, -139/4], [-5/4, 0]], [[3/2, -1], [251/2, -16], [-375/2, 111/2], [3/4, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-351, -3/2], [7, -1/2], [0, 0]], [[51/2, 0], [-669071/4, -63911/4], [12589/4, 187/4], [3/4, 0]], [[520, -16], [-226549437/68, -14341109/68], [4349355/68, -71469/68], [260/17, -8/17]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[30, 12]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 2], [73/2, 20], [9/2, 6], [0, 0]], [[-123/2, -43/2], [-687, -549/2], [-363/2, -117/2], [-3/2, 0]], [[15/2, -19/2], [-64, -70], [71/2, -63/2], [3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[49, 3/2], [82862/17, 38023/34], [147/17, 9/34], [0, 0]], [[-2674769/2, 396577], [-1111343005/17, 659096773/34], [-8024309/34, 1189744/17], [5/2, -3/2]], [[-132810, 78543/2], [-220736365/34, 65263277/34], [-397999/17, 235995/34], [-51/2, -11]]], 1, 20, [], [] >,
< [ -8, -1, 1 ], [[30, 12]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -2], [181/2, 32], [3/2, -6], [0, 0]], [[1230, -537/2], [-2269/2, -5341/2], [3690, -1617/2], [3/2, 0]], [[-671, 601/2], [-6676, -1189], [-2021, 1801/2], [0, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[24, -1], [105/17, -9195/17], [72/17, -3/17], [0, 0]], [[6292, -3735/2], [10476975/34, -3104187/34], [18968/17, -11265/34], [5/2, -1]], [[-1759/2, 248], [-1405553/34, 218492/17], [-5357/34, 736/17], [-3, -1]]], 1, 20, [], [] >,
< [ -8, -1, 1 ], [[-42210, -17793]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -1], [-65/2, -19], [9/2, -3], [0, 0]], [[-1/2, 4], [242, 113], [1/2, 11], [1/2, 0]], [[12, 4], [983/2, 817/4], [34, 23/2], [1/2, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1], [73, 31], [-6, -3], [0, 0]], [[-31, 1/2], [675/2, 453/4], [-96, 9], [1/2, -5/4]], [[-781/2, -220], [11316, 9777/2], [-1533/2, -525], [-135/2, -45/2]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[134487, 56691]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, -33], [3, -3], [0, 0]], [[5/2, 0], [5361/4, -2443/4], [5341/4, -1625/4], [5/4, 0]], [[1, 1], [-5515/4, 185/4], [-2979/4, 813/4], [1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [59/2, 17/2], [9/2, -3/2], [0, 0]], [[1/2, -1], [27/2, -15], [39/2, -15/2], [1/4, -1/2]], [[3, 2], [133/4, 105/4], [-19/4, 29/4], [3/2, 1]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[14, 6]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-1/2, 2], [327/2, 131/2], [31/2, 7/2], [-1/2, 2]], [[-18, 10], [437, 157], [62, 2], [-18, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [285, 120], [19, 8], [0, 0]], [[71/2, 1], [-160783/34, -66009/34], [229/34, 79/34], [71/34, 1/17]], [[-16469, 4859], [1208772/17, -236966/17], [-10535/17, 2967/17], [-16469/17, 4859/17]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[4142, 1746]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-370, -156], [-397, -167], [-370, -156], [-370, -156]], [[6559/2, 2765/2], [7033/2, 2963/2], [6559/2, 2765/2], [6559/2, 2765/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 0], [1, 0], [0, 0]], [[137/2, -5/2], [-31755/34, 1015/34], [-411/34, 15/34], [137/34, -5/34]], [[-24420, -10296], [5759065/17, 2428133/17], [73260/17, 30888/17], [-24420/17, -10296/17]]], 0, 18, [], [] >,
< [ -8, -1, 1 ], [[-5, -3]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [49/2, 7/2], [43/2, 5/2], [0, 0]], [[1/2, -1/2], [3703/2, -691/2], [3479/2, -695/2], [1/2, -1/2]], [[1/2, 1/2], [-2063/2, -55/2], [-1857/2, -1/2], [1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [329/2, 27/2], [-29/2, -3/2], [0, 0]], [[-27/2, -1/2], [-3330797/34, 77013/34], [288493/34, -729/34], [-27/34, -1/34]], [[-407/2, -243/2], [-37030457/34, -25803673/34], [3598507/34, 2358947/34], [-407/34, -243/34]]], 0, 12, [], [] >,
< [ -8, -1, 1 ], [[121, 51]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-61/2, -25/2], [-15/2, -5/2], [-15/2, -5/2], [-61/2, -25/2]], [[37, 0], [87/2, -21/2], [87/2, -21/2], [37, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [230, 99], [3, 1], [0, 0]], [[-89/2, 3/2], [172103/34, -52947/34], [-22415/34, 6675/34], [-89/34, 3/34]], [[1264, 395], [-1013389/34, 426353/34], [150137/34, -46375/34], [1264/17, 395/17]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[14, 6]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-75/2, -31/2], [-38, -18], [-75/2, -31/2], [-1/2, -5/2]], [[2028, 832], [3979/2, 986], [2028, 832], [-77/2, 154]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35/2, -5/2], [-6567/34, 2677/34], [35/34, -5/34], [0, 0]], [[781, -233], [-431875/34, 63572/17], [781/17, -233/17], [1/2, -1]], [[1215, 45], [6386/17, 131151/17], [1215/17, 45/17], [344, 144]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[-7634, -3218]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1], [-37, -16], [2, 1], [0, 0]], [[1, 1/2], [-31/2, -13/2], [1, 1/2], [1/2, 0]], [[1/2, 0], [-7/2, -1], [1/2, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[89/2, 37/2], [-117/2, -49/2], [89/2, 37/2], [0, 0]], [[-48175/2, -20527/2], [63801/2, 27031/2], [-48167/2, -20531/2], [-2, 1]], [[11741/2, 686], [-6011, -5683/4], [11907/2, 1323/2], [-83/2, 49/4]]], 2, 6, [], [] >,
< [ -8, -1, 1 ], [[22, 10]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 2], [-455, -193], [2, 2], [0, 0]], [[37945/2, -11255/2], [-38893/2, 11903/2], [37945/2, -11255/2], [-2, 0]], [[3640, -840], [-89813/2, -16464], [3640, -840], [265/2, 56]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[204, 86], [239, 101], [204, 86], [0, 0]], [[6711/2, 2829/2], [7943/2, 1676], [6711/2, 2829/2], [2, 1/2]], [[4137/2, 1743/2], [2479, 2047/2], [4137/2, 1743/2], [-9/2, 2]]], 0, 12, [], [] >,
< [ -8, -1, 1 ], [[-2, -2]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1], [-11, -4], [2, 1], [0, 0]], [[345/2, 145/2], [-1451/2, -617/2], [353/2, 141/2], [2, -1]], [[19, 7], [-113/2, -147/4], [44, -1/2], [25/2, -15/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[38, 16], [-597, -211], [38, 16], [0, 0]], [[425/2, -3/2], [-9620511/34, 5651091/68], [7173/34, -23/17], [-13/17, 5/68]], [[83490, 35574], [2731183/34, -55120821/68], [1412293/17, 1203471/34], [-7037/34, -6045/68]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[-2, -2]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7/4, 3/4], [-1/4, -1/4], [0, 0]], [[45/2, 19/2], [43, 39/2], [-2, 1/2], [45/4, 19/4]], [[-7/2, -3/2], [-11/4, -17/4], [17/4, -5/4], [-7/4, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [287/2, 3], [3/2, 0], [0, 0]], [[-68, 0], [10745/4, -1755/4], [-15/4, -19/4], [-2, 0]], [[-69/2, -29/2], [13731/17, 5771/17], [-138/17, -58/17], [-69/68, -29/68]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[-2, -2]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[11, 2], [23/2, 2], [12, 2], [1/2, 0]], [[1/2, 1/2], [1/2, 1/2], [1/2, 1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-92, 1], [-20775/17, 2266/17], [-92/17, 1/17], [0, 0]], [[115131/2, -34137/2], [15951279/17, -9459145/34], [115029/34, -34273/34], [-3/2, -2]], [[-161515/2, 47981/2], [-44749821/34, 13297605/34], [-167635/34, 45533/34], [-90, -36]]], 1, 8, [], [] >,
< [ -8, -1, 1 ], [[318, 134]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[36, 15], [281, 117], [36, 15], [0, 0]], [[-4521/2, -1947/2], [-17614, -15199/2], [-4521/2, -1947/2], [1/2, 1]], [[-5995/2, -2915/2], [-46405/2, -22845/2], [-5995/2, -2915/2], [-8, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-107/2, -45/2], [3473/2, 857/2], [-107/2, -45/2], [0, 0]], [[80, -3], [-10280025/34, 2984873/34], [1501/17, -42/17], [-47/34, -3/34]], [[-577, -83], [45556019/34, -6363900/17], [-10988/17, -1687/17], [393/34, 46/17]]], 1, 18, [], [] >,
< [ -8, -1, 1 ], [[7150, 3014]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[695/2, 293/2], [923/2, 387/2], [695/2, 293/2], [0, 0]], [[-10053/2, -4237/2], [-6621, -5663/2], [-10103/2, -4217/2], [5/2, -1]], [[-12115/2, -5107/2], [-16115/2, -6779/2], [-12095/2, -5107/2], [-1, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1181, -498], [-18884, -7475], [-1181, -498], [0, 0]], [[24252, 3944], [-50346691/2, 7636898], [24465, 3944], [-3/2, 0]], [[715029/2, 306567/2], [272296203/17, -12613482/17], [12222943/34, 5241317/34], [-475/34, -209/34]]], 1, 180, [], [] >,
< [ -8, -1, 1 ], [[-18, -18]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1663/2, -701/2], [-3765/2, -1587/2], [-4989/2, -2103/2], [0, 0]], [[33519, 28267/2], [151341/2, 127581/4], [100568, 42401], [-11/2, -1/4]], [[-523606, 310569/2], [325553, -385999/4], [-1037662, 307754], [-266578, 316199/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 1/2], [-3399/2, -1431/2], [1/2, 1/2], [0, 0]], [[-16, -1], [-15, -9/2], [0, 0], [-8, -1/2]], [[13, 11/2], [39/2, 33/4], [0, 0], [13/2, 11/4]]], 0, 216, [], [] >,
< [ -8, -1, 1 ], [[198, 90]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[102855/2, 43357/2], [307735/2, 129721/2], [308565/2, 130071/2], [0, 0]], [[3278979/2, 1382205/2], [4905162, 4135389/2], [9836939/2, 4146611/2], [-1/2, 1]], [[-12243/2, 5247/2], [2447293/2, -360436], [1525251/2, -447441/2], [-390495, 231591/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1/2], [21/2, 15/2], [7/2, 1/2], [0, 0]], [[8, -22], [-519/2, -48], [13, -26], [5/2, -2]], [[-44550, -18792], [-283764, -119586], [-50260, -21202], [-2855, -1205]]], 0, 1296, [], [] >,
< [ -8, -1, 1 ], [[-89658, -37794]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1], [37, 14], [-2, 1], [0, 0]], [[115/2, -35/2], [-319/2, -30], [115/2, -35/2], [77, 65/2]], [[6333/2, -939], [-2830, 1671/2], [6333/2, -939], [1/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[705/2, 297/2], [471/2, 199/2], [705/2, 297/2], [0, 0]], [[46345/2, 19577/2], [31185/2, 13051/2], [46345/2, 19573/2], [0, 1]], [[88345/2, -12978], [-101455, 120663/4], [79695/2, -23391/2], [4325/2, -2565/4]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[270, 114]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, 1], [603, 260], [16, 1], [0, 0]], [[-569655/2, 168945/2], [289495, -169991/2], [-569655/2, 168945/2], [5/2, -1]], [[113295/2, -34749/2], [-238923/2, -17203/2], [113295/2, -34749/2], [18, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20589/2, -8679/2], [-20685/2, -8719/2], [-20589/2, -8679/2], [0, 0]], [[1433521/2, 604279/2], [720078, 303546], [1433521/2, 604279/2], [-5/2, 1/2]], [[2000586, 843318], [4019811/2, 847226], [2000586, 843318], [9/2, -2]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[-279, -117]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39/4, -15/4], [-3/4, -3/4], [0, 0]], [[1/2, 1/2], [51/4, -39/4], [-25/4, 5/4], [1/4, 1/4]], [[0, 0], [17/4, 5/4], [1/4, 1/4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -1], [2, -1], [0, 0]], [[-11/2, 1/2], [-61/4, -163/4], [-81/4, 9/4], [-11/4, 1/4]], [[-72, -27], [-10593/4, -4629/4], [-969/4, -357/4], [-36, -27/2]]], 0, 324, [], [] >,
< [ -8, -1, 1 ], [[42, 18]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[26, 11], [-73, -30], [26, 11], [0, 0]], [[-3693/2, -1557/2], [5193, 8735/4], [-3711/2, -777], [-3/2, 1/4]], [[396, -132], [32429/2, -19069/4], [-15705, 9285/2], [-5367/2, 3183/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[477/2, 201/2], [-5951/2, -2611/2], [477/2, 201/2], [0, 0]], [[-756, 6], [-21595557/34, 13007037/68], [-14139/17, 171/34], [39/34, 1/68]], [[32585/2, 37373/2], [-23709156, 6714594], [36479/2, 41267/2], [-59/2, -59/2]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[42, 18]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [91/4, 29/4], [19/4, 1/4], [0, 0]], [[103/2, 43/2], [4135/4, -847/4], [2715/4, -795/4], [103/4, 43/4]], [[-62, -31], [82549/4, -24987/4], [62325/4, -18495/4], [-31, -31/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [839/4, 27/4], [-25/4, -1/4], [0, 0]], [[-7/2, 1/2], [2877331/68, -149597/68], [-85073/68, 3799/68], [-7/68, 1/68]], [[0, 0], [-1977, -1220], [61, 37], [0, 0]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[42, 18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -1/2], [93/2, 33/2], [11/2, -1/2], [0, 0]], [[945, -273], [1293, -369/2], [943, -268], [-1, 5/2]], [[931, -14], [21323/2, 8105/2], [1148, 81], [217/2, 95/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-183/2, -3/2], [132671/34, 76451/34], [-183/34, -3/34], [0, 0]], [[398713, -118244], [220839351/34, -65441403/34], [398798/17, -118329/17], [5/2, -5/2]], [[-135072, 39186], [-69399153/34, 11984733/17], [-141379/17, 36568/17], [-371/2, -77]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[-1052994, -443874]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, 3/2], [2101/2, 877/2], [27/2, 3/2], [0, 0]], [[167557, -49655], [178297, -48911], [167555, -49657], [1, 1]], [[-243517, 142893/2], [-767687/2, 71079/4], [-243432, 71484], [-85/2, -75/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 2], [596, 251], [5, 2], [0, 0]], [[235, -143/2], [1085/2, -633/4], [236, -70], [-1/2, -3/4]], [[-27/2, 49/2], [-275/2, 21/2], [-83/2, 25/2], [14, 6]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-66, -30]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-37, -1], [160, 82], [-37, -1], [0, 0]], [[59367/2, -17595/2], [29518, -8807], [59361/2, -17601/2], [-1/2, -1/2]], [[4035, -1005], [1415/2, -2400], [3822, -1095], [-71/2, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, 3/2], [-1709/2, -731/2], [33/2, 3/2], [0, 0]], [[-194931, 57783], [-372931/2, 114639/2], [-194916, 57792], [5/2, 3/2]], [[-387200, 107800], [1162093/2, 508142], [-380921, 110452], [2093/2, 442]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[-1052994, -443874]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1], [1675/2, 353], [5/2, 1], [0, 0]], [[0, 0], [-5/2, -1], [0, 0], [1/2, -1]], [[0, 0], [-21, -9], [0, 0], [-12, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, 3/2], [1651/2, 685/2], [33/2, 3/2], [0, 0]], [[-71939/2, 10665], [-36116, 42769/4], [-71929/2, 21329/2], [-5/2, 1/4]], [[-33391/2, 10547/2], [-21643/2, 7792], [-34111/2, 10241/2], [180, 153/2]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[-66, -30]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35/2, -5/2], [8561/2, 3599/2], [-35/2, -5/2], [0, 0]], [[-192062, 56953], [384621/2, -113955/2], [-192062, 56953], [-5/2, -3/2]], [[375973/2, -111449/2], [-396441/2, 51537], [375973/2, -111449/2], [458, 387/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[71/2, 5/2], [2581/2, 1063/2], [71/2, 5/2], [0, 0]], [[-532672, 157934], [-535930, 157379], [-532672, 157934], [-1, 0]], [[51968, -16240], [-55763/2, -49981], [51968, -16240], [-33/2, -7]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[196005, 82623]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[757/2, 319/2], [3/2, 0], [3/2, 0], [757/4, 319/4]], [[-143/2, -47/2], [-463/4, 137/4], [-463/4, 137/4], [-143/4, -47/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99/4, 45/4], [-5/4, 1/4], [0, 0]], [[131/2, 55/2], [-48, 3], [-30, 9], [131/4, 55/4]], [[7, 7], [1168, -697/2], [1091, -647/2], [7/2, 7/2]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[3354987, 1414245]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-525/4, -199/4], [-57/4, -3/4], [0, 0]], [[11/2, -2], [-8741/2, 2177/2], [-7689/2, 1128], [11/4, -1]], [[-52, -22], [-31214, -13100], [-1877, -737], [-26, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3841/4, 1603/4], [25/4, -5/4], [0, 0]], [[1, -3/2], [733/4, 583/4], [-279/4, 69/4], [1/2, -3/4]], [[125/2, 25], [-40051/4, -16693/4], [513/4, 345/4], [125/4, 25/2]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[3354987, 1414245]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1055/4, 425/4], [59/4, 5/4], [0, 0]], [[-1, 1/2], [-97989/4, 28893/4], [-98517/4, 29211/4], [-1/2, 1/4]], [[-19/2, -4], [8673/4, 4075/4], [-411/4, 249/4], [-19/4, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6881/4, -2915/4], [47/4, 5/4], [0, 0]], [[1/2, 0], [1541019/2, -468799/2], [1600303/2, -237250], [1/4, 0]], [[0, 0], [-95585/4, -36191/4], [-5525/4, 1885/4], [0, 0]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[498, 210]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[29/2, 5/2], [-3/2, 9/2], [29/2, 5/2], [0, 0]], [[6435/2, 1845/2], [691, 1817/2], [6465/2, 1857/2], [5/2, 1]], [[-7425, -4455], [-16251/2, -6159/4], [-7476, -8955/2], [-17/2, -15/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, -5/2], [-963/2, 63/2], [13/2, -5/2], [0, 0]], [[15975/2, 135/2], [7718886/17, 5761341/17], [269793/34, 2229/34], [27/34, 1/34]], [[-1297400, -558350], [-8704413305/34, -7303624735/68], [-21897235/17, -18847841/34], [-4805/34, -4123/68]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[498, 210]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39/2, 12], [-13/2, 1], [0, 0]], [[2, 1], [-7/4, 15/4], [-23/4, 7/4], [1, 1/2]], [[-3/2, -1/2], [-13/2, 0], [-7/2, 1], [-3/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2223/4, -51/4], [-7/4, 5/4], [0, 0]], [[54, 2], [-1590281/68, -1739241/68], [26007/68, 627/68], [27/17, 1/17]], [[2849/2, 1225/2], [-177652027/68, -74268033/68], [658473/68, 283551/68], [2849/68, 1225/68]]], 1, 108, [], [] >,
< [ -8, -1, 1 ], [[498, 210]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31/2, 13/2], [-25/2, -13/2], [93/2, 39/2], [0, 0]], [[-46, -19], [-91/2, 58], [-205, -75], [3/2, 2]], [[359/2, 153/2], [-975/2, -33], [1437/2, 657/2], [-18, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-58, 1], [38553/17, 37398/17], [-174/17, 3/17], [0, 0]], [[-9587, 2844], [-15945217/34, 2364400/17], [-28752/17, 8525/17], [-5/2, 1]], [[-2855/2, 933/2], [-71995, 43801/2], [-531/2, 153/2], [27/2, 6]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[498, 210]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19, -8], [-80, -35], [-57, -24], [0, 0]], [[-371/2, -155/2], [-1777/2, -296], [-1097/2, -467/2], [1, -1/2]], [[-331, -139], [-2961/2, -1125/2], [-985, -417], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-67/2, -5/2], [-131667/34, -36183/34], [-201/34, -15/34], [0, 0]], [[-395376, 117237], [-657377897/34, 194847205/34], [-1186221/17, 351654/17], [3/2, 3/2]], [[1258057/2, -373043/2], [522914096/17, -310012613/34], [3774389/34, -1118981/34], [-3/2, -2]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[-12366954, -5213106]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[62, 26], [103, 43], [186, 78], [0, 0]], [[-137/2, -63/2], [-209, -193/2], [-403/2, -199/2], [-5/2, 1]], [[-11031/2, 1635], [-35297/2, 20927/4], [-61181/2, 18139/2], [4314, -5117/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, 6], [-767, -323], [42, 18], [0, 0]], [[99, 93/2], [-10603/2, -8891/4], [300, 135], [-1/2, 3/4]], [[46451/2, -13773/2], [117029/2, -34771/2], [83265/2, -24687/2], [4674, -1386]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[-810, -342]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2403/2, -1013/2], [-8557/2, -3607/2], [-7209/2, -3039/2], [0, 0]], [[-64593/2, -27219/2], [-114967, -48469], [-193729/2, -81643/2], [-1/2, -3/2]], [[316535/2, 133391/2], [563410, 475049/2], [949367/2, 400103/2], [7/2, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-733, -309], [-2230, -940], [-2199, -927], [0, 0]], [[-3485, -1469], [-21207/2, -4473], [-10470, -4407], [-5/2, 0]], [[-5079/2, -2141/2], [-7731, -3258], [-15243/2, -6429/2], [-1/2, -1/2]]], 0, 432, [], [] >,
< [ -8, -1, 1 ], [[2301993, 970371]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-95/4, -59/4], [-3/4, -15/4], [0, 0]], [[-35/2, -15/2], [-27225/4, 11173/4], [-21877/4, 7193/4], [-35/4, -15/4]], [[-31, -13], [12081/2, -951/2], [6939/2, -1455/2], [-31/2, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [143/4, 71/4], [-9/4, 3/4], [0, 0]], [[117/2, 49/2], [-99/4, -49/4], [509/4, 215/4], [117/4, 49/4]], [[-1110, -465], [472, 232], [-2415, -1020], [-555, -465/2]]], 1, 108, [], [] >,
< [ -8, -1, 1 ], [[355553582, 149878338]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1138, -480], [41, 17], [0, 0]], [[-95221, -40139], [-90436, -38132], [-95383, -40217], [-95221, -40139]], [[35449/2, 14943/2], [34005/2, 14275/2], [35585/2, 14943/2], [35449/2, 14943/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1635, 659], [106, 44], [0, 0]], [[1509/2, 3/2], [-7012113/34, 944149/34], [-216959/34, -4837/34], [1509/34, 3/34]], [[-105930, -46174], [259239695/17, 118647163/17], [16302091/17, 7079979/17], [-105930/17, -46174/17]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[2071, 873]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-7, -2], [-13/2, -9/2], [-13/2, -9/2], [-7, -2]], [[-2465/2, -1037/2], [-3879/2, -1639/2], [-3879/2, -1639/2], [-2465/2, -1037/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1087/2, -423/2], [11/2, 1/2], [0, 0]], [[47/2, 3/2], [37318939/34, -10231323/34], [-3741131/34, 1104841/34], [47/34, 3/34]], [[64335/2, 27165/2], [3077209827/34, 1367472999/34], [-7131021/34, -10269919/34], [64335/34, 27165/34]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[-107, -45]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2881/2, 1211/2], [11/2, 1/2], [0, 0]], [[7, 1], [19647, -6125], [21196, -6286], [7, 1]], [[2779/2, 1169/2], [-122228, -60550], [12992, -4060], [2779/2, 1169/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [365929/2, 154279/2], [19/2, 5/2], [0, 0]], [[353/2, 3/2], [3492908100/17, -1036084206/17], [-388496457/17, 115202741/17], [353/34, 3/34]], [[-936250, -393760], [-37781974333/17, 15120965521/17], [4810518952/17, -1424989866/17], [-936250/17, -393760/17]]], 0, 24, [], [] >,
< [ -8, -1, 1 ], [[-107, -45]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [621/2, 259/2], [7/2, 5/2], [0, 0]], [[1/2, -1/2], [-17655, 5175], [12980, -3850], [1/2, -1/2]], [[31/2, 13/2], [1694, 1274], [616, -154], [31/2, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [242449/2, 102175/2], [-9/2, 1/2], [0, 0]], [[217/2, 3/2], [291544498/17, -86164054/17], [-54139522/17, 16054202/17], [217/34, 3/34]], [[250469, 105343], [7434898561/34, 879852631/34], [-584806611/34, 172667783/34], [250469/17, 105343/17]]], 0, 24, [], [] >,
< [ -8, -1, 1 ], [[242, 102]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, -5/2], [69/2, 29/2], [-13/2, -5/2], [0, 0]], [[445/2, -131/2], [-107/2, 11], [445/2, -131/2], [2, 3/2]], [[2024, -616], [-415/2, 222], [2024, -616], [-209/2, -38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-58, 1], [130391/17, 47918/17], [-58/17, 1/17], [0, 0]], [[31203, -9254], [-17261761/34, 5130881/34], [31203/17, -9254/17], [-1/2, 3/2]], [[-314709/2, 93287/2], [43681572/17, -25729421/34], [-314709/34, 93287/34], [79/2, 8]]], 1, 6, [], [] >,
< [ -8, -1, 1 ], [[1213550, 511554]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12547, 5289], [12622, 5320], [12547, 5289], [0, 0]], [[698355/2, 294381/2], [351287, 148048], [698357/2, 294391/2], [1/2, 5/2]], [[9189/2, -2565/2], [2999131/2, -889187/2], [-417499/2, 123963/2], [-106672, 31632]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-693/2, -3/2], [517001/34, 137851/34], [-693/34, -3/34], [0, 0]], [[90865/2, -26945/2], [-740203, 219528], [5359/2, -1579/2], [7/2, 3/2]], [[71145/2, -21097/2], [-1159183/2, 343739/2], [4185/2, -1241/2], [0, 0]]], 0, 24, [], [] >,
< [ -8, -1, 1 ], [[1213550, 511554]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1/2], [4795/2, 2021/2], [-3/2, -1/2], [0, 0]], [[0, 0], [-105/2, 29/2], [0, 0], [-11/2, -1/2]], [[0, 0], [-463, 176], [0, 0], [82, 53]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[116, -2], [411211/17, 164757/17], [116/17, -2/17], [0, 0]], [[-4968367, 1473295], [-1675635739/34, 496875097/34], [-4968367/17, 1473295/17], [1/2, 1/2]], [[-40802255/2, 12099295/2], [-3440276772/17, 1020123971/17], [-40802255/34, 12099295/34], [11/2, 7/2]]], 0, 24, [], [] >,
< [ -8, -1, 1 ], [[-2236658, -942830]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[325, 137], [2486, 1048], [325, 137], [0, 0]], [[1249/2, 264], [4710, 7931/4], [1255/2, 529/2], [-3/2, -1/4]], [[-5959/2, 884], [20917/2, -12391/4], [101/2, -29/2], [-1515, 1797/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1262, 532], [1141, 481], [1262, 532], [0, 0]], [[525/2, 110], [531/2, 449/4], [521/2, 217/2], [-1, -3/4]], [[-2465/2, 731/2], [629, -373/2], [-4947/2, 1467/2], [-1241/2, 184]]], 1, 8, [], [] >,
< [ -8, -1, 1 ], [[-2, -14]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[59772, 25196], [61933, 26107], [59772, 25196], [0, 0]], [[469121/2, 197751/2], [486009/2, 204867/2], [469121/2, 197759/2], [0, -2]], [[0, 0], [-306537/2, 90899/2], [306537, -90899], [-306537/2, 90899/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 5/2], [32129/2, 13543/2], [11/2, 5/2], [0, 0]], [[997167/2, -295695/2], [-691184, 205077], [997177/2, -295701/2], [5/2, -3/2]], [[-2509451/2, 744107/2], [3345837/2, -1088205/2], [-2507747/2, 744851/2], [426, 186]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[-146, -62]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, -1], [2082, 874], [-11, -1], [0, 0]], [[-54695/2, 16219/2], [54697/2, -8111], [-54691/2, 16213/2], [1, -3/2]], [[1776763/2, -526875/2], [-888048, 527281/2], [1778097/2, -526063/2], [667/2, 203]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -5/2], [727/2, 69/2], [-7/2, -5/2], [0, 0]], [[-6805, 25], [-12101181/34, 6311571/34], [-115650/17, 420/17], [35/34, -5/34]], [[229400, 111000], [-419210297/34, -60155442/17], [3899263/17, 1886676/17], [-537/34, -162/17]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[-146, -62]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21723/2, 9157/2], [21239/2, 8953/2], [21723/2, 9157/2], [0, 0]], [[1411995/2, 595205/2], [690148, 290922], [1412001/2, 595207/2], [3/2, 1/2]], [[-1394250, -587730], [-2725931/2, -574532], [-1394249, -587734], [1/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11126, -4690], [144773, 60967], [-11126, -4690], [0, 0]], [[-1393/2, -31/2], [1593821103/17, -945154309/34], [-23591/34, -535/34], [45/34, -2/17]], [[440058, 221062], [407398032619/34, -60478099771/17], [7464473/17, 3748156/17], [-16513/34, -4949/17]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[-146, -62]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -2], [-23015, -9703], [-8, -2], [0, 0]], [[-451923/2, 134011/2], [450223/2, -66856], [-451915/2, 134001/2], [2, -5/2]], [[-373761, 110833], [742585/2, -222067/2], [-373794, 110808], [-33/2, -25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3613/2, 1523/2], [-47193/2, -19791/2], [3613/2, 1523/2], [0, 0]], [[-2370, -78], [681472361/34, -100860697/17], [-43755/17, -1392/17], [105/34, 1/17]], [[-1163673/2, -673839/2], [-33719508882/17, 10116182475/17], [-21383139/34, -12407577/34], [24253/34, 14429/34]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[-62, -26]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -1], [-41, -20], [4, -1], [0, 0]], [[37/2, -11/2], [45/2, -7/2], [41/2, -7/2], [1, 1]], [[0, 0], [-1/2, -1/4], [-1, -1/2], [-1/2, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -1/2], [-639/2, -21/2], [-11/2, -1/2], [0, 0]], [[-643/2, 11/2], [-351304/17, 93123/68], [-10785/34, 94/17], [73/34, 1/68]], [[-405697/2, -131905/2], [-382452991/34, -227382741/68], [-6798569/34, -1104676/17], [24570/17, 33033/68]]], 1, 8, [], [] >,
< [ -8, -1, 1 ], [[-146, -62]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [459/4, 213/4], [-53/4, -3/4], [0, 0]], [[15/2, 1/2], [-60035, 17591], [-59182, 17562], [15/4, 1/4]], [[-351/2, -221/2], [-3209553/4, 1002237/4], [-3254301/4, 962041/4], [-351/4, -221/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-281/2, -11/2], [27/2, 1/2], [0, 0]], [[129, 1], [-818473/68, 22973/68], [59711/68, -2483/68], [129/34, 1/34]], [[-49815/2, -29725/2], [131553601/68, 85533875/68], [-8868515/68, -5998777/68], [-49815/68, -29725/68]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[-146, -62]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[45/2, 3/2], [307/2, 113/2], [45/2, 3/2], [0, 0]], [[210639, -62271], [219520, -62712], [210635, -62271], [-2, 0]], [[81499, -60467], [-991059/2, -612663/2], [81812, -60334], [313/2, 133/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1019/2, -5/2], [-164351/34, 48323/34], [-1019/34, -5/34], [0, 0]], [[-19027386, 5642538], [-310050533, 91940886], [-1119246, 331916], [6, 1]], [[36509506, -10749746], [1186343517/2, -351792631/2], [2149993, -631331], [2375/2, 1007/2]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[-146, -62]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, -1/2], [3255/2, 1369/2], [-19/2, -1/2], [0, 0]], [[-10565/2, 3133/2], [2304, -706], [-10535/2, 3143/2], [15/2, 5/2]], [[-2500, 740], [3813/2, 21/2], [-2833, 599], [-333/2, -141/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-489/2, -3/2], [3742383/34, 1546577/34], [-489/34, -3/34], [0, 0]], [[-196016600, 58125808], [59769203613/34, -17723423665/34], [-196016651/17, 58125791/17], [-3/2, -1/2]], [[711026784, -210845232], [-216765524529/34, 64306758771/34], [711021701/17, -210847391/17], [-299/2, -127/2]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[-62, -26]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, -5/2], [231/2, 99/2], [-17/2, -5/2], [0, 0]], [[-2736, 810], [-4037/2, 1237/2], [-2731, 813], [5/2, 3/2]], [[-234, 54], [331/2, 184], [-163, 84], [71/2, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-133, 2], [-13976/17, 10193/17], [-133/17, 2/17], [0, 0]], [[-1721315/2, 510427/2], [-238411112/17, 141394433/34], [-1721485/34, 510427/34], [-5/2, 0]], [[33027/2, -9993/2], [9212025/34, -2741541/34], [28675/34, -11829/34], [-64, -27]]], 1, 16, [], [] >,
< [ -8, -1, 1 ], [[27291678, 11504402]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12547, 5289], [35438, 14938], [12547, 5289], [0, 0]], [[-38803/2, -16357/2], [-109535/2, -46207/2], [-38803/2, -16353/2], [0, 1]], [[1113/2, -321/2], [110519, -32760], [-22149/2, 6577/2], [-11631/2, 3449/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14739/2, 6213/2], [-278021/2, -118039/2], [14739/2, 6213/2], [0, 0]], [[-2801/2, 33/2], [-1781431971/17, 528370433/17], [-47371/34, 555/34], [-41/34, 1/34]], [[102136, 42772], [1597493665/34, -515199143/34], [1727747/17, 723539/17], [2855/34, 1195/34]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[613765966, 258723938]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[704067/2, 296789/2], [706647/2, 297877/2], [704067/2, 296789/2], [0, 0]], [[-922324, -388792], [-925626, -390165], [-922274, -388792], [-5, 0]], [[284, -84], [-96861863/2, 28722949/2], [54002429, -16013619], [-10800429/2, 3202707/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[488531/2, 205933/2], [7332341/2, 3088999/2], [488531/2, 205933/2], [0, 0]], [[7405/2, 315/2], [-14884797828/17, 4414166775/17], [109555/34, 4929/34], [115/34, 3/34]], [[-83025/2, -53015/2], [-191146986837/34, 56663199645/34], [-1242729/34, -788791/34], [-594/17, -396/17]]], 0, 2880, [], [] >,
< [ -8, -1, 1 ], [[-18, -126]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-33/2, 1/2], [-394877/2, -166475/2], [-99/2, 3/2], [0, 0]], [[-328968425/2, 97550705/2], [225654276, -66935784], [-986905337/2, 292652113/2], [31/2, 1/2]], [[-1523218976, 451688352], [4212425805/2, -1225798503/2], [-4569649329, 1355068371], [-7599/2, -3315/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29, 1], [-6, -42], [-29, 1], [0, 0]], [[27, 513], [12531/2, 2283/2], [16, 514], [-11/2, 1/2]], [[-686475/2, -285525/2], [-3905169/2, -1657671/2], [-683579/2, -284261/2], [724, 316]]], 0, 20736, [], [] >,
< [ -8, -1, 1 ], [[-26268570, -11073126]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5238, 2208], [2835, 1195], [5238, 2208], [0, 0]], [[-86247/2, -18177], [-23540, -39675/4], [-86245/2, -36355/2], [-1/2, 1/4]], [[58387/2, -8661], [220119/2, -130555/4], [7995/2, -2379/2], [12598, -14943/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13847/2, 5837/2], [12215/2, 5149/2], [13847/2, 5837/2], [0, 0]], [[5877/2, 2477/2], [5129/2, 1081], [5857/2, 2467/2], [-1, -1/2]], [[21213, -12581/2], [13615/2, -8075/4], [113858, -33763], [18529/2, -10989/4]]], 1, 32, [], [] >,
< [ -8, -1, 1 ], [[-234, -102]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-987659/2, -416333/2], [-985605/2, -415467/2], [-987659/2, -416333/2], [0, 0]], [[140152599/2, 59079249/2], [139861873/2, 58956705/2], [140152635/2, 59079249/2], [-3, 0]], [[-85455/2, 25335/2], [159521901, -47303856], [-654998277/2, 194230017/2], [109152137/2, -32367447/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, -3/2], [13969/2, 5895/2], [27/2, -3/2], [0, 0]], [[-304180, 90200], [277833/2, -82635/2], [-304171, 90185], [3/2, -5/2]], [[5334956, -1582000], [-2434121, 725633], [5335028, -1581640], [12, 60]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[261, 99]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 10], [-1, -1], [0, 0]], [[1, 1], [2869/4, -809/4], [-111/4, 27/4], [1/2, 1/2]], [[-363/2, -153/2], [-4519/4, -1957/4], [553/4, 235/4], [-363/4, -153/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, -2], [37, 1], [0, 0]], [[18, 0], [-125977/4, -20635/4], [-88465/4, -19411/4], [9, 0]], [[1811/2, 761/2], [-9809509/4, -4129927/4], [-7719161/4, -3251075/4], [1811/4, 761/4]]], 0, 5184, [], [] >,
< [ -8, -1, 1 ], [[30, 18]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-449711/2, -189569/2], [-451495/2, -190321/2], [-449711/2, -189569/2], [0, 0]], [[-277137/2, -116823/2], [-139112, -117283/2], [-277131/2, -116811/2], [-1/2, -1]], [[0, 0], [1/2, 0], [-3, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[139725, 58899], [-1816380, -765688], [139725, 58899], [0, 0]], [[-8425/2, -175/2], [-47590989, 28259537/2], [-8563/2, -175/2], [-1/2, 0]], [[-843375/2, -357825/2], [1295912345/34, -250010189/34], [-14557071/34, -6176313/34], [-796/17, -338/17]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[30, 18]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, -2], [25849, 10905], [16, -2], [0, 0]], [[10158834, -3012450], [-20272607/2, 3016056], [10158837, -3012438], [1/2, 2]], [[-38565639/2, 11435067/2], [29102145/2, -7700949], [-38577399/2, 11430069/2], [-980, -833/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[37, 1], [-1092, -10], [37, 1], [0, 0]], [[2009089/2, 10879/2], [-1011049223/34, 6127187/17], [34152005/34, 185141/34], [19/17, -3/34]], [[1934422037, 819049337], [-1833372781703/34, -388315308208/17], [32883437542/17, 13923101047/17], [52639/34, 11177/17]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[30, 18]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29/2, 1/2], [76611/2, 32281/2], [-29/2, 1/2], [0, 0]], [[8842113/2, -2621997/2], [-4425297, 2621321/2], [8842107/2, -2621997/2], [-1/2, 0]], [[77259/2, -22911/2], [-67327/2, 27123/2], [77259/2, -22911/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -5/2], [-373/2, 73/2], [1/2, -5/2], [0, 0]], [[-5055, -105], [1621487/17, -1475615/34], [-89829/17, -1950/17], [59/17, 5/34]], [[-3045375, -1294353], [-1001311673/34, -407185849/34], [-54278418/17, -23068548/17], [75971/34, 32259/34]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[726, 306]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, 5/2], [-799/2, -339/2], [17/2, 5/2], [0, 0]], [[-80938, 24002], [-164085/2, 97039/4], [-80953, 47989/2], [-5/2, -5/4]], [[182875/2, -54131/2], [175979/2, -58671/2], [181303/2, -54791/2], [-131, -55]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, -1], [531, -20], [8, -1], [0, 0]], [[-109599/2, 189/2], [-68843171/17, -28264219/68], [-1857045/34, 1689/17], [-93/34, -5/68]], [[658290745, 275794981], [2235937991855/34, 1878625353093/68], [11150520140/17, 9343127629/34], [1224925/34, 1027325/68]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[30, 18]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1325/4, -579/4], [59/4, 5/4], [0, 0]], [[-1/2, 1/2], [-29723/4, 8627/4], [-28599/4, 8487/4], [-1/4, 1/4]], [[-59/2, -25/2], [17851/4, 5657/4], [1999/4, -971/4], [-59/4, -25/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1617/4, -15/4], [127/4, 1/4], [0, 0]], [[-177/2, 1/2], [-246436203/68, 2340019/68], [19370169/68, -210537/68], [-177/68, 1/68]], [[-94667/2, -40201/2], [-130047706529/68, -55234846851/68], [10172617587/68, 4320852513/68], [-94667/68, -40201/68]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[30, 18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-103/2, -1/2], [63/2, 69/2], [-103/2, -1/2], [0, 0]], [[-1814, 538], [-3631/2, 1091/2], [-1815, 543], [-1/2, 5/2]], [[-33239/2, 9871/2], [-15889, 5318], [-32265/2, 10381/2], [487/2, 255/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-612, 0], [-52405, -17887], [-36, 0], [0, 0]], [[-47346353/2, 14039857/2], [-13114945833/34, 3889040151/34], [-47345945/34, 14039925/34], [6, 1]], [[-54743063/2, 16233247/2], [-7581912789/17, 2248306656/17], [-54743505/34, 16232941/34], [-13/2, -9/2]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[30, 18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -3/2], [15259/2, 6445/2], [15/2, -3/2], [0, 0]], [[211297/2, -62657/2], [-145072, 42968], [211299/2, -62659/2], [1/2, -1/2]], [[395096, -117160], [-1088939/2, 319741/2], [395073, -117175], [-23/2, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[673, 1], [-11032168/17, -4691332/17], [673/17, 1/17], [0, 0]], [[-10929149385/2, 3240877101/2], [-1580655690763/34, 468720767507/34], [-10929148977/34, 3240877237/34], [6, 2]], [[33413864253, -9908385795], [9665138222083/34, -2866050867761/34], [33413864678/17, -9908385506/17], [25/2, 17/2]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[726, 306]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, 0], [-880, -367], [-9, 0], [0, 0]], [[-54719/2, 16219/2], [-59297/2, 7964], [-54727/2, 16209/2], [-2, -5/2]], [[385063/2, -114317/2], [179204, -137093/2], [384677/2, -114433/2], [-193/2, -29]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-265, -1], [-1260804/17, -500808/17], [-265/17, -1/17], [0, 0]], [[-176624935/2, 52375475/2], [-48924641195/34, 7253777825/17], [-176624935/34, 52375441/34], [0, -1/2]], [[-77225367/2, 22900041/2], [-10695486507/17, 6343219557/34], [-77225333/34, 22900041/34], [1/2, 0]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[6, 42]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -5/2], [-79233/2, -33399/2], [-11/2, -5/2], [0, 0]], [[0, 0], [-1160, 360], [6, -6], [1, -1]], [[0, 0], [2279/2, 2879/2], [-639, -279], [-213/2, -93/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[60, 0], [449771, 189629], [60, 0], [0, 0]], [[-339841385/2, 100774921/2], [466339765/2, -138291769/2], [-339841433/2, 100774897/2], [-4, -2]], [[-2528782685, 749872981], [6939709161/2, -2058254715/2], [-2528784476, 749872198], [-597/2, -261/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[6, 42]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-131/2, -5/2], [43889/2, 18551/2], [-131/2, -5/2], [0, 0]], [[-13422265, 3980177], [-26863163/2, 7960945/2], [-13422262, 3980180], [-1/2, -1/2]], [[75766509/2, -22467861/2], [76227393/2, -22297419/2], [75765849/2, -22468149/2], [55, 24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-75/2, 3/2], [297509/2, 125363/2], [-75/2, 3/2], [0, 0]], [[72954037/2, -21633437/2], [-100128083/2, 29686717/2], [72954073/2, -21633461/2], [3, -2]], [[-6341631/2, 1880511/2], [4395021, -1272093], [-6341397/2, 1880613/2], [39/2, 17/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-87, -33]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [189/4, 131/4], [-127/4, -1/4], [0, 0]], [[17/2, -1/2], [-1015575/4, 308775/4], [-1052467/4, 310523/4], [17/4, -1/4]], [[-549/2, -231/2], [-972309/4, -447671/4], [265091/4, 73049/4], [-549/4, -231/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1177/2, -499/2], [5/2, -1/2], [0, 0]], [[9/2, -1/2], [-1485/2, 333/2], [-1465/2, 437/2], [9/4, -1/4]], [[-2345/2, -987/2], [301845/4, 126639/4], [-6315/4, -3321/4], [-2345/4, -987/4]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[8526, 3594]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, 1], [55, -2], [16, 1], [0, 0]], [[36855/2, 4875/2], [60013, 7681/4], [36885/2, 2442], [5/2, 3/4]], [[-302445/2, -45045/2], [-971709/2, -24012], [-302697/2, -45123/2], [-21, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, -1/2], [803/2, -13/2], [23/2, -1/2], [0, 0]], [[10512, -144], [12752127/34, 361485/68], [179661/17, -4929/34], [-29/34, 1/68]], [[-343356, -113316], [-224471498/17, -76784855/17], [-5868006/17, -1936536/17], [469/17, 154/17]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[438, 186]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-107/2, -5/2], [-61/2, -19/2], [-107/2, -5/2], [0, 0]], [[96285, 41895], [98766, 83745/2], [96285, 41880], [0, 5/2]], [[3201415, 1359505], [6490683/2, 1369854], [3200890, 1359169], [175/2, 56]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-46, 2], [689, -25], [-46, 2], [0, 0]], [[-34830, 162], [17830621/34, 30572/17], [-593697/17, 2478/17], [-23/34, -2/17]], [[491103/2, 679185/2], [-68518029/17, -88166565/17], [8415681/34, 11586855/34], [485/34, 295/34]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[438, 186]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1/2], [510247/2, 215089/2], [7/2, 1/2], [0, 0]], [[2595618, -769692], [-5175393/2, 768894], [2595615, -769680], [-1/2, 2]], [[-202549711/2, 60063107/2], [100629071, -30142351], [-202554301/2, 60060137/2], [-765/2, -495/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 1/2], [2929/2, -5/2], [19/2, 1/2], [0, 0]], [[3228, 132], [8513394/17, -221847/34], [52962/17, 2277/17], [29/17, -1/34]], [[-14300, -8324], [-58290817/34, -19199180/17], [-236665/17, -137218/17], [-195/34, -65/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[438, 186]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 5/2], [-328095/2, -138309/2], [-1/2, 5/2], [0, 0]], [[-865351, 256607], [1730539/2, -256444], [-865336, 256613], [5/2, 1]], [[48193215/2, -14290983/2], [-24088029, 7143612], [48193329/2, -14290917/2], [19/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[71/2, 5/2], [-5003/2, -65/2], [71/2, 5/2], [0, 0]], [[-33465/2, -1455/2], [20020192/17, -276314/17], [-574251/34, -24933/34], [81/34, 3/34]], [[33756, 22116], [-58755467/34, -23249245/17], [579099/17, 379470/17], [-159/34, -53/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[438, 186]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1693, 703], [23, -1], [0, 0]], [[-11/2, -1/2], [971675/4, -290343/4], [978055/4, -290051/4], [-11/4, -1/4]], [[10, 6], [939271/4, -269527/4], [930047/4, -275695/4], [5, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-769/4, -7/4], [-65/4, 1/4], [0, 0]], [[-339/2, -5/2], [-10421677/68, -301187/68], [-959625/68, -2607/68], [-339/68, -5/68]], [[-91056, -54958], [-2983475379/34, -1749459995/34], [-243334887/34, -150880875/34], [-45528/17, -27479/17]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[8526, 3594]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -2], [514, 217], [-15, -6], [0, 0]], [[-67/2, -23/2], [1955/2, 403], [-45/2, -47/2], [1, -5/2]], [[268, 87], [-15243/2, -3123], [133, 195], [-33/2, 22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-55/2, 3/2], [-893495/34, -354881/34], [-165/34, 9/34], [0, 0]], [[1764489, -523235], [2932320991/34, -434829088/17], [5293472/17, -1569704/17], [-1/2, 0]], [[16099/2, -4777/2], [775413/2, -238359/2], [2841/2, -843/2], [0, 0]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[42757842, 18023934]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19531, -8233], [-59962, -25276], [-58593, -24699], [0, 0]], [[-2943145/2, -1240635/2], [-9035803/2, -3808849/2], [-8829403/2, -3721901/2], [-2, 0]], [[-9648, 2923], [-323989/2, 96455/2], [-10184, 3206], [-6667/2, 1977/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1155/2, 5/2], [3250317/34, 969687/34], [3465/34, 15/34], [0, 0]], [[139910156, -41488303], [232530043519/34, -68953558361/34], [419730471/17, -124464897/17], [-3/2, -3/2]], [[-154762009/2, 45894787/2], [-64296288620/17, 19072297765/17], [-464288001/34, 137683517/34], [299/2, 127/2]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[42757842, 18023934]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -3/2], [47895/2, 20193/2], [-3/2, -9/2], [0, 0]], [[-11819, 3506], [32515/2, -9821/2], [-35466, 10514], [5/2, 1/2]], [[3883/2, -1131/2], [-7195/2, 803/2], [11497/2, -3457/2], [14, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-313/2, 1/2], [-23562513/34, -9993231/34], [-939/34, 3/34], [0, 0]], [[553311439/2, -164076291/2], [-126534256967/17, 37521967375/17], [1659934211/34, -492228887/34], [13/2, 3/2]], [[1533778769/2, -454821415/2], [-350793413873/17, 103994231734/17], [4601352417/34, -1364457369/34], [-2439/2, -1035/2]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[8526, 3594]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -3/2], [-871/2, -367/2], [-21/2, -9/2], [0, 0]], [[-11/2, 1/2], [-226, -197/2], [-1/2, -3/2], [5/2, -1]], [[63/2, 21/2], [4087, 1726], [77/2, 35/2], [7/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-305/2, -5/2], [-479861/34, -99593/34], [-915/34, -15/34], [0, 0]], [[-131145/2, 38897/2], [-109003747/34, 16162942/17], [-393411/34, 116605/34], [-2, 3/2]], [[-46427, 12094], [-74740099/34, 10564489/17], [-115956/17, 46082/17], [-1075/2, -225]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[42757842, 18023934]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11126, 4690], [32175, 13563], [33378, 14070], [0, 0]], [[-129613/2, -54635/2], [-187345, -78979], [-388825/2, -163911/2], [-1/2, 1/2]], [[3352, -991], [-41377/2, 12287/2], [-17853, 5303], [6667/2, -1977/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[203/2, 5/2], [2543491/34, 1005217/34], [609/34, 15/34], [0, 0]], [[-73077449/2, 21670049/2], [-1786049977, 529640303], [-12896059/2, 3824131/2], [-9/2, 1/2]], [[823301/2, -244079/2], [343239604/17, -100922501/17], [2469423/34, -732443/34], [-7/2, -3/2]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[42757842, 18023934]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 5/2], [-33331/2, -14053/2], [21/2, 15/2], [0, 0]], [[1406405/2, -417055/2], [-964826, 286045], [4219175/2, -1251175/2], [-5/2, -5/2]], [[805887, -239246], [-1113148, 325049], [2416373, -718277], [-378, -161]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-54, -2], [15031015/17, 6326605/17], [-162/17, -6/17], [0, 0]], [[48077599/2, -14256705/2], [-646748710, 191782883], [8484303/2, -2515883/2], [-11/2, -3/2]], [[137909553/2, -40894029/2], [-63069008989/34, 18706849541/34], [413681967/34, -122701899/34], [699, 297]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[702, 306]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17339/2, 7309/2], [-513625/2, -216511/2], [52017/2, 21927/2], [0, 0]], [[162835/2, 68639/2], [-2447057, -1031522], [488487/2, 205917/2], [-3/2, -3/2]], [[-82551012, 24479278], [-280048631/2, 83044267/2], [125685623, -37270207], [-170775223/2, 50640859/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27, -1], [206446, 87010], [-81, -3], [0, 0]], [[-220242115/2, 65309531/2], [151154930, -44814517], [-660726291/2, 195928599/2], [9/2, 1/2]], [[2990695369/2, -886846361/2], [-4104447109/2, 1217360693/2], [8972086251/2, -2660538795/2], [12, 24]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-963, -405]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3185/4, -1367/4], [51/4, -3/4], [0, 0]], [[-31/2, -5/2], [147451/2, -44193/2], [148633/2, -44063/2], [-31/4, -5/4]], [[3925, 1475], [-6348647/2, 2056851/2], [-6620309/2, 1958725/2], [3925/2, 1475/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1188, -504], [15, 3], [0, 0]], [[-2, 0], [-413129/4, 124797/4], [-430177/4, 127541/4], [-1, 0]], [[-61/2, -23/2], [-281031/2, 123173/2], [-348211/2, 102881/2], [-61/4, -23/4]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[35449, 14943]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [139/2, 57/2], [9/2, 3/2], [0, 0]], [[-1, 0], [-393, 71], [-168, 47], [-1, 0]], [[-3/2, -1/2], [-699/2, -133/2], [-141/2, 21/2], [-3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7081, 2967], [0, 2], [0, 0]], [[35/2, -5/2], [-135121919/34, 39775255/34], [15059261/34, -4465635/34], [35/34, -5/34]], [[289, 119], [-4100785/2, -98875/2], [253499/2, -75327/2], [17, 7]]], 1, 6, [], [] >,
< [ -8, -1, 1 ], [[35449, 14943]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[17/2, 3/2], [-10, -2], [-10, -2], [17/2, 3/2]], [[-368, -144], [903/2, 357/2], [903/2, 357/2], [-368, -144]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-463, -220], [-2, 2], [0, 0]], [[197, 1], [5405107/34, -1480179/34], [-600395/34, 177323/34], [197/17, 1/17]], [[634729/2, 261239/2], [49855829/2, 12497995/2], [-1579993/2, 309397/2], [37337/2, 15367/2]]], 1, 8, [], [] >,
< [ -8, -1, 1 ], [[39, 17]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4103/2, 1729/2], [3/2, 5/2], [0, 0]], [[-9/2, -3/2], [-3421/2, 901/2], [21917/2, -6505/2], [-9/2, -3/2]], [[-71, -31], [2959, -1921], [-29722, 8760], [-71, -31]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45525/2, -19375/2], [47/2, 1/2], [0, 0]], [[-69/2, 5/2], [-2883567061/34, 855139561/34], [-293850115/34, 87136635/34], [-69/34, 5/34]], [[-16263/2, -7085/2], [19485935159/34, -5731651723/34], [1978764135/34, -586971435/34], [-16263/34, -7085/34]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[39, 17]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, 24], [33, -1], [0, 0]], [[5/2, -1/2], [-111813, 34035], [-113820, 33902], [5/2, -1/2]], [[-82, -36], [-821369/2, -196191/2], [-315613/2, 18321/2], [-82, -36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-61/2, -31/2], [-11/2, 3/2], [0, 0]], [[-224, -2], [-61633/17, -9429/17], [4256/17, 38/17], [-224/17, -2/17]], [[-7493/2, -3267/2], [-3068019/34, -1312697/34], [142367/34, 62073/34], [-7493/34, -3267/34]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[4142, 1746]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 1/2], [-147/2, -57/2], [-9/2, 1/2], [0, 0]], [[1919/2, -567/2], [2139/2, -261], [1911/2, -573/2], [-2, -3/2]], [[596, -82], [15407/2, 5805/2], [59, -309], [-537/2, -227/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[135/2, 5/2], [145525/34, 75727/34], [135/34, 5/34], [0, 0]], [[171408, -50832], [-47509664/17, 28158769/34], [171374/17, -50849/17], [-1, -1/2]], [[76272, -22728], [-43137685/34, 6114640/17], [75065/17, -23238/17], [-71/2, -15]]], 1, 6, [], [] >,
< [ -8, -1, 1 ], [[4142, 1746]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 2], [101, 45], [-2, 2], [0, 0]], [[876, -258], [1749/2, -329/2], [876, -258], [3/2, -3/2]], [[153/2, 99/2], [10767/2, 2284], [153/2, 99/2], [-63, -53/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[231/2, 1/2], [-311915/34, -104793/34], [231/34, 1/34], [0, 0]], [[9169405/2, -2719249/2], [-2538683199/34, 376686154/17], [9169405/34, -2719249/34], [0, -5/2]], [[-7092855/2, 2187999/2], [830593487/17, -733724575/34], [-7092855/34, 2187999/34], [2975/2, 629]]], 1, 8, [], [] >,
< [ -8, -1, 1 ], [[-506, -214]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -3/2], [859041/2, 362119/2], [-5/2, -3/2], [0, 0]], [[518957, -153889], [-1750554, 519110], [518957, -153889], [-10, -2]], [[336574, -99806], [-2274847/2, 671587/2], [336574, -99806], [2235/2, 945/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[462, 2], [-180927003/17, -76299597/17], [462/17, 2/17], [0, 0]], [[-40574565545/2, 12031785505/2], [-3420997808642/17, 1014446274100/17], [-40574565545/34, 12031785505/34], [-7/2, -5/2]], [[-22249606113/2, 6597790609/2], [-3751874655007/34, 1112581014787/34], [-22249606113/34, 6597790609/34], [-364, -154]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[-818, -350]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, -1/2], [-4854183/2, -2046193/2], [25/2, -1/2], [0, 0]], [[188043003/2, -55761363/2], [-129022750, 38260208], [188043017/2, -55761353/2], [7/2, 5/2]], [[-731593107, 216943083], [2007887251/2, -595413775/2], [-731593138, 216943054], [-31/2, -29/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1/2], [18345047/2, 7733089/2], [7/2, 1/2], [0, 0]], [[262235664, -77762096], [-884325395, 262234785], [262235632, -77762100], [-16, -2]], [[-13317841648, 3949208376], [89822765645/2, -26635398805/2], [-13317842609, 3949207489], [-961/2, -887/2]]], 0, 3072, [], [] >,
< [ -8, -1, 1 ], [[118, 58]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, 3/2], [-9398471/2, -3961753/2], [-19/2, 3/2], [0, 0]], [[9929969, -2944585], [59579439/2, -17667753/2], [9929962, -2944588], [-7/2, -3/2]], [[1346933/2, -399413/2], [4040623/2, -1198319/2], [1346933/2, -399413/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13, 1], [2028, 56], [-13, 1], [0, 0]], [[402303/2, -199/2], [-572379377/17, -63365824/17], [6839165/34, -3385/34], [7/34, -1/34]], [[-58613/2, -24739/2], [13500867/2, 5694981/2], [-58613/2, -24739/2], [0, 0]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[22, 10]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 0], [-19, -5], [4, 0], [0, 0]], [[-341/2, 49/2], [1131/2, 275/4], [-349/2, 26], [2, -3/4]], [[-32249, -13583], [584975/2, 493097/4], [-31862, -26839/2], [-387/2, -327/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -2], [15, 23], [4, -2], [0, 0]], [[680, 34], [-500591/34, -73001/17], [10339/17, 512/17], [37/34, 1/17]], [[1002763/2, 423405/2], [-626974505/34, -528765053/68], [15225503/34, 3214410/17], [13799/17, 23305/68]]], 1, 16, [], [] >,
< [ -8, -1, 1 ], [[22, 10]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27/2, -5/2], [-63/2, -9/2], [-27/2, -5/2], [0, 0]], [[-2140, -70], [-10551/2, 259/4], [-2141, -141/2], [-1/2, -1/4]], [[788, 318], [1689, 673], [788, 318], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, 3/2], [-675/2, -41/2], [17/2, 3/2], [0, 0]], [[33537, -77], [-26670689/17, 11518455/68], [570107/17, -2619/34], [-11/17, -1/68]], [[-95496345, -40331655], [5719786059/2, 4840086137/4], [-95492346, -80659933/2], [3999/2, 3377/4]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[118, 58]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-107/2, -5/2], [-504405/2, -212723/2], [-107/2, -5/2], [0, 0]], [[-1101014100, 326489400], [5411458887/2, -1604653527/2], [-1101014105, 326489405], [-5/2, 5/2]], [[737393400, -218663100], [-3624958749/2, 1074411409/2], [737393333, -218663133], [-67/2, -33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[122, 2], [241743823/17, 101882489/17], [122/17, 2/17], [0, 0]], [[1801441985/2, -534190897/2], [766590173743/34, -227320963115/34], [1801441509/34, -534190829/34], [-7, 1]], [[-794535477, 235607709], [-39777562785/2, 11795392293/2], [-46737514, 13859214], [-133/2, -63/2]]], 0, 1536, [], [] >,
< [ -8, -1, 1 ], [[1058, 446]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-73, -31], [-142, -60], [-73, -31], [0, 0]], [[-131, -53], [-487/2, -99], [-129, -61], [-1/2, 2]], [[-2885/2, -1175/2], [-5365/2, -1097], [-2885/2, -1339/2], [0, 41/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[367/2, 1/2], [296683/34, 82489/34], [367/34, 1/34], [0, 0]], [[-14471267/2, 4291327/2], [-117886692, 69923089/2], [-851239/2, 252431/2], [-3/2, 0]], [[-9510952, 2818376], [-5275706367/34, 779178580/17], [-9512754/17, 2817560/17], [53/2, 12]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[1058, 446]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-229, -97], [-102, -44], [-229, -97], [0, 0]], [[-227219/2, -95285/2], [-51724, -42551/2], [-227229/2, -95277/2], [-5/2, 2]], [[-7556259/2, -3169341/2], [-3438801/2, -1415737/2], [-7556571/2, -3169081/2], [-78, 65]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[81/2, 3/2], [145279/34, 52613/34], [81/34, 3/34], [0, 0]], [[-501904, 148832], [-278061667/34, 41227195/17], [-501819/17, 148832/17], [5/2, 0]], [[70784, -20992], [39206669/34, -5816705/17], [71175/17, -20822/17], [23/2, 5]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[126, 114]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-233/2, 1/2], [-10302053/2, -4342723/2], [-233/2, 1/2], [0, 0]], [[23778612606, -7051194822], [-21753743167/2, 6450816779/2], [23778612681, -7051194813], [25/2, 3/2]], [[-1224521877747/2, 363113798859/2], [280161140876, -83007236052], [-1224521696397/2, 363113876469/2], [30225/2, 12935/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-24, 0], [-9172483, -3866549], [-24, 0], [0, 0]], [[-230046797, 68216965], [1130645335/2, -335276331/2], [-230046842, 68216950], [-15/2, -5/2]], [[1871089873/2, -554843945/2], [-4598084395/2, 1363478827/2], [1871084797/2, -554846117/2], [-423, -181]]], 0, 12288, [], [] >,
< [ -8, -1, 1 ], [[1518, 642]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19, -1], [2653010, 1118330], [-19, -1], [0, 0]], [[-1050092985/2, 311389497/2], [525047794, -155694882], [-1050093015/2, 311389527/2], [-5/2, 5/2]], [[-1594688810, 472881310], [3189431771/2, -945743937/2], [-1594687889, 472881763], [307/2, 151/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, -2], [2243, 21], [-14, -2], [0, 0]], [[-475197, -1167], [2984697255/34, -346284455/34], [-8079702/17, -19806/17], [41/34, -1/34]], [[-1592737671/2, -765441777/2], [2740662985439/34, 1534136058035/34], [-27080610759/34, -13014510933/34], [30836/17, 15157/17]]], 0, 3072, [], [] >,
< [ -8, -1, 1 ], [[12426, 5238]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -5/2], [-11/2, -13/2], [-11/2, -5/2], [0, 0]], [[4, 16], [-651/2, 493/4], [13, 17/2], [-3/2, 5/4]], [[-6035, -2627], [-7461, -4656], [-4397, -1871], [-273, -126]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25, -1], [372, 18], [-25, -1], [0, 0]], [[-5187, 507], [2786379/34, -466199/68], [-93906/17, 17031/34], [-83/34, -3/68]], [[794703/2, 390429/2], [-230609327/34, -111695089/34], [14967231/34, 7299141/34], [5280/17, 2398/17]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[12426, 5238]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19, 1], [24, 0], [19, 1], [0, 0]], [[-5607/2, -1449/2], [-6463/2, -2835/4], [-5595/2, -726], [1, -1/4]], [[402129, 169785], [861451/2, 727827/4], [402060, 339507/2], [-23/2, -21/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35/2, 5/2], [-1227/2, -69/2], [35/2, 5/2], [0, 0]], [[-31786, 170], [20988409/17, -7121179/68], [-538382/17, 5615/34], [-30/17, 5/68]], [[588130, 263572], [-551486799/34, -128496704/17], [9966431/17, 4466270/17], [963/34, 219/17]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[1518, 642]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[75/2, -3/2], [-522779/2, -220253/2], [75/2, -3/2], [0, 0]], [[205850881/2, -61042025/2], [-347094968, 102925390], [205850911/2, -61042015/2], [15/2, 5/2]], [[84733551/2, -25126479/2], [-285705495/2, 84750819/2], [84732747/2, -25126819/2], [-201, -85]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-938, -2], [-4396283927/17, -1853358761/17], [-938/17, -2/17], [0, 0]], [[74326231813821/2, -22040341445109/2], [-16105464277635874/17, 4775836526792660/17], [74326231813243/34, -22040341445211/34], [-17/2, -3/2]], [[-1260618894168075/2, 373817832309675/2], [546317446960734825/34, -162002218332522225/34], [-1260618895834891/34, 373817831604651/34], [-24512, -10368]]], 0, 3072, [], [] >,
< [ -8, -1, 1 ], [[12426, 5238]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25, 1], [896, 368], [25, 1], [0, 0]], [[1072855/2, -318059/2], [549416, -159898], [1072859/2, -318063/2], [-1/2, 1/2]], [[-163268, 24010], [-5385127/2, -1040648], [-162074, 24514], [-597/2, -126]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[815/2, 5/2], [2826959/34, 1097885/34], [815/34, 5/34], [0, 0]], [[56118096, -16641000], [31088846963/34, -4609551866/17], [56118062/17, -16641136/17], [1/2, 2]], [[48443499/2, -14373567/2], [13334256747/34, -4017027099/34], [48290499/34, -14438167/34], [1125, 475]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[12426, 5238]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, -3/2], [193/2, 67/2], [27/2, -3/2], [0, 0]], [[-1763/2, 523/2], [-1775/2, 266], [-1755/2, 517/2], [2, -3/2]], [[-34, 20], [649/2, 343/2], [-273, -81], [-239/2, -101/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[836, 2], [1561091/17, 560993/17], [836/17, 2/17], [0, 0]], [[3912750921, -1160268231], [2167664379899/34, -642788628007/34], [3912750938/17, -1160268248/17], [1/2, -1/2]], [[-114195681/2, 33861705/2], [-1861139123/2, 275784593], [-6717265/2, 1991919/2], [32, 27/2]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[165, 3]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30038, -12642], [17, -1], [0, 0]], [[127/2, 1/2], [-21211009/2, 6285317/2], [8626421/2, -2558017/2], [127/4, 1/4]], [[36334, 14578], [-1208034403/4, 346438827/4], [484842053/4, -143719789/4], [18167, 7289]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [401026, 169030], [-31, -1], [0, 0]], [[2, -2], [1794896269/4, -532197989/4], [-1307824631/4, 387815983/4], [1, -1]], [[605/2, 243/2], [3785280193/4, -1130254097/4], [-2766097555/4, 820246739/4], [605/4, 243/4]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[165, 3]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [461/4, 11/4], [233/4, -1/4], [0, 0]], [[33/2, -1/2], [1082685/4, -21101/4], [552285/4, -25533/4], [33/4, -1/4]], [[3339, 1341], [113804697/2, 45842871/2], [52686767/2, 21057017/2], [3339/2, 1341/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42493, -17947], [-60, 0], [0, 0]], [[-21/2, -3/2], [96463845/4, -28607949/4], [-70300979/4, 20846683/4], [-21/4, -3/4]], [[-123, -49], [93464677/4, -27771429/4], [-68169683/4, 20214163/4], [-123/2, -49/2]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[145938, 61518]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-67/2, -1/2], [-159/2, 3/2], [-67/2, -1/2], [0, 0]], [[91597/2, 11011/2], [211307/2, 36199/4], [91573/2, 5510], [2, -3/4]], [[-9407871, -3965049], [-39808071/2, -33553809/4], [-9408336, -7930491/2], [155/2, 131/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, -5/2], [-1099/2, 71/2], [1/2, -5/2], [0, 0]], [[-5565, 9], [3322325/17, -5029481/34], [-90603/17, 84/17], [29/17, -1/34]], [[6704205, 2830095], [12525309235/34, 10532869643/68], [109406100/17, 92368269/34], [-66165/34, -55869/68]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[145938, 61518]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35/2, -5/2], [127/2, 1/2], [-35/2, -5/2], [0, 0]], [[-1767/2, 3/2], [7417/2, -851/2], [-1767/2, 15/2], [0, 1]], [[-57333/2, -24099/2], [74321, 124583/4], [-56019/2, -11772], [219/2, 185/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -3/2], [1757/2, 47/2], [15/2, -3/2], [0, 0]], [[10767/2, -87/2], [37455885/34, 19468833/68], [187659/34, -789/17], [-35/17, 3/68]], [[-9692815/2, -4091881/2], [-1914376924, -3228835573/4], [-9926125/2, -2095193], [3535/2, 2985/4]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-354, -174]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[107/2, 5/2], [-178002789/2, -75034395/2], [107/2, 5/2], [0, 0]], [[-72790005075/2, 21584796195/2], [36395071045, -10792401236], [-72790005105/2, 21584796189/2], [-5/2, -1/2]], [[220535146575/2, -65396426175/2], [-220501780665/2, 65410685085/2], [220535132019/2, -65396432331/2], [-1213, -513]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-59/2, -5/2], [-5761/2, 65/2], [-59/2, -5/2], [0, 0]], [[-1017264, 48], [-1796117566/17, 157952327/17], [-17295534/17, 948/17], [31/17, -2/17]], [[-21533434752, -9097394304], [-53447848405185/34, -22616753442105/34], [-366102262083/17, -154670028171/17], [1026403/34, 434091/34]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[145938, 61518]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-121/2, -51/2], [-1981/2, -835/2], [-363/2, -153/2], [0, 0]], [[-19/2, -7/2], [-1208, -1015/2], [31/2, 15/2], [-3/2, -1]], [[54, 6], [4289, 1751], [-14, -38], [-10, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[407/2, 5/2], [3702925/34, 1422499/34], [1221/34, 15/34], [0, 0]], [[-464237411/2, 137662795/2], [-192887738609/17, 57198858685/17], [-1392712187/34, 412988403/34], [-3/2, -1/2]], [[266477465/2, -79019879/2], [221442570139/34, -32832080764/17], [799432431/34, -237059621/34], [-1, -1/2]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[145938, 61518]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[83, 35], [-176, -74], [249, 105], [0, 0]], [[10236, 4317], [-46009/2, -9701], [30737, 12951], [3/2, -1]], [[-7251/2, -3059/2], [16297/2, 3437], [-21781/2, -9175/2], [-1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[285/2, 3/2], [-2137963/34, -998569/34], [855/34, 9/34], [0, 0]], [[91775948, -27214821], [152534638275/34, -22615519317/17], [275327998/17, -81644556/17], [3/2, -1]], [[332537915/2, -98614997/2], [138242687875/17, -81889675015/34], [997599261/34, -295851669/34], [-171/2, -39]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-354, -174]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -2], [-416347, -175501], [6, -6], [0, 0]], [[-1490215/2, 441895/2], [2045071/2, -606407/2], [-4470601/2, 1325705/2], [-7, -1]], [[1879129/2, -557301/2], [-1289212, 382466], [5637937/2, -1671673/2], [-95/2, -45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[965/2, 3/2], [8794610637/34, 3706722171/34], [2895/34, 9/34], [0, 0]], [[-12538329324857/2, 3718055560301/2], [-8003389395230623/17, 2373286393968677/17], [-37614987974601/34, 11154166680865/34], [7/2, 5/2]], [[138973016014792, -41210386291524], [354833609999392337/34, -105220642630005961/34], [416919048046345/17, -123631158873461/17], [-649/2, -319/2]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[145938, 61518]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-612, -258], [-851, -359], [-1836, -774], [0, 0]], [[-1575/2, -659/2], [-1104, -915/2], [-4655/2, -1943/2], [-1/2, -2]], [[3303, 1410], [9121/2, 1979], [9726, 4169], [61/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[55/2, -3/2], [-4140341/34, -1767059/34], [165/34, -9/34], [0, 0]], [[-269963/2, 80061/2], [-112181705/17, 66522449/34], [-810025/34, 240323/34], [-1/2, 1]], [[144263/2, -42835/2], [120046645/34, -35527769/34], [431893/34, -128985/34], [-8, -4]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[145938, 61518]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1141, -481], [-3568, -1504], [-3423, -1443], [0, 0]], [[205685/2, 86705/2], [643063/2, 135536], [617103/2, 260125/2], [-1, -3/2]], [[1616728, 681543], [10109497/2, 2130716], [4850776, 2044644], [59/2, -37]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[285/2, 3/2], [-1148053/34, -581287/34], [855/34, 9/34], [0, 0]], [[4082321/2, -1210551/2], [3392452615/34, -502984966/17], [12246991/34, -3631679/34], [-1, 1/2]], [[498219/2, -147729/2], [207149122/17, -122648059/34], [1494259/34, -443359/34], [9/2, 2]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-354, -174]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-43/2, -5/2], [-522763/2, -220381/2], [-129/2, -15/2], [0, 0]], [[462878801/2, -137259837/2], [-317593710, 94178916], [1388636443/2, -411779507/2], [-1/2, 5/2]], [[-2432551454, 721336728], [3337872226, -989957432], [-7297655922, 2164009594], [-395, -195]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[69/2, -5/2], [-6522556177/34, -2749471207/34], [207/34, -15/34], [0, 0]], [[55149521435/2, -16353772455/2], [-25223865346833/34, 7479761968365/34], [165448563705/34, -49061317385/34], [10, 0]], [[-23792775363, 7055394617], [21764292598049/34, -6453892843261/34], [-71378327770/17, 21166183042/17], [99/2, 49/2]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[606775, 255777]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21/2, -3/2], [-27/2, -5/2], [0, 0]], [[3/2, -3/2], [-5121/2, 1309/2], [-5661/2, 1397/2], [3/2, -3/2]], [[105/2, 65/2], [36801/2, -1361/2], [43519/2, -65/2], [105/2, 65/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [261, 5], [-20, 0], [0, 0]], [[-55/2, 3/2], [-456523/34, 18419/34], [36133/34, -2097/34], [-55/34, 3/34]], [[677, 406], [12144087/34, 7061693/34], [-871833/34, -527145/34], [677/17, 406/17]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[-19, -5]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [49075/2, 20661/2], [-47/2, -1/2], [0, 0]], [[-3/2, -5/2], [3571311/2, -1057591/2], [-2598739/2, 770611/2], [-3/2, -5/2]], [[-354, -92], [-54609441, 16241385], [39807834, -11804640], [-354, -92]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6266635/2, 2641485/2], [-61/2, -3/2], [0, 0]], [[224, 2], [2005664263387/17, -594767727187/17], [-373348875254/17, 110711071588/17], [224/17, 2/17]], [[-1205711/2, -316933/2], [-4151514230417975/34, 1231244856412783/34], [772828738879875/34, -229170908852175/34], [-1205711/34, -316933/34]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[-19, -5]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7728, 3248], [-19, -1], [0, 0]], [[-1/2, 5/2], [24665597/2, -7308877/2], [-17959019/2, 5325479/2], [-1/2, 5/2]], [[-204, -52], [308939735/2, -91866991/2], [-225265833/2, 66799321/2], [-204, -52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [788125/2, 332251/2], [15/2, 1/2], [0, 0]], [[-163/2, -1/2], [-6668453137/34, 1977338785/34], [1241197339/34, -368059399/34], [-163/34, -1/34]], [[14101, 3717], [219347836242/17, -65029606982/17], [-40823985129/17, 12105865779/17], [14101/17, 3717/17]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[-19, -5]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37011, 15593], [20, 0], [0, 0]], [[4, -2], [-2657/2, 793/2], [-2619/2, 775/2], [4, -2]], [[-9/2, 1/2], [1587/2, -467/2], [1549/2, -461/2], [-9/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-207877/2, -87867/2], [-75/2, -5/2], [0, 0]], [[-27/2, -1/2], [-43074718137/34, 12773280313/34], [4786132743/34, -1419256779/34], [-27/34, -1/34]], [[1066, 280], [702701100397/17, -208382976625/17], [-78079617516/17, 23153359866/17], [1066/17, 280/17]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[606775, 255777]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [109/2, 45/2], [-3/2, -1/2], [0, 0]], [[25/2, 3/2], [-49, 20], [0, 0], [25/2, 3/2]], [[1829/2, 1239/2], [4818, -493], [0, 0], [1829/2, 1239/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4661/2, 1929/2], [11/2, 1/2], [0, 0]], [[-217/2, -3/2], [1284055/17, -387672/17], [133225/17, -39437/17], [-217/34, -3/34]], [[1314, 876], [9783791/17, -2641742/17], [966032/17, -289052/17], [1314/17, 876/17]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[606775, 255777]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5/2, -5/2], [-7, -1], [-7, -1], [5/2, -5/2]], [[-19/2, -9/2], [-37/2, -15/2], [-37/2, -15/2], [-19/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-264, -108], [3, 1], [0, 0]], [[102, 0], [-2385/2, 221/2], [237/2, -17/2], [6, 0]], [[201/2, 151/2], [-8793/17, -11778/17], [1125/17, 1243/17], [201/34, 151/34]]], 1, 16, [], [] >,
< [ -8, -1, 1 ], [[78, 34]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 5/2], [-53213/2, -22427/2], [19/2, 5/2], [0, 0]], [[3737158, -1108198], [-10317559/2, 3054021/2], [3737149, -1108199], [-9/2, -1/2]], [[-1566192, 464444], [4190831/2, -1336049/2], [-1566277, 464407], [-85/2, -37/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[394, 2], [-46498279/17, -19628329/17], [394/17, 2/17], [0, 0]], [[110194766400, -32676623300], [37163819677747/34, -11020369063297/34], [110194766519/17, -32676623249/17], [7/2, 3/2]], [[-7832286775/2, 2322548455/2], [-1320741655075/34, 391646163051/34], [-7832286775/34, 2322548455/34], [0, 0]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[78, 34]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, -2], [6179, 2597], [-18, -2], [0, 0]], [[6246625/2, -1852345/2], [-8569037/2, 2541635/2], [6246617/2, -1852341/2], [-2, 1]], [[5614565/2, -1665125/2], [-3764133, 1178988], [5615019/2, -1664927/2], [227/2, 99/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-883/2, -5/2], [56989367/34, 24084945/34], [-883/34, -5/34], [0, 0]], [[-915866745/2, 271586697/2], [-154440665373/34, 45797042657/34], [-915866745/34, 271586561/34], [0, -2]], [[-1348915615, 400000935], [-454938467227/34, 134898725913/34], [-1348928892/17, 399995138/17], [-781/2, -341/2]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[70898, 29886]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -3/2], [3985/2, 1679/2], [-5/2, -3/2], [0, 0]], [[63561/2, -18849/2], [29533, -16917/2], [63561/2, -18849/2], [-5/2, 2]], [[35655/2, -10515/2], [-19417/2, -15794], [35655/2, -10515/2], [-112, -91/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[156, 2], [-208197/17, -70101/17], [156/17, 2/17], [0, 0]], [[-140931/2, 41791/2], [19519377/17, -5788487/17], [-140931/34, 41791/34], [1/2, -1/2]], [[-6448, 1912], [3609473/34, -521821/17], [-6448/17, 1912/17], [43/2, 9]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[70898, 29886]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -3/2], [3427/2, 1437/2], [11/2, -3/2], [0, 0]], [[3244, -962], [5473/2, -2333/2], [3244, -962], [-1/2, 1/2]], [[1107, -327], [16760, 12549/2], [1107, -327], [-16, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-156, -2], [-2677247/17, -1146215/17], [-156/17, -2/17], [0, 0]], [[-316007867, 93707439], [175066335369/34, -25956908651/17], [-316007867/17, 93707439/17], [1/2, 2]], [[197733165/2, -58635129/2], [-27394091450/17, 16234846323/34], [197733165/34, -58635129/34], [145/2, 30]]], 1, 16, [], [] >,
< [ -8, -1, 1 ], [[-14, -2]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 5/2], [-75/2, 3/2], [19/2, 5/2], [0, 0]], [[-37835/2, 115/2], [142689, -129011/4], [-37837/2, 56], [1/2, 3/4]], [[-328693/2, -147591/2], [473571/2, 151786], [-328805/2, -147637/2], [28, 23/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -1/2], [-227/2, -29/2], [-15/2, -1/2], [0, 0]], [[-15, -3], [-78923/34, -2927/17], [-1476/17, -117/17], [37/34, 1/17]], [[-346, -144], [-1363311/34, -1118997/68], [-25847/17, -21231/34], [605/34, 495/68]]], 1, 32, [], [] >,
< [ -8, -1, 1 ], [[-14, -2]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 5/2], [97/2, 15/2], [11/2, 5/2], [0, 0]], [[-266, 18], [25061/2, -16155/4], [-263, 35/2], [-3/2, 1/4]], [[-17081/2, -7099/2], [-39892, -81767/4], [-16971/2, -3527], [-55/2, -45/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, 3/2], [1079/2, 69/2], [-7/2, 3/2], [0, 0]], [[-3384, 30], [-15210129/34, -4753537/17], [-54063/17, 576/17], [-105/34, -1/17]], [[1785012, 732492], [12621920881/17, 21367148317/68], [28344744/17, 23256411/34], [30310/17, 49949/68]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-2, -14]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 1], [-704062, -296790], [-5, 1], [0, 0]], [[-7805280, 2314540], [15625965/2, -2312510], [-7805283, 2314536], [-3/2, -2]], [[-169413993/2, 50237209/2], [86585508, -24339952], [-169418127/2, 50235407/2], [-2067/2, -901/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[47/2, 1/2], [-3147/2, -5/2], [47/2, 1/2], [0, 0]], [[-5438875/2, -20125/2], [3103728176/17, -48621942/17], [-92461037/34, -342131/34], [-81/34, -3/34]], [[3000656000, 1317296000], [-6389103129837/34, -1409209131593/17], [51011251715/17, 22394075470/17], [99715/34, 21735/17]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[-2, -14]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[59/2, 5/2], [-265541/2, -111915/2], [59/2, 5/2], [0, 0]], [[-369281090, 109504830], [738495849/2, -109502573], [-369281085, 109504832], [5/2, 1]], [[10861651735/2, -3220861655/2], [-5430722460, 1610235622], [10861651941/2, -3220861565/2], [103/2, 45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-33/2, 1/2], [-521/2, -7/2], [-33/2, 1/2], [0, 0]], [[279868, 1860], [8954965/2, 231855], [279871, 1860], [3/2, 0]], [[337965348, 147141376], [106059145623/17, 91682651577/34], [5745471108/17, 2501429631/17], [30096/17, 26239/34]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[18110, 7634]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, -2], [-595, -257], [10, -2], [0, 0]], [[-199/2, 59/2], [-101, 67/2], [-211/2, 67/2], [3/2, -1]], [[0, 0], [3/2, 0], [2, 0], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-469, -1], [2157012/17, 963742/17], [-469/17, -1/17], [0, 0]], [[1014389078, -300801958], [561965920835/34, -83322187518/17], [1014388976/17, -300801958/17], [3/2, 0]], [[-3790931575/2, 1124143955/2], [-61768991531/2, 9158529829], [-222995943/2, 66126119/2], [-4, -1/2]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[18110, 7634]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, -2], [-2145, -913], [16, -2], [0, 0]], [[-651278, 193138], [-1329469/2, 190809], [-651276, 193142], [-1/2, -1]], [[-6930781/2, 2055113/2], [-3447901, 1052718], [-6930889/2, 2055101/2], [27/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1223/2, -5/2], [5432117/34, 2431247/34], [-1223/34, -5/34], [0, 0]], [[1479169209, -438625659], [409728788894/17, -121499291002/17], [1479169073/17, -438625659/17], [2, 0]], [[3071526111, -910815369], [1701618522405/34, -252296339129/17], [3071525669/17, -910815437/17], [13/2, 1]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[90821666, 38284526]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31/2, 1/2], [54343/2, 22913/2], [31/2, 1/2], [0, 0]], [[-2471424, 732864], [2257375/2, -670361/2], [-2471435, 732861], [-11/2, -3/2]], [[188766864, -55976016], [-172550943/2, 51145943/2], [188766845, -55976149], [-19/2, -133/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3467/2, 5/2], [-93657153/34, -39257735/34], [3467/34, 5/34], [0, 0]], [[6523164083165/2, -1934347541485/2], [-994504573092937/34, 294905649194605/34], [6523164082893/34, -1934347541621/34], [-4, -2]], [[543860423183945, -161273740557985], [-165831096376205183/34, 49174752882099269/34], [543860423183690/17, -161273740559872/17], [-15/2, -111/2]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[90821666, 38284526]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35/2, -5/2], [13943/2, 5873/2], [-35/2, -5/2], [0, 0]], [[-157051/2, 46571/2], [36007, -10631], [-157069/2, 46573/2], [-9/2, 1/2]], [[140960, -41800], [-128319/2, 38569/2], [140959, -41809], [-1/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-286, 2], [27562251/17, 11599773/17], [-286/17, 2/17], [0, 0]], [[-12013108837, 3562309217], [215469051611/2, -63894177263/2], [-706653470, 209547598], [-9/2, -3/2]], [[137905268761/2, -40893761681/2], [-618372890896, 183369295207], [8112074631/2, -2405515403/2], [-1/2, -5/2]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[-234, -102]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-107/2, -5/2], [1071861/2, 451787/2], [-107/2, -5/2], [0, 0]], [[-478125472, 141781016], [956238689/2, -283561501/2], [-478125481, 141781013], [3/2, 1/2]], [[-13721033088, 4068768816], [27441857511/2, -4068731052], [-13721033085, 4068768840], [-1/2, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[127/2, 1/2], [977/2, -17/2], [127/2, 1/2], [0, 0]], [[9654855, 15225], [2528500997/34, -59467119/34], [164133018/17, 258756/17], [7/34, -1/34]], [[-1462981905/2, -1172376135/2], [-80428616239/17, -144918086171/34], [-24870698043/34, -19930434039/34], [-41/34, -144/17]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[-234, -102]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-89/2, 1/2], [212783/2, 89657/2], [-89/2, 1/2], [0, 0]], [[-377409557/2, 111915205/2], [188708790, -111915093/2], [-377409575/2, 111915229/2], [3/2, -2]], [[13430619101/2, -3982650829/2], [-13431014139/2, 3982600673/2], [13430618921/2, -3982652029/2], [15, 100]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[34, -2], [-1373, 21], [34, -2], [0, 0]], [[402085/2, -2165/2], [-140917628/17, -11568137/34], [6825647/34, -37081/34], [-71/34, -1/17]], [[-13858650, 113480250], [-39957211329/34, -82962655807/17], [-236005323/17, 1926313032/17], [-5917/34, -20661/17]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[212694, 89658]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [71/2, -3/2], [5/2, -1/2], [0, 0]], [[0, 0], [43/2, 25/4], [-15, -9/2], [-5/2, -3/4]], [[0, 0], [-62, 1], [42, 0], [7, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[81/2, 3/2], [1069/2, 71/2], [81/2, 3/2], [0, 0]], [[188626, 2590], [84067973/34, 7220175/68], [3204563/17, 88093/34], [63/34, -1/68]], [[-49775286, -8106330], [-11473966767/17, -2172949147/17], [-845645262/17, -137731710/17], [-8100/17, -1150/17]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[212694, 89658]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, 1/2], [133/2, 11/2], [-17/2, 1/2], [0, 0]], [[675/2, -15/2], [-2752, -1365/4], [705/2, -12], [5/2, -3/4]], [[575/2, 245/2], [-7213/2, -3055/2], [575/2, 245/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [419/2, 73/2], [9/2, 3/2], [0, 0]], [[-98, 4], [-60994/17, 71499/34], [-4240/17, 35/17], [39/17, 1/34]], [[1058, 92], [540587/34, -1464709/68], [47389/17, 11477/34], [-891/34, -253/68]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[212694, 89658]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 2], [2321, 977], [8, 2], [0, 0]], [[-27623/2, 8191/2], [-27981/2, 8241/2], [-27615/2, 8199/2], [-1, -1]], [[-71799, 21303], [-135159/2, 23604], [-72729, 20923], [465/2, 95]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1427/2, -5/2], [64948641/34, 27543375/34], [-1427/34, -5/34], [0, 0]], [[414952656, -123048054], [229883457825/34, -68168626965/34], [414952826/17, -123047952/17], [-5/2, -3/2]], [[-792385472, 234970168], [-219492158405/17, 130172064605/34], [-792380576/17, 234972174/17], [-72, -59/2]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[212694, 89658]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, -5/2], [-42259/2, -17809/2], [-23/2, -5/2], [0, 0]], [[2632889/2, -780745/2], [1303531, -387599], [2632901/2, -780757/2], [-3/2, 3/2]], [[-736680, 218400], [-1827927/2, 139071], [-737422, 218092], [371/2, 77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[81/2, 3/2], [6783235/34, 2850745/34], [81/34, 3/34], [0, 0]], [[-3896479, 1155443], [-1079346409/17, 320055161/17], [-3896547/17, 1155511/17], [1, -1]], [[-1189008, 352584], [-657979551/34, 97821828/17], [-1191014/17, 351768/17], [59/2, 12]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[-234, -102]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[51/2, -3/2], [-261313/2, -110119/2], [51/2, -3/2], [0, 0]], [[17438984, -5171272], [-47862767/2, 14192851/2], [17438987, -5171271], [3/2, 1/2]], [[63699696, -18889200], [-174824109/2, 51844635/2], [63699639, -18889225], [-57/2, -25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2325/2, -3/2], [803414869/34, 338808931/34], [-2325/34, -3/34], [0, 0]], [[1801010321807/2, -534062893687/2], [130238017169241/17, -38620148909400/17], [1801010322045/34, -534062893585/34], [7/2, 3/2]], [[-49486420859/2, 14674463995/2], [-7157108585943/34, 2122334298783/34], [-49486420859/34, 14674463995/34], [0, 0]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[-234, -102]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29, 1], [-449732, -189596], [-29, 1], [0, 0]], [[763772625/2, -226485441/2], [-1048025643/2, 310805733/2], [763772621/2, -226485449/2], [-1, -2]], [[1536955329, -455761257], [-4212680965/2, 1253092787/2], [1536954498, -455761620], [-831/2, -363/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2651/2, 5/2], [1185205247/34, 499444793/34], [2651/34, 5/34], [0, 0]], [[4632031964925, -1373560364925], [39407065772972, -11685582533665], [272472468521, -80797668523], [-2, 1]], [[2631568195125, -780352513425], [44775597808319/2, -13277969478757/2], [154798129260, -45903088966], [135/2, 59/2]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[6, 42]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[127/2, 1/2], [-7555/2, -3133/2], [127/2, 1/2], [0, 0]], [[1238874, -367458], [-2404309/2, 368680], [1238877, -367470], [-1/2, 2]], [[13393107/2, -4017195/2], [-4454157/2, 7630437/2], [13385307/2, -4020627/2], [650, 286]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[62, 2], [1711, -23], [62, 2], [0, 0]], [[2370213/2, -4293/2], [1125450315/34, -25771146/17], [40293069/34, -72567/34], [-2/17, 3/34]], [[97506750, 40350066], [79030573783/34, 16262670137/17], [1657648629/17, 685965888/17], [491/34, 107/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[6, 42]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-41/2, 1/2], [-3155/2, -1349/2], [-41/2, 1/2], [0, 0]], [[-137790, 40878], [297729/2, -40401], [-137775, 40890], [-5/2, -2]], [[277966, -83018], [-457911, 31287/2], [277246, -83333], [120, 105/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[127/2, 1/2], [-4187/2, -5/2], [127/2, 1/2], [0, 0]], [[4347840, 12864], [-4874892383/34, 8995553/17], [73913073/17, 218550/17], [-3/34, -1/17]], [[-34656, -12192], [1121713, 391879], [-34656, -12192], [0, 0]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[2497998, 1052994]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23/2, -5/2], [53/2, -1/2], [-23/2, -5/2], [0, 0]], [[-861, 57], [6539/2, -1399/2], [-870, 54], [-3/2, -1/2]], [[-9927/2, -3033/2], [19263/2, 4845/4], [-10167/2, -1566], [-20, -33/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35/2, 5/2], [5405/2, 107/2], [35/2, 5/2], [0, 0]], [[3555/2, 153/2], [10660931/34, -1559765/68], [64395/34, 1218/17], [-30/17, 5/68]], [[0, 0], [71841/34, 58779/68], [363/17, 297/34], [-11/34, -9/68]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[2497998, 1052994]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 5/2], [165/2, 15/2], [-1/2, 5/2], [0, 0]], [[520, -80], [-5467/2, 7441/4], [535, -145/2], [5/2, 5/4]], [[100, 70], [2338, 2821/4], [118, 155/2], [3, 5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [2273/2, 59/2], [9/2, 3/2], [0, 0]], [[-2300, -14], [-27745185/17, 26857197/68], [-39364/17, -641/34], [4/17, 5/68]], [[-98864, -34736], [-760179747/34, -106146843/68], [-1701577/17, -1198217/34], [633/34, 521/68]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[12527463954, 5280766590]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, 5/2], [-820197/2, -345747/2], [9/2, 15/2], [0, 0]], [[165756, -49151], [-227252, 67387], [497228, -147458], [5, 0]], [[411511/2, -122029/2], [-282093, 83652], [1234517/2, -366065/2], [5/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-367/2, -1/2], [737589815/34, 310849745/34], [-1101/34, -3/34], [0, 0]], [[72022486791/2, -21357200033/2], [-16470541544023/17, 4884095642996/17], [216067460295/34, -64071600083/34], [7/2, -1/2]], [[-359700084803, 106663724159], [164516880649799/17, -48785004534703/17], [-1079100254271/17, 319991172291/17], [3, 21]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[12527463954, 5280766590]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23023/2, -9705/2], [604175/2, 254681/2], [-69069/2, -29115/2], [0, 0]], [[2928026, 1234267], [-153745075/2, -64808959/2], [8784006, 3702772], [13/2, 5/2]], [[-155889791/2, 46226805/2], [247904001/2, -73512255/2], [-655832237/2, 194477321/2], [16717508, -4957329]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[285/2, 3/2], [985684369/34, 415554199/34], [855/34, 9/34], [0, 0]], [[22227454779, -6591221982], [-10166227211709/17, 3014642244720/17], [66682364331/17, -19773665929/17], [-1, -2]], [[2459890378985/2, -729444000621/2], [-562543108362190/17, 166813748150780/17], [7379671135657/34, -2188332000249/34], [-15/2, -181/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[2497998, 1052994]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[453/2, 191/2], [-51187/2, -21577/2], [1359/2, 573/2], [0, 0]], [[23279/2, 9805/2], [-1311426, -552822], [69799/2, 29397/2], [3/2, 1/2]], [[12867/2, 5455/2], [-1455455/2, -306724], [38569/2, 16359/2], [0, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[299/2, 1/2], [-72846159/34, -30811125/34], [897/34, 3/34], [0, 0]], [[2245848340, -665973011], [1866296902538/17, -1106847036167/34], [6737544936/17, -1997919076/17], [-1, -1/2]], [[-99851498243/2, 29609480533/2], [-41488260199776/17, 24605449883601/34], [-299554495893/34, 88828441445/34], [-13/2, -1]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[2497998, 1052994]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[211/2, 89/2], [-25277/2, -10655/2], [633/2, 267/2], [0, 0]], [[20933/2, 8825/2], [-1249682, -1053577/2], [62937/2, 26519/2], [-5/2, -2]], [[-72613, -30619], [8670880, 3655153], [-218447, -91971], [0, 19]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-245/2, 1/2], [6557203/34, 2850745/34], [-735/34, 3/34], [0, 0]], [[-448764553/2, 133074451/2], [-186461257984/17, 110584880401/34], [-1346293503/34, 399222991/34], [1/2, -2]], [[5174783683, -1534505726], [4300246829972/17, -2550339399119/34], [15524335569/17, -4603518769/17], [-172, -43/2]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[12527463954, 5280766590]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-37/2, -3/2], [-145999/2, -61561/2], [-111/2, -9/2], [0, 0]], [[10396590, -3082959], [-28536745/2, 8461475/2], [31189789, -9248871], [-13/2, -5/2]], [[1485414979/2, -440477739/2], [-2038524497/2, 604497025/2], [4456245201/2, -1321433393/2], [2, 18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-245, 1], [-169598446/17, -71539402/17], [-735/17, 3/17], [0, 0]], [[4886465837/2, -1449008959/2], [-65733371165, 19492251250], [862317463/2, -255707467/2], [-9/2, -1/2]], [[-27191498911/2, 8063235607/2], [12436638640827/34, -3687901588059/34], [-81574497021/34, 24189705549/34], [-3, -9]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[12527463954, 5280766590]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16039, 6761], [-215536, -90856], [48117, 20283], [0, 0]], [[42668, 17983], [-1173319/2, -494575/2], [127979, 53955], [7/2, -1/2]], [[-742488321/2, 220173897/2], [2449976053/2, -726504053/2], [1779375893/2, -527647525/2], [-239292058, 70958510]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[203/2, 5/2], [803664343/34, 338809633/34], [609/34, 15/34], [0, 0]], [[-1832072965, 543274055], [1675879260879/34, -496956994059/34], [-5496219415/17, 1629821995/17], [-15/2, -5/2]], [[-49083649587/2, 14555028169/2], [11224752131797/17, -3328533877100/17], [-147250948697/34, 43665085853/34], [3/2, 19/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[2497998, 1052994]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1269/2, 535/2], [-26729/2, -11267/2], [3807/2, 1605/2], [0, 0]], [[12274, 5167], [-511653/2, -107877], [36790, 15500], [-3/2, 2]], [[-911871/2, -383289/2], [18984817/2, 8008651/2], [-2731773/2, -1150227/2], [210, -120]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-367/2, -1/2], [71346929/34, 30202967/34], [-1101/34, -3/34], [0, 0]], [[5827957966, -1728194487], [9686060168709/34, -1436129580777/17], [17483873977/17, -5184583391/17], [-1/2, -2]], [[229912706547/2, -68177202057/2], [191057451679985/34, -28327603456301/17], [689738110593/34, -204531608537/34], [130, 39/2]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[2497998, 1052994]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-370, -156], [-9273, -3909], [-1110, -468], [0, 0]], [[-8523/2, -3591/2], [-213809/2, -45052], [-25617/2, -10779/2], [0, 3/2]], [[-11441, -4823], [-574217/2, -242057/2], [-34363, -14487], [13/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-143, 1], [12228590/17, 5205704/17], [-429/17, 3/17], [0, 0]], [[-489860669, 145260903], [-814148493607/34, 241423621265/34], [-1469581912/17, 435782796/17], [-1/2, -5/2]], [[-80476209903/2, 23864028653/2], [-1966933259755, 1166529989281/2], [-14201686731/2, 4211298519/2], [1305/2, 87]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[-253, -107]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32191/2, 13577/2], [101/2, 3/2], [0, 0]], [[-9/2, -3/2], [-11124443/2, 3302195/2], [59830029/2, -17741697/2], [-9/2, -3/2]], [[-461/2, -195/2], [4846045, -1337473], [-25306397, 7504545], [-461/2, -195/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [563/2, 45/2], [-29/2, 5/2], [0, 0]], [[55/2, -3/2], [4666267/34, 1226661/34], [-154963/34, 1383/34], [55/34, -3/34]], [[-953, -403], [-186301365/17, -78568507/17], [3177302/17, 1342582/17], [-953/17, -403/17]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[-253, -107]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-56, 0], [-57, 1], [0, 0]], [[-1/2, -3/2], [-2939/2, -13597/2], [-1041/2, -13547/2], [-1/2, -3/2]], [[-4419, -1869], [-38781567/2, -16407569/2], [-37130369/2, -15715159/2], [-4419, -1869]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1871/2, 1/2], [-183/2, -1/2], [0, 0]], [[149/2, 3/2], [361743777/34, 11592903/34], [-35428111/34, -1313817/34], [149/34, 3/34]], [[-125845/2, -53223/2], [-317062521589/34, -134065042315/34], [31529739729/34, 13330726163/34], [-125845/34, -53223/34]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[-253, -107]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [47631/2, 20081/2], [39/2, 1/2], [0, 0]], [[3/2, 1/2], [658513, -197161], [-3571039, 1058937], [3/2, 1/2]], [[0, 0], [16101/2, -2549/2], [-70225/2, 20825/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1020, 4], [25, -1], [0, 0]], [[34, 0], [45968581/2, 1882139/2], [1112049/2, -5125/2], [2, 0]], [[-22295/2, -9429/2], [-291717765649/34, -123289644647/34], [-6101782495/34, -2580793149/34], [-22295/34, -9429/34]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[-253, -107]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 5], [-2, 2], [0, 0]], [[-1, 1], [343/2, 1/2], [333/2, -85/2], [-1, 1]], [[-655/2, -277/2], [-48025/2, -20199/2], [-6519/2, -2677/2], [-655/2, -277/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [382, 14], [-7, -1], [0, 0]], [[-1/2, 5/2], [1201230/17, -137070/17], [-19277/17, 539/17], [-1/34, 5/34]], [[-953/2, -403/2], [-88521581/34, -37014795/34], [2086701/34, 875575/34], [-953/34, -403/34]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[10386073, 4378095]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [163/2, 61/2], [11/2, -3/2], [0, 0]], [[3, -1], [195, -55], [196, -58], [3, -1]], [[-83/2, -35/2], [1351/2, 569/2], [89/2, 37/2], [-83/2, -35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [181, 3], [-20, 0], [0, 0]], [[305/2, 5/2], [-73073/17, -8159/17], [-3943/17, 726/17], [305/34, 5/34]], [[505963, 212795], [-632139903/34, -266112817/34], [-9438521/34, -3941083/34], [505963/17, 212795/17]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[10386073, 4378095]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2887/2, -1209/2], [-17/2, 1/2], [0, 0]], [[-1/2, -3/2], [154927/2, -49319/2], [163521/2, -48493/2], [-1/2, -3/2]], [[540, 227], [590913, 221149], [40396, -11595], [540, 227]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-181/2, 13/2], [-15/2, -1/2], [0, 0]], [[-27/2, -1/2], [1150913/34, -130761/34], [90783/34, 1413/34], [-27/34, -1/34]], [[26915/2, 11319/2], [-630505753/34, -264201003/34], [-84691645/34, -35606001/34], [26915/34, 11319/34]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[1213550, 511554]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -2], [-1181, -499], [-2, -2], [0, 0]], [[33520, -9940], [67485/2, -20107/2], [33526, -9934], [3/2, 3/2]], [[120775/2, -35815/2], [121363/2, -18157], [120831/2, -35779/2], [7, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27, 1], [1393100/17, 590116/17], [27/17, 1/17], [0, 0]], [[6349485/2, -1882845/2], [-879266899/17, 521533989/34], [6349281/34, -1882573/34], [-3/2, 2]], [[22753745/2, -6747265/2], [-6298862507/34, 1870183221/34], [22762313/34, -6742369/34], [63, 36]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-146, -62]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-273, -115], [-310, -118], [-273, -115], [0, 0]], [[-7671/2, 447/2], [-823649/2, 484549/4], [-7695/2, 222], [-2, -1/4]], [[-2255/2, 375/2], [-148045, 87485/2], [-2261/2, 375/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17/2, -1/2], [549/2, 11/2], [17/2, -1/2], [0, 0]], [[61960, 184], [35666998/17, 12219139/68], [1049470/17, 6081/34], [-55/17, -5/68]], [[5924088, 3719176], [9630916649/34, 5188719637/34], [100305141/17, 62983197/17], [-11553/34, -6937/34]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[309986, 130670]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[41/2, -1/2], [-2013/2, -867/2], [41/2, -1/2], [0, 0]], [[700371, -207711], [1423253/2, -207565], [700351, -207695], [-5/2, 2]], [[1806399/2, -577647/2], [9547931/2, 2673437/2], [1828639/2, -568207/2], [1390, 590]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[979, 1], [-2675682/17, -1241930/17], [979/17, 1/17], [0, 0]], [[-12582188499/2, 3731060859/2], [-3485254387085/34, 1033503901769/34], [-12582188499/34, 3731060315/34], [0, -2]], [[-2445830052, 725253252], [-79679693665/2, 11822699177], [-143874296, 42661132], [-485/2, -103]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[3640650, 1534662]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-45/2, -3/2], [29/2, 3/2], [-45/2, -3/2], [0, 0]], [[-85656, 6708], [105857/2, -9669/4], [-85647, 13389/2], [-1/2, 3/4]], [[-38291672, -15975188], [27169851, 11357115], [-38313632, -15984512], [1220, 518]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22, -2], [-943, 27], [22, -2], [0, 0]], [[116415/2, 105/2], [-44778424/17, -12703729/68], [1957509/34, 978/17], [-63/34, 1/68]], [[-171554875/2, -72823525/2], [163263772639/34, 138293188683/68], [-2885631671/34, -612460153/17], [45031/17, 76489/68]]], 1, 192, [], [] >,
< [ -8, -1, 1 ], [[3640650, 1534662]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -2], [11003, 4637], [-2, -2], [0, 0]], [[205827, -61035], [410223/2, -60657], [205823, -61035], [-1/2, 0]], [[8279/2, -2455/2], [8181/2, -2469/2], [8279/2, -2455/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[653, -1], [-22576288/17, -9593224/17], [653/17, -1/17], [0, 0]], [[-71053625097/2, 21069898473/2], [-19681854732181/34, 5836361884739/34], [-71053625369/34, 21069897929/34], [-1, -2]], [[-1594766628819/2, 472904386227/2], [-220875191405976/17, 130994509423431/34], [-1594766686619/34, 472904352227/34], [-425/2, -125]]], 1, 192, [], [] >,
< [ -8, -1, 1 ], [[42757842, 18023934]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-107/2, -5/2], [-369/2, -15/2], [-107/2, -5/2], [0, 0]], [[-242452, 980], [-838076, 33265/4], [-242470, 1951/2], [1, 1/4]], [[-47236, 203252], [-392881/2, 699256], [-47209, 203270], [-3/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[93/2, 3/2], [-3431/2, -41/2], [93/2, 3/2], [0, 0]], [[-242828, -476], [305862749/34, -10915685/68], [-4143979/17, -17039/34], [-93/34, -5/68]], [[84453892, 54032596], [-47823912800/17, -64631870125/34], [1441949114/17, 922316987/17], [18225/17, 22005/34]]], 1, 576, [], [] >,
< [ -8, -1, 1 ], [[42757842, 18023934]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18881/2, -7959/2], [-9781/2, -4123/2], [-56643/2, -23877/2], [0, 0]], [[-483805/2, -203941/2], [-125934, -106173/2], [-1451401/2, -611819/2], [-1/2, 0]], [[120951/2, 50985/2], [62969/2, 26543/2], [362853/2, 152955/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[177/2, -1/2], [14658593/34, 6116279/34], [531/34, -3/34], [0, 0]], [[-1434495227/2, 425378255/2], [-1192068286299/34, 353489276853/34], [-4303485393/34, 1276135225/34], [-1, -2]], [[-209082988, 61999935], [-20444014817/2, 3030063458], [-36896044, 10941570], [-273/2, -58]]], 1, 576, [], [] >,
< [ -8, -1, 1 ], [[42757842, 18023934]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7755/2, -3269/2], [24655/2, 10393/2], [-23265/2, -9807/2], [0, 0]], [[-608787/2, -256627/2], [961856, 810913/2], [-1826325/2, -769875/2], [-3/2, 0]], [[-746789/2, -314793/2], [1179879, 994719/2], [-2240371/2, -944357/2], [3/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[54, 2], [-31905725/17, -13466639/17], [162/17, 6/17], [0, 0]], [[579087653, -171719852], [962440628435/34, -142699152635/17], [1737263046/17, -515159558/17], [1/2, 0]], [[-842709/2, 249893/2], [-700550701/34, 207550685/34], [-2528127/34, 749679/34], [0, 0]]], 1, 576, [], [] >,
< [ -8, -1, 1 ], [[177776791, 74939169]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43, 3], [-40, 0], [0, 0]], [[-5/2, -5/2], [77, -21], [73, -20], [-5/2, -5/2]], [[-18, -8], [67/2, -3/2], [63/2, -3/2], [-18, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [279, 21], [-46, -2], [0, 0]], [[-271/2, -5/2], [-8878389/34, -488531/34], [1501149/34, 34095/34], [-271/34, -5/34]], [[131593/2, 57361/2], [2414810685/17, 1046076967/17], [-369573621/17, -160967342/17], [131593/34, 57361/34]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[177776791, 74939169]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [95/2, 1/2], [55/2, 1/2], [0, 0]], [[-13/2, -5/2], [-133, 9], [-62, 11], [-13/2, -5/2]], [[7/2, 3/2], [17/2, 7/2], [-7/2, -3/2], [7/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-109/2, 45/2], [-3/2, -5/2], [0, 0]], [[169/2, 5/2], [3176630/17, -809522/17], [-204917/17, 80/17], [169/34, 5/34]], [[157290, 68565], [1133718489/34, 771354287/34], [-690179675/34, -302743615/34], [157290/17, 68565/17]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[177776791, 74939169]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21, 5], [-26, 2], [0, 0]], [[-5/2, -3/2], [1615/2, -527/2], [1341/2, -565/2], [-5/2, -3/2]], [[-16, -7], [615/2, -435/2], [-321/2, -785/2], [-16, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-83/2, 35/2], [29/2, -5/2], [0, 0]], [[7/2, -1/2], [-116435/17, 238333/17], [196564/17, 12071/17], [7/34, -1/34]], [[0, 0], [8875/2, 3693/2], [3025/2, 1287/2], [0, 0]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[177776791, 74939169]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, -2], [33, -1], [0, 0]], [[-5, -2], [-7001/2, -939/2], [-4647/2, -659/2], [-5, -2]], [[7/2, 3/2], [2301/2, 1255/2], [1563/2, 843/2], [7/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-250, -14], [15, 1], [0, 0]], [[197/2, 1/2], [1300995/17, -53373/17], [-76085/17, 2396/17], [197/34, 1/34]], [[-186205, -81172], [-4141001977/34, -1824211419/34], [251581775/34, 110554439/34], [-186205/17, -81172/17]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[40, 17]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, 9], [4, -2], [0, 0]], [[4, -1], [260, -655/2], [428, -233/2], [4, -1]], [[-53, -45/2], [70891, 59715/2], [-2923, -2499/2], [-53, -45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10322, -4350], [-700, -295], [0, 0]], [[32, 3/2], [115836/17, 91089/34], [8132/17, 6111/34], [32/17, 3/34]], [[55025, -16317], [15072825/17, -8941467/34], [1709175/17, -1013813/34], [55025/17, -16317/17]]], 0, 12, [], [] >,
< [ -8, -1, 1 ], [[12, 5]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-12, -9/2], [-5, -1], [-5, -1], [-12, -9/2]], [[31, 25/2], [11, 7/2], [11, 7/2], [31, 25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [410, 405/2], [1, 5/2], [0, 0]], [[37, 2], [788004/17, -448575/34], [54629/17, -32261/34], [37/17, 2/17]], [[-23883, -19893/2], [-24052839/17, -5185962/17], [-611411/17, 90827/17], [-23883/17, -19893/34]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[-128, -54]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-118, -50], [-92, -41], [-118, -50], [-118, -50]], [[-3182, -2709/2], [-2414, -2261/2], [-3182, -2709/2], [-3182, -2709/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 0], [1, 0], [0, 0]], [[134, 3/2], [15000/17, 27939/34], [2010/17, 45/34], [134/17, 3/34]], [[340272, -100878], [-2782302, 825697], [300240, -89010], [20016, -5934]]], 0, 18, [], [] >,
< [ -8, -1, 1 ], [[-4, -2]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[5/2, 1], [-16, -9/2], [8, 7/2], [5/2, 1]], [[0, -1/2], [-26, 21/2], [-4, -1/2], [0, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 0], [1, 0], [0, 0]], [[91/2, 2], [33566/17, 34719/34], [198/17, 111/34], [91/34, 2/17]], [[-64419, 38021/2], [11787614/17, -7315263/34], [-105592/17, 61267/34], [-64419/17, 38021/34]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[-4, -2]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[15, 6], [33/2, 7], [15, 6], [3/2, 1]], [[-3, -1/2], [-2, -1], [-3, -1/2], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-56, -1/2], [14169/17, -845/34], [-56/17, -1/34], [0, 0]], [[-10481, 6261/2], [5806185/34, -1730829/34], [-10481/17, 6261/34], [3/2, 1]], [[-16626, 4845], [540299/2, -79098], [-978, 285], [-17/2, -3]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[2396, 1010]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -15/2], [-2, -5/2], [0, 0]], [[-1, 1], [-296, -181/2], [-164, 11/2], [-1/2, 1/2]], [[-5/2, 10], [-14577/4, -5077/4], [-6405/4, -375/4], [-5/4, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63/2, -13], [-3/2, -1], [0, 0]], [[-2, 5/2], [15, -1], [1, -1/2], [-1, 5/4]], [[-1/2, 0], [0, -1/2], [0, 0], [-1/4, 0]]], 2, 6, [], [] >,
< [ -8, -1, 1 ], [[32, 14]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-189/2, -79/2], [-1/2, -1/2], [0, 0]], [[0, -3/2], [-7287/2, -1574], [-163/2, -3/2], [0, -3/4]], [[-157, 46], [-5354, 1203/2], [3416, -2045/2], [-157/2, 23]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-115/2, -26], [5/2, 0], [0, 0]], [[1, 1/2], [-3438, -2897/2], [58, 25], [1/2, 1/4]], [[0, 0], [238, -66], [138, -41], [0, 0]]], 0, 12, [], [] >,
< [ -8, -1, 1 ], [[-52, -22]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, -5], [-42, -16], [-15, -5], [0, 0]], [[-99, -77/2], [-291, -237/2], [-99, -77/2], [0, 0]], [[-1, -1/2], [1/2, 1/4], [0, 0], [-1/2, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, -1], [-74, -20], [-3, -1], [0, 0]], [[-78, -21/2], [-98049/34, -2127/68], [-1283/17, -181/17], [43/34, -5/68]], [[-7995, -7215/2], [-6866437/34, -3321455/34], [-133682/17, -120335/34], [2233/34, 580/17]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[-52, -22]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5/4, -1/4], [13/4, 3/4], [0, 0]], [[13, 9/2], [39, 33/2], [3, -1], [13/2, 9/4]], [[-33, -33/2], [-493/4, -207/4], [35/4, -9/4], [-33/2, -33/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111, 3/2], [-3, -1/2], [0, 0]], [[-36, 3/2], [-381203/68, 43937/68], [7941/68, 211/68], [-18/17, 3/68]], [[-289, -289/2], [-59415/2, -16601], [2453/2, 1159/2], [-17/2, -17/4]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[-52, -22]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-2, -1/2], [-7/2, -3/2], [-5, -5/2], [-3/2, -1]], [[-23, -19/2], [-51, -43/2], [-79, -67/2], [-28, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-260, -1/2], [-68433/17, 2749/34], [-260/17, -1/34], [0, 0]], [[390052, -115790], [216107185/34, -32072504/17], [390069/17, -115756/17], [1/2, 1]], [[228191, -78013], [7491159/2, -2519385/2], [13684, -4478], [261/2, 111/2]]], 1, 8, [], [] >,
< [ -8, -1, 1 ], [[-100, -42]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, -9/2], [-129, -105/2], [-11, -9/2], [0, 0]], [[195, 85], [4541/2, 985], [195, 85], [-5/2, 1]], [[1875, 825], [21850, 9555], [1875, 825], [-32, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13, 5], [-1500, -97], [13, 5], [0, 0]], [[-14778, 27/2], [342444355/34, -46208932/17], [-251325/17, 429/34], [33/34, 5/34]], [[109005, 45456], [-252403711/34, -43841397/17], [1854186/17, 773214/17], [-367/34, -77/17]]], 1, 18, [], [] >,
< [ -8, -1, 1 ], [[-2244, -946]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-395, -167], [-358, -153], [-395, -167], [0, 0]], [[-19096, -16093/2], [-34803/2, -7345], [-19121, -16063/2], [5/2, -3/2]], [[158025, 66563], [143869, 121599/2], [158505, 66358], [-48, 41/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-345, -146], [-6428, -2192], [-345, -146], [0, 0]], [[-253344, -2067/2], [4485229179/34, -1372721825/34], [-4297973/17, -34571/34], [-125/34, -2/17]], [[-130246779, -135119049/2], [-313370921008/17, 126326653847/34], [-2209110081/17, -2291909277/34], [-35811/17, -18009/17]]], 1, 180, [], [] >,
< [ -8, -1, 1 ], [[-36, -9]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[465, 196], [1485, 627], [1395, 588], [0, 0]], [[-19044, -16053/2], [-121489/2, -102785/4], [-57137, -24080], [5/2, 1/4]], [[-12, 353/2], [19562, -5248], [-390, 1269/2], [177, -105/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -5/2], [0, -33/2], [5, -5/2], [0, 0]], [[-41, 41/2], [273/2, 717/4], [-24, 21], [-17/2, -1/4]], [[-211, -109], [-12447/2, -2688], [-376, -175], [165/2, 33]]], 0, 324, [], [] >,
< [ -8, -1, 1 ], [[288, 126]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19/2, -7], [11/2, -2], [0, 0]], [[-36, -3/2], [435/2, 111], [39/2, 21/2], [-18, -3/4]], [[-170, 41/2], [845/2, 617/2], [69/2, 30], [-85, 41/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 3/2], [3, 3/2], [0, 0]], [[0, -3/2], [-151/2, 22], [5/2, -1/2], [0, -3/4]], [[10, 4], [-17/2, 13/2], [-1/2, -1/2], [5, 2]]], 0, 1296, [], [] >,
< [ -8, -1, 1 ], [[-468, -198]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12763/2, -2681], [1/2, 2], [0, 0]], [[1/2, -5/2], [-67123/4, 19541/4], [-13251/4, 3909/4], [1/4, -5/4]], [[-27/2, -6], [-9429/4, 1221/4], [-1557/4, 375/4], [-27/4, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1153, -965/2], [-7, 1/2], [0, 0]], [[-1, -1], [-5821, 3625/2], [-5811, 3441/2], [-1/2, -1/2]], [[-7/2, -2], [-20827/4, 7001/4], [-21515/4, 6355/4], [-7/4, -1]]], 0, 216, [], [] >,
< [ -8, -1, 1 ], [[28140, 11862]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-65/2, -27/2], [15/2, 3/2], [0, 0]], [[1/2, -1/2], [615/4, -29/4], [-3325/4, 959/4], [1/4, -1/4]], [[109/2, 23], [-23095/4, -9725/4], [4189/4, 1681/4], [109/4, 23/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9/2, -6], [11/2, -2], [0, 0]], [[-5/2, -2], [369, -109/2], [315, -90], [-5/4, -1]], [[468, 198], [-9609, -7781/2], [-819, -351/2], [234, 99]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[0, -6]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, 33], [-4, 2], [0, 0]], [[-5, -3/2], [1508, -442], [-510, 303/2], [-5/2, -3/4]], [[49, 21], [1567/2, -303], [-609/2, 87], [49/2, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, -11/2], [1, 5/2], [0, 0]], [[5, 0], [2573/2, -827/2], [2245/2, -647/2], [5/2, 0]], [[-15, -13/2], [425, 203/2], [-3, -66], [-15/2, -13/4]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[-12, -6]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-197, -83], [-328, -138], [-197, -83], [0, 0]], [[1761, 764], [5599/2, 5231/4], [1760, 1525/2], [1/2, 3/4]], [[4060, -1025/2], [39687/2, -4735], [3905, -935/2], [155/2, -45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-127, -107/2], [-2657, -2255/2], [-127, -107/2], [0, 0]], [[-341, -507/2], [-1304859/34, 248015/68], [-5738/17, -4307/17], [59/34, 5/68]], [[486514, 204857], [179278808/17, 152531117/34], [8243388/17, 3470994/17], [-13675/17, -11575/34]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[-12, -6]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-133/4, -53/4], [-5/4, -5/4], [0, 0]], [[-13, -11/2], [-170, -11/2], [82, -26], [-13/2, -11/4]], [[-69, -29], [-27/2, -587/2], [-759/2, 207/2], [-69/2, -29/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-196, -11/2], [2, 1/2], [0, 0]], [[-100, -3/2], [-2410639/68, 446105/68], [7393/68, -41/68], [-50/17, -3/68]], [[334359, 283037/2], [2862341783/68, 1227239209/68], [-23081889/68, -9774441/68], [334359/34, 283037/68]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[-12, -6]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, -1/2], [51, 57/2], [-14, -1/2], [0, 0]], [[3177, -867], [6013/2, -1597], [3180, -869], [3/2, -1]], [[1323, -210], [-997, -1417], [1321, -212], [-1, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-260, -1/2], [-38955/17, 27603/34], [-260/17, -1/34], [0, 0]], [[-54693, 32391/2], [-30280049/34, 4490786/17], [-54608/17, 32425/34], [5/2, 1/2]], [[0, 0], [27/2, 0], [1, 0], [1/2, 0]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[19308, 8139]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, -1], [65, 26], [5, -1], [0, 0]], [[71, -41/2], [339/2, 45], [76, -43/2], [-5/2, 1/2]], [[-315, -154], [-118209/2, -99703/4], [-612, -561/2], [297/2, 253/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, -3/2], [-13, -23/2], [9, -3/2], [0, 0]], [[-123, 38], [-399/2, 35/2], [-120, 39], [-3/2, -1/2]], [[-221, 209/2], [-3607/2, -2147/4], [-152, 133], [-69/2, -57/4]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[-103728, -43725]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25, 5/2], [51, 27/2], [25, 5/2], [0, 0]], [[-529/2, 157/2], [-274, 325/4], [-539/2, 80], [-5/2, 3/4]], [[-1, 1/2], [-1, 1/2], [-1, 1/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, 0], [473, 203], [-9, 0], [0, 0]], [[-24597/2, 3647], [-11486, 14331/4], [-24599/2, 7297/2], [-1/2, 3/4]], [[-41192, 24431/2], [-37103, 12577], [-41186, 24449/2], [3, 9/2]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[-103728, -43725]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -2], [-373, -157], [-5, -2], [0, 0]], [[5241/2, -777], [11137/2, -6667/4], [5229/2, -1551/2], [3, -3/4]], [[-1105/2, 325/2], [-1619/2, 2009/4], [-1089/2, 165], [-4, -5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, 1/2], [303, 261/2], [-7, 1/2], [0, 0]], [[-2575/2, 747/2], [-329, 2389/4], [-2585/2, 371], [-5/2, -5/4]], [[-7847, 2325], [-6138, 7749/4], [-7845, 4647/2], [1, -3/4]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[-96, -42]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-55/2, -7], [-7/2, 1], [0, 0]], [[-1180, -995/2], [-1162, -979/2], [0, 0], [-590, -995/4]], [[-74, -13/2], [86, -107/2], [0, 0], [-37, -13/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-197/2, -83/2], [-1/2, -1/2], [0, 0]], [[104, 44], [831/2, 171], [-353/2, 53], [52, 22]], [[42, -7/2], [-711, 246], [23355, -13851/2], [21, -7/4]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[330492, 139314]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35/2, -2], [-11/2, 2], [0, 0]], [[3/2, 0], [-261/4, -151/4], [67/4, -5/4], [3/4, 0]], [[-1/2, -1/2], [551/4, 211/4], [-9/4, -21/4], [-1/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-265/2, -115/2], [15/2, 3/2], [0, 0]], [[-1/2, 5/2], [27343/4, -8153/4], [27671/4, -8185/4], [-1/4, 5/4]], [[39/2, 8], [-2641/4, 521/4], [-2129/4, 751/4], [39/4, 4]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-96, -42]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [213, 84], [11, -1], [0, 0]], [[-1, 1/2], [-2743/2, 577], [-3119/2, 931/2], [-1/2, 1/4]], [[-3, 1/2], [-7711/2, 1575/2], [-6551/2, 965], [-3/2, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1557, 1317/2], [1, 5/2], [0, 0]], [[-4, -3/2], [-109661/2, 35499/2], [-109021/2, 16168], [-2, -3/4]], [[3, -5/2], [1140262, -674487/2], [1091190, -323574], [3/2, -5/4]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[330492, 139314]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-365/2, -79], [19/2, 2], [0, 0]], [[5/2, 0], [-44983/4, 14671/4], [-45403/4, 13421/4], [5/4, 0]], [[7, 1], [-19546, 7163], [-20826, 6132], [7/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-473, -397/2], [-7, -5/2], [0, 0]], [[5/2, 1], [1295/2, -194], [671/2, -199/2], [5/4, 1/2]], [[6, 5/2], [517/2, -81], [273/2, -81/2], [3, 5/4]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[-156, -66]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17, 1/2], [21, -3/2], [17, 1/2], [0, 0]], [[-1175, -295], [-2409/2, -375/2], [-1176, -294], [1/2, -1/2]], [[-2992, -2453/2], [-5137/2, -4109/4], [-2989, -1225], [-3/2, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17, 1/2], [572, 19/2], [17, 1/2], [0, 0]], [[-10927, -1059/2], [-12346461/34, -877113/68], [-185666/17, -8999/17], [93/34, 5/68]], [[-703142, -359831], [-378742797/17, -196732053/17], [-11947894/17, -6114229/17], [2760/17, 1449/17]]], 1, 108, [], [] >,
< [ -8, -1, 1 ], [[-156, -66]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-937/2, -197], [-5/2, -1], [0, 0]], [[-21, -17/2], [-9101/4, 2615/4], [-1013/4, 301/4], [-21/2, -17/4]], [[-370, -259/2], [-677245/4, 199467/4], [-76197/4, 22605/4], [-185, -259/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-427/4, -13/4], [5/4, -1/4], [0, 0]], [[37, 2], [-661673/68, -124717/68], [9551/68, -529/68], [37/34, 1/17]], [[-5475, -5175/2], [70330085/34, 15615961/17], [-455387/34, -238793/34], [-5475/34, -5175/68]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[-156, -66]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19, 15/2], [-33, -33/2], [57, 45/2], [0, 0]], [[6704, 7133/2], [-41475/2, -9981/2], [20179, 21435/2], [-3/2, -2]], [[4630, 5040], [-39697, -1090], [14010, 15128], [4, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-63, 1/2], [-72192/17, -15897/34], [-189/17, 3/34], [0, 0]], [[-200670, 59520], [-166722197/17, 49468237/17], [-601994/17, 178518/17], [0, -1]], [[-85166, 52407/2], [-138329189/34, 44899747/34], [-258900/17, 154311/34], [-183/2, -39]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[-156, -66]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -2], [-91, -40], [-12, -6], [0, 0]], [[-111, -115/2], [-2318, -1061], [-293, -335/2], [0, -5/2]], [[-9, -3], [-325/2, -62], [-27, -8], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-24, 1], [13121/17, 14771/17], [-72/17, 3/17], [0, 0]], [[-21559, 12789/2], [-35858005/34, 10629353/34], [-64769/17, 38427/34], [-5/2, 1]], [[-125, 90], [-255838/17, 21589/34], [-239/17, 328/17], [13, 11/2]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[226764, 95589]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22, 17/2], [7, -1/2], [66, 51/2], [0, 0]], [[5819, 3090], [-6477/2, 5871/4], [17457, 18531/2], [-3/2, 3/4]], [[44681, -16497/2], [168447, -98847/2], [133771, -49339/2], [82, -24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, -6], [-38, -14], [-45, -18], [0, 0]], [[-92, -75/2], [-411/2, -189/2], [-267, -237/2], [-3/2, 1]], [[-91, -339], [-7587/2, 987/4], [-3498, -159/2], [1075/2, -625/4]]], 1, 108, [], [] >,
< [ -8, -1, 1 ], [[0, 18]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [459/2, 195/2], [15/2, 9/2], [0, 0]], [[-100, -85/2], [103759/2, 42881/2], [6359/2, 583], [-50, -85/4]], [[6, 5/2], [-2816, -2453/2], [-22, -79], [3, 5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [513/2, 114], [-15/2, 3], [0, 0]], [[76, 65/2], [64273/2, 26875/2], [645/2, 21], [38, 65/4]], [[2610, 2243/2], [1108668, 462325], [12952, 353/2], [1305, 2243/4]]], 0, 432, [], [] >,
< [ -8, -1, 1 ], [[3881484, 1636182]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [482, 397/2], [0, -9/2], [0, 0]], [[-1, -1/2], [2232, 4489/2], [-1796, 496], [-1/2, -1/4]], [[3/2, 1], [4389/4, -21149/4], [31133/4, -8983/4], [3/4, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-124, -107/2], [6, 3/2], [0, 0]], [[-3/2, -1/2], [1391/4, 471/4], [79/4, -65/4], [-3/4, -1/4]], [[-1/2, -1], [519/4, 883/4], [-857/4, 205/4], [-1/4, -1/2]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[-76, -32]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[21, 17/2], [-48, -20], [0, 0], [21, 17/2]], [[78, 26], [-165, -65], [0, 0], [78, 26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 0], [1, 0], [0, 0]], [[22, 1/2], [-22469/17, -9630/17], [308/17, 7/17], [22/17, 1/34]], [[12025, -3566], [217793/17, -64205/17], [168350/17, -49924/17], [12025/17, -3566/17]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[11776, 4964]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-170, -72], [-28, -12], [0, 0]], [[4, 3/2], [25492, 10744], [4196, 1768], [4, 3/2]], [[1241, -368], [10423, -3090], [4263, -1264], [1241, -368]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-133462, -56259], [-6640, -2799], [0, 0]], [[19, -3/2], [40698359/17, 17161235/17], [2023623/17, 853345/17], [19/17, -3/34]], [[82382634, -24429348], [-47175492196/17, 13989192297/17], [-2743965850/17, 813682363/17], [82382634/17, -24429348/17]]], 0, 24, [], [] >,
< [ -8, -1, 1 ], [[-22252, -9380]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-100, -42], [0, 0], [-2759, -1163]], [[0, 0], [515, 215], [0, 0], [14182, 5978]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 0], [1, 0], [0, 0]], [[0, 0], [4185/17, 87/17], [-264/17, -6/17], [88/17, 2/17]], [[0, 0], [6686/17, 2032/17], [-423/17, -129/17], [141/17, 43/17]]], 0, 18, [], [] >,
< [ -8, -1, 1 ], [[3450208, 1454384]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-286, -121], [60, 25], [0, 0]], [[0, 0], [-3577, -1506], [801, 338], [-89, -37]], [[0, 0], [-5067, -2150], [1145, 480], [-121, -55]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [740, 287], [44, 19], [0, 0]], [[0, 0], [2118581/17, -982635/17], [-78459/17, 853/17], [7/17, -1/17]], [[0, 0], [10902, 3556], [572, 260], [0, 0]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[5200, 2192]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [183, 75], [-7, -5], [0, 0]], [[0, 0], [2276, 965], [-90, -35], [-48, -19]], [[0, 0], [-7006, -2811], [152, 139], [94, 71]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [254, 8], [-4, 0], [0, 0]], [[0, 0], [630160/17, -17207/17], [-9132/17, 559/17], [-58/17, 1/17]], [[0, 0], [-8718713/17, -3732412/17], [110251/17, 47366/17], [830/17, 355/17]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[-180, -76]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [478, 192], [32, 4], [0, 0]], [[-11/2, -5/2], [-141789, 41965], [-141641, 41977], [-11/2, -5/2]], [[33, 14], [72675, -21074], [72173, -21260], [33, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-154, -44], [8, 4], [0, 0]], [[-203/2, -5/2], [354576/17, -138160/17], [15078/17, -1950/17], [-203/34, -5/34]], [[93906, 39637], [95707133/17, 39970370/17], [-7253641/17, -3068452/17], [93906/17, 39637/17]]], 0, 24, [], [] >,
< [ -8, -1, 1 ], [[-2192, -924]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [10, 3], [0, 0], [688, 290]], [[0, 0], [-54, -18], [0, 0], [-3950, -1665]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 0], [1, 0], [0, 0]], [[0, 0], [966, 431], [8, 0], [-4, 0]], [[0, 0], [-100764/17, -8798/17], [6468/17, -2046/17], [-3234/17, 1023/17]]], 0, 18, [], [] >,
< [ -8, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[-7/2, -1/2], [-20, -7], [0, 0], [-7/2, -1/2]], [[-58, 15], [-106, 13], [0, 0], [-58, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, 0], [1, 0], [0, 0]], [[10, 1], [15270/17, 6389/17], [-20/17, -2/17], [10/17, 1/17]], [[1265/2, -375/2], [9603/17, -2693/17], [-1265/17, 375/17], [1265/34, -375/34]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[-76, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [-19, -8], [0, 0]], [[0, 0], [1/2, 0], [0, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-353/17, -37/17], [-11/17, 4/17], [0, 0]], [[0, 0], [97/17, -128/17], [18/17, -5/17], [0, 0]], [[0, 0], [17/2, 0], [0, 0], [1/2, 0]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[41012, 17288]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19, -15/2], [70, 57/2], [-19, -15/2], [0, 0]], [[196, 147/2], [-713, -565/2], [196, 147/2], [0, 0]], [[0, 0], [-1/2, 0], [0, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, -8], [-19, -8], [0, 0]], [[5, 1/2], [23/2, 23/4], [0, 0], [5/2, 1/4]], [[125, -75/2], [-147/2, 79/4], [0, 0], [125/2, -75/4]]], 1, 18, [], [] >,
< [ -8, -1, 1 ], [[-124, -52]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [1, 0], [0, 0]], [[0, 0], [-4319/2, -905], [0, 0], [1/2, 2]], [[0, 0], [42341, 17558], [0, 0], [78, -65]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-131, -55], [5034, 2122], [0, 0]], [[0, 0], [-3115/2, -1397/2], [62468, 26334], [-5/2, -3/2]], [[0, 0], [3768, 4049/2], [-169127, -71309], [2, 11/2]]], 0, 36, [], [] >,
< [ -8, -1, 1 ], [[41012, 17288]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15/2, -2], [-3/2, 0], [0, 0]], [[-5/2, -1/2], [399/4, 145/4], [43/4, 9/4], [-5/4, -1/4]], [[-117/2, 33/2], [2663/4, -609/4], [971/4, -273/4], [-117/4, 33/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [65/2, 11], [1/2, -2], [0, 0]], [[-5/2, -5/2], [-437/2, -127/2], [-33/2, 33/2], [-5/4, -5/4]], [[26, -8], [-1101/2, 303/2], [-873/2, 261/2], [13, -4]]], 1, 18, [], [] >,
< [ -8, -1, 1 ], [[-16, -4]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [303/2, 67], [-5/2, -2], [0, 0]], [[0, 0], [-4118, -1510], [190, 10], [-2, -5/2]], [[0, 0], [-128, -87], [-10, 6], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [77/2, 25/2], [5/2, -5/2], [0, 0]], [[0, 0], [203, 169/2], [-13, -13/2], [1/2, -3/2]], [[0, 0], [205/2, 67/2], [13/2, -13/2], [20, -13/2]]], 0, 36, [], [] >,
< [ -8, -1, 1 ], [[20, 8]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, -8], [-19, -8], [0, 0]], [[0, 0], [3/2, 7/4], [-3, 3/2], [-3/2, 3/4]], [[0, 0], [-5, 0], [-8, 2], [-4, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [247, 104], [-19, -8], [0, 0]], [[0, 0], [28141/34, -1097/68], [-53/17, 3/34], [-53/34, 3/68]], [[0, 0], [2483209/34, -247183/68], [-4687/17, 545/34], [-4687/34, 545/68]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[20, 8]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21/4, -9/4], [-13/4, -5/4], [0, 0]], [[0, 0], [11/4, -3/4], [11/4, -3/4], [58, 49/2]], [[0, 0], [2, -1/2], [2, -1/2], [173/2, 73/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-335/4, 39/4], [-7/4, -5/4], [0, 0]], [[0, 0], [393359/17, -142389/17], [-8913/17, -77/17], [-65/34, 1/17]], [[0, 0], [2569581/4, -966999/4], [-64259/4, -2607/4], [-58, 0]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[20, 8]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [1, -2], [-45, -24], [1, -2]], [[0, 0], [-155/2, 31], [61, 158], [-155/2, 31]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4662/17, 524/17], [-295/17, -4/17], [0, 0]], [[0, 0], [-1454875/17, 870125/34], [121615/17, -36297/17], [-2, -3/2]], [[0, 0], [-3633615/34, 494252/17], [150574/17, -41777/17], [75/2, 15]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-1708, -720]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57, -24], [-19, -8], [0, 0]], [[0, 0], [-164, -163/2], [0, 0], [-1, 5/2]], [[0, 0], [-8331/2, -4717/2], [0, 0], [-227/2, 189/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [361, 152], [-19, -8], [0, 0]], [[0, 0], [-30949/34, 5471/17], [33/17, -12/17], [-11/34, 2/17]], [[0, 0], [-61681/34, -27277/34], [75/17, 33/17], [-25/34, -11/34]]], 1, 54, [], [] >,
< [ -8, -1, 1 ], [[-38412, -16192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [87, 35], [6187, 2608], [0, 0]], [[0, 0], [4317, 3747/2], [320410, 135050], [0, 3/2]], [[0, 0], [-38553/2, -9660], [-1562675, -658320], [99/2, -22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13571, -5352], [6346, 2675], [0, 0]], [[0, 0], [-375405660/17, 111847104/17], [-302881/17, -171740/17], [27/17, 1/17]], [[0, 0], [9181030177/34, -1360616626/17], [-1186867/17, 37579/17], [-319/34, 58/17]]], 1, 540, [], [] >,
< [ -8, -1, 1 ], [[180, 72]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4123, -1738], [-3594, -1515], [0, 0]], [[-5, 1], [31453/2, 13255/2], [14480, 6110], [-5/2, 1/2]], [[-2570368, 1524409/2], [1465638, -1738449/4], [-5104019, 1513522], [-1285184, 1524409/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-75, -18], [-17, -8], [0, 0]], [[-19, -5/2], [2343/2, 7377/4], [1111, 385], [-19/2, -5/4]], [[816, -51/2], [44904, -286593/4], [-34265, -8855], [408, -51/4]]], 0, 648, [], [] >,
< [ -8, -1, 1 ], [[-1116, -468]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-591, -249], [-274212, -115590], [0, 0]], [[0, 0], [1693/2, 709/2], [453515, 191177], [13/2, 1/2]], [[0, 0], [19502375/2, -2891570], [-18747058, 5559161], [18749149/2, -2779891]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 6], [5, 5], [0, 0]], [[0, 0], [-291/2, 72], [140, -31], [-13/2, 1]], [[0, 0], [4467, 2367], [2329, 655], [-184, -64]]], 0, 3888, [], [] >,
< [ -8, -1, 1 ], [[12, 0]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19, 5/2], [-5, 7/2], [19, 5/2], [0, 0]], [[-2975, 952], [3152, -1829/2], [-2975, 952], [0, -5/2]], [[7021, -2737/2], [-11683/2, 3877/2], [7021, -2737/2], [-85/2, -13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3063, -1291], [-3008, -1268], [0, 0]], [[3, 5/2], [-334073/2, -281713/4], [-164065, -69157], [3/2, 5/4]], [[-78394, 46493/2], [1050042, -1234493/4], [-133705, 42350], [-39197, 46493/4]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[36, 12]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1522, 642], [-11, -5], [0, 0]], [[0, 0], [-327141/2, -137837/2], [1290, 507], [5/2, -5/2]], [[0, 0], [-523468, -441179/2], [4077, 1638], [3, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [55, 23], [-55305, -23313], [0, 0]], [[0, 0], [-556, -487/2], [576419, 242981], [0, -1/2]], [[0, 0], [487/2, 100], [-242981, -102425], [1/2, 0]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[180, 72]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-105/2, -27/2], [3/2, 3/2], [0, 0]], [[3, 0], [247, -65], [23, -7], [3/2, 0]], [[-25/2, -1/2], [-3805/4, 971/4], [-349/4, 107/4], [-25/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-97/2, -14], [-1/2, 1], [0, 0]], [[-17, -2], [320, -3611/2], [574, -247/2], [-17/2, -1]], [[-431/2, 31/2], [157079/4, -93643/4], [43719/4, -11679/4], [-431/4, 31/4]]], 0, 648, [], [] >,
< [ -8, -1, 1 ], [[-144, -36]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 1/2], [4, -1/2], [0, 0]], [[0, 0], [-51, -21/2], [-5, -1/2], [5, 2]], [[0, 0], [23/2, 47/2], [-1/2, 5/2], [-8, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23/2, 35/2], [-1/2, 5/2], [0, 0]], [[0, 0], [827, -9941/2], [845, -1565/2], [6, -3/2]], [[0, 0], [379760, 160337], [42714, 18060], [-23, -19/2]]], 0, 3888, [], [] >,
< [ -8, -1, 1 ], [[-144, -60]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [365/2, 83], [9/2, 0], [0, 0]], [[0, 0], [-1917/2, 599/2], [611/2, -181/2], [3/2, 1]], [[0, 0], [3359/2, -568], [-1109/2, 164], [-8, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-129/2, -59/2], [15/2, 3/2], [0, 0]], [[0, 0], [-4264, 2159/2], [-2864, 1727/2], [5/2, 5/2]], [[0, 0], [9194, -6715/2], [7318, -4243/2], [41/2, 5]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[12, 0]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 21/2], [-8, -1/2], [0, 0]], [[2, -1], [9/2, -1975/2], [6929/2, -1723/2], [1, -1/2]], [[65/2, 25/2], [298877/4, 123441/4], [-41343/4, -23403/4], [65/4, 25/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23/2, -9/2], [-3/2, -3/2], [0, 0]], [[-5/2, -5/2], [13/2, 10], [53/2, -5], [-5/4, -5/4]], [[-91/2, -35/2], [172, 64], [12, 24], [-91/4, -35/4]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[12, 0]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2401, 1012], [2339, 986], [0, 0]], [[0, 0], [-9485/2, -7981/4], [-4611, -3909/2], [3/2, -5/4]], [[0, 0], [-5125, 1576], [14622, -4281], [2536, -752]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35069, 14806], [-2702, -1139], [0, 0]], [[0, 0], [863966765/34, -506829689/68], [-372478/17, 6421/34], [43/34, -5/68]], [[0, 0], [-549006679/2, 153875449/4], [4721321, 3820411/2], [-455/2, -363/4]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[12, 0]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, -29/2], [1, -1/2], [0, 0]], [[0, 0], [255/4, -15/4], [255/4, -75/4], [198, 167/2]], [[0, 0], [2775/4, -831/4], [4151/4, -1231/4], [-55/2, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [317/4, 3/4], [29/4, -1/4], [0, 0]], [[0, 0], [11512263/68, 617581/68], [1047951/68, 8145/68], [-105/34, -1/17]], [[0, 0], [33880927/4, 13677787/4], [2699719/4, 1076167/4], [-140, -56]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[12, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, 29], [-55, -25], [0, 0]], [[0, 0], [603/2, 132], [-259, -103], [1/2, 2]], [[0, 0], [-768, -438], [953, 258], [49, -21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41816/17, -17003/17], [113/17, -4/17], [0, 0]], [[0, 0], [-1311909/2, 198582], [54753, -16242], [1/2, -1]], [[0, 0], [-1592487, 479160], [132592, -39328], [2, -2]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[5656980, 2384616]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [71, 41], [105, 45], [0, 0]], [[5, 0], [-5187/2, 586], [-484, -91], [5/2, 0]], [[7, -3/2], [-9827/2, 5551/4], [-448, 44], [7/2, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [119, 44], [90, 39], [0, 0]], [[-2, 3/2], [-4642, 22149/4], [6603, 1491], [-1, 3/4]], [[-3, 1], [-20957/2, 7085/2], [2414, -355], [-3/2, 1/2]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[-30390888, -12810828]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5561, 2345], [-9, -3], [0, 0]], [[19/2, 2], [171340, 288909/4], [-483/2, -207/2], [-1/2, 5/4]], [[16920, -10035/2], [-16507, 6791/4], [14243, -4219], [-12330, 14625/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8321, 3509], [75, 33], [0, 0]], [[-21/2, -3], [1268153, 2134403/4], [26063/2, 9095/2], [-1/2, -5/4]], [[-63580, 18854], [43186057, -12849943], [42149933, -12499342], [46332, -13739]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[24, 24]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8215, 3475], [-31, -1], [0, 0]], [[5/2, 5/2], [-3205215, 1904207/2], [-6403855/2, 1898969/2], [5/2, 0]], [[-52, -22], [141919, -59880], [166403, -49351], [-12, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-291, -117], [-11, 1], [0, 0]], [[11/2, -1/2], [-4861, 2699/2], [-9357/2, 2775/2], [-5/2, 1]], [[10, 4], [-1086, -205], [-346, 104], [2, 1]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[372, 156]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-280, -118], [27, 3], [0, 0]], [[0, 0], [-275/2, -327/2], [-44485, 13211], [-1/2, 3/2]], [[0, 0], [-7985/2, -2801], [-471063, 140070], [23/2, 23]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1255, -529], [-26, 4], [0, 0]], [[0, 0], [-69/2, -65], [39778, -11795], [1/2, 0]], [[0, 0], [59, 23], [1481, -439], [0, 0]]], 0, 432, [], [] >,
< [ -8, -1, 1 ], [[5656980, 2384616]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21, 3/2], [290, 259/2], [21, 3/2], [0, 0]], [[20774, -6157], [-20363, 12245/2], [20774, -6157], [2, -5/2]], [[0, 0], [-3/2, 0], [0, 0], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 12], [25, 10], [0, 0]], [[2, 3/2], [415, -551/4], [-31, 2], [1, 3/4]], [[27, 9/2], [-9427/2, 5239/4], [161, -91], [27/2, 9/4]]], 1, 216, [], [] >,
< [ -8, -1, 1 ], [[-30390888, -12810828]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17/2, -5/2], [7817/2, 3293/2], [-17/2, -5/2], [0, 0]], [[-32284, 19155/2], [31694, -38215/4], [-32292, 9576], [4, 3/4]], [[-485170, 287627/2], [482325, -563679/4], [-485136, 143856], [-17, -85/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4040, -1703], [26, 11], [0, 0]], [[11, 7/2], [-1869, -3117/4], [16, 1], [1, 5/4]], [[317/2, -47], [-1198, 1421/4], [1703/2, -505/2], [-231/2, 137/4]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[24, 24]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -3/2], [13265/2, 5591/2], [-9/2, -3/2], [0, 0]], [[53575/2, -15887/2], [-44515/2, 6691], [53671/2, -15845/2], [8, 7/2]], [[-9422, 2794], [7787, -2371], [-9464, 2776], [-7, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1659, 705], [-11, 1], [0, 0]], [[-21/2, -3/2], [44918, -13336], [89257/2, -26477/2], [3/2, -3/2]], [[83/2, 35/2], [-13, -11/2], [83/2, 35/2], [19/2, 4]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[372, 156]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [19744, 8323], [-47, -20], [0, 0]], [[0, 0], [1446123/2, 609693/2], [-1680, -744], [-5/2, 5/2]], [[0, 0], [1625847/2, 342636], [-1984, -808], [13/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-643, -271], [-5, 1], [0, 0]], [[0, 0], [719/2, 190], [-4049, 1201], [-3/2, -2]], [[0, 0], [-5582, -5335/2], [33103, -9821], [34, 51/2]]], 0, 432, [], [] >,
< [ -8, -1, 1 ], [[48, 12]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51, 37/2], [5, 1/2], [0, 0]], [[0, 0], [-2871, 1247], [-1803, 558], [-223, -94]], [[0, 0], [42485/2, -12557/2], [22761/2, -6747/2], [-13, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-649/2, -271/2], [3/2, 3/2], [0, 0]], [[0, 0], [783/2, 27], [255/2, -39], [-720, -607/2]], [[0, 0], [83169/2, -24669/2], [55889/2, -16573/2], [15, 15/2]]], 0, 432, [], [] >,
< [ -8, -1, 1 ], [[5656980, 2384616]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75/2, 31/2], [-5/2, 1/2], [0, 0]], [[21/2, -3/2], [-197/4, -113/4], [-61/4, 23/4], [21/4, -3/4]], [[14, 2], [-437/2, -97], [-9/2, 6], [7, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [477/2, 102], [1/2, 2], [0, 0]], [[5/2, -1/2], [-6197/4, 979/4], [-6125/4, 1807/4], [5/4, -1/4]], [[7/2, -1/2], [-9555/4, 807/4], [-8259/4, 2427/4], [7/4, -1/4]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[96829644, 40817100]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1153/2, -471/2], [-25/2, 5/2], [0, 0]], [[7/2, -1], [26057/4, -7597/4], [26721/4, -7923/4], [7/4, -1/2]], [[0, 0], [16317/2, 6861/2], [73/2, 13/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8231, 3476], [-15, 0], [0, 0]], [[5/2, -2], [-699535/4, 200351/4], [-687415/4, 203837/4], [5/4, -1]], [[15, 7], [60171, -1860], [37807, -11198], [15/2, 7/2]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[624, 264]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3/2, -3/2], [19/2, 1/2], [0, 0]], [[-22, 2], [-104, 29], [-182, 55], [-11, 1]], [[68, 55/2], [36, 8], [6, -21/2], [34, 55/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5579, 2351], [9, 3], [0, 0]], [[-66, -28], [100127, 42254], [-127, -4], [-33, -14]], [[-444, -379/2], [1349907/2, 570261/2], [-2589/2, 102], [-222, -379/4]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[48, 12]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [264, 219/2], [10, 5/2], [0, 0]], [[0, 0], [-2735, 792], [-2613, 774], [-2, 1/2]], [[0, 0], [6145/2, 1137], [681/2, -9], [29/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2314, 973], [6, 0], [0, 0]], [[0, 0], [1411/2, -867/2], [2059/2, -611/2], [0, -5/2]], [[0, 0], [134, -401/2], [362, -215/2], [-3/2, -3/2]]], 0, 432, [], [] >,
< [ -8, -1, 1 ], [[5656980, 2384616]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-389/2, -85], [15/2, 0], [0, 0]], [[1, 1], [38, -5/2], [28, -13/2], [1/2, 1/2]], [[3/2, -1/2], [-3/4, 1/4], [9/4, -3/4], [3/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111/2, 21], [7/2, -1], [0, 0]], [[3/2, -5/2], [-82, -47], [0, 0], [3/4, -5/4]], [[143/2, -39/2], [356, -47], [0, 0], [143/4, -39/4]]], 1, 216, [], [] >,
< [ -8, -1, 1 ], [[96829644, 40817100]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9585/2, -4041/2], [-1/2, -1/2], [0, 0]], [[-1, -1/2], [23/2, 21/2], [-5/2, -1], [-1/2, -1/4]], [[-5/2, -1], [187/4, 61/4], [-21/4, -9/4], [-5/4, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7356, 3102], [2, 2], [0, 0]], [[5/2, 2], [46785/4, -15065/4], [47193/4, -13971/4], [5/4, 1]], [[30, 14], [27843/2, -13253/2], [34015/2, -9989/2], [15, 7]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[624, 264]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5485/2, 2305/2], [29/2, 5/2], [0, 0]], [[60, 51/2], [-1263944, -532559], [-4526, -3331/2], [30, 51/4]], [[-62, -25], [1279420, 540632], [2388, 2343], [-31, -25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12919/2, -5449/2], [5/2, -1/2], [0, 0]], [[66, 28], [2464604, 1038867], [138, 9], [33, 14]], [[118, 101/2], [8832403/2, 3722743/2], [831/2, -33], [59, 101/4]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-2676, -1128]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94, 31], [69, 30], [0, 0]], [[0, 0], [3697, -7385/4], [-1403, -475/2], [0, -5/4]], [[0, 0], [63809/2, -33593/4], [-1874, 2963/2], [27/2, -9/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-979, -406], [70, 31], [0, 0]], [[0, 0], [16954/17, 220849/68], [-17621/17, 2045/34], [-30/17, 5/68]], [[0, 0], [-1056631/34, -2986481/68], [216046/17, -2089/34], [741/34, 19/68]]], 1, 108, [], [] >,
< [ -8, -1, 1 ], [[-2676, -1128]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-407/2, -85], [-3/2, 0], [0, 0]], [[0, 0], [1607/2, -246], [1307/2, -194], [45/2, 19/2]], [[0, 0], [2145/4, -665/4], [1753/4, -521/4], [32, 27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1997/4, -11/4], [-29/4, 1/4], [0, 0]], [[0, 0], [31388989/68, 2618653/68], [441637/68, 18373/68], [91/34, 2/17]], [[0, 0], [-378606441/68, 1682585/68], [-5479281/68, 240129/68], [-564/17, 47/34]]], 1, 108, [], [] >,
< [ -8, -1, 1 ], [[-2676, -1128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, -15], [-192, -81], [0, 0]], [[0, 0], [-473/2, -118], [-1407, -580], [5/2, -1]], [[0, 0], [8051/2, 3485/2], [21720, 9123], [-3/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25021/17, 10402/17], [-21/17, 3/17], [0, 0]], [[0, 0], [35221/34, 4639/34], [-546/17, 163/17], [-1/2, 1/2]], [[0, 0], [-661/34, -5/17], [7/17, -1/17], [1/2, 0]]], 1, 108, [], [] >,
< [ -8, -1, 1 ], [[-2676, -1128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, -18], [-612, -258], [0, 0]], [[0, 0], [1739/2, 304], [11684, 4914], [1/2, -2]], [[0, 0], [1861/2, 283/2], [8733, 3636], [21/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4201/17, 2608/17], [201/17, 15/17], [0, 0]], [[0, 0], [-111485/34, 16700/17], [4364/17, -1284/17], [5/2, -1]], [[0, 0], [-26661/17, 4173/17], [1359/17, -624/17], [9, 3]]], 1, 108, [], [] >,
< [ -8, -1, 1 ], [[36, 0]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1400, 590], [-135, -57], [0, 0]], [[1, -5/2], [144193/2, 121697/4], [-6992, -2939], [1/2, -5/4]], [[-67392, 19984], [765541, -224708], [192973, -57446], [-33696, 9992]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1779, 750], [711, 300], [0, 0]], [[0, 2], [-1618836, -682395], [-647271, -272853], [0, 1]], [[-13565, 8045/2], [-16943/2, 8855/4], [39711, -11895], [-13565/2, 8045/4]]], 1, 216, [], [] >,
< [ -8, -1, 1 ], [[-108, -36]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-726, -306], [-10227, -4311], [0, 0]], [[0, 0], [-21737/2, -9173/2], [-154388, -65072], [-3/2, 1/2]], [[0, 0], [724097/2, 152626], [5139454, 2166445], [1/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1151, 485], [3651, 1539], [0, 0]], [[0, 0], [-387444, -326739/2], [-1230066, -518523], [-1, -1/2]], [[0, 0], [2070215/2, 437425], [3290343, 1387152], [1/2, 2]]], 0, 1296, [], [] >,
< [ -8, -1, 1 ], [[36, 0]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-61/2, -7/2], [-9/2, 15/2], [0, 0]], [[-7, -2], [19, 15/2], [7, 17/2], [-7/2, -1]], [[195/2, -45/2], [-309/4, 9/4], [1971/4, -651/4], [195/4, -45/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [875/2, 347/2], [15/2, -15/2], [0, 0]], [[3/2, -5/2], [-8839/4, -3383/4], [-415/4, 209/4], [3/4, -5/4]], [[-51, 17], [3411, 745/2], [1631, -1007/2], [-51/2, 17/2]]], 1, 216, [], [] >,
< [ -8, -1, 1 ], [[432, 180]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [55/2, 13/2], [3/2, -9/2], [0, 0]], [[0, 0], [-3719/2, -790], [-1935/2, -414], [-446, -188]], [[0, 0], [20763/2, 8791/2], [10823/2, 4601/2], [2485, 2095/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-147, -141/2], [3, -15/2], [0, 0]], [[0, 0], [-12997/2, -4109/2], [2027/2, 2261/2], [-1064, -897/2]], [[0, 0], [-42627, -24869/2], [4667, 15301/2], [-6715, -5661/2]]], 0, 1296, [], [] >,
< [ -8, -1, 1 ], [[-1910133868, -805188596]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [457, 193], [-27, -11], [0, 0]], [[0, 0], [-10520, -4440], [595, 245], [998785, 421023]], [[0, 0], [121880, 51414], [-6853, -2849], [-11560032, -4872960]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1155, 559], [89, 37], [0, 0]], [[0, 0], [8455748/17, -2982526/17], [-113880/17, -610/17], [475/17, 5/17]], [[0, 0], [602430736/17, 259497510/17], [44208851/17, 18595395/17], [-187542/17, -78890/17]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[296169304288, 124845776672]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11814, 4980], [204, 86], [0, 0]], [[0, 0], [-2025, -827], [75, 5], [-75, -5]], [[0, 0], [-200830, 59554], [200880, -59568], [-200880, 59568]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60348, 25616], [4052, 1708], [0, 0]], [[0, 0], [-38010116/17, 11372726/17], [5262/17, 2420/17], [-734/17, -2/17]], [[0, 0], [-50976951/17, -12632175/17], [-1516867/17, -639347/17], [83603/17, 35341/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[59772, 25196]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-49, -19], [-13, -5], [0, 0]], [[11/2, 1/2], [3700, 1549], [984, 416], [11/2, 1/2]], [[128, -39], [-1037, -979], [-567, -176], [128, -39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3493, 1475], [-35, -15], [0, 0]], [[75/2, -1/2], [-63174/17, -34177/17], [1098/17, 341/17], [75/34, -1/34]], [[-6519/2, 1927/2], [-1486638/17, 455965/17], [-24472/17, 7066/17], [-6519/34, 1927/34]]], 1, 6, [], [] >,
< [ -8, -1, 1 ], [[816, 344]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81, -34], [-93, -39], [0, 0]], [[0, 0], [80, 35], [48, 24], [-42, -16]], [[0, 0], [-184, -73], [-134, -43], [78, 39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3547, -1493], [41, 17], [0, 0]], [[0, 0], [14987650/17, 6332681/17], [-168748/17, -72866/17], [156/17, 2/17]], [[0, 0], [494841776/17, -145045918/17], [-57456410/17, 17018549/17], [-2113110/17, 626619/17]]], 0, 36, [], [] >,
< [ -8, -1, 1 ], [[68, 28]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1069, 451], [-65, -27], [0, 0]], [[1/2, 3/2], [-70846, -29860], [4238, 1794], [1/2, 3/2]], [[-924, 274], [-3313, 933], [-5733, 1703], [-924, 274]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [383791, 161785], [65, 27], [0, 0]], [[285/2, 3/2], [-94936222/17, -40047984/17], [-16690/17, -6684/17], [285/34, 3/34]], [[46940143/2, -13919403/2], [11632505139/17, -3449500479/17], [-140857561/17, 41769211/17], [46940143/34, -13919403/34]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[4092432, 1725104]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9037, 3809], [27, 11], [0, 0]], [[0, 0], [-1209366, -509808], [-3520, -1500], [-550, -232]], [[0, 0], [9132822, 3850130], [26340, 11400], [4140, 1748]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [195792, 82532], [-62, -26], [0, 0]], [[0, 0], [142598311/17, 60125809/17], [-45589/17, -19133/17], [142/17, 4/17]], [[0, 0], [-3411543556, 1011644082], [-18445942, 5469870], [12210626, -3620880]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[68, 28]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3495, 1473], [-55, -23], [0, 0]], [[-11/2, 3/2], [-97930, -41282], [1526, 644], [-11/2, 3/2]], [[-2482, 736], [833, -353], [-679, 203], [-2482, 736]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [736033, 310267], [37, 15], [0, 0]], [[135/2, 5/2], [-1008794321/17, -425241127/17], [-49231/17, -20983/17], [135/34, 5/34]], [[7915557/2, -2347241/2], [-10295413, 3048905], [2055307, -609471], [465621/2, -138073/2]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[4092432, 1725104]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7465, -3147], [-55, -23], [0, 0]], [[0, 0], [-160526, -67650], [-1164, -504], [702, 296]], [[0, 0], [2609838, 1098834], [17820, 8514], [-11396, -4810]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-351647, -148229], [13, 5], [0, 0]], [[0, 0], [-1205163, -508057], [27, 17], [6, 0]], [[0, 0], [136363037/17, -40438301/17], [-19947317/17, 5915081/17], [8973472/17, -2660950/17]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[28, 12]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-259/2, -56], [0, 0], [-3/2, 1]], [[0, 0], [2137/2, 474], [0, 0], [63/2, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-78578/17, -46611/17], [-125/17, -4/17], [0, 0]], [[0, 0], [-4002577999/34, 593440745/17], [7224826/17, -2142422/17], [-3/2, 0]], [[0, 0], [914135906/17, -541824757/34], [-3299198/17, 978424/17], [9, 7/2]]], 1, 18, [], [] >,
< [ -8, -1, 1 ], [[-6519532, -2748212]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41, -17], [-86166, -36322], [0, 0]], [[0, 0], [870, 388], [1899013, 800499], [2, 0]], [[0, 0], [1439587/2, -426889/2], [-60286, 17000], [-56597/2, 16783/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4949/17, -109/17], [-394/17, -2/17], [0, 0]], [[0, 0], [-7727/34, 1541/34], [-334/17, 4/17], [-1/2, -5/2]], [[0, 0], [96054/17, 46934/17], [26067/17, 11377/17], [750, 310]]], 0, 72, [], [] >,
< [ -8, -1, 1 ], [[-6519532, -2748212]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -5], [38, 16], [0, 0]], [[0, 0], [61471/2, -18217/2], [-103, 19], [3/2, -1/2]], [[0, 0], [35, -31], [59, 25], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4400/17, 36/17], [115/17, 3/17], [0, 0]], [[0, 0], [158123/2, -34145/2], [-1950, 390], [9/2, 5/2]], [[0, 0], [-134148, -73964], [4095, 2145], [-93, -39]]], 0, 72, [], [] >,
< [ -8, -1, 1 ], [[12015956, 5065148]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2887, -1217], [-2963, -1249], [0, 0]], [[-3, 1/2], [-392037/2, -330533/4], [-201440, -84914], [-3/2, 1/4]], [[200327, -59404], [-1035261/2, 153525], [5032, -1462], [200327/2, -29702]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-847, -357], [-1300, -548], [0, 0]], [[-2, -5/2], [17519, 29541/4], [26397, 11124], [-1, -5/4]], [[557025, -330355/2], [-251969/2, 149427/4], [1097178, -325355], [557025/2, -330355/4]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[116, 44]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [937, 395], [1510339, 636661], [0, 0]], [[0, 0], [40829/2, 17205/2], [32738680, 13800510], [5/2, -3/2]], [[0, 0], [-9230392, 2737136], [16093923, -4772123], [-8041596, 2384616]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, 3], [-10, -2], [0, 0]], [[0, 0], [-2569/2, 399/2], [225, -11], [7/2, -1/2]], [[0, 0], [-207628, -87273], [63721, 26825], [616, 259]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-28, -4]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [989/2, 415/2], [13/2, 3/2], [0, 0]], [[17/2, 3/2], [-447, 126], [-568, 175], [17/4, 3/4]], [[-154, -70], [-1611/2, 851/2], [-3335/2, 611/2], [-77, -35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-89/2, -43/2], [15/2, 1/2], [0, 0]], [[-23/2, -5/2], [-74, 5], [-62, 9], [-23/4, -5/4]], [[165/2, 55/2], [366, 41], [268, 3], [165/4, 55/4]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-496, -208]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2067/2, 857/2], [-9/2, 1/2], [0, 0]], [[0, 0], [-916, 256], [294, -88], [-9/2, 1/2]], [[0, 0], [-1941/2, 835/2], [779/2, -217/2], [11/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1012, -428], [8, 2], [0, 0]], [[0, 0], [9207/2, -2485/2], [8647/2, -2565/2], [1, 0]], [[0, 0], [-6257/2, 2367/2], [-6801/2, 2015/2], [1/2, 1/2]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-28, -4]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9093, 3833], [-38, -16], [0, 0]], [[0, 0], [-37877/2, -15963/2], [104, 46], [1/2, 3/2]], [[0, 0], [607801/2, 128018], [-1567, -768], [105/2, -42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [85, -235], [44, 18], [0, 0]], [[0, 0], [118143201/34, -17919898/17], [204147/17, -514/17], [-23/34, -2/17]], [[0, 0], [101380475/34, -36189173/17], [4549504/17, 1801415/17], [-801/34, -165/17]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[-28, -4]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1421, 599], [46575, 19633], [0, 0]], [[0, 0], [2385/2, 1001/2], [37252, 15698], [5/2, -3/2]], [[0, 0], [-53913/2, -11353], [-843667, -355612], [15/2, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74905, 31635], [18760, 7908], [0, 0]], [[0, 0], [1669904581/17, -495163780/17], [14657/17, 325/17], [-24/17, 1/17]], [[0, 0], [-47944874711/34, 7067641179/17], [-12444591/17, -5162002/17], [32729/34, 6739/17]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[-28, -4]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13907, 5863], [61, 25], [0, 0]], [[0, 0], [3739941/2, 788217], [8001, 3406], [-3/2, 1]], [[0, 0], [23603193/2, 9948907/2], [50412, 21520], [-27/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136407, 57377], [34028, 14344], [0, 0]], [[0, 0], [-37462006097/34, 5554811611/17], [356215/17, -2008/17], [-37/34, -1/17]], [[0, 0], [-283134941349/17, 84439209231/17], [171848925/17, 70134903/17], [-10699/17, -4407/17]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[-4, -4]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [-1/2, -1/4], [1, -5/2], [1/2, -5/4]], [[0, 0], [-54, -91/4], [-306, -255/2], [-153, -255/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 0], [1, 0], [0, 0]], [[0, 0], [-25935/34, 2735/68], [43/17, -5/34], [43/34, -5/68]], [[0, 0], [-365321/17, -156054/17], [1184/17, 506/17], [592/17, 253/17]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-28, -4]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [61/4, 35/4], [37/4, 3/4], [0, 0]], [[0, 0], [1/4, -4409/4], [-9919/4, 1791/4], [13/2, 3/2]], [[0, 0], [-63487/2, -25571/2], [-13887/2, -7467/2], [189/2, 81/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-939/4, -61/4], [61/4, 3/4], [0, 0]], [[0, 0], [43524399/34, -2822711/34], [-2871849/34, 225309/34], [27/34, 1/34]], [[0, 0], [-2318840909/68, -938089103/68], [144334611/68, 58170801/68], [-512/17, -211/17]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[-28, -4]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-103, -43], [-1, 5], [0, 0]], [[0, 0], [-529/2, 405/2], [-5659, 1667], [-7/2, -1/2]], [[0, 0], [2375/2, -2889/2], [35095, -10309], [55/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8828/17, -94/17], [815/17, 5/17], [0, 0]], [[0, 0], [-5572983/34, -353521/34], [256932/17, 15160/17], [15/2, 5/2]], [[0, 0], [-92664249/34, 16544415/34], [4307645/17, -779491/17], [123/2, 15/2]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-28, -4]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, 3], [-20, -2], [0, 0]], [[0, 0], [-577, -26], [2019, 1087], [2, 1]], [[0, 0], [1491/2, -289/2], [-218, -590], [-1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11816/17, 80/17], [-469/17, -1/17], [0, 0]], [[0, 0], [-42751539/17, -1102704/17], [1695803/17, 35809/17], [2, 1]], [[0, 0], [-378314801/34, 144176883/34], [7615152/17, -2883482/17], [-9/2, -1/2]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-332, -140]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-87, -35], [33, 15], [0, 0]], [[0, 0], [131/2, 23], [-19, -12], [-3/2, -1]], [[0, 0], [57/2, 5/2], [5, -6], [1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140279/17, -54680/17], [-50/17, -5/17], [0, 0]], [[0, 0], [20456515/17, -12131899/34], [73863/17, -21886/17], [0, 1/2]], [[0, 0], [-13164463/34, 3904167/34], [-23717/17, 7065/17], [3/2, 1/2]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[-146618572, -61804884]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [204203, 86079], [67406, 28414], [0, 0]], [[0, 0], [39738865/2, 16751209/2], [6558786, 2764756], [9/2, 1/2]], [[0, 0], [823621511/2, -244232277/2], [20154647, -5976485], [19141895/2, -5676245/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1953815, -823785], [102855, 43357], [0, 0]], [[0, 0], [20532875912, -6088097509], [-108606, -588], [-1, 0]], [[0, 0], [-98344725185175/34, 29169321935129/34], [-93385915/17, -147609511/17], [-1603/34, -2695/34]]], 0, 864, [], [] >,
< [ -8, -1, 1 ], [[-3297323436, -1389937780]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [595, 251], [1766116, 744480], [0, 0]], [[0, 0], [-15027, -6332], [-43940035, -18522271], [-5, -2]], [[0, 0], [-64890513/2, 19242319/2], [14954548, -4434558], [-2987069/2, 885771/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2966450, -1251068], [1483945, 625535], [0, 0]], [[0, 0], [560938715839/34, -166339066911/34], [827487/17, 5397/17], [13/34, 3/34]], [[0, 0], [-763299150597/34, 226379881023/34], [-12674133/17, -4875257/17], [-333/34, -137/34]]], 0, 8640, [], [] >,
< [ -8, -1, 1 ], [[1044, 396]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-103, -1], [48, 12], [0, 0]], [[0, 0], [-6148, 1151], [1789, 25], [-2, 1]], [[0, 0], [917297/2, 387965/2], [-379646, -160160], [-559/2, -235/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99, -3], [-57, -3], [0, 0]], [[0, 0], [-54783/2, 1317/2], [15833, 941], [-29/2, -5/2]], [[0, 0], [-38786949/2, -16214217/2], [14616871, 6129619], [-35217/2, -14805/2]]], 0, 62208, [], [] >,
< [ -8, -1, 1 ], [[141122148, 59487948]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3001, 1265], [3817, 1609], [0, 0]], [[-4, -1], [2247, 1891/2], [0, 0], [-2, -1/2]], [[-196373, 116463/2], [966899/2, -573439/4], [0, 0], [-196373/2, 116463/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2358, 994], [1421, 599], [0, 0]], [[4, -1/2], [-213257, -359611/4], [-130283, -54932], [2, -1/4]], [[-326307, 193523/2], [-2216197/2, 1314557/4], [-1960378, 581351], [-326307/2, 193523/4]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[1284, 540]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2237, 943], [5722315, 2412157], [0, 0]], [[0, 0], [84973, 35816], [218220063, 91987443], [5, 0]], [[0, 0], [-904065805/2, 268087303/2], [1838148450, -545075688], [-612630717/2, 181666551/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47, -1], [-33, -3], [0, 0]], [[0, 0], [21123/2, 1115/2], [7529, 929], [-5/2, 3/2]], [[0, 0], [47411, 21549], [41242, 18286], [12, 4]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-252, -36]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27/2, -9/2], [-3/2, 3/2], [0, 0]], [[-2, -2], [-907/2, -337/2], [-63/2, 87/2], [-1, -1]], [[-151/2, -61/2], [-34461/4, -14631/4], [4267/4, 1537/4], [-151/4, -61/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5/2, 13/2], [-53/2, 1/2], [0, 0]], [[43/2, 1/2], [2073/4, -261/4], [1753/4, -797/4], [43/4, 1/4]], [[1961/2, 851/2], [49017/4, 22275/4], [-43183/4, -16021/4], [1961/4, 851/4]]], 0, 10368, [], [] >,
< [ -8, -1, 1 ], [[-4464, -1872]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9/2, 27/2], [9/2, 3/2], [0, 0]], [[0, 0], [-10, -31], [-56, -23], [-57, -24]], [[0, 0], [5, 2], [5, 2], [5, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 30], [18, 0], [0, 0]], [[0, 0], [-1997, 241], [321, -135], [65, 29]], [[0, 0], [-65069/2, 29035/2], [21167/2, -5173/2], [-991, -376]]], 0, 62208, [], [] >,
< [ -8, -1, 1 ], [[144, 48]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2453, 1013], [-19, -1], [0, 0]], [[0, 0], [349173/2, -103595/2], [-116427/2, 34521/2], [-1/2, -1/2]], [[0, 0], [56790, -16566], [-18780, 5586], [17/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7331/2, 3073/2], [43/2, 1/2], [0, 0]], [[0, 0], [-475799/2, 138343/2], [-467903/2, 138763/2], [13/2, 3/2]], [[0, 0], [401301/2, -8139/2], [244053/2, -72903/2], [-385/2, -161/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-204, -84]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [969/2, 403/2], [21/2, 3/2], [0, 0]], [[7/2, 1/2], [-16597/2, 5325/2], [-18371/2, 5455/2], [7/4, 1/4]], [[11/2, 1/2], [-15452, 4859], [-16959, 5034], [11/4, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-693/2, -287/2], [-1/2, 5/2], [0, 0]], [[27/2, 5/2], [12073/2, -3661/2], [12905/2, -3817/2], [27/4, 5/4]], [[173/2, 103/2], [-58547/2, 16405/2], [-60367/2, 18017/2], [173/4, 103/4]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-204, -84]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1919, 809], [244651, 103129], [0, 0]], [[0, 0], [46682, 39353/2], [5980290, 2520903], [-1, -1/2]], [[0, 0], [14923/2, 3150], [956763, 403308], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [620335, 261341], [154993, 65335], [0, 0]], [[0, 0], [22195095188/17, -13163315643/34], [-25739/17, 328/17], [8/17, 5/34]], [[0, 0], [-922752561025/34, 136814473495/17], [382099/17, -71282/17], [-129/34, -9/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-204, -84]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20186, 8512], [-5, -5], [0, 0]], [[0, 0], [2064879/2, -306078], [-1032783, 306240], [-5/2, -2]], [[0, 0], [36188296, -10732564], [-36204872, 10736332], [119, 17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-355, 13], [-25, -1], [0, 0]], [[0, 0], [20993562/17, -3049921/34], [1448333/17, 692/17], [-42/17, -5/34]], [[0, 0], [3712983069/34, 19362119/34], [134667683/17, 11334953/17], [-8119/34, -1157/34]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-204, -84]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3397, 1417], [-26, 4], [0, 0]], [[0, 0], [-3657721/2, 543066], [1830469, -542792], [-5/2, 2]], [[0, 0], [-8723433, 5142385/2], [8704179, -2581230], [-57, -19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-583, 15], [17, -1], [0, 0]], [[0, 0], [8145624/17, 581697/34], [-231238/17, -235/17], [-19/17, 3/34]], [[0, 0], [470015833/34, 118137915/34], [-6282079/17, -1410655/17], [-885/34, -131/34]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-3900, -1644]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, 50], [105, 45], [0, 0]], [[0, 0], [35543/2, -22867/4], [-2391, 663/2], [-5/2, 1/4]], [[0, 0], [-58613, 10330], [-3347, -4964], [-6, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [753, 358], [38, 17], [0, 0]], [[0, 0], [2949006/17, -1223113/68], [90707/17, 1597/34], [6/17, -1/68]], [[0, 0], [-23979495/34, -75718539/68], [-1057907/17, -1562653/34], [-99/34, -183/68]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[-204, -84]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13/4, 19/4], [-11/4, -5/4], [0, 0]], [[0, 0], [148, -42], [-18, -6], [-6, -2]], [[0, 0], [-1989/2, 583/2], [87/2, 15/2], [29/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-143/4, 47/4], [113/4, -1/4], [0, 0]], [[0, 0], [3469471/17, -1084322/17], [-2343171/17, 155022/17], [139/17, 2/17]], [[0, 0], [213327411/34, -70873105/34], [-203606649/34, -13677885/34], [13233/34, 2005/34]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-204, -84]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 3], [29, -1], [0, 0]], [[0, 0], [1999/2, 415/2], [1235, 51], [3/2, -5/2]], [[0, 0], [138433, 59473], [112492, 49876], [-594, -234]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2481/17, 63/17], [449/17, -1/17], [0, 0]], [[0, 0], [14817117/34, 366663/34], [-1353856/17, -65876/17], [-5/2, 5/2]], [[0, 0], [105746315/34, 45518735/34], [-10397427/17, -4463847/17], [81/2, 33/2]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-204, -84]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -4], [-15, -3], [0, 0]], [[0, 0], [-31815/2, 4293/2], [7219, 1355], [3/2, -5/2]], [[0, 0], [-1354443, -612669], [1909780, 812996], [-1150, -470]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22316/17, -8/17], [-101/17, -5/17], [0, 0]], [[0, 0], [52206839/34, 2659775/34], [120349/17, 12057/17], [-7/2, -3/2]], [[0, 0], [-1310257/17, 938429/17], [-4260/17, 4164/17], [0, 0]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-3900, -1644]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-471, -198], [-25, -10], [0, 0]], [[0, 0], [-1392, -1161/2], [-80, -13], [-1, 5/2]], [[0, 0], [98525/2, 20473], [3153, 362], [163/2, -102]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [754769/17, 291059/17], [225/17, -3/17], [0, 0]], [[0, 0], [4869707435/34, -722123141/17], [8790757/17, -2606708/17], [1/2, 2]], [[0, 0], [14695847619/17, -4371483483/17], [53133764/17, -15748029/17], [380, 171]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[1752, 744]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1321989, -557283], [-29, 1], [0, 0]], [[-11/2, -3/2], [-62064369, 18403058], [90449541/2, -26821497/2], [-11/2, -3/2]], [[-9, -6], [168110606, -49854073], [-122504887, 36326969], [-9, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-489272, -206240], [14, 2], [0, 0]], [[-3/2, -3/2], [22006895, -6526114], [-32077059/2, 9511959/2], [-3/2, -3/2]], [[-21, -11], [54653803, -16209403], [-39833452, 11811944], [-21, -11]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-348, -132]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, -5], [-50, -2], [0, 0]], [[0, 0], [743/2, -33/2], [625, -83], [-5/2, 3/2]], [[0, 0], [12787/2, 5397/2], [6982, 2950], [107/2, 45/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 2], [-5, 1], [0, 0]], [[0, 0], [181/2, 69/2], [9, -3], [3/2, -1/2]], [[0, 0], [529, 223], [0, 0], [0, 0]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-348, -132]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -4], [45, 3], [0, 0]], [[0, 0], [18141/2, -1935/2], [13217, 1205], [3/2, -5/2]], [[0, 0], [-9416313/2, -3981729/2], [-14026513, -5918329], [11271/2, 4743/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [79, 1], [32, -4], [0, 0]], [[0, 0], [62557/2, 11497/2], [10314, 324], [3/2, 3/2]], [[0, 0], [534198, 225924], [119943, 50961], [69, 29]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[1752, 744]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-113/2, 1/2], [-2218427/2, -935309/2], [-113/2, 1/2], [0, 0]], [[0, 0], [-3, 0], [6, 0], [1, 0]], [[-6258735, 1855935], [21105193, -6259337], [-6258735, 1855935], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1534644, 646884], [-34, 2], [0, 0]], [[5/2, -3/2], [-255342345, 75717930], [372142421/2, -110353321/2], [5/2, -3/2]], [[4, 2], [30400487, -9014593], [-22152985, 6569153], [4, 2]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[84, 12]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51, -27], [11, -1], [0, 0]], [[-23, 1], [116, -45], [130, -41], [-23/2, 1/2]], [[5325/2, 2175/2], [17337/4, 8531/4], [2665/4, 2371/4], [5325/4, 2175/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15017/2, -6335/2], [23/2, 5/2], [0, 0]], [[-15/2, -1/2], [297267/4, -84747/4], [285723/4, -84747/4], [-15/4, -1/4]], [[1127/2, 437/2], [-2761931/4, 337471/4], [-2038923/4, 607455/4], [1127/4, 437/4]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[1488, 624]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-55/2, 3/2], [-67/2, -1/2], [0, 0]], [[0, 0], [15020, -3867], [16090, -3827], [-60, -27]], [[0, 0], [-304173, 92772], [-314395, 97370], [-325, -100]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27/2, 15/2], [-55/2, -1/2], [0, 0]], [[0, 0], [3, 0], [3, 0], [1, 0]], [[0, 0], [175/2, -23/2], [15/2, -75/2], [0, 0]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[84, 12]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10499/2, -4457/2], [81/2, 3/2], [0, 0]], [[-17/2, -3/2], [154727/2, -45053/2], [152773/2, -45311/2], [-17/4, -3/4]], [[-2079/2, -825/2], [2101109/2, -474409/2], [1882283/2, -559675/2], [-2079/4, -825/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1813/2, -751/2], [-29/2, 1/2], [0, 0]], [[-23/2, -1/2], [223025/2, -65865/2], [222373/2, -65945/2], [-23/4, -1/4]], [[64, 26], [-54639/2, 13085/2], [-50179/2, 14921/2], [32, 13]]], 0, 3456, [], [] >,
< [ -8, -1, 1 ], [[1488, 624]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59773/2, -25243/2], [-25/2, 5/2], [0, 0]], [[0, 0], [-459631/2, 138413/2], [154313/2, -45763/2], [-1/2, -1/2]], [[0, 0], [-1014056, 295026], [335670, -99528], [13/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11960, 5048], [-20, -2], [0, 0]], [[0, 0], [186800, -55433], [186624, -55329], [9/2, 5/2]], [[0, 0], [92105/2, -27297/2], [91953/2, -27273/2], [-3/2, -1/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-45804, -19308]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-75, -3], [-1, -1], [0, 0]], [[0, 0], [3447/2, -1155/2], [-51, 12], [-3/2, 1/2]], [[0, 0], [20951/2, 17725/4], [505, 425/2], [-13/2, -11/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [809, 773], [85, 37], [0, 0]], [[0, 0], [1702915661/34, -234212930/17], [3798024/17, -5166/17], [-31/34, 1/17]], [[0, 0], [112489197021/34, 123960164907/68], [4045054497/17, 3449698263/34], [-25871/34, -22181/68]]], 1, 216, [], [] >,
< [ -8, -1, 1 ], [[84, 12]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -8], [5, -1], [0, 0]], [[0, 0], [-47/2, -1], [-15, -6], [5/2, 1]], [[0, 0], [-189/2, -21], [-87, -36], [29/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1191, 15], [71, 5], [0, 0]], [[0, 0], [-95133463/34, 4098439/17], [2694863/17, -28012/17], [-45/34, 2/17]], [[0, 0], [-3241522189/17, -1336551337/17], [248587564/17, 103348960/17], [-1514/17, -624/17]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[84, 12]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [121634, 51266], [-19, -1], [0, 0]], [[0, 0], [2228376, -1321851/2], [-2228831, 660934], [-1, 3/2]], [[0, 0], [-3973851/2, 578631], [1973257, -584570], [269/2, 55]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -16], [31, 1], [0, 0]], [[0, 0], [4749491/34, 1099337/34], [-1208546/17, -7808/17], [-67/34, -5/34]], [[0, 0], [13377555905/34, 2794507420/17], [-1982001821/17, -807646352/17], [-133763/34, -27548/17]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[84, 12]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [91082, 38396], [-3, -3], [0, 0]], [[0, 0], [-817007/2, 242107/2], [408737, -121207], [1/2, -1/2]], [[0, 0], [138703, -87583/2], [-142625, 42226], [-16, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35, -25], [20, 2], [0, 0]], [[0, 0], [147605/2, -43724], [31074, -69], [5/2, 0]], [[0, 0], [1359676033/34, 303438554/17], [-298662897/17, -122929728/17], [-48411/34, -9966/17]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[84, 12]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -8], [-24, 0], [0, 0]], [[0, 0], [3655/4, 1357/4], [895/4, 1141/4], [-3, 0]], [[0, 0], [5634, 2372], [3226, 1372], [-17/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-203/4, -5/4], [-83/4, -5/4], [0, 0]], [[0, 0], [-167311/34, 1345/34], [-19899/34, 861/34], [-237/34, -5/34]], [[0, 0], [162693082/17, 66655615/17], [17051988/17, 6940257/17], [253092/17, 104145/17]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[-45804, -19308]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1333, -562], [-690, -291], [0, 0]], [[0, 0], [257597/2, 108551/2], [66787, 28126], [1/2, 1/2]], [[0, 0], [-547637/2, -115099], [-142394, -59524], [11/2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1466751/17, -616227/17], [-39/17, -9/17], [0, 0]], [[0, 0], [-25601513/34, 3795707/17], [-46227/17, 13688/17], [-5/2, -2]], [[0, 0], [-78889921/17, 23393852/17], [-284684/17, 84449/17], [14, 0]]], 1, 216, [], [] >,
< [ -8, -1, 1 ], [[-229707156, -96829644]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [840, 354], [-308565, -130071], [0, 0]], [[0, 0], [31732, 13390], [-11651358, -4911458], [-1, 1]], [[0, 0], [-69921803/2, 20734273/2], [2194926, -650796], [-7121985/2, 2111919/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13246/17, -32/17], [-897/17, -3/17], [0, 0]], [[0, 0], [-7820091/34, 298533/34], [264278/17, -8616/17], [3/2, -1/2]], [[0, 0], [1382387/17, 622703/17], [-95571/17, -42957/17], [0, 0]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[-229707156, -96829644]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, 3], [21, 9], [0, 0]], [[0, 0], [1129/2, -335/2], [-29, 5], [5/2, -3/2]], [[0, 0], [4325/2, -1279/2], [-7, 63], [63/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20147/17, 163/17], [105/17, -15/17], [0, 0]], [[0, 0], [-440999/17, 242158/17], [3556/17, -1392/17], [-6, -1]], [[0, 0], [-2022865/34, -185533/34], [4799/17, -229/17], [25/2, 13/2]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[-45804, -19308]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-627, -264], [462, 195], [0, 0]], [[0, 0], [4995/2, 1065], [-1900, -789], [1/2, 1]], [[0, 0], [17078, 7253], [-12921, -5394], [6, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-267293/17, -87404/17], [-252/17, -15/17], [0, 0]], [[0, 0], [24512962529/34, -7269020335/34], [44248102/17, -13121121/17], [1/2, -1/2]], [[0, 0], [-19586107855/17, 11617217677/34], [-70712253/17, 20968726/17], [8, 9/2]]], 1, 216, [], [] >,
< [ -8, -1, 1 ], [[-229707156, -96829644]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-311, -131], [-89658, -37794], [0, 0]], [[0, 0], [-5243/2, -2249/2], [-790572, -333268], [7/2, -3/2]], [[0, 0], [22083624, -6548571], [16049697, -4759271], [3386482, -1004211]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5590/17, 2/17], [-81/17, -3/17], [0, 0]], [[0, 0], [-3547877/34, 198445/34], [-25428/17, 592/17], [7/2, -3/2]], [[0, 0], [-63783415/34, -36860455/34], [-539496/17, -294010/17], [-133/2, -21/2]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[-229707156, -96829644]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, 1], [-24, -6], [0, 0]], [[0, 0], [-94215/2, 18135/2], [16146, -148], [13/2, 3/2]], [[0, 0], [-84048, 20085], [24965, -2823], [8, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-329, 1], [18, 0], [0, 0]], [[0, 0], [-525443/34, 41209/34], [14519/17, -889/17], [-5/2, -5/2]], [[0, 0], [-112745/17, 116608/17], [5297/17, -6527/17], [9, 2]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[-3852, -1620]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-434443, -183133], [-175053, -73791], [0, 0]], [[0, 0], [175174517/2, 73842233/2], [35295646, 14878336], [7/2, -1/2]], [[0, 0], [1310217657/2, -388525767/2], [-1869077534, 554247184], [-369431979/2, 109549573/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [55, 1], [-60, 0], [0, 0]], [[0, 0], [375/2, 99/2], [-204, -54], [-11/2, -3/2]], [[0, 0], [807, 300], [-879, -327], [-24, -9]]], 0, 20736, [], [] >,
< [ -8, -1, 1 ], [[612, 252]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1829/2, -767/2], [-45/2, -15/2], [0, 0]], [[-9/2, -3/2], [88385/4, -26173/4], [87777/4, -26061/4], [-9/4, -3/4]], [[43/2, 5/2], [-1457663/4, 432135/4], [-1448903/4, 429751/4], [43/4, 5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2209/2, 907/2], [93/2, 15/2], [0, 0]], [[12, 2], [1400172, -415549], [1402478, -415909], [6, 1]], [[-7/2, -9/2], [5583841/4, -1654425/4], [5589449/4, -1657369/4], [-7/4, -9/4]]], 0, 3456, [], [] >,
< [ -8, -1, 1 ], [[-432, -144]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25/2, 5/2], [3/2, 9/2], [0, 0]], [[0, 0], [5/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [-22, -10], [72, 30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51/2, 3/2], [21/2, 15/2], [0, 0]], [[0, 0], [3/2, -1/2], [-1/2, -1/2], [1, 0]], [[0, 0], [179, 83], [-339, -141], [0, 0]]], 0, 20736, [], [] >,
< [ -8, -1, 1 ], [[1023108, 431276]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [727, 307], [-27, -11], [0, 0]], [[11/2, 3/2], [-9126, -3742], [236, 175], [11/2, 3/2]], [[-540, 160], [71318, -20876], [51008, -15136], [-540, 160]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47000, -19806], [106, 44], [0, 0]], [[-251/2, -3/2], [-5880867/17, -2446151/17], [13341/17, 5052/17], [-251/34, -3/34]], [[8711619/2, -2583301/2], [2783095844/17, -825265156/17], [-48460220/17, 14370115/17], [8711619/34, -2583301/34]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [204, 86], [-38, -16], [0, 0]], [[0, 0], [-13, -5], [-11, -1], [-12, -4]], [[0, 0], [24, 10], [14, 5], [22, 9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16913, 7133], [65, 27], [0, 0]], [[0, 0], [-18692534/17, -7868924/17], [-71976/17, -30219/17], [-86/17, 5/17]], [[0, 0], [-165013641/17, 48934157/17], [-1840797/17, 545868/17], [-638646/17, 189381/17]]], 0, 72, [], [] >,
< [ -8, -1, 1 ], [[1023108, 431276]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -10], [-52, -22], [0, 0]], [[17/2, 3/2], [-716, -326], [-1820, -768], [17/2, 3/2]], [[-1547/2, 459/2], [-8873, 2614], [-353, 63], [-1547/2, 459/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-113, -51], [-27, -11], [0, 0]], [[-191/2, 3/2], [-43497/17, -17234/17], [-8139/17, -3573/17], [-191/34, 3/34]], [[-286749/2, 85033/2], [-3779051/17, 1121653/17], [488097/17, -144533/17], [-286749/34, 85033/34]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-118, -52], [-148, -62], [0, 0]], [[0, 0], [1243, 539], [1541, 647], [626, 264]], [[0, 0], [-7777, -2618], [-8183, -3563], [-3400, -1428]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-267, -118], [-37, -15], [0, 0]], [[0, 0], [529508/17, 219714/17], [67088/17, 28666/17], [14/17, -2/17]], [[0, 0], [-15011548/17, 4449634/17], [1658642/17, -492080/17], [-33534/17, 9944/17]]], 0, 72, [], [] >,
< [ -8, -1, 1 ], [[-1523536, -642224]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4281, 1805], [-35, -17], [0, 0]], [[0, 0], [-125235, -52777], [1281, 463], [62, 26]], [[0, 0], [-1430256, -602976], [12854, 5820], [710, 300]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-247, 55], [11, 5], [0, 0]], [[0, 0], [-649636/17, 183522/17], [-4260/17, 254/17], [-182/17, -8/17]], [[0, 0], [55500/17, 23400/17], [5550/17, 2340/17], [370/17, 156/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-20, -12]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8995, -3791], [11, 1], [0, 0]], [[1/2, -1/2], [-113362, 31434], [566072, -167860], [1/2, -1/2]], [[7/2, 5/2], [183064, -33096], [-787900, 233638], [7/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-651387, -274553], [-19, -5], [0, 0]], [[-88, -2], [-24955931141/17, 7400716851/17], [-2543396531/17, 754206313/17], [-88/17, -2/17]], [[-7957/2, -4755/2], [498139026383/17, -147664374117/17], [50759614867/17, -15052035863/17], [-7957/34, -4755/34]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[33136, 13968]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-273, -121], [21, 3], [0, 0]], [[0, 0], [-5149, -1475], [-1125, 213], [360, 152]], [[0, 0], [68760, 23040], [10614, -1400], [-5214, -2200]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-149, 35], [3, -3], [0, 0]], [[0, 0], [-125462/17, 54818/17], [11944/17, 630/17], [46/17, 8/17]], [[0, 0], [12829905/17, 5312067/17], [3001427/17, 1269141/17], [15576/17, 6576/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-20, -12]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-474, -218], [52, 4], [0, 0]], [[-5/2, 5/2], [-37618, 10488], [-36064, 10740], [-5/2, 5/2]], [[-3/2, -9/2], [41707, -10529], [38371, -11505], [-3/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-230, 4], [32, 0], [0, 0]], [[-13/2, -3/2], [-181243/17, 12491/17], [24527/17, -1459/17], [-13/34, -3/34]], [[97/2, 59/2], [-167468/17, 575132/17], [16240/17, -78854/17], [97/34, 59/34]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[-22252, -9380]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59, -25], [27, 11], [0, 0]], [[0, 0], [1995/2, 857/2], [-477, -179], [3/2, 5/2]], [[0, 0], [2051, 1769/2], [-996, -365], [2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [144958/17, 60372/17], [143/17, -1/17], [0, 0]], [[0, 0], [81168445/34, -24215141/34], [3401769/17, -1008717/17], [1/2, 3/2]], [[0, 0], [21915317/17, -12445937/34], [1800078/17, -533897/17], [-10, -7/2]]], 1, 18, [], [] >,
< [ -8, -1, 1 ], [[-22252, -9380]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [148, 62], [117, 49], [0, 0]], [[0, 0], [-9659/2, -2162], [-3810, -1710], [-1/2, 0]], [[0, 0], [-1081, -437], [-855, -345], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-61152/17, -24890/17], [-183/17, -3/17], [0, 0]], [[0, 0], [4853743/2, -726641], [203486, -60350], [3/2, 2]], [[0, 0], [-12833357, 3752259], [-1065710, 315950], [36, 8]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-76, -20]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, -4], [1, -5], [0, 0]], [[0, 0], [489/2, -949/2], [-210, 2], [-1/2, -3/2]], [[0, 0], [72339, 13365], [3531, 4173], [252, 68]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4917/17, -99/17], [-312/17, -4/17], [0, 0]], [[0, 0], [-31287/2, 79/2], [-1050, 2], [35/2, 5/2]], [[0, 0], [-881638/17, -99156/17], [-59221/17, -6699/17], [66, 16]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-220, -4]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63, -9], [-27, -5], [0, 0]], [[0, 0], [-1735/2, 67/2], [-347, -1], [-19/2, -1/2]], [[0, 0], [26889/2, 10895/2], [6213, 2539], [391/2, 161/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, -5], [45, 3], [0, 0]], [[0, 0], [17941/2, -1105/2], [9769, 1243], [-7/2, -5/2]], [[0, 0], [1830715/2, 1102349/2], [2097521, 993847], [-3955/2, -1589/2]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-700, -292]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, 11], [1, 3], [0, 0]], [[0, 0], [4165/2, 173/2], [943, -109], [13/2, 5/2]], [[0, 0], [-118840, 23010], [-69291, 17583], [-138, -36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2422, 58], [23, 1], [0, 0]], [[0, 0], [812886000/17, -17243655/17], [7667385/17, -18279/17], [-37/17, -2/17]], [[0, 0], [-1451162765/34, -361084455/34], [-7129366/17, -1873530/17], [77/34, 23/34]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-124, -52]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 15], [38, 16], [0, 0]], [[0, 0], [-1873, 2265/4], [21, 13/2], [-1, -3/4]], [[0, 0], [30011/2, -4413], [34, 33], [-17/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-772, -330], [61, 25], [0, 0]], [[0, 0], [-592690/17, -667043/34], [71016/17, 20773/17], [-39/17, -1/34]], [[0, 0], [545765751/34, 472681531/68], [-23252723/17, -18915911/34], [14803/34, 10087/68]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[-124, -52]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 10], [17, 7], [0, 0]], [[0, 0], [-3495/2, 368], [-145, -96], [5/2, 0]], [[0, 0], [2145, 333/4], [891, 803/2], [-6, -7/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1398, -460], [83, 35], [0, 0]], [[0, 0], [237968481/17, -282917941/68], [38619/17, -715/34], [6/17, -1/68]], [[0, 0], [-453974589/34, 277133981/68], [-208904/17, -144029/34], [-59/34, -39/68]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[-700, -292]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [115, 5], [39, -3], [0, 0]], [[0, 0], [145685/2, 12743/2], [23699, -895], [19/2, 1/2]], [[0, 0], [80774397/2, 33749967/2], [8902069, 3685599], [9589/2, 3999/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17565/17, 37/17], [856/17, 4/17], [0, 0]], [[0, 0], [261783127/34, 2734597/34], [-6383336/17, -110572/17], [-7/2, -5/2]], [[0, 0], [-32470606910/17, -14392826026/17], [1620873549/17, 717077163/17], [2964, 1236]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[-5684, -2396]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [93, 39], [1369, 577], [0, 0]], [[0, 0], [-806, -693/2], [-12208, -5158], [1, 5/2]], [[0, 0], [12477/2, 5597/2], [96638, 41034], [83/2, -69/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-110515/17, -47695/17], [-224/17, -2/17], [0, 0]], [[0, 0], [38737151/2, -11488311/2], [-1614205, 478659], [5/2, 3/2]], [[0, 0], [3458709677/34, -510597355/17], [-143818658/17, 42677876/17], [-1183/2, -247]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[-5684, -2396]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37, 15], [446, 188], [0, 0]], [[0, 0], [653/2, 146], [4397, 1858], [-1/2, 2]], [[0, 0], [4757/2, 2373/2], [34168, 14502], [-95/2, 57/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5813, 2329], [-24, 0], [0, 0]], [[0, 0], [-17612827/34, 5226501/34], [734081/17, -217637/17], [-1/2, 3/2]], [[0, 0], [9384587/17, -4590719/34], [-709245/17, 221926/17], [501, 419/2]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[-1164, -468]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53, -3], [-148, -4], [0, 0]], [[0, 0], [4337511/2, 33001/2], [6124290, -128370], [5/2, -5/2]], [[0, 0], [-6106017/2, -29313763/2], [756299, -40042015], [263/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, 1], [-110, -2], [0, 0]], [[0, 0], [-6036, 106], [28971, -1143], [-4, 2]], [[0, 0], [1007937/2, 1017947/2], [-1974720, -2326644], [-2035/2, -33/2]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[228, 60]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, -5], [43, 1], [0, 0]], [[0, 0], [3257, 1794], [-12838, -1540], [4, -1]], [[0, 0], [-5971803/2, -2517595/2], [5787039, 2438199], [-405/2, -169/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1997, -43], [21, 3], [0, 0]], [[0, 0], [-1298293/34, 223871/34], [7549/17, -107/17], [-33/34, -5/34]], [[0, 0], [-133887171/34, -51969413/34], [1715464/17, 704068/17], [-11787/34, -4917/34]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-66756, -28140]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, 3], [23, -1], [0, 0]], [[0, 0], [-5103/2, 567/4], [-1516, 445/2], [1/2, -1/4]], [[0, 0], [-227885/2, -192647/4], [-42015, -35607/2], [-37/2, -31/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, 9], [-25, -1], [0, 0]], [[0, 0], [-564829/34, 99283/34], [-109575/17, 951/17], [75/34, -1/34]], [[0, 0], [4759588/17, 7890851/68], [4372329/17, 3667389/34], [-1472/17, -2469/68]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-66756, -28140]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 4], [-19, -1], [0, 0]], [[0, 0], [6889, -8027/4], [4497, -3819/2], [2, -3/4]], [[0, 0], [21757/2, 19777/4], [-182007, -152889/2], [-99/2, -83/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-77, -9], [13, 1], [0, 0]], [[0, 0], [1997037/34, -3839/34], [-175671/17, 7173/17], [7/34, -1/34]], [[0, 0], [-2057627621/34, -1731185925/68], [157144537/17, 132143993/34], [-3769/34, -3161/68]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[228, 60]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [213, 3], [16, 4], [0, 0]], [[0, 0], [606973/2, -114221/2], [14204, 136], [-1/2, 1/2]], [[0, 0], [423201/2, 2963643/2], [223081, 138075], [61/2, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [244889/17, -2281/17], [368/17, -4/17], [0, 0]], [[0, 0], [-1235374293/17, -31835589/17], [-1855353/17, -44879/17], [7, -1]], [[0, 0], [7784763705/2, 2735503587/2], [5822199, 2042581], [-427/2, -105/2]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-66756, -28140]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [508, 214], [17, 5], [0, 0]], [[0, 0], [-507/2, 174], [-5938, 1756], [-1/2, 2]], [[0, 0], [-65/2, 775/2], [-8497, 2501], [11/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [956109/17, 405033/17], [407/17, 5/17], [0, 0]], [[0, 0], [-2060861945/34, 305402630/17], [85822446/17, -25449508/17], [-3/2, 2]], [[0, 0], [5074362417/34, -1514061861/34], [-211908747/17, 62834381/17], [147/2, 49/2]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-66756, -28140]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1037, 437], [10, 4], [0, 0]], [[0, 0], [-6633/2, 1941/2], [-5432, 1614], [1/2, 3/2]], [[0, 0], [-5375/2, 1109], [-5255, 1480], [-115/2, -23]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [759844/17, 321784/17], [305/17, 5/17], [0, 0]], [[0, 0], [-457574031/34, 67839846/17], [19062395/17, -5652666/17], [1/2, 0]], [[0, 0], [-9749059/17, 2884361/17], [811539/17, -240651/17], [0, 0]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[2100, 876]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-127753/2, -53903/2], [-37/2, 5/2], [0, 0]], [[7, 1], [22478233, -6664105], [-9145699, 2712023], [7/2, 1/2]], [[189/2, 51/2], [661454789/4, -196041381/4], [-269091651/4, 79795251/4], [189/4, 51/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1975276, -832636], [26, 2], [0, 0]], [[-51/2, -5/2], [614485183/4, -182219111/4], [-447791577/4, 132785889/4], [-51/4, -5/4]], [[187, 49], [-555162268, 164631998], [404566084, -119967914], [187/2, 49/2]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[-1392, -528]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-151/2, 31/2], [93/2, 3/2], [0, 0]], [[0, 0], [-12203, 5473], [-81, -4089], [-20, -2]], [[0, 0], [-11119397, -4765409], [24862765, 10510393], [48087, 20223]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-87/2, -33/2], [-31/2, -1/2], [0, 0]], [[0, 0], [26293/2, 9811/2], [10725/2, 435/2], [113, 47]], [[0, 0], [2881449, 1186845], [707955, 209199], [26035, 10947]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[2100, 876]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-118, 2], [-72, 0], [0, 0]], [[-7/2, -1/2], [-128763/4, -12237/4], [-79747/4, -8965/4], [-7/4, -1/4]], [[13/2, 3/2], [225831/4, 43033/4], [141679/4, 29137/4], [13/4, 3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3166637/2, 1334891/2], [61/2, -5/2], [0, 0]], [[-27, -1], [-22931648, 6798534], [16708826, -4954768], [-27/2, -1/2]], [[-215/2, -1/2], [-394100499/4, 116843099/4], [287160285/4, -85153317/4], [-215/4, -1/4]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[-1392, -528]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 12], [62, 2], [0, 0]], [[0, 0], [-2633/2, 813/2], [-1953/2, 381/2], [58, 24]], [[0, 0], [-3397/2, -103/2], [8855/2, 4565/2], [-2075, -875]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [125, -13], [-17, 1], [0, 0]], [[0, 0], [39081, -4327], [-5013, 471], [75, 31]], [[0, 0], [-86673/2, -24615/2], [11847/2, 3513/2], [-259, -109]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[-784020, -330492]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, 7], [22, 4], [0, 0]], [[0, 0], [3087/2, -819/4], [742, -181/2], [1/2, 1/4]], [[0, 0], [-63, 27], [-29, 13], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [685, 43], [-9, -3], [0, 0]], [[0, 0], [2052961/34, -941989/68], [-4615/17, -413/34], [9/34, -5/68]], [[0, 0], [-4640, -1826], [103, 43], [0, 0]]], 1, 432, [], [] >,
< [ -8, -1, 1 ], [[-784020, -330492]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-73, -1], [-25, -1], [0, 0]], [[0, 0], [350, -277], [99, -93], [2, -1]], [[0, 0], [21/2, 21/4], [3, 3/2], [1/2, 1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -14], [-11, 1], [0, 0]], [[0, 0], [411413/34, 57599/34], [29315/17, 203/17], [-95/34, -1/34]], [[0, 0], [-11435139/17, -17001603/68], [-1220841/17, -790011/34], [1996/17, 2597/68]]], 1, 432, [], [] >,
< [ -8, -1, 1 ], [[2100, 876]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, 1], [25, -5], [0, 0]], [[0, 0], [-8467/2, -2563/2], [-1168, -82], [-11/2, -3/2]], [[0, 0], [354240, 103995], [100647, 5451], [462, 121]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2330, -34], [-3, 3], [0, 0]], [[0, 0], [-5683953/34, 66149973/34], [355284/17, -804/17], [-271/34, -5/34]], [[0, 0], [84413440231/34, 54129616039/34], [235526839/17, 58543687/17], [-187137/34, -49329/34]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-784020, -330492]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [415, 175], [3900, 1644], [0, 0]], [[0, 0], [2071/2, 865/2], [12151, 5123], [-1/2, -3/2]], [[0, 0], [53075/2, 10966], [309426, 130485], [81/2, -54]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1595368/17, 673678/17], [225/17, -3/17], [0, 0]], [[0, 0], [-3447194015/34, 511054490/17], [143609823/17, -42585106/17], [-5/2, -2]], [[0, 0], [-1631384077/17, 990569419/34], [137190941/17, -40738048/17], [836, 703/2]]], 1, 432, [], [] >,
< [ -8, -1, 1 ], [[-784020, -330492]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-425, -179], [-5964, -2514], [0, 0]], [[0, 0], [-100301/2, -42293/2], [-705849, -297545], [-5/2, -1/2]], [[0, 0], [507525/2, 106878], [3569316, 1504522], [-5/2, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-808851/17, -339501/17], [267/17, -9/17], [0, 0]], [[0, 0], [-194850759/34, 57915987/34], [8129175/17, -2410597/17], [1/2, -1/2]], [[0, 0], [-110020867/34, 10290283/17], [3887841/17, -1151931/17], [87/2, 18]]], 1, 432, [], [] >,
< [ -8, -1, 1 ], [[2100, 876]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-154, 2], [57, 3], [0, 0]], [[0, 0], [-805797/2, 56445/2], [144585, -1313], [-23/2, -1/2]], [[0, 0], [-161637693/2, -66711519/2], [36670077, 15233835], [-6885/2, -2871/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52736/17, 112/17], [411/17, -15/17], [0, 0]], [[0, 0], [-49154959/17, -2590615/17], [377362/17, 6310/17], [-8, -2]], [[0, 0], [3348207/2, 1293657/2], [-11655, -4417], [17/2, 7/2]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-784020, -330492]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1120, 472], [8277, 3489], [0, 0]], [[0, 0], [159969/2, 33729], [591782, 249457], [-3/2, -2]], [[0, 0], [1115772, 941055/2], [8255406, 3479945], [-19, -57/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1144284/17, 482730/17], [81/17, 3/17], [0, 0]], [[0, 0], [45521039/34, -13483735/34], [-1894240/17, 561670/17], [3/2, 1/2]], [[0, 0], [2054413/34, -248932/17], [-79460/17, 23283/17], [19/2, 4]]], 1, 432, [], [] >,
< [ -8, -1, 1 ], [[-784020, -330492]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1151, 485], [16077, 6777], [0, 0]], [[0, 0], [-755995/2, -159473], [-5284103, -2227435], [3/2, 2]], [[0, 0], [2419224, 2044467/2], [33849750, 14268856], [13, -39/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2360384/17, 995306/17], [99/17, 15/17], [0, 0]], [[0, 0], [291938231/17, -172884665/34], [-24286237/17, 7201793/17], [2, 1/2]], [[0, 0], [-1584037081/34, 215873464/17], [63712585/17, -18903381/17], [-455/2, -95]]], 1, 432, [], [] >,
< [ -8, -1, 1 ], [[2100, 876]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [177, -33], [-21, -15], [0, 0]], [[0, 0], [503375/2, -163687/2], [25848, 144], [21/2, 3/2]], [[0, 0], [-1941153/2, -1264587/2], [1405688, 579780], [1651/2, 689/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2869, 5], [-12, 0], [0, 0]], [[0, 0], [-13005393/2, 57285/2], [-27203, 71], [3/2, 1/2]], [[0, 0], [4455433/17, 1686919/17], [18735/17, 7101/17], [0, 0]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[5200, 2192]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-53, -25], [-1, -3], [0, 0]], [[0, 0], [-2492, -1038], [-254, -94], [26, 10]], [[0, 0], [-2577, -1087], [-245, -104], [26, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-218, -44], [0, 4], [0, 0]], [[0, 0], [194012/17, 879880/17], [-141786/17, 7102/17], [54/17, 2/17]], [[0, 0], [8714195/17, 3634183/17], [-318249/17, -137434/17], [166/17, 71/17]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[17512380, 7382084]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-317, -129], [-23, -5], [0, 0]], [[-13/2, -5/2], [-108878, 32820], [-111238, 32991], [-13/2, -5/2]], [[52, 22], [-42547, 8143], [-36911, 10905], [52, 22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [211, 17], [-3, -1], [0, 0]], [[-75/2, 1/2], [-12170/17, -1574/17], [-146/17, -35/17], [-75/34, 1/34]], [[-87259/2, -36849/2], [-21304692/17, -8987902/17], [-321914/17, -135752/17], [-87259/34, -36849/34]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-428, -180]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [176508, 74412], [18, 2], [0, 0]], [[-5/2, 5/2], [-39248466, 11633530], [28583806, -8476098], [-5/2, 5/2]], [[-283, -119], [-2439707, 1301635], [2362695, -701273], [-283, -119]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4794475, -2021005], [13, -1], [0, 0]], [[-41/2, 1/2], [-30904955994/17, 9164387666/17], [5752659468/17, -1705865868/17], [-41/34, 1/34]], [[-12545/2, -5275/2], [-22255839622/17, 6584671998/17], [4138787410/17, -1227329156/17], [-12545/34, -5275/34]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[26078128, 10992848]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [205790, 86746], [16, 8], [0, 0]], [[0, 0], [-9946421, -4193051], [-1131, -269], [14, 6]], [[0, 0], [-224972026, -94834382], [-19808, -7794], [322, 136]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-607, 15], [23, 1], [0, 0]], [[0, 0], [6137699/17, -443387/17], [-225889/17, 2141/17], [-216/17, -8/17]], [[0, 0], [-3348579524/17, -1349572292/17], [156431698/17, 63950584/17], [173106/17, 71272/17]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-428, -180]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-101370, -42718], [32, 4], [0, 0]], [[10, 2], [76214877, -22604301], [-55551447, 16472975], [10, 2]], [[-1749/2, -735/2], [-38256745, 11837781], [28380199, -8417933], [-1749/2, -735/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12598425, 5310663], [-19, -5], [0, 0]], [[-217/2, -3/2], [1677295100/17, -497384032/17], [-312214830/17, 92582428/17], [-217/34, -3/34]], [[-18147, -7627], [852664706/17, -255569654/17], [-159555320/17, 47217862/17], [-18147/17, -7627/17]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[26078128, 10992848]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [243394, 102598], [36, 16], [0, 0]], [[0, 0], [-1762263, -742933], [-491, -151], [-142, -60]], [[0, 0], [-6023307, -2539193], [-1573, -549], [-488, -206]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-81, -15], [-5, 5], [0, 0]], [[0, 0], [-44920/17, -18772/17], [3974/17, 1244/17], [-32/17, -10/17]], [[0, 0], [2889596/17, 1217248/17], [-221054/17, -91020/17], [1778/17, 732/17]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-428, -180]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-209851, -88461], [1, -1], [0, 0]], [[-3/2, -1/2], [735024, -218820], [734924, -217934], [-3/2, -1/2]], [[0, 0], [5031, -2219], [6033, -1789], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8136200, -3429684], [-2, -2], [0, 0]], [[102, 0], [-225186739, 66777931], [25020237, -7419367], [6, 0]], [[484029/2, 203567/2], [-20554052792/17, 6304141904/17], [2317847536/17, -686043798/17], [484029/34, 203567/34]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[26078128, 10992848]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-130645, -55071], [25, 11], [0, 0]], [[0, 0], [-358916, -151212], [598, 336], [640, 270]], [[0, 0], [-1245348, -523260], [104, 1746], [2210, 936]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-261, -3], [-1, 1], [0, 0]], [[0, 0], [-168597/17, -527215/17], [13895/17, 361/17], [-122/17, -2/17]], [[0, 0], [-3172067232/17, -1356715692/17], [25167558/17, 10373112/17], [-214562/17, -88324/17]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[239088, 100784]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1036, -437], [-134, -56], [0, 0]], [[0, 0], [63993, 26948], [8131, 3473], [142, 60]], [[0, 0], [-121720, -51333], [-15656, -6560], [-266, -112]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18195, -7668], [-55, -23], [0, 0]], [[0, 0], [26593533/17, 11208876/17], [79673/17, 33673/17], [-150/17, 2/17]], [[0, 0], [178275664/17, -51820332/17], [-12619998/17, 3745408/17], [-9353138/17, 2773532/17]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[17512380, 7382084]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-289, -122], [103, 43], [0, 0]], [[19/2, 5/2], [-94224, -39538], [32680, 14200], [19/2, 5/2]], [[-1859/2, 559/2], [43918, -62175], [288000, -68000], [-1859/2, 559/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51931, 21891], [45, 19], [0, 0]], [[-299/2, -1/2], [-997035/17, -405491/17], [-585/17, -373/17], [-299/34, -1/34]], [[-551045, 163405], [-130379983/17, 38674436/17], [1114109/17, -330363/17], [-551045/17, 163405/17]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[5200, 2192]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 1], [-3, -1], [0, 0]], [[0, 0], [-10, -4], [460, 194], [460, 194]], [[0, 0], [10, 3], [-402, -170], [-402, -170]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [311, 40], [-19, -5], [0, 0]], [[0, 0], [801670/17, -52756/17], [-40278/17, -3188/17], [-210/17, -4/17]], [[0, 0], [-110814984/17, -48381637/17], [9173682/17, 3925950/17], [40032/17, 17236/17]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[17512380, 7382084]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 7], [26, 2], [0, 0]], [[7/2, -3/2], [361, -1], [303, -33], [7/2, -3/2]], [[48, 20], [-11265, -4761], [-6035, -2557], [48, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [378, 245], [32, 4], [0, 0]], [[205/2, -5/2], [12706351/17, -3741803/17], [-1398863/17, 415451/17], [205/34, -5/34]], [[-8151/2, -3445/2], [-2558250/17, -1978894/17], [-231906/17, 1728/17], [-8151/34, -3445/34]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-428, -180]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 4], [-31, -5], [0, 0]], [[0, 0], [-512135/2, 63225/2], [132605, -6931], [5/2, 5/2]], [[0, 0], [-8069541/2, -3465003/2], [2961147, 1262501], [597/2, 251/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4047/17, -97/17], [-367/17, -1/17], [0, 0]], [[0, 0], [5079/34, 1839/34], [609/17, 185/17], [11/2, 3/2]], [[0, 0], [3951471/34, 1664277/34], [432078/17, 181802/17], [7403/2, 3113/2]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-428, -180]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-61, -3], [21, 3], [0, 0]], [[0, 0], [-11767, 690], [3725, 113], [-3, -2]], [[0, 0], [411479/2, 178717/2], [-90140, -38676], [431/2, 181/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1697/17, -15/17], [149/17, 3/17], [0, 0]], [[0, 0], [-2471209/34, 38899/34], [108168/17, -750/17], [-1/2, -5/2]], [[0, 0], [127282431/17, 53889386/17], [-11493645/17, -4865165/17], [975, 410]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-380884, -160556]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1515, -639], [-4, -2], [0, 0]], [[0, 0], [395231/2, 166605/2], [571, 243], [1/2, -1/2]], [[0, 0], [1893083/2, 399005], [2728, 1166], [9/2, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [115990/17, 26168/17], [-197/17, -1/17], [0, 0]], [[0, 0], [-1199000976/17, 355529260/17], [4328442/17, -1283520/17], [-1, -1]], [[0, 0], [917081875/34, -135216319/17], [-1652532/17, 489342/17], [165/2, 35]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[-380884, -160556]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-463, -195], [-10, -4], [0, 0]], [[0, 0], [-11806, -9949/2], [-239, -101], [2, -3/2]], [[0, 0], [18217/2, 3836], [184, 78], [-9/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2451633/17, 1034951/17], [1/17, -5/17], [0, 0]], [[0, 0], [102506713/34, -30367971/34], [-184990/17, 54856/17], [1/2, 5/2]], [[0, 0], [124389131/34, -14743331/17], [-205980/17, 61070/17], [1881/2, 399]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[44, 20]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -13], [-44, -18], [0, 0]], [[0, 0], [-9541/2, 5551/4], [151, -163/2], [3/2, -5/4]], [[0, 0], [14745, 6617], [21033, 8849], [456, 192]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1537, -381], [-44, -18], [0, 0]], [[0, 0], [-112270217/34, 60452869/68], [-189134/17, -1627/34], [-43/34, 5/68]], [[0, 0], [832956342/17, 717552901/34], [31293539/17, 13206908/17], [2817/17, 2379/34]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[44, 20]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, -17], [-38, -16], [0, 0]], [[0, 0], [-1/2, 63/4], [1, 29/2], [3/2, -5/4]], [[0, 0], [-2808, -4739/4], [-2663, -2247/2], [145, 245/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1800, 1030], [117, 49], [0, 0]], [[0, 0], [830975771/17, -1021172917/68], [-1650623/17, 33723/34], [-38/17, -5/68]], [[0, 0], [-42105039555/34, -16263887263/34], [-1064238405/17, -449487623/17], [-56391/34, -23807/34]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[116, 44]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35454, 14946], [-5, -3], [0, 0]], [[0, 0], [-1612589/2, 239118], [806275, -239092], [3/2, -2]], [[0, 0], [-369008, 96764], [353707, -103199], [1177, 495]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-671, 47], [-20, -4], [0, 0]], [[0, 0], [-145327823/34, 15103636/17], [-1438832/17, 7393/17], [-37/34, -1/17]], [[0, 0], [1279271037/17, 1062077453/34], [82646101/17, 34727910/17], [1278/17, 1075/34]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[116, 44]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-513638, -216514], [13, 3], [0, 0]], [[0, 0], [118097824, -70049659/2], [-118136085, 35031502], [-1, -1/2]], [[0, 0], [559900185/2, -82315904], [-279051141, 82748702], [333/2, 70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1154, 70], [-7, -5], [0, 0]], [[0, 0], [23594430/17, -17742449/34], [-164675/17, -122/17], [-49/17, -3/34]], [[0, 0], [1903658071/34, 409014087/17], [25178799/17, 10585082/17], [16487/34, 3467/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-97292, -41012]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1371, -563], [-26, 4], [0, 0]], [[0, 0], [1816663/2, -545735/2], [915359, -271451], [-1/2, 1/2]], [[0, 0], [6885723/2, -1711582], [4410994, -1310936], [183/2, 42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1679207/17, 634603/17], [632/17, 2/17], [0, 0]], [[0, 0], [-19358802093/34, 5740560705/34], [-34943424/17, 10362106/17], [-5/2, -3/2]], [[0, 0], [-3037980249/17, 1801720287/34], [-10966831/17, 3252449/17], [-8, -7/2]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-97292, -41012]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [743, 315], [3, 3], [0, 0]], [[0, 0], [-24742, 14949/2], [-24039, 7117], [2, 5/2]], [[0, 0], [-513843/2, 96666], [-277382, 80556], [1229/2, 278]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1898066/17, -817076/17], [143/17, -1/17], [0, 0]], [[0, 0], [-106001202010/17, 31433060615/17], [-382675522/17, 113476906/17], [-1, -2]], [[0, 0], [523680753797/34, -77644127980/17], [945261408/17, -280308294/17], [195/2, 45]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-487919540, -205675244]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-75, -5], [19, 1], [0, 0]], [[0, 0], [-6989/2, 323/2], [916, -46], [13/2, 5/2]], [[0, 0], [26913/2, -2011/2], [-3531, 277], [-45/2, -17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1771/17, -53/17], [693/17, 3/17], [0, 0]], [[0, 0], [-14150619/34, 273033/34], [2796564/17, -121394/17], [7/2, 3/2]], [[0, 0], [-778932/17, 313236/17], [331165/17, -127865/17], [0, 0]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-487919540, -205675244]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, 5], [9, 3], [0, 0]], [[0, 0], [-8261/2, 2027/2], [-332, 30], [-7/2, 1/2]], [[0, 0], [29186, 8166], [7943, 3093], [64, 24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7721/17, -87/17], [1509/17, 3/17], [0, 0]], [[0, 0], [-1005256819/34, -9939725/34], [98244824/17, 60988/17], [-13/2, -3/2]], [[0, 0], [5423598809/2, 1567452501/2], [-519184861, -147025629], [1775/2, 675/2]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[1284, 540]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [345495, 145613], [-60, 0], [0, 0]], [[0, 0], [-157661205, 46752528], [157662687, -46752525], [0, -1]], [[0, 0], [-1258585613/2, 186580202], [629257802, -186597439], [185/2, 35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-149, 41], [15, -3], [0, 0]], [[0, 0], [-45293/34, -41013/34], [-3625/17, 683/17], [115/34, 3/34]], [[0, 0], [47467886/17, 41451425/34], [899044/17, 234469/17], [-35097/17, -26617/34]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[1284, 540]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-500371, -210945], [-57, -3], [0, 0]], [[0, 0], [177834211/2, -26366620], [-88915487, 26366566], [3/2, 0]], [[0, 0], [-26997426, 16006033/2], [26993419, -8004482], [-4, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-79, -5], [60, 0], [0, 0]], [[0, 0], [-9122380/17, -1294535/34], [6852497/17, 49652/17], [-25/17, -5/34]], [[0, 0], [-1071185925/34, -398820343/34], [342368620/17, 120920236/17], [-3135/34, -1189/34]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-1142652, -481668]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 2], [-11, 1], [0, 0]], [[0, 0], [-60271/2, -11023/4], [-7123, -569/2], [1/2, -3/4]], [[0, 0], [5947659/2, 1202510], [614454, 245061], [285/2, 65]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-616, 22], [-11, 1], [0, 0]], [[0, 0], [-141877/17, -96371/68], [-1335/17, -471/34], [-30/17, 5/68]], [[0, 0], [-1201959/34, -1027383/68], [-5681/17, -4849/34], [-139/34, -123/68]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[-1142652, -481668]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, -2], [-29, 1], [0, 0]], [[0, 0], [-12727/2, 363/4], [-3270, 519/2], [-5/2, 3/4]], [[0, 0], [-6815, -2871], [-2695, -1135], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [53, -63], [9, -3], [0, 0]], [[0, 0], [3045385/17, 4216393/68], [47489/17, -131/34], [-13/17, 5/68]], [[0, 0], [-3301458255/34, -2792865185/68], [-11556386/17, -10158433/34], [4209/34, 3827/68]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[-1142652, -481668]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13848, 5838], [1, 1], [0, 0]], [[0, 0], [14, -23/2], [-4, -2], [1, 1/2]], [[0, 0], [-2047/2, -431], [-446, -188], [223/2, 47]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17569657/17, 7445521/17], [-346/17, -4/17], [0, 0]], [[0, 0], [35453552269, -21026496607/2], [127991425, -37953955], [-1, -1/2]], [[0, 0], [-225952087821/34, 67018223037/34], [-407896743/17, 120954563/17], [45/2, 19/2]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[-1142652, -481668]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18247, 7705], [-29, 1], [0, 0]], [[0, 0], [1944969/2, -289128], [971814, -288168], [-1/2, -2]], [[0, 0], [-715599/2, -40677], [-150688, 46432], [-1159/2, -244]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22548311/17, 9591839/17], [-754/17, -4/17], [0, 0]], [[0, 0], [4978128096933/34, -738095034561/17], [8985790753/17, -2664602869/17], [-1/2, -1]], [[0, 0], [-139753623169/17, 41440985534/17], [-504514817/17, 149611031/17], [-95, -40]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[1284, 540]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -4], [-83, -5], [0, 0]], [[0, 0], [-7763/2, 493/2], [-6331, 461], [5/2, 5/2]], [[0, 0], [59019, 25149], [92392, 39396], [-214, -90]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40495/17, 97/17], [449/17, -1/17], [0, 0]], [[0, 0], [-62132587/17, 6761942/17], [-691771/17, 77793/17], [-3, -2]], [[0, 0], [-1020438033/34, -433284147/34], [-5570454/17, -2365706/17], [-273/2, -115/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[1284, 540]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-134, -2], [-59, -5], [0, 0]], [[0, 0], [63197, -2479], [27009, 767], [4, 2]], [[0, 0], [320405/2, 142565/2], [87383, 38203], [69/2, 29/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27375/17, -9/17], [1223/17, 5/17], [0, 0]], [[0, 0], [-655392085/34, -64440439/34], [14683205/17, 1499847/17], [1/2, 3/2]], [[0, 0], [-92232883697/34, -39043105277/34], [2086476987/17, 883147551/17], [1179/2, 495/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-348, -132]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2047, -841], [55, 1], [0, 0]], [[0, 0], [116356, -35396], [-119249, 35389], [-2, -2]], [[0, 0], [1838121/2, 231018], [-242523, 56412], [4081/2, 858]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2267, -31], [26, 2], [0, 0]], [[0, 0], [670227485/34, -54524455/34], [3651582/17, 8760/17], [33/34, 5/34]], [[0, 0], [-189392190885/34, -39560068659/17], [-1430453061/17, -599738010/17], [-19341/34, -4067/17]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-348, -132]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2077, 871], [-12, 0], [0, 0]], [[0, 0], [-17456, 12809/2], [21389, -6364], [2, 5/2]], [[0, 0], [-1990987/2, -398933], [49067, -2452], [-4875/2, -1025]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4753, -43], [-39, 3], [0, 0]], [[0, 0], [-1083277398/17, -194624979/34], [-8400795/17, 22560/17], [-12/17, 1/34]], [[0, 0], [-1076443057795/34, -226634099468/17], [-3175814425/17, -1336285558/17], [-7875/34, -1656/17]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-13419948, -5656980]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-135, -3], [13, 1], [0, 0]], [[0, 0], [-4540, -13681/4], [569, 727/2], [-2, -5/4]], [[0, 0], [-36523/2, -29669/4], [2032, 1667/2], [-11/2, -9/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [812, -22], [-25, -1], [0, 0]], [[0, 0], [-55372063/17, 13882685/68], [1684668/17, 6627/34], [-50/17, -3/68]], [[0, 0], [-326478132777/34, -275961152421/68], [6342488031/17, 5356616133/34], [-392951/34, -331829/68]]], 1, 864, [], [] >,
< [ -8, -1, 1 ], [[-13419948, -5656980]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-95, 1], [11, -1], [0, 0]], [[0, 0], [19457/2, 2099/2], [-1049, -23], [-3/2, -1/2]], [[0, 0], [-14049, -22359/4], [1215, 933/2], [3, 5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2479, 17], [-23, 1], [0, 0]], [[0, 0], [6603140, 212162], [60291, -363], [2, 0]], [[0, 0], [-7751218301/34, -6543495091/68], [-31273077/17, -26408877/34], [-2121/34, -1791/68]]], 1, 864, [], [] >,
< [ -8, -1, 1 ], [[-67301060628, -28369763724]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [106, -2], [69, 3], [0, 0]], [[0, 0], [-209211/2, 10551/2], [-67050, -670], [-7/2, -5/2]], [[0, 0], [4459769/2, 3940973/2], [2123870, 1471256], [1067/2, 407/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4762/17, -146/17], [1017/17, 15/17], [0, 0]], [[0, 0], [-170809333/34, 7932899/34], [-18130124/17, 36098/17], [7/2, 3/2]], [[0, 0], [-3304521/17, 1194657/17], [-617544/17, 236820/17], [0, 0]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-67301060628, -28369763724]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [139725, 58899], [-208431, -87861], [0, 0]], [[0, 0], [-4972301/2, -2096003/2], [3736946, 1575254], [11/2, 5/2]], [[0, 0], [6194297835/2, -1836827133/2], [283778242, -84150228], [-686701035/2, 203631005/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12143/17, -127/17], [1140/17, 12/17], [0, 0]], [[0, 0], [73521581/34, 745409/34], [3462536/17, 109498/17], [5/2, -3/2]], [[0, 0], [3282508683/34, 1456325973/34], [166004349/17, 73218719/17], [-245/2, -91/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-13419948, -5656980]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10559, -4451], [5238, 2208], [0, 0]], [[0, 0], [106539/2, 44883/2], [-28061, -11819], [-5/2, -5/2]], [[0, 0], [83001, 69681/2], [-43757, -18339], [15, -19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21500965/17, 9081889/17], [-144/17, 6/17], [0, 0]], [[0, 0], [74934312193/34, -22220745359/34], [135260939/17, -40109615/17], [-1/2, 3/2]], [[0, 0], [-71081503692/17, 42160496937/34], [-256623473/17, 76097407/17], [-86, -79/2]]], 1, 864, [], [] >,
< [ -8, -1, 1 ], [[-13419948, -5656980]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4595, -1937], [13152, 5544], [0, 0]], [[0, 0], [-68394, -57633/2], [196211, 82731], [0, -5/2]], [[0, 0], [-557901/2, -117573], [800522, 337470], [-21/2, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40513247/17, -17038745/17], [-327/17, 3/17], [0, 0]], [[0, 0], [-1095896869715/34, 162485762159/17], [-1978149959/17, 586591009/17], [-1/2, -2]], [[0, 0], [441291474982/17, -130853719673/17], [1593085034/17, -472405380/17], [63, 28]]], 1, 864, [], [] >,
< [ -8, -1, 1 ], [[-67301060628, -28369763724]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, -4], [-9, -3], [0, 0]], [[0, 0], [-369/2, 99/2], [-8, -6], [5/2, 1/2]], [[0, 0], [508, -68], [176, 80], [-29, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11021/17, -229/17], [-696/17, 12/17], [0, 0]], [[0, 0], [-1758528/17, -162705/17], [110861/17, 10333/17], [3, 2]], [[0, 0], [13194953/34, 9348971/34], [-417257/17, -295007/17], [-85/2, -31/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-67301060628, -28369763724]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42433, -17887], [-129249, -54483], [0, 0]], [[0, 0], [5412240, 2281443], [16566700, 6983450], [3, 2]], [[0, 0], [-13713402271/2, 4066506017/2], [3569465180, -1058471938], [1555398377/2, -461230315/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18896/17, -176/17], [1059/17, 9/17], [0, 0]], [[0, 0], [-7805307/34, -1031415/34], [218578/17, 28736/17], [-3/2, 5/2]], [[0, 0], [103477693/34, 48532831/34], [-2892441/17, -1357179/17], [-153/2, -51/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-13419948, -5656980]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5933, 2501], [-7914, -3336], [0, 0]], [[0, 0], [129753, 54690], [-171243, -72191], [1, 0]], [[0, 0], [-469029/2, -98877], [309607, 130487], [3/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31899908/17, 13467470/17], [-183/17, -3/17], [0, 0]], [[0, 0], [617186844603/17, -366036388719/34], [2228117944/17, -660715388/17], [-2, -1/2]], [[0, 0], [930087681025/34, -137899201669/17], [1678848507/17, -497837327/17], [13/2, 3]]], 1, 864, [], [] >,
< [ -8, -1, 1 ], [[-13419948, -5656980]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8163, -3441], [-6213, -2619], [0, 0]], [[0, 0], [-13315/2, -5611/2], [-5233, -2209], [-1/2, -1/2]], [[0, 0], [3/2, 0], [-3, 1], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28689407/17, 12137951/17], [-387/17, -3/17], [0, 0]], [[0, 0], [-657467839915/34, 97481758561/17], [-1186769921/17, 351918917/17], [3/2, -2]], [[0, 0], [320905710877/17, -190339491199/34], [1158558249/17, -343551609/17], [33, 33/2]]], 1, 864, [], [] >,
< [ -8, -1, 1 ], [[156, 68]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52883, 22297], [75, 5], [0, 0]], [[-12, -2], [-771298, 228630], [4141472, -1228122], [-12, -2]], [[-547/2, -237/2], [805797, -242073], [-4352311, 1289539], [-547/2, -237/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-836, -48], [-38, -2], [0, 0]], [[-135/2, -5/2], [-16059315/17, 236843/17], [-731443/17, 14081/17], [-135/34, -5/34]], [[-22819/2, -9937/2], [-2277886594/17, -1003132578/17], [-102019868/17, -44980138/17], [-22819/34, -9937/34]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[9708400, 4092432]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-161221, -67959], [5, -5], [0, 0]], [[0, 0], [8102864, 3415536], [-434, 388], [-114, -48]], [[0, 0], [-37619352, -15858408], [-5632, 468], [526, 222]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [583, 13], [-1, 1], [0, 0]], [[0, 0], [-698/17, -2698/17], [-114/17, -76/17], [6/17, 4/17]], [[0, 0], [-2, -6], [0, 0], [0, 0]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[156, 68]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, -6], [-108, -4], [0, 0]], [[-6, -2], [69, 35], [53, 27], [-6, -2]], [[25/2, 11/2], [-196, -80], [-152, -62], [25/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-638, -6], [48, 0], [0, 0]], [[259/2, -3/2], [-7525634/17, 98290/17], [572726/17, -12594/17], [259/34, -3/34]], [[4553/2, 1987/2], [-131554895/17, -57429873/17], [9685549/17, 4236181/17], [4553/34, 1987/34]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[-80, -48]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, 6], [-80, 0], [0, 0]], [[0, 0], [1191, -479], [3015, 381], [678, 286]], [[0, 0], [1282612, -380596], [1167426, -343584], [1122, 660]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35, 49], [29, -5], [0, 0]], [[0, 0], [991795/17, 600569/17], [190665/17, -3127/17], [250/17, 8/17]], [[0, 0], [-1007261097/17, -400901211/17], [-43065457/17, -28995083/17], [-71832/17, -42924/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[156, 68]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [187679, 79117], [59, 5], [0, 0]], [[2, -2], [54565388, -16165124], [-292790202, 86822586], [2, -2]], [[-843/2, -369/2], [135648557, -36829229], [-702777359, 208397105], [-843/2, -369/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1221, 87], [43, 5], [0, 0]], [[407/2, 5/2], [13198572/17, -704972/17], [441780/17, -4986/17], [407/34, 5/34]], [[-744172, -324324], [-37639158593/17, -16666294851/17], [-1487918665/17, -651614407/17], [-744172/17, -324324/17]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[9708400, 4092432]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-205669, -86695], [29, 3], [0, 0]], [[0, 0], [-6505865, -2743259], [-5561, 1999], [24, 10]], [[0, 0], [-14735674, -6211694], [452, 670], [38, 16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [76, 20], [-2, 2], [0, 0]], [[0, 0], [174673/17, 72243/17], [9037/17, 69/17], [114/17, 8/17]], [[0, 0], [59259753/17, 25077531/17], [950383/17, 663333/17], [16100/17, 9600/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[156, 68]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -10], [-16, 0], [0, 0]], [[15/2, 1/2], [113, 75], [-93, 57], [15/2, 1/2]], [[18, 8], [709, 295], [211, 75], [18, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [272, -28], [-18, 2], [0, 0]], [[149/2, 3/2], [164753/17, 18143/17], [-15279/17, -1057/17], [149/34, 3/34]], [[-28347/2, -12353/2], [-40567530/17, -17446990/17], [3373012/17, 1458186/17], [-28347/34, -12353/34]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[-80, -48]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, -2], [-36, 4], [0, 0]], [[0, 0], [9245, -1189], [6835, -1461], [-38, -16]], [[0, 0], [4941, -1469], [4221, -1253], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31, -51], [19, 5], [0, 0]], [[0, 0], [1041615/17, -459159/17], [117685/17, 3617/17], [156/17, 2/17]], [[0, 0], [-306004512/17, -24454584/17], [33659542/17, 19541172/17], [41182/17, 24780/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[299756676, 126357980]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6973, -2943], [11, 1], [0, 0]], [[-1/2, -1/2], [70769, -21037], [70867, -21018], [-1/2, -1/2]], [[8, 3], [94642, -27626], [94112, -27879], [8, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-685, -51], [23, 5], [0, 0]], [[122, 2], [-182964107/17, 24870943/17], [4711119/17, -29023/17], [122/17, 2/17]], [[28305/2, 11645/2], [-655954443, -259115813], [29888867, 12255632], [1665/2, 685/2]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[89008, 37520]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12281, -5179], [-21, -11], [0, 0]], [[0, 0], [1298442, 547106], [2858, 969], [6, 3]], [[0, 0], [1675300, 706820], [2390, 1637], [10, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-55, 43], [1, -5], [0, 0]], [[0, 0], [917434/17, -139358/17], [-97436/17, 3207/17], [-140/17, 3/17]], [[0, 0], [-336631706/17, -77371670/17], [55331554/17, 17892815/17], [82218/17, 27051/17]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[299756676, 126357980]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14179, -5985], [31, 5], [0, 0]], [[-5/2, -1/2], [-1957255, 582009], [-1963089, 582116], [-5/2, -1/2]], [[-20, -8], [-1511110, 466362], [-1539488, 456412], [-20, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-605, 1], [9, -1], [0, 0]], [[129/2, 1/2], [-16540998/17, -1754104/17], [223302/17, -3741/17], [129/34, 1/34]], [[41144, 16946], [-13880065390/17, -5773185014/17], [131238224/17, 53863350/17], [41144/17, 16946/17]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[89008, 37520]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2442, -1030], [-8, -4], [0, 0]], [[0, 0], [46760, 19686], [202, 59], [2, 1]], [[0, 0], [-17019, -7177], [-57, -27], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-197, 1], [9, -1], [0, 0]], [[0, 0], [-79930/17, -8180/17], [6474/17, -155/17], [-126/17, 1/17]], [[0, 0], [-25563922/17, -9429108/17], [1523244/17, 489839/17], [-30996/17, -10209/17]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-6519532, -2748212]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1421, -599], [-23, -1], [0, 0]], [[0, 0], [-506, 2], [-1769887, 524843], [2, 2]], [[0, 0], [30821/2, 7139], [-5286412, 1566874], [-581/2, -119]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1052639/17, -443161/17], [-109/17, 1/17], [0, 0]], [[0, 0], [778251231/17, -230788989/17], [64857036/17, -19232352/17], [2, 0]], [[0, 0], [713721511/34, -106264335/17], [29792882/17, -8832900/17], [73/2, 15]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[-28, -4]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2097, -895], [-2116, -892], [0, 0]], [[0, 0], [141651/2, 119069/4], [70840, 59701/2], [5/2, -3/4]], [[0, 0], [4625, 1987], [4685, 1975], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [562, -34], [-3, 3], [0, 0]], [[0, 0], [282241/34, -522633/68], [-8117/17, -583/34], [-59/34, -5/68]], [[0, 0], [9775173/34, 8730745/68], [156246/17, 127697/34], [1155/34, 945/68]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-1665332, -701996]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2161, -911], [47, 5], [0, 0]], [[0, 0], [-75773, 12779/2], [-12649456, 3751204], [-2, 1/2]], [[0, 0], [-3530893/2, -614941], [-42637724, 12657424], [-31/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1400567/17, 590453/17], [1/17, -5/17], [0, 0]], [[0, 0], [43, -161/2], [0, 4], [0, 1/2]], [[0, 0], [5673/2, 134], [-140, -16], [-35/2, -2]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[-19558596, -8244636]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, 1], [38, 2], [0, 0]], [[0, 0], [-12569/2, 1639/4], [-10266, 1275/2], [-1/2, -5/4]], [[0, 0], [91335, -213017/2], [144675, -174384], [-175, -49/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-861, -31], [26, 2], [0, 0]], [[0, 0], [-31542193/34, 3031715/68], [476012/17, -9113/34], [63/34, -1/68]], [[0, 0], [-489546066/17, -49605863/17], [15503795/17, 2191883/17], [1028/17, 147/17]]], 1, 576, [], [] >,
< [ -8, -1, 1 ], [[-19558596, -8244636]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12063, -5085], [20, -4], [0, 0]], [[0, 0], [2269, 1193/2], [294223, -87223], [2, 5/2]], [[0, 0], [-2137751/2, -456691], [4982906, -1492518], [-5329/2, -1095]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6518732/17, 2754440/17], [1305/17, 3/17], [0, 0]], [[0, 0], [-62802248247/17, 18623143092/17], [5233538890/17, -1551928098/17], [2, 1]], [[0, 0], [-174220840485/34, 25830720576/17], [7259145300/17, -2152593776/17], [-39/2, -8]]], 1, 576, [], [] >,
< [ -8, -1, 1 ], [[-229707156, -96829644]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [85, 7], [-39, 3], [0, 0]], [[0, 0], [29478, 20577/4], [-11994, -273/2], [-1, 1/4]], [[0, 0], [-3164155/2, -2664695/4], [421201, 354119/2], [11/2, 9/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1233, -51], [-8, 4], [0, 0]], [[0, 0], [35653545/34, 57590415/68], [-261003/17, -507/34], [-19/34, 3/68]], [[0, 0], [11040197288/17, 4670577545/17], [-44015951/17, -18287207/17], [-1178/17, -485/17]]], 1, 1728, [], [] >,
< [ -8, -1, 1 ], [[-229707156, -96829644]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5684, 2396], [-308565, -130071], [0, 0]], [[0, 0], [-223155/2, -47037], [6129365, 2583741], [-3/2, -1]], [[0, 0], [-77858, -65719/2], [4279915, 1804111], [5, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26869225/17, -11321911/17], [858/17, -6/17], [0, 0]], [[0, 0], [-68230356095/34, 20231999245/34], [2842840209/17, -843002073/17], [3/2, 3/2]], [[0, 0], [-169667368401/34, 25156750380/17], [7069414942/17, -2096330160/17], [-15/2, -1]]], 1, 1728, [], [] >,
< [ -8, -1, 1 ], [[-229707156, -96829644]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [529, 223], [-162627, -68553], [0, 0]], [[0, 0], [-19841/2, -4177], [2869063, 1209413], [3/2, -1]], [[0, 0], [-38377/2, -8093], [5554917, 2341591], [-7/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1651341, 696159], [12, 0], [0, 0]], [[0, 0], [-37117528789/34, 11007312593/34], [1546669895/17, -458642155/17], [1/2, -5/2]], [[0, 0], [279958542801/17, -166012931151/34], [-23329625611/17, 6918049623/17], [-167, -59/2]]], 1, 1728, [], [] >,
< [ -8, -1, 1 ], [[33136, 13968]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, 6], [-20, -4], [0, 0]], [[0, 0], [444, -192], [1330, -386], [-30, -10]], [[0, 0], [5747, 2201], [17, -546], [1702, 719]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-152, -28], [14, 2], [0, 0]], [[0, 0], [-66996/17, -9780/17], [794/17, 960/17], [-210/17, -4/17]], [[0, 0], [1997991, 842937], [-80639, -33968], [4464, 1885]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[5130888252, 2162849828]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [73, 11], [75, 5], [0, 0]], [[-5, 0], [-573, -1631], [507, -1650], [-5, 0]], [[-19/2, -11/2], [-15279, -5469], [-13411, -4350], [-19/2, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [134, 6], [8, 0], [0, 0]], [[-33/2, -5/2], [272364/17, 4776/17], [16744/17, -403/17], [-33/34, -5/34]], [[-1455/2, -885/2], [5935871/17, 5857513/17], [248941/17, 332453/17], [-1455/34, -885/34]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[33136, 13968]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, -6], [28, -4], [0, 0]], [[0, 0], [345, 43], [303, 54], [-38, -15]], [[0, 0], [41678, 17914], [41388, 17695], [-7614, -3213]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [607, 21], [-45, -3], [0, 0]], [[0, 0], [-27507750/17, -67206/17], [2015090/17, 68824/17], [-210/17, -4/17]], [[0, 0], [121933998636/17, 51493362996/17], [-9881465650/17, -4171743093/17], [982662/17, 414915/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[5130888252, 2162849828]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-67, -1], [-51, -5], [0, 0]], [[2, -2], [-2551, -785], [-2313, -791], [2, -2]], [[-11/2, -7/2], [-7915, -3217], [-7529, -3098], [-11/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 41], [-3, -5], [0, 0]], [[3, 2], [145936/17, -32340/17], [-14558/17, 2563/17], [3/17, 2/17]], [[73/2, 43/2], [1253802/17, -249786/17], [-127726/17, 18300/17], [73/34, 43/34]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[33136, 13968]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 2], [-16, 0], [0, 0]], [[0, 0], [-97, -21], [-107, -34], [-28, -11]], [[0, 0], [-1897, -805], [-2517, -1064], [-742, -313]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-964, -24], [54, 2], [0, 0]], [[0, 0], [91316975/17, -1823485/17], [-5090477/17, 42264/17], [-112/17, -1/17]], [[0, 0], [344939575900/17, 145691065166/17], [-20041339834/17, -8463700395/17], [-467354/17, -197335/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[5130888252, 2162849828]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, -1], [-11, -5], [0, 0]], [[-1/2, 1/2], [-401, 61], [-77, -39], [-1/2, 1/2]], [[-2, -1], [427, 131], [381, 162], [-2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [101, -17], [-9, 1], [0, 0]], [[-135/2, -5/2], [81862/17, 24530/17], [-11374/17, -3548/17], [-135/34, -5/34]], [[15947/2, 9583/2], [-20835040/17, -9332610/17], [2967434/17, 1319579/17], [15947/34, 9583/34]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[33136, 13968]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21, 7], [31, 1], [0, 0]], [[0, 0], [1066, 488], [492, 445], [16, 7]], [[0, 0], [-21116, -8950], [-15146, -6685], [-310, -131]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-653, -51], [27, 5], [0, 0]], [[0, 0], [-26077996/17, 3029754/17], [904618/17, -17903/17], [10/17, 1/17]], [[0, 0], [4884240694/17, 2070860702/17], [-260392750/17, -110105822/17], [-4126/17, -1742/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[5130888252, 2162849828]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, -5], [43, 5], [0, 0]], [[11/2, 5/2], [28581, -8465], [31785, -8733], [11/2, 5/2]], [[11/2, 7/2], [184011, -54553], [199697, -58366], [11/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [245, 27], [3, -3], [0, 0]], [[-3, -2], [-108893/17, -141281/17], [12875/17, 72/17], [-3/17, -2/17]], [[-79/2, -47/2], [-1705976/17, -1606166/17], [135280/17, 7221/17], [-79/34, -47/34]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[-64, -27]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5, 3/2], [1, -1/2], [1, -1/2], [5, 3/2]], [[14, -7/2], [20, -6], [20, -6], [14, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-524, -339/2], [-2, 5/2], [0, 0]], [[83, 3/2], [-22900549/17, 14234953/34], [-1521749/17, 898441/34], [83/17, 3/34]], [[354, -7788], [-5669549065/17, 1585108949/17], [-359181312/17, 107107639/17], [354/17, -7788/17]]], 1, 4, [], [] >,
< [ -8, -1, 1 ], [[8, 1]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -7], [10, -2], [0, 0]], [[-10, -1/2], [28, -47/2], [42, -25/2], [-10, -1/2]], [[-56, -42], [-602, -157/2], [-210, 123/2], [-56, -42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-506, -255/2], [-10, 3/2], [0, 0]], [[-114, 1/2], [-48574724/17, 14348145/17], [-3231018/17, 957906/17], [-114/17, 1/34]], [[17394, 4237/2], [5224472320/17, -3074023483/34], [346968954/17, -205687653/34], [17394/17, 4237/34]]], 0, 24, [], [] >,
< [ -8, -1, 1 ], [[8, 1]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-132, -53], [-2, -2], [0, 0]], [[-6, 2], [-32316, 18653/2], [13986, -8309/2], [-6, 2]], [[-78, -15/2], [-129500, 147889/2], [79772, -45325/2], [-78, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5128, 2169], [-6, 2], [0, 0]], [[20, 2], [-2183256/17, 1313407/34], [-1350064/17, 800637/34], [20/17, 2/17]], [[-310, -79/2], [30929184/17, -18651187/34], [19144970/17, -11353553/34], [-310/17, -79/34]]], 0, 24, [], [] >,
< [ -8, -1, 1 ], [[-106672, -44966]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-166, -69], [-42, -16], [0, 0]], [[64, 27], [-47524, -20060], [-11332, -4824], [64, 27]], [[108, 91/2], [-56446, -47497/2], [-13598, -11305/2], [108, 91/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14478, -6097], [30, 12], [0, 0]], [[-892, -5/2], [-835764/17, -809321/34], [-11476/17, 1625/34], [-892/17, -5/34]], [[25462356, -15100649/2], [-3568605608/17, 2117213395/34], [385165204/17, -228426961/34], [25462356/17, -15100649/34]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-3696, -1558]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[52, 22], [90, 37], [52, 22], [0, 0]], [[-3424, -2889/2], [-5871, -2459], [-3422, -2879/2], [1, 5/2]], [[-3680, -1771/2], [7916, -11445/2], [-360, -3731/2], [1660, -490]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[280, 5/2], [-34856/17, 34621/34], [280/17, 5/34], [0, 0]], [[-4286376, 1271172], [1187447175/17, -352110598/17], [-4286274/17, 1271206/17], [3, 1]], [[-1939392, 573944], [536661923/17, -318470845/34], [-1940310/17, 573553/17], [-27, -23/2]]], 0, 24, [], [] >,
< [ -8, -1, 1 ], [[-3696, -1558]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 1], [-164, -72], [0, 1], [0, 0]], [[3138, -936], [-8105, 6141/2], [3138, -936], [-3, -1/2]], [[-19198, 6289/2], [477536, 169026], [-19198, 6289/2], [-896, -763/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-34, 0], [16000, 6643], [-2, 0], [0, 0]], [[-499786, 148204], [60212689/17, -35703295/34], [-499786/17, 148204/17], [-5, -5/2]], [[17318, -10269/2], [-2119280/17, 604616/17], [17318/17, -10269/34], [32, 27/2]]], 0, 24, [], [] >,
< [ -8, -1, 1 ], [[24, 10]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 1/2], [-25, -21/2], [5, 1/2], [0, 0]], [[-1302, 721/2], [709/2, 126], [-1302, 721/2], [-1/2, 1/2]], [[-413, -427/2], [4225, 1782], [-413, -427/2], [6, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, -1/2], [-35267/17, -30629/34], [-5/17, -1/34], [0, 0]], [[-12831, 3805], [7160343/34, -1059697/17], [-12831/17, 3805/17], [3/2, 0]], [[-735, 224], [311324/17, -35203/34], [-735/17, 224/17], [25, 21/2]]], 1, 6, [], [] >,
< [ -8, -1, 1 ], [[69152, 29150]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 29/2], [18, 13/2], [0, 0]], [[-5/2, 1], [9357/4, 3817/4], [4365/4, 1731/4], [-5/4, 1/2]], [[0, -1/2], [-4725, -3967/2], [-2173, -909], [0, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43, 39/2], [-17, -13/2], [0, 0]], [[-5/2, -3/2], [2165/4, 915/4], [-819/4, -337/4], [-5/4, -3/4]], [[-2, 1/2], [31, 21/2], [-1, -7], [-1, 1/4]]], 1, 8, [], [] >,
< [ -8, -1, 1 ], [[-592, -250]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [220, 93], [104, 44], [0, 0]], [[0, 3/2], [-1907, -1497/2], [-907, -350], [0, 3/4]], [[-76, 45/2], [-2690, 829], [-1574, 963/2], [-38, 45/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -29/2], [12, 9/2], [0, 0]], [[-1332, -1123/2], [-3143, -2571/2], [565, 260], [-666, -1123/4]], [[25560, 10775], [61273, 48743/2], [-10295, -10295/2], [12780, 10775/2]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[-16, -10]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[388, 327/2], [-162, -137/2], [388, 327/2], [0, 0]], [[-1288, -544], [563, 927/4], [-1282, -1089/2], [3, -1/4]], [[152, -71/2], [728, -220], [560, -313/2], [204, -121/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-444, -187], [-9358, -3927], [-444, -187], [0, 0]], [[7372, -291/2], [9400087/17, -8303801/68], [125570/17, -2471/17], [123/17, 5/68]], [[10476000, 8908965/2], [3572009186/17, 3154310711/34], [178479652/17, 151781617/34], [193826/17, 82303/17]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[-16, -10]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-133, -55], [-17, -6], [0, 0]], [[-8, -1/2], [7074, 7613/2], [-290, 774], [-4, -1/4]], [[-126, 55], [-187611/2, -8474], [-105835/2, 11463], [-63, 55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-287, 32], [-15, -5], [0, 0]], [[-126, 1], [9547893/34, -1317133/17], [133309/34, -1186/17], [-63/17, 1/34]], [[-31734, -26961/2], [154974565/34, 78063517/34], [32418173/34, 6888708/17], [-15867/17, -26961/68]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[-16, -10]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1337/2, -269], [-1/2, -2], [0, 0]], [[-6, -1], [-204387, -96698], [-3059, 184], [-3, -1/2]], [[182, -143/2], [-2802994, -320883/2], [192418, -61617], [91, -143/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [885/2, -10], [-3/2, 2], [0, 0]], [[-168, -3/2], [-2110870/17, 11212881/34], [209686/17, 1167/17], [-84/17, -3/68]], [[169290, 144001/2], [-16599698546/17, -13874977967/34], [-208949670/17, -88883458/17], [84645/17, 144001/68]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[-16, -10]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45/2, 11], [5/2, 2], [0, 0]], [[592, 499/2], [463/2, 221], [-273/2, 39/2], [296, 499/4]], [[7052, 5945/2], [8373/2, 4379/2], [-1443/2, -39], [3526, 5945/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1155/2, -125], [-3/2, -1], [0, 0]], [[-158, -1/2], [632384/17, -1008875/34], [-6140/17, -36/17], [-79/17, -1/68]], [[-335192, -142428], [-2272286874/17, -944636147/17], [-13144106/17, -5584440/17], [-167596/17, -71214/17]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[-8, -2]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [485/4, 205/4], [5/4, 1/4], [0, 0]], [[-4, 1/2], [-223/4, -367/4], [-735/4, 215/4], [-2, 1/4]], [[105, 91/2], [67285/4, 28209/4], [45/4, 315/4], [105/2, 91/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-683/2, 127], [-3/2, 1], [0, 0]], [[5, 1/2], [-251687/34, 8556/17], [-2731/34, -421/34], [5/34, 1/68]], [[11, 9/2], [-985815/68, -384071/68], [-20479/68, -8445/68], [11/34, 9/68]]], 1, 8, [], [] >,
< [ -8, -1, 1 ], [[-16, -10]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-88, -5/2], [-82, -3/2], [-88, -5/2], [0, 0]], [[65184, -9312], [61565, -18421/2], [65186, -9309], [1, 3/2]], [[673568, 6014], [628658, -626], [673648, 6064], [40, 25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[260, 1/2], [56550/17, -12779/34], [260/17, 1/34], [0, 0]], [[-5801088, 3443073/2], [-1607527537/17, 476863579/17], [-5800986/17, 3443039/34], [3, -1/2]], [[21040416, -12290733/2], [5810779242/17, -3421103485/34], [21041436/17, -12289441/34], [30, 19]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[-16, -10]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -5/2], [-100, -91/2], [-10, -5/2], [0, 0]], [[-9924, 2985], [20260, -5432], [-9924, 2989], [0, 2]], [[-163476, 51624], [387019, -143603/2], [-163154, 51827], [161, 203/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[280, 5/2], [-229528/17, -225055/34], [280/17, 5/34], [0, 0]], [[74744302, -44328205/2], [10204232375/17, -6052722081/34], [74744200/17, -44328273/34], [-3, -1]], [[-1269511156, 752913463/2], [-173333677341/17, 51395234693/17], [-1269511802/17, 752912613/34], [-19, -25/2]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[-8, -2]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1/2], [16, 13/2], [-2, -1/2], [0, 0]], [[42, -27/2], [-33/2, 25/2], [47, -19/2], [5/2, 2]], [[179, -113/2], [-80, 97/2], [193, -85/2], [7, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-76, -5/2], [-19930/17, -433/34], [-76/17, -5/34], [0, 0]], [[6691, -1988], [3710945/34, -551271/17], [6776/17, -2022/17], [5/2, -1]], [[-10183, 5593/2], [-166020, 45653], [-649, 299/2], [-25, -15/2]]], 1, 16, [], [] >,
< [ -8, -1, 1 ], [[-83120, -35038]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-528, -445/2], [-1920, -1619/2], [-528, -445/2], [0, 0]], [[8720, 3680], [31768, 13385], [8716, 3684], [-2, 2]], [[-1920, 560], [2777, -1715/2], [-4574, 1347], [-1327, 787/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-164, -69], [2022, 1310], [-164, -69], [0, 0]], [[-114360, 165/2], [-3957973359/17, 1183042010/17], [-1944378/17, 2835/34], [43/17, -5/34]], [[-47726112, -15472782], [-370593989929/17, 236188464719/34], [-811435494/17, -263063997/17], [15265/17, 8901/34]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-1869296, -787974]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10884, -4588], [-10852, -4575], [-10884, -4588], [0, 0]], [[-66292, -55889/2], [-66099, -27871], [-66242, -55839/2], [-5, -5/2]], [[-728, 169], [-58257, 34457/2], [28122, -8386], [-2885, 1711/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5124, -2160], [-80086, -32405], [-5124, -2160], [0, 0]], [[-148240, -245], [37063040685/17, -22003956073/34], [-2527606/17, -3952/17], [53/17, -3/34]], [[4815360, 4088205/2], [9750283812/17, -3978679845/34], [82080936/17, 69686357/34], [-1548/17, -658/17]]], 0, 2880, [], [] >,
< [ -8, -1, 1 ], [[504, 207]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16364, 6898], [49532, 20879], [49092, 20694], [0, 0]], [[29408, 24793/2], [89006, 150077/4], [88240, 37192], [-8, -5/4]], [[0, 0], [23219, -27541/4], [-46438, 27541/2], [23219, -27541/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, -2], [-36, -9], [-20, -2], [0, 0]], [[-176, 1], [-315, -183/4], [-150, 3/2], [13, 1/4]], [[1480, 683/2], [3408, 1110], [1252, 569/2], [-114, -57/2]]], 0, 5184, [], [] >,
< [ -8, -1, 1 ], [[-5328, -2250]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [215, -5/2], [-17, -1/2], [0, 0]], [[4, 1], [-43112, -3355/2], [3468, 561/2], [2, 1/2]], [[-64, -59/2], [361279, 425531/2], [-34289, -18785], [-32, -59/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [59, -17/2], [-13, 1/2], [0, 0]], [[0, -3/2], [-3402, -189/2], [918, 144], [0, -3/4]], [[-248, -229/2], [-204920, -154981/2], [74880, 29952], [-124, -229/4]]], 0, 20736, [], [] >,
< [ -8, -1, 1 ], [[812160, 342354]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [256, 221/2], [-4, 1/2], [0, 0]], [[-3/2, 2], [-541/4, -13/4], [-221/4, 61/4], [-3/4, 1]], [[65, 65/2], [-4339/2, -1619/2], [-315/2, 9], [65/2, 65/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [125, 103/2], [5, 1/2], [0, 0]], [[3/2, 1], [8869/4, -3827/4], [14141/4, -4225/4], [3/4, 1/2]], [[33, 29/2], [-5579/2, -4214], [11021/2, -3535/2], [33/2, 29/4]]], 1, 32, [], [] >,
< [ -8, -1, 1 ], [[144, 66]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-152, -105/2], [-28, 1/2], [0, 0]], [[0, 1/2], [27295, -17145/2], [29671, -8837], [0, 1/4]], [[0, 0], [-10018, -8737/2], [-602, -817/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-163, -151/2], [13, -1/2], [0, 0]], [[924, 779/2], [-7768, 8061/2], [-9000, 2640], [462, 779/4]], [[-44, -37/2], [-214048, 126815/2], [-188440, 55880], [-22, -37/4]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[-240, -102]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4460, 1880], [4692, 1978], [4460, 1880], [0, 0]], [[-356100, -300219/2], [-374709, -631797/4], [-356106, -150114], [-1, -3/4]], [[-94384, 56083/2], [429801, -127395], [-318118, 188773/2], [-37289, 22115/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2160, -1821/2], [-45190, -38241/2], [-2160, -1821/2], [0, 0]], [[2996, 7/2], [-132616437/17, 39640080/17], [52846/17, 53/34], [-29/17, 1/34]], [[357812, 214970], [6933936018/17, -7771561881/68], [6291232/17, 7570241/34], [-3158/17, -7917/68]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-240, -102]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-61, -21], [-17, -2], [0, 0]], [[-2, 5/2], [-61211/2, 20555/2], [-70107/2, 10611], [-1, 5/4]], [[64, 44], [-108975, 143943/2], [-169903, 115045/2], [32, 22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-99, 31/2], [-7, -5/2], [0, 0]], [[-192, -1/2], [2598689/17, -1495211/34], [35561/17, -223/17], [-96/17, -1/68]], [[-52038, -66375/2], [-663855579/34, 235790695/34], [18409173/34, 6008160/17], [-26019/17, -66375/68]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[-240, -102]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2553/2, -1091/2], [-17/2, -5/2], [0, 0]], [[8, 2], [210155/2, -31363], [-30797/2, 4565], [4, 1]], [[26, 35/2], [-504155, 296647/2], [73425, -21780], [13, 35/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, -1/2], [8, 1/2], [0, 0]], [[134, 3/2], [160117/34, 3636/17], [2245/34, -719/34], [67/17, 3/68]], [[12110, 15155/2], [8440152/17, 4911935/17], [-62196/17, 22455/34], [6055/17, 15155/68]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[-240, -102]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-213/2, -44], [-13/2, -2], [0, 0]], [[-336, -283/2], [2810, -985], [2506, -1477/2], [-168, -283/4]], [[-32, -40], [-588897, 349195/2], [-487165, 288925/2], [-16, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21/2, -643/2], [-11/2, -5/2], [0, 0]], [[-42, -5/2], [-101601697/34, 14023989/17], [-94057/34, 473/34], [-21/17, -5/68]], [[-6786, -8385/2], [3722379504/17, -1535432217/17], [-5474012/17, -8129773/34], [-3393/17, -8385/68]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[72, 30]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-397/4, -159/4], [-13/4, 5/4], [0, 0]], [[5, 3/2], [-64, -30], [6, -3/2], [5/2, 3/4]], [[-10, 5], [-106, -1/2], [-82, 49/2], [-5, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [603/4, 133/4], [-5/4, 1/4], [0, 0]], [[12, -1/2], [-1355953/17, -991467/34], [4927/17, -2/17], [6/17, -1/68]], [[-549, -273/2], [124146972/17, 51037174/17], [-248254/17, -138299/34], [-549/34, -273/68]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-240, -102]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[68, 1/2], [498, 363/2], [68, 1/2], [0, 0]], [[229680, -136155/2], [232434, -136863/2], [229676, -136147/2], [-2, 2]], [[28420, -10759/2], [92621, 21524], [28810, -10429/2], [195, 165/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-536, 5/2], [-41882/17, 91247/34], [-536/17, 5/34], [0, 0]], [[-59402400, 17614773], [-16454263350/17, 9758589291/34], [-59402264/17, 17614722/17], [4, -3/2]], [[51967760, -15190576], [14245578643/17, -8541467113/34], [51993226/17, -15179747/17], [749, 637/2]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[-240, -102]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[14, -1], [-2928, -1218], [14, -1], [0, 0]], [[8146, -4831/2], [-19259, 11321/2], [8148, -4831/2], [1, 0]], [[680, -395/2], [-5455, -1159], [730, -353/2], [25, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[280, 5/2], [-1256056/17, -1025585/34], [280/17, 5/34], [0, 0]], [[16438626, -4874631], [-139604347, 82795315/2], [966980, -286740], [1, 3/2]], [[9083916, -2693718], [-77140461, 45756279/2], [534618, -158339], [135, 115/2]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[72, 30]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 5/2], [193, 167/2], [1, 5/2], [0, 0]], [[24063, -7137], [24713, -14795/2], [24063, -7140], [0, -3/2]], [[-6006, 1638], [-30677/2, -2167], [-6411, 1468], [-405/2, -85]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-204, 0], [-29426, -11003], [-12, 0], [0, 0]], [[-3151517, 1869023/2], [-1746176803/34, 258768013/17], [-3151602/17, 1869057/34], [-5/2, 1/2]], [[227592, -135705/2], [120756723/34, -39830715/34], [227439/17, -135841/34], [-9/2, -2]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-168, -69]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-16, -1], [-394, -160], [-16, -1], [0, 0]], [[2580, -1545/2], [2239, -4093/4], [2574, -771], [-1, 1/4]], [[-600, 345/2], [-992, 65/2], [-600, 345/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, 5/2], [-320, -277/2], [16, 5/2], [0, 0]], [[780, -228], [507, -1037/4], [762, -471/2], [-3, -5/4]], [[-4836, 1434], [-4106, 1219], [-4836, 1434], [0, 0]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[1776, 750]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1063, -895/2], [-7, -5/2], [0, 0]], [[-68, -1/2], [-128288, 73769/2], [-96396, 28578], [-34, -1/4]], [[-4672, -4307/2], [551928, -723747/2], [628360, -187496], [-2336, -4307/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2543, -1067], [-7, 2], [0, 0]], [[0, -3/2], [1560, -702], [1880, -1115/2], [0, -3/4]], [[-4, -2], [-327, -873/2], [413, -245/2], [-2, -1]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[1776, 750]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1346, 1153/2], [-18, 3/2], [0, 0]], [[8, -3/2], [-85849, 25254], [-85329, 50607/2], [4, -3/4]], [[96, 44], [38374, -56397/2], [61678, -36505/2], [48, 22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2299, -1949/2], [9, -3/2], [0, 0]], [[-2256, -951], [6872, -2068], [6788, -2014], [-1128, -951/2]], [[4, 7/2], [-796724, 472513/2], [-782376, 232002], [2, 7/4]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[48, 30]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-44, 1], [-52, -1], [-44, 1], [0, 0]], [[-1608, 207], [-1847, 709/4], [-1578, 405/2], [5, -3/4]], [[-54060, -46215/2], [-74351, -63373/2], [-53178, -45459/2], [147, 63]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, -1], [634, -17], [8, -1], [0, 0]], [[-164, -26], [-252328/17, -291049/68], [-8332/17, -983/34], [84/17, 3/68]], [[-4564, -3881/2], [-9051341/17, -15313541/68], [-180746/17, -77357/17], [1563/17, 2689/68]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[48, 30]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [254, 205/2], [10, -1/2], [0, 0]], [[-4, -1/2], [-10775, 3437], [-11447, 6797/2], [-2, -1/4]], [[18, 15/2], [-3781/2, -1367], [1547/2, -523/2], [9, 15/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-806, -25/2], [-2, 5/2], [0, 0]], [[110, 5/2], [500487/34, -13374275/34], [330935/34, 1030/17], [55/17, 5/68]], [[-1360, -578], [15189559, 12720067/2], [-114013, -96989/2], [-40, -17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[48, 30]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12515/2, -2647], [-11/2, -1], [0, 0]], [[10, 1], [-767219, 454799/2], [109405, -64885/2], [5, 1/2]], [[4018, 3403/2], [1744018, -595872], [-264450, 156735/2], [2009, 3403/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [917/2, -19/2], [-3/2, 3/2], [0, 0]], [[-42, -5/2], [-638209/17, 1564103/34], [21371/17, -1642/17], [-21/17, -5/68]], [[-4620, -1958], [369959979/34, 77248225/17], [2893891/34, 617309/17], [-2310/17, -979/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[48, 30]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [251, 205/2], [7, -1/2], [0, 0]], [[-464, -391/2], [-8497, 5767/2], [-9401, 2788], [-232, -391/4]], [[-1952, -1647/2], [134725/2, -36885/2], [136221/2, -20196], [-976, -1647/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1001, -19/2], [3, 3/2], [0, 0]], [[340, 0], [2303233/2, -390390], [3201/2, -6], [10, 0]], [[218816, 185941/2], [-1918312448/17, -732604859/17], [17287744/17, 14692961/34], [109408/17, 185941/68]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[840, 354]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1189, 1001/2], [1, -1/2], [0, 0]], [[-3, -2], [-6671/4, -1143/4], [-3063/4, 909/4], [-3/2, -1]], [[13, 11/2], [6749/2, 2813/2], [57/2, -9], [13/2, 11/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [581, -137/2], [1, -1/2], [0, 0]], [[49, 3/2], [-444545/68, -916665/68], [10151/68, 245/68], [49/34, 3/68]], [[8385, 6981/2], [-271082549/34, -115109933/34], [851647/34, 177179/17], [8385/34, 6981/68]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[-130224, -54894]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-196, -165/2], [-1018, -857/2], [-588, -495/2], [0, 0]], [[-18673, -15787/2], [-96953, -81937/2], [-56026, -47355/2], [3, -1]], [[5448, -2929/2], [24486, -6477], [14904, -7933/2], [548, -325/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[100, 3/2], [-169758/17, -210687/34], [300/17, 9/34], [0, 0]], [[4959029, -1470539], [4121230913/17, -2444058911/34], [14877274/17, -4411650/17], [-3, 1/2]], [[10490630, -6220425/2], [8713140698/17, -5173572671/34], [31470652/17, -18662791/34], [22, 13]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-130224, -54894]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 1], [1052, 428], [-18, 3], [0, 0]], [[-21004, 12455/2], [92398, -54187/2], [-63002, 37369/2], [-2, 0]], [[75083, -22284], [-320055, 202533/2], [225382, -66788], [-13, -17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[144, 5/2], [3850416/17, 3198489/34], [432/17, 15/34], [0, 0]], [[158554700, -94034067/2], [64950601250/17, -19259483476/17], [475664022/17, -282102163/34], [-2, 1/2]], [[-87595233, 25975402], [-35853806333/17, 10652405764/17], [-262785838/17, 77926119/17], [-3, -2]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[840, 354]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, -5], [10, 4], [-36, -15], [0, 0]], [[129, 113/2], [-149/2, -34], [404, 349/2], [-1/2, -1/2]], [[292, 285/2], [-311/2, -179/2], [937, 867/2], [3/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[88, 2], [108658/17, 16639/17], [264/17, 6/17], [0, 0]], [[12291, -3645], [10208479/17, -6054493/34], [36777/17, -10910/17], [-2, 1/2]], [[-14405, 8571/2], [-23950219/34, 7109231/34], [-42873/17, 25847/34], [17/2, 2]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[-130224, -54894]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[52, 22], [-284, -119], [156, 66], [0, 0]], [[632, 539/2], [-3126, -1323], [1896, 1621/2], [-4, 3/2]], [[1737, -513], [-2987, 1751/2], [6334, -1872], [1789, -1061/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -5/2], [-570198/17, -479271/34], [-24/17, -15/34], [0, 0]], [[-5, 5/2], [-14555/17, 2599/17], [370/17, -385/34], [-5, 5/2]], [[-128, -82], [355970/17, 96899/17], [10640/17, 6606/17], [-128, -82]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-130224, -54894]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 0], [528, 219], [-6, 0], [0, 0]], [[-7333, 2174], [30331, -19081/2], [-21994, 6520], [-3, -1/2]], [[129203, -76665/2], [-577775, 149938], [387480, -229959/2], [-57, -75/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-246, -5/2], [-3248752/17, -2656019/34], [-738/17, -15/34], [0, 0]], [[-381373433, 226181209/2], [-156223686381/17, 46324913763/17], [-1144120324/17, 678543649/34], [-1, 1/2]], [[-278046778, 164900673/2], [-113909679214/17, 33768725942/17], [-834140304/17, 494702075/34], [2, 3/2]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[840, 354]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, -11/2], [-159, -129/2], [-45, -33/2], [0, 0]], [[316, 208], [4348, 2062], [932, 626], [-2, 1]], [[1468, 1453/2], [35027/2, 15425/2], [4372, 4357/2], [-3/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-49, -3/2], [-182839/17, -122309/34], [-147/17, -9/34], [0, 0]], [[-670768, 397797/2], [-1114856303/34, 330565657/34], [-2012228/17, 1193307/34], [1/2, -2]], [[-9783840, 2901628], [-8129985941/17, 2411511244/17], [-29348712/17, 8704988/17], [169, 39]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[72, 9]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-528, -445/2], [-1190, -1003/2], [-1584, -1335/2], [0, 0]], [[12754, 5397], [28731, 12147], [38270, 16187], [-3, 1]], [[-3636, 3177/2], [-5916, 11613/4], [-9352, 4304], [-478, 567/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-272, -229/2], [-946, -797/2], [-816, -687/2], [0, 0]], [[16856, 7105], [58683, 98925/4], [50562, 42645/2], [-1, 5/4]], [[-784, 343/2], [-10509, 2904], [15666, -9657/2], [3003, -1781/2]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[-432, -198]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4591, 3875/2], [-9, -3/2], [0, 0]], [[-20, -3/2], [37063, 15618], [-29, -49/2], [-10, -3/4]], [[4112, -2439/2], [-2456, 1250], [-7288, 4321/2], [2056, -2439/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8348, 7039/2], [-12, -9/2], [0, 0]], [[-16, -3/2], [-73903, -31134], [73, 89/2], [-8, -3/4]], [[7372, -2185], [38822, -2523], [19282, -5729], [3686, -2185/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-63264, -26668]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2792, 1179], [-36, -13], [0, 0]], [[10, 2], [760, 329], [-10, -3], [10, 2]], [[-966, 573/2], [3778, -1115], [536, -159], [-966, 573/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [93764, 39551], [-16, -5], [0, 0]], [[-134, -3/2], [148066296/17, 62447518/17], [-25438/17, -8436/17], [-134/17, -3/34]], [[-2455688, 728198], [-1445140730/17, 428141501/17], [-102075502/17, 30269035/17], [-2455688/17, 728198/17]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[-63264, -26668]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1336, -561], [14, 5], [0, 0]], [[8, -5/2], [-8788, -3714], [76, 36], [8, -5/2]], [[-666, 395/2], [-580, 560], [460, -140], [-666, 395/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-171676, -72365], [-6, -1], [0, 0]], [[224, 2], [-2414142712/17, -1017649765/17], [-49462/17, -23415/17], [224/17, 2/17]], [[34008858, -20169643/2], [1338551220/17, -418015521/17], [943828046/17, -279878669/17], [34008858/17, -20169643/34]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[408, 172]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -1], [-30, -11], [0, 0]], [[5, 1/2], [308, 307], [3733, 1770], [5, 1/2]], [[858, -253], [-93859, 28119], [-101616, 32202], [858, -253]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2660, 1119], [-2, -1], [0, 0]], [[32, 3/2], [74781/17, 34163/17], [108/17, 38/17], [32/17, 3/34]], [[-3421, 2029/2], [753759/17, -223241/17], [-2147/17, 637/17], [-3421/17, 2029/34]]], 1, 6, [], [] >,
< [ -8, -1, 1 ], [[119544, 50392]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25, -9], [-46, -18], [0, 0]], [[0, 0], [-1482, -534], [-2862, -1124], [-148, -62]], [[0, 0], [-4848, -807], [-7899, -2206], [-347, -141]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [408, 116], [22, 8], [0, 0]], [[0, 0], [-2920135/17, 186766/17], [-103106/17, -11147/17], [40/17, 4/17]], [[0, 0], [95737499/17, 42757449/17], [6010473/17, 2588349/17], [-2285/17, -985/17]]], 0, 36, [], [] >,
< [ -8, -1, 1 ], [[-18535488, -7813360]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [466, 197], [-18, -7], [0, 0]], [[0, 0], [3908, 1619], [-88, -77], [0, 10]], [[0, 0], [-15822, -6640], [528, 264], [-42, -28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -58], [-12, -4], [0, 0]], [[0, 0], [-82574, 33930], [3756, -50], [-2, 0]], [[0, 0], [4329930/17, 1852765/17], [492978/17, 207153/17], [-276/17, -116/17]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-18535488, -7813360]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1988, -836], [2, 0], [0, 0]], [[0, 0], [121280, 51178], [-22, -32], [4, -2]], [[0, 0], [-1828296, -770935], [666, 383], [-6, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-308, 19], [8, 3], [0, 0]], [[0, 0], [624764/17, -177040/17], [-2286/17, 40/17], [-88/17, -2/17]], [[0, 0], [-1465276/17, -377799/17], [88504/17, 36761/17], [3898/17, 1624/17]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[4331520, 1825888]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1886, -794], [-26, -10], [0, 0]], [[0, 0], [483416, 203790], [7108, 3008], [-760, -320]], [[0, 0], [-2380464, -1003637], [-34848, -14857], [3744, 1573]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, 38], [16, -4], [0, 0]], [[0, 0], [-2174722/17, -863547/17], [-57934/17, 2863/17], [16/17, 5/17]], [[0, 0], [3218, 1770], [-258, 102], [0, 0]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-1825888, -769676]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [122, 53], [-2, 0], [0, 0]], [[0, 0], [-51678, -21752], [322, 153], [15816, 6667]], [[0, 0], [101530, 41730], [130, -520], [-30880, -13017]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16426, -6903], [34, 12], [0, 0]], [[0, 0], [-29234488/17, -12355331/17], [50504/17, 24733/17], [-432/17, 1/17]], [[0, 0], [932169074/17, -275863755/17], [-100342478/17, 29754021/17], [-5334560/17, 1581888/17]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-63264, -26668]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 9], [2600, 1096], [0, 0]], [[0, 0], [-77, -77/2], [-10622, -4485], [3, -5/2]], [[0, 0], [41192, -12214], [50996, -15013], [25680, -7615]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-65744/17, -26665/17], [-220/17, -5/17], [0, 0]], [[0, 0], [75122104/17, -44714521/34], [6296000/17, -1867173/17], [2, -5/2]], [[0, 0], [501512347/17, -251743071/34], [39381978/17, -11625173/17], [779, 615/2]]], 0, 72, [], [] >,
< [ -8, -1, 1 ], [[-63264, -26668]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -25], [-18, -6], [0, 0]], [[0, 0], [444, 377/2], [130, 50], [4, -1/2]], [[0, 0], [-87, -93], [-330, 65], [-129, 38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-149756/17, -62494/17], [-132/17, -3/17], [0, 0]], [[0, 0], [-18929830/17, 5586167/17], [-1570190/17, 465606/17], [-2, 2]], [[0, 0], [57173235/17, -38134939/34], [4995360/17, -1482120/17], [165, 121/2]]], 0, 72, [], [] >,
< [ -8, -1, 1 ], [[-8, -4]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [0, 0]], [[0, 0], [16, 9/2], [0, 0], [-2, -1/2]], [[0, 0], [-13/2, -8], [0, 0], [1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37448/17, 21061/17], [38/17, -3/17], [0, 0]], [[0, 0], [3909823/34, -1218627/34], [-7209/17, 2130/17], [-1/2, -3/2]], [[0, 0], [-14962017/34, 2158016/17], [26652/17, -7919/17], [-23/2, 0]]], 1, 18, [], [] >,
< [ -8, -1, 1 ], [[-352, -148]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[312, 263/2], [-208, -175/2], [312, 263/2], [0, 0]], [[-3304, -1393], [2179, 1849/2], [-3314, -1390], [-5, 3/2]], [[-28, -7], [78, -13], [-28, -7], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2726, -1149], [-3352, -1413], [0, 0]], [[2, 1], [20253, 17073/2], [24902, 10497], [1, 1/2]], [[-3954, 2345/2], [-5931, 7035/4], [5426, -1609], [-1977, 2345/4]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-64, -16]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2716, -1145], [116, 49], [0, 0]], [[0, 0], [-1183, -993/2], [46, 23], [-1, 3/2]], [[0, 0], [-231, 137/2], [-462, 137], [-231, 137/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [294, 124], [-104276, -43956], [0, 0]], [[0, 0], [8275, 6959/2], [-2916322, -1229328], [5, 1/2]], [[0, 0], [-1913696, 567477], [938868, -277998], [-352744, 104601]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[1183664, 498956]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [41, 33/2], [17, 13/2], [0, 0]], [[-9/2, -3/2], [1493/4, 409/4], [741/4, 125/4], [-9/4, -3/4]], [[7/2, -1/2], [-1855/4, 379/4], [-1471/4, 367/4], [7/4, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [101, 85/2], [5, 3/2], [0, 0]], [[3, -2], [52511/2, 11068], [1887/2, 496], [3/2, -1]], [[99/2, -25/2], [-206511/4, -87035/4], [-14103/4, -1919/4], [99/4, -25/4]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[224, 92]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-444, -393/2], [-4, 3/2], [0, 0]], [[0, 0], [2421, -1801/2], [-915, 543/2], [-2, 5/2]], [[0, 0], [-42737, 14529/2], [12051, -7137/2], [140, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -25/2], [4, -1/2], [0, 0]], [[0, 0], [192, -44], [160, -48], [-12496, -10535/2]], [[0, 0], [-4277611, 1268462], [-3952715, 1172119], [200, 0]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-352, -148]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5658, 2385], [5748, 2423], [0, 0]], [[0, 0], [-1770235, -2984873/4], [-1798506, -1516257/2], [-5, -1/4]], [[0, 0], [991750, -290655], [-2543720, 757791], [-942384, 279450]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9730, 4119], [-752, -317], [0, 0]], [[0, 0], [-6084932/17, 7194069/68], [3368/17, -3/34], [-50/17, -3/68]], [[0, 0], [-25045941/17, 27930591/68], [112910/17, 83765/34], [-1753/17, -2629/68]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[-352, -148]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, -73/2], [0, -1/2], [0, 0]], [[0, 0], [-4429/2, -1867/2], [-45/2, -21/2], [-5, 1/2]], [[0, 0], [10005/2, 2112], [-851/2, 165], [1235, -364]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [254, -89/2], [18, 13/2], [0, 0]], [[0, 0], [-8480751/34, 2439509/34], [-98071/34, 1741/34], [49/17, 3/34]], [[0, 0], [-431575457/34, 34509583/17], [-32302401/34, -5909547/17], [18585/17, 7035/17]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[-352, -148]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2389/2, 1019/2], [-3/2, -3/2], [0, 0]], [[0, 0], [55211/2, 10229], [-685/2, 60], [0, 1]], [[0, 0], [-500731/2, 168511/2], [76685/2, -22785/2], [189, -111/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [331/2, 8], [3/2, -1], [0, 0]], [[0, 0], [-1503776/17, -1795896/17], [72696/17, -105/17], [-93/17, -5/34]], [[0, 0], [6638414143/17, 2946804005/17], [-70973177/17, -25988634/17], [98371/17, 36777/17]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[-352, -148]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-501/2, -211/2], [-5/2, -1/2], [0, 0]], [[0, 0], [9935, 8305/2], [359, -115/2], [1370, 1155/2]], [[0, 0], [36375/2, 7725], [-705/2, 195], [2498, 1053]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [121/2, -9], [1/2, 2], [0, 0]], [[0, 0], [-57504/17, 17390/17], [4348/17, -286/17], [42/17, 5/34]], [[0, 0], [391761/17, -155258/17], [-184455/17, -61447/17], [-2574/17, -968/17]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[-104, -44]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [507/4, 211/4], [-5/4, -5/4], [0, 0]], [[0, 0], [481, -157], [523, -155], [-3/2, -2]], [[0, 0], [9523, -1560], [8091, -2407], [329, 235/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1483/4, -375/4], [-11/4, -3/4], [0, 0]], [[0, 0], [842592/17, 189139/17], [6414/17, 1522/17], [31/34, -1/17]], [[0, 0], [-7005849/17, -3049344/17], [-54735/17, -23757/17], [-105/34, -53/34]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[16160, 6812]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -7], [-1748, -737], [0, 0]], [[0, 0], [-279, -307/2], [-33594, -14143], [-3, 5/2]], [[0, 0], [508, -116], [4692, 2143], [-48, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4442/17, 2966/17], [968/17, 5/17], [0, 0]], [[0, 0], [-56519049/17, 33512481/34], [4706746/17, -1396449/17], [3, -5/2]], [[0, 0], [-64698907/17, 51941759/34], [8077730/17, -1030301/17], [4181, 3515/2]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[16160, 6812]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 1], [-52, -22], [0, 0]], [[0, 0], [235, 98], [-12660, -5337], [-5, -2]], [[0, 0], [53, -33/2], [76, 20], [-5, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38646/17, 12487/17], [-764/17, -5/17], [0, 0]], [[0, 0], [-19767708, 11727849/2], [1647960, -488690], [-2, -3/2]], [[0, 0], [8522235, -2277903], [-683396, 201244], [-347, -146]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-104, -44]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, -3], [-27, -12], [0, 0]], [[0, 0], [-157/2, 10], [-126, -36], [-5/2, 2]], [[0, 0], [1647/2, 197], [3477, 1406], [-87/2, -29]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1543, -300], [-3, 0], [0, 0]], [[0, 0], [-1011555/34, 305595/34], [-1816/17, 597/17], [1/2, 3/2]], [[0, 0], [1153545/34, -103317/17], [3775/17, 301/17], [115/2, 23]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[-1422752, -599740]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11138, -4695], [-3696, -1558], [0, 0]], [[0, 0], [-10475, -8831/2], [-3490, -1471], [1, 1/2]], [[0, 0], [-12, 3], [-4, 1], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-77410, -33986], [4244, 1789], [0, 0]], [[0, 0], [22652152555/17, -13432785273/34], [-136370/17, -343/17], [5/17, 1/34]], [[0, 0], [-1250060292, 788116239/2], [-1725660, -730662], [84, 71/2]]], 0, 864, [], [] >,
< [ -8, -1, 1 ], [[-31996448, -13487628]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [422, 179], [41560, 17519], [0, 0]], [[0, 0], [-89866, -75579/2], [-8833112, -3723484], [2, 5/2]], [[0, 0], [-224012157, 132855015/2], [40533210, -12017015], [-4028013, 2388895/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [223730, 94719], [-112356, -47362], [0, 0]], [[0, 0], [-15260854391/17, 4525572220/17], [-312026/17, 2233/17], [-27/17, -1/17]], [[0, 0], [-892534011513/17, 529712953149/34], [-134364378/17, -48813992/17], [-13161/17, -9881/34]]], 0, 8640, [], [] >,
< [ -8, -1, 1 ], [[-3168, -1332]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47894, -20189], [-47448, -20001], [0, 0]], [[-2, -2], [792849, 334212], [792830, 334205], [-1, -1]], [[-67187190, 39846729/2], [-100720809, 119469039/4], [-42114678, 12488481], [-33593595, 39846729/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11316, 4770], [-2116, -892], [0, 0]], [[6, -3/2], [-891, -1425/4], [114, 54], [3, -3/4]], [[29150, -8644], [-137721, 40839], [-42258, 12531], [14575, -4322]]], 0, 10368, [], [] >,
< [ -8, -1, 1 ], [[-576, -144]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2842, -1198], [-6950808, -2930010], [0, 0]], [[0, 0], [1625, 1387/2], [6978998, 2941877], [-25, -5/2]], [[0, 0], [3341254740, -990799527], [-6315366000, 1872728094], [3157769790, -936389787]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [4, -8], [0, 0]], [[0, 0], [63, 9/2], [-58, -1], [-21, -3/2]], [[0, 0], [3534, 1482], [-2776, -1162], [-1178, -494]]], 0, 62208, [], [] >,
< [ -8, -1, 1 ], [[96, 36]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 3/2], [358, 309/2], [12, 3/2], [0, 0]], [[-135548, 40201], [137238, -80743/2], [-135548, 40198], [0, -1/2]], [[37688, -20321/2], [36769, 41783], [37010, -20891/2], [-113, -95/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3898, -1643], [-4040, -1703], [0, 0]], [[-4, -1/2], [-697660, -1176343/4], [-722204, -304436], [-2, -1/4]], [[-171870, 101931/2], [-357671, 425577/4], [234842, -69295], [-85935, 101931/4]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-576, -240]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7942, 3348], [-1608, -678], [0, 0]], [[0, 0], [341404, 287765/2], [-69068, -29087], [0, -3/2]], [[0, 0], [-1767173, 524041], [1553794, -460757], [-86209, 25564]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-322, -136], [1004348, 423368], [0, 0]], [[0, 0], [-5205, -2192], [16148346, 6807096], [5, 2]], [[0, 0], [18701008, -11091013/2], [3199756, -948842], [-1158468, 687053/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[2016, 828]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 29/2], [-10, -5/2], [0, 0]], [[0, 0], [39, -117], [99, 0], [6, 3/2]], [[0, 0], [373, -397/2], [189, -63/2], [8, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45, -27/2], [-21, -3/2], [0, 0]], [[0, 0], [-3336, 1887], [-5776, 1976], [-16, -5/2]], [[0, 0], [5428, -2462], [8512, -2774], [18, 3/2]]], 0, 62208, [], [] >,
< [ -8, -1, 1 ], [[-96, -12]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [151, 109/2], [-13, -5/2], [0, 0]], [[0, 0], [8138, -2358], [-2634, 777], [-10, -1]], [[0, 0], [-52736, 6761], [14076, -3519], [910, 735/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [79, 55/2], [19, 5/2], [0, 0]], [[0, 0], [10120, -2815], [9408, -2760], [9380, 3954]], [[0, 0], [16462060, -4881580], [15636432, -4636752], [-16, -13/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[144, 60]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [221, 91], [1, -2], [0, 0]], [[-5/2, 3/2], [46259/4, -11535/4], [48435/4, -14391/4], [-5/4, 3/4]], [[33/2, 9/2], [-3955/4, 28413/4], [-47475/4, 13725/4], [33/4, 9/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [189, 169/2], [-11, -1/2], [0, 0]], [[-3/2, -1/2], [25013/4, -7469/4], [21501/4, -6369/4], [-3/4, -1/4]], [[-7/2, -3/2], [-35/4, -15/4], [21/4, 9/4], [-7/4, -3/4]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[96, 36]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15292, 6446], [15268, 6436], [0, 0]], [[0, 0], [337304, 284369/2], [336916, 142024], [-2, -1/2]], [[0, 0], [55893, -66333/4], [-115590, 68535/2], [-19265, 22851/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52702, -22141], [4040, 1703], [0, 0]], [[0, 0], [-13768881/17, 16270709/68], [7346/17, 133/34], [-101/17, -3/68]], [[0, 0], [18887420/17, 1834393/17], [-1523752/17, -640435/17], [20838/17, 8758/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-24, -12]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [73/4, 35/4], [-7/4, -1/4], [0, 0]], [[0, 0], [-183/4, 129/4], [-151/4, 41/4], [2, 0]], [[0, 0], [-688, -294], [38, 14], [-43/2, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-799/4, 133/4], [1/4, 1/4], [0, 0]], [[0, 0], [3841/2, -115], [45/2, 0], [-5/2, 0]], [[0, 0], [11856209/34, 2512215/17], [174213/34, 36855/17], [-19357/34, -4095/17]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[96, 36]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [236, 197/2], [0, -3/2], [0, 0]], [[0, 0], [3469/2, -222], [4013/2, -602], [-5, -1/2]], [[0, 0], [-42649, -17740], [511, 577], [288, 121]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [286, 33/2], [2, -5/2], [0, 0]], [[0, 0], [-1390239/17, -10549305/34], [358433/17, 1327/34], [24/17, -1/17]], [[0, 0], [72106903361/34, 30430703881/34], [-1358575127/34, -571560779/34], [-38863/17, -32681/34]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[96, 36]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-505/2, -94], [-1/2, -2], [0, 0]], [[0, 0], [-17530, 5142], [2510, -745], [-3, 5/2]], [[0, 0], [-45211, -29145], [-2755, 290], [1701, 714]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1259/2, 9/2], [-13/2, -1/2], [0, 0]], [[0, 0], [46748591/17, -3038301/17], [-463545/17, -21/17], [29/17, -1/34]], [[0, 0], [359298503045/34, 75466398348/17], [-4560415043/34, -958936348/17], [134358/17, 56490/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[96, 36]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-141, -123/2], [-1, -5/2], [0, 0]], [[0, 0], [-1968, 1217/2], [-2016, 1197/2], [-822, -693/2]], [[0, 0], [232893/2, -34530], [234549/2, -34776], [-14, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-321/2, -1], [15/2, 0], [0, 0]], [[0, 0], [-36867, 75], [1645, -14], [6, 0]], [[0, 0], [-970273938/17, -815876031/34], [42343882/17, 35602235/34], [158998/17, 133701/34]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-24, -12]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [53, 23], [69, 30], [0, 0]], [[0, 0], [1475/2, 316], [962, 399], [1/2, -2]], [[0, 0], [-3/2, 0], [1, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22297, 10450], [-9, 0], [0, 0]], [[0, 0], [188743381/34, -28077286/17], [341137/17, -101072/17], [1/2, 2]], [[0, 0], [685166121/34, -101391012/17], [1234993/17, -366405/17], [-31/2, 0]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[189792, 80004]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [570, 240], [-244, -103], [0, 0]], [[0, 0], [21547, 9085], [-9302, -3920], [5, 2]], [[0, 0], [-78215, 46409/2], [-40190, 11913], [3809, -2259/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-185740/17, -80437/17], [-428/17, -2/17], [0, 0]], [[0, 0], [44072703/17, -13072740/17], [-3672670/17, 1089055/17], [5, -2]], [[0, 0], [-24460405/17, 14569825/34], [2041998/17, -605347/17], [3, 7/2]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[189792, 80004]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 19], [1188, 501], [0, 0]], [[0, 0], [29961, 25293/2], [785688, 331182], [-5, -1/2]], [[0, 0], [962520, -286146], [-775244, 210891], [91760, -27210]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37114/17, 15013/17], [-132/17, -3/17], [0, 0]], [[0, 0], [73929/17, -43701/34], [-5944/17, 1857/17], [-3, -1/2]], [[0, 0], [10698/17, -3255/17], [-1036/17, 199/17], [2, 1]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[1056, 444]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9102, 3837], [2360, 995], [0, 0]], [[6, 5/2], [-5359, -9069/4], [-1450, -619], [3, 5/4]], [[0, 0], [-75212, 22303], [-71172, 21105], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2090, -881], [-1644, -693], [0, 0]], [[-2, -1/2], [693, 1173/4], [694, 292], [-1, -1/4]], [[3954, -2345/2], [12807, -15191/4], [-6458, 1915], [1977, -2345/4]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[192, 48]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3454, -1456], [40, 4], [0, 0]], [[0, 0], [-481, 523/2], [-463654, 137477], [-5, -1/2]], [[0, 0], [-9820, -3980], [-158220, 47658], [160, 68]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [778, 328], [48, 6], [0, 0]], [[0, 0], [845, -415], [-335858, 99580], [-1, -1]], [[0, 0], [6389, 5805/2], [91710, -26793], [53, 45/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[1056, 444]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 5/2], [-6186, -5217/2], [4, 5/2], [0, 0]], [[-32100, 9519], [34505, -21005/2], [-32106, 9522], [-1, 1/2]], [[-38088, 22563/2], [63396, -2982], [-38196, 22485/2], [-18, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3236, -1364], [52, 22], [0, 0]], [[6, -5/2], [75825, 127821/4], [-1430, -596], [3, -5/4]], [[80004, -23724], [121836, -36081], [-108088, 32051], [40002, -11862]]], 0, 3456, [], [] >,
< [ -8, -1, 1 ], [[192, 48]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2204, 929], [2588, 1091], [0, 0]], [[0, 0], [-219367, -92464], [-264402, -111468], [5, 0]], [[0, 0], [-268527, 159249/2], [516462, -153153], [82255, -48783/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5736, 2418], [28, -8], [0, 0]], [[0, 0], [-3385, -1483], [-17846, 5296], [5, -1]], [[0, 0], [-138137, -116455/2], [894, -102], [27, 23/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-672, -276]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-913, -381], [-9, 0], [0, 0]], [[0, 0], [1382, -465], [1402, -416], [14, -5/2]], [[0, 0], [-11299, 15381/2], [-16643, 9911/2], [-320, -35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9677, -4076], [-5, 1], [0, 0]], [[0, 0], [-16544, 3718], [-14464, 4289], [-4, 3/2]], [[0, 0], [-20992, -90485/2], [49228, -29203/2], [34, 7/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[192, 120]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [162, 69], [-38, -17], [0, 0]], [[68, 2], [-13054, -5475], [3254, 1307], [34, 1]], [[-6028, 3403/2], [56657, 19472], [-26611, -1853/2], [-3014, 3403/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99745, 42046], [57, 24], [0, 0]], [[16, -1], [542467, 228664], [355, 121], [8, -1/2]], [[-315536, 187135/2], [-203352, 58224], [-1167240, 692253/2], [-157768, 187135/4]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-672, -276]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2580, 2187/2], [-8, 5/2], [0, 0]], [[0, 0], [-32872, 40755/2], [-47140, 27961/2], [0, 1/2]], [[0, 0], [262467, -29090], [192427, -57053], [6, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-611, -517/2], [1, -1/2], [0, 0]], [[0, 0], [-26816, -11299], [0, 0], [-13420, -5657]], [[0, 0], [2020, -600], [0, 0], [0, -1/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[192, 120]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17669, 7448], [5, 2], [0, 0]], [[-4, 1], [73952, 31168], [-12, 3], [-2, 1/2]], [[8456, -5015/2], [-17424, 4791], [25368, -15045/2], [4228, -5015/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [69097, 29125], [-55, -25], [0, 0]], [[16, 1/2], [109330, 45995], [42, -135/2], [8, 1/4]], [[612304, -363139/2], [8968428, -2656944], [8353548, -4954245/2], [306152, -363139/4]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[1056, 444]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1780, -748], [-1940, -818], [0, 0]], [[0, 0], [26180, 44399/4], [28712, 24193/2], [2, 3/4]], [[0, 0], [20797, -24749/4], [-2258, 1295/2], [-43, 51/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [21412, 9106], [-1660, -700], [0, 0]], [[0, 0], [-19332857/17, 10440071/34], [108130/17, 6376/17], [107/17, 1/34]], [[0, 0], [-1910786059/17, -55358293/68], [63824006/17, 49165429/34], [54479/17, 81295/68]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[1056, 444]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7832, 6643/2], [8, 1/2], [0, 0]], [[0, 0], [-1716341/2, 262956], [249443/2, -36980], [-4, 0]], [[0, 0], [358278, -115591], [-53234, 15781], [3, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2389/2, 1], [3/2, 0], [0, 0]], [[0, 0], [4192510/17, -589515/34], [-4466/17, 749/34], [-95/17, -1/17]], [[0, 0], [-310114203/34, -115401343/34], [312525/34, 114969/34], [4644/17, 3625/34]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[1056, 444]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2075, 1753/2], [-5, -1/2], [0, 0]], [[0, 0], [294005/2, -79193/2], [250573/2, -74327/2], [-3, -2]], [[0, 0], [-31332, 26213/2], [-32480, 19241/2], [-4, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [802, 10], [-10, -1], [0, 0]], [[0, 0], [2575201/17, -212994/17], [-28275/17, 54/17], [-60/17, 5/34]], [[0, 0], [-8937369/34, -1704939/17], [132239/34, 26224/17], [123/17, 48/17]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[1056, 444]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14941, 12587/2], [5, -5/2], [0, 0]], [[0, 0], [-30931, 21853/2], [-33027, 19587/2], [1, 1]], [[0, 0], [204407/2, -41691/2], [176199/2, -52251/2], [12, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-928, -29/2], [4, 5/2], [0, 0]], [[0, 0], [7865821/17, -3076928/17], [32877/17, -216/17], [-66/17, -3/34]], [[0, 0], [-132655943/34, -66701822/17], [3318201/34, 614070/17], [-3626/17, -1369/17]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[14376, 6060]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4659/4, 1971/4], [-29/4, -5/4], [0, 0]], [[0, 0], [8269, -2439], [8427, -2499], [-5/2, -2]], [[0, 0], [-41641, 12679], [-43005, 12750], [-104, -39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3/4, 633/4], [29/4, 5/4], [0, 0]], [[0, 0], [273737, -574331/2], [-12561, -1365/2], [3/2, 0]], [[0, 0], [-1260075971/68, -388351269/68], [-20425707/68, -10246497/68], [989/34, 529/34]]], 1, 216, [], [] >,
< [ -8, -1, 1 ], [[-2229024, -939612]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [274, 115], [21564, 9090], [0, 0]], [[0, 0], [-14691, -12531/2], [-1166550, -491759], [-1, 5/2]], [[0, 0], [1495044, -442803], [410468, -79911], [-60000, 17792]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [414978/17, 175791/17], [192/17, 9/17], [0, 0]], [[0, 0], [-827096137/17, 245280602/17], [68929550/17, -20440053/17], [-3, -2]], [[0, 0], [-8531096/17, 4451939/34], [676120/17, -200189/17], [70, 59/2]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[-2229024, -939612]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-336, -141], [17244, 7269], [0, 0]], [[0, 0], [-123895, -104111/2], [6362548, 2682047], [-5, 3/2]], [[0, 0], [3230, -475], [-34404, -14640], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [431078/17, 177758/17], [-804/17, -9/17], [0, 0]], [[0, 0], [289376355/17, -171801903/34], [-24139920/17, 7158351/17], [-3, 3/2]], [[0, 0], [-169106146/17, -16795273/17], [6343712/17, -1869416/17], [628, 264]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[-312, -132]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-477, -222], [15, -15], [0, 0]], [[0, 0], [3539, 1697], [-168, 133], [-1, 1]], [[0, 0], [-3/2, 0], [-1, 1], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [335977/17, 164836/17], [-213/17, -6/17], [0, 0]], [[0, 0], [4149474717/34, -615162402/17], [7489379/17, -2220889/17], [1/2, -1]], [[0, 0], [124158250/17, -71181103/34], [441444/17, -131333/17], [-20, -17/2]]], 1, 216, [], [] >,
< [ -8, -1, 1 ], [[-2229024, -939612]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-130, -55], [-17244, -7269], [0, 0]], [[0, 0], [1636, 1373/2], [213724, 90088], [2, 1/2]], [[0, 0], [2391, -1419/2], [2794, -892], [231, -137/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-181942/17, -76528/17], [12/17, -9/17], [0, 0]], [[0, 0], [-109/17, 733/34], [-202/17, -146/17], [-3, -5/2]], [[0, 0], [3162, 2673/2], [-1944, -820], [-544, -459/2]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[-2229024, -939612]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1188, -501], [-6, -12], [0, 0]], [[0, 0], [-8889, 14943/2], [-684908, 203184], [-5, 1/2]], [[0, 0], [-7004524, -2961055], [390150, -203931], [1428, 600]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [570684/17, 241311/17], [162/17, 6/17], [0, 0]], [[0, 0], [47745829/17, -28314397/34], [-3977554/17, 1179576/17], [1, -5/2]], [[0, 0], [4494663/17, -2898609/34], [-401020/17, 109549/17], [315, 265/2]]], 0, 1728, [], [] >,
< [ -8, -1, 1 ], [[-312, -132]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [208, 94], [6, 9], [0, 0]], [[0, 0], [-6121/2, -797], [-823, 134], [5/2, -2]], [[0, 0], [-48681, -16797], [-7867, 316], [0, -23]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [436395/17, 179223/17], [69/17, 12/17], [0, 0]], [[0, 0], [-206715857/34, 30645173/17], [-373006/17, 110681/17], [-5/2, -1]], [[0, 0], [-431768683/34, 64025503/17], [-779584/17, 231037/17], [9/2, 2]]], 1, 216, [], [] >,
< [ -8, -1, 1 ], [[-288, -108]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4206, -1773], [5544, 2337], [0, 0]], [[2, 1/2], [-34901, -58841/4], [43350, 18273], [1, 1/4]], [[59772, -35449/2], [-305802, 362733/4], [96148, -28514], [29886, -35449/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1810, 763], [-2256, -951], [0, 0]], [[-2, -2], [-56945, -23999], [64254, 27090], [-1, -1]], [[717178, -425337/2], [-3297861, 3911529/4], [-2900766, 860235], [358589, -425337/4]]], 0, 3456, [], [] >,
< [ -8, -1, 1 ], [[1728, 720]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5736, -2418], [-256548, -108144], [0, 0]], [[0, 0], [2533298, 2135737/2], [113268772, 47746765], [0, 1/2]], [[0, 0], [-27928923, 8281908], [-29165570, 8648626], [2623473, -777952]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4678, -1972], [407724, 171870], [0, 0]], [[0, 0], [-69084, -58203/2], [6018444, 2536983], [-2, -3/2]], [[0, 0], [22705941, -6733110], [-2683302, 795696], [-670133, 198718]]], 0, 20736, [], [] >,
< [ -8, -1, 1 ], [[288, 36]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1279, 541], [-33, -12], [0, 0]], [[0, 0], [-42481, -35779/2], [967, 851/2], [-4, -3/2]], [[0, 0], [-5843, 1700], [-5791, 1718], [-86, 51/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7840, 6611/2], [-48, -39/2], [0, 0]], [[0, 0], [145857, 61459], [-851, -380], [10, 3/2]], [[0, 0], [667803, -427395/2], [590379, -349947/2], [75348, -22344]]], 0, 20736, [], [] >,
< [ -8, -1, 1 ], [[10261776504, 4325699656]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1957, 825], [-204, -86], [0, 0]], [[0, 0], [1475, 617], [-144, -64], [14, 2]], [[0, 0], [44058, -13062], [30933, -9173], [36505, -10825]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [255, 89], [14, 6], [0, 0]], [[0, 0], [-485170/17, 169032/17], [4645/17, -3/17], [95/17, 1/17]], [[0, 0], [1126242/17, -58916/17], [17024/17, 9978/17], [366/17, 210/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-1591104821952, -670706634304]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34038, -14354], [-10, -10], [0, 0]], [[0, 0], [247902, 103592], [1400, -322], [-26, -6]], [[0, 0], [-2189276, 649282], [-2200926, 652652], [12066, -3578]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 52], [10, 4], [0, 0]], [[0, 0], [2888/17, -1384/17], [-266/17, -30/17], [-2/17, 10/17]], [[0, 0], [-3238/17, 6/17], [-180/17, -120/17], [26/17, 6/17]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[-1591104821952, -670706634304]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13140, 5510], [-10, 8], [0, 0]], [[0, 0], [2124464, 897126], [2074, 204], [58, 6]], [[0, 0], [69110880, -20421780], [-29096520, 8628180], [-800758, 237454]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [332, -14], [6, -4], [0, 0]], [[0, 0], [84272/17, 36688/17], [-5058/17, -482/17], [734/17, 2/17]], [[0, 0], [988700/17, 420068/17], [-38700/17, -11452/17], [4808/17, 1120/17]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[-14784, -6232]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 59], [4, 10], [0, 0]], [[0, 0], [-1474, 270], [-70, 851], [1184, 499]], [[0, 0], [23632, -3568], [-5152, -15537], [-24336, -10257]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7986, 3374], [2, 0], [0, 0]], [[0, 0], [162948/17, 84866/17], [4320/17, 75/17], [288/17, 5/17]], [[0, 0], [37507632/17, -10503305/17], [-3946320/17, 1176525/17], [-263088/17, 78435/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-74141952, -31253440]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22256, -9386], [-4, -6], [0, 0]], [[0, 0], [56808, 24076], [-160, 62], [12872, 5426]], [[0, 0], [-15302, -4528], [-2682, 792], [-2600, -1096]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2273474, 958300], [6, 8], [0, 0]], [[0, 0], [4585195546/17, 1932890186/17], [41458/17, 7522/17], [-176/17, -4/17]], [[0, 0], [5809766760/17, -1731288898/17], [-839369856/17, 248902628/17], [5914584/17, -1753882/17]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[-74141952, -31253440]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4710, -1998], [2, 10], [0, 0]], [[0, 0], [79636, 33552], [-272, -102], [-2600, -1096]], [[0, 0], [55168, 23208], [-224, -60], [-1912, -806]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-175774, -74130], [-6, 4], [0, 0]], [[0, 0], [-188689638/17, -79542926/17], [2318/17, 1670/17], [-88/17, -2/17]], [[0, 0], [100895098/17, -30622522/17], [-19561234/17, 5800606/17], [-988288/17, 293062/17]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[23552, 9928]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-238, -101], [-148, -63], [0, 0]], [[0, 0], [52247, 43949/2], [32538, 13670], [1, -1/2]], [[0, 0], [-205625, 122859/2], [-191074, 56943], [-3809, 2259/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39676, 18126], [12, 0], [0, 0]], [[0, 0], [-2424852623/17, 719059947/17], [8754186/17, -2595893/17], [3, 0]], [[0, 0], [-2001247321/17, 1186857507/34], [7224686/17, -2142436/17], [-1, -3/2]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[35024760, 14764168]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [371, 149], [25, 3], [0, 0]], [[0, 0], [-323885/2, 93575/2], [-163507, 48445], [13/2, 5/2]], [[0, 0], [396038, -32220], [286844, -82260], [-428, -180]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48318/17, -1108/17], [-164/17, 4/17], [0, 0]], [[0, 0], [412465/2, 647/2], [-695, -1], [5/2, -1/2]], [[0, 0], [-4550712, -1917731], [15327, 6459], [-19, -8]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[118113344, 49788928]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-194, -82], [3349424, 1411900], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [2630, 1112], [-45446932, -19157480], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4/17, -218/17], [-108/17, -4/17], [0, 0]], [[0, 0], [7, 0], [2, 0], [1, 0]], [[0, 0], [2406/17, 2794/17], [1280/17, 196/17], [0, 0]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[118113344, 49788928]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, 16], [1362980, 574544], [0, 0]], [[0, 0], [1, 0], [0, 2], [1, 0]], [[0, 0], [0, 0], [160556, 67680], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [880/17, 122/17], [-108/17, -4/17], [0, 0]], [[0, 0], [-253/17, -10/17], [20/17, 2/17], [1, 0]], [[0, 0], [5254/17, 114/17], [-704/17, 52/17], [0, 0]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[64, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 10], [560, 236], [0, 0]], [[0, 0], [-1, 0], [2, 0], [1, 0]], [[0, 0], [1194, -354], [-28, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8598/17, -82/17], [300/17, -4/17], [0, 0]], [[0, 0], [7, 0], [2, 0], [1, 0]], [[0, 0], [259584/17, 2784/17], [9052/17, 62/17], [0, 0]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-64, -16]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [158160, 66670], [154668, 65198], [0, 0]], [[10, -1/2], [757151, 1276709/4], [740290, 312074], [5, -1/4]], [[4181354, -2479837/2], [-10175135, 12069161/4], [-13949122, 4136410], [2090677, -2479837/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [143134, 60336], [135908, 57290], [0, 0]], [[10, 3/2], [-21788589, -36738659/4], [-20689002, -8721139], [5, 3/4]], [[-1293828, 767331/2], [-3994088, 4737413/4], [1368136, -405733], [-646914, 767331/4]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[-1984, -832]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7634, -3218], [6519532, 2748212], [0, 0]], [[0, 0], [1, 0], [-2, 0], [1, 0]], [[0, 0], [2192, 924], [-2105988, -887748], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 28], [4, -8], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [-390, -210], [-160, 96], [0, 0]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-496, -208]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2379, -1003], [93, 39], [0, 0]], [[1, 1], [42253/2, 17789/2], [-1595/2, -699/2], [1/2, 1/2]], [[9729/2, -2885/2], [-375193/4, 111037/4], [-451577/4, 133917/4], [9729/4, -2885/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4453, 1877], [-7, -3], [0, 0]], [[-35/2, -5/2], [-8805/4, -3643/4], [35/4, 5/4], [-35/4, -5/4]], [[-89881/2, 26653/2], [-632239/4, 187531/4], [89881/4, -26653/4], [-89881/4, 26653/4]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[-256, -64]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-196, -86], [-92, -38], [0, 0]], [[0, 0], [-60489, -25055], [-27033, -11497], [-50, -20]], [[0, 0], [-181618, -61017], [-67646, -32079], [-182, -39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-75, -31], [-83, -35], [0, 0]], [[0, 0], [-166, -52], [-126, -54], [-212, -90]], [[0, 0], [-1755, -226], [-903, -406], [-1544, -669]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[320, 128]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32002, -13490], [-1376, -580], [0, 0]], [[0, 0], [-247263, -208461/2], [-9950, -4195], [-5, -5/2]], [[0, 0], [10967384, -3252215], [17547504, -5203452], [9517222, -2822191]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [49854, 20676], [-3772, -1590], [0, 0]], [[0, 0], [-101336868/17, 28551333/17], [167668/17, 64190/17], [58/17, -1/17]], [[0, 0], [4311/17, -2395/34], [-18/17, 5/17], [-9/17, 5/34]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[320, 128]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9418, 3970], [-541440, -228236], [0, 0]], [[0, 0], [70927, 59801/2], [-4088950, -1723631], [-5, 1/2]], [[0, 0], [22452789, -13316083/2], [44905578, -13316083], [22452789, -13316083/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4973974, -2096618], [-1243436, -524152], [0, 0]], [[0, 0], [-34913913833/17, 10353246299/17], [41358/17, -1362/17], [7/17, -1/17]], [[0, 0], [-176078621084/17, 104428060499/34], [317788/17, 39167/17], [46/17, -1/34]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[320, 128]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-178946, -75432], [2472, 1042], [0, 0]], [[0, 0], [-29507702, -12438578], [407716, 171894], [-4, 2]], [[0, 0], [-61274095, 36339731/2], [38242978, -11340387], [5122207, -3037829/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7617294, -3211118], [-1904420, -802780], [0, 0]], [[0, 0], [312629120426/17, -185408510737/34], [1004696/17, 16697/17], [66/17, 3/34]], [[0, 0], [-9659943831697/17, 2864482500967/17], [-28021102/17, 758414/17], [-1837/17, 39/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[128, 56]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5222, -2202], [-188, -80], [0, 0]], [[0, 0], [-125688, -211823/4], [-4556, -3789/2], [4, 5/4]], [[0, 0], [-22323163, 26478771/4], [-22197058, 13164423/2], [372385, -441701/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1648, 554], [60, 26], [0, 0]], [[0, 0], [-1064116/17, 1492535/68], [9192/17, -545/34], [6/17, -1/68]], [[0, 0], [5399945/17, -1139291/17], [3402/17, 18673/17], [1/17, 12/17]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[320, 128]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-47, -19], [-99, -41], [0, 0]], [[0, 0], [1/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [3, -43], [-69, -69], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-645, -311], [103, 43], [0, 0]], [[0, 0], [-3554, 1600], [-142, -22], [-4, 0]], [[0, 0], [17291/34, -15293/34], [2051/34, 591/34], [23/17, 4/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[320, 128]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-203/2, -73/2], [-35/2, -17/2], [0, 0]], [[0, 0], [1, 0], [1, 0], [1, 0]], [[0, 0], [-1200, -418], [-200, -100], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-641, -13], [-1, 1], [0, 0]], [[0, 0], [-287115/34, -404369/34], [3933/34, 463/34], [28/17, -4/17]], [[0, 0], [1364933/17, 1195034/17], [-11059/17, -2046/17], [-135/17, 12/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[320, 128]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [133/2, 47/2], [13/2, 7/2], [0, 0]], [[0, 0], [-3686, -1794], [-558, -196], [2, 0]], [[0, 0], [-34948, -14833], [-4416, -1845], [8, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-771/2, 7/2], [13/2, -1/2], [0, 0]], [[0, 0], [141182/17, 31601/17], [-1878/17, -385/17], [-18/17, 5/17]], [[0, 0], [-4963, -1969], [65, 25], [0, 0]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[88, 40]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-247/4, -73/4], [-39/4, -1/4], [0, 0]], [[0, 0], [-122833/4, 19637/4], [-51385/4, 13773/4], [-13/2, -5/2]], [[0, 0], [3127945/4, 1443687/4], [201609/4, 147079/4], [872, 368]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1537/4, 121/4], [-1/4, 1/4], [0, 0]], [[0, 0], [2027, 22], [27, 0], [-3, 0]], [[0, 0], [2613743/34, 1103267/34], [33579/34, 14175/34], [-3731/34, -1575/34]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[14272, 6016]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [460, 194], [-52, 8], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [-290, -120], [-996, 300], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12096/17, 40/17], [-940/17, 8/17], [0, 0]], [[0, 0], [-7, 0], [2, 0], [1, 0]], [[0, 0], [135774/17, 50464/17], [-10184/17, -3752/17], [0, 0]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[14272, 6016]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [142, 60], [-8, -20], [0, 0]], [[0, 0], [1, 0], [4, 2], [1, 0]], [[0, 0], [-210, -98], [-1500, 480], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [482, 4], [-24, 0], [0, 0]], [[0, 0], [-87/17, 10/17], [-48/17, 2/17], [1, 0]], [[0, 0], [954420/17, 380328/17], [-46300/17, -18400/17], [0, 0]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[88, 40]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [326, 130], [8, -4], [0, 0]], [[0, 0], [59779/2, -18505/2], [30230, -8968], [-5/2, -5/2]], [[0, 0], [-55443, 22327], [-63151, 18783], [64, 30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-351658/17, -1074/17], [-1264/17, -4/17], [0, 0]], [[0, 0], [-2601213/2, -2302017/2], [-4689, -4141], [-11/2, -3/2]], [[0, 0], [10456743, 6405339], [37663, 23049], [30, 10]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[320, 128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 0], [68, 2], [0, 0]], [[0, 0], [-1, 0], [2, 0], [1, 0]], [[0, 0], [318, 126], [-1480, -592], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3738/17, 58/17], [184/17, -2/17], [0, 0]], [[0, 0], [27, 0], [2, 0], [1, 0]], [[0, 0], [172488/17, 69364/17], [-8628/17, -3474/17], [0, 0]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[-276608, -116600]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-980, -413], [-700, -295], [0, 0]], [[0, 0], [-3705, -3131/2], [-2618, -1101], [-1, 3/2]], [[0, 0], [23095, -13611/2], [-16014, 4779], [-11943, 7083/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [142934/17, 82290/17], [-184/17, 2/17], [0, 0]], [[0, 0], [64857939, -19233834], [234158, -69437], [1, -1]], [[0, 0], [22563511, -13429357/2], [81554, -24202], [-19, -17/2]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[2656265792, 1119709440]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6772906, 2855018], [-2707200, -1141180], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [-39227134, -16535616], [15679508, 6609464], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36184672, -15252822], [1904420, 802780], [0, 0]], [[0, 0], [319647486551/17, -94789778128/17], [548354/17, -384/17], [45/17, -4/17]], [[0, 0], [-6146837572156/17, 1818188093486/17], [331100292/17, 144018172/17], [18814/17, 8372/17]]], 0, 13824, [], [] >,
< [ -8, -1, 1 ], [[59737094208, 25181285888]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-536, -226], [-35185316, -14831848], [0, 0]], [[0, 0], [9, 0], [-10, 0], [1, 0]], [[0, 0], [1490, 628], [92035216, 38796080], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7220686, 3044118], [-3610764, -1522064], [0, 0]], [[0, 0], [108591860/17, -32207356/17], [-852/17, -568/17], [6/17, 4/17]], [[0, 0], [425157411/17, -126074896/17], [1562/17, -568/17], [-11/17, 4/17]]], 0, 138240, [], [] >,
< [ -8, -1, 1 ], [[-17856, -7488]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94, 38], [36, -24], [0, 0]], [[0, 0], [1134, -567], [-24, 522], [-48, -21]], [[0, 0], [-1131, 228], [842, -4], [-25, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 30], [40, 4], [0, 0]], [[0, 0], [3213, -450], [-2486, 832], [-39, -18]], [[0, 0], [-62373, 28599], [82298, -22498], [-893, -329]]], 0, 995328, [], [] >,
< [ -8, -1, 1 ], [[-576, -240]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1409154, 594008], [1416864, 597258], [0, 0]], [[2, 3/2], [738627, 1245433/4], [743010, 313200], [1, 3/4]], [[-56376140, 16717508], [-85447896, 25338306], [415636688, -123250894], [-28188070, 8358754]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1870430, -788452], [-1857520, -783010], [0, 0]], [[-10, 1], [26997653, 22760915/2], [26811754, 11302090], [-5, 1/2]], [[-2650587570, 1571984847/2], [1333177961, -1581336583/4], [3637534850, -1078656997], [-1325293785, 1571984847/4]]], 0, 1536, [], [] >,
< [ -8, -1, 1 ], [[576, 192]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6168, -2600], [120861556, 50947396], [0, 0]], [[0, 0], [1, 0], [-6, 0], [1, 0]], [[0, 0], [55374, 23342], [-1088456000, -458822480], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -16], [20, -4], [0, 0]], [[0, 0], [1, 0], [6, 0], [1, 0]], [[0, 0], [-242, -102], [20, 8], [0, 0]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[-2304, -576]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-489, -141], [15, -3], [0, 0]], [[0, 0], [28651, -8348], [-4077, 1206], [-4, -1]], [[0, 0], [-38187, 5700], [4505, -1222], [118, 49]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [818, 356], [-22, -4], [0, 0]], [[0, 0], [-38138, -16010], [634, 304], [30, 0]], [[0, 0], [26285, 10664], [-143, -290], [-118, 29]]], 0, 995328, [], [] >,
< [ -8, -1, 1 ], [[-2304, -960]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, 44], [56, 26], [0, 0]], [[0, 0], [31325, 13218], [17597, 7394], [-6, -1]], [[0, 0], [56766, 23992], [32014, 13384], [-16, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-35, -19], [29, 5], [0, 0]], [[0, 0], [8049, 2832], [-2643, -2070], [-176, -75]], [[0, 0], [-238777, -73319], [44883, 65499], [4836, 2078]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[144, 48]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-679, -293], [9, -3], [0, 0]], [[-13, -1], [7273/2, -2111/2], [7249/2, -2135/2], [-13/2, -1/2]], [[1323/2, 557/2], [-13693/4, -4963/4], [-5101/4, -1339/4], [1323/4, 557/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1981, -843], [7, -5], [0, 0]], [[6, 2], [-131282, 39264], [-131954, 39124], [3, 1]], [[87/2, 37/2], [173675/4, -40655/4], [158579/4, -47191/4], [87/4, 37/4]]], 0, 1536, [], [] >,
< [ -8, -1, 1 ], [[192, 0]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5684, 2396], [-31092884, -13106744], [0, 0]], [[0, 0], [35803, 30187/2], [-197702406, -83338521], [-3, -1/2]], [[0, 0], [1273858618, -377743876], [-4571984544, 1355754216], [762418156, -226083794]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40521410, -17081102], [-10130296, -4270276], [0, 0]], [[0, 0], [-1294207299068/17, 767556043695/34], [37600/17, 547/17], [-2/17, 3/34]], [[0, 0], [5686599201829/17, -3372520941057/34], [5587722/17, 2422659/17], [455/17, 363/34]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[192, 0]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [723598, 305022], [-743008, -313204], [0, 0]], [[0, 0], [1826748, 770036], [-1872800, -789446], [-2, 0]], [[0, 0], [-117122971, 69462159/2], [234993590, -69683863], [39170297, -23230741/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1618, -84], [72, 6], [0, 0]], [[0, 0], [87119209/17, -7196925/34], [-3789338/17, 44713/17], [15/17, 3/34]], [[0, 0], [1029564116/17, 773980597/34], [-49448184/17, -18929865/17], [266/17, 213/34]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[192, 0]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-696758, -293708], [550820, 232190], [0, 0]], [[0, 0], [-2944751, -2482653/2], [2341578, 987045], [-1, -5/2]], [[0, 0], [13921430750, -4128193770], [16691489136, -4949613492], [2782192496, -825017912]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -20], [20, 2], [0, 0]], [[0, 0], [-172711/17, 201422/17], [-182722/17, 3056/17], [-71/17, -2/17]], [[0, 0], [-356632381/17, -326610927/34], [132815326/17, 52198123/17], [59349/17, 47393/34]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[0, -24]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7122, -3002], [996, 420], [0, 0]], [[0, 0], [-72425, -122109/4], [10138, 8543/2], [3, -5/4]], [[0, 0], [-10057, 3129], [5350, -1607], [8687, -2576]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16728, 7127], [804, 339], [0, 0]], [[0, 0], [15243922/17, -17365991/68], [25372/17, 4187/34], [140/17, 5/68]], [[0, 0], [-2195529/17, 348203219/68], [6371722/17, 5512373/34], [28111/17, 49287/68]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[192, 0]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-261/2, 81/2], [67/2, 1/2], [0, 0]], [[0, 0], [3, 0], [3, 0], [1, 0]], [[0, 0], [-4185, 1237], [567, -189], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-601/2, -3/2], [31/2, 1/2], [0, 0]], [[0, 0], [1024945/34, -49851/34], [-52983/34, 1041/34], [-23/17, -4/17]], [[0, 0], [-6496447/34, -2334037/34], [369849/34, 136287/34], [258/17, 104/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[192, 0]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-109, -29], [-29, 1], [0, 0]], [[0, 0], [1/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [634, 224], [118, 16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [125, 5], [29, -1], [0, 0]], [[0, 0], [-6230567/34, -562195/34], [-1410799/34, -18379/34], [-31/17, 2/17]], [[0, 0], [-1762457633/34, -726496427/34], [-321658033/34, -130999759/34], [-5359/17, -2139/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[192, 0]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-223/2, -101/2], [1/2, -5/2], [0, 0]], [[0, 0], [3, 0], [3, 0], [1, 0]], [[0, 0], [36, 20], [-4, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-523/2, 31/2], [13/2, -5/2], [0, 0]], [[0, 0], [-2647810/17, -2020592/17], [-90090/17, 528/17], [150/17, -2/17]], [[0, 0], [-1961258730/17, -836219019/17], [-18990126/17, -7601445/17], [30846/17, 12319/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[1080, 456]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-141/4, -67/4], [51/4, -3/4], [0, 0]], [[0, 0], [-41, -22], [23, -4], [-1, 0]], [[0, 0], [1215/2, 499/2], [-45/2, -57/2], [9/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14945/4, -113/4], [113/4, -1/4], [0, 0]], [[0, 0], [181267909/34, -7325791/34], [1371177/34, -57075/34], [-33/34, -5/34]], [[0, 0], [94164745, 49934837], [708137, 376175], [-33, -15]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[192, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, 4], [68, 8], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [-38, 4], [192, 48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18242/17, -124/17], [-860/17, 16/17], [0, 0]], [[0, 0], [27, 0], [2, 0], [1, 0]], [[0, 0], [-1237410/17, -4248/17], [58280/17, -496/17], [0, 0]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[192, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -2], [44, 20], [0, 0]], [[0, 0], [3, 0], [4, 2], [1, 0]], [[0, 0], [-18, 6], [16, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8894/17, -410/17], [608/17, 20/17], [0, 0]], [[0, 0], [-665/17, 10/17], [-48/17, 2/17], [1, 0]], [[0, 0], [-172932/17, 14694/17], [11980/17, -1148/17], [0, 0]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[1080, 456]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -4], [2, 2], [0, 0]], [[0, 0], [-669/2, 303/2], [-63, 13], [11/2, 3/2]], [[0, 0], [-1071/2, -483/2], [62, 24], [-69/2, -29/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16970, 4], [-60, 0], [0, 0]], [[0, 0], [9187041/34, 8602563/34], [16135/17, 15273/17], [-7/2, 3/2]], [[0, 0], [958788652/17, 404052883/17], [3395755/17, 1431035/17], [81, 34]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[192, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -6], [4, 4], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [8, -4], [-4, 2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12884/17, 44/17], [20/17, 2/17], [0, 0]], [[0, 0], [-75, 0], [2, 0], [1, 0]], [[0, 0], [-22, 2], [0, 0], [0, 0]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[3248640, 1369416]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3812, 1607], [2588, 1091], [0, 0]], [[0, 0], [-52636, -44357/2], [-35864, -15125], [2, -5/2]], [[0, 0], [-721409, 213922], [541606, -160606], [256145, -75956]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5117302/17, 2177380/17], [-164/17, 4/17], [0, 0]], [[0, 0], [3161872717, -1875271711/2], [11414982, -3384942], [-3, 3/2]], [[0, 0], [6714935802, -1991427936], [24243008, -7188893], [-2, 5]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[5952, 2496]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, 34], [-28, 20], [0, 0]], [[0, 0], [5, 0], [6, 0], [1, 0]], [[0, 0], [1748, 836], [1764, 792], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [84, -36], [20, 8], [0, 0]], [[0, 0], [-11, 0], [6, 0], [1, 0]], [[0, 0], [-10, 2], [0, 0], [0, 0]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[5952, 2496]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, -22], [12, 12], [0, 0]], [[0, 0], [-3, 0], [-6, 0], [1, 0]], [[0, 0], [-72, -72], [100, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -20], [4, -8], [0, 0]], [[0, 0], [9, 0], [6, 0], [1, 0]], [[0, 0], [442, 238], [276, 132], [0, 0]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[768, 192]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-308, -126], [-44, -14], [0, 0]], [[0, 0], [-2966, -1199], [-386, -131], [34, 1]], [[0, 0], [8229, 7757], [-2019, 1803], [1476, -492]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-217059, -91497], [-19, -7], [0, 0]], [[0, 0], [-1158978, -488541], [-102, -33], [2, 1]], [[0, 0], [-157213, -66265], [-21, -3], [0, 0]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[768, 192]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78757, 33175], [-7, 5], [0, 0]], [[0, 0], [4508109, -1336998], [-1503323, 445732], [-26, -11]], [[0, 0], [1834033, -544254], [-611907, 181314], [-64, -27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26678, -11240], [-42, -12], [0, 0]], [[0, 0], [-133211, -56055], [17, 107], [108, 46]], [[0, 0], [12, 5], [-36, -15], [-12, -5]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[-384, -168]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2394, 999], [2308, 973], [0, 0]], [[0, 0], [-335470, -555583/4], [-321904, -271445/2], [0, -3/4]], [[0, 0], [-2037299, 2419579/4], [24130, -12829/2], [591, -701/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37050, -15483], [-1748, -737], [0, 0]], [[0, 0], [-11847125/17, 14976577/68], [33090/17, 10851/34], [55/17, 5/68]], [[0, 0], [23860288/17, -6858374/17], [-3132/17, 15201/17], [-36/17, 27/17]]], 0, 3456, [], [] >,
< [ -8, -1, 1 ], [[-960, -384]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 8], [20, -16], [0, 0]], [[0, 0], [-365, -104], [458, 68], [-3, 2]], [[0, 0], [2513, 289/2], [-4382, 445], [77, -55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-206, 22], [16, 4], [0, 0]], [[0, 0], [4201, 496], [-262, 20], [-3, 0]], [[0, 0], [-1815834/17, -311871/34], [118884/17, -12255/17], [1336/17, -83/34]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-960, -384]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [489242, 206252], [60, 6], [0, 0]], [[0, 0], [21572805, -12794895/2], [-21572758, 6397067], [-3, -3/2]], [[0, 0], [-379289016, 224945445/2], [379279492, -112469699], [-4, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 96], [-20, -8], [0, 0]], [[0, 0], [-1449469/17, 877333/34], [-6246/17, 171/17], [-29/17, 1/34]], [[0, 0], [-1886448/17, 1104801/34], [-3156/17, 2265/17], [-14/17, 21/34]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-960, -384]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [668642, 281852], [-24, -6], [0, 0]], [[0, 0], [185737, -55028], [-185746, 55094], [1, 2]], [[0, 0], [312970, -185737/2], [-313252, 92873], [-8, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1214, -140], [-8, 10], [0, 0]], [[0, 0], [386680/17, -1501777/34], [56736/17, -2619/17], [-90/17, -1/34]], [[0, 0], [-8842613/17, 48696475/17], [-3552414/17, 24678/17], [5733/17, 269/17]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-960, -384]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [61, -5], [-19, 5], [0, 0]], [[0, 0], [9/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [287, 107], [-21, -3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1189, 13], [-19, -1], [0, 0]], [[0, 0], [-31101363/34, 1390969/34], [488781/34, -2535/34], [37/17, 2/17]], [[0, 0], [-9616721/2, 884963/2], [148727/2, -8341/2], [11, 0]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-960, -384]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [128951/2, 54197/2], [-33/2, 9/2], [0, 0]], [[0, 0], [-5, 0], [3, 0], [1, 0]], [[0, 0], [379759/2, 159973/2], [-25/2, 5/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-223/2, -13/2], [-39/2, 3/2], [0, 0]], [[0, 0], [-27177/34, -8955/34], [-4625/34, 73/34], [1/17, -5/17]], [[0, 0], [-28433/17, -15238/17], [1047/17, -2124/17], [-37/17, -2/17]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-960, -384]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67, -17], [-1, -1], [0, 0]], [[0, 0], [4279/2, -1255/2], [159/2, 21/2], [16, 6]], [[0, 0], [-1503/2, 425/2], [-159/2, -51/2], [-22, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2781/2, -39/2], [83/2, 5/2], [0, 0]], [[0, 0], [460188161/17, -16208108/17], [-13486839/17, -123516/17], [118/17, 5/17]], [[0, 0], [61475582751/34, -5110704837/34], [-1769582057/34, 74966683/34], [7636/17, -83/17]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-264, -120]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-339/4, -45/4], [-131/4, -5/4], [0, 0]], [[0, 0], [64997/4, -37337/4], [38653/4, -16913/4], [-7/2, -3/2]], [[0, 0], [16817/4, 4679/4], [5777/4, 1199/4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8563/4, 685/4], [35/4, 5/4], [0, 0]], [[0, 0], [11549505/17, -607720/17], [44031/17, 318/17], [-89/34, 3/34]], [[0, 0], [-59200014337/68, -25005347487/68], [-281161953/68, -118687743/68], [61450/17, 25950/17]]], 0, 3456, [], [] >,
< [ -8, -1, 1 ], [[-38153856, -16083192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -11], [1032, 435], [0, 0]], [[0, 0], [-11663, -9817/2], [25446, 10744], [5, -1/2]], [[0, 0], [-2976956, 882769], [-6668100, 1977333], [987060, -292698]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3171682/17, -1309261/17], [-216/17, 9/17], [0, 0]], [[0, 0], [-1826623439/17, 1083333923/34], [-6594302/17, 1955418/17], [-3, -5/2]], [[0, 0], [797801418/17, -236495736/17], [2879396/17, -854066/17], [-44, -18]]], 0, 3456, [], [] >,
< [ -8, -1, 1 ], [[4161568704, 1754247552]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2728, 1150], [1142652, 481668], [0, 0]], [[0, 0], [3, 0], [-2, -4], [1, 0]], [[0, 0], [-4066, -1714], [-1624320, -684708], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1270/17, -26/17], [-528/17, -12/17], [0, 0]], [[0, 0], [-395/17, -14/17], [74/17, 4/17], [1, 0]], [[0, 0], [-100226/17, -38960/17], [47676/17, 18864/17], [0, 0]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[4161568704, 1754247552]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25132, -10594], [30, -30], [0, 0]], [[0, 0], [-3, 0], [4, 2], [1, 0]], [[0, 0], [-1888, -826], [-82134, 24354], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [55073896/17, 23221954/17], [1302/17, 18/17], [0, 0]], [[0, 0], [-1171/17, -10/17], [-88/17, -2/17], [1, 0]], [[0, 0], [-552877940/17, 163808512/17], [46056462/17, -13657362/17], [0, 0]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[1234051464, 520196088]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2306, 974], [24, 12], [0, 0]], [[0, 0], [179687/2, -53569/2], [87394, -25952], [-5/2, -5/2]], [[0, 0], [121851, -37425], [119623, -35803], [-38, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-278828/17, -1730/17], [-978/17, -6/17], [0, 0]], [[0, 0], [284089019/34, 93613529/34], [497967/17, 164341/17], [5/2, -5/2]], [[0, 0], [628421853/34, 250719285/34], [1102216/17, 439906/17], [-7/2, -7/2]]], 0, 3456, [], [] >,
< [ -8, -1, 1 ], [[-960, -384]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -12], [-156, -54], [0, 0]], [[0, 0], [-3, 0], [-2, 2], [1, 0]], [[0, 0], [-682, -154], [-2160, -720], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14740/17, 148/17], [-588/17, -18/17], [0, 0]], [[0, 0], [1073/17, -10/17], [14/17, -2/17], [1, 0]], [[0, 0], [-3829282/17, -1526338/17], [162432/17, 65142/17], [0, 0]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-38153856, -16083192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4486, 1891], [1644, 693], [0, 0]], [[0, 0], [-3445, -2909/2], [-10, 4], [-3, -1/2]], [[0, 0], [-1740627, 1032315/2], [6186558, -1834532], [575785, -341481/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11108534/17, -4578119/17], [-888/17, 3/17], [0, 0]], [[0, 0], [255405688495/17, -151472397649/34], [922037854/17, -273416459/17], [1, 5/2]], [[0, 0], [1087188893189/17, -322355610907/17], [3924706386/17, -1163802161/17], [221, 102]]], 0, 3456, [], [] >,
< [ -8, -1, 1 ], [[4161568704, 1754247552]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4346, 1832], [784020, 330492], [0, 0]], [[0, 0], [3, 0], [6, 4], [1, 0]], [[0, 0], [23016, 9702], [4201500, 1771080], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8626/17, 424/17], [168/17, -24/17], [0, 0]], [[0, 0], [-421/17, 14/17], [-6/17, -4/17], [1, 0]], [[0, 0], [687096/17, 284868/17], [6084/17, 2424/17], [0, 0]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[4161568704, 1754247552]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12872, -5426], [-18, 30], [0, 0]], [[0, 0], [-3, 0], [0, -2], [1, 0]], [[0, 0], [140, 62], [-238374, 70686], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14269980/17, 6021384/17], [1260/17, 24/17], [0, 0]], [[0, 0], [1069/17, 10/17], [-48/17, 2/17], [1, 0]], [[0, 0], [572053768/17, -169617266/17], [-47669130/17, 14135574/17], [0, 0]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[1234051464, 520196088]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4491, -1887], [21, 15], [0, 0]], [[0, 0], [389777/2, -115195/2], [195720, -58034], [5/2, -3/2]], [[0, 0], [-1699653/2, 434289/2], [-806762, 238538], [351/2, 169/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-331655/17, -4121/17], [-1221/17, -15/17], [0, 0]], [[0, 0], [30555553/34, 31509205/34], [56060/17, 57966/17], [5/2, 1/2]], [[0, 0], [-202424059/34, -109804837/34], [-372046/17, -201938/17], [-15/2, -5/2]]], 0, 3456, [], [] >,
< [ -8, -1, 1 ], [[-960, -384]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -16], [156, 54], [0, 0]], [[0, 0], [-3, 0], [6, -2], [1, 0]], [[0, 0], [682, 154], [-1620, -540], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14672/17, -284/17], [996/17, 18/17], [0, 0]], [[0, 0], [1579/17, 10/17], [54/17, 2/17], [1, 0]], [[0, 0], [1006166/17, 399446/17], [-68040/17, -27000/17], [0, 0]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-1728, -576]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1811270, -763514], [-5836296, -2460204], [0, 0]], [[0, 0], [-3, 0], [-2, 4], [1, 0]], [[0, 0], [7534114, 3175894], [24241764, 10218756], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, 26], [12, 60], [0, 0]], [[0, 0], [-3, 0], [6, 0], [1, 0]], [[0, 0], [-700, 260], [2052, 1368], [0, 0]]], 0, 331776, [], [] >,
< [ -8, -1, 1 ], [[6912, 2880]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-125834, -53042], [-402, -168], [0, 0]], [[0, 0], [1590235, 670505], [4883, 2225], [16, 6]], [[0, 0], [-12383284, -5222165], [-36776, -17699], [-130, -45]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48449, 20423], [249, 105], [0, 0]], [[0, 0], [156775, 66090], [779, 332], [-2, -1]], [[0, 0], [33045, 13929], [165, 69], [0, 0]]], 0, 331776, [], [] >,
< [ -8, -1, 1 ], [[-253056, -106672]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [418, 180], [10, 8], [0, 0]], [[0, 0], [-12352, -5536], [-192, -409], [-192, -81]], [[0, 0], [10978, 4246], [1054, 64], [152, 64]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [292374, 123172], [-10, 4], [0, 0]], [[0, 0], [-3223173360/17, -1358769528/17], [-30520/17, -2610/17], [-40/17, -4/17]], [[0, 0], [-906212448/17, 262480662/17], [103849820/17, -30795155/17], [129600/17, -38431/17]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-253056, -106672]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -13], [-2, -10], [0, 0]], [[0, 0], [184, 68], [128, 44], [18072, 7618]], [[0, 0], [-444, -266], [-256, -190], [-58088, -24486]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14862, -6170], [6, -8], [0, 0]], [[0, 0], [-64061778/17, -26982733/17], [-33194/17, -16576/17], [-1032/17, -8/17]], [[0, 0], [462433208/17, -141007249/17], [-56067344/17, 16623710/17], [9268120/17, -2748350/17]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-1269076224, -534960256]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6082, -2564], [2, 2], [0, 0]], [[0, 0], [-214, -20], [5986, 2160], [5480, 2310]], [[0, 0], [0, 0], [-8, 2], [-8, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-202, 50], [-14, 6], [0, 0]], [[0, 0], [61750/17, 8674/17], [6702/17, 864/17], [576/17, 10/17]], [[0, 0], [9754420/17, 4499066/17], [1026748/17, 476566/17], [61736/17, 31218/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[27601664, 11635072]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2330, -978], [14, 10], [0, 0]], [[0, 0], [34218, -10830], [50806, -3364], [-16288, -6866]], [[0, 0], [57613150, -17084328], [56532842, -16763924], [8, -54]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-478, -50], [18, 6], [0, 0]], [[0, 0], [-2488468/17, 511196/17], [49680/17, 1534/17], [-360/17, -2/17]], [[0, 0], [107365892/17, 142430938/17], [-15728120/17, -7838740/17], [103424/17, 52924/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[403136, 169936]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -16], [-1988, -838], [0, 0]], [[0, 0], [-4, -3/2], [-2428, -1023], [-4, -3/2]], [[0, 0], [-693, 411/2], [-1822, 541], [-693, 411/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [556808/17, 234412/17], [36/17, -10/17], [0, 0]], [[0, 0], [-277, -179/2], [-2, -3], [-1, -3/2]], [[0, 0], [12203, 5043], [242, 110], [121, 55]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[403136, 169936]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-232, -98], [356, 150], [0, 0]], [[0, 0], [-2680, -2263/2], [4432, 1862], [-2, 3/2]], [[0, 0], [9095, -2660], [31514, -9406], [-11857, 3516]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [173712/17, 73682/17], [-76/17, 6/17], [0, 0]], [[0, 0], [19298651/17, -5708461/17], [1607174/17, -476582/17], [-5, 1]], [[0, 0], [-4225862/17, 6124593/34], [-562040/17, 166870/17], [-84, -73/2]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[1088, 448]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -2], [12, 0], [0, 0]], [[0, 0], [1749, -107], [390, 22], [55, 23]], [[0, 0], [9008, -1050], [1892, -20], [216, 90]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7496/17, 328/17], [364/17, 16/17], [0, 0]], [[0, 0], [-647115/17, -37537/17], [-31686/17, -1914/17], [-3, -1]], [[0, 0], [-6512873/17, -2030125/17], [-320446/17, -100286/17], [-47, -19]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[1856, 704]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [110, -14], [-16, -8], [0, 0]], [[0, 0], [-10359, 3431], [-322, 26], [45, 19]], [[0, 0], [-29145, 8111], [-458, 230], [-69, -29]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, -4], [-4, -20], [0, 0]], [[0, 0], [-9449, 8797], [15046, -398], [3, 1]], [[0, 0], [-545998, -239364], [-385552, -157668], [-176, -74]]], 0, 147456, [], [] >,
< [ -8, -1, 1 ], [[-448, -64]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, 44], [-4, 16], [0, 0]], [[0, 0], [-15, 0], [2, 0], [1, 0]], [[0, 0], [2306, 1566], [-8112, -3328], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1320, -664], [-4, -12], [0, 0]], [[0, 0], [3742298/17, -704461/17], [44504/17, 486/17], [84/17, 5/17]], [[0, 0], [-732486301/17, -269654606/17], [-23328154/17, -9520412/17], [-50765/17, -20878/17]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[-64, -16]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-272, -116], [-484, -204], [0, 0]], [[0, 0], [28468, 23821/2], [49956, 21057], [-2, 1/2]], [[0, 0], [32421, -47671/4], [-5166, -5057/2], [-537, 637/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31028, 13256], [-2420, -1020], [0, 0]], [[0, 0], [-2734285/17, 3293663/68], [-246/17, 1389/34], [-21/17, -5/68]], [[0, 0], [-3084297/17, -3783151/68], [-128370/17, -107937/34], [1537/17, 2597/68]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-64, -16]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2972, -1252], [-2828, -1192], [0, 0]], [[0, 0], [-75881, -128141/4], [-72290, -60961/2], [-1, -5/4]], [[0, 0], [44979, -14534], [5798, -2858], [789, -234]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39894, -16620], [3032, 1278], [0, 0]], [[0, 0], [-5692268163/17, 6676474245/68], [4732162/17, 75553/34], [55/17, 5/68]], [[0, 0], [686263535, 33008563/4], [-22744946, -18905237/2], [-277, -461/4]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-448, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -6], [-40, 20], [0, 0]], [[0, 0], [-221, -213], [1410, -322], [-27, -11]], [[0, 0], [13282, -4882], [112060, -32904], [-136, -24]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3158/17, -122/17], [-448/17, -4/17], [0, 0]], [[0, 0], [-756337, -8605], [-107782, 1990], [-131, -55]], [[0, 0], [-34367513, 10122545], [-5251554, 1548438], [-63, -9]]], 0, 73728, [], [] >,
< [ -8, -1, 1 ], [[-4734656, -1995824]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [702, 296], [45192, 19050], [0, 0]], [[0, 0], [-237514, -200097/2], [-15284068, -6442808], [-4, 3/2]], [[0, 0], [-2372341, 1406981/2], [1172802, -347264], [-103497, 61381/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [562694/17, 242586/17], [1080/17, 6/17], [0, 0]], [[0, 0], [4937551351/17, -2928739297/34], [-411518714/17, 122029602/17], [-5, 3/2]], [[0, 0], [15345110/17, -4192364/17], [-1236908/17, 367072/17], [0, 0]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-4734656, -1995824]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-256, -108], [29924, 12614], [0, 0]], [[0, 0], [36833, 31043/2], [-4308778, -1816303], [-3, -3/2]], [[0, 0], [4143347, -2457297/2], [1306554, -387391], [196373, -116463/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [709182/17, 302686/17], [716/17, -10/17], [0, 0]], [[0, 0], [18893049/17, -5600465/17], [-1574374/17, 466942/17], [5, 1]], [[0, 0], [27, 27/2], [2, 1], [1, 1/2]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[20544, 8640]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [110, 18], [100, 4], [0, 0]], [[0, 0], [20217, 4787], [16930, 2086], [-37, -15]], [[0, 0], [-2086231, -148787], [-2080218, 111054], [2737, 1037]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, -10], [92, 20], [0, 0]], [[0, 0], [46457, -8375], [71262, 14814], [-27, -11]], [[0, 0], [-531328, 135264], [-479060, -6308], [116, 44]]], 0, 589824, [], [] >,
< [ -8, -1, 1 ], [[-3264, -1344]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, 12], [20, -16], [0, 0]], [[0, 0], [13, 0], [6, 0], [1, 0]], [[0, 0], [-10, -98], [-120, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3442, 102], [52, -8], [0, 0]], [[0, 0], [971176114/17, 147857593/17], [-11918776/17, 13946/17], [-4/17, 3/17]], [[0, 0], [-24499874149/17, -13351494086/17], [150778118/17, 121812152/17], [-195/17, -28/17]]], 0, 147456, [], [] >,
< [ -8, -1, 1 ], [[-576, -240]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, 18], [100, 10], [0, 0]], [[0, 0], [-451, -85/4], [-438, 15/2], [3, -5/4]], [[0, 0], [-502, -651/4], [-420, -243/2], [0, -3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [484, 134], [-4, -10], [0, 0]], [[0, 0], [3058163/17, 17960639/68], [-817518/17, 51339/34], [57/17, -1/68]], [[0, 0], [2064474468/17, 4230421223/68], [-123573460/17, -60835901/34], [9154/17, 9751/68]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-576, -240]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 6], [12, 6], [0, 0]], [[0, 0], [63, -49/2], [2, -19], [5, -1/2]], [[0, 0], [1033, -915/4], [702, 75/2], [29, -87/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [462, 98], [-20, -8], [0, 0]], [[0, 0], [10535082/17, -10394329/68], [-74536/17, -6431/34], [-106/17, -5/68]], [[0, 0], [-7234339829/17, 3796918127/68], [102566754/17, 54428565/34], [137959/17, 133931/68]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-3264, -1344]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-186, -6], [-44, 16], [0, 0]], [[0, 0], [18897, 9093], [-1798, -222], [-35, -15]], [[0, 0], [7280, 2042], [380, -328], [-10, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [362870/17, 6962/17], [528/17, 12/17], [0, 0]], [[0, 0], [2633118561/17, 122015331/17], [3829706/17, 189514/17], [-127, -53]], [[0, 0], [-29572321919/17, 3976612849/17], [-42820862/17, 5663366/17], [683, 279]]], 0, 147456, [], [] >,
< [ -8, -1, 1 ], [[-576, -240]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3620, -1526], [-12, 6], [0, 0]], [[0, 0], [56, 391/2], [63640, -18876], [2, -3/2]], [[0, 0], [-42945, -36135/2], [13998, -3494], [185, 155/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8595304/17, -3619018/17], [836/17, 2/17], [0, 0]], [[0, 0], [797029799/17, -236354419/17], [-66419038/17, 19695574/17], [3, -1]], [[0, 0], [-14882472/17, 8441865/34], [1217528/17, -361292/17], [-6, -5/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-576, -240]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5570, 2348], [-48, -6], [0, 0]], [[0, 0], [-3255, 711/2], [-696774, 206627], [5, 3/2]], [[0, 0], [14508, 10425/2], [364056, -108097], [-66, -55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1820826/17, 768960/17], [304/17, 10/17], [0, 0]], [[0, 0], [-428400925/17, 127038740/17], [35699390/17, -10586046/17], [1, 2]], [[0, 0], [-352696375/17, 209694505/34], [29430874/17, -8719953/17], [297, 253/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[23808, 9984]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [75, -27], [-13, 5], [0, 0]], [[0, 0], [535, 383], [-169, -97], [-24, -6]], [[0, 0], [-1869, -1021], [543, 267], [62, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82446486, -34754034], [50, -22], [0, 0]], [[0, 0], [5868929693, 2473963625], [4145, -703], [-10, 8]], [[0, 0], [-124178949585, -52345966431], [-189729, 45129], [720, -320]]], 0, 1769472, [], [] >,
< [ -8, -1, 1 ], [[23808, 9984]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1297, 547], [-47, -17], [0, 0]], [[0, 0], [-42351, -17847], [1377, 609], [4, -2]], [[0, 0], [-119541, -50381], [3927, 1707], [6, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18856630, 7948714], [-18, 6], [0, 0]], [[0, 0], [255404520, 107661902], [-4, -10], [6, -8]], [[0, 0], [-5560292271, -2343855523], [-99, 273], [-366, 244]]], 0, 1769472, [], [] >,
< [ -8, -1, 1 ], [[192, 48]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, -16], [20, -10], [0, 0]], [[0, 0], [-135, -123/2], [270, 111], [1, 1/2]], [[0, 0], [71, 95/4], [-114, -105/2], [-1, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [260, 122], [-76, -10], [0, 0]], [[0, 0], [-73810, -38146], [40408, -2444], [4, 0]], [[0, 0], [-388985703/17, -656348175/68], [62276394/17, 51861357/34], [7729/17, 12921/68]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[192, 48]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, -4], [-60, 0], [0, 0]], [[0, 0], [960, -3933/4], [752, -1187/2], [2, -1/4]], [[0, 0], [-133293, -222981/4], [-70774, -59087/2], [65, 111/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1236, 108], [-20, -8], [0, 0]], [[0, 0], [523484/17, -1725985/68], [-7448/17, 2213/34], [118/17, 3/68]], [[0, 0], [45269255/17, 18404918/17], [170506/17, 76282/17], [-5663/17, -2438/17]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[1344, 192]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, 70], [20, -4], [0, 0]], [[0, 0], [45, 0], [6, 0], [1, 0]], [[0, 0], [7532, 3152], [156, 72], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10642, -10], [-36, 0], [0, 0]], [[0, 0], [-26089075/17, -138442/17], [-88202/17, -344/17], [-3/17, -2/17]], [[0, 0], [130522, 62842], [440, 212], [0, 0]]], 0, 442368, [], [] >,
< [ -8, -1, 1 ], [[-653073600, -275293488]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8246, -3476], [105372, 44418], [0, 0]], [[0, 0], [163886, 138157/2], [-2097720, -884273], [2, -1/2]], [[0, 0], [-2022645, 1199571/2], [-3748846, 1111663], [-488335, 289617/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7965594/17, 3362706/17], [960/17, -6/17], [0, 0]], [[0, 0], [-1570096895/17, 931285463/34], [130849218/17, -38801601/17], [-3, -3/2]], [[0, 0], [-2108858233/17, 625345586/17], [175740134/17, -52113104/17], [1, 0]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-653073600, -275293488]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1670, 704], [28140, 11862], [0, 0]], [[0, 0], [-265, -227/2], [-14, -10], [-5, -3/2]], [[0, 0], [-6328123, 1876511], [-14472206, 4291518], [2145759, -636293]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6995700/17, -2945712/17], [708/17, 30/17], [0, 0]], [[0, 0], [6003305222/17, -3559736249/34], [-500208084/17, 148329262/17], [4, -5/2]], [[0, 0], [3951894591/17, -1172764695/17], [-329407930/17, 97681104/17], [9, 1]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[1344, 192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-106, 122], [60, 60], [0, 0]], [[0, 0], [-14535, 1065], [-5802, -950], [-55, -23]], [[0, 0], [332418, -98220], [69440, -20300], [14, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [47518/17, -542/17], [1500/17, 48/17], [0, 0]], [[0, 0], [-131004217/17, 7507745/17], [-4073538/17, 64590/17], [-51, -21]], [[0, 0], [-4438018891/17, 1278618209/17], [-126473410/17, 36138970/17], [-95, -15]]], 0, 442368, [], [] >,
< [ -8, -1, 1 ], [[-653073600, -275293488]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3620, -1526], [615180, 259320], [0, 0]], [[0, 0], [97375, 82103/2], [-16492858, -6952327], [1, 5/2]], [[0, 0], [65644134, -19465794], [-107358008, 31835402], [30255528, -8971828]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5924794/17, -2497972/17], [-120/17, -12/17], [0, 0]], [[0, 0], [8784971, -5210435/2], [-732154, 217111], [-3, -1/2]], [[0, 0], [-90698109/17, 53808975/34], [7559710/17, -2241809/17], [7, 5/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-653073600, -275293488]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7074, 2982], [295164, 124422], [0, 0]], [[0, 0], [3371930, 2842771/2], [140681592, 59302254], [0, 3/2]], [[0, 0], [3462173, -2053313/2], [-50130746, 14865510], [-4758611, 2822191/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2274550/17, 960172/17], [228/17, -18/17], [0, 0]], [[0, 0], [-699335891/17, 207364228/17], [58281806/17, -17282466/17], [1, 2]], [[0, 0], [806647299/17, -478181511/34], [-67215538/17, 19930662/17], [-23, -23/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[1344, 192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, -94], [24, -48], [0, 0]], [[0, 0], [-145311, -22155], [-84970, 2406], [89, 37]], [[0, 0], [40092210, -11112282], [38515712, -11150036], [-1566, -290]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8186, 10], [-24, 0], [0, 0]], [[0, 0], [-19761031/17, -20153161/17], [-59638/17, -59694/17], [-17, -7]], [[0, 0], [-117546736/17, 35757722/17], [-343488/17, 104548/17], [2, 0]]], 0, 442368, [], [] >,
< [ -8, -1, 1 ], [[4331520, 1825888]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3866, 1624], [18, 2], [0, 0]], [[0, 0], [314212, -93494], [311228, -92061], [-320, -135]], [[0, 0], [-72290, 21204], [-70830, 21204], [-280, -118]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [180, 66], [-24, -8], [0, 0]], [[0, 0], [-52254/17, 116/17], [-6378/17, -121/17], [384/17, 1/17]], [[0, 0], [-2418, 6240], [-166, 772], [16, -46]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1246846, 525602], [-2, -10], [0, 0]], [[0, 0], [16035448, -4752160], [-11685164, 3463488], [-2192, -924]], [[0, 0], [0, 0], [-8, 2], [-8, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-430, -26], [-18, 2], [0, 0]], [[0, 0], [11639970/17, 1782814/17], [424650/17, -12870/17], [-80/17, -8/17]], [[0, 0], [12306224/17, 954760/17], [500520/17, -48990/17], [-88/17, -2/17]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[21722579712, 9156831232]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [603602, 254438], [-254, -106], [0, 0]], [[0, 0], [-22420000, -9450864], [-12424, -5204], [-21768, -9176]], [[0, 0], [51641004, 21769120], [29192, 11854], [50192, 21158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-338, 18], [-18, -10], [0, 0]], [[0, 0], [-1087432/17, 375172/17], [29460/17, 2062/17], [-280/17, 6/17]], [[0, 0], [-40581800/17, 14221920/17], [1166260/17, 102380/17], [-10944/17, 48/17]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [925810, 390274], [-6, 10], [0, 0]], [[0, 0], [-47072588, 13955892], [-47064624, 13961130], [6704, 2826]], [[0, 0], [-640924260360, 190056581640], [-640959928088, 190067158158], [-728, 78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-414, -86], [26, 10], [0, 0]], [[0, 0], [-4245360/17, 967900/17], [71320/17, 1760/17], [-232/17, 4/17]], [[0, 0], [114421144/17, -25361988/17], [-1991340/17, -84010/17], [6440/17, -2/17]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[-4331520, -1825888]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1250, 528], [10, -2], [0, 0]], [[0, 0], [-103506, -43635], [-134, -36], [-14784, -6232]], [[0, 0], [148928, 62797], [300, 20], [21336, 8994]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-139050, -58632], [-10, -6], [0, 0]], [[0, 0], [40517968/17, 17022637/17], [12828/17, -1342/17], [216/17, 8/17]], [[0, 0], [-466847418/17, 138385459/17], [-55079182/17, 16332910/17], [-671280/17, 199058/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[4331520, 1825888]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [238, 94], [2, -6], [0, 0]], [[0, 0], [-10580, 3021], [5712, 10500], [16976, 7156]], [[0, 0], [30337008, -8995988], [32815960, -9731262], [-168, -126]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, 32], [8, -4], [0, 0]], [[0, 0], [201924/17, 90297/17], [-6416/17, -832/17], [216/17, 8/17]], [[0, 0], [804418/17, 313250/17], [-978/17, -9764/17], [-208/17, 326/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[192, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 4], [4, 0], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [-6, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6894/17, 62/17], [-124/17, 8/17], [0, 0]], [[0, 0], [-27, 0], [2, 0], [1, 0]], [[0, 0], [-8506/17, -2894/17], [-128/17, -40/17], [0, 0]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[192, 64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, -10], [20, 16], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [10, 14], [112, -56], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5058/17, 266/17], [216/17, 8/17], [0, 0]], [[0, 0], [41, 0], [2, 0], [1, 0]], [[0, 0], [-2576, -768], [140, 48], [0, 0]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[6900416, 2908768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2638, -1112], [688, 290], [0, 0]], [[0, 0], [-171393, -144495/2], [45370, 19128], [1, -1/2]], [[0, 0], [25983, -7717], [115154, -34144], [-35817, 10621]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4536990/17, 1869238/17], [-380/17, -4/17], [0, 0]], [[0, 0], [-5528620240/17, 3278813969/34], [19958732/17, -5918470/17], [4, -1/2]], [[0, 0], [-3278813959/17, 972303181/17], [11836938/17, -3510064/17], [1, -1]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[6900416, 2908768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7634, 3218], [816, 344], [0, 0]], [[0, 0], [-242775, -102339], [-25754, -10856], [3, 1]], [[0, 0], [96399, -57167/2], [-23214, 6884], [31863, -18897/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3235878/17, -1400174/17], [-300/17, 4/17], [0, 0]], [[0, 0], [43205361426/17, -25623882551/34], [-155975920/17, 46252352/17], [-2, -1/2]], [[0, 0], [-104440800301/17, 61941332021/34], [377043358/17, -111806676/17], [15, 11/2]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-832, -352]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1626, -692], [-1580, -666], [0, 0]], [[0, 0], [-97661, -164159/4], [-94226, -79429/2], [5, -3/4]], [[0, 0], [-733369, 906321/4], [-17374, 27915/2], [16695, -19803/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76526, -32262], [-3644, -1536], [0, 0]], [[0, 0], [-32907/17, -26671/68], [-1046/17, -573/34], [21/17, 5/68]], [[0, 0], [-3843956/17, -1713391/17], [-141564/17, -61668/17], [1672/17, 803/17]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-832, -352]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1718, 732], [1656, 698], [0, 0]], [[0, 0], [-619840, -1031997/4], [-589260, -496839/2], [0, -1/4]], [[0, 0], [596241, -713777/4], [-6870, 937/2], [-43, 51/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [69826, 29772], [3364, 1418], [0, 0]], [[0, 0], [4363707251/17, -5203656199/68], [-1038630/17, -50221/34], [35/17, -3/68]], [[0, 0], [-154241414217/17, 85005198091/34], [-197163714/17, -97241859/17], [5529/17, 5723/34]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-1984, -832]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-451770, -190442], [-12, 0], [0, 0]], [[0, 0], [-996605, -420132], [-70, 8], [-3, -2]], [[0, 0], [-160837, 95433/2], [196142, -58163], [-2713, 1609/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1516, -52], [12, 4], [0, 0]], [[0, 0], [1570335/17, -691415/34], [-3430/17, 133/17], [53/17, -3/34]], [[0, 0], [111442430/17, 13608750/17], [-551696/17, -180276/17], [8800/17, 2920/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-1984, -832]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1094006, 461182], [0, -20], [0, 0]], [[0, 0], [-82966415, -69945173/2], [3062, 607], [1, -5/2]], [[0, 0], [-429729664, 127442136], [435322804, -129088520], [1857520, -550820]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1694, 114], [-8, -8], [0, 0]], [[0, 0], [-1350861/17, 1564053/34], [-23478/17, 549/17], [-9/17, 5/34]], [[0, 0], [-21268, -9152], [364, 152], [0, 0]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-81042368, -34162208]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4626, -1950], [-12260, -5168], [0, 0]], [[0, 0], [23619, 19899/2], [60938, 25710], [3, -5/2]], [[0, 0], [271864, -80619], [-901932, 267450], [151176, -44829]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10360406/17, 4433392/17], [-552/17, 6/17], [0, 0]], [[0, 0], [43215316817/17, -25629752725/34], [156011682/17, -46262998/17], [-1, -1/2]], [[0, 0], [631225788/17, -187148810/17], [2278628/17, -675694/17], [0, 0]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-81042368, -34162208]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31428, 13248], [36220, 15268], [0, 0]], [[0, 0], [6304, 2657], [7532, 3174], [2, 1]], [[0, 0], [-25739, 15265/2], [-68626, 20350], [10621, -6299/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18671028/17, 7795472/17], [652/17, 4/17], [0, 0]], [[0, 0], [14195054924/17, -4209339623/17], [51245884/17, -15196110/17], [2, 1]], [[0, 0], [-99532845, 59034325/2], [-359382, 106536], [-13, -11/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-1984, -832]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 40], [44, -16], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [2954, 1246], [-132, -60], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2554/17, 14/17], [-856/17, -4/17], [0, 0]], [[0, 0], [27, 0], [2, 0], [1, 0]], [[0, 0], [-9062694/17, -3800074/17], [3029340/17, 1270200/17], [0, 0]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[-1984, -832]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [28, 16], [0, 0]], [[0, 0], [-1, 0], [2, 0], [1, 0]], [[0, 0], [50, 22], [-496, -208], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7090/17, -90/17], [568/17, 16/17], [0, 0]], [[0, 0], [-41, 0], [2, 0], [1, 0]], [[0, 0], [-8300200/17, -3475016/17], [-760060/17, -318664/17], [0, 0]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[576, 192]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2378386, 1002582], [68, 20], [0, 0]], [[0, 0], [-528048733, 313176507/2], [528071922, -156591909], [3, 3/2]], [[0, 0], [58982574, -34970379/2], [-58977432, 17488857], [6, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [706, -154], [12, 12], [0, 0]], [[0, 0], [-12513335/17, 4087678/17], [338714/17, 344/17], [-31/17, 2/17]], [[0, 0], [2033996378/17, 1825856293/34], [565552240/17, 237555397/17], [-40402/17, -33883/34]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[576, 192]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1997506, -842042], [-64, -4], [0, 0]], [[0, 0], [2339070986, -1387261993/2], [-2339127920, 693633691], [-2, -1/2]], [[0, 0], [-1586401861, 942695195/2], [1587712830, -470813097], [99, 83/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [306, 58], [8, -4], [0, 0]], [[0, 0], [-5406642/17, -3043887/17], [182872/17, -2582/17], [10/17, 1/17]], [[0, 0], [2635080347/17, 2223891075/34], [-29472246/17, -12302073/17], [-2257/17, -1893/34]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[-192, -96]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 0], [-64, -10], [0, 0]], [[0, 0], [-2121, 1185/4], [-11194, 331/2], [-1, 5/4]], [[0, 0], [-92057, -152163/4], [-866982, -724653/2], [259, 441/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-236, -176], [4, -8], [0, 0]], [[0, 0], [2892555/17, 3025033/68], [152158/17, -1525/34], [89/17, 5/68]], [[0, 0], [19030243690/17, 8029091601/17], [521883120/17, 220997700/17], [325304/17, 137689/17]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[-192, -96]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, -32], [-28, -4], [0, 0]], [[0, 0], [-3511, 5245/4], [-5874, 3615/2], [5, 1/4]], [[0, 0], [-205299, -85195], [-52326, -19992], [-1305, -551]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1452, 34], [-28, 2], [0, 0]], [[0, 0], [28268963/17, 2241679/68], [523938/17, -33147/34], [101/17, 3/68]], [[0, 0], [68556472974/17, 28985498597/17], [1063306068/17, 450030174/17], [235312/17, 99511/17]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[192, 96]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-125886, -53064], [-8, -2], [0, 0]], [[0, 0], [1993927, -1183165/2], [1989214, -589872], [5, -3/2]], [[0, 0], [-7178, -224], [-3892, 1154], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3869814/17, 1633044/17], [-20/17, -2/17], [0, 0]], [[0, 0], [-993, 372], [-14, 6], [-5, 2]], [[0, 0], [15199/17, -4243/34], [262/17, -18/17], [5, -1/2]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[192, 96]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51476, -21698], [12, 6], [0, 0]], [[0, 0], [-151137, 89577/2], [-150706, 44682], [3, -5/2]], [[0, 0], [370276, -220657/2], [369832, -109808], [-54, -27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38788262/17, 16429202/17], [-692/17, -8/17], [0, 0]], [[0, 0], [-601080555013/17, 178241272244/17], [-2169964278/17, 643470700/17], [-1, 0]], [[0, 0], [-43147065391/17, 25590403171/34], [-155768406/17, 46190854/17], [1, 1/2]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[576, 192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, -50], [56, -4], [0, 0]], [[0, 0], [9, 0], [2, 0], [1, 0]], [[0, 0], [662, 242], [-660, -288], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-922/17, 122/17], [-368/17, 4/17], [0, 0]], [[0, 0], [129, 0], [2, 0], [1, 0]], [[0, 0], [-6268/17, -1708/17], [-3892/17, -1348/17], [0, 0]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[576, 192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, -6], [44, 20], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [-16, 8], [60, 24], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1412, 4], [12, 0], [0, 0]], [[0, 0], [-75, 0], [2, 0], [1, 0]], [[0, 0], [446442/17, 148878/17], [-3824/17, -1280/17], [0, 0]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[5952, 2496]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14694, 6198], [-28, -16], [0, 0]], [[0, 0], [1214215, -357314], [-1281890, 380116], [-5, 2]], [[0, 0], [-33206, 47135/2], [55336, -16457], [4, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1838, -110], [68, 8], [0, 0]], [[0, 0], [97871903/17, -6130333/17], [-3418278/17, 30054/17], [7/17, -1/17]], [[0, 0], [2925089401/17, 2162977097/34], [-123163350/17, -47213595/17], [145/17, 97/34]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[5952, 2496]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1902, -786], [56, 8], [0, 0]], [[0, 0], [-218713, 63977], [215370, -63846], [-5, 1]], [[0, 0], [1139259, -468729/2], [-988434, 290895], [99, 55/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5884, 200], [20, -16], [0, 0]], [[0, 0], [723973/17, 77269361/34], [832698/17, 3873/17], [-49/17, -3/34]], [[0, 0], [413648687/17, 434136037/34], [3592806/17, 1127769/17], [-225/17, -147/34]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[2496, 1056]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, 22], [-28, -10], [0, 0]], [[0, 0], [-1775, 2059/4], [-98, -19/2], [1, -1/4]], [[0, 0], [46, 10], [124, 52], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [354, 78], [4, 4], [0, 0]], [[0, 0], [56881/17, 430579/68], [9702/17, 441/34], [-11/17, -1/68]], [[0, 0], [123725, 95389/2], [2634, 1317], [-3, -3/2]]], 0, 13824, [], [] >,
< [ -8, -1, 1 ], [[2496, 1056]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, 28], [-12, -6], [0, 0]], [[0, 0], [-21, -1857/4], [642, 525/2], [3, -5/4]], [[0, 0], [-661, -2177/2], [1742, 719], [5, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2306, 212], [4, 10], [0, 0]], [[0, 0], [10553585/17, -31589267/34], [-525154/17, 443/17], [-63/17, 1/34]], [[0, 0], [-2624113000/17, -3702847729/68], [-26339140/17, -26160131/34], [-3070/17, -6141/68]]], 0, 13824, [], [] >,
< [ -8, -1, 1 ], [[-960, 192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [66, -18], [36, 24], [0, 0]], [[0, 0], [3, 0], [-2, -4], [1, 0]], [[0, 0], [-410, 130], [336, 84], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27724/17, -508/17], [1092/17, 48/17], [0, 0]], [[0, 0], [3073/17, -14/17], [74/17, 4/17], [1, 0]], [[0, 0], [1582434/17, 663174/17], [-67380/17, -28260/17], [0, 0]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[1219282814400, 513970582848]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-392010, -165246], [-7460616, -3144912], [0, 0]], [[0, 0], [-9, 0], [-2, -4], [1, 0]], [[0, 0], [489302, 206258], [9151692, 3857760], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-21362/17, 322/17], [-852/17, -24/17], [0, 0]], [[0, 0], [-395/17, -14/17], [74/17, 4/17], [1, 0]], [[0, 0], [11932734/17, 4996986/17], [548568/17, 230052/17], [0, 0]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[-11178558912, -4712155680]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [277054, 116788], [295164, 124422], [0, 0]], [[0, 0], [48512595, 40899465/2], [51692222, 21790114], [5, -3/2]], [[0, 0], [4722, -1368], [7056, -2058], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18120566/17, -7656932/17], [144/17, -6/17], [0, 0]], [[0, 0], [-4470489822/17, 2651298891/34], [-16138860/17, 4785730/17], [4, -5/2]], [[0, 0], [683090119/17, -402811057/34], [2462126/17, -728734/17], [263, 223/2]]], 0, 13824, [], [] >,
< [ -8, -1, 1 ], [[-11178558912, -4712155680]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [615626, 259508], [464004, 195594], [0, 0]], [[0, 0], [-10256601, -4323522], [-7730130, -3258532], [1, 2]], [[0, 0], [1465005, -868851/2], [3293606, -976670], [-488335, 289617/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-123288086/17, -52047068/17], [672/17, 6/17], [0, 0]], [[0, 0], [291469073973/17, -172861416705/34], [1052233858/17, -312024366/17], [-3, -5/2]], [[0, 0], [-1085834123737/17, 643896386245/34], [-3919765762/17, 1162356520/17], [1537, 1305/2]]], 0, 13824, [], [] >,
< [ -8, -1, 1 ], [[-960, 192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 6], [12, 0], [0, 0]], [[0, 0], [3, 0], [6, 4], [1, 0]], [[0, 0], [10, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34430/17, 26/17], [732/17, 12/17], [0, 0]], [[0, 0], [-2155/17, 14/17], [-6/17, -4/17], [1, 0]], [[0, 0], [-54089928/17, -22668984/17], [-1210116/17, -507408/17], [0, 0]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[1219282814400, 513970582848]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2595290, 1094006], [3550992, 1496868], [0, 0]], [[0, 0], [-9, 0], [6, 4], [1, 0]], [[0, 0], [1783576, 751840], [2464620, 1038924], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44802/17, 390/17], [-648/17, -24/17], [0, 0]], [[0, 0], [1313/17, 14/17], [-6/17, -4/17], [1, 0]], [[0, 0], [-44584696/17, -18678208/17], [704340/17, 295344/17], [0, 0]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[-11178558912, -4712155680]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [248914, 104926], [390060, 164424], [0, 0]], [[0, 0], [-64057542, -54005049/2], [-100391440, -42318546], [2, -1/2]], [[0, 0], [6648207, -3942693/2], [8830374, -2618390], [488335, -289617/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51885854/17, -21935384/17], [588/17, 18/17], [0, 0]], [[0, 0], [3572233626/17, -2118608283/34], [12896376/17, -3824248/17], [4, -3/2]], [[0, 0], [-1619/17, -1609/34], [-62/17, -30/17], [-1, -1/2]]], 0, 13824, [], [] >,
< [ -8, -1, 1 ], [[-11178558912, -4712155680]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [412516, 173890], [464004, 195594], [0, 0]], [[0, 0], [-9933762, -8374845/2], [-11177960, -4711930], [0, -5/2]], [[0, 0], [17224317, -10215231/2], [-61436126, 18217972], [-5735281, 3401425/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [227678058/17, 95934456/17], [384/17, 18/17], [0, 0]], [[0, 0], [-261356596861/17, 155002969837/34], [-943526314/17, 279788744/17], [-1, 1/2]], [[0, 0], [44510645965/17, -26421452761/34], [160744170/17, -47668630/17], [-53, -45/2]]], 0, 13824, [], [] >,
< [ -8, -1, 1 ], [[8086910720, 3408917248]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [179266, 75566], [-26, -6], [0, 0]], [[0, 0], [2049422, -607858], [-11002722, 3271150], [-11776, -4964]], [[0, 0], [-4056456544, 1202882016], [21799226968, -6464237614], [328, 142]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-476, -112], [-32, -8], [0, 0]], [[0, 0], [68538/17, 7306/17], [13834/17, 564/17], [-848/17, -10/17]], [[0, 0], [-5076734/17, -2157350/17], [-855558/17, -364876/17], [47880/17, 20462/17]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[1792, 768]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 8], [-12, -4], [0, 0]], [[0, 0], [-10, 14], [-5750, -2420], [-1912, -806]], [[0, 0], [-7966, 2362], [-1562, 542], [48, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [364, -80], [-8, 8], [0, 0]], [[0, 0], [-30206, 13854], [3062, 82], [8, 0]], [[0, 0], [5864208/17, 2323644/17], [1134392/17, 484930/17], [2712/17, 1162/17]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[8086910720, 3408917248]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-626818, -264226], [50, 22], [0, 0]], [[0, 0], [32363590, 13642350], [-14730, -5986], [11776, 4964]], [[0, 0], [-16779584, -7072876], [9992, 2542], [-6296, -2654]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1354, -98], [-34, -6], [0, 0]], [[0, 0], [64013952/17, -6895488/17], [1397656/17, -17022/17], [-808/17, -6/17]], [[0, 0], [1276420968, 556728104], [42360052, 18190332], [-26208, -11232]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[1792, 768]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -22], [-26, -6], [0, 0]], [[0, 0], [-2392, -144], [-12748, -6390], [13688, 5770]], [[0, 0], [-3171000, 939900], [3720972, -1108322], [6528, 2822]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 62], [-10, -6], [0, 0]], [[0, 0], [91410/17, -17838/17], [-10018/17, 110/17], [-176/17, -4/17]], [[0, 0], [36192/17, 15288/17], [-11368/17, -4802/17], [-232/17, -98/17]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[74141952, 31253440]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28330, 11946], [-14, -2], [0, 0]], [[0, 0], [355980, -106044], [356016, -105554], [-24, -10]], [[0, 0], [693472, -205344], [691760, -205143], [16, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [302, 30], [-18, -2], [0, 0]], [[0, 0], [913392/17, -88752/17], [-54276/17, 4684/17], [-96/17, 4/17]], [[0, 0], [93600192/17, 38830104/17], [-5861264/17, -2434329/17], [-12544/17, -5229/17]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[74141952, 31253440]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16690, -7034], [-122, -50], [0, 0]], [[0, 0], [-1642800, -692502], [-11712, -4941], [-64, -27]], [[0, 0], [152892, 64444], [1104, 460], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [474, 90], [-30, -10], [0, 0]], [[0, 0], [169572/17, -28290/17], [-5476/17, 95/17], [-16/17, -5/17]], [[0, 0], [-354, -110], [26, 10], [0, 0]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[64, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7710, -3250], [-4, 8], [0, 0]], [[0, 0], [642189, 541421/2], [-1378, -172], [3, -5/2]], [[0, 0], [-5802, 686], [-341864, 101376], [3116, -924]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1772548/17, -747156/17], [12/17, 8/17], [0, 0]], [[0, 0], [-1185/17, -1776/17], [-18/17, 22/17], [-1, -2]], [[0, 0], [-2545/17, 783/34], [50/17, -12/17], [-3, 1/2]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[320, 128]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6178, -2610], [-6092, -2568], [0, 0]], [[0, 0], [-192505, -324761/4], [-189658, -159871/2], [-3, 3/4]], [[0, 0], [9885, -11725/4], [11862, -7035/2], [1977, -2345/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [236, 8], [-4, 0], [0, 0]], [[0, 0], [-109669/17, 3607/34], [2030/17, -35/17], [29/17, -1/34]], [[0, 0], [-3566301/17, 143603/68], [66010/17, -1435/34], [943/17, -41/68]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[320, 128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8118, -3422], [20, 20], [0, 0]], [[0, 0], [-3, -49], [37550, -11138], [1, -1]], [[0, 0], [-248, -199/2], [-4060, 1192], [-4, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2648718/17, -1121070/17], [-860/17, 16/17], [0, 0]], [[0, 0], [-106255926, 63015161/2], [8854592, -2625692], [4, 1/2]], [[0, 0], [1529335515/17, -907217163/34], [-127456794/17, 37796038/17], [13, 13/2]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[192, 0]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86, 2], [40, -8], [0, 0]], [[0, 0], [-1486, 999/4], [-864, 453/2], [-2, 3/4]], [[0, 0], [11571, 19613/4], [1770, 1527/2], [-9, -15/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [248, 4], [-12, 0], [0, 0]], [[0, 0], [-478362/17, 57933/68], [36232/17, -2005/34], [28/17, 1/68]], [[0, 0], [276048723/17, 108915942/17], [-21100946/17, -8333900/17], [-18395/17, -7356/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[192, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-113452, -47824], [-44, 4], [0, 0]], [[0, 0], [6162, 5247/2], [-101496, 30100], [0, 1/2]], [[0, 0], [15, -9/2], [-34, 10], [5, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14293404/17, 6021768/17], [-692/17, -8/17], [0, 0]], [[0, 0], [-19142192625/17, 11352649059/34], [1595184610/17, -473028198/17], [-1, 5/2]], [[0, 0], [147627049618/17, -87553044475/34], [-12302266644/17, 3648053304/17], [0, -45/2]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-960, -384]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [210, 18], [68, 8], [0, 0]], [[0, 0], [-156410, -5383/2], [-49912, -2473], [4, 1/2]], [[0, 0], [3615723, -2590083/4], [1096074, -351081/2], [-77, 33/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, 214], [32, -16], [0, 0]], [[0, 0], [-726797/17, -267311/17], [82470/17, -474/17], [95/17, 1/17]], [[0, 0], [347914447/17, 509857147/68], [-40067070/17, 852477/34], [-46125/17, -1025/68]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-191341648704, -80657233536]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38170, 16090], [-10048272, -4235700], [0, 0]], [[0, 0], [-704811, -594183/2], [186680410, 78692364], [3, 5/2]], [[0, 0], [-52226143276, 15486888035], [-30486593368, 9040347008], [-5801360114, 1720307281]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-171659270/17, -72355934/17], [972/17, 36/17], [0, 0]], [[0, 0], [41491993107/17, -24608109141/34], [-3457701482/17, 1025330080/17], [1, -1/2]], [[0, 0], [-11171955697/17, 3310966421/17], [930777154/17, -276008166/17], [-3, -1]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-191341648704, -80657233536]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [141146, 59498], [2587656, 1090788], [0, 0]], [[0, 0], [-1731679, -1459925/2], [-32134342, -13545754], [1, -1/2]], [[0, 0], [393082323, -116562732], [423767278, -125661906], [-333680027, 98947862]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-109180922/17, -46026482/17], [-684/17, -48/17], [0, 0]], [[0, 0], [3325349624/17, -1972178825/34], [-277111596/17, 82173352/17], [-4, 3/2]], [[0, 0], [-62357325/17, 18603843/17], [5209062/17, -1544978/17], [-7, -3]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[13056, 5504]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -22], [-18, -6], [0, 0]], [[0, 0], [-222, 438], [-3702, -1603], [-1336, -563]], [[0, 0], [-274986, 81594], [21462, -6735], [-272, -51]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [712, -16], [-28, 4], [0, 0]], [[0, 0], [901820/17, 77568/17], [-32660/17, 321/17], [656/17, 1/17]], [[0, 0], [-19537458/17, -9255426/17], [502710/17, 259388/17], [-10584/17, -5390/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[13056, 5504]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, -4], [24, 0], [0, 0]], [[0, 0], [1062, 418], [1774, 733], [-672, -283]], [[0, 0], [14934, -4978], [6518, -2877], [360, 255]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [474, 90], [-30, -10], [0, 0]], [[0, 0], [-426038/17, 47894/17], [57822/17, 94/17], [992/17, 4/17]], [[0, 0], [90527500/17, 53699000/17], [-22343020/17, -11076835/17], [-386960/17, -191407/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[13056, 5504]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 36], [40, 16], [0, 0]], [[0, 0], [270, -212], [-466, -185], [-192, -81]], [[0, 0], [128, 54], [192, 81], [64, 27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-452, -4], [40, 0], [0, 0]], [[0, 0], [-3248/17, -6948/17], [7128/17, 468/17], [-232/17, 4/17]], [[0, 0], [593182/17, 235292/17], [-177434/17, -81507/17], [4312/17, 2087/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[13056, 5504]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [110, 58], [94, 42], [0, 0]], [[0, 0], [8032, -1404], [3448, 476], [-408, -172]], [[0, 0], [25388, -8086], [4192, -2067], [216, 91]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -62], [2, 6], [0, 0]], [[0, 0], [-344934/17, -8072/17], [-37618/17, 801/17], [-792/17, -1/17]], [[0, 0], [47738190/17, 22956016/17], [4370562/17, 2185955/17], [100896/17, 49397/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[344, 145]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, 12], [10, -1], [0, 0]], [[5, -5/2], [6468, -1099/2], [3381, -1797/2], [5, -5/2]], [[-28, -21/2], [34086, 15299], [1772, 1407], [-28, -21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-820, -693/2], [6, 5/2], [0, 0]], [[3, 2], [31980/17, -9620/17], [-9/17, -6/17], [3/17, 2/17]], [[223, 167/2], [-468994/17, 263973/34], [-669/17, -501/34], [223/17, 167/34]]], 1, 6, [], [] >,
< [ -8, -1, 1 ], [[344, 145]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-6, 0], [8, 3/2], [8, 3/2], [-6, 0]], [[26, 15/2], [-50, -37/2], [-50, -37/2], [26, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-506, -375/2], [-10, -5/2], [0, 0]], [[-192, -1/2], [960019/17, -541315/34], [61368/17, -36037/34], [-192/17, -1/34]], [[-125050, -91225/2], [111138454/17, -25535635/34], [5754766/17, -2896757/34], [-125050/17, -91225/34]]], 1, 8, [], [] >,
< [ -8, -1, 1 ], [[-24, -11]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [162, 67], [-12, -2], [0, 0]], [[-8, 5/2], [6920, -6359/2], [-20024, 11985/2], [-8, 5/2]], [[30, 14], [-280304, -239135/2], [9042, 14297/2], [30, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1812, 1407/2], [-20, -3/2], [0, 0]], [[54, 2], [-634074956/17, 375188525/34], [72786698/17, -43162587/34], [54/17, 2/17]], [[-2456, -2249/2], [-2659915106/17, 1666231705/34], [312347756/17, -185762997/34], [-2456/17, -2249/34]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[-24, -11]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 7/2], [4, -3/2], [0, 0]], [[-2, 5/2], [-66, -1/2], [-38, 21/2], [-2, 5/2]], [[6, 5/2], [-66, -28], [-2, -1], [6, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [582, 23/2], [44, 1/2], [0, 0]], [[66, 3/2], [-18866636/17, -2583997/34], [-1421058/17, -170383/34], [66/17, 3/34]], [[4420, 4063/2], [-85996874, -38756408], [-6313504, -2854657], [260, 239/2]]], 0, 48, [], [] >,
< [ -8, -1, 1 ], [[16, 18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 1/2], [820, 697/2], [4, 1/2], [0, 0]], [[548, -325/2], [-1278, 783/2], [548, -325/2], [10, 1]], [[-580, 172], [1500, -705/2], [-580, 172], [36, 37/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, -1/2], [-6147124/17, -5187545/34], [12/17, -1/34], [0, 0]], [[-1921880, 569905], [-879451466/17, 521593061/34], [-1921880/17, 569905/17], [2, 3/2]], [[-3412860, 1012033], [-1561729338/17, 463117948/17], [-3412860/17, 1012033/17], [2, 2]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[-128, -54]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -5/2], [8, 3/2], [-6, -5/2], [0, 0]], [[0, 0], [95/2, -16], [-5, -2], [-5/2, -1]], [[0, 0], [-471/2, 70], [1, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[192, 1/2], [-107210/17, -45837/34], [192/17, 1/34], [0, 0]], [[-18865876, 5595313], [10447087845/34, -3099675307/34], [-18865859/17, 5595262/17], [1/2, -3/2]], [[-246798454, 73202044], [68327749419/17, -40556711893/34], [-246798624/17, 73201211/17], [-5, -49/2]]], 1, 6, [], [] >,
< [ -8, -1, 1 ], [[-128, -54]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, -3/2], [-14, -21/2], [8, -3/2], [0, 0]], [[66, -39/2], [117/2, -19], [66, -39/2], [3/2, -1/2]], [[8, -5/2], [23/2, -1/2], [8, -5/2], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[158, 1/2], [1964/17, 38279/34], [158/17, 1/34], [0, 0]], [[-1720216, 510117], [953084647/34, -282611703/34], [-1720216/17, 510117/17], [5/2, -5/2]], [[-1979840, 587144], [1097005865/34, -162626682/17], [-1979840/17, 587144/17], [-9/2, -6]]], 1, 8, [], [] >,
< [ -8, -1, 1 ], [[-208, -106]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28622, 24135/2], [-2, 3/2], [0, 0]], [[-20, 5/2], [-1260268, 724639/2], [-1256480, 372590], [-10, 5/4]], [[1408, 596], [4406522, 4120313/2], [-284750, 169175/2], [704, 298]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11290, -4772], [-2, 1], [0, 0]], [[-28, -5/2], [553076, -322859/2], [-78696, 23336], [-14, -5/4]], [[12084, 10229/2], [-1668534, -1579957], [-174690, 103815/2], [6042, 10229/4]]], 0, 3072, [], [] >,
< [ -8, -1, 1 ], [[368, 158]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29333, 24705/2], [-3, 1/2], [0, 0]], [[16, -1], [-2409216, 702163], [340672, -101021], [8, -1/2]], [[-208, -481/2], [-45829516, 29158059/2], [6722800, -1993565], [-104, -481/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1820, 1317/2], [4, 5/2], [0, 0]], [[-136, 0], [52679671, -15141662], [50455, -39], [-4, 0]], [[13416, 30315/2], [141165791628/17, -91460366565/34], [-84021808/17, -95457066/17], [6708/17, 30315/68]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[32, 14]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -11/2], [2, -1/2], [0, 0]], [[3, 1], [-481/4, -249/4], [-25/4, 15/4], [3/2, 1/2]], [[15, 3/2], [-539/4, -1065/4], [-611/4, 205/4], [15/2, 3/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [228, 29/2], [0, -3/2], [0, 0]], [[-93, -5/2], [-178429/68, 438109/68], [-20613/68, 827/68], [-93/34, -5/68]], [[0, -4182], [4589359/2, 107158], [14311/2, -12929], [0, -123]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[32, 14]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [55/4, 15/4], [7/4, -1/4], [0, 0]], [[-2, -5/2], [-20, 57/2], [-20, 7], [-1, -5/4]], [[144, 9], [-2132, 509/2], [-696, 377/2], [72, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [117, -133/2], [1, -1/2], [0, 0]], [[-12, 1/2], [-144589/68, -2241/68], [-1229/68, 25/68], [-6/17, 1/68]], [[6, 25/2], [36355/17, 41401/17], [211/17, 661/34], [3/17, 25/68]]], 1, 16, [], [] >,
< [ -8, -1, 1 ], [[368, 158]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[20, 1/2], [-2892, -2447/2], [20, 1/2], [0, 0]], [[-5640264, 1672650], [-3194946, 1821401/2], [-5640276, 1672649], [-6, -1/2]], [[-70959672, 41851215/2], [13041948, 33833142], [-70953224, 41856753/2], [3224, 2769/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-280, -5/2], [767068/17, 544689/34], [-280/17, -5/34], [0, 0]], [[-38692368, 11473644], [17081100910/17, -10130252751/34], [-38692572/17, 11473627/17], [-6, -1/2]], [[249317640, -73933470], [-110049058584/17, 32644598853/17], [249259976/17, -73958222/17], [-1696, -728]]], 0, 1536, [], [] >,
< [ -8, -1, 1 ], [[1504, 634]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[20, -5/2], [50, 17/2], [20, -5/2], [0, 0]], [[-2466, 1467/2], [-2820, 854], [-2466, 1447/2], [0, 5/2]], [[0, 0], [-19/2, -4], [38, 16], [-19/2, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-76, -28], [2374/17, 2121/17], [-76/17, -28/17], [0, 0]], [[1410, 1455/2], [-136872/17, -41787/34], [1546/17, 1183/34], [-2, 2]], [[860, 835/2], [-142853/34, -29825/34], [894/17, 699/34], [-1/2, 1]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[1504, 634]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 2], [-2, -1], [8, 2], [0, 0]], [[14, -1], [-1/2, -1], [15, -1], [1/2, 0]], [[10, 11/2], [-4, -3/2], [10, 11/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-34, -17/2], [-3910, -3107/2], [-2, -1/2], [0, 0]], [[2016, 885], [10271925/34, 4349137/34], [1999/17, 868/17], [-1/2, -1/2]], [[498, 468], [4080271/34, 930285/17], [583/17, 434/17], [5/2, -1]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-2736, -1158]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2538, -2133/2], [-2, 5/2], [0, 0]], [[-4, -3/2], [-214506, 128207/2], [-214398, 63576], [-2, -3/4]], [[0, 0], [-4182, 1234], [-4158, 1233], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27852, -23573/2], [-12, 3/2], [0, 0]], [[12, -5/2], [9951170, -5906623/2], [-1422274, 421754], [6, -5/4]], [[-568, -290], [68067980, -19127905], [-9514916, 2821618], [-284, -145]]], 0, 12288, [], [] >,
< [ -8, -1, 1 ], [[-48, -54]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31153, 13149], [1, -2], [0, 0]], [[8, -5/2], [-597304, 176806], [85452, -50679/2], [4, -5/4]], [[-228, -98], [-761470, -366311/2], [27522, -16263/2], [-114, -49]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1025, -21/2], [9, 3/2], [0, 0]], [[124, 1/2], [-15150214/17, 4427609/34], [-103714/17, -457/17], [62/17, 1/68]], [[416304, 357481/2], [-24977771174/17, -11069521262/17], [-348639402/17, -299365509/34], [208152/17, 357481/68]]], 0, 3072, [], [] >,
< [ -8, -1, 1 ], [[-384, -162]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -3/2], [6, -3/2], [0, 0]], [[3, -2], [-805/4, -411/4], [-45/4, 45/4], [3/2, -1]], [[-481, -429/2], [-290707/4, -122801/4], [13861/4, 6073/4], [-481/2, -429/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-467/2, 7], [-11/2, -1], [0, 0]], [[8, 5/2], [9939861/17, -3391127/34], [176237/17, 707/17], [4/17, 5/68]], [[161, 141/2], [70241583/68, 100619241/68], [5919239/68, 3382955/68], [161/34, 141/68]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[-384, -162]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -4], [5, -1], [0, 0]], [[-6, -1/2], [509/4, 79/4], [-243/4, 57/4], [-3, -1/4]], [[306, 261/2], [-7706, -6547/2], [466, 226], [153, 261/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1155/4, -379/4], [-3/4, -3/4], [0, 0]], [[42, 5/2], [929999/68, 898873/68], [23775/68, 567/68], [21/17, 5/68]], [[-3534, -3097/2], [-143362813/34, -59452583/34], [-895357/34, -197852/17], [-1767/17, -3097/68]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[-48, -54]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[52, 1], [-66504, -28026], [52, 1], [0, 0]], [[99543812, -59036501/2], [-36955010, 21973577/2], [99543832, -59036505/2], [10, -1]], [[-1111591328, 659250647/2], [415519874, -121486816], [-1111591156, 659251025/2], [86, 189/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[240, -3/2], [-68697364/17, -58005749/34], [240/17, -3/34], [0, 0]], [[12330427000, -7312810405/2], [5346798125370/17, -3171037975875/34], [12330427204/17, -7312810337/34], [6, 1]], [[-13295083992, 3942459939], [-5765115029214/17, 3419106890559/34], [-13295083924/17, 3942460024/17], [2, 5/2]]], 0, 3072, [], [] >,
< [ -8, -1, 1 ], [[-384, -162]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[34, 5/2], [308, 235/2], [34, 5/2], [0, 0]], [[-224600, 66550], [-470437/2, 137801/2], [-224610, 66540], [5/2, 5/2]], [[-403200, 119400], [-847521/2, 122985], [-403242, 119372], [21/2, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[102, 0], [-32800, -14527], [6, 0], [0, 0]], [[-4204364, 2493497/2], [-2329659877/34, 690636449/34], [-4204398/17, 2493769/34], [1/2, -2]], [[66403014, -39381783/2], [36792514137/34, -5454252480/17], [66404680/17, -39385115/34], [-49/2, 49/2]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[-384, -162]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1/2], [178, 149/2], [2, 1/2], [0, 0]], [[0, 0], [-4, 8], [-4, -2], [-2, -1]], [[0, 0], [-31/2, 4], [1, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[270, 3/2], [625114/17, 464795/34], [270/17, 3/34], [0, 0]], [[-3043058, 1804739/2], [-1685848471/34, 249938884/17], [-3043109/17, 1804569/34], [-3/2, -5/2]], [[0, 0], [-75/2, 0], [1, 0], [1/2, 0]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[3000, 1263]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[40, 1], [-5800, -2434], [40, 1], [0, 0]], [[-1309336, 388262], [901092, -1065991/4], [-1309312, 776539/2], [4, 5/4]], [[-16638300, 9867375/2], [11507744, -6724627/2], [-16636812, 9868563/2], [248, 99]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[172, 5/2], [-6288, -5205/2], [172, 5/2], [0, 0]], [[-2591904, 768558], [1785152, -2106529/4], [-2591880, 1537101/2], [4, -5/4]], [[60900, -37149/2], [17574, 151271/4], [60888, -18579], [-2, -3/4]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[3000, 1263]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-196, -5/2], [-216, -9/2], [-196, -5/2], [0, 0]], [[-507580, 100897/2], [-555356, 51526], [-507556, 100891/2], [-4, 1/2]], [[-37704528, -15186546], [-42586860, -68751483/4], [-37702968, -30371847/2], [-260, -415/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-148, -5/2], [68, -149/2], [-148, -5/2], [0, 0]], [[-522324, 31923/2], [339868, -1054097/4], [-522348, 15957], [-4, -3/4]], [[-1554060, -1091385/2], [-1379548, -1539971/2], [-1554180, -1091481/2], [-20, -8]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-1104, -474]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [452671, 381701/2], [15, 3/2], [0, 0]], [[-8, 3/2], [268876378, -159492155/2], [-38420746, 11393102], [-4, 3/4]], [[64, 78], [2817564078, -833864369], [-402254538, 119282646], [32, 39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59, -25/2], [-3, 3/2], [0, 0]], [[124, 1/2], [-365739/17, -641/17], [2553/17, 21/34], [62/17, 1/68]], [[-432, -1205/2], [1241950/17, 3540525/34], [-8902/17, -12406/17], [-216/17, -1205/68]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-4512, -1902]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-117/2, -3/2], [11/2, -1/2], [0, 0]], [[2, -1], [-1723, -827/2], [125, 37/2], [1, -1/2]], [[3, -5/2], [-23691/4, -7457/4], [1597/4, 397/4], [3/2, -5/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [610, -199/2], [30, 27/2], [0, 0]], [[7, -1], [-145676069/68, 43917743/68], [625763/68, 11663/68], [7/34, -1/34]], [[-5, 101/2], [1999641749/68, -560158435/68], [7842989/68, 6664655/68], [-5/34, 101/68]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-4512, -1902]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45/2, 3], [5/2, 1], [0, 0]], [[-8, 1/2], [-375/4, 65/4], [-7/4, -1/4], [-4, 1/4]], [[-38, 14], [-2351/4, 765/4], [-15/4, 9/4], [-19, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [805/4, 649/4], [5/4, 5/4], [0, 0]], [[190, 2], [510417/34, 4817/34], [10649/34, -1/34], [95/17, 1/17]], [[374, 12155/2], [25410, 479692], [-226, 19831/2], [11, 715/4]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-1104, -474]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-16, 3/2], [32740, 27629/2], [-48, 9/2], [0, 0]], [[-6903476, 4094243/2], [-11272644, 3328410], [-20710376, 12282763/2], [-8, -3/2]], [[7589762, -4501449/2], [11391386, -4081780], [22771496, -13502473/2], [-262, -225/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-56, -1/2], [74384972/17, 62650561/34], [-168/17, -3/34], [0, 0]], [[-825600502, 489639165/2], [1093406614242/17, -324232307091/17], [-2476801108/17, 1468917389/34], [10, -3/2]], [[-12456764358, 3693862764], [16488218623022/17, -4895944208851/17], [-37370785320/17, 11081377462/17], [-11078, -4756]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-4512, -1902]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-46, -39/2], [-578, -487/2], [-138, -117/2], [0, 0]], [[-820, -353], [-20813/2, -8777/2], [-2518, -1049], [-5/2, 3/2]], [[-2292, -1853/2], [-28056, -11817], [-6644, -5735/2], [22, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-126, 1], [28336/17, 56914/17], [-378/17, 3/17], [0, 0]], [[18542454, -10997093/2], [30818745759/34, -9138635565/34], [55627384/17, -32991281/34], [1/2, 0]], [[-251214, 148851/2], [-208514170/17, 123908905/34], [-753642/17, 446553/34], [0, 0]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-4512, -1902]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-74, -63/2], [322, 269/2], [-222, -189/2], [0, 0]], [[-1736, -1419/2], [14419/2, 6253/2], [-5213, -4277/2], [5/2, 0]], [[2748, 2399/2], [-12287, -5018], [8290, 7207/2], [1, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-190, -2], [512250/17, 280827/17], [-570/17, -6/17], [0, 0]], [[11605788, -3441550], [19289910521/34, -2859848183/17], [34817319/17, -10324711/17], [1/2, 1]], [[45975428, -27269319/2], [38223770396/17, -22646657783/34], [137921184/17, -81812589/34], [78, 36]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-1104, -474]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, -2], [-7024, -2989], [-60, -6], [0, 0]], [[-463522, 274911/2], [2029150, -1201909/2], [-1390568, 824737/2], [6, 2]], [[11928470, -3535581], [-51831042, 31242135/2], [35786160, -10606500], [1722, 1479/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[180, 1], [-27470592/17, -11610492/17], [540/17, 3/17], [0, 0]], [[107278298, -63623579/2], [43944255226/17, -26061981013/34], [321834860/17, -190870773/34], [-2, -1]], [[28386434, -16835143/2], [11627808762/17, -3448106592/17], [85159408/17, -50505341/34], [6, 5/2]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-4512, -1902]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, -15/2], [386, 325/2], [-54, -45/2], [0, 0]], [[-254, -223/2], [10971/2, 4617/2], [-793, -651/2], [-5/2, 1]], [[-5254, -2282], [112724, 47459], [-16234, -6710], [-36, 16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-144, -5/2], [514946/17, 530869/34], [-432/17, -15/34], [0, 0]], [[129463466, -76781283/2], [215180051529/34, -63805294365/34], [388390437/17, -230343845/34], [-1/2, 0]], [[532814, -315911/2], [26010874, -15472627/2], [94026, -55749/2], [0, 0]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-4512, -1902]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[30, 13], [-454, -190], [90, 39], [0, 0]], [[-2416, -1927/2], [68923/2, 14741], [-7256, -5785/2], [1/2, 1/2]], [[-4260, -3299/2], [118951/2, 51283/2], [-12796, -9903/2], [1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [-658576/17, -551333/34], [-6/17, 9/34], [0, 0]], [[-4, 2], [10925/34, 3617/34], [64/17, -14/17], [5/2, -1/2]], [[-60, -49/2], [-248427/17, -104826/17], [-348/17, -311/34], [-17, -15/2]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-2192, -924]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63, 25], [28, 10], [0, 0]], [[-2, -2], [1161, 478], [494, 195], [-2, -2]], [[330, -209/2], [6272, 245], [5096, -637], [330, -209/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9291, -3898], [-48, -19], [0, 0]], [[214, 1], [1723266/17, 736781/17], [10578/17, 4009/17], [214/17, 1/17]], [[1396210, -827985/2], [-9489684, 2851449], [414532, -122709], [82130, -48705/2]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[-2192, -924]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 25], [-36, -13], [0, 0]], [[-4, 3/2], [-4388, -1885], [2614, 1057], [-4, 3/2]], [[-79, 47/2], [-170, -719], [1755, -78], [-79, 47/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40434, -17037], [-32, -13], [0, 0]], [[-105, -2], [4744544/17, 1999470/17], [2559/17, 1689/17], [-105/17, -2/17]], [[2481269, -1471605/2], [-1643908, 602288], [2107863, -624973], [145957, -86565/2]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[160, 68]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2486, 1044], [-4, 4], [0, 0]], [[-4, -3/2], [116196, -35775], [-170512, 50549], [-4, -3/2]], [[14, 6], [67782, -15247], [-88074, 26169], [14, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [77510, 32703], [20, 5], [0, 0]], [[-144, -5/2], [39896952/17, -11826928/17], [-4590996/17, 1361104/17], [-144/17, -5/34]], [[140022, 118985/2], [308772710/17, -100325057/17], [-36041458/17, 11330633/17], [140022/17, 118985/34]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[160, 68]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [406, 171], [344, 145], [0, 0]], [[4, 3/2], [-642, -269], [-488, -205], [4, 3/2]], [[-666, 395/2], [5614, -1666], [2526, -750], [-666, 395/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35590, 14999], [800, 337], [0, 0]], [[-246, -5/2], [13598360/17, 5774277/17], [314830/17, 129267/17], [-246/17, -5/34]], [[28298480, -8391495], [11770014132/17, -3490151295/17], [-963317672/17, 285659195/17], [28298480/17, -8391495/17]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [142, 59], [-6, -3], [0, 0]], [[0, 0], [1272, 522], [-48, -28], [-294, -124]], [[0, 0], [-4365, -1701], [90, 114], [990, 418]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [501, 160], [32, 11], [0, 0]], [[0, 0], [-87190/17, -23356/17], [-5772/17, -1672/17], [54/17, 2/17]], [[0, 0], [1109808/17, 309670/17], [73670/17, 22072/17], [-666/17, -36/17]]], 0, 72, [], [] >,
< [ -8, -1, 1 ], [[-304, -128]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-612, -260], [14, 4], [0, 0]], [[0, 0], [133276, 55954], [-2183, -1133], [-27, -11]], [[0, 0], [-59794, -25417], [1397, 390], [11, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-386, -81], [-12, -5], [0, 0]], [[0, 0], [-1768936/17, 521514/17], [-2003/17, 223/17], [135/17, 5/17]], [[0, 0], [11878636/17, -3483478/17], [16577/17, -163/17], [-1287/17, -195/17]]], 0, 72, [], [] >,
< [ -8, -1, 1 ], [[-2165760, -912944]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1688, 709], [-16, -3], [0, 0]], [[0, 0], [205810, -61081], [-302142, 89593], [10, -6]], [[0, 0], [434226, -130624], [-641184, 190034], [-124, -74]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [194, 35], [12, -5], [0, 0]], [[0, 0], [-362926, -183110], [15070, 80], [-10, 0]], [[0, 0], [181467660/17, 68311998/17], [-288060/17, -1825332/17], [140/17, 1204/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[47104, 19856]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-236, -99], [-544, -229], [0, 0]], [[0, 0], [-14894, -6278], [-34288, -14448], [8, -2]], [[0, 0], [-8082, -3406], [-18614, -7836], [14, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4394, 1774], [280, 118], [0, 0]], [[0, 0], [-2923352, 859061], [-1506, 31], [10, 0]], [[0, 0], [-2059298392/17, 618407379/17], [-84956/17, 437445/17], [76/17, -2964/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[544, 228]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5672, 2391], [36, 15], [0, 0]], [[0, 0], [-117534, -99057/2], [-752, -304], [-10, 5/2]], [[0, 0], [-2520, -1767], [780, -247], [408, -121]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4921416/17, -2073995/17], [-112/17, -1/17], [0, 0]], [[0, 0], [5244116834/17, -1553530552/17], [436544636/17, -129450821/17], [6, 0]], [[0, 0], [-1397919546/17, 515817201/34], [-98254344/17, 29134353/17], [-254, -213/2]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[48, 20]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 7], [-32, -12], [0, 0]], [[0, 0], [279/2, 19], [-287, -24], [-1/2, -1]], [[0, 0], [676, 494], [-1038, -947], [-24, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14564/17, -5992/17], [-18/17, 5/17], [0, 0]], [[0, 0], [91/2, 101/2], [3, -1], [3/2, -1/2]], [[0, 0], [-9803/2, -2069], [9, 4], [9/2, 2]]], 1, 18, [], [] >,
< [ -8, -1, 1 ], [[48, 20]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -4], [32, 13], [0, 0]], [[0, 0], [117, 101/2], [-386, -161], [1, -3/2]], [[0, 0], [-291/2, -23], [222, 148], [175/2, -25]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1736/17, 823/17], [-14/17, 2/17], [0, 0]], [[0, 0], [-14581/17, 7991/34], [-1276/17, 379/17], [-1, 1/2]], [[0, 0], [-126589/34, -27463/17], [220/17, 22/17], [81/2, 17]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-4000, -1684]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25618, 21597/2], [2, 1/2], [0, 0]], [[0, 0], [-465052, 263885/2], [-403756, 239455/2], [12, -1]], [[0, 0], [5132680, 1044519/2], [2020736, -1198197/2], [-1264, -1005/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26706, 22553/2], [10, 3/2], [0, 0]], [[0, 0], [-37507420, 22269193/2], [5367884, -3183527/2], [20, 0]], [[0, 0], [-31292438, 19340311/2], [4554362, -2700875/2], [272, 215/2]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-160, -52]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16827, -14225/2], [-3, 3/2], [0, 0]], [[0, 0], [2864400, -843179], [-408472, 121126], [10, -2]], [[0, 0], [-28639160, -8876401], [637840, -188270], [-3770, -3159/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2821, -11/2], [3, 1/2], [0, 0]], [[0, 0], [-165968154/17, 23531994/17], [143782/17, -82/17], [110/17, 5/34]], [[0, 0], [100055642, 82953183/2], [-164798, -138027/2], [-136, -57]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-16, -4]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [517/2, 109], [-3/2, -1], [0, 0]], [[0, 0], [-247/4, -75/4], [97/4, -35/4], [1/2, -1]], [[0, 0], [-808, -333], [-4, -22], [-16, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-439/2, -2], [1/2, 0], [0, 0]], [[0, 0], [27393/68, 1075/68], [-375/68, -97/68], [-67/34, -5/34]], [[0, 0], [1663313/68, 691633/68], [-37431/68, -15723/68], [-4491/34, -936/17]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[-16, -4]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-351/4, -143/4], [1/4, 5/4], [0, 0]], [[0, 0], [-336, 89], [-296, 88], [-15, -6]], [[0, 0], [74, -5], [46, -14], [25, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45/4, 133/4], [-3/4, 1/4], [0, 0]], [[0, 0], [13772/17, -1608/17], [368/17, -4/17], [46/17, -1/34]], [[0, 0], [-305484/17, -126187/17], [-12904/17, -5384/17], [-1613/17, -673/17]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[-160, -52]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-684, -289], [0, 3], [0, 0]], [[0, 0], [18846, -10937/2], [-83224, 24676], [10, -5/2]], [[0, 0], [-140368, -3815], [344952, -101214], [-284, -92]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-357352/17, -183778/17], [-968/17, -5/17], [0, 0]], [[0, 0], [-67663034354/17, 20064837419/17], [822880208/17, -244012451/17], [2, -2]], [[0, 0], [442467957434/17, -262352922447/34], [-5380427288/17, 1595525057/17], [-190, -123/2]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[560, 236]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -7], [-46, -19], [0, 0]], [[0, 0], [5567/2, 1174], [7338, 3102], [-1/2, -2]], [[0, 0], [-4365/2, -1865/2], [-5568, -2519], [-93/2, 31/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59122/17, -23531/17], [266/17, -4/17], [0, 0]], [[0, 0], [245197249/17, -72930798/17], [-20495606/17, 6077983/17], [1, 1]], [[0, 0], [-981626813/34, 144827399/17], [40893798/17, -12125431/17], [15/2, 2]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[560, 236]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 8], [-222, -93], [0, 0]], [[0, 0], [9099/2, 2209], [-51999, -21998], [1/2, 1]], [[0, 0], [-15158, -7861], [180400, 76442], [0, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12270/17, 3777/17], [-266/17, 4/17], [0, 0]], [[0, 0], [-29375895/34, 4338911/17], [1220857/17, -361804/17], [3/2, 1]], [[0, 0], [-13185428, 7835595/2], [1098178, -325754], [-24, -9/2]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[1056, 420]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8782, 7393/2], [14, 1/2], [0, 0]], [[0, 0], [-3039468, 1793211/2], [-3021564, 1791993/2], [12, -2]], [[0, 0], [-1621864, -601167], [-115584, 33474], [500, 421/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22018, -18487/2], [14, 1/2], [0, 0]], [[0, 0], [5560796, -3291631/2], [-792700, 470125/2], [-8, 3/2]], [[0, 0], [5390096, 1704707], [-114080, 32860], [-1272, -1071/2]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[144, 60]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [335/2, 143/2], [31/2, 13/2], [0, 0]], [[0, 0], [5303/4, 2419/4], [511/4, 211/4], [-1/2, -1]], [[0, 0], [2027, 1048], [215, 86], [2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [997/2, 18], [-19/2, -2], [0, 0]], [[0, 0], [-55527463/68, 8678547/68], [779281/68, -5513/68], [67/34, 5/34]], [[0, 0], [-92843611/68, 892983/68], [1654893/68, 280887/68], [159/34, 19/17]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[144, 60]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-151/4, -65/4], [9/4, 3/4], [0, 0]], [[0, 0], [-50, 13], [-30, 9], [-8, -5/2]], [[0, 0], [-84, 47/2], [-52, 31/2], [-7, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3823/4, -367/4], [15/4, -3/4], [0, 0]], [[0, 0], [2319091/17, 337219/17], [6947/17, -106/17], [-5/17, -1/34]], [[0, 0], [-120186525/34, -17033329/17], [-294597/34, -22770/17], [123/17, 31/17]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-1632, -684]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9893, -4192], [-5, 1], [0, 0]], [[0, 0], [-382540, 226715/2], [54636, -32403/2], [-6, -2]], [[0, 0], [3924204, -1162996], [-560500, 166208], [52, 33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2250, -11/2], [18, 3/2], [0, 0]], [[0, 0], [1680070488/17, -271677045/34], [12716488/17, -52021/34], [146/17, 1/17]], [[0, 0], [299038995681/17, 162207906825/34], [2843004841/17, 1823119001/34], [33392/17, 21703/34]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[6576, 2772]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-140, -59], [-570, -240], [0, 0]], [[0, 0], [413/2, 155/2], [856, 371], [3/2, -5/2]], [[0, 0], [-8399/2, -1417], [-16174, -7194], [-213/2, 71]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-425702/17, -177710/17], [356/17, 5/17], [0, 0]], [[0, 0], [28824864/17, -17488773/34], [-2427946/17, 720184/17], [-2, -3/2]], [[0, 0], [-79669593/34, 21457659/34], [3199846/17, -947685/17], [-35/2, -13/2]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[6576, 2772]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-492, -207], [-10, -4], [0, 0]], [[0, 0], [82655, 34850], [1608, 677], [1, -1]], [[0, 0], [-676097/2, -142558], [-6581, -2768], [-21/2, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [398770/17, 166510/17], [-316/17, -1/17], [0, 0]], [[0, 0], [182894988/17, -54222444/17], [-15248406/17, 4521631/17], [-2, -1]], [[0, 0], [80425689/34, -11732307/17], [-3331905/17, 987106/17], [-71/2, -15]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-1632, -684]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6092, -2573], [-8, 4], [0, 0]], [[0, 0], [-18014, 9845/2], [25632, -7601], [2, -1/2]], [[0, 0], [3136, 1303], [-40, 11], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10815896/17, -4534259/17], [-888/17, 3/17], [0, 0]], [[0, 0], [-114843231486/17, 68111277471/34], [-1731843472/17, 513552491/17], [6, -3/2]], [[0, 0], [21887048898/17, -6988300380/17], [340513912/17, -100974825/17], [-334, -140]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[480, 156]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-237992, -100328], [-16, 2], [0, 0]], [[16, -5/2], [-2298312, 2722105/4], [3345788, -992134], [8, -5/4]], [[-728, -611/2], [668088, 141883/4], [-502500, 146733], [-364, -611/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-25828, -10927], [-144, -3], [0, 0]], [[20, -1], [-3876998, 2299583/2], [5650820, -1675645], [10, -1/2]], [[-464, -387/2], [836616, -1025585/4], [-1238236, 365714], [-232, -387/4]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[-2688, -1104]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [268516, 113188], [-8, -2], [0, 0]], [[0, 0], [32, -1/2], [0, -3], [0, -1/2]], [[0, 0], [-82, 93/2], [-36, 3], [-6, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82012, -34558], [40, -2], [0, 0]], [[0, 0], [-16403592, 9727727/2], [23905584, -7088823], [8, 3/2]], [[0, 0], [-715665030, 212210572], [1042980164, -309279724], [246, 22]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[480, 156]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3568, -1504], [36832, 15526], [0, 0]], [[-12, -1/2], [-73646, -124151/4], [786560, 331529], [-6, -1/4]], [[-8573656, 5084781/2], [-12465912, 14786319/4], [63384524, -18795724], [-4286828, 5084781/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43324, -18220], [152, 2], [0, 0]], [[20, 5/2], [98363302, -116679845/4], [-143366104, 42513131], [10, 5/4]], [[-56, -47/2], [-1720480, 2074307/4], [2524340, -748744], [-28, -47/4]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[-2688, -1104]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15268, -6436], [96, -6], [0, 0]], [[0, 0], [714, 99/2], [15279604, -4530941], [2, -1/2]], [[0, 0], [108, 42], [210848, -62524], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-160688, -67700], [128, 2], [0, 0]], [[0, 0], [-193745146, 114938677/2], [282458076, -83758761], [-10, 5/2]], [[0, 0], [67567580, -20158717], [-98742344, 29280640], [8, 1]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[480, 156]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [37801, 15952], [-7, -1], [0, 0]], [[0, 0], [9177640, -5445249/2], [1020360, -605145/2], [-10, -1/2]], [[0, 0], [29144597, -19253101/2], [3392205, -2011605/2], [-4214, -1764]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8251, 35/2], [-13, -5/2], [0, 0]], [[0, 0], [2883691106/17, -919469291/34], [-3425598/17, -4851/34], [-178/17, -5/34]], [[0, 0], [299619376644/17, 247937691827/34], [-766050516/17, -641822427/34], [-41580/17, -34853/34]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-77232, -32556]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3375/2, -711], [17/2, 4], [0, 0]], [[0, 0], [-783735/4, -330429/4], [4385/4, 1751/4], [5/2, 5/2]], [[0, 0], [304458, 256991/2], [-2022, -1173/2], [15, -19/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1559/2, -13], [1/2, 2], [0, 0]], [[0, 0], [-66502009/68, 58721169/68], [-1164081/68, 2325/68], [57/34, 2/17]], [[0, 0], [38064767383/68, 16477289669/68], [-343336337/68, -142275251/68], [20861/34, 4347/17]]], 1, 432, [], [] >,
< [ -8, -1, 1 ], [[-77232, -32556]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8893/4, -3745/4], [-13/4, -1/4], [0, 0]], [[0, 0], [-1377, 889/2], [-1725, 1023/2], [24, 19/2]], [[0, 0], [-4103, 91], [-3063, 909], [-715, -605/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5693/4, 653/4], [29/4, 5/4], [0, 0]], [[0, 0], [47656383/68, -614299/68], [224367/68, 10569/68], [93/17, 5/34]], [[0, 0], [-29575324469/34, -6113575591/17], [-168143221/34, -34952429/17], [-131313/17, -109005/34]]], 1, 432, [], [] >,
< [ -8, -1, 1 ], [[480, 156]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6092, 2558], [-96, 3], [0, 0]], [[0, 0], [-365246, 214619/2], [1582784, -469355], [2, -3/2]], [[0, 0], [535650, -188025], [-2507072, 743322], [-42, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9870704/17, -4211933/17], [-1488/17, -6/17], [0, 0]], [[0, 0], [228994043190/17, -67904727147/17], [-2784839344/17, 825803157/17], [-6, -2]], [[0, 0], [936982014154/17, -555695619061/34], [-11394811728/17, 3378964236/17], [-30, -21/2]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[1680, 708]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [544, 229], [126, 48], [0, 0]], [[0, 0], [-16149/2, -3381], [-2202, -599], [1/2, 1]], [[0, 0], [-14937, -6384], [-1490, -1903], [7, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43816, 18379], [-18, 0], [0, 0]], [[0, 0], [215365496/17, -127918793/34], [-17971752/17, 5328980/17], [2, 5/2]], [[0, 0], [16575315119/34, -2452441310/17], [-690524548/17, 204779625/17], [-639/2, -71]]], 1, 432, [], [] >,
< [ -8, -1, 1 ], [[1680, 708]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, 44], [30, 9], [0, 0]], [[0, 0], [4083/2, 1713/2], [529, 188], [-1/2, 3/2]], [[0, 0], [-401/2, -85], [-41, -22], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60542/17, 25985/17], [120/17, 12/17], [0, 0]], [[0, 0], [1530019/34, -445019/34], [-63301/17, 18784/17], [-1/2, 3/2]], [[0, 0], [-4579807/34, 690838/17], [192475/17, -57040/17], [25/2, 0]]], 1, 432, [], [] >,
< [ -8, -1, 1 ], [[480, 156]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58656, 24645], [60, -15], [0, 0]], [[0, 0], [9186434, -5468495/2], [4601320, -1364425], [-6, -5/2]], [[0, 0], [-1374568, 407675], [-687480, 203862], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38717328/17, -16518366/17], [864/17, 15/17], [0, 0]], [[0, 0], [-98231726702/17, 29129174860/17], [-173554832/17, 51464947/17], [10, 1]], [[0, 0], [419551315136/17, -248823893837/34], [741262348/17, -219807597/17], [-112, -67/2]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[1680, 708]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98, -41], [-138, -54], [0, 0]], [[0, 0], [-57568, -48767/2], [-76014, -33654], [0, 3/2]], [[0, 0], [-326413/2, -139093/2], [-208229, -98134], [-15/2, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-147426/17, -65304/17], [-660/17, -15/17], [0, 0]], [[0, 0], [154170222/17, -91436181/34], [-12846694/17, 3809316/17], [-2, -5/2]], [[0, 0], [-5865973885/34, 869684893/17], [244376543/17, -72473598/17], [-439/2, -61]]], 1, 432, [], [] >,
< [ -8, -1, 1 ], [[1680, 708]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [316, 133], [-18, -9], [0, 0]], [[0, 0], [-6846, -2880], [326, 202], [0, 1]], [[0, 0], [-106719/2, -22416], [2054, 1717], [-15/2, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [662580/17, 282345/17], [630/17, 12/17], [0, 0]], [[0, 0], [-219553849/34, 65061167/34], [9141384/17, -2710707/17], [3/2, -3/2]], [[0, 0], [-163293559/34, 24306382/17], [6811634/17, -2020038/17], [17/2, 2]]], 1, 432, [], [] >,
< [ -8, -1, 1 ], [[896, 384]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31806, -13408], [12, 6], [0, 0]], [[0, 0], [-156728, 46548], [226312, -67092], [32, 8]], [[0, 0], [-53286, 14780], [74490, -22336], [-342, -146]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [170, -36], [-4, 6], [0, 0]], [[0, 0], [883934/17, -289418/17], [-90854/17, 4654/17], [-542/17, -10/17]], [[0, 0], [-1473782, -443838], [-985454, -426914], [-7590, -3258]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[896, 384]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12222, -5152], [-8488, -3578], [0, 0]], [[0, 0], [-666520, -280962], [-462226, -194856], [-54, -10]], [[0, 0], [427200, -126510], [12848182, -3809820], [-14276182, 4233390]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [303642, 128128], [20264, 8542], [0, 0]], [[0, 0], [67075644/17, -19852610/17], [-12042/17, -684/17], [-678/17, -10/17]], [[0, 0], [174112162/17, -70298662/17], [2917104/17, 1242772/17], [144464/17, 61720/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-55129150256, -23238875472]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [697, 285], [2, -8], [0, 0]], [[0, 0], [12777, 5627], [-536, 16], [16, -8]], [[0, 0], [-18420, 38100], [-64800, 18720], [3894, -1166]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-266, -34], [2, -2], [0, 0]], [[0, 0], [65016/17, 87850/17], [4430/17, -220/17], [246/17, -6/17]], [[0, 0], [2457837/17, 1044221/17], [25620/17, 10518/17], [1558/17, 642/17]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-55129150256, -23238875472]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12020, 5074], [2, 8], [0, 0]], [[0, 0], [-1218396, -507920], [-9145, 1841], [-25, 1]], [[0, 0], [36626, -13190], [40011, -11867], [91, -27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [110, -80], [-8, -6], [0, 0]], [[0, 0], [-26728/17, 4542/17], [-413/17, -77/17], [-123/17, 3/17]], [[0, 0], [71292/17, 28250/17], [4047/17, 1695/17], [691/17, 285/17]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-188162864, -79317264]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 10], [-2, -6], [0, 0]], [[0, 0], [-1505, -556], [858, 316], [-3, -2]], [[0, 0], [-6115/2, -101/2], [1762, 22], [25/2, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3226/17, -184/17], [96/17, -4/17], [0, 0]], [[0, 0], [307287/34, 521177/34], [5636/17, 8064/17], [-3/2, 3/2]], [[0, 0], [-3804401/34, -1818465/34], [-60902/17, -28792/17], [-11/2, -7/2]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-188162864, -79317264]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [-4, -4], [0, 0]], [[0, 0], [-9/2, -1/2], [-7, 1], [9/2, 1/2]], [[0, 0], [15/2, 5/2], [7, 1], [-15/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2692/17, -140/17], [-94/17, -6/17], [0, 0]], [[0, 0], [-541815/34, 143571/34], [-9067/17, 2291/17], [5/2, -5/2]], [[0, 0], [-318885/34, -137841/34], [-7509/17, -3221/17], [-69/2, -29/2]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[98386146816, 41473220672]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [408, 162], [0, -20], [0, 0]], [[0, 0], [23984, -7119], [47848, -14346], [-36, -13]], [[0, 0], [1119366, -332175], [2235400, -668434], [-1306, -449]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-49796/17, 2718/17], [344/17, -20/17], [0, 0]], [[0, 0], [146830/17, 937681/17], [-1112/17, -6578/17], [-10, -5]], [[0, 0], [-73700/17, -468988/17], [528/17, 3276/17], [4, 2]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[3584, 1472]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2770, 1168], [450, 190], [0, 0]], [[0, 0], [-1604, -645], [-268, -101], [-20, 1]], [[0, 0], [-377402, 111910], [-145266, 43076], [-114172, 33856]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5770, 2406], [10, 8], [0, 0]], [[0, 0], [-844242, -369441], [-5034, -167], [-12, -5]], [[0, 0], [3947030, -1170392], [-568890, 168696], [0, 0]]], 0, 147456, [], [] >,
< [ -8, -1, 1 ], [[-5632, -2368]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12252, -5162], [4, 2], [0, 0]], [[0, 0], [2186863, 921822], [-745, -318], [38, 15]], [[0, 0], [1081963, 456015], [-349, -163], [24, 6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-577, 111], [-41, -17], [0, 0]], [[0, 0], [-11463444/17, 3474395/17], [-14676/17, -77/17], [-160/17, 1/17]], [[0, 0], [92324834/17, -41725564/17], [1261234/17, 472342/17], [13286/17, 4936/17]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[-496, -208]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 10], [4, 0], [0, 0]], [[0, 0], [-52, -24], [-16, -4], [3, -1]], [[0, 0], [-1145/4, -483/4], [-257/4, -107/4], [-1/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-277, 3], [7, -1], [0, 0]], [[0, 0], [969381/68, 37535/68], [-23107/68, 2247/68], [-115/34, -3/34]], [[0, 0], [2738910/17, 1018338/17], [-42246/17, -13408/17], [-627/17, -231/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-496, -208]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 8], [-10, 0], [0, 0]], [[0, 0], [1, 0], [1, 0], [1, 0]], [[0, 0], [-265/4, -47/4], [7/4, 41/4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6191/4, 105/4], [47/4, 1/4], [0, 0]], [[0, 0], [-1279017/2, -293159/2], [-9729/2, -2275/2], [-2, 0]], [[0, 0], [-975882463/17, -386619970/17], [-7479927/17, -2969330/17], [-1897/17, -630/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[-5632, -2368]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11468, -4854], [56, -16], [0, 0]], [[0, 0], [-336778, 90510], [-646200, 191812], [26, 10]], [[0, 0], [-51586, -22863], [4208, -458], [102, 43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78900/17, -2718/17], [616/17, -20/17], [0, 0]], [[0, 0], [-3680246/17, 1699325/17], [-27496/17, 13550/17], [-22, -7]], [[0, 0], [-89842476/17, -36915625/17], [-796632/17, -328414/17], [1984, 837]]], 0, 73728, [], [] >,
< [ -8, -1, 1 ], [[-496, -208]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 4], [2, 2], [0, 0]], [[0, 0], [-23, 12], [28, 10], [-1, 2]], [[0, 0], [-5047/2, -2101/2], [-8846, -3730], [-1651/2, -693/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13406/17, 16/17], [1426/17, 10/17], [0, 0]], [[0, 0], [163029579/34, 43234839/34], [-8822850/17, -2389828/17], [11/2, 3/2]], [[0, 0], [-6707693843/34, -2726761711/34], [366320680/17, 149161562/17], [-459/2, -187/2]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-496, -208]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -6], [-10, -10], [0, 0]], [[0, 0], [-389, 150], [-200, 150], [-1, 0]], [[0, 0], [-8169/2, -3509/2], [-10781, -4569], [69/2, 29/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2824/17, 58/17], [-122/17, -2/17], [0, 0]], [[0, 0], [-64862/17, -8397/17], [2790/17, 296/17], [0, -1]], [[0, 0], [-932741/34, -394747/34], [19033/17, 8059/17], [-31/2, -13/2]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-1536, -192]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1062, -450], [-118, -52], [0, 0]], [[0, 0], [-8152, -3444], [-912, -390], [4, 2]], [[0, 0], [-516, 153], [516, -153], [172, -51]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3524, -1492], [12, 6], [0, 0]], [[0, 0], [-132942, 39363], [19210, -5711], [-20, 1]], [[0, 0], [2497782, -616224], [-293658, 117804], [14720, 6040]]], 0, 589824, [], [] >,
< [ -8, -1, 1 ], [[1536, 576]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [976, 490], [-16, 2], [0, 0]], [[0, 0], [1390, -374], [142, -44], [-2, 0]], [[0, 0], [689, 196], [-23, -20], [-12, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2835, 5], [5, -1], [0, 0]], [[0, 0], [-221943615/17, -55524876/17], [236985/17, 366/17], [-180/17, -1/17]], [[0, 0], [-207592113942/17, -87455595641/17], [121001450/17, 50870855/17], [-93138/17, -39159/17]]], 0, 147456, [], [] >,
< [ -8, -1, 1 ], [[144, 48]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -6], [6, 0], [0, 0]], [[0, 0], [343/4, 153/4], [303/4, 129/4], [-5/2, -3/2]], [[0, 0], [-395/2, -163/2], [-331/2, -139/2], [8, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11/2, -1/2], [53/2, -1/2], [0, 0]], [[0, 0], [1143209/68, 155007/68], [-5596175/68, -113393/68], [81/34, 3/34]], [[0, 0], [-39728377/68, -16697795/68], [142801327/68, 59858389/68], [-2177/34, -913/34]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[144, 48]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [149/4, -5/4], [69/4, 3/4], [0, 0]], [[0, 0], [-1, 0], [3, 0], [1, 0]], [[0, 0], [-3195/4, -1341/4], [-1915/4, -805/4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4793/4, 121/4], [-41/4, 1/4], [0, 0]], [[0, 0], [26195573/34, 544709/34], [223173/34, 4809/34], [37/17, 2/17]], [[0, 0], [40425023901/68, 16931257643/68], [345213981/68, 144590307/68], [31520/17, 13216/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[1536, 576]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 14], [32, 8], [0, 0]], [[0, 0], [372, -117], [296, 282], [40, 15]], [[0, 0], [678, -225], [1368, 870], [134, 53]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [96020/17, -700/17], [776/17, -4/17], [0, 0]], [[0, 0], [11844094/17, 3523861/17], [95504/17, 28502/17], [14, 5]], [[0, 0], [-12512404/17, -437668/17], [-100544/17, -3676/17], [-12, -2]]], 0, 147456, [], [] >,
< [ -8, -1, 1 ], [[144, 48]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -4], [32, -4], [0, 0]], [[0, 0], [-723/2, 723/2], [-306, 470], [-1/2, 1/2]], [[0, 0], [4401/2, 1869/2], [3288, 1394], [7/2, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-380/17, -242/17], [-246/17, 6/17], [0, 0]], [[0, 0], [170, -73], [-58, 12], [-4, 1]], [[0, 0], [10301/34, 4289/34], [1246/17, 536/17], [7/2, 3/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[144, 48]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -10], [-32, 4], [0, 0]], [[0, 0], [-98, -176], [638, -242], [-2, 2]], [[0, 0], [-19077/2, -8649/2], [-961, -1557], [119/2, 63/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5804/17, 50/17], [-206/17, 10/17], [0, 0]], [[0, 0], [12641/34, 7073/34], [-135/17, -107/17], [-11/2, -3/2]], [[0, 0], [41632/17, 20524/17], [-1010/17, -594/17], [-30, -10]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[3072, 768]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-724, -244], [120, 12], [0, 0]], [[0, 0], [-12624, 3981], [8272, -2378], [24, 9]], [[0, 0], [-3310, 336], [1204, -584], [-66, -28]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [660, 276], [8, 8], [0, 0]], [[0, 0], [3466, -424], [-5596, 1676], [2, 0]], [[0, 0], [73838, 30703], [764, 1226], [74, 31]]], 0, 1769472, [], [] >,
< [ -8, -1, 1 ], [[3072, 768]], [ -10, -4 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64, -16], [-240, -12], [0, 0]], [[0, 0], [-1002, 360], [-8556, 2712], [34, 12]], [[0, 0], [6354, 1755], [24500, 2870], [1794, 759]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, -4], [24, -12], [0, 0]], [[0, 0], [-1132, 47], [280, -182], [-24, -9]], [[0, 0], [-2834, -1352], [-1172, -404], [-170, -72]]], 0, 1769472, [], [] >,
< [ -8, -1, 1 ], [[16896, 7104]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3619850, -1525934], [-42, -12], [0, 0]], [[0, 0], [67733721, 28550205], [193, 361], [-20, -8]], [[0, 0], [35207872, 14828127], [-2352, 915], [-14, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6811, -37], [29, 5], [0, 0]], [[0, 0], [3466809561/17, -522361650/17], [-11700463/17, 125420/17], [52/17, -5/17]], [[0, 0], [-63804761944/17, -22765679453/17], [398589624/17, 157489371/17], [-1274/17, -481/17]]], 0, 442368, [], [] >,
< [ -8, -1, 1 ], [[1488, 624]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [169/2, 7/2], [33/2, 3/2], [0, 0]], [[0, 0], [-40939/4, -2697/4], [-8099/4, -929/4], [-1/2, -5/2]], [[0, 0], [22185/2, 18171/2], [5641/2, 3883/2], [16, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-492, -24], [-16, 2], [0, 0]], [[0, 0], [11727167/68, 940869/68], [379031/68, -42019/68], [-237/34, -5/34]], [[0, 0], [152972021/34, 58520615/34], [2722949/34, 847223/34], [-2660/17, -980/17]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[1488, 624]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [139/4, 37/4], [75/4, -3/4], [0, 0]], [[0, 0], [-5, 0], [3, 0], [1, 0]], [[0, 0], [-1363/4, -733/4], [-35/4, -269/4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16757/4, 347/4], [117/4, 3/4], [0, 0]], [[0, 0], [1102754279/68, 18200713/68], [7696983/68, 165129/68], [28/17, -4/17]], [[0, 0], [4415109749/17, 1714628060/17], [31263773/17, 12168764/17], [239/17, 80/17]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-35664384, -15033792]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-630496, -265828], [-24, -36], [0, 0]], [[0, 0], [76720578, 32316513], [24380, -1674], [42, 17]], [[0, 0], [-377779344, -158906463], [-275316, 54306], [-216, -81]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [919401808/17, 387343666/17], [936/17, 12/17], [0, 0]], [[0, 0], [133440455677734/17, -39569788055676/17], [235760528380/17, -69911285188/17], [-34, -12]], [[0, 0], [-816423349849262/17, 242098444671163/17], [-1442445956256/17, 427734986002/17], [14194, 5969]]], 0, 442368, [], [] >,
< [ -8, -1, 1 ], [[-6629671632, -2794639728]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -8], [12, 12], [0, 0]], [[0, 0], [567/2, -261/2], [25, 149], [-7/2, -3/2]], [[0, 0], [-42, 0], [66, 18], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27014/17, 284/17], [-1302/17, -18/17], [0, 0]], [[0, 0], [-130197297/17, -21318822/17], [6300460/17, 1050898/17], [1, -2]], [[0, 0], [3119315587/34, 1322116675/34], [-75979815/17, -32200679/17], [89/2, 37/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-6629671632, -2794639728]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -10], [66, 30], [0, 0]], [[0, 0], [-165, 54], [30, -8], [-7, -2]], [[0, 0], [-373/2, -25/2], [12, -6], [147/2, 63/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6872/17, 190/17], [6/17, -30/17], [0, 0]], [[0, 0], [-32515/34, -31735/34], [-370/17, -360/17], [-3/2, 5/2]], [[0, 0], [-844525/17, -350698/17], [-19118/17, -7940/17], [85, 34]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-35664384, -15033792]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-276632, -116504], [-12, 48], [0, 0]], [[0, 0], [11957912, 5038505], [-1172, -1582], [0, -1]], [[0, 0], [-124732278, -52584723], [31996, 10646], [18, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-352478728/17, -148815550/17], [1092/17, 48/17], [0, 0]], [[0, 0], [-35037331527086/17, 10389800189518/17], [-61903410480/17, 18356537156/17], [34, 12]], [[0, 0], [-157259664490438/17, 46632885116105/17], [-277843831272/17, 82390292830/17], [5882, 2469]]], 0, 442368, [], [] >,
< [ -8, -1, 1 ], [[-6629671632, -2794639728]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 2], [78, 30], [0, 0]], [[0, 0], [4021, -1184], [1034, -284], [-3, -2]], [[0, 0], [-297/2, -399/2], [-761, -355], [273/2, 115/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19438/17, -424/17], [444/17, 24/17], [0, 0]], [[0, 0], [22859329/34, -8327723/34], [-235451/17, 89357/17], [-9/2, -1/2]], [[0, 0], [-488454970/17, -203392480/17], [12306078/17, 5134770/17], [-1152, -486]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-6629671632, -2794639728]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 6], [-54, -30], [0, 0]], [[0, 0], [29, -34], [-364, 250], [3, -2]], [[0, 0], [1149/2, 489/2], [-3192, -1366], [49/2, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2840/17, -386/17], [-330/17, 18/17], [0, 0]], [[0, 0], [1134573/34, 295971/34], [52276/17, 4976/17], [9/2, -1/2]], [[0, 0], [4642786/17, 1954825/17], [301094/17, 126496/17], [12, 5]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-1848, -779]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, 5/2], [8, -1/2], [0, 0]], [[-3, 1/2], [-696, 359/2], [-613, 351/2], [-3, 1/2]], [[-26, -11], [-1642, -702], [-370, -165], [-26, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-218, -55/2], [-8, -3/2], [0, 0]], [[25, 5/2], [-526210/17, 52320/17], [-16293/17, 834/17], [25/17, 5/34]], [[1642, 698], [-16982208/17, -14715351/34], [-657386/17, -565409/34], [1642/17, 698/17]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[136, 57]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [956, 853/2], [20, -3/2], [0, 0]], [[10, -1], [-139708, 41622], [59130, -17531], [10, -1]], [[-1184, -993/2], [-46604, -139439/2], [-31332, 15887/2], [-1184, -993/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [71156, 59999/2], [-8, -1/2], [0, 0]], [[-202, -3/2], [6356880/17, -3686453/34], [3808606/17, -2258407/34], [-202/17, -3/34]], [[-80560, -67469/2], [71546764/17, 36053723/34], [10453920/17, -5858093/34], [-80560/17, -67469/34]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[136, 57]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1052, 905/2], [8, -1/2], [0, 0]], [[-2, 2], [-343196, 211237/2], [149238, -88487/2], [-2, 2]], [[130, 109/2], [392968, 139159], [-14794, 5105], [130, 109/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12164, -10247/2], [0, 5/2], [0, 0]], [[-258, -2], [-18013288/17, 5279178/17], [-11006386/17, 3264023/17], [-258/17, -2/17]], [[2417704, 2026539/2], [2902033924/17, 1029164907/34], [598563104/17, -365679291/34], [2417704/17, 2026539/34]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[136, 57]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 107/2], [-8, -1/2], [0, 0]], [[-8, -5/2], [-20028, 11593/2], [-19528, 11579/2], [-8, -5/2]], [[-530, -222], [-47556, 3017], [-31762, 9322], [-530, -222]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41748, -17543], [-4, 2], [0, 0]], [[-100, -3/2], [516531028/17, -305155783/34], [34408980/17, -20406791/34], [-100/17, -3/34]], [[79146, 66343/2], [-3925232584/17, 88139760/17], [-162129458/17, 47936952/17], [79146/17, 66343/34]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[-1848, -779]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17, 13/2], [2, 5/2], [0, 0]], [[0, -5/2], [106, -26], [-252, 77], [0, -5/2]], [[174, 147/2], [-373, -153], [-140, -70], [174, 147/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [824, 779/2], [8, -3/2], [0, 0]], [[-70, 3/2], [-817923/17, 252630/17], [97552/17, -28862/17], [-70/17, 3/34]], [[-5500, -2335], [3337873/17, 2175869/34], [-33242/17, 46735/34], [-5500/17, -2335/17]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[-1848, -779]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[10, -5/2], [6, -9/2], [6, -9/2], [10, -5/2]], [[4, 3/2], [-28, -12], [-28, -12], [4, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [224, 233/2], [0, 3/2], [0, 0]], [[178, 5/2], [-497276/17, 261805/34], [-31134/17, 18073/34], [178/17, 5/34]], [[-751322, -319429], [208369809/17, 100606443/17], [1517322/17, 1470735/17], [-751322/17, -319429/17]]], 1, 16, [], [] >,
< [ -8, -1, 1 ], [[-48, -22]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, -1/2], [-436, -349/2], [8, -1/2], [0, 0]], [[-58176, 17244], [141183, -40681], [-58170, 17240], [3, -2]], [[193140, -55908], [-770215, 9499/2], [193694, -55653], [277, 255/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[552, 5/2], [676084/17, 625405/34], [552/17, 5/34], [0, 0]], [[2450563020, -726679899], [-294999942199/17, 174944663743/34], [2450563190/17, -726679814/17], [5, 5/2]], [[12819773400, -7603066527/2], [-1543296373578/17, 457580983670/17], [12819775372/17, -7603064725/34], [58, 53/2]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[-48, -22]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 5/2], [924, 767/2], [0, 5/2], [0, 0]], [[-2260, 670], [5365, -3269/2], [-2250, 671], [5, 1/2]], [[1124, -334], [-2950, 696], [1144, -324], [10, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-44, -1], [-147136/17, -64136/17], [-44/17, -1/17], [0, 0]], [[-4482900, 1329349], [31760933, -18826159/2], [-263706, 78196], [-3, -1/2]], [[41588936, -24662835/2], [-293848270, 87657935], [2446036, -1451097/2], [-186, -171/2]]], 0, 96, [], [] >,
< [ -8, -1, 1 ], [[688, 290]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -5/2], [-42, -43/2], [2, -5/2], [0, 0]], [[5950, -3605/2], [11755/2, -4839/2], [5950, -3605/2], [5/2, 1]], [[-35588, 10633], [-77161/2, 12859], [-35588, 10633], [-11/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[146, 1], [-127754/17, -37082/17], [146/17, 1/17], [0, 0]], [[196008, -116243/2], [-108596779/34, 32196523/34], [196008/17, -116243/34], [-1/2, 0]], [[-196008, 116243/2], [54297956/17, -32196523/34], [-196008/17, 116243/34], [0, 0]]], 1, 12, [], [] >,
< [ -8, -1, 1 ], [[688, 290]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [-134, -109/2], [-2, 3/2], [0, 0]], [[-108, 65/2], [-319/2, -5/2], [-108, 65/2], [-1/2, 2]], [[-780, 377/2], [5661, 5631/2], [-780, 377/2], [-253, -92]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -3/2], [192226/17, 163351/34], [2/17, -3/34], [0, 0]], [[0, 0], [35, 71], [0, 0], [1, 0]], [[0, 0], [-9297/2, -2122], [0, 0], [-39/2, -7]]], 1, 16, [], [] >,
< [ -8, -1, 1 ], [[-592, -250]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-156, -101/2], [4, -1/2], [0, 0]], [[-6, 2], [25217/2, -3752], [-3607/2, 535], [-3, 1]], [[-78, -69/2], [517/2, 6679/2], [1141/2, -221], [-39, -69/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [213, -25/2], [-3, 3/2], [0, 0]], [[-34, 0], [-20727/2, -16574], [-1519/2, -9], [-1, 0]], [[17430, 15981/2], [1240118803/34, 252065805/17], [13813475/34, 6297603/34], [8715/17, 15981/68]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[-592, -250]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [695, 615/2], [-1, -5/2], [0, 0]], [[2, 3/2], [-480807/2, 71186], [68729/2, -20377/2], [1, 3/4]], [[-90, -85/2], [3352859/2, -493739], [-478341/2, 141727/2], [-45, -85/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1003, 1/2], [-5, -1/2], [0, 0]], [[36, -3/2], [14534918/17, -1295415/17], [-67414/17, -165/34], [18/17, -3/68]], [[-5614, -5145/2], [-3622230659/34, -1710282849/34], [24843853/34, 5586314/17], [-2807/17, -5145/68]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[-176, -74]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23/4, -41/4], [-7/4, 3/4], [0, 0]], [[2, -1/2], [15329/2, 6299/2], [-335/2, -55], [1, -1/4]], [[0, 0], [-26541/4, -11177/4], [515/4, 215/4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-773/4, -123/4], [11/4, 1/4], [0, 0]], [[202, 3/2], [-1633757/34, -50951/17], [26419/34, -175/34], [101/17, 3/68]], [[385192, 143365], [-3611463203/34, -694514815/17], [48327053/34, 8900672/17], [192596/17, 143365/34]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-176, -74]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27/4, -5/4], [-5/4, -1/4], [0, 0]], [[0, 1/2], [-61/2, 3], [27/2, 9/2], [0, 1/4]], [[-2, -1/2], [2, 21/2], [-22, -10], [-1, -1/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1735/4, -407/4], [7/4, -3/4], [0, 0]], [[-100, -3/2], [978617/68, -1089165/68], [18953/68, 741/68], [-50/17, -3/68]], [[38218, 28421/2], [814576551/68, 413546479/68], [-7735257/68, -2921967/68], [19109/17, 28421/68]]], 1, 32, [], [] >,
< [ -8, -1, 1 ], [[-8080, -3406]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[34, 5/2], [-54, -69/2], [34, 5/2], [0, 0]], [[121770, -36036], [120272, -35964], [121762, -36040], [2, 1]], [[-193644, 64548], [-485083/2, 42759], [-194510, 64184], [433/2, 91]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[250, -1/2], [-133730/17, -171399/34], [250/17, -1/34], [0, 0]], [[1619128, -480116], [448430575/17, -265993189/34], [1619196/17, -480218/17], [-1, 3/2]], [[355208, -107422], [208326787/34, -54635933/34], [374554/17, -99296/17], [-569/2, -239/2]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[-8080, -3406]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1], [-42, -16], [-2, 1], [0, 0]], [[168, -99/2], [255/2, -56], [170, -79/2], [-1/2, -5/2]], [[-26, -61/2], [6141/2, 2553/2], [-1804, -1557/2], [889/2, 187]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[230, -5/2], [157074/17, 77325/34], [230/17, -5/34], [0, 0]], [[3194640, -1894599/2], [104116517/2, -30870511/2], [187910, -111447/2], [5/2, 0]], [[135198, -78561/2], [77281681/34, -10379870/17], [132852/17, -80533/34], [69/2, 29/2]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[1252816, 528106]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 5/2], [-380, -337/2], [-8, 5/2], [0, 0]], [[0, 0], [-449, -415/2], [-6, -5], [-3, -5/2]], [[0, 0], [44676, 37675/2], [888, 375], [444, 375/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1020, 0], [3104, -2145], [60, 0], [0, 0]], [[114248, -67757/2], [15601552/17, -9253551/34], [114384/17, -67893/34], [4, -2]], [[22344, -13167/2], [2608085/17, -1085923/17], [-10466/17, -40877/34], [-965, -815/2]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[1252816, 528106]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-32, -1/2], [260, 181/2], [-32, -1/2], [0, 0]], [[41640, -12333], [-61535, 18003], [41638, -12335], [-1, -1]], [[-23952, 4209], [96150, 38993/2], [-23244, 4508], [354, 299/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-852, 3/2], [1202876/17, 1112597/34], [-852/17, 3/34], [0, 0]], [[383752420, -113796110], [52398842005/17, -31076030927/34], [383752250/17, -113796127/17], [-5, -1/2]], [[-694861740, 206019855], [-5571322720, 1658857120], [-40881788, 12115619], [-3784, -1598]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[144, 66]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1723, -1411/2], [13, 5/2], [0, 0]], [[-4, 5/2], [904058, -537129/2], [-129570, 38424], [-2, 5/4]], [[-870, -735/2], [305633/2, 366281/2], [44785/2, -7564], [-435, -735/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1163, -33/2], [-5, 5/2], [0, 0]], [[-148, 1/2], [-22557556/17, -25094868/17], [-333112/17, 1075/34], [-74/17, 1/68]], [[875462, 369702], [1284480712937/34, 541124665365/34], [3964673073/34, 1674225627/34], [437731/17, 184851/17]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[144, 66]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4429, -1818], [19, 1], [0, 0]], [[6, -5/2], [62478231/2, -9283891], [-8948969/2, 2653771/2], [3, -5/4]], [[-5456, -2304], [-129015003, -145411251/2], [-3321683, 2443325/2], [-2728, -1152]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-465, 2], [-1, -1], [0, 0]], [[-56, -1/2], [-20388864/17, 9763044/17], [124420/17, -2503/34], [-28/17, -1/68]], [[-292102, -246709/2], [127573136951/34, 26710921824/17], [1217144839/34, 514106959/34], [-146051/17, -246709/68]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[2064, 870]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [407/4, -87/4], [-25/4, 5/4], [0, 0]], [[10, 1/2], [1535, 485], [-105, -69/2], [5, 1/4]], [[-810, -340], [-876569/4, -369253/4], [61191/4, 25779/4], [-405, -170]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5271/4, 727/4], [25/4, -5/4], [0, 0]], [[126, -1], [-5980819/17, -1372379/34], [25953/17, 315/34], [63/17, -1/34]], [[-361722, -304153/2], [97795348799/68, 41169647013/68], [-312449073/68, -131387829/68], [-180861/17, -304153/68]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[2064, 870]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3/2, 1], [-13/2, 1], [0, 0]], [[10, 3/2], [77/4, 45/4], [-83/4, 43/4], [5, 3/4]], [[1536, 648], [23247/4, 9797/4], [6415/4, 2689/4], [768, 324]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2005/4, 391/4], [-21/4, 3/4], [0, 0]], [[-66, -3/2], [494655/34, -48939/34], [2719/34, -91/17], [-33/17, -3/68]], [[9440, 3970], [-43827107/34, -18383841/34], [-279491/34, -117347/34], [4720/17, 1985/17]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[2064, 870]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -5/2], [992, 835/2], [-4, -5/2], [0, 0]], [[-5682, 3369/2], [-4546, 1427], [-5682, 3365/2], [0, 1/2]], [[41514, -12342], [84967/2, -6547], [41280, -12426], [117/2, 21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-454, 1/2], [899682/17, 864795/34], [-454/17, 1/34], [0, 0]], [[262553908, -77856458], [72727336262/17, -21566261833/17], [262553772/17, -77856594/17], [2, 2]], [[751688856, -222902226], [416436271833/34, -61743730146/17], [751690522/17, -222901750/17], [-49/2, -7]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[2064, 870]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-16, -5/2], [1820, 1543/2], [-16, -5/2], [0, 0]], [[-10438, 3095], [-21051/2, 3171], [-10444, 3087], [3/2, 2]], [[32042, -18995/2], [31311, -10152], [32254, -18783/2], [-53, -53/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[168, 3/2], [1786724/17, 1467931/34], [168/17, 3/34], [0, 0]], [[569592, -337809/2], [315536169/34, -46789734/17], [569490/17, -338149/34], [3/2, 5/2]], [[-1578502, 468083], [-437212482/17, 259342479/34], [-1577958/17, 468661/17], [-8, -17/2]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[144, 66]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[32, -1], [-12408, -5196], [32, -1], [0, 0]], [[3671168, -2177249/2], [-8726765, 5163227/2], [3671166, -2177249/2], [-1, 0]], [[-9714372, 5762121/2], [22477281, -7091454], [-9714426, 5762071/2], [-27, -25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[484, 5/2], [-7366604/17, -6152377/34], [484/17, 5/34], [0, 0]], [[-482080436, 142953808], [69598266347/17, -41277118391/34], [-482080334/17, 142953723/17], [3, -5/2]], [[-2156237048, 639401536], [311226356273/17, -184683493103/34], [-2156253878/17, 639393869/17], [-495, -451/2]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[144, 66]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[68, 2], [12696, 5415], [68, 2], [0, 0]], [[556040, -329765/2], [-1316014, 782905/2], [556036, -329765/2], [-2, 0]], [[41396, -24557/2], [-99919, 28331], [41398, -24555/2], [1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-128, 5/2], [16283116/17, 13711511/34], [-128/17, 5/34], [0, 0]], [[35267520, -10458060], [-299496093, 177627147/2], [2074558, -615181], [-1, -1/2]], [[4783800, -1418565], [-40623032, 12047626], [281400, -83445], [0, 0]]], 0, 768, [], [] >,
< [ -8, -1, 1 ], [[1776, 750]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5, 13/2], [-3, -3/2], [0, 0]], [[8, -1/2], [1133, -288], [-87, 33/2], [4, -1/4]], [[-74, -69/2], [-2209/2, -1120], [655/2, 367/2], [-37, -69/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3988, -13/2], [-4, 1/2], [0, 0]], [[-258, -2], [-1769929985/34, -124373142/17], [1529143/34, -586/17], [-129/17, -1/17]], [[-1443510, -1322285/2], [-14605176958563/34, -3200942666740/17], [8294933933/34, 3815096057/34], [-721755/17, -1322285/68]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[1776, 750]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-357, 9], [-5, -2], [0, 0]], [[-8, -5/2], [226702, -130665/2], [250, -5], [-4, -5/4]], [[-34, -31/2], [-569883/2, 188783/2], [597/2, 273], [-17, -31/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4016, 11], [-8, -2], [0, 0]], [[102, 0], [46446763/2, -4564525], [-56301/2, -129], [3, 0]], [[-478, -439/2], [-1028153291/34, -318858275/17], [4559333/34, 2088989/34], [-239/17, -439/68]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[24240, 10218]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [105/4, 27/4], [-7/4, -1/4], [0, 0]], [[2, -5/2], [-183, -96], [9, 9/2], [1, -5/4]], [[26, 0], [3669/4, 1301/4], [-171/4, -63/4], [13, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3369/2, 141/2], [-7/2, -1/2], [0, 0]], [[70, -3/2], [-227422333/68, 20792317/68], [428211/68, 231/68], [35/17, -3/68]], [[4964, 3723/2], [-732704177/4, -257734245/4], [1914031/4, 727825/4], [146, 219/4]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[24240, 10218]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-91/2, 5/2], [5/2, -1/2], [0, 0]], [[6, -1], [-4609/4, -465/4], [207/4, -21/4], [3, -1/2]], [[26, 21/2], [-29487/2, -12335/2], [657/2, 135], [13, 21/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7653/4, -117/4], [5/4, -1/4], [0, 0]], [[26, -5/2], [-10148553/17, -4450089/34], [-3721/17, 41/17], [13/17, -5/68]], [[-2528, -960], [9659944829/68, 4007544337/68], [2012829/68, 797937/68], [-1264/17, -480/17]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[24240, 10218]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -7/2], [-1300, -1097/2], [-24, -21/2], [0, 0]], [[120, 105/2], [44625/2, 18837/2], [418, 327/2], [-3/2, -2]], [[242, 109], [45746, 19331], [886, 327], [0, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[246, 5/2], [-3014014/17, -2709215/34], [738/17, 15/34], [0, 0]], [[-1466210142, 869565421/2], [-1218404830872/17, 361304449269/17], [-4398630314/17, 2608696129/34], [2, -3/2]], [[-56694192, 33643087/2], [-95038561777/34, 27614261537/34], [-170079650/17, 100931719/34], [157/2, 33]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[24240, 10218]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, 9/2], [-826, -695/2], [30, 27/2], [0, 0]], [[30, 29/2], [-2473, -1042], [110, 79/2], [1, -1/2]], [[14, 11/2], [-2085/2, -879/2], [40, 37/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[178, 5/2], [1364234/17, 1029595/34], [534/17, 15/34], [0, 0]], [[225795348, -66956267], [375271508755/34, -111281314037/34], [677386178/17, -200868869/17], [5/2, -3/2]], [[-4166964, 2470795/2], [-3465758028/17, 1025344689/17], [-12502532/17, 7411007/34], [-44, -37/2]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[-3758448, -1584318]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, 3/2], [-13172, -11059/2], [48, 9/2], [0, 0]], [[5025361, -1490189], [-22014025, 6518936], [15076070, -4470574], [1, 1]], [[12907406, -7639827/2], [-69563658, 11221365], [38706416, -22932811/2], [1886, 1593/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[396, 1/2], [-2269476/17, -2049675/34], [1188/17, 3/34], [0, 0]], [[694430769, -411846305/2], [284458593137/17, -84351831448/17], [2083292502/17, -1235539101/34], [-3, 3/2]], [[107942008, -64029089/2], [2608513244, -1536450797/2], [19046800, -11300763/2], [528, 223]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-3758448, -1584318]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-64, -27], [-1400, -590], [-192, -81], [0, 0]], [[-3781, -3187/2], [-78079, -65831/2], [-11338, -9559/2], [-1, 0]], [[-774, 449/2], [5670, -1785], [332, -227/2], [-1010, 599/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-304, -3/2], [5001940/17, 4320743/34], [-912/17, -9/34], [0, 0]], [[-1140096053, 676157121/2], [-467013419053/17, 138486345944/17], [-3420287842/17, 2028471173/34], [-5, 3/2]], [[30576, -9009], [9287080/17, -5055122/17], [91728/17, -27027/17], [0, 0]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-3758448, -1584318]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -1/2], [-3836, -3259/2], [-24, -3/2], [0, 0]], [[578334, -171492], [-2508426, 748611], [1734996, -514478], [-2, 0]], [[-249609, 153211/2], [5040103, 1333849], [-751946, 457003/2], [-489, -413/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, -1/2], [-18310860/17, -15441897/34], [36/17, -3/34], [0, 0]], [[-35224169, 20890407/2], [-848906059, 503358007/2], [-6216006, 3686543/2], [-5, 0]], [[14899252, -8837735/2], [5423169732/17, -2097146574/17], [44794960/17, -26431115/34], [-1152, -973/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-3758448, -1584318]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-604, -509/2], [5468, 4609/2], [-1812, -1527/2], [0, 0]], [[14779, 12459/2], [-134397, -56646], [44346, 37387/2], [-1, 3/2]], [[-10020, 3077], [191708, -115619/2], [2820, -519], [52380, -31065/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-68, 0], [-1018728, -428739], [-12, 0], [0, 0]], [[15096495, -8953283/2], [6183768605/17, -1833742996/17], [45289562/17, -26859929/34], [-1, 1/2]], [[3869644, -1147321], [1523494640/17, -991853417/34], [11581256/17, -3453648/17], [328, 277/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[24240, 10218]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[92, 39], [-528, -222], [276, 117], [0, 0]], [[-2788, -2313/2], [31535/2, 13343/2], [-8332, -6933/2], [1/2, -2]], [[-2550, -2109/2], [14389, 12185/2], [-7618, -6323/2], [1, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[32, 3/2], [-546036/17, -480273/34], [96/17, 9/34], [0, 0]], [[-1485562, 881055/2], [-2469105081/34, 366084033/17], [-4456826/17, 2643285/34], [-5/2, 5/2]], [[-293860, 85435], [-481205645/34, 72517130/17], [-888776/17, 253295/17], [-1365/2, -287]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[24240, 10218]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 3/2], [536, 451/2], [12, 9/2], [0, 0]], [[-1006, -847/2], [-139531, -58816], [-3026, -2547/2], [1, 1/2]], [[176, 76], [49557/2, 10449], [528, 229], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[202, 3/2], [-2144954/17, -1947373/34], [606/17, 9/34], [0, 0]], [[44041354, -13059814], [73196233459/34, -21705413315/34], [132124178/17, -39179498/17], [3/2, -5/2]], [[209341620, -124123937/2], [348756456421/34, -102795845261/34], [628145544/17, -372271063/34], [22873/2, 4806]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[11776, 4964]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [262, 111], [32, 13], [0, 0]], [[10, 1/2], [2929, 1203], [296, 158], [10, 1/2]], [[5074, -1505], [42848, -12933], [-45330, 13415], [5074, -1505]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45309, 19086], [-6, -1], [0, 0]], [[-70, 3/2], [-776689049/17, -327434338/17], [59676/17, 29669/17], [-70/17, 3/34]], [[7987076, -4736897/2], [-492906282, 146850325], [68392552, -20280855], [469828, -278641/2]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[11776, 4964]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-227, -96], [-144, -61], [0, 0]], [[-2, -3/2], [-1277, -667], [-770, -446], [-2, -3/2]], [[6230, -3695/2], [1222452, -362543], [1153338, -342033], [6230, -3695/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2862, 1205], [-116, -49], [0, 0]], [[236, 3/2], [267867/17, 135619/17], [-12540/17, -5266/17], [236/17, 3/34]], [[2562250, -759797], [-593726095/17, 176061351/17], [-526078/17, 155972/17], [2562250/17, -759797/17]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[32, 4]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1744, 743], [-4, -5], [0, 0]], [[-8, -3/2], [1020896, -302299], [-431140, 127829], [-8, -3/2]], [[-38, -9/2], [6287416, -1862676], [-2655746, 787444], [-38, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [713624, 300799], [20, -3], [0, 0]], [[22, 1/2], [3826697064/17, -1133376850/17], [2349163566/17, -696609554/17], [22/17, 1/34]], [[2904, 372], [371820619768/17, -110016760892/17], [228164132852/17, -67658679638/17], [2904/17, 372/17]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[32, 4]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5888, 2494], [12, 0], [0, 0]], [[6, -3/2], [-596772, 176979], [251546, -74591], [6, -3/2]], [[-6, -1], [229620, -68243], [-96890, 28719], [-6, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-417032, -175797], [12, 3], [0, 0]], [[-32, -3/2], [318665648/17, -94534528/17], [196017780/17, -58126234/17], [-32/17, -3/34]], [[-9570, -2407/2], [75228322804/17, -22322169962/17], [46278866366/17, -13723336736/17], [-9570/17, -2407/34]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[32, 4]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9972, -4217], [20, -5], [0, 0]], [[10, 3/2], [-145744, 41858], [-143586, 42598], [10, 3/2]], [[-968, -88], [17114792, -4960887], [16925528, -5020669], [-968, -88]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [384616, 162073], [16, 3], [0, 0]], [[-192, -1/2], [-1993531508/17, 591142419/17], [-132899304/17, 39408951/17], [-192/17, -1/34]], [[-25878, -7491/2], [-177535366556/17, 52643535506/17], [-11835398390/17, 3509539032/17], [-25878/17, -7491/34]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[11776, 4964]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [712, 300], [-4, -2], [0, 0]], [[3, -5/2], [-9964, -4201], [41, 28], [3, -5/2]], [[5072, -1504], [1286, -263], [-14412, 4273], [5072, -1504]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [51614, 21761], [220, 93], [0, 0]], [[-34, 0], [10768894, 4536372], [46334, 19270], [-2, 0]], [[6248097, -3705561/2], [-22933579494/17, 6800907467/17], [-1936853475/17, 574346424/17], [6248097/17, -3705561/34]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-32, -16]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-204, -87], [-20, -7], [0, 0]], [[0, 0], [-1971, -818], [-156, -79], [-2, -6]], [[0, 0], [3469, 1370], [166, 165], [-36, 22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-215, -99], [46, 18], [0, 0]], [[0, 0], [710469/17, -485630/17], [255546/17, -22263/17], [56/17, -8/17]], [[0, 0], [28385702/17, 10702845/17], [-4891470/17, -2270985/17], [-762/17, -372/17]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[1632, 688]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, 33], [36, 15], [0, 0]], [[0, 0], [5586, 2340], [2514, 1042], [10, -10]], [[0, 0], [42293, 17681], [19072, 7862], [124, -90]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2019, 880], [140, 59], [0, 0]], [[0, 0], [9660766/17, -2884964/17], [-6682/17, 702/17], [-62/17, 4/17]], [[0, 0], [-14089062/17, 3395899/17], [-62372/17, -31013/17], [-720/17, -344/17]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[1632, 688]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-454, -192], [20, 8], [0, 0]], [[0, 0], [-29880, -12603], [1403, 586], [-131, -55]], [[0, 0], [145596, 61589], [-7026, -2807], [646, 266]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-152, -118], [-20, -8], [0, 0]], [[0, 0], [2483350/17, -845751/17], [-40243/17, 666/17], [-197/17, -1/17]], [[0, 0], [-186877612/17, -5799762/17], [-7837491/17, -3983569/17], [-41917/17, -20833/17]]], 0, 144, [], [] >,
< [ -8, -1, 1 ], [[11635072, 4904592]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13672, -5772], [-4, 2], [0, 0]], [[0, 0], [528460, -160153], [-224110, 66457], [-6, 2]], [[0, 0], [462772, 88068], [-62674, 18552], [-22, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -19], [-12, -1], [0, 0]], [[0, 0], [-71796/17, -164824/17], [-103430/17, -4104/17], [250/17, 8/17]], [[0, 0], [-61273528/17, -27801020/17], [-12767960/17, -4803310/17], [30240/17, 11320/17]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[11635072, 4904592]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18048, 7635], [20, -3], [0, 0]], [[0, 0], [-2407640, 712473], [1013428, -300521], [8, -6]], [[0, 0], [-1574912, 518880], [694106, -205688], [186, 72]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [272, 3], [8, -3], [0, 0]], [[0, 0], [-1670704/17, -1058649/17], [43794/17, -1421/17], [90/17, -8/17]], [[0, 0], [-4338013152/17, -1849236265/17], [34107588/17, 13221231/17], [56232/17, 21032/17]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[11635072, 4904592]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10692, 4506], [12, 4], [0, 0]], [[0, 0], [-8992, 2674], [-9014, 2678], [-10, 8]], [[0, 0], [13820, -4389], [13984, -4341], [-244, -122]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -66], [4, -4], [0, 0]], [[0, 0], [-1909452/17, -315613/17], [-134060/17, 7283/17], [-216/17, -8/17]], [[0, 0], [578642196/17, 230452082/17], [23061066/17, 7965342/17], [48930/17, 18340/17]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[39712, 16740]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1144, -482], [16, -3], [0, 0]], [[0, 0], [18281, 4716], [-171850, 50943], [5, 1]], [[0, 0], [-1228281, -393181/2], [18457678, -5472434], [-357, -63/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [43504, 18379], [-8, 0], [0, 0]], [[0, 0], [-18523737/17, 11033423/34], [-1544006/17, 457715/17], [-5, -5/2]], [[0, 0], [-29557160/17, 17536821/34], [-2459436/17, 729292/17], [0, -1/2]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[39712, 16740]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1080, -455], [-84, -36], [0, 0]], [[0, 0], [699, 593/2], [38, 23], [-5, 1/2]], [[0, 0], [9934, -2954], [37508, -11123], [14022, -4158]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-89712/17, -36841/17], [-200/17, -3/17], [0, 0]], [[0, 0], [-1754331/17, 1035715/34], [-146122/17, 43215/17], [-3, -5/2]], [[0, 0], [30243144/17, -8989317/17], [2521996/17, -748893/17], [-72, -9]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-256, -108]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-102, -43], [14, 6], [0, 0]], [[0, 0], [875/2, 359/2], [-50, -31], [5/2, -1/2]], [[0, 0], [3435/2, 735], [-288, -99], [-7/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-136576/17, -39909/17], [156/17, 2/17], [0, 0]], [[0, 0], [-408867797/34, 121225477/34], [737946/17, -218823/17], [-3/2, -5/2]], [[0, 0], [-32506657305/34, 4819132454/17], [58670480/17, -17397622/17], [-83/2, -166]]], 1, 36, [], [] >,
< [ -8, -1, 1 ], [[-256, -108]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 30], [12, 5], [0, 0]], [[0, 0], [-59/2, -5/2], [-6, -1], [-1/2, -5/2]], [[0, 0], [-1229/2, -168], [-140, -45], [-171/2, -57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [87392/17, 12537/17], [-220/17, -5/17], [0, 0]], [[0, 0], [-20013576/17, 11865231/34], [72254/17, -21423/17], [-2, 5/2]], [[0, 0], [17/2, 0], [0, 0], [-1/2, 0]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[224, 92]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3043, 2529/2], [-5, 1/2], [0, 0]], [[0, 0], [747591/2, -222195/2], [-107009/2, 31747/2], [3, 5/2]], [[0, 0], [10735654, -6355101/2], [-1534594, 909769/2], [-160, -32]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [349, -43/2], [5, 5/2], [0, 0]], [[0, 0], [6645536/17, -4298889/34], [-28248/17, -723/34], [-12/17, 1/34]], [[0, 0], [-199767479/34, 36902732/17], [1504577/34, 132858/17], [297/17, 73/34]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[224, 92]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7211, -6085/2], [5, 5/2], [0, 0]], [[0, 0], [114333/2, 48049/2], [-107/2, -33/2], [-5, 1]], [[0, 0], [-52233/2, 7898], [4255/2, -631], [1155, -685/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1121, -8], [-1, 1], [0, 0]], [[0, 0], [270313/34, -1106010/17], [16145/34, 4/17], [73/17, 1/34]], [[0, 0], [156475613/17, 202048109/17], [-1332179/17, -163840/17], [-12122/17, -3135/34]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[64, 28]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1885/4, -801/4], [-13/4, -5/4], [0, 0]], [[0, 0], [-103089/2, 30565/2], [7719/2, -2289/2], [1, 0]], [[0, 0], [47157/4, -13981/4], [-3531/4, 1047/4], [1, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1915/2, -2], [-5/2, 0], [0, 0]], [[0, 0], [16103193/68, 289217/68], [-39847/68, -787/68], [93/17, 5/34]], [[0, 0], [87507749/17, -396578537/17], [-202639/17, 982425/17], [1375/17, -18425/34]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[64, 28]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [925, 390], [-3, -1], [0, 0]], [[0, 0], [-1577/4, -37/4], [-3081/4, 915/4], [2, -2]], [[0, 0], [-252, 353/2], [-1392, 825/2], [9, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3461/4, 371/4], [-5/4, 3/4], [0, 0]], [[0, 0], [7436495/68, -36227517/68], [262095/68, 871/68], [-20/17, -2/17]], [[0, 0], [-49330750/17, 484128/17], [-37018/17, 43650/17], [1/17, -27/34]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[-3008, -1268]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -9], [22, 1], [0, 0]], [[0, 0], [-34889/2, 5241], [-17866, 5244], [-5/2, 1]], [[0, 0], [-6978, -11124], [26102, 2703], [-68, -30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-190056/17, -100371/17], [164/17, -4/17], [0, 0]], [[0, 0], [-1231212215/2, 182582646], [-2222778, 659132], [-3/2, -2]], [[0, 0], [2488885842, -741095374], [9001302, -2669217], [300, 132]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[-3008, -1268]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-182, -85], [18, 0], [0, 0]], [[0, 0], [9145/2, -2109/2], [3786, -1125], [1/2, -5/2]], [[0, 0], [-64011, -38711/2], [-9282, 3047], [407, 357/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [206426/17, 58743/17], [254/17, 5/17], [0, 0]], [[0, 0], [-2949590693/34, 874613559/34], [-5324002/17, 1578687/17], [-5/2, 3/2]], [[0, 0], [1282152377/34, -191139953/17], [2315038/17, -689699/17], [105/2, 21]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[466400, 196604]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [672, 283], [60, 3], [0, 0]], [[0, 0], [-111087, 9039/2], [-5870346, 1739533], [-5, -3/2]], [[0, 0], [-1669668, -555201], [-17050120, 5010468], [-156, -64]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [460376/17, 197715/17], [724/17, 1/17], [0, 0]], [[0, 0], [-11680144022/17, 3463528916/17], [973332180/17, -288627234/17], [-2, 1]], [[0, 0], [-2980279855/17, 1774513177/34], [248762310/17, -73765589/17], [-45, -37/2]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[466400, 196604]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-112, -47], [-3060, -1290], [0, 0]], [[0, 0], [-1787, -1525/2], [-48870, -20589], [-5, 5/2]], [[0, 0], [-16626, 9779/2], [18984, -6734], [8274, -4907/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [249456/17, 110391/17], [1040/17, 2/17], [0, 0]], [[0, 0], [-4614415677/17, 2736884093/34], [384564530/17, -114036624/17], [5, 3/2]], [[0, 0], [36280212929/17, -10768782761/17], [-3024735318/17, 896912481/17], [-417, -171]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-96, -12]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1883, -793], [5, 2], [0, 0]], [[0, 0], [-274351, 162647/2], [39401, -23381/2], [-2, -5/2]], [[0, 0], [7509003/2, -2257663/2], [-1094317/2, 317837/2], [-2169, -1783/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1351, -33/2], [7, 5/2], [0, 0]], [[0, 0], [1168288173/34, -310010955/34], [1463477/34, -109/34], [19/17, -3/34]], [[0, 0], [-19390941226/17, -6389031568/17], [-203257362/17, -84307725/17], [-3896/17, -1600/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-96, -12]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3857, 3249/2], [-23, -19/2], [0, 0]], [[0, 0], [87033/2, 36745/2], [-463/2, -205/2], [1, 1]], [[0, 0], [-289585/2, 42840], [49367/2, -7319], [-2885, 1711/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-839, -9], [-7, 2], [0, 0]], [[0, 0], [-141127709/34, -28349007/17], [-96053/34, -256/17], [3/17, 2/17]], [[0, 0], [64948072065/34, 27457681635/34], [17551241/34, 8540771/34], [-1937/17, -1591/34]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-768, -324]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1733/4, 645/4], [-11/4, 1/4], [0, 0]], [[0, 0], [6054, -1778], [-398, 118], [1, 3/2]], [[0, 0], [-5333/4, 817/4], [283/4, -83/4], [-28, -12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4351/4, -695/4], [17/4, 5/4], [0, 0]], [[0, 0], [-80586411/68, 11311997/68], [213237/68, 2061/68], [-105/17, -2/17]], [[0, 0], [13548942260/17, 12686811573/34], [-73155600/17, -64127079/34], [148685/17, 130071/34]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[-768, -324]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [495/2, 101], [15/2, 0], [0, 0]], [[0, 0], [-1601/2, 219], [-1465/2, 217], [-1, 0]], [[0, 0], [-1127/4, -1169/4], [889/4, -281/4], [-8, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3185/4, 629/4], [17/4, 5/4], [0, 0]], [[0, 0], [-115415, 19247/2], [-459, -39/2], [-1, 0]], [[0, 0], [-6781711/17, -6046479/34], [-43647/17, -37779/34], [-86/17, -75/34]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[-35328, -14892]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1136, 491], [-36, -3], [0, 0]], [[0, 0], [-33300, 19785/2], [-33418, 9918], [-2, -3/2]], [[0, 0], [-80735/2, 11747], [-40328, 11854], [75/2, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3181174/17, 1327285/17], [122/17, 2/17], [0, 0]], [[0, 0], [-92682939789/34, 27483144915/34], [-167291964/17, 49608037/17], [1/2, -3/2]], [[0, 0], [-666185304885/34, 98768758056/17], [-1202444222/17, 356568409/17], [-27/2, -18]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[-35328, -14892]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2202, -915], [-34, -1], [0, 0]], [[0, 0], [-320459/2, 48500], [-162952, 48339], [-5/2, -2]], [[0, 0], [-17061789/2, 2540346], [-8618094, 2555762], [57/2, -38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3560858/17, -1516499/17], [142/17, 4/17], [0, 0]], [[0, 0], [-2029591341/2, 300952695], [-3663802, 1086445], [1/2, 0]], [[0, 0], [-85560432, 25369893], [-308884, 91595], [0, 0]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[5477664, 2309028]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8360, 3524], [60, 3], [0, 0]], [[0, 0], [21102, -1815], [9793996, -2904250], [-2, 0]], [[0, 0], [27693, 4149/2], [8777994, -2602951], [-3, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5135024/17, -2161343/17], [652/17, 4/17], [0, 0]], [[0, 0], [-119290695, 70743069/2], [9940358, -2947670], [1, -5/2]], [[0, 0], [-2253608782/17, 668346812/17], [187804520/17, -55690513/17], [10, 1]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[5477664, 2309028]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4600, 1939], [1748, 737], [0, 0]], [[0, 0], [-3006513, -1267347], [-1142330, -481524], [3, -2]], [[0, 0], [-663930, 394113/2], [-1416228, 420029], [553302, -328147/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6912352/17, 2915386/17], [316/17, 1/17], [0, 0]], [[0, 0], [-1726280136/17, 1023674457/34], [143840528/17, -42653759/17], [0, 1/2]], [[0, 0], [-5455277529/17, 3235875009/34], [454608998/17, -134807617/17], [-5, -1/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-672, -276]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24831, 20841/2], [-17, -1/2], [0, 0]], [[0, 0], [-48536785/2, 7202336], [6939575/2, -1028915], [3, -1/2]], [[0, 0], [-133320557/2, 19857845], [19091211/2, -2830623], [15, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3273, 33/2], [-7, -5/2], [0, 0]], [[0, 0], [-1438376191/34, 376079897/34], [777657/34, 3219/34], [25/17, 5/34]], [[0, 0], [-8705718737/34, 2239468019/34], [4926983/34, 124463/34], [161/17, 39/34]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-672, -276]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7231, 6095/2], [-241, -203/2], [0, 0]], [[0, 0], [263670, 222317/2], [-8858, -7471/2], [4, 1/2]], [[0, 0], [-9021441/2, 2675215/2], [1127575/2, -334367/2], [436471, -129429]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-139, 13/2], [-3, -3/2], [0, 0]], [[0, 0], [-914059/34, -5595/34], [-2371/34, 23/34], [93/17, 5/34]], [[0, 0], [11216759/34, 886367/34], [28831/34, 1807/34], [-1155/17, -231/34]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[414912, 174900]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26739/4, 11163/4], [-29/4, -5/4], [0, 0]], [[0, 0], [-928837/2, 137635], [61875/2, -9174], [3, -3/2]], [[0, 0], [-314210, 93018], [20922, -6204], [1, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-975/4, 735/4], [1/4, -5/4], [0, 0]], [[0, 0], [-2151903/68, 309683/68], [23793/68, 783/68], [-90/17, -1/34]], [[0, 0], [-11673517/34, 3951160/17], [-11893/34, -51230/17], [-75/17, 1515/34]]], 1, 864, [], [] >,
< [ -8, -1, 1 ], [[414912, 174900]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9013/4, -3799/4], [11/4, 5/4], [0, 0]], [[0, 0], [-1885/4, 567/4], [-2573/4, 763/4], [5, 0]], [[0, 0], [-2583/2, 378], [-3487/2, 517], [3, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1141/2, 125], [5/2, 1], [0, 0]], [[0, 0], [-3872837/68, 880493/68], [-3845/68, 49/68], [44/17, 1/17]], [[0, 0], [103007619/68, -43000081/68], [9331/68, -53489/68], [69/17, 1265/34]]], 1, 864, [], [] >,
< [ -8, -1, 1 ], [[-9024, -3804]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2074, -886], [6, -9], [0, 0]], [[0, 0], [-542991/2, 163461/2], [-268374, 79592], [-1/2, 1/2]], [[0, 0], [-37293, -41145/2], [6286, -2117], [-13, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3662092/17, -1486822/17], [-480/17, 3/17], [0, 0]], [[0, 0], [25064888457/34, -7432542099/34], [45243158/17, -13416029/17], [-1/2, -3/2]], [[0, 0], [-42130809913/34, 6244959208/17], [-76048764/17, 22544406/17], [189/2, 42]]], 1, 864, [], [] >,
< [ -8, -1, 1 ], [[-9024, -3804]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [692, 287], [-24, -15], [0, 0]], [[0, 0], [168459/2, -24672], [86958, -25820], [1/2, -2]], [[0, 0], [-727360, 121562], [-604482, 189711], [774, 342]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1309388/17, 513551/17], [336/17, 3/17], [0, 0]], [[0, 0], [1846786121, -547637737], [6667106, -1977022], [1, -2]], [[0, 0], [-26632361845/34, 3949000435/17], [-48079460/17, 14253491/17], [109/2, 24]]], 1, 864, [], [] >,
< [ -8, -1, 1 ], [[1399200, 589812]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12400, 5227], [-36, -12], [0, 0]], [[0, 0], [-24471, 12075/2], [2015274, -597607], [1, -5/2]], [[0, 0], [-1783244, -1002074], [-30868316, 9144259], [-3916, -1606]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14859456/17, 6262983/17], [-144/17, 6/17], [0, 0]], [[0, 0], [1399228645/17, -415103888/17], [-116648314/17, 34590353/17], [5, 2]], [[0, 0], [822537797, -488265911/2], [-68584998, 20337895], [101, 83/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[1399200, 589812]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11368, -4792], [276, 117], [0, 0]], [[0, 0], [-584223, -246285], [14678, 5904], [-3, 2]], [[0, 0], [263771, -121661/2], [4693578, -1392236], [-54073, 32069/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2436952/17, 1025260/17], [-360/17, 15/17], [0, 0]], [[0, 0], [7748539, -4594849/2], [-645702, 191473], [-1, -1/2]], [[0, 0], [-5091792/17, 1510941/17], [424452/17, -125865/17], [0, 0]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[1399200, 589812]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5544, -2337], [36, 3], [0, 0]], [[0, 0], [521, -83/2], [444786, -131896], [-1, 3/2]], [[0, 0], [5918, 2606], [-189720, 56208], [66, 27]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13833872/17, 5830832/17], [-132/17, -3/17], [0, 0]], [[0, 0], [759214573/17, -225222185/17], [-63296910/17, 18769670/17], [-5, 0]], [[0, 0], [109072215/17, -68657721/34], [-9325290/17, 2763254/17], [-47, -39/2]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[1399200, 589812]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15688, -6613], [660, 279], [0, 0]], [[0, 0], [-2117673, -1785411/2], [90042, 37392], [-3, -3/2]], [[0, 0], [-251607, 147363/2], [-4432462, 1314420], [-1789, 1061/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3448424/17, -1457591/17], [-804/17, -9/17], [0, 0]], [[0, 0], [82610675017/17, -48992955229/34], [-6884083494/17, 2041372706/17], [-5, -3/2]], [[0, 0], [649816698261/17, -192644848590/17], [-54145114854/17, 16055917590/17], [-417, -171]]], 0, 6912, [], [] >,
< [ -8, -1, 1 ], [[-9024, -3804]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-816, -336], [-12, 3], [0, 0]], [[0, 0], [-40159/2, 7468], [-22402, 6661], [-3/2, -2]], [[0, 0], [-304264, -747209/2], [337674, -105654], [1014, 897/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2665756/17, 1114471/17], [72/17, -3/17], [0, 0]], [[0, 0], [-2159593172/17, 1280483039/34], [-7794998/17, 2311362/17], [2, 5/2]], [[0, 0], [-78167293533/34, 11532365088/17], [-140861050/17, 41722175/17], [3127/2, 689]]], 1, 864, [], [] >,
< [ -8, -1, 1 ], [[-9024, -3804]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2062, 862], [-18, -15], [0, 0]], [[0, 0], [2267932, -1324411/2], [2318098, -687519], [-2, -5/2]], [[0, 0], [120411437/2, -13019411], [54930252, -16345647], [-3927/2, -867]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2176634/17, -847289/17], [-630/17, -12/17], [0, 0]], [[0, 0], [-352248675289/17, 104452387166/17], [-1271635374/17, 377084363/17], [1, 0]], [[0, 0], [-595485937773/34, 88378825764/17], [-1075297236/17, 318875731/17], [-41/2, -9]]], 1, 864, [], [] >,
< [ -8, -1, 1 ], [[296169304288, 124845776672]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9671, -4077], [-6, -2], [0, 0]], [[0, 0], [-41903, -17667], [-48, -2], [-62, -10]], [[0, 0], [26790, 9808], [-11076, 3294], [-9804, 2924]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [346, -56], [8, 10], [0, 0]], [[0, 0], [490102/17, -157006/17], [-26530/17, 1138/17], [706/17, 6/17]], [[0, 0], [-24403275/17, -9954659/17], [-13785278/17, -5822236/17], [441324/17, 186300/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[296169304288, 124845776672]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-671, -285], [24, 8], [0, 0]], [[0, 0], [-6440, -2698], [170, 84], [-14, -10]], [[0, 0], [-13156, 1702], [-7378, 2252], [2466, -738]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1569, -509], [-88, -34], [0, 0]], [[0, 0], [15304669/17, -2202881/17], [445928/17, 12048/17], [-108/17, -4/17]], [[0, 0], [-4178860209/17, -1772085779/17], [-258769338/17, -109294822/17], [64610/17, 27286/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44520, 18754], [-8, 2], [0, 0]], [[0, 0], [-164092, 48670], [69130, -20500], [-22, 6]], [[0, 0], [-2100, 690], [918, -276], [-6, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-552, 10], [12, 2], [0, 0]], [[0, 0], [12734612/17, -2204664/17], [-211182/17, 6194/17], [-54/17, -2/17]], [[0, 0], [140086060/17, -26288670/17], [-2256910/17, 121636/17], [-570/17, -6/17]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-391328, -164980], [-12, 4], [0, 0]], [[0, 0], [1208912, -358744], [-509858, 151170], [-50, -6]], [[0, 0], [-2429304, 719530], [1023604, -303602], [-52, -52]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-408, 26], [12, 6], [0, 0]], [[0, 0], [542584/17, -159282/17], [1800/17, -262/17], [624/17, 8/17]], [[0, 0], [-17454864/17, 5116448/17], [-59634/17, 7674/17], [-21330/17, -790/17]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [145284, 61234], [-4, -10], [0, 0]], [[0, 0], [-21059924, 6245108], [-21057242, 6244226], [38, 2]], [[0, 0], [18483892, -5481784], [18482230, -5480718], [-138, -46]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [356, 116], [-20, 8], [0, 0]], [[0, 0], [6715716/17, 2961832/17], [148234/17, 2274/17], [2/17, -10/17]], [[0, 0], [47378748/17, 18841238/17], [-296506/17, 394904/17], [-218/17, 2/17]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[296169304288, 124845776672]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6286, -2654], [48, 16], [0, 0]], [[0, 0], [-145676, -61528], [1171, 361], [-31, -1]], [[0, 0], [-228700, 56270], [-234036, 69478], [21336, -6328]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-174, -32], [-4, -2], [0, 0]], [[0, 0], [-1310/17, 770/17], [-2139/17, 155/17], [-69/17, 5/17]], [[0, 0], [378106/17, 158786/17], [-473494/17, -200074/17], [-15274/17, -6454/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[1010863840, 426114656]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -40], [4, -8], [0, 0]], [[0, 0], [-8301/2, -3207/2], [-758, -94], [-5/2, -3/2]], [[0, 0], [13585/2, 4717/2], [1768, -34], [5/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [124702/17, 2634/17], [-474/17, -10/17], [0, 0]], [[0, 0], [-196895311/34, 3977415/34], [374330/17, -7498/17], [7/2, 5/2]], [[0, 0], [1107128813/34, 426278137/34], [-2105986/17, -810940/17], [-133/2, -57/2]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[1010863840, 426114656]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 26], [-22, -6], [0, 0]], [[0, 0], [-2469/2, -535/2], [8740, -2384], [11/2, 5/2]], [[0, 0], [5661/2, 2057/2], [-6360, 1270], [-35/2, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16532/17, -2046/17], [-56/17, 8/17], [0, 0]], [[0, 0], [31771/34, -35945/34], [24/17, 118/17], [5/2, 5/2]], [[0, 0], [9901, 3730], [-90, -36], [-39, -16]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[768, 320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-296, -126], [12, -16], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [-160, -68], [4, -8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3192/17, -48/17], [-312/17, -4/17], [0, 0]], [[0, 0], [-27, 0], [2, 0], [1, 0]], [[0, 0], [544288/17, 226326/17], [-58388/17, -24328/17], [0, 0]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[768, 320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-344, -146], [-20, 12], [0, 0]], [[0, 0], [-1, 0], [2, 0], [1, 0]], [[0, 0], [-576, -244], [-20, 16], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6816/17, -22/17], [-364/17, -16/17], [0, 0]], [[0, 0], [41, 0], [2, 0], [1, 0]], [[0, 0], [-2319800/17, -968522/17], [-140560/17, -58800/17], [0, 0]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[-256, -64]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [319, 123], [-41, -17], [0, 0]], [[0, 0], [9/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [270, 100], [-34, -14], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1034, -166], [58, 24], [0, 0]], [[0, 0], [965766808/17, -285021629/17], [1273560/17, 20511/17], [-78/17, -1/17]], [[0, 0], [-9125951355/34, 1026158143/34], [-688928131/34, -286772033/34], [20879/17, 8689/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-256, -64]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1149, 457], [-155, -65], [0, 0]], [[0, 0], [-7/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [-7621, -2753], [979, 407], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-900, -134], [44, 18], [0, 0]], [[0, 0], [45908287/34, -13003935/34], [-160521/34, 4285/34], [41/17, -1/17]], [[0, 0], [1914438615/34, 573719691/34], [-113690161/34, -47405645/34], [29283/17, 12212/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-32, -32]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [81/2, -45/2], [-15/2, -1/2], [0, 0]], [[0, 0], [-3, 0], [1, 0], [1, 0]], [[0, 0], [637/4, -133/4], [-19/4, 19/4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9953/4, 183/4], [-47/4, -1/4], [0, 0]], [[0, 0], [-631183505/17, 3729670/17], [2978883/17, -9198/17], [3/17, 2/17]], [[0, 0], [-8534581/4, -3255483/4], [40635/4, 15525/4], [0, 0]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-32, -32]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1003/4, -437/4], [21/4, -5/4], [0, 0]], [[0, 0], [-3, 0], [1, 0], [1, 0]], [[0, 0], [-221, -101], [11, -3], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8459/4, -677/4], [-43/4, -5/4], [0, 0]], [[0, 0], [-13304533, 484610], [-65417, 112], [1, 0]], [[0, 0], [43009178899/17, 18526266567/17], [240260935/17, 103079689/17], [-3695/17, -1585/17]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[-32, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -44], [42, -6], [0, 0]], [[0, 0], [25541/2, -18283/2], [23342, -6372], [-7/2, -3/2]], [[0, 0], [19304, -5782], [21644, -6412], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [73986/17, -656/17], [286/17, -2/17], [0, 0]], [[0, 0], [1735637/17, -2572584/17], [6512/17, -9950/17], [1, 0]], [[0, 0], [10820475/34, 12454427/34], [21392/17, 24178/17], [-5/2, -1/2]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-32, -32]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 8], [-38, 10], [0, 0]], [[0, 0], [-297, -59], [-150, 10], [5, 1]], [[0, 0], [3733/2, 409/2], [1144, -162], [-63/2, -7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-278722/17, -2804/17], [-1018/17, -10/17], [0, 0]], [[0, 0], [-1443294117/34, -372225715/34], [-2634648/17, -679108/17], [7/2, 5/2]], [[0, 0], [117896711, -5026042], [430626, -18436], [5, -6]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-256, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-344, -146], [20, 8], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [8, -2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15864/17, 342/17], [-404/17, -20/17], [0, 0]], [[0, 0], [27, 0], [2, 0], [1, 0]], [[0, 0], [-1239760/17, -274188/17], [32956/17, 8008/17], [0, 0]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[-256, -64]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-88, -38], [4, 16], [0, 0]], [[0, 0], [-1, 0], [2, 0], [1, 0]], [[0, 0], [-96, -120], [-1700, 544], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3552/17, -158/17], [1180/17, 16/17], [0, 0]], [[0, 0], [-41, 0], [2, 0], [1, 0]], [[0, 0], [-1080760/17, -291234/17], [339612/17, 84084/17], [0, 0]]], 0, 18432, [], [] >,
< [ -8, -1, 1 ], [[-2304, -960]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1933, -817], [11, 5], [0, 0]], [[0, 0], [9/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [3263, -927], [-537, 159], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [321, -35], [-7, 5], [0, 0]], [[0, 0], [-1178211/34, 2624811/34], [355157/34, 4319/34], [-27/17, -1/17]], [[0, 0], [195743759/34, 176566151/34], [21843159/34, 4826835/34], [-1729/17, -416/17]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[-2304, -960]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1366, 612], [22, 4], [0, 0]], [[0, 0], [-7/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [3041, 1325], [41, 11], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [450, -26], [-14, 4], [0, 0]], [[0, 0], [697010, 270262], [-2270, 22], [2, 0]], [[0, 0], [-4863645227/34, -2013239003/34], [8708797/34, 2134981/34], [-3913/17, -988/17]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[-672, -288]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2815/4, 465/4], [-113/4, 1/4], [0, 0]], [[0, 0], [-1, 0], [3, 0], [1, 0]], [[0, 0], [47720, -12794], [-3136, 896], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18947/4, -453/4], [141/4, 3/4], [0, 0]], [[0, 0], [345577551/17, 3401612/17], [-2572809/17, -18606/17], [24/17, -1/17]], [[0, 0], [883343606/17, 652815539/17], [-6477166/17, -4831573/17], [43/17, 40/17]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[-672, -288]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, 19], [-17, 1], [0, 0]], [[0, 0], [-1, 0], [3, 0], [1, 0]], [[0, 0], [-399/4, 263/4], [-559/4, 143/4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13203/4, 653/4], [83/4, 5/4], [0, 0]], [[0, 0], [31780199/17, -371490/17], [199267/17, -254/17], [-105/17, -2/17]], [[0, 0], [45555744, 57168448], [316176, 365604], [-198, -200]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[-672, -288]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [70, 16], [-30, 6], [0, 0]], [[0, 0], [681, 372], [166, -72], [1, 2]], [[0, 0], [-596913/2, -250869/2], [12700, 4726], [-2403/2, -999/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [83374/17, -1628/17], [246/17, -6/17], [0, 0]], [[0, 0], [-5318254/17, -5220949/17], [-15050/17, -15292/17], [0, 1]], [[0, 0], [244637385/34, 101380995/34], [355588/17, 147276/17], [-37/2, -15/2]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[-672, -288]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -2], [-28, -4], [0, 0]], [[0, 0], [95/2, 35/2], [92, 34], [9/2, 5/2]], [[0, 0], [1513, 649], [2934, 1258], [189, 77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [408738/17, 2940/17], [1426/17, 10/17], [0, 0]], [[0, 0], [-5096419585/34, 1998365177/34], [-8895186/17, 3486958/17], [-3/2, -1/2]], [[0, 0], [-14946384621/34, -7567786593/34], [-26055088/17, -13194870/17], [69/2, 29/2]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[-2304, -960]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80, -2], [-44, 16], [0, 0]], [[0, 0], [9, 0], [2, 0], [1, 0]], [[0, 0], [-1048, -442], [124, 52], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16408/17, 172/17], [-1016/17, -20/17], [0, 0]], [[0, 0], [129, 0], [2, 0], [1, 0]], [[0, 0], [-1581296/17, -659174/17], [100812/17, 42048/17], [0, 0]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[-2304, -960]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 4], [28, -8], [0, 0]], [[0, 0], [-3, 0], [2, 0], [1, 0]], [[0, 0], [280, 118], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33064/17, 226/17], [248/17, -16/17], [0, 0]], [[0, 0], [-75, 0], [2, 0], [1, 0]], [[0, 0], [-15450392/17, -6463418/17], [-88844/17, -37016/17], [0, 0]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[768, 192]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-438, -120], [26, 2], [0, 0]], [[0, 0], [-39/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [289, 151], [-7, -7], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4140, -12], [20, 2], [0, 0]], [[0, 0], [1501895645/34, -137699205/34], [-6727035/34, 25971/34], [-35/17, 5/17]], [[0, 0], [-10992538876/17, -4600411609/17], [70219412/17, 29476211/17], [386/17, 161/17]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[768, 192]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-276, -102], [28, 10], [0, 0]], [[0, 0], [9/2, 1/2], [1/2, 1/2], [1, 0]], [[0, 0], [167, 53], [-17, -5], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-451, -25], [5, 5], [0, 0]], [[0, 0], [13007/34, 326067/34], [-30249/34, -1449/34], [-45/17, 4/17]], [[0, 0], [-302348538/17, -128178936/17], [9616022/17, 4027814/17], [17328/17, 7200/17]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[96, 96]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-581/4, -299/4], [11/4, 5/4], [0, 0]], [[0, 0], [7, 0], [3, 0], [1, 0]], [[0, 0], [8, 2], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5947/4, -421/4], [21/4, 3/4], [0, 0]], [[0, 0], [1552852/17, -80226/17], [-5248/17, -76/17], [7/17, -1/17]], [[0, 0], [-32812917/34, -13899813/34], [141011/34, 59639/34], [-47/17, -20/17]]], 0, 13824, [], [] >,
< [ -8, -1, 1 ], [[96, 96]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67/4, -11/4], [99/4, -3/4], [0, 0]], [[0, 0], [7, 0], [3, 0], [1, 0]], [[0, 0], [11/4, 5/4], [11/4, 5/4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7237/4, 427/4], [69/4, 3/4], [0, 0]], [[0, 0], [-1461945/17, -93843/17], [-15125/17, -671/17], [-61/17, -1/17]], [[0, 0], [-544828303/17, -232901096/17], [-5321763/17, -2278656/17], [-19673/17, -8446/17]]], 0, 13824, [], [] >,
< [ -8, -1, 1 ], [[-768, -192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, 4], [24, 60], [0, 0]], [[0, 0], [-9, 0], [-2, -4], [1, 0]], [[0, 0], [1144, 1714], [-8940, -2484], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10440/17, -534/17], [-48/17, 36/17], [0, 0]], [[0, 0], [-2129/17, -14/17], [74/17, 4/17], [1, 0]], [[0, 0], [-139168/17, -74464/17], [1284/17, 312/17], [0, 0]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[-768, -192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-72, 6], [60, -24], [0, 0]], [[0, 0], [3, 0], [-2, -4], [1, 0]], [[0, 0], [616, 286], [312, 96], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30552/17, -474/17], [684/17, 48/17], [0, 0]], [[0, 0], [1339/17, -14/17], [74/17, 4/17], [1, 0]], [[0, 0], [3403184/17, 601520/17], [86412/17, 21432/17], [0, 0]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[35616461088, 15013590816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -8], [-30, -6], [0, 0]], [[0, 0], [657/2, 249/2], [386, 160], [1/2, -3/2]], [[0, 0], [27/2, -9/2], [-2, 0], [3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67098/17, 4884/17], [282/17, 18/17], [0, 0]], [[0, 0], [306614/17, 1235312/17], [1068/17, 4996/17], [-2, 2]], [[0, 0], [-44463715/34, -11108119/34], [-89620/17, -22086/17], [-63/2, -7/2]]], 0, 13824, [], [] >,
< [ -8, -1, 1 ], [[35616461088, 15013590816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 24], [78, 18], [0, 0]], [[0, 0], [1893, -414], [1434, -344], [-1, -2]], [[0, 0], [-19877/2, 3643/2], [-7416, 1578], [27/2, 27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [174050/17, 8378/17], [606/17, 30/17], [0, 0]], [[0, 0], [214631803/34, 51634663/34], [374308/17, 90702/17], [3/2, -5/2]], [[0, 0], [-1791208221/34, -357902031/34], [-3121500/17, -629880/17], [-45/2, 45/2]]], 0, 13824, [], [] >,
< [ -8, -1, 1 ], [[-768, -192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 0], [24, 36], [0, 0]], [[0, 0], [-9, 0], [6, 4], [1, 0]], [[0, 0], [-64, -178], [-732, -180], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [41336/17, 584/17], [-1008/17, -60/17], [0, 0]], [[0, 0], [3047/17, 14/17], [-6/17, -4/17], [1, 0]], [[0, 0], [-2483584/17, -542710/17], [65004/17, 16476/17], [0, 0]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[-768, -192]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [56, -10], [-48, -12], [0, 0]], [[0, 0], [3, 0], [6, 4], [1, 0]], [[0, 0], [-72, 0], [132, 48], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-224, -8], [60, 0], [0, 0]], [[0, 0], [-421/17, 14/17], [-6/17, -4/17], [1, 0]], [[0, 0], [-54632/17, -15602/17], [13608/17, 3564/17], [0, 0]]], 0, 110592, [], [] >,
< [ -8, -1, 1 ], [[35616461088, 15013590816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, -2], [48, -12], [0, 0]], [[0, 0], [331, 160], [58, 48], [1, 2]], [[0, 0], [-1837/2, -937/2], [-130, -148], [-1/2, -13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [69682/17, 5122/17], [282/17, 18/17], [0, 0]], [[0, 0], [-12975049/34, -329479/34], [-26352/17, -364/17], [-1/2, -3/2]], [[0, 0], [-58838623/34, -7377739/34], [-118416/17, -13494/17], [-15/2, -15/2]]], 0, 13824, [], [] >,
< [ -8, -1, 1 ], [[35616461088, 15013590816]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, 16], [54, 6], [0, 0]], [[0, 0], [36823/2, -1997/2], [7752, -510], [3/2, 3/2]], [[0, 0], [-142254, 15240], [-60212, 7052], [-6, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38506/17, -5156/17], [126/17, -18/17], [0, 0]], [[0, 0], [1130723/34, 328991/34], [1792/17, 526/17], [-1/2, -1/2]], [[0, 0], [1133009/34, 69599/34], [1786/17, 114/17], [1/2, -1/2]]], 0, 13824, [], [] >,
< [ -8, -1, 1 ], [[8, 9]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-224, -91], [16, 2], [0, 0]], [[6, -1/2], [-66252, 18910], [90454, -26792], [6, -1/2]], [[-182, -210], [-2658300, 1880323/2], [3969002, -2366605/2], [-182, -210]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [496, 19/2], [36, 3/2], [0, 0]], [[-114, 1/2], [-120182532/17, 2840692/17], [-8661634/17, 16803/17], [-114/17, 1/34]], [[83394, 188559/2], [72480370392/17, 191405722069/34], [6477572414/17, 14394148929/34], [83394/17, 188559/34]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[8, 9]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 7], [32, 2], [0, 0]], [[-4, 0], [4156, 3679/2], [2776, 3813/2], [-4, 0]], [[2, 5/2], [-11000, -4553], [-10654, -3785], [2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1880, 53/2], [92, 3/2], [0, 0]], [[-66, -3/2], [-940061612/17, 15794935/34], [-45982558/17, 573861/34], [-66/17, -3/34]], [[774, 1763/2], [8016276416/17, 23810068177/34], [402327362/17, 1169075769/34], [774/17, 1763/34]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[8, 9]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-196, -173/2], [-12, 1/2], [0, 0]], [[4, -3/2], [-20668, 5881], [29080, -8628], [4, -3/2]], [[14, 33/2], [90360, -20963/2], [-96374, 57783/2], [14, 33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, -3/2], [-44, -5/2], [0, 0]], [[-168, -3/2], [-826776/17, 64597/34], [189000/17, 7557/34], [-168/17, -3/34]], [[45998, 103179/2], [130459832/17, 463779743/34], [-56801782/17, -118394631/34], [45998/17, 103179/34]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[8, 9]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 4], [40, -1], [0, 0]], [[-10, -1/2], [368, -120], [382, -109], [-10, -1/2]], [[-20, -20], [-1308, 613/2], [-1128, 733/2], [-20, -20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-340, -18], [8, -1], [0, 0]], [[178, 5/2], [11327244/17, 2107263/17], [-212558/17, 1548/17], [178/17, 5/34]], [[71036, 79765], [11332274572/17, 13218444437/34], [-68976408/17, -183366341/34], [71036/17, 79765/17]]], 0, 192, [], [] >,
< [ -8, -1, 1 ], [[9928, 4185]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, 87/2], [8, 3/2], [0, 0]], [[-4, -1/2], [14728, -8301/2], [13364, -7899/2], [-4, -1/2]], [[-5, -1/2], [19986, -11341/2], [18181, -10751/2], [-5, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-240, 23/2], [-4, 1/2], [0, 0]], [[-44, -1], [-21532/17, -8417/34], [-1772/17, -113/34], [-44/17, -1/17]], [[65, 13/2], [34762/17, 17863/34], [2627/17, 573/34], [65/17, 13/34]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[9928, 4185]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, -75/2], [-20, -3/2], [0, 0]], [[4, 1], [-5620, 1794], [-6320, 1885], [4, 1]], [[7, 3/2], [-12112, 7605/2], [-13531, 8061/2], [7, 3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [400, 23/2], [16, 1/2], [0, 0]], [[-53, 3/2], [2888196/17, -165781/34], [114637/17, -6027/34], [-53/17, 3/34]], [[-2142, -272], [6862616, 868619], [273234, 35264], [-126, -16]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-3696, -1558]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[16, -3/2], [-12, -27/2], [16, -3/2], [0, 0]], [[-33120, 9940], [-69911/2, 9737], [-33122, 9948], [-1/2, 2]], [[52000, 214500], [-1969268, -632937], [71872, 222948], [4968, 2112]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-328, -1/2], [320288/17, 193703/34], [-328/17, -1/34], [0, 0]], [[20462688, -6067872], [-11336686951/34, 1680795767/17], [20462654/17, -6067804/17], [-1/2, 1]], [[-41440608, 12271248], [11519662436/17, -3382158425/17], [-41480864/17, 12254112/17], [-592, -252]]], 1, 24, [], [] >,
< [ -8, -1, 1 ], [[-16, -10]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-85/2, 3], [-5/2, 0], [0, 0]], [[-6, -3/2], [3651/4, 645/4], [243/4, 55/4], [-3, -3/4]], [[-72, -31], [18677/2, 8153/2], [1381/2, 597/2], [-36, -31/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [509/2, 647/2], [-3/2, 5/2], [0, 0]], [[212, 5/2], [107381765/34, 9581599/17], [895981/34, -1901/34], [106/17, 5/68]], [[16262, 13823/2], [25453173543/68, 10763358161/68], [131194583/68, 55796855/68], [8131/17, 13823/68]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[43408, 18298]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, -1/2], [12, 17/2], [-8, -1/2], [0, 0]], [[2208, -687], [2871, -723], [2200, -679], [-1, 1]], [[-3584, 1600], [-16309/2, 280], [-3684, 1536], [-25/2, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-892, -5/2], [-54304/17, 161135/34], [-892/17, -5/34], [0, 0]], [[94182232, -27927506], [52173955977/34, -7735908367/17], [94182572/17, -27927778/17], [5/2, -2]], [[1023586212, -303426918], [283449762416/17, -84077514689/17], [1023563364/17, -303441062/17], [-168, -104]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[-11088, -4674]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33, 13/2], [7, 5/2], [0, 0]], [[-2, 5/2], [-99803/4, 27917/4], [5397/4, 735/4], [-1, 5/4]], [[-532, -703/2], [2166995/2, -418509/2], [-475109/2, -85483], [-266, -703/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2563/2, -256], [-19/2, -2], [0, 0]], [[-158, -1/2], [33923997/68, 876789/68], [242221/68, 9427/68], [-79/17, -1/68]], [[-106488, -133603/2], [748391543/2, 223175764], [5656063/2, 3287839/2], [-3132, -7859/4]]], 1, 192, [], [] >,
< [ -8, -1, 1 ], [[-11088, -4674]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-28, -5/2], [2560, 2177/2], [-28, -5/2], [0, 0]], [[526428, -156114], [1065015/2, -156267], [526416, -156106], [-3/2, 1]], [[-482160, 293601/2], [-1401970, -238417], [-484608, 291513/2], [-306, -261/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[20, 2], [1173100/17, 492721/17], [20/17, 2/17], [0, 0]], [[-552552, 163851], [-306251661/34, 45397641/17], [-552484/17, 163579/17], [1/2, -2]], [[-1652060, 979625/2], [-27571935, 15425595/2], [-114116, 43241/2], [-2117, -899]]], 1, 192, [], [] >,
< [ -8, -1, 1 ], [[-130224, -54894]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5/2, 14], [59/2, 13], [0, 0]], [[6, -5/2], [-89285/4, 25811/4], [-4821/4, 345/4], [3, -5/4]], [[372, 315/2], [89247, 70887/2], [140699, 59228], [186, 315/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1086, -123/2], [-2, -1/2], [0, 0]], [[246, 5/2], [-53428215/68, 12501679/68], [60665/68, -487/68], [123/17, 5/68]], [[-374658, -318307/2], [16080492079/68, 7201408763/68], [-86869665/68, -36933291/68], [-187329/17, -318307/68]]], 1, 576, [], [] >,
< [ -8, -1, 1 ], [[-130224, -54894]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[196, 165/2], [640, 539/2], [588, 495/2], [0, 0]], [[17716, 14929/2], [116163/2, 24462], [53104, 44755/2], [-1/2, 3/2]], [[315308, 132856], [2067431/2, 435388], [945144, 398282], [-13/2, 26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[56, 1/2], [379532/17, 281569/34], [168/17, 3/34], [0, 0]], [[-480204, 142402], [-399078612/17, 236679435/34], [-1440636/17, 426963/17], [0, 3/2]], [[-830884, 492835/2], [-81241169/2, 24089929/2], [-146732, 86835/2], [21/2, 7]]], 1, 576, [], [] >,
< [ -8, -1, 1 ], [[-130224, -54894]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[160, 135/2], [252, 213/2], [480, 405/2], [0, 0]], [[-8256, -6955/2], [-25021/2, -10555/2], [-24738, -20875/2], [5/2, 0]], [[2356, 1991/2], [3583, 1507], [7088, 5959/2], [1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[416, 5/2], [1633072/17, 1089503/34], [1248/17, 15/34], [0, 0]], [[-152679700, 90549753/2], [-126877181249/17, 37623438181/17], [-458038840/17, 271650187/34], [-1, -5/2]], [[-1912484512, 1134235717/2], [-3178565917227/34, 942546956781/34], [-5737426098/17, 3402739163/34], [-275/2, -84]]], 1, 576, [], [] >,
< [ -8, -1, 1 ], [[-96, -44]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5924, -2503], [-32, -5], [0, 0]], [[-8, 1/2], [2141092, -634826], [-3119772, 925118], [-8, 1/2]], [[-486, -459/2], [-13591968, 4047066], [19838290, -5883570], [-486, -459/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-208652, -87939], [16, 5], [0, 0]], [[2, -3/2], [253357020/17, -75127719/17], [-29163914/17, 8648151/17], [2/17, -3/34]], [[0, 0], [121416, -35952], [-13968, 4142], [0, 0]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[-96, -44]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3708, -1563], [-1288, -543], [0, 0]], [[10, -1/2], [126488, 53320], [44058, 18568], [10, -1/2]], [[272020, -161327/2], [-49940, 14650], [230592, -68434], [272020, -161327/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28908, -12186], [-5200, -2192], [0, 0]], [[134, 3/2], [-5032852/17, -2137689/17], [-862710/17, -365581/17], [134/17, 3/34]], [[-106954600, 31715800], [-31443035288/17, 9323965865/17], [-3731549552/17, 1106535697/17], [-106954600/17, 31715800/17]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[-96, -44]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11456, -4821], [40, 5], [0, 0]], [[-2, -1], [-1532160, 455403], [2243906, -665403], [-2, -1]], [[10, 9/2], [2817964, -840695], [-4133334, 1225707], [10, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1449836, -611031], [32, -1], [0, 0]], [[-10, -1], [26059147976/17, -7727018399/17], [-2999929994/17, 889584843/17], [-10/17, -1/17]], [[-176, -161/2], [-50996934532/17, 15136918843/17], [5873240836/17, -1741618895/17], [-176/17, -161/34]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[-96, -44]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4500, 1897], [6360, 2681], [0, 0]], [[4, -2], [766724, 323115], [1083636, 456769], [4, -2]], [[-41474, 24597/2], [-976976, 289333], [-247602, 72893], [-41474, 24597/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11356, 4787], [1848, 779], [0, 0]], [[-14, 2], [-1452324/17, -608853/17], [-95974/17, -40721/17], [-14/17, 2/17]], [[-15688974, 9304665/2], [-6656982924/17, 1974029445/17], [525344854/17, -155783229/17], [-15688974/17, 9304665/34]]], 0, 384, [], [] >,
< [ -8, -1, 1 ], [[-63264, -26668]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3828, -1621], [20, 1], [0, 0]], [[-5, -3/2], [1670010, -500094], [1692137, -501773], [-5, -3/2]], [[-68, -26], [7261644, -2228974], [7434436, -2204492], [-68, -26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [87732, 37073], [-12, 1], [0, 0]], [[-43, 5/2], [2339060914/17, -693606551/17], [155937933/17, -46240798/17], [-43/17, 5/34]], [[3320, 1250], [-16956657424/17, 5026661652/17], [-1130388580/17, 335138330/17], [3320/17, 1250/17]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[-63264, -26668]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3588, 1507], [20, 3], [0, 0]], [[0, -1/2], [57220, -16904], [56732, -16824], [0, -1/2]], [[9, 7/2], [32016, -10270], [32883, -9739], [9, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-285892, -120625], [20, 1], [0, 0]], [[-26, 5/2], [-5628543388/17, 1668919183/17], [-375195974/17, 111258949/17], [-26/17, 5/34]], [[637, 481/2], [11734833652/17, -3468096107/17], [781163457/17, -231654698/17], [637/17, 481/34]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[-8768, -3696]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1940, 817], [4, 1], [0, 0]], [[0, 0], [-1638, 434], [-1355, 417], [-21, -9]], [[0, 0], [1308, -449], [1248, -353], [-24, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-316, -21], [4, -1], [0, 0]], [[0, 0], [49358/17, -4472/17], [3379/17, -31/17], [109/17, -1/17]], [[0, 0], [-6056186/17, -2507004/17], [-576135/17, -240219/17], [-18585/17, -7749/17]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-8768, -3696]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3632, 1531], [-12, -5], [0, 0]], [[0, 0], [172, -50], [-13, -5], [13, 5]], [[0, 0], [-1044, 290], [244, 100], [-244, -100]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-412, -71], [-20, -5], [0, 0]], [[0, 0], [-6144/17, -832/17], [-2665/17, -37/17], [-75/17, 1/17]], [[0, 0], [-221648/17, -92232/17], [-70000/17, -28760/17], [-1804/17, -738/17]]], 0, 288, [], [] >,
< [ -8, -1, 1 ], [[-62506880, -26348848]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1940, -828], [-40, -2], [0, 0]], [[0, 0], [-2818428, 832493], [4091064, -1213175], [8, -4]], [[0, 0], [5657424, 570902], [-3643318, 1101454], [1550, 660]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, -14], [32, 4], [0, 0]], [[0, 0], [-1464100/17, 277893/17], [-348592/17, -3161/17], [-128/17, -6/17]], [[0, 0], [930047736/17, 409574748/17], [646765118/17, 275449764/17], [267178/17, 113564/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[1359488, 573072]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8476, 3573], [4424, 1865], [0, 0]], [[0, 0], [-324544, -136800], [-169404, -71386], [-4, 2]], [[0, 0], [-136800, -57668], [-71386, -30098], [2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [67552, 28520], [4512, 1902], [0, 0]], [[0, 0], [-171504044/17, 50264765/17], [-180378/17, 14779/17], [-54/17, -2/17]], [[0, 0], [521421320/17, 2695994049/17], [256927646/17, 110138857/17], [120162/17, 51072/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[-62506880, -26348848]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13292, -5607], [-16, -1], [0, 0]], [[0, 0], [1322984, -390682], [-1918518, 568910], [-10, 2]], [[0, 0], [1165536, 1200468], [1437174, -424324], [-1270, -540]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [336, 15], [24, -1], [0, 0]], [[0, 0], [2062432/17, 234300/17], [136670/17, 3688/17], [-110/17, 6/17]], [[0, 0], [2020898804/17, 854549588/17], [105513718/17, 44704416/17], [-63406/17, -26948/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[1359488, 573072]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-920, -388], [-4768, -2010], [0, 0]], [[0, 0], [13508, 5699], [69946, 29479], [-2, 8]], [[0, 0], [0, 0], [-2, 0], [2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-80132, -33680], [-5328, -2246], [0, 0]], [[0, 0], [215929888/17, -65383642/17], [-258372/17, -13468/17], [36/17, -10/17]], [[0, 0], [-2972794904/17, -1221511177/17], [-194996470/17, -82217169/17], [1454/17, 618/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[1376, 580]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, -17], [-84, -36], [0, 0]], [[0, 0], [-1181/2, -499/2], [-1286, -549], [5/2, 1/2]], [[0, 0], [-6479/2, -1340], [-7442, -2834], [-49/2, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-128364/17, -53021/17], [-208/17, 3/17], [0, 0]], [[0, 0], [269339518/17, -159406443/34], [22409852/17, -6645061/17], [2, 3/2]], [[0, 0], [1424793219/34, -212555319/17], [59471918/17, -17637476/17], [-51/2, -9]]], 1, 72, [], [] >,
< [ -8, -1, 1 ], [[-352, -148]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-77/2, 1], [3/2, -2], [0, 0]], [[0, 0], [10383/4, -4019/4], [-2001/4, 453/4], [5, -3/2]], [[0, 0], [-40432, -17035], [-6032, -2544], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [480, -397/2], [0, -3/2], [0, 0]], [[0, 0], [-516033/17, 101837/17], [-2369/17, -55/17], [-90/17, -1/34]], [[0, 0], [117889041/68, 29267789/68], [1407729/68, 533053/68], [12711/17, 9519/34]]], 1, 144, [], [] >,
< [ -8, -1, 1 ], [[16160, 6812]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-116, -49], [-280, -118], [0, 0]], [[0, 0], [931, 793/2], [2372, 991], [-1, -3/2]], [[0, 0], [2715/2, 657], [3976, 1490], [55/2, -11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-371812/17, -149830/17], [1376/17, 5/17], [0, 0]], [[0, 0], [-11089725699/34, 3287083571/34], [461895000/17, -136967174/17], [1/2, -3/2]], [[0, 0], [2852805937/34, -567196166/17], [-135308588/17, 40315288/17], [-771/2, -162]]], 1, 288, [], [] >,
< [ -8, -1, 1 ], [[4128, 1740]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17/2, -2], [-17/2, -1], [0, 0]], [[0, 0], [6, 0], [6, 0], [-2, 3/2]], [[0, 0], [1435/4, 607/4], [1435/4, 607/4], [185, 155/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-235, 119/2], [5, 1/2], [0, 0]], [[0, 0], [4075438/17, -2193569/34], [-65466/17, 891/34], [66/17, 3/34]], [[0, 0], [-1521859611/68, -609369557/68], [251207653/68, 105572587/68], [-69749/17, -58653/34]]], 1, 576, [], [] >,
< [ -8, -1, 1 ], [[189792, 80004]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1188, -501], [-4, -4], [0, 0]], [[0, 0], [-8093/2, 2659/2], [-45428, 13461], [1/2, -3/2]], [[0, 0], [-1439, -709/2], [-3692, 1152], [11, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1599412/17, 673654/17], [-112/17, -1/17], [0, 0]], [[0, 0], [8380803/34, -1254609/17], [-350456/17, 104215/17], [1/2, 2]], [[0, 0], [45/2, 0], [-4, 0], [-1/2, 0]]], 1, 576, [], [] >,
< [ -8, -1, 1 ], [[-2229024, -939612]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [263/2, 5/2], [-9/2, 3/2], [0, 0]], [[0, 0], [71697/4, 29375/4], [241/4, 127/4], [-1, 5/2]], [[0, 0], [-1790743/4, -747655/4], [-6679/4, -3031/4], [-43, -43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1087/2, -253], [-1/2, -2], [0, 0]], [[0, 0], [-43733321/34, 9747111/34], [-249001/34, -313/34], [-32/17, -3/34]], [[0, 0], [-258354339/68, -40623399/68], [-4111107/68, -1479423/68], [-299/17, -223/34]]], 1, 1728, [], [] >,
< [ -8, -1, 1 ], [[48480, 20436]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1748, 737], [60, -12], [0, 0]], [[0, 0], [-12234, -2973], [726892, -215579], [2, -1]], [[0, 0], [15805485/2, 3331875], [232624, -43221], [975/2, 205]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [833988/17, 351618/17], [48/17, 15/17], [0, 0]], [[0, 0], [8683095/17, -2572737/17], [-724624/17, 214909/17], [1, 0]], [[0, 0], [9991811/34, -634601/17], [-300406/17, 102165/17], [333/2, 70]]], 1, 1728, [], [] >,
< [ -8, -1, 1 ], [[48480, 20436]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [244, 103], [180, 75], [0, 0]], [[0, 0], [4891, 2074], [3452, 1482], [-1, 1]], [[0, 0], [6635/2, 1393], [2370, 987], [3/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2318720/17, 974789/17], [-492/17, 12/17], [0, 0]], [[0, 0], [-1525225138/17, 904350847/34], [127076320/17, -37682085/17], [2, 5/2]], [[0, 0], [3701703319/34, -587768398/17], [-158478918/17, 47180278/17], [3127/2, 657]]], 1, 1728, [], [] >,
< [ -8, -1, 1 ], [[-1591104821952, -670706634304]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [55396, 23354], [8, 6], [0, 0]], [[0, 0], [-1569880, 466666], [-1565216, 464166], [-68, -4]], [[0, 0], [41976454, -12574790], [41983101, -12452189], [4675, 1309]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-408, -154], [-12, -10], [0, 0]], [[0, 0], [-2811546/17, -1859540/17], [-437203/17, -3075/17], [67/17, 5/17]], [[0, 0], [29803796/17, 13488984/17], [1878612/17, 543168/17], [-332/17, -108/17]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[-1591104821952, -670706634304]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [64568, 27226], [4, 10], [0, 0]], [[0, 0], [-7539340, 2232336], [-7531446, 2233334], [6, 2]], [[0, 0], [-84827820, 25164084], [-84804713, 25147593], [-7, -9]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [188, -150], [8, -10], [0, 0]], [[0, 0], [-78224/17, 5866/17], [-15143/17, 133/17], [-313/17, 1/17]], [[0, 0], [-487548/17, -117224/17], [-112253/17, -32511/17], [-2351/17, -689/17]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[-1200640, -506112]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18748, -7890], [40, -2], [0, 0]], [[0, 0], [105704, -31362], [-154098, 45704], [-22, -2]], [[0, 0], [147956, -43064], [-214582, 63226], [550, 242]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [292, -36], [8, 4], [0, 0]], [[0, 0], [-1131444/17, 266384/17], [-9102/17, -798/17], [-434/17, -6/17]], [[0, 0], [-16886076/17, -62837050/17], [-4462368/17, -2108830/17], [-165624/17, -83080/17]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[-1200640, -506112]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38160, 16086], [640, 270], [0, 0]], [[0, 0], [15476, 6524], [64, 64], [-48, -8]], [[0, 0], [135068, -40052], [15383302, -4561690], [5082898, -1507258]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26756, 11228], [1776, 748], [0, 0]], [[0, 0], [167525040/17, -38990870/17], [2929366/17, -161028/17], [274/17, -10/17]], [[0, 0], [-2690820680/17, -4149336250/17], [-402756142/17, -208172500/17], [-41130/17, -20790/17]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[-1200640, -506112]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32668, -13766], [40, 10], [0, 0]], [[0, 0], [1209096, -358434], [-1760874, 522160], [10, -2]], [[0, 0], [841500, -253350], [-1233358, 365772], [-42, -22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [396, -34], [8, 6], [0, 0]], [[0, 0], [229376/17, -70916/17], [-9488/17, 928/17], [-192/17, 8/17]], [[0, 0], [800/17, 352/17], [-1550/17, -682/17], [-50/17, -22/17]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[-1200640, -506112]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36676, -15460], [-48, -20], [0, 0]], [[0, 0], [-11898104, -5015470], [-15606, -6572], [22, 2]], [[0, 0], [801456, -236916], [-6842686, 2029098], [7678462, -2276934]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-788, -498], [-80, -34], [0, 0]], [[0, 0], [-27779680/17, 7984120/17], [-80470/17, 1830/17], [-218/17, 2/17]], [[0, 0], [-1211860656/17, 561013170/17], [21694496/17, 11090730/17], [62272/17, 31360/17]]], 0, 36864, [], [] >,
< [ -8, -1, 1 ], [[64, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 6], [-16, 16], [0, 0]], [[0, 0], [-31, -11], [-120, -48], [1, 1]], [[0, 0], [-3/2, 1/2], [2, 0], [-3/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8712/17, 130/17], [420/17, 8/17], [0, 0]], [[0, 0], [-1476491/34, 381889/34], [-35344/17, 9066/17], [-9/2, -5/2]], [[0, 0], [-2659635/17, 916701/17], [-126432/17, 43960/17], [27, 9]]], 0, 1152, [], [] >,
< [ -8, -1, 1 ], [[320, 128]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-449/2, -187/2], [31/2, 17/2], [0, 0]], [[0, 0], [3/4, 1/4], [3/4, 1/4], [1, 0]], [[0, 0], [1877/2, 779/2], [-123/2, -73/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-269/2, 133/2], [3/2, 1/2], [0, 0]], [[0, 0], [196925/68, -17053/68], [-739/68, 91/68], [55/17, -3/17]], [[0, 0], [1935817/34, 51137/34], [-6983/34, 133/34], [1118/17, 71/17]]], 0, 2304, [], [] >,
< [ -8, -1, 1 ], [[320, 128]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 10], [-52, -16], [0, 0]], [[0, 0], [16863/2, -3691/2], [4388, -2956], [3/2, -3/2]], [[0, 0], [-16675/2, -9363/2], [26628, 10186], [33/2, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [416, 6], [-60, 0], [0, 0]], [[0, 0], [18985803/34, 2803747/34], [-1347670/17, -179936/17], [11/2, 3/2]], [[0, 0], [-796292714/17, -266289268/17], [110589468/17, 36259060/17], [-550, -210]]], 0, 4608, [], [] >,
< [ -8, -1, 1 ], [[192, 0]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-405/2, -147/2], [-53/2, 1/2], [0, 0]], [[0, 0], [-5/4, 1/4], [-5/4, 1/4], [1, 0]], [[0, 0], [995/2, -23/2], [627/2, -171/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-642, 264], [-10, 2], [0, 0]], [[0, 0], [-140433/68, 329661/68], [-14513/68, -467/68], [23/17, 4/17]], [[0, 0], [236753/2, 114427/2], [-4559/2, -1709/2], [20, 8]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[192, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, -6], [76, 16], [0, 0]], [[0, 0], [1153/2, -353/2], [-2212, 688], [11/2, 1/2]], [[0, 0], [-1258, 323], [4996, -1190], [22, 13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32252/17, -308/17], [1016/17, 20/17], [0, 0]], [[0, 0], [189245045/34, -91028767/34], [-2863418/17, 1417116/17], [-5/2, -1/2]], [[0, 0], [-438854549/34, 76656559/34], [6809934/17, -1149264/17], [-3/2, -3/2]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[-960, -384]], [ -10, -4 ], [ -38, -16 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [289/2, 103/2], [81/2, 3/2], [0, 0]], [[0, 0], [-37/4, 1/4], [-5/4, 1/4], [1, 0]], [[0, 0], [2674, -2276], [7546, -2450], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6733, 127], [37, 1], [0, 0]], [[0, 0], [-424404844/17, 14452059/17], [-2317772/17, 61483/17], [-118/17, -5/17]], [[0, 0], [-17511522717/4, 825843393/4], [-95555549/4, 3802945/4], [-1207, -34]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-191341648704, -80657233536]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 2], [12, -12], [0, 0]], [[0, 0], [-1978, 623], [-2124, 614], [-2, -1]], [[0, 0], [-1241/2, -725/2], [452, 86], [83/2, 35/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33764/17, -602/17], [1380/17, 36/17], [0, 0]], [[0, 0], [-112063723/34, -14017375/34], [2305974/17, 306924/17], [-3/2, -3/2]], [[0, 0], [-159381728/17, -81215786/17], [6721012/17, 3394964/17], [-16, -6]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-191341648704, -80657233536]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-76, -10], [-48, -24], [0, 0]], [[0, 0], [6000, -1902], [-1316, 236], [0, 2]], [[0, 0], [30927/2, 3711/2], [10106, 5092], [-297/2, -121/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [5940/17, 390/17], [-444/17, -24/17], [0, 0]], [[0, 0], [-1383587/34, 68533/34], [51822/17, -3600/17], [-3/2, -3/2]], [[0, 0], [837185/17, 534227/17], [-55348/17, -37488/17], [13, 5]]], 0, 27648, [], [] >,
< [ -8, -1, 1 ], [[-53336, -22483]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 1/2], [36, 3/2], [0, 0]], [[-1, -5/2], [27358, 1133/2], [19005, 2009/2], [-1, -5/2]], [[-1575, -1435/2], [5513510, 4082865/2], [4168587, 3153135/2], [-1575, -1435/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [444, 83/2], [28, 5/2], [0, 0]], [[14, -2], [-8295544/17, 1160350/17], [-527518/17, 75299/17], [14/17, -2/17]], [[1129, 1035/2], [-682819630/17, -624689737/34], [-42575773/17, -39027795/34], [1129/17, 1035/34]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[-53336, -22483]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -2], [-32, -1], [0, 0]], [[-3, -3/2], [-6950, 665/2], [-4653, 547/2], [-3, -3/2]], [[-12, -11/2], [-17372, -1299], [-11496, -719], [-12, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [664, 35], [40, 2], [0, 0]], [[27, 1], [34645126/17, -4796667/34], [2093537/17, -299427/34], [27/17, 1/17]], [[1892, 1735/2], [1580022488/17, 1561218903/34], [94375332/17, 93476571/34], [1892/17, 1735/34]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[-53336, -22483]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 5/2], [-4, -3/2], [0, 0]], [[2, 1/2], [-16, 15/2], [6, 3/2], [2, 1/2]], [[-1, -1/2], [-8, 1/2], [-3, -3/2], [-1, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [780, 29], [32, 2], [0, 0]], [[-25, -5/2], [-1017220/17, 39265/34], [-39739/17, -87/34], [-25/17, -5/34]], [[-408, -187], [-648820, -645491/2], [-27532, -26881/2], [-24, -11]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[-53336, -22483]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 1], [-24, 0], [0, 0]], [[-5, -5/2], [-72, 61/2], [-35, 81/2], [-5, -5/2]], [[16, 7], [16, -69/2], [-76, -139/2], [16, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, -33], [24, -2], [0, 0]], [[19, -3/2], [166160/17, -104825/34], [43293/17, -1385/34], [19/17, -3/34]], [[-1760, -805], [2535592/17, 512385/34], [-5254316/17, -4681169/34], [-1760/17, -805/17]]], 1, 48, [], [] >,
< [ -8, -1, 1 ], [[339872, 143268]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 11], [16, 5], [0, 0]], [[-3, 2], [-6586, 582], [103, -949], [-3, 2]], [[-2783, -2369/2], [3471722, 1451760], [2310079, 977235], [-2783, -2369/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-404, -65], [-40, -5], [0, 0]], [[53, -3/2], [-2942630/17, 39005/17], [-306227/17, 14956/17], [53/17, -3/34]], [[38080, 16184], [-131400160, -55806295], [-11944032, -5081721], [2240, 952]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[339872, 143268]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -3], [-16, 1], [0, 0]], [[-1, -1/2], [-3382, 562], [-2643, 637], [-1, -1/2]], [[0, 0], [-196, -53], [-88, -11], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, 36], [0, 2], [0, 0]], [[-63, 1/2], [-351198/17, 77274/17], [-13683/17, -1149/17], [-63/17, 1/34]], [[25451, 10819], [36747066/17, 16243881/17], [7302531/17, 3093724/17], [25451/17, 10819/17]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[339872, 143268]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, -3], [-32, 1], [0, 0]], [[-1, 3/2], [7652, -596], [5161, -751], [-1, 3/2]], [[888, 378], [1252220, 520540], [586408, 241590], [888, 378]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [136, -15], [0, -1], [0, 0]], [[-54, -2], [35748/17, -5306/17], [-2014/17, -130/17], [-54/17, -2/17]], [[-23933, -20345/2], [6954380/17, 3013847/17], [-966901/17, -410488/17], [-23933/17, -20345/34]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[339872, 143268]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -5], [-32, 5], [0, 0]], [[-2, -1], [-30196, -13170], [-7662, -7922], [-2, -1]], [[-95, -81/2], [-1323684, -559254], [-591853, -263039], [-95, -81/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [288, 23], [16, 1], [0, 0]], [[88, 2], [690764/17, -94450/17], [38632/17, -5820/17], [88/17, 2/17]], [[167531, 142415/2], [652457888/17, 281487227/17], [33254919/17, 14388026/17], [167531/17, 142415/34]]], 1, 96, [], [] >,
< [ -8, -1, 1 ], [[47104, 19856]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-292, -123], [-1336, -563], [0, 0]], [[0, 0], [11848, 4991], [54282, 22875], [-34, -14]], [[0, 0], [-13314, -5615], [-61007, -25722], [35, 15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, 75], [8, 5], [0, 0]], [[0, 0], [68970/17, 4449/17], [5981/17, 236/17], [-169/17, -5/17]], [[0, 0], [-305818/17, -387660/17], [-20317/17, -32579/17], [505/17, 909/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[47104, 19856]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1124, -474], [608, 256], [0, 0]], [[0, 0], [368552, 155347], [-198948, -83879], [100, 42]], [[0, 0], [1184810, 499046], [-638577, -269753], [329, 133]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [244, 43], [8, 3], [0, 0]], [[0, 0], [-3448534/17, 777405/17], [-36485/17, -750/17], [-67/17, -5/17]], [[0, 0], [139857036/17, -52906624/17], [270208/17, -619598/17], [8/17, -1162/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[47104, 19856]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2964, -1246], [-8, 0], [0, 0]], [[0, 0], [299944, -85643], [290055, -86238], [-107, -45]], [[0, 0], [-52425728, 15546683], [-51543246, 15284343], [6, -16]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, -70], [0, -4], [0, 0]], [[0, 0], [16708/17, -1209/17], [570/17, -79/17], [14/17, -2/17]], [[0, 0], [-36396/17, -56411/17], [-37/17, -1600/17], [1/17, -39/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[47104, 19856]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [324, 137], [-8, -3], [0, 0]], [[0, 0], [7172, -2119], [6335, -1788], [-127, -53]], [[0, 0], [11160704, -3309608], [9675529, -2869915], [-73, 803]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [220, 2], [32, 0], [0, 0]], [[0, 0], [2572144/17, 32199/17], [375891/17, 1306/17], [61/17, 1/17]], [[0, 0], [38496/17, 9750055/17], [-96312/17, 1413347/17], [8/17, 232/17]]], 0, 576, [], [] >,
< [ -8, -1, 1 ], [[8547862718336, 3603224724864]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 16], [40, 0], [0, 0]], [[0, 0], [3014, 890], [281, 887], [19, -3]], [[0, 0], [-173424, -73166], [-94556, -39734], [-252, -108]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [240, -50], [24, -2], [0, 0]], [[0, 0], [-10396, 1588], [-944, 84], [8, 0]], [[0, 0], [9955826/17, 4420270/17], [1320603/17, 574725/17], [-16119/17, -6921/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[8547862718336, 3603224724864]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 2], [24, -10], [0, 0]], [[0, 0], [-1138, -510], [625, 383], [47, 1]], [[0, 0], [76526, 32190], [-51633, -21495], [-1287, -585]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -86], [24, -6], [0, 0]], [[0, 0], [8876, -2120], [856, 20], [24, 0]], [[0, 0], [212066/17, 119844/17], [126711/17, 55183/17], [3289/17, 1439/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[8547862718336, 3603224724864]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 22], [-32, 6], [0, 0]], [[0, 0], [-7500, -890], [57, 1153], [-37, -3]], [[0, 0], [1127040, 483600], [-433767, -178617], [5043, 2173]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [380, -98], [24, -6], [0, 0]], [[0, 0], [1080, 1950], [792, 130], [-16, 0]], [[0, 0], [-39844800/17, -16661040/17], [-6347625/17, -2694151/17], [82029/17, 35187/17]]], 0, 9216, [], [] >,
< [ -8, -1, 1 ], [[8547862718336, 3603224724864]], [ -1, 0 ], [ -19, -8 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, -14], [-24, -2], [0, 0]], [[0, 0], [-32, 0], [-221, 41], [61, 3]], [[0, 0], [2884, 1212], [7508, 3128], [-6420, -2700]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [108, -166], [0, -10], [0, 0]], [[0, 0], [139648/17, 11612/17], [11649/17, 1459/17], [95/17, 1/17]], [[0, 0], [117924/17, 47846/17], [10793/17, 4413/17], [63/17, 25/17]]], 0, 9216, [], [] >,
< [ -9, -1, 1 ], [[1, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-46, -10], [-93/2, -10], [-1, -5/2], [-3/2, -5/2]], [[1677/2, 1], [1705/2, -3/2], [-84, 105/2], [-70, 50]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22, 9/2], [121/2, 25], [-1/2, 5/2], [0, 0]], [[17/2, -8777/2], [-164183/6, -57067/6], [-33875/6, 3761/6], [17/6, 1/6]], [[22759, -7186], [-33742/3, 574/3], [-47212/3, 12829/3], [16/3, -4/3]]], 4, 2, [], [] >,
< [ -9, -1, 1 ], [[-4, -2]], [ -82, -32 ], [ -16, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[18, 3/2], [-89/22, 15/11], [40/7, -2/7], [45/308, 3/308]], [[-178, -72], [-181/22, -24/11], [-247/7, -207/14], [-106/77, -43/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, -3], [-2, 1], [0, 0]], [[371/2, -1], [84137/66, 107/33], [-1489/42, 121/42], [-461/462, -5/924]], [[8895/2, 1391], [343886/11, 108714/11], [-9299/14, -1258/7], [-3799/154, -2411/308]]], 4, 3, [], [] >,
< [ -9, -1, 1 ], [[-2, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21, 7/2], [61/2, 5], [-3/2, 5/2], [0, 0]], [[1247, 234], [1810, 333], [-58, 145], [2, 0]], [[3409/2, 1683], [2399, 4879/2], [1682, 0], [-3/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-47/2, -6], [-113/2, -11/2], [-1, -5/2], [0, 0]], [[625/2, 71], [4799/6, 131/3], [-5/6, 106/3], [-5/6, 1/3]], [[-9821/2, -1963], [-16303/2, -3368], [-2247/2, -421], [-7/2, -1]]], 3, 3, [], [] >,
< [ -9, -1, 1 ], [[-6, -2]], [ -42, -16 ], [ -46, -18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-62, 1], [15/2, -1], [67/2, -3/2], [1/2, 0]], [[793/2, 429/2], [-213/11, -184/11], [-2561/14, -1481/14], [-533/154, -559/308]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 8], [1, 1], [0, 0]], [[-101, -3/2], [22593/22, -2261/66], [-1475/7, 620/21], [-169/308, -1/462]], [[-589/2, 31/2], [67801/22, -6463/22], [-9405/14, 855/7], [-124/77, 31/308]]], 4, 3, [], [] >,
< [ -9, -1, 1 ], [[-3, -1]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 3/2], [-25/2, 2], [5/2, -1/2], [0, 0]], [[15/2, -4], [10, 3], [-3/2, -3/2], [-2, 5/2]], [[541/2, -199/2], [293/2, 30], [5, -25], [-109, 109/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 2], [-7, 9], [2, 0], [0, 0]], [[24, 45/2], [-33, 461/6], [19, 1/6], [-1, 5/6]], [[-285/2, -58], [-315, -823/6], [-29, -31/3], [-5/2, -7/6]]], 3, 3, [], [] >,
< [ -9, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -10], [-10, -2], [0, 0]], [[0, 0], [0, 1], [1, 1], [1, 0]], [[0, 0], [-120, 20], [14, -10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 2], [4, -8], [0, 0]], [[0, 0], [9184/3, -2614/3], [-10664/3, 2978/3], [8/3, 4/3]], [[0, 0], [-3061/3, 871/3], [3557/3, -992/3], [-2/3, -1/3]]], 0, 100, [], [] >,
< [ -9, -1, 1 ], [[-8, -4]], [ -82, -32 ], [ -16, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-190/11, 13/11], [208/7, -2/7], [201/154, -1/77]], [[0, 0], [4765/22, 2371/22], [-997/2, -230], [-481/22, -111/11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-49, -39/2], [-5/2, -5/2], [0, 0]], [[0, 0], [13241/66, 2257/66], [1307/42, 41/21], [185/231, -1/462]], [[0, 0], [-116797/6, -5485/3], [-68584/21, 2363/42], [-1846/21, 142/21]]], 1, 15, [], [] >,
< [ -9, -1, 1 ], [[-32, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, -30], [4, -6], [0, 0]], [[0, 0], [0, 1], [1, 1], [1, 0]], [[0, 0], [34, 24], [-16, 8], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -10], [10, -10], [0, 0]], [[0, 0], [27, 14], [-16, -3], [-5, -1]], [[0, 0], [-478/3, -206/3], [202/3, 62/3], [64/3, 20/3]]], 0, 400, [], [] >,
< [ -9, -1, 1 ], [[-12, -4]], [ -42, -16 ], [ -46, -18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [723/11, -6/11], [271/7, 1/7], [-507/154, -1/77]], [[0, 0], [12007/11, 7251/22], [9305/14, 1431/7], [-4355/77, -1340/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 5], [1, -2], [0, 0]], [[0, 0], [-73739/22, 14777/33], [7085/14, -7355/42], [615/154, 5/462]], [[0, 0], [1131545/11, -970313/66], [-222931/14, 113888/21], [-18569/154, 599/462]]], 1, 15, [], [] >,
< [ -9, -1, 1 ], [[-48, -16]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, -34], [10, 6], [0, 0]], [[0, 0], [2, 1], [1, 1], [1, 0]], [[0, 0], [154, 66], [76, -38], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -28], [8, 2], [0, 0]], [[0, 0], [-24483, 8725], [-1363, -20], [-2, 1]], [[0, 0], [-28951, -50357/3], [8479, 9554/3], [-8, -11/3]]], 0, 400, [], [] >,
< [ -9, -1, 1 ], [[128, 64]], [ -82, -32 ], [ -16, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 6], [2, 10], [0, 0]], [[0, 0], [-8838/11, 282/11], [-13800/7, 1068/7], [338/77, 2/77]], [[0, 0], [79461/11, 23817/11], [106559/7, 29048/7], [-3403/77, -1079/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 20], [6, -6], [0, 0]], [[0, 0], [-4951/33, 250/33], [4262/21, 97/21], [325/231, -4/231]], [[0, 0], [-33551/11, 5629/11], [3783, -446], [301/11, -43/11]]], 0, 3200, [], [] >,
< [ -9, -1, 1 ], [[192, 64]], [ -42, -16 ], [ -46, -18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -4], [10, 6], [0, 0]], [[0, 0], [-4646/11, 553/11], [4477/7, 1076/7], [-74/77, -5/77]], [[0, 0], [-1582/11, 2853/11], [-1359, -678], [10/11, 9/11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [102, 34], [4, 0], [0, 0]], [[0, 0], [-28374/11, -49453/33], [-1933/7, -856/21], [-230/77, -5/231]], [[0, 0], [373612/11, 19639/33], [-12947/7, 22378/21], [-3020/77, 3473/231]]], 0, 3200, [], [] >,
< [ -9, -1, 1 ], [[394, 155]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1], [-245, -97], [3, 0], [0, 0]], [[-121, 35], [-2175/2, -159], [-808, 461/2], [-15/2, -3/2]], [[-73, 25/2], [12589/2, 2611], [-875/2, 203/2], [49, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-126, -50], [-87, -36], [-90, -36], [0, 0]], [[27/2, 5], [-32, 25/2], [3, 15], [23/2, 1/2]], [[108, -9/2], [-33433/6, 4751/3], [-18049/6, 5377/6], [2738/3, -740/3]]], 0, 30, [], [] >,
< [ -9, -1, 1 ], [[13, 5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, -9/2], [15/2, 3], [1/2, -5/2], [0, 0]], [[-7571/2, -6949], [11533/2, 2206], [-15707/2, 452], [3/2, 0]], [[-549599/2, -124518], [143290, 112387/2], [-81586, -21470], [37/2, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-31, -12], [133, 50], [-16, -5], [0, 0]], [[-6237, -2478], [156275/6, 31604/3], [-7928/3, -7157/6], [25/6, 5/6]], [[-462, -189/2], [17735/6, 344/3], [-5887/6, 1045/6], [-13/3, 4/3]]], 1, 3, [], [] >,
< [ -9, -1, 1 ], [[26, 10]], [ -82, -32 ], [ -16, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-43, 1/2], [-853/11, -333/22], [395/14, -58/7], [-109/308, 3/308]], [[-3700, 1080], [-34610/11, 22009/22], [58483/14, -16501/14], [-2440/77, 710/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39/2, -19/2], [21/2, 3], [0, 0]], [[-613/2, 5/2], [29824/33, 15913/66], [-9203/21, -3253/21], [1523/924, 1/231]], [[-844413/2, 122025], [744183/2, -121628], [-657733/14, 315883/14], [30913/14, -17897/28]]], 1, 10, [], [] >,
< [ -9, -1, 1 ], [[13, 5]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-31/2, -6], [11/2, 1/2], [-8, -5/2], [0, 0]], [[4, -7/2], [-38, 8], [25/2, -2], [5/2, -5/2]], [[9/2, 15/2], [107/2, -5], [-20, 0], [4, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[37, 29/2], [35/2, 5], [35/2, 13/2], [0, 0]], [[3325/2, 665], [491/3, 1222/3], [3995/6, 1993/6], [-2/3, 1/6]], [[-893, -703/2], [-703/2, -142], [-817/2, -323/2], [0, 0]]], 1, 6, [], [] >,
< [ -9, -1, 1 ], [[208, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 10], [62, 22], [0, 0]], [[0, 0], [2, 1], [-1, 1], [1, 0]], [[0, 0], [-34, -8], [-56, -28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 24], [6, 8], [0, 0]], [[0, 0], [-8219/3, -574/3], [-3620/3, 167/3], [35/3, 1/3]], [[0, 0], [-306554/3, -121360/3], [-90260/3, -35956/3], [1160/3, 460/3]]], 0, 600, [], [] >,
< [ -9, -1, 1 ], [[6304, 2480]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 2], [-476, -190], [0, 0]], [[0, 0], [153, 66], [-424, -161], [49, 17]], [[0, 0], [-1323, -756], [4646, 1591], [-609, -147]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 8], [-34, -8], [0, 0]], [[0, 0], [46/3, 44/3], [-8/3, -28/3], [14/3, 4/3]], [[0, 0], [841/3, 374/3], [-416/3, -205/3], [131/3, 49/3]]], 0, 7200, [], [] >,
< [ -9, -1, 1 ], [[52, 20]], [ -82, -32 ], [ -16, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-359/11, -251/22], [-317/14, -79/14], [-15/154, -1/154]], [[0, 0], [705/22, -173/22], [985/14, -134/7], [52/77, -29/154]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-43/2, -15/2], [-25/2, -4], [0, 0]], [[0, 0], [-85858/33, -25727/33], [-28093/21, -9032/21], [-554/231, -1/231]], [[0, 0], [-6535151/22, 1929687/22], [-1629221/14, 244339/7], [-89486/77, 50803/154]]], 1, 50, [], [] >,
< [ -9, -1, 1 ], [[208, 80]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48, -18], [-52, -14], [0, 0]], [[0, 0], [0, 1], [1, 1], [1, 0]], [[0, 0], [-608, -208], [-848, -106], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, -40], [-32, -10], [0, 0]], [[0, 0], [991/3, 2402/3], [1994/3, 643/3], [17/3, 1/3]], [[0, 0], [58513/3, 19295/3], [23435/3, 9484/3], [98/3, 49/3]]], 0, 800, [], [] >,
< [ -9, -1, 1 ], [[-832, -320]], [ -82, -32 ], [ -16, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -6], [20, 4], [0, 0]], [[0, 0], [1272/11, 725/11], [-1669/7, -395/7], [2/77, -5/77]], [[0, 0], [-2428/11, 999/11], [-527, 113], [10/11, -3/11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [42, 20], [-36, -12], [0, 0]], [[0, 0], [26606/33, -317/33], [-3229/21, -947/21], [370/231, -1/231]], [[0, 0], [2439821/33, -713408/33], [-64828/21, 24625/21], [33127/231, -9706/231]]], 0, 12800, [], [] >,
< [ -9, -1, 1 ], [[-142, -56]], [ -82, -32 ], [ -16, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, -9/2], [-1/2, -5/2], [0, 0]], [[1/2, -2], [-727/11, -1466/11], [-4275/14, 309/7], [1/154, -5/308]], [[113/2, 19], [99271/22, 35551/22], [5766/7, 3981/7], [34/77, 45/308]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [147/2, 27], [-6, -3/2], [0, 0]], [[427/2, -3/2], [447529/66, -73663/66], [-40987/21, 24293/42], [-1061/924, -1/231]], [[-9503/2, -1677/2], [-7348277/66, 120257/66], [473021/21, -309625/42], [24037/924, 1118/231]]], 1, 30, [], [] >,
< [ -9, -1, 1 ], [[-71, -28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[79/2, 31/2], [-66, -51/2], [37/2, 7], [0, 0]], [[-98, -91/2], [106, 155/2], [-6, -61/2], [2, -3/2]], [[-833, -701/2], [1099, 1099/2], [-245, -377/2], [0, -15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -3/2], [46, 49/2], [-1/2, -1], [0, 0]], [[-119/2, 7], [2533, -1135/2], [-306, 79], [-1/2, -1/2]], [[207/2, -213/2], [-28441/3, 23051/6], [8051/6, -1312/3], [-29/3, -7/3]]], 1, 10, [], [] >,
< [ -9, -1, 1 ], [[-71, -28]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-32, -25/2], [287/2, 56], [-31/2, -11/2], [0, 0]], [[8906, 7105/2], [-39878, -31875/2], [3646, 3503/2], [2, 1/2]], [[-1989/2, -409/2], [9265/2, 1735/2], [-4299/2, 769/2], [3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 2], [98, 31], [2, 1], [0, 0]], [[135/2, 5/2], [-45857/6, 15173/6], [1481/6, -371/6], [-13/6, 1/6]], [[1243/2, 209], [-4645/2, 14533/2], [555, -33/2], [-14, -4]]], 1, 18, [], [] >,
< [ -9, -1, 1 ], [[-284, -112]], [ -82, -32 ], [ -16, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25/2, 17/2], [5/2, -1], [0, 0]], [[0, 0], [5817/22, -25/11], [-1586/7, 55/14], [-170/77, 3/154]], [[0, 0], [-165431/22, -76335/22], [86833/14, 20215/7], [9659/154, 2229/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [503/2, 199/2], [-1/2, -1], [0, 0]], [[0, 0], [-334891/66, -26399/66], [163145/42, -23725/21], [-695/462, 5/462]], [[0, 0], [-6293739/22, -1826685/22], [957755/14, -155809/7], [-5486/77, -1300/77]]], 1, 150, [], [] >,
< [ -9, -1, 1 ], [[-1136, -448]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98, 34], [22, 2], [0, 0]], [[0, 0], [-6, 1], [1, 1], [1, 0]], [[0, 0], [14, 22], [-30, 12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [148, 50], [4, -4], [0, 0]], [[0, 0], [1744/3, 386/3], [350/3, -104/3], [2/3, 4/3]], [[0, 0], [17543, 8893], [-2491, 622], [138, 33]]], 0, 2400, [], [] >,
< [ -9, -1, 1 ], [[-1136, -448]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [152, 52], [-2, -10], [0, 0]], [[0, 0], [0, 1], [1, 1], [1, 0]], [[0, 0], [-120, 6], [-88, 28], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [292, 98], [28, 2], [0, 0]], [[0, 0], [48490/3, -4999/3], [19787/3, -5111/3], [5/3, -2/3]], [[0, 0], [-41119, -19635], [205, -1770], [4, 1]]], 0, 2400, [], [] >,
< [ -9, -1, 1 ], [[448, 128]], [ -82, -32 ], [ -16, -6 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 22], [-110, -40], [0, 0]], [[0, 0], [2242/11, -1139/11], [405/7, 1329/7], [122/77, 3/77]], [[0, 0], [30031, -8061], [-29525, 6458], [87, -29]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-626, -244], [-26, -10], [0, 0]], [[0, 0], [141677/11, -31029/11], [12619/7, -1990/7], [-477/77, -1/77]], [[0, 0], [-544558/33, 102742/33], [-50842/21, 5410/21], [2152/231, 164/231]]], 0, 38400, [], [] >,
< [ -9, -1, 1 ], [[765, 301]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -1], [459/2, 169/2], [-3, 3/2], [0, 0]], [[2408, -1355/2], [12393/2, -1087/2], [-2028, 578], [-15/2, 1]], [[15355, -4266], [78651, 12034], [-12690, 3735], [-84, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, -2], [-1389, -523], [-6, 2], [0, 0]], [[33013/2, -4660], [-81270, 38151/2], [-13980, 3949], [3/2, -1/2]], [[93080, -52803/2], [226724, 755347/2], [-79234, 44431/2], [22, 5/2]]], 0, 30, [], [] >,
< [ -9, -1, 1 ], [[18, 7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, 5/2], [-15, -19/2], [15/2, 4], [0, 0]], [[-53/2, 78], [-684, -32], [483/2, 51/2], [0, -5/2]], [[-627/2, -1735/2], [14937/2, 943], [-2745, -495], [19, 57/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, -11/2], [-579/2, -115], [-33/2, -13/2], [0, 0]], [[3/2, 5/2], [-107/6, -17/3], [14/3, 1/3], [7/3, 1/6]], [[4071/2, -575], [4292/3, -2419/6], [-4807/3, 1357/3], [-4807/6, 1357/6]]], 1, 3, [], [] >,
< [ -9, -1, 1 ], [[36, 14]], [ -42, -16 ], [ -46, -18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3/2, 2], [-475/22, -101/11], [-69/7, -85/14], [3/308, -5/308]], [[71/2, 18], [-8909/22, -3529/22], [-3225/14, -1317/14], [-95/308, -47/308]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 5], [6, 2], [0, 0]], [[37, 0], [13727/22, 8159/33], [3441/14, 3865/42], [31/154, -1/462]], [[237/2, -15], [24187/22, 4838/11], [3168/7, 2215/14], [201/308, -27/308]]], 1, 10, [], [] >,
< [ -9, -1, 1 ], [[18, 7]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-47/2, -8], [-171/2, -61/2], [-24, -21/2], [0, 0]], [[33/2, 8], [68, 19], [29/2, 21/2], [-2, 5/2]], [[1/2, 0], [-1/2, 0], [1/2, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-43/2, -7], [-141/2, -91/2], [-21, -19/2], [0, 0]], [[-4536, -1932], [-26443, -51641/6], [-11581/2, -12931/6], [-1/2, 2/3]], [[-41328, -3444], [119885, -109467], [-10487, -14869], [115, -30]]], 1, 6, [], [] >,
< [ -9, -1, 1 ], [[288, 112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -4], [24, 14], [0, 0]], [[0, 0], [206, 47], [-537, -31], [21, 10]], [[0, 0], [2574, 512], [-7104, -144], [240, 120]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, 28], [-78, -32], [0, 0]], [[0, 0], [-25565/3, 7862/3], [-1478/3, 29/3], [5/3, 1/3]], [[0, 0], [-44480, 11957], [-947, 631], [-1, -2]]], 0, 600, [], [] >,
< [ -9, -1, 1 ], [[12240, 4816]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72, 32], [-234, -94], [0, 0]], [[0, 0], [6294, 2201], [-19287, -7443], [-57, -24]], [[0, 0], [268938, 83264], [-780894, -295306], [-2184, -988]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-300, -26], [12, -10], [0, 0]], [[0, 0], [14, 1], [-1, 1], [1, 0]], [[0, 0], [17568, 11992], [2700, 250], [0, 0]]], 0, 7200, [], [] >,
< [ -9, -1, 1 ], [[72, 28]], [ -42, -16 ], [ -46, -18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [-2781/22, 24/11], [-2883/14, 3/14], [-491/154, -3/154]], [[0, 0], [-36220/11, -21471/22], [-11229/2, -1709], [-975/11, -300/11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 37/2], [45/2, 10], [0, 0]], [[0, 0], [-47161/22, -48149/66], [-6474/7, -16271/42], [62/77, -2/231]], [[0, 0], [58450/11, 18802/11], [15339/7, 6586/7], [-184/77, 23/154]]], 1, 50, [], [] >,
< [ -9, -1, 1 ], [[288, 112]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, -38], [-90, -40], [0, 0]], [[0, 0], [2, 1], [1, 1], [1, 0]], [[0, 0], [672, 336], [726, 352], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [132, 26], [120, 50], [0, 0]], [[0, 0], [2691, 3275/3], [3633, 4276/3], [0, 5/3]], [[0, 0], [137, -116/3], [-20, 17/3], [13, -11/3]]], 0, 800, [], [] >,
< [ -9, -1, 1 ], [[0, -64]], [ -42, -16 ], [ -46, -18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 0], [-90, -40], [0, 0]], [[0, 0], [2463/11, 130/11], [-10893/7, -2845/7], [-475/77, -4/77]], [[0, 0], [-260362/11, -53279/11], [210081, 70600], [6750/11, 1125/11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, -32], [-18, -10], [0, 0]], [[0, 0], [1263/11, -232/33], [225/7, -229/21], [-15/77, -2/231]], [[0, 0], [9290/11, -4738/33], [306, -280/3], [-14/11, 4/33]]], 0, 12800, [], [] >,
< [ -9, -1, 1 ], [[-234, -92]], [ -42, -16 ], [ -46, -18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3/2, -8], [-15/2, -1/2], [0, 0]], [[307/2, -1/2], [3893/11, 5551/22], [1065/7, 167/14], [-191/154, -5/308]], [[-18238, -19067/2], [-4071965/22, -753001/11], [-351219/14, -82087/7], [48911/308, 12435/154]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-213/2, -36], [3/2, -3/2], [0, 0]], [[-459/2, -7/2], [-64101/11, 20381/33], [16341/14, -14687/42], [-96/77, -5/924]], [[58604, 15548], [11960644/11, 5807105/33], [-627264/7, 729692/21], [23920/77, 18538/231]]], 1, 30, [], [] >,
< [ -9, -1, 1 ], [[-117, -46]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [-135, -109/2], [9/2, 2], [0, 0]], [[-816, 226], [-8251/2, 1230], [683, -395/2], [-5/2, -5/2]], [[2425, -1229/2], [10575, -8041/2], [-1869, 1203/2], [69, 63/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -1], [96, 16], [-3, 1], [0, 0]], [[563/2, -161/2], [3911/2, -1693/2], [-473/2, 137/2], [1/2, 1/2]], [[285, -90], [-1573, -13961/6], [-457/2, 485/6], [17/2, 11/3]]], 1, 10, [], [] >,
< [ -9, -1, 1 ], [[-117, -46]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, -1], [-357/2, -149/2], [-3, -1/2], [0, 0]], [[-431/2, 59], [-2593/2, 259], [361/2, -53], [1/2, -1]], [[132, -27], [1515, 174], [-84, 35], [6, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7/2, -1], [3/2, 9/2], [-3, -3/2], [0, 0]], [[428, -116], [8653/2, -3674/3], [-338, 649/6], [5/2, 5/6]], [[-510, 150], [-10691/2, 4517/3], [463, -691/6], [5/2, 7/6]]], 1, 18, [], [] >,
< [ -9, -1, 1 ], [[-468, -184]], [ -42, -16 ], [ -46, -18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 25], [6, 2], [0, 0]], [[0, 0], [31781/11, -18417/22], [-4491/14, 582/7], [-40/77, 5/154]], [[0, 0], [-1918/11, -756/11], [-411/7, -162/7], [-137/154, -27/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-273, -112], [0, 2], [0, 0]], [[0, 0], [3320/11, 15673/66], [3117/14, -985/21], [62/77, -2/231]], [[0, 0], [804, 1765/2], [14487/14, -1660/7], [24/7, -3/14]]], 1, 150, [], [] >,
< [ -9, -1, 1 ], [[-1872, -736]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-366, -162], [30, -4], [0, 0]], [[0, 0], [8, 1], [1, 1], [1, 0]], [[0, 0], [5970, 3568], [-1716, 396], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -10], [-18, -4], [0, 0]], [[0, 0], [-795, 704/3], [-210, 211/3], [3, 5/3]], [[0, 0], [49, 58/3], [50, 59/3], [11, 13/3]]], 0, 2400, [], [] >,
< [ -9, -1, 1 ], [[-1872, -736]], [ -1, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, -50], [30, 0], [0, 0]], [[0, 0], [2, 1], [1, 1], [1, 0]], [[0, 0], [-42, -10], [-6, 4], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [36, 14], [0, 8], [0, 0]], [[0, 0], [5, -46/3], [-56, 25/3], [1, 5/3]], [[0, 0], [322, 202], [428, 36], [-52, -26]]], 0, 2400, [], [] >,
< [ -9, -1, 1 ], [[576, 256]], [ -42, -16 ], [ -46, -18 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -22], [-30, -10], [0, 0]], [[0, 0], [1878/11, 1831/11], [915/7, 442/7], [-138/77, -1/77]], [[0, 0], [194479/11, -67113/11], [10608/7, -6613/7], [10679/77, -2809/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-372, -140], [-30, -8], [0, 0]], [[0, 0], [-345101/11, 274000/33], [-126141/7, 104767/21], [-293/77, 2/231]], [[0, 0], [4354244/11, 3467395/11], [-174273/7, 584448/7], [91946/77, 37075/77]]], 0, 38400, [], [] >,
< [ -10, 0, 1 ], [[-4, -1]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5/2, 5/2], [-21, -1/2], [5/2, 0], [-1, -2]], [[19, 1], [9/2, -33/2], [-1, 2], [-31/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -3/2], [6, -10], [-1, 1/2], [0, 0]], [[255/2, -48], [2162/3, -449/6], [-235/6, 53/6], [1, -1]], [[-19, 4], [55/6, 223/6], [7/3, -5/3], [-1/2, 0]]], 4, 6, [], [] >,
< [ -10, 0, 1 ], [[-2, -1]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-21/2, -3/2], [-9/2, 1/2], [-1/2, -1], [1/2, 1/2]], [[19/2, 1/2], [5, -1], [-1/2, 1], [0, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -3/2], [-1, 7/2], [-3/2, 0], [0, 0]], [[-177, -69], [263, 128], [-57, -12], [0, 2]], [[-80, -38], [601/6, 226/3], [-100/3, -14/3], [-3/2, 3/2]]], 4, 6, [], [] >,
< [ -10, 0, 1 ], [[6, 0], [0, 33]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-12, 1], [21/2, 2], [7, 3], [1/2, -3/2]], [[-59/2, 13], [-1, -13/2], [-33/2, -3/2], [15, -3]], [[67/2, -11/2], [-22, -5/2], [-21/2, -6], [-5, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[51, -3/2], [-139/2, -3/2], [-3469/13, 99/26], [51/26, -1/13]], [[-39493/2, 541/2], [27127, 1010], [2692761/26, 2034/13], [-9858/13, 465/26]], [[-5951, -52477], [45018, 73012], [951827/13, 3591704/13], [-372/13, -26133/13]]], 3, 12, [], [] >,
< [ -10, 0, 1 ], [[6, 0], [6, 33]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3, 0], [-17/2, 3], [9, -1], [-5/2, 1/2]], [[-59/2, -7], [13, -19/2], [-131/2, -23/2], [13, 1]], [[-43, -29/2], [-23, -2], [-82, -59/2], [12, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -3], [12, 19/2], [-15/2, -3/2], [0, 0]], [[185/2, 349/2], [35595/26, -12362/13], [14835/26, -466/13], [-93/26, -2/13]], [[1789, 17485], [182317, -103544], [60087, -6192], [-360, 0]], [[61265, 29738], [-41285, -111801], [79505, 9709], [-600, -120]]], 3, 12, [], [] >,
< [ -10, 0, 1 ], [[18, 0], [298, 323]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[17/2, 1], [-27/2, -5], [1/2, 5/2], [-3/2, -2]], [[407/2, 11/2], [-237, -201/2], [-99/2, 66], [10, -50]], [[154, 143/2], [-493, -146], [187, 55/2], [-160, -30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 9/2], [70/3, 55/6], [77/6, 2/3], [0, 0]], [[267/2, -534], [-1274, -1655/2], [-3649/2, 445/2], [2, 2]], [[20025/2, -20025/2], [-23453/2, -13420], [-73425/2, 6675], [17/2, 34]], [[-6675, -46725/2], [-76004, -79391/2], [-75650, 11125/2], [136, 187/2]]], 1, 20, [], [] >,
< [ -10, 0, 1 ], [[-6, -3]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-6, -1/2], [-15/2, 0], [17, -1/2], [-5/2, -3/2]], [[-3/2, -1/2], [-3/2, -1/2], [7/2, 1], [-3/2, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[8, -1/2], [-3/2, -1], [523/13, -131/26], [5/26, -3/26]], [[17/2, 12], [-19, -9/2], [35/26, 1435/26], [-19/13, 1/13]]], 1, 48, [], [] >,
< [ -10, 0, 1 ], [[-6, -3]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 3], [-15, 3], [8, 1], [0, 0]], [[-271/2, 167/2], [-2837/2, 863/2], [651/2, -71], [-1/2, -1/2]], [[3517/2, 679/2], [1790, -1885/2], [1283/2, 501], [-24, -7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [49, 13/2], [7/2, 1], [0, 0]], [[189/2, 94], [373907/26, -53221/13], [7841/26, -217/26], [-93/26, -2/13]], [[507727/2, 172239/2], [57418039/26, -1155320/13], [5193493/26, 698340/13], [-74613/26, -10640/13]]], 1, 24, [], [] >,
< [ -10, 0, 1 ], [[-8, -1]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, 3], [5, 5/2], [13/2, 5/2], [0, 0]], [[40, -14], [-293/2, 33], [-60, 18], [3/2, -5/2]], [[230, 62], [2043, 678], [130, 56], [320, 100]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1/2], [-2, 2], [1, 1/2], [0, 0]], [[3, 1/2], [13/6, 53/6], [2/3, 5/6], [-1/2, -2]], [[333/2, 99/2], [970, 364], [219/2, 39], [-220, -165/2]]], 1, 28, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [2838, 2913]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, -2], [-3, 3/2], [-9/2, -3/2], [0, 0]], [[-2, 1], [-5, 0], [-12, 3], [-2, 1]], [[11/2, -2], [13/2, -1], [51/2, -15/2], [11/2, -2]], [[-3, 1/2], [1, 3/2], [-8, 7/2], [-3, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, 0], [21, -3/2], [105/2, -15/2], [0, 0]], [[-73/2, -20], [-321/2, -47], [-3111/26, -2127/26], [53/26, 1/13]], [[697/2, 32], [1287/2, 477/2], [38871/26, 1731/26], [81/26, -111/26]], [[339, 275/2], [1224, 747/2], [15842/13, 14111/26], [-158/13, -47/26]]], 1, 112, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [30, 2913]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -5], [4, -29/2], [-85/2, -5/2], [0, 0]], [[-112, -112], [621/2, -360], [-1003, 1], [5/2, 1/2]], [[2240, -1036], [15579, -5508], [-12568, 3272], [16, -2]], [[-221760, 33768], [-1084682, 278480], [559184, -254768], [-128, 380]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [21, -15/2], [-1/2, 1/2], [0, 0]], [[0, 0], [2149/26, 160/13], [95/13, -57/13], [5/26, -3/26]], [[0, 0], [8409/2, 3333/2], [-513, 0], [-27/2, 0]], [[0, 0], [1123227/2, 315735/2], [-13699, -13832], [-721/2, -364]]], 1, 56, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [2892, 2913]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -2], [-15, -6], [-16, -2], [0, 0]], [[98, 1151/2], [3389/2, 1469], [5672, -945/2], [-3/2, -1/2]], [[-1903/2, 286], [-1668, 957/2], [7623/2, -2475/2], [0, 0]], [[-24915, 14971/2], [-43685, 12521], [99770, -64801/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 2], [17, -5], [17, 1], [0, 0]], [[2041/2, 2009/2], [283845/26, -84741/26], [234591/26, 227/13], [7/26, 1/26]], [[-398985/2, 795387/2], [94235322/13, -29167179/13], [108540311/26, -7753061/13], [1289/13, -5/26]], [[214179135/2, -10198101/2], [-7798021926/13, 2520338445/13], [-4104529713/26, 1457828335/13], [233/13, 69507/26]]], 1, 72, [], [] >,
< [ -10, 0, 1 ], [[18, 0], [262, 1]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1, 5/2], [-11/2, -1/2], [8, 1/2], [-5/2, -1]], [[275/2, -77/2], [49, -41/2], [-165/2, 33], [-16, 1]], [[55, -11/2], [-3, -11], [0, 33/2], [-18, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -5/2], [-176/3, -23/3], [-25/3, -5/6], [0, 0]], [[-49/2, -56], [-8167/6, -1405/6], [-1169/6, -161/6], [-5/2, 5/2]], [[-147, -21/2], [-1417/2, -370], [-84, -105/2], [13/2, -1/2]], [[-525, -819/2], [-22095/2, -2506], [-1540, -623/2], [-5/2, 33/2]]], 1, 20, [], [] >,
< [ -10, 0, 1 ], [[-12, -3]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, 1], [11, 8], [4, 1], [0, 0]], [[-97/2, 39/2], [-1503/2, 447/2], [73/2, -17], [1/2, 3/2]], [[-65/2, -313/2], [3954, -1371/2], [311/2, 169], [-96, -36]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 1/2], [6, 0], [10, -1/2], [0, 0]], [[201/2, -6], [-125, -2], [-5015/26, -371/26], [-2/13, 5/26]], [[-735, -285/2], [2191/2, 257], [24813/13, 12815/26], [-63/26, -35/26]]], 1, 24, [], [] >,
< [ -10, 0, 1 ], [[-12, -3]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-19, -2], [-33/2, -1/2], [11, -4], [-3/2, 2]], [[-1693/2, -1/2], [-800, 123/2], [1521/2, -258], [-180, 108]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-26, -7/2], [26, 15], [-3, -15/2], [0, 0]], [[22259/2, 8175], [-613143/13, -106999/13], [612139/26, 25639/26], [-4/13, -3/26]], [[426307, -202505/2], [11202697/26, -5269435/26], [-6234658/13, 4572187/26], [-63/26, 2/13]]], 1, 48, [], [] >,
< [ -10, 0, 1 ], [[18, 0], [0, 9]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, 3], [22, -13/2], [9/2, 9/2], [0, 0]], [[-470, -295/2], [-31, -5/2], [-339, -219/2], [2, 1/2]], [[271/2, 5/2], [837/2, -261/2], [-163/2, 59], [-17/2, 5/2]], [[189, 97/2], [123, -69/2], [88, 103/2], [-3, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, -1/2], [-22, 19/2], [45/2, -6], [0, 0]], [[17/2, -5/2], [57/2, -51/2], [721/26, -98/13], [31/26, -3/26]], [[-33, 12], [-1077/2, -39/2], [-1197/13, 531/13], [33/26, 33/13]], [[-235, 89], [-9105/2, -342], [-8205/13, 4026/13], [495/26, 561/26]]], 1, 96, [], [] >,
< [ -10, 0, 1 ], [[18, 0], [0, 315]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-43/2, -7/2], [-36, -21/2], [-9/2, -6], [0, 0]], [[-5073/2, 364], [-3941/2, -308], [4111/2, -1937/2], [-5/2, 0]], [[-66879, 14454], [-37710, -2304], [70437, -27141], [-57, 6]], [[1198, -4219], [-10940, -4702], [-14504, 1795], [-6, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -5/2], [-56, -16], [-6, -3/2], [0, 0]], [[-273/2, 29], [20408/13, -4658/13], [4087/26, -1433/26], [-22/13, 3/26]], [[-11932, 4261/2], [3533031/26, -350394/13], [163379/13, -119633/26], [-4189/26, 59/26]], [[-96309, 14487], [14141821/13, -4895819/26], [1216563/13, -463950/13], [-18054/13, -885/26]]], 1, 96, [], [] >,
< [ -10, 0, 1 ], [[-18, -9]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-53/2, -4], [-84, -9/2], [-9/2, -15/2], [0, 0]], [[-201, 323/2], [-1426, 1375/2], [584, -235/2], [-1, 3/2]], [[10355/2, 1623/2], [31911/2, 1737/2], [1805/2, 1394], [115/2, 23/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[47/2, 4], [-63, 45/2], [249/2, 9/2], [0, 0]], [[40743/2, 18665/2], [124547/2, -32281/2], [1279423/26, 584716/13], [45/26, -1/26]], [[-322993, -160679], [-1241031, 333267], [-8486405/13, -10428688/13], [-418/13, 22/13]]], 1, 224, [], [] >,
< [ -10, 0, 1 ], [[-18, -9]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -5/2], [-36, -9], [-15, -15/2], [0, 0]], [[-84, 32], [-599/2, 227/2], [401, -112], [-3/2, 2]], [[-273/2, -123/2], [-469, -427/2], [-1137/2, -105], [-45, -15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 3/2], [-36, 21/2], [33/2, -3], [0, 0]], [[-125/2, -57/2], [5793/13, -348/13], [-5753/26, -436/13], [-3/13, 1/26]], [[-32037, -10191], [2023225/26, 304924/13], [-900995/13, -281666/13], [-629/26, -179/26]]], 1, 224, [], [] >,
< [ -10, 0, 1 ], [[-18, -9]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, -5/2], [17, -7/2], [-45/2, 0], [0, 0]], [[-683/2, 591/2], [-6943/2, 1993/2], [6577/2, -640], [3/2, 1/2]], [[-119/2, 14], [-265, 173/2], [399/2, -147/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, 5/2], [-204, 0], [21, 3/2], [0, 0]], [[2649/2, 4727/2], [-6102935/26, 346105/13], [581567/26, -13235/13], [-51/26, 1/13]], [[1133007/2, 187977], [-138524702/13, -37850353/13], [34356501/26, 9908919/26], [-1539/13, -891/26]]], 1, 288, [], [] >,
< [ -10, 0, 1 ], [[-14, -5]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 0], [31, 1], [2, 2], [0, 0]], [[27, 15/2], [295/2, 42], [34, 23/2], [-3/2, -1/2]], [[-23/2, 4], [-52, 37/2], [19/2, -5/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 2], [-155/3, -20/3], [17/3, -1/3], [0, 0]], [[103, -17], [-1597/6, -752/3], [-67/3, 86/3], [-5/2, -3/2]], [[-3255/2, 294], [3208, 7461/2], [875/2, -889/2], [33, 22]]], 1, 28, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [282, 2145]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 2], [13, 4], [20, 2], [0, 0]], [[1547/2, -403/2], [221, 199/2], [-2499/2, 580], [2, -2]], [[7475, -8749/2], [-26403/2, -7455/2], [-36924, 6105/2], [327/2, 12]], [[197990, -233077/2], [-707819/2, -100027], [-984877, 160291/2], [8741/2, 653/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[45/2, -3/2], [-83, -1/2], [-275/2, 2], [0, 0]], [[-6311/2, -446], [27003/2, 5235/2], [545149/26, 98983/26], [21/26, 3/26]], [[-108600, 357], [841113/2, 29115], [8698795/13, 442964/13], [721/26, -1/26]], [[-1848300, -1642857], [23577387/2, 6896280], [219654905/13, 139852886/13], [12479/26, 10931/26]]], 1, 72, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [2892, 3]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, -5/2], [8, -5/2], [-41/2, 2], [0, 0]], [[3905/2, -815], [5857/2, -916], [-12455/2, 2265/2], [5/2, 0]], [[307377/2, -61254], [224388, -140625/2], [-921727/2, 184285/2], [176, -5]], [[8162731/2, -3260033/2], [5965949, -3738587/2], [-24545271/2, 2443477], [4698, -127]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-107/2, 5/2], [189, 27/2], [661/2, 2], [0, 0]], [[227175, -54015], [-1234619/2, 104651], [-16365352/13, 3462687/13], [47/26, 3/26]], [[5858190, -1530360], [-30664359/2, 6423273/2], [-416050325/13, 100614068/13], [1015/26, 1/13]], [[3555630, -859950], [-19199633/2, 1692182], [-19654745, 4261017], [55/2, 3/2]]], 1, 56, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [30, 3]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, -1/2], [-3, 9/2], [3/2, -3], [0, 0]], [[-199/2, 37], [-471/2, 69], [341/2, -85/2], [1/2, 2]], [[710, -119], [973, -412], [-420, 351], [80, 16]], [[550, 78], [-76, -225], [610, 328], [160, 48]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35/2, -4], [259, 95/2], [-15/2, -9/2], [0, 0]], [[-2530, -4091/2], [441483/26, 432864/13], [-77711/13, -4213/26], [7/26, 1/26]], [[24491, -40766], [-13136293/13, 19974587/26], [-1873263/13, 282759/13], [67/13, -5/26]], [[-103232, -46191], [15775921/13, 8937627/13], [-1555154/13, -247409/13], [81/13, 19/13]]], 1, 112, [], [] >,
< [ -10, 0, 1 ], [[-36, -9]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-8, 2], [-27, 0], [12, -6], [0, 0]], [[77, -34], [233/2, -83], [-219, 72], [1/2, -5/2]], [[-799/2, -63/2], [-2997/2, -279], [871/2, -92], [-135/2, -17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, 0], [5, -5/2], [-171/2, -9/2], [0, 0]], [[41, -27/2], [-53/2, -22], [14890/13, 3283/26], [-87/26, -5/26]], [[399, -243/2], [1259/2, 143/2], [-44086/13, -85201/26], [125/26, 125/13]]], 1, 224, [], [] >,
< [ -10, 0, 1 ], [[-36, -9]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, -1], [-24, -9/2], [-33/2, -15/2], [0, 0]], [[286, -93/2], [1893/2, -120], [-164, 487/2], [5/2, -3/2]], [[11980, 1923/2], [88667/2, 10727/2], [23114, 26813/2], [-93/2, -62]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-77/2, 5/2], [-27, 21/2], [471/2, -3], [0, 0]], [[-9181/2, 1728], [-13359/2, 2025], [549739/26, -247855/26], [-93/26, -2/13]], [[466055/2, -58221], [263662, -176521/2], [-34211555/26, 6675953/26], [-645/13, -731/13]]], 1, 288, [], [] >,
< [ -10, 0, 1 ], [[-36, -9]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17, -7/2], [-42, -6], [-6, -9/2], [0, 0]], [[-39/2, -6], [-195/2, -27/2], [-67/2, -19/2], [-5/2, -5/2]], [[-151/2, -21], [-737, 139/2], [-295/2, -55/2], [28, -21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23, 1/2], [-186, 0], [-6, 15/2], [0, 0]], [[-1999/2, -29/2], [235517/26, 343/26], [6947/26, -4298/13], [47/26, 3/26]], [[-11/2, -4655/2], [-35328/13, 549105/26], [-202893/26, 9540/13], [27/13, 54/13]]], 1, 224, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [2862, 2889]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, 2], [27, 15/2], [51/2, 15/2], [0, 0]], [[155, -57/2], [-767/2, 427/2], [-128, 271/2], [3/2, -1]], [[-2955, 2619/2], [35973/2, -4002], [10800, -3357/2], [-165/2, 33/2]], [[425, 761], [10642, 1319/2], [8805, 1362], [-55, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[70, -5/2], [-228, -24], [-435, -15/2], [0, 0]], [[-3937, 5381], [-22993/2, -33157/2], [85499/13, -426287/13], [27/26, 1/13]], [[4245563/2, -1423777], [-655758, 3885051], [-223564647/26, 215974173/26], [-3150/13, 75/26]], [[-341807373/2, 751630], [581062558, 76711183], [28123096077/26, 1395431943/26], [-64600/13, -94925/26]]], 1, 672, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [0, 2889]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -1], [-21, -18], [-12, -3], [0, 0]], [[17/2, 53/2], [241/2, 985/2], [629/2, 47], [3/2, -5/2]], [[-2035/2, 629], [-19866, 23733/2], [11497/2, -553/2], [154, -70]], [[740, 999/2], [13067, 9200], [6743, 3095/2], [-28, -42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-113/2, 5/2], [165, 33/2], [699/2, 3], [0, 0]], [[16723/2, 6683/2], [-80535/2, -27939/2], [-1630787/26, -310832/13], [59/26, 1/26]], [[72490, 32852], [-731223/2, -266421/2], [-7186535/13, -3026683/13], [685/26, -17/13]], [[206160, 67966], [-931517, -598969/2], [-19670990/13, -6431089/13], [400/13, 183/26]]], 1, 672, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [54, 27]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9, 3], [15, -12], [21, 6], [0, 0]], [[254, 133/2], [-5733/2, 723], [406, 377/2], [-5/2, 1/2]], [[5081/2, 697], [-45603/2, 10671/2], [8777/2, 3701/2], [-41/2, 7/2]], [[-2953/2, -1229/2], [-50771/2, 9379], [-9411/2, -846], [-37/2, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -3/2], [270, 87/2], [-21/2, -3], [0, 0]], [[-23/2, -37/2], [184334/13, -109705/26], [-3703/26, 223/13], [-27/13, -2/13]], [[14, 109/2], [-1234449/26, 372213/26], [5829/13, -1761/26], [159/26, 3/13]], [[11534, 1343], [26529003/13, -9157914/13], [-69276/13, 103443/13], [2157/13, 1701/13]]], 1, 672, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [54, 27]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, -1], [-9, 3], [-3, -6], [0, 0]], [[36, 25], [-169/2, 49/2], [184, 16], [5/2, 0]], [[-205/2, -253/2], [576, -345/2], [-1949/2, -16], [-14, 1]], [[-775, 16], [-1534, 499], [543, -639], [16, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 1/2], [6, -96], [-3, 15/2], [0, 0]], [[-4365/2, 1625/2], [-3132361/26, 891271/26], [267089/26, -39074/13], [9/26, 5/26]], [[116592, -70881/2], [141346239/26, -45857289/26], [-6127854/13, 3949341/26], [309/26, -3/13]], [[-40407, 15237], [-29313402/13, 16543887/26], [2496999/13, -726171/13], [93/13, 99/26]]], 1, 672, [], [] >,
< [ -10, 0, 1 ], [[6, 0], [34, 34]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2, -3/2], [-22, -4], [2, -3/2], [-2, -2]], [[1, -1], [-17, -7/2], [1, -1], [-2, -3/2]], [[-5, 1/2], [-35/2, -17/2], [-5, 1/2], [-15/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21, -3/2], [-8, -4], [-7, -1/2], [0, 0]], [[614, 188], [2789/6, 923/6], [614/3, 188/3], [-5/2, -2]], [[-3800, -470], [-2386/3, -3193/3], [-3800/3, -470/3], [-208, 78]], [[-2350, -1900], [-15965/3, -1193/3], [-2350/3, -1900/3], [390, -104]]], 1, 10, [], [] >,
< [ -10, 0, 1 ], [[6, 0], [26, 34]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1, -3/2], [15, 3/2], [-1, -3/2], [0, 3/2]], [[0, 10], [-98, -7/2], [0, 10], [7, -21/2]], [[50, 0], [-35/2, -49], [50, 0], [-105/2, 7/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -3/2], [-9, 1], [0, -1/2], [0, 0]], [[23, 7], [122/3, 71/6], [23/3, 7/3], [2, 3/2]], [[66, 6], [161, -9/2], [22, 2], [-68, 51/2]], [[156, 105], [187/2, 237], [52, 35], [629/2, -153/2]]], 1, 10, [], [] >,
< [ -10, 0, 1 ], [[6, 0]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[7, -1/2], [4, -1/2], [5, 1/2], [-1, 1/2]], [[-45, -15], [-41/2, -7], [-56, -18], [-11/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[301, 5/2], [-29/2, 5/2], [1822/13, 229/26], [51/26, -1/13]], [[134624, 35459], [-6987/2, -561], [928349/13, 258140/13], [20043/26, 4947/26]]], 1, 28, [], [] >,
< [ -10, 0, 1 ], [[6, 0]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-16, -1/2], [39/2, 3/2], [-17, 7/2], [-1/2, 2]], [[-357, -153/2], [472, 112], [-213, 7/2], [72, 40]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19, -2], [141, 8], [-19, -2], [0, 0]], [[10507, 79/2], [-2145345/26, 102439/26], [137598/13, 1103/26], [53/26, 1/13]], [[448404, 255486], [-64859785/26, -47550171/26], [5880495/13, 3347234/13], [2697/26, 682/13]]], 1, 28, [], [] >,
< [ -10, 0, 1 ], [[14, 4]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[18, 3/2], [9, 0], [18, 3/2], [-1, 1]], [[-121, -61/2], [-103/2, -11], [-121, -61/2], [-13/2, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[57, 3/2], [90, 1], [19, 1/2], [0, 0]], [[5054, 2128], [22538/3, 19517/6], [5054/3, 2128/3], [0, 3/2]], [[0, 0], [-1/2, -1/2], [0, 0], [-1/2, 0]]], 1, 28, [], [] >,
< [ -10, 0, 1 ], [[18, 0], [30, 6]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[27, 1/2], [55/2, 5], [-24, -27/2], [5/2, 5/2]], [[-1, -12], [-21, -12], [59, 10], [-11, -1]], [[-60, -1/2], [-60, -21/2], [50, 59/2], [-5, -11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-54, -1/2], [5, -1/2], [2614/13, 511/26], [-10/13, -1/26]], [[736, -22], [-71, 19/2], [-34336/13, -2099/13], [134/13, 3/26]], [[2470, 3938], [335/2, -343], [-287125/13, -199343/13], [1505/26, 1489/26]]], 1, 112, [], [] >,
< [ -10, 0, 1 ], [[18, 0], [312, 318]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 5/2], [-16, -5], [8, 5/2], [0, 0]], [[0, 0], [-151/2, 23], [1, -1], [1/2, -1/2]], [[0, 0], [-102, 75/2], [10, 1], [5, 1/2]], [[0, 0], [-49/2, 11], [5, 1], [5/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 0], [29, -2], [6, 0], [0, 0]], [[1117, 91/2], [64881/13, -3297/26], [13685/13, 1297/26], [-22/13, 3/26]], [[671784, 69369], [37379604/13, 3030477/26], [8265222/13, 903222/13], [-12315/13, 75/26]], [[11757437, 1247425], [1305816449/26, 57018277/26], [144683996/13, 16215385/13], [-429615/26, -30/13]]], 1, 56, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [70, 2]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -5/2], [-14, -4], [4, -5/2], [0, 0]], [[-90, 30], [85/2, 13/2], [-90, 30], [3/2, 1]], [[-915, 300], [332, 35], [-915, 300], [8, 8]], [[53325, -32505/2], [6465, 5977], [53325, -32505/2], [1440, 148]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-48, -3/2], [-67, 1], [-16, -1/2], [0, 0]], [[-151, 205], [-2237/6, 895/3], [-151/3, 205/3], [-1/2, 5/2]], [[130644, 14535], [171050, 9992], [43548, 4845], [1760, 275]], [[2680805, 2352409], [5664110/3, 9224845/3], [2680805/3, 2352409/3], [50325, 31735]]], 1, 84, [], [] >,
< [ -10, 0, 1 ], [[42, 12]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 3/2], [-7, 4], [0, 9/2], [0, 0]], [[-13, -41/2], [169/2, -57], [22, -113/2], [-1/2, -3/2]], [[2944, 1029], [3021, 1456], [5640, 2163], [196, 70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[43, -3/2], [-16, -5], [129, -9/2], [0, 0]], [[76588, -47877/2], [-1285/2, -18], [2979157/13, -1867805/26], [33/26, 1/26]], [[961090, -317625], [13288, 6592], [37651460/13, -12306095/13], [-345/13, -170/13]]], 1, 336, [], [] >,
< [ -10, 0, 1 ], [[42, 12]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[38, 5/2], [19, 5], [38, 5/2], [0, 0]], [[-72376, 37931/2], [-23435/2, 1457/2], [-72381, 37927/2], [-5/2, -1]], [[2219918, -1474993/2], [198522, -179445/2], [2219844, -1475011/2], [-37, -9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-38, -5/2], [237, 9], [-38, -5/2], [0, 0]], [[219180, 3003], [-18040235/13, 537205/26], [2849226/13, 39058/13], [-3/13, 1/26]], [[23996310, 5906784], [-3687153039/26, -431508543/13], [311944791/13, 76787299/13], [-381/26, -47/26]]], 1, 168, [], [] >,
< [ -10, 0, 1 ], [[42, 12]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[20, -2], [-7, -2], [20, -2], [0, 0]], [[-1092, 609/2], [79, 25/2], [-1084, 601/2], [1, -1/2]], [[-1407, 1407], [-2681/2, -919/2], [-1323, 1415], [21/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-41, 1/2], [324, 3], [-41, 1/2], [0, 0]], [[90024, -2706], [-18422593/26, 159847/26], [1168862/13, -35062/13], [-25/26, 1/13]], [[33396330, 5500572], [-3560729642/13, -1280404835/26], [433667178/13, 71447290/13], [-4182/13, -1037/26]]], 1, 168, [], [] >,
< [ -10, 0, 1 ], [[2, 2]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[10, 5/2], [-21/2, -3/2], [10, 5/2], [-1/2, -1]], [[8, 7/2], [-4, -4], [8, 7/2], [-4, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, 1/2], [-23/3, 16/3], [-22/3, 1/6], [0, 0]], [[-440, -260], [2731/6, 92/3], [-440/3, -260/3], [3/2, -5/2]], [[-2864, -596], [1739/3, 1421/3], [-2864/3, -596/3], [-24, 0]]], 1, 28, [], [] >,
< [ -10, 0, 1 ], [[18, 0], [96, 168]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-14, -2], [-7, -4], [-14, -2], [0, 0]], [[-616, 889/2], [2285/2, -116], [-621, 895/2], [-5/2, 3/2]], [[-515865, 6069], [-44214, -140304], [-519193, 6229], [-1664, 80]], [[-8142575, -3643423/2], [-5939676, -2440617], [-8190607, -3663007/2], [-24016, -4896]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, -3/2], [10, -5], [-9, -3/2], [0, 0]], [[265, 133], [513, -189/2], [5823/13, 1688/13], [-29/13, 1/26]], [[20034, 9540], [34281, -11763/2], [424442/13, 124225/13], [-2000/13, -5/26]], [[36464, 15953], [100117/2, -14489/2], [729257/13, 216819/13], [-6225/26, -115/13]]], 1, 56, [], [] >,
< [ -10, 0, 1 ], [[18, 0], [318, 318]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-23, 3/2], [-20, -2], [-29, 17/2], [0, -2]], [[45, 7], [54, 27/2], [27, -6], [9, 9/2]], [[35, 45/2], [135/2, 27], [-30, 27/2], [45/2, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [56, 21], [-3, -9/2], [0, 0]], [[1746, -401/2], [-393351/26, -35370/13], [68331/13, -15627/26], [-19/26, 1/26]], [[4049, -182], [-564286/13, -252635/26], [158519/13, -7039/13], [-23/13, -1/26]], [[19335, 2229/2], [-6906035/26, -1827461/26], [757400/13, 88129/26], [-235/26, -14/13]]], 1, 112, [], [] >,
< [ -10, 0, 1 ], [[18, 0]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 5/2], [7, 1], [-9, 15/2], [0, 0]], [[404, -3/2], [683/2, 160], [1315, 13/2], [-3/2, -5/2]], [[5298, 9189/2], [22900, 6067], [18546, 30219/2], [-306, -51]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35, 3/2], [-2, 4], [105, 9/2], [0, 0]], [[-7488, -26625/2], [-30055/2, 547], [-293147/13, -1036985/26], [5/26, -3/26]], [[-8249546, -2474862], [-2053079, -714059], [-321536494/13, -96470516/13], [-408/13, -101/13]]], 1, 224, [], [] >,
< [ -10, 0, 1 ], [[18, 0]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1], [-17, -1], [-3, -3], [0, 0]], [[-102, 13], [659/2, -220], [-337, 35], [1/2, 3/2]], [[844, 183/2], [2841/2, 3411/2], [2973, 783/2], [-81/2, -18]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 5/2], [-99, -33], [-9, 15/2], [0, 0]], [[17687, -168], [-4685572/13, -2884771/26], [689387/13, -6571/13], [16/13, -1/26]], [[-1448167, -1410149/2], [1976973237/26, 628547319/26], [-56435972/13, -54959521/26], [-2337/26, -608/13]]], 1, 224, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [2880, 2898]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 1/2], [12, -9], [15, 3/2], [0, 0]], [[-844, -251], [1736, 761], [-2574, -759], [1, 1]], [[-1715, -98], [-6823, 7555/2], [-5509, -203], [-28, 21/2]], [[-490, -1715/2], [37775/2, -6823/2], [-1015, -5509/2], [105/2, -14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-74, -3/2], [-6, 6], [-222, -9/2], [0, 0]], [[9082, 18171/2], [-13345/2, 263/2], [357803/13, 710609/26], [-15/26, -2/13]], [[-180587, 79451], [-83738, 22783], [-540821, 238361], [-2, 0]], [[-2672724, 2520747/2], [-1309631, 345442], [-8002152, 7563453/2], [-34, -1]]], 1, 672, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [90, 18]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, 0], [13, 2], [-27, 0], [0, 0]], [[565, -221/2], [-583, 77/2], [1689, -663/2], [2, -1/2]], [[2210, 410], [-4104, -2151/2], [6580, 1216], [5, 1/2]], [[1210, 305], [-4843/2, -706], [3600, 906], [5/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, 3/2], [197, -14], [-27, 9/2], [0, 0]], [[-11247, 913/2], [7483971/26, 527919/26], [-437722/13, 35845/26], [-67/26, -2/13]], [[-24179132, 2455891], [7490326275/13, 54391122/13], [-941235562/13, 95907707/13], [-67541/13, 274/13]], [[-1290875893, 129910445], [400346543765/13, 6646065071/26], [-50250529643/13, 5073443254/13], [-3609539/13, 21783/26]]], 1, 672, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [36, 18]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17, -5/2], [7, 5], [-51, -15/2], [0, 0]], [[-194, 265/2], [-821/2, 58], [-567, 807/2], [-5/2, -1/2]], [[-4396, 1580], [-4854, 2685/2], [-13172, 4765], [-13, 1/2]], [[849880, -236262], [1443015/2, -522201/2], [2563135, -707909], [525/2, -701]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 1], [257, -8], [-3, 3], [0, 0]], [[4713, -67], [148313/2, 258133/2], [14165, -202], [1/2, 0]], [[-2719755, 44091], [-536802627/13, -1933732581/26], [-106265595/13, 1727439/13], [-3750/13, 15/26]], [[-3904040, -174821/2], [-2625059023/26, -1426407010/13], [-152535060/13, -6816909/26], [-10825/26, -395/26]]], 1, 672, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [2900, 2]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -5/2], [3, 0], [-1, -5/2], [0, 0]], [[168, -21], [49/2, -43/2], [168, -21], [-3/2, -1]], [[756, -504], [643, -179/2], [756, -504], [28, 7/2]], [[-77252, 4774], [-9687/2, 9977], [-77252, 4774], [2233/2, 1127/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -5/2], [-32/3, -23/3], [2/3, -5/6], [0, 0]], [[-105, 57], [69/2, 281/2], [-35, 19], [-1/2, 0]], [[-18, 9], [0, 21], [-6, 3], [0, 0]], [[1285, -218], [9905/3, 455/3], [1285/3, -218/3], [0, 0]]], 1, 84, [], [] >,
< [ -10, 0, 1 ], [[6, 6]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, -3/2], [-8, -5], [-6, -3/2], [0, 0]], [[-413, 262], [8763/2, -2181/2], [-423, 266], [5/2, -1]], [[105995, 35003], [258083, 72251], [106643, 35235], [-162, -58]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[691, 5/2], [8, -4], [691, 5/2], [0, 0]], [[-621180, -309060], [21397/2, -19], [-8077670/13, -4016382/13], [-5/26, 3/26]], [[353057700, 112596780], [-2405046, -731841], [4589314856/13, 1463602496/13], [-467/13, -167/13]]], 1, 168, [], [] >,
< [ -10, 0, 1 ], [[6, 6]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[43, 5/2], [-3, 0], [43, 5/2], [0, 0]], [[14784, -66], [-2135/2, 68], [14788, -62], [1/2, 1/2]], [[981288, 245322], [-60173, -13469], [982232, 245658], [118, 42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[332, -1], [-3, 3], [332, -1], [0, 0]], [[32877, 33111], [5437/2, 8], [426048/13, 430402/13], [33/26, 1/26]], [[18374951, 10760827/2], [327374, 119657], [18361175, 10750987/2], [168, 60]]], 1, 168, [], [] >,
< [ -10, 0, 1 ], [[6, 6]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [-2, -5], [0, -3/2], [0, 0]], [[-30, -79], [-802, -818], [-132, -243], [1, 2]], [[-523, -185/2], [-11749/2, -1266], [-1646, -619/2], [27/2, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, -1], [61, 13], [9, -3], [0, 0]], [[-246, -1/2], [1118645/13, 709611/26], [-10540/13, -209/26], [36/13, 1/26]], [[62348, 29361/2], [-984178263/26, -311362473/26], [2720481/13, 1299897/26], [-18753/26, -2256/13]]], 1, 336, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [2898, 2898]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 1], [-1, -4], [-15, 3], [0, 0]], [[37, -130], [-3475/2, -368], [16, -385], [-5/2, 5/2]], [[-39071, -2293], [-159246, -63243], [-118181, -9673], [704, -11]], [[-2093743, -249947/2], [-8563643, -3395861], [-6334623, -1049217/2], [37697, -550]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[184, 5/2], [9, 0], [552, 15/2], [0, 0]], [[206366, 387/2], [10133, -127], [618628, 1153/2], [1, 0]], [[76578723, 369], [3760647, -101271/2], [2984303097/13, -2790/13], [4824/13, -9/26]], [[42543940, 8509157/2], [4122235/2, 180794], [1657944615/13, 331586133/26], [5355/26, 531/26]]], 1, 672, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [2880, 18]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, 2], [-7, -4], [24, 6], [0, 0]], [[37, -41], [661/2, -167/2], [189, -129], [-1/2, -2]], [[-9209, 1388], [-22527, 8217], [-30047, 5900], [-415, 19]], [[-13554, 3295/2], [-30477, 23061/2], [-43462, 15017/2], [-635, 13/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-29, -1/2], [4, -5], [-87, -3/2], [0, 0]], [[-15407, -36959/2], [-59563/2, 815/2], [-600641/13, -1440317/26], [1/26, 1/13]], [[-12533443, -391628], [1420848, -4259421/2], [-488428273/13, -15277616/13], [691/13, -5/26]], [[-881104447, -1394079921/2], [-2145848131/2, -74348677/2], [-34345202777/13, -54328991075/26], [71163/26, 37142/13]]], 1, 672, [], [] >,
< [ -10, 0, 1 ], [[54, 0], [36, 2898]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 1], [15, -9], [3, 3], [0, 0]], [[-5, -34], [-1721/2, 379], [-2, -98], [-3/2, -1/2]], [[-75, 20], [1404, -432], [-225, 60], [0, 0]], [[100, -75/2], [-2160, 702], [300, -225/2], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, 1/2], [-195, -21], [-3, 3/2], [0, 0]], [[31, -8], [59191/26, -1844/13], [1042/13, -386/13], [9/26, 5/26]], [[-3, -1], [-1909/13, -1435/26], [17/13, 8/13], [-4/13, -3/26]], [[-178, -107/2], [-19611/2, -2625], [109, 47/2], [-41/2, -11/2]]], 1, 672, [], [] >,
< [ -10, 0, 1 ], [[54, 0]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -5/2], [9, -12], [-30, -15/2], [0, 0]], [[-63, -46], [-2361/2, 537/2], [-148, -134], [-1/2, -1]], [[-343, -183/2], [317/2, -368], [-956, -491/2], [-13/2, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[39, 0], [3, -6], [117, 0], [0, 0]], [[309, 601/2], [-518, -61/2], [28991/13, 24197/26], [-36/13, -1/26]], [[-16381, -11885/2], [18747/2, 2463], [-921744/13, -605001/26], [1179/26, 291/26]]], 1, 2016, [], [] >,
< [ -10, 0, 1 ], [[54, 0]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 3/2], [9, 3], [9, 9/2], [0, 0]], [[-16, 17/2], [10, 1], [-88, 59/2], [0, 1]], [[205, 71/2], [369/2, 63], [273, -75/2], [99/2, 27/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[262, 5/2], [-3, 6], [786, 15/2], [0, 0]], [[154735, 502937/2], [111505/2, 253/2], [6016521/13, 19612635/26], [-67/26, -2/13]], [[67662939, 27487130], [5401061, 2363251/2], [2636905385/13, 1071525514/13], [-3649/13, -1791/26]]], 1, 2016, [], [] >,
< [ -10, 0, 1 ], [[54, 0]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5, 2], [-9, 9], [-15, 6], [0, 0]], [[-20, -25/2], [-219, -123], [-28, -47/2], [1, -2]], [[-251, -167/2], [-5161/2, -1703/2], [-429, -291/2], [-41/2, -8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11, 5/2], [-264, -39], [33, 15/2], [0, 0]], [[-2227, 387/2], [159007/2, -30403/2], [-6616, 1171/2], [-5/2, 0]], [[-2072, -1345], [163104/13, 454557/13], [-79002/13, -51729/13], [-51/13, -24/13]]], 1, 2016, [], [] >,
< [ -10, 0, 1 ], [[54, 0]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11, -1], [-15, 0], [-33, -3], [0, 0]], [[-105, -9], [-291/2, 9/2], [-312, -24], [-3/2, 0]], [[-160, -153/2], [-223/2, -179/2], [-457, -449/2], [-3/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, -1], [3, 0], [30, -3], [0, 0]], [[298, 51/2], [11906/13, 1331/26], [13828/13, 1973/26], [43/13, 3/26]], [[37804, 33371/2], [2676655/26, 1273091/26], [1658378/13, 1514983/26], [8787/26, 2222/13]]], 1, 2016, [], [] >,
< [ -10, 0, 1 ], [[24, 0], [560, 8]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 3], [-4, -1], [0, 0]], [[0, 0], [580, -427/2], [96, -15], [-3, -1/2]], [[0, 0], [963, -278], [84, -40], [1, 1]], [[0, 0], [-1390, 963/2], [-200, 42], [5, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-64/3, -16/3], [-26/3, -5/3], [0, 0]], [[0, 0], [499/3, -103/6], [350/3, -70/3], [2, -3/2]], [[0, 0], [1292, 45], [770, -70], [0, -11]], [[0, 0], [225, 646], [-350, 385], [-55, 0]]], 0, 112, [], [] >,
< [ -10, 0, 1 ], [[24, 0], [8, 568]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [6, -3], [0, 0]], [[0, 0], [21, 13/2], [10, 8], [-4, -5/2]], [[0, 0], [-18, -5], [28, -18], [-6, 5]], [[0, 0], [-25, -9], [-90, 14], [25, -3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 4], [6, 1], [0, 0]], [[0, 0], [-847/3, -445/6], [26/3, -188/3], [-4, 1/2]], [[0, 0], [-7789/3, -2618/3], [-4006/3, -596/3], [-3, -7]], [[0, 0], [-13090/3, -7789/6], [-2980/3, -2003/3], [-35, -3/2]]], 0, 112, [], [] >,
< [ -10, 0, 1 ], [[24, 0]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -3], [-22, -1], [0, 0]], [[0, 0], [-98, 89/2], [276, -41], [-5, 3/2]], [[0, 0], [-1294, -406], [-4388, -1393], [6, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 1], [292, 1], [0, 0]], [[0, 0], [-1345, -25/2], [-1795420/13, -851883/13], [82/13, 3/26]], [[0, 0], [2376, 569], [6570688/13, 2203332/13], [-148/13, -36/13]]], 0, 448, [], [] >,
< [ -10, 0, 1 ], [[24, 0]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 5], [-28, -5], [0, 0]], [[0, 0], [-4051, 279/2], [1684, 1994], [2, -1/2]], [[0, 0], [21880, 16739/2], [-55862, -16173], [-1, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [146, 7], [-32, -1], [0, 0]], [[0, 0], [200886/13, -32792/13], [-45896/13, 7970/13], [-20/13, -1/13]], [[0, 0], [-323900/13, -3244859/26], [19646/13, 361029/13], [517/13, 495/26]]], 0, 448, [], [] >,
< [ -10, 0, 1 ], [[56, 16]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 0], [40, 5], [0, 0]], [[0, 0], [47, 13/2], [-340, -68], [2, -3/2]], [[0, 0], [-251, -115/2], [1938, 510], [0, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 13], [14, 1], [0, 0]], [[0, 0], [15683/3, 9701/6], [4742/3, 1540/3], [4, 5/2]], [[0, 0], [23558, 18555/2], [9268, 2252], [129, -43/2]]], 0, 448, [], [] >,
< [ -10, 0, 1 ], [[72, 0], [5136, 5160]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 2], [-6, 9], [0, 0]], [[0, 0], [-722, -151], [3264, 1200], [-2, -2]], [[0, 0], [3653, -136], [-5050, -4400], [-25, 15]], [[0, 0], [-680, 3653/2], [-22000, -2525], [75, -25/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -3], [-24, 9], [0, 0]], [[0, 0], [-4, -47/2], [31634/13, 712/13], [-89/13, -5/26]], [[0, 0], [-2322, 4322], [-5795360/13, 280256/13], [16240/13, -696/13]], [[0, 0], [19288, 3161], [-4394080/13, -2617424/13], [12760/13, 7424/13]]], 0, 1792, [], [] >,
< [ -10, 0, 1 ], [[72, 0], [5064, 5160]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -3], [20, -5], [0, 0]], [[0, 0], [-713, -389/2], [326, -41], [-2, 1/2]], [[0, 0], [22005, 6786], [-4484, -614], [17, -1]], [[0, 0], [1604020, 1027999/2], [-188898, -91242], [119, 575/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 2], [16, -1], [0, 0]], [[0, 0], [-274813/13, -39350/13], [-133418/13, -3781/13], [-79/13, -2/13]], [[0, 0], [-102584241/13, -11955501/13], [-51720356/13, 190114/13], [-30655/13, 206/13]], [[0, 0], [-3843687336/13, -4077494349/26], [-822144326/13, -924945612/13], [-470545/13, -1093353/26]]], 0, 896, [], [] >,
< [ -10, 0, 1 ], [[216, 0], [64, 8]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, -4], [-6, -3], [0, 0]], [[0, 0], [75, -89/2], [-2, -22], [-4, 3/2]], [[0, 0], [-4331, -578], [-3744, -936], [85, -5]], [[0, 0], [-179752, -175729/2], [-233688, -83616], [595, 2875/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [304/3, -7/3], [94/3, 5/3], [0, 0]], [[0, 0], [17083/3, -10277/6], [4180/3, -1210/3], [-2, 5/2]], [[0, 0], [-11, -2], [0, 0], [1, 1]], [[0, 0], [-541, -461/2], [0, 0], [196, 69/2]]], 0, 1344, [], [] >,
< [ -10, 0, 1 ], [[168, 48]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 2], [-18, 15], [0, 0]], [[0, 0], [-277, -141/2], [-1770, -435], [-4, -5/2]], [[0, 0], [491, 308], [2846, 2014], [35, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -5], [-24, 9], [0, 0]], [[0, 0], [-47, -99/2], [-27006/13, -738/13], [76/13, 5/26]], [[0, 0], [-114738, -25976], [-10519460/13, -5648272/13], [30450/13, 16037/13]]], 0, 5376, [], [] >,
< [ -10, 0, 1 ], [[168, 48]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -5], [82, -1], [0, 0]], [[0, 0], [-9625, -547/2], [28808, -3865], [-2, -1/2]], [[0, 0], [78303, -13575], [-311874, 80936], [9, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [310, 14], [-42, -3], [0, 0]], [[0, 0], [168020/13, -9523/26], [-22500/13, 58/13], [-3/13, 1/26]], [[0, 0], [-1594, -353], [226, 53], [0, 0]]], 0, 2688, [], [] >,
< [ -10, 0, 1 ], [[168, 48]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 0], [-50, 5], [0, 0]], [[0, 0], [-182, -35/2], [262, -18], [-3, -5/2]], [[0, 0], [-5820, -6117], [-6154, 8822], [-840, -100]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-158, -7], [60, 3], [0, 0]], [[0, 0], [1668685/13, -241949/26], [-625680/13, 42101/13], [42/13, -1/26]], [[0, 0], [7950776, 1192319/2], [-3005344, -240812], [219, 57/2]]], 0, 2688, [], [] >,
< [ -10, 0, 1 ], [[8, 8]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -1], [12, 0], [0, 0]], [[0, 0], [-109, 57/2], [-114, 24], [4, -3/2]], [[0, 0], [1623, 526], [3304, 1057], [65, 20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [98/3, -13/3], [82/3, 1/3], [0, 0]], [[0, 0], [28134, -17313/2], [16320, -4794], [1, -5/2]], [[0, 0], [-9730, 31169/2], [13464, 14841], [-185, -111/2]]], 0, 448, [], [] >,
< [ -10, 0, 1 ], [[72, 0], [48, 5160]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, -1], [18, 3], [0, 0]], [[0, 0], [658, -107], [630, 47], [0, 1]], [[0, 0], [2853, -1755], [-1254, -1680], [-27, 0]], [[0, 0], [49111, -61303/2], [-22948, -29563], [-474, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 3], [602, 5], [0, 0]], [[0, 0], [-40986, 1797], [-25989492/13, 4969778/13], [-66/13, -2/13]], [[0, 0], [-4726881, 180612], [-2971966838/13, 557383874/13], [-7645/13, -275/13]], [[0, 0], [-7252586, 36695/2], [-4313401818/13, 701932313/13], [-12045/13, -1705/26]]], 0, 896, [], [] >,
< [ -10, 0, 1 ], [[72, 0], [24, 24]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -1], [12, 12], [0, 0]], [[0, 0], [15, -9/2], [112, -5], [4, 3/2]], [[0, 0], [352, -111], [1614, -462], [-2, 5]], [[0, 0], [-555, 176], [-2310, 807], [25, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, 0], [-24, 3], [0, 0]], [[0, 0], [36697/13, 14149/26], [7354/13, 187/13], [82/13, 3/26]], [[0, 0], [1564076/13, 221664/13], [356058/13, -16248/13], [3990/13, -210/13]], [[0, 0], [12191520/13, 8602418/13], [-893640/13, 1958319/13], [-11550/13, 21945/13]]], 0, 1792, [], [] >,
< [ -10, 0, 1 ], [[72, 0]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [14, 5], [18, -12], [0, 0]], [[0, 0], [41, 17], [328, -103], [3, 2]], [[0, 0], [395, 229/2], [-840, 273], [42, 21/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 5], [-72, -12], [0, 0]], [[0, 0], [-937, 295/2], [38670/13, -7758/13], [-2/13, 5/26]], [[0, 0], [-1991, -1010], [50734/13, 33179/13], [37/13, 9/13]]], 0, 3584, [], [] >,
< [ -10, 0, 1 ], [[72, 0]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 2], [18, 15], [0, 0]], [[0, 0], [-1498, 607], [-4226, 214], [4, 0]], [[0, 0], [3474, 747/2], [-17952, -6717], [21, 15/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [262, -49], [24, 12], [0, 0]], [[0, 0], [1351192/13, -968651/26], [-102184/13, -1789/13], [17/13, 3/26]], [[0, 0], [23175102/13, -5491521/13], [1057866/13, 763797/13], [-264/13, -138/13]]], 0, 3584, [], [] >,
< [ -10, 0, 1 ], [[216, 0], [46584, 72]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -6], [-30, -15], [0, 0]], [[0, 0], [-108, 42], [-136, 67], [4, -1]], [[0, 0], [301, 4], [688, 86], [1, 3]], [[0, 0], [20, 301/2], [430, 344], [15, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 6], [210, 9], [0, 0]], [[0, 0], [457, 53/2], [-32982/13, 30015/13], [-16/13, 1/26]], [[0, 0], [-5819, 58], [705760/13, -427330/13], [217/13, -21/13]], [[0, 0], [4331, -203549/2], [-5698230, 917190], [-266, 581/2]]], 0, 10752, [], [] >,
< [ -10, 0, 1 ], [[216, 0], [46584, 72]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -3], [-42, 15], [0, 0]], [[0, 0], [-144, -81/2], [46, -5], [3, -1/2]], [[0, 0], [-627, -294], [-492, 210], [-39, 15]], [[0, 0], [-442, -331/2], [-102, 66], [-9, 9/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [30, 15], [0, 0]], [[0, 0], [17956/13, -982/13], [-436/13, 4874/13], [-32/13, 1/13]], [[0, 0], [-9619911/13, 268173/13], [-484592/13, -2644286/13], [17255/13, -70/13]], [[0, 0], [-360915332/13, -1009693547/26], [-1451913394/13, -165112966/13], [869085/13, 1854265/26]]], 0, 10752, [], [] >,
< [ -10, 0, 1 ], [[216, 0], [46512, 46584]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 2], [108, 9], [0, 0]], [[0, 0], [12461, 1169/2], [-62722, -11554], [4, -1/2]], [[0, 0], [-36009, -5751], [209952, 52488], [-9, 0]], [[0, 0], [-55208, -20615/2], [332424, 87480], [-13, -1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -1], [6, -15], [0, 0]], [[0, 0], [-39981/13, 41952/13], [-120080/13, 7282/13], [-105/13, -2/13]], [[0, 0], [70887813/13, -53422221/13], [150731794/13, -15198290/13], [127421/13, -3052/13]], [[0, 0], [-1924760317, 148145687/2], [-9700626, 562860771], [398286, 1032339/2]]], 0, 10752, [], [] >,
< [ -10, 0, 1 ], [[216, 0], [46592, 8]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, 3], [20, -1], [0, 0]], [[0, 0], [954, -229/2], [1192, -284], [1, 1/2]], [[0, 0], [11681, -7046], [24336, -9360], [-31, -5]], [[0, 0], [-680418, 125683/2], [-817648, 182936], [-867, -797/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, -2], [14, -1], [0, 0]], [[0, 0], [-9811/3, -2627/6], [-2240/3, -224/3], [-2, -5/2]], [[0, 0], [-18818, 44588], [-8736, 10920], [380, -38]], [[0, 0], [-13504/3, 204941/3], [-22568/3, 49504/3], [570, -38]]], 0, 1344, [], [] >,
< [ -10, 0, 1 ], [[24, 24]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 5], [-104, -5], [0, 0]], [[0, 0], [11103, -192], [39748, -29252], [3, 0]], [[0, 0], [52330, 39041/2], [-339724, -73862], [15, 11/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 5], [-1442, -2], [0, 0]], [[0, 0], [-310369, 1175], [-50098754/13, 118380527/13], [27/13, 2/13]], [[0, 0], [-65829606, -50764035/2], [86993676428/13, 21340899234/13], [7463/13, 5321/26]]], 0, 2688, [], [] >,
< [ -10, 0, 1 ], [[24, 24]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, 5], [-130, -4], [0, 0]], [[0, 0], [-66799, 493/2], [219310, -19611], [-4, -3/2]], [[0, 0], [2370786, 52881], [-7610114, 494323], [156, 57]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-14, 4], [1306, 1], [0, 0]], [[0, 0], [7583, -22], [-50131116/13, -14310106/13], [-27/13, -2/13]], [[0, 0], [-500305, -385823/2], [539459984, 172293943], [178, 127/2]]], 0, 2688, [], [] >,
< [ -10, 0, 1 ], [[24, 24]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, -4], [6, 15], [0, 0]], [[0, 0], [-11438, 5095/2], [-10560, 4311], [5, -1/2]], [[0, 0], [-47377, -17547], [51758, 13184], [51, 17]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, -23], [6, 6], [0, 0]], [[0, 0], [-69848/13, -20939/26], [14016/13, 849/13], [89/13, 5/26]], [[0, 0], [-17803587/13, -5036608/13], [3025160/13, 773633/13], [17945/13, 4365/13]]], 0, 5376, [], [] >,
< [ -10, 0, 1 ], [[216, 0], [46512, 72]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 2], [30, -15], [0, 0]], [[0, 0], [-365, -185], [698, -56], [3, 1]], [[0, 0], [-6543, 1647], [-23004, 7506], [9, 0]], [[0, 0], [545321, -533165/2], [2842638, -847290], [472, 971/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, 4], [1806, 15], [0, 0]], [[0, 0], [124887, -642], [6243970, -606628], [-5, 0]], [[0, 0], [-39506955, 329865], [-25753795338/13, 2576729874/13], [20559/13, -66/13]], [[0, 0], [-1933483420, -4227102575/2], [13605331188/13, -1251562285245/13], [1063161/13, 2211033/26]]], 0, 10752, [], [] >,
< [ -10, 0, 1 ], [[216, 0], [46584, 46584]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, -3], [-138, -12], [0, 0]], [[0, 0], [2770, -125], [13022, -773], [4, -1]], [[0, 0], [-69147, -14445], [-313066, -62738], [-47, 2]], [[0, 0], [-3711231, -1554903/2], [-16801278, -3377361], [-2516, 209/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 5], [-522, -9], [0, 0]], [[0, 0], [-3379, -29/2], [1299670/13, -245125/13], [50/13, 5/26]], [[0, 0], [474318, -32562], [-208112120/13, 47826152/13], [-6784/13, 160/13]], [[0, 0], [-17354582, 25572349], [25707057720/13, -11205236628/13], [83296/13, -365888/13]]], 0, 10752, [], [] >,
< [ -10, 0, 1 ], [[216, 0], [46368, 46584]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 3], [-30, -3], [0, 0]], [[0, 0], [-141, 453/2], [1034, 533], [4, 5/2]], [[0, 0], [-3655, 1612], [84, 2130], [-5, 11]], [[0, 0], [8060, -3655/2], [10650, 42], [55, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, 57], [0, -15], [0, 0]], [[0, 0], [-101861/13, 10037/13], [30954/13, 2511/13], [-1/13, -2/13]], [[0, 0], [-410471/13, 195710/13], [30844/13, -46316/13], [31/13, -3/13]], [[0, 0], [27271243/13, -7712345/26], [-7580952/13, -247602/13], [2/13, 983/26]]], 0, 10752, [], [] >,
< [ -10, 0, 1 ], [[216, 0]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 9], [-66, -3], [0, 0]], [[0, 0], [-329, 77/2], [1414, 632], [4, -3/2]], [[0, 0], [11222, 3647], [-187528, -59174], [44, 12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 3], [-168, -15], [0, 0]], [[0, 0], [-893, 155/2], [52506/13, 68313/13], [62/13, 1/26]], [[0, 0], [-55474, -10726], [16975484/13, 6347509/13], [4958/13, 1206/13]]], 0, 32256, [], [] >,
< [ -10, 0, 1 ], [[216, 0]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 3], [-12, -3], [0, 0]], [[0, 0], [-46, 11], [-4, 4], [2, 0]], [[0, 0], [103, -19/2], [-14, -13], [-8, -3/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -12], [300, -15], [0, 0]], [[0, 0], [1139, 145/2], [123850/13, -48193/13], [-42/13, 1/26]], [[0, 0], [-84210, -22764], [-17432, 84782], [200, 49]]], 0, 32256, [], [] >,
< [ -10, 0, 1 ], [[216, 0]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -3], [66, 6], [0, 0]], [[0, 0], [-249, 9/2], [2492, -511], [-2, 5/2]], [[0, 0], [-3235, -1171/2], [20282, -412], [38, 57/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-372, -45], [78, 12], [0, 0]], [[0, 0], [1293603/13, 36903/26], [-260288/13, -14096/13], [2/13, -5/26]], [[0, 0], [-16222685/13, -7932215/26], [3564578/13, 923957/13], [48/13, 49/26]]], 0, 32256, [], [] >,
< [ -10, 0, 1 ], [[216, 0]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 15], [42, 3], [0, 0]], [[0, 0], [-5312, -2849/2], [-3874, -1456], [-3, 1/2]], [[0, 0], [3864, 1533], [4208, 1049], [-2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [414, -3], [-12, 3], [0, 0]], [[0, 0], [9431/13, -3290/13], [-2770/13, -262/13], [105/13, 2/13]], [[0, 0], [3000577/13, -1340021/26], [1380226/13, 594925/13], [-37716/13, -39961/26]]], 0, 32256, [], [] >,
< [ -10, 0, 1 ], [[96, 0], [128, 32]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 0], [12, -10], [0, 0]], [[0, 0], [1, 1], [2, 0], [1, 0]], [[0, 0], [-12, -10], [144, 0], [0, 0]], [[0, 0], [-50, -6], [0, 72], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74/3, 50/3], [16/3, 10/3], [0, 0]], [[0, 0], [3, 1], [2, 0], [1, 0]], [[0, 0], [320, -210], [56, -40], [0, 0]], [[0, 0], [-15430, 2190], [-2944, 380], [0, 0]]], 0, 1792, [], [] >,
< [ -10, 0, 1 ], [[96, 0], [32, 9184]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -4], [12, 10], [0, 0]], [[0, 0], [1, 1], [2, 0], [1, 0]], [[0, 0], [-12, 10], [-72, -36], [0, 0]], [[0, 0], [50, -6], [-180, -36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-134/3, 38/3], [-44/3, 8/3], [0, 0]], [[0, 0], [3, 1], [2, 0], [1, 0]], [[0, 0], [2008/3, -544/3], [700/3, -100/3], [0, 0]], [[0, 0], [11336/3, -2804/3], [4400/3, -350/3], [0, 0]]], 0, 1792, [], [] >,
< [ -10, 0, 1 ], [[96, 0]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 10], [52, 4], [0, 0]], [[0, 0], [1, 1], [2, 0], [1, 0]], [[0, 0], [-2828, -606], [-3956, -1634], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -8], [-736, -10], [0, 0]], [[0, 0], [-29586, 337], [-4013488/13, -3934056/13], [6/13, -1/13]], [[0, 0], [2772719, 810197], [1509927242/13, 495795076/13], [-297/13, -74/13]]], 0, 7168, [], [] >,
< [ -10, 0, 1 ], [[96, 0]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 8], [4, 2], [0, 0]], [[0, 0], [1, 1], [2, 0], [1, 0]], [[0, 0], [2, 0], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [268, 10], [-64, -2], [0, 0]], [[0, 0], [279615/13, -52654/13], [-68826/13, 12914/13], [-87/13, -5/13]], [[0, 0], [-55647/13, -502802/13], [15014/13, 124018/13], [625/13, 275/13]]], 0, 7168, [], [] >,
< [ -10, 0, 1 ], [[224, 64]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -2], [28, -10], [0, 0]], [[0, 0], [1, 1], [6, 0], [1, 0]], [[0, 0], [0, 0], [32, 10], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-430/3, -32/3], [-88/3, -2/3], [0, 0]], [[0, 0], [1, 1], [6, 0], [1, 0]], [[0, 0], [-1318, 494], [-336, 120], [0, 0]]], 0, 7168, [], [] >,
< [ -10, 0, 1 ], [[288, 0], [192, 96]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -6], [-24, -30], [0, 0]], [[0, 0], [1, 1], [-2, 2], [1, 0]], [[0, 0], [-248, 310], [2352, 1764], [0, 0]], [[0, 0], [1550, -124], [8820, 1176], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 4], [108, 18], [0, 0]], [[0, 0], [299, -45], [-43386/13, 3786/13], [-67/13, -4/13]], [[0, 0], [62838, -12579], [-8747860/13, 1304386/13], [-12180/13, 145/13]], [[0, 0], [-1510791, 1187376], [105329930/13, -175573832/13], [-246065/13, -282895/13]]], 0, 28672, [], [] >,
< [ -10, 0, 1 ], [[288, 0], [71616, 55680]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 4], [-32, 8], [0, 0]], [[0, 0], [-1, 1], [2, 0], [1, 0]], [[0, 0], [-24, -6], [60, 24], [0, 0]], [[0, 0], [-4330, -1730], [17300, 4330], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -12], [-52, 4], [0, 0]], [[0, 0], [225016/13, 56054/13], [149004/13, 5430/13], [80/13, 4/13]], [[0, 0], [570204/13, 123561/13], [445844/13, -15478/13], [238/13, -5/13]], [[0, 0], [81669779/13, 34214770/13], [2643854/13, 23962806/13], [3193/13, 12873/13]]], 0, 14336, [], [] >,
< [ -10, 0, 1 ], [[864, 0], [745376, 746464]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, -10], [20, 10], [0, 0]], [[0, 0], [3, 1], [6, 0], [1, 0]], [[0, 0], [132, -66], [-312, 120], [0, 0]], [[0, 0], [-30514, 4048], [51744, -11436], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1022/3, -32/3], [260/3, 10/3], [0, 0]], [[0, 0], [-1, -1], [6, 0], [1, 0]], [[0, 0], [11652, -12618], [768, -3072], [0, 0]], [[0, 0], [-12398486/3, -51592/3], [-3233024/3, -235648/3], [0, 0]]], 0, 21504, [], [] >,
< [ -10, 0, 1 ], [[672, 192]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -8], [0, 6], [0, 0]], [[0, 0], [1, 1], [-2, 2], [1, 0]], [[0, 0], [50, 10], [-48, -12], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 10], [288, -30], [0, 0]], [[0, 0], [15579, 1551], [-131738/13, 524402/13], [-1/13, -2/13]], [[0, 0], [284885, 65717], [11897278/13, 7849250/13], [-69/13, -34/13]]], 0, 86016, [], [] >,
< [ -10, 0, 1 ], [[672, 192]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, -8], [40, -4], [0, 0]], [[0, 0], [-1, 1], [2, 0], [1, 0]], [[0, 0], [130, 26], [-192, 30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-370, 10], [128, -2], [0, 0]], [[0, 0], [1112095/13, -52552/13], [-384650/13, 13690/13], [-7/13, -1/13]], [[0, 0], [638683/13, -392575/13], [-205882/13, 133924/13], [1/13, 2/13]]], 0, 43008, [], [] >,
< [ -10, 0, 1 ], [[672, 192]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 10], [192, 6], [0, 0]], [[0, 0], [-1, 1], [-10, 0], [1, 0]], [[0, 0], [82, 8], [13156, -4048], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-422, 32], [100, -10], [0, 0]], [[0, 0], [-426, 42], [-208, -10], [2, 0]], [[0, 0], [11465/13, 622/13], [7018/13, 1244/13], [-63/13, -9/13]]], 0, 43008, [], [] >,
< [ -10, 0, 1 ], [[32, 32]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 10], [56, 8], [0, 0]], [[0, 0], [1, 1], [6, 0], [1, 0]], [[0, 0], [156, 26], [420, 150], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22/3, -20/3], [32/3, -4/3], [0, 0]], [[0, 0], [-1, 1], [6, 0], [1, 0]], [[0, 0], [70/3, -2/3], [8/3, -10/3], [0, 0]]], 0, 7168, [], [] >,
< [ -10, 0, 1 ], [[288, 0], [82752, 96]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 8], [-64, -10], [0, 0]], [[0, 0], [1, 1], [2, 0], [1, 0]], [[0, 0], [-192, 30], [1320, 480], [0, 0]], [[0, 0], [-90, 6], [1000, 340], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 4], [1012, 4], [0, 0]], [[0, 0], [-7075, -25], [-104958, -183820], [-1, 0]], [[0, 0], [444444, -1698], [74695308/13, 149524932/13], [816/13, -6/13]], [[0, 0], [690414, 22050], [199262108/13, 236744078/13], [1266/13, 36/13]]], 0, 14336, [], [] >,
< [ -10, 0, 1 ], [[288, 0], [82752, 96]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 6], [-24, 0], [0, 0]], [[0, 0], [1, 1], [-2, -2], [1, 0]], [[0, 0], [28, 0], [-12, -12], [0, 0]], [[0, 0], [0, 14], [-60, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [166, 12], [0, 18], [0, 0]], [[0, 0], [34709/13, 346669/13], [393742/13, -24704/13], [15/13, 4/13]], [[0, 0], [20703570/13, -8121781/13], [-11004388/13, 3040430/13], [-112/13, -3/13]], [[0, 0], [-236469315/13, 9084717/13], [29953266/13, -27805170/13], [-2241/13, -894/13]]], 0, 28672, [], [] >,
< [ -10, 0, 1 ], [[288, 0]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 4], [60, 18], [0, 0]], [[0, 0], [1, 1], [-2, 2], [1, 0]], [[0, 0], [-170, 34], [288, 84], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -8], [816, 6], [0, 0]], [[0, 0], [527, 38], [-397998/13, -156084/13], [-35/13, -5/13]], [[0, 0], [-836, -128], [802024/13, 285692/13], [58/13, 12/13]]], 0, 57344, [], [] >,
< [ -10, 0, 1 ], [[288, 0]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 4], [-36, 6], [0, 0]], [[0, 0], [-1, 1], [-2, -2], [1, 0]], [[0, 0], [-22, -8], [-108, -36], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-168, 78], [12, -18], [0, 0]], [[0, 0], [295569/13, -32043/13], [-86682/13, -6834/13], [37/13, -4/13]], [[0, 0], [1795961/13, 999046/13], [-1269610/13, -472168/13], [225/13, 125/13]]], 0, 57344, [], [] >,
< [ -10, 0, 1 ], [[864, 0], [288, 746208]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 18], [-36, -6], [0, 0]], [[0, 0], [1, 1], [-2, 2], [1, 0]], [[0, 0], [252, -42], [0, -36], [0, 0]], [[0, 0], [-210, 126], [-180, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 6], [588, -6], [0, 0]], [[0, 0], [-1791, -96], [528842/13, -331028/13], [-59/13, -1/13]], [[0, 0], [-248648, 562], [102115124/13, -51596648/13], [-8364/13, 328/13]], [[0, 0], [-17651198, -84422], [6992190564/13, -3612304446/13], [-592204/13, 19106/13]]], 0, 172032, [], [] >,
< [ -10, 0, 1 ], [[864, 0], [745920, 746208]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 4], [216, 18], [0, 0]], [[0, 0], [-1, 1], [-14, -2], [1, 0]], [[0, 0], [732, -60], [-10044, -1836], [0, 0]], [[0, 0], [292, 14], [-5484, -1374], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-142, -8], [0, -18], [0, 0]], [[0, 0], [-2259, -843], [-454, 14], [5, 0]], [[0, 0], [202344/13, 74085/13], [37620/13, -342/13], [-414/13, -9/13]], [[0, 0], [333433/13, 118253/13], [54150/13, 1596/13], [-603/13, -36/13]]], 0, 172032, [], [] >,
< [ -10, 0, 1 ], [[864, 0], [1440, 288]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [22, 2], [108, 0], [0, 0]], [[0, 0], [-1, 1], [10, -2], [1, 0]], [[0, 0], [72, 0], [396, -36], [0, 0]], [[0, 0], [104, 4], [552, -30], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-522, 0], [96, 30], [0, 0]], [[0, 0], [-77594/13, 20195/13], [1488/13, 90/13], [-58/13, 1/13]], [[0, 0], [23198982/13, -5945691/13], [-462460/13, -33250/13], [17860/13, -95/13]], [[0, 0], [-12826501075/13, 5006388118/13], [-72058450/13, -99884140/13], [-195225/13, 3856715/13]]], 0, 172032, [], [] >,
< [ -10, 0, 1 ], [[864, 0], [745024, 746464]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, 2], [76, 10], [0, 0]], [[0, 0], [-1, 1], [6, 0], [1, 0]], [[0, 0], [1596, -210], [3264, -204], [0, 0]], [[0, 0], [-37058, 99820], [86428, 220252], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -4], [28, -2], [0, 0]], [[0, 0], [1, -1], [6, 0], [1, 0]], [[0, 0], [300, -18], [276, 0], [0, 0]], [[0, 0], [470/3, 20/3], [460/3, 46/3], [0, 0]]], 0, 21504, [], [] >,
< [ -10, 0, 1 ], [[96, 96]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 2], [-132, -6], [0, 0]], [[0, 0], [1, 1], [14, 0], [1, 0]], [[0, 0], [-38, -14], [820, 208], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -4], [-892, -10], [0, 0]], [[0, 0], [-869, 40], [752070/13, 163840/13], [73/13, 3/13]], [[0, 0], [-3623, -1352], [6678330/13, 2160410/13], [417/13, 145/13]]], 0, 43008, [], [] >,
< [ -10, 0, 1 ], [[96, 96]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 2], [164, 2], [0, 0]], [[0, 0], [1, 1], [-10, 0], [1, 0]], [[0, 0], [-1464, -528], [16456, 5566], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-28, -4], [-3700, -10], [0, 0]], [[0, 0], [-153, -48], [-323802/13, -41102/13], [45/13, -1/13]], [[0, 0], [166163, 52568], [241706858/13, 80061234/13], [-21389/13, -7665/13]]], 0, 43008, [], [] >,
< [ -10, 0, 1 ], [[96, 96]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -8], [36, -30], [0, 0]], [[0, 0], [3, 1], [-2, -2], [1, 0]], [[0, 0], [-222, -78], [0, -192], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [504, -114], [0, 30], [0, 0]], [[0, 0], [94157/13, -28734/13], [-9702/13, 2904/13], [-61/13, -5/13]], [[0, 0], [106908/13, -9381/13], [-13424/13, 166/13], [-928/13, -283/13]]], 0, 86016, [], [] >,
< [ -10, 0, 1 ], [[864, 0], [1152, 288]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, 6], [96, 24], [0, 0]], [[0, 0], [1, 1], [10, 2], [1, 0]], [[0, 0], [-24, 6], [-324, -108], [0, 0]], [[0, 0], [12946, -5180], [-233364, -70014], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 0], [240, -12], [0, 0]], [[0, 0], [443, 17], [72522/13, -2532/13], [11/13, -4/13]], [[0, 0], [118776, 41937], [14892616/13, 5614982/13], [-838/13, 1/13]], [[0, 0], [90613411, 25667656], [12131860626/13, 3218473236/13], [1787/13, -180961/13]]], 0, 172032, [], [] >,
< [ -10, 0, 1 ], [[864, 0], [576, 746208]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, -8], [-24, 30], [0, 0]], [[0, 0], [1, 1], [-2, 2], [1, 0]], [[0, 0], [288, 360], [-4788, 1008], [0, 0]], [[0, 0], [165240, 21456], [325920, -185766], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 2], [-1980, -18], [0, 0]], [[0, 0], [-3560, -2], [-519116, -69196], [-2, 0]], [[0, 0], [-966876, 3975], [-1821486720/13, -235753494/13], [-7062/13, 33/13]], [[0, 0], [-208413285, 803118], [-30212504310, -3916859160], [-117095, 517]]], 0, 172032, [], [] >,
< [ -10, 0, 1 ], [[864, 0], [463680, 121536]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 6], [0, -6], [0, 0]], [[0, 0], [1, -1], [-2, -2], [1, 0]], [[0, 0], [0, 12], [12, -12], [0, 0]], [[0, 0], [60, 0], [-60, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-210, 96], [36, -30], [0, 0]], [[0, 0], [-192615/13, 65415/13], [49126/13, -17006/13], [53/13, 2/13]], [[0, 0], [-654994/13, 242329/13], [164940/13, -63630/13], [316/13, 47/13]], [[0, 0], [172610241/13, -46589742/13], [-45330510/13, 11729580/13], [33921/13, 22641/13]]], 0, 172032, [], [] >,
< [ -10, 0, 1 ], [[864, 0]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 6], [-132, -6], [0, 0]], [[0, 0], [1, 1], [10, 2], [1, 0]], [[0, 0], [-78, -18], [156, 156], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 30], [2568, 12], [0, 0]], [[0, 0], [27059, -121], [-43042, 231670], [5, 0]], [[0, 0], [7458, -1305], [-1568652/13, 850056/13], [18/13, -3/13]]], 0, 516096, [], [] >,
< [ -10, 0, 1 ], [[864, 0]], [ -4, 1 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12, 6], [60, 6], [0, 0]], [[0, 0], [1, 1], [-2, 2], [1, 0]], [[0, 0], [6, 0], [-12, 6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -12], [-3144, -30], [0, 0]], [[0, 0], [146264, -55], [-90595580/13, 63364190/13], [48/13, 5/13]], [[0, 0], [-22377467, -4280522], [-4709929662/13, -7044746220/13], [-8815/13, -2173/13]]], 0, 516096, [], [] >,
< [ -10, 0, 1 ], [[864, 0]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 6], [-156, -6], [0, 0]], [[0, 0], [1, -1], [-14, -2], [1, 0]], [[0, 0], [-54, -30], [732, 96], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [510, 90], [-156, -24], [0, 0]], [[0, 0], [249829, -4543], [-81350, 3988], [1, 0]], [[0, 0], [78923008/13, 42377234/13], [-21285040/13, -12926206/13], [348/13, 176/13]]], 0, 516096, [], [] >,
< [ -10, 0, 1 ], [[864, 0]], [ -16, 5 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30, 0], [36, 0], [0, 0]], [[0, 0], [1, -1], [10, -2], [1, 0]], [[0, 0], [12, 6], [-12, -6], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1128, 120], [-204, -30], [0, 0]], [[0, 0], [-3581455/13, 61879/13], [610310/13, 19082/13], [-51/13, 2/13]], [[0, 0], [-51522186/13, -26508588/13], [11053092/13, 4982766/13], [-648/13, -360/13]]], 0, 516096, [], [] >,
< [ -10, -1, 1 ], [[1, 0]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2, 1], [27/2, 5], [11/2, 7/3], [2/3, 1/3]], [[-5/2, 1], [3, 1], [-2, 4/3], [-5/6, 1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2, 1/2], [-13/2, -3/2], [-103/30, -9/10], [2/15, 1/30]], [[-19/2, 2], [34, -15/2], [68/5, -83/30], [-19/30, 2/15]]], 4, 2, [], [] >,
< [ -10, -1, 1 ], [[-4, 1]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [103/2, -31/2], [3/2, -1/2], [0, 0]], [[-3/2, 0], [-789/2, 46], [-31/2, 0], [-1/2, 0]], [[1/2, 3/2], [-665/2, 337], [31/6, 47/3], [1/6, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [109/2, -25/2], [25/2, 1/2], [0, 0]], [[-27/2, -3/2], [83/2, -477], [-11587/10, -2429/5], [-9/10, -1/10]], [[-329/2, 42], [22357, -12523/2], [30464/15, -27863/30], [-329/30, 14/5]]], 3, 3, [], [] >,
< [ -10, -1, 1 ], [[11, -3]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [193/2, -26], [3/2, -1], [0, 0]], [[-3/2, -2], [-5739/2, 1543/2], [-691/6, 25/6], [-1/2, -2/3]], [[-45/2, 15], [92689/2, -25013/2], [2677/2, -523/2], [-15/2, 5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [33, 21/2], [2, 3/2], [0, 0]], [[-9/2, -1/2], [3738/5, 3099/10], [1723/15, 619/30], [-3/10, -1/30]], [[917/2, -126], [141097/10, -15881/5], [-256753/30, 35644/15], [917/30, -42/5]]], 3, 3, [], [] >,
< [ -10, -1, 1 ], [[2, 0]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[2, 3/2], [3/2, 2], [2, 3/2], [-1/2, 1/2]], [[1/2, -2], [3, -3], [1/2, -2], [5/2, -1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -5/2], [-31, -1/2], [-2, -5/2], [0, 0]], [[157, -82], [-15309/10, 1562/5], [807/5, -402/5], [-11/10, -2/5]], [[65/2, -16], [-615/2, 62], [65/2, -16], [0, 0]]], 4, 3, [], [] >,
< [ -10, -1, 1 ], [[-137, 37]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -3/2], [-7/2, -5/2], [-1, 1], [0, 0]], [[-1509, -417/2], [-132163/163, -33292/163], [5623/4, -11/4], [-839/652, -3/3260]], [[577832, -264675/2], [28296797/163, -9966301/326], [-1661379/2, 209873], [246229/326, -155343/815]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, 1/2], [11/2, 1/2], [5, 0], [0, 0]], [[63, 87/2], [3596/163, 3953/163], [-4167/20, 427/20], [123/3260, -1/3260]], [[46, -17/2], [6057/163, -2623/326], [1099/5, -613/10], [-26/815, 3/326]]], 4, 4, [], [] >,
< [ -10, -1, 1 ], [[-14, 4]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2, -5/2], [-83, 21/2], [2, -5/2], [0, 0]], [[-9145/2, 1423/2], [85591/2, -14746], [-9145/2, 1423/2], [1, 1/2]], [[-20425/2, 2312], [116810, -68549/2], [-20425/2, 2312], [1/2, 1/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 0], [-53/2, 24], [1/2, 0], [0, 0]], [[11/2, 2], [92/5, -27/5], [-11/10, -2/5], [11/10, 2/5]], [[0, 0], [-185, 50], [0, 0], [0, 0]]], 3, 6, [], [] >,
< [ -10, -1, 1 ], [[-100, 27]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, -5], [-2, -5/2], [-7/2, -5/2], [0, 0]], [[-3168, -1183/2], [-230657/163, -87435/326], [-2247, -647/2], [1202/815, 1/1630]], [[6526953/2, -881934], [467894213/326, -63223183/163], [2854190, -3085043/4], [-2496021/815, 2697519/3260]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[31/2, 1/2], [5, 1], [21/2, -1/2], [0, 0]], [[937/2, 15], [39959/326, 1582/163], [6791/2, 97/10], [-937/1630, -1/1630]], [[230288, -124353/2], [8451674/163, -4562873/326], [3625739/2, -9790283/20], [-502703/1630, 271483/3260]]], 4, 4, [], [] >,
< [ -10, -1, 1 ], [[30, -8]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, 1/2], [91, -51/2], [-2, 1/2], [0, 0]], [[129/2, -19/2], [-2188, 1541/2], [129/2, -19/2], [-1/2, -1]], [[-535/2, 55], [21559/2, -3303], [-535/2, 55], [-2, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 0], [23/2, -4], [-1/2, 0], [0, 0]], [[0, 0], [-27/2, 81/5], [0, 0], [3/2, -2/5]], [[0, 0], [-5, 0], [0, 0], [0, 0]]], 3, 6, [], [] >,
< [ -10, -1, 1 ], [[-2580, 697]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3, 1/2], [0, 5/2], [3, -2], [0, 0]], [[150, -5], [-4487/326, 181/326], [-88, -7/2], [245/326, -1/163]], [[30291/2, -3530], [-459825/326, 53957/163], [-7527, 6409/4], [11718/163, -10633/652]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, -1/2], [-2, -3/2], [9, 1], [0, 0]], [[1930, -39/2], [347413/326, -935/163], [-5941/2, -69/4], [-275/163, -1/652]], [[27/2, 1], [2481/326, 91/163], [-22, -33/20], [-2/163, -3/3260]]], 1, 16, [], [] >,
< [ -10, -1, 1 ], [[770, -208]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-70, 39/2], [85, -47/2], [-70, 39/2], [0, 0]], [[-53893/2, 14507/2], [65247/2, -17593/2], [-53893/2, 14507/2], [1, 2]], [[-1260359/2, 169728], [763028, -205802], [-1260359/2, 169728], [21/2, 42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[30, -17/2], [125, -75/2], [30, -17/2], [0, 0]], [[1299/2, -411/2], [2555, -9723/10], [1321/2, -417/2], [3/2, -2/5]], [[355/2, 133/2], [3345/2, 1245/2], [355/2, 133/2], [0, 0]]], 1, 16, [], [] >,
< [ -10, -1, 1 ], [[19870, -5368]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15/2, -2], [5195/2, -702], [15/2, -2], [0, 0]], [[-1/2, -3/2], [1177, 460], [-1/2, -3/2], [-1/2, -3/2]], [[21681/2, -2937], [-194572, 56548], [21681/2, -2937], [21681/2, -2937]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-10, -5/2], [655, -245/2], [-10, -5/2], [0, 0]], [[3575/2, 658], [-19213, -67493/10], [3565/2, 661], [-3/2, 1/10]], [[118, -294], [-95967/2, 78531/5], [-583, -105], [-189/2, 128/5]]], 1, 80, [], [] >,
< [ -10, -1, 1 ], [[1699, -459]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 0], [-3/2, -1/2], [-1, 1/2], [0, 0]], [[280, 7/2], [-17328/163, 731/326], [-1515/4, 3/4], [1507/652, 1/652]], [[408522, -220967/2], [-27658734/163, 7478654/163], [-1149991/2, 155491], [1135783/326, -307145/326]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, 1/2], [7/2, 5/2], [0, -2], [0, 0]], [[-475, -5/2], [-25132/163, 8516/163], [-16403/20, -1077/20], [-1673/3260, 3/3260]], [[-74479/2, 10009], [-7636623/326, 1032219/163], [-1074247/20, 288047/20], [-133677/3260, 35937/3260]]], 1, 16, [], [] >,
< [ -10, -1, 1 ], [[178, -48]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[79/2, -19/2], [309/2, -79/2], [79/2, -19/2], [0, 0]], [[2555/2, -315], [10043/2, -1305], [2555/2, -315], [0, -2]], [[0, 0], [3/2, 0], [0, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23, 11/2], [84, -83/2], [-23, 11/2], [0, 0]], [[-65, -2], [-3757/10, -1174/5], [-256/5, -4/5], [-23/10, -1/5]], [[-17389/2, 2353], [379339/10, -101769/10], [-71681/10, 9698/5], [-1272/5, 689/10]]], 1, 16, [], [] >,
< [ -10, -1, 1 ], [[-2206, 596]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -1], [-267/2, 36], [7/2, -1], [0, 0]], [[0, 0], [-1037/2, -499/2], [0, 0], [-5/2, 3/2]], [[0, 0], [20297, 6351/2], [0, 0], [-314, 133/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4, -3/2], [-207, 99/2], [4, -3/2], [0, 0]], [[503/2, 139/2], [19067/10, 9329/5], [2707/10, 713/10], [-16/5, -3/10]], [[652, -41], [-180207/10, 36046/5], [3809/5, -319/5], [-183/10, 19/5]]], 1, 80, [], [] >,
< [ -10, -1, 1 ], [[1166, -315]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, -5/2], [-12, 7/2], [0, 0]], [[-74, 20], [1013, -222], [-1521, 1187/3], [-74/3, 20/3]], [[-35, 19/2], [850, 39], [-814, 422/3], [-35/3, 19/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31, 14], [15, 1], [0, 0]], [[29, -3/2], [103, 29], [347/15, 428/15], [29/15, -1/10]], [[437, -239/2], [306, -191/2], [-10934/15, 1891/10], [437/15, -239/30]]], 0, 8, [], [] >,
< [ -10, -1, 1 ], [[26, -7]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [59, -17], [15, -4], [0, 0]], [[-3/2, 0], [26, 156], [-68, 10], [-1/2, 0]], [[3/2, -1/2], [370, -143/2], [226/3, -131/6], [1/2, -1/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, 18], [-10, 1], [0, 0]], [[6, 3/2], [-120, -391/2], [-3164/5, -2517/10], [2/5, 1/10]], [[7/2, -1], [1439, -385], [2563/15, -196/5], [7/30, -1/15]]], 1, 2, [], [] >,
< [ -10, -1, 1 ], [[26, -7]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3/2, -3/2], [-1/2, -1/2], [0, 0]], [[19, -11/2], [-83/2, 21/2], [9/2, -5/6], [19/3, -11/6]], [[-6, 7/2], [49/2, -3], [-29/6, -2/3], [-2, 7/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [85/2, -9], [25/2, 1], [0, 0]], [[33, 2], [-3663/2, 2721/2], [55063/30, 29837/30], [11/5, 2/15]], [[-33276, 17907/2], [13248343/2, -3584867/2], [10171563/10, -2797363/10], [-11092/5, 5969/10]]], 1, 3, [], [] >,
< [ -10, -1, 1 ], [[496, -134]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [422, -227/2], [0, 1/2], [0, 0]], [[1/2, -5/2], [-7449, 4003/2], [19/3, -1/2], [1/6, -5/6]], [[23/2, -11], [-42349, 22809/2], [95/3, -9/2], [23/6, -11/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [41, -33], [9, -3], [0, 0]], [[-1/2, -2], [-17493/5, -9609/10], [-2203/15, -83/10], [-1/30, -2/15]], [[-34, 9], [28806/5, -17167/10], [12356/15, -6797/30], [-34/15, 3/5]]], 1, 4, [], [] >,
< [ -10, -1, 1 ], [[22276, -6018]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [348, -187/2], [-30, 17/2], [0, 0]], [[-205, 111/2], [45246, -24613/2], [-12316/3, 6271/6], [-205/3, 37/2]], [[1081, -585/2], [-238248, 64688], [64396/3, -16649/3], [1081/3, -195/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, -3/2], [2, 1/2], [0, 0]], [[-43, 1/2], [812/5, 148/5], [262/15, 31/5], [-43/15, 1/30]], [[6327, -4959/2], [-30223/5, 33618/5], [5299/5, 2351/5], [2109/5, -1653/10]]], 0, 24, [], [] >,
< [ -10, -1, 1 ], [[-8, 2]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-35, 10], [-71/2, 9], [-35, 10], [-1/2, -1]], [[368, -207/2], [368, -95], [368, -207/2], [0, 17/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[24, -7], [37, -11], [24, -7], [0, 0]], [[3680, -1909/2], [57193/10, -14733/10], [18366/5, -9537/10], [17/10, -1/5]], [[-9660, -8211], [-193641/10, -71757/5], [-46142/5, -40223/5], [-1079/10, -208/5]]], 1, 5, [], [] >,
< [ -10, -1, 1 ], [[52, -14]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-7, 5/2], [-19, 11/2], [-7, 5/2], [0, 0]], [[1091/2, -159], [1360, -747/2], [1091/2, -159], [-1/2, -3/2]], [[-34795/2, 4952], [-43020, 11754], [-34795/2, 4952], [-19/2, 38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1], [2101/2, -274], [-3/2, -1], [0, 0]], [[33, 13/2], [-1493, 297], [25, 17/2], [2, -1/2]], [[1103, 412], [-33873/5, -15342/5], [5483/5, 2032/5], [8/5, 7/5]]], 1, 4, [], [] >,
< [ -10, -1, 1 ], [[-6152, 1662]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1275/2, -1], [-380951/326, -41/163], [-7191/4, 3/4], [-481/652, 1/3260]], [[-1084671, 586349/2], [322527682/163, -87176135/163], [3049295, -1648387/2], [203964/163, -275647/815]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 0], [0, 0], [0, 0]], [[-187/2, -1], [17461/326, -81/326], [6833/20, -93/20], [123/3260, -1/3260]], [[410429/2, -55466], [-39961237/326, 5400186/163], [-16012711/20, 4327671/20], [-284121/3260, 76789/3260]]], 1, 8, [], [] >,
< [ -10, -1, 1 ], [[-68, 18]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, -1], [28, -9], [6, -1], [0, 0]], [[805, -339/2], [193767/163, 100895/326], [-3313/2, -173], [505/326, 1/815]], [[-12074814, 3260848], [-553624845/163, 293825133/326], [11392536, -3061752], [-2411375/163, 1299365/326]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25, -3/2], [-6, 2], [-25, -3/2], [0, 0]], [[-467, -399/2], [12451/163, -983/326], [137/5, -2189/10], [-63/815, 1/326]], [[1820, -546], [364105/163, -195773/326], [32449/2, -8837/2], [-735/326, 494/815]]], 0, 32, [], [] >,
< [ -10, -1, 1 ], [[96, -26]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-23, 7], [0, 5], [-23, 7], [0, 0]], [[-20315, 8755/2], [-34037/2, -2459], [-20315, 8755/2], [-5/2, 5/2]], [[87295, -19720], [129127/2, 7102], [87295, -19720], [27/2, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, 7/2], [-59, 43/2], [-12, 7/2], [0, 0]], [[-3240, 740], [-209993/10, 13989/5], [-16134/5, 3704/5], [33/10, 1/5]], [[-593500, 159750], [-16247833/5, 4327008/5], [-2961108/5, 797118/5], [1598/5, -408/5]]], 1, 18, [], [] >,
< [ -10, -1, 1 ], [[670, -181]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[3, -2], [-56591/163, -206/163], [-3775/2, -5/4], [387/326, 1/652]], [[-199, 181/2], [4914069/326, -185221/163], [164285/2, -25613/4], [-42084/815, 13031/3260]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1/2], [-3, 1/2], [41, -11], [0, 0]], [[-43, -15], [-22295/326, -4545/326], [-1123/2, 9/20], [153/815, -3/3260]], [[-188, -76], [-38113/326, -40051/326], [2301/2, -4127/4], [-65/163, 225/652]]], 1, 8, [], [] >,
< [ -10, -1, 1 ], [[-200, 54]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-31, 9], [178, -51], [-31, 9], [0, 0]], [[-2001, 897/2], [22551/2, -5229/2], [-2001, 897/2], [-5/2, -2]], [[52578, -28221/2], [-599961/2, 80602], [52578, -28221/2], [-87/2, 29/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-26, 15/2], [-52, 19/2], [-26, 15/2], [0, 0]], [[324, 405], [-16209/2, -25213/10], [324, 405], [1/2, 1/10]], [[-24057, 6480], [-40053, 110037/10], [-24057, 6480], [7, -19/10]]], 1, 18, [], [] >,
< [ -10, -1, 1 ], [[17290, -4671]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-507, 1], [-14807/326, -919/326], [895/2, -15/4], [-255/163, 5/652]], [[-6849, 3659/2], [-166039/326, 22052/163], [6148, -1643], [-6943/326, 1855/326]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -5/2], [-4, -5/2], [67, -17], [0, 0]], [[-10676, -4531/2], [-10097/2, -2268], [-23409, 7593/2], [-5/2, 0]], [[-8071119, 4426413/2], [319347752/163, -165019293/326], [-119995133/2, 324495731/20], [-1450887/326, 3933661/3260]]], 1, 48, [], [] >,
< [ -10, -1, 1 ], [[-5160, 1394]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-875, 473/2], [-1070, 579/2], [-875, 473/2], [0, 0]], [[-43895, 11795], [-53959, 14336], [-43899, 11791], [1, 1]], [[-942700, 254562], [-2307615/2, 311274], [-942630, 254534], [-35/2, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[220, -119/2], [1080, -625/2], [220, -119/2], [0, 0]], [[-19032, 5142], [-192743/2, 259049/10], [-19038, 5142], [3/2, -3/10]], [[1406, -781/2], [24979/2, 203/10], [1474, -731/2], [-9/2, -8/5]]], 1, 48, [], [] >,
< [ -10, -1, 1 ], [[-133160, 35974]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 5/2], [-6040, 3273/2], [-15, 5/2], [0, 0]], [[51620, 19109], [-318553/2, -116469/2], [51626, 19107], [-3/2, 1/2]], [[-1139105, -421634], [3480248, 2588505/2], [-1139037, -421644], [-17, 5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15, 2], [105, 25], [-15, 2], [0, 0]], [[-179, 15], [3427/2, 2306/5], [-191, 14], [5/2, -2/5]], [[4334, -249/2], [-102037/2, -76016/5], [4656, -157/2], [-115/2, 69/10]]], 1, 240, [], [] >,
< [ -10, -1, 1 ], [[836, -226]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9, -1/2], [-58, 17], [-9, -1/2], [0, 0]], [[3765, 3017/2], [-383139/163, -169337/326], [8665/2, 1514], [-649/326, -2/163]], [[938, 6195], [-5293086/163, 949512/163], [17838, 2035], [-9750/163, 2405/163]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[60, 1], [-24, 7], [60, 1], [0, 0]], [[-97103, -79031/2], [-1228511/163, 327/326], [-483477/5, -395171/10], [143/815, -1/1630]], [[397616, 208476], [14679787/163, -4744025/326], [3927143/10, 2092787/10], [-3437/1630, 281/815]]], 0, 192, [], [] >,
< [ -10, -1, 1 ], [[76304, -20614]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-153, 9/2], [34430/163, -158/163], [-122, 7/2], [123/163, -1/163]], [[-19355/2, 5063/2], [4094515/326, -532491/163], [-30813/4, 8059/4], [29521/652, -7685/652]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-4391/2, -5], [-181359/326, -366/163], [576253/20, 227/20], [-6477/3260, -3/3260]], [[1170220, -321749], [48097795/163, -26453975/326], [-15437394, 4243580], [173481/163, -95377/326]]], 1, 32, [], [] >,
< [ -10, -1, 1 ], [[-1192, 322]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-380, 205/2], [-488, 261/2], [-380, 205/2], [0, 0]], [[332, -179/2], [869/2, -225/2], [332, -179/2], [1/2, 1]], [[4444, -1199], [11557/2, -1521], [4444, -1199], [-5/2, 10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[202, -109/2], [-626, 347/2], [202, -109/2], [0, 0]], [[-4138, 2257/2], [69477/5, -15937/5], [-20658/5, 11281/10], [8/5, -1/10]], [[12830, -180], [2503581/10, 1081079/10], [67328/5, 302/5], [1589/10, 601/10]]], 1, 48, [], [] >,
< [ -10, -1, 1 ], [[14784, -3994]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-35, -5/2], [-984, 413/2], [-35, -5/2], [0, 0]], [[39675, 14730], [387051/2, 74042], [39675, 14730], [-3/2, -1]], [[2944, 297/2], [87648, -37987/2], [2944, 297/2], [-15, 4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17, 1/2], [4, -53/2], [17, 1/2], [0, 0]], [[3931, -464], [98213/10, -28049/5], [19689/5, -2324/5], [17/10, -1/5]], [[1232093, -659451/2], [11775747/2, -1606131], [1234223, -660591/2], [1065/2, -285/2]]], 1, 240, [], [] >,
< [ -10, -1, 1 ], [[2351806, -635355]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-23, 13/2], [179, -97/2], [0, 0]], [[-2567, 1387/2], [20292, -5395], [-145156, 117515/3], [-2567/3, 1387/6]], [[26775, -14467/2], [-211490, 56483], [4546888/3, -1227400/3], [8925, -14467/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51, -7/2], [-35, -3/2], [0, 0]], [[28, 2], [-88671, 16591/2], [-316957/5, 215347/30], [28/15, 2/15]], [[40971, -22127/2], [-201400635, 108802661/2], [-2251389247/15, 1216295369/30], [13657/5, -22127/30]]], 0, 128, [], [] >,
< [ -10, -1, 1 ], [[52366, -14147]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1244, 675/2], [26, -15/2], [0, 0]], [[0, -1], [-13402, 4038], [248/3, -485/3], [0, -1/3]], [[-493, -365/2], [200545, 74347], [-201017/3, -24805], [-493/3, -365/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1228, -687/2], [20, -3/2], [0, 0]], [[13, -1/2], [-385431, -284075/2], [1915409/15, 472819/10], [13/15, -1/30]], [[-271, 117/2], [1906933, 686967], [-9344953/15, -3465907/15], [-271/15, 39/10]]], 0, 32, [], [] >,
< [ -10, -1, 1 ], [[52366, -14147]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-240, 65], [-66, 18], [0, 0]], [[-3, 1/2], [-478, 243/2], [-364/3, 155/6], [-1, 1/6]], [[2126, 787], [52123, 38605/2], [47409, 105305/6], [2126/3, 787/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 1], [10, 2], [0, 0]], [[41, 3/2], [409, 57/2], [2063/15, 1099/30], [41/15, 1/10]], [[-23309, 9943/2], [-213729, 43090], [-171579/5, 22397/15], [-23309/15, 9943/30]]], 0, 32, [], [] >,
< [ -10, -1, 1 ], [[-174, 47]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-819/2, 110], [1/2, -1], [0, 0]], [[3, 0], [-54830, 30071/2], [724, 215/2], [1, 0]], [[40, 29/2], [-8759/2, 16371/2], [89671/6, 10975/2], [40/3, 29/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [135, -73/2], [5, -3/2], [0, 0]], [[-15, 0], [159/2, 16], [339/2, 54], [-1, 0]], [[124, -103/2], [-108, 391/2], [6782/15, 3207/10], [124/15, -103/30]]], 1, 6, [], [] >,
< [ -10, -1, 1 ], [[44930516, -12138258]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1135, -613/2], [-57, 31/2], [0, 0]], [[8049, -4349/2], [-25085, 13555/2], [-2569/3, 1391/6], [2683, -4349/6]], [[136284, -36818], [-424173, 229189/2], [-43619/3, 23575/6], [45428, -36818/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [47, 31/2], [3, 3/2], [0, 0]], [[-65, 5/2], [-157, 227/2], [199/3, -11/2], [-13/3, 1/6]], [[-1403, 751/2], [-44983/5, 24471/10], [7919/5, -12749/30], [-1403/15, 751/30]]], 0, 384, [], [] >,
< [ -10, -1, 1 ], [[-15628, 4222]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-531, 287/2], [-559, 305/2], [-531, 287/2], [0, 0]], [[50084, -13528], [53054, -28511/2], [50084, -13531], [0, -3/2]], [[-5681, 3097/2], [-5365, 3747/2], [-5709, 3077/2], [-14, -5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1027, -555/2], [2271, -1227/2], [1027, -555/2], [0, 0]], [[104120, -28120], [1150793/5, -621691/10], [520762/5, -140597/5], [27/5, 1/10]], [[-5548, -342], [-45558/5, 4111/10], [-43232/5, -7443/5], [-2582/5, -1911/10]]], 0, 32, [], [] >,
< [ -10, -1, 1 ], [[-52, 2]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[29, 3/2], [2220, -556], [29, 3/2], [0, 0]], [[-6729953, -4984313/2], [-5113830359/163, -3822570045/326], [-6731383, -4984303/2], [143/163, -1/326]], [[-264394962, -196286909/2], [-194568600514/163, -76978897353/163], [-264643632, -196182553/2], [24867/163, -26089/815]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 3/2], [2282, -615], [5, 3/2], [0, 0]], [[-60, -3/2], [96393/163, -63241/326], [426, 21/2], [-12/163, -3/1630]], [[2097, -865/2], [-6068305/163, 3363229/326], [-74503/5, 30751/10], [2097/815, -173/326]]], 0, 512, [], [] >,
< [ -10, -1, 1 ], [[193836, -52366]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-148, 40], [-1500, 405], [-148, 40], [0, 0]], [[762, -207], [7751, -4149/2], [760, -204], [-1, 3/2]], [[-447, -321/2], [7306, 5509/2], [423, 323/2], [435, 161]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1523, -823/2], [-2829, 1523/2], [1523, -823/2], [0, 0]], [[-218333, 117969/2], [2024598/5, -1093591/10], [-1091767/5, 589869/10], [17/5, -2/5]], [[-1834, 767], [163221/5, 94023/10], [-22844/5, -1226/5], [2279/5, 1687/10]]], 0, 192, [], [] >,
< [ -10, -1, 1 ], [[330, -89]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, -1/2], [7, -1/2], [26, -7], [0, 0]], [[168, 62], [-247289/163, 10993/163], [-18165/2, 17/4], [9311/1630, 3/3260]], [[3707, 1067/2], [-722290069/163, 388666709/326], [-47455665/2, 25500837/4], [4856745/326, -2609769/652]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-12, -1], [-12, -1], [1514, -409], [0, 0]], [[-304805, -225639/2], [-49679110/163, -36779397/326], [4707/2, -1127/4], [-61/326, -1/652]], [[-1350780, -494346], [-217743169/163, -81231596/163], [3418431/2, -9203927/20], [-164021/1630, 17575/652]]], 0, 128, [], [] >,
< [ -10, -1, 1 ], [[-403300, 108954]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1001, 541/2], [3443, -1861/2], [-1001, 541/2], [0, 0]], [[190332, -51408], [-654765, 353649/2], [190326, -51413], [-3, -5/2]], [[-4335, -2397/2], [23062, 14279/2], [-2217, -829/2], [1059, 392]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-209, 113/2], [397, -209/2], [-209, 113/2], [0, 0]], [[80508, -21750], [-151386, 81753/2], [80528, -21755], [2, -1/2]], [[2820, -282], [56847, 117674/5], [1670, -708], [-115, -213/5]]], 0, 192, [], [] >,
< [ -10, -1, 1 ], [[-130, 37]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 0], [6, 0], [122, -33], [0, 0]], [[-2615, -1211/2], [-1730, -1217/2], [882, 19], [-3, 0]], [[59368, -56379], [-6667411/163, -3590980/163], [-182905/2, 130469/4], [109531/326, -75429/652]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[6, 2], [6, 2], [1322, -357], [0, 0]], [[12060, 536], [-423655/163, 88092/163], [77207/2, -11207/20], [2123/326, 3/3260]], [[20627375, -16067277/2], [-1499019021/163, 844136689/326], [82512175, -286924411/10], [2156195/163, -7686201/1630]]], 0, 768, [], [] >,
< [ -10, -1, 1 ], [[-10407660, 2811694]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[39305, -21237/2], [38535, -20821/2], [39305, -21237/2], [0, 0]], [[-687880, 185838], [-674444, 182211], [-687904, 185826], [-4, -2]], [[-369200, -136448], [-721336, -533595/2], [1951504, 722575], [386784, 286341/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25835, -13959/2], [129185, -69795/2], [25835, -13959/2], [0, 0]], [[9939350, -2685168], [49699015, -26852863/2], [9939300, -2685178], [5, 1/2]], [[1052890, 717011/2], [7505549, 13110386/5], [-1528423, -1193967/2], [203228, 752261/10]]], 0, 768, [], [] >,
< [ -10, -1, 1 ], [[1020, -278]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-45, -3/2], [21815, -11705/2], [-45, -3/2], [0, 0]], [[26964980, 9981286], [-80824107, -29946153], [26964998, 9981286], [3, 0]], [[61861800, 22884540], [-205524436, -126456687/2], [61857144, 22885809], [-776, 423/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[90, 1], [10, 20], [90, 1], [0, 0]], [[-38520, -78629/2], [-89342, -40889/2], [-38547, -78635/2], [3, 0]], [[-10435350, 5502293/2], [5109677, -7207032/5], [-10432489, 5500719/2], [-456, 1243/10]]], 0, 3840, [], [] >,
< [ -10, -1, 1 ], [[404, -114]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[17, 3/2], [-2248, 636], [17, 3/2], [0, 0]], [[412320, 305049/2], [317640645/163, 233473055/326], [411708, 305051/2], [306/163, -1/326]], [[-3773874, -1581277], [-656919274/163, -1818594837/163], [-4437714, -1400317], [331920/163, -90480/163]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[115, 5/2], [-1202, 343], [115, 5/2], [0, 0]], [[-1204711, -446984], [-108975646/163, -39305495/163], [-6010601/5, -2234914/5], [2159/815, 1/815]], [[-17989050, -8303099/2], [2587879409/163, -3002256105/326], [-21538758, -6368789/2], [-591618/163, 322385/326]]], 0, 3072, [], [] >,
< [ -10, -1, 1 ], [[-2404172, 649502]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1079, 583/2], [-881, 477/2], [-1079, 583/2], [0, 0]], [[0, 0], [-379, 193/2], [-10, -15], [-1, -3/2]], [[0, 0], [-127338, -94227/2], [-382660, -141645], [-38266, -28329/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2480, -670], [-7570, 2045], [2480, -670], [0, 0]], [[5366, -2897/2], [-81464/5, 44033/10], [26841/5, -14487/10], [-1/5, 1/5]], [[566, 234], [975, 573/2], [774, 311], [77, 57/2]]], 0, 768, [], [] >,
< [ -10, -1, 1 ], [[-148, 18]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27, -1/2], [105, -135/2], [-27, -1/2], [0, 0]], [[-221430, -82245], [-1118806, -822017/2], [-221390, -82250], [4, -1/2]], [[17653635, 13112805/2], [89181645, 65538021/2], [17650515, 13113565/2], [-312, 38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -3/2], [-297, -21/2], [-1, -3/2], [0, 0]], [[1249, -103/2], [-241067/5, 280429/10], [6243/5, -551/10], [-18/5, -2/5]], [[44353, -9088], [-3320050, 2097895/2], [44562, -9182], [-94, 23/2]]], 0, 3840, [], [] >,
< [ -10, -1, 1 ], [[1166, -315]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [151/2, -37/2], [-5/2, 5/2], [0, 0]], [[3, 5/2], [1685/2, -183], [-37/6, 104/3], [1, 5/6]], [[-187, -99/2], [8868, -3744], [-7132/3, -1066/3], [-187/3, -33/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51/2, 1], [-15/2, 2], [0, 0]], [[68, 2], [224, 97], [-2426/15, -18/5], [68/15, 2/15]], [[7105, -3915/2], [-9629/2, 2013/2], [-103559/6, 28507/6], [1421/3, -261/2]]], 1, 12, [], [] >,
< [ -10, -1, 1 ], [[1166, -315]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [121, -65/2], [-11, 7/2], [0, 0]], [[5, 2], [607/2, -74], [-163/6, 5], [5/3, 2/3]], [[-34, -25/2], [165/2, -74], [21/2, 37/3], [-34/3, -25/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [28, 5], [10, 0], [0, 0]], [[-1, 1], [-1005/2, 46], [-2837/10, 838/15], [-1/15, 1/15]], [[-107, 59/2], [-18470, 9833/2], [-191326/15, 34289/10], [-107/15, 59/30]]], 1, 8, [], [] >,
< [ -10, -1, 1 ], [[116, -34]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, -2], [-1670, 453], [12, -2], [0, 0]], [[-34750, -12869], [-53059, -37259/2], [-34764, -12872], [-7, -3/2]], [[-37975, -26877/2], [105883, -127405/2], [-37639, -27073/2], [168, -49]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27, -1/2], [-52891, 28619/2], [-27, -1/2], [0, 0]], [[46009992, 17030916], [-122179849, -90225751/2], [46009902, 17030913], [-15, -1/2]], [[3326685222, 1231334265], [-42465908046/5, -16768709744/5], [16633851426/5, 6156546549/5], [70886/5, -20796/5]]], 0, 512, [], [] >,
< [ -10, -1, 1 ], [[-7814, 2111]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2054, 1145/2], [0, -5/2], [0, 0]], [[-13, -5/2], [267435/2, -35178], [-2779/6, -13], [-13/3, -5/6]], [[-56, -14], [778441/2, -100597], [-10517/6, -191], [-56/3, -14/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7/2, -4], [-5/2, 1], [0, 0]], [[-29, 3/2], [-2875/2, -973/2], [7331/30, 1289/30], [-29/15, 1/10]], [[-61632, 16672], [-225139, 63824], [3581449/15, -973159/15], [-20544/5, 16672/15]]], 1, 16, [], [] >,
< [ -10, -1, 1 ], [[-7814, 2111]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1461, -787/2], [-1, 3/2], [0, 0]], [[-3, 1/2], [21361/2, -5877/2], [-629/6, -151/6], [-1, 1/6]], [[-3, -1/2], [6993/2, -1155], [-2029/6, -361/3], [-1, -1/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 4], [5, -1], [0, 0]], [[-36, 1], [-1491/2, -255], [6179/30, -847/15], [-12/5, 1/15]], [[-70045, 37895/2], [-100504, 56857/2], [649236, -1052357/6], [-14009/3, 7579/6]]], 1, 24, [], [] >,
< [ -10, -1, 1 ], [[574, -155]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15768, 4249], [6, 2], [0, 0]], [[-11, -1/2], [-22649, -23863/2], [28313/3, 6989/2], [-11/3, -1/6]], [[-10285, 5555/2], [10204393, -2762273], [-263, 5731/3], [-10285/3, 5555/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, 5/2], [5, 1/2], [0, 0]], [[47, 1/2], [2178, -516], [-8054/15, 758/5], [47/15, 1/30]], [[299279, -161633/2], [23414330, -12650663/2], [-93061328/15, 16760907/10], [299279/15, -161633/30]]], 0, 128, [], [] >,
< [ -10, -1, 1 ], [[574, -155]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2647, 1451/2], [-11, -1/2], [0, 0]], [[5, -3/2], [-177503, -66111], [178469/3, 66056/3], [5/3, -1/2]], [[-1174, 317], [-338236, -33726], [193834/3, 24321], [-1174/3, 317/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31, 7/2], [5, 1/2], [0, 0]], [[-58, -2], [3582, -569/2], [3402/5, -1447/30], [-58/15, -2/15]], [[-439213, 237211/2], [36326708, -19623857/2], [101539216/15, -18283749/10], [-439213/15, 237211/30]]], 0, 128, [], [] >,
< [ -10, -1, 1 ], [[211, -57]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [159/2, -43/2], [-131/2, 35/2], [0, 0]], [[1, 1/2], [14507, -3908], [-11768, 9737/3], [1/3, 1/6]], [[1/2, -1], [-258079/2, 69697/2], [633581/6, -57201/2], [1/6, -1/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, 10], [20, 1], [0, 0]], [[-23/2, -1], [-13089/2, -4733/2], [-188689/30, -23627/10], [-23/30, -1/15]], [[-55, 35/2], [6293/2, 3635/2], [9443/2, 8071/6], [-11/3, 7/6]]], 1, 2, [], [] >,
< [ -10, -1, 1 ], [[77011, -20805]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94, -25], [-45, 12], [0, 0]], [[-137, 37], [4101/2, -1109/2], [-6425/6, 579/2], [-137/3, 37/3]], [[-85/2, 23/2], [735/2, -197/2], [-1217/6, 109/2], [-85/6, 23/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-361/2, 77/2], [-55/2, -5/2], [0, 0]], [[-87/2, -3/2], [146555, 49574], [676239/5, 248676/5], [-29/10, -1/10]], [[337/2, -87/2], [-73835, 6373], [-362992/15, -98938/15], [337/30, -29/10]]], 0, 8, [], [] >,
< [ -10, -1, 1 ], [[-1414, 382]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1847/2, -499/2], [-153/2, 41/2], [0, 0]], [[1, 1/2], [-364099/2, 98365/2], [29929/2, -24521/6], [1/3, 1/6]], [[5/2, -2], [4128074, -1115226], [-1022305/3, 92137], [5/6, -2/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [875/2, -229/2], [15/2, 3/2], [0, 0]], [[5, 5/2], [11667/2, 3033/2], [9187/2, 10171/6], [1/3, 1/6]], [[969/2, -132], [-964593/2, 258811/2], [-51711/10, 5521/10], [323/10, -44/5]]], 1, 4, [], [] >,
< [ -10, -1, 1 ], [[-516094, 139426]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [959/2, -259/2], [11/2, -3/2], [0, 0]], [[-781, 211], [1044, -282], [-612, 496/3], [-781/3, 211/3]], [[-85/2, 23/2], [67, -18], [-100/3, 9], [-85/6, 23/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39/2, 1/2], [35/2, 1/2], [0, 0]], [[51/2, -1/2], [5, 3], [34/15, -4/15], [17/10, -1/30]], [[-3081, 831], [715/2, -195/2], [-3397/10, 917/10], [-1027/5, 277/5]]], 0, 24, [], [] >,
< [ -10, -1, 1 ], [[211, -57]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [153/2, -22], [-5/2, -1], [0, 0]], [[-65/2, 17/2], [-38508, 20781/2], [-106, 83/6], [-65/6, 17/6]], [[-2666, 713], [-3186832, 860615], [-7459, 4898/3], [-2666/3, 713/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-83/2, 25/2], [3/2, 3/2], [0, 0]], [[-24, -1], [108097/10, -13971/5], [18787/30, 49/15], [-8/5, -1/15]], [[1391/2, -451/2], [-6492949/10, 1760449/10], [-615479/30, 64093/10], [1391/30, -451/30]]], 1, 3, [], [] >,
< [ -10, -1, 1 ], [[22, -6]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-131/2, 35/2], [-135/2, 17], [-131/2, 35/2], [-2, -1/2]], [[4165/2, -1127/2], [2087, -1139/2], [4165/2, -1127/2], [9/2, -6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-93/2, 25/2], [-259/2, 69/2], [-93/2, 25/2], [0, 0]], [[-7425/2, 2007/2], [-51478/5, 27711/10], [-37169/10, 10019/10], [11/10, 2/5]], [[567/2, -153/2], [1571/2, -423/2], [567/2, -153/2], [0, 0]]], 1, 5, [], [] >,
< [ -10, -1, 1 ], [[422, -114]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, 7/2], [-91/2, 25/2], [-25/2, 7/2], [0, 0]], [[-271/2, 37], [-461, 123], [-271/2, 37], [-5/2, 2]], [[-2347/2, 319], [-7953/2, 2133/2], [-2347/2, 319], [-29, 29/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [6907/2, -1885/2], [-1/2, 3/2], [0, 0]], [[-18, -1], [30328/5, -8148/5], [-38/5, 3/5], [-13/5, -2/5]], [[-3911/2, -724], [14338/5, 11719/10], [-4871/10, -902/5], [-3671/10, -1359/10]]], 1, 4, [], [] >,
< [ -10, -1, 1 ], [[-2617, 707]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-9/2, -5/2], [40321/326, -855/163], [457/4, -11/4], [-1817/652, -3/3260]], [[-6557/2, 1769/2], [-65329109/326, 8826024/163], [-353761/2, 95589/2], [1319455/326, -891347/815]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -1/2], [-9/2, -1/2], [155, -42], [0, 0]], [[410, 152], [473, 301/2], [9961/10, 39/10], [-3/10, 0]], [[428, -571], [-19469541/163, 10362415/326], [-7048261/4, 1902239/4], [349705/652, -471917/3260]]], 1, 8, [], [] >,
< [ -10, -1, 1 ], [[-274, 74]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19/2, 5/2], [-323/2, 83/2], [-19/2, 5/2], [0, 0]], [[75, -20], [2589/2, -677/2], [75, -20], [3/2, 1/2]], [[-200, 54], [-6851/2, 924], [-200, 54], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-56, 15], [-137, 27], [-56, 15], [0, 0]], [[7645/2, -2075/2], [78063/10, -12259/5], [38313/10, -10363/10], [11/5, 3/10]], [[13705/2, -2785/2], [64244, 15223], [12653/2, -3181/2], [-263/2, -99/2]]], 1, 18, [], [] >,
< [ -10, -1, 1 ], [[-36490, 9858]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5101/2, 9/2], [1294685/326, 1237/326], [14561/2, 5/2], [4849/1630, 1/1630]], [[2095563/2, -147725], [266244020/163, -75358187/326], [2996989, -1701367/4], [1996461/1630, -567047/3260]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-116, -1], [-299/2, -1/2], [-1066, -3/10], [-1/10, 0]], [[7991/2, -194], [1683773/326, -44954/163], [36892, -41463/20], [2821/815, -637/3260]]], 1, 8, [], [] >,
< [ -10, -1, 1 ], [[50, -14]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1/2, 3/2], [164, -44], [-1/2, 3/2], [0, 0]], [[2835, 83], [211308/163, -8390/163], [2970, 173/2], [-550/163, -1/326]], [[-2430097/2, 297991/2], [-199722757/326, 33390379/326], [-2546393/2, 156264], [2456753/1630, -174444/815]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-19, -1], [-139, 37], [-19, -1], [0, 0]], [[3660, 1358], [286971/326, -9329/326], [3016, 6738/5], [203/1630, 3/1630]], [[-22117/2, -7957/2], [6062321/326, -1840207/326], [-45595/2, -1297/5], [3717/1630, -588/815]]], 0, 32, [], [] >,
< [ -10, -1, 1 ], [[570, -154]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[41, -11], [-208, 57], [41, -11], [0, 0]], [[-605, 164], [6207/2, -1667/2], [-605, 164], [3/2, 1/2]], [[5563/2, -1503/2], [-14214, 7679/2], [5563/2, -1503/2], [-1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[153/2, -41/2], [361/2, -131/2], [153/2, -41/2], [0, 0]], [[-1843, 513], [-14911/2, 4903/10], [-1843, 513], [3/2, -1/10]], [[-931, 361], [-20248, -55763/10], [-931, 361], [4, 11/10]]], 1, 18, [], [] >,
< [ -10, -1, 1 ], [[-941670, 254398]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-300, -3/2], [-14533/326, -274/163], [451/2, 11/4], [-234/163, -5/652]], [[6793/2, -880], [150399/326, -19297/163], [-2505, 2591/4], [2647/163, -2743/652]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[329, -5/2], [68309/326, -24/163], [9705/2, 39/20], [-55/163, -1/3260]], [[-1023147/2, 137206], [-52145652/163, 27962129/326], [-7386695, 7921527/4], [167219/326, -89661/652]]], 1, 32, [], [] >,
< [ -10, -1, 1 ], [[-30, 2]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[12, 2], [-183, 49], [12, 2], [0, 0]], [[-28, -34], [259/2, 19/2], [-8, -67/2], [-1/2, 0]], [[52135/2, -14045/2], [6896858/163, -1866684/163], [67335/2, -18157/2], [-33216/163, 8984/163]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21, 1], [-85, 23], [-21, 1], [0, 0]], [[-128263/2, -48487/2], [542893/163, 13117/163], [-122261/2, -24242], [387/163, 1/326]], [[-218842, 51794], [-154250633/326, 41728099/326], [-674370, 1750009/10], [-117235/326, 79272/815]]], 0, 192, [], [] >,
< [ -10, -1, 1 ], [[14710, -3974]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[2595/2, -701/2], [2195/2, -591/2], [2595/2, -701/2], [0, 0]], [[57360, -15499], [48304, -26305/2], [57364, -15497], [-1, -1/2]], [[1633570, -441322], [2759939/2, -372913], [1633552, -441314], [9/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1155, -312], [5770, -1550], [1155, -312], [0, 0]], [[317297/2, -85727/2], [1579739/2, -1069671/5], [317293/2, -85719/2], [-2, -1/10]], [[-325654, 88247], [-3123397/2, 462523], [-326041, 88094], [153/2, 27]]], 1, 48, [], [] >,
< [ -10, -1, 1 ], [[379610, -102554]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25, 0], [-460, 104], [25, 0], [0, 0]], [[-635/2, -235/2], [957, 687/2], [-631/2, -243/2], [-1/2, 1]], [[-225/2, -83/2], [855/2, 195/2], [-145/2, -107/2], [-10, 3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[10, -2], [135, -20], [10, -2], [0, 0]], [[191/2, 41/2], [2073, 4981/10], [209/2, 31/2], [5/2, -1/5]], [[1195/2, -419/2], [20925/2, -7851/2], [1955/2, -619/2], [50, -14]]], 1, 240, [], [] >,
< [ -10, -1, 1 ], [[32459, -8769]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [1, 0], [0, 0]], [[-7/2, 3/2], [-237/2, 4], [-205/2, 5/2], [5/2, 0]], [[294, -66], [589320/163, -539567/326], [11989/4, -5679/4], [-42277/652, 22085/652]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 3/2], [9/2, 3/2], [-260, 71], [0, 0]], [[1843/2, 459/2], [217379/326, 75553/326], [29093/4, -7807/4], [123/652, -1/652]], [[-42147/2, 643/2], [-2912683/326, -360369/163], [-2640887/5, 712712/5], [-7317/815, 3049/1630]]], 1, 48, [], [] >,
< [ -10, -1, 1 ], [[3398, -918]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-829, 224], [-884, 239], [-829, 224], [0, 0]], [[10665/2, -2895/2], [11313/2, -1563], [10665/2, -2895/2], [1, -3/2]], [[-10570, 2860], [-22539/2, 3067], [-10570, 2860], [-9/2, 2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[329/2, -89/2], [-1037/2, 227/2], [329/2, -89/2], [0, 0]], [[-22369/2, 6035/2], [160713/5, -88451/10], [-111839/10, 30199/10], [-1/10, -2/5]], [[5898, -1468], [-87613/10, 73383/10], [28881/5, -7571/5], [203/10, 77/10]]], 1, 48, [], [] >,
< [ -10, -1, 1 ], [[-42146, 11386]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-6, 1], [-1141, 306], [-6, 1], [0, 0]], [[3995/2, 1485/2], [6213, 6003/2], [3995/2, 1485/2], [-5/2, -1]], [[-17015/2, 4715/2], [-3876495/2, 1047691/2], [-17015/2, 4715/2], [207, -56]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[43, 2], [-234, -81], [43, 2], [0, 0]], [[3343/2, 927/2], [-76549/5, -27891/5], [16817/10, 4653/10], [-17/10, -3/10]], [[388283/2, -105369/2], [-214735/2, 31511], [393227/2, -106707/2], [-412, 223/2]]], 1, 240, [], [] >,
< [ -10, -1, 1 ], [[155330576, -41963520]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 10], [-37, 10], [0, 0]], [[0, 0], [46314, -12512], [-46388/3, 12532/3], [-54524/3, 4910]], [[0, 0], [-4031, 1089], [4031/3, -363], [4738/3, -1280/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-290, 79], [-60, 17], [0, 0]], [[0, 0], [-29431, 7949], [-93457/15, 25217/15], [26/15, -2/5]], [[0, 0], [-126796, -46855], [-664938/5, -246047/5], [22034/5, 8156/5]]], 0, 96, [], [] >,
< [ -10, -1, 1 ], [[425576, -114972]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 10], [-37, 10], [0, 0]], [[-11, -5/2], [1152, -324], [6, 8/3], [-11/3, -5/6]], [[105, 65/2], [-4519, 1363], [-215/3, -85/3], [35, 65/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [879, -238], [175, -48], [0, 0]], [[-5, 5/2], [-316892, 85528], [-190778/3, 17068], [-1/3, 1/6]], [[1101, 813/2], [-2911, -49753], [-460469/5, -219171/5], [367/5, 271/10]]], 0, 16, [], [] >,
< [ -10, -1, 1 ], [[3458636, -934372]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 10], [-37, 10], [0, 0]], [[-1647/2, 445/2], [1136, -307], [-1936/3, 523/3], [-549/2, 445/6]], [[-25773, 6963], [35546, -9604], [-20196, 5456], [-8591, 2321]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-457, 124], [-235, 64], [0, 0]], [[-9/2, -1/2], [8634, -2388], [66244/15, -18724/15], [-3/10, -1/30]], [[2839/2, 1051/2], [46782, 17011], [694426/15, 84893/5], [2839/30, 1051/30]]], 0, 16, [], [] >,
< [ -10, -1, 1 ], [[9476, -2560]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 10], [-37, 10], [0, 0]], [[1/2, -3/2], [1141, -321], [29/3, 5/3], [1/6, -1/2]], [[19/2, 38], [-23157, 6635], [-779/3, -57], [19/6, 38/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [453, -121], [-125, 35], [0, 0]], [[13/2, 1], [170085, -46136], [-241311/5, 192928/15], [13/30, 1/15]], [[-33135, -12265], [2225633, 833610], [6374779/3, 2351402/3], [-2209, -2453/3]]], 1, 4, [], [] >,
< [ -10, -1, 1 ], [[3458636, -934372]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2033/2, -549/2], [93/2, -25/2], [0, 0]], [[0, 0], [121803/2, -32973/2], [11471/2, -9407/6], [9265/3, -2503/3]], [[0, 0], [316595/2, -85861/2], [89017/6, -8197/2], [24049/3, -6497/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, -9], [-10, 1], [0, 0]], [[0, 0], [1127, 292], [107/3, 90], [19/3, 1/3]], [[0, 0], [743/2, -383/2], [-10199/30, 2299/30], [116/15, -12/5]]], 0, 24, [], [] >,
< [ -10, -1, 1 ], [[4, 0]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1017/2, -275/2], [-139/2, 37/2], [0, 0]], [[-2, 3/2], [-251925, 68028], [102259/3, -27848/3], [-2/3, 1/2]], [[-7952, -5887/2], [517307/2, 188931/2], [3664909/6, 452543/2], [-7952/3, -5887/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1084, 291], [-10, 1], [0, 0]], [[-16, -3/2], [63195/2, 21301/2], [828049/30, 306091/30], [-16/15, -1/10]], [[175, 0], [-267375, -83648], [-673165/3, -248566/3], [35/3, 0]]], 1, 4, [], [] >,
< [ -10, -1, 1 ], [[9476, -2560]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [113, -31], [17, -5], [0, 0]], [[-33/2, 9/2], [-15581, 8447/2], [-2433, 1339/2], [-11/2, 3/2]], [[-41/2, 11/2], [-18789, 10127/2], [-2967, 4745/6], [-41/6, 11/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-96, -17/2], [-4, 3/2], [0, 0]], [[-28, -2], [9602/5, -2307/5], [984/5, -797/15], [-28/15, -2/15]], [[-53/2, 53/2], [39071/5, -22277/10], [4297/5, -6967/30], [-53/30, 53/30]]], 1, 4, [], [] >,
< [ -10, -1, 1 ], [[425576, -114972]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [487, -132], [13, -4], [0, 0]], [[0, 0], [-106735, 57537/2], [-3931, 5923/6], [-2606/3, 704/3]], [[0, 0], [8550631, -2307775], [309635, -243433/3], [208864/3, -56425/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-86, 57/2], [-4, 5/2], [0, 0]], [[0, 0], [-141019/5, 2933/10], [-62519/15, -25217/30], [22/5, 4/15]], [[0, 0], [343500107/5, -185343679/10], [67541717/15, -12096443/10], [-130808/15, 35263/15]]], 0, 24, [], [] >,
< [ -10, -1, 1 ], [[-2828, 764]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 10], [-37, 10], [0, 0]], [[10, -3/2], [-117/2, 33/2], [10, -3/2], [-5/2, 1]], [[110, 11/2], [-741/2, 241/2], [110, 11/2], [-11/2, 11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-111, 30], [-37, 10], [0, 0]], [[-4, -7/2], [15781/10, -3801/10], [42/5, -19/10], [-31/10, -2/5]], [[-378, -135], [361/5, 11869/5], [54/5, 81/5], [-486/5, -189/5]]], 1, 8, [], [] >,
< [ -10, -1, 1 ], [[-148, 40]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [-37, 10], [0, 0]], [[0, 0], [1/2, 0], [0, 0], [1/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [74, -20], [-37, 10], [0, 0]], [[0, 0], [851/5, -221/5], [24/5, -4/5], [-6/5, 1/5]], [[0, 0], [743/2, 194], [126, 48], [-63/2, -12]]], 1, 15, [], [] >,
< [ -10, -1, 1 ], [[992, -268]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 10], [-37, 10], [0, 0]], [[-43/2, -11/2], [-60, 17/2], [-43/2, -11/2], [-3/2, -2]], [[297, 33], [1622, -361], [297, 33], [-33, 33]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-205/2, 55/2], [4935/2, -1331/2], [-205/2, 55/2], [0, 0]], [[-11/2, 3/2], [377/10, -417/10], [-247/10, 7/10], [24/5, 1/5]], [[0, 0], [-2184/5, -1617/10], [-416/5, -154/5], [104/5, 77/10]]], 1, 8, [], [] >,
< [ -10, -1, 1 ], [[-117532, 31752]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[12425/2, 5/2], [1968125/326, 2035/326], [48899/4, 87/4], [2485/652, 1/652]], [[-7097525/2, 1542273/2], [-1122705687/326, 121870259/163], [-27848859/4, 6039545/4], [-1419505/652, 1542273/3260]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1427/2, -1/2], [202629/326, 571/326], [114237/20, -127/20], [1427/3260, -1/3260]], [[-1522068, 415235], [-214057481/163, 116819907/326], [-60991959/5, 16638774/5], [-761034/815, 83047/326]]], 1, 16, [], [] >,
< [ -10, -1, 1 ], [[24, -4]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22, 6], [-60, 17], [0, 0]], [[0, 0], [28668/163, -5624/163], [589/2, -237/2], [-481/326, 1/1630]], [[0, 0], [616311/163, 278763/326], [-13653/2, -7541/2], [-30745/326, -5203/163]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 13], [10, -3], [0, 0]], [[0, 0], [-224045/163, -211733/326], [16491/10, 1819/10], [-649/1630, -2/815]], [[0, 0], [-5493438/163, 4391888/163], [-1023112/5, 221577/5], [54128/815, -13056/815]]], 0, 96, [], [] >,
< [ -10, -1, 1 ], [[1836, -496]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 0], [-37, 10], [0, 0]], [[0, 0], [47, -27/2], [0, 0], [0, -1/2]], [[0, 0], [-219/2, 31], [0, 0], [-1/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-274, 74], [-37, 10], [0, 0]], [[0, 0], [-277/10, 51/5], [-26/5, -4/5], [-13/10, -1/5]], [[0, 0], [-1771/5, 957/10], [-96/5, 26/5], [-24/5, 13/10]]], 1, 54, [], [] >,
< [ -10, -1, 1 ], [[244540, -66064]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-2058, 1/2], [-549485/326, -139/163], [-3911/2, -167/4], [-1029/815, 1/3260]], [[92310, 51255/2], [24698025/326, 3433065/163], [185953/2, 107091/4], [9231/163, 10251/652]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-693, 1], [-207197/326, -393/326], [-6897, 1794/5], [-693/1630, 1/1630]], [[650115, 494137/2], [98427535/163, 74770665/326], [10439855/2, 40096587/20], [130023/326, 494137/3260]]], 1, 16, [], [] >,
< [ -10, -1, 1 ], [[-340, 92]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [95, -25], [-46, 12], [0, 0]], [[0, 0], [-17139/326, 56657/326], [3530, -87], [-3301/1630, 1/1630]], [[0, 0], [7735085/326, 2916553/326], [132080, 95421/2], [-135481/1630, -24557/815]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, 22], [795, -215], [0, 0]], [[0, 0], [1772093/326, -478559/326], [-52363, 71077/5], [-121/1630, -1/326]], [[0, 0], [1366/163, -2204/163], [-2781, -8689/10], [138/163, 511/1630]]], 0, 96, [], [] >,
< [ -10, -1, 1 ], [[-3820, 1032]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, 20], [-37, 10], [0, 0]], [[0, 0], [203/2, -53/2], [0, 0], [-3/2, -1/2]], [[0, 0], [365/2, -51], [0, 0], [5/2, 1]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-274, 74], [-37, 10], [0, 0]], [[0, 0], [33/2, -143/5], [0, 0], [-1/2, 1/5]], [[0, 0], [-4331/2, 6151/10], [0, 0], [49/2, -67/10]]], 1, 54, [], [] >,
< [ -10, -1, 1 ], [[6310660, -1704864]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-306, 3/2], [-9471/326, -129/163], [-545/2, -73/4], [-153/163, 3/652]], [[55932, 20935], [971621/163, 362926/163], [63454, 47309/2], [27966/163, 20935/326]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[265, -1/2], [-16457/163, 115/326], [2829/2, -2771/20], [53/326, -1/3260]], [[-41570, -30767/2], [5132227/326, 949620/163], [-284909/2, -1054087/20], [-4157/163, -30767/3260]]], 1, 96, [], [] >,
< [ -10, -1, 1 ], [[140, -36]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-183, 49], [150, -40], [0, 0]], [[0, 0], [-8379135/326, 2236677/326], [20014, -5629], [611/326, 1/326]], [[0, 0], [-8294575/163, -3389935/163], [-147086, -105767/2], [54061/163, 40049/326]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -14], [1069, -289], [0, 0]], [[0, 0], [908049/326, -50923/326], [24256, -16352/5], [709/326, 1/1630]], [[0, 0], [936749/326, 346749/326], [15849, 58667/10], [925/326, 856/815]]], 0, 576, [], [] >,
< [ -10, -1, 1 ], [[-98580, 26632]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [65, -18], [-13855, 3743], [0, 0]], [[0, 0], [93005/2, -12404], [-9758745, 2636384], [5/2, 1]], [[0, 0], [-3158997, 853121], [666386813, -180028534], [3, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 20], [14140, -3820], [0, 0]], [[0, 0], [-26415/2, -4963/5], [3814541, -1030520], [1/2, 1/5]], [[0, 0], [-33000, -12210], [5035, -1368], [0, 0]]], 1, 144, [], [] >,
< [ -10, -1, 1 ], [[-2543980, 687272]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3220, -868], [-85, 24], [0, 0]], [[0, 0], [508127, -274777/2], [-13798, 3666], [2, 1/2]], [[0, 0], [14042077/2, -1896660], [-189154, 51164], [7/2, -2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [945, -200], [110, -30], [0, 0]], [[0, 0], [74578, 362241/10], [-2163, 300], [0, 3/10]], [[0, 0], [891387/2, -613947/5], [57415, -15499], [31/2, -21/5]]], 1, 720, [], [] >,
< [ -10, -1, 1 ], [[-248, 68]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -5], [24, -8], [0, 0]], [[0, 0], [-612528/163, 163563/163], [-11763/2, 3091/2], [-369/326, 3/326]], [[0, 0], [206329, -110123/2], [646093/2, -169523/2], [127/2, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10, -2], [0, 3], [0, 0]], [[0, 0], [904913/163, 9133/326], [8413, 52], [-672/163, -1/326]], [[0, 0], [30187319/163, -16346249/326], [2797797/10, -757507/10], [-226823/1630, 30704/815]]], 0, 576, [], [] >,
< [ -10, -1, 1 ], [[1457764, -393824]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-1913/2, -3/2], [-267835/326, -689/163], [-7315/4, 17/4], [-1913/652, -3/652]], [[-169694, -60078], [-24057550/163, -8525806/163], [-319997, -113164], [-84847/163, -30039/163]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[3017, -2], [84474/163, 491/326], [-37463/10, 3/10], [3017/1630, -1/815]], [[61751/2, -40661/2], [1688367/326, -1136399/326], [-763839/20, 504749/20], [61751/3260, -40661/3260]]], 1, 96, [], [] >,
< [ -10, -1, 1 ], [[-22772, 6152]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, 4], [-3583, 968], [0, 0]], [[0, 0], [11922, -6465/2], [2483750, -671000], [-1, 5/2]], [[0, 0], [150633/2, -20649], [15765000, -4259000], [123/2, 41]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16057, 4362], [-8036, 2171], [0, 0]], [[0, 0], [70431751/10, -9475678/5], [17553658/5, -4742153/5], [-11/10, -2/5]], [[0, 0], [-866483, 234773], [-433169, 117024], [0, 0]]], 1, 144, [], [] >,
< [ -10, -1, 1 ], [[282444, -76304]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [213, -58], [53, -13], [0, 0]], [[0, 0], [133778, -72183/2], [31775, -8680], [2, -3/2]], [[0, 0], [-4959469/2, 668090], [-585900, 161820], [-19/2, 38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [633, -253], [114, -29], [0, 0]], [[0, 0], [-1246652/5, -2151691/10], [188553/5, -19973/5], [2/5, 1/10]], [[0, 0], [30491667/10, -8944807/10], [2320336/5, -619101/5], [13/10, -3/10]]], 1, 720, [], [] >,
< [ -10, -1, 1 ], [[858383416, -231897612]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-74, 20], [-3102, 838], [0, 0]], [[-9, 5/2], [2614, -706], [287734/3, -77734/3], [-3, 5/6]], [[0, 0], [3974, 1471], [-11722, -4339], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-50, 2], [-50, -4], [0, 0]], [[27, 1/2], [-1192, 705], [-6064/15, 10189/15], [9/5, 1/30]], [[567, -259/2], [-62118, 17944], [-652994/15, 202364/15], [189/5, -259/30]]], 0, 256, [], [] >,
< [ -10, -1, 1 ], [[313300539616, -84640086960]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2580, -697], [248, -67], [0, 0]], [[0, 0], [-939982, 253942], [-313890, 254398/3], [2213660/3, -598034/3]], [[0, 0], [4672992, -1262438], [4681336/3, -421564], [-11004796/3, 2973014/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-70, 0], [-50, 2], [0, 0]], [[0, 0], [33506, -788], [362126/15, -7482/5], [-68/15, -2/15]], [[0, 0], [1736134, -476627], [4125946/3, -1128515/3], [-608/3, 56]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[19113016, -5163500]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111, -30], [-37, 10], [0, 0]], [[-9, -5/2], [11295, -3063], [17/3, 7/3], [-3, -5/6]], [[2358, 873], [7868, 1422], [-1848, -684], [786, 291]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58751, -15875], [-185, 51], [0, 0]], [[-15, 5/2], [-37247, 10066], [431/3, -110/3], [-1, 1/6]], [[-3974, -1471], [8194, 3035], [28706/5, 31877/15], [-3974/15, -1471/15]]], 0, 64, [], [] >,
< [ -10, -1, 1 ], [[-26592, 7184]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3, 0], [1, 0], [0, 0]], [[0, 0], [51503, -13931], [15, 5/3], [10/3, -10/3]], [[0, 0], [-364479, 98625], [-377/3, -19], [-46/3, 80/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42043, 11356], [-175, 48], [0, 0]], [[0, 0], [-199510, 53914], [-4274/5, 3412/15], [-4/15, 4/15]], [[0, 0], [31522, 11241], [-104366/15, -38659/15], [2046/5, 2272/15]]], 0, 384, [], [] >,
< [ -10, -1, 1 ], [[19113016, -5163500]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3324, -898], [1836, -496], [0, 0]], [[9, -1/2], [9552, -2576], [16168/3, -4372/3], [3, -1/6]], [[49367, 36547/2], [115845, 42878], [-105089/3, -12968], [49367/3, 36547/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, 13], [-40, 3], [0, 0]], [[-7, -1/2], [11670, -2279], [24758/5, -43469/15], [-7/15, -1/30]], [[-211, 117/2], [674005, -182635], [7280327/15, -1952137/15], [-211/15, 39/10]]], 0, 64, [], [] >,
< [ -10, -1, 1 ], [[416, -112]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4206, -1137], [38, -11], [0, 0]], [[0, 0], [-71246, 19195], [-766, 433/3], [-4/3, 4/3]], [[0, 0], [-172517, 46530], [-1761, 1154/3], [-14/3, 8/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -4], [30, -2], [0, 0]], [[0, 0], [-1943, 586], [-7767/5, 9646/15], [-82/15, -8/15]], [[0, 0], [12483930, -3372949], [174734602/15, -15741389/5], [214064/15, -57664/15]]], 0, 384, [], [] >,
< [ -10, -1, 1 ], [[362072, -97816]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2327/2, 629/2], [57/2, -15/2], [0, 0]], [[0, 0], [-79639/2, 21515/2], [6023/6, -1631/6], [-1, 1/3]], [[0, 0], [-705677/2, 190643/2], [53425/6, -14431/6], [-10, 8/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15/2, -19/2], [25/2, 1/2], [0, 0]], [[0, 0], [566, -135], [1966/5, -1193/15], [86/15, 4/15]], [[0, 0], [8904, -2403], [87278/15, -7841/5], [721/15, -191/15]]], 0, 48, [], [] >,
< [ -10, -1, 1 ], [[-63504, 17156]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12131/2, 3277/2], [-123/2, 33/2], [0, 0]], [[-5, 1/2], [-207395, 56052], [-2067, 1742/3], [-5/3, 1/6]], [[38266, 28329/2], [-2081909/2, -759065/2], [-6003883/6, -2222023/6], [38266/3, 9443/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10019/2, 2711/2], [5/2, 3/2], [0, 0]], [[-4, -1], [54520, 19810], [817828/15, 100904/5], [-4/15, -1/15]], [[-58, 31/2], [93973/2, -19999/2], [130487/30, 15481/10], [-58/15, 31/30]]], 1, 8, [], [] >,
< [ -10, -1, 1 ], [[858383416, -231897612]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-735, 397/2], [109, -59/2], [0, 0]], [[0, 0], [-33228, 8975], [8072/3, -2185/3], [11138/3, -1003]], [[0, 0], [-5698, 1539], [854, -231], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [83, 37/2], [7, 5/2], [0, 0]], [[0, 0], [146/5, -606/5], [-374/15, -42/5], [26/15, -1/15]], [[0, 0], [-4728, 1997], [560/3, 137/3], [-106/3, 7]]], 0, 384, [], [] >,
< [ -10, -1, 1 ], [[-5704048, 1540984]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4290, 1159], [-3994, 1079], [0, 0]], [[-4, 3/2], [-112863, 30493], [-104769, 56611/2], [-4, 3/2]], [[-173547, -128479/2], [-975692, -361156], [-622415, -460777/2], [-173547, -128479/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41650, 11252], [-17960, 4852], [0, 0]], [[27, 1/2], [371738/5, -100718/5], [159527/5, -86199/10], [27/5, 1/10]], [[-42195384, -31237767/2], [1573595119/5, 582476006/5], [12397921/5, 9178333/10], [-42195384/5, -31237767/10]]], 0, 128, [], [] >,
< [ -10, -1, 1 ], [[-298568, 80660]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [32, -9], [17464, -4718], [0, 0]], [[0, 0], [-4732, 2355/2], [-2457066, 663792], [2, -3/2]], [[0, 0], [-1156923, -428206], [-26340, 9713], [-11025, -4081]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24566, -6637], [-11808, 3190], [0, 0]], [[0, 0], [68725824/5, -37132933/10], [-33033604/5, 8924239/5], [-4/5, 3/10]], [[0, 0], [49467126/5, 18299409/5], [1150134/5, 431091/5], [85264/5, 31561/5]]], 0, 96, [], [] >,
< [ -10, -1, 1 ], [[-632, 172]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -5], [-18, -5], [0, 0]], [[0, 0], [-15059/163, -48569/326], [-718, -17], [469/163, -1/326]], [[0, 0], [11923301/163, -6426421/326], [-158271, 42817], [110772/163, -299611/1630]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [92, -2], [130, 3], [0, 0]], [[0, 0], [15008977/163, -4275485/326], [649023/5, -66823/5], [-752/815, -1/326]], [[0, 0], [-72220448588/163, 19519466624/163], [-576453748, 155830645], [517712/163, -140049/163]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[3703176, -1000436]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-178, 48], [1662, -449], [0, 0]], [[0, 0], [-389, 209/2], [10, -3], [5, -3/2]], [[0, 0], [-25694, -19021/2], [-13008, -4815], [-6504, -4815/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11506, -3111], [-6152, 1662], [0, 0]], [[0, 0], [-155533, 83845/2], [83068, -22446], [1, 1/2]], [[0, 0], [21132/5, 118821/10], [47992/5, -9817/5], [-812/5, -601/10]]], 0, 576, [], [] >,
< [ -10, -1, 1 ], [[-160, 48]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [570, -154], [-3872, 1046], [0, 0]], [[0, 0], [1510533/163, -389129/163], [-58079, 32647/2], [-1202/815, -1/1630]], [[0, 0], [-63642301141/163, -23557593887/163], [-2126117058, -786995405], [1092205233/815, 404286552/815]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-274, 74], [58492, -15802], [0, 0]], [[0, 0], [602901/163, -169213/163], [-796919, 2179019/10], [998/815, 3/1630]], [[0, 0], [8047388708/163, 2978790854/163], [-3314299720, -6134042718/5], [-68874072/163, -127470828/815]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[40, -4]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, -7], [3376, -912], [0, 0]], [[-6825, -5/2], [-482776/163, -219149/326], [752895/2, -414387/4], [-1365/326, -1/652]], [[-4117858, -1530777], [-536319024/163, -198700579/163], [-5222741, -2610035/2], [-2058929/815, -1530777/1630]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [46, -13], [-52340, 14140], [0, 0]], [[835, 3/2], [227856/163, -56091/326], [-1425121/2, 3871913/20], [167/326, 3/3260]], [[1138473, 842877/2], [167999512/163, 124390871/326], [11079137/2, 40247223/20], [1138473/1630, 842877/3260]]], 0, 256, [], [] >,
< [ -10, -1, 1 ], [[-7704920, 2081532]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23256, -6283], [11138, -3009], [0, 0]], [[0, 0], [427850, -115727], [205070, -55399], [0, 1]], [[0, 0], [18268916, 13524659/2], [-249316, -92297], [-128928, -95447/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-30344, 8199], [16298, -4403], [0, 0]], [[0, 0], [-457968, 1237979/10], [245996, -66471], [-4, -3/10]], [[0, 0], [-1883454, -3484214/5], [342004, 126418], [34560, 63963/5]]], 0, 576, [], [] >,
< [ -10, -1, 1 ], [[-4320, 1168]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-252, 68], [1192, -322], [0, 0]], [[0, 0], [-3910190/163, 1045740/163], [112697, -61021/2], [143/163, -3/326]], [[0, 0], [300741875/163, 111229291/163], [1826961, 1357863/2], [-1050828/163, -777937/326]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-304, 82], [51696, -13966], [0, 0]], [[0, 0], [-474553/163, 101463/163], [387659, -211311/2], [-102/163, 1/326]], [[0, 0], [1458135456/163, 539740730/163], [50554084, 93551804/5], [1475362/163, 2730574/815]]], 0, 9216, [], [] >,
< [ -10, -1, 1 ], [[760, -204]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-60, 17], [-5212, 1408], [0, 0]], [[1609, 5/2], [-295832/163, 181641/326], [-336867/2, 183991/4], [1609/326, 5/652]], [[-1063, -787/2], [-18444/163, -13655/326], [-2411/2, -1785/4], [-1063/326, -787/652]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62, 18], [-2480, 670], [0, 0]], [[3525, -1/2], [1776217/163, -1079923/326], [978183/2, -2577391/20], [705/326, -1/3260]], [[-40201065, -29761289/2], [2538616046/163, 1879422997/326], [-275537317/2, -1019778739/20], [-8040213/326, -29761289/3260]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[-198835080, 53716532]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [950, -257], [17290, -4671], [0, 0]], [[0, 0], [-448063, 242093/2], [-8112058, 2191527], [-3, 3/2]], [[0, 0], [-94704, -70115/2], [833376, 308439], [138786, 102745/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [130, -40], [17290, -4671], [0, 0]], [[0, 0], [-45389, 122197/10], [-5765186, 1557531], [5, 1/10]], [[0, 0], [2719039, 1006427], [-1927516, -718847], [-93031, -34436]]], 0, 2304, [], [] >,
< [ -10, -1, 1 ], [[-280, 92]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [80, -1], [-110, -3], [0, 0]], [[0, 0], [256196, -27625/2], [-346504, 5695], [-4, 5/2]], [[0, 0], [5835535, -2354959/2], [-7415580, 1370148], [-175, 115/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-40, 5], [30, -5], [0, 0]], [[0, 0], [-89, 1199/10], [102, -91], [-1, -3/10]], [[0, 0], [-5160, 13659/10], [4336, -1153], [-2, 7/10]]], 0, 11520, [], [] >,
< [ -10, -1, 1 ], [[-72, 52]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-54, -5], [-24, -4], [0, 0]], [[0, 0], [-618233/163, 179285/326], [-1353, 118], [-266/163, 3/326]], [[0, 0], [-199467140/163, 59327172/163], [-376898, 119223], [-57546/163, 20493/163]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, -1], [60, 2], [0, 0]], [[0, 0], [9346563/163, -4374595/326], [285917/5, -67527/5], [672/815, 1/1630]], [[0, 0], [1256615882/163, -344710583/163], [7718710, -2115335], [10240/163, -3330/163]]], 0, 9216, [], [] >,
< [ -10, -1, 1 ], [[-45930952, 12408532]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [582, -157], [202146, -54611], [0, 0]], [[0, 0], [-47435, 25715/2], [-16486546, 4453981], [5, 5/2]], [[0, 0], [176048, 130331/2], [163720, 60685], [16516, 12227/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-293012, 79157], [-146456, 39566], [0, 0]], [[0, 0], [-42433543/5, 11463583/5], [-21209748/5, 5729943/5], [-7/5, 2/5]], [[0, 0], [4802053, 3554633/2], [98406, 36329], [-4929, -3649/2]]], 0, 2304, [], [] >,
< [ -10, -1, 1 ], [[-2168, 588]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [236, -1], [-28, -2], [0, 0]], [[0, 0], [1871233, -249585/2], [-211490, -875], [1, 5/2]], [[0, 0], [543939028, -293484919/2], [-51528034, 13889224], [-1414, 767/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-66, 6], [-38, 3], [0, 0]], [[0, 0], [-65602, -43357/2], [-40092, -13403], [2, -1/2]], [[0, 0], [756961/5, -3347187/10], [272716/5, -977256/5], [-1451/5, 787/10]]], 0, 11520, [], [] >,
< [ -10, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1685/2, 461/2], [3/2, 5/2], [0, 0]], [[0, 0], [-22296, -8280], [-67264/3, -24902/3], [0, 8/3]], [[0, 0], [27275/2, 10239/2], [82777/6, 30661/6], [26/3, -4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-19, 4], [-35, -2], [0, 0]], [[0, 0], [31, -9], [143/5, -149/15], [-22/15, -8/15]], [[0, 0], [-285/2, 77/2], [-285/2, 77/2], [0, 0]]], 0, 96, [], [] >,
< [ -10, -1, 1 ], [[425576, -114972]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7651/2, -2067/2], [-93/2, 25/2], [0, 0]], [[-11, -3/2], [680165/2, -183777/2], [-24721/6, 6725/6], [-11/3, -1/2]], [[-23461, -17371/2], [-236067, 19764], [42677, 43486/3], [-23461/3, -17371/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-17, -2], [-5, -2], [0, 0]], [[33, -1/2], [825/2, -97/2], [-1537/30, 517/30], [11/5, -1/30]], [[13423, -7241/2], [424739/2, -114659/2], [-381849/10, 309547/30], [13423/15, -7241/30]]], 1, 16, [], [] >,
< [ -10, -1, 1 ], [[-2426448, 655520]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 10], [-37, 10], [0, 0]], [[0, 0], [-11035/2, 2981/2], [19/6, -5/6], [11/3, -1]], [[0, 0], [-496, 134], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-167, 32], [-155, 42], [0, 0]], [[0, 0], [-17037/2, -5721/2], [-2587/6, 901/6], [1, 1/3]], [[0, 0], [-21190, -1364], [-159566/15, 14602/5], [38/15, 2/15]]], 0, 96, [], [] >,
< [ -10, -1, 1 ], [[425576, -114972]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 10], [-37, 10], [0, 0]], [[4, -1/2], [12407/2, -3349/2], [1/6, -1/2], [4/3, -1/6]], [[255, 185/2], [6526, -1370], [-590/3, -220/3], [85, 185/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-155, 39], [-135, 37], [0, 0]], [[-20, -5/2], [-6509/2, -2479/2], [1367/2, 1331/6], [-4/3, -1/6]], [[-5343, 1443], [75157/2, -20541/2], [338309/10, -91169/10], [-1781/5, 481/5]]], 1, 16, [], [] >,
< [ -10, -1, 1 ], [[2296, -620]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 15], [32, 4], [0, 0]], [[0, 0], [-7195, -359/2], [5988, -2780], [-3, 1/2]], [[0, 0], [2346088, -632596], [-4714666, 1274361], [1522, -411]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [296, 26], [42, 3], [0, 0]], [[0, 0], [4889167/5, 101291/10], [702288/5, -4098/5], [-17/5, -1/10]], [[0, 0], [9802524059/5, -5294339773/10], [1471400866/5, -397366931/5], [-32279/5, 17433/10]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[-254016, 68624]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98425/2, 26613/2], [-1/2, -3/2], [0, 0]], [[0, 0], [3015021/2, 1114317/2], [-430651/2, -159407/2], [-2, -2]], [[0, 0], [-32039/2, -20819/2], [19715/6, 7315/6], [10, -8/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -16], [0, 2], [0, 0]], [[0, 0], [527/2, -161/2], [-1087/30, 119/10], [8/15, 2/15]], [[0, 0], [20571, -5566], [-14617/5, 11876/15], [118/15, -28/15]]], 0, 192, [], [] >,
< [ -10, -1, 1 ], [[-2852024, 770492]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-71917/2, 19429/2], [11/2, -3/2], [0, 0]], [[6, 2], [105015/2, -28413/2], [13/6, 5/6], [2, 2/3]], [[-233727, -173031/2], [2745813/2, 1016663/2], [-183147/2, -67793/2], [-77909, -57677/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -13], [-5, 1], [0, 0]], [[9, -3/2], [1252, 1099], [1604/5, -279/5], [3/5, -1/10]], [[-13, 21/2], [39785/2, 10717/2], [-14993/30, 10963/30], [-13/15, 7/10]]], 1, 32, [], [] >,
< [ -10, -1, 1 ], [[16260992, -4393008]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45900, 12400], [-8, 2], [0, 0]], [[0, 0], [5090764, -1375307], [2252/3, -623/3], [242, -196/3]], [[0, 0], [584791855/2, -157985357/2], [260477/6, -70915/6], [41674/3, -3752]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-61/2, 13/2], [-45/2, -3/2], [0, 0]], [[0, 0], [-814, 213], [26/3, 577/3], [4, 2/3]], [[0, 0], [-21957/2, 5929/2], [-119099/30, 33499/30], [266/15, -22/5]]], 0, 192, [], [] >,
< [ -10, -1, 1 ], [[-2852024, 770492]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16669, -4503], [49, -13], [0, 0]], [[6, -2], [-274736, 74217], [-2456/3, 653/3], [2, -2/3]], [[-145005, -107349/2], [-3542029/2, -1311229/2], [-2673165/2, -989489/2], [-48335, -35783/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23/2, 13/2], [55/2, 5/2], [0, 0]], [[44, 1], [11797/2, 4565/2], [67353/10, 63791/30], [44/15, 1/15]], [[-187, 289/2], [92659/2, 31525/2], [1108493/30, 188069/10], [-187/15, 289/30]]], 1, 32, [], [] >,
< [ -10, -1, 1 ], [[56, -12]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-323296, 87341], [40, -11], [0, 0]], [[7, 5/2], [5558588, -1501596], [-2248/3, 166], [7/3, 5/6]], [[4929, 3649/2], [124911, 46747], [-146335/3, -54167/3], [1643, 3649/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [188, 11], [-20, -1], [0, 0]], [[29, -3/2], [27111, 1243], [-43903/15, -1597/15], [29/15, -1/10]], [[-95, 45/2], [-70545, 14826], [23393/3, -4990/3], [-19/3, 3/2]]], 0, 256, [], [] >,
< [ -10, -1, 1 ], [[-288, 80]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-187236, 50585], [16, -5], [0, 0]], [[0, 0], [-2768598, 748012], [682/3, -74], [-4/3, -4/3]], [[0, 0], [-48084463, 12990743], [4145, -3637/3], [10/3, -40/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [162, 1], [-30, 1], [0, 0]], [[0, 0], [19497, 357], [-18119/5, 1087/15], [26/15, 4/15]], [[0, 0], [188462, -51397], [-583114/15, 158699/15], [152/15, -14/5]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[56, -12]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31256, 8441], [0, 1], [0, 0]], [[9, 5/2], [-1076059, 290713], [-185/3, 41/3], [3, 5/6]], [[25600, 9476], [47556, 16774], [-15424, -17128/3], [25600/3, 9476/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [44, -2], [0, 4], [0, 0]], [[-3, 1/2], [169, -50], [-529/15, 124/15], [-1/5, 1/30]], [[0, 0], [164, -49], [-40, 9], [0, 0]]], 0, 256, [], [] >,
< [ -10, -1, 1 ], [[-288, 80]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-240708, 65029], [-4, 1], [0, 0]], [[0, 0], [129348, -34942], [-8/3, 0], [-4/3, 2/3]], [[0, 0], [1629965, -440323], [-31, 1], [-18, 8]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-226, -13], [50, 1], [0, 0]], [[0, 0], [-822237, 66351], [2868097/15, -105529/5], [-46/15, -4/15]], [[0, 0], [-552314236, 150535995], [685007916/5, -559074683/15], [-19264/15, 5344/15]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[10259174371, -2771579685]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1181/2, 319/2], [1647/2, -445/2], [0, 0]], [[1063233/2, -287239/2], [-607717, 164189], [-695237/3, 187853/3], [354411/2, -287239/6]], [[-15108233/2, 4081583/2], [17271263/2, -4666193/2], [6585829/2, -5338345/6], [-15108233/6, 4081583/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11/2, 5/2], [-25/2, -1/2], [0, 0]], [[-49, -1], [2479/2, -669/2], [30161/30, -3337/10], [-49/15, -1/15]], [[-225/2, 215/2], [21591/2, -5837/2], [60805/6, -14407/6], [-15/2, 43/6]]], 0, 128, [], [] >,
< [ -10, -1, 1 ], [[-68752494334, 18573913426]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44785/2, 12099/2], [-929/2, 251/2], [0, 0]], [[-493111/2, 133217/2], [5238208, -1415130], [628559/3, -56601], [-493111/6, 133217/6]], [[-285061, 77011], [6213560, -1678628], [245504, -198968/3], [-285061/3, 77011/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [133/2, 5/2], [125/2, 5/2], [0, 0]], [[-71/2, 1/2], [1691/2, -217/2], [20747/30, -979/10], [-71/30, 1/30]], [[5039/2, -1449/2], [-158175/2, 43889/2], [-1994923/30, 551813/30], [5039/30, -483/10]]], 0, 384, [], [] >,
< [ -10, -1, 1 ], [[4031, -1089]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [425/2, -57], [3/2, 0], [0, 0]], [[7/2, 1/2], [-1/2, 3/2], [5/6, -1/2], [7/6, 1/6]], [[-3/2, -1/2], [-1, -1/2], [1/3, 1/6], [-1/2, -1/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-29/2, -20], [-1/2, -2], [0, 0]], [[33, 2], [-110369/10, 6377/5], [-38069/30, 2872/15], [11/5, 2/15]], [[213269/2, -57559/2], [-559432091/10, 75544773/5], [-206988911/30, 9317916/5], [213269/30, -57559/30]]], 1, 6, [], [] >,
< [ -10, -1, 1 ], [[28108171, -7593597]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-33873, 9148], [0, 1], [0, 0]], [[9/2, 5/2], [4365259/2, 1618449/2], [-4367365/6, -1616603/6], [3/2, 5/6]], [[-173/2, 47/2], [-59636, 65874], [-25968, -28694/3], [-173/6, 47/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-493/2, 1/2], [-7/2, -1/2], [0, 0]], [[-15/2, 5/2], [681026, -100292], [22886/3, -692/3], [-1/2, 1/6]], [[-1907, 517], [639966473/5, -171291298/5], [16740908/15, -1472571/5], [-1907/15, 517/15]]], 0, 32, [], [] >,
< [ -10, -1, 1 ], [[28108171, -7593597]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4179/2, 1129/2], [-2195/2, 593/2], [0, 0]], [[1/2, 1/2], [1360, -366], [2095/3, -189], [1/6, 1/6]], [[1213/2, 449/2], [2797/2, 1035/2], [-611/2, -679/6], [1213/6, 449/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2673/2, -795/2], [-2913/2, 787/2], [0, 0]], [[7/2, 3/2], [-22755219/5, -8414206/5], [75731/15, 494/15], [7/30, 1/10]], [[0, 0], [-118307/2, 22285/2], [107877/2, -29139/2], [0, 0]]], 0, 32, [], [] >,
< [ -10, -1, 1 ], [[2942542, -794946]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2617, 707], [-2778, 750], [-2617, 707], [0, 0]], [[547435, -147893], [1162173/2, -313933/2], [547442, -147888], [7/2, 5/2]], [[665/2, 297/2], [-191692, -70929], [-147721/2, -54629/2], [-74193/2, -27463/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1625/2, -439/2], [14855/2, -4013/2], [1625/2, -439/2], [0, 0]], [[-157990, 42682], [-14480169/10, 3912069/10], [-789773/5, 213413/5], [59/10, 1/10]], [[101457/2, 37545/2], [203954553/5, 75494817/5], [257391819/10, 95275131/10], [42814089/10, 15847901/10]]], 0, 32, [], [] >,
< [ -10, -1, 1 ], [[-17, 7]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-21/2, -5/2], [-21/2, -5/2], [-1055, 285], [0, 0]], [[-4620, -1710], [-792699/163, -277875/163], [-34019/4, 53/4], [3447/652, 3/3260]], [[183345/2, 67965/2], [10827195/326, 16618337/326], [-3862851/2, 1134309/2], [389423/326, -572291/1630]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -1], [1, -1], [42505, -11483], [0, 0]], [[133557/2, 49437/2], [21811619/326, 8057337/326], [-91943/20, 10593/20], [-1993/3260, -1/652]], [[-2619309/2, -969529/2], [-413881635/326, -161767093/326], [-9008948/5, 2503668/5], [-145548/815, 8397/163]]], 0, 128, [], [] >,
< [ -10, -1, 1 ], [[-36496714, 9859814]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-28639/2, 7737/2], [-143853/2, 38863/2], [-28639/2, 7737/2], [0, 0]], [[-4811975, 1299985], [-48340721/2, 13059529/2], [-4811976, 1299982], [-1/2, -3/2]], [[-20615/2, -10199/2], [3382067/2, 1238993/2], [1266085/2, 466081/2], [321675, 119070]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-47591/2, 12857/2], [-31987/2, 8637/2], [-47591/2, 12857/2], [0, 0]], [[53659565/2, -14496467/2], [90135532/5, -24356472/5], [268297999/10, -72482329/10], [-29/10, -1/10]], [[54900, -111996], [-1606419269/10, -595515211/10], [3950373/5, 800667/5], [-1225291/10, -453549/10]]], 0, 192, [], [] >,
< [ -10, -1, 1 ], [[1650, -446]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-11/2, 5/2], [-36676, 9912], [-11/2, 5/2], [0, 0]], [[52664, 18931], [63452031/326, 22833031/326], [49609, 18926], [611/326, 1/326]], [[-375721/2, 124179/2], [-108767643/163, 36218537/163], [445671/2, -98293/2], [-205348/815, 55618/815]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-38, -2], [-41939, 11321], [-38, -2], [0, 0]], [[484964907/2, 179513135/2], [58535212455/326, 21661335623/326], [484973159/2, 897565647/10], [-1019/1630, 1/1630]], [[-45728269/2, -16904763/2], [-2482309159/163, -1094862983/163], [-45440373/2, -84913747/10], [-3558/163, 4819/815]]], 0, 512, [], [] >,
< [ -10, -1, 1 ], [[75935970, -20514574]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9687/2, 2617/2], [28831/2, -7789/2], [-9687/2, 2617/2], [0, 0]], [[44552, -12036], [-265053/2, 71603/2], [44545, -12035], [-7/2, 1/2]], [[-8, 0], [-14295/2, -5309/2], [-4679, -1729], [-4671/2, -1729/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[58481/2, -15799/2], [36467/2, -9857/2], [58481/2, -15799/2], [0, 0]], [[-39529/2, 10679/2], [-12228, 16667/5], [-39579/2, 10673/2], [-5/2, -3/10]], [[-1403/2, 549/2], [-3243647/2, -5999963/10], [1055317/2, 391701/2], [52836, 97788/5]]], 0, 192, [], [] >,
< [ -10, -1, 1 ], [[-670, 178]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, -2], [17729, -4815], [-18, -2], [0, 0]], [[-9754837/2, -3611591/2], [-2942686510/163, -1089634154/163], [-9759073/2, -3611599/2], [1059/163, 2/163]], [[413956254, 153963679], [498680165775/326, 186028637495/326], [416336599, 153369646], [-2380345/326, 594033/326]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-82, 2], [-55649, 15019], [-82, 2], [0, 0]], [[3621195/2, 1338203/2], [216897278/163, 80747170/163], [3628335/2, 6691003/10], [595/163, -1/815]], [[106958879/2, 38192441/2], [11690603545/326, 4912771497/326], [109667489/2, 37516487/2], [451435/326, -112659/326]]], 0, 3072, [], [] >,
< [ -10, -1, 1 ], [[1959622510, -529404194]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[598550, -161702], [593845, -160431], [598550, -161702], [0, 0]], [[51398185, -13885539], [101988227/2, -27552745/2], [51398176, -13885548], [-3/2, -3/2]], [[-45335/2, -16623/2], [2197690, 813567], [-10740425/2, -3975477/2], [-1782515/2, -659809/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-629595, 170089], [-3148300, 850530], [-629595, 170089], [0, 0]], [[30306380, -8187459], [303094263/2, -409415071/10], [30306385, -8187457], [-1/2, -3/10]], [[391945/2, 143685/2], [9881358, 3654156], [-206089/2, -77681/2], [77651/2, 28743/2]]], 0, 768, [], [] >,
< [ -10, -1, 1 ], [[3010, -814]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-65/2, -1/2], [228315/2, -61625/2], [-65/2, -1/2], [0, 0]], [[-228163670, -84456134], [1371145439/2, 506704253/2], [-228163673, -84456131], [-1/2, 1/2]], [[1269519790, 469467614], [-8292972259, -198445423], [1269563986, 469455662], [7366, -1992]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[125, 1], [230, 60], [125, 1], [0, 0]], [[72905/2, -11985/2], [37979, 3240], [72883/2, -11993/2], [3/2, 1/2]], [[-100522345/2, 27157059/2], [-55807191/2, 75388953/10], [-100521977/2, 27156959/2], [-142, 192/5]]], 0, 3840, [], [] >,
< [ -10, -1, 1 ], [[259, -69]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-13/2, -5/2], [-13/2, -5/2], [2132, -576], [0, 0]], [[-3420, -1266], [-625355/163, -204938/163], [-4661/4, -1629/4], [5905/652, 5/652]], [[-515, -197], [-4104412/163, 1051446/163], [-15207/4, 3665/4], [330263/652, -88977/652]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[25/2, 5/2], [25/2, 5/2], [-51200, 13832], [0, 0]], [[-1803889/2, -671341/2], [-1811989/2, -671335/2], [14614, 382], [3, 0]], [[287279, -353951], [-50540960/163, -31474433/163], [39995299/20, -10763669/20], [1439609/3260, -387659/3260]]], 0, 768, [], [] >,
< [ -10, -1, 1 ], [[452673278, -122292498]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-455207/2, 122977/2], [-454467/2, 122777/2], [-455207/2, 122977/2], [0, 0]], [[2542777, -686947], [5077005/2, -1371601/2], [2542732, -686962], [-9/2, -3/2]], [[-852, 252], [-298533/2, -109371/2], [-487687, -179953], [-97367/2, -36041/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[390289/2, -105439/2], [-1169717/2, 316007/2], [390289/2, -105439/2], [0, 0]], [[50481353/2, -13637853/2], [-378238614/5, 102183279/5], [252406717/10, -68189247/10], [3/10, -3/10]], [[51851/2, 7929/2], [3922712/5, 1536413/5], [169039/10, 6251/10], [39251/10, 14529/10]]], 0, 768, [], [] >,
< [ -10, -1, 1 ], [[-346, 86]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-49/2, -1/2], [36475/2, -9925/2], [-49/2, -1/2], [0, 0]], [[19970357/2, 7392013/2], [99363961/2, 36969645/2], [19970457/2, 7392033/2], [5, 1]], [[-40744652, -15059468], [-310669119/2, -176241445/2], [-40749097, -15058363], [-889/2, 221/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-75/2, 5/2], [-305/2, -45/2], [-75/2, 5/2], [0, 0]], [[-5343/2, 623/2], [-47513/5, -3692/5], [-26491/10, 3081/10], [-39/10, -1/10]], [[-90177, 23517], [-1002623/5, 236823/5], [-446853/5, 116523/5], [-477/5, 117/5]]], 0, 3840, [], [] >,
< [ -10, -1, 1 ], [[20692673324336, -5590254238800]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3113, 841], [-2121, 573], [0, 0]], [[0, 0], [-4282848, 1157038], [-9424878, 7638568/3], [23875394/3, -6450086/3]], [[0, 0], [-193520253, 52280699], [-1277589523/3, 345148745/3], [1078810574/3, -97149126]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [10423, -2827], [-45, 1], [0, 0]], [[0, 0], [1088839, 402017], [16296947/15, 6034013/15], [254/15, 2/5]], [[0, 0], [-19027464, -6593174], [-18241350, -6798952], [-4160, 1040]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[460749111596, -124474234612]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6511, -1759], [-3113, 841], [0, 0]], [[208050, -56206], [-914346, 247016], [713240/3, -192686/3], [69350, -56206/3]], [[-493111/2, 133217/2], [1064211, -287503], [-817561/3, 73623], [-493111/6, 133217/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2863, 759], [-35, -5], [0, 0]], [[191, -1], [127899, 47379], [1909063/15, 236869/5], [191/15, -1/15]], [[-233/2, 63/2], [74, -20], [6428/15, -1738/15], [-233/30, 21/10]]], 0, 256, [], [] >,
< [ -10, -1, 1 ], [[460749111596, -124474234612]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23975/2, -6477/2], [211/2, -57/2], [0, 0]], [[0, 0], [-3082498, 832756], [-1021604, 827978/3], [2607484/3, -704428/3]], [[0, 0], [-46478516, 12556460], [-15403994, 12484454/3], [39316279/3, -10621537/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51/2, -7/2], [-55/2, -3/2], [0, 0]], [[0, 0], [-334, -264], [-1896/5, -4082/15], [209/15, 1/15]], [[0, 0], [226883/2, -60781/2], [639193/6, -171055/6], [4096, -3328/3]]], 0, 384, [], [] >,
< [ -10, -1, 1 ], [[181036, -48908]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11881, -6419/2], [-1, 1/2], [0, 0]], [[9/2, 5/2], [-587977, 317705/2], [217/3, -101/6], [3/2, 5/6]], [[3115/2, 1153/2], [15690, -4805/2], [3376/3, 835/2], [3115/6, 1153/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-92, 59/2], [2, -1/2], [0, 0]], [[-28, -2], [892/5, 233/5], [-6/5, 13/15], [-28/15, -2/15]], [[-16549/2, 4489/2], [95593/5, -52551/10], [-6499/5, 10519/30], [-16549/30, 4489/30]]], 1, 8, [], [] >,
< [ -10, -1, 1 ], [[1262364236, -341035540]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111, -30], [-37, 10], [0, 0]], [[-19/2, 1/2], [-256832, 69383], [-4, 5/3], [-19/6, 1/6]], [[219127/2, 81111/2], [100368, 32642], [-93214/3, -34504/3], [219127/6, 27037/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, 0], [1, 0], [0, 0]], [[68, 2], [1948/5, -673/5], [58/15, -11/5], [68/15, 2/15]], [[-2205/2, -945/2], [2942, 315], [84, 21], [-147/2, -63/2]]], 0, 64, [], [] >,
< [ -10, -1, 1 ], [[1262364236, -341035540]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3894, 1052], [-10964, 2962], [0, 0]], [[-3, 1], [175553, -47427], [1493425/3, -403459/3], [-1, 1/3]], [[1072069/2, 396833/2], [-746397, -276286], [-899727, -999140/3], [1072069/6, 396833/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, 12], [112, -30], [0, 0]], [[87/2, 3/2], [2556/5, -841/5], [-5128/5, 1383/5], [29/10, 1/10]], [[-296, -104], [2199/5, 1501/5], [6059/15, -513/5], [-296/15, -104/15]]], 0, 64, [], [] >,
< [ -10, -1, 1 ], [[8130496, -2196504]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12036, -6503/2], [6, -3/2], [0, 0]], [[0, 0], [248444, -134231/2], [116, -209/6], [4/3, 5/3]], [[0, 0], [13334, 6837/2], [-12024, -8903/2], [6970, 2580]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-118, -61/2], [-2, -5/2], [0, 0]], [[0, 0], [-3352/5, 15062/5], [4476/5, -1558/15], [-2/15, 2/15]], [[0, 0], [-276561/5, 122227/10], [99139/15, -19181/10], [-46/15, 11/15]]], 0, 48, [], [] >,
< [ -10, -1, 1 ], [[13834544, -3737488]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30771, -8313], [11671, -3153], [0, 0]], [[0, 0], [-2108702, 569691], [-799574, 648025/3], [2/3, 4/3]], [[0, 0], [16754832, -4526491], [19059142/3, -5148919/3], [0, -26/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45, -25], [-115, 31], [0, 0]], [[0, 0], [-598152/5, -221783/5], [-3814/5, -2983/15], [-32/15, 2/15]], [[0, 0], [184084/5, 65881/5], [-3022/5, 1427/5], [-42/5, 12/5]]], 0, 384, [], [] >,
< [ -10, -1, 1 ], [[13834544, -3737488]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111, -30], [-37, 10], [0, 0]], [[0, 0], [-373005, 100747], [43/3, 11/3], [-2, -8/3]], [[0, 0], [-16355743, 4418097], [377, 203/3], [58/3, -232/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-11, 0], [1, 0], [0, 0]], [[0, 0], [5548/5, -1283/5], [-14/5, 37/15], [-82/15, -8/15]], [[0, 0], [72674/5, 28166/5], [2968/5, 1092/5], [-3472/5, -1288/5]]], 0, 384, [], [] >,
< [ -10, -1, 1 ], [[-19719628, 5327380]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [52, -14], [140515, -37961], [0, 0]], [[0, 0], [411, -114], [1089817, -294421], [-4, 1]], [[0, 0], [-6779373/2, -2509427/2], [-190518, -70484], [-183147/2, -67793/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-279890, 75614], [140515, -37961], [0, 0]], [[0, 0], [8070481/10, -2180141/10], [-2025873/5, 547353/5], [59/10, 1/10]], [[0, 0], [-372279393/10, -137801347/10], [-126501411/5, -46825329/5], [-42161397/10, -15606303/10]]], 0, 96, [], [] >,
< [ -10, -1, 1 ], [[132152312, -35701768]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [86917, -23481], [86487, -23365], [0, 0]], [[1/2, 3/2], [1886152, -509555], [3753709/2, -1014079/2], [1/2, 3/2]], [[-65032, -24072], [-26111, -8527], [-176843, -64327], [-65032, -24072]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[4031/2, -1089/2], [-3757/2, 1015/2], [4031/2, -1089/2], [0, 0]], [[0, 0], [93857/5, -25282/5], [138/5, 12/5], [23/5, 2/5]], [[0, 0], [-22879749, -8469096], [-15226566, -5636208], [-2537761, -939368]]], 0, 128, [], [] >,
< [ -10, -1, 1 ], [[-932, 252]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-46, 12], [2406, -650], [0, 0]], [[12425/2, 5/2], [1054673/326, 251751/326], [617667/4, -159989/4], [2485/652, 1/652]], [[947094405, 350572821], [151198958100/163, 55967231872/163], [1937637671/2, 717223863/2], [189418881/326, 350572821/1630]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [71, -19], [60, 8], [0, 0]], [[2362, 2], [356604/163, 3096/163], [104221/5, 17529/5], [1181/815, 1/815]], [[49/2, -11/2], [6903/326, -1543/326], [2359/20, -529/20], [49/3260, -11/3260]]], 0, 256, [], [] >,
< [ -10, -1, 1 ], [[656, -176]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1022, -276], [-9054, 2446], [0, 0]], [[0, 0], [3736672/163, -1010517/163], [-405507/2, 109189/2], [139/326, -3/1630]], [[0, 0], [42985016/163, 15926240/163], [7528730, 2785990], [-770004/163, -1425108/815]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-104, 28], [30, 10], [0, 0]], [[0, 0], [36472/163, -6195/163], [-20896/5, -2584/5], [-286/815, 1/815]], [[0, 0], [-17602014/163, 4754181/163], [9217049/10, -2485039/10], [191139/1630, -51591/1630]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[244584996, -66076156]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1617, -437], [-177005, 47819], [0, 0]], [[0, 0], [1113613/2, -300755/2], [-60946947, 16465189], [-9/2, -5/2]], [[0, 0], [-9200970, -3405371], [1497759, 507857], [722730, 267523]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [45008, -12158], [68949, -18627], [0, 0]], [[0, 0], [-85634127/10, 23135727/10], [-65595756/5, 17721046/5], [57/10, 3/10]], [[0, 0], [-41931617/5, -15826213/5], [4834533/5, 1322337/5], [-687148/5, -254352/5]]], 0, 576, [], [] >,
< [ -10, -1, 1 ], [[180, -44]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9674, 2618], [13, 1], [0, 0]], [[0, 0], [552918403/326, 204843931/326], [1695090, 628084], [1753/1630, -3/1630]], [[0, 0], [-7541533550/163, -2799823946/163], [-46231030, -17171933], [-57449/815, 9094/815]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32543, 8829], [127, 3], [0, 0]], [[0, 0], [64853576939/326, 24011938219/326], [198981887, 368276532/5], [269/326, -1/1630]], [[0, 0], [32184520173979/163, 11923688776163/163], [197562754457, 365661460993/5], [1633537/815, -261419/815]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[-508889620, 137479692]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-188646, 50964], [-95963, 25925], [0, 0]], [[0, 0], [40219282, -10865485], [20459113, -5527153], [-1, 2]], [[0, 0], [241559217/2, 89414537/2], [108004178, 39978390], [107798145/2, 39902153/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37791, 10211], [-59473, 16067], [0, 0]], [[0, 0], [8074055/2, -2180963/2], [6352655, -1716211], [-5/2, 1/2]], [[0, 0], [174884768, 323673243/5], [-2127830, -787684], [-208499, -385886/5]]], 0, 576, [], [] >,
< [ -10, -1, 1 ], [[4460, -1204]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [55652, -15032], [-1, 3], [0, 0]], [[0, 0], [5001019823/326, 1857023167/326], [15347466, 5681108], [449/326, -3/326]], [[0, 0], [-3752420647/326, -20141267575/326], [-100467473, -37662292], [-846159/326, 227815/326]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [63651, -17209], [-64, 4], [0, 0]], [[0, 0], [-29703664175/326, -10999396279/326], [-91134396, -168716039/5], [1459/326, -3/1630]], [[0, 0], [379095133767/163, 169581144739/163], [2414414239, 5083210734/5], [-5622594/163, 7566759/815]]], 0, 9216, [], [] >,
< [ -10, -1, 1 ], [[-13132531980, 3547835092]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-3850, 1040], [-4359785, 1177823], [0, 0]], [[0, 0], [318023, -85924], [359978318, -97250388], [-2, -1]], [[0, 0], [17459693/2, 6462811/2], [9812759, 3630657], [3266013/2, 1208935/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-165, 45], [-348565, 94167], [0, 0]], [[0, 0], [171, -308/5], [32, 18], [4, 1/5]], [[0, 0], [-39953317/2, -73944843/10], [34558877, 12792183], [3321971/2, 6148241/10]]], 0, 2304, [], [] >,
< [ -10, -1, 1 ], [[5294041940, -1430218316]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4305, 1163], [65910, -17806], [0, 0]], [[0, 0], [-41725, 11288], [774675, -209275], [5, 0]], [[0, 0], [242051069/2, 89596707/2], [63565247, 23529069], [20780559/2, 7692053/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44380, 11990], [-89885, 24283], [0, 0]], [[0, 0], [73212245, -98892001/5], [148279837, -40058671], [6, 2/5]], [[0, 0], [-1462790511/2, -541450573/2], [-102653683, -37987345], [-8632061/2, -3195211/2]]], 0, 11520, [], [] >,
< [ -10, -1, 1 ], [[176, -16]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [874, -236], [-6226, 1682], [0, 0]], [[0, 0], [106834, -28865], [-761685, 205851], [-1, 0]], [[0, 0], [-798012236/163, -295468179/163], [241076435/2, 89242851/2], [-137757423/326, -50991765/326]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [770, -208], [110, 10], [0, 0]], [[0, 0], [-1191184/163, 3505/163], [-7459869/10, -2857781/10], [7621/1630, -1/1630]], [[0, 0], [-4073467256/163, 984558286/163], [-192662858, -125412858], [2588592/163, -624384/163]]], 0, 9216, [], [] >,
< [ -10, -1, 1 ], [[-172, 52]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38, -10], [-9054, 2446], [0, 0]], [[615/2, -5/2], [-185483/326, 74911/326], [815849/4, -220047/4], [615/652, -5/652]], [[-523912, -193930], [-80653303/163, -29853876/163], [-583422, -216766], [-261956/163, -96965/163]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [71, -19], [-20, -4], [0, 0]], [[-11453/2, 3/2], [-418481/326, 11979/326], [-323683/20, 25333/20], [-11453/3260, 3/3260]], [[-48633521/2, 13348811/2], [-1915264657/326, 524292797/326], [-1668545231/20, 454990841/20], [-48633521/3260, 13348811/3260]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[-3033618092, 819550772]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1302, -352], [-2312947, 624857], [0, 0]], [[0, 0], [-197283, 53241], [350299000, -94635420], [4, 2]], [[0, 0], [-393835203/2, -145780557/2], [107852067, 39931133], [21533895/2, 7970905/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-670661, 181181], [-335058, 90518], [0, 0]], [[0, 0], [-768954347/10, 207735907/10], [-192083766/5, 51892656/5], [-23/10, 3/10]], [[0, 0], [-3820905392, -1414337733], [135328563, 50089777], [-6507123, -2408652]]], 0, 2304, [], [] >,
< [ -10, -1, 1 ], [[-587768132, 158789212]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4083, -1103], [-41365, 11175], [0, 0]], [[0, 0], [-164329/2, 44477/2], [824949, -222889], [1/2, -5/2]], [[0, 0], [-687645, -254541], [398444, 147536], [39432, 14596]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26620, 7270], [-41365, 11175], [0, 0]], [[0, 0], [-90930751/10, 24517331/10], [-70266103/5, 18982723/5], [41/10, -1/10]], [[0, 0], [-43559047/10, -18535773/10], [2814299/5, -823759/5], [9867/10, 3653/10]]], 0, 11520, [], [] >,
< [ -10, -1, 1 ], [[41736957948395776, -11275498454384640]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [72558, -19602], [33662, -9094], [0, 0]], [[0, 0], [-55990658, 15126224], [-65002718/3, 17560888/3], [77665288/3, -6993920]], [[0, 0], [-2206316, 596050], [-1024200, 276694], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, -2], [10, 2], [0, 0]], [[0, 0], [122, 10], [818/15, 182/15], [176/15, 8/5]], [[0, 0], [246, -52], [326/5, -128/15], [296/15, -56/15]]], 0, 24576, [], [] >,
< [ -10, -1, 1 ], [[-3542507712, 957030464]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [660616, -178470], [8, -2], [0, 0]], [[0, 0], [-2181531, 589355], [-3087, 2501/3], [7810/3, -2110/3]], [[0, 0], [-496, 134], [-496/3, 134/3], [422/3, -38]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-126993, 34321], [-5, -3], [0, 0]], [[0, 0], [-1119591, -414449], [5601851/15, 690723/5], [-218/15, -2/15]], [[0, 0], [1294094, 480334], [-439674, -157942], [432, -112]]], 0, 6144, [], [] >,
< [ -10, -1, 1 ], [[-3542507712, 957030464]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54754, -14792], [726, -196], [0, 0]], [[0, 0], [1946981, -526013], [25421, -20675/3], [-4390/3, 1186/3]], [[0, 0], [-8402623, 2270469], [-327545/3, 29945], [18914/3, -5110/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 0], [50, -8], [0, 0]], [[0, 0], [-9189, -3257], [-19571/3, -2113], [-22/3, 2/3]], [[0, 0], [16406, 3228], [86798/5, 2412/5], [536/5, -136/5]]], 0, 6144, [], [] >,
< [ -10, -1, 1 ], [[48234145592, -13030754056]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17190, -4644], [1066, -288], [0, 0]], [[0, 0], [305021, -82403], [-1925, 1561/3], [47591/3, -12857/3]], [[0, 0], [55402755/2, -14967385/2], [-1051411/6, 284081/6], [4322977/3, -389293]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-109/2, -17/2], [-85/2, -1/2], [0, 0]], [[0, 0], [3516, -2416], [19064/3, -7456/3], [8/3, 0]], [[0, 0], [557059/2, -211537/2], [11984761/30, -1239257/10], [1651/15, -221/15]]], 0, 768, [], [] >,
< [ -10, -1, 1 ], [[114351263426176, -30892704149952]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-94338, 25486], [-52614, 14214], [0, 0]], [[0, 0], [4635884, -1252419], [2587900, -2097409/3], [4/3, -10/3]], [[0, 0], [-11291410, -4179579], [5121038/3, 631865], [-16407716/3, -6073418/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-796, 218], [496, -134], [0, 0]], [[0, 0], [464/5, 31/5], [-956/15, 481/15], [124/15, 2/5]], [[0, 0], [-25602/5, -9328/5], [-11654/5, -13828/15], [-6512/15, -2368/15]]], 0, 6144, [], [] >,
< [ -10, -1, 1 ], [[114351263426176, -30892704149952]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2082062, -562482], [422, -114], [0, 0]], [[0, 0], [84196384, -22746193], [50644/3, -13699/3], [-8, -8/3]], [[0, 0], [9401848, 3479394], [9600656/3, 3553742/3], [8081588/3, 997150]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [334, -188], [-54, 16], [0, 0]], [[0, 0], [-6437666/5, -1882059/5], [516854/15, 17311/15], [-32/5, -4/15]], [[0, 0], [-349943782/5, 93055522/5], [40288286/5, -32588078/15], [-21892/15, 5902/15]]], 0, 6144, [], [] >,
< [ -10, -1, 1 ], [[16399145936, -4430331144]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-63622, 17188], [-118, 32], [0, 0]], [[0, 0], [-344555, 186211/2], [-599, 1057/6], [-8/3, -4/3]], [[0, 0], [-104949, -74825/2], [-203015/3, -50093/2], [28850/3, 10679/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [73, -51/2], [-3, -3/2], [0, 0]], [[0, 0], [-29991/5, 13247/10], [-1181/15, -623/30], [-62/5, 1/15]], [[0, 0], [-98554076/5, 26628441/5], [-232152/5, 63207/5], [-129402/5, 34997/5]]], 0, 768, [], [] >,
< [ -10, -1, 1 ], [[621322304, -167854080]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-948, 256], [5097436, -1377104], [0, 0]], [[0, 0], [1, 0], [2, 0], [1, 0]], [[0, 0], [10106, -2728], [-54378968, 14690816], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1533372, 414250], [-3096564, 836556], [0, 0]], [[0, 0], [-80229861, 21674589], [-162022254, 43771314], [1, -1]], [[0, 0], [-4734947277/5, -1752670148/5], [-3291678518/5, -1218435252/5], [-548545953/5, -203047692/5]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[384, -64]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 18], [-4, 16], [0, 0]], [[0, 0], [2464966/163, 657381/163], [4655, 2683], [799/163, -2/815]], [[0, 0], [-1304148714/163, 334805935/163], [4724136, -1328420], [-1487070/163, 398889/163]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 10], [0, 8], [0, 0]], [[0, 0], [70170/163, -11245/163], [-8435, -91], [-179/163, -2/815]], [[0, 0], [-18692142/163, 4893253/163], [7887861/5, -1890431/5], [170941/815, -41232/815]]], 0, 24576, [], [] >,
< [ -10, -1, 1 ], [[-7706337728, 2081915008]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [12400, -3350], [606612, -163880], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [918, -248], [0, 0], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4490974, -1213264], [-2426448, 655520], [0, 0]], [[0, 0], [117017141, -31612926], [-63224102, 17080392], [-5, 0]], [[0, 0], [-656060494/5, -242844966/5], [288023616/5, 106613784/5], [-48003906/5, -17768944/5]]], 0, 9216, [], [] >,
< [ -10, -1, 1 ], [[-5440, 1472]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-372946, 100762], [16, 4], [0, 0]], [[0, 0], [22945688202/163, -6197859686/163], [-15866, -1], [1426/163, 1/163]], [[0, 0], [493523680837/163, 188684119017/163], [-2033040958, -752545139], [915783301/815, 338983954/815]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [183876, -49664], [12, 8], [0, 0]], [[0, 0], [2681135, 994271], [2682266, 4967207/5], [-1/5, 0]], [[0, 0], [-707956247/163, -177902367/163], [-3792864, -1239436], [-5291/163, 1441/163]]], 0, 24576, [], [] >,
< [ -10, -1, 1 ], [[16033997760, -4331684096]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4693862, 1268076], [9407224, -2541420], [0, 0]], [[0, 0], [3, 0], [2, 0], [1, 0]], [[0, 0], [-2543558, 687158], [5097436, -1377104], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10672366, 2883206], [5767552, -1558140], [0, 0]], [[0, 0], [-248206223, 335272084/5], [134135254, -36237460], [3, 2/5]], [[0, 0], [-455582516, -168637733], [152375092, 56403146], [15244680, 5642913]]], 0, 9216, [], [] >,
< [ -10, -1, 1 ], [[2240, -576]], [ -40, -1 ], [ -18245, 4929 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [399988, -108056], [12, 0], [0, 0]], [[0, 0], [-97132146/163, 26313570/163], [-1398, -5], [774/163, 1/163]], [[0, 0], [2364737351/163, 875508951/163], [-12446914, -4607301], [6833447/163, 2529442/163]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [326856, -88360], [-140, -20], [0, 0]], [[0, 0], [38426660827/163, 14224634975/163], [235761332, 436332682/5], [155/163, -3/815]], [[0, 0], [-1954708688243/163, -723855168903/163], [-11996495674, -4439782035], [-39555/163, 8586/163]]], 0, 147456, [], [] >,
< [ -10, -1, 1 ], [[413777330240, -111784516096]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27710, 7486], [42291280, -11425252], [0, 0]], [[0, 0], [1, 0], [6, 0], [1, 0]], [[0, 0], [-397830, 107476], [606093500, -163739924], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1890, -510], [-162854460, 43996144], [0, 0]], [[0, 0], [-1221, 1646/5], [103270002, -27899024], [3, -2/5]], [[0, 0], [-98195738, -181738812/5], [1026235696, 379867516], [49323524, 91287044/5]]], 0, 36864, [], [] >,
< [ -10, -1, 1 ], [[-9920, 2688]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-110, 12], [0, -16], [0, 0]], [[0, 0], [11, 0], [6, 0], [1, 0]], [[0, 0], [-11660, 3146], [3540, -960], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-190, 40], [0, -8], [0, 0]], [[0, 0], [-350, -761/5], [-308, -118], [-4, -3/5]], [[0, 0], [14285, -3850], [2530, -676], [-555, 150]]], 0, 184320, [], [] >,
< [ -10, -1, 1 ], [[-3968, 1088]], [ -41, 1 ], [ -3076, 831 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -18], [12, -8], [0, 0]], [[0, 0], [-3144, 810], [-4200, 824], [4, 0]], [[0, 0], [-34435970/163, 9290863/163], [-255411, 68409], [26361/163, -6786/163]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [156, 16], [100, 8], [0, 0]], [[0, 0], [-110392, 10560], [-65274, 8426], [2, 0]], [[0, 0], [-5145261226/163, 1391868745/163], [-100035621/5, 27052291/5], [370139/815, -100254/815]]], 0, 147456, [], [] >,
< [ -10, -1, 1 ], [[95582664256, -25822250496]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2480, 670], [-73781076, 19932416], [0, 0]], [[0, 0], [3, 0], [10, 0], [1, 0]], [[0, 0], [-3398, 918], [-103876612, 28062912], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59467670, 16065560], [118924380, -32128160], [0, 0]], [[0, 0], [-77216041/5, 20860361/5], [154415834/5, -41716494/5], [21/5, -1/5]], [[0, 0], [127937744/5, 47356911/5], [386754084/5, 143159506/5], [-18588344/5, -6880591/5]]], 0, 36864, [], [] >,
< [ -10, -1, 1 ], [[1216, -256]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -6], [68, 12], [0, 0]], [[0, 0], [-17, 0], [10, 0], [1, 0]], [[0, 0], [-54, 14], [-40, 20], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -86], [-92, -8], [0, 0]], [[0, 0], [-221939/5, 36384/5], [43546/5, -20436/5], [-11/5, -4/5]], [[0, 0], [-138626, 37416], [42712, -11552], [0, 0]]], 0, 184320, [], [] >,
< [ -10, -1, 1 ], [[5049456944, -1364142160]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-98221, 26535], [359, -97], [0, 0]], [[0, 0], [-11534135/2, 3116021/2], [123787/6, -33433/6], [760, -616/3]], [[0, 0], [-103063103, 27843153], [1106035/3, -298753/3], [13594, -11018/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [97/2, 37/2], [105/2, 5/2], [0, 0]], [[0, 0], [-14365/2, -5125/2], [27221/30, -78811/30], [-14/15, -2/5]], [[0, 0], [-950, 278], [30550, -8242], [0, 0]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[-323244122928, 87326407760]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-48298, 13048], [12378, -3344], [0, 0]], [[0, 0], [9276233/2, -2506035/2], [-2390547/2, 645817/2], [-4031, 1089]], [[0, 0], [7086455, -1914449], [-5479295/3, 493423], [-18952/3, 5120/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [58, -12], [70, 4], [0, 0]], [[0, 0], [11931, -3625], [60733/15, -55603/15], [52/5, 4/15]], [[0, 0], [-1416881/2, 383163/2], [-4568473/10, 1246683/10], [-1593/5, 423/5]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[-1152, 320]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20538996, 5548758], [-41078056, 11097492], [0, 0]], [[0, 0], [-1369337154, 369935075], [-2738674940, 739870050], [-58, 17]], [[0, 0], [-17855893548, 4823881539], [-35711792848, 9647762694], [-768, 217]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-84, 0], [32, 12], [0, 0]], [[0, 0], [-6252/5, 1897/5], [-168/5, 18/5], [-28/5, 3/5]], [[0, 0], [-158922, 42776], [-2988, 828], [-498, 138]]], 0, 24576, [], [] >,
< [ -10, -1, 1 ], [[-33839249376, 9141883424]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [611284, -165142], [1636, -442], [0, 0]], [[0, 0], [-299048758, 80789972], [-2403350/3, 649240/3], [5530/3, -498]], [[0, 0], [4975373111/2, -1344129681/2], [39985541/6, -10801595/6], [-15366, 12454/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [165/2, 9/2], [-35/2, 1/2], [0, 0]], [[0, 0], [-5375/2, -1951/2], [13007/30, 4423/30], [-46/5, -2/15]], [[0, 0], [-5314, 1388], [17638/5, -4728/5], [-4384/5, 1184/5]]], 0, 3072, [], [] >,
< [ -10, -1, 1 ], [[2166240569312, -585223346208]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1972255/2, 532817/2], [-2639/2, 713/2], [0, 0]], [[0, 0], [199747731/2, -53963089/2], [368763/2, -298867/6], [-354010/3, 95638/3]], [[0, 0], [21236523, -5737179], [40031, -10815], [-27014, 7298]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1/2, 25/2], [65/2, 1/2], [0, 0]], [[0, 0], [3791/2, 31/2], [-2411/6, 1071/2], [-26/3, -2/3]], [[0, 0], [158546, -42640], [-787594/5, 640652/15], [-8774/15, 2354/15]]], 0, 3072, [], [] >,
< [ -10, -1, 1 ], [[-159097332992, 42981132800]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-424376, 114648], [-400, 108], [0, 0]], [[0, 0], [11827, -3195], [-2099/3, 189], [-4138/3, 1118/3]], [[0, 0], [-164462, 44430], [29206/3, -2630], [57536/3, -15544/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [62, 4], [-50, -8], [0, 0]], [[0, 0], [-40903, 7561], [379043/15, -48193/15], [26/15, -2/5]], [[0, 0], [42241, 1487], [-496421/15, -22093/5], [-22/15, 2/15]]], 0, 24576, [], [] >,
< [ -10, -1, 1 ], [[-159097332992, 42981132800]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4045786, -1092994], [170, -46], [0, 0]], [[0, 0], [672933077, -181797041], [84859/3, -7645], [-718/3, 194/3]], [[0, 0], [15901791666, -4295967762], [2005558/3, -541850/3], [-17012/3, 1532]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-26, 40], [30, -8], [0, 0]], [[0, 0], [-455, -353], [-2341/15, 1/15], [46/5, 2/15]], [[0, 0], [3304, 3780], [28448/15, -496/5], [-1664/15, 64/15]]], 0, 24576, [], [] >,
< [ -10, -1, 1 ], [[77011, -20805]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3551/2, -477], [5/2, 2], [0, 0]], [[9/2, -3/2], [-251839, 136051/2], [222, -139/2], [3/2, -1/2]], [[-127/2, -47/2], [-2783, -1406], [-3187, -3538/3], [-127/6, -47/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-237/2, -37/2], [-3/2, -3/2], [0, 0]], [[-105/2, -5/2], [-17091/2, 20960], [15149/6, 83/3], [-7/2, -1/6]], [[8507/2, -2257/2], [29884006/5, -8188536/5], [-3411319/15, 302813/5], [8507/30, -2257/30]]], 1, 12, [], [] >,
< [ -10, -1, 1 ], [[77011, -20805]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6661/2, -1799/2], [117/2, -31/2], [0, 0]], [[5, 0], [-4922455/2, 665052], [-255791/6, 35033/3], [5/3, 0]], [[181/2, 67/2], [19789/2, 2869], [61301/6, 3768], [181/6, 67/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [715/2, -159/2], [65/2, -17/2], [0, 0]], [[3, 2], [-784069/10, -111458/5], [-63959/30, -2048/15], [1/5, 2/15]], [[163/2, -43/2], [2981159/5, -1690593/10], [294063/5, -480583/30], [163/30, -43/30]]], 1, 8, [], [] >,
< [ -10, -1, 1 ], [[-366, 98]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[23/2, -1/2], [97583/2, -26353/2], [23/2, -1/2], [0, 0]], [[13705911/2, 5073327/2], [12694746, 4695432], [13705897/2, 5073337/2], [-7/2, 5/2]], [[39014703/2, 14441895/2], [68537613/2, 27741397/2], [39022527/2, 14439799/2], [1956, -524]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[3/2, -5/2], [1270049/2, -343111/2], [3/2, -5/2], [0, 0]], [[-2752365, -1018805], [2056509/5, 762591/5], [-13761819/5, -5094031/5], [1/5, -1/5]], [[-149345, -55281], [265181/10, 71409/10], [-746848/5, -276372/5], [-41/10, 11/10]]], 0, 512, [], [] >,
< [ -10, -1, 1 ], [[3458636, -934372]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12027, 6497/2], [3, -3/2], [0, 0]], [[0, 2], [3552, 2607/2], [10922/3, 8081/6], [0, 2/3]], [[39/2, -13/2], [-2355, -1587/2], [-6923/3, -5093/6], [13/2, -13/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 39/2], [2, 3/2], [0, 0]], [[107/2, 3/2], [3456/5, -1986/5], [-644/15, -446/15], [107/30, 1/10]], [[3855/2, -1285/2], [78057, -38963/2], [6281/3, -1501/6], [257/2, -257/6]]], 1, 16, [], [] >,
< [ -10, -1, 1 ], [[3458636, -934372]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 10], [-37, 10], [0, 0]], [[-3/2, 3/2], [-13287, 7181/2], [-3, 1/2], [-1/2, 1/2]], [[851/2, 315/2], [372, 132], [-362/3, -134/3], [851/6, 105/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 0], [1, 0], [0, 0]], [[13, 2], [243/5, -1/10], [1/5, -11/30], [13/15, 2/15]], [[-59/2, 19/2], [-987/5, 569/10], [-77/15, 13/10], [-59/30, 19/30]]], 1, 16, [], [] >,
< [ -10, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, 10], [-37, 10], [0, 0]], [[0, 0], [-13871, 7485/2], [5/3, 7/6], [-10/3, -1]], [[0, 0], [7070, 2830], [-7424/3, -916], [8726/3, 3230/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 0], [1, 0], [0, 0]], [[0, 0], [-553/5, 1/10], [37/15, -49/30], [52/15, 1/5]], [[0, 0], [-1824, 101], [166/3, -83/3], [166/3, 0]]], 0, 96, [], [] >,
< [ -10, -1, 1 ], [[16, 0]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24753, 6686], [3, -2], [0, 0]], [[0, 0], [42466, 31697/2], [129340/3, 95759/6], [-8/3, -2]], [[0, 0], [-148564, -115867/2], [-464164/3, -114595/2], [-62/3, 46/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-59, -29/2], [-1, -1/2], [0, 0]], [[0, 0], [2791/5, -926/5], [-63/5, 8/5], [2/5, -2/5]], [[0, 0], [2213/5, -1901/10], [-217/15, 3/10], [-2/15, -8/15]]], 0, 96, [], [] >,
< [ -10, -1, 1 ], [[-12, 20]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [39519, -10677], [6, -2], [0, 0]], [[0, 0], [-3866149/2, -1428101/2], [-1050486, -388846], [9/2, 1/2]], [[0, 0], [-13296854, -4943592], [-7253071, -2684739], [-8, 14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1020046, 275574], [-37, -5], [0, 0]], [[0, 0], [72831254/5, 27008516/5], [-488806839/5, -180934851/5], [-19/5, -1/5]], [[0, 0], [-90028373/10, -33279937/10], [301558084/5, 111623616/5], [3/10, 7/10]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[313300539616, -84640086960]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52166, 14093], [2854, -771], [0, 0]], [[0, 0], [-30828483, 16656929/2], [5061007/3, -911515/2], [-46/3, -1/3]], [[0, 0], [-102968980, -38117353], [-24743504/3, -3052837], [-33170320/3, -12278200/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-310, 52], [-30, 8], [0, 0]], [[0, 0], [-6999/5, -2357/10], [-289/15, -427/30], [-58/5, -1/15]], [[0, 0], [126198, -35348], [-3286, 848], [1908, -522]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[313300539616, -84640086960]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [111867, -60447/2], [-9, 1/2], [0, 0]], [[0, 0], [1110971, 820681/2], [3322465/3, 2459659/6], [0, 4/3]], [[0, 0], [1009583, 577343/2], [875211, 647831/2], [-196, 54]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38, 7], [-2, -1], [0, 0]], [[0, 0], [-1897/5, 3129/10], [113/15, -47/10], [-152/15, -8/15]], [[0, 0], [-233123/5, 130401/10], [11587/15, -2143/10], [-5188/15, 1298/15]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[82770693297344, -22361016955200]], [ -2, 0 ], [ -1, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-245954, 66442], [0, -8], [0, 0]], [[0, 0], [150341, 55741], [300938, 111370], [19, -5]], [[0, 0], [-319461, -118375], [-639222, -236578], [-27, 7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-343859900, 92895888], [-687398460, 185704964], [0, 0]], [[0, 0], [-1124642319656/5, 303829108766/5], [-2248234886704/5, 607374620084/5], [66/5, 4/5]], [[0, 0], [-75262631664651/5, -27858930631159/5], [-1008786695069994/5, -373408661630986/5], [72056308412941/5, 26672090163589/5]]], 0, 24576, [], [] >,
< [ -10, -1, 1 ], [[1471271, -397473]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57279/2, 7738], [-1/2, 1], [0, 0]], [[-11/2, 1/2], [7864463, -4248935/2], [2314/3, -81/2], [-11/6, 1/6]], [[52794, 19542], [-8981061, -3270647], [-8996114, -3329964], [17598, 6514]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, 29/2], [1, -1/2], [0, 0]], [[109/2, 1/2], [2799/10, -1099/10], [-571/30, 37/10], [109/30, 1/30]], [[-900, 300], [-21853/2, 2825], [1063/2, -149], [-60, 20]]], 1, 24, [], [] >,
< [ -10, -1, 1 ], [[1471271, -397473]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [141183/2, -19073], [-5/2, 1], [0, 0]], [[-17/2, 3/2], [1181863, -638977/2], [-10/3, 175/6], [-17/6, 1/2]], [[-10917, -4041], [-2830462, -1046937], [398313, 147438], [-3639, -1347]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [115/2, 13], [5/2, 2], [0, 0]], [[-47/2, -3/2], [-7467/10, -2209/5], [-3407/30, -394/15], [-47/30, -1/10]], [[-3040, 480], [27807/2, -31737], [-56155/6, 157/3], [-608/3, 32]]], 1, 16, [], [] >,
< [ -10, -1, 1 ], [[-3, 5]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1425269, 385061], [-12, -2], [0, 0]], [[-3/2, -3/2], [109345418, 40467938], [-36443844, -13489916], [-1/2, -1/2]], [[-19/2, 25/2], [-1141249517/2, -422204871/2], [380283205/2, 422292649/6], [-19/6, 25/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-435/2, 41/2], [-15/2, -3/2], [0, 0]], [[-107/2, -3/2], [-3333806/5, 685026/5], [-206056/15, -3544/15], [-107/30, -1/10]], [[1891/2, -2961/2], [547746791/10, -181092991/10], [8516551/30, -11394611/30], [1891/30, -987/10]]], 0, 128, [], [] >,
< [ -10, -1, 1 ], [[-3, 5]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1602319/2, 432889/2], [3/2, -5/2], [0, 0]], [[9/2, 5/2], [-72373747, -26790170], [72373747/3, 26789594/3], [3/2, 5/6]], [[14, -14], [396583203/2, 146824219/2], [-132206497/2, -146811259/6], [14/3, -14/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [61, -19], [-6, 2], [0, 0]], [[125/2, 5/2], [-66, 68], [-2/3, -8], [25/6, 1/6]], [[-9, -31], [-3283/10, 23/10], [1147/30, 113/30], [-3/5, -31/15]]], 0, 128, [], [] >,
< [ -10, -1, 1 ], [[66076156, -17850884]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18973, 5134], [3, -2], [0, 0]], [[0, 2], [-1937489, -717173], [830399/3, 307375/3], [0, 2/3]], [[-12077/2, 3263/2], [-158132, -114765/2], [24698, 45773/6], [-12077/6, 3263/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-130, 5/2], [0, 1/2], [0, 0]], [[73/2, -3/2], [-33586/5, 13466/5], [-1756/15, 236/15], [73/30, -1/10]], [[-40715/2, 10965/2], [7013847, -3793285/2], [240193/3, -129583/6], [-8143/6, 731/2]]], 1, 32, [], [] >,
< [ -10, -1, 1 ], [[66076156, -17850884]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [256849, -69388], [5, 0], [0, 0]], [[1, 1], [476320, 352063/2], [1425434/3, 351755/2], [1/3, 1/3]], [[-337/2, 91/2], [70152, -48579/2], [-8256, -18593/6], [-337/6, 91/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-133, 31], [3, -1], [0, 0]], [[65/2, 5/2], [462, 1/2], [-50/3, 1/2], [13/6, 1/6]], [[2592, -702], [231457/5, -62627/5], [-9061/5, 2451/5], [864/5, -234/5]]], 1, 32, [], [] >,
< [ -10, -1, 1 ], [[-428, 116]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2271934, -613778], [164, -44], [0, 0]], [[1, 1], [197489141, -53352845], [42623/3, -3861], [1/3, 1/3]], [[-916767/2, -339347/2], [-26589572, -9831077], [24736358/3, 9156319/3], [-305589/2, -339347/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-38295, 10353], [-95, 25], [0, 0]], [[47/2, 3/2], [6220026/5, -1677741/5], [45076/15, -12701/15], [47/30, 1/10]], [[-218503/2, -80887/2], [-33797634/5, -14378246/5], [7307306/15, 897018/5], [-218503/30, -80887/30]]], 0, 256, [], [] >,
< [ -10, -1, 1 ], [[-428, 116]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [670461, -181129], [-115, 31], [0, 0]], [[15/2, -5/2], [-878663, 237376], [497/3, -134/3], [5/2, -5/6]], [[-77651/2, -28743/2], [-33032, -12227], [33032/3, 12227/3], [-77651/6, -9581/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [35241, -9521], [-11, 3], [0, 0]], [[-29/2, -1/2], [136678/5, -36893/5], [-4/5, 7/15], [-29/30, -1/30]], [[28763/2, 10647/2], [-99516/5, -38599/5], [-12236/15, -4529/15], [28763/30, 3549/10]]], 0, 256, [], [] >,
< [ -10, -1, 1 ], [[5049456944, -1364142160]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2997119, -809689], [-183, 49], [0, 0]], [[0, 0], [4096468695, -1106686938], [-746695/3, 67414], [4/3, 10/3]], [[0, 0], [-130230881617, 35182690644], [23748521/3, -2141884], [94/3, -236/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [969, -325], [-109, 29], [0, 0]], [[0, 0], [5065409/5, 2316786/5], [331499/15, -11374/15], [-16/15, 2/5]], [[0, 0], [-138919718/5, 1050323/5], [7887274/5, -2388769/5], [-746/5, 196/5]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[5049456944, -1364142160]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4930477, -1331999], [-7851, 2121], [0, 0]], [[0, 0], [18808321, -5081178], [-91039/3, 8196], [-8/3, 10/3]], [[0, 0], [-77046740, 20814644], [372908/3, -100732/3], [62/3, -10]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1778, -372], [-128, 34], [0, 0]], [[0, 0], [-2168626/5, -620909/5], [32518/5, -6979/15], [34/15, -4/15]], [[0, 0], [-2395325, 234903], [141811, -36105], [54, -14]]], 0, 1536, [], [] >,
< [ -10, -1, 1 ], [[176, -48]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [27012, -7297], [-2, 1], [0, 0]], [[0, 0], [-33309, -12311], [-99847/3, -12323], [4/3, 10/3]], [[0, 0], [21196, 22757/2], [83138/3, 57731/6], [-850, 680/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [59, 19/2], [1, -1/2], [0, 0]], [[0, 0], [-5202/5, -4161/10], [188/15, 89/30], [-4/5, 2/15]], [[0, 0], [-9021/5, 527/10], [-811/15, 557/30], [78/5, -64/15]]], 0, 192, [], [] >,
< [ -10, -1, 1 ], [[176, -48]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-62111, 33555/2], [3, -1/2], [0, 0]], [[0, 0], [58713, 43461/2], [-25171/3, -18629/6], [-10/3, -2]], [[0, 0], [-9738, -7477/2], [4034/3, 3281/6], [66, -52/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [103, -5/2], [-3, -1/2], [0, 0]], [[0, 0], [-41124/5, 8564/5], [2276/15, -72/5], [-14/15, 4/15]], [[0, 0], [-1352, 675/2], [22, -9/2], [0, 0]]], 0, 192, [], [] >,
< [ -10, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57094520, 15424466], [4, -10], [0, 0]], [[0, 0], [-19719544, 5327385], [68/3, -13/3], [-52/3, -2]], [[0, 0], [-170625488, -63158064], [-33211816/3, -12293560/3], [123596240/3, 15249972]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [169998, -45998], [2, 6], [0, 0]], [[0, 0], [-13322270, 3592640], [4526/3, 464/3], [-16/3, 0]], [[0, 0], [5848364/5, 2193811/5], [-1552736/15, -574759/15], [1068/5, 1186/15]]], 0, 24576, [], [] >,
< [ -10, -1, 1 ], [[256, 0]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [38407056, -10375914], [4, 2], [0, 0]], [[0, 0], [-1129795936, 305221357], [188/3, 13], [52/3, 10/3]], [[0, 0], [435425542, 161214131], [-392135494, -145151389], [-105060644, -38888850]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-337738, 91160], [-2, 8], [0, 0]], [[0, 0], [77703312/5, -21000157/5], [12572/15, -549/5], [172/15, -2/15]], [[0, 0], [935230004/5, 345903756/5], [-201249436/15, -74493764/15], [-1706472/5, -1894984/15]]], 0, 24576, [], [] >,
< [ -10, -1, 1 ], [[5985508544576, -1617022314528]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2372483, -1281841/2], [-9, -1/2], [0, 0]], [[0, 0], [-895304334, -331401628], [383698162/3, 142028260/3], [28/3, 2]], [[0, 0], [-744562670, -275695256], [319156742/3, 39379216], [-728/3, 208/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-210, -2], [-10, -2], [0, 0]], [[0, 0], [787, 1/2], [-35/3, -7/2], [44/3, 2/3]], [[0, 0], [-40408/5, 12328/5], [152/15, -172/15], [-1948/15, 206/5]]], 0, 3072, [], [] >,
< [ -10, -1, 1 ], [[5985508544576, -1617022314528]], [ -1, 0 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1413221, 763573/2], [-9, -3/2], [0, 0]], [[0, 0], [6767591, 5019103/2], [20321273/3, 15044093/6], [4, 2/3]], [[0, 0], [-12612714, -4701970], [-12663142, -14062030/3], [-44/3, 2/3]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-69, -179/2], [-1, 5/2], [0, 0]], [[0, 0], [-335611/5, 83577/10], [13273/5, -15533/30], [-176/15, -4/15]], [[0, 0], [4520501, -4168505/2], [-713053/3, 490885/6], [740/3, -370]]], 0, 3072, [], [] >,
< [ -11, 0, 1 ], [[-23, -7]], [ -23, 3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[10, 7/2], [831/86, -15/86], [2, -3/2], [54/43, 1/86]], [[2237/2, 709/2], [57127/86, 3893/43], [-34, -85], [3885/43, 1221/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-103/2, -4], [-2087/86, -66/43], [-1822/5, 9/10], [-881/430, 1/430]], [[-3141, -1869], [-58049/43, -74773/86], [-113683/10, -122867/10], [-13961/215, -29743/430]]], 4, 6, [], [] >,
< [ -11, 0, 1 ], [[43, 13]], [ -23, -3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-89/2, 1], [3943/86, 241/86], [2, -1/2], [96/43, 3/86]], [[-1375, -415], [158423/86, 23897/43], [23/2, 7/2], [3372/43, 2035/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1/2, 3/2], [125/2, 31/2], [1/2, 3/2], [0, 0]], [[3865/2, 303/2], [5288628/215, 3473351/430], [10102/5, 762/5], [-291/215, 3/430]], [[219583/2, 31298], [483602068/215, 292812891/430], [1139559/10, 162232/5], [-13166/215, -3596/215]]], 4, 6, [], [] >,
< [ -11, 0, 1 ], [[-587, -177]], [ -23, -3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[185/2, 19], [2517/43, 1158/43], [62, 39/2], [-127/86, -2/43]], [[14703/2, 1883/2], [119168/43, 186345/86], [4074, 1344], [-6440/43, 1035/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[53/2, 9], [63, 83/2], [53/2, 9], [0, 0]], [[17661/2, 4735/2], [19244137/430, 1938907/430], [90653/10, 23663/10], [-472/215, -2/215]], [[-349159, -209627/2], [-273107256/215, -79320076/215], [-3541673/10, -531054/5], [10362/215, 5809/430]]], 1, 14, [], [] >,
< [ -11, 0, 1 ], [[-169, -51]], [ -23, 3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-7/2, -2], [1261/86, 272/43], [16, 13/2], [-21/86, 1/86]], [[191/2, 71/2], [-15141/43, -10297/86], [-375, -125], [273/86, 15/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-130, 1/2], [6586/43, 329/86], [573/2, 11], [65/86, 1/86]], [[27043/2, 2812], [-1462081/86, -324769/86], [-327331/10, -37337/5], [-35319/430, -3843/215]]], 1, 14, [], [] >,
< [ -11, 0, 1 ], [[146, 44]], [ -23, 3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[7/2, 13/2], [788/43, 529/86], [24, 7], [-85/86, 1/43]], [[-357/2, 683/2], [28467/43, 10537/43], [1855/2, 525/2], [-4819/86, 553/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[18, 0], [-261/86, -3/43], [2297/10, -7/10], [603/430, 1/215]], [[1201/2, 299/2], [-215/2, -55/2], [75979/10, 18841/10], [236/5, 59/5]]], 1, 10, [], [] >,
< [ -11, 0, 1 ], [[-272, -82]], [ -23, -3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-9/2, -7/2], [-2147/86, -218/43], [-14, -4], [-41/86, -2/43]], [[-2, 0], [-53/43, -89/86], [-3/2, -1/2], [1/86, -1/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-53/2, -15/2], [3/2, -5/2], [-53/2, -15/2], [0, 0]], [[5015/2, 1971/2], [713097/215, -250931/430], [12748/5, 4933/5], [-139/215, -3/430]], [[15523/2, 14365/2], [25457387/430, -3348034/215], [41464/5, 35489/5], [-3619/430, 308/215]]], 1, 10, [], [] >,
< [ -11, 0, 1 ], [[3708, 1118]], [ -23, -3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[565/2, 161/2], [22337/86, 7055/86], [543/2, 163/2], [-22/43, 1/43]], [[-6053/2, 1361/2], [148789/86, -32087/43], [-583, -53], [8649/86, -1296/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[329/2, 99/2], [-491/2, -47/2], [329/2, 99/2], [0, 0]], [[63843/2, 19261/2], [-7288781/430, -2929223/215], [160358/5, 48143/5], [-603/430, 1/215]], [[-360458, -110429], [-334958555/86, 119328383/86], [-384810, -103580], [19025/86, -5327/86]]], 1, 42, [], [] >,
< [ -11, 0, 1 ], [[1068, 322]], [ -23, 3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-495/2, -113/2], [-8370/43, -4799/86], [-173, -52], [-303/86, -2/43]], [[9997/2, 1497/2], [298111/86, 79491/86], [5965/2, 1785/2], [4392/43, -504/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[33/2, 9/2], [-321/43, 393/86], [-5251/5, 121/5], [687/430, -1/215]], [[571, 171], [9605/86, 2166/43], [-189437/10, -48773/10], [13167/430, 1729/215]]], 1, 42, [], [] >,
< [ -11, 0, 1 ], [[-32, -8]], [ -23, 3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-27, -7], [209, 63], [0, 0]], [[0, 0], [292227/86, 102811/86], [-30630, -9249], [195/86, 3/86]], [[0, 0], [-11812023/86, 3540473/86], [14347, -2294], [44669/86, -13475/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [18, 4], [-43, -13], [0, 0]], [[0, 0], [-8371/86, -703/86], [5008, 17], [409/86, 1/86]], [[0, 0], [-417700/43, 125779/43], [3423709/5, -1031519/5], [140251/215, -42256/215]]], 0, 112, [], [] >,
< [ -11, 0, 1 ], [[56, 16]], [ -23, -3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-67, -19], [962, 290], [0, 0]], [[0, 0], [-40827/43, -13763/43], [14835, 4439], [-214/43, -2/43]], [[0, 0], [-11024101/86, 3315725/86], [-126182, 39441], [473661/86, -142835/86]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, 18], [-83, -25], [0, 0]], [[0, 0], [242381/86, 30077/86], [-804, -349], [-279/86, -1/86]], [[0, 0], [29896290603/430, -9014236687/430], [74100496/5, -22341189/5], [-57786821/430, 17423519/430]]], 0, 112, [], [] >,
< [ -11, 0, 1 ], [[48, 8]], [ -23, -3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [49, 13], [9993, 3013], [0, 0]], [[0, 0], [-147735/86, -127779/86], [-719948, -216913], [-321/86, -3/86]], [[0, 0], [64698365, -19507267], [-10653904, 3217476], [-72906, 21982]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15955, 4811], [-15963, -4813], [0, 0]], [[0, 0], [-49390971/86, -14813437/86], [572182, 172537], [-193/86, -1/86]], [[0, 0], [-21037233866/215, 6388561289/215], [-11243019/5, 2330601/5], [-15381498/215, 4637787/215]]], 0, 672, [], [] >,
< [ -11, 0, 1 ], [[-216, -64]], [ -23, 3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, -2], [-3665, -1105], [0, 0]], [[0, 0], [-1777/86, -1963/86], [-35126, -10669], [-151/86, -1/86]], [[0, 0], [130068/43, -39058/43], [18729, -2939], [-4053/43, 1225/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [30, 8], [-5855, -1765], [0, 0]], [[0, 0], [-1045043/86, -343555/86], [2640542, 795253], [-409/86, -1/86]], [[0, 0], [18655266/43, -5336954/43], [-5781826/5, -5210954/5], [-390159/215, 117909/215]]], 0, 672, [], [] >,
< [ -11, 0, 1 ], [[-128, -32]], [ -23, 3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-172, -52], [35070, 10574], [0, 0]], [[0, 0], [-668591/43, -199187/43], [3138662, 946328], [105/43, -5/43]], [[0, 0], [-517204591/43, 155941844/43], [3068051, -919349], [7896267/43, -2380814/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [204, 62], [-8590, -2590], [0, 0]], [[0, 0], [-723994/43, -218962/43], [3547022/5, 1060338/5], [1248/215, 2/215]], [[0, 0], [312650634/43, -94313579/43], [4264184293/5, -1285476533/5], [174807972/215, -52706547/215]]], 0, 1792, [], [] >,
< [ -11, 0, 1 ], [[224, 64]], [ -23, -3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-100, -30], [-34148, -10296], [0, 0]], [[0, 0], [11200/43, 3486/43], [91076, 27452], [-44/43, 2/43]], [[0, 0], [1296586/43, -390927/43], [-103067, 31143], [186381/43, -56196/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [120, 36], [-1718, -518], [0, 0]], [[0, 0], [8220442/215, 2517257/215], [-2605217/5, -785827/5], [131/215, -4/215]], [[0, 0], [-2741864602/43, 826703816/43], [22992436, -6932648], [3081894/43, -929226/43]]], 0, 1792, [], [] >,
< [ -11, 0, 1 ], [[192, 32]], [ -23, -3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-244, -74], [602644, 181704], [0, 0]], [[0, 0], [-8784563/43, -2640616/43], [502346381, 151463181], [-62/43, -5/43]], [[0, 0], [-44452328329/43, 13402881123/43], [-266495890, 80360760], [-75680227/43, 22818447/43]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [671184, 202370], [-671192, -202372], [0, 0]], [[0, 0], [-73036724/215, -22106604/215], [1712854/5, 514034/5], [818/215, -2/215]], [[0, 0], [154475080847/215, -46576042938/215], [4371039573/5, -1317916767/5], [450783036/215, -135916199/215]]], 0, 10752, [], [] >,
< [ -11, 0, 1 ], [[-864, -256]], [ -23, 3 ], [ -10, -3 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-192, -58], [213982, 64518], [0, 0]], [[0, 0], [-6607/43, -916/43], [126963, 38287], [-1/43, -2/43]], [[0, 0], [50930, -15356], [300, -60], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [232, 70], [-112500, -33920], [0, 0]], [[0, 0], [373719/43, 112500/43], [-21112829/5, -6364241/5], [299/215, -4/215]], [[0, 0], [-12843708/43, 3870096/43], [107992646/5, -32423766/5], [-6690816/215, 2017356/215]]], 0, 10752, [], [] >,
< [ -14, 0, 1 ], [[-26, 7]], [ -12, -1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[13, -1], [385/26, -22/13], [6, -5/3], [35/78, -2/39]], [[-3639/2, 971/2], [-29854/13, 15939/26], [-7973/6, 2131/6], [-2714/39, 483/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 1], [-129, 30], [5/2, 1], [0, 0]], [[-135/2, 6], [-383003/65, 203937/130], [-507/10, 22/5], [19/65, -1/130]], [[-161/2, 45/2], [-1395369/130, 186504/65], [-1799/30, 503/30], [37/130, -16/195]]], 4, 6, [], [] >,
< [ -14, 0, 1 ], [[-86, 23]], [ -12, 1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-15, 2], [297/26, -11/26], [8/3, 2/3], [9/26, -1/78]], [[-161/2, -28], [1485/13, 891/26], [127/2, 17], [45/13, 27/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-139/2, -5], [1089/26, 3/26], [-1301/30, -46/15], [-121/130, -1/390]], [[-1253, -535/2], [1287/2, 117], [-3899/5, -1661/10], [-143/10, -13/5]]], 4, 6, [], [] >,
< [ -14, 0, 1 ], [[-1912, 511]], [ -12, 1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[103/2, -27/2], [187/26, -22/13], [383/6, -33/2], [17/78, -2/39]], [[-23, 9/2], [-11/2, 0], [-94/3, 29/6], [-1/6, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[33/2, -3/2], [-105/13, 15/26], [131/6, -11/2], [7/39, -1/78]], [[573/2, -161/2], [-3429/26, 486/13], [5637/10, -1511/10], [381/130, -54/65]]], 1, 20, [], [] >,
< [ -14, 0, 1 ], [[-176, 47]], [ -12, -1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-69/2, 7], [-319/26, -33/26], [-319/6, 19/3], [-29/78, -1/26]], [[545/2, -101/2], [1485/13, 198/13], [881/2, -77/2], [45/13, 6/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 0], [-237, 61], [5/2, 0], [0, 0]], [[573/2, -191/2], [-7598463/130, 2043481/130], [8377/30, -2869/30], [9/130, 1/390]], [[2417, 561], [-528215/13, 120005/26], [7993/3, 628], [-98/39, -53/78]]], 1, 20, [], [] >,
< [ -14, 0, 1 ], [[202, -54]], [ -12, -1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[26, -13/2], [121/13, -22/13], [68/3, -13/2], [11/39, -2/39]], [[-43, 17/2], [-561/26, 11/26], [-88/3, 65/6], [-17/26, 1/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[15, -4], [-85, 23], [15, -4], [0, 0]], [[79, -2], [-63199/130, 2243/130], [1633/15, -56/15], [211/390, 1/130]], [[9201, 4907/2], [-3525829/65, -940012/65], [183151/15, 97661/30], [14291/195, 1271/65]]], 1, 10, [], [] >,
< [ -14, 0, 1 ], [[666, -178]], [ -12, 1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-15, 7/2], [77/13, -11/26], [-17/3, 5/2], [7/39, -1/78]], [[121, -61/2], [-1023/26, 165/26], [56, -37/2], [-31/26, 5/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-61, 3/2], [-423/13, -6/13], [-9683/15, -247/30], [47/65, 2/195]], [[-4125, 2259/2], [-49401/26, 6819/13], [-568723/15, 313903/30], [5489/130, -2273/195]]], 1, 10, [], [] >,
< [ -14, 0, 1 ], [[14802, -3956]], [ -12, 1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-545, 285/2], [121/13, 22/13], [-1729/3, 273/2], [11/39, 2/39]], [[-193, -36], [5643/26, 1507/26], [-2818/3, -706/3], [171/26, 137/78]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[1, -11/2], [-243/26, 9/26], [-333/5, -277/10], [27/130, -1/130]], [[381, 163/2], [1590/13, 555/13], [9143/3, 1559/2], [-106/39, -37/39]]], 1, 60, [], [] >,
< [ -14, 0, 1 ], [[1362, -364]], [ -12, -1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[178, -107/2], [-319/26, -33/26], [739/3, -271/6], [-29/78, -1/26]], [[-9001, 5099/2], [5082/13, 77/13], [-33359/3, 14821/6], [154/13, 7/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-219, 58], [469, -124], [-219, 58], [0, 0]], [[147630, -79135/2], [-20514854/65, 5505348/65], [2214886/15, -1187009/30], [-18/65, -2/195]], [[-134596, 20482], [41055023/130, -2363753/65], [-662267/5, 105299/5], [-2829/130, -381/65]]], 1, 60, [], [] >,
< [ -14, 0, 1 ], [[-24, 8]], [ -12, -1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-34, 10], [-2084, 557], [0, 0]], [[0, 0], [-273554/13, 134261/26], [-1175346, 942380/3], [-100/39, -5/78]], [[0, 0], [138732265/13, 37041403/13], [252866, -285838/3], [677705/39, 181118/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-516, 138], [86, -23], [0, 0]], [[0, 0], [581462/65, -144484/65], [-16418/15, 4721/15], [-56/65, 1/195]], [[0, 0], [-388572735/13, -207703701/26], [-11855120/3, -3168371/3], [1562375/39, 278375/26]]], 0, 160, [], [] >,
< [ -14, 0, 1 ], [[-88, 24]], [ -12, 1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, 2], [-1448, 387], [0, 0]], [[0, 0], [-963/13, 379/26], [-43000/3, 11471/3], [11/13, -1/78]], [[0, 0], [106552/13, 28440/13], [12320, 2655], [-4360/13, -1165/13]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-44, 12], [32, -9], [0, 0]], [[0, 0], [-25026/13, 13821/26], [2500/3, -408], [-32/39, -1/78]], [[0, 0], [79557/13, 11511/26], [-652834/15, -163688/15], [-10217/195, -1851/130]]], 0, 160, [], [] >,
< [ -14, 0, 1 ], [[72, -16]], [ -12, 1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [34, -9], [41162, -11001], [0, 0]], [[0, 0], [-14432/13, 3057/13], [-3533668/3, 314853], [-64/39, -1/39]], [[0, 0], [-138769235/13, -74175035/26], [8450060, 2269355], [-1046787/13, -559531/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 3], [430, -115], [0, 0]], [[0, 0], [16258/13, -8323/26], [-252114/5, 203576/15], [-176/195, 1/390]], [[0, 0], [16147428/13, 4319551/13], [42201356/5, 11215682/5], [-1364682/65, -364734/65]]], 0, 960, [], [] >,
< [ -14, 0, 1 ], [[-184, 48]], [ -12, -1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [78, -22], [2144, -573], [0, 0]], [[0, 0], [-93927/13, 25946/13], [-587552/3, 157124/3], [-17/13, 1/39]], [[0, 0], [-2436693/13, -1299543/26], [-289412/3, -68351/3], [36575/39, 6517/26]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-22012, 5883], [11124, -2973], [0, 0]], [[0, 0], [-17515304/65, 9373271/130], [2045036/15, -546392/15], [-28/65, 1/390]], [[0, 0], [-1434479394/65, -383276007/65], [-43700864/15, -11691767/15], [5751686/195, 512401/65]]], 0, 960, [], [] >,
< [ -14, 0, 1 ], [[-96, 32]], [ -12, -1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [104, -28], [-137012, 36618], [0, 0]], [[0, 0], [542184/13, -145113/13], [-54782296, 14641192], [-14/13, -1/13]], [[0, 0], [155299881/13, 41505616/13], [-16855300/3, -4497782/3], [3532157/13, 2832026/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-164154, 43872], [84988, -22714], [0, 0]], [[0, 0], [521503673/65, -139373921/65], [-62309552/15, 5551178/5], [103/195, -1/195]], [[0, 0], [53875183503/65, 14398766614/65], [8591963308/15, 2296296614/15], [125423541/65, 100562554/195]]], 0, 2560, [], [] >,
< [ -14, 0, 1 ], [[-352, 96]], [ -12, 1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [456, -122], [-98892, 26430], [0, 0]], [[0, 0], [241167/13, -63652/13], [-11975764/3, 1066862], [89/39, 2/39]], [[0, 0], [-7988375/13, -2134985/13], [716300/3, 63846], [-258223/39, -69013/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [82, -22], [31228, -8346], [0, 0]], [[0, 0], [-253689/13, 67464/13], [-111073568/15, 29688034/15], [47/65, 2/195]], [[0, 0], [220449030/13, 58926456/13], [-519836752/5, -137619124/5], [-8647536/65, -2311152/65]]], 0, 2560, [], [] >,
< [ -14, 0, 1 ], [[288, -64]], [ -12, 1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-276, 74], [732624, -195802], [0, 0]], [[0, 0], [-615106/13, 163759/13], [124900048, -100143032/3], [-40/39, 1/39]], [[0, 0], [-36301228667/13, -9701911438/13], [-3929393980, -3150535430/3], [-554072401/39, -148082078/39]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [710, -190], [-346440, 92590], [0, 0]], [[0, 0], [100354, -26816], [-146862524/3, 39250442/3], [2/3, 0]], [[0, 0], [217341429/13, 58087088/13], [-3853854892/15, -343356408/5], [122534969/195, 32748848/195]]], 0, 15360, [], [] >,
< [ -14, 0, 1 ], [[-736, 192]], [ -12, -1 ], [ -3, 0 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-568, 152], [291752, -77974], [0, 0]], [[0, 0], [884354/13, -235973/13], [-104630888/3, 9321282], [-8/39, 5/39]], [[0, 0], [16144077, 4314692], [11911452, 3180426], [40365, 10788]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-87592, 23410], [46868, -12526], [0, 0]], [[0, 0], [-188027/65, 52434/65], [316/5, 94/15], [43/195, 4/195]], [[0, 0], [-7161778518/65, -1914065814/65], [-380096096/5, -304754864/15], [-50856248/195, -13591904/195]]], 0, 15360, [], [] >,
< [ -15, 0, 1 ], [[-15, -4]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-11/2, -2], [109/7, 3/7], [-5/2, -1/3], [-15/28, 1/420]], [[-283, -117/2], [4391/28, 3659/28], [-231/4, -91/4], [-23/7, -92/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, -1/2], [67/4, 35/4], [-5/4, -1/4], [0, 0]], [[2659/2, 7/2], [-548641/49, -2966/49], [1667/14, 25/42], [-159/98, -1/735]], [[-108190, -26269/2], [6409587/7, 1583837/14], [-19461/2, -7195/6], [3685/28, 2211/140]]], 4, 16, [], [] >,
< [ -15, 0, 1 ], [[-1, -1]], [ -17, -3 ], [ -8, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[69, 7/2], [2315/22, 91/22], [16/7, 3/14], [107/77, 3/154]], [[-348, -289/2], [-10919/22, -2377/11], [-201/14, -36/7], [-61/11, -30/11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, 5/2], [197/14, -27/14], [5/14, -1/14], [0, 0]], [[-501/2, -65], [-92791/154, -24835/154], [-129/14, -12/7], [-191/154, 1/77]], [[26244, 13533/2], [9918649/154, 1267353/77], [11049/14, 1566/7], [3294/77, 1620/77]]], 4, 12, [], [] >,
< [ -15, 0, 1 ], [[11, 3]], [ -17, 3 ], [ -128, -33 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[179, -9/2], [2297/22, -45/22], [-11/14, -2/7], [-499/154, -1/77]], [[29625/2, 757/2], [190889/22, 2966/11], [-591/7, -192/7], [-6031/22, -163/11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, 3/2], [13/14, -94/7], [1/7, 3/14], [0, 0]], [[331/2, -69/2], [4407/22, 6323/22], [-65/14, -65/14], [-268/77, -2/77]], [[1174, 336], [3965947/77, 2032543/154], [-12415/14, -455/2], [-3059/22, -399/11]]], 4, 12, [], [] >,
< [ -15, 0, 1 ], [[98, 0], [57, 1]], [ -17, -3 ], [ -8, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-81/2, 2], [-1165/22, 19/11], [1, 1/2], [-131/154, 5/154]], [[5088, -2395], [5921, -6113/2], [655/2, 25/2], [99, -99/2]], [[5943, -2951], [13727/2, -7547/2], [415, 20], [1611/14, -855/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-15/2, -1/2], [-1787/14, 47/14], [-25/14, 3/14], [0, 0]], [[594, 541/2], [263601/77, 316213/77], [-244/7, 709/14], [117/154, 1/77]], [[352476, 69611/2], [82084433/14, -227876/7], [1110999/14, -56906/7], [-50, 75]], [[196665/2, 13618], [116775170/77, 10424199/154], [133200/7, -15133/14], [125/77, 1450/77]]], 1, 96, [], [] >,
< [ -15, 0, 1 ], [[98, 0], [9465, 9603]], [ -17, 3 ], [ -128, -33 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-28, -1/2], [-205/22, -21/11], [-1, 1/2], [37/77, 2/77]], [[130, 167/2], [120, 34], [-37/2, 1], [-3, -3/2]], [[106340, 16376], [532560/11, 130144/11], [-256, -1348], [-150996/77, -26592/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5, 2], [-347/7, -31/7], [5/7, 2/7], [0, 0]], [[-453/2, -113], [411913/154, 25992/77], [-639/14, -111/7], [-251/154, 1/154]], [[-334338, -15354], [2034020/7, 7484865/14], [-588075/14, -77625/14], [1203/2, -401]], [[-42893070, -26895222], [49223463400/77, 9641447685/154], [-133900125/14, -51116175/14], [-64342455/154, 1241897/77]]], 1, 96, [], [] >,
< [ -15, 0, 1 ], [[15, 0], [0, 5]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-33/2, -2], [199/14, -5/7], [1/2, 1/6], [-31/28, -5/84]], [[431/2, -89], [-2053/4, 593/4], [31/4, -5/12], [49/2, -49/6]], [[-15661/2, 931], [48383/4, -10435/4], [19/4, 607/12], [-1379/2, 707/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3, 1], [-8, 0], [1, 0], [0, 0]], [[655, 117/2], [-1218407/196, -1455/196], [-5/28, 29/84], [275/98, 1/294]], [[663803, 108759/2], [-89177631/14, 317032/7], [-227, 1066/3], [80511/28, -571/28]], [[9336639/2, 467717], [-2135507664/49, -58742559/98], [-5566/7, 16829/7], [3855963/196, 53103/196]]], 1, 96, [], [] >,
< [ -15, 0, 1 ], [[15, 0], [15, 222]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-3/2, -5/2], [-627/28, -3/28], [-11/4, -5/4], [37/28, 1/84]], [[21255/2, -1318], [-15495, 13819/2], [3885, -35], [3553/4, -1615/4]], [[-979511, 979844], [64982938/7, -6399133/7], [345590, 404278], [-7619247/14, 10838911/210]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[29/2, 4], [145/4, 43/4], [13/4, 3/4], [0, 0]], [[-1728, 115], [750576/49, 14909/49], [3834/7, 135/7], [-141/98, 1/1470]], [[4032525/2, -552237/2], [-451535865/28, 28543435/28], [-2262105/4, 109521/4], [43493/28, -3565/28]], [[-226884117, 183208709], [-5673033545/98, -155620199157/98], [-212940153/14, -791711103/14], [-3949307/98, 220428941/1470]]], 1, 64, [], [] >,
< [ -15, 0, 1 ], [[15, 0]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-37/2, -2], [131/14, -19/14], [-1, -1/2], [-19/28, 1/84]], [[-25, -9], [-55/28, 83/28], [-15/4, -3/4], [-11/28, -23/84]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-18, -1/2], [79/4, -81/4], [3/4, -5/4], [0, 0]], [[133, 135], [435861/196, -7755/196], [3859/28, 5/28], [-3/196, -5/588]], [[-275, -165/2], [-4043/4, -763/4], [-275/4, -55/4], [0, 0]]], 1, 384, [], [] >,
< [ -15, 0, 1 ], [[9, 3]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[7, -3/2], [141/14, -62/35], [6, -3/2], [3/14, -1/70]], [[15, 4], [591/14, 388/35], [3/2, 1/2], [15/7, 39/70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -1], [27/2, 0], [-3/2, -1], [0, 0]], [[141/2, 107/2], [-10707/14, 563/35], [60, 52], [9/14, 2/35]], [[-243, -331], [5073, -1569/5], [-180, -324], [-4, -1/5]]], 1, 48, [], [] >,
< [ -15, 0, 1 ], [[9, 3]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 2], [-39/2, 0], [-9/2, 2], [0, 0]], [[-2514, 912], [-108839/14, 33517/70], [-2535, 910], [19/14, 3/70]], [[5265/2, 15379/2], [-1621849/14, -131237/7], [2145, 7579], [377/14, 39/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 1/2], [9/2, -9/2], [9/2, 1/2], [0, 0]], [[-183/2, -13/2], [-1657/14, 4146/35], [-105, -7], [13/14, -1/35]], [[369, 143/2], [-543, -3471/10], [420, 161/2], [-3, -2/5]]], 1, 48, [], [] >,
< [ -15, 0, 1 ], [[-6, -2]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, 1], [-13/2, -5], [-3/2, 1], [0, 0]], [[440, 22], [-46269/14, -44119/70], [440, 22], [-11/14, -1/70]], [[4433, 143], [-32002, -5824], [4433, 143], [-8, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -3/2], [-11/2, 5/2], [-3/2, -3/2], [0, 0]], [[13/2, 1/2], [-21/2, 3/2], [13/2, 1/2], [0, 0]], [[1, 1/2], [8/7, 16/35], [-5/2, -1], [-1/14, -1/35]]], 1, 16, [], [] >,
< [ -15, 0, 1 ], [[-60, -16]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, 5], [5, 2/3], [0, 0]], [[0, 0], [64161/14, -8788/7], [1784, -2723/6], [9/7, 1/70]], [[0, 0], [-2551/14, 1510/7], [-222, 247/6], [-23/14, -41/105]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [11, 2], [0, -1/3], [0, 0]], [[0, 0], [261991/49, 3041/98], [3891/14, -10/7], [159/98, 1/735]], [[0, 0], [55057318/49, 19442730/49], [385523/7, 420118/21], [32549/98, 174581/1470]]], 0, 192, [], [] >,
< [ -15, 0, 1 ], [[-30, -8]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-1, -1/2], [-83/4, -15/4], [-7/4, -5/12], [0, 0]], [[127/2, -11/2], [-5781/14, -365/14], [-25, -5], [59/14, 2/105]], [[3498, 344], [-233762/7, -45958/7], [-2611, -637], [2088/7, 348/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -3/2], [-4, -7/2], [-2, -1/6], [0, 0]], [[7459/2, -926], [1697189/196, -276455/196], [-24375/28, 3671/84], [52/49, 1/1470]], [[-425186, 249243/2], [-45952021/196, 76819991/196], [-2135995/28, -4453033/84], [7248/49, 17667/245]]], 1, 32, [], [] >,
< [ -15, 0, 1 ], [[14, 0], [12, 194]], [ -17, -3 ], [ -8, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-38, 2], [-542/11, 47/22], [107/14, 5/14], [-124/77, 3/154]], [[-171444, 14609], [-442505/2, 33873/2], [32736, 396], [-14231/2, 665/2]], [[472436523/2, -369631401/2], [3012363975/11, -5247200073/22], [44835318/7, 247025790/7], [118275171/22, -84375333/11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-5/2, 3/2], [-417/14, 59/14], [-5/14, 3/14], [0, 0]], [[129, 6], [-2825/22, -1057/22], [51/7, 5/7], [211/154, -1/154]], [[599500, -30437], [-603721/2, -357895/2], [31228, 148], [13719/2, -1345/2]], [[776955375/2, -23701963/2], [-5179057947/22, -1341376045/11], [144137052/7, 3668032/7], [337147653/77, -53758305/154]]], 1, 36, [], [] >,
< [ -15, 0, 1 ], [[14, 0], [26, 2]], [ -17, 3 ], [ -128, -33 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-283/2, -1/2], [-2163/22, -21/11], [-29/7, -1/7], [305/154, 2/77]], [[351513, -15415], [482965/2, -13643/2], [10065, -132], [-9773/2, 337/2]], [[129300579, 362329548], [3294727125/22, 2782686678/11], [121870485/14, 149910651/14], [-195415179/77, -783271239/154]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[1, -2], [122/7, 88/7], [1/7, -2/7], [0, 0]], [[1332, 36], [-625430/77, -182537/154], [2325/14, 75/14], [-459/154, -2/77]], [[-8144760, -296281], [707052841/14, 107653191/14], [-7113600/7, -295620/7], [36355/2, 661/2]], [[-9597147495/2, -17560648679/2], [9577811470936/77, 8385346944243/154], [-4786908750/7, -7668734190/7], [412827550/77, 3017728739/154]]], 1, 36, [], [] >,
< [ -15, 0, 1 ], [[16, 2]], [ -17, -3 ], [ -8, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-77/2, -7/2], [-472/11, -39/11], [-5/2, -5/2], [-97/154, -1/154]], [[203/2, 61/2], [2415/22, 367/11], [28, 6], [13/11, 9/22]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-3/2, -3/2], [163/14, -103/14], [-3/14, -3/14], [0, 0]], [[-69/2, 29/2], [17015/154, 3856/77], [45/7, 17/7], [-107/77, -3/154]], [[364, -49], [20823/14, 1770/7], [1025/14, 199/14], [-27/14, -18/7]]], 1, 288, [], [] >,
< [ -15, 0, 1 ], [[-34, -8]], [ -17, 3 ], [ -128, -33 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-335/2, 7/2], [-1149/11, 17/22], [-4, 1], [221/77, 1/154]], [[-99001/2, -25377/2], [-717487/22, -184047/22], [-97/2, -17/2], [71642/77, 18386/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-107/2, -5/2], [-1005/14, -87/14], [-107/14, -5/14], [0, 0]], [[-2259/2, -1325/2], [-317047/154, -71339/77], [-1188/7, -660/7], [-157/154, 2/77]], [[-47625, -21780], [-12517877/154, -4787243/154], [-49368/7, -21780/7], [-4731/154, -83/154]]], 1, 288, [], [] >,
< [ -15, 0, 1 ], [[30, 0], [630, 730]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7/2, -1], [1/4, 11/4], [-3/4, 1/12], [0, 0]], [[85/2, 1/2], [-1301/14, -113/14], [0, 1], [12/7, 5/42]], [[1005, -59], [-2026, -39], [-25, 24], [38, 0]], [[-5925, 6883], [-30106/7, -97287/7], [2465, -168], [38/7, 1824/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, 1], [157/4, -9/4], [1/4, -1/4], [0, 0]], [[568, -196], [794247/98, 108749/49], [-923/7, -125/42], [-173/49, -5/294]], [[-473330, 150020], [-31573846/7, -8857370/7], [88201, -5731/3], [16728/7, -656/7]], [[-336960, 243880], [-1289214504/49, -338872264/49], [2002204/7, 306956/7], [362112/49, 51168/49]]], 1, 192, [], [] >,
< [ -15, 0, 1 ], [[60, 0], [0, 20]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17/2, 9/2], [3/2, 1/6], [0, 0]], [[0, 0], [-1308/7, -295/7], [-12, -13/3], [3/7, -2/21]], [[0, 0], [112, 141/2], [63/2, 0], [5/2, -2/3]], [[0, 0], [5027/14, 2057/14], [117/2, 9/2], [45/14, -37/42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [97/2, -7/2], [-1/2, 1/6], [0, 0]], [[0, 0], [31583/49, -509/98], [81/14, -2/7], [-27/98, 2/147]], [[0, 0], [327503/7, -17739/7], [432, -40], [-144/7, 40/21]], [[0, 0], [15454059/49, -523969/49], [20136/7, -1488/7], [-6712/49, 496/49]]], 0, 1152, [], [] >,
< [ -15, 0, 1 ], [[12, 0], [6, 6]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 1], [-35/2, -4], [9/2, 1], [0, 0]], [[-63, 8], [1640/7, -843/35], [-63, 8], [6/7, -2/35]], [[-1125, 240], [8013/2, -1625/2], [-1125, 240], [27/2, -5/2]], [[180120, -57945], [-8495773/14, 14489211/70], [180120, -57945], [-25897/14, 49069/70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[39/2, 5/2], [31/2, 5/2], [39/2, 5/2], [0, 0]], [[-1491/2, 241], [-2314/7, 5277/35], [-585, 483/2], [9/7, 1/70]], [[24885/2, -679/2], [11238, 966], [33165/2, 2127/2], [69/2, 23/2]], [[-1065773/2, 2612591/2], [10660422/7, 41300734/35], [3354459/2, 3482313/2], [253621/14, 253667/70]]], 1, 64, [], [] >,
< [ -15, 0, 1 ], [[30, 0], [870, 894]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[7, 0], [41/2, -9/2], [-1/2, 1/2], [0, 0]], [[-201/2, -43], [7391/28, -2323/28], [-155/4, -5/4], [-20/7, -1/105]], [[-306585/2, -60955/2], [-370725/2, 65627/2], [-13095, -8055], [-1435/2, -574]], [[-289040, -58061], [-339557, 59174], [-25470, -15084], [-2829/2, -6437/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[27/2, 3], [217/4, -1/4], [9/4, 3/4], [0, 0]], [[-125, 22], [1891791/98, 79325/98], [10355/14, -135/14], [-110/49, -2/735]], [[885, -3301], [19809540/7, 14031881/14], [159525/2, 33644], [-3705/14, -741/7]], [[287, -2821], [251746361/98, 43416279/49], [512219/7, 414363/14], [-11856/49, -9139/98]]], 1, 128, [], [] >,
< [ -15, 0, 1 ], [[60, 0], [3540, 12]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9/2, -7/2], [-11/2, -1/2], [0, 0]], [[0, 0], [-547/2, -9/2], [-19/2, -57/2], [0, 0]], [[0, 0], [45, 1/2], [105/2, 0], [1/2, 0]], [[0, 0], [38002/7, 33433/7], [5415, 5512], [361/7, 5512/105]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-51, 2], [-2, 1], [0, 0]], [[0, 0], [2020859/98, -8082/49], [4857/7, 429/14], [-221/98, 2/735]], [[0, 0], [59414595/14, 23905482/7], [233685, 246171/2], [-3518/7, -5277/14]], [[0, 0], [570381306891/98, 39259979554/49], [1527250917/7, 522944451/14], [-31651446/49, -135268859/1470]]], 0, 768, [], [] >,
< [ -15, 0, 1 ], [[30, 0]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-22, -9/2], [-121/4, -13/4], [-13/4, -5/4], [0, 0]], [[1833/2, -965/2], [66803/14, -21163/14], [-581, 98], [27/14, -2/21]], [[-468305/2, -67819/2], [-5655585/14, -42233/14], [-20930, -14560], [3597/14, 1853/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[18, 4], [-52, -8], [3, 1], [0, 0]], [[129, 125/2], [-554489/196, -44669/196], [801/28, 137/28], [68/49, -1/147]], [[12212, 8471/2], [-5017913/28, -773859/28], [8051/4, 1709/4], [551/7, 95/14]]], 1, 768, [], [] >,
< [ -15, 0, 1 ], [[60, 0]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 0], [4, -1], [0, 0]], [[0, 0], [49/2, 13/2], [1/2, 1/2], [0, 0]], [[0, 0], [17/14, 2/7], [3, 1/2], [1/7, 1/42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [17/2, 11/2], [-11/2, -5/2], [0, 0]], [[0, 0], [461177/98, -6975/98], [-237/14, 293/14], [-215/98, 1/294]], [[0, 0], [-16364146/49, -7621605/98], [-59853/14, -8892/7], [16031/98, 1886/49]]], 0, 4608, [], [] >,
< [ -15, 0, 1 ], [[18, 0], [18, 6]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[29/2, 5/2], [117/14, 213/70], [33/2, 5/2], [-3/7, 1/35]], [[380, 37], [273/2, 155/2], [450, 30], [-33/2, 5/2]], [[392087/2, 175071/2], [1908663/7, 3141401/70], [188640, 100770], [30957/7, -205921/70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[33/2, 5/2], [21/2, 5/2], [33/2, 5/2], [0, 0]], [[-651/2, -61/2], [-2859/14, -1333/35], [-330, -30], [5/14, -2/35]], [[-35625, -5770], [-49605/2, -10929/2], [-36000, -5760], [55/2, -5/2]], [[-40478505/2, -14032715/2], [-249858051/14, -35691333/7], [-20268720, -7079760], [-33935/14, 30719/7]]], 1, 144, [], [] >,
< [ -15, 0, 1 ], [[18, 0], [306, 318]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-27/2, -5/2], [3/2, -3/2], [-27/2, -5/2], [0, 0]], [[1911/2, 991/2], [8278/7, -11849/70], [960, 496], [-2/7, -1/70]], [[141300, -15773], [-371379/2, 103483/2], [141120, -15680], [39/2, -15/2]], [[59278683/2, -6613863/2], [-545214837/14, 379819119/35], [29601600, -3287424], [57249/14, -55059/35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[21/2, 5/2], [51/2, 7/2], [21/2, 5/2], [0, 0]], [[-123/2, -121/2], [6953/7, -29203/70], [-45, -60], [-8/7, 3/70]], [[13665, -160], [243095/2, -48593/2], [13860, -420], [-65/2, 39/2]], [[3163155/2, 2632289/2], [-273166067/14, 60664299/7], [1225800, 1300668], [340301/14, -4121/7]]], 1, 144, [], [] >,
< [ -15, 0, 1 ], [[-240, -64]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, -11], [1, -1], [0, 0]], [[0, 0], [-55371/14, -8637/14], [-951/2, -49/6], [95/14, 1/70]], [[0, 0], [-198228, -37994], [-21044, -5084/3], [296, 296/15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [221, 13], [-13, -1], [0, 0]], [[0, 0], [413769/98, -46717/98], [12945/14, 1303/42], [-325/98, 1/490]], [[0, 0], [-12897669/49, -17463669/49], [-2011343/7, -2360987/21], [41080/49, 275236/735]]], 0, 3072, [], [] >,
< [ -15, 0, 1 ], [[56, 0], [8, 8]], [ -17, -3 ], [ -8, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-5, 5], [-54/7, -2/7], [0, 0]], [[0, 0], [-14672/11, -1453/11], [3200/7, 1224/7], [-20/77, -1/77]], [[0, 0], [-413571, 35052], [11867, 41029], [-93, 12]], [[0, 0], [2669755383/22, -8977678533/22], [4733538219/7, 398881122/7], [14456583/154, -13448709/154]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [701/7, 99/7], [0, 4/7], [0, 0]], [[0, 0], [4449397/154, 1501095/154], [4757/7, 66], [-285/154, 5/154]], [[0, 0], [-1730263, -786894], [-65043, -517], [209, -22]], [[0, 0], [-25448313039/2, -3730527033/2], [-8363322, -70116321], [-4980201/14, 3154209/14]]], 0, 576, [], [] >,
< [ -15, 0, 1 ], [[56, 0], [3128, 8]], [ -17, 3 ], [ -128, -33 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-1, 1], [-9/7, 5/7], [0, 0]], [[0, 0], [8783/22, 261/22], [524/7, 55/7], [901/154, 5/154]], [[0, 0], [95465, 9535], [19336, 3092], [1363, 107]], [[0, 0], [2827957435/11, 1245083480/11], [495885478/7, 169240418/7], [246356144/77, 122018287/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-290/7, 10/7], [-11/7, -1/7], [0, 0]], [[0, 0], [27723/7, -1186/7], [1389/7, 13], [-5, 0]], [[0, 0], [3094646/7, -380277/7], [134331/7, -3151/7], [-529, 46]], [[0, 0], [-61890598927/154, 64374354411/154], [93850089/7, 20201726], [26732141/154, -80184095/154]]], 0, 576, [], [] >,
< [ -15, 0, 1 ], [[64, 8]], [ -17, -3 ], [ -8, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [13, 3], [-7, -3], [0, 0]], [[0, 0], [-423/22, -355/22], [106, -11], [17/154, -3/154]], [[0, 0], [34, 10], [-35, -5], [0, 0]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-291/7, 3/7], [-29/7, -1/7], [0, 0]], [[0, 0], [-404333/77, -734929/77], [-7892/7, -6856/7], [194/77, 2/77]], [[0, 0], [-121902549/154, -23593037/154], [-623306/7, -130821/7], [779/22, 287/22]]], 0, 4608, [], [] >,
< [ -15, 0, 1 ], [[-136, -32]], [ -17, 3 ], [ -128, -33 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, -4], [13, 5], [0, 0]], [[0, 0], [81647/22, -9529/22], [-3252, -285], [747/154, 5/154]], [[0, 0], [-102419/11, -454409/11], [151272, 54568], [-1552/11, -776/11]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-456/7, 8/7], [-109/7, -3/7], [0, 0]], [[0, 0], [-1899921/154, 638269/154], [-16059/7, 6084/7], [-137/154, 3/154]], [[0, 0], [1674857/154, 35831/154], [18852/7, 1273/7], [-169/154, -57/154]]], 0, 4608, [], [] >,
< [ -15, 0, 1 ], [[240, 0], [0, 57520]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [29, 3], [11, 5/3], [0, 0]], [[0, 0], [7246/7, 3436/7], [632, 192], [-46/7, -2/21]], [[0, 0], [-33835/2, 11183/2], [-2761/2, 1859/2], [-287/2, 205/6]], [[0, 0], [4722115/7, -826083/7], [124003, -5709], [26527/7, -23329/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41, 15], [-1, -1], [0, 0]], [[0, 0], [-319099/98, 24581/98], [-461/14, -521/42], [-117/98, 1/294]], [[0, 0], [-9768576/7, 801009/7], [-13589, -5206], [-3560/7, 89/21]], [[0, 0], [-462352893/49, -216804957/49], [-3392497/7, -826179/7], [-282575/49, -302333/147]]], 0, 18432, [], [] >,
< [ -15, 0, 1 ], [[240, 0], [0, 48]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 6], [-4, 0], [0, 0]], [[0, 0], [11863/14, -3967/14], [903/2, -45/2], [-41/14, -1/210]], [[0, 0], [-225135/2, 37533/2], [6825/2, 28259/2], [-193/2, -193/2]], [[0, 0], [-23620413, 3937212], [718156, 2965209], [-20265, -303782/15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, -4], [2, 4], [0, 0]], [[0, 0], [-674105/98, 91705/98], [7423/14, -1137/14], [-43/98, 1/1470]], [[0, 0], [-28695465/14, 566301/14], [303015/2, -13417/2], [-2425/14, -291/14]], [[0, 0], [-21076535892/49, 414991569/49], [222557809/7, -9844686/7], [-1781308/49, -641461/147]]], 0, 12288, [], [] >,
< [ -15, 0, 1 ], [[240, 0]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, 9], [13, 5], [0, 0]], [[0, 0], [43539/7, -3394/7], [3206, -243], [53/7, 2/21]], [[0, 0], [-87501/14, 425545/14], [-5345/2, 31407/2], [655/14, 1703/42]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [26, -6], [10, 0], [0, 0]], [[0, 0], [60749/49, 816/49], [344/7, 55/7], [30/49, 1/147]], [[0, 0], [26091/98, -7359/98], [59/14, -17/14], [13/98, -11/294]]], 0, 73728, [], [] >,
< [ -15, 0, 1 ], [[72, 0], [72, 5160]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, 3], [3, 3], [0, 0]], [[0, 0], [-1525/14, -1069/70], [-195, -44], [-39/14, -1/70]], [[0, 0], [-4936, 778], [-4050, -32], [-234, 52]], [[0, 0], [-60533/7, 46157/35], [-7239, -115], [-2847/7, 3133/35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-9, -1], [9, -5], [0, 0]], [[0, 0], [6861/14, 2921/70], [-261, 148], [-67/14, -1/70]], [[0, 0], [-24522, -31891], [-161175, 23303], [-163, 326]], [[0, 0], [-468775593/14, -120611643/70], [24428619, -11274954], [4790733/14, -793647/70]]], 0, 2304, [], [] >,
< [ -15, 0, 1 ], [[72, 0], [72, 24]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-57, -11], [15, -1], [0, 0]], [[0, 0], [-11923/7, 36088/35], [3753, -1009], [29/7, 2/35]], [[0, 0], [-2375570, -155075], [1294095, -282179], [-2225, -890]], [[0, 0], [-26596495/14, -2180939/14], [956322, -203225], [-27145/14, -10235/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [69, 13], [0, 4], [0, 0]], [[0, 0], [133309/14, 69701/70], [-1719, 886], [-67/14, -1/70]], [[0, 0], [-26970, -738130], [-1471830, 284652], [-660, 440]], [[0, 0], [-1255530/7, -4062412/7], [-1095441, 202629], [-2970/7, 2354/7]]], 0, 2304, [], [] >,
< [ -15, 0, 1 ], [[-960, -256]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, 2], [2, 10/3], [0, 0]], [[0, 0], [-1520/7, -90/7], [58, 0], [-24/7, -4/105]], [[0, 0], [119225/7, 30638/7], [-3706, -2849/3], [1599/7, 410/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [54, -16], [4, -2/3], [0, 0]], [[0, 0], [526970/49, 27290/49], [-510/7, -918/7], [-110/49, -2/735]], [[0, 0], [91675155/49, 34526634/49], [-876158/7, -443231/21], [-14223/49, -97406/735]]], 0, 49152, [], [] >,
< [ -15, 0, 1 ], [[224, 0], [50144, 50144]], [ -17, -3 ], [ -8, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-6, 8], [46/7, 10/7], [0, 0]], [[0, 0], [23231/11, -5131/11], [60, 34], [285/77, -5/77]], [[0, 0], [64171, -14341], [1612, 982], [109, -3]], [[0, 0], [-3855757893/11, 1260602430/11], [255880563/7, 39787971/7], [9734331/77, 18425934/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-328/7, 106/7], [12/7, -8/7], [0, 0]], [[0, 0], [2742472/77, -689929/77], [-15121/7, 3485/7], [100/77, 5/77]], [[0, 0], [-195168798/7, 49711390/7], [11605036/7, -2823616/7], [-732, 24]], [[0, 0], [-9257125301304/77, 2357879745194/77], [50040262318/7, -12175272126/7], [-243038562/77, 7968426/77]]], 0, 9216, [], [] >,
< [ -15, 0, 1 ], [[224, 0], [192, 32]], [ -17, 3 ], [ -128, -33 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 2], [138/7, -2/7], [0, 0]], [[0, 0], [9589/11, -436/11], [-9511/7, 6729/7], [-556/77, -3/77]], [[0, 0], [4004589, -56211], [-4231120, 4311270], [-33993, -1259]], [[0, 0], [46371075/11, -610152/11], [-30763975/7, 31747145/7], [-2757210/77, -104497/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [310/7, -86/7], [18/7, 2/7], [0, 0]], [[0, 0], [26891/77, -2664/77], [-263/7, -19/7], [288/77, 1/77]], [[0, 0], [4694395/7, -378531/7], [-533082/7, -48576/7], [7421, 181]], [[0, 0], [-46707003060/77, 204714397353/77], [-5439983319/7, -358293951], [480684777/11, 360575892/11]]], 0, 9216, [], [] >,
< [ -15, 0, 1 ], [[256, 32]], [ -17, -3 ], [ -8, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 4], [0, 8], [0, 0]], [[0, 0], [-82/11, 107/11], [133, 19], [248/77, -3/77]], [[0, 0], [3775, 1004], [26273, 6745], [2755/7, 696/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-682/7, 46/7], [50/7, -6/7], [0, 0]], [[0, 0], [76679/77, -162931/77], [-1396/7, 1054/7], [17/77, -3/77]], [[0, 0], [-3215981/11, -800080/11], [15753, 3833], [199/77, 60/77]]], 0, 73728, [], [] >,
< [ -15, 0, 1 ], [[-544, -128]], [ -17, 3 ], [ -128, -33 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -10], [10, -6], [0, 0]], [[0, 0], [74752/11, 15321/11], [3309, 275], [-613/77, -4/77]], [[0, 0], [8368416/11, 2447418/11], [210268, 96028], [-20304/77, -16356/77]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2224/7, -58/7], [-216/7, -8/7], [0, 0]], [[0, 0], [-44422/11, -170216/11], [-628, -1500], [-74/77, -4/77]], [[0, 0], [6109919/77, 1026840/77], [55129/7, 9593/7], [76/77, 27/77]]], 0, 73728, [], [] >,
< [ -15, 0, 1 ], [[960, 0], [920640, 320]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-8, -12], [-8, 0], [0, 0]], [[0, 0], [1385/7, -398/7], [-6, 1], [-31/7, 2/21]], [[0, 0], [25643, -5339], [-311, 607/3], [185, 185]], [[0, 0], [-3084934, 1143276], [152688, -19250/3], [165020, 20350]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [48, 14], [6, 8/3], [0, 0]], [[0, 0], [493789/49, 16413/49], [311/7, 2119/21], [237/49, 1/49]], [[0, 0], [-25930083/7, -1428906/7], [-28522, -37043], [-12325/7, -986/21]], [[0, 0], [-177014088/49, -34503519/49], [-726777/7, -250780/7], [-78880/49, -14297/49]]], 0, 294912, [], [] >,
< [ -15, 0, 1 ], [[960, 0], [960, 192]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-82, 12], [4, -6], [0, 0]], [[0, 0], [-29579/7, 9251/7], [841, -139], [37/7, 1/21]], [[0, 0], [-6656880, 1333681], [619785, -290572], [-1342, -2013]], [[0, 0], [-38607599/7, 7558294/7], [489734, -243159], [-10065/7, -182512/105]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-68, 30], [10, -4], [0, 0]], [[0, 0], [10193/49, -16654/49], [110/7, 261/7], [-25/49, 4/735]], [[0, 0], [1938975/7, -382770/7], [-25350, 4111], [-495/7, 180/7]], [[0, 0], [-22383964905/49, 9155332145/49], [213857639/7, -124937073/7], [12971655/49, -1854507/49]]], 0, 196608, [], [] >,
< [ -15, 0, 1 ], [[960, 0]], [ -15, -1 ], [ -825, -213 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [68, -10], [-10, 4], [0, 0]], [[0, 0], [12419/7, 202/7], [-62, 107], [31/7, -2/21]], [[0, 0], [-483744/7, -163966/7], [-18030, -3056], [-986/7, -1102/21]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-114, 4], [-4, -10], [0, 0]], [[0, 0], [516574/49, -72081/49], [-9951/7, 3490/7], [90/49, 1/49]], [[0, 0], [166699/49, -296493/49], [-26819/7, 3103/7], [-123/49, -205/147]]], 0, 1179648, [], [] >,
< [ -15, 0, 1 ], [[288, 0], [58464, 33888]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, -4], [-18, 10], [0, 0]], [[0, 0], [2042/7, -2167/35], [-807, 153], [141/7, 2/35]], [[0, 0], [70730, -16006], [-192780, 40460], [4200, -200]], [[0, 0], [415762296/7, -94084198/7], [-161885220, 33974976], [24689400/7, -1175280/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 4], [-42, -6], [0, 0]], [[0, 0], [111/7, -86/35], [303, 17], [-10/7, 1/35]], [[0, 0], [666, -186], [4920, -2024], [-36, 12]], [[0, 0], [-12497166/7, 14123292/35], [-21377952, 2436184], [847152/7, -706332/35]]], 0, 36864, [], [] >,
< [ -15, 0, 1 ], [[288, 0], [0, 82848]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [6, 2], [30, 2], [0, 0]], [[0, 0], [-1233/7, 2504/35], [3117, -485], [-24/7, 1/35]], [[0, 0], [-316670, 52910], [2188860, -919196], [-200, 1000]], [[0, 0], [560861120/7, -252245246/7], [-1575338496, 218439524], [12842000/7, 215240/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [24, -8], [6, 6], [0, 0]], [[0, 0], [-787/7, 1037/35], [240, 146], [19/7, 3/35]], [[0, 0], [-55111, 14035], [-206160, -12722], [91, -273]], [[0, 0], [-40294, 51201/5], [-164709, -12941], [13, -1066/5]]], 0, 36864, [], [] >,
< [ -15, 0, 1 ], [[384, 0], [384, 147328]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, 0], [-52, -20], [0, 0]], [[0, 0], [-771/7, -1521/35], [-872, 418], [-59/7, 1/35]], [[0, 0], [81112, 16460], [-566280, 45912], [888, 888]], [[0, 0], [5663986, 5749158/5], [-39508416, 3195912], [62160, 309912/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [94, -6], [-12, 16], [0, 0]], [[0, 0], [4399/7, -4887/35], [-644, 146], [37/7, -3/35]], [[0, 0], [-55024, 11974], [56230, -12538], [-486, 0]], [[0, 0], [61331811/7, -105774273/35], [-9270294, 3067488], [-235467/7, -1190457/35]]], 0, 49152, [], [] >,
< [ -15, 0, 1 ], [[384, 0]], [ -75, -19 ], [ -4, -1 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, -2], [-48, -16], [0, 0]], [[0, 0], [1720/7, 388/35], [1452, 8], [50/7, 2/35]], [[0, 0], [34903/7, 25727/35], [27618, 3260], [955/7, 573/35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [50, 2], [24, 20], [0, 0]], [[0, 0], [-19269/7, -2795/7], [-5640, -994], [97/7, 1/7]], [[0, 0], [-1745298/7, -1802714/35], [-532344, -118348], [7190/7, 4314/35]]], 0, 196608, [], [] >,
< [ -26, -1, 1 ], [[-4, -1]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-93/2, 5], [-245/2, -1/2], [2729/84, 65/84], [29/28, 1/84]], [[-1441/2, 15/2], [-14011/5, -3241/10], [9427/12, 1225/12], [121/5, 44/15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-4, -1], [18, 5/2], [-2/3, -1/6], [0, 0]], [[48, -12], [-374697/130, -2641/130], [-14437/273, -526/273], [1069/5460, -1/1820]], [[-11627/2, -892], [-94456541/130, -10854839/65], [-17021371/1092, -3851065/1092], [84729/1820, 58801/5460]]], 4, 16, [], [] >,
< [ -26, -1, 1 ], [[-23, -5]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[39, 3/2], [-179/10, 13/10], [13/4, -1/4], [-73/60, -1/15]], [[20443/2, 4097/2], [-12486/5, -4191/10], [5255/12, 869/12], [-20449/60, -4147/60]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-25/2, -1/2], [-45/2, -41/2], [1/2, -1/2], [0, 0]], [[8053/2, -1849/2], [-2125457/65, 539843/130], [-202921/156, 29969/156], [727/780, 1/780]], [[8470, 3565/2], [8542471/130, 1887793/130], [239797/156, 53899/156], [-1741/260, -189/130]]], 4, 16, [], [] >,
< [ -26, -1, 1 ], [[6, 0], [6, 33]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[154, 4], [4297/10, 13/5], [-715/42, 1/21], [437/140, 1/140]], [[-545863, -92143/2], [-1477387, -195271/2], [173180/3, 19945/6], [-32008/3, -4001/6]], [[-336342567/2, -82907079], [-3566730777/10, -1102888398/5], [340201857/28, 239388831/28], [-341113257/140, -222259551/140]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-9/2, -3/2], [43, 7/2], [-3/4, -1/4], [0, 0]], [[-4572, 97/2], [-1610471/130, 401107/130], [-82801/546, 4385/546], [5407/5460, 1/5460]], [[-16801450, 181295], [-45577176, 11344279], [-1672214/3, 88828/3], [3639, 0]], [[-18807957, 84594], [-490047527/10, 124772779/10], [-8674269/14, 412087/14], [571323/140, 3639/140]]], 1, 48, [], [] >,
< [ -26, -1, 1 ], [[6, 0], [33, 33]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-59, -7/2], [163/10, -1/10], [-51/4, -9/4], [-89/60, -1/30]], [[-2241/2, 657/2], [1003/2, -115], [53/2, 37], [-38, 19/2]], [[111261, -7053], [-186811/5, 20502/5], [14751, 1486], [47044/15, -4313/15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-49/2, -1/2], [-5/2, -2], [3/2, -1], [0, 0]], [[-5773/2, -398], [-212072/65, -18951/65], [-10789/52, -5019/52], [-373/780, -1/195]], [[-1073964, -120327], [-16579981/13, -922894/13], [-660605/13, -475010/13], [-2620/13, 131/26]], [[-12205828, -4292623], [-520924109/65, -309228162/65], [-43651001/13, -4538478/13], [38776/195, -263179/390]]], 1, 48, [], [] >,
< [ -26, -1, 1 ], [[12, 0], [2, 143]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[5, -1/2], [-16/5, 2/5], [-29/14, -5/14], [-3/35, 1/210]], [[-43, 67/2], [46, -37/2], [-115, -55/2], [-1/6, -2/3]], [[86915, 867/2], [-470671/10, 10136/5], [-1630318/21, -657893/42], [-744413/420, -47359/420]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41, -13/2], [-1/6, 1/3], [0, 0]], [[-733, -3/2], [63617/26, 2761/26], [25442/91, 272/91], [311/1092, 1/1092]], [[1052248, 40864], [-47464845/13, -3727218/13], [-5260625/13, -249295/13], [-31925/78, -1277/78]], [[443297780, 238099204], [-302822806427/130, -115300186991/130], [-103400561941/546, -50787346453/546], [-318561697/1820, -506763403/5460]]], 1, 48, [], [] >,
< [ -26, -1, 1 ], [[-8, -2]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, 3/2], [7/3, 5/6], [0, 0]], [[-89/2, -1], [-366/5, -21/10], [115/4, -37/4], [-89/60, -1/30]], [[-2403, -534], [-20394/5, -9049/10], [-7181/6, -700/3], [-801/10, -89/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [20, 13/2], [-10/3, 1/6], [0, 0]], [[-479/2, -1], [1328384/65, 320172/65], [-109427/52, 1839/52], [-479/780, -1/390]], [[7250, 6625/2], [-30379704/13, -6345101/13], [1248701/26, 353997/13], [725/39, 1325/156]]], 1, 24, [], [] >,
< [ -26, -1, 1 ], [[-268, -58]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [25, -3/2], [19/3, 5/6], [0, 0]], [[86, 1/2], [57308/5, -29447/10], [-2917/6, -3127/6], [43/15, 1/60]], [[-197220, -85635/2], [11466608, 4863519/2], [45677657/6, 9857267/6], [-6574, -5709/4]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [207, -3/2], [7/3, -1/6], [0, 0]], [[-869, -2], [7995998/65, 812883/130], [119881/78, -1057/39], [-869/390, -1/195]], [[-4814075, -2089855/2], [11254626767/13, 4879009225/26], [295175141/39, 64121927/39], [-962815/78, -417971/156]]], 0, 144, [], [] >,
< [ -26, -1, 1 ], [[42, 9]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-336, 5/2], [-2729/10, 14/5], [464/7, -1/14], [893/420, -1/420]], [[152220, 32745], [121598, 52307/2], [-1308107/42, -140746/21], [-13983/14, -3009/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [77, -3], [-7/6, -1/6], [0, 0]], [[-10582, 3/2], [-444891/26, 7207/26], [404449/546, 4999/546], [4315/1092, 1/1092]], [[-6928350, -1481601], [-663141783/65, -283039123/130], [94408801/182, 10108199/91], [1179596/455, 252263/455]]], 1, 144, [], [] >,
< [ -26, -1, 1 ], [[12, 0], [12, 6]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, 3/2], [-4, -3/2], [0, 0]], [[-29/2, -1], [-4341/5, 3659/10], [-901/4, -1125/4], [-29/60, -1/30]], [[-4785/2, 495/2], [-476733, 95301], [683453/4, -185491/4], [-319/4, 33/4]], [[243320, -113905], [120199085, -34392893/2], [-62132250, 9403987/2], [24332/3, -22781/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [57, 15/2], [-3, 1/2], [0, 0]], [[177, -3/2], [-1420249/65, -265877/65], [1249/13, -41/26], [59/130, -1/260]], [[252525/2, -4095/2], [-14966082, -2768058], [274583/4, -6601/4], [1295/4, -21/4]], [[14989793/2, -119483], [-4448429466/5, -823129728/5], [16298217/4, -387413/4], [1153061/60, -9191/30]]], 1, 96, [], [] >,
< [ -26, -1, 1 ], [[48, 0], [1332, 1446]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-13, -9/2], [-11, -1/2], [0, 0]], [[71, 1/2], [-17462/5, 1774/5], [2857, -1229/2], [71/30, 1/60]], [[41895, 6615], [-1187373, -74061], [450847/2, -308249/2], [2793/2, 441/2]], [[35912688, 18873183/2], [-2488629086/5, -2323420051/10], [-1353485423/2, -15895795/2], [5985448/5, 6291061/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [7, -19/2], [1, -3/2], [0, 0]], [[-550, -5/2], [-37184/13, -1071/26], [14195/26, -77/26], [-55/39, -1/156]], [[4317660, 84660], [293027406/13, 8638686/13], [-55500764/13, -529652/13], [143922/13, 2822/13]], [[1564111843, 2153698193/2], [621020906884/65, 372355489492/65], [-16620066891/13, -27148268617/26], [1564111843/390, 2153698193/780]]], 0, 576, [], [] >,
< [ -26, -1, 1 ], [[192, 0], [74, 36863]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, -11/2], [-13/3, -5/6], [0, 0]], [[43, -3/2], [-27451/5, 3057/5], [254/7, -480/7], [-173/210, -2/105]], [[-730608, 55056], [101325382, -13573778], [-1905664, 1095488], [13082, -310]], [[-956784, 71424], [662545552/5, -88515189/5], [-17262992/7, 10053480/7], [600346/35, -13702/35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [277, 49/2], [-25/3, -5/6], [0, 0]], [[107, 2], [1800661/65, -70972/65], [27928/273, 6262/273], [1873/2730, -1/2730]], [[-2503230, -46770], [-8425273368/13, 332136576/13], [-31111388/13, -6975804/13], [-208659/13, 113/13]], [[-3123387783, -4362538353/2], [179250793186/13, -6519334141733/13], [-3747979317016/273, -794864605744/273], [-3627551797/273, -7353507293/546]]], 0, 576, [], [] >,
< [ -26, -1, 1 ], [[-28, -10]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-83, 7/2], [-83/3, -1/6], [0, 0]], [[52, 1], [-853309/5, 793351/10], [-23848, 52739/2], [26/15, 1/30]], [[-1042389, -451089/2], [-24934633822/5, -5388014476/5], [-6756791156/3, -2921180311/6], [-347463/10, -150363/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-559, 27/2], [-13, 1/2], [0, 0]], [[1595, -5/2], [-20326427/13, 313373/26], [-1430489/39, 32014/39], [319/78, -1/156]], [[28466529, 12318579/2], [-134664830291/5, -58276174941/10], [-1731900466/3, -374764903/3], [729911/10, 315861/20]]], 0, 2304, [], [] >,
< [ -26, -1, 1 ], [[486, 105]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-37, -7/2], [-13, -1/2], [0, 0]], [[52, 3/2], [5468/5, 5743/10], [2419/21, 8111/42], [209/210, 1/105]], [[131560, 28435], [9405919, 4070137/2], [54874097/21, 23751505/42], [15983/7, 3454/7]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [31, 27/2], [-5, -1/2], [0, 0]], [[75, 3/2], [-1322518/65, 72321/65], [-414296/273, -404/273], [656/455, 1/910]], [[2254181, 487306], [-24751225776/65, -10694824171/130], [-3751712505/91, -1621906621/182], [106801637/2730, 23085731/2730]]], 0, 2304, [], [] >,
< [ -26, -1, 1 ], [[768, 0], [1092, 6]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [3, 13/2], [9, 3/2], [0, 0]], [[-63, -3/2], [-26079/5, 6241/10], [-73, -135], [-21/10, -1/20]], [[-31500, -300], [-2746404, 347388], [-11966, -66638], [-1050, -10]], [[-29971505, -244224355/2], [34681514800, -9212005688], [-6653144879, -603761213/2], [-5994301/6, -48844871/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-598, -13], [-52, -2], [0, 0]], [[-957, 3/2], [119389594/65, -1539238/65], [2025490/13, 14627/26], [-319/130, 1/260]], [[-9819030, -6630], [18833158474, -201203846], [1599099433, 9376609], [-25177, -17]], [[-37698994606, -25457653], [361538321760499/5, -7724933168951/10], [6139551610569, 72001581547/2], [-1449961331/15, -1958281/30]]], 0, 9216, [], [] >,
< [ -26, -1, 1 ], [[-2, -2]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-20, -2], [-9, 0], [-10/3, -1/3], [0, 0]], [[-1625, -575], [-597/2, -439/2], [-4975/21, -2020/21], [95/84, -1/84]], [[-253575/2, -41475/2], [-232034/5, -27017/5], [-587823/28, -89499/28], [321/70, 1819/210]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[35/2, -1/2], [-56, 3], [35/12, -1/12], [0, 0]], [[6654, -238], [-1389177/65, 64269/65], [13747/91, -3659/91], [589/455, 1/1365]], [[-1417899/2, -858891/2], [48070535/26, 34414855/26], [18325297/364, -403887/364], [-82885/364, -34661/364]]], 0, 144, [], [] >,
< [ -26, -1, 1 ], [[-46, -10]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[47/2, -1/2], [1, 5], [47/12, -1/12], [0, 0]], [[-13170, 1783/2], [6081/2, -5145/2], [-46667/21, 3118/21], [-59/84, -1/84]], [[14156439/2, 3088423/2], [49957506/5, 10747833/5], [101129729/84, 22060757/84], [23433/35, 15257/105]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[51/2, 3/2], [-27, 1], [17/4, 1/4], [0, 0]], [[-58315/2, -53], [3381557/65, -220789/65], [-7714415/1092, -10055/1092], [-3989/2730, -1/1365]], [[-1075054835/2, -233165241/2], [77972949051/130, 16962680413/130], [-141809295989/1092, -30757018529/1092], [-145996147/5460, -10555277/1820]]], 1, 24, [], [] >,
< [ -26, -1, 1 ], [[12, 0], [143, 143]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-55/2, 7/2], [-97/10, 2/5], [-35/6, 2/3], [-26/15, -1/30]], [[-2831, 522], [-716, 145], [-3449/6, 643/6], [-185/2, 21]], [[216069/2, -36009/2], [153321/5, -21522/5], [88955/4, -14533/4], [90903/20, -10251/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-16, 0], [-21, -22], [4/3, -2/3], [0, 0]], [[-13/2, 19/2], [-787799/65, -27/65], [28339/156, -77/156], [-987/260, -1/260]], [[663, 679], [-11037114/13, -1427549/26], [493993/39, 61283/78], [-10388/39, -1363/78]], [[4459/2, 1219/2], [-19163587/26, -1674731/13], [141821/13, 49275/26], [-6029/26, -528/13]]], 1, 48, [], [] >,
< [ -26, -1, 1 ], [[12, 0], [126, 54]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[11/2, -1/2], [1, 6], [11/12, -1/12], [0, 0]], [[303, 23/2], [3492/5, 241/5], [-433/7, 12/7], [-419/210, -1/105]], [[-66504, 428], [-147760, -3772], [14604, -978], [1364/3, -52/3]], [[-30908805, -36763417], [-1374396193/10, -869641969/10], [-85172415/14, 99180933/14], [648901/420, 98794813/420]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-17, 1], [83, 0], [-17/6, 1/6], [0, 0]], [[-3679/2, -7/2], [216227/130, 26691/130], [-17873/1092, -353/1092], [857/1820, 1/1820]], [[53710371, -383639/2], [-47726598, -5698365], [1430050/3, 20335/3], [-41251/3, 355/6]], [[-2767658322, 59940406369/2], [-829903442889/10, -299205600747/10], [4154475761/42, 11371115843/42], [359102593/420, -3220140461/420]]], 1, 96, [], [] >,
< [ -26, -1, 1 ], [[48, 0], [6, 6]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[13/2, 1/2], [5, 4], [13/12, 1/12], [0, 0]], [[-73/2, -361/2], [-27401/10, 2807/10], [2771/28, -845/28], [-1103/420, 1/420]], [[-1477096, -3347068], [-48987192, 4723660], [5038732/3, -1624574/3], [-48144, -408]], [[-3308191189, -7496204725], [-548566284163/5, 52896215581/5], [157988453549/42, -50938262899/42], [-3773870664/35, -31982712/35]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[5/2, 5/2], [-86, -10], [5/12, 5/12], [0, 0]], [[791/2, -25/2], [-3007711/130, -60523/130], [487493/364, -747/364], [40897/5460, 1/5460]], [[-19933716, 1038642], [14715782870/13, -36782287/13], [-2587757594/39, 61135873/39], [-14459932/39, 319910/39]], [[31743035511/2, -80000189841/2], [153985644157064/65, 163993112401412/65], [-62490392477263/1092, -154638035477383/1092], [-961456010423/2730, -2167029679439/2730]]], 0, 576, [], [] >,
< [ -26, -1, 1 ], [[15, 3]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [1, 0], [0, 0], [0, 0]], [[-77/2, -5/2], [231/5, -29/10], [-139/4, -9/4], [-47/20, -1/20]], [[-15525/2, -4485/2], [20643/10, 8467/5], [-13997/2, -2023], [-5216/15, -1793/15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-63, -3], [53, -45/2], [2, -5/2], [0, 0]], [[-13723/2, -3067/2], [-82000/13, -33769/26], [-57029/52, -11559/52], [25/156, 1/156]], [[-35844, -8232], [-4448437/130, -878651/130], [-311115/52, -59775/52], [901/780, -17/780]]], 1, 144, [], [] >,
< [ -26, -1, 1 ], [[12, 0], [32, 44]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-12, 7], [29/6, -1/6], [0, 0]], [[-11, 1/2], [30949/10, -10333/10], [-9993/14, 841/14], [29/140, 1/420]], [[-1739, 3071/2], [3902442, -287031], [-218530, 95195], [-37/3, -185/6]], [[633588, 950567], [21165981747/10, -235601649/10], [-418513589/14, 758256423/14], [-17742869/420, -2957299/140]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-180, -6], [1/6, 1/6], [0, 0]], [[1591, 1/2], [-141201/26, 191745/26], [-228478/273, 185/273], [-225/364, -1/1092]], [[30953104, -372008], [-151659794, 143026105], [-16288170, 213765], [-36064/3, 392/3]], [[17854702320, 25375853048], [14981978275381/5, 563956972028/5], [-9002253395, -13323065300], [-108538598/15, -49392378/5]]], 1, 72, [], [] >,
< [ -26, -1, 1 ], [[48, 0], [2300, 2300]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 6], [35/6, 5/6], [0, 0]], [[0, 0], [-1647/10, 209/10], [2255/42, 47/42], [509/420, -1/140]], [[0, 0], [53416, -11492], [-4444, 3318], [-460/3, 230/3]], [[0, 0], [179446782, -38606462], [-313514134/21, 234077780/21], [-21634651/42, 3605779/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [99, 4], [-11/3, -2/3], [0, 0]], [[0, 0], [8116807/65, -890094/65], [277083/182, -7515/182], [1231/455, -1/1365]], [[0, 0], [11123049672/13, -1299248412/13], [132009264/13, -5180328/13], [697532/39, -9130/39]], [[0, 0], [-1134958990503047/130, 330072179885209/130], [-3167339535459/91, 2982995340957/91], [-37202357027/1820, 323823532967/5460]]], 0, 432, [], [] >,
< [ -26, -1, 1 ], [[12, 0], [4, 4]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, -5], [1, 0], [0, 0]], [[29, 2], [612/5, 277/10], [7/6, -1/3], [29/30, 1/15]], [[405/2, -75/2], [-96, 5], [337/12, -59/12], [27/4, -5/4]], [[-18981/2, 3207/2], [6051/5, -8969/10], [-14917/12, 2705/12], [-6327/20, 1069/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [357, 27], [23/3, 2/3], [0, 0]], [[-248, 1], [-35213729/65, 1751378/65], [-433838/39, 16798/39], [-124/195, 1/390]], [[79255/2, -605/2], [1130100878/13, -59812607/13], [278172611/156, -11695777/156], [15851/156, -121/156]], [[310486, 386353], [-21603882187/65, 100096903343/130], [-71100353/39, 1261751021/78], [155243/195, 386353/390]]], 1, 72, [], [] >,
< [ -26, -1, 1 ], [[48, 0], [40, 4]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [4, 3], [4, 0], [0, 0]], [[0, 0], [-2634/5, -382/5], [-148/3, -73/3], [11/15, 1/30]], [[0, 0], [-48585, -5125], [-3653/2, -4709/2], [475/6, -5/6]], [[0, 0], [-1924868, -408073/2], [-147537/2, -93225], [6261/2, -31]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [183, -21/2], [19/3, -1/6], [0, 0]], [[0, 0], [7288949/65, -2375071/130], [44088/13, -14323/26], [124/195, -1/390]], [[0, 0], [26448329, -4297435], [1599815/2, -259145/2], [911/6, -1/6]], [[0, 0], [-17115762441/5, 7159481769/10], [-103114827, 43370013/2], [29083/5, 60563/10]]], 0, 432, [], [] >,
< [ -26, -1, 1 ], [[60, 12]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-7, 6], [31/6, 1/6], [0, 0]], [[0, 0], [-75799/10, -4567/10], [-29941/42, -12589/42], [-577/420, -1/420]], [[0, 0], [-4162474/5, -844642/5], [-3918724/21, -876334/21], [-8189/70, -1577/70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [79, -2], [-16/3, -1/3], [0, 0]], [[0, 0], [1634524/65, -9173/65], [-835271/546, -26993/546], [-13703/2730, 1/2730]], [[0, 0], [6305805379/130, 1309680447/130], [-650765733/182, -136926289/182], [-18166361/1820, -3781513/1820]]], 0, 1728, [], [] >,
< [ -26, -1, 1 ], [[12, 0]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [8, 1], [23/6, 5/6], [0, 0]], [[-157, -1/2], [-1322/5, 119/5], [209/7, 2/7], [209/210, 1/105]], [[-9619, 416], [-180169/10, 21463/10], [25413/14, -951/14], [8471/140, -317/140]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [15, 10], [9/2, -1/2], [0, 0]], [[-9243, 1], [-2351289/26, -571813/26], [-764385/182, -1185/182], [3769/1092, 1/1092]], [[-4165967, -564395/2], [-3786619732/65, -867929401/65], [-518292847/273, -35921476/273], [4249669/2730, 144686/1365]]], 1, 288, [], [] >,
< [ -26, -1, 1 ], [[12, 0]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-4, -1/2], [4, -1/2], [0, 0]], [[-16, 2], [-308/5, -119/5], [18, 4], [-8/15, 1/15]], [[-115/2, -25/2], [-2273, -983/2], [1891/4, 409/4], [-23/12, -5/12]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-52, 37/2], [0, 5/2], [0, 0]], [[159/2, -3/2], [177776/65, -37039/130], [27525/52, 399/52], [53/260, -1/260]], [[-2288, -494], [-185618/5, -79883/10], [-18584, -8029/2], [-88/15, -19/15]]], 1, 288, [], [] >,
< [ -26, -1, 1 ], [[168, 36]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [9, 3/2], [9, 1/2], [0, 0]], [[0, 0], [342/5, -173/10], [239/2, -32], [-61/30, 1/15]], [[0, 0], [-34442/5, -15287/10], [-28869/2, -3192], [-4023/10, -432/5]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [169, 39/2], [13, 5/2], [0, 0]], [[0, 0], [-3147682/13, 416473/13], [-88659/13, 1104/13], [32/39, 1/78]], [[0, 0], [-12919788/65, -3696593/130], [-448405/26, -44995/13], [313/130, 32/65]]], 0, 1728, [], [] >,
< [ -26, -1, 1 ], [[192, 0], [36584, 36860]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [40, -1], [44/3, 5/3], [0, 0]], [[-44, 2], [201418/5, -51376/5], [12410/7, -17806/7], [29/35, 1/105]], [[-58362, 4899], [65876573, -14642047], [5980962, -3160074], [2059/2, -71/2]], [[26704023, -22446579/2], [-399470997582/5, 53739950444/5], [-120743789816/7, 4129968274/7], [-6756786/35, 14609599/70]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-24, 29], [-2, -1], [0, 0]], [[-121, -5/2], [345048/65, 29599/65], [-76904/91, -1291/91], [-1058/1365, -1/910]], [[9855, -19710], [13424095/13, 11214415/13], [1075254/13, -1789838/13], [3285/26, -3285/26]], [[-105556905, -12368025/2], [64031629242/13, 7515005606/13], [-200504473016/273, -10997535806/273], [-60374796/91, -4800261/182]]], 0, 1152, [], [] >,
< [ -26, -1, 1 ], [[192, 0], [23392, 5488]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-18, -10], [-8/3, -2/3], [0, 0]], [[0, 0], [21917/5, -3894/5], [5354/21, -313/21], [-229/210, 1/70]], [[0, 0], [442790, -78340], [65184, 7042], [-343, -49]], [[0, 0], [764129, -135173], [344366/3, 37952/3], [-1211/2, -175/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [168, -53], [-10/3, 5/3], [0, 0]], [[0, 0], [1515707/65, -8604/65], [371562/91, 1473/91], [9851/2730, 1/910]], [[0, 0], [140909706/13, 4796673/13], [24920754/13, 1088697/13], [65822/39, 2636/39]], [[0, 0], [246850360/13, 9076597/13], [305807428/91, 14185375/91], [269169/91, 34529/273]]], 0, 6912, [], [] >,
< [ -26, -1, 1 ], [[768, 0], [588584, 589820]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-45, 5/2], [-41/3, 5/6], [0, 0]], [[0, 0], [7947/5, -493/10], [1492/3, -121/6], [4/5, -1/10]], [[0, 0], [82550, 10822], [74207/3, 9191/3], [73/3, 1/3]], [[0, 0], [900683576/5, 298828393/5], [152990971/3, 53381167/3], [83461/15, 236803/15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [645, -5/2], [61/3, -1/6], [0, 0]], [[0, 0], [97247863/65, 25979893/130], [1805057/39, 473173/78], [-59/65, 1/130]], [[0, 0], [-138014278102/13, -19196398950/13], [-12801820159/39, -1750104007/39], [243559/39, -17/39]], [[0, 0], [-2038585944246187/65, -1128948240236457/130], [-37311183962657/39, -20865555215023/78], [777628093/195, 1558556243/390]]], 0, 6912, [], [] >,
< [ -26, -1, 1 ], [[672, 144]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -11], [8/3, -1/3], [0, 0]], [[0, 0], [7762/5, 2386/5], [-4442/21, -104/21], [473/105, -1/105]], [[0, 0], [141/5, 33/5], [188/21, 44/21], [-47/210, -11/210]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [88, 17], [-4/3, -1/3], [0, 0]], [[0, 0], [-936879/13, 2387/13], [-1029710/273, 370/273], [2783/546, -1/546]], [[0, 0], [-18759867524/65, -4034183392/65], [-4174934812/273, -897906676/273], [28209019/1365, 6066937/1365]]], 0, 27648, [], [] >,
< [ -26, -1, 1 ], [[72, 12]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [0, -11], [2/3, -1/3], [0, 0]], [[0, 1], [366/5, -1082/5], [110/7, -52/7], [-1/105, 2/105]], [[-52, -21/2], [52253/5, 10449/5], [5230/21, 964/21], [-191/210, -19/105]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-42, -10], [-4/3, 2/3], [0, 0]], [[-79, -3/2], [1604884/65, -65593/65], [347356/273, 5113/273], [-2074/1365, 1/2730]], [[-49928, -18723/2], [150162979/13, 24866915/13], [30780478/39, 5735092/39], [-68651/78, -6241/39]]], 0, 4608, [], [] >,
< [ -26, -1, 1 ], [[1944, 420]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [23, 9/2], [27, 17/2], [0, 0]], [[0, 0], [7846/5, 938/5], [-289, 756], [-29/15, -2/15]], [[0, 0], [377173/5, 162153/10], [112142, 49591/2], [-1162/15, -497/30]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-210, -111], [-56, -16], [0, 0]], [[0, 0], [11347757/13, -2142579/26], [964274/13, -6641/26], [46/39, -1/78]], [[0, 0], [-7098423439/65, -3021008569/130], [-250701701/13, -107851231/26], [-19088/65, -4104/65]]], 0, 27648, [], [] >,
< [ -26, -1, 1 ], [[-674, -146]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-2, -2], [-15, 5], [-1/3, -1/3], [0, 0]], [[447/2, 879/2], [41191/10, -11957/10], [449/28, 2049/28], [-99/140, -1/420]], [[-1455291, -314571], [14087281/10, 3036753/10], [-1616193/7, -349325/7], [54431/140, 11783/140]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[19/2, -5/2], [97, 5], [19/12, -5/12], [0, 0]], [[26941/2, 557/2], [-24187311/130, -7028523/130], [3402235/1092, 50539/1092], [-2141/1820, 1/5460]], [[305941235/2, 66215731/2], [-648432348181/130, -140232659313/130], [5357432107/156, 1159571659/156], [-9325649/780, -672899/260]]], 0, 2304, [], [] >,
< [ -26, -1, 1 ], [[192, 0], [36745, 1]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[22, -2], [33, 3], [22/3, -2/3], [0, 0]], [[-9223/2, 3701/2], [81861/10, 34943/10], [-8999/6, 3703/6], [-112/15, -1/15]], [[-4810384, 1389008], [2772754, 2070171], [-4732634/3, 1386013/3], [-15550/3, 599/3]], [[-17407123/2, 5113925/2], [27416637/5, 19365116/5], [-34238899/12, 10207481/12], [-575347/60, 20369/60]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[61/2, 1/2], [619/2, 7/2], [61/6, 1/6], [0, 0]], [[-858, 78], [-2242479/130, 108503/130], [-8863/52, 1349/52], [-2003/780, 1/780]], [[560040, -39780], [151003732/13, -3573202/13], [1380320/13, -199920/13], [23256/13, 612/13]], [[1033110, -70590], [1398600161/65, -28556577/65], [2529732/13, -363724/13], [216342/65, 6426/65]]], 0, 576, [], [] >,
< [ -26, -1, 1 ], [[768, 0], [1206, 6]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-43/2, 5/2], [19, 1], [-43/12, 5/12], [0, 0]], [[-3037, 3155], [-85913/5, -26769/5], [-8489/14, 7367/14], [263/105, -1/105]], [[87591616, -93639392], [514267680, 159591216], [52715488/3, -46844336/3], [-222992/3, 616/3]], [[-174513748434417/2, -433625933097/2], [1487138118281811/10, 241512062230683/10], [-58201855822083/4, 280522312149/4], [3825792993/20, -53133036231/20]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[-101/2, -5/2], [120, 2], [-101/12, -5/12], [0, 0]], [[157628, -43960], [-14376315/26, 3066185/26], [5506971/182, -1333425/182], [25609/1092, 1/1092]], [[-954379230200, 265057507660], [43455630989796/13, -9252907908490/13], [-7138788358060/39, 1723674316190/39], [-1833967376/13, 1569640/13]], [[212787526491110736, -15205987809578412], [-70648386376741285773/130, 8942138851116885711/130], [6301606036599860211/182, -617416473746048097/182], [-8996996095911693/1820, -9186363344441349/1820]]], 0, 9216, [], [] >,
< [ -26, -1, 1 ], [[27, 3]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[8, -2], [17, -3], [8, -2], [0, 0]], [[850, 204], [-981/10, 67/10], [3303/4, 815/4], [-97/60, -1/60]], [[762127/2, 164815/2], [-114819/10, -24997/10], [752343/2, 162693/2], [-4892/15, -1061/15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[9/2, 5/2], [-93/2, 27/2], [9/2, 5/2], [0, 0]], [[18810, -1170], [5034229/26, -899683/26], [992535/52, -60825/52], [-961/156, -1/156]], [[-669198645/2, -144609885/2], [3122245411/130, 798131153/130], [-8897868123/26, -1922796069/26], [33047623/195, 7144594/195]]], 0, 2304, [], [] >,
< [ -26, -1, 1 ], [[768, 0], [476, 589820]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-31, 7], [17/3, -1/3], [0, 0]], [[0, 0], [-11772/5, 20434/5], [70663/14, 8467/14], [-1103/105, 1/105]], [[0, 0], [-1483418064, 1540873800], [1827585200, 198056840], [-11960368/3, 185720/3]], [[0, 0], [-797484080479333/10, 828372234940211/10], [687755601196443/7, 74532613535339/7], [-30006116177063/140, 1397800412563/420]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-39, 1], [13/3, 1/3], [0, 0]], [[0, 0], [4646637/26, -53295/26], [3868425/182, 15741/182], [22697/1092, 1/1092]], [[0, 0], [1202484023096/13, -13442616556/13], [143030433672/13, 624338316/13], [419584400/39, 142232/39]], [[0, 0], [10838619568291/130, -120944908677/130], [128921911407/13, 565424415/13], [7563915539/780, 906729/260]]], 0, 6912, [], [] >,
< [ -26, -1, 1 ], [[192, 0], [92, 36860]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-20, -14], [-22/3, -4/3], [0, 0]], [[97/2, 1/2], [69093/5, -3681/5], [4985/12, 2225/12], [97/60, 1/60]], [[10940, -1150], [3706498, -509113], [-27990, 27575], [1094/3, -115/3]], [[-1188962, 390694], [-2635076801/5, 637613627/5], [28643982, -734], [-594481/15, 195347/15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [215, 61], [29/3, 5/3], [0, 0]], [[1844, 2], [2536342/65, 753581/65], [87980/39, 3293/39], [922/195, 1/195]], [[-983680, -15370], [-300854238/13, -85465137/13], [-47577184/39, -2463157/39], [-98368/39, -1537/39]], [[-92239981/2, -55499533/2], [-356373001509/65, -67896667587/65], [-13791993197/156, -5802363533/156], [-92239981/780, -55499533/780]]], 0, 1152, [], [] >,
< [ -26, -1, 1 ], [[192, 0], [1264, 32176]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-10, 4], [-22/3, -10/3], [0, 0]], [[0, 0], [-21743/5, 2816/5], [13025/6, 287/6], [13/10, -1/10]], [[0, 0], [-4970, 3950], [-37463/3, -12329/3], [-5/3, -5/3]], [[0, 0], [1952779, 51987], [-14129195/6, -2432963/6], [-5357/6, -581/6]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-36, 16], [-34/3, -4/3], [0, 0]], [[0, 0], [1594643/65, -288546/65], [206623/78, 20929/78], [467/130, 1/130]], [[0, 0], [-869922576/13, 156995452/13], [-83742310/13, -7323470/13], [-355250/39, 4900/39]], [[0, 0], [80968470092/13, -14140151132/13], [-3814286071/13, -1814406063/13], [2428685/39, -6970495/39]]], 0, 6912, [], [] >,
< [ -26, -1, 1 ], [[108, 12]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-15, 3], [35/6, -1/6], [0, 0]], [[0, 0], [2513/2, -1131/2], [82/21, 3952/21], [1417/84, 1/84]], [[0, 0], [1845717/10, 552621/10], [-1605879/14, -395391/14], [-897479/420, -166127/420]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [214, -10], [1/2, 1/2], [0, 0]], [[0, 0], [11893734/65, -2251348/65], [-623984/91, -3058/91], [-79223/2730, 1/2730]], [[0, 0], [8734813329/130, -2267275603/130], [-5410539697/546, -829266733/546], [-224658253/5460, -33825349/5460]]], 0, 27648, [], [] >,
< [ -26, -1, 1 ], [[612, 132]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [-4, -2], [0, 0]], [[-485/2, -5/2], [533, -21], [1249/4, -311/4], [-97/12, -1/12]], [[-61661/2, -12833/2], [252846/5, 51253/5], [-51403/4, -14047/4], [-61661/60, -12833/60]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-41, -5], [9, -1], [0, 0]], [[833, -1], [26239/65, 99302/65], [-15239/26, 2083/26], [833/390, -1/390]], [[126795/2, 27255/2], [8902429/13, 1934228/13], [-550191/52, -113979/52], [8453/52, 1817/52]]], 0, 4608, [], [] >,
< [ -26, -1, 1 ], [[240, 48]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [2, 0], [-10, 6], [0, 0]], [[0, 0], [281/5, -17/5], [-71/2, 1/2], [-83/30, 1/30]], [[0, 0], [285, 30], [-445/2, -63/2], [-35/2, -5/2]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [140, 30], [-6, -6], [0, 0]], [[0, 0], [1417499/65, 210062/65], [-96047/26, -3013/26], [833/390, -1/390]], [[0, 0], [671906258/65, 138082194/65], [-15897924/13, -2772182/13], [40426/65, 6478/65]]], 0, 27648, [], [] >,
< [ -26, -1, 1 ], [[768, 0], [589120, 64]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-16, -2], [-14/3, -8/3], [0, 0]], [[0, 0], [-33061/5, -2243/5], [-19422/7, -6096/7], [2537/210, 1/210]], [[0, 0], [-88164812, -1362338], [-23919180, -10057650], [530080/3, -26504/3]], [[0, 0], [-4152290200239/5, -3053883790907/5], [-13425995326998/7, -2071352177394/7], [-24940174549/70, 224415440729/210]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-58, -96], [-8/3, 10/3], [0, 0]], [[0, 0], [1845407/13, -18751/13], [-4081850/273, 117760/273], [-3769/546, -1/546]], [[0, 0], [-9653215708/13, -48853162/13], [1009145940/13, -14226690/13], [1414144/39, 22096/39]], [[0, 0], [-68623038124/65, -361716702/65], [10042333878/91, -139512456/91], [70374379/1365, 371489/455]]], 0, 110592, [], [] >,
< [ -26, -1, 1 ], [[768, 0], [1408, 64]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -10], [4/3, 10/3], [0, 0]], [[0, 0], [-11388, -1241], [4829, 770], [-1, 0]], [[0, 0], [17190, -12362], [2615, 4175], [19/3, -5/3]], [[0, 0], [-243470646/5, -5931998/5], [17779633, 1747759], [-88931/15, 7237/15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-144, -10], [20/3, 2/3], [0, 0]], [[0, 0], [-241030/13, 18353/13], [8426/13, -379/13], [-14/39, 1/39]], [[0, 0], [-4063154/13, 75222/13], [452197/39, 8341/39], [-79/13, 1/13]], [[0, 0], [1555231032/65, -3189677859/65], [11632209/13, 24559440/13], [20619/65, -62388/65]]], 0, 110592, [], [] >,
< [ -26, -1, 1 ], [[960, 192]], [ -88, -19 ], [ -11655222, -2520879 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-2, 0], [20/3, 2/3], [0, 0]], [[0, 0], [26342/5, -404/5], [7934/21, 2528/21], [-3937/105, -1/105]], [[0, 0], [4475483, 934651], [6715640/7, 1459904/7], [-487339/14, -102307/14]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [60, -78], [2/3, 8/3], [0, 0]], [[0, 0], [13005039/65, 389667/65], [-243962/273, -104906/273], [-13703/2730, 1/2730]], [[0, 0], [-62057015, -13004499], [16622246/21, 3640118/21], [18759/14, 3887/14]]], 0, 442368, [], [] >,
< [ -26, -1, 1 ], [[2688, 576]], [ -7, -1 ], [ -18198, -3936 ], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [16, -6], [8, -4], [0, 0]], [[0, 0], [316/5, -652/5], [-166, -96], [-74/15, -2/15]], [[0, 0], [-287576/5, -65233/5], [-61561, -13568], [-7661/15, -1598/15]]], [[[1, 0], [0, 0], [0, 0], [0, 0]], [[0, 0], [-32, -22], [-12, 2], [0, 0]], [[0, 0], [-194178/65, 10501/65], [26068/13, 49/13], [532/195, 1/195]], [[0, 0], [-6050596/13, -1199075/13], [5774895/13, 1190700/13], [7857/13, 1620/13]]], 0, 442368, [], [] >,
< [ 1, -2, -1, 1 ], [[4, -2, -2]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1/2, 1/2], [1/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 1/2], [1/2, 1/2, 0], [1/2, 1/2, 1/2], [1/2, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1/2, 1/2], [11/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[5, 13/2, -3/2], [-448/13, -782/13, 33/26], [4/13, -71/26, -24/13], [-11/26, -21/26, 1/26]], [[-8, -5/2, 7/2], [834/13, 278/13, -713/26], [16/13, 15/26, -5/13], [21/26, 7/26, -9/26]]], 3, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-2, 0, -2]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, -9/2, 7/2], [-655/26, 995/26, 147/26], [-57/26, 36/13, 2/13], [0, 0, 0]], [[-17753/2, -15097/2, 8483], [457277/26, 1131835/26, -198716/13], [84865/26, 98341/26, -30462/13], [5/26, 1/13, 1/13]], [[15629657/2, -15772587/2, 1659937], [-707073897/26, 434532626/13, -338311683/26], [-39361463/13, 70208551/26, -37294981/52], [-506/13, -4853/26, 4163/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 0, 4], [1244/13, 1030/13, 50/13], [22/13, 16/13, -2/13], [0, 0, 0]], [[5/2, 3, -2], [-2581/26, 105/13, 541/13], [-33/26, -12/13, 29/26], [0, 0, 0]], [[-3/2, -7, 5/2], [-5393/169, -25306/169, 18111/338], [-31/676, -21/169, 17/676], [-3/676, -7/338, 5/676]]], 3, 3, [], [] >,
< [ 1, -2, -1, 1 ], [[-8, -2, 8]], [ -1258, 24, -20 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2846109/2, 10430259/2, 1/2], [2251589449905/2901233, -8251523027683/2901233, 14650499/5802466], [-2, -1, 1], [-2846109/11604932, 10430259/11604932, 1/11604932]], [[4962453872, 300214974327, -59616871109], [-7852538985747166/2901233, -950017295576476853/5802466, 94328073681012026/2901233], [-299907, -203591/2, 141305], [2481226936/2901233, 300214974327/5802466, -59616871109/5802466]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, -5, -5/2], [-2, -1, -3/2], [0, 0, 0]], [[2625613/2, -179805547/2, -5/2], [-138015033376629/75432058, 9673352470782687/75432058, -112518880274/37716029], [10900551/26, -719549827/26, 88055/26], [2625613/150864116, -179805547/150864116, -5/150864116]], [[172964568628665/2, -47505317995245/2, 7837367858595], [-9310922566903968842575/75432058, 1276278907955378393813/37716029, -840125619163671698125/75432058], [345750581069468/13, -95312237378240/13, 31565632159472/13], [172964568628665/150864116, -47505317995245/150864116, 7837367858595/75432058]]], 4, 6, [], [] >,
< [ 1, -2, -1, 1 ], [[4, 1, -4]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -2, -1/2], [-865/26, 339/13, 185/26], [-23/13, 15/26, 3/26], [0, 0, 0]], [[139921, -63232, -25435], [-16021749/13, 14222755/13, 8520228/13], [-1324821/26, 165004/13, 1819/13], [15/26, 0, 1/13]], [[563333325, 528342623/2, -495083737], [-83426418835/13, 70484054999/26, 242706374453/26], [-695286021/4, -800853889/4, 158468683/2], [89835/52, 171455/52, 5035/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17/2, -1/2, 7], [5507/2, 5665/2, 10], [2, 5/2, 0], [0, 0, 0]], [[-19535663/2, 4070628, 3520640], [598984334932/169, 323804237633/338, 5857544871/338], [2005263231/676, 13482433/169, 133401381/338], [901/676, 5/338, 1/338]], [[5000766336993/2, 691846011557, -4982971783165/2], [-136427742432437618/169, -177744070521534935/169, 13710003300141805/338], [-370325094242699/676, -170710355211736/169, 51753073724483/676], [-189711711/676, -124553883/338, 59111523/676]]], 3, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-2, 0, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 5/2, 5/2], [32, 5/2, 5/2], [0, 5/2, 5/2], [0, 0, 0]], [[2455/2, -681/2, 395/2], [70331/2, -29830, 7079], [2455/2, -681/2, 395/2], [-1, -3/2, -1/2]], [[-116522, 384482, -172956], [-10624969/2, 16143184, -7306787], [-116522, 384482, -172956], [-59/2, -2, -9]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -1, -1/2], [97/2, 15, 1/2], [-3/2, -1, -1/2], [0, 0, 0]], [[-2340, -7000, 1140], [154169/2, 173819, -65934], [-2330, -7000, 1140], [-5/2, 0, 0]], [[-171180, 148280, -156540], [143076927/26, -72890648/13, 88536035/26], [-2224150/13, 1933540/13, -2037194/13], [-595/26, -1475/13, 1087/26]]], 3, 3, [], [] >,
< [ 1, -2, -1, 1 ], [[2, 4, 0]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -25/2, 0], [-35/13, 113/26, 84/13], [6/13, 33/26, 5/26], [0, 0, 0]], [[18435/2, -2251, -2380], [-4270/13, -11929/26, 27215/26], [-10470/13, 3181/13, 10435/52], [0, -1/26, -5/52]], [[65017060, 9807875/2, -45955775/2], [-24108035/13, -36104233/13, 60207603/26], [-144467645/26, -15580165/52, 98985025/52], [-8195/26, 1595/52, 2365/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-41, -16, 7/2], [9943/13, 4356/13, 657/26], [85/26, 21/13, 2/13], [0, 0, 0]], [[-191588, -9917, 11183], [3721310, -4431, 179497], [15825, 1055, 633], [0, 0, 0]], [[0, -1/2, 0], [-3109/338, -5459/338, 1045/169], [59/676, -75/676, -11/338], [-3/676, -5/676, 1/338]]], 3, 3, [], [] >,
< [ 1, -2, -1, 1 ], [[-6, 0, -2]], [ -2258, 32, -4 ], [ 3, -10, -32 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[809/2, -164, 1/2], [638158161033099/15723497, 1077868070975881/15723497, 8926815/31446994], [809/698, -164/349, 1/698], [-198299944/1430838227, -334936675/1430838227, 1/1430838227]], [[57373950, 495914775, -226717725], [261343949018400478441/15723497, 700892814846489904385/15723497, 2148284638340359087369/31446994], [57373950/349, 495914775/349, -226717725/349], [-892414916294/15723497, -2393338951240/15723497, -7335804333371/31446994]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 349/2, 0], [-17/2, 1837, 1], [0, 1/2, 0], [0, 0, 0]], [[-7325260467, -745645377/2, -122411/2], [-24758862872461815181/408810922, -629603244016657097/204405461, -390341776558145/408810922], [-37265920160/4537, -3779610925/9074, -1596039/9074], [-7318828149/1430838227, -746735163/2861676454, -5/2861676454]], [[-6834225228452888531151/2, 3215916198136281336009/2, -1725155123970484451976], [-5774910065470529657522962654856/204405461, 2717852267769521610577510221218/204405461, -5831099633463034580672688227363/408810922], [-34771151896857877313451/9074, 16373749345310613900723/9074, -8777071277230494717357/4537], [-975400960484257606665/408810922, 458770532447916698175/408810922, -246222418115932331544/204405461]]], 4, 6, [], [] >,
< [ 1, -2, -1, 1 ], [[3, 0, 1]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, 25/2, 3/2], [932/13, -2037/26, -311/26], [27/26, -33/26, -5/26], [0, 0, 0]], [[43033/2, 12927/2, -2275/2], [-1869050/13, -1176881/26, 18871/2], [-89821/52, -34409/52, -1789/13], [-3/52, -5/52, 1/13]], [[-24914780, 202497783/2, 221264789/2], [2103662057/13, -8755149905/13, -18916039471/26], [53548909/13, -594730197/52, -681300827/52], [-139, -453/4, 829/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-77/2, -29/2, 7/2], [-7095/26, -2907/26, -67/26], [40/13, 19/13, 3/26], [0, 0, 0]], [[-90097, -109132, -184989/2], [-14239685/26, -23849093/26, -12492231/13], [71218/13, 157792/13, 636231/52], [1/13, 1/13, 3/52]], [[-103285524, -103208011/2, 142380813], [-19857355273/26, -11314816109/26, 31701618569/26], [123420110/13, 193744873/52, -373179107/26], [1026/13, 2109/52, -2679/26]]], 3, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-5, 4, 2]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-59/2, -21, 3], [-693/26, 872/13, 62/13], [59/26, 55/26, 2/13], [0, 0, 0]], [[482623/2, -2052364, 2317573], [-1942870907/26, 421712359/2, -1253052054/13], [-198880/13, 9429133/52, -12431143/52], [0, -3/52, -1/52]], [[-30366725, -37695167/2, 37297231/2], [-3369281640/13, 19141607229/26, -8489853687/26], [65523385/26, 22421089/13, -41609827/26], [-61/13, -31/26, 28/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, -31/2, 3], [-127/26, 3125/26, -222/13], [11/26, 20/13, -3/26], [0, 0, 0]], [[-5739, 43483/2, -19679/2], [12158975/169, -37329885/169, 32952275/338], [7546/13, -108157/52, 48153/52], [14/169, 15/676, 1/676]], [[-2114669/2, 3560909, -1628477], [4152745419/338, -6170062573/169, 2760825529/169], [2712633/26, -8857653/26, 2009175/13], [1698/169, -113/169, -141/169]]], 3, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[2, 4, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -3/2, 1/2], [-27, 33/2, -19/2], [-1, -3/2, 1/2], [0, 0, 0]], [[-26265/2, -1394, 1734], [-221761/2, -428193/2, 222477/2], [-26265/2, -1394, 1734], [2, -1/2, -5/2]], [[16557456, -3807813/2, -5566038], [144849094, 409711463/2, -178905087], [16557456, -3807813/2, -5566038], [-670, -1660, 60]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 5/2, 3/2], [-13, -49/2, 15/2], [-1, 5/2, 3/2], [0, 0, 0]], [[636, 833/2, -333], [-511665/13, -172095/13, 247211/13], [636, 833/2, -333], [3/13, -29/26, -2/13]], [[3085929, 1034682, -1437953], [-4523239663/26, -607992107/13, 2057048665/26], [3085929, 1034682, -1437953], [-19075/26, -17900/13, 8925/26]]], 3, 3, [], [] >,
< [ 1, -2, -1, 1 ], [[-4, -2, 4]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 25/2, 2], [-12, 73/2, -1], [-1/2, 5/2, 0], [0, 0, 0]], [[-43003/2, -12023, 9345/2], [-1154563/26, -325808/13, 132596/13], [-95008/13, -150749/52, 128965/52], [-1/26, 3/52, -5/52]], [[1/2, -3/2, 1/2], [83/26, -115/13, 105/26], [3/4, -9/4, 1], [3/52, -9/52, 1/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, -6, 0], [-12505/26, 4639/13, 192/13], [37/26, -31/26, -1/26], [0, 0, 0]], [[-612, -51, -408], [1053330/13, -10095/13, 2336/13], [-2805/13, -51/13, -408/13], [0, 0, 0]], [[1/2, -1/2, 1/2], [-2461/169, 1771/169, -1211/169], [3/338, -11/676, -9/169], [1/169, -3/676, 1/338]]], 3, 3, [], [] >,
< [ 1, -2, -1, 1 ], [[2, 8, 0]], [ -1018, 108, -24 ], [ 9, -84, -110 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-769739/2, -2024618, 2], [-2453715053777/2872018, 3037951577997/1436009, -10051257/2872018], [-769739/2872018, -2024618/1436009, 2/1436009], [-2320581/2872018, 1012309/2872018, -1/2872018]], [[-1143066492618280, 441848541186732, 906179965959644], [1087075281036037178575/2872018, -802701263913672142092/1436009, -1127477900113607383917/2872018], [-1143066492618280/1436009, 441848541186732/1436009, 906179965959644/1436009], [-1060266929931153/2872018, -207749433358908/1436009, 655522016613387/2872018]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-54453509/2, 75354959/2, 5/2], [-131345280919433/2872018, 71352603519961/2872018, 7899243/2872018], [-1731207233/37336234, 1811840051/37336234, 77/37336234], [-42637984/18668117, 34676066/18668117, 1/37336234]], [[8246439809198084969, -13402207099857213559/2, -4102068598072210429], [23024380780309440527602517/1436009, -1373956557767051419189673/1436009, -12297019356885820356919185/2872018], [21441901542450189641/1436009, -20743440841990203703/2872018, -8508065102368494013/1436009], [1099621811104342056/1436009, -305884739255541256/1436009, -367166375358023632/1436009]]], 4, 6, [], [] >,
< [ 1, -2, -1, 1 ], [[-1, -4, 0]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -8, -2], [81/26, -279/13, -35/13], [7/26, -41/26, -3/26], [0, 0, 0]], [[-6821/2, -3278, 1793], [-241230/13, -286115/26, 239987/26], [-2377/2, -3123/4, 627], [-1/26, 1/52, 0]], [[-55, 187, 165], [8, 490, 332], [0, 33, 22], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 3/2, -1/2], [58/13, 199/26, -59/26], [-15/26, 4/13, -1/26], [0, 0, 0]], [[1488, 5/2, 1459/2], [-17401/13, -169811/13, -84096/13], [26311/52, -77/13, 1995/52], [1/52, 1/26, -5/52]], [[41435689, 18122053/2, -23663532], [-476744435/2, -20049605/13, 1872837132/13], [164680730/13, 81229009/26, -342064841/52], [345, 3151/26, 667/4]]], 3, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-3, -5, 2]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, 15/2, -5/2], [1153/13, -1697/26, 217/26], [-75/26, 20/13, -5/26], [0, 0, 0]], [[-237, -579, -1063/2], [5616, -4055/26, -26115/13], [-6783/52, -1368/13, -2553/52], [5/52, 0, -5/52]], [[-4783, -8156, 7660], [474128/13, 962040/13, -671383/13], [-21110/13, -52523/26, 24519/13], [16/13, -23/26, 3/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, -1, 2], [-259/26, 349/13, 49/13], [63/26, -5/26, -1/26], [0, 0, 0]], [[-247405, 300133/2, -195245/2], [128857985/338, -179763271/169, 32775295/338], [-973329/13, 827755/26, -472885/52], [16/169, 5/169, 5/676]], [[-35785799595/2, 40205156245/2, -16847107465/2], [9752919654853/338, -28928323173723/338, 4575750437536/169], [-64567958510/13, 222467068505/52, -67029430655/52], [1014125/169, -310625/676, 21875/676]]], 3, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-4, -2, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -2, 1], [31, 0, -4], [2, -2, 1], [0, 0, 0]], [[-2052, -615/2, -381], [-93861/2, -33507/2, 21589/2], [-2052, -615/2, -381], [1/2, 1, 1/2]], [[117, -396, 375/2], [57, -1706, 1941/2], [117, -396, 375/2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 5/2, -1/2], [61, -19/2, -25/2], [-1, 5/2, -1/2], [0, 0, 0]], [[0, 0, 0], [-1043/26, -436/13, 74/13], [146/13, 92/13, 8/13], [73/26, 23/13, 2/13]], [[0, 0, 0], [562960/13, 138106/13, -248218/13], [-150920/13, -38416/13, 67228/13], [-37730/13, -9604/13, 16807/13]]], 3, 3, [], [] >,
< [ 1, -2, -1, 1 ], [[4, -3, 2]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -1, -1/2], [-80/13, 8/13, 37/26], [-17/26, 3/26, -1/13], [0, 0, 0]], [[3221/2, -3349/2, 76], [-112475/26, 29624/13, -393/26], [-1037/2, 837/2, -987/4], [-11/26, 1/26, 1/52]], [[1987884, -7805745/2, 2165903], [-72298518/13, 204343991/26, -32590436/13], [-2021979/2, 3555943/2, -753733/2], [-7210/13, 6972/13, 350/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -5/2, 2], [-803/13, -167/26, -57/13], [-33/26, 41/26, 3/26], [0, 0, 0]], [[198907/2, 222314, -357367/2], [-2652677733/338, -1057704073/338, 793772446/169], [-12193367/338, -33136503/338, 36132573/676], [159/338, 1/338, 3/676]], [[-2210115293/2, 16899206131, -15828820877/2], [-32387782853590/169, -62867733638971/338, 23239768545041/169], [-175435482111/676, -968718520582/169, 643947892168/169], [15090801/676, -2795583/169, -772002/169]]], 3, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-3, 0, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [-1, 0, 0], [0, 0, 0]], [[1/2, -2, -2], [1/2, -2, -2], [-2, -1, -1], [-2, -1, -1]], [[-27, 9/2, 3], [-27, 9/2, 3], [-333/2, 222, -74], [-333/2, 222, -74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-3, 5/2, -5/2], [966/13, -1735/26, -35/26], [-67/26, 30/13, -1/26], [-67/26, 30/13, -1/26]], [[8279/2, -629/2, -4539/2], [-1643413/26, -384377/26, 488193/26], [29184/13, 6270/13, -9120/13], [29184/13, 6270/13, -9120/13]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[6, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -1/2, 1/2], [31/2, 29/2, -9/2], [3/2, -1/2, 1/2], [0, 0, 0]], [[315, -321, 276], [1776, 7947/2, -779/2], [315, -321, 276], [2, -1/2, -1/2]], [[-20196, 22032, 204], [-326627/2, -118111/2, 316741/2], [-20196, 22032, 204], [-169/2, 23/2, 29/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -5/2, 0], [-234, -19/2, -19], [2, -5/2, 0], [0, 0, 0]], [[382250, -27190, 5080], [-1406053236/13, -89877854/13, 1315580133/26], [4969374/13, -353290/13, 66050/13], [31/13, 45/13, 5/26]], [[-68763100, -160191780, 96965470], [400557887909/13, 168630801247/13, -238233464035/13], [-893986892/13, -2082496132/13, 1260555254/13], [-16648/13, -748/13, 1036/13]]], 3, 3, [], [] >,
< [ 1, -2, -1, 1 ], [[-3, 0, -3]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 0, 1/2], [-141/26, 87/13, 313/26], [1/13, 5/26, 1/26], [0, 0, 0]], [[-3, -3, -3/2], [-123/26, 759/13, -498/13], [-9/2, 3/4, -3/4], [-9/26, 3/52, -3/52]], [[-616, 253, 1309/2], [45729/26, -29677/13, 23596/13], [-396, -319/4, 1683/4], [-396/13, -319/52, 1683/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 3/2, -2], [225/26, -13809/26, 547/13], [2/13, -29/26, 1/13], [0, 0, 0]], [[4096, -1356, -5955/2], [-96744415/169, -84743434/169, -52840451/338], [-251253/338, -295053/338, -83467/169], [76/169, 8/169, -1/169]], [[-91222, -652388, 1015651/2], [4558304541/169, 24667124854/169, -10171098224/169], [3744993/676, 206609825/676, -19226637/169], [24541/676, -157431/676, 37345/338]]], 3, 4, [], [] >,
< [ 1, -2, -1, 1 ], [[3, 6, 0]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, -16, -1/2], [89/13, -129/13, 345/26], [-19/26, 21/13, 2/13], [0, 0, 0]], [[1001, -491, -671/2], [-417303/26, -115771/26, 7821], [-2369/26, 1347/26, 1733/52], [-1/26, -1/26, 1/52]], [[-34499, -5438, 11474], [10099958/13, 2615434/13, -4523752/13], [76675/26, 6035/13, -11956/13], [63/26, 9/13, -16/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-25, 1/2, 1], [-3739/13, 749/26, -207/13], [27/13, -1/26, 3/26], [0, 0, 0]], [[724430, -1054970, 351190], [3202295123/338, -5242375015/338, 1870861247/338], [-22291625/338, 17237387/169, -23671195/676], [-20/169, -3/169, -3/676]], [[0, 0, 0], [26641/169, -26771/338, -29361/169], [6/169, 1/676, -29/676], [5/338, -5/676, -11/676]]], 3, 4, [], [] >,
< [ 1, -2, -1, 1 ], [[-6, -3, 6]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, 0, 2], [-21, -2, 17], [2, 0, 0], [0, 0, 0]], [[17695/2, -3939, -11397/2], [-280001/26, -181511/13, -39799/26], [61135/26, -13933/26, -16277/13], [-1/13, 1/26, -1/13]], [[5822061, 10457533/2, -12001515/2], [-256184375/13, -3081622, 119371659/26], [97710403/52, 70252619/52, -19985573/13], [45/52, -13095/52, 3105/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -13/2, -5], [-11334/13, -8089/26, -753/13], [-73/26, -33/26, -2/13], [0, 0, 0]], [[-1357079, 9328705/2, -10285973/2], [-28808550604/169, 160579957333/338, -58978734270/169], [-67979986/169, 762873697/676, -661268353/676], [-31/338, 1/676, -5/676]], [[-22270061, 20174253, -14981681], [-376014298261/169, 333154378768/169, -152498954142/169], [-2246559403/338, 1507982971/338, -720906945/338], [-1661/338, -363/338, 671/338]]], 3, 4, [], [] >,
< [ 1, -2, -1, 1 ], [[6, -4, -2]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-106, -96, -5/2], [-4684/29, -4931/29, -1341/58], [-106/29, -96/29, -5/58], [0, 0, 0]], [[125/2, -19/2, -47], [3262/29, -1034/29, -2750/29], [289/116, 85/116, -105/58], [1/116, 5/116, 0]], [[144, -62, -71/2], [11387/29, -15798/29, 6925/58], [-1157/58, 4211/58, -2009/58], [-51/58, 153/58, -34/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[133/2, 121/2, 3/2], [18027/58, 6793/58, 1141/58], [133/58, 121/58, 3/58], [0, 0, 0]], [[146481812, -33168753/2, -1701867], [-102793269941/377, 1748522456145/754, -823290059733/754], [1904263626/377, -431193725/754, -88497269/1508], [6/377, 17/754, -1/1508]], [[-1712256016864, 729733134479, -265395952787], [3383688407408310/377, -15541046886773867/377, 7107849420568631/377], [-767563065383/13, 327121733563/13, -118970580539/13], [-53375/377, -109550/377, 5650/377]]], 3, 3, [], [] >,
< [ 1, -2, -1, 1 ], [[2, 5, -5]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-241/2, 11/2, -5/2], [-639/58, 143/58, 225/58], [-241/58, 11/58, -5/58], [0, 0, 0]], [[170930494, -18975349/2, -15456282], [845901095/58, -64116757/29, -283270483/58], [683721845/116, -37950569/116, -61825117/116], [-5/116, 5/116, 1/116]], [[-943059373961/2, 23839159175/2, 195958476585], [-1900059355325/58, -286934409181/58, 287839386377/29], [-943059274777/58, 23839137111/58, 195958486409/29], [1640/29, -168/29, 592/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 45/2, -1], [6026/29, -72437/58, 1553/29], [4/29, 45/58, -1/29], [0, 0, 0]], [[-105906787, -1287691, -1274581/2], [2307189679865/754, -645780372208/377, 1165239360671/754], [-5507153053/1508, -33479903/754, -16569569/754], [-17/1508, 4/377, -1/754]], [[-2218872678135/2, 881659856007/2, 1674834984387/2], [27493100377160659/754, -21034547670165577/754, -22056147569997687/754], [-14422672592379/377, 11461578321315/754, 10886427411555/377], [-38007/754, 4800/377, -11535/754]]], 3, 4, [], [] >,
< [ 1, -2, -1, 1 ], [[6, -4, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -5/2, 2], [-129/2, -115/2, 45], [-3/2, -5/2, 2], [0, 0, 0]], [[55962, 7404, -7158], [2441490, -142660, -1310805], [55962, 7404, -7158], [0, 2, 2]], [[86828160, -59297280, 2541312], [5062879395/2, -529094110, -645923415/2], [86828160, -59297280, 2541312], [4231/2, -1414, -1323/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 2, -1], [1468, -180, 86], [1, 2, -1], [0, 0, 0]], [[-6869753, -14267/2, -31840], [-103068719295/26, -59845816454/13, 39506194119/26], [-6869753, -14267/2, -31840], [33/26, -67/26, -3/26]], [[13752222904890, 3249026109180, -5805199981170], [146209569238489360/13, 81882610895426215/26, -129140433951863445/26], [13752222904890, 3249026109180, -5805199981170], [-4143070/13, 5523317/26, 2741301/26]]], 3, 3, [], [] >,
< [ 1, -2, -1, 1 ], [[2, 6, -2]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, -33/2, 3], [369/29, 4165/58, 63/29], [49/58, 137/58, 1/29], [0, 0, 0]], [[-235558, -23559/2, 117778], [39752503/58, -3407741/58, -21515805/58], [3236377/116, -13590/29, -436721/29], [5/116, 0, -1/29]], [[55461963, -9786807, -26099418], [-5008067220/29, 2093199771/29, 2465242702/29], [-392521011/58, 110423019/58, 205305447/58], [-567/58, -9/58, 639/58]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -7/2, 1], [254, 595/2, -1], [1/2, 1/2, 0], [0, 0, 0]], [[-9789/2, -1729/2, 932], [115059073/377, 193135/26, 1986458/377], [808863/1508, 170899/1508, -71297/1508], [3/1508, -25/1508, -5/1508]], [[1253845/2, 8669/2, -224340], [-15618825399/377, 6374845905/754, 4107276806/377], [-109692975/1508, 4875177/1508, 38533949/1508], [765/1508, 1269/1508, -1431/1508]]], 3, 3, [], [] >,
< [ 1, -2, -1, 1 ], [[3, 2, -5]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-29, -25/2, 9/2], [11762/29, 14585/58, 827/58], [175/58, 52/29, 3/58], [0, 0, 0]], [[-377551/2, 46921/2, 13413/2], [164782823/58, -10306196/29, 7660803/29], [2448377/116, -89331/29, 219077/116], [-3/116, 1/29, 5/116]], [[758443, -848920, 239038], [-362854323/29, 445028502/29, -136292405/29], [-2702023/29, 3367755/29, -1044395/29], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 13/2, -1/2], [30048/29, -139267/58, -2441/58], [19/58, -27/29, -1/58], [0, 0, 0]], [[-509415/2, 80250, 22466], [20207010113/754, -16979060249/377, 16277262237/754], [860452/29, -1341233/116, -84561/116], [4/377, 27/1508, -5/1508]], [[815512, 1215942, -1122107], [17048202487/377, -131904288922/377, 99278963799/377], [-2609598/29, -8857867/58, 4251968/29], [-70/377, 105/754, 56/377]]], 3, 4, [], [] >,
< [ 1, -2, -1, 1 ], [[2, 6, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 1, 1], [179/2, -23, -22], [-1/2, 1, 1], [0, 0, 0]], [[0, 0, 0], [-835/2, -579/2, 573/2], [0, 0, 0], [-3/2, -5/2, 3/2]], [[0, 0, 0], [4813812, 3556897, -3365016], [0, 0, 0], [13785, 35355, -12210]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 1, 5/2], [753, -376, -1881/2], [1, 1, 5/2], [0, 0, 0]], [[374072364, -376596, 2815236], [85543838221, 9313705708, -63648282098], [374072362, -376594, 2815236], [-1, 1, 0]], [[-11013879298824, -2735570452320, 8278245317232], [-23241881108401479/13, -24792041921481179/26, 2094702434356855/13], [-143180430691542/13, -35562415312085/13, 107617188932846/13], [96585/13, 568075/26, -95585/13]]], 3, 3, [], [] >,
< [ 1, -2, -1, 1 ], [[-4, 2, -2]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, 11/2, -1/2], [-469/29, -257/58, -1/58], [14/29, 6/29, -3/58], [0, 0, 0]], [[8377/2, 1517/2, -821], [-368987/58, 35313/58, 28515/58], [19625/116, 3199/116, -2245/58], [-47/116, -1/116, 1/58]], [[-13482084, -15885348, 3769815], [446943487/29, 901606743/29, -299353858/29], [-33111015/58, -16786278/29, 5811246/29], [54621/58, 62883/29, -9639/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-121/2, -67/2, -7], [99679/58, 42413/58, 937/29], [-78/29, -71/58, -2/29], [0, 0, 0]], [[-33692580, -7961216, -9960673/2], [358953150085/377, 91804551967/754, 54126484773/754], [-2239806431/1508, -370492713/1508, -167762435/1508], [405/1508, -47/1508, 1/1508]], [[-673970959575/2, -4657554591567/2, -913159929192], [10141822740685511/754, 42439663446697809/754, 11414648600790041/754], [-31408115205231/1508, -134432041350199/1508, -9970128577360/377], [7592553/1508, 18476833/1508, -238840/377]]], 3, 3, [], [] >,
< [ 1, -2, -1, 1 ], [[5, 3, -5]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33/2, 26, 1], [-8481/58, 4544/29, -121/29], [-39/58, 31/29, -1/58], [0, 0, 0]], [[-410421, 2838065/2, -92095/2], [-9177455/58, 548499605/58, -85708753/29], [-458394/29, 6733107/116, -628815/116], [-16/29, 3/116, -3/116]], [[-9885447251/2, 622895943/2, -1549165686], [-4987920751487/58, -120333661013/58, 989591620887/58], [-25270853511/116, 3186186155/116, -1492524935/29], [1410765/116, 539495/116, -158675/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[22, 37/2, 1], [-46579/29, -60461/58, 2160/29], [57/58, 41/58, -3/58], [0, 0, 0]], [[4217679/2, 62210, 31754], [-94708528611/377, 222757768297/754, -47579030685/377], [69145565/754, -1364765/1508, -808455/377], [-1109/754, -59/1508, -1/377]], [[-125227047568475/2, 3318852495390, -29660817853660], [3835681880267413949/377, -12473211465696797175/754, 6525399319736352633/754], [-4226138938572225/1508, 277171192060085/754, -773121282180055/754], [66215864175/1508, -69501475/26, 14607686725/754]]], 3, 4, [], [] >,
< [ 1, -2, -1, 1 ], [[-4, 2, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 1/2, 2], [111/2, 15/2, 42], [-1/2, 1/2, 2], [0, 0, 0]], [[1617, 155, 24], [1881987/2, 206945, -386515], [1617, 155, 24], [3/2, -1, -1]], [[-2646738, 1296446, 405916], [-2274403099/2, -177518668, 458003549], [-2646738, 1296446, 405916], [-2409/2, 696, -573]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -3/2, -1], [1867/2, 115/2, 34], [-1/2, -3/2, -1], [0, 0, 0]], [[-6235246, 35784, -24974], [234749668045/26, -321495031205/26, 57512398176/13], [-81058125/13, 465225/13, -324658/13], [-73/26, -33/26, -2/13]], [[-16926241372598, 21641798256202, -10255181474736], [680167141504266873/13, -1654658538105802822/13, 716786617639652561/13], [-220040987076854/13, 281343302925106/13, -133317283865328/13], [-75383460/13, 37202760/13, -37653120/13]]], 3, 3, [], [] >,
< [ 1, -2, -1, 1 ], [[1, 3, 0]], [ -41, 0, 0 ], [ 12, -21, -48 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-12, 32, -3], [-2599/82, 5309/82, -21/41], [86/123, -225/82, 35/246], [2/123, 0, -1/246]], [[590, -583, -817/2], [13304/41, -61800/41, -44267/82], [-26243/246, 10129/246, 8360/123], [565/246, 145/246, -133/123]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, -17, 1], [-12209/82, -46213/82, -1575/82], [24/41, 66/41, 5/82], [0, 0, 0]], [[1300660, -258763/2, 933/2], [20009054604/533, -4576396899/1066, 2921636607/1066], [-189083546/1599, 549790/533, 177149/3198], [-14/1599, 10/533, -1/3198]], [[1198903411006, 613705772427/2, -549714364533], [907330432727809/26, 9525406367384513/1066, -8568170189836173/533], [-363699705273341/3198, -45992043127300/1599, 166600620458879/3198], [-348922/1599, -1007440/1599, 300286/1599]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-4, 1, -2]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 0, 0], [1, 0, 0], [0, 0, 0]], [[8, -79/2, 5/2], [132, -25, -49/2], [10, -25/2, -15], [5/2, -5/2, -5/2]], [[24465, -24465, 0], [-152585, -90385, 97965], [2197/2, -5645, -3925], [-1159/2, -1699, 21/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1/2, 1/2], [-21/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[833/2, 652, 0], [-73181/26, -15995/13, 4015/26], [222/13, 35/13, -45/13], [-24/13, -8/13, 1/13]], [[78132743, 150447187/2, 279365107/2], [-305651301, -757198029, -141300423/2], [2132987, 7104487/2, -2496059/2], [-178059, -532469, 2013/2]]], 3, 4, [], [] >,
< [ 1, -2, -1, 1 ], [[-3, -1, 3]], [ -41, 0, 0 ], [ -9, 6, -24 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[24, -39/2, -5/2], [807/82, -249/82, 143/41], [-13/41, 154/123, 28/123], [-1/82, -2/123, -1/246]], [[2319, -8162, 7309/2], [65399/82, -139452/41, 145381/82], [-9657/82, 34810/123, -12106/123], [45/41, -50/123, -70/123]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[60, -49, -1], [4151/41, -829/41, 181/41], [-79/41, 67/41, 1/41], [0, 0, 0]], [[84563595/2, 3094657/2, -3596130], [126457083989/1066, -8626658633/1066, -61667171617/1066], [-51564484/39, -1912052/39, 2992166/39], [-14/1599, 17/1599, -1/3198]], [[558412423987, -10072996384, -481241900617/2], [622198528909250/533, 171386295970667/533, -374918624861735/1066], [-28317835962686/1599, 315881405810/533, 24647120708707/3198], [-93737/1599, 16268/533, -63161/3198]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[7, -4, -2]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1/2, 1/2], [-1/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[-119, 19/2, 5], [255/2, -95/2, 77/2], [-3, -3, 7/2], [-3/2, -5/2, 2]], [[765055, 3366242, 3213231], [1183370, -5859331, -7475011], [317237/2, -117895/2, -399619/2], [118337/2, 20706, -60078]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1/2, 1/2], [-247/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[-421, 540, 0], [73228/13, -18222/13, 6480/13], [-7, 7/2, 3/2], [31/13, -7/13, 5/26]], [[56504729, -880041415/2, -41992879/2], [54995693130/13, 19551669159/13, -110724848519/26], [-2447736, -4225947, 1224105], [23691468/13, 7899210/13, -23576523/13]]], 3, 4, [], [] >,
< [ 1, -2, -1, 1 ], [[-2, 0, -1]], [ -41, 0, 0 ], [ 0, -3, -9 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-73/2, 75/2, 3], [759/41, -777/82, 73/82], [-735/41, -49/246, 44/123], [35/82, 5/246, -1/123]], [[491597/2, -32989, -230823/2], [-12919243/82, -938658/41, 4516137/82], [45107887/246, 6412096/123, -2503466/41], [-1086839/246, -159536/123, 59826/41]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-205/2, -205/2, 0], [-2417/2, -1192, -9], [-5/2, -5/2, 0], [0, 0, 0]], [[-2778475/2, 27081, 137642], [-17133686927/1066, -413114327/1066, 1023991090/533], [-18051451/533, 348109/533, 5367749/1599], [55/1066, -25/1066, -1/1599]], [[39946502334, -29955267781, -44488656637], [249739844342964/533, -185725081662137/533, -280528022753920/533], [1557519011557/1599, -1168077882811/1599, -1734835205765/1599], [-1258187/1599, 566117/1599, 711382/1599]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[1, 7, -2]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1/2, 1/2], [15/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[-18, -49/2, 11/2], [40, 5, -13/2], [-7/2, 0, 4], [-3/2, -1, 3/2]], [[-40183, 51499/2, 58443/2], [36903, 8925, -71871/2], [182, -6461/2, -9867/2], [-1261, 130, -1573/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1/2, 1/2], [261/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[-298, 1592, -2], [-32536/13, 2874/13, 554/13], [-115/26, 87/13, 79/26], [-8/13, 25/26, 5/26]], [[-128163699/2, -24181830, 58036392], [9903525069/26, 628593948/13, -4243752307/26], [1095388/13, 676800/13, 1494744/13], [273300/13, -576/13, 135844/13]]], 3, 4, [], [] >,
< [ 1, -2, -1, 1 ], [[-5, -1, -1]], [ -43, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 0], [0, 0, 0]], [[25/2, 5/2, 5/2], [291627/86, 3987/86, 399/86], [29925/26, 36/13, 9/13], [-3325/1118, -4/559, -1/559]], [[-578340, -1319706, 209925], [-169191048, -279786148, 110063659], [-1483025409/26, -2471709015/26, 494341803/13], [3832107/26, 6386845/26, -1277369/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 0, 0], [1, 0, 0], [0, 0, 0]], [[1209/2, 490, 8], [-13295525/1118, -95922/559, -27260/559], [-5293/13, -4892/13, -62/13], [483/559, 2/559, 2/559]], [[-3365104679/2, -3005149509, -1309292915], [28272879853195/1118, 30460570499353/559, -5301633091686/559], [15283695023/13, 2037254798, 27284843293/26], [-78670516/43, -2211342524/559, 806762247/1118]]], 3, 4, [], [] >,
< [ 1, -2, -1, 1 ], [[-5, -1, 6]], [ -43, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 0], [-3/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[175/2, -7, -1/2], [-9403/86, 1041/43, -45/86], [-1791/26, 333/26, -9/26], [199/1118, -37/1118, 1/1118]], [[-10471, -9537/2, -8679/2], [597560/43, 215105/86, 320561/86], [17199/2, 4329/2, 2691], [-1911/86, -481/86, -299/43]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, -1, -2], [-8, 5, -4], [8, -3, 1], [0, 0, 0]], [[-1327/2, -3724, 2751], [-2725/86, 11635, -341350/43], [61101/13, -200627/26, 69374/13], [603/559, -5/1118, -1/559]], [[42390252747, 456854201103/2, -410546862239/2], [-342855942825/43, -61809952679349/86, 51999994797457/86], [-222926130579, 845401455423/2, -507049994217], [-2291271429/43, -967900371/86, -948658368/43]]], 3, 4, [], [] >,
< [ 1, -2, -1, 1 ], [[-2, -6, 1]], [ -43, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[1289/2, 97, 5/2], [-300481/86, -671/43, 311/86], [-21159/26, -189/26, 9/26], [2351/1118, 21/1118, -1/1118]], [[39482513/2, 5898376, -39450115/2], [-7943036797/86, -2037373514/43, 8491890227/86], [-562182165/26, -284070609/26, 299962881/13], [62464685/1118, 31563401/1118, -33329209/559]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 0, 0], [1, 0, 0], [0, 0, 0]], [[-745/2, 77/2, 2], [396159527/1118, 12112853/1118, -49300/559], [-143487/338, -4383/338, 18/169], [15943/14534, 487/14534, -2/7267]], [[6256102405/2, 1917552762, -4002267692], [-3962929821330605/1118, -651280730340042/559, 2361924311366878/559], [717650910540/169, 235920158532/169, -855457241175/169], [-79738990060/7267, -26213350948/7267, 95050804575/7267]]], 3, 4, [], [] >,
< [ 1, -2, -1, 1 ], [[-5, -3, 4]], [ -71, 0, 0 ], [ -18, 5, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[223/2, -1/2, 3], [-77/142, 2861/142, 96/71], [220/71, 4/71, 5/71], [0, 0, 0]], [[25639383/2, 1708803, -12385933/2], [155444969/142, 3748533/71, -113463311/142], [25531837/71, 3415175/71, -24762955/142], [169/71, -1/71, 5/142]], [[-57250019354691/2, -11210878551859/2, 25132313361011/2], [-313047334349949/142, -83430541357193/142, 173012378942993/142], [-56982063632763/71, -22450589901535/142, 50145188938797/142], [-425399835/71, 77187425/142, 165927405/142]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-22, -5/2, -3/2], [656743/923, -113185/1846, -7661/1846], [-1121/923, 77/923, 5/923], [0, 0, 0]], [[-396448344, -55763795/2, -17236945/2], [11709272990548/923, -2580741888593/1846, -726371906803/1846], [-39998387119/1846, 1876291200/923, 1234054093/1846], [197/142, 0, 1/142]], [[1589234735654885/2, -17155494265371, -359240569406733/2], [-44468761087329367849/1846, 2449763025768137823/923, 9054819223633195905/1846], [38117803360531905/923, -3823606993035571/923, -7906137300810913/923], [-193585275/71, 10876073/71, 41859899/71]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-5, -4, 3]], [ -71, 0, 0 ], [ -25, -4, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -31/2, 2], [32/71, 743/142, 218/71], [-26/71, 3/71, -4/71], [0, 0, 0]], [[125, -1051/2, 283/2], [11, -115/2, -13/2], [-5, 15/2, -7/2], [-196/71, 1/142, -3/142]], [[255117, -5406314, 11530387/2], [-28573345/71, 642590/71, 143561809/142], [-6220240/71, 20524205/142, -2192013/71], [-3571920/71, 3557037/142, 1681779/71]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 58, -1], [-10537/71, -1425/71, 324/71], [127/71, 5/71, -5/71], [0, 0, 0]], [[494035/2, -18000476, 6059085/2], [95772040721/1846, 2097688984/923, -9640677797/1846], [-44083192/71, 1708268/71, 8304535/142], [1882/923, 12/923, -3/1846]], [[466545457203631/2, 431834329774347/2, -1133988517124747/2], [-3758842118650944837/1846, 1162000246545091545/1846, 1722268571698607053/1846], [1668556381123978/71, -559447618729198/71, -665562724763162/71], [-79552009983/923, 33442915054/923, 37824231989/923]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[5, 1, -4]], [ -71, 0, 0 ], [ -26, 17, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 336, 2], [19921/142, -10909/71, -266/71], [662/71, 5/71, 4/71], [0, 0, 0]], [[1673076649/2, 403761335, -385787002], [69086147991/142, 308853749/71, -12472031426/71], [4167685300/71, 908571715/71, -1680123642/71], [-40/71, -1/71, -2/71]], [[98038026876281, 66996871715639/2, -46811713868757], [3634535788756601/71, 878238515705781/142, -1397224991932845/71], [921568578980673/142, 103043717771020/71, -393766492078193/142], [-9358271/142, -152308/71, 2439567/142]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1903/2, 287/2, -1/2], [-4041009/1846, -147987/1846, 2861/1846], [3463/923, 32/923, -4/923], [0, 0, 0]], [[80470598450, 9223249351/2, 3141643664], [-13217538665738/71, 1809435089813/142, -601736701130/71], [22683368720/71, -2230447407/71, 1058241469/71], [-188/71, -1/71, -1/71]], [[15986129353720535, 616873796382969, -8201723254676373/2], [-33102529949460387153/923, 753529188865740665/923, 15410055067596131725/1846], [112764934190765679/1846, -2132423743321672/923, -25600082610243659/1846], [-73128825/142, -793800/71, 18859365/142]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-7, -4, 3]], [ -97, 0, 0 ], [ -7, -2, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1649/2, 351/2, -3/2], [94897/97, -7678/97, 629/194], [-216897/1358, 461/679, -319/1358], [1126/679, -8/679, 3/1358]], [[-69873959/2, -21558611, 74098927/2], [9375032697/194, 1826445027/97, -9497665843/194], [-1653790269/194, -474031073/194, 817473397/97], [17120835/194, 4970565/194, -8468370/97]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[93/2, 61, -10], [293005/194, 474663/194, 2013/194], [-229/97, -769/194, -2/97], [0, 0, 0]], [[-55480980, -12768233/2, 15548743/2], [-4878486895263/2522, -460643375633/1261, 228277202707/1261], [54421381639/17654, 4795339508/8827, -4548395533/17654], [-8923/17654, -19/17654, 2/8827]], [[-141467529030005, -341305416388137/2, 153552448873979], [-13451809707394952113/2522, -14484625781446040679/2522, 7015952191054986514/1261], [73595207314901934/8827, 83897080140557142/8827, -159289632894386853/17654], [-9055774710/8827, -19474987318/8827, 15233689038/8827]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-8, -1, 2]], [ -97, 0, 0 ], [ -61, -15, 13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-60, 350, 8], [5601/194, -21357/194, 329/97], [767/679, 5783/1358, -159/1358], [-27/1358, 1/1358, 1/679]], [[121245/2, -8876, 471/2], [-2607515/194, 1171627/194, -567561/194], [1172365/679, 358585/1358, -653115/1358], [-7072/679, -2795/679, 3510/679]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-132, -61, -4], [2718/97, 1901/97, -338/97], [-163/97, -71/97, -1/97], [0, 0, 0]], [[-11188941, -4577285/2, 3129801/2], [5845523701/2522, 2848730583/2522, -879121372/1261], [-12869879/91, -2481508/91, 1930710/91], [43/8827, 163/17654, 2/8827]], [[2365341026207, 4665176896529/2, -3707766042097/2], [-845757589176379/1261, -360672514164917/2522, 634024975674887/2522], [524539446227399/17654, 517250433484583/17654, -413102520824621/17654], [-46989459/17654, 14162877/17654, 122481/17654]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-7, 1, 3]], [ -97, 0, 0 ], [ -17, -20, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-25/2, 13, 0], [-11648/97, 4006/97, -681/194], [-3289/1358, -402/679, -215/1358], [-3/679, 11/679, 1/679]], [[-43075/2, 3083/2, 7913/2], [-62129509/194, -2085980/97, 23295053/194], [-816574/97, -200993/194, 743959/194], [880/97, 484/97, -2035/194]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -11/2, -2], [-120335/194, 107540/97, 5043/194], [113/194, -233/194, -5/194], [0, 0, 0]], [[3175, 356, 1066], [-6429454503/2522, -348298761/1261, 1758620797/2522], [6731824/8827, -429526/8827, 905965/17654], [723/17654, -146/8827, 2/8827]], [[6783057247/2, -209062095, -4668349500], [-4269935042250433/2522, -703854430735696/1261, 1555448697395272/1261], [1425750091469/2522, 217760762995/1261, -885740538390/1261], [42358941/2522, 29974995/1261, -30859260/1261]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-7, 2, 2]], [ -113, 0, 0 ], [ -126, 3, 27 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17, -13, -2], [-18509/226, -16105/226, -1371/226], [-491/678, -299/226, -125/678], [-5/678, 0, 1/678]], [[-17/2, 2017/2, -10], [187647/226, 580023/226, 113183/113], [4382/113, -6564/113, 14353/226], [-16/113, 88/113, -81/226]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-31, -75/2, -4], [510035/113, 556009/113, 4013/226], [-779/226, -427/113, -5/226], [0, 0, 0]], [[-70928259/2, 1639945/2, -614984], [15159703484225/2938, -2078076013147/2938, 203085429232/1469], [-51395109/13, 21699965/39, -9136865/78], [6/1469, -20/4407, 5/8814]], [[-81121437662, 1738318382, 48755642953], [1250120744207584/113, -6285020305254/113, -718211628965206/113], [-2872123078121/339, 5900971592/113, 1651045895618/339], [1333/339, 125/113, -94/339]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-8, 1, 3]], [ -113, 0, 0 ], [ -39, 27, -30 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[23/2, -23, -5], [-3500/113, 15695/226, 279/226], [-847/678, 754/339, 117/226], [1/339, -1/678, -1/226]], [[3517/2, 389, -1509/2], [245883/226, 97983/226, -582], [-679315/678, -82360/339, 150217/339], [3064/339, 758/339, -1364/339]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 3, -1/2], [14875/226, 30815/226, -193/226], [-7/113, -75/226, 3/226], [0, 0, 0]], [[-782925, 37618, 120005], [-121133411959/2938, -17064464205/2938, 13881502690/1469], [636503425/8814, -43253297/8814, -29029127/4407], [-41/8814, 17/4407, -1/8814]], [[-135627445179/2, -16832839347/2, 60447096625/2], [-5589612351140507/1469, -1677446903012847/2938, 5259205142179689/2938], [28085700323992/4407, 1799202350043/2938, -12800856858953/4407], [-1179440/4407, -19389/1469, 273493/4407]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-5, -4, 2]], [ -113, 0, 0 ], [ -15, 9, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-503, 227, 3], [43713/113, -41597/226, 1259/226], [-11419/113, 377/339, -437/678], [209/226, -5/678, 2/339]], [[-175330716, -397364573/2, 373938693/2], [14987272350/113, 35225951219/226, -33245744161/226], [-40725669475/678, -3959460067/226, 37626659339/678], [373738625/678, 35919495/226, -345057145/678]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[173, 323/2, -9/2], [103587/226, 44583/113, 711/226], [-477/226, -231/113, 1/226], [0, 0, 0]], [[-563338938, 282930855/2, 30870002], [-3737607279611/2938, -505095093177/2938, 936983668525/2938], [90751566/13, -23333190/13, -12841952/39], [114/1469, -15/2938, 2/4407]], [[32941501973190, 6359164772720, -27482008528290], [133305097097623123/1469, 3712054178228031/1469, -96351111292842323/1469], [-602300998189650/1469, -335444193619060/4407, 508406688082940/1469], [-9123420/1469, 3760880/4407, 8922020/1469]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[6, -2, -3]], [ -127, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[4281/2, -351, 5/2], [502223/254, 16103/127, 1005/254], [-27837/26, -75/26, -15/26], [-9279/3302, -25/3302, -5/3302]], [[698975461/2, 367108405/2, -200780091], [92975897755/254, 41657333995/254, -24255887670/127], [-4989165291/26, -2327546925/26, 2667094947/26], [-1663055097/3302, -775848975/3302, 889031649/3302]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-11262, -781/2, -3], [-62967180/1651, -3525667/3302, 3203/1651], [1174933/169, 33633/169, -101/169], [-11633/21463, -333/21463, 1/21463]], [[-47805030113/2, 20032141200, 6213752799], [-266795127017041/3302, 112408363627506/1651, 33756362612788/1651], [2489379928424/169, -2096450146241/169, -1263044122653/338], [-24647326024/21463, 20756932141/21463, 12505387353/42926]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[7, 3, -5]], [ -127, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[-6473/2, -647/2, -5/2], [-486999/254, 13883/254, -413/254], [-12615/13, -9/13, -9/26], [-4205/1651, -3/1651, -3/3302]], [[-532700015/2, 1477920950, 3237944267/2], [-13863534005/254, 86213353212/127, 193909875593/254], [-508818345/13, 4753817109/13, 5306248455/13], [-169606115/1651, 1584605703/1651, 1768749485/1651]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-85/2, 41/2, 1], [-3613/26, 2557/26, 101/13], [-57/13, 46/13, 4/13], [0, 0, 0]], [[-860187/2, -216501/2, 447091/2], [-2624459549/3302, -3038572445/3302, -328363339/3302], [-434095/26, -479888/13, -190863/13], [-887/3302, -30/1651, -2/1651]], [[-129408963, 118111333, -38234183/2], [-533818875105/1651, 552228234321/1651, -882590070735/3302], [-113526093/13, 248134489/26, -144984644/13], [302475/1651, -2163105/3302, 474150/1651]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-9, 0, 2]], [ -127, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[-8997/2, -45/2, -1/2], [-154771/254, -7473/254, 55/254], [-26979/26, -141/26, -3/13], [-8993/3302, -47/3302, -1/1651]], [[6417387541/2, 1386363391, -4227808535/2], [113525903989/254, 23082456670/127, -73771250471/254], [19246925349/26, 4156776981/13, -12679916337/26], [6415641783/3302, 1385592327/1651, -4226638779/3302]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, 0, 0], [1, 0, 0], [0, 0, 0]], [[-10427/2, -10381/2, -8], [-47175883/3302, -1445869/3302, -12932/1651], [10389/26, -31117/13, -22/13], [-10365/3302, -2/1651, -2/1651]], [[-525985902374, -309686790423/2, 318042939603/2], [-1443530149217225/1651, -2415483135991725/3302, 1925847199093359/3302], [-149028575577/2, 1926642766149/26, -546661625373/13], [-621427367451/3302, -537609270951/3302, 213233237496/1651]]], 4, 2, [], [] >,
< [ 1, -2, -1, 1 ], [[-37, 11, 2]], [ -127, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, -5/2], [0, 0, -5/2], [-833, 5, -5], [0, 0, 0]], [[-193419/2, 10324, 6110], [-24586457/254, 1343707/127, 776033/127], [-1999585041/13, -751356445/26, 799831026/13], [-2487/1651, -7/3302, -2/1651]], [[-21374203365/2, 11991249236, -4419565166], [-2720038650985/254, 1530793990779/127, -563956994947/127], [-148503506579440/13, 13025849609427/26, 81360529203955/26], [-272617440/1651, 563977329/3302, -235700495/3302]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -1, 0], [730, 4, 3], [-737, -5, -3], [0, 0, 0]], [[-303804051/2, 1927755/2, 447618], [52441444324033/3302, -7835724442265/3302, 513723384050/1651], [-2709695755596/169, 802408048959/338, -105020420581/338], [-46236/21463, 363/42926, 5/42926]], [[-4234969286444280559/2, 2406792710545508604, -1782358365119919257/2], [786627885668187440571255/3302, -526777961869310150242392/1651, 400583067010061656582467/3302], [-40618524361426397882668/169, 54329115351536075237524/169, -20652971661233405922813/169], [-645191305421170/21463, 733145162859100/21463, -272252228134920/21463]]], 1, 192, [], [] >,
< [ 1, -2, -1, 1 ], [[-44, -13, 11]], [ -127, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 1/2, 2], [1, 1/2, 2], [-129, 2, -3], [0, 0, 0]], [[-90473, 193/2, 3656], [-11234348/127, 22243/254, 464471/127], [92766996/13, 6655020/13, -54724185/26], [-2328/1651, -6/1651, -3/3302]], [[-338059978685, -406564586237/2, 254098226493/2], [-41990456366705/127, -50413790743107/254, 31595149021663/254], [380811253228050/13, 133932646004244/13, -173370251255787/13], [-8607601970/1651, -5570290606/1651, 3056357139/1651]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-27, -3/2, 1], [1005, -27/2, 4], [-344, 4, -1], [0, 0, 0]], [[-3674530493, -67800193/2, 3553970], [226557087141016/1651, -30773487541653/3302, 9886162668568/1651], [-1221121919235/26, 40238263025/13, -51865065971/26], [9063/3302, 2/1651, -3/3302]], [[2712890886264864476, 1684054868463160198, -999597368366164215], [-12356234155797588202993/127, -8231461393177456134638/127, 4698290657632997539291/127], [433359626132973328130/13, 288161067825803895552/13, -164640712173954639383/13], [-3334176273535/1651, -2071138261860/1651, 1238964805145/1651]]], 1, 192, [], [] >,
< [ 1, -2, -1, 1 ], [[-54, -7, 16]], [ -127, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -5/2, -1], [1, -5/2, -1], [-1123, -2, -4], [0, 0, 0]], [[-283456, -207445/2, -173465], [-36068990/127, -26383181/254, -22029759/127], [-16146895779/13, -11310050103/26, 7411692291/13], [1759/1651, -61/3302, 1/1651]], [[15132665409/2, -1913828419, -5743271009/2], [1924764715667/254, -243096995349/127, -730568019553/254], [280813326498780/13, 81667574389146/13, -270660212809605/26], [-33621004/1651, 4684894/1651, 20806441/3302]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11067/2, -25/2, 7/2], [627079/26, -1513/26, 311/26], [10982/13, -27/13, 5/13], [0, 0, 0]], [[7373285207483, -2416159777/2, -326211339370], [53058082954703207/1651, -31649439928853/3302, -18530528629865/13], [29266133931817/26, -9899914383/26, -649535509908/13], [5299/3302, -9/3302, 1/1651]], [[26901513647623913823/2, -3390251897217088253, -9673856345990241479/2], [193558570757454854097517/3302, -24389279548242874336267/1651, -69586849156647771774361/3302], [26690080855581393943/13, -6725831667818301381/13, -9594723042926551044/13], [4975502840/1651, -1428796215/1651, -1818678785/1651]]], 1, 192, [], [] >,
< [ 1, -2, -1, 1 ], [[4, 29, -12]], [ -113, 0, 0 ], [ -126, 3, 27 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[425/2, -299/2, 3], [-6505/113, 37849/226, 995/226], [-50587/678, 123/113, -1/113], [2/3, 0, 0]], [[-178853/2, 67899, -18835/2], [3009905/226, -6458866/113, 5346977/226], [7971347/226, -2477939/339, -1929976/339], [-71395/226, 21091/339, 17816/339]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[27/2, -21, -5/2], [-3945/2, 6511/2, -15/2], [3/2, -5/2, 0], [0, 0, 0]], [[35693355/2, 4530477/2, -2483267], [-7787119978003/2938, -200935577826/1469, 562871991233/1469], [8610018142/4407, 808697659/8814, -756541115/2938], [-4141/8814, -25/4407, 1/2938]], [[3407387777465847/2, 1776135440439669/2, -1825127677191773/2], [-712147962698723630407/2938, -396378774725651856555/2938, 201267057797234010474/1469], [784340793909444431/4407, 893621333885544275/8814, -297809549796204369/2938], [-182478919768/4407, -128013313160/4407, 37087077096/1469]]], 1, 152, [], [] >,
< [ 1, -2, -1, 1 ], [[-17, 14, -9]], [ -113, 0, 0 ], [ -15, 9, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[307, -300, -5], [-326139/226, 45985/226, -247/113], [27554/339, 63/226, 290/339], [-695/678, -1/226, -5/678]], [[9379892081, -13221452629/2, 1359516763], [-6817125157914/113, 2389817425509/226, 1720501082874/113], [402790527316/113, -92010933867/226, -241381575561/226], [-5074268643/113, 1139274189/226, 3047553261/226]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[384, -174, -5/2], [4895900/113, 28051/226, -1709/226], [-25406/113, -143/226, 3/226], [0, 0, 0]], [[-27875170563630, 10574806186379, 3022217476539/2], [-366215149561761389/113, -10655771769528383/113, 23616672169642853/113], [50452576884769/3, 977157475377/2, -1082884844505], [637/678, 1/226, 0]], [[-1341006075060064801777580, 730626964487905154490451/2, 444282887846220630370089/2], [-260421352912200333225274534324/1469, 17686463949810176695733033439/1469, 165133080420085331700801897147/2938], [35878604698010322942471290/39, -2439164833281194658441488/39, -11374356951559233893078087/39], [230934548166385/4407, -50859410910539/8814, -139359818823071/8814]]], 1, 152, [], [] >,
< [ 1, -2, -1, 1 ], [[-49, -5, 14]], [ -113, 0, 0 ], [ -39, 27, -30 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-305/2, -407/2, -7], [-22709/226, 45993/226, -32/113], [8169/113, -37/678, 115/226], [-74/113, -1/678, -1/226]], [[115282063, -21025549/2, -89055180], [-632708959/226, 223064445/113, 6517772741/226], [-21512210099/678, 1353622307/678, 5680293448/339], [97573190/339, -6128564/339, -51608960/339]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[51/2, 17, -4], [101123/113, 88221/113, 667/226], [-485/226, -427/226, -1/226], [0, 0, 0]], [[317, 65, -81/2], [11064568/1469, 807931/1469, -5713089/2938], [782603/8814, 34795/4407, 14749/2938], [929/8814, 40/4407, 1/2938]], [[548163097/2, -14613853, -173621693], [15801959836501/2938, 1677318095503/2938, -3942397554415/1469], [119676517778/1469, -19781463412/1469, -82247569125/1469], [136718528/1469, -17512409/1469, -180858173/2938]]], 1, 152, [], [] >,
< [ 1, -2, -1, 1 ], [[-41, 1, 17]], [ -97, 0, 0 ], [ -7, -2, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[9963/2, 570, -2], [408519/194, -39594/97, -491/194], [-465420/679, -2055/679, -253/679], [6075/1358, 13/1358, 5/1358]], [[18672387937196, 25324981199031/2, 28064634910335/2], [915757380095890/97, -67343736097067/194, 653578410762575/194], [-1864382382706835/679, -1473223557971175/1358, -1116164556497392/679], [12180721922343/679, 9502873123965/1358, 7268200446546/679]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1549, -28, -3/2], [-1036627/97, 53561/194, 891/194], [-10569/194, 155/97, 3/194], [0, 0, 0]], [[72276194755/2, 4182879061/2, -3036957741/2], [-628587174188061/2522, -15970363902109/1261, 26264665084367/2522], [-11213781324931/8827, -533989568724/8827, 936795683301/17654], [13511/17654, -73/8827, 1/8827]], [[-2185276491106384901/2, -525298041241412725, -579619578051695238], [19082270387271320714873/2522, 4423711912892774792866/1261, 9959434825285542315393/2522], [341073872523992587306/8827, 155452167759557922440/8827, 176582940003114741708/8827], [-407960852891/17654, -159189832085/17654, -243656284453/17654]]], 1, 112, [], [] >,
< [ 1, -2, -1, 1 ], [[7, 12, -18]], [ -97, 0, 0 ], [ -17, -20, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[554, 12, 9/2], [21103/97, 2635/194, 335/97], [-104963/1358, -845/1358, -367/1358], [1101/1358, 8/679, 2/679]], [[109852979/2, 227265380, -251274895/2], [4518949099/194, 8442411044/97, -9313653259/194], [-10168310987/1358, -21643555718/679, 23979577135/1358], [108268403/1358, 225777950/679, -250245979/1358]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 0, 1/2], [-149951/194, 29055/194, -29/97], [76/97, -31/194, 1/194], [0, 0, 0]], [[-65946, -98411/2, -54535], [30722902767/1261, 7609213355/2522, 4095551355/1261], [-210745254/8827, -51030901/17654, -30475415/8827], [-1686/8827, 163/17654, 2/8827]], [[-9840868191, -25190281074, 3938012148], [327033538115278/97, 559819919146024/97, -257154073237509/97], [-3271506441, -5743243821, 2606752491], [-2411640/97, -3964401/97, 2279025/97]]], 1, 112, [], [] >,
< [ 1, -2, -1, 1 ], [[-41, 6, 12]], [ -97, 0, 0 ], [ -61, -15, 13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1949/2, -60, -13/2], [-33072/97, -10433/194, -215/194], [100381/679, -1861/679, -409/1358], [-2091/1358, 8/679, 2/679]], [[823286127/2, -583727185, 460769877/2], [26216925227/194, -33345020565/194, 13008345127/194], [-454892380/7, 1378372489/14, -544542669/14], [456697764/679, -685602864/679, 270664236/679]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[501/2, 125/2, 11/2], [-28037/194, -3317/194, -341/97], [617/194, 71/97, 1/97], [0, 0, 0]], [[1305762609/2, 89058613/2, -57470563/2], [-948297483723/2522, 55564262423/2522, 17635831945/2522], [72888944384/8827, 4101630796/8827, -8066267655/17654], [-3944/8827, -136/8827, -5/17654]], [[-2720352170100900, -5204398542805580, 2613039280784200], [127694857726364377/97, 326339316170235355/97, -167515445171670481/97], [-3337470669769040/97, -6310481183502640/97, 3245631509977540/97], [165406500/97, 378868500/97, -180964800/97]]], 1, 112, [], [] >,
< [ 1, -2, -1, 1 ], [[19, -8, -9]], [ -71, 0, 0 ], [ -25, -4, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 8217, 4], [-131513/71, -139685/71, 168/71], [16437/71, 5/71, -2/71], [0, 0, 0]], [[-8109757573955/2, -5526731674755/2, 2300307296907], [485578650182707/142, 150070139577651/142, -103968232997091/71], [-43484916546253/142, -3507248189613/71, 8107864835129/71], [127/142, 2/71, 0]], [[-19839138135315954655/2, -13918277998918944025/2, 6630798303355647340], [1194200374394547236015/142, 341881882263700652585/142, -271368102738522553220/71], [-53587262308467333147/71, -6572906607053929349/71, 19833897553720907341/71], [176358798/71, -35751844/71, -22202184/71]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[55/2, -26435/2, -1/2], [4178931/142, 448781/142, 719/142], [-26427/71, 5/71, -5/71], [0, 0, 0]], [[-382158642939545/2, 17193766777933049/2, -178967061448931], [-33825309890997041883/1846, -2343674332758871965/1846, -320917993857928161/923], [32983561001776225/142, -708936317154842/71, 701992457225993/142], [-3473/1846, -22/923, -1/1846]], [[2472416119968559996791897843/2, 10260948005491130235607484262, -9032026144512756547801948173/2], [-53087268405704453621082361362055/1846, 4431430664585737080356536500358/923, 7180151925662134371979835959457/1846], [25552936479375188275799738588/71, -6517310970214895115114803788/71, -2520609226703145711880510768/71], [-2690041858246400/923, 542551542794800/923, 339070291688800/923]]], 1, 60, [], [] >,
< [ 1, -2, -1, 1 ], [[-33, 2, 7]], [ -71, 0, 0 ], [ -18, 5, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-57967/2, -7/2, 1/2], [57735/142, -811731/142, 233/142], [-57963/71, -5/71, -4/71], [0, 0, 0]], [[-290723104627056, -262468840354871/2, 410728381541867/2], [-2585869997551878/71, 3623200458515327/142, 1664902876335697/142], [-1162809407689413/142, -524937731885907/142, 410728415343619/71], [-27/142, 3/142, -1/71]], [[-227077140464300830440, -76390304816568027174, 120997806076771765740], [-1467977300877893965152/71, 285194718901221797598/71, 503811122359327218900/71], [-908244578134695155457/142, -152776580992333505972/71, 241986104901763134897/71], [-20388327/142, -810244/71, 2717151/71]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[28, 1/2, -1/2], [222915708/923, -5173743/1846, -5601/1846], [-369023/923, 7/923, 4/923], [0, 0, 0]], [[174957872528821/2, -18922167263/2, 16724307813/2], [1393660953776582933721/1846, -43210846844767285461/1846, 25928674679420415919/1846], [-2306620931540828697/1846, 43813961655842113/1846, -42917858477873835/1846], [421/142, 1/142, 5/142]], [[-53593937927726249648924, -4265649520447564640250, 14455224350766514320966], [-424856865372379786587653398370/923, -27032086816581177027834245886/923, 110501837305101220292923700445/923], [705461780268811615668161372/923, 48647926911304555908402909/923, -184502444965875071784782788/923], [-129337980876/71, -10244064762/71, 34433626014/71]]], 1, 60, [], [] >,
< [ 1, -2, -1, 1 ], [[-35, -1, 9]], [ -71, 0, 0 ], [ -26, 17, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -332, 3/2], [-19679/142, 11075/71, -39/142], [-670/71, 1/71, 2/71], [0, 0, 0]], [[1429725375/2, -5977900571, 1708567615], [-317224396719/142, 269004563133/71, -76847518131/71], [-9226007998/71, 9563806615/142, -1364950236/71], [-78/71, -3/142, 0]], [[173389869162611280, -104719752997767520, -25973431046390240], [1459288138749282480/71, 7824710474052126240/71, -4270542399894871200/71], [495220279794675846/71, 593582259655717257/142, -351532752068310990/71], [5778357706/71, 3801743407/142, -3383745090/71]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-273285/2, -39053/2, -3/2], [8413467/26, 16784281/1846, 5477/1846], [-507526/923, -28/923, -3/923], [0, 0, 0]], [[47575/2, 9019/2, -21035/2], [-97892185/1846, -18082541/1846, 43140961/1846], [-297835/1846, 27307/1846, -73043/1846], [-505/142, -3/142, -1/142]], [[2243512750113/2, 595008451277/2, -500633440563], [-4604889571355265/1846, -1228678540630475/1846, 1028688370655625/923], [-7095282692133/923, -2571366013987/923, 9384500388537/1846], [-11973551871/71, -3938468204/71, 14030527629/142]]], 1, 60, [], [] >,
< [ 1, -2, -1, 1 ], [[-23, 15, 8]], [ -43, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33/2, 1/2, 0], [-33/2, 1/2, 0], [-307, 2, -5], [0, 0, 0]], [[-1561964163/2, -10579645/2, 21245759/2], [-67164566181/86, -454921111/86, 913567277/86], [-188888947326/13, -11685640881/26, -1212547649/26], [354/559, -37/1118, 3/1118]], [[-27751276594059552, -1141364774633904, -13622636688317712], [-1193306820021821664/43, -49078625053935888/43, -585774353111107248/43], [-6564282849359581329/13, -673923695374146649/13, -3678468394570907793/13], [12841757280/559, -865025568/559, 6343720416/559]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-95/2, 5/2, 0], [-5079/2, -79/2, -42], [-178, -3, -3], [0, 0, 0]], [[209005941/2, -1650785, -3195843/2], [6250654498815/1118, 160657932073/559, 16167695901/1118], [66223948218/169, 3489419574/169, 387713013/338], [9168/7267, -246/7267, 3/14534]], [[-4567521525044547/2, 230942921779971/2, -2127882991544149/2], [-130674607941121174287/1118, -12726472257345149643/1118, -74362835133869580301/1118], [-2766522000976604805/338, -138813135851814699/169, -1580046143944094937/338], [-399870202215/14534, 13055847486/7267, -200003182907/14534]]], 1, 176, [], [] >,
< [ 1, -2, -1, 1 ], [[15, -8, 8]], [ -43, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-45/2, -5/2, 0], [-439/2, -15/2, -5], [197, 5, 5], [0, 0, 0]], [[-27774753, 478716, 967272], [-11672203177/43, 1132215765/43, 60825217/43], [6335402793/26, -336074984/13, -11628863/26], [1831/1118, 7/559, -3/1118]], [[-41312865045816, -15228211762608, 39120219448752], [-16301577396284118/43, -7600470186131062/43, 16360867997189082/43], [8782531393024677/26, 2099834143846315/13, -8875393320479475/26], [2853561315/1118, 453083301/559, -2775685077/1118]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[290, 3/2, 0], [-1210, -117/2, 60], [-75, -3, 3], [0, 0, 0]], [[-42496316957/2, 944571513, -923832930], [98899083929281/1118, 262468991059/559, -515056115415/559], [71310763101/13, -308763447/13, 3177943/26], [-1252/559, -2/559, -5/1118]], [[47496445895323012807/2, 16898963199896132319/2, -24010764951379814547], [-112047400826816431272497/1118, -36101901376488595172839/1118, 52969286232738383521577/559], [-161160373706203275811/26, -26481625935195962880/13, 77199190913578295719/13], [2849152567025/1118, 456374112255/559, -105004335795/43]]], 1, 176, [], [] >,
< [ 1, -2, -1, 1 ], [[-8, -23, 8]], [ -43, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-167/2, 1, 5/2], [521/2, 1, 5/2], [-172, 0, 0], [0, 0, 0]], [[-2155625/2, -4221/2, 510065/2], [293125111/86, 582665/86, -65750977/86], [-29223609/13, -59442/13, 13254391/26], [2883/559, 31/559, 5/1118]], [[506431530902241/2, 487440168684187/2, -138770709741193], [-67251081345391141/86, -69466070635981239/86, 17781928155915787/43], [6736918895719141/13, 6862224122687160/13, -3588371976620883/13], [-370721217942/559, -1259585985767/559, -52416336787/559]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[279/2, 2, 0], [-877/2, 0, -6], [289, 1, 3], [0, 0, 0]], [[1499737238, 472587993/2, -290161096], [-202273701561/43, -60903887645/86, 37517488973/43], [80648921495/26, 12278224687/26, -7557295458/13], [-1637/1118, 5/1118, 0]], [[6554229451386816369, 17978991767340347269/2, -1752038950234479767/2], [-869309685304107360795/43, -2474815041726862204073/86, 221345473060307841727/86], [174009538256670290751/13, 245480900621263357455/13, -22423758600644173407/13], [-2136827739511/559, -567413452622/43, -323566786124/559]]], 1, 176, [], [] >,
< [ 1, -2, -1, 1 ], [[-7, -10, 3]], [ -41, 0, 0 ], [ 0, -3, -9 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[685, 179/2, 5/2], [-24778/41, -3573/82, 445/82], [-6701/246, 127/123, -43/82], [271/246, 1/123, 1/82]], [[-303065955/2, -618629822, 250127141/2], [10595225139/82, 44773150491/82, -5598157654/41], [1105398667/246, 1103582592/41, -649789643/82], [-24763258/123, -43307940/41, 11881922/41]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1867, 149/2, 1/2], [87597/41, 7539/82, 294/41], [1867/41, 149/82, 1/82], [0, 0, 0]], [[-1182697892111/2, -171828961871/2, 126798458120], [-722050041417753/1066, -53083472046639/533, 153807246683443/1066], [-562502655778/39, -81723530455/39, 40204389156/13], [59/3198, 25/1599, -1/1066]], [[754916570747033975/2, -1264995334781004061/2, 530481914582886781/2], [230425679463372255365/533, -385970141740009411088/533, 324187579736979054131/1066], [119681895353397016/13, -200548040920752160/13, 84100791345591028/13], [-1168490/533, -5329878/533, 2402025/1066]]], 1, 20, [], [] >,
< [ 1, -2, -1, 1 ], [[18, 2, -21]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-65, -273/2, 2], [357/2, 5/2, 1/2], [60, 5, -4], [0, 0, 0]], [[116394094221/2, 159260886324, -3739520320], [-379878866825/2, 19948003697, -29537637695/2], [-126621198001/2, 871749810, 142457028], [3/2, -1, 5/2]], [[-1377438601020670291, -409800196829491058, 318037462127390873], [1918083215128915752, 909455989024139066, -893142614082451522], [1331658814718077345/2, 287047785313275921, -605956092894420323/2], [-11661435, -33295185/2, 10002465/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-547/2, 1779, -9/2], [-2622, -5/2, -5/2], [-235, -1, 0], [0, 0, 0]], [[-159922802456860, 1045605934047640, -17480525647575/2], [-40115352280592165/26, 163072727408481/26, 900883452666/13], [-1797689663587106/13, 1364967660653/13, 1816696116331/13], [24/13, 8/13, -1/13]], [[25781296489181907627491/2, -43991963391989032779589/2, 44901837681271337085951/2], [-39198154393013144168659/2, -51723210090552830783974, 21904541124375642540874], [-3531248877471611376181/2, -9243237137842662518941/2, 3909780128561417846247/2], [67463575/2, 48191110, -14457460]]], 1, 120, [], [] >,
< [ 1, -2, -1, 1 ], [[6, 3, 4]], [ -41, 0, 0 ], [ -9, 6, -24 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[331/2, -44, 1/2], [-2745/82, -8789/82, -227/82], [-109/3, 7/6, -1/3], [103/123, 1/123, 1/123]], [[-21048, -139129/2, 699/2], [-793435/41, 5743681/82, 7141029/82], [353366/123, 4773145/246, 519335/82], [-7300/123, -114053/246, -14091/82]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[173/2, 53, -3], [2194/41, 1553/82, -321/41], [-217/82, -145/82, -2/41], [0, 0, 0]], [[-903953/2, 109722, 410373/2], [-142332049/533, 119850019/1066, 835204/13], [7485812/533, -6226822/1599, -21465937/3198], [621/1066, 49/3198, 1/1599]], [[2526114239425/2, 6895173814150, -967469828725], [118675309052247/533, 6039968013358547/1066, -1106721491403899/533], [-30837201772225/1066, -239206255819775/1066, 9067983488875/533], [-3099974700/533, -3542104550/533, 5493035000/533]]], 1, 20, [], [] >,
< [ 1, -2, -1, 1 ], [[-5, -21, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-129/2, 7, 1/2], [85, -1/2, 5/2], [120, 3, 2], [0, 0, 0]], [[1715105730, -199780755, -144115869/2], [-4549654157/2, 111678875/2, 36116238], [-6426480947/2, -30130563/2, 91867064], [-1, 5/2, 0]], [[-737359480866996, -205696201595040, 325353059164692], [1023498011430396, 288937038090804, -446409170565406], [1461515105417840, 822514206304695/2, -1273291383445331/2], [-39285, -19920, -53045/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2801/2, 3613/2, -1], [-1967, -5/2, -2], [-9, 0, -2], [0, 0, 0]], [[-5763915503517/2, 6417540413017/2, -98484576475/2], [-127793031929361/26, -1339676572820/13, 8701546353817/13], [-46129614135/2, 57340471/2, 50528103/2], [-61/26, 18/13, 1/13]], [[26407034923723496198, -54606134472019292162, -79709849668664207532], [-1222602766537352603800/13, 838493708530383045090/13, 1326187064131546807804/13], [-597378054268541211, 527045821490127508, 744087666555733442], [-153820580/13, -76931280/13, -102598420/13]]], 1, 120, [], [] >,
< [ 1, -2, -1, 1 ], [[7, 4, -10]], [ -41, 0, 0 ], [ 12, -21, -48 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-91/2, 65, -7/2], [-3223/82, 404/41, -221/82], [5281/123, -167/246, 217/246], [-119/123, -5/246, -5/246]], [[266995/2, -350445, -83805], [-8325445/82, -2079215/82, 13496709/82], [18179014/123, -2635250/123, -51430477/246], [-430610/123, 86122/123, 602854/123]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -25, 5/2], [513/82, -32643/41, 274/41], [-11/82, 185/82, -1/41], [0, 0, 0]], [[-3161022, -315759, 315649], [-61684066904/533, -24702796689/1066, 16449407515/1066], [927177965/3198, 26766004/533, -14147028/533], [1085/3198, -4/533, 1/1066]], [[-255328077495/2, -277480272890, 519773866305/2], [-6290009129801875/1066, -99490335252168/13, 4641025701944818/533], [44038546500935/3198, 23636243844535/1066, -38036749201045/1599], [14269180/1599, 22178165/533, -54258430/1599]]], 1, 20, [], [] >,
< [ 1, -2, -1, 1 ], [[19, 3, 2]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 37/2, -1], [-95/2, 1/2, -3/2], [63, -2, 1], [0, 0, 0]], [[-378315328, 1973944512, -96752768], [-5611501166, -170424887, 82367845], [14870468737/2, 77756928, -429556267/2], [1, 1/2, -3/2]], [[205522430472960, -1289140695278080, 126263780278400], [4058692948681437, 88259625549670, -261528525449275], [-10736060518426303/2, -25553839035191, 404757108277719], [-1358667/2, -388965, 1940445/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-523/2, -380, -5/2], [-901, -3/2, -27/2], [-141, -1, -5], [0, 0, 0]], [[2772394044497/2, 3575676971723/2, -206287244709/2], [118480171843751/26, -143826565538/13, -1179688981090/13], [9279280393418/13, 33652876289/26, -16327023221/13], [-3/26, -27/26, 5/26]], [[3680976477073750777/2, -28782794687245954, -3074148568357022897/2], [50780302790007127572/13, -21619476904059554541/26, -44739064399790422635/26], [8068301010878455808/13, -1821776346133790772/13, -3610359379599851200/13], [-5087772/13, -2907524/13, 7267812/13]]], 1, 120, [], [] >,
< [ 1, -2, -1, 1 ], [[18, -12, -8]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1075/2, 29, 0], [65997/58, 245/29, -199/29], [3517/58, -48/29, -5/58], [0, 0, 0]], [[54707398565, -1408301219/2, -22762851849/2], [6646549809595/58, -262209542919/58, -668456921929/29], [176084249274/29, -43786037579/116, -135331533735/116], [-32/29, -3/116, 1/116]], [[-527457068037289587, 396630695501729677, 5231324800438309], [-32278374408278477411/29, 25646089803818988329/29, -793897944124134963/29], [-1728226495852474139/29, 1443165849299838868/29, -91181062192708268/29], [393734148/29, -383342168/29, -32692384/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[276, 51/2, 1/2], [226704/29, 6203/58, -1297/58], [903/29, 10/29, -5/58], [0, 0, 0]], [[-2385/2, 584, 1029], [-28544110/377, 6353829/377, 9682499/377], [-526833/1508, 50313/754, 153643/1508], [1961/1508, 2/377, -1/1508]], [[4672953607, 94542064907/2, 155979076449/2], [1804492903885228/377, -2650982725871087/754, 1306665426356925/754], [18091014115441/754, -7066828887821/377, 4803177414331/754], [-100118918193/754, 47888891183/377, 5115923356/377]]], 1, 90, [], [] >,
< [ 1, -2, -1, 1 ], [[7, 12, -15]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-263, -15/2, 0], [-165756/29, 16425/58, -63/29], [-1721/58, 91/58, -1/58], [0, 0, 0]], [[3946563725/2, -558292005/2, -183533005/2], [2479645670137/58, -265204361749/29, -2571562141/2], [25743079375/116, -5587975545/116, -752705245/116], [-225/116, -5/116, -5/116]], [[-27185114538139775/2, 12911842305319515/2, 11667299918085457/2], [-16598900885172992537/58, 4194029479500641279/29, 6175469195051390875/58], [-172134140370680075/116, 87246673247910335/116, 63619565235935053/116], [1856222025/116, -983912085/116, -1142095743/116]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[489, 51, 7/2], [-995834/29, -20960/29, -2135/58], [3201/58, 71/58, 2/29], [0, 0, 0]], [[-6992042861/2, -188082231, -150873595/2], [185347261267479/754, -5934058126005/754, 3415108675933/754], [-595769801613/1508, 18384233877/1508, -11059377231/1508], [-63/52, -37/1508, 3/1508]], [[8628787283143793423/2, -4747986170067663903/2, -2770792299239260291], [-217008494040944090959583/754, 60699736829015511405409/377, 62547040809670506360390/377], [698123034282608583095/1508, -390523192064741719965/1508, -403127490531699864675/1508], [2156671530069/1508, -1145478654999/1508, -1302756066675/1508]]], 1, 80, [], [] >,
< [ 1, -2, -1, 1 ], [[18, -12, -8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[169/2, -3/2, 5/2], [-207/2, -5/2, -3/2], [169/2, -3/2, 5/2], [0, 0, 0]], [[208384666785, -850246563, -8032217145/2], [-511204502667/2, -8752923296, 17289779765/2], [208384666775, -850246559, -8032217137/2], [5/2, -1, -1]], [[-312015353886449790, 24540339530717355, -96725028177686385], [758321398089793931/2, -12964501844612909/2, 223570337972018693/2], [-312015353867801776, 24540339518292789, -96725028185961443], [-9324007/2, 6212283/2, 4137529/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-75, -1/2, -3/2], [294, 9/2, 39/2], [-75, -1/2, -3/2], [0, 0, 0]], [[-104648714568, 192751792, -608609950], [5338653605042/13, 27952350449/13, 530724620001/26], [-1360433291688/13, 2505774192/13, -7911929670/13], [-18/13, 7/13, -5/26]], [[8173715065029026946, -8145428233119374463/2, -5308861104770517942], [-439610198540912285872/13, 238317114305690398308/13, 300248195330812539344/13], [106258296007651519386/13, -105890567246895479283/26, -69015194434123989822/13], [1267766946/13, -1690184463/26, -563337942/13]]], 1, 70, [], [] >,
< [ 1, -2, -1, 1 ], [[22, -8, -10]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 0, -1], [-31, -10, 7], [-1, 0, 0], [0, 0, 0]], [[-10679/2, 4556, 12037/2], [1283225/58, -1074473/58, -809310/29], [97015/116, -22650/29, -116057/116], [181/116, -1/58, 3/116]], [[484846663/2, -3191822519/2, -1907250065/2], [-63192670533/58, 349939509387/58, 290472119717/58], [-1761300841/29, 7570355492/29, 10125319737/58], [413910, 710655/2, -903375/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[33/2, 10, -3], [-57093/58, -25423/29, -104/29], [-97/58, -83/58, -1/58], [0, 0, 0]], [[16361, -5293/2, -7637/2], [-973915069/754, 558934507/754, 13915793/754], [-3107375/1508, 636589/1508, 594309/1508], [-1025/1508, -47/1508, 1/1508]], [[-476304513/2, 81638343, 75245677], [15325039824183/754, -6148795258355/377, -2486485129753/754], [20527779319/754, -11463826893/1508, -4492678299/1508], [-6257061/754, 37213047/1508, 47970801/1508]]], 1, 90, [], [] >,
< [ 1, -2, -1, 1 ], [[12, 11, -15]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21/2, -23/2, 1/2], [-8423/58, 13873/58, 19/58], [-39/29, 95/58, -1/29], [0, 0, 0]], [[-27541003/2, 2699371, 1590723], [6227619103/58, -130647627/2, 2414092389/58], [183452321/116, -11462201/29, -7820305/116], [91/116, 0, 5/116]], [[2135412109549, 4611254071323/2, -1368658472624], [-116265571455108/29, -2231328519388433/58, 104943964651646/29], [-6335592514171/29, -8971508978632/29, 4063987520717/29], [-191987/2, -412337/2, 3503]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -45/2, 5/2], [-42517/58, 482045/58, 10373/58], [-9/29, 187/58, 2/29], [0, 0, 0]], [[-1589415/2, -52825, 71960], [172672892751/754, 8688872943/377, 5767883385/754], [5059399/58, 939605/116, 446403/116], [575/754, -11/1508, 3/1508]], [[-4193580425344, -5817508833084, 1948870193885], [394052782317769301/377, 793148264053255452/377, -125229257316423657/377], [11327533495372/29, 23649390265732/29, -3623651558636/29], [1295717486/377, 2509712135/377, -675295999/377]]], 1, 80, [], [] >,
< [ 1, -2, -1, 1 ], [[22, -8, -10]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[31, 0, 5/2], [20, -2, -5/2], [31, 0, 5/2], [0, 0, 0]], [[-497873677/2, 10298477/2, 86145069/2], [-150520183, 11297111/2, 73434349/2], [-497873635/2, 10298505/2, 86145069/2], [-3/2, -1, 0]], [[-327736254777163/2, 205576840580095, -54099168075559], [-181509865941043/2, 106554351108245, -29167953112099], [-327736229387771/2, 205576835971155, -54099173836783], [-906764, 329210, 411516]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[118, 0, 5/2], [1635, 4, -51/2], [118, 0, 5/2], [0, 0, 0]], [[-7007052742308, 19695261631/2, 3948557249], [-2522463654487001/26, -4442571579209/26, 44294210541476/13], [-91091685652050/13, 256038410707/26, 51331244501/13], [-31/26, 36/13, 2/13]], [[-2623119429554690786084, -653140492807132035230, 1190733304813132181464], [-938959163793379312123453/26, -116981593288358416955628/13, 212789163750325573354579/13], [-34100552584149062036810/13, -8490826406515225221806/13, 15479532962542574509276/13], [938154277/26, -170520938/13, -213210983/13]]], 1, 70, [], [] >,
< [ 1, -2, -1, 1 ], [[20, -10, -12]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19, 67, 5/2], [595/29, 3568/29, 645/58], [19/29, 67/29, 5/58], [0, 0, 0]], [[-1440539/2, -624649/2, 202913], [-32084133/29, -30514027/58, 15709401/58], [-2881429/116, -624997/58, 811149/116], [-11/116, -7/29, -21/116]], [[17766515321/2, 129735429, -4827823843/2], [821404404121/58, -12910328517/29, -195639188793/58], [17776614969/58, 121144921/29, -4820377695/58], [171288/29, -279136/29, 122610/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21, 71, 2], [563/29, 3823/29, 432/29], [21/29, 71/29, 2/29], [0, 0, 0]], [[-2642751, -249383, 1245115], [-3104733327/754, -89908701/377, 1490082233/754], [-137418875/1508, -3241749/377, 64745943/1508], [205/1508, 16/377, 5/1508]], [[-1368148524161/2, 273909350775/2, 200366494765], [-820816936122467/754, 235753261041719/754, 109674891151443/377], [-17785178143949/754, 1780092909429/377, 5209847291333/754], [17913717/377, -25848639/754, 14937939/754]]], 1, 90, [], [] >,
< [ 1, -2, -1, 1 ], [[11, 7, -15]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-125/2, -38, -5/2], [-639/58, -436/29, -355/58], [-125/58, -38/29, -5/58], [0, 0, 0]], [[85759/2, -199813/2, -24784], [363148/29, -674118/29, -548128/29], [171989/116, -399437/116, -24827/29], [17/116, 7/116, -3/58]], [[-2724095/2, 7615927/2, -1597501/2], [-6634724/29, 15836471/29, 8153941/58], [-5461121/116, 15227029/116, -797345/29], [-469/116, -175/116, 50/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[135, 221/2, 5/2], [-231463/29, -356263/58, -8287/58], [135/29, 221/58, 5/58], [0, 0, 0]], [[-21093393/2, 1882263/2, 86467], [1058768123147/754, -1710146897305/754, 736472318111/754], [-137100664/377, 24468709/754, 4496221/1508], [629/754, 19/754, 5/1508]], [[58663047744, 15350666288, 36746949063/2], [-6087969292988355/754, 4575392282579741/377, -88560781306927/13], [3050338947933/1508, 199546975247/377, 955369987431/1508], [-6583359/1508, -855852/377, -3116589/1508]]], 1, 80, [], [] >,
< [ 1, -2, -1, 1 ], [[20, -10, -12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -21/2, -23/2], [-331/2, -27/2, -27/2], [-1/2, -21/2, -23/2], [0, 0, 0]], [[-55819167, 2581529/2, 299466], [-1517693584, 442151696, 155454202], [-55819157, 2581539/2, 299486], [1, 1/2, 2]], [[13783447676128, -885874375568, -5680487407608], [314252884770438, -20295395229873, -186906292355983/2], [13783442237828, -885871692118, -5680484141653], [-543830, 268345, 653191/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -3, -9], [3355/2, -34, -122], [-1/2, -3, -9], [0, 0, 0]], [[-1514031489/2, 2200508, -4477337/2], [4531799313651/13, 528024440337/13, -1582999128419/13], [-1514031639/2, 2200548, -4477347/2], [-75/26, 20/13, -5/26]], [[3356369159274539, -2473610404807748, -7373929086440217/2], [-752533955513400818, -35069429576426200, 391059974945063746], [3356369337406233, -2473610493880680, -7373929300181667/2], [6851219, -3425882, -8220825/2]]], 1, 70, [], [] >,
< [ 1, -2, -1, 1 ], [[-9, 0, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -5/2, 0], [5/2, -5/2, 0], [3, 3, -3], [0, 0, 0]], [[-7/2, 3/2, 11/2], [-7/2, 3/2, 11/2], [9/2, -3, -3], [3/2, -1, -1]], [[2871/2, 1044, -1305/2], [2871/2, 1044, -1305/2], [-2610, -345, 765], [-870, -115, 255]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 5/2, -1], [-17, 29/2, -7], [12, -12, 6], [0, 0, 0]], [[13, 27/2, 1], [2257/13, -493/26, 186/13], [-2175/26, 3/26, -144/13], [-69/26, 29/26, -1/13]], [[16740, 60120, 34560], [4580512/13, 1675644/13, 2012420/13], [-4090743/26, -2679831/26, -2845125/26], [-159829/26, 30747/26, -9695/26]]], 1, 18, [], [] >,
< [ 1, -2, -1, 1 ], [[18, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 5/2, 0], [0, 27/2, -3], [-6, 15/2, 0], [0, 0, 0]], [[-9/2, 11, 33/2], [-107/2, 12, 78], [1/2, 16, 61/2], [-2, 2, 3/2]], [[1781/2, 737/2, -1199/2], [-17133/2, -1427/2, 5293/2], [6443/2, 3047/2, -4125/2], [-176, -121, 110]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 1/2, -5/2], [-363/2, 9/2, -9/2], [-15/2, 3/2, -15/2], [0, 0, 0]], [[7343165/2, 682309/2, -729347/2], [3150321455/13, 996286045/26, -2012717647/26], [286383597/26, 26609793/26, -28444439/26], [21/26, -16/13, 2/13]], [[9775068982, 1374605169, -4582531303], [7987527860791/13, 1663199514725/13, -3586527400145/13], [381227788886/13, 53609573605/13, -178718735951/13], [9814/13, -854/13, 539/13]]], 1, 78, [], [] >,
< [ 1, -2, -1, 1 ], [[-9, 0, -9]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 9/2, -3/2], [1140/13, -1593/26, 87/26], [87/13, -75/13, 9/26], [0, 0, 0]], [[8921, 3047, -13231/2], [-1897022/13, -2049117/26, 962504/13], [-231079/26, -94528/13, 186507/52], [-2/13, 1/13, -1/52]], [[-163998, -307392, 283971], [37877550/13, 66600783/13, -43129548/13], [1951068/13, 5901459/13, -2679858/13], [111/13, -186/13, 6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, -5/2, -5/2], [-873/2, 15/2, -9/2], [-15/2, 0, 0], [0, 0, 0]], [[-3178, 1030, 1086], [24761437/169, 1828350/169, 3000887/169], [432691/169, 39875/169, 46845/169], [-197/169, -5/169, -1/169]], [[354491/2, 5477025, -3397071], [562693185/169, -118107077819/338, 54806921587/338], [-18655863/676, -997218568/169, 929192955/338], [40667/676, 831825/338, -410367/338]]], 1, 104, [], [] >,
< [ 1, -2, -1, 1 ], [[9, 18, 0]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 13/2, -1/2], [-96/13, -255/26, -483/26], [-15/26, -51/26, -3/26], [0, 0, 0]], [[91485/2, 3445, -32213/2], [-2724103/26, -1486509/26, 840410/13], [-609109/52, -33101/52, 207593/52], [-1/52, -3/52, -1/52]], [[2679839/2, 163003/2, -444071], [-38651703/13, -48294501/26, 48424443/26], [-4461369/13, -684171/52, 2832483/26], [-9/2, 207/52, 171/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-37/2, 37/2, -1/2], [1245/26, -5205/26, 483/26], [66/13, -72/13, 3/26], [0, 0, 0]], [[60173, -149223/2, 71463/2], [-7604033/338, 194499075/338, -188850089/338], [-10731199/676, 14364583/676, -3823747/338], [-23/676, -47/676, -1/338]], [[12460428, -6849963, 1251131], [226056908/13, 909153551/13, -894743143/13], [-84151915/26, 25988031/13, -14405363/26], [-393/26, -131/13, 131/26]]], 1, 104, [], [] >,
< [ 1, -2, -1, 1 ], [[-18, -9, 18]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, 21/2, 0], [-660/13, 2121/26, 21/13], [-129/26, 165/26, -3/13], [0, 0, 0]], [[-12183/2, -7763, 12441/2], [-34174, -717334/13, 1075707/26], [-326667/52, -295543/52, 265075/52], [1/52, 1/52, 3/52]], [[230237, 262582, -405401/2], [17027193/13, 47997123/26, -34869093/26], [12387627/52, 9879915/52, -2280942/13], [-57/4, 75/4, 45/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, 5/2, 1], [-12543/26, -4311/26, 969/13], [63/13, 21/13, -15/26], [0, 0, 0]], [[-16, 47/2, 28], [116734/169, -401691/338, -208900/169], [-2225/338, 2361/338, 3379/338], [-1/169, -9/169, -1/338]], [[0, 0, 0], [94353/169, 22611/169, -83461/338], [3423/338, 1645/676, -3051/676], [69/338, 33/676, -61/676]]], 1, 104, [], [] >,
< [ 1, -2, -1, 1 ], [[-10, -2, 10]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, -19/2, -1], [44/13, 255/26, 53/13], [-12/13, 25/26, 3/26], [0, 0, 0]], [[4634, -3355/2, -95/2], [167079/26, 11584/13, -51484/13], [-10885/26, 2146/13, -1039/52], [-35/26, -1/26, 3/52]], [[-150854645/2, 157579273/2, -30425209], [-2097323831/26, -232754607/26, 815249997/13], [179935961/26, -199635883/26, 44172805/13], [239476/13, -216049/26, 190019/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 65/2, -3/2], [763/13, -17637/26, -1221/26], [1/26, -85/26, -5/26], [0, 0, 0]], [[68580, -18090, 11070], [-13393818/13, 5692490/13, -5719500/13], [-74250/13, 21330/13, -21870/13], [0, 0, 0]], [[7/2, 3/2, 2], [-4474/169, -3521/338, -2460/169], [27/676, -189/676, -24/169], [7/676, 3/676, 1/169]]], 1, 18, [], [] >,
< [ 1, -2, -1, 1 ], [[22, -12, -8]], [ -2258, 32, -4 ], [ 3, -10, -32 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1951/2, 576, 5/2], [-689859447639467/31446994, 1094153857000910/15723497, 254827701/31446994], [1951/698, 576/349, 5/698], [66406451/220128958, -105321241/110064479, -1/110064479]], [[344193653101, 111661912704, -371446835339/2], [131808021778404022457867/15723497, -476157204642063003909921/31446994, 77245531962595113840836/15723497], [344193653101/349, 111661912704/349, -371446835339/698], [-12687378832744220/110064479, 22917200229978065/110064479, -7435695117936679/110064479]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[460, 1089/2, 1], [3369913/698, 2002743/349, 4180/349], [460/349, 1089/698, 1/349], [0, 0, 0]], [[-91866855, 2626665/2, 27393945/2], [14541350948329816529/408810922, -3049913776481886169/408810922, 29074880765068447/204405461], [28124701509/4537, -11966654799/9074, 356121309/9074], [4886495104/1430838227, -1000066787/1430838227, 2/1430838227]], [[-1011364372601566425, 473158906640582175, 437598260565855480], [175397877150734070252640397139/408810922, -63434190146861017462128412311/204405461, -31665279428175062141907798255/204405461], [339686056462912617300/4537, -246908466980924702433/4537, -122302229116802868864/4537], [117611264435577660275/2861676454, -42176588794542045118/1430838227, -21331834417359831684/1430838227]]], 1, 84, [], [] >,
< [ 1, -2, -1, 1 ], [[-11, 6, 4]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, 0, -1], [-13, 1, 4], [-1, 0, 0], [0, 0, 0]], [[-646784, 163113/2, 156043/2], [8609517/13, -992606/13, -2302063/13], [2855807/52, -442289/52, -182771/52], [5/4, 5/52, -3/52]], [[7478513200, 18392485625, -13899952787/2], [-146847162993/13, -149795850042/13, 286211344817/26], [-13452627983/26, -46496415939/26, 13418761405/26], [-145539/13, -1142991/26, -927/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[49/2, -11/2, -1/2], [4807/26, -1149/26, 223/26], [-27/13, 7/13, -3/26], [0, 0, 0]], [[-1958137, 73624, 247205], [-382177827/26, 13667969/26, 2003221/2], [4282673/26, -217655/26, -524951/52], [1/13, 1/26, 1/52]], [[-2922347255/2, -7546636561/2, 3907493881/2], [-253772984637/26, -410032533190/13, 187852408281/13], [5484496909/52, 18761994923/52, -8594289731/52], [2785/52, 10775/52, -575/52]]], 1, 16, [], [] >,
< [ 1, -2, -1, 1 ], [[7, -3, 5]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[26, -14, 1/2], [-1610/13, 571/13, -163/26], [-59/26, 18/13, -2/13], [0, 0, 0]], [[-11071/2, 2183, 3531], [1503893/26, -1354161/26, -928010/13], [13379/26, -13197/52, -18987/52], [3/26, 3/52, -5/52]], [[168103/2, -68357/2, -47206], [-10671949/13, 1421863/2, 12377711/13], [-403331/52, 201919/52, 125907/26], [-87/52, -57/52, 3/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -59/2, 3/2], [-1139/13, 6573/26, -167/26], [-11/26, 77/26, 3/26], [0, 0, 0]], [[-522938, -1070559, 678851], [-446286689/338, 3036365317/338, -677185867/169], [2091459/52, 1313967/13, -3106243/52], [579/676, -21/338, 5/676]], [[20807525943/2, -8391365795/2, 2163326338], [-6565947628308/169, 10823932260848/169, -15664139702895/338], [-11378186792/13, 10110693579/26, -15310239721/52], [-476969/169, -4124379/338, -1206451/676]]], 1, 28, [], [] >,
< [ 1, -2, -1, 1 ], [[-10, -2, 10]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-43/2, -2, -5/2], [-15/2, 1, -1/2], [-43/2, -2, -5/2], [0, 0, 0]], [[-56420656, 7900760, 3148072], [-38038893/2, 11612449/2, 931905/2], [-56420655, 7900763, 3148071], [-1/2, -3/2, 1/2]], [[996440312816, -132963838264, -459855046632], [309571474709, -48549436823, -118373817152], [996440274068, -132963846152, -459855007910], [19374, 3944, -19361]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-49/2, -5/2, 2], [-675/2, -45/2, 31], [-49/2, -5/2, 2], [0, 0, 0]], [[1130193, -144204, -560156], [395134431/26, -48718379/26, -188241055/26], [1130218, -144153, -560148], [-41/26, -77/26, -3/26]], [[45922381255/2, 2241951935/2, -4713383295/2], [315781652652, 5177280034, -34364058265], [45925072377/2, 2242442509/2, -4716092239/2], [-148673/2, -51121/2, 156177/2]]], 1, 14, [], [] >,
< [ 1, -2, -1, 1 ], [[7, 3, 4]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 13/2, 5], [119/2, 39/2, 12], [1, 2, 1/2], [0, 0, 0]], [[35803/2, 4768, 12392], [12046357/26, 8141006/13, -10045031/26], [235996/13, 117525/52, -104207/52], [1/26, -5/52, -3/52]], [[-5857957, -2070223/2, 1669096], [-4236266793/26, -1829601151/26, 1113396725/13], [-256824403/52, -50818063/52, 98607689/52], [101/52, 263/52, 1/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 0, -2], [61, 49, 1], [-2, 0, 0], [0, 0, 0]], [[-25/2, -13/2, 4], [134827/338, -19423/169, 5869/338], [545/52, -333/26, 199/52], [-51/676, 8/169, -5/676]], [[-2521/2, -1152, -3163/2], [-29330325/338, 60636634/169, -38770521/338], [-143343/26, 231830/13, -107102/13], [3723/169, -14127/169, 6137/169]]], 1, 24, [], [] >,
< [ 1, -2, -1, 1 ], [[-15, -3, 15]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-18, 13, 1], [-25/13, 149/13, 86/13], [21/13, -17/13, -1/13], [0, 0, 0]], [[-33896, 47323/2, -1740], [62768/13, 264973/26, -69789/26], [155185/52, -30414/13, 3453/13], [-45/52, 0, -1/26]], [[-662713845/2, -4100173/2, 145261477/2], [4474931765/26, -88637227/2, -4460032701/26], [361445341/13, -2831132/13, -124658231/26], [-210456/13, 60435/13, 158553/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -9/2, -1], [10163/26, -2527/26, -337/13], [-11/26, 6/13, 3/26], [0, 0, 0]], [[-89893, 6241/2, 14181/2], [-4581971837/338, -155538022/169, 1706109917/338], [5078005/676, -104659/338, 8361/676], [-193/676, -7/338, 3/676]], [[-5845975/2, -333300, -1529765/2], [-87315195830/169, -830429630/169, 66701914849/338], [155534635/676, 30358655/676, 39033225/338], [-5635/676, -2415/676, -805/169]]], 1, 56, [], [] >,
< [ 1, -2, -1, 1 ], [[-45, -9, 45]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[30, -21/2, -1/2], [-639/13, 483/26, -123/26], [-201/26, 81/26, -9/26], [0, 0, 0]], [[-51/2, -22, 1], [297/13, 1577/26, 713/26], [121/26, 219/26, 155/52], [-1/26, 1/13, 3/52]], [[31/2, 4, -13/2], [-627/26, -87/13, 249/26], [-51/13, -27/26, 21/13], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[33/2, 17/2, -5/2], [-2109/26, -1851/26, -63/26], [-51/13, -33/13, 3/26], [0, 0, 0]], [[-21465/2, 15674, -5179], [2110879/169, 6425547/169, -9407191/338], [989351/338, -3081727/676, 262037/169], [113/169, -31/676, 1/338]], [[-32386759/2, 2775237, -4982233], [3346170790/169, 19455684527/169, 14749450823/338], [1291463319/338, -357565133/676, 738894999/338], [903265/169, -2874025/676, -1100341/169]]], 1, 1456, [], [] >,
< [ 1, -2, -1, 1 ], [[-8, 0, -2]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 15/2, 11/2], [576/13, 787/26, -9/26], [75/26, 19/13, 5/26], [0, 0, 0]], [[231935/2, -391671/2, -92987/2], [7095359/26, -3762027/13, -5919551/26], [1256133/52, -1980179/52, -141113/26], [17/52, -3/52, 1/26]], [[57445563/2, 31490281, -5495716], [2338607647/13, 2400050537/26, -1393424555/26], [21301649/2, 28294789/4, -7744733/2], [16785/26, 8325/52, -7965/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 11/2, 3/2], [-1191/13, -8529/26, -957/26], [-7/26, 14/13, 3/26], [0, 0, 0]], [[14645/2, -551, 2030], [-4734439/2, -557718, 788788], [4785/2, -203/2, -87/2], [0, 0, 0]], [[-2, -3, 1/2], [19189/338, 15078/169, -8313/338], [-17/676, 3/676, -67/676], [-7/676, -11/676, 3/676]]], 1, 18, [], [] >,
< [ 1, -2, -1, 1 ], [[6, 22, -8]], [ -1018, 108, -24 ], [ 9, -84, -110 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[21430984, 2707109/2, 3/2], [-48613624283157/2872018, -6581965661093/1436009, -5025427/2872018], [21430984/1436009, 2707109/2872018, 3/2872018], [109151/1436009, -3507568/1436009, -3/2872018]], [[-488065976228760388, -89224811226132016, 157633941005934966], [1179142682960220366426935/2872018, 283669233432647894236569/2872018, -196353591678594528939589/1436009], [-488065976228760388/1436009, -89224811226132016/1436009, 157633941005934966/1436009], [45183888102395307/2872018, 55688105855246817/2872018, -11430211017957075/1436009]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[50926585/2, 8027445, 2], [-46002971662781/2872018, -42643085589791/2872018, -2029387/1436009], [498961377/37336234, -188809241/18668117, 106782258/18668117], [13590351/37336234, 26695562/18668117, 2/18668117]], [[680164349451507229/2, 43938410128612601, -167542311432585322], [-382359232972009559592059/1436009, -53602582719159260511039/1436009, 413215124417977560087347/2872018], [357349808505656817/2872018, -7876591581870277/1436009, -69603836131517916/1436009], [17069798193931157/1436009, 5538929796285025/2872018, -21715153927124339/2872018]]], 1, 84, [], [] >,
< [ 1, -2, -1, 1 ], [[-3, -11, 4]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, -6, 2], [-158/13, -187/13, 51/13], [30/13, -16/13, 2/13], [0, 0, 0]], [[68047/2, 6433, 17213], [-302412/13, -4688301/26, -2804443/26], [11973, 4637/4, 685], [23/13, 5/52, 1/13]], [[190375891/2, -52210178, 52251277], [-1765423715/26, -9280375993/26, -3714615643/26], [119236213/4, -11569287, 22712617/4], [229659/52, -24828/13, 43449/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -14, -9/2], [-719/26, -954/13, -171/26], [-21/26, -36/13, -2/13], [0, 0, 0]], [[194929/2, -50140, 98275/2], [11046760/13, -2133111/13, 855606/13], [1583965/52, -286493/26, 128669/26], [-19/52, 1/26, 0]], [[-3826563197, 8449252803/2, -6047244145/2], [-389268260197/13, 475602355845/26, -246666431025/26], [-29122820193/26, 12216310013/13, -12319896647/26], [162932/13, -76774/13, 35328/13]]], 1, 16, [], [] >,
< [ 1, -2, -1, 1 ], [[-14, 7, 5]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 5, 1/2], [109/2, -37, 5/2], [-1/2, 1, 0], [0, 0, 0]], [[20, 103/2, 46], [-23087/2, -36778/13, 65607/13], [569/26, 175/13, 127/52], [23/26, 1/13, -5/52]], [[15657/2, -30114, 15957], [12198437/26, 8312859/26, -4205995/13], [110169/52, -523239/52, 137103/26], [11055/52, -37587/52, 4422/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 5, 3/2], [53/2, -80, 1/2], [1/2, 1, 0], [0, 0, 0]], [[82383/2, -1709, -42897/2], [-66045783/338, 61652161/338, 12708101/338], [618183/52, 42017/52, -74309/13], [-747/676, 3/676, 1/169]], [[-6968833820, -5723670416, 1810661412], [-488619248915/169, 12156354216912/169, -1789040187351/169], [-31298524654/13, -16969574302/13, 11504265020/13], [46303726/169, 22883958/169, -47248700/169]]], 1, 28, [], [] >,
< [ 1, -2, -1, 1 ], [[-8, 0, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -1/2, -2], [-21, -5/2, 1], [0, -1/2, -2], [0, 0, 0]], [[916, -357/2, 343/2], [31071, 4077, -10800], [912, -345/2, 363/2], [1, -3/2, -5/2]], [[-210315, -22032, 74414], [-14328713/2, -1566842, 3068476], [-210457, -22040, 74374], [71/2, 2, 10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[35, 1/2, 1], [10, 65/2, -4], [35, 1/2, 1], [0, 0, 0]], [[-3709968, -30, 2360894], [-74564975/26, 7119510/13, 60032087/26], [-48229671/13, -81/13, 30691793/13], [15/26, -30/13, 1/26]], [[-5154192859/2, -576642003, 2479371415/2], [-23162259715/13, -3570893182/13, 11440337423/13], [-67004288701/26, -7496470386/13, 32231964421/26], [-33205/26, 33663/13, -29999/26]]], 1, 14, [], [] >,
< [ 1, -2, -1, 1 ], [[-7, -11, 3]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-90, 11/2, 2], [1013/13, -83/26, 58/13], [219/26, -31/26, -1/26], [0, 0, 0]], [[-26086475, -14671133/2, 910801/2], [283965733/13, 16428185/2, 63215267/26], [63232553/26, 13254031/26, -759364/13], [-33/26, -1/26, 1/26]], [[-171261192356943/2, -2001503104717/2, 157026929107833/2], [1068437518346325/13, -195841233849901/26, -2128696344283699/26], [30025779003825/4, 554662692222, -27721584596529/4], [-172529785/52, -11418435/13, 12657645/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[509/2, 57/2, 1/2], [11055/26, 279/26, -537/26], [-619/26, -10/13, -2/13], [0, 0, 0]], [[1079925959/2, -165204578, 56073811/2], [11611928959/13, -8661744953/26, 465455650/13], [-2649414285/52, 265372651/13, -54791272/13], [3/4, 0, 0]], [[8095958220945/2, 5756535758179/2, -9012572840577/2], [1022125118917005/169, 904592227174302/169, -2323342183878119/338], [-117066176085705/338, -209060638495095/676, 70506440822941/169], [2555795/338, 1391885/676, -1218800/169]]], 1, 24, [], [] >,
< [ 1, -2, -1, 1 ], [[-12, 0, -3]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 11/2, 4], [-133/26, 493/26, -4/13], [29/13, 14/13, 3/26], [0, 0, 0]], [[28507/2, 36951/2, -9828], [725859/26, -1513157/26, 739275/26], [133077/26, 225439/52, -167119/52], [-15/26, -5/52, 5/52]], [[-197260, -131616, -153648], [3548787/13, -11909386/13, 1842291/13], [-998406/13, -318008/13, -112414/13], [54/13, 112/13, 2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 19/2, 2], [-2198/13, 11253/26, 110/13], [-9/26, 49/26, 1/13], [0, 0, 0]], [[-8175, 18689/2, 6203/2], [-45162085/169, 82352155/169, -3195147/338], [-1327959/676, 1187287/676, 93139/169], [95/676, -3/676, 1/338]], [[-6116033/2, -12607273/2, 2497915/2], [7031295573/338, -86935582083/338, 6339234542/169], [-216716360/169, -942728297/676, 445869795/676], [37996/169, 47173/676, -89355/676]]], 1, 56, [], [] >,
< [ 1, -2, -1, 1 ], [[-36, 0, -9]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -9, -5/2], [-99/13, -696/13, -567/26], [-36/13, -141/26, 3/26], [0, 0, 0]], [[110222, -30259/2, -164871/2], [18880033/26, -1452128/13, -14412319/26], [1196198/13, 60387/26, -2960783/52], [-11/13, -1/13, -1/52]], [[12312989/2, -2049285, -4825645/2], [995434845/26, -104763609/13, -487144875/26], [135697005/26, -10537323/13, -25371222/13], [-9207/13, 23994/13, -10602/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 33/2, 11/2], [-6291/26, -23859/26, -513/26], [51/13, 255/26, 6/13], [0, 0, 0]], [[69605, 53036, 150601/2], [-1170112946/169, -199240033/169, -397937554/169], [28753265/338, 18961671/676, 12705935/676], [229/338, 1/676, -5/676]], [[51593873/2, 79579205, -4096305/2], [-433885289226/169, -825238521930/169, 246860193678/169], [25309834893/676, 17186572341/338, -2656781310/169], [183825/676, 110295/338, -62415/338]]], 1, 1456, [], [] >,
< [ 1, -2, -1, 1 ], [[25, -6, 5]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -3, -5/2], [111/2, -10, 1/2], [-3/2, -1, 0], [0, 0, 0]], [[-7927, -3213/2, -19922], [11062167/13, -20804998/13, 8981224/13], [-40509/4, 1197/4, -2529], [-59/52, -3/52, -1/13]], [[6840741/2, 70538037/2, -10387275/2], [11297873175/26, -61712161853/26, 29650307581/26], [132831951/13, 369727071/26, -192415257/26], [16620/13, 16620/13, -20775/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 3, -5], [51/2, -38, 4], [-1/2, 3/2, -3/2], [0, 0, 0]], [[-243/2, -25, -19], [-34022/13, -19311/26, 19625/26], [310/13, 175/52, -183/13], [-6/13, -5/52, 0]], [[1044, 12121, -10525/2], [29844805/338, 25685119/338, -19467021/338], [-12895/13, 561/13, 21067/52], [2537/338, 6012/169, -11551/676]]], 1, 336, [], [] >,
< [ 1, -2, -1, 1 ], [[2, 10, 0]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-157/2, 25, 7/2], [-1735/26, 402/13, -211/26], [88/13, -67/26, -3/26], [0, 0, 0]], [[-3522005, -338718, 1090004], [-37459242/13, -4841417/26, 17727141/26], [7756453/26, 565215/26, -4652047/52], [-19/26, 0, 1/52]], [[790715865835/2, -34442778454, -151634110397/2], [8553076952231/26, -742335472032/13, -48490720193/2], [-877652027609/26, 113813449085/26, 151841665115/26], [2257017/26, -416640/13, 276675/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[39/2, -73/2, -4], [2387/26, -5531/26, -37/13], [-22/13, 85/26, 2/13], [0, 0, 0]], [[1817, 28269/2, -6757], [-6264072/169, 12254473/169, -3392972/169], [-77633/676, -875081/676, 421689/676], [7/676, -67/676, -3/676]], [[-139430936, 74903510, -4435916], [-12783812208/169, 108803710111/169, -61660633865/169], [2040321441/169, -1240842624/169, 275453401/338], [106323/169, -41727/169, 47901/338]]], 1, 18, [], [] >,
< [ 1, -2, -1, 1 ], [[-12, 6, -8]], [ -1258, 24, -20 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[5857590, -4075906, 1], [-18536164044085/5802466, 12898014254343/5802466, -11460598/2901233], [-31/2, -5/2, -2], [2928795/2901233, -2037953/2901233, 1/5802466]], [[29403050382017/2, -9254414362193, 12599093034099/2], [-23261448882553861679/2901233, 14642826376280850706/2901233, -19934100803408774125/5802466], [-100813900, 148076775/2, 182777595/2], [29403050382017/11604932, -9254414362193/5802466, 12599093034099/11604932]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-15, -7/2, -2], [-27, -3/2, -2], [0, 0, 0]], [[78057671/2, -104373489/2, -5/2], [-7468461293418830/37716029, 9984976142468976/37716029, -84986179104/37716029], [-23720873/13, 30968745/13, -35341/26], [78057671/150864116, -104373489/150864116, -5/150864116]], [[29656401372390, -27097428154043/2, 18899196118933], [-873274918258718828923/5802466, 199425634134913763696/2901233, -556157675947336074903/5802466], [-2880214285735/2, 1251662958203/2, -822477353662], [1140630822015/2901233, -2084417550311/11604932, 1453784316841/5802466]]], 1, 84, [], [] >,
< [ 1, -2, -1, 1 ], [[6, -3, 4]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[145/2, 34, 5/2], [-13071/26, -2601/13, -159/26], [-81/13, -67/26, -3/26], [0, 0, 0]], [[-3721/2, -354, 804], [165023/13, 62879/26, -69294/13], [2310/13, 1611/52, -1707/26], [20/13, 3/52, 1/13]], [[627072572, 214730003/2, -449015185/2], [-56894548969/13, -14720535135/26, 41544171911/26], [-862794360/13, 60494153/26, 630815043/26], [-12242745/13, 19742805/26, 4475655/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-285/2, 4, 3], [-327255/26, 14039/13, 1487/13], [319/26, -14/13, -3/26], [0, 0, 0]], [[9646385455/2, 280250292, -288070769/2], [71904582565917/169, 224631666817/169, -1577309315733/169], [-70091995912/169, -312073727/676, 6292437769/676], [-343/338, -51/676, -5/676]], [[-116239226130019377, 91474983778088757, 37772631509088861], [-264953057972240430727/26, 220843738392296982075/26, 71196569714661733193/26], [515952876587244397/52, -107625142265666508/13, -34354043491936847/13], [1331967693/52, -543530827/26, -234880905/26]]], 1, 16, [], [] >,
< [ 1, -2, -1, 1 ], [[2, 10, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[25, 1/2, 3/2], [-10, 5/2, 5/2], [25, 1/2, 3/2], [0, 0, 0]], [[-75178962, -5190246, -3024990], [30154664, -12802387/2, -8210951], [-75178970, -5190248, -3024986], [2, 1/2, -1]], [[-450180, 787266, 160308], [68415, -148001, 100142], [-450180, 787266, 160308], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-47, -3/2, -5/2], [-115, 111/2, -13/2], [-47, -3/2, -5/2], [0, 0, 0]], [[100218264, -19592844, -64615928], [173502619, -46203121/2, -68473942], [100218268, -19592842, -64615928], [-1, -1/2, 0]], [[-13277691815, -1614791342, 17842044221], [-166563764232/13, -366753763409/13, 359176115125/13], [-172609995971/13, -20992300822/13, 231946574257/13], [594/13, 3344/13, 154/13]]], 1, 14, [], [] >,
< [ 1, -2, -1, 1 ], [[8, 4, -11]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -7/2, 2], [93/2, -33/2, 4], [5/2, -2, 1/2], [0, 0, 0]], [[-3503/2, 2896, 16408], [5547495/26, 201705, 3390159/26], [699167/52, 14841/13, 7867/13], [-5/52, 1/13, 1/13]], [[-441179949/2, 701334773/2, 54316346], [-108273033394/13, 32680528281/13, 56681778095/13], [-18061151205/52, 3382627035/26, 4705113547/52], [41393/52, -1219/13, 38425/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -3, -9], [-17/2, 14, 18], [-5/2, -1/2, -2], [0, 0, 0]], [[-13065/2, 118925/2, 105190], [17580867/338, -35750509/169, -36676953/169], [2488728/13, 2751909/52, -2412699/52], [-16/169, -45/676, -3/676]], [[-2091654575/2, 6020033415/2, -2338129485/2], [109600011555/338, -354359660573/338, 21220344797/338], [-9832218025/26, 51066827389/26, -23876604833/26], [28359/338, -253575/338, 50301/169]]], 1, 24, [], [] >,
< [ 1, -2, -1, 1 ], [[-3, -14, 5]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-25/2, -3, -1/2], [-193/26, -69/13, -77/26], [14/13, 5/26, 1/26], [0, 0, 0]], [[4925/2, 1173/2, -2217/2], [53033/26, 5919/13, -10988/13], [-5737/26, -655/13, 4871/52], [-1, -1/26, 3/52]], [[99614441/2, 28954179/2, -45620131/2], [783460555/26, 1143219599/26, -896942783/26], [-47092502/13, -96772985/26, 84048235/26], [1132505/26, -4880765/26, 2521525/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[95/2, 28, 3/2], [15065/26, 3670/13, 103/26], [-53/13, -57/26, -1/26], [0, 0, 0]], [[-83719/2, -7990, 38341/2], [-82915841/169, -15441823/169, 74897009/338], [2371415/676, 228045/338, -1074037/676], [-509/676, -11/169, -1/676]], [[261636641/2, 102968859/2, -117749737/2], [257228797681/169, 107607759319/169, -241684706811/338], [-1857567597/169, -2947295423/676, 858400087/169], [337488/169, 2186641/676, -653883/169]]], 1, 28, [], [] >,
< [ 1, -2, -1, 1 ], [[3, 15, 0]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[484, 62, -1/2], [7980/13, 1178/13, 531/26], [-1083/26, -75/26, -1/13], [0, 0, 0]], [[-1083439617/2, -195961535/2, 160241443], [-9025340943/13, -129309725, 2587202961/13], [1192947929/26, 379608743/52, -173525793/13], [14/13, 1/52, -1/13]], [[-31620808922275/2, -389353734255, 4711398629745/2], [-263036740262334/13, -15623240970309/26, 34966043766400/13], [70279584848045/52, -345115103425/13, -2406255648740/13], [1774005/52, -170250/13, 112365/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[62, -18, -5/2], [28498/13, -9628/13, -1181/26], [-139/26, 49/26, 1/13], [0, 0, 0]], [[3115, -27590, 14507], [45729289/338, -175513094/169, 182230351/338], [-117837/338, 1739115/676, -903453/676], [138/169, -11/676, 3/676]], [[0, 0, 0], [-15511/169, 18260/169, 46057/338], [-255/676, 383/676, 129/169], [23/676, -27/676, -17/338]]], 1, 56, [], [] >,
< [ 1, -2, -1, 1 ], [[9, 45, 0]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-451/2, 6, 3], [4011/26, -807/13, -21/13], [1515/26, -66/13, -3/26], [0, 0, 0]], [[-38279901/2, 1114462, 7370354], [144821834/13, -47914033/26, -72487793/26], [252280445/52, -9920861/26, -23146521/13], [-93/52, -1/13, 1/13]], [[-2104839545048, 876566909136, 383900501128], [17354839100372/13, -12184894900180/13, 893547926203/13], [7034462133628/13, -3290202254952/13, -1027315683436/13], [-214948, 120336, -55372]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, -13/2, 1/2], [2367/26, -2097/26, 345/26], [-51/26, 24/13, -3/13], [0, 0, 0]], [[-114, 31/2, -1/2], [92449/338, 3863/338, 90483/338], [-4577/676, -571/169, -6169/676], [-353/676, 15/169, -1/676]], [[-19006820, 13917295/2, -7854315/2], [14460378467/338, -4136437105/338, 24382521697/338], [-637328545/676, -117094635/338, -1612499315/676], [-59265185/676, 12148185/338, -11979275/676]]], 1, 1456, [], [] >,
< [ 1, -2, -1, 1 ], [[-6, -29, 5]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -5, -7], [27, -20, -18], [-2, -2, -1], [0, 0, 0]], [[-375/2, 591/2, 630], [-6017/2, 43632/13, 18437/26], [10025/52, 4861/52, 6009/52], [35/52, 1/52, 5/52]], [[-2391514, 7402729/2, 5381455/2], [85027470/13, -286558357/26, 26117649/2], [-40987619/26, 17275930/13, 25553565/26], [-47824/13, 74725/26, 16226/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, 7, 21/2], [89/2, -80, -69/2], [2, 5/2, 2], [0, 0, 0]], [[1607, -2361, -831], [3166479/338, -11814385/338, 8161583/338], [26805/13, -10779/13, -2769/4], [211/338, 4/169, -5/676]], [[-25733811/2, 37063713/2, 39439039/2], [5436149817/169, -3759305959/338, -21038275214/169], [-178126571/26, 306764383/52, 91255456/13], [29319/338, -1241171/676, -361601/169]]], 1, 336, [], [] >,
< [ 1, -2, -1, 1 ], [[-29, 25, 5]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[465/2, 19/2, 7/2], [3713/26, -253/26, -61/26], [619/26, 10/13, 2/13], [0, 0, 0]], [[1380750613/2, -75351563, 81104175/2], [11047370689/26, -2433261031/26, 16359985], [918585705/13, -106928853/13, 187742369/52], [-1/13, 1/13, 3/52]], [[4391905227727/2, -627239473995, -498717924966], [16859635837730/13, -5653692049516/13, -6108198344463/26], [2905363215198/13, -3316282951455/52, -2611619552421/52], [-1174/13, 1795/52, -2767/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[139, -381/2, -3/2], [-22593/13, 62483/26, 235/26], [183/13, -251/13, 1/26], [0, 0, 0]], [[3189903/2, 158957/2, -615235/2], [-3336185694/169, -151319934/169, 629025548/169], [110077785/676, 1264576/169, -5388609/169], [147/676, -21/338, 1/338]], [[73185763, -82134867/2, -131942733/2], [-153899498703/169, 174865647167/338, 139180210428/169], [4973446587/676, -2733586811/676, -1105508353/169], [7065/676, -5445/676, -1530/169]]], 1, 336, [], [] >,
< [ 1, -2, -1, 1 ], [[8, -4, -4]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [-3/2, 25/2, -7], [-2, 3/2, 1]], [[0, 0, 0], [0, 0, 0], [-800, -86, 310], [336, 64, -176]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [55, 6, 6], [-10, -6, -4], [0, 0, 0]], [[0, 0, 0], [-168177709/13, 44104988/13, 8954050/13], [69372517/26, -2627207/26, -5351889/26], [-5/26, -16/13, 2/13]], [[0, 0, 0], [-969894735374/13, -626692053132/13, 580503554238/13], [225354986640/13, 126962606534/13, -113711994238/13], [-68678/13, -3956/13, -4140/13]]], 1, 8, [], [] >,
< [ 1, -2, -1, 1 ], [[-4, 0, -4]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [302/13, -935/13, -304/13], [29/13, -77/13, -5/13], [0, 0, 0]], [[0, 0, 0], [495855, -2090423/26, -2775733/13], [1142131/52, -699581/52, -254935/52], [-3/4, -1/52, -5/52]], [[0, 0, 0], [-22998709223/26, -9502702451/26, 10787030413/26], [-1485311591/52, -558990425/26, 227747821/13], [89997/52, 8122/13, -27903/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-721/13, 2312/13, -159/13], [-32/13, 37/13, -3/13], [0, 0, 0]], [[0, 0, 0], [-649077172/169, 576425107/338, 2602896007/338], [13860818/169, 2019639/338, 23627351/676], [292/169, 15/169, -1/676]], [[0, 0, 0], [-114589402795797/169, 163725369541853/169, 45201505178118/169], [685149348617/169, 3328382659565/169, -1200499308811/169], [22620079/169, 43012056/169, -23007575/169]]], 1, 9, [], [] >,
< [ 1, -2, -1, 1 ], [[-16, -4, 16]], [ -1258, 24, -20 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1595414877429/5802466, 847732066376/2901233, -6524136/2901233], [-3/2, 2, -2], [2763423/2901233, 5873365/5802466, -5/5802466]], [[0, 0, 0], [4853807781361133634/2901233, 944717518972206132/2901233, -1780687008305597038/2901233], [-67512, -12118926, 6296074], [33628999246395/5802466, 6545600335335/5802466, -6168696477210/2901233]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, -3/2, -3/2], [0, 1/2, -1/2], [0, 0, 0]], [[0, 0, 0], [32104841636220013/75432058, -14941124973594530/37716029, -700063157/75432058], [595579625/26, -277174100/13, 15/26], [-119115925/75432058, 55434820/37716029, -3/75432058]], [[0, 0, 0], [-273185162801805227330/2901233, -41522803089977711467/5802466, 126124838092625574113/5802466], [-5067880721175, -770292684415/2, 2339752095735/2], [1013576144235/2901233, 154058536883/5802466, -467950419147/5802466]]], 1, 54, [], [] >,
< [ 1, -2, -1, 1 ], [[-64, -16, 64]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1436/13, 54/13, 432/13], [-46/13, 2/13, -10/13], [0, 0, 0]], [[0, 0, 0], [-16786983/13, 7545540/13, 13402238/13], [970825/26, -193189/13, -717965/26], [-11/26, -1/13, 5/26]], [[0, 0, 0], [-245022/13, 472698/13, 360478/13], [6320/13, -12800/13, -8800/13], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34150/13, -43684/13, -1982/13], [-90/13, -134/13, -6/13], [0, 0, 0]], [[0, 0, 0], [-1017154765799/169, -46667480315/169, 53302714639/169], [-5956444045/338, 276734548/169, -77247009/169], [827/338, 23/169, 2/169]], [[0, 0, 0], [188406054697651124/169, 273525170958896470/169, -27436581091258211/169], [960274498575891/338, 1755735941457283/338, -98539608965826/169], [-140345619/338, -250297419/338, 392685/169]]], 0, 4608, [], [] >,
< [ 1, -2, -1, 1 ], [[-4, 0, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [46, 10, -15], [0, 0, 0], [2, 2, -2]], [[0, 0, 0], [-1029, 679/2, 1050], [0, 0, 0], [-21, -29/2, -39]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 2, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2421/26, 77/26, -69/13], [146/13, -38/13, 8/13], [-73/26, 19/26, -2/13]], [[0, 0, 0], [3552719/26, 2856525/26, 4471279/26], [-265734/13, -17442/13, -179550/13], [132867/26, 8721/26, 89775/26]]], 1, 15, [], [] >,
< [ 1, -2, -1, 1 ], [[4, 8, 0]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [196/13, 45/13, 60/13], [34/13, 9/13, -1/13], [0, 0, 0]], [[0, 0, 0], [2480/13, 582/13, -2731/26], [1725/52, 20/13, -393/26], [-5/52, 1/26, -1/26]], [[0, 0, 0], [-9273078/13, -1324243/13, 4029377/13], [-218519/2, -35795, 59879], [4235/26, 5845/13, -2940/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-37/13, -3992/13, 159/13], [-10/13, 57/13, -2/13], [0, 0, 0]], [[0, 0, 0], [-1637961679/338, 746075793/338, 571518806/169], [33512431/676, -5951836/169, -24142853/676], [67/676, -7/338, 3/676]], [[0, 0, 0], [630783531042/169, 464962374369/169, -258465477592/169], [-4496727570/169, -5642785260/169, 2027307930/169], [-19440/169, -13095/169, 14715/169]]], 1, 9, [], [] >,
< [ 1, -2, -1, 1 ], [[-12, 0, -4]], [ -2258, 32, -4 ], [ 3, -10, -32 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7932934178462910/15723497, 293144505993319/31446994, 5715410/15723497], [571/349, -307/349, 2/349], [-2465076566/1430838227, -91091527/2861676454, -2/1430838227]], [[0, 0, 0], [-1229485180081045593890962/15723497, 2218160956240483570401116/15723497, 2794463678907979384476652/15723497], [18559325967/349, -7918791465/349, 9489169521/349], [382049685824222426/1430838227, -689270365913349364/1430838227, -868350424214847764/1430838227]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1701565/349, -1833129/349, -2086/349], [1634/349, -1766/349, -1/349], [0, 0, 0]], [[0, 0, 0], [14096588523640888741/408810922, -16444331904512930/204405461, -9066686848057/204405461], [-32161900410/4537, 75591381/4537, -193841/4537], [8122023023/2861676454, -9486476/1430838227, 2/1430838227]], [[0, 0, 0], [488033211283701483001632278934/204405461, 68809026939736464254872882957/204405461, 409326140397004782698666023730/204405461], [-2226948700798109871246/4537, -313896365198112833623/4537, -1867807963043676795656/4537], [21630010148608866660/110064479, 39643885568645862030/1430838227, 235841721800343917598/1430838227]]], 1, 54, [], [] >,
< [ 1, -2, -1, 1 ], [[-48, 0, -16]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [474/13, 1128/13, 22/13], [48/13, -128/13, -6/13], [0, 0, 0]], [[0, 0, 0], [83773419/13, 17303732/13, -2640421], [-1124212/13, 1166033/26, -61799/13], [0, -5/26, 2/13]], [[0, 0, 0], [8284082280/13, 2221556098/13, -3482160066/13], [-80094405/13, -26846930/13, 15891660/13], [-135/13, 60/13, 180/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2446/13, 2040/13, 172/13], [36/13, 60/13, 2/13], [0, 0, 0]], [[0, 0, 0], [-711085822/13, -318240709/13, 251701339/13], [-31491181/26, 2833971/26, 1636865/26], [-1/26, -1/26, -5/26]], [[0, 0, 0], [-54465858844, -126702671926/13, 334841356241/13], [-24438691521/26, -5179124214/13, 7684977936/13], [-2451/26, -285/13, 114]]], 0, 4608, [], [] >,
< [ 1, -2, -1, 1 ], [[80, -64, -32]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-666/13, 372/13, 2/13], [-24/13, 64/13, -10/13], [0, 0, 0]], [[0, 0, 0], [45472/13, 26567/13, -27692/13], [-1853/13, 5961/26, 2683/26], [2/13, 3/26, 5/26]], [[0, 0, 0], [162116402/13, 42768008/13, -73714996/13], [-871407/13, 10298/13, 142851/13], [781, 154, -341]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-266/13, -582/13, 160/13], [30/13, 24/13, 6/13], [0, 0, 0]], [[0, 0, 0], [-3355633/169, 3829341/169, -1346217/169], [9589/13, 9028/13, -11675/26], [-6/169, -16/169, -3/338]], [[0, 0, 0], [-4439076136/169, 70634966018/169, -36844228613/169], [-292059805/26, 32478775/13, 18697982/13], [281325/338, -10974/169, 10230/169]]], 0, 8064, [], [] >,
< [ 1, -2, -1, 1 ], [[4, 8, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1/2, 61/2, 7], [0, 0, 0], [3/2, 5/2, 1]], [[0, 0, 0], [-2886, 9328, -3884], [0, 0, 0], [66, 74, -13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, 2, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [3535/13, -4601/26, 5/13], [0, 0, 0], [31/13, -31/26, 1/13]], [[0, 0, 0], [242296/13, 84303/26, -110822/13], [0, 0, 0], [2226/13, 1167/26, -873/13]]], 1, 15, [], [] >,
< [ 1, -2, -1, 1 ], [[-8, -4, 8]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-144/13, 706/13, -33/13], [2/13, 57/13, 1/13], [0, 0, 0]], [[0, 0, 0], [2291401/13, -12603555/26, 514237/13], [575681/52, -1870825/52, -25600/13], [5/52, -3/52, 1/13]], [[0, 0, 0], [1712472127/13, -31578991/26, -378038619/13], [84174085/4, 13685327/4, -7235844], [-16947/52, -5103/52, 1953/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-810/13, -1180/13, 76/13], [60/13, 72/13, 4/13], [0, 0, 0]], [[0, 0, 0], [-3330597/338, -8800115/338, -1749259/338], [253013/338, 1105919/676, 188991/338], [11/169, -59/676, -1/169]], [[0, 0, 0], [-6517442965/169, 1392975196/169, 5311211197/338], [436415253/169, -109380859/676, -902888855/676], [-2322/169, 92493/676, -39861/676]]], 1, 9, [], [] >,
< [ 1, -2, -1, 1 ], [[4, 16, 0]], [ -1018, 108, -24 ], [ 9, -84, -110 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4749030376495/2872018, -3648544442719/2872018, -4307624/1436009], [-5410901/1436009, 5155427/1436009, 2/1436009], [-2102279/2872018, 2613227/2872018, -2/1436009]], [[0, 0, 0], [7264952605595099202828/1436009, 1706129445516152609202/1436009, -2835078743572885461678/1436009], [-14208738604520831/1436009, -3723090493152359/1436009, 4958122278786446/1436009], [-2043248051332385/1436009, -672917843648675/1436009, 504088973332940/1436009]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [45338588132915/1436009, 69468618989591/1436009, 3585357/1436009], [-7131815201/18668117, -6612550344/18668117, -301/18668117], [53465468/18668117, 45363679/18668117, 2/18668117]], [[0, 0, 0], [5899319384333172382928015/2872018, -4110673963846243405496632/1436009, 828518984787798056316867/1436009], [-231822092313365465448/18668117, 107287682090470461882/18668117, 72656091126808451481/18668117], [3022902949575372703/37336234, -278227076141440130/18668117, -742683449983781694/18668117]]], 1, 54, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 64, 0]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-76, 8, 0], [-6, 0, 0], [0, 0, 0]], [[0, 0, 0], [-31817/13, -17324/13, -4018/13], [-4765/26, -3495/26, -1141/26], [-3/26, -3/26, 3/26]], [[0, 0, 0], [-58837681/13, 43729929/13, 78826737/13], [-5385176/13, 8917655/26, 7431045/13], [-989/13, -155/26, -398/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1504/13, -1830/13, -184/13], [96/13, -98/13, -4/13], [0, 0, 0]], [[0, 0, 0], [3501041/13, 50991, -11018/13], [293925/13, 37720/13, -110531/26], [-2/13, -1/13, 1/26]], [[0, 0, 0], [481960/13, -1453756/13, 600092/13], [27816/13, -87474/13, 37698/13], [0, 0, 0]]], 0, 4608, [], [] >,
< [ 1, -2, -1, 1 ], [[48, 80, -32]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1686/13, 562/13, -28/13], [-122/13, -84/13, 4/13], [0, 0, 0]], [[0, 0, 0], [-1287645/13, 17880501/13, -14937098/13], [-448373/13, 27429/13, 1326231/26], [-2/13, -2/13, 3/26]], [[0, 0, 0], [16544462/13, -152776241/13, 38707696/13], [2500209/26, 9617217/26, 1038306/13], [57/26, 27/26, -18/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [466/13, 2764/13, -456/13], [108/13, 140/13, 2/13], [0, 0, 0]], [[0, 0, 0], [-858147123/169, 782618565/169, 526214023/169], [-5612554/13, 5802123/26, 5071535/13], [3/169, -3/338, -2/169]], [[0, 0, 0], [-8600914/13, 5617288/13, -2395866/13], [-658170/13, -136320/13, 100110/13], [0, 0, 0]]], 0, 8064, [], [] >,
< [ 1, -2, -1, 1 ], [[-8, -4, 8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [209/2, 1/2, 4], [0, 0, 0], [-1/2, -1/2, 0]], [[0, 0, 0], [3, -4, 1], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, 5, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-57/2, -64, -2], [-6, 0, 0], [-3/2, 0, 0]], [[0, 0, 0], [419334/13, 233599/13, -441646/13], [58592/13, -23872/13, -12096/13], [14648/13, -5968/13, -3024/13]]], 1, 15, [], [] >,
< [ 1, -2, -1, 1 ], [[-64, 48, -32]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2664/13, 186/13, 162/13], [-14/13, 30/13, 6/13], [0, 0, 0]], [[0, 0, 0], [57189/13, 15934/13, -26083/13], [95/13, -45/26, -35/26], [-10/13, 5/26, 5/26]], [[0, 0, 0], [9761734/13, 3591306/13, -4651567/13], [3593/2, -3397/2, 337], [-5285/26, 5073/26, 160/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1636/13, -824/13, -430/13], [50/13, -70/13, -40/13], [0, 0, 0]], [[0, 0, 0], [-9763141/169, -1668948/169, 3491450/169], [-181515/338, 7064/169, 58359/338], [881/338, 6/169, 5/338]], [[0, 0, 0], [-991379130/169, -4818509562/169, -5522056586/169], [-91033580/169, 91256806/169, 76509920/169], [-891770/169, 1459260/169, 2188890/169]]], 0, 8064, [], [] >,
< [ 1, -2, -1, 1 ], [[-48, 0, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 0, 6], [8, -10, -4], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [1, 0, 0]], [[0, 0, 0], [-1680, -220, 700], [-638, -58, 174], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-160, 4, -6], [10, -8, 0], [0, 0, 0]], [[0, 0, 0], [-58172514/13, 26613796/13, 52032742/13], [1064657/13, 618699/13, 581722/13], [-43/13, 3/13, -2/13]], [[0, 0, 0], [22170025788/13, -2570242770/13, -12814178292/13], [-745297550/13, -28082001/13, 55132332/13], [24274/13, -4809/13, -2748/13]]], 0, 1248, [], [] >,
< [ 1, -2, -1, 1 ], [[12, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, -1, 1], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [5/2, 9/2, -19/2], [0, 0, 0], [-3/2, -5/2, 5/2]], [[0, 0, 0], [1590, 1188, -2051], [0, 0, 0], [-1247, -688, 860]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5, -1, 1], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [43/13, 3624/13, -167/13], [8/13, 124/13, 4/13], [2/13, 31/13, 1/13]], [[0, 0, 0], [-132786/13, 29136/13, 24163/26], [-5000/13, 500/13, 750/13], [-1250/13, 125/13, 375/26]]], 1, 21, [], [] >,
< [ 1, -2, -1, 1 ], [[-48, 0, -48]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [34/13, -32/13, -126/13], [-18/13, -110/13, 4/13], [0, 0, 0]], [[0, 0, 0], [-134871/13, 479246/13, -992684/13], [-1880919/26, -1605238/13, 1638747/26], [81/26, 2/13, -3/26]], [[0, 0, 0], [40159606384/13, -90533793020/13, -1418119162], [-55064714576/13, 27382868192/13, -24705036064/13], [598400/13, 1724480/13, -255680/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1322/13, 4280/13, 440/13], [-56/13, -114/13, -2/13], [0, 0, 0]], [[0, 0, 0], [-163393430/169, 1392229/169, 81009465/169], [5262265/169, 230874/169, -5039741/338], [367/169, 27/169, 3/338]], [[0, 0, 0], [-429339734188/169, -1974863190608/169, 1404692094370/169], [17635396284/169, 55069960248/169, -40318736920/169], [-3329640/169, 16845512/169, -7596512/169]]], 0, 16128, [], [] >,
< [ 1, -2, -1, 1 ], [[48, 96, 0]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1398/13, 1206/13, -108/13], [-108/13, 54/13, -6/13], [0, 0, 0]], [[0, 0, 0], [-344236/13, -81591/13, 160268/13], [-32603/13, -17395/26, 28343/26], [2/13, -5/26, -3/26]], [[0, 0, 0], [-378498330/13, -88787328/13, 165216788/13], [-36487424/13, -8761942/13, 16148426/13], [-132/13, 2222/13, -1034/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-27472/13, -6674/13, -2000/13], [-154/13, -40/13, -10/13], [0, 0, 0]], [[0, 0, 0], [22272466668/169, -3389636372/169, 11910555841/169], [247601605/338, -14166153/169, 64675848/169], [-85/338, 18/169, -2/169]], [[0, 0, 0], [-56095150052429/169, -79877251670752/169, 10969423317732/169], [-637720069527/338, -885720747115/338, 59321244106/169], [222431/338, 164261/338, -64541/169]]], 0, 16128, [], [] >,
< [ 1, -2, -1, 1 ], [[-96, -48, 96]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [146/13, -1520/13, 242/13], [-6/13, -80/13, 10/13], [0, 0, 0]], [[0, 0, 0], [53800/13, 9043, 24162/13], [11033/26, 15083/26, 922/13], [5/26, 1/26, 2/13]], [[0, 0, 0], [103312418, -13465070/13, -187935520/13], [105141882/13, 13812184/13, -26030738/13], [18054/13, 54774/13, -29682/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2994/13, -21304/13, 986/13], [-18/13, -84/13, 4/13], [0, 0, 0]], [[0, 0, 0], [106908755/169, 221226414/169, 179891552/169], [1024861/338, 1889253/338, 1383671/338], [19/338, 41/338, 3/338]], [[0, 0, 0], [3828334518/169, 55347557064/169, -25552636196/169], [29944353/169, 210719742/169, -100199107/169], [3689/169, -5032/169, 1955/169]]], 0, 16128, [], [] >,
< [ 1, -2, -1, 1 ], [[12, -8, -4]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1242/29, 1237/29, 52/29], [100/29, 113/29, 4/29], [0, 0, 0]], [[0, 0, 0], [72235545/58, 29629335/58, -12046544/29], [12016305/116, 5165065/116, -2013783/58], [-5/116, -1/116, 1/29]], [[0, 0, 0], [23577037415/58, 5727888681/29, -17543676045/58], [3547951191/116, 1532929923/58, -3476988477/116], [1971/116, -4779/58, 4185/116]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36048/29, 13313/29, 587/29], [270/29, 105/29, 5/29], [0, 0, 0]], [[0, 0, 0], [-3948706010/377, -3428385654/377, -3144769539/754], [-29435424/377, -53119169/754, -48788451/1508], [7/377, 11/377, 1/1508]], [[0, 0, 0], [-2598580463929/58, 352852840389/58, -322911325150/29], [-38669215125/116, 3949401905/116, -2368387076/29], [4653/116, 15939/116, -99/2]]], 1, 21, [], [] >,
< [ 1, -2, -1, 1 ], [[-32, -80, 80]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3400/29, -4770/29, 38/29], [-208/29, -358/29, -6/29], [0, 0, 0]], [[0, 0, 0], [288076391/29, -48852138/29, 44033213/29], [40613713/58, -6647732/29, 10399517/58], [1/58, -2/29, -1/58]], [[0, 0, 0], [4947413029336/29, 3156034228483/29, -2895870274624/29], [318038521200/29, 488960816011/58, -205748023924/29], [-10661/29, 4599/58, -3220/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28418/29, -37182/29, -10338/29], [40/29, -36/29, -10/29], [0, 0, 0]], [[0, 0, 0], [-299448207878/377, 16520639867/377, -199175667269/377], [-744582609/377, 6695331/754, 6337535/754], [16/377, 41/754, 3/754]], [[0, 0, 0], [-26066849398534619/377, 128625671918726121/377, -50409559140979356/377], [-13319667641259/754, 308394017089217/754, -73234989263330/377], [-3414625/754, 835495/754, -522595/377]]], 0, 10752, [], [] >,
< [ 1, -2, -1, 1 ], [[12, -8, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-115/2, -1/2, 3], [0, 0, 0], [-3/2, -1/2, 0]], [[0, 0, 0], [-23892, 45859/2, 1365], [0, 0, 0], [-672, 959/2, 273]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-91, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [7586/13, -49417/26, 5210/13], [0, 0, 0], [9/13, 19/26, -2/13]], [[0, 0, 0], [34517150535/26, -85919103505/26, 14844587000/13], [0, 0, 0], [-18287427/26, 12204421/26, 3037690/13]]], 1, 27, [], [] >,
< [ 1, -2, -1, 1 ], [[4, 12, -4]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [496/29, -1312/29, -368/29], [18/29, -42/29, -4/29], [0, 0, 0]], [[0, 0, 0], [494714/29, 132806/29, -212940/29], [4516/29, 1343/29, -3557/58], [-1/29, 1/29, 1/58]], [[0, 0, 0], [-4537423/58, -1346063/58, 1059354/29], [-45179/58, -1990/29, 30845/116], [27/29, -69/29, 117/116]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12175/29, -2496/29, -478/29], [59/29, 17/29, 3/29], [0, 0, 0]], [[0, 0, 0], [-4413374851/754, 19269923/13, 10771936/377], [42815893/1508, -7380333/1508, -1274135/1508], [1/52, -25/1508, -5/1508]], [[0, 0, 0], [-920818603687/377, -730051638219/377, 744990466095/754], [4625126421/377, 14320233195/1508, -6753836025/1508], [6057/754, 1425/1508, -13287/1508]]], 1, 21, [], [] >,
< [ 1, -2, -1, 1 ], [[-48, -32, 80]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [206/29, 892/29, -20/29], [-98/29, 190/29, -4/29], [0, 0, 0]], [[0, 0, 0], [3217353/29, 28194, -1580275/29], [-165907/58, 10921/29, 1453/29], [3/58, 0, -1/29]], [[0, 0, 0], [32586/29, -26676/29, 3160/29], [3594/29, -11460/29, 5040/29], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9000/29, -55154/29, -1248/29], [-2/29, -266/29, -6/29], [0, 0, 0]], [[0, 0, 0], [-9015263864827/377, -1333436748752/377, 1047308940087/377], [-5113655527/58, -99001614/29, -3606797/29], [43/754, 5/377, 1/377]], [[0, 0, 0], [-137615988323372110/13, 2470537139181357032/377, 664713813883343462/377], [-1267737072881205/29, 1109952134000421/29, 50835791655384/29], [11110401/377, -8168211/377, -2285106/377]]], 0, 10752, [], [] >,
< [ 1, -2, -1, 1 ], [[4, 12, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-285/2, -1/2, -11], [0, 0, 0], [1/2, -1/2, 1]], [[0, 0, 0], [-441535/2, -233861/2, 223851/2], [0, 0, 0], [801/2, 2271/2, -841/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [41371/26, 13211/13, 1465/26], [55/13, -90/13, -5/13], [55/26, -45/13, -5/26]], [[0, 0, 0], [-43303050965/26, -8566692127/26, 21949289431/26], [-5225639/13, -15695889/13, 5239837/13], [-5225639/26, -15695889/26, 5239837/26]]], 1, 27, [], [] >,
< [ 1, -2, -1, 1 ], [[-8, 4, -4]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4443/29, 479/29, -243/29], [-185/29, -42/29, -4/29], [0, 0, 0]], [[0, 0, 0], [-27825568/29, 163099315/58, -37616048/29], [4403897/116, -13016685/116, 6091785/116], [-85/116, -1/116, 1/116]], [[0, 0, 0], [2215810943/58, -1808623177/29, 776334136/29], [-182017811/116, 70418894/29, -127752097/116], [-38523/116, -4069/58, 19533/116]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4173/29, -20713/29, -542/29], [-20/29, -137/29, -2/29], [0, 0, 0]], [[0, 0, 0], [22852809813/754, 13581018547/754, 1239109509/754], [273877519/1508, 40553741/377, 12715139/754], [437/1508, 5/377, 1/377]], [[0, 0, 0], [-329143234018048/377, -816096196173512/377, -42830311610532/377], [-1804016509606/377, -5313526271395/377, -267579858240/377], [-1448320/377, -10298913/377, 3335662/377]]], 1, 21, [], [] >,
< [ 1, -2, -1, 1 ], [[-80, -48, 80]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5962/29, -7510/29, -80/29], [-196/29, -200/29, -8/29], [0, 0, 0]], [[0, 0, 0], [-881378049/29, 340940930/29, -104332166/29], [-46075257/58, -1046732/29, 4351395/58], [-57/58, 1/29, 5/58]], [[0, 0, 0], [168316145153952/29, -168100274216030/29, 118116430168020/29], [3624334574880/29, -764454500130/29, 1568212074140/29], [4715200/29, -1788800/29, 1892000/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48146/29, 48270/29, -1410/29], [40/29, -132/29, 4/29], [0, 0, 0]], [[0, 0, 0], [2610167646821/377, 1025875460582/377, -1479465980333/377], [1846285730/377, 4461095/754, 7330911/754], [-814/377, 51/754, 5/754]], [[0, 0, 0], [-12664901119611905799/377, -5847538591358238380/377, 8341521292017718988/377], [-16638946629123145/754, 56681679555635/377, -7845898033317865/754], [7464066195/754, -264055170/377, 3261595305/754]]], 0, 10752, [], [] >,
< [ 1, -2, -1, 1 ], [[-8, 4, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-67, -49, -73/2], [0, 0, 0], [1, 2, 3/2]], [[0, 0, 0], [110647, -109795, 59671], [0, 0, 0], [-1854, 864, -1044]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-37, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-165005/26, -7938/13, 5266/13], [31/13, 6/13, -4/13], [-31/26, -3/13, 2/13]], [[0, 0, 0], [-178394791661/26, 145141714711/26, -56816053179/13], [30059279/13, -14961205/13, 14961162/13], [-30059279/26, 14961205/26, -7480581/13]]], 1, 27, [], [] >,
< [ 1, -2, -1, 1 ], [[-16, -48, 0]], [ -41, 0, 0 ], [ 12, -21, -48 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-326/41, 764/41, 60/41], [-44/41, 84/41, -8/41], [0, 0, 0]], [[0, 0, 0], [-87638/41, 42909/41, 95624/41], [45124/123, 23354/123, -8423/123], [1/123, -1/123, -2/123]], [[0, 0, 0], [168, 58, -76], [-64, -14, 28], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-758/41, -24614/41, 138/41], [30/41, 226/41, -2/41], [0, 0, 0]], [[0, 0, 0], [-38758619274/533, 7728762904/533, -5479077902/533], [416603688/533, -31885934/533, 47970758/1599], [-16/533, 12/533, 2/1599]], [[0, 0, 0], [119006325296830/533, 18499952921475/533, -127541514038973/533], [-1316045743861/533, -486824837932/1599, 3818805341852/1599], [14077/533, 119546/1599, -35155/1599]]], 0, 1920, [], [] >,
< [ 1, -2, -1, 1 ], [[64, -16, 32]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-270, 40, -16], [-6, 4, -2], [0, 0, 0]], [[0, 0, 0], [10, 0, 0], [1, 1, 1], [1, 0, 0]], [[0, 0, 0], [71092, 120956, 7946], [916, 3044, 80], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3090, -1022, 506], [0, -4, 2], [0, 0, 0]], [[0, 0, 0], [-285732/13, 286280/13, 19972/13], [-446/13, 458/13, -41/13], [57/13, -59/13, -4/13]], [[0, 0, 0], [-148418886/13, -433460202/13, -3016776/13], [-331010/13, -584126/13, 184702/13], [26070/13, 88796/13, 3792/13]]], 0, 12096, [], [] >,
< [ 1, -2, -1, 1 ], [[48, 16, -48]], [ -41, 0, 0 ], [ -9, 6, -24 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [266/41, 7608/41, 116/41], [6/41, 462/41, 2/41], [0, 0, 0]], [[0, 0, 0], [-741/41, -3581/41, -2833/41], [173/123, -1972/123, -1022/123], [-4/123, 5/123, -5/123]], [[0, 0, 0], [-36116886/41, 3436166/41, 25560676/41], [-11803942/123, 510274/41, 3155000/41], [-35164/123, 2596/41, 5900/41]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1412/41, -14522/41, 990/41], [-52/41, -150/41, 10/41], [0, 0, 0]], [[0, 0, 0], [-4465150788/533, 1316682434/533, -2333589697/533], [-286716251/1599, -60305077/1599, 540078/533], [7/1599, -67/1599, -1/533]], [[0, 0, 0], [-200136102559000/533, -503995058211150/533, 288248747731056/533], [-7360510327866/533, -5316828037610/533, 4503594991028/533], [-948520/533, 820824/533, -389344/533]]], 0, 1920, [], [] >,
< [ 1, -2, -1, 1 ], [[-112, 64, 32]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-886, 152, -204], [-4, 8, -10], [0, 0, 0]], [[0, 0, 0], [20, 0, 0], [1, 1, 1], [1, 0, 0]], [[0, 0, 0], [-57396840, -14333816, 30509948], [-169918, -59318, 169666], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3318, -574, 294], [0, -4, 2], [0, 0, 0]], [[0, 0, 0], [26222/13, 30832/13, -17140/13], [1, 1, -1], [-5/13, -6/13, 4/13]], [[0, 0, 0], [32, -20, -38], [0, 0, 0], [0, 0, 0]]], 0, 12096, [], [] >,
< [ 1, -2, -1, 1 ], [[32, 0, 16]], [ -41, 0, 0 ], [ 0, -3, -9 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5006/41, 1086/41, -466/41], [-340/41, 60/41, -4/41], [0, 0, 0]], [[0, 0, 0], [-255338727/41, -17093533/41, 84044964/41], [-17265880/41, -4544917/123, 17816672/123], [-34/41, -1/123, 5/123]], [[0, 0, 0], [-2330885524167/41, -692899728, 1180496146374/41], [-465742136801/123, -23045665232/123, 228308950423/123], [-2201354/123, 1829239/123, 2616556/123]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-27724/41, -2748/41, -686/41], [-352/41, -44/41, -8/41], [0, 0, 0]], [[0, 0, 0], [-757473721315/533, 1138173658/13, 14529316666/533], [-9618580655/533, 349816668/533, 725493107/1599], [-852/533, -11/533, -4/1599]], [[0, 0, 0], [2115727254808841426/41, -915088632042281434/41, -1086535034003620256/41], [81308763543335732/123, -34419729851758528/123, -42989286634757398/123], [7619315594/123, -3395896240/123, -4419197002/123]]], 0, 1920, [], [] >,
< [ 1, -2, -1, 1 ], [[-16, -112, 32]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-58, 6, 82], [0, 0, -6], [0, 0, 0]], [[0, 0, 0], [38, 0, 0], [1, 1, 1], [1, 0, 0]], [[0, 0, 0], [-1970, -214, 1442], [-38, -18, -42], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10912, -1354, 826], [-4, 10, -6], [0, 0, 0]], [[0, 0, 0], [-34782008423936/13, -9112632109462/13, 14169611599666/13], [2543752746/13, -14641193/13, 8085091/13], [-42/13, -14/13, 5/13]], [[0, 0, 0], [-175006236982109272, -41420861201951000, 59142867900905096], [17814515860940, -16841092105347, 12548409818560], [-216367, -1769, -106567]]], 0, 12096, [], [] >,
< [ 1, -2, -1, 1 ], [[80, 16, 16]], [ -43, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 22, 22], [-10, 10, 0], [0, 0, 0]], [[0, 0, 0], [6206/43, -15984/43, -56838/43], [-3462/13, -6264/13, 2009/13], [428/559, 72/559, 5/559]], [[0, 0, 0], [-250560050/43, 989608870/43, -379147192/43], [91133342/13, -92799610/13, 27121076/13], [-2352288/559, -6235104/559, 3927328/559]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-594, 76, 126], [2, 4, 6], [0, 0, 0]], [[0, 0, 0], [-1988149631232/559, 138815438312/559, 526563533770/559], [394641648/13, -3609454/13, 1666694/13], [-76/559, 2/559, 2/559]], [[0, 0, 0], [15989762649715882/559, 12339445413569530/559, -11556619680532972/559], [-1939065473431/13, -5155578873671/13, 454904173195/13], [399551/559, 931551/559, -10545/43]]], 0, 16128, [], [] >,
< [ 1, -2, -1, 1 ], [[80, 16, -96]], [ -43, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-106, 4, 2], [-8, 6, 4], [0, 0, 0]], [[0, 0, 0], [-306429388/43, 56854482/43, 85211734/43], [-3936154/13, 1203676/13, -614676/13], [2746/559, -44/559, 4/559]], [[0, 0, 0], [983502869038/43, -92400202126/43, -373089510808/43], [10695930449/13, 857426529/13, 2517523267/13], [-7746441/559, -2394841/559, -762603/559]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [34, 10, 14], [-8, 2, 10], [0, 0, 0]], [[0, 0, 0], [-9361192/43, -11781168/43, 11978258/43], [960088/13, -75121/13, 90990/13], [4176/559, -5/559, 4/559]], [[0, 0, 0], [6498371849142830/43, 6985797448668808/43, -9442902642996268/43], [-506388157618634/13, -79938208604869/13, -280599154527587/13], [-2261872120920/559, -481056007623/559, -831003980133/559]]], 0, 16128, [], [] >,
< [ 1, -2, -1, 1 ], [[32, 96, -16]], [ -43, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -6, -20], [8, 8, 0], [0, 0, 0]], [[0, 0, 0], [63398/43, 21270/43, 8], [16013/13, 2209/13, -4350/13], [-875/559, -75/559, -2/559]], [[0, 0, 0], [-40726680/43, -414922698/43, 276099438/43], [-13336846/13, -76437869/13, 48427215/13], [-728706/559, 8583201/559, -4867995/559]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [878, -26, 86], [0, -2, 6], [0, 0, 0]], [[0, 0, 0], [63962017900/13, 654251069404/559, -1189480111584/559], [286855954/169, -1381451/169, 2235523/169], [-25322/7267, -671/7267, 1/7267]], [[0, 0, 0], [395566977121783098464/559, 100834738541279544200/559, -184660695177723650268/559], [44152332312099182/169, 17084446472178064/169, -52974851722044394/169], [-4017835061402/7267, -1353231014800/7267, 4707874057156/7267]]], 0, 16128, [], [] >,
< [ 1, -2, -1, 1 ], [[-80, -48, 64]], [ -71, 0, 0 ], [ -18, 5, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8512/71, 2400/71, 636/71], [244/71, 6/71, 4/71], [0, 0, 0]], [[0, 0, 0], [283478778/71, -89574796/71, -23760648/71], [7929194/71, -4191359/71, 132159/71], [-406/71, 1/71, -1/71]], [[0, 0, 0], [674281840746910/71, -143617792783488/71, -120900492788662/71], [18432646009720/71, -7116290839452/71, -1600943610650/71], [-1064868680/71, 49667748/71, 236338150/71]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4771860/923, 104268/923, -3836/923], [7766/923, -98/923, -4/923], [0, 0, 0]], [[0, 0, 0], [-33485952673340/71, 2833507113548/71, 2923488945424/71], [54531550005/71, -4183107521/71, -4884798005/71], [5/71, -1/71, -5/71]], [[0, 0, 0], [-2273139456580/71, -3959469868950/71, 2944072348284/71], [3745380464/71, 6380836512/71, -4771495264/71], [0, 0, 0]]], 0, 3360, [], [] >,
< [ 1, -2, -1, 1 ], [[-80, -64, 48]], [ -71, 0, 0 ], [ -25, -4, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1730/71, 4388/71, -132/71], [136/71, 0, 8/71], [0, 0, 0]], [[0, 0, 0], [-11794, 2535728/71, 348014/71], [229041/71, 54863/71, -59344/71], [-493/71, -5/71, -4/71]], [[0, 0, 0], [52614352944/71, 47616011038/71, -214480995108/71], [23707110346/71, -854574878/71, -11606375684/71], [-812716, 312032, 333524]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [152486/71, -15702/71, -318/71], [-512/71, 4/71, 0], [0, 0, 0]], [[0, 0, 0], [14424166346/71, 85299402644/71, 102786468102/71], [-5623790/71, -371327973/71, -5995978], [184/71, 3/71, 0]], [[0, 0, 0], [610321331006440596384/923, -567520222830984191042/923, -698348524768148059190/923], [-179655937664742880/71, 172897349960043942/71, 219592672664912994/71], [778629274166/923, -329348390656/923, -368504737658/923]]], 0, 3360, [], [] >,
< [ 1, -2, -1, 1 ], [[80, 16, -64]], [ -71, 0, 0 ], [ -26, 17, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [292/71, -104/71, 44/71], [-14/71, 2/71, -4/71], [0, 0, 0]], [[0, 0, 0], [3022814/71, -1658598/71, 170818/71], [-154364/71, 67313/71, -6274/71], [-104/71, 3/71, -4/71]], [[0, 0, 0], [-17031811193242/71, 4196870596126/71, 2682945025536/71], [897128530386/71, -159925522536/71, -166358904958/71], [679602336/71, 18009264/71, -175063758/71]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9011114/923, -660198/923, -28310/923], [1730/923, -134/923, -6/923], [0, 0, 0]], [[0, 0, 0], [425440639770/923, -162439113706/923, 104558622514/923], [81756430/923, -31684284/923, 20043843/923], [-486/71, -4/71, -1/71]], [[0, 0, 0], [3812601169574326/923, 74751616429910/923, -1093002741425992/923], [730904870340/923, 13123437932/923, -209071307714/923], [-4771800/71, -689260/71, 1723150/71]]], 0, 3360, [], [] >,
< [ 1, -2, -1, 1 ], [[-64, 64, 16]], [ -97, 0, 0 ], [ -7, -2, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9570/97, -2244/97, 340/97], [-1498/97, -374/97, -8/97], [0, 0, 0]], [[0, 0, 0], [5835/97, -43216/97, 20690/97], [-23405/679, -49312/679, 24520/679], [101/679, -4/679, -1/679]], [[0, 0, 0], [236506872/97, -385806634/97, 127689828/97], [541802284/679, -293546818/679, -95209194/679], [-887262/679, -526062/679, 818290/679]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [72880/97, 85638/97, 4608/97], [-140/97, -180/97, -8/97], [0, 0, 0]], [[0, 0, 0], [77206089404/1261, 11372513261/1261, -11747512373/1261], [-1087723446/8827, -64370017/8827, 115218023/8827], [2438/8827, -54/8827, -3/8827]], [[0, 0, 0], [-27055505189175518/97, -17415090474249375/97, 21437592123316651/97], [349477631390108/679, 296541615260839/679, -320125367868585/679], [-718444310/679, -819524100/679, 810724475/679]]], 0, 4608, [], [] >,
< [ 1, -2, -1, 1 ], [[112, 16, -80]], [ -97, 0, 0 ], [ -61, -15, 13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-376, -278, 10], [-8, -6, 0], [0, 0, 0]], [[0, 0, 0], [8994187/97, 2030330/97, -3663635/97], [1378567/679, 284103/679, -532649/679], [-27/679, -34/679, -5/679]], [[0, 0, 0], [-74/97, 47/97, 11/97], [-25/7, 24/7, -8/7], [4/679, -3/679, 1/679]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [149748/97, 123386/97, 2410/97], [660/97, 516/97, 10/97], [0, 0, 0]], [[0, 0, 0], [10491437889/1261, 5704220638/1261, -2601491121/1261], [387456631/8827, -16395573/8827, 3303087/8827], [-19/8827, 128/8827, -3/8827]], [[0, 0, 0], [253502401047042/1261, 66374566308242/1261, -107094430171792/1261], [7290589413714/8827, 3208051262484/8827, -3791929020674/8827], [889208/8827, -234110/8827, -164/91]]], 0, 4608, [], [] >,
< [ 1, -2, -1, 1 ], [[-96, -80, 64]], [ -97, 0, 0 ], [ -17, -20, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-36776/97, -56392/97, 386/97], [-938/97, -1436/97, -10/97], [0, 0, 0]], [[0, 0, 0], [-82832857669/97, -11036549281/97, 39179761215/97], [-14816047993/679, -1986765114/679, 7035745287/679], [-12/679, 9/679, 4/679]], [[0, 0, 0], [398610024504312/97, 65380169149374/97, -164404869414906/97], [71236016392886/679, 11879141586244/679, -29504741499628/679], [56394/679, -49614/679, 66/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-401258/97, -334768/97, -3144/97], [-912/97, -784/97, -6/97], [0, 0, 0]], [[0, 0, 0], [-31642562442032/1261, -8369163508254/1261, 4729277267392/1261], [-547471882428/8827, -21405296446/8827, 24261001068/8827], [-268/8827, -72/8827, -4/8827]], [[0, 0, 0], [3479875073862180165/1261, 4030447068217066849/1261, -4019762466974918461/1261], [33025958666086777/8827, 128535372830452272/8827, -93006150518941445/8827], [26208020/8827, 48807835/8827, -44471716/8827]]], 0, 4608, [], [] >,
< [ 1, -2, -1, 1 ], [[-160, -32, 48]], [ -113, 0, 0 ], [ -126, 3, 27 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-114, 16, -10], [-10, 2, 0], [0, 0, 0]], [[0, 0, 0], [64781660/113, 21017139/113, -21170828/113], [16664630/339, 4695245/339, -6039916/339], [-1/339, -4/339, -4/339]], [[0, 0, 0], [-44031724784/113, -2821787166/113, 14282927539/113], [-11085327314/339, -663375482/339, 1214994967/113], [3016/339, -2291/339, 290/113]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-510014/113, -375404/113, -970/113], [-1432/113, -1070/113, -6/113], [0, 0, 0]], [[0, 0, 0], [1015012523986/1469, -1341954627947/1469, 201363790618/1469], [8097998882/4407, -9977096099/4407, 1076160052/4407], [47/4407, -32/4407, 4/4407]], [[0, 0, 0], [-829086756054052/1469, 1741545904705394/1469, 1980770990561752/1469], [-7101230261090/4407, 4958653335286/1469, 5624543255352/1469], [28294/4407, -112/1469, -5628/1469]]], 0, 5376, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, 16, 48]], [ -113, 0, 0 ], [ -39, 27, -30 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12170/113, 2200/113, -540/113], [-1168/113, 200/113, -8/113], [0, 0, 0]], [[0, 0, 0], [-15793/113, 45309/113, -19600/113], [-4085/339, 10765/339, -4702/339], [-5/339, 4/339, -1/339]], [[0, 0, 0], [-345098/113, -2457939/113, 1721746/113], [231752/113, -147419/113, 12166/113], [2550/113, 505/113, -1105/113]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-775440/113, -13726/113, -5110/113], [1394/113, 26/113, 8/113], [0, 0, 0]], [[0, 0, 0], [-14781200204390/1469, -914435432836/1469, 2203487375130/1469], [26573571372/1469, 1662622012/1469, -11931424724/4407], [20/1469, 24/1469, 4/4407]], [[0, 0, 0], [-16503142708115053/1469, -23805538799972762/1469, 17628496629241802/1469], [29707414343463/1469, 42716121727036/1469, -31660272320112/1469], [51205/1469, 1425/1469, -11714/1469]]], 0, 5376, [], [] >,
< [ 1, -2, -1, 1 ], [[-144, 16, 48]], [ -113, 0, 0 ], [ -15, 9, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20996/113, 56554/113, -706/113], [-602/113, 1748/113, 6/113], [0, 0, 0]], [[0, 0, 0], [-411911475/113, -312988961/113, 175059618/113], [-19172480/113, -34000181/339, 24354772/339], [-275/113, 1/339, -5/339]], [[0, 0, 0], [73988461398004/113, 78970848044906/113, -86189995310946/113], [3474974080476/113, 2663146110018/113, -9552053945974/339], [81192784/113, -73199712/113, 6520664/339]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22690/113, 211274/113, 1450/113], [100/113, -1090/113, -4/113], [0, 0, 0]], [[0, 0, 0], [-909095734360/1469, 654055975007/1469, 868256306368/1469], [4789445983/1469, -3352516805/1469, -13616202065/4407], [-1427/1469, 14/1469, -2/4407]], [[0, 0, 0], [31615608508292945208/1469, -123238800339894210584/1469, -101635295603999884444/1469], [-154843006856052410/1469, 1917635473426076288/4407, 522707414394213302/1469], [-150571994808/1469, -100011639586/4407, 137732646330/1469]]], 0, 5376, [], [] >,
< [ 1, -2, -1, 1 ], [[96, -32, -48]], [ -127, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -4, -8], [-8, 8, -6], [0, 0, 0]], [[0, 0, 0], [-3413114/127, -2583222/127, -749256/127], [-303951/13, -1425/13, -19980/13], [-1893/1651, -59/1651, -4/1651]], [[0, 0, 0], [-3700495356/127, 708594846/127, 1808124370/127], [-278044479/13, 165315597/13, 31438746/13], [-1666725/1651, 868575/1651, 234750/1651]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-126, 0, 8], [2, 0, -6], [0, 0, 0]], [[0, 0, 0], [13748810, 3590810, -5955110], [-149155, 1722, 2022], [5, 0, 0]], [[0, 0, 0], [12061463769832/1651, 2428064091560/1651, -5790922411302/1651], [-23806650782/169, 21469662182/169, 7200129343/169], [103463614/21463, -93978874/21463, -33351035/21463]]], 0, 6048, [], [] >,
< [ 1, -2, -1, 1 ], [[112, 48, -80]], [ -127, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 10, 8], [10, -10, 6], [0, 0, 0]], [[0, 0, 0], [-8594, 85446/127, 498/127], [34373/13, -3048/13, 1427/13], [11085/1651, 50/1651, -1/1651]], [[0, 0, 0], [18821152320/127, -118534048882/127, -269534585516/127], [-1114056627/13, 4384172854/13, 9710607216/13], [-450923441/1651, 1686061562/1651, 3136858720/1651]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2248/13, 2206/13, -370/13], [42/13, -38/13, 8/13], [0, 0, 0]], [[0, 0, 0], [-7984/127, 384054/127, 24912/127], [-10188/13, -219/13, -12/13], [-3396/1651, -73/1651, -4/1651]], [[0, 0, 0], [1582965450/127, -3676473164/127, -1440511650/127], [15734187/13, -6743223/13, 40459338/13], [5244729/1651, -2247741/1651, 13486446/1651]]], 0, 6048, [], [] >,
< [ 1, -2, -1, 1 ], [[-144, 0, 32]], [ -127, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 10, -8], [0, 2, -2], [0, 0, 0]], [[0, 0, 0], [-824060/127, 8466/127, -2412/127], [22596/13, -66/13, 3/13], [7532/1651, -22/1651, 1/1651]], [[0, 0, 0], [-149968080566/127, -71597971514/127, 83583584070/127], [4128087108/13, 1955409624/13, -2292174648/13], [1376029036/1651, 651803208/1651, -764058216/1651]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [122, -26, -12], [-10, 6, 6], [0, 0, 0]], [[0, 0, 0], [28942444652/1651, -890828032/1651, -9024619290/1651], [-11773526/13, -1222461/13, 1693181/13], [3824/1651, -3/1651, -5/1651]], [[0, 0, 0], [172072090636598112/1651, 104893683022170592/1651, -113136764770011262/1651], [-72470017685738/13, -54376365511738/13, 44167647964768/13], [20827046726/1651, 23113466218/1651, -15506393848/1651]]], 0, 6048, [], [] >,
< [ 1, -2, -1, 1 ], [[-592, 176, 32]], [ -127, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 6, -8], [2280, 0, 10], [0, 0, 0]], [[0, 0, 0], [772235406/127, 3546160/127, -1571718/127], [57547394745/13, 15809730069/13, -30776274999/13], [-7849/1651, -77/1651, -5/1651]], [[0, 0, 0], [-127988351179559570/127, 146572261601252828/127, -54248145165928108/127], [-363960123440439258, -265980876425822220, 276729078964096182], [100037619214/127, -114128694560/127, 42336866574/127]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [166, 14, 6], [58, -4, 2], [0, 0, 0]], [[0, 0, 0], [3083611504034/1651, 296759007938/1651, -99136932390/1651], [109369511740/169, -4188012328/169, -3082056753/169], [-115004/21463, -184/21463, -3/21463]], [[0, 0, 0], [-381620373662650018769810/1651, 367517598652152602104810/1651, -129668566937083235651604/1651], [-14399760863319520229173/169, 16733200517346184798079/169, -6055835623528046166588/169], [15191725058065553/21463, -17270595016243219/21463, 6418819141113228/21463]]], 0, 774144, [], [] >,
< [ 1, -2, -1, 1 ], [[-704, -208, 176]], [ -127, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 2, -8], [-110, -8, 10], [0, 0, 0]], [[0, 0, 0], [53955852/127, -4653674/127, 5878980/127], [216756285/13, 42737634/13, -82948332/13], [-11785/1651, -42/1651, -4/1651]], [[0, 0, 0], [-81330827759780/127, -60157447929244/127, 29667616446064/127], [-405850680556020/13, -117692527843008/13, 179437007694168/13], [18907647660/1651, 11777877414/1651, -7077050694/1651]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3160, -26, -12], [1006, 6, 6], [0, 0, 0]], [[0, 0, 0], [-14041635033198694/1651, 872231387321758/1651, -622129941322636/1651], [35204082115875/13, -2280284630588/13, 1642082986853/13], [-3177/1651, 2/1651, -3/1651]], [[0, 0, 0], [-494408858384680121697295732/1651, -329975188435213049004431542/1651, 186944846551902542732962110/1651], [1237525029231225020936227/13, 829031985501087823851619/13, -468027227637190605500854/13], [-115767163004579/1651, -72103054347045/1651, 43057809428552/1651]]], 0, 774144, [], [] >,
< [ 1, -2, -1, 1 ], [[-864, -112, 256]], [ -127, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -2, 4], [260, -8, 6], [0, 0, 0]], [[0, 0, 0], [-3583322/127, -198482/127, 217922/127], [43590282/13, 14041525/13, -24816569/13], [566/1651, 23/1651, 5/1651]], [[0, 0, 0], [242466951350/127, -59223010936/127, -87961547728/127], [-2218395528048/13, -1025978750536/13, 1085778546184/13], [-39887960/1651, 12186352/1651, 14424096/1651]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-993804/13, 258/13, -276/13], [17740/13, -6/13, 4/13], [0, 0, 0]], [[0, 0, 0], [-232845258314712/1651, 141334510031016/1651, 56016725431600/1651], [32725714020/13, -19864251263/13, -7870741017/13], [436/1651, -29/1651, 5/1651]], [[0, 0, 0], [-1236/127, -2730/127, 772/127], [141/13, 12/13, -33/13], [47/1651, 4/1651, -11/1651]]], 0, 774144, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 464, -192]], [ -113, 0, 0 ], [ -126, 3, 27 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1552/113, -5638/113, 44/113], [-100/113, -492/113, 4/113], [0, 0, 0]], [[0, 0, 0], [-3091226/113, -9047879/113, 3091283/113], [-724024/339, -808881/113, 802907/339], [-337/339, 1/113, -4/339]], [[0, 0, 0], [-211823085458/113, -291364427096/113, 212747884580/113], [-51956021032/339, -78054076870/339, 55544289088/339], [-16925944/339, 1536632/339, 3837748/339]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-257964/113, 151652/113, -430/113], [-728/113, 432/113, 2/113], [0, 0, 0]], [[0, 0, 0], [-529772409321/1469, -48277350814/1469, 126175899155/1469], [-4353974519/4407, -185599486/1469, 868566635/4407], [3364/4407, 30/1469, 5/4407]], [[0, 0, 0], [6343259987990889918/1469, 2921996524577645387/1469, -3377788069001271663/1469], [17683914641397450/1469, 8368091525666961/1469, -9284085714133605/1469], [-12654536823/1469, -8763526163/1469, 7635162740/1469]]], 0, 612864, [], [] >,
< [ 1, -2, -1, 1 ], [[-272, 224, -144]], [ -113, 0, 0 ], [ -15, 9, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6150928/113, -63144/113, -1008/113], [-186426/113, -1934/113, -10/113], [0, 0, 0]], [[0, 0, 0], [-554078283692909/113, 3287983328801129/113, 1661003746015275/113], [-50347059166711/339, 298907441345126/339, 151000342148410/339], [-1027/339, 2/339, -5/339]], [[0, 0, 0], [-26543286074936000726034/113, -44888223943750282617834/113, -50273759071705703958232/113], [-804638221150645453020/113, -4081367141648716443476/339, -1523301969576194606688/113], [12849934576/113, 27023211856/339, -6272661200/113]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18301774/113, -126768/113, -160/113], [94870/113, 658/113, 2/113], [0, 0, 0]], [[0, 0, 0], [-2070914662909299629/1469, 48627059892005125/1469, 49345939639096604/1469], [32204721765811936/4407, -755945947686773/4407, -767034904555990/4407], [5743/4407, 25/4407, 5/4407]], [[0, 0, 0], [-1624716003336250302985719881/1469, -1108775572836282373678566510/1469, 816144726610132718033571281/1469], [25265941869772065571039310/4407, 5747593744868767945744977/1469, -12691732701712371360242909/4407], [4543557020948/4407, 1059959264056/1469, -2210286956405/4407]]], 0, 612864, [], [] >,
< [ 1, -2, -1, 1 ], [[-784, -80, 224]], [ -113, 0, 0 ], [ -39, 27, -30 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6732/113, 806/113, 700/113], [-612/113, 176/113, 2/113], [0, 0, 0]], [[0, 0, 0], [-22570106/113, 7057735/113, 20170984/113], [-1993882/113, 718123/113, 5596202/339], [82/113, -1/113, 5/339]], [[0, 0, 0], [332106882134/113, 310157461570/113, 32379003358/113], [83511722632/339, 74296248850/339, 21657592304/339], [21061180/339, -82482458/339, 40703954/339]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-82764/113, -403538/113, 656/113], [160/113, 728/113, -2/113], [0, 0, 0]], [[0, 0, 0], [2166430138396/1469, -329192858946/1469, 208588917058/1469], [-11931167920/4407, 1623872884/4407, -999286520/4407], [3908/4407, -32/4407, 4/4407]], [[0, 0, 0], [49014768633026103/1469, -7035506620666217/1469, -30861814695985430/1469], [-270172431681479/4407, 12335951093525/1469, 56579336898998/1469], [90327103/4407, -2968822/1469, -18881153/1469]]], 0, 612864, [], [] >,
< [ 1, -2, -1, 1 ], [[-656, 16, 272]], [ -97, 0, 0 ], [ -7, -2, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3136, -10, 2], [522, -2, 0], [0, 0, 0]], [[0, 0, 0], [-36954400619380/97, 5992966461906/97, 4152217802001/97], [-43047837381348/679, 6992394001584/679, 4844254819589/679], [-65/679, -9/679, -4/679]], [[0, 0, 0], [-2593646962954498173/97, -4184289465502687351/97, 3450184365430936511/97], [-431431179088504251/97, -696431504898374415/97, 573996123474058623/97], [-972069/97, -837060/97, 1113588/97]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-25369234/97, 388936/97, 2874/97], [52954/97, -814/97, -6/97], [0, 0, 0]], [[0, 0, 0], [1237384598537566716/1261, -306786880221092010/1261, 56811659328683150/1261], [-18079854481582172/8827, 4483362415020630/8827, -830231938173524/8827], [33258/8827, 218/8827, 2/8827]], [[0, 0, 0], [55902140613049306916727618111/1261, 92976759775390310299177026822/1261, -88176391432981497417162813690/1261], [-816751513116758970628617123/8827, -1358584186043197797954239318/8827, 1288375267472975761785016054/8827], [2077708700003595/8827, 1764960887888136/8827, -2369227404708309/8827]]], 0, 451584, [], [] >,
< [ 1, -2, -1, 1 ], [[112, 192, -288]], [ -97, 0, 0 ], [ -17, -20, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4484/97, -32100/97, -310/97], [110/97, -838/97, 2/97], [0, 0, 0]], [[0, 0, 0], [-30959/97, -14406/97, -13338/97], [548332/679, -17723/679, -4247/679], [995/679, -27/679, -5/679]], [[0, 0, 0], [1615144821/97, -1346148/97, -1357190043/97], [-18359216104/679, -5263736868/679, 12890611843/679], [-33480459/679, -9462654/679, 23548284/679]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [786, -2572, -8], [2, -6, 0], [0, 0, 0]], [[0, 0, 0], [5663168135890/1261, 59501624942/1261, -798633872131/1261], [772231032/91, -44871415/91, -52599332/91], [42708/8827, 365/8827, -5/8827]], [[0, 0, 0], [-18998383761004568491456/1261, -22383837561254448188148/1261, 15625138928388160652402/1261], [-225001688786742703256/8827, -348734372616324563212/8827, 220742365027086445898/8827], [-130282831775664/8827, -211764562195488/8827, 121515454543264/8827]]], 0, 451584, [], [] >,
< [ 1, -2, -1, 1 ], [[-656, 96, 192]], [ -97, 0, 0 ], [ -61, -15, 13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [43646/97, 53234/97, -876/97], [908/97, 1112/97, 2/97], [0, 0, 0]], [[0, 0, 0], [-415053854/97, 382388694/97, 408397477/97], [-60032941/679, 55997162/679, 61353909/679], [1684/679, 4/679, 1/679]], [[0, 0, 0], [-2287905305494325/97, 1219574534274363/97, 1251223997868316/97], [-323985769134138/679, 173733242585211/679, 186937741940287/679], [16396954155/679, -773164335/679, -3325238250/679]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-115814/97, 59480/97, -288/97], [-520/97, 246/97, -2/97], [0, 0, 0]], [[0, 0, 0], [-1021829947022/1261, 53286374223/1261, 123338697969/1261], [-30606332327/8827, -1861209536/8827, 615063014/8827], [4210/8827, -473/8827, -1/8827]], [[0, 0, 0], [3494334201176541540/1261, 5229012712418541310/1261, -3075134853294125694/1261], [103125968553353838/8827, 178766646854530484/8827, -76031412392678398/8827], [-11945697168/8827, -27005747488/8827, 12900562362/8827]]], 0, 451584, [], [] >,
< [ 1, -2, -1, 1 ], [[304, -128, -144]], [ -71, 0, 0 ], [ -25, -4, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [516174/71, -1740474/71, -626/71], [-64444/71, -6/71, -2/71], [0, 0, 0]], [[0, 0, 0], [1086592883650628/71, 22074814001354196/71, -16962653257857230/71], [2086116103983670/71, -164737398202368/71, -658670789527879/71], [-230/71, 0, -1/71]], [[0, 0, 0], [2575011931537170958843792/71, -39384581740464778759115312/71, 22603727553753031761684332/71], [-2896150467134355163421108/71, 300139812357804714222058/71, 763246037245788505663415/71], [360724705620/71, -72715245114/71, -45469812975/71]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [717980/71, -65536/71, 1516/71], [-2486/71, -8/71, -6/71], [0, 0, 0]], [[0, 0, 0], [808723356001374/923, -124357648409052/923, 18666606691724/923], [-215053604688/71, 12110027253/71, -4178119064/71], [1032/923, -33/923, -4/923]], [[0, 0, 0], [-85166780070802921357200/923, 26163382116284094173476/923, 6551856044722293565028/923], [22920168487015604703/71, -5277174589190861380/71, -2477167963351493420/71], [-109544834143/923, 22097725276/923, 13803540892/923]]], 0, 241920, [], [] >,
< [ 1, -2, -1, 1 ], [[-528, 32, 112]], [ -71, 0, 0 ], [ -18, 5, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1311092/71, -263124/71, -8/71], [-37478/71, -2/71, -10/71], [0, 0, 0]], [[0, 0, 0], [31413460957523726/71, 9614973464996384/71, -9407418036546838/71], [846032737053200/71, 209037322340980/71, -258825791000284/71], [-220/71, 0, -4/71]], [[0, 0, 0], [-1792336247988525649046846/71, -443091207246389810892754/71, 715726285190635416176186/71], [-47459063996342347365407/71, -10700318786032994880145/71, 18827896925186361695601/71], [12274927183/71, 970358285/71, -3266611829/71]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-257813384/923, 2889394/923, 6768/923], [426828/923, 160/923, 6/923], [0, 0, 0]], [[0, 0, 0], [323238620222488812/923, 241663976859172074/923, -287453168818876276/923], [-540669960201526/923, -395318942669967/923, 476860916001555/923], [-358/71, 5/71, -3/71]], [[0, 0, 0], [-14089788363336756513082100/923, -6984216292744683452596788/923, 8837455670229003812274238/923], [23496626043637102595332/923, 11495523379955052093102/923, -14668092147949595525000/923], [14982756320/71, 1203187608/71, -4004195944/71]]], 0, 241920, [], [] >,
< [ 1, -2, -1, 1 ], [[-560, -16, 144]], [ -71, 0, 0 ], [ -26, 17, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-717230/71, -908688/71, 590/71], [-47816/71, 8/71, -8/71], [0, 0, 0]], [[0, 0, 0], [38139012/71, 9397992/71, -16977482/71], [1644291/71, 402594/71, -724016/71], [267/71, 4/71, 2/71]], [[0, 0, 0], [-30893981366425538/71, -7635434456715854/71, 13748303675907638/71], [-1332310407166812/71, -330052883953770/71, 594842731972202/71], [-211683927552/71, -69631584000/71, 123975734400/71]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2415704550/923, -9604222/923, -21872/923], [-464732/923, -150/923, -4/923], [0, 0, 0]], [[0, 0, 0], [60750480618072256468/923, 23598674281335287386/923, 17244103968617723016/923], [11699154671419173/923, 4473144584318162/923, 3289076900235300/923], [-459/71, -2/71, 0]], [[0, 0, 0], [-230856475378549520054827869296/923, -50646957013194210099254660130/923, 143181494622704204804175514750/923], [-44311678117808994410986822/923, -9782330668316899987441018/923, 27480553044277294175334372/923], [1345073554600/71, 442534907800/71, -787574685600/71]]], 0, 241920, [], [] >,
< [ 1, -2, -1, 1 ], [[368, -240, -128]], [ -43, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, 8, 8], [-124, -2, 0], [0, 0, 0]], [[0, 0, 0], [109206560/43, -2506466/43, 754494/43], [237747513/13, -103277589/13, -138359070/13], [-477/559, -55/559, 2/559]], [[0, 0, 0], [-47051256141252/43, 342831368404, -21473849571346/43], [-10146270408354, 8144719202682, 6536100731322], [14864502/43, -820338/43, 7239786/43]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6744, 10, 104], [380, 0, 8], [0, 0, 0]], [[0, 0, 0], [48570162042592/559, -223298199312/559, -8584407828/559], [827455539121/169, -5115578376/169, 4303645484/169], [53291/7267, 686/7267, 2/7267]], [[0, 0, 0], [9767888172671371143948/559, -992157045771970470760/559, 4774552591777201857488/559], [166181373625327065202/169, -17150776516759787286/169, 83364019969759483748/169], [10624433540676/7267, -717208236786/7267, 5318720893392/7267]]], 0, 709632, [], [] >,
< [ 1, -2, -1, 1 ], [[-240, 128, -128]], [ -43, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [204, -4, -12], [-304, 4, 2], [0, 0, 0]], [[0, 0, 0], [78939332/43, 439492/43, -9408070/43], [-35685872/13, -332507/13, 2751416/13], [4/13, -73/559, -2/559]], [[0, 0, 0], [-13515206174724/43, 3549121303276/43, 13977159957100/43], [6665192854127/13, -2309698551122/13, -7324320026813/13], [-17293815/559, -5601918/559, 16572885/559]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7806, 8, 72], [390, 0, 4], [0, 0, 0]], [[0, 0, 0], [-91208132/559, -12966140/559, 65399918/559], [-99342/13, -19107/13, 5850], [382/559, 1/559, 2/559]], [[0, 0, 0], [37400005919488436/559, 22615013664288306/559, 3214114361898942/559], [41768916030325/13, 22796563793891/13, 6059572547672/13], [-230141740155/559, -73487642671/559, 220563052478/559]]], 0, 709632, [], [] >,
< [ 1, -2, -1, 1 ], [[128, 368, -128]], [ -43, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-478, -18, -10], [-236, -8, 0], [0, 0, 0]], [[0, 0, 0], [1845385116/43, 146286378/43, -521261084/43], [21075495, 1710378, -6063264], [-97/43, 4/43, 0]], [[0, 0, 0], [-847892991177588/43, -648627793802024/43, 387738670117274/43], [-127057022339748/13, -94154917416999/13, 58820614371774/13], [289193172/559, 969115671/559, 27190074/559]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3554, -6, -10], [-1792, 2, -4], [0, 0, 0]], [[0, 0, 0], [-532816144076/43, -994829196746/43, -930023339496/43], [-81781367843/13, -150382394178/13, -140582171634/13], [-3817/559, -4/559, -2/559]], [[0, 0, 0], [-3196909062178833161968/43, 10469439573325570461716/43, 8872905946358128322950/43], [-481899598926659024166/13, 1587196114961281530242/13, 1341438893181088028864/13], [4129482095550/559, 1097433331470/43, 627960301416/559]]], 0, 709632, [], [] >,
< [ 1, -2, -1, 1 ], [[112, 160, -48]], [ -41, 0, 0 ], [ 0, -3, -9 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [308230/41, 2418/41, 134/41], [22034/41, 202/41, -8/41], [0, 0, 0]], [[0, 0, 0], [292092462659/41, 431367262448/41, -16123687259/41], [62716809140/123, 92437905233/123, -1151666973/41], [17/123, -1/123, 1/41]], [[0, 0, 0], [-88834310887237788/41, -45618588013297904/41, -55210210231721276/41], [-19052530192348214/123, -9815013103178962/123, -11817407970612020/123], [-1489700/123, -7039840/123, 1720120/123]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [267656/41, -10946/41, 850/41], [4862/41, -202/41, 8/41], [0, 0, 0]], [[0, 0, 0], [2767792631852/533, 73752026799/533, -716663826885/533], [150753314350/1599, 4013368702/1599, -39090788983/1599], [499/1599, -20/1599, -4/1599]], [[0, 0, 0], [-76330361757521946628/533, -92915259246515227256/533, 59227927807041579114/533], [-1386783381100955904/533, -5054355006567889556/1599, 1076164712275139194/533], [-55989126/13, -31544620844/1599, 2399863208/533]]], 0, 80640, [], [] >,
< [ 1, -2, -1, 1 ], [[-288, -32, 336]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-310, -2, -2], [206, 10, -6], [0, 0, 0]], [[0, 0, 0], [10, 0, 0], [41, 1, 1], [1, 0, 0]], [[0, 0, 0], [3026304, 4791648, -1429088], [-2129448, -2997462, 937734], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2174, -56, -42], [174, 8, 8], [0, 0, 0]], [[0, 0, 0], [-12488875445840/13, 287622093100/13, 201585747148/13], [1002207727083/13, -7311678598/13, 5265790220/13], [-19/13, 24/13, -3/13]], [[0, 0, 0], [-214835757636124395124/13, -31693279394476356788/13, 133318395308968602140/13], [17602991243378884602/13, 2333011876422276378/13, -11122993065244461018/13], [-94459968/13, -134980644/13, 40464792/13]]], 0, 483840, [], [] >,
< [ 1, -2, -1, 1 ], [[-96, -48, -64]], [ -41, 0, 0 ], [ -9, 6, -24 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4796/41, 8984/41, -342/41], [258/41, 514/41, 4/41], [0, 0, 0]], [[0, 0, 0], [-1923967112/41, 735627083/41, 1131570109/41], [-109031804/41, 42961992/41, 200395319/123], [48/41, -1/41, 2/123]], [[0, 0, 0], [219733427625388/41, -42591230624348/41, 101873119786150/41], [11893911257900/41, -1683079889440/41, 6060190490890/41], [-11629160/41, 8319700/41, 30700]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3096/41, -27324/41, 608/41], [-76/41, -276/41, 2/41], [0, 0, 0]], [[0, 0, 0], [475495931836/533, 17559836750/533, 12914541843/533], [18093310123/1599, 984439185/533, -1500679678/1599], [2545/1599, 17/533, 5/1599]], [[0, 0, 0], [35260565284603415/533, 62007139313365806/533, -78204383766080564/533], [1659118099539139/1599, 1567858256490064/1599, -831081873474473/533], [180701752/1599, 334976758/1599, -133562163/533]]], 0, 80640, [], [] >,
< [ 1, -2, -1, 1 ], [[80, 336, -48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [488, 10, 8], [-258, -6, -8], [0, 0, 0]], [[0, 0, 0], [4, 0, 0], [33, 1, 1], [1, 0, 0]], [[0, 0, 0], [-812221450, -317861040, -427328490], [423855692, 177459848, 244125112], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1366, -2, -8], [104, -2, -6], [0, 0, 0]], [[0, 0, 0], [6130582068852/13, 182527475362/13, 455657231000/13], [36168880319, 54086297, 218145052], [-48/13, -29/13, 2/13]], [[0, 0, 0], [479532080754869572492/13, -678374199009528197216/13, 425600476496184560992/13], [2777335651761896128, -3829753197399128972, 2186636953679786884], [-1856645750/13, -928312250/13, -1237491800/13]]], 0, 483840, [], [] >,
< [ 1, -2, -1, 1 ], [[-112, -64, 160]], [ -41, 0, 0 ], [ 12, -21, -48 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1724/41, -4894/41, -350/41], [120/41, -408/41, -8/41], [0, 0, 0]], [[0, 0, 0], [-234756/41, 876315/41, 1047854/41], [-9080/123, 213814/123, 225463/123], [7/123, -5/123, 4/123]], [[0, 0, 0], [-240569375/41, 107384719/41, 192301113/41], [-25182893/41, 6935981/41, 17744838/41], [-1086/41, 601/41, 138/41]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-56786/41, 22660/41, -522/41], [514/41, -206/41, 4/41], [0, 0, 0]], [[0, 0, 0], [10125074647/533, 769734203/533, -1774360062/533], [-6701320/39, -163065/13, 1194283/39], [-548/1599, -6/533, -1/1599]], [[0, 0, 0], [-14024609755121104/533, -19168333732994306/533, 19720787204060100/533], [378346934140672/1599, 173810922463408/533, -177244294051584/533], [695564176/1599, 465507248/533, -490915376/533]]], 0, 80640, [], [] >,
< [ 1, -2, -1, 1 ], [[-304, -48, -32]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [522, 10, 6], [-130, -8, -2], [0, 0, 0]], [[0, 0, 0], [18, 0, 0], [-31, 1, 1], [1, 0, 0]], [[0, 0, 0], [280884942, 211137534, -418105386], [-74418960, -46902240, 106783600], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3744, 32, 20], [-548, -6, -6], [0, 0, 0]], [[0, 0, 0], [587098529506928/13, -4298366355076/13, -1584265340718/13], [-85944894294836/13, 444576440939/13, -226546162748/13], [-75/13, 1/13, -5/13]], [[0, 0, 0], [32503502491659347173130, 19453555772517150382238, -43172659893939716748978], [-4791014659278149710654, -2826450151093417620872, 6389231871892111475374], [-4336066152, -2478216246, 6194279718]]], 0, 483840, [], [] >,
< [ 1, -2, -1, 1 ], [[36, -24, -16]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-55290/29, -2679/29, 10/29], [-2919/29, -33/29, 1/29], [0, 0, 0]], [[0, 0, 0], [271192636289/58, -110157947473/58, -70810211567/58], [28388125037/116, -3047760772/29, -3386400687/58], [51/116, 0, -1/29]], [[0, 0, 0], [-539775302183175, 1247540262381963/2, -383314372813087], [-117097921743781/4, 142317768252015/4, -83201159183889/4], [-291735/4, 272595/4, 36915/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [31072, 348, 15], [123, 1, 0], [0, 0, 0]], [[0, 0, 0], [-84299151338032031/754, 2301458471341671/754, 3117406228663455/754], [-667305650456309/1508, 5020716116423/377, 12401702950619/754], [1581/1508, -8/377, 1/377]], [[0, 0, 0], [7407281074668892253705961/58, -3399344494663151708499952/29, -676941665194109382041953/58], [14650313916051969620937/29, -53922113513352837196663/116, -5173500801185154790367/116], [-36282656277/29, 138167169105/116, 15596176043/116]]], 1, 630, [], [] >,
< [ 1, -2, -1, 1 ], [[-112, -192, 240]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-248246/29, 15210/29, 98/29], [-6340/29, 390/29, 4/29], [0, 0, 0]], [[0, 0, 0], [-826625942923/29, -2135002984/29, 41379009682/29], [-42222281353/58, -49525479/29, 2122772829/58], [-133/58, 2/29, -5/58]], [[0, 0, 0], [-30399647241215584139/29, 13208186289214387738/29, 17358381275474774753/29], [-776061604377035403/29, 673998955267362083/58, 885739264538621397/58], [-2642159455/29, 2807211615/58, 3196489855/58]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-162354/29, -179830/29, -2936/29], [428/29, 490/29, 8/29], [0, 0, 0]], [[0, 0, 0], [751665578076/377, 33214356018/377, -17470334734/377], [-2033290667/377, -705503/377, 498/377], [633/377, -23/377, -2/377]], [[0, 0, 0], [-23208133473037321832/377, 11698054006060378555/377, 15145500768649869093/377], [62734282766595289/377, -33378160469473879/377, -79710224129848385/754], [-19003469078/377, 10092962396/377, 22966016051/754]]], 0, 322560, [], [] >,
< [ 1, -2, -1, 1 ], [[36, -24, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-138, 1, 0], [137, 3, 0], [0, 0, 0]], [[0, 0, 0], [-22027408562, 1024426569/2, 51916802], [21869377348, 125653452, -63352834], [-2, -1/2, 1]], [[0, 0, 0], [-96878928, 276216803, -21642130], [95604290, -270271150, 14094720], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2164, 7, -1], [-21, 4, 1], [0, 0, 0]], [[0, 0, 0], [-4418920756781/26, -636916366493/13, -382143917031/13], [-22618524140/13, 8209087/13, 30877273/13], [17/26, 31/13, 1/13]], [[0, 0, 0], [171954581399186818410/13, 72844548702908777850/13, -176422760611820391645/13], [1299059616881465234/13, 1050352440455837533/13, -1389395145633967230/13], [-2411466754/13, 1607642692/13, 1071483825/13]]], 1, 630, [], [] >,
< [ 1, -2, -1, 1 ], [[44, -16, -20]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1366/29, -413/29, -136/29], [47/29, -13/29, -4/29], [0, 0, 0]], [[0, 0, 0], [-162869/58, 4267/2, -54983/58], [-1100/29, 7531/116, -2569/58], [37/29, 5/116, 0]], [[0, 0, 0], [-1154894540/29, 573589477/29, -555012641/29], [-11905848/29, 36490775/58, -25248863/29], [529031/29, 384091/58, 123199/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [19557/29, 18660/29, 468/29], [-137/29, -125/29, -5/29], [0, 0, 0]], [[0, 0, 0], [-2167353737/754, 269720879/754, -218715813/377], [6741598/377, 1283518/377, 2093155/1508], [259/754, -11/377, -1/1508]], [[0, 0, 0], [271956228710410/377, -265422911934649/377, -338878053761809/754], [-3438446501323/754, 5471153915581/1508, 5543665302017/1508], [-25599042/377, 80662923/1508, 52191423/1508]]], 1, 630, [], [] >,
< [ 1, -2, -1, 1 ], [[-192, -176, 240]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2574/29, -960/29, 182/29], [16/29, -250/29, -10/29], [0, 0, 0]], [[0, 0, 0], [229480614/29, 200441436/29, -178519823/29], [-15443284/29, 12506129/58, 366525/58], [-67/29, -5/58, 3/58]], [[0, 0, 0], [6318635265106/29, -513583514830/29, -1368991069092/29], [-154568078032/29, -284459198697/29, 110534788536/29], [-438560/29, -1883067/29, -586574/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-37194/29, 22638/29, 300/29], [-212/29, 108/29, 2/29], [0, 0, 0]], [[0, 0, 0], [910047349661/377, -473676675127/377, -499744197988/377], [280362122/29, -5127738/29, 9842927/58], [-205/377, 14/377, 3/754]], [[0, 0, 0], [385726999045356691/29, -29938958134164564/29, -506614966844473999/29], [1779070783899519/58, 1844233485106293/29, -333612373213836/29], [-102240999/58, -98492940/29, 25237548/29]]], 0, 322560, [], [] >,
< [ 1, -2, -1, 1 ], [[44, -16, -20]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [70, 5, 4], [44, 0, -3], [0, 0, 0]], [[0, 0, 0], [-1988759899/2, -7661882, -84842938], [-623730255, 34939168, 25483811], [-3/2, -2, 2]], [[0, 0, 0], [374149627676198, 715343385936591, 88695725499565], [282452529880330, 335889448597384, -49620047353645], [1866238, -680405, -847891]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1833, -4, -4], [-61, -1, -3], [0, 0, 0]], [[0, 0, 0], [-985057540001/26, 12443123727/26, 21812267925/13], [16448574913/13, 17650487/13, -16530109/13], [69/26, -55/26, 1/13]], [[0, 0, 0], [-126449087738565624307/13, -209447599780004758689/26, -76445422193610074451/26], [3935896994933120602/13, 4040170807017255944/13, 1959338800180759118/13], [11170098879/13, -8123666999/26, -10153852757/26]]], 1, 630, [], [] >,
< [ 1, -2, -1, 1 ], [[40, -20, -24]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1386/29, -824/29, 277/29], [120/29, -50/29, -1/29], [0, 0, 0]], [[0, 0, 0], [-28906083/29, -4861010/29, 46151379/58], [-4785707/58, -702188/29, 6034775/116], [-7/58, 1/58, -1/116]], [[0, 0, 0], [53942825762/29, 49652286121/58, -116240803125/58], [4489600247/29, 9834787109/116, -14681563305/116], [627/2, -957/4, 495/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [169/29, 10604/29, 806/29], [13/29, 84/29, 4/29], [0, 0, 0]], [[0, 0, 0], [2098238501/754, -6231203855/754, 139714629/377], [982783/52, -3239155/52, 19376/13], [-1655/1508, 3/1508, -1/754]], [[0, 0, 0], [112656381274569/754, -174364871614097/754, 115323042405663/754], [1945810361401/1508, -2377084717177/1508, 1584303229267/1508], [4614939/52, 79901787/1508, -74834403/1508]]], 1, 630, [], [] >,
< [ 1, -2, -1, 1 ], [[-176, -112, 240]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1126/29, 2446/29, -52/29], [74/29, 206/29, -4/29], [0, 0, 0]], [[0, 0, 0], [-4891572/29, 17452803/29, -11840857/29], [-1855830/29, 231317/58, -2811/58], [-1, 3/58, 1/58]], [[0, 0, 0], [87810448785/29, -522351493024/29, 625118758401/29], [118606835587/58, 15710488835/29, 46706022273/58], [1872151/58, 243695/29, 656543/58]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [246454/29, 341064/29, 1940/29], [282/29, 332/29, 2/29], [0, 0, 0]], [[0, 0, 0], [-268320719328511/377, 39153653602421/377, -868158089308/13], [-544999195807/754, -16761995649/754, 563861132/377], [-1517/754, -55/754, 1/377]], [[0, 0, 0], [-655563919026911646924/29, -30049780023972904789/29, -294858744746815705843/29], [-662173870213203964/29, -352746531218064333/58, -446217212959722625/58], [-1839112145/29, -1017590899/58, -1259114285/58]]], 0, 322560, [], [] >,
< [ 1, -2, -1, 1 ], [[40, -20, -24]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [19, -1, 4], [10, -3, -15], [0, 0, 0]], [[0, 0, 0], [6311159, 6630097/2, -8121471/2], [2067665, 99288, -286619], [-1, -5/2, 3/2]], [[0, 0, 0], [-2033147178627/2, -768048875955/2, 156801529269], [-551708227219, 211147053269, 592577669988], [913555/2, -457605/2, -273945]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-828, -3, 4], [-4, -22, -23], [0, 0, 0]], [[0, 0, 0], [1560876352662/13, -987334952407/26, -144153188873/13], [2237556539, -8431519, 10031854], [2/13, -29/26, 1/13]], [[0, 0, 0], [-2371032826878543774/13, -900580847556889676/13, 1298709989797388780/13], [-4384787834205736, -945192511343117, 2637105329316407], [12380690/13, -6195320/13, -7432420/13]]], 1, 630, [], [] >,
< [ 1, -2, -1, 1 ], [[-144, 0, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -6, 6], [12, -6, 12], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [3, 0, 0], [1, 0, 0]], [[0, 0, 0], [-84, -14, 26], [168, 0, -168], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, -22], [6, 0, 24], [0, 0, 0]], [[0, 0, 0], [121902/13, -8012/13, 7794/13], [-287271/13, -17952/13, 52593/13], [-49/13, -64/13, -5/13]], [[0, 0, 0], [-246684164/13, -2464726788/13, 1281381732/13], [1502443023/13, 3409406781/13, -2172717669/13], [721789/13, -24257/13, 12033/13]]], 0, 34944, [], [] >,
< [ 1, -2, -1, 1 ], [[36, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9, 15, 12], [3, 6, 15], [0, 0, 0]], [[0, 0, 0], [-54373, -199085/2, 80445], [21909, -183713, 102239], [-2, 3/2, 2]], [[0, 0, 0], [50649955/2, -181786, -7829697], [15521289, -9586913, 431141], [539/2, 66, -154]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [150, 6, 15], [-12, 0, -9], [0, 0, 0]], [[0, 0, 0], [95592831/13, -637309/13, -16238458/13], [-8614211/13, 1296574/13, -592674/13], [-2/13, -31/13, -1/13]], [[0, 0, 0], [29539268607/26, 5983964238/13, -14761686639/26], [-1240586655/13, -687000720/13, 667240290/13], [-5445/26, -225/13, 495/26]]], 1, 546, [], [] >,
< [ 1, -2, -1, 1 ], [[-144, 0, -144]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-36/13, -12/13, 138/13], [-270/13, 300/13, -18/13], [0, 0, 0]], [[0, 0, 0], [-104594/13, 225648/13, 19343], [695531/26, 465367/26, -48804/13], [77/26, 5/26, -1/13]], [[0, 0, 0], [-100172310/13, 256149767/13, 322584559/13], [587045845/13, 460042040/13, -400040905/26], [11125, -16465, 13795/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6126/13, -15744/13, -1074/13], [36/13, 246/13, 18/13], [0, 0, 0]], [[0, 0, 0], [498836779/169, -1875330531/169, -2188144186/169], [-8753876/169, 48857557/338, 32674713/169], [-41/169, 29/338, -1/169]], [[0, 0, 0], [-29749298400/169, -60391999968/169, 2013181032/169], [208564080/169, 949091922/169, -15266766/169], [-1644/169, -2940/169, 2064/169]]], 0, 419328, [], [] >,
< [ 1, -2, -1, 1 ], [[144, 288, 0]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2310/13, 2238/13, 72/13], [540/13, 432/13, 30/13], [0, 0, 0]], [[0, 0, 0], [7980924/13, 1597695/13, 3337104/13], [90969, 314037/2, -8967/2], [0, 3/26, 3/26]], [[0, 0, 0], [-112344217/13, 78316358/13, -11584991/13], [-12496851/13, -35141155/26, 13013522/13], [-9/13, 3/26, 1/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5124/13, 612/13, 192/13], [-354/13, 138/13, -24/13], [0, 0, 0]], [[0, 0, 0], [-218448188/169, 38085494/169, 73763792/169], [-14314562/169, 4782168/169, 3243666/169], [10/169, -18/169, 2/169]], [[0, 0, 0], [678834974/169, 148154195/169, -345958582/169], [41477701/169, 20332125/338, -42725993/338], [-12/169, -1/338, 29/338]]], 0, 419328, [], [] >,
< [ 1, -2, -1, 1 ], [[-288, -144, 288]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [336/13, -1344/13, 90/13], [30/13, -276/13, -24/13], [0, 0, 0]], [[0, 0, 0], [9155469/13, -11957274/13, 4135264/13], [5038161/26, -3138361/26, 383655/26], [3/26, 3/26, -5/26]], [[0, 0, 0], [-656050104/13, 6416920464/13, -3459644478/13], [263793936/13, 1084191213/13, -713432595/13], [672/13, -483/13, 441/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20838/13, -19548/13, 708/13], [-414/13, 330/13, -12/13], [0, 0, 0]], [[0, 0, 0], [-64645101/169, -1502707813/169, -1186300291/169], [10485581/169, 39815305/338, 9635172/169], [-24/169, 23/338, 1/169]], [[0, 0, 0], [-716769744/13, 1039214106/13, 1298571234/13], [8365296/13, -12169134/13, -15215718/13], [0, 0, 0]]], 0, 419328, [], [] >,
< [ 1, -2, -1, 1 ], [[-20, -4, 20]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [274/13, -423/13, 34/13], [34/13, -43/13, -1/13], [0, 0, 0]], [[0, 0, 0], [12479/26, 1418/13, -5751/26], [1186/13, 1177/52, -483/13], [1, -1/52, -1/26]], [[0, 0, 0], [-13127772/13, -2404686/13, 6514115/13], [-4661441/26, -1502973/26, 1649361/26], [-37701/26, -23643/26, -21087/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3266/13, -3697/13, -11/13], [41/13, 51/13, 3/13], [0, 0, 0]], [[0, 0, 0], [53091240/169, -57346309/338, 26221446/169], [-685122/169, 1511255/676, -1518259/676], [-191/338, -43/676, -1/676]], [[0, 0, 0], [31078140345/169, -237606899591/169, 70852638313/338], [-1921515215/676, 3238302229/169, -816260663/338], [230115/676, 430215/338, -42021/338]]], 1, 126, [], [] >,
< [ 1, -2, -1, 1 ], [[44, -24, -16]], [ -2258, 32, -4 ], [ 3, -10, -32 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12428004357283/90106, -2711520763361/90106, -59534/45053], [-1, -1, 0], [417509493/220128958, 91091527/220128958, 2/110064479]], [[0, 0, 0], [61481703562197410977767/15723497, -304899176729681740755339/15723497, 162606709062492262846781/15723497], [-16347753063/349, 16877933601/349, -339269859/349], [-5918141661467085/110064479, 29349164917869705/110064479, -15652292878723055/110064479]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [609544/349, 341141/349, 357/349], [587/349, 328/349, -1/349], [0, 0, 0]], [[0, 0, 0], [-18668534196947/698, -3733700115397/698, -59550285/349], [-1650832864/349, -330163337/349, -57315/349], [-5/2, -1/2, 0]], [[0, 0, 0], [-1722490768602172217770639815880/204405461, 2884159716290138820835913948815/408810922, 286650983334197327643939484437/204405461], [-6761897859795265816520/4537, 5661347377534286506345/4537, 1125235899813899852616/4537], [-1127034816248228137520/1430838227, 1887102568978800261605/2861676454, 187559349952050509145/1430838227]]], 1, 756, [], [] >,
< [ 1, -2, -1, 1 ], [[176, -96, -64]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [968/13, -172/13, 100/13], [-134/13, 28/13, -6/13], [0, 0, 0]], [[0, 0, 0], [-1726221/13, 330309/13, 642703/13], [17573, -2943, -12301/2], [30/13, -1/13, 3/26]], [[0, 0, 0], [36138409478/13, 23733558310/13, -38135488320/13], [-4698820889/13, -3426434767/13, 4797631741/13], [-337435/13, -1173403/13, 276479/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1154/13, 2374/13, 418/13], [-2/13, 66/13, 10/13], [0, 0, 0]], [[0, 0, 0], [-84633231/13, -18486577/13, 24906341/13], [-1202967/13, 161674/13, 59231/26], [32/13, 2/13, -1/26]], [[0, 0, 0], [25900994580993/13, 21621018286529/13, -10184250112060/13], [339353360923/26, 676678604916/13, -424830218331/26], [-10037269/26, -17920335/13, 5032745/26]]], 0, 64512, [], [] >,
< [ 1, -2, -1, 1 ], [[-112, 48, -80]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-574/13, -90/13, 10/13], [-42/13, 8/13, 2/13], [0, 0, 0]], [[0, 0, 0], [334017/13, 192570/13, 78854/13], [53283/26, 2901/26, -380/13], [-3/2, 1/26, 1/13]], [[0, 0, 0], [136888080/13, 893917220/13, 269761205/13], [31475499/26, 51324633/13, -9167536/13], [-24035/26, -35420/13, 10120/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1504/13, 1068/13, 124/13], [124/13, 42/13, 4/13], [0, 0, 0]], [[0, 0, 0], [82932624/169, -357405421/169, 169848109/169], [3603319/26, -11456175/26, 401969/2], [-261/338, -59/338, 3/338]], [[0, 0, 0], [526374886909/169, -1132132269729/169, 511292308836/169], [15106439807/26, -19264064468/13, 17070321971/26], [-12745/338, 767249/169, 833523/338]]], 0, 112896, [], [] >,
< [ 1, -2, -1, 1 ], [[-20, -4, 20]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [81, 4, -4], [-33, -3, -4], [0, 0, 0]], [[0, 0, 0], [-273376059/2, 4178755/2, 10157521], [56681403, -257081, 3716310], [3/2, -5/2, -2]], [[0, 0, 0], [317135790, 77434245, -140776380], [-135911004, -33096794, 60315606], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-21, -17, -2], [7, 3, 4], [0, 0, 0]], [[0, 0, 0], [-325387/26, 23717/26, 52167/26], [8600, -13524, 5447], [-41/26, -51/26, -3/26]], [[0, 0, 0], [-38046939042/13, 29997506764/13, -2343727879/13], [3677403044, -8447210148, 3467756548], [-5812598/13, -1490236/13, 5873824/13]]], 1, 126, [], [] >,
< [ 1, -2, -1, 1 ], [[-112, -48, -64]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, -56, 34], [-2, -10, 4], [0, 0, 0]], [[0, 0, 0], [479426/13, -2058672/13, 411836/13], [1091397/13, 167473/13, -290182/13], [1/13, -1/13, 2/13]], [[0, 0, 0], [116050055/13, -64033462/13, 85329652/13], [-608330805/26, -216718759/26, 266868769/26], [-175/26, -875/26, 25/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -30, 44], [10, -10, -2], [0, 0, 0]], [[0, 0, 0], [-2381234/169, 342861/169, 1809356/169], [195627/26, 24691/26, -52406/13], [59/338, 81/338, 2/169]], [[0, 0, 0], [6763/169, -25085/169, 10203/169], [3/13, -1/2, 4/13], [2/169, -15/338, 3/169]]], 0, 96768, [], [] >,
< [ 1, -2, -1, 1 ], [[-240, -48, 240]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1374/13, -1848/13, -332/13], [-124/13, -146/13, -4/13], [0, 0, 0]], [[0, 0, 0], [-699643/13, 303387, 100045/13], [-80441/13, 410038/13, -118499/26], [20/13, -2/13, 1/26]], [[0, 0, 0], [-163/13, -60/13, 90/13], [-71/26, -23/26, 15/13], [-9/26, -3/26, 2/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9498/13, 14434/13, 1574/13], [-90/13, 84/13, 8/13], [0, 0, 0]], [[0, 0, 0], [-344225943/169, 410934665/169, 858521852/169], [-2259791/338, 991845/169, 7489825/338], [-931/338, -24/169, 1/338]], [[0, 0, 0], [-1338347/169, -322902/169, 587013/169], [986/169, 561/338, -445/169], [114/169, 55/338, -50/169]]], 0, 225792, [], [] >,
< [ 1, -2, -1, 1 ], [[-720, -144, 720]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1698/13, 438/13, -222/13], [324/13, 72/13, 18/13], [0, 0, 0]], [[0, 0, 0], [-76762/13, -22808/13, 36038/13], [-16359/13, -4099/13, 7266/13], [-25/13, 1/13, -2/13]], [[0, 0, 0], [6022005/13, 1775838/13, -2792358/13], [2562969/26, 649035/26, -566139/13], [231/2, 99/2, 66]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [276, 102, 30], [30, 18, 0], [0, 0, 0]], [[0, 0, 0], [-1100436032/169, -482208379/169, -171344866/169], [-119784383/169, -159478263/338, -11875551/338], [-656/169, -33/338, -5/338]], [[0, 0, 0], [-88358335574829/169, 50269130432486/169, -35410928375276/169], [-15661299166329/338, -2048333481481/338, -907510662635/169], [-115516775/338, 120557507/338, -25203660/169]]], 0, 5870592, [], [] >,
< [ 1, -2, -1, 1 ], [[-16, 0, -4]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [198/13, 547/13, 99/13], [33/13, 50/13, -3/13], [0, 0, 0]], [[0, 0, 0], [163183/26, -803440/13, 690765/26], [17249/52, -82236/13, 77239/26], [-1/4, 0, 0]], [[0, 0, 0], [-2005225/26, 966049/26, 469275/26], [-224661/26, 174329/52, 25049/13], [-12/13, -9/52, 15/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-67, -2, -3], [-3, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26517664/169, -50526873/338, -27121148/169], [-5213423/676, -3646563/676, -1869145/338], [173/676, -29/676, 1/338]], [[0, 0, 0], [-9653517535/169, -17366919457/169, 1015710989/169], [-457823121/169, -712679336/169, 103366704/169], [11625/169, 13755/169, -8910/169]]], 1, 126, [], [] >,
< [ 1, -2, -1, 1 ], [[12, 44, -16]], [ -1018, 108, -24 ], [ 9, -84, -110 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [110200769514145/2872018, -5476986250181/2872018, -12922469/2872018], [-79750234/1436009, -2613227/1436009, 4/1436009], [-2986851/2872018, -6426527/2872018, -5/2872018]], [[0, 0, 0], [-1351414412525068267458839/2872018, 189268664693727374736081/2872018, 150112434927494937124115/2872018], [987851710666855073/1436009, -75544141235053327/1436009, -126734648471506056/1436009], [46483991687052711/2872018, 56278924625010991/2872018, -22164615142446869/2872018]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [129356381993955/2872018, 223293862669251/2872018, 1616333/2872018], [4563978721/18668117, 8547833958/18668117, -229431363/18668117], [-61530085/37336234, -114715811/37336234, -3/37336234]], [[0, 0, 0], [418071630275489524077825059/1436009, -80731023888507588529600998/1436009, -24922983242937719236076244/1436009], [31464281915159209044843/18668117, -8773004422642810101590/18668117, -553659294521981279220/18668117], [-209534753290248432896/18668117, 50690458257290306592/18668117, 6620808119064672576/18668117]]], 1, 756, [], [] >,
< [ 1, -2, -1, 1 ], [[48, 176, -64]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [212/13, -302/13, 106/13], [18/13, -72/13, -4/13], [0, 0, 0]], [[0, 0, 0], [-387219/13, -368126/13, 323683/13], [163933/26, -12200/13, -12008/13], [87/26, 2/13, 1/13]], [[0, 0, 0], [-1454938592/13, -3830264234/13, 2574435168/13], [535377981/13, -316295245/13, 45024464/13], [285797/13, -125537/13, 64104/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-98/13, -934/13, 94/13], [-40/13, -48/13, 6/13], [0, 0, 0]], [[0, 0, 0], [-5238432/13, 19535164/13, -3360791/13], [16365/13, 1429457/26, 47513/26], [3/13, 1/26, -1/26]], [[0, 0, 0], [-173530913/13, 372079623/13, -195791113/13], [-7731615/13, 13096797/26, -4352586/13], [-42/13, -69/26, 27/13]]], 0, 64512, [], [] >,
< [ 1, -2, -1, 1 ], [[224, -112, -80]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1608/13, -348/13, -158/13], [-70/13, 46/13, 4/13], [0, 0, 0]], [[0, 0, 0], [-8486557/13, -7292047/13, 1858824/13], [460982/13, 29554/13, -847689/26], [29/13, 1/13, 3/26]], [[0, 0, 0], [3591401624/13, 3709798608/13, -1438917550/13], [-173983107/13, -76835074/13, 191646345/13], [-15355/13, 6640/13, -2905/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2026/13, -34/13, 118/13], [-134/13, -62/13, -2/13], [0, 0, 0]], [[0, 0, 0], [5473976/169, 8679001/169, -5964626/169], [87799/26, 65553/26, -24285/13], [-341/338, 47/338, 1/169]], [[0, 0, 0], [-68074622800/169, 39163140927/169, 6516282705/169], [-802328949/26, 95255164/13, 342542887/26], [1897447/338, 536333/169, -2221951/338]]], 0, 112896, [], [] >,
< [ 1, -2, -1, 1 ], [[-16, 0, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, -3, 0], [-34, -3, -1], [0, 0, 0]], [[0, 0, 0], [-68158739/2, 2625634, 565983], [52717778, 7704650, 1265904], [-3/2, 0, 2]], [[0, 0, 0], [10844151347832, 7801941867170, -8898559934583], [-20058262689456, -10077792007006, 14929340934120], [403623, -2024, 99924]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-74, 22, -2], [-85, -5, 1], [0, 0, 0]], [[0, 0, 0], [-365475781/13, -916241301/26, 321781300/13], [-541967007/13, -454739219/13, 319260885/13], [-22/13, 7/26, 2/13]], [[0, 0, 0], [-875667589575/2, -899827444146, 394332095472], [-621125320974, -1000319609541, 213469013640], [-59125/2, 1822, -7004]]], 1, 126, [], [] >,
< [ 1, -2, -1, 1 ], [[112, 176, -48]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [646/13, -62/13, 50/13], [438/13, -62/13, -2/13], [0, 0, 0]], [[0, 0, 0], [-315116, -311520/13, 365087/13], [-5501081/26, -182867/26, 408996/13], [-107/26, -5/26, -1/13]], [[0, 0, 0], [25249187532063/13, 7445104009578/13, -21490483049614/13], [31334182618707/26, 5910382569597/13, -24970955685263/26], [683936707/26, 96681805/13, -656010093/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20770/13, 1076/13, 158/13], [-776/13, 62/13, 2/13], [0, 0, 0]], [[0, 0, 0], [-14141048667/13, -4268699979/13, 6184224662/13], [-522094795/13, -315884769/26, 229059200/13], [-4/13, -1/26, 0]], [[0, 0, 0], [-13344306686805052/169, -2388928138922298/169, 6148017558549472/169], [-492615510803400/169, -87966924732270/169, 226118483140480/169], [-4016960/169, -1138960/169, 3861280/169]]], 0, 96768, [], [] >,
< [ 1, -2, -1, 1 ], [[-192, 0, -48]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [48/13, -270/13, 466/13], [8/13, -6/13, 4/13], [0, 0, 0]], [[0, 0, 0], [-4912/13, 2183/13, 380/13], [97/2, 5/2, 10], [85/26, 3/26, 2/13]], [[0, 0, 0], [251479938/13, -555467974/13, 230023734/13], [-29730494/13, 59523923/13, -27301203/13], [-1737006/13, 3285207/13, -1447505/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [35410/13, 15270/13, 1026/13], [134/13, 62/13, 2/13], [0, 0, 0]], [[0, 0, 0], [-706168989/13, -5709973, 623367893/13], [-2722887/13, -420605/26, 2343433/13], [-28/13, -3/26, 0]], [[0, 0, 0], [-6547242735532/169, -7715215889296/169, 3529295138412/169], [-25686687770/169, -27609320311/169, 12694179802/169], [-551970/169, 214655/169, 122660/169]]], 0, 225792, [], [] >,
< [ 1, -2, -1, 1 ], [[-576, 0, -144]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-954/13, 1398/13, -48/13], [-198/13, 246/13, 18/13], [0, 0, 0]], [[0, 0, 0], [281103/13, 32784/13, -182228/13], [10515/2, 1253/2, -6543/2], [-3/2, -3/26, 1/26]], [[0, 0, 0], [225829127/13, 621610832/13, -499316058/13], [10283061/2, 18228559/2, -16139437/2], [-216049/26, 427367/26, -14193/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18900/13, -20652/13, -1338/13], [438/13, 354/13, 24/13], [0, 0, 0]], [[0, 0, 0], [204690630/13, -72251805/13, 39965148/13], [-5645703/26, -5567037/26, 1213362/13], [9/26, -3/26, 0]], [[0, 0, 0], [50251374606/169, 3882892868/169, 44421588135/169], [-617362624/169, -2821407057/338, -422796369/338], [1344/169, -469/338, 525/338]]], 0, 5870592, [], [] >,
< [ 1, -2, -1, 1 ], [[-400, 96, -80]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-108, -12, 22], [-10, -2, 2], [0, 0, 0]], [[0, 0, 0], [4079442/13, -26458/13, 2416055/13], [325144/13, 261201/26, 548211/26], [22/13, 5/26, 5/26]], [[0, 0, 0], [309330699754/13, 1493510253844/13, -425716426878/13], [31543020459/13, 131159553985/13, -21634782831/13], [2892465/13, 4822765/13, -2114375/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-182, -38, -18], [-6, 2, -10], [0, 0, 0]], [[0, 0, 0], [1985651786/169, 2315523151/169, -1840938208/169], [249101/26, 41359463/26, -11031015/13], [257/338, 73/338, 1/169]], [[0, 0, 0], [-533363081895/13, 232944279305/13, 19886354536/13], [-2467238639, 3568221366, -2703436661/2], [-12814/13, -23779/13, 1247/26]]], 0, 1354752, [], [] >,
< [ 1, -2, -1, 1 ], [[4, 20, 0]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1133/13, 242/13, 12/13], [-509/13, -44/13, -1/13], [0, 0, 0]], [[0, 0, 0], [303454895/13, -92163873/26, -6567975/2], [287476807/26, 7272173/13, -102619263/52], [43/26, 1/26, 5/52]], [[0, 0, 0], [538840008060169/26, -140454079174535/13, 30204047241821/26], [121723419147113/13, -111924469876907/52, -15441912993317/52], [38486791/26, -30541541/52, 19291067/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38912/13, 365/13, 164/13], [-777/13, 1/13, -5/13], [0, 0, 0]], [[0, 0, 0], [11609243310/169, 84767859459/338, 38575629483/169], [-945098497/676, -3332696399/676, -3043718089/676], [-367/676, 25/676, 5/676]], [[0, 0, 0], [254367810719452/169, -2456053369715404/169, -3206890074676710/169], [-4659462893877/169, 48109549107837/169, 126758355160009/338], [4008249/169, -1944558/169, 2909151/338]]], 1, 126, [], [] >,
< [ 1, -2, -1, 1 ], [[-24, 12, -16]], [ -1258, 24, -20 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1722703551153/5802466, -2003846525819/2901233, -9569703/5802466], [7/2, -1, -3/2], [-2983919/2901233, -13883379/5802466, -3/5802466]], [[0, 0, 0], [-589538274044342930/2901233, 520203207999971959/2901233, 223466070930655123/5802466], [205506, 909139, -825149/2], [-2042273027371/2901233, 1802072174179/2901233, 387068301440/2901233]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, -3, -3], [17, -1, -1], [0, 0, 0]], [[0, 0, 0], [-55439499117248859/75432058, 58566864812440031/75432058, -6835825134711/75432058], [-173366891/26, 191515685/26, -1590405/26], [72448139/37716029, -153142563/75432058, -3/75432058]], [[0, 0, 0], [-67144631748918508642857/37716029, -47576059987526804298647/37716029, 67627654395734379864659/75432058], [-198837487335554/13, -150103335817882/13, 200803670134195/26], [175366016003805/37716029, 124361393415221/37716029, -88297136436787/37716029]]], 1, 756, [], [] >,
< [ 1, -2, -1, 1 ], [[-96, 48, -64]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-80944/13, -5748/13, -380/13], [2126/13, 154/13, 10/13], [0, 0, 0]], [[0, 0, 0], [15552093425/13, -6450234227/13, -12900098396/13], [-408913736/13, 339474579/26, 339475105/13], [-29/13, -1/26, 1/13]], [[0, 0, 0], [-238050807759698/13, 1427990704523661/13, 1818009973397164/13], [12625157734661/26, -75244315530309/26, -95711278795611/26], [-7707833/26, 6532967/26, 2311587/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [212070/13, 7302/13, -2008/13], [586/13, 22/13, -6/13], [0, 0, 0]], [[0, 0, 0], [566549497090288/169, -2523887480960/169, 1889014199623/169], [3130824482871/338, -3771865749/338, 3881783963/169], [125/338, 85/338, 2/169]], [[0, 0, 0], [-347659385268598511456/169, 676683024680065118080/169, -223588907460005315844/169], [-957565038250200338/169, 1860017999274297032/169, -612962374814768750/169], [-23125938/169, 18829710/169, 8169926/169]]], 0, 64512, [], [] >,
< [ 1, -2, -1, 1 ], [[4, 20, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9, 1, 1], [-65, -2, 3], [0, 0, 0]], [[0, 0, 0], [-549827/2, 5195, -39625/2], [1948870, -124444, -105402], [5/2, 1, 1/2]], [[0, 0, 0], [1406155806, 7965103385, -2417550813], [-13325672184, -46998634040, 19978899632], [-16704, -74240, 2592]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [72, -72, -2], [36, 1, 2], [0, 0, 0]], [[0, 0, 0], [592851459/26, 64328306/13, -123659005/13], [275824739/13, 63723147/13, -122610484/13], [-43/26, -5/13, -1/13]], [[0, 0, 0], [264845722671/13, 97351448128/13, -129114886844/13], [257383134755/13, 66758528735/13, -120783981809/13], [-6950/13, -35705/13, 1751/13]]], 1, 126, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, -64, 176]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -36, 44], [-2, -6, 10], [0, 0, 0]], [[0, 0, 0], [-10914/13, 27046/13, 25624/13], [-5978/13, 4822/13, 7205/13], [0, 2/13, 1/13]], [[0, 0, 0], [-19208/13, 20415/13, -19631/13], [9471/26, 9519/26, -14335/26], [-9/26, 11/26, -5/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-102, -34, 46], [2, -8, 10], [0, 0, 0]], [[0, 0, 0], [-1554643592/169, -385589897/169, 690486561/169], [699013/26, 585935/26, -40561/26], [1/338, 59/338, -3/338]], [[0, 0, 0], [-374735914382/169, -92668981300/169, 166534774998/169], [86276687/13, 80902779/13, -38465161/13], [-7155/169, 28461/169, -11607/169]]], 0, 96768, [], [] >,
< [ 1, -2, -1, 1 ], [[48, 224, -80]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1434/13, 816/13, 574/13], [82/13, 140/13, 2/13], [0, 0, 0]], [[0, 0, 0], [-32257087/13, -21542026/13, -320935], [-2224919/13, -4614143/26, 206003/26], [2/13, -1/26, -1/26]], [[0, 0, 0], [829418/13, 207954/13, 1713968/13], [-5780/13, 213180/13, 32470/13], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3964/13, 6712/13, 162/13], [2066/13, 56/13, 6/13], [0, 0, 0]], [[0, 0, 0], [120304405466/169, -492490822231/169, 229578906517/169], [-97188158394/169, 225093638310/169, -191733236645/338], [-668/169, -45/169, -5/338]], [[0, 0, 0], [7958600450755745/169, -17769670350271520/169, 6644288082014829/169], [-2591134842583289/169, 17082750800123791/338, -8086182865182125/338], [25338438/169, -5260319/338, -66161477/338]]], 0, 112896, [], [] >,
< [ 1, -2, -1, 1 ], [[48, 240, 0]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6078/13, 1844/13, 374/13], [-422/13, -80/13, 10/13], [0, 0, 0]], [[0, 0, 0], [-928827320/13, -115556778/13, 24249023], [122300799/26, 13156155/26, -20726736/13], [-55/26, 1/26, 1/13]], [[0, 0, 0], [-84310013095598/13, 1948957019218/13, 20433270603162/13], [5580968159112/13, -289216200968/13, -1334591204228/13], [-2664408/13, 1016880/13, -659604/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [35034/13, -74/13, 890/13], [298/13, 4/13, 6/13], [0, 0, 0]], [[0, 0, 0], [156038335623/169, 8578890875/169, -6366156920/169], [1328502553/169, 181326839/338, -60363777/169], [-258/169, 23/338, 1/169]], [[0, 0, 0], [50900527895369/169, -14002489219287/169, 8545464762508/169], [431743825834/169, -219311711353/338, 69230202104/169], [-86549/169, 74359/338, -19504/169]]], 0, 225792, [], [] >,
< [ 1, -2, -1, 1 ], [[144, 720, 0]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3108/13, -342/13, 384/13], [2874/13, -30/13, -6/13], [0, 0, 0]], [[0, 0, 0], [-5332585377/13, -951198377/13, 1839719495/13], [-10018389119/26, -991559768/13, 1845447221/13], [25/26, 1/13, -2/13]], [[0, 0, 0], [-20235721645639/13, -1487257801346/13, 4127408915456/13], [-37770252803519/26, -2299127873818/13, 9794521054473/26], [96465/26, -8284/13, 22127/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-37458/13, 306/13, -2310/13], [606/13, -6/13, 30/13], [0, 0, 0]], [[0, 0, 0], [-508218251/169, 375169008/169, 575688096/169], [16105359/338, -5829103/169, -18042929/338], [-149/338, -1/169, -3/338]], [[0, 0, 0], [151800776232/169, -180270160620/169, -165769274950/169], [-2394903029/169, 2824989501/169, 2583444364/169], [26015/169, -39775/169, 22790/169]]], 0, 5870592, [], [] >,
< [ 1, -2, -1, 1 ], [[96, 464, -80]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [136, -8, 6], [2, -2, 0], [0, 0, 0]], [[0, 0, 0], [3683/13, 240/13, -1720/13], [-987/26, -1047/26, -61/13], [43/26, -3/26, 2/13]], [[0, 0, 0], [109459660/13, 32660878/13, -14118389/13], [-86035819/26, 18290093/13, 45066064/13], [2568691/26, -989086/13, -495876/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [58, -52, -40], [0, 10, -6], [0, 0, 0]], [[0, 0, 0], [34291680/169, -5156921/169, -25733430/169], [234128/13, 105447/26, -236173/26], [535/169, 41/338, 1/338]], [[0, 0, 0], [20911514863/169, 29698697622/169, 5700063627/169], [313160927/13, 45695227/26, -82588959/13], [6897/169, 4549721/338, -1544928/169]]], 0, 1354752, [], [] >,
< [ 1, -2, -1, 1 ], [[464, -400, -80]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-44/13, -214/13, -126/13], [112/13, -318/13, 4/13], [0, 0, 0]], [[0, 0, 0], [6268373/13, 1721121/13, -2644926/13], [1108940/13, 467069/26, -338435/13], [21/13, 5/26, 1/13]], [[0, 0, 0], [311804507842/13, 90467040680/13, -126924961893/13], [119042488713/26, -2742444309/26, -6927184942/13], [201571/2, -115051/2, 55517]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13668/13, 28490/13, 82/13], [-564/13, 1034/13, 4/13], [0, 0, 0]], [[0, 0, 0], [4521507598/169, -6552116273/169, 3460400637/169], [324916784/169, -211190448/169, 118404231/338], [-274/169, -35/169, -1/338]], [[0, 0, 0], [-465569660501799/169, 1029035176167658/169, -586156826519444/169], [-52007413081993/338, 37001625954134/169, -36009164262093/338], [29359467/338, -2487174/169, 20888657/338]]], 0, 1354752, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, -4, 8], [-2, -2, 8], [0, 0, 0]], [[0, 0, 0], [1, 2, 0], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [-71048, -18136, 32012], [-4600, 360, 800], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, -42, -32], [6, -6, -4], [0, 0, 0]], [[0, 0, 0], [1, 0, 2], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [-6392, 72, 2324], [-1440, -64, 528], [0, 0, 0]]], 0, 3072, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, 20, 4], [4, -6, 6], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [1024, 428, -32], [-384, 192, 256], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -6, -6], [16, -8, 12], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 2, 2], [1, 0, 0]], [[0, 0, 0], [0, 0, 0], [4, -24, 12], [0, 0, 0]]], 0, 3072, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -2, -14], [8, -2, -8], [0, 0, 0]], [[0, 0, 0], [-1, 2, 2], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [14, 12, -10], [6, -2, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 8, -4], [0, 8, 0], [0, 0, 0]], [[0, 0, 0], [-1, 2, 2], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [-90, -26, 42], [-114, -30, 52], [0, 0, 0]]], 0, 3072, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -16, -10], [-8, -10, 4], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [0, 2, -2], [2, 2, -2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -8, -6], [12, -8, -12], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [2, 2, 0], [1, 0, 0]], [[0, 0, 0], [-418, 190, 38], [504, -552, 168], [0, 0, 0]]], 0, 3072, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -14, 46], [6, 0, 6], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [-100, 148, 596], [-576, -96, 368], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 32, 18], [-8, -4, 10], [0, 0, 0]], [[0, 0, 0], [-1, 2, 0], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [-3972, 5036, -1116], [2592, -4428, 1728], [0, 0, 0]]], 0, 3072, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, 12, -10], [4, 0, 10], [0, 0, 0]], [[0, 0, 0], [1, 2, 2], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [14154, 138, -4150], [-3210, 172, 638], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -4, -6], [-20, -16, -8], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [2, 2, 2], [1, 0, 0]], [[0, 0, 0], [-600, 320, -48], [5676, -2580, -516], [0, 0, 0]]], 0, 3072, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 50, 28], [4, 6, 6], [0, 0, 0]], [[0, 0, 0], [-1, 2, 0], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [2724, -776, -1548], [1700, 340, -952], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 0, -8], [8, 2, -10], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [192, 100, -136], [140, -112, -56], [0, 0, 0]]], 0, 3072, [], [] >,
< [ 1, -2, -1, 1 ], [[8, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-17/2, 7/2, 35/2], [0, 0, 0], [1/2, 3/2, 1/2]], [[0, 0, 0], [-293/2, 665/2, 243], [0, 0, 0], [-63/2, 27/2, 36]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-19/2, 9/2, 6], [0, 0, 0], [-1/2, -1/2, 0]], [[0, 0, 0], [0, 4, -2], [0, 0, 0], [0, 0, 0]]], 1, 8, [], [] >,
< [ 1, -2, -1, 1 ], [[128, -64, -64]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -12, -4], [8, -8, 16], [0, 0, 0]], [[0, 0, 0], [2, 0, 2], [-1, -1, 1], [1, 0, 0]], [[0, 0, 0], [240, 48, -88], [-828, -288, 396], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [92, 4, -4], [20, -8, 16], [0, 0, 0]], [[0, 0, 0], [358643106/13, 68406768/13, -122421096/13], [76499122/13, 4972261/13, -8972614/13], [19/13, -37/13, 3/13]], [[0, 0, 0], [-571658923048/13, -135311995734/13, 254805770990/13], [-121762571321/13, -26114464476/13, 54431356830/13], [-5041/13, 222/13, -213/13]]], 0, 18432, [], [] >,
< [ 1, -2, -1, 1 ], [[128, -64, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-116, -32, -74], [2, 0, -10], [0, 0, 0]], [[0, 0, 0], [3, 0, 2], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [-548, -136, 244], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 2, 8], [6, 2, -2], [0, 0, 0]], [[0, 0, 0], [-13, 2, 0], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [-8, 16, -4], [0, 0, 0], [0, 0, 0]]], 0, 24576, [], [] >,
< [ 1, -2, -1, 1 ], [[128, -64, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [124, 42, 58], [-2, 2, 8], [0, 0, 0]], [[0, 0, 0], [7, 2, 2], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [42376, 7748, -18456], [192, -104, -80], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-104, -22, 50], [10, -4, 6], [0, 0, 0]], [[0, 0, 0], [1, 2, 0], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [222476, 62816, -93380], [-29120, 11880, 14280], [0, 0, 0]]], 0, 24576, [], [] >,
< [ 1, -2, -1, 1 ], [[128, -64, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [140, -24, 60], [10, -4, 10], [0, 0, 0]], [[0, 0, 0], [-7, 2, 2], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [-2117952, 308416, 974048], [-170178, 56224, 80822], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [76, -22, 8], [-6, 8, -6], [0, 0, 0]], [[0, 0, 0], [11, 0, 0], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [-14854, 372, 6934], [1050, -546, -476], [0, 0, 0]]], 0, 24576, [], [] >,
< [ 1, -2, -1, 1 ], [[128, -64, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-72, 16, 2], [10, -2, -6], [0, 0, 0]], [[0, 0, 0], [-7, 2, 2], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [152, -152, 72], [-20, 12, 12], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-230, -44, -82], [-4, 0, -10], [0, 0, 0]], [[0, 0, 0], [3, 0, 2], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [2537380, -187872, -1106036], [71604, -34544, -30056], [0, 0, 0]]], 0, 24576, [], [] >,
< [ 1, -2, -1, 1 ], [[128, -64, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, -36, 0], [-8, -6, 2], [0, 0, 0]], [[0, 0, 0], [-13, 2, 0], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [40, 8, -16], [10, 2, -4], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-110, -100, 28], [-2, -10, 2], [0, 0, 0]], [[0, 0, 0], [11, 0, 0], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [56744, -16072, -38724], [3160, -2560, -1600], [0, 0, 0]]], 0, 24576, [], [] >,
< [ 1, -2, -1, 1 ], [[128, -64, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -80, -56], [-10, -6, -6], [0, 0, 0]], [[0, 0, 0], [-7, 2, 2], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [-405208, 121896, 494876], [-157248, 42224, 82264], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [74, 16, -18], [2, 6, -2], [0, 0, 0]], [[0, 0, 0], [1, 2, 0], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [-156, 226, 282], [-22, 32, 40], [0, 0, 0]]], 0, 24576, [], [] >,
< [ 1, -2, -1, 1 ], [[128, -64, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-52, 12, -26], [-10, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11, 0, 2], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [54, -32, -30], [8, -2, -4], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-58, -44, -58], [6, -10, -6], [0, 0, 0]], [[0, 0, 0], [11, 0, 0], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [-413772, -101908, 173276], [2400, -972, -1236], [0, 0, 0]]], 0, 24576, [], [] >,
< [ 1, -2, -1, 1 ], [[-24, 16, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [43, 81/2, 34], [0, 0, 0], [2, 3/2, 2]], [[0, 0, 0], [15757/2, -9523/2, -7297/2], [0, 0, 0], [793/2, -637/2, -273/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [219/2, 15/2, 13/2], [0, 0, 0], [1/2, -1/2, -1/2]], [[0, 0, 0], [8, 0, -2], [0, 0, 0], [0, 0, 0]]], 1, 48, [], [] >,
< [ 1, -2, -1, 1 ], [[-64, 0, -64]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-340/13, 112/13, -196/13], [-184/13, 268/13, 12/13], [0, 0, 0]], [[0, 0, 0], [3004611/13, 81731, -1747591/13], [867991/26, 495273/13, -307172/13], [47/26, 2/13, 1/13]], [[0, 0, 0], [1394006708/13, 922454770/13, -1002073470/13], [156215336/13, 455078842/13, -274157583/13], [15720/13, -7860/13, 1965/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3260/13, -9112/13, -616/13], [68/13, 144/13, 8/13], [0, 0, 0]], [[0, 0, 0], [537312219/169, -199538321/169, 353402206/169], [-9104964/169, 3267547/338, -4756140/169], [-69/169, 19/338, -2/169]], [[0, 0, 0], [-51192397588/169, -1125910244548/169, 320599550300/169], [2331859510/169, 16598521916/169, -4713030020/169], [35894/169, 74408/169, -38252/169]]], 0, 36864, [], [] >,
< [ 1, -2, -1, 1 ], [[-256, -64, 256]], [ -1258, 24, -20 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -4, -10], [-4, 6, -10], [0, 0, 0]], [[0, 0, 0], [-21481067119915/2901233, -25584458993394/2901233, 506136926912/2901233], [-5729767, -7011004, 85238], [-14616413/2901233, -17959285/2901233, -2/2901233]], [[0, 0, 0], [-12284904168580122642/2901233, -5509156756043708862/2901233, 8328060282302754372/2901233], [-3301807116740, -1516903381832, 2266631854226], [-8486452627674/2901233, -3793194595176/2901233, 5778269853342/2901233]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38, 0, -14], [4, -2, -4], [0, 0, 0]], [[0, 0, 0], [681872076746743/37716029, 21868712386595793/37716029, -5684973340/37716029], [4238067/13, 135919061/13, -38/13], [-2625613/37716029, -84206656/37716029, 5/37716029]], [[0, 0, 0], [1066358422100976700008309/37716029, -71496849286653751623309/37716029, -118666723671554273005793/37716029], [6627668675576125/13, -444366227309725/13, -737544355435325/13], [-4106073092617950/37716029, 275300660761200/37716029, 456934041790675/37716029]]], 0, 221184, [], [] >,
< [ 1, -2, -1, 1 ], [[-64, 0, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-114, 6, -14], [20, -12, 20], [0, 0, 0]], [[0, 0, 0], [5, 0, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-109496, -15438, -13418], [16640, -2688, 20096], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, -64, 60], [-12, -4, 16], [0, 0, 0]], [[0, 0, 0], [-89235/13, -24584/13, 39928/13], [-15490/13, -5328/13, 6464/13], [57/13, 6/13, -4/13]], [[0, 0, 0], [-5613740/13, -6649258/13, 5192888/13], [-648644/13, -2087140/13, 1119536/13], [23958/13, -54648/13, 26136/13]]], 0, 43008, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 128, 0]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [404/13, -20/13, 320/13], [60/13, 48/13, 12/13], [0, 0, 0]], [[0, 0, 0], [1036, 24397/13, -12670/13], [3477/13, 3439/26, -2517/26], [-2/13, 5/26, 5/26]], [[0, 0, 0], [-16311700/13, -5488088/13, 8096444/13], [-3065682/13, -779300/13, 1380788/13], [310/13, 40/13, -100/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [15896/13, -13512/13, 860/13], [236/13, -196/13, 16/13], [0, 0, 0]], [[0, 0, 0], [98835121/169, 204801541/169, 167105431/169], [1973737/169, 2404292/169, 3287957/338], [-20/169, -16/169, 5/338]], [[0, 0, 0], [102343810477/169, -97441530309/169, 33090055055/169], [1550544039/169, -1462762869/169, 911248223/338], [-5880/169, -6615/169, 10115/338]]], 0, 36864, [], [] >,
< [ 1, -2, -1, 1 ], [[-192, 0, -64]], [ -2258, 32, -4 ], [ 3, -10, -32 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [17900/349, -594/349, -2222/349], [-2412/349, 336/349, 16/349], [0, 0, 0]], [[0, 0, 0], [-45264740447745296/15723497, 19266078172591745/15723497, 24855963266875/15723497], [-2677780378/349, 1287297498/349, -67392872/349], [5921652852/1430838227, -2526739779/1430838227, -1/1430838227]], [[0, 0, 0], [416917155401202734055666/15723497, -16141824425111305846270518/15723497, 7190638249094588064116916/15723497], [49925750482671880/349, -1007006140463983748/349, 453130121024425156/349], [-55715487493865918/1430838227, 2114138471529872622/1430838227, -941805725615558520/1430838227]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6709564/349, 4788410/349, 21478/349], [6408/349, 4608/349, 20/349], [0, 0, 0]], [[0, 0, 0], [12527534485827018182/15723497, 122208484030088981/15723497, -36215180857029694/15723497], [269103569350/349, 11676048704/349, -3809833456/349], [2465076566/1430838227, 760964877/1430838227, 2/1430838227]], [[0, 0, 0], [36557790051400602692709127767074/204405461, -38683737768960606936197772700196/204405461, 20621021849498051672305549082682/204405461], [765629307077344610920844/4537, -759953500393610845229820/4537, 414938111135697834501124/4537], [459249943311224403470/1430838227, -231654461413270483456/1430838227, 230396280614015063966/1430838227]]], 0, 221184, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 128, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [72, 10, -2], [8, 8, 0], [0, 0, 0]], [[0, 0, 0], [-11, 0, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [2664, -1568, 1348], [144, 404, 80], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-130, -68, 50], [-12, 16, 4], [0, 0, 0]], [[0, 0, 0], [1047225/13, 164861/13, -417129/13], [182, 5746, -3210], [-37/13, -1/13, 3/13]], [[0, 0, 0], [23949608/13, 6009032/13, -12048032/13], [63516, -40248, 17744], [888/13, -2784/13, -2568/13]]], 0, 43008, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, -64, 128]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1256/13, 1228/13, 48/13], [-192/13, 196/13, 8/13], [0, 0, 0]], [[0, 0, 0], [-717/13, 869/13, 1142/13], [-128/13, 44/13, 145/26], [-1/13, -1/13, -3/26]], [[0, 0, 0], [-1000/13, -2536/13, -1632/13], [-2292/13, -140/13, 648/13], [-48/13, 8/13, 16/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2120/13, -3072/13, 72/13], [232/13, -148/13, 12/13], [0, 0, 0]], [[0, 0, 0], [-99504996/169, 145027543/169, 209616833/169], [4150365/338, -1309343/169, -530531/338], [29/338, -32/169, -5/338]], [[0, 0, 0], [-50607909, -3914208, 31061628], [-19788871/2, -5090359/2, 8883307/2], [63/26, -35/26, -21/26]]], 0, 36864, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 256, 0]], [ -1018, 108, -24 ], [ 9, -84, -110 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3203762952/1436009, 3932328526/1436009, -1612/1436009], [15899568/1436009, 19586544/1436009, -8/1436009], [0, 0, 0]], [[0, 0, 0], [-5908865585261446/1436009, 17840126508643956/1436009, -17955719252544934/1436009], [-29698865033580/1436009, 89770846701128/1436009, -89771032471972/1436009], [-4, -4, 0]], [[0, 0, 0], [4357254996245796761607970/1436009, -1488789101312865783242231/1436009, -640508546601067713240669/1436009], [21566553728203996901930/1436009, -7533292286202402437936/1436009, -3081796731986559854328/1436009], [19004549980456042/1436009, 4710140068678201/1436009, -8529558575861485/1436009]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-19855018748/1436009, 5648455580/1436009, 14362508/1436009], [-98521820/1436009, 28060544/1436009, 12/1436009], [0, 0, 0]], [[0, 0, 0], [-680645745445706087657/1436009, -185835034529984105441/1436009, 330002780137674673877/1436009], [-43907106483873915662/18668117, -11987104164463217206/18668117, 21291403594730265768/18668117], [-40323085/18668117, -141411373/18668117, -5/18668117]], [[0, 0, 0], [14365071512467745927640599900115342/1436009, 3265453798857339823125726273100480/1436009, -6127344571575687913616222734917455/1436009], [926638551937276494990034081761706/18668117, 210634498056860486197069670206408/18668117, -395222849342142017852488576815830/18668117], [2616620653551488532894/18668117, -545184061420839185840/18668117, -1077628258847422290965/18668117]]], 0, 221184, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, -64, 128]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-142, -30, 12], [-20, 20, -8], [0, 0, 0]], [[0, 0, 0], [5, 0, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-2151610, 31772, 1602450], [-142880, -85760, 152160], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [132, -14, -58], [0, 4, 12], [0, 0, 0]], [[0, 0, 0], [28982261/13, -430908/13, -8794775/13], [1503146/13, -1315684/13, 327578/13], [67/13, -8/13, 1/13]], [[0, 0, 0], [59507917920/13, 23429592462/13, -29969211508/13], [2021781120/13, 1721187384/13, -2338247700/13], [229140/13, -64722/13, -251250/13]]], 0, 43008, [], [] >,
< [ 1, -2, -1, 1 ], [[192, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, -2, 46], [16, -12, -20], [0, 0, 0]], [[0, 0, 0], [3, 0, 2], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [24, -78, 36], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [382, 8, 8], [-16, -8, -16], [0, 0, 0]], [[0, 0, 0], [-14673346, 364331, 4517750], [900736, -115142, -252756], [-4, -1, 0]], [[0, 0, 0], [-4731295896/13, 1175993736/13, 535270488/13], [279821928/13, -96518484/13, 19992828/13], [-2640/13, 1980/13, 2112/13]]], 0, 86016, [], [] >,
< [ 1, -2, -1, 1 ], [[192, -128, -64]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [11324/29, -3800/29, 620/29], [880/29, -328/29, 12/29], [0, 0, 0]], [[0, 0, 0], [-58111600/29, 99310659/29, -37731482/29], [-4441272/29, 15284559/58, -2899396/29], [-1/29, -5/58, 2/29]], [[0, 0, 0], [-458695808/29, 270850504/29, 35583008/29], [-34291584/29, 20169998/29, 1624786/29], [-12/29, -30/29, -6/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1112/29, -36636/29, -1032/29], [32/29, -284/29, -8/29], [0, 0, 0]], [[0, 0, 0], [102269935/377, 26139304/377, -8732717/377], [1208173/754, 143757/377, 7133/754], [-59/754, 1/377, 3/754]], [[0, 0, 0], [2767932007768/377, 4927498528699/377, -284349427145/377], [13665815299/377, 69707303371/754, 641289915/754], [-658552/377, -106107/26, 867323/754]]], 0, 86016, [], [] >,
< [ 1, -2, -1, 1 ], [[192, -128, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -64, -48], [12, 16, 12], [0, 0, 0]], [[0, 0, 0], [-3, 0, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-1292, -232, 2064], [1188, -792, -396], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2778, -1452, 1818], [-20, 16, -20], [0, 0, 0]], [[0, 0, 0], [-6013254311776/13, -449118219965/13, 730202350431/13], [3157272588, -9414794, 8559350], [-24/13, 5/13, 1/13]], [[0, 0, 0], [-69528521753995647, 35086240357858456, 40222732817599439], [533730699578358, -359588783309784, -318988544513766], [-256257, 170856, 85089]]], 0, 92160, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 192, -64]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1320/29, 4008/29, 100/29], [-380/29, 732/29, 20/29], [0, 0, 0]], [[0, 0, 0], [-1300519/29, -324850/29, 778061/29], [254353/58, 24454/29, -20773/29], [-5/58, 1/29, 1/29]], [[0, 0, 0], [32804364/29, -24943224/29, -96640/29], [98332/29, -6621544/29, 3022736/29], [-32/29, 192/29, -112/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1412, -964, 4], [-12, -8, 0], [0, 0, 0]], [[0, 0, 0], [5175508816/377, 79703662/377, -470060755/377], [44792903/377, -4305215/754, -5512547/754], [-14/377, -5/754, -1/754]], [[0, 0, 0], [1293702715428/377, 1044861153364/377, -1466016957662/377], [10408932770/377, 10324352017/377, -13045683767/377], [-4444/377, -2101/377, 5123/377]]], 0, 86016, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 192, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [258, -28, 26], [20, -16, 16], [0, 0, 0]], [[0, 0, 0], [-3, 0, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-3035748, -2668420, 1596644], [-108216, -371628, 118584], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4772, -34, -32], [12, -20, -16], [0, 0, 0]], [[0, 0, 0], [-3186637/13, -811516/13, 1418047/13], [74/13, 120/13, -2/13], [37/13, 60/13, -1/13]], [[0, 0, 0], [-1138927504059, -300400379683, 514237302677], [21319350, 63900862, -21416906], [10659675, 31950431, -10708453]]], 0, 92160, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, 64, -64]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4924/29, 1900/29, -620/29], [-504/29, 248/29, -4/29], [0, 0, 0]], [[0, 0, 0], [-2813072/29, 3773059/29, -1264493/29], [-271582/29, 378356/29, -253239/58], [41/29, -1/29, 1/58]], [[0, 0, 0], [2803907669/29, 18906798156/29, -7662797569/29], [363367762/29, 3293935395/58, -1994035535/58], [291296/29, -63721/2, -1665849/58]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-63080/29, -65596/29, -2364/29], [-508/29, -516/29, -16/29], [0, 0, 0]], [[0, 0, 0], [-61937224462/377, 7701734947/377, 21590996845/377], [-490806830/377, 50533381/377, 353207887/754], [-19/13, -32/377, -5/754]], [[0, 0, 0], [-3796712557085564/29, -952141988028358/29, 3060187070671107/29], [-60965530224341/58, -14216820742733/58, 24066507526898/29], [-31532561/58, -91601647/58, -7844254/29]]], 0, 86016, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, 64, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [328, -22, -46], [20, -4, -8], [0, 0, 0]], [[0, 0, 0], [17, 0, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-1412802, 1210608, 29930], [-54468, 28152, -24140], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1462, -592, -730], [-12, 16, 20], [0, 0, 0]], [[0, 0, 0], [-391167/13, 155845/13, 54855/13], [118/13, -82/13, -6/13], [-59/13, 41/13, 3/13]], [[0, 0, 0], [164568020208/13, -50911764308/13, 8307895580/13], [-42358656/13, 21237796/13, -21074236/13], [21179328/13, -10618898/13, 10537118/13]]], 0, 92160, [], [] >,
< [ 1, -2, -1, 1 ], [[576, -384, -256]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-23908/29, -1248/29, -268/29], [-2356/29, -148/29, 8/29], [0, 0, 0]], [[0, 0, 0], [466965580, 2319302835/29, -4241796630/29], [2671628153/58, 467642177/58, -848671829/58], [135/58, 5/58, -5/58]], [[0, 0, 0], [1140070873026200/29, -11861679238400, -336426621745672/29], [111711715895552/29, -31890293253184/29, -33636737504404/29], [8135424/29, -258240, -1200768/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [513660/29, -11048/29, -1240/29], [4096/29, -84/29, -8/29], [0, 0, 0]], [[0, 0, 0], [13961649820769/377, -2049107134715/377, -510747129522/377], [111345447299/377, -32503855643/754, -4052322738/377], [-310/377, -1/26, 1/377]], [[0, 0, 0], [-1221792070776461906/377, 1351184687764806364/377, -131993574581600950/377], [-9746424859052210/377, 10772492766569043/377, -1043585845170091/377], [28457454/377, -27092425/377, -3067825/377]]], 0, 2580480, [], [] >,
< [ 1, -2, -1, 1 ], [[576, -384, -256]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, -8, 2], [412, 8, -12], [0, 0, 0]], [[0, 0, 0], [7, 0, 0], [54, 0, 0], [1, 0, 0]], [[0, 0, 0], [23704, -16744, -10456], [565564, -310148, -401368], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-474, -8, 18], [-356, 0, 12], [0, 0, 0]], [[0, 0, 0], [-629446895007/13, -35985708974/13, -17367476273/13], [-473098739562/13, -18226816320/13, -14650581254/13], [75/13, -14/13, 5/13]], [[0, 0, 0], [-97540751134859812734/13, 55936186333253305688/13, 60097710066600253408/13], [-72855399711192066724/13, 42284329209077944308/13, 44023297579288685488/13], [10612391102/13, -7074208444/13, -4714996864/13]]], 0, 2580480, [], [] >,
< [ 1, -2, -1, 1 ], [[704, -256, -320]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-800/29, -3508/29, 152/29], [-160/29, -632/29, -16/29], [0, 0, 0]], [[0, 0, 0], [2429730/29, -2851167/29, -2443712/29], [947849/58, -1078753/58, -513353/29], [-105/58, -1/58, 0]], [[0, 0, 0], [445798204, 19640446430/29, 989922262/29], [2525316067/29, 3760132618/29, 363946205/29], [-1664601/29, -465216/29, 850473/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [50968/29, -74188/29, -2072/29], [380/29, -616/29, -20/29], [0, 0, 0]], [[0, 0, 0], [1490137032898/377, 183395426420/377, -272179837504/377], [8550795563/377, 837538619/377, -533659907/377], [-665/377, -5/377, -1/377]], [[0, 0, 0], [1454814062763802777/377, -915958385528525860/377, -382174956398970912/377], [19432351123203991/754, -16118324618675349/754, -4905125404483227/754], [-1605274517/754, 1570463279/754, 262544359/754]]], 0, 2580480, [], [] >,
< [ 1, -2, -1, 1 ], [[704, -256, -320]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [50, 6, 0], [-368, -16, 16], [0, 0, 0]], [[0, 0, 0], [25, 0, 0], [-42, 0, 0], [1, 0, 0]], [[0, 0, 0], [-53040, 22152, 23400], [366548, -149884, -139496], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3034, 12, -30], [-176, 4, -20], [0, 0, 0]], [[0, 0, 0], [-14273511413130/13, -374992956969/13, 1396872170599/13], [832914795888/13, -964509570/13, -2582589370/13], [16/13, -25/13, -5/13]], [[0, 0, 0], [-2077860771640891892/13, -477820600095103050/13, 842719295867128788/13], [121838690198081084/13, 27920167406360760/13, -48088906320471864/13], [778398/13, -283180/13, -353868/13]]], 0, 2580480, [], [] >,
< [ 1, -2, -1, 1 ], [[640, -320, -384]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1836/29, 7964/29, 556/29], [168/29, 568/29, 16/29], [0, 0, 0]], [[0, 0, 0], [-17518717/29, -2966474/29, 6941379/29], [-2704763/58, -236486/29, 1080661/58], [57/58, 2/29, -5/58]], [[0, 0, 0], [10773913686/29, 1742855806/29, -4361102498/29], [831539165/29, 139327995/29, -339018231/29], [-21801/29, 5031/29, 9503/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10484/29, -17776/29, -1084/29], [48/29, -136/29, -12/29], [0, 0, 0]], [[0, 0, 0], [-1645935576/377, -783185498/377, 1244907749/377], [10288729/377, 920533/377, -1907689/754], [-595/377, 14/377, 3/754]], [[0, 0, 0], [-10748385340742448/377, -16017612453300500/377, 15907967426044280/377], [3588377540006/13, -1622973771714/13, 944576975972/13], [-6469166250/377, 4589191650/377, -2681334000/377]]], 0, 2580480, [], [] >,
< [ 1, -2, -1, 1 ], [[640, -320, -384]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [50, -10, 4], [-40, 36, 68], [0, 0, 0]], [[0, 0, 0], [23, 0, 0], [10, 0, 0], [1, 0, 0]], [[0, 0, 0], [-29952, -16848, 17316], [11396, -4840, -7700], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2176, 10, 0], [4, -8, -16], [0, 0, 0]], [[0, 0, 0], [1959179/13, 269369/13, -689942/13], [1898, 182, 104], [-73/13, -7/13, -4/13]], [[0, 0, 0], [300209043360684/13, 15829110595286/13, -121335647781132/13], [442662100140, -221320542820, -265598173620], [-17025465390/13, 8512328570/13, 10215314370/13]]], 0, 2580480, [], [] >,
< [ 1, -2, -1, 1 ], [[576, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 24, -24], [24, -24, -36], [0, 0, 0]], [[0, 0, 0], [1, 0, -2], [-2, 4, 4], [1, 0, 0]], [[0, 0, 0], [-6, -18, 12], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-60, -42, 24], [-60, 48, 0], [0, 0, 0]], [[0, 0, 0], [-4117185/13, 1603630/13, 4220687/13], [-825202/13, -646304/13, -1153770/13], [-23/13, -12/13, -5/13]], [[0, 0, 0], [424776450/13, -3838278/13, -344134950/13], [205017216/13, -79717512/13, 80145384/13], [4092/13, 12/13, -216/13]]], 0, 2236416, [], [] >,
< [ 1, -2, -1, 1 ], [[-320, -64, 320]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [72, 92, 16], [12, 20, 0], [0, 0, 0]], [[0, 0, 0], [-3523609/13, 18110269/13, 9595230/13], [-2933809/26, 5750110/13, 676339/26], [-29/26, 1/13, 3/26]], [[0, 0, 0], [214739736, 1543105476/13, -414739124/13], [529653620/13, 213374602/13, -65757806/13], [-6992/13, -1978/13, 3082/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [17460/13, 21768/13, 840/13], [216/13, 308/13, 12/13], [0, 0, 0]], [[0, 0, 0], [52284283647/169, -37723197368/169, -40473980628/169], [1439692417/338, -1169901535/338, -514734166/169], [1011/338, 73/338, 1/169]], [[0, 0, 0], [2021861984273869/169, 537102866068790/169, 673168280691272/169], [55350239038423/338, 5152081091233/338, 11777042405573/169], [103895313/338, -12356059/338, -18795132/169]]], 0, 516096, [], [] >,
< [ 1, -2, -1, 1 ], [[704, -384, -256]], [ -2258, 32, -4 ], [ 3, -10, -32 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14720/349, 25102/349, -3458/349], [-1840/349, -2876/349, -4/349], [0, 0, 0]], [[0, 0, 0], [-3948026327953837/15723497, -1787044544022076/15723497, 3708481702054/15723497], [897969256/349, 401227630/349, -10371526/349], [506664367/110064479, 229615434/110064479, -2/110064479]], [[0, 0, 0], [302584855735581255701974/15723497, 372666690777568640721612/15723497, -376041907978768467864030/15723497], [-68854425692025672/349, -83373552520942656/349, 84340256221759128/349], [-5547470264519616/15723497, -6841586314681152/15723497, 6902430804742272/15723497]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2092216/349, -6236062/349, -17290/349], [1968/349, -6004/349, -20/349], [0, 0, 0]], [[0, 0, 0], [-659818103274517925/204405461, 7073987308100102031/204405461, -191322886888246895/204405461], [98030881638/4537, 39170487700/4537, -7835258462/4537], [-5898904429/1430838227, 6508033975/1430838227, -3/1430838227]], [[0, 0, 0], [-753088152999928872986265160/15723497, -191138209831711608859346824387/15723497, -5424402245671036090633101363/15723497], [-3480222922754406079602/349, -1476753778502869026914/349, 496209805747673441508/349], [179988740038702243048/110064479, -153059444355659199455/110064479, -27284229026822470575/110064479]]], 0, 3096576, [], [] >,
< [ 1, -2, -1, 1 ], [[-320, -64, 320]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 2, -8], [-308, -12, 12], [0, 0, 0]], [[0, 0, 0], [7, 0, 0], [-2, 0, 0], [1, 0, 0]], [[0, 0, 0], [0, 0, 0], [4, -16, 4], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-60, -134, -2], [-144, 0, 4], [0, 0, 0]], [[0, 0, 0], [-60474379/13, 17932956/13, -946432/13], [-3258922, -5109576, 3524596], [-19/13, 42/13, 4/13]], [[0, 0, 0], [-327117984940/13, -78474905155/13, 145945515980/13], [-29908990056, -7459313982, 13404908996], [4320/13, -795/13, -4570/13]]], 0, 516096, [], [] >,
< [ 1, -2, -1, 1 ], [[-256, 0, -64]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [220/13, -620/13, -228/13], [28/13, -112/13, -12/13], [0, 0, 0]], [[0, 0, 0], [-137348/13, -179182/13, 93831/13], [-36007/13, -77829/26, 52835/26], [-49/13, -5/26, 1/26]], [[0, 0, 0], [-26090978804/13, -2246356552/13, 11805261796/13], [-6190086694/13, -745382850/13, 2650177602/13], [-6320930/13, -1395530/13, 3562706/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1320/13, -4084/13, -640/13], [116/13, -204/13, -20/13], [0, 0, 0]], [[0, 0, 0], [-71957401/169, -80461371/169, 147201524/169], [3755354/169, -4385869/169, 8826303/338], [-27/169, 30/169, -1/338]], [[0, 0, 0], [-13300678979/169, -3626257038/169, 4605010259/169], [953177029/338, 122435523/169, -273383068/169], [-4529/338, -861/169, 1029/169]]], 0, 516096, [], [] >,
< [ 1, -2, -1, 1 ], [[192, 704, -256]], [ -1018, 108, -24 ], [ 9, -84, -110 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-106757190214/1436009, -5315569434/1436009, -1612/1436009], [-529783852/1436009, -26365744/1436009, -8/1436009], [0, 0, 0]], [[0, 0, 0], [3697921680935904102923/1436009, -2694720211036464272146/1436009, 898238383264255195829/1436009], [18351101032385675310/1436009, -13373272007195811458/1436009, 4457757335782243690/1436009], [6295473/1436009, 5320336/1436009, -1/1436009]], [[0, 0, 0], [-4376184658131837519945002450980840/1436009, 11153942682437184618545349520853930/1436009, -4890776031630098712815160201812728/1436009], [-21717497406259891682145825603240/1436009, 55353389153555664117618287747824/1436009, -24271338628671395411987883216192/1436009], [-854194666577676184/1436009, -1026063829822548496/1436009, 393836856357876392/1436009]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30375871504/1436009, -45831127360/1436009, -5745648/1436009], [-150677476/1436009, -227407004/1436009, -8/1436009], [0, 0, 0]], [[0, 0, 0], [-490944112656710589677/1436009, -237822101869863667458/1436009, 155062979214420433641/1436009], [-31661530158110804594/18668117, -15338377519227636850/18668117, 10001067512551035086/18668117], [24193851/18668117, 58711460/18668117, 3/18668117]], [[0, 0, 0], [63715022436984416162456211927077/1436009, -15808496592014955029802354083432/1436009, -7758464084605047358722272373132/1436009], [4109692832666399368763970203820/18668117, -1021222722048522271188889547654/18668117, -499605675971399911990570277944/18668117], [-16013179667585896255/18668117, 30811137927912811840/18668117, -13133136553226857800/18668117]]], 0, 3096576, [], [] >,
< [ 1, -2, -1, 1 ], [[-256, 0, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [92, 0, 10], [384, 20, 20], [0, 0, 0]], [[0, 0, 0], [11, 0, 0], [22, 0, 0], [1, 0, 0]], [[0, 0, 0], [-42057390, 2978100, -7026110], [-174961296, 1645920, -18434304], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-68, 54, -22], [112, 16, -12], [0, 0, 0]], [[0, 0, 0], [4235018/13, -2492535/13, 1579062/13], [-7210128/13, -2444014/13, -50968/13], [-4/13, 3/13, -2/13]], [[0, 0, 0], [-22224, 3086, -2702], [44352, 18704, -5096], [0, 0, 0]]], 0, 516096, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 320, 0]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2520/13, 164/13, 116/13], [2416/13, 320/13, 12/13], [0, 0, 0]], [[0, 0, 0], [-172794243, -586386848/13, 761958040/13], [-4387624977/26, -592820485/13, 1524395557/26], [11/26, 1/13, -5/26]], [[0, 0, 0], [16394004/13, -17925712/13, -2463960/13], [15068160/13, -14928640/13, -3348480/13], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [248152/13, 8652/13, -464/13], [-3840/13, -136/13, 4/13], [0, 0, 0]], [[0, 0, 0], [-4034479642364/169, 103880809248/169, -1134638292464/169], [62411349986/169, -1547626176/169, 17655734966/169], [602/169, 36/169, 2/169]], [[0, 0, 0], [17059863579129707/169, -7655386172811460/169, 6714986258483476/169], [-527914625596323/338, 118335267956303/169, -208532610928189/338], [-4792039/338, 558789/169, -524923/338]]], 0, 516096, [], [] >,
< [ 1, -2, -1, 1 ], [[-384, 192, -256]], [ -1258, 24, -20 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 6, -2], [-124, -10, 8], [0, 0, 0]], [[0, 0, 0], [-12707569528228/2901233, 13157269215183/2901233, -30402886611/2901233], [-75374912, 77757377, -34953], [-8869071/2901233, 9326485/2901233, -3/2901233]], [[0, 0, 0], [-507932881813492017953/2901233, 218362428686529442914/2901233, -241235304220756759575/2901233], [-3016092363728393, 1284260443845782, -1422744178330151], [-347330261561416/2901233, 150794620860527/2901233, -177990852608198/2901233]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-108, -6, -20], [-62, 0, -10], [0, 0, 0]], [[0, 0, 0], [-40959607022543908/37716029, -59277961345503484/37716029, -156775602209777/37716029], [480716724/13, 958486696/13, -38569833/13], [84025509/37716029, 124201132/37716029, -2/37716029]], [[0, 0, 0], [46533787697988045253274/2901233, 27564948120544550114490/2901233, -23444542133887617645754/2901233], [-580549385983670, -479978443203638, 358308127091334], [-95822074298000/2901233, -58064187222112/2901233, 48896193831184/2901233]]], 0, 3096576, [], [] >,
< [ 1, -2, -1, 1 ], [[64, 320, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 0, -2], [-52, -20, 4], [0, 0, 0]], [[0, 0, 0], [11, 0, 0], [22, 0, 0], [1, 0, 0]], [[0, 0, 0], [-144, 4824, -1296], [-588, -8232, -980], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [76, -88, 26], [-16, -4, 16], [0, 0, 0]], [[0, 0, 0], [54903/13, -887/13, -14181/13], [-27074/13, 9106/13, 25450/13], [-11/13, 31/13, 1/13]], [[0, 0, 0], [-689268/13, -222190/13, 332328/13], [260328/13, 39040/13, -133892/13], [-56/13, 42/13, -28/13]]], 0, 516096, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -8, -2], [4, 10, 8], [0, 0, 0]], [[0, 0, 0], [-1293/2, 3121/2, -202], [-1709, 5273, -3245], [3/2, 1/2, -2]], [[0, 0, 0], [28, 7, -25/2], [36, 9, -16], [28, 7, -25/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 0, -4], [4, 0, -10], [0, 0, 0]], [[0, 0, 0], [1071/2, 191, -613/2], [-127, 3, -10], [-5/2, 0, 1/2]], [[0, 0, 0], [-65475/2, -10512, 18024], [7394, 650, 173], [295/2, 10, -35]]], 1, 48, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -4, 4], [2, 10, 4], [0, 0, 0]], [[0, 0, 0], [-10, -8, -28], [244, -122, -244], [-2, 0, 2]], [[0, 0, 0], [-3/2, 1, 0], [5, 1, -2], [3/2, 1, -1]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -8, 8], [-8, -6, 6], [0, 0, 0]], [[0, 0, 0], [791, -1803/2, -2685/2], [246, -6, -216], [1, -1/2, 1/2]], [[0, 0, 0], [-80641, 42229, 193479/2], [-70080, -14880, 38400], [-319, 11, 121/2]]], 1, 64, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -10, -10], [2, -4, 0], [0, 0, 0]], [[0, 0, 0], [60, 10, -26], [12, -8, -16], [2, 0, -2]], [[0, 0, 0], [-2654, -733, 2433/2], [-220, -73, 43], [-74, -11, 47/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -2, -10], [-6, -6, 0], [0, 0, 0]], [[0, 0, 0], [-26, 333/2, -69/2], [-305, -80, 158], [1, -5/2, -3/2]], [[0, 0, 0], [2758, -1629/2, -763/2], [-17091, -4004, 7492], [-25, 5/2, 11/2]]], 1, 48, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -4, -2], [4, -10, 2], [0, 0, 0]], [[0, 0, 0], [395/2, 54, -173/2], [-6, -3, 5], [-5/2, -1, 3/2]], [[0, 0, 0], [5029/2, 1075/2, -1102], [-98, 47, -6], [-73/2, 11/2, 7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -10, 0], [-6, -10, -6], [0, 0, 0]], [[0, 0, 0], [69, 143/2, -67/2], [-317, -23, 189], [2, -1/2, 5/2]], [[0, 0, 0], [-1, 1, -1/2], [-1, 0, 0], [0, -1, 1/2]]], 1, 48, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 0, 6], [-4, 0, 2], [0, 0, 0]], [[0, 0, 0], [17/2, -13, 3/2], [-1, 5, -2], [3/2, 2, -3/2]], [[0, 0, 0], [62, 52, 64], [28, 12, -32], [66, 20, -34]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -10, -2], [6, 6, 2], [0, 0, 0]], [[0, 0, 0], [4495, -22279/2, 10507/2], [2304, -1100, -747], [-1, -5/2, 3/2]], [[0, 0, 0], [-121058, -370797, 155421], [-766084, -123584, 429062], [784, 175, -301]]], 1, 48, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -10, 0], [-2, -2, -6], [0, 0, 0]], [[0, 0, 0], [548, 240, -287], [272, -270, 84], [2, -2, -1]], [[0, 0, 0], [2557/2, 607/2, -574], [360, 93, -177], [3/2, 3/2, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 8, -10], [6, -2, -10], [0, 0, 0]], [[0, 0, 0], [-29765/2, -15983, 12319], [-8444, -7635, 4413], [5/2, -2, 0]], [[0, 0, 0], [-6278214, -2236728, 2860510], [-3340008, -1469136, 1172088], [612, -12, -276]]], 1, 48, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -10, -4], [-8, 0, -2], [0, 0, 0]], [[0, 0, 0], [-1308, -1981/2, 1479/2], [-2226, 723, 197], [-1, -5/2, -3/2]], [[0, 0, 0], [647193/2, -486123, 353885/2], [-329745, 1416538, -681767], [255/2, 221, -119/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -8, -10], [10, 10, 10], [0, 0, 0]], [[0, 0, 0], [158, -49/2, -66], [950, 35, -274], [-2, -1/2, -2]], [[0, 0, 0], [-11280, 536, 2902], [-76262, 1114, 23206], [272, -136, -34]]], 1, 48, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -10, 4], [6, -2, 8], [0, 0, 0]], [[0, 0, 0], [-17915, 20961/2, 5703/2], [-1248, 25584, -19812], [-2, -5/2, -1/2]], [[0, 0, 0], [856933, 2715222, -1721704], [-2735460, 5199480, -2136420], [455, 52, -208]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -2, -8], [10, -4, -10], [0, 0, 0]], [[0, 0, 0], [249/2, -131, 45], [-175, -51, 93], [5/2, -2, 0]], [[0, 0, 0], [-1498, -11733, 6687], [13070, 1980, -5414], [-66, -165, 121]]], 1, 48, [], [] >,
< [ 1, -2, -1, 1 ], [[-48, 32, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, -18, 22], [-6, 4, -4], [0, 0, 0]], [[0, 0, 0], [1046625/2, 383695/2, -566593/2], [74383, -10742, 19961], [-5/2, 5/2, 1/2]], [[0, 0, 0], [1425292295, 399463150, -1391938665/2], [172927918, 48255365, 3215530], [-5187, 2850, 5073/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [78, -2, -16], [-8, 0, 4], [0, 0, 0]], [[0, 0, 0], [75506, -56328, -10989/2], [-4074, -1153, -1130], [2, -2, -5/2]], [[0, 0, 0], [-18678971/2, 8818775, -3724939/2], [652314, -165846, -74085], [-203/2, 49, 77/2]]], 1, 384, [], [] >,
< [ 1, -2, -1, 1 ], [[-48, 32, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 20, 28], [-2, -10, -8], [0, 0, 0]], [[0, 0, 0], [2359/2, -3598, 4945/2], [-596, 2993, -1848], [1/2, -1, -3/2]], [[0, 0, 0], [-13389/2, 23881, -21179/2], [16144, -15209, 3202], [-11/2, -4, 5/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38, -12, 20], [2, 4, -4], [0, 0, 0]], [[0, 0, 0], [809/2, 289/2, -217/2], [-16, -12, -53], [-1/2, 1/2, 3/2]], [[0, 0, 0], [750, 184, -334], [-54, -12, 24], [0, 0, 0]]], 1, 384, [], [] >,
< [ 1, -2, -1, 1 ], [[-48, 32, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -22, 16], [6, 6, -6], [0, 0, 0]], [[0, 0, 0], [1495, -2618, -1328], [-118, 302, 72], [-1, 2, 2]], [[0, 0, 0], [-14, -7/2, 7], [7, 1, -4], [2, 1/2, -1]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-42, 18, -28], [2, -6, 10], [0, 0, 0]], [[0, 0, 0], [-2482266, -1059901/2, 1754919/2], [80417, 1086, 17299], [0, -3/2, 5/2]], [[0, 0, 0], [-5036901676, -1272375823, 2238061503], [164314386, 47211544, -72256482], [-478, 191, 219]]], 1, 384, [], [] >,
< [ 1, -2, -1, 1 ], [[-48, 32, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48, -10, -22], [-2, 2, 10], [0, 0, 0]], [[0, 0, 0], [-3809423/2, -840147/2, 1489761/2], [26571, 3490, 8422], [-1/2, -5/2, 1/2]], [[0, 0, 0], [932017241/2, 122722724, -451301791/2], [-7716446, -2195043, 7068661], [1075/2, -285, -405/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-88, 18, 20], [6, -8, -10], [0, 0, 0]], [[0, 0, 0], [-120, 2, 30], [12, -16, -16], [2, -2, -2]], [[0, 0, 0], [-5425/2, 190, 1429/2], [88, -101, -27], [47/2, -15, -11/2]]], 1, 384, [], [] >,
< [ 1, -2, -1, 1 ], [[-48, 32, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-46, -22, -28], [6, 4, 10], [0, 0, 0]], [[0, 0, 0], [-5215525/2, 154513/2, 965415/2], [435602, -86401, -14405], [3/2, 1/2, -3/2]], [[0, 0, 0], [-44091559/2, -43606197, 23663595], [2034990, 10636050, -4634175], [75/2, -30, -15]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-92, -14, 20], [4, 8, -10], [0, 0, 0]], [[0, 0, 0], [964629/2, 281983/2, -241089], [-32401, 5226, 3230], [-3/2, 5/2, -2]], [[0, 0, 0], [37064972, 10147619, -15966809], [-2384196, -276810, 1178496], [-102, 57, 81]]], 1, 384, [], [] >,
< [ 1, -2, -1, 1 ], [[-48, 32, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -12, 24], [10, 2, -6], [0, 0, 0]], [[0, 0, 0], [-63890, 229811, -304291/2], [24007, 104, -3131], [-1, -2, 5/2]], [[0, 0, 0], [-135880168, 242001461, 35986051], [-51133958, -27720968, 18602428], [5394, -2639, -3335]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-58, 2, -2], [-8, -4, 0], [0, 0, 0]], [[0, 0, 0], [-12697/2, 12973/2, -3173], [-658, -7, -175], [-3/2, -3/2, 1]], [[0, 0, 0], [1593665/2, 3573810, -3561530], [356914, 50313, -470538], [2093/2, -364, -377]]], 1, 384, [], [] >,
< [ 1, -2, -1, 1 ], [[-48, 32, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [48, 28, 12], [-6, -6, -6], [0, 0, 0]], [[0, 0, 0], [-21635/2, 16167, -6311], [2245, -4092, 1756], [5/2, 2, -2]], [[0, 0, 0], [-12422, 43788, 20798], [4332, -11000, -6096], [-10, 4, 8]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, -12, 14], [-10, 4, -4], [0, 0, 0]], [[0, 0, 0], [-1278964, -390897, 1097181/2], [-356286, 66810, -23975], [0, 0, -5/2]], [[0, 0, 0], [410844085, 100229652, -185258010], [105766090, 14455236, -45414450], [227, -102, -138]]], 1, 384, [], [] >,
< [ 1, -2, -1, 1 ], [[-48, 32, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-56, -16, 34], [2, 2, -10], [0, 0, 0]], [[0, 0, 0], [152800, 71947/2, -66146], [-2788, 900, -620], [-1, -3/2, -2]], [[0, 0, 0], [337281991/2, 77424763/2, -147518425/2], [-3711586, 1938148, 444536], [-6273/2, 2601/2, 2907/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -34, -26], [-10, 10, 10], [0, 0, 0]], [[0, 0, 0], [-2069/2, -373/2, 913], [-262, 64, -98], [-3/2, 1/2, 0]], [[0, 0, 0], [60235/2, 1151523/2, 660903/2], [198360, -158688, -165300], [1341/2, -601/2, -575/2]]], 1, 384, [], [] >,
< [ 1, -2, -1, 1 ], [[14, 14, -21]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-16, 23/2, 21], [-111/2, 9/2, 27/2], [41, 2, 3], [0, 0, 0]], [[144480, 7080, -271890], [1463019, -1990169, 664784], [-1340211, 4170465/2, -1822053/2], [5, -2, -1/2]], [[5092200, -8576280, -10509840], [-4758407, -5249361, 5047084], [7822627, -680269, -24488337/2], [-59/2, -33/2, 14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-57/2, 39/2, 69/2], [-105/2, 11, 30], [22, 3, -4], [0, 0, 0]], [[15394, 74818, -214], [428505, -749895, 309306], [-261488, 477419, -357655/2], [-7/2, 3/2, -1]], [[-8213747/2, 114929, 3468816], [-30609267/2, 9911604, 899775/2], [8181265, -5639608, 885259], [248, -32, -120]]], 0, 196, [], [] >,
< [ 1, -2, -1, 1 ], [[-4, -4, 6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -11/2, -9/2], [9/2, -3, -4], [15, -27/2, -14], [3/2, -3/2, -3/2]], [[3/2, 11/2, 0], [-13, 1/2, 6], [-75/2, 8, 16], [-7/2, 1, 3/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 5/2, 2], [-52, -59/2, -37], [0, -5, -6], [0, 0, 0]], [[-110413, -96166, 43416], [149117961/13, -22135471/13, -21378296/13], [6499208/13, -291819/26, -370506/13], [7/26, 37/26, -3/26]], [[-97997408317/2, 5339245699/2, 24012620360], [2789943300684, 3085211031431/2, -1938575692886], [281314031877/2, 57260188341, -103318032420], [770735/2, -192318, -382375/2]]], 1, 12, [], [] >,
< [ 1, -2, -1, 1 ], [[18, -10, -6]], [ -1258, 24, -20 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-14781785/2, -4316400, -5/2], [23388130631501/5802466, 6829524484985/2901233, 13784495/5802466], [-3/2, 5/2, 5/2], [-14781785/11604932, -2158200/2901233, -5/11604932]], [[-125467/2, -22815, 32288], [198517210433/5802466, 72197021695/5802466, -51086935903/2901233], [0, 0, 0], [-125467/11604932, -22815/5802466, 16144/2901233]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [74, -1, -6], [-3, -4, -3], [0, 0, 0]], [[20170821, -71044759, -5/2], [-6769822270734763/75432058, 23739040770432609/75432058, -231588383827/37716029], [-705626838/13, 4973105869/26, 16682/13], [20170821/75432058, -71044759/75432058, -5/150864116]], [[491727275660692731, -521341231276215339/2, -166143257105624040], [-81715924911821801005693529/37716029, 43678707032380765213524762/37716029, 55057289088027706511865281/75432058], [-17220617417128291152/13, 18240832423715379639/26, 5820402811246401840/13], [491727275660692731/75432058, -521341231276215339/150864116, -83071628552812020/37716029]]], 1, 48, [], [] >,
< [ 1, -2, -1, 1 ], [[-9, 5, 3]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-187/2, -14, 5/2], [5865/26, 451/13, 677/26], [274/13, 31/26, 1/26], [0, 0, 0]], [[-45/2, 91, -49], [1002/13, -3516/13, 1882/13], [11/4, -30, 67/4], [-3/52, -1/13, 3/52]], [[-1, 3/2, 3], [48/13, -137/26, -132/13], [5/26, -7/26, -17/26], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-41, -17/2, 1/2], [23442/13, 3629/26, 653/26], [120/13, 14/13, 3/26], [0, 0, 0]], [[-152132155, 142392363, 48265779/2], [2351059458833/338, -1301449430139/169, -22878132007/338], [23963012477/676, -12747593029/338, -1265918907/676], [887/676, 10/169, -5/676]], [[-5801579031150, -82755072630, -1538701304706], [44806130145361796/169, -9028694308203322/169, 13466148968637659/169], [226815601101417/169, -31827306351177/169, 68088732941835/169], [18961965/169, -1241757/169, -9497763/169]]], 1, 12, [], [] >,
< [ 1, -2, -1, 1 ], [[4, 18, -6]], [ -2258, 32, -4 ], [ 3, -10, -32 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1491/2, -740, -2], [272296543228867/31446994, 5118127872094837/31446994, -94905152/15723497], [-1491/698, -740/349, -2/349], [30527585/408810922, 286888348/204405461, 5/408810922]], [[-36647666273/2, 14579135015/2, -544676532], [185127569892333882485197/31446994, -416999951119424079497827/31446994, 184157428915309190970625/31446994], [-36647666273/698, 14579135015/698, -544676532/349], [798232087072944/15723497, -1798015770036522/15723497, 794047774070700/15723497]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[841/2, 471, -5/2], [1550733/349, 1730762/349, -13571/698], [841/698, 471/349, -5/698], [0, 0, 0]], [[2722536, 463545, -339291], [-1058778683205214486/204405461, -164633527442482103/408810922, -743500471982930/204405461], [-2654979672/4537, -204549959/4537, -4408070/4537], [60204799/15723497, 122538521/408810922, 2/204405461]], [[64025855894450385, 406147289816773845, -333208454141367945/2], [2048427926229830398341045928/204405461, -449652551427973441588371258573/408810922, 85476674141921529877644330857/204405461], [5652166870239375073/4537, -565051330842044914707/4537, 429470404165803199611/9074], [-1401332998384439330/204405461, 165914704228051581366/204405461, -4853680697248594814/15723497]]], 1, 48, [], [] >,
< [ 1, -2, -1, 1 ], [[-2, -9, 3]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, -22, -7/2], [-35/26, -300/13, -111/26], [-10/13, -81/26, -2/13], [0, 0, 0]], [[49, 61, -97/2], [462/13, 147/2, -626/13], [229/52, 633/52, -261/52], [3/52, -3/52, -3/52]], [[-4238, -5234, 8397/2], [-82185/26, -160941/26, 56118/13], [-6000/13, -12093/13, 30105/52], [-40/13, 29/13, 81/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-199/2, -3, -1], [1965/26, 32/13, -213/13], [-393/26, 21/26, 1/13], [0, 0, 0]], [[-2526481, 5717249/2, -1219683/2], [19868231/13, -1271191, 4824655/26], [-10062321/26, 24502539/52, -6120063/52], [-1/26, -1/52, -3/52]], [[-703221966, 576194949, -24557490], [5712468285/13, -3123046151/13, -279562177/13], [-1378756908/13, 1232096877/13, -132373755/13], [-108/13, -198/13, -270/13]]], 1, 12, [], [] >,
< [ 1, -2, -1, 1 ], [[-10, 4, -6]], [ -1018, 108, -24 ], [ 9, -84, -110 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-48054567/2, 2024618, -2], [53749128317121/2872018, 4061045074043/1436009, 7179642/1436009], [-48054567/2872018, 2024618/1436009, -2/1436009], [-769739/2872018, 8874845/2872018, 2/1436009]], [[-29803511759566884925/2, -14390478324517507425/2, 12791284943174913775/2], [36652502448614853502388425/2872018, 17587142611245431235429681/2872018, -6855045594475827827865366/1436009], [-29803511759566884925/2872018, -14390478324517507425/2872018, 12791284943174913775/2872018], [916319936820437500/1436009, 404021932605321992/1436009, 310309106006878251/1436009]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-543144537/2, -1859709, -1], [653905154713379/2872018, -22665518631605/1436009, -3573732/1436009], [-19693688737/37336234, 9212143645/18668117, 1051/18668117], [-23745883/37336234, 34723007/37336234, 2/18668117]], [[271656882628893675378, 28440552188847933990, -133689479692965758658], [-314860149657595510437631788/1436009, -33800153938195781206137585/1436009, 302725795178784315472079691/2872018], [5306234774227853710290/18668117, 867220107842510653138/18668117, -1274408129025402538820/18668117], [3335893421150819418/18668117, 935137085314826149/18668117, 1742688372117113999/37336234]]], 1, 48, [], [] >,
< [ 1, -2, -1, 1 ], [[5, -2, 3]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[157, -27, -1/2], [-1670/13, 206/13, -695/26], [-196/13, 47/26, -1/26], [0, 0, 0]], [[-313688795/2, -146996363/2, 96183680], [3593872525/26, 1689007655/26, -182051653/2], [202690260/13, 360258699/52, -490891077/52], [0, -1/52, 3/52]], [[-1726148805921/2, -195838166884, 375553429656], [755852771436, 4388243422915/26, -8536090763469/26], [2210886341685/26, 1008758195121/52, -481954101900/13], [105/26, 1481/52, -10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[110, -59/2, 1/2], [747/13, 17/26, -85/26], [-275/26, 30/13, -1/26], [0, 0, 0]], [[-494415/2, 316193, -48867], [-1611738/13, 1543914/13, 13735], [1241901/52, -1529039/52, 172353/52], [-3/52, -5/52, 3/52]], [[-11929495/2, -2385675/2, -2385659], [-70533025/26, -59051121/26, -24915272/13], [7160313/13, 2386459/13, 7153761/26], [-72/13, -16/13, 48/13]]], 1, 12, [], [] >,
< [ 1, -2, -1, 1 ], [[9, 2, -10]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-315, -79, -1], [-4008/29, -998/29, -71/29], [-315/29, -79/29, -1/29], [0, 0, 0]], [[-207/2, 36, 88], [-3077/58, 43/2, 1281/29], [-245/29, 563/116, 311/58], [-1/29, 3/116, 1/58]], [[-1207/2, -1439/2, 1042], [-329/2, -42997/58, 20321/29], [2664/29, -12652/29, 14299/58], [45/58, -165/58, 85/58]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[54, 50, 1], [-7215/29, -5179/29, 42/29], [54/29, 50/29, 1/29], [0, 0, 0]], [[640759, 307661/2, 179247/2], [-1589962637/754, -962184334/377, 16546393/26], [33311891/1508, 8048799/1508, 1166643/377], [5/1508, -33/1508, -1/377]], [[-5785445127, -4797522555/2, 9033245389/2], [22369771894845/754, -2770090542549/754, -9415104520225/754], [-301087641351/1508, -31126215988/377, 58732454844/377], [162785/1508, -38388/377, -10808/377]]], 1, 16, [], [] >,
< [ 1, -2, -1, 1 ], [[8, 1, 2]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[417/2, 125/2, -2], [-12301/58, -4667/58, -631/29], [-247/29, -81/29, -3/58], [0, 0, 0]], [[96190559, 152352647/2, -115357921/2], [-2900743651/29, -2518816062/29, 3461135879/58], [-15951345/4, -12499535/4, 4684645/2], [3/116, -3/116, 1/58]], [[517524405047, 82980757125, -233491625126], [-16164081171032/29, -2376722186683/29, 7403213987353/29], [-1244081891245/58, -198739521055/58, 564388632985/58], [4419/58, 1521/58, -3447/58]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[481/2, -9, -1/2], [-163167/58, 1267/29, -909/58], [-571/58, 4/29, -1/29], [0, 0, 0]], [[16710493923/2, 1974644758, -295601215], [-73589212004575/754, -9624290178606/377, 1526463840281/754], [-19820493925/58, -10377669105/116, 905480875/116], [-27/754, -5/1508, -1/1508]], [[249741089786565/2, -92958255485183/2, -66634014264573], [-561563463441927266/377, 212014102955366822/377, 619645912229681069/754], [-302009878816045/58, 226765173086565/116, 83287526355220/29], [-400783/754, 383431/1508, 90134/377]]], 1, 16, [], [] >,
< [ 1, -2, -1, 1 ], [[-3, -10, 1]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, -3/2, 1/2], [-3962/29, 403/58, 1255/58], [149/29, 10/29, -5/58], [0, 0, 0]], [[150026, -6625, -43804], [-72703304/29, -4766061/29, 25316317/29], [2971896/29, 363453/58, -2091537/58], [-37/29, -1/58, -1/58]], [[2253789198, -1647085059, 419336127/2], [-1982087846307/58, 424074754990/29, 144268533311/58], [161925462897/116, -34869228009/58, -12122556369/116], [-2665569/116, 1336053/58, -1054167/116]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -5/2, 1/2], [673/58, -1087/58, -185/58], [163/58, -21/29, -2/29], [0, 0, 0]], [[657688, -119273, 74691/2], [940822461/377, -2582518839/754, -881049224/377], [320439515/754, 22420179/754, -13925867/1508], [959/754, 25/754, -3/1508]], [[765928220030, 34826634107935, -13182402756346], [11697446565685206/377, 8377570804730773/377, -56294549301112427/377], [2319255841145619/754, 6572864434880889/377, -4183211715081809/754], [5742185313/754, 20898045375/377, -13659868641/754]]], 1, 16, [], [] >,
< [ 1, -2, -1, 1 ], [[-12, -5, 11]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, -53/2, 1], [101, 183/2, 91], [3, 9, 9], [0, 0, 0]], [[-5929/2, 19936, -17581/2], [-118943, 38319/2, 12847/2], [-6065, 177/2, 129], [1/2, 1/2, -1/2]], [[351/2, -631/2, 69/2], [-2615/2, -350, 1842], [-92, 14, 128], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1146, 1821, 13/2], [4891/2, -163/2, -92], [1, 8, 9], [0, 0, 0]], [[-20177071791155/2, -15128527327733/2, 6092478449784], [-225670974198652/13, 112433464014195/26, 31217848358823/13], [-516240720862/13, 1110657165/26, 1044464789/26], [21/13, -32/13, -5/26]], [[1222082948045325552891/2, 186857685959788323719, -311155369219520739879], [20679472115591709154239/26, 1064738215959097740519/13, -7775845860009457736169/26], [56266990464301521399/26, 2160733989743855108/13, -12377338295702048295/13], [-654940011/26, 81828769/13, -327490669/26]]], 1, 24, [], [] >,
< [ 1, -2, -1, 1 ], [[-6, 1, -5]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, 0, -5/2], [4, -15/2, 1/2], [5, 10, 2], [0, 0, 0]], [[-2067/2, -3009/2, 898], [-257, 2467/2, -760], [4063/2, 418, -701/2], [0, -5/2, 1/2]], [[-9228888, 1180728, 2894688], [1832616, -3138615, 1606059], [22806777/2, 3047048, -13218075/2], [-8036, 9881/2, 4387/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[947/2, -1227/2, 5/2], [-883/2, 371, 246], [9, -3, -2], [0, 0, 0]], [[-232754348, 172946663/2, -923077631], [-3744640755/26, 19715641327/26, 30685915911/26], [-13572358, -140629/2, -181623], [-49/26, 27/26, -5/26]], [[3080375937515, -7773875884193/2, -3627744725024], [-112147334207799/26, 136494653183163/26, 165532728309003/26], [34918564961, -32684369711/2, -48327110377/2], [45875/13, -25875/13, -25625/26]]], 1, 24, [], [] >,
< [ 1, -2, -1, 1 ], [[4, 11, 1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[28, 117/2, -5/2], [-155, 16, -75/2], [-11, 2, -5], [0, 0, 0]], [[-76191157, -67194469, 50712729/2], [582704165/2, 34238869/2, -29184616], [41569137/2, 693223/2, 165523/2], [5/2, 2, -1]], [[-2293134894142, -39547625688077/2, 8181516712269/2], [43981094084529, -43099492990080, 50780454017607/2], [3407836631428, -4032798945559, 2619815764686], [88599, 609315, -176799]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-118, 650, -9/2], [-5057/2, -519/2, 1173], [-12, -2, 9], [0, 0, 0]], [[-16760872671/2, 29564585935/2, -2144610224], [360732599153/13, 381603033845/26, -181611318822/13], [3761523877/26, 20374443/26, 7957513/13], [-15/13, -23/26, -1/13]], [[6869719847847/2, -19740410849193/2, 9032892532781/2], [59392338338347/26, -49056576820825/13, 19062673559277/13], [-350895908133/26, 641813000395/13, -285651833494/13], [-319/26, -1078/13, 627/26]]], 1, 24, [], [] >,
< [ 1, -2, -1, 1 ], [[5, 12, -4]], [ -43, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19, 0, 1/2], [19, 0, 1/2], [-19, 0, 3], [0, 0, 0]], [[499405/2, -853282, -272953/2], [21475237/86, -36690895/43, -11737039/86], [-2118413/26, 13912365/26, -426314/13], [-591/1118, 55/1118, 2/559]], [[327022851/2, -17921700, 372373397/2], [14060858343/86, -770857950/43, 16012460801/86], [-4924908515/26, 544744270/13, -1729858485/26], [607095/1118, 164890/559, -307295/1118]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[207/2, -1, 5/2], [207/2, -1, 5/2], [-28, -4, 5], [0, 0, 0]], [[183174505, -92228943, 56197672], [102393335025/559, -51555903349/559, 31414448868/559], [-591322825/13, 170970429/26, -6585387/26], [-60/559, 3/1118, -5/1118]], [[4265607044657/2, -3537705192337/2, 3059583396005/2], [2384448309265799/1118, -1977571783057807/1118, 1710297164290187/1118], [-6556751741026/13, 2191139556629/13, -1903081160377/13], [-635796/559, 94689/559, -5859/13]]], 1, 24, [], [] >,
< [ 1, -2, -1, 1 ], [[12, -9, -4]], [ -43, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, -2, -2], [-13/2, -2, -2], [10, -9, -14], [0, 0, 0]], [[-10965, -51143, 32735], [-471282/43, -2199707/43, 1407671/43], [151799/13, 27883/26, -24831/26], [227/559, -59/1118, 3/1118]], [[-470168211/2, 376522842, -132655972], [-20219525319/86, 16193885232/43, -5706453601/43], [22596108, 51965709, -45742215/2], [20196/43, 102663/43, -92565/86]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, 1/2, -1], [12, 1/2, -1], [596, 2, -1], [0, 0, 0]], [[-21201973/2, -5167357/2, -571593/2], [-911464485/86, -222018279/86, -24578427/86], [-6660975103/13, -3378040823/26, -2023958545/26], [-2120/559, 5/1118, -3/1118]], [[17078945570740, 61525584631054, -16315015816062], [734049590045620/43, 2645234358197074/43, -701622640163482/43], [7593467668811783/13, 47094247667532892/13, -9941815255059344/13], [2334400596/559, 13751873916/559, -409671548/43]]], 1, 24, [], [] >,
< [ 1, -2, -1, 1 ], [[9, -5, 4]], [ -43, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[43/2, 0, 5/2], [43/2, 0, 5/2], [2, 15, 14], [0, 0, 0]], [[-6525309/2, -8583577/2, 2855793], [-279945219/86, -369068395/86, 122799609/43], [-20241956/13, -25821989/13, 6497991/26], [-2124/559, -45/559, -5/1118]], [[2068841978775/2, -2524922825353/2, 666535617321/2], [88922411044665/86, -108705700546819/86, 28766631381843/86], [5516208182107/13, -7341024917023/26, -2505388021969/26], [118413415/559, 906614165/1118, -701315365/1118]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[645/2, 5/2, 2], [679/2, 9/2, 4], [17, 2, 2], [0, 0, 0]], [[-7459533637/2, -25709789/2, 289286637], [-4393635992931/1118, -33192024087/1118, 162044647813/559], [-67674118505/338, -2845573745/169, 100793308/169], [-7379/14534, -179/7267, -2/7267]], [[-6625408237495212, 5110368156886389, 815826858993300], [-301571928862383853/43, 232826761527422145/43, 38586128166774403/43], [-5044593283516066/13, 3956328394353090/13, 1060176136489876/13], [-549432213/559, 449322192/559, 96892917/559]]], 1, 24, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 37, -38]], [ -43, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-23, -3/2, -2], [-23, -3/2, -2], [-562, -2, 3], [0, 0, 0]], [[-46473745/2, -1576011/2, -195540], [-1998563131/86, -67773069/86, -8408538/43], [-14612443463/26, 177254027/26, 452716922/13], [1269/1118, 7/1118, 2/559]], [[43176947943999, 741323945960693/2, -112039814823340], [1856787537196467/43, 31879984155272819/86, -4818186581412370/43], [2674457737160979/2, 8127319016025384, -6151030388222209/2], [-172504145/86, -783636920/43, 501751435/86]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[161/2, -2, -1], [-2127/2, -2, -2], [-1144, 0, -1], [0, 0, 0]], [[-428749421839/2, -168032224, 321121393/2], [243334768994561/86, 3553363614282/43, 3798539320813/86], [6087698092581/2, 165608787197/2, 44008501173], [153/86, -1/86, 0]], [[-6430621998864261593/2, -25748834578660319555, 15235308585498739735/2], [46259797942909880699183/1118, 192753901446089694050792/559, -103315870114288803306123/1118], [15072296802303563720485/338, 125251988038655960389103/338, -16904900517695531133464/169], [379442745777/14534, 3120336409655/14534, -467147657820/7267]]], 1, 1056, [], [] >,
< [ 1, -2, -1, 1 ], [[37, 23, -38]], [ -43, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 1, 3/2], [3, 1, 3/2], [1246, 5, -1], [0, 0, 0]], [[-2356017, 287397/2, 26203/2], [-101310285/43, 12355977/86, 1126711/86], [-10796457388/13, 2493479003/26, 3136128067/26], [1124/559, 7/1118, 5/1118]], [[12610836291275/2, -3321237522046, -1850062053886], [542276493224027/86, -142814466879424/43, -79556552315134/43], [49720665632219825/26, -10175164794354598/13, -4957607208187078/13], [-6191394925/1118, 1553499854/559, 1061665874/559]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2239/2, 3, -3], [-2239/2, 3, -3], [-2270, 3, -5], [0, 0, 0]], [[-280451946073/2, 15380416470, -5606746277], [-156772625477111/1118, 8597652541700/559, -3134171167093/559], [-7392091605401/26, 799452816483/26, -145674273720/13], [613/1118, -5/1118, 0]], [[318666568056295874797, -196778031507039905034, -146801393500161334941/2], [13702661357994898615353/43, -8461454772951169168616/43, -6312459339903006600847/86], [1292201068841582980081/2, -796173522528217024559/2, -298958540461302264467/2], [-106929151083/86, 56129963801/86, 31802529523/86]]], 1, 1056, [], [] >,
< [ 1, -2, -1, 1 ], [[23, 16, -38]], [ -43, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -1, 1/2], [-1/2, -1, 1/2], [267, -4, -4], [0, 0, 0]], [[-319/2, 54, -1/2], [-12433/86, 717/43, -37/86], [64271/26, 4699/26, -798/13], [1381/1118, -5/1118, 2/559]], [[-64682895/2, 23856780, -12076110], [-2244808515/86, 418601550/43, -573726015/43], [5265773886/13, 23017577/13, 6043191217/26], [116994240/559, -18077235/559, 138912195/1118]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-53/2, -3/2, -2], [-53/2, -3/2, -2], [2147, -3, -1], [0, 0, 0]], [[-148229079257/2, -324209804, -42123377], [-6373850480069/86, -13941051055/43, -1811305530/43], [154563366365107/26, -2903908648307/13, -8482800897249/26], [1389/1118, 2/559, 5/1118]], [[-13698466782720824415, 3224139330356147659, -15376776094579451973/2], [-589034075267975321890/43, 138637981279203056694/43, -661201383208354677683/86], [2287241635149595373501/2, -721044003705463364839/2, 907918960771577270945/2], [19745894987/86, -4706459485/86, 11220266057/86]]], 1, 1056, [], [] >,
< [ 1, -2, -1, 1 ], [[-41, 29, 16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -9, 1], [15, 2, -2], [-1357, 0, -2], [0, 0, 0]], [[4463144051/2, 9170342329/2, -157617581], [-6081774575, -213081/2, 8924262], [566425679612, -243399483315/2, 205972974289/2], [1, 2, 1/2]], [[-91357476559635003, -108840807248318823, 166717642461444267], [247217737565156341, -207887993739117357, -8175947951384062], [-53120113031897639239/2, 62494250658026330777/2, -3823177701551855477], [-61194383, -13601511/2, 71393735]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[491/2, -2845/2, 5/2], [4053/2, 1, 4], [-195, 0, 5], [0, 0, 0]], [[-437266697263/2, 1154635388879, 45219417473/2], [-20286516911942/13, -29894755697/26, -1184499139585/26], [3907126485625/26, -2105267511/26, -1329437522/13], [-22/13, -45/26, 2/13]], [[-589526168794510033, 5150739835187456447, -10240186694568903919/2], [-177021273000917656799/26, 182928507472219650923/26, 4571983972624689018/13], [8262619183815296587/13, -8308644394187292211/13, -784208109731600631/26], [-177554601/26, -19714527/26, 103569228/13]]], 1, 960, [], [] >,
< [ 1, -2, -1, 1 ], [[29, -20, 16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, 1, 3/2], [27/2, -1/2, -2], [-750, 3, 0], [0, 0, 0]], [[-4636026, 431859, 151526], [6130691, 23785, 521], [-313217320, -50382974, -107530955], [2, 2, -2]], [[-1580517844976, 1158624688697, 1164950652978], [2424791455845, -1898273018475, -2117251994669], [-210738302788128, 428937410911511/2, 241513148740796], [342837/2, 1439231/2, -205541/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-417/2, 271, -1/2], [-290, 1/2, -5/2], [831, -5, -2], [0, 0, 0]], [[7241692376569, -18631792474679/2, -42604479568], [263950327631135/26, 1607053012115/26, 655339859435/26], [-29090326106523, -101476760485/2, 245439127418], [-49/26, -77/26, -5/26]], [[-52061469179675241530224, 110426432211428662313412, -35662760715362257680564], [-627610823743642384272880/13, 560035848120829646603360/13, -250633979307370167454260/13], [137823290709296033150844, -122410520899718530492541, 53584125606857076642414], [49517668672/13, 207984244192/13, -29711372208/13]]], 1, 960, [], [] >,
< [ 1, -2, -1, 1 ], [[-20, -41, 16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, 26, -3/2], [-68, 1/2, -3/2], [2168, 0, 4], [0, 0, 0]], [[-2277034253/2, 5720738050, -388765545], [-31382472627/2, -372882, 56304907/2], [1000402023649/2, 7211976249/2, -10451573709], [0, 3/2, 2]], [[19893996154936657/2, 1001568842417188383/2, -442711633322298171/2], [-4783966531482975311/2, 123495036858420241, 550519411858135426], [75966236978981312901, -3153570478570813683, -18081307601958665871], [138471435, 21857805, 14566644]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[509, 1895/2, 7/2], [719, -10, -5/2], [-238, -4, -2], [0, 0, 0]], [[3219780363115/2, 2862655048125, -79981663265], [58079453864519/26, -860920645668/13, -722289343011/26], [-19236629744213/26, 46221843/26, 17967855380/13], [-11/13, 49/26, 1/13]], [[684990641323140934500, 170136971716307960250, -303344206740017853750], [6828064800995236934175/13, 1700162782434823503910/13, -3038179945369559236720/13], [-4593183901793485475933/26, -1143830726132117649531/26, 2043395861321373335991/26], [45488805/26, 3591137/13, 2393371/13]]], 1, 960, [], [] >,
< [ 1, -2, -1, 1 ], [[30, -5, 4]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2064, 23, 1], [51198/29, 3121/29, 10/29], [2736/29, 54/29, 1/29], [0, 0, 0]], [[-118139973267/2, -17791779429/2, 12228672018], [1487197478250/29, 565721199039/58, -616188923293/58], [157613412489/58, 52881601303/116, -65182022711/116], [61/58, -3/116, 3/116]], [[-165261124833565792, -70166351943871751, 308434802509729319/2], [4378553597996119143/29, 51152751164826190, -7968829460653579817/58], [225521722027407099/29, 174228624364846815/58, -208237756133684760/29], [155807295/58, 63348970/29, -116599770/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-18443/2, 300, 1/2], [3307315/58, 5972/29, 1393/58], [12224/29, -41/58, 3/58], [0, 0, 0]], [[-1346690958013151/2, 6125942243778, 11345763538966], [241641428300192897/58, 3124792502065809/29, -3907158308962203/58], [3572167264427977/116, 74100692257417/116, -29455007791003/58], [23/116, -5/116, 0]], [[-8598784719777337966769/2, -774896741034211447018, 10827296023894171426557/2], [20996917843643019272536683/754, 1239164558408482056916829/377, -900446727051320629413827/26], [154143034809345380165953/754, 19582433374429927615103/754, -191994250912274971518247/754], [711608865/754, 237014272/377, -507140821/377]]], 1, 480, [], [] >,
< [ 1, -2, -1, 1 ], [[-5, -33, 4]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-159, -65/2, 2], [168, 75/2, 10], [13/2, 3/2, 0], [0, 0, 0]], [[2228868, 20194701, 1002868], [-28219330/29, -705660911/29, -74649133/29], [-4885083/58, -24421920/29, -2000832/29], [1/2, 0, 0]], [[-4669064778, 65499939/2, 149708237/2], [145012922129/29, -2542343510/29, 12562972623/58], [22172744715/116, 353776841/116, -55734267/29], [-20325/116, -12295/116, 2805/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 31/2, 3/2], [13737/29, -11935/58, -1881/58], [-21/58, -19/29, -5/58], [0, 0, 0]], [[-83248499/2, 2901801, -176039/2], [-18359341581/58, -110573349287/58, 67055851483/58], [6824333/4, -317003/4, 23463/2], [-127/116, 1/116, 0]], [[-1340074630840149, 1146659610854545/2, -365418176240836], [3161852879789494486/377, -78130400702307399911/754, 20715821547599187970/377], [109203434648355/2, -43330585328907/2, 15287323474516], [-13068389988/377, 4431460062/377, -3536675690/377]]], 1, 480, [], [] >,
< [ 1, -2, -1, 1 ], [[-33, 30, 4]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1239/2, 45/2, -1], [-14483/58, 527/58, 74/29], [-1239/58, 45/58, -1/29], [0, 0, 0]], [[-77602864, -13439634, 14740199/2], [-908289827/29, -307391977/58, 96124864/29], [-5352091/2, -1853733/4, 1016541/4], [-17/29, 1/116, -5/116]], [[376933244872, 616058302206, -467871144751/2], [8920262443955/58, 7062293906967/29, -2781485272049/29], [51991811555/4, 21244369200, -32268310975/4], [207687/116, 196041/29, -262035/116]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[135, 125, 5/2], [-7641/29, -12788/29, -515/58], [135/29, 125/29, 5/58], [0, 0, 0]], [[8539069/2, 225392, -4527/2], [-534195044/29, 1312804883/58, -645603461/58], [589363/4, 31243/4, -78], [-9/116, -3/116, 0]], [[-17839957/2, -64411123, 25498247], [-163501935673/754, 308905389841/377, -131794731867/377], [-8008929/26, -28891903/13, 11435312/13], [114/377, 350/377, -99/377]]], 1, 480, [], [] >,
< [ 1, -2, -1, 1 ], [[-18, -32, 34]], [ -2258, 32, -4 ], [ 3, -10, -32 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-698, -1745/2, 0], [1697860464895/90106, 643038493827/45053, -715213/90106], [-2, -5/2, 0], [-30150467/15723497, -22838354/15723497, 3/31446994]], [[-218706596875/2, 777834879375/2, -177032459660], [-30475793808727360211675/31446994, 24867643154731981941263/31446994, -7576282304389129959617/31446994], [-218706596875/698, 777834879375/698, -177032459660/349], [1550555590458520/15723497, -1264969289438788/15723497, 385341566748692/15723497]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-230, -21/2, -1/2], [-1729105/698, -81149/698, -3137/349], [-230/349, -21/698, -1/698], [0, 0, 0]], [[5984305, -571873597/2, -932223], [13971529474749429/408810922, -1442455539925493287/408810922, -1996197594638528/204405461], [270155565/4537, -1741403291/9074, -12118919/4537], [-19235960/204405461, -569295347/408810922, 2/204405461]], [[604087710601401869, 2586872536928026181/2, -1045697743181578045/2], [1597090557749320630040969900/204405461, 3266343593927434988010814491/204405461, -2676742870154903183641894715/408810922], [-443712174855749518/4537, 7642131575968864043/9074, -1977319159609813135/9074], [1659370482534794763/408810922, 2598721140409547631/408810922, -1161675150175070145/408810922]]], 1, 672, [], [] >,
< [ 1, -2, -1, 1 ], [[9, 16, -17]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[191/2, 37/2, 4], [1999/26, 359/26, 287/13], [379/26, 19/13, 3/26], [0, 0, 0]], [[12003407/2, -4499703, 565605/2], [149568711/26, -74565827/13, 25061709/26], [11789605/13, -9734671/13, 1181486/13], [3/13, -1/26, 0]], [[921031609/2, -489135099, -13008201/2], [12146415949/26, -7902822020/13, 351121718/13], [275787717/4, -156107295/2, 10406061/2], [427/52, 105/26, 357/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[245/2, 51/2, 9/2], [-1975/26, -215/26, 619/26], [243/13, 28/13, 1/26], [0, 0, 0]], [[-1205/2, -147, 611/2], [16703/26, 2069/26, -1866/13], [-8883/52, -1259/52, 2087/52], [101/52, 3/52, 5/52]], [[-52917080, -75115155/2, 81842163/2], [1448338146/13, -3161981565/26, 1114984309/26], [-744477021/26, 760547867/26, -129593641/13], [6361677/13, -10567368/13, 743967/2]]], 1, 96, [], [] >,
< [ 1, -2, -1, 1 ], [[-18, -18, 34]], [ -1018, 108, -24 ], [ 9, -84, -110 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-81634211/2, -8451145/2, -3/2], [96039768736361/2872018, 3488187663241/1436009, -6462645/2872018], [-81634211/2872018, -8451145/2872018, -3/2872018], [993723/1436009, -1859709/2872018, -1/2872018]], [[1125371352994666203/2, 1419385650648733229/2, 100259603537063371/2], [-1322796167850112221872863/2872018, -1631415378467644638432021/2872018, -35761467040865534302367/1436009], [1125371352994666203/2872018, 1419385650648733229/2872018, 100259603537063371/2872018], [-13293846578150010/1436009, -3893536391510475/1436009, 14944991552624925/1436009]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[99417756, 61159778, 2], [-59411890059584/1436009, -172823247505519/2872018, 3542385/2872018], [1610535818/18668117, -159426104/18668117, 282822752/18668117], [-26508750/18668117, 141411373/37336234, 5/37336234]], [[839288278327184436321/2, 159043541712654650871/2, -408406736118809047925/2], [-652806470645361264438656995/2872018, -120442641527242759075710625/2872018, 165584617253664534732895059/1436009], [10601364950063652527661/37336234, 1860334490888060559819/37336234, -4956767565619988051153/37336234], [20075568588039609540/18668117, 957256009764825372/18668117, -21553872240400685556/18668117]]], 1, 672, [], [] >,
< [ 1, -2, -1, 1 ], [[9, 9, -17]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, -3, 3/2], [-737/26, 18/13, -167/26], [-21/26, 3/13, -2/13], [0, 0, 0]], [[-94697/2, 77031/2, -1135], [4467903/26, -2824403/26, -671003/26], [118875/26, -184533/52, -3975/52], [15/26, -1/52, -3/52]], [[51596451, -37649693, -17568606], [-2697450472/13, 1808752707/13, 1547476150/13], [-66603858/13, 48037818/13, 26931738/13], [-430, -250, -165]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-197/2, -59/2, 2], [-1425/26, 19/26, 154/13], [122/13, 45/13, 5/26], [0, 0, 0]], [[-130834158, 88554551/2, 8827873], [-1739756007/26, 34927630, 6641703/13], [164686617/13, -98340807/26, -53606415/52], [-1, -1/26, 5/52]], [[-2500594325697/2, 976875445215, 1210046611053/2], [-6560405205762/13, 5126139860818/13, 402562605777/26], [6552441433047/52, -5098444719549/52, -3623806389273/52], [-74181/4, 924915/52, 1123983/52]]], 1, 96, [], [] >,
< [ 1, -2, -1, 1 ], [[-32, -18, 34]], [ -1258, 24, -20 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5692218, 15609939/2, 2], [9006755268541/2901233, -12349234817441/2901233, 9281035/5802466], [129, 3/2, 0], [-2846109/2901233, 15609939/11604932, 1/2901233]], [[109536533960785, 60680789802985, -114073636721090], [-346657991222992886881/5802466, -192036815902400980671/5802466, 180497743650599732685/2901233], [-12028103887/2, -5173891827/2, 2553753920], [109536533960785/5802466, 60680789802985/5802466, -57036818360545/2901233]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, -3/2, 3], [53, -3/2, 0], [0, 0, 0]], [[-87009428, 201911637/2, 1/2], [19921352875147007/37716029, -46259303468399993/75432058, 20051874925067/75432058], [2474013511/26, -1380409098/13, 6736615/13], [-43504714/37716029, 201911637/150864116, 1/150864116]], [[-2011658918038006, -757651895995424, 3738064318963127/2], [460296149782230879554638/37716029, 173573363757804691460912/37716029, -855702194225752434606871/75432058], [58806506622357041/26, 11510011854736937/13, -52348971440142987/26], [-1005829459019003/37716029, -378825947997712/37716029, 3738064318963127/150864116]]], 1, 672, [], [] >,
< [ 1, -2, -1, 1 ], [[16, 9, -17]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3029/2, -209, 9/2], [13023/26, -1996/13, 343/26], [2735/13, -27/26, 5/26], [0, 0, 0]], [[-9326127108, 17098308855/2, -4359884637/2], [-83330676419/26, 93279401389/26, -27956270255/26], [-5071802675/4, 1927088645/2, -800294125/4], [1/4, -1/26, 3/52]], [[-35747395006990, -168449954968375, 100298446511025], [-81159999479062/13, -843325671871090/13, 480373445751138/13], [-13373125923715/2, -20831215534620, 12858775096475], [55245/26, 55365/13, -19155/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1545/2, 173/2, 0], [-697/26, 1839/26, -119/13], [-1395/13, -59/26, -2/13], [0, 0, 0]], [[-153451398360, -2292691011, 3579019301], [-1681809540163/338, 2141608368651/169, -111481422773/338], [-7213698760215/338, -2100256299565/676, 94522437231/676], [-200/169, -11/676, 3/676]], [[-13731722285925475/2, -13757810688306815, 4931292118783290], [72398982933886889/338, -133198790800762766/169, 156426603793601211/169], [-345592641668445593/338, -322667334956340921/169, 169042895659043741/338], [-8700285/169, -18543294/169, 6284982/169]]], 1, 96, [], [] >,
< [ 1, -2, -1, 1 ], [[-224, -224, 336]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [112, 90, 80], [-66, -6, -4], [0, 0, 0]], [[0, 0, 0], [6602798, -12069432, 4379074], [-3177505, 6283798, -2460680], [-11, -4, -1]], [[0, 0, 0], [33102922, -329140258, 179025832], [-26477136, 171036808, -87866444], [376, 296, -128]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [90, -42, -26], [94, 4, 10], [0, 0, 0]], [[0, 0, 0], [-2127242, 4710124, -1883274], [-2264219, 4647561, -2025843], [-15, 4, 4]], [[0, 0, 0], [-12503642, 25596532, -9748838], [-13398086, 24804022, -10793108], [-108, 18, 36]]], 0, 790272, [], [] >,
< [ 1, -2, -1, 1 ], [[-8, -8, 12]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [-53/2, -30, -4], [1/2, 0, -1/2]], [[0, 0, 0], [0, 0, 0], [-6, -2, 4], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [79, 0, -4], [-14, 2, 8], [0, 0, 0]], [[0, 0, 0], [-1313736/13, 918690/13, 10461/13], [139998/13, -19677/26, -20747/26], [-16/13, -14/13, -3/26]], [[0, 0, 0], [5026848806/13, -13030474490/13, 5746907682/13], [-321235758/13, 729636358/13, -290961742/13], [14024/13, -7424/13, -8016/13]]], 1, 36, [], [] >,
< [ 1, -2, -1, 1 ], [[36, -20, -12]], [ -1258, 24, -20 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-79571377859/5802466, -2502240444200/2901233, 1457893/5802466], [-3/2, 2, 1/2], [-137810/2901233, -17336499/5802466, -5/5802466]], [[0, 0, 0], [-5120889473869871291/5802466, -881405501684074079/5802466, 864788467153188939/2901233], [-2145387/2, -985903/2, 741883], [-8869849185920/2901233, -1526671888380/2901233, 2995781710400/2901233]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, -13, -6], [-2, -10, -8], [0, 0, 0]], [[0, 0, 0], [-5881785261615415/37716029, 24506937730889517/75432058, 5856170579729/37716029], [640496927/13, -2656431519/26, 133623/13], [60870769/75432058, -126479579/75432058, -1/75432058]], [[0, 0, 0], [-11561416702065766455873471/75432058, 3143904626239257965165272/37716029, 1926055033850519416067763/37716029], [1309720002014196717/26, -333958649170696984/13, -220632329044692761/13], [61231926523688537/75432058, -16036242984398324/37716029, -10265479235973161/37716029]]], 1, 432, [], [] >,
< [ 1, -2, -1, 1 ], [[144, -80, -48]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-138/13, -20/13, -56/13], [-138/13, -98/13, -4/13], [0, 0, 0]], [[0, 0, 0], [-355/13, -304/13, 582/13], [-575/26, -124/13, 1539/26], [5/26, 0, 5/26]], [[0, 0, 0], [-47738/13, -13766/13, 51210/13], [-38297/13, 6769/13, 66177/13], [259/13, 133/13, 157/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-496, -54, 6], [22, 4, 0], [0, 0, 0]], [[0, 0, 0], [1033283727/169, 324255003/169, 100793957/169], [-89651897/338, -18501112/169, -6195744/169], [-1317/338, -31/169, -1/169]], [[0, 0, 0], [33995151937586/13, -10072329664026/13, 10648835904087/13], [-2906170250929/26, 515745039343/26, -480329293193/13], [-45285875/26, 27686625/26, -6438750/13]]], 0, 27648, [], [] >,
< [ 1, -2, -1, 1 ], [[8, 36, -12]], [ -2258, 32, -4 ], [ 3, -10, -32 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2707742245932659/15723497, 1241140632283002/15723497, 6036699/31446994], [444/349, -1312/349, 4/349], [-303555433/204405461, 139139854/204405461, 1/408810922]], [[0, 0, 0], [91667076384818695885607/31446994, 12397436898529115091859/31446994, -15814091686629825739615/15723497], [-1228386646/349, 8030912511/349, 2969599197/349], [10276473132318789/408810922, 1389833656136057/408810922, -1772862027563957/204405461]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1095, -2077, -4], [1, -2, 0], [0, 0, 0]], [[0, 0, 0], [293574556655434949/408810922, 37494512866785605/204405461, -44576466380773660/204405461], [6404758182/4537, 115716001/4537, 661404516/4537], [538111361/408810922, 4743238/204405461, -1/204405461]], [[0, 0, 0], [-18937170996324214322101781023/408810922, -20669678395567941037350565809/408810922, 11565345777031182323984091273/408810922], [76310778861282877807/4537, -1642963522388531070981/4537, 527217780879493441158/4537], [-1334708495463173789/408810922, -117967957146855486499/408810922, 42996932518106607095/408810922]]], 1, 432, [], [] >,
< [ 1, -2, -1, 1 ], [[32, 144, -48]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2258/13, -470/13, 32/13], [-592/13, -94/13, -4/13], [0, 0, 0]], [[0, 0, 0], [1735172112/13, -807842959/13, -123744355/13], [71200199/2, -38653101/2, -1972565/2], [-5/26, -5/26, 1/26]], [[0, 0, 0], [6269882481/13, 76904302219/13, -54648398895/13], [569084829/13, 22769829101/13, -30803716707/26], [102/13, -255/13, -51/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [124, -30, -4], [-30, 6, 0], [0, 0, 0]], [[0, 0, 0], [6801494/13, 22190672/13, -5612709/13], [-2775831/26, -5915122/13, 746345/13], [3/26, 1/13, -1/13]], [[0, 0, 0], [-999152/13, 960660/13, 1857482/13], [329300/13, -356712/13, -605200/13], [0, 0, 0]]], 0, 27648, [], [] >,
< [ 1, -2, -1, 1 ], [[-20, 8, -12]], [ -1018, 108, -24 ], [ 9, -84, -110 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32111595627539/1436009, 10544867992651/2872018, -4307221/2872018], [-39875117/1436009, -6332645/1436009, 2/1436009], [2429732/1436009, 1012309/2872018, -1/2872018]], [[0, 0, 0], [2970810709039392086923597/1436009, -32276338300047527268698/1436009, 633333564330868313391999/1436009], [-3693395643866985825/1436009, 69318385594041960/1436009, -787127876180893215/1436009], [222617153294121458/1436009, 12173048243090798/1436009, 47583833683907706/1436009]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2209133456272057/2872018, 222238885768037/2872018, 5726738/1436009], [-42341369534/18668117, -39146007579/18668117, -1116/18668117], [-88262819/37336234, -146731709/37336234, -2/18668117]], [[0, 0, 0], [7295758369902280613470609973/1436009, 10691032473460188652175609294/1436009, -4809866451955453561095459237/1436009], [-449726810929811279698687/18668117, -283022864926759516717837/18668117, 4015433051863870228347/18668117], [-627481273416115553556/18668117, -176629298482630891557/18668117, -164173649248281117720/18668117]]], 1, 432, [], [] >,
< [ 1, -2, -1, 1 ], [[-80, 32, -48]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4218/13, 418/13, 68/13], [690/13, 74/13, -6/13], [0, 0, 0]], [[0, 0, 0], [122303715, 553731043/13, -561399352/13], [260613196/13, 89301476/13, -186699241/26], [1/13, -1/13, 3/26]], [[0, 0, 0], [-985419391144/13, -330044688668/13, 451936465572/13], [-161303508360/13, -53251668286/13, 73856037804/13], [3038/13, -9940/13, 4396/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [296/13, -430/13, -86/13], [-136/13, 50/13, 10/13], [0, 0, 0]], [[0, 0, 0], [-4059858/13, 4863428/13, 8859717/13], [-52789/13, 1148895/26, -239703/26], [-1/13, -5/26, 3/26]], [[0, 0, 0], [5740358846/13, -8232974440/13, -9786805676/13], [-106840644/13, -93002958/13, -138564654/13], [1788/13, 162/13, -402/13]]], 0, 27648, [], [] >,
< [ 1, -2, -1, 1 ], [[-144, -32, 160]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [33468/29, 4876/29, 14/29], [2744/29, 384/29, 10/29], [0, 0, 0]], [[0, 0, 0], [-18518353603/29, -8494084645/29, 1537678812/29], [-3032273103/58, -1385467459/58, 123295626/29], [-5/58, 3/58, -1/29]], [[0, 0, 0], [-106773061085803/29, 38357922483978/29, 59984054810481/29], [-17509445761325/58, 3180517283625/29, 9797571858375/58], [-38925/58, 30075/29, -11175/58]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-414942/29, -47290/29, -882/29], [4202/29, 458/29, 8/29], [0, 0, 0]], [[0, 0, 0], [22719711716966/13, -1251237584105024/377, -20173763122819/377], [-6675517342628/377, 12711014328444/377, 283396862459/754], [-10/377, 27/377, 3/754]], [[0, 0, 0], [16635562702038854/29, 4346685771063036/29, -8586548042039080/29], [-168044808724902/29, -44046553579104/29, 86755614826644/29], [384/29, 96/29, -144/29]]], 0, 64512, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, -16, -32]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-394, -10, 6], [-70, 0, 0], [0, 0, 0]], [[0, 0, 0], [132779021/29, -281519440/29, 50265398/29], [48986243/58, -105193107/58, 20082511/58], [-1/58, 1/58, 1/58]], [[0, 0, 0], [-13837760/29, 640890/29, 2937050/29], [-2455976/29, 163674/29, 492754/29], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-261090/29, -26760/29, -618/29], [1490/29, 158/29, 4/29], [0, 0, 0]], [[0, 0, 0], [-593372725529846/377, -22082917341373/377, -3621281586820/377], [520958593385/58, 21252919879/58, 1616357749/29], [-73/754, -85/754, -2/377]], [[0, 0, 0], [1271153290493964570592/377, 2841161914536201335652/377, -2693905839434207235180/377], [-562212137322261120/29, -1240779816243690408/29, 1182283253392435389/29], [263204532/377, -105884010/377, -156851991/377]]], 0, 64512, [], [] >,
< [ 1, -2, -1, 1 ], [[48, 160, -16]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10394/29, 3856/29, 22/29], [-964/29, 374/29, 8/29], [0, 0, 0]], [[0, 0, 0], [158924776/29, 367572541/29, 51225459/29], [16305849/29, 31311449/29, 2808967/58], [-52/29, 2/29, -5/58]], [[0, 0, 0], [-3047149743252/29, -9733377940891/29, 2449711032387/29], [-298830197652/29, -869970840080/29, 540755729635/58], [51115, -1093861/29, 746279/58]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16484/29, -5132/29, 152/29], [1138/29, -490/29, -8/29], [0, 0, 0]], [[0, 0, 0], [93981371/13, -1426761216/377, -360661966/377], [349944833/754, -103074707/377, -12931111/754], [-1055/754, 4/377, -1/754]], [[0, 0, 0], [-5578640721175/377, -60672551903501/377, 31587508125/13], [-1422517227909/754, -3490939250296/377, 1079491851575/377], [28927885/754, -4889220/377, -19440470/377]]], 0, 64512, [], [] >,
< [ 1, -2, -1, 1 ], [[192, 80, -176]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-102, 64, -50], [8, 6, -6], [0, 0, 0]], [[0, 0, 0], [-32, 0, 0], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [-8, 8, 14], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-574, -6154, -5118], [4, -24, -20], [0, 0, 0]], [[0, 0, 0], [83816385856/13, 75994476864/13, -45728390912/13], [267706916/13, -1590482/13, 435329/13], [31/13, -33/13, -4/13]], [[0, 0, 0], [-538515999112098560/13, -162323674696696576/13, 347314434839972096/13], [-1555822206509964/13, 182356825113878/13, 714597905359642/13], [-78470684/13, 19667204/13, -39156796/13]]], 0, 96768, [], [] >,
< [ 1, -2, -1, 1 ], [[96, -16, 80]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-910, 192, 46], [-30, 10, 2], [0, 0, 0]], [[0, 0, 0], [18, 0, 0], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [-2845850, 1908736, 1544590], [-77020, 46700, 20660], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-922, 566, 296], [14, 4, 2], [0, 0, 0]], [[0, 0, 0], [-2431469169890/13, 1724917464818/13, 295596383748/13], [3267147126, -6256944, 11424658], [-56/13, 16/13, -2/13]], [[0, 0, 0], [12060308119001684290/13, -6660920021499572016/13, 6625743249182234766/13], [-30359109506299189, 13962949927329186, 14969054287670938], [463633247/13, -264952996/13, -132407555/13]]], 0, 96768, [], [] >,
< [ 1, -2, -1, 1 ], [[-64, -176, -16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-912, -102, -70], [76, 8, 6], [0, 0, 0]], [[0, 0, 0], [-14, 0, 0], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [-20682, -90422, 32666], [1694, 7590, -2750], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1864, -1352, -2458], [-10, 10, 18], [0, 0, 0]], [[0, 0, 0], [-10177669826600/13, -4737185941632/13, 6184506676704/13], [-7430097871/13, -18286537/13, 19712842/13], [60/13, 33/13, 4/13]], [[0, 0, 0], [18563707553040108328/13, -18281776360120904224/13, 3963388054328566064/13], [-3913821648978016/13, 31966629597715368/13, -14018190981866446/13], [-20618708/13, -143913616/13, 41166356/13]]], 0, 96768, [], [] >,
< [ 1, -2, -1, 1 ], [[-80, -192, 64]], [ -43, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 8, 12], [8, 36, 30], [0, 0, 0]], [[0, 0, 0], [-1595284/43, -1328282/43, 82764/43], [2672846/13, -731416/13, -2298773/13], [-1750/559, 56/559, 1/559]], [[0, 0, 0], [5684822804/43, 135346239304/43, -71679795248/43], [-50184260928/13, 1017301842/13, 23402034909/13], [448200000/559, -1134506250/559, 11485125/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1118, 76, 70], [-12, -12, -10], [0, 0, 0]], [[0, 0, 0], [1456207510038/559, 8471125306/559, -228730900368/559], [-476232631/13, -155569471/13, 212633/13], [1361/559, 1/559, 3/559]], [[0, 0, 0], [1237266229999510506/559, -945808452812925454/559, 300771757769587502/559], [-375581406466740/13, 140852087607961/13, -9635913113717], [1257883574/559, -1182754009/559, 564545017/559]]], 0, 96768, [], [] >,
< [ 1, -2, -1, 1 ], [[-192, 144, 64]], [ -43, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -2, 4], [12, -18, -26], [0, 0, 0]], [[0, 0, 0], [-874874/43, -366530/43, 403230/43], [105364/13, 40904/13, -4664/13], [2044/559, 8/559, 4/559]], [[0, 0, 0], [6436109188/43, 2316256864/43, -3079578018/43], [-64851133, -13559899, 17009411], [-1190599/43, 49487/43, 206681/43]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 6, -4], [-1228, -4, -10], [0, 0, 0]], [[0, 0, 0], [-23854665300/43, -1921715760/43, -53248676/43], [214149367944/13, -22152124498/13, 27818267250/13], [-3114/559, -2/559, -4/559]], [[0, 0, 0], [-33361298959800838/43, -115255387934307686/43, 31807662565405194/43], [11095780787202128, 102986006089343667, -29160921182162693], [-304992600/43, -1192558875/43, 384076425/43]]], 0, 96768, [], [] >,
< [ 1, -2, -1, 1 ], [[-144, 80, -64]], [ -43, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 4, 10], [4, 14, 20], [0, 0, 0]], [[0, 0, 0], [4628964/43, 1973002/43, -1930282/43], [1357907/13, 700940/13, -466405/13], [1415/559, 60/559, -1/559]], [[0, 0, 0], [240162208062/43, -150071153914/43, -5125639662/43], [74450099520/13, -45361783600/13, -6094395760/13], [-52333280/559, 298072160/559, -160754184/559]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [366, 14, 10], [10, 4, 10], [0, 0, 0]], [[0, 0, 0], [-89375130604/559, -3141392854/559, 20648348146/559], [-948460694/169, -31004289/169, -4314953/169], [37658/7267, 701/7267, 5/7267]], [[0, 0, 0], [32160533562279328/13, -15175164649278002/13, -5718088965144544/13], [19080765746221696/169, -14941736630585896/169, -4209458504414132/169], [-17495608768/169, 13810947206/169, 3614840612/169]]], 0, 96768, [], [] >,
< [ 1, -2, -1, 1 ], [[-256, -592, 608]], [ -43, 0, 0 ], [ 0, -1, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-60, -4, -8], [102, 10, -10], [0, 0, 0]], [[0, 0, 0], [-283447880/43, 742332, -33327314/43], [141377859/13, -2530563/13, -12853575/13], [-3143/559, 27/559, -5/559]], [[0, 0, 0], [-1365933580388/43, 9163202260577352/43, -2611251084343122/43], [-48695627072750, -239429883603120, 93727837833525], [698710434/43, 6272021160/43, -1924637283/43]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4536, 4, 2], [4598, 2, 10], [0, 0, 0]], [[0, 0, 0], [9123700782307274/559, 291744288414460/559, -901080781060476/559], [2796234556986326/169, 88228758969542/169, -272499710097959/169], [35292/7267, 194/7267, 5/7267]], [[0, 0, 0], [-5705246833878162420727190/43, -23525147914780681602398858/43, 8677255619820721657550542/43], [-1739348877697647772788790/13, -7231441821326999539598040/13, 2659571167492770787669056/13], [-13492804214932/559, -111133951158842/559, 33292370863510/559]]], 0, 4257792, [], [] >,
< [ 1, -2, -1, 1 ], [[-592, -368, 608]], [ -43, 0, 0 ], [ -1, 0, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-84, 2, -6], [3632, 4, 4], [0, 0, 0]], [[0, 0, 0], [338184463132/43, 6771120784/43, -385665256/43], [-340039558077, -13817952032, 20955091596], [13/43, -2/43, 0]], [[0, 0, 0], [-1260364773018556/43, 584529204036260/43, 521737831267164/43], [15745992341044644/13, -6242025867965246/13, -6448136416251116/13], [-586946/559, 314780/559, 166302/559]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14598, 16, 2], [-2534, -4, -2], [0, 0, 0]], [[0, 0, 0], [122733520825226190/559, -1150909597269650/559, -1949014429721348/559], [-495471660369310/13, 4426570880281/13, 7569935294317/13], [-1484/559, -5/559, -1/559]], [[0, 0, 0], [82985936461495489301528918/559, -42968140301538874941531100/559, -23582493746644843476448270/559], [-25786487676475085367999, 173675105019881562375145/13, 95409451545745390449462/13], [-1021077691925/559, 536933309825/559, 302709543072/559]]], 0, 4257792, [], [] >,
< [ 1, -2, -1, 1 ], [[-368, -256, 608]], [ -43, 0, 0 ], [ -1, 2, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 4, -4], [22, 8, 2], [0, 0, 0]], [[0, 0, 0], [-855332/43, 330976/43, -33142/43], [-388333/13, 88200/13, -76007/13], [-1933/559, -24/559, 1/559]], [[0, 0, 0], [-53700358215308/43, 49173155525060/43, -24255362921454/43], [-21713420418089/13, 15526830697607/13, -19474261981131/13], [-100024595615/559, 26035178561/559, -56335578285/559]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 2, 4], [-1614, 8, -2], [0, 0, 0]], [[0, 0, 0], [282321580/43, 1344274/43, -328378/43], [19612925795/13, -9806870128/13, -9817389368/13], [4791/559, 2/559, 4/559]], [[0, 0, 0], [-8964182927385461746/43, 2015540896336287884/43, -5086740656069340202/43], [-69641768673063120200, 64878752098922907100, 40064752448435564320], [-11722819024100/43, 2737517182840/43, -6681022013600/43]]], 0, 4257792, [], [] >,
< [ 1, -2, -1, 1 ], [[656, -464, -256]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-358, 2, -4], [1088, -2, 0], [0, 0, 0]], [[0, 0, 0], [10, 0, 0], [-205, 1, 1], [1, 0, 0]], [[0, 0, 0], [197579372, 21422346, -230399300], [-596104124, -68377484, 686895804], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3924, 14, -52], [-372, -2, 8], [0, 0, 0]], [[0, 0, 0], [-656971276552808/13, 1961087860508/13, -7338641717678/13], [62288446408029/13, -73832241276/13, 148258724255/13], [50/13, 47/13, -1/13]], [[0, 0, 0], [-4275832333115748299333456/13, 6327857398747917184149676/13, -1271196180284113397604474/13], [401064531347902367235852/13, -589536079812405525761480/13, 118226370321916588098856/13], [224912551528/13, 24991870428/13, -262397233812/13]]], 0, 3870720, [], [] >,
< [ 1, -2, -1, 1 ], [[-464, 320, -256]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-496, -8, -8], [896, -2, 6], [0, 0, 0]], [[0, 0, 0], [4, 0, 0], [33, 1, 1], [1, 0, 0]], [[0, 0, 0], [-36829514, -149041482, 22075792], [67710330, 265167270, -45644580], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-908, 6, 4], [-148, -4, 0], [0, 0, 0]], [[0, 0, 0], [268145449256/13, -7248599680/13, 195224352/13], [3361717094, 22805585, 15424672], [-45/13, -15/13, -3/13]], [[0, 0, 0], [-8899003334596884, -66954455728880840, 24413435364207730], [-1551776385364700, -10776716720415536, 3740511171493756], [2428932, 10200784, -1457742]]], 0, 3870720, [], [] >,
< [ 1, -2, -1, 1 ], [[320, 656, -256]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-550, -10, 0], [3236, 4, -2], [0, 0, 0]], [[0, 0, 0], [18, 0, 0], [215, 1, 1], [1, 0, 0]], [[0, 0, 0], [3081208820, 482705200, 326155532], [-18162558562, -2465735732, -1830236832], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9860, -8, -8], [2160, 2, 0], [0, 0, 0]], [[0, 0, 0], [43650049692443496/13, -3193711361086/13, -246066074505100/13], [-9562233142834237/13, -445110581416/13, 61514984587624/13], [23/13, 38/13, 5/13]], [[0, 0, 0], [4057872214349910094869550/13, 9243926151882529363863980/13, -5154779543974582351198960/13], [-889800568681138883182135/13, -2022514052294560226392651/13, 1128752946943533369823173/13], [6148143533/13, 970727632/13, 647182984/13]]], 0, 3870720, [], [] >,
< [ 1, -2, -1, 1 ], [[-480, 80, -64]], [ -29, 0, 0 ], [ -4, 6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [746706/29, 5632/29, 390/29], [74456/29, 540/29, 10/29], [0, 0, 0]], [[0, 0, 0], [-1912723226432524/29, 165955475943020/29, 141333872393658/29], [-190706290730926/29, 16575853441409/29, 14134447216871/29], [74/29, 1/29, 1/29]], [[0, 0, 0], [182395058519785646634/29, 176996229833253016533/29, -251267348626627179162/29], [36354184590364415563/58, 35307670115452643795/58, -50074618145835275785/58], [-17615739/58, -10482653/58, 24504727/58]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-272498/29, -1920/29, -158/29], [-28288/29, -192/29, -10/29], [0, 0, 0]], [[0, 0, 0], [-9726200627330816/377, 20626124173168/377, -58254399874823/377], [-2019353640907377/754, 4804316494399/754, -5818253047219/377], [-1933/754, -55/754, 1/377]], [[0, 0, 0], [-821086474016462579409136/377, -613402159286138835845402/377, 1212052703289733099169536/377], [-85190868049540906712675/377, -63719219150343630640565/377, 125756199949346435472254/377], [-84826615787/377, -56138767435/377, 120720983706/377]]], 0, 1935360, [], [] >,
< [ 1, -2, -1, 1 ], [[80, 528, -64]], [ -29, 0, 0 ], [ -12, 34, -26 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1498/29, -1446/29, -30/29], [636/29, -324/29, -6/29], [0, 0, 0]], [[0, 0, 0], [11320955/29, -13928112/29, -19497186/29], [670399/58, 1609863/58, 171843/58], [-177/58, -1/58, -3/58]], [[0, 0, 0], [-1635385527653/29, 2095210952445/29, 2107686479140/29], [-174741930203/29, 53371634343/29, -99816256277/58], [9894600/29, 30425895/29, -33097437/58]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [13256, 1016, -6], [-82, -6, 0], [0, 0, 0]], [[0, 0, 0], [-11075717512005007/377, -452319730885448/377, 113986079945632/377], [10540420888923/58, 393989147329/58, -102452417025/58], [2571/754, 25/754, 5/754]], [[0, 0, 0], [-4254471292718624259728445/377, 1693333215680465721433743/377, -1080749520033911133058555/377], [2026581364529437023375/29, -1634952349109701222515/58, 517196241235800189085/29], [499199401365/377, -449165824305/754, 136691365890/377]]], 0, 1935360, [], [] >,
< [ 1, -2, -1, 1 ], [[528, -480, -64]], [ -29, 0, 0 ], [ -14, 32, -20 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24744/29, -2190/29, 20/29], [1832/29, -164/29, 6/29], [0, 0, 0]], [[0, 0, 0], [-19820056860/29, -2032973881/29, -2036595993/29], [-1466388119/29, -301349127/58, -312112521/58], [-2/29, 3/58, -5/58]], [[0, 0, 0], [-32567225096638/29, -20848557299902/29, 13972709167676/29], [-2408723918388/29, -1548465786588/29, 1032310288744/29], [-1596/29, -4504/29, 1112/29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-92174/29, -25834/29, 148/29], [588/29, 248/29, -2/29], [0, 0, 0]], [[0, 0, 0], [-256649263099753/377, 23584904464306/377, -11601264831015/377], [3208805549879/754, 156310615096/377, -7888095803/754], [323/754, 4/377, -1/754]], [[0, 0, 0], [-16710498227551989813/29, -79357833941521676309/29, 26030345624434814005/29], [291739071524960727/58, 862792550001743581/58, -224147460843524985/58], [27335365/58, 88972465/58, -27065815/58]]], 0, 1935360, [], [] >,
< [ 1, -2, -1, 1 ], [[-36, -64, 68]], [ -2258, 32, -4 ], [ 3, -10, -32 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [141770476210066/15723497, 224428257663914/15723497, -31642923/31446994], [1031/349, -1333/349, 3/349], [-14426970/15723497, -22838354/15723497, 3/31446994]], [[0, 0, 0], [230310164558052148563459/31446994, 30980097455262233327965/15723497, -128959474537054793407287/31446994], [265511953932/349, -132537631780/349, 21244452312/349], [-23436980503386315/31446994, -3152610387286965/15723497, 13123249795028127/31446994]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [59, -4152, 1], [0, -4, 0], [0, 0, 0]], [[0, 0, 0], [-896042409516255388/204405461, 218471230562266453/204405461, 1348228885896187/408810922], [-2737369374/4537, 767144514/4537, -4144860/4537], [404001932/204405461, -96712601/204405461, 1/408810922]], [[0, 0, 0], [-6003169384405233681609298926/204405461, -8631672623173113015438831909/204405461, 6735053656127619656135327655/408810922], [-18130278821404968720/4537, -26092468349657292878/4537, 11113149081373049855/4537], [2706649179495209994/204405461, 3904953891391827583/204405461, -2996140210123506389/408810922]]], 1, 6048, [], [] >,
< [ 1, -2, -1, 1 ], [[-144, -256, 272]], [ -13, 0, 0 ], [ 6, -10, -18 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1892/13, -640/13, -134/13], [-264/13, -102/13, -6/13], [0, 0, 0]], [[0, 0, 0], [-50261492/13, -50100092/13, 1242127], [-14660649/26, -6480288/13, 2210794/13], [53/26, 1/13, 0]], [[0, 0, 0], [-1032635583219/13, 1132921794607/13, -507682824602/13], [-263357245643/26, 120034657021/13, -105013825797/26], [-257323/26, 1052238/13, -962093/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2592/13, -394/13, 38/13], [378/13, 58/13, 8/13], [0, 0, 0]], [[0, 0, 0], [26978646/13, -11362022/13, 3409806/13], [-3996608/13, 1804903/13, -636806/13], [-20/13, -1/13, 0]], [[0, 0, 0], [224138868818/13, -258948483824/13, 150491976157/13], [-67151866733/26, 40448443273/13, -24235987216/13], [-261751/26, 47824/13, -80276/13]]], 0, 387072, [], [] >,
< [ 1, -2, -1, 1 ], [[-36, -36, 68]], [ -1018, 108, -24 ], [ 9, -84, -110 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-484944137712151/2872018, 6607628051466/1436009, -2871615/2872018], [329730633/1436009, -6756345/1436009, 1/1436009], [-8064617/2872018, 1224159/1436009, -1/2872018]], [[0, 0, 0], [68196109087521262431588589/1436009, -19716214832030681180294489/1436009, -77990809312342418068348411/1436009], [-93480697535424757419/1436009, 27649925574805519058/1436009, 107004331452212809776/1436009], [762797415963803348/1436009, 91214397222750565/1436009, -823657221472641587/1436009]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-69722256492657/2872018, 66163152728309/1436009, -3097881/2872018], [-35508384785/18668117, -79418373529/18668117, 266766128/18668117], [61530085/37336234, 66691964/18668117, 3/37336234]], [[0, 0, 0], [-12972162215488074027843969/2872018, 18770461413529239059924195/2872018, 10256289006116557516002235/2872018], [-8032453804980953204021/18668117, -17570395555998284041617/18668117, -5345681110239584274275/18668117], [13844827442300318469/37336234, 29734207704037572001/37336234, 9075368281664749801/37336234]]], 1, 6048, [], [] >,
< [ 1, -2, -1, 1 ], [[-144, -144, 272]], [ -13, 0, 0 ], [ -4, 2, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2636/13, 716/13, 86/13], [-396/13, 102/13, 10/13], [0, 0, 0]], [[0, 0, 0], [9431520/13, -10511107/13, -14641593/13], [3115505/26, -1780629/13, -4905633/26], [29/26, -2/13, 1/26]], [[0, 0, 0], [35609662118/13, -61282486966/13, -76670237262/13], [6133538578/13, -10335089718/13, -12958821136/13], [27874/13, -242178/13, 147696/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5456/13, 328/13, 102/13], [-762/13, -46/13, -4/13], [0, 0, 0]], [[0, 0, 0], [-31992888680/13, 377926293/13, 132777815], [8921964239/26, -40847143/13, -572673943/26], [-57/26, -2/13, -1/26]], [[0, 0, 0], [-418015705664502/13, 311446264705504/13, 103321256703056/13], [57650373880091/13, -42166558410685/13, -14182669498001/13], [-411899/13, 316057/13, 144871/13]]], 0, 387072, [], [] >,
< [ 1, -2, -1, 1 ], [[-64, -36, 68]], [ -1258, 24, -20 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-402923967213/2901233, 2671794400681/5802466, -13928829/5802466], [-31, 1/2, -5/2], [-2790985/5802466, 4627793/2901233, 1/2901233]], [[0, 0, 0], [-1980877517918357640/2901233, -1036642915529894209/2901233, 1889527168988633625/2901233], [342184510, 56313075, -150063675], [-13731139405205/5802466, -3591691122263/2901233, 6547184096175/2901233]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-141, -1/2, 9/2], [-157, -5/2, -1/2], [0, 0, 0]], [[0, 0, 0], [-36440198538677246/37716029, 409760888476749/37716029, 3453753902575372/37716029], [-8880033186/13, -38147286/13, 1187659786/13], [34732110/37716029, -2278447/75432058, -3/75432058]], [[0, 0, 0], [-7487251020196977777226603/37716029, -4519117015539007022734591/37716029, 7043328664319391404250215/37716029], [-1820081094812980713/13, -1061867858090774973/13, 1613486762678300790/13], [14613274376097537/75432058, 9098505624756807/75432058, -15500503735269483/75432058]]], 1, 6048, [], [] >,
< [ 1, -2, -1, 1 ], [[-256, -144, 272]], [ -13, 0, 0 ], [ 0, -2, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1746/13, -146/13, 54/13], [2214/13, -16/13, 2/13], [0, 0, 0]], [[0, 0, 0], [-1403624058/13, 953868846/13, -378171954/13], [-1733915090/13, 974284537/13, -378198950/13], [36/13, 1/13, 2/13]], [[0, 0, 0], [7139249243666/13, 36807611582597/13, -14616177797510/13], [22199464818467/26, 85887537735281/26, -33329912234339/26], [-64999/2, -113487/2, 23199/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-186256/13, -1098/13, 4/13], [15608/13, 98/13, 4/13], [0, 0, 0]], [[0, 0, 0], [-545852178735366/169, 15314576060131/169, 23837428916823/169], [45743403673868/169, -1268708299251/169, -3976518294329/338], [-92/169, 30/169, -1/338]], [[0, 0, 0], [13656969626979808153/169, 27402045923095524949/169, 951891887875218809/169], [-2287512303989698907/338, -2298033936258399279/169, -81679491181451437/169], [4460769/338, 4122480/169, -1147032/169]]], 0, 387072, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, -128, 192]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 8, 8], [24, -4, -8], [0, 0, 0]], [[0, 0, 0], [2, 0, 2], [-13, -1, 1], [1, 0, 0]], [[0, 0, 0], [-20, 8, 16], [84, 12, -36], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [320, 52, 20], [-16, -40, -16], [0, 0, 0]], [[0, 0, 0], [4958436, 23437542, -13207268], [-1381554, 40316, 14885], [5, 1, 0]], [[0, 0, 0], [17649656032/13, 886896934320/13, -553538509364/13], [-48212304180/13, 29193883008/13, 15008722800/13], [190128/13, -95484/13, -93852/13]]], 0, 147456, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, -128, 192]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [82, 60, 48], [-20, 2, 20], [0, 0, 0]], [[0, 0, 0], [-5, 2, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-152336, 140738, -101820], [10148, 19436, -23822], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, 118, 160], [-28, 14, 28], [0, 0, 0]], [[0, 0, 0], [-3, 0, 2], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [24634, -93284, 40464], [958, 1328, -1462], [0, 0, 0]]], 0, 147456, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, -128, 192]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32, -32, -10], [28, 2, -20], [0, 0, 0]], [[0, 0, 0], [11, 0, 2], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-6, 6, 8], [-6, 2, 6], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-86, 58, 82], [12, 10, 16], [0, 0, 0]], [[0, 0, 0], [-13, 2, 2], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-52144, -145260, -12624], [52360, 30800, -64680], [0, 0, 0]]], 0, 147456, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, -128, 192]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-208, -4, -20], [-18, -30, -14], [0, 0, 0]], [[0, 0, 0], [1, 2, 2], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [32100, -114620, 55016], [-1080, -1112, 1492], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-140, -46, -44], [6, -4, -14], [0, 0, 0]], [[0, 0, 0], [9, 2, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [877576, 110930, -308360], [-5670, -7980, 9170], [0, 0, 0]]], 0, 147456, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, -128, 192]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [232, -46, -60], [22, -20, -26], [0, 0, 0]], [[0, 0, 0], [11, 0, 2], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [27344, 63410, -44004], [1574, 1656, -2250], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-50, 70, 44], [2, 18, 26], [0, 0, 0]], [[0, 0, 0], [-13, 2, 2], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [1222, -552, -2566], [0, -1284, -642], [0, 0, 0]]], 0, 147456, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, -128, 192]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 0, 8], [22, -2, -24], [0, 0, 0]], [[0, 0, 0], [-5, 2, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [0, 0, 0], [8, 0, -2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 62, 32], [8, 16, 6], [0, 0, 0]], [[0, 0, 0], [-3, 0, 2], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [198, -372, 272], [42, -42, 42], [0, 0, 0]]], 0, 147456, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, -128, 192]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [154, 76, 122], [-2, 12, 24], [0, 0, 0]], [[0, 0, 0], [-5, 2, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [384160, 286768, -326932], [13640, 16864, -20584], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-66, -160, -172], [12, -30, -32], [0, 0, 0]], [[0, 0, 0], [-3, 0, 2], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-138184, 453174, -212102], [746, 1088, -1340], [0, 0, 0]]], 0, 147456, [], [] >,
< [ 1, -2, -1, 1 ], [[-128, -128, 192]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-200, 62, 102], [14, 30, 22], [0, 0, 0]], [[0, 0, 0], [5, 0, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-13652, 1756296, -880276], [-93068, -138860, 157516], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -4, -22], [18, -4, -10], [0, 0, 0]], [[0, 0, 0], [-13, 2, 2], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [48, -40, -60], [-16, -16, -4], [0, 0, 0]]], 0, 147456, [], [] >,
< [ 1, -2, -1, 1 ], [[-16, -16, 24]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38, 1, 3], [-12, 9, 11], [0, 0, 0]], [[0, 0, 0], [605899, 696661/2, -398999], [80108, 78679, -39492], [2, 1/2, 1]], [[0, 0, 0], [-204472109, -305183228, 229189171], [-32844926, -49251062, 42204694], [-1701, 1458, 27]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [21, 13, 3], [9, 5, -5], [0, 0, 0]], [[0, 0, 0], [200, 2683, 1452], [640, 2, -106], [0, -1, -2]], [[0, 0, 0], [-1666413/2, 174627, 305626], [-205027, -192606, 174514], [413/2, 532, -483]]], 1, 288, [], [] >,
< [ 1, -2, -1, 1 ], [[576, -320, -192]], [ -1258, 24, -20 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 10, 10], [0, -30, -22], [0, 0, 0]], [[0, 0, 0], [12496846444799/2901233, 5385569642872/2901233, 147702926702/2901233], [-14310011, -6467492, -15506], [8924195/2901233, 4005007/2901233, 4/2901233]], [[0, 0, 0], [26420101859249958398/2901233, -21600037009319078345/2901233, 270664029296690023/2901233], [-29517169949900, 22318816393265, 810382849205], [18414387497163/2901233, -13993639391627/2901233, -452813492481/2901233]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-94, 6, -24], [28, 6, -18], [0, 0, 0]], [[0, 0, 0], [33841515161591924/37716029, -53054676083971564/37716029, 25723252623533/37716029], [211660760/13, -329559200/13, -23511/13], [-130334989/37716029, 204190084/37716029, 4/37716029]], [[0, 0, 0], [-1903439035728740822808416/2901233, 984471606208584927815465/2901233, 612053215934773444813908/2901233], [-12005470809434352, 6076483419188525, 3871499804465016], [7335488851004250/2901233, -3787417310153135/2901233, -2361577465727225/2901233]]], 0, 1769472, [], [] >,
< [ 1, -2, -1, 1 ], [[128, 576, -192]], [ -2258, 32, -4 ], [ 3, -10, -32 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18536/349, 22904/349, 160/349], [1968/349, -3212/349, -20/349], [0, 0, 0]], [[0, 0, 0], [-7998759303587629/15723497, -2545937859254547/15723497, -1232419680570/15723497], [-621366122/349, -202439646/349, 2373594/349], [-997605237/204405461, -317719395/204405461, 4/204405461]], [[0, 0, 0], [818024615886229236530693/15723497, -10570731462978280577358321/15723497, 4388532251965722361511156/15723497], [56573268928363470/349, -803167704782339614/349, 333036221058511706/349], [101680616473042403/204405461, -1317481759701919191/204405461, 546959374855177676/204405461]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7142448/349, 6063604/349, 14562/349], [6916/349, 5836/349, 12/349], [0, 0, 0]], [[0, 0, 0], [-17611579397804628427/204405461, -499296463620409730/204405461, -1424423378524369165/204405461], [-361736199152/4537, -28361519100/4537, -22108952162/4537], [-685728351/204405461, -2783864/15723497, 1/204405461]], [[0, 0, 0], [190124513478975880164124370760/204405461, -3373726721107162871010603744934/204405461, 1195261583644419344351032807524/204405461], [1922976398465980243472/4537, -64768403678114574632224/4537, 22396823497039400920848/4537], [437732798114353376/204405461, -8737534711303281968/15723497, 42828235420505462544/204405461]]], 0, 1769472, [], [] >,
< [ 1, -2, -1, 1 ], [[-320, 128, -192]], [ -1018, 108, -24 ], [ 9, -84, -110 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22533799482/1436009, -4849766634/1436009, -2875242/1436009], [-111801764/1436009, -24011308/1436009, -16/1436009], [0, 0, 0]], [[0, 0, 0], [80379912648250592613/1436009, 221348395440512337437/1436009, -131899637700079727062/1436009], [398526025070515164/1436009, 1098578521102136670/1436009, -654602090243960254/1436009], [5, 1, 0]], [[0, 0, 0], [-128548225623188506924247621402/1436009, -689325765018281298631886275214/1436009, 364364322683520774852180247402/1436009], [-637033157858929990587946928/1436009, -3421263583825813614918633148/1436009, 1808465303097051962583162376/1436009], [-16081624729045270/1436009, -3861675895968772/1436009, -3977481188630428/1436009]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [582455275590/1436009, 6464376634/1436009, 2873630/1436009], [2890582648/1436009, 32109780/1436009, 8/1436009], [0, 0, 0]], [[0, 0, 0], [98741130065467/1436009, -125806542446674/1436009, -774855664788/1436009], [266419755832/18668117, -103013427462/18668117, -49787793876/18668117], [-77211351/18668117, 101368030/18668117, 2/18668117]], [[0, 0, 0], [14226932428519789315738568468/1436009, 4024346149030488640019589102/1436009, 3012222600500217741664819442/1436009], [80528618663467910424882136/18668117, 16070320929818981731756644/18668117, -27752644293432241144088756/18668117], [-10591855874565734571000/18668117, -3080528775937719800760/18668117, -2809140837330452680440/18668117]]], 0, 1769472, [], [] >,
< [ 1, -2, -1, 1 ], [[-576, -1024, 1088]], [ -2258, 32, -4 ], [ 3, -10, -32 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-72142/349, 55944/349, 570/349], [8756/349, -6644/349, 16/349], [0, 0, 0]], [[0, 0, 0], [-13656383511/349, -8820582158/349, -91023494/349], [29319652/349, -16802414/349, 9251218/349], [-3, -2, 0]], [[0, 0, 0], [126505180148362401427693/15723497, 34771664344281628001230/15723497, -62518650564971267656342/15723497], [-2705674022250028/349, -4019266941597314/349, 3155967305334930/349], [9789317929998361/15723497, 2596005053511510/15723497, -4784610188328814/15723497]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6244944/349, -5888354/349, -666/349], [-6028/349, -5668/349, -4/349], [0, 0, 0]], [[0, 0, 0], [-23739240113755601998/204405461, -350161457871752681/204405461, 2828104916908180007/204405461], [-487662057802/4537, -14945830466/4537, 62388627572/4537], [-1995964710/204405461, 353909627/204405461, -5/204405461]], [[0, 0, 0], [366835352241628353903667837638/204405461, 380752688388093901738285661930/204405461, -191588995755807948434179930180/204405461], [7644454829721802357932/4537, 7682378469384115566236/4537, -3891662039745552075504/4537], [25122859931728065738/204405461, 39750199323058125286/204405461, -17930236370603719316/204405461]]], 0, 24772608, [], [] >,
< [ 1, -2, -1, 1 ], [[-576, -576, 1088]], [ -1018, 108, -24 ], [ 9, -84, -110 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-366175846396/1436009, -5459974160/1436009, -14359284/1436009], [-1817321124/1436009, -27025380/1436009, 4/1436009], [0, 0, 0]], [[0, 0, 0], [-203289804663574189718666/1436009, -421339896375732624086/1436009, 68045030549586901032420/1436009], [-1008895565845416352384/1436009, -2090903126422395532/1436009, 337692457636086363224/1436009], [-2, 4, 0]], [[0, 0, 0], [-13891006859971601745799943918122683/1436009, -3510546343739657823180917228244873/1436009, 6269541560042918606107126366083576/1436009], [-68938939570175295963016581340072/1436009, -17422338192151769429341633404262/1436009, 31114757537447177720136078597206/1436009], [-27652207393964023/1436009, -4282522605806133/1436009, 30020054894790480/1436009]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-640153358896/1436009, 43431995906/1436009, 2867988/1436009], [-3176911240/1436009, 215543404/1436009, -20/1436009], [0, 0, 0]], [[0, 0, 0], [-54127364318421/1436009, -86339393366496/1436009, -61896195623/1436009], [5762342554/18668117, -111536386366/18668117, -6106181734/18668117], [61530085/18668117, 96047694/18668117, 3/18668117]], [[0, 0, 0], [-440728700599096700305393231/1436009, -121268642850442143107868068/1436009, 497285609927297213710558688/1436009], [-129709597638501642638256/18668117, -390569158737238272793106/18668117, 558153407841407960438056/18668117], [498112513653968116491/18668117, 130519819349489539620/18668117, -554711313405264775648/18668117]]], 0, 24772608, [], [] >,
< [ 1, -2, -1, 1 ], [[-1024, -576, 1088]], [ -1258, 24, -20 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 8, -2], [-160, -8, 8], [0, 0, 0]], [[0, 0, 0], [12567163629020/2901233, 17896603128500/2901233, 27265769/2901233], [-389222624, -554276018, 3345], [8924195/2901233, 12708706/2901233, 4/2901233]], [[0, 0, 0], [14990394475124473305375/2901233, 8221092339433327276725/2901233, -15403825775701626465600/2901233], [-464269641371095101, -254618589977706807, 477073173120351356], [10644965448815025/2901233, 5837956164378450/2901233, -10938543036068475/2901233]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-516, -6, -16], [-346, 0, -8], [0, 0, 0]], [[0, 0, 0], [311032402107564646/37716029, -40173974565395861/37716029, -3727135605202307/37716029], [67164443082/13, -20347048953/13, -1067434435/13], [-31748191/37716029, -73153611/37716029, 3/37716029]], [[0, 0, 0], [-33219658017325545611367896/37716029, 10248978453227780423231101/37716029, 8997341576144939480953459/37716029], [-6712203340687864116/13, 2613951808434975721/13, 1148123124265679507/13], [6352363706770285/37716029, 1737987243035813/37716029, -6136898138147077/37716029]]], 0, 24772608, [], [] >,
< [ 1, -2, -1, 1 ], [[-32, -32, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-36, -6, -8], [-2, 0, 4], [0, 0, 0]], [[0, 0, 0], [-131/2, -29, 70], [-20, -33, -49], [-5/2, -1, -2]], [[0, 0, 0], [-359136, 147975/2, -10923], [-246973, -85510, 298782], [-16096, -20623/2, 18611]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, 6, -4], [-120, -10, -10], [0, 0, 0]], [[0, 0, 0], [-32031/2, 249499/2, -18962], [-34461, 461515, 10647], [-3/2, -1/2, -2]], [[0, 0, 0], [11931823/2, 5132128, -5389539], [31715686, 17230937, -23308161], [-925/2, 0, 185]]], 1, 2304, [], [] >,
< [ 1, -2, -1, 1 ], [[-32, -32, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [64, 0, -2], [-12, 6, -8], [0, 0, 0]], [[0, 0, 0], [11444591/2, 1590932, -1427859], [-905661, -270275, -146162], [3/2, 0, -2]], [[0, 0, 0], [-31032677775/2, -646511019, 8803043277/2], [2997346484, -957969199, -43825540], [-3465/2, -3696, 7029/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [72, 10, 8], [46, 6, 2], [0, 0, 0]], [[0, 0, 0], [-166545, -17472111, 410915/2], [-621519, -10006138, 536690], [2, 2, 3/2]], [[0, 0, 0], [9937382807, 133284661813/2, -88167684793/2], [7211828257, 39005275819, -26072057195], [-14625, 6045/2, 8385/2]]], 1, 2304, [], [] >,
< [ 1, -2, -1, 1 ], [[-32, -32, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48, 10, -4], [-34, -8, -6], [0, 0, 0]], [[0, 0, 0], [-5510237, 11609255/2, -1824887/2], [-4180361, 3038302, 568151], [-1, -5/2, 5/2]], [[0, 0, 0], [-9269775735/2, -272159580, 1344091155/2], [-3582556891, -1169899430, 320273926], [-3243/2, -1932, 759/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, -4, 2], [38, 2, 2], [0, 0, 0]], [[0, 0, 0], [880000, 603840, -145289/2], [-1029688, -858253, -42025], [0, 0, 1/2]], [[0, 0, 0], [232640, 86400, -126400], [-286454, -122766, 167006], [0, 0, 0]]], 1, 2304, [], [] >,
< [ 1, -2, -1, 1 ], [[-32, -32, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, -4, 2], [2, 4, -2], [0, 0, 0]], [[0, 0, 0], [-59/2, 5/2, -15/2], [15, -6, -2], [-5/2, 3/2, -3/2]], [[0, 0, 0], [-7/2, 6, -7/2], [2, -3, 1], [-1/2, 1, -1/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [50, -4, 10], [56, -8, 10], [0, 0, 0]], [[0, 0, 0], [6586603, 1975678, -2692205/2], [7240457, 1966271, -1570796], [0, 2, 3/2]], [[0, 0, 0], [-14705197, 36980351, -16201201], [-16909202, 42788600, -18742420], [1, -3, 1]]], 1, 2304, [], [] >,
< [ 1, -2, -1, 1 ], [[-32, -32, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, 2, 6], [32, 2, 0], [0, 0, 0]], [[0, 0, 0], [1504531/2, 1214315, -313588], [751096, 856312, -349833], [1/2, -2, 0]], [[0, 0, 0], [-186379380, -10402906, 74529496], [-158127730, -15235368, 63997246], [84, -58, -12]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-54, -10, -2], [-46, 4, -4], [0, 0, 0]], [[0, 0, 0], [751639, -1108989, 249805/2], [750065, -1355107, 350169], [2, 1, -5/2]], [[0, 0, 0], [56777841, -10777487/2, -2761809], [48723087, -18221846, 2845755], [325, 325/2, -130]]], 1, 2304, [], [] >,
< [ 1, -2, -1, 1 ], [[-32, -32, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 4, 2], [-64, -10, 4], [0, 0, 0]], [[0, 0, 0], [-13682271/2, 4379779, -1672202], [9717330, -4344971, 1089784], [-5/2, -1, 1]], [[0, 0, 0], [-1152199051/2, 2534056289/2, -397040304], [692529060, -1430947727, 421357491], [-103/2, -33/2, 56]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-62, -6, 2], [-20, 6, 8], [0, 0, 0]], [[0, 0, 0], [35707/2, 91267, -396791/2], [-29493, 75375, 3257], [1/2, -2, 5/2]], [[0, 0, 0], [-24703426, -6740545, 11070570], [-6104456, -1582904, 2828920], [-140, -25, 60]]], 1, 2304, [], [] >,
< [ 1, -2, -1, 1 ], [[-32, -32, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 0, 0], [94, 0, 8], [0, 0, 0]], [[0, 0, 0], [7080, 15704, 4317/2], [-37368, -124558, -31139], [0, 1, 1/2]], [[0, 0, 0], [-1109755/2, 331842, 15140], [3923593, -2615722, -2], [-47/2, 19, -1]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, 4, 6], [86, 0, 10], [0, 0, 0]], [[0, 0, 0], [-3109993, -51021/2, 270300], [-9814352, 629429, 1095668], [0, 5/2, 2]], [[0, 0, 0], [10272930, -28281030, 12521520], [34326920, -94658376, 41938288], [0, 0, 0]]], 1, 2304, [], [] >,
< [ 1, -2, -1, 1 ], [[-32, -32, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, 4, 0], [-16, 6, 14], [0, 0, 0]], [[0, 0, 0], [1397, 84561/2, -27315], [-1850, -5254, 312], [0, -1/2, -1]], [[0, 0, 0], [2621, 17234907, -9480091], [-1304058, -1213224, 1154106], [-231, 137, 27]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -4, -10], [12, -26, -30], [0, 0, 0]], [[0, 0, 0], [10873/2, -41357/2, 9484], [-570, 4986, -4476], [-5/2, -3/2, 1]], [[0, 0, 0], [-2556962, 10240197/2, -2029633], [768396, -1418502, 694956], [-1105, -247/2, 455]]], 1, 2304, [], [] >,
< [ 1, -2, -1, 1 ], [[7, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 3, 1/2], [-7/2, -1/2, -2], [-15, -1, -2], [0, 0, 0]], [[16560, 15720, 1200], [-31085, -20997, 845], [-134154, -120899/2, 31298], [-5/2, 3/2, 5/2]], [[85200, -66000, 14832], [-4351, -280964, 151234], [-228431/2, -1627213/2, 947611/2], [17/2, -34, 17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -3, -3], [-1, 4, 4], [7, 4, -5], [0, 0, 0]], [[15/2, -29/2, -31/2], [-25/2, -3, 10], [-73, 120, -67], [-2, -1, -1]], [[-192, 315/2, 212], [-959/2, -57/2, 225/2], [1239/2, -5778, 6549/2], [-99, -99/2, 165/2]]], 1, 4, [], [] >,
< [ 1, -2, -1, 1 ], [[7, 0, 7]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-25, -26, 3], [-12, -4, -13], [14, 1, 4], [0, 0, 0]], [[1433499, 1977053/2, -491834], [1546083/2, -96099/2, 562617/2], [-1546375/2, 58398, -50505/2], [0, -3/2, -1/2]], [[-5909645905, -487702329/2, 2467129790], [-4122058203/2, -4050031283/2, 4529279817/2], [1963616711, 1626473017, -1744610437], [3465, -1778, -1449]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-509/2, -309, -1/2], [397, 33/2, -21/2], [-26, -5, 4], [0, 0, 0]], [[-1077303486, -2534768364, -380520379], [2486299368, -589577353, 584932337], [-310634333/2, -14033429/2, -5674507], [0, 1/2, 2]], [[300338281907, 185087989907/2, -350816824397/2], [-352454165819, 39434590025, 203807162805/2], [22799760255, 1331747295/2, -16492235117/2], [-119, 65, 69/2]]], 1, 56, [], [] >,
< [ 1, -2, -1, 1 ], [[-7, -14, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-213, 459/2, -5/2], [-283, -1, -3/2], [9, 0, -4], [0, 0, 0]], [[-54445695, 104522795, -64315509], [-91669650, 79184815, 19028529], [1527188, -16290, 16954], [1, 0, -2]], [[137548283677/2, -222300261659/2, 70858205155/2], [170720997443/2, -43536370976, 5509278215], [-4340472921/2, 457894567/2, 1292946505/2], [-577/2, -1267, 420]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-541/2, 585/2, -5/2], [-777/2, 1, -3], [-20, 3, -4], [0, 0, 0]], [[-735661156, 580033075, 100652086], [-1224719126, -152005000, 148830217], [-123784231/2, -4766327/2, -2745829/2], [3/2, 2, 0]], [[-3625206040632, 7277774917556, -2665103278035], [-3906275340645, 3659389306056, -1238274919883], [-233923929822, 295424157813, -120465982965], [1776, 8052, -2952]]], 1, 56, [], [] >,
< [ 1, -2, -1, 1 ], [[14, 7, -14]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-281/2, 110, 3/2], [145, 1/2, 5/2], [21, -4, 5], [0, 0, 0]], [[4202885761/2, -1075518295, -456947087/2], [-2533033273, -321535911/2, 861863521/2], [-727159041/2, 53284085/2, 23436655/2], [1/2, -1, -1]], [[-88649579/2, -338659833/2, 217211227/2], [248561301/2, 118155531, -101426710], [14675930, 23482806, -17079962], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-343/2, 133, 3/2], [179, -1/2, 1/2], [-16, -5, -2], [0, 0, 0]], [[-54166119, 66571939, -36049139/2], [110723079/2, -48862507/2, 2016056], [-5139804, 1028222, 93735/2], [-5/2, 1/2, 2]], [[59111052, -164905598, 73337264], [-32120374, 88786126, -39314990], [2307958, -6337719, 2794937], [0, 0, 0]]], 1, 56, [], [] >,
< [ 1, -2, -1, 1 ], [[21, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, 1/2, 0], [36, -3/2, -1], [11, -5, 0], [0, 0, 0]], [[3959/2, 3339, 4565/2], [-13309, -44471/2, -28961/2], [-12141/2, -2331/2, 500], [2, 5/2, 1]], [[8325/2, 201166, -173624], [-164107/2, -1181541, 2153035/2], [118532, -640520, 344752], [40, 60, -84]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[14, -9, -7/2], [-133/2, -65/2, -32], [-42, 1, -3], [0, 0, 0]], [[-342274, -675037/2, 514128], [2880707/2, 9399231/2, 1361129/2], [1047378, 1866623, -1088817/2], [5/2, 5/2, 1]], [[-88735811/2, 193888043, -89368907], [-6011889/2, -715403319, 949843765/2], [90671353/2, -928900843/2, 260577987], [-330, 363/2, 66]]], 1, 112, [], [] >,
< [ 1, -2, -1, 1 ], [[63, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, 21/2, 10], [0, 15/2, 3], [-24, 12, 12], [0, 0, 0]], [[545/2, 9, -267/2], [481, 113/2, -369/2], [-3611/2, -607, 2023/2], [1, 17/2, 15/2]], [[-4720, -53298, 26886], [-5208, -114660, 64770], [322020, -391548, 129147], [-456, -1140, 1938]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 3/2, -2], [-21, 3/2, 6], [81, 15, 3], [0, 0, 0]], [[-10029/2, -4376, 545/2], [28984, 29143/2, -3781/2], [-818535, 1846195/2, 1241880], [5/2, -5/2, 5/2]], [[-1847919/2, 4201/2, 417285], [4024160, 3574795/2, -2778468], [6336406, -44348378, -31689770], [-220, 1340, -744]]], 1, 2912, [], [] >,
< [ 1, -2, -1, 1 ], [[35, 7, -35]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[45/2, -23/2, -3/2], [-51/2, 0, -2], [7, -5, 1], [0, 0, 0]], [[-10, 1, 4], [-20, 20, 34], [-15, 27/2, 21], [-9/2, 3/2, 9/2]], [[141, -423/2, 141/2], [-57, 303, -483/2], [44, 19/2, -149/2], [14, 27, -57/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[65/2, -38, 2], [85/2, -2, 3/2], [-47, -2, 2], [0, 0, 0]], [[21767471, -51155761/2, 2411057/2], [28115816, -1188661, 2663687/2], [-62201579/2, -1483475, 1994263/2], [-2, 5/2, 1/2]], [[328608418800, 1479201487099/2, -593904139754], [2396464376663/2, 1591929780285/2, -1377284225591/2], [-1399429291472, -794980292332, 749101409724], [-28048, -50856, 53500]]], 1, 672, [], [] >,
< [ 1, -2, -1, 1 ], [[28, 0, 7]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-191/2, 74, 1], [199/2, 0, 1/2], [-496, -4, 3], [0, 0, 0]], [[-23997222513/2, 9241711215, 353490555/2], [12489912515, 143786579/2, 152333447/2], [-124530782011/2, -1705958557/2, 624934265/2], [-5/2, 1, 1]], [[-3956597542359, 2714465496390351/2, -1881542399651277/2], [-179823982494293, -1193101402160940, 505818768371213/2], [957845202841803, 5817937493135616, -1256562094529852], [89557, 95472, -172601]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[353/2, -135, -5/2], [-185, -1/2, 1/2], [380, -4, 1], [0, 0, 0]], [[-1003999469925/2, 767365757885/2, 7162123168], [526432852071, 2810250471/2, -1751284962], [-2162632725777/2, 22809319219/2, -4338463645/2], [-1/2, 2, -2]], [[91252714266, 45985042761/2, -81519269349/2], [-146040070911, -36083727351, 130516849953/2], [298521523658, 73772133558, -133401594648], [0, 0, 0]]], 1, 672, [], [] >,
< [ 1, -2, -1, 1 ], [[-7, -35, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[37/2, -65/2, 2], [47, 5/2, 1], [77, 1, 4], [0, 0, 0]], [[-853581293/2, 1523579187/2, -204181641/2], [-2384043233/2, 10299120, 52766096], [-3909986507/2, 191784247/2, 62923009/2], [-3/2, -2, 2]], [[-35947569365171, 108359131960163/2, 13112667377984], [-170374863728419/2, -61656480666703/2, -18052371289911/2], [-138401721945049, -93833672600483/2, -19135941448710], [-328125/2, -184545/2, 348759/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[165, 194, -7/2], [-409/2, -1/2, 1], [242, 3, -3], [0, 0, 0]], [[-109702898679/2, -69244736649, -3720514017/2], [69627122372, 1645044513/2, 2142338781/2], [-164793288979/2, -3605055063/2, -629764931], [2, 3/2, 0]], [[-1030536907272279, 1604789215769322, -377437319533197], [-1035297936076480, 3899592119313250, -1923907159876139], [2369032585032441/2, -9007588968613675/2, 2227073342162273], [11480, 13895/2, -12350]]], 1, 672, [], [] >,
< [ 1, -2, -1, 1 ], [[112, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 20, 30], [-22, -6, 6], [0, 0, 0]], [[0, 0, 0], [4, 0, 0], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [14, 26, 20], [-144, -36, 60], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -18, -24], [-10, -6, 10], [0, 0, 0]], [[0, 0, 0], [-2, 0, 0], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [-3444, 420, 2688], [-1190, -374, 394], [0, 0, 0]]], 0, 16128, [], [] >,
< [ 1, -2, -1, 1 ], [[-112, 0, -112]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-914, 30, -40], [24, -10, 10], [0, 0, 0]], [[0, 0, 0], [78, 0, 0], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [398596460, -90142350, -165881500], [-11146764, 6069090, 3683268], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-870, 4, -22], [34, -2, 8], [0, 0, 0]], [[0, 0, 0], [-78, 0, 0], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [-424432986, 166128174, 142178376], [18702182, -10461990, -6208612], [0, 0, 0]]], 0, 225792, [], [] >,
< [ 1, -2, -1, 1 ], [[112, 224, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-748, -8, -6], [16, 0, -4], [0, 0, 0]], [[0, 0, 0], [36, 0, 0], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [-633408, 3104936, 636964], [-6510, -29554, 10066], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-544, 14, -18], [-80, 10, -10], [0, 0, 0]], [[0, 0, 0], [62, 0, 0], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [-163364, -435990, 160148], [-18306, -75114, 25704], [0, 0, 0]]], 0, 225792, [], [] >,
< [ 1, -2, -1, 1 ], [[-224, -112, 224]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-876, 0, 2], [-6, -30, -24], [0, 0, 0]], [[0, 0, 0], [34, 0, 0], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [-18257382, 30428970, -12171588], [-208320, 83460, -126200], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [434, 6, -4], [2, 10, 22], [0, 0, 0]], [[0, 0, 0], [-70, 0, 0], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [14035940, -2704486, -1745934], [332772, -143220, 204864], [0, 0, 0]]], 0, 225792, [], [] >,
< [ 1, -2, -1, 1 ], [[336, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [70, 40, 34], [2, 6, -8], [0, 0, 0]], [[0, 0, 0], [-14, 0, 2], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [-54594, -11502, 13914], [-1320, -2136, 2076], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [152, -82, -86], [78, -8, 8], [0, 0, 0]], [[0, 0, 0], [-8, 0, 2], [5, 1, 1], [1, 0, 0]], [[0, 0, 0], [29184, 1066842, -77730], [259224, 499932, -527706], [0, 0, 0]]], 0, 451584, [], [] >,
< [ 1, -2, -1, 1 ], [[1008, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, 42, 12], [66, -66, -102], [0, 0, 0]], [[0, 0, 0], [-20, 0, 0], [9, 3, 1], [1, 0, 0]], [[0, 0, 0], [1638, 486, -828], [600, -300, 120], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 42, 30], [24, -78, -66], [0, 0, 0]], [[0, 0, 0], [-8, 0, 0], [9, 3, 1], [1, 0, 0]], [[0, 0, 0], [0, 0, 0], [18, -30, 12], [0, 0, 0]]], 0, 11741184, [], [] >,
< [ 1, -2, -1, 1 ], [[-560, -112, 560]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [44, 10, 0], [-992, -4, 8], [0, 0, 0]], [[0, 0, 0], [799782450, -1423610, 8066150], [-18227070118, 4491657285, -858599986], [-5, -15, -15]], [[0, 0, 0], [6129415542628, 43490239772784, -27576128886614], [25236548851764, -1308640317668953, 742840729101673], [-257642, -460936, 487431]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1066, 2, 4], [380, 10, 8], [0, 0, 0]], [[0, 0, 0], [-20, 0, 0], [-51, 1, 1], [1, 0, 0]], [[0, 0, 0], [-3302660900, -6287923220, 6355692106], [-1232608916, -2198520044, 2323864984], [0, 0, 0]]], 0, 2709504, [], [] >,
< [ 1, -2, -1, 1 ], [[-448, 0, -112]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [730, 8, 0], [-114, 0, 4], [0, 0, 0]], [[0, 0, 0], [34, 0, 0], [-51, 1, 1], [1, 0, 0]], [[0, 0, 0], [137145470, 132194370, -268844730], [-20242736, -21298096, 38848112], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 0, 10], [116, 10, 4], [0, 0, 0]], [[0, 0, 0], [-70, 0, 0], [-51, 1, 1], [1, 0, 0]], [[0, 0, 0], [0, 0, 0], [8, -12, 6], [0, 0, 0]]], 0, 2709504, [], [] >,
< [ 1, -2, -1, 1 ], [[112, 560, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [40, 2, -2], [-374, 2, 0], [0, 0, 0]], [[0, 0, 0], [90, 0, 0], [-51, 1, 1], [1, 0, 0]], [[0, 0, 0], [-369000, -204180, 390840], [3321890, 2174328, -3865472], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-508, 6, -10], [1426, 6, 0], [0, 0, 0]], [[0, 0, 0], [64, 0, 0], [-51, 1, 1], [1, 0, 0]], [[0, 0, 0], [10286126584, 5860799082, -10956550520], [-29079756480, -15912938880, 30092227200], [0, 0, 0]]], 0, 2709504, [], [] >,
< [ 1, -2, -1, 1 ], [[-14, 7, 7]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, 9, -5/2], [-19, 3/2, -3/2], [8, 1, 2], [0, 0, 0]], [[-47597/2, 108175, 21635/2], [-73562, 246649/2, -263957/2], [20511, -66419/2, 78462], [-3/2, 5/2, -5/2]], [[39012232, 11717516, -17048380], [-67780801, -15162402, 27295796], [63730407/2, 15410667/2, -25110465/2], [-2673/2, -297, 540]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -1/2, 2], [5, -3/2, -2], [30, 23, 4], [0, 0, 0]], [[-283, 1289/2, -283/2], [-497, 1627, -1871/2], [-2410, 11733/2, 2315/2], [0, 1, -3/2]], [[2341, 423, -976], [-3828, -1351, 1958], [-40134, -11189, 17991], [-15, -4, 7]]], 1, 28, [], [] >,
< [ 1, -2, -1, 1 ], [[224, -112, -112]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [80, 8, -2], [-50, 20, 54], [0, 0, 0]], [[0, 0, 0], [4, 0, 0], [-5, 3, 1], [1, 0, 0]], [[0, 0, 0], [-85050, -295974, 200718], [67628, -7524, 2200], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [66, -2, 0], [0, -84, -70], [0, 0, 0]], [[0, 0, 0], [-2, 0, 0], [-5, 3, 1], [1, 0, 0]], [[0, 0, 0], [-709366, 1264522, -493472], [189720, 5760, 180], [0, 0, 0]]], 0, 112896, [], [] >,
< [ -1, -3, 0, 1 ], [[2, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -5/2, 1/2], [-1/2, -3/2, 1/2], [1, -5/2, 1/2], [-3/2, 1, 0]], [[-63/2, 63, 42], [27/2, 52, 22], [-63/2, 63, 42], [45, -11, -20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[44, 5/2, 1/2], [-23/2, 20, -2], [-584/17, 925/34, -103/34], [-111/34, 35/34, -5/34]], [[-6978608, -2204780, -335510], [3650331/2, -5352093/2, -406361], [92654228/17, -48791656/17, -7404094/17], [17607547/34, -942533/34, -70851/17]]], 4, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[-4, -2, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, 0, 9/2], [3, -5/2, 5/2], [1, -5, 1/2], [2, 5/2, 2]], [[19181, 7341/2, -9705/2], [14150, 1800, -4100], [9119, -141/2, -6695/2], [5031, 3741/2, -1505/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -2, -3/2], [-183/2, -11, 1/2], [1/2, -2, -3/2], [0, 0, 0]], [[46, -65/2, 1], [3256/17, -12309/17, 5190/17], [-598/17, 845/34, -13/17], [46/17, -65/34, 1/17]], [[-541375, -569375/2, -14125], [-71639376/17, -27281364/17, -7886528/17], [7037875/17, 7401875/34, 183625/17], [-541375/17, -569375/34, -14125/17]]], 3, 3, [], [] >,
< [ -1, -3, 0, 1 ], [[-4, 1, 2]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[39/2, 22, 1/2], [1031/17, -147/17, 3/34], [167/6, 1/3, 5/6], [-161/102, -5/102, -5/102]], [[-33971, -224253/2, -116879/2], [-579514/17, -1356105/17, -1329369/34], [-355466/17, -953181/17, -962307/34], [20670/17, 55968/17, 28302/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 13/2, -5/2], [-11191/34, 7133/34, -246/17], [-65/34, 45/34, -2/17], [0, 0, 0]], [[4241/2, 8621, -13685/2], [12729735/578, 99402605/289, -62453534/289], [315005/1734, 3464729/1734, -2435317/1734], [-533/867, 97/867, -1/1734]], [[-57683133/2, -63087085, -32741862], [-320159363687/289, -596680836951/578, -99835755482/289], [-13282427113/1734, -9704300180/867, -8528920135/1734], [-10072195/1734, -8631595/1734, -768320/867]]], 4, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[8, -2, -4]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, 17, 1], [-485/34, -3943/34, 335/34], [19/34, 115/34, 3/34], [0, 0, 0]], [[71631/2, -20790, -10065], [-30081957/34, 1581107/17, 4339728/17], [989812/51, -304027/102, -300503/51], [-41/51, -7/102, 1/51]], [[179077298, 106048339, 9263757], [-57765917986/17, -12938705302/17, 13465256599/17], [1319202276/17, 406603318/17, -232652211/17], [-37012/17, 2128, 35264/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, 1, -2], [4185/34, -1043/34, 319/34], [-63/34, 7/34, -1/34], [0, 0, 0]], [[-6875, 2625, -6625], [4163667/17, -1522421/17, 1015646/17], [-63875/17, 10875/17, -9750/17], [0, 0, 0]], [[15/2, 4, 1/2], [72263/578, 17463/289, 3377/578], [-275/1734, 71/867, 53/867], [-41/1734, -10/867, -1/867]]], 3, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[-2, 1, 2]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-55/2, -34, 5], [1017/34, 802/17, 87/17], [365/102, 443/102, -73/102], [-7/102, -7/102, 5/102]], [[-19325/2, -4518, 1317/2], [171579/17, 267493/34, 21431/17], [7579/6, 1706/3, -301/3], [-1127/51, -217/102, 301/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -29/2, 3/2], [9/2, -285, 6], [1/2, 3/2, 0], [0, 0, 0]], [[-41571/2, -44109/2, 40497/2], [-1697448962/289, -331044623/289, 670618883/289], [1658897/867, 1608908/867, -3188885/1734], [301/1734, 163/1734, 1/1734]], [[-5682145/2, -3849901/2, 1559176], [-308630387993/289, -47019489492/289, 110973469249/289], [157719269/578, 51196587/289, -40387915/289], [14877/578, -3591/578, -4104/289]]], 4, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[4, -2, -4]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-35/2, -45/2, 1], [961/34, 586/17, 73/34], [30/17, 42/17, 5/34], [0, 0, 0]], [[-45925/2, -42307/2, 46651/2], [1094713/34, 319094/17, -988503/34], [211969/102, 85412/51, -110401/51], [5/51, -7/51, -5/102]], [[-275598407, 114704936, -90012191/2], [9233771878/17, -730357392/17, -677107517/34], [2843597525/102, -386142176/51, 192012964/51], [444155/102, 102724/51, -63992/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 31/2, -1/2], [8673/34, 13206/17, 780/17], [-31/34, -57/34, -2/17], [0, 0, 0]], [[244992, -19440, -8112], [-37422452/17, -48047858/17, 80831990/17], [-415152/17, -4464/17, 13344/17], [0, 0, 0]], [[-3/2, -1/2, 1/2], [78669/289, 43279/289, -31471/578], [-89/867, -77/867, 28/867], [10/867, 11/1734, -2/867]]], 3, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[4, 3, 0]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 21/2, -4], [223/34, -365/34, 40/17], [-131/102, 74/51, 37/102], [13/102, -1/6, -1/51]], [[62341/2, 4961/2, -9849], [-1073197/34, 31777/34, 211064/17], [166971/34, -21410/17, -46943/17], [-1039/2, 115, 277]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -8, 2], [-147/34, -3403/17, -27/34], [13/34, 36/17, 1/34], [0, 0, 0]], [[-118661/2, 10538, -28177], [-1804496249/578, -214125649/289, -95907988/289], [5096533/289, 5040583/578, 5328743/578], [746/289, -13/578, 1/578]], [[-46177831201, -8139118100, 10318806908], [-593170418045325/289, -122976123311385/289, 149625270586245/289], [9918465134977/867, 3138184807000/867, -1535973788159/867], [1557284800/867, 228028000/867, -449780000/867]]], 4, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[-8, -6, 0]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, 3/2, 0], [-31/17, 116/17, 143/34], [32/17, 2/17, 1/34], [0, 0, 0]], [[-31, 26, -9/2], [6463/34, 819/17, 839/34], [-3343/102, 419/102, 143/102], [197/102, -2/51, 1/51]], [[4399510, 336384, -2601765/2], [-230681309/17, 314438847/17, 581273943/34], [347396939/102, -40084088/51, -184460791/102], [-1097021/6, 262667/3, 757099/6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, -17/2, 5/2], [-1671/2, -2687/2, 0], [3/2, 5/2, 0], [0, 0, 0]], [[-14726, 4179/2, 2189], [-70909985/34, -45946/17, 6288229/17], [120395/34, -995/17, -9552/17], [0, 0, 0]], [[-15/2, -5/2, 1], [147652/289, 55039/289, -16530/289], [1247/1734, 419/1734, -163/1734], [31/867, 23/1734, -7/1734]]], 3, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[8, 3, -2]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, 1/2], [-1/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[9, 17/2, 9/2], [43/2, -13, -7], [7/2, 21/2, 9/2], [-1, 5/2, 1]], [[-2577/2, 2792, 3871/2], [-8320, -1344, 2005/2], [540, 2421, 1485], [657, 396, 144]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, 1/2], [-153/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[885/2, 117/2, -3/2], [45179/17, -65235/34, -767/17], [37/2, -17/2, -1], [-73/34, 22/17, 1/34]], [[-11008019, -704714441, -865650841/2], [62234386839/34, 44489690705/34, 14525709525/34], [9673499, 843500, -3390629/2], [-42877033/34, -14225025/34, 107727/34]]], 3, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[2, -3, -2]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-1/2, -21, -5], [53/2, 1/2, -2], [-7/2, -21/2, -5], [3/2, -2, -3/2]], [[2452, 2808, -2219/2], [13683/2, 4387/2, -6971/2], [112, 728, 693/2], [1099/2, 539/2, -315/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, 1/2], [-17/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[36, 199/2, 2], [50994/17, -25289/34, 3535/34], [-28, 8, 2], [58/17, -14/17, 2/17]], [[-74338, -526607/2, -354785/2], [-352121059/34, -83747279/17, 45151008/17], [91478, 28355, -64607/2], [-400097/34, -191807/34, 101283/34]]], 3, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[-4, 3, 4]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-16, 15, -5/2], [-81/2, -1/2, 5/2], [1, 7/2, 3], [-1, -1/2, 3/2]], [[-904611/2, -12741, 140151], [-1750665/2, -241855/2, 260587], [9310, 23156, 13790], [-14028, 56, 9254]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [77, 0, 0], [1, 0, 0], [0, 0, 0]], [[-44, 19/2, -2], [332/17, -21235/34, 5841/34], [113/34, -277/34, 38/17], [9/34, -9/17, 5/34]], [[-585647, -708317/2, 70357], [33210235/17, -93727935/34, -128052675/34], [1102851/17, -241083/34, -842862/17], [82605/17, 1743/34, -108981/34]]], 3, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[6, 4, -1]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-49, -29/2, 7/2], [-108, -81/2, 3/2], [5/2, 1, 0], [0, 0, 0]], [[-599451/2, -404973/2, 396907/2], [-24214382/37, -16890173/37, 32898865/74], [2221361/148, 769537/74, -1506785/148], [53/148, 1/74, -5/148]], [[553106207, -262032461/2, -168484570], [86567878293/74, -25625218277/74, -27789243679/74], [-1986952229/74, 301981034/37, 1304016047/148], [-100817/74, -1114, -9469/148]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21, -99/2, 3/2], [-37750/37, 226199/74, 2061/74], [-67/74, 106/37, 1/37], [0, 0, 0]], [[45169456, -4561144, -7262967/2], [-1548996059107/629, 2955602559/17, 148858819979/1258], [-2825804581/1258, 198203761/1258, 114181183/1258], [430/629, -27/629, -1/629]], [[-89894929106567/2, -25996228187897, 4943368771774], [3187224008237864703/1258, 1103918661408828659/629, -112002634662862733/1258], [5855740057810231/2516, 4158744737013193/2516, -142585033835129/2516], [-1845662249/2516, -1476296997/2516, -58510241/2516]]], 3, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[5, 1, 0]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-127/2, 11/2, -2], [9515/74, -143/74, 195/37], [84/37, -4/37, 5/74], [0, 0, 0]], [[-27097948, 12545687/2, 2282044], [2010026111/37, -388234761/37, -181504971/37], [142763609/148, -14731357/74, -3278665/37], [-1/148, 1/37, -1/37]], [[-19731559417, 2893580985/2, 8393535316], [2864954556571/74, -299241872097/74, -641427627686/37], [102699684175/148, -2191584314/37, -44678822409/148], [-957/148, 870/37, 2175/148]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[45, 123/2, -3/2], [-102247/37, -305215/74, -3819/74], [-119/74, -167/74, -1/37], [0, 0, 0]], [[-366204746, 17769400, -187598], [25958578485407/1258, -782424641163/629, 1665200987529/1258], [1935659061/148, -24783255/148, 106715/148], [43/2516, -35/2516, 5/2516]], [[-52720746652225, -253020346907695/2, -63017813077935], [4306622167105475305/1258, 10943595825370065427/1258, 2773063455501754257/629], [291478321942085/148, 179385207981815/37, 358720559733185/148], [1823185/2516, -15785/17, -1502515/2516]]], 3, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[-7, 0, 4]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-85/2, -37/2, 5/2], [18367/74, 9773/74, 1035/74], [81/37, 91/74, 2/37], [0, 0, 0]], [[59727313/2, -683473/2, -8776069/2], [-11855023143/74, 854881992/37, 153784093/74], [-109971837/74, -4074941/148, 25024029/148], [-1/74, -5/148, -3/148]], [[-103088217929, -7388401171/2, 62937286639/2], [21213108549673/37, -993382292415/74, -11670053346601/74], [376284951371/74, 5674675296/37, -57089574979/37], [471/37, -196/37, -156/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-25, -155/2, 5], [-61850/37, -423949/74, -2993/37], [55/37, 345/74, 5/74], [0, 0, 0]], [[6823427, -579481/2, -372765/2], [65305508261/74, 4226919549/74, -10944423595/74], [-50599591/148, -781841/148, -350024/37], [5/148, 3/148, 0]], [[-9656824203, -428208297459, 216095079804], [6005510220953332/629, -17023810872032946/629, 6600190793489969/629], [38718208705/37, 835691960833/37, -837787660087/74], [363645/629, -158691/629, -270051/1258]]], 3, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[-8, -6, -1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, 1/2], [19/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[-81/2, 49, -1/2], [54, 3, 1/2], [-3, -10, -9/2], [-1/2, -5/2, -1/2]], [[54718, 3924, -16568], [-50619, -3524, 17453], [-195/2, -1209/2, -416], [-611/2, -91, -13/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [195, 0, 0], [1, 0, 0], [0, 0, 0]], [[-1145/2, 901/2, 2], [-129687/34, 11231/17, -8219/34], [1141/34, -89/34, 139/34], [41/17, -11/34, 2/17]], [[900591678, -402896277, -244897737], [104212301081/17, 23570488008/17, 271122461/17], [-1869022815/34, -345635100/17, -167069035/34], [-65569210/17, -16453540/17, -177855/34]]], 3, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[-11, -3, 2]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [11, 0, 0], [1, 0, 0], [0, 0, 0]], [[-343/2, -122, 5/2], [147, 31, -39/2], [-1/2, 1, 3], [3/2, -3/2, 1]], [[44666374, 16770646, -8634392], [-43460863, -7865070, 11988624], [106920, -422091/2, -626373/2], [-1287009/2, -4779, 111699]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, 1/2], [-243/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[-283, -266, 5], [-214126/17, -110257/17, -5142/17], [309/34, 453/34, 100/17], [121/34, 32/17, 3/34]], [[-67467955/2, -21118478, 16141276], [-45932377595/34, 990136403/34, 3570234973/17], [11921655/17, 2154688/17, 1145464/17], [6502447/17, -14803/17, -1068436/17]]], 3, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[-5, -3, -1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-89/2, -50, -1], [-185/2, -1/2, -54], [5/2, 11, 17/2], [1, 0, 5/2]], [[-2796211, -1315864, 822415], [-7833496, 961345, 366685], [1255/2, 267817/2, 358679/2], [85340, -92117/2, 46686]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-52, 0, 0], [1, 0, 0], [0, 0, 0]], [[-1339/2, 1057/2, -1], [-87605/34, 548/17, -5599/34], [180/17, -57/34, 15/17], [-13/17, 1/34, -5/34]], [[41748684, -142641337/2, 38269627/2], [6188107679/34, -1091358470/17, 854927234/17], [-12320404/17, 7516640/17, -4430242/17], [880038/17, -442406/17, 442534/17]]], 3, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[-13, -2, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [13, 0, 0], [1, 0, 0], [0, 0, 0]], [[-5/2, -4, 1/2], [4, -6, 3/2], [2, 13/2, 2], [1, 5/2, -1/2]], [[162, 18, -54], [-975, -127, 344], [5/2, -1, -4], [-21/2, 1/2, 2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [297, 0, 0], [1, 0, 0], [0, 0, 0]], [[1119/2, 18, -5/2], [-371931/17, 298224/17, 9845/34], [-115/17, 179/17, -5/34], [-73/34, 61/34, 1/34]], [[-1248978028, 424687453/2, 833882311/2], [2117443532277/34, -152608662714/17, -156421197330/17], [389351305/17, -59775296/17, -14300699/17], [104809138/17, -15014482/17, -14870765/17]]], 3, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[-7, 3, 4]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, 1/2], [-15/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[87, -193/2, 17/2], [409/2, 36, 33], [3, 13, 17/2], [5/2, 3/2, 3/2]], [[-3746882, 1443151, 398251/2], [-13009021/2, 2902305/2, 3272275/2], [49858, 100230, 32639/2], [-130299/2, 68105/2, 31611/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, 0, 0], [1, 0, 0], [0, 0, 0]], [[605/2, 3457/2, 5/2], [80788/17, -72351/34, 2335/17], [-53/34, 53/17, -10/17], [-41/34, 31/34, -1/17]], [[419857389/2, 1925231999/2, 389514890], [49133204639/34, 125861435/17, -2678831393/34], [-7396711/17, 14785806/17, 4429019/17], [-5916302/17, 2958536/17, 1477357/17]]], 3, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[-13, -8, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, 1/2], [25/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[-43/2, -7, 3/2], [-11, 38, 93/2], [-9/2, -17, -21/2], [-1, -2, -5/2]], [[81269, 22987/2, -26607], [75864, -9447/2, -76459/2], [888, 5244, 3264], [2784, 1092, -204]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, 1/2], [-259/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[2061, -1932, -5/2], [-475481/34, 266287/34, -23727/34], [-821/34, 243/17, -8/17], [65/34, -45/34, 2/17]], [[11161653801/2, 8004831282, 3209496618], [-617930857223/34, 267322679221/34, 184947401207/17], [-635066374/17, -114482657/17, 137926928/17], [53553704/17, 15257589/17, -7679515/17]]], 3, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[-8, -3, 3]], [ -73, 0, 0 ], [ -287, -42, 70 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-56, -17, -1], [-11019/73, -7673/146, -387/146], [3009/1022, 1751/1022, -403/1022], [3/1022, 2/511, -1/511]], [[-183435/2, -2048, 17770], [-35835553/146, -862369/73, 3611810/73], [4810871/1022, 94384/73, -785058/511], [4565/1022, 352/73, -1782/511]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-113/2, 21/2, -1/2], [-367653/146, 51827/146, -203/73], [165/73, -24/73, 1/146], [0, 0, 0]], [[-35204640, 51031597/2, -7675385], [-3929278215557/2482, 2542163285849/2482, -727542133109/2482], [24653254371/17374, -16184168813/17374, 2343362398/8687], [-6/8687, -95/17374, -1/17374]], [[-282986178977/2, -39489406694, 64887208084], [-15334086464810283/2482, -2055673305351257/1241, 3493181638891408/1241], [96570143183809/17374, 13010103056938/8687, -22026636018788/8687], [1231/238, 622/119, -152/119]]], 4, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[-7, -3, 2]], [ -73, 0, 0 ], [ -35, -14, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-70, -11, 5/2], [-6269/146, -5057/73, 248/73], [32989/511, -489/1022, 473/1022], [285/1022, -3/1022, 1/511]], [[-51374981/2, -9698485, 27611773], [2147043227/146, 8207679083/146, -306035662/73], [2162465925/73, 21058392009/1022, -2296570344/73], [9370391/73, 45907835/511, -9936863/73]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[186, 141, -3/2], [-384097/146, -294027/146, -3321/146], [-451/146, -355/146, -2/73], [0, 0, 0]], [[-327724372, -72890015/2, -12664665/2], [5888911335237/1241, 1977873347181/2482, -49922179908/1241], [46762798098/8687, 784128741/1241, 1754656376/8687], [-1378/8687, -7/1241, -3/17374]], [[5588691432418411, 4248252353051131, -6100843914108498], [-5357781184375279874/73, -3403527712146068340/73, 5730460696596495518/73], [-47417115849491802/511, -36517399205604873/511, 52934869719950973/511], [1478277468/511, 1251814132/511, -1552795542/511]]], 4, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[-5, 2, 1]], [ -73, 0, 0 ], [ -63, -28, -42 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-245/2, 68, -1], [-3273/146, 1405/146, -125/146], [-3107/1022, 2171/1022, 106/511], [-3/1022, 2/511, 1/1022]], [[-88796, -29575/2, 37086], [-2929571/146, -1317118/73, -124427/73], [-1370547/1022, 2995803/1022, 1385067/511], [988/511, 7852/511, 4836/511]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-211/2, 183/2, 0], [124736/73, -109686/73, -479/146], [-307/146, 253/146, 1/146], [0, 0, 0]], [[4300311655, -455914591/2, 456581783/2], [-173870293928273/2482, 7393199755843/2482, -10438308973273/2482], [733033715152/8687, -52032528696/8687, 24114101496/8687], [109/17374, 10/8687, 1/8687]], [[2458718972070043/2, 590101480638695/2, -1185814787007767/2], [-49543088849161981153/2482, -5894863737953401949/1241, 23996595313124761665/2482], [210366126281107792/8687, 50993041219593888/8687, -100221202468735280/8687], [13806255/8687, 4433403/17374, -6531120/8687]]], 4, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[-24, 9, 4]], [ -73, 0, 0 ], [ -35, -14, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4710, 125, -3], [-523440/73, 9631/146, -551/146], [-245695/1022, -1306/511, -459/1022], [153/1022, 3/1022, -1/511]], [[225533203457/2, 65337829305, -78724904108], [24766063370825/146, 14056079586807/146, -8627895990392/73], [2868551264986/511, 3182037702051/1022, -1997007186084/511], [-1760023926/511, -946717776/511, 1205336016/511]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[312, -83/2, 1], [-727936/73, 136541/146, 1141/146], [1300/73, -124/73, -3/146], [0, 0, 0]], [[201702160185/2, -4112111345/2, -16978195363/2], [-3986878942110716/1241, -35358533066785/1241, 672483752619819/2482], [49844948946417/8687, 378070851978/8687, -4223921473294/8687], [-2441/17374, 71/17374, 1/8687]], [[-1837115999317189694181/2, -871616452058950887955/2, 572765675240944913973], [71123740107906960362821433/2482, 16074193832793194368495942/1241, -22077618520726256397881309/1241], [-444917064056169476005284/8687, -201433664535560013914587/8687, 39446851481497783990866/1241], [11671824698831/8687, 12377266162591/17374, -1140685833044/1241]]], 1, 148, [], [] >,
< [ -1, -3, 0, 1 ], [[-26, -13, 10]], [ -73, 0, 0 ], [ -63, -28, -42 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-87/2, 133, 8], [11633/73, -7293/73, 53/73], [-69049/1022, 1425/1022, 1109/1022], [-163/511, -5/1022, 5/1022]], [[254277805/2, 148339574, -147222229/2], [-32281663857/146, -24151384213/146, 21326226417/146], [33752394177/511, 28339296519/1022, -22591945149/511], [155516780/511, 60997220/511, -104449340/511]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[65, -109/2, 1], [-148347/146, 65474/73, -844/73], [189/146, -151/146, 1/73], [0, 0, 0]], [[-38144735, 71483843/2, -788367], [738179214167/1241, -732915601130/1241, 9941476224/1241], [-1887883539/2482, 5880670518/8687, -226616711/17374], [-333/2482, -47/17374, -3/17374]], [[-1735381020987, 4568769210561, 3070320966433/2], [61821470968184783/2482, -200967216424989109/2482, -35277373191023076/1241], [-314204907212776/8687, 103338961271840/1241, 239545150275640/8687], [-216263795/17374, -36216425/2482, -125619257/17374]]], 1, 148, [], [] >,
< [ -1, -3, 0, 1 ], [[-34, -13, 9]], [ -73, 0, 0 ], [ -287, -42, 70 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 19, 0], [-5485/73, 7127/146, -179/73], [7102/511, -964/511, 685/1022], [30/511, -5/1022, 3/1022]], [[-4385, -144971, -217737/2], [190175911/146, 15316347/73, -37805591/73], [-225973095/1022, -44580546/511, 50116235/1022], [-472944/511, -199064/511, 95524/511]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, -12, 1], [-45185/146, -77371/146, 3627/146], [16/73, 71/146, -3/146], [0, 0, 0]], [[-1007419, 84691/2, -62959/2], [-135719958569/1241, -351972469/34, 27221553187/1241], [671799631/17374, 446414/8687, 21908963/17374], [-11183/17374, -37/8687, -2/8687]], [[-477514142067927/2, -64566827320121/2, 214552341982393/2], [-58671816760589087135/2482, -6792438156271198877/2482, 22985012276942899895/2482], [156246263864125179/17374, 19277102857093555/17374, -10107806059107923/2482], [-2584281098541/17374, -321760626839/17374, 164052779131/2482]]], 1, 148, [], [] >,
< [ -1, -3, 0, 1 ], [[-52, 7, 24]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-327/2, -159/2, -11/2], [-214, -5/2, -2], [198, 4, 1], [0, 0, 0]], [[19379050898, 16739863249/2, 95223833/2], [51089034671/2, -625170128, -114645999], [-23635529216, 745994237/2, 210629893], [2, -5/2, -3/2]], [[157281567740904, 35688164981511/2, -85225339489747/2], [463616845189421/2, -7825495506335, -53713519313089], [-214080571949358, 12761977001751/2, 100073814807005/2], [47329/2, -3055, -7661]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 11, -3], [339, 4, 6], [-166, -3, -2], [0, 0, 0]], [[-66148525, 120168613/2, -212560], [64677507723/17, 14095046081/34, -17316766653/34], [-63248626947/34, -7071311161/34, 4321106574/17], [19/34, 15/17, 3/34]], [[339061779763867061/2, 40169635492266715, -68500356232341740], [-229215157792624969577/34, -34163845798365170907/34, 42432382360516360298/17], [111885914783092842201/34, 8302038170826349885/17, -20691231003315430512/17], [-15047222805/34, 1941442185/34, 2426974890/17]]], 1, 280, [], [] >,
< [ -1, -3, 0, 1 ], [[-5, 24, 11]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, 21/2, 2], [-17, -5/2, 1/2], [233, 4, 3], [0, 0, 0]], [[-346737460, 458419916, -11656348], [-605761496, 9685051, 7228834], [16354902653/2, -3108001455/2, 1032632035/2], [0, 1/2, -1]], [[-8710039007388, 1372100051268, 973912982760], [-10871162283150, 1171128489561, 3358861973316], [306824691851799/2, -49266796007339/2, -83435609656391/2], [-727, 24599/2, -2168]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[175/2, 142, 2], [1377/2, 5/2, 7], [182, 1, 2], [0, 0, 0]], [[1001469799552, 1576587030348, -9970278865/2], [276305806978991/34, -457926473411/34, -2518533391891/34], [73036613774181/34, 5458015793/34, -609725908889/34], [7/17, -45/34, 2/17]], [[2862062382934728941807/2, 5327552959044032424311/2, 73735401591467435380], [297913682544877414921259/34, -12670284215579556412892/17, 57200629474301995306943/34], [78771464363117032011037/34, -6479961647714764932981/34, 7603245093348685199103/17], [4706282083/34, -40002096254/17, 14118737291/34]]], 1, 280, [], [] >,
< [ -1, -3, 0, 1 ], [[20, -5, -18]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[59/2, 46, -1/2], [-83, -2, 3/2], [393, 5, 2], [0, 0, 0]], [[165996035729/2, 258178327643/2, -5121823413], [-456423964923/2, 2710055340, 2115235739/2], [2158820932569/2, -56415269607/2, 21610383832], [-3/2, 0, -1/2]], [[-1661419799845041, -78524773014708552, 8310763899106695], [-211620729223385334, -95147522416058571, 134754932751785340], [1020915829326922376, 480091969510949966, -1332408899460026595/2], [-3176433/2, -1869507/2, 2615025/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-271, -68, 1], [289, -1, 2], [196, 3, -3], [0, 0, 0]], [[-16990349041527/2, -4137801819819/2, -56174031513], [306793328385009/34, -3337429538179/17, 6833726010637/34], [104104298315506/17, -133688639397/17, -268414831021/34], [-19/34, -115/34, -3/34]], [[68009015377433049258890, 15836478301328962434122, -50102446348915668649499/2], [-2750242844370224813399715/34, -718303734646491629435535/34, 1094298531792185789436465/34], [-920337199225737755175807/17, -232412150949712819944002/17, 362620622939191212529051/17], [-112918935806/17, -66422734338/17, 92992530105/17]]], 1, 280, [], [] >,
< [ -1, -3, 0, 1 ], [[-46, -23, 6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[165/2, 60, 0], [-175/2, -5/2, 0], [-69, -4, -3], [0, 0, 0]], [[592773453/2, 177188273, -25806755], [-644066701/2, 28492649/2, 11640491], [-505838649/2, 7218687, -219438], [1/2, 3/2, 1]], [[3737742236761986, 461486182014306, -2556663020075951/2], [-10590762728866639/2, -1489722756555307/2, 3767078168917879/2], [-4157513140146614, -591271660993544, 2960653301927225/2], [3523859/2, 1304927/2, -1044251/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2408, -4791/2, -3], [-4009, 1/2, -27/2], [465, -1, 5], [0, 0, 0]], [[9486206043795391, 18490743091999871/2, -77582016925555], [271385864816450265/17, 709223644670641/34, -4059573027697729/34], [-31478803351521946/17, 22068362563341/17, 21087884334107/34], [-19/34, 21/34, -3/34]], [[571745124881603945956905, -5377284221731863221549067/2, -1937914584575643203787244], [53388902503428304427978664/17, -35453379520650946672933171/34, -75259213319500666017893537/34], [-6186390287945320048805566/17, 2119134382825429597674488/17, 4410943531420379355789223/17], [-3237047685/17, -1198872531/17, 959136327/17]]], 1, 156, [], [] >,
< [ -1, -3, 0, 1 ], [[-41, -18, 8]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33/2, 43/2, 1], [45/2, 1, 1/2], [1, -5, 2], [0, 0, 0]], [[5335/2, 2297/2, 41], [-3807/2, 1064, 2603/2], [-1, 19/2, 11], [0, -1/2, -1/2]], [[35/2, 3/2, -6], [-33/2, -2, 11/2], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1329/2, -1151/2, -1], [-1887/2, -2, 1/2], [-282, 5, -1], [0, 0, 0]], [[-154535382619969, 129451291807065, 6209065585405/2], [437629974860903/2, 8715799506931/2, -1614070662635/2], [65409894351286, 60312430583/2, -711138001/2], [3/2, -2, 0]], [[81629698273709898190817, 26098201563990529670758, -31433244801459619993295], [-1393045879395126699774930/17, -108075834922796570986995/17, 664531832116988433371410/17], [-420442395119589434231426/17, -70910704985883314981661/34, 199999570014685838201298/17], [-15759635061/17, -12607829117/34, 11346925849/34]]], 1, 156, [], [] >,
< [ -1, -3, 0, 1 ], [[-28, 7, 12]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, -9/2, 2], [-10, 5/2, 1/2], [136, -2, -3], [0, 0, 0]], [[51018807/2, 61995129/2, 1879710], [77382585/2, 691416, 1836071/2], [-568078967, -549492381/2, -114122053], [0, 3/2, -1/2]], [[101370169748484, 46378133105052, -21820975990548], [228393119499902, 23261618638972, -61948900854022], [-5958076597140155/2, -1239974304220991/2, 654086452394574], [-5487083/2, 1464736, 729883/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[724, -1143/2, 1], [1946, -7/2, -9/2], [-94, 5, 3], [0, 0, 0]], [[59826694155115/2, -50502301531633/2, -332978879714], [2822038881245915/34, 90036107002976/17, 105418155155533/34], [-135767828631785/34, 116329829507/34, -52940116537/17], [-5/34, 22/17, 1/34]], [[-23617502889309492278175/2, 3043047357470267516131/2, 5398495900213293857103/2], [-26362309377158863200527, -1111259937171858939789/2, 6840344559517855161241], [2579126020879095366189/2, 39279462885951070305/2, -680385607167813183209/2], [157644977, -168168161/2, -21020391]]], 1, 156, [], [] >,
< [ -1, -3, 0, 1 ], [[-22, -14, 3]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-20, 65/2, -1/2], [3132/37, -14451/74, -573/74], [67/74, -69/37, -1/37], [0, 0, 0]], [[190879/2, 28585, -66289/2], [-17374561/37, -12243209/74, 5529571/37], [-176353/37, -235273/148, 116549/74], [13/74, 5/148, -1/74]], [[-1375097223/2, 44307213/2, 152740173], [123145729719/37, -5215668187/74, -1335158639/2], [1254898386/37, -73282617/74, -1038725379/148], [-1722, -60639/74, 110085/148]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[27/2, -45/2, 0], [52283/74, -117647/74, -1707/37], [-45/74, 48/37, 3/74], [0, 0, 0]], [[-1365099, -129463, -96841/2], [-103889493295/1258, -21324244579/1258, -6526510189/629], [2567251/37, 1998637/148, 285610/37], [73/629, -23/2516, -1/629]], [[900558925855/2, 572769059017/2, 202016688259/2], [36170812985526533/1258, 15794468863078810/629, 13634182616832245/1258], [-1774223527375/74, -3000353917043/148, -1264589874177/148], [-45975195/1258, -31289895/2516, -7542045/2516]]], 1, 152, [], [] >,
< [ -1, -3, 0, 1 ], [[23, -5, -15]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[709/2, 9/2, -3/2], [244123/74, -963/74, -133/74], [-1103/37, 17/74, 2/37], [0, 0, 0]], [[10717342122, -663252517/2, -2752233303/2], [3697344133535/37, -311871092615/74, -462861790226/37], [-3613857551/4, 159699215/4, 454494541/4], [169/148, -1/148, 1/148]], [[-4701400086777895/2, -790536764984852, 423456929497171/2], [-21935369973714574, -14328093622626145/2, 2031970708562195], [198202232114417, 255877269604001/4, -37581124159737/2], [-20184821/74, -23939449/148, -1086477/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-459/2, 2, 1/2], [-1723655/74, 25627/37, -1467/74], [714/37, -21/37, 1/74], [0, 0, 0]], [[-7875952287, 10332185/2, -114737096], [-1005255229056833/1258, 11372627176313/629, -8834830942046/629], [45017825019/68, -501772443/34, 784275171/68], [-2637/2516, -49/1258, -3/2516]], [[42379804489906641091/2, 25939797861910697967/2, 2622946183194661547], [2703115797007495404121023/1258, 796463347070434981044436/629, 310610168197643733640347/1258], [-4478681051025359459265/2516, -1320029610169577568777/1258, -257315295265031820537/1258], [191003290497/68, 61023469887/34, 12308894089/34]]], 1, 152, [], [] >,
< [ -1, -3, 0, 1 ], [[-13, 13, 12]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[34, 83, -3/2], [-2918/37, -5700/37, -497/74], [-45/37, -223/74, -2/37], [0, 0, 0]], [[-6834577, -2629381, 1301197/2], [1277715582/37, 307149680/37, -314373614/37], [9006754/37, 14873221/148, -726941/37], [34/37, -5/148, -1/74]], [[-85077405/2, -38864845/2, 22547417/2], [15246417567/74, 1922563214/37, -2308522270/37], [222896155/148, 104718541/148, -27936233/74], [1159/148, 793/148, -305/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[115/2, 17/2, 0], [-253651/74, -51061/74, -1001/37], [-76/37, -14/37, -1/74], [0, 0, 0]], [[-2659010343, 81553466, -32184923/2], [99735399017476/629, 2371468108388/629, 438480444676/629], [94986153, 2173553/4, 594138], [278/629, 3/2516, 1/1258]], [[-9293883423729365/2, -2359347437748050, 2166505875148445/2], [344139165398992304859/1258, 91265750121899505488/629, -71774339520817736873/1258], [12187141401696675/74, 6388398451339215/74, -1317367052940575/37], [13006125/17, 6738930/17, -5712025/34]]], 1, 152, [], [] >,
< [ -1, -3, 0, 1 ], [[-13, 4, 6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17/2, 85/2, -4], [-173/2, -2, -3/2], [76, -1, 2], [0, 0, 0]], [[2127987835, -8017578930, 734210960], [18247990321, 250038125, -409527798], [-16054002646, 609417271/2, 457295075/2], [-3/2, 0, 2]], [[32326434456706350, 11635075588183200, -9064445245443900], [106038307337849344, 6496535571111390, -43958789392624752], [-94618473904584971, -12621488812437953/2, 78100875901229725/2], [-16177847/2, -3343035, 692463]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 13/2, 2], [-3/2, -1, -3/2], [11, -3, 0], [0, 0, 0]], [[-35/2, 19/2, 1/2], [-502, 753/2, 0], [6339/2, -251/2, -1479/2], [2, -3/2, 0]], [[-213071202, -39366444, 50972466], [-118581929968/17, -49386781084/17, 9906160274/17], [30352158080, -845601853, -12739912271], [472437968/17, 196760084/17, -39466774/17]]], 1, 20, [], [] >,
< [ -1, -3, 0, 1 ], [[-9, 5, 4]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-31/2, 23/2, -1], [-71/2, 0, 3/2], [116, 0, 5], [0, 0, 0]], [[3348521121/2, -1270352936, 119436184], [7713315773/2, 30370089/2, -134643209], [-25214650541/2, -74537751, -663097350], [3/2, -1/2, 1]], [[368993390305455, -482756104440, -234102442621045/2], [1442225132483145/2, 365994105318305/2, -302564800972015/2], [-2412899250105549, -729253524749172, 812456950290003/2], [705855/2, 308775/2, -3465/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-195/2, 5/2, -1/2], [-766, 1/2, 0], [83, 1, 0], [0, 0, 0]], [[-247316939, 9437937, -1383765], [-33033597576/17, 428411835/17, -5165720/17], [3579364969/17, -1877465/34, -551/34], [7/34, -24/17, 1/17]], [[7624044193151925, -1015268412577137/2, -6452488789599981/2], [2015700503861036199/34, -71635412292102697/17, -431220727775437804/17], [-108612177627516881/17, 8155981230091167/17, 46823800561556589/17], [-417883609/17, -185836392/17, -49056/17]]], 1, 20, [], [] >,
< [ -1, -3, 0, 1 ], [[-8, 6, 5]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, 3, -1/2], [-20, 1, 3/2], [-11, -3, -4], [0, 0, 0]], [[-4141888, 1237139, 274867], [-12150785, 394174, 2061784], [-6375784, -640109, -658330], [0, 0, -2]], [[-466059386107/2, -27750729433, 79450547906], [-1239276676919/2, -155859810461/2, 210601064312], [-646781343179/2, -49895850417, 103000468162], [-29009/2, -19171/2, -1568]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[977, 155, -5/2], [-2427/2, -1/2, -3/2], [11, 13, 1], [0, 0, 0]], [[844627703717/2, 167694602983, -186531407462], [-19328671524501/34, -8471965967035/34, 4623560013648/17], [2444918752, -2212905/2, -2900710], [-11/17, 27/34, 1/34]], [[-20199410053462639453/2, 71944981469993317, 9715998458396412269/2], [229858504925201535924/17, 11512338262034190057/17, -209474094897130365549/34], [-114408902527259669/2, 50128240901807368, 105074120245281817/2], [558182716/17, 372111558/17, 124010159/34]]], 1, 20, [], [] >,
< [ -1, -3, 0, 1 ], [[9, -2, -6]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33/2, 1/2, -1], [-2896/17, -129/34, -69/34], [1772/51, -127/51, -5/102], [-107/102, 5/51, 1/102]], [[1202737, 1356609, 432715/2], [404873103/34, 221275231/17, 35187752/17], [-14189629/6, -6702818/3, -430856/3], [3600155/51, 190120/3, 96515/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[56, 29, -3/2], [-178971/34, -2164/17, 365/17], [-1159/34, -14/17, 2/17], [0, 0, 0]], [[19588227079/2, 9613147139/2, -402015347], [-530883472344675/578, 4552342325909/578, 926618089877/578], [-5156821702333/867, 44659211528/867, 5730148688/867], [3397/1734, 91/1734, 2/867]], [[-20460143899002938, -46692087147124547/2, -6037437766313320], [593042129915300288776/289, 900686070750598171801/578, -91899019238637026835/578], [11526915013325292376/867, 17529109611712628777/1734, -887642354250604397/867], [-7587909139/1734, -3012812090/867, 181891567/867]]], 1, 8, [], [] >,
< [ -1, -3, 0, 1 ], [[-18, 4, 12]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-50, -51/2, 3/2], [-17129/17, 802/17, -285/34], [516/17, 5/17, 1/34], [0, 0, 0]], [[-426821004, -140134969/2, 254240659/2], [-344986714449/34, -12479787265/34, 46759064260/17], [30690644501/102, 734067982/51, -8411596333/102], [43/51, -2/51, 5/102]], [[-43232608190627/2, -7165394240816, 9418644472641/2], [-9011166051213827/17, -4463115602261573/34, 5658616547473761/34], [798940286881376/51, 404961556571329/102, -489501933044417/102], [3034724/51, 2669744/51, 13244/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[79/2, 25, 3/2], [42938/17, 9825/34, -131/34], [-409/17, -115/34, -3/34], [0, 0, 0]], [[30389031/2, 8152522, 684944], [481669975503/578, -92160399792/289, 70553674496/289], [-6926379166/867, 4632344371/1734, -1977936007/867], [-1117/867, 133/1734, -1/867]], [[-730276582259/2, -1242818487093/2, -486272422223/2], [-12703747385182843/578, -14008411558485001/578, -1977822065754829/578], [121770779400329/578, 69450052426371/289, 22648897943043/578], [15779215/578, 7260375/289, 1452075/578]]], 1, 72, [], [] >,
< [ -1, -3, 0, 1 ], [[-6, 5, 5]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[155, -47/2, 5/2], [-5343/17, -295/17, -65/34], [-3586/51, -155/102, 25/102], [151/102, 5/51, -1/51]], [[592782128, 42669221/2, -319964643], [-36349477255/34, 2045521441/17, 11130554532/17], [-488364175/2, 18835064, 144175918], [85144410/17, -9048130/17, -51200045/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[303/2, -38, 1/2], [118647/34, 217/34, 441/34], [-1289/34, -3/34, -5/34], [0, 0, 0]], [[19398671891, -5583221062, 61127597], [128753744450730/289, -5766207304207/289, -2075039465139/578], [-8392696805059/1734, 372034487819/1734, 33254901070/867], [313/867, -133/1734, 5/1734]], [[13886544767640, -422360999920, -7670703592466], [155938089224507335/578, -52993316426141159/578, -115251562012596707/578], [-1693425607075397/578, 288607547276017/289, 1252720442499233/578], [141801/578, -9284/289, -43648/289]]], 1, 8, [], [] >,
< [ -1, -3, 0, 1 ], [[12, -10, -10]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-179/2, 53/2, -3/2], [-3623/17, -81/34, 205/34], [381/17, -31/34, 5/34], [0, 0, 0]], [[-447/2, -135/2, 82], [-16414/17, -2585/34, 6191/34], [6607/51, 295/51, -1010/51], [-379/102, -19/102, -2/51]], [[519259477/2, 4188363, -91645691], [44420858359/34, 2285932563/17, -9576874876/17], [-3047109215/17, -682525655/34, 2716327061/34], [88599745/17, 12420525/34, -94230383/34]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[287/2, -42, 2], [-226963/34, 5353/17, -953/34], [-1221/34, 24/17, -5/34], [0, 0, 0]], [[-12885069479/2, 4802196275/2, 708777425/2], [168551570592943/578, -18600650844664/289, -18346254974913/578], [1358883218794/867, -293326168073/867, -150145292654/867], [1619/1734, 251/1734, -1/1734]], [[-175056247894777/2, -27994761852537/2, 83378834860339/2], [1041958229210335409/289, 77423495647914501/578, -1103177596943675509/578], [5582263588704411/289, 363889938455439/578, -5933149537889617/578], [1903352/289, -3613552/289, -3468688/289]]], 1, 72, [], [] >,
< [ -1, -3, 0, 1 ], [[-9, -6, 1]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[167/2, 21/2, -4], [581/34, -146/17, -145/34], [482/17, -12/17, 1/34], [-30/17, -1/17, 0]], [[-292808, 5504, 103311], [-2499433/34, -78567/17, 332765/17], [-10652089/102, 211216/51, 1757947/51], [325120/51, -26035/102, -220345/102]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[75/2, -19/2, 2], [21275/34, -1878/17, 811/34], [-64/17, 9/17, -5/34], [0, 0, 0]], [[-42098783/2, 15065349, -112818229/2], [-119135814277/289, 22736281431/578, -267752619159/289], [4636063681/1734, 405008165/867, 4931168843/867], [-3820/867, -173/1734, -1/867]], [[339953737765909/2, 7561004471968, -88810685260176], [1577251497706912227/578, 4940475490107260/289, -425190536133022472/289], [-27927944128125133/1734, 532036411364669/1734, 15452687856804779/1734], [39130331207/1734, 4187260781/1734, -14829050335/1734]]], 1, 8, [], [] >,
< [ -1, -3, 0, 1 ], [[18, 12, -2]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[61/2, 21/2, -1/2], [-715/17, -727/34, -129/17], [-52/17, -47/34, -3/34], [0, 0, 0]], [[372064, 168734, -110523/2], [-8966660/17, -5799095/17, 549167/34], [-3762031/102, -993872/51, 182449/51], [167/102, 7/51, 1/51]], [[-1269771981, -228144135/2, 578681514], [28543761954/17, 3242345271/34, -15006196537/17], [4124458277/34, 105073366/17, -1943536549/34], [-86397/34, 150498/17, -114267/34]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -5, 0], [-2181/17, -4580/17, -305/17], [12/17, 10/17, 1/17], [0, 0, 0]], [[-2467/2, 118, 43], [2228629/34, 5863255/34, -2051541/17], [4179/34, -14/17, -149/34], [0, 0, 0]], [[21/2, -1/2, -6], [-512225/578, 19548/289, 149916/289], [190/867, 28/867, -89/867], [53/1734, -2/867, -31/1734]]], 1, 72, [], [] >,
< [ -1, -3, 0, 1 ], [[4, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [1/2, 0, 0], [0, 0, 0], [1/2, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [39/2, 12, -1/2], [-365/17, 237/17, 39/17], [39/34, 12/17, -1/34]], [[0, 0, 0], [0, 0, 0], [-24, -55, 36], [0, 0, 0]]], 1, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[8, 4, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5/2, 3/2, 1], [-16, -15, -5], [-5/2, 3/2, 1]], [[0, 0, 0], [184, 276, -391/2], [482, 498, -457], [184, 276, -391/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-100, 12, -13], [-15, 3, -3], [0, 0, 0]], [[0, 0, 0], [2650413213/34, 114663494/17, -206584325/34], [202658143/17, 11551169/17, -9664069/17], [-15/34, 49/17, 3/34]], [[0, 0, 0], [-1562370040953065/17, 39033784815623/17, 651576584626728/17], [-241651236568545/17, 8225858239466/17, 101250331101871/17], [34289790/17, 16070475/17, -676095/17]]], 1, 7, [], [] >,
< [ -1, -3, 0, 1 ], [[64, -16, -32]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-406/17, -786/17, -388/17], [-144/17, -222/17, -80/17], [0, 0, 0]], [[0, 0, 0], [-86148/17, 768945/17, 592904/17], [-194389/51, 628223/51, 482486/51], [-127/51, -1/51, 5/51]], [[0, 0, 0], [-1481578753/17, -587593702/17, -1211586104/17], [-811691538/17, -602366574/17, 45521451/17], [-391096/17, -395827/17, 342209/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5226/17, 28512/17, 1022/17], [-62/17, -216/17, -8/17], [0, 0, 0]], [[0, 0, 0], [-8362888355/289, 8889506112/289, -9776086371/289], [2144200/867, -186791237/867, 275509108/867], [-2183/867, -173/867, -2/867]], [[0, 0, 0], [-298528225460592/289, -61988719558191/289, 66059904827000/289], [2471153864165/867, 970180825535/867, 10414866350/867], [-50250805/867, -9485245/867, 14332835/867]]], 0, 1792, [], [] >,
< [ -1, -3, 0, 1 ], [[16, -4, -8]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-501/17, 1631/17, 141/17], [49/17, -115/17, -3/17], [0, 0, 0]], [[0, 0, 0], [-8755413/34, -6575452/17, 2317101/17], [349422/17, 487960/17, -435783/34], [-23/17, 1/34, 1/34]], [[0, 0, 0], [-1327663056/17, -199271958/17, 289699855/17], [334015244/51, 38399888/51, -81491773/51], [-51700/51, -8140/51, 17600/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26569/17, -3880/17, -1085/17], [111/17, 16/17, 5/17], [0, 0, 0]], [[0, 0, 0], [-812305850/289, -12027661309/578, -5804796805/289], [20337719/1734, 151608485/1734, 73425976/867], [5717/1734, 245/1734, -1/1734]], [[0, 0, 0], [61230303508987/34, 8569349377825/17, -2906269626097/17], [-387824878343/51, -108081008483/51, 73894418339/102], [146209126/51, 37540181/102, -104717347/102]]], 1, 28, [], [] >,
< [ -1, -3, 0, 1 ], [[32, -16, -32]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [184/17, -62/17, 174/17], [82/17, -130/17, 4/17], [0, 0, 0]], [[0, 0, 0], [-75430401/17, 10142635/17, 47265711/17], [-48093869/17, -14578227/17, 14571207/17], [0, 4/17, -1/17]], [[0, 0, 0], [-182750431687/17, -31227489774/17, 59125032478/17], [-17840929673/3, -1957142942/3, 6446396074/3], [-10570/51, -343/51, 2177/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1238, -280, -4], [-10, 2, 0], [0, 0, 0]], [[0, 0, 0], [-1896093531/289, 16257908795/289, -14733776901/289], [54064849/867, -365455043/867, 356813227/867], [-26/867, 154/867, -5/867]], [[0, 0, 0], [-11862140329694/17, -938796417566/17, 5007035569366/17], [284262232394/51, 19557017570/51, -121725968278/51], [-106480/51, -25168/51, 31460/51]]], 0, 1792, [], [] >,
< [ -1, -3, 0, 1 ], [[8, -4, -8]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-36/17, -1492/17, -37/17], [15/17, -115/17, -3/17], [0, 0, 0]], [[0, 0, 0], [102105212/17, 102548075/34, -44389782/17], [11160800/17, 9049651/34, -4726383/17], [-1/34, 1/34, 1/34]], [[0, 0, 0], [-350678511, 1752056643/17, 981568793/34], [-2140553908/51, 382240334/51, 692056123/102], [319/102, -7/51, -167/102]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9398/17, -12807/17, -4645/17], [-65/17, -108/17, -38/17], [0, 0, 0]], [[0, 0, 0], [-796329872/289, 331735375/578, 451998933/289], [-13265473/867, 10029775/1734, 8705489/867], [199/1734, 265/1734, 1/1734]], [[0, 0, 0], [553831610817/289, 192111738751/578, -188837296138/289], [3103059488/289, 579450691/578, -878837923/289], [-61579/578, -89359/578, 68987/578]]], 1, 28, [], [] >,
< [ -1, -3, 0, 1 ], [[-64, -48, 0]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1418/17, -928/17, 6/17], [-188/17, -152/17, -4/17], [0, 0, 0]], [[0, 0, 0], [-5016994/17, -1215168/17, 67006], [-1451728/51, 490106/51, -281776/51], [-112/51, -10/51, -4/51]], [[0, 0, 0], [50987886483/17, 455612390/17, -21263122424/17], [18446610370/51, -1173495425/51, -7664090576/51], [70748/3, -7690/3, -33067/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-418, 568, 8], [6, -6, 0], [0, 0, 0]], [[0, 0, 0], [4838131137/289, 4965212776/289, 1968049879/289], [-168331237/867, -114223876/867, -31213834/867], [-2602/867, -169/867, -4/867]], [[0, 0, 0], [-140205255151406/289, -62572959389090/289, 8683265644156/289], [5297020195750/867, 1596446004136/867, -847362269840/867], [94580098/867, 7996780/867, -22100192/867]]], 0, 1792, [], [] >,
< [ -1, -3, 0, 1 ], [[-16, -12, 0]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-387/17, -55/17, -35/17], [-65/17, -3/17, -5/17], [0, 0, 0]], [[0, 0, 0], [80, 3755/34, 1015/17], [-41/51, 823/51, 947/102], [107/102, 5/102, 1/51]], [[0, 0, 0], [-136347049/17, -239759162/17, -103274344/17], [-725481/17, -28821896/17, -18146096/17], [-1639624/17, -667736/17, 165186/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2418/17, -1390/17, -237/17], [14/17, 20/17, 5/17], [0, 0, 0]], [[0, 0, 0], [-43701234/289, -33537858/289, 60704933/578], [265519/578, -176847/578, 47235/289], [-508/289, 81/578, -1/578]], [[0, 0, 0], [73297583410/17, 14678333009/17, -29243574741/17], [-1362002635/51, -555712285/51, 108046658/51], [252505/3, 114775/3, -22955/3]]], 1, 28, [], [] >,
< [ -1, -3, 0, 1 ], [[-128, -48, 32]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, -94, -104], [-4, -6, -8], [0, 0, 0]], [[0, 0, 0], [14, 0, 0], [0, 1, 1], [1, 0, 0]], [[0, 0, 0], [848, 2000, -1216], [0, 212, -106], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3028, -350, -850], [-8, -4, -10], [0, 0, 0]], [[0, 0, 0], [-4659318333736/17, -171641540016/17, 981248996078/17], [-682624656, 5745288, -1714152], [-20/17, 40/17, 4/17]], [[0, 0, 0], [1723415303699712, 20186955379800, -638012853429726], [4208743901411, -782159242699, -1834575969268], [13835, 4638, -15]]], 0, 4480, [], [] >,
< [ -1, -3, 0, 1 ], [[-32, 48, 32]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-228, -2, -12], [2, 8, -2], [0, 0, 0]], [[0, 0, 0], [-18, 0, 0], [0, 1, 1], [1, 0, 0]], [[0, 0, 0], [-387412, -39726, 143970], [-1960, -882, 546], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3630, -304, 6], [-6, -2, 0], [0, 0, 0]], [[0, 0, 0], [1449783157522/17, -943756438920/17, 318708973760/17], [-151296847, 1095106, -58841], [-80/17, -78/17, -1/17]], [[0, 0, 0], [-1143706289698538142/17, 394764640539825708/17, 64626450881783512/17], [107483920530454, -3434184010883, -19446572027303], [46692363/17, 23387526/17, -11563640/17]]], 0, 4480, [], [] >,
< [ -1, -3, 0, 1 ], [[64, -48, -64]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 6, -4], [0, 0, -4], [0, 0, 0]], [[0, 0, 0], [2, 0, 0], [0, 1, 1], [1, 0, 0]], [[0, 0, 0], [6, 0, -2], [6, 0, -2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1502, -472, 776], [2, -6, 10], [0, 0, 0]], [[0, 0, 0], [1572146615170/17, 237198931880/17, -593684810596/17], [-5996829107/17, 88508353/17, -5232898/17], [43/17, -18/17, 5/17]], [[0, 0, 0], [3628893736856016, 504501056405816, -1148481292158916], [-13541106420489, 5659792545086, 11731046552945], [126334, -1356, -85089]]], 0, 4480, [], [] >,
< [ -1, -3, 0, 1 ], [[-96, -64, 16]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6976/37, -2164/37, 48/37], [-266/37, 84/37, -2/37], [0, 0, 0]], [[0, 0, 0], [7413983/37, 5064431/37, 1293529/37], [-281316/37, -377983/74, -47409/37], [-11/37, -5/74, 1/37]], [[0, 0, 0], [138102393396/37, 152305675916/37, 27543940400/37], [-5236666159/37, -5713661777/37, -999382208/37], [-195987/37, -113883/37, 32516/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1124/37, 13670/37, 1484/37], [-16/37, 44/37, 6/37], [0, 0, 0]], [[0, 0, 0], [973825329/629, 491044477/629, 671475364/629], [433635/34, 27677/17, 29927/34], [1719/1258, -2/629, 3/1258]], [[0, 0, 0], [-4638346791314639/629, -7973534825972232/629, -2761256618669379/629], [-27521820180579/629, -24594502815254/629, -4627374221111/1258], [-2839003637/629, -1948430063/629, 325508523/1258]]], 0, 16128, [], [] >,
< [ -1, -3, 0, 1 ], [[-80, -16, 0]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12124/37, 14494/37, 700/37], [-336/37, -354/37, -10/37], [0, 0, 0]], [[0, 0, 0], [362605555, 2130089325/37, -5012541465/37], [-398630759/37, -117925259/74, 292465551/74], [-2/37, 3/74, -3/74]], [[0, 0, 0], [309313171091464/37, 36919231172647/37, -109633463530021/37], [-18468377285223/74, -2198058535627/74, 3259029812534/37], [-149991/74, -66181/74, 867/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [93482/37, -37008/37, 2410/37], [-402/37, 146/37, -8/37], [0, 0, 0]], [[0, 0, 0], [26514076999183/629, 454289992045/629, 989685639752/629], [-6737812789/37, -435477289/37, -660379059/74], [-18/629, -32/629, -3/1258]], [[0, 0, 0], [-12714351673084628166/629, -1672905023610620504/629, 5409063060864093284/629], [3171940951057644/37, 385952101489082/37, -1363193037271312/37], [2328352/629, -2711326/629, -1701720/629]]], 0, 16128, [], [] >,
< [ -1, -3, 0, 1 ], [[112, 0, -64]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, 12, -6], [2, -4, 0], [0, 0, 0]], [[0, 0, 0], [-73622794/37, -8858408/37, 25597748/37], [-8035876/37, -1002698/37, 2802831/37], [2/37, -2/37, -1/37]], [[0, 0, 0], [-12422132074/37, -1492346051/37, 4319394373/37], [-2710053551/74, -167077111/37, 471324941/37], [713/74, -310/37, -248/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5898/37, -24388/37, 112/37], [60/37, 242/37, -4/37], [0, 0, 0]], [[0, 0, 0], [-21650153/629, -2215001/629, 9503355/629], [401, 41/2, -143], [-24/629, 11/1258, -2/629]], [[0, 0, 0], [21818730254905/629, 5701422136112/629, -6408053504147/629], [-14813069341/37, -2308606594/37, 9090688335/74], [22823788/629, -10023260/629, -17242823/1258]]], 0, 16128, [], [] >,
< [ -1, -3, 0, 1 ], [[48, -32, -64]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, -50, -30], [0, 2, 2], [0, 0, 0]], [[0, 0, 0], [-2, 0, 0], [0, 1, 1], [1, 0, 0]], [[0, 0, 0], [-14, -6, 6], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7090, -388, -770], [-2, -2, -4], [0, 0, 0]], [[0, 0, 0], [-67379071358196/17, -4815163047236/17, 20827488837394/17], [15844181111/17, -11528893/17, -50771386/17], [53/17, 98/17, 3/17]], [[0, 0, 0], [404102631809446738870/17, 29282963762126290770/17, -130743034642188439980/17], [-90477409299829905/17, 19220452032372932/17, 19501249517322810/17], [-178646295/17, -119171085/17, 179124990/17]]], 0, 12096, [], [] >,
< [ -1, -3, 0, 1 ], [[-176, -48, 32]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, -74, 8], [-10, -6, 0], [0, 0, 0]], [[0, 0, 0], [-22, 0, 0], [0, 1, 1], [1, 0, 0]], [[0, 0, 0], [-70, -158, 110], [0, 2, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5958, -1322, 1306], [6, -4, 4], [0, 0, 0]], [[0, 0, 0], [-38215943739868/17, -3301464032558/17, 4569596843054/17], [-43754994606/17, -108593480/17, -40979098/17], [-24/17, 48/17, -2/17]], [[0, 0, 0], [64709663663806888082/17, 1088243933843055916/17, -22832472571340787280/17], [75978052598177244/17, -2628666994957946/17, -26245571339423679/17], [70375347/17, -52353/17, -11671317/17]]], 0, 12096, [], [] >,
< [ -1, -3, 0, 1 ], [[112, -64, -96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [100, -8, -4], [-6, -8, -4], [0, 0, 0]], [[0, 0, 0], [-22, 0, 0], [0, 1, 1], [1, 0, 0]], [[0, 0, 0], [7498, 1976, -3334], [-250, 0, 150], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4336, -96, -214], [-6, 2, 4], [0, 0, 0]], [[0, 0, 0], [-61652523242/17, -105753094004/17, 76487906058/17], [-22999501/17, -1059123/17, 846086/17], [-111/17, -16/17, -5/17]], [[0, 0, 0], [-1627666020590, -12364571927470, 7559391072650], [5707065048, 573098466, -3091990377], [26277, 461, -16135]]], 0, 12096, [], [] >,
< [ -1, -3, 0, 1 ], [[-208, -32, 48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [938, 80, 138], [8, 6, 10], [0, 0, 0]], [[0, 0, 0], [-2, 0, 0], [0, 1, 1], [1, 0, 0]], [[0, 0, 0], [-2197595676, -38200684, 614447678], [-15738684, 2180588, 2323478], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9366, 2384, -1188], [8, 8, -4], [0, 0, 0]], [[0, 0, 0], [1267900010652, 470556927092, -470258201484], [-480390129, -213614, -285710], [3, 5, 0]], [[0, 0, 0], [94914110283064422306/17, 7751169760478580756/17, -30733406388678618990/17], [-45874004816407289/17, -9133613402177392/17, 17589887479341757/17], [103415838/17, -14723856/17, -14811507/17]]], 0, 16128, [], [] >,
< [ -1, -3, 0, 1 ], [[-272, -112, 48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [612, -108, 6], [8, -4, 0], [0, 0, 0]], [[0, 0, 0], [-48, 0, 0], [0, 1, 1], [1, 0, 0]], [[0, 0, 0], [-131208, 849548, 482432], [-4686, 2212, 1156], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3398, 2, -270], [6, 0, -10], [0, 0, 0]], [[0, 0, 0], [-59069829024/17, -9824305408/17, 23739490788/17], [-75438805/17, -548207/17, 231801/17], [82/17, -45/17, 4/17]], [[0, 0, 0], [43052259396888/17, 13414093559824/17, -11810325236034/17], [29883416511/17, -84251058185/17, -53648416169/17], [-60032/17, 30083/17, 14740/17]]], 0, 16128, [], [] >,
< [ -1, -3, 0, 1 ], [[-208, -128, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [806, 234, -6], [-6, -10, 0], [0, 0, 0]], [[0, 0, 0], [-18, 0, 0], [0, 1, 1], [1, 0, 0]], [[0, 0, 0], [-2843592, -507546, 926804], [10098, 2906, -1402], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10568, -4736, -2846], [-2, -10, -6], [0, 0, 0]], [[0, 0, 0], [-32818822545720/17, -12737098220340/17, 15974743941624/17], [-1672796643/17, -4089417/17, 4377988/17], [15/17, -30/17, -3/17]], [[0, 0, 0], [-322939826746514928/17, -49992912133933288/17, 118616430072438864/17], [-18987991118069/17, 973951072403/17, 7789326157583/17], [312048/17, 89173/17, -44274/17]]], 0, 16128, [], [] >,
< [ -1, -3, 0, 1 ], [[-128, -48, 48]], [ -73, 0, 0 ], [ -287, -42, 70 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2586/73, 31214/73, -264/73], [-58/73, 980/73, 10/73], [0, 0, 0]], [[0, 0, 0], [26252305267/73, 5609142053/73, -6687862444/73], [5443940508/511, 1234937845/511, -1337233661/511], [3/511, 4/511, 3/511]], [[0, 0, 0], [-34164536256992/73, -9427390380804/73, 14515960566306/73], [-7067798207292/511, -1973558458190/511, 3011216046116/511], [-7366/511, -11426/511, 7888/511]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10028/73, 10524/73, 310/73], [140/73, -246/73, -4/73], [0, 0, 0]], [[0, 0, 0], [-2236934530/1241, 2718223232/1241, 3016248593/1241], [-755144863/8687, -176610601/8687, 15588752/8687], [-9/8687, -101/8687, -5/8687]], [[0, 0, 0], [-346749551178/73, -48441429130/73, 91858272291/73], [-12990772365/73, -3201812463/73, 40119420750/511], [727/73, 727/73, -3635/511]]], 0, 8064, [], [] >,
< [ -1, -3, 0, 1 ], [[-144, 0, 32]], [ -73, 0, 0 ], [ -35, -14, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4358/73, 4206/73, -164/73], [468/73, 516/73, -2/73], [0, 0, 0]], [[0, 0, 0], [96975226/73, -27291944/73, 3770481/73], [63342680/511, -29491733/511, 12076327/511], [-34/511, 1/511, 2/511]], [[0, 0, 0], [-38861803185/73, -27749056393/73, 20621236820/73], [-4195482709/73, -3516924393/73, 2428999313/73], [1658/73, 14, -701/73]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [64802/73, 143052/73, 128/73], [-262/73, -506/73, -2/73], [0, 0, 0]], [[0, 0, 0], [564788587021/1241, -206606813764/1241, 128291981373/1241], [-25177998418/8687, 2940680025/8687, 1009686564/8687], [2181/8687, 75/8687, -1/8687]], [[0, 0, 0], [-36277012472129946/1241, -34476437268187634/1241, 45444598031434786/1241], [167837956763252/1241, 114603028009918/1241, -169916194550552/1241], [-12469730/1241, -5078630/1241, 15085370/1241]]], 0, 8064, [], [] >,
< [ -1, -3, 0, 1 ], [[-80, 32, 16]], [ -73, 0, 0 ], [ -63, -28, -42 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22024/73, 13842/73, -310/73], [670/73, 428/73, 4/73], [0, 0, 0]], [[0, 0, 0], [15869706/73, 3789007/73, -5232281/73], [3967410/511, 2195257/511, -2007734/511], [-4/511, 4/511, 3/511]], [[0, 0, 0], [20375959064/73, 1649551812/73, -7158278888/73], [4057855682/511, -303568138/511, -1100992376/511], [-8096/511, -2852/511, 2208/511]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-301804/73, -236110/73, -2792/73], [524/73, 428/73, 4/73], [0, 0, 0]], [[0, 0, 0], [-12527208065676/1241, -1428451081023/1241, 1185815407060/1241], [145097340863/8687, 6688303427/8687, -5812973893/8687], [-53/8687, 4/8687, -3/8687]], [[0, 0, 0], [53727132611703136458/1241, 6588981211115538926/1241, -23290178244212249106/1241], [-648826555407297564/8687, -13415114424345828/1241, 290552192238041070/8687], [254298480/8687, 6541920/1241, -119627280/8687]]], 0, 8064, [], [] >,
< [ -1, -3, 0, 1 ], [[-384, 144, 64]], [ -73, 0, 0 ], [ -35, -14, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-451052/73, -764/73, -658/73], [-50198/73, -166/73, 8/73], [0, 0, 0]], [[0, 0, 0], [18370743731531/73, -62320136291/73, -9224547696705/73], [2042849677887/73, -48432722218/511, -7174645017954/511], [14/73, -3/511, 3/511]], [[0, 0, 0], [-540936796713482891780/73, -308093907937802759080/73, 77369500715273898020/73], [-60132130406030854456/73, -239340652584229319834/511, 60273966936062045354/511], [-230513276/73, 2653514162/511, 767426306/511]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12458720/73, 39072/73, 402/73], [-44032/73, -136/73, -4/73], [0, 0, 0]], [[0, 0, 0], [-15605714074441737/1241, -1563136022687280/1241, 2315395479054843/1241], [386084404501974/8687, 38664553138137/8687, -57271270360138/8687], [7145/8687, 75/8687, -1/8687]], [[0, 0, 0], [-1247571390399418117223980/1241, 911800239594057653177376/1241, 587282148878612642923868/1241], [30863810452363413531234/8687, -22561805606679473139500/8687, -14528799809394757540040/8687], [475094100336/8687, -780621891888/8687, -224464063944/8687]]], 0, 596736, [], [] >,
< [ -1, -3, 0, 1 ], [[-416, -208, 160]], [ -73, 0, 0 ], [ -63, -28, -42 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20378/73, -7432/73, -648/73], [614/73, -214/73, -2/73], [0, 0, 0]], [[0, 0, 0], [-17630132/73, 8556683/73, 3282607/73], [-3765862/511, 2203053/511, 835330/511], [-386/511, -4/511, 3/511]], [[0, 0, 0], [-1508134369871/73, 7324419856980/73, -62874805654], [-340198596740/511, 1546856898059/511, -1097322704097/511], [-23598135/511, 169964839/511, -41078235/511]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-21524/73, -366008/73, 666/73], [30/73, 662/73, -2/73], [0, 0, 0]], [[0, 0, 0], [20304799635263/1241, -2066945576211/1241, -956220158237/1241], [-38593961122/1241, 26023107178/8687, 16310886787/8687], [-869/1241, -57/8687, -4/8687]], [[0, 0, 0], [2406479308261688483014/1241, -3851293462053166763691/1241, -1246502077093713070665/1241], [-4681328263561788678/1241, 48502839985726436921/8687, 16271076980391826006/8687], [-83435797736/1241, 1526602957314/8687, 596706195187/8687]]], 0, 596736, [], [] >,
< [ -1, -3, 0, 1 ], [[-544, -208, 144]], [ -73, 0, 0 ], [ -287, -42, 70 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [21212/73, 13402/73, 466/73], [672/73, 396/73, 10/73], [0, 0, 0]], [[0, 0, 0], [-993937109/73, 115343357/73, 470477832/73], [-223917474/511, 26057499/511, 102486931/511], [173/511, -4/511, -3/511]], [[0, 0, 0], [84398700580382/73, 15174334458956/73, -28691858894690/73], [19166084225772/511, 3678839842404/511, -6690816235200/511], [-17162820/511, -7370220/511, 9354510/511]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-19522/73, -33756/73, -1140/73], [818/73, 834/73, 10/73], [0, 0, 0]], [[0, 0, 0], [-502027432341/1241, 1842205447825/1241, -24697581600/17], [87598903542/1241, -48513138649/8687, 40146060029/8687], [603/1241, 58/8687, -1/8687]], [[0, 0, 0], [-15964952861943989520/73, -5215868282378821295/73, 10959439564265279498/73], [6661315209557691070/511, 861387012058687412/511, -3058009691300030797/511], [43696858196/511, 4832653821/511, -19594598559/511]]], 0, 596736, [], [] >,
< [ -1, -3, 0, 1 ], [[-832, 112, 384]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-888, -10, 10], [-2, 0, 10], [0, 0, 0]], [[0, 0, 0], [-42, 0, 0], [-36, 1, 1], [1, 0, 0]], [[0, 0, 0], [-172, -22, 60], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6302, -10, -14], [650, 8, 10], [0, 0, 0]], [[0, 0, 0], [647001604055974/17, -8508896831222/17, -11266233955492/17], [66704946124381/17, -52448835224/17, -52036645940/17], [99/17, -45/17, 4/17]], [[0, 0, 0], [-2894931790770925381022754/17, 972409984419007199432474/17, 1507093627342066116812808/17], [-294632753112457121647089/17, 110767958366690252441618/17, 159846078591311189271124/17], [-538279769391/17, 69452842815/17, 173638769568/17]]], 0, 1128960, [], [] >,
< [ -1, -3, 0, 1 ], [[-80, 384, 176]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-344, 0, 8], [-408, 8, -10], [0, 0, 0]], [[0, 0, 0], [-18, 0, 0], [-4, 1, 1], [1, 0, 0]], [[0, 0, 0], [2560098, -28081818, 4417424], [1221454, -38522780, 6858934], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10086, -2, -52], [990, 0, 10], [0, 0, 0]], [[0, 0, 0], [-17245250649968624/17, 4237424116576/17, 49651551958598/17], [1692721772285999/17, -819710236364/17, 3298968050387/17], [56/17, 24/17, -1/17]], [[0, 0, 0], [-47929184093721118115218/17, -220954095425142614018728/17, 114823955981981731029318/17], [4812664540461722070443/17, 21956406174077824293503/17, -11417234390596584288868/17], [-16192015/17, 275221550/17, -48568315/17]]], 0, 1128960, [], [] >,
< [ -1, -3, 0, 1 ], [[320, -80, -288]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-470, -8, 0], [-518, 0, -4], [0, 0, 0]], [[0, 0, 0], [42, 0, 0], [58, 1, 1], [1, 0, 0]], [[0, 0, 0], [1760708454, 1027667220, -1436840760], [1976942056, 1195991664, -1625639792], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1398, -76, -26], [208, -10, -4], [0, 0, 0]], [[0, 0, 0], [498425202992/17, 5374901840/17, 12334114544/17], [74177583158/17, 1324991098/17, 1817695707/17], [-53/17, 55/17, -3/17]], [[0, 0, 0], [4128062445838578384/17, 3438854014470106352/17, -1155258192595569376/17], [612972883260232170/17, 511960820856680326/17, -168549768051196188/17], [-583822400/17, -343392720/17, 480784800/17]]], 0, 1128960, [], [] >,
< [ -1, -3, 0, 1 ], [[-736, -368, 96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-388, 0, -6], [-480, -10, 4], [0, 0, 0]], [[0, 0, 0], [48, 0, 0], [16, 1, 1], [1, 0, 0]], [[0, 0, 0], [-1901588380, -706700128, 571321364], [-2317555770, -835128230, 694145530], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11758, -6, -54], [-446, -2, -8], [0, 0, 0]], [[0, 0, 0], [-66754567857711866/17, 182464682322904/17, 885796636221298/17], [-2531827169271477/17, -1700980642698/17, 1625979745459/17], [128/17, 118/17, 5/17]], [[0, 0, 0], [-722142839826680820172643028/17, 52621872804934929856216372/17, 140439010604005257349609958/17], [-27344652043349207779447448/17, 2101084683611281410943384/17, 5184432945635109222144762/17], [1137164856874/17, 421155931870/17, -336946229318/17]]], 0, 628992, [], [] >,
< [ -1, -3, 0, 1 ], [[-656, -288, 128]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [120, -2, -8], [38, 66, 34], [0, 0, 0]], [[0, 0, 0], [16, 0, 0], [-26, 1, 1], [1, 0, 0]], [[0, 0, 0], [966144, 310800, -429792], [161622, 74022, -55918], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11816, -38, -66], [-736, -4, -8], [0, 0, 0]], [[0, 0, 0], [-18039012231181958/17, 53761855720678/17, 98276315854792/17], [-1123559386765319/17, 1106479009386/17, 391694936156/17], [-7/17, 65/17, -2/17]], [[0, 0, 0], [-72694764438473980045623192/17, -9805094320280872750158840/17, 28741038069522577852867356/17], [-4527315694838095338645218/17, -609171035674238150100584/17, 1793271331354604725668006/17], [-133005916944/17, -53203291008/17, 47882928400/17]]], 0, 628992, [], [] >,
< [ -1, -3, 0, 1 ], [[-448, 112, 192]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-394, 6, -10], [-212, 6, 8], [0, 0, 0]], [[0, 0, 0], [-20, 0, 0], [2, 1, 1], [1, 0, 0]], [[0, 0, 0], [13086790, -7898600, -1714970], [7299936, -3500016, -1117256], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10912, 8, 0], [46, -8, -10], [0, 0, 0]], [[0, 0, 0], [29640682652856/17, -832158750458248/17, -398310562114680/17], [-1179576127328/17, -27819317/17, 1109385100/17], [32/17, -13/17, -3/17]], [[0, 0, 0], [-1520558142672986329048/17, -7234562447143346267686/17, -3748605633783518582154/17], [-2969063004013474758/17, -2191776983500928280/17, -1202522456892731484/17], [61687938/17, -32903814/17, -8223540/17]]], 0, 628992, [], [] >,
< [ -1, -3, 0, 1 ], [[352, 224, -48]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3090/37, -5396/37, -238/37], [-294/37, -616/37, -10/37], [0, 0, 0]], [[0, 0, 0], [385277493/37, 89413807/37, -82306458/37], [50543659/74, 6993887/37, -6040553/74], [-75/74, 2/37, -5/74]], [[0, 0, 0], [59072956783561/37, 15361503269493/37, -11759459142138/37], [7796007210235/74, 1255202713253/37, -766333350275/74], [-11663575/74, -96360/37, -855195/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22692/37, -43898/37, 92/37], [266/37, 434/37, 2/37], [0, 0, 0]], [[0, 0, 0], [-261174952693/629, 71467611120/629, -51144490149/629], [263501963/37, -14714201/37, -27247235/74], [-1502/629, -39/629, -1/1258]], [[0, 0, 0], [-2087315054409299/37, -325444486769190/37, -451170140786134/37], [67505331336023/74, 12673681875079/74, -315140171050/37], [-23130591/74, -7710197/74, -907082/37]]], 0, 612864, [], [] >,
< [ -1, -3, 0, 1 ], [[-368, 80, 240]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2680, 102, -2], [112, -4, 0], [0, 0, 0]], [[0, 0, 0], [23757682914/37, 11396086429/37, -10425831589/37], [-1983076717/74, -474869538/37, 434409510/37], [207/74, 2/37, 1/37]], [[0, 0, 0], [-24451839269388055/37, -12414253500170308/37, 5592606221073288/37], [2041954965019645/74, 1037279099124101/74, -232755538505798/37], [-273908045/74, -179473493/74, -18766475/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4501360/37, -36314/37, -1854/37], [-14636/37, -118/37, -6/37], [0, 0, 0]], [[0, 0, 0], [-431308148907388474/629, 1777578637929296/629, -31178355745739/629], [-2804763994499295/1258, 11573350287287/1258, -197519876937/1258], [-1797/1258, 75/1258, -1/1258]], [[0, 0, 0], [-807328219489823421828170050/629, -553270201301589468380182269/629, -122295265084488827912646858/629], [-2624991527636460567255273/629, -3597814057858487369438377/1258, -795244481624561987110763/1258], [-1672630397556/629, -2123634239489/1258, -424463265221/1258]]], 0, 612864, [], [] >,
< [ -1, -3, 0, 1 ], [[208, -208, -192]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13118/37, -5024/37, -338/37], [402/37, 150/37, 8/37], [0, 0, 0]], [[0, 0, 0], [-60408718/37, 48490939/37, 13949960/37], [3723081/74, -1475233/37, -421084/37], [17/74, -2/37, 0]], [[0, 0, 0], [555139096179/37, -81326114450/37, -419442157840/37], [-34246682979/74, 2297776290/37, 25571002221/74], [-161637/74, -37464/37, 49413/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [25222/37, 14420/37, 2550/37], [-114/37, -58/37, -10/37], [0, 0, 0]], [[0, 0, 0], [-2465639303/629, -577651005/629, 44922898/629], [657514/37, 113684/37, -16527/74], [-89/629, -9/629, 5/1258]], [[0, 0, 0], [-10465621842066/629, -5130392094040/629, 2764016242142/629], [2865808642/37, 1398232492/37, -828466060/37], [-395364/629, -184052/629, 126054/629]]], 0, 612864, [], [] >,
< [ -1, -3, 0, 1 ], [[208, -64, -96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [134, 0, -4], [206, 4, 4], [0, 0, 0]], [[0, 0, 0], [-4, 0, 0], [14, 1, 1], [1, 0, 0]], [[0, 0, 0], [87275664, 33618942, -9128322], [136736328, 61479684, -7864348], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5580, 8, 8], [-176, -6, -6], [0, 0, 0]], [[0, 0, 0], [-845020777008380/17, 22779079381038/17, 25430155612658/17], [1564779135066, -1794271211, -2231241747], [-37/17, 6/17, 4/17]], [[0, 0, 0], [1041377115861013433634/17, 943529404417268505040/17, 235071799161510061252/17], [-2002901486178683554, -2039898203509693308, -597929497885864944], [39872250/17, 16604870/17, -3327160/17]]], 0, 80640, [], [] >,
< [ -1, -3, 0, 1 ], [[144, -80, -64]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [98, 8, 10], [-36, -10, -10], [0, 0, 0]], [[0, 0, 0], [10, 0, 0], [8, 1, 1], [1, 0, 0]], [[0, 0, 0], [-398612, -80812, 72640], [143832, 44850, -14040], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4020, 46, -8], [12, -6, 2], [0, 0, 0]], [[0, 0, 0], [12227796472734/17, 4180115747950/17, 3065029610/17], [38576778171/17, 15075639/17, -65567410/17], [-111/17, 18/17, -5/17]], [[0, 0, 0], [-105759817779441189056, -98068585274110321348, -24037507768282513444], [-328834633016328058, -182513096173672300, -12517101662917045], [964725639, 428601057, -185373]]], 0, 80640, [], [] >,
< [ -1, -3, 0, 1 ], [[128, -96, -80]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, -6, 6], [-98, -2, 6], [0, 0, 0]], [[0, 0, 0], [10, 0, 0], [8, 1, 1], [1, 0, 0]], [[0, 0, 0], [33348, 25242, 6216], [98400, 68880, 32800], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-246, -6, 0], [20, -22, -18], [0, 0, 0]], [[0, 0, 0], [131994142/17, -145117518/17, 24013332/17], [-1128679, 26672, 430], [3/17, -57/17, -4/17]], [[0, 0, 0], [-37671830158228, -3792120764320, 10769942298612], [3788055624734, -186352406248, -1599801900752], [-5399212, -3599932, -602112]]], 0, 80640, [], [] >,
< [ -1, -3, 0, 1 ], [[-144, 32, 96]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4408/17, -554/17, 16/17], [1068/17, -96/17, 4/17], [0, 0, 0]], [[0, 0, 0], [-586112755/17, 195029677/17, 247222978/17], [-418858279/51, 148900409/51, 185590769/51], [-91/51, -4/51, 2/51]], [[0, 0, 0], [-15450186602478, 10837593137512, 15685208880892], [-3591216883042, 2967353341474, 3936088112578], [-1167084, -963288, 46512]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [381910/17, 17092/17, -596/17], [-2876/17, -130/17, 4/17], [0, 0, 0]], [[0, 0, 0], [3586504829385/289, -1159694576774/289, -1382389483605/289], [-81007376518/867, 26221381355/867, 31243486826/867], [2927/867, 113/867, -4/867]], [[0, 0, 0], [126532077498768853/289, 116088333317734984/289, 2479115803024029/289], [-2858978347067596/867, -2625114829393303/867, -57590185213678/867], [58580405/867, -47681725/867, -81195166/867]]], 0, 32256, [], [] >,
< [ -1, -3, 0, 1 ], [[-36, 8, 24]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11282/17, -811/17, 60/17], [860/17, 65/17, -2/17], [0, 0, 0]], [[0, 0, 0], [6382934931/34, -6354908689/34, -848487835/17], [-1454087747/102, 1465386463/102, 391774885/102], [211/102, -1/51, -1/51]], [[0, 0, 0], [10191751466835028/17, -10374372235434920/17, -14801164337675806/17], [-770952526575246/17, 808765106885030/17, 1137879539169002/17], [143129930/17, 120150080/17, -3761860/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [482429/17, 23811/17, 149/17], [-1933/17, -95/17, -1/17], [0, 0, 0]], [[0, 0, 0], [599120110413/289, -18034462249590/289, 12103839099457/578], [-7136240020/867, 433922493109/1734, -145695895517/1734], [199/1734, -97/867, 1/1734]], [[0, 0, 0], [-507755/578, 179705/578, 351859/578], [-2681/1734, -736/867, 110/867], [-31/867, 11/867, 43/1734]]], 1, 504, [], [] >,
< [ -1, -3, 0, 1 ], [[96, -80, -80]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7562/17, 184/17, 46/17], [-1090/17, 2/17, -8/17], [0, 0, 0]], [[0, 0, 0], [-4405456768/17, 179940778/17, 1122387079/17], [-631059189/17, 25765417/17, 160351190/17], [-20/17, -5/17, -1/17]], [[0, 0, 0], [713085307189141/17, 116793710929418/17, -267611300888883/17], [306443192564567/51, 50105775979886/51, -115117121854102/51], [8372222/51, -68363/3, -5187604/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [162646/17, 14630/17, -414/17], [-1682/17, -154/17, 4/17], [0, 0, 0]], [[0, 0, 0], [42778003431922/289, 397703805241/289, 1884388501802/289], [-1327260732214/867, -14765670952/867, -58515578023/867], [-5203/867, -169/867, -4/867]], [[0, 0, 0], [78189106718806373188/289, -6792700828927627598/289, -46615008877829562286/289], [-807813028984452128/289, 71291190912661740/289, 482196660723645932/289], [-3135174354/289, 228238274/289, 1799005564/289]]], 0, 32256, [], [] >,
< [ -1, -3, 0, 1 ], [[24, -20, -20]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20022/17, -599/17, 33/17], [-2870/17, -105/17, -5/17], [0, 0, 0]], [[0, 0, 0], [3402673449/34, -1449590963/34, -63043734/17], [42963205/3, -36537979/6, -3178729/6], [-335/102, 7/102, -5/102]], [[0, 0, 0], [-696529867282688/17, -154935316002772/17, 582828134484655/34], [-597816220130939/102, -132739801934225/102, 125121593933369/51], [3282526/3, -4650659/102, -63438167/102]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-64446/17, -562/17, -47/17], [1076/17, 12/17, 3/17], [0, 0, 0]], [[0, 0, 0], [33126756029227/578, -920713466616/289, -2132916161602/289], [-829270243462/867, 90814040293/1734, 105906364850/867], [-568/867, 92/867, -5/1734]], [[0, 0, 0], [392028633172660523/578, -14995192433346154/289, -218670230949113121/578], [-19606679019205237/1734, 782473901699947/867, 5491544328095011/867], [-6898292/867, 2617877/1734, 4677439/867]]], 1, 504, [], [] >,
< [ -1, -3, 0, 1 ], [[144, 96, -16]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -12, 8], [2, -10, 0], [0, 0, 0]], [[0, 0, 0], [-9823148/17, -811228/17, 2728765/17], [-50553692/51, 615148/51, 20569237/51], [-11/51, 10/51, -5/51]], [[0, 0, 0], [770766392/17, 65677682/17, -270371574/17], [1380596756/17, 226086200/17, -433147916/17], [384/17, -56/17, -112/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-15918/17, -19912/17, -1080/17], [130/17, 148/17, 8/17], [0, 0, 0]], [[0, 0, 0], [1893696693/289, 1646958534/289, 2582667662/289], [-52021439/867, -45581432/867, -52457996/867], [4330/867, -41/867, 1/867]], [[0, 0, 0], [9578439685456/289, -524754742178/289, -5877534168300/289], [-82792143696/289, 4264241130/289, 47453140542/289], [8822736/289, 1102842/289, -3431064/289]]], 0, 32256, [], [] >,
< [ -1, -3, 0, 1 ], [[36, 24, -4]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-165/17, -282/17, -1/17], [-12/17, -10/17, -1/17], [0, 0, 0]], [[0, 0, 0], [-1434/17, 5109/34, -469/34], [-553/51, 325/102, 7/102], [185/51, 19/102, 2/51]], [[0, 0, 0], [51841565/34, 3618795/34, -425896], [4500353/34, 288961/34, -746721/17], [-1341809/34, -34332/17, 237463/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5792/17, -10924/17, -137/17], [-29/17, -95/17, -1/17], [0, 0, 0]], [[0, 0, 0], [23889766261/289, 6657696951/289, -7614934067/289], [-92507491/867, 91040291/867, 41323631/867], [668/867, 92/867, -1/867]], [[0, 0, 0], [150836889849454/289, 24357082640735/289, -89350639425631/578], [-843102232636/867, 17058614915/867, 978459151921/1734], [10034215/1734, 1812371/867, -2833349/1734]]], 1, 504, [], [] >,
< [ -1, -3, 0, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 10, 6], [20, 16, -4], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-80, -38, 36], [1440, 576, -720], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 2, -2], [192, -8, -12], [0, 0, 0]], [[0, 0, 0], [323778, -7510, 332], [-125132984/17, -7168296/17, 21436496/17], [-14/17, -6/17, -4/17]], [[0, 0, 0], [17721271, -2196166, -1506682], [-6925939478/17, -36705700/17, 1506555812/17], [-713/17, -70/17, -58/17]]], 0, 7168, [], [] >,
< [ -1, -3, 0, 1 ], [[128, 64, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 2, -8], [16, -32, -20], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [43594, -6140, -15350], [-126280, -30240, 29680], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-46, -36, -8], [16, -12, -4], [0, 0, 0]], [[0, 0, 0], [-1397679/17, 7889000/17, 5449739/17], [2217930/17, 787832/17, 301014/17], [-15/17, 64/17, 3/17]], [[0, 0, 0], [-304203016, -222006300, -17740674], [132101848, -16466288, -60987656], [-2704, -676, 338]]], 0, 28672, [], [] >,
< [ -1, -3, 0, 1 ], [[256, -64, -128]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1776/17, 1616/17, 12/17], [376/17, 336/17, 20/17], [0, 0, 0]], [[0, 0, 0], [16297717/17, 8621813/17, -9549500/17], [9770231/51, 3835847/51, -5041627/51], [251/51, 2/51, -4/51]], [[0, 0, 0], [-156712630796/17, -61750015132/17, 48620782772/17], [-33076433120/17, -11977734048/17, 9308589280/17], [-471168/17, 1596736/17, 1151744/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-116/17, 572/17, 812/17], [-12/17, 24/17, 16/17], [0, 0, 0]], [[0, 0, 0], [1790875/289, 32841/289, 831/289], [84965/867, 14894/867, -3682/867], [-4054/867, -154/867, 5/867]], [[0, 0, 0], [-7734367758/289, -1978727587/289, 8298823514/289], [-300126593/867, 30533971/867, 341086798/867], [17128813/867, 3723655/867, -18618275/867]]], 0, 114688, [], [] >,
< [ -1, -3, 0, 1 ], [[128, -64, -128]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8/17, -492/17, 148/17], [8/17, -220/17, 12/17], [0, 0, 0]], [[0, 0, 0], [-120862/17, -37949/17, 15679/17], [-173702/51, -101345/51, -3683/51], [4/51, -5/51, -2/51]], [[0, 0, 0], [-26731047/17, -10535871/17, 299661], [-37935809/51, -23891981/51, 1176217/51], [1150/51, -350/51, -875/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1568, -1876, -488], [12, 16, 4], [0, 0, 0]], [[0, 0, 0], [-3989162637/289, 166605328/289, 169714552/289], [62750585/867, -54894118/867, 33003542/867], [158/867, 41/867, -1/867]], [[0, 0, 0], [4851313925043/289, 1598613172253/289, -1324478398804/289], [-36120559507/289, -15563127223/289, 11084603648/289], [-60183/289, -28350/289, 9558/289]]], 0, 114688, [], [] >,
< [ -1, -3, 0, 1 ], [[-256, -192, 0]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-44, -48, 4], [-4, -4, 0], [0, 0, 0]], [[0, 0, 0], [-229290/17, -26491/17, 63/17], [-24153/17, -5801/17, 2107/17], [-9/17, -4/17, 1/17]], [[0, 0, 0], [-39392423/17, -23984666/17, 22371801/17], [-10670521/51, -4617970/51, 5019848/51], [-3280/51, -727/51, 1100/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7316/17, -8120/17, -1180/17], [140/17, 132/17, 16/17], [0, 0, 0]], [[0, 0, 0], [-17519488/289, -29006146/289, 34049649/289], [493225/867, 640573/867, -1211846/867], [1084/867, 259/867, 1/867]], [[0, 0, 0], [2699540/289, 302184/289, -954773/289], [-92717/867, -10949/867, 32440/867], [-902/867, -101/867, 319/867]]], 0, 114688, [], [] >,
< [ -1, -3, 0, 1 ], [[-576, 128, 384]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [29264/17, 632/17, -100/17], [7316/17, 124/17, -8/17], [0, 0, 0]], [[0, 0, 0], [8818/17, -12967/17, -11999/17], [2359/17, -3426/17, -2981/17], [20/17, -1/17, 0]], [[0, 0, 0], [5275028/17, 379896152/17, 246635824/17], [-2190980/51, 284486812/51, 189876268/51], [-40696/3, -31588/3, 3476/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-84888/17, 2700/17, 440/17], [-2148/17, 80/17, 8/17], [0, 0, 0]], [[0, 0, 0], [-8639324564/289, -6128933123/289, 3354722474/289], [-657823193/867, -467351405/867, 257336728/867], [1045/867, 1/867, -5/867]], [[0, 0, 0], [-57005/289, -28195/289, -2964/289], [-4457/867, -2765/867, -965/867], [-41/867, -20/867, -2/867]]], 0, 2064384, [], [] >,
< [ -1, -3, 0, 1 ], [[384, -320, -320]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30244/17, 1308/17, 344/17], [4272/17, 216/17, 20/17], [0, 0, 0]], [[0, 0, 0], [-21260261253/17, 620387522/17, 4803226396/17], [-8996466590/51, 220516147/51, 2057663404/51], [-122/51, -8/51, 1/51]], [[0, 0, 0], [151668371534695/17, -3020385929328/17, -73558361505249/17], [3767215937917/3, -75030813878/3, -1822829921210/3], [580598/51, -1032703/51, -989872/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [113468/17, 21580/17, 312/17], [-1888/17, -356/17, -4/17], [0, 0, 0]], [[0, 0, 0], [558801768813/289, -42590796271/289, 108495860794/289], [-27888201994/867, 2188634183/867, -5403434869/867], [1211/867, -55/867, -1/867]], [[0, 0, 0], [-3039960642089992/17, 342097223609692/17, 1899177680554708/17], [50631559612632/17, -5612208431532/17, -31578266233848/17], [-2176456/17, 19700/17, 1126840/17]]], 0, 2064384, [], [] >,
< [ -1, -3, 0, 1 ], [[576, 384, -64]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [216/17, -772/17, 256/17], [-124/17, -432/17, -16/17], [0, 0, 0]], [[0, 0, 0], [46774976/17, 7364402/17, -16512803/17], [8326562/51, 6818606/51, -136771/51], [137/51, 8/51, -1/51]], [[0, 0, 0], [-9652621013, -1193773788, 3400998784], [-433840317, 17038034, 212863826], [-9702, 147, 3381]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6492/17, -31556/17, -2020/17], [104/17, 268/17, 20/17], [0, 0, 0]], [[0, 0, 0], [72794526038/289, 28944922078/289, -40695720774/289], [402899222/867, -347258362/867, 201429062/867], [-2152/867, 20/867, 2/867]], [[0, 0, 0], [2087215051294349/289, 340759505352816/289, -579521663395293/289], [6331799188687/289, -233974332242/289, -3460667962829/289], [-24121475/289, 3198475/289, 13308400/289]]], 0, 2064384, [], [] >,
< [ -1, -3, 0, 1 ], [[-12, -6, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, -5/2, 5/2], [-13/2, -7/2, 11/2], [-9/2, -5/2, 5/2], [0, 0, 0]], [[3, 7/2, 1], [-19/2, -125/2, -33], [3, 7/2, 1], [-13/2, 0, -1]], [[0, 0, 0], [1, 3/2, -1], [0, 0, 0], [-1, -3/2, 1]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-203/2, -5/2, 1/2], [-617/2, 1/2, 1/2], [-203/2, -5/2, 1/2], [0, 0, 0]], [[24898797, -8757221, -22361075/2], [152935545/2, -52723597/2, -33363574], [423278793/17, -148872673/17, -380138299/34], [-63/34, 7/34, -1/34]], [[311303772208, -195078371917, -246486857760], [963741654981, -1135862378247/2, -1476557647863/2], [5292151897112/17, -3316337502737/17, -4190275770732/17], [-509601/17, -431679/34, 67599/34]]], 0, 14, [], [] >,
< [ -1, -3, 0, 1 ], [[8, 8, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -5/2, 1/2], [-23/2, -21/2, 5/2], [1/2, -5/2, 1/2], [0, 0, 0]], [[116, -72, 56], [-849, 113/2, 1375/2], [116, -72, 56], [6, 17/2, 7/2]], [[-341968, 601392, -203412], [3918288, 1816764, -1889373], [-341968, 601392, -203412], [-12870, 3744, 5454]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[20, -2, 0], [72, -1, -5], [20, -2, 0], [0, 0, 0]], [[-39401/2, -14637, 12013/2], [-65654, -88327/2, 36713/2], [-666385/34, -247977/17, 204269/34], [143/34, 71/34, 1/17]], [[-310273527, -247008723/2, 528091275/2], [-1017825969, -605552647/2, 1611073813/2], [-5254131975/17, -4228564563/34, 8952665115/34], [854916/17, -612839/17, -518470/17]]], 1, 3, [], [] >,
< [ -1, -3, 0, 1 ], [[3, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[2, -1, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, -13/2, -2], [4, -11/2, -9/2], [-16, -2, 0], [0, 0, 0]], [[-34765/2, -7169, -1054], [32657/2, -26743/2, -6112], [-79391/2, 89651/2, -40537/2], [-2, -3/2, 0]], [[4432339/2, 1425375, -1135376], [-6703007/2, -5231073/2, 2560716], [28327551/2, 18511668, -13663993], [329/2, 35/2, -21]]], [[[2, -1, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 29/2, 8], [11/2, 12, 13/2], [13, -5, 4], [0, 0, 0]], [[-92326, 176384, 130274], [222600, 122112, 46110], [1178792, -922909/2, -27695], [-1, 1/2, -3/2]], [[-332065776, -72184728, 89716704], [421782480, 9269064, -161901432], [6144370441/2, 468106635/2, -1007381566], [-5863/2, 287, 2009/2]]], 1, 2, [], [] >,
< [ -1, -3, 0, 1 ], [[12, -6, -6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 15, 1/2], [0, 17, 35/2], [15, 1, 5], [0, 0, 0]], [[4989/2, -873075/2, 843141/2], [664922, 2016839/2, -175941], [-1776089/2, 1686249/2, 4975], [-13/2, 0, -5/2]], [[404243703/2, -201246282, -309322989/2], [268334092, -425036797, -881265351/2], [-1615215193, -309300305, 404254515], [-7844, 3392, 5088]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 17/2, 1/2], [-31/2, 10, 13], [17, 1, 0], [0, 0, 0]], [[8704, 896, -4992], [49791, 1245, -20448], [-50430, -19935/2, 17421], [10, 3/2, 1/2]], [[12398336, -856064, -4953984], [78164898, 4962021, -30038202], [-76100135, -9889026, 24806717], [17794, 6888, -4879]]], 0, 54, [], [] >,
< [ -1, -3, 0, 1 ], [[12, -6, -6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 11, 5/2], [-10, 8, 13/2], [13, 5, 3], [0, 0, 0]], [[3, 14, -8], [-26, 4, 1], [12, -5, 25/2], [11/2, 5/2, -1/2]], [[609, 3567/2, -1131], [-895, 2763/2, -691/2], [-257, -2652, 1058], [230, -60, -110]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 21, 2], [73/2, 95/2, 27], [27, 4, 5], [0, 0, 0]], [[301/2, 18, -53], [-1539/2, -193/2, 266], [-867, -113, 589/2], [-15/2, -1/2, 1/2]], [[3996213/2, 476463/2, -1393821/2], [-10210980, -2496429/2, 3537534], [-11500786, -1436661, 3959833], [-106250, -17850, 29240]]], 0, 54, [], [] >,
< [ -1, -3, 0, 1 ], [[12, -6, -6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 15/2, 0], [-12, 21/2, 0], [0, 15/2, 0], [0, 0, 0]], [[-6516, -228, 669/2], [-39987, -866, 10892], [-6508, -232, 679/2], [-4, 2, -5/2]], [[-245390409/2, 2753701/2, 46376755], [-761925105, -72254941, 260908690], [-245033487/2, 2675891/2, 46307981], [-178461/2, 38905/2, 34387]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17/2, 5, -1], [-239/2, 45, -2], [-17/2, 5, -1], [0, 0, 0]], [[-674, -551/2, -69/2], [18971/34, -91441/34, -23011/34], [-4213/17, -6727/34, -1113/34], [-483/34, -44/17, -1/17]], [[616272695/2, -517386279/2, -233448109], [-37772304049/34, -29503214241/34, -12103043833/17], [2920873735/34, -4331022903/34, -1962291533/17], [125929368/17, -74409064/17, -66877544/17]]], 0, 54, [], [] >,
< [ -1, -3, 0, 1 ], [[4, -2, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -1/2, 3/2], [13/2, 7/2, 13/2], [1/2, -1/2, 3/2], [0, 0, 0]], [[-20789/2, 2363, 4049/2], [-79281, 7929/2, 22851], [-20791/2, 2362, 4051/2], [1/2, 1/2, -1/2]], [[4215, 1515/2, -2745/2], [29847, 10415/2, -19121/2], [4215, 1515/2, -2745/2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, -1, 0], [-7/2, -2, -5], [11/2, -1, 0], [0, 0, 0]], [[105124, 18181/2, -16484], [-1385705/17, -1406816/17, -994799/17], [1788338/17, 309767/34, -280168/17], [-41/17, -23/34, -2/17]], [[4404849219/2, -347060535, -741896406], [-11181550531/17, 39445368312/17, 17900357038/17], [74926885473/34, -5911429845/17, -12622363902/17], [-1481625/34, 380025/17, 337500/17]]], 1, 6, [], [] >,
< [ -1, -3, 0, 1 ], [[-15, -12, 0]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[94, 7/2, 9/2], [-10318/17, -1141/17, -269/34], [217/17, 25/17, 5/34], [0, 0, 0]], [[-7289453/2, 8842916, 1115323], [844947975/34, -1734838809/34, -379956849/34], [-17805725/34, 36287795/34, 8165765/34], [11/17, 2/17, 0]], [[8601785009/2, -4786166689/2, -3385884727/2], [-933801102757/34, 472487665953/34, 401434882663/34], [19619155073/34, -4945440190/17, -8483291045/34], [-16897/34, -1525/17, 3355/34]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -9/2, 2], [25667/34, -7307/17, -13/34], [199/34, -46/17, 1/34], [0, 0, 0]], [[-1567183, -1857927/2, 2516971/2], [-78333796585/289, -40363238504/289, 81055846557/578], [-565631507/289, -227356824/289, 662697795/578], [-143/289, 14/289, -2/289]], [[90986648, -243055661, -194783627/2], [9137799335414/289, 394635612791/289, -836565636112/289], [115322929015/578, -36466867293/289, -56838927939/578], [31928/289, 54953/578, -3377/578]]], 0, 32, [], [] >,
< [ -1, -3, 0, 1 ], [[5, -1, -4]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[101/2, 23/2, 1/2], [-3343/34, -811/34, -38/17], [231/34, 65/34, -1/17], [0, 0, 0]], [[-5422167/2, 7522779, 312962], [86740993/17, -512144565/34, -11631282/17], [-40703663/102, 45687995/51, 12768697/102], [247/102, 19/102, 2/51]], [[270084769134, 28590459048, -118432244972], [-8896573072380/17, -53551513646, 3933074893647/17], [1799744214058/51, 162196353412/51, -783835936982/51], [-6263150/51, -1179350/51, 2083900/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -5/2, 0], [7007/34, -819/17, 13/34], [5/34, -5/17, -1/34], [0, 0, 0]], [[-42663, -50542, -8610], [-2004254169/578, 178657064/289, 630688044/289], [-5242250/867, -5878442/867, -2320669/1734], [2578/867, 143/1734, -1/1734]], [[-29023301425/2, -1348255279, 7751452181], [-560405897421830/289, -119572718776501/289, 390213148683527/578], [-1806349535596/867, -66010986160/867, 901447880987/867], [2455911445/1734, -241973599/867, -266090569/867]]], 1, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[15, -3, -12]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-28, 11/2, 0], [-159, -89/2, -97/2], [21, 4, 5], [0, 0, 0]], [[76722207/2, -6378851/2, -5635298], [409358625/2, 33828446, 13477997/2], [-27352588, -6399825/2, 222253], [-2, -3/2, -5/2]], [[-99604084801/2, -17322876231/2, 17076002208], [-513113702787/2, -70408745197, 143682886199/2], [68943114489/2, 17385323819/2, -20233593059/2], [2790, 4165/2, -110]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -9/2, -2], [16, 29/2, -1/2], [-8, -5, 1], [0, 0, 0]], [[-184, 359, -87], [-3453, -1653, 1758], [3577/2, 546, -1531/2], [-1, -1, -5/2]], [[2353299/2, 312597/2, -901921/2], [9688935, 2150775/2, -3249129], [-5489488, -640500, 1874032], [4144, 2616, -352]]], 0, 108, [], [] >,
< [ -1, -3, 0, 1 ], [[-8, -2, 1]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[42, 33/2, -3/2], [-1945/34, -486/17, -154/17], [-143/34, -71/34, -1/17], [0, 0, 0]], [[-2398256, 1265327/2, 538853/2], [5320347/2, -72502419/34, 18204897/34], [24137219/102, -2507405/51, -3249973/102], [1/51, -19/102, -2/51]], [[-1269280075, -268140250, 785752975/2], [58999222509/34, 15774638775/34, -17263529745/34], [6287242690/51, 2875731557/102, -1860077900/51], [-533/51, -8528/51, -5447/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-151/2, 4, -1/2], [-24037/17, -1039/17, -473/34], [257/34, 13/34, 3/34], [0, 0, 0]], [[-7948365/2, -16234009, -1623391/2], [-45276568229/578, -93334617406/289, -26135291187/578], [366710522/867, 3021162553/1734, 442857829/1734], [74/867, -245/1734, 1/1734]], [[-164818609965/2, -42602229090, 11624241150], [-883560311758159/578, -520421237192685/578, 38779993395134/289], [4724004112585/578, 1408880566175/289, -390023364035/578], [-1813000/289, -275500/289, 612500/289]]], 1, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[15, -6, -9]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[22, -43/2, 5/2], [1931/34, -741/17, 101/17], [-75/34, 65/34, -1/17], [0, 0, 0]], [[-200321/2, 47413/2, 55275/2], [-504835/2, 64259/2, 119033/2], [19433/2, -4597/2, -2994], [1/34, 5/34, 1/17]], [[-21015138, -5659935/2, 14866109/2], [-871312134/17, -231705215/34, 36254455/2], [34509067/17, 4609376/17, -24351151/34], [-52/17, -14/17, 35/34]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21, 27/2, 0], [16551/17, -15459/34, -1347/34], [71/34, -20/17, -2/17], [0, 0, 0]], [[-580821, 274585/2, 476785], [8346771123/289, 1848018536/289, -3877899419/289], [30677253/578, -13541955/578, -28912377/578], [-29/289, -3/578, -1/289]], [[-349584723/2, -78332909/2, 97640829], [132922118991/17, 40627598412/17, -61465860477/17], [561981289/34, 46277980/17, -161360270/17], [-789/34, 263/34, 0]]], 0, 32, [], [] >,
< [ -1, -3, 0, 1 ], [[-24, -6, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-95, -285/2, -14], [37, -315/2, -143/2], [-24, -45, -21], [0, 0, 0]], [[-74027111/2, -40998638, 29106807], [34934547/2, -85124721/2, 13746708], [-4476473, -210553/2, -179041/2], [-23/2, -1, -1]], [[-7189090985880, -1807025209470, 3990158802810], [11010113751336, 196576266295, -1989254012905], [-1385866544361, 579964630979/2, 678384486962], [-3409833, 2161565/2, 3764845/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-47, 18, 0], [197, 59, -10], [23, 5, -1], [0, 0, 0]], [[3411927, -6747119/2, 1013982], [-15881913, -1504719/2, 2139633/2], [-3662355/2, 123644, 47347], [-15/2, -1/2, -1]], [[7297487761/2, -239698121, -2238695013/2], [-11579026137, 2895394002, 12326683221/2], [-2807403705/2, 313283461, 1398868363/2], [-5057, 3112, 7391/2]]], 0, 108, [], [] >,
< [ -1, -3, 0, 1 ], [[-12, 3, 9]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, 5/2, 0], [1261/17, 82/17, 41/34], [134/17, 2/17, 1/34], [0, 0, 0]], [[-10019271/2, -1043151/2, 1448607/2], [590301958/17, 206899461/17, -28112221/17], [125498671/34, 18967633/17, -4492989/17], [-33/34, -1/17, -1/34]], [[-34384273375, 4565480945, 9562215350], [3732500585029/17, -600419439472/17, -1315860946104/17], [404179687870/17, -59818592360/17, -136872530215/17], [-107010/17, 42050/17, 21170/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[41/2, 1, -2], [112043/34, 16050/17, -3365/34], [-173/34, -24/17, 5/34], [0, 0, 0]], [[66172, 530507/2, -283171/2], [1947820404/289, 19049132559/578, -7979466603/578], [-3172725/289, -30240165/578, 6450165/289], [-89/289, 59/578, 1/289]], [[8409789/2, -1643373, -2153122], [323201696563/578, -138316252097/289, -135860993424/289], [-251167728/289, 424897515/578, 417067717/578], [11500/289, 3979/578, -6923/578]]], 0, 32, [], [] >,
< [ -1, -3, 0, 1 ], [[7, 4, -2]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[20, -17/2, 1/2], [-1387/34, 95/34, -71/17], [-169/34, 33/34, 2/17], [0, 0, 0]], [[853639, 214083/2, -255178], [-1644986, -464720, 335508], [-1198231/6, -212941/6, 164764/3], [-70/51, 2/51, 1/102]], [[862974122, 233359065, -314938262], [-28340050646/17, -12385773355/17, 6705929063/17], [-10194308318/51, -3093407972/51, 3243632560/51], [-108500/51, -98735/51, 60760/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-25/2, -5, 5/2], [-22623/34, -6345/34, 441/34], [105/34, 65/34, -5/34], [0, 0, 0]], [[74393/2, 154903/2, -2265/2], [-1774784361/578, -4328501341/578, 4975422925/578], [-9399724/867, -23355451/867, -11177339/1734], [-784/867, 2/867, 1/1734]], [[416065136, 465013605/2, -121494623], [5438187165217/578, -5463953724139/289, 4710212405195/289], [-170928898439/1734, -64470237286/867, 9466910984/867], [-26814412/867, -2918401/867, 8621849/867]]], 1, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[21, 12, -6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -5/2, 1/2], [86, 7/2, 2], [6, 0, 0], [0, 0, 0]], [[-1840, 1733/2, 3/2], [-65867/2, 3042, 3865], [-2309, 495/2, 601/2], [11/2, -2, 1]], [[-1544498, -240360, 722038], [-21684831, 4413019, 14110172], [-1557459, 197675, 930988], [3720, -2294, -3844]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, 3, 0], [-291/2, 3/2, -18], [19, -1, 3], [0, 0, 0]], [[-586400, 237280, 13920], [-11013368, 1436872, -509792], [2875171/2, -253702, 112745], [-1/2, -1/2, -2]], [[-2041002520, -278761120, 734830640], [-35179485390, -4060304958, 13079689878], [4681852025, 546843849, -1745391911], [-1610, 294, 1106]]], 0, 108, [], [] >,
< [ -1, -3, 0, 1 ], [[15, -12, -12]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-83/2, 5, 5/2], [-1867/38, 1409/19, 543/38], [-81/19, -4/19, -5/19], [0, 0, 0]], [[998634, 4542605/2, -1491438], [55845308/19, 257482521/38, -84268124/19], [1993014/19, 4541942/19, -2982668/19], [254/19, 2/19, 2/19]], [[4842275745/2, 13327399265/2, -4233347263], [296327262597/38, 759501316045/38, -243438034955/19], [9796367893/38, 13322467048/19, -8497203315/19], [-7234907/38, 102988/19, 1931025/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-189, -51, -29], [1903/19, -301, -1533/19], [-353/19, -3/19, -4/19], [0, 0, 0]], [[4812923837, 9629052814, -6488996163], [-176425222721/19, -378813949972/19, 13231936425], [9637119630/19, 19258060957/19, -25956393659/38], [-17/19, 2/19, 3/38]], [[5288661820930, 81289729867694, -90124150167117/2], [-781526201807550/19, -3299471658222098/19, 3930822076214539/38], [533323488059, 162763649840842/19, -89773336510188/19], [39675, -62850/19, -425175/19]]], 0, 108, [], [] >,
< [ -1, -3, 0, 1 ], [[5, -4, -4]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[25/2, -2, 8], [93/2, -1/2, -1], [19, 3, 5], [0, 0, 0]], [[277202565, -148496129/2, 51803073], [1026914184, -60325089/2, -343138809/2], [810218743/2, -3825040, -17750789/2], [-1, 2, -1/2]], [[22782393820026, -6046112808153, -14703244532928], [80220600306962, -161263793751, -35655830327569], [60242385358471/2, -6759852130117, -36089092082681/2], [-155990, -57855, 78869/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-173/2, -17, 3/2], [-47, 79, 607/2], [2, -1, -4], [0, 0, 0]], [[-16970605, -5383925/2, 14095479/2], [-141692617/34, 86947075/17, -169093630/17], [347781, -10091, 14539/2], [-39/34, -75/34, 1/34]], [[-3445596371463/2, -414015797755/2, 604033942746], [-1614167489531/2, -109040266356, 445903046551/2], [39927094091, 5005059234, -13208193905], [-46782, -17752, 11580]]], 1, 8, [], [] >,
< [ -1, -3, 0, 1 ], [[-21, 6, 15]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -41/2, -23/2], [-71/38, -2181/38, -1339/38], [5/19, 1/19, -3/19], [0, 0, 0]], [[-212, 2, -11], [5642/19, 4831/19, -519/19], [-227/19, -3/38, -1/19], [-227/19, -3/38, -1/19]], [[-47400809/2, -21881084, 551908], [1053111351/38, 797742948/19, 354921780/19], [-24380874/19, -20897892/19, 1211472/19], [-24380874/19, -20897892/19, 1211472/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-299/2, -243/2, 21], [8551/38, 11657/38, 1356/19], [-317/19, -1/19, -3/19], [0, 0, 0]], [[-200044709, -4997525326, 5408828175/2], [-8485083630/19, 84589737410/19, -83717495353/38], [14510957111/19, 20367280294/19, -14957839521/19], [-208/19, -2/19, 0]], [[671855767623387/2, 329920180268427, -274357980755290], [-13849173653978127/38, -5637278961091497/19, 5204172052787610/19], [255432768715947/38, -1085741881523103/19, 537533897237850/19], [-3123087/2, -1285977, 96690]]], 0, 108, [], [] >,
< [ -1, -3, 0, 1 ], [[-7, 2, 5]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -51/2, 3], [95/2, -15, -17/2], [-2, -15, -10], [0, 0, 0]], [[8179, 55885, -33395], [-37728, 51018, -16903], [-4334, -5547, 2995/2], [1/2, 5/2, -3/2]], [[-1/2, -1, -1/2], [-1, 0, 1/2], [-5/2, -1, 1/2], [1, 0, -1/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[946, 1307, -4], [-1243, 49, 23], [-12, -6, -3], [0, 0, 0]], [[-1144372730661/2, -536050599618, 474271845577/2], [14615735364546/17, -3126778289150/17, -2693472444693/34], [14946317017/2, -3214673, -27617697/2], [4/17, -25/17, -5/34]], [[-258599562478379231, -315131956195816145/2, 102379439103888275/2], [18373502239094103303/34, 841142666706042277/17, -2480338099781518777/17], [4619594071252338, 1108326727269688, -1678574320826669/2], [9787809/34, -14646111/34, -9762357/34]]], 1, 8, [], [] >,
< [ -1, -3, 0, 1 ], [[24, 15, -3]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -7, -9/2], [1588/19, 737/19, -489/38], [156/19, -4/19, 4/19], [0, 0, 0]], [[-1185, -46, -19/2], [-977950/19, -398448/19, 1023053/38], [97637/19, 918393/38, -270245/19], [-65/19, -5/38, 0]], [[13838321, -22077439/2, -11763234], [12371781317/19, 6057998747/38, -224931210], [1789073559/38, -2138328163/38, 759824029/38], [1527327/38, -1174095/38, -1273107/38]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-335/2, -63/2, -17], [-1527/38, 4297/38, -833/19], [-312/19, -2/19, -4/19], [0, 0, 0]], [[1017808299/2, 1137658904, -749174224], [37022830501/38, 42873451159/19, -28053692739/19], [1016998321/19, 2275307553/19, -2996637755/38], [-134/19, 0, -5/38]], [[-561255434306283/2, -531836546717518, 728376894963267/2], [-18096675149568753/38, -19956906600677772/19, 26357135607000081/38], [-1119468272731335/38, -2129734277410749/38, 727092764969343/19], [484240965/38, -483516189/38, -233287275/19]]], 0, 108, [], [] >,
< [ -1, -3, 0, 1 ], [[8, 5, -1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-14, 13, -2], [-48, -26, -13], [-14, -25, -12], [0, 0, 0]], [[4369521/2, -4641881, 3682431/2], [7383761, -3652441, 564947/2], [1438887, -108387/2, -67572], [-1, -1/2, 1/2]], [[-139275/2, 1238, 16094], [-248337/2, 206413/2, 105855], [-3773, 77518, 50764], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[28, -4, 1/2], [1163/2, 3/2, 615/2], [5, 0, 4], [0, 0, 0]], [[-5886039/2, -22068, 648933], [-2068625711/34, -47402193/34, 55220050/17], [-18055375/34, -107427/34, -561677/34], [41/17, -11/34, 2/17]], [[32434452599/2, -1684143547/2, -15769158691/2], [4978715817153/17, -6409641598215/34, -4479789640353/17], [82674352087/34, -77354139809/34, -91615510001/34], [-212346/17, 264805/34, 193521/17]]], 1, 8, [], [] >,
< [ -1, -3, 0, 1 ], [[-13, -4, 2]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-115/2, -4, 3], [19237/74, 1942/37, 507/37], [643/74, 91/74, 2/37], [0, 0, 0]], [[27421, -15505, -2353/2], [-8534661/74, 5889429/74, 192777/74], [-593453/148, 187095/74, 17699/148], [-35/148, 1/74, -3/148]], [[16934004, 5583921, -6237872], [-2794054320/37, -1087642452/37, 951781145/37], [-188921763/74, -67866801/74, 67194441/74], [-7705/74, 2613/74, 6231/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[41, 29/2, -3], [33749/37, 40469/74, -210/37], [-233/37, -217/74, -1/74], [0, 0, 0]], [[-5356467352, 156231683/2, 526567137/2], [-156356029714265/1258, -25147209982377/629, 10135271610371/629], [506552935635/629, 86238037775/2516, 1840944763/629], [-855/629, -11/2516, 1/629]], [[-2607816678463838561, 341761109892622291, 1741598991538326210], [-29374195310028925347416/629, 16285431390653819934367/629, 24474069096502680770072/629], [467001868899845130863/1258, -67387471636707252199/629, -183546186285598330710/629], [-813040802683/1258, 91112390011/629, 303830447574/629]]], 1, 8, [], [] >,
< [ -1, -3, 0, 1 ], [[10, 7, 1]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-134, -23, 5/2], [-4287/37, -113/37, 1057/74], [177/37, 73/74, -2/37], [0, 0, 0]], [[829673/2, 578533/2, -549813/2], [27133295/74, 18163605/74, -17457275/74], [-1071217/74, -727667/74, 700791/74], [1/74, 0, 1/37]], [[-62985877/2, -2651411, 10191513], [-2097840659/74, -178565841/74, 342358695/37], [164530017/148, 7093557/74, -13335114/37], [-249/148, 24/37, 97/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[165, -27, 0], [-117829/37, 15837/37, 559/37], [-218/37, 28/37, 1/37], [0, 0, 0]], [[-6982973409, 336220425/2, -79129113/2], [84787554851816/629, 961602607749/1258, 424279440059/629], [18459020091/74, 454059097/148, 56335811/37], [-23/629, -1/68, -1/1258]], [[-1357496069986906, -447115652926715/2, 732156052617047], [16220175471435117251/629, 4832076893867051425/1258, -8809449359591453865/629], [3519212840190205/74, 255576971363083/37, -958363940847147/37], [-3467620/629, 432910/629, 2168665/629]]], 1, 8, [], [] >,
< [ -1, -3, 0, 1 ], [[-7, -4, -1]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-44, -19/2, 3], [6191/37, 3671/74, 51/37], [248/37, 153/74, -1/74], [0, 0, 0]], [[3084751, 4341274, -6366931/2], [-915685917/74, -675060926/37, 13212131], [-17459796/37, -25070736/37, 73137255/148], [-1/37, 1/74, -1/148]], [[-275179/2, 194003, 13075/2], [33616431/74, -32878307/37, -1426677/74], [702318/37, -1227135/37, -132411/74], [28/37, 98/37, 52/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-49/2, 0, 1], [11263/74, 539/37, 92/37], [273/74, 17/74, 2/37], [0, 0, 0]], [[14178155/2, -3668809/2, 423547/2], [-27452510560/629, 10336975569/1258, -3999846259/1258], [-156217787/148, 35747817/148, -6308819/74], [27/2516, -1/68, -1/1258]], [[89484063576, 33643103177, -12204182726], [-354512394086317/629, -177876334543268/629, 19672683666320/629], [-506897668611/37, -241099154067/37, 35677885602/37], [81879/629, -70462/629, -73353/629]]], 1, 8, [], [] >,
< [ -1, -3, 0, 1 ], [[7, -5, -5]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[99, -131, -13/2], [-307/2, -229/2, -133/2], [-2, -12, -7], [0, 0, 0]], [[1593, 6715/2, -4503/2], [-1657/2, -1561, 1125], [-7/2, -19/2, -7/2], [0, -3/2, -2]], [[-32444301/2, 12504721/2, 1087365], [35461741/2, -1194378, -7242197/2], [48564, -99594, -82512], [-43692, -33126, -5694]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2245/2, 1769/2, 4], [3577/2, -388, 1557/2], [-2, -2, 4], [0, 0, 0]], [[-76267196707, -26328981311/2, 55720535095/2], [3623479589013/34, 242755281816/17, -728265032007/17], [-1337621499/34, 516497/34, -104311/17], [-121/34, -15/17, -3/34]], [[-206076333272306039, -62036672083790767/2, 70352407982186320], [4793090851597481520/17, 406341164553697275/34, -3981393756913489665/34], [-2205099440048983/17, -2140467813722039/34, 38913689486096/17], [-200985010/17, -301591465/34, -50363621/34]]], 1, 12, [], [] >,
< [ -1, -3, 0, 1 ], [[13, -2, -5]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-177/2, -129/2, 0], [77/2, -97, -153/2], [-5, -9, -7], [0, 0, 0]], [[144606137/2, 25120389/2, -24166120], [-131420589/2, -1984611, 51114187/2], [2645088, -192495/2, -66633/2], [-3/2, -2, -1]], [[6556628887457/2, 420907564110, -1136847695618], [-6204120768353/2, -679003195085/2, 1089028912229], [262185940031/2, 9337812217, -38688853367], [-96975/2, -27775/2, 8400]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1758, -1798, -5], [-2530, 362, 243], [2, -3, -2], [0, 0, 0]], [[-310621127007/2, -82436801321/2, 108687777163], [-508037156269/2, 125882542919, 26329945409/2], [315841703, -129629/2, -1114421/2], [5/2, 1, 0]], [[329036872134469256, 52134147828541056, -168182157975108168], [11429551788795092139/17, -1023958893617979511/17, -2845678327826762868/17], [-25915661414115765/34, -1253056608294363/17, 2666381054216304/17], [-188331235/34, -51466465/34, 17056870/17]]], 1, 12, [], [] >,
< [ -1, -3, 0, 1 ], [[4, -5, -2]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[88, 102, 5/2], [259/2, 7/2, 11/2], [-6, 5, 4], [0, 0, 0]], [[-209447165, -57945554, 187919405], [-316898413, 259296549, 4455140], [45762883/2, -225989/2, -956609/2], [2, -3/2, 0]], [[2247899098530, 4924369613976, 2002801065980], [2564180303684, 2231523861130, 921275809970], [-62116112493/2, 280543258566, 357957609237/2], [-14661, -9423, -6615/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[362, -577/2, 2], [1083, 515/2, 417/2], [-3, -5, -4], [0, 0, 0]], [[576702647073/2, -34566252147, -65295913725], [22635609374159/34, 164640164841/34, -2784309585204/17], [-18792367556/17, -53136351/17, 16055719/34], [-87/34, -47/34, -3/34]], [[25804851842867009598, -12146464307667804597, -1120807952455709952], [1070138337477094797483/17, -189880102916717681507/17, -139075660111721655478/17], [-3204370678638990645/34, 1378369179266966911/34, -637066047305688260/17], [-8897923857/34, -2667708294/17, -1777527855/34]]], 1, 12, [], [] >,
< [ -1, -3, 0, 1 ], [[16, -2, -5]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[52, 167/2, -2], [-164, -309/2, -187/2], [-2, -12, -7], [0, 0, 0]], [[1165/2, 2929/2, -1883/2], [1467, 5297/2, -1829], [13/2, -1, -1], [-5/2, 3/2, 0]], [[5340225/2, 22817325/2, -15049725/2], [29374650, 50573927/2, -20609112], [379337, -39676, -167188], [-182175, -27517, 42504]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-125/2, -5, 0], [7927/2, -589/2, 0], [13, -1, 0], [0, 0, 0]], [[-1867427/2, -121803, -5721], [2012873539/34, -50558521/34, -1584398/17], [6600827/34, -90779/17, -5666/17], [41/34, -65/34, 1/17]], [[-1386997793017, 136246651225/2, 583467182996], [1592196266435544/17, -44740878283365/34, -1243713797800197/34], [5226191108665/17, -141465147475/34, -2038880290094/17], [52201842/17, 16230115/34, -23972741/34]]], 1, 16, [], [] >,
< [ -1, -3, 0, 1 ], [[11, 2, -1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-397/2, 278, -4], [-669/2, -65/2, 6], [-3, 4, -1], [0, 0, 0]], [[351766511/2, 266816901/2, 61256513], [201452459/2, -191202148, -293481687/2], [4173927/2, -20231/2, -6509], [5/2, -2, -3/2]], [[-157569291173601/2, -54443754816769, -22866317825889/2], [-52677562596342, 61008890650062, 116445337970199/2], [-2009277779767/2, -289835882437/2, 324202448087/2], [-1249556, 1061137/2, 710941]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-87, -1031/2, -1], [-1218, -225/2, -169/2], [-23, -4, -3], [0, 0, 0]], [[18964490215/2, 163096664903/2, -10992094381], [8785306326895/34, -182646600313/17, -347301696117/34], [163867947627/34, -120880043/34, -35441059/34], [5/17, -71/34, -1/17]], [[1008185327186663/2, -978842936032517/2, -368927723269578], [-305154545460780933/34, -25580174775367194/17, 86630133984659795/34], [-5671341236281349/34, -1064096299657163/34, 764865257175080/17], [-995389/34, 212573/17, 568073/34]]], 1, 16, [], [] >,
< [ -1, -3, 0, 1 ], [[13, -5, -8]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[37, 23, 9/2], [-13/2, 155/2, 105/2], [-4, 6, 4], [0, 0, 0]], [[-3385425, 1708941/2, 1139569], [4023516, 4358375/2, -303493/2], [1335257/2, -48167/2, -69249/2], [-1, -1/2, 2]], [[-13195848931471/2, -2187177931597/2, 2111103600564], [11364936259459/2, -278294234131, -5209566928153/2], [1216556229315, 86711678735, -466012899200], [-1253925, -777625, -4350]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1925/2, 879, -1/2], [1489, 1945, 2587/2], [-2, -15, -10], [0, 0, 0]], [[-7102199681371/2, -3703680711783/2, 3956379556249/2], [44345468004136/17, 37748330727361/34, -25607780477553/17], [143297991467/34, -127467032/17, 84136324/17], [65/34, 23/34, 2/17]], [[63514844299417874271, 22325038420029454965/2, -47156133420096585371/2], [-1603656730680172075193/34, -63594499051089788248/17, 343355066383533575790/17], [-1776313949508607527/17, -625039447399291134/17, 279020882093905224/17], [-777837420/17, -478523196/17, 85824/17]]], 1, 16, [], [] >,
< [ -1, -3, 0, 1 ], [[76, 13, -17]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -9/2, -5/2], [-1, -5/2, -2], [1562, 4, -3], [0, 0, 0]], [[-1, -8, -17/2], [-145/2, 87/2, -145/2], [-45836, -2556, 27427/2], [-5/2, 3/2, -5/2]], [[52572575/2, 55130550, 22904400], [-2556334775/2, 344512025/2, 590046325], [-1239545480447/2, -70568442193, 215871702710], [-88149475/2, 11879725/2, 20346425]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[775/2, -364, 0], [5531/2, 15/2, 3], [-1632, -4, -2], [0, 0, 0]], [[-77645752481191/2, 72284340067643/2, 148933228], [-9392065961566215/34, 3415568699083/17, 20017815424135/34], [5542526526042535/34, -5474472862365/34, -5517912304859/17], [-9/34, -42/17, -5/34]], [[-7081452016676790028062209/2, -336633672395889085501171, 1231208458985630163309665], [-655285991395153173682566077/34, -87619326226166236298589579/34, 108133106030455317700720315/17], [386743470139074450282999291/34, 25854759607149164963276815/17, -63818896716433817739213307/17], [1258863608439/34, -169460627159/34, -290506585321/17]]], 1, 1120, [], [] >,
< [ -1, -3, 0, 1 ], [[16, 4, 13]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21, 35, -1], [-40, -1, -2], [2023, 4, 1], [0, 0, 0]], [[-436423052199/2, 299994863781, -11825734395/2], [-387144376806, 706997589, 289101135/2], [39235002926169/2, -332273122573, -843723322274], [5/2, 1/2, -1]], [[213095391, 1797027789/2, 607533063], [-393803079, -2496309393/2, -1168365477/2], [16796647120, 52200589100, 23981451450], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[98, 549/2, 7/2], [2453/2, -6, -4], [304, -3, -1], [0, 0, 0]], [[-3188218676257/2, -8964389901329/2, -97655452383], [-665660912381243/34, -603643494294/17, -2212963196505/34], [-164985035485081/34, 538468868855/34, -269052484232/17], [43/34, 8/17, 5/34]], [[-1510104367576221958524, -9966273237770581715560, -15124239954740349913884], [31484245722079635334204, -60460322189820210913952, -16740901388771856420013], [15650409061222056606401/2, -14959466452787653534140, -8147501987557112296637/2], [-1201236350, 5765656480, 5285182865/2]]], 1, 1120, [], [] >,
< [ -1, -3, 0, 1 ], [[-38, -29, 13]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-45, -147/2, 0], [119, 3/2, 5/2], [100, 3, -1], [0, 0, 0]], [[-31465449161/2, -24727977743, 1216906889], [84319239717/2, -2692438877/2, 476270883], [70936849865/2, -384364631, -696399269], [5/2, -5/2, 1]], [[414857609598891129/2, 1923198537454991227/2, 1019137062217840885/2], [262982196788885762, -1146217290110442537/2, -539953436458309782], [453960257765912341/2, -892654473239851379/2, -857798441571392447/2], [33159722, -16588767/2, -29846202]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[493, 245/2, -3/2], [-409/2, -3, -2], [-1006, 2, -1], [0, 0, 0]], [[46796791361689, 22897017394013/2, -718902952485/2], [-660680540361923/34, -4497271404628/17, -1705757212212/17], [-1625180415607479/17, 4487345314667/17, 5674318506940/17], [46/17, -7/17, 1/17]], [[57329492460573392532, -84083620859507995956, -92380770798213284595], [-536092761191518833079/17, 332934162848972598839/17, 596387054927011985041/17], [-5395537703822120379989/34, 1475918095099072983539/17, 5715157818410859838951/34], [87465473/17, -21867706/17, -157439797/34]]], 1, 1120, [], [] >,
< [ -1, -3, 0, 1 ], [[52, -5, -29]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[86, 127/2, 1/2], [-181/2, -2, -1], [234, 4, 2], [0, 0, 0]], [[-70384024383, -47275923596, 5497642917/2], [150007863091/2, -2423414869/2, -1203142367/2], [-387934675497/2, 7984718469/2, 1980734421], [-5/2, 1, -5/2]], [[-51885361398703439369/2, -23558688322643568719/2, 6645406379686384861/2], [34233212646364249387, 17074497023558135351/2, -9376037326347946661], [-177171438631217874917/2, -43810351465906705975/2, 48770686719995224797/2], [-1553568821, -1553319895/2, 202719697]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[800, 1575/2, -3/2], [4813/2, 1, -11], [-595, -1, 5], [0, 0, 0]], [[675778904302141/2, 674458030872431/2, 1680829008933], [34322831173043159/34, 5999948043064/17, 78907203060419/34], [-8486294579211381/34, -6852563272518/17, 13693045271835/34], [-23/17, 29/17, -1/34]], [[-342172775907482911229726, 1580578072837829469794456, 1166540759332174827911158], [-55652536552074996626147120/17, 20939520991871020077731880/17, 38449831450554581263563290/17], [13768076923340248257861743/17, -5098708733839833356590311/17, -18911781664276859482599493/34], [277594155163/34, 138795312745/34, -36208908419/34]]], 1, 624, [], [] >,
< [ -1, -3, 0, 1 ], [[49, 1, -26]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-271/2, 347/2, 5/2], [182, 1/2, 2], [22, 8, -6], [0, 0, 0]], [[-1631843765/2, -1047713275, 899496231], [1191399747/2, 1303047909/2, -409538563], [32529035, -160151/2, -693443/2], [5/2, 1, 1]], [[-17369367141814625, 6252972171053265, 4029693176900993], [18619964024313558, 1250595509131109, -3612828843178746], [2047224302792186, 479526086222684, -1281922725547091/2], [306036035/2, 134365057/2, -59710163/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-111/2, 59, 10], [223/2, 97/2, 30], [-14, -95, -56], [0, 0, 0]], [[-3805638767/2, -4618786231, 2996949975], [55879687989/34, 138000510991/34, -44588623065/17], [-174569926/17, 1310298/17, 6270203/34], [111/34, 101/34, 5/34]], [[-683454489397890345/2, -878875953204767414, 1128986254281325047/2], [4853519670631858170/17, 13109504275639879708/17, -16687100705646873681/34], [-92633758502167480/17, -5978380265903202/17, 21804173413446811/17], [23378651030/17, 10263700922/17, -4561675302/17]]], 1, 624, [], [] >,
< [ -1, -3, 0, 1 ], [[40, 1, -5]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[46, 49, -3/2], [147/2, -5/2, -3/2], [-688, 5, -1], [0, 0, 0]], [[14780314631, 17026061636, 1073346505/2], [46135399749/2, 329693891/2, -56921369/2], [-216275090908, -16958628865/2, -5046203250], [1, -5/2, -3/2]], [[634425955339198446, 291482411454853617, -194618590164440103], [1351211103447039295, 498931111633582, -315823098641850396], [-25146169166383649909/2, -105237567804723761/2, 2868027129388166531], [186055025/2, -23240513, -79731243/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-761, 602, -3/2], [-2993/2, -3/2, 11/2], [-451, 0, -5], [0, 0, 0]], [[-1460618844322139/2, 1110885938607735/2, 5843945210974], [-48427405440545699/34, -9400754123457/17, 679667375823395/34], [-14594578466775929/34, 11165439666139/34, -1925324259817/17], [53/34, 49/17, 3/34]], [[1857498911973628681800357/2, 157138571800854498982988, -340224177488344470685495], [47965235784255011149412817/34, 6236023855775665684838949/34, -8885437090007614936692470/17], [7244217154040997150255216/17, 942573867149086453946229/17, -2690723824965022132490670/17], [-8431080646/17, 2107683251/17, 3613276313/17]]], 1, 624, [], [] >,
< [ -1, -3, 0, 1 ], [[25, 1, -17]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[50, -9/2, -2], [-7747/37, 299/74, -411/37], [-277/37, 25/74, -5/74], [0, 0, 0]], [[3382286, 32983827/2, 130812], [-1678366155/74, -7166820113/74, -813772235/74], [-49556095/74, -222446811/74, -35415949/148], [-22/37, -1/37, 3/148]], [[-8830253536533/2, -2905147426261/2, 2507349700539/2], [697543023626117/37, 596882787806317/74, -314654698789143/74], [98659888584903/148, 37926871888209/148, -6175330036149/37], [-151876327/148, -17675041/148, 13569681/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-112, -15, 13/2], [27135/37, 4642/37, 1747/74], [1257/74, 271/74, 5/74], [0, 0, 0]], [[-82549347597, -6956479741/2, 4856673112], [19801752882899/37, 2031904614589/74, 618510328722/37], [921065806209/74, 98794861431/74, -3430623735/74], [-83/74, -1/37, 0]], [[-976552307410591421, -684157423866663877/2, 564963268507361277/2], [222365187283000660679/34, 3440858944910240729967/1258, -1086080245484928043663/629], [10923241535386725109/74, 2227279399934447340/37, -5568601208049676025/148], [-17171278101/1258, -3340367580/629, 9614476425/2516]]], 1, 304, [], [] >,
< [ -1, -3, 0, 1 ], [[-38, -17, 10]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-191/2, -79/2, -3], [-7783/74, -3063/74, -97/37], [221/74, 43/37, 5/74], [0, 0, 0]], [[43/2, -214, 273/2], [-559/37, -20549/74, 5938/37], [102, 39/4, -6], [67/74, 1/148, -1/74]], [[2738139/2, -447714, 178378], [79005131/74, -61791951/74, 8825165/37], [55752751/37, 52565079/148, -43703629/148], [507925/37, 426657/148, -386023/148]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-14383/2, -411/2, -1], [656885/74, -399/74, 236/37], [16649/74, 43/37, 5/74], [0, 0, 0]], [[-1399040998420560, -21332664861519/2, -17797138692119/2], [1085993414022136826/629, -24097766535679458/629, 16466840105851831/1258], [55052499523512371/1258, -1791770571348223/2516, 774041977194501/2516], [613/1258, 81/2516, 3/2516]], [[-440383144894451828121316, 716663078249176793772615/2, 230876805558402893215227], [346760232328060949143554355/629, -547799169142769688013944485/1258, -171375768825860968028562934/629], [17533170114689464265820285/1258, -13912152827089652664700089/1258, -8763591966057765122379369/1258], [187748741105/1258, -80431767946/629, -54839421116/629]]], 1, 304, [], [] >,
< [ -1, -3, 0, 1 ], [[25, 10, 1]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[50, -100, 2], [1956/37, -3291/37, 156/37], [-66/37, 130/37, 2/37], [0, 0, 0]], [[-2433767, -2132162, -5090], [-170492819/74, -128228143/74, 6857798/37], [6442341/74, 5888745/74, 448113/148], [10/37, -1/37, 5/148]], [[108853803115/2, 6017527741/2, -27999612016], [2017135741010/37, 370433121711/74, -978483734782/37], [-282541985565/148, -2533387317/37, 147660687105/148], [-1150835/148, 84085/37, 6275/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-179, -85/2, 5/2], [149612/37, 74035/74, -1229/74], [473/74, 129/74, -1/37], [0, 0, 0]], [[-194673605613/2, 2097449339/2, -626629855], [1380014011646079/629, -18425049940685/1258, 21801243813922/629], [514629178311/148, 3310477919/37, 3785111545/148], [-4735/2516, -21/629, -5/2516]], [[-53880097825679187636, -19228526045127590959/2, 32289465912498062061], [1526522844012287743381175/1258, 133273361794642343593989/629, -925735371089539646542335/1258], [69688363420118970306/37, 42650514593677318659/148, -169149482687567190705/148], [-643586690176/629, -410188191555/2516, 1546926720641/2516]]], 1, 304, [], [] >,
< [ -1, -3, 0, 1 ], [[-51, -42, 3]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -2350, 0], [18589/38, -40018/19, -82/19], [-4700/19, 4/19, 1/19], [0, 0, 0]], [[-194907190851, 364924394765/2, 27212752387/2], [-6367018008409/19, 6094598308917/38, 2026023212837/38], [1537620514379/19, 54434512723/38, -390896644882/19], [32/19, 5/38, 0]], [[150286583107408535/2, 25009524584480127/2, -80683055749314275/2], [4248349097818225965/38, 743051303019568993/38, -1970185069909469365/38], [-426726535374728686/19, -8503258785622125/2, 301244614090869125/38], [-9702504/19, -8034705/38, 5122215/38]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2067, -2061, -1/2], [47506/19, 43360/19, -379/38], [-4138/19, -1/19, 5/19], [0, 0, 0]], [[10421037392747, 6200241165961/2, -2867904479650], [-247962920289349/19, -136516322549559/38, 69117658431355/19], [29717473152380/19, 6309710244787/38, -8890689088591/19], [-48/19, 1/38, 1/19]], [[-1350922450030720483263/2, -359208383983876779695/2, 322133733112536786047/2], [32311063260071016697451/38, 8196744418968684980563/38, -425187897445021339761/2], [-2018885538950539933489/19, -694753772257361224003/38, 1338389748938784509727/38], [3838499325/19, 3135599775/38, -2052679275/38]]], 0, 2160, [], [] >,
< [ -1, -3, 0, 1 ], [[-17, -14, 1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 2, 0], [-9/2, -1/2, 0], [120, 5, 4], [0, 0, 0]], [[547900, -2046365, 280120], [4644088, -154117, -141779], [-246790871/2, 14125814, -2734859/2], [-2, -2, -3/2]], [[4816185611890, -414798334485, -760482983650], [18465927309108, 307324603291, -6029830218203], [-503806263900606, -1524279901644, 160288179991785], [-5322912, 1649856, 2460432]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[571, 1587/2, -1], [-814, -1/2, -3/2], [-195, -2, 5], [0, 0, 0]], [[-105050978406937/2, -75334162448897, -377986428256], [2457038161878365/34, -27864263676701/34, 34371299642420/17], [34643760768903/2, -11646245424, -30560544054], [133/34, 91/34, 2/17]], [[1399379790120749169193/2, 1316430931026363980664, -993194599447469394512], [13051148001732433814359/34, 58959394565493752404739/34, -16892323452665404120279/17], [156585027549809580743/2, 381825157225126065871, -217005905342428707134], [-450336677/34, 138535831/34, 103923757/17]]], 1, 80, [], [] >,
< [ -1, -3, 0, 1 ], [[-42, 39, 39]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 2, -3/2], [-9629/2, -63965/19, -261/38], [-9144/19, -5/19, -1/19], [0, 0, 0]], [[22627347234, -2033731, 7876183], [1412163777570107/19, 740556885047412/19, -126717110117291/19], [166563438589032/19, 33889403220328/19, -72788676320453/38], [-48/19, -2/19, 1/38]], [[5397839681751011899/2, 351012846416415070, -1809152980559447236], [214552638707426630083581/38, -63077510699587782343770/19, -86093242369488040624584/19], [33184670252602470378867/38, -284125329313693171884/19, -884223614145029895051/2], [-11114217207/38, -520398936/19, 7488927549/38]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1731/2, 5/2, -3/2], [1603/38, -41067/38, 53/38], [1735/19, 0, -4/19], [0, 0, 0]], [[-295086570001/2, 39433676499, 97409556831/2], [-2576354844891/38, 85922541119/19, -94487371825/2], [-592190758367/38, 157735664801/38, 194813458137/38], [-173/38, -1/38, 3/38]], [[3047018547683098857, 2713912495199789365/2, -1906946408764945185/2], [25574651588639089893/19, -5867861108242729587/38, -66380088820696464777/38], [6112098576755623914/19, 142923524845350147, -1919446158180979857/19], [1539156696/19, 142768692/19, -1037595768/19]]], 0, 2160, [], [] >,
< [ -1, -3, 0, 1 ], [[-14, 13, 13]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, 13/2, -1], [-18, 5/2, 3/2], [118, -3, -4], [0, 0, 0]], [[26034342, -50229115/2, 4125566], [63886739, 4176955/2, 5294249/2], [-439113242, -261079981/2, -74355731], [0, -3/2, -1/2]], [[5611854296099, -595324086148, -1314406125254], [10745719836733, 599523630765, -2865706336080], [-68982760296651, -6561293361672, 16938438608940], [65016, -35754, -28833]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-192, 29/2, -9/2], [-2495/2, -2, -1], [-44, -2, 1], [0, 0, 0]], [[4431570115176, -609867044074, 487555824013/2], [982097287933895/34, -50214592376871/34, 25919019577195/34], [17360500109643/17, -13652715760/17, -21796504979/17], [-22/17, 27/17, 1/17]], [[-417859626355936485175, -195513924150316437575/2, 79294352370486437275/2], [-91095048978734574172443/34, -12583197934416662500884/17, 4160192867547375452429/17], [-3179206132795971851633/34, -934200734047012522343/34, 154716385135256774147/17], [4451605299/34, -1236726663/17, -1978512269/34]]], 1, 80, [], [] >,
< [ -1, -3, 0, 1 ], [[75, -6, -42]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[833/2, -2, -5/2], [19033/38, -9283/19, -239/38], [838/19, 1/19, -2/19], [0, 0, 0]], [[-5608537751/2, 838497209/2, 911357265/2], [-148190292947/38, 83077526003/38, 2514285819/38], [-11267418419/38, 1676993771/38, 911357283/19], [327/38, 1/38, 1/19]], [[3012169066997057/2, 52473665731144, -304540201186940], [82144189639091073/38, -12153911828347917/19, -8258430303891315/19], [6054035276554077/38, 223706805727691/38, -607691746005154/19], [-193500065/38, -92224975/38, -9912030/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4353, 3/2, -1/2], [-65163/19, 139347/38, -225/38], [8703/19, 3/19, 3/19], [0, 0, 0]], [[-860088754483/2, -175255689241/2, 189345285232], [18944780121471/38, 7048362904057/38, -223271099186], [-859872897407/19, -175262946221/19, 757373809619/38], [27/19, 1/19, 1/38]], [[-2230550105948039/2, -187810957319499/2, 516522827000974], [49938542213177107/38, 16707358291048357/38, -9249639029913952/19], [-4459735504394265/38, -187530651918305/19, 2066177497386895/38], [174845/38, 47685/19, 24565/38]]], 0, 2160, [], [] >,
< [ -1, -3, 0, 1 ], [[25, -2, -14]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-12, 11/2, -2], [-38, -3/2, -1/2], [-290, -5, 1], [0, 0, 0]], [[-722661757, 380781285, -128837461], [-2296822734, 33169761, -5731065], [-35092870167/2, 1173283493/2, 220534277], [3/2, -1, -3/2]], [[540404479009/2, 507078751877/2, -196007058823], [1229199321051/2, 442799184654, -668963608335/2], [9385245811451/2, 3324351013090, -5150871830497/2], [-256, 192, 319/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[923, 295/2, -5/2], [-2293/2, -2, -1], [-19, -75, -44], [0, 0, 0]], [[-13778371382577/2, -1233381569475, 2619753397449], [310201832793005/34, 60356427205771/34, -60183936766411/17], [-24528589407/2, 21264764, 12264271], [-41/34, 65/34, -1/17]], [[62450966670409748083/2, 4153220560868406317, -11165119656653448067], [-1398885472158463295955/34, -192807073859813855577/34, 251209238763730451877/17], [134339354826894553/2, 28571010250538570, -3851494278918766], [249165585/34, -186988529/34, -77886595/17]]], 1, 80, [], [] >,
< [ -1, -3, 0, 1 ], [[-8, 10, 7]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1789/2, -16, 1/2], [-18126/17, -103/34, 175/34], [1410/17, 21/34, -3/34], [0, 0, 0]], [[35187371681/2, -2422492805, -4761574911/2], [-711480254017/34, 43778125953/17, 50303261911/17], [165850409861/102, -20310137521/102, -23209852699/102], [-26/51, 4/51, 5/102]], [[-414531748203266, 95091135674408, 190926450276110], [8329785797896528/17, -1943848169466537/17, -3891796682534862/17], [-1937957531303080/51, 465906576376154/51, 913309840046978/51], [597344/51, -213664/51, -314176/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1591/2, -1, -5/2], [-198578/17, -10553/34, -921/34], [-1254/17, -67/34, -5/34], [0, 0, 0]], [[-48025159519, 13656887001/2, 2444223052], [-203550618863515/289, 24561281695345/289, 11244757987369/289], [-7712706938885/1734, 928480991719/1734, 428325254821/1734], [3397/1734, 91/1734, 2/867]], [[80026015384342117/2, -19029048811868603/2, -17771354784799153], [335861201293778741059/578, -83245165234895056543/578, -76374578405041805409/289], [1060478419868907827/289, -524986885476176075/578, -964438989679424093/578], [-417718567/289, 431407753/578, 524256145/578]]], 1, 48, [], [] >,
< [ -1, -3, 0, 1 ], [[-45, -21, 12]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1305/2, -21/2, -1/2], [5653/2, 219/2, -5], [-121/2, -5/2, 0], [0, 0, 0]], [[12416943/2, -4468101/2, -765041/2], [-457046175/17, 154535306/17, 65979041/34], [574976, -389063/2, -41243], [24/17, -1/17, 1/34]], [[239828195, 47157582, -58199532], [-35108397489/34, -7129038231/34, 8441612853/34], [751217481/34, 76756282/17, -89985302/17], [1128/17, 1167/17, 643/34]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1867/2, 2, 2], [-1257091/34, -34747/34, -1399/34], [2943/34, 81/34, 3/34], [0, 0, 0]], [[76276237565/2, 3409426926, -8757333659/2], [-435211565758273/289, -46205060286718/289, 98873444663233/578], [2037775671015/578, 108079132722/289, -231620078087/578], [-2219/578, -67/578, -5/578]], [[6637358903111618, 5092320077127207/2, -1441781704384401/2], [-151459627748719363809/578, -30355886369105775761/289, 7567716262490093336/289], [177288532163351003/289, 142071306024519651/578, -35471970784614301/578], [-407545021/578, -186182061/578, 5138783/289]]], 0, 576, [], [] >,
< [ -1, -3, 0, 1 ], [[-24, 30, 21]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-120, -68, -3/2], [-31/2, -3/2, -5/2], [-191, -1, -3], [0, 0, 0]], [[-82259935/2, -82923097/2, -24859099/2], [-5019744, -4754663/2, -2262677], [-117986633/2, -27274329/2, -26264167/2], [-5, -3/2, -1]], [[-3252573808, -2558507023/2, 1278294679/2], [-1060602119/2, -224711629, 166471565], [-6428705589, -2187046206, 4420154655/2], [-1053/2, -351/2, 351/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-149/2, -133/2, 0], [-191/2, 2, 1/2], [-379, -10, 2], [0, 0, 0]], [[-726388544, -1018271744, -240546096], [-775779772, -125624249, -159162180], [-6220994749/2, -1480593189/2, -1321447265/2], [2, 3/2, -2]], [[-7011005848, 3625761664, 5540143448], [-14652994658, 881143818, 6153441614], [-56988084843, 4259834595, 24610391091], [27, 9, -9]]], 0, 1728, [], [] >,
< [ -1, -3, 0, 1 ], [[33, 12, 0]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-251/2, 24, 2], [22563/34, 593/17, -103/34], [3199/34, 92/17, -5/34], [0, 0, 0]], [[157135561, -91676115, -38531323/2], [-13257392851/17, 15233587765/34, 7248765055/34], [-3748046085/34, 1088729556/17, 517819435/17], [38/17, -1/34, -1/34]], [[91390650481715, -50332136416576, -44984406001107], [-6802901214192945/17, 7102790729988094/17, 340613422496440], [-957808335806908/17, 1024549382241327/17, 829688560865505/17], [26357246/17, 16239115/17, 3362930/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-635, 311/2, 1], [-3636193/34, -8613/17, 656/17], [5397/34, 13/17, -1/17], [0, 0, 0]], [[-448268429055/2, 58270375275/2, 23826354015/2], [-10831193814595250/289, -2102140626795655/578, 633868814767523/578], [16076089060182/289, 3122362286183/578, -940863503947/578], [-94/289, 26/289, -2/289]], [[-195207363235835/2, -78121480553800, -20108399030440], [-5449500707650724051/289, -14519713033920401949/578, -2793572404753873813/289], [8088616646717953/289, 10776683082090317/289, 4147002600673791/289], [-84039/578, -30783/289, -8346/289]]], 0, 576, [], [] >,
< [ -1, -3, 0, 1 ], [[-11, 7, 4]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[124, -23, -2], [-216, -9, -3], [-31, -2, 0], [0, 0, 0]], [[906, 633, 53/2], [-65403/34, -65507/34, -18851/34], [-22859/102, -24401/102, -4000/51], [152/51, 1/102, 2/51]], [[-332474127/2, 915175227/2, 369703225], [186408221/2, -56335134243/34, -36887691881/34], [200171180/51, -21593308193/102, -6850160962/51], [-98942177/102, 92833045/102, 61367335/102]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-217/2, 19, 5/2], [-91609/34, -6311/34, 441/34], [921/34, 65/34, -5/34], [0, 0, 0]], [[3950172403/2, -504889039, -61290575/2], [28235964338447/578, -700863793085/578, -290782261107/289], [-141942394150/289, 3265507374/289, 6060999843/578], [-287/289, -21/578, -1/578]], [[-798980532358123, 957088142370587/2, 248927581940289], [-10050483826121972309/578, 8686710590983337309/578, 5735865728141338261/578], [151512403797424954/867, -261692744771969317/1734, -173333349008227867/1734], [576773855/1734, -305163131/867, -397799689/1734]]], 1, 48, [], [] >,
< [ -1, -3, 0, 1 ], [[-33, 21, 12]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[147/2, -62, -1/2], [81, 2, -1/2], [-42, -6, 0], [0, 0, 0]], [[-1984372, 2543246, -470242], [-2326632, 369288, -132948], [1214484, -23584, 50587], [-7, -2, 0]], [[-2664524120, 2259818098, -70383656], [-2895835410, 98017773, 67871655], [1497693371, 232183921/2, -36753214], [-8451, -5535/2, 567/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-105, 179/2, -1/2], [-231/2, -1, 1], [148, 16, 1], [0, 0, 0]], [[-71986510, 74767824, -9248013], [-80587422, 8752334, -657473], [206519261/2, -940534, 1280256], [-5/2, 5/2, 0]], [[-384564183471, -64330880328, 36043949643], [-266025595086, 168584189682, 184004489139], [313903697362, -266693970264, -263425797964], [-13915, -5016, 46]]], 0, 1728, [], [] >,
< [ -1, -3, 0, 1 ], [[30, 0, -21]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[141/2, -27/2, 3/2], [2855/17, -761/34, -163/17], [-120/17, 21/34, -3/34], [0, 0, 0]], [[-1690259/2, -656057/2, 339163], [-65197779/34, -22300557/34, 12845622/17], [1383709/17, 1078555/34, -522674/17], [43/17, 5/34, 2/17]], [[-516370116, -69129704, 158853990], [-20322835505/17, -2647032568/17, 6413589804/17], [851493318/17, 125315220/17, -257332972/17], [33530/17, 9580/17, -9580/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-103/2, 13, -1/2], [30577/17, -4935/17, -341/34], [175/34, -27/34, -1/34], [0, 0, 0]], [[-1368759, 4122240, 66527043/2], [-18363415560/289, -279509176893/578, -348437637573/289], [-121675215/578, -852806833/578, -2007912209/578], [99/578, 23/578, 2/289]], [[-1409094635/2, -242265310, 11769595/2], [839364562683/34, 186291522379/17, 27148622341/34], [1202155860/17, 1090855365/34, 89097455/34], [-1500/17, -375/34, 1025/34]]], 0, 576, [], [] >,
< [ -1, -3, 0, 1 ], [[-23, 4, 10]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-235/2, -55/2, 5/2], [1832/17, 2243/34, 249/17], [200/17, 135/34, 5/34], [0, 0, 0]], [[-6009024, -587805/2, 758229], [10455371/2, 24956025/17, -10794987/34], [30293851/51, 6944909/102, -3519725/51], [131/102, -2/51, -2/51]], [[-90723897192, 49219410624, 46509934128], [1083995955451/17, -1267600823872/17, -2090754693925/34], [436096615226/51, -287182948102/51, -531836803631/102], [111281/6, -46517/3, -59881/6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-101/2, 43/2, -5/2], [-15044/17, 10723/34, -177/17], [86/17, -55/34, 3/34], [0, 0, 0]], [[1899916, -1864962, 812012], [579383903/17, -475992981/17, 194813482/17], [-3342896/17, 2496142/17, -1130728/17], [2, 0, 0]], [[464511155, -323626299, -434297721/2], [4638071814697/578, -1542605140513/289, -1129890544670/289], [-38075654663/867, 30834786709/867, 43831737605/1734], [287455/867, -612535/1734, -272405/867]]], 1, 48, [], [] >,
< [ -1, -3, 0, 1 ], [[-69, 12, 30]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[45, 109/2, -2], [-61, 1/2, 1/2], [167, 14, 2], [0, 0, 0]], [[-3229139811/2, -1868058861, 399200775/2], [2171601011, -164953134, -14584069/2], [-5939281248, -156013693/2, -127091819/2], [-9/2, -2, -1]], [[20276549729573/2, -14170532553513, -5413491638300], [-81002707964681/2, -22011946481997/2, 21510499062439], [212069994517995/2, 24581830331807, -57494481510044], [131427/2, 799/2, -45713]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[134, 337/2, -2], [-178, -1/2, -3/2], [0, 12, -3], [0, 0, 0]], [[-169083181, 98257313/2, 251997477/2], [838131843/2, -11933454, -155599914], [10289290, -68749/2, -168799/2], [-1/2, -2, -2]], [[218496098063117/2, 26705078622901/2, -37629883561591], [-517107432388623/2, -31560547505685, 179652347465751/2], [-13174417161545/2, -1636206637081/2, 2311181144595], [59621/2, -25, -41757/2]]], 0, 1728, [], [] >,
< [ -1, -3, 0, 1 ], [[16, 16, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, 9, 7], [-8, -24, -13], [0, 0, 0]], [[0, 0, 0], [-81227, -16244, 66687/2], [-13000, -8840, 3510], [2, -1, 3/2]], [[0, 0, 0], [8967891, 1084482, -6083121/2], [1128920, -67704, -496652], [-309, 0, 309/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, -5, -4], [-388, -3, -5], [0, 0, 0]], [[0, 0, 0], [65437847/2, 1218301/2, -398035/2], [127213833196/17, 1435464340/17, -34305597476/17], [-87/34, 55/34, -3/34]], [[0, 0, 0], [-3672231179098, -8342372544720, -4048342407023], [-337283406517440, -153536863752640, 29463150314560], [110200, -51560, -52520]]], 1, 15, [], [] >,
< [ -1, -3, 0, 1 ], [[-24, -12, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 40, 25], [-7, 7, 6], [0, 0, 0]], [[0, 0, 0], [1816, 8279/2, 1933], [1024, 768, 62], [-10, -5/2, -1]], [[0, 0, 0], [-199166, 747807/2, -212735/2], [-569520, -296112, 324720], [-119362, -585519/2, 379055/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 1, -5], [73, -3, -4], [0, 0, 0]], [[0, 0, 0], [7615163, 953613/2, -176474], [-650498216/17, -36804832/17, 135890088/17], [-131/17, -105/34, -1/17]], [[0, 0, 0], [312956426281, 77992829450, -3192645495], [-25739438768124/17, -3516048468804/17, 5301712260792/17], [-5417905/17, -3273425/17, -476322/17]]], 0, 126, [], [] >,
< [ -1, -3, 0, 1 ], [[48, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 20, 12], [-6, 8, 4], [0, 0, 0]], [[0, 0, 0], [2, 0, 0], [2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-3784, 1548, 2494], [-4592, 224, 1848], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 4, 0], [22, 38, 18], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-12744, -1998, 3402], [-9164, -6952, -948], [0, 0, 0]]], 0, 2016, [], [] >,
< [ -1, -3, 0, 1 ], [[24, -12, -12]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32, 32, 14], [-32, -2, -2], [0, 0, 0]], [[0, 0, 0], [-372002, -627617, 431389], [705628, 1310609, -894756], [0, 1, -1]], [[0, 0, 0], [-7803794, -1616034, 2729156], [10939427, 4459203/2, -8361469/2], [-79/2, -21, 2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -29, -8], [-28, -10, -10], [0, 0, 0]], [[0, 0, 0], [211617, 499742, -326696], [-402864, -1021981, 1314113/2], [3/2, -3/2, 3/2]], [[0, 0, 0], [-567094, -1770868, 964238], [-2743004, 5622627/2, -843676], [-245, 259/2, 357/2]]], 0, 378, [], [] >,
< [ -1, -3, 0, 1 ], [[24, -12, -12]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9, -4, -2], [-26, -68, -32], [0, 0, 0]], [[0, 0, 0], [123975, 109782, -93708], [46841, -34725, 6029/2], [5/2, -5/2, 3/2]], [[0, 0, 0], [-1095255, -219051, 409374], [-876639, -241219, 181255], [-30, 65, 52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13, -2, -3], [-38, 4, 16], [0, 0, 0]], [[0, 0, 0], [74032, 130217, 5949], [79624, -104239/2, -172651/2], [13/2, 2, 2]], [[0, 0, 0], [176383884, -133094994, -51359700], [699259957, 212401585/2, -185756679], [50519, 19589/2, -46395/2]]], 0, 378, [], [] >,
< [ -1, -3, 0, 1 ], [[48, 48, 12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 3, -1], [21, 18, 3], [0, 0, 0]], [[0, 0, 0], [7987/2, 23369/2, -14823/2], [1742, 453, -32], [7/2, -1/2, -3/2]], [[0, 0, 0], [23281, 59277, -38383], [3378, 984, 1290], [6, -3, -3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-307, 9, 7], [17, 8, 2], [0, 0, 0]], [[0, 0, 0], [35940953673/34, -7562571150/17, 1286305641/34], [-961858477/17, 18099710/17, 11178161/17], [107/34, -5/17, -1/34]], [[0, 0, 0], [-558740444828641/17, 174838420986283/17, 161720732214375/17], [24862510168556/17, -13993842885566/17, -13820659408170/17], [-1440434/17, 708914/17, 708660/17]]], 0, 378, [], [] >,
< [ -1, -3, 0, 1 ], [[16, 16, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -1, -4], [4, 9, 5], [0, 0, 0]], [[0, 0, 0], [4131, 599, -2515/2], [3124, -124, -1435], [2, -2, 5/2]], [[0, 0, 0], [-1021395/2, -68618, 169004], [-396501, -21216, 155856], [-741/2, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-201, -9, 3], [-16, -3, 1], [0, 0, 0]], [[0, 0, 0], [-1628033/34, -229699/34, -202359/34], [-65944/17, -19684/17, -3699/17], [-9/34, -135/34, -5/34]], [[0, 0, 0], [76352380683/17, 8728018866/17, -22347879369/17], [5832672365/17, 787499724/17, -1743148225/17], [-1548932/17, 549054/17, 541816/17]]], 1, 14, [], [] >,
< [ -1, -3, 0, 1 ], [[-80, 16, 64]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1406/17, -1098/17, -154/17], [-190/17, -232/17, -64/17], [0, 0, 0]], [[0, 0, 0], [-30620843/17, -26930428/17, 21949228/17], [-1624870/51, 11208290/51, -6168091/51], [-226/51, -1/51, -1/51]], [[0, 0, 0], [787725613760/17, -200449703378/17, -216623739426/17], [113350007852/17, 33437860024/17, -71038248924/17], [192096, -1110624/17, -2419968/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24940/17, -21554/17, -690/17], [72/17, 162/17, 6/17], [0, 0, 0]], [[0, 0, 0], [14952075692/289, 218098483/289, -5032023301/289], [-6823661/867, 85986742/867, -31817663/867], [5692/867, 193/867, 4/867]], [[0, 0, 0], [4558543610629094/289, 436522674116937/289, -1677563135552286/289], [-12948712676423/867, -577732813871/867, 6692806647550/867], [1920393475/867, 593422687/867, -470179853/867]]], 0, 10752, [], [] >,
< [ -1, -3, 0, 1 ], [[240, 192, 0]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1050/17, -2728/17, -164/17], [86/17, 168/17, 10/17], [0, 0, 0]], [[0, 0, 0], [-14688419/17, 14017034/17, -4280841/17], [4779840/17, -265423/17, -1148952/17], [43/17, 3/17, -2/17]], [[0, 0, 0], [144788450317/17, -6306911441/17, 21826046521/17], [-37662900831/17, -3785279202/17, 8853954660/17], [-491634/17, -607464/17, -250965/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38336/17, -31554/17, 2458/17], [-106/17, 76/17, -6/17], [0, 0, 0]], [[0, 0, 0], [-8364129067/289, 10081912583/289, 16297184117/289], [28931921/289, -3985674/289, -30641802/289], [-1134/289, 24/289, -1/289]], [[0, 0, 0], [-7716323620024/289, 13191520206694/289, 8212362866034/289], [25506373754/289, -18891024162/289, -13785352376/289], [-1589376/289, -620850/289, 571182/289]]], 0, 129024, [], [] >,
< [ -1, -3, 0, 1 ], [[-240, 48, 192]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-460, 42, 70], [0, -4, -8], [0, 0, 0]], [[0, 0, 0], [-455275512, -58158592, 160252972], [383469, 12661, -5560], [9, -2, -1]], [[0, 0, 0], [-122070720940, -12748207372, 43321443044], [247328614, 486887266, 199685620], [3536, 2692, -102]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [284, -58, 98], [34, -2, 4], [0, 0, 0]], [[0, 0, 0], [1202592, -199476, 246126], [142263, -6079, 3874], [13, -4, 3]], [[0, 0, 0], [22041960346, 19150801978, 1369209550], [2315267964, 1671799564, -29207104], [242424, 190008, -1092]]], 0, 435456, [], [] >,
< [ -1, -3, 0, 1 ], [[-240, 96, 144]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18/17, 814/17, 350/17], [256/17, 406/17, 10/17], [0, 0, 0]], [[0, 0, 0], [-7305487/17, -32356861/17, 25771718/17], [-1020757, -1828013, 1406168], [5/17, 4/17, 4/17]], [[0, 0, 0], [351000510643/17, -131088052722/17, -34710532849/17], [-16938729811, -10500634954, 10269630773], [241395/17, 10527/17, -79860/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [361722/17, 40094/17, 2680/17], [-854/17, -94/17, -6/17], [0, 0, 0]], [[0, 0, 0], [19345541506/289, 28909807801/289, -14517085406/289], [-45675094/289, -68238757/289, 34303172/289], [-25/289, 101/289, 5/289]], [[0, 0, 0], [-38458510448052/289, -5717887814284/289, 16727846796298/289], [90819912844/289, 13518529086/289, -39493304222/289], [297308/289, 45298/289, -85492/289]]], 0, 129024, [], [] >,
< [ -1, -3, 0, 1 ], [[128, 32, -16]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1118/17, 110/17, 164/17], [370/17, 8/17, -6/17], [0, 0, 0]], [[0, 0, 0], [34583092/17, 11236229/17, -1232260/17], [33576716/51, 7062431/51, -4929976/51], [-13/51, -13/51, -1/51]], [[0, 0, 0], [-95122823430/17, 11891638406/17, 32794982308/17], [-32578468054/17, 1404241302/17, 10806069828/17], [564, -12, -344]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2712, 1072, 8], [14, -8, 0], [0, 0, 0]], [[0, 0, 0], [686851561350/289, 640203388651/289, 501783806124/289], [-5571119032/867, 9163932815/867, 1513819088/867], [179/867, 101/867, 5/867]], [[0, 0, 0], [392957306548158/289, 345471362610840/289, -32439754717884/289], [-1705295604934/289, -325432076760/289, 1062286351516/289], [29696/289, 12416/289, -5776/289]]], 0, 10752, [], [] >,
< [ -1, -3, 0, 1 ], [[384, 96, -48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1174, 36, -214], [-4, 0, 10], [0, 0, 0]], [[0, 0, 0], [3591998274, 493081210, -1312052554], [-8041322, 11400, 160409], [-19, 3, -5]], [[0, 0, 0], [-1584259438102120, -209819496620272, 543503810529284], [3549976421598, -626382126630, -1746722749830], [8574630, -3419448, -5082354]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [424, 46, 52], [40, 4, 4], [0, 0, 0]], [[0, 0, 0], [391512, -3696, 77646], [36965, -477, 6361], [10, -5, 4]], [[0, 0, 0], [-9476285304, 3724287966, 5983524336], [-900668344, 324631314, 551593510], [-295412, 83148, 157508]]], 0, 435456, [], [] >,
< [ -1, -3, 0, 1 ], [[192, -48, -144]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2698/17, 1382/17, -54/17], [-314/17, -162/17, 2/17], [0, 0, 0]], [[0, 0, 0], [1357062/17, -22401171/17, 8435670/17], [7374/17, 2999858/17, -1227059/17], [13/17, 3/17, -4/17]], [[0, 0, 0], [-1125341953/17, -1469281785/17, 1217098090/17], [142640294/17, 198200543/17, -159821673/17], [-579/17, -5, 161/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-87722/17, -31278/17, -994/17], [-452/17, -160/17, -6/17], [0, 0, 0]], [[0, 0, 0], [-129823/289, 554738/289, 153449/289], [72399/289, 43728/289, -16/289], [-2372/289, -93/289, -2/289]], [[0, 0, 0], [-14639479624/289, -1840513020/289, 3107755840/289], [2739600640/289, 135577162/289, -1061941664/289], [-110966576/289, -4529248/289, 37366296/289]]], 0, 129024, [], [] >,
< [ -1, -3, 0, 1 ], [[-112, -64, 32]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4396/17, 466/17, -62/17], [594/17, 52/17, -4/17], [0, 0, 0]], [[0, 0, 0], [7659/17, 12668/17, -9764/17], [-148/17, 2103/17, -1476/17], [-56/17, 2/17, -1/17]], [[0, 0, 0], [50410648/17, -18299884/17, 2698347/17], [-100453003/51, -21601285/51, 50057474/51], [-5075434/51, -435955/51, 2069639/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4394/17, 20052/17, 1018/17], [-62/17, -210/17, -10/17], [0, 0, 0]], [[0, 0, 0], [-2660558359/289, 278305655/289, 673777855/289], [27022465/867, -14708804/867, -2044895/867], [-3647/867, -110/867, -2/867]], [[0, 0, 0], [120064050798760/289, 56845384863710/289, -23913933916872/289], [-567090262540/289, -518163784852/289, 1174691252/289], [-2289232/289, -174605968/289, -120600904/289]]], 0, 10752, [], [] >,
< [ -1, -3, 0, 1 ], [[-336, -192, 96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1164, 90, -186], [38, -4, 8], [0, 0, 0]], [[0, 0, 0], [-4749625462, -96473090, 114136584], [156038477, 906232, 925113], [6, 2, -5]], [[0, 0, 0], [56620181972742, 17004530751284, -9132267391994], [-1881443004429, -586714450573, 277817305978], [-50259, 10758, 36333]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [94, -344, -248], [-8, 58, 40], [0, 0, 0]], [[0, 0, 0], [-419018, 512454, -284476], [69945, -24206, 15260], [15, 5, 4]], [[0, 0, 0], [-6779463586, -1673354328, 4385809888], [794604756, 36424938, -512381922], [110898, -78324, -121512]]], 0, 435456, [], [] >,
< [ -1, -3, 0, 1 ], [[-240, 192, 192]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18798/19, -12484/19, -350/19], [1106/19, 6/19, 10/19], [0, 0, 0]], [[0, 0, 0], [4808/19, 1372/19, -7128/19], [-696/19, 3/19, 414/19], [130/19, -1/19, 0]], [[0, 0, 0], [-5342893496/19, -5074792902/19, -2392980994/19], [848073285/19, 322073267/19, -124845074/19], [-151599555/19, 11128895/19, 84573070/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4426/19, 1776/19, -94/19], [186/19, 10/19, 8/19], [0, 0, 0]], [[0, 0, 0], [-394877664/19, -106291982/19, 236245718/19], [-23494889/19, -15835738/19, 17206935/19], [-479/19, -4/19, -3/19]], [[0, 0, 0], [3791991725805552/19, 878625490647606/19, -754164062733138/19], [171274699664838/19, 10485487913652/19, -29392369519140/19], [5135767578/19, -395940258/19, -2874683790/19]]], 0, 435456, [], [] >,
< [ -1, -3, 0, 1 ], [[-80, 64, 64]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [128, 42, -32], [12, 4, -4], [0, 0, 0]], [[0, 0, 0], [-4, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-2004, -542, 540], [-186, -48, 60], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2648, -1870, -848], [-22, -22, -10], [0, 0, 0]], [[0, 0, 0], [1669491748028/17, -214329153482/17, -15743912598/17], [758843832, -246173, 2598146], [-12/17, 41/17, -1/17]], [[0, 0, 0], [1877987009836818144, 151936262781990624, -755368187175559632], [13779574021921925, 668190485254727, -5795699556995884], [-31247007, -11702242, 7817391]]], 0, 17920, [], [] >,
< [ -1, -3, 0, 1 ], [[336, -96, -240]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-916/19, -6886/19, 260/19], [16, -2/19, 4/19], [0, 0, 0]], [[0, 0, 0], [204256/19, 12752/19, -66948/19], [38623/19, 4681/19, -13241/19], [439/19, 3/19, 5/19]], [[0, 0, 0], [17908918108/19, 2129074936/19, -6795681212/19], [3308840815/19, 444950513/19, -1126690983/19], [52441581/19, 41956139/19, -3948761/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4442/19, -4086/19, -394/19], [-232/19, 6/19, 4/19], [0, 0, 0]], [[0, 0, 0], [-4070436400/19, -1433358046/19, 966867806/19], [-274004862/19, -8416275/19, 67556814/19], [-122/19, -5/19, 4/19]], [[0, 0, 0], [1451776289345088/19, 982367150138584/19, 55043130577904/19], [99693001533349/19, 31866591117101/19, -30063539427366/19], [54084169/19, 2262839, -3568026/19]]], 0, 435456, [], [] >,
< [ -1, -3, 0, 1 ], [[112, -32, -80]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [314, 0, 6], [-32, -6, -4], [0, 0, 0]], [[0, 0, 0], [18, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-88901470, 60258030, 48857748], [7540290, -9497106, -6629292], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5496, 6130, 3376], [22, 40, 22], [0, 0, 0]], [[0, 0, 0], [7791311526956/17, -841997779758/17, -714570248456/17], [1340072228, -5710356, -5525303], [111/17, 67/17, 5/17]], [[0, 0, 0], [-762731303415293186, 1349452300703285538, -283686682987003164], [-1880488324719263, 4742862510838654, -671507824131326], [-9992435, 14940219, 9967854]]], 0, 17920, [], [] >,
< [ -1, -3, 0, 1 ], [[-384, -240, 48]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [82/19, -2478/19, 326/19], [-84/19, -2/19, -4/19], [0, 0, 0]], [[0, 0, 0], [75070116/19, 117837700/19, -66679186/19], [-3124548/19, -1775496/19, 2343660/19], [332/19, 4/19, 0]], [[0, 0, 0], [1300401712/19, -77836620, -2795104318/19], [-170496930/19, -122276177/19, 17646716/19], [810, -14577/19, -14484/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13354/19, -6306/19, 172/19], [472/19, 0, 2/19], [0, 0, 0]], [[0, 0, 0], [39028123190/19, -1529669740/19, -17230211758/19], [-1678261509/19, -39118535/19, 632186123/19], [131/19, -5/19, -3/19]], [[0, 0, 0], [96418026401091712/19, 57485721294074672/19, -3390375374909640/19], [-198469944811666, -1330479320237534/19, 714220484405100/19], [11773080, -199416948/19, -202080756/19]]], 0, 435456, [], [] >,
< [ -1, -3, 0, 1 ], [[-128, -80, 16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [146, -2, 8], [52, 4, 10], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-9474590, 5118530, 8007132], [-2930862, 3205378, 3601004], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-884, -768, -460], [-2, -10, -6], [0, 0, 0]], [[0, 0, 0], [947944/17, 730714/17, -514554/17], [519/17, -1344/17, 39/17], [-22/17, 78/17, 1/17]], [[0, 0, 0], [-24840413948/17, -7406226342/17, 4513412710/17], [-32128558/17, 14337245/17, 25435829/17], [1477551/17, -1103326/17, -1474212/17]]], 0, 17920, [], [] >,
< [ -1, -3, 0, 1 ], [[208, 64, -32]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10858/37, -6530/37, -396/37], [-784/37, -360/37, -2/37], [0, 0, 0]], [[0, 0, 0], [15319515587/37, 2087728603/37, -5481482271/37], [1176087014/37, 351664971/74, -428529470/37], [97/37, 1/74, 0]], [[0, 0, 0], [1670435005829271/37, 181557260073610/37, -585341694000113/37], [127377629327586/37, 13689523532738/37, -88586706637165/74], [15285340/37, 13773067/37, 2943241/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [324894/37, 84914/37, 1384/37], [1124/37, 276/37, 4/37], [0, 0, 0]], [[0, 0, 0], [-759801580981519/629, -36451185102194/629, -2375876540623/629], [-70982680263/17, -2118133201/17, -905000857/34], [805/629, 22/629, 1/1258]], [[0, 0, 0], [-3465130211929325706685/629, 886825883294735745535/629, 2655505794648983257173/629], [-12133805850449266425/629, 5703231946995316875/1258, 9184761062128443015/629], [100814340/17, -1669242555/1258, -2787587685/629]]], 0, 32256, [], [] >,
< [ -1, -3, 0, 1 ], [[-160, -112, -16]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4450/37, 514/37, 280/37], [1168/37, 258/37, -4/37], [0, 0, 0]], [[0, 0, 0], [38671/37, 5455/37, -353], [9637/37, 2865/74, -6263/74], [2/37, 3/74, -1/74]], [[0, 0, 0], [12004129/37, 1389692/37, -4232804/37], [5956079/74, 317030/37, -2109813/74], [1001/74, 66/37, -561/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-35584/37, 123132/37, 1168/37], [132/37, -482/37, -4/37], [0, 0, 0]], [[0, 0, 0], [585717546087/629, 141905291352/629, 73957537092/629], [-263771747/74, -33038224/37, -36336767/74], [-121/1258, 2/629, -3/1258]], [[0, 0, 0], [-220372120687786768/37, 131644628916917043/37, 205944198728109767/37], [1673180790438413/74, -1047590198134583/74, -799887055059381/37], [55832257/74, -7890949/74, -17703596/37]]], 0, 32256, [], [] >,
< [ -1, -3, 0, 1 ], [[112, 64, 16]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-350, -116, -2], [-38, -10, 0], [0, 0, 0]], [[0, 0, 0], [-8999079254/37, -1065065845/37, 3355216198/37], [-1004569348/37, -249056729/74, 748887481/74], [0, 1/74, 1/74]], [[0, 0, 0], [-7480329056/37, -903414244/37, 2601266790/37], [-833296896/37, -100726848/37, 289789056/37], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [91260/37, 62684/37, 724/37], [-1108/37, -616/37, -10/37], [0, 0, 0]], [[0, 0, 0], [-6663724186770/629, -2437771476368/629, 1796602239517/629], [8199482365/74, -836916425/74, -101712683/74], [5/1258, 75/1258, -1/1258]], [[0, 0, 0], [-53101056070367788/629, -11100451774246068/629, 15535675606614142/629], [39773858382288/37, 7234248764896/37, -11653211042164/37], [-75656/629, 63014/629, 66444/629]]], 0, 32256, [], [] >,
< [ -1, -3, 0, 1 ], [[-112, -112, 32]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-354, -178, -110], [14, 10, 6], [0, 0, 0]], [[0, 0, 0], [32, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-189528, 20152, 165018], [6600, -2112, -6864], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3268, 3516, 1552], [10, 18, 8], [0, 0, 0]], [[0, 0, 0], [2812791082/17, -3258061320/17, 1465449868/17], [8672952/17, -44613/17, 50328/17], [94/17, 135/17, 5/17]], [[0, 0, 0], [53861612890607080/17, -27783068792155024/17, -5352552364667104/17], [128407670251538/17, -27651086546581/17, -44602304096938/17], [679486170/17, -454597925/17, -907416785/17]]], 0, 48384, [], [] >,
< [ -1, -3, 0, 1 ], [[208, -32, -80]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-74, 102, -118], [24, 10, -10], [0, 0, 0]], [[0, 0, 0], [-44, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-416294, -468652, -27902], [45140, 11300, -8920], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7210, 6572, 4612], [-10, 20, 14], [0, 0, 0]], [[0, 0, 0], [-7110133696502/17, 2301120111818/17, -295048781316/17], [-13563595060/17, -13096139/17, -48246432/17], [46/17, 61/17, 1/17]], [[0, 0, 0], [-109005272909501528/17, -19656207316936668/17, 39358181401875354/17], [-185934834267815/17, -34229307018230/17, 63801726927835/17], [345900/17, 93430/17, -63485/17]]], 0, 48384, [], [] >,
< [ -1, -3, 0, 1 ], [[-208, -112, 32]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [102, -14, 2], [-12, -10, -2], [0, 0, 0]], [[0, 0, 0], [-24, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-49458, -13824, 27064], [3114, -1692, -2592], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4600, -630, -720], [-2, 12, 14], [0, 0, 0]], [[0, 0, 0], [-98070688123832/17, -20654031360834/17, 39042609366454/17], [81626397960/17, 89287207/17, -125564656/17], [8/17, 35/17, -5/17]], [[0, 0, 0], [-1068635638314422249614/17, -127166765062085850468/17, 370998411267657818184/17], [1029225975787008164/17, 180621180099219283/17, -324643289295526809/17], [-49396395/17, 28216950/17, 42331140/17]]], 0, 48384, [], [] >,
< [ -1, -3, 0, 1 ], [[256, -32, -80]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-142, -10, -42], [-8, 0, -4], [0, 0, 0]], [[0, 0, 0], [-28, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [52, 78, -52], [4, 6, -4], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3678, -5338, -4166], [-10, -18, -14], [0, 0, 0]], [[0, 0, 0], [529668635592/17, 5604051964/17, -49029775440/17], [1225491961/17, 12903037/17, -12832550/17], [53/17, -4/17, 3/17]], [[0, 0, 0], [19169771207688013926/17, 2814062661759151668/17, -5163573374714643406/17], [44964194833626087/17, 7450378924145853/17, -10915350482856108/17], [2006584811/17, 308680130/17, -463265887/17]]], 0, 64512, [], [] >,
< [ -1, -3, 0, 1 ], [[320, -16, -160]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1342, 66, 288], [0, 2, 10], [0, 0, 0]], [[0, 0, 0], [38, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [1144877566, 124340972, -401956534], [370280, -151808, -207552], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18728, -172, -120], [-14, -6, -4], [0, 0, 0]], [[0, 0, 0], [23774420060208/17, -2897563103490/17, -2927065317720/17], [16215902645/17, 7154036/17, -17735815/17], [2/17, 30/17, 3/17]], [[0, 0, 0], [8055763196483090898/17, 937319473294367282/17, -2643978041511683638/17], [5385482267232306/17, 768359761379922/17, -1659413057051508/17], [-2263110/17, 971520/17, 1293510/17]]], 0, 64512, [], [] >,
< [ -1, -3, 0, 1 ], [[208, -80, -128]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1752, -146, -138], [54, 6, 6], [0, 0, 0]], [[0, 0, 0], [28, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-451047972, -249402032, 18350642], [14040820, 8425200, -132160], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8702, 16110, 7592], [22, 34, 16], [0, 0, 0]], [[0, 0, 0], [-10178179852612/17, -1844476808656/17, 71804762290/17], [-28664220633/17, 93082802/17, -140335301/17], [70/17, 64/17, 3/17]], [[0, 0, 0], [434159322337548080256/17, 150383707267394047288/17, -106551139653961561820/17], [1295811419135819814/17, 399974951189582668/17, -371064977727728068/17], [-2370688580/17, -1457538268/17, 870602/17]]], 0, 64512, [], [] >,
< [ -1, -3, 0, 1 ], [[1216, 208, -272]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-250, 10, 0], [3146, 6, -8], [0, 0, 0]], [[0, 0, 0], [-42, 0, 0], [106, 1, 1], [1, 0, 0]], [[0, 0, 0], [-176179496, 23963864, 81397336], [2174410938, -335647326, -1036128702], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6342, 2, -10], [-2024, -2, 4], [0, 0, 0]], [[0, 0, 0], [27832459163732314/17, 5726442981214/17, 35737370952930/17], [-8882530546806827/17, -7846045403288/17, -7825541823221/17], [80/17, 44/17, 1/17]], [[0, 0, 0], [8503978112511686833250254/17, -1382787670264385380416798/17, -2530108613601683153478466/17], [-2713613349211701830419152/17, 440253454277172640419524/17, 807880763340544348753408/17], [20399301560/17, -2745894580/17, -9414963580/17]]], 0, 4515840, [], [] >,
< [ -1, -3, 0, 1 ], [[256, 64, 208]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-520, -10, -4], [-82, 0, -8], [0, 0, 0]], [[0, 0, 0], [-18, 0, 0], [-146, 1, 1], [1, 0, 0]], [[0, 0, 0], [-7122136, 18885664, 9522856], [-895066, 3812690, 1725374], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [21744, 50, 14], [-3928, -10, -4], [0, 0, 0]], [[0, 0, 0], [1317228875737223380/17, -7253906897791530/17, -7546498056374036/17], [-237953087544107087/17, 1255532320524757/17, 1276296360868591/17], [10/17, -105/17, -2/17]], [[0, 0, 0], [-5663287509406833852906829528/17, -1826064899631653638783635364/17, 442480557908802894694707152/17], [1023161569281554141791869924/17, 330403657238169615795622286/17, -79560453684452445618080480/17], [-72616111552/17, 348550593824/17, 159752328320/17]]], 0, 4515840, [], [] >,
< [ -1, -3, 0, 1 ], [[-608, -464, 208]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [420, 8, 4], [2252, 10, 6], [0, 0, 0]], [[0, 0, 0], [42, 0, 0], [58, 1, 1], [1, 0, 0]], [[0, 0, 0], [1985651052, -470927414, -1767959270], [10796498100, -2170929600, -9333058950], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16308, 40, -58], [-1642, 6, -8], [0, 0, 0]], [[0, 0, 0], [1097008380718740822/17, -1485901619756370/17, 663033082038254/17], [110454784467900865/17, -281090940434066/17, 210652495653706/17], [41/17, 3/17, 2/17]], [[0, 0, 0], [1654689571494535990127189760/17, -142582720260473914538657828/17, -1281000638235925832458117886/17], [166740625394171409000792156/17, -14318942799265132831810554/17, -129249955368987538208102646/17], [58017910350/17, -14504364840/17, -52216151460/17]]], 0, 4515840, [], [] >,
< [ -1, -3, 0, 1 ], [[832, -80, -464]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [646, 6, -2], [1414, -4, 6], [0, 0, 0]], [[0, 0, 0], [48, 0, 0], [16, 1, 1], [1, 0, 0]], [[0, 0, 0], [-83135176300, -41333270012, 10966875538], [-182929898868, -90958903668, 24298408464], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20040, -42, -32], [-2058, -8, -4], [0, 0, 0]], [[0, 0, 0], [3340081781781634012/17, -3307183141366640/17, -4615880285319514/17], [343006218144285369/17, 267969880901522/17, -357988490478050/17], [41/17, 71/17, 2/17]], [[0, 0, 0], [-15819303751661669319877234200/17, -2356390119930221610289375472/17, 5058045349609392372803662664/17], [-1623709370627026369036117349/17, -242176179663402458507995649/17, 518978726516245671280306318/17], [-88126103175/17, -44063494826/17, 11494476397/17]]], 0, 2515968, [], [] >,
< [ -1, -3, 0, 1 ], [[784, 16, -416]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [104, 10, -4], [-84, -174, -78], [0, 0, 0]], [[0, 0, 0], [16, 0, 0], [-26, 1, 1], [1, 0, 0]], [[0, 0, 0], [-23052, -33900, 24408], [3330, 1432, -718], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11720, -88, 48], [-1832, -10, 6], [0, 0, 0]], [[0, 0, 0], [-3530608541015024/17, -16897511177412/17, 2797228388062/17], [-551878435311839/17, -1496259727355/17, -23293479092/17], [25/17, -16/17, -5/17]], [[0, 0, 0], [22508640609066271850668, -6273025765661482025610, -14900196388493908468694], [3522403591053360825896, -977754589559515632520, -2329960312402539205288], [-236093200, -103644680, 46069760]]], 0, 2515968, [], [] >,
< [ -1, -3, 0, 1 ], [[640, 16, -80]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [594, 0, 4], [1958, 2, 8], [0, 0, 0]], [[0, 0, 0], [-20, 0, 0], [-104, 1, 1], [1, 0, 0]], [[0, 0, 0], [69901965892, -17099022380, -29817643724], [230462222796, -55734647722, -98177229488], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9690, 6, -8], [626, -6, -2], [0, 0, 0]], [[0, 0, 0], [40575767201317416/17, 371927309041354/17, 122868738871788/17], [-2621148760132072/17, -39205619860/17, 2900291849210/17], [10/17, 14/17, -2/17]], [[0, 0, 0], [-656559903259607667241172/17, -79415456599957350837996/17, 255909919090608217353572/17], [42543058393335593277663/17, 5199318952549959542242/17, -16549609937828520048283/17], [-69926546/17, 17481856/17, 29968291/17]]], 0, 2515968, [], [] >,
< [ -1, -3, 0, 1 ], [[-400, -16, 272]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6086/37, -1992/37, -830/37], [742/37, -24/37, -10/37], [0, 0, 0]], [[0, 0, 0], [1007656942/37, 197760367/37, -390588880/37], [112819200/37, 43391431/74, -86798251/74], [-46/37, 1/74, -3/74]], [[0, 0, 0], [5097959949111/37, 542160449480/37, -1733153596937/37], [572533843290/37, 62817969230/37, -387997207957/74], [-336567/37, -270072/37, -25575/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3302, -414, 2], [26, 4, 0], [0, 0, 0]], [[0, 0, 0], [317688940277280/629, -7121052569520/629, 2184069866381/629], [-294493407585/74, -2358885717/74, -892598493/74], [-461/1258, -81/1258, -3/1258]], [[0, 0, 0], [523205426038601926662/629, 194968447595351989099/629, -160761726195720439621/629], [-479894942732911321/74, -90291500932098424/37, 71874001759025106/37], [-714054781/1258, -148257809/629, 88890619/629]]], 0, 1225728, [], [] >,
< [ -1, -3, 0, 1 ], [[608, 272, -160]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [591678/37, 7786/37, -610/37], [45508/37, 616/37, 10/37], [0, 0, 0]], [[0, 0, 0], [-3382530201925/37, -468209826773/37, 1214655265739/37], [-260172086620/37, -72045377277/74, 93435082714/37], [-33/37, 5/74, 0]], [[0, 0, 0], [-140142484410269419/37, -20062788570458383/37, 48392039854867784/37], [-21558739758848283/74, -1544079715668433/37, 7443828038481881/74], [-1807715/74, 1873690/37, 2509689/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10264884/37, 52852/37, 2720/37], [33298/37, 172/37, 10/37], [0, 0, 0]], [[0, 0, 0], [104433715997176179809/629, -998337816623034302/629, -1518102868322857391/629], [338769658297649665/629, -3233783742097840/629, -9826347647725311/1258], [-1189/629, 15/629, 3/1258]], [[0, 0, 0], [181545825520040903498384434225/629, -146701950753324061271512085273/629, -103479429672516105946823634957/629], [588889679073249163161404560/629, -951903076913066154271881625/1258, -335696654137085019593285042/629], [-2047017451961/629, 3504750725465/1258, 1194290760896/629]]], 0, 1225728, [], [] >,
< [ -1, -3, 0, 1 ], [[-400, -160, -16]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2790/37, -1844/37, 98/37], [-568/37, -128/37, 6/37], [0, 0, 0]], [[0, 0, 0], [-729841557/37, -75276094/37, 258261704/37], [-361893061/74, -24549422/37, 131669453/74], [29/74, -2/37, 1/74]], [[0, 0, 0], [6707647733015/37, 758963719109/37, -2369854205662/37], [1637671394949/37, 181304272528/37, -1138099038359/74], [-164052/37, -1395, 106857/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [46536/37, -85022/37, -1390/37], [-206/37, 334/37, 4/37], [0, 0, 0]], [[0, 0, 0], [242905552608/37, 13468067565/37, -6341875585/37], [-2049217769/74, -71779859/74, 52516565/37], [123/74, -5/74, 0]], [[0, 0, 0], [15744562528260082941/629, 1247195663252202453/629, -9585571384091094333/629], [-3945704259584998/37, -813116454291349/74, 4603852816379169/74], [4243382163/629, 1245584001/1258, -5128708437/1258]]], 0, 1225728, [], [] >,
< [ -1, -3, 0, 1 ], [[816, 672, -48]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4906/19, -42568/19, -424/19], [112, -2/19, 4/19], [0, 0, 0]], [[0, 0, 0], [892735910250/19, -2746147953968/19, -567559030348/19], [409395654869/19, 37587508020/19, -91954631348/19], [-153/19, 4/19, -4/19]], [[0, 0, 0], [152248521764387607936/19, -77214765421495002836/19, -8223589547747367910], [39394874981111867224/19, 9221550267384357543/19, -12243226931765951380/19], [-16897601448/19, -6897545811/19, 4529918484/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-123294/19, -131744/19, -220/19], [-7284/19, -4/19, -2/19], [0, 0, 0]], [[0, 0, 0], [-2381123910940/19, 2290011451324/19, 3355727337414/19], [-235136874612/19, 102969188744/19, 88369938985/19], [116/19, 4/19, 3/19]], [[0, 0, 0], [1375521806735416340/19, -1804394199016897846/19, -1596317866714049092/19], [180841594912800610/19, -916719128014130/19, -93265539908126198/19], [-90883026/19, -37081746/19, 24364314/19]]], 0, 8709120, [], [] >,
< [ -1, -3, 0, 1 ], [[272, 224, -16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-166, -8, -4], [198, 0, 6], [0, 0, 0]], [[0, 0, 0], [-4, 0, 0], [52, 1, 1], [1, 0, 0]], [[0, 0, 0], [17667228, -4723118, -7904800], [-21479948, 5511072, 9231824], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5640, -2, -8], [-358, -10, 8], [0, 0, 0]], [[0, 0, 0], [-55379893191369914/17, 1746404013549216/17, -1378138992077714/17], [-207068972549542, 63883215009, 294574303864], [-26/17, 35/17, -5/17]], [[0, 0, 0], [13275316349421322785047430/17, 6296188416500058883281120/17, -745012494706267852944860/17], [48933209169220444626624, 23038866862362274200784, -3110595897375839221768], [7222043456/17, -2222120512/17, -3333134912/17]]], 0, 322560, [], [] >,
< [ -1, -3, 0, 1 ], [[672, -624, -624]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [25238/19, -72614/19, 420/19], [-2818/19, 0, 4/19], [0, 0, 0]], [[0, 0, 0], [9094752201562/19, 6949681664128/19, -5737091985704/19], [-410817974286/19, -148334727829/19, 208922361979/19], [-70/19, -3/19, 1/19]], [[0, 0, 0], [29674329407222484044/19, -34559026298624634572/19, 5089772829591355806/19], [-2293826406328818644/19, 312441930082647072/19, 358059492151546850/19], [-548454020/19, -51379020/19, 369262358/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [397110/19, 169854/19, -402/19], [-14184/19, 0, -6/19], [0, 0, 0]], [[0, 0, 0], [259960489161608/19, 31689897777688/19, -91138720034790/19], [-10936488638070/19, -1402418729499/19, 3855991102398/19], [-48/19, -5/19, -4/19]], [[0, 0, 0], [-19164887887315197860/19, -2297767094171443788/19, 6604090319371389464/19], [802431550169241710/19, 92169618034887672/19, -275342260309882712/19], [3892992/19, 360000/19, -2623200/19]]], 0, 8709120, [], [] >,
< [ -1, -3, 0, 1 ], [[224, -208, -208]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [138, -8, 10], [-4, 8, 2], [0, 0, 0]], [[0, 0, 0], [10, 0, 0], [46, 1, 1], [1, 0, 0]], [[0, 0, 0], [-171240, -17124, 34248], [6744, -2986, -2990], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3382, -80, -6], [846, 10, 2], [0, 0, 0]], [[0, 0, 0], [21435664947632304/17, 250436309993132/17, -80228699721990/17], [-5362379853203601/17, -47490392958/17, 16222716916215/17], [56/17, -10/17, -1/17]], [[0, 0, 0], [292448304616472985752764/17, -257723219859106792768554/17, -201895558184710127382102/17], [-73697241210646878572000/17, 63752710648494305135989/17, 49808622869622170417920/17], [872939282/17, -485174935/17, -388023057/17]]], 0, 322560, [], [] >,
< [ -1, -3, 0, 1 ], [[-1200, 96, 672]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-31610/19, -21948, 50/19], [-15412/19, -6/19, -8/19], [0, 0, 0]], [[0, 0, 0], [2100032431776, -2086044667186, -8370768010166], [-370130415775, -317841017906, 105471107013], [365/19, 4/19, 3/19]], [[0, 0, 0], [-463424917976576281594, -3440532434295569187870, -2829711748819782458522], [-87952202623013925864, -104014616135738503859, -10579645105502732227], [92318349336/19, 43683605581/19, 9106582973/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-316460/19, -120994/19, 438/19], [-15068/19, -6/19, -4/19], [0, 0, 0]], [[0, 0, 0], [407159506695498/19, 59917025595010/19, -127778878041364/19], [22075255354231/19, 2475123644093/19, -7027610977305/19], [157/19, -1/19, -3/19]], [[0, 0, 0], [-100328349403704570919164/19, -22582571808997804458778/19, 27022714856747884929094/19], [-5396582844764450378857/19, -45781197579680074163, 1617814543156630180182/19], [-44567602003/19, -21135324563/19, -4428642222/19]]], 0, 8709120, [], [] >,
< [ -1, -3, 0, 1 ], [[-400, 32, 224]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, -2, -10], [-58, 0, -2], [0, 0, 0]], [[0, 0, 0], [10, 0, 0], [46, 1, 1], [1, 0, 0]], [[0, 0, 0], [47334, -30590, -27692], [100800, -25200, -43920], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3394, 4, 0], [-18, 34, 26], [0, 0, 0]], [[0, 0, 0], [24280032234922/17, -41587621224030/17, 13044251355204/17], [-18628272542, 20710283, -773238], [36/17, 47/17, 3/17]], [[0, 0, 0], [-8442110651464995215070/17, -3886024705054669971110/17, 4339706265630528529730/17], [3441695261401198816, 613155666068189660, -1582013805021477849], [-2756657715/17, 2066864307/17, 1722551575/17]]], 0, 322560, [], [] >,
< [ -1, -3, 0, 1 ], [[720, 336, -192]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [23924/17, 772/17, -222/17], [-1822/17, -96/17, 4/17], [0, 0, 0]], [[0, 0, 0], [53133023736/17, -10197927926/17, -14564111092/17], [-4018626860/17, 784689070/17, 1120245006/17], [-106/17, -4/17, -2/17]], [[0, 0, 0], [-2697294866777485, 1421221358542797/17, 18304637714732276/17], [3462889681886153/17, -133677907175281/17, -1400777985598511/17], [99883315/17, 41942138/17, -8649970/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [418476/17, -5414/17, 1604/17], [2636/17, -36/17, 10/17], [0, 0, 0]], [[0, 0, 0], [98000770051149/289, -12958073401088/289, 5385168206435/289], [617292420766/289, -82126326225/289, 33945201178/289], [-1353/289, 3/289, 2/289]], [[0, 0, 0], [13215013804515777454/17, 5521550364981145975/17, -1188502720363887458/17], [83245829749216497/17, 34732584148495865/17, -7514167582138630/17], [-176134537/17, -80946169/17, 13521075/17]]], 0, 2322432, [], [] >,
< [ -1, -3, 0, 1 ], [[128, -160, -112]], [ -17, 0, 0 ], [ -11, -27, -13 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12046/17, 462/17, -32/17], [-2986/17, 90/17, -8/17], [0, 0, 0]], [[0, 0, 0], [-1037162976/17, 572181853/17, 576153652/17], [-767631433/51, 430276721/51, 432106718/51], [41/51, 11/51, 5/51]], [[0, 0, 0], [-5824438537151/17, -1502790963706/17, 65106418394], [-4324946349242/51, -1133624238752/51, 813303919741/51], [160510/51, -45215/51, -72731/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1456396/17, -16070/17, -162/17], [11006/17, 122/17, 2/17], [0, 0, 0]], [[0, 0, 0], [-689526209775489/289, 574083959121642/289, 188036342362443/289], [15631142330428/867, -13017956519669/867, -4263406173818/867], [-7385/867, -173/867, -2/867]], [[0, 0, 0], [456015234402769176114/289, -164581755202523627370/289, -230806601648660061192/289], [-3445937926840356446/289, 1244214521478727380/289, 1744391777169105374/289], [1550909332/289, 451111330/289, -216990260/289]]], 0, 193536, [], [] >,
< [ -1, -3, 0, 1 ], [[384, -480, -336]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-360, 8, -8], [-254, -2, 10], [0, 0, 0]], [[0, 0, 0], [-76781484, 624216, -3433314], [-54161213, -1082446, 1105851], [-6, 4, -1]], [[0, 0, 0], [1101846510, 1074042198, 154156644], [735462668, 648687890, 65017880], [90, 42, -24]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [68, -4, -10], [694, 22, 10], [0, 0, 0]], [[0, 0, 0], [888635178, -25324668, -9909924], [9622525873, 2671478592, 2843832032], [17, 3, 4]], [[0, 0, 0], [-5065639428860500, -1584952993627118, 1712714233292850], [-54715799816009992, -27912619470850069, 13043984632662878], [-98020850, -45552347, 26226775]]], 0, 6967296, [], [] >,
< [ -1, -3, 0, 1 ], [[176, -112, -64]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4770/17, -24/17, -108/17], [-730/17, -18/17, 4/17], [0, 0, 0]], [[0, 0, 0], [-70848166/17, -91597082/17, 9030267/17], [-10442955/17, -13069745/17, 1287854/17], [32/17, -3/17, 1/17]], [[0, 0, 0], [23840196124/17, -555629961867/17, -473359852328/17], [13482870728/51, -241463337832/51, -205270683967/51], [-327793/51, 343115/51, 234068/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-401120/17, 2504/17, -360/17], [4140/17, -26/17, 2/17], [0, 0, 0]], [[0, 0, 0], [-3799949415044849/289, 30987643456110/289, 17657630419677/289], [117659106527537/867, -963274836688/867, -594674763172/867], [254/867, 239/867, -4/867]], [[0, 0, 0], [335961791493730905664/289, 100279842481710670673/289, -195651134215722184596/289], [-3467149459026365156/289, -1034663178548050880/289, 2018305151595779485/289], [-3315875/289, 3145807/289, 2209900/289]]], 0, 193536, [], [] >,
< [ -1, -3, 0, 1 ], [[-528, -192, 0]], [ -17, 0, 0 ], [ -11, -36, -19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20104/17, -1132/17, 210/17], [-2024/17, 120/17, -4/17], [0, 0, 0]], [[0, 0, 0], [-2497120681/17, -880471018/17, 1302627065/17], [251097441/17, 88065496/17, -130262214/17], [4/17, 3/17, 0]], [[0, 0, 0], [15391440/17, -11860744/17, 314896/17], [-1558830/17, 1170550/17, -22840/17], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2034242/17, 24798/17, -320/17], [10446/17, 128/17, -2/17], [0, 0, 0]], [[0, 0, 0], [-4750887840326743/289, -23458464376426/289, -816109389675292/289], [-24396476668014/289, -122686629973/289, -4189506130826/289], [-1552/289, -80/289, -3/289]], [[0, 0, 0], [-581014571979839967178/289, -379842204284816853706/289, -81060006581863090570/289], [-2983517593260512000/289, -1950575707745773412/289, -416227847241726432/289], [-175808952/289, -90757168/289, -1813632/289]]], 0, 2322432, [], [] >,
< [ -1, -3, 0, 1 ], [[528, -336, -192]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [622, 8, -6], [416, 20, 2], [0, 0, 0]], [[0, 0, 0], [85372311418, -4565028336, -828999406], [57043163957, -1207232693, 134972001], [-12, -1, -2]], [[0, 0, 0], [-26190690537274692, -5132408449816602, 3545259322863498], [-17483916867199684, -3920176696493576, 2098555960150200], [3776168, 1431808, 40608]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [80, -8, 0], [-446, -8, -8], [0, 0, 0]], [[0, 0, 0], [6195936, -113078, -92566], [-34563397, -3498737, -414243], [2, 3, 4]], [[0, 0, 0], [9366577814570, 1040918308486, -2922051938490], [-50481061922122, -6281884996934, 15498235830501], [2293077, 835429, -2185]]], 0, 6967296, [], [] >,
< [ -1, -3, 0, 1 ], [[368, -64, -160]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40/17, 148/17, 144/17], [-142/17, 80/17, 8/17], [0, 0, 0]], [[0, 0, 0], [-418282/17, 1843459/17, 1559091/17], [-5725522/51, 1164089/51, 1355867/51], [176/51, -1/51, 2/51]], [[0, 0, 0], [1028630260/17, -32389977466/17, -22186494183/17], [22674640020/17, -647996042/17, -7982993719/17], [-743485/17, -248230/17, 66275/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7466/17, -17686/17, 404/17], [-150/17, 130/17, -4/17], [0, 0, 0]], [[0, 0, 0], [27086709856/289, 145323056687/289, 59837287562/289], [134456564/867, -1791956371/867, -515792164/867], [2147/867, -61/867, -1/867]], [[0, 0, 0], [224688925887847/289, -3326972316193804/289, -1742049807428223/289], [-13468293777217/289, 12439366424492/289, 8554127489981/289], [-55519447/289, -4543171/289, 13576808/289]]], 0, 193536, [], [] >,
< [ -1, -3, 0, 1 ], [[-480, 0, 336]], [ -17, 0, 0 ], [ -38, -121, -63 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-524/17, -482/17, -38/17], [-184/17, -40/17, -4/17], [0, 0, 0]], [[0, 0, 0], [376554/17, -39127/17, -118934/17], [219672/17, 81451/17, -111166/17], [-23/17, -3/17, -1/17]], [[0, 0, 0], [-201924, -994064/17, 626630/17], [-1668398/17, -493202/17, 586184/17], [124/17, -208/17, -164/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [99726/17, 4378/17, 890/17], [616/17, 26/17, 6/17], [0, 0, 0]], [[0, 0, 0], [-117025053362/289, 374096149513/289, -322358082338/289], [-717353018/289, 2326838683/289, -2001046396/289], [-573/289, 41/289, -1/289]], [[0, 0, 0], [-182530488499046/289, -126706332792512/289, -30677440838924/289], [-1127823757752/289, -781863507666/289, -189579778800/289], [-348174/289, -146682/289, 41238/289]]], 0, 2322432, [], [] >,
< [ -1, -3, 0, 1 ], [[1104, -192, -480]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-636, -2, 2], [-448, -6, 4], [0, 0, 0]], [[0, 0, 0], [-31941470242, -380694276, 85689400], [-22498601262, -495538379, 188628779], [13, 0, 2]], [[0, 0, 0], [410804230965902160, 23147533725531150, -241782605419922784], [287522251470480852, 14718336618814164, -168850702558628076], [-170059400, -529900, 118603800]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-342, -10, -8], [-70, -16, 2], [0, 0, 0]], [[0, 0, 0], [-678686374, 229510562, -78586654], [-144117029, 4209229, 3035284], [-29, -2, -5]], [[0, 0, 0], [-3075410118561788, -768237674661100, 1747638759862926], [-550528225917557, -65512126826446, 302639567388417], [-106655062, 514780, 74889459]]], 0, 6967296, [], [] >,
< [ -1, -3, 0, 1 ], [[-384, -192, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -4, 0], [-164, -464, -236], [0, 0, 0]], [[0, 0, 0], [31072, 30563, -25227], [-29056, 18950, 34934], [-8, 1, 1]], [[0, 0, 0], [-2434894, 1070478, 20074], [10726560, 19292328, 8569728], [1400, -60, -800]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 4, 6], [-1108, 8, -4], [0, 0, 0]], [[0, 0, 0], [31740798, -5228232, -2316141], [-32052733788/17, 3341884164/17, 5794230750/17], [-162/17, -16/17, -5/17]], [[0, 0, 0], [33599731325, 13150914145, -2137418151], [-31124233521318/17, -6357655848774/17, 6641639944458/17], [-196595/17, -195775/17, -59655/17]]], 0, 516096, [], [] >,
< [ -1, -3, 0, 1 ], [[256, 256, 64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -30, -12], [-24, -32, -4], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [6, 0, 0], [1, 0, 0]], [[0, 0, 0], [-202, -60, 52], [-144, 288, -144], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-50, 0, -10], [276, -8, -4], [0, 0, 0]], [[0, 0, 0], [783490, -535287, -170818], [-80196580/17, 28108510/17, 19379136/17], [-58/17, -105/17, -2/17]], [[0, 0, 0], [3078381158, 393965494, -1194663112], [-284013551124/17, -37152039024/17, 105822834084/17], [-74654/17, -29770/17, 916/17]]], 0, 43008, [], [] >,
< [ -1, -3, 0, 1 ], [[384, -192, -192]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-60, -140, -40], [24, 20, -20], [0, 0, 0]], [[0, 0, 0], [6966, 2148, -3474], [-6386, -2219, 2971], [-7, -4, 2]], [[0, 0, 0], [3523836, 86690, -1316468], [-3258629, -308082, 1073057], [-3724, -1710, 361]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [88, 44, 12], [-12, 20, 4], [0, 0, 0]], [[0, 0, 0], [-112456, -262468, 2600], [30490, 49634, -66534], [-4, -2, 0]], [[0, 0, 0], [-567756, 289818, 61626], [86716, -193530, 88697], [-121, -15, 43]]], 0, 1548288, [], [] >,
< [ -1, -3, 0, 1 ], [[384, -192, -192]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -20, -52], [-48, 4, -16], [0, 0, 0]], [[0, 0, 0], [79124, 250054, -83082], [180096, 257294, -154349], [9, -5, 5]], [[0, 0, 0], [5358420, 7701918, 335436], [-10350305, 3427966, 3864415], [-1854, 0, 927]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-52, -100, -40], [20, 24, 4], [0, 0, 0]], [[0, 0, 0], [-39970, -40222, -8050], [18729, 10457, -2300], [21, 4, 5]], [[0, 0, 0], [562392662, 149227520, -217086688], [-319301415, -104009175, 141216201], [-124020, 589095, -285246]]], 0, 1548288, [], [] >,
< [ -1, -3, 0, 1 ], [[256, 256, 64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -2, -6], [24, 0, -12], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [48, -96, -96], [-452, -124, 108], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [158, 422, 62], [52, 144, 20], [0, 0, 0]], [[0, 0, 0], [1027396/17, 100995/17, -330028/17], [226196/17, 2698/17, -74588/17], [58/17, 71/17, 2/17]], [[0, 0, 0], [2565/17, -5130/17, -3420/17], [114/17, -228/17, -152/17], [3/17, -6/17, -4/17]]], 0, 57344, [], [] >,
< [ -1, -3, 0, 1 ], [[768, 768, 192]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 64, 56], [-40, 20, -4], [0, 0, 0]], [[0, 0, 0], [-85501, -202715, -7788], [96674, 296218, -177408], [25, 5, 0]], [[0, 0, 0], [-356233, -162972, 454399], [116546, 1293248, -735574], [369, 0, -123]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [318, -194, 68], [-4, 44, -16], [0, 0, 0]], [[0, 0, 0], [19977616/17, -2269972/17, -6984810/17], [-1084180/17, -19812/17, 25960/17], [-14/17, -6/17, -4/17]], [[0, 0, 0], [30799511707/17, 3430145717/17, -8714822070/17], [-1512835926/17, 252365326/17, 504381128/17], [-15753/17, 8573/17, 7948/17]]], 0, 1548288, [], [] >,
< [ -1, -3, 0, 1 ], [[9, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 22, 41/2], [25/2, 43/2, 25/2], [9, -18, -3], [0, 0, 0]], [[-1989531/2, -2315795, 3038731/2], [-437886, -963774, 1282431/2], [-1427635, -6417287/2, 4219741/2], [17/2, 0, 2]], [[2198773811, 5049032767, -6596152013/2], [2156658385/2, 4244387201/2, -2851377297/2], [3377516183, 6990222551, -4678843582], [-55755, 10962, 18711]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -9/2, -5/2], [-4, -3/2, -2], [9, -3, 6], [0, 0, 0]], [[6695, -1911/2, -2964], [-9659, -2483/2, 4017/2], [26880, 606, -10893/2], [5/2, -1/2, 5/2]], [[103807093, 17918056, -31095194], [-134902287, -7396545, 49013250], [390437848, 46828199/2, -135340952], [37942, -33899/2, -32655/2]]], 0, 30, [], [] >,
< [ -1, -3, 0, 1 ], [[3, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, -11, -9/2], [3/2, -17/2, -13/2], [-5, 3, 5], [0, 0, 0]], [[5472, 10296, 3888], [-1584, 6840, 6408], [10785/2, -399/2, -12243/2], [0, -3/2, -2]], [[4209012, 424152, -1495368], [-5704380, -701244, 1919520], [8409935, 912559, -2832966], [490, 40, -140]]], [[[2, -1, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 13/2, 5/2], [1/2, 2, 0], [-9, -5, -1], [0, 0, 0]], [[-399/2, 616, 1211], [2037/2, -791/2, 196], [48049, 7035/2, -33791/2], [3/2, -2, -1]], [[328412, 96348, -445480], [-1003884, 213416, 114996], [-87571261/2, -4488340, 15073362], [-3555/2, 945/2, 585]]], 1, 4, [], [] >,
< [ -1, -3, 0, 1 ], [[18, 9, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 9/2, 3], [-17/2, -7, 19/2], [-2, -5, 4], [0, 0, 0]], [[-1/2, 6, 0], [-177/2, 11/2, 38], [-22, -39/2, -14], [-10, -3/2, -1/2]], [[46151/2, -4987, 12985/2], [935210, 145161, -576121/2], [137992, -113770, -82575], [92851, -15781, -31929]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-57, -178, -95], [-29, -107, -50], [14, -16, -1], [0, 0, 0]], [[2487/2, 9867/2, -1232], [-6239/2, -7564, 11755/2], [-5345, -17049, 21331/2], [23/2, 3/2, 1/2]], [[177231/2, 635065, -294043], [-1083019/2, -2804359/2, 937708], [-714153, -5801101/2, 3497455/2], [6039/2, -122, -610]]], 0, 54, [], [] >,
< [ -1, -3, 0, 1 ], [[6, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 7/2, 2], [-33/2, -15/2, -3], [-5/2, 7/2, 2], [0, 0, 0]], [[5845/2, 913/2, -1197], [12212, 5329/2, -4417], [5845/2, 913/2, -1197], [-5/2, 0, 0]], [[1269/2, -385/2, -36], [5131/2, -1951/2, -357], [1269/2, -385/2, -36], [-1, -1, 1]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 5/2, -2], [-78, 17/2, -7], [-5, 5/2, -2], [0, 0, 0]], [[515731/2, -7791/2, -31360], [61241838/17, 9695861/34, -11997604/17], [8765477/34, -131607/34, -533180/17], [65/34, -14/17, 2/17]], [[-520007640, -258239028, -120940279/2], [-239898900371/34, -59852657234/17, -3264403905/17], [-8838175365/17, -4389884856/17, -2055318353/34], [-130301/34, -5954/17, -22213/34]]], 1, 10, [], [] >,
< [ -1, -3, 0, 1 ], [[6, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, -11/2, -5/2], [-15/2, 9/2, 9/2], [-11/2, -11/2, -5/2], [0, 0, 0]], [[-496, 31, 68], [-1102, 79, 309], [-494, 35, 64], [1, 2, -1]], [[-1/2, -3/2, 1], [-1/2, -5/2, 3/2], [1/2, 3/2, -1], [0, 1, -1/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 1, 5/2], [177, 2, 17/2], [4, 1, 5/2], [0, 0, 0]], [[15341057/2, 601199, 1285539/2], [5934954515/17, 372324669/34, -2031648097/34], [260798723/34, 10220139/17, 21854053/34], [-75/34, 65/34, -1/17]], [[-106703829571, 171213631397/2, 144493291751/2], [-96636845974827/17, 16060022438417/17, 80301383337329/34], [-1813973227373/17, 2910629786639/34, 2456387231697/34], [823856/17, -66495/34, -56947/17]]], 1, 6, [], [] >,
< [ -1, -3, 0, 1 ], [[-12, 3, 6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-115/2, -99/2, 1], [-141/2, 7, 1/2], [-4, -3, 1], [0, 0, 0]], [[-32921, 437043/2, 122374], [-214961, -129441/2, 364025/2], [-6085/2, 23603/2, 8237/2], [2, 3/2, 2]], [[35293529/2, 384443/2, -8214132], [62664067/2, 100537, -20204673/2], [1291401, 145140, -572415], [-360, -120, 120]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -5/2, -7/2], [18, 5/2, 2], [-11, -3, -1], [0, 0, 0]], [[15, 37/2, 13/2], [-59/2, -37, -36], [-23/2, 30, 22], [-5/2, 1/2, 0]], [[-47229/2, -388731/2, -236145/2], [88586, 1155139/2, 377269], [-163228, -347572, -153460], [-8854, 1235, 6745]]], 1, 12, [], [] >,
< [ -1, -3, 0, 1 ], [[-6, 3, 6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[33, 93/2, -1/2], [-71/2, -16, 8], [2, -5, 3], [0, 0, 0]], [[16883287/2, 11410166, 5670169/2], [-10036330, -4379094, 3236613/2], [1196493, 76129/2, -54341], [0, -3/2, 1/2]], [[-65220109979/2, 99001845193/2, 93521929727/2], [78258446303, -14847294395/2, -38295758373], [-11248973426, 296959930, 4749292648], [-5920, -1450, 762]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-245/2, -307/2, 2], [349/2, 4, -33/2], [4, 1, -5], [0, 0, 0]], [[1051838982, -1118018215/2, -539317407], [-3272619913, -1020986173/2, 2726549361/2], [-52706931, -2771011/2, -120593/2], [5/2, 1, 1]], [[349824492383625/2, -13628502171225/2, -69105307184550], [-920002932706727/2, -58672840454169, 337128762846625/2], [-8028091597588, -882573137830, 2065544871620], [359536, 81834, -48875]]], 1, 12, [], [] >,
< [ -1, -3, 0, 1 ], [[12, 9, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-405/2, 369/2, -11], [-605/2, -15, -25/2], [-27, -5, -4], [0, 0, 0]], [[542248001/2, -193508821, 14350562], [731395375/2, -101984521/2, -34246844], [31615498, -7092259/2, -2763535/2], [-5/2, 1, -2]], [[-1301658948931/2, -150741066889, 281330367124], [-1451067343655/2, -380781561525/2, 246749955790], [-126795821433/2, -19330627644, 20151754260], [13851/2, 9405/2, -1368]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21, -39/2, -1], [-11, -9/2, -11/2], [-12, -1, -2], [0, 0, 0]], [[-2578479/2, 876969, 217310], [1329463/2, 716585/2, 267746], [714985, 283367/2, 70432], [0, -3/2, -1/2]], [[717655543/2, 91208325, -286157491/2], [-126622690, -17941179, 119348731/2], [-149472205, -24655207, 126255121/2], [-233/2, -121/2, 73/2]]], 1, 12, [], [] >,
< [ -1, -3, 0, 1 ], [[-9, -3, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, -7/2, 3], [6, -3/2, -3/2], [8, 0, 4], [0, 0, 0]], [[21851, 11669/2, -15097/2], [-38623/2, 330, 6217], [-26601, -9119/2, 533/2], [1/2, 0, 0]], [[1507/2, -25, -361], [-1571/2, -291/2, 214], [-779, 741, 722], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-105/2, -9/2, 3/2], [-816, 613/2, -227], [13, -4, 3], [0, 0, 0]], [[2424158241/2, 435843433/2, -316327711/2], [351512270566/17, -21354412809/34, 1919497869/17], [-325015115, 1546619/2, 4667743], [-35/17, 21/34, -3/34]], [[638328918648732, -1028853442106230, -1815080896297073/2], [394763028131539545/34, -681368079639379965/34, -560112612357848877/34], [-181552755822284, 307657068715748, 255806321882970], [-26044836/17, 20932905/17, 20887428/17]]], 1, 16, [], [] >,
< [ -1, -3, 0, 1 ], [[12, 6, -3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-361/2, 217, -4], [-481/2, 5/2, 1], [19, 5, 3], [0, 0, 0]], [[-9304913849, 10522751162, -4158385671/2], [-23080721079/2, 5684586381/2, 1580559085/2], [1718358337/2, -286341437/2, -5124034], [5/2, 1, -3/2]], [[-2896343478875, 1221021201400, 1558712364825], [-3508776630540, -1515267383060, 287065256375], [583184335803/2, 235473244305, 46084695075], [849/2, -519/2, -390]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[846, 918, -6], [-781, 10, 42], [-18, -1, -5], [0, 0, 0]], [[-3782195556161/2, -1360147525582, 660098717613/2], [35593069920189/17, 319897498309/17, -12890521616655/34], [47902457555, 243639434, -29562029/2], [-49/34, -21/34, 3/34]], [[-46617562531689725, 89146987352533555/2, 31525841628348505], [1695147407459756669/17, 725830544003824403/34, -1690176403088054837/34], [2377480767197482, 486442857314935, -1550879363974439], [-863849/17, 242476/17, 614406/17]]], 1, 16, [], [] >,
< [ -1, -3, 0, 1 ], [[-9, 0, 6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-136, -94, -9/2], [-345/2, -1/2, 7/2], [-5, 0, 5], [0, 0, 0]], [[-14325495, 3616167/2, 14742759/2], [-54055071/2, -6273340, 13087152], [-1203821/2, -14648, 13383], [5/2, 3/2, 1]], [[878593808175/2, -4275586777, -378372750141/2], [728278276851, 19188694619, -498580742133/2], [20701898792, 6363382941, -6661971236], [-81346, -50819, 10769]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-251/2, 1799, -7/2], [-894, 386, -157/2], [23, 5, -1], [0, 0, 0]], [[-976314522204, -20846661598917, 10375182841527/2], [223637976126781/34, -253346814801203/34, 100376652556357/34], [-6598230693189/34, -1761198973/17, -495386785/34], [1/17, 32/17, 3/34]], [[-57925613055093788088, -26558554512636353277, 16422690051481144410], [-1223734342530588407258/17, -195042738144438900736/17, 483213029994670840783/17], [48299583387884262925/34, 3393580097250524647/34, -19749586436916647603/34], [87691460/17, 109442945/34, -11009170/17]]], 1, 16, [], [] >,
< [ -1, -3, 0, 1 ], [[-9, 6, 9]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-169/2, -19/2, 5], [-40377/74, -7317/74, 543/37], [947/74, 90/37, 1/74], [0, 0, 0]], [[7320791, 5612691, 9808853/2], [1876391800/37, 3763649613/74, 1425713678/37], [-179636127/148, -48111456/37, -37494900/37], [55/148, 1/74, 0]], [[-1508703032285, 1040027650561/2, 1258052857961], [-335080719311739/37, 367814369846415/74, 651738905266325/74], [30915935215851/148, -19333761338601/148, -32175119512905/148], [-15356075/148, -1473063/148, 6980713/148]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 5, 0], [14070/37, -34197/37, -1086/37], [15/37, -32/37, -1/37], [0, 0, 0]], [[-2735, 211/2, 259/2], [488986975/1258, 3405841/1258, 5999734/629], [299961/629, 5193/629, -891/2516], [-329/1258, -39/1258, -1/2516]], [[15721829147, 16175336247/2, -5635582528], [-1442701407095383/629, -1731580272562141/1258, 465812518371721/629], [-1738668236328/629, -2001880830933/1258, 1122893687691/1258], [922606206/629, 552658362/629, -252229732/629]]], 1, 24, [], [] >,
< [ -1, -3, 0, 1 ], [[-9, 6, 9]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-23, 8, 1/2], [-4899/37, 2289/37, 261/74], [251/74, -89/74, 3/74], [0, 0, 0]], [[51932, 355353/2, -72245], [21398479/74, 35279203/37, -41979945/74], [-635265/74, -4347915/148, 388863/37], [45/37, 1/148, 1/74]], [[83005706379/2, 37505598087/2, -37009279739/2], [18186582991329/74, 7551799881469/74, -9025882873037/74], [-241220089437/37, -227151358773/74, 104378078823/37], [-87265442/37, -10837009/37, 31637993/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 9, -1], [-58591/74, -64001/37, 1123/37], [-67/74, -121/74, 1/37], [0, 0, 0]], [[-10363137/2, 844233, 251759], [454418000831/1258, -258547696769/1258, 104907462580/629], [970600917/1258, -263660231/2516, -13064521/2516], [951/1258, -13/2516, -3/2516]], [[7776061888700, 3821993506300, -2795888205840], [-481127265470398243/629, -407834235549902364/629, 164485602577535883/629], [-741906228686780/629, -410728860664240/629, 242469965719620/629], [-706258560/629, -430554880/629, 180763520/629]]], 1, 24, [], [] >,
< [ -1, -3, 0, 1 ], [[-9, 6, 6]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-293/2, 2, 2], [19419/74, 645/37, 27/37], [387/74, 4/37, -5/74], [0, 0, 0]], [[149/2, 393/2, -277/2], [-9339/74, -12908/37, 8071/37], [-489/148, -907/148, 55/37], [-1/148, 1/148, -1/37]], [[-10007, -3845/2, 3911], [20276, 275887/74, -285287/37], [-67741/74, -3235/37, 11739/37], [-425/37, -52/37, 152/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-28, -55, 2], [1584, 3636, 0], [1, 2, 0], [0, 0, 0]], [[-28649537/2, 3519179, -159313], [287740968211/629, -356497124481/1258, 113152386296/629], [18929970/37, -7934563/74, 274829/148], [-15/629, -4/629, -5/2516]], [[997822929158, 793061322931/2, -794771173541/2], [-25304774269153936/629, -29062529589347451/1258, 21605200009294959/1258], [-2600711385081/74, -516090455670/37, 1013320976493/74], [912557/629, 977495/1258, -411137/1258]]], 1, 24, [], [] >,
< [ -1, -3, 0, 1 ], [[-9, 6, 6]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-131/2, -22, 2], [9683/74, 1201/37, -80/37], [173/74, 32/37, -3/74], [0, 0, 0]], [[724593/2, -2020020, -2509666], [-91223563/74, 208775779/74, 390438631/74], [-1425459/148, 12094285/148, 6848779/74], [3/148, 3/148, 1/74]], [[-985220556, -151253459, 404321793], [76439841664/37, 13932246967/37, -32122338430/37], [2565964209/74, 189165297/37, -527502030/37], [-1381/74, -73/37, 220/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[132, -9/2, 3/2], [-327223/37, -2705/74, -7157/74], [-349/74, -1/74, -2/37], [0, 0, 0]], [[-265071059, 9982618, -2654960], [22340259416647/1258, 9071899887/1258, 105601948269/629], [350396777/37, -303987/37, 13990261/148], [-11/1258, -29/1258, 1/2516]], [[-1469714374089, -348981653067/2, 1008154719525/2], [61132380742946441/629, 7284890853500314/629, -41927738351261419/1258], [7674497968775/148, 457212024225/74, -657937629233/37], [-10851/2516, -2511/1258, 829/629]]], 1, 24, [], [] >,
< [ -1, -3, 0, 1 ], [[18, 9, -3]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-73/2, -23/2, 5/2], [42465/74, 18669/74, 795/74], [207/37, 175/74, 1/37], [0, 0, 0]], [[364793/2, 238629/2, -42788], [-107452245/37, -169305103/74, 16487166/37], [-4175193/148, -3201105/148, 341811/74], [-1/148, -1/148, 0]], [[94377/2, 32763/2, -40587/2], [-53452985/74, -20002931/74, 22869787/74], [-261126/37, -192177/74, 111492/37], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-52, -15/2, 3], [-357382/37, -162491/74, -1300/37], [292/37, 133/74, 3/74], [0, 0, 0]], [[255085021/2, 30454231/2, -31842829/2], [14805364002852/629, 5338756809747/1258, -2304200920201/1258], [-76924989/4, -13885967/4, 2948407/2], [-7/2516, 31/2516, -1/1258]], [[1728701082545/2, 11893313168, -650309492855/2], [195631417414362493/1258, -3271816018461677/1258, -77013402134645855/1258], [-9401016514045/74, 325828614635/148, 7405443727017/148], [-65175/1258, -16995/2516, 13167/2516]]], 1, 24, [], [] >,
< [ -1, -3, 0, 1 ], [[18, 9, -3]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, 7, 0], [6007/37, -3782/37, 46/37], [59/37, -42/37, 1/37], [0, 0, 0]], [[-561/2, -337/2, 39], [148761/37, 77333/37, -27675/37], [6973/148, 1096/37, -455/148], [5/148, -1/74, -1/148]], [[5630693/2, 1203255/2, -817724], [-1527352962/37, -296904000/37, 924825887/74], [-35106123/74, -16062801/148, 4889211/37], [-34751/74, -6355/148, 6138/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[183/2, 14, -11/2], [1270245/74, 149973/37, 2415/74], [-514/37, -122/37, -3/74], [0, 0, 0]], [[-88516543, 30325970, -7059029/2], [-10200715024086/629, 6704448223461/1258, -878141415078/629], [1941612099/148, -159525390/37, 84429627/74], [61/2516, -5/629, -1/1258]], [[26504388403, 28775074293/2, 2192386406], [3235164164599579/629, 4603926458050663/1258, 621306617354582/629], [-154093934145/37, -220061116191/74, -59703323307/74], [-4207/629, -1344/629, 294/629]]], 1, 24, [], [] >,
< [ -1, -3, 0, 1 ], [[12, 15, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-92, 239/2, -3/2], [193/2, 26, -27], [-3, 3, -3], [0, 0, 0]], [[-251351193/2, 29895109, 78772053/2], [92503898, 18376840, -56450181/2], [-4355412, -145035/2, 39267], [2, -9/2, -7/2]], [[-5882722809383/2, 959153946766, 520277080873], [4479729718277/2, 726781887293/2, -749779060028], [-91471938600, 38784669932, -7111190702], [66186, -47014, -47210]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2065/2, -820, -1], [-8303/2, 781/2, -587], [-11, 2, -3], [0, 0, 0]], [[20613531187/2, -6944418161/2, -3816661097/2], [-648387552162/17, -48969406061/34, 43888989518/17], [-3512837651/34, -3140941/34, 4057053/34], [109/17, -45/34, 2/17]], [[539241121397792320, 134500357649282560, -84209702659447040], [-22300748880700487165/17, 21071928928515989769/17, 20624189890649993182/17], [-115953983226218981/34, 70632633543636782/17, 61742392539733751/17], [8615282625/34, -6149257149/34, -3074626011/17]]], 1, 36, [], [] >,
< [ -1, -3, 0, 1 ], [[15, 9, -3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-129, -189/2, 0], [124, 133/2, 93/2], [-1, 6, 4], [0, 0, 0]], [[649261135/2, 141143725/2, -308569385/2], [-136370093, 894724313/2, -165969259], [7601750, -162073/2, -266199/2], [-7/2, -7, -3]], [[-15797389745/2, 3366618533, 836154895/2], [27126688005, 39415532785, -57232899765/2], [-729835393/2, -526447819/2, 245510602], [91/2, -7, -35/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4247/2, 4245/2, -4], [8725/2, -365, 969/2], [-17, 3, -4], [0, 0, 0]], [[41580735409001/2, 16573668376782, -2315373256957/2], [850209035627949/17, 36011583048276/17, -112807284492531/34], [-3384949563588/17, -4509520687/34, -6159109319/34], [-7/34, 24/17, -1/17]], [[-2423476191616973835085/2, -327386936254787556686, 323101106814716570386], [-128995607994118930615611/34, -17339334835067111033883/34, 19957369471147820332695/17], [524924045368709295211/34, 35267221117944122102/17, -79276446885541558678/17], [1688444621/34, -259227027/34, -324541745/17]]], 1, 36, [], [] >,
< [ -1, -3, 0, 1 ], [[9, 12, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[163/2, 189/2, 7/2], [132, 33/2, 10], [5, 15, 10], [0, 0, 0]], [[56867040, 11527938, -21108798], [138828217, 8645364, -43082788], [2036867/2, -16803/2, 89], [7/2, -3, -7/2]], [[-35991736830, -323925631470, 183957766020], [620502465060, 834114103421, -618467923508], [16641221916, 34297540337, -22604799101], [5885, -7333, -2911]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2445/2, 14461/2, -2], [-17429/2, -2, 519/2], [-13, 0, -5], [0, 0, 0]], [[10327161329713, -13627450734381, -1849258034443], [607979480065472/17, 21142042551953/17, -117099817691512/17], [919111235659/17, 583095241/17, -49054712/17], [-24/17, -3/17, -2/17]], [[-2564812774378699327, 1084065859490404707/2, -2589814106522856353/2], [-218577337397452923303/34, 28411387890198267937/17, 34417352369408806280/17], [-143065640884060098/17, 246982348055608947/34, 95733368553644199/34], [6623253/34, -4136391/17, -1651608/17]]], 1, 36, [], [] >,
< [ -1, -3, 0, 1 ], [[18, 9, -6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[57, 90, -2], [-727, -27, -65], [-20, -2, -5], [0, 0, 0]], [[180558846, 420255323/2, -82269999/2], [-5896882359/2, 9653377, 269628005], [-80261680, -452357, -122991/2], [-3/2, -5/2, 1/2]], [[-158063976901387/2, -1634401175871, 54088247105121/2], [2351226665101023, 314798451283272, -1701289415066091/2], [64603904977940, 8757736199777, -23668706650498], [416350, -51910, -129400]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1344, -147/2, 1], [1313, 589/2, 2973/2], [-3, 1, 5], [0, 0, 0]], [[1134813003501, 219615227079, -981585347529/2], [-43843486419233/34, -13323764654559/34, 28118781481779/34], [35382301974/17, 44909688/17, -57833703/34], [-247/34, -33/34, -5/34]], [[63953347809089088787, 12071280504116199642, -23799590745997538151], [-1228852562120691082977/17, -423801189536224353764/17, 513695719986644834353/17], [1995446091452708718/17, -249305217415390314/17, -571074143919198363/17], [-6683036370/17, 836058690/17, 2088218805/17]]], 1, 48, [], [] >,
< [ -1, -3, 0, 1 ], [[9, -3, -9]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-77/2, 47, -1], [-175/2, -29/2, 38], [3, 2, -5], [0, 0, 0]], [[98898413/2, 12022130, -18708836], [132572157/2, 15225001/2, -22107569], [-2670897/2, -24163/2, -12934], [-3/2, 1, 1/2]], [[3564123859885/2, 257550584279, -699074998312], [4947016857111/2, 517248250831/2, -862085322833], [-46756895715, 15317597439, 18626366043], [-72135, -13019, 6659]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7391/2, 1540, 5/2], [5686, 0, 115/2], [19, 0, 2], [0, 0, 0]], [[-78771836183094, -52665554468677/2, 6260344010106], [-2131663440123371/17, -25350021974441/34, 308584951431453/34], [-14254967871181/34, -1421486957/17, 1302497045/34], [16/17, 19/17, -3/34]], [[2286470534773148621016, 1029281954840793713339/2, -728370474892212005861], [70742844137229469635922/17, 33230264514645778625289/34, -51888106454383986780209/34], [241598053328077196923/17, 62917774891990021258/17, -88931899032476504225/17], [-292046742/17, -53031564/17, 26603127/17]]], 1, 48, [], [] >,
< [ -1, -3, 0, 1 ], [[18, 18, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, -3, -3/2], [47/2, -125/2, -27/2], [3, -5, -1], [0, 0, 0]], [[74736, -16985, -54653/2], [-485673/2, -33391/2, -10223/2], [-50813/2, -122, 1452], [-1/2, 1/2, 2]], [[-626027571983/2, -33729386564, 224667248311/2], [975215492976, 149387808868, -648413877563/2], [103059122433, 14790818042, -34846022810], [1521219, -575463, -930216]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1367/2, -632, -7], [2663/2, 1293/2, 261], [-17, -5, -2], [0, 0, 0]], [[-212557349760, 199421150796, -23874693182], [-6355137812216/17, -794928884703/17, -236183362321/17], [83127371308/17, -73304223/17, 442929631/34], [-383/34, 1/34, -5/34]], [[-223143360459859231969/2, -30324898810770612575/2, 51804738105272063941/2], [-1992590314337424672306/17, 2303433530777627473563/34, 1484301678095916482133/17], [28595347374545929700/17, -10478329401218610135/17, -17309762903100059333/17], [-65695439960/17, 25204344660/17, 40389554600/17]]], 1, 48, [], [] >,
< [ -1, -3, 0, 1 ], [[63, -9, -42]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[441/2, 28, 2], [479/2, -1/2, 1], [1551, 5, -2], [0, 0, 0]], [[6763314915753, 854362314498, 45209763874], [7348316810620, -13723887703, 13188241575], [95173977766297/2, 325086494869/2, -172763451331], [5/2, 1, 3/2]], [[-14812010751601830305, -1875291300984381764, 4482031523637501207], [-16739651599032899968, -1857657502274491592, 5114843234581945983], [-108164070445841045536, -12061088797624977172, 33108277687730012732], [-5374315, -915895, 1204009]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1736, 1622, 5/2], [3821/2, 1/2, 11/2], [160, 1, -2], [0, 0, 0]], [[1448634588996651, -1431297991267639, 52976776477363/2], [-54835267337252839/34, 410793387488679/34, -840503394535445/34], [-2296606789495050/17, 2558788588433/17, 3063788894741/34], [73/34, 75/34, -1/34]], [[213454228988505520129857859/2, 53356766134459362763100929/2, -46394555156575591923728329], [-174462167421250250137115853/2, -20027621530040038822136612, 64910719854486111811621645/2], [-14526885611704195313993083/2, -3273755002057457964251009/2, 2695032355397356491333615], [142132695039/2, 12155987568, -31793019423/2]]], 1, 3360, [], [] >,
< [ -1, -3, 0, 1 ], [[12, -21, -42]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, 17/2, -3/2], [-12, 5/2, 1], [424, 0, 5], [0, 0, 0]], [[-5846444, 7643822, -76728], [-10215083, 5835, 118193], [399335947, 206615391, 203357131/2], [-13/2, -21/2, -11/2]], [[7424936900, -83786271400, 38734898500], [34473406509, -37806004199, 14799243390], [-2521597276995/2, 885876508824, -635050708890], [33699/2, 8511/2, 13695]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3703, -3987/2, -9/2], [-6063/2, 10, -10], [901, 5, -3], [0, 0, 0]], [[44255944448715922, 23726468981340458, 76995948505835/2], [1229874868730039113/34, -11651838932528547/34, 7717158159213959/34], [-365558543888925001/34, 81541856594014/17, 85153519330222/17], [109/34, -31/34, 1/17]], [[65812816040858814745090427/2, 139001078184311624659836227/2, 67195432612604156910369551/2], [18203037677561276680476504, 41742714796565733390850281/2, 16360689497664719298032475], [-5411758225880239810651496, -6223886017380460478043584, -4785759916310053785788420], [1242450432, 310498304, 1009478360]]], 1, 3360, [], [] >,
< [ -1, -3, 0, 1 ], [[-9, 45, 12]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-75/2, -119/2, 1], [613/2, 2, 1/2], [898, 0, 2], [0, 0, 0]], [[-441511479434, -694108001378, 17873779097], [3629508161647, 116939315, -7930491186], [21268292487509/2, -68412380243, -33054520249/2], [1, -1, 5/2]], [[-16114993166289128953, -7663987742247628810, -3585206617938080214], [295028987650771579813, 82679448935603867765, -101355626475280785204], [866483364497972335655, 242685494744057742074, -298552081261019404375], [166440505, 127013046, -56944214]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[181/2, 19/2, 0], [501/2, -4, -1/2], [-147, 4, 5], [0, 0, 0]], [[4857211942, 1542630367/2, 310404589/2], [455571094149/34, 6403675994/17, 5551406221/17], [-266867666511/34, -1427564578/17, 1443096556/17], [7/34, 3/34, 1/17]], [[-922469352267611900, -1036471895068550749/2, 373581260986947676], [-45811230023015884215/17, -52262750427006763779/34, 41385602935023684219/34], [26528684908386630026/17, 28704158294787788743/34, -12025531336604219260/17], [-676284753/17, -1032227909/34, 462725649/34]]], 1, 3360, [], [] >,
< [ -1, -3, 0, 1 ], [[57, 39, 6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[56, 77/2, -3/2], [-359/2, -1, 2], [552, 4, 2], [0, 0, 0]], [[-231096225309, -317949414335/2, 6499969581], [736568705074, -10122737133/2, -5096960069/2], [-2264701041950, 12707237473, -52714114957/2], [1/2, 3/2, -5/2]], [[121256310153232242397, 18315019847036901693/2, -45627239358395876589], [-516147079038286864674, -111551557747738438945/2, 369818563370946924907/2], [1588836812937999831063, 170490096899994057882, -570125639134089832617], [214605576, -20588136, -119653512]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2399/2, 1218, -1], [3449/2, 7/2, -2], [-70, -2, 0], [0, 0, 0]], [[5659422685620, 5613901612616, -152183474381], [138028880691916/17, -3537865480172/17, 119341242238/17], [-11205852000717/34, -10999491995/34, -7253278655/17], [73/34, 12/17, -1/34]], [[5365339502224868151965, -4320008038745366254301, -4335279519276499877503], [263265116060032706637590/17, 23770408550690560474674/17, -130197725322209707259360/17], [-10546964171073906353759/17, -824621210492383711356/17, 5265110358796843544630/17], [57396194460/17, -5518791054/17, -32009405325/17]]], 1, 1872, [], [] >,
< [ -1, -3, 0, 1 ], [[48, 24, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-71/2, 17/2, 5/2], [38, 3/2, -2], [823, 3, -1], [0, 0, 0]], [[35198841553/2, -11970512239/2, -81795607], [-38346677081/2, 62616179, -43351409/2], [-826164571699/2, 42511648079/2, -26764415141], [-5/2, -1, 3/2]], [[-60534433978181520, -17985277144605135/2, 12508695101073092], [64864070237232945, 56711893544775469/2, -7476602684717773/2], [1440325561796946234, 1334194055364712671/2, -36412423971469911], [6033629, 248521/2, -6402473/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[87/2, -203/2, -3/2], [-1316, 7/2, -3], [336, -2, 5], [0, 0, 0]], [[3394917897525/2, -3651006759424, -107807737870], [-1688975475739463/34, -8823416678973/34, 10513948470514/17], [431290624442223/34, 471030741348/17, -184253537295/34], [28/17, -5/17, -1/34]], [[229608093210403782075, 180598398663068960207, -45365426227151048359/2], [-95819516656827667163111/34, 14477867579572701459097/34, 60146197260434494891483/34], [24468450796337734862377/34, -3958264857820332619529/34, -7807743850323157238374/17], [3552443305/34, 36264362/17, -1884952531/34]]], 1, 1872, [], [] >,
< [ -1, -3, 0, 1 ], [[39, 3, -30]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-111/2, -469/2, -5/2], [-251, -1/2, -2], [-510, -5, -1], [0, 0, 0]], [[-14781737767/2, -63055725115/2, -24323791], [-69506801225/2, 201980231, 86420455/2], [-141225411803/2, -279532937/2, 504742049], [3/2, -1, -3/2]], [[-3567436496363813, -7021589112710961, 4144358301759094], [8983998013873737, 6028902199144574, -6060049915553681], [18086448886818282, 11961563476310895, -12108290966582238], [-301707, -6813, 37845]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-622, 493, -3/2], [-4263/2, -5/2, -7/2], [539, 1, 3], [0, 0, 0]], [[354170356177279, -551126926021789/2, -446632579651], [20538646892838781/17, -64237308578165/34, -170932023982559/34], [-5193605473203855/17, 9842799588657/34, 1595176566132/17], [-11/17, -75/34, 1/34]], [[3364162656671363838259432, 352552664498704127246642, -1134808661764098448248825], [153897376763808676207368485/17, 16507126194298322028881533/17, -52993781794932090837868132/17], [-38923821843191550252612966/17, -4169917081648489930394460/17, 13402918457644997999825448/17], [14734250443/17, 368430161/17, -1841832531/17]]], 1, 1872, [], [] >,
< [ -1, -3, 0, 1 ], [[33, -24, -33]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[22, -3/2, -1], [-11717/37, -991/74, -245/37], [-122/37, 5/74, -1/74], [0, 0, 0]], [[42581, -19051/2, 17827/2], [-23251744/37, 399774/37, -14654313/74], [-228646/37, 128495/148, -280555/148], [169/74, 1/148, 5/148]], [[17170602017/2, 6625918215/2, -1737978453/2], [-9437531960571/74, -5416867434405/74, -173472841029/74], [-2542595861/2, -1268294107/2, 63608961/2], [30899143/74, 5740157/37, -4274585/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 3/2, -1/2], [26222/37, 24499/74, -4589/74], [-23/74, -10/37, 2/37], [0, 0, 0]], [[237653, -36947/2, -14077], [4244014612/37, 2246697709/74, -1214342612/37], [-35935, 1303, 933/2], [-7/37, 1/74, 0]], [[-11699495671, 18052232301/2, 8891007062], [-6670066516575525/1258, 1566370234671561/629, 2490609783078435/629], [6395240967/4, -3785810939/2, -6411034523/4], [21616389/2516, -12379269/1258, -20869269/2516]]], 1, 912, [], [] >,
< [ -1, -3, 0, 1 ], [[33, -24, -33]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[39, 13, -5/2], [-22288/37, -10192/37, -1229/74], [-443/74, -197/74, -5/74], [0, 0, 0]], [[2512501/2, -121546, -1013203/2], [-675902404/37, 239519825/74, 299842800/37], [-13542451/74, 4380635/148, 2974059/37], [-22/37, 1/148, 0]], [[-651759063731/2, -247143506337/2, 93335936047/2], [371992997109409/74, 183060389701597/74, -24858901115265/74], [1845953786808/37, 1762164416475/74, -289275593139/74], [4238816/37, -81187, -5499351/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, -7/2, 1/2], [-77933/37, -65263/74, -4663/74], [125/74, 27/37, 2/37], [0, 0, 0]], [[71, -3283/2, -1929/2], [-69589847/1258, -514221001/1258, -296000245/1258], [73879/148, 39377/148, 6987/37], [615/2516, -91/2516, -1/629]], [[112571109/2, 278359193/2, 69357355], [447033176136/37, 1331809413623/37, 1368340237227/74], [2775336, -152251855/4, -43769275/2], [251446/37, -694785/148, -271297/74]]], 1, 912, [], [] >,
< [ -1, -3, 0, 1 ], [[-21, 24, 18]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-14985/2, -391/2, 5/2], [-1905369/74, -9453/74, 825/74], [8673/37, 47/74, -1/37], [0, 0, 0]], [[-1591593558907/2, -141706233965/2, 89208005877], [-202858921236407/74, -7593127940222/37, 23006266223301/74], [99853540101/4, 3663951027/2, -5658211131/2], [-69/148, -1/74, 1/74]], [[2020129468641813029, -36736655623110653, -1041688170318951730], [259662373711014848143/37, -1760791187480776380/37, -132414780643396624110/37], [-2366613062552073255/37, 13612701184324041/37, 1205843959969733799/37], [45249658/37, -1343165/37, -25187256/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6271/2, -117, -1], [-8877763/74, -62336/37, -1319/37], [7259/74, 101/74, 1/37], [0, 0, 0]], [[2835007072263/2, 97182175895/2, -43985264893/2], [34127085032023176/629, 825276875466307/1258, -528976798442618/629], [-55808884116649/1258, -333968916027/629, 1732376398673/2516], [453/1258, -11/629, -1/2516]], [[1303301231052469448422, -278788859740958723763/2, -1542576027113695426377/2], [63591598416336406648945759/1258, -2811231573406740957030685/629, -18504194074593516713012379/629], [-26000180439928353753975/629, 9182830047871233108285/2516, 15129482102710367085729/629], [218334431075/629, -45645493145/2516, -123974352313/629]]], 1, 912, [], [] >,
< [ -1, -3, 0, 1 ], [[-21, 24, 18]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4341/2, 71, -1], [552427/74, 3080/37, -283/37], [-5025/74, -47/74, 1/37], [0, 0, 0]], [[40529044, -3719092379, 3680367771/2], [61413675/74, -977471743733/74, 489001447441/74], [26655099/148, 4464992862/37, -8945808363/148], [53/148, 0, 3/148]], [[7921479399186558, 4553193334640518, -4194673149453014], [1019672096751321483/37, 592412708621058250/37, -546400757416589352/37], [-9287638682051637/37, -5406214669405734/37, 4983621633287334/37], [52684791/37, -2926360/37, -30013848/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7572, -597/2, -2], [-10683691/37, -347255/74, -1627/37], [8765/37, 281/74, 3/74], [0, 0, 0]], [[-14826265780657/2, -299969607923, -3467911696], [-355622903801233161/1258, -6146310125749859/1258, -59069688694987/629], [145878175393155/629, 9955426978737/2516, 204715592865/2516], [-15/629, -101/2516, -5/2516]], [[-1900825758575988429/2, -128331008154055161/2, 333382515571079013], [-1242337231262945406811/34, -1564055018679682558379/629, 16066156125289787043509/1258], [75428624155302049851/2516, 2566615038632173053/1258, -6590716847176878225/629], [-3268455/2516, 79935/1258, 462525/629]]], 1, 912, [], [] >,
< [ -1, -3, 0, 1 ], [[-66, -27, 15]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-233/2, -167/2, 2], [14885/74, 11621/74, 265/37], [154/37, 116/37, 3/74], [0, 0, 0]], [[126443/2, 92321/2, -48158], [-3725030/37, -2358797/37, 5443877/74], [-77684/37, -229137/148, 245807/148], [65/74, 1/148, -5/148]], [[-142042535/2, 67796581/2, 41479628], [8735398829/74, -4718236607/74, -2832714953/37], [82706263/37, -54219362/37, -113331307/74], [-2190, -1600, -40]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-244, -95/2, 1/2], [590108/37, 273619/74, 7453/74], [645/74, 149/74, 2/37], [0, 0, 0]], [[-64796441/2, 19670072, -7173790], [2683285227681/1258, -729813585141/629, 535844567415/1258], [43077960/37, -94106529/148, 8639289/37], [-755/1258, 11/2516, -1/629]], [[-7901168593961/2, -11266988558, 4640387393189/2], [317793600632809957/1258, -4194975344564988/629, -191023205041448663/1258], [5106962426754/37, -130279004244/37, -6135706505907/74], [-67232647/1258, 23154717/1258, 24996444/629]]], 1, 912, [], [] >,
< [ -1, -3, 0, 1 ], [[-66, -27, 15]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[20, 55/2, 1/2], [-1475/37, -3889/74, -571/74], [-53/74, -75/74, -2/37], [0, 0, 0]], [[-8023, 2323/2, 3817/2], [669813/37, -12741/37, -408771/74], [37425/148, -1319/37, -5261/74], [-41/148, 1/37, -1/74]], [[39646565, 1398236, -16942615], [-3121248972/37, -54192319/37, 1332343505/37], [-44001513/37, 5145051/37, 23046957/37], [1822, 1550, 172]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-218, -20, 5/2], [531621/37, 66561/37, -7083/74], [288/37, 73/74, -2/37], [0, 0, 0]], [[151757/2, -59385/2, -770], [-3195480866/629, 2267200645/1258, 3708487/34], [-642597/148, 146579/148, 9301/148], [-2147/2516, 27/2516, 1/2516]], [[-11329983620, 4774023931, 17813453099/2], [458764019123624/629, -241846877204524/629, -783524306642597/1258], [16972518369/37, -59999342729/74, -28515279920/37], [21632832/629, -203308560/629, -146322072/629]]], 1, 912, [], [] >,
< [ -1, -3, 0, 1 ], [[36, 15, -3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-46, 105/2, 1/2], [-131/2, -2, 0], [-27, -3, 0], [0, 0, 0]], [[-98838, 114500, -12797/2], [-277463/2, 13257/2, 3891/2], [-114013/2, -1703, 2513/2], [2, 0, 3/2]], [[-85541849/2, -6634348, 22326410], [-90702751/2, -32420707/2, 12948445], [-36391741/2, -6818358, 9603349/2], [835, 676, -151/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3737/2, -2053, 5/2], [2078, 1, -3/2], [-308, -2, 1], [0, 0, 0]], [[-295008660517365/2, -324680178404205/2, 1426442712165/2], [163278406820005, -2143683633965/2, 575446743720], [-24202085635081, 10471840564, -22378956672], [-1, 1, 0]], [[-98784215116094751210, -852007500882796698990, -494106477273778637070], [-3307624021733899839920/17, 4217062189543621633030/17, 4708798315910119573700/17], [57368680733001957233/2, -36952974611535407447, -41037903615856027406], [97871437/34, 80561713/34, -2889137/17]]], 1, 240, [], [] >,
< [ -1, -3, 0, 1 ], [[27, 12, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[29/2, 17/2, -1/2], [18, -3/2, 0], [-6, -4, -2], [0, 0, 0]], [[90440, 47747/2, -22078], [119951, -54653/2, -21689/2], [-34765, -2947, -605/2], [-3/2, 1/2, -1/2]], [[126880529951, -81430787879/2, -160967836505/2], [437406390443/2, -11340544768, -90877550144], [-48245429846, 36379488052, 42097049134], [-2368850, 2189075, 2193400]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[119/2, -5809/2, -5/2], [3995, 1/2, -1], [-338, -3, -4], [0, 0, 0]], [[11830148687190, -355987836026291, 5374506446035/2], [17245039021167047/34, -141850102972567/34, -204029581282527/34], [-729367152806691/17, 324147174363/34, 349912650387/34], [-27/34, -24/17, 1/17]], [[1928975136844590315101/2, 874719031139708605957/2, -361432848700172475221/2], [54192170983069865713247/17, 7592588307443493939437/34, -21442333816279422677652/17], [-9145945539005853481131/34, -606790326707170987183/34, 3643405808725372364635/34], [-24272105/17, 45043685/34, 22527196/17]]], 1, 240, [], [] >,
< [ -1, -3, 0, 1 ], [[27, 18, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 3/2, -3/2], [-7/2, 2, 0], [128, -1, -4], [0, 0, 0]], [[0, 0, 0], [-20, -20, 20], [62, 4231, 2565], [-2, -2, 2]], [[0, 0, 0], [-2974475, 237605, 1666000], [-26984449/2, 1048843337, 688641291], [-594895/2, 47521/2, 166600]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-368, -115/2, 3/2], [2743/2, -2, 0], [110, 2, -1], [0, 0, 0]], [[17989385136130, 2576399540674, 50278905166], [-1137930994783784/17, 21670314417214/17, -11107619777524/17], [-10741035443583/2, -8376702910, -645793711/2], [11/17, -22/17, -1/34]], [[-6072514804024043996022, -2001697992451979693844, 1437111233840634783600], [402380052255136126126594/17, 115869946880429495533794/17, -109034323468827284574240/17], [1883323636197814483825, 543415371339001215829, -506908993677909300251], [-5888560960/17, 470378400/17, 3297112800/17]]], 1, 240, [], [] >,
< [ -1, -3, 0, 1 ], [[27, -6, -18]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[29, 30, 3], [36, 2, 1], [-215, 4, -2], [0, 0, 0]], [[-710052529/2, -644427231/2, -12501447/2], [-457641085, -5177305/2, 5456593], [2742182068, -158952071, -139756693/2], [5/2, -5/2, 1/2]], [[-2429284646585, -15109295299267/2, -3878615544278], [-1492754141504, -6793109543251/2, -3285772760119/2], [8010930950737, 16831581641838, 7969309673360], [2861, -3733, -2602]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, -4, -1/2], [-4, 0, -1/2], [309, 1, 5], [0, 0, 0]], [[-14007212, -12431152, -56197/2], [-36227115/2, 271205/2, 542451/2], [1398227124, 6426130, -253298027/2], [5/2, -3/2, 3/2]], [[5830466301870, -21068421417059, -33674598154313/2], [37866976419737/2, -19145324773505/2, -24346648839811/2], [-1510336327886540, 501908295747495, 1677895342469227/2], [-5516399/2, 6955879/2, 4876053/2]]], 1, 192, [], [] >,
< [ -1, -3, 0, 1 ], [[-18, 15, 15]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, 1, 1], [-6, 1, 2], [-282, -3, -3], [0, 0, 0]], [[280944, -487909/2, 5524], [308863, -5651/2, -5837/2], [8526677, -34210623/2, -1715687], [-1, 5/2, 5/2]], [[-54434868271/2, -19969877708, 18676629113], [-40562948653/2, -21553590379/2, 10835863028], [-1100638695617, -858881493922, 1666863859785/2], [131065/2, -83171/2, -47575/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-53/2, 21, 0], [-57/2, 1/2, 1], [54, 5, 1], [0, 0, 0]], [[322957057/2, -153473034, 13951832], [355783769/2, -29958643/2, -1642850], [-336777243, -8316969, -13736793], [0, -1, -2]], [[189136361876241/2, 13251947636628, -67909255779041/2], [79651212755191, 10706358573922, -56015368812095/2], [-292352182045111/2, -19816844501579, 51261575765632], [71543/2, -45319/2, -12970]]], 1, 192, [], [] >,
< [ -1, -3, 0, 1 ], [[-27, -18, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[76, 183/2, -5/2], [-209/2, -1, 2], [380, 3, 1], [0, 0, 0]], [[-8061451354, -9818606956, 372179498], [10848848783, -152825414, -27128917], [-78854943883/2, 1350086387/2, -807411032], [5/2, -1, -1/2]], [[14955504334064, 47819680151095/2, 15859833088761/2], [-43018490441627/2, -9773023741694, 954203669901], [79023446537736, 37776685925421, -1973212921959], [-4564, 805, 1995]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[39, 46, -1/2], [-111/2, -5/2, 5/2], [129, 2, 1], [0, 0, 0]], [[-1670998944, -2012824152, 90049176], [2263213696, -36602390, -17399502], [-5232230383, 622498323/2, -286499540], [-2, -1/2, 3/2]], [[98501656553472, 63090834055320, 9022316165424], [-213039416299520, -62012614294672, 64040439875368], [507958381344299, 159337989121503, -150931713088709], [131908, -23062, -57440]]], 1, 192, [], [] >,
< [ -1, -3, 0, 1 ], [[-288, -144, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-72, -144, -60], [-6, -18, -6], [0, 0, 0]], [[0, 0, 0], [1240, -2562, 1058], [-1160, -2788, 1803], [-5, 5, -3]], [[0, 0, 0], [112190, 35054, -50080], [10310, 21581, -14467], [-351, -108, 144]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [218, 770, 392], [-16, 2, -10], [0, 0, 0]], [[0, 0, 0], [712174, 1723672, -1189706], [507108, 1799234, -1099886], [-18, -4, -2]], [[0, 0, 0], [-239096010, -590447358, 377281260], [-151617459, -588967188, 356375673], [6018, -1734, -1377]]], 0, 217728, [], [] >,
< [ -1, -3, 0, 1 ], [[144, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [74, 166, 90], [10, -8, 10], [0, 0, 0]], [[0, 0, 0], [1203628, -2134670, 1265326], [-595438, -4012315, 2323697], [-11, 0, -4]], [[0, 0, 0], [114667783058, -27894695424, -28198083308], [45972812400, -43331342061, 9585871995], [-642727, 147354, 263560]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32, 10, 0], [60, 66, 18], [0, 0, 0]], [[0, 0, 0], [-33180, -95748, 60672], [8731, -3743, 1243], [14, 3, 4]], [[0, 0, 0], [605298, 2835468, -1664214], [-768000, 163722, 212820], [-948, 474, 474]]], 0, 72576, [], [] >,
< [ -1, -3, 0, 1 ], [[48, 0, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 22, 8], [4, 6, 2], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-6, -4, 4], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 6, -4], [6, -4, -2], [0, 0, 0]], [[0, 0, 0], [720, -208, -336], [-2451, -828, 462], [3, 9, 6]], [[0, 0, 0], [36864, 3456, -12096], [-104352, -11719, 36277], [21, -20, -4]]], 0, 2688, [], [] >,
< [ -1, -3, 0, 1 ], [[12, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13, -1, -4], [32, 53, 23], [0, 0, 0]], [[0, 0, 0], [-285627, -590939, 772615/2], [118859, 195971, -71989], [-2, -2, -1/2]], [[0, 0, 0], [-5266503/2, -14569695/2, 9247011/2], [97100, 1600051, -892036], [43/2, 7/2, -15/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [254, -28, 5], [-10, -10, 2], [0, 0, 0]], [[0, 0, 0], [-6542150297/34, -2628200649/34, 2829008537/34], [62993334/17, 1184280/17, 2450046/17], [-15/34, -21/34, 3/34]], [[0, 0, 0], [-12101633815389/34, -319739036337/17, 3636941322579/34], [156835957857/17, 39420269908/17, -58953746000/17], [-15837/34, 163/17, 495/34]]], 1, 42, [], [] >,
< [ -1, -3, 0, 1 ], [[12, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11, 3, -4], [-7, -22, -13], [0, 0, 0]], [[0, 0, 0], [-454949/2, -29661/2, 152291/2], [-11975, 15714, 13683], [-3/2, 3/2, -5/2]], [[0, 0, 0], [32172911/2, 3282841/2, -10829463/2], [1195769, 150634, -355623], [247/2, -213/2, 29/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [180, 45, 12], [16, 16, 4], [0, 0, 0]], [[0, 0, 0], [-796721/34, -2801483/34, 910763/17], [12407/17, 771/17, 5835/17], [75/34, 3/34, 1/17]], [[0, 0, 0], [-15001335/17, -122198075/17, 72387722/17], [2349669/17, -17691/17, -77652/17], [7050/17, 282/17, -1410/17]]], 1, 42, [], [] >,
< [ -1, -3, 0, 1 ], [[192, -48, -96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [404, 46, 36], [26, 6, 4], [0, 0, 0]], [[0, 0, 0], [22, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-19564010, 349714, 12815548], [-1178474, 157182, 871148], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-304, 48, -62], [-22, 8, -10], [0, 0, 0]], [[0, 0, 0], [-46, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [10811438, -1636962, -7973612], [856778, -159450, -722840], [0, 0, 0]]], 0, 48384, [], [] >,
< [ -1, -3, 0, 1 ], [[96, -48, -96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-580, -52, 20], [36, 10, -4], [0, 0, 0]], [[0, 0, 0], [-16, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-41808964, -2253042, 1851304], [2599092, 641286, -327888], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-516, 44, -38], [20, -10, 8], [0, 0, 0]], [[0, 0, 0], [-50, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-108816420, -28677074, 18995156], [4890660, 1189180, -611980], [0, 0, 0]]], 0, 48384, [], [] >,
< [ -1, -3, 0, 1 ], [[-192, -144, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [74, -40, 20], [-6, 8, -2], [0, 0, 0]], [[0, 0, 0], [46, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [15460, -3546, -11884], [-1872, -768, 672], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-170, 14, -18], [26, -4, 2], [0, 0, 0]], [[0, 0, 0], [-22, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-6596, -2484, 2642], [1026, 374, -422], [0, 0, 0]]], 0, 48384, [], [] >,
< [ -1, -3, 0, 1 ], [[144, 48, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [160, 10, 10], [22, 2, 0], [0, 0, 0]], [[0, 0, 0], [34, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [420, 7502, -290], [0, 864, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2590, -674, -330], [-18, -8, -4], [0, 0, 0]], [[0, 0, 0], [964219372994/17, -74586128396/17, -29143744826/17], [380852011, 2485011, 3628157], [82/17, 57/17, 4/17]], [[0, 0, 0], [289619770417032890/17, -1760941680670209170/17, 678225303899708330/17], [107248008536672, -698035712312734, 243413704016537], [52869091/17, -42292567/17, -42285761/17]]], 0, 53760, [], [] >,
< [ -1, -3, 0, 1 ], [[-192, -96, 48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [244, 8, -12], [14, 8, -4], [0, 0, 0]], [[0, 0, 0], [56, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [39294, -14924, -21034], [1824, -644, -1402], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2686, -924, -1220], [-28, -6, -8], [0, 0, 0]], [[0, 0, 0], [6590197753380/17, 229780141664/17, 607730896742/17], [4153013168, 23739809, -7453717], [-3/17, 40/17, 4/17]], [[0, 0, 0], [-2139837209562820026, -552836532766108038, 616339446461519760], [-22648232914119390, -5086422870031738, 6924776414599468], [4613952, -1300704, -3284160]]], 0, 53760, [], [] >,
< [ -1, -3, 0, 1 ], [[144, 0, -96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [234, 4, 2], [-12, 2, -8], [0, 0, 0]], [[0, 0, 0], [38, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [25455222, 8096328, -6694122], [-1635738, -933992, 252278], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3356, 162, 778], [6, 2, 10], [0, 0, 0]], [[0, 0, 0], [814636853994/17, 51370421438/17, -196780684966/17], [1488620114/17, 15465323/17, 765197/17], [7/17, 20/17, 2/17]], [[0, 0, 0], [19453581918, 2349480464, -6740313062], [37331448, 4544100, -12864060], [0, 0, 0]]], 0, 53760, [], [] >,
< [ -1, -3, 0, 1 ], [[144, -96, -144]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1150/37, -6548/37, 22/37], [-88/37, 242/37, -4/37], [0, 0, 0]], [[0, 0, 0], [-323234/37, -19748, 481402/37], [9292/37, 30650/37, -19857/37], [62/37, 2/37, -1/37]], [[0, 0, 0], [-1324251315/37, -90670950, 2102184389/37], [107564650/37, 191192415/37, -168260387/74], [-822430/37, -970240/37, -346785/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-234944/37, -11468/37, -2324/37], [-768/37, -34/37, -8/37], [0, 0, 0]], [[0, 0, 0], [1659961376275/629, 475143827276/629, 74551007495/629], [5426630665/629, 1528910826/629, 482277481/1258], [1235/629, -5/629, -1/1258]], [[0, 0, 0], [-1568147916356616460/629, -1378210413023860676/629, -10714689244344410/629], [-5129573942256706/629, -4491629060219565/629, -18375920200898/629], [-1200551286/629, -789535373/629, 243735514/629]]], 0, 96768, [], [] >,
< [ -1, -3, 0, 1 ], [[144, -96, -144]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [46868/37, 8642/37, 314/37], [-1996/37, -394/37, -10/37], [0, 0, 0]], [[0, 0, 0], [84320567193/37, 82988045533/37, -75447010745/37], [-3529826905/37, -6827126747/74, 3135819590/37], [4, -1/74, 2/37]], [[0, 0, 0], [-79626501209622466/37, 26209720826578532/37, -2986556003195336/37], [3400318767953195/37, -1046224959294582/37, 93991460770897/37], [-308449497/37, -11496164/37, 161595273/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10918/37, 51172/37, -1088/37], [-14/37, 168/37, -4/37], [0, 0, 0]], [[0, 0, 0], [-28831379848/629, -5451362036/629, -21976179475/629], [-626116999/1258, -23132709/1258, 5607619/1258], [1827/1258, -101/1258, -5/1258]], [[0, 0, 0], [-1110847107478474264/629, -1499180247213515428/629, -74315035286762542/629], [-8294421416477787/629, -5246009943613650/629, 1836349080404688/629], [24839818245/629, 14916845394/629, -6736579542/629]]], 0, 96768, [], [] >,
< [ -1, -3, 0, 1 ], [[144, -96, -96]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1228, -208, -10], [36, 6, 0], [0, 0, 0]], [[0, 0, 0], [1257312021/37, 407104144/37, -232135424/37], [-1989405/2, -317150, 374815/2], [5/74, 0, -1/74]], [[0, 0, 0], [154306099416/37, 90958555005/37, -44128132701/37], [-9012964507/74, -5232555957/74, 1297408643/37], [1017/74, 1125/74, -414/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-58670/37, 22210/37, -2180/37], [188/37, -90/37, 10/37], [0, 0, 0]], [[0, 0, 0], [-11345895/629, -1043544/17, -5049559/629], [13551/74, 5465/74, 289/74], [-63/1258, 41/1258, -1/1258]], [[0, 0, 0], [91989688376/629, 311338245250/629, 154974359509/629], [1013124/37, -69955115/74, -23998406/37], [-84710/629, -77915/1258, 26785/629]]], 0, 96768, [], [] >,
< [ -1, -3, 0, 1 ], [[144, -96, -96]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [37496/37, 14276/37, 494/37], [-1134/37, -390/37, -6/37], [0, 0, 0]], [[0, 0, 0], [-408444222/37, 18540376/37, 66331962/37], [12402926/37, -869259/37, -1922111/37], [0, -1/37, -1/37]], [[0, 0, 0], [128269759142/37, 14057065883/37, -43635529870/37], [-7861060777/74, -427118779/37, 1335510555/37], [-145/74, -8/37, 31/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [720/37, -37584/37, -1818/37], [106/37, 150/37, 8/37], [0, 0, 0]], [[0, 0, 0], [5308064610/37, 2897020129/37, -3791962988/37], [30936977/74, -308976/37, -141814/37], [5/74, 1/37, 0]], [[0, 0, 0], [-3086968175952592/629, 3950092424070362/629, -768688301227060/629], [-1421019932052/37, -745438056078/37, 651823156428/37], [-3182940/629, -1500768/629, 938304/629]]], 0, 96768, [], [] >,
< [ -1, -3, 0, 1 ], [[-288, -144, 48]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10660/37, -988/37, 20/37], [-1242/37, -192/37, -6/37], [0, 0, 0]], [[0, 0, 0], [-20293801/37, -9789157/37, 11428168/37], [-4566461/74, -1041728/37, 2524707/74], [5/74, 1/37, 3/74]], [[0, 0, 0], [6046793662, 38358850769/37, -81390468011/37], [50970952261/74, 4324787842/37, -9209338494/37], [-57343/74, 10025/37, 16441/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [188722/37, 13648/37, 778/37], [-1494/37, -128/37, -4/37], [0, 0, 0]], [[0, 0, 0], [2685880208764795/629, 166704007712830/629, -20504886716425/629], [-1250565620549/37, -93858180098/37, 22854590069/74], [-6/629, 12/629, -1/1258]], [[0, 0, 0], [-102848802987886888643/629, 18075192549982474663/629, 1318994882336323174/17], [95215941812068155/74, -8580723119565510/37, -45590612309991003/74], [895765/1258, 117299/629, -82355/1258]]], 0, 96768, [], [] >,
< [ -1, -3, 0, 1 ], [[-288, -144, 48]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5576/37, 2204/37, -352/37], [784/37, 360/37, 2/37], [0, 0, 0]], [[0, 0, 0], [-72310446/37, -25675829, 374471754/37], [-23894556/37, -331029807/74, 137199075/74], [0, 3/74, -1/74]], [[0, 0, 0], [-2244369358757/37, -125238754613/37, 804592993996/37], [-616996053383/74, -12045480717/37, 223013785487/74], [8635/74, 260/37, -3125/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2404, -1006, -10], [20, 10, 0], [0, 0, 0]], [[0, 0, 0], [-399825311451/629, 47875608869/629, -30373733435/629], [204919541/37, 32885735/74, -4526760/37], [22/629, -3/1258, -1/629]], [[0, 0, 0], [7687409759279150/37, 2880155269776986/37, 130033301497402/37], [-64267480099907/37, -29984697885983/37, -244349714375/37], [-402395/37, -118195/37, 32795/37]]], 0, 96768, [], [] >,
< [ -1, -3, 0, 1 ], [[0, 192, 48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-982, -72, -134], [30, 4, 8], [0, 0, 0]], [[0, 0, 0], [138, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-138566774, -120092290, 45900648], [4504032, 4520880, -1314144], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [29858, -1558, 386], [0, -8, 2], [0, 0, 0]], [[0, 0, 0], [-3147795425490, 83385102268, 1143854508680], [-300882475, 1668608, 618938], [5, -3, 0]], [[0, 0, 0], [-42285181364617062/17, -62567413956917308/17, -20492018950104332/17], [1638608863398/17, 14826877815387/17, 10171672763145/17], [74227/17, 74688/17, -20758/17]]], 0, 145152, [], [] >,
< [ -1, -3, 0, 1 ], [[240, 144, -48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-472, -62, 114], [14, -6, 10], [0, 0, 0]], [[0, 0, 0], [-150, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [16865912, 1377730, -6079980], [-614160, 98880, 238320], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22116, 3290, 1312], [4, 10, 4], [0, 0, 0]], [[0, 0, 0], [-45007051420418/17, -12700498432912/17, 19040561173134/17], [-1828107868/17, 4417414/17, -11703/17], [97/17, 61/17, 1/17]], [[0, 0, 0], [-14914502449833861780/17, -9723085954697268420/17, 9424614467944924950/17], [-192290323349228/17, 765545699656126/17, -320950025291456/17], [20474584/17, -3163914/17, -7890636/17]]], 0, 145152, [], [] >,
< [ -1, -3, 0, 1 ], [[-96, 192, 144]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [420, -8, -2], [30, 2, -2], [0, 0, 0]], [[0, 0, 0], [-104631698, 9733432, -9225630], [-7565245, -177959, -22332], [-1, -2, -3]], [[0, 0, 0], [15092806491958, 2303724767770, -5160959502690], [1036522720785, 154458957561, -352976519964], [105161, 56490, -16205]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-17476, 316, 102], [-10, -6, -2], [0, 0, 0]], [[0, 0, 0], [224778560921250/17, -95831852255556/17, 7149016357812/17], [120108451570/17, -211663550/17, 66071848/17], [-10/17, -48/17, 2/17]], [[0, 0, 0], [-6100462981967468350/17, -757417026352292036/17, 2188744999101111642/17], [-2808749111688504/17, -276029458704108/17, 1042561103872671/17], [-187287/17, -100933/17, 28699/17]]], 0, 145152, [], [] >,
< [ -1, -3, 0, 1 ], [[288, 144, -96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1172, 34, 72], [10, 2, 6], [0, 0, 0]], [[0, 0, 0], [114, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [396213048, 3124218, -127119126], [3234572, -418364, -1004664], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [17284, -1194, -598], [12, -4, -2], [0, 0, 0]], [[0, 0, 0], [-1054234148256/17, 1842504882442/17, 990648634322/17], [-1174507729/17, -322067/17, -1316385/17], [-24/17, -37/17, -2/17]], [[0, 0, 0], [3605207434936135236/17, 752476733386210620/17, -1292272988897992500/17], [2660239449654560/17, 457624931561360/17, -1022384585599267/17], [22936275/17, -2853625/17, -7168875/17]]], 0, 193536, [], [] >,
< [ -1, -3, 0, 1 ], [[336, 192, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5986, -46, 288], [34, -2, 10], [0, 0, 0]], [[0, 0, 0], [180, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [-178951726152, -27099543424, 32982374608], [-1062779898, -190972210, 98226232], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8160, 2, 164], [18, 0, 6], [0, 0, 0]], [[0, 0, 0], [-1334027966632/17, -39398783456/17, 235828495464/17], [2971691678/17, 1213789/17, 217944/17], [-240/17, -81/17, -3/17]], [[0, 0, 0], [6138248739881106672/17, -26801512297133872/17, -1285951112472954344/17], [-13497165461047791/17, 1149518403525668/17, 945953260092031/17], [1063140158/17, 192918402/17, -97104365/17]]], 0, 193536, [], [] >,
< [ -1, -3, 0, 1 ], [[288, 288, 48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [272, 144, 178], [-22, -6, -8], [0, 0, 0]], [[0, 0, 0], [-114, 0, 0], [-2, 1, 1], [1, 0, 0]], [[0, 0, 0], [74186, -54134, -61098], [-6970, 2546, 4238], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-31566, -938, 944], [-30, -2, 2], [0, 0, 0]], [[0, 0, 0], [-2045435081836, 103835718256, -102269013636], [-1957200311, -5991728, 73390], [1, 3, 0]], [[0, 0, 0], [-225419588454478021840/17, -27635582249663204664/17, 77832008810063467216/17], [-210485995352520716/17, -25798116637678454/17, 72702585219305137/17], [-3901485/17, 1488711/17, 2392747/17]]], 0, 193536, [], [] >,
< [ -1, -3, 0, 1 ], [[1008, -144, -672]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [760, 6, -6], [-1788, 0, -6], [0, 0, 0]], [[0, 0, 0], [-7806910534442, -273731102, 26309227846], [18364423827302, -150452492534, 148808968389], [3, 19, 11]], [[0, 0, 0], [-108126581744505683142, 76055030463089183170, -9208476796449797272], [252089297319398795347, -187513175024780845908, 26842160940310463654], [-43226025, -7394085, 9668340]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24532, 14, -18], [-270, -4, 4], [0, 0, 0]], [[0, 0, 0], [-339713706566567572/17, 5311072372112948/17, -5238340005881782/17], [3740618790238357/17, -894753196973/17, 1582493279593/17], [-20/17, 125/17, 4/17]], [[0, 0, 0], [10466971853068956306655746186/17, 612391239229427491237321226/17, -3740575946272276805676406448/17], [-114518523827145294724524240/17, -6917227945843906845365616/17, 40956059496582169890950208/17], [1973277777104/17, 337523244056/17, -441397888516/17]]], 0, 13547520, [], [] >,
< [ -1, -3, 0, 1 ], [[192, -336, -672]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-288, 4, -8], [-2022, 4, -4], [0, 0, 0]], [[0, 0, 0], [1411269097674, 2873561958, -2682701118], [9901409987663, 124422981257, -251719935964], [-7, -8, -3]], [[0, 0, 0], [-4768891370152279860, 96394417799313506070, -57636191465601532824], [-53797284858336729569, 624553222412817407349, -367654088122482638101], [145292400, 36273171, 118025556]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [34254, 46, 68], [-3734, -6, -10], [0, 0, 0]], [[0, 0, 0], [280495960227273906/17, -318626140622922/17, -381019737411570/17], [-30576552330868977/17, 26968597885893/17, 20577962998332/17], [-73/17, -58/17, 1/17]], [[0, 0, 0], [36205974716348877492498618/17, 49078690242969102579123126/17, -30860910988674535690750746/17], [-3949591994833388056532572/17, -5357166240813616775542464/17, 3366966712405184724099904/17], [-2870063296/17, -717906304/17, -2331876928/17]]], 0, 13547520, [], [] >,
< [ -1, -3, 0, 1 ], [[-144, 720, 192]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-772, -6, 8], [-1110, 10, 8], [0, 0, 0]], [[0, 0, 0], [-26156890443516, -246497349336, -194374393962], [-37597591783672, 308665824943, -403747625655], [-1, 20, 14]], [[0, 0, 0], [5237841577967254536, 163242939576672358830, -85987980158526310200], [10472820859806675504, 242945651133482322948, -128918676363511361052], [-21372392, -16311360, 7310900]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2390, -54, 52], [1088, -8, 6], [0, 0, 0]], [[0, 0, 0], [-10971412260066, 143515882330, -181144725760], [-4993449739377, -7947844458, -3178502370], [-5, 5, 0]], [[0, 0, 0], [-3877415069754431624976/17, 981252186902475952416/17, 3558618243266539296996/17], [-1748561975257033232644/17, 444412936703767505282/17, 1578806302701438876800/17], [-3331928732/17, -2542789832/17, 1139872854/17]]], 0, 13547520, [], [] >,
< [ -1, -3, 0, 1 ], [[912, 624, 96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [294, -2, 10], [-1684, 0, -2], [0, 0, 0]], [[0, 0, 0], [5628514232442, 362440164, -6217110268], [-32225532742596, -213009555586, 990985172932], [4, -2, -2]], [[0, 0, 0], [35993942908427124072, 13302223396054347768, -10674269282661005112], [-203416674823905362955, -71331529543520998950, 61293305217054023589], [24644182, -2366832, -13741819]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2870, 8, -58], [-694, 0, -8], [0, 0, 0]], [[0, 0, 0], [878211020171490/17, -8221740149178/17, 14558642596410/17], [212371147549426/17, -1361793137913/17, 1691975245265/17], [129/17, 14/17, -2/17]], [[0, 0, 0], [-1581377892330333008069676/17, 64899832028403065481972/17, 851200775602520226500856/17], [-381934797564397379377775/17, 14263608652335127721299/17, 203934776766738443913220/17], [-218075225663/17, 20965243838/17, 121616103945/17]]], 0, 7547904, [], [] >,
< [ -1, -3, 0, 1 ], [[768, 384, 48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1172, -4, 6], [-112, -130, -52], [0, 0, 0]], [[0, 0, 0], [-90, 0, 0], [-26, 1, 1], [1, 0, 0]], [[0, 0, 0], [50631672, 14466192, -23507562], [2878400, 57540, -1533392], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-23822, -8, -70], [-2098, 0, -8], [0, 0, 0]], [[0, 0, 0], [5749597659491460/17, -38951997503410/17, 75303778599660/17], [506361359347698/17, -3610644723733/17, 7089505221550/17], [22/17, 75/17, -1/17]], [[0, 0, 0], [1778037916602357578/17, 231103065452600944/17, -615632684118737258/17], [156627526498474990/17, 20361198414448890/17, -54230820107338174/17], [-1260/17, -30/17, 660/17]]], 0, 7547904, [], [] >,
< [ -1, -3, 0, 1 ], [[624, 48, -480]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1358, 6, -4], [-1190, -10, -6], [0, 0, 0]], [[0, 0, 0], [-126, 0, 0], [-104, 1, 1], [1, 0, 0]], [[0, 0, 0], [-61548422704, -1239855200, 7887489648], [-53846996292, -1501303518, 6826845672], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8770, -8, -8], [-700, 6, 4], [0, 0, 0]], [[0, 0, 0], [2112952597683666/17, 17362104039616/17, 11553097306394/17], [-168635012967564/17, -41737906428/17, -84834413391/17], [-9/17, 35/17, -5/17]], [[0, 0, 0], [-8455857268848167549906646/17, 269689595179199361489228/17, 3078828583360298144856912/17], [676913707400532887378804/17, -19549607367083031049927/17, -245275605280915765752631/17], [86455291595/17, 2161482750/17, -10807268400/17]]], 0, 7547904, [], [] >,
< [ -1, -3, 0, 1 ], [[-528, 384, 528]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10316/37, 1618/37, 76/37], [-1064/37, 40/37, -8/37], [0, 0, 0]], [[0, 0, 0], [191559598/37, -51856177/37, -33718703/37], [38403921/74, -4808441/37, -3905536/37], [133/74, 0, -1/37]], [[0, 0, 0], [502168189674/37, 157825027296/37, -68484974244/37], [51781728362/37, 22320910696/37, -3642255792/37], [51156/37, -341040/37, -230202/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-123602/37, -6470/37, -260/37], [1346/37, 54/37, 4/37], [0, 0, 0]], [[0, 0, 0], [51787536056226/629, -2162990543305/629, -792854885894/629], [-33176302815/37, 3569041353/74, 885988287/74], [55/629, -33/1258, -5/1258]], [[0, 0, 0], [2184776434294222/629, 789108962509242636/629, 487845015159960306/629], [46194728602, -13421223906476, -8314586693009], [-178150/629, 268240/629, 214249/629]]], 0, 3677184, [], [] >,
< [ -1, -3, 0, 1 ], [[-528, 384, 528]], [ -37, 0, 0 ], [ -56, -170, -88 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1006/37, -3932/37, 76/37], [46/37, -404/37, -8/37], [0, 0, 0]], [[0, 0, 0], [75749295/37, 8958145/37, -11428071/37], [5984883/37, 2201749/74, -488843/37], [-76/37, -5/74, 0]], [[0, 0, 0], [-15686856954211/37, 9804409995280/37, 11684815698028/37], [-2160872016935/74, 2499086664591/74, 1150777397326/37], [28995843/74, -33844225/74, -14356248/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9764/37, -12332/37, -242/37], [206/37, 118/37, 6/37], [0, 0, 0]], [[0, 0, 0], [-105817562841/629, -139430508895/629, 1977574818/17], [175113487/74, 3850010/37, -5274155/74], [389/1258, 19/629, -3/1258]], [[0, 0, 0], [5859095206195878/629, -1405631700351438/629, -9529002807615516/629], [-7742577095604/37, 6142030660596/37, 5656519337172/37], [-16202380/629, 15986228/629, 13795844/629]]], 0, 3677184, [], [] >,
< [ -1, -3, 0, 1 ], [[336, -384, -288]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-243662/37, -8084/37, -248/37], [10094/37, 306/37, -2/37], [0, 0, 0]], [[0, 0, 0], [326806811460/37, -50666457104/37, -25046735381/37], [-27088257703/74, 4238722133/74, 2087141039/74], [-253/74, 5/74, -5/74]], [[0, 0, 0], [-3460868493674926620/37, -496043744438502284/37, 1554191767409672284/37], [143530079748951811/37, 20689595190753641/37, -64387466601551625/37], [1255984315/37, 46564639/37, -663703723/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6279848/37, -33098/37, 1558/37], [-20218/37, -104/37, 6/37], [0, 0, 0]], [[0, 0, 0], [3001146291798381895/629, -96840644714429779/629, -23687584667137084/629], [19324462491049193/1258, -312918288866184/629, -153352493269577/1258], [-1287/1258, -39/629, -1/1258]], [[0, 0, 0], [346473169343516986719858366/629, 3989782988386959012044352/629, -185022929977900884403418292/629], [1115546630948859004028222/629, 12956462892573247296948/629, -595651674084046492020032/629], [-70559183376/629, 3905993256/629, 40175589696/629]]], 0, 3677184, [], [] >,
< [ -1, -3, 0, 1 ], [[336, -384, -288]], [ -37, 0, 0 ], [ -4, -6, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1332706/37, 3442/37, -200/37], [-55588/37, -202/37, -4/37], [0, 0, 0]], [[0, 0, 0], [-264262272332052/37, -461675399990284/37, 317057233782898/37], [11012879749526/37, 19236452431414/37, -13210717474110/37], [42/37, -2/37, 2/37]], [[0, 0, 0], [-90121216130348731/37, 322135956763477813/37, -133208466882852724/37], [7523792757844973/74, -13422663568417499/37, 11093160690449429/74], [299709/74, -8648/37, -170979/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3200554/37, 47786/37, -544/37], [-10404/37, 158/37, -2/37], [0, 0, 0]], [[0, 0, 0], [8440760730848638/629, 621370042521589/629, 1430108839275/629], [54876634465315/1258, 2012992626658/629, 4640235180/629], [-1333/1258, -44/629, -1/629]], [[0, 0, 0], [52558620158571516656437584/629, -2897067726493224775837431/629, -29883546772279389528863823/629], [341752560050128172542827/1258, -9389034048064709721979/629, -97141915385007257457695/629], [-8336031885993/1258, 211116721239/629, 63868290462/17]]], 0, 3677184, [], [] >,
< [ -1, -3, 0, 1 ], [[1056, 432, -240]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-27294/37, -4800/37, -552/37], [854/37, 132/37, 10/37], [0, 0, 0]], [[0, 0, 0], [-1413602554/37, 580523980/37, -136766402/37], [44301381/37, -18936032/37, 4312772/37], [-13/37, 0, 2/37]], [[0, 0, 0], [-1520728483175/37, -1928883602906/37, -494548881494/37], [94115287539/74, 57760606368/37, 27892395027/74], [-22935/74, -13830/37, -7545/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-181246/37, -77248/37, -2410/37], [624/37, 298/37, 8/37], [0, 0, 0]], [[0, 0, 0], [86803711406674/629, -8716947928461/629, 2901405407104/629], [-35916672657/74, -124287539/37, 287784383/37], [1659/1258, 24/629, -1/629]], [[0, 0, 0], [-82651080976155925560/17, 16604619190906329540/17, 55478020671594553230/17], [16101748149259066, -4138496240818752, -11067542239067887], [-729213280/17, 226121210/17, 527920325/17]]], 0, 3677184, [], [] >,
< [ -1, -3, 0, 1 ], [[1056, 432, -240]], [ -37, 0, 0 ], [ -52, -128, -62 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [40752/37, 11316/37, -24/37], [-1208/37, -316/37, -6/37], [0, 0, 0]], [[0, 0, 0], [-166521585/37, 48666030/37, -1003962819/37], [8247123/74, -7078599/74, 61781307/74], [-131/74, 1/74, 1/74]], [[0, 0, 0], [2192534809102/37, -225291141949/37, -982159711330/37], [-130690775941/74, 6712898904/37, 29094259337/37], [1006315/74, 51551/37, -4817]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-112978/37, 75620/37, 1892/37], [486/37, -298/37, -8/37], [0, 0, 0]], [[0, 0, 0], [3649718634222/629, 727196031301/629, 347558079729/629], [-1754265623/74, -129281287/74, -14245062/37], [945/1258, 31/1258, -1/629]], [[0, 0, 0], [14203526803481881784/629, -11873365852393068896/629, -15323932953451995854/629], [-3886238490924692/37, 1718332042330440/37, 3146006132240450/37], [2171420800/629, -753238016/629, -1619593792/629]]], 0, 3677184, [], [] >,
< [ -1, -3, 0, 1 ], [[-576, -240, 48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [404, 8, 2], [1152, 10, 8], [0, 0, 0]], [[0, 0, 0], [34, 0, 0], [52, 1, 1], [1, 0, 0]], [[0, 0, 0], [18710742, 15053494, -1338814], [53490024, 42732900, -4202604], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9230, -6, -4], [46, 4, -2], [0, 0, 0]], [[0, 0, 0], [165082830865776/17, -19016898983130/17, 10151336304484/17], [-48897158775, 24252811, 22291757], [-24/17, -3/17, -2/17]], [[0, 0, 0], [-2155956960151655274576/17, -1423684296071721932272/17, 459148939407496904816/17], [602095143546892868, 387991614213522700, -108606819442626582], [304835832/17, 251013176/17, -17963368/17]]], 0, 967680, [], [] >,
< [ -1, -3, 0, 1 ], [[-432, -192, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [220, 6, 8], [636, 10, -10], [0, 0, 0]], [[0, 0, 0], [-28, 0, 0], [46, 1, 1], [1, 0, 0]], [[0, 0, 0], [15835140, -15205048, -14924072], [48141474, -35360770, -39046544], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2320, 78, -2], [-830, -10, 0], [0, 0, 0]], [[0, 0, 0], [144270014391448/17, -6648524671216/17, 163789384400/17], [51614054060626/17, -20762911313/17, -15213942014/17], [94/17, 67/17, 5/17]], [[0, 0, 0], [9837106788775402432/17, -80933183198662878560/17, 29675257458756571152/17], [3984154064187160111/17, -27391693808391667655/17, 9319265395273729411/17], [16688960/17, -15510325/17, -15505440/17]]], 0, 967680, [], [] >,
< [ -1, -3, 0, 1 ], [[-432, -288, -48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [132, -8, 8], [-122, 4, -2], [0, 0, 0]], [[0, 0, 0], [-28, 0, 0], [46, 1, 1], [1, 0, 0]], [[0, 0, 0], [-1442952, 130062, 809820], [1318768, -97536, -715264], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7856, 10, -2], [-158, 6, -10], [0, 0, 0]], [[0, 0, 0], [1041277915770208/17, 30822235541984/17, -54354903481628/17], [1236643200208, 1435540288, -244496285], [111/17, 135/17, 5/17]], [[0, 0, 0], [30164669725755649891432/17, 1104111752591898355836/17, -10549869166012876332148/17], [36226945436852414334, 831442984506453756, -12640427916707793876], [1876339170/17, -150173796/17, -1050756408/17]]], 0, 967680, [], [] >,
< [ -1, -3, 0, 1 ], [[-432, 96, 288]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-434, 10, -8], [68, 6, -2], [0, 0, 0]], [[0, 0, 0], [28, 0, 0], [28, 1, 1], [1, 0, 0]], [[0, 0, 0], [-30168846, 36873034, 23464658], [4581996, -5507736, -3991524], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 2, 10], [-600, -8, -10], [0, 0, 0]], [[0, 0, 0], [-40, 0, 0], [28, 1, 1], [1, 0, 0]], [[0, 0, 0], [128168, -144096, -103856], [-15711360, 736470, 6137250], [0, 0, 0]]], 0, 774144, [], [] >,
< [ -1, -3, 0, 1 ], [[288, -240, -240]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [398, 10, -6], [-736, -10, -10], [0, 0, 0]], [[0, 0, 0], [40, 0, 0], [16, 1, 1], [1, 0, 0]], [[0, 0, 0], [-131918280, 78930960, 46189320], [240472486, -161542786, -83665482], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-240, 2, -8], [82, 4, 10], [0, 0, 0]], [[0, 0, 0], [-28, 0, 0], [16, 1, 1], [1, 0, 0]], [[0, 0, 0], [16157820, -6585330, -5227530], [-5241040, 2930592, 1886500], [0, 0, 0]]], 0, 774144, [], [] >,
< [ -1, -3, 0, 1 ], [[432, 288, -48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [300, 8, -8], [110, -10, 2], [0, 0, 0]], [[0, 0, 0], [14, 0, 0], [-8, 1, 1], [1, 0, 0]], [[0, 0, 0], [1161540, -228420, -537030], [445166, -85284, -193640], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-156, -4, -2], [-288, -6, -6], [0, 0, 0]], [[0, 0, 0], [-20, 0, 0], [-8, 1, 1], [1, 0, 0]], [[0, 0, 0], [16123514, -2391526, -6788848], [29794352, -4575312, -12569648], [0, 0, 0]]], 0, 774144, [], [] >,
< [ -1, -3, 0, 1 ], [[192, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-44, -8, -2], [-16, 44, 32], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [6, -4, 0], [1, 0, 0]], [[0, 0, 0], [65756, -139248, 50284], [75636, -11484, -1188], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-650, -516, -184], [-52, -172, -64], [0, 0, 0]], [[0, 0, 0], [-2230460/17, -257447/17, 772135/17], [-3584/17, 6046/17, -378/17], [-46/17, 75/17, -1/17]], [[0, 0, 0], [-351125750558/17, -42180050967/17, 121430383142/17], [-896758108/17, 21428294/17, 31780592/17], [-11476670/17, -253139/17, 394462/17]]], 0, 172032, [], [] >,
< [ -1, -3, 0, 1 ], [[192, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, 4, 2], [-104, -224, -104], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [-2, 4, 0], [1, 0, 0]], [[0, 0, 0], [-4800, -78000, 43200], [-35960, 3364, 1624], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [380, 456, 136], [56, 152, 44], [0, 0, 0]], [[0, 0, 0], [-1308530436/17, -190812400/17, 433031941/17], [-44284736/17, -3762628/17, 3260214/17], [-70/17, 4/17, -3/17]], [[0, 0, 0], [6091008746667/17, 886158499218/17, -2017106428443/17], [202676983410/17, 9130067780/17, -10457201142/17], [316645/17, -40670/17, 26975/17]]], 0, 172032, [], [] >,
< [ -1, -3, 0, 1 ], [[-12, -6, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, 1, 0], [-5/2, -7/2, -3], [11, -10, 5], [0, 0, 0]], [[-691, 909/2, 164], [-29, -2103/2, -153/2], [-1136, 9493/2, -1878], [0, 3/2, -1/2]], [[-141205/2, -20937/2, 21728], [59593/2, 11712, -5853/2], [-498345/2, -37385/2, 74551], [-97/2, -6, 23/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 7, 4], [-17/2, -7/2, 0], [-1, 14, 5], [0, 0, 0]], [[1513/2, -2401/2, -1181], [11939/2, 1671, -3435/2], [7637/2, -1719/2, -6203/2], [1, 1/2, -2]], [[413373, 53600, -152251], [2080623, 287122, -738243], [1540168, 291279, -601372], [338, 273, -247]]], 1, 18, [], [] >,
< [ -1, -3, 0, 1 ], [[-12, -6, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -7/2, -3/2], [-19/2, -3, -1], [-5, -5, -2], [0, 0, 0]], [[-624, -1113/2, -629/2], [-2069/2, 7381, -4707], [-2191/2, 2409/2, -1540], [3/2, 2, 3/2]], [[8595295/2, 567450, -1150685], [66333835/2, -15159319/2, -4855785], [14309835, -1160975, -2868400], [-8995, -1260, 1820]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -1/2, -3/2], [-8, 11/2, 7], [14, -7, -1], [0, 0, 0]], [[1989/2, 34, -480], [-2689/2, 4417/2, 2010], [3956, 1045, -3909/2], [-3/2, 3/2, -1/2]], [[119871, -14209, -64639], [-110813, 489016, 366157], [468745, 50619, -218719], [-250, 45, 20]]], 1, 18, [], [] >,
< [ -1, -3, 0, 1 ], [[-12, -6, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, 9/2, 3/2], [5, -5/2, 1/2], [6, 9/2, 3/2], [0, 0, 0]], [[-29623/2, -110, 10189/2], [-18172, 3099/2, 4408], [-29625/2, -114, 10195/2], [1/2, -3/2, 1/2]], [[4921069, 1861667/2, -2926159/2], [12338615/2, 698587, -4148203/2], [4920931, 1862333/2, -2925841/2], [-747/2, -159/2, 69]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 4, -1/2], [-781/2, 4, -13/2], [-1/2, 4, -1/2], [0, 0, 0]], [[11544374, -33774, -628873/2], [81037146943/34, -1873284802/17, -14333027722/17], [196253628/17, -574738/17, -10691059/34], [145/34, 42/17, 5/34]], [[-76229905919, 9440729211, -1076136281], [-278388253694838/17, 16064614678548/17, 93443133458250/17], [-1295903519741/17, 160495849977/17, -18293786427/17], [-487302/17, -245520/17, -3931/17]]], 1, 18, [], [] >,
< [ -1, -3, 0, 1 ], [[-15, -12, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19, -15, 0], [-22, 13, 0], [-2, -8, 1], [0, 0, 0]], [[754833/2, 37411/2, -152669], [1447821/2, 52524, -462129/2], [-22707, -476, -3583], [2, 0, -1]], [[114281181, 1013859/2, -47207286], [232279596, 77692947/2, -171372225/2], [-10121635, -15621717/2, 5695403/2], [1143/2, -115, -277]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[46, 61/2, -5/2], [157/2, -5, 6], [-17, 4, -5], [0, 0, 0]], [[-46024585, -61880781/2, 2528253/2], [-168849069/2, -9204388, 1823764], [19038163, 1762673/2, 2249974], [-1, -1/2, 3/2]], [[-4119334525, -897359559, 2324456007/2], [-18770709297/2, -3220035047/2, 6107424971/2], [2213761225, 829863825/2, -1418445665/2], [-135/2, 10, 30]]], 1, 36, [], [] >,
< [ -1, -3, 0, 1 ], [[15, -6, -9]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[339/2, 429/2, -7/2], [-217, -81/2, -8], [4, -11, -2], [0, 0, 0]], [[-6225206, 904407/2, 5058363], [12248640, -4169187/2, -8774343/2], [-464621, -20889/2, -25439/2], [-1/2, -1, 2]], [[27407477207/2, 3921648967/2, -9041185459/2], [-29430248646, -7555201963/2, 10111381973], [1088418667, 119956123, -389031284], [-188, 68, 168]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[139/2, 177/2, -9/2], [-97, -109/2, -6], [-1, -16, -1], [0, 0, 0]], [[-209038488, -11678457, 114313871], [413575530, -1520791, -165351914], [-45364663/2, -1568273, -879985/2], [1, 1, 5/2]], [[-523936399469, -156012718835/2, 328942432439/2], [2161327110877/2, 154200929999, -362553960457], [-60256698492, -5721786320, 24095996438], [2378, -708, -2016]]], 1, 36, [], [] >,
< [ -1, -3, 0, 1 ], [[-12, 3, 9]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-164, 154, 1], [-180, 33, 12], [2, 14, 5], [0, 0, 0]], [[5347939981/2, -367964037/2, -1277013971/2], [2415973151, 28968153/2, -703818182], [27439965, -640902, -133413/2], [-5/2, 1/2, -5/2]], [[-331333568608273/2, -45699318341991/2, 115876224559041/2], [-144101165207533, -35604332352215/2, 50928527904926], [-1825738062666, -595430456725, 433286419948], [228960, 174720, 2240]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[123, -219/2, 11/2], [335/2, 14, 6], [11, 5, 2], [0, 0, 0]], [[118913229/2, 167806937/2, -116705731/2], [40594170, 70040533/2, -40728419], [2038889, 2126671/2, -2497108], [-2, 1/2, 3/2]], [[243366721/2, -43396481/2, -13346740], [244332189/2, -36075105, -95650509/2], [6634211, -7743949/2, -7920981/2], [-23/2, 2, 6]]], 1, 36, [], [] >,
< [ -1, -3, 0, 1 ], [[24, 9, -6]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[43, 17, 1], [174/19, -384/19, 30/19], [143/19, -7/19, 5/19], [0, 0, 0]], [[1491081/2, 394455/2, -248509], [13565323/38, 5337141/38, -3720012/19], [2996326/19, 1799885/38, -1200261/19], [22/19, -5/38, 2/19]], [[540591994447/2, -13116561687/2, -129697567936], [5180124024949/38, 1910437610467/38, -922790300786/19], [1107347091000/19, 117940038560/19, -482776101138/19], [7733952/19, -5843616/19, -4870144/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[131, 69, 6], [815/19, -610/19, 8/19], [382/19, 1, 4/19], [0, 0, 0]], [[-650162233/2, -247413776, -38143838], [-4419912311/38, 545397614/19, 617089710/19], [-974410689/19, -338444569/19, 54827390/19], [-21/19, -1/19, 2/19]], [[-21024710790105/2, 147240099776085/2, 102142489955595/2], [-619702025255963/38, -122539814469875/38, 2785713769763/2], [-75741829761564/19, 230086238388155/38, 93928041126358/19], [-2135484/19, 3027635/38, 1291498/19]]], 1, 36, [], [] >,
< [ -1, -3, 0, 1 ], [[6, -9, -6]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, 2, -5/2], [-1253/38, -250/19, -125/38], [260/19, 11/19, 2/19], [0, 0, 0]], [[49262367/2, -4284039/2, 1814847/2], [4839344583/38, 1417376619/38, -444494925/38], [-2120029021/38, -97210094/19, 336698603/38], [15/38, 0, -3/38]], [[-441755225/2, 291889206, 390435961/2], [-35338295385/38, 1589141391, 49636163515/38], [20695040317/38, -13327605679/38, -7222568953/19], [-165/38, 45/38, 2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, -5, 1], [478/19, 94/19, 28/19], [-172/19, -7/19, -1/19], [0, 0, 0]], [[5105997/2, -160223/2, 4005/2], [489198447/38, 778197793/38, 353197519/38], [-77863935/19, -191664485/38, -40364173/19], [-51/19, -3/38, -2/19]], [[66422862845005, -14978702369741, -54982915720707/2], [947250963960717/19, -9428562369740345/19, -12617786622634509/38], [-704785041818211/19, 2337837377579281/19, 1724357298540072/19], [-1281042161/19, 378642015/19, 582075342/19]]], 1, 36, [], [] >,
< [ -1, -3, 0, 1 ], [[-12, 9, 12]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[45/2, -24, -5/2], [-501/38, 603/19, 15/38], [-188/19, -11/19, -2/19], [0, 0, 0]], [[6020635/2, 16787205/2, 8934229/2], [-156411029/38, -486746979/38, -262810159/38], [12773593/19, 58976345/19, 32159631/19], [31/19, -1/19, 0]], [[-316482465171, -1366772771889, -1475912184275/2], [10149877880331/19, 39535115156861/19, 42124526822973/38], [-6143872820319/38, -18645928067083/38, -9680045615617/38], [6069585/38, -3146255/38, -2664255/38]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-60, 51, 1/2], [24/19, -852/19, 15/38], [319/19, 1/19, 1/19], [0, 0, 0]], [[10323983/2, -38194345, 17579629], [174174923/38, 22431850, -198593809/19], [-110450131/38, 72122332/19, -33794491/19], [59/38, -1/19, 1/19]], [[166800108969/2, -310681938663/2, 150964948299/2], [-72510009717/38, 2373290104551/38, -2597779398903/38], [-433109911243/19, 486047435897/19, 5785053779/19], [179537/19, -130849/19, -94333/19]]], 1, 36, [], [] >,
< [ -1, -3, 0, 1 ], [[-39, 12, 18]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, -2, 5/2], [-5735/19, -3005/19, 83/38], [2960/19, -4/19, 5/19], [0, 0, 0]], [[-38653969885/2, -25892392, 79482275/2], [19637681875247/38, 4234213849759/19, -102411462543/2], [-10912058270977/38, -956690526261/38, 1452009238721/38], [-73/38, 5/38, -3/38]], [[-43710270094315617/2, -6211125211164978, -1114333414008646], [22099320981876310753/38, 7713335788012134388/19, 674967478072584706/19], [-5967991865581620471/19, -1638291161218410708/19, 471075674266502344/19], [-41628535/19, -10002590/19, -3349580/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 15/2, 3/2], [-9126/19, -8907/38, 21/38], [4562/19, 14/19, 2/19], [0, 0, 0]], [[425523805, -745954, -515935], [1406459989561/19, 35063127824/19, -27604456564], [-827467359984/19, 11355502462/19, 256559684716/19], [28/19, 1/19, 0]], [[-405776045275539/2, -78361693736939/2, -14621591558212], [-1246093432343836185/38, 27318319582684867/38, 252769759558807901/19], [370294462130110160/19, -10253406889611089/19, -242794162950099853/38], [-704759, -168428, -113681/2]]], 1, 720, [], [] >,
< [ -1, -3, 0, 1 ], [[-27, 15, 12]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-906, 917, 3], [2782/19, -13469/19, 4/19], [5455/19, 10/19, 1/19], [0, 0, 0]], [[4423365601709/2, 276454154632, -774111274601], [-26987046029781/38, -90207346478, 4755204027019/19], [-9842410794209/19, -1216434466325/19, 6856467055617/38], [26/19, 0, -3/38]], [[-104006315808744454061, -12211092100387184273, 72094488709756109273/2], [632864998176218645761/19, 71449795281555232333/19, -440029247861296966117/38], [463713996239841445236/19, 55928768845506776442/19, -160358884594948382454/19], [-1593547992/19, -990942642/19, 258542838/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1193/2, 593, 3], [3659/38, -9065/19, -32/19], [3593/19, 17/19, 2/19], [0, 0, 0]], [[-52876982409/2, -457029792, 6592845063/2], [353206080529/38, 62132398174/19, 90794776601/38], [111877911954/19, -1454860753, -47420358409/19], [-20/19, 1/19, -1/19]], [[1547677155865431/2, 332285360983890, -183194059687105], [-12221662972861971/38, -6560948765331072/19, -943793327829048/19], [-2808317954129816/19, 1506340266297647/38, 1855870361316979/19], [657432/19, 812889/38, -108192/19]]], 1, 720, [], [] >,
< [ -1, -3, 0, 1 ], [[-24, 18, 15]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[731, 737/2, 5/2], [4381/19, -6529/38, 59/38], [2192/19, 2/19, 2/19], [0, 0, 0]], [[-2899424004, -725231901/2, 2176501929/2], [-28263765736/19, -15270607689/38, 23957841327/38], [-21760100317/38, -2179758620/19, 4354627872/19], [-5/2, 0, 0]], [[-256982647083576, -33494892978540, 84513302545536], [-2281247042823388/19, -125498797411540/19, 719627256886952/19], [-919627309035111/19, -170859713124555/38, 592983704825907/38], [-4608318/19, -443751/38, 5037483/38]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1362, -679, 0], [-8116/19, 6227/19, 5/19], [-4100/19, -2/19, 1/19], [0, 0, 0]], [[-6292481074, -2101695833, 4198724439/2], [-69047605699/19, -43994450217/19, 88102623899/38], [-50427160533/38, -25164156505/38, 12589138988/19], [93/38, 5/38, 2/19]], [[-243155129286688437/2, 3237552799104969/2, 46260419795644577], [-2056630090335193233/38, 332850862383128877/38, 185228034688519393/19], [-852756687767964467/38, 36035634421074619/19, 6383242391008714], [2196383407/38, 53560801/19, -601152086/19]]], 1, 720, [], [] >,
< [ -1, -3, 0, 1 ], [[-45, -21, 12]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[29/2, 131/2, 3], [101/2, -16, -27/2], [-100, -1, 2], [0, 0, 0]], [[232237863, 2121667427/2, 39188142], [844316264, -518501441/2, -448399621/2], [-1664664402, -5604604, 46002172], [-6, 0, 0]], [[-6241729962452, -15006255853542, -5519410281847], [13806215052991, 4785468123114, -3646700464881], [-43287941499969/2, 4012946463484, 27526065270445/2], [-77715, 17045, 103373/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, 7, 3], [33, 0, 2], [480, 18, 3], [0, 0, 0]], [[2013185475, 882977655, 285258120], [5754298314, -220026882, -27203301], [83659359849, 154568817/2, -8580447105/2], [-3/2, 2, 1]], [[-130831459033100, -65315269994555, 40666599704675/2], [-825655355418173/2, -252228500674991/2, 252630340115113/2], [-11691126941735377/2, -3358359881221939/2, 1793607825378634], [252483/2, -28347, -168663/2]]], 1, 576, [], [] >,
< [ -1, -3, 0, 1 ], [[33, 12, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[221/2, -419/2, -2], [387/2, -40, -79/2], [-215, -5, -5], [0, 0, 0]], [[27175373903/2, -46607509541/2, 217061083], [46052373817/2, -4536388850, -9427846025/2], [-25277007004, 553805927/2, 117003651/2], [15/2, 1, -1]], [[-28436452340002460, -20010983869270343, -25475711023438343/2], [-53382652985965613/2, -2754385886329481/2, 11989195834941053/2], [20584348814936352, -24750120088875787, -18871172493226586], [-6270773, 5236728, 5232275]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-18, 7, 1/2], [-49/2, -3/2, 3/2], [218, 20, 5], [0, 0, 0]], [[892389/2, -233095, 45983/2], [626568, 19273, -13453/2], [-5564496, -338313, -489501], [-2, 2, 0]], [[-18697075, -2979476, 4098081], [-26317509, -18864357, -2404525], [500991555/2, 226825776, 55226757], [155/2, -93/2, -52]]], 1, 576, [], [] >,
< [ -1, -3, 0, 1 ], [[30, 0, -21]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-165/2, -69/2, -5/2], [62, 51/2, 28], [140, -4, 5], [0, 0, 0]], [[6142881579, 4107304811/2, -622857857/2], [-9234802407/2, -1367786754, -1335200572], [-21545509419/2, 276752333, 959013701/2], [-5, 2, -3/2]], [[-34737205648960210, -27187048835095775, -4153539916825135/2], [63602823111682689/2, 70875088740039785/2, 14822691477932781/2], [63641405945240437, 32342839921682828, -19735428984617631/2], [73720861/2, 49104885/2, -8248579/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, -32, 5/2], [75/2, -1/2, 3/2], [413, 17, 5], [0, 0, 0]], [[19676553899/2, 31672181584, -7584645981/2], [-42788753318, 1634972251, 852196533/2], [-470386159212, -11379631491/2, 33283578543/2], [-5/2, -1, -1]], [[2977120732078903/2, -7657643999023973, -27314689654233641/2], [78772656186739664, 25780669925987831, -48402381708927773/2], [1691472127763896101/2, 272401505469849951, -507541826567211765/2], [4650384, 3098083, -1036193/2]]], 1, 576, [], [] >,
< [ -1, -3, 0, 1 ], [[-24, -12, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, -4, -1], [10, -32, -26], [0, 0, 0]], [[0, 0, 0], [16475, 33828, -22996], [1737/2, -27805/2, -1523/2], [0, -3/2, -2]], [[0, 0, 0], [-6883779, 1975282, 890452], [-23706672, -3650680, 8476828], [-1148, -116, 324]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 5, -4], [-8, 40, 28], [0, 0, 0]], [[0, 0, 0], [-1095, -3360, 2020], [1164, 1693/2, 1373/2], [5/2, 0, 0]], [[0, 0, 0], [-7852, 64680, -31080], [-112562, -20392, 21759], [-289, -25, 85]]], 1, 126, [], [] >,
< [ -1, -3, 0, 1 ], [[-24, -12, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [13, 17, 8], [10, 0, -4], [0, 0, 0]], [[0, 0, 0], [15, 33, 12], [-7/2, -26, -43/2], [-13, -1, -5/2]], [[0, 0, 0], [-56322, -47237, 10129], [-57877/2, -5601/2, 42941], [192301/2, -16803, -24271/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [-59/2, -17/2, -25], [-29/2, -2, -3/2]], [[0, 0, 0], [0, 0, 0], [328574, 575450, -382636], [89994, 117162, -84900]]], 1, 126, [], [] >,
< [ -1, -3, 0, 1 ], [[-24, -12, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, -5, -5], [25, 25, 7], [0, 0, 0]], [[0, 0, 0], [-4547, -17333, 23243/2], [32316, 18455, -23081], [-2, 2, -3/2]], [[0, 0, 0], [-26252208, -475472, 5236760], [-223428368, -24141983, 85161848], [27968, 4408, -8056]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [85, -128, -62], [-29, -47, -20], [0, 0, 0]], [[0, 0, 0], [171605245/17, -1329236160/17, 1255605355/34], [-82291255/17, 15441799/17, -420029/17], [-30/17, -42/17, -5/34]], [[0, 0, 0], [2162257770553/17, 1434740897175/34, -2056834715837/34], [-252184957499/17, -59156252124/17, 85539443346/17], [-50820/17, -67683/34, -9779/34]]], 1, 126, [], [] >,
< [ -1, -3, 0, 1 ], [[240, 192, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-672, 12, 4], [48, 8, 10], [0, 0, 0]], [[0, 0, 0], [-4761179028, 499699308, 588550512], [325452512, -25865527, -1971670], [16, 1, 1]], [[0, 0, 0], [158430719018036, -3608248385208, -59862642578530], [-10456449018450, 1683725187620, 4685188517710], [-472860, 152650, 260570]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [236, 34, -50], [10, 4, -8], [0, 0, 0]], [[0, 0, 0], [-34085434, -3275356, 14354290], [-1090514, 23404, 38350], [-16, -4, 2]], [[0, 0, 0], [-73309878220, -16275403000, 22967550224], [-2142725571, 661587138, 816254871], [-29090, 7280, 14505]]], 0, 145152, [], [] >,
< [ -1, -3, 0, 1 ], [[-240, 96, 144]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [150, -50, -34], [36, 12, 6], [0, 0, 0]], [[0, 0, 0], [-42, 0, 0], [2, 3, 1], [1, 0, 0]], [[0, 0, 0], [-4551674, -1742528, 1670302], [-718148, 328276, 707764], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [60, 34, -40], [-24, -6, 6], [0, 0, 0]], [[0, 0, 0], [48, 0, 0], [0, -1, 1], [1, 0, 0]], [[0, 0, 0], [-2414, -7976, 5326], [-482, 148, 382], [0, 0, 0]]], 0, 145152, [], [] >,
< [ -1, -3, 0, 1 ], [[192, -48, -144]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-374, 80, -72], [10, 10, -8], [0, 0, 0]], [[0, 0, 0], [56679732, 90069454, 30147724], [-393912, 556, 5459], [5, -3, 1]], [[0, 0, 0], [-1862297809486, -5532089507590, -2822083048998], [5975362758, 6831541712, 1745045620], [-80736, -60416, 224]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -152, 22], [-10, 26, -4], [0, 0, 0]], [[0, 0, 0], [-8471868, -3599012, -6378960], [4191498, 60756, -48501], [9, -5, 5]], [[0, 0, 0], [-3999252542820, -6013610195712, -2065615998312], [1414903232232, 790986415845, -121103411505], [4162093, 3178448, 54834]]], 0, 145152, [], [] >,
< [ -1, -3, 0, 1 ], [[-384, -144, 96]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-274/19, -706/19, -112/19], [-42/19, 24/19, 0], [0, 0, 0]], [[0, 0, 0], [-4576/19, -22258/19, -13620/19], [2131/19, 140/19, -644/19], [-13/19, 2/19, 0]], [[0, 0, 0], [-128236/19, -396760/19, -195736/19], [-19690/19, -700/19, 6506/19], [108/19, -72/19, -36/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1468/19, 244, 238/19], [444/19, -24/19, 6/19], [0, 0, 0]], [[0, 0, 0], [4034/19, 9514/19, -6190/19], [-371/19, -923/19, 597/19], [23/19, -1/19, -5/19]], [[0, 0, 0], [8/19, 8/19, 6/19], [-8/19, 0, 3/19], [-8/19, 0, 3/19]]], 0, 145152, [], [] >,
< [ -1, -3, 0, 1 ], [[-96, 144, 96]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1116/19, 102/19, -450/19], [-440/19, 10/19, -8/19], [0, 0, 0]], [[0, 0, 0], [-563322414/19, -57495932/19, 186711438/19], [274144574/19, 93783091/19, -132891329/19], [62/19, -3/19, 5/19]], [[0, 0, 0], [-11470555093936/19, -1193691023440/19, 3998365381340/19], [5246512747596/19, 1241152779789/19, -1961192957436/19], [1144440/19, -664785/19, -690030/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1534/19, 352/19, -26], [-616/19, -4/19, 2/19], [0, 0, 0]], [[0, 0, 0], [-308142344/19, -26127130/19, 115640168/19], [134514094/19, -4904740/19, -55301632/19], [-18/19, 0, -4/19]], [[0, 0, 0], [78/19, -46/19, -30/19], [-18/19, -1, 15/19], [-4/19, -3/19, 3/19]]], 0, 145152, [], [] >,
< [ -1, -3, 0, 1 ], [[192, -144, -192]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-194/19, -50/19, -560/19], [32/19, -10/19, 8/19], [0, 0, 0]], [[0, 0, 0], [-178346/19, -150788/19, 155726/19], [1047, 9526/19, -10962/19], [139/19, 4/19, 2/19]], [[0, 0, 0], [12461611942/19, 11108946670/19, -7584300578/19], [-1376043428/19, -575165693/19, 676241233/19], [-8805874/19, 4305455/19, 3428117/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5794/19, 3296/19, -364/19], [620/19, 32/19, 2/19], [0, 0, 0]], [[0, 0, 0], [11121406352/19, 982517048/19, -3670487632/19], [-976486766/19, -100715597/19, 329294821/19], [-56/19, -5/19, -5/19]], [[0, 0, 0], [79499872579242/19, 7845119213730/19, -26693683774930/19], [-6962841587808/19, -746968858296/19, 2377673409254/19], [-310800/19, 300440/19, 205128/19]]], 0, 145152, [], [] >,
< [ -1, -3, 0, 1 ], [[624, -192, -288]], [ -19, 0, 0 ], [ -9, -26, -14 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2890/19, -1864/19, -178/19], [1238/19, -4/19, -4/19], [0, 0, 0]], [[0, 0, 0], [652830352, 3567417768/19, -4515235084/19], [-7995753017/19, -4690650495/19, 4604608700/19], [93/19, 5/19, -2/19]], [[0, 0, 0], [-60459519211608960/19, -20095531498234470/19, 20138367678015050/19], [38581690699943413/19, 23062029504297618/19, -21865370522035463/19], [-472195899/19, -112863822/19, -37687369/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10022/19, -6584/19, -1046/19], [4762/19, -26/19, 4/19], [0, 0, 0]], [[0, 0, 0], [-99706169220, -256985852266/19, 678227536694/19], [1171076210174/19, 206556352864/19, -442391714423/19], [98/19, 2/19, 3/19]], [[0, 0, 0], [-6398457412750500456/19, -841882668548733570/19, 2287715012085186762/19], [3945804778040836496/19, 660765149133142457/19, -1473832528046852587/19], [18773370, 4498263, 1482327]]], 0, 2903040, [], [] >,
< [ -1, -3, 0, 1 ], [[432, -240, -192]], [ -19, 0, 0 ], [ -10, -15, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20534/19, 16186/19, 16], [2272/19, 16/19, 4/19], [0, 0, 0]], [[0, 0, 0], [-37674081382/19, 80170221006/19, -33240307704/19], [4572571847/19, -4009520797/19, 574905379/19], [15/19, 1/19, 1/19]], [[0, 0, 0], [120907935414913804/19, 62475113259012768/19, -65004586157835576/19], [-9566915927992510/19, -3030513438557065/19, 4842880149349305/19], [-25380740/19, -15741495/19, 4136715/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [73748/19, -55258/19, 1220/19], [-8162/19, -2/19, -2/19], [0, 0, 0]], [[0, 0, 0], [8541402463040/19, 4456769375168/19, -4776300746658/19], [-690715986209/19, -252630250556/19, 334198781462/19], [-59/19, 2/19, -2/19]], [[0, 0, 0], [-1155648370507233800/19, 94754439255952948/19, 272113531930938838/19], [104820529545291990/19, -653004661222335/19, -30803874286027020/19], [14056590/19, 8568495/19, -2378250/19]]], 0, 2903040, [], [] >,
< [ -1, -3, 0, 1 ], [[384, -288, -240]], [ -19, 0, 0 ], [ -5, -7, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5602/19, 22588/19, 658/19], [2682/19, 0, 6/19], [0, 0, 0]], [[0, 0, 0], [1097662883356/19, 1202184524270/19, -885223832164/19], [-819921002994/19, -195570153744/19, 339694863566/19], [46/19, -4/19, 2/19]], [[0, 0, 0], [4723094739638942872/19, -3385664748886547924/19, -179128235312012228/19], [-411199893244919000, -636456215727761174/19, 2516075288520984619/19], [532250994/19, 25523256/19, -291495039/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [23396/19, 92984/19, 254/19], [11578/19, 10/19, -8/19], [0, 0, 0]], [[0, 0, 0], [-1634020733748, -3100216125022, 2243531133336], [542277916862, 365540210252, -340396588355], [58/19, 4/19, -3/19]], [[0, 0, 0], [-182556575764837320, -804819625665481978, 550424633743927398], [-194839536713299588, 62035544291532572, 26251952413546204], [-34932288/19, -1672128/19, 19127936/19]]], 0, 2903040, [], [] >,
< [ -1, -3, 0, 1 ], [[720, 336, -192]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-230, 82, 70], [226, 10, -2], [0, 0, 0]], [[0, 0, 0], [-1296077504, 482257050, 335320038], [1241134580, -69942044, -2047905], [-11, -3, 5]], [[0, 0, 0], [-7985775800, 50812387622, 33660453800], [39803613818, 70585693341, 32244233023], [-141, 36, 96]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, 10, 4], [188, -10, -10], [0, 0, 0]], [[0, 0, 0], [27745650, 2137606, 1976166], [148534293, -26706531, -6534810], [11, 2, -1]], [[0, 0, 0], [-7960240061684, 2155076225830, 6268430858338], [-50884024073556, -5098790871936, 27145644854724], [-2982088, 664392, 1986412]]], 0, 2322432, [], [] >,
< [ -1, -3, 0, 1 ], [[-528, -192, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-524, -304, -286], [830, 10, 6], [0, 0, 0]], [[0, 0, 0], [58038836642, 28289187376, 31280527460], [-93887546438, 2781143640, -832591801], [-21, -1, -5]], [[0, 0, 0], [229648169767593408, -652726350876183732, -471044205038094558], [-696691272110835297, 229343830011808188, 386489177781639489], [-137114612, 115524228, 115110347]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-100, 10, 0], [-836, -20, -8], [0, 0, 0]], [[0, 0, 0], [223542792, -5641688, -1661094], [1870166337, 188472360, 21316881], [-18, -4, 1]], [[0, 0, 0], [32497154079844, -20508682399400, -19770153312430], [246763020507279, -216598243026546, -193185161151021], [-2292226, 1911300, 1912795]]], 0, 2322432, [], [] >,
< [ -1, -3, 0, 1 ], [[-480, 0, 336]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [342, 2, 10], [-82, 14, 8], [0, 0, 0]], [[0, 0, 0], [48, 0, 0], [-16, 3, 1], [1, 0, 0]], [[0, 0, 0], [-7267880, -9376120, -2330160], [1403376, 875706, -188292], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -4, 8], [274, -8, 4], [0, 0, 0]], [[0, 0, 0], [48, 0, 0], [0, -1, 1], [1, 0, 0]], [[0, 0, 0], [-7118, -4752, 734], [182880, -73152, -109728], [0, 0, 0]]], 0, 2322432, [], [] >,
< [ -1, -3, 0, 1 ], [[-384, -192, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 16, 8], [-68, 4, 28], [0, 0, 0]], [[0, 0, 0], [-2, 0, 2], [-4, -3, 1], [1, 0, 0]], [[0, 0, 0], [8, 88, -36], [88, -20, -8], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [40, 0, 20], [48, 228, 132], [0, 0, 0]], [[0, 0, 0], [-2, 0, 2], [0, 5, 1], [1, 0, 0]], [[0, 0, 0], [1848, 1080, -1104], [-500, -20, 100], [0, 0, 0]]], 0, 516096, [], [] >,
< [ -1, -3, 0, 1 ], [[-384, -192, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 8, -12], [76, 196, 100], [0, 0, 0]], [[0, 0, 0], [6, 0, 2], [-4, -3, 1], [1, 0, 0]], [[0, 0, 0], [1024, -768, 128], [-2300, -260, 580], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-76, -16, -16], [-16, -196, -124], [0, 0, 0]], [[0, 0, 0], [6, 0, 2], [0, 5, 1], [1, 0, 0]], [[0, 0, 0], [69616, 77520, -61408], [-17940, 1200, 2160], [0, 0, 0]]], 0, 516096, [], [] >,
< [ -1, -3, 0, 1 ], [[-384, -192, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, 26, 2], [-112, -316, -160], [0, 0, 0]], [[0, 0, 0], [1, 2, 0], [6, -4, 0], [1, 0, 0]], [[0, 0, 0], [43076, -28480, 3560], [34300, -16940, -23240], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [56, 92, -58], [-8, 40, -20], [0, 0, 0]], [[0, 0, 0], [173083/17, 325181/17, 110373/17], [-74326/17, -38042/17, -8350/17], [-145/17, -101/17, -5/17]], [[0, 0, 0], [10541743480/17, 21060510277/17, -6163163009/17], [564705152/17, 6079378190/17, -4593324670/17], [-4498922/17, -2183549/17, 25573/17]]], 0, 516096, [], [] >,
< [ -1, -3, 0, 1 ], [[-18, 9, 9]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 43/2, 11], [-17/2, -10, -5/2], [0, 15, 9], [0, 0, 0]], [[101, 289, -291/2], [401/2, -725/2, 261/2], [1279/2, 1741/2, -1175/2], [6, 1/2, 1]], [[3089/2, 6116, -6212], [47617/2, -18659/2, -1393], [32856, 25134, -26556], [420, -210, -210]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, 2, 1], [-13/2, 17/2, 1], [204, 675, 354], [0, 0, 0]], [[7203/2, -15952, 14919/2], [3861, 41936, -46819/2], [18301, -1225/2, -11917/2], [-3/2, -2, -1]], [[-359729/2, 521401/2, -175185/2], [92192, -1406877/2, 348253], [-522568, -9073, 178142], [40, 48, 20]]], 0, 162, [], [] >,
< [ -1, -3, 0, 1 ], [[288, -144, -144]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 40, 22], [-6, -24, 0], [0, 0, 0]], [[0, 0, 0], [-12980, 2162, 6564], [589, -1454, -827], [18, -2, 5]], [[0, 0, 0], [-72062934, -1927914, 28432566], [4705971, -2374032, -2555499], [100320, -6270, -9405]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, -2, -8], [54, 210, 114], [0, 0, 0]], [[0, 0, 0], [-320, -826, 552], [19, -20, -68], [-15, -5, -4]], [[0, 0, 0], [-80974, 47564, 4256], [-62790, -28860, 10920], [42510, 1950, -16380]]], 0, 653184, [], [] >,
< [ 1, -3, -1, 1 ], [[-3, -1, 0]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, 5/2, -3/2], [58/13, 1, -18/13], [-87/4, 0, 7/4], [-67/52, 1/13, 3/52]], [[4548, -10223/2, -8959], [-17555/26, -1981/26, 6431/26], [10165/2, -7689/2, -15419/2], [3908/13, -2931/13, -977/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 6, 2], [17, -18, 4], [-2, 2, 0], [0, 0, 0]], [[347/2, -63/2, -175/2], [-82449/130, -6948/65, 8641/65], [1539/20, 43/10, -417/20], [111/52, 0, 5/52]], [[-1045929/2, -715575/2, -283615/2], [76590655/26, -11803741/26, -19322527/26], [-659231/2, 45233/2, 43365], [-160818/13, 137844/13, 16410/13]]], 3, 3, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 1, -3]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[2590434701, -8123207163, 5/2], [654443846086652269/244054478, -2052235840796170397/244054478, 511321274/122027239], [-5370361721/17, 33681266617/34, 37/17], [5370361721/20744630630, -8420316633/10372315315, -3/20744630630]], [[-18159700935823377/2, 5443813966679731, -1852698666101233/2], [-2293920912409621838593521/244054478, 687658819044716472572914/122027239, -117015803934322782574565/122027239], [18823897112308823/17, -11285847571404023/17, 1920462451268611/17], [-18823898998901503/20744630630, 11285847178305713/20744630630, -1920461863708661/20744630630]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -1/2, -7/2], [-109/2, 19, 13/2], [5/2, -5/2, -1], [0, 0, 0]], [[-283069891077, 317754735206, -37980], [2250889757581102975106/2074463063, -2526687672812174823726/2074463063, -2209025286619819/4148926126], [8709008611027/578, -4888103081471/289, -10553931/578], [290302026111/176329360355, -651746317787/352658720710, 2/176329360355]], [[48922817143475289869663, -1158537353784769391178, 41116227713232112357177/2], [-389020511673349607016531704380026/2074463063, 18424126952085643972577754179477/4148926126, -326942943991840282418259594911533/4148926126], [-752581421897279501769906/289, 35636201923294731384107/578, -316255775380476519320212/289], [-10034544395627949932233/35265872071, 237623248215022647213/35265872071, -4216676267000785893601/35265872071]]], 4, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[-3, -1, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 1, 5/2], [-91, 39/2, 81/2], [-2, 1, 5/2], [0, 0, 0]], [[-389299/2, -12639, -20055/2], [-20490283/2, -8048525/2, 6699817/2], [-194649, -12636, -10023], [-3/2, -1/2, -1/2]], [[-161499546, -7557290, 117121810], [-17420204139/2, -373390579, 5930395339/2], [-161495841, -7562529, 117115128], [-3237/2, 533, 3107/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -2, 1/2], [579, -41/2, 17/2], [1, -2, 1/2], [0, 0, 0]], [[1082187, 18621/2, -10018], [7312158687/5, 731565698/5, -5085938917/10], [10821829/10, 93111/10, -100157/10], [-9/10, -11/10, -3/10]], [[7288579647/2, -6925079760, 3652968443/2], [22826333700581/10, -497835373778/5, -943967991243/10], [36442858891/10, -34625424783/5, 18264829537/10], [-26011/10, 6353/5, 25983/10]]], 3, 3, [], [] >,
< [ 1, -3, -1, 1 ], [[-1, -2, 0]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 2, 5/2], [4, 9/2, 3/2], [-3/2, 5/2, -1], [0, 0, 0]], [[-36595, -107341/2, -21260], [-509808/17, -1765327/34, -365788/17], [39623/6, 3499/2, -515/2], [-5/102, -1/34, -1/34]], [[-77677833/2, -17120972, 16906741/2], [-1156910619/34, -237464713/17, 212765033/34], [4810959, 3149783, -2194222], [-576/17, -52, 400/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 2, 1/2], [10, 19/2, 7/2], [7/2, 5/2, 1], [0, 0, 0]], [[89, -3/2, -2], [44719/170, 1433/85, -1946/85], [2483/30, 22/5, -112/15], [89/255, -1/170, -2/255]], [[-399520, -298505, 74910], [-42330237/34, -26274739/34, 249832], [-2351357/6, -1430791/6, 82672], [-79904/51, -59701/51, 4994/17]]], 4, 2, [], [] >,
< [ 1, -3, -1, 1 ], [[1, 3, 2]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -8, 1/2], [3/2, -4, -1/2], [-3, -4, 1], [0, 0, 0]], [[979/2, 175, -148], [-603/17, 398/17, 653/34], [1673/3, 442/3, -997/6], [-43/102, -1/51, -1/51]], [[-3920255/2, -549239/2, 1333735/2], [2308031/34, 3140549/34, 653093/34], [-4288077/2, -779435/2, 1406389/2], [55599/34, 5603/34, -28015/34]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, 0, -3/2], [-3, -12, 0], [-1/2, 4, -1/2], [0, 0, 0]], [[-2421/2, -4895/2, 2911/2], [-72149/34, 105761/34, -19317/34], [4835/6, -10951/6, 4067/6], [169/102, 7/102, 1/102]], [[-416150686, -273186884, 405316128], [-3908755736/5, 6604776326/5, 3395715528/5], [1477381389/10, -1316607817/5, 1113228503/10], [939483/10, 4288751/5, 6487541/10]]], 3, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[1, 3, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-105/2, -9, -6], [-13/2, -55/2, -11/2], [-41, 15, -5/2], [-3/2, -2, 0]], [[2472949/2, -101609, 231836], [116062, 1417617/2, 119341/2], [2005685/2, -704169, 201788], [31168, 50880, -4000]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-41, -1, 1/2], [168, -25/2, -11/2], [-41, -1, 1/2], [0, 0, 0]], [[2005692, 357219/2, 995511/2], [-84885011/10, 8477711/10, -7109121/5], [10028292/5, 1785891/10, 4977573/10], [-12/5, -21/10, -3/10]], [[-4597899343, 30652644797/2, -6322107149], [103802844828/5, -349847087173/5, 284987912487/10], [-45978932619/10, 153263300409/10, -63221085063/10], [4109/10, 7601/10, -207/10]]], 3, 2, [], [] >,
< [ 1, -3, -1, 1 ], [[1, 1, 1]], [ -19, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -6, -3/2], [4, -1, 0], [-11/2, -5, -3/2], [0, 0, 0]], [[17937/2, -20502, -24101/2], [-7157/38, -104472/19, 160871/38], [9157, -30013/2, -32569/2], [7/19, -1/38, 5/38]], [[-755347/2, -8849619, -1808728], [166544565/38, -63009001/19, 20955749/19], [-9516247/2, -5534310, -2912294], [-30625/38, -5880/19, 7105/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-41/2, 0, 7/2], [5, 1, 2], [-51/2, -1, 3/2], [0, 0, 0]], [[24374, 1715/2, -10957/2], [-265685/38, 32693/38, 11047/19], [31155, 11, -6064], [-53/38, 1/19, -1/38]], [[60997359, 2461236, -19161789/2], [-203154115/19, -282270610/19, -592806193/38], [358834459/5, 79138476/5, 46194021/10], [73269/95, -1009484/95, -1864289/190]]], 4, 3, [], [] >,
< [ 1, -3, -1, 1 ], [[8, -1, -5]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-72, 57/2, -1], [-2126794831277997707/4280161726, -5209916989276703821/4280161726, 4770528665/4280161726], [-250/227, 99/227, -5/454], [1211863989/4280161726, 1484325221/2140080863, 1/2140080863]], [[-4239992815, 238908582, 315000882], [-39888077026705593574241940/2140080863, -235225592807139377823997803/2140080863, -195828776054002907985507069/4280161726], [-14756012336/227, 925867825/227, 1205849670/227], [45457064943763557/4280161726, 268066676536273293/4280161726, 111584731468564263/4280161726]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-79/2, -469/2, -8], [70111/227, 373533/227, 717/227], [-150/227, -1561/454, -3/454], [0, 0, 0]], [[920859, 539464, 482179/2], [25960993031821442380191/55642102438, 14096255672620179836859/55642102438, -40778419102812757/27821051219], [-569383036943/5902, -309164265845/5902, 17850581/5902], [47455656762/27821051219, 51534754649/55642102438, 3/55642102438]], [[-162686054833788948, -1832976625272808344, 515074701332408532], [-998214444747818289249548355329607/4280161726, -766797043539042755290884253322159/2140080863, 213899815567570269027396120845622/2140080863], [10947467130573415562238/227, 16814218928052736297005/227, -4690261716834072770022/227], [-1824679038102164160855/2140080863, -5606821828437861235639/4280161726, 782019862733687654431/2140080863]]], 4, 6, [], [] >,
< [ 1, -3, -1, 1 ], [[-3, -1, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -2, 1/2], [65, -51/2, 11/2], [2, -2, 1/2], [0, 0, 0]], [[-5/2, 9, 9/2], [-32, 52, 129/2], [0, 0, 0], [0, 2, 1/2]], [[-145/2, -203, -493/2], [6645/2, -6233/2, -5683/2], [0, 0, 0], [-261/2, -87/2, -29/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -1/2, -1], [-635/2, -36, -101/2], [-1/2, -1/2, -1], [0, 0, 0]], [[-804657/2, -16611/2, -5618], [-1783513751/10, -78198287/5, 177653859/5], [-402325, -16625/2, -11235/2], [-9/5, 9/5, -1/10]], [[-744403785/2, 196028490, 257021287], [-133070595885, 5703870801/2, 107892493407/2], [-744404745/2, 196031850, 257025447], [-656, -544, -592]]], 3, 3, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, 2, 1]], [ -5, 0, 0 ], [ 1, -11, -8 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, 11, 7], [0, 4, 13/2], [9/2, 1/2, 1], [0, 0, 0]], [[1159, -3419/2, -336], [-1911/2, 1491/2, -1625/2], [-2195, 482, 68], [-3/5, 1/2, -1/10]], [[-9395, 48047/2, 20530], [-73407/10, 92056/5, 78693/5], [-8495/4, 9589/2, 16713/4], [-1/20, -1/10, -1/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 11, 6], [-22, -4, 7/2], [15/2, 5/2, 0], [0, 0, 0]], [[25/2, -31/2, -15/2], [111/10, -33/5, 61/5], [-9/4, 5/2, -23/4], [3/20, 1/10, 1/20]], [[73, 971/2, 2], [11319/50, 24511/50, -25277/50], [-311/10, -842/5, 1863/10], [311/50, 29/50, -104/25]]], 4, 2, [], [] >,
< [ 1, -3, -1, 1 ], [[3, 3, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -5/2, 5/2], [-25/2, 2, -29/2], [0, -5/2, 5/2], [0, 0, 0]], [[-2297/2, 815/2, 598], [-20728, -11150, 5957/2], [-1152, 831/2, 1197/2], [3/2, -2, 0]], [[2166465/2, 196812, -340546], [26497650, 11969439/2, -16288811/2], [2168985/2, 196392, -340746], [-1030, -20, 250]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -1, 2], [33, -9/2, 25/2], [-3/2, -1, 2], [0, 0, 0]], [[2635/2, -3353/2, 995/2], [-88171/10, -159357/5, 166373/10], [13179/10, -16759/10, 4963/10], [-2/5, 19/10, -3/10]], [[-1/2, 1/2, 1/2], [-63/10, 114/5, 97/5], [1/5, -7/10, -3/5], [-1/5, 7/10, 3/5]]], 3, 3, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 1, 1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -1, -2], [283, -45/2, -63/2], [-1/2, -1, -2], [0, 0, 0]], [[48204019/2, -247964, 193129/2], [-6472450511, -1400752463/2, 1660933279], [24102012, -247962, 96558], [-2, -3/2, 2]], [[-618808625679, -317834666118, 116266412853], [183985335861929, 43558796548702, -57993731727214], [-618808754091, -317834527230, 116266536045], [75474, -16506, -36432]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 1/2, -1/2], [567/2, 64, -129/2], [2, 1/2, -1/2], [0, 0, 0]], [[869/2, 12, 15], [338668/5, -208121/10, 147947/10], [869/2, 16, 19], [-6/5, -4/5, -2/5]], [[1307785/2, -84043, -418293/2], [496104979/5, -163802799/5, -249050829/10], [658082, -88930, -213432], [-11823/5, 3093/5, 12063/10]]], 3, 3, [], [] >,
< [ 1, -3, -1, 1 ], [[5, -1, -2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -3/2, -2], [187/2, -119/2, -68], [-2, -3/2, -2], [0, 0, 0]], [[-3467765, -43822, 1078528], [82112278, 21232968, -38824579/2], [-6935541/2, -43813, 2157079/2], [2, -1, -5/2]], [[623995369/2, -20387753, -198354425/2], [-7116433451, -2039359036, 1424546898], [623996695/2, -20388977, -198357383/2], [-204, 153, 306]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -5/2, -5/2], [-1055/2, 63, 139/2], [-1, -5/2, -5/2], [0, 0, 0]], [[-222565397/2, -602127, 408725/2], [-57125059837/2, 1232607523, 5414468986], [-111282701, -602127, 204363], [-1/2, 0, 0]], [[13402755886, 41728812527, 28327413123/2], [63028708219179/10, 26329159911791/10, -24252434424397/10], [134027564371/10, 208644063877/5, 70818531886/5], [601/10, 937/5, 316/5]]], 3, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -1, -5]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-32, 5/2, -3/2], [195/2, -31, -59/2], [-32, 5/2, -3/2], [0, 0, 0]], [[-2677734251, 19598927/2, 227634597/2], [7937190181, -1557710624, -4845194277/2], [-5355468553/2, 19598923/2, 113817292], [-5/2, -1, -2]], [[-19632814574169759/2, 480258310081118, 3096678833540974], [23991411629663515, 11253984431954529/2, -7403354868683185/2], [-19632814789776119/2, 480258340504762, 3096678877577846], [-13666638, 7602096, 7594466]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, -2, 1/2], [-67, 27/2, 13/2], [8, -2, 1/2], [0, 0, 0]], [[146957, 7676, 11695], [-6496977/5, 317327/5, 1915277/10], [1469289/10, 38083/5, 117093/10], [-3/5, -7/5, 3/10]], [[-261225572697/2, 6842383914, 85816780332], [4826558514887/5, 2579711233361/10, -1982892264971/5], [-652835813232/5, 34096338087/5, 857926389597/10], [5197683/5, -2889453/5, -5775543/10]]], 1, 80, [], [] >,
< [ 1, -3, -1, 1 ], [[-1, -11, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[23, -3/2, -1], [-531/2, 19/2, 11], [23, -3/2, -1], [0, 0, 0]], [[3350416471, -46126052, -43601601], [-77216742295/2, -1586716937/2, 260615564], [3350416473, -46126076, -43601622], [1/2, 5/2, 2]], [[7039219504856141/2, 2477886070872470, -4280993186431643/2], [-82788831125412207/2, -27603476011390717, 24736831039558479], [3519609740913799, 2477886074238938, -2140496580028117], [3932253/2, 135, -1683774]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-69/2, 3/2, 1/2], [-805/2, -61/2, -34], [-69/2, 3/2, 1/2], [0, 0, 0]], [[-73636180477/2, -21008975/2, 602029319/2], [-2132935193018/5, -298633985937/5, -228058448791/5], [-73636180545/2, -21008805/2, 602029335/2], [-13/10, 33/10, 2/5]], [[-5105254522765510017/2, -640115135676597227, 782168201954469100], [-155127923180295037387/5, -82428812909428081351/10, 45964257885082166496/5], [-2552627261906415260, -640115135708669040, 1564336404743465185/2], [-93034366/5, -34584/5, 159459881/10]]], 1, 70, [], [] >,
< [ 1, -3, -1, 1 ], [[9, 9, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 1/2, 3/2], [-21/2, 63/2, 15], [-3/2, 3/2, 9/2], [0, 0, 0]], [[-283, -57, 169/2], [2071/2, 159, -583/2], [-854, -158, 525/2], [1/2, -1/2, -1]], [[52815/2, 5544, -8192], [-95559, -19368, 58485/2], [79167, 16785, -48825/2], [-15, -51/2, -3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -1/2, -3/2], [183/2, -24, -69/2], [-3, -3/2, -9/2], [0, 0, 0]], [[216059/2, 20461/2, -15140], [-33554627/5, -9438681/10, 10141231/5], [1620433/5, 306749/10, -454303/10], [9/10, 11/10, 3/10]], [[2389921, -28481141/2, 5949434], [335808817/10, 2180210283/10, -545064713/5], [35849116/5, -427215847/10, 89241927/5], [-91/5, 31/5, -37/5]]], 1, 78, [], [] >,
< [ 1, -3, -1, 1 ], [[3, 7, 1]], [ -5, 0, 0 ], [ 1, -11, -8 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 2, 3], [7, 7, 1/2], [7/2, 5/2, -2], [0, 0, 0]], [[-951/2, -13127/2, 1361/2], [-14392/5, -17481/10, -5434/5], [-4161/2, 1768, -647/2], [-1/10, 1/10, -1/5]], [[-44852, 9390, 58367/2], [-311351/5, 88017/10, 168638/5], [-96611/4, -9077/2, 26943/4], [-41/20, 13/10, 33/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21/2, -7/2, -4], [49/2, 5/2, -5], [-9/2, -1, 1/2], [0, 0, 0]], [[-752, 1605/2, 362], [-13699/10, 462/5, 1/5], [909/4, 49, 303/4], [3/20, 8/5, 1/20]], [[37711/2, -19517/2, -37957/2], [872183/25, 965079/50, -196439/25], [-26882/5, -64791/10, -8613/10], [-288/25, -522/25, -396/25]]], 1, 52, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 7, 2]], [ -19, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[135/2, -5/2, 2], [8, 3/2, 3/2], [119/2, -4, 1/2], [0, 0, 0]], [[-24943202, 2840043/2, 6031329], [-61832290/19, 10673471/38, 17433096/19], [-21688874, 2278251/2, 5113797], [66/19, 1/38, 2/19]], [[113260099760, 195460277921/2, -7654488703/2], [454155440323/38, 729666684975/38, 101357352198/19], [101308815800, 157056116741/2, -18324235483/2], [-1213475/38, 48539/2, 679546/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[943/2, -1/2, 2], [4, 3/2, 1/2], [935/2, -2, 3/2], [0, 0, 0]], [[52899233651/2, -15260408349/2, 825890381/2], [8767799733/38, 7300361/38, 47578357/38], [131094426053/5, -38151981543/5, 4116931267/10], [-27/95, -13/95, -3/190]], [[-4099056400854826, -9964219997763771/2, 3855085353153681/2], [-719235561673704/19, -1828866582674649/38, 205527097085559/38], [-4061201890351822, -4933981919345448, 1922134071649206], [902148/19, 1512852/19, 414756/19]]], 1, 30, [], [] >,
< [ 1, -3, -1, 1 ], [[14, 11, -3]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4669/2, -42, 2], [-33485454364185505015/4280161726, -8390293864977094993/2140080863, 30333845385/4280161726], [3886/227, 113/454, -2/227], [19080266445/4280161726, 4780853484/2140080863, 5/4280161726]], [[-18102864304384, 380989752621536, -61454827424160], [100731329710019816509721391517/2140080863, 1973276522640203783473542905052/2140080863, 1328554707977549512825132992393/4280161726], [30700997458784/227, -636045957983648/227, 104073089114688/227], [-114794966641371106661/4280161726, -2248775886736335784619/4280161726, -757020643548157158817/4280161726]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4119/2, 849/2, 2], [1627007/227, 332222/227, 1422/227], [-3428/227, -1391/454, -5/454], [0, 0, 0]], [[1011373058991/2, -35698334265/2, 21361099239/2], [65306387307814206229833/55642102438, -17533350781488341825785/27821051219, 2095506872296179740089/55642102438], [-20530757225097/5902, 1080429333502/2951, -235331527447/2951], [-107468151587/55642102438, -51689818533/27821051219, 1/55642102438]], [[-550128656883735115864854, 1116493153501404968617111/2, -521025930755903641549680], [-51051601744520216682685219983114716/27821051219, 100245484335379471230214703368963005/27821051219, -70027967405703975167570509492080541/55642102438], [11848283368655621499008291/2951, -14149298718764002552493178/2951, 21295669560465528505123939/5902], [15314884254896744809647/55642102438, 301317087887510596245999/55642102438, 102047529436706660718069/55642102438]]], 1, 120, [], [] >,
< [ 1, -3, -1, 1 ], [[-6, 3, 7]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -3/2, -3/2], [195/2, -21/2, -11], [-3/2, -3/2, -3/2], [0, 0, 0]], [[-530634, 16615, 7895/2], [48473177/2, -2224080, -7851505/2], [-530622, 16606, 7899/2], [5/2, -5/2, 2]], [[-2641594686601, -2618118008111/2, 400189486169], [127011198213165, 30960210623186, -79512591516279/2], [-5283089376479/2, -2618083590307/2, 800347938089/2], [13825347/2, 24039445/2, 6830543/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, 5/2, 2], [1229/2, 13, 17/2], [-7/2, 5/2, 2], [0, 0, 0]], [[46072175, -413249/2, -160125], [-60433901511/5, 9709122716/5, 22452276001/10], [92144369/2, -413237/2, -320251/2], [9/10, 11/10, 3/10]], [[-694185587548, 1625747611539/2, -694608889129/2], [1743786718421103/10, -2017619918332403/10, 487151423268511/10], [-1388371360295/2, 1625747454333/2, -347304442671], [-41083/5, -144879/10, -20811/5]]], 1, 30, [], [] >,
< [ 1, -3, -1, 1 ], [[7, 5, -1]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 0, 3/2], [79/2, 5/2, 4], [41, 5/2, 5/2], [0, 0, 0]], [[26093/2, -22, -1529], [-11973077/34, -2720633/17, 2764095/17], [-1095526/3, -480053/3, 984725/6], [25/51, 2/51, -5/102]], [[74007881, 60709927, -24185859/2], [-48877427505/17, 2122079249/17, 31078333637/34], [-8847106811/3, 192616493/3, 1852257533/2], [136151/51, 142447/51, 787/34]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-24, -2, 0], [-309/2, -19/2, -3], [-87/2, -5/2, -1], [0, 0, 0]], [[-45337647/2, 648156, 202271/2], [-24863029691/170, 708971508/85, -384373237/170], [-205973662/5, 12821142/5, -11810782/15], [38/85, 2/85, -2/255]], [[-567944070109/2, -191290850773, 57737818486], [-306662736628757/170, -108227856019919/85, 1820261350794/5], [-15199252087379/30, -5409886283483/15, 1531571045276/15], [2917991/510, 982127/255, -249164/255]]], 1, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[-6, -1, 5]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[27/2, -6, 3/2], [1, -1, 2], [25/2, -5, -1/2], [0, 0, 0]], [[-2240, 155, 1913/2], [-6184/17, 8496/17, 15133/34], [-3839/2, -1003/3, 1529/3], [19/34, -2/51, 1/51]], [[-103206479/2, -50878438, -6509325], [18670245/2, -38313888, -28637541], [-124351427/2, -13071166, 23078187], [36531/2, 2838, -14091]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-151/2, 0, -3/2], [178, 9, -3], [-169/2, -3, 1/2], [0, 0, 0]], [[41678223/2, -133017739/2, 54422847/2], [-1453967983/34, 4523822469/34, -1850544337/34], [63602644/3, -399124967/6, 27213066], [-13/51, -1/102, 0]], [[-91436611836283/2, 195675538156899, -172871115024881/2], [888293392828303/10, -1960490141516779/5, 1750919935843991/10], [-672741204862279/15, 979622463970208/5, -1307635262957738/15], [-9723748/15, -549154/5, 8140444/15]]], 1, 72, [], [] >,
< [ 1, -3, -1, 1 ], [[-6, -1, 5]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-18, 3/2, -3/2], [-159/2, -22, -47/2], [-18, 3/2, -3/2], [0, 0, 0]], [[75986893/2, -366959, -433248], [173182547, 45647721, 47260069/2], [37993445, -366931, -866517/2], [0, -5/2, 1]], [[53426738819533/2, 13100539121175, -5679177411885/2], [117096952107913, 108462975230350, 43827014026309/2], [26713373242150, 13100542882834, -2839588776898], [-454597, -324368, 130757/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-35/2, -1, 0], [-550, -47/2, -29/2], [-35/2, -1, 0], [0, 0, 0]], [[-3956209069/2, 22067861/2, -40254297/2], [-622658016039/10, 7777984787/5, -11494355594/5], [-9890522782/5, 110339219/10, -100635739/5], [-8/5, -9/10, -1/5]], [[-70356004267781/2, -54751853559913/2, 27979140308543/2], [-10879793334618911/10, -4549457387509947/5, 2214578058970144/5], [-175890012954933/5, -273759270296499/10, 69947851277654/5], [-168437/5, -240011/10, 24206/5]]], 1, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, -1, -3]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[49/2, 81/2, 9/2], [363/26, 39, 34/13], [241/4, 7/2, 1/4], [37/52, 1/13, 3/52]], [[-2699412, 4028911/2, 3069980], [-25353646/13, 37911119/26, 33618436/13], [-7203551/2, 3405243/2, 1750007], [-46315, 363612/13, 343673/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[503/2, -56, -3], [5207/10, -281/5, 12/5], [-344/5, -7/10, -1/10], [0, 0, 0]], [[362905297, 228549950, -209299125], [104867390107/130, 26857456924/65, -59407101431/130], [-1138115771/10, -460875729/10, 618543713/10], [15/26, -5/26, 1/26]], [[-32491722202090, -54262084709097/2, 8027366875407/2], [-8274842398122921/130, -4803017507473372/65, -896938598352337/130], [163787384325371/20, 114057779598557/10, 48164209221317/20], [-3440445/52, 952565/26, 154105/4]]], 1, 42, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 11, -1]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[29782050437/2, -18363433811/2, 0], [3762048055097185069/244054478, -2319656281058659789/244054478, -834738695/244054478], [-3210619414247/34, 1979648691471/34, -242/17], [30871340527/20744630630, -9517541786/10372315315, 2/10372315315]], [[274806798419749021/2, 2251314593629594347/2, 117406462838923025/2], [17356702641456638976425384/122027239, 284384505165815325982839525/244054478, 14830703140175712176809615/244054478], [-14812614047466580314/17, -121350179834056393296/17, -12656867806837151021/34], [284857962714276867/20744630630, 1166828652216207219/10372315315, 121700651728397289/20744630630]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -57/2, -3/2], [457/2, -19/2, -3], [-30, -2, 1/2], [0, 0, 0]], [[-339899544595/2, 115711184301, 7682687/2], [447792578759469141013/4148926126, -304682051559917852645/4148926126, -2049500607278601/4148926126], [-374392242212752/289, 254943270127998/289, 183441183/289], [261808859672/176329360355, -178281359037/176329360355, 3/352658720710]], [[434744144521580234458, 1131113788841920252254, -254810788888881603920], [-573325027711836682984466639883/2074463063, -1489071655501408260284525276956/2074463063, 336359223103866789681933845460/2074463063], [957569864414217003901682/289, 2492071299756447209775900/289, -561255143255358177170982/289], [-669608886614960240059/176329360355, -1742700492910315030026/176329360355, 392470354496306867337/176329360355]]], 1, 56, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, -1, -3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, 0, -5/2], [55, -15, -14], [-7/2, 0, -5/2], [0, 0, 0]], [[-277259/2, 27247/2, 1339], [3596917/2, 7015, -447257], [-138631, 27213/2, 2635/2], [2, 2, 5/2]], [[-1349422597/2, 76488201/2, 397938685/2], [16434135303/2, 1332496864, -2150143789], [-674788752, 76666079/2, 199044440], [18259, -21793/2, -11780]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[51/2, 1/2, -1/2], [-65/2, 47/2, 23], [51/2, 1/2, -1/2], [0, 0, 0]], [[29754309/2, -392769, -631097/2], [-91392677/5, 62842692/5, 120241207/10], [74385568/5, -1963808/5, -1577784/5], [12/5, -2/5, 3/10]], [[5644107992256, -2077757113540, -2957280556024], [1522837057236/5, -59052912879196/5, -44187230033513/5], [28220451542976/5, -10388722297376/5, -14786343917888/5], [4861584/5, -2873754/5, -2897622/5]]], 1, 14, [], [] >,
< [ 1, -3, -1, 1 ], [[-1, -3, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, -6, -7], [-1, -107/2, -93/2], [7/2, -6, -7], [0, 0, 0]], [[-297447/2, 5306, 37689/2], [6354577/2, 979417, -1207335], [-148726, 5310, 18851], [-1/2, 0, -2]], [[-659934042, -150968517, 221691057], [15331289871, 3208453390, -4639314078], [-659934246, -150975555, 221685243], [-3723, 510, 3009]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -5/2, -2], [35/2, -14, -19/2], [-1/2, -5/2, -2], [0, 0, 0]], [[105387/2, 7903/2, -21379/2], [-462148, 92893/2, 85489], [52688, 7921/2, -10680], [7/2, -2, -5]], [[203548761/2, 17449345, -53620815/2], [-867822312, -75764520, 459831071/2], [101766249, 17460465, -26798523], [6255, -2919, -12649/2]]], 2, 3, [], [] >,
< [ 1, -3, -1, 1 ], [[-1, -3, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -3/2, -3/2], [35/2, -15, -35/2], [-2, -3/2, -3/2], [0, 0, 0]], [[-82095/2, 75809/2, -4413/2], [109119, 102947/2, 10111/2], [-82089/2, 75843/2, -4369/2], [-5/2, -2, -5/2]], [[-45422011/2, -19725965, 23169979/2], [118514335, 14654843, -100790845/2], [-22698926, -19729642, 11573281], [-3341, -109, 4331/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -15/2, -6], [21/2, -97/2, -50], [-1, -15/2, -6], [0, 0, 0]], [[-7121/2, -660, 710], [-17425/2, -440, -435], [-3560, -661, 1445/2], [-3/2, 3/2, -5/2]], [[15753703/2, 3096451/2, -5249907/2], [19187022, 6473753/2, -14525967/2], [15743527/2, 3104821/2, -5235033/2], [5997/2, -3, -4173/2]]], 1, 3, [], [] >,
< [ 1, -3, -1, 1 ], [[-9, 9, 8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, -5/2, 1], [-117/2, -8, 25/2], [17/2, -5/2, 1], [0, 0, 0]], [[-37675674, 3120579/2, -238800], [549609237/2, 51641958, -131465245/2], [-37675677, 3120585/2, -238797], [3, -3/2, -3/2]], [[25529638510, 73978790105, -28711520477], [-309758336933, -331870994777/2, 118662064629], [51059284029/2, 73978787376, -57423050685/2], [-2824, -2905/2, 3501]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -3/2, -1], [-255/2, -1/2, -4], [6, -3/2, -1], [0, 0, 0]], [[2763325/2, 7006, -41144], [-40453657, 19765664, 18654600], [2763341/2, 7007, -41146], [-11, -1/2, 5/2]], [[-5242966813, 11177629249, 11467779555], [-364919678100, 976469728120, 1582273406725/2], [-10485946107/2, 11177634195, 22935576573/2], [4995, 2558, -12517/2]]], 0, 50, [], [] >,
< [ 1, -3, -1, 1 ], [[-9, 9, 8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, -2, 3/2], [24, -11/2, -15/2], [-10, -2, 3/2], [0, 0, 0]], [[-36958, -4177, 5846], [86664, -45333/2, -20513], [-73923/2, -4182, 11685/2], [7, 1/2, 1]], [[-416292929/2, -93216381, 253483277/2], [632768525/2, 529113280, -184429935], [-208194105, -93186030, 126803775], [80785/2, 23858, -46961]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, 4, 19/2], [-4, -9/2, -15/2], [-15, 4, 19/2], [0, 0, 0]], [[-7685, 475, 291], [-137769, 984633/2, -392369/2], [-7700, 475, 295], [-11, -5/2, 3/2]], [[13796259/2, 32952824, -52469015/2], [-3429964507/2, 12649199473/2, -5076193163/2], [6915093, 32994641, -26250419], [43921/2, 20777/2, -52863/2]]], 0, 50, [], [] >,
< [ 1, -3, -1, 1 ], [[-11, 3, 8]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[6136195795/2, 13784654923/2, -10], [127594111947991417/122027239, 573267497509013063/244054478, -579403197/122027239], [-48675297687/34, -109346606141/34, -60/17], [-3476806974/2074463063, -7810471866/2074463063, -5/4148926126]], [[270324524709186032872, 26197194034200202143, -148161407957876423925/2], [22484170207268593078896893483/244054478, 2178944620034958810080841633/244054478, -6161642783426122227378796141/244054478], [-4288691945192355656123/34, -415617840116956072743/34, 1175288549691068990401/34], [-612670277446353982919/4148926126, -59373976963742586069/4148926126, 167898364040457606823/4148926126]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 13/2, 3/2], [-89/2, 33/2, -18], [-1, -1, 5/2], [0, 0, 0]], [[199552027573/2, 23449443037, -20808], [3620228782137815107703/2074463063, 1701641264080673023535/4148926126, -11528126010437522/2074463063], [-8547846958977/289, -4017843695031/578, -1301517/289], [-113972665756/35265872071, -53571123633/70531744142, -2/35265872071]], [[740653832293841878101/2, -108158612570184033123/2, -203516091738759849579/2], [26873511253166745817894615547163/4148926126, -1962159709438176764358349245961/2074463063, -3692130849275098904214685702580/2074463063], [-63452089202903744144595/578, 4633006712624898133401/289, 8717647676259136605588/289], [-846037491559635011625/70531744142, 61774715725834741227/35265872071, 116236097872717758084/35265872071]]], 1, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[-7, -5, -2]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-443/2, -95/2, -1/2], [2036250839936443866/2140080863, -2756600753430335225/2140080863, -5265032759/4280161726], [-2751/454, -312/227, 1/227], [-2320542185/4280161726, 3141464379/4280161726, 5/4280161726]], [[-1480465072764, -97769148150, 650418461415], [5465111755131706484037134666/2140080863, 11471970333535074434603661379/4280161726, -291665927031711556776198418/2140080863], [-9229684736961/227, -592829944617/227, 4055809666053/227], [-3114061195324694950/2140080863, -3268408054622989275/2140080863, 332385886484970975/4280161726]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[61/2, 39, -1/2], [-84476/227, -114517/227, 1852/227], [381/454, 241/227, -3/454], [0, 0, 0]], [[-263694436, 17583469/2, 23190409], [-9292021660072548280355/27821051219, 14867912942450383945225/55642102438, -6467587670070155082/27821051219], [-1221530457217/2951, 952078124954/2951, 3959918205/5902], [-60012494825/27821051219, 47582470744/27821051219, 5/55642102438]], [[-16292058987547640989719/2, 384262248933639031992, 4309310315589162392502], [-146869161275344132830014848225957818/27821051219, -180203918176020331073467349460354422/27821051219, -24408309921195792273766298918168167/27821051219], [-19805795276052980131907523/2951, -45996861512319936871335205/5902, -2579843804261814054984368/2951], [-957267713027027999805744/27821051219, -1151570745681962573996824/27821051219, -146467810603576865065984/27821051219]]], 1, 36, [], [] >,
< [ 1, -3, -1, 1 ], [[-25, 11, 8]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[18695/2, 215, 3], [-814512239711479436/2140080863, -4906632309329421674/2140080863, 8263287803/2140080863], [53145/227, 567/454, -2/227], [464108437/2140080863, 2795836505/2140080863, -1/2140080863]], [[-1067786668909758, -266386127840994, 944258966282394], [578905290434495426115935360798/2140080863, -1774646071193721204980164492525/4280161726, -407695809716731193899637182458/2140080863], [-5976279350933934/227, -1691347407447432/227, 5301224769911280/227], [-329863882653458660958/2140080863, 505603656992372053089/2140080863, 464615002852942964959/4280161726]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2723/2, -293/2, -3], [3694523/227, 332222/227, 1422/227], [-7741/227, -1391/454, -5/454], [0, 0, 0]], [[1464691154805, -92577969251/2, 66390320702], [-940504747339871073565769/55642102438, 17659582958873193824113/27821051219, -43967990685728728801249/55642102438], [129237761871925/2951, -14530807066485/2951, 9759138797165/5902], [92203938431/55642102438, -19761419525/27821051219, -5/55642102438]], [[-4424039608414653738589241, 10442816518021899880532782, 17441368474373744474673133/2], [2826891736394576233060690148197619745/55642102438, -6671885662624456948143767119957286303/55642102438, -5568367804603881936145457570722299799/55642102438], [-649504001202780310980205719/5902, 1515137408766821870944251575/5902, 1252396066508783901234717261/5902], [-40009638672941131034393/55642102438, 30664407341450092506702/27821051219, 14284436469448633412414/27821051219]]], 1, 720, [], [] >,
< [ 1, -3, -1, 1 ], [[-27, 7, 14]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1809614987/2, -3064969939, -5], [-133156303433422770/122027239, -902114651679725829/244054478, -646834842/122027239], [85693364360/17, 580560140309/34, -95/17], [-1098632886/2074463063, -7443078723/4148926126, 1/2074463063]], [[-50455690603159875019/2, -35200026974049716657, -6699456668498006709/2], [-7425328803987977162015909131/244054478, -10360447533508515164237509857/244054478, -985927744286428193022661107/244054478], [2389302638938551722214/17, 3333757427406007763568/17, 317249227824149274309/17], [-30632085292630524723/2074463063, -42740479890963135132/2074463063, -8134595539155650365/4148926126]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -11/2, 2], [99/2, -3/2, -7], [-23/2, 0, 2], [0, 0, 0]], [[2025509771, -76861218273/2, -11855/2], [-33096436791125126255/2074463063, 627948842751955663299/2074463063, 67577574781751/4148926126], [977406785477/289, -37089279132311/578, -1554467/578], [5370361721/70531744142, -101893618849/70531744142, -3/70531744142]], [[-86164590905914977633/2, -150609912071533821549/2, -14674798538033588143], [1407913160299346965987711052475/4148926126, 1230468520168337724593447448974/2074463063, 479566513716071118152450351825/4148926126], [-20789307033310097639916/289, -72676604770556868165215/578, -14162598598118948963943/578], [-57113494586978725944/35265872071, -99830495332719934380/35265872071, -19454109319863358656/35265872071]]], 1, 336, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 7, 3]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 82, -3], [303/2, 191/2, 4], [-529/4, -1/2, -15/4], [-95/4, -1/2, -1/4]], [[-422031/2, 2314849, 544366], [37130277/10, 19675016/5, 5609654/5], [-6695673/2, -997761, -636839/2], [-6041073/10, -1815507/10, -222957/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, 2, 2], [25/2, 18, 4], [15, 3/2, -1/2], [0, 0, 0]], [[-1807297/2, -1210517/2, 433541], [22488569/10, -2257019/5, -2148817/2], [6181931/4, 658790, -3254199/4], [11/20, 0, 1/20]], [[-23701048651, -33732040371/2, 21242593109/2], [680071828749/10, -164042867468/5, -464974757179/10], [172103447603/4, 25077938131/2, -102278367611/4], [257603/20, 44731/10, 99589/20]]], 1, 30, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 7, 3]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 1/2, 1/2], [-17, -11/2, -7/2], [13/2, -1, -3/2], [0, 0, 0]], [[-128835, 103177/2, 9400], [-7789787/10, 2924393/5, 1840583/5], [748967/4, -60415/2, 10317/4], [-41/20, -2/5, -1/4]], [[-41917813609, 45487965049/2, 2560318481/2], [-552785039705/2, 1388701172206/5, 1629423787811/10], [234064559057/4, -12753537652, 29711504373/4], [-12061903/20, -941887/5, -4256247/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, -9/2, 0], [3/2, -33/2, -8], [-17/2, 2, -5/2], [0, 0, 0]], [[-900935, -120119/2, 239088], [5868829/10, 5892887/10, 93741/2], [2767533/2, 234440, -303801], [4/5, 1/2, -1/5]], [[3928767719, 4090645025/2, -4107781809/2], [-9623065853/5, -24336791657/5, -17281733429/5], [-23180702145/4, -8590479593/2, 7431409207/4], [-16029/4, -13793/10, -25493/20]]], 1, 30, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, 0, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -1, 5/2], [3, 4, 16], [1/2, -1, 5/2], [0, 0, 0]], [[-13393/2, -2537/2, 1534], [-178799/2, -20232, 48473/2], [-13393/2, -2537/2, 1534], [0, 0, 0]], [[0, 0, 0], [1/2, 1/2, 0], [0, 0, 0], [-1/2, -1/2, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -1/2, 1], [19/2, -3, 21/2], [9/2, -1/2, 1], [0, 0, 0]], [[-2765, -700, 875], [-5863, -1836, 1867], [-2765, -700, 875], [0, 0, 0]], [[0, 0, 0], [1/2, 1/2, 0], [0, 0, 0], [-1/2, -1/2, 0]]], 0, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -1/2, -1], [-7/2, -7, -5/2], [-1/2, -1/2, -1], [0, 0, 0]], [[-164, 1103/2, -191], [-39/2, -305, 255], [-319/2, 1093/2, -391/2], [2, 5/2, 0]], [[-1/2, 1/2, 1/2], [3/2, 1, 0], [-3, -1/2, 1], [-3, -1/2, 1]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 5/2, 3/2], [-23/2, 27/2, 9], [-1/2, 5/2, 3/2], [0, 0, 0]], [[-8586, -1398, 1650], [254837/2, 38670, -97951/2], [-8586, -1398, 1650], [1/2, 5, 3/2]], [[-23407104, -6144, 5678592], [639155253/2, 256336955/2, -123385844], [-23407104, -6144, 5678592], [10293/2, 7227/2, -6132]]], 1, 2, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 2, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, 47/2, 19], [-19/2, -21/2, -5], [-1/2, 7, 5/2], [0, 0, 0]], [[192781/2, 74374, 55927/2], [-4485864/5, -1867346/5, 1639433/5], [174335, -226099/2, 31534], [0, 1/10, -1/5]], [[377349/2, 34748, -62951], [-2999867/2, -316061, 467037], [216699, 96747/2, -139349/2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1/2, -1], [-17/2, -11/2, 1], [-3/2, 1, -1/2], [0, 0, 0]], [[-14, 20, 2], [123, 51, -8], [8, 32, -12], [0, 0, 0]], [[1/2, -1, 0], [3/5, -7/10, 0], [1/4, -1/2, -1/4], [-1/20, 0, -1/20]]], 2, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 0, 2]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -11/2, -5/2], [14, -33/2, -23/2], [7/2, -4, -3/2], [0, 0, 0]], [[19019/2, 4851, -1943/2], [-89142, -48591/5, 171952/5], [-47715/2, -3684, 8534], [9/10, 2/5, -2/5]], [[-8051/2, 15523, 26281/2], [-363933/10, 233991/5, 511903/10], [-14941/2, 6411, 18227/2], [-3/10, 9/5, -9/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -1/2, 1], [-7/2, 9/2, -6], [3/2, -1, 1/2], [0, 0, 0]], [[-113/2, 24, -121/2], [-562/5, -2813/5, 3154/5], [49, 135, -209/2], [-3, -1/5, -1/10]], [[-5/2, -1, 1/2], [-4, -7/5, 4/5], [-7/2, -1, 1], [-7/10, -1/5, 1/5]]], 0, 8, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 2, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 1/2, 1], [-91/2, 5, 19/2], [-5/2, 1/2, 1], [0, 0, 0]], [[3973, 6322, -6003/2], [131477/2, 163311, -173859/2], [3973, 6322, -6003/2], [1/2, -19/2, -5]], [[-1236908, -2129702, 1161624], [-18804689, -118293501/2, 61998489/2], [-1236908, -2129702, 1161624], [435, 3045/2, 435/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -2, -3/2], [-31, -11, -9], [-1/2, -2, -3/2], [0, 0, 0]], [[30820, 3931, -3201/2], [1862399/2, -220627/2, -183545/2], [61639/2, 3927, -1604], [-5/2, 0, 2]], [[32682253/2, 31639627, -52707929/2], [555385415/2, 2947091543/2, -805762695], [32676903/2, 31641232, -52694875/2], [-3745/2, 2247/2, -1926]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[3, -2, -1]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-71/2, 40, 35/2], [-26, 179/13, 272/13], [-38, 15/2, 2], [-36/13, 3/26, -2/13]], [[-147425/2, -18554, 25354], [-68775, -181952/13, 570329/26], [-245201/2, -58721/2, 78915/2], [-246875/26, -29625/13, 39500/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, 35/2, 3], [-354/13, 194/13, 7/2], [-13/4, -5/2, 3/4], [55/52, 1/13, 1/52]], [[64921/2, 28181/2, -2405], [-1086779/26, -521927/26, 283823/13], [-15563/2, -1719, 3127/2], [25978/13, 12570/13, -8380/13]]], 2, 6, [], [] >,
< [ 1, -3, -1, 1 ], [[6, 2, 0]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 9/2, -1], [-17/2, -5/2, 8], [-11/2, 5, -1/2], [0, 0, 0]], [[2232, 2325/2, 651/2], [-13960, 5563/2, 14779/2], [-11253/2, -1395, 5115/2], [0, 0, 0]], [[1/2, 0, -1/2], [-16/13, 2/13, 14/13], [1, -1/2, -1], [1/13, -1/26, -1/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[2, -5/2, -5/2], [33/26, -61/26, -25/13], [-1/2, 1/2, 1/2], [1/13, -1/26, -1/13]]], 0, 12, [], [] >,
< [ 1, -3, -1, 1 ], [[3, -2, -1]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[27/2, -4, 5/2], [-177/26, -145/26, -10/13], [57/4, 1, 11/4], [71/52, 1/13, 5/52]], [[9331/2, -19923/2, 3056], [-39005/26, 11109/26, 860], [8947/2, -7801, 3365/2], [4941/13, -7686/13, 1647/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, -1, 0], [-286/5, 151/5, 63/5], [-11/5, 1/5, -2/5], [0, 0, 0]], [[-7279/2, -1815/2, 1188], [1130289/65, 22287/5, -378962/65], [16667/20, 1062/5, -5361/20], [63/52, 1/13, 3/52]], [[1899987, 718009/2, -1137173/2], [-592353721/65, -212351153/130, 350513181/130], [-4356769/10, -415848/5, 1301597/10], [-7216/13, -4428/13, 3116/13]]], 1, 3, [], [] >,
< [ 1, -3, -1, 1 ], [[-7, 4, 5]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[32431719950, -3766245463/2, 13/2], [4096752474876598383/122027239, -475749525852699151/244054478, 586923877/122027239], [-67235845501/17, 7807994745/34, 45/34], [33617922742/10372315315, -1951998682/10372315315, 3/20744630630]], [[-57988103443877065157/2, -12675979644444531275/2, 9796937282717632712], [-7325017195255996488827923403/244054478, -800610498918505270810014513/122027239, 2475084708547985113129891309/244054478], [60109040925427995642/17, 26279217086001947331/34, -40621056320164358893/34], [-30054520457729407812/10372315315, -6569804269357656438/10372315315, 10155264079537696531/10372315315]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 5, 7], [62, -25, -4], [-1, 5, 2], [0, 0, 0]], [[151453238161, -39843546121/2, 24491/2], [-4270591279565032129563/4148926126, 280860460183712977842/2074463063, 7100487237537422/2074463063], [63928459802297/289, -16817874144177/578, 2791999/578], [-233315693233/176329360355, 61379118361/352658720710, -1/176329360355]], [[-25043918308117331853289/2, -9622023571077714092673/2, 1557300131597785464734], [353087630624455996908073291221505/4148926126, 67828992835975777468983746264329/2074463063, -43912566290384760688183286278535/4148926126], [-5285523339982795290120850/289, -4061464950760934056275149/578, 1314671066991256779700081/578], [19290243523530965114668/176329360355, 7411437244436979993892/176329360355, -2399036416976718475244/176329360355]]], 1, 12, [], [] >,
< [ 1, -3, -1, 1 ], [[3, -2, -1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -1, 1], [64, 10, -3], [-1, -1, 1], [0, 0, 0]], [[37994, 1574, -741], [-2103100, -338549, 1954583/2], [75993/2, 1569, -1467/2], [-2, 2, -3/2]], [[-58163935, -29765211/2, 28670617/2], [3324868220, 542795634, -1182941331], [-58165776, -29769201/2, 28666305/2], [4543/2, 567, -273/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 1/2, -1/2], [-545/2, 1, -27/2], [-5, 1/2, -1/2], [0, 0, 0]], [[77084811/2, -255823, -1311339/2], [21162095371/10, 665939882/5, -580308159/5], [192712043/5, -1279113/5, -3278354/5], [9/10, 3/5, -1/5]], [[8062459690013, 8718850566107, -3112695238139], [4667289065711307/10, 2154203884504929/5, -1582643066297541/10], [40312302840451/5, 43594252845044/5, -15563477937308/5], [2643773/10, 431981/5, -14509/10]]], 1, 5, [], [] >,
< [ 1, -3, -1, 1 ], [[-5, 0, 3]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 51/2, -2], [-71/34, -520/17, -65/17], [-106/3, -47, -7/6], [-91/102, -1/34, 1/102]], [[-5408, 11648, 624], [413551/34, -216128/17, -236619/34], [223645/6, -12640, -113969/6], [27664/51, 2912/17, -15392/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [19, -1, 5], [0, -2, 2], [0, 0, 0]], [[-10, 13/2, -1], [-1357543/85, -201402/85, 1000553/170], [8933/30, 2756/15, 418/15], [-47/510, 1/30, 1/510]], [[35, 165, -90], [4324569/34, 1471768/17, 146093/34], [-11981/2, 17776/3, 14931/2], [9/17, 53/51, -12/17]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, -6, -4]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[103/2, 4, -5/2], [-11, 232/17, 56/17], [-59/3, 8/3, 10/3], [103/102, 4/51, -5/102]], [[915491/2, 32264, -310541/2], [-1634665/34, -348152/17, -367609/34], [-938495/6, -70928/3, 254921/6], [915491/102, 32264/51, -310541/102]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [13/2, 19, 29/2], [9/2, 0, 3/2], [0, 0, 0]], [[-447/2, -9, 1/2], [8994442/85, 1884303/85, -2781771/85], [178173/5, 36512/5, -163877/15], [-149/170, -3/85, 1/510]], [[33048, 1252152, 873936], [-1186703268/5, -248046932/5, 372204749/5], [-398343564/5, -85445411/5, 122992627/5], [648/5, 24552/5, 17136/5]]], 0, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[-5, 0, 3]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -6, 3/2], [1, -4, 1], [1/2, -2, 1/2], [0, 0, 0]], [[81, 13/2, -11/2], [279/17, 725/34, -15/2], [-109/6, 1/6, -2/3], [109/102, -1/102, 2/51]], [[-4036381/2, -573679, 1662369/2], [-20601333/34, 993745/17, 5317801/34], [1321964/3, 437101/3, -202559], [-1321964/51, -437101/51, 202559/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15, -4, 1], [45/2, 11, -1/2], [-5/2, -5, 1/2], [0, 0, 0]], [[-46446, -48833/2, 36115/2], [-1538649/17, -1098411/34, 743313/34], [43118/3, 15773/6, -7591/6], [-53/51, 1/102, 1/102]], [[389135333/2, -4576134, -117565889/2], [31182631219/85, 368605036/85, -13456939207/85], [-1688583629/30, -13925006/5, 973132457/30], [56096/15, 56096/85, -617056/255]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[-5, 0, 3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33, -1/2, -13/2], [-35, -31, 2], [-39, 5/2, 25/2], [1/2, 0, -3/2]], [[175441/2, 4714, -79097/2], [117154, 1247/2, -52074], [87668, 26036, -23284], [-294, -3185/2, -1106]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 3/2, 5/2], [11/2, -19, 17/2], [-2, 3/2, 5/2], [0, 0, 0]], [[95675/2, 10817, -29393/2], [-172467/10, 32627/10, 23041/10], [239694/5, 53566/5, -73442/5], [-13/10, 13/10, -1/10]], [[240179287, 37882950, -84012945], [-375309152/5, -82625528/5, 92445646/5], [1201612898/5, 192041832/5, -418251684/5], [-10008/5, -32292/5, -21861/5]]], 1, 6, [], [] >,
< [ 1, -3, -1, 1 ], [[6, 2, -4]], [ -19, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[-15/2, -2, -1/2], [123/38, 122/19, 93/38], [-21/2, -5, -3/2], [-21/38, -5/19, -3/38]], [[-1169/2, -4915, 5007/2], [56413/38, -12745/19, -9027/38], [-1344, -5628, 3108], [-1344/19, -5628/19, 3108/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -3, 1/2], [5/2, -3, 1/2], [24, 1, -3], [0, 0, 0]], [[-333/2, 449, -993/2], [5259/38, 8737/19, -18857/38], [41121/10, 18522/5, -11613/10], [-999/190, 17/95, -3/190]], [[215595, 195237, 2328504], [-32034615/19, -7129773/19, 46822356/19], [-144036999/5, -98861871/5, 22340887/5], [3096936/95, 774234/95, -258078/95]]], 0, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[5, -2, -3]], [ -19, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[-53/2, -53/2, 17/2], [1165/19, 2649/38, 229/19], [42, 41, 15/2], [137/38, 2/19, 2/19]], [[-44908, 757407/2, -332491/2], [-1692622/19, -7768635/38, 4594481/38], [-83937, -83937/2, 83937/2], [-335748/19, 83937/2, -587559/38]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -3, -1/2], [-1/2, -3, -1/2], [-13, -4, 0], [0, 0, 0]], [[-2815/2, -17429/2, 8221/2], [-26166/19, -333223/38, 78098/19], [-40387, 11456, 5303/2], [-89/38, -2/19, 0]], [[-3187185/2, 1096425/2, 635589], [-61012585/38, 22508357/38, 12698640/19], [-66011467/5, -23179541/10, 56103617/10], [-123247/95, 9731/10, 246507/190]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[-3, -6, -1]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-746, -198, -3], [398380158837/454, -796760099383/454, 777/454], [-2016/227, -511/227, -2/227], [-1/2, 1, 0]], [[-22847714842797/2, -2357469880623/2, 4162114468278], [8549687723798938406697804762/2140080863, 7634058535779268326744961357/4280161726, 5431095560923914642584189419/4280161726], [-30738839101191/227, -6435558162423/454, 22306300314831/454], [-9743346697665962971/4280161726, -4349944007716512485/4280161726, -1547341297548624467/2140080863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[368, 303/2, 5/2], [-487629/227, -191140/227, -956/227], [1989/454, 795/454, 2/227], [0, 0, 0]], [[1541385744, 546729540, -40276596], [8925493161198691307576/27821051219, 6964007698552281892120/27821051219, 14777599949921815275/55642102438], [-147139692183/2951, -135983788983/2951, -1617373065/2951], [67090262305/55642102438, 51534754649/55642102438, 3/55642102438]], [[208679569755652104, 1836540861340588968, -625347663907328784], [4560329930001678787687705337088/27821051219, -270120037494923458015792684073/55642102438, 1609711306246746350299395897596/27821051219], [-93641960028941418528/2951, 61446946888541734086/2951, -55444967852904361461/2951], [16784245924381497760/27821051219, 631863786381797115/27821051219, 10988953653723572415/55642102438]]], 1, 18, [], [] >,
< [ 1, -3, -1, 1 ], [[5, -2, -3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -3/2, -2], [101/2, -28, -69/2], [5/2, -3/2, -2], [0, 0, 0]], [[8856, 119, -1324], [405047/2, -60300, -9511/2], [8856, 126, -1323], [-3/2, -2, 1/2]], [[-88528959/2, 119367, 23054913/2], [-978023270, 395451579/2, 153925239], [-44277300, 119025, 11545425], [9810, 6363/2, -6192]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, -6, -9/2], [-314, -113, -83], [7/2, -6, -9/2], [0, 0, 0]], [[3335025/2, -12817/2, 22686], [-2533801137/5, -39227978/5, 1227887837/10], [1667517, -12825/2, 45381/2], [-37/10, 6/5, -2/5]], [[1992151359355, 464297124561/2, -2392270422787/2], [-5408294100540987/10, -926237729411649/5, 1796003734541301/10], [1992156394482, 464297155893/2, -2392285449465/2], [-18917068/5, -6297732/5, 12556299/5]]], 1, 5, [], [] >,
< [ 1, -3, -1, 1 ], [[-3, -2, -1]], [ -5, 0, 0 ], [ 1, -11, -8 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 17/2, 15/2], [11/2, 5, 2], [23/4, 1/2, 5/4], [3/4, -1/2, 1/4]], [[-61, -1225/2, -813/2], [-3019/5, -4147/10, -201/10], [-1093/2, -445/2, 51], [-299/5, -23/2, 69/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 13/2, 19/2], [-13, -13/2, 9/2], [9/2, 2, 5/2], [0, 0, 0]], [[80961/2, 11359/2, 8025/2], [-10050051/50, -1348472/25, 1650079/25], [1518613/20, 107051/10, -314429/20], [17/100, -11/50, -1/100]], [[7932209, 1322779/2, -3304870], [-374559511/10, -39207297/5, 58498414/5], [55521341/4, 2643836, -18507185/4], [307/20, 52/5, -31/20]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, 2, 6]], [ -5, 0, 0 ], [ 1, -11, -8 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [2/5, -2/5, -1/5], [0, 0, 1/2], [1/10, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [3/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[5, -14, -4], [416/25, -896/25, -203/25], [37/10, -107/10, -18/5], [13/50, -33/50, -2/25]], [[-17955/2, -2185, 5415/2], [-827359/5, -180576/5, 256587/5], [-1463/2, -361, 152], [-8246/5, -1824/5, 5111/10]]], 0, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[-3, 0, 3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 9/2, 3/2], [-19/2, -20, 5/2], [-1, 9/2, 3/2], [0, 0, 0]], [[11440, -39443/2, -25149/2], [-135776, 91179/2, 115607/2], [11440, -39455/2, -25155/2], [3/2, 3/2, 0]], [[-383709/2, -66645, 182051/2], [11061895/2, 1390958, -1866317], [-191750, -66625, 91000], [-191/2, -19, 28]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -1/2, 1/2], [-151/2, -3, 27/2], [-2, -1/2, 1/2], [0, 0, 0]], [[-1/2, -1, -5/2], [489/10, -459/10, 163/10], [-18/5, -2/5, -6/5], [-9/10, -1/10, -3/10]], [[-748, 646, 1054], [66603/5, 46122/5, -46154/5], [-8772/5, 272/5, 5916/5], [-2193/5, 68/5, 1479/5]]], 1, 7, [], [] >,
< [ 1, -3, -1, 1 ], [[-3, 4, 1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, -11/2, -4], [-611/2, 47, 59/2], [7/2, -11/2, -4], [0, 0, 0]], [[138331245/2, -1437600, -1658093/2], [-28781454499/2, -85135467/2, 6213379011/2], [69165623, -1437601, -829054], [1/2, -1/2, 3/2]], [[3551900864657, 753855120289, -905927937154], [-738326243419231, -138404975803034, 221023242766383], [3551900864358, 753855055107, -905928023539], [21944, 10946, 10699]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -17/2, -13/2], [721/2, -419, -633/2], [3, -17/2, -13/2], [0, 0, 0]], [[645865/2, 8953, 55/2], [-2233292149/10, -359159828/5, 418722136/5], [322931, 8953, 28], [13/10, 1/5, -2/5]], [[-4697, 10409, 3507], [407777, 1447013, -429889], [-4697, 10409, 3507], [0, 0, 0]]], 1, 9, [], [] >,
< [ 1, -3, -1, 1 ], [[-3, 0, -1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 1/2, 5/2], [-77/2, 14, 135/2], [-3, 1/2, 5/2], [0, 0, 0]], [[-462142, -32844, 16317], [-11658771/2, 7577957/2, -3554245], [-462140, -32844, 16324], [-5/2, 1/2, -1]], [[660382919007/2, 16656580304, -229046244315/2], [3973219175590, -2547080366831/2, -1410916961526], [330188523588, 16659428072, -114520998004], [1860355, -696647/2, -727237]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 4, 2], [845, 109, 53], [-2, 4, 2], [0, 0, 0]], [[-831029/2, -661/2, 8874], [6407454033/10, 478224431/5, -933542787/5], [-2077534/5, -3207/10, 88779/10], [-9/5, -6/5, -1/10]], [[3662034041/2, -1928164099, 645731531/2], [-10184734647203/5, 200685434933/5, 3994223195273/10], [9154873768/5, -9640719758/5, 1614439056/5], [37433/5, -8733/5, -30873/10]]], 1, 8, [], [] >,
< [ 1, -3, -1, 1 ], [[17, 10, 1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[194, 5/2, 3/2], [743/2, 205, 15/2], [194, 5/2, 3/2], [0, 0, 0]], [[-1090780072847/2, 11030742078, 10728749949/2], [-2108269710215/2, -512394762791, 25372257627], [-545390036409, 11030742092, 5364374966], [3/2, 2, -1]], [[17560361721620637, 403263176347764096, 150451727271612135], [-119539090244534152, 1252583774309141757, 850583080574321565], [17560361716455060, 403263176348262990, 150451727269154100], [-492174, -121641, -614370]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[83, 1/2, -3/2], [-373/2, 84, -25/2], [83, 1/2, -3/2], [0, 0, 0]], [[-479119989046, -2223630354, 3201305820], [2163117708061/2, -1004764394057/2, 83377641807], [-479119989106, -2223630059, 3201305822], [1/2, -5/2, 0]], [[21265063192287636671/2, 3856215707824984577, -6394934785240170481/2], [-204925094820728674051/10, -85961531797397096599/10, 76269888815140525923/10], [53162657977561302308/5, 19281078538228425517/5, -15987336967281232534/5], [55645851/10, 14013849/10, 69680277/10]]], 1, 240, [], [] >,
< [ 1, -3, -1, 1 ], [[15, 12, -1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-183/2, -2, 1/2], [-274, -88, -4], [-183/2, -2, 1/2], [0, 0, 0]], [[-110682510429/2, -1182070987, 1685351569/2], [-166237998719, -51616386342, -377672637/2], [-55341255211, -1182070972, 842675783], [-1, -2, 1/2]], [[1191650826113125/2, 91861080244753/2, 237260520087257], [1553287636949184, 1353373510922602, 1038688212736182], [1191650826161275/2, 91861079532979/2, 237260520039263], [8145/2, 44502, -129/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-223/2, -1/2, 1], [-55/2, -105, -5/2], [-223/2, -1/2, 1], [0, 0, 0]], [[-344278451117/2, -1868543851/2, -45766885], [-81733587541/2, -333725220227/2, -6125946131], [-344278451355/2, -1868544225/2, -45766950], [1, 3/2, 1/2]], [[383306616445280133/2, -568820846777143927, 463374826858470353/2], [-1683547986355391553/10, 3424506787159622944/5, -1272201642111252298/5], [191653308230774898, -568820846676635133, 231687413430105636], [-739279/10, -4052783/5, 561/5]]], 1, 210, [], [] >,
< [ 1, -3, -1, 1 ], [[-9, 0, 9]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 0, -1], [-6, -27, 6], [-15, 0, -3], [0, 0, 0]], [[-8051/2, -561, 1847/2], [-19477/2, -11569/2, 8011/2], [-12072, -1702, 2753], [1/2, -1/2, 3/2]], [[36926617, 16320317/2, -22879423/2], [100353808, 42757765/2, -30540773], [221601549/2, 49008917/2, -34313059], [-7859/2, -4553/2, 1421/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 15/2, 9/2], [45/2, 3, 51/2], [-6, 45/2, 27/2], [0, 0, 0]], [[-16273/2, -393, 2981/2], [-252954, -190619/2, 191687/2], [-48807/2, -1214, 8895/2], [0, 7/2, 1/2]], [[42444741, 21367077/2, -21985641/2], [14427463203/10, 3433830837/10, -4520030379/10], [1272848463/10, 322818867/10, -164005992/5], [-5229/5, -142677/10, -40338/5]]], 1, 182, [], [] >,
< [ 1, -3, -1, 1 ], [[17, -2, -11]], [ -5, 0, 0 ], [ 1, -11, -8 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[21/2, 21/2, 7/2], [-137/10, 21/5, -7/5], [33/4, 9/2, -1/4], [29/20, 3/10, 3/20]], [[26683/2, -4981/2, -7826], [-104347/10, -15113/10, 21458/5], [8433, 1/2, -7737/2], [13617/10, 153/10, -3213/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -25/2, -17/2], [1, 23/2, 5/2], [1/2, -5, -5/2], [0, 0, 0]], [[-322, -121, 205/2], [11942/5, 2121/10, -4136/5], [-2491/4, -194, 829/4], [7/20, -13/5, -1/20]], [[-1002339/2, -106224, 312717/2], [169815791/50, 18445627/25, -52552753/50], [-9497409/10, -1012548/5, 2956497/10], [-34251/50, -2097/25, 11883/50]]], 1, 104, [], [] >,
< [ 1, -3, -1, 1 ], [[26, -6, -8]], [ -5, 0, 0 ], [ 1, -11, -8 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[-1/2, 1, 1/2], [-4/5, 4/5, 2/5], [1/2, 0, 0], [-1/5, 1/5, 1/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [3/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [5471/25, 2124/25, -893/25], [127/10, 83/10, 12/5], [113/50, 47/50, -2/25]], [[0, 0, 0], [-273367331/50, -29096782/25, 85102973/50], [-1756298/5, -730989/10, 545624/5], [-2878959/50, -604771/50, 893997/50]]], 0, 624, [], [] >,
< [ 1, -3, -1, 1 ], [[12, -6, -14]], [ -19, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, 1, -5/2], [-7/2, 1, -5/2], [14, 3, -4], [0, 0, 0]], [[203/2, -30, 45/2], [321/38, -970/19, 815/38], [177/2, 2, 1/2], [177/38, 2/19, 1/38]], [[89752053/2, -23712411, -132865895/2], [-245515713/38, 320913951/19, -219369845/38], [39822030, -19692630, -44740440], [39822030/19, -19692630/19, -2354760]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, 4, -3/2], [-9/2, 4, -3/2], [101, -2, 5], [0, 0, 0]], [[-3646813/2, -34267, 163877/2], [-69300985/38, -651535/19, 3113593/38], [98725385/2, 17007443, -9862101/2], [199/38, 1/19, 1/38]], [[3616457493561, -1347690811646, -3833340422083], [68725997360173/19, -25614525513070/19, -72849335320319/19], [-638084094192541/5, 492861033151021/5, 677029982267873/5], [-1061133231/95, 539783386/95, 1244796293/95]]], 0, 360, [], [] >,
< [ 1, -3, -1, 1 ], [[9, 2, 1]], [ -19, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, -1, 5/2], [11/2, -1, 5/2], [-65, -1, 0], [0, 0, 0]], [[-4249144, 379747/2, -77318], [-161466945/38, 7215691/38, -2938057/38], [99801769/2, 4578209, -8738363], [10/19, 2/19, -1/38]], [[321926572929, -33669451980, 108580346723/2], [12233175719713/38, -639745882174/19, 1031506905844/19], [-3780046425225, -451835148681/2, 430310120642], [-1471899/38, -355641/38, -134849/38]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[35/2, -45, -77/2], [35/2, -45, -77/2], [208, -4, 1], [0, 0, 0]], [[2658931/2, 42457/2, 4443/2], [25260267/19, 805179/38, 42217/19], [-6358480469/5, 442207844/5, 2290560079/10], [-333/190, -6/95, 2/95]], [[-5124963685311/2, -524349675326, -606468041917/2], [-97376254397581/38, -9960869528370/19, -11522277561047/38], [13024641882040486/5, -602324802609856/5, -2483931902815868/5], [321492836/95, 70894824/95, 32714332/95]]], 1, 60, [], [] >,
< [ 1, -3, -1, 1 ], [[-11, -6, 11]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[2095, -265/2, -3/2], [3506896824165285011/2140080863, -6664038343576466101/4280161726, -3874515657/4280161726], [11323/454, -851/454, 1/227], [-3996514611/4280161726, 3797220021/4280161726, 2/2140080863]], [[27941599217602, 10896683289562, -106565554235], [95847648647006577522101490453/4280161726, -26608249912903006306984473351/2140080863, -20352779652405661199386450178/2140080863], [75501456049292/227, 28570330874365/227, -620714255126/227], [-27307370602702488075/2140080863, 30323160460579905397/4280161726, 11597169289961167199/2140080863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[882, 441/2, 5/2], [-5074, -1200, 3], [21/2, 5/2, 0], [0, 0, 0]], [[-214095689785, 22261763109, -14320542739], [66546817233781790113457/55642102438, -15546649433245555352401/55642102438, 4614422836542360860765/55642102438], [-3485768875032/2951, 15378460147880/2951, -507644010997/2951], [35453157797/55642102438, 63546670248/27821051219, 1/27821051219]], [[12090676234241531292596271, 10974399222568477755162615/2, -13785620389350086948253897/2], [-1748763730416400944097628261535459855/27821051219, -1982702210780601364416551606301895525/55642102438, 2076530091194842819720307102782439743/55642102438], [-513592345271391302305002741/5902, 1143305730299031961237015443/5902, 2943981515789413146500685/2951], [-5953305304651028939639343/55642102438, 3291892004786262932994205/55642102438, 1072616021152323808867820/27821051219]]], 1, 360, [], [] >,
< [ 1, -3, -1, 1 ], [[9, 2, 1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[75/2, 1/2, 2], [-87/2, 49, 5/2], [75/2, 1/2, 2], [0, 0, 0]], [[-8634350, -632157, -22235], [19044153/2, -18502931/2, -1095710], [-8634374, -632162, -22199], [3/2, 1/2, -2]], [[50523199329/2, 9668944367, -32874601/2], [-28079122595, 19154675655, 24744457527/2], [25261700496, 9668886254, -16562519], [-6105, 2475, 13563/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-79, -1/2, -3/2], [-345/2, -82, 3/2], [-79, -1/2, -3/2], [0, 0, 0]], [[-403960995299/2, 82870936, 930543853/2], [-2223856866814/5, -1951025698847/10, 86703165352/5], [-201980497521, 82870851, 465271908], [-7/5, 9/10, 1/5]], [[-306028176773968355/2, -392611367171296862, -250691436111212915/2], [-2555275960334937983/10, -6329328774024356756/5, -6971822454838038721/10], [-306028176377122263/2, -392611367277030891, -250691436583673781/2], [-21412469/10, 5358417/5, 24978947/10]]], 1, 90, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 2, -10]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-63, 1, -1], [1185/34, -267/17, -11/34], [89/2, -1/3, -1/6], [-21/17, 1/51, -1/51]], [[-4244619/2, -287983, 3693695/2], [24522835/34, 16683012/17, -20088717/34], [2977447/2, 666712/3, -7484027/6], [-1414873/34, -287983/51, 3693695/102]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1007/2, -17, -11/2], [329/2, 3, 5/2], [0, 0, 0]], [[389/2, 3, 3/2], [39999379616757/170, 3991670718084/85, -12215130247501/170], [2349702310519/30, 78273259046/5, -239494378529/10], [389/510, 1/85, 1/170]], [[95397167/2, 8271639, -80031261/2], [4703047158511652793/85, 1093714555361780462/85, -1490110795437529219/85], [276271086316240886/15, 21414615172953348/5, -29116707273542366/5], [95397167/510, 162189/5, -26677087/170]]], 0, 288, [], [] >,
< [ 1, -3, -1, 1 ], [[11, -8, -9]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 11/2, 3/2], [-855/34, -198/17, -97/17], [-85/3, -50/3, -47/6], [-5/51, -5/102, -2/51]], [[-3175/2, 2625, 7975/2], [38509, -14862, -22795], [45834, -57811/3, -87035/3], [325/2, -250/3, -625/6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [181, -3, -1], [59, -1, 0], [0, 0, 0]], [[85, -41/2, 3/2], [-108347/85, 122699/170, 3691/10], [-1048/5, 8363/30, 3679/30], [67/85, 13/510, -1/510]], [[-203378861/2, 52615220, 57913100], [19923107638/85, 348883739949/170, 135018074011/85], [-8142416863/30, 29077125463/30, 25483332419/30], [-293453209/255, 209349364/255, 473347399/510]]], 1, 48, [], [] >,
< [ 1, -3, -1, 1 ], [[11, -8, -9]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-34, 5, -1], [-7/2, 3, 1/2], [-61/2, 2, -3/2], [0, 0, 0]], [[-25939417/2, 266089, 7469359/2], [-32333175/34, -1105727/17, 661773/34], [-36056492/3, 993430/3, 11145652/3], [65/51, 2/51, -1/51]], [[8101238370509/2, 5348067774695/2, 360448712432], [18101804508377/34, -714392591633/2, -7153408236210/17], [21109563149203/6, 18187235348329/6, 2343624245560/3], [-71248915/102, 46633463/102, 27333368/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[43/2, -3, -9/2], [32, 9, 3], [-7/2, -4, -5/2], [0, 0, 0]], [[103303/2, -20053, -5575/2], [14359583/170, -1657004/85, 370061/170], [-164582/15, -916/5, -24839/15], [-28/255, 1/85, -1/255]], [[-23468080, -5009129/2, 6128365/2], [-4476520348/85, 4306152631/170, 5402262103/170], [97559001/10, -92933901/10, -47945229/5], [13119/170, -8259/170, -4866/85]]], 1, 72, [], [] >,
< [ 1, -3, -1, 1 ], [[11, -8, -9]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[175/2, -5/2, 2], [207/2, 92, -1/2], [175/2, -5/2, 2], [0, 0, 0]], [[-268333849/2, 8773837, -46135839/2], [-138783699, -195374740, -73416643/2], [-134166916, 8773828, -23067900], [-1, 1, -3/2]], [[298353205712952, 57335309902580, -130339287510372], [490314824101925, -22625569715115, -227049380744623], [298353186850636, 57335309247156, -130339268555216], [1950652, 326832, -1633280]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 0, -1/2], [-277, 7, 0], [13/2, 0, -1/2], [0, 0, 0]], [[-5994363/2, -81395/2, 32092], [1267080229/10, 3126023/5, 60796814/5], [-14985748/5, -408089/10, 321153/10], [-2/5, 7/5, -3/10]], [[-2784705, -1173045/2, 1740615/2], [237371633/2, 24812738, -74373039/2], [-2784705, -1173045/2, 1740615/2], [0, 0, 0]]], 1, 72, [], [] >,
< [ 1, -3, -1, 1 ], [[9, 6, 1]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-47/2, -98, -5], [-693/26, -1163/13, -87/13], [-177/2, 1/2, -3], [29/26, -1/13, -1/26]], [[-4522475, 34585353/2, 19451387/2], [-108909439/26, 424364103/26, 125126419/13], [3035283/2, 3028522, 4824789], [-367038/13, -169722/13, -973161/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[175/2, 121/2, 1/2], [-668/13, 772/13, 29/26], [-253/4, 8, 215/4], [15/4, 1/26, 5/52]], [[-164263/2, -55874051/2, -18716853], [264965593/26, -543673825/26, -56599876/13], [13783320, -19153115, -23720632], [-6738787/26, -3030842/13, -11704209/26]]], 1, 84, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 2, 6]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -3/2, 3/2], [-2, -11/2, -7/2], [11/2, 3, -5/2], [0, 0, 0]], [[9/2, -5, 5/2], [-94/13, 186/13, -20/13], [11/2, -3/2, 5/2], [11/26, -3/26, 5/26]], [[-686, 882, 588], [-4968/13, 21917/13, 24671/13], [-1323, 1862, 1617], [-1323/13, 1862/13, 1617/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, -59/2, -1], [106/13, -779/26, -55/26], [63/2, -7/2, -57/2], [-22/13, 1/26, -1/13]], [[-1100939/2, 1950351/2, 983929], [-339064, 20885955/26, 21117425/26], [-395215, 1583609, 2374103/2], [-624519/26, 360747/13, 325836/13]]], 0, 168, [], [] >,
< [ 1, -3, -1, 1 ], [[9, 6, 1]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 7/2, -1], [289/26, 45/13, -31/26], [-69/4, -2, 5/4], [-9/52, 0, 1/52]], [[7/2, -48, -77/2], [3/26, -1251/26, -603/13], [47/4, 67/2, 259/4], [1/4, -1/26, 21/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-41, -17/2, 5/2], [-7798/5, 791/10, -87/10], [629/10, -12/5, 3/10], [0, 0, 0]], [[-150902043, -64541091/2, 93942827/2], [-347093684941/65, -5707152083/5, 108004674683/65], [4324010957/20, 462139859/10, -1345527271/20], [-83/52, 5/26, 1/52]], [[-1504588193/2, -158521768, 471064903/2], [-1730223616366/65, -729365419603/130, 1081578426301/130], [21555058657/20, 2271173019/10, -6738173081/20], [-345/52, -7/26, -495/52]]], 1, 42, [], [] >,
< [ 1, -3, -1, 1 ], [[-15, 2, 11]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7415895200, 6886287736, -1], [-1873541512508419505/244054478, 869871112337296639/122027239, 23212318/122027239], [1598923968151/34, -742368259308/17, 329/34], [-15374268909/20744630630, 14276312679/20744630630, -3/20744630630]], [[573256688233583137/2, 606958574248271465/2, 223208088579744940], [72413388049129139728414977/244054478, 38335294248893812152425089/122027239, 56390983959849633962406743/244054478], [-30899636690095521144/17, -65432464336107276307/34, -48125377205589384561/34], [297111890516491011/10372315315, 314579155767778954/10372315315, 231372006270085317/10372315315]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 61, 3/2], [-449, 49, 6], [125/2, 2, -1/2], [0, 0, 0]], [[-132957216790, -609617430109/2, -643603/2], [174926153726128063999/2074463063, 802037448707392376001/4148926126, 1246935618714285/2074463063], [-292896255588895/289, -1342944459474995/578, -76093685/578], [204822526794/176329360355, 469560961386/176329360355, 1/352658720710]], [[2341873376253055553027, 2538186831844875607807/2, 2283707290684912436519/2], [-6162164650995519418775691961667/4148926126, -1669705028716691638256351442402/2074463063, -3004532899920766800351106781649/4148926126], [10317989548773697057869325/578, 5591436449512705481768085/578, 2515417052302158465498835/289], [-3607688364760274596956/176329360355, -1955046944678998912434/176329360355, -1759032650514967972452/176329360355]]], 1, 168, [], [] >,
< [ 1, -3, -1, 1 ], [[9, 6, 1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-157/2, 1, -5/2], [-26, -87, -3], [-157/2, 1, -5/2], [0, 0, 0]], [[-13109002996, -477592944, 226394977], [-9991645429/2, -25610170861/2, -510030111/2], [-26218005965/2, -477592940, 452789945/2], [3/2, 1/2, -1/2]], [[-32872085/2, 121144735/2, 23503270], [-60789867/2, 78434843, 189678829/2], [-32872085/2, 121144735/2, 23503270], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-37, 1/2, -3/2], [-415/2, -47, 9/2], [-37, 1/2, -3/2], [0, 0, 0]], [[16906285169, -764552383/2, 586919807/2], [95105396491, 19596599839, -8714185807/2], [33812570283/2, -764552303/2, 293459904], [3/2, -2, 0]], [[-63150049742818101/2, 21522137814518535/2, 14599679408841072], [-1875832895893227719/10, 275419235713258922/5, 1006717254084158667/10], [-315750248552840169/10, 107610689213042019/10, 72998397221697696/5], [-5376288/5, -2704512/5, -8067216/5]]], 1, 42, [], [] >,
< [ 1, -3, -1, 1 ], [[1, 4, 3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 1, 3/2], [3, 6, 1], [7/2, 1, 3/2], [0, 0, 0]], [[475, 75, -125], [610, 157, -387/2], [957/2, 70, -259/2], [1, 2, 1/2]], [[10103654, -495501/2, -3682145/2], [12110592, 4084923, -4301130], [10176142, -718623/2, -3831303/2], [33415/2, 54735, 2091/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -4, -5], [-14, -4, 9], [4, -4, -5], [0, 0, 0]], [[7989/2, 15419/2, -636], [-27699, -95495/2, 50507/2], [8003/2, 15423/2, -636], [-21/2, 1/2, 1]], [[4903201/2, -96496514, -215313505/2], [605696289/2, -496931835/2, 312254399/2], [2442770, -96600450, -107703950], [73689/2, 161385/2, -9541/2]]], 1, 9, [], [] >,
< [ 1, -3, -1, 1 ], [[1, 4, 3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -1/2, 1], [-45/2, 2, 7/2], [5/2, -1/2, 1], [0, 0, 0]], [[-6570, -911/2, 5737/2], [109451/2, 11947, -17475], [-13137/2, -897/2, 2874], [-1, -1, -1/2]], [[-3/2, 5, -3/2], [-1/2, 3/2, -1/2], [1, -3, 1], [-1/2, 3/2, -1/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, -5/2, 2], [5/2, -2, 13/2], [-11/2, -5/2, 2], [0, 0, 0]], [[-9615/2, -345, 1715/2], [-3749/2, 12111, 681], [-4818, -343, 863], [-5/2, -2, -1]], [[89704878, 104468131, -58440499], [-145929310, 416777735, -320210775], [89947201, 104464723, -58604154], [39334, 122617, 1704]]], 1, 5, [], [] >,
< [ 1, -3, -1, 1 ], [[9, 10, -1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19/2, 3/2, 0], [93/2, -4, 9/2], [-19/2, 3/2, 0], [0, 0, 0]], [[19556337/2, -207363/2, -257643], [-47220120, -9755659/2, -8919877/2], [19556345/2, -207355/2, -257640], [-15/2, 1/2, -1]], [[-5488224330185/2, 1748129155519, 3771437594693/2], [33744124900603/2, -32951603793965/2, -31831418338727/2], [-2744115501740, 1748134645865, 1885723753790], [5053499/2, -4938355/2, -4422541/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, -3/2, -1], [-37/2, 11, -1/2], [17/2, -3/2, -1], [0, 0, 0]], [[1297, -579, 439], [-4260, 13167/2, 851/2], [1288, -588, 434], [16, 3/2, 1/2]], [[1429599419/2, -1003323012, -1191178803/2], [1286631833/2, -5819663315/2, -7934907817/2], [703919272, -985182912, -579251064], [16302975/2, -16285725/2, -14536575/2]]], 0, 150, [], [] >,
< [ 1, -3, -1, 1 ], [[9, 10, -1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-16, 0, -1], [-55, -21, 7], [-16, 0, -1], [0, 0, 0]], [[334410127, -12271717/2, 40104819/2], [2292918965/2, 852659521/2, -151852336], [334410120, -12271743/2, 40104801/2], [15, 5/2, 5/2]], [[2222842162500469/2, -851008256804517, -1475157451318337/2], [7593833857917709/2, -3793261344405211/2, -5699812770097089/2], [1111420999742724, -851008121507511, -737578603805274], [122668637/2, -121836845/2, -108410783/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -79/2, -51/2], [43/2, -109, -201/2], [-2, -79/2, -51/2], [0, 0, 0]], [[3745/2, -64026, -87791/2], [46099, -192132, -326069/2], [1872, -64024, -43895], [1, -2, -5/2]], [[31526408, 6764137, -9808377], [41729661, 8642507, -12833303], [31526172, 6764059, -9808291], [-189, -58, 67]]], 0, 150, [], [] >,
< [ 1, -3, -1, 1 ], [[-6, 0, 4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, -1, 0], [-23/2, -3, -2], [-6, 5/2, 3/2], [0, 0, 0]], [[23553/2, -4811/2, -2003], [-239906/5, 108049/10, 35393/2], [-34331/2, -1235/2, 1949/2], [-7/5, 1/2, -2/5]], [[-86407163/2, 7828159/2, 13018531], [1973611271/10, -782056393/10, -606702504/5], [113171339/2, 25608681, 7020015/2], [19272/5, 11826/5, 2409]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-29/2, 4, 5/2], [-31/2, 3, 9/2], [20, 2, 1], [0, 0, 0]], [[-78447/2, 1619, 8165], [-41747, -2885/2, 10766], [241847/4, 3258, -45817/4], [-7/4, -1/2, -1/4]], [[-914129/2, -334823/2, 294267/2], [-491741, -933889/5, 1329931/10], [3150781/4, 109384, -1407491/4], [-723/20, 241/10, 723/20]]], 1, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, -8, -6]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 9/2, -3/2], [-8, -11/2, -5/2], [9/2, -6, 3/2], [0, 0, 0]], [[2012, 1555, -1187], [28945/2, -413, -14837/2], [-6445/2, -4741/2, 3137/2], [-3/2, -1/2, 1/2]], [[-4597, 850069/2, -493251/2], [11299632/5, -41042153/10, -8042783/2], [75776, -810698, 108177], [-347/10, -114, 13/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 7/2, -3/2], [-3, 1/2, 7/2], [3/2, -5, 3/2], [0, 0, 0]], [[15/2, 4, 1/2], [254, 308/5, -381/5], [23/2, 3/2, -3/2], [23/10, 3/10, -3/10]], [[5002, -9184, -9266], [214349/5, -44924/5, -121533/5], [2870, -2378, -4674], [574, -2378/5, -4674/5]]], 0, 48, [], [] >,
< [ 1, -3, -1, 1 ], [[-6, 0, 4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -1/2, -5/2], [-147/2, -37/2, -14], [3/2, -1/2, -5/2], [0, 0, 0]], [[-186731/2, -7337, 39556], [6404641, 1559514, -1820125], [-186731/2, -7337, 39556], [-1, 23/2, 15/2]], [[0, 0, 0], [0, -3/2, 3/2], [0, 0, 0], [0, -1/2, 1/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, 9/2, 15/2], [-25/2, 41, 71/2], [-11, 9/2, 15/2], [0, 0, 0]], [[-169105/2, 10645, -1318], [106497, -453955/2, -20799], [-84540, 10640, -2635/2], [2, 0, 5/2]], [[-1589092511, -1113310919/2, 283573679/2], [1916302739, -3136918500, -2196057758], [-1588863650, -1113239765/2, 283497215/2], [40887/2, 72216, 108855/2]]], 1, 8, [], [] >,
< [ 1, -3, -1, 1 ], [[3, 10, 3]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1506202963/2, -300536007/2, 2], [221660863383156377/244054478, -44228481728382507/244054478, 170657184/122027239], [-9144288225/17, 3649160067/34, -57/34], [1828857645/4148926126, -364916005/4148926126, 2/2074463063]], [[-9852315/2, -1137483, 2870861/2], [-1449919236387187/244054478, -167398066603141/122027239, 211245610266124/122027239], [59814255/17, 13811515/17, -17429245/17], [-11962851/4148926126, -2762303/4148926126, 3485849/4148926126]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -17/2, -13/2], [51/2, 18, 33/2], [1/2, -7/2, -3], [0, 0, 0]], [[-96190454281/2, -34978552783, -2407/2], [2100795064336417249229/4148926126, 1527862102075812727649/4148926126, 175153786633121/4148926126], [13644437535740/289, 9923285980836/289, -69253/289], [-63759038510/35265872071, -46370496534/35265872071, -1/70531744142]], [[-15999711046302845000, -1233265269943634365, 8380548436085064310], [698865787108702002441994475957/4148926126, 53870056930266689078273296083/4148926126, -183031135262449493088748259256/2074463063], [4539058515891382444868/289, 349873404191983290987/289, -2377530712134928981279/289], [-21210547932993241868/35265872071, -3269858185513092939/70531744142, 22219916035866981743/70531744142]]], 1, 72, [], [] >,
< [ 1, -3, -1, 1 ], [[9, -8, -5]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1791/2, -599/2, -4], [3439090771169940001/4280161726, 4634498678106688691/2140080863, -3069026637/4280161726], [-2420/227, -1561/454, -3/454], [-1959619541/4280161726, -2640772621/2140080863, -5/4280161726]], [[-6133014645738, 1660150645428, 2239296727086], [33016122828265354970630539207/4280161726, 8746249204097111132463239444/2140080863, -20349359966554712315488943546/2140080863], [-16503174839910/227, 4471124491212/227, 5927638030086/227], [-9406417263388066621/2140080863, -9967360207588796869/4280161726, 11595219869842165210/2140080863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2987/2, 235/2, 1], [-1933748/227, -128140/227, -669/227], [4036/227, 539/454, -1/454], [0, 0, 0]], [[-1581220777704, -160669874675, 196438308011], [524626993207466161165637/55642102438, 46424019613943061158019/55642102438, -31008268464854435056239/27821051219], [-53962336205937/2951, -5270991843289/2951, 6881404297746/2951], [75276707981/27821051219, -4107347789/55642102438, 3/55642102438]], [[135024659210552331627005856, -19341128208811317465978608, -108042555677283344621909408], [-754664489571751514482764180723975263/943086482, 50155439245536507139084818168465340/471543241, 305196263758460840197058929318320307/471543241], [4566287987458309592356729904/2951, -571131797432562316853448118/2951, -3605369607342373809911075340/2951], [-112446266246087249331288/471543241, 51813146103841517638131/943086482, 117402428972358398051379/471543241]]], 1, 108, [], [] >,
< [ 1, -3, -1, 1 ], [[33, -10, -27]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-32587, -1301/2, -7/2], [2126834786606565255/4280161726, -9813264171438508995/4280161726, 13933966631/4280161726], [-176125/454, -1419/454, -1/227], [-1211863989/4280161726, 2795836505/2140080863, -1/2140080863]], [[227575991754349000, 40917405474053430, -77775970862865310], [4225579690629353212581825038580/2140080863, -4220164134879512469102274234683/4280161726, -2910482081519640489023925125310/2140080863], [612508805071122330/227, 110747306480093430/227, -209010502262947280/227], [-2407846528173771468462/2140080863, 1202326592935650392337/2140080863, 3316883708423266081641/4280161726]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4536, -222, -2], [25857, 952, -2], [-54, -2, 0], [0, 0, 0]], [[-1086253862595/2, -165928325695/2, -48001176960], [86538368075999673381478/27821051219, 16289200174706601160572/27821051219, 14741471908954790504813/55642102438], [-23450338070110/2951, -129000040791745/5902, -3271121353635/5902], [11448159867/55642102438, 162818959525/55642102438, 3/55642102438]], [[5231145153325692247475891425/2, 116174077222041503140603435/2, -1235130714957286034760990865], [-422034367359436558522754862926096638768/27821051219, -6434992074189009196409407974866811883/27821051219, 200304968915280260543699351400510187562/27821051219], [224739409758606651466624172995/2951, -129775519067346147731601761795/5902, -271070636891683861596352432895/5902], [-175477221451882231579223139/27821051219, 88648811792078161702073577/27821051219, 121875324932342208982004943/27821051219]]], 1, 2160, [], [] >,
< [ 1, -3, -1, 1 ], [[13, 8, 7]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4571891852, -6432515915, -8], [-1345647996144750099/244054478, -1893286713917259745/244054478, -1280833633/244054478], [865998125177/34, 609216805548/17, 407/34], [-5551270037/2074463063, -7810471866/2074463063, -5/4148926126]], [[-96758239724922957250, 24302089902273924413/2, 71281298592051237031/2], [-14239458773679549388901741385/122027239, 1788212578723610556755759959/122027239, 5245068098989351998449179655/122027239], [18327741941567847566479/34, -2301625316957319161627/34, -3375488354278740310598/17], [-234971050629793251541/4148926126, 14754008424315130086/2074463063, 86550983487317605941/4148926126]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -11/2, 1], [91/2, -15, 13/2], [-4, 3/2, -1/2], [0, 0, 0]], [[66505087480, -13301002649, -1779], [-523837220742, 209534794625/2, 27505/2], [111044806446, -22208957812, -1467], [5/2, -1/2, 0]], [[-387170612454747867411387/2, 19050728515267941585116, 137866534241305017959529/2], [3163148290880920415809542292871140/2074463063, -622570533383140337477788177552945/4148926126, -1126356698971647666527698904113743/2074463063], [-93414346116085196434873915/289, 9192901185506311130320410/289, 33263653663870160403356777/289], [-513265547012763810124923/70531744142, 25255220836350833801923/35265872071, 91383646489572919462541/35265872071]]], 1, 1008, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -14, -6]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19, -7/2, -7/2], [-20, -51/2, -33/2], [-55/2, -2, 3/2], [0, 0, 0]], [[-136661/2, -2356, 32987/2], [104001, 166422/5, -51789/5], [106011, 11781, -47117/2], [-9/5, 1/5, 3/10]], [[-45945/2, -45948, -61265/2], [3069521/5, -1382153, -6008509/5], [306271/2, -444109/2, -413481/2], [-9/10, -3/10, -3/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 2, -2], [-77, -7, 2], [-6, -4, 2], [0, 0, 0]], [[113893/2, -44195/2, -6148], [-6010957/10, -9835489/10, 1275593/5], [-79483, 4083, -5709], [7/10, -2/5, 1/2]], [[4471026859/2, -31756620, -1199391531/2], [-160051097284/5, -23514980317, 34509512946/5], [-6478606021/2, -1590837569/2, 744577777/2], [246091/10, 65727/10, 70417/10]]], 0, 120, [], [] >,
< [ 1, -3, -1, 1 ], [[-11, 2, 5]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-23, 15/2, 7/2], [-17, 5/2, 51/2], [63/2, 2, 5/2], [0, 0, 0]], [[-5561315, -2021267/2, 1665574], [-18704989/5, -4179632/5, 2780233/2], [35208443/4, 1755915, -10343467/4], [-17/20, 1/2, 3/20]], [[-72228244875, -16937732988, 22014980343], [-226733735038/5, -100673159694/5, 6370991983], [117363965730, 20909412834, -40058291838], [-22386/5, -12870, -25116/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -3, 3/2], [13, -3, -7/2], [4, -3/2, -1/2], [0, 0, 0]], [[-4801/2, 16053/2, -13021/2], [-193949/5, 233499/10, 94487/5], [-22707/2, 14669/2, 4975/2], [4/5, 2/5, 1/2]], [[1011864371/2, -3670525733/2, -1122718723/2], [-88594714891/10, 45863594481/10, 81491087997/10], [-4435632635/2, 492472967/2, 1709896923], [93730, 1754116/5, 763308/5]]], 1, 60, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -14, -6]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 11, 15/2], [31/2, 11, 7/2], [33, 2, 4], [0, 0, 0]], [[-2771334, -572913, 885842], [-21071927/5, -885615, 6652668/5], [-14856261/2, -1604921, 4689163/2], [-17/10, -2/5, 1/10]], [[10573907/2, 2234099/2, -1692552], [8044907, 3419917/2, -5083545/2], [14168256, 3141816, -9004237/2], [7/2, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, -5/2, 2], [-27/2, 13/2, 1], [11/2, 4, -5/2], [0, 0, 0]], [[35069/2, -5063, -8543/2], [221824/5, 54583/5, -227117/5], [-21489, -17739/2, -5390], [-9/5, 1/10, 0]], [[-1068374521, 545878863, 456150695], [-17696772662/5, 10938383004/5, 4912304274], [1361292707/2, 3511404525/2, 1389554051], [870957/10, 48645/2, 131976/5]]], 0, 120, [], [] >,
< [ 1, -3, -1, 1 ], [[-11, 2, 5]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-14, 7/2, 5/2], [-17, -1/2, 13/2], [39/2, 2, 1/2], [0, 0, 0]], [[-3707112, 392935/2, 753070], [-22869764/5, -3635507/5, 2875827/2], [22846627/4, 254669, -4220015/4], [43/20, 1/2, 3/20]], [[8642726078, 2814684817, -3671283056], [59396675287/5, 8243804019/5, -22698186326/5], [-12757768924, -6898676518, 3258567697], [-14547/5, -43641/5, -3357]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-37/2, 5, 3], [-9/2, 32, 19], [26, 3/2, 1/2], [0, 0, 0]], [[4743163/2, -2303753/2, -1033167/2], [3475029, -22580585/2, -8497031], [-5116249/2, -1363205, -1481912], [0, -1/2, 0]], [[2202031476, -160058915/2, -1881692271/2], [30200964227/10, -101115738721/10, -40707146028/5], [-2442346630, -5164439571/2, -780557159], [-837/10, -2341/10, -181/2]]], 1, 60, [], [] >,
< [ 1, -3, -1, 1 ], [[-11, 2, 5]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 25/2, -3/2], [131/10, 13, 1/10], [-41/4, -7/2, -3/4], [-49/20, 1/10, -3/20]], [[-635/2, 845/2, 357], [-37533/10, 2549/10, 9327/5], [4863/2, 9/2, -1125], [2514/5, 419/10, -419/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21, -7, -3], [27, -23, -62], [-29, -1, -2], [0, 0, 0]], [[535806140, 234541859/2, -335468115/2], [4015713983/10, 408311148/5, -1197817329/10], [-3413660367/4, -371186423/2, 1068583315/4], [9/20, 1/10, -1/4]], [[-568340411679/2, -61665086586, 178072618849/2], [-1082752583932/5, -341141319929/10, 722159026219/10], [1807731482695/4, 198692539545/2, -561565744795/4], [-2123/20, -3861/10, -3289/20]]], 1, 30, [], [] >,
< [ 1, -3, -1, 1 ], [[-11, 2, 5]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[31/2, -5/2, -3], [15/2, 29/2, -19], [-45/2, -2, 3/2], [0, 0, 0]], [[-605785/2, -130375/2, 93812], [-2111581/10, -52205, 620429/10], [1933459/4, 201929/2, -607377/4], [19/20, -1/10, 3/20]], [[-45040599/2, -9490041/2, 7076476], [-32600313/2, -2242249, 11697953/2], [142529135/4, 8120130, -43115975/4], [307/4, 0, -307/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[27/2, -7/2, -3], [17/2, 1/2, 5], [-35/2, -5, -5/2], [0, 0, 0]], [[873318, 180271, -268787], [3297336/5, 659816/5, -998901/5], [-2778735/2, -290325, 855045/2], [-23/10, -1/5, 1/10]], [[24362894907, 10552499983/2, -15312405335/2], [182726478273/10, 21250750627/5, -11270678443/2], [-154767530373/4, -8638093345, 47801825987/4], [-627813/20, -98197, -795293/20]]], 1, 30, [], [] >,
< [ 1, -3, -1, 1 ], [[6, 2, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 2, -1/2], [118, 43/2, 5/2], [1, 2, -1/2], [0, 0, 0]], [[600120, -1750, -15960], [83905033/2, 43143587/2, -12309078], [600120, -1750, -15960], [-3/2, 5/2, 1]], [[-328823221320, -69017921280, 94049667360], [-25923008157762, -12387114333583/2, 15821673850821/2], [-328823221320, -69017921280, 94049667360], [395466, -137731/2, -355623/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 1/2, 0], [159/2, -2, 7/2], [-3/2, 1/2, 0], [0, 0, 0]], [[7/2, -8, -19/2], [221/2, -20, -195/2], [15/2, -5, -25/2], [3/2, -1, -5/2]], [[-16445/2, 18700, 12210], [-1274399, -223035/2, 449666], [-69575, 11275, 59675/2], [-13915, 2255, 11935/2]]], 1, 40, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -3, 3/2], [10, -9, 6], [5/2, -3, 3/2], [0, 0, 0]], [[-665, -2242, -931], [-2014, -12686, -6651], [-665, -2242, -931], [-2, -4, -1]], [[370880, 103360, -196992], [3487927/2, 298635, -1882781/2], [370880, 103360, -196992], [1649/2, 323, -867/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 3, -1], [-11, 6, 1], [2, 3, -1], [0, 0, 0]], [[2, -4, 4], [13/2, -13, 27/2], [2, -4, 4], [-5/2, -5, 1/2]], [[15/2, -15, 5/2], [25, -50, 8], [15/2, -15, 5/2], [-10, -5, 7]]], 0, 32, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 3, -5/2], [-10, 12, -17], [3/2, 3, -5/2], [0, 0, 0]], [[-3612, -9202, 7052], [58729/2, -42050, 95861/2], [-3612, -9202, 7052], [-13/2, 0, -5/2]], [[13717946, 4889659, -6351659], [-50452701, -5459078, -6941777], [13717946, 4889659, -6351659], [16064, 4016, -3012]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, -1, -3/2], [7, 12, -4], [-7/2, -1, -3/2], [0, 0, 0]], [[-20, 77, -31], [-165/2, 276, -223/2], [-20, 77, -31], [-9/2, 0, 1/2]], [[-10507/2, 18881, -15089/2], [-17777, 68649, -28175], [-10507/2, 18881, -15089/2], [432, 360, -336]]], 0, 32, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, 0, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -4, 5/2], [4, -5, 8], [1/2, -4, 5/2], [0, 0, 0]], [[-606, -244, 107/2], [9309/2, -226, -2408], [-1213/2, -243, 61], [-1/2, 1/2, -3/2]], [[-1999858, -476971, 596245], [13095898, 2448341, -4300655], [-1999076, -474353, 596891], [-1292, -799, 289]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -5, -9/2], [17, -31, -35], [5/2, -5, -9/2], [0, 0, 0]], [[79/2, 21/2, -16], [1583/2, -1703, 1193/2], [79/2, 21/2, -16], [0, 0, 0]], [[0, -1, -1/2], [-1/2, -3, -3/2], [0, -1, -1/2], [-1/2, -1/2, 0]]], 1, 2, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 0, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, 3, 4], [-13, 56, 45], [0, 0, 0]], [[-71/2, -41, -7/2], [127507/2, -29113/5, -200363/10], [-82809/2, -275585/2, -87645], [-73/10, -3/10, -1/5]], [[-1712005/2, -1161186, 1295169/2], [17638217821/10, -5625984121/5, 245423427/2], [-4810436971/2, 1409120203/2, -184071773], [-2664773/10, 640141/2, -476384/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 7, 2], [-20, 60, 50], [0, 0, 0]], [[-13, -20, -3], [-323/5, -362/5, 341/5], [-332, 221, 277], [-3, 1/5, -2/5]], [[13825/2, 0, -2765/2], [69351/2, -22467, 5739/2], [155439/2, 46223/2, -28910], [1659/2, 1659/2, -553]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 0, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9, 3, -18], [-3, 2, -5], [0, 0, 0]], [[-39, -41, -2], [350709/5, 108558/5, 582458/5], [23020, -1081, 31586], [-39/5, -2/5, 0]], [[348381/2, 26367, -127347/2], [-3190414931/10, 123023864/5, 1268480053/10], [-185039409/2, 11716395/2, 34869457], [264231/10, 40953/10, -8415]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, 1, 4], [9, 4, -3], [0, 0, 0]], [[13/2, 10, 3/2], [-34537/10, -3709/5, 13039/10], [-12019/2, -2389/2, 1861], [3/2, -1/10, 1/5]], [[-4897, -8466, -2905], [14059961/5, 2215181/5, -5204391/5], [4805581, 982188, -1509161], [-5229/5, -2241/5, -332/5]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 2, 2]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [-1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[-21/2, 11/2, -7/2], [-4, -3, -9/2], [-37/4, -9/2, -19/4], [-5/4, 0, -1/4]], [[2294, -868, -992], [8776/5, -7519/5, -7931/5], [3131, -1798, -2325], [1581/5, -496/5, -837/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [-1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[-9, 6, -7/2], [24/5, 111/10, 33/5], [-31/4, -3, -17/4], [-21/20, 1/10, -1/4]], [[-102459, -52521/2, 24395], [1098537/10, 315922/5, -34528/5], [-477281/4, -46494, 82943/4], [-283269/20, -41041/10, 13489/4]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, -4, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [-1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[21/2, 7/2, -4], [-18, -19/10, 83/10], [-5/2, 1, 0], [9/5, -1/5, -3/10]], [[-55/2, -11/2, 11], [314/5, -401/10, -115/2], [11/2, 0, 0], [-22/5, 0, 11/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [1/2, 1, 1/2], [1, 0, 0], [0, 0, 0]], [[-9, -33/2, -7/2], [51/10, 33/2, -2/5], [11/2, -15/2, -7/2], [-11/5, 1/10, -2/5]], [[-31005, -145485, -2385], [-11660, 227474, -53951], [93015/2, -102555, 7155/2], [-34821/2, 21942, -22419/2]]], 0, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, -4, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 5/2, 5/2], [-8, 15/2, -1/2], [7/2, 3, -1/2], [0, 0, 0]], [[596, -326, 166], [19257/5, -43516/5, 16289/5], [-893, -1089, 762], [-27/5, -1/5, 0]], [[111080, -5448, -139792], [-193602/5, 5948612/5, -2971566/5], [-222967, 50281/2, -46165/2], [-1251, 3753/10, 11259/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -2, -4], [-11, 2, -1], [-2, 0, -2], [0, 0, 0]], [[14805/2, 2925/2, -1305], [-779913/10, -202929/10, 26420], [-16278, -4635, 6097], [-21/10, 0, -1/10]], [[-140328, 102186, 177696], [4704444/5, 638874/5, -767384/5], [357443/2, 129133/2, 36865], [503/10, -503/10, -503/5]]], 0, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, -4, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, -1, -3/2], [-12, -8, -1], [-13/2, -1, -3/2], [0, 0, 0]], [[-12789, -1566, 957], [-50361/2, -18325/2, 4223], [-12789, -1566, 957], [-3/2, -5/2, -2]], [[2855050, -1760300, 482850], [4755311, 1627339/2, -1571265/2], [2855050, -1760300, 482850], [477, -477/2, 795/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [0, 3, 2], [0, 0, 0]], [[-2, -10, -3], [-109/2, 8, -45/2], [-2, -10, -3], [-9/2, 2, -5/2]], [[8281/2, 319410, 306397/2], [1035557, 470071/2, 1622839/2], [8281/2, 319410, 306397/2], [85176, -17745/2, 162071/2]]], 0, 32, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 2, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 2, -2], [12, -2, -4], [3, 2, -2], [0, 0, 0]], [[17/2, -26, -13/2], [47/2, -24, -38], [11, -28, 0], [-5/2, 1, -1]], [[116677/2, -345225/2, -57689], [285741/2, -203960, -532535/2], [131725/2, -352065/2, -11975], [-10659, 4845, -7980]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 1/2, 1/2], [63/2, 2, -5/2], [-2, 1/2, 1/2], [0, 0, 0]], [[140, -4, -60], [-4263/2, -1691/2, 311], [140, -4, -60], [-5/2, 1/2, 2]], [[-38, -1404, 782], [835, 22801, -8584], [-38, -1404, 782], [39, -117, 39]]], 1, 6, [], [] >,
< [ 1, -3, -1, 1 ], [[12, -8, -4]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 4, -6], [-7, 1, -2], [0, 0, 0]], [[0, 0, 0], [140343/13, -518314/13, 206107/13], [8355, -56379/2, 22029/2], [-69/13, -3/26, -3/26]], [[0, 0, 0], [-186/13, -32/13, 62/13], [10, 3/2, -7/2], [10/13, 3/26, -7/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 3, 3], [-4, 24, 20], [0, 0, 0]], [[0, 0, 0], [2147/13, -307/13, -84], [367/2, -1285/2, -495], [129/26, 3/26, 2/13]], [[0, 0, 0], [-120406802/13, -5630218/13, 27427632/13], [2758709, 4936696, -3571477], [-5598640/13, 5553970/13, -104230]]], 0, 192, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 2, 4]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -4, 2], [-5, 1, -1], [6, -5, 1], [0, 0, 0]], [[39/2, -9/2, -20], [405/2, -833/2, -366], [-69/2, -4, -1/2], [0, 0, 0]], [[1/2, -1/2, 0], [41/26, -10/13, -43/26], [3/4, -1/2, -1/4], [3/52, -1/26, -1/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-27/2, 23/2, 1], [87/2, 91/2, 3], [7/2, -4, -1/2], [0, 0, 0]], [[545706, -10792, -67308], [-15786739/5, -2034571/5, 6398432/5], [-610884/5, 23714/5, 17182/5], [0, 0, 0]], [[1/2, -1/2, 0], [119/26, -36/13, -69/26], [3/4, -1/2, -1/4], [3/52, -1/26, -1/52]]], 1, 6, [], [] >,
< [ 1, -3, -1, 1 ], [[8, -4, -8]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, -26, -14], [-4, -5, -1], [0, 0, 0]], [[0, 0, 0], [-255123/26, 1692749/13, 735993/26], [30291/2, 23246, -28], [-51/26, 1/13, 1/13]], [[0, 0, 0], [-1388952553/26, -4210169516/13, 5078109095/26], [-153957771/2, -58774977, 49029039], [227979/26, -37449/13, -657]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-46/5, 121/5, 78/5], [79/5, -199/5, -172/5], [0, 0, 0]], [[0, 0, 0], [-2553/130, 204/65, 7119/130], [2/5, -602/5, -927/10], [2, -2/13, 3/26]], [[0, 0, 0], [70889187/65, 1845071/5, -26126596/65], [19427224/5, 3993356/5, -5961002/5], [-2161340/13, -417640/13, 651370/13]]], 0, 48, [], [] >,
< [ 1, -3, -1, 1 ], [[8, -4, -8]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [-1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[-5/2, -1, 1/2], [-6, 100/13, 3/13], [-4, -2, 1/2], [-4/13, -2/13, 1/26]], [[0, 0, 0], [-3, 12, -5], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -2, -5/2], [-677/10, -134/5, -159/10], [-11/5, -4/5, -2/5], [0, 0, 0]], [[-72755/2, 63100, -64869/2], [-96297091/65, 80807381/65, -25501982/65], [-467329/10, 185377/5, -55169/5], [85/26, 2/13, 1/13]], [[-3942535737/2, 2952927425, 110947319/2], [-1943950071839/26, 605491162400/13, 168518424981/26], [-2355943471, 1365582911, 219624027], [2644040/13, -819280/13, -1169336/13]]], 0, 48, [], [] >,
< [ 1, -3, -1, 1 ], [[8, -4, -8]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [-1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[-21/2, 2, 1/2], [-24, -354/13, 103/13], [-16, -3/2, 2], [-16/13, -3/26, 2/13]], [[-693/2, 0, 231/2], [-15319/13, 1163/13, 9273/13], [-1155/2, 0, 231], [-1155/26, 0, 231/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 6, 11/2], [1677/10, 364/5, 139/10], [31/5, 14/5, 2/5], [0, 0, 0]], [[-502, 1744, 671], [-34991/13, 307949/13, 37743/13], [-73, 812, 122], [10/13, -1/13, 0]], [[-115905/2, 99789, 53427/2], [-103044081/65, 86109646/65, 20212928/65], [-588389/10, 429689/10, 139127/10], [-4141/26, -123/2, 1763/26]]], 0, 48, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -8, -8]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [-6936994765788434810/122027239, -6528292517343761265/244054478, -3802296387/244054478], [113849863047/17, 53571123633/17, 4/17], [-113849863047/20744630630, -53571123633/20744630630, -2/10372315315]], [[0, 0, 0], [31633743771128736909548153882/122027239, 7803848621348264173978684560/122027239, -10275252779817803082888278335/122027239], [-519172569273560150658/17, -128076656633282772852/17, 168637307814744307564/17], [259586284636780075329/10372315315, 64038328316641386426/10372315315, -84318653907372153782/10372315315]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -48, -32], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [-2991298000093197816524/2074463063, -5964702682990346137325/4148926126, 16493129243/4148926126], [89557101426031/289, 89289245536819/289, -548/289], [-653701470263/352658720710, -651746317787/352658720710, 2/176329360355]], [[0, 0, 0], [-22753996279772867756956347167589/2074463063, 11494930900739406930079954789917/4148926126, 20067262414419330935396192093547/4148926126], [681236691460124296004741/289, -172074579794644229983901/289, -300398999922291956052698/289], [-4972530594599447416093/352658720710, 1256018830617841094773/352658720710, 1096346715044861153477/176329360355]]], 0, 192, [], [] >,
< [ 1, -3, -1, 1 ], [[8, -4, -8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -30, -20], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [181/2, 19, -29/2], [0, 0, 0], [7/2, 2, -5/2]], [[0, 0, 0], [-90026, -129013/2, 37769/2], [0, 0, 0], [-5644, 6953/2, 2907/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 126, 84], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [806, -103/2, -121/2], [-12, 2, 2], [-3, 1/2, 1/2]], [[0, 0, 0], [-28372932/5, -60373063/5, -70515244/5], [1022448/5, -705768/5, -340284/5], [255612/5, -176442/5, -85071/5]]], 0, 80, [], [] >,
< [ 1, -3, -1, 1 ], [[-20, 0, 12]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-528/17, 750/17, 110/17], [-46, 1, -1], [46/17, -1/17, 1/17]], [[0, 0, 0], [2989339/17, 1575421/17, -1757702/17], [1497353/3, 489307/3, -169234], [-1497353/51, -489307/51, 169234/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [13647/85, -531/5, -5016/85], [268/5, -64/15, -4/5], [-67/85, 16/255, 1/85]], [[0, 0, 0], [843836382/17, 181494674/17, -263807162/17], [63790672/3, 13771868/3, -6623892], [-15947668/51, -3442967/51, 1655973/17]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 4, 0]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[59/2, -1/2, -2], [-201/34, 159/34, 0], [-61/6, -1/6, 2/3], [61/102, 1/102, -2/51]], [[-2968, 2180, -992], [14024/17, -27420/17, 7316/17], [2015/2, -2015/3, 2015/6], [-2015/34, 2015/51, -2015/102]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 0, 0], [1, 0, 0], [0, 0, 0]], [[-225, -35/2, -5/2], [-17263/17, -3183/34, -437/34], [14, 7/6, 1/6], [-14/17, -7/102, -1/102]], [[42178, 84019, -482], [16176984/85, 32480731/85, 272668/85], [-26233/10, -26231/5, 7/30], [26233/170, 1543/5, -7/510]]], 1, 8, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -8, 0]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-193/2, -2, -1/2], [583/34, -386/17, -1/2], [-383/6, -271/3, 1/6], [-193/102, -2/51, -1/102]], [[997612, 48664, -170324], [-2311540/17, 1800568/17, 24332/17], [2446679/3, 1442039/3, -702466/3], [997612/51, 48664/51, -170324/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 10, 31], [0, 11, 3], [0, 0, 0]], [[-329, -11, 2], [11666277/85, -2648482/85, 1183124/85], [-997516/15, 199301/15, 227473/15], [-329/255, -11/255, 2/255]], [[-189116681/2, -19209242, 57361603/2], [6254019235653/170, 602245981716/85, -1866323485979/170], [-520555353199/30, -52171499548/15, 159358274447/30], [-189116681/510, -19209242/255, 57361603/510]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -8, 0]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [3/17, 2/17, -8/17], [1/3, 2/3, 0], [-1/51, -2/51, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [2756/85, 754/85, 1177/85], [172/15, -22/15, -1/15], [-172/255, 22/255, 1/255]], [[0, 0, 0], [-107836708/85, -22908732/85, 33104544/85], [-1912452/5, -402938/5, 1771123/15], [1912452/85, 402938/85, -1771123/255]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -8, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 7, 5], [-82, -2, 1], [0, 0, 0]], [[0, 0, 0], [-11971/2, -2313/2, -4628], [730842, 487224, -365415], [-3/2, -1/2, 0]], [[0, 0, 0], [105785/2, 31509/2, -33037], [-6821180, -487240, 1705310], [25/2, 5/2, -5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-41, 6, -11], [-37, 1, -3], [0, 0, 0]], [[0, 0, 0], [123361527/10, -55447347/10, 32441152/5], [54366406/5, -13134166/5, 14612672/5], [43/10, 17/10, -2/5]], [[0, 0, 0], [-217094347307/5, -521005096143/5, 577523636176/5], [-229647101032/5, -336832100928/5, 382756988616/5], [-146468/5, 348/5, 88584/5]]], 0, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[20, -8, -12]], [ -19, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, -3, 2], [11, 3, 4], [0, 0, 0]], [[0, 0, 0], [336099/19, -399754/19, 144023/19], [68274, -10518, 479], [-80/19, -2/19, 1/19]], [[0, 0, 0], [-20933409, 36864877/19, 156556394/19], [-113216219, 4194468, 51049839], [143871/19, -14322/19, -72261/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 5, -5], [52, 4, 4], [0, 0, 0]], [[0, 0, 0], [-804443/19, 98438/19, -155505/19], [-1635444/5, -183331/5, 1308097/5], [246/95, 4/95, 2/95]], [[0, 0, 0], [-988498060/19, 241245756/19, 481589944/19], [-248670969, -290609562, -52105404], [58476/19, -5316/19, -1329]]], 0, 288, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, 0, 12]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32073/227, 19988/227, 323/227], [-1308/227, -795/227, -4/227], [0, 0, 0]], [[0, 0, 0], [8314106195691361739/4280161726, 4295281225824758254/2140080863, 33829590892081081/4280161726], [22834394/227, 165667656/227, -77338514/227], [-4744270163/4280161726, -2467958684/2140080863, 1/4280161726]], [[0, 0, 0], [1219294532129236675095498620/36272557, -2543351936133333522421463373/72545114, -1596178114590439211039770445/72545114], [2034313125045284160/227, -5432618059962797484/227, 1982612914093795500/227], [-1398160355101366843/72545114, 1471780105241948299/72545114, 450680186114071578/36272557]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [233063/227, -162998/227, -2139/227], [-508/227, 341/227, 4/227], [0, 0, 0]], [[0, 0, 0], [29395244588181635449909/55642102438, 6529246876897024024296/27821051219, 208779468011683/55642102438], [-322308039858/2951, -143290666986/2951, 508134/2951], [107468151587/55642102438, 23868767314/27821051219, -1/55642102438]], [[0, 0, 0], [-569740017226064077/27821051219, -2259967308162600653/55642102438, -1549611246578957697/55642102438], [12497361/2951, 24786417/2951, 16995516/2951], [-4165787/55642102438, -8262139/55642102438, -2832586/27821051219]]], 0, 288, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 4, 4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -30, -20], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [783/2, -29, -13/2], [0, 0, 0], [-5/2, 2, 1/2]], [[0, 0, 0], [-65164679/2, -23699595/2, 4270285], [0, 0, 0], [416575/2, -158925/2, -121775]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -30, -20], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [6157/10, -877/10, -83/5], [0, 0, 0], [31/10, 9/10, 1/5]], [[0, 0, 0], [356010797/5, -70636457/5, -118617806/5], [0, 0, 0], [2284086/5, -909216/5, -1370838/5]]], 0, 80, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, 4, 4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 18, 12], [0, 3, 2], [0, 0, 0]], [[-4, -7, -1], [105, -6, -10], [-4, -7, -1], [-5, 1, -1]], [[3675/2, -15834, -24717/2], [51595, 118043/2, -3945/2], [3675/2, -15834, -24717/2], [-819, -14091/2, -5313/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 1, 3/2], [186, 23, 28], [-5/2, 1, 3/2], [0, 0, 0]], [[-75915/2, 1920, 795/2], [4842407, -4240319, 555581], [-75915/2, 1920, 795/2], [-7, -2, -1]], [[26364335, 51094365, -5549280], [-2308864201, -13974254813/2, 9996942387/2], [26364335, 51094365, -5549280], [3542, 30107/2, 8349/2]]], 0, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[6, -2, -2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -2, 2], [-57, 44, -25], [5, -2, 2], [0, 0, 0]], [[69726, 14681/2, -10845/2], [-727317, 51281/2, 84569/2], [69727, 14693/2, -10857/2], [-3/2, -5/2, 2]], [[-4984846699/2, 1218964655, 3448953539/2], [23962154301, -9978531666, -28599473337/2], [-2492326592, 1218526610, 1724242072], [23997, 98268, 44973/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 1/2, -1], [-23/2, -10, 41/2], [7/2, 1/2, -1], [0, 0, 0]], [[-7/2, 13, 21/2], [-341/2, 605/2, 317/2], [0, 0, 0], [1/2, 5/2, 3/2]], [[-85, 395, 210], [33293/2, -71980, 71699/2], [0, 0, 0], [47/2, 89, 39/2]]], 1, 12, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, -8, -4]], [ -5, 0, 0 ], [ 1, -11, -8 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -3, 5], [4, 10, 2], [0, 0, 0]], [[0, 0, 0], [139284, 327629, -158560], [175610, -15181/2, -10473/2], [-3/5, 1/10, -3/10]], [[0, 0, 0], [-2066479866/5, -358032924/5, 528181443/5], [-611171229/2, -180867683/2, 86926050], [9867/10, 5037/10, -897/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [11, -41, -30], [-16, 26, 24], [0, 0, 0]], [[0, 0, 0], [-2669084/25, 3762904/25, 4891847/25], [18301/5, -1359747/10, -1077271/10], [19/25, 27/50, 1/50]], [[0, 0, 0], [-1699457468/5, 4956866068/5, -1923649991/5], [6602847, -665672589/2, 304041853/2], [7463/5, 3629/10, -4843/10]]], 0, 384, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, -13, -12], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [-61/2, -33/2, -8], [0, 0, 0], [-1/2, 3/2, 0]], [[0, 0, 0], [-39, -9, 12], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, 23, 12], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [-4/5, 163/10, 59/10], [16/5, -6/5, 2/5], [4/5, -3/10, 1/10]], [[0, 0, 0], [1974/5, -2909/5, -2417/5], [464/5, 176/5, -312/5], [116/5, 44/5, -78/5]]], 0, 112, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 4, 8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 30, 20], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [199, 9/2, 5/2], [0, 0, 0], [4, 3/2, 1/2]], [[0, 0, 0], [-6735587, 9919009, -517122], [0, 0, 0], [-150696, 199916, 54188]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 30, 20], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [4719/10, 5811/10, -701/5], [0, 0, 0], [-23/10, -17/10, 2/5]], [[0, 0, 0], [-41750646/5, 84167741/5, -6619557/5], [0, 0, 0], [126132/5, -165692/5, -39606/5]]], 0, 144, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -12, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -78, -52], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [1117/2, 59, 89/2], [0, 0, 0], [-17/2, -2, -3/2]], [[0, 0, 0], [463349145/2, -73429179/2, 46418313], [0, 0, 0], [-7039543/2, 245833/2, -1057203]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 294, 196], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [10659/10, 998/5, -447/10], [-2/5, -28/5, 6/5], [1/10, 7/5, -3/10]], [[0, 0, 0], [-160555642/5, -154207241/10, 74569727/10], [316632/5, -2442/5, 107094/5], [-79158/5, 1221/10, -53547/10]]], 0, 128, [], [] >,
< [ 1, -3, -1, 1 ], [[36, -20, -20]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [297, 2, 3], [-156, -5, 2], [0, 0, 0]], [[0, 0, 0], [-759317427026, 52080707197/2, -21264079007/2], [398463626555, -2434449215, -3708271750], [-2, 1/2, -3/2]], [[0, 0, 0], [35424822138542173051, 10193825234636835495, -7918594950137079406], [-18737267000903163221, -5336989802442250734, 4291671852615307073], [84191166, 49469654, 4909372]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-659, -11, -12], [10, 3, 4], [0, 0, 0]], [[0, 0, 0], [531431261447/2, -18960428221/2, -33196417470], [-4440748937, 33264629, 26071000], [9/2, 5/2, 0]], [[0, 0, 0], [5007889659129308998/5, -757775146058871968/5, -320866253873052344/5], [-84008116876101328/5, 12084416262455098/5, -6534618097432316/5], [81106632/5, 47694963/5, 4758279/5]]], 0, 3840, [], [] >,
< [ 1, -3, -1, 1 ], [[28, 0, -24]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, -2, 4], [191, -5, 5], [0, 0, 0]], [[0, 0, 0], [184097775/2, 4749445/2, -2312837], [-438515152, 25240369, -64899203], [9/2, 5/2, 0]], [[0, 0, 0], [-10349890955759, -27656001082223/2, 11350570439245/2], [39570863899838, 95965699707404, -29505545981502], [-647063, -1036485/2, 86707/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-95, 4, -3], [-244, 2, -5], [0, 0, 0]], [[0, 0, 0], [-158084851654/5, -2556439787/10, 6041626409/10], [-81330587247, -2998825038, 2334288951], [8/5, 9/10, -3/10]], [[0, 0, 0], [35159602172684504, 857680509201028, 4018520310809214], [90211515266097285, 5625235467872280, 9380719090529835], [-1686623, -1348857, 112714]]], 0, 3360, [], [] >,
< [ 1, -3, -1, 1 ], [[36, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9, 0, -3], [9, -12, 6], [0, 0, 0]], [[0, 0, 0], [-29, 1646, 1108], [1581, -2876, -3025], [-1, -1, 1]], [[0, 0, 0], [-23098, -25691/2, 2071/2], [-28199, 28451, 14001], [68, -81/2, 5/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [228, -81, -63], [0, -48, -33], [0, 0, 0]], [[0, 0, 0], [-3527391/5, 25266157/10, -10675569/10], [121889/5, -306354/5, -166307/5], [-4/5, 23/10, -1/10]], [[0, 0, 0], [-619/5, -307/10, 399/10], [106/5, 24/5, -33/5], [14/5, 7/10, -9/10]]], 0, 2912, [], [] >,
< [ 1, -3, -1, 1 ], [[68, -8, -44]], [ -5, 0, 0 ], [ 1, -11, -8 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 3, 3], [13, -24, -23], [0, 0, 0]], [[0, 0, 0], [2274/5, 451/5, -542/5], [2609/2, 337/2, -544], [-33/10, 13/10, 2/5]], [[0, 0, 0], [819414/5, 208481/5, -288147/5], [453042, 101145, -119793], [-4284/5, -3621/5, 2397/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38, 85, 49], [-8, 4, 6], [0, 0, 0]], [[0, 0, 0], [-2929554/25, 5073699/25, 5017732/25], [-368843/10, 101473/10, 119072/5], [63/50, -103/50, -2/25]], [[0, 0, 0], [-644833217/5, -132144338/5, 198820111/5], [-116773729, -24998156, 36331279], [11112/5, 3328/5, -3896/5]]], 0, 9984, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, -4, -2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-138, 1/2, -5/2], [441/2, -153, -295/2], [-138, 1/2, -5/2], [0, 0, 0]], [[334886216571/2, 3310052930, -3054489439/2], [-262232806579, 336394178041/2, 170940554915], [167443108297, 3310052923, -1527244719], [-1, 1/2, 0]], [[38772825, 999732006, 676130637], [-2448628700, 4954595415, 4444943039], [38772825, 999732006, 676130637], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[114, 0, 2], [297, 127, 128], [114, 0, 2], [0, 0, 0]], [[1237539332, -129438225/2, -38652657/2], [3370796129, 808312774, 946344277], [1237539302, -129438167/2, -38652643/2], [5/2, -2, -1/2]], [[-15929473838721/2, -2247137844472, 3531986560187/2], [-44733226071675/2, -11842586549214, 1056406794762], [-7964736758900, -2247137879120, 1765993199055], [-27755/2, 1586, 6222]]], 1, 264, [], [] >,
< [ 1, -3, -1, 1 ], [[24, 8, 4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-66, -2, 4], [-69, -1, 5], [0, 0, 0]], [[9/2, 6, 1/2], [50493656, -432233/2, 9828197/2], [106114933/2, -1738669, 7802051/2], [5, -1/2, 1/2]], [[-58758609/2, 7897477, 39266269/2], [-215445955958241, 48055599333433/2, 194767041848679/2], [-443189062920461/2, 19184342555334, 192395691374943/2], [-20557481, 3978975/2, 17643647/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[263/2, 5, -1/2], [141, 127, 3], [263/2, 5, -1/2], [0, 0, 0]], [[-2056101141/2, 7684958, 636070853/2], [-2789272487/2, -128714581/2, 643547206], [-2056101051/2, 7684953, 636070873/2], [-9/2, 1/2, -1]], [[4686444645226959/2, 621974994416079, -1195922564247381/2], [3063791765112390, 1175586481674267, -619338323960670], [4686444406884319/2, 621975005870919, -1195922461975381/2], [11917132, -1145484, -5113600]]], 0, 2112, [], [] >,
< [ 1, -3, -1, 1 ], [[36, 8, 4]], [ -19, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 2, 0], [143, 3, 2], [0, 0, 0]], [[0, 0, 0], [-3791111/19, 9511/19, 16942/19], [-4941305, 2124277, -563385], [-131/19, 3/19, -5/19]], [[0, 0, 0], [19151444094982/19, 3534483370044/19, 711830862120/19], [24737073303459, -5504753493832, 2465258137048], [655752867/19, 125463752/19, 59939656/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 4, -1], [-577, -5, -2], [0, 0, 0]], [[0, 0, 0], [29630978/19, 144979/19, -218653/19], [-1903743546/5, -825358954/5, 590402993/5], [434/95, 26/95, 3/95]], [[0, 0, 0], [335546751300766/19, 43053558991344/19, 26676411130880/19], [-22139552648533786/5, -10836295398192509/5, 5970294970288038/5], [4875384514/95, 1012328681/95, 553159698/95]]], 0, 5760, [], [] >,
< [ 1, -3, -1, 1 ], [[-44, 32, 32]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [248856/227, -9997/227, -299/227], [-10369/227, 426/227, 3/227], [0, 0, 0]], [[0, 0, 0], [-995951700123/227, -1991900998027/454, 1032285/454], [64302/227, 14374/227, -21435/227], [5/2, 5/2, 0]], [[0, 0, 0], [93612571083085720698762092234/2140080863, -46294720846304780690255937281/2140080863, -88681645602888055134627782517/2140080863], [-360913599053634/227, -103422608873682/227, 107797935672819/227], [-53341110980773734615/2140080863, 26379098744931086253/2140080863, 50531464714560295076/2140080863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3581185/227, -135525/227, -48/227], [7464/227, 284/227, 2/227], [0, 0, 0]], [[0, 0, 0], [51237685542845721159294/27821051219, -1275680445596941670674/27821051219, 6155605289173546198310/27821051219], [26248799670726/2951, 15658430724374/2951, -1365905111219/2951], [174558413892/27821051219, 71451238058/27821051219, 2/27821051219]], [[0, 0, 0], [11646642023411966957237809813595677397/55642102438, -256153096896309509243886634959500853/55642102438, -6848712005806514509893692557942049914/27821051219], [4234541495051765023376011900/2951, -2556668475610914307829548302/2951, -3659829001944476313781357908/2951], [25656085495955024224875400/27821051219, -24032878882241428044564843/55642102438, -48087516097879463870383597/55642102438]]], 0, 5760, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 28, 8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-218, 1, -3], [32, 2, -5], [0, 0, 0]], [[0, 0, 0], [2481929381/2, -53882109/2, 447460924], [-187708663, -1882737, 1862149], [13/2, -1/2, 2]], [[0, 0, 0], [738552931753459, 388611814952413/2, 214048005827169/2], [-114487527591976, -19859490578077, 13801424608427], [3855135, 1630445/2, 798345/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1008, -1, -1], [-13, -2, 5], [0, 0, 0]], [[0, 0, 0], [5373542303/2, -40233660836, 42917715547/2], [-101055429, 104790, 72688], [9/2, 2, 1/2]], [[0, 0, 0], [-6863459769983375828/5, 90645009394582563731/10, -42837458551176879977/10], [14508678659643108, -3718335869300763, 1067740875326061], [-3189143204/5, -1416223117/10, -705921161/10]]], 0, 1440, [], [] >,
< [ 1, -3, -1, 1 ], [[44, -32, -36]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [102, 3, -2], [99, 3, 1], [0, 0, 0]], [[0, 0, 0], [-28743136/17, -13871108/17, 14368396/17], [-4925630/3, -815725, 2541293/3], [-88/51, 1/17, 1/51]], [[0, 0, 0], [-104945000932/17, -72896158857/17, 14595920277/17], [-17666487125/3, -13497366275/3, 1867612586/3], [-27251/3, 271475/51, 332626/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [199, -4, 6], [54, -2, 1], [0, 0, 0]], [[0, 0, 0], [138906212636/85, -1390828711/85, -8004838043/85], [6637274432/15, -47336844/5, -428712196/15], [757/255, 1/85, 4/255]], [[0, 0, 0], [-75281091873039956/5, 41542448819383841/5, 52559308037853393/5], [-19928772492262988/5, 10269716907823848/5, 13358584449372604/5], [-153293084/5, 115156564/5, 127462472/5]]], 0, 4608, [], [] >,
< [ 1, -3, -1, 1 ], [[-14, -10, 2]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -3, 1], [4, -3, 1], [15, -2, 4], [0, 0, 0]], [[189157/2, 4410, -25869/2], [3214645/34, 75050/17, -439709/34], [1207198/3, 134460, -72898/3], [26/51, 0, -2/51]], [[523108327/2, 298857237/2, -46376523], [8890183803/34, 5078943445/34, -788081949/17], [6096228683/6, 2401564931/2, 277109971], [135877/102, 33229/34, -2491/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -3, 1/2], [255/2, 3, 21/2], [-64, -3, -5], [0, 0, 0]], [[-363317, 5608, 20668], [2616843683/85, 1042587362/85, -855429404/85], [-233617429/15, -30650237/5, 75634022/15], [199/255, 2/85, -2/255]], [[2962280666743/2, 1749181919233/2, -326371176902], [-1519878515829469/10, -6797424538341227/170, 2998117942781562/85], [2301991438716389/30, 612860442883241/30, -266984550298501/15], [-1591935149/510, -1133185991/510, 117875716/255]]], 1, 144, [], [] >,
< [ 1, -3, -1, 1 ], [[28, 20, -4]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[19/2, -2, 1/2], [-61/34, 50/17, -15/34], [-235/6, 14/3, -7/6], [19/102, -2/51, 1/102]], [[700, 480, -140], [-1540/17, -320/17, 1780/17], [-8887/3, -2023, 1514/3], [700/51, 160/17, -140/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-370, -5, -25], [188, -5, 3], [0, 0, 0]], [[293, 17, 1], [-14978991379/85, -2996846366/85, 4542307147/85], [1319857177/15, 264343408/15, -400764586/15], [293/255, 1/15, 1/255]], [[198241125/2, 69832035, -30951195/2], [-2383343775333471/34, -263749557118283/17, 745046739659077/34], [70015765973237/2, 7729892844420, -21898485696763/2], [13216075/34, 4655469/17, -2063413/34]]], 0, 1152, [], [] >,
< [ 1, -3, -1, 1 ], [[28, 20, -4]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -81/17, 8/17], [99, 0, 19/3], [-2/17, 1/17, -4/51]], [[0, 0, 0], [-35819, -33712/17, 620634/17], [-16113941/3, -5644436/3, 4256396/3], [271313/51, 167972/51, -51254/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13, 28, -15], [3, -1, 3], [0, 0, 0]], [[0, 0, 0], [3467649/17, 779063/17, -1075691/17], [-317171/3, -70385/3, 32526], [-70/51, -4/51, 0]], [[0, 0, 0], [4621164806428/5, 17229570911404/85, -24012120729828/85], [-7174810770028/15, -531438725889/5, 2189815580554/15], [-1338487292/255, -313978971/85, 200259506/255]]], 0, 1152, [], [] >,
< [ 1, -3, -1, 1 ], [[28, 20, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [89, 2, 5], [-14, -2, 1], [0, 0, 0]], [[0, 0, 0], [18710562, -8178251/2, 3900199/2], [-2863904, 34060, 121420], [3, 5/2, 5/2]], [[0, 0, 0], [-33347753069073, 7156855613433, 12380744972758], [5131943667996, -396815296656, -1909541877268], [-9787008, 7048608, 7960064]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-72, 8, -2], [99, 3, 1], [0, 0, 0]], [[0, 0, 0], [-41150808229/5, 10470375333/10, -644265471/10], [56713826876/5, 397060194/5, -787349538/5], [-21/5, -23/10, 1/10]], [[0, 0, 0], [-716657745059697738/5, 862265730247776568/5, 23734215537591404/5], [985169058440108332/5, -1050471958888259572/5, -187797382433176236/5], [-398210722/5, 289392467/5, 325695461/5]]], 0, 1152, [], [] >,
< [ 1, -3, -1, 1 ], [[36, 24, 4]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, -18, 3], [91, -1, 4], [0, 0, 0]], [[0, 0, 0], [-28052519/13, 15045945/13, -1187866/13], [-15016169/2, 589954, 1502529/2], [-47/26, 2/13, -5/26]], [[0, 0, 0], [-1734687122762/13, 1717498707120/13, -466171214434/13], [-806668759615/2, 163238320479/2, -68380413329], [-2169567/26, -254889/26, -1049661/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, -1, 4], [134, 10, 0], [0, 0, 0]], [[0, 0, 0], [8661335/13, -834133/13, 287634/13], [-56899363/2, -20180197/2, 12217794], [27/26, 3/26, -1/13]], [[0, 0, 0], [27802450106/13, -10874974612/13, 3252846202], [-93499010251, -56018911434, 83507553673], [37160/13, 16440/13, 47920/13]]], 0, 2688, [], [] >,
< [ 1, -3, -1, 1 ], [[-10, 6, 6]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[18, 15/2, 1/2], [-11, -55/2, -17/2], [-55/2, -5, -3/2], [0, 0, 0]], [[217289/2, 73233/2, -17258], [-2335097/26, -1153378/13, -222149/26], [-638083/4, -39572, 95991/4], [153/52, 2/13, 3/52]], [[2897798618, 1690010715, -128483618], [-26643041169/13, -50257095204/13, -20863810160/13], [-4245194954, -2158595282, 327834230], [934003/13, 580261/13, 6206]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[29/2, 5/2, -1], [1977/10, -367/10, 32/5], [-223/10, 9/5, -1/10], [0, 0, 0]], [[-496055/2, 152835/2, 133828], [-401449089/130, 76431337/65, 162161877/130], [7174239/20, -1296327/10, -3213937/20], [211/52, 5/26, 3/52]], [[319244728, 164378756, -23624212], [264885439443/65, 104274980247/65, -2183034868/5], [-2343247714/5, -1015735396/5, 222394802/5], [-96250/13, -1540/13, 34650/13]]], 1, 84, [], [] >,
< [ 1, -3, -1, 1 ], [[20, -12, -12]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [53, -27, 7], [174, -5, 5], [0, 0, 0]], [[0, 0, 0], [-2270566099/26, 37878355/13, 210141531/26], [-309202231, -68364072, 69927951/2], [23/13, 0, 5/26]], [[0, 0, 0], [-311246457621521/13, -93290255984034/13, 57504166323785/13], [-86873924198450, -39870212820360, 9759733718186], [5857191/13, 3525486/13, 344235/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [31, 3, -3], [-20, -1, -1], [0, 0, 0]], [[0, 0, 0], [-243356147/65, -21002353/65, 17972881/65], [24145207/10, 866403/10, 1072972/5], [-35/26, -3/26, 0]], [[0, 0, 0], [-3080017673249/130, -722557290523/65, 150912132737/130], [70095015151/5, 50789057029/5, 26800862779/10], [-106547/13, -64321/13, -14239/26]]], 0, 672, [], [] >,
< [ 1, -3, -1, 1 ], [[20, -12, -12]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-39/2, 10, -7/2], [53/2, 0, -9/2], [-55, 0, -4], [0, 0, 0]], [[40873162, -53263911, 16678158], [-90497105/2, 193435362/13, 63688835/26], [105941364, -137768197/2, 13448723], [-36/13, 3/26, -2/13]], [[-65142133340339/2, 3016137569547, 6970169181567/2], [48001359673688, 6285497691004, -12330625645875], [-101198319858696, -13067424326239, 33912944112981/2], [2712108, 1856697, 596337/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 2, 1], [-659/5, 484/5, 72/5], [16/5, -21/5, -3/5], [0, 0, 0]], [[8630, 691, -497], [92369931/130, -2984643/65, -12422573/130], [-134023/10, 14579/5, -2693/5], [61/26, -2/13, 1/13]], [[-2158979693/2, -693428431, -74525285/2], [-475969395178/5, -1713307868141/65, 1316639950882/65], [15961698299/10, 8225354611/10, 51483743/10], [-7205429/26, -5044369/26, -790493/26]]], 0, 672, [], [] >,
< [ 1, -3, -1, 1 ], [[20, -12, -12]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-53/2, 10, -5/2], [95/2, 6, -15/2], [-77, -4, 0], [0, 0, 0]], [[-7303984, 9967509, -3150840], [268175197/26, -40951372/13, -14908733/26], [-18761081, 13146024, -5271701/2], [-31/13, -1/13, -1/26]], [[369327699377/2, -44576078616, -23834167401/2], [-4479130876785/13, -40221193076, 1058583410162/13], [565907619708, 30367656139/2, -92244420759], [1013058/13, 1069339/26, 7341/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[53/2, 8, -3/2], [9653/10, 526/5, -139/10], [-201/5, -19/5, 3/5], [0, 0, 0]], [[556994, 1830184, 1114022], [1485342231/65, 264660493/5, 2235527332/65], [-9708161/10, -10662787/5, -13845677/10], [-51/26, -1/13, 5/26]], [[-6144423779/2, 15236925275, 23660404391/2], [-411938806951/5, 2324490059161/5, 1806120370233/5], [16153711444/5, -94011504119/5, -145851640779/10], [-3756, -2191, -939/2]]], 0, 672, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, -32, -4]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, -4, 1], [12, 5, -4], [0, 0, 0]], [[0, 0, 0], [-617031334889073977/122027239, 3583649067130029801/244054478, -7463113557/244054478], [526588920832/17, -1529184732400/17, 5512/17], [-10126709897/20744630630, 29407398887/20744630630, -2/10372315315]], [[0, 0, 0], [436104504462912272875477109/122027239, 113841713258063395425859043/122027239, -229217309873152565719743380/122027239], [-372181934355524432958/17, -97155212127408881992/17, 195619447790348577034/17], [3578671769654596272/10372315315, 934184574767806688/10372315315, -1880956025668081136/10372315315]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1333, 76, -69], [66, -5, 4], [0, 0, 0]], [[0, 0, 0], [-981137313740371206723/2074463063, -364903039337351389837/4148926126, 63484289272386202461/4148926126], [-702178207059509/289, 295930495951653/289, -148057439994/289], [995619467531/352658720710, -414037839071/352658720710, 1/176329360355]], [[0, 0, 0], [5330899533183454953494413145188915/2074463063, -5792827578425921150964423863919171/2074463063, -6616756389104790397184621970189640/2074463063], [1660563800737748021764929460/289, 433334599255734722815695248/289, -955366786790108792435125020/289], [-238350315490899770784928/35265872071, -55253817185024507946512/35265872071, 140586614732718873184944/35265872071]]], 0, 2688, [], [] >,
< [ 1, -3, -1, 1 ], [[20, -12, -12]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-42, -3, -5], [-9, -1, 5], [0, 0, 0]], [[0, 0, 0], [161817, 442073/2, -352769/2], [43693, -349, -2262], [-5, -5/2, -3/2]], [[0, 0, 0], [2481425421/2, 490204879, -1311724015/2], [258238893, 54019766, -51311380], [-62913/2, -17215, -1565/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-942, 1, 1], [-13, 3, 1], [0, 0, 0]], [[0, 0, 0], [16436897003/5, 56912219579/10, 43192054517/10], [348750143/5, -2086238/5, -363519/5], [7/5, 1/10, 3/10]], [[0, 0, 0], [-1045279552145409/5, -3438264046991956/5, -1978521314897043/5], [-26472416996244/5, -10110931487346/5, 3074188906437/5], [-504741/5, -336894/5, -56307/5]]], 0, 672, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 0, -8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 0, 2], [60, -143, -124], [0, 0, 0]], [[0, 0, 0], [6854, -141531/2, 62341/2], [8560, -8695, -4413], [2, -1/2, 3/2]], [[0, 0, 0], [571198208, 1268939659, -708756299], [-756702612, 877956259, 852422909], [-61773, -222430, -165731]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [-49, -11/2, 9/2], [0, 0, 0], [22, -1/2, 1/2]], [[0, 0, 0], [-1544476, -4587043, -3119605], [0, 0, 0], [460724, 2472932, 2018720]]], 0, 144, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 0, -8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 4, 2], [41, -88, -78], [0, 0, 0]], [[0, 0, 0], [33150, -175595/2, 66795/2], [-856, -5441, -4379], [5, 5/2, 5/2]], [[0, 0, 0], [11184670, -25155557, 9194863], [929428, -5977802, -4777406], [1360, 3808, 2848]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -5, -5], [-120, 316, 268], [0, 0, 0]], [[0, 0, 0], [-36203/2, 79858, -65865/2], [-1274, 166, 127], [17/2, 2, 3/2]], [[0, 0, 0], [-755932061, 7695658309/2, -3211278525/2], [-93500962, -13964834, 6132600], [355775, 2051297/2, 1445463/2]]], 0, 80, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 8, -20]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [280, 7, 11], [-33, -3, -2], [0, 0, 0]], [[0, 0, 0], [-561297223/2, -195550489/2, 50502590], [33437580, 12761835, -5345820], [5/2, 3/2, 2]], [[0, 0, 0], [0, -15/2, 5/2], [0, 0, 0], [0, -3/2, 1/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -3, 1], [-9, -4, -1], [0, 0, 0]], [[0, 0, 0], [-62871/2, 26563/2, -2111], [29445, 5655, -1560], [-73/2, -3/2, -1]], [[0, 0, 0], [-1218364936, -1349753144, 601857982], [1408076865, 1240718310, -107377920], [-1596224, -1763176, 163898]]], 0, 2400, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 8, -20]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-154, 3, -5], [31, 4, -2], [0, 0, 0]], [[0, 0, 0], [10591655/2, -1886177/2, 385462], [-1048985, -22960, 43050], [-21/2, -5/2, 2]], [[0, 0, 0], [-12183343427/2, -155734234507/2, 13098503236], [2749376770, 11100287520, -1438926160], [94393/2, 110081/2, -4452]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -47, -33], [-261, 600, 524], [0, 0, 0]], [[0, 0, 0], [-12035, 68521/2, 51013/2], [45157, -490290, -351588], [-9, 5/2, -3/2]], [[0, 0, 0], [231252594, -955999855, 391498889], [3530656155, 757267135, -1099696805], [815100, -2183005, 832865]]], 0, 2400, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 16, 12]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 1, -1/2], [3/2, -15, 25/2], [16, -1, -2], [0, 0, 0]], [[5285, -1960, -3605], [23724/5, -82667/5, -55497/5], [12246, -699/2, -10495/2], [-4/5, 1/10, 1/2]], [[0, 0, 0], [6/5, 7/5, -3/5], [3/2, -1/2, 0], [3/10, -1/10, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, -1, 3/2], [-3/2, 5, -5/2], [-18, -1, 4], [0, 0, 0]], [[-1545/2, -1290, -1065/2], [5749/10, -7332/5, -13713/10], [-2835, -3003/2, 451/2], [3, -3/10, 1/10]], [[972915/2, -41966820, -56560545/2], [230236203/10, -297709823/5, -96601945/2], [-26718312, -41279670, -14628087], [102588/5, 53286, -34362/5]]], 0, 384, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 16, 12]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 5, 9/2], [23/2, -8, -11/2], [9, 0, 4], [0, 0, 0]], [[14746, -5353, -11312], [121257/5, 82651/5, -2673], [32905, 6257/2, -34539/2], [-21/5, -1/2, 3/10]], [[-84573562, 130241116, 116211812], [-177878217/5, -113994995, -449790962/5], [-274972955/2, 253558289/2, 102184641], [44793/10, 235341/10, 2133/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, -10, -13/2], [31/2, -35, 15/2], [-26, -4, -3], [0, 0, 0]], [[-2149684, -1473186, -106454], [1778529, -6115163/5, -1723784/5], [-13111035/2, -3901027/2, 1260277], [-23/10, -3/10, -1/5]], [[10175409024, 5545563166, -1469144182], [-22611010712/5, -34400320928/5, 27591497854/5], [29057124275, 10868760279, -8483871288], [8277, 47259/5, -19758/5]]], 0, 384, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 6, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, 0, 5/2], [37/2, 6, 1/2], [-11, -3, 5], [0, 0, 0]], [[1561, 474, -331/2], [-39251/5, -22537/10, 22481/5], [18097/4, 363, -3217/4], [11/20, -3/10, 3/20]], [[1321641/2, -93762, -783207/2], [-23745039/10, -7295312/5, -1952861/10], [1594899, 230400, -692856], [873/5, 72/5, -711/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -3, -1], [19, 0, -3], [-13, -2, 1], [0, 0, 0]], [[3481/2, 3593/2, 1285], [-49328/5, 5127/2, 1179/10], [13111/2, -171, 775], [16/5, 2/5, -1/10]], [[-143449818, 108114861, 334091429/2], [1554350503/5, 1921923829/10, -1071642391/5], [-1064851539/4, -64238197/2, 912541849/4], [-534917/4, -49561/5, 1806413/20]]], 1, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 0, -8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, -27, -26], [5, -13, -4], [7, -14, -25], [0, 0, 0]], [[-5310, -1241, 1696], [-181671/5, -37549/5, 55937/5], [-14188, -6939/2, 9197/2], [-3, -1/10, -3/10]], [[-349251/2, -102771/2, 48702], [-6168131/5, -2203023/10, 4033929/10], [-462246, -153483, 245865/2], [1989/2, -13923/5, -11934/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 8, 11/2], [17/2, -20, 9/2], [25, 1, 3], [0, 0, 0]], [[-28150, -8193, 8764], [-29643/5, -51196/5, 31244/5], [-151381/2, -45435/2, 25722], [1/10, 3/10, 0]], [[-2595093, -1295729/2, 1299359/2], [-9241681/10, 4524013/10, 213324/5], [-7135949, -2595031/2, 1947622], [91/10, 213/10, 41/2]]], 0, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 0, -8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, -9, 2], [-43, -1, 4], [0, 0, 0]], [[25/2, 11, 1/2], [94459/10, -455689/5, -31591/2], [81981/2, -517513/2, 67476], [23/10, 1/2, -1/5]], [[19955/2, -364409/2, -123721], [-2043944244/5, 12776525611/10, 1785210137/2], [-823268315/2, 1576610147, 437239941], [-24253/5, -11052, -68461/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9, -10, 2], [-54, -1, 3], [0, 0, 0]], [[-5/2, 1/2, 2], [10148798/5, 7519007/10, -12384643/10], [10502813, -3610905/2, -2308892], [9/10, -3/10, -1/2]], [[345, -230, -368], [-243646279, -165994278/5, 878450466/5], [-2387247111/2, 278266338, 679753427/2], [-1173/10, 391/5, 943/10]]], 0, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[-6, 0, 4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-25/2, 0, 5/2], [-21, -3, 5], [-25/2, 0, 5/2], [0, 0, 0]], [[17, -45, 2], [65/2, -88, -54], [31/2, -41, 5/2], [1/2, -1, 0]], [[236, -14071/2, -13931/2], [18659, -46878, -41216], [0, -12045/2, -12045/2], [-169/2, -186, -269/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19/2, -1/2, -2], [-31/2, 2, -9/2], [19/2, -1/2, -2], [0, 0, 0]], [[121860, -765, -3240], [-966733/2, 753853, 947107/2], [121860, -765, -3240], [-1/2, -9, -11/2]], [[-285509124, -859061592, 376039260], [757783572, 2798515281/2, -6797984133/2], [-285509124, -859061592, 376039260], [5712, 54859/2, 42721/2]]], 1, 12, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 0, -8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-43/2, -4, 3/2], [7, -11, -1], [-43/2, -4, 3/2], [0, 0, 0]], [[510040, -217700, 74640], [-535969/2, 697070, -374315/2], [510040, -217700, 74640], [-3/2, 0, -5/2]], [[-2439022476, -535497216, 333291236], [673202173, -1681325771/2, -316770347/2], [-2439022476, -535497216, 333291236], [5577, 23153/2, 16393/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-41, -1, -4], [50, -156, -128], [0, 0, 0]], [[-2, 0, 2], [17538436, -81730192, 33924488], [-1212024, -1088, 64307], [-2, 2, 0]], [[265/2, -1161, -1623/2], [-197003667/2, -5161508805/2, 1221422062], [-505995337/2, 101273917, 338075945/2], [-217/2, -659/2, -241]]], 0, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[32, -8, -12]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [1405183637120540349/244054478, -1286829240039691825/244054478, -1836374234/122027239], [-57968754550/17, 53086220385/17, 15/17], [5796875455/2074463063, -10617244077/4148926126, -3/4148926126]], [[0, 0, 0], [2904143777489118695245680861/122027239, 342177534397611762695600815/122027239, -754548335402290879555165765/122027239], [-239612237914307815310/17, -28232047371257868950/17, 62255531801724080910/17], [23961223791430781531/2074463063, 2823204737125786895/2074463063, -6225553180172408091/2074463063]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -48, -32], [0, 3, 2], [0, 0, 0]], [[0, 0, 0], [3262772311667715290267/2074463063, 1527861739814402499022/2074463063, 646834842/2074463063], [42382661728668/289, 19846572516552/289, 214/289], [-198049821162/35265872071, -92740993068/35265872071, -1/35265872071]], [[0, 0, 0], [7008621084341704134213095700943/4148926126, 22055318754673041538421652581137/4148926126, -484249066773025530619302104693/2074463063], [45520187777390922894392/289, 143246758401121510056211/289, -6290283974143735765399/289], [-212711157838275340628/35265872071, -1338754751412350561273/70531744142, 58787700692932109957/70531744142]]], 0, 1152, [], [] >,
< [ 1, -3, -1, 1 ], [[56, -8, -28]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-368, 117, -5], [15, -5, 0], [0, 0, 0]], [[0, 0, 0], [11984813075983058681/2140080863, 16362440409037687169/4280161726, 124777261630597627/4280161726], [1498973726/227, 212777789/227, -296305437/227], [-14052349167/4280161726, -9388893031/4280161726, -1/2140080863]], [[0, 0, 0], [5963152012945131090437816236/2140080863, 15987847645312482539384132237/2140080863, 6876376528478715130908130652/2140080863], [-37936143435840899172/227, 143916097361662126479/227, -57970554844079829600/227], [1629206208373759236/2140080863, -28176807924826825394/2140080863, 3748480818130487777/2140080863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-377532/227, 556165/227, 3071/227], [862/227, -1164/227, -5/227], [0, 0, 0]], [[0, 0, 0], [25055257657569902874968/27821051219, 10417512497385029922091/55642102438, 656393226796206910173/55642102438], [-835440931180/2951, 662298023714/2951, 49948685962/2951], [187115251955/55642102438, 67654018037/55642102438, -1/27821051219]], [[0, 0, 0], [-73161629279473689020429788624700093/55642102438, 559638563811684386335373181151033629/27821051219, -29097664069523141292479509541624389/55642102438], [4015977510764157723814830/2951, -28592521680557335691043326/2951, 17524993577488567512296862/2951], [-85517194215975898519605/55642102438, 1770735542085342931339439/27821051219, 461551202293514012361297/55642102438]]], 0, 1728, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 76, 20]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1213154/227, 30203/227, -131/227], [-50567/227, -1249/227, -4/227], [0, 0, 0]], [[0, 0, 0], [938743838870847605357/2140080863, 150639554433104092851/2140080863, -190221260428914400292/2140080863], [-4203733810410/227, -654202801045/227, 840703511180/227], [6884351026/2140080863, -1484325221/2140080863, -1/2140080863]], [[0, 0, 0], [-227060315948372518829970511035/2140080863, -700031298497388601570043885829/4280161726, -337109818427431882914713411815/4280161726], [1013754606896747026755/227, 1568310256170241829215/227, 763339450063506129200/227], [-2611613873255126877/4280161726, -5236492271819328649/4280161726, -2260865811609444579/2140080863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5521288/227, -27246/227, -1410/227], [-11604/227, 57/227, 2/227], [0, 0, 0]], [[0, 0, 0], [312461654655264586369481/55642102438, 7491937207084426627569/55642102438, -2684638641065359546641/27821051219], [18611491554020/2951, -49892979117760/2951, 595703356940/2951], [-71460654692/27821051219, 131200688285/55642102438, -1/55642102438]], [[0, 0, 0], [37272550132660239950362172346131320027/27821051219, -21835838292334626770995741367378048863/27821051219, -28046693606428600568975060481916066438/27821051219], [-4449631365012536931399923280/2951, 12161779565365556351590549500/2951, 12626185175567731053944155380/2951], [-5162328893407679909700504/27821051219, -9750379896448302518927928/27821051219, -8520515772613653218322720/27821051219]]], 0, 34560, [], [] >,
< [ 1, -3, -1, 1 ], [[40, -52, -16]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, -5, -5], [-84, -4, -5], [0, 0, 0]], [[0, 0, 0], [245587448238227708/122027239, 608495899490264723/244054478, -1915099589162181/244054478], [-155838364441/17, -194365310165/17, -659133938/17], [4026123417/4148926126, 5003699655/4148926126, 1/2074463063]], [[0, 0, 0], [12859054691935460324906661/244054478, 1668072626703702826575173/244054478, -5760507369038646260637430/122027239], [-4104720487412301606/17, -487883763147621885/17, 3680703472423731087/17], [52855893439311063/2074463063, 13157167700889503/4148926126, -94746924815331309/4148926126]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [988, 45, 67], [-51, -3, -4], [0, 0, 0]], [[0, 0, 0], [149610779017351135203/2074463063, -1623411369837555179473/4148926126, -5029121601005509571/4148926126], [-2202715046012/289, 23992799311832/289, 13525139524/289], [-8175049543/70531744142, 131910862503/70531744142, -1/35265872071]], [[0, 0, 0], [3153635547936358748640982949362/2074463063, -1176328986166500067453852306684/2074463063, 1750618219618649843035430690176/2074463063], [-152321904164837901184275/289, 14702629618318874996153/289, -32183590961288368880759/289], [-471116688169444616838/35265872071, 22452783691574319710/35265872071, -71142504159960108722/35265872071]]], 0, 16128, [], [] >,
< [ 1, -3, -1, 1 ], [[-44, 8, 20]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [43, 1, -4], [-27, 10, 3], [0, 0, 0]], [[0, 0, 0], [8538301/5, -3318659/5, -4031066/5], [-1553595/2, 20735/2, -91095], [27/10, 3/10, -2/5]], [[0, 0, 0], [-39607589998/5, 13581799427, 66831884267/5], [-791883448, 11362690403/2, 7131662663/2], [-9514/5, -77461/10, -34861/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -4, -14], [-2, -4, -4], [0, 0, 0]], [[0, 0, 0], [-15400, 10679, 630], [13097/2, 5753, -6055/2], [-3/2, 0, -1/2]], [[0, 0, 0], [424866406/5, 30018062/5, -257878538/5], [-49596745, -36751851/2, 10641727/2], [31559/5, 123669/10, 8003/2]]], 0, 1920, [], [] >,
< [ 1, -3, -1, 1 ], [[-44, 8, 20]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [47, 5, 2], [43, 0, 3], [0, 0, 0]], [[0, 0, 0], [-82009454/5, 3052503, 32481/5], [-30214267/2, 9345789/2, -703135], [-59/10, -3/10, 1/5]], [[0, 0, 0], [102298098676/5, 254803733503/5, 17871085205], [18344631912, 45251108281, 14062515185], [26952/5, 25829, 66257/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 2, -12], [-18, 2, -2], [0, 0, 0]], [[0, 0, 0], [-152, -89/5, -152/5], [-359/2, -45/2, 48], [51/10, 1/10, 2/5]], [[0, 0, 0], [-47301548/5, -118684255, -327063318/5], [-56861752, -14867183, 18090639], [3623616/5, 13759632/5, 6061392/5]]], 0, 1920, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, -4, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 13, 10], [35, 5, 0], [0, 0, 0]], [[0, 0, 0], [-33262/5, -4243/5, 7599/5], [-16270, -1867, 4154], [6, -1/5, 2/5]], [[0, 0, 0], [-338293821/2, -22696189, 113773637/2], [-404423066, -72254196, 250285707/2], [167970, -30540, -160335/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-21, 13, -7], [-17, 5, -2], [0, 0, 0]], [[0, 0, 0], [-1674639/5, 713848/5, 49805], [-552731/2, 110505/2, 60112], [9/10, 1/2, 2/5]], [[0, 0, 0], [-29668245071/2, -1058433087, 5101553147/2], [-12961331237, -1762892851, 5815054295/2], [63415, -11385, -56595/2]]], 0, 480, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, -4, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -1, 15/2], [39/2, -47, 25/2], [6, -25, 16], [0, 0, 0]], [[-363/2, -13, 169/2], [62753/5, 12859/5, -3863], [-475, -293/2, 193], [-19/5, -1/2, 1/5]], [[-57179/2, 34777, 73781/2], [5040194/5, 994911/5, -1603768/5], [-47376, 25723/2, 32996], [0, -8261/10, -3004/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 0, -9], [32, 12, -12], [-6, 26, -18], [0, 0, 0]], [[26244, 10151, 1084], [76376549/10, 8165061/5, -4749527/2], [79827, 957, -15969/2], [-11/5, 0, 3/10]], [[64192595/2, -26707609, -60889229/2], [10787225843/2, 5779370539/5, -16766218071/10], [65852806, -20886893, -34185338], [-8528/5, 1612/5, 3718/5]]], 0, 480, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, -4, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 0, 0], [-2, 9, -6], [-9, 3, 0], [0, 0, 0]], [[-397, 14, 127], [-739/10, -836/5, 79/2], [-2273/2, -475/2, 667/2], [-243/10, -1/2, -3/10]], [[1866663/2, 305617, -233631/2], [1742991/5, 156781/5, -1645861/5], [6146121/2, 555538, -986653], [754197/10, -110786/5, -157657/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -3, 0], [23, -17, 2], [3, -10, 3], [0, 0, 0]], [[20, 1112, 804], [1143227/10, 124654/5, -346779/10], [1733/2, 1807/2, 989/2], [-1/2, 1/10, 3/10]], [[1/2, -21, -7/2], [-3223/2, -447, 1075/2], [-2, -53, 14], [0, 0, 0]]], 0, 480, [], [] >,
< [ 1, -3, -1, 1 ], [[6, 2, 2]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, -3/2, 5/2], [-13, -9/2, -1/2], [29/2, 2, -9/2], [0, 0, 0]], [[-3737/2, 1774, -611/2], [-32388/5, 69006/5, -823], [2509, -3365/2, 614], [-116/5, -1/2, -1/5]], [[-281033997/2, -30038973/2, 32059536], [-2037142437/10, -430815432/5, -867957509/10], [876617349/4, 19990971/2, -265186755/4], [-49439211/20, -2521629/10, 3438585/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19/2, -1/2, 3], [-97/2, 31/2, 8], [27/2, 5, -3/2], [0, 0, 0]], [[588845/2, -156941/2, -46658], [20024933/10, -13740887/5, 7104951/10], [-1668413/4, -17314, -9851/4], [-61/20, -2/5, 1/4]], [[4145623694, 520521215/2, -1012097673/2], [48427662025/2, -18331966591, 12974490449/2], [-30158808885/4, 1874958399, 12590449263/4], [-216177/4, 7475, 88803/4]]], 1, 60, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, -4, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-76, 4, 1], [4, 5, -1], [0, 0, 0]], [[0, 0, 0], [-24615612/5, -4339575, 12581758/5], [897683/2, -52797/2, 2506], [-7/10, 1/10, -2/5]], [[0, 0, 0], [-13545773374361/10, -1594365824237/5, 4929115370427/10], [103645479747, 16565847531/2, -35274013859], [-181959, 294357/10, 402563/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, -37, -41], [-18, -1, -1], [0, 0, 0]], [[0, 0, 0], [-2854929/10, 1327082/5, -634767/10], [-406595, 232829/2, 32526], [-1, 3/10, 2/5]], [[0, 0, 0], [2029740441/2, -2241435363/5, -23144363/10], [1590047890, -151101325/2, -302207200], [20046/5, -6643/10, -8736/5]]], 0, 480, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, -4, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -8, -6], [-16, -13, -10], [3, -9, -4], [0, 0, 0]], [[1106, 784, 378], [4019499/10, 457146/5, -250803/2], [3692, 219/2, -27], [4/5, 1/2, -1/5]], [[-715609/2, 121078, 597427/2], [-425395157/5, -85914908/5, 132899664/5], [-773630, -175241, 951799/2], [-214, 139/5, 899/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, -6, -7/2], [21/2, -6, -35/2], [-23, -1, -1], [0, 0, 0]], [[-311662, -33046, 51791], [1053967/5, 198572, -1030553/5], [-883186, 114303/2, 273257/2], [-9/5, -1/10, -1/10]], [[-54769199507/2, -1873672392, 19138993477/2], [86374381979/5, 74568853464/5, -18614457914/5], [-72583439081, -6945040594, 42024571879/2], [-863441/5, 132956/5, 759859/10]]], 0, 480, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, -4, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [56, -1, -12], [-30, -3, 1], [0, 0, 0]], [[3, 7, 6], [42113752, -3265771, -7770071], [-46130673/2, 586176, 1375133/2], [3/2, 0, 1/2]], [[1179981/2, -354618, -940401/2], [14867951611621/5, 479158924340, -4175550429814/5], [-3515736070053/2, -136151267787/2, 1215452553801/2], [1299771/10, -243243/10, -585783/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 0, 21], [32, -3, 3], [0, 0, 0]], [[-1/2, -7, -11/2], [-192/5, -32, 33/5], [-173/2, -30, 21], [-7/10, -2/5, -2/5]], [[-18507, 12927, 15810], [-965171/5, -25111, 427409/5], [-743743/2, -61972, 260255/2], [-39711/10, 4929/5, 18693/10]]], 0, 480, [], [] >,
< [ 1, -3, -1, 1 ], [[6, 2, 2]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -19/2, 9/2], [21, -1/2, -11/2], [9/2, 11, -15/2], [0, 0, 0]], [[-2406, 169/2, 859/2], [101189/10, 11526/5, -6769/2], [15491/4, -349/2, -3783/4], [11/20, -1/2, 1/20]], [[-43852, -4334, 14742], [185071, 52941, -49666], [62724, 25304, -8504], [6, 4, 2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 5/2, -3/2], [31, 13/2, 21/2], [-11/2, -2, 7/2], [0, 0, 0]], [[-21489/2, 18767/2, -238], [-821499/10, -97647/5, 1517999/10], [50317/4, -5101/2, 29241/4], [-3/20, -1/10, 1/20]], [[3519, 1989, -1258], [29801, 21442, 11977], [-6511, -782, 3723], [0, 0, 0]]], 1, 60, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, -4, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 3, -2], [2, -10, 2], [-1, 3, -2], [0, 0, 0]], [[2925/2, 305, -825/2], [6347/2, 1665/2, -1063], [2925/2, 305, -825/2], [-7/2, -3/2, -1]], [[-833421555/2, -79205850, 263139435/2], [-902893785, -210292701, 287695341], [-833421555/2, -79205850, 263139435/2], [1276364, -233386, -578646]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [155, -1, 2], [-2, 1, -4], [0, 0, 0]], [[11/2, 6, 1/2], [548084183/2, 91506237/2, -72782859], [-7528161/2, -39884, 141345/2], [11/2, 1/2, 0]], [[-1628640, 627900, 1234220], [-48936886132890, -7752291636575, 15688951464455], [731663593648, -110652903988, -302843210676], [-1117480, 211900, 511160]]], 0, 480, [], [] >,
< [ 1, -3, -1, 1 ], [[6, 2, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-79/2, -5/2, -2], [123/2, -57, -99/2], [-79/2, -5/2, -2], [0, 0, 0]], [[171752724, -49955340, 15280109], [-446368311/2, 387402597/2, 114258586], [171752724, -49955334, 15280122], [-5/2, -1/2, -2]], [[3788587762918757/2, 109223314889025, -1156320985783433/2], [-1565822379691538, -763360211026089, 3702278151061/2], [1894293942649680, 109223254251540, -578160546849600], [-37547986, 6676427, 33931777/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-41/2, -3/2, 0], [-181/2, -15, -11/2], [-41/2, -3/2, 0], [0, 0, 0]], [[-411896459/2, -1661569, 10171707/2], [-915178657, -148902911/2, -36968375/2], [-411896459/2, -1661569, 10171707/2], [2, -9/2, -9/2]], [[-549897791513551/2, -127664824375309/2, 87267741699086], [-2509724479320601/2, -291382457921400, 794811554398799/2], [-549897791513551/2, -127664824375309/2, 87267741699086], [254265, -46360, -115550]]], 1, 60, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -4, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -3, 1/2], [10, -9, -8], [-1/2, -3, 1/2], [0, 0, 0]], [[-1467/2, 1134, -513/2], [2199/2, 5171/2, -307], [-1467/2, 1134, -513/2], [-1/2, 1/2, -1]], [[36963/2, 693, -8883/2], [-159787/2, -22425, 50591/2], [36963/2, 693, -8883/2], [39/2, 2, -7/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -4, 1], [20, -2, 10], [5, -4, 1], [0, 0, 0]], [[1267/2, -2758, 1015/2], [13429, -77763/2, -46559/2], [1267/2, -2758, 1015/2], [4, -3/2, 1/2]], [[-31990, -868, 5586], [-271537/2, -180067/2, -27661], [-31990, -868, 5586], [1239/2, 287/2, -196]]], 0, 12, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -4, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -4, 1/2], [8, -28, -9], [-1/2, -4, 1/2], [0, 0, 0]], [[4068, 3132, -2304], [3349/2, 21379/2, -5237], [4068, 3132, -2304], [3/2, -3/2, -1]], [[0, 0, 0], [1, -3/2, -3/2], [0, 0, 0], [-1, 3/2, 3/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 0, -3/2], [3, -2, 0], [7/2, 0, -3/2], [0, 0, 0]], [[-99, -32, 27], [-95/2, -81, 125/2], [-99, -32, 27], [11/2, 1, 3/2]], [[-28388, -4532, 8008], [-58475/2, 78263/2, -11637], [-28388, -4532, 8008], [2301/2, 3717/2, -1062]]], 0, 12, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, -16, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-89, 159, 130], [-9, 40, 33], [0, 0, 0]], [[0, 0, 0], [4837051/5, -885086, 210041/5], [-177467, 24535, -16703], [13/5, 1/5, 1/5]], [[0, 0, 0], [-1380833491/5, 1640640068/5, -236918607/5], [96029603/2, -15747473, 18386857/2], [-6913/10, 223/5, -223/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-19, 50, 29], [-4, 14, 12], [0, 0, 0]], [[0, 0, 0], [94, -223, -55], [65/2, -43, -77/2], [7/2, -1, 1/2]], [[0, 0, 0], [331/5, 72/5, -103/5], [113/2, 12, -35/2], [113/10, 12/5, -7/2]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 8, 8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-31, -9, -12], [-3, 2, -1], [0, 0, 0]], [[0, 0, 0], [-1289442/5, -1253404/5, 517601/5], [-30133/2, -30410, 30227/2], [-1/10, 1/5, 1/2]], [[0, 0, 0], [-326408266, -70155827, 101228387], [-46226857/2, -9869849/2, 7169179], [19/2, 11/2, -1]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11, 2, 18], [-12, 1, -3], [0, 0, 0]], [[0, 0, 0], [578683/5, 457761/5, -119134/5], [200019, 17021/2, -119173/2], [-13/5, -3/10, -1/2]], [[0, 0, 0], [2880016486/5, 147473354, -704666284/5], [815071708, 176591526, -269610492], [-53372/5, -21834/5, 14556/5]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[8, -4, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [1/2, 1, 1/2], [1, 0, 0], [0, 0, 0]], [[5, 4, 2], [34/5, 93/5, 3/5], [17/2, 1/2, 0], [17/10, 1/10, 0]], [[-12159/2, -3969, -315/2], [-56519/5, -49482/5, -132], [-9198, -5355/2, 1827], [-9198/5, -1071/2, 1827/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [-1/2, 1, -1/2], [1, 0, 0], [0, 0, 0]], [[-5, -3, -2], [-101/5, -106/5, -49/5], [-17/2, 1, -1/2], [-17/10, 1/5, -1/10]], [[41449/2, 7328, -7557/2], [92372, 37376, -15369], [58395/2, 12595/2, -14885/2], [11679/2, 2519/2, -2977/2]]], 0, 32, [], [] >,
< [ 1, -3, -1, 1 ], [[8, -4, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [1/2, 1, 1/2], [1, 0, 0], [0, 0, 0]], [[-17/2, -12, -17/2], [-73/5, -181/5, -71/5], [-17, -1, -5/2], [-17/5, -1/5, -1/2]], [[157135/2, 25713, -31427/2], [809218/5, 304631/5, -174664/5], [219989/2, 22856, -28570], [219989/10, 22856/5, -5714]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [-1/2, 1, -1/2], [1, 0, 0], [0, 0, 0]], [[-3, -4, -3], [12/5, -34/5, 2], [-6, 0, -1], [-6/5, 0, -1/5]], [[3503/2, 775, -341/2], [-1654/5, 2048/5, -55], [2542, 1085/2, -558], [2542/5, 217/2, -558/5]]], 0, 32, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 8, 8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 6, 10], [3, -2, 3], [0, 0, 0]], [[0, 0, 0], [-238595/2, -20771, 66165/2], [25155, -11375, -650], [5/2, 5, -3/2]], [[0, 0, 0], [538171263/2, 72767184, -152926041/2], [-47916700, -13077350, 20492550], [-11529/2, -9072, -10017/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [15, 0, 5], [-126, 306, 264], [0, 0, 0]], [[0, 0, 0], [47983/2, -77734, 61473/2], [-919, -94, 189], [13/2, 2, 3/2]], [[0, 0, 0], [171900839, -459446452, 175415707], [-14730235, -3123814, 3608263], [96397, 69148, 21389]]], 0, 384, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 2, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 1, 1/2], [2, -4, -5], [-1/2, 1, 1/2], [0, 0, 0]], [[3, -21/2, -19/2], [119, 11, -59/2], [-3/2, -13/2, -3], [-5/2, -1, -1]], [[-129/2, -3655/2, -1290], [147965/2, 29443/2, -44725/2], [-2021, -2709/2, 129/2], [-1720, -1075/2, 301]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, -5/2, 0], [23/2, 3, -9/2], [-9/2, -5/2, 0], [0, 0, 0]], [[-588, -168, 126], [1355, 727/2, -967/2], [-588, -168, 126], [-3, 3/2, -3/2]], [[78624, 18144, -22680], [-178659, -81249/2, 115077/2], [78624, 18144, -22680], [351, 13/2, -65/2]]], 1, 12, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 2, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 3, 0], [64, -9, 7], [-5, 3, 0], [0, 0, 0]], [[262397/2, -45978, 11269/2], [-2139818, 930036, 1312807/2], [131200, -45975, 5625], [-1, -2, 5/2]], [[-22005477/2, -2020432, 7733881/2], [154942684, 62114616, -30806795], [-22005525/2, -2020750, 7733425/2], [108, 75, 9]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 3, -3/2], [13, -24, -49], [7/2, 3, -3/2], [0, 0, 0]], [[-574203, -124283, 179302], [-196665/2, -94845/2, 33489], [-574203, -124283, 179302], [-15/2, -5/2, -2]], [[-335934655, -72302440, 104800724], [-56069982, -30049809, 12153459], [-335934655, -72302440, 104800724], [-2829, -5658, -3772]]], 1, 12, [], [] >,
< [ 1, -3, -1, 1 ], [[32, -16, -32]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, -8, 3], [-8, -14, -6], [0, 0, 0]], [[0, 0, 0], [-23672/13, 42473/13, -13375/13], [-5159/2, 49, 2739/2], [-97/26, 1/13, -3/26]], [[0, 0, 0], [29584138/13, -89633792/13, 34467778/13], [1058108, 165054, -700686], [29538/13, -32820/13, 1094]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -10, -6], [6, 8, -6], [0, 0, 0]], [[0, 0, 0], [308/13, 2007/13, 5257/13], [-1287/2, 1274, -779/2], [-93/26, -4/13, -1/26]], [[0, 0, 0], [3099712, 42857392/13, -2211376/13], [-9162314, -6033344, 4980316], [-1678956/13, -457616/13, 516364/13]]], 0, 3072, [], [] >,
< [ 1, -3, -1, 1 ], [[6, 2, 0]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [-1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[41, -5, 1], [-827/26, -294/13, -133/26], [-41/2, 5/2, -1/2], [41/26, -5/26, 1/26]], [[2776367/2, 244354, -863665/2], [-18073605/13, -5906505/26, 947099/2], [-2776367/4, -122177, 863665/4], [2776367/52, 122177/13, -863665/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -1, -2], [172/5, -22/5, -6/5], [-13/5, -2/5, -1/5], [0, 0, 0]], [[-3976, -7082, -5472], [9291348/65, 2833529/130, -3352343/130], [-222761/20, -39497/10, 16563/20], [49/52, -5/26, -3/52]], [[55112691/2, -58284816, -109042023/2], [-15443215849/130, 3465034597/65, 15060591797/130], [77072046/5, -92717571/5, -105977238/5], [-540, -2640/13, 8220/13]]], 1, 12, [], [] >,
< [ 1, -3, -1, 1 ], [[6, 2, 0]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [-1/2, 0, 1/2], [1, 0, 0], [0, 0, 0]], [[-22, 17/2, -5/2], [-1445/26, -684/13, 5/26], [-127/4, -2, -3/4], [-127/52, -2/13, -3/52]], [[-324864, -262656, 145152], [-16305456/13, -8016557/13, 731113/13], [-559872, -338688, 158976], [-559872/13, -338688/13, 158976/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -8, -5/2], [83/10, -439/5, -119/10], [4/5, -19/5, -2/5], [0, 0, 0]], [[504, -419, 1925], [247717/5, -10762/5, 34539/5], [5632/5, -2682/5, 3249/5], [-1, 0, 0]], [[3669, -10087/2, -12219/2], [3839313/26, -221604/13, -2389837/26], [13461/4, -1062, -11587/4], [-147/52, 0, 77/52]]], 1, 12, [], [] >,
< [ 1, -3, -1, 1 ], [[24, 8, 0]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -16, -18], [16, -52, -42], [0, 0, 0]], [[0, 0, 0], [1128137/13, 719962/13, -43928/13], [-115857, 145633/2, 204489/2], [6/13, -5/26, -3/26]], [[0, 0, 0], [-60331, 558817/13, -110080/13], [83337/2, -7630, -18725/2], [63/26, -124/13, 101/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4747/5, -11592/5, -10001/5], [-598/5, 1468/5, 1264/5], [0, 0, 0]], [[0, 0, 0], [50835903/65, -88938783/65, -81938569/65], [-947333/10, 1723183/10, 794652/5], [-17/26, -3/26, -1/13]], [[0, 0, 0], [285444006/5, 29545784/5, -74269698/5], [-30697904/5, -5631851/5, 9119077/5], [-190, 55, 15]]], 0, 768, [], [] >,
< [ 1, -3, -1, 1 ], [[24, 8, 0]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9, -13, -20], [-5, -8, -3], [0, 0, 0]], [[0, 0, 0], [-6489/13, 23605/13, -8081/13], [-46, -25/2, 143/2], [-44/13, 5/26, -3/26]], [[0, 0, 0], [-2216446, 7037997, -384959], [124290, 950993, 760086], [40995, -911, -24597]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -7, -1], [-7, 4, 1], [0, 0, 0]], [[0, 0, 0], [-10288/65, 2328/65, -561/65], [-101/5, 17/10, 41/10], [20/13, -1/26, 1/26]], [[0, 0, 0], [1714792/5, 722073/5, -416681/5], [239062/5, 51973/5, -81181/5], [-3507, -1575, 714]]], 0, 768, [], [] >,
< [ 1, -3, -1, 1 ], [[24, 8, 0]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-17, 26, 25], [16, -46, -38], [0, 0, 0]], [[0, 0, 0], [-2016, -138/13, 11953/13], [-639/2, -1609/2, -457], [127/26, 5/26, 1/13]], [[0, 0, 0], [127095952, 58119362/13, -390269082/13], [-5378184, 169004922, -74947732], [16557660/13, -76554828/13, 31730104/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10573/5, 27108/5, 23149/5], [1182/5, -3032/5, -2586/5], [0, 0, 0]], [[0, 0, 0], [88959809/65, -213597614/65, -184744182/65], [-1531509/10, 3671919/10, 1588521/5], [21/26, 1/26, -1/13]], [[0, 0, 0], [-1556171986/65, 37740536/65, 324045508/65], [13129138/5, 1874972/5, -3746404/5], [-34760/13, 114800/13, -45520/13]]], 0, 768, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, -8, 24]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, 0, -1], [162, -424, -360], [0, 0, 0]], [[0, 0, 0], [8238399958235984813/244054478, -6082088662176717405/122027239, -1539929471/244054478], [486755961410/17, -718705799661/17, -99/17], [67604253611/20744630630, -49909577893/10372315315, -3/20744630630]], [[0, 0, 0], [-751158638182398439146532137/122027239, 107644491033558187452504882/122027239, 80143991608479444504512093/122027239], [-88762610914461884285/17, 12720090800427309158/17, 9470422860178693407/17], [-6164002638216969931/10372315315, 883329956288161756/10372315315, 657661045875224303/10372315315]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-100, 126, 112], [-51, 130, 111], [0, 0, 0]], [[0, 0, 0], [-18367687108983948066093/4148926126, 3110961603594306613101/2074463063, -7690476258861/4148926126], [-61261740654972/289, 20751978332451/289, -745/289], [-1052605800409/352658720710, 178281359037/176329360355, -3/352658720710]], [[0, 0, 0], [218663228253145259317880764642005/2074463063, 26241264966997115248396270241790/2074463063, 101770298910357353282909691895717/2074463063], [1458614783725449333410388/289, 175044966055097921434288/289, 678868886919827747866060/289], [12531037851004137195536/176329360355, 1503820693021810648004/176329360355, 5832199023306444632272/176329360355]]], 0, 3072, [], [] >,
< [ 1, -3, -1, 1 ], [[24, 8, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-381, 1112, 937], [-138, 372, 314], [0, 0, 0]], [[0, 0, 0], [-74425/2, 153919, -66831/2], [-1973, 7731, 6724], [-7/2, -3, 3/2]], [[0, 0, 0], [596593481, -1158987610, -1792087583], [243783343, -595557718, -510302409], [-47567, 22594, 46163]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5611, -12654, -10713], [-208, 550, 466], [0, 0, 0]], [[0, 0, 0], [-3198162568377/10, 7938563368291/5, -6704581228599/10], [7025978184/5, 49439081/5, -33669877/5], [17/10, -21/5, -1/10]], [[0, 0, 0], [-171139692031010643/5, 38298212557277293/5, 21685816009449584/5], [-1904948473616843/5, -548188061139102/5, 525472012486799/5], [-735722/5, 362947/5, 733161/5]]], 0, 896, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, -32, 0]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, 9, -2], [-5, 5, -4], [0, 0, 0]], [[0, 0, 0], [1042042/17, 1473457/17, -684785/17], [-74678, 62775, -76793/3], [32/17, 2/17, 2/51]], [[0, 0, 0], [2583820983, -41417068, -159925567], [-3679202384/3, -5729690122/3, 2325475958/3], [146575/3, 101270/3, -34645/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [56, -7, 9], [14, 1, 5], [0, 0, 0]], [[0, 0, 0], [641391508/85, -149967528/85, -102164824/85], [31039736/15, -8297816/15, -5728328/15], [676/255, 44/255, 2/255]], [[0, 0, 0], [-30713975837281/85, -920959764532/5, 17132439099813/85], [-1504005644852/15, -650378412368/15, 905738933956/15], [-30490747/255, -32275348/255, 5292791/255]]], 0, 4096, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, -6, -4]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[-1, 7/2, 5/2], [20/17, -49/34, -37/34], [-1/6, -1/2, -1/3], [1/102, 1/34, 1/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 0, 0], [1, 0, 0], [0, 0, 0]], [[-373/2, -185/2, 0], [-112463/170, 12963/170, -638/85], [467/15, -3/10, 1/10], [-467/255, 3/170, -1/170]], [[-45087342, -123742155, -66197919], [-17922317548/85, -802515276/5, -5397873581/85], [47971903/5, 47935157/5, 20798236/5], [-47971903/85, -47935157/85, -20798236/85]]], 1, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, -6, -4]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[217/2, 0, 9/2], [-727/34, 464/17, 89/34], [-110/3, 0, -2/3], [110/51, 0, 2/51]], [[-869897/2, -33104, 408709/2], [1108439/34, 880588/17, 13269/2], [291637/2, 39544/3, -133461/2], [-291637/34, -39544/51, 133461/34]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 0, 0], [1, 0, 0], [0, 0, 0]], [[-9/2, -1, -5/2], [6963/170, -1129/85, -17/10], [193/15, -13/15, 1/15], [-193/255, 13/255, -1/255]], [[-28914, -114155, -76709], [2563254/5, 5189857/85, -9066909/85], [4537217/30, 1297499/15, 330419/30], [-4537217/510, -1297499/255, -330419/510]]], 1, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, -24, -16]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 7, 9], [-7, -1, 4], [0, 0, 0]], [[0, 0, 0], [-313159/17, 2026796/17, 1298597/17], [-77971/3, 41479/3, 55516/3], [130/51, -1/51, 5/51]], [[0, 0, 0], [-1332373042/17, 748065185/17, 1911987435/17], [108787924/3, 14436057, 9860059/3], [-19052/3, 57156/17, 19052/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, 8, 8], [-1, 0, 3], [0, 0, 0]], [[0, 0, 0], [-1841048/85, -494707/85, 550629/85], [-3127/5, -4394/15, -1847/15], [407/85, 29/255, 2/255]], [[0, 0, 0], [-35545434333/5, -14192895887/5, 7035044354/5], [-444037787/15, -2909575581/5, -6180906224/15], [16053796/15, 8026898/5, 13864642/15]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, -24, -16]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, 4, -3], [3, 2, -5], [0, 0, 0]], [[0, 0, 0], [-202244/17, -149252/17, 34812/17], [28295/3, -4426, -17551/3], [-20/51, 1/17, 1/51]], [[0, 0, 0], [-91798626/17, 25359834/17, 62806272/17], [974945, 3803005, 2250390], [-2145/17, 195/17, 810/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [34, -10, 4], [4, 5, -1], [0, 0, 0]], [[0, 0, 0], [-1579231/17, -3291102/17, 1450411/17], [-25704, 7618/3, -10190/3], [-96/17, -7/51, -1/51]], [[0, 0, 0], [-104157141331/85, -166857125574/85, -11140755357/85], [-2848819102/15, -5364884813/15, -3247364189/15], [-12662768/255, -16448872/255, -7667656/255]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, -24, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11, 6, -5], [-77, 6, -3], [0, 0, 0]], [[0, 0, 0], [-35407061/2, -1393204, 1179063/2], [-136803415, -24244741, 26390916], [-1/2, -4, 3/2]], [[0, 0, 0], [-138718119770, -93374372200, -13766731374], [-1188794546233, -493479763324, 166872902013], [-9260, -18400, 276]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-100, 16, -6], [-35, 4, -5], [0, 0, 0]], [[0, 0, 0], [43969289/10, -9793337/5, -19713927/10], [8447537/5, -5002907/5, -4660186/5], [41/10, -23/5, -3/10]], [[0, 0, 0], [13956899029/5, 17928782551/5, 3557181883/5], [4160628049/5, 8558298036/5, 3053261283/5], [8596/5, 18869/5, 1282/5]]], 0, 1152, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 16, 16]], [ -19, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, -8, 1], [-3, -8, 1], [0, 0, 0]], [[0, 0, 0], [16821/19, -1160/19, -5379/19], [-861, -559, 98], [-24/19, -1/19, 5/19]], [[0, 0, 0], [287906/19, -226610/19, -666796/19], [21372, -77733, -72555], [-18/19, -729/19, 9]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, -4, 2], [28, -10, -2], [0, 0, 0]], [[0, 0, 0], [-385036/19, 112744/19, 48114/19], [-80667/5, 23747/5, 4276/5], [-657/95, 7/95, -4/95]], [[0, 0, 0], [-65425377, 85029506, 67821685], [-86220793/5, -103618162/5, -118571721/5], [162148/5, -567518/5, -486444/5]]], 0, 4608, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 8, 40]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6160/227, -13378/227, 2844/227], [181/227, 652/227, -5/227], [0, 0, 0]], [[0, 0, 0], [8332090510013722741/4280161726, -6931931939429109961/2140080863, -5170504135075445/4280161726], [-11954688/227, -17840872/227, 10715944/227], [-4744270163/4280161726, 3952283905/2140080863, 1/4280161726]], [[0, 0, 0], [6213447916439608281645263687/4280161726, -9932466918125022042715409870/2140080863, -16027848457214484642304724195/4280161726], [6138071273211408/227, 866319458432112/227, -1928975220607104/227], [-3542187908718686767/4280161726, 5659459798403694275/2140080863, 9133313949289622275/4280161726]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1915622/227, -310294/227, 3298/227], [-3905/227, 652/227, -5/227], [0, 0, 0]], [[0, 0, 0], [101243313848263907202596/27821051219, -37154888819815061847046/27821051219, -1622156494075135571842/27821051219], [-25053416330902/2951, 1832496602510/2951, 380113535288/2951], [-59458155727/27821051219, -119188772686/27821051219, -1/27821051219]], [[0, 0, 0], [-96804238563518736894172087296821/55642102438, 25192106449003265589315364640715036/27821051219, -21584200568019654245127135655810599/55642102438], [-282876403338476597930197/2951, -5435470743366006455112372/2951, 1366066354924457716266791/2951], [-11045752226160429492253/55642102438, 188638679776434474363/27821051219, -37371130406030111346271/55642102438]]], 0, 4608, [], [] >,
< [ 1, -3, -1, 1 ], [[24, 8, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1469, 3496, 3001], [-158, 388, 334], [0, 0, 0]], [[0, 0, 0], [46519, -293126, 123181], [-1745, -222, 253], [-3, 2, 1]], [[0, 0, 0], [7074721/2, -21183154, 18703251/2], [-131668, 30045, 51327], [-207/2, -102, -297/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1655, 2810, 2345], [101, -280, -235], [0, 0, 0]], [[0, 0, 0], [34019619287/2, -73638923139, 60838629263/2], [-47052727, -708539, 144146], [-7/2, 3, 1/2]], [[0, 0, 0], [-8962614969618/5, 49242739258758/5, -20415893742876/5], [16617327565, -5680384332, -8672730759], [2676/5, 2594/5, 2582/5]]], 0, 1280, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, 8, 24]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [701, -2216, -1895], [143, -370, -315], [0, 0, 0]], [[0, 0, 0], [-810229214, 2496166637, -980703664], [-1934283, -37102, 17979], [-4, -3, -2]], [[0, 0, 0], [12856082058005/2, -20066692643296, 15751014594625/2], [15683056948, -3499467868, -2782346944], [86449/2, -13112, -28259/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [362, -6, 30], [11, -1, 4], [0, 0, 0]], [[0, 0, 0], [-4389574989/2, -133536256, 555567179/2], [-67491648, 225568, 130144], [-3/2, -2, 5/2]], [[0, 0, 0], [-148539249920326, -47970867290474, 45727020144538], [-4423399287104, -1787543777376, 1316041830432], [-155134, 47796, 50862]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, 2, 6]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1, -3/2], [-312, 7, -28], [1/2, 1, -3/2], [0, 0, 0]], [[-5619364, -17663, -30504], [5068082625/2, 641327293, -1907628237/2], [-5619359, -17668, -30512], [5/2, 1, 3/2]], [[-249181501921, 37870432109/2, 123098037973/2], [211193586079643/2, 29248425283593, -34207296586298], [-498362896537/2, 37870788179/2, 61549055809], [142670, -43780, -90475/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 3, -5/2], [-99, 33, -37], [-5/2, 3, -5/2], [0, 0, 0]], [[-255685/2, -291, 7669/2], [-6312619, -2018581/2, 2392559/2], [-255679/2, -297, 7661/2], [0, 5/2, 1/2]], [[170297483/2, 52864961/2, -33137405], [4412844045, 2154892637/2, -1508286970], [85148545, 52862993/2, -66275323/2], [-1377/2, 531/2, 453/2]]], 1, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, 2, 6]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -2, -2], [-30, -37, -35], [-2, -2, -2], [0, 0, 0]], [[-68, -14, 4], [-2027/2, -359/2, 235/2], [-145/2, -11, 27/2], [5/2, 1/2, -5/2]], [[-11094655/2, -2350026, 3388511/2], [-82612516, -31463180, 25988452], [-11846821/2, -1932714, 3829637/2], [232956, -65529, -77598]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, -3, -3/2], [200, -50, -27], [-9/2, -3, -3/2], [0, 0, 0]], [[549027/2, 2391, -12371/2], [-10374441, 4497452, 470951/2], [274512, 2392, -6184], [1, 0, -1/2]], [[-96, 15892, -6384], [115618, -942945, 411781], [-96, 15892, -6384], [0, 0, 0]]], 1, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, 32, 16]], [ -5, 0, 0 ], [ 1, -11, -8 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 6, -6], [-10, 2, 0], [0, 0, 0]], [[0, 0, 0], [19/5, 3261/5, 3998/5], [1007/2, 195, 129/2], [-9/10, -4/5, -1/2]], [[0, 0, 0], [45318, 22432, -37174], [92412, 28744, -36954], [-196, -56, 84]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -6, -12], [4, -8, -2], [0, 0, 0]], [[0, 0, 0], [-470499/5, -75201/5, 152882/5], [-48753/2, -6389, 18833/2], [-9/10, -4/5, -1/10]], [[0, 0, 0], [-162709622/25, 17667682/25, 22977326/25], [-4402292/5, -14628948/5, 7433176/5], [-1808/25, -612/25, 1284/25]]], 0, 6144, [], [] >,
< [ 1, -3, -1, 1 ], [[-24, -24, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [783, -2032, -1759], [-97, 262, 221], [0, 0, 0]], [[0, 0, 0], [-1177/2, 516, -165/2], [124, 47, -27], [1/2, 4, 5/2]], [[0, 0, 0], [9588, -35880, 14506], [81, -100, 33], [0, 2, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [869, -2130, -1823], [-118, 270, 236], [0, 0, 0]], [[0, 0, 0], [-9048663/10, 14227489/5, -11460711/10], [254111/5, -26551/5, -24418/5], [-27/10, 11/5, 1/10]], [[0, 0, 0], [201623595, -401550753, 136342782], [-33304395, -3711036, 9536817], [1380, 69, -207]]], 0, 1792, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, -8, -8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2297, 5514, 4717], [-218, 552, 472], [0, 0, 0]], [[0, 0, 0], [1988069/2, -1990562, 1422585/2], [2231, -621, 314], [-11/2, 0, -3/2]], [[0, 0, 0], [-2247411966, 659879442, 189141200], [-9807859, 69218, 3623531], [27984, -3168, -12848]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1009, -1112, -967], [47, -112, -97], [0, 0, 0]], [[0, 0, 0], [-100993658629/10, 141363814622/5, -109047079893/10], [-11528426, 182795, 76591], [-7/10, 6/5, 1/10]], [[0, 0, 0], [-1086455716875926/5, 320236279943846/5, 80599695131253/5], [-904621226370, -225810743406, 240542904396], [-150768/5, 38178/5, 75729/5]]], 0, 1920, [], [] >,
< [ 1, -3, -1, 1 ], [[-40, 8, 16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-85, 2, -9], [5, 2, -1], [0, 0, 0]], [[0, 0, 0], [1199/2, -2404, 1937/2], [3, 7, 4], [9/2, 2, -1/2]], [[0, 0, 0], [-30333983, 110297282, -44743239], [-47488, 222956, 142380], [16090, 47900, 15678]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5320, -13462, -11342], [-87, 236, 199], [0, 0, 0]], [[0, 0, 0], [-338176007639/10, 617516154402/5, -493674641103/10], [-142858403/5, -4142757/5, 248744/5], [-1/10, -2/5, 3/10]], [[0, 0, 0], [-11735597, 42080250, -20223049], [-116449, 30590, 69207], [0, 0, 0]]], 0, 2048, [], [] >,
< [ 1, -3, -1, 1 ], [[32, 8, 40]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [148, 8, -4], [135, 10, -1], [0, 0, 0]], [[0, 0, 0], [-633083678, 49584335, -7851716], [-578116740, 36053802, -17745932], [1, -1, -1]], [[0, 0, 0], [-2038043221702283/2, 403230855925640, -65930517235703/2], [-935767065803788, 369087403516767, -37281567009719], [2219603/2, -615752, -1232161/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1335, -6, -11], [-178, 6, 4], [0, 0, 0]], [[0, 0, 0], [4220194094753/2, 59352058374, 91440072649/2], [-281869351999, 1742892203, -910000474], [-1/2, 4, -1/2]], [[0, 0, 0], [327900706605711844706/5, 48825306241390710094/5, -127334688283558895058/5], [-43064112811386810501/5, -6951412887986425704/5, 16398589882031787223/5], [139542494/5, -77483744/5, -77498642/5]]], 0, 61440, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 88, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [214, 8, 4], [215, -2, 5], [0, 0, 0]], [[0, 0, 0], [-252589670969/2, -1062101986, 5615429605/2], [-126707482792, 4289138025, 1995366985], [-1/2, 4, 5/2]], [[0, 0, 0], [-30224384168566011/2, 2503769667550053, 5009185214558685/2], [-15094111896405152, 2938817622444633, 2271559085553715], [240135/2, -285, -206145/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1133, 4, 5], [272, 8, 4], [0, 0, 0]], [[0, 0, 0], [144918794172, -3758256090, -1571016054], [34819570763, -83250556, -89708941], [-4, 4, 0]], [[0, 0, 0], [-23873415710615997/10, -8892299775829209/5, 2496852694759311/10], [-571132810878787, -448480735639195, 43135648622022], [609129/10, 1413/5, -520227/10]]], 0, 53760, [], [] >,
< [ 1, -3, -1, 1 ], [[-72, -72, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 30, -12], [-9, 60, 45], [0, 0, 0]], [[0, 0, 0], [91589, -293064, 115978], [4537, 11290, 375], [2, -2, -1]], [[0, 0, 0], [15043395/2, -11488419, 7380453/2], [2871930, 706773, -1048527], [921/2, 75, -213/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-54, -6, -30], [15, 0, -9], [0, 0, 0]], [[0, 0, 0], [-685987/5, -1962543/5, 1289086/5], [284098/5, 1762/5, -29874/5], [-28/5, -17/5, -1/5]], [[0, 0, 0], [12582004307/10, -33409611711/5, 28694257559/10], [1002612886/5, -1249418081/5, 400442677/5], [-155727/10, 2431/5, -4719/10]]], 0, 46592, [], [] >,
< [ 1, -3, -1, 1 ], [[48, 112, 16]], [ -5, 0, 0 ], [ 1, -11, -8 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -8, 0], [6, -6, 0], [0, 0, 0]], [[0, 0, 0], [-2584/5, 1549/5, 497/5], [-547/2, 203, 157/2], [43/10, -24/5, 1/10]], [[0, 0, 0], [3024838, 1168972, -527534], [1416714, 769780, -93152], [-20398, -8742, 2444]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [34, 20, 12], [-6, 10, 2], [0, 0, 0]], [[0, 0, 0], [-5830226/5, -331779/5, 1784683/5], [166751/2, -30251, 22027/2], [-3/10, -6/5, -1/10]], [[0, 0, 0], [44311298912/25, 9389251228/25, -14632558046/25], [-546163468/5, -219639432/5, 183541964/5], [24368/25, 9392/25, -1344/25]]], 0, 159744, [], [] >,
< [ 1, -3, -1, 1 ], [[14, -14, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-45, 0, -2], [46, -54, -6], [-45, 0, -2], [0, 0, 0]], [[62019552, 2460868, 1864180], [-125266989/2, 139681517/2, 10660538], [62019551, 2460862, 1864176], [5/2, 3/2, 0]], [[2353009067574, -7296490760247/2, 3171741208905/2], [-3722106135598, 10151962949350, -6297677895497/2], [4706018077005/2, -7296490951683/2, 1585870480227], [115461/2, 19200, 9459]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[329/2, 5, 5/2], [369, 182, 8], [329/2, 5, 5/2], [0, 0, 0]], [[11869419255, -270174002, 153323745], [26633232550, 11682668909, -118067203], [11869419255, -270173996, 153323743], [-1, -2, 1]], [[7559425176325/2, 16778905602653/2, 3012280016360], [5855717460929, 61619972006627/2, 17463391615269], [3779712588561, 16778905605159/2, 6024560036005/2], [-1547/2, -503/2, -247/2]]], 1, 528, [], [] >,
< [ 1, -3, -1, 1 ], [[14, -14, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[191/2, 5, 5/2], [200, 106, 13], [191/2, 5, 5/2], [0, 0, 0]], [[33608901147/2, 325768098, -772060235/2], [35966051444, 30326612505/2, -765741541], [16804450552, 325768067, -386030092], [2, 5/2, -2]], [[12103186877602157/2, -737952523240688, -8010930276727529/2], [16560899490696665, -14303021520978271/2, -12949032349113373], [6051593430960746, -737952526873163, -4005465141131722], [745591, 485023/2, 118657]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-37/2, 5, 1/2], [-268, -8, 1], [-37/2, 5, 1/2], [0, 0, 0]], [[-141317590, -2532120, 2350157], [-1841781486, -2391711849/2, -1171349611/2], [-141317582, -2532096, 2350182], [-1, -3/2, -3/2]], [[367288762530857/2, 8019060078112, -62044961458501/2], [2739171180929379, 1411169441475711/2, -288289125339075], [183644361673290, 8019051002265, -31022487672170], [1863279, 1211331/2, 298265]]], 1, 528, [], [] >,
< [ 1, -3, -1, 1 ], [[56, -56, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [35, 10, -5], [228, 0, 4], [0, 0, 0]], [[0, 0, 0], [-1319453/2, -294, 20265/2], [-5237463, 4591762, -1973113], [15/2, 2, 5/2]], [[0, 0, 0], [-10121582761272, -987937601670, 994764645966], [-73848001750735, 40374159355372, -14917994188513], [117223330, 38864210, 19244680]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-118, 10, 2], [-250, -1, -1], [0, 0, 0]], [[0, 0, 0], [-13521057483, 68583398, 74461489], [-28515236550, -2765331735, -846106705], [3, -2, -1]], [[0, 0, 0], [11087357934723/2, -589164575064, -3624251913525/2], [12269178556220, -1641659230965, -4528883229605], [-1563/2, -264, -267/2]]], 0, 33792, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 112, 32]], [ -19, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [174, -6, -10], [184, 4, 0], [0, 0, 0]], [[0, 0, 0], [173984423/19, -14840044/19, -25902761/19], [9885410, -802862, -1354830], [147/19, 2/19, 3/19]], [[0, 0, 0], [-12974540201414, -102843446763762/19, 73294776957472/19], [-13761753186677, -6578946812109, 3599197499176], [-154006605/19, -256515201/19, -70113780/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 12, -12], [18, 10, -2], [0, 0, 0]], [[0, 0, 0], [-4055228/19, 2252314/19, -159948/19], [-958178/5, -181207/5, 278219/5], [742/95, 23/95, -1/95]], [[0, 0, 0], [-1208571321915/19, -642153565592/19, 582743973823/19], [-376131550947/5, -98633859328/5, 109622452281/5], [184402698/95, 340919152/95, 103689696/95]]], 0, 92160, [], [] >,
< [ 1, -3, -1, 1 ], [[-112, -88, 24]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [245290/227, 44722/227, 7288/227], [-10315/227, -1504/227, -1/227], [0, 0, 0]], [[0, 0, 0], [61811325231829249/18855338, -74512222995788978/9427669, -15901029567395739/18855338], [-533458624, 165400832, 35209088], [23360428171/4280161726, 4780853484/2140080863, 5/4280161726]], [[0, 0, 0], [1089230768691742368559626747/4280161726, -146657669258937398045446334/2140080863, -8065870466807979251071397583/4280161726], [-2423100077366843040/227, -19074068471724842960/227, 9097647262577502720/227], [3951334294993767/4280161726, 2557206318453678705/2140080863, 2245101610931509605/4280161726]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14955053/227, 812648/227, -777/227], [31272/227, -1702/227, 4/227], [0, 0, 0]], [[0, 0, 0], [69498431196719100408037/55642102438, -12318027838795728745418/27821051219, 24622352317604332225497/55642102438], [9023372898179/2951, 6169354159790/2951, -2731904125643/2951], [155478147447/55642102438, 15964199504/27821051219, -3/55642102438]], [[0, 0, 0], [-639630509537845288787918097330573087/55642102438, 2328980011685689022627487616328916454/27821051219, 811366788427313019336596339587824185/55642102438], [99883311354700267952480562/2951, 112868343187386724369813176/2951, 130878508022514427748544318/2951], [268618859459195295095603/55642102438, 2925206416059011280350472/27821051219, 2052592483892008997454357/55642102438]]], 0, 92160, [], [] >,
< [ 1, -3, -1, 1 ], [[48, -24, -56]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 8, 2], [-173, -10, -3], [0, 0, 0]], [[0, 0, 0], [-3262738, 171255, 36325], [49037770, -36818126, 9663794], [3, 5, 0]], [[0, 0, 0], [7884979522167/2, 1254636141054, -549136728081/2], [-53499238064574, 4711927544183, 3045552706787], [-7700165/2, -6700980, -3806605/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [503, 8, -3], [98, -2, 0], [0, 0, 0]], [[0, 0, 0], [-244124748989/10, -2529766683/5, -28156283/10], [-4757052129, 76552037, -27880386], [-17/10, -9/5, 1/10]], [[0, 0, 0], [1770510860736389/2, 343941112421799, 176594869130799/2], [172626757756916, 60194615223079, 16043243268727], [115037/2, 100779, 57639/2]]], 0, 23040, [], [] >,
< [ 1, -3, -1, 1 ], [[112, 80, -16]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-189, -13, -8], [-189, -5, -2], [0, 0, 0]], [[0, 0, 0], [-3003807608/17, 1701469804/17, -190456630/17], [-174349943, 100015076, -11202447], [-21/17, 0, -1/17]], [[0, 0, 0], [-82049879793586/17, -43272705810572/17, 35352703878110/17], [-4753000570993, -7503601481174/3, 6194249026877/3], [-648527/17, -1352266/51, 292003/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [96, -5, 11], [44, -3, 5], [0, 0, 0]], [[0, 0, 0], [-973030723/85, -82480352/85, 85892799/85], [-78527536/15, -1988608/5, 2311896/5], [559/255, 2/85, 1/85]], [[0, 0, 0], [581554810360272/85, 327083841929958/85, -108705813336936/85], [15625929742208/5, 8725428483972/5, -2998399648324/5], [-104670192/85, -76410928/85, 14177856/85]]], 0, 73728, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 2, -10]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 239/2, 1/2], [95, -3149/34, 43/34], [-905/6, -7/2, 4/3], [227/102, -1/34, 2/51]], [[-241798167, 446103411, 184068768], [-766699089/17, -6607555929/17, 992280354/17], [376266455, 66694658, -308842624], [-93097030/17, -1131949, 80599389/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [35, 0, -2], [-22, -1, 1], [0, 0, 0]], [[-75, -69/2, 3/2], [-1100527/17, 657795/34, -99081/34], [80959/2, -20125/2, 1914], [-25/34, 1/34, 0]], [[-131534326, 52613946, 107388204], [-5532529944777/85, -3520210420028/85, 296969158373/5], [214756358577/5, 109238328703/5, -589080538193/15], [-77480172/85, -13810258/85, 192790598/255]]], 1, 288, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 2, -10]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -4, -2], [-3, -4, -2], [-44, -1, 4], [0, 0, 0]], [[-69273/2, -11281, -1051/2], [-1179521/34, -191661/17, -17907/34], [-810519/2, 225577/3, 206635/6], [31/34, 5/51, 5/102]], [[-520080285/2, -74324244, 504560535/2], [-520557861/2, -74845236, 505385439/2], [-1578868066, -3895582865, 2341608781], [5427, 5427, -7236]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-61/2, -4, 5/2], [-445/2, -14, 5/2], [96, 5, 0], [0, 0, 0]], [[37123597, -1456084, 392105], [23454743883/85, -4043532208/85, 2568941041/85], [-3582216983/30, 115287198/5, -447460981/30], [-547/510, -8/85, 1/510]], [[136694237861097, 56232510703488, -118399078332829], [80759407696986897/85, 47896895011510958/85, -86673697173000761/85], [-2033540185444862/5, -1268150533519863/5, 2253227932826096/5], [-370413148/85, -74164832/85, 303763964/85]]], 1, 288, [], [] >,
< [ 1, -3, -1, 1 ], [[48, 8, -40]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [80, 4, 6], [69, -4, 5], [0, 0, 0]], [[0, 0, 0], [-18117765/17, 30836207/17, -11617348/17], [-2919662/3, 1819632, -2054410/3], [53/51, 1/17, -2/51]], [[0, 0, 0], [9082466220/17, -296792960132/17, 154448871608/17], [1208039955, -51944099513/3, 8549892672], [126651/17, 91427/51, -96348/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [524, -2, 10], [183, 2, 3], [0, 0, 0]], [[0, 0, 0], [73508342337/85, -45043838137/85, 16022981834/85], [1504216978/5, -884808258/5, 947179288/15], [87/85, -7/85, 2/255]], [[0, 0, 0], [-4473680783380197/85, -4000861443852143/85, 5170656853317496/85], [-93348789453523/5, -236815794289891/15, 105903181608684/5], [-7368002/85, -4231034/255, 5693016/85]]], 0, 18432, [], [] >,
< [ 1, -3, -1, 1 ], [[48, 8, -40]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -2, -4], [302, 3, 5], [0, 0, 0]], [[0, 0, 0], [-73886799/17, 200952/17, 8305003/17], [3784998959/3, 617119385/3, -1069673588/3], [-95/51, -5/51, -4/51]], [[0, 0, 0], [117192285321, 35768764992, -89021667539], [-102640944084128/3, -28570158442208/3, 37008940645724/3], [185344/3, -22016/3, -202240/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [98, -4, 8], [-62, 1, -5], [0, 0, 0]], [[0, 0, 0], [5886128802/17, -316977724/17, -310566536/17], [-219589868, 8052085, 36848521/3], [-16/17, -1/17, -1/51]], [[0, 0, 0], [67765244356754101/85, 30188350038875114/85, -50263797847761983/85], [-7685957417700028/15, -3192561403736212/15, 1882624476443228/5], [-632676272/255, -111291488/255, 177931072/85]]], 0, 18432, [], [] >,
< [ 1, -3, -1, 1 ], [[48, 8, -40]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [167, 4, 3], [130, 4, -2], [0, 0, 0]], [[0, 0, 0], [1638416739/2, -47139675, 64196995/2], [636393348, -27932345, 3268111], [-3/2, 5, 5/2]], [[0, 0, 0], [-3517418931389/2, -363099218044, 1064405239287/2], [-1367468297906, -282956553521, 414928146879], [-1121/2, -380, 171/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [594, 10, -10], [-205, 4, -5], [0, 0, 0]], [[0, 0, 0], [1232177347851/10, 19965541827/5, -46497542533/10], [-212498811167/5, 269461567/5, -154997584/5], [-1/10, -7/5, 3/10]], [[0, 0, 0], [-12804592411786882, -3488200213672594, 3165126547070227], [4374487704344519, 1221987207407866, -1042973275531447], [45941, 32724, -6618]]], 0, 18432, [], [] >,
< [ 1, -3, -1, 1 ], [[80, -48, -48]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 4, -2], [118, 10, -4], [0, 0, 0]], [[0, 0, 0], [40016/13, 44999/13, -47129/13], [190721/2, -95401, -15889/2], [-29/26, 1/13, 1/26]], [[0, 0, 0], [438480, 406944, 142038], [6087618, 11157280, 3285917], [-174, 0, 87]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 0, 10], [-22, -10, 2], [0, 0, 0]], [[0, 0, 0], [279974/13, -446883/13, 169703/13], [189251/2, 25349, -66387/2], [-35/26, 3/13, 3/26]], [[0, 0, 0], [-9466790/13, -12871526/13, -15620652/13], [-9550418, -898213, 3881421], [98, 877/13, 171/13]]], 0, 43008, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 2, 6]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21/2, -7, 5/2], [-37/2, -16, -13/2], [29, -3, 3], [0, 0, 0]], [[-158840, -221567, 133536], [14518411/26, 2697153/13, -373813/2], [-610257, -845959/2, 312573], [29/13, -5/26, 1/13]], [[17293345291/2, 6579062177, -10643081315/2], [-375911236437/13, -83461093415/26, 338385754779/26], [125104532713/4, 24817875631/2, -58875690377/4], [-7094457/52, 2105361/26, 4318569/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[33/2, 4, -1/2], [6091/10, -33/5, 187/10], [-127/5, 2/5, -4/5], [0, 0, 0]], [[1381241/2, 83526, -54377/2], [3358402009/130, -581845839/130, 84659664/65], [-21549609/20, 962941/5, -1115783/20], [-123/52, -1/13, -5/52]], [[-87937288486, 38557338456, 53108703222], [-198548856376297/65, 98633290490107/65, 98230152357516/65], [635877013826/5, -316208630856/5, -312942319718/5], [4039578/13, -2254248/13, -2542482/13]]], 1, 168, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 2, 6]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33/2, 7, -5/2], [71/2, 16, 7/2], [-47, -3, -3], [0, 0, 0]], [[1375357/2, -125005/2, -135465], [-47841607/26, -2227479/13, 15351975/26], [8794241/4, 93778, -2417445/4], [-239/52, -2/13, -5/52]], [[1925596385/2, -1036911055, 403682445/2], [-27534848525/13, 8756971603/13, 7968663983/13], [5373261785/2, -3084977685/2, -458937255/2], [-155075/26, 155075/26, -155075/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[39, 9, -2], [7451/5, -26/5, 67/5], [-299/5, 4/5, -3/5], [0, 0, 0]], [[21274863, 2330431/2, -3638927/2], [53566658244/65, -11827048944/65, 677779998/65], [-661578373/20, 76541699/10, -10276861/20], [59/52, -3/26, 3/52]], [[-4126960536429/2, 715535240398, 2105407926963/2], [-1965028770487349/26, 433361132838609/13, 788711745536757/26], [6047181740293/2, -1338477678317, -2391912199185/2], [-3040875/26, 884782/13, 1692979/26]]], 1, 168, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 8, 24]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, -2, -1], [70, 6, 0], [0, 0, 0]], [[0, 0, 0], [-126/13, 346/13, -57/13], [-359, 759/2, -297/2], [-40/13, 5/26, -1/26]], [[0, 0, 0], [-532126/13, 1353996/13, 10414068/13], [14977486, -16433873, -2803965], [1908410/13, -1065645/13, -1046143/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1401/5, 124/5, -23/5], [-144/5, -16/5, 2/5], [0, 0, 0]], [[0, 0, 0], [-119600163/65, -86583682/65, -47643186/65], [935484/5, 1471067/10, 808381/10], [-15/13, 5/26, 5/26]], [[0, 0, 0], [-3953569754/65, 1004453998/5, 10972143597/65], [33449822/5, -218003879/10, -183089917/10], [137/13, -145/26, -125/26]]], 0, 10752, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 8, 24]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, -3, -2], [39, -2, -5], [0, 0, 0]], [[0, 0, 0], [1351556/13, -1152513/13, -1066236/13], [648433, 186183/2, -156219/2], [-1, -3/26, -1/26]], [[0, 0, 0], [1193269204/13, -2531136158, -26348373536/13], [-9834565043, 2222694133, 4290877524], [223077/13, -113887/13, -119316/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [388/5, 7/5, 1/5], [433/5, 52/5, 1/5], [0, 0, 0]], [[0, 0, 0], [-1845017286/13, 738952067/13, -243440443/13], [-312404861/2, 40690727, -32359391/2], [-115/26, 1/13, -1/26]], [[0, 0, 0], [1751662226469746/13, -1181011511000999/13, -657809475553058/13], [155767119471492, -204757703357571/2, -144163988284227/2], [59200860/13, -4917681/2, -64684605/26]]], 0, 10752, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 8, 24]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 4, 3], [-74, 8, 8], [0, 0, 0]], [[0, 0, 0], [-4792, -57919/13, -55377/13], [415099/2, -75010, -7333/2], [5/26, -2/13, 1/26]], [[0, 0, 0], [107593489/13, -215610922/13, -192305874/13], [-104524903/2, 19446167/2, 23092670], [-1217/26, 553/26, 310/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1573, 100, 21], [-174, -12, -2], [0, 0, 0]], [[0, 0, 0], [-2372885646/65, -2153684094/65, 181238813/65], [40464521/10, 36610669/10, -1513984/5], [-25/26, -5/26, 2/13]], [[0, 0, 0], [-16182184519/5, 14054140524/5, 14827233652/5], [3585096867/10, -3111630057/10, -1645003713/5], [-99/2, 9/2, 33]]], 0, 10752, [], [] >,
< [ 1, -3, -1, 1 ], [[-128, -88, 8]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, 0, -1], [-63, 2, -1], [0, 0, 0]], [[0, 0, 0], [-13234510688846598069/244054478, 2081781519413596223/122027239, -207355831/244054478], [8449250681381/17, -2658125310595/17, 294/17], [-21720460807/4148926126, 3416616978/2074463063, -1/4148926126]], [[0, 0, 0], [89223609138429883690600400268/122027239, 189625170554713153877435214473/122027239, -46948511641661666627061744497/122027239], [-113925275811551214745481/17, -242123133896762491451308/17, 59946265191369258492637/17], [732168325227595951961/10372315315, 1556062850375595406929/10372315315, -385259164971722998978/10372315315]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-93, 6, -3], [-30, 4, -4], [0, 0, 0]], [[0, 0, 0], [-1092443560431626900942/2074463063, 8594712744799881892412/2074463063, 13193711078667262/2074463063], [124058715462647/289, -976311383428360/289, -219190301/289], [-119343027477/176329360355, 939121922772/176329360355, 1/176329360355]], [[0, 0, 0], [4662082215978149713254362336533691/4148926126, 5673822826919002827125666271680836/2074463063, -2627360427877816732726651373787775/4148926126], [-264883259078025495895038477/289, -644527824403044573744057915/289, 149248800874097877314915696/289], [509537886361671096102659/352658720710, 619973079195740035716938/176329360355, -287115904652579269068617/352658720710]]], 0, 43008, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 8, 24]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [104, 6, 2], [-143, -10, 1], [0, 0, 0]], [[0, 0, 0], [11882925, -803158, 115367], [-16288194, 752688, 241360], [4, -4, 2]], [[0, 0, 0], [-2578626894365/2, 301555580398, 1396451829059/2], [1752621841140, -355675884159, -921171003417], [-756195/2, 226908, 451209/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-969, 8, -11], [22, 4, -4], [0, 0, 0]], [[0, 0, 0], [51059174953/10, -14809270304/5, 21259333061/10], [-518490636/5, -687689/5, 1519573/5], [47/10, -6/5, -1/10]], [[0, 0, 0], [647293320397423/10, -517403706821204/5, -802933318680859/10], [-5133914438386/5, 5444005214491/5, 5322782417973/5], [322297/10, -96596/5, -193021/10]]], 0, 10752, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 24, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, -10, -2], [281, -662, -575], [0, 0, 0]], [[0, 0, 0], [-8689149/2, 15630207, -12559959/2], [54275, -15177, -2600], [7/2, -3, 5/2]], [[0, 0, 0], [-1097889336, 4927724184, -2037397638], [-127530822, -26124308, 50587188], [-10287, 5842, 10541]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 0, 2], [83, -212, -181], [0, 0, 0]], [[0, 0, 0], [1808013/2, -1017809, 554179/2], [-6942, -53, 471], [-51/2, 1, -5/2]], [[0, 0, 0], [12669914229, 16579025967, -10332094290], [-193586844, -19398278, 105551772], [-762600, 41943, 545259]]], 0, 1920, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 24, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-35, 4, -3], [871, -2210, -1889], [0, 0, 0]], [[0, 0, 0], [32830879/2, -23261576, 14466665/2], [-177109, -12115, 12844], [3/2, 0, 5/2]], [[0, 0, 0], [490012128268, 287930721728, -236732571556], [-9846856361, -1991441014, 3551515653], [105898, -2548, -71734]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [17, -2, 1], [938, -2338, -2006], [0, 0, 0]], [[0, 0, 0], [21915015/2, -40373265, 32555355/2], [-26804, -2391, 787], [7/2, 5, -1/2]], [[0, 0, 0], [-651713952275/2, 1204090903680, -971325268565/2], [1851911529, -154434225, -655660170], [-671727/2, -7308, 432303/2]]], 0, 1280, [], [] >,
< [ 1, -3, -1, 1 ], [[72, -72, -64]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [76, 6, 4], [-29, 6, -1], [0, 0, 0]], [[0, 0, 0], [-6867875/2, -881657, -72967/2], [1294363, 7385, -53512], [-47/2, -1, -3/2]], [[0, 0, 0], [448608361426, 13441653083, -449382605485], [-128363396592, -86842969676, 133998159450], [2549313, 1292545, -3200562]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [25, 10, 5], [-23, 10, -3], [0, 0, 0]], [[0, 0, 0], [5496303/2, 777051, -207271/2], [-2266266, 505497, 64235], [-65/2, -5, 5/2]], [[0, 0, 0], [191148910810, 5592514022, -229682656794], [-59785355682, -247032545370, 167497476628], [-1871225, -931306, 2318927]]], 0, 38400, [], [] >,
< [ 1, -3, -1, 1 ], [[72, -72, -64]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, 10, 3], [18, 4, 0], [0, 0, 0]], [[0, 0, 0], [-141505/2, 18800, -8505/2], [-161443, -140979, 91970], [19/2, 4, 3/2]], [[0, 0, 0], [426598275, 2369816510, -1431137745], [4511029407, -4947823680, 1151725807], [-164205, -83558, 198891]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [27, -6, -1], [384, -1062, -892], [0, 0, 0]], [[0, 0, 0], [13584165/2, -25249392, 20385663/2], [85660, 39979, 21157], [-15/2, 0, -5/2]], [[0, 0, 0], [125140321902, -456343338326, 183713263624], [-1396459939, 95959976, 1302147119], [92064, 48524, -116284]]], 0, 38400, [], [] >,
< [ 1, -3, -1, 1 ], [[48, 0, -32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, 20, -9], [-2, 44, -20], [0, 0, 0]], [[0, 0, 0], [-30073/5, -37256/5, -11941/5], [-13629/2, -676, 4755/2], [-29/10, 4/5, -1/2]], [[0, 0, 0], [-1025961, 2090337, 1883374], [-71930, -228035, -108845], [-123, 123, 246]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-19, -39, 2], [51, 6, -1], [0, 0, 0]], [[0, 0, 0], [-8413403/5, -7947914/5, 521843], [7116853/2, 403100, -1167597/2], [53/10, 0, 3/10]], [[0, 0, 0], [-76793088, 878139100, 480073368], [-255772510, -415770360, -300829870], [0, -1492, -1492]]], 0, 6144, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -12, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, -4, -5/2], [15/2, -1, -15/2], [-19, 1, -1], [0, 0, 0]], [[61181/2, 71622, 73117/2], [-388508/5, 289721/5, 77704], [128321, 74600, 2987/2], [9/5, 0, 3/10]], [[-1117636, -79854, 478996], [909790, 372934, -128260], [-2873752, -558834, 1037766], [-32, -16, 16]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -3, -5/2], [5/2, -2, 9/2], [-10, 1, -2], [0, 0, 0]], [[19690, 13832, -207], [-10939, -13020, -1349], [58873, 44849/2, -28487/2], [-2, 1/2, -1/2]], [[-1292289/2, 100781, 749055/2], [2125761/5, -485032/5, -310790], [-1564198, -349825/2, 648347], [292/5, -73/2, -73/5]]], 0, 192, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -12, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19/2, -12, -15/2], [57/2, -16, -13/2], [-36, -4, -3], [0, 0, 0]], [[-233029/2, -53398, 67979/2], [951121/5, 102876, -478874/5], [-631129/2, -145649, 121376], [21/10, 1/5, 1/5]], [[-1287285414, -233286016, 416723185], [10475724113/5, 414294240, -3085913112/5], [-6890483807/2, -662761257, 2133545811/2], [217693/10, 19068/5, -81039/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 0, 3/2], [-23/2, 1, 7/2], [-3, -3, 3], [0, 0, 0]], [[41/2, -70, -91/2], [38, -229/5, -422/5], [28, -92, -41/2], [-12/5, -2/5, -1/10]], [[-38671, 16801, 26818], [72032, 40060, 1219], [-22570, 44865/2, 29795/2], [-13325, -5525/2, 8775/2]]], 0, 192, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 24, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -6, 0], [16, 2, 2], [0, 0, 0]], [[0, 0, 0], [-2943/5, -17503/5, 8443/5], [-1057, -5393/2, 2607/2], [-13/5, 1/10, -3/10]], [[0, 0, 0], [21787520, -9023943, -1401007], [49087417/2, -12882893/2, -5325001], [69377/2, -1309/2, -22253]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-23, 74, -14], [78, 5, 3], [0, 0, 0]], [[0, 0, 0], [-1742786/5, 22813996/5, -3363828/5], [-58320232, -12411406, 20051765], [8, 2/5, 1/5]], [[0, 0, 0], [-5546716299/5, 9879244347/5, 1576203632/5], [26524494475, 12606446933/2, -14228184751/2], [-18981/5, -7011/10, 5301/2]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 6, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17, 2, -1], [-29, -21, -2], [-17, 2, -1], [0, 0, 0]], [[4833/2, -394, -1367/2], [5192, -403, -2564], [4817/2, -390, -1343/2], [2, 0, -2]], [[9647, 1963/2, -3839/2], [39109/2, 6414, -4385], [19267/2, 1897/2, -1921], [6, 6, -3/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 1/2, -5/2], [105/2, -7, -17/2], [-4, 1/2, -5/2], [0, 0, 0]], [[20744, -5936, 3776], [-242306, 29157/2, 91459/2], [20744, -5936, 3776], [-5, -5/2, -5/2]], [[14425972, 4615688, -7681564], [-172402608, -53425897, 60773427], [14425972, 4615688, -7681564], [-5076, 144, 3168]]], 1, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 6, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, -3, -5/2], [44, -5, -6], [13/2, -3, -5/2], [0, 0, 0]], [[2766723/2, 68092, -166555/2], [11419111, -1465541/2, -2187588], [1383360, 68090, -83270], [1, 3/2, -2]], [[-2288708211/2, -304229573, 526438941/2], [-9304337480, -1623461301, 2773682290], [-2288704275/2, -304231125, 526433325/2], [-1180, -12, 800]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, 3, -3/2], [0, 4, -8], [9/2, 3, -3/2], [0, 0, 0]], [[389/2, 43, -123/2], [13, 41/2, -3/2], [389/2, 43, -123/2], [1, 5/2, 3/2]], [[97489, 19684, -29659], [23909/2, -13567/2, -2569], [97489, 19684, -29659], [2295/2, -621/2, -945]]], 1, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 24, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -2, 0], [-24, -1, 3], [0, 0, 0]], [[0, 0, 0], [-63/2, -21, 7/2], [25, -31, 12], [9/2, 3, -1/2]], [[0, 0, 0], [-31395, -2912, 17563], [29424, -57009, 17777], [4485, 416, -2509]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-67, -10, 3], [-321, 872, 735], [0, 0, 0]], [[0, 0, 0], [-634747842, 2393542860, -968170638], [-5324217, 1258752, -381291], [6, -4, 2]], [[0, 0, 0], [7823680425/2, -12178025298, 9560425041/2], [-188361628, -4084984, 101918980], [387/2, -6, -261/2]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[88, -24, -64]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 10, 0], [-135, 340, 291], [0, 0, 0]], [[0, 0, 0], [-621132375304160167/244054478, 162673941130375741/122027239, -1702243285403/244054478], [-10251530747/17, 5369693679/17, 2436/17], [-5124756303/4148926126, 1342153915/2074463063, -1/4148926126]], [[0, 0, 0], [-183374987108740767627320/122027239, -34234998553345502943810/122027239, 40334906949323617152490/122027239], [-6053053663683986/17, -1130090991088602/17, 1331410310700412/17], [-1512968188939215/2074463063, -282463667568210/2074463063, 332790843494715/2074463063]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11, 62, 51], [-22, 68, 56], [0, 0, 0]], [[0, 0, 0], [67495134311709284235/4148926126, -1305130345820790157426/2074463063, 511205649730427/4148926126], [10747057038/289, -415465337225/289, -737785/289], [5370361721/70531744142, -103845617531/35265872071, -3/70531744142]], [[0, 0, 0], [-23678153144441989908083076408251/2074463063, -47889299011670906006873069056986/2074463063, -28801346476959784005534642661490/2074463063], [-7537095797412440732876/289, -15244613909553789513372/289, -9168536921997202283464/289], [-1884006806974739204962/35265872071, -3810421852083066339019/35265872071, -2291644399669984330120/35265872071]]], 0, 18432, [], [] >,
< [ 1, -3, -1, 1 ], [[56, 40, 16]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [185783/227, 1132/227, 4289/227], [-7845/227, 142/227, 1/227], [0, 0, 0]], [[0, 0, 0], [-6582178909377092427/4280161726, -4489883003201902426/2140080863, 6311673069887288723/4280161726], [16420265915/227, 22397862100/227, -13947337795/227], [-464108437/4280161726, -327877821/2140080863, 1/4280161726]], [[0, 0, 0], [33999081141456071903591583/2140080863, 24331735368112745552337498/2140080863, -21623279424011438862145443/2140080863], [-168371512353495975/227, -126509357976340410/227, 95196362482174315/227], [2250166760737629/2140080863, 2422722686650050/2140080863, 53815906902117/2140080863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3192724/227, -93736/227, 3298/227], [-6629/227, 198/227, -5/227], [0, 0, 0]], [[0, 0, 0], [241104150890893839911337/27821051219, -22455929108531946397707/27821051219, -6502855703827492496185/27821051219], [-45317656020288/2951, -660826426080/2951, 1443029328332/2951], [142921309384/27821051219, -103379637066/27821051219, 1/27821051219]], [[0, 0, 0], [-7079895650474303641055923898608391001/55642102438, 801578556468522312920298396118596462/27821051219, 4675364641261960463343437527585785859/55642102438], [722476284359488349410489110/2951, -244876082026241828864928600/2951, -523597338031904646058480910/2951], [-2080994096125518253626441/55642102438, -1272860390073737907320054/27821051219, -353595205212858911244283/55642102438]]], 0, 27648, [], [] >,
< [ 1, -3, -1, 1 ], [[200, -88, -64]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2433244/227, 666/227, 5328/227], [-101423/227, 256/227, 5/227], [0, 0, 0]], [[0, 0, 0], [-1452862914848337545028/2140080863, 612975210859649493491/2140080863, 24538599783929926419/2140080863], [6396920943046/227, -2598042100062/227, -108451520060/227], [2604189300/2140080863, -14324810399/2140080863, -1/2140080863]], [[0, 0, 0], [4424480737106277010275510038121579/4280161726, 1000199201165507248912497901866205/2140080863, -1866013762607385013581871290871737/4280161726], [-9830583804046580546053900/227, -4325718720531623502828400/227, 4162756915634008188201900/227], [15717927425181155149635/4280161726, -12044685412406168098830/2140080863, -11037825925669171845117/4280161726]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-99240184/227, 66968/227, 1386/227], [207605/227, -142/227, -1/227], [0, 0, 0]], [[0, 0, 0], [-13434450807756121017846219/55642102438, 3786010745172590250988990/27821051219, -5379909118836450035397927/55642102438], [1387914503161460/2951, -899600188285200/2951, 596915312468140/2951], [274394458901/55642102438, 79510869752/27821051219, -1/55642102438]], [[0, 0, 0], [4976205474780679251139274306569591235/27821051219, -16319892497770659025822590277894866814/27821051219, 5346406026280995056959493816514142367/27821051219], [-1085065082137927952362136416/2951, 3592041259217766617907390672/2951, -1200087406733435587526266160/2951], [-25618074236486423847498/27821051219, 39269127987895667411844/27821051219, 18329660543318646769674/27821051219]]], 0, 552960, [], [] >,
< [ 1, -3, -1, 1 ], [[216, -56, -112]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [11, -4, 3], [-55, 8, 3], [0, 0, 0]], [[0, 0, 0], [-414302101813747727/244054478, -59062327460191408/122027239, 8889988976871/244054478], [-181212410434/17, -51666315175/17, 3098327/17], [-3418701367/4148926126, -487380386/2074463063, 5/4148926126]], [[0, 0, 0], [-21253064472243410470574932/122027239, -34946912619520560204578437/122027239, -5280858662695170453307481/122027239], [-18591723339143157325/17, -30571311083737907070/17, -4619700756933845985/17], [-175369283244050895/2074463063, -288388451827768915/2074463063, -43585371658587100/2074463063]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-41, 4, -9], [62, 0, -4], [0, 0, 0]], [[0, 0, 0], [-5060659697026889584839/4148926126, -2494673519608020058169/2074463063, -4766735577281555/4148926126], [-200937263190586/289, -198111161776117/289, -522774947/289], [-173524672533/70531744142, -85540365969/35265872071, 5/70531744142]], [[0, 0, 0], [2341328508270760279225380903179/4148926126, 3169307042680166057522719180076/2074463063, 1727166882187729709194092004215/4148926126], [92962882494679518811736/289, 251687010207252860462461/289, 68579534548821558867263/289], [80281393268074901909/70531744142, 108673087976604959213/35265872071, 59222620181293465081/70531744142]]], 0, 258048, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, -16, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [68, 8, 2], [-16, 6, 2], [0, 0, 0]], [[0, 0, 0], [11677688/5, -4020391/5, -1002455], [-811231/2, 40944, 15363/2], [7/10, 0, -3/10]], [[0, 0, 0], [-39675, 42320, 7935], [7452, -8808, 3768], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [35, 10, -5], [12, -6, -6], [0, 0, 0]], [[0, 0, 0], [41357/5, -11429/5, -1272], [4933/2, -1993, 1865/2], [43/10, 1, 3/10]], [[0, 0, 0], [1049092204, 80313242, -184448746], [333757047, -168669066, -64367041], [727869, -121808, -320077]]], 0, 30720, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, -16, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-25, -10, 5], [-36, -6, 6], [0, 0, 0]], [[0, 0, 0], [10, -279/5, -137/5], [-191/2, 311, -335/2], [-9/10, 3/5, -1/10]], [[0, 0, 0], [248551/5, -612178/5, -527693/5], [45654, -111960, -90136], [574/5, -128/5, -56]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -2, -2], [48, 2, -6], [0, 0, 0]], [[0, 0, 0], [-23571, -3809/5, -31032/5], [355299/2, -11618, -36519/2], [-59/10, -2/5, -1/10]], [[0, 0, 0], [22326427241/5, -8710536718/5, -11862124523/5], [-26833151544, -187695412, 8502093920], [5023364/5, -792608/5, -436356]]], 0, 30720, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, -56, -24]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 22, 22], [46, 10, 6], [0, 0, 0]], [[0, 0, 0], [-212806/5, 8899, 15664/5], [488253/2, 1137649/2, -315210], [29/10, 3/10, -1/5]], [[0, 0, 0], [3078409/5, -108164, 673519/5], [-2808191, -11818493, 6191760], [-133/5, -231/5, -196/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, -1], [30, -10, 0], [0, 0, 0]], [[0, 0, 0], [-24, -12/5, -51/5], [-669, -79/2, 305/2], [24/5, 3/10, -3/10]], [[0, 0, 0], [-635664, -1153330, -1771159], [-30633670, -615777/2, 10986569/2], [196923, 113857/2, 118777/2]]], 0, 7680, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, -56, -24]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 4, 6], [-4, -16, 8], [0, 0, 0]], [[0, 0, 0], [-73/5, -32/5, 146/5], [121, -409/2, 145/2], [-4, -3/10, 1/10]], [[0, 0, 0], [206946/5, -143492, -651509/5], [98519/2, 218183/2, -92811], [-66539/10, 41817/10, 33401/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [15, 14, -13], [28, 16, -14], [0, 0, 0]], [[0, 0, 0], [2386/5, 18/5, -161], [828, 265/2, -509/2], [-3/5, -1/2, -1/10]], [[0, 0, 0], [-1961834/5, 1536427/5, -96063/5], [-586393, 105576, 87735], [2194/5, 642/5, 156]]], 0, 7680, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, -56, -24]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, -22, -17], [-48, -10, 2], [0, 0, 0]], [[0, 0, 0], [157551/5, -44253/5, 22597/5], [-149614, 4285413/2, -1904179/2], [-86/5, -1/10, -1/2]], [[0, 0, 0], [1575993493, -188772742, 459763968], [-15023162593/2, 225517406597/2, -50015912376], [-1713939/2, -335585/2, -157152]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-17, 14, -5], [-26, -4, 2], [0, 0, 0]], [[0, 0, 0], [1010081/5, -240547/5, 26899], [350143, 272595/2, -37599/2], [7/5, 1/2, -1/10]], [[0, 0, 0], [510428553, -648367910, 364401006], [1241718605/2, 440764555/2, 199054650], [5031/2, 1417/2, 702]]], 0, 7680, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -14, -6]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -2, -2], [1, 5, 4], [-2, 0, -2], [0, 0, 0]], [[455, 90, -83], [-12049/10, -2519/10, 1632/5], [3047/4, 200, -1013/4], [297/20, 2/5, 1/20]], [[14984325/2, -13035655, 10070133/2], [-130482877/10, 46691634/5, -20440973/10], [3849282, 10633721, -5710020], [2545344/5, -7101824/5, 2922432/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, 4, 7/2], [23/2, 7, 5/2], [-7, 5, 3], [0, 0, 0]], [[1737, 5359, 3894], [-311797/10, 14783/2, 75804/5], [36397/4, 5301/2, 9723/4], [3/20, 3/10, 1/20]], [[-16106757/2, -21817385, -9548875/2], [111030492, 37803505/2, -123265739/2], [-115601547/4, -86167063/2, 49088635/4], [-3633/4, -469/2, -959/4]]], 1, 120, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -14, -6]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -3, -1], [-9, 10, 1], [5, -8, 1], [0, 0, 0]], [[5175/2, 1273/2, -876], [-15376, -3914, 5144], [27661/4, 2080, -9719/4], [41/4, 0, 1/4]], [[1, -5/2, -5/2], [-27/10, 37/5, 13/2], [-3/4, 5/2, 7/4], [-3/20, 1/2, 7/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 12, 15/2], [-55/2, 11, 51/2], [33, 5, 3], [0, 0, 0]], [[-230494, 123697/2, 179909/2], [534111/2, 1219869/5, -532481/10], [-2406163/4, 146174, 472245/4], [53/20, 2/5, -3/20]], [[370990681/2, -147807675, -268462659/2], [-975123183/10, -1673588269/5, -967245297/10], [422261556, -226219801, -120651552], [-6864/5, -4576/5, -3432/5]]], 1, 120, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, -56, -24]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, 32, -24], [-60, -4, -2], [0, 0, 0]], [[0, 0, 0], [90381338/5, -3123653/5, -2451901/5], [-64344713/2, 2595221, 46470293/2], [5/2, -1/5, -1/10]], [[0, 0, 0], [-2913827472342, -1373744371842, -1304348391783], [9839047567260, -19159822616605/2, -24750565900365/2], [-420453, -246807/2, -273537/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [13, 10, 3], [-2, 2, 4], [0, 0, 0]], [[0, 0, 0], [-549099/5, -170972/5, 40282], [9085, -14017/2, 3659/2], [2/5, 1/2, -1/10]], [[0, 0, 0], [134135524, 12032592, -36119036], [-4508413, -13733116, 6367579], [-561, -164, -179]]], 0, 7680, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, -56, -24]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, -69, 25], [11, -44, 19], [0, 0, 0]], [[0, 0, 0], [7050639/5, 1228416/5, -2330178/5], [51911/2, 1489/2, -1411], [-7/2, -1/10, 1/5]], [[0, 0, 0], [593551459, 66955248, -219818797], [9809593, 2266038, 2110507], [-1325, -300, -275]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-39, 48, -35], [8, 34, -20], [0, 0, 0]], [[0, 0, 0], [1264464/5, 102168/5, -989237/5], [-145115, -13421/2, 34287/2], [-4/5, 1/10, -1/2]], [[0, 0, 0], [-8078091105, 131471760, 5231458444], [8828533757/2, 1488965461/2, -835401670], [45267/2, 13983/2, 8532]]], 0, 7680, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, -56, -24]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, -49, 16], [-9, -34, 19], [0, 0, 0]], [[0, 0, 0], [-33629, 16379/5, 65342/5], [-52687/2, -3554, 11839/2], [-1/10, 2/5, 1/10]], [[0, 0, 0], [-314772449/5, -66584173/5, 102681347/5], [-53644409, -24523117/2, 33718961/2], [329/5, 109/10, 35/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, -69, 28], [25, -46, 17], [0, 0, 0]], [[0, 0, 0], [538607, 2449728/5, -625821/5], [-596169, -61379, 67499], [9/5, -1/5, 1/5]], [[0, 0, 0], [-13728104811/5, -4063093397, -3255210341/5], [3266359128, 2478163527/2, -3951153/2], [-44748/5, -40887/10, -32967/10]]], 0, 7680, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -14, -6]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 5, -3/2], [-49/2, 9, 5/2], [18, 13, -8], [0, 0, 0]], [[35789, 47464, 24753], [-671346/5, -291588/5, 91260], [264091/2, 32368, 4079/2], [21/10, 0, 1/10]], [[-207826893/2, -606431047, -825347189/2], [9327287497/10, 253786783/2, -3645214714/5], [-2895880243/4, -954879417/2, -875510155/4], [-236493/20, -36423/10, -60021/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -2, 1/2], [-33/2, -8, 9/2], [2, -8, 3], [0, 0, 0]], [[-29/2, 5, 1/2], [4572/5, 2517/10, -543/2], [29/4, -5/2, -1/4], [-29/20, 1/2, 1/20]], [[-15050, -3724, -3822], [4006056/5, 6356389/5, 2359313/5], [7525, 1862, 1911], [-1505, -1862/5, -1911/5]]], 1, 120, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -14, -6]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, -1, -3/2], [129/2, -1, 13/2], [15, -4, -2], [0, 0, 0]], [[-1492863/2, -449859/2, -11665], [-66495287/5, 34892161/5, 32117941/5], [-9003801/4, 213279/2, 806393/4], [-37/20, -3/10, 1/4]], [[-1397322156, -8246169677/2, -8448352219/2], [-996142504601/10, 795531593847/5, 1076498881691/10], [-33664454183/4, 3401226687/2, -17300994381/4], [-116127/20, -34749/10, -75141/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 1, -3/2], [-119/2, -5, 11/2], [18, 1, -4], [0, 0, 0]], [[63649/2, 18209, 21149/2], [-883992/5, -2019579/5, -2441664/5], [106056, -17839/2, 2940], [-8/5, -3/10, 0]], [[-1879842803/2, -3937345609/2, -1785192845], [-11682452671/2, 255890138197/5, 577049545367/10], [-18421113047/4, 778673039/2, -6407386223/4], [1284849/20, 290007/10, 534681/20]]], 1, 120, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, -56, -24]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-174, 8, -10], [18, -5, 3], [0, 0, 0]], [[0, 0, 0], [-442087485/2, -33258675, 47285163/2], [22059456, 871644, -1052372], [7/2, 1, -1/2]], [[0, 0, 0], [-23055977299215, 5135847308571, -9781803599211], [2513910234354, -1549069612932, 1465749191358], [324583, 106337, 106491]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-178, 0, 2], [53, 6, 1], [0, 0, 0]], [[0, 0, 0], [-2044677410, 205416088, 15424950], [610481025, 2770530, 5067615], [-3, 4, 1]], [[0, 0, 0], [231038100909197/2, 2705011049817, -68818506005211/2], [-35856460759455, -641188457280, 11531373661395], [166805/2, 27585, 56685/2]]], 0, 7680, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -14, -6]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 3, 5/2], [-232, 10, -7], [17/2, 3, 5/2], [0, 0, 0]], [[-164125972, -6462983/2, 8916219/2], [8202737975/2, -515023992, -344005957], [-328251941/2, -6462981/2, 4458093], [0, -1, 5/2]], [[122805179834043/2, 13187282685223, -38750380104159/2], [-1455441123525302, -316890616084825, 457443831316828], [122805179724463/2, 13187282622713, -38750380279379/2], [23525, 7735, 8050]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21/2, 3/2, 0], [337/2, 6, 3/2], [21/2, 3/2, 0], [0, 0, 0]], [[3255, 15, 0], [52437, -11639/2, 2315/2], [3255, 15, 0], [-6, -5/2, -1/2]], [[-369099835/2, 63546600, -83140135/2], [-6117863525/2, 1640220961, -1629869191/2], [-369099835/2, 63546600, -83140135/2], [624213/2, 101016, 205875/2]]], 1, 120, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -14, -6]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-12, 2, -1], [177, -18, 3], [-12, 2, -1], [0, 0, 0]], [[-412013/2, -61923, -139161/2], [6257923/2, 1786545/2, 1335555/2], [-206010, -61920, -69570], [3/2, 1/2, -5/2]], [[-9663171, -2628000, 4210554], [289500125/2, 37814961, -59811239], [-19326465/2, -2628000, 8420985/2], [123/2, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, -2, -5/2], [-69, 0, -4], [17/2, -2, -5/2], [0, 0, 0]], [[5484219, 5538, -240942], [-115890795/2, 45635045/2, 12475366], [5484219, 5538, -240942], [-5/2, -5/2, 2]], [[-256289062029/2, 42204752382, 224705816673/2], [452203934272, 1450709292872, 442155532440], [-256289062029/2, 42204752382, 224705816673/2], [51784, 17304, 16840]]], 1, 120, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 0, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, -2, 1], [9, -2, 5], [0, 0, 0]], [[2, -6, -3], [-1111/2, -1001, -13/2], [-468, -3625, -1272], [-1/2, 2, -5/2]], [[-79/2, -14, 19/2], [-464099/2, -100871/2, 71922], [-918271/2, -101534, 282395/2], [-63/2, -13/2, 8]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 6, 4], [-3, -5, 4], [0, 0, 0]], [[5/2, 6, 5/2], [11694, -683/2, -9365/2], [-12765/2, -4258, 6001/2], [3, 3/2, 1/2]], [[-368, -690, -230], [-1524719, 25468, 566697], [817310, 637822, -433220], [-414, -138, -46]]], 0, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, 0, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -4, 1/2], [-10, -11, -8], [1/2, -4, 1/2], [0, 0, 0]], [[38211/2, 132, 3095/2], [707871/2, 150643, -149673/2], [38203/2, 143, 3113/2], [1/2, -2, -3/2]], [[-37308071/2, -545783, 8220595/2], [-360784975, -167467395/2, 113937310], [-18654207, -546117, 4110249], [226, 225/2, -58]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 3, -2], [0, 10, -2], [3, 3, -2], [0, 0, 0]], [[395/2, 61, -123/2], [-679, 2164, 3479/2], [195, 68, -53], [0, -1, -3/2]], [[140551/2, 14829, -43321/2], [45152, 34470, 3571], [140771/2, 15029, -43301/2], [-140, -70, 40]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 0, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, 7/2, 15/2], [0, 0, 0], [1, 5/2, 5/2]], [[0, 0, 0], [7080, 940, -2134], [0, 0, 0], [-11716, -2726, 3654]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [19/2, 43/2, 5], [0, 0, 0], [15/2, 1/2, 2]], [[0, 0, 0], [145470, -3661, -64613], [0, 0, 0], [64344, 10341, -26427]]], 0, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 32, 32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -6, 0], [1016, -2620, -2232], [0, 0, 0]], [[0, 0, 0], [-497/5, 1918/5, -1233/5], [19065, -48352, -41406], [-17/5, 2/5, 4/5]], [[0, 0, 0], [-32590, 111596, -44496], [1954, 20746, -4536], [-1738, -154, 440]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -12, 12], [-18, 4, 2], [0, 0, 0]], [[0, 0, 0], [95, -1272/5, -1121/5], [-8, -2, 11], [-6/5, 4/5, 1/5]], [[0, 0, 0], [3493/5, -2106/5, -599], [629, 153, -187], [391/5, 17, -119/5]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 0, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [15, 2, 5], [-6, 8, -4], [0, 0, 0]], [[0, 0, 0], [34293/5, -47469/5, 22746/5], [-9129/2, 13068, -10667/2], [-71/10, -4/5, -1/2]], [[0, 0, 0], [-40675248/5, -180686756/5, 102655664/5], [-6717068, 40065336, -17406720], [137228/5, 56784/5, -14196]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13, 42, 19], [8, -2, 8], [0, 0, 0]], [[0, 0, 0], [60, -519/5, -327/5], [45/2, -23, -35/2], [-29/10, 3/5, -1/10]], [[0, 0, 0], [-444/5, -93/5, 137/5], [-113/2, -12, 35/2], [113/10, 12/5, -7/2]]], 0, 4096, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 0, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [11, 2, -4], [4, -5, -1], [0, 0, 0]], [[0, 0, 0], [-77593/10, -1684, 23617/10], [-1475, -1661/2, 479], [3/5, -3/10, 1/5]], [[0, 0, 0], [-218623/5, -42627/5, 69626/5], [-18701/2, -1928, 10729/2], [9/2, -24/5, -9/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5, -8, 3], [-2, 0, 0], [0, 0, 0]], [[0, 0, 0], [-548, -2248/5, -1859/5], [-275/2, -218, -87/2], [17/10, 1/5, 3/10]], [[0, 0, 0], [-67051017/10, 16579816/5, 34696809/10], [-1721829, 414549/2, 1160081], [15201, -48981/10, -24209/5]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 0, 2]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [1/2, 1, 1/2], [1, 0, 0], [0, 0, 0]], [[17/2, -2, 5/2], [-68/5, 53/10, 3/10], [-17/4, 1, -5/4], [17/20, -1/5, 1/4]], [[-2289/2, 14388, -14061/2], [1030, -184029/10, 82893/10], [2289/4, -7194, 14061/4], [-2289/20, 7194/5, -14061/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [1/2, 1, 1/2], [1, 0, 0], [0, 0, 0]], [[35/2, -2, 3/2], [-32/5, 49/10, -37/10], [-35/4, 1, -3/4], [7/4, -1/5, 3/20]], [[1410, 4794, 3102], [574/5, -13934/5, -11998/5], [-705, -2397, -1551], [141, 2397/5, 1551/5]]], 1, 8, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 0, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [142, 30, -18], [2, 4, -4], [0, 0, 0]], [[0, 0, 0], [-7, 0, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [149956, 59854, -33862], [3884, -1808, -1696], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 10, 4], [1328, -3390, -2894], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-217560, 794192, -319774], [672, -352, -96], [0, 0, 0]]], 0, 6144, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 0, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, -1, 1/2], [31, -9, -1], [-9/2, -1, 1/2], [0, 0, 0]], [[8387, 3459/2, -1027/2], [-60134, 25592, -4499/2], [16773/2, 3459/2, -515], [-1/2, -1, 1]], [[971577/2, 204406, -213115/2], [-5819339/2, -2389665/2, 1026590], [971555/2, 204325, -213177/2], [-103/2, 39/2, 21]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -4, -1/2], [-50, 16, -7], [9/2, -4, -1/2], [0, 0, 0]], [[2067117/2, 214843/2, -33625], [-15966730, 2349761/2, 9173061/2], [2067117/2, 214843/2, -33625], [-3/2, -5/2, -1]], [[-198072, 774288, -315864], [1841627, -7419811, 3019774], [-198072, 774288, -315864], [0, 0, 0]]], 1, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 0, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, -1/2], [-7, -12, 2], [1/2, 0, -1/2], [0, 0, 0]], [[-3/2, 4, 3/2], [-33, -53/2, 43/2], [-1/2, 0, 3/2], [-1, 5/2, -1/2]], [[-56, 209/2, 173/2], [-5182, -1138, 3435/2], [-127/2, 61/2, 56], [-89/2, 18, 19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 5/2, 1/2], [-37/2, -10, 3/2], [-1, 5/2, 1/2], [0, 0, 0]], [[37, -37, 0], [5997/2, 675, -1813/2], [37, -37, 0], [-7/2, -2, 1/2]], [[-42, -423, 261], [-17427, -4011, 5292], [-42, -423, 261], [21, 8, -1]]], 1, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 0, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 6, 0], [-8, 11, 9], [0, 0, 0]], [[0, 0, 0], [-90096, 7005/2, 37989/2], [-57801, 8493, 25503], [-2, -5/2, 3/2]], [[0, 0, 0], [-444777, -311658, 76893], [291682, -1604404, -1193370], [-20, 10, 8]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, 4, -2], [7, -5, -4], [0, 0, 0]], [[0, 0, 0], [3960, 3318, -5973], [-752, 4700, 1222], [-6, 1, -2]], [[0, 0, 0], [-1950543/2, -121260, 397113/2], [-211688, 57152, 76328], [2523/2, 348, -957/2]]], 0, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, 0, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-35, 8, -1], [-8, 6, 8], [0, 0, 0]], [[0, 0, 0], [-4763/2, -12972, 12401/2], [-1127, 383, 584], [9/2, 0, 1/2]], [[0, 0, 0], [-3503813/2, -19511227/2, 4624848], [-859554, 333794, 475834], [6615/2, 245/2, 490]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-53/2, -2, -11/2], [0, 0, 0], [5/2, -4, -1/2]], [[0, 0, 0], [-10458, -3725, 1766], [0, 0, 0], [609, -245, -343]]], 0, 128, [], [] >,
< [ 1, -3, -1, 1 ], [[96, 32, 0]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, -8, 2], [4, 2, -2], [0, 0, 0]], [[0, 0, 0], [-552/13, 1568/13, 38/13], [-50, 3, -5], [50/13, -3/13, 5/13]], [[0, 0, 0], [4342267/13, -11582618/13, -10822177/13], [-357059, 241392, 301740], [357059/13, -241392/13, -301740/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, 2, 12], [2, 10, 4], [0, 0, 0]], [[0, 0, 0], [-60342/13, -19542/13, 1014], [-817, -475, 68], [-27/13, 3/13, 4/13]], [[0, 0, 0], [-917451/13, 1357194/13, 1192637/13], [-24416, 46632, 44661], [-460/13, 1104/13, -345/13]]], 0, 49152, [], [] >,
< [ 1, -3, -1, 1 ], [[12, -8, -4]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-41, 118, 101], [-4, 32, 24], [0, 0, 0]], [[0, 0, 0], [370195/26, 715955/13, 788849/26], [90123/2, 46173/2, -10051/2], [-7/26, 5/26, 1/26]], [[0, 0, 0], [32214408/13, 2349437/13, -8126415/13], [3619437, 702462, -1096317], [498/13, -2552/13, 1070/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-147/5, -193/5, 106/5], [33/5, 22/5, 1/5], [0, 0, 0]], [[0, 0, 0], [-736055/26, 707442/13, -422033/26], [3597, -2022, -6893/2], [-22/13, -1/13, -3/26]], [[0, 0, 0], [1843683934/5, -932986874/5, -75099622/5], [-347601186/5, 44768036/5, 198019573/5], [39284, 8906, -8357]]], 0, 192, [], [] >,
< [ 1, -3, -1, 1 ], [[12, -8, -4]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, -55, -49], [7, -16, -15], [0, 0, 0]], [[0, 0, 0], [-1141/26, -57/13, 265/26], [-47/2, 3, 3], [45/26, 1/13, 0]], [[0, 0, 0], [-139/2, -225/13, 591/26], [-35, -11, 25/2], [35/13, 11/13, -25/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [248/5, -143/5, 1/5], [-27/5, 42/5, 1/5], [0, 0, 0]], [[0, 0, 0], [17740871/65, 1931719/65, -8744128/65], [-403541/10, 262513/5, 595373/10], [-59/26, -1/13, 3/26]], [[0, 0, 0], [-134148828877/130, -21461947904/65, 24073389481/130], [23049383/5, 1864895459/10, 677772211/5], [118421/13, 64457/26, -55463/13]]], 0, 192, [], [] >,
< [ 1, -3, -1, 1 ], [[-6, 4, 2]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [1/2, 1, 1/2], [1, 0, 0], [0, 0, 0]], [[-25/2, 5, -3/2], [249/13, -137/13, 9/13], [-18, -1, -1/2], [-18/13, -1/13, -1/26]], [[12513/2, 5805/2, -2580], [-233661/26, -55200/13, 7739/2], [42699/4, 3612, -14835/4], [42699/52, 3612/13, -14835/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 7, 11/2], [-149/2, -19, 5/2], [3, 3, 1], [0, 0, 0]], [[1366, -7433/2, -6417/2], [-140723/130, 570764/65, 1034919/130], [6753/20, -13189/10, -21929/20], [-15/4, -1/26, -5/52]], [[1336992, -5746564, -5215444], [1252606299/65, 41379542/5, 739074153/65], [-4464852/5, -10546728/5, -7551534/5], [-491848/13, 70264/13, 52698/13]]], 1, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[-6, 4, 2]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 1/2], [1/2, 1, 1/2], [1, 0, 0], [0, 0, 0]], [[-9/2, 5/2, -1], [147/26, -187/13, 41/26], [-25/4, 0, -3/4], [-25/52, 0, -3/52]], [[-27115, -1160, 3770], [235969/13, -349149/13, -46370/13], [-85115/2, -19285/2, 6960], [-85115/26, -19285/26, 6960/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1, 7/2], [15/2, 6, -11/2], [2, 0, 1], [0, 0, 0]], [[-48977/2, 27067/2, -36329], [-3999101/26, -1616830/13, 2595863/26], [-183713/4, 20973/2, -29789/4], [-97/52, -3/26, 3/52]], [[-2100879, -2453590, -2735955], [-113278517/5, -36973338/5, 47121151/5], [-26548667/5, -6727293/5, 1180981/5], [-231, -69, 33]]], 1, 24, [], [] >,
< [ 1, -3, -1, 1 ], [[48, -32, -16]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -10, 6], [34, 8, 10], [0, 0, 0]], [[0, 0, 0], [-8468633/13, -566354/13, 5893429/13], [-2035919, 533035, 1474127], [-3, -3/13, -1/13]], [[0, 0, 0], [26648701028/13, 3476817003/13, -4516504815/13], [10861229197/2, 1616521524, -1953127021/2], [249375/26, 52250/13, -116375/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-564/5, -266/5, -58/5], [56/5, 34/5, 2/5], [0, 0, 0]], [[0, 0, 0], [1571951/65, -5408641/65, -411238/65], [-14771/10, 25278/5, 19493/10], [11/2, -2/13, 3/26]], [[0, 0, 0], [7081787226/65, 1343767534/65, -1570762598/65], [-66064228/5, -16126897/5, 17199209/5], [-3342074/13, -725167/13, 1040457/13]]], 0, 12288, [], [] >,
< [ 1, -3, -1, 1 ], [[48, -32, -16]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 10, 2], [-248, 668, 564], [0, 0, 0]], [[0, 0, 0], [365/13, 516/13, -5], [-62, 50, 143], [-94/13, -4/13, -1/13]], [[0, 0, 0], [206/13, -761/13, 307/13], [-53/2, 87, -69/2], [21/26, -45/13, 37/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-95562/5, 243702/5, 208076/5], [10338/5, -26368/5, -22514/5], [0, 0, 0]], [[0, 0, 0], [-1159768226/13, 2976685750/13, 2537269536/13], [9647226, -24768877, -21119891], [-20/13, 5/13, 1/13]], [[0, 0, 0], [-130668223962/13, -90886460205/13, 69654967137/13], [2553398349/2, 246225018, -769573517/2], [822735/26, -629640/13, 405585/26]]], 0, 12288, [], [] >,
< [ 1, -3, -1, 1 ], [[48, -32, -16]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -6, -8], [178, -440, -378], [0, 0, 0]], [[0, 0, 0], [-7352687/13, -354862/13, 3047541/13], [-1179808, 3520285, 2914558], [-18/13, 1/13, -2/13]], [[0, 0, 0], [-62949181, 56425959, -12615266], [32754657/2, 2157669, -7311021/2], [-6309/2, 11157, -8943/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [29178/5, -73748/5, -63104/5], [-3272/5, 8272/5, 7076/5], [0, 0, 0]], [[0, 0, 0], [-184523436/13, 467173324/13, 399484088/13], [1591562, -4029912, -3446170], [-12/13, -4/13, 0]], [[0, 0, 0], [-4244606529/65, 2910453759/65, -440517648/65], [52786849/10, 7993608/5, -18564527/10], [-76641/26, 75870/13, -53649/26]]], 0, 12288, [], [] >,
< [ 1, -3, -1, 1 ], [[-112, 64, 80]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -2, -2], [402, -1038, -884], [0, 0, 0]], [[0, 0, 0], [3777012728613938770/122027239, 3896142379159727332/122027239, -64298628964/122027239], [446331567896/17, 460369975912/17, -23809388/17], [30994143236/10372315315, 31971719474/10372315315, 2/10372315315]], [[0, 0, 0], [-100984239900292976944635427190/122027239, 437542914603490617038748949593/122027239, -180179267040147839065502491748/122027239], [-11933063607228705379507/17, 51703391094324347379896/17, -21291349616662004928389/17], [-828675901332932001027/10372315315, 3590473911231184479132/10372315315, -1478549733327305979064/10372315315]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-290, 122, 104], [-40, 130, 106], [0, 0, 0]], [[0, 0, 0], [11655181269041436753987/2074463063, 9329362278460590941541/2074463063, 177331767698749/2074463063], [-404489066419891/289, -323772335062734/289, 1201/289], [876276440054/176329360355, 701413444056/176329360355, 3/176329360355]], [[0, 0, 0], [19485104475540310659052713180173224/2074463063, 7161531235803167704915837975069104/2074463063, -2699227731637258950530978922102866/2074463063], [-676223877055426329676161516/289, -248538465719893222650639884/289, 93675764729792321097760096/289], [1464956907022358968420574/176329360355, 538428402743983785878136/176329360355, -202937168022407924717882/176329360355]]], 0, 49152, [], [] >,
< [ 1, -3, -1, 1 ], [[48, -32, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-96, -2, -10], [-14, -2, 0], [0, 0, 0]], [[0, 0, 0], [5, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-48302, -11168, 3460], [-7200, -1920, 928], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36062, -89468, -76584], [-1544, 3890, 3330], [0, 0, 0]], [[0, 0, 0], [388587714029, -1363793101707, 547095703117], [-242933531, -821094, 1470467], [1, 3, -1]], [[0, 0, 0], [-25027093646601572/5, 132722084478242852/5, -55117873842402189/5], [-136066129018487/5, -66121484969978/5, 27696175602201/5], [1058252/5, 340468/5, -8601/5]]], 0, 14336, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, -96, -64]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [13, -26, -35], [1, -8, -5], [0, 0, 0]], [[0, 0, 0], [-6458/17, 6386/17, 456/17], [1342/3, 220/3, -320/3], [-154/51, -4/51, -4/51]], [[0, 0, 0], [-86822/17, -1999714/17, -1061238/17], [87912, 1164, -41034], [-13032/17, 7602/17, 11946/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [137, 46, 21], [7, 4, 1], [0, 0, 0]], [[0, 0, 0], [506613792/85, -474494462/85, 127514704/85], [1381988/5, -651408/5, 194668/15], [538/85, 12/85, 8/255]], [[0, 0, 0], [433463517239/85, 22914009758/5, 361222629763/85], [1212178691/5, 1795634364/5, 3462665951/15], [-652784/85, 3916704/85, 9138976/255]]], 0, 65536, [], [] >,
< [ 1, -3, -1, 1 ], [[10, 0, -6]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -45/2, -4], [-485/34, 543/34, 1], [-16, 59/2, 71/6], [-5/17, -1/34, -5/102]], [[15174, 74184, -41307], [1478622/17, -1330254/17, 324555/17], [60246, -74358, 27681], [39902/17, -8711/17, -5058/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, -19, 14], [2, -1, -1], [0, 0, 0]], [[-179/2, -48, -3/2], [208771/170, -270923/85, -510173/170], [-241/10, 3538/5, 15719/30], [-149/170, -3/85, 1/510]], [[-98927973/2, -21353625/2, 15401583], [-4154109839/170, -1495052011/170, 601413261/85], [582853867/5, 255672841/10, -361003227/10], [-35637327/85, -15653331/170, 22330647/170]]], 1, 32, [], [] >,
< [ 1, -3, -1, 1 ], [[10, 0, -6]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 33, 1/2], [1011/34, -401/17, -55/34], [-39/2, 25/3, 13/2], [25/34, 2/51, -1/34]], [[-22797/2, -2533/2, 0], [-40975/2, -16837/2, 9387], [47018/3, 7575/2, -12471/2], [-2086/3, -447/2, 447/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9, 25, -23], [-4, -9, -5], [0, 0, 0]], [[-395/2, -195/2, 0], [-2626769/34, -140927/34, 316061/17], [36589, 16871/2, -67487/6], [-33/17, 1/34, -1/102]], [[19447192, 4129500, -6067612], [556547605804/85, 118924188061/85, -172973243422/85], [-48780684952/15, -10453711258/15, 5059364902/5], [42076852/255, 8908708/255, -4360752/85]]], 1, 32, [], [] >,
< [ 1, -3, -1, 1 ], [[-20, 0, 12]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 1, 2], [3, -4, 5], [0, 0, 0]], [[0, 0, 0], [-22606/17, -3152/17, 3200/17], [15776/3, 3498, -9067/3], [-35/51, 0, 4/51]], [[0, 0, 0], [91740716/17, 12508884/17, -35460596/17], [-69316018/3, -14138107/3, 18285079/3], [134800/51, 23200/51, -50800/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 3, 5], [-3, 0, -1], [0, 0, 0]], [[0, 0, 0], [-1755856/85, 5328/5, 479648/85], [-47222/15, -5123/15, -7834/15], [242/255, -7/255, 4/255]], [[0, 0, 0], [-8081717848/85, -5760747222/85, 419256734/85], [-147374442/5, 113840352/5, 158158611/5], [584982/85, -224667/85, -483246/85]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[-20, 0, 12]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-134/17, 164/17, -20/17], [-59/3, -5/3, 10/3], [50/51, -4/51, -4/51]], [[0, 0, 0], [36/17, -97/17, -83/17], [-8/3, 17/3, 5], [8/51, -1/3, -5/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9, 37, 14], [-10, -3, -1], [0, 0, 0]], [[0, 0, 0], [-88039291/85, -19320684/85, 27911818/85], [2621586/5, 537679/5, -2420879/15], [-66/85, 1/85, -1/255]], [[0, 0, 0], [-125075420886/17, -27001369261/17, 38660490414/17], [11137035512/3, 2403619256/3, -3464350192/3], [-281576/51, -32312/51, 120016/51]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[-80, 0, 48]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5, 42, 35], [-13, 18, 17], [0, 0, 0]], [[0, 0, 0], [128495/17, -244046/17, 129125/17], [-10105/3, 4752, -375], [-20/51, -2/17, 0]], [[0, 0, 0], [-528218, -1326908, 538942], [1169825/3, 821800/3, -287575], [275/3, 100/3, -25]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-43, 50, 29], [-3, 18, 15], [0, 0, 0]], [[0, 0, 0], [165038/85, -53388/85, -16854/85], [-1608/5, -436/15, 632/15], [148/85, -14/255, -2/255]], [[0, 0, 0], [24827512/5, 244787036/85, -129151672/85], [-17493127/15, 1010072/15, 10030471/15], [1665097/255, -307172/255, -1193101/255]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[-80, 0, 48]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -20, -18], [4, -10, -10], [0, 0, 0]], [[0, 0, 0], [-13652544/17, -3131784/17, 4337688/17], [-2057, -1878, 3587/3], [-1, 2/17, -5/51]], [[0, 0, 0], [2456875527/17, 531628350/17, -768664291/17], [1320232/3, 296836/3, -555856/3], [10643/51, -3670/51, -367/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [39, 2, -11], [-3, -2, -1], [0, 0, 0]], [[0, 0, 0], [9992/85, 13708/85, -5106/85], [233/5, -184/15, 141/5], [-223/85, -56/255, -1/85]], [[0, 0, 0], [-27832507, -404770, 9336485], [-7845541, -676382, 4658543], [445424, 71586, -182942]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[-80, 0, 48]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 2, 4], [156, -6, 10], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [-21, 0, 1], [1, 0, 0]], [[0, 0, 0], [4992, 10544, 6336], [1295944, 323986, -323986], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-510, -18, 6], [-266, -4, 2], [0, 0, 0]], [[0, 0, 0], [1624694819/5, 658390111/5, 74243478/5], [846689424/5, 328208536/5, 37025678/5], [-9/5, -1/5, 2/5]], [[0, 0, 0], [7730430284174/5, -23981079497134/5, -20151314722187/5], [3919011230699/5, -12204917966294/5, -10264074972837/5], [3566/5, 12674/5, 8617/5]]], 0, 18432, [], [] >,
< [ 1, -3, -1, 1 ], [[96, 32, -64]], [ -19, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, -16, -4], [-6, -4, -10], [0, 0, 0]], [[0, 0, 0], [33966624/19, -25686904/19, 4092802/19], [-690260, 670160, -229622], [-332/19, -10/19, -2/19]], [[0, 0, 0], [-3414739356634/19, -3640327974728/19, 2362216823798/19], [61319453929, 86195750370, -57863965495], [51914983/19, 17372016/19, -24891847/19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -16, 18], [-22, 6, 6], [0, 0, 0]], [[0, 0, 0], [-7872/19, -34962/19, -8622/19], [-34451/5, -8444/5, 7873/5], [-281/95, -4/95, 3/95]], [[0, 0, 0], [139332682/19, -153825248/19, -98688086/19], [149309758/5, 27737672/5, -62160934/5], [1070138/95, 605592/95, -816514/95]]], 0, 73728, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, -96, -16]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18226/227, -43118/227, 1458/227], [-854/227, 1702/227, -4/227], [0, 0, 0]], [[0, 0, 0], [6201740121162828762/2140080863, 3478115748754812797/2140080863, 15190506705831046/2140080863], [-40384432/227, -118099556/227, -57191944/227], [-3532406174/2140080863, -1967266926/2140080863, 3/2140080863]], [[0, 0, 0], [285961039312426673325262211/2140080863, -158231750480417715754332881/2140080863, 133313855433526547217589580/2140080863], [-444781970808802/227, -7192129035686038/227, -1551538812602804/227], [-163020867891451870/2140080863, 91084083493831017/2140080863, -75724843137588157/2140080863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1373156/227, 517554/227, -956/227], [2924/227, -1078/227, 2/227], [0, 0, 0]], [[0, 0, 0], [3817358021057272178648/27821051219, -6933151184015574038880/27821051219, -3670465508219395741/27821051219], [193921758228/2951, -867991159396/2951, -940982852/2951], [19080266445/27821051219, -43940314607/27821051219, 5/27821051219]], [[0, 0, 0], [-45887349097195860533458290200100/2140080863, -22506076071238800314862100598990/2140080863, -1521302155521549189938797449081/2140080863], [3218942873086171873188/227, -1510452721921766146032/227, -3247013698677435543792/227], [-129629788885134370245/2140080863, -118857679681885225455/2140080863, -64454556804616745901/2140080863]]], 0, 73728, [], [] >,
< [ 1, -3, -1, 1 ], [[80, -32, -48]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 64, -56], [4, 6, -6], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [354, -106, -334], [56, -8, -40], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6972, -17316, -14826], [-686, 1732, 1482], [0, 0, 0]], [[0, 0, 0], [-254484402, 889744290, -356768291], [304661, -11536, 21115], [0, 6, 1]], [[0, 0, 0], [93603952105793/5, -288501411304003/5, 112925149011491/5], [-74189958827, -3736162428, 20341908177], [-2281801/5, -775529/5, 1512213/5]]], 0, 20480, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, -64, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [304, 140, -146], [-6, -8, 8], [0, 0, 0]], [[0, 0, 0], [-25, 0, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-3892948, -543206, 1556002], [111284, -38184, -92020], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [180, 128, -170], [-4, -8, 10], [0, 0, 0]], [[0, 0, 0], [21, 0, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [2110, -32, -1074], [-66, 22, 52], [0, 0, 0]]], 0, 24576, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 8, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 2, 5/2], [-122, -29, -36], [1/2, 2, 5/2], [0, 0, 0]], [[91321, -3120, -4455], [-17851743/2, -717007/2, 1772897], [91323, -3129, -4461], [-5/2, 5/2, 2]], [[973024547/2, 405767055/2, -156584415], [-99430621189/2, -29428827511/2, 32960775479/2], [486513208, 405719637/2, -313205307/2], [-10920, 6405/2, 8652]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 3, 2], [-46, -46, -26], [-3, 3, 2], [0, 0, 0]], [[299353/2, 4947/2, 10480], [5388340, -826423/2, -1855004], [149671, 4967/2, 20981/2], [-1/2, -5/2, -5/2]], [[1156155931/2, 143840193, -458009209/2], [38018653975/2, 5434454454, -11421857585/2], [1156153179/2, 143829486, -458024431/2], [-13459/2, 860, 8987/2]]], 1, 48, [], [] >,
< [ 1, -3, -1, 1 ], [[2, 8, 2]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 1, 2], [-162, 5, -25], [4, 1, 2], [0, 0, 0]], [[598808, 141697/2, 16303/2], [-22470030, -1397551/2, 2196259], [1197619/2, 141701/2, 8155], [5/2, 3/2, -5/2]], [[-1846220040, -2091573005/2, -4016745/2], [71928229999, 24787857261, -23172250077/2], [-3692441617/2, -2091613921/2, -2023504], [-21995/2, 2279, 7950]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, 2, -5/2], [153, -50, 38], [-11/2, 2, -5/2], [0, 0, 0]], [[1631273, -110355/2, -86877/2], [-89984135/2, 583661, 4489964], [3262547/2, -110357/2, -43438], [0, 1, -1/2]], [[32285, 39916, 12914], [-1014611, -784561, -82378], [32285, 39916, 12914], [0, 0, 0]]], 1, 48, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -16, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-189, 130, 93], [-2, 23, 15], [0, 0, 0]], [[0, 0, 0], [-776183615/2, -1411745123/2, 429683678], [27224132, -1265666, -286767], [-11/2, 1/2, -2]], [[0, 0, 0], [3536770075227/2, 118954072980, -630382941105/2], [-87632547118, -2585768981, 45501504843], [42097/2, -6622, -33583/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [125, -58, -63], [8, -10, -10], [0, 0, 0]], [[0, 0, 0], [5074417/2, -4446509/2, 590179], [73371, 204, 5680], [11/2, 5/2, -1]], [[0, 0, 0], [-20212921250, 48159393350, -16754310450], [-490825505, 719055091, 7159878], [-25366, 4444, 17820]]], 0, 384, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -16, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-148, 104, 68], [2, 19, 11], [0, 0, 0]], [[0, 0, 0], [17766239/2, 132010069/2, -34071166], [-2160675, 28130, 23377], [-13/2, -5/2, 1]], [[0, 0, 0], [157374664985, -425389649835, 173017063780], [-2529242505, -4509167220, 5101248915], [-13520, 3315, 10361]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [44, 12, -10], [5, 3, -2], [0, 0, 0]], [[0, 0, 0], [-12085, -16335/2, 1033/2], [-1650, -444, 24], [0, -3/2, -5/2]], [[0, 0, 0], [268269481/2, 43142173/2, -46280386], [16292520, 3073140, -5593440], [15169/2, -2863/2, -5264]]], 0, 384, [], [] >,
< [ 1, -3, -1, 1 ], [[-192, 32, 96]], [ -5, 0, 0 ], [ 1, -11, -8 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, 26, 36], [-18, -6, 4], [0, 0, 0]], [[0, 0, 0], [5006/5, -14766/5, 5732/5], [117, 180, -157], [-1, -2/5, -1]], [[0, 0, 0], [-751069/5, 587204/5, -110873/5], [-89155, -27405, 32775], [3536/5, 663/5, -884/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 2, 2], [2, 10, -8], [0, 0, 0]], [[0, 0, 0], [-589161/25, -56984/25, 219463/25], [155779/5, 36651/5, -68847/5], [6/25, 19/25, 2/25]], [[0, 0, 0], [-788375302/25, -166659888/25, 255684366/25], [220913818/5, 27936932/5, -62965654/5], [17142/25, -492/25, -1386/25]]], 0, 98304, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, 0, 48]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, -40, 16], [10, -10, 8], [0, 0, 0]], [[0, 0, 0], [1, 2, 2], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [2812, -76, -866], [2532, -422, -1266], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1830, 4312, 3700], [-2486, 6326, 5404], [0, 0, 0]], [[0, 0, 0], [36595204/5, -135149514/5, 54507298/5], [7434/5, -1544/5, -1182/5], [-4/5, 24/5, 2/5]], [[0, 0, 0], [-405777842/5, 1653353307/5, -675749614/5], [-1621097/5, -351838/5, 461821/5], [-1378/5, 1053/5, 1534/5]]], 0, 28672, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, 64, 16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-534, -56, -50], [-22, -6, -4], [0, 0, 0]], [[0, 0, 0], [-3, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-13607180, -2610650, -3319420], [-545354, -244664, -219478], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [11994, -33060, -28296], [1312, -3306, -2830], [0, 0, 0]], [[0, 0, 0], [-2245937369436/5, 8350589154441/5, -3371671948007/5], [-47444636, -563968, -510370], [22/5, 23/5, -1/5]], [[0, 0, 0], [-88878335877265195, 325010890016066494, -130881680053703866], [2476222252641, 5478748449136, -1666872934349], [-413641, -186294, -190442]]], 0, 30720, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, 0, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [84, 6, 36], [14, 0, 6], [0, 0, 0]], [[0, 0, 0], [15, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-130576, 2234, 38722], [-21356, 562, 6182], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-105852, 272920, 233358], [1890, -4788, -4094], [0, 0, 0]], [[0, 0, 0], [-4322709965653, 16498117072446, -6689592064245], [412801806, -1806676, 618210], [7, 0, 1]], [[0, 0, 0], [-22238382088261415104/5, 91095630856393987144/5, -37187542661110036223/5], [6743758926074169/5, -524335326287514/5, -2383472202529047/5], [121503834/5, -24102324/5, -48619317/5]]], 0, 32768, [], [] >,
< [ 1, -3, -1, 1 ], [[272, 160, 16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -8, -8], [-28, 2, -2], [0, 0, 0]], [[0, 0, 0], [23, 0, 0], [-49, 0, 1], [1, 0, 0]], [[0, 0, 0], [0, 0, 0], [16, -2, -2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-572, -6, -6], [436, 6, 2], [0, 0, 0]], [[0, 0, 0], [-1336905186187/5, 33451298037/5, -16742674109/5], [1018838802047/5, -21546366212/5, 6787254239/5], [-23/5, 13/5, -1/5]], [[0, 0, 0], [3495869347902490276/5, -8370162958423134066/5, -7125304287787453388/5], [-2616218457595049496/5, 6256397774237935856/5, 5327204373355138008/5], [2416864/5, 612216/5, 3030688/5]]], 0, 983040, [], [] >,
< [ 1, -3, -1, 1 ], [[240, 192, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, -10, -8], [68, 10, 2], [0, 0, 0]], [[0, 0, 0], [23, 0, 0], [19, 0, 1], [1, 0, 0]], [[0, 0, 0], [-8586, -87450, 12402], [30672, 133480, -35784], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [736, -8, 2], [164, -10, -2], [0, 0, 0]], [[0, 0, 0], [-2499973630816/5, -168283116729/5, -48190688372/5], [-111666041197, -1182808708, 289315523], [32/5, 13/5, 4/5]], [[0, 0, 0], [22543403836150553943/5, 322000398836508703177/5, -76405274684227518379/5], [1001689986548733745, 14256191350679050160, -3980052409750553875], [-371716931/5, -4086634589/5, -313177/5]]], 0, 860160, [], [] >,
< [ 1, -3, -1, 1 ], [[-144, 0, 144]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, -30, 0], [174, -558, -456], [0, 0, 0]], [[0, 0, 0], [3, 2, 2], [-5, 2, -1], [1, 0, 0]], [[0, 0, 0], [-258, 5418, -2322], [792, 4536, 2688], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [162, 144, 72], [-12, 66, 30], [0, 0, 0]], [[0, 0, 0], [-201069278/5, -67731362/5, 64802284/5], [-11927128/5, 1605958/5, -1257486/5], [-2/5, -18/5, -4/5]], [[0, 0, 0], [80073545939/5, 18519371391/5, -24888852867/5], [4319861589/5, 792786366/5, -1065419237/5], [2611/5, 1659/5, -413/5]]], 0, 745472, [], [] >,
< [ 1, -3, -1, 1 ], [[416, -96, -128]], [ -5, 0, 0 ], [ 1, -11, -8 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38, 0, 6], [12, 0, -4], [0, 0, 0]], [[0, 0, 0], [10819, -25788, 14779], [1951, -2165, 29], [4, -5, 0]], [[0, 0, 0], [-77731344/5, 39249234/5, 26372782/5], [-3592500, -893982, 577994], [-33756/5, -9744/5, 3828/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, 14, -6], [-10, -6, 4], [0, 0, 0]], [[0, 0, 0], [-63827/25, -470288/25, -130909/25], [-11667/5, -6838/5, -2444/5], [-78/25, -132/25, -1/25]], [[0, 0, 0], [976087942/25, -829065452/25, -364010936/25], [42443532/5, 9757413/5, -25551181/5], [438138/25, -197253/25, -119079/25]]], 0, 2555904, [], [] >,
< [ 1, -3, -1, 1 ], [[-42, 4, 18]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[375/2, 5, 5/2], [-113, 223, 215], [375/2, 5, 5/2], [0, 0, 0]], [[65356509/2, 4736516, 5999073/2], [-58020127/2, 62057871, 114736663/2], [65356503/2, 4736527, 5999093/2], [-1/2, -2, -3/2]], [[115418359546, -236741419519/2, 37790207863/2], [19347533080, -80828274035, -80447929065/2], [230836739463/2, -236741460391/2, 18895097919], [-8957/2, 4511, 1196]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-199/2, -4, 1/2], [-91, -109, -101], [-199/2, -4, 1/2], [0, 0, 0]], [[-21064940595/2, -106799097/2, -547345332], [-17661543435/2, -26029170967/2, -26885799401/2], [-10532470299, -106799101/2, -1094690649/2], [1, 3/2, -2]], [[16291098272333110, 13484896529020941, -4704183368424519], [11428883707123552, 44833131225526984, 14627595235296722], [16291098280640194, 13484896512412621, -4704183373611015], [-3636062, 3633138, 1037884]]], 1, 1056, [], [] >,
< [ 1, -3, -1, 1 ], [[-42, 4, 18]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 4, -1], [-101, 17, 2], [2, 4, -1], [0, 0, 0]], [[-41075, -3021, 2084], [2269743/2, 1127713/2, -427238], [-41074, -3029, 2086], [1/2, 5/2, -1]], [[-37094961/2, 7798119/2, 14754395], [1038347853/2, -109509571/2, -401161049/2], [-18549143, 7804959/2, 29510975/2], [703, -1501/2, -209]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-71, 1, -1], [-176, -81, -71], [-71, 1, -1], [0, 0, 0]], [[14750471900, -1467429693/2, 584479657/2], [73753717375/2, 14500620453, 14283564139], [29500943793/2, -1467429683/2, 292239840], [1, 0, -5/2]], [[-30346552217248842, -15514923426726063, 11669423184233336], [-170931248547802961/2, -109746771263860123/2, 25483107978955583], [-30346552211133732, -15514923438943923, 11669423180422851], [-5357957/2, 5345597/2, 763333]]], 1, 1056, [], [] >,
< [ 1, -3, -1, 1 ], [[84, -8, -36]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-243, -8, -3], [29, 2, 1], [0, 0, 0]], [[0, 0, 0], [-16223151577/2, 912709271/2, 202475371], [971556408, -29514919, -11156388], [-5/2, -1/2, 1]], [[0, 0, 0], [-147075796256317, 909490775554981, -223858015534932], [18269065668631, -110701453487677, 24397500667298], [55687, -55873, -15974]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-92, 0, 0], [-202, -3, 5], [0, 0, 0]], [[0, 0, 0], [-310048621/2, 4526595/2, -4165402], [-340347000, -409436, 7], [3/2, 1/2, 1]], [[0, 0, 0], [656423816276465/2, -350156398377697/2, -46214866340839], [710119293168756, -344660394107604, -106963570569501], [-9224397/2, 9229185/2, 1311093]]], 0, 8448, [], [] >,
< [ 1, -3, -1, 1 ], [[84, -8, -36]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [99, -8, 3], [-114, 0, -2], [0, 0, 0]], [[0, 0, 0], [119631586, 22363/2, -4277679/2], [-138280615, -9547095, 3774380], [2, -3/2, -1/2]], [[0, 0, 0], [-12414658222242, 385142445366, -1362257796742], [14229283344800, 922776285805, 1477478746495], [-234110, 234910, 67330]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [41, -2, -3], [-116, 1, -3], [0, 0, 0]], [[0, 0, 0], [-25839184, -375737/2, 1100579/2], [71352545, 7972271, 9700892], [-4, 3/2, -1/2]], [[0, 0, 0], [-714724335135, 505148238660, 361192635816], [2491099373361, -2569744931431, -1856035653012], [-109185, 108460, 31146]]], 0, 8448, [], [] >,
< [ 1, -3, -1, 1 ], [[336, -32, -144]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [160, 8, 8], [108, 10, 10], [0, 0, 0]], [[0, 0, 0], [-25, 0, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-564364, 581458, 182188], [-402636, 438770, 154860], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [94, 8, 2], [276, -2, 10], [0, 0, 0]], [[0, 0, 0], [21, 0, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [30111258, -24854504, -11802708], [87504462, -77668028, -27291840], [0, 0, 0]]], 0, 540672, [], [] >,
< [ 1, -3, -1, 1 ], [[192, -96, -224]], [ -19, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -344, -6], [-294, 2, -10], [0, 0, 0]], [[0, 0, 0], [-21901163300/19, 3595037596/19, -6744157606/19], [-2875226359, -1378956330, 1022053753], [31/19, 6/19, -3/19]], [[0, 0, 0], [-693300984302674/19, 385285705574812/19, 1461264625412900/19], [-80005877888888, 39185498851610, 33231092132028], [870170/19, -381424/19, -51646]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -160, 10], [-182, -2, 2], [0, 0, 0]], [[0, 0, 0], [-779864554/19, 904206178/19, -284357888/19], [-408717637/5, -290517408/5, 215568331/5], [673/95, -48/95, 1/95]], [[0, 0, 0], [10079218614214, 29304079792892, -24806474362802], [319378216988214/5, -75617722868054/5, -59617633495372/5], [-28524054/5, 13815294/5, 33210192/5]]], 0, 1474560, [], [] >,
< [ 1, -3, -1, 1 ], [[-176, -96, 176]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1302, 52, -6], [-54, -2, 0], [0, 0, 0]], [[0, 0, 0], [-26821364299945525529/2140080863, -11380024541967421421/2140080863, 12432391530425173755/2140080863], [115715695084/227, 37454847592/227, -54946880708/227], [283647115/2140080863, 1657139158/2140080863, 4/2140080863]], [[0, 0, 0], [-618549798150648332477935819606/2140080863, -73112583687352583963968824850/2140080863, 149611745152540281514055403974/2140080863], [2553234218223367549354/227, 412048868130111320856/227, -596525095105469998182/227], [21650769026480886224/2140080863, -12013338132934964280/2140080863, -7574632082118714288/2140080863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20484286/227, -1219450/227, -2318/227], [42876/227, 2554/227, 2/227], [0, 0, 0]], [[0, 0, 0], [20759595308034977368112/27821051219, -4465428344777409306588/27821051219, 4215701556104799231261/27821051219], [-8715136547458/2951, -1527344468926/2951, -935494051956/2951], [-19080266445/27821051219, -11701787831/27821051219, -5/27821051219]], [[0, 0, 0], [2907364721695632342239007434911872/27821051219, -8043812249387682409119055935538322/27821051219, 2812703633250124946566212571566278/27821051219], [-856485468842383776062138/2951, 1902111729313135979520306/2951, -547626886948473803697108/2951], [-980940186417044932320/27821051219, 541952917212108701200/27821051219, 356391988141337427840/27821051219]]], 0, 1474560, [], [] >,
< [ 1, -3, -1, 1 ], [[144, 32, 16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [102, -4, 8], [514, 6, 4], [0, 0, 0]], [[0, 0, 0], [9, 0, 0], [-21, 0, 1], [1, 0, 0]], [[0, 0, 0], [-10992774, 5012202, 12605034], [-53147168, 19578220, 54687028], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1340, -10, -10], [-166, -10, -4], [0, 0, 0]], [[0, 0, 0], [-18895308406, 998089027, 315001531], [-2346668754, 17044340, 15825796], [2, -7, -1]], [[0, 0, 0], [-234092044186421434/5, -42774592808737556/5, 74316360463367867/5], [-5909395429893273, -1066833922190082, 1890026314801059], [-4856862/5, 2425212/5, 5662791/5]]], 0, 368640, [], [] >,
< [ 1, -3, -1, 1 ], [[192, 32, -160]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-37, 98, -5], [-171, 4, -5], [0, 0, 0]], [[0, 0, 0], [16605796/17, 135547986/17, -283159994/17], [33578302, 118296434/3, -29077706/3], [62/17, 10/51, -10/51]], [[0, 0, 0], [-20261416511492/17, 30987744142952/17, 251950864520640/17], [27902139686234, -21766580067120, -14719788695674], [27831216/17, 5955264/17, -22365168/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-39, 32, -5], [-67, -6, 1], [0, 0, 0]], [[0, 0, 0], [99789140/17, -91964478/17, 1141382], [30772226/3, -1701356/3, -2306888/3], [148/51, 8/51, 2/51]], [[0, 0, 0], [-522434700684664/85, -2253993403627786/85, 1084564579802012/85], [-429266734381688/15, -192810984966592/15, 101826816091728/5], [-2387943298/255, -372978032/255, 677111988/85]]], 0, 1179648, [], [] >,
< [ 1, -3, -1, 1 ], [[-22, 16, 18]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -33, -1/2], [-1011/34, 401/17, 55/34], [-367/2, -4/3, -73/2], [-25/34, -2/51, 1/34]], [[34596125/2, -60124547/2, -32105204], [161543967/34, 367019149/34, 175194777/17], [429755824/3, -993309031/6, -929276539/6], [21831914/51, -29614283/102, -34596125/102]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-483, -20, -7], [245, -1, 4], [0, 0, 0]], [[120, 113/2, -3/2], [72595352726/85, 30574681263/170, -45164893171/170], [-12817773811/30, -899293013/10, 1992622709/15], [601/510, -7/170, 1/255]], [[35184032, -35770976, -39325248], [10648748358600277/85, 2377072510668703/85, -3238250984312961/85], [-940316963689151/15, -69743112919308/5, 95439653832531/5], [62672576/255, -880416/5, -16858336/85]]], 1, 576, [], [] >,
< [ 1, -3, -1, 1 ], [[-22, 16, 18]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -117/2, 0], [-1609/34, 1535/34, -7/17], [284, 29/6, 25/6], [-19/17, 1/102, -1/102]], [[-132756435/2, 227769003/2, 123892188], [-661170573/34, -1350605865/34, -681303399/17], [436723893, -619305959/2, -706301681/2], [-28416717/17, 38342647/34, 44252145/34]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-236, 14, -10], [116, 1, -3], [0, 0, 0]], [[337/2, 87, 3/2], [507082993/10, 915468062/85, -2645650893/170], [-252893121/10, -26929382/5, 233483759/30], [281/170, 2/85, 1/510]], [[-5131006233/2, 5396224231/2, 2930602288], [-63984939688755681/170, -12404257336651969/170, 10321849350750544/85], [937427684641643/5, 1110957657268667/30, -601219477407683/10], [-1511138963/85, 6741932053/510, 2507121203/170]]], 1, 576, [], [] >,
< [ 1, -3, -1, 1 ], [[44, -32, -36]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5, -1, 0], [-55, 2, 3], [0, 0, 0]], [[0, 0, 0], [901100/17, -165432/17, 231504/17], [617708, -346283, 397091/3], [-14/17, 0, -2/51]], [[0, 0, 0], [1298728310/17, -1083219752/17, -1172794600/17], [653710928, -1027047278/3, -1199430691/3], [-18203/17, 30728/51, 41416/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [319, 14, -9], [-173, -5, 2], [0, 0, 0]], [[0, 0, 0], [830602287941/85, 83768931984/85, -6317894309/5], [-79411520818/15, -2405243409/5, 9401705524/15], [-602/255, -11/85, -4/255]], [[0, 0, 0], [-15460107528671778081/85, 5928708824066416401/85, 9619133801053430128/85], [497123459419857471/5, -203139345250070346/5, -315039079028049133/5], [4402744929/85, -187911342/5, -3594580407/85]]], 0, 4608, [], [] >,
< [ 1, -3, -1, 1 ], [[44, -32, -36]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [249/17, -358/17, 5/17], [145/3, 7/3, 4], [-79/51, 2/51, -1/17]], [[0, 0, 0], [-34155/17, -116955/17, -139518/17], [-39387, 21409, 27238], [19803/17, -8625/17, -12006/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-135, 32, 9], [62, -1, 5], [0, 0, 0]], [[0, 0, 0], [-6973502801/17, -1534336553/17, 2187594778/17], [616197026/3, 135396437/3, -193082939/3], [-236/51, -5/51, -1/51]], [[0, 0, 0], [-570732566718999483/85, -123569534689424337/85, 178261657466594949/85], [16817804672591693/5, 10852412643503126/15, -15794852760216337/15], [-9438433088/85, 21209371984/255, 23605399192/255]]], 0, 4608, [], [] >,
< [ 1, -3, -1, 1 ], [[176, -128, -144]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, -116, 5], [-119, 8, -1], [0, 0, 0]], [[0, 0, 0], [-3508212/17, -107664, -3684756/17], [-2620385/3, -465838, 756989/3], [35/51, -2/17, 1/51]], [[0, 0, 0], [-515379019, 17043498666/17, 14601292947/17], [-618497586, 342670366, 1652149070/3], [7641/17, -6226/17, -18395/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [27, 200, 19], [193, 6, 5], [0, 0, 0]], [[0, 0, 0], [33063558/85, 193626242/85, 33544216/85], [35017231/15, 4977034/15, -59251/5], [-481/255, -2/15, 1/85]], [[0, 0, 0], [30259178828/17, -37139636854/17, -42723910378/17], [6709546832/3, -2536167580/3, -4186811036/3], [-88682/51, 30580/51, 3058/3]]], 0, 294912, [], [] >,
< [ 1, -3, -1, 1 ], [[176, -128, -144]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-49, -8, 11], [-77, -8, 3], [0, 0, 0]], [[0, 0, 0], [921776848/17, 137790666/17, -229808474/17], [86777865, 4321942, -32640565/3], [-9/17, 2/17, 1/51]], [[0, 0, 0], [10517238091362/17, -1782161359988/17, -5711424391706/17], [1301434286989, -3043702558694/3, -3607763408543/3], [-114445/17, 219302/51, 259487/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [677, -4, 5], [259, 2, 5], [0, 0, 0]], [[0, 0, 0], [-464482875447/85, 26616774552/85, 30820927901/85], [-10478291553/5, 1572428794/15, 1886001557/15], [-422/85, -2/15, -2/255]], [[0, 0, 0], [8838880125767348456/85, -3879947325171118816/85, -5308562781408594768/85], [608805386486733937/15, -95279346167353584/5, -126500390605061997/5], [28800121343/255, -408350208/5, -7813685523/85]]], 0, 294912, [], [] >,
< [ 1, -3, -1, 1 ], [[176, -128, -144]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [60, 0, -2], [184, 6, -10], [0, 0, 0]], [[0, 0, 0], [17, 0, 0], [-21, 0, 1], [1, 0, 0]], [[0, 0, 0], [884598, 128700, -830544], [2750312, 314012, -2457956], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [426, 6, -26], [140, 4, -8], [0, 0, 0]], [[0, 0, 0], [1077372287, 16598766, 96907826], [352758175, 14182886, 35438035], [-1, -2, 0]], [[0, 0, 0], [23806092255150782/5, -8149072791291992/5, -6356594247560646/5], [7879830189920932/5, -2719779509243602/5, -2193020236783566/5], [-31595802/5, -5274738/5, 26342106/5]]], 0, 294912, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 32, 96]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -20, -2], [156, 6, 2], [0, 0, 0]], [[0, 0, 0], [7664571/13, -17890, 486133/13], [-19718103, -6261021, 6530127], [-57/13, -3/13, 1/13]], [[0, 0, 0], [-7852697617/13, 4575250880/13, 321073037], [16161954334, 3305545986, -6201948961], [56322/13, -25394/13, -28975/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-196, -22, -2], [-186, -10, 0], [0, 0, 0]], [[0, 0, 0], [5345593/13, 22345548/13, -11064451/13], [347449, 1733143, -849203], [-49/13, -3/13, 3/13]], [[0, 0, 0], [-15694734520/13, -29659188214/13, 25243718710/13], [-1043426668, -2398238846, 1847408426], [165168/13, -162504/13, -157176/13]]], 0, 688128, [], [] >,
< [ 1, -3, -1, 1 ], [[36, 24, 4]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [23, -18, -1], [58, 2, 0], [0, 0, 0]], [[0, 0, 0], [73132980/13, 18909713/13, -24483300/13], [19173372, 8930937/2, -12147437/2], [2/13, -1/26, 5/26]], [[0, 0, 0], [386107175935/2, 606055126704/13, -1642157150785/26], [656005302095, 298354670175/2, -205993037425], [55615/13, 53795/26, 75460/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-33, -7, 8], [-99, -4, 1], [0, 0, 0]], [[0, 0, 0], [13538277669/130, 1286260003/65, -4517092877/130], [3087131873/10, 459414367/10, -1211332309/10], [-29/26, -5/26, 3/26]], [[0, 0, 0], [98655064447239/65, 4299122551546/65, -45027915262557/65], [25057368951468/5, -5691780922128/5, -19341909712664/5], [-171612/13, -4200, -202608/13]]], 0, 2688, [], [] >,
< [ 1, -3, -1, 1 ], [[36, 24, 4]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -5, -1], [-1, 2, -5], [0, 0, 0]], [[0, 0, 0], [1090/13, 6/13, -759/13], [609/2, -21/2, -111], [47/26, 1/26, -1/13]], [[0, 0, 0], [303536851/26, -163588501/13, -473681687/26], [31877614, -23806571, -46210923/2], [1475694/13, 525051/13, 3393171/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [132/5, -27/5, -21/5], [117/5, -42/5, -1/5], [0, 0, 0]], [[0, 0, 0], [63865/26, -33419/13, 55581/26], [7107/2, -13055/2, 1987/2], [69/26, -1/26, 5/26]], [[0, 0, 0], [-955136077/13, 1651524462/13, -3352759373/13], [-228112941, 579614562, -35007729], [-925011/13, -195150/13, -1112355/13]]], 0, 2688, [], [] >,
< [ 1, -3, -1, 1 ], [[-18, -12, -2]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-22, 13, -4], [-6, -60, 1], [-62, 5, -3], [0, 0, 0]], [[45664596, -12903637/2, -7004851/2], [959743297/26, 69875887, -168731893/26], [561984985/4, 31603727/2, -81846077/4], [-131/52, 1/26, -5/52]], [[-10438029067769/2, 2599224535038, -4465724442091/2], [93814760430075/26, -369289969544325/13, -259957983363485/26], [-13424184153456, -8239857170133/2, -12664457216797/2], [213296, 1986319/26, 8518509/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[75/2, 8, -5/2], [5041/10, -243/5, 27/10], [-287/5, 7/5, 1/5], [0, 0, 0]], [[2253753/2, 89184, -146781/2], [201203597/13, -59785958/13, 10515012/13], [-1755811, 754349/2, -57597], [-1/13, 1/26, 1/13]], [[-197319481, -520923915/2, 410424961/2], [-33797304109/26, -95048444177/13, 105520493911/26], [726136649/4, 741921772, -1736411879/4], [521/52, 76/13, 601/52]]], 1, 336, [], [] >,
< [ 1, -3, -1, 1 ], [[-18, -12, -2]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 0, -1], [16, 8, 4], [22, 4, -4], [0, 0, 0]], [[-33565/2, -615/2, 3180], [-1104569/26, -124233/13, 37539/26], [-214107/4, -8167, 49647/4], [-3/52, 2/13, 3/52]], [[4743/2, 465, -1443/2], [13017/2, 1214, -4049/2], [7836, 1602, -2421], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -1, -1/2], [363/10, -244/5, 71/10], [-36/5, 21/5, -2/5], [0, 0, 0]], [[-1, 1/2, -1/2], [-3007/26, 3293/13, 5713/26], [-5/4, -1/2, -3/4], [-5/52, -1/26, -3/52]], [[264, -344, 248], [436503/13, -1005514/13, -853665/13], [272, -12, 324], [272/13, -12/13, 324/13]]], 1, 336, [], [] >,
< [ 1, -3, -1, 1 ], [[144, 96, 16]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32, 6, 10], [-162, -8, -2], [0, 0, 0]], [[0, 0, 0], [2512554253/13, -28170509/13, -5271530/13], [-1842943719/2, 210511, 228683379/2], [-69/26, 3/13, 1/26]], [[0, 0, 0], [62281264191472/13, 55676329801505/13, 115828283451643/13], [-60860849834817/2, -3224863716254, -32883711310539/2], [-2019515/26, -258060/13, -2602105/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7594/5, -364/5, -22/5], [-766/5, 46/5, 8/5], [0, 0, 0]], [[0, 0, 0], [5666674994/13, -569804553/13, -1980784917/13], [-87217701/2, 4009366, 29834137/2], [9/2, -2/13, 3/26]], [[0, 0, 0], [-4334024444680/13, -756047373566/13, -3903911495106/13], [34370816630, 3500874594, 28410778716], [-109290/13, 174864/13, 7286/13]]], 0, 172032, [], [] >,
< [ 1, -3, -1, 1 ], [[144, 96, 16]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -10, -2], [-438, -20, -10], [0, 0, 0]], [[0, 0, 0], [1130124, -2555677/13, -2326595/13], [109732283/2, 39015927, -60149541/2], [-27/26, 3/13, 5/26]], [[0, 0, 0], [66747452/13, -7813814, -61880912/13], [123550016, 98556888, -181057376], [-112/13, 224/13, 168/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2168, -72, -6], [-236, 8, 0], [0, 0, 0]], [[0, 0, 0], [2610766196, 873645280, 1225174852], [-283562748, -96414148, -135894006], [-2, 0, 0]], [[0, 0, 0], [-5670972942192/65, -201528771176483/65, -303558247893929/65], [72586379977/10, 1713560743799/5, 5148458268349/10], [22931/26, 1127/13, 25047/26]]], 0, 172032, [], [] >,
< [ 1, -3, -1, 1 ], [[144, 96, 16]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -6, -8], [326, -12, 6], [0, 0, 0]], [[0, 0, 0], [-9972234/13, -159826/13, 207072], [89885727, 14175756, -25868741], [-29/13, -4/13, -1/13]], [[0, 0, 0], [24364655, -1654415, 23015960], [-6694376957/2, 404079483, 693871797/2], [577/2, -577, -577/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6276/5, -724/5, -2/5], [714/5, 76/5, -2/5], [0, 0, 0]], [[0, 0, 0], [-23017539624/65, 15799729119/65, 14461685507/65], [399667459/10, -135475117/5, -246988837/10], [-27/26, -3/13, 1/26]], [[0, 0, 0], [-292790150808872/65, 538366291095202/65, 325857471087526/65], [2523598962186/5, -4622574875491/5, -2762589199713/5], [-62484/13, -32021/13, -6601]]], 0, 172032, [], [] >,
< [ 1, -3, -1, 1 ], [[-240, 32, 176]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -6, -4], [68, 6, 6], [0, 0, 0]], [[0, 0, 0], [4401526956766613057/122027239, 8372199255099826726/122027239, -6147786586/122027239], [10344458604971/17, 19676323732456/17, -9849/17], [36118899539/10372315315, 68702209841/10372315315, 3/10372315315]], [[0, 0, 0], [-808762194501240205324208180/122027239, 1427701773274647686942568708/122027239, 1234495477634943865711649048/122027239], [-1900751074207859387562/17, 3355381472416553957040/17, 2901308471928840948998/17], [-6636697012348925822/10372315315, 11715710978246915762/10372315315, 10130261423634304746/10372315315]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [122, 0, 16], [264, 8, 8], [0, 0, 0]], [[0, 0, 0], [-6096436762135186149728/2074463063, 5706872013388090281874/2074463063, 390584383178873855/2074463063], [5305075414567013/289, -4963948726571008/289, 45905417505/289], [819290107176/176329360355, -766696559781/176329360355, 2/176329360355]], [[0, 0, 0], [4905735681346090364900135210167919/122027239, 5521465316052815841628796728898164/122027239, 4140058803571435759008419033916134/122027239], [-4272467635697404489274383917/17, -4798902827475374983897122240/17, -3596678858847170871522588677/17], [-659691266392920317018883/10372315315, -741316916749071631890967/10372315315, -555666375058255064774531/10372315315]]], 0, 688128, [], [] >,
< [ 1, -3, -1, 1 ], [[144, 96, 16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [86, 0, 2], [270, 10, 8], [0, 0, 0]], [[0, 0, 0], [11, 0, 0], [-25, 0, 1], [1, 0, 0]], [[0, 0, 0], [393666, 81370, 453818], [1179514, 463624, 1520414], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-512, 10, -12], [-66, 6, -8], [0, 0, 0]], [[0, 0, 0], [27074270976/5, 1256451699/5, -1709850383/5], [3476764186/5, -19996926/5, 36581162/5], [-16/5, 21/5, 3/5]], [[0, 0, 0], [-12016220620347796/5, 1984229799974276/5, 4385768316115553/5], [-1584939166116471/5, 419072488558506/5, 599109935644413/5], [2831976/5, 1428084/5, 4263147/5]]], 0, 172032, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 64, 48]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, -4, 6], [7342, -18766, -16016], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [3, 0, 1], [1, 0, 0]], [[0, 0, 0], [5025104, -18458496, 7438816], [-690, 13110, 1840], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, -2, -10], [1288, -3260, -2788], [0, 0, 0]], [[0, 0, 0], [6188306, -22863116, 9221518], [7946, 950, -1560], [26, 4, -2]], [[0, 0, 0], [11411555736, -41880278921, 16875679278], [-2950883, -3661008, 1476225], [-7224, -20081, 2838]]], 0, 30720, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 64, 48]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, 4, -6], [3922, -9966, -8516], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-2922, 10348, -4148], [-36, 144, 36], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-36, 4, 6], [-9210, 23480, 20050], [0, 0, 0]], [[0, 0, 0], [5, 0, 0], [-5, 0, 1], [1, 0, 0]], [[0, 0, 0], [-85830, 314740, -126810], [1998, -4514, -4144], [0, 0, 0]]], 0, 20480, [], [] >,
< [ 1, -3, -1, 1 ], [[144, 160, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-124, -14, -16], [6, -4, -6], [0, 0, 0]], [[0, 0, 0], [-885289, -2091913, 1199527], [46471, -1830, -2639], [5, -5, -5]], [[0, 0, 0], [551287018, 4516850477, -2251631466], [-61870735, 20272002, -3339789], [-6066, 6159, 5426]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [274, 8, 8], [-4, 2, 2], [0, 0, 0]], [[0, 0, 0], [1823, -523, -256], [14, 6, -18], [-17, 5, -2]], [[0, 0, 0], [1967132567, 1091957402, 478159038], [-32741105, 139886240, 98599685], [-37202015, 37013830, 32929290]]], 0, 614400, [], [] >,
< [ 1, -3, -1, 1 ], [[144, 160, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [228, 2, 4], [34, -8, 10], [0, 0, 0]], [[0, 0, 0], [-1111278735, -129114975, 175748290], [-161488286, 822404, 3534096], [-7, 5, -2]], [[0, 0, 0], [8852416116950, -4337180115275, -6566801829700], [1507972888817, -1271321769930, -1430744406153], [57190, -58135, -51380]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [52, 6, 0], [60822, -154600, -132098], [0, 0, 0]], [[0, 0, 0], [108701807776, -399941365245, 161214938261], [139707778, -16539234, 1592506], [10, 3, -1]], [[0, 0, 0], [-14450590495454487, 53128699105273299, -21413758351688295], [-11240002692345, 14466301016300, 4735375002295], [-839055, 840735, 746445]]], 0, 614400, [], [] >,
< [ 1, -3, -1, 1 ], [[32, 96, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -10, 8], [44, 0, 4], [0, 0, 0]], [[0, 0, 0], [86672, 25546/5, -20022/5], [-608400, -105506, 265722], [-12/5, -2/5, 2/5]], [[0, 0, 0], [-71143617/5, -8709576/5, 12195393], [80691010, 44681442, 6200341], [1986/5, 36, -1239/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [58, 50, -6], [90, 8, -6], [0, 0, 0]], [[0, 0, 0], [8445774/5, 5018188/5, 1882098/5], [2020995, 1954034, -644363], [1/5, -2/5, -1]], [[0, 0, 0], [-59374561619/5, -12597197312/5, 3733924437], [-14962148016, -3137225990, 4652208449], [662/5, 12, -413/5]]], 0, 98304, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 16, 12]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, -18, 1], [26, -1, 3], [0, 0, 0]], [[0, 0, 0], [56063/5, -873456/5, 78027], [-29862, -129602, 66307], [-4/5, 0, 1/5]], [[0, 0, 0], [69/10, -88/5, -149/10], [-2, 9/2, 4], [2/5, -9/10, -4/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -19, -8], [3, -3, 4], [0, 0, 0]], [[0, 0, 0], [159833/2, 22321, -46197/2], [-16940, 1094, 4679/2], [0, 0, 1/2]], [[0, 0, 0], [-393989, -415902/5, 612959/5], [75529, 18663, -24747], [-1/5, -1/5, 1/5]]], 0, 384, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, -8, -6]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 5, 3/2], [-19/2, 5, 5/2], [21, 4, -2], [0, 0, 0]], [[-40975/2, -8019, 23213/2], [108469/10, 72827/2, -85868/5], [-199143/4, -76803/2, 124909/4], [-41/20, -1/10, 3/20]], [[496220, 1172476, 1878728], [-14006829/5, 30658569/5, -4385082/5], [6729475/2, -2618168, 5180277/2], [285/2, -342/5, -2337/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -8, -6], [11, -5, -5], [-15, -3, -4], [0, 0, 0]], [[821303/2, 100194, -198185/2], [-3144298/5, -892337/10, 1911583/10], [4531759/4, 374337/2, -1193479/4], [-43/20, 3/10, -1/4]], [[-6306245827/2, -1395053580, 1376964035/2], [5034777310, 5538503804/5, -9399630118/5], [-17542423081/2, -6196536297/2, 5544620843/2], [99799/10, 231609/10, -24479/10]]], 1, 48, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 64, 48]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [43, 74, -5], [-58, -6, -6], [0, 0, 0]], [[0, 0, 0], [-70325804/5, 6337643/5, 5525879], [23845219/2, 2269341, -10599375/2], [-51/10, -1, -1/10]], [[0, 0, 0], [-2191459402206/5, -71656707552/5, 1653902705218/5], [431772228626, -119066607096, -164253834362], [-463154/5, -1256952/5, 13882]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [45, 72, 15], [-48, -10, -8], [0, 0, 0]], [[0, 0, 0], [630488, 3182182/5, -2436934/5], [-827262, 822413, -179523], [-4/5, 1/5, -1/5]], [[0, 0, 0], [-26901013, -1172591, -2017404], [27059259/2, 26739437, -23856889/2], [69/2, -13, -79/2]]], 0, 24576, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, -8, -6]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19/2, -1, 5/2], [-17, 8, 2], [-19/2, -1, 5/2], [0, 0, 0]], [[-3/2, 15/2, 5], [-63, 429/2, 149], [-7, -13/2, 7/2], [5/2, 5/2, -1/2]], [[-15486, 52896, 36308], [-517102, 1531746, 1057660], [-17110, -45530, 17690], [5887, 16588, -551]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21/2, 3, -1/2], [-21, 11, -3], [21/2, 3, -1/2], [0, 0, 0]], [[1313538, 4839, -118539], [-2888718, 2985080, -887050], [1313530, 4835, -118535], [-2, -1, 1]], [[-1568785125/2, 1824959725/2, 598086389], [1631240971, -6301501095/2, 902212951/2], [-1568781945/2, 1824968865/2, 598086345], [795/2, 2285/2, -11]]], 1, 48, [], [] >,
< [ 1, -3, -1, 1 ], [[-2, -8, -6]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -3, -5/2], [-4, -16, -17], [3/2, -3, -5/2], [0, 0, 0]], [[3, -11/2, -13/2], [77, -5, -25/2], [-5/2, -15/2, 5], [3/2, 1, -2]], [[-595/2, 1547/2, 646], [1435/2, -377/2, -477/2], [17, -323/2, -85/2], [-34, 255/2, 85]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, 1/2, 5/2], [75/2, 1, 21/2], [-9, 1/2, 5/2], [0, 0, 0]], [[-2127360, 29760, 146880], [27916461/2, -13224914, -7189305/2], [-2127360, 29760, 146880], [7/2, 2, 5/2]], [[-276119568, -250382352, 133208496], [1232660995, 1589299031, -1936599692], [-276119568, -250382352, 133208496], [366, 1098, 0]]], 1, 48, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 16, 12]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-27, -30, 23], [32, 1, 5], [0, 0, 0]], [[0, 0, 0], [73457204, 1814311/2, -12220827/2], [-75428117, 488259, 51061185], [0, 5/2, -1/2]], [[0, 0, 0], [-648041868114, -147176748408, 129578418018], [709125029102, -50025206437, -397590433449], [-3728, -9976, 396]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -4, 0], [-35, -1, 2], [0, 0, 0]], [[0, 0, 0], [54587/2, 101, 3287/2], [141290, -132060, 43310], [7/2, 2, -3/2]], [[0, 0, 0], [-61705091/2, 244933356, 564109665/2], [385856600, -617370560, 848884520], [10655/2, 16760, -605/2]]], 0, 384, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 16, 12]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 32, -16], [-60, -5, 5], [0, 0, 0]], [[0, 0, 0], [637665/2, -27629, 61901/2], [-3022688, -279896, 1284784], [-9/2, -1, -5/2]], [[0, 0, 0], [60826790150, 176606107405/2, -57295116599/2], [-840871634400, -22535923200, 338240061600], [-694850, -4420315/2, 56657/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [56, 8, 0], [-12, 4, 5], [0, 0, 0]], [[0, 0, 0], [626107/2, -133852, -90669/2], [-48360, 5828, -3596], [-1/2, 2, 3/2]], [[0, 0, 0], [-35941, 35052, -8255], [6076, -5332, 1240], [0, 0, 0]]], 0, 384, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 64, 48]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [122, 4, 14], [-4, -2, 10], [0, 0, 0]], [[0, 0, 0], [-7, 0, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [1288242, -19796, -388536], [-20558, -52516, 4104], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [44, 2, 10], [11438, -28970, -24772], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-797988, 2934118, -1182624], [160, 230, -50], [0, 0, 0]]], 0, 24576, [], [] >,
< [ 1, -3, -1, 1 ], [[48, 160, 48]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 10, -6], [-1436, 3640, 3112], [0, 0, 0]], [[0, 0, 0], [-591358426730349701/122027239, -2144714392405889126/122027239, -1505510608786/122027239], [-19537161823/17, -70752737944/17, 36547789/17], [-4879150885/2074463063, -17695406795/2074463063, -5/2074463063]], [[0, 0, 0], [-10113605492379576012964334825/122027239, 34440013403082651006893588814/122027239, -13722682192749915439497381083/122027239], [-333843349699970526926/17, 1136841921315419810152/17, -452976617149088307570/17], [-83444396550505389003/2074463063, 284154411963782946696/2074463063, -113221807850583348873/2074463063]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1596, -3720, -3166], [1452, -3724, -3176], [0, 0, 0]], [[0, 0, 0], [-402550733898834336511/2074463063, 3148218207245553202626/2074463063, 8201336325880473359/2074463063], [-128429167366/289, 1008686825812/289, -92345818/289], [-32461184249/35265872071, 252109732914/35265872071, 5/35265872071]], [[0, 0, 0], [30021975366993078633456455754439/2074463063, 2853341638391306717553033568704/2074463063, -16365940027441095886207114494774/2074463063], [9626575124135815910015/289, 934663055811863455856/289, -5238217893939842037697/289], [2388270962343622291569/35265872071, 230346366412414309917/35265872071, -1303614179049436316039/35265872071]]], 0, 294912, [], [] >,
< [ 1, -3, -1, 1 ], [[144, -128, -80]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-288, 96, 2], [12, -4, 0], [0, 0, 0]], [[0, 0, 0], [-18462327894754600873/2140080863, -24292189935155622858/2140080863, 17092453780233/2140080863], [250802/227, 50842/227, -75412/227], [10519942993/2140080863, 13841868694/2140080863, 5/2140080863]], [[0, 0, 0], [-7560331415950139886723764466199/2140080863, 867251977575390372475447437457/2140080863, 7870893148585626888767848874759/2140080863], [63449500869920720/227, 11165942763664320/227, -19180314224426800/227], [4307926365116263715175/2140080863, -494168246313080165372/2140080863, -4484892523516858618662/2140080863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10701102/227, -109844/227, 5640/227], [22354/227, 226/227, -8/227], [0, 0, 0]], [[0, 0, 0], [429200627965342960012544/27821051219, -78297326807498387038231/27821051219, 70965373450178727869733/27821051219], [-87918910205512/2951, 18030975368072/2951, -15747543164536/2951], [131473149517/27821051219, 12011915599/27821051219, -2/27821051219]], [[0, 0, 0], [-10412525799226703695158834290535291242/27821051219, 516124673222605038687620614652532491/27821051219, 14438852193084967996160719710654104390/27821051219], [2114843724085375547671996104/2951, -69276175727747803389324936/2951, -2999608261407361132267844364/2951], [-3520190966625008760791910/27821051219, 824271897922895652426630/27821051219, 3676660238958056135793945/27821051219]]], 0, 442368, [], [] >,
< [ 1, -3, -1, 1 ], [[528, -160, -432]], [ -7520, 31, 43 ], [ -2, 2, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7195252/227, 46756/227, 2222/227], [299840/227, -1986/227, 2/227], [0, 0, 0]], [[0, 0, 0], [1502892802120836212925714/2140080863, 276244074215110195636391/2140080863, -417197542559747673535027/2140080863], [-6642933739712800/227, -1220830782782056/227, 1843852411629752/227], [-9772187441/2140080863, -9388893031/2140080863, -2/2140080863]], [[0, 0, 0], [813615718484449051054343363898567734/2140080863, 184209330190167013138370748411412630/2140080863, -286358947543253252619558943202017659/2140080863], [-3596237795609832574960750800/227, -814265604850174972461694400/227, 1265858881682347042268412000/227], [-8886995122334455872339/2140080863, 4442379770439823545501/2140080863, 6125796374531599112363/2140080863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-180911930/227, 786334/227, 2318/227], [378436/227, -1646/227, -2/227], [0, 0, 0]], [[0, 0, 0], [4153124363387625460240278433/27821051219, -89049728262056972615476633/27821051219, 383768390331145592808986437/27821051219], [-921527311359233674/2951, 19832433912740484/2951, -85160257059430162/2951], [35453157797/27821051219, -95475069256/27821051219, 2/27821051219]], [[0, 0, 0], [-106768542456174551826562696701654610356598/27821051219, -26582830923289793486154332134370985581820/27821051219, 30126133688641038339475168229738065805598/27821051219], [23690089631622103531310677171616/2951, 5898182441025582214128156980838/2951, -6684508655840482631157311032030/2951], [-199701293713587580126986/27821051219, 100898924224367201318496/27821051219, 138712481857621068101658/27821051219]]], 0, 8847360, [], [] >,
< [ 1, -3, -1, 1 ], [[208, 128, 112]], [ -2520, 1, 3 ], [ 2, -8, -7 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 10, 6], [-22, 10, 0], [0, 0, 0]], [[0, 0, 0], [14883908840634314/122027239, -857886150304957843/122027239, 5686650288/122027239], [-41261613251/17, 2378257087040/17, 615/17], [122802709/2074463063, -7078162718/2074463063, -2/2074463063]], [[0, 0, 0], [-390457302358035804496910480/122027239, 30832230791208181828684232/122027239, 149871342758767080824128490/122027239], [1082437153126793281740/17, -85474015149107817140/17, -415477722312377368960/17], [-3221546712976177630/2074463063, 254387547429794560/2074463063, 1236543744642347210/2074463063]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [196, 6, -8], [192, 0, -4], [0, 0, 0]], [[0, 0, 0], [-2608619183576397152752/2074463063, 1562331358010328627159/2074463063, -1826040371745/2074463063], [-207160519879882/289, 124070764557216/289, -262112/289], [-89447517127/35265872071, 53571123633/35265872071, 4/35265872071]], [[0, 0, 0], [2641456011848265229368313962741262/2074463063, -247811299187678891972401181187375/2074463063, -937182451260404270117084147111230/2074463063], [209768219094598233060505241/289, -19679651769637747303235640/289, -74425276240568843696288265/289], [90573466404238044439595/35265872071, -8497256257423703849360/35265872071, -32135255373173305243170/35265872071]]], 0, 4128768, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, -224, -96]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [118, 12, -6], [40, -8, -4], [0, 0, 0]], [[0, 0, 0], [2530839/5, 10123634/5, 8797971/5], [426611, -99116, 47038], [-11/5, -4/5, 2/5]], [[0, 0, 0], [79300852/5, -59481396/5, 1387787584/5], [41434572, -110691924, 51255000], [-312/5, -126/5, -18]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -4, -2], [-16, 2, 10], [0, 0, 0]], [[0, 0, 0], [-22254/5, -82542/5, 9232], [-11825, 2430, 525], [17/5, 0, -3/5]], [[0, 0, 0], [364905, 7294712/5, -8488979/5], [615879, 410269, 888461], [-1089/5, -409/5, -431/5]]], 0, 491520, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, -224, -96]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-156, -10, 14], [-80, -10, 10], [0, 0, 0]], [[0, 0, 0], [-27315571/5, 2460244/5, -4387029/5], [-2754984, -94166, -256227], [-36/5, -4/5, -3/5]], [[0, 0, 0], [1968431647343/5, 48586030192/5, 695610031789/5], [198197625377, 32663486794, 53858572344], [514211, 689954/5, 702972/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, -4, 4], [28, 6, 6], [0, 0, 0]], [[0, 0, 0], [7679859/5, -151004, -549641/5], [1264998, 77001, -84004], [2/5, -1/5, 4/5]], [[0, 0, 0], [-22005114756/5, -3735601518/5, 1142735870], [-3766709393, -785983110, 957786617], [-5607/5, -378, -1617/5]]], 0, 491520, [], [] >,
< [ 1, -3, -1, 1 ], [[-176, 32, 80]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 2, 6], [32, 6, -10], [0, 0, 0]], [[0, 0, 0], [538/5, 691/5, 111/5], [-181/2, -210, -31/2], [-191/10, -4/5, -1/2]], [[0, 0, 0], [-31129268/5, 51714374/5, 48501014/5], [7243038, -12848880, -11512182], [2165658/5, -1948056/5, -507738]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-154, -10, -4], [-64, 2, 2], [0, 0, 0]], [[0, 0, 0], [-1425967374/5, -45813243/5, 19477427/5], [-235567967/2, 5555609, 13452757/2], [-17/10, -3/5, -1/2]], [[0, 0, 0], [-2712591518986/5, -699684793475, -408804213841/5], [-481341348697/2, -223027920863, 39485935775/2], [-16471/10, -49051/5, -48327/10]]], 0, 122880, [], [] >,
< [ 1, -3, -1, 1 ], [[-176, 32, 80]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 8, 8], [14, 12, -10], [0, 0, 0]], [[0, 0, 0], [31143/5, -14089/5, -28754/5], [-25559/2, 3699, 4135/2], [239/10, 1/5, 1/2]], [[0, 0, 0], [-25946792, 156339019/5, 157399727/5], [61257427/2, 7939974, -35250439/2], [-471751/10, -297948/5, -24829/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [40, 10, -10], [-106, -4, 2], [0, 0, 0]], [[0, 0, 0], [-590584/5, 11529/5, -17147/5], [1234787/2, -1218560, 1256337/2], [5/2, -2/5, 3/10]], [[0, 0, 0], [-100035378172/5, -46554692754, -87896035532/5], [-42525758322, 388045915654, 142014469980], [1780334/5, 5474178/5, 2196688/5]]], 0, 122880, [], [] >,
< [ 1, -3, -1, 1 ], [[-176, 32, 80]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 4, 10], [-114, -12, -10], [0, 0, 0]], [[0, 0, 0], [-5505371/5, 422237/5, 18768], [-135464337/2, -18632306, 47210567/2], [-39/10, 0, 1/10]], [[0, 0, 0], [-3592032907/5, -1536568267, -2348100812/5], [-163245919253/2, -11180136748, 54584646999/2], [-24167/10, -30082/5, -22139/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [44, 10, 4], [96, 0, -4], [0, 0, 0]], [[0, 0, 0], [367708649/5, 10683413/5, 17739168/5], [314839843/2, -22128568, -9679125/2], [-43/10, -2/5, 1/2]], [[0, 0, 0], [198948440569, -99210343071439/5, -55627211885592/5], [-13124378077005/2, -22434865963456, -13460669424021/2], [1896961/10, 3190178/5, 2654289/10]]], 0, 122880, [], [] >,
< [ 1, -3, -1, 1 ], [[-44, 8, 20]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-27, 51, 48], [-15, 26, 23], [0, 0, 0]], [[0, 0, 0], [25707/10, -26, -11873/10], [1908, 425/2, -742], [48/5, -3/10, 1/5]], [[0, 0, 0], [-10403635, -1330170, 3730645], [-7741706, -2161388, 2972120], [-100128, 216348, -81354]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 25, -23], [-29, 0, 1], [0, 0, 0]], [[0, 0, 0], [437579/2, -819918/5, -2422023/10], [350695, 1774, -333451/2], [6/5, 1/5, 3/10]], [[0, 0, 0], [51570203801/10, -40463727524/5, -76724724523/10], [5367170347, -3878745135/2, -3719655553], [38967/5, 261037/10, 10894]]], 0, 1920, [], [] >,
< [ 1, -3, -1, 1 ], [[-44, 8, 20]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [33, -39, -42], [27, -24, -25], [0, 0, 0]], [[0, 0, 0], [82121/2, -163762/5, -409017/10], [35166, -33123/2, -26911], [24/5, 3/10, 1/5]], [[0, 0, 0], [103059221/5, 2253708, -54901089/5], [23752042, -8747946, -4199586], [121268/5, -376614/5, 148596/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, 3, 6], [-5, 0, 5], [0, 0, 0]], [[0, 0, 0], [26957/10, 31791/5, -21577/10], [-2958, 1641, 935/2], [-14/5, -1/5, 1/10]], [[0, 0, 0], [-1741109, -4294540, -4096287], [2544020, -1300372, -2795576], [1152, 3072, 1152]]], 0, 1920, [], [] >,
< [ 1, -3, -1, 1 ], [[22, -4, -10]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -2, -3], [-2, 9, 6], [15, -3, -4], [0, 0, 0]], [[65104, 13730, 5722], [432341/10, -53359, -795739/10], [402009/2, -82389/2, -4493/2], [-97/10, 1/10, 1/10]], [[-3769068394, -15969518907/2, -5025641879/2], [-101432771877/10, 106779642333/5, 179827659931/10], [-55260724039/4, -12645102551, 11850433249/4], [13124529/20, 3837393/5, 96741/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, -14, -21/2], [-69/2, -60, -99/2], [6, -16, -7], [0, 0, 0]], [[-936149/2, -346471/2, -46201], [2305035407/10, 231061833/5, -142896739/2], [-5801681/4, 173947/2, 323331/4], [-17/20, -1/2, 3/20]], [[689512756, 5033623972, 4466114498], [-1189251186461, -1008019245784/5, 1912680444473/5], [6534642283, 1012973833, 3898586412], [10483/5, 41833/5, 18612/5]]], 1, 240, [], [] >,
< [ 1, -3, -1, 1 ], [[22, -4, -10]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, -2, 1/2], [31/2, -6, -3/2], [-22, 0, 3], [0, 0, 0]], [[-15, 141/2, -5/2], [-761/10, -614/5, -9/2], [-445/4, -11/2, 9/4], [-409/20, -1/2, 1/20]], [[-66985/2, 329217, 10427/2], [-1940475/2, -3725433/5, 1176017/10], [-1127273, -397015/2, 394429/2], [-1032009/5, -344003/10, 344003/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -2, 1], [-54, -8, 2], [-20, -2, 4], [0, 0, 0]], [[99077/2, 93659/2, 26740], [1938462/5, 1238871/5, 353194], [701451/4, 21465/2, 26601/4], [-29/20, -1/2, 1/20]], [[223180949/2, -1229466892, -1548417147/2], [3865126633/2, -12341916742, -14055245709/2], [-439457850, -1477425230, -318972955], [4140, 11960, 4540]]], 1, 240, [], [] >,
< [ 1, -3, -1, 1 ], [[-176, 32, 80]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 2, 4], [66, 4, -2], [0, 0, 0]], [[0, 0, 0], [1401044/5, -57147/5, 32313/5], [4159271/2, 54063, -678841/2], [37/10, 3/5, 1/2]], [[0, 0, 0], [350009921532/5, 565079221023/5, 103568523731/5], [1378304337253/2, 393310413359, -288063673543/2], [1357335/2, 11966031/5, 10091151/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-54, -4, 4], [60, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2222119/5, -20511/5, -30742/5], [994469/2, -46870, 112269/2], [-5/2, -2/5, 3/10]], [[0, 0, 0], [2764136868/5, 23756101492/5, 10547376384/5], [-133932544, -6485440556, -3025529652], [6286, 95844/5, 38682/5]]], 0, 122880, [], [] >,
< [ 1, -3, -1, 1 ], [[-176, 32, 80]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -2, -6], [56, 10, 6], [0, 0, 0]], [[0, 0, 0], [514027/5, -66818/5, -12847/5], [-4761635, -807927, 1340829], [-3/5, 3/5, 1/5]], [[0, 0, 0], [-1191701281/5, -124954157/5, 547262508/5], [22607319297/2, 2370150435, -7292642433/2], [4707/10, 6753/5, 1077/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, -8, 10], [-16, 10, -6], [0, 0, 0]], [[0, 0, 0], [279942/5, 60221/5, -9449], [66017/2, 4027, -114011/2], [23/10, -1, 3/10]], [[0, 0, 0], [-1666266483/5, -665679306, -1415472423/5], [-1558554368, 3241350266, 2817527575], [-46494/5, -145368/5, -58563/5]]], 0, 122880, [], [] >,
< [ 1, -3, -1, 1 ], [[-176, 32, 80]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, -8, 8], [10, -12, -6], [0, 0, 0]], [[0, 0, 0], [-78137, -3933, 20924], [-41667/2, -3751, 7087/2], [-5/2, 1, 1/2]], [[0, 0, 0], [-104392013/5, -48710193/5, 20884438/5], [-15683679/2, 2335944, 11006145/2], [-3381/10, -4522/5, -3213/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -6, 6], [96, 0, -4], [0, 0, 0]], [[0, 0, 0], [-275291/5, -1855, -18126/5], [1437465/2, 166378, -729327/2], [59/10, 4/5, 3/10]], [[0, 0, 0], [6797666618, 94298321172/5, 32897276886/5], [-217007801534, 91286315012, 143928251282], [-3597384/5, -10711204/5, -4229876/5]]], 0, 122880, [], [] >,
< [ 1, -3, -1, 1 ], [[-44, 8, 20]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [19, 29, -4], [1, 4, 3], [0, 0, 0]], [[0, 0, 0], [-41935/2, -3335, 10335/2], [-3611/2, -1529/2, 837/2], [-5/2, -1/2, 1/2]], [[0, 0, 0], [-4713303/5, 5365628/5, 7962861/5], [-278903, 601593, 510376], [-231, 2121/5, 2268/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-83, -14, -35], [-44, 0, -4], [0, 0, 0]], [[0, 0, 0], [3145873/5, 3097369/5, 410734], [370674, 151110, 39074], [-9/5, 0, 1/5]], [[0, 0, 0], [28597309/10, -21407975, -138419021/10], [-1186093/2, -10719685/2, -5243003/2], [77/10, 99/10, -11/10]]], 0, 1920, [], [] >,
< [ 1, -3, -1, 1 ], [[-44, 8, 20]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [21, -1, -52], [23, -10, -17], [0, 0, 0]], [[0, 0, 0], [-5391/10, 5744/5, 4033/10], [-475/2, 199, 252], [-29/10, -1/5, 0]], [[0, 0, 0], [-3453509/10, 3535168/5, 7689539/10], [-339233/2, 287741, 269534], [-6799/10, -5753/5, -1046/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9, 27, -8], [-23, 8, 1], [0, 0, 0]], [[0, 0, 0], [-35287/10, 32373/5, 107021/10], [-12299/2, -8509/2, 4529/2], [-13/10, 1/10, -1/2]], [[0, 0, 0], [-983029506/5, 2412994293/5, 2000493398/5], [-201060227/2, -108935451/2, 1471785], [-92263/10, -341409/10, -15078]]], 0, 1920, [], [] >,
< [ 1, -3, -1, 1 ], [[22, -4, -10]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -2, -3/2], [-19/2, -9, -13/2], [3, -3, -1], [0, 0, 0]], [[-963, -419, -244], [103633/5, -10009/5, -36499/5], [-6235/2, 879/2, -69], [-31/10, -3/10, 0]], [[16081803, -773295405/2, -492302709/2], [5804892577/2, -7068572198/5, -24716879953/10], [-788207031/4, -869583531/2, -418016817/4], [-3416751/20, -5558163/10, -4603209/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, -3, -1], [-44, -19, -1], [-19, 0, 1], [0, 0, 0]], [[116388, 277099/2, 254929/2], [9131221/10, 4102446/5, 5563467/10], [1906481/4, -166263/2, 465523/4], [33/20, -3/10, -1/4]], [[-836739437/2, 1017912293, 1763269547/2], [-22153929057/10, 26558130264/5, 46137131107/10], [-373474066, 827203451, 745357752], [-316/5, -1174/5, -498/5]]], 1, 240, [], [] >,
< [ 1, -3, -1, 1 ], [[22, -4, -10]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, -6, -9/2], [97/2, -24, -37/2], [-18, 0, -3], [0, 0, 0]], [[-379917, -427725/2, -173017/2], [29371773/10, -3613507/5, -9132699/10], [-4905027/4, -4291/2, 163387/4], [-11/20, 1/10, -1/4]], [[2948533867, 7625814416, 3484512535], [-36629338124, 5644343904, 23041385608], [12330098041, 9475320881, -656808486], [3219, 10179, 3828]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 4, 9/2], [-69/2, 15, 41/2], [9, -3, 5], [0, 0, 0]], [[-306757, -80661, -155570], [3297176, -2175006/5, -6386108/5], [-2151701/2, 531482, -460959/2], [19/10, 2/5, 1/10]], [[78972989, -8211767337/2, -4615153419/2], [158003682031/10, -6766528702, -128487730239/10], [-8282713941/4, -5473953779, -2037174069/4], [82971/20, 59913/5, 95067/20]]], 1, 240, [], [] >,
< [ 1, -3, -1, 1 ], [[-176, 32, 80]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [318, 14, 30], [50, 2, 6], [0, 0, 0]], [[0, 0, 0], [33, 0, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-265910, -708550, -258460], [-39364, -118092, -45420], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-270, -10, 0], [98, 10, 8], [0, 0, 0]], [[0, 0, 0], [-17, 0, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [8600922, 15977654, 4288614], [-2478704, -7828312, -3137600], [0, 0, 0]]], 0, 122880, [], [] >,
< [ 1, -3, -1, 1 ], [[22, -4, -10]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-51/2, -4, -5/2], [-51, -40, -36], [-51/2, -4, -5/2], [0, 0, 0]], [[-653071658, -43258897/2, -76781219/2], [-1392973030, -1201957195/2, -678162449], [-1306143315/2, -43258873/2, -38390617], [-1/2, -5/2, 3/2]], [[21928979522247/2, -9676743556080, -22596048302157/2], [45277061091188, -69938741502042, -67198415555836], [21928979542893/2, -9676743681486, -22596048458643/2], [5262, 18297, 7812]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19/2, -1, 3/2], [271, 21, -1], [19/2, -1, 3/2], [0, 0, 0]], [[-238152433, 4900225/2, -612197/2], [-13759745937/2, -1606159429/2, 753127469], [-238152437, 4900229/2, -612217/2], [-1, 1/2, -5/2]], [[76607264627304, 27943510792824, -18347688530456], [2311594369674644, 734999907381177, -595638824022971], [76607265351432, 27943513085592, -18347687586232], [181032, 573192, 236056]]], 1, 240, [], [] >,
< [ 1, -3, -1, 1 ], [[22, -4, -10]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-57/2, -4, -1/2], [134, -37, -42], [-57/2, -4, -1/2], [0, 0, 0]], [[-95679823, -4976714, -8196360], [913104523/2, -175137577, -257032549/2], [-95679829, -4976703, -8196363], [3/2, -2, 1/2]], [[-3809730995477/2, 5215575461389/2, 2656080082653], [-841157644935, 21993603356425/2, 7696449590592], [-1904865491191, 5215575294297/2, 5312160061329/2], [7215/2, 24403/2, 10337/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-24, -2, 0], [150, -19, -7], [-24, -2, 0], [0, 0, 0]], [[48417355/2, 1198825/2, 2333915], [-154421720, 36959234, -4971825], [48417355/2, 1198825/2, 2333915], [-5/2, 3, 5/2]], [[-68837935491/2, -14879119671/2, 17205915168], [382251536783/2, 70281500073, -180548761037/2], [-68837935491/2, -14879119671/2, 17205915168], [850, 2940, 1262]]], 1, 240, [], [] >,
< [ 1, -3, -1, 1 ], [[-44, 8, 20]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13, 10, -3], [-12, 0, -2], [0, 0, 0]], [[0, 0, 0], [-129039/2, -3761/2, 6678], [-66685, -32484, -1692], [15/2, 1/2, 2]], [[0, 0, 0], [-17747611171, -12663335346, 1600005237], [-14581924470, -31511727217, -13653168591], [1179067, 4096602, 1740595]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [55, -3, -4], [32, 1, -5], [0, 0, 0]], [[0, 0, 0], [36964743/2, 2326111, 15846005/2], [11234940, 1463595, 1568535], [1/2, -3, -5/2]], [[0, 0, 0], [2721937646541/2, 1073480256745, -1009898124449/2], [856398686976, 478420254144, -302458266432], [-50685/2, -86105, -72815/2]]], 0, 1920, [], [] >,
< [ 1, -3, -1, 1 ], [[-44, 8, 20]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [99, -2, 3], [50, 2, -4], [0, 0, 0]], [[0, 0, 0], [-69693978, 3542551, -7850487], [-35222369, -551075, 874216], [3, 1, 2]], [[0, 0, 0], [2545644109253/2, 2429203562691/2, 5428414733], [705164314505, 463890314881, -90866066382], [-75465/2, -259425/2, -55350]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [180, 8, 4], [-19, -3, -3], [0, 0, 0]], [[0, 0, 0], [216097661/2, -6535164, -17133347/2], [-11775136, 384806, 239282], [3/2, -2, 3/2]], [[0, 0, 0], [-30786558357797, -12824530293913, 6160661511010], [3256783426600, 1795336981850, -366307094100], [-148134, -522711, -223755]]], 0, 1920, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, -98, -46], [6, -20, 6], [0, 0, 0]], [[0, 0, 0], [4749, 159, -1138], [1686, -126, -310], [-3, 5, -4]], [[0, 0, 0], [-3622488, -832705, 1134993], [-1247624, -294176, 397286], [1560, 65, -1105]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 6, -6], [28220, -71668, -61248], [0, 0, 0]], [[0, 0, 0], [-2022515, 7613829, -3079068], [-43550, -454, 22862], [-3, -3, -4]], [[0, 0, 0], [-310324924, 1119947804, -450188000], [4561516, 805860, -1045844], [404, 404, -404]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 10, -12], [10, 6, 8], [0, 0, 0]], [[0, 0, 0], [750344, -411506, 145800], [-1929890, -297980, 375354], [8, -2, 4]], [[0, 0, 0], [1499547249, 869841089, -894119618], [-5080754010, -1138077064, 1863351560], [20007, 6175, -14326]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -2, 20], [12, -2, 2], [0, 0, 0]], [[0, 0, 0], [115825, 21883, -42574], [399352, 85868, -125862], [1, -3, -4]], [[0, 0, 0], [-208475328, -44536428, 64547500], [-728037268, -155930792, 226404900], [584, 104, -332]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 1, 1], [1, 0, 0], [0, 0, 0]], [[9/2, 5, 1/2], [33/2, 35/2, -2], [9/2, 5, 1/2], [9/2, 1/2, 0]], [[-2035/2, 814, 925/2], [-3931, 8503/2, 915/2], [-2035/2, 814, 925/2], [-333, -1813/2, 1369/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 1, 1], [1, 0, 0], [0, 0, 0]], [[2, -6, -4], [16, -2, -4], [2, -6, -4], [0, 0, -2]], [[-1/2, 28, 33/2], [-1119/2, -205/2, 173], [-1/2, 28, 33/2], [11/2, 9/2, 6]]], 0, 32, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 1, 1], [1, 0, 0], [0, 0, 0]], [[-4, -10, -4], [9, 10, 5], [-4, -10, -4], [-5, -2, -1]], [[-759/2, 561, 693/2], [729/2, -53/2, -704], [-759/2, 561, 693/2], [-165/2, -495/2, 297]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 1, 1], [1, 0, 0], [0, 0, 0]], [[-2, 6, 4], [20, 6, 0], [-2, 6, 4], [0, 0, 2]], [[135/2, -39, -73/2], [8587/2, 1953/2, -1406], [135/2, -39, -73/2], [65/2, 67/2, -35]]], 0, 32, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [1, 0, 0], [0, 0, 0]], [[5/2, -6, -11/2], [-3/2, 29/2, 9], [3/2, -3, -5/2], [1/2, -1/2, -1]], [[18, 69/2, 9/2], [1082, 234, -771/2], [177/2, 45/2, -18], [129/2, 30, -24]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [1, 0, 0], [0, 0, 0]], [[0, 3/2, 1/2], [-11, 65/2, 31], [-1/2, 3/2, 2], [1/2, -1/2, 1/2]], [[-98, -20, 28], [-374, -168, 82], [-28, -14, 8], [-73, -22, 25]]], 1, 4, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-35/2, 24, 49/2], [-4, 11, 9], [-1/2, 2, 3/2]], [[0, 0, 0], [2, 83/2, -19], [15/2, -30, 25/2], [2, -19/2, 4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [13, -51, -79/2], [3/2, -3, 5/2], [1, -1, 1/2]], [[0, 0, 0], [7785, 10332, 3251], [-1488, 420, -108], [-1266, -12, 234]]], 1, 8, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [1, 0, 0], [0, 0, 0]], [[-1, 8, 13], [-15, 59, 45], [0, 0, 0], [2, 1, 2]], [[36995/2, -12835, 9815/2], [70973/2, 45807/2, -11711/2], [0, 0, 0], [29143/2, -4983/2, -2869/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [1, 0, 0], [0, 0, 0]], [[-1/2, 1, 5/2], [-6, 19, 33/2], [0, 0, 0], [0, 0, 1/2]], [[0, 0, 0], [-17, -4, 5], [0, 0, 0], [0, 0, 0]]], 1, 8, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -10, -10], [3, 6, -3], [0, 0, 0]], [[0, 0, 0], [-1629, 3536, 2990], [138, 64, -178], [3, 0, -2]], [[0, 0, 0], [-54361/2, -64690, -18749/2], [32536, -13771, 691], [1127/2, 46, -253/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 8, -4], [-7, -6, 3], [0, 0, 0]], [[0, 0, 0], [-363, -2065, -900], [-666, -794, -326], [-1, 5, 0]], [[0, 0, 0], [-1149981/2, -108202, 427767/2], [-497780, -84513, 162761], [475/2, 266, -437/2]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, -2], [-22, 24, 26], [0, 0, 0]], [[0, 0, 0], [0, -4, -1], [-106, -12, 40], [0, 4, 1]], [[0, 0, 0], [1075/2, -6923, 6063/2], [-101024, -20608, 31136], [-1075/2, 6923, -6063/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 10, 6], [-36, 70, 64], [0, 0, 0]], [[0, 0, 0], [1577/2, 25, -325/2], [-1701, -158, 593], [11/2, 1, 1/2]], [[0, 0, 0], [-149479/2, 169902, -125333/2], [79335, -63292, 9957], [-1625/2, 2210, -1755/2]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 0, -64]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 40, 6], [14, -12, 2], [0, 0, 0]], [[0, 0, 0], [38562/5, -94234/5, -11018], [-571, 3999, -1324], [-1/5, 1, 4/5]], [[0, 0, 0], [2798, 4200, -2282], [3322, -2068, 242], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-88, 4, 0], [0, 12, 8], [0, 0, 0]], [[0, 0, 0], [4458, -111228/5, 45796/5], [100, 63, 81], [-44/5, 1/5, -1/5]], [[0, 0, 0], [2148584/5, -20721348/5, 1829224], [59846, -9344, -18120], [-19432/5, 0, 4858/5]]], 0, 262144, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 0, -64]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -4, -18], [12, 4, -16], [0, 0, 0]], [[0, 0, 0], [28/5, -584/5, -334/5], [50, -125, -53], [-48/5, 1/5, -1]], [[0, 0, 0], [-32996/5, -5928, 62884/5], [10253, -35892, 21431], [-15153/5, 20204/5, -5051/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -50, -22], [-8, -16, -4], [0, 0, 0]], [[0, 0, 0], [-578, -42390, 52478], [17185, 3335, 5610], [13, 1, 0]], [[0, 0, 0], [47948666/5, 525692992/5, 60041932/5], [-98860016, 3563515, 39906619], [-335066/5, -29203/5, 23055]]], 0, 262144, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 0, -64]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [40, -22, -26], [20, -4, -20], [0, 0, 0]], [[0, 0, 0], [-10430, 93772/5, 75606/5], [-5512, 8512, 10924], [-44/5, -4/5, 4/5]], [[0, 0, 0], [-67283864/5, 132718714/5, 126783348/5], [-8916833, 18824977, 15260798], [-6501, -23837/5, 6304/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 26, 6], [0, 16, -4], [0, 0, 0]], [[0, 0, 0], [14424/5, 23766/5, 7242/5], [-2173, 754, 1175], [1, 2/5, 1/5]], [[0, 0, 0], [-473744, 60990, 300688], [155349, 55501, -1612], [-123, 35, 42]]], 0, 262144, [], [] >,
< [ 1, -3, -1, 1 ], [[-128, -64, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-82, 144, 130], [-2, -4, -6], [0, 0, 0]], [[0, 0, 0], [-283738/5, 198532/5, -41302/5], [-19440, 45058, -16566], [2/5, -2/5, -4/5]], [[0, 0, 0], [17167511/5, 37778328/5, -4232839], [-805862, 6096246, -2637339], [-148/5, 24, -73/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -68, -66], [-10, 20, 6], [0, 0, 0]], [[0, 0, 0], [-30529, -523628/5, 277591/5], [7218, -98803, 43934], [26/5, 1/5, 4/5]], [[0, 0, 0], [-229722822/5, 3311453194/5, -297765924], [-133636731, 655454198, -273474757], [-72409/5, 9842, -37259/5]]], 0, 65536, [], [] >,
< [ 1, -3, -1, 1 ], [[-128, -64, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, -10, -6], [4584, -11652, -9956], [0, 0, 0]], [[0, 0, 0], [-6313137/5, 25107614/5, -2045851], [24531, -3287, 4819], [-9/5, 1, 1/5]], [[0, 0, 0], [-28794288, 563720914/5, -229197698/5], [564093, -381276, -105129], [-153/5, 72/5, -27/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 26, 4], [0, -16, 20], [0, 0, 0]], [[0, 0, 0], [-406/5, -1864/5, 962/5], [-196, 566, -156], [-4, 2/5, -4/5]], [[0, 0, 0], [-114483, -27966, 36935], [-22296, -4205, 1722], [-2598, -433, 866]]], 0, 65536, [], [] >,
< [ 1, -3, -1, 1 ], [[-128, -64, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, -6, 6], [3848, -9856, -8408], [0, 0, 0]], [[0, 0, 0], [-336297/5, 1238366/5, -499239/5], [-719, 3521, -2039], [17/5, 1/5, -1]], [[0, 0, 0], [7914040, -29109832, 11733452], [51238, -297680, 333266], [-198, 60, 82]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 22, 10], [-20, 8, 8], [0, 0, 0]], [[0, 0, 0], [-15621/5, 41448/5, 35683/5], [10379, 5819, -719], [-9/5, 3/5, -1]], [[0, 0, 0], [-823226/5, 2659598/5, 630228/5], [954310, 518794, -305626], [6006/5, -24882/5, 2002]]], 0, 65536, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, -16, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -16, -10], [-6, -8, -2], [0, 0, 0]], [[0, 0, 0], [157, -191/5, -2888/5], [417/2, -224, -217/2], [59/10, 2/5, 1/10]], [[0, 0, 0], [1859867, 2950761, -7428677], [7908029/2, -5612291/2, -1237489], [279125/2, 7975/2, -15950]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, -24, -27], [-8, -8, -6], [0, 0, 0]], [[0, 0, 0], [217548, 167828/5, -388171/5], [181452, 70221/2, -118803/2], [9/5, 3/10, -3/10]], [[0, 0, 0], [-4/5, 19/5, -12/5], [-11/2, 39/2, -7], [1/2, -19/10, 4/5]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, -16, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11, -6, 7], [-6, -8, 8], [0, 0, 0]], [[0, 0, 0], [486891/5, 5037, -115284/5], [132479/2, -13721, -15677/2], [-39/10, 1/5, -3/10]], [[0, 0, 0], [-10706888, -1847298, 2248137], [-13689265/2, -1187795/2, 276425], [10989/2, -25641/2, -10989]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, -94, -76], [-144, 412, 344], [0, 0, 0]], [[0, 0, 0], [-247217/5, 589957/5, 499099/5], [209467, -1029339/2, -890347/2], [1, 3/10, -1/10]], [[0, 0, 0], [5144138, -18392688, 7384239], [8868647/2, -34680325/2, 7044373], [-731/2, 2329/2, -459]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, -4, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 32, 23], [-10, 5, 5], [0, 0, 0]], [[0, 0, 0], [-2699/10, 357/2, 1223/5], [903/4, 52, -217/4], [-39/20, -2/5, -3/20]], [[0, 0, 0], [21136/5, 28868/5, -4274], [-24626, 64396, -24492], [5382/5, -3726, 7452/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -1, -4], [1, 17, 10], [0, 0, 0]], [[0, 0, 0], [15444/5, 16755/2, 48403/10], [112851/4, -71041/2, -145785/4], [53/20, 3/10, 1/20]], [[0, 0, 0], [3039386, -15075042, 6286466], [440850, -10297200, 4725900], [6750, -26550, 10800]]], 1, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[-8, -4, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [21, -22, -24], [-2, -9, -3], [0, 0, 0]], [[47/2, -2, 5/2], [285119/10, -578667/10, -254501/5], [19473/4, -20319, -39685/4], [47/20, -1/5, 1/4]], [[572670, -370440, 47250], [111282633, 2298762, -4568729], [4042865, -197681340, 95370455], [57267, -37044, 4725]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, 42, 39], [2, 17, 9], [0, 0, 0]], [[-18, -2, 1], [-34483/10, 47031/5, 81383/10], [-1699, 3417, 5123/2], [-9/5, -1/5, 1/10]], [[-19737/2, -3999, 7869/2], [634447/5, 1072459/10, -643499/10], [-701039/4, -402505/2, 535275/4], [-19737/20, -3999/10, 7869/20]]], 1, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[-128, -64, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, -2, 8], [14004, -35556, -30388], [0, 0, 0]], [[0, 0, 0], [-34832, 127858, -51542], [12, -56, -44], [-4, -4, -4]], [[0, 0, 0], [-99572, 365233, -147113], [-90, 120, 120], [-30, 15, 15]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-76, -12, 28], [20, -4, 4], [0, 0, 0]], [[0, 0, 0], [9358403, 1388437, -3476772], [-2356204, 155234, -430588], [3, 5, -4]], [[0, 0, 0], [-3481819772, -1953818313, 202230859], [1279568796, -379019828, -1550844526], [-1760, 385, -1595]]], 0, 98304, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, -16, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -8, 8], [34, -94, -78], [0, 0, 0]], [[0, 0, 0], [25639/2, 19285, -23285/2], [-1220, 10635, 4265], [13/2, -5, 5/2]], [[0, 0, 0], [4596201/2, 1610133, -2441067/2], [1112640, -1758579, -1926833], [2067/2, -689, -689/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-46, 4, -4], [-2, -10, -6], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-102979, 312488, -124285], [-2028, -240, -1452], [0, 0, 0]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, -16, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [46, -2, 10], [54, -142, -120], [0, 0, 0]], [[0, 0, 0], [-15663597/2, -10328385, 12790815/2], [341971, 164917, 101574], [1/2, 5, 5/2]], [[0, 0, 0], [-3722100699, 5867652216, -1914002721], [50623618, 114305386, -58806186], [527, -248, 93]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [25, 24, 27], [5, 6, 5], [0, 0, 0]], [[0, 0, 0], [4, 0, 1], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [2504, 2826, -48], [540, 540, 0], [0, 0, 0]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[32, -16, -32]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [58, -148, -126], [-96, 246, 210], [0, 0, 0]], [[0, 0, 0], [-339/13, -541/13, -56/13], [235/2, 100, -29/2], [21/26, -2/13, 5/26]], [[0, 0, 0], [186244/13, -558653/13, 217878/13], [-75177/2, 204031/2, -39027], [15903/26, -63403/26, 12920/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-592/5, -188/5, 26/5], [78/5, 22/5, -4/5], [0, 0, 0]], [[0, 0, 0], [-8587803/65, -5353662/65, 5008319/65], [85019/5, 57691/5, -51407/5], [25/13, 1/13, -1/13]], [[0, 0, 0], [-189532146/65, 192516556/65, 62548813/65], [1912283/5, -3991881/10, -1066673/10], [0, 1857/26, 619/26]]], 0, 3072, [], [] >,
< [ 1, -3, -1, 1 ], [[32, -16, -32]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 26, 24], [130, -350, -296], [0, 0, 0]], [[0, 0, 0], [-8254/13, 83662/13, 59795/13], [34582, -155651/2, -136091/2], [-5/13, 3/26, 5/26]], [[0, 0, 0], [54805227/13, -148989626/13, 57030867/13], [-21658784, 88023721, -35975640], [70268/13, -267795/13, 108482/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [144/5, -124/5, 38/5], [-26/5, 16/5, -2/5], [0, 0, 0]], [[0, 0, 0], [-1516/5, 39323/65, 45014/65], [-107/10, 587/10, -57/5], [33/26, -3/26, 2/13]], [[0, 0, 0], [-3119249/65, 6712209/65, 6360947/65], [-3511/10, 37941/10, 1599/5], [3921/26, 1307/26, 0]]], 0, 3072, [], [] >,
< [ 1, -3, -1, 1 ], [[8, -4, -8]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -26, -20], [-6, 16, 12], [0, 0, 0]], [[-68, -33/2, 5/2], [-1983829/13, -31066, 635865/13], [12189/4, -1143/2, -6383/4], [209/52, -1/26, 5/52]], [[1749861, -4346060, 1635491], [14773644410/13, 4328492652/13, -5138107807/13], [-32599267, 41992431, -12158089], [-2161593/13, 6450468/13, -2516140/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [583/5, -373/5, -69/5], [23/5, -13/5, -4/5], [0, 0, 0]], [[-53, -27/2, 3/2], [-5151301/13, 7982550/13, 7604669/13], [-67373/4, 26889, 101605/4], [163/52, 0, 5/52]], [[38262, -12754, 0], [125864250, -1135794422/13, -1257614296/13], [5216439, -3847090, -4148761], [-31885/13, 25508/13, -6377/13]]], 1, 48, [], [] >,
< [ 1, -3, -1, 1 ], [[128, -64, -128]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, 12, 14], [-4, 8, 20], [0, 0, 0]], [[0, 0, 0], [-2805999/13, -476184/13, 815209/13], [9642, -18759, 6586], [-34/13, 5/13, 4/13]], [[0, 0, 0], [-1741130, -359514, 508716], [73612, -114080, -19456], [96, -296, -248]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [282/5, -2/5, -16/5], [-28/5, 8/5, -16/5], [0, 0, 0]], [[0, 0, 0], [-3589103/65, -1476612/65, 1145569/65], [22564/5, 23641/5, -5962/5], [12/13, 5/13, -4/13]], [[0, 0, 0], [1527624/13, 1771180/13, -1988936/13], [-9500, -27912, 42654], [-24/13, -36/13, 34/13]]], 0, 196608, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -8, 0]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 3, 1], [5, 4, -3], [0, 0, 0]], [[-1/2, 221/2, 2], [40567/34, -55361/34, -44066/17], [1421/3, -1731/2, 2177/6], [109/51, 1/34, 1/102]], [[-1143604, -3236156, -2725184], [-1977142492/17, 3686669416/17, 3155008032/17], [-32377282/3, -22038029, 20982221/3], [-6666968/51, -1289596/17, 1143604/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-37, -2, 5], [7, 1, -4], [0, 0, 0]], [[333/2, 175/2, 2], [108215479/170, 3273243/10, -25065936/85], [-1998386/15, -143843/30, 767041/30], [416/255, 23/510, -1/510]], [[52332, -405573, -279104], [-35974267218/85, 12848164078/85, 6142033889/85], [749926699/15, 957898396/15, -167460922/15], [4361/255, -636706/255, -252938/255]]], 1, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, -32, 0]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, -14, 9], [-7, -4, 1], [0, 0, 0]], [[0, 0, 0], [8549/17, -14852/17, 3301/17], [587/3, 44/3, -265/3], [256/51, 4/51, 4/51]], [[0, 0, 0], [-5077093/17, 5004158/17, 592205/17], [-163622, -305, 77053], [-63414/17, -21951/17, 2439/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [64, -10, 10], [12, -4, 2], [0, 0, 0]], [[0, 0, 0], [-46435355/17, 4104808/17, 9415067/17], [-1474004/3, 71978, 249794/3], [-61/51, 2/17, 1/51]], [[0, 0, 0], [310621339023/85, 472952944332/85, 25982646351/85], [3348614622/5, 4741192943/5, -303245511/5], [382978/85, -401043/85, -32517/5]]], 0, 4096, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, -32, 0]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [19, 14, -3], [9, 10, 1], [0, 0, 0]], [[0, 0, 0], [-308/17, 132/17, 10], [2, 25/3, 13], [-6/17, 5/51, -1/17]], [[0, 0, 0], [-100247/17, -66446/17, -691/17], [13589/3, -12148/3, -13759/3], [-8342/51, -194/51, 194/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, 42, 13], [3, 12, 7], [0, 0, 0]], [[0, 0, 0], [3349976/85, -21673926/85, 8642472/85], [-439933/15, -81137/15, 83104/15], [-167/255, -13/255, -4/255]], [[0, 0, 0], [845312463487/85, -2388056505222/85, 59935877507/5], [10196609573/5, 6584714782/5, -8224603997/15], [2930752/85, 5235968/85, -2079328/255]]], 0, 4096, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, -128, 0]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -34, 0], [-4, -6, 2], [0, 0, 0]], [[0, 0, 0], [12828/17, -28328/17, -24634/17], [134/3, -640/3, -536/3], [112/51, -2/51, -10/51]], [[0, 0, 0], [-15198594/17, 33331920/17, 30337114/17], [-206632/3, 914858/3, 597028/3], [-92906/51, -133694/51, 65714/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, 30, 68], [0, -2, 10], [0, 0, 0]], [[0, 0, 0], [-1251094/85, -291396/85, 356952/85], [5702/15, 1378/15, -2696/15], [-302/255, -28/255, -4/255]], [[0, 0, 0], [55783278/17, 17536444/17, -14646284/17], [-307396/3, 83878/3, 43680], [8776/51, 17552/51, 0]]], 0, 262144, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, 16, 16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-58, -194, -146], [2, -34, -24], [0, 0, 0]], [[0, 0, 0], [6961179, -16855473, 6621357], [185839, 25948, 1225], [1, -5, -1]], [[0, 0, 0], [27567057501/2, -7540854516, 1909930887/2], [903622360, 215343579, -226654145], [-2987/2, -5104, -2233/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-254, -206, -174], [10, -34, -28], [0, 0, 0]], [[0, 0, 0], [-129416025/2, 45618727, -16349865/2], [-499240, -13241, -2899], [-3/2, 5, -3/2]], [[0, 0, 0], [447223501018, 99109208344, -142285344076], [4460645898, 784553952, -1520808112], [398, 1256, 232]]], 0, 6144, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, 16, 16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-398, 722, 598], [-40, 122, 100], [0, 0, 0]], [[0, 0, 0], [64533291/2, -109387718, 81778461/2], [256277, -1316655, 86872], [-1/2, 0, 5/2]], [[0, 0, 0], [471714388, 213194510, -193399968], [-33626916, -5528108, 10562520], [-56, -14, 14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-552, 1094, 928], [-70, 184, 156], [0, 0, 0]], [[0, 0, 0], [8871675/2, 414412365, -387983669/2], [-2234819, 75185, 81846], [5/2, 1, 1/2]], [[0, 0, 0], [1188604750427, -2566126265847, 909907663864], [-6255866080, -10263162484, 2588022518], [5421, 19617, 4264]]], 0, 6144, [], [] >,
< [ 1, -3, -1, 1 ], [[96, 32, 16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [206, 10, -2], [-102, -4, -6], [0, 0, 0]], [[0, 0, 0], [-3810043937/2, 40841521, 156653105/2], [949272649, -45204471, 14901116], [3/2, 1, 5/2]], [[0, 0, 0], [59481539755974, 9400148642976, -18648302282106], [-29677666049036, -4325940959682, 9368464429420], [-70906, 6356, 30114]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-174, -6, 10], [-176, -2, -6], [0, 0, 0]], [[0, 0, 0], [19092410751/2, -48643664, -544413355/2], [9674877996, -360449579, 694352213], [-15/2, -4, -5/2]], [[0, 0, 0], [-60424862615856494, -2699147745942827, 18622094217413223], [-62376817050856814, 724686921875848, 19690366405870802], [60474620, -5644285, -25820505]]], 0, 135168, [], [] >,
< [ 1, -3, -1, 1 ], [[96, 32, 16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [142, 8, -2], [-114, 10, -6], [0, 0, 0]], [[0, 0, 0], [-107611637/2, -4303508, 4499921/2], [43015703, -2132479, 820102], [3/2, 2, 1/2]], [[0, 0, 0], [-303926529527, -183648895668, 172780629007], [222259810472, 188178751642, -152898044754], [14613, -1308, -6183]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-52, -6, -4], [58, 6, -8], [0, 0, 0]], [[0, 0, 0], [223655, -43733, 51258], [-240944, 18692, 11308], [-7, -3, -2]], [[0, 0, 0], [-335759144935/2, 18141899170, 109810114915/2], [172951402233, 9272489151, -51975916494], [12803487/2, -650370, -5540859/2]]], 0, 135168, [], [] >,
< [ 1, -3, -1, 1 ], [[28, 20, -4]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 3, -5], [134, 3, -3], [0, 0, 0]], [[2, -22, -1], [67731337/17, 4401583/17, 3458635/17], [647745916/3, 157543589/3, -239616868/3], [-16/51, 1/51, -2/51]], [[-25915, -100891/2, -113955/2], [571315535735/17, 654706023121/34, -226340262741/34], [12599203929661/6, 2074896503705/6, -2051604141595/3], [-256381/102, -165785/102, 25915/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-191, -11, 2], [113, 5, 0], [0, 0, 0]], [[91, 81/2, -5/2], [-33114547/17, -2028673/34, 3533991/34], [6916493/6, 120539/6, -50731], [91/102, -5/102, 0]], [[-22338589/2, -20740923/2, -1465485], [39585464368217/170, 24992014300593/170, -3002364495403/85], [-684126142736/5, -883043267273/10, 611481102223/30], [-8689464/85, -12304327/170, 7419377/510]]], 1, 1152, [], [] >,
< [ 1, -3, -1, 1 ], [[112, 80, -16]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [157, 10, -11], [149, 0, -1], [0, 0, 0]], [[0, 0, 0], [1846947287/17, 295433286/17, -788022965/17], [102100109, 47908829/3, -139227422/3], [-1/17, -5/51, 2/51]], [[0, 0, 0], [-310968227386/17, -29403594340/17, 127569142708/17], [-51850966924/3, -1244535200, 22359680608/3], [604/51, 140/17, -148/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [356, -6, 14], [126, -2, 2], [0, 0, 0]], [[0, 0, 0], [-364896233/85, 454225318/85, -5979531/85], [-22193831/15, 26589991/15, -418742/15], [611/255, -1/255, 2/255]], [[0, 0, 0], [642605587829/85, 259536715896/85, -580193859697/85], [13242866621/5, 16583608402/15, -34420516079/15], [-528176/85, -876292/255, 402134/255]]], 0, 73728, [], [] >,
< [ 1, -3, -1, 1 ], [[112, 80, -16]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, -14, 0], [-38, -6, 4], [0, 0, 0]], [[0, 0, 0], [-2816/17, -9600/17, 5256/17], [-548/3, -1795/3, 931/3], [56/51, 1/51, -1/51]], [[0, 0, 0], [-41331903/17, 18289536/17, 3263401/17], [-7637383/3, 2677562/3, 232111/3], [302302/51, 245224/51, -2114/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-771, -14, 1], [-253, -6, -3], [0, 0, 0]], [[0, 0, 0], [-41529836124/85, -61195874376/85, 39540039362/85], [-2400459923/15, -3600689737/15, 2325445474/15], [83/255, -23/255, -4/255]], [[0, 0, 0], [15279729307, -65123442752/17, -108846988395/17], [5068667133, -1366536228, -2177917221], [-84/17, -60/17, 12/17]]], 0, 73728, [], [] >,
< [ 1, -3, -1, 1 ], [[448, 320, -64]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [102, -46, -28], [-116, -6, 10], [0, 0, 0]], [[0, 0, 0], [25372834/17, 35642, -5866166/17], [-2003896, -664082/3, 1560388/3], [10/17, -10/51, -4/51]], [[0, 0, 0], [2514471274/17, 786378056/17, -780827074/17], [-209130120, -47764230, 70708812], [738/17, 690/17, -42/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [140, -6, -8], [-24, 8, 10], [0, 0, 0]], [[0, 0, 0], [-3062457154/85, 52804762/5, 335239182/85], [74567372/15, -4503092/15, -1959202/5], [958/255, 32/255, 2/85]], [[0, 0, 0], [-7469594242214328/17, -2636713869132358/17, 3207982379799570/17], [62023038215316, 94558612451006/3, -50566098989668/3], [774731230/17, 1664522860/51, -335628020/51]]], 0, 4718592, [], [] >,
< [ 1, -3, -1, 1 ], [[80, -48, -48]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -4, 10], [-92, -2, -2], [0, 0, 0]], [[0, 0, 0], [118667920/13, -1855101/13, -123192/13], [-169429143/2, -25025681/2, 19684948], [77/26, -3/26, 1/13]], [[0, 0, 0], [14854545931839, 8582399127477, 511221273449], [-314690820863041/2, -90290582266269/2, 37568607534570], [9481451/2, 5803889/2, 325381]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6868/5, 212/5, -24/5], [-732/5, -18/5, 6/5], [0, 0, 0]], [[0, 0, 0], [-1575255618/5, 2809355729/65, 529290822/65], [335454659/10, -47211929/10, -4745021/5], [163/26, -3/26, 2/13]], [[0, 0, 0], [8233422865261635/13, 3235588843646546/13, -678717268382121/13], [-67555637096093, -25916102157565, 6009216764479], [-157434213/13, -102150177/13, -13899315/13]]], 0, 43008, [], [] >,
< [ 1, -3, -1, 1 ], [[80, -48, -48]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 10, -4], [14, -6, 8], [0, 0, 0]], [[0, 0, 0], [-654559/13, -93952/13, 135673/13], [-123874, -64304, 27497], [-36/13, -2/13, -1/13]], [[0, 0, 0], [-19656697276/13, -6266308485/13, 4056704994/13], [-7402063941/2, -4986491957/2, 101541286], [-1895913/26, -1300535/26, -8901]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2442/5, 482/5, 76/5], [278/5, -58/5, -4/5], [0, 0, 0]], [[0, 0, 0], [-1566371971/65, -268593134/65, 347534708/65], [13666203/5, 4775349/10, -5852983/10], [112/13, 3/26, 5/26]], [[0, 0, 0], [-8015512043268306/65, -2531852992274829/65, 1751767975566723/65], [139322495498141/10, 23100935142697/5, -28796589748123/10], [1009344159/26, 303765807/13, 59320515/26]]], 0, 43008, [], [] >,
< [ 1, -3, -1, 1 ], [[20, -12, -12]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, 22, 23], [18, -5, 5], [0, 0, 0]], [[-47/2, -7/2, 1], [25092916/13, 13841644/13, -11216599/13], [-5244839/4, -4985383/2, 5744563/4], [73/52, -5/26, 3/52]], [[-228626, -481851, -241649], [428142099150/13, 11820530367, -116911902884/13], [-59007830607/2, -11800635639, 25060505009/2], [366091/26, 292294/13, 287953/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11093/5, 518/5, -46/5], [452/5, -17/5, -1/5], [0, 0, 0]], [[29, 13/2, -3/2], [658921155/13, -1104715770/13, -1071217179/13], [-8204277/4, 6846051/2, 13289747/4], [-89/52, 1/26, -1/52]], [[4311501/2, 1165032, -172107/2], [5474877777059, -134945862392164/13, -123923009300057/13], [-442589582097/2, 836232381255/2, 768597260465/2], [-3181773/26, -1390095/26, 189759/26]]], 1, 672, [], [] >,
< [ 1, -3, -1, 1 ], [[320, -192, -192]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-72, -66, 2], [-152, -20, 16], [0, 0, 0]], [[0, 0, 0], [9398345/13, 905362/13, -6546173/13], [1343345, -438371, -268649], [63/13, 5/13, -1/13]], [[0, 0, 0], [-93339940147/13, 36730778308/13, 73100107819/13], [-10721872138, 1602481170, 4687431937], [-445740/13, -272136/13, -29325/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1502/5, -842/5, -76/5], [-1908/5, -112/5, -16/5], [0, 0, 0]], [[0, 0, 0], [-16915844733/65, 13293307608/65, -1191937161/65], [1616141864/5, -190616869/5, 81036638/5], [8/13, -5/13, -4/13]], [[0, 0, 0], [11984233077082/65, 110912915808/65, -1842849097326/65], [-1488807154381/5, 12317515446/5, 499267372053/5], [-4675/13, -2750/13, -25]]], 0, 2752512, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 256, 192]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -96, 32], [-64, 20, -4], [0, 0, 0]], [[0, 0, 0], [-118810, -112576/5, 174532/5], [-365444, -80453, 114127], [2/5, -3/5, 3/5]], [[0, 0, 0], [7905364/5, 334368, -2519826/5], [4896544, 1035965, -1528251], [-28/5, 19/5, 39/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38, 32, -6], [22, -12, 6], [0, 0, 0]], [[0, 0, 0], [-182634, 560884/5, -50968/5], [108536, -38621, 15333], [-48/5, -3/5, 3/5]], [[0, 0, 0], [5839216, 24778440, -13397908], [-2657332, -18491696, 3480920], [500, 1000, -100]]], 0, 1572864, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 256, 192]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-60, 110, 126], [-36, 92, 60], [0, 0, 0]], [[0, 0, 0], [-20074, 287046/5, -2632/5], [4033, -20542, 21107], [-37/5, -2/5, -3/5]], [[0, 0, 0], [-191534236, -42969992, 64658538], [-28513782, 274859, 8342635], [-641424, -138299, 199479]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38, 46, 12], [-116, -12, -12], [0, 0, 0]], [[0, 0, 0], [98789326/5, 2135888, -35383514/5], [-40064154, -20903072, 20077900], [-2/5, -4/5, -4/5]], [[0, 0, 0], [-43039048, -10068024, 12148090], [92633492, 40669233, -36745369], [2, -1, -1]]], 0, 1572864, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 256, 192]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, -70, -22], [-24, 108, -80], [0, 0, 0]], [[0, 0, 0], [2628/5, 6840, -3782/5], [5583, -16651, 8340], [19/5, 3/5, -2/5]], [[0, 0, 0], [1223634/5, 505574/5, -425604/5], [158830, -115934, 29628], [1974/5, 406/5, -588/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -16, -42], [-36, 100, 64], [0, 0, 0]], [[0, 0, 0], [2424/5, 45034/5, -7024/5], [4910, 391, -7407], [4/5, 1/5, -3/5]], [[0, 0, 0], [4899484/5, 1240102/5, -331504], [1338837, 338839, -420606], [1253/5, 57, -392/5]]], 0, 1572864, [], [] >,
< [ 1, -3, -1, 1 ], [[48, 0, -32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [33, 12, 15], [-4, -6, 8], [0, 0, 0]], [[0, 0, 0], [37234092/5, 1821944, -13971923/5], [-1043657, -34867/2, 340335/2], [6/5, -1/10, -1/10]], [[0, 0, 0], [37763411246/5, -24111934962/5, -7134483058], [-341097289, -981037088, -710206388], [667/5, 1702, 7222/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, -4, 12], [20, -6, 2], [0, 0, 0]], [[0, 0, 0], [-2883929/5, -1222098/5, -232098/5], [-529132, -187375/2, 178831/2], [9/5, -1/10, -1/2]], [[0, 0, 0], [-15022485058/5, 22905559496/5, 4150481478], [-1415416856, 1027638373, 1147675598], [10584/5, 2597, 8134/5]]], 0, 6144, [], [] >,
< [ 1, -3, -1, 1 ], [[48, 0, -32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 12, -1], [10, -10, 10], [0, 0, 0]], [[0, 0, 0], [-19127/5, -3533/5, 6164/5], [-12863/2, -1439, 4353/2], [-13/2, -1/5, -1/10]], [[0, 0, 0], [178986031, 10875266, -73350024], [602027709/2, 55945757/2, -124021915], [279591/2, 809159/2, 286559]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [62, -190, -156], [-28, 26, 30], [0, 0, 0]], [[0, 0, 0], [-368348/5, 577883/5, 556846/5], [-28696, -53561/2, -9885/2], [-6, -3/10, 1/10]], [[0, 0, 0], [164019432/5, -405455606/5, 141869634/5], [8360404, 23093081, -12098653], [1141388/5, -4151041/5, 334113]]], 0, 6144, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 0, -8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-81, 50, 38], [90, 5, 5], [0, 0, 0]], [[0, 0, 0], [-5146707/5, -29913223/10, 15680057/10], [6735291/4, 3928250, -8740879/4], [-7/20, 1/5, -1/4]], [[0, 0, 0], [6746322993/2, 2027150912, -3063525903/2], [-5162860276, -5218738903/2, 2370262132], [392, 1421/2, 539]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, -45, -32], [43, 5, -2], [0, 0, 0]], [[0, 0, 0], [7376361/5, -16809008/5, 5925157/5], [-1739054, 4071766, -1498676], [-6/5, 2/5, 0]], [[0, 0, 0], [-1964717, -13144617/10, -39127051/10], [15349199/4, -5357867/2, 4922627/4], [153/20, -51/10, -123/20]]], 1, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[12, 0, -8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38, -12, -5], [-64, -5, 1], [0, 0, 0]], [[-27/2, 3, 1/2], [939423/10, 741881/2, -904996/5], [-1083605/4, -841547/2, 1245023/4], [-27/20, 3/10, 1/20]], [[385/2, -910, -1505/2], [-3584695/2, 23725675/2, 6274685], [-103890721/4, 52256879, 200865377/4], [77/4, -91, -301/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, -24, -26], [62, 4, 4], [0, 0, 0]], [[11, 1, -1], [1695/2, 901/5, -2639/10], [-2739/2, -571/2, 843/2], [11/10, 1/10, -1/10]], [[-4485/2, 1950, 3705/2], [-219371/2, -48829/2, 33405], [713245/4, 35967, -222161/4], [-897/4, 195, 741/4]]], 1, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[192, 0, -128]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-76, -16, 24], [-76, -12, 8], [0, 0, 0]], [[0, 0, 0], [-2346622/5, -502744/5, 730196/5], [-470520, -102417, 145739], [32/5, 1/5, 1]], [[0, 0, 0], [594380297/5, 127289738/5, -184972999/5], [119160175, 25901002, -36628394], [-849, -13584/5, 1698/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-86, -20, -2], [-94, -16, -2], [0, 0, 0]], [[0, 0, 0], [-5, 318/5, 249/5], [-39, 35, 51], [-11/5, -1/5, 1/5]], [[0, 0, 0], [-29386/5, 127528/5, 97818/5], [-11914, 18024, 16898], [-1904/5, -1232/5, 56]]], 0, 393216, [], [] >,
< [ 1, -3, -1, 1 ], [[192, 0, -128]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 8, -2], [-104, -20, -4], [0, 0, 0]], [[0, 0, 0], [-326786/5, 172418/5, -71422/5], [1237158, 792049, -422565], [-24/5, 3/5, -1]], [[0, 0, 0], [-5391431883/5, -4368754734/5, -428113941], [28478616801, 23391716743, 886169705], [-343791/5, -131733, -375921/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, 30, 4], [64, 0, 4], [0, 0, 0]], [[0, 0, 0], [-395677/5, -21192, 55503/5], [-125451, -107753, 64725], [29/5, 3/5, 3/5]], [[0, 0, 0], [-4674630822/5, -5861057192/5, -2210691298/5], [-1922809436, -1699145304, 308248252], [228288/5, 667152/5, 448704/5]]], 0, 393216, [], [] >,
< [ 1, -3, -1, 1 ], [[192, 0, -128]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 2, -10], [52, 20, -8], [0, 0, 0]], [[0, 0, 0], [-345602/5, 1031156/5, -363584/5], [34954, -19577, -5137], [-28/5, 1/5, -1]], [[0, 0, 0], [48747089/5, -39039182/5, 55259283/5], [-16914475, -9214847, -559841], [23541/5, -7847/5, -2891]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 36, -18], [60, -8, -4], [0, 0, 0]], [[0, 0, 0], [-20392/5, -5542/5, 10012/5], [-9072, -161, 3275], [-2/5, -3/5, -1/5]], [[0, 0, 0], [124259/5, -89444/5, 31967/5], [32066, 35115, -16014], [4, -13/5, -14/5]]], 0, 393216, [], [] >,
< [ 1, -3, -1, 1 ], [[48, 0, -32]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 0, 2], [-4, 0, 6], [0, 0, 0]], [[0, 0, 0], [-1519931/2, -260160, 619641/2], [65285, 1661, -1172], [7/2, 2, 3/2]], [[0, 0, 0], [-2137308758, -542919546, 882872766], [158909148, 60389398, 22691782], [5720, 15632, 11400]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-23, -8, 3], [24, -2, -2], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-852, 7526, 6106], [-1386, -756, -3024], [0, 0, 0]]], 0, 6144, [], [] >,
< [ 1, -3, -1, 1 ], [[48, 0, -32]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, 10, -8], [-52, 4, -10], [0, 0, 0]], [[0, 0, 0], [-950311/2, -11145, 79785/2], [361209, 2098375, -51616], [3/2, -5, -5/2]], [[0, 0, 0], [-226548431/2, -27704635, 69830215/2], [237332624, 62524873, -50637307], [-69/2, -105, -147/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-73, -12, -9], [-15, -2, -1], [0, 0, 0]], [[0, 0, 0], [4, 0, 1], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [2844, 4256, 3022], [630, 730, 480], [0, 0, 0]]], 0, 6144, [], [] >,
< [ 1, -3, -1, 1 ], [[192, 0, -128]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38, 6, 0], [50068, -126996, -108560], [0, 0, 0]], [[0, 0, 0], [2796111997, -10280116868, 4143446575], [1448896, 253186, -11326], [-1, 4, 5]], [[0, 0, 0], [-1294866951630, 4773009870259, -1924495111509], [-5113539074, -1218614308, 1286064632], [-810, -4527, -3543]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [48, -6, 30], [-10, 0, 10], [0, 0, 0]], [[0, 0, 0], [304852, 148438, -178400], [-59320, -9116, 7272], [-4, -4, 2]], [[0, 0, 0], [141780336, -141063457, -140028271], [-2774712, -34701688, -20230646], [-468, -2097, -1611]]], 0, 393216, [], [] >,
< [ 1, -3, -1, 1 ], [[-192, -64, -64]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [44, 96, 32], [80, 20, 20], [0, 0, 0]], [[0, 0, 0], [270706, -52548/5, -87974/5], [201315, 394404, -205723], [-79/5, -4/5, -1/5]], [[0, 0, 0], [-90978058193/5, 10389262824/5, 33215148469/5], [-16977122038, -10930336758, 10643347943], [5809888/5, -1413216/5, -534863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, 78, 22], [128, 8, 12], [0, 0, 0]], [[0, 0, 0], [-298422621/5, 148663332, 111172579/5], [268983318, -17851693, 16535354], [-18/5, -1/5, 4/5]], [[0, 0, 0], [-2081611297498/5, 5318365766292/5, 4859071488438/5], [-584951126642, 968825338166, 828938965556], [15342/5, -2982/5, -6864/5]]], 0, 1966080, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, -16, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [40, -142, -114], [74, -158, -140], [0, 0, 0]], [[0, 0, 0], [-5204/5, 4345, 17156/5], [-4747/2, 9395/2, 4344], [21/10, -3/10, 1/5]], [[0, 0, 0], [-9073, 6263, -986], [-5783/2, 31338, -27715/2], [-285/2, 440, -345/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, -8, -10], [8, 6, 6], [0, 0, 0]], [[0, 0, 0], [-2583917/5, 315841/5, 287276/5], [547235/2, -20297, -69087/2], [29/10, 1/5, -1/2]], [[0, 0, 0], [-6804312549/5, 1046975436/5, 2390818194/5], [733428134, -228823971/2, -556278395/2], [40821/5, -12837/10, -37059/10]]], 0, 30720, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, -16, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [54, -124, -108], [26, -16, -22], [0, 0, 0]], [[0, 0, 0], [374728/5, -1133867/5, -935573/5], [-72445/2, -45518, -28063/2], [101/10, 2/5, 3/10]], [[0, 0, 0], [4666013546/5, -1048109121, 1584184176/5], [5479550287/2, -2085757229/2, -96253770], [98515931/10, -379948263/10, 77080891/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -10, -6], [-86, -10, 4], [0, 0, 0]], [[0, 0, 0], [4371209/5, -1099909/5, 471727/5], [-7966869/2, 2117001/2, 969602], [3/2, -1/10, 1/5]], [[0, 0, 0], [-2201570429/5, 217348428/5, 172729617], [1651245128, 530269901, -255167514], [-4128/5, 129, 1892/5]]], 0, 30720, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, -4, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [29, -23, -24], [-21, -2, 3], [0, 0, 0]], [[-53, -47/2, -1/2], [-1076571/5, 172695, -349931/5], [997345/4, -449857/2, 190813/4], [113/20, 3/10, 1/20]], [[30484359/2, -3097031/2, -7267506], [227847591964/5, -87970176376/5, -45794607524/5], [-187926729607/4, 12123978769, 15036733901/4], [-28598579/20, 631011/5, 10741693/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [48, -191, -115], [33, -82, -73], [0, 0, 0]], [[8, -11/2, 1/2], [41294/5, -629858/5, -41310], [66629/4, -79337/2, -151183/4], [-23/20, 1/2, -3/20]], [[-30989, -12815/2, 19339/2], [787763242/5, 346899597/5, -128772832/5], [-40096611/4, 33201919/2, 63332813/4], [98093/20, 10951/10, -29591/20]]], 1, 480, [], [] >,
< [ 1, -3, -1, 1 ], [[-192, -64, -64]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 42, 6], [-4, 0, 16], [0, 0, 0]], [[0, 0, 0], [7797/5, 1876/5, -559], [-88, -103, 78], [4/5, 1, 4/5]], [[0, 0, 0], [-541742/5, -131288/5, 167914/5], [7011, 3586, -2811], [-95, 114/5, 247/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 70, 12], [76, 12, 12], [0, 0, 0]], [[0, 0, 0], [419/5, -722/5, -597/5], [64, -36, -89], [6/5, -2/5, 1]], [[0, 0, 0], [-838292/5, -4423818/5, -2697566/5], [-591464, -635868, -119128], [-22968, 12064/5, 50112/5]]], 0, 1966080, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, -16, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 22, -14], [-4, -118, -78], [0, 0, 0]], [[0, 0, 0], [53814/5, -3553/5, -4832], [-673205/2, 1608207/2, 696303], [11/10, 1/2, -2/5]], [[0, 0, 0], [1787654/5, -7305562/5, 3008678/5], [556248, -1220788, -1065336], [-864/5, 3088/5, -248]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-60, -2, -6], [-148, -10, 2], [0, 0, 0]], [[0, 0, 0], [-580875093/5, -78069669/5, 18588005], [-572373401/2, -86176205/2, 57644952], [23/10, 1/2, -1/5]], [[0, 0, 0], [-7490732986/5, 469858170, 2718728519/5], [-3525147138, 1310546867/2, 2423851265/2], [167/5, -167/10, -167/10]]], 0, 30720, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, -16, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [46, -6, -12], [124, -258, -230], [0, 0, 0]], [[0, 0, 0], [137073/5, 36801/5, -45454/5], [22637/2, 9551, 2403/2], [-1/10, 1/5, 1/2]], [[0, 0, 0], [381850, 71789, -114158], [379071/2, 81011/2, -58398], [-1/2, 5/2, -1]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, 0, 6], [-88, 0, -8], [0, 0, 0]], [[0, 0, 0], [-927365, -16/5, 257582/5], [2248917, 61605/2, -414731/2], [-8/5, -1/10, 1/10]], [[0, 0, 0], [37127950089, -28829060218/5, -78282817239/5], [-88204522401, 8803139538, 35070681648], [328371/5, -54234/5, -147246/5]]], 0, 30720, [], [] >,
< [ 1, -3, -1, 1 ], [[-12, -4, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, 4, 14], [26, 5, 1], [0, 0, 0]], [[21/2, -5/2, -1], [-1579593/5, 4797604/5, 1524949/5], [-4147705/4, 1068123/2, 1475073/4], [-33/20, 3/10, 1/4]], [[2275, 358, -372], [-3895028073/5, 9977894814/5, 8323533449/5], [-653665773, 2254676109/2, 2046262141/2], [-2082/5, 773/10, 375/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [34, -52, 3], [-12, -1, -5], [0, 0, 0]], [[24, -13/2, -9/2], [1312365, -326968, -622817], [-2799501/4, -744663/2, 127271/4], [-13/4, -1/2, -1/4]], [[-76196, -16340, 10320], [-16538298413/5, -2926844632, -3553388753/5], [3446178966, -717297886, -2010792052], [74046/5, -20468/5, -38958/5]]], 1, 480, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, -16, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [40, -10, 10], [-36, -2, 8], [0, 0, 0]], [[0, 0, 0], [-6861/2, -78078, -184235/2], [33606, 4563, -3995], [5/2, 0, 3/2]], [[0, 0, 0], [433677776, -305970298, -359980620], [-284295274, -38439520, 94726186], [-23856, 3072, 10096]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [25, -10, -5], [-46, -8, 0], [0, 0, 0]], [[0, 0, 0], [-17, 0, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [2350, -388, -914], [-4196, -2098, 0], [0, 0, 0]]], 0, 30720, [], [] >,
< [ 1, -3, -1, 1 ], [[-48, -16, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [230, 10, 10], [36, 8, -10], [0, 0, 0]], [[0, 0, 0], [-18166731/2, 20371159, -25045541/2], [-642256, 18509, 21621], [3/2, 1, 1/2]], [[0, 0, 0], [108775363183/2, -94462451003, 28624760143/2], [4415728661, -224355155, -1204887794], [-27551/2, 2491, 12481/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [237, 34, -31], [57, 6, -5], [0, 0, 0]], [[0, 0, 0], [-6, 0, 1], [0, 0, 0], [1, 0, 0]], [[0, 0, 0], [4605870, -128878, -1861114], [1117986, -84024, -464466], [0, 0, 0]]], 0, 30720, [], [] >,
< [ 1, -3, -1, 1 ], [[-192, -64, -64]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, 10, -10], [-32, -12, -8], [0, 0, 0]], [[0, 0, 0], [-3363619, 514274, 216187], [-2994410, -371650, 425020], [3, -4, -1]], [[0, 0, 0], [1228915762686, 244394665109, -345510079727], [1174312077454, 269749116956, -332590338768], [-735850, 131625, 332765]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [662, -8, 18], [48, -4, -4], [0, 0, 0]], [[0, 0, 0], [461064979, 115662970, 121353563], [35602482, 248050, -20648], [3, 0, 1]], [[0, 0, 0], [-11001600351123, 1486974566083, 5111405874464], [-723539984080, -18985653698, 259563954116], [-67541, 11281, 29928]]], 0, 1966080, [], [] >,
< [ 1, -3, -1, 1 ], [[128, 128, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, 20, 20], [-8, -4, 12], [0, 0, 0]], [[0, 0, 0], [163962, -144950, 14174], [470, -82824, 33986], [-4, 6, 0]], [[0, 0, 0], [-15910087, -4125792, 5007887], [3029468, 364434, -873522], [275, 100, -75]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -32, -18], [-24, -20, 4], [0, 0, 0]], [[0, 0, 0], [-8277, -3528, 3137], [-18060, -7666, 7306], [5, 8, -1]], [[0, 0, 0], [76230, 27944, -32882], [162528, 70420, -67916], [-74, 0, 74]]], 0, 262144, [], [] >,
< [ 1, -3, -1, 1 ], [[128, 128, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32, -24, 12], [-16, -8, 4], [0, 0, 0]], [[0, 0, 0], [-24168, 210892, -107078], [-25936, 10992, 6440], [2, -8, 4]], [[0, 0, 0], [-31239167, -6340684, 9648143], [21944410, 4683946, -6855256], [107, 8, -31]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, -60, -62], [2, -8, -6], [0, 0, 0]], [[0, 0, 0], [1, 38, -17], [0, -6, 2], [-1, -2, 1]], [[0, 0, 0], [20, 0, -4], [0, 0, 0], [0, 0, 0]]], 0, 262144, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 8, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, -20, -11], [0, -5, -3], [0, 0, 0]], [[-1, -9, -5], [-2365/2, -787, 859/2], [-355, -181, 91], [-5/2, -2, -3/2]], [[5733/2, 2366, -1729/2], [1830253/2, 1804371/2, -593633], [590761/2, 152877, -254253/2], [6097/2, -2457/2, 182]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 0, 2], [3, 4, 5], [0, 0, 0]], [[-5, -3, 1], [-19/2, 1, -3/2], [-1, -36, 12], [-9/2, 0, 1/2]], [[25/2, 2, -9/2], [41/2, 3/2, -7], [45/2, 8, -23/2], [19/2, 3/2, -3]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -4, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 1, 1], [1, 0, 0], [0, 0, 0]], [[-2, 4, 3], [13/2, -4, -9/2], [-2, 1, 2], [-3/2, 1, 1/2]], [[63/2, -99/2, -9], [-177, 103/2, 42], [45, 45/2, -63/2], [99/2, -81/2, 9/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 1, 1], [1, 0, 0], [0, 0, 0]], [[-2, 5/2, 7/2], [5, -37/2, -9], [-7/2, 17/2, 6], [-3/2, 5/2, 1/2]], [[420, 135/2, -225/2], [1647/2, -77/2, -375/2], [225/2, 165/2, -45], [300, 255/2, -120]]], 1, 8, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 8, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -10, 8], [-3, -2, 5], [0, 0, 0]], [[-7/2, 3, 7/2], [9819, -21651/2, 4811/2], [-22155/2, -6494, 9861/2], [-2, 1/2, 3/2]], [[175/2, 42, -21/2], [-317856, 72821/2, 94759/2], [1085191/2, 146153, -370687/2], [70, 49/2, -35/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 2, -6], [-9, -10, -5], [0, 0, 0]], [[-9/2, -7, -5/2], [142085/2, -241473/2, 44088], [-40027/2, -109191, 136819/2], [-9/2, -5/2, 0]], [[7613/2, 2024, -1127/2], [-62736027, 282210969/2, -104648987/2], [-7722125/2, 127603627, -120841797/2], [3197, 1311/2, -1219/2]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 8, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -10, 10], [0, 2, 4], [0, 0, 0]], [[0, 0, 0], [84503, 21997/2, -42997/2], [-10433, -2240, 5060], [3, -3/2, 3/2]], [[0, 0, 0], [-20605165/2, -4018019/2, 3074788], [1274549, 276515, -444413], [-665/2, -19/2, 38]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -10, 2], [-13, -4, -5], [0, 0, 0]], [[0, 0, 0], [-42671/2, -101309/2, 27391], [64937, 33619, -38957], [3/2, -1/2, 2]], [[0, 0, 0], [9391905, 2750545/2, -5051995/2], [-19980746, -2027428, 7227733], [-260, -975/2, -325/2]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 8, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 0, 0], [-1, -8, 1], [0, 0, 0]], [[0, 0, 0], [203, -82, -25], [46, 202, -148], [-3, 0, 1]], [[0, 0, 0], [-221/2, -123/2, 62], [-97, 100, -2], [5/2, 1/2, -1]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 6, -10], [-6, -4, 4], [0, 0, 0]], [[0, 0, 0], [-38702, 68107/2, 83589/2], [-29629, -10621, 6057], [-2, -5/2, -3/2]], [[0, 0, 0], [359742, 300177, -245055], [571193, 65646, -148383], [90, -135, 45]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 8, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 28, 6], [4, 2, 4], [0, 0, 0]], [[0, 0, 0], [73833/2, 25902, 24523/2], [10505, 14795, 110], [9/2, -2, 3/2]], [[0, 0, 0], [-43835305, -24576633/2, 17457063/2], [-13927100, -5697450, 3798300], [-4123, -95/2, 1197/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-17, 22, 13], [-4, 1, 5], [0, 0, 0]], [[0, 0, 0], [29352, 28419/2, -11169/2], [11110, 3465, -2255], [0, 1/2, -3/2]], [[0, 0, 0], [-756283, -161880, 235101], [-272360, -58465, 84755], [0, 0, 0]]], 0, 64, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 8, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, 6, 5], [9, -3, 2], [0, 0, 0]], [[0, 0, 0], [-3915, 5750, 4203], [3388, -1815, 2541], [-6, -2, 0]], [[0, 0, 0], [99687/2, 115565/2, -103181], [7018, -403535, 157905], [363/2, 319/2, -88]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [27, -14, -15], [-4, -3, -5], [0, 0, 0]], [[0, 0, 0], [606898, 291401/2, -716711/2], [-99470, -199626, 38416], [1, -1/2, 1/2]], [[0, 0, 0], [-247513747, -12449171, 67767411], [64870218, -5161464, -7038360], [-273, -315, 175]]], 0, 96, [], [] >,
< [ 1, -3, -1, 1 ], [[32, 32, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 10, -10], [-470, 1232, 1046], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-241724, 872734, -350838], [4232, 720, -920], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 2, -6], [-446, 1100, 946], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 2, 1], [1, 0, 0]], [[0, 0, 0], [-21408, 89496, -36696], [-2142, -3332, 2618], [0, 0, 0]]], 0, 4096, [], [] >,
< [ 1, -3, -1, 1 ], [[32, 32, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 8, -8], [342, -880, -750], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [-1, 2, 1], [1, 0, 0]], [[0, 0, 0], [576, -2110, 850], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38, -114, -88], [-10, -10, 4], [0, 0, 0]], [[0, 0, 0], [-1, 2, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-1966, 6336, -2446], [-2176, 6144, -2368], [0, 0, 0]]], 0, 4096, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 32, 32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, -16, -8], [-6, -16, -10], [0, 0, 0]], [[0, 0, 0], [-2601032/5, 2496883/5, -757163/5], [-420795/2, 123891, -85195/2], [-49/10, -3/5, 3/10]], [[0, 0, 0], [146309466572/5, -15421093934/5, -3251740468], [12895351657, 772982983, -1631083722], [1749349/5, 95829, -345736/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 4, 2], [-1064, 2712, 2316], [0, 0, 0]], [[0, 0, 0], [18624/5, -31578/5, 2130], [-622, 104, 302], [18/5, 0, -2/5]], [[0, 0, 0], [-43157, 62797, -20708], [26535/2, -14425, -30515/2], [-75/2, -25, -25/2]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 32, 32]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 20, 2], [24, 12, 4], [0, 0, 0]], [[0, 0, 0], [-239474/5, -105123, 435091/5], [-319113/2, 111253, 27535/2], [21/10, 1/5, -3/10]], [[0, 0, 0], [-212832727/5, -33875081/5, -1166440], [-131521107/2, -40824702, 36321021/2], [12987/10, 234, -4953/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 12, 0], [-14, 12, -6], [0, 0, 0]], [[0, 0, 0], [-80478, -22917, 16415], [140059/2, 39106, -55127/2], [-11/2, 0, -1/2]], [[0, 0, 0], [53781674/5, 19820594/5, -9907814/5], [-9945133, -4011471, 2950662], [3339/5, 1431/5, 212/5]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 8, 8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [154, -386, -330], [48, -140, -116], [0, 0, 0]], [[0, 0, 0], [47729/10, -9993, -89301/10], [-1245, -8437/2, -2284], [-4/5, -1/10, 2/5]], [[0, 0, 0], [-13960, 46417, -18929], [-1857/2, 21093, -19407/2], [321/2, -585, 471/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48, 134, 112], [-34, 52, 50], [0, 0, 0]], [[0, 0, 0], [-1398885/2, 8691682/5, 14924457/10], [-481215/2, 718904, 595098], [27/10, 1/5, -1/5]], [[0, 0, 0], [-6698185, -25973935, 9095958], [101303079/2, -36038484, 8196825/2], [285881/2, -515238, 414147/2]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 8, 8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-226, 584, 496], [-58, 160, 134], [0, 0, 0]], [[0, 0, 0], [-30543/10, -36618/5, -35101/10], [-6376, -3205, 1533/2], [-1/5, 2/5, -1/2]], [[0, 0, 0], [-204507761/5, -47756606/5, 65392221/5], [-52774750, -11757764, 16622408], [-24936/5, 74176/5, -28888/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-137, 344, 295], [-52, 164, 134], [0, 0, 0]], [[0, 0, 0], [-30072999/10, 35453194/5, 12327903/2], [343684, 3701713, 4668311/2], [1/5, 0, -3/10]], [[0, 0, 0], [267149441, -117153619, -68656], [-3866643173/2, -172158406, 982236279/2], [-3479/2, 5670, -4487/2]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 8, 8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 9, -1], [1, 4, -1], [0, 0, 0]], [[0, 0, 0], [-22063/5, 12414/5, 17219/5], [-713/2, -203, 1451/2], [11/10, -1/5, -1/2]], [[0, 0, 0], [-9618987/10, -119945, 3954073/10], [-258513/2, 173001/2, 16579/2], [2769/10, 663/10, -1027/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, 6, 0], [4, 8, 0], [0, 0, 0]], [[0, 0, 0], [-808397/10, -1151439/5, 1219469/10], [83489/2, -32304, 7718], [5/2, 2/5, 1/5]], [[0, 0, 0], [-113876809/2, -92079859/5, 194220361/10], [13325040, 3095722, -5584495/2], [4278/5, 4278/5, 2139/10]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 8, 8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 0, -4], [2, 6, -4], [0, 0, 0]], [[0, 0, 0], [-338/5, -5833/5, -3812/5], [381/2, -1701/2, -706], [29/10, 1/10, 1/5]], [[0, 0, 0], [-6733813/10, -2987532/5, -199381/2], [-218689/2, -367565, -224182], [49849/10, 631, -5048/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [27, -1, -2], [-11, 6, -5], [0, 0, 0]], [[0, 0, 0], [-8447968/5, 1130914/5, 933574/5], [1487527/2, -587105, 414731/2], [11/10, -1/5, -1/2]], [[0, 0, 0], [3113878787/10, 231518956/5, -948538247/10], [-118755754, 2945353/2, 34867251], [-884/5, -697/10, 153/5]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[8, -4, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -8, 4], [-2, -2, 0], [0, 0, 0]], [[14, -15/2, -1/2], [-15949/5, 32007/5, -11808/5], [2165/4, 379, -945/4], [-39/20, 2/5, -1/4]], [[3400, 680, -1224], [-1929358/5, -925104/5, 150103], [181926, 45365, -49305], [-2516/5, -204, 544/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11, -19, -5], [-9, -5, 2], [0, 0, 0]], [[-1/2, 1/2, 0], [45202/5, 185681/5, -678], [35097/4, 12727, -20799/4], [1/20, 0, 1/20]], [[0, 0, 0], [-5513, -2154, 1464], [-3400, -975, 1075], [0, 0, 0]]], 1, 32, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 8, 8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [15, 2, -3], [2, -2, 2], [0, 0, 0]], [[-4, -2, 0], [9, 233/5, -86/5], [-15, 61, -26], [-6/5, -1/5, 1/5]], [[-303/2, -93, 27/2], [4508/5, -1084/5, 616/5], [645/2, -959, 336], [-441/10, -84/5, 12]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-173, 428, 367], [-52, 116, 102], [0, 0, 0]], [[-1, -3, -4], [49726/5, -75838/5, -66388/5], [13813/2, -2906, -10189/2], [-7/10, 2/5, -1/2]], [[-63325/2, 43435, -26605/2], [39806457, -22407613, 1838496], [44604220, 18465005/2, -13735420], [-10829, 40375/2, -7004]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[8, -4, -4]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, -23, -16], [-11, 0, -3], [0, 0, 0]], [[-9/2, 1/2, 1], [22/5, 12/5, 13/5], [-15/4, 3/2, 11/4], [13/20, 1/10, -1/20]], [[-310, -217/2, 155/2], [3073/5, -2097/5, -2918/5], [-449/4, -697/2, -737/4], [1147/20, -31/10, -589/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 11, -4], [-1, -3, 2], [0, 0, 0]], [[-21/2, 3/2, 2], [37693/5, 1825, -12742/5], [17639/4, 2149/2, -4831/4], [31/20, 1/10, -3/20]], [[10560, 264, -3168], [-39969168/5, -1666842, 13256392/5], [-4570956, -1296684, 1178360], [-7524/5, -2508/5, 792/5]]], 1, 32, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 8, 8]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 6, -8], [-8, 6, -2], [0, 0, 0]], [[-19/2, -13, -17/2], [21418/5, -49885, -173987/5], [-11773/2, -7723, -2039], [-37/10, -2/5, -2/5]], [[516, 345, -172], [2480979/5, 1841467/5, 57380], [337384, 178843/2, -145641/2], [688/5, 207/2, -689/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [55, -140, -119], [20, -70, -56], [0, 0, 0]], [[7/2, 5, 9/2], [-5417/5, 15837/5, 5394/5], [1759/2, 2028, 5], [3/2, -1/5, 2/5]], [[-57222, 121968, -44154], [98543918/5, -362622268/5, 146020884/5], [5985270, -46305790, 20052242], [-21582, 277794/5, -105138/5]]], 0, 256, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 32, 32]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [168, 36, -4], [22, 4, -2], [0, 0, 0]], [[0, 0, 0], [-3, 2, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [164346, 53834, -9732], [21630, 5950, -2660], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [114, 10, 4], [0, 0, 4], [0, 0, 0]], [[0, 0, 0], [-4126073, -897148, 1256393], [-12662, -4936, 918], [5, 4, -3]], [[0, 0, 0], [-32826418, -2585637, 13349585], [-302490, 482342, 474394], [44, 1, 5]]], 0, 24576, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 32, 32]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-156, -42, -2], [-26, -6, 0], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-199438, -37702, 17416], [-33110, -5390, 3080], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [60, 4, 2], [530, -1316, -1130], [0, 0, 0]], [[0, 0, 0], [-61551513, 217541385, -87173228], [-448972, 139404, -164750], [-3, 3, -4]], [[0, 0, 0], [-9694028184, 8576681932, -1893088524], [-1253686214, -305740180, 343615746], [-7128, -2156, 1452]]], 0, 24576, [], [] >,
< [ 1, -3, -1, 1 ], [[96, 32, 0]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -8, -10], [2032, -5252, -4472], [0, 0, 0]], [[0, 0, 0], [45953243/13, -168414492/13, 67848809/13], [242377, -36980, -35402], [-79/13, -2/13, -2/13]], [[0, 0, 0], [-1568394237, 76839445695/13, -31090432018/13], [1774118201/2, 207468358, -619669315/2], [-282245/26, -505070/13, -519925/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [382/5, -952/5, -46/5], [-28/5, 108/5, 4/5], [0, 0, 0]], [[0, 0, 0], [7840247/65, 7491543/65, -398176/65], [147313/10, -36529/5, -83949/10], [-125/26, 5/13, -3/26]], [[0, 0, 0], [23138096658/65, 23602136862/65, 14256195996/65], [247174066/5, -121545566/5, -271325488/5], [-124362/13, -234906/13, 55272/13]]], 0, 49152, [], [] >,
< [ 1, -3, -1, 1 ], [[96, 32, 0]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, 10, 6], [100, -288, -240], [0, 0, 0]], [[0, 0, 0], [40145064/13, -148415769/13, 59863933/13], [15675/2, -8654, 12577/2], [-111/26, 0, -5/26]], [[0, 0, 0], [57368636763/13, -199935216983/13, 79922062368/13], [-151715473/2, -2335974, 108443783/2], [1401753/26, 65810/13, -625195/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-142/5, 222/5, -104/5], [8/5, -28/5, 16/5], [0, 0, 0]], [[0, 0, 0], [13094/13, 337/13, -1903/13], [-115/2, -110, 3/2], [-113/26, 0, 1/26]], [[0, 0, 0], [68400, 18174, -46530], [-13026, 17368, 13026], [-334, 0, 334]]], 0, 49152, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, -96, -64]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 0, 0], [0, -2, 0], [0, 0, 0]], [[0, 0, 0], [58/17, 854/17, -156/17], [109/3, 8/3, 5/3], [-109/51, -8/51, -5/51]], [[0, 0, 0], [-794/17, -174/17, 244/17], [-287/3, -62/3, 89/3], [287/51, 62/51, -89/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, -24, -6], [10, -2, -6], [0, 0, 0]], [[0, 0, 0], [-681786/85, 3044956/85, -1010882/85], [4718/15, 6594/5, 13316/15], [-158/255, -14/85, 4/255]], [[0, 0, 0], [432087658/17, -1745912198/17, 290702528/17], [2246023, -10940226, -8757013], [1161, 22962/17, 13029/17]]], 0, 65536, [], [] >,
< [ 1, -3, -1, 1 ], [[-32, -96, -64]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, -26, -12], [-4, -8, -2], [0, 0, 0]], [[0, 0, 0], [671678/17, -3079280/17, 1222196/17], [-69206/3, 231470/3, -94046/3], [-292/51, -8/51, -4/51]], [[0, 0, 0], [-110308982/17, -328372656/17, 46412914/17], [-3265627, 8548652/3, -6783679/3], [-100373/17, -202952/51, -7721/51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 2, -4], [-2, -2, -4], [0, 0, 0]], [[0, 0, 0], [59822/85, 24998/85, -23916/85], [-731/15, -3614/15, 531/5], [-109/255, 44/255, -1/85]], [[0, 0, 0], [-19740598/85, -6584252/85, 4979244/85], [-8132/5, 522272/5, 317406/5], [5642/85, 13078/85, 7124/85]]], 0, 65536, [], [] >,
< [ 1, -3, -1, 1 ], [[-128, 32, 96]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-672, -190, 2], [14, 10, 0], [0, 0, 0]], [[0, 0, 0], [27, 2, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [187034, -9312968, 4726302], [61200, -21300, -18940], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [274, -38, 0], [-2, 2, 0], [0, 0, 0]], [[0, 0, 0], [-19, 2, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [14, 4, -2], [0, 0, 0], [0, 0, 0]]], 0, 98304, [], [] >,
< [ 1, -3, -1, 1 ], [[-128, 32, 96]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 122, -164], [12, -6, 10], [0, 0, 0]], [[0, 0, 0], [9, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [66278, 139730, -31208], [21186, -6786, -6048], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [290, 80, -2], [-12, -4, 0], [0, 0, 0]], [[0, 0, 0], [-37, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [15718, -7166, -3408], [-654, 270, 168], [0, 0, 0]]], 0, 98304, [], [] >,
< [ 1, -3, -1, 1 ], [[224, -224, -64]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-86, -10, -8], [110, 2, 0], [0, 0, 0]], [[0, 0, 0], [39, 2, 0], [-45, 0, 1], [1, 0, 0]], [[0, 0, 0], [-344506, -145260, -88750], [455664, 99264, 37488], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-100, 22, -2], [42, 10, 4], [0, 0, 0]], [[0, 0, 0], [-7, 2, 0], [-45, 0, 1], [1, 0, 0]], [[0, 0, 0], [-535620, 50818, 3686], [223512, 86458, 28634], [0, 0, 0]]], 0, 2162688, [], [] >,
< [ 1, -3, -1, 1 ], [[224, -224, -64]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [230, -10, 4], [186, -10, 0], [0, 0, 0]], [[0, 0, 0], [21, 0, 0], [-45, 0, 1], [1, 0, 0]], [[0, 0, 0], [-383362, -108174, -25532], [-312200, -78050, -11150], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-694, -26, 0], [-308, -6, 2], [0, 0, 0]], [[0, 0, 0], [-25, 0, 0], [-45, 0, 1], [1, 0, 0]], [[0, 0, 0], [-292323352, -83414470, -45260542], [-130376928, -32865030, -17700342], [0, 0, 0]]], 0, 2162688, [], [] >,
< [ 1, -3, -1, 1 ], [[192, 32, -160]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, 92, -2], [124, 8, -4], [0, 0, 0]], [[0, 0, 0], [53661342/17, -213215150/17, 71841126/17], [-8193210, 5584394, -1476864], [-52/17, -2/17, 0]], [[0, 0, 0], [98887064040, -5584228065174/17, 1702320097074/17], [75097027597, 606080469704/3, -131062912071], [963235/17, 1070680/51, -778505/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-82, -116, 8], [-86, 10, -10], [0, 0, 0]], [[0, 0, 0], [-18738553554/85, -29245678586/85, -1625399928/85], [-3439040633/15, -151240322/15, -466984981/15], [413/255, 2/255, 1/255]], [[0, 0, 0], [43139776829314438/85, -41152798004808158/85, -37068568676456024/85], [1258753134786007/5, -29060317780792/5, -3873870751189853/15], [-135224257/85, -24122108/85, 339637943/255]]], 0, 1179648, [], [] >,
< [ 1, -3, -1, 1 ], [[192, 32, -160]], [ -17, 0, 0 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 144, 22], [114, 10, 6], [0, 0, 0]], [[0, 0, 0], [34399722/17, -11401620/17, 285034/17], [15225718/3, 5795782/3, -5738404/3], [10/3, 2/51, 4/51]], [[0, 0, 0], [19509152157406/17, 17210760739660/17, -15926720879506/17], [4191215573397, 190908365898, -1068964720685], [43977843/17, 8106462/17, -35630595/17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-76, -32, -20], [-10, -8, -10], [0, 0, 0]], [[0, 0, 0], [-4363115026/85, -582536194/85, 683503638/85], [-39285684/5, -3559406/5, 1905566/15], [4/85, -14/85, 4/255]], [[0, 0, 0], [-1866784099829816/85, -391237944229944/85, 583137048906728/85], [-50513174886007/15, -10359486806978/15, 5284477067907/5], [-300473/255, -54142/255, 83373/85]]], 0, 1179648, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 32, 96]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 6, -2], [128, 20, 4], [0, 0, 0]], [[0, 0, 0], [-8794979/13, 1558883/13, -157778/13], [11287017/2, 1274417, -485457/2], [71/26, 3/13, -3/26]], [[0, 0, 0], [2390256781400/13, -1451884629220/13, -1026599378674/13], [-1797128280486, 1108014297945, 1273547884851], [-10463016/13, 5922507/13, 6238119/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2964, 150, 42], [-324, -16, -4], [0, 0, 0]], [[0, 0, 0], [-9553679853/65, -49356322/65, 4509341529/65], [80230689/5, 563101/5, -37766277/5], [-53/13, 1/13, -1/13]], [[0, 0, 0], [16/13, -243/13, 79/13], [-9/2, 22, -19/2], [1/26, -4/13, 3/26]]], 0, 688128, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 32, 96]], [ -13, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 4, -8], [-184, 0, -20], [0, 0, 0]], [[0, 0, 0], [140085012/13, 869183/13, -8362203/13], [167213587/2, 7817838, -25118887/2], [-55/26, 4/13, 3/26]], [[0, 0, 0], [-1636437289638/13, 1202408000462/13, 98433744168], [-882736144542, 429499625436, 589666505022], [275702/13, -152068/13, -158774/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7114/5, 266/5, -52/5], [-716/5, -24/5, 8/5], [0, 0, 0]], [[0, 0, 0], [-134008597376/65, 1159363477/5, -26539341687/65], [2076957631/10, -122829593/5, 397279207/10], [-51/26, -1/13, 5/26]], [[0, 0, 0], [45809125938944/65, -36325481644224/65, -29157343879652/65], [-351927981032/5, 275227600552/5, 220810507196/5], [7056/13, -1960/13, -3136/13]]], 0, 688128, [], [] >,
< [ 1, -3, -1, 1 ], [[32, 96, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 8, -4], [804, -1768, -1560], [0, 0, 0]], [[0, 0, 0], [-2930088/5, 10214751/5, -816931], [415345/2, 50173, -93247/2], [23/10, -1, 3/10]], [[0, 0, 0], [9483060, -38273412, 15615780], [7561995, -1159960, -4493055], [69, 0, -69]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 10, 2], [48, 56, 16], [0, 0, 0]], [[0, 0, 0], [-8861/5, 32161/5, -12878/5], [9055/2, 912, -2693/2], [5/2, 2/5, -3/10]], [[0, 0, 0], [53704/5, -240248/5, 41648], [18760, 60628, 31344], [-1092/5, 616, 2548/5]]], 0, 98304, [], [] >,
< [ 1, -3, -1, 1 ], [[32, 96, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -4, 2], [82, -4, -10], [0, 0, 0]], [[0, 0, 0], [67147/5, 23066/5, 6701], [235917, 56085, -30443], [29/5, 1, -1/5]], [[0, 0, 0], [254803889, -95204645, -265916142], [6692498869/2, 144398751, -3546405345/2], [164955/2, 2625, -102795/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 12, 0], [-30, -20, -10], [0, 0, 0]], [[0, 0, 0], [254/5, -821/5, 371/5], [31/2, -302, 229/2], [13/10, -4/5, -1/10]], [[0, 0, 0], [4456/5, -22934/5, -5236/5], [4699, 3625, 4144], [-549/5, 99/5, 378/5]]], 0, 98304, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 24, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -22, -16], [-50, -6, -8], [0, 0, 0]], [[0, 0, 0], [3847932/5, 962249/5, -932866/5], [3136983/2, 582117/2, -420423], [-9/10, 3/10, 0]], [[0, 0, 0], [8877061/10, -2956609/5, -8575993/10], [1374436, -323327/2, -889317], [-3/5, -3/10, 1]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5, 4, 3], [-34, 8, 0], [0, 0, 0]], [[0, 0, 0], [-357879/10, 143887/5, 160863/10], [-262461, 217175/2, -14536], [2, 3/10, 2/5]], [[0, 0, 0], [-144360419/5, -152786766/5, 8263843/5], [-319324802, -138019280, 148672863], [3256, 2138/5, -8551/5]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 24, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [15, 14, 11], [32, 0, 2], [0, 0, 0]], [[0, 0, 0], [-1641657/5, -48770, 85093/5], [-554351, 26564, 73406], [-11/5, -2/5, -2/5]], [[0, 0, 0], [-116356899141/10, -2360774074, 53740385549/10], [-17526586373, -5972276474, 14496385135/2], [-414324/5, -60253/5, 485409/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, -12, -5], [-18, -6, -6], [0, 0, 0]], [[0, 0, 0], [-6393/5, -818/5, 2418/5], [-2214, -1969/2, 2045/2], [-13/5, 1/10, -3/10]], [[0, 0, 0], [55270769/10, 2082746, -10880221/10], [11154305, 1724723, -4817247/2], [65236/5, 2082/5, -91261/10]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 24, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -14, -2], [4, 6, 2], [0, 0, 0]], [[0, 0, 0], [5424/5, -15412/5, 5248/5], [-583/2, 124, 181/2], [-23/10, -2/5, 1/2]], [[0, 0, 0], [116269/2, -156301, 88399/2], [-18688, 9710, 17889/2], [-136, -34, 51/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-25, 33, -4], [-39, -2, -5], [0, 0, 0]], [[0, 0, 0], [-3385539/10, 3870177/5, -2739217/10], [-431964, 360397, -201071/2], [0, -1/5, -1/10]], [[0, 0, 0], [-30322, 56614, -19864], [-46860, 26412, -1704], [0, 0, 0]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 24, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9, -35, 18], [-3, -22, 11], [0, 0, 0]], [[0, 0, 0], [919/10, -499/5, 45/2], [4105, 816, -2499/2], [-1/5, 0, 3/10]], [[0, 0, 0], [-1151/2, -291, -501/2], [-44739, -9644, 27423/2], [-9, 28, 45/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -33, 7], [-27, -22, 17], [0, 0, 0]], [[0, 0, 0], [-37489/10, 19494/5, -3899/2], [-12123, 2209/2, 2203], [1/5, -1/2, 1/5]], [[0, 0, 0], [-33, -2082, -1345], [-3422, -464, 1276], [0, 0, 0]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 24, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 8, 3], [-2, 6, 6], [0, 0, 0]], [[-3/2, 4, 9/2], [-175, -9, 44], [-10, 25, 55/2], [0, 0, 1/2]], [[-177/2, 27, 131/2], [342568/5, 74347/5, -106871/5], [-281, 451/2, 318], [-20, -27/10, 52/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [13, -3, 2], [1, 6, -1], [0, 0, 0]], [[9/2, 6, 7/2], [97416/5, 21676/5, -33446/5], [9141/2, 853/2, -2945/2], [17/10, 3/10, 1/10]], [[647, 9705, 5176], [62307858/5, 7714114/5, -4108320], [5627989/2, 443488, -2431673/2], [7117/10, 1294, 647/10]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -12, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13, 15, 11], [31, 1, 4], [0, 0, 0]], [[-13/2, 9/2, 0], [17687402/5, -2719956/5, -5753456/5], [-56794427/4, -939103, 11895517/4], [17/20, -1/5, 1/4]], [[5355/2, 2448, -1989/2], [-9021743528/5, -5699107046/5, 1250008624/5], [8980411577, 4203382719/2, -3355316792], [-2907/5, 153/10, 459]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, -16, -6], [-38, -2, -4], [0, 0, 0]], [[-2, 0, 1], [5121/5, 1081/5, -1621/5], [-1637, -703/2, 1027/2], [1/5, 3/10, 1/10]], [[-33, -63/2, 25/2], [110673/5, 27312/5, -35531/5], [-141983/4, -8530, 45627/4], [29/4, -1/5, -117/20]]], 1, 192, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 24, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [39, -76, -67], [48, 4, -10], [0, 0, 0]], [[-5/2, 2, 3/2], [-74221, 1527349/5, -675298/5], [-332939, 1381653, -1131505/2], [-3/5, 2/5, 1/10]], [[-4417, 2310, 4137], [69859571, -966104974/5, 257638753/5], [290135479, -765460718, 291642110], [-4557/5, -532/5, 2982/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, 41, -6], [-37, -2, -3], [0, 0, 0]], [[-7, -10, -6], [-163/5, 761/5, 132], [141/2, -401/2, -141], [-27/10, -1/2, -1/5]], [[116109/2, -15714, -82935/2], [-303949, 2144826/5, 2270403/5], [245369, -567858, -894905/2], [66348/5, 9603/5, -67221/10]]], 0, 1536, [], [] >,
< [ 1, -3, -1, 1 ], [[-4, -12, 0]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [29, -7, -3], [-39, -3, 2], [0, 0, 0]], [[21/2, -3/2, -2], [4428362/5, 97219, -1166388/5], [-5192175/4, -467319/2, 1349971/4], [-31/20, -1/10, 3/20]], [[-38259, -29133, 11466], [-19796171246/5, -1188962780, 6898504659/5], [12607821455/2, 775993482, -5394071113/2], [82719/10, -5031/5, -62127/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [15, 4, -13], [-16, -4, 2], [0, 0, 0]], [[-7/2, -3/2, 2], [180008/5, -38416/5, 959], [-144667/4, -23489/2, 60619/4], [9/20, 1/2, -1/20]], [[-2769/2, -1157/2, 442], [70886621/5, -718599, -18704084/5], [-58282265/4, -8658513/2, 18626157/4], [4927/20, 247/10, -2431/20]]], 1, 192, [], [] >,
< [ 1, -3, -1, 1 ], [[32, 96, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 4, 20], [-106, -8, 10], [0, 0, 0]], [[0, 0, 0], [-3, 2, 0], [-9, 0, 1], [1, 0, 0]], [[0, 0, 0], [-2305076, 2428614, 4265486], [11062220, 1585350, -6447090], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [62, 16, 0], [20, 10, -10], [0, 0, 0]], [[0, 0, 0], [-488387, 33911, 366862], [-148094, 1292, 15272], [-13, -1, -4]], [[0, 0, 0], [120899435274, 88088785854, 18917903244], [47958126264, 11693110714, -20332593114], [4939844, 92742, -3298204]]], 0, 98304, [], [] >,
< [ 1, -3, -1, 1 ], [[32, 96, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [74, 10, -16], [112, 6, -10], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [-9, 0, 1], [1, 0, 0]], [[0, 0, 0], [127948, 20870, -52682], [199444, 14246, -109778], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -6, -4], [18, -20, -2], [0, 0, 0]], [[0, 0, 0], [-35925, -2868, 9743], [-21490, 5950, 5400], [-7, -4, -5]], [[0, 0, 0], [54481073, 15677009, -16782294], [25750386, 17504472, -4458708], [19635, -11781, -19866]]], 0, 98304, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, -224, -96]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 2, 2], [1448, -3780, -3212], [0, 0, 0]], [[0, 0, 0], [-50408354/5, 184938731/5, -74517741/5], [67157/2, -5942, 2135/2], [-53/10, 4/5, 1/10]], [[0, 0, 0], [30193017813/5, -110649560746/5, 8915412169], [-26818415, -12037992, -8100066], [22161/5, 1494, 3486/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-108, -2, 6], [80, 20, 0], [0, 0, 0]], [[0, 0, 0], [-2607113/5, 878787/5, -58932/5], [772741/2, -41147, -4241/2], [59/10, 3/5, -3/10]], [[0, 0, 0], [6030467690, -11410857697/5, 11317606939/5], [-7814860439/2, -897275778, -4833118177/2], [-535897/10, -226796/5, -415183/10]]], 0, 491520, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, -224, -96]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, 4, 6], [-172, 512, 424], [0, 0, 0]], [[0, 0, 0], [-2604367, 9968473, -4040322], [221619/2, -7436, -8817/2], [41/2, 0, 1/2]], [[0, 0, 0], [40403855810, -779697045274/5, 316357979288/5], [-1977521894, -159964846, -5939342], [-1787142/5, -385462/5, -215258/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [62, -6, 4], [-132, -16, 0], [0, 0, 0]], [[0, 0, 0], [18404847, -9311537/5, 3922804/5], [-78566431/2, -4234607, 1731827/2], [-37/10, -1/5, -3/10]], [[0, 0, 0], [-48347301484/5, 11164294/5, -6674035202/5], [20498921332, 4849711712, 1739171588], [1900, 2128/5, 2204/5]]], 0, 491520, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, -224, -96]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32, -2, 6], [-500, 1268, 1084], [0, 0, 0]], [[0, 0, 0], [202/5, 6707/5, -3147/5], [-141/2, 31, 15/2], [49/10, 3/5, -3/10]], [[0, 0, 0], [-74134, 4262017/5, -1893719/5], [-61317/2, 23328, 81/2], [19197/10, 486/5, 1863/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [52, 2, -2], [64, -8, 0], [0, 0, 0]], [[0, 0, 0], [-1433208/5, -152129/5, 8423], [-704527/2, 18445, 433/2], [43/10, 1, 3/10]], [[0, 0, 0], [29060595296/5, 4591702686/5, 6581210374/5], [7388602376, -818236404, 1764753904], [-411144/5, -188256/5, -200392/5]]], 0, 491520, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, -224, -96]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, 8, -10], [1416, -3304, -2876], [0, 0, 0]], [[0, 0, 0], [31879651, -116036845, 46701136], [-1976847/2, -125513, 301635/2], [-1/2, 1, 1/2]], [[0, 0, 0], [-193549085776/5, 674515939322/5, -53945221690], [6473626754, 1102987002, -1955489160], [4118/5, 230, 1248/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-108, -2, 6], [4, 0, 4], [0, 0, 0]], [[0, 0, 0], [-4955259/5, -417294/5, 1095289/5], [41957, -5502, 1706], [-19/5, 4/5, -2/5]], [[0, 0, 0], [-6297558313, -6840766239/5, 6286947698/5], [437364013/2, 131671191, 170366099/2], [-189449/10, -62127/5, -102011/10]]], 0, 491520, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, -224, -96]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [128, -24, -24], [6, -4, -6], [0, 0, 0]], [[0, 0, 0], [17, 2, 0], [-9, 0, 1], [1, 0, 0]], [[0, 0, 0], [8796, 17390, -9594], [420, 130, 90], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-244, 10, 26], [0, -4, 8], [0, 0, 0]], [[0, 0, 0], [367456, 80133, -115527], [732, 84, -26], [2, 1, 1]], [[0, 0, 0], [-18442112, -4052658, 5813580], [-37604, -966, -362], [-104, -36, -60]]], 0, 491520, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, -224, -96]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 48, 18], [40, 8, 4], [0, 0, 0]], [[0, 0, 0], [-17, 0, 0], [-9, 0, 1], [1, 0, 0]], [[0, 0, 0], [22380, 377590, 196950], [191860, 77106, 64798], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, -4, 4], [98, 0, -2], [0, 0, 0]], [[0, 0, 0], [451666, 1304, 11314], [1728094, 164872, -178770], [-6, -4, 4]], [[0, 0, 0], [97450462091, -28488094471, -96149186432], [349865364110, -50254341140, -268156097100], [-1060375, -341125, -342800]]], 0, 491520, [], [] >,
< [ 1, -3, -1, 1 ], [[4, 0, -4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [17, 0, 7], [6, 5, -3], [0, 0, 0]], [[-3/2, 5/2, 2], [16248, 30679/2, 2517], [8231, 4589/2, -4189/2], [-3/2, 1/2, 1/2]], [[-6, 33, 9], [-239400, 58970, 130091], [-83472, -16920, 31324], [6, 24, -9]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-15, -24, -13], [-15, -5, 0], [0, 0, 0]], [[2, 3, 0], [19845/2, 1866, -3885/2], [7166, 609, -1592], [5/2, -1, 1/2]], [[-4845, -5871/2, 133/2], [-19049992, -10810025/2, 5223620], [-26990663/2, -6578477/2, 4111992], [-7847/2, -3553/2, 1843/2]]], 1, 16, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 0, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 6, -10], [16, -34, -30], [0, 0, 0]], [[0, 0, 0], [-5862, 3651, -466], [-2287, -768, 637], [-4, -3, -2]], [[0, 0, 0], [714425/2, 506115, -620055/2], [245896, 38033, -76535], [1025/2, 123, -615/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 2, -6], [4, -22, -14], [0, 0, 0]], [[0, 0, 0], [21943/2, 9724, -17073/2], [4419, -4269, -3256], [-9/2, -4, -5/2]], [[0, 0, 0], [46228680, 2949840, -10956264], [8897328, 3548120, -2979180], [-20088, -5022, 7254]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 0, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 10, -10], [10, -4, -10], [0, 0, 0]], [[0, 0, 0], [-54327/2, 23275, -9311/2], [-16884, 3107, 2945], [-7/2, -5, 1/2]], [[0, 0, 0], [974418, 375884, -418114], [798982, 125458, -327100], [150, 300, 150]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -10, -6], [8, 14, 6], [0, 0, 0]], [[0, 0, 0], [-104835/2, 169658, -136193/2], [9396, -9139, 3423], [-3/2, -2, 3/2]], [[0, 0, 0], [5079201/2, -2853378, 1003929/2], [-1969125, 67753, 702352], [981/2, 198, -255/2]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 0, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, -8, -10], [-8, 6, 6], [0, 0, 0]], [[0, 0, 0], [-902449, 368449, 149518], [-120168, -23618, -8582], [5, -3, 0]], [[0, 0, 0], [812240435/2, 226517765, -165040225/2], [86145943, -10951547, -51333464], [-4389/2, -1083, 1387/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -20, 2], [10, 0, 0], [0, 0, 0]], [[0, 0, 0], [-255/2, 140, -113/2], [37, 67, -62], [-3/2, -4, -5/2]], [[0, 0, 0], [-45427/2, -17976, 21339/2], [17425, -3621, -5006], [-1363/2, -696, -261/2]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 0, -16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, 8, 6], [-2, 4, 6], [0, 0, 0]], [[0, 0, 0], [-389951/2, -44410, 123387/2], [1541, -321, -270], [1/2, -4, 3/2]], [[0, 0, 0], [-10074391, -2149553, 3144267], [68029, 20506, -16337], [-35, 5, 25]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 12, -10], [4, -2, -4], [0, 0, 0]], [[0, 0, 0], [-7073/2, -2335, 3597/2], [3674, 707, -1125], [-5/2, -5, -3/2]], [[0, 0, 0], [-13/2, 16, 27/2], [-4, 11, 9], [-1/2, 2, 3/2]]], 0, 1024, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 0, -64]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, 12, -14], [6, -4, -2], [0, 0, 0]], [[0, 0, 0], [4882, -3374, -2208], [-460, -324, -244], [-14, -2, -4]], [[0, 0, 0], [-17985679, -3332373, 7416510], [2699218, 1037698, -680030], [70029, 25351, -20582]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 20, 2], [-6, -8, 10], [0, 0, 0]], [[0, 0, 0], [-28, 24, 46], [-40, 16, 24], [10, 4, 0]], [[0, 0, 0], [23214, -21289, -18717], [31952, -828, -16966], [-9230, -4189, 2059]]], 0, 65536, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 0, -64]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, -20, 60], [12, -12, 16], [0, 0, 0]], [[0, 0, 0], [403906, 54841, -274371], [-226058, -37874, 20614], [4, 1, 3]], [[0, 0, 0], [13434110, 5159619, -3520957], [-8718314, -1108954, 2831614], [186, -25, -73]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-62, -4, -14], [-18, 0, -6], [0, 0, 0]], [[0, 0, 0], [85230, 409, 18209], [24840, -1750, 7888], [0, -3, -1]], [[0, 0, 0], [206302746, 38523164, -57224690], [59444922, 10617748, -16048046], [-2292, -912, 624]]], 0, 65536, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 0, -64]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -4, 6], [-4628, 11800, 10076], [0, 0, 0]], [[0, 0, 0], [-1228794, 4538363, -1830397], [-14690, -4862, -1646], [6, -5, 3]], [[0, 0, 0], [-2538395, 10082112, -4106935], [-556292, -47014, 210622], [165, 0, -55]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 24, 10], [6, 4, 10], [0, 0, 0]], [[0, 0, 0], [-2082, -15917, 7353], [28330, 19966, -15486], [-8, 3, -5]], [[0, 0, 0], [8062154, -117340, -2680190], [-39177526, -8084300, 11394150], [12896, -7936, -11904]]], 0, 65536, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 0, -64]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 20, 14], [-16, -12, 12], [0, 0, 0]], [[0, 0, 0], [-944/5, -304/5, 714/5], [-606, 125, 91], [16/5, -1/5, 3/5]], [[0, 0, 0], [475489/5, -35170, -217841/5], [210757, 92965, -98149], [-4753/5, -6111/5, 679/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, -36, -34], [12, -20, -8], [0, 0, 0]], [[0, 0, 0], [63675, 3172/5, -100849/5], [25234, -16919, 334], [-14/5, 1/5, 4/5]], [[0, 0, 0], [-172422941/5, -4355364/5, 63583257/5], [-12484146, 4644394, 2163455], [1504, -188/5, -2679/5]]], 0, 262144, [], [] >,
< [ 1, -3, -1, 1 ], [[-64, 0, -64]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 0, -2], [-18352, 46680, 39880], [0, 0, 0]], [[0, 0, 0], [82/5, 72/5, -22/5], [80, 62, 20], [-28/5, -2/5, -4/5]], [[0, 0, 0], [9801/5, 324, -2349/5], [9170, 3328, -2383], [-2592/5, -1134/5, 891/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 4, -22], [16, 12, -12], [0, 0, 0]], [[0, 0, 0], [-690698/5, 77664, 1092402/5], [242090, 37938, -36614], [6/5, 2/5, 2/5]], [[0, 0, 0], [-247539329/5, -733021494/5, -111511771/5], [263403033, 21539091, -80260367], [7891/5, -1521/5, -2847/5]]], 0, 262144, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 0, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, -18, -28], [-28, 2, -10], [0, 0, 0]], [[0, 0, 0], [9269309/5, -8523012/5, -14708117/5], [1191605, -27804, -1475530], [-29/5, -2/5, 0]], [[0, 0, 0], [-96280955693/5, -508955892487/5, -247715407399/5], [-79271359785/2, -100278545781/2, -5736178134], [652239/2, 93177/10, -581247/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 0, -4], [-14, -10, 0], [0, 0, 0]], [[0, 0, 0], [-43066/5, 142588/5, -56997/5], [-609, -2529/2, 1287/2], [-24/5, 1/10, -1/2]], [[0, 0, 0], [7929282, 30511526, -15129980], [17239846, 3122444, -4617158], [83920, 29372, -20980]]], 0, 4096, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 0, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 20, 4], [4, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2836, -6237/5, -15876/5], [-1973/2, -2403/2, 500], [-17/10, 3/10, 1/5]], [[0, 0, 0], [8180634, -76885788/5, -68523264/5], [1088448, -696010, -1062412], [4746/5, 196/5, -1596/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -8, -10], [-10, -6, 0], [0, 0, 0]], [[0, 0, 0], [9083/5, -13379/5, -5234/5], [2211/2, -377, -1323/2], [9/10, 1/5, -1/2]], [[0, 0, 0], [30349/5, -444973/5, 10421], [-33663/2, -31443/2, 1530], [-219/10, 3/2, 3/5]]], 0, 4096, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 0, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -32, -26], [-766, 2004, 1702], [0, 0, 0]], [[0, 0, 0], [52966/5, -290857/5, -44316], [-2603197/2, 7174829/2, 3015421], [-41/10, -1/2, 2/5]], [[0, 0, 0], [8096845568/5, -32206705634/5, 13122910426/5], [-293090516, 5498640516, -2484889448], [45842832/5, -169354184/5, 13661144]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [108, -300, -252], [298, -744, -638], [0, 0, 0]], [[0, 0, 0], [3243/5, -27514/5, -20039/5], [5796, -12891, -11374], [12/5, 1/5, 0]], [[0, 0, 0], [-942618/5, 2928113/5, -1149234/5], [3204147/2, -11674449/2, 2349618], [-104769/2, 1927017/10, -388377/5]]], 0, 4096, [], [] >,
< [ 1, -3, -1, 1 ], [[-16, 0, -16]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [74, -196, -166], [590, -1548, -1314], [0, 0, 0]], [[0, 0, 0], [-17867/5, 45433/5, 39362/5], [-56511/2, 72570, 123777/2], [71/10, 2/5, 3/10]], [[0, 0, 0], [300934269/5, -1120245264/5, 452329662/5], [-6211152, -69365619/2, 34635919/2], [1481487, -67829601/10, 28110747/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-70, 190, 160], [26, -92, -74], [0, 0, 0]], [[0, 0, 0], [14771/5, -7453, -31879/5], [-2703/2, 6811/2, 2920], [-19/10, -3/10, 1/5]], [[0, 0, 0], [-47710, 210917, -87037], [-230735/2, 405815, -325035/2], [19303/2, -39285, 32107/2]]], 0, 4096, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 256, 192]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-230, 692, 570], [56, -12, -20], [0, 0, 0]], [[0, 0, 0], [4724709/5, 2136484/5, -2243089/5], [1707994, -1448238, 305495], [-16/5, -4/5, -3/5]], [[0, 0, 0], [4204605224/5, -150052454, -751802546/5], [426547083, 2071957142, -1044700951], [-8763/5, -14986/5, 2159/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-110, -228, -78], [-280, -12, 4], [0, 0, 0]], [[0, 0, 0], [-1051418806/5, -289905794/5, 352911882/5], [-335218887, -17321585, 78931498], [-7, -3/5, -4/5]], [[0, 0, 0], [2362233067369, 207325854622, -565465924729], [3060679496445, 2128147982165, -1621237357395], [20439, 179409, 15897]]], 0, 1572864, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 256, 192]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, 4, 10], [15912, -40400, -34528], [0, 0, 0]], [[0, 0, 0], [-119835346/5, 426553022/5, -34222746], [-33195, 6643, 1484], [33/5, 1, -2/5]], [[0, 0, 0], [-387136323473/5, 1452798847132/5, -587258553647/5], [44070626, 82244186, -26134571], [-44668/5, -92772/5, -9449/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [62, 72, -18], [120, 12, -4], [0, 0, 0]], [[0, 0, 0], [-7924479, -8375196/5, 12311467/5], [-11812924, -2543664, 3687949], [2/5, 2/5, 3/5]], [[0, 0, 0], [-31004028, -34875646/5, 49767662/5], [-46552059, -9326592, 14332275], [-33/5, 132/5, 33/5]]], 0, 1572864, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 64, 48]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -6, 16], [-18, 8, 6], [0, 0, 0]], [[0, 0, 0], [-3139/5, -9288/5, -10648/5], [-8133, -6859/2, 3707/2], [4/5, -1/10, -1/2]], [[0, 0, 0], [-3586/5, -94136/5, 59311/5], [-36089, 3991/2, 16315/2], [14/5, -3/10, -1/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 18, 18], [20, -10, 10], [0, 0, 0]], [[0, 0, 0], [145726/5, 15832/5, -34853/5], [57762, -2947/2, -22657/2], [19/5, -1/10, -1/2]], [[0, 0, 0], [118476152/5, 211666366/5, -6112936], [43819408, 96129846, -46582604], [2344/5, 12892, 5274/5]]], 0, 24576, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 64, 48]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-50, -34, -26], [-148, -10, 2], [0, 0, 0]], [[0, 0, 0], [-352863676/5, -88598579/5, 59852427/5], [-349612751/2, -27401288, 84936391/2], [15/2, 2/5, -3/10]], [[0, 0, 0], [-39671961859022/5, -40068724741899/5, 4425525795616/5], [-43103488860093/2, -25104673103317/2, 7436255766923], [6118859/10, 14694417/10, -213626]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 2, -8], [-18, 4, -6], [0, 0, 0]], [[0, 0, 0], [-48297/5, -59866/5, -6535], [-10216, -8852, -4047], [6/5, 0, 1/5]], [[0, 0, 0], [-54951192, -139865950, -45401097], [-61044534, -222693359/2, -48874325/2], [5959, 20503/2, -4141/2]]], 0, 24576, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 64, 48]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -10, 8], [18, -8, -6], [0, 0, 0]], [[0, 0, 0], [-5416/5, 7439/5, 556/5], [2513/2, -2341/2, -2455], [33/10, -3/10, 2/5]], [[0, 0, 0], [-4958398, -1958120, 3460227], [8187125, -12738835/2, -12092125/2], [25192, 22043/2, -15745/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, -6, -10], [-54, 20, 6], [0, 0, 0]], [[0, 0, 0], [-4063577/5, 301047, 2037543/5], [-3412897/2, -174629/2, 315903], [-37/10, 1/10, -2/5]], [[0, 0, 0], [8184481914, -4076278476, -9059439772], [12503645379, 10059662133, -5156263602], [15255, 57375, -1620]]], 0, 24576, [], [] >,
< [ 1, -3, -1, 1 ], [[16, 64, 48]], [ -5, 0, 0 ], [ 0, -1, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -6, 6], [34, -20, -6], [0, 0, 0]], [[0, 0, 0], [-1309076, 308497, 472995], [-4102311/2, -409870, 435919/2], [7/2, 0, 1/2]], [[0, 0, 0], [8898556154/5, 1725192421/5, -5885654858/5], [5470332313/2, 3929629739/2, -714422275], [-7179/2, -61751/10, 6236/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, 0, 10], [-50, -4, -2], [0, 0, 0]], [[0, 0, 0], [8260112/5, 646076/5, -337963], [-3644519, -1051219/2, 1889535/2], [4/5, -1/2, 3/10]], [[0, 0, 0], [293585354/5, 272041928/5, -48733677/5], [-147715762, -149836519/2, 76992569/2], [-69/5, 1311/10, 69/2]]], 0, 24576, [], [] >,
< [ 1, -3, -1, 1 ], [[8, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-25, -4, -15], [-2, 5, -3], [0, 0, 0]], [[5/2, -3/2, -1], [225491/2, 21927, -20258], [3927, -5929/2, 2453/2], [1, 2, -3/2]], [[1071/2, -210, -735/2], [48363851/2, 17238945/2, -4942797], [1254149/2, 248632, -76063/2], [693/2, 21/2, -189]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11, 14, 11], [11, 3, -2], [0, 0, 0]], [[2, -11/2, -9/2], [2734, -24201/2, -20814], [15709/2, -7549/2, -2880], [1/2, -3/2, -3/2]], [[-271/2, 113/2, 75], [-3586077/2, -2138649, 1648526], [4505097, 3129459/2, -3290819/2], [-77, -42, 117/2]]], 1, 32, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -40, 4], [-4, -20, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 2], [1, 2, 1], [1, 0, 0]], [[0, 0, 0], [-3630, -292, 1246], [-3038, -372, 1054], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 20, 6], [10, 16, 6], [0, 0, 0]], [[0, 0, 0], [1, 2, 2], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [80, -164, 48], [36, -36, 0], [0, 0, 0]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, -20, 2], [-72, 140, 128], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [-1, 2, -1], [1, 0, 0]], [[0, 0, 0], [-22646, 48776, -17822], [-8976, 4352, 2584], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, -8, -6], [36, -64, -60], [0, 0, 0]], [[0, 0, 0], [-1, 2, 0], [1, 0, -1], [1, 0, 0]], [[0, 0, 0], [-9888, 22248, -8240], [2024, 1276, -1584], [0, 0, 0]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -8, 10], [22, 8, 6], [0, 0, 0]], [[0, 0, 0], [-1, 0, 2], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-4724, 15788, -3728], [-12924, 11488, 2872], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -20, -30], [-2, 0, -10], [0, 0, 0]], [[0, 0, 0], [1, 2, 2], [1, 2, 1], [1, 0, 0]], [[0, 0, 0], [4496, 1260, -1816], [656, 360, -376], [0, 0, 0]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[64, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 16, -10], [-12, 8, 12], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, -1], [1, 0, 0]], [[0, 0, 0], [588, -588, 196], [372, 8, -200], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -20, -4], [44, -160, -128], [0, 0, 0]], [[0, 0, 0], [-1, 2, 0], [-1, 2, -1], [1, 0, 0]], [[0, 0, 0], [11610, -39904, 15910], [1380, -280, -340], [0, 0, 0]]], 0, 16384, [], [] >,
< [ 1, -3, -1, 1 ], [[256, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -92, -44], [-16, 8, -20], [0, 0, 0]], [[0, 0, 0], [-38940, -13614, -3316], [-16722, -24332, 10650], [8, -10, 4]], [[0, 0, 0], [-1072511, 5476, 479581], [-542422, -83382, 212192], [129, 0, -43]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -8, 0], [16, 0, -8], [0, 0, 0]], [[0, 0, 0], [503, 84, -165], [350, 86, -120], [-1, 8, -5]], [[0, 0, 0], [66916, 14456, -20744], [47632, 10236, -14792], [128, 32, -32]]], 0, 1048576, [], [] >,
< [ -1, -4, -1, 1 ], [[2, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 1, -2], [-5/2, 1, -7/2], [-1/2, 1, -2], [-2, 0, -3/2]], [[-11137, -1935, 2064], [-75197/2, -9546, 8436], [-11137, -1935, 2064], [-52923/2, -7611, 6372]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 3/2, 0], [-21/2, 17/2, -5], [1/2, 3/2, 0], [0, 0, 0]], [[-1210, -13, 245], [2013089/10, 769789/10, -580243/10], [-1210, -13, 245], [23/10, -27/10, -1/10]], [[1667974, 329197, -397529], [-260741301, -95275036, 73219797], [1667974, 329197, -397529], [-3772, 828, 644]]], 4, 2, [], [] >,
< [ -1, -4, -1, 1 ], [[2, 2, -2]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, 27/2, 7/2], [-153/10, 169/10, -61/10], [-19/10, 17/10, 1/5], [0, 0, 0]], [[188635, 11721/2, -42530], [4283997/10, 76403/5, -63437], [508839/10, 125961/20, -212019/20], [-1/10, 1/4, 1/20]], [[587890675/2, 398953889/2, -129658770], [6997443081/10, 5581881937/10, -3070467653/10], [1526389161/20, 497634091/10, -611006743/20], [-6699/20, -3857/10, 6293/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 31/2, 7], [-15/2, 9/2, 16], [-1, 3/2, 1/2], [0, 0, 0]], [[933795/2, 204743, -350693/2], [2989103/5, 480159/10, -1448847/10], [615887/5, 1129801/20, -823009/20], [1/10, 3/20, -1/20]], [[-365428537/2, -155000447/2, 160186853/2], [-2248665017/10, 71698888/5, 593174761/10], [-243063147/5, -116712559/5, 350782609/20], [-45, -80, 81/4]]], 3, 3, [], [] >,
< [ -1, -4, -1, 1 ], [[-2, 2, 0]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, -3, -3/2], [-107/10, -81/5, -171/10], [-21/10, -3/5, -3/10], [0, 0, 0]], [[-91359/2, -16067/2, 9860], [-309389/10, 41079/5, 16528/5], [-91363/10, -32101/20, 9858/5], [-1/5, 3/20, -1/10]], [[20449723/2, -2012376, -1688021/2], [49295901/10, -57037362/5, 27027803/10], [20448043/10, -2018876/5, -1683621/10], [8, -172, 96]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[27/2, -13/2, 1/2], [-49/10, 21/10, 53/10], [27/10, -13/10, 1/10], [0, 0, 0]], [[-67/2, -27, 29/2], [197/5, 311/2, 961/10], [-153/20, -123/20, 33/10], [-1/4, -3/20, 1/10]], [[5/2, -1071/2, 198], [216, 11147/10, 4184/5], [17/20, -607/5, 224/5], [13/20, -11/5, 4/5]]], 3, 3, [], [] >,
< [ -1, -4, -1, 1 ], [[-2, -4, 1]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[29/2, 2, 1], [-577/10, -56/5, -33/5], [29/10, 2/5, 1/5], [0, 0, 0]], [[-2375, -5108, -1295], [51018/5, 119192/5, 7264], [-2373/5, -5103/5, -1294/5], [0, -1/5, -1/5]], [[215636, 114503, -146807/2], [-8490917/10, -4543491/10, 1449309/5], [861937/20, 457587/20, -293369/20], [-163/20, -93/20, 59/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, 11, 1/2], [222/5, 282/5, 107/10], [6/5, 11/5, 1/10], [0, 0, 0]], [[-29098, 40607, 42037/2], [-18400439/50, 5442017/50, 11768307/50], [-116393/20, 162431/20, 42041/10], [9/100, -17/100, -1/50]], [[849004507/2, 110318952, -131361525/2], [217610828383/50, 40893029908/25, -49170037469/50], [849015299/10, 22065413, -131364109/10], [-35112/25, -2869/25, 4066/25]]], 3, 2, [], [] >,
< [ -1, -4, -1, 1 ], [[0, 4, -2]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 5, -5/2], [-359/10, -72/5, -7/10], [-29/10, -29/10, -1/5], [0, 0, 0]], [[-570, 1460, -175/2], [58829/10, 2594, -46268/5], [-117/4, -5333/4, -627], [-29/20, -1/4, -1/5]], [[-10363157/2, -18864115/2, 7994767/2], [-3611172/5, -35808385, 194039321/10], [6133947/4, 5979239/2, -462463], [-99813/20, -53641/10, 15617/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -7/2, 3/2], [31/10, -59/10, -57/10], [2/5, 9/10, -3/10], [0, 0, 0]], [[-483, -529, 553/2], [36709/10, 7557/5, -4029/5], [2917/20, 2597/20, -361/5], [5/4, 1/4, 0]], [[-1250577, -4712839, 1950214], [-2283584, -6531189/5, 3145797/5], [2529183/10, 10323863/10, -2118908/5], [-25437/10, -60743/10, 12371/5]]], 3, 3, [], [] >,
< [ -1, -4, -1, 1 ], [[-1, -6, 2]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 1/2, 0], [62, 15/2, 7], [-1/2, -1, -1/2], [0, 0, 0]], [[174829/2, -27462, -1180], [33388991/10, -110477317/10, 18713821/5], [-575259/20, 10593/10, 22413/20], [1/4, -1/10, 1/20]], [[-11879282, -27585384, 12259063], [-1949768205, -27958605996/5, 11979188993/5], [29132183/10, 29902824/5, -31385141/10], [-411/10, -99, 519/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, -1/2, -1/2], [217/10, -83/10, -39/10], [-11/5, -7/10, -1/10], [0, 0, 0]], [[-39128, 10467, 623], [-656399/5, 145093/2, 80297/10], [26393/2, 5945/4, 863/2], [7/5, 1/4, -1/10]], [[497241501/2, 1445554715/2, -621116421/2], [5104179337/5, 3027767119, -12445293621/10], [-230762383/4, -159372256, 75671816], [-89503/20, -58351/5, 27671/5]]], 3, 2, [], [] >,
< [ -1, -4, -1, 1 ], [[-2, -5, 3]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, -3/2, -5], [-39/2, 5/2, -8], [-1, 1/2, -1/2], [0, 0, 0]], [[60090, 349331/2, 352981/2], [1430897/10, 1743749/10, 1556667/5], [122757/20, 49069/20, 330889/20], [1/4, 1/4, 1/4]], [[2573234, 955479/2, -957435/2], [24348695/2, 28052953/10, -13416288/5], [13621209/20, 2711953/20, -2862157/20], [421/20, 25/4, -21/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -17/2, -1/2], [177/10, -81/10, -11/10], [1/10, -13/10, 1/5], [0, 0, 0]], [[-10169/2, 2291/2, -4835/2], [-1636152/25, -49396/5, 592761/50], [-6516/5, 2223/4, -4479/20], [9/50, 1/20, 3/100]], [[34037381, -28448041/2, 12469647/2], [22712633149/50, 791210827/10, -2299547183/25], [183752289/20, -13385115/4, 7524129/20], [-118803/100, -1791/20, 4577/100]]], 3, 2, [], [] >,
< [ -1, -4, -1, 1 ], [[4, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [1/2, 0, 0], [0, 0, 0], [1/2, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3/10, 76/5, 3/5], [0, 0, 0], [29/10, -8/5, 1/5]], [[0, 0, 0], [-15773/10, -78803/10, -22602/5], [0, 0, 0], [-1791/10, 189/10, 36/5]]], 1, 12, [], [] >,
< [ -1, -4, -1, 1 ], [[4, 4, -4]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [81/5, -73/5, -83/5], [-27/5, -9/5, -4/5], [0, 0, 0]], [[0, 0, 0], [1111098/5, 648481/10, -521061/10], [-1084627/20, -17631/5, 94953/10], [-1/4, 1/5, 1/5]], [[0, 0, 0], [-1786078568/5, -1094845816/5, 646214044/5], [568158736/5, 612748332/5, -314330758/5], [546, 350, -462]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-51/5, -87/5, 18/5], [-2/5, -9/5, 1/5], [0, 0, 0]], [[0, 0, 0], [-8063/10, -1594/5, 799/5], [117/10, 33/20, -43/5], [1/5, -1/20, -1/10]], [[0, 0, 0], [13043, 12382, -14387/2], [569/4, 904, -1669/4], [-27/4, -27/2, 21/4]]], 1, 21, [], [] >,
< [ -1, -4, -1, 1 ], [[-4, 4, 0]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, -7, -8], [2, 5, 0], [0, 0, 0]], [[0, 0, 0], [1708733/10, 638627/10, -50619], [-134001/20, -11751/20, 7738/5], [1/20, 1/4, -1/10]], [[0, 0, 0], [-60886/5, -27106/5, 13802/5], [2642/5, 1412/5, -54/5], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [37/5, -3/5, -34/5], [29/5, -11/5, 2/5], [0, 0, 0]], [[0, 0, 0], [3438627/10, 486962/5, -1289091/10], [1224939/4, 75335, -276481/4], [3/20, 1/10, 3/20]], [[0, 0, 0], [273247592/5, 224407549/5, -91552721/5], [28133231, -63340377/2, 15038331/2], [-226/5, -2147/10, 113/2]]], 1, 21, [], [] >,
< [ -1, -4, -1, 1 ], [[32, 64, -16]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-74/5, -134/5, 8/5], [-12/5, -62/5, -6/5], [0, 0, 0]], [[0, 0, 0], [277/5, 833/5, -41], [201/10, 501/10, -307/10], [-3/10, 1/2, -1/2]], [[0, 0, 0], [-2558378/5, -1620334/5, 921652/5], [-1503891/5, -799051/5, 531492/5], [162373/5, 52007/5, -42082/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-182/5, -412/5, -76/5], [14/5, 14/5, 2/5], [0, 0, 0]], [[0, 0, 0], [7423/5, 92727/5, -6467], [6069/10, 729/10, -1373/10], [1/2, -3/10, 1/10]], [[0, 0, 0], [165393198/25, -61055384/25, -4127834/25], [-5755478/5, -1830812/5, 306496], [-28594/25, -6728/25, 6322/25]]], 0, 8064, [], [] >,
< [ -1, -4, -1, 1 ], [[0, 8, -4]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, 7, 7], [-2, 3, 1], [0, 0, 0]], [[0, 0, 0], [27807/2, 5698, -7847/2], [19047/4, 10189/4, -3167/2], [13/20, 3/20, 1/5]], [[0, 0, 0], [12766612/5, 1475036/5, -2145606/5], [3158696/5, -5730673/10, 1384941/10], [1449/5, 5499/10, -1709/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22/5, 7/5, 61/5], [8/5, 3/5, 4/5], [0, 0, 0]], [[0, 0, 0], [-24677/10, 840, 4809/5], [-854, -297/2, 1031/4], [2/5, -1/5, -1/4]], [[0, 0, 0], [-48359/10, -21893/2, 24238/5], [-3149/4, -1101, 530], [11/20, 11/10, -1/2]]], 1, 21, [], [] >,
< [ -1, -4, -1, 1 ], [[16, 96, -32]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-148/5, 42/5, -14/5], [-38/5, 12/5, -4/5], [0, 0, 0]], [[0, 0, 0], [2359961/5, -41660, -244724/5], [121682, -12737, -23771/2], [-4, -2/5, -3/10]], [[0, 0, 0], [6/5, 7, 31/5], [1, 9/2, 3], [0, 1/10, 1/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-112/5, 108/5, -26/5], [-48/5, 12/5, -4/5], [0, 0, 0]], [[0, 0, 0], [997527/5, -74088, 5027/5], [159137/2, 1791/2, -4090], [23/10, 1/2, -1/5]], [[0, 0, 0], [-138242969616/5, -81581175244, 173937335064/5], [-6726115486, -18710757762, 8438541402], [-125760, -1601088/5, 781824/5]]], 0, 8064, [], [] >,
< [ -1, -4, -1, 1 ], [[32, 80, -48]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-124/5, 602/5, 72/5], [-2/5, 46/5, 6/5], [0, 0, 0]], [[0, 0, 0], [12447, 27040, 9315], [1579/2, 4143/2, 1681/2], [1/10, -1/10, 1/2]], [[0, 0, 0], [-761325764/5, -233650434/5, 206623954/5], [-37628706/5, -10878862/5, 10285798/5], [-23406/5, -2350, 1598]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -46, 26], [6, -2, 2], [0, 0, 0]], [[0, 0, 0], [-2642/25, -1498/5, 1748/25], [-64/5, -206/5, 18/5], [2/25, 2/5, 2/25]], [[0, 0, 0], [15784/25, 1103, -13986/25], [279/5, 579/5, -643/10], [6/25, -2/5, 17/50]]], 0, 8064, [], [] >,
< [ -1, -4, -1, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -2, 4], [0, 4, -12], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-3796, -1222, 988], [-2592, -1368, 936], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 4, 4], [-16, 12, -12], [0, 0, 0]], [[0, 0, 0], [8894341/5, 2395266/5, -1581462/5], [-816142, -63968, 40492], [17/5, 12/5, -4/5]], [[0, 0, 0], [-3835417243, -2423338932, 1376463511], [2149591338, 2080482080, -1019862290], [-4883, 684, 19]]], 0, 21504, [], [] >,
< [ -1, -4, -1, 1 ], [[64, 64, -64]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [212/5, 124/5, 24/5], [76/5, 32/5, -8/5], [0, 0, 0]], [[0, 0, 0], [13776, -64856/5, 7212/5], [30906/5, -6058/5, -3208/5], [2/5, 2/5, 0]], [[0, 0, 0], [1585653/5, 7465482/5, -3072271/5], [335121/10, 2786947/10, -1107943/10], [-9/2, -69/10, 41/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [208/5, -24/5, -64/5], [-64/5, -8/5, 12/5], [0, 0, 0]], [[0, 0, 0], [-111/5, -474/5, -188/5], [11/5, -171/10, 32/5], [2/5, -1/2, 1/5]], [[0, 0, 0], [296, 6606/5, 3498/5], [-429/5, 312/5, -78/5], [-39/5, 0, 0]]], 0, 86016, [], [] >,
< [ -1, -4, -1, 1 ], [[-64, 64, 0]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-88/5, -168/5, -64/5], [-84/5, -64/5, 8/5], [0, 0, 0]], [[0, 0, 0], [-696/5, 1602/5, -301/5], [-1372/5, 1033/5, -237/10], [-1/5, -1/5, 3/10]], [[0, 0, 0], [-7152, -164939/5, 66754/5], [-21758/5, -279791/10, 55661/5], [56/5, 63/2, -14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 0, -8], [-4, 4, -4], [0, 0, 0]], [[0, 0, 0], [13391/5, 4319/5, -801], [-12833/10, -4813/10, 3651/10], [3/10, -1/10, 1/2]], [[0, 0, 0], [67069160, 118519586/5, -92953236/5], [-159621932/5, -60381897/5, 45493004/5], [4212, -80379/5, 30186/5]]], 0, 86016, [], [] >,
< [ -1, -4, -1, 1 ], [[0, 128, -64]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [144/5, -156/5, -8/5], [44/5, -96/5, -8/5], [0, 0, 0]], [[0, 0, 0], [-64654/5, -263628/5, -47575], [-113041/10, -485071/10, -368273/10], [41/10, 1/2, 1/10]], [[0, 0, 0], [-21850437/5, -35145283/5, 21135257/5], [-8802013/5, -28978551/10, 21244207/10], [24488/5, 24487/10, -3265/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [116/5, 116/5, 108/5], [-116/5, -56/5, -8/5], [0, 0, 0]], [[0, 0, 0], [908928/5, 241671/5, -37642], [-2036287/10, -327986/5, 519779/10], [-3/10, 2/5, 1/2]], [[0, 0, 0], [-5790708/5, -12488206/5, 1105848], [3626901/5, 4776876/5, -2316477/5], [-3/5, -24/5, 9/5]]], 0, 86016, [], [] >,
< [ -1, -4, -1, 1 ], [[2, -4, 0]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-37/2, -41/2, -12], [-37/2, -43/2, -9], [-4, -3/2, -1/2], [0, 0, 0]], [[374, -569, 661/2], [515, -113/5, 696/5], [2027/20, -1443/10, 989/20], [-11/20, -1, -11/20]], [[-21821/2, 129191/2, -23225], [-111719/5, 45953/2, -29924/5], [-7529/2, 55383/4, -4710], [87/5, -1/20, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -8, -2], [-11, 0, -12], [0, -1, 0], [0, 0, 0]], [[-13081, -5590, 2241], [725803/5, 434781/10, -417181/10], [-67473/20, -5849/5, 3991/5], [9/20, 1, 7/10]], [[14054315/2, -1033148, -537906], [-873839203/10, -55014792/5, 16778375], [18975801/10, -565999/5, -1110754/5], [507/2, 13013/10, -2873/5]]], 1, 18, [], [] >,
< [ -1, -4, -1, 1 ], [[-1, 3, -2]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 1/2, -3/2], [1/2, 7/2, -1/2], [3/2, 1/2, -3/2], [0, 0, 0]], [[-757/2, -190, 317/2], [308/5, -226, 509/10], [-7553/20, -942/5, 779/5], [-1/20, -1/10, 1/10]], [[-98841/2, -36335/2, 14129], [94113/5, 17343/5, -20881/5], [-987549/20, -362509/20, 70462/5], [-57/20, -47/20, 17/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 3/2, 5/2], [13/2, 113/2, 55/2], [-3/2, 3/2, 5/2], [0, 0, 0]], [[-13967/2, -2420, 1899], [-1410921/50, -259831/25, 195424/25], [-69811/10, -12074/5, 18979/10], [-1/25, -2/25, 1/50]], [[424079/2, 73665, -115677/2], [854273, 1538722/5, -1178822/5], [4239681/20, 367844/5, -1156267/20], [19/20, 3/2, -9/20]]], 1, 8, [], [] >,
< [ -1, -4, -1, 1 ], [[2, 10, -3]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 19, 8], [89/10, 169/5, 79/5], [1/5, 19/10, 2/5], [0, 0, 0]], [[69653/2, -37629, 19739/2], [-562729/10, -701703/10, 178381/5], [197121/20, -76609/10, 7668/5], [1/4, 0, 0]], [[6243011/2, 723768, -1194513/2], [-5110611/2, -5853429/5, 10333971/10], [4114674/5, 1902031/10, -900252/5], [189/10, 58/5, -3/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13, -15/2, -8], [-32, -81/2, -3], [-3, 0, -1/2], [0, 0, 0]], [[-27700, -22223, 2159], [-236489/5, -296223/10, -1716/5], [-67797/10, -37839/10, 33087/20], [-6/5, -1/5, -1/20]], [[-158574715/2, -8159918, 42045549/2], [-3952334841/25, -290376948/5, 2818087463/50], [-212273451/10, -15799485/4, 24968502/5], [-260013/50, -71981/20, 57291/25]]], 1, 12, [], [] >,
< [ -1, -4, -1, 1 ], [[4, -8, 0]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-19/5, -68/5, 52/5], [8/5, 11/5, -4/5], [0, 0, 0]], [[0, 0, 0], [1101/10, 1359/10, -1036/5], [801/10, 39/20, -401/20], [-3/10, -1/20, 1/20]], [[0, 0, 0], [-755/2, -5781/5, 652/5], [-633/10, 363/20, -181/10], [1/5, -3/20, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 19, -1], [3, 2, 0], [0, 0, 0]], [[0, 0, 0], [1749/10, 1644/5, -1417/10], [1421/20, 487/20, -313/20], [-1/20, 3/20, 3/20]], [[0, 0, 0], [-84167/5, -308222/5, 127202/5], [21361/10, 14467/10, -9543/10], [-27/10, -33/10, -41/10]]], 1, 126, [], [] >,
< [ -1, -4, -1, 1 ], [[16, -48, 32]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, 14, 26], [6, 8, 8], [0, 0, 0]], [[0, 0, 0], [1002317/5, 203396/5, -348753/5], [-194167/10, 64229/5, -135831/10], [1/10, -2/5, 1/2]], [[0, 0, 0], [-2944165328/5, -191761144, 891907998/5], [453535022/5, 371236812/5, -155092049/5], [-5784/5, -7712/5, 2169/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [34, 14, -12], [-10, 6, 4], [0, 0, 0]], [[0, 0, 0], [-5673218/25, -5960621/25, 3053384/25], [-26633/5, -2129523/10, 406547/5], [-1/25, 11/50, -2/25]], [[0, 0, 0], [9258746/25, -4429568/25, -2319568/25], [-1067216/5, -508509/5, 345518], [-8/25, -71/25, -56/25]]], 0, 32256, [], [] >,
< [ -1, -4, -1, 1 ], [[-32, -160, 48]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [182/5, -126/5, 54/5], [16/5, -8/5, 2/5], [0, 0, 0]], [[0, 0, 0], [1866, 3077/5, -2694/5], [803/5, 421/5, -223/10], [0, 8/5, 13/10]], [[0, 0, 0], [709359/5, 49332, -194481/5], [23345/2, 8393/2, -6327/2], [-261/10, 9/10, 81/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-326/5, 528/5, -102/5], [-38/5, 34/5, -6/5], [0, 0, 0]], [[0, 0, 0], [-2088469/5, -386811/5, 611218/5], [-212519/5, -110741/10, 111739/10], [7/5, -1/10, 1/10]], [[0, 0, 0], [265472921851/25, 38530724472/5, -58840514649/25], [10089222823/10, 5676097819/10, -598804807/2], [-2358787/50, -483257/10, 2049393/50]]], 0, 48384, [], [] >,
< [ -1, -4, -1, 1 ], [[64, -128, 0]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 40, 4], [0, 24, 4], [0, 0, 0]], [[0, 0, 0], [153161/5, -11501, -5089/5], [9709/2, -14299/2, 1105], [-3/10, -17/10, -7/5]], [[0, 0, 0], [-4111200127/5, -1876538094/5, 1293243171/5], [-1734204877/10, -938085669/10, 601421931/10], [-1927/2, 2115/2, -141/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [68/5, -44/5, 36/5], [-84/5, -28/5, -8/5], [0, 0, 0]], [[0, 0, 0], [154607, 1178578/5, -580706/5], [-519702/5, -886713/10, 268851/5], [-1/5, 1/2, 4/5]], [[0, 0, 0], [-17511474/5, 224556529/5, -81711537/5], [130424703/10, -48602437/5, 8525153/5], [361/10, -391/5, 6]]], 0, 516096, [], [] >,
< [ -1, -4, -1, 1 ], [[-8, -11, 4]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -2, 3/2], [-313/2, 44, -69/2], [5/2, -2, 3/2], [0, 0, 0]], [[18767771/2, 384414, 346424], [-2654210912/5, -870494697/10, 417394651/10], [187677709/20, 7688179/20, 6928447/20], [-1/20, 3/20, 1/20]], [[17334475992, -10363935363/2, 364127448], [-1014439610195, 182651506297/5, 493049990268/5], [86672383689/5, -103639474839/20, 3641279199/10], [-594/5, 825/4, -66/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -2, -2], [233/2, -65, -69], [1/2, -2, -2], [0, 0, 0]], [[-41459, -41117/2, -2653], [-319110163/50, -193128281/50, 94881439/50], [-829087/20, -102711/5, -53059/20], [-7/100, -6/25, 1/100]], [[-15005478, -10909857/2, 4216551], [-53388867032/25, -35542163413/50, 28633446737/50], [-150054821/10, -27275872/5, 16866537/4], [-4/25, 189/50, -127/100]]], 1, 40, [], [] >,
< [ -1, -4, -1, 1 ], [[-8, -11, 4]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, 7/2, 3], [-19/10, 17/10, 21/5], [9/5, 1/10, 1/10], [0, 0, 0]], [[39/2, 5/2, -17/2], [-33/10, -4/5, 3/10], [83/10, 21/10, -53/20], [7/10, 1/10, -1/4]], [[-39, -315/2, 127/2], [-5808/5, -37979/10, 15977/10], [2749/10, 4439/5, -1871/5], [63, 1026/5, -432/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 17/2, 4], [99/5, 11/10, 63/5], [-3/5, 4/5, 3/10], [0, 0, 0]], [[172064, -13599/2, -47786], [-11919431/10, -110926, 767302/5], [46996, 20331/4, -41981/4], [4/5, 3/20, -1/4]], [[5760478, 14137168, -6843556], [-46779683, -122814607, 51432570], [1362740, 3251717, -1470997], [12, 19, -11]]], 1, 60, [], [] >,
< [ -1, -4, -1, 1 ], [[-8, -11, 4]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -3, 7/2], [-25, 30, -15/2], [1/2, -1, 1/2], [0, 0, 0]], [[8423/2, 37437/2, 22805/2], [12173/10, 11447/5, 1649/2], [1468/5, 6801/5, 16769/20], [0, 1/5, -3/20]], [[66966, 200153, 105607], [-251365, -479722/5, 452844/5], [94579/10, 166453/10, 63093/10], [119/10, -343/10, 21/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, -21/2, 1/2], [31/5, -71/10, 119/10], [21/10, -9/5, 1/5], [0, 0, 0]], [[-127, -48, 107/2], [-1461/10, -782/5, 17/10], [-351/10, -309/20, 59/5], [-3/10, -3/20, 0]], [[4162, 7192, -6523/2], [27537/5, 119307/10, -5480], [20261/20, 15581/10, -3647/5], [13/20, -131/10, 23/5]]], 1, 60, [], [] >,
< [ -1, -4, -1, 1 ], [[-7, -15, 8]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -21/2, -4], [79, -47/2, 17], [-3/2, 1, -5/2], [0, 0, 0]], [[2163009/2, 2259585/2, 67274], [-255143873/5, -21709731/2, 49422757/5], [2201035/2, 210541/2, -75991/4], [-6/5, 0, 1/20]], [[37578488, -351791241/2, -828404847/2], [6051935179/10, 66334106424/5, -4010937314], [-1631415867/10, -16312736759/20, 4014355683/20], [188, 18321/20, -5673/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -3/2, -1], [172, 31/2, -1], [-3/2, -2, 1/2], [0, 0, 0]], [[305834, 187087, -168973/2], [-148606415/2, -179862258/5, 236328793/10], [3401239/10, -159421/10, -685451/20], [-7/5, -1/10, 3/20]], [[3292870, -11375661, -35110781], [-11605102144/5, -21395811209/5, 13063148683/5], [-85737504/5, -759905533/10, 204389371/10], [351/5, 3267/10, -189/10]]], 1, 40, [], [] >,
< [ -1, -4, -1, 1 ], [[128, 176, -64]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [276, 16, 10], [10, 4, 0], [0, 0, 0]], [[0, 0, 0], [-692983624/5, 536523794/5, -34143128], [-27618826/5, 953359/5, 21842/5], [2/5, -1/5, 2/5]], [[0, 0, 0], [1162337723372/5, -639743119963/5, 32639611081/5], [43386847876/5, -6994047233/10, -14298029959/10], [-2627/5, 8621/10, -37/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [142, -20, -90], [8, 2, 8], [0, 0, 0]], [[0, 0, 0], [-418575534/25, -94969958/25, 152048452/25], [-4911288/5, -2004241/5, 5089/5], [2/25, 9/25, -1/25]], [[0, 0, 0], [45839078249/25, 15880410218/25, -12646283027/25], [206219587/2, 153396583/5, -255570391/10], [11/50, -174/25, 117/50]]], 0, 161280, [], [] >,
< [ -1, -4, -1, 1 ], [[128, 176, -64]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [52/5, -116/5, 34/5], [-4/5, 22/5, -8/5], [0, 0, 0]], [[0, 0, 0], [-2251/5, -811/5, 1106/5], [301/5, 569/10, -101/10], [13/5, 1/2, 1/10]], [[0, 0, 0], [70447/5, -79574/5, -1141], [-15107/10, 16371/10, -14699/10], [-2001/10, -2781/10, 981/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-134/5, 122/5, 12/5], [58/5, -14/5, 6/5], [0, 0, 0]], [[0, 0, 0], [-1682619/5, -6523616/5, -2435572/5], [-93604/5, -1395961/10, -906263/5], [9/5, -3/10, 2/5]], [[0, 0, 0], [-1149523591/5, -1060617743/5, 202658403], [945250701/10, 1194869057/10, -189032164/5], [211453/10, 61523/10, -26884/5]]], 0, 241920, [], [] >,
< [ -1, -4, -1, 1 ], [[128, 176, -64]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [78/5, -514/5, -234/5], [-26/5, 58/5, 8/5], [0, 0, 0]], [[0, 0, 0], [-4014302/5, 8118496/5, 16341266/5], [1581724/5, 1481718/5, -1966882/5], [4/5, -2/5, -2/5]], [[0, 0, 0], [143097913, 927188461/5, -498454107/5], [-326146767/10, -490335419/10, 118627223/5], [-747/10, 19/10, 11]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-54, -44, -30], [6, -10, 0], [0, 0, 0]], [[0, 0, 0], [-2396721, 826387/5, 5416481/5], [5012171/10, 1070887/10, -342214/5], [3/10, -3/10, 2/5]], [[0, 0, 0], [3076591649/5, 3096155528/5, -1502027482/5], [-731251543/5, -2016504777/10, 489929979/5], [-2112/5, -11363/10, 2486/5]]], 0, 241920, [], [] >,
< [ -1, -4, -1, 1 ], [[112, 240, -128]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [146, 68, -34], [-2, 10, -6], [0, 0, 0]], [[0, 0, 0], [445076739/5, 165695376/5, -118637364/5], [-15733264/5, 1890196/5, 142911/10], [12/5, 1/5, 3/10]], [[0, 0, 0], [-328260178684/5, -133983108052/5, 121373423577/5], [-38821670569/10, -207234303089/10, 73932920313/10], [32813/10, 170031/10, -8949/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [184, -32, 62], [4, -6, 10], [0, 0, 0]], [[0, 0, 0], [-321965289/5, -72301656/5, 66245554/5], [-9629131/5, 140794/5, 1141349/10], [-7/5, -1/5, -3/10]], [[0, 0, 0], [-7273160347, 73498434875, -23918859223], [1269294283, 14719599575/2, -5308717671/2], [1702, 16169/2, -4255/2]]], 0, 161280, [], [] >,
< [ -1, -4, -1, 1 ], [[-2, 4, -2]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -9, -2], [27/5, -113/5, -84/5], [1/5, -9/5, -2/5], [0, 0, 0]], [[25/2, 1143/2, 186], [-303/5, 8804/5, 6034/5], [29/4, 455/4, 73/2], [29/20, 1/4, -1/5]], [[10423, 123597/2, -32174], [-324087/10, -119569/10, -249559/10], [8967/4, 11776, -24931/4], [1347/20, -449/5, 449/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, -7, 3/2], [73/10, -61/5, 59/10], [11/10, -7/5, 3/10], [0, 0, 0]], [[-3153/2, 14072, 2999/2], [-63729/5, -263997/10, -62347/2], [-6251/20, 56199/20, 1503/5], [21/20, -1/4, 1/5]], [[48156079, 25020912, -20747756], [405840547/5, 393585106/5, -60796038/5], [47974706/5, 24924891/5, -20683742/5], [-50167/5, -24289/5, 15436/5]]], 1, 18, [], [] >,
< [ -1, -4, -1, 1 ], [[-3, -6, 4]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, 9, -1/2], [318/5, -222/5, 13/10], [-11/5, 9/5, -1/10], [0, 0, 0]], [[-88647/2, -140013, -178877/2], [2234691/10, 6732459/10, 429194], [-88601/10, -560157/20, -357751/20], [17/10, 1/20, 1/4]], [[1012066613/2, 255014785/2, 174381956], [-14164288062/5, -6236011093/10, -3894455459/5], [404031467/4, 51230693/2, 69728111/2], [-1262037/20, 85401/10, 9489/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -35/2, -5/2], [-27/2, -175/2, -65/2], [-1/2, -7/2, -1/2], [0, 0, 0]], [[-1/2, -1/2, -13/2], [2134/5, 679/5, -131/10], [23/20, 53/20, -4/5], [-5/4, -1/4, 0]], [[-6231, -24936, 3939/2], [-13318097/50, 14340501/50, 1285588/25], [-39651/20, -106439/20, 10947/4], [70957/100, -119151/100, 1339/100]]], 1, 12, [], [] >,
< [ -1, -4, -1, 1 ], [[-4, -4, 3]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[41/2, -9/2, -1], [-147/10, -37/10, 22/5], [-67/10, -1/5, 2/5], [0, 0, 0]], [[-7745987/2, 271405/2, 492296], [5338917/2, 4134949/5, -7232759/10], [6133414/5, 2127801/20, -1929541/10], [2/5, 1/4, -1/10]], [[5645600005/2, 5236254034, -2387866174], [-9282686981/10, -5820827957/10, 305437984], [-14873002939/20, -6020829816/5, 11836996263/20], [-703/20, 1192/5, -197/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-49/2, 3, 3/2], [-283/10, 66/5, -9/10], [83/10, 23/10, 2/5], [0, 0, 0]], [[-19875251/2, 4021015/2, 563148], [-57197291/5, 64065011/10, -1566475/2], [64701313/20, 1965283/20, -1162214/5], [13/20, 1/4, -1/10]], [[-67394833797, -318123782621, 256896569281/2], [-726898004587/5, -2996273165744/5, 493590880909/2], [135137322913/10, 747410317163/10, -268536322611/10], [-585, 18456/5, -1203/5]]], 1, 8, [], [] >,
< [ -1, -4, -1, 1 ], [[-4, 8, -4]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -13, -8], [4, 1, 0], [0, 0, 0]], [[0, 0, 0], [-144491/10, 59471/10, -777], [77137/20, -12053/20, -1426/5], [-1/4, 3/20, 1/10]], [[0, 0, 0], [-52545641/5, -55241211/5, 27610807/5], [24110869/10, 20963139/10, -11251523/10], [-323/2, -221/2, 187/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26/5, 69/5, 47/5], [-22/5, 23/5, -1/5], [0, 0, 0]], [[0, 0, 0], [-3223222/5, 163737, 1969117/5], [-2358073/5, -201503/5, 530816/5], [-9/5, 0, -1/5]], [[0, 0, 0], [2713547134/5, 1556387091/10, -1228257802/5], [411287291, 1006323719/4, -321221681/2], [9636/5, 39201/20, -876]]], 1, 126, [], [] >,
< [ -1, -4, -1, 1 ], [[48, 96, -64]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-272/5, -52/5, -46/5], [4/5, -6/5, 2/5], [0, 0, 0]], [[0, 0, 0], [427/5, 222/5, 116/5], [257/10, -19/5, 3/5], [-29/10, -2/5, -1/5]], [[0, 0, 0], [-4240488/5, 218746/5, -227798/5], [-1372306/5, 601224/5, -72098/5], [30550, -31772/5, 1222/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-338/5, -378/5, -4/5], [26/5, 46/5, -2/5], [0, 0, 0]], [[0, 0, 0], [318837/25, 413204/25, 2004/25], [-11079/10, -11203/5, 210], [-217/50, -12/25, -2/25]], [[0, 0, 0], [-1744381378/5, -442140118/5, 379005776/5], [89248496/5, -13672794/5, -4033602/5], [951032/5, 412712/5, -287104/5]]], 0, 48384, [], [] >,
< [ -1, -4, -1, 1 ], [[64, 64, -48]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34/5, 6/5, 48/5], [26/5, 36/5, 8/5], [0, 0, 0]], [[0, 0, 0], [-262627/5, -309363/5, 146272/5], [218689/10, 70562/5, -46559/5], [21/10, 1/5, 0]], [[0, 0, 0], [5302660452/5, 11290667886/5, -5304142816/5], [-1672693139/5, -2408028249/5, 982568403/5], [-41241/5, 249747/5, -18467/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-142/5, -2/5, 4/5], [22/5, 12/5, 6/5], [0, 0, 0]], [[0, 0, 0], [153664/5, -1641, -1186/5], [-9303/2, -2234, -2647/2], [-23/10, -2/5, -1/10]], [[0, 0, 0], [-26299829/5, 52710943, -63999774/5], [-273713/2, -10791306, -1004111], [4199/10, -3705, 1482/5]]], 0, 32256, [], [] >,
< [ -1, -4, -1, 1 ], [[-64, 128, -64]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-124/5, 176/5, -32/5], [-12/5, 48/5, 4/5], [0, 0, 0]], [[0, 0, 0], [4206892/5, -12221, -508467/5], [602462/5, 43519/10, -24463/10], [-1, -3/10, 3/10]], [[0, 0, 0], [-130612, -382136, 161552], [-21488, -64192, 25840], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [40, 32, 4], [-20, -8, -4], [0, 0, 0]], [[0, 0, 0], [-3293279/5, -1462359/5, 624718/5], [3633109/10, 1167529/10, -299409/5], [-1/2, 1/2, 0]], [[0, 0, 0], [259510602/5, 70331086/5, -89171168/5], [-154097719/5, -57783209/5, 55378728/5], [371/5, 359/5, -30]]], 0, 516096, [], [] >,
< [ -1, -4, -1, 1 ], [[1, 12, -3]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 2, 2], [-29/2, -8, -9], [-5/2, 2, 2], [0, 0, 0]], [[-48232, 188105/2, -64981/2], [167835, 8442058/5, -3189933/5], [-482393/10, 1881029/20, -649793/20], [4/5, 1/4, -1/20]], [[3538253, 15679239/2, -3136320], [178917844/5, 99540937, -222714549/5], [35384213/10, 156796691/20, -31363761/10], [-187/10, -561/20, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 3/2, -1], [-43/2, -53/2, -3], [1/2, 3/2, -1], [0, 0, 0]], [[0, 0, 0], [-15517/25, -5814/25, 7247/50], [49/10, 31/10, 3/4], [11/25, 9/50, 3/100]], [[0, 0, 0], [127416/25, -358111/50, 129099/50], [1881/10, 3135/4, -7467/20], [627/25, 9861/100, -4389/100]]], 1, 48, [], [] >,
< [ -1, -4, -1, 1 ], [[-16, -192, 48]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, -16, -26], [-4, -4, -8], [0, 0, 0]], [[0, 0, 0], [5002181/5, 794601/5, -870817/5], [1556651/10, 40931/10, -156987/10], [-17/10, 3/10, -1/10]], [[0, 0, 0], [-2271233868/5, -2307963292/5, 213029048], [-422320247/5, -553291882/5, 232248204/5], [6021/5, 10188/5, -3654/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [34, -28, 4], [-8, -10, 4], [0, 0, 0]], [[0, 0, 0], [507101/25, 381602/25, -174168/25], [-14929/10, 1380, 2637/5], [-131/50, -1/25, -1/25]], [[0, 0, 0], [243934292/25, -342626746/25, 195081324/25], [-13203861/5, -13326507/5, 16924788/5], [-106191/25, -158517/25, 49248/25]]], 0, 193536, [], [] >,
< [ -1, -4, -1, 1 ], [[-12, -19, 11]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 1, 2], [293/2, -24, -42], [-3/2, 1, 2], [0, 0, 0]], [[-149911/2, -12370, 5141/2], [8441841, 58709859/10, -32375109/10], [-1499379/20, -247419/20, 12862/5], [29/20, 1/4, -1/5]], [[724727/2, -115768633/2, 37203813], [-23589863451/5, -48456442676/5, 20557739317/5], [7248683/20, -1157909427/20, 186042301/5], [-2041/20, 16799/20, -4239/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -1, 2], [-89/2, -9, 59], [-3/2, -1, 2], [0, 0, 0]], [[5875/2, 3125, -1125], [2376318/25, 2110651/25, -723714/25], [11723/4, 15606/5, -11257/10], [-61/100, -11/50, -1/50]], [[46634875, 101425625, -77167125/2], [31770234159/25, 59254990513/25, -42760020839/50], [46595539, 507194728/5, -193121868/5], [-71967/25, 113091/25, -191763/50]]], 1, 240, [], [] >,
< [ -1, -4, -1, 1 ], [[-12, -19, 11]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -9, -5], [281/10, 296/5, -169/5], [-6/5, -29/10, -2/5], [0, 0, 0]], [[144205/2, 76041, 34001/2], [-13625287/10, -483271, 2119559/5], [263513/4, 33513, -45501/4], [7/20, -1/5, -1/4]], [[-15379537/2, 752014, 2937747], [520226443/10, -2042188388/5, 148478019], [-33027522/5, 54667547/10, -7176573/10], [-273, -3549/5, 2961/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 0, 1], [24/5, 168/5, -52/5], [-13/5, 9/5, -1/5], [0, 0, 0]], [[-1177, 1867/2, 2537/2], [-1037/2, 15917/2, 9159/2], [-2977/2, -613/4, 1091/2], [9/10, 1/20, -1/5]], [[-1926229/2, -3171914, -1702936], [-26918767/5, -40452439/2, -36461252/5], [-516503, -4246743/4, -410237/4], [417, 18279/20, -5863/20]]], 1, 240, [], [] >,
< [ -1, -4, -1, 1 ], [[-12, -19, 11]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, -10, -9/2], [77/10, 187/5, -431/10], [-39/10, -23/10, -3/10], [0, 0, 0]], [[206287/2, 17288, -83429/2], [339785/2, -236738/5, -695323/10], [567408/5, 355467/10, -334563/10], [-3/10, 0, 1/5]], [[-354861651/2, -139947843/2, 33692370], [1004623153, 42361875823/10, -17961402191/10], [-3480501141/20, -459910857/20, 600437253/20], [6369/4, 74109/20, -29733/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-23/2, -23/2, -3], [-577/10, 141/10, -17/5], [-48/5, -17/10, 3/10], [0, 0, 0]], [[-52172, -171211/2, -75717/2], [-208085, 292121/5, -234092/5], [-727029/20, -58077/5, -52059/10], [-21/20, 1/5, -1/5]], [[2172848499, 9387508653/2, 2842210701/2], [124192095711/5, 582129405049/10, -230376986701/10], [13207069038/5, 53162068827/10, -17150360493/10], [231525/2, 530775/2, -208425/2]]], 1, 240, [], [] >,
< [ -1, -4, -1, 1 ], [[192, 304, -176]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-268, -4, 12], [-10, 2, 2], [0, 0, 0]], [[0, 0, 0], [18304313/5, -7185486/5, -2970272/5], [1564407/10, 4151/5, 35358/5], [1/2, 2/5, -2/5]], [[0, 0, 0], [59399512996/5, 68398944022/5, -28940727348/5], [438511076, 427043060, -274651836], [1632/5, -5726/5, 3464/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-204, 134, 6], [6, -10, 0], [0, 0, 0]], [[0, 0, 0], [35383238/25, 7279601/25, -4826909/25], [-258026/5, -26199/2, -2243/10], [61/25, -1/50, -1/50]], [[0, 0, 0], [-144828459938/25, 73729469484/25, -84323546076/25], [216175651, -179279181/5, 1546885656/5], [-156731/25, 484063/25, -368942/25]]], 0, 967680, [], [] >,
< [ -1, -4, -1, 1 ], [[192, 304, -176]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [168/5, 536/5, 76/5], [334/5, 48/5, 8/5], [0, 0, 0]], [[0, 0, 0], [5301513/5, 20294149/5, -2089787], [-37594733/10, -40984951/10, 9907197/5], [-5/2, -1/10, 1/5]], [[0, 0, 0], [-774098141217/5, -2523797242628/5, 1024621921304/5], [421141353668/5, 3227013744047/10, -677681189159/5], [-261209/5, -1251003/10, 255324/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -6, 10], [-16, 4, 2], [0, 0, 0]], [[0, 0, 0], [-155037/5, -409376/5, -2276], [-475929/5, -108141/10, 55817/5], [-8/5, -3/10, 0]], [[0, 0, 0], [-3723498496/5, -11884636103/5, 2063876943], [15669293651/10, 15314265496/5, -5979036469/5], [302953/10, 332444/5, -98814/5]]], 0, 967680, [], [] >,
< [ -1, -4, -1, 1 ], [[192, 304, -176]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-76/5, -12/5, -22/5], [-48/5, 14/5, 4/5], [0, 0, 0]], [[0, 0, 0], [-2236, 13164/5, 11817/5], [-20953/10, -2483/5, 3009/10], [11/10, 2/5, 3/10]], [[0, 0, 0], [25467974, 14465612, -8366925], [34950243/2, 9064766, -11897935/2], [-19885/2, -7339, 8651/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [78/5, -144/5, -4/5], [-46/5, -22/5, 8/5], [0, 0, 0]], [[0, 0, 0], [1268/5, 4633/5, -2048/5], [-43/5, -36/5, -117/10], [-12/5, -1/5, -1/2]], [[0, 0, 0], [633725938/5, 2056142444/5, -172501656], [9353281/5, 26432992/5, -9188668/5], [321811, 3802412/5, -1539354/5]]], 0, 967680, [], [] >,
< [ -1, -4, -1, 1 ], [[-7, -19, 6]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, 25/2, 4], [388/5, -133/10, 46/5], [44/5, 8/5, 1/10], [0, 0, 0]], [[969427/2, 314672, 27897/2], [37191881/10, -7522029/5, 1684376/5], [8521931/20, -2507/5, -441693/20], [1/20, 0, -1/20]], [[11404558109/2, 2843879949/2, -8557695597/2], [1167977506731/10, 418937559745/2, -999714605259/10], [18817658817/2, 13112337603, -13684620519/2], [1912/5, -5053/10, 7597/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -5/2, 0], [-66/5, 101/10, -7/5], [-18/5, -1/5, 3/10], [0, 0, 0]], [[42, 11, -29/2], [1363/5, 877/5, -861/5], [1007/20, 136/5, -421/20], [1/20, -1/10, -1/4]], [[-590947, -216806, 299985/2], [-13792028/5, 523928, -490901/10], [-1182747/2, -62079, 188811/2], [-574, 532, -5684/5]]], 1, 40, [], [] >,
< [ -1, -4, -1, 1 ], [[-7, -12, 4]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[61/2, -3, -5/2], [1359/10, 57/5, 57/10], [-101/10, -21/10, 1/5], [0, 0, 0]], [[269287885/2, -37563648, -3071497], [5890019649/10, -201356063/2, 167979767/5], [-178007817/4, -1590657/2, 4552323/4], [-1/20, -1/10, -1/4]], [[-36857108831129/2, 4786470669007/2, 1691806847956], [-787586085963103/10, 51346865236096/5, 61924164817801/10], [29388453314346/5, 2016835162819/20, -7954824001899/10], [3042/5, -297817/20, 97617/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -1, 1/2], [-556/5, 29/5, 39/10], [7/10, 7/10, 1/10], [0, 0, 0]], [[-3/2, 1/2, -3/2], [6962/5, 2468, -11121/10], [-5/4, 1, -1/2], [-1/4, 1/5, -1/10]], [[-180525/2, 263059/2, -718417], [2937448363/10, 747826228, -3162995287/10], [-45095/2, 1699893/4, -582987/2], [-9019/2, 1699893/20, -582987/10]]], 1, 40, [], [] >,
< [ -1, -4, -1, 1 ], [[-7, -12, 4]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-35/2, -15, -5/2], [-5/2, 38, 73/2], [-7/2, -3, -1/2], [0, 0, 0]], [[-214370, -207333/2, 139323/2], [-316462/5, 1202936/5, -819813/10], [-42872, -82949/4, 13933], [4/5, -1/4, 1/5]], [[5996793/2, 1503513, -1137537], [4264291/10, -4653905, 22891969/10], [5999451/10, 1510158/5, -4535529/20], [-1329/10, -2658/5, -1329/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 25/2, 0], [25/2, 1/2, 5], [1/2, 5/2, 0], [0, 0, 0]], [[3791/2, -491/2, 625/2], [-151757/5, -15989/2, 80289/10], [7527/20, -227/5, 623/10], [-21/20, 0, -1/5]], [[2665275, -1072437/2, 41356], [-216484686/5, -124041533/10, 11149116], [2643661/5, -1035843/10, 39323/5], [-7276/5, 963/5, -107/5]]], 1, 60, [], [] >,
< [ -1, -4, -1, 1 ], [[-7, -12, 4]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[25/2, -15/2, 0], [29/2, -15/2, 8], [5/2, -3/2, 0], [0, 0, 0]], [[17381, 141183/2, -28960], [329171/10, 1235159/10, -104303/2], [69593/20, 141149/10, -115841/20], [5/4, 1/10, 3/20]], [[2708380201/2, 4973744554, -2061004857], [24656796301/10, 43449249066/5, -36773243873/10], [270931155, 994471056, -1648624379/4], [43679, -64814/5, 379021/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 31/2, 3/2], [-303/10, -443/10, -59/10], [1/10, 31/10, 3/10], [0, 0, 0]], [[-10733, 646159/2, -287233/2], [-7474491/10, -2807193/5, 4026707/10], [-42811/20, 1292209/20, -143617/5], [43/20, 3/20, 1/5]], [[-88741740325/2, -86315233958, 39677210148], [-770198744973/10, 240386836312/5, -101027350481/10], [-8872338823, -17261052066, 31737893271/4], [2307563/5, 371688, -4506717/20]]], 1, 60, [], [] >,
< [ -1, -4, -1, 1 ], [[112, 304, -96]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-104, -2, -4], [-28, -4, 2], [0, 0, 0]], [[0, 0, 0], [49816733/5, -2674148/5, -192051/5], [26976811/10, 2594277/10, -2713473/10], [-3/10, 1/2, -1/2]], [[0, 0, 0], [27973231524718/5, -247546634640, 1298943345598/5], [1515920853512, 156996288403, -102978734333], [-877338/5, 1181763/5, -1768041/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [628/5, 46/5, 6/5], [384/5, 48/5, 8/5], [0, 0, 0]], [[0, 0, 0], [293543207/5, -22475475, 15322057/5], [71748629/2, -23909215/2, 1511146], [-3/10, -1/2, 0]], [[0, 0, 0], [2658398843346, 15750571737708/5, -7547539506276/5], [7931823428362/5, 9228771940684/5, -4405616462406/5], [-13776/5, 19064/5, -5528]]], 0, 161280, [], [] >,
< [ -1, -4, -1, 1 ], [[112, 192, -64]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [734/5, 394/5, 102/5], [-266/5, -46/5, -8/5], [0, 0, 0]], [[0, 0, 0], [9407400121/5, 386413895, -442457909/5], [-705915184, 41659187/2, 69478309/2], [1, 1/10, -3/10]], [[0, 0, 0], [-3533101854529/5, -18935805151789/5, 5409644381708/5], [4378812578677/10, 9997629161871/5, -3684700945277/5], [213/10, -3106/5, 1982/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-958/5, 662/5, 86/5], [-302/5, -32/5, -6/5], [0, 0, 0]], [[0, 0, 0], [67575738218/5, -10178598969, -1098544547/5], [4224789650, 43770751/2, 44535234], [1, 3/10, -2/5]], [[0, 0, 0], [2385423059386122, 7151064915994124, -2892958378186380], [385494163206506, 1071154065598372, -502924568500683], [1722, -29792, 20727]]], 0, 161280, [], [] >,
< [ -1, -4, -1, 1 ], [[112, 192, -64]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [578/5, 88/5, -6/5], [304/5, 34/5, -8/5], [0, 0, 0]], [[0, 0, 0], [71735, 52318, -36541], [76925/2, 28900, -38475/2], [37/10, 1/5, 1/10]], [[0, 0, 0], [2049039/5, -4181902/5, 2018878/5], [421603/2, -473062, 212058], [669/10, 67, -252/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [192/5, 662/5, 116/5], [-24/5, 66/5, 8/5], [0, 0, 0]], [[0, 0, 0], [38581, 1039487/5, 829468/5], [162873/10, 162783/10, 51407/5], [-9/10, -1/10, 0]], [[0, 0, 0], [4214932, -38986861/5, -84772334/5], [-60014632/5, -38572379/10, 8576349/5], [4092/5, 407/2, -902/5]]], 0, 241920, [], [] >,
< [ -1, -4, -1, 1 ], [[112, 192, -64]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18/5, -258/5, -84/5], [36/5, -14/5, 8/5], [0, 0, 0]], [[0, 0, 0], [-964072, -1197617/5, 1319897/5], [-4293504/5, -2757603/10, 2246391/10], [3/5, 3/10, 1/10]], [[0, 0, 0], [-6726550536/5, -819348878/5, 1462290864/5], [-6126669702/5, -1610892472/5, 1470975754/5], [3384/5, -234, 1566/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-92/5, 378/5, 14/5], [-26/5, 34/5, -8/5], [0, 0, 0]], [[0, 0, 0], [-3686344/5, -987287/5, -203359/5], [-652173/5, -81571/10, 199107/10], [-2, 3/10, -3/10]], [[0, 0, 0], [3664604719/5, 3046668794/5, 1852055877/5], [1106625569/10, 4193197/5, -105398073/10], [3729/2, 452, 2147/2]]], 0, 241920, [], [] >,
< [ -1, -4, -1, 1 ], [[4, 23, -12]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -1, -1], [409/10, -126/5, 54/5], [6/5, -21/10, 2/5], [0, 0, 0]], [[1498526, 2122263/2, 95281], [174359236/5, -1962513, -42767984/5], [1314928, 65923, -308503/4], [11/10, 1/10, 3/20]], [[-12769278866969/2, -14892610221869/2, -1866864001147/2], [-340326502814943/2, -263918356755373/2, 204826310991361/2], [-14408686320571/2, -16561204885369/2, 6527596909775/2], [-6927612, -10207554, 5154537/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -2, -1/2], [-143/10, 42/5, -71/10], [-19/10, 7/10, -3/10], [0, 0, 0]], [[-20789, -14497/2, 2812], [-663618/5, 461162/5, -265509/10], [-360903/20, 61447/10, -2983/10], [7/20, 1/10, -1/10]], [[24, 44, -40], [5558/5, 16831/5, -7509/5], [504/5, 1488/5, -652/5], [0, 0, 0]]], 1, 240, [], [] >,
< [ -1, -4, -1, 1 ], [[-64, -368, 192]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [994/5, 88/5, 8/5], [182/5, 44/5, -6/5], [0, 0, 0]], [[0, 0, 0], [-823681936, 937537767/5, -221831884/5], [-770197332/5, -5775124/5, 42021157/10], [3/5, -1/5, 1/2]], [[0, 0, 0], [-1398506975959249/5, -1294099818103888/5, 607019865905467/5], [-463955106431099/10, -372669202351423/10, 174572333537357/10], [2767587/10, 4075389/10, -1031671/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-976/5, -142/5, 8/5], [-168/5, -56/5, -6/5], [0, 0, 0]], [[0, 0, 0], [1180202082/5, -313323583/5, 69996813/5], [409033071/10, -10009514/5, 7803116/5], [-7/10, 0, -1/5]], [[0, 0, 0], [-336968961733468/5, -418092122776644/5, 35835790883866], [-52942192913921/5, -62060550701452/5, 23618276687618/5], [206397, 1515708/5, -387376/5]]], 0, 967680, [], [] >,
< [ -1, -4, -1, 1 ], [[4, 6, -4]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[35, -31/2, 3/2], [-479/5, 157/10, 61/10], [-59/5, 7/10, -2/5], [0, 0, 0]], [[446701457/2, 78746551/2, -91468559/2], [-2877329567/5, -662231829/5, 259121957/2], [-1395487901/20, -88395619/5, 70137868/5], [-29/20, 0, -1/5]], [[-1787521340811, 3536341197832, -2103335646567/2], [55762997405263/10, -27563852758413/5, 6075536673958/5], [12774814257433/20, -15885323106557/20, 1287012892697/10], [-235387/20, -2147833/20, 295261/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, -5/2, -1/2], [4, -9/2, -11/2], [-4, -1/2, 0], [0, 0, 0]], [[1952255/2, -496119/2, -86745/2], [2205303/5, 119237, -1564909/10], [-1259247/4, 19988, 31678], [13/20, 1/5, -1/5]], [[-233445, -760849, 320187], [17167/5, 63437/5, -23559/5], [267178/5, 869553/5, -365691/5], [0, 0, 0]]], 1, 18, [], [] >,
< [ -1, -4, -1, 1 ], [[-4, -9, 3]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-105/2, 10, 5/2], [-45/2, -16, -3/2], [35/2, 5/2, 0], [0, 0, 0]], [[2295879/2, -309828, -45692], [2245298/5, 1246679/10, -1040371/10], [-1848938/5, 628583/20, 771239/20], [7/10, 1/20, 1/20]], [[-203027267/2, -631910360, 249112866], [154965757/10, -112673781/2, -69371214/5], [70021805/4, 151140773, -195963051/4], [-4459/20, -5488/5, -7203/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 9/2, -2], [203/10, -257/10, -48/5], [-23/10, -14/5, -2/5], [0, 0, 0]], [[-58220, -33269/2, 26181/2], [-3197561/10, -1303543/10, 1333103/10], [93824/5, 92083/10, -38847/20], [4/5, -1/10, -3/20]], [[1929823/2, 4351461, -3441833/2], [-84957138/5, -498770291/10, 98553166/5], [-2241719/10, -22698473/20, 5893641/20], [-155/2, -1085/4, 465/4]]], 1, 12, [], [] >,
< [ -1, -4, -1, 1 ], [[-1, 5, -1]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -23/2, -7], [-43/2, -19/2, -6], [-1, -3/2, -1/2], [0, 0, 0]], [[-1903/2, -4419, -3084], [-437461/10, -655952/5, 504597/10], [-717/20, 939/5, -11449/20], [3/20, -1/5, -3/20]], [[-214150, -596452, 208827], [295746031/5, 882952188/5, -75076381], [-645783/5, -4874981/5, 1906564/5], [-248, 31/5, 31]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 18, 25/2], [4, 10, 13/2], [-1/2, -1, 5/2], [0, 0, 0]], [[192, 854, 1047/2], [6483/25, 5403/10, 12281/50], [94/5, 181/2, 1061/20], [-3/25, -1/5, 3/100]], [[-915, -33, 276], [1238003/25, 84943/5, -334492/25], [-1599/2, -3651/10, 1326/5], [-1131/50, -39/10, 117/25]]], 1, 8, [], [] >,
< [ -1, -4, -1, 1 ], [[8, 12, -8]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 11, -6], [5, -2, 1], [0, 0, 0]], [[0, 0, 0], [-748773/10, -491731/10, 61595/2], [-790001/10, -335067/20, 308239/20], [-1/5, -1/20, -1/20]], [[0, 0, 0], [-426542206/5, -695363404/5, 308495846/5], [-199263164/5, 225958896/5, -37380972/5], [228/5, 3232/5, -368/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-53/5, -23/5, -29/5], [-12/5, -7/5, -1/5], [0, 0, 0]], [[0, 0, 0], [-69746/5, 83709/10, -13647/5], [-72473/20, -6139/10, 11221/20], [-1/20, -1/10, -1/4]], [[0, 0, 0], [-65852524/5, 43578501/5, -6400347/5], [-17099371/5, -4412257/10, 3344947/5], [18, 391/2, -51]]], 1, 126, [], [] >,
< [ -1, -4, -1, 1 ], [[64, 144, -48]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [198/5, 388/5, 14/5], [-352/5, -52/5, -6/5], [0, 0, 0]], [[0, 0, 0], [-319155548/5, -536219246/5, 71938745], [839302293/10, -780195367/10, 84916859/10], [-17/10, 1/10, 1/2]], [[0, 0, 0], [-81973350956/5, -246585950477/5, 23714516655], [-52646054402/5, -481164448089/10, 92659187259/5], [-1, 2191/10, -229/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-522/5, -832/5, -146/5], [372/5, 42/5, 6/5], [0, 0, 0]], [[0, 0, 0], [999715672/5, 1110215336/5, -198892116/5], [-783612366/5, 87139684/5, 27929102/5], [-8/5, 0, 2/5]], [[0, 0, 0], [2110389421, 22977923173/5, -27445350154/5], [17627821919/10, 38068460202/5, -13194961624/5], [7/2, 131/5, -93/5]]], 0, 48384, [], [] >,
< [ -1, -4, -1, 1 ], [[16, -80, 16]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -4, -2], [8, -2, -2], [0, 0, 0]], [[0, 0, 0], [43/5, -3283/5, -2341/5], [-13179/10, -3323/10, -19/5], [-3/10, 3/10, 1/5]], [[0, 0, 0], [23689/5, 58549/5, 43721/5], [112127/10, 961459/10, -158658/5], [43/10, 301/10, -86/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [40, 48, 10], [-4, -6, -4], [0, 0, 0]], [[0, 0, 0], [-76122/25, -10867, 72413/25], [-12979/10, -20102/5, 10167/5], [19/50, -2/5, 2/25]], [[0, 0, 0], [1185388/25, -2081082/5, 1765618/25], [-109702, -956228/5, 519596/5], [15502/25, 966/5, -4048/25]]], 0, 32256, [], [] >,
< [ -1, -4, -1, 1 ], [[128, 192, -128]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-132/5, -172/5, -76/5], [-172/5, -72/5, -16/5], [0, 0, 0]], [[0, 0, 0], [1763042/5, 49494/5, -80138], [2881884/5, -218921/5, -383033/5], [2/5, 1/5, -1/5]], [[0, 0, 0], [34634036/5, 59715226/5, -31997017/5], [152995247/10, 321888007/10, -147036039/10], [-19/10, -169/10, 43/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [116, 4, 16], [-120, -20, 0], [0, 0, 0]], [[0, 0, 0], [129464871/5, 42591273/5, -34078013/5], [-128008748/5, -85988221/10, 68271437/10], [-1/5, 1/10, 1/2]], [[0, 0, 0], [7570397816/5, 3050253096/5, -2215632642/5], [-7421616491/5, -2858615291/5, 2125515927/5], [23/5, 273/5, -31/5]]], 0, 516096, [], [] >,
< [ -1, -4, -1, 1 ], [[6, 15, -4]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 11, 17/2], [7, 43, 29/2], [3/2, -1, 3/2], [0, 0, 0]], [[19162, 37850, 23274], [1546367/10, 187856, 59237/10], [-249939/4, -113213/4, 94921/4], [-29/20, -1/4, 1/20]], [[-35069334, -216347723/2, 41234891], [1160279338/5, 8333448641/10, -1792686483/5], [-235690978/5, -967392931/5, 792163693/10], [3192, 47208/5, -19936/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 13, 9], [-39/2, 2, 8], [2, 1/2, 1], [0, 0, 0]], [[-5861/2, -36067/2, 2809], [7300187/50, 523181/5, -1552234/25], [-42749/2, -164706/5, 300243/20], [14/25, 0, 1/100]], [[6187095/2, 21863991/2, -804039/2], [-111911731/25, -258530517/10, 606564493/50], [7410795/2, 267923289/20, -51513279/10], [2247/50, 273/4, -2919/25]]], 1, 48, [], [] >,
< [ -1, -4, -1, 1 ], [[-96, -240, 64]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, 20, 8], [8, 8, 2], [0, 0, 0]], [[0, 0, 0], [-17847/5, 70559/5, -5100], [-13369/5, 2359/10, 1899/10], [1/5, 3/10, 1/10]], [[0, 0, 0], [16658, 55426, -23272], [1264, 4448, -1856], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, -20, -6], [8, 10, -4], [0, 0, 0]], [[0, 0, 0], [1640869/25, 31951, -408851/25], [88753/10, 13663/10, -11319/5], [57/50, -3/10, 1/25]], [[0, 0, 0], [-29212334/25, -40176794/5, -40438174/25], [579675, 7808904/5, -1036733/5], [4929/25, 558, -8091/25]]], 0, 193536, [], [] >,
< [ -1, -4, -1, 1 ], [[-1, -15, 9]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, 5/2, -1/2], [-83/2, -17/2, 71/2], [6, 5/2, -3/2], [0, 0, 0]], [[1625/2, 601/2, -435/2], [-70793/10, -2471/10, 1308], [22253/20, 7393/20, -6011/20], [3/4, 3/20, 1/20]], [[140686, 66931/2, -27073], [-17819054/5, -74926481/10, 3434194], [1098427/5, 1253229/10, -399469/5], [989/2, 12169/10, -4257/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, -9, -4], [31/2, 21, 52], [-2, -1, -3/2], [0, 0, 0]], [[1091561/2, 382747/2, -149802], [-27780877/5, -1879457, 14991591/10], [1500751/2, 1037641/4, -818381/4], [-13/10, -1/4, -1/20]], [[298789, 199243/2, -158699/2], [-6381811/2, -7321358/5, 10002973/10], [8372893/20, 802352/5, -598604/5], [-63/20, -48/5, -21/10]]], 1, 240, [], [] >,
< [ -1, -4, -1, 1 ], [[16, 240, -144]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [274, 30, 8], [20, 6, 2], [0, 0, 0]], [[0, 0, 0], [-206403989/5, 123265304/5, -27766976/5], [-14942831/5, 6450574/5, -3208591/10], [-7/5, -1/5, -3/10]], [[0, 0, 0], [72323707318/5, 33240334148, -63503073937/5], [1931202849/2, 4410587529/2, -1476128403/2], [4347/10, 2277/2, 207/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-346, -42, -34], [-68, -8, -4], [0, 0, 0]], [[0, 0, 0], [-26789882/5, -30731514/5, -5361406], [-5067079/5, -5124489/5, -4458132/5], [1, 1/5, 2/5]], [[0, 0, 0], [130867599464/5, 71461939266, -61893913011/5], [9631598021/2, 25700677053/2, -4897768303/2], [-51209/10, -25215/2, 41451/10]]], 0, 967680, [], [] >,
< [ -1, -4, -1, 1 ], [[-7, -17, 9]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -4, 3/2], [30, 4, 7/2], [3/2, 3/2, -1/2], [0, 0, 0]], [[5669/2, 299/2, -543/2], [-35859, -223183/10, 53222/5], [-21481/20, -2121/20, 538/5], [21/20, -1/20, 1/5]], [[133940294, 1375613555/2, -508420683/2], [4586647991/2, 48765653829/10, -25369852617/10], [-219317723/5, -2372973661/10, 1695017589/20], [636329/5, 5218711/10, -689187/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[27, 73/2, -5/2], [12/5, -211/10, -183/10], [-52/5, -149/10, -1/5], [0, 0, 0]], [[235153/2, 498302, -429261/2], [31626/5, 717723/10, -109257/10], [-788701/20, -857859/5, 751301/10], [21/20, 0, -1/5]], [[35168326997/2, 57660651643, -50004800203/2], [11612750873/5, 80359202793/10, -10371052464/5], [-60897629063/10, -399042301691/20, 175102024617/20], [-103131/10, -858879/20, 55377/4]]], 1, 48, [], [] >,
< [ -1, -4, -1, 1 ], [[112, 272, -144]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-218/5, -88/5, -4/5], [-188/5, -128/5, 6/5], [0, 0, 0]], [[0, 0, 0], [-510, -7534/5, 3887/5], [817/10, 1747/10, 861/10], [-21/10, 3/10, -1/2]], [[0, 0, 0], [6005266, 98225302/5, -40931261/5], [174399/10, 1165859/10, 474967/10], [-62127/10, -224289/10, 17901/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [58, -48, -10], [-40, 50, 0], [0, 0, 0]], [[0, 0, 0], [-10806407, -66200377/5, 34877826/5], [91726059/10, 65774357/5, -32807694/5], [23/10, 0, -1/5]], [[0, 0, 0], [-782613235702/5, -2451392010199/5, 192739158506], [1584511887983/10, 2507464184904/5, -2021140666851/10], [-22685/2, -235014/5, 151959/10]]], 0, 193536, [], [] >,
< [ -1, -4, -1, 1 ], [[2, -13, 1]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -17/2, -1/2], [-283/2, -5/2, -17/2], [1, 7/2, 1/2], [0, 0, 0]], [[40917, -6381/2, -1827/2], [160108084/5, 115858341/10, -17798659/2], [-78522/5, 1391/10, 3913/10], [2/5, 0, -1/10]], [[-78457496, -179295909, 102124045/2], [-187371879149/10, -21766364604/5, 4106076611], [579247859/20, 1326847999/20, -157412909/10], [-1633/4, -9241/20, 5549/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 10, -1], [673/10, -81/5, -38/5], [1/5, -19/5, 1/10], [0, 0, 0]], [[-497085/2, 52894, 3971], [12297481/2, 1463687, -1409441], [190743/2, -13876, -2813], [-7/10, -1/5, -1/10]], [[2335738, 3753582, -4083585/2], [-330438867/10, -26026191, 149683493/10], [-1682217/2, -1279484, 2976109/4], [19/5, 6/5, -161/20]]], 1, 240, [], [] >,
< [ -1, -4, -1, 1 ], [[2, -13, 1]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-95, 5/2, -5/2], [-93, -155/2, -71/2], [-19, 1/2, -1/2], [0, 0, 0]], [[1887573439/2, 331176177, -519110273/2], [7322287867/10, 2549785417/10, -1010877582/5], [943786673/5, 1324704607/20, -1038220569/20], [9/5, 1/20, 3/20]], [[467652326165813/2, 98575297290017, -70026024090691], [1805086050149947/10, 368022148733742/5, -256214249037618/5], [46765237204137, 39430164403675/2, -28010417460199/2], [-21093059/10, -16944447/2, 29794869/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[40, 25/2, 5/2], [36, 51/2, -11/2], [8, 5/2, 1/2], [0, 0, 0]], [[-48660633/2, -9108888, 6795122], [-93627487/5, -6417163, 50114349/10], [-97321363/20, -18217799/10, 27180481/20], [19/20, 0, 1/20]], [[-20353877837/2, -17978449155/2, 5064422621], [-28753127236/5, 981603237/10, 942800733], [-40707687731/20, -17978279183/10, 5064409138/5], [-30971/20, -12513/2, 10864/5]]], 1, 240, [], [] >,
< [ -1, -4, -1, 1 ], [[2, -13, 1]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-59/2, 8, -1], [117/10, 226/5, 73/5], [-59/10, 8/5, -1/5], [0, 0, 0]], [[2916405/2, 943091/2, -768721/2], [-296243/10, -222213/5, 30032/5], [291641, 377231/4, -307495/4], [-1/5, -1/20, 1/4]], [[-3108929627, -2171156427, 2517376903/2], [-154867219, -601817365, 577915273/2], [-621782665, -434214635, 503473025/2], [-6812/5, -28132/5, 8879/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-34, 7/2, -2], [87/5, -101/10, -64/5], [-34/5, 7/10, -2/5], [0, 0, 0]], [[2333354, 751866, -607610], [-6400017/5, -2083033/5, 359660], [2333312/5, 751837/5, -607619/5], [8/5, 1/5, 1/5]], [[-9257213567/2, 6895870471, -3726329285/2], [36880437419/10, 363654661/5, -1747500633/5], [-9257837197/10, 13788836313/10, -7451320037/20], [292817/10, 1136163/10, -168091/4]]], 1, 240, [], [] >,
< [ -1, -4, -1, 1 ], [[-32, 208, -16]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [514/5, -226/5, -258/5], [-46/5, 274/5, 2/5], [0, 0, 0]], [[0, 0, 0], [-1386018707/5, -447748229/5, 58905147], [267943926/5, -17157253/10, -17413129/10], [-1, -3/10, -1/10]], [[0, 0, 0], [-58072571322959/5, -36191469515617/5, 30806742343087/5], [20780190846898/5, 68532244901791/10, -38269688175047/10], [-294749/5, -137855/2, 785497/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, 2, -148], [-6, 74, 2], [0, 0, 0]], [[0, 0, 0], [-85068718, -698891703/5, 204586494/5], [788813971/10, -19249467/5, -49306397/10], [-5/2, -1/5, 1/10]], [[0, 0, 0], [-240373610875578/5, -1014280254738858/5, 190748163525866/5], [-196552325793162/5, -320513225939297/5, 194624140249869/5], [1057492, 1397237, -1303593]]], 0, 967680, [], [] >,
< [ -1, -4, -1, 1 ], [[-32, 208, -16]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [186/5, -124/5, -12/5], [108/5, -52/5, 4/5], [0, 0, 0]], [[0, 0, 0], [-56311/5, -80377/5, -38182/5], [-8735/2, -1331/2, 753], [-1/2, 1/10, 2/5]], [[0, 0, 0], [-51920356/5, -160480626/5, 57548607/5], [-27804223/5, -84339663/5, 71376477/10], [1304/5, 5139/5, -3751/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [554/5, 254/5, 62/5], [-208/5, -18/5, 6/5], [0, 0, 0]], [[0, 0, 0], [65100489/5, 71836046/5, 4960344], [-45556343/10, -11694709/5, -201092/5], [11/10, 2/5, 0]], [[0, 0, 0], [223775323663/5, 1091127782153/5, -52710145826/5], [-189090562967/10, -860662802107/10, 125606407447/5], [79343/10, 319413/10, -56068/5]]], 0, 967680, [], [] >,
< [ -1, -4, -1, 1 ], [[-32, 208, -16]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, 20, -10], [-4, -2, 2], [0, 0, 0]], [[0, 0, 0], [2857/5, 4473/5, -225], [-939/10, -899/10, 1073/10], [1/10, 1/2, -1/10]], [[0, 0, 0], [4000434/5, 1496525, -2782914/5], [-753726/5, -2560427/10, 778752/5], [1144/5, 9307/10, -319]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-244/5, -174/5, -42/5], [-92/5, -32/5, -6/5], [0, 0, 0]], [[0, 0, 0], [-9111, -8309, 4613], [-8359/2, -10413/2, 5265/2], [-7/2, -1/2, -1/2]], [[0, 0, 0], [2/5, 11/5, 17/5], [-1/5, -57/10, 49/10], [0, 1/10, -1/10]]], 0, 967680, [], [] >,
< [ -1, -4, -1, 1 ], [[7, 10, -3]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, 17/2, -3/2], [-92/5, -89/10, -37/10], [18/5, -19/10, -1/5], [0, 0, 0]], [[251736, 36484, -99987/2], [1613431/5, 111835, -299809/5], [-311967/4, -58011/4, 70971/4], [17/20, -1/20, -1/4]], [[63553821/2, -279668137/2, 49117798], [604578651/10, -224113697/2, -135103122/5], [-28416987/2, 27404268, -10850770], [759/5, -1452/5, 407]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -6, 5/2], [-148/5, -18/5, 57/10], [9/10, 19/10, -3/10], [0, 0, 0]], [[-13004, 7147/2, 1537/2], [-1917626/5, -289707/2, 545129/5], [16119/4, -4295/4, -3681/4], [1/4, 3/20, 1/20]], [[-604107/2, -30590104, 11337196], [2577857991/10, 1319125231/10, -431344236/5], [-11324363/20, 36718838/5, -39980709/20], [-387/4, 102, -621/4]]], 1, 60, [], [] >,
< [ -1, -4, -1, 1 ], [[7, 10, -3]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -1, 0], [72/5, -38/5, -29/5], [-3/5, 2/5, 1/5], [0, 0, 0]], [[603, -550, 239/2], [24167/5, -1602, -3501/10], [-409/2, 223/2, -3/2], [-2/5, -1/5, 1/5]], [[97237/2, 211499/2, -46650], [503619/2, 922855/2, -381201/2], [-50855/4, -101377/4, 42161/4], [-83/20, 167/20, -149/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, -7, 3/2], [74/5, -81/5, 9/10], [-27/10, 13/10, -1/10], [0, 0, 0]], [[5/2, 29, -11], [253/10, 78, -147/10], [-5/4, -27/4, 11/4], [-11/20, -3/20, 3/20]], [[22, 145/2, -61/2], [36, 225/2, -145/2], [-5, -33/2, 7], [0, 0, 0]]], 1, 60, [], [] >,
< [ -1, -4, -1, 1 ], [[7, 10, -3]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 4, 9/2], [183/2, -12, 29/2], [1/2, -5/2, 3/2], [0, 0, 0]], [[-36625, -466523/2, -178050], [-57447943/10, -19592653/10, 5305553/10], [-1374589/20, -10963/20, -360723/20], [-3/20, 1/20, 3/20]], [[11338585/2, 28744153/2, -10036195], [-207103277, 1047430819/2, -182483216], [9528565/2, 127236433/4, -13069790], [-92/5, -483/20, 69/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 9/2, 2], [91, 51/2, 1], [1, 2, -1/2], [0, 0, 0]], [[653, 19863/2, 8491], [84204791/50, 7169737/10, -10859742/25], [37162/5, 18029/20, -247/2], [-1/50, 3/20, -1/50]], [[-30227, -329669, -120286], [-1444472508/25, -88411732/5, 334074002/25], [-1786826/5, -1644059/5, 745767/5], [128/25, 46/5, -122/25]]], 1, 40, [], [] >,
< [ -1, -4, -1, 1 ], [[-1, -11, 2]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, -5/2, -5/2], [-36, 1/2, -5/2], [-2, -1/2, -1/2], [0, 0, 0]], [[-10041347/2, -143757/2, 319982], [-95418774/5, 1592751/5, 19511981/10], [-20082683/20, -287483/20, 1279951/20], [-1/20, -1/20, -3/20]], [[-511520444240, -218831004250, 156863219528], [-9769356675647/5, -4163452796294/5, 2972228828796/5], [-102304067195, -43766193524, 31372631440], [-5489, -19516/5, 2896]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[183/2, 23/2, 2], [621/10, -119/10, 4/5], [183/10, 23/10, 2/5], [0, 0, 0]], [[1381434277, 48419481, -22601045], [4725265454/5, -235940289, 28221516/5], [1381434279/5, 48419489/5, -22601038/5], [0, 0, -1/5]], [[-229128817384415/2, -42064972468003, 64675520648011/2], [-169819366925609/2, -159235547517916/5, 120696088715946/5], [-229128817441099/10, -84129944954289/10, 129351041362451/20], [14391/10, 10117/10, -15271/20]]], 1, 40, [], [] >,
< [ -1, -4, -1, 1 ], [[-112, -160, 48]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 78, 10], [-6, 8, 0], [0, 0, 0]], [[0, 0, 0], [-312582, -3248691/5, 2293118/5], [2135083/10, -504981/5, 162659/10], [11/10, 1/5, 1/2]], [[0, 0, 0], [7945361247/5, 21221058313/5, -11720028692/5], [-3166825139/10, 4819470923/5, -1723323911/5], [-18331/10, 12044/5, -2886]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-688/5, -28/5, 6/5], [-118/5, 12/5, 6/5], [0, 0, 0]], [[0, 0, 0], [41745347/5, 4810084/5, -1949256], [7430119/5, 947829/5, -3072971/10], [-11/5, -2/5, 1/2]], [[0, 0, 0], [-6211188536/5, 5481031373/5, -3702032251], [-527467107/5, 6725691591/10, -2252598091/5], [1334/5, -6061/10, 2523/5]]], 0, 241920, [], [] >,
< [ -1, -4, -1, 1 ], [[-112, -160, 48]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [318/5, -302/5, 14/5], [38/5, -42/5, 4/5], [0, 0, 0]], [[0, 0, 0], [-1407861/5, 104077/5, 350473/5], [-172988/5, 34819/10, 80687/10], [1, -3/10, -1/10]], [[0, 0, 0], [-1808468262/5, -1104447906/5, -2150403679/5], [-423255237/10, -183376147/10, -535537681/10], [6909/10, -16807/10, 3185/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [592/5, 102/5, 66/5], [112/5, 22/5, 6/5], [0, 0, 0]], [[0, 0, 0], [-498104/5, -854217/5, 523492/5], [-173689/10, -140312/5, 172313/10], [-29/10, 2/5, -1/10]], [[0, 0, 0], [1907356464/5, 4199953152/5, -2703035412/5], [323937317/5, 684688962/5, -440001084/5], [28689/5, -5240, 17554/5]]], 0, 241920, [], [] >,
< [ -1, -4, -1, 1 ], [[-112, -160, 48]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [264, -102, -52], [8, -8, -4], [0, 0, 0]], [[0, 0, 0], [-79921537/5, -13767951/5, 3084045], [-5497133/10, -1015851/10, 455422/5], [3/10, -1/10, 2/5]], [[0, 0, 0], [6392292432, 28043233278/5, -15820319116/5], [1103721732/5, 969938514/5, -600148386/5], [-1476/5, -2706/5, 492]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 44, -52], [6, 4, -6], [0, 0, 0]], [[0, 0, 0], [26281/25, 10032/5, -24094/25], [-56/5, 1229/10, -22], [-11/25, -1/2, -1/25]], [[0, 0, 0], [-1082366/25, -579522/5, 1262434/25], [-6394/5, -35152/5, 2588], [216/25, 54/5, -54/25]]], 0, 161280, [], [] >,
< [ -1, -4, -1, 1 ], [[16, 176, -32]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-278, -24, -6], [-4, -8, 0], [0, 0, 0]], [[0, 0, 0], [-132455536/5, -60500421/5, 40435597/5], [-744403/5, 55029/10, 29327/10], [0, 3/10, 1/10]], [[0, 0, 0], [434243031694/5, 132646219543/5, -111570146707/5], [622913585, 649662171/2, -415762555/2], [1674/5, 465/2, -357/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2058/5, -108/5, -24/5], [-24/5, -34/5, 8/5], [0, 0, 0]], [[0, 0, 0], [-2826316362/5, -1444510977/5, 861029409/5], [-16492176/5, -308347/10, 846779/10], [1/5, -1/10, 1/2]], [[0, 0, 0], [-8636421162916/5, -2650607984992/5, 2252188409308/5], [-12584129304, -5619308268, 4018718544], [5694/5, 4134/5, -3042/5]]], 0, 161280, [], [] >,
< [ -1, -4, -1, 1 ], [[8, -5, 3]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, -10, -3/2], [-27/2, 10, -7/2], [-9/2, 5/2, -2], [0, 0, 0]], [[-37270, -25479/2, 22775/2], [-781278/5, -236736/5, 40437], [-504137/10, -298029/20, 131409/10], [0, 1/20, 1/10]], [[-20165/2, -7137/2, 5551/2], [-85511/2, -29133/2, 23153/2], [-13821, -9403/2, 7477/2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[39/2, 25, 9/2], [107/2, 33, 15/2], [37/2, 5/2, 1], [0, 0, 0]], [[19091, 4979/2, -11615/2], [723119/10, 148646/5, -125326/5], [149396/5, 315359/20, -215823/20], [1/10, -1/20, 1/4]], [[468139/2, 46793, -62397], [4370187/5, 3730571/10, -1420102/5], [7177707/20, 936183/5, -1248377/10], [19/20, -19/10, 19/10]]], 1, 240, [], [] >,
< [ -1, -4, -1, 1 ], [[8, -5, 3]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, -15/2, -1/2], [33/2, -25/2, 3/2], [-4, 5/2, -3/2], [0, 0, 0]], [[655/2, -269/2, -809/2], [-17873/10, 412, 61/5], [793/2, -1153/4, -65], [7/5, 1/4, -1/10]], [[-25225, -56393/2, -46317/2], [334743/2, 1839469/10, -505651/5], [-922537/20, -1279517/20, 199627/10], [-1983/20, -1357/20, 287/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -7, -2], [-16, -23, -2], [-1, 2, -2], [0, 0, 0]], [[-41968, -33449/2, 7687], [-1661988/5, -589691/5, 160079/2], [-297626/5, -548579/20, 87772/5], [0, 1/20, 1/10]], [[-19425/2, -3297, 2646], [-155433/2, -26763, 21205], [-13482, -4893, 7539/2], [0, 0, 0]]], 1, 240, [], [] >,
< [ -1, -4, -1, 1 ], [[8, -5, 3]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 30, 39/2], [135/2, 38, 79/2], [3/2, 3/2, 5/2], [0, 0, 0]], [[974387/2, -2791892, -3504933], [-2509455721/10, -497366359/10, 227473076/5], [-50019721/10, -354717/10, 5226671/20], [-4/5, 1/10, -1/4]], [[-166824325123, -793984293717/2, -65582660807/2], [69775691993404/5, -18095763997859/10, -8576247150527/5], [4795007376873/20, -1139653922131/5, 611069887181/20], [471851/20, -979259/10, 371907/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 4, 3], [189/2, 29, 4], [2, 1/2, 0], [0, 0, 0]], [[1212, 12627, 9584], [9751317/25, 129730, -722961/50], [165853/20, 11972/5, -11633/20], [77/100, 1/10, -3/100]], [[-58345, -348769/2, 9661/2], [-291119, -17770819/2, 5927807/2], [-4849, -185782, 127213/2], [-7/2, -28, 21/2]]], 1, 240, [], [] >,
< [ -1, -4, -1, 1 ], [[-128, 80, -48]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 0, -12], [-22, 10, -2], [0, 0, 0]], [[0, 0, 0], [-75863/5, -167621/5, -12684], [236383/10, -18836/5, -26893/5], [-1/2, -1/5, -2/5]], [[0, 0, 0], [1512766/5, -78290, 1175096/5], [-1719449, -1669807, 905572], [237/5, 79, -158/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-78, 0, 2], [-66, -10, -6], [0, 0, 0]], [[0, 0, 0], [-31363144/5, 2175756, 777601/5], [-10104575/2, 4146051/2, 226557/2], [-1/10, -1/2, -1/10]], [[0, 0, 0], [-43957596704/5, -20524880322/5, 13978869732/5], [-36047934252/5, -17044083197/5, 11521087104/5], [274/5, 383/5, -24]]], 0, 967680, [], [] >,
< [ -1, -4, -1, 1 ], [[-128, 80, -48]], [ -5, 0, 0 ], [ -2, -8, -6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48, -36, -10], [6, 4, -6], [0, 0, 0]], [[0, 0, 0], [1220786/5, 983043/5, -570218/5], [11441/10, 362638/5, -281357/10], [-27/10, -2/5, 1/2]], [[0, 0, 0], [-38409774, -464428236, 85238074], [-92951491, -271044361, 104049537], [-2275, -3185, 875]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-50, -6, -10], [-44, -8, 0], [0, 0, 0]], [[0, 0, 0], [4573352/5, 325660, -1319483/5], [1555899/2, 551305/2, -439711/2], [13/10, 1/2, 3/10]], [[0, 0, 0], [9305491/5, 7712639/5, -4106951/5], [7454129/5, 10041243/10, -5788681/10], [-42/5, -347/10, 127/10]]], 0, 967680, [], [] >,
< [ -1, -4, -1, 1 ], [[-128, 80, -48]], [ -5, 0, 0 ], [ -2, -10, -12 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -90, -90], [0, -8, -8], [0, 0, 0]], [[0, 0, 0], [-67084/5, -19836/5, 16963/5], [-6503/10, -708/5, 1319/10], [1/10, -1/5, 1/2]], [[0, 0, 0], [-3834912/5, -1081464/5, 954636/5], [-183356/5, -28382/5, 37968/5], [-22/5, -264/5, 66/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [166, -88, 96], [4, -6, 10], [0, 0, 0]], [[0, 0, 0], [3752158929/25, 174184368/5, -755424446/25], [23374636/5, 5791161/10, -472446], [-29/25, 3/10, 1/25]], [[0, 0, 0], [-403758699/5, 573372101/5, 104059074/5], [-3759266/5, 106528711/10, 11416981/10], [0, -33/10, 11/10]]], 0, 967680, [], [] >,
< [ -1, -4, -1, 1 ], [[-3, -18, 11]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 2, -3/2], [-826/5, -1/5, -31/10], [7/5, 2/5, -3/10], [0, 0, 0]], [[1/2, 9, 3], [-1251/10, 1303/10, -1057/10], [-7/2, -5/4, -1/4], [7/10, 1/4, 1/20]], [[-51475/2, -46818, 82961/2], [-26889027/10, -28575982/5, 11532868/5], [-28066, -33609, 51475/4], [28066/5, 33609/5, -10295/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[44, -17/2, 2], [878/5, 41/10, 19/5], [44/5, -17/10, 2/5], [0, 0, 0]], [[6286640325/2, 775739/2, -65349392], [61988969373/5, 10541525447/5, -533136193/2], [12573280693/20, 1551473/20, -261397581/20], [-9/20, 3/20, 1/20]], [[172698609092673, 144517044045828, -114894417355316], [3000389361951716/5, 1810599941398631/5, -2184390891351112/5], [172698609709173/5, 289034089382031/10, -229788834961867/10], [-30195, -71739/2, 27675/2]]], 1, 240, [], [] >,
< [ -1, -4, -1, 1 ], [[48, 288, -176]], [ -5, 0, 0 ], [ -2, -4, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [504/5, 64/5, -18/5], [-8/5, 32/5, 6/5], [0, 0, 0]], [[0, 0, 0], [134556558/5, 21693852/5, -6432245], [-4278283/5, -220123/5, -719343/10], [16/5, -1/5, 1/2]], [[0, 0, 0], [-68925386889538/5, -7870826988674, 26233335205058/5], [2825501694192/5, 3082582819792/5, -1220629601184/5], [-11512368/5, -13798512/5, 1080576]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-472/5, -42/5, -6/5], [264/5, -6/5, 2/5], [0, 0, 0]], [[0, 0, 0], [-29441500557/5, -2362992193/5, 23940453], [32990182639/10, -816358781/10, -228041183/10], [7/10, 3/10, -1/2]], [[0, 0, 0], [-108959052960914/5, 91614136374174/5, -1931090727492], [60176295879414/5, -61142516316006/5, 10562166905592/5], [21258/5, 25314/5, -9852/5]]], 0, 967680, [], [] >,
< [ -1, -4, 0, 1 ], [[2, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 1, 2], [-6, 4, -3], [1, 1, 2], [0, 0, 0]], [[-12355/2, -6887, -1550], [161115/4, 19179/2, -31641/4], [-6180, -6885, -3105/2], [5/4, -1, 5/4]], [[15764214, 1160990, -7344315/2], [-259289529/2, -7741610, 32280395], [15776145, 1164870, -7353045/2], [-11931/2, -1940, 4365/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -2, 1], [185/2, 2, 5], [1/2, -2, 1], [0, 0, 0]], [[-6479, -1551, 539], [-8331823/14, -8180681/28, 223891/28], [-45455/7, -21807/14, 7543/14], [-17/7, -31/28, -1/28]], [[564927, -825748, 323972], [1936933065/28, 17719293/14, -181402797/28], [7927797/14, -5788990/7, 4543051/14], [6273/28, -1459/7, 2481/28]]], 3, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[2, 0, 0]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 9/2, 10], [-19/2, 3, 9/2], [0, 1/2, 5/2], [0, 0, 0]], [[1029/2, 5173/2, 7105/2], [-402244, -49027/2, 103038], [2877/2, 1029/2, 1057/2], [-1, 0, 1/2]], [[3157/2, 1946, -5166], [-13948589/4, -904981/4, 3541589/4], [12306, 3157/2, -4368], [-33/4, -1/4, 7/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -17/2, -21/2], [-68, -23, -29], [-1/2, -3/2, -5/2], [0, 0, 0]], [[7753/2, 20368, 232933/2], [635216567/28, 37208337/28, -146431939/28], [1358265/14, 54381/14, 34029/7], [-3/28, -55/28, 5/28]], [[-61720785/2, 381068905, 27462435/2], [-12975020910949/28, -786955001579/28, 3292359966087/28], [-28059895793/14, -432078057/14, 3531562228/7], [-226881/28, 16281/28, 11097/28]]], 3, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[3, -1, 0]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -3/2, 3/2], [-5/2, -3/2, 3/2], [11, 0, 5], [0, 0, 0]], [[2859/2, 366, -513], [20019/14, 2559/7, -3595/7], [-14497/2, 381, 764], [-15/14, 0, 2/7]], [[-1/2, -1, 0], [-5/14, -1/7, 1/7], [1, 0, -1/2], [1/7, 0, -1/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 2, -1/2], [-19/2, 0, -5/2], [-4, -1, -1], [0, 0, 0]], [[-1472, -115/2, 336], [-645790/91, -66387/182, 21833/13], [-68513/26, -1214/13, 17483/26], [-125/182, -22/91, -1/182]], [[-425456, 12707/2, 182979/2], [-26801839/13, -847277/26, 12320981/26], [-10034815/13, -336910/13, 4837021/26], [-2325/13, 310/13, 527/26]]], 3, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -4, 4]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[852, -1391/2, 2], [26192/503, 189517/1006, 1450/503], [401/503, -593/503, -1/1006], [1523/2012, -278/503, 5/2012]], [[-5195555/2, -508685/2, 657215], [-1808045/1006, 19435730/503, 7763273/503], [-2806917/1006, -363263/1006, 338182/503], [-4554437/2012, -423887/2012, 580359/1006]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4736, -21783/2, -1], [8817867/1006, 2406992/503, 283/503], [-213331/13078, 1257803/13078, -57/13078], [-1305/26156, -5488/6539, 1/26156]], [[-1355717809, -148804011/2, 302136811], [5260091827485/1006, 363673004255/1006, -661619563110/503], [-185195734446/6539, -28809015635/13078, 49807342714/6539], [2979230265/26156, 63863690/6539, -848966635/26156]]], 4, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[3, -1, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 2, 1/2], [-17, -9, 1/2], [-2, 2, 1/2], [0, 0, 0]], [[3995/2, -1094, 707], [13355, -12933/4, -25173/4], [3999/2, -2193/2, 1419/2], [-1, 5/4, -5/4]], [[-16465477/2, 640925, 1343892], [-101568239/2, -9324957/4, 55712603/4], [-16484523/2, 1286001/2, 2689005/2], [9523/2, -4151/4, -1221/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 1/2, -1], [497/2, 29/2, -25], [3/2, 1/2, -1], [0, 0, 0]], [[524309/2, 17177/2, -41241/2], [644305375/13, 98649321/52, -813667355/52], [6814609/26, 111425/13, -268083/13], [32/13, 41/52, 3/52]], [[3645841041/2, -3379703013/2, 461559642], [24071458999039/52, 5790146391851/52, -2109392636293/13], [23693031666/13, -21965183388/13, 5999546409/13], [897291/52, -524763/52, 66267/26]]], 3, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[6, 1, -2]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -11/2, 0], [-28/13, -113/26, 107/26], [15/4, -1/4, -3/4], [5/52, -1/52, 3/52]], [[4765, -790, -549], [-1801, -2264, 2737/2], [22405/4, 799/4, -5379/4], [585/4, -115/4, -95/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -13/2, -21/2], [-2, -11/2, -10], [-3/2, 1, -2], [0, 0, 0]], [[-4251/2, -416, 9455/2], [-158759/91, -100411/182, 406542/91], [-10405/4, -5239/4, 6877/4], [-85/364, -79/364, -3/364]], [[-31374561, -29810305, 23286289], [-2355773575/91, -2643639203/91, 1963075468/91], [-32341077, -13353405, 13822700], [-228247/91, -48345/91, 65925/91]]], 4, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[12, 2, -4]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[451723/2, 94868, 17/2], [-2760381683/11354, -579636487/5677, 14209/5677], [2130982/19, 895087/19, 77/19], [426589/2804438, 358331/5608876, 5/5608876]], [[-923149239495/2, 304309540882, -43077826102], [2820783505890356/5677, -3718060519686503/11354, 525873308376571/11354], [-4354984253242/19, 5741688748513/38, -406283498122/19], [-1743671162277/5608876, 60484663437/295204, -2138912952/73801]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, 15, 5], [7/2, 15/2, -5], [5/2, 5/2, 0], [0, 0, 0]], [[3493773/2, 3240153/2, -131/2], [-161405406401/79478, -74527118296/39739, -47678839/39739], [88981363/266, 41674278/133, 108419/133], [938166/9815533, 868717/9815533, 1/9815533]], [[-7995739457637/2, -2926083174967, 2311584883575], [368831564616477631/79478, 133532367007876225/39739, -211893756613423019/79478], [-203651473751587/266, -75340904540119/133, 59269737901292/133], [-8584961422985/39262132, -6263265640295/39262132, 2477142837945/19631066]]], 4, 6, [], [] >,
< [ -1, -4, 0, 1 ], [[-4, -5, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 5/2, 1/2], [-223/2, 71/2, 17/2], [-5/2, 5/2, 1/2], [0, 0, 0]], [[275081/2, -6469, 5185], [10389231/2, -963004, -1391167/2], [275085/2, -6471, 5184], [-1, 1, 1/2]], [[-1253630801/2, -828079731, 1091567185/2], [-86729205451/4, -23299531304, 63475368633/4], [-626825628, -828091836, 545790960], [20455/4, 12105/2, -14735/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -1, -5/2], [-843/2, 26, 165/2], [-5/2, -1, -5/2], [0, 0, 0]], [[126891648, -1874635/2, 1123132], [320257900071/14, 20207220777/28, -152884503769/28], [888241492/7, -6561230/7, 15723843/14], [-22/7, -15/28, -5/28]], [[186725523164852, 249679038743092, -152783799947436], [614303066699339863/28, 83815905099108055/14, -216633963666147667/28], [2614157205027463/14, 1747753196189144/7, -2138973109335589/14], [-119280465/28, -37506250/7, 89928515/28]]], 3, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[-19, -13, 10]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, -3, 1], [1/2, -4, 6], [-9/2, -3, 1], [0, 0, 0]], [[-1533, -390, 288], [713, 1483/4, 1467/4], [-1538, -765/2, 561/2], [1/2, -3/4, 3/4]], [[-9628495/2, -524915/2, 1171110], [4734299/2, 1529855/2, -804911], [-9689995/2, -566735/2, 1187250], [3075, 2091, -1614]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 3/2, -1], [1337/2, -5/2, -1], [-1/2, 3/2, -1], [0, 0, 0]], [[-26766127, 81907, -332127/2], [556486678655/28, 76083354189/28, -24445309852/7], [-374730509/14, 1147211/14, -2325117/14], [-83/28, 9/28, -1/7]], [[2985990001809065/2, 850088600784009, -701319931749927], [-12946998397947136823/14, -1004730422963443168/7, 1834203928234839684/7], [20902212930593903/14, 5950716986265267/7, -4909313971985757/7], [1240868116/7, 848954186/7, -653067862/7]]], 1, 88, [], [] >,
< [ -1, -4, 0, 1 ], [[7, -4, 0]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[23/2, -37/2, -21/2], [7/26, -250/13, 8/13], [9, 1, -3/2], [9/13, 1/13, 1/13]], [[-296, -16, 149/2], [-1253/13, 53/13, 20], [-661/4, -41/4, 167/4], [-671/52, -33/52, 165/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 1/2, -11/2], [-8, 0, -13/2], [-2, 3/2, -1], [0, 0, 0]], [[153171/2, 687, -54761/2], [59465495/182, 2629693/182, -17183319/182], [381869/4, 28129/4, -103691/4], [1009/364, 51/364, 3/364]], [[431221618165/2, 88862625051/2, -147864816683/2], [161785551667217/182, 9045337110245/91, -45981260084173/182], [1032377792203/4, 117546066049/4, -288773262183/4], [2289762453/364, -1401197919/364, 270663117/364]]], 1, 28, [], [] >,
< [ -1, -4, 0, 1 ], [[14, -8, 0]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7585/2, -2615, 13], [19980985/11354, 13793345/11354, 13539/5677], [-68213/38, -47285/38, 67/38], [-8599/431452, -5949/431452, -1/215726]], [[533909979/2, -880409/2, -122062169/2], [-703954125626/5677, -1019827080/5677, 324006351175/11354], [2398671844/19, -3400470/19, -1097529251/38], [151330842/107863, 3510/107863, -34724430/107863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -15, -9], [-123/2, -13/2, -8], [-5/2, -3/2, -1], [0, 0, 0]], [[575453/2, 573174, -781007/2], [261533351483/79478, 432278488001/79478, -315780431917/79478], [35269705/133, 70952855/266, -43036625/266], [246219/1510082, 164497/3020164, -1/3020164]], [[318, 95/2, -76], [-1213887915/79478, -181288293/79478, 145055264/39739], [115817/133, 34595/266, -27679/133], [2521/1510082, 753/3020164, -1205/3020164]]], 1, 84, [], [] >,
< [ -1, -4, 0, 1 ], [[-7, -2, 3]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -5/2, -1/2], [1, -5/2, -1/2], [87, 5, -2], [0, 0, 0]], [[-268960, 188201/2, -229421/2], [-1882661/7, 1317783/14, -229423/2], [-14904300, 5131788, 5352767/2], [-22/7, 2/7, -5/14]], [[22356349467/2, 2752550907, -4399699674], [156494464305/14, 19269272175/7, -30798132186/7], [578654257648, 92782551547, -165103605463], [117234, 130761/7, -275049/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-57/2, -1/2, 3/2], [-413/2, -13/2, 3/2], [-89, -3, 0], [0, 0, 0]], [[1102812087, -28476488, -227127203/2], [724740081861/91, -20330377408/91, -101522389861/182], [89197755645/26, -2534142635/26, -5775272305/26], [-417/182, -11/26, -5/182]], [[-3228067922633537, -1012319792290888, 2542226080172851/2], [-2152509657780506168/91, -751908908669704161/91, 1793877932622480045/182], [-132768269783284932/13, -94255413572982797/26, 111609686880927013/26], [82686158/13, 329385801/182, -494244017/182]]], 1, 24, [], [] >,
< [ -1, -4, 0, 1 ], [[16, -4, -2]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[307, 639/2, 5/2], [-2783279/503, -461687/1006, -1717/503], [6546/503, 1403/1006, 5/1006], [-554/503, 323/2012, -1/2012]], [[-165357987/2, -37853419/2, 33868407/2], [1913938834081/1006, 69045422887/503, -423913467141/1006], [-2238300815/503, -336929091/1006, 495132574/503], [400714925/1006, 17754221/1006, -89862935/1006]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[35821/2, 7807, 5], [-33405729/1006, -3729677/1006, -1615/503], [-245497/13078, 1648509/13078, 599/13078], [-3266/6539, 14481/26156, 5/26156]], [[-6275066977751/2, -36599085431, 876644382920], [6407381222290989/1006, 75348149410676/503, -846550761029975/503], [66513359589553/6539, 13852510161569/13078, -10711862771294/6539], [1661549983617/13078, 180160538979/26156, -747539509885/26156]]], 1, 24, [], [] >,
< [ -1, -4, 0, 1 ], [[-7, -2, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, 2, -3/2], [-33, -1, -13/2], [11, 2, -3/2], [0, 0, 0]], [[8240189/2, -212219/2, -549895/2], [-7343142, 79368449/4, -48921235/4], [8240185/2, -106107, -274950], [-1, 5/4, -5/4]], [[671389586063, 62490848871, -190257861277], [-9313637945649/4, -3336186631147/4, 1989665546513/2], [1342778206039/2, 124981427907/2, -190257658079], [-966087/4, -269835/4, 101599]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, -1/2, 2], [634, 11/2, 2], [8, -1/2, 2], [0, 0, 0]], [[8339657256, -51205098, -60275565], [33824623171043/52, 547274962967/26, -4266345670533/52], [216831087021/26, -665666334/13, -1567164675/26], [-109/52, -2/13, 1/52]], [[-359435571850488, -122604432116376, 159123670922328], [-1373328119404483247/52, -73185979555168495/13, 490001424301553997/52], [-9345324800193153/26, -1593857607758823/13, 4137215414814093/26], [4527969/52, 650271/26, -1944429/52]]], 1, 8, [], [] >,
< [ -1, -4, 0, 1 ], [[12, -1, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -5/2, 2], [286, 25/2, -6], [-7, -5/2, 2], [0, 0, 0]], [[-99406, 1219, -23], [22152607/4, 3728750, -4596273/4], [-198817/2, 1220, -45/2], [-5/4, 1/2, 1/4]], [[-385410333/2, 141030549/2, 77618629/2], [20062244313/2, 2105725145/2, -10449781165/2], [-385421505/2, 141031529/2, 77619553/2], [-2793, 245, 231]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -2, -1/2], [-1986, -45, -35/2], [-7, -2, -1/2], [0, 0, 0]], [[-5798188130, -32045755/2, 31579275/2], [-86938361575287/52, 17033648440017/52, 160448334633/13], [-150752891875/26, -208297745/13, 410530635/26], [-33/52, -45/52, 1/13]], [[-975651983884482905/2, -153279758842042105/2, 136537715683925010], [-1929245233910597817068/13, -328397158343203658894/13, 1136662723366416620755/26], [-12683475815456588975/26, -1992636862865772655/26, 1774990304930892105/13], [-831943707/26, 69359157/26, 69324465/26]]], 1, 56, [], [] >,
< [ -1, -4, 0, 1 ], [[12, -1, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21, 1, 2], [44, -5, -4], [21, 1, 2], [0, 0, 0]], [[-242668389/2, -2600087/2, 3891663/2], [-1032041049/4, 39022281/2, 143838641/4], [-121334194, -2600085/2, 1945832], [1/4, 1/2, 1/4]], [[-800548235572, 79938287274, 273457924919/2], [-1750252170285, 181544533097/2, 692458270813/2], [-800548233730, 79938287129, 273457924607/2], [921, -145/2, -78]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[28, 1, 2], [1428, 23, 53], [28, 1, 2], [0, 0, 0]], [[-4928821785, -13415660, 38985985/2], [-13093381960171/52, 106786737323/52, 196423060429/26], [-128149364505/26, -348807115/26, 506817775/26], [127/52, 3/52, -1/26]], [[-1175677729916058165, 122653790964843255, 85352820478099425], [-3134348295647041293433/52, 309470565008888916193/52, 140897790287581364123/26], [-30567620523494907855/26, 3188998527229687785/26, 1109586647272161885/13], [30288173629/52, -2523749123/52, -631437688/13]]], 1, 56, [], [] >,
< [ -1, -4, 0, 1 ], [[-6, -2, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 9/2, 5/2], [25/2, 27/2, 11/2], [7/2, 9/2, 5/2], [0, 0, 0]], [[-1045/2, 847/2, -166], [-2241, 2245/4, 97/4], [-1033/2, 425, -333/2], [-3, -3/4, 1/4]], [[5164925, 7528516, -4692112], [29861633/2, 13200659, -19045181/2], [5136596, 7520650, -4682479], [28329/2, 3933, -9633/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -3/2, 1/2], [8, 7/2, -15/2], [2, -3/2, 1/2], [0, 0, 0]], [[1155/2, -1491, 819/2], [9865/2, 16481/2, -4329/2], [1155/2, -1491, 819/2], [2, 1/2, -1]], [[-21168, -9261/2, 6615], [-102209/2, 12983, 21035/2], [-21168, -9261/2, 6615], [-75/2, -3/2, 17/2]]], 2, 6, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -2, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 1/2, -3/2], [-45/2, 13/2, -7/2], [-5/2, 1/2, -3/2], [0, 0, 0]], [[102848, 43520, 768], [1736891/2, 149495, -132093], [102848, 43520, 768], [5/2, 1, 2]], [[8220943104, 594295680, -2188581120], [73530236171, 10517374355/2, -19134181775], [8220943104, 594295680, -2188581120], [222945, 101035/2, -78490]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 7, 1], [6, 0, -2], [1, 7, 1], [0, 0, 0]], [[1273/2, -1019/2, 1569/2], [-6995, -1365/2, 1786], [1263/2, -1049/2, 1573/2], [5/2, 1, -5/2]], [[35453699, 1260355, -8710601], [-293557478, -19016949, 149301333/2], [35405994, 1253117, -8694809], [91791, 7896, -47705/2]]], 0, 40, [], [] >,
< [ -1, -4, 0, 1 ], [[-6, -2, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 11/2, 1/2], [17/2, -3/2, 7/2], [-1/2, 11/2, 1/2], [0, 0, 0]], [[-5952, 89280, 36800], [150181, 388753/4, 169581/4], [-5955, 178555/2, 73601/2], [-3/2, -5/4, 1/4]], [[-89636288, -3303104, 18997696], [1749076213/4, 44095639/4, -107060987], [-179288865/2, -6607937/2, 18999971], [-16289/4, -1729/4, 2275/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 9/2, 3/2], [185/2, 31/2, 9/2], [11/2, 9/2, 3/2], [0, 0, 0]], [[-172380, 15795, 210], [-86991685/28, 21810309/14, -6954673/28], [-2413575/14, 110499/7, 2931/14], [-85/28, -11/7, -3/28]], [[-24669126615, -26722321335, 17914402035], [-2381935126909/4, -3560875699915/4, 1104960128913/2], [-49341605127/2, -53445715167/2, 17914960095], [-1117299/4, -357499/4, 93010]]], 1, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[-6, -2, 2]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -9/2, -3/2], [-5, -21, -14], [5/2, -9/2, -3/2], [0, 0, 0]], [[271069/2, 14833/2, -67319/2], [-20385, 3645, 4050], [271069/2, 14833/2, -67319/2], [0, 0, 0]], [[0, 0, 0], [5/4, -1/4, -1/4], [0, 0, 0], [-3/4, -1/4, 1/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 5/2, 3/2], [-15, -28, -15], [11/2, 5/2, 3/2], [0, 0, 0]], [[-3642471/2, 285209/2, -129523/2], [103336523/28, 51796261/28, 43877605/28], [-25497175/14, 1996525/14, -906659/14], [-61/28, -31/28, -1/28]], [[335012370, 396692450, -258979462], [-18930783495/28, -27553688031/28, 16471622367/28], [2345079789/7, 2776845371/7, -1812854125/7], [6801/28, 1779/28, -2109/28]]], 1, 20, [], [] >,
< [ -1, -4, 0, 1 ], [[14, -18, 6]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, 2, 0], [10, 2, 0], [-8, 8, -6], [0, 0, 0]], [[-158375, 122537, 71857], [-1108665/7, 857637/7, 71855], [205363/2, -769075/2, 80039/2], [43/14, 5/14, -1/14]], [[-250336575/2, 69935685/2, 18600465/2], [-1752396761/14, 489459811/14, 18608369/2], [59639510, -307657930, 134844358], [14060/7, -4180/7, -1292/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -19/2, -3/2], [17/2, -3/2, 61/2], [-2, -2, -8], [0, 0, 0]], [[68390, 4070, -16170], [23855232/91, -99760/91, -818266/13], [-1247691/26, 34115/26, 304003/26], [785/182, 47/182, -1/182]], [[4660285575/2, -102462585/2, -987124005/2], [122218176321/14, -19783792215/14, -18176229555/14], [-3177828553/2, 648300143/2, 413545355/2], [212333/2, -2124397/14, 718091/14]]], 0, 720, [], [] >,
< [ -1, -4, 0, 1 ], [[10, -2, -2]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-695/2, -219/2, -9/2], [484569/503, 101824/503, -1093/1006], [-1516/503, -450/503, -5/1006], [-1713/1006, -593/503, -1/1006]], [[43349545/2, 31564505/2, -24126995/2], [-32748153237/503, -28419130993/503, 20474201994/503], [189333135/1006, 136228595/1006, -104717985/1006], [32302242/503, -18824700/503, 5084241/1006]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[5367/2, -7613/2, 11/2], [-5946385/503, -260305/503, 489/1006], [509825/6539, 426175/6539, -155/13078], [11759/13078, 15879/13078, -2/6539]], [[3496035546, 1142565554, -1358503728], [-5358552967689/503, -1844002447163/1006, 1589418300315/503], [697163708467/13078, 4476590577/6539, -140745261775/13078], [6379407001/13078, -507146045/6539, -317886632/6539]]], 1, 20, [], [] >,
< [ -1, -4, 0, 1 ], [[14, -18, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, -15/2, 5/2], [65/2, 53/2, -15/2], [-11/2, -15/2, 5/2], [0, 0, 0]], [[-6480, 1712, -400], [103653/2, 1006, -6443], [-6483, 1716, -400], [-3/2, 2, 0]], [[-100400400, 79478640, -13346640], [861375575, -164566865, -124428708], [-100450124, 79552916, -13372742], [-24862, 37138, -13051]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 7/2, -1/2], [-691/2, 169/2, -19/2], [-1/2, 7/2, -1/2], [0, 0, 0]], [[36701/2, -6083/2, 1085/2], [64409667/13, -3582784/13, -29161903/26], [477751/26, -79145/26, 14149/26], [-29/26, 3/26, -1/13]], [[-1887655/2, 1609377/2, -412027/2], [-3819947679/13, 983362371/26, 1285824559/26], [-24571789/26, 20949885/26, -5364139/26], [1467/26, -636/13, 177/13]]], 0, 320, [], [] >,
< [ -1, -4, 0, 1 ], [[37, 13, -15]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 1/2, 3/2], [-5/2, 3/2, 1/2], [-1/2, 1/2, 3/2], [0, 0, 0]], [[-5, -89, 71], [405/2, 3561/26, -2527/26], [1/4, -343/4, 285/4], [-21/52, -1/4, -1/52]], [[42475/2, 158635/2, -84513/2], [-446521/13, -76803, 571899/13], [83593/4, 317233/4, -168707/4], [1357/52, 37/52, -319/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 5/2, -1/2], [-223/2, -9/2, -1/2], [-3/2, 5/2, -1/2], [0, 0, 0]], [[169208, 25324, -4108], [1386950017/182, -639348231/182, -668746987/182], [676567/4, 101375/4, -16429/4], [-265/364, 79/364, 3/364]], [[145795949/2, 78453869/2, -60587865/2], [295458835969/91, 22812091616/91, -109762445980/91], [291448073/4, 156784833/4, -121087343/4], [-143825/364, -122905/364, 6799/28]]], 0, 480, [], [] >,
< [ -1, -4, 0, 1 ], [[-6, 6, -2]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[132399/2, -79445/2, 31/2], [-981728135/11354, 294742130/5677, 37455/11354], [-772686/19, 928105/38, 25/19], [-273957/2804438, 164497/2804438, -1/2804438]], [[-89040970955, 5779552561, 16481592883], [660295003947219/5677, -42803724976746/5677, -244415912883391/11354], [2078835186507/38, -7093315337/2, -192367048388/19], [368517255593/2804438, -11947303007/1402219, -34102541250/1402219]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -1, 5], [19/2, 1/2, 0], [3/2, -3/2, 1], [0, 0, 0]], [[-71721, 265003, -157], [50767982617/79478, -188125781959/79478, -4903753/79478], [-808369/133, 2973449/133, -2176/133], [-142572/9815533, 528165/9815533, 3/19631066]], [[73557673009/2, -35986604487/2, 2673444345/2], [-13034113658583412/39739, 12753870484592771/79478, -950303621748387/79478], [43551732239/14, -10633010807/7, 779572120/7], [3852553837/516607, -3769389719/1033214, 140336011/516607]]], 1, 30, [], [] >,
< [ -1, -4, 0, 1 ], [[-30, -14, 10]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, -9/2, -1/2], [239/2, -121/2, -5/2], [-21/2, -9/2, -1/2], [0, 0, 0]], [[-17999445, 302235, 255795], [181069093, -568270307/2, 181336075/2], [-17999449, 302234, 255790], [-2, -1/2, -5/2]], [[10515219956850, 1530168944850, -2913827068950], [-159199901479611, -50231852069710, 118971283778395/2], [10515222559362, 1530170153886, -2913827940429], [1301256, 604518, -871479/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 4, 0], [975, -123, -5], [4, 4, 0], [0, 0, 0]], [[-23293839/2, 26997/2, -124539/2], [-31083290831/7, -11229092122/7, 11224027177/7], [-163056919/14, 188985/14, -871771/14], [-23/14, 3/14, 1/14]], [[1613327802255, 891045935793, -434915595387], [6062749874460591/14, -739951293235703/7, -192816005820824/7], [11293297828020/7, 6237323046517/7, -3044410237791/7], [3212235/14, 747983/7, -535041/7]]], 0, 960, [], [] >,
< [ -1, -4, 0, 1 ], [[-166, -38, 50]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[196, -2, 2], [61, 3, 3], [196, -2, 2], [0, 0, 0]], [[17832539, 757629, 167235], [5560802, 608513, 569325/2], [17832559, 757649, 167250], [-2, -2, -3/2]], [[2299712590061699/2, 298552751349551/2, -645191985349301/2], [353717994891549, 47153185769640, -99340027648499], [2299714719504989/2, 298553239106541/2, -645192627150491/2], [-212944329/2, -48775699/2, 64180119/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-251/2, 5/2, 5/2], [1219/2, -9/2, -5/2], [-251/2, 5/2, 5/2], [0, 0, 0]], [[29981554045/2, -335356595/2, -589214463/2], [-145630541455/2, -144999792, 535735915/2], [29981554821/2, -335357565/2, -589214463/2], [-2, 5/2, 0]], [[415565926723216355/2, 39287894519803731/2, -120887988703283341/2], [-14096474515886326491/14, -661114205512997247/7, 2066102466146673123/7], [2908961589847817585/14, 275015285159384967/14, -846215951872751077/14], [-264910575/7, -121241025/14, 159534885/14]]], 0, 21120, [], [] >,
< [ -1, -4, 0, 1 ], [[81, -7, -19]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -3/2, 1/2], [1/2, 9/2, -7/2], [-3/2, -3/2, 1/2], [0, 0, 0]], [[767/2, 181/2, 69/2], [2303/13, 1896/13, 1045/13], [815/4, 331/4, 135/4], [719/52, 31/52, 3/52]], [[-1102832, -255954, 331215], [-5908055/13, -1987992/13, 1712866/13], [-1126853/2, -273233/2, 328285/2], [-1078811/26, -238675/26, 334145/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -2, -1], [4, -6, -7], [1, -2, -1], [0, 0, 0]], [[255/2, 11/2, -65/2], [-305587/182, -36999/182, -22959/182], [-1071/2, -135/2, -67/2], [-51/7, -73/91, -1/91]], [[34004471/2, 1897729/2, -8601475/2], [-19931157590/91, 43702307/91, 2451069506/91], [-279316259/4, -946767/4, 35875701/4], [-347325201/364, -4742225/364, 53078651/364]]], 0, 6720, [], [] >,
< [ -1, -4, 0, 1 ], [[-22, -10, 6]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[6047/2, -7867/2, 9/2], [-25064443/11354, 32739641/11354, 30141/11354], [57091/38, -74333/38, -29/38], [-10707/107863, 27977/215726, -3/215726]], [[2880776315/2, 468605627/2, -738265235/2], [-11952362218709/11354, -975053656034/5677, 3059359724643/11354], [13600882020/19, 4429876867/38, -3482988732/19], [-5106333947/107863, -832797856/107863, 2615203151/215726]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -21/2, -5/2], [68, -2, 7/2], [2, -2, -1/2], [0, 0, 0]], [[260928, 347712, 195136], [521641659883/79478, -31476911500/39739, -70155191290/39739], [36608186/133, 20347351/266, -4374887/266], [-80292/755041, -85495/755041, -5/1510082]], [[20037196960, -874278240, 106945440], [29356967013189507/39739, -32182856064438/39739, -6815086790553786/39739], [3793558971134/133, 132023474748/133, -802625129818/133], [-7262683326/755041, -2759885064/755041, 2345684304/755041]]], 1, 420, [], [] >,
< [ -1, -4, 0, 1 ], [[-46, -30, 26]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, -9/2, -1/2], [-9/2, -9/2, -1/2], [42, 8, 2], [0, 0, 0]], [[-29841, 16675, -3393], [-208843/7, 116853/7, -23755/7], [1037341/2, 744709/2, -565847/2], [-47/14, 1/14, 1/14]], [[67654767/2, 52167607/2, -41281181/2], [473617593/14, 365361477/14, -289019599/14], [-200525643, 381585784, -132487975], [20319/7, 7486/7, -1375]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[93/2, 5/2, 1/2], [-147/2, -59/2, 49/2], [30, 8, -6], [0, 0, 0]], [[2498719, 2946031, -1436487], [-131422691/91, 40498049/13, -127494755/91], [25629771/26, -1100591/26, -230461/26], [51/182, -51/182, -5/182]], [[-708358727545/2, 2586232636275/2, -1130697713825/2], [300409375021101/182, 395337025212537/182, -251156950454747/182], [-13031594549487/26, -5714274896063/26, 5295422993189/26], [-4958909/26, -22910267/182, 19731701/182]]], 0, 5760, [], [] >,
< [ -1, -4, 0, 1 ], [[-22, -6, 6]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[858, 54, 1], [-1561707/503, 42413/1006, 1332/503], [7939/1006, 233/503, -3/1006], [-299/503, 1869/1006, 1/503]], [[465927837/2, 62668559/2, -126311845/2], [-432993025610/503, -60096828095/503, 238857474595/1006], [1078842284/503, 144962177/503, -585322175/1006], [-153564570/503, -37181770/503, 58361050/503]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[49488, -226, 3], [-36104705/503, 821987/1006, -1893/503], [-1344183/13078, -948924/6539, -383/13078], [-17007/13078, -4204/6539, -1/6539]], [[20225588685323/2, 28658566037241/2, -18336530430141/2], [-7423119034696913/503, -21169666350517109/1006, 13518671869745831/1006], [75411441301315/13078, 311887245215805/6539, -148687429233819/6539], [-1914954697703/13078, -409372357451/13078, 715362063363/13078]]], 1, 120, [], [] >,
< [ -1, -4, 0, 1 ], [[-46, -30, 26]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-111/2, -15/2, 1/2], [-77/2, -21/2, 7/2], [-111/2, -15/2, 1/2], [0, 0, 0]], [[6469302, 460102, -653410], [8873063/2, 773725, -699155], [6469305, 460100, -653414], [3/2, -1, -2]], [[154443502982, -19690372066, -24384175562], [107088228214, 4425546497/2, -48888285631/2], [154443605346, -19690304085, -24384234123], [51182, 67981/2, -58561/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-193/2, -21/2, -5/2], [-613/2, 43/2, 11/2], [-193/2, -21/2, -5/2], [0, 0, 0]], [[-7158964466, -222805914, -59486034], [-593917064297/26, 38266859084/13, 13046473853/26], [-93066538043/13, -2896476702/13, -773318367/13], [1/26, 6/13, 5/26]], [[4552362096313170, 1621851486932850, -1778062223213430], [198743574154888226/13, 78687966110718501/13, -162968019682582427/26], [59180707270472130/13, 21084069342166410/13, -23114808912190815/13], [613364/13, 401312/13, -694415/26]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[62, -34, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-67/2, -11/2, 1/2], [-641/2, 3/2, -13/2], [-67/2, -11/2, 1/2], [0, 0, 0]], [[196434525/2, -5813535/2, -1958775/2], [1849050493/2, -243728794, 133726015/2], [196434533/2, -5813541/2, -1958775/2], [2, -3/2, 0]], [[-148203052319700, 53125131089100, 23253105672300], [-1406831088583052, 795501269206175, 122890132713591/2], [-148203059048154, 53125134802842, 23253105013149], [-3364227, 1856871, -659151/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[97/2, 25/2, 5/2], [-11575/2, 637/2, 121/2], [97/2, 25/2, 5/2], [0, 0, 0]], [[319951757865/2, 338387093/2, -81216039/2], [-251275530348364/13, 131571742443665/26, -1105734841780/13], [4159372854915/26, 4399034609/26, -1055808417/26], [89/26, 40/13, 3/26]], [[539283974731316905141/2, 385127275575633048557/2, -296960285852011646591/2], [-972728170344049429270719/26, -441297642261980631873828/13, 630621201022905677161773/26], [7010691673887668972533/26, 5006654581177247989091/26, -3860483715845611921883/26], [39675820095/13, -43532721405/26, 3842324730/13]]], 0, 13440, [], [] >,
< [ -1, -4, 0, 1 ], [[62, -34, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[99/2, 19/2, -1/2], [661/2, -63/2, 9/2], [99/2, 19/2, -1/2], [0, 0, 0]], [[9324711765/2, 36186345/2, -57692223/2], [30504102014, -11176530228, 5548921455/2], [9324711759/2, 36186343/2, -57692223/2], [-3/2, -1/2, 0]], [[490009100022000, -1005379972506000, 387591340734000], [1566882379548100, -14044702423052072, 12764556083299355/2], [490009099625058, -1005379972289460, 387591340696005], [-198471, 108270, -37995/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-79/2, -7/2, 1/2], [-8145/2, -165/2, 15/2], [-79/2, -7/2, 1/2], [0, 0, 0]], [[-4938936613, -12035829, 7513519], [-6603295817809/13, 499206558866/13, -223220236883/26], [-64206175609/13, -156465357/13, 97675792/13], [12/13, 14/13, 3/26]], [[-24906174702659289, -13453948401033309, 11735206060581003], [-2681917523689198755, -1642775800345716357, 1358004604160218258], [-24906174630424959, -13453948440718239, 11735206067596383], [2407811, -1322831, 233846]]], 0, 13440, [], [] >,
< [ -1, -4, 0, 1 ], [[-110, -30, 42]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[37/2, 37/2, 1/2], [195/2, 299/2, 87/2], [37/2, 37/2, 1/2], [0, 0, 0]], [[331335, -6111489, 2884107], [11872409/2, -24126881/2, 10144989/2], [331334, -6111488, 2884106], [-1/2, 1/2, -1/2]], [[-14611655595/2, -6044901411/2, 6178394193/2], [-31073464245, -7197182703, 10621540267], [-14611646937/2, -6044899929/2, 6178390971/2], [4329/2, 741/2, -1611/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[32, 0, 0], [51, 11, 3], [32, 0, 0], [0, 0, 0]], [[169785/2, -91791/2, 16485/2], [267649/2, -98135/2, 16807/2], [169781/2, -91811/2, 16461/2], [-1, -3, 0]], [[217710486, 8697990, -52852002], [659228343/2, 28671889/2, -161299955/2], [217710199, 8698837, -52852135], [-1137/2, -279/2, 425/2]]], 0, 10240, [], [] >,
< [ -1, -4, 0, 1 ], [[2, -6, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, 4, 2], [24, 7, 5], [5, 4, 2], [0, 0, 0]], [[-548181/2, 186045/2, 10665/2], [-2930231/2, 1293153/2, -10825], [-548177/2, 186041/2, 10667/2], [1, -1, 1/2]], [[36461502, -13431264, -4106025], [791964113/4, -78671028, -53441023/4], [72922509/2, -13430895, -8212095/2], [-495/4, 369/2, -45/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -6, -2], [61, -17, 3], [-4, -6, -2], [0, 0, 0]], [[-12993, -1561, 468], [17754717/28, 7605539/7, -18223251/28], [-181791/14, -10900/7, 6549/14], [37/28, 9/14, -1/28]], [[-10705/2, -37231/2, 19995/2], [-4624915/2, -16010113/2, 8604129/2], [-10705/2, -37231/2, 19995/2], [0, 0, 0]]], 1, 12, [], [] >,
< [ -1, -4, 0, 1 ], [[-38, -22, 18]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-29/2, -5/2, -1/2], [-13/2, -37/2, 7/2], [-29/2, -5/2, -1/2], [0, 0, 0]], [[37875, 7275, -4425], [18173/2, 39133/2, -1103], [37882, 7306, -4419], [-1/2, 1/2, 2]], [[-2295150, -124350, 566250], [-584347/2, -128282, 118253], [-2295151, -124466, 566288], [75/2, 19, -19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, -5, -1], [-76, -16, 0], [-9, -5, -1], [0, 0, 0]], [[-1909/2, 1107/2, -281/2], [-53114/7, 129207/14, -43871/14], [-13385/14, 7593/14, -1879/14], [1/14, 8/7, -2/7]], [[-282940, -36540, 81620], [-18394514/7, -6202629/14, 5617324/7], [-1977000/7, -253359/7, 569340/7], [-472/7, -439/14, 187/7]]], 0, 640, [], [] >,
< [ -1, -4, 0, 1 ], [[-38, -22, 18]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -11/2, 1/2], [31/2, 15/2, 3/2], [5/2, -11/2, 1/2], [0, 0, 0]], [[-14, 0, -2], [-55/2, 9/2, 57/2], [-13, -3, -1], [1/2, -3/2, 1/2]], [[-777, -389, 389], [-987, 900, -709/2], [-637, -201, 270], [70, 94, -119/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 11/2, -1/2], [249/2, -135/2, 21/2], [-5/2, 11/2, -1/2], [0, 0, 0]], [[7189, -39, -245], [-1798476/7, 178918/7, 357669/7], [50311/7, -213/7, -1709/7], [-2/7, 10/7, 1/7]], [[-1039202588, -202476324, 332184284], [74000229733/2, 5180057373, -10703937518], [-1038571763, -202102344, 331880264], [210275/2, 62330, -50670]]], 0, 640, [], [] >,
< [ -1, -4, 0, 1 ], [[-38, -22, 18]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, 10, 2], [-39, -9, 23], [-8, 10, 2], [0, 0, 0]], [[-326304, -255852, 153882], [-1460201/2, 882815/2, -253461/2], [-326301, -255849, 153877], [3/2, 3/2, -5/2]], [[136297737/2, 61548165/2, -59785011/2], [181525376, -131384523/2, -19472185/2], [136296359/2, 61546517/2, -59783939/2], [-689/2, -412, 268]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-12, -2, -2], [-429, -87, -23], [-12, -2, -2], [0, 0, 0]], [[-135280215/2, -6722991/2, 445509/2], [-33810697925/14, -1573996526/7, 1241692985/7], [-946961553/14, -47060907/14, 3118545/14], [-4/7, 5/14, -3/14]], [[753815673855/2, 223631829351/2, -260469987273/2], [181188129394235/14, 40169448353429/14, -28377329892439/7], [5276710082445/14, 1565423056149/14, -1823290105065/14], [30455/7, 20891/7, -32359/14]]], 0, 640, [], [] >,
< [ -1, -4, 0, 1 ], [[-38, -22, 18]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -17/2, -5/2], [57/2, -23/2, -19/2], [-1/2, -17/2, -5/2], [0, 0, 0]], [[41787/2, -8001/2, -5013/2], [916259/2, 15561, -218859/2], [41795/2, -7991/2, -5021/2], [2, 5/2, -2]], [[10660653, 8505, -2516751], [222649629, 12799549, -111994913/2], [10662123, 9485, -2517192], [735, 490, -441/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 17/2, -3/2], [115/2, -257/2, 35/2], [13/2, 17/2, -3/2], [0, 0, 0]], [[2206332, 1196476, 217868], [587300235/14, -25176437/14, -256226875/14], [15444327/7, 8375443/7, 1525085/7], [1/14, 37/14, 3/14]], [[-128793680288, -16888354592, 37259235296], [-18556684584889/7, 335297702825/7, 7929076369763/14], [-901553509676/7, -118216189814/7, 260813082947/7], [375390/7, 382055/7, -521375/14]]], 0, 640, [], [] >,
< [ -1, -4, 0, 1 ], [[-38, -22, 18]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, 7, 1], [-66, -2, 8], [11, 7, 1], [0, 0, 0]], [[-379185/2, -193545/2, 97155/2], [1502404, 1233139, -1747911/2], [-379175/2, -193551/2, 97159/2], [5/2, -3/2, 1]], [[2781591, 1108587, -1124091], [-23991032, -46808181/2, 16404974], [2781529, 1108682, -1124123], [-31, 95/2, -16]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, 13/2, -3/2], [969/2, -87/2, 49/2], [-11/2, 13/2, -3/2], [0, 0, 0]], [[954597/2, 1157709/2, -47439/2], [16939485/14, 768642766/7, 899927135/14], [6682467/14, 8104161/14, -332049/14], [24/7, 33/14, 2/7]], [[-268048473, -872845281, 472518123], [58037518065/7, 348674347001/14, -95684270648/7], [-1876344747/7, -6109915680/7, 3307627437/7], [-906/7, 429/14, 96/7]]], 0, 640, [], [] >,
< [ -1, -4, 0, 1 ], [[-38, -22, 18]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[39/2, -25/2, 3/2], [-6, -6, 8], [39/2, -25/2, 3/2], [0, 0, 0]], [[49/2, -1495/2, -467/2], [9797, 43999, 20935], [49/2, -1471/2, -451/2], [-1, 3, 1]], [[-1598019, -43803, 376185], [1191997/4, 781445/4, -92427/4], [-1577328, -41884, 370694], [54663/4, 2299/4, -13281/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[57/2, 41/2, 5/2], [-478, -250, -40], [57/2, 41/2, 5/2], [0, 0, 0]], [[-4801857/2, 86663/2, 606483/2], [63076496, 69627362, -43982363], [-4801757/2, 86563/2, 606499/2], [-5, 4, 0]], [[11552486, 2930426, -4347686], [-2161888005/28, 10964832955/28, -4549580453/28], [80864740/7, 20510612/7, -30432142/7], [961/28, 725/28, -519/28]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[54, -26, -2]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8456, -6396, -2], [3257069/503, 2468999/503, 3285/503], [-8456/503, -6396/503, -2/503], [0, 0, 0]], [[-100949, -7705, 25708], [77642135/1006, 4297745/1006, -19797663/1006], [-100896/503, -6741/503, 24685/503], [-109/1006, -2049/1006, -3/1006]], [[-16003109747/2, -1033220849/2, 4068534519/2], [3094032706204/503, 199968542191/503, -785857792170/503], [-16043666681/1006, -1028969591/1006, 4077954831/1006], [33835593/1006, 2698971/1006, -6721341/1006]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-43557, 1689, 1], [16773972/503, -649762/503, 2130/503], [-43557/503, 1689/503, 1/503], [0, 0, 0]], [[-5179623316949/2, 7513281269/2, 892766770255/2], [1994682544017743/1006, -2907736137873/1006, -343715776619287/1006], [-67335103566649/13078, 97674096867/13078, 11605968005249/13078], [1305/6539, -4204/6539, -1/6539]], [[-108648224790358238160, -5997954626579507961, 27589210297596791495], [83681549297019405473451/1006, 4619192083632614164309/1006, -21249455836306422476925/1006], [-1412426939533211844790/6539, -77973411423217911547/6539, 358659737318427827324/6539], [201619013235/13078, 15181021593/13078, -40258234235/13078]]], 0, 3840, [], [] >,
< [ -1, -4, 0, 1 ], [[-78, 2, 10]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, 7/2, -5/2], [-41/2, 15/2, -9/2], [-21/2, 7/2, -5/2], [0, 0, 0]], [[-1000155/2, -45715/2, 56865/2], [-12562493679/11354, -210023837/11354, 761364069/11354], [-28294115/38, -417265/38, 1080477/38], [347758/1402219, -16895/1402219, 1/1402219]], [[488954544771/2, -249358691653/2, 26841926855/2], [437555571873150/811, -240596857569089/811, 30795619042339/811], [13560380462643/38, -8501006422795/38, 1515270548081/38], [-2403447225/21086, 40245048657/400634, -10751240553/400634]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -13/2, -1/2], [-115/2, -47/2, 1/2], [3/2, -13/2, -1/2], [0, 0, 0]], [[376198, 17328, 10874], [-730753582495/39739, -298240675171/39739, 75902507292/39739], [289001361/133, 157787213/133, 1446418/133], [-1876332/9815533, -1220827/9815533, -2/9815533]], [[31961950287904, 72354232229032, -41253138254952], [-30064027533270372139/79478, 29617810591823794807/79478, -7744315810295759467/79478], [399784047040577/7, 37069961969886/7, -99432046890657/7], [-2764632017607/1033214, 7371489150407/1033214, -2973349514745/1033214]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[-138, -90, 62]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -23/2, -3/2], [1/2, -23/2, 1/2], [5/2, -23/2, -3/2], [0, 0, 0]], [[29082, -29526, -12654], [127291749/11354, -350121533/11354, -60958319/11354], [657243/19, -513502/19, -240413/19], [12815/215726, 5813/215726, 1/215726]], [[988194372, -927857436, 205797108], [3495945847451/11354, -13725403991675/11354, 5590149725443/11354], [21977027991/19, -17794087736/19, 3299691027/19], [391901079/215726, -20156487/215726, -74739523/215726]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, 7, -1], [-50, 22, -4], [-7, 7, -1], [0, 0, 0]], [[354935/2, 76055/2, -4865/2], [28050146021/39739, -24122596816/39739, -15008832077/39739], [41022589/266, 5704291/266, -647055/266], [103647/1510082, 73937/1510082, 1/1510082]], [[101987462115, -89612859105, 22640361975], [38740549283648285/79478, -42058535857341221/79478, 8985882712817019/79478], [593229933595/7, -693891243938/7, 211881501042/7], [4045565369/79478, 2232795633/79478, -1790133229/79478]]], 0, 107520, [], [] >,
< [ -1, -4, 0, 1 ], [[-134, -54, 50]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[31077/2, 969/2, -3/2], [-11971687/1006, -382119/1006, 149/1006], [31077/1006, 969/1006, -3/1006], [0, 0, 0]], [[233241086671, 64392610458, -73888026465], [-89831229635305/503, -24792501448179/503, 28446928778682/503], [233241086671/503, 64392618003/503, -73888023950/503], [0, 5, 0]], [[-13150173839357102359/2, -156167155984644579/2, 3007020767539951415/2], [2532472373813470702846/503, 30209589178255869391/503, -579155894407061483373/503], [-13150173722236519541/1006, -156167126955889751/1006, 3007020722857133177/1006], [46792507727/1006, 25088002851/1006, -23256940363/1006]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-425946, -5390, -2], [163989713/503, 2078671/503, -739/503], [-425946/503, -5390/503, -2/503], [0, 0, 0]], [[-3874733223884549/2, 148126265243983/2, 1151008279657093/2], [1491767877055652239/1006, -57028583034254183/1006, -443138188006372043/1006], [-3874733229845099/1006, 148126266441123/1006, 1151008279656087/1006], [5, -1, 0]], [[25090721942661180676259704, 2533190464835228686579465, -6305922900981577522845844], [-19319792595953995668316389651/1006, -1950532700087338995680888123/1006, 4855532401759002604394483567/1006], [326179385858071036786867914/6539, 32931476337040328168322946/6539, -81976998000883855445639265/6539], [-1018114354596619/13078, -495729419125921/13078, 485865793990009/13078]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -2, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, 6, -2], [11, -5, 3], [6, 6, -2], [0, 0, 0]], [[-349/2, 931/2, 483/2], [-2869/4, 397, 2283/4], [-171, 941/2, 241], [9/4, 0, -1/4]], [[1828265/2, -250415/2, -724555/2], [10386081/4, -429121/2, -3145339/4], [906599, -251819/2, -361621], [-31109/4, -1677/2, 8021/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17/2, 19/2, -1/2], [-127/2, 21/2, 9/2], [-17/2, 19/2, -1/2], [0, 0, 0]], [[-89600, -58240, -16240], [-12090339/28, 3945483/28, 1220151/7], [-1254321/14, -815391/14, -113684/7], [-25/28, -1/28, 1/14]], [[204941520, 29277360, -87832080], [17343676269/14, 6976416669/28, -9268931521/28], [1434458673/7, 409736007/14, -1229522795/14], [17391/7, 21731/28, -27621/28]]], 1, 40, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -2, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -7, 1], [6, -8, 4], [-5, -7, 1], [0, 0, 0]], [[8409/2, 1929/2, -771/2], [-44207/4, -2108, 11999/4], [4202, 1971/2, -383], [11/4, 1, 3/4]], [[-44940213/2, -4174785/2, 12433503/2], [230610833/4, 4322577/4, -13495896], [-22418549, -2055925, 12385533/2], [-60475/4, -13325/4, 5330]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -15/2, 1/2], [-261/2, -61/2, -5/2], [9/2, -15/2, 1/2], [0, 0, 0]], [[-5379892, 370186, 30352], [706328118/7, -318523727/14, -240364162/7], [-37659284/7, 2591299/7, 212484/7], [-2/7, -1/14, 1/7]], [[-3016597747, -35785821, 541290793], [230179501629/4, -895886478, -63329265867/4], [-6033201641/2, -35786071, 1082583611/2], [-595/4, -41/2, 199/4]]], 1, 48, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -2, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, 13/2, -3/2], [5/2, -31/2, -7/2], [-7/2, 13/2, -3/2], [0, 0, 0]], [[29700, 2916, 65844], [-236384, -3591827/4, -1926701/4], [29703, 5829/2, 131689/2], [-3/2, 3/4, -1/4]], [[50877684, 5085108, -12655836], [-63150174, -76613155/4, 34350569/4], [50882873, 10170941/2, -25314321/2], [-5189/2, -725/4, 2649/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, -6, 0], [161, -5, 5], [-8, -6, 0], [0, 0, 0]], [[1148233/2, 183933/2, -22987/2], [-458957859/28, -59774286/7, 178160211/28], [4018922/7, 1287663/14, -80450/7], [71/28, 11/7, 3/28]], [[4110651753, 19848899229, -10275849759], [765113539923/2, 4734984476319/4, -2581926216639/4], [4110611841, 39697785033/2, -20551672311/2], [-6652, -4475/4, 9069/4]]], 1, 40, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -2, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, -8, 0], [-11, -25, -1], [10, -8, 0], [0, 0, 0]], [[-110143/2, -26543/2, 18601/2], [-217/2, -365749/4, -193843/4], [-110153/2, -13270, 9298], [-5/2, 3/4, -5/4]], [[0, 0, 0], [-33/4, -99/4, 27/2], [-3/2, -7/2, 2], [-3/4, -7/4, 1]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, 5/2, -3/2], [-97/2, -1/2, 7/2], [-11/2, 5/2, -3/2], [0, 0, 0]], [[133275, 3525, 29175], [15334937/14, 1499472/7, -343662/7], [933266/7, 24587/7, 204247/7], [-31/14, 4/7, -1/7]], [[65631006225/2, 4789501425/2, -25395701475/2], [6977996436637/28, 165290310189/28, -554588654118/7], [229799153884/7, 16776579601/7, -177830935113/14], [-16478563/28, -2422657/28, 1386927/7]]], 1, 40, [], [] >,
< [ -1, -4, 0, 1 ], [[-6, -6, 4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 3, 1], [3, 8, -5], [-1, 0, 1], [0, 0, 0]], [[-4719/2, 5/2, 667], [4469/2, 325, -699], [-3212, -361/2, 1687/2], [-5/2, 0, -2]], [[-1356060905/2, -47174298, 349996141/2], [596313874, -53687525/2, -241970967/2], [-1815921581/2, -109298999/2, 229148890], [-1000648, -859264, 609924]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, -9, -3/2], [24, 9/2, -13/2], [-3/2, 1/2, -2], [0, 0, 0]], [[-24960, -38400, 17920], [513461/2, 87933/2, -154603/2], [-9280, 33600, -15680], [-5/2, 1/2, 1/2]], [[-9280, 33600, -15680], [648927/2, -9569, -67732], [-38560, -44960, 29280], [-3, -1/2, 1]]], 0, 8, [], [] >,
< [ -1, -4, 0, 1 ], [[-4, -2, 2]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -35/2, -19/2], [-29/2, -81/2, -7], [-7/2, -8, -3/2], [0, 0, 0]], [[-3481/2, 47959/2, -2615/2], [-235111/4, -355657/4, 280729/4], [-30513/2, -29649/2, 27033/2], [7/4, -1/4, 1/4]], [[2596969/2, 544023/2, -771841/2], [18700821/4, -2863515/4, -2621657/4], [3237889/2, -131341/2, -640605/2], [-1155/4, -105/4, 315/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -21/2, 1/2], [-2, -6, 2], [5/2, -5/2, -1/2], [0, 0, 0]], [[-140, -1001/2, 819], [-605/2, -1503/2, 1155/2], [581, -140, 119/2], [-1, 5/2, 1]], [[3726891, 11057634, -5993190], [1687941, 9301657, -9512631/2], [9406530, 3726891, -3849930], [-46695/2, -7755, 9130]]], 2, 6, [], [] >,
< [ -1, -4, 0, 1 ], [[-4, -2, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 4, 1/2], [5/2, 11, 11/2], [3/2, 4, 1/2], [0, 0, 0]], [[-1081/2, -69, 253/2], [-171/2, -114, -77/2], [-1081/2, -69, 253/2], [0, 0, 0]], [[-1, -1/2, 1/2], [0, 3/4, -1/4], [0, 0, 0], [-1/2, -1/4, 1/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 6, 5/2], [183/2, 13, 7/2], [5/2, 6, 5/2], [0, 0, 0]], [[0, 0, 0], [10039/28, 7354/7, -16895/28], [-15/14, 27/7, -3/14], [-5/28, 9/14, -1/28]], [[0, 0, 0], [-21055/7, 24171911/28, -11259593/28], [74415/7, 35055/14, -53751/14], [24805/14, 11685/28, -17917/28]]], 1, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[-4, -2, 2]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, -41/2, -10], [9/2, -34, -25/2], [0, -13/2, -7/2], [0, 0, 0]], [[559, 761, 22], [165801/2, 272242, -293169/2], [469, -68, 90], [-3/2, -7/2, -1]], [[127757/2, 22737/2, -19825], [13267807/4, 36204959/4, -20086137/4], [80221, -6965/2, -32685/2], [-469/4, -85/4, 149/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 3/2, 5/2], [303/2, 91/2, -9], [7/2, 4, -3/2], [0, 0, 0]], [[6214667, 11617953/2, -348071/2], [5542265679/14, 1148734053/14, -1078577587/14], [88627047/14, -407416/7, -1621577/14], [-31/14, -10/7, -1/7]], [[-85951314384, -352145786733, 184912653159], [22068311985231/28, -42769986054913/28, 15001486610085/28], [977215940915/7, 2873263611366/7, -1578875039303/7], [-202325/28, -99975/28, 100025/28]]], 1, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -1, 3]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -13/2, -3], [-3/2, -13/2, -3], [-1, -5, 2], [0, 0, 0]], [[-1/2, -23/2, 0], [-37/14, 23/14, -1/7], [-15/2, -8, 15/2], [-19/14, 0, -1/14]], [[-154967, -39889/2, 43772], [1354814/7, 30711/2, -353706/7], [616661/2, 4638, -71015], [1199847/14, 43772/7, -154967/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -2, -1], [-2, -2, -1], [-1, -8, -1], [0, 0, 0]], [[-2671, -436, 777/2], [-18652/7, -3138/7, 5449/14], [2401/2, -1629, -743/2], [33/14, -1/7, -3/14]], [[3879262, 583975/2, -994750], [27048540/7, 4048585/14, -6929554/7], [-2473727, -315181, 724413], [-25659/7, -2494/7, 6872/7]]], 2, 6, [], [] >,
< [ -1, -4, 0, 1 ], [[-13, -3, 4]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -15, -7], [-1, -15, -7], [1, -4, 1], [0, 0, 0]], [[16532, -3199/2, -12489/2], [115336/7, -3275/2, -87427/14], [15832, 7039/2, -10703/2], [32/7, -1/14, 1/14]], [[723893239/2, 31404841/2, -92005900], [721878263/2, 31262237/2, -91780882], [315945609, 5089155/2, -144006779/2], [104175, 34725/2, -60653/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 2, 0], [3, 2, 0], [-7, 1, -4], [0, 0, 0]], [[-10635, -4579/2, 3503/2], [-74414/7, -32547/14, 24489/14], [65807/2, 19733/2, -6574], [47/14, 5/14, 2/7]], [[2489441, 600529/2, -1371541/2], [17351028/7, 3839587/14, -9393177/14], [-12807887/2, 2911031, 29169/2], [-17567/14, -1597, 14373/14]]], 0, 12, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -1, 3]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 0, 5/2], [-5/2, 0, 5/2], [1, -5, 2], [0, 0, 0]], [[-37, 299/2, 165/2], [-279/7, 279/2, 1175/14], [165/2, 11/2, -59/2], [5/14, -5/14, 5/14]], [[13747, 3119/2, -6363/2], [96437/7, 21143/14, -44547/14], [-30889/2, -984, 7763/2], [-1297/14, -60/7, 363/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[46, -1, 4], [48, -1, 14], [1, 0, 5], [0, 0, 0]], [[-272768511/2, -15441369/2, 31944122], [-26202693583/182, -205941357/26, 2918599571/91], [-49319818/13, -1301454/13, 1669323/26], [-170/91, -12/91, 3/182]], [[-849232259859034, -117459286325771/2, 438314085773839/2], [-81731023855504748/91, -11639721415370561/182, 6076578666902479/26], [-635929952057389/26, -67932056925393/26, 189274217811981/26], [-2164551741/182, -216889893/182, 644944113/182]]], 1, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[6, -2, 0]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[4541/2, 450, 5/2], [-165/2, 212, 3], [3, 0, 0], [4541/2012, 225/503, 5/2012]], [[92773872, -70765932, 8664444], [-449770481/1006, 23180110373/1006, -5669115115/503], [115423193/1006, -148560413/1006, 20327323/503], [46386936/503, -35382966/503, 4332222/503]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-32709/2, -17049, -5/2], [19593996/503, 4055896/503, 982/503], [396626/6539, 1932367/13078, 259/13078], [-32709/26156, -17049/13078, -5/26156]], [[-7184372099245/2, 2795559310448, -729986847501/2], [7551610002112706/503, 2661285554480701/503, -6058601651439625/1006], [-45085791116247/13078, -270735451501308/6539, 251791613215659/13078], [-7184372099245/26156, 1397779655224/6539, -729986847501/26156]]], 1, 12, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -1, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 17/2, 3], [-105/2, -57/2, -14], [1/2, 17/2, 3], [0, 0, 0]], [[2193/2, -157, 917/2], [139245/4, -19029/2, -27105/4], [1099, -157, 461], [-5/4, 0, -5/4]], [[-698570, -102611/2, 365937/2], [-44015169/2, -6079313/4, 22499491/4], [-700166, -51429, 183396], [798, 247/4, -855/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -2, -2], [53, -49, -45], [-1, -2, -2], [0, 0, 0]], [[178341/2, -378, -8701/2], [-239601201/26, -19996701/52, 130828969/52], [2317663/26, -9487/26, -56551/13], [35/26, -31/52, -1/52]], [[1181, 9713/2, 4531/2], [9552, 171039/2, 86381/2], [1181, 9713/2, 4531/2], [0, 0, 0]]], 1, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[11, 7, -6]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-23/2, 14, -5/2], [10, 1/2, 3/2], [0, 0, 0]], [[0, -21/2, -1/2], [8168987/13, -8429487/26, -147461/26], [-460334, 30326, 82385/2], [2/13, -2/13, -1/26]], [[17765, 35340, -19190], [35870754133/13, 31329999067/13, -22767998167/13], [-3153867855/2, -1552793563/2, 1465199687/2], [19095/26, 16435/26, -11495/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [107, 102, 49], [2, 16, 8], [0, 0, 0]], [[10, 7/2, 9/2], [-137284250/91, -1940247917/182, 970577417/182], [-56251/2, 2021/2, -151], [27/182, 5/182, 2/91]], [[1266295/2, 858909, -1039679/2], [93477183645091/182, 283606107262585/182, -77512368669521/91], [-1567581524, -2772633981/2, 986188453], [114151/14, 722125/91, -486762/91]]], 0, 24, [], [] >,
< [ -1, -4, 0, 1 ], [[8, 3, -3]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-41/2, -7, -19/2], [0, -9/2, -1/2], [0, 0, 0]], [[-3/2, -3, -7/2], [3740407/26, 231778/13, -952843/26], [-8230, -1405/2, 5537/2], [-1/13, -1/26, -1/26]], [[-9/2, -66, 36], [-28682034/13, -7453321/26, 16274563/26], [524511/4, 125055/4, -178131/4], [3/4, -57/52, 21/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-109/2, 79/2, 10], [5/2, 9, 3/2], [0, 0, 0]], [[-7, -39/2, 0], [198841542359/182, 7595217446/91, -51986115131/182], [-20090321/4, 1548081/4, 829585/4], [-27/364, -61/364, 3/364]], [[-1283832, -849420, 781506], [49331546367149370/91, 255764753048584/7, -12599794429676819/91], [-2582798872482, -13240958492, 590007741342], [-1647657/91, -748539/91, 790911/91]]], 1, 6, [], [] >,
< [ -1, -4, 0, 1 ], [[-2, 10, -4]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-106055/2, -76446, 5/2], [-105159884/5677, -303226023/11354, 3964/5677], [-1294775/38, -1866767/38, 14/19], [68771/2804438, 198287/5608876, -3/5608876]], [[1707201265, 236151670, -296994240], [3385444080768/5677, 468320212922/5677, -1177838093363/11354], [41682671877/38, 5766298193/38, -3625419303/19], [-58264495/73801, -153137655/1402219, 385164405/2804438]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-49/2, -16, -9/2], [-5/2, -4, -1/2], [0, 0, 0]], [[2863369, 2016281/2, -3/2], [-1343095489483/79478, -251001337922/39739, -43879859461/79478], [58611104/133, 23607167/266, -1549939/266], [-8402127/39262132, -2958261/39262132, -1/9815533]], [[246006119574503/2, -7377456879806, -47035768688881/2], [-28508868231421871877/39739, 2521989463146909890/39739, 10105470867357414237/79478], [5119688242738739/266, -370629418935113/133, -778287819906855/266], [-13882070769543/1510082, 1665215380211/3020164, 5308443603257/3020164]]], 1, 18, [], [] >,
< [ -1, -4, 0, 1 ], [[7, -2, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -19/2, -5/2], [49, -283/2, -77/2], [-4, -19/2, -5/2], [0, 0, 0]], [[7628141/2, -148548, 291597/2], [-798780375/4, -97438175/2, 315199885/4], [3814073, -148550, 145798], [-5/4, 1, 1/4]], [[210599472203/2, -9756171009, -29503243095/2], [-21673781089275/4, -1037895878704, 7008783569957/4], [105299814382, -9756190122, -14751634002], [-156561/4, 19113/2, 24909/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 3/2, 2], [941/2, -91/2, -67], [-1/2, 3/2, 2], [0, 0, 0]], [[-434905, -2081, -3150], [4040497837/14, 818336161/28, -2211812881/28], [-3044383/7, -29151/14, -44101/14], [-24/7, -17/28, -1/28]], [[-733820593020, 298307626890, 51994361490], [2151675898619257/4, 126210660207665/2, -599664568616533/4], [-1467664001783/2, 298310982138, 103991896825/2], [-22815743/4, 1677624, 3173845/4]]], 1, 12, [], [] >,
< [ -1, -4, 0, 1 ], [[9, -8, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -13/2, -4], [-139/2, -19/2, -2], [-3/2, -13/2, -4], [0, 0, 0]], [[118583/2, -6495/2, 2227], [156706577/4, 8775013/4, -9754619], [59309, -3245, 2232], [-7/4, -1/4, -1/2]], [[-11601511875/2, 3368364375, -1164320625/2], [-4342171231261, -208547385751, 1068544531794], [-11604574685/2, 3369722845, -1165335055/2], [306281/2, -135847, 101443/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, -7/2, -13/2], [607, 21/2, 47/2], [12, -7/2, -13/2], [0, 0, 0]], [[1953658569/2, -69671/2, -5964689], [855286341269/14, 1215565804787/28, -1135633680975/28], [13675615797/14, -242623/7, -83505361/14], [51/14, 43/28, 5/28]], [[-281846650260586949/2, 587315336516353068, -520170726012872057/2], [-635531764798638526407/14, -732859982657139212009/7, 840963033448253302871/14], [-1972927864711976003/14, 4111207939089664890/7, -3641195519750216915/14], [-5758280120/7, 5118203451/7, -1919561897/7]]], 1, 264, [], [] >,
< [ -1, -4, 0, 1 ], [[7, -11, 4]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [17/2, -5, -13/2], [-2, -13/2, -1/2], [0, 0, 0]], [[153/2, -29, 5], [-5802439/13, -976177/26, 2889749/26], [74159/4, 6999/4, -34587/4], [191/52, 7/52, 5/52]], [[2412189/2, 4293393/2, -2533557/2], [-3022773902, -92500813, 705895766], [252121677/4, -828470311/4, 304005761/4], [166881/4, 227565/4, -136539/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-63, -145/2, -73/2], [-3/2, -23/2, -5], [0, 0, 0]], [[105, 14, -3/2], [19419534335/182, -765662305/91, -4119455787/182], [-10012957/4, 355645/4, 670677/4], [-461/364, -19/364, 3/364]], [[3982217, -13009419, 4753989], [1108506598283821/182, -100387607448475/14, 189066886010936/91], [-87124336309, 723809133843/2, -145437570217], [-6873199/182, 36447249/182, -14730091/182]]], 1, 56, [], [] >,
< [ -1, -4, 0, 1 ], [[21, -5, -4]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11/2, -69/2, -16], [-9/2, -18, -19/2], [0, 0, 0]], [[11/2, 23/2, -1], [-1681/26, -158579/26, -54465/13], [-1513, -10347/2, -1237], [-11/13, 1/26, -2/13]], [[-82940, -10846, 23606], [-514203145/13, -43887390/13, 136776361/13], [9331512, 1721997, -2854066], [362703/13, 18183/13, -89639/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -55/2, -25/2], [-1/2, -9/2, -3], [0, 0, 0]], [[357, 111/2, -1/2], [1742977/91, 450239/182, -843113/182], [-11391/2, -2223/2, 1936], [-783/182, -47/182, -2/91]], [[445860701/2, -50964823/2, -12605372], [178084495759/14, 19573548817/14, -23166213809/7], [-3870707813, -2017454943/2, 1375052889], [-18799391/7, 7949409/14, 476463/7]]], 0, 336, [], [] >,
< [ -1, -4, 0, 1 ], [[-14, -6, 8]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-680, -131, 1], [28275/2, 5639/2, -1], [-475751/38, -95507/38, -90/19], [5/38, 1/38, 0]], [[-398460195/2, -16387488, 104824773/2], [23472804186192/5677, 3852009646991/11354, -6173100163757/5677], [-139094733279/38, -11410016431/38, 18289658575/19], [4150170729/107863, 1361776617/431452, -4365650439/431452]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 21, 8], [2, 7, 1], [0, 0, 0]], [[-335981/2, -19883/2, -1], [79936014805/39739, 10932823179/79478, -8527683281/39739], [3698682/133, 76512/133, -96555/133], [390419/3020164, 5779/755041, 3/3020164]], [[223014914790, 22896808500, -58402126214], [-209312618563420861/79478, -18148180535225501/79478, 27044015047347534/39739], [-9894508321413/266, -989702616333/266, 1298617869042/133], [-129573686104/755041, -13303175099/755041, 33932035313/755041]]], 1, 252, [], [] >,
< [ -1, -4, 0, 1 ], [[23, -2, -5]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[36, 43/2, 15/2], [36, 43/2, 15/2], [61, 1, -4], [0, 0, 0]], [[-36012325/2, -6300306, 13718645/2], [-36012465/2, -44102516/7, 96030475/14], [-70448369/2, -25257681/2, 13789330], [79/14, -1/14, 2/7]], [[35647713897553/2, 5774814068831/2, -5370479387528], [249534845649851/14, 40423696025997/14, -37593492763296/7], [69639359423529/2, 11725582572211/2, -10564811499091], [-11823585/2, 7109995/14, 9050885/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 2, -3/2], [11/2, 2, -3/2], [67, 3, 4], [0, 0, 0]], [[-1302679/2, -486, 76181/2], [-9118643/14, -3522/7, 533229/14], [-21608597/2, -7186408, 5116677/2], [43/14, 2/7, -3/14]], [[-106357685707, 29268733253/2, 39754869593/2], [-744491023480/7, 204871126413/14, 278286659803/14], [-3255247902339/2, -845615285527/2, 654989208909], [6927741/14, -98161/2, -731091/7]]], 0, 96, [], [] >,
< [ -1, -4, 0, 1 ], [[9, -6, 1]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -7, 0], [-3, -7, 0], [-49, -4, -1], [0, 0, 0]], [[345694, -16377, -7145/2], [345695, -114572/7, -50013/14], [28821377/2, 3249265/2, -7521009/2], [-5/14, -1/14, -3/14]], [[-87624597709/2, 8360546984, 5701394251], [-613371625603/14, 8360031159, 39911331625/7], [-1868678919862, -344018543717/2, 498626611862], [271942/7, -376423/14, 33088/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 2, 0], [2, 2, 0], [-73, -1, -4], [0, 0, 0]], [[160791/2, 4523/2, -8669/2], [1125571/14, 31713/14, -60673/14], [-8655915/2, -1360217, 2782257/2], [5/14, -1/7, -3/14]], [[437343588, 1041568341/2, -345563988], [3061410564/7, 7290747489/14, -2418896757/7], [-7121062996, 47905373323/2, -19421099673/2], [7818/7, -12153/14, 2547/14]]], 1, 48, [], [] >,
< [ -1, -4, 0, 1 ], [[9, -6, 1]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -4, -3/2], [1/2, -4, -3/2], [-71, -3, -2], [0, 0, 0]], [[2168509, -116966, 25003], [15179565/7, -818750/7, 175023/7], [-106670770, 14359527, 19732634], [2/7, 0, -1/7]], [[-12081117715/2, -8471562351/2, 3403405314], [-84567807071/14, -59300891359/14, 23823825538/7], [546783019799/2, 120441487510, -117776851061], [-7303/14, 2008/7, -194/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-82, -2, 1], [-212, -8, 5], [-65, -3, 2], [0, 0, 0]], [[6568634881/2, -132404630, 134890125/2], [1547392130079/182, -17174110130/91, 1449411357/26], [33915940337/13, -366092187/13, -76039986/13], [-23/91, -3/91, 2/91]], [[79915771084908, -402410415047921/2, 159458209522047/2], [19679392982665686/91, -12523748289591215/26, 33782909823897503/182], [886218383598120/13, -3646206405376329/26, 688293309372557/13], [-769164/91, 1034643/182, -87819/91]]], 1, 24, [], [] >,
< [ -1, -4, 0, 1 ], [[-14, -4, 6]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2216, 323, -1], [-5328243/503, -354729/1006, -2633/1006], [12473/503, 1329/1006, -1/1006], [-1108/503, 323/1006, -1/1006]], [[-51290647845/2, -28125606635/2, 11502800905], [-57453362587465/503, -54812243940515/1006, 22534938725725/503], [133376143776/503, 62425062432/503, -51391712128/503], [-51290647845/2012, -28125606635/2012, 11502800905/1006]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6539/2, -19617/2, 0], [171436053/1006, 5022341/1006, 444/503], [-249087/503, -171703/1006, -1/1006], [-1/4, -3/4, 0]], [[-13511746644921/2, -7045583133519/2, 2915909877069], [637794167649317189/503, 53707363931404841/1006, -154303786041561345/503], [-22246203275848676/6539, -1277142084958252/6539, 5516836820436972/6539], [-13511746644921/26156, -7045583133519/26156, 2915909877069/13078]]], 1, 72, [], [] >,
< [ -1, -4, 0, 1 ], [[9, -6, 1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-95/2, 0, -5/2], [-155/2, 4, -15/2], [-95/2, 0, -5/2], [0, 0, 0]], [[-39764682, -2621943, 3545856], [-65441593, -11416709/4, 17880785/4], [-39764679, -5243881/2, 7091713/2], [3/2, 5/4, 1/4]], [[-101917424259/2, -514620984069/2, 133119969021], [-432828792415/4, -1017413948209/2, 1059336882659/4], [-50958713340, -514620982487/2, 266239937791/2], [-2421/4, 791/2, -251/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[31/2, 5/2, -1], [9/2, -11/2, 6], [31/2, 5/2, -1], [0, 0, 0]], [[1534094, 83065, -184704], [21687007/52, -19527367/26, 26154499/52], [39885109/26, 1079245/13, -4802349/26], [-89/52, -20/13, -3/52]], [[3847914653247, 1700522902761, -1656227695863], [45552625190721/13, 373146857191619/52, -216658161211785/52], [50021922236466/13, 44214881647941/26, -43062132743013/26], [-64550383/26, 85745077/52, -14176705/52]]], 1, 24, [], [] >,
< [ -1, -4, 0, 1 ], [[-24, -11, 11]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[31, 2, -1], [-495, -4, -2], [31, 2, -1], [0, 0, 0]], [[758393444, 16271511/2, -10567833/2], [-48222629165/4, 3008702379/4, -922335523/2], [1516786893/2, 8135756, -10567835/2], [5/4, 1/4, -1/2]], [[-13974002217032, 7176637987064, -1079926284008], [860717090252669/4, -157139763766464, 158800474271421/4], [-27948004547459/2, 7176637961189, -2159852516221/2], [-113395/4, -25875/2, 51795/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, 2, -1], [-1083, 48, -24], [-11, 2, -1], [0, 0, 0]], [[1860615897/2, -4480091/2, 1204994], [4695277499209/52, 94343924188/13, -180002365891/52], [12094004103/13, -58240583/26, 31329769/26], [103/52, 10/13, -5/52]], [[21702232780442760, 40571156011050210, -24151731567215070], [91477573761344627433/52, 146361202383360396219/52, -45121027533417796357/26], [564258069456764025/26, 1054850064154776105/26, -313972514307450330/13], [1144350151/52, 524498043/52, -131121814/13]]], 1, 168, [], [] >,
< [ -1, -4, 0, 1 ], [[-24, -11, 11]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[57/2, 2, -3/2], [-269/2, -10, 7/2], [57/2, 2, -3/2], [0, 0, 0]], [[158221203, -11533274, -1966357], [-742941888, 260082201/4, -60159935/4], [158221204, -23066553/2, -3932709/2], [1/2, -5/4, 5/4]], [[1095978122749068, 133660285981560, -312679946792499], [-5186477948726250, -667786187917438, 1499249225184068], [1095978136352068, 133660292187360, -312679953013499], [6801500, 3102900, -3110500]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33/2, -1/2, 2], [-533/2, -33/2, 46], [-33/2, -1/2, 2], [0, 0, 0]], [[1160505, 41514, 37740], [983033559/52, 84566481/52, -38475883/26], [30173625/26, 1080039/26, 490590/13], [33/52, 45/52, -1/13]], [[-7740169835847/2, 427431683247, 1365685923411/2], [-1642553056911235/26, 51086813309975/26, 174379070503616/13], [-100623485449671/26, 5556319533636/13, 17754502102353/26], [-21293061/13, -19489905/26, 19503267/26]]], 1, 168, [], [] >,
< [ -1, -4, 0, 1 ], [[4, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-5/2, -6, -3/2], [-31/4, -13/4, 5/2], [-1, -11/2, -1/2], [-3/4, -1/4, -1/2]], [[2, 19/2, 9/2], [1/4, 3/2, 3/4], [3/2, 13/2, 3], [1/4, 3/2, 3/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -15/2, -3], [11/2, -83/2, -15], [-3/2, -15/2, -3], [0, 0, 0]], [[-225/2, -25, 13/2], [-15511/2, -462, 3609/2], [-225/2, -25, 13/2], [0, 0, 0]], [[0, 0, 0], [1/2, 1, 0], [0, 0, 0], [1/2, 0, 0]]], 1, 10, [], [] >,
< [ -1, -4, 0, 1 ], [[-8, -4, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-5/2, -5, 4], [-61/4, -19, 41/4], [0, -6, 11/2], [5/4, -1/2, 3/4]], [[378, 336, -294], [3153, 1277, -1208], [-420, 378, -210], [-399, 21, 42]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, -5/2, 0], [9/4, 17/4, -21/2], [-5/2, -5, 0], [-5/4, -5/4, 0]], [[76, 26, -31], [-10, -435/2, 187/2], [-126, 21, 14], [-101, -5/2, 45/2]]], 1, 8, [], [] >,
< [ -1, -4, 0, 1 ], [[4, -12, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [11/2, 87/2, -57/2], [0, 0, 0], [-1/2, 3/2, 3/2]], [[0, 0, 0], [-360, 37, 613/2], [0, 0, 0], [-55, -77, -55/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -12, -6], [-13, 1, -3], [0, 0, 0]], [[0, 0, 0], [-2805/2, 2715/2, 605/2], [50047, 50029, -34575], [-3/2, -3/2, -5/2]], [[0, 0, 0], [-4214820, 737085/2, 788226], [99747772, 41516128, -41922415], [-2820, 2585/2, -94]]], 0, 120, [], [] >,
< [ -1, -4, 0, 1 ], [[4, 8, 4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 65/2, 6], [0, 0, 0], [-2, 2, -5/2]], [[0, 0, 0], [-180101/2, -26937/2, 26957/2], [0, 0, 0], [79443/2, 13095/2, -21825/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11/2, -23, -3], [0, 0, 0], [1, 1/2, 2]], [[0, 0, 0], [-28, 2009, 211], [0, 0, 0], [-3584, -192, 704]]], 0, 40, [], [] >,
< [ -1, -4, 0, 1 ], [[4, 0, 0]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[3/2, -5/2, -5/2], [-43/4, -27/4, 5/4], [3/2, -5/2, -5/2], [3/4, -5/4, -5/4]], [[-38, -53, -11], [219/2, -69/2, -66], [-38, -53, -11], [-19, -53/2, -11/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, -3/2, -5/2], [-10, -4, 0], [-15/2, -3/2, -5/2], [0, 0, 0]], [[17694, -19660, 7864], [28763, -490, -4067], [17694, -19660, 7864], [0, 0, 0]], [[0, 0, 0], [1, 0, 1/2], [0, 0, 0], [1/2, 0, 0]]], 1, 30, [], [] >,
< [ -1, -4, 0, 1 ], [[4, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [43/4, 69/4, 9/2], [5/2, 5/2, 2], [5/4, 5/4, 1]], [[0, 0, 0], [530, 125/2, -129/2], [176, 77, -55], [88, 77/2, -55/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [10557/28, 1555/14, 157/28], [-225/14, -36/7, -3/14], [-75/28, -6/7, -1/28]], [[0, 0, 0], [-121531891/28, 14795839/14, -1641389/28], [2606175/14, -252450/7, -19305/14], [868725/28, -42075/7, -6435/28]]], 1, 12, [], [] >,
< [ -1, -4, 0, 1 ], [[4, 0, 0]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, 0, 3], [0, 0, 0], [0, 1, 1]], [[0, 0, 0], [1199/4, 211/4, -363/4], [0, 0, 0], [51/4, 69/4, -39/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13501/28, 767/28, -463/28], [85/7, -5/7, 3/7], [-85/28, 5/28, -3/28]], [[0, 0, 0], [-1930212/7, -82265/7, -383311/7], [48600/7, 1944/7, 9720/7], [-12150/7, -486/7, -2430/7]]], 1, 20, [], [] >,
< [ -1, -4, 0, 1 ], [[144, 672, 320]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-15, -21, -13], [0, -4, -6], [0, 0, 0]], [[0, 0, 0], [331193/7, 122079/7, -110337/7], [-312, 8099, -2852], [-6, -1/7, -2/7]], [[0, 0, 0], [3140954107, -582915223/7, -4606992751/7], [-250882734, -199709382, 151916932], [-3331794/7, -577722/7, 999802/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 20, 12], [10, 10, 6], [0, 0, 0]], [[0, 0, 0], [120486/7, 30866/7, -76778/7], [-50072, 9736, 3618], [-6/7, -26/7, -2]], [[0, 0, 0], [-546507, -109871/7, 1054713/7], [1875307, 130970, -468753], [37/7, 118/7, 53/7]]], 0, 2880, [], [] >,
< [ -1, -4, 0, 1 ], [[4, -12, -12]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, -3, 3], [-6, 2, 2], [0, 0, 0]], [[-43/2, 1/2, -1/2], [1609/14, 103/2, 2321/14], [-773/2, 383/2, 381/2], [-43/14, 1/14, -1/14]], [[-35385/2, -18535/2, 17187/2], [1925019/14, 2852823/14, -1931829/14], [-618183/2, -117081/2, 173917/2], [-5055/2, -18535/14, 17187/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, 21/2, -11/2], [9/2, 21/2, -11/2], [-4, 8, 8], [0, 0, 0]], [[225, -585, 235], [1531/7, -4285/7, 1567/7], [-1418, 255, 386], [-4/7, -11/7, -6/7]], [[270075/2, -23985/2, -46605/2], [1878557/14, -218759/14, -349291/14], [-521830, -1694, 144008], [-946/7, -242, -682/7]]], 0, 1440, [], [] >,
< [ -1, -4, 0, 1 ], [[-20, -20, 12]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, -5, 3], [10, -2, -10], [0, 0, 0]], [[0, 0, 0], [-8530/7, 5954/7, 1746/7], [-13789/2, -9453/2, -3/2], [-29/14, 1/2, -3/14]], [[0, 0, 0], [-50965470/7, 17430460/7, 5322388/7], [-34092201, -7853597, 8247385], [-11253, 28303/7, 1705/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-31, -21, 9], [-2, 4, -2], [0, 0, 0]], [[0, 0, 0], [-49747952/91, -25597214/91, 5889264/91], [-1488543/26, 177857/26, -103773/26], [35/26, 145/182, 3/182]], [[0, 0, 0], [31437584813/13, 523911890711/91, -291858446469/91], [-15153816673/26, -61045636189/26, 32355389559/26], [-467757/182, -465201/182, 287631/182]]], 0, 720, [], [] >,
< [ -1, -4, 0, 1 ], [[-20, -8, 8]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-931233/503, -1144761/1006, -2931/1006], [2522/503, 2409/1006, 5/1006], [707/1006, -916/503, 1/1006]], [[0, 0, 0], [-1010831622485/1006, -58273096185/1006, 244639995765/1006], [1436540718/503, 120939498/503, -367822242/503], [414515350/503, 149957400/503, -333714925/1006]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12920139/1006, 1403497/503, -3011/1006], [2277801/13078, 1842422/6539, 329/13078], [-7851/6539, -32229/13078, -3/13078]], [[0, 0, 0], [-2074901558068105/1006, -110879267005575/1006, 518125051446645/1006], [102908112292556/6539, 8042434290411/6539, -28111330916323/6539], [-578732158455/6539, -105219162355/13078, 165099737030/6539]]], 1, 60, [], [] >,
< [ -1, -4, 0, 1 ], [[-20, -20, 12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, -16, -10], [9, 7, 3], [0, 0, 0]], [[0, 0, 0], [-20889/2, -165671/2, 93337/2], [-2945, 30661, -15955], [-5/2, 1/2, 5/2]], [[0, 0, 0], [-22098019, -137111226, 137925413/2], [-302580, 51226004, -23822549], [-3975, -2903, 3841/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [302, 66, 72], [13, 3, 3], [0, 0, 0]], [[0, 0, 0], [718539507/26, -180879319/26, -13530727/26], [15465694/13, -3682130/13, -394890/13], [-47/26, -5/26, -1/26]], [[0, 0, 0], [8869429236234/13, 21229311455999/26, -6784548435248/13], [376552563936/13, 441916581649/13, -283809404838/13], [-484584/13, -961787/26, 286761/13]]], 0, 960, [], [] >,
< [ -1, -4, 0, 1 ], [[96, 16, -32]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [11, -1, -4], [-5, -10, 1], [0, 0, 0]], [[0, 0, 0], [9994421/13, 1026093/13, -2319801/13], [-286941/2, 168123/2, 132715/2], [1/2, -11/26, 5/26]], [[0, 0, 0], [46095405754/13, 2910813316/13, -11763103746/13], [-781614685, -85167437, 199995463], [40825/13, 9545/13, -13915/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [55, 68, 35], [4, 15, 3], [0, 0, 0]], [[0, 0, 0], [3704976/7, 306863/7, -891948/7], [11055/2, 4813/2, -1555/2], [-41/182, -89/182, 3/182]], [[0, 0, 0], [294088349/91, 19230089/91, -74729775/91], [61523/2, 3591/2, -15113/2], [-113/182, 19/182, 11/182]]], 0, 5760, [], [] >,
< [ -1, -4, 0, 1 ], [[76, 12, -20]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [1, 0, 0], [0, 0, 0]], [[17/2, 1/2, 5/2], [-77/13, -3/13, -79/13], [17/4, 1/4, 5/4], [17/52, 1/52, 5/52]], [[-765/2, 315/2, 135/2], [3077/13, -3663/13, -145/13], [-765/4, 315/4, 135/4], [-765/52, 315/52, 135/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 1, 0], [1, 0, 0], [0, 0, 0]], [[-239/2, -415/2, -3/2], [60985/91, 102503/91, 1487/91], [239/4, 415/4, 3/4], [-239/364, -415/364, -3/364]], [[-56124823/2, -7488367/2, 17176645/2], [14670552021/91, 1853846783/91, -4430297819/91], [56124823/4, 7488367/4, -17176645/4], [-56124823/364, -7488367/364, 17176645/364]]], 0, 960, [], [] >,
< [ -1, -4, 0, 1 ], [[24, 4, -8]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-120542621/5677, -606815719/5677, 28451/11354], [-1538417/38, -7744377/38, -61/19], [57584/1402219, 289867/1402219, 5/2804438]], [[0, 0, 0], [-1635758973182869/11354, -537869965413479/11354, 308806973319641/5677], [-10437234875711/38, -3431956914733/38, 1970390562701/19], [390616250662/1402219, 128454244060/1402219, -147490552360/1402219]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 22, -1], [3, 6, 0], [0, 0, 0]], [[0, 0, 0], [297621514660/39739, 270584736186/39739, -25878017/39739], [-146307121/133, -133124772/133, -38072/133], [2297891/19631066, 54988/516607, 3/19631066]], [[0, 0, 0], [-2196803302465378468/39739, -2064908847288574086/39739, 2957482002494606175/79478], [2159639457566441/266, 2030635623071413/266, -727024696377799/133], [-8480334261494/9815533, -15943188732333/19631066, 5708601629516/9815533]]], 1, 90, [], [] >,
< [ -1, -4, 0, 1 ], [[36, -28, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [49, 3, -27], [0, 0, 4], [0, 0, 0]], [[0, 0, 0], [-707493, -48420, 181635], [-3689, 523, 429], [0, -1, 2]], [[0, 0, 0], [223805246, 29113143/2, -56915094], [1233772, 50529, -300862], [-100, 165/2, -5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [578, 94, -96], [9, -3, 3], [0, 0, 0]], [[0, 0, 0], [-8542887393/14, -576459616/7, 862591110/7], [-73940819/7, -77394/7, -317516/7], [-15/14, 13/7, 2/7]], [[0, 0, 0], [12773031731081283/7, 686942661106129/7, -3130568173249239/7], [213944134371880/7, -50050478696828/7, -21856113402268/7], [26984396/7, -21007564/7, 3014908/7]]], 0, 2880, [], [] >,
< [ -1, -4, 0, 1 ], [[28, -132, 60]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, -4, -4], [35, -11, -3], [0, 0, 0]], [[0, 0, 0], [633, 19563, 18867/2], [7472, -394, -789], [0, 1, 1/2]], [[0, 0, 0], [5, -89, 43], [-16, 160, -72], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2125, -1, -11], [-235, -3, 3], [0, 0, 0]], [[0, 0, 0], [753288755297411/14, -5161779840349/14, 7210869912937/14], [-41662764587747/7, -302454040431/7, -60033184637/7], [-9/14, 3/14, 1/14]], [[0, 0, 0], [-95255487642945385663/14, 264106002338034208417/7, -151478551898240072759/14], [5606314499995996023/7, -27847308680274834844/7, 7683075179573741637/7], [1314711/14, -3101379/7, 2819569/14]]], 0, 63360, [], [] >,
< [ -1, -4, 0, 1 ], [[100, -12, -12]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [1, 0, 0], [0, 0, 0]], [[213/2, -19/2, 1/2], [-2133/13, 5, 51/13], [213/4, -19/4, 1/4], [213/52, -19/52, 1/52]], [[1350221/2, -138339/2, -277487/2], [-13385561/13, 1065975/13, 2897607/13], [1350221/4, -138339/4, -277487/4], [1350221/52, -138339/52, -277487/52]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 1, 0], [1, 0, 0], [0, 0, 0]], [[1385/2, 89/2, -3/2], [-342089/91, -22993/91, 53/7], [-1385/4, -89/4, 3/4], [1385/364, 89/364, -3/364]], [[34438787/2, -21247013/2, 220823/2], [-8506683673/91, 5221041949/91, -38502857/91], [-34438787/4, 21247013/4, -220823/4], [34438787/364, -21247013/364, 220823/364]]], 0, 13440, [], [] >,
< [ -1, -4, 0, 1 ], [[112, -64, 0]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 30, 4], [4, 10, 4], [0, 0, 0]], [[0, 0, 0], [-5457/13, -7053/13, 7040/13], [227, 86, 7], [-50/13, 0, 2/13]], [[0, 0, 0], [-105767, -153379, 99425], [101447/2, -1217/2, -18753/2], [-1827/2, 261/2, 261/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-89, 75, 44], [-1, 14, 7], [0, 0, 0]], [[0, 0, 0], [955402174/91, 82052983/91, -214100932/91], [853713/2, 228519/2, -109681/2], [-1151/182, 57/182, 5/182]], [[0, 0, 0], [-244108236469/91, 377523507587/91, -128064153263/91], [-220215483/2, 280903269/2, -104013503/2], [-1901155/182, -8126007/182, 330125/14]]], 0, 80640, [], [] >,
< [ -1, -4, 0, 1 ], [[28, -16, 0]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-60651257/5677, -63620183/5677, 24893/5677], [219979/19, 12150, 22/19], [13462/107863, 28249/215726, -1/215726]], [[0, 0, 0], [-75668174119697/5677, 7372451352659/11354, 15383313557835/5677], [548839257537/38, -13343567387/19, -111604122509/38], [33589135305/215726, -816684080/107863, -3415060561/107863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-37, -47/2, -13/2], [-4, -19/2, -3/2], [0, 0, 0]], [[0, 0, 0], [354217054934/39739, 228937368181/79478, -66936879916/39739], [123331435/266, 34270379/133, 63003747/266], [215893/1510082, -11082/755041, 2/755041]], [[0, 0, 0], [1281729286560862298/39739, 102275904477795247/39739, -346664830435956682/39739], [205319282630032/133, -34303635036432/133, -40565385817098/133], [426513381008/755041, -19989024172/755041, -89248707496/755041]]], 1, 1260, [], [] >,
< [ -1, -4, 0, 1 ], [[128, -32, -16]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, 13, -5], [8, 8, -2], [0, 0, 0]], [[0, 0, 0], [12585/7, 1009/7, -3347/7], [7393, 490, -1887], [43/7, 0, 3/7]], [[0, 0, 0], [-12749420/7, -632428/7, 3169958/7], [-7551561, -476514, 1914520], [-49731/7, -18084/7, 15070/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, -1, -3], [56, 2, 4], [0, 0, 0]], [[0, 0, 0], [159139/7, -3791/7, -23777/7], [1238447, 102140, -333033], [-7, -4/7, -1/7]], [[0, 0, 0], [1396838742/7, -293401812/7, -26899614], [11470359877, 1213084711, -3126474278], [-394299/7, 192807/7, 17370/7]]], 0, 23040, [], [] >,
< [ -1, -4, 0, 1 ], [[108, -4, -20]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9, -1, 1], [-2, -4, 0], [0, 0, 0]], [[12, 2, -2], [-177/7, -5, 43/7], [-12, -2, 2], [12/7, 2/7, -2/7]], [[163/2, -93/2, 9/2], [-3701/14, -447/2, 2295/14], [-163/2, 93/2, -9/2], [163/14, -93/14, 9/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 25, -13], [7, 25, -13], [142, 8, 8], [0, 0, 0]], [[-1070035/2, -52935/2, 47285/2], [-7490165/14, -370277/14, 331015/14], [395853962, 13232941, -106997770], [2, 1/7, 2/7]], [[31689230175, -229794825, -6714373425], [31689119785, -1609906881/7, -47000004755/7], [-23690997576901, -1495794771714, 6033438150872], [-820621/7, 53286/7, 144752/7]]], 0, 11520, [], [] >,
< [ -1, -4, 0, 1 ], [[108, -4, -20]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -4, 2], [-114, -8, -8], [0, 0, 0]], [[0, 0, 0], [21753675/7, 1206167/7, -504793/7], [-147093549/2, -51284121/2, 4802333/2], [-3/2, -1/14, 5/14]], [[0, 0, 0], [-28083, 28971, -21571], [859676, 266796, 207508], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [145, 27, -37], [-52, -8, 10], [0, 0, 0]], [[0, 0, 0], [24142301/13, 226852489/91, -131416965/91], [-10392391/26, 1070949/26, -773727/26], [-1363/182, -15/182, -3/182]], [[0, 0, 0], [-2773814390864718/91, -2056499427645384/91, 1568181542722596/91], [220975514914847/26, -20574083091059/26, -35047488597179/26], [4066583525/26, -1126412159/182, -5269201031/182]]], 0, 5760, [], [] >,
< [ -1, -4, 0, 1 ], [[32, -8, -4]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3388316/503, -247637/1006, -1332/503], [17211/1006, 270/503, 3/1006], [-1305/1006, -323/1006, 1/1006]], [[0, 0, 0], [1631070723829/503, 73627823629/1006, -355859437621/503], [-8294385823/1006, -90796334/503, 1808594839/1006], [599181383/1006, 15922067/503, -67398688/503]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-58802497/1006, 949617/1006, -6067/1006], [-203307/503, -224984/503, 2/503], [-5/2, -2, 0]], [[0, 0, 0], [10212907842238585/1006, 644228523122470/503, -2820746870019713/1006], [635449253172569/13078, 5776846452011/6539, -125220339795193/13078], [4407784036887/13078, 123782025336/6539, -991301959377/13078]]], 1, 360, [], [] >,
< [ -1, -4, 0, 1 ], [[108, -4, -20]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [25, -3, -1], [112, 8, 2], [0, 0, 0]], [[0, 0, 0], [25978002, -827621, -1127817/2], [118184622, 26287852, 8319747], [-1, -1, 5/2]], [[0, 0, 0], [71145057792219/2, 5058421931055/2, -18380981477705/2], [152315849288494, 10483958727414, -39414867620692], [-1533875/2, 74025/2, 277025/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [356, 0, 4], [-37, -9, -3], [0, 0, 0]], [[0, 0, 0], [-615080596149/26, 42005531701/13, 9197063822/13], [31366361852/13, 944203825/13, -84813655/13], [-29/26, 21/13, -1/13]], [[0, 0, 0], [893427325025388770/13, 7703092158513837/13, -211388741893740212/13], [-87569191713440061/13, -698156214259581/13, 21394397554940847/13], [55128505/13, -2086048/13, -10192479/13]]], 0, 5760, [], [] >,
< [ -1, -4, 0, 1 ], [[-220, -28, 68]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-461, 9, 7], [9, -1, -3], [0, 0, 0]], [[0, 0, 0], [-262, -7277/2, 1628], [4, 5, -2], [2, 5/2, -1]], [[0, 0, 0], [1832295053, -466440114, -336269067/2], [6934466, 884422, -2143295], [3467233, 442211, -2143295/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5533, 87, 29], [-25, 3, 1], [0, 0, 0]], [[0, 0, 0], [546451405112293/13, 114907634929563/13, 90716980536479/26], [-2423742664710/13, 4646942992/13, 1510049097/13], [-17/13, 4/13, -1/26]], [[0, 0, 0], [311818090086872564066549/13, 12757302953158224616764/13, -101543319369452335479757/13], [-1468067090688372353916/13, -122857280545665433746/13, 448886924414946539412/13], [-11057428030/13, -1407312115/13, 3417711770/13]]], 0, 40320, [], [] >,
< [ -1, -4, 0, 1 ], [[-220, -28, 68]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-220, 0, -2], [31, -5, -1], [0, 0, 0]], [[0, 0, 0], [2198993, 347769, 127847/2], [-306958, 12836, 12381], [-2, 1, -3/2]], [[0, 0, 0], [173214884088, 12766746594, -47041318764], [-25401344371, -2106264429, 6833750537], [-196595, -27675, 61705]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-419, -151, -5], [-10, -6, 0], [0, 0, 0]], [[0, 0, 0], [-60076113/26, -41711339/26, 13003547/13], [-551414/13, -27944/13, 24319/13], [-81/26, -49/26, -1/13]], [[0, 0, 0], [-11376284986243685/13, -44422121876868695/26, 13076571941382217/13], [-65704890798211/13, 162717305067852/13, -61274990276705/13], [-7410971250/13, -1886266875/26, 2290624275/13]]], 0, 40320, [], [] >,
< [ -1, -4, 0, 1 ], [[68, -28, -12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -34, -10], [21, 1, 1], [0, 0, 0]], [[0, 0, 0], [62731, 86943, -5177], [-422786, 2470, 82470], [-2, 2, -2]], [[0, 0, 0], [121871995/2, -3933857/2, -30223703/2], [-649580445, -45672845, 167350529], [-8371/2, -1155/2, 2563/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, 31, -17], [17, 65, 5], [0, 0, 0]], [[0, 0, 0], [-1879475/2, -129819/2, 481211/2], [384063, 30231, -91439], [-7/2, -11/2, -1/2]], [[0, 0, 0], [4471625150, 283194482, -1133984854], [-1823212320, -105411696, 474030768], [8325, -8595, -5175]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[-152, -88, 72]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, 9/2, 5/2], [-21/2, 91/2, 39/2], [-7/2, 9/2, 5/2], [0, 0, 0]], [[0, 0, 0], [3, -2, 0], [2, 0, 0], [1, 0, 0]], [[935/2, 575/2, -485/2], [4929/2, 4729/2, -3379/2], [935/2, 575/2, -485/2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [21, 1, -7], [-3, -11, -3], [0, 0, 0]], [[-3/2, 1/2, 5/2], [537435, 38089, -138159], [-23823/2, -10847/2, 10549/2], [-3/2, 1/2, 5/2]], [[71/2, 5/2, -35/2], [-12286148, -809381, 3129519], [495625/2, 76357/2, -147239/2], [71/2, 5/2, -35/2]]], 0, 40960, [], [] >,
< [ -1, -4, 0, 1 ], [[16, -48, 16]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -38, -6], [-6, -22, -2], [0, 0, 0]], [[0, 0, 0], [600505/2, 18839/2, -172333/2], [-9191, -7917, -3641], [-11/2, -9/2, -3/2]], [[0, 0, 0], [100314835, 59006109, -50270869], [4834687, 24063379, -12422121], [1003, 7871, -3927]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -2, 2], [-5, -9, 3], [0, 0, 0]], [[0, 0, 0], [-28830, -7628, 5816], [4250, 1086, 690], [0, 0, -2]], [[0, 0, 0], [113358697/2, 7642503/2, -28997621/2], [-8535376, -388690, 2102266], [413/2, -449/2, 101/2]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[20, -12, 4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -8, -6], [-8, -12, 4], [0, 0, 0]], [[11/2, 15/2, -1/2], [-34663/4, -1603/4, 7209/4], [10281/2, -13803/2, 4009/2], [11/4, 15/4, -1/4]], [[1079, 747, -415], [-4185811/2, -132505/2, 971241/2], [1397010, -1136576, 220486], [1079/2, 747/2, -415/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 45/2, -15/2], [10, -10, 2], [13/2, 45/2, -15/2], [0, 0, 0]], [[682, 8866, 6138], [-51501, -3521, 12058], [680, 8864, 6142], [0, 3, -1]], [[2281048, 728728, -219912], [182599395/2, 11710639/2, -46497019/2], [2283304, 728896, -220338], [3087/2, 405/2, -831/2]]], 0, 3840, [], [] >,
< [ -1, -4, 0, 1 ], [[-12, -4, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-53/4, -32, 17/4], [3/2, 1, 3/2], [3/4, 1/2, 3/4]], [[0, 0, 0], [85639/4, 29447/4, -7143], [-10791/2, -297/2, 1089], [-10791/4, -297/4, 1089/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [17245/28, 7617/28, 377/14], [-459/14, -141/14, -6/7], [-153/28, -47/28, -1/7]], [[0, 0, 0], [5369239583/28, 1455362757/28, -821364693/14], [-151552269/14, -51431193/14, 26386866/7], [-50517423/28, -17143731/28, 4397811/7]]], 1, 36, [], [] >,
< [ -1, -4, 0, 1 ], [[20, -12, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5, 15, -9], [14, -2, -2], [0, 0, 0]], [[0, 0, 0], [6587/2, 18761/2, 4327], [-2006, -644, 183], [-3/2, -3/2, 2]], [[0, 0, 0], [-388357/2, 122227/2, 226497/2], [322268, 20048, -87454], [211/2, -449/2, 185/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-87, -7, -7], [-9, 3, -5], [0, 0, 0]], [[0, 0, 0], [230142585/7, 47064413/14, -66295881/14], [26309386/7, 529959/7, -600179/7], [23/7, 29/14, 5/14]], [[0, 0, 0], [428095764654/7, -1400457230775/14, 245198583596/7], [5607574004/7, -237351474681/7, 112819436896/7], [43312/7, -81181/14, 14345/7]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[20, -12, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, 29, -21], [5, 3, 5], [0, 0, 0]], [[0, 0, 0], [294359/2, 13079, -27930], [-119531, -19276, 23132], [5/2, 2, -2]], [[0, 0, 0], [4614730401/2, 430211929/2, -1146571491/2], [-1836797972, -171551524, 441347996], [55105/2, -14231/2, -9523/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-407, -133, -41], [9, 7, 3], [0, 0, 0]], [[0, 0, 0], [-2644646469/7, 216812115/14, 443784435/14], [53575801/7, 4369692/7, -459574/7], [8/7, -3/14, -1/14]], [[0, 0, 0], [21824618359631/14, -7493719413842/7, 2776859681380/7], [-219929400526/7, 123033798329/7, -80457770185/7], [-60495/14, 37995/7, -14250/7]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[20, -12, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 76, 22], [15, 7, 5], [0, 0, 0]], [[0, 0, 0], [43, 13/2, -14], [63, 14, -17], [-2, 5/2, 0]], [[0, 0, 0], [-60123, -6084, 33185/2], [-86854, -9458, 23117], [3564, -858, -1089/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [146, 82, 44], [11, -1, 5], [0, 0, 0]], [[0, 0, 0], [63949/7, -217223/7, 964841/14], [-17564/7, -104610/7, 77249/7], [-20/7, 9/7, -1/14]], [[0, 0, 0], [-436682861/14, -300119321/14, 106845357/14], [-22232841/7, -20024181/7, 10421205/7], [55085/14, 6325/14, -15065/14]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[20, -12, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [19, 29, -19], [-5, -3, 1], [0, 0, 0]], [[0, 0, 0], [16843/2, 7220, -4516], [-2427, 734, 1336], [3/2, -2, -1]], [[0, 0, 0], [-68347381, -54771649/2, 28105429], [24957954, 2354001, -6874200], [-18387, 2025/2, 3888]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [67, -123, -23], [-4, 10, 2], [0, 0, 0]], [[0, 0, 0], [1687517/14, -171186/7, -135691/14], [-55698/7, 12077/7, 3160/7], [19/14, 12/7, 1/14]], [[0, 0, 0], [15986445346/7, 13210955739/14, -6633707523/7], [-1070737872/7, -474257961/7, 457905998/7], [88950/7, -94139/14, 15634/7]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[20, -12, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13, -85, 9], [-7, 5, -1], [0, 0, 0]], [[0, 0, 0], [345658, 113466, -190531/2], [-293470, -25008, 77647], [-1, -2, 3/2]], [[0, 0, 0], [56893311/2, 9033411/2, -10957095/2], [-25283001, -1580425, 6417673], [-51/2, 77/2, 31/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [353, 3, 7], [-11, -1, -1], [0, 0, 0]], [[0, 0, 0], [-210860630/7, -615666634/7, 163440285/14], [7624542/7, 23728296/7, -1374927/7], [5/7, -4/7, -5/14]], [[0, 0, 0], [74156402293/14, -110376079679/14, 32960080289/14], [-1078406379/7, 1897390017/7, -596392023/7], [-12969/14, -1221/14, 3443/14]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[20, -12, 4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 10, 10], [3, -1, -1], [0, 0, 0]], [[0, 0, 0], [-69/4, 63/4, 51/4], [11, 21, 5], [17/4, 5/4, 5/4]], [[0, 0, 0], [583319/4, -60913/4, -123357/4], [-71377, -96385, 55747], [-61999/4, 192249/4, -80755/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, 34, -6], [4, 16, -4], [0, 0, 0]], [[0, 0, 0], [78035/28, -2249/28, -22081/28], [-501/7, -295/7, 51/7], [53/28, 85/28, 5/28]], [[0, 0, 0], [-9322984/7, -1297714/7, 2725852/7], [167435/7, -98045/7, 12851/7], [-564/7, 10716/7, -5220/7]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[-52, -20, 28]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [535335/503, 1004055/503, 7129/503], [4541/503, 8445/503, 5/503], [0, 0, 0]], [[0, 0, 0], [9277313492009/1006, 4095598589947/1006, -3560466746617/1006], [39576793225/503, 17420063380/503, -15209051178/503], [489/1006, -7439/1006, -5/1006]], [[0, 0, 0], [53563023067799397355/503, 1782584126207690541/503, -12783797431067541251/503], [457157707538803755/503, 15220975293289197/503, -109119132256053175/503], [16678293165/503, 3113045025/503, -5460443923/503]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [760895/503, 47007/503, 3757/503], [6444/503, 360/503, 2/503], [0, 0, 0]], [[0, 0, 0], [-6047182461129/1006, -538611982211/1006, 1627538472031/1006], [-333285837999/6539, -29654588096/6539, 89651839175/6539], [-48397/13078, 33161/13078, -3/13078]], [[0, 0, 0], [-131537112509541042353/1006, -3770648985245975833/1006, 30672835777379697039/1006], [-7250215259717858761/6539, -209017265790454373/6539, 1692071664012693183/6539], [-1615774175445/13078, -1199674996857/13078, 808019881911/13078]]], 0, 11520, [], [] >,
< [ -1, -4, 0, 1 ], [[148, 52, -60]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 16, 12], [-15, -69, -39], [0, 0, 0]], [[0, 0, 0], [-2037859115/11354, 398407027/11354, -8400785/11354], [-6450591/19, 1437360/19, 60226/19], [969473/2804438, -198287/2804438, 3/2804438]], [[0, 0, 0], [815305419729297309/11354, 52560885900045833/11354, -207131925855451643/11354], [136614645102938, 167338153097698/19, -659443811758842/19], [-388615357006635/2804438, -25053150767315/2804438, 98729441901585/2804438]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-49, 15, 5], [-1, 5, 1], [0, 0, 0]], [[0, 0, 0], [-1006059909765/79478, -57979272423/79478, -14817441257/79478], [14274347/7, 13972492/133, 417217/133], [-4174223/19631066, -11091/1033214, -5/19631066]], [[0, 0, 0], [54655483630782628571/11354, 14065840359117108887/11354, -19442555990481928205/11354], [-14713927728943346/19, -3691025406091290/19, 5179805747781630/19], [226452295557641/2804438, 56659995411633/2804438, -79631827028379/2804438]]], 0, 23040, [], [] >,
< [ -1, -4, 0, 1 ], [[324, -28, -76]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, 11, 7], [11, 9, 5], [0, 0, 0]], [[0, 0, 0], [200139013/11354, 25298477/11354, -657225/11354], [-312241/19, -41529/19, -12252/19], [-43955/215726, -5541/215726, 1/215726]], [[0, 0, 0], [-1381566554821/5677, -829956441121/5677, 71549969021/5677], [4406193908/19, 2978431520/19, -108147300/19], [303968160/107863, 184235168/107863, -15231520/107863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [56, 50, 14], [-5, 15, 5], [0, 0, 0]], [[0, 0, 0], [264319713183/79478, -39661801625/79478, -61418016223/79478], [-44600424/133, -189034/7, -11707/133], [-438757/1510082, 27705/1510082, -5/1510082]], [[0, 0, 0], [-6294978956753697489/79478, -292424183695412403/79478, 1464554508751066799/79478], [995862173604451/133, -38974920359314/133, -249162312891453/133], [10144359441975/1510082, -428115521275/1510082, -2392600406775/1510082]]], 0, 322560, [], [] >,
< [ -1, -4, 0, 1 ], [[84, -12, 4]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4070851/503, -75061/503, 4409/503], [34503/503, -683/503, -1/503], [0, 0, 0]], [[0, 0, 0], [-233310472305734/503, -15117287456018/503, 64787218086383/503], [-1978055215026/503, -128481360904/503, 549036835927/503], [598/503, -3881/503, -2/503]], [[0, 0, 0], [873321810766064013559/1006, 89204237276612159703/1006, -238485550148404141923/1006], [3701921792297894555/503, 377944760510623023/503, -1010791866067130194/503], [-1933194529/1006, 14013957065/1006, -5865512189/1006]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [68338011/503, 309459/503, -3403/503], [579157/503, 2695/503, 1/503], [0, 0, 0]], [[0, 0, 0], [1009977287956350503/1006, 187641074710675745/1006, -310902658986404661/1006], [55634779223596080/6539, 10336176797043239/6539, -17125993997096304/6539], [-24851/13078, -76133/13078, -1/13078]], [[0, 0, 0], [-226290054232825000211091133/503, -11651778586081483326926335/503, 56113414688261892561039071/503], [-24930470560956915289985265/6539, -1283689191446514296404397/6539, 6182042913887012602274755/6539], [1052793699601/6539, -896019512941/6539, 51111487683/6539]]], 0, 92160, [], [] >,
< [ -1, -4, 0, 1 ], [[4, -12, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, 77, -25], [-1, 13, 3], [0, 0, 0]], [[0, 0, 0], [4276971/4, 296171/2, -2691237/4], [497031/2, -202416, -420041/2], [15/4, 1, 1/4]], [[0, 0, 0], [-5874739745/4, 1133029477/2, 161003637/4], [-944502477/2, 997278, 182382245/2], [-25025/4, -1540, 8855/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, -24, 2], [-1, -3, 3], [0, 0, 0]], [[0, 0, 0], [131973/28, 1205/7, -35673/28], [-65/14, 12/7, 29/14], [25/28, 11/14, 5/28]], [[0, 0, 0], [-225237447/28, -39997953/28, 34431665/14], [-13761/14, -445863/14, 108295/7], [-13365/28, 67903/28, -6732/7]]], 1, 120, [], [] >,
< [ -1, -4, 0, 1 ], [[4, -12, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -10, 4], [1, -5, 1], [0, 0, 0]], [[0, 0, 0], [1109/2, -3337/4, -3307/4], [-411, -845/2, -443/2], [-2, -3/4, -3/4]], [[0, 0, 0], [16690251/2, -4049690, 748441/2], [-5047383, -2720614, 2566907], [-62667/2, -22366, 36081/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-135, -15, 5], [13, 1, 5], [0, 0, 0]], [[0, 0, 0], [98214037/14, 1542924/7, -7970462/7], [-4697495/7, 424862/7, -121164/7], [45/14, -4/7, 1/7]], [[0, 0, 0], [-25833948908619/28, 11732449363639/28, 708354171759/14], [878041251561/14, -2033393205309/14, 305436035363/7], [-7785725/28, 22710395/28, -1920405/7]]], 1, 144, [], [] >,
< [ -1, -4, 0, 1 ], [[4, -12, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-15, -17, 5], [-4, 2, -4], [0, 0, 0]], [[0, 0, 0], [-57651, -22094, 6285], [-26647, -11201, 709], [-3, 0, -1]], [[0, 0, 0], [71403757/2, -660079/4, -33962041/4], [17017623, 3902155/2, -10179933/2], [2835, 9855/4, -7425/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [150, 6, 6], [-7, 1, 1], [0, 0, 0]], [[0, 0, 0], [65558039/28, 34534672/7, 67317953/28], [-845741/14, -6014/7, 34591/14], [-5/28, 9/14, -1/28]], [[0, 0, 0], [-65552841681/7, -57786809673/28, -79821553053/28], [2868044721/7, -1535234661/14, -376243815/14], [17081/14, -129195/28, 46255/28]]], 1, 120, [], [] >,
< [ -1, -4, 0, 1 ], [[4, -12, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11, -1, -1], [-7, -5, -1], [0, 0, 0]], [[0, 0, 0], [2171/2, -2647/4, -565/4], [616, -565/2, -561/2], [0, -5/4, -1/4]], [[0, 0, 0], [388593/2, -388695/2, 94945/2], [131338, -11990, -24978], [25/2, -335/2, 145/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-126, -28, -6], [-7, -9, -3], [0, 0, 0]], [[0, 0, 0], [-154888295/28, 509896747/28, -55117032/7], [-6114099/14, 122189/14, 3538/7], [115/28, 27/28, 1/14]], [[0, 0, 0], [-74183130194641/14, -639877071005203/28, 335390475593067/28], [64495799878/7, -2153934207569/14, 958399343007/14], [-1528120/7, 24752071/28, -9366681/28]]], 1, 120, [], [] >,
< [ -1, -4, 0, 1 ], [[-7, -4, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[16, 149/2, 71/2], [4, 143/2, 69/2], [16, 149/2, 71/2], [0, 0, 0]], [[15075, -4605/2, -765/2], [1409115/4, 387071/2, -674001/4], [30161/2, -4623/2, -390], [-25/4, -1/2, -1/4]], [[-18378121320, -10765303380, 8770177260], [-812393232431/4, 286621447310, -362067395129/4], [-36768624115/2, -10761460975, 17544242815/2], [28559465/4, 8043105/2, -12289695/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 2, -1/2], [45/2, 0, -1/2], [1/2, 2, -1/2], [0, 0, 0]], [[13/2, 1, 5/2], [1715/4, 30, -435/4], [5, 12, 10], [13/4, 1/2, 5/4]], [[-229633, -92848, 85387], [-26789819/2, -849077, 6786645/2], [-118547, -133469, 52227], [-229633/2, -46424, 85387/2]]], 0, 16, [], [] >,
< [ -1, -4, 0, 1 ], [[-5, -1, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 31/2, 8], [21/2, 27/2, 6], [5/2, 31/2, 8], [0, 0, 0]], [[-7663/2, 4935, 987], [92179/2, 70669/4, -65467/4], [-7653/2, 9875/2, 1973/2], [-5/2, -5/4, 1/4]], [[-196925253/2, 340538809/2, -139688305/2], [5874757735/4, 3740226809/4, -781037792], [-98326074, 170297093, -139792129/2], [-273105/4, -55377/4, 25956]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -7, -5/2], [-63/2, -9, -11/2], [-1/2, -7, -5/2], [0, 0, 0]], [[172141/2, -19081/2, 5070], [-9314641/4, 416625/2, 1913095/4], [86077, -19083/2, 10145/2], [13/4, -1/2, 5/4]], [[-22967965, -5282727/2, 6927002], [2410319905/4, 55245324, -637207633/4], [-45939545/2, -5283247/2, 13855249/2], [-3615/4, -130, 1245/4]]], 1, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -9, 7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 5/2, -1/2], [-4, -13/2, 9/2], [4, 5/2, -1/2], [0, 0, 0]], [[5411, 398, -1257], [-3110, 2859/4, 1641/4], [5412, 795/2, -2519/2], [-1/2, 1/4, 5/4]], [[986014683/2, 54440345/2, -122745702], [-589688849/2, 56328611/2, 52732327], [986256223/2, 54653389/2, -122829266], [-60385, -53261, 41782]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, -5/2, 5/2], [9, -23/2, 5/2], [-8, -5/2, 5/2], [0, 0, 0]], [[27883/2, 25748, 26565/2], [-36627/4, 59445/2, 176673/4], [13940, 25748, 13284], [3/4, 0, -3/4]], [[-19398, 14095/2, -10571/2], [66046, 395723/4, -295639/4], [-19393, 7052, -5289], [-5/2, -9/4, 7/4]]], 0, 64, [], [] >,
< [ -1, -4, 0, 1 ], [[-14, -8, 6]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-313/2, -1395/2, -328], [-263/2, -476, -449/2], [-50, -443/2, -213/2], [0, 0, 0]], [[-40256340, -30187726, 2964554], [-3781433043/2, -105524063, 917130551/2], [-43808404, -587486, 3552022], [-17/2, -5/2, -2]], [[-8315338956955, 3295264203585/2, 838342262785/2], [-513251828106242, -90283373083481/2, 271272646033073/2], [-26174498660245/2, -4352734831343, 9543808931987/2], [-5204745/2, -2999529/2, 1125579]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-209, -934, -441], [-141, -637, -302], [-67, -299, -142], [0, 0, 0]], [[101494, -9331, -26071], [-2010425/2, -64522, 499831/2], [143871, 16306, -42377], [-1/2, -5/2, 0]], [[16113546358, 2244704761/2, -8247541289/2], [-306353560939/2, -19868252633/2, 38949682000], [43094516049/2, 1309941022, -10867423333/2], [24753, 13695, -10440]]], 0, 96, [], [] >,
< [ -1, -4, 0, 1 ], [[-6, -6, 4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19, -81, -36], [-14, -132, -66], [-6, -23, -13], [0, 0, 0]], [[327614, 442908, 181601/2], [-18222043/4, 1391081/4, 5917997/4], [630727/2, 78547, 12250], [9/4, -7/4, -1/4]], [[1909435825/2, -418417891, -250492793/2], [-45003307759/2, -1797268633, 5696930480], [3157331437/2, 997479319/2, -623964721], [32045/2, 21335/2, -16915/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, 71/2, 15], [-37/2, 47, 63/2], [1, 17/2, 13/2], [0, 0, 0]], [[376943, 201330, -181069/2], [68156301/4, 4755129/4, -16959075/4], [838991/2, -47991, -42541], [-11/4, -3/4, -1/4]], [[1266903973/2, -3043135543/2, 1274446231/2], [226819989967/4, 18044043613/4, -58890352541/4], [4059228311/2, 4066691143/2, -2792257747/2], [-49679/4, -52699/4, 32767/4]]], 1, 4, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -2, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[18, 169/2, 79/2], [-4, -3/2, 3/2], [18, 169/2, 79/2], [0, 0, 0]], [[912, 7770, 3674], [-3379, -2475/4, 4119/4], [913, 15543/2, 7343/2], [1/2, 3/4, -5/4]], [[-68278195, -4686570, 17478425], [-1042581597/4, -16382544, 264076869/4], [-136482827/2, -4687683, 34941457/2], [73563/4, -1113/2, -15393/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -41/2, -19/2], [-22, -33/2, -27/2], [-4, -41/2, -19/2], [0, 0, 0]], [[-139451/2, -5590, 14807/2], [29549437/14, -4773485/28, -11349017/28], [-976523/14, -78257/14, 51832/7], [-61/14, 1/28, 5/28]], [[-22255521600, -2586542400, 7841496000], [19864596290433/28, 1852532807397/14, -6133387954039/28], [-311700433617/14, -18118028844/7, 109829963421/14], [-41043739/28, -2038674/7, 16339807/28]]], 0, 40, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -2, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 2, -1/2], [-7/2, 10, 3/2], [1/2, 2, -1/2], [0, 0, 0]], [[5/2, -3/2, 1], [7657/4, 463/4, -483], [0, 0, 0], [5/4, -3/4, 1/2]], [[449283/2, 96069/2, -86676], [538465971/4, 35355635/4, -68541999/2], [0, 0, 0], [449283/4, 96069/4, -43338]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19, -3/2, -3/2], [-261, -99/2, -79/2], [-19, -3/2, -3/2], [0, 0, 0]], [[-2623995, 736155/2, -12825/2], [-248138703/7, 49309753/14, -22526349/14], [-18367557/7, 5153205/14, -89763/14], [68/7, 10/7, 1/7]], [[9532476225/2, 2965234905/2, -2047806225], [1790559032123/28, 550376702031/28, -404201411511/14], [33363008304/7, 10378224723/7, -14334366009/7], [-438989/28, -64963/28, 46261/7]]], 0, 40, [], [] >,
< [ -1, -4, 0, 1 ], [[10, 0, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 2, -1/2], [-21/2, -6, 19/2], [-5/2, 2, -1/2], [0, 0, 0]], [[-926, 135, 406], [-19323/4, -20051/2, -17137/4], [-1845/2, 135, 815/2], [-7/4, 0, -3/4]], [[-6174117/2, -206254, 1588725/2], [-8493211, -1484195/2, 1993696], [-6150639/2, -205953, 1583307/2], [-11739/2, -301/2, 2709/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, -2, 1/2], [9/2, 6, -19/2], [-11/2, -2, 1/2], [0, 0, 0]], [[-609, 3, 213], [-227293/28, -824039/28, 224559/14], [-8775/14, -99/14, 1485/7], [-83/28, -47/28, -1/7]], [[-43862, -7826, 13650], [-34379183/28, -30429710/7, 65254885/28], [-628993/14, -54797/7, 194205/14], [-4975/28, -5/14, 1035/28]]], 1, 6, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -2, 4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[35/2, 45/2, 2], [83/2, 2, 49/2], [16, 1/2, 3/2], [0, 0, 0]], [[2334309, 9301165/2, 2787773/2], [11294479/2, 11818835/2, 9151589/2], [3746231/2, 932693, 922387/2], [3/2, 2, -1]], [[177036468, -63232463/2, -149009301/2], [1259093333/2, -214714329/2, -194619465], [488220985/2, -7430626, -134148049/2], [145, 30, -50]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17, -45/2, -5/2], [805/2, 9/2, -9], [-31/2, -1, -3/2], [0, 0, 0]], [[511578272, 448732388, -29781856], [-193881533605/14, 5523704535/14, 10174442027/7], [3696772054/7, -92748916/7, -115724096/7], [-13/7, 11/14, -1/14]], [[364487557596, -815067610180, -458230399012], [-270764272635305/14, 3975259252866/7, 54564422967301/7], [5076049679546/7, -682976085360/7, -2524636726174/7], [-21425/7, -8525/14, 8875/7]]], 0, 24, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -2, 4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 31/2, 15/2], [-33/2, 25/2, 2], [1/2, 5, 5/2], [0, 0, 0]], [[4811/2, 421, -1301/2], [86655, -40964, 12], [6145/2, 33/2, -667], [1/2, -1, -5/2]], [[673935, 61005, -171760], [28044374, -1447389/2, -5926269], [894520, 48825, -220585], [147, -147, -441/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[24, 105, 51], [78, 285, 125], [9, 36, 15], [0, 0, 0]], [[824, 1375, 245], [158593/14, 16927/7, -14123/14], [4901/7, 800/7, 1095/7], [17/14, 13/14, 1/7]], [[-804455/2, -1217588, 1355303/2], [1663958/7, 64035091/14, -15303289/7], [4783731/14, 19930381/14, -5218054/7], [-1507/14, -163/7, 312/7]]], 0, 24, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -2, 4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[55/2, 251/2, 61], [59/2, 80, 85/2], [9, 85/2, 37/2], [0, 0, 0]], [[90685/2, 74200, 41195/2], [-1479607/2, 29795, 196541], [82445/2, 32931/2, 4128], [5/2, -1/2, -1/2]], [[-145323605/2, -252456365/2, -60014185], [1213662096, 55706106, -782198387/2], [-75903745, -126483875/2, 6462445/2], [-4510, -1925/2, 1830]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 7, -3/2], [-212, 25/2, 3/2], [11/2, -5/2, 1], [0, 0, 0]], [[-1767392, -1874048, -32736], [442076416/7, 154015623/14, -22533062/7], [-12112972/7, 29560/7, -258718/7], [-13/7, 2/7, -1/14]], [[-362412072, 247319424, 158839032], [139093312837/7, 3153849957/7, -49294791397/7], [-4114989432/7, -466247056/7, 1578116404/7], [-4674/7, -836/7, 1805/7]]], 0, 24, [], [] >,
< [ -1, -4, 0, 1 ], [[10, 0, -2]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 14, 7/2], [6, 19/2, 21/2], [15/2, 5/2, 1], [0, 0, 0]], [[1212928, 1251200, -70656], [1925625/4, -2679089/4, 5141737/4], [1158464, -125120, 54464], [-1/4, -9/4, 1/4]], [[17743934016, 1171003968, -4642417152], [14393595263, 103429263, -6864506543/2], [23709190464, 1322839296, -5965256448], [13211/2, 44, -1364]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -6, -1], [-75, -3, -18], [-2, 0, -1], [0, 0, 0]], [[-309665/2, -123765, 23475/2], [-170270315/28, -3065975/28, 21218217/28], [-2302879/14, 29033/14, 67658/7], [-43/28, -9/28, -3/28]], [[-110116941885/2, -10281124575, 30478119255/2], [-35967412636483/14, -324444062326/7, 4065492470863/7], [-977551815315/14, 6578827945/14, 103380515360/7], [-8696265/14, -85/14, 1744115/14]]], 1, 6, [], [] >,
< [ -1, -4, 0, 1 ], [[-24, -17, 13]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-49, -435/2, -207/2], [-38, -427/2, -197/2], [11, 4, 5], [0, 0, 0]], [[-900460, 51884, 120960], [153594150/7, 1605077/7, -35472355/7], [22842509, 354909/2, -10376875/2], [41/7, 5/14, -3/14]], [[-314615811381/2, -157091278161/2, 71595615901], [47632032396353/14, 9570304538271/14, -7591952546350/7], [3559597083493, 1524268188135/2, -2312315867401/2], [7199049/7, 1206777/2, -6987201/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 83/2, 20], [17/2, 83/2, 20], [5, 4, -5], [0, 0, 0]], [[5262, -79, -2235], [36725/7, -281/7, -2232], [-66837/2, -27308, 40853/2], [-89/14, -2/7, 5/14]], [[53941611/2, -4121080, -8751003/2], [374869779/14, -30199207/7, -8471875/2], [-156833565/2, 411350941/2, -79707028], [-535501/14, -192659/14, 103156/7]]], 0, 192, [], [] >,
< [ -1, -4, 0, 1 ], [[-17, -6, 7]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 62, 29], [9, 62, 29], [-10, -1, -1], [0, 0, 0]], [[1635/2, 285/2, -208], [9805/14, 1277/14, -213], [3161/2, 335/2, -419], [101/14, 1/14, 2/7]], [[-653183411/2, 1960761/2, 74098587], [-3924976949/14, 94183927/14, 413079451/7], [-648530805, -19115894, 154528916], [-23822742/7, -1136915, 9585068/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-641/2, -3/2, -2], [-649/2, -7/2, -12], [-2, -1, -5], [0, 0, 0]], [[-26381030561/2, -1233889105/2, 2984116577], [-2430746979419/182, -112022381973/182, 271136428830/91], [-2148115899/26, 18684283/26, -29870111/13], [237/182, -29/182, 1/91]], [[-271043451453482, -51796692308111/2, 147032020644535/2], [-25004561366754857/91, -4915417052658195/182, 13646733555207453/182], [-48516037332015/26, -7211476761863/13, 19058832357587/26], [5553285/182, 915325/91, -2215345/182]]], 0, 48, [], [] >,
< [ -1, -4, 0, 1 ], [[-17, -6, 7]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-29, -253/2, -117/2], [-29, -253/2, -117/2], [-23, 1, -2], [0, 0, 0]], [[-13854300, -504754, 936632], [-96978997/7, -3532770/7, 6556479/7], [-528433160, -114388037/2, 290115667/2], [-68/7, -5/14, -5/14]], [[227645273035099/2, 61530002146311/2, -41555570760931], [1593501258465649/14, 61529700751943/2, -290886394242691/7], [3883095032069616, 43476427563173, -888791532462339], [579798516/7, 211102133/7, -241731039/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-603/2, -5/2, -2], [-667/2, -5/2, -18], [8, 0, 4], [0, 0, 0]], [[-14527042177, -808730081/2, 4832314015/2], [-1464234507653/91, -71449993547/182, 441278809801/182], [5081212234/13, -38292729/13, -27468393/13], [-263/91, -23/91, -2/91]], [[-789217809905475111, -312753970518955203/2, 509823884545516733/2], [-80204298120023959703/91, -35030888618109665223/182, 7645750703144714295/26], [598963778800217911/26, 117326573554050639/13, -254510504772531283/26], [-29906513285/182, -5266824453/91, 12301022921/182]]], 0, 48, [], [] >,
< [ -1, -4, 0, 1 ], [[-17, -6, 7]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19/2, 82, 77/2], [19/2, 82, 77/2], [-19, -5, 0], [0, 0, 0]], [[11403304, 1506859/2, -5816299/2], [79823071/7, 1506807/2, -40714127/14], [45677331/2, 2988485/2, -5812399], [51/14, 5/14, 1/7]], [[1635753798038, 204635108779/2, -828126046675/2], [1635754039268, 1432469945857/14, -5796892168909/14], [3277755621694, 208340378893, -831326630293], [4030734/7, 1361853/7, -1625013/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-377/2, -1, 3/2], [-729/2, -21, -21/2], [44, 5, 3], [0, 0, 0]], [[-408295180557/2, 13915552744, 19510178437/2], [-71493857701003/182, 1328132870147/91, 1506152943401/182], [1226392723607/26, -4415541649/26, 4808451782/13], [-1/26, -19/182, 2/91]], [[-8368961180, -409433860, 2072745920], [-16001968400, -768267628, 3960900428], [1908251805, 89708442, -472038627], [0, 0, 0]]], 0, 48, [], [] >,
< [ -1, -4, 0, 1 ], [[3, -4, 1]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 3/2, -1], [-3/2, 3/2, -1], [35, 0, 5], [0, 0, 0]], [[935, 54, -104], [6533/7, 48, -722/7], [-34879/2, -5545/2, 5219/2], [3/14, -3/14, 3/14]], [[59989/2, -5013/2, -5918], [419445/14, -5215/2, -40988/7], [-556602, -815/2, 265089/2], [43/7, -163/14, 51/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[105/2, 3, 3/2], [153/2, 11, 19/2], [12, 4, 4], [0, 0, 0]], [[-26255977/2, 135595, 3256483/2], [-490108071/26, -9969642/91, 285640451/182], [-74392691/26, -3187435/26, -764341/26], [-89/182, -15/182, -3/182]], [[-2986419607/2, 1354803660, -566356013/2], [-368081510289/182, 214458608487/91, -15885876971/26], [-6880050927/26, 13024857673/26, -2130862282/13], [-8539/182, 13193/182, -1880/91]]], 1, 8, [], [] >,
< [ -1, -4, 0, 1 ], [[18, 0, -2]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2284267/1006, -716547/1006, 1627/503], [5941/1006, 1869/1006, 1/503], [0, 0, 0]], [[-2114, -2695/2, -1/2], [-2050952341557/1006, -155341481563/1006, 228398921650/503], [2666673512/503, 201834193/503, -593274165/503], [-1057/503, -2695/2012, -1/2012]], [[8764674, -13371013/2, 1637121/2], [13088614734981183/1006, 1990335039484062/503, -4834381833645365/1006], [-17031587321710/503, -10442295668317/1006, 12620902911289/1006], [4382337/503, -13371013/2012, 1637121/2012]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8944885/503, 257925/1006, 2397/1006], [-23240/503, -683/1006, -1/1006], [0, 0, 0]], [[218411/2, 12845, 3/2], [-180486297746873/1006, -47168962526519/1006, 20868743194482/503], [6095466531645/13078, 796359233093/6539, -1409317741327/13078], [218411/26156, 12845/13078, 3/26156]], [[-407117439383200, 245448827816465/2, 122704227271535/2], [720078710668589569350749/1006, 50338999399645071682556/503, -228049378464470126830831/1006], [-935330351874004839692/503, -261382049390974919973/1006, 592370623313791977293/1006], [-15658363053200/503, 18880679062805/2012, 9438786713195/2012]]], 0, 144, [], [] >,
< [ -1, -4, 0, 1 ], [[-17, -6, 7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[14, 131/2, 61/2], [0, -383/2, -177/2], [14, 131/2, 61/2], [0, 0, 0]], [[-2173279/2, 105787, -24287/2], [71052721, -12669615/4, -55277469/4], [-2173271/2, 211577/2, -12141], [2, 3/4, 5/4]], [[131423405443/2, 11877821247, -40993068697/2], [-8182820554057/2, -435349685678, 2242192690741/2], [131422942355/2, 11877751825, -40992891949/2], [-115772, -34711, 44187]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 32, 13], [821, 801, 326], [7, 32, 13], [0, 0, 0]], [[-112672649/2, 74623/2, 118915], [6606990719671/52, 178328336223/26, -1665156213233/52], [-732371586/13, 970693/26, 3091823/26], [-115/52, -27/26, -3/52]], [[404628281252195, 840626047207037/2, -583972071904039/2], [-8295792934622877010/13, -1702768593632421701/26, 4512373744337459955/26], [5260164528168429/13, 10928136399718533/26, -7591634355849103/26], [142186823/13, 50317567/13, -58611441/13]]], 0, 64, [], [] >,
< [ -1, -4, 0, 1 ], [[-17, -6, 7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1, 1], [-20, 14, 6], [0, 1, 1], [0, 0, 0]], [[13767, 113/2, -3183/2], [6943485/4, 628535/4, -454009], [27539/2, 56, -3179/2], [-5/4, 1/4, -1]], [[77092389817/2, 8795752247/2, -10809863326], [9254793124669/2, 532585566963/2, -1161091549674], [77109159625/2, 8801626775/2, -10813299550], [-4192452, -1468632, 1718112]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, -5/2, 2], [891/2, -195/2, 66], [-15/2, -5/2, 2], [0, 0, 0]], [[5410053/2, 7506, 24399/2], [-13758517223/52, -6928582247/26, 5138816781/52], [35164404/13, 97446/13, 158610/13], [171/52, 6/13, -3/52]], [[771309870565/2, 180108705636, -355502766617/2], [-715020028048133/52, 880774971062143/26, -626988724819493/52], [5013389897827/13, 2341370068272/13, -2310717191099/13], [22592881/52, 1959318/13, -9234893/52]]], 0, 64, [], [] >,
< [ -1, -4, 0, 1 ], [[3, -4, 1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -2, -2], [37, 3, 3], [-5, -2, -2], [0, 0, 0]], [[12674, 6485, 1180], [-186719/2, -84233/4, 35029/4], [12666, 12965/2, 2359/2], [4, 5/4, 1/4]], [[6234811/2, -15266864, 9250407/2], [-151005983/4, 144990035/2, -79701165/4], [3116918, -15251264, 4618866], [975/4, -7800, 12675/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 3/2, 0], [-2321/2, 73/2, -2], [13/2, 3/2, 0], [0, 0, 0]], [[-3502052071, 761733, 1536727], [15966489658163/26, -10719131423985/52, 2515535636547/52], [-45526676307/13, 19804827/26, 39954913/26], [-28/13, 21/52, -1/52]], [[-40480761740082749/2, 39196323700089173/2, -2524573994497904], [162634028679136441009/52, -326460718769976533195/52, 26245828730537748336/13], [-263124947866117884/13, 254776099477798978/13, -32819460787881773/13], [-626258179/52, 831414663/52, -103690089/26]]], 1, 8, [], [] >,
< [ -1, -4, 0, 1 ], [[27, 8, -11]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [13, -17, 4], [-20, 2, 2], [0, 0, 0]], [[-2, -9, -1], [-6933601/26, 6703323/26, 394337/13], [816783/2, 97329, -24881/2], [-1/13, -1/13, -2/13]], [[28313/2, 46161/2, -18308], [-294912875807/26, -56218454693/26, 47151168782/13], [25609256931/2, 1348633628, -6815611113/2], [-67091/26, -18308/13, 28313/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-499/2, -989, -931/2], [-36, -323/2, -153/2], [0, 0, 0]], [[3, -1, 0], [-351637082/91, -47979223/91, 103322341/91], [12377, -888, 1265], [5/91, -4/91, 1/91]], [[-8843/2, -1926, 2797/2], [796879063465/182, -1804373212/91, -186675614301/182], [-18811534, -29196305/2, 3936291/2], [-8654/91, -9745/182, 7331/182]]], 0, 384, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, 12, -2]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, -9/2, -17/2], [-4, -41/2, -19/2], [0, 0, 0]], [[182788, 144657/2, -1/2], [435148879/11354, 274121233/11354, 11665093/5677], [2011217/19, 711406/19, -23005/19], [-474113/5608876, -187613/5608876, -1/2804438]], [[-263819277320, 88162503976, 17288982472], [-327132638915475/5677, -29509101398907/11354, 160203654980349/11354], [-2888845736245/19, 2280077796499/38, 213481469891/38], [171072506076/1402219, -57166454388/1402219, -590104516/73801]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [77/2, 141/2, 37], [9/2, 45/2, 11], [0, 0, 0]], [[3984482, 1536291/2, -3/2], [-4497772871931/79478, -523844325483/39739, 857060939789/79478], [134992035/133, 15123911/266, -14671233/266], [-11691865/39262132, -2254041/39262132, -1/19631066]], [[96060898718975351/2, -95504353992861249/2, 12098901104026301], [-35973114449118553664593/39739, -13166433444863537017917/79478, 22178057461921422623589/79478], [3287851795670685365/266, -3598272338098686389/266, 488599181108466268/133], [-140938252837258091/39262132, 35030199977907646/9815533, -35502013247267953/39262132]]], 0, 288, [], [] >,
< [ -1, -4, 0, 1 ], [[7, -17, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-24, -102, -46], [-584, -1529, -693], [-24, -102, -46], [0, 0, 0]], [[-1028444925/2, -5308713/2, 6191025], [-489748617841/4, -12556081970, 126407535981/4], [-514222454, -5308713/2, 12382053/2], [17/4, 0, 3/4]], [[15738839315958735/2, -8503603674381990, 4079934530434125/2], [4907845955236315629/2, 341614083758029515, -1427187168801498665/2], [15738839112256827/2, -8503603427377252, 4079934356078721/2], [-50925477, 123502369, -43588851]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 27, 21/2], [4783/2, -839, -641/2], [13/2, 27, 21/2], [0, 0, 0]], [[-2747641820, -4414300, 2939640], [-650094663614757/28, -12565034802973/7, 169234434783157/28], [-38466985429/14, -30900091/7, 41154959/14], [51/28, 9/14, -1/28]], [[85643454391990, 1111846414872655, -539767268037525], [-14535287286022032776/7, -3906619041772442704/7, 5096600269497410314/7], [599504181914814/7, 7782924901273181/7, -3778370875262379/7], [585442/7, -1417702/7, 500148/7]]], 0, 192, [], [] >,
< [ -1, -4, 0, 1 ], [[30, -3, 1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, -30, -11], [-18, -26, -14], [-11, -30, -11], [0, 0, 0]], [[-131852, -31563/2, 34895/2], [-1630953/4, -318699/4, 107457], [-263749/2, -15789, 34915/2], [9/4, 3/4, -1]], [[10571563380, -6166745305/2, -11452526995/2], [32131424200, -11700009059/2, -19407329189/2], [10573246980, -6167078185/2, -11452418395/2], [-168360, 16644, -5430]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[38, 335/2, 153/2], [1700, -997/2, -451/2], [38, 335/2, 153/2], [0, 0, 0]], [[-23141610899, 49891950, 50285429], [-3229552319567723/28, -247209352410423/28, 419498346347917/14], [-323982540461/14, 698486427/14, 351998197/7], [-125/28, 9/28, -1/7]], [[282123210306790721662, -7558314413983252839, -719502192829801431], [1415098796137872846779301, 108968657539483974422467, -367929456881297392092936], [282123199757018106922, -7558313358964823595, -719502544397101563], [54380271210, -5438239326, 1812202578]]], 0, 4224, [], [] >,
< [ -1, -4, 0, 1 ], [[24, -39, 11]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [115/2, 267, 247/2], [35, 309/2, 145/2], [0, 0, 0]], [[-5/2, -83, -3/2], [419425/26, 727995/13, 717829/26], [6894, 66997/2, 32609/2], [-73/13, -3/26, -5/26]], [[-99622551/2, -54367497, 73684511/2], [-200122861661/26, -40542850493/13, 83116143875/26], [958415117, -582773931/2, -151456977/2], [144877605/13, 73684511/26, -99622551/26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [75/2, 642, 609/2], [24, 207/2, 101/2], [0, 0, 0]], [[-393, -213/2, -5/2], [-3009786680217/182, -3208584837/14, 364035538871/91], [295906025/2, 2943204, -2718857/2], [-1375/182, -27/182, -1/91]], [[34685543132, -85534728083/2, 39716915593/2], [179476506168370606054/91, -84390325138564700721/182, -42210923806791110643/182], [-18848439495655041/2, 66192371596526103/2, -15281120808870094], [84007234959/182, -320256246897/182, 74784332006/91]]], 0, 5376, [], [] >,
< [ -1, -4, 0, 1 ], [[-86, -38, 36]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-37/2, -80, -63/2], [-31/2, -64, -57/2], [0, 0, 0]], [[1259, -142, 1], [4335173/11354, 624125659/5677, 552722767/11354], [2152877/38, 1677499/19, 1474769/38], [-1383/5677, 5541/215726, -1/215726]], [[-17030039643/2, 1920199615/2, 1449811458], [1799618924611751/11354, -141790168989744/5677, -267939118765429/11354], [-4679072103142/19, 200963790189/19, 951580067203/19], [709984704655/431452, -19627664321/107863, -121615220231/431452]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [41/2, 142, 119/2], [23/2, 47, 43/2], [0, 0, 0]], [[-269884, 93073/2, -1/2], [24944512731/39739, -18934738299/79478, 8647102907/79478], [-71017533/266, 6724894/133, -43153/14], [627225/3020164, -108135/3020164, -1/1510082]], [[-114497394482009, -33898602644907, 40401625331452], [478074625636625877/1622, 102242410599593552/811, -196495928364660265/1622], [-4338977720762443/38, -664582817070910/19, 1551348154646575/38], [2715259045279/30818, 401933587143/15409, -958094458057/30818]]], 0, 4032, [], [] >,
< [ -1, -4, 0, 1 ], [[31, -21, 2]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17, 151/2, 75/2], [-142, 151/2, 73/2], [-159, 0, -1], [0, 0, 0]], [[-47293465/2, 54785, 253119/2], [229137659895/14, 6233191091/7, -57161033613/14], [32781244917/2, 1780802227/2, -4083057532], [57/14, 1/14, -1/7]], [[83804038367244, -68300960540328, 10495886602484], [-70168468525993258, -2796439141089921, 17008340371442171], [-70252272645806454, -2728138278674473, 16997844559921715], [-14822304, 9958256, -916804]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -15/2, -4], [-5/2, -15/2, -4], [145, -3, 2], [0, 0, 0]], [[-23007625/2, -210073, 292523/2], [-161053455/14, -1470442/7, 2047627/14], [1967953978, -124439667/2, -800558613/2], [-2, 5/14, 3/14]], [[7195731859015/2, -6610964957671/2, -111847229362], [7195733892615/2, -46276863907279/14, -782904075623/7], [-731331617551162, 264672390176801/2, 208951892710779/2], [4787078/7, -6478943/14, 614139/14]]], 0, 1536, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -7, 5]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 5/2, -1], [-5/2, 5/2, -1], [-14, 3, -1], [0, 0, 0]], [[129093/2, 16273/2, -1557], [129083/2, 113677/14, -10895/7], [317798, 224399/2, -7733/2], [10/7, -3/14, 5/14]], [[10944496130, 6949688969/2, -7207518863/2], [76613275926/7, 6952153971/2, -50465036263/14], [49335498487, 23229108051/2, -13026043617], [2071771/7, 2728099/14, -991093/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[84, 2, 1], [414, 10, -1], [165, 4, -1], [0, 0, 0]], [[36502070, 2864301/2, -14376167/2], [16361850503/91, 1314949653/182, -6542785815/182], [1862885567/26, 75305493/26, -373896811/26], [187/182, -57/182, -1/182]], [[-30260740280713/2, -3446349626862, 8711302409333/2], [-13527001382352369/182, -212344184237248/13, 3874707357501919/182], [-384761184643463/13, -83771794282523/13, 220142732430841/26], [-50070243/91, -35406603/91, 50357001/182]]], 1, 48, [], [] >,
< [ -1, -4, 0, 1 ], [[28, -5, -3]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-155/2, 15, 9/2], [-155/2, 15, 9/2], [-160, 0, -4], [0, 0, 0]], [[183401797/2, -4678357/2, -19477268], [1283812199/14, -4678395/2, -136340907/7], [362789769/2, -9354987/2, -38908936], [23/14, 5/14, 1/7]], [[964834594327/2, -22003750391/2, -102683348204], [6753840460817/14, -154026316481/14, -718783283294/7], [954709168346, -20081976634, -204161959865], [55336/7, -1407, -5940/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-98, 5/2, 3/2], [-82, 25/2, -1/2], [8, 5, -1], [0, 0, 0]], [[21488611/2, 10902643/2, -4061069], [1730880845/182, 991944403/182, -53130884/13], [-15974757/26, -14619/26, -168365/13], [-523/182, 3/182, -1/91]], [[1877539239721082, 1539809053443121/2, -1522337232059805/2], [21641224069961980/13, 21067303477622097/26, -19243267469372657/26], [-1377602907630827/13, 261399581407829/13, 136163398919890/13], [-6467083812/13, 1157279676/13, 691854492/13]]], 0, 384, [], [] >,
< [ -1, -4, 0, 1 ], [[28, -5, -3]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 51/2, 11], [11/2, 51/2, 11], [26, -1, -1], [0, 0, 0]], [[145487, 9454, 6789], [1017832/7, 65929/7, 47499/7], [-28684725/2, -644840, 7038559/2], [71/14, 0, 3/14]], [[3836313860763/2, -598453555505/2, -217915917837], [26839679902163/14, -598526283105/2, -1524097650352/7], [-198092158300870, -19341306032417/2, 97745738584583/2], [472233530/7, -173769377/14, -99058297/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[512, 2, 2], [-120, 6, -10], [158, -1, 3], [0, 0, 0]], [[-1075072344615/2, -6187338065/2, 11612435450], [3280646965675/26, -1008930440213/182, 570069449506/91], [-2157073436270/13, 15924380301/26, 34761583841/26], [150/91, 25/182, 5/182]], [[2074505426731894, -790661119887433/2, -456154374927303/2], [-43845543973819670/91, 25620050595773941/182, 4920093999530475/182], [8308054942770294/13, -1742325227092993/13, -829109682911811/13], [-569850/91, 103878/91, 8526/13]]], 0, 384, [], [] >,
< [ -1, -4, 0, 1 ], [[28, -5, -3]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-46, -205/2, -95/2], [-46, -205/2, -95/2], [-48, -1, 1], [0, 0, 0]], [[57742001/2, -2498527, -11064219/2], [57742017/2, -2498503, -11064219/2], [59801732, -5041011, -11011281], [-4, 0, 0]], [[-4854226173514, 652713582515/2, 1873646177633/2], [-33979589318246/7, 4568967510679/14, 13115534837133/14], [-20079158916383/2, 722880002770, 3806658594061/2], [1289035/2, -803942/7, -973199/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-529/2, 1/2, -2], [-1361/2, -7/2, 2], [104, 1, -1], [0, 0, 0]], [[1552809287371, -15791481748, 15899607073], [363585455123077/91, -1000639852750/91, -155214337513/91], [-7938564682704/13, -15585179604/13, 57217092097/13], [-123/13, -36/91, -2/91]], [[1884097848063205954757/2, -407581798496273593773/2, -86286867070581874790], [63110663167902642275915/26, -12744673685431983564369/26, -3135506500806827358221/13], [-4827173917582100596776/13, 1861527585186639994437/26, 1006888619696820923841/26], [-74352485367/13, 26548537959/26, 15939795897/26]]], 0, 384, [], [] >,
< [ -1, -4, 0, 1 ], [[-30, -34, 24]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-23584628/503, 260943/1006, 4409/1006], [61264/503, -683/1006, -1/1006], [0, 0, 0]], [[-5839, -1043/2, -3/2], [354714183526448965/503, 21931501003715399/503, -68756190866203466/503], [-1842853236030581/1006, -113931352073951/1006, 178587503349812/503], [-5839/1006, -1043/2012, -3/2012]], [[75860946373501/2, 24718290170023/2, -11389637398434], [-2167778964412536900078932585/503, -576145859547008433823412649/1006, 1162708486416992260645559097/1006], [11262404485537475023174507/1006, 1496896598686145774289361/1006, -1510205557577280927178638/503], [75860946373501/2012, 24718290170023/2012, -5694818699217/503]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-268205779/1006, 172244/503, -3105/1006], [696641/1006, -450/503, -5/1006], [0, 0, 0]], [[160865/2, 1869/2, 1], [2157236711198542731/503, 173286389850215632/503, -585934562640621968/503], [-145684142138910429/13078, -5851230445948770/6539, 39569606830449621/13078], [160865/26156, 1869/26156, 1/13078]], [[-122234739539052, -39852406630845, 36751206074871], [-5834540525383971339657891541/1006, -121559276150352196589994824/503, 1441585272526368814595365983/1006], [197011409350679695311601473/13078, 4104754138364869296210672/6539, -48677192335683705927081501/13078], [-61117369769526/6539, -39852406630845/13078, 36751206074871/13078]]], 0, 1152, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -7, 5]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, -3/2, 1/2], [7, -7/2, -7/2], [7, -3/2, 1/2], [0, 0, 0]], [[-227255/2, -15651/2, 29422], [-469795/4, -34065/4, 29451], [-113627, -7827, 29421], [1/4, -3/4, -1/2]], [[-2036954963, -302459201, 598230115], [-4118455413/2, -621078281/4, 2137189373/4], [-2036936903, -604893369/2, 1196442215/2], [9030, 25033/4, -18015/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[56, 1, 2], [-291, 4, -4], [56, 1, 2], [0, 0, 0]], [[-527316015, -10695113, 4198002], [71321501575/26, -876508111/52, -3812019273/52], [-6855107325/13, -278072533/26, 109147977/26], [29/13, 27/52, -5/52]], [[-19458708441820933/2, -11022486325462533, 14120176191874683/2], [50491955806592360, 112426101350016809/2, -72806765600716657/2], [-19458706479110383/2, -11022485638046808, 14120175210053883/2], [65423685/2, 45827715/2, -16363680]]], 1, 48, [], [] >,
< [ -1, -4, 0, 1 ], [[28, -5, -3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-209/2, 2, -3/2], [-235/2, -3, -3/2], [-209/2, 2, -3/2], [0, 0, 0]], [[-163324542, 154034671, -59314173], [-745875633/4, 614516779/4, -118031161/2], [-326649119/2, 308069337/2, -59314173], [-35/4, -5/4, 0]], [[96036548261505, -140968160635675, 46713602666630], [110248539701496, -144562032626283, 45572697899584], [96036558879819, -140968162529497, 46713601527128], [5309157, -946911, -569751]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[28, -1/2, 5/2], [1666, 11/2, 1/2], [28, -1/2, 5/2], [0, 0, 0]], [[-588937702437, 1671558694, 1080684271], [-908832116531611/26, -26096780040567/52, 121316108061925/52], [-7656190128261/13, 43460526809/26, 28097791121/26], [114/13, 51/52, 5/52]], [[4783725274942524799648, -1139084513025893626235, -415037258058807308929], [7485282547107598451386969/26, -1176941373400436063747205/26, -492127809538712688533289/13], [62188428546832825103329/13, -14808098664437155080830/13, -5395484351828288076397/13], [-1827999819473/26, 326630804015/26, 97873564656/13]]], 0, 384, [], [] >,
< [ -1, -4, 0, 1 ], [[28, -5, -3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-57, 5/2, -3/2], [-204, -107/2, -129/2], [-57, 5/2, -3/2], [0, 0, 0]], [[-33087964283, -203062401, 624629900], [-473458864449/4, -141231905805/4, -56100996401/2], [-66175928545/2, -406124803/2, 624629902], [21/4, -1/4, 1]], [[-438009987066677435/2, 27960597591959895/2, 38661248267240910], [-2918229747086971435/4, 283293028555906701/4, 182698885756080655/2], [-219004993464291321, 13980298783531813, 38661248259899288], [138094793/4, -24896269/4, -3670811]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[111/2, -1/2, 1], [4147/2, 103/2, 69], [111/2, -1/2, 1], [0, 0, 0]], [[-412967347980, -804345498, 305471386], [-200484117595481/13, -13545027890397/26, -5530830068957/26], [-5368575525180/13, -10456491789/13, 3971128033/13], [-48/13, -21/26, 1/26]], [[2210319668118208416, -892420513469937144, -22238756256770592], [4265646213126985059229/52, -425777666548674751210/13, -38545790221575497593/52], [57468311386520102691/26, -11601466676485698447/13, -578207664334780017/26], [1029778925/52, -91767705/26, -110582975/52]]], 0, 384, [], [] >,
< [ -1, -4, 0, 1 ], [[-61, -13, 22]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-154, -5/2, -3/2], [296, 21/2, 19/2], [-154, -5/2, -3/2], [0, 0, 0]], [[-429381783179/2, -5328574850, -14748403361/2], [1651602144093/4, 77546896203/4, 24316745418], [-214690891589, -10657149697/2, -14748403357/2], [1/4, 3/4, 1]], [[-317778678133015938, -23771551654025181, 82573752488455947], [2435027444570452601/4, 45769703811434544, -633467353756006941/4], [-635557356265261407/2, -23771551653942986, 165147504976633903/2], [770469/4, 82195/2, -277991/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[84, 0, 0], [-690, 1, -3], [84, 0, 0], [0, 0, 0]], [[8046206001/2, 1490654, -8750765/2], [-1718445362479/52, 1839443867/52, -1392272425/13], [52300338954/13, 38756329/26, -113759885/26], [-7/52, -45/52, 1/13]], [[6260491577481209850, 959043426993793725/2, -3226457076581561325/2], [-669003378494263027477/13, -102754775049223138669/26, 344866626570945141903/26], [81386390564489812590/13, 12467564575315617945/26, -41943942036844743585/26], [1907802818/13, 406604992/13, -688074106/13]]], 0, 2688, [], [] >,
< [ -1, -4, 0, 1 ], [[-61, -13, 22]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -2, 1], [-238, 10, -8], [-3, -2, 1], [0, 0, 0]], [[2343945, 67889/2, -85319/2], [1047762535/4, 413862237/4, -61903533], [4687887/2, 33944, -85315/2], [-3/4, -1/4, 1]], [[67050482492841/2, 2462186851325/2, -7838781409617], [3386642643479100, 639587099836715/2, -1773003237871167/2], [67050444685239/2, 2462178795837/2, -7838774593668], [-18903801/2, -2013872, 6815949/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-75, 0, -1], [-4070, -2, -20], [-75, 0, -1], [0, 0, 0]], [[455474681099/2, -418780591/2, 520023960], [642645101399679/52, -215545749173/52, -1858220703473/26], [2960585427196/13, -2722074284/13, 6760311450/13], [7/52, -59/52, -1/13]], [[1431930013408642578493/2, 159287405251801420451/2, -193385177228602327254], [504559083426429261258813/13, 55456580401104090158972/13, -136069212048966504650733/13], [18615090175372109909419/26, 2070736268499277058933/26, -2514007304162937129822/13], [35325212967/26, 7528619769/26, -6370229184/13]]], 0, 2688, [], [] >,
< [ -1, -4, 0, 1 ], [[24, -4, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [33, 155, 72], [5, 13, 6], [0, 0, 0]], [[13, 14, 1], [109953/2, 355233/2, 84702], [-15070, 15919, 11573], [13/2, 1/2, 0]], [[156696, 144523/2, -138439/2], [755923287/4, -103231512, 24936281/4], [-517195175/2, 26446515/2, 51534372], [328607/4, -30806, -15215/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 4, 5/2], [21/2, 31, 5/2], [3/2, 4, 5/2], [0, 0, 0]], [[16, -388, -204], [131, -1464, -932], [6, -384, -208], [-5, 2, -2]], [[3279584, 234192, -839832], [28464625/2, 720045, -7010539/2], [2910369, 192236, -737401], [-369215/2, -20978, 102431/2]]], 0, 160, [], [] >,
< [ -1, -4, 0, 1 ], [[-80, -16, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [74, 0, -4], [10, 6, 2], [0, 0, 0]], [[0, 0, 0], [-6190, 7917/2, -1793/2], [-788, 171, -135], [1, -5/2, 3/2]], [[0, 0, 0], [42682418, 4481882, -12158356], [4879838, 247526, -1487880], [-10340, -1460, 3660]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-126, -20, 20], [4, -8, 10], [0, 0, 0]], [[0, 0, 0], [301381787/2, 7865407, -79901633/2], [-8728867, -1333336, 3607377], [11/2, 2, -3/2]], [[0, 0, 0], [-6336661927, -279297856, 1646894905], [320268676, -108118312, -60073890], [-205, 10, 15]]], 0, 15360, [], [] >,
< [ -1, -4, 0, 1 ], [[-32, -16, 16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -2, -4], [0, -10, 6], [0, 0, 0]], [[-3, -13, -11], [3844891/2, 1183329/2, -212106], [-305524, -54666, 23641], [-1/2, -1/2, -2]], [[817/2, 725/2, -635/2], [-2645089509/2, -171781183/2, 337825314], [437873051/2, 33478179/2, -114159331/2], [420, 170, -363/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -10, 0], [-4, -4, 0], [0, 0, 0]], [[0, 10, 10], [315/2, 343, -125/2], [-293, 82, 85], [-5/2, 0, 5/2]], [[1107/2, 807/2, -753/2], [-42121/2, -41203/2, 13882], [141065/2, 517/2, -32273/2], [591, 195, -465/2]]], 0, 640, [], [] >,
< [ -1, -4, 0, 1 ], [[-48, -48, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, -4, -6], [-2, -8, -2], [0, 0, 0]], [[0, 0, 0], [-134416, -17395/2, 68083/2], [-521, -116, 104], [-6, -3/2, 1/2]], [[0, 0, 0], [-1240199, -48, 277055], [-8353, -12939, 7853], [42, 329, -168]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-76, -20, 6], [6, 10, -6], [0, 0, 0]], [[0, 0, 0], [22387/2, 59775/2, 12691], [-171, 89, -94], [9/2, -5/2, 2]], [[0, 0, 0], [26272675/2, 3732489, -3154893/2], [-651916, -340505, 297148], [33993/2, 8305, -15065/2]]], 0, 3840, [], [] >,
< [ -1, -4, 0, 1 ], [[80, 0, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 4, -4], [-4, -14, -6], [0, 0, 0]], [[0, 0, 0], [17247/2, 1610, -5359/2], [2080, 117, -477], [-7/2, -2, 3/2]], [[0, 0, 0], [20407155/2, 506471/2, -2398810], [2601569, 201031, -667066], [-7099/2, 651/2, 589]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 6, 8], [8, 18, 2], [0, 0, 0]], [[0, 0, 0], [-24507/2, 3105, 6971/2], [-6641, 405, 3446], [5/2, 1, -5/2]], [[0, 0, 0], [54809384, 3277518, -13829550], [27971950, 1960418, -7205964], [-9016, -882, 2450]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[28, -12, 0]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [64, -2, 2], [7, -3, 0], [0, 0, 0]], [[0, 0, 0], [-848313/2, -1260499/2, -269263], [-33752, 424, 1032], [-6, -1/2, -1/2]], [[0, 0, 0], [12748385, -960345, -762592], [1441932, -464607, -87117], [245, -105, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 3, 1], [-18, -69, -29], [0, 0, 0]], [[0, 0, 0], [-2476051/2, -310613/2, 348149], [-256620, 272600, 147580], [8, 1/2, 5/2]], [[0, 0, 0], [-939349029376, -220708878279/2, 524277461847/2], [-233089964650, 39410686750, 39041851900], [10894173/2, -2579004, 233079/2]]], 0, 480, [], [] >,
< [ -1, -4, 0, 1 ], [[20, 0, -4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-17, 1, 0], [1, -9, -4], [0, 0, 0]], [[-5, -5, 0], [1768065/2, -88419, -353621/2], [-166216, -35035, 3139], [-5/2, -5/2, 0]], [[51/2, -3/2, -9/2], [-25994013/4, -3149211/4, 7312509/4], [2291565/2, 315363/2, -647063/2], [51/4, -3/4, -9/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11, 1, -2], [8, 26, 8], [0, 0, 0]], [[11/2, -7/2, 3/2], [-225297/4, -36959/4, 63501/4], [19343/2, 7347/2, 4223/2], [11/4, -7/4, 3/4]], [[8970, 230, -2070], [-74184689, -5195693, 18997665], [12400785, 813628, -2910099], [4485, 115, -1035]]], 1, 20, [], [] >,
< [ -1, -4, 0, 1 ], [[-8, -4, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, 29/2, 1/2], [4, -1, 1], [2, -1/2, 1/2]], [[0, 0, 0], [1395/2, 7499/4, -3427/4], [332, -1411/2, 581/2], [166, -1411/4, 581/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [1021/28, -421/14, 11/28], [-69/14, 36/7, 3/14], [-23/28, 6/7, 1/28]], [[0, 0, 0], [-730971/28, -189545/28, 121295/14], [51789/14, 14433/14, -8490/7], [17263/28, 4811/28, -1415/7]]], 1, 18, [], [] >,
< [ -1, -4, 0, 1 ], [[24, -4, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 22, 10], [4, 6, 2], [0, 0, 0]], [[0, 0, 0], [-4, 13/4, -9/4], [-2, 15/2, -7/2], [-3/2, 3/4, -1/4]], [[0, 0, 0], [29/4, 3/4, -2], [11/2, -1/2, -1], [11/4, -1/4, -1/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, -15, 3], [-2, -11, -3], [0, 0, 0]], [[0, 0, 0], [-4046977/14, -313203/28, 1959045/28], [-40190/7, -4695/14, 7843/14], [31/7, 3/28, 1/28]], [[0, 0, 0], [-852729171487/7, -40582558024/7, 209823821461/7], [-16529914988/7, 904837068/7, 3470816520/7], [12626697/7, -1856262/7, -2193075/7]]], 0, 120, [], [] >,
< [ -1, -4, 0, 1 ], [[24, -4, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -43, -39], [-18, -5, -3], [0, 0, 0]], [[0, 0, 0], [-17373, 1784249/4, 529179/4], [142539, 223211/2, -57685/2], [1/2, -1/4, -1/4]], [[0, 0, 0], [-6796, 63442, -27478], [31350, 28842, -20482], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [127, -9, -10], [-5, -3, -2], [0, 0, 0]], [[0, 0, 0], [-2578764395/28, 350963829/28, 171717211/14], [43854745/14, -3474701/14, 1306150/7], [-29/28, 33/28, 1/7]], [[0, 0, 0], [-69019292620106/7, 52290561506/7, 15313868598544/7], [2316118507800/7, -88552289240/7, -446371186824/7], [-932448/7, 130020/7, 165000/7]]], 0, 120, [], [] >,
< [ -1, -4, 0, 1 ], [[-8, -4, 4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [39/4, -83/4, 29/4], [0, 0, 0], [11/4, -7/4, 3/4]], [[0, 0, 0], [-84724, -43350, 39361], [0, 0, 0], [-16683, -5395, 6391]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-313/28, 5107/28, -407/28], [1/7, -33/7, 3/7], [-1/28, 33/28, -3/28]], [[0, 0, 0], [-12679/2, -16253/2, 9915/2], [154, 210, -126], [-77/2, -105/2, 63/2]]], 1, 30, [], [] >,
< [ -1, -4, 0, 1 ], [[24, -4, -4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9, -1, -6], [3, 0, -5], [0, 0, 0]], [[0, 0, 0], [49/2, 27/2, -99], [13, 15, -42], [0, -3/2, -3/2]], [[0, 0, 0], [113222, -105937/2, -2001], [49548, -24774, 0], [2404, -298, -881/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-246, -4, 6], [11, 0, 3], [0, 0, 0]], [[0, 0, 0], [1558472593/14, 35572913/14, -222690751/14], [-35054538/7, 291338/7, 52826/7], [-3/14, -13/14, 5/14]], [[0, 0, 0], [182072662617414/7, 23191226716771/14, -46070466611016/7], [-8329731515416/7, -523144172648/7, 2096924384798/7], [69586/7, -11839/7, -22945/14]]], 0, 120, [], [] >,
< [ -1, -4, 0, 1 ], [[24, -4, -4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [41, 5, 2], [2, 18, 12], [0, 0, 0]], [[0, 0, 0], [30062639/2, 1600049, -4188664], [-641069, 31306, 17743], [1, -3/2, -2]], [[0, 0, 0], [-2081619648254, -104963900377, 1030229853201/2], [96625616736, 14023490536, -28089881864], [-341091/2, 29727, 27297]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-47, -2, -7], [-1, -2, -1], [0, 0, 0]], [[0, 0, 0], [6056/7, -537/7, -2017/14], [-180/7, -24/7, 48/7], [-15/14, -1/7, 2/7]], [[0, 0, 0], [7, 5, -4], [0, 0, 0], [0, 0, 0]]], 0, 120, [], [] >,
< [ -1, -4, 0, 1 ], [[24, -4, -4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -1, 5], [-16, -60, -32], [0, 0, 0]], [[0, 0, 0], [-535315/2, 63057, 28278], [168410, -22319, -6401], [2, 1/2, 2]], [[0, 0, 0], [-9135225177, -505674619, 4563575883/2], [5627063388, 304860298, -1405851756], [128543/2, 1346, -15479]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [79, -63, -28], [-4, -32, -16], [0, 0, 0]], [[0, 0, 0], [11998517/14, 57516983/7, -28615865/7], [-348937/7, -9/7, 16776/7], [-5/7, -41/14, -1/7]], [[0, 0, 0], [-15733396896050/7, -711449818655/7, 3853912292353/7], [-525895754092/7, -33537168865/7, 133409011065/7], [204208/7, -36560/7, -33000/7]]], 0, 120, [], [] >,
< [ -1, -4, 0, 1 ], [[-208, -48, 64]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, -2, 0], [-32, -4, -8], [0, 0, 0]], [[0, 0, 0], [-6554264/7, -507894/7, 1746130/7], [-883199, -76459, 245200], [11, 5/7, -4/7]], [[0, 0, 0], [-112759376990/7, -6043238540/7, 28146668422/7], [-15105458242, -666231520, 3714817534], [200184, 263400/7, -407392/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -10, -6], [-10, -2, -8], [0, 0, 0]], [[0, 0, 0], [-1321024/7, -7594, 254134/7], [-314666, 18030, 53362], [-26/7, -2/7, 2/7]], [[0, 0, 0], [-13363619316/7, -1887505362/7, 3798370734/7], [-3331296080, -676214099, 1054081789], [-38640, -65619/7, 85629/7]]], 0, 46080, [], [] >,
< [ -1, -4, 0, 1 ], [[40, -8, -8]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -14, -4], [-4, 10, 6], [0, 0, 0]], [[0, 0, 0], [-32801/7, -85439/7, 47917/7], [12411/2, 5097/2, -5213/2], [-11/2, 1/14, -5/14]], [[0, 0, 0], [-8097153/7, 3560787/7, -375387/7], [6263400, 323692, -1515124], [-38868/7, 25912/7, 25912/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [59, -91, -11], [14, 24, 2], [0, 0, 0]], [[0, 0, 0], [2647166008/91, 958595424/91, -1278609692/91], [63080247/26, -5606909/26, 15469395/26], [1779/182, 17/26, 3/182]], [[0, 0, 0], [-799682345036664/91, -29399268491246/13, 265506355042718/91], [-19526351695679/26, 5070609706627/26, 3188491213429/26], [-545673055/182, 48489095/182, 119788553/182]]], 0, 1440, [], [] >,
< [ -1, -4, 0, 1 ], [[-160, -16, 48]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, -22, -10], [-2, -4, -2], [0, 0, 0]], [[0, 0, 0], [20070/7, -7194/7, 286], [216, -170, 90], [-54/7, -4/7, -2/7]], [[0, 0, 0], [216420858/7, 25322224/7, -61248660/7], [2634306, 409115, -799090], [-517374/7, -6435, 141570/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [166, 24, 12], [14, 10, -4], [0, 0, 0]], [[0, 0, 0], [-26738727658/91, -9652919946/91, 866047954/13], [-238561126/13, 698774/13, 12164201/13], [170/91, 38/91, 5/91]], [[0, 0, 0], [58196995344390262/91, 181952073364962/91, -13953569224452384/91], [600708743078233/13, 75221906033745/13, -177675689725419/13], [-403055687/91, -40528935/91, 120930549/91]]], 0, 11520, [], [] >,
< [ -1, -4, 0, 1 ], [[-160, -16, 48]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, -2, -6], [8, 4, 8], [0, 0, 0]], [[0, 0, 0], [623246/7, -218992/7, -166934/7], [-28768, 31197, 10843], [2, -3/7, 1/7]], [[0, 0, 0], [231883430, 16358620, -60776370], [-87567724, -6400682, 23830365], [5180, 490, -1365]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38, -6, 4], [-10, 0, -2], [0, 0, 0]], [[0, 0, 0], [302304840/91, 3763800/13, -56590764/91], [11603538/13, -397616/13, -468257/13], [-222/91, 40/91, -5/91]], [[0, 0, 0], [-28302994910564/91, -1693556097626/91, 7544333308046/91], [-1139775994332/13, -91519792675/13, 332453504794/13], [22852212/91, 2368425/91, -980322/13]]], 0, 11520, [], [] >,
< [ -1, -4, 0, 1 ], [[-160, -16, 48]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -12, -8], [-2, 0, -2], [0, 0, 0]], [[0, 0, 0], [-780/7, -608/7, 26], [123, -23, -13], [43/7, 5/7, -1/7]], [[0, 0, 0], [-1351970, 95178, 314758], [2077217, 237112, -581734], [95795, 7820, -27370]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [194, 6, 20], [-6, -2, -4], [0, 0, 0]], [[0, 0, 0], [2915780486/13, 217161642/91, -3249466434/91], [-85885745/13, -1689457/13, 785059/13], [151/91, 5/91, 1/91]], [[0, 0, 0], [-273667539034486/7, -23298884122474/7, 74303827026664/7], [1166917318699, 117583174896, -345016241515], [-2046773/7, -205440/7, 609857/7]]], 0, 11520, [], [] >,
< [ -1, -4, 0, 1 ], [[-52, -12, 16]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7074983/1006, 1240445/1006, -1242/503], [-18421/1006, -3235/1006, -2/503], [0, 0, 0]], [[0, 0, 0], [-217666536278196/503, 62107635065135/1006, 43533597916883/1006], [566634396481/503, -162211983225/1006, -112918670857/1006], [3331/1006, 3235/1006, 2/503]], [[0, 0, 0], [-22906556630831946939699/1006, 2345533837944346413865/1006, 2022416350200116320028/503], [59632764649422340805/1006, -6128832698973180591/1006, -5259706657219490571/503], [70638291560/503, 15729785751/503, -24751413738/503]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30362050/503, -119325/1006, -3639/1006], [78869/503, 323/1006, -1/1006], [0, 0, 0]], [[0, 0, 0], [103622031521880109/1006, -11367441746977952/503, -48016692251199519/1006], [-3499132140642459/13078, 383835917906829/6539, 1621342854940101/13078], [22227/13078, 11209/13078, -1/6539]], [[0, 0, 0], [-21917427035351463326929005/1006, 14840072005992242202817849/1006, -1191118647203267786327418/503], [740170333972445160784317/13078, -500918804771844569723385/13078, 40166824570523127902700/6539], [-2589704444534/6539, -682604243140/6539, 940025781960/6539]]], 0, 720, [], [] >,
< [ -1, -4, 0, 1 ], [[40, -8, -8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, -1, -15], [-7, -3, 3], [0, 0, 0]], [[0, 0, 0], [129/2, 327, 168], [5, 2, 2], [5/2, 1, 1]], [[0, 0, 0], [98440, 163059, 37713/2], [-33048, 7956, 5049], [-16524, 3978, 5049/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [175, -417, 373], [-9, -17, 15], [0, 0, 0]], [[0, 0, 0], [21706242992/13, 1411165127/13, -15977429847/26], [-250837473/13, 9115265/13, -5072914/13], [9/13, -35/13, -1/26]], [[0, 0, 0], [397252323682475/13, 57820268746407/26, -106069695677057/13], [-4771062392822/13, -163334168415/13, 1061341770148/13], [317766/13, -117105/26, -65199/13]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[-160, -16, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 14, -8], [-14, -4, 2], [0, 0, 0]], [[0, 0, 0], [-8257/2, -37341/2, 9243], [761, -163, -402], [1/2, -1/2, 0]], [[0, 0, 0], [-15109/2, 314255/2, -74362], [-35103, -4157, 8746], [-55/2, 3/2, 5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-242, -792, -206], [-12, -32, -8], [0, 0, 0]], [[0, 0, 0], [19412147/26, -26062791/26, 11429765/13], [982437/13, -443301/13, 291582/13], [33/26, 45/26, -2/13]], [[0, 0, 0], [2359965615017/2, -156599536605/2, -242957013267], [97440585015, 337255091, -22600098884], [1920315/2, 192575/2, -286990]]], 0, 15360, [], [] >,
< [ -1, -4, 0, 1 ], [[-160, -16, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [138, -22, 16], [0, -8, 4], [0, 0, 0]], [[0, 0, 0], [-2172677/2, -1530701/2, -175344], [-13055, 3993, -3622], [5/2, -1/2, -1]], [[0, 0, 0], [65148, -53860, 15560], [-948, -7720, 3890], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [746, -260, -138], [8, 4, 2], [0, 0, 0]], [[0, 0, 0], [-430767526373/26, 54578235739/13, 60007499061/26], [-2006767401/13, 19227236/13, -22320269/13], [-105/26, -32/13, -5/26]], [[0, 0, 0], [-7264131302948058/13, -16993195524039801/26, 11268477545921211/26], [-66799383553590/13, -83678359095787/13, 54940599674251/13], [-971883/13, -191367/26, 581031/26]]], 0, 15360, [], [] >,
< [ -1, -4, 0, 1 ], [[176, 112, -96]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -39, -1], [-21, -5, -2], [0, 0, 0]], [[0, 0, 0], [-1997644/13, 13823712/13, 5561158/13], [671971, 429315, 84541], [5/13, 3/13, 5/13]], [[0, 0, 0], [810171275678/13, 332411652266/13, -376139030946/13], [-82164071295, -12933207369, 23063337351], [-832257/13, -705591/13, 495225/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-161, -749, -350], [-27, -124, -57], [0, 0, 0]], [[0, 0, 0], [-4659470/91, -192480/91, 867834/91], [-6140, 376, 716], [-20/91, 16/91, -4/91]], [[0, 0, 0], [-116276022/91, -22781378/91, 32415034/91], [-164919, -55321, 55159], [-759/91, -601/91, 439/91]]], 0, 92160, [], [] >,
< [ -1, -4, 0, 1 ], [[44, 28, -24]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-35/2, -141/2, -34], [-25/2, -121/2, -29], [0, 0, 0]], [[0, 0, 0], [-529232565/11354, -17988035/11354, -2872595/5677], [-3393659/38, -149789/38, -2520/19], [253837/2804438, 5337/1402219, -5/2804438]], [[0, 0, 0], [-1378333670731252/5677, -167063642173926/5677, 387197616505009/5677], [-8802789966787/19, -1042595105808/19, 2461330357329/19], [658695059125/1402219, 77950022125/1402219, -184145298875/1402219]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-121/2, 349/2, 74], [27/2, 117/2, 26], [0, 0, 0]], [[0, 0, 0], [-460703502341521/79478, -37591914074445/79478, 60746636237948/39739], [4125794781/266, 6972251/266, -79788540/133], [-3901393/19631066, 11558/9815533, 3/19631066]], [[0, 0, 0], [106842513911894736756033/79478, 1930212070879028832540/39739, -25697077777337532887913/79478], [-1102995055754797907/266, -209154601760321751/133, 460653495231516049/266], [1063898604727893/19631066, 226485238341681/9815533, -470322149736483/19631066]]], 0, 1440, [], [] >,
< [ -1, -4, 0, 1 ], [[112, -32, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [172, -74, -44], [2, 8, 6], [0, 0, 0]], [[0, 0, 0], [-48113779/2, -2817833/2, 6074659], [-45477, -4695, 4798], [-5/2, -1/2, -2]], [[0, 0, 0], [335810077789, 41677573371/2, -169810639063/2], [619775060, -10017047, -140313743], [30124, -37655/2, -443/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1120, -752, -250], [0, 24, 8], [0, 0, 0]], [[0, 0, 0], [362168471425/14, -13302811673/14, -34026239047/7], [-780072523/7, -7317875/7, -2673724/7], [-13/14, -5/14, -2/7]], [[0, 0, 0], [158753744693587815/7, -4899540543059651/14, -69046100322350181/14], [-660299464452504/7, 95857970453423/7, 112568488977967/7], [-4906812/7, 2791043/14, 1401667/14]]], 0, 46080, [], [] >,
< [ -1, -4, 0, 1 ], [[144, -128, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [398, 6, 6], [-248, 10, 6], [0, 0, 0]], [[0, 0, 0], [-1611147581/2, -41491421, -46860507/2], [500951469, -6242072, -7033731], [-1/2, 2, -1/2]], [[0, 0, 0], [-290581865462849/2, 28142015518176, 67034820652097/2], [92325449305411, -14597192215326, -20295246165069], [-314589/2, 140151, -105117/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-662, 4, -28], [80, -2, 6], [0, 0, 0]], [[0, 0, 0], [-322576507507/7, -6613978477/14, 28710013159/14], [39056052436/7, -137065267/7, -850379041/7], [36/7, 25/14, -1/14]], [[0, 0, 0], [22790645219496873039/14, -58201985049473400612/7, 52698498134290546983/14], [-1129377761260159211/7, 7969436616151893002/7, -3697154395912564757/7], [-4569492357/14, 2032137531/7, -1524909339/14]]], 0, 1013760, [], [] >,
< [ -1, -4, 0, 1 ], [[336, -80, -64]], [ -13, 0, 0 ], [ -17, -1, 4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -13, -7], [1, 7, 4], [0, 0, 0]], [[0, 0, 0], [3789/13, 18274/13, 3795/13], [-171, -482, -398], [71/13, -1/13, 1/13]], [[0, 0, 0], [-28088573/13, -591520/13, 6542417/13], [-3450328, -174607, 854811], [3327360/13, 209280/13, -842880/13]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [231, 153, 68], [5, 22, 13], [0, 0, 0]], [[0, 0, 0], [26049028602/91, 1564639906/91, -6492606898/91], [355087, 18733, 11395], [-473/91, 1/7, -5/91]], [[0, 0, 0], [-37856384819518/91, -2102933915374/91, 9410585522628/91], [-480443410, 116004190, -13888730], [643130/91, -193820/91, 17620/91]]], 0, 1290240, [], [] >,
< [ -1, -4, 0, 1 ], [[84, -20, -16]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9, 83/2, 39/2], [7, 63/2, 31/2], [0, 0, 0]], [[0, 0, 0], [-2719771/11354, 64967779/5677, -821409/11354], [-28067/38, 311795/19, 97/38], [647/107863, -28793/215726, -3/215726]], [[0, 0, 0], [-1038778792839513/5677, -49704424553906/5677, 255797055001340/5677], [-5415628569042/19, -266253302310/19, 1336932698814/19], [250001867919/107863, 12290011179/107863, -61716380169/107863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-68, 17/2, -1/2], [2, 7/2, 1/2], [0, 0, 0]], [[0, 0, 0], [193258184815/39739, 42372908171/39739, -57114400453/39739], [52414524/133, 1374960/7, 144126/133], [597713/1510082, 125234/755041, 5/1510082]], [[0, 0, 0], [-115636986479403353193/79478, -15427326020450878392/39739, 40883789106569611341/79478], [-27087215503252587/266, 603686476848787/133, 380503602899559/14], [-77399462402700/755041, 8904441023820/755041, 17633921804844/755041]]], 0, 20160, [], [] >,
< [ -1, -4, 0, 1 ], [[368, -32, -80]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-80, 4, 0], [-10, 10, 4], [0, 0, 0]], [[0, 0, 0], [-287968994/7, 76177440/7, 47058870/7], [-6516186, 344738, 209646], [92/7, 2/7, 0]], [[0, 0, 0], [1265096579932680/7, -5187710960618, -255091533972162/7], [27117570633457, -1953585490482, -5752416822317], [-375793217/7, 30296702/7, 81863857/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 10, -6], [-74, -6, 4], [0, 0, 0]], [[0, 0, 0], [244460/7, -33028/7, 3648], [-2454351, 191139, 834046], [9/7, 3/7, -2/7]], [[0, 0, 0], [-1535272128/7, -81453190, 674943506/7], [13450232409, 1120859600, -3175750059], [-42663/7, 3344/7, 9333/7]]], 0, 368640, [], [] >,
< [ -1, -4, 0, 1 ], [[-88, -24, 24]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 0, 0], [202, 2, 8], [0, 0, 0]], [[0, 0, 0], [-14125/7, 12513/7, -11441/7], [197339/2, -197277/2, 197281/2], [59/14, 3/14, 1/14]], [[0, 0, 0], [-21163613/7, -5072719/7, 5927795/7], [153615552, 40446534, -43212588], [33072/7, 4134/7, -8268/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-97, -45, -27], [-22, 8, 6], [0, 0, 0]], [[0, 0, 0], [7025692412/91, -1788297650/13, -3091913666/91], [762585639/26, -46234315/26, -849461/26], [-645/182, -83/182, -1/182]], [[0, 0, 0], [86713140432166720/91, 16398810625792344/91, -43668314216902056/91], [3398216893722576/13, 967436209528812/13, -1053038395659534/13], [-2716642206/91, -720254790/91, 106150722/13]]], 0, 11520, [], [] >,
< [ -1, -4, 0, 1 ], [[144, -96, 16]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 18, -8], [94, 8, -10], [0, 0, 0]], [[0, 0, 0], [-20663578/7, -14644488/7, 8896590/7], [-20102108, -1149948, 3668996], [36/7, 4/7, 4/7]], [[0, 0, 0], [11745193332, 12303250892, -8390269168], [66619384704, -6820832320, -11477195227], [-14208, 11840, -2701]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-948, -94, -16], [-232, -10, -2], [0, 0, 0]], [[0, 0, 0], [-132912803124/91, -34290404164/91, -11467468816/91], [-4627941735/13, -863092710/13, -321100408/13], [25/13, 72/91, 4/91]], [[0, 0, 0], [-57205715787006/91, 365534706894832/91, -161746527219624/91], [-1749249802614/13, 13926103159516/13, -6245860580736/13], [153984/91, -174836/91, 7218/13]]], 0, 92160, [], [] >,
< [ -1, -4, 0, 1 ], [[144, -96, 16]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 8, -6], [36, 0, -4], [0, 0, 0]], [[0, 0, 0], [-82062/7, -81936/7, 58634/7], [19885, 6121, -7504], [-25/7, 5/7, -2/7]], [[0, 0, 0], [-2/7, -12/7, -2/7], [-2, 0, 1], [-2/7, 0, 1/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-154, 30, -36], [52, -10, 10], [0, 0, 0]], [[0, 0, 0], [42199281296/91, 5989908272/91, -705259176/91], [-2023386743/13, -254190728/13, 76368612/13], [51/13, 72/91, 4/91]], [[0, 0, 0], [116860660121212006/91, -11290883641220844/13, 13082116063726042/91], [-5699095922622197/13, 3527192775401299/13, -472496353288005/13], [977301375/91, -650223897/91, 107686335/91]]], 0, 92160, [], [] >,
< [ -1, -4, 0, 1 ], [[144, -96, 16]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 24, 16], [28, 10, 6], [0, 0, 0]], [[0, 0, 0], [-7579966, 735114/7, 3817636/7], [-5309060, 116468, 623393], [-4/7, 2/7, -1/7]], [[0, 0, 0], [-98291584920, 12646773378, 14993442636], [-69481589420, 6486150978, 12003927660], [-7400, 4824, -750]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [184, 0, -12], [60, 2, 2], [0, 0, 0]], [[0, 0, 0], [35815647824/91, -156364770/13, -2835712424/91], [1660298035/13, -31237264/13, 16890098/13], [107/91, -16/91, 2/91]], [[0, 0, 0], [47453323849926058/91, -16129433349671238/91, -2317506086762560/91], [2112198241029067/13, -1069118231295045/13, 86642648498984/13], [135205549/91, -90432483/91, 2165000/13]]], 0, 92160, [], [] >,
< [ -1, -4, 0, 1 ], [[92, -8, -20]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [63873599/1006, 1101845/1006, 1894/503], [-165895/1006, -2875/1006, -1/503], [0, 0, 0]], [[0, 0, 0], [-327255681057603359/503, -56434370225560310/503, 43718971998733325/503], [849945337373004/503, 146583573303404/503, -113555784741932/503], [3426/503, 1366/503, 2/503]], [[0, 0, 0], [-235782067021188747894112253/503, 16449074894827886688789055/503, 43022644917045739478102579/503], [612375668450433990533753/503, -42694699903755525552437/503, -111751787471824705026010/503], [4643184970679/1006, -448969257491/1006, -364689754415/503]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [875095/2, 1161/2, -4], [-2273/2, -3/2, 0], [0, 0, 0]], [[0, 0, 0], [77682719169406000972/503, 5738999353625360987/503, -13977023470678890780/503], [-2623087837053620198/6539, -193784292316070766/6539, 471951441691610910/6539], [24851/6539, -2335/6539, 1/6539]], [[0, 0, 0], [-286082245595998514829911038394/503, -10497380079875612207403472751/503, 66230159714713774805308292996/503], [9660048970492123307984013969/6539, 354448600364822746612134497/6539, -2236364497239587176019692808/6539], [-186043371903335/13078, 17493539375661/13078, 14696552630570/6539]]], 0, 5760, [], [] >,
< [ -1, -4, 0, 1 ], [[-88, -24, 24]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [117, 5, 11], [21, -1, 5], [0, 0, 0]], [[0, 0, 0], [52097215/2, -226621, -2922707], [4732927, -337118, -246820], [3/2, 1, 0]], [[0, 0, 0], [-72469614514, 16545028464, 7103032602], [-12845440389, 5072686043, 175576923], [-4017, -1121, 1059]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [311, -7, -5], [-1, -3, 5], [0, 0, 0]], [[0, 0, 0], [2842278/13, 360743/26, -718941/13], [150/13, 825/13, -30/13], [5/13, 55/26, -1/13]], [[0, 0, 0], [-196633308822870/13, -12701460699788/13, 49969055363606/13], [4662959580/13, 1270306980/13, -1273114020/13], [155431986/13, 42343566/13, -42437134/13]]], 0, 11520, [], [] >,
< [ -1, -4, 0, 1 ], [[144, -96, 16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [80, 10, 8], [-164, -2, -6], [0, 0, 0]], [[0, 0, 0], [588489122, -43010543/2, 12196489/2], [-1221224160, 118758549, 35248341], [3, 3/2, -3/2]], [[0, 0, 0], [-428655332419/2, -57951469151, 175953739927/2], [451213504453, 126393250760, -178673419279], [-1451/2, 376, -55/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-792, -16, 0], [-12, 10, -2], [0, 0, 0]], [[0, 0, 0], [-39764/13, 131583/13, 93121/13], [1020/13, 930/13, 30/13], [34/13, 31/13, 1/13]], [[0, 0, 0], [18354441921/13, -18590645717/26, -1102186739/26], [-205399200/13, 137473875/13, -23096025/13], [-6846640/13, 9164925/26, -1539735/26]]], 0, 92160, [], [] >,
< [ -1, -4, 0, 1 ], [[144, -96, 16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 2, 8], [106, 6, 8], [0, 0, 0]], [[0, 0, 0], [-13548349/2, 380917/2, 384431], [94950011, 13872417, -32806036], [5/2, 5/2, -2]], [[0, 0, 0], [-162295570852, -23914873348, 50169202672], [2044698884198, 21736456616, -454981362762], [33162, -22254, 3750]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [468, 96, 56], [-18, 8, 4], [0, 0, 0]], [[0, 0, 0], [-77315112015/26, 35841801124/13, 31732626663/26], [2068765311/13, 2353830/13, -22694805/13], [209/26, 45/13, 5/26]], [[0, 0, 0], [-841507369477713891/26, 2357830522172887127/13, -2005020774684726169/26], [22222328082703095/13, -91467834041714100/13, 38614335589147935/13], [3676466649/26, -1227284070/13, 409964337/26]]], 0, 92160, [], [] >,
< [ -1, -4, 0, 1 ], [[-384, -176, 176]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-398, -10, -10], [50, 2, 0], [0, 0, 0]], [[0, 0, 0], [-2846834223/2, 38303622, 40013611/2], [178923941, -1580502, -6507739], [5/2, -1, -3/2]], [[0, 0, 0], [-18045174365313, 93331426524787/2, -36546521053371/2], [2440517188440, -5187660159949, 1935622796459], [67634, 62501/2, -62243/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [384, -40, -258], [-156, -2, -10], [0, 0, 0]], [[0, 0, 0], [244023468007825/13, -18241461054503/26, -283896702845389/26], [-98029272010230/13, 219166544859/13, -180706987731/13], [-72/13, -77/26, -5/26]], [[0, 0, 0], [1526987367319836512373/13, -59484447900837387499406/13, 28040405428380275862696/13], [-15444623178082678663596/13, -26650839176883890565006/13, 16115689480911277891188/13], [-5683446049/13, -2605654732/13, 2605247254/13]]], 0, 645120, [], [] >,
< [ -1, -4, 0, 1 ], [[-384, -176, 176]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-744, -22, 20], [208, 8, -4], [0, 0, 0]], [[0, 0, 0], [-15279260331/2, -425527189/2, -640434865], [2137935703, 88929579, 203176728], [-5/2, 3/2, 0]], [[0, 0, 0], [1361157347728268, 617674943136870, -445473272413962], [-380831702061264, -176293963984846, 123939650865554], [519630, 237130, -237560]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1474, 108, -160], [98, 4, -6], [0, 0, 0]], [[0, 0, 0], [-162810822795571/26, 14624069663854/13, -37862826943159/26], [5520925596691/13, 12017475316/13, -13270745329/13], [77/26, 7/13, -5/26]], [[0, 0, 0], [-3129554904582662659044/13, -4158178639879903171072/13, 2720231011418002168342/13], [161791821970308002968/13, 133797116742269951190/13, -101645370111658494818/13], [940762170/13, 431157600/13, -431155350/13]]], 0, 645120, [], [] >,
< [ -1, -4, 0, 1 ], [[64, -192, 64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 0, 8], [-8, -20, -16], [0, 0, 0]], [[0, 0, 0], [-1, -2, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [-58266, 10790, 8134], [12320, -8288, 672], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 6, -2], [-28, 4, 12], [0, 0, 0]], [[0, 0, 0], [-1, 2, 0], [2, 4, 0], [1, 0, 0]], [[0, 0, 0], [-38, -90, 50], [-24, 24, 0], [0, 0, 0]]], 0, 491520, [], [] >,
< [ -1, -4, 0, 1 ], [[64, 128, 64]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -74, -48], [0, -16, -20], [0, 0, 0]], [[0, 0, 0], [2, 0, 1], [2, 2, 0], [1, 0, 0]], [[0, 0, 0], [16802, 2794, -9468], [-18144, 2592, 1440], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 2, -8], [16, 12, -4], [0, 0, 0]], [[0, 0, 0], [2, 0, 1], [-2, 2, 0], [1, 0, 0]], [[0, 0, 0], [-6622, -860, 1806], [-16640, -1280, 4400], [0, 0, 0]]], 0, 122880, [], [] >,
< [ -1, -4, 0, 1 ], [[16, -48, 16]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -8, -4], [-2, -14, 6], [0, 0, 0]], [[-25/2, 3/2, -5/2], [-15/4, -331/4, -207/4], [-11/2, 289/2, -211/2], [-25/4, 3/4, -5/4]], [[342984, 3720, -79608], [-383570, -68764, 94918], [1171482, -395358, -84750], [171492, 1860, -39804]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 8, -4], [-30, 2, -10], [0, 0, 0]], [[-2, 8, 2], [1072756, 225449, 49407], [2057124, 1400474, 522202], [-1, 4, 1]], [[6897/2, -7755/2, 1881/2], [-4470780129/4, 992700159/4, 493977231/4], [-3851286553/2, 683061607/2, 462917655/2], [6897/4, -7755/4, 1881/4]]], 0, 5120, [], [] >,
< [ -1, -4, 0, 1 ], [[-24, -24, 16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-15, -10, 47], [3, 28, 13], [0, 0, 0]], [[0, 0, 0], [386497/2, -561211/4, -721639/4], [46114, -275067/2, -172041/2], [2, 3/4, -3/4]], [[0, 0, 0], [1749385, -1108439, 95273], [734763, 50697, -214326], [12, -12, 3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-19, -54, -29], [-13, -48, -27], [0, 0, 0]], [[0, 0, 0], [-26807/28, -1023/28, -405/14], [-115/14, 435/14, -36/7], [167/28, 5/28, 1/7]], [[0, 0, 0], [224968143/2, 491139345/4, -317090315/4], [4120041, 19216485/2, -11161531/2], [-700106, -3038673/4, 1968549/4]]], 0, 480, [], [] >,
< [ -1, -4, 0, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 0, -4], [-4, 0, 8], [0, 0, 0]], [[0, 0, 0], [-411/2, -123, 123/2], [335, 998, -311], [13/2, 2, 1/2]], [[0, 0, 0], [-20614, -2478, 6054], [11544, 14840, -11112], [704, 0, -176]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 30, 26], [4, 12, 16], [0, 0, 0]], [[0, 0, 0], [-2338725/14, -264307/14, 288709/7], [96177/7, -57665/7, -14198/7], [97/14, 5/14, 2/7]], [[0, 0, 0], [45157383639/14, 2043535036/7, -11592117287/14], [-1957912023/7, 744451588/7, 209395223/7], [-1820545/14, 101473/7, 137287/14]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -4, -4], [20, 16, 16], [0, 0, 0]], [[0, 0, 0], [25728, -10921/2, -3381/2], [-20510, -257205, 116087], [-5, -3/2, 3/2]], [[0, 0, 0], [8466633, 2496408, -2354625], [24722794, 32194068, -25661978], [-1329, -120, 195]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-268, -136, -24], [18, 22, 2], [0, 0, 0]], [[0, 0, 0], [-68166163/14, -7976488/7, 15983969/14], [1708793/7, 89590/7, -47587/7], [-11/14, -11/7, -5/14]], [[0, 0, 0], [-117234600281/14, -4206261341/14, 13781972304/7], [3259150105/7, 571306325/7, -963579936/7], [-10243/14, 675/14, 151/7]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[-72, -8, 24]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11, 29, -11], [-15, 21, 1], [0, 0, 0]], [[0, 0, 0], [4853015/2, 397789/2, -1273065/2], [2571089, 186843, -663095], [1/2, -5/2, 5/2]], [[0, 0, 0], [-30745344, -1972773, 15608497/2], [-32672563, -2118817, 8289892], [-89, -323, -293/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-87, 1, 9], [11, 3, -1], [0, 0, 0]], [[0, 0, 0], [-130525/2, 260093/2, -64674], [12038, 752, 2093], [3/2, -5/2, 0]], [[0, 0, 0], [272054019015/14, 37763668217/7, -45410036067/7], [-15373736842/7, -2691221285/7, 3883254103/7], [-5437967/14, -343682/7, 906527/7]]], 0, 3840, [], [] >,
< [ -1, -4, 0, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -2, 8], [14, 8, -2], [0, 0, 0]], [[0, 0, 0], [1157, 3793/2, 711/2], [1108, 839, 183], [2, 3/2, -5/2]], [[0, 0, 0], [450708, -92204, -77492], [632192, 45804, -174128], [770, -770, 210]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-78, -250, -48], [10, 22, 4], [0, 0, 0]], [[0, 0, 0], [-1475286/7, -4658761/7, 2492557/7], [142690/7, 362618/7, -199424/7], [40/7, 3/7, 1/7]], [[0, 0, 0], [-51335267819/14, -82179091214/7, 88606891469/14], [2405059443/7, 6382430522/7, -3526854875/7], [1122661/14, -73863/7, -15565/14]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 62, 10], [0, 4, 8], [0, 0, 0]], [[0, 0, 0], [-3418, -759/2, 1489/2], [-80, -77, -17], [-3, -1/2, -3/2]], [[0, 0, 0], [-3288545, -248838, 848757], [-61636, -4374, 14370], [-3503, -2034, 1695]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [382, 204, 118], [-2, 12, 10], [0, 0, 0]], [[0, 0, 0], [-1922480048/7, -255494146/7, 685959347/7], [24027456/7, 1706960/7, 693610/7], [-40/7, 4/7, -1/7]], [[0, 0, 0], [490456111387129/14, 64586324771239/14, -83022873232507/7], [-3054205624931/7, -114062035267/7, 80311047036/7], [10254039/14, -1024545/14, -134970/7]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 14, 2], [8, 4, 0], [0, 0, 0]], [[0, 0, 0], [74, 1105/2, -483/2], [38, 15, 1], [-5, -1/2, -3/2]], [[0, 0, 0], [69187/2, -48563, 28695/2], [-20653, -1354, 4855], [5875/2, 0, -1175/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, 212, -62], [-6, -14, 4], [0, 0, 0]], [[0, 0, 0], [-455757/7, -189991/14, 374907/14], [-43650/7, 165/7, 6411/7], [-72/7, -29/14, -5/14]], [[0, 0, 0], [-2234629528/7, 159946658/7, 1272335420/7], [-239983356/7, -51574230/7, 9783510/7], [-466574/7, -478386/7, -200804/7]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 44, 6], [-2, 10, 8], [0, 0, 0]], [[0, 0, 0], [-23/2, -767/2, 160], [-203, 45, 32], [7/2, 5/2, 1]], [[0, 0, 0], [-28964, 170909/2, -83399/2], [118378, -3125, -22423], [-1411, 2075/2, 1577/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [64, 68, 30], [2, -30, -16], [0, 0, 0]], [[0, 0, 0], [25541121/14, -24586502/7, 15167885/14], [3246113/7, -754370/7, 91807/7], [1/14, -13/7, 3/14]], [[0, 0, 0], [-93819146021/7, 9654659177/7, 15664850561/7], [-17038413366/7, 150425544/7, 4027779456/7], [-18625/7, 1775/7, 475/7]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 2, 10], [-8, -4, -16], [0, 0, 0]], [[0, 0, 0], [6393613/2, 428901/2, -1353321/2], [-1062834, -102690, 117912], [-7/2, -1/2, -1/2]], [[0, 0, 0], [-11354481276, -486245510, 2655592100], [3720750256, 9560620, -700196500], [11844, -1410, -752]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [150, -24, 34], [0, -12, 16], [0, 0, 0]], [[0, 0, 0], [1123041/14, 115345/14, -173675/14], [13856/7, 2008/7, 8108/7], [23/14, 11/14, -1/14]], [[0, 0, 0], [-49617999/14, -28432755/14, 23941087/14], [-1455402/7, -3213302/7, 1789832/7], [-775/14, -17/14, 139/14]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-56, 6, -26], [-6, 6, -10], [0, 0, 0]], [[0, 0, 0], [3597911/2, 735329/2, 3942033/2], [177756, -135426, 631362], [3/2, 9/2, 3/2]], [[0, 0, 0], [1157636005/2, 105325795/2, -306728589/2], [80709514, 10163728, -22625152], [281/2, 15/2, -67/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [332, -54, -38], [4, -28, -24], [0, 0, 0]], [[0, 0, 0], [24979747605/14, 3273136057/14, -7176421725/14], [335480720/7, 19244780/7, -9322226/7], [45/14, -1/14, -5/14]], [[0, 0, 0], [17047153806916/7, 3011045342540/7, -5290585998944/7], [449788277138/7, 39749202382/7, 69618447134/7], [29700/7, -2088/7, 144/7]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-68, -18, -26], [-24, -8, -8], [0, 0, 0]], [[0, 0, 0], [32054, -134288, 128228], [14102, -35878, 38626], [2, 6, 2]], [[0, 0, 0], [-47434099/2, -4756759/2, 12778131/2], [-8178588, -780340, 2184366], [-379/2, -25/2, 91/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, 2, -30], [0, 4, -12], [0, 0, 0]], [[0, 0, 0], [-16326719/14, -1936465/14, 3994877/14], [-372732/7, -152158/7, 79084/7], [-37/14, -25/14, 1/14]], [[0, 0, 0], [-976385379/14, -130784235/14, 274390265/14], [-23412414/7, -12576978/7, 10414994/7], [-2133/14, -1053/14, 783/14]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[-72, -8, 24]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, -6, -2], [-10, -2, 2], [0, 0, 0]], [[0, 0, 0], [-1455/4, 1121/4, -5563/4], [-571, -403, 85], [-9/4, -25/4, -5/4]], [[0, 0, 0], [-8638897/4, -2312189/4, 3055135/4], [-1780436, -76614, 435606], [-11003/4, 977/4, 2105/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [136, 668, -336], [-8, -56, 28], [0, 0, 0]], [[0, 0, 0], [-8764505/28, -10109185/28, -5235121/28], [248279/7, 44043/7, 1661/7], [-59/28, 1/28, 5/28]], [[0, 0, 0], [15698238441/28, -7746812835/28, -12386266979/28], [-637642220/7, -38096922/7, 242246360/7], [161271/28, 22095/28, -54585/28]]], 0, 3840, [], [] >,
< [ -1, -4, 0, 1 ], [[-320, -128, 128]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-546402/503, 512282/503, 4260/503], [-4622/503, 4384/503, 2/503], [0, 0, 0]], [[0, 0, 0], [67311652350/503, 67469524409/503, 4861079020/503], [570100125/503, 568289896/503, 37900125/503], [313/503, -1292/503, 4/503]], [[0, 0, 0], [41917215144567670/503, 2735285936614328/503, -10645983778434494/503], [355509009813488/503, 23197840060208/503, -90292516578664/503], [532385082/503, 33514082/503, -135068426/503]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3752810/503, 641734/503, 4968/503], [31812/503, 5464/503, 8/503], [0, 0, 0]], [[0, 0, 0], [-19649820813315/503, -1272709571625/503, 4985383377657/503], [-2164804218726/6539, -140219572422/6539, 549237414670/6539], [22241/6539, 19151/6539, 3/6539]], [[0, 0, 0], [-362314284782981297011/503, -23366835695077255684/503, 92055823963375773576/503], [-39915833602479586380/6539, -2574324506492503149/6539, 10141716606538550047/6539], [334711119620/6539, 32063304760/6539, -95720686715/6539]]], 0, 184320, [], [] >,
< [ -1, -4, 0, 1 ], [[384, 64, -128]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -6, -4], [388, 1736, 824], [0, 0, 0]], [[0, 0, 0], [132020, 58573, -602], [4460063/19, -104884/19, -857417/19], [-5/19, -2/19, 0]], [[0, 0, 0], [-512802258632014/5677, -34037771859226/5677, 130742237105771/5677], [-3420422371979/19, -233999716781/19, 875353304978/19], [13463198870/73801, 17252294555/1402219, -65347264512/1402219]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38, -72, 0], [-14, -22, 0], [0, 0, 0]], [[0, 0, 0], [103220086037/39739, 153790928308/39739, 407141911/39739], [-249347451/133, -360987528/133, 614087/133], [-1781284/9815533, -2606151/9815533, -3/9815533]], [[0, 0, 0], [1762006717628019230/39739, 1506532943816787825/39739, -1127517400162380992/39739], [-4278699107351803/133, -3532771496305172/133, 2676874452390149/133], [-30506732013945/9815533, -25507467861130/9815533, 19241280362240/9815533]]], 0, 368640, [], [] >,
< [ -1, -4, 0, 1 ], [[448, -256, 0]], [ -20, 54, -36 ], [ -133, -19, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 10, -2], [6, -12, -10], [0, 0, 0]], [[0, 0, 0], [21603528/5677, 120654664/5677, -2248541/5677], [114463/19, 663855/19, 33452/19], [-290/5677, -27841/107863, 4/107863]], [[0, 0, 0], [1104130574818/5677, 408435722362/5677, -439710571040/5677], [6160147678/19, 2006291666/19, -2324225956/19], [-192715984/107863, -86552128/107863, 83946880/107863]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, 116, 20], [14, 38, 8], [0, 0, 0]], [[0, 0, 0], [-31549470206/39739, -6193795724/39739, -22258744479/39739], [-296459229/133, -89823915/133, 33343910/133], [-255632/755041, -335487/755041, -4/755041]], [[0, 0, 0], [2902814863383965977/39739, 1344706960888297480/39739, -1338765895954565074/39739], [22135283143430900/133, 1477098183802581/133, -5773443985996583/133], [12444420716004/755041, -4150338408166/755041, -1180917963815/755041]]], 0, 5160960, [], [] >,
< [ -1, -4, 0, 1 ], [[512, -128, -64]], [ -26, -12, -4 ], [ -3, 3, -5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2824274/503, 344374/503, -5738/503], [23926/503, 2944/503, -6/503], [0, 0, 0]], [[0, 0, 0], [-37357714105083/503, -2976822686000/503, 10296492105437/503], [-316429713443/503, -25227658872/503, 87258522711/503], [2216/503, 683/503, 1/503]], [[0, 0, 0], [513841545582032773620/503, 37665597444251731776/503, -133063873016104054585/503], [4352345587791171475/503, 319235738452280307/503, -1127200243828671408/503], [-28903030500/503, -1229115225/503, 6472562100/503]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-152303656/503, -446798/503, -174/503], [-1290726/503, -3812/503, -10/503], [0, 0, 0]], [[0, 0, 0], [-71772183075827712/503, -124674380966138002/503, 74299032567162309/503], [-608241376103733/503, -1056562401910061/503, 629652817866964/503], [-4, 1, 0]], [[0, 0, 0], [1631996641407961106420764/503, 508225113019299703381100/503, -596357031561383864197794/503], [179797683904794424391280/6539, 55991041857772243821384/6539, -65700657983925070875552/6539], [1190455478028/6539, 75173160948/6539, -266856850140/6539]]], 0, 1474560, [], [] >,
< [ -1, -4, 0, 1 ], [[80, 0, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -10, -14], [0, -14, -6], [0, 0, 0]], [[0, 0, 0], [-4611/4, 32739/4, -1693], [-4041/2, -255/2, 1834], [-37/4, -5/4, -1/2]], [[0, 0, 0], [-258950007/2, -22719445/4, 127167371/4], [-73001865, -10245735/2, 37706225/2], [-349180, -87295/4, 352495/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [168, -320, -144], [-76, -336, -152], [0, 0, 0]], [[0, 0, 0], [32810772013/28, 1093935295/14, -8380154383/28], [-30221105/14, -2435949/7, 2642023/14], [-39/28, -2/7, -5/28]], [[0, 0, 0], [-6096013865387/14, -403392200333/14, 776854171474/7], [5420684183/7, -30325845/7, -1150878378/7], [6759/14, -909/14, -477/7]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[80, 0, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -8, 8], [8, -2, 2], [0, 0, 0]], [[0, 0, 0], [26363/4, 23067/4, 3571/2], [6591/2, 4675/2, 489], [5/4, 3/4, 1]], [[0, 0, 0], [195924211/4, 2778512, -48689263/4], [51141791/2, 1537862, -12816327/2], [41239/4, -163/2, -8965/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [182, 16, 12], [0, 18, 2], [0, 0, 0]], [[0, 0, 0], [-6580452323/14, 420027641/28, 3249470865/28], [81136199/7, 1396817/14, 7163117/14], [-39/7, -25/28, 1/28]], [[0, 0, 0], [7301189049655273/28, 322439578882623/28, -449842524992710/7], [-88897275286963/14, 2227193350551/14, 8775581722466/7], [82864795/28, 1352195/28, -8924487/14]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[80, 0, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -12, 4], [0, -2, -6], [0, 0, 0]], [[0, 0, 0], [-19097/4, -1053/2, 4283/4], [173/2, -492, -525/2], [27/4, 0, 5/4]], [[0, 0, 0], [-1776571999/4, -114987831/4, 225737639/2], [37818021/2, 2462295/2, -4851526], [2661983/4, 197445/4, -171883]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [288, 10, 0], [-6, -16, -10], [0, 0, 0]], [[0, 0, 0], [5827572139/28, 202757787/28, -698929799/14], [-25560217/14, 1741809/14, 2384432/7], [-27/28, 23/28, -1/7]], [[0, 0, 0], [15133361004/7, 783741432/7, -3828769710/7], [-131238882/7, 16590018/7, 41959980/7], [-100/7, -60/7, -20/7]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[80, 0, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -22, 6], [4, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5867/4, -3455, -4653/4], [-379/2, 677, 869/2], [-7/4, -1/2, -3/4]], [[0, 0, 0], [-39514983/2, -907318, 9593257/2], [-9969805, -607860, 2527691], [-100947/2, -4807, 27071/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-148, -26, -12], [-6, -12, -6], [0, 0, 0]], [[0, 0, 0], [1242666/7, -1085737/28, -474267/28], [29145/7, -5731/14, 4133/14], [69/14, 17/28, 1/28]], [[0, 0, 0], [-3404172019/28, 13075029/7, 732265147/28], [-38934095/14, 656197/7, 7606769/14], [-87975/28, -657/14, 18973/28]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[21, -2, -3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, -1, 5/2], [-213/2, 0, -3/2], [-11/2, -1, 5/2], [0, 0, 0]], [[-4678626, 145531/2, 348349/2], [-206983343/2, -28693061/4, 212425799/4], [-4678624, 72768, 174176], [-1, -5/4, -3/4]], [[-1698744271213, 106570176227/2, 699431620675/2], [-37691288349080, -24063360297461/4, 45704404261073/4], [-1698743752000, 53285038400, 349715736000], [-519213/2, 99427/4, 148675/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-57/2, 1/2, -2], [-139/2, -69/2, -42], [-57/2, 1/2, -2], [0, 0, 0]], [[49255120, 2279642, -5510254], [458371141/4, 35785359, 68754439/4], [98510167/2, 2279641, -11020513/2], [73/4, 1/2, 5/4]], [[-31655206452663/2, 180718377909, 6392144681149/2], [-137942494783603/4, 1504620454704, 18659299185043/4], [-15827591639475, 180717123930, 3196070778005], [-23173713/4, 1253979/2, 3125139/4]]], 0, 128, [], [] >,
< [ -1, -4, 0, 1 ], [[21, -2, -3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-23, -1, 0], [-95, -28, -29], [-23, -1, 0], [0, 0, 0]], [[-445450209/2, -2354468, 33267193/2], [-1794432425/2, -259891067/2, -125448630], [-445450161/2, -2354469, 33267195/2], [-12, 1/2, -1/2]], [[350753074984048, -19221133780765/2, -131636520161423/2], [2727744999922405/2, -378157317659159/4, -676586044298511/4], [350753037141936, -9610563365715, -65818254671949], [18921056, -7049335/4, -10817525/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-35/2, 1/2, -1], [-73/2, -51/2, -24], [-35/2, 1/2, -1], [0, 0, 0]], [[2663942, -225281, -71809], [5112116, 3130369/2, 4125187/2], [2663936, -225280, -71808], [3, -1/2, -1/2]], [[-1072158047/2, 481978327/2, 132790094], [-2685286215/4, 6554799325/4, 1150202595/2], [-536077696, 240989056, 132789888], [-2655/4, 215/4, 103]]], 0, 128, [], [] >,
< [ -1, -4, 0, 1 ], [[-23, -9, 12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -2, 3/2], [-171/2, -6, 7/2], [1/2, -2, 3/2], [0, 0, 0]], [[-543317/2, -2494, 3993/2], [85829909/4, 5074591/2, -17347811/4], [-271692, -2496, 1996], [67/4, 1, 1/4]], [[-62117135232, -51772059513/2, 63237811501/2], [8422855752535/2, 1207236158487/4, -4945624886433/4], [-62124668032, -25889014040, 31622819864], [3766400, 5968567/4, -7828227/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-38, -5/2, -3/2], [499, 33/2, 13/2], [-38, -5/2, -3/2], [0, 0, 0]], [[60647890699/2, -850171843/2, 163115894], [-1596789385673/4, 57633517855/4, 13047613587/2], [30323945338, -425085922, 163115896], [23/4, 1/4, -1]], [[4200866948308029/2, 3875218346991643/2, -1977541368892478], [-110744913861361555/4, -102392804750859191/4, 49914122508222399/2], [2100433473523764, 1937609173250604, -1977541368564744], [1260501/4, 490435/4, -163867]]], 0, 1024, [], [] >,
< [ -1, -4, 0, 1 ], [[-23, -9, 12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 5/2, -5/2], [280, 15/2, -19/2], [2, 5/2, -5/2], [0, 0, 0]], [[-34902445/2, 11350, -312535/2], [-16543300427/4, -224507125/2, 4965436709/4], [-17451214, 11352, -156266], [-17/4, -1, -3/4]], [[-1839314512811, -1411284020807/2, 1669997083737/2], [-380136467008650, -65636196332445/4, 347533959248521/4], [-1839313655256, -705641676421, 834998095569], [-857555/2, -667965/4, 892599/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, -5/2, -1/2], [-212, 15/2, 5/2], [-15, -5/2, -1/2], [0, 0, 0]], [[978723879, -33841437/2, 2903395/2], [13945855624, -10380944557/4, -590940943/4], [978723900, -16920720, 1451700], [-21/2, 3/4, -5/4]], [[-57164121544009455, -16695795181864725, 25446915596694600], [-1744381458976955697/2, -672909709171605569/2, 393272839639512171], [-57164122839783240, -16695795687815340, 25446916271440260], [1295773785/2, 505950615/2, -337372830]]], 0, 1024, [], [] >,
< [ -1, -4, 0, 1 ], [[-36, -14, 10]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -3/2, -3/2], [-459/2, -15/2, -1], [3/2, -1, -1/2], [0, 0, 0]], [[-917395/2, -446281, 20501/2], [55898561, -23013446, -10148029], [-919561/2, 18335/2, 1083], [-31/2, -2, -1/2]], [[-167108657848, -27313438416, -15190404856], [31339769758349, 15477282025501/2, -25014628548791/2], [-244601469992, -92683217000, 77492812144], [-15945701/2, -3165614, 4438709/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 7/2, 1/2], [323/2, 11/2, 7], [-9/2, -2, 5/2], [0, 0, 0]], [[-9184, -8064, 736], [399306, -48218, -203774], [-9376, 544, 192], [-19, -1, -2]], [[76227584, 14731648, 4032], [-3962189857, 1482898231/2, 2355765823/2], [106977568, 30754016, -30749984], [436925/2, 85376, -115509/2]]], 0, 1536, [], [] >,
< [ -1, -4, 0, 1 ], [[-6, -6, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -3/2, -1], [-15/2, -23/2, -5], [5/2, -3/2, -1], [0, 0, 0]], [[8150, 1250, -2450], [-14311, -10943/4, 16381/4], [8147, 2495/2, -4899/2], [-3/2, -5/4, 1/4]], [[135150, -262950, 94650], [-447185/2, 997901/2, -180165], [135191, -262581, 94486], [41/2, 369/2, -82]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -1, 3/2], [43/2, 1, 15/2], [-5/2, -1, 3/2], [0, 0, 0]], [[-11084, 216, 1256], [1607045/14, -68485/28, -1541273/28], [-77678/7, 3063/14, 17569/14], [-15/7, 13/28, -5/28]], [[-3340977276, -1609550044, 1447605940], [711137564017/28, -372689570815/28, -7219977169/7], [-46841538939/14, -22596966341/14, 10154791855/7], [-22619025/28, -21088575/28, 7183425/14]]], 1, 10, [], [] >,
< [ -1, -4, 0, 1 ], [[-6, -6, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 0, 5/2], [3/2, -6, 25/2], [7/2, 0, 5/2], [0, 0, 0]], [[-721426, -47322, 181859], [-754709, -49386, 373109/2], [-721420, -47320, 181860], [-3, -1, -1/2]], [[2107519237/2, 73075445, -540102345/2], [4431964039/4, 94557678, -1168571897/4], [1053748920, 73066840, -270044880], [21397/4, 8605/2, -12585/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17/2, -1, 3/2], [75/2, 5, 23/2], [-17/2, -1, 3/2], [0, 0, 0]], [[-35537, 850, 1220], [2050771/28, -7798633/28, 1934329/7], [-497485/14, 12043/14, 8551/7], [-3/28, -13/28, -1/14]], [[-191043/2, -7102, 49443/2], [890281/2, 72876, -268341/2], [-191043/2, -7102, 49443/2], [0, 0, 0]]], 1, 12, [], [] >,
< [ -1, -4, 0, 1 ], [[-20, -18, 14]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[14, 29/2, 3/2], [425/2, 9/2, 17], [29/2, 2, -1/2], [0, 0, 0]], [[645063168, 612747296, -13493920], [9313626791, -4430372215/2, 2808814995/2], [654474144, -4082944, -9410976], [-1/2, 0, -5/2]], [[583505178716512, -29211926055104, -125581475803680], [12860455992285713, 2739011484462210, -4222191010183073], [827072993200480, 117986338680288, -243567814483968], [-1092070, -996310, 770770]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, -8, 2], [-117, -2, -9], [-10, 2, 0], [0, 0, 0]], [[15364671/2, 15995889/2, 216090], [1293082459/14, 479333037/14, 101580366/7], [53428022/7, 2328587/14, 696629/14], [5/14, 5/7, 1/14]], [[4926067290144, 1709004697008, -2022864462192], [863969351495877/14, -107850363917187/7, -105440037219365/14], [38662159141050/7, -9980362580838/7, -4179689719368/7], [2674131/14, 2401899/14, -934734/7]]], 0, 384, [], [] >,
< [ -1, -4, 0, 1 ], [[-6, -6, 4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, -9, -7/2], [-21, -33/2, -9/2], [-5/2, -5/2, -1], [0, 0, 0]], [[-39/2, -133/2, 36], [415/4, 1249/4, -787/4], [27, 129/2, -93/2], [5/4, -13/4, -5/4]], [[-4109/2, -7163, 7691/2], [39541/4, 145255/4, -77133/4], [3819/2, 15923/2, -4154], [-513/4, -361/4, 323/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, -19/2, -1], [-157/2, -1, -25/2], [-7, -1/2, -1/2], [0, 0, 0]], [[-278875, -797875/2, -163875/2], [-41286365/14, -9460775/14, -6141075/14], [-3637363/14, -440141/7, -266867/14], [-3/14, 4/7, -1/7]], [[-129296875, 70130625, 39306250], [-68280232435/28, -16951713377/28, 28473946201/28], [-1465491119/7, -285269840/7, 560417022/7], [-11381/28, -10785/28, 7353/28]]], 1, 8, [], [] >,
< [ -1, -4, 0, 1 ], [[-6, -6, 4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[51/2, 34, 9/2], [47, 27/2, 75/2], [47/2, 5/2, 2], [0, 0, 0]], [[-550176425/2, -403132965/2, 22558205], [-2306269209/4, 143594933/4, -663815575/4], [-300569975, -5847115/2, 50963525/2], [-11/4, -5/4, -5/4]], [[-34079914458725/2, 14303475267895/2, -17863819575], [-279953513872249/4, -259544602300731/4, 181619097668259/4], [-29144736570805, -24245286322035/2, 24209558682885/2], [-1161641/4, -1035177/4, 716547/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-16, -51/2, -9/2], [-313/2, -53/2, -43], [-27/2, -2, -5/2], [0, 0, 0]], [[19522835, 16973883, -930130], [6562154957/28, -122364667/28, 33398333/28], [142325740/7, -845207/7, -5665907/7], [3/28, -29/28, -5/28]], [[-60095626077, 20364276115, 4970824494], [-4610377103069/4, -1767544442935/4, 1887438875895/4], [-97840218560, -32773770725, 37744575923], [-8939/4, -9395/4, 6179/4]]], 1, 6, [], [] >,
< [ -1, -4, 0, 1 ], [[-13, -3, 4]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 0, 5/2], [7/2, 0, 5/2], [-2, -2, 0], [0, 0, 0]], [[-6213, -3928, 2286], [-6192, -27446/7, 16004/7], [2108, 174, -301/2], [-9/7, 1/7, -1/14]], [[145002117/2, -1909583, -29654929/2], [1011022449/14, -13572576/7, -206555933/14], [-61049317/2, -6320085/2, 16235335/2], [279225/14, 39785/14, -11315/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, -3/2, -7/2], [-21, -23/2, -19/2], [-16, -5, -3], [0, 0, 0]], [[-1201803, 111688, 324469], [172898931/91, -23702429/91, 83405268/91], [40333737/26, -2420367/13, 7697921/26], [53/182, -1/13, 5/182]], [[-967751662623/2, -35096017749, 262151535757/2], [22916231341227/26, 29381057790275/91, -50785737898895/182], [8876597220546/13, 2327314379803/13, -5332983123399/26], [11910426/91, 2761803/91, -7343919/182]]], 1, 12, [], [] >,
< [ -1, -4, 0, 1 ], [[-13, -3, 4]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 1/2, 1/2], [-1, 1/2, 1/2], [9, 1, -2], [0, 0, 0]], [[-9/2, 15, -39/2], [-1/2, 200/7, -271/14], [-8, 1/2, -2], [-8/7, 1/14, -2/7]], [[1395837/2, 1245063/2, -391745], [9676699/14, 9768321/14, -3208735/7], [973165/2, 258405/2, -308695/2], [973165/14, 36915/2, -308695/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-31/2, 2, -1/2], [-111/2, 4, -21/2], [-20, 1, -5], [0, 0, 0]], [[1483827/2, -1662733/2, 145449], [420000639/182, -764008771/182, 81887262/91], [10179948/13, -43764199/26, 9807203/26], [12/13, 1/182, -5/182]], [[790970712857/2, 189206112048, -363486744921/2], [266665712033507/182, 78425200180668/91, -138673074219021/182], [6954007770815/13, 8744324070519/26, -3771548958926/13], [31671751/91, 14559999/182, -9743374/91]]], 1, 16, [], [] >,
< [ -1, -4, 0, 1 ], [[-13, -3, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[37/2, 2, 3/2], [-159/2, -9, -11/2], [37/2, 2, 3/2], [0, 0, 0]], [[31934182, -1814242, -1743786], [-549231999/4, 26470673/4, 8588199], [63868355/2, -3628487/2, -1743787], [-9/4, -3/4, -1/2]], [[-428021168770, -82797601380, 132351596000], [7329616321379/4, 1377774268989/4, -562117778589], [-856042224623/2, -165595173899/2, 132351578045], [112917/4, 28861/4, -17955/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, -3/2, 0], [1691/2, -69/2, 5], [-21/2, -3/2, 0], [0, 0, 0]], [[-157988880, 314594, 627368], [658725891233/52, -133674266603/52, 5093274653/13], [-4107711705/26, 8179125/26, 8155795/13], [75/52, 29/52, -1/26]], [[-4194803224553186, -2753210527471208, 2192684940613188], [4935547111791289815/13, 4161808020969340570/13, -3035795919481082925/13], [-54532450468825258/13, -35791738828734024/13, 28504906858712964/13], [388619720/13, 89618560/13, -119579160/13]]], 1, 16, [], [] >,
< [ -1, -4, 0, 1 ], [[-13, -3, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, -5/2, 5/2], [-18, 15/2, -15/2], [-8, -5/2, 5/2], [0, 0, 0]], [[90, 19, 6], [1789/4, 1579/2, 371/4], [175/2, 17, 7/2], [5/4, 1, 5/4]], [[-3478491, -781881/2, 1886293/2], [-19595799/2, 849673/2, 3353817/2], [-3387384, -736725/2, 1828629/2], [-91107/2, -11289, 14416]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-14, -3/2, -5/2], [-1351, -71/2, -131/2], [-14, -3/2, -5/2], [0, 0, 0]], [[163652596181/2, 321060631/2, -207083877], [31957292862893/4, -608677137493/4, -1226146588833/2], [81826298041, 160530288, -207083877], [9/4, 5/4, 0]], [[-13266635125452608, -1051606945468889271/2, 506070798277062859/2], [105901914105953016237/52, -1035814373952292066875/26, 960436087796050025661/52], [-344932515266512715/26, -13670890291557707901/26, 3289460189109261788/13], [182249537/52, 21006699/26, -56064219/52]]], 1, 16, [], [] >,
< [ -1, -4, 0, 1 ], [[23, -2, -5]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 0, -1], [-1, 0, -1], [-191, 4, -5], [0, 0, 0]], [[2720618, 70361, -63131], [19044114/7, 70340, -441958/7], [998671319/2, 41808271/2, -99867071], [25/14, 3/14, 2/7]], [[-6347487312543/2, 85311343157, 1440375937083/2], [-6347427776661/2, 85310135699, 1440359792955/2], [-584386757442961, -24250673650272, 288054268989103/2], [-2024631, 178164, 875385/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[28, 1, -3], [-114, -5, -7], [-71, -3, -2], [0, 0, 0]], [[211063041, -7562983/2, -46050351/2], [-76970591559/91, 11357405613/182, -8973013739/182], [-6869759484/13, 860413703/26, -170801321/13], [36/13, 55/182, -1/91]], [[61717890028, -2848362214, -13337680186], [-22326345520995/91, 3740391887228/91, 3975804521267/91], [-3991782533317/26, 571367815467/26, 370677908577/13], [141937/182, -13185/182, -2208/13]]], 1, 96, [], [] >,
< [ -1, -4, 0, 1 ], [[23, -2, -5]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, -5/2, -2], [-15/2, -5/2, -2], [54, -2, 4], [0, 0, 0]], [[-13332878, -438546, 691093], [-13332876, -3069772/7, 4837667/7], [204383539/2, -13801865/2, -23619811/2], [-11/14, -5/14, -1/14]], [[-1378007059143, 324374082215/2, 492395577201/2], [-9646049052071/7, 2270619224803/14, 3446768064505/14], [10841648926789, -2155263371011/2, -1960429389943], [-517616/7, 87839/14, 16031]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-98, 1/2, 7/2], [90, 21/2, 27/2], [94, 5, 5], [0, 0, 0]], [[-21339384341, 1866641305/2, 2805959665/2], [1759976372468/91, 66965465303/182, 312277543429/182], [264418593070/13, -7349921647/26, 4066801013/26], [-113/91, -3/26, 1/182]], [[1032453837369944749, -147865160915273309/2, -427961117592599033/2], [-82718938814921221595/91, 26388106720972654885/182, 31508452803533536255/182], [-12619445424346976136/13, 2845988286510606001/26, 2516175485503080731/13], [5283295440/91, -917245135/182, -164044655/13]]], 1, 96, [], [] >,
< [ -1, -4, 0, 1 ], [[23, -2, -5]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-109/2, -3/2, -2], [-215/2, -7/2, 3], [-109/2, -3/2, -2], [0, 0, 0]], [[-1551101937/2, 122571571/2, -122782345], [-6164602731/4, 78329806, -398064261/4], [-775550993, 122571571/2, -245564697/2], [7/4, 0, 1/4]], [[764852867982592, -147816270035361/2, -321487822455441/2], [3029879880225101/2, -368637236684529/4, -1330939006068983/4], [764852891725542, -73908137059143, -160743916400283], [-1695925, 583275/4, 1477875/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, -2, 3/2], [2327/2, 3, 7/2], [13/2, -2, 3/2], [0, 0, 0]], [[-13678266762, 20069641/2, 112861075/2], [-60249268876603/26, -12912659853767/52, 12471187981177/52], [-177817461498/13, 130452622/13, 733597210/13], [-36/13, 1/52, -5/52]], [[8800523095693318481/2, -293985081614439061, -1953209623404166073/2], [38102476481985624245621/52, -50578129992859840483/13, -9328069288322424690111/52], [57203398063241790467/13, -3821805882037581974/13, -12695862104573097071/13], [46264377071/52, -2010675571/26, -10057392863/52]]], 1, 96, [], [] >,
< [ -1, -4, 0, 1 ], [[23, -2, -5]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -2, -1], [-20, -7, 3], [1, -2, -1], [0, 0, 0]], [[1812, 2956, -1490], [-19909/2, 27773/4, -899/4], [1804, 5907/2, -2983/2], [-4, -5/4, -3/4]], [[-121554349/2, -91824855/2, 36157790], [2220211891/4, -152835315/2, -342679999/4], [-60418026, -91885549/2, 72159083/2], [718297/4, -30347/2, -156497/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-89, -5/2, -5/2], [142, -5/2, 9/2], [-89, -5/2, -5/2], [0, 0, 0]], [[-181021539/2, -13416999/2, 2407521], [7527903335/52, 71586956/13, -194533033/52], [-1176639306/13, -174420627/26, 62595501/26], [93/52, 6/13, -3/52]], [[-198189188903289/2, 17416171841442, 32842535352105/2], [4140353405823201/26, -398085405322297/13, -645925881057443/26], [-2576457964516797/26, 226410169157736/13, 426952635376425/26], [24853766/13, -2159367/13, -5403349/13]]], 1, 96, [], [] >,
< [ -1, -4, 0, 1 ], [[68, -4, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, -12, -20], [-26, 2, 0], [0, 0, 0]], [[37/2, 39/2, 0], [338028, 558787/4, 531537/4], [748203/2, 2302, -83343/2], [9, -1/4, 1/4]], [[7236263/2, 38837, -2745393/2], [311973333225/4, -66015770847/4, -41686904103/2], [97944440789, 414975533/2, -47507903875/2], [9442861/4, -538795/4, -1103299/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-60, 3, 17], [20, -3, 3], [0, 0, 0]], [[-39/2, -45/2, 0], [2650373, -423353/4, -2839487/4], [-1651331/2, 342248, -359293/2], [-9, 3/4, -3/4]], [[-226572, -7648, 86996], [43184734014, 2707518146, -10569926630], [-14388462036, 1876363320, 2771293032], [-146268, 10516, 32982]]], 0, 1536, [], [] >,
< [ -1, -4, 0, 1 ], [[-160, -144, 112]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [142, -10, -8], [-14, -4, -2], [0, 0, 0]], [[0, 0, 0], [-134683205/2, 19576405/2, 6160246], [6341461, 106421, 107282], [-11/2, 5/2, 1]], [[0, 0, 0], [-1701164453712, -1466788164158, 1042118091974], [160920469632, 156454916072, -98228783784], [-153048, -140924, 107940]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-154, -10, 24], [-10, 4, -6], [0, 0, 0]], [[0, 0, 0], [548679861, 81424171/2, -247440313/2], [40685256, 862585, -1886817], [18, 5/2, 3/2]], [[0, 0, 0], [-416718895760943/2, -31974088519811, 126273660409677/2], [-19582761093159, -15245149874516, 12187215653075], [-18004959/2, -8361318, 12990075/2]]], 0, 245760, [], [] >,
< [ -1, -4, 0, 1 ], [[-160, -144, 112]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 22, 24], [36, 6, 10], [0, 0, 0]], [[0, 0, 0], [82915297/2, -11249619, -49255339/2], [-68847531, -2419996, 2319995], [-31/2, 2, -5/2]], [[0, 0, 0], [-54298236894097/2, 12362425303589/2, 184267196844], [54709011366003, 28255832127653, -27628719031792], [29934753/2, 26985153/2, -10445271]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-392, 14, 6], [-14, -4, -2], [0, 0, 0]], [[0, 0, 0], [342829706, -50751033, -24816253], [11731220, -72382, 16502], [-8, -1, 1]], [[0, 0, 0], [-23586321228209/2, -40678170304315/2, 12437801520348], [-393209884171, -678900130183, 426154844926], [345989/2, 306889/2, -119577]]], 0, 245760, [], [] >,
< [ -1, -4, 0, 1 ], [[112, -48, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-106, -64, -58], [-58, -8, -6], [0, 0, 0]], [[0, 0, 0], [-235457/2, -952, -70831/2], [-70659, 6138, 249], [11/2, 1, -5/2]], [[0, 0, 0], [-772035637/2, -383153631/2, 192852890], [-220044001, -73104821, 87008938], [26353/2, -5567/2, -1425]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [50, 32, 30], [14, 2, 8], [0, 0, 0]], [[0, 0, 0], [5239904, 687542, 121468], [1606828, -56970, 14742], [16, 2, 0]], [[0, 0, 0], [-410850760823/2, 70704287261, 17190514425/2], [-63457717625, 30435527538, -1040222417], [-1267167/2, 194446, 77615/2]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[112, -48, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 2, 10], [44, 214, 102], [0, 0, 0]], [[0, 0, 0], [37598, -57522, 18706], [-25560, -1430, 5006], [-2, 2, -2]], [[0, 0, 0], [58465537/2, -18663717/2, -2124190], [-15063831, -690075, 3678398], [-2821/2, 1139/2, 29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 10, 8], [52, 230, 110], [0, 0, 0]], [[0, 0, 0], [-6, 1, -1], [5074, 316, -1294], [4, -1, -1]], [[0, 0, 0], [923/2, -992, 621/2], [-589201, -37882, 149339], [-893/2, 159, 15/2]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[84, -8, -12]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-64, 5, -1], [-6, 0, -2], [0, 0, 0]], [[0, 0, 0], [86643303/2, 1665909/2, -6694538], [4072299, 232985, -146880], [11, 1/2, 1/2]], [[0, 0, 0], [344252841511459, -1361170168210, -73071400036205], [31826233267135, -1627860115630, -5506743511385], [85476138, -8458802, -12041788]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [88, -9, -3], [19, 5, 4], [0, 0, 0]], [[0, 0, 0], [63450987/2, -2751343, -8158073/2], [6490762, 247160, -104266], [11/2, 1/2, 2]], [[0, 0, 0], [24790010811863/2, 12904139280, -5479830292695/2], [2468145198371, -14754161366, -512905870821], [4109643/2, -419121/2, -284715]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[20, 0, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -2, -2], [0, -4, 2], [0, 0, 0]], [[0, 0, 0], [-239/4, -51, -15/4], [-13/2, -1, -25/2], [-7/4, 1/2, -5/4]], [[0, 0, 0], [-9935963/4, -383227/2, 2431363/4], [-757255/2, -51695, 191513/2], [-416067/4, -10056, 106845/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, 7, -9], [2, -3, -1], [0, 0, 0]], [[0, 0, 0], [2910067/28, -249145/14, -585637/28], [-97817/14, -2358/7, 12897/14], [-93/28, -8/7, 1/28]], [[0, 0, 0], [1206570861/7, -133890024/7, -425411937/14], [-78248553/7, 4220647/7, 14676808/7], [-35156/7, -130/7, 13281/14]]], 1, 36, [], [] >,
< [ -1, -4, 0, 1 ], [[20, 0, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, -26, 3], [-7, -22, -7], [0, 0, 0]], [[0, 0, 0], [13705/4, -9971/4, -1687/2], [-5289/2, -5623/2, -490], [3/4, 5/4, 0]], [[0, 0, 0], [-4383299/4, -247773/4, 548773/2], [1076971/2, 72941/2, -137439], [-469/4, -41/4, 31]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9, -15, -8], [-3, -15, -2], [0, 0, 0]], [[0, 0, 0], [464848/7, 109423/28, -498811/28], [27379/7, 12475/14, -29913/14], [-11/14, 5/28, -3/28]], [[0, 0, 0], [-20038208713/28, -652060435/14, 5121832645/28], [-561198633/14, -31219841/7, 164457581/14], [256183/28, 93/7, -52985/28]]], 1, 30, [], [] >,
< [ -1, -4, 0, 1 ], [[20, 0, -4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [43, 4, 5], [0, 18, 8], [0, 0, 0]], [[0, 0, 0], [11131519/4, -4087643/4, -834329/4], [-279450, 37141, -24732], [13/4, 13/4, 3/4]], [[0, 0, 0], [-46966072315/2, -31665183039/2, 25481633785/2], [2310772769, 1722982658, -1326821979], [-31119/2, -943/2, 7015/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, -3, 1], [0, -3, -1], [0, 0, 0]], [[0, 0, 0], [-15049/14, -2022/7, 2847/7], [288/7, 219/7, 45/7], [19/7, -29/14, 1/7]], [[0, 0, 0], [-22287457/28, -3608331/28, 5916713/28], [142095/7, -187953/7, -139931/7], [70299/28, -963/28, -9309/28]]], 1, 40, [], [] >,
< [ -1, -4, 0, 1 ], [[20, 0, -4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 5, -5], [2, 3, -3], [0, 0, 0]], [[0, 0, 0], [-16583/2, -543, 2333], [-3600, -240, 1050], [1, 3/2, 1]], [[0, 0, 0], [-21578417/4, -1442371/4, 5515247/4], [-2340540, -158580, 599580], [1825/4, 73/4, -365/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-102, -39, -11], [-8, -19, -5], [0, 0, 0]], [[0, 0, 0], [5316240591/28, 708067627/28, -1415866209/28], [48103449/7, 1527516/7, -3364439/7], [-51/28, -39/28, 1/28]], [[0, 0, 0], [993897970543/2, 29867288375/2, -117738594300], [19704609000, 4013779400, -6174538174], [-3965, 235/2, 1433/2]]], 1, 30, [], [] >,
< [ -1, -4, 0, 1 ], [[68, -4, -16]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [99, 13, -4], [0, -4, 0], [0, 0, 0]], [[0, 0, 0], [4415793, 33900, -1124768], [45151, -3702, 1123], [8, 2, 1]], [[0, 0, 0], [-2778052509599/2, -80734750468, 690443499297/2], [-14316730675, 861357200, 3066243075], [-4681143/2, 330309/2, 552762]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [375, 7, 6], [31, 2, 3], [0, 0, 0]], [[0, 0, 0], [54410731847/7, -1789018064/7, -3196142374/7], [4468155292/7, -85716668/7, -9996976/7], [-33/7, -3/7, -1/7]], [[0, 0, 0], [-7646293093296895/7, 448253789247823/14, 3511401236605173/14], [-624110852107670/7, 33108621720460/7, 141647681837790/7], [8971965/14, -267300/7, -2120175/14]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[-80, -32, 32]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -10, -6], [-18, -10, 0], [0, 0, 0]], [[0, 0, 0], [-141921/7, -21103, 89143/7], [-77061/2, -5279/2, 17247/2], [27/14, 1/14, -1/14]], [[0, 0, 0], [-16394138/7, -11564652, 41985348/7], [2894318, 871550, -1054906], [-1542/7, -2070/7, 1314/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-78, -12, -26], [16, 4, 8], [0, 0, 0]], [[0, 0, 0], [22278/7, 16470/7, -11274/7], [-219, -275, 386], [5/7, 3/7, 0]], [[0, 0, 0], [5344819355/91, 12235210957/91, -6976416695/91], [-266612761/26, -833210613/26, 454618377/26], [989775/182, 368595/182, -382815/182]]], 0, 2880, [], [] >,
< [ -1, -4, 0, 1 ], [[-80, -32, 32]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -2, 10], [-10, 4, -2], [0, 0, 0]], [[0, 0, 0], [13226/7, 4236/7, 3560/7], [-6357, -288, 1264], [51/7, 4/7, 0]], [[0, 0, 0], [4103536376/7, 1061858470/7, -1372972446/7], [-3916762551/2, -378813437/2, 1051587861/2], [32390217/14, 5936643/14, -9903339/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, 50, -6], [2, -10, 4], [0, 0, 0]], [[0, 0, 0], [-138174/91, -9106/13, 149762/91], [3521/26, 8049/26, -7381/26], [-131/182, -51/182, -5/182]], [[0, 0, 0], [5710244/91, 71193128/91, -34591990/91], [-703311/13, -2664807/13, 1411797/13], [-9099/91, -639/13, 4035/91]]], 0, 2880, [], [] >,
< [ -1, -4, 0, 1 ], [[-80, -32, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [134, 2, 34], [6, 2, -8], [0, 0, 0]], [[0, 0, 0], [191463914, 13433012, -70914650], [6703660, 11096, 411058], [0, 2, -2]], [[0, 0, 0], [221143138499, 12666748108, -111109066937/2], [8173149125, 691180005, -2143196640], [-830, -260, 605/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [824, 406, -250], [4, 16, -10], [0, 0, 0]], [[0, 0, 0], [-290063090929/26, -12626412753/13, 35651383278/13], [140951706/13, 876097/13, 1564805/13], [-7/26, -16/13, 2/13]], [[0, 0, 0], [-40943341428106976/13, -2638343014359350/13, 10402423228308704/13], [41418123515416/13, 2974169426672/13, -10680185098060/13], [225660/13, 89148/13, -89956/13]]], 0, 3840, [], [] >,
< [ -1, -4, 0, 1 ], [[-80, -32, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [88, 4, -30], [-10, 0, 10], [0, 0, 0]], [[0, 0, 0], [-727002, -115495/2, 168969], [81018, 13829, -5432], [1, -3/2, 1]], [[0, 0, 0], [-1051285798, -155171859/2, 270772710], [118256250, 17777141, -33969168], [2709, 4085/2, -1548]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-836, 46, 100], [-2, 2, 4], [0, 0, 0]], [[0, 0, 0], [28666215674/13, 2934609582/13, -16073192969/26], [74002042/13, 2514684/13, -1160005/13], [-30/13, 17/13, -1/26]], [[0, 0, 0], [-607323644473575/13, -19526914005921/13, 141957921613961/13], [-1687447376894/13, -221021712048/13, 692735731866/13], [862893/13, 377541/13, -360855/13]]], 0, 3840, [], [] >,
< [ -1, -4, 0, 1 ], [[128, -32, -16]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 4, -10], [6, 8, 6], [0, 0, 0]], [[0, 0, 0], [-16183479/7, -33573, 3463245/7], [1751465/2, 123999/2, -368479/2], [-55/14, -1/14, 1/14]], [[0, 0, 0], [134228529246, -6686471160, -27075072576], [-50726724170, 419274470, 11386825110], [207970, -91630, -8190]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [168, 32, -14], [-90, -10, 4], [0, 0, 0]], [[0, 0, 0], [-81335851487/91, -8039480273/91, 5546832763/91], [12271895333/26, -398468755/26, -24147897/26], [139/26, 145/182, 3/182]], [[0, 0, 0], [-370413139296025204/91, 71140727618063924/91, 54188352771700540/91], [27473145291347332/13, -10956311988844370/13, -1347565428754468/13], [2150463662/91, -586253170/91, -35379254/13]]], 0, 23040, [], [] >,
< [ -1, -4, 0, 1 ], [[128, -32, -16]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -6, 10], [-162, -8, 2], [0, 0, 0]], [[0, 0, 0], [8235154/7, -102968/7, 112296/7], [-32041501/2, -2437771/2, 6115761/2], [47/14, 5/14, -3/14]], [[0, 0, 0], [-28086987352/7, 15856640558/7, -637923824/7], [60499789101, -2562094731, -12649730945], [-83421/7, 22581/7, 9477/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-292, 6, 42], [78, -2, -8], [0, 0, 0]], [[0, 0, 0], [15114717092/91, 531546944/91, -412819584/13], [-1157792541/26, -46549585/26, 192938181/26], [171/182, -41/182, -3/182]], [[0, 0, 0], [-8123367594475908/91, 47356791985186/91, 1879835933314572/91], [618593564636607/26, -17790695155689/26, -140103141297933/26], [-92858265/182, 3401865/26, 11341755/182]]], 0, 23040, [], [] >,
< [ -1, -4, 0, 1 ], [[128, -32, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [88, -8, 10], [28, -8, -2], [0, 0, 0]], [[0, 0, 0], [-9258148, -18038289, -8553721], [-1744660, -65166, 67762], [2, -1, -1]], [[0, 0, 0], [3472083396, -5627167347, 5028531657/2], [1231075853, -1602261131, 493980888], [-2043, 387, 615/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [374, -6, -10], [96, 4, 2], [0, 0, 0]], [[0, 0, 0], [-297794561255/26, 15213593105/26, 7998461205/26], [-38146144318/13, 44733334/13, -696529086/13], [41/26, -67/26, -3/26]], [[0, 0, 0], [8137429584342776/13, -243313086113295/13, -3290363796453249/26], [2061435565941771/13, -71269844255161/13, -406019618210280/13], [-1473633/13, 364343/13, 373037/26]]], 0, 23040, [], [] >,
< [ -1, -4, 0, 1 ], [[128, -32, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, 2, -2], [106, 0, 10], [0, 0, 0]], [[0, 0, 0], [36529063, 1151301/2, -2249051], [-128400070, -7526633, 5389904], [0, 5/2, -1]], [[0, 0, 0], [-2464521164469/2, -71088866179, 591188108521/2], [4292130634769, 259613525330, -1023661776331], [43775/2, -5390, -5485/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-722, -8, 16], [16, 0, -8], [0, 0, 0]], [[0, 0, 0], [-5693996125/26, -689444945/13, 1388131169/13], [55433171/13, -573548/13, 494798/13], [-45/26, 3/13, -2/13]], [[0, 0, 0], [6129897460956950/13, 1782742662799184/13, -2141991573776822/13], [-115898390119268/13, 18243781408180/13, 19402516725434/13], [47481612/13, -12077412/13, -5846640/13]]], 0, 23040, [], [] >,
< [ -1, -4, 0, 1 ], [[1280, 0, -256]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-68, -104, -16], [-44, -16, -4], [0, 0, 0]], [[0, 0, 0], [-284936, -28310, 65836], [-267556, -20736, 66648], [-12, -2, -4]], [[0, 0, 0], [7269263, 300027, -1725034], [6935318, 547474, -1798296], [1, -1057, 528]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, 32, -52], [0, 12, -4], [0, 0, 0]], [[0, 0, 0], [-103158, 47137, 43527], [-8780, -658, 634], [-12, -5, -1]], [[0, 0, 0], [6072281762, 245755394, -1498673878], [461986796, 14529656, -109202880], [582802, 22450, -137394]]], 0, 7864320, [], [] >,
< [ -1, -4, 0, 1 ], [[448, -192, 0]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [166, 22, 12], [36, 12, 16], [0, 0, 0]], [[0, 0, 0], [441996330, -18066411, -51203669], [90608572, -10188778, 4073006], [9, -4, 5]], [[0, 0, 0], [-109203434606528, 2788676792408, 22723918988992], [-22436355587092, 2599238120692, 3601190037160], [-2286240, 959200, 8800]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, 12, 4], [-40, -4, 4], [0, 0, 0]], [[0, 0, 0], [-23148, 35533, -8879], [-32528, -14418, -11710], [-7, 2, -1]], [[0, 0, 0], [-964878147, 766983850, -140303937], [-1013682474, 189916916, 74539950], [-251697, 77115, 15900]]], 0, 1966080, [], [] >,
< [ -1, -4, 0, 1 ], [[16, -48, 16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 26, -18], [-2, -2, 2], [0, 0, 0]], [[0, 0, 0], [95/2, 39/2, -41/2], [-10, -10, -30], [-5/2, -5/2, -5/2]], [[0, 0, 0], [1049, 380, -827/2], [-63, 531, -198], [-36, 36, -9/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-110, -78, 42], [-26, -62, 46], [0, 0, 0]], [[0, 0, 0], [3278522389/14, 70958955/14, -855499135/14], [132733396/7, -3111210/7, -3372228/7], [-3/14, 15/14, 5/14]], [[0, 0, 0], [5588956186403/7, 61376248686/7, -2570209239355/14], [354265715695/7, -376983397239/7, 102703455920/7], [-4938/7, 22142/7, -17049/14]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[16, -48, 16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -22, 6], [22, 22, 2], [0, 0, 0]], [[0, 0, 0], [-5/2, 9, 13], [3545, 270, -890], [3/2, 1, 2]], [[0, 0, 0], [16698, 14124, -8250], [-11265714, -740090, 2872550], [-3630, 2904, -198]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, 34, 2], [10, 18, -6], [0, 0, 0]], [[0, 0, 0], [-2066355/14, -181717/7, 537847/14], [131331/7, -46486/7, -26091/7], [13/14, -8/7, -3/14]], [[0, 0, 0], [2290990883/7, 1341964165/14, -781426670/7], [-232482276/7, 260253557/7, -52351594/7], [-8164/7, 71749/14, -11304/7]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[384, -64, -64]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-92, -6, 18], [-20, 0, -8], [0, 0, 0]], [[0, 0, 0], [14, 0, 1], [2, 2, 0], [1, 0, 0]], [[0, 0, 0], [7276600, 308858, -1787258], [1563456, -310080, -236096], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [898, 206, 8], [-8, -8, 0], [0, 0, 0]], [[0, 0, 0], [4206583999/7, 1189062767/7, -1178406594/7], [-27009846/7, -12830/7, 143624/7], [-36/7, 19/7, -3/7]], [[0, 0, 0], [-1489938773143634/7, -124214587239327/7, 441884932369336/7], [9931035896974/7, -1244737164448/7, -2542368688606/7], [14875190/7, -2393270/7, -2512675/7]]], 0, 491520, [], [] >,
< [ -1, -4, 0, 1 ], [[16, -48, 16]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, -10, -4], [10, -6, 10], [0, 0, 0]], [[0, 0, 0], [30331/2, 33405/2, 106245/2], [26626, 113264, -103876], [-5/2, 1/2, -1/2]], [[0, 0, 0], [10043507/4, -1396761/4, -1814805/4], [-1199220, 1432542, -369670], [-1943/4, -67/4, 469/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [56, -38, 50], [-8, -20, 20], [0, 0, 0]], [[0, 0, 0], [-2156531075/28, -124924231/28, 585463889/28], [12513666/7, 539008/7, -878390/7], [115/28, 27/28, -5/28]], [[0, 0, 0], [21180968095972/7, 4978276788700/7, -6982197904972/7], [-131791501802/7, 1163262454658/7, -499505137970/7], [-547144/7, 1656824/7, -580008/7]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[16, -48, 16]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -10, -4], [10, -2, -6], [0, 0, 0]], [[0, 0, 0], [-2781/4, -2869/4, 1667/4], [477, -3267, 1403], [17/4, -3/4, 1/4]], [[0, 0, 0], [414769/2, 494005/2, -310903/2], [-34814, 1239862, -574990], [-2173/2, 1107/2, -205/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 20, 2], [4, 12, -4], [0, 0, 0]], [[0, 0, 0], [-544170/7, -59543/7, 127108/7], [-41196/7, -3558/7, 8124/7], [-40/7, -38/7, -1/7]], [[0, 0, 0], [-295274944927/28, -12013957327/28, 72774465185/28], [-6087377333/7, -1788402725/7, 2239464025/7], [-9952605/28, 24816831/28, -8183253/28]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -7, 5]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[31/2, -2, 5/2], [45/2, 4, -5/2], [31/2, -2, 5/2], [0, 0, 0]], [[-27096627/2, 671231, -70659/2], [-75849961/4, -2640377, 12272749/4], [-13548288, 671232, -35328], [-51/4, -1/2, -3/4]], [[1849989101353, 629877055068, -552229934525], [4621523643509/2, 369025202137, -1101740738775/2], [1849985641728, 629875709568, -552228969600], [3459625/2, 672750, -964925/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -2, 0], [222, -3, 5], [6, -2, 0], [0, 0, 0]], [[4206471/2, -34795, -107217/2], [165223643/2, 177278553/4, 57524197/4], [4206505/2, -69585/2, -53610], [-17/2, -5/4, 3/4]], [[116477137047, 132820677381/2, -88938472751/2], [8322551277099/2, 6310708867207/2, -677956787739], [116477982900, 132821342505/2, -88938939645/2], [-845853/2, -166281, 233447/2]]], 0, 256, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -7, 5]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, -5/2, 0], [-125/2, -25/2, 1], [-15/2, -5/2, 0], [0, 0, 0]], [[131453/2, -21435/2, 3253], [1058565/2, -918483/4, 301173/4], [131427/2, -10716, 6501/2], [13/2, -3/4, 5/4]], [[478935437633/2, 140801879061/2, -69593455713], [8409635371177/4, 2896371492099/4, -698618241086], [239419225116, 70382033514, -69579959058], [96987401/4, 37812033/4, -13496655/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13, -2, -1], [-64, 3, 1], [-13, -2, -1], [0, 0, 0]], [[-34573817/2, -497631/2, -99050], [-86542419, 39918409/4, 18511271/4], [-34573761/2, -248814, -198099/2], [-14, -3/4, -1/4]], [[-335632661134887/2, -62497370842395, 96831096479877/2], [-1707460982597081/2, -272647721913519, 548148942053375/2], [-335632121313111/2, -62497267527807, 96830946364509/2], [-134955444, -51657294, 37528842]]], 0, 256, [], [] >,
< [ -1, -4, 0, 1 ], [[25, -31, 10]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-131/2, 3/2, -2], [483/2, -61/2, -37], [-131/2, 3/2, -2], [0, 0, 0]], [[-21340105985, 589341081, -236331748], [315591558675/4, -36752864757/4, -25063676345/2], [-42680212017/2, 1178682161/2, -236331750], [-47/4, -1/4, -1]], [[352038717637359720, -353434906732388320, 97018681231223160], [-5907636749719216247/4, 1546840255790959257/2, -147571710129420779/4], [704077436006350053/2, -353434907183174782, 194037362752440927/2], [731630613/4, -225393231, 289994607/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-65/2, 5/2, 0], [-179/2, 29/2, 13], [-65/2, 5/2, 0], [0, 0, 0]], [[-4791479/2, -128359/2, 58289], [-6512515, 2830477/4, 4434395/4], [-4791507/2, -64181, 116573/2], [-7, -3/4, -5/4]], [[-10422907902099/2, 6588337643349/2, -470183306439], [-30834912810265/2, 12269573283179/2, 544210698181], [-10422960355699/2, 6588403343213/2, -470193945939], [-13113400, 16424966, -5319750]]], 0, 2048, [], [] >,
< [ -1, -4, 0, 1 ], [[-14, -8, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[18, 1/2, -1/2], [68, 41/2, 43/2], [18, 1/2, -1/2], [0, 0, 0]], [[-2585430, -10235, 283705], [-9461024, -1185034, -1015249], [-2585430, -10237, 283705], [0, -1, 0]], [[-24945892920, -2628730260, 6934222620], [-362325104097/4, -12145975415, 109606917145/4], [-49891774349/2, -2628726875, 13868440191/2], [11491/4, 3385/2, -5049/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 0, 3/2], [45/2, 4, 51/2], [-3/2, 0, 3/2], [0, 0, 0]], [[-15372, -500, 1540], [1869726/7, 877847/28, -3750351/28], [-107733/7, -7033/14, 21563/14], [-43/14, -11/28, 1/28]], [[-19203388152, -9041056180, 7922860816], [3042198896529/14, -5719655789385/28, 840939977155/28], [-134587222170/7, -126763358093/14, 111061059797/14], [-27250851/7, -62857191/28, 47002791/28]]], 0, 160, [], [] >,
< [ -1, -4, 0, 1 ], [[-14, -8, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-14, 1/2, -1/2], [-18, -43/2, -37/2], [-14, 1/2, -1/2], [0, 0, 0]], [[1173270, -359751, -306915], [2472627/4, -10280595/4, -991220], [2346529/2, -719497/2, -306916], [-11/4, 5/4, -1/2]], [[-153838940955, -22071205590, 56145277965], [-137850607338, 40091406259, 120862038788], [-153838064057, -22070686940, 56144891887], [438449, 259325, -193039]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-23, -1/2, -5/2], [-267, -105/2, -109/2], [-23, -1/2, -5/2], [0, 0, 0]], [[53440, 443552, -235136], [17974645/28, 35629018/7, -78053169/28], [748199/14, 3104819/7, -3291913/14], [13/28, -15/14, -3/28]], [[11601182720, 21122908160, -12695633920], [3704680784925/28, 1716865868911/7, -4131882860557/28], [162411201847/14, 147858871985/7, -177736636661/14], [-1785411/28, -495045/14, 746073/28]]], 0, 160, [], [] >,
< [ -1, -4, 0, 1 ], [[12, -2, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 1/2, 3/2], [12, -15/2, 11/2], [-4, 1/2, 3/2], [0, 0, 0]], [[-559/2, -365/2, -91], [4211, 22621/2, -7579], [-561/2, -361/2, -89], [1/2, -1, -1]], [[249374, 58609/2, -137947/2], [-979589/4, 8446931/4, -940328], [501515/2, 29278, -138555/2], [-2767/4, 53/4, 152]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, 2, -2], [-200, -8, 4], [-8, 2, -2], [0, 0, 0]], [[249447/2, 50156, 148083/2], [83507185/28, 9685063/7, 18075621/28], [872960/7, 351191/7, 518285/7], [19/28, -9/14, 1/28]], [[-23530499/2, 152117/2, 2188201], [-547254401/2, -12591929, 121542333/2], [-23526803/2, 151963/2, 2187816], [-84, 7/2, 35/2]]], 1, 20, [], [] >,
< [ -1, -4, 0, 1 ], [[12, -2, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 1/2, -1], [17/2, -3/2, -1], [5/2, 1/2, -1], [0, 0, 0]], [[29/2, 18, 27/2], [149/4, 7/4, -24], [12, 41/2, 23/2], [5/4, -5/4, 1]], [[238203/2, -1105, -59383/2], [1599001/4, 37180, -419379/4], [83212, -568, -21726], [71779/4, -537/2, -15931/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17, -5/2, -5/2], [-57, 3/2, -5/2], [-17, -5/2, -5/2], [0, 0, 0]], [[-4154171, -518433, -33947], [-395064203/28, -4273007/28, 6163166/7], [-58159659/14, -7258513/14, -237640/7], [115/28, 41/28, 1/14]], [[-3213057779787, 2519566299305/2, 342030186631/2], [-158170162783973/14, 27922716600173/7, 5135602762746/7], [-22491891533394/7, 17637137160841/14, 2394367999019/14], [44279535/14, -7866623/14, -7122391/14]]], 1, 24, [], [] >,
< [ -1, -4, 0, 1 ], [[12, -2, -2]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, -33/2, -3], [-135/2, -6, -37/2], [-9, -3/2, -3/2], [0, 0, 0]], [[-72879/2, -57715/2, 1615], [-1195115/4, 21955/4, 33207/4], [-39432, -2719/2, 5969/2], [-9/4, 9/4, 1/4]], [[3057838025, 621159158, -826316535], [118048035467/4, -4173221979/4, -22745147821/4], [3864073904, -21358724, -805335639], [1054713/4, -223355/4, -154473/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 19/2, 2], [-561/2, -2, 45/2], [0, -1/2, 5/2], [0, 0, 0]], [[41517073/2, 39827697/2, -240591], [-587266034447/28, -36849371001/28, 146461626273/28], [147424098/7, 860459/14, -4228689/14], [-3/28, -27/28, 5/28]], [[-206214430747, -35883375775/2, 105532994905/2], [7429070135968189/28, 478066360141409/28, -1886679772194855/28], [-3835545645713/14, -104906385190/7, 948543700663/14], [-51297/28, 8433/28, 8593/28]]], 1, 12, [], [] >,
< [ -1, -4, 0, 1 ], [[12, -2, -2]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 9/2, 1/2], [-117/2, -1/2, 1], [-1/2, -1, 3/2], [0, 0, 0]], [[-43382, -76935/2, 1095/2], [-72809775/4, -4563593/4, 18908385/4], [-91117/2, -1635, 4365/2], [7/4, 1/4, -1/4]], [[87190499/2, 26425656, -52059315/2], [38336485651/2, 1516210771, -4986035436], [78316911/2, -60916919/2, 4431106], [-3381/2, 615/2, 537/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -5, 0], [120, -11, 7], [-8, -1, 1], [0, 0, 0]], [[-4377065/2, -4170551/2, 24486], [399634911/14, -335991249/14, 217510431/14], [-15595366/7, -208577/14, 551393/14], [-15/7, -2/7, 1/14]], [[1509840417415, 447383094510, -643193706705], [-578329987871137/28, 868468386494041/28, -262145929269799/28], [12036259717014/7, -3034925752192/7, -1467414981911/7], [45861591/28, -7538043/28, -7674789/28]]], 1, 16, [], [] >,
< [ -1, -4, 0, 1 ], [[-14, -8, 6]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[31/2, 33/2, 2], [183/2, 8, 33/2], [16, 5/2, -1/2], [0, 0, 0]], [[1333375/2, 616625, 10975/2], [3857084, -527619, 756989], [1388925/2, 66525/2, -27775], [5/2, 0, -1/2]], [[82118850, 92056800, 136167350], [2417683055/2, 2445870888, -818585763], [145233550, 199282050, -63114700], [397, 467/2, -173]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 11/2, 2], [-1083/2, 5, -31/2], [-4, -1/2, 5/2], [0, 0, 0]], [[-172649448, -169454052, 890844], [-189103479164/7, -46363267089/14, 79191405929/7], [-1216612428/7, -1829736/7, 8065944/7], [-15/7, 12/7, 1/14]], [[1582913471253180, -1322355966172620, -589700446609440], [2568202742251009638/7, -149915301193715509/7, -313647760239313436/7], [19184893356427536/7, 3976592675419188/7, -8104494719256780/7], [316241584/7, 180576167/7, -135474980/7]]], 0, 96, [], [] >,
< [ -1, -4, 0, 1 ], [[-14, -8, 6]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, -8, 1], [-37, 0, -11], [-9, 1, 0], [0, 0, 0]], [[41621/2, 15436, -7957/2], [86527, -12509, 37251/2], [43017/2, -6561/2, -698], [2, -2, 1/2]], [[947/2, 3957/2, 934], [3953/2, 8049, 7389/2], [188, 1297/2, 571/2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -10, -2], [309, 1, 6], [-2, 0, -2], [0, 0, 0]], [[-25465611/2, -12384622, 389407/2], [26686534533/14, 507496592/7, -5265649869/14], [-179333397/14, 1651465/14, 537120/7], [5/7, -1/14, -5/14]], [[35656643001248, 26842898202240, -26473889990944], [-5065994361530097, 1022788695493836, 1413185137740945/2], [26826512092588, -35303995872704, 8830097582176], [-4859391/2, -1386908, 1041092]]], 0, 96, [], [] >,
< [ -1, -4, 0, 1 ], [[-24, -17, 13]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17, -2, -3], [17, -2, -3], [1, 0, -1], [0, 0, 0]], [[-441/2, 11, 175/2], [-2187/14, -130/7, 1207/14], [75/2, 3/2, 0], [75/14, 3/14, 0]], [[-3175284, 669767, 449921], [-11195823/7, 16007504/7, -4677073/7], [1444635/2, 516635, -787785/2], [1444635/14, 73805, -787785/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[305/2, -5/2, 0], [317/2, -13/2, -2], [3, -2, -1], [0, 0, 0]], [[145518590, -59240453, -25352833], [13894964613/91, -5384672420/91, -2309009809/91], [46594523/13, 890979/26, -272431/26], [228/91, -27/182, 5/182]], [[-83651181671236738, -108800200427542669/2, 90695805082105149/2], [-7952572445647528158/91, -10334844011204660379/182, 8597675721893024587/182], [-24290691573026548/13, -15488480845990353/13, 12288974859092897/13], [-124152247944/91, -87873215056/91, 67218277960/91]]], 0, 192, [], [] >,
< [ -1, -4, 0, 1 ], [[-24, -17, 13]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21, 0, 1], [-21, 0, 1], [46, 5, 1], [0, 0, 0]], [[-428014089/2, 28423146, 14411773/2], [-2996099005/14, 198961888/7, 100882325/14], [464329799, -57893627/2, 20697305/2], [11/7, 1/14, 5/14]], [[-479595851623557/2, -238326902959117/2, 108857054592889], [-3357171289618821/14, -1668288430623699/14, 761999438803354/7], [517998714701616, 544778899928159/2, -481086940373829/2], [12848256/7, 17955743/14, -13815045/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -9/2, 1/2], [-30, -29/2, 5/2], [-16, -5, 1], [0, 0, 0]], [[-15/2, -3624, 2711/2], [648155/182, -447987/91, 169499/182], [-145427/26, -13977/13, -6129/26], [-139/26, -27/91, -3/182]], [[-12384768801/2, -15792364588, 17796633265/2], [-2620744802651/182, -2037753754978/91, 2527146915639/182], [138535610536/13, 89698538295/13, -70018355755/13], [974453024/91, 675031488/91, -74437568/13]]], 0, 192, [], [] >,
< [ -1, -4, 0, 1 ], [[9, 0, -1]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13, -1, -2], [-13, -1, -2], [-17, 3, 2], [0, 0, 0]], [[-562247, -1636187/2, -795285/2], [-3935733/7, -1636191/2, -5566991/14], [-1044583/2, 11083/2, 98949/2], [1/14, -1/14, 1/14]], [[-2644396659/2, -570398240, 51807703/2], [-2644397441/2, -3992794492/7, 362655051/14], [-3321664933/2, -205556261/2, 381583153], [4099/14, -37/14, -227/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-45, -1, 0], [-11, -7, -4], [17, -3, -2], [0, 0, 0]], [[-106688007/2, -85016273, -83226815/2], [-4760579353/182, -7704879125/91, -7471635637/182], [176722734/13, 2258029/13, 3643085/13], [263/91, 23/91, 2/91]], [[2804496196458559, 4345547659861235/2, 1784168980491771/2], [12916570334610023/13, 58679093392868423/26, 27881798583938329/26], [-11771428532286443/13, 1093479322265695/26, 1171954888951188/13], [-2483509685/13, 3480257/26, 276265708/13]]], 1, 32, [], [] >,
< [ -1, -4, 0, 1 ], [[9, 0, -1]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -1, 0], [1, -1, 0], [-30, -1, -5], [0, 0, 0]], [[62121/2, 224, -5487/2], [434913/14, 240, -38379/14], [-688656, 260566, 483909/2], [-12/7, -2/7, -3/14]], [[-4044688645/2, 8882867, 769989267/2], [-28314747495/14, 59849714/7, 770051041/2], [95893123609/2, -3163361541, -24621002075/2], [1512541/14, -5532/7, -183017/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-117/2, -3/2, 0], [-117/2, -7/2, -6], [0, -1, -3], [0, 0, 0]], [[-12748, -811, 3221], [-1795571/91, -133538/91, 292081/91], [-48825/26, -2205/13, -63/26], [775/182, 5/13, 1/182]], [[-1044059885146, -132731149355/2, 528741954059/2], [-146196093593976/91, -12211338933917/182, 59298354373795/182], [-1967102009523/13, 3005356473/26, 214786789875/13], [31223841421/91, -47704071/182, -487044875/13]]], 1, 24, [], [] >,
< [ -1, -4, 0, 1 ], [[-24, -17, 13]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -2, 2], [347, -10, 15], [-4, -2, 2], [0, 0, 0]], [[1753606, -15230, -1088], [-302989573/2, 667230095/4, 662618119/4], [1753616, -30455/2, -2181/2], [5, 5/4, -5/4]], [[-2411623559/2, 13591096911/2, -3088658686], [1797536820255/4, 1563960532135/4, -729958466543/2], [-1205832658, 6795533708, -3088647392], [-41757/4, -29495/4, 5647]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19, 1/2, 5/2], [2551, 99/2, 227/2], [19, 1/2, 5/2], [0, 0, 0]], [[53500826400, 69561975/2, 64222725/2], [93465588489697/13, 449285989417/13, -5299011469777/13], [695510742540/13, 904305565/26, 834895403/26], [30/13, 5/26, 1/26]], [[8777464889268097050, 13143473430614144625/2, -9910661437422999225/2], [14640975365320884447514/13, 37069960792962671116113/52, -30018774647599761751593/52], [114107043455954828533/13, 85432577224953241653/13, -64419299286629540192/13], [9502766647/26, 13461581529/52, -10294537231/52]]], 0, 256, [], [] >,
< [ -1, -4, 0, 1 ], [[-24, -17, 13]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -2, 5/2], [-811/2, -8, 35/2], [-1/2, -2, 5/2], [0, 0, 0]], [[-23014512, -21804, 299436], [56387347267, 3722955229, -14107947171], [-23014522, -21804, 299436], [-5, 0, 0]], [[-399019221804, -274080325992, 212387610924], [3104771835063707/4, 228713708927863/4, -400457218580685/2], [-798038793783/2, -548160901041/2, 212387705996], [-350175/4, -249057/4, 47536]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, 2, 1/2], [-1025/2, 63, 19/2], [-21/2, 2, 1/2], [0, 0, 0]], [[60759570, -3647281/2, -593615/2], [39294683058/13, 18703693669/52, 9956793363/52], [789872617/13, -23707750/13, -3858525/13], [163/26, 77/52, 5/52]], [[5479079340534210, 10621695863750145/2, -7381524377805345/2], [3424582620594592759/13, 6642482585800396641/26, -4573621300445384053/26], [71227894809777868/13, 138081852821415829/26, -95959668963615189/26], [6209871221/13, 4395621274/13, -3362451234/13]]], 0, 256, [], [] >,
< [ -1, -4, 0, 1 ], [[9, 0, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-29/2, -3/2, 0], [-209/2, 11/2, -1], [-29/2, -3/2, 0], [0, 0, 0]], [[139337666, 460715/2, 952601/2], [2001752445/2, -671848141/4, 121846131/4], [139337668, 230356, 476300], [-1, 3/4, 1/4]], [[-7445212145727/2, 1101077349353/2, 865046420798], [-110751903644871/4, 19461919476895/4, 11008103677847/2], [-3722606137596, 550538674432, 865046428348], [129465/4, 489/4, -3775]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 3/2, -5/2], [-2446, 65/2, -133/2], [-3, 3/2, -5/2], [0, 0, 0]], [[16190042153, -52685928, -19432650], [300621609061937/26, 9463483754871/13, -26788334784876/13], [210470548594/13, -684917240/13, -252624428/13], [-55/26, 8/13, -1/13]], [[-37015156726068733/2, -6044796672903259/2, 1688586256528742], [-663009774395496209601/52, -71492443041749723477/52, 66520215699979084785/26], [-240598519433255261/13, -39291178374374571/13, 21951621414382284/13], [129783363/52, 91525/52, -3614029/13]]], 1, 32, [], [] >,
< [ -1, -4, 0, 1 ], [[9, 0, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17/2, -1/2, -1], [265/2, -5/2, 8], [-17/2, -1/2, -1], [0, 0, 0]], [[20583572, -939975/2, 149247/2], [-1293852845/4, 82639913/4, 10801130], [41167143/2, -469989, 149247/2], [1/4, 3/4, 0]], [[-121698340525/2, -9126277941/2, 15569002126], [3854248034203/4, 284231667389/4, -493569012475/2], [-60849169920, -4563138960, 15569002080], [-685/4, -21/4, 23]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 0, -5/2], [-723/2, 2, -129/2], [-3/2, 0, -5/2], [0, 0, 0]], [[-6574361/2, -32885/2, 14558], [-38510176553/52, -816529023/26, 7454023973/52], [-42732692/13, -427527/26, 378475/26], [-119/52, 1/26, 3/52]], [[-72629122409087/2, -468146165929, 7208419740891/2], [-423128439719908153/52, -4988040659490763/13, 91493732670628303/52], [-472082051390435/13, -6085895034916/13, 46853916893889/13], [-1317139751/52, -465651/26, 147531255/52]]], 1, 32, [], [] >,
< [ -1, -4, 0, 1 ], [[31, -21, 2]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[139/2, -1/2, 1], [139/2, -1/2, 1], [207, -5, 2], [0, 0, 0]], [[51365033, 7489077/2, 2596145/2], [359555099/7, 52423629/14, 18173033/14], [305807155/2, 16442287/2, 2915642], [-3/2, 1/14, 1/7]], [[1740526049309/2, -1608627908033/2, 108251149844], [12183677757563/14, -11260389742631/14, 757757230508/7], [2598307136550, -2416120970069, 343261232839], [-195000/7, 121000/7, -1100]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1221/2, 9/2, -1], [797/2, 25/2, -5], [-106, 4, -2], [0, 0, 0]], [[-1908523570130, -138724372479/2, 67750799015/2], [-1244882669956, -143645502767/2, 67850779675/2], [331820446143, -1230282560, 24995165], [4, 0, 0]], [[3301004124086888151, -3805193667177948027/2, 114126998737199209/2], [197446980196975058050/91, -29397187584892173295/26, -3430309995026498735/182], [-14706341981603613623/26, 10035164925114259303/26, -493423811329700553/13], [-1241325135/182, 840760425/182, -40019130/91]]], 0, 1536, [], [] >,
< [ -1, -4, 0, 1 ], [[31, -21, 2]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[142, -7/2, -1/2], [142, -7/2, -1/2], [294, -3, 1], [0, 0, 0]], [[432683009, -127677433/2, -70401689/2], [432682949, -893742417/14, -492811881/14], [1787891343/2, -254680633/2, -70459792], [51/14, -1/14, 2/7]], [[6400901867243683, -5630834179285575/2, -293054422070811/2], [44806307360152183/7, -39415836971398065/14, -2051378842921833/14], [13207850697609930, -5819773020217281, -304165490275287], [348522276/7, -235607679/7, 3195171]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[909, 9/2, 9/2], [1041, 29/2, 29/2], [66, 5, 5], [0, 0, 0]], [[4871592171303/2, -98683853148, -261786875855/2], [507232386965589/182, -9051229381083/91, -23963850248551/182], [4565535882111/26, -5071330782/13, -10088895499/26], [1077/182, 40/91, 3/182]], [[26625896938870034033595/2, -8739136917975275968111, 1831898133105767791275/2], [2760245631890658114369463/182, -926552108280137975543855/91, 206250757244741239895855/182], [24092073301626788052587/26, -18755807723183112845827/26, 1412429575904222837435/13], [5712710294755/182, -3869167581275/182, 26304784525/13]]], 0, 1536, [], [] >,
< [ -1, -4, 0, 1 ], [[-15, -17, 12]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, 1/2, -3/2], [-7, 1/2, -3/2], [-75, -5, -4], [0, 0, 0]], [[19883/2, 106967, -469095/2], [139155/14, 748735/7, -3283683/14], [-166301, 252785, -3137457/2], [11/7, 2/7, -3/14]], [[-13/2, 0, 3/2], [-85/14, -4/7, 23/14], [63, 7, -35/2], [-9/7, -1/7, 5/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[224, 2, 4], [156, 4, 14], [-34, 1, 5], [0, 0, 0]], [[7841440679/2, 1328264394, 3184389765/2], [510299259515/182, 121424287098/91, 291097186215/182], [-7259710680/13, 39444965/13, 94122551/26], [-72/91, 1/13, -5/182]], [[-5164597593181829, -14279894837740423/2, 10564484778315205/2], [-353256069119786111/91, -1077146406299332513/182, 793471249389958963/182], [8337310533054570/13, 7940146547696049/13, -5996318639905545/13], [91478544/91, 103831272/91, -10465302/13]]], 1, 192, [], [] >,
< [ -1, -4, 0, 1 ], [[-15, -17, 12]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[33/2, 3/2, 2], [33/2, 3/2, 2], [74, 0, -2], [0, 0, 0]], [[-9926874, -1126321/2, -1677089/2], [-69488079/7, -7883991/14, -11739605/14], [-44719692, 581975, 4332759/2], [-15/7, -1/7, -3/14]], [[-42915435771/2, -45377973341/2, 16161826293], [-42915459927/2, -45378068501/2, 16161849351], [-179035391457/2, -151294087659/2, 114457390713/2], [-9333/2, -10065/2, 7137/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[52, 1/2, 3/2], [-114, 5/2, -5/2], [-83, 1, -2], [0, 0, 0]], [[-5755294147/2, -56854421, 112171241/2], [1149662704053/182, -3635605041/91, -29364409967/182], [59764069585/13, 219730851/26, -2826571225/26], [-345/91, -11/26, -5/182]], [[65514057104100193/2, 78280916910924733/2, -26778088556585187], [-1898045794798176603/26, -2307045470813022789/26, 782311683284923499/13], [-1374863865623409125/26, -831174121310648965/13, 565213256878498864/13], [1069974045/26, 606553605/13, -427972104/13]]], 1, 192, [], [] >,
< [ -1, -4, 0, 1 ], [[-15, -17, 12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[279/2, 2, 5/2], [257/2, 7, 1/2], [279/2, 2, 5/2], [0, 0, 0]], [[676910443/2, 147913267/2, -16024133], [1240479031/4, 74295050, -62290659/4], [338455260, 147913295/2, -32048287/2], [-11/4, -1, 3/4]], [[-22244970216860, 77139255399279/2, -17936103794393/2], [-21281195339303, 126536946520161/4, -24656375044459/4], [-22244975526815, 38569621688148, -8968047652981], [758565/2, 1717569/4, -1212633/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[81/2, 2, -1/2], [-37/2, -6, 5/2], [81/2, 2, -1/2], [0, 0, 0]], [[11362465/2, 618665, -592529/2], [-132092573/52, -10296539/13, 17994603/52], [73861852/13, 8044336/13, -3851216/13], [-131/52, -19/26, -5/52]], [[237616225521072, 272243444877357, -186994830546705], [-839687289749960/13, 105088613923113/13, 169535750559659/13], [3089243798565492/13, 3539428658914503/13, -2431119075212367/13], [-1308240402/13, -1482446679/13, 1046506209/13]]], 1, 192, [], [] >,
< [ -1, -4, 0, 1 ], [[-15, -17, 12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-35/2, 1/2, 1], [-329/2, 5/2, -2], [-35/2, 1/2, 1], [0, 0, 0]], [[-670909849, -8856859, 12068909], [-6340031765, -325390501, -850447111/2], [-670909835, -8856873, 12068902], [-1, 1, 1/2]], [[-885295327785697/2, -1033664429969797/2, 337209535617226], [-18022880101102513/4, -24193786959145371/4, 7562294127086013/2], [-442647652664439, -516832202261919, 337209526638564], [-3208117/4, -3635137/4, 641333]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[49/2, 1, -3/2], [35/2, -4, 5/2], [49/2, 1, -3/2], [0, 0, 0]], [[119298570, 7271763, -2108001], [4380963297/52, -535983511/26, 1006756809/52], [3101764155/26, 94533987/13, -54808293/26], [-15/52, -6/13, 3/52]], [[762665552874723/2, -103852362596389, -81134601712175/2], [13135765155538713/52, -2952944371931921/13, 2414874544496045/52], [4957328119702926/13, -1350078418216196/13, -527376531633350/13], [-45528477/52, -25792549/26, 36415825/52]]], 1, 192, [], [] >,
< [ -1, -4, 0, 1 ], [[31, -21, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15, -2, -1], [130, -2, 8], [15, -2, -1], [0, 0, 0]], [[-49205261/2, -1592913/2, -214347], [-912044825/4, -388968701/4, -118626793/2], [-24602619, -796454, -214349], [23/4, 5/4, -1]], [[1877638105488159/2, 6238810288350171/2, -1686413905121547], [9845597809725187, 32970904761176501, -17830976538871711], [1877638077614669/2, 6238810307243501/2, -1686413906023457], [-13936745/2, 9446665/2, -450955]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[55/2, 5/2, 0], [6815/2, 119/2, 27], [55/2, 5/2, 0], [0, 0, 0]], [[94583114604, -58287545, 89830813], [304268800394391/26, -48599924921563/52, 9837664550685/52], [1229580492102/13, -1515476185/26, 2335601213/26], [75/13, -1/52, 5/52]], [[-302356398793201027245, 190131485656894092684, -13241275496893012419], [-960142319091232075747385/26, 369116719832431490469684/13, -108145334091676810522179/26], [-3930633191432681266710/13, 2471709318363630464712/13, -172136581919072204682/13], [-474737860835/26, 160800241994/13, -30630869549/26]]], 0, 1536, [], [] >,
< [ -1, -4, 0, 1 ], [[31, -21, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[401/2, -1/2, 2], [-797/2, 409/2, 204], [401/2, -1/2, 2], [0, 0, 0]], [[1744850547975, -31196013255/2, -32456458235/2], [-14048069977675/4, 3184350219561/2, 6787617387385/4], [3489701095951/2, -31196013253/2, -16228229119], [1/4, 1/2, -3/4]], [[1252083250919963616, 98223101990097216, -325247715219479712], [-10867448933051106135/4, -704123283982512569/4, 695762088721926124], [2504166501840102131/2, 196446203980076027/2, -325247715219474083], [174899/4, -118405/4, 5629/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-87/2, -1/2, -2], [-3981/2, -117/2, -65], [-87/2, -1/2, -2], [0, 0, 0]], [[202768708320, 65329272, 349402988], [120549319077550/13, 7914374945533/52, -4697194893021/52], [2635993210095/13, 1698562077/26, 9084477733/26], [129/26, 67/52, 3/52]], [[-11449208630197678232, 15469612993906779888, -4501860897466041524], [-6954204267815616230100/13, 8527696184093759715399/13, -2329593662184475006935/13], [-148839712311404541296/13, 201104969001286963404/13, -58524191674719610952/13], [-3961157476/13, 2683294162/13, -255369038/13]]], 0, 1536, [], [] >,
< [ -1, -4, 0, 1 ], [[336, -32, -48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -16, -24], [-22, 6, -8], [0, 0, 0]], [[0, 0, 0], [117931/2, -2474601, -3636041/2], [-5690365, -775676, 688817], [-25/2, 2, -3/2]], [[0, 0, 0], [330491865679/2, -53034614766, -266347744131/2], [-1670074760843, -81845147050, 373337116701], [-7708493/2, 355995, 1113631/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, 20, 18], [32, 0, 0], [0, 0, 0]], [[0, 0, 0], [17213/2, -20924, -28405/2], [-16917, -3402, -1641], [1/2, 1, 5/2]], [[0, 0, 0], [-12012201323/2, -703002293/2, 1553613298], [7451460007, 416893079, -1848908394], [-358805/2, 34715/2, 25695]]], 0, 491520, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -64, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-236, 8, -16], [24, -2, 6], [0, 0, 0]], [[0, 0, 0], [2788763093/2, 55901757/2, -180788007], [-143760177, 259489, 8898908], [-9/2, 1/2, -2]], [[0, 0, 0], [-32230310980241/2, -2990044017370, 9514344841633/2], [1708459641975, 419515083534, -538708968361], [127011/2, 38229, -54577/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [156, 18, 2], [0, 8, 0], [0, 0, 0]], [[0, 0, 0], [-19114905/2, 20694, 4987321/2], [127957, 6896, -1309], [19/2, 1, -1/2]], [[0, 0, 0], [50423208959/2, 6848016273/2, -7563411812], [-407716679, -293382751, 204220742], [-56727/2, -32967/2, 12375]]], 0, 61440, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -64, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [136, -10, 2], [0, 0, 8], [0, 0, 0]], [[0, 0, 0], [12153691, 768135, -3050664], [44892, 3518, -3098], [-7, 1, 0]], [[0, 0, 0], [-29146632107, -4230483021/2, 14959066027/2], [-120614404, -52089203, 40902895], [21424, 27089/2, -19673/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-58, 28, -38], [-20, 10, -10], [0, 0, 0]], [[0, 0, 0], [9905/2, -827, -1959/2], [1703, -224, -343], [-7/2, 2, -1/2]], [[0, 0, 0], [15/2, 1, -5/2], [-5, 0, 1], [-5/2, 0, 1/2]]], 0, 61440, [], [] >,
< [ -1, -4, 0, 1 ], [[-12, -12, 8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, 3, -3], [6, -1, -3], [0, 0, 0]], [[0, 0, 0], [-21542, -54741/4, 47863/4], [-3445, 5343/2, -1773/2], [-7/2, -3/4, -5/4]], [[0, 0, 0], [466254677/2, -588415857/2, 171434747/2], [101473076, 85278849, -62270929], [154785/2, 106225/2, -75875/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38, -13, 7], [2, -5, 3], [0, 0, 0]], [[0, 0, 0], [-4048159/28, -240518/7, 814609/28], [155067/14, -59707/7, 60391/14], [57/28, 15/14, 3/28]], [[0, 0, 0], [170520484/7, -368618631/14, 102818001/14], [-144344713/7, -421629576/7, 231294603/7], [-4240/7, -8931/14, 5857/14]]], 1, 72, [], [] >,
< [ -1, -4, 0, 1 ], [[-12, -12, 8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-15, 4, -7], [-5, 0, 3], [0, 0, 0]], [[0, 0, 0], [-302991/4, -76933/4, 35526], [-40715/2, -1335/2, 2749], [-5/4, 3/4, -1/2]], [[0, 0, 0], [274939141/2, -111529419/4, -76420217/4], [44521049, 14574723/2, -26105389/2], [3745, 8667/4, -7169/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [96, 3, -3], [10, 1, 1], [0, 0, 0]], [[0, 0, 0], [404327263/28, -14541351/28, -11260257/14], [20818283/14, -347061/14, 599705/7], [-83/28, -19/28, -1/7]], [[0, 0, 0], [-10635533069051/7, -45485628582221/28, 30573465707817/28], [-1229849312604/7, -3265953773787/14, 2052675109803/14], [4001913/14, 8104701/28, -5391567/28]]], 1, 60, [], [] >,
< [ -1, -4, 0, 1 ], [[28, -12, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [40, 7, 13], [16, 3, -3], [0, 0, 0]], [[0, 0, 0], [575/4, 2049/4, -278], [1/2, -3/2, 1], [1/4, -3/4, 1/2]], [[0, 0, 0], [1878, 7186, -3824], [36, -24, 4], [18, -12, 2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-356, 6, -2], [8, 0, 0], [0, 0, 0]], [[0, 0, 0], [-143316121/7, 7676021/28, 7544475/28], [3219336/7, 14571/14, -118063/14], [-93/14, -29/28, -5/28]], [[0, 0, 0], [-65462649505615/7, 137723322498393/28, -9766679290309/28], [1475642672395/7, -1460661359943/14, 67032236233/14], [-41892423/14, 34937683/28, 568707/28]]], 0, 480, [], [] >,
< [ -1, -4, 0, 1 ], [[28, -12, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, -80, -57], [-35, -4, -5], [0, 0, 0]], [[0, 0, 0], [-3252975/2, 8799115, 12068555/2], [7093248, 1190269, -619327], [7/2, -1, 1/2]], [[0, 0, 0], [-66561941659/4, -2603228661/4, 8207292118], [62323928423/2, -1703666911/2, -5914049008], [61499/4, -31061/4, 1157/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [64, 26, -2], [6, -4, 2], [0, 0, 0]], [[0, 0, 0], [41827809/28, 4637067/7, -1349181/28], [2240271/14, -125232/7, 112281/14], [81/28, 25/14, 5/28]], [[0, 0, 0], [291147059599/14, -271744062511/28, 6293730593/28], [-33642789366/7, -375853325955/14, 192994987455/14], [266851/7, -542321/28, 40053/28]]], 0, 480, [], [] >,
< [ -1, -4, 0, 1 ], [[-12, -12, 8]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, -2, 5], [7, -1, -2], [0, 0, 0]], [[0, 0, 0], [14387/4, -29263/4, 6011/4], [6889, 160, -1420], [-11/4, -11/4, -1/4]], [[0, 0, 0], [1326808, 9871796, -4940904], [-1674237, 617287, 78452], [780, 748, -484]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-218, -37, 35], [-10, 3, -3], [0, 0, 0]], [[0, 0, 0], [50924173890/7, 14700287953/14, -9953394774/7], [2575098929/7, 21104658/7, 14038365/7], [13/7, 12/7, 1/14]], [[0, 0, 0], [-32791110549872639/28, 877076766222267/28, 6772159812151975/28], [-233707249383233/7, 709041604250981/7, -287417444583341/7], [-9526507/28, -9446669/28, 6329549/28]]], 1, 60, [], [] >,
< [ -1, -4, 0, 1 ], [[-12, -12, 8]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-41, -4, -3], [12, 0, 4], [0, 0, 0]], [[0, 0, 0], [-13062555/2, -87175, 933040], [1939701, -135026, -99603], [0, 5/2, 0]], [[0, 0, 0], [10478101151/4, 1482761463/4, -3064355211/4], [-816250135, -171841067, 266196713], [1379/4, 1357/4, -907/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [389, -44, 39], [-3, 4, -3], [0, 0, 0]], [[0, 0, 0], [-10032211614, -1042638049, 1455799439], [100601212, -2052300, 138252], [-1, 1, 0]], [[0, 0, 0], [627498373482231/28, 123583529399657/28, -214811021571709/28], [-1808485933937/7, -900220722605/7, 898023010621/7], [106061/28, 102761/28, -69169/28]]], 1, 80, [], [] >,
< [ -1, -4, 0, 1 ], [[28, -12, 0]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [152, 10, 6], [47, 4, 5], [0, 0, 0]], [[0, 0, 0], [50433769/2, -2278667/2, 236935/2], [7746807, -416049, 495138], [-5/2, -1/2, 1/2]], [[0, 0, 0], [-6129597901/2, -7436094660, 4170183292], [-1074621945, -2740060240, 1523762825], [74, -71/2, 2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-323, 2, -7], [15, 3, -2], [0, 0, 0]], [[0, 0, 0], [-5334416042/7, 25915815147/14, -7288367854/7], [395698050/7, -2936544/7, -3702870/7], [30/7, 4/7, 5/14]], [[0, 0, 0], [28207451994676940/7, -277127348801516201/7, 126095441089730256/7], [-4232579267117658/7, 1669399541763726/7, 108534089397252/7], [-308004917/7, 133731389/7, -814627/7]]], 0, 480, [], [] >,
< [ -1, -4, 0, 1 ], [[28, -12, 0]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, -5, 7], [-22, -5, 3], [0, 0, 0]], [[0, 0, 0], [-176969, -2510198, 3480519/2], [-452025, -121065, -52290], [-1/2, 0, 0]], [[0, 0, 0], [658170, 3594926, -1857304], [247695, -117915, 4620], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [458, 13, -3], [1, 4, -1], [0, 0, 0]], [[0, 0, 0], [231579/7, 29595/14, -59177/7], [24/7, 48/7, -12/7], [1/7, 2/7, -1/14]], [[0, 0, 0], [-755, -49, 192], [0, 0, 0], [0, 0, 0]]], 0, 480, [], [] >,
< [ -1, -4, 0, 1 ], [[48, -16, 0]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -8, 2], [28, -2, 6], [0, 0, 0]], [[0, 0, 0], [149477/7, -41245/7, 54805/7], [-412793/2, -209861/2, 120379/2], [-1/14, 3/14, 3/14]], [[0, 0, 0], [37356903/7, 5720283/7, -11158827/7], [-77273759/2, -1651221/2, 18162717/2], [-49/2, 3/14, 69/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [110, 20, 32], [-42, -6, -8], [0, 0, 0]], [[0, 0, 0], [-31279954947/91, 2389469869/91, -2175606975/91], [3451539035/26, -207456765/26, 29829611/26], [-41/182, 17/26, 3/182]], [[0, 0, 0], [403205374840344/13, -345553473094530/91, -527112867418636/91], [-155906005657497/13, 13867933990460/13, 30901356227774/13], [2937881/91, -992860/91, -2012/91]]], 0, 5760, [], [] >,
< [ -1, -4, 0, 1 ], [[48, -16, 0]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 6, -6], [-52, -2, -2], [0, 0, 0]], [[0, 0, 0], [131170/7, -34896/7, 37474/7], [-119046, 70557, 106172], [-16/7, 3/7, 0]], [[0, 0, 0], [1509311949/7, -37040175, -83318409/7], [-2935576651/2, 44460397/2, 1225808903/2], [-365515/14, 29725/14, 56375/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [130, 38, 24], [-12, -8, -4], [0, 0, 0]], [[0, 0, 0], [377139/13, 499787/91, -173703/91], [-80031/26, -24281/26, -1081/26], [213/182, -5/182, -1/182]], [[0, 0, 0], [42564954/13, -13175542/13, -2219826/13], [-4324444/13, 1616986/13, 28110/13], [1540/13, -1540/13, 420/13]]], 0, 5760, [], [] >,
< [ -1, -4, 0, 1 ], [[-208, -48, 64]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-44, -20, 8], [-14, -8, 6], [0, 0, 0]], [[0, 0, 0], [122540/7, 47646/7, 36486/7], [3258, -5613, 2916], [-34/7, -5/7, 0]], [[0, 0, 0], [-5399932156/7, -2014668234/7, 1812144770/7], [-271780804, -217842304, 159780336], [1500400/7, 340318/7, -456258/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [266, 168, 66], [-2, 46, 20], [0, 0, 0]], [[0, 0, 0], [-280895624614/91, 51465799548/91, 57452927198/91], [2242915322/13, -45915998/13, 67004057/13], [-638/91, -64/91, -5/91]], [[0, 0, 0], [-2624211159255296344/13, -422407966878999186/13, 801667983519613050/13], [147490051882170596/13, 39595069432646415/13, -48624783207951192/13], [-5732257244/13, -1320201351/13, 1763024424/13]]], 0, 46080, [], [] >,
< [ -1, -4, 0, 1 ], [[-208, -48, 64]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-66, 6, -8], [-22, 2, 4], [0, 0, 0]], [[0, 0, 0], [-1178/7, -818, -2624/7], [9, -2, 2], [9/7, -2/7, 2/7]], [[0, 0, 0], [-908052/7, 10561136/7, 6806172/7], [-306150, -69237, 94828], [-306150/7, -9891, 94828/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-456, -10, -18], [-18, 2, 0], [0, 0, 0]], [[0, 0, 0], [-261357761332/91, -34060428176/91, -8735986544/91], [-1469673082/13, 19480468/13, 25619806/13], [328/91, 62/91, 2/91]], [[0, 0, 0], [77761793082579450/7, 20626068148345362/7, -3609484990074168], [452884700151465, 121175201372800, -151945737149312], [-94821423/7, -21680560/7, 29098640/7]]], 0, 46080, [], [] >,
< [ -1, -4, 0, 1 ], [[48, -16, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [86, 22, -28], [-8, -4, 8], [0, 0, 0]], [[0, 0, 0], [-1642945, 50061/2, 366904], [126667, -24420, 13587], [1, -1/2, 1]], [[0, 0, 0], [42026238024, 1475052096, -10112244610], [-3311207668, 374337776, 513051222], [-26820, 12348, -1476]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1060, 96, -194], [6, 4, -8], [0, 0, 0]], [[0, 0, 0], [1134211948971/26, 63383662579/26, -303331541957/26], [2400273158/13, 6510442/13, -6133142/13], [-73/26, -5/26, -1/26]], [[0, 0, 0], [-700831658898351505/13, -104051946544968711/26, 183948470060596333/13], [-2697753436275193/13, 992024917429452/13, -9543003943367/13], [40793445/13, -26610969/26, -179718/13]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[48, -16, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-54, -40, 22], [-4, 10, -10], [0, 0, 0]], [[0, 0, 0], [-39988584, -10779709/2, 10530470], [-6469853, 32784, 773381], [2, -3/2, -1]], [[0, 0, 0], [-63797328459, -14584688387, 42695420081/2], [-8399506451, 5895968015, -780725302], [3122, -1729, 735/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [756, 144, -42], [10, 6, -2], [0, 0, 0]], [[0, 0, 0], [2790111201/26, 935130943/26, -324401248/13], [14665619/13, 161479/13, -70464/13], [-81/26, 55/26, -1/13]], [[0, 0, 0], [25275221326449, 513016487733/2, -9601131113864], [265794734559, -99525027444, -72666113613], [-862257, 549483/2, 8745]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[-208, -48, 64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [236, 6, 46], [8, 2, 10], [0, 0, 0]], [[0, 0, 0], [-448179979/2, -15899389/2, 40389171], [-7563701, -148801, 73096], [-1/2, -1/2, -2]], [[0, 0, 0], [-180948367512247/2, -6184183194360, 46247112227585/2], [-3107414267039, -235992911502, 802803880475], [-433039/2, -48251, 132675/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3316, -538, 398], [-14, 8, -6], [0, 0, 0]], [[0, 0, 0], [32993992053872/13, 5617564680471/26, -6106143375373/26], [-151643617622/13, -727869347/13, 98939943/13], [35/13, -31/26, -1/26]], [[0, 0, 0], [7660001402, 37908650212, 18201495882], [-47341532, -229014548, -109762744], [0, 0, 0]]], 0, 61440, [], [] >,
< [ -1, -4, 0, 1 ], [[-208, -48, 64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [386, 18, 20], [22, 2, 4], [0, 0, 0]], [[0, 0, 0], [4702316484, -328398199/2, -755906341/2], [265105254, -12776877, -2046085], [3, 3/2, -5/2]], [[0, 0, 0], [-4611361506516013/2, -111725086270575/2, 559314790989147], [-130488051402831, -1172063500479, 31223974842900], [-2544895/2, -575215/2, 387730]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1626, -526, 660], [2, 8, -10], [0, 0, 0]], [[0, 0, 0], [1860740539592/13, 240583963271/26, -905316491921/26], [-677990328/13, 215659/13, 827635/13], [19/13, 1/26, -5/26]], [[0, 0, 0], [21715661920799121/26, 854813806354702/13, -5603070913921991/26], [-4476000583975/13, -1715111674798/13, 1587098493055/13], [235925/26, 27319/13, -72665/26]]], 0, 61440, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -32, 48]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 8, -2], [-80, -4, 4], [0, 0, 0]], [[0, 0, 0], [-336722/7, 20836/7, -22374/7], [-585660, 224697, 247429], [0, 3/7, -1/7]], [[0, 0, 0], [-890909475/7, -123000653/7, 224984451/7], [-3158713883/2, -63165651/2, 900228867/2], [-4531/14, -189/2, 1947/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-596, -4, -28], [114, 0, 6], [0, 0, 0]], [[0, 0, 0], [-11028621237/91, 192424749/91, 35685719/13], [602778759/26, -14055897/26, -10972309/26], [-1353/182, -129/182, -5/182]], [[0, 0, 0], [18900498938091, 6231893147451, -8041500785299], [-7260540260779/2, -2445293683773/2, 3114915004479/2], [2225187/2, 625245/2, -943863/2]]], 0, 46080, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -32, 48]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 10, -10], [42, -8, -2], [0, 0, 0]], [[0, 0, 0], [547271/7, 34399, 135469/7], [-699773/2, -63391/2, 128503/2], [27/14, 1/14, -1/14]], [[0, 0, 0], [504252402/7, 89524458/7, -261357160/7], [-331717559, -32749503, 97929601], [1955, 3197/7, -5359/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [578, -26, -24], [-160, 4, 4], [0, 0, 0]], [[0, 0, 0], [47595434013/91, -510871069/13, -4136177021/91], [-3756857843/26, 241675263/26, 283406497/26], [677/182, 51/182, 5/182]], [[0, 0, 0], [-1015028316161638859/91, -308653258069346591/91, 398061210320165057/91], [80044540519575499/26, 24529776400062495/26, -31808179472924389/26], [-1991929215/26, -3989612385/182, 5948078655/182]]], 0, 46080, [], [] >,
< [ -1, -4, 0, 1 ], [[368, -32, -80]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 22, 0], [110, 10, 0], [0, 0, 0]], [[0, 0, 0], [878616/7, 69008, -239556/7], [919779, -25232, -139882], [-39/7, 4/7, -4/7]], [[0, 0, 0], [18766723482/7, 309553056, -5760577758/7], [22569852117, 456105076, -5418601003], [-965373/7, 74644/7, 212111/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [104, 32, 40], [-24, 6, 10], [0, 0, 0]], [[0, 0, 0], [-10774008696/91, -43659109784/91, 22168681100/91], [-62869973/13, 1738630/13, 1194559/13], [-551/91, -34/91, 1/91]], [[0, 0, 0], [-115101718879288444/91, -584926846022744494/91, 305955551865118850/91], [-1906154228189942/13, 170726680533945/13, 395153538877264/13], [-16369373782/91, 1419648225/91, 508491072/13]]], 0, 368640, [], [] >,
< [ -1, -4, 0, 1 ], [[368, -32, -80]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-54, -8, -14], [-38, 0, -2], [0, 0, 0]], [[0, 0, 0], [-962979884/7, -86290976/7, 32196828/7], [-98285118, -3004201, 12149700], [-18/7, -1/7, 0]], [[0, 0, 0], [-415491433350726, 25555679344398, 94144710184016], [-303148646511472, 5163796109996, 70022211703116], [-7797496, 676928, 1691088]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [304, -28, 32], [-14, -10, 8], [0, 0, 0]], [[0, 0, 0], [2956186/91, 168494/91, 2460/13], [30299/13, 1681/13, 123/13], [739/91, 41/91, 3/91]], [[0, 0, 0], [436744921254/91, -45463689146/91, -96425774264/91], [4478677353/13, -461853438/13, -988756656/13], [109236033/91, -11264718/91, -24116016/91]]], 0, 368640, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -32, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [68, -2, 4], [-2, -6, 10], [0, 0, 0]], [[0, 0, 0], [-25294545/2, -814226, 3187972], [-29338, 2831, -3845], [-3/2, 1, 2]], [[0, 0, 0], [-1277298417936, -81172725524, 323803636217], [-2959205280, 495747662, 373516708], [-183056, -54332, 79271]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [872, 10, 4], [34, -4, -4], [0, 0, 0]], [[0, 0, 0], [19403562889/26, 12599580803/26, 7338157495/26], [332551670/13, -2425588/13, 823868/13], [37/26, 15/26, 3/26]], [[0, 0, 0], [1232373397207664/13, 646867555940778/13, -1464841533844563/26], [48603238614743/13, 24689199587513/13, -23808300065190/13], [2269571/13, 644184/13, -1938601/26]]], 0, 46080, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -32, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-80, 8, 0], [-66, 0, -2], [0, 0, 0]], [[0, 0, 0], [138943/2, 80843, 7104], [61030, 87897, 17103], [5/2, 2, -2]], [[0, 0, 0], [12872385/2, -640635/2, -3336475/2], [5157936, -390586, -1420842], [469/2, -67/2, -67/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [384, -10, -16], [46, 6, 10], [0, 0, 0]], [[0, 0, 0], [3152718795/2, -44404167, -204148972], [184654670, 2203465, 2865125], [-3/2, -2, 0]], [[0, 0, 0], [124271131509071589/26, -1657213582122561/13, -13406582329533080/13], [7125307476146200/13, -719872563573413/13, -1358581656205629/13], [-86390101/26, -12355308/13, 18502400/13]]], 0, 46080, [], [] >,
< [ -1, -4, 0, 1 ], [[368, -32, -80]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [96, 2, -2], [-34, -2, -8], [0, 0, 0]], [[0, 0, 0], [-102341418, 936629/2, 23901049/2], [35910746, -1094125, 1171217], [1, -1/2, 5/2]], [[0, 0, 0], [-59770414684189/2, -1636667056485, 15017645705513/2], [10629455753991, 480363342384, -2646923303265], [729663/2, -29832, -159753/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1898, 52, -110], [-62, 4, -10], [0, 0, 0]], [[0, 0, 0], [-12969833985836, -615950849314, 1733965309758], [430578370428, -609349772, -1532659960], [6, 2, 0]], [[0, 0, 0], [-13280112261652219024031/26, 979346003314868496349/26, 1316702321590842060484/13], [214777000280886424781/13, -52891251772534602021/13, -27138935804169900050/13], [5730074875/26, -497738675/26, -622872075/13]]], 0, 368640, [], [] >,
< [ -1, -4, 0, 1 ], [[368, -32, -80]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-364, -4, -8], [256, 6, 10], [0, 0, 0]], [[0, 0, 0], [2304888861/2, -19981437/2, -58635054], [-809641627, 1326883, 31220472], [7/2, -5/2, 1]], [[0, 0, 0], [-69954507173315/2, 572374679081, 18145852862515/2], [24516203672789, -536804363144, -6397046303239], [-249091/2, 12488, 53297/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4886, 74, -104], [166, 6, -8], [0, 0, 0]], [[0, 0, 0], [-1124291495673436/13, 69860014050071/26, -85108360968439/26], [-38304666346906/13, 24459265959/13, -108242385189/13], [85/13, 25/26, 5/26]], [[0, 0, 0], [18571212579810497810701/13, -4566064750681753091833/26, -7102600911284111836823/26], [630948595133768838480/13, -61210964912231652045/13, -127067984526534077025/13], [-1354790552/13, 235587517/26, 589026705/26]]], 0, 368640, [], [] >,
< [ -1, -4, 0, 1 ], [[-96, -32, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -58, 18], [26, 22, 6], [0, 0, 0]], [[0, 0, 0], [-128155, -52023/2, 81557/2], [-116818, -7705, 30219], [2, -5/2, 1/2]], [[0, 0, 0], [4215015/2, 165657, -550379], [1993624, 132085, -505855], [-91/2, 0, 9]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-72, -8, -24], [4, -16, -8], [0, 0, 0]], [[0, 0, 0], [27667921/7, -19869013/14, -6985399/14], [-3297310/7, -454563/7, 282003/7], [16/7, 29/14, 5/14]], [[0, 0, 0], [-17082394021, 56712288481, -45847152461/2], [2868652799, -2291284549, 466377842], [-15460, -5405, 11085/2]]], 0, 15360, [], [] >,
< [ -1, -4, 0, 1 ], [[-96, -32, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [46, 106, -2], [26, 22, 6], [0, 0, 0]], [[0, 0, 0], [530559/2, 81723/2, -92287], [281107, 11639, -73520], [1/2, 3/2, 2]], [[0, 0, 0], [3492686911, 210262316, -1760807983/2], [3841013655, 248527701, -976299792], [3648, 798, -2337/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-114, -10, -14], [-2, 10, -2], [0, 0, 0]], [[0, 0, 0], [-6044805/2, 45461/2, 777229], [-123319, 6751, 18582], [5/2, 1/2, 0]], [[0, 0, 0], [52143950155/7, 12725061557/14, -15405210980/7], [2348275021/7, 903331858/7, -913980113/7], [-46593/7, -47709/14, 16461/7]]], 0, 15360, [], [] >,
< [ -1, -4, 0, 1 ], [[320, 0, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 100, 72], [4, -20, -4], [0, 0, 0]], [[0, 0, 0], [-4525/2, -9653, 2983/2], [-3931, -1854, 2121], [7/2, 2, -3/2]], [[0, 0, 0], [-471417/2, -16334, 125675/2], [2726409, 174640, -692371], [-4825/2, -155, 1225/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [344, 28, 92], [4, -4, -12], [0, 0, 0]], [[0, 0, 0], [837236725/14, 12625829/14, -106489851/7], [5563275/7, 1597555/7, -1291446/7], [111/14, 33/14, 2/7]], [[0, 0, 0], [-2812336266961/14, -260786137263/14, 378318372951/7], [-16679051539/7, 826435723/7, 3175117342/7], [-372527/14, -103819/14, 61070/7]]], 0, 122880, [], [] >,
< [ -1, -4, 0, 1 ], [[320, 0, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 40, -16], [12, 8, 16], [0, 0, 0]], [[0, 0, 0], [121597/2, 79691, -11461/2], [126395, 150074, 58449], [1/2, -2, -3/2]], [[0, 0, 0], [-552434859, -44846467, 144835161], [-1257861202, -76511890, 317819834], [-12493, -897, 3211]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-264, -60, -92], [12, 12, 12], [0, 0, 0]], [[0, 0, 0], [18458551/14, -9164/7, -3437605/14], [-350615/7, 1808/7, 38909/7], [47/14, -9/7, 1/14]], [[0, 0, 0], [-97379144/7, -6444967/7, 22580979/7], [3742204/7, 356126/7, -751046/7], [-270/7, -1/7, 51/7]]], 0, 122880, [], [] >,
< [ -1, -4, 0, 1 ], [[320, 0, -64]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 34, -30], [-20, 12, -16], [0, 0, 0]], [[0, 0, 0], [3980993/2, -4260513/2, 1938833/2], [2515450, -930568, 240446], [7/2, -1/2, 1/2]], [[0, 0, 0], [378395685691/2, -33916397765/2, -64791901131/2], [206503422166, -1937555562, -43572582408], [548379/2, 3913/2, -114767/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [468, -4, -24], [12, 0, -16], [0, 0, 0]], [[0, 0, 0], [-17154159513/7, -1573906490/7, 5079222068/7], [-386134772/7, -2297922/7, 2876910/7], [-24/7, -27/7, -2/7]], [[0, 0, 0], [-87061628281971953/14, -4243063513507135/14, 21521593755849975/14], [-1048544833799422/7, -145408198511592/7, 298883537410686/7], [-90161655/14, -216215/14, 18213935/14]]], 0, 122880, [], [] >,
< [ -1, -4, 0, 1 ], [[320, 0, -64]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-104, -16, 32], [-12, -8, 16], [0, 0, 0]], [[0, 0, 0], [63500, 3163, -15521], [5620, -18, 214], [-3, 2, -1]], [[0, 0, 0], [1628182245/2, 102822465/2, -412190881/2], [74191578, 4393994, -16775912], [-92627/2, -617/2, 19127/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [296, 18, 6], [-4, 8, 0], [0, 0, 0]], [[0, 0, 0], [651056167/14, -88885897/14, -181144813/14], [-6856116/7, -14240/7, 150364/7], [53/14, -27/14, 5/14]], [[0, 0, 0], [-1278601988775/14, -15105689863/14, 344634105679/14], [13434131194/7, 1237338986/7, -2664406812/7], [-115287/14, 279/14, 22927/14]]], 0, 122880, [], [] >,
< [ -1, -4, 0, 1 ], [[-96, -32, 32]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, -6, 2], [26, 18, 6], [0, 0, 0]], [[0, 0, 0], [-142953/4, -24605/4, 37575/4], [73587, 8185, -11675], [5/4, 9/4, 1/4]], [[0, 0, 0], [-6532222, 467764, 1230974], [14906936, 2964264, -4686840], [76, -212, 92]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [340, 80, 28], [-10, -6, -2], [0, 0, 0]], [[0, 0, 0], [98408689/28, -19019103/28, -1441535/28], [-692653/7, -5221/7, 11737/7], [-109/28, -225/28, -5/28]], [[0, 0, 0], [-561770023714/7, -4829398736/7, 126716925344/7], [15115683680/7, 383815752/7, -3502391896/7], [313574/7, 107734/7, -107402/7]]], 0, 15360, [], [] >,
< [ -1, -4, 0, 1 ], [[-96, -32, 32]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, -4, 0], [4, 0, 4], [0, 0, 0]], [[0, 0, 0], [17103/4, 14863/4, -9841/4], [1007, 1923, -855], [-11/4, 17/4, -3/4]], [[0, 0, 0], [79/4, 7/4, -17/4], [5, 1, -1], [13/4, 1/4, -3/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-292, -42, -98], [8, 4, 8], [0, 0, 0]], [[0, 0, 0], [-1751036872/7, -92334817/7, 215546725/7], [45761974/7, 4655320/7, 1572512/7], [-33/7, -38/7, -1/7]], [[0, 0, 0], [-4612241567927429/28, 45858981781007/28, 989101452809723/28], [29437721873811/7, -2423939092479/7, -5110350486951/7], [-69355719/28, -21859899/28, 23396733/28]]], 0, 15360, [], [] >,
< [ -1, -4, 0, 1 ], [[24, -11, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[79/2, 5/2, 0], [-115/2, 99/2, 38], [79/2, 5/2, 0], [0, 0, 0]], [[461481612, 3219029/2, -47498337/2], [-2892171317/4, 393821078, 1456923805/4], [922963199/2, 3219025/2, -23749170], [-25/4, -1, -3/4]], [[131875969545549/2, -18325002090258, -13903865328465/2], [-123839268277731, -1915224097575/2, 47797071289277/2], [131875966230175/2, -18325001334251, -13903865187841/2], [-1657687/2, 756007/2, 35156]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, -5/2, -3/2], [-132, -59/2, -49/2], [-10, -5/2, -3/2], [0, 0, 0]], [[-3368992, -201399/2, 121363/2], [-88937085/2, 213837/4, -1246271/4], [-3368998, -100701, 60683], [-3, -3/4, 3/4]], [[-11610949680, -19012930101/2, 15336129369/2], [-160252268761, -145746261279, 112718170998], [-11610962624, -19012918459/2, 15336130511/2], [-6472, 5821/2, 571/2]]], 0, 512, [], [] >,
< [ -1, -4, 0, 1 ], [[24, -11, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[397/2, 5/2, 1], [485/2, 15/2, 4], [397/2, 5/2, 1], [0, 0, 0]], [[248943711789/2, -8697791596, -11041020717/2], [303587864299/2, -35970001401/4, -22196752937/4], [248943711867/2, -17395583201/2, -5520510351], [13/2, -3/4, 5/4]], [[9099460921437111, -1716865642970127, -1342764397529588], [44249372979920521/4, -8513272331066533/4, -1626295275486292], [18198921848340243/2, -3433731288409149/2, -1342764397649993], [1822007/4, -822965/4, -40135/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[20, 2, 2], [62, 23, 15], [20, 2, 2], [0, 0, 0]], [[19750734, -1236182, -183376], [236908739/4, 17594409/4, 4221624], [39501455/2, -2472365/2, -183375], [13/4, 1/4, -1/2]], [[-426328817159/2, 497789963070, -339174150301/2], [-2352796501549/4, 1571523086458, -2057794848083/4], [-213164309604, 497789917505, -169587079161], [-197951/4, 45565/2, 8021/4]]], 0, 512, [], [] >,
< [ -1, -4, 0, 1 ], [[7, -3, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[28, 3/2, 1/2], [9, 3/2, -1/2], [28, 3/2, 1/2], [0, 0, 0]], [[-40003877/2, 161659, 3115653/2], [-6383910, -2156907/4, 3353141/4], [-40003873/2, 323323/2, 1557829], [-1, -5/4, -5/4]], [[-3207604348939/2, 108003847447/2, 331009369979], [-2019212736473/4, -26680888367/4, 230824814605/2], [-1603802066425, 54001869350, 331009374475], [-216089/4, 108747/4, -2248]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21, 2, -1], [-37, -3, 0], [-21, 2, -1], [0, 0, 0]], [[153955, -127906, 40266], [1140111/4, -122240, 92239/4], [307905/2, -127907, 80529/2], [-5/4, -1/2, -3/4]], [[109157609/2, -54905962, 27877941/2], [405773247/4, -116834593/2, 21234901/4], [54578097, -54905396, 13938829], [-1415/4, 283, -283/4]]], 1, 8, [], [] >,
< [ -1, -4, 0, 1 ], [[7, -3, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, 2, 3/2], [-37/2, -2, -7/2], [9/2, 2, 3/2], [0, 0, 0]], [[4834767/2, -97838, -495341/2], [-42620369/4, 1895917/2, 5284093/4], [2417383, -97838, -247669], [1/4, 0, -3/4]], [[-756033873918, -68051843367, 201573709217], [3369106506066, 304907706193, -898324587553], [-756033764318, -68051887057, 201573707447], [-54800, 21845, 885]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[39/2, 0, 1/2], [17/2, -4, -9/2], [39/2, 0, 1/2], [0, 0, 0]], [[16332111/2, -687869/2, -1181858], [7773621/2, -424349/2, -2426695/2], [16332123/2, -687865/2, -1181857], [3, 1, 1/2]], [[-1893503898269/2, 307077410981/2, 137351779218], [-1902562917619/4, -101819646177/4, 119962559148], [-946752560540, 153538917923, 137351803737], [-1222811/4, 424865/4, 24519/2]]], 1, 12, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -9, 7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-55/2, -2, -5/2], [53/2, 0, 11/2], [-55/2, -2, -5/2], [0, 0, 0]], [[-7596189/2, -453507/2, 1001488], [15030203/4, 904755/4, -2001539/2], [-3798096, -226752, 1001488], [3/4, -3/4, 0]], [[-317074667, -15853562, 79268579], [626192835/2, 13916989, -155264223/2], [-317074880, -15853744, 79268720], [213/2, 91, -141/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -1, -1], [22, -2, 4], [6, -1, -1], [0, 0, 0]], [[-10105/2, -373/2, 537], [-14993/2, 190643/4, 81539/4], [-10111/2, -188, 1079/2], [3/2, 3/4, -5/4]], [[-15987843/2, 2364437/2, 994187], [-92085067/4, 119636295/4, 5183721], [-7999728, 1176496, 998576], [11613/4, 11445/4, -4389/2]]], 0, 64, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -2, 4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 1/2, 2], [-59/2, 13, -15/2], [0, 5/2, -1/2], [0, 0, 0]], [[51416, 38320, -3160], [11227483/4, -178043/4, -2821819/4], [56385, 1803, -4967], [-1/4, 5/4, -1/4]], [[907444800, 123789168, -170017488], [239279414323/4, 15561394183/4, -62221698811/4], [1214316661, 136812375, -306839917], [-52789/4, -10791/4, 20845/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-23/2, -14, -5/2], [-38, -55/2, -33/2], [-23/2, -5/2, 0], [0, 0, 0]], [[-100036, -150616, -19108], [-7494793/28, -3830921/28, -6763317/28], [-590659/7, -23539/7, -110191/7], [-43/28, 5/28, -3/28]], [[-5137624160, 6297733784, 2817407160], [-194581219380/7, -27581180327/14, 155687235194/7], [-66191426340/7, -10454254784/7, 30189183138/7], [-1254413/7, -255330/7, 1013669/14]]], 1, 24, [], [] >,
< [ -1, -4, 0, 1 ], [[80, 0, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 8, 0], [-18, -6, 8], [0, 0, 0]], [[0, 0, 0], [645/2, 1050, 412], [314, 341, 155], [-5/2, 1, 0]], [[0, 0, 0], [-7179/2, 3721/2, 4437/2], [-11400, 350, 3288], [261/2, 9/2, -63/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -6, 8], [22, -2, 8], [0, 0, 0]], [[0, 0, 0], [3960119/2, 532189/2, -1145187/2], [3752202, 391288, -1030482], [3/2, 1/2, 5/2]], [[0, 0, 0], [25819674, 3068803/2, -12933289/2], [49409172, 3061231, -12443387], [17, -39/2, -37/2]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[-80, -16, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-58, 0, -2], [20, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38473, -13169, -293], [13134, 4016, -302], [-1, 1, 1]], [[0, 0, 0], [-17846, 15853/2, -291/2], [6238, -2397, -145], [-1, -1/2, 1/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [94, 2, 4], [-24, -8, 4], [0, 0, 0]], [[0, 0, 0], [-596961/2, -546279/2, 195670], [48429, -8371, -6830], [5/2, 1/2, -1]], [[0, 0, 0], [-1/2, 2, 3/2], [-9, -40, -19], [-1/2, -3, -3/2]]], 0, 15360, [], [] >,
< [ -1, -4, 0, 1 ], [[80, 0, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 0, 0], [22, -4, 10], [0, 0, 0]], [[0, 0, 0], [-16895, -1566, 5261/2], [-49681, -5525, -12], [2, 2, -5/2]], [[0, 0, 0], [198902970, 13148424, -51187878], [588861160, 40902520, -154643680], [-15760, 400, 3040]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 0, -6], [-8, -8, -8], [0, 0, 0]], [[0, 0, 0], [-38301, 1591, 9571/2], [-17653, -1359, 88], [2, 1, -3/2]], [[0, 0, 0], [43313970, 3107760, -11221113], [19518824, 1387350, -5120834], [-1836, -54, 423]]], 0, 1920, [], [] >,
< [ -1, -4, 0, 1 ], [[272, -16, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, -4, 0], [6, 2, -8], [0, 0, 0]], [[0, 0, 0], [17790, 1350, -5372], [-6596, 3900, -1304], [2, 0, -2]], [[0, 0, 0], [55803092, 6304767/2, -28158559/2], [-25672562, -3669899, 7335621], [5919, -699/2, -2779/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 4, -16], [-16, 6, -6], [0, 0, 0]], [[0, 0, 0], [24505/2, 16761/2, -689], [-17405, 3933, 5576], [-21/2, -3/2, 0]], [[0, 0, 0], [-141138, -85870, 20042], [204580, -41000, -57072], [118, 0, 0]]], 0, 122880, [], [] >,
< [ -1, -4, 0, 1 ], [[272, -16, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [40, 6, 10], [-92, -404, -192], [0, 0, 0]], [[0, 0, 0], [103324194, -3775974, -21291338], [-4585174, 104296, 537938], [-4, 0, 2]], [[0, 0, 0], [-2144394588547/2, -108648718859, 582110746073/2], [48221196541, 6811393422, -13434469227], [77293/2, -2068, -18189/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 56, 38], [40, 10, 6], [0, 0, 0]], [[0, 0, 0], [-453473/2, 233091, 494575/2], [379963, -54514, 39179], [27/2, 2, 5/2]], [[0, 0, 0], [31996481407/2, 4619612473/2, -3804271204], [-22565094553, 144145843, 5253937070], [-1496239/2, 18729/2, 181047]]], 0, 122880, [], [] >,
< [ -1, -4, 0, 1 ], [[24, -4, -4]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [54, 1, 5], [25, 4, -1], [0, 0, 0]], [[0, 0, 0], [13592125/2, -1486845, 2901211/2], [3263106, 193376, 16358], [-1/2, -7/2, -1]], [[0, 0, 0], [42554318933/4, 936856529/4, -9937766705/4], [4738469627, 214874469, -1159219295], [1825/4, -225/4, -325/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-33, 3, 10], [29, 4, 3], [0, 0, 0]], [[0, 0, 0], [215085209/28, -10175411/28, -58925585/28], [-44412895/7, 3551523/7, -2771453/7], [9/28, -45/28, -1/28]], [[0, 0, 0], [-917988979508/7, -52192528596/7, 231285903474/7], [770053254931/7, 7264823976/7, -171735248679/7], [-82212/7, 13488/7, 13778/7]]], 1, 120, [], [] >,
< [ -1, -4, 0, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -2, -1, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38, 4, -2], [24, 92, 44], [0, 0, 0]], [[0, 0, 0], [362210, -55275, -53862], [33582, -4344, 5538], [0, 2, 1]], [[0, 0, 0], [-314554001/4, 90099399/4, 27755007/4], [-6362545, 5703703, -1185939], [397/4, -15/4, -19/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-178, 18, 24], [16, 4, 16], [0, 0, 0]], [[0, 0, 0], [-26570571821/28, -845645485/28, 6149518611/28], [586423063/7, 45112967/7, -11907827/7], [89/28, 45/28, 1/28]], [[0, 0, 0], [-120162264639215/28, 40732383448433/28, 7264520598045/28], [1240899619263/7, -5752335402521/7, 2693477768067/7], [385151/28, -15609/28, -3397/28]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[21, -2, -3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 3/2, -1/2], [71, 27/2, 27/2], [9, 3/2, -1/2], [0, 0, 0]], [[1244516, -49868, 2912], [35793035/4, -13145641/4, 7398739/2], [2489049/2, -99741/2, 2914], [17/4, -5/4, 1]], [[4980832766, 61658506, -1045426200], [77090485887/2, -6661312107/2, -5476551284], [4980868745, 61656537, -1045432286], [35979/2, -1969/2, -3043]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[49/2, 1, -3/2], [-149/2, 20, 37/2], [49/2, 1, -3/2], [0, 0, 0]], [[18643950, -231400, -118950], [-56207113, 83395325/4, 50850779/4], [18643941, -462801/2, -237901/2], [-9/2, -1/4, -1/4]], [[37616296900, -3180349900, -6019122200], [-121931321886, 48315739999/4, 95206101985/4], [37616279031, -6360696519/2, -12038239199/2], [-17869/2, 3281/4, 5201/4]]], 0, 128, [], [] >,
< [ -1, -4, 0, 1 ], [[21, -2, -3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-93, 3/2, -5/2], [-135, 5/2, -11/2], [-93, 3/2, -5/2], [0, 0, 0]], [[15374985997/2, 151000443, -800420979/2], [44663082021/4, 830632431/4, -471187136], [7687492999, 302000885/2, -800420975/2], [1/4, -1/4, 1]], [[-8224618363093745, -442328093734735, 2027797762335620], [-11955027250362530, -2549119516178131/4, 11773449168320075/4], [-8224618363874030, -884656187322455/2, 4055595524896267/2], [-780285/2, 147015/4, 225027/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[75/2, 3/2, -1], [179/2, 9/2, 4], [75/2, 3/2, -1], [0, 0, 0]], [[32005647, -880875, -2426256], [151952393/2, -12970309/4, -6098025/4], [32005629, -1761741/2, -4852521/2], [3, -3/4, 3/4]], [[1058262832287/2, 4512661551, -224977162365/2], [2519499322237/2, -14597553633/2, -252537667157], [1058262211239/2, 4512692190, -224977076055/2], [51754, -10213/2, -14385/2]]], 0, 128, [], [] >,
< [ -1, -4, 0, 1 ], [[-23, -9, 12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-57/2, -1, -5/2], [-317/2, 7, 15/2], [-57/2, -1, -5/2], [0, 0, 0]], [[453235375/2, 3936096, -213031/2], [5068832173/4, -158115559/4, -252953985/2], [226617684, 7872189/2, -213033/2], [-7/4, -3/4, -1/2]], [[504844457494040, 182799080723430, -216537166205198], [11109938508075113/4, 824151487311835, -4224292699547989/4], [1009688900513153/2, 182799077880039, -433074324846839/2], [-14474927/4, -2843391/2, 7563557/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-69/2, -3/2, -2], [93/2, 17/2, 3], [-69/2, -3/2, -2], [0, 0, 0]], [[-250673802, -25026097/2, 20234297/2], [334113545, 97724529/2, -22352567/2], [-250673824, -25026101/2, 20234297/2], [-11, -1, 0]], [[-193309709824195/2, -73704434963773/2, 47496510946134], [489029140875455/4, 35344597189753, -232740619293971/4], [-96654863369365, -73704441570373/2, 94993030712123/2], [-16914535/4, -1651650, 8819855/4]]], 0, 1024, [], [] >,
< [ -1, -4, 0, 1 ], [[-23, -9, 12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-53, -2, -1], [-287, 3, 0], [-53, -2, -1], [0, 0, 0]], [[17640910175/2, -158861479/2, -57255618], [191403039517/4, -2366798396, -4162191933/4], [8820455059, -158861483/2, -114511239/2], [-57/4, -1, -3/4]], [[3605305730094145/2, 712094481704991, -1757697014663359/2], [19829244680717177/2, 4082416978747731, -9559482851406119/2], [3605305718626201/2, 712094479475113, -1757697008683755/2], [-2866986, -1114939, 1494901]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, 0, -1/2], [-311/2, -2, 3/2], [-7/2, 0, -1/2], [0, 0, 0]], [[3596922, -38331, -3411], [638324739/4, 3359531/2, -62379921/4], [7193855/2, -38331, -6817/2], [11/4, 0, 5/4]], [[-46881905577300, -10103986521180, 17119646965440], [-2021462009297804, -1325201165719507/4, 2632904402281623/4], [-46881983879315, -20208034660373/2, 34239375812183/2], [-78302015/2, -61618013/4, 81881303/4]]], 0, 1024, [], [] >,
< [ -1, -4, 0, 1 ], [[-7, -4, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-14, -3/2, -5/2], [-11, -11/2, -3/2], [-14, -3/2, -5/2], [0, 0, 0]], [[-504605/2, 589989/2, 205717], [-318277/2, 1172665/4, 783195/4], [-504595/2, 294994, 411439/2], [-5/2, 1/4, -5/4]], [[12093143365, 242571393/2, -8211107459/2], [16663921403/2, -637682291, -5905129051/2], [12092901970, 242288775/2, -8210897375/2], [241395/2, 141309/2, -52521]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 3/2, 3/2], [39, 11/2, 3/2], [-5, 3/2, 3/2], [0, 0, 0]], [[52752, -4563, 810], [-599975/2, 341437, 28320], [52755, -4563, 810], [3/2, 0, 0]], [[116143558, 145449007/2, -108544733/2], [-1812316881/2, -3047199001/4, 2536860681/4], [116149874, 72728071, -54275075], [3158, 7135/4, -5417/4]]], 1, 16, [], [] >,
< [ -1, -4, 0, 1 ], [[-23, -9, 12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[53/2, 1/2, -1], [477/2, -1/2, 0], [53/2, 1/2, -1], [0, 0, 0]], [[15276448, 365057/2, -637109/2], [274766317/2, -6207891/4, 11038725/4], [15276428, 182528, -318556], [10, 1/4, 3/4]], [[-614062840955, -401916072329/2, 561744887371/2], [-5664978025313, -8556105957301/4, 11109861745381/4], [-614062014480, -200957709312, 280872009648], [-826475/2, -653705/4, 868075/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[23/2, 2, -3/2], [381/2, 1, -15/2], [23/2, 2, -3/2], [0, 0, 0]], [[-53604689/2, -2058411/2, -617124], [-1454695685/4, 1355607339/4, -408136193/2], [-26802314, -1029204, -617122], [-61/4, -3/4, -1]], [[2802987744207999, 1013888063988440, -1376842315515811], [127113406498613939/2, 68670802703820809, -102908346090716841/2], [2802984520410360, 1013886804775130, -1376840635786330], [3223797639/2, 629606655, -1679729481/2]]], 0, 1024, [], [] >,
< [ -1, -4, 0, 1 ], [[-23, -9, 12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, -1/2, -3/2], [292, 9/2, -5/2], [12, -1/2, -3/2], [0, 0, 0]], [[-3922481, 184869/2, -139567/2], [-398555073/4, -23682181, -113837003/4], [-7844981/2, 184869/2, -69782], [19/4, 0, -3/4]], [[16872127941, 21572652243/2, -29652593969/2], [801023323303/2, 703075943211/4, -2324006672173/4], [16872163995, 10786339860, -14826315655], [-18027, -27477/4, 37341/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-28, 1, -1], [-483, -5, -4], [-28, 1, -1], [0, 0, 0]], [[10892573193, -148288975/2, -211470495/2], [749792458863/4, 11527867249/2, -23905812473/4], [21785146399/2, -148288977/2, -105735249], [-13/4, 1/2, 3/4]], [[-1071209690808839/2, -1118595205013109/2, 251365215504376], [-35337709705715111/4, -34155666189287541/4, 3774620188245332], [-535604845670158, -559297602610707, 251365215643117], [531477/4, 208305/4, -138741/2]]], 0, 1024, [], [] >,
< [ -1, -4, 0, 1 ], [[-48, -48, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -2, 16], [-14, -8, 6], [0, 0, 0]], [[0, 0, 0], [3321281/2, 3755065/2, 384653/2], [-720748, -21540, 101898], [5/2, 5/2, -3/2]], [[0, 0, 0], [-971787101, -1191849739/2, 517171449/2], [470566546, -41139013, -74251509], [-1784, -4025/2, 2621/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 4, -6], [-12, 10, -10], [0, 0, 0]], [[0, 0, 0], [-529821/2, -171761/2, -28771], [-1143103, -169705, 111280], [1/2, 3/2, 0]], [[0, 0, 0], [-1349864376, -29225481, 624048973/2], [-6061725803, -264851511, 1474201542], [871, 767, -1069/2]]], 0, 3840, [], [] >,
< [ -1, -4, 0, 1 ], [[-160, -144, 112]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-434, -38, 8], [-70, -10, 0], [0, 0, 0]], [[0, 0, 0], [-2285391/2, 158153, -81839/2], [-184249, 15492, -8267], [37/2, 2, 3/2]], [[0, 0, 0], [-421226818496, -426646041966, 307284080150], [-66239392984, -65017239776, 47714672824], [6075100, 5253808, -4180284]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [208, 14, 34], [38, 8, 10], [0, 0, 0]], [[0, 0, 0], [-945523394, -21784996, 66148756], [-169393356, -13078284, 4280656], [-10, 2, -2]], [[0, 0, 0], [-202449961894485/2, -84080443649393/2, 45788086791589], [-18054227727345, -7801824746347, 8563865345216], [-2724451/2, -2405877/2, 942702]]], 0, 245760, [], [] >,
< [ -1, -4, 0, 1 ], [[-160, -144, 112]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [94, -2, 4], [26, 2, 4], [0, 0, 0]], [[0, 0, 0], [-34291705, 1038593, 3582510], [-9354732, 11228, 480120], [-15, -1, -2]], [[0, 0, 0], [64162381716236, 71880741873507/2, -64669104842515/2], [17897606039214, 11330781854465, -9804090433899], [31485951, 56099113/2, -43833895/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [344, 0, 0], [-26, -4, 6], [0, 0, 0]], [[0, 0, 0], [-53682966, -100410143, 41769815], [1820388, -6190, -11574], [16, 1, 1]], [[0, 0, 0], [-19963594386113/2, -99948744218301/2, 25208394641683], [-410327549541, -326193216399, 260441318128], [-7308227/2, -6272813/2, 2486116]]], 0, 245760, [], [] >,
< [ -1, -4, 0, 1 ], [[112, -48, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 4, 4], [46, 228, 110], [0, 0, 0]], [[0, 0, 0], [927535, 917767/2, -850423/2], [-247818, 10063, 29701], [0, 1/2, 1/2]], [[0, 0, 0], [-211650, 7640, 43706], [69838, 6990, -18932], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-42, -4, -10], [34, 160, 78], [0, 0, 0]], [[0, 0, 0], [387438639/2, 26840198, -112205549/2], [7156939, -101112, -782201], [7/2, 1, 1/2]], [[0, 0, 0], [-107240878211491/2, -9232069419589, 32708295930587/2], [-1866077297819, 402831552652, 219995154945], [-1637559/2, 317198, 35445/2]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[112, -48, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-70, -320, -170], [2, 0, -10], [0, 0, 0]], [[0, 0, 0], [31735/2, 2209/2, -4181], [64973, 4297, -16556], [5/2, 1/2, 2]], [[0, 0, 0], [2581632782, 179890118, -662498492], [10572951840, 689752416, -2689948872], [371952, -141456, -9744]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-60, -276, -144], [-22, -94, -52], [0, 0, 0]], [[0, 0, 0], [-4844, -39897/2, -19025/2], [-830, -6915, -3589], [1, 1/2, -1/2]], [[0, 0, 0], [-13884, -1062, 3610], [24356, 1472, -6140], [0, 0, 0]]], 0, 30720, [], [] >,
< [ -1, -4, 0, 1 ], [[-160, -144, 112]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [152, 72, 32], [-6, -26, -8], [0, 0, 0]], [[0, 0, 0], [100797309, 6338898, -25590107], [65924, 3728, -4084], [-5, 0, 1]], [[0, 0, 0], [-11829640354, -1975354925/2, 6183898145/2], [-13691030, -19908395, 16763841], [821, 1621/2, -1215/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [252, 10, 26], [-14, -4, -6], [0, 0, 0]], [[0, 0, 0], [694366563, -31721921/2, -179095685/2], [-36839032, 327223, 715185], [-2, 1/2, 3/2]], [[0, 0, 0], [-11945721987424, 7486605698944, -995298727024], [560948943734, -656410049204, 200923251862], [55030, 46640, -37150]]], 0, 245760, [], [] >,
< [ -1, -4, 0, 1 ], [[-160, -144, 112]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-144, -70, -58], [-16, 24, 16], [0, 0, 0]], [[0, 0, 0], [-1883895, 11188021/2, -3398535/2], [-557540, -8775, 27683], [20, 3/2, 5/2]], [[0, 0, 0], [1173276199479, 4914658309495/2, -2822639049613/2], [93230220596, 61596000653, -52454998425], [-3690750, -6844075/2, 5264175/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [130, -28, 2], [40, 6, 2], [0, 0, 0]], [[0, 0, 0], [30207337/2, -6896080, -4537349/2], [4166337, -2464170, -1430379], [-23/2, -1, -3/2]], [[0, 0, 0], [-14652330693/2, -13385032131/2, 4874636906], [-1882244247, -1256381223, 1070738770], [10257/2, 10257/2, -3419]]], 0, 245760, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -7, 5]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 0, 3/2], [223/2, 0, -7/2], [5/2, 0, 3/2], [0, 0, 0]], [[5409159/2, 14825/2, 53162], [118312251, 15346045/4, -85529949/4], [5409171/2, 7414, 106329/2], [-3, -3/4, -5/4]], [[9581655015528, 2038050745880, -2704137892048], [797288274150487/2, 172302890835575/4, -421249964255885/4], [9581676508626, 4076118173647/2, -5408287753979/2], [-10746549, -16681887/4, 11969883/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-109/2, -5/2, -1], [43/2, 3/2, -1], [-109/2, -5/2, -1], [0, 0, 0]], [[1185371725/2, -13865750, -61871225/2], [-468513669/2, -11529247/4, 95474877/4], [1185371723/2, -27731495/2, -30935612], [1/2, -5/4, -1/4]], [[40187539546425, 4571740814550, -12175758699975], [-31229888264677/2, -6178843085321/4, 18179994019467/4], [40187539429461, 9143481536779/2, -24351517335597/2], [58482, 92321/4, -64353/4]]], 0, 256, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -7, 5]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-79/2, -1/2, -2], [-385/2, -9/2, 3], [-79/2, -1/2, -2], [0, 0, 0]], [[33397625646, -815047002, 164354652], [651970843675/4, -3553325397/4, -16830982281/2], [66795251279/2, -1630094007/2, 164354650], [13/4, 3/4, 1]], [[3026819319726015/2, 354925722657627, -879200982227205/2], [29004073229961457/4, 5799322433817213/4, -4106017001382399/2], [1513409659569497, 709851445086969/2, -879200982064515/2], [587021/4, 228285/4, -81345/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[51, 5/2, 1/2], [-242, -13/2, -11/2], [51, 5/2, 1/2], [0, 0, 0]], [[45290631060, -677718870, -1078766430], [-429790465589/2, 8123395217, 4801515771/2], [45290631059, -677718870, -1078766429], [1/2, 0, -1/2]], [[3742126245421020, -181650490254720, -877346638695540], [-71349215452120801/4, 3965463745837987/4, 8251274850178155/2], [7484252490667879/2, -363300980577259/2, -877346638671302], [174161/4, 67819/4, -12119]]], 0, 256, [], [] >,
< [ -1, -4, 0, 1 ], [[17, -1, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -3/2, 3/2], [-17, 1/2, -3/2], [6, -3/2, 3/2], [0, 0, 0]], [[-283943, -14135, 22418], [1534247/2, 306795/4, -377487/4], [-283939, -28269/2, 44833/2], [2, 1/4, -3/4]], [[-320073347/2, -34341846, 84252663/2], [1682654843/4, 295688797/4, -211018339/2], [-160034660, -68683919/2, 84251717/2], [4027/4, -227/4, -473/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, -3/2, 1/2], [29, -7/2, 9/2], [-9, -3/2, 1/2], [0, 0, 0]], [[-783374, -45967/2, 125431/2], [4849163/2, -4154159/4, 1866943/4], [-783362, -22979, 62720], [-2, -3/4, -3/4]], [[1214269505960, 57058043707/2, -588804998887/2], [-4172223044365, 464731106719/2, 1725097071411/2], [1214252401760, 57060220447/2, -588796954867/2], [2850700, -181395, -670335]]], 1, 32, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -7, 5]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[62, 3/2, 5/2], [-131, -3/2, -11/2], [62, 3/2, 5/2], [0, 0, 0]], [[-1229757256, -2542540, 44425108], [10401933409/4, -78358019/4, -180594117/2], [-2459514521/2, -5085079/2, 44425106], [-9/4, 1/4, -1]], [[-49701009418620560, -8861211177214032, 13096249700266096], [421586874552210901/4, 75487451187707505/4, -55802178936890783/2], [-99402019246416801/2, -17722422513061939/2, 13096249757149466], [-409175681/4, -158633875/4, 28441685]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, 0, 0], [-39, -1, -4], [-8, 0, 0], [0, 0, 0]], [[-295562, 5609/2, 37063/2], [-5749229/4, 863, -80075/4], [-591113/2, 5613/2, 18530], [11/4, 1, -3/4]], [[-38250763840, 905268640, 1718576160], [-743303560307/4, 3160650300, -28785657313/4], [-76500086915/2, 905548027, 3436753161/2], [1440765/4, 279387/2, -399159/4]]], 0, 256, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -7, 5]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-26, 1/2, -1/2], [-177, 1/2, -3/2], [-26, 1/2, -1/2], [0, 0, 0]], [[-845075692, 712424, 6966844], [-11499325959/2, -310442861/4, 406141375/4], [-845075674, 1424853/2, 13933691/2], [9, 5/4, 3/4]], [[3997929988356408, 1287671017144824, -1204316017333416], [107992614758356007/4, 8418877633771573, -32046629583013927/4], [7995859808453375/2, 1287670984252279, -2408631987976265/2], [-168259441/4, -32892545/2, 46690567/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17, -3/2, 1/2], [-10, 3/2, 5/2], [-17, -3/2, 1/2], [0, 0, 0]], [[1567909, -142975, -181202], [3901517/4, -303113/4, -206925], [3135825/2, -285947/2, -181203], [7/4, 3/4, -1/2]], [[-237912881745/2, 15860858783/2, 15860858783], [-73837752333, 4375953568, 16133927915], [-237913402863/2, 15860655473/2, 15860931341], [-260559/2, -101655/2, 36279]]], 0, 256, [], [] >,
< [ -1, -4, 0, 1 ], [[17, -1, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-29, 3/2, -5/2], [-82, -1/2, -7/2], [-29, 3/2, -5/2], [0, 0, 0]], [[-24299069, 1496689/2, 460645/2], [-273601905/4, -3284189/4, 2748934], [-48598125/2, 748347, 460649/2], [13/4, 5/4, 1]], [[-23111177063625, 33909196125, 5372737826400], [-257657307993567/4, -563211302268, 61036083181009/4], [-46222342960693/2, 33908886276, 10745473025259/2], [11166557/4, -309849/2, -2627541/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[79/2, 1, -1/2], [-7/2, -3, -3/2], [79/2, 1, -1/2], [0, 0, 0]], [[-450874767/2, 43549665/2, 5742897], [74736783/4, 18819833/2, 23275391/4], [-225437379, 43549671/2, 11485779/2], [-3/4, -1/2, 5/4]], [[-2157307917549/2, -170756752947/2, 277100714322], [156728286231/2, 31540280989/4, -77551304121/4], [-2157307888263/2, -85378377423, 554201421687/2], [-4881/2, 633/4, 2319/4]]], 1, 32, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -7, 5]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15, -3/2, 1/2], [-27, -3/2, -11/2], [15, -3/2, 1/2], [0, 0, 0]], [[7044291, -178345/2, -2191961/2], [-12404258, -1286109/4, 4897197/4], [7044290, -89173, -1095979], [-1/2, -1/4, 3/4]], [[86412548536, 3623799458, -21617838146], [-301507902875/2, -17715207767/4, 152306359493/4], [86412537970, 7247590663/2, -43235670451/2], [-5283, -8253/4, 5841/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, -1/2, 1], [-97/2, 9/2, -2], [11/2, -1/2, 1], [0, 0, 0]], [[-1295076, -101976, 18876], [45138977/4, 1016707/2, -4196299/4], [-2590171/2, -101974, 37747/2], [-19/4, 1, -5/4]], [[3205233868176, 757569648672, -770986536624], [-110520863939215/4, -10024134133901/2, 27655850361237/4], [6410521545765/2, 757580111564, -1541987988977/2], [53809413/4, 5231446, -14915729/4]]], 0, 256, [], [] >,
< [ -1, -4, 0, 1 ], [[-18, -7, 5]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19, -5/2, 3/2], [-263, -13/2, -1/2], [19, -5/2, 3/2], [0, 0, 0]], [[1016214348, -28392665/2, -11017547/2], [-55471000903/4, -2479440791/2, 2999410973/4], [2032428717/2, -28392663/2, -5508773], [21/4, 1/2, 1/4]], [[11733276097369701, 4047521386150140, -3537602632236177], [-609914469921275737/4, -174036789289843571/4, 41009363895420561], [23466552433802303/2, 8095042864915117/2, -3537602665419334], [239062901/4, 92614837/4, -33183157/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-31, 0, -1], [32, -2, 2], [-31, 0, -1], [0, 0, 0]], [[898683237/2, 22108563/2, -17303238], [-1863935277/4, 19694181/2, 32175739/4], [449341609, 22108561/2, -34606479/2], [-19/4, -1/2, -3/4]], [[8750343978355338, 2163996811796292, -2448303659712702], [-18501040448192419/2, -9878290896091761/4, 10743999786747503/4], [8750343787423238, 4327993475514509/2, -4896607213282929/2], [-95466050, -148078075/4, 106142475/4]]], 0, 256, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -64, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [212, -2, 6], [-10, 8, 2], [0, 0, 0]], [[0, 0, 0], [-100210011/2, 27246145/2, 12105791], [2948753, -46079, -140774], [11/2, 5/2, 2]], [[0, 0, 0], [506004003397/2, 133711393835/2, -91221307459], [-14546223215, -5208848731, 5509101868], [-53145/2, -31869/2, 11646]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [120, 16, 0], [-62, -10, -8], [0, 0, 0]], [[0, 0, 0], [-4701981/2, 2447909, -2457355/2], [996413, -1992816, 1180925], [-5/2, 0, 3/2]], [[0, 0, 0], [-976011773, 1185341981, -279739966], [406832018, -956440050, 312945164], [-1161, -459, 378]]], 0, 61440, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -64, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [208, -2, 10], [-28, 4, -8], [0, 0, 0]], [[0, 0, 0], [-1303929445/2, -25453136, 141612765/2], [90168271, -1345040, -156655], [3/2, 1, -5/2]], [[0, 0, 0], [-300822126149735/2, -7260083826431/2, 36324281256306], [21047258494961, -167191519389, -4844740033126], [598879/2, 332877/2, -126581]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [156, 2, 2], [-4, -8, 4], [0, 0, 0]], [[0, 0, 0], [-7570192, -2999973/2, 2997859/2], [78784, 2811, -2789], [1, 5/2, 3/2]], [[0, 0, 0], [1180050973688, 134326928777/2, -587523673383/2], [-13492959314, -2586843911, 4207200211], [-90255, -104505/2, 78045/2]]], 0, 61440, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -64, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-46, 0, -10], [12, 4, 8], [0, 0, 0]], [[0, 0, 0], [1067299/2, 15367, -157041/2], [-132559, -11368, 5255], [3/2, 0, 5/2]], [[0, 0, 0], [-107927299577/2, -11436319787/2, 14552779059], [13411079745, 1805768801, -3718591884], [-395199/2, -226719/2, 85050]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-90, -6, 0], [18, 6, 8], [0, 0, 0]], [[0, 0, 0], [-1144503, 7419/2, 228707/2], [218468, 9053, 37351], [-4, -3/2, -5/2]], [[0, 0, 0], [-1494207810617/2, -310312331791/2, 233810883923], [151433117945, 57980660989, -57009767932], [-5615655/2, -3367491/2, 1230594]]], 0, 61440, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -64, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 2, -14], [-8, -8, -8], [0, 0, 0]], [[0, 0, 0], [12456, 429, -2087], [3882, 570, -448], [2, -1, 1]], [[0, 0, 0], [-17352214, -4481647/2, 9419049/2], [-5288306, -771365, 1371385], [-3725, -3925/2, 3025/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [44, 4, 8], [-4, -6, 10], [0, 0, 0]], [[0, 0, 0], [5278023, 414253, -1493102], [-192834, 73922, -29084], [3, 1, -2]], [[0, 0, 0], [-54556764194, -10896977073/2, 28986581347/2], [1935930530, -1035268155, -32373637], [-32535, -37035/2, 27963/2]]], 0, 61440, [], [] >,
< [ -1, -4, 0, 1 ], [[96, -16, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-66, -298, -132], [16, 10, 6], [0, 0, 0]], [[0, 0, 0], [4559245/2, -538769/2, -472683/2], [27748727, 1460471, -6901647], [-1/2, 5/2, 3/2]], [[0, 0, 0], [1718033092, 6317867821/2, -1877425630], [9997049226, 2405621833, -3372535284], [-345, 97/2, 60]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [46, 208, 90], [12, 0, -4], [0, 0, 0]], [[0, 0, 0], [-13601/2, -8497/2, 15297/2], [60801, 3399, -15227], [1/2, 1/2, -1/2]], [[0, 0, 0], [1377303, -229385, -459231/2], [-16573146, -1088208, 4220025], [-89, 18, 25/2]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -64, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [106, -2, 0], [22, 8, 2], [0, 0, 0]], [[0, 0, 0], [134437433/2, -35024963/2, -1364804], [13509283, -99449, -441560], [-5/2, 1/2, -1]], [[0, 0, 0], [882583049186, 312589458434, -335610617300], [162729972778, 46435202558, -53863775128], [-36160, -22496, 16384]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-184, -2, -6], [80, 10, 6], [0, 0, 0]], [[0, 0, 0], [72145067, 2515099/2, -8024987/2], [-31102224, -2963995, 790405], [8, 5/2, 5/2]], [[0, 0, 0], [-5244488882507, -3746057106181/2, 3921347210917/2], [2217831945200, 788270041845, -810557174495], [-605000, -778635/2, 554785/2]]], 0, 61440, [], [] >,
< [ -1, -4, 0, 1 ], [[-112, -64, 48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [142, -6, 8], [14, 2, 0], [0, 0, 0]], [[0, 0, 0], [-26433603/2, 2903083/2, -230343], [-1299169, -85465, 54936], [-1/2, -1/2, 0]], [[0, 0, 0], [505164, -300470, 37442], [51048, -15192, -3312], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [102, 2, 8], [-6, 6, 0], [0, 0, 0]], [[0, 0, 0], [941445/2, -174655, -333165/2], [-37487, -612, 1889], [1/2, -2, 1/2]], [[0, 0, 0], [14831783878, 2462479976, -3507221440], [-1077780640, -97947960, 333124484], [34660, 19200, -14570]]], 0, 61440, [], [] >,
< [ -1, -4, 0, 1 ], [[96, -16, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-50, -222, -96], [2, 8, -2], [0, 0, 0]], [[0, 0, 0], [1229, 141/2, -304], [0, -3, 4], [0, -3/2, 2]], [[0, 0, 0], [64848846, 4149828, -16462760], [50800, -13200, -6500], [25400, -6600, -3250]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, -136, -56], [-24, 2, -10], [0, 0, 0]], [[0, 0, 0], [-444346, -13974, 120191/2], [-10781792, -839222, 2802131], [0, 1, -1/2]], [[0, 0, 0], [50238, 1980, -13122], [1201928, 78232, -305816], [0, 0, 0]]], 0, 7680, [], [] >,
< [ -1, -4, 0, 1 ], [[24, -11, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[109, -3/2, 5/2], [-304, 223/2, 229/2], [109, -3/2, 5/2], [0, 0, 0]], [[-45730469700, 1045456815, -653526055], [513360368943/4, -177366956271/4, -47122489050], [-91460939349/2, 2090913633/2, -653526058], [17/4, 1/4, -1/2]], [[-103298361998510, 117953271657305, -26263602119935], [772331638797391/2, -127826752805765/2, -31779428542844], [-103298361932021, 117953271630332, -26263602124153], [22163/2, -8991/2, -703]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[195/2, 2, 1/2], [-559/2, 104, 199/2], [195/2, 2, 1/2], [0, 0, 0]], [[73306138044, -944098884, -453676488], [-426844898391/2, 285342210085/4, 285670508813/4], [73306138014, -1888197759/2, -907352985/2], [-5, 3/4, -3/4]], [[-719124747826670943, 162913718830253685, 100871435367970206], [9378354816148908403/4, -178375515222698989/4, -879190495230800527/2], [-1438249495074318015/2, 325827437395522011/2, 100871435355851310], [193007957/4, -88328453/4, -2019816]]], 0, 512, [], [] >,
< [ -1, -4, 0, 1 ], [[24, -11, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[73, 5/2, 5/2], [33, -5/2, 7/2], [73, 5/2, 5/2], [0, 0, 0]], [[144680175, -22863040, 6787465], [64480719, -84732273/4, 37316033/4], [144680238, -45726065/2, 13574945/2], [21/2, 5/4, 5/4]], [[-4342598093600, 2311172962800, -51079584400], [-7576156043395/4, 6165630057357/4, -542077741929/2], [-8685199792711/2, 4622347612383/2, -51079517284], [-1201837/4, 562261/4, 11186]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-117/2, -2, 1/2], [-89/2, -1, -5/2], [-117/2, -2, 1/2], [0, 0, 0]], [[-232480, 371968, -511456], [-149053, 1476001/4, -2045773/4], [-232455, 743961/2, -1022907/2], [-5/2, -5/4, -1/4]], [[570877888, 3822843000, -1906324376], [660667659, 3703319527, -1871170294], [570906448, 3822829320, -1906325336], [-2856, 1368, 96]]], 0, 512, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -9, 7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, -1/2, 5/2], [-69, 7/2, 7/2], [-8, -1/2, 5/2], [0, 0, 0]], [[-465648, -36999, -12357], [-10191841/2, -2481926, 5209592], [-465657, -37005, -12363], [-3/2, -1, -1]], [[-1009919932137, -475012649607, 462966059124], [-12493000562185/4, 65591230763857/4, -14654159040995/2], [-2019880498839/2, -950061660363/2, 462980216274], [-13544855/4, -12120383/4, 2359525]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-18, -5/2, -3/2], [25, 5/2, 5/2], [-18, -5/2, -3/2], [0, 0, 0]], [[989465725/2, -59321875/2, -30152875], [-2754301981/4, 255444275/4, 31911721], [494732861, -29660942, -30152872], [-1/4, -3/4, 1/2]], [[33921695/2, 1946915/2, -4206355], [-47629489/2, -2678173/2, 5894021], [33921695/2, 1946915/2, -4206355], [0, 0, 0]]], 1, 64, [], [] >,
< [ -1, -4, 0, 1 ], [[24, -11, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-39/2, -2, 3/2], [381/2, -16, -21/2], [-39/2, -2, 3/2], [0, 0, 0]], [[-817048080, 12894768, 19252512], [7785697586, -9361025215/4, 1519221379/4], [-817048119, 25789533/2, 38505021/2], [-13/2, -1/4, -1/4]], [[35518004868777984, -13607252850014208, -2331395334955008], [-333586511065436523, 983307633715082931/4, -145362475267098863/4], [35518006515988683, -27214507213704693/2, -4662790805289465/2], [549070233/2, -504558759/4, -45126483/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-243/2, 0, -5/2], [-147/2, -137, -267/2], [-243/2, 0, -5/2], [0, 0, 0]], [[-15013941873/2, 296429469, 462205191/2], [-15397094177/4, -10272987893/2, -24685985453/4], [-7506970917, 296429475, 231102594], [13/4, 1, -1/4]], [[-3649194074988, 28056484880886, -12243310555938], [27038682326891/2, 251826357428069/4, -125172273627171/4], [-3649194050508, 56112969738837/2, -24486621113781/2], [4080, -7645/4, -635/4]]], 0, 512, [], [] >,
< [ -1, -4, 0, 1 ], [[24, -11, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[251/2, 0, -3/2], [445/2, 4, 3/2], [251/2, 0, -3/2], [0, 0, 0]], [[47405066785/2, -1628988887/2, -577186419], [83968200471/2, -3409613815/4, -1225610755/4], [47405066911/2, -814494436, -1154372823/2], [21/2, 5/4, 5/4]], [[-916529139920168740, 296184952653708860, 78531944306368344], [-1612320010156992662, 2195111513700278939/4, 513339423242690869/4], [-916529142208990771, 592369907377312963/2, 157063888815858411/2], [-762940677/2, 689965081/4, 67707241/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[261/2, 0, 3/2], [345/2, 1, 5/2], [261/2, 0, 3/2], [0, 0, 0]], [[653427840, -12396592, -12628304], [1727065485/2, -48916897/4, -57986529/4], [653427790, -24793209/2, -25256603/2], [5, 5/4, -1/4]], [[111651922669248, -166363773664400, 50676964900848], [147315110718245, -219932454553032, 66962196151869], [111651912616248, -166363769096450, 50676965334198], [1005300, -456795, -43335]]], 0, 512, [], [] >,
< [ -1, -4, 0, 1 ], [[-10, -9, 7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-31, -2, 1], [6, -5, 3], [-31, -2, 1], [0, 0, 0]], [[474045/2, 27675/2, -8838], [-183845/4, 153283/4, -44857/2], [237009, 13839, -8844], [-9/4, 1/4, -1]], [[-58688223504, -21072790608, 24417195408], [75795428089/4, 83657318013/4, -14508703292], [-117367742883/2, -42137818581/2, 24414168843], [2901375/4, 2587545/4, -1008855/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 5/2, 2], [265/2, 13/2, 7], [11/2, 5/2, 2], [0, 0, 0]], [[131041008, -2987680, -4046432], [13728161181/4, -436397543/2, -1798568517/4], [262082031/2, -2987680, -8092861/2], [5/4, 0, 1/4]], [[-14345883221460, -8465883686400, 7561259206340], [-1442850702594675/4, -667702036305963/4, 325462496818341/2], [-28691768300655/2, -16931769033525/2, 7561259853404], [-619245/4, -553575/4, 107844]]], 1, 64, [], [] >,
< [ -1, -4, 0, 1 ], [[272, -16, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -6, 2], [-158, 4, -6], [0, 0, 0]], [[0, 0, 0], [6402315/2, 69230, -172109/2], [-40093983, -11687376, 339561], [-9/2, 1, -3/2]], [[0, 0, 0], [5205293665779/2, 85420878467/2, -650680887768], [-30404009917197, -457298353323, 8052129326934], [-7791819/2, 435519/2, 917259]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [66, -2, 8], [-44, -6, 10], [0, 0, 0]], [[0, 0, 0], [-2553907/2, -3091432, 2889567/2], [250503, 3092, -20415], [9/2, -1, 5/2]], [[0, 0, 0], [-583927896215, -648364704217/2, 615933635541/2], [308374852968, 11284878583, -77236331825], [5949636, -694331/2, -2816099/2]]], 0, 122880, [], [] >,
< [ -1, -4, 0, 1 ], [[272, -16, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [108, 518, 246], [-16, 2, -10], [0, 0, 0]], [[0, 0, 0], [-32437659/2, -693441, 5806099/2], [-30880521, 16518708, -880797], [5/2, 0, 5/2]], [[0, 0, 0], [2398274896203, 134723159373, -605318415295], [5269313712414, 144710725050, -1246361385894], [-390021, 24215, 91553]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, -132, -58], [-24, -10, -6], [0, 0, 0]], [[0, 0, 0], [108263/2, -4416, -13653/2], [302275, 46772, -89285], [-5/2, -1, 5/2]], [[0, 0, 0], [-1672281711, -143362395, 435557916], [-8610878842, -485569404, 2153958082], [60795, -4935, -14070]]], 0, 122880, [], [] >,
< [ -1, -4, 0, 1 ], [[-80, -16, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -34, -8], [-2, 0, 10], [0, 0, 0]], [[0, 0, 0], [361169/2, -45885/2, -62435/2], [-132515, -44285, 51185], [-5/2, 5/2, -5/2]], [[0, 0, 0], [1543565533, 298393093/2, -827355227/2], [-962862220, -10361383, 219449151], [-28770, -12461/2, 23117/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, -52, -30], [4, 2, -6], [0, 0, 0]], [[0, 0, 0], [-977965, -404533/2, 729971/2], [231804, -114749, 5965], [-2, 5/2, -5/2]], [[0, 0, 0], [-184930975341/2, -4074093583, 21945034947], [27452012857, 3517267264, -7846151070], [-600857/2, -55661, 116254]]], 0, 15360, [], [] >,
< [ -1, -4, 0, 1 ], [[272, -16, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [44, -6, 2], [-64, 6, 2], [0, 0, 0]], [[0, 0, 0], [12759055, 1907718, 660086], [-18222020, -2163902, 451168], [3, -2, 0]], [[0, 0, 0], [82342860104, 30852956555/2, -24368648759/2], [-117117153650, -18048635573, 20490570459], [22111, -2639/2, -10323/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, -6, 10], [14, 8, -6], [0, 0, 0]], [[0, 0, 0], [703827/2, 232397, -39839/2], [90357, 4512, -12207], [3/2, 2, -5/2]], [[0, 0, 0], [-39634281114, -3074128765, 9661539423], [-12005737190, -848912970, 3046317680], [-108692, 7221, 25607]]], 0, 122880, [], [] >,
< [ -1, -4, 0, 1 ], [[272, -16, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-60, -258, -122], [80, 8, 8], [0, 0, 0]], [[0, 0, 0], [-967025/2, 50163/2, 30730], [15665561, -3767985, -1713186], [9/2, -1/2, 1]], [[0, 0, 0], [1030492132459, 14681324803, -251338117537], [-34918365827470, -751884584268, 8163899043868], [-9727295, 543697, 2296053]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48, -190, -90], [-94, -6, -4], [0, 0, 0]], [[0, 0, 0], [41914269/2, -2246669/2, -813143], [340325089, -69506631, -42733712], [-5/2, 3/2, 0]], [[0, 0, 0], [2859585098629/2, 404963731155/2, -243522348363], [23342732868549, 578437121345, -5467162851820], [-370409/2, 22763/2, 43758]]], 0, 122880, [], [] >,
< [ -1, -4, 0, 1 ], [[-80, -16, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [62, 228, 102], [24, 8, -8], [0, 0, 0]], [[0, 0, 0], [358319/2, -124858, -182231], [452301, 156666, -176250], [-1/2, -2, -2]], [[0, 0, 0], [-52480709008, -3121710156, 13039516856], [-105637520406, -5931071316, 26421106554], [33508, 6948, -13356]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 64, 46], [-4, -2, 6], [0, 0, 0]], [[0, 0, 0], [-1284629/2, -92175, 419877/2], [-113335, -49984, 50225], [3/2, 0, -5/2]], [[0, 0, 0], [25815417546, 1968220682, -13494737065/2], [4199122872, 476164370, -1166436443], [-58764, -9213, 43575/2]]], 0, 15360, [], [] >,
< [ 3, -4, -1, 1 ], [[0, -4, 2]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, 1/2], [0, 1/2, 1/2], [1, 0, 0], [0, 0, 0]], [[3/2, -1, 0], [-1/2, 1/3, 0], [0, 1, -1/2], [0, 1/3, -1/6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, 1/2], [0, 1/2, 1/2], [1, 0, 0], [0, 0, 0]], [[9/2, 0, -7/2], [-181/10, 82/5, -91/30], [39/2, -31/2, -1], [13/10, -31/30, -1/15]], [[-7497/2, -245/2, 1715/2], [103151/10, 44053/30, -84259/30], [-10437, -2499/2, 5537/2], [-3479/5, -833/10, 5537/30]]], 3, 4, [], [] >,
< [ 3, -4, -1, 1 ], [[3, -2, 0]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -3/2, -2], [-9/5, -14/5, -5/2], [-5/2, -11/4, -5/4], [-1/10, 1/4, -3/20]], [[-21, -3/2, 5], [-21, -3/2, 5], [-21, -3/2, 5], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, 0, 0], [-22, 5, -4], [6, 0, 0], [0, 0, 0]], [[21573, 2359/2, -3095/2], [-1062161/14, 447207/70, -324873/70], [602107/28, 8237/7, -10839/7], [149/140, 3/70, 1/70]], [[7128778956, -7016387339/2, -911766583/2], [-164439122408/5, 269194803951/10, -25274658813/10], [14202799247/2, -6980958283/2, -911036087/2], [842441/2, -1362656/5, -28096/5]]], 3, 4, [], [] >,
< [ 3, -4, -1, 1 ], [[3, -2, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[15/2, -4, -13/2], [-51/2, 10/3, 11/2], [15/2, -2, -2], [5/2, -2/3, -2/3]], [[-1966, 11431/2, -6437/2], [-12942, 17605/2, -2125/2], [3822, -6321/2, 441], [1274, -2107/2, 147]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 1/2, -1/2], [43/2, 1/2, -5/2], [18, 0, -2], [0, 0, 0]], [[43, -11, 17/2], [130, -398/3, 511/6], [-4759/14, -1080/7, 487/7], [-45/14, -1/7, -1/21]], [[-444919, 869593/2, -76497], [-2157698, 18950203/6, -868184], [11538539/7, 6299210/7, -6422390/7], [176588/7, -302626/21, -10447/21]]], 3, 4, [], [] >,
< [ 3, -4, -1, 1 ], [[-3, 3, -1]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 0], [-1/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, -18, -1/2], [-128/7, -58/7, -11/14], [-16, 1/2, 0], [-16/7, 1/14, 0]], [[-47829/2, 43099, -29487/2], [35509/14, -50555/7, 37455/14], [11290, -22580, 7903], [11290/7, -22580/7, 1129]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 0], [5/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[81/2, 11/2, 5/2], [555/14, -99/14, -13/14], [0, -15/2, -5/2], [0, -3/14, -1/14]], [[-320, 5767/2, -2385/2], [-34728/35, 250329/70, -98367/70], [-697/2, 663/2, -102], [-697/70, 663/70, -102/35]]], 3, 4, [], [] >,
< [ 3, -4, -1, 1 ], [[-3, 3, -1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 0], [3/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[45/2, -17/2, -5/2], [25/2, -1/2, 13/6], [3/2, 1/2, -2], [1/2, 1/6, -2/3]], [[87727, 85937/2, -73065/2], [83863, 56873/2, -66681/2], [9135, -6552, 2079], [3045, -2184, 693]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, 0, 0], [1, 0, 0], [0, 0, 0]], [[41, -7, 1/2], [-129/5, -1217/15, -413/30], [27/2, 27/2, 2], [9/10, 9/10, 2/15]], [[5351985/2, -11095181/2, 3896631/2], [47302117/10, -224704439/30, 79008377/30], [-858363/2, 437646, -300751/2], [-286121/10, 145882/5, -300751/30]]], 3, 4, [], [] >,
< [ 3, -4, -1, 1 ], [[-1, -1, 1]], [ -3, 0, 0 ], [ -2, 3, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 4, 7/2], [2/3, -10/3, 5/6], [-1/2, 11/2, 2], [-1/6, 11/6, 2/3]], [[-11215/2, -153, 1301], [2725/2, 391, -467], [-10455/2, -408, 1326], [-3485/2, -136, 442]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 0], [-1/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[-6, 5/2, 5/2], [-34/9, 175/18, 65/18], [2/3, 13/6, 1/3], [-2/9, -13/18, -1/9]], [[2655/2, -826, 59/2], [23495/18, -43634/9, 30931/18], [-20/3, -3620/3, 1520/3], [20/9, 3620/9, -1520/9]]], 4, 4, [], [] >,
< [ 3, -4, -1, 1 ], [[2, 2, -1]], [ -5, 0, 0 ], [ -18, 32, -11 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -5, 13/2], [73/10, -67/10, 48/5], [11/2, -2, 3/2], [-3/5, 1/10, -1/10]], [[-23277/2, -9829, 16414], [-78283/2, -15043, 31149], [-70997/3, -34951/6, 66115/6], [8827/3, 2639/6, -7007/6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-51/2, 22, 1], [-223/10, 237/10, 9/10], [233/18, -145/18, 13/18], [-19/45, 17/45, -1/90]], [[-39605, -27407/2, 49621/2], [-235469/10, -102759/10, 111746/5], [81958/3, 35575/3, -69137/6], [-9154/15, -920/3, 1196/3]]], 4, 4, [], [] >,
< [ 3, -4, -1, 1 ], [[13, -7, 1]], [ -5, 0, 0 ], [ -18, 32, -11 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33/2, 7/2, 6], [-7/10, 39/5, 28/5], [23/6, 23/6, 5/3], [-16/15, -17/30, -2/15]], [[250, 343, -421/2], [1864/5, -12527/10, 2433/5], [439/6, -4067/6, 871/3], [-86/15, 1849/15, -817/15]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, 35, 1/2], [461/10, 413/5, 17/10], [-310/9, -436/9, -31/18], [64/45, 109/45, 1/90]], [[1226873/2, -545646, 95475], [7808837/5, -9941891/10, 295209/5], [-2815244/3, 1460680/3, 51020/3], [1397299/30, -892811/30, 56423/30]]], 1, 104, [], [] >,
< [ 3, -4, -1, 1 ], [[4, -5, 2]], [ -3, 0, 0 ], [ -2, 3, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 1/2, -3/2], [-1/2, 1/2, -3/2], [-1, -4, -5], [0, 0, 0]], [[-19923, 912, 2464], [-59747/3, 2746/3, 7394/3], [-266511/2, -19245/2, 51219/2], [-11/6, -5/6, -1/6]], [[-99925441, 279470677/2, -43794699], [-299682787/3, 838203943/6, -131347985/3], [-294630658, 222318107, -44810876], [-23384/3, 26011/3, -9028/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-29/2, -13/2, -9/2], [11/2, 3/2, -1/2], [-20, -8, -4], [0, 0, 0]], [[10421/2, -27613/2, 19639/2], [1729/18, 4033/18, -12739/18], [15365/3, -42109/3, 31573/3], [-5/9, 4/9, 2/9]], [[-139472, 72151, -5681/2], [270322/9, -14231/9, -101459/18], [-1019755/6, 442259/6, 8696/3], [625/18, 31/18, -71/9]]], 1, 20, [], [] >,
< [ 3, -4, -1, 1 ], [[0, -8, 4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -11/3, -8/3], [-9/2, 9, 3/2], [1/2, -1/3, -1/2]], [[0, 0, 0], [0, 0, 0], [-44, -2, 10], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-23, -3, 0], [10, 2, 0], [0, 0, 0]], [[0, 0, 0], [-216151/5, 1083332/15, -60192/5], [16853, -27300, 6301/2], [3/5, -1/15, 1/30]], [[0, 0, 0], [412/5, 31/15, -91/5], [35, 3/2, -8], [-6/5, -1/30, 4/15]]], 1, 28, [], [] >,
< [ 3, -4, -1, 1 ], [[-48, 32, 0]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 0, -10], [12, -12, 4], [0, 0, 0]], [[0, 0, 0], [-44191/5, 22067/5, 33133/5], [7503/2, 4601/2, -5097/2], [-3/10, -1/10, -3/10]], [[0, 0, 0], [197492, -5716, -47374], [-331250, -7465, 72890], [40, 5, -10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-62, -16, 8], [-24, -2, 0], [0, 0, 0]], [[0, 0, 0], [24478364/35, 304349/35, -1305168/7], [1832896/7, -38285/14, -499616/7], [128/35, 1/14, 2/35]], [[0, 0, 0], [70039901924/35, 2157360398/35, -17530003716/35], [5494683584/7, -469503138/7, -1124128252/7], [1379992/35, -1814784/35, 586024/35]]], 0, 10752, [], [] >,
< [ 3, -4, -1, 1 ], [[-48, 32, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, 46, 10], [0, 10, -8], [0, 0, 0]], [[0, 0, 0], [-344950, 93528, 114132], [-118785, -3213, 13910], [-5, -1, 0]], [[0, 0, 0], [-187886146, -138772564/3, 57740290], [-97839109, -24481572, 31680880], [-4929, -3610/3, 4814/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-66, 0, 2], [-50, -10, -4], [0, 0, 0]], [[0, 0, 0], [614940, 293294/3, -521242/3], [3965901/7, 561336/7, -1097241/7], [43/7, 16/21, 1/7]], [[0, 0, 0], [-93934464, 132715754/3, -1562526], [-569731254/7, 230204916/7, 4090344/7], [-6290/7, -12580/21, 25160/21]]], 0, 8064, [], [] >,
< [ 3, -4, -1, 1 ], [[48, -48, 16]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -2, 10], [4, -6, 0], [0, 0, 0]], [[0, 0, 0], [-253824/7, -17296/7, 8518], [-2402, -91, 559], [-10/7, -3/7, -3/7]], [[0, 0, 0], [3976270/7, 588828/7, -1083158/7], [27668, 22680, -16238], [-730/7, 1752/7, -584/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [160, 24, -46], [10, -4, 10], [0, 0, 0]], [[0, 0, 0], [56602685994/35, 4524148864/35, -13941531532/35], [114034551, 9926166, -2288663], [3/35, 18/35, 1/35]], [[0, 0, 0], [5058649771506/7, -180232895886/7, -968437155160/7], [12485862356, 78420778030, -35310132122], [532, -4294/7, 1406/7]]], 0, 16128, [], [] >,
< [ 3, -4, -1, 1 ], [[48, -48, 16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 4, -22], [4, 2, 8], [0, 0, 0]], [[0, 0, 0], [-1837280, -1214438, 3616528/3], [-840155, 579835, -321332], [3, -5/3, -4/3]], [[0, 0, 0], [-20699207924, 242114658724/3, -32146105270], [33647738250, -50192038823, 15632317390], [-21762, 56761/3, -16802/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [280, 8, -2], [-4, 2, -2], [0, 0, 0]], [[0, 0, 0], [-47057324, -12088460/3, 26459824/3], [583178, 13392, -38276], [2, 2/3, 0]], [[0, 0, 0], [-16851887688/5, 13348954252/5, -3005397086/5], [112403582, -165146393, 54564604], [1194/5, -1331/5, 468/5]]], 0, 10752, [], [] >,
< [ 3, -4, -1, 1 ], [[16, 16, -16]], [ -3, 0, 0 ], [ -2, 3, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -2, 8], [0, -6, -8], [0, 0, 0]], [[0, 0, 0], [12982/3, 1744/3, -1018/3], [9257, -669, -3248], [11/3, -19/3, -2/3]], [[0, 0, 0], [229107670/3, 5376394/3, -50662774/3], [114401736, 10480436, -27882662], [-28324/3, -62488/3, 37084/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 0, -8], [-8, -4, -6], [0, 0, 0]], [[0, 0, 0], [-53578/9, -3898/9, 21280/9], [-14437/3, -13/3, 5428/3], [1/9, 1/9, -4/9]], [[0, 0, 0], [-11316, -808, 2740], [-8724, -602, 2106], [0, 0, 0]]], 0, 5376, [], [] >,
< [ 3, -4, -1, 1 ], [[-32, -32, 16]], [ -5, 0, 0 ], [ -18, 32, -11 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 0, 10], [-8, 10, -8], [0, 0, 0]], [[0, 0, 0], [-68267/5, 638/5, 33396/5], [10606/3, 6289/3, -10078/3], [2/15, -4/15, -1/3]], [[0, 0, 0], [-6130854, -591840, 1572882], [1910618, 369666, -578544], [-140, -2, 26]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -10, 8], [-12, 10, 6], [0, 0, 0]], [[0, 0, 0], [-229978/5, -18488/5, 56004/5], [108308/9, 8246/9, -26090/9], [4/45, 4/45, 2/45]], [[0, 0, 0], [58/5, -52/5, -39/5], [167/9, -148/9, -119/9], [19/45, -17/45, -13/45]]], 0, 16128, [], [] >,
< [ 3, -4, -1, 1 ], [[-208, 112, -16]], [ -5, 0, 0 ], [ -18, 32, -11 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 6, 6], [6, 2, 0], [0, 0, 0]], [[0, 0, 0], [542/5, -218/5, -21/5], [29/3, -532/3, 241/3], [67/15, -23/15, -1/15]], [[0, 0, 0], [-58693/5, 57742/5, -11226/5], [-49610/3, 123205/3, -47590/3], [-6118/15, 5852/15, -2261/15]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 2, -6], [24, 6, -4], [0, 0, 0]], [[0, 0, 0], [-89856/5, -10621/5, 52608/5], [674090/9, 8270/9, -175559/9], [187/45, 52/45, -1/45]], [[0, 0, 0], [-105907084/5, 203826396/5, -71326118/5], [-44233300/9, 25707356/9, -1954292/9], [-84872/45, 137608/45, -46144/45]]], 0, 419328, [], [] >,
< [ 3, -4, -1, 1 ], [[-64, 80, -32]], [ -3, 0, 0 ], [ -2, 3, -1 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 6, 8], [2, 2, -8], [0, 0, 0]], [[0, 0, 0], [28136, 2512, -6552], [-1762, -706, 421], [2, -4, -1]], [[0, 0, 0], [39375442/3, 3386758/3, -9653248/3], [-805455, -464997, 371184], [1505/3, -6517/3, 2464/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 2, 6], [30, 6, 0], [0, 0, 0]], [[0, 0, 0], [-19004/3, 36574/3, -13246/3], [-5769, 12465, -4713], [-7/3, -1/3, 1/3]], [[0, 0, 0], [-1031884/9, 1917146/9, -660518/9], [-352030/3, 653432/3, -225254/3], [-2/9, 16/9, -10/9]]], 0, 53760, [], [] >,
< [ 3, -4, -1, 1 ], [[0, -128, 64]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -20, 16], [-8, -4, -16], [0, 0, 0]], [[0, 0, 0], [-216126, 55234, -39994/3], [-681301, -14496, 240379], [5, -4/3, 1/3]], [[0, 0, 0], [-42656136, -54811190/3, 54570628/3], [-157273291, -3760030, 31262280], [975, 1292/3, -422]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-36, -8, 8], [8, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1892/5, -956/15, 488/15], [14, 120, -24], [6/5, -4/5, -4/15]], [[0, 0, 0], [-15014, -25052/3, 17978/3], [11038, -12942, 4011], [-14, 76, -109/3]]], 0, 86016, [], [] >,
< [ 3, -4, -1, 1 ], [[0, 5, -3]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, 0, -3/2], [-17, 4, -5/2], [28, -4, 1], [0, 0, 0]], [[205155/2, 14413/2, -22615], [-301273/2, -144273/14, 179371/7], [506377/2, 35041/2, -96481/2], [-23/14, 1/14, -1/14]], [[-143379951/2, -12154468, 23008653], [1335944839/14, 368665604/7, -406672869/7], [-167135096, -64750172, 81073498], [664/7, 19588/7, -1826]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19/2, 1, 5], [83/2, 9, 15], [16, 4, 5], [0, 0, 0]], [[-3066047/2, -57268, 274002], [-465007421/70, -12452098/35, 44726944/35], [-5109949/2, -298517/2, 501954], [-117/70, -37/70, -2/35]], [[-2824439256, -24628423777, 25052210851/2], [-1006508967382/35, -2667312379827/35, 3036065870177/70], [-12966654142, -51580335205/2, 30846362555/2], [-81614/35, -450819/10, 1951139/70]]], 1, 32, [], [] >,
< [ 3, -4, -1, 1 ], [[0, 5, -3]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 1, 3/2], [7/2, 1, 3/2], [-17, -3, 4], [0, 0, 0]], [[30013/2, -124735/2, 1875], [29997/2, -374269/6, 5627/3], [214437/2, -7215/2, -25681/2], [5/2, -1/2, 1/6]], [[-4134912301, 5458837949, -738688367], [-4135771301, 16378542847/3, -738596367], [1403788494, 2095941863, -1536182647], [-1750, 364000/3, -216500/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[37, 3/2, -1/2], [37, 3/2, -1/2], [26, -2, 5], [0, 0, 0]], [[-966146559/2, -18704260, 49032041], [-4830733247/10, -93521416/5, 735480559/15], [-344974453, 14721298, -14228759/2], [3/5, 4/15, 1/30]], [[30636440772429, -92007701721536, 75037289486937/2], [153182201465421/5, -1380115592009072/15, 1125559429469287/30], [59481312612216, -136655088263844, 52276901453417], [242/5, 332002/5, -594583/15]]], 1, 16, [], [] >,
< [ 3, -4, -1, 1 ], [[0, -80, 48]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [90, 10, -8], [60, 6, 0], [0, 0, 0]], [[0, 0, 0], [2680/7, -2600/7, -2272/7], [395, -406, -327], [-7, -2/7, -3/7]], [[0, 0, 0], [-7279214, 26093336/7, 54751110/7], [-9332202, 6835444, 7135204], [189772/7, -2087492/7, 1181762/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [266, 30, -6], [-52, -8, 0], [0, 0, 0]], [[0, 0, 0], [8502682/35, 580976/5, -3411026/35], [-49645, -23140, 19460], [-201/35, 4/35, -2/35]], [[0, 0, 0], [-71244121934/35, 81272020616/35, -21525096428/35], [405457513, -455359482, 118495606], [-16849/5, 1410502/35, -765426/35]]], 0, 129024, [], [] >,
< [ 3, -4, -1, 1 ], [[0, -80, 48]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [70, 8, -2], [-80, 4, -10], [0, 0, 0]], [[0, 0, 0], [61517798, 664554, -2947906], [-73946015, 15411920, -7177825], [1, 0, -1]], [[0, 0, 0], [30508580384, -5709335334, -8798188808/3], [-40008901005, 18556601540, -1362691160], [45, 1204/3, -760/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [362, 8, 6], [10, -4, -4], [0, 0, 0]], [[0, 0, 0], [23945434/5, -11958788/15, -11968586/15], [52434, 3512, -4897], [-22/5, -16/15, 1/5]], [[0, 0, 0], [1506037424/5, -3241811486/5, 1143221208/5], [1973209, -5131742, 2100630], [-357/5, 1428/5, -714/5]]], 0, 64512, [], [] >,
< [ 3, -4, -1, 1 ], [[3, 1, -2]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, 3, 19/2], [-36/5, 99/10, 121/10], [-25/2, 9/4, 17/2], [7/10, 3/20, 1/5]], [[180159/2, 77211/2, -101083/2], [-582537/2, -3573/2, 73949/2], [632259/2, 87771/2, -192823/2], [-45210, -1056, 9174]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-99/2, 1/2, -5/2], [-271/2, 11/2, -9/2], [-99/2, 1/2, -5/2], [0, 0, 0]], [[-420717600, 43594000, 31211600], [-39586817848/35, 4617707579/35, 6131211379/70], [-5890047921/14, 610315987/14, 873924761/28], [117/70, 1/70, 3/140]], [[116675809815000, 75703939342800, -78673958689200], [21070062668246367/70, 7417403098604641/35, -2896700879089153/14], [3266923877301241/28, 1059855352470475/14, -2202871655447341/28], [-92498557/140, -3102635/14, 62473057/140]]], 1, 16, [], [] >,
< [ 3, -4, -1, 1 ], [[3, 1, -2]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 5/2, 2], [3, 5/2, 2], [35, -5, 5], [0, 0, 0]], [[909007, -10881/2, -71215/2], [909037, -32725/6, -71245/2], [6473538, -3319003/2, -373291/2], [-2, 5/6, 5/6]], [[1220245708, 2622309623/2, -1478690313/2], [1220283872, 7866888167/6, -4436165503/6], [4333309014, 26539421659/2, -6641501358], [-2350, -2021/6, 1222]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[29/2, -1/2, 5/2], [29/2, -1/2, 5/2], [144, -1, 0], [0, 0, 0]], [[978162417/2, 14832595/2, -7022191], [978162449/2, 14832651/2, -21066553/3], [33035423079/7, 918074979/7, -3453051258/7], [-3/7, -13/21, -2/21]], [[12178507758269/2, -8893409445517/2, 652994906629/2], [12178508376593/2, -8893409352445/2, 652994533165/2], [47123372300861, -50927510733753/2, -1188302066239/2], [-6393, -4611/2, 8907/2]]], 1, 8, [], [] >,
< [ 3, -4, -1, 1 ], [[-48, -16, 32]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 2, -2], [-72, 70, 72], [0, 0, 0]], [[0, 0, 0], [-219963/5, -2998, -10317/5], [-789881/2, 518020, 852881/2], [-31/10, 2/5, -1/2]], [[0, 0, 0], [-2682763327, -1953350868/5, 3762639812/5], [23692511961/2, 730573587, -3704440176], [-1677321/10, -191187/5, 268056/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-172, -34, -24], [-72, -10, -8], [0, 0, 0]], [[0, 0, 0], [1122006542/35, 144093828/35, 7485351/35], [92340813/7, 8499030/7, -1304111/14], [15/7, -6/35, 3/70]], [[0, 0, 0], [-11124366250966/35, -71005403002/35, 6009384783644/35], [-854199543931/7, -42405027683/7, 464824531683/7], [-526973/35, -183229/35, 364449/35]]], 0, 64512, [], [] >,
< [ 3, -4, -1, 1 ], [[-48, -16, 32]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 28, 10], [16, -30, -16], [0, 0, 0]], [[0, 0, 0], [46832, -194574, -186040/3], [-123099, 203612, 98998], [-3, 2/3, -2/3]], [[0, 0, 0], [36604402, -16922074/3, -5659352], [-22678407, 5089493, 3146741], [611, 893/3, -799/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, -6, -6], [-284, -2, -8], [0, 0, 0]], [[0, 0, 0], [-31519672, 3028120, 25768490/3], [-1293759966/7, 80895207/7, 326845370/7], [20/7, 47/21, 4/21]], [[0, 0, 0], [2049438280, -2376243864, 555653064], [86240667818/7, -100548865650/7, 25073704184/7], [604/7, -2416/7, 604/7]]], 0, 32256, [], [] >,
< [ 3, -4, -1, 1 ], [[-9, 5, -1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[25/2, 0, 0], [111/2, 3, 5], [43, 3, 5], [0, 0, 0]], [[1403841, -99117/2, -183239/2], [6468509, -174137/2, -493399/6], [5064660, -75027/2, 9381], [0, 5/6, 2/3]], [[-24136069671/2, 13331334895/2, -1250868119/2], [-120760747891/2, 219084451349/6, -28434963103/6], [-48312191179, 59696573571/2, -8227395281/2], [-8093, 26407/6, -1725/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[83/2, 5/2, 1], [-161/2, -1/2, 5], [-122, -3, 4], [0, 0, 0]], [[-241713509/2, 6239069/2, -4913431], [462713059/2, -26781955/2, -30586550/3], [2465484241/7, -115570390/7, -73950801/14], [-9/7, 10/21, -5/42]], [[-43365888395219/2, 9569154192879/2, -201096294086], [78750766246935/2, -47213474734765/6, -1784828970161], [854813427272213/14, -177147108462315/14, -22172602507941/14], [-3247225/14, 5438933/42, -1081765/42]]], 1, 40, [], [] >,
< [ 3, -4, -1, 1 ], [[144, -80, 16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-374, -16, -2], [52, -10, 8], [0, 0, 0]], [[0, 0, 0], [-37092975388, -3344105994, 10669287568/3], [4880251083, -138335579, -22105168], [1, 1/3, 2/3]], [[0, 0, 0], [-51867698184280, 6502568299152, 6821928948582], [7442852330322, -2484054003822, -254060467674], [2694, -1382, 244]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-434, 6, 0], [-556, -4, -8], [0, 0, 0]], [[0, 0, 0], [5099544696, -1013236496/3, -244590718], [46080188526/7, -2433145131/7, -1833354732/7], [-38/7, -41/21, -2/21]], [[0, 0, 0], [-113758581898083544, 131382803083949656, -37972376287167596], [-1034656641343702192/7, 1190594951354452674/7, -345034409666109468/7], [604423146/7, -334185312/7, 66234684/7]]], 0, 161280, [], [] >,
< [ 3, -4, -1, 1 ], [[3, -13, 5]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -3/2, -4], [9/2, 7/2, -6], [-6, -5, 2], [0, 0, 0]], [[-75321/2, -7719/2, 8724], [68391/2, 1877/2, -24188/3], [-71865, -9561/2, 33583/2], [-1, -1/6, -5/6]], [[-1854628239, -65089691/2, 789318507/2], [1457321493, 545283657/2, -856101449/2], [-3310928451, -613120817/2, 823173886], [44823, -454059/2, 88842]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 11/2, 1], [-3/2, 11/2, 1], [3, 0, -1], [0, 0, 0]], [[-79/2, -35, 37/2], [-7/2, -16/3, 139/6], [57/2, 5/2, -3/2], [19/2, 5/6, -1/2]], [[-1895262, 5627641/2, -901511], [-1500252, 5582695/2, -909827], [-218295/2, 1147311/2, -449361/2], [-72765/2, 382437/2, -149787/2]]], 0, 36, [], [] >,
< [ 3, -4, -1, 1 ], [[0, 3, -1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -11/2, -4], [6, -11/2, -4], [-15, 25, 6], [0, 0, 0]], [[-89/2, 13/2, -20], [-73/2, 7/2, -73/3], [-7591, -2513/2, 2214], [2, -5/6, -2/3]], [[5664, -602, -930], [5304, -647, -840], [1487637/2, 72116, -373151/2], [-225/2, 0, 45/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -7/2, -3/2], [9/2, -7/2, -3/2], [3, -8, 3], [0, 0, 0]], [[64, -48, -43], [61, -163/3, -44], [-5/2, 5, 0], [3/2, 2/3, -1/3]], [[1493/2, 397, 97/2], [-1083/2, 517, 1763/6], [368, -372, 80], [280, -44/3, -160/3]]], 1, 4, [], [] >,
< [ 3, -4, -1, 1 ], [[6, -2, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[29/2, -18, 1/2], [29/2, -24, 7/6], [15, -47/2, 0], [1, -5/6, 1/3]], [[-93851/2, -8352, 32093/2], [104837/2, -7696/3, -12035/2], [44925, -1891, -4321], [-14112, -4900/3, 10724/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-27/2, 35/2, 5], [-25/2, 81/2, 8], [-12, 19, 7], [0, 0, 0]], [[37119/2, -27854, -14443/2], [-171409/10, -332667/5, -114599/30], [9690, -30645, -8842], [-9/5, 8/15, 1/15]], [[10098395/2, -6454178, -5612347/2], [-135109/2, -15486580, -7907143/2], [7683243/2, -15070463/2, -3447330], [-667/2, 143/2, 18]]], 1, 12, [], [] >,
< [ 3, -4, -1, 1 ], [[0, -3, 2]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -2, 1/2], [-15, -2, 11/2], [-2, -2, 1/2], [0, 0, 0]], [[5497, -1597, -643/2], [112236/5, -3715, -15656/5], [5518, -1596, -1281/4], [-21/5, -1/5, -1/4]], [[21556684, -58899063, 21542891], [29814849, -142561232, 60234882], [21658939, -59137658, 21576976], [-20451, 47719, -6817]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, -15/2, -5], [3/2, -19/2, -8], [15/2, -15/2, -5], [0, 0, 0]], [[-57, 32, -42], [-6176/5, -3571/10, 1738/5], [-56, 131/4, -41], [-1/5, -3/20, -1/5]], [[0, 0, 0], [4/5, 11/10, -7/10], [-1/2, -1/4, 1/4], [1/10, 1/20, -1/20]]], 2, 8, [], [] >,
< [ 3, -4, -1, 1 ], [[6, 7, -4]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -1, 3/2], [-75/2, -7, 15/2], [9/2, -1, 3/2], [0, 0, 0]], [[4138098, -1425509/2, 1079301/2], [-33461871, -4769740, 7225426], [4138113, -2851013/4, 2158597/4], [-3, -1/4, 1/4]], [[-1307436213/2, 15090224138, -6232422043], [-323939158386/5, -6134813962/5, 65484290369/5], [-2614793013/4, 15090242369, -12464866643/2], [-79413/20, -18231/5, 22557/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -1/2, -1], [-159/2, -9/2, 3], [9/2, -1/2, -1], [0, 0, 0]], [[-8991/2, 3335/2, 1437], [4674, 44193, 44435], [-18087/4, 6665/4, 1437], [21/4, 1/4, 0]], [[-61935, -143645, 72208], [5602692/5, 21492532/5, -2494060], [-62736, -144980, 73009], [801/5, 267, -801/5]]], 0, 48, [], [] >,
< [ 3, -4, -1, 1 ], [[0, -3, 2]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 1, 1/2], [21/2, 5, -5/2], [-3/2, 1, 1/2], [0, 0, 0]], [[-189, -554, -13], [16983, -4893/5, -39881/10], [-377/2, -1109/2, -51/4], [-1/10, 1/10, -1/20]], [[-204624, 115536, 43152], [22297887/10, 3529344/5, -6207829/10], [-818651/4, 231453/2, 172205/4], [31/4, -381/10, 403/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 1, -1/2], [21, 0, -7/2], [-3, 1, -1/2], [0, 0, 0]], [[-54720, -17214, -12616], [19854903/35, 3969793/70, -3599794/35], [-766067/14, -482005/28, -176611/14], [-1/70, 1/140, -1/70]], [[1254, 513, -817], [-9783, -1170, 2967], [1254, 513, -817], [0, 0, 0]]], 1, 8, [], [] >,
< [ 3, -4, -1, 1 ], [[0, -3, 2]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[23/2, 1/2, 3/2], [53/2, 7/2, 11/2], [15, 3, 4], [0, 0, 0]], [[-20526775, 1673659, 4111783/2], [-50811656, 10061252/3, 27658337/6], [-60569745/2, 3360169/2, 5107653/2], [1/2, -1/2, -1/6]], [[-1985731249/2, -262874915, 313690817], [-4995473093/2, -662956811, 2351247256/3], [-1504870839, -400081890, 940116397/2], [1, 22/3, -35/6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-16, 0, -3/2], [-16, 5, 5/2], [0, 5, 4], [0, 0, 0]], [[441976, -112737/2, -106209/2], [312604, -351989/6, -83699/2], [-1807875/14, -32015/14, 78740/7], [25/14, 1/42, -1/21]], [[1482965515/2, -6293978887/2, 2742360293/2], [1520130693/2, -14963452285/6, 1897229643/2], [260293575/14, 4561326785/7, -5901775415/14], [10785/14, -250931/21, 324269/42]]], 1, 8, [], [] >,
< [ 3, -4, -1, 1 ], [[3, 2, -2]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 3/2, -5/2], [3/2, 3/2, -5/2], [-3, -1, 4], [0, 0, 0]], [[-26208, -2434, 7359], [-183376/7, -17070/7, 51509/7], [34471, 2647, -9933], [10/7, 1/7, 0]], [[11415486, -371787/2, -2129380], [79897422/7, -2657409/14, -14891260/7], [-29329659/2, 148998, 2682006], [-8955/14, -1530/7, 2070/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[57/2, -5/2, 3/2], [57/2, -5/2, 3/2], [6, -13, -4], [0, 0, 0]], [[9242889, 3319837/2, -4915469/2], [323499381/35, 116190647/70, -24577423/10], [-1777056, -75730, 224397/2], [12/35, 12/35, 3/70]], [[-9865974263/2, -13624407035/2, 8362575787/2], [-345304196981/70, -476851419201/70, 41812425519/10], [3114344768, -2615024594, 458443646], [-15896/35, -10436/35, 10858/35]]], 1, 8, [], [] >,
< [ 3, -4, -1, 1 ], [[3, 2, -2]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -8, -11/2], [19/2, -24, -29/2], [12, -16, -9], [0, 0, 0]], [[4426809/2, 354522, -1070189/2], [6048047/2, 1129484/3, -3556505/6], [810612, 21971, -57655], [-1, 1/3, 0]], [[-1643947032, 71640970, 802560179/2], [-2272156296, 149185730/3, 4051244401/6], [-1256405943/2, -43826365/2, 547850787/2], [819/2, 1835/6, -571/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, 1/2, 1/2], [-55, -19/2, 51/2], [-9, -2, 5], [0, 0, 0]], [[-312532, -50795/2, 235139/2], [-1339723, -681439/6, 159317/6], [-410967/2, -35323/2, -18204], [-3/2, -5/6, 0]], [[-14982914399, 36025032060, -13026178130], [715359430156/5, -1097399964544/5, 1025001544481/15], [31611850008, -51100491232, 16271367076], [140027/5, 273296/15, -275993/15]]], 1, 16, [], [] >,
< [ 3, -4, -1, 1 ], [[0, -48, 16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 4, 10], [-24, 4, -2], [0, 0, 0]], [[0, 0, 0], [-52198, 3432, 24656/3], [-35569, -65216, 37770], [3, 2/3, 4/3]], [[0, 0, 0], [-7504452, -7626412, 4170774], [-42468801, 47186877, -12049122], [-1719, 3247, 764]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, 6, 6], [-24, 6, -4], [0, 0, 0]], [[0, 0, 0], [212256, 29474, -26526], [-134789, -1931, 15905], [-1, -1, 1]], [[0, 0, 0], [7986512, -3995150/3, -1774536], [-4909294, 1377248, 693186], [18, -284/3, 94/3]]], 0, 12096, [], [] >,
< [ 3, -4, -1, 1 ], [[-48, 208, -80]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 2, -16], [24, 0, -10], [0, 0, 0]], [[0, 0, 0], [-178420, 200758/3, 68434], [59757, 23491, -6464], [-13, -5/3, 4/3]], [[0, 0, 0], [4, -28/3, 10/3], [-9, 15, -5], [-3, 5, -5/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 2, -14], [6, 10, -8], [0, 0, 0]], [[0, 0, 0], [6352470, -138480, -7609744/3], [-1669485, 123975, 131561], [-5, 5/3, 1/3]], [[0, 0, 0], [1631449162, 5406171902/3, 7853957206], [-1370022594, -3000556294, 2751421646], [5212, -59344/3, 22556/3]]], 0, 145152, [], [] >,
< [ 3, -4, -1, 1 ], [[12, -4, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -19/3, -4], [123/2, -63, -103/2], [1/2, -1/3, -5/6]], [[0, 0, 0], [5120, -208, -928], [83412, 7212, -20098], [1240, 416, -440]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, -1, 0], [18, -14, 2], [0, 0, 0]], [[0, 0, 0], [319/5, 727/15, 38/5], [177/2, 48, -61], [-9/10, -11/15, -2/15]], [[0, 0, 0], [-156569/5, 59431/5, -1333/5], [-1684776, 6168001/2, -2106985/2], [2237/5, -1571/10, -7/10]]], 1, 84, [], [] >,
< [ 3, -4, -1, 1 ], [[-96, -112, 64]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -8, 0], [-18, -2, -6], [0, 0, 0]], [[0, 0, 0], [-87201/5, -23084/5, 16732/5], [-149301/2, -9740, 12982], [-3/2, 2/5, 2/5]], [[0, 0, 0], [625458/5, -187508/5, -55436/5], [347322, 120053, -133065], [0, 49/5, -21/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -6, 8], [-30, 4, 6], [0, 0, 0]], [[0, 0, 0], [2211/5, -1352/5, -1183/5], [675/2, -260, -461/2], [57/10, 2/5, -3/10]], [[0, 0, 0], [155052963/5, 33113819/5, -107149799/5], [42888249/2, -25536367/2, -22233011/2], [8050311/10, 7880127/10, -4774269/10]]], 0, 193536, [], [] >,
< [ 3, -4, -1, 1 ], [[0, 48, -32]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -4, 2], [6, -4, 10], [0, 0, 0]], [[0, 0, 0], [-7348372/5, -520964/5, 1427948/5], [-1031684, -190636, 67282], [-4/5, -2/5, 2/5]], [[0, 0, 0], [114280621/5, 12240699/5, 17689818/5], [-8718059/2, 34871865/2, 26154394], [-5/2, 471/10, -142/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, 2, 4], [-6, -8, 4], [0, 0, 0]], [[0, 0, 0], [28314/5, 8256/5, -4278/5], [1773, 606, 46], [3, 2/5, 2/5]], [[0, 0, 0], [-31194472/5, 4310433, 6368157/5], [-505973, -4402231/2, 4719773/2], [23137/5, -137461/10, 14971/2]]], 0, 32256, [], [] >,
< [ 3, -4, -1, 1 ], [[0, 48, -32]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 8], [-30, -10, 6], [0, 0, 0]], [[0, 0, 0], [-1539/5, -3881/5, 868/5], [13925/2, 865/2, -1490], [-1/2, -1/10, 2/5]], [[0, 0, 0], [3531504, -14153846, 4660188], [40035660, -1679508, -6885087], [1092, -7308, 4179]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 6, -6], [0, 4, -4], [0, 0, 0]], [[0, 0, 0], [357099/35, 28409/35, -21662/7], [8971/14, 859/14, -1006/7], [221/70, 1/14, 2/35]], [[0, 0, 0], [245288982, -112340806, 30516346], [13886882, -16946, -3686226], [7160, 157000, -109320]]], 0, 21504, [], [] >,
< [ 3, -4, -1, 1 ], [[0, 48, -32]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, -44, -18], [18, -20, -6], [0, 0, 0]], [[0, 0, 0], [-2868, 358/3, 734], [267, 166, -59], [-3, -2/3, 1/3]], [[0, 0, 0], [-6044, -21498, 32374/3], [9615, -12893, 3788], [-11, -77/3, 44/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 8, 0], [12, -2, -2], [0, 0, 0]], [[0, 0, 0], [2, -40/3, -50/3], [1485/7, -270/7, -90/7], [11/7, -2/7, -2/21]], [[0, 0, 0], [7584, -122, -11204], [46035/7, -418500/7, 221805/7], [341/7, -3100/7, 1643/7]]], 0, 32256, [], [] >,
< [ 3, -4, -1, 1 ], [[-48, -32, 32]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 8, -10], [-30, 34, 4], [0, 0, 0]], [[0, 0, 0], [23528300/7, 1006000/7, -5653224/7], [-1939301, -73147, 556005], [-11/7, 5/7, -1/7]], [[0, 0, 0], [226271251988/7, 20426564764/7, -7614931376], [-17586351386, -1714706654, 3385065528], [-65756/7, -51714/7, 45628/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-150, -4, -4], [-12, 14, 0], [0, 0, 0]], [[0, 0, 0], [-779319644/7, -23723674/7, 190324900/7], [-1294903, 4598, -10277], [11/7, 2/7, 1/7]], [[0, 0, 0], [-6024319843146/35, -704019461486/35, 1512068423468/35], [-1605738654, -1621947019, 1233446954], [92958/35, 61483/35, -59594/35]]], 0, 32256, [], [] >,
< [ 3, -4, -1, 1 ], [[-48, -32, 32]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-44, 38, 2], [12, -24, 0], [0, 0, 0]], [[0, 0, 0], [108908, -164888/3, -2638], [3516, 34841, -12320], [2, 1/3, 4/3]], [[0, 0, 0], [5785250636, 21862354916/3, -13172426564/3], [5020989582, -3343485096, 381799864], [343520, 184300, -598880/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-378, -198, -10], [30, -38, -2], [0, 0, 0]], [[0, 0, 0], [13940239872/5, 815844432/5, -10142449708/15], [-9202053, 120617, -1796], [-1/5, 17/15, 4/15]], [[0, 0, 0], [-284161721989330, -19596457844632, 67334849699284], [1222969088340, -292858182660, -146118126270], [-67344, -45314, 45082]]], 0, 43008, [], [] >,
< [ 3, -4, -1, 1 ], [[192, -64, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 12, 0], [-48, 68, -4], [0, 0, 0]], [[0, 0, 0], [322030, 38380/3, -239138/3], [20550, -60468, 9211], [2, 2/3, 1]], [[0, 0, 0], [-1320162796, -85432796, 312529612], [23213472, 111955904, -54587792], [-14848, 1664, 2176]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-116, 16, -8], [-48, 76, 0], [0, 0, 0]], [[0, 0, 0], [401730556/5, 35837856/5, -279951014/15], [-3641028, -994745, -6950], [2/5, 31/15, 2/15]], [[0, 0, 0], [1639869791428/5, 285562493864/15, -1141550571572/15], [-16162453392, -5593847800, 5489770960], [58136/5, -29584/5, 9976/15]]], 0, 344064, [], [] >,
< [ 3, -4, -1, 1 ], [[-6, 2, -1]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, 2, 1], [9/2, 2, 1], [15, 3, 4], [0, 0, 0]], [[422919, -17857/2, -42875], [422907, -17845/2, -42875], [2728779/2, -220200, -61200], [-3/2, 0, 0]], [[-17623923/2, 5400633/2, -534155/2], [-123362789/14, 37799823/14, -3738029/14], [-31762568, 18268708, -4307660], [232/7, -92/7, 40/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, 1/2, -1/2], [-9, 1/2, -1/2], [-75, 0, -1], [0, 0, 0]], [[3061505, 173923/2, 76367], [107126273/35, 6080391/70, 2672471/35], [25750439, 3513599/2, -328904], [181/35, 37/70, 2/35]], [[1548524476531, -707269753159, 491625808489/2], [54185705647852/35, -24750691407578/35, 17203892025533/70], [24676455966041/2, -8637369793479/2, 2606744848093/2], [175080103/70, -8362431/10, 21636131/70]]], 1, 64, [], [] >,
< [ 3, -4, -1, 1 ], [[-6, 2, -1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, 3/2, 0], [9/2, 3/2, 0], [12, -5, 4], [0, 0, 0]], [[-38598, -7563/2, 11217/2], [-38596, -7603/2, 33599/6], [-202401/2, 98803/2, -12215], [3/2, 5/6, 2/3]], [[22485154343, -3723013783/2, -2819254108], [22488071389, -3707144699/2, -2819292432], [175523200389/2, -88803758175, 24804705771], [-2975269/2, 515163, -252791]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-169/2, -2, 5/2], [-169/2, -2, 5/2], [-30, -1, 3], [0, 0, 0]], [[376235897/2, -10754374, 65144509/2], [1881177749/10, -161315734/15, 977167399/30], [136124781/2, -3221161/2, 3990855/2], [23/10, -1/30, 1/10]], [[-22845820509697/2, 11346889253721/2, -3641886113923], [-114229006847789/10, 56734421136741/10, -18209422530409/5], [-7631825730651/2, 2630241499563/2, -1195421015637/2], [-1294473/10, 445817/10, -223271/10]]], 1, 64, [], [] >,
< [ 3, -4, -1, 1 ], [[96, -32, 16]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 2, -4], [-54, -2, -4], [0, 0, 0]], [[0, 0, 0], [-9446/7, 372/7, 3006/7], [-113629, -6888, 27551], [23/7, 0, -1/7]], [[0, 0, 0], [40/7, -80/7, 4], [2, -5, 2], [2/7, -5/7, 2/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, -6, -2], [210, -4, 8], [0, 0, 0]], [[0, 0, 0], [-1337447992/35, -29426202/35, 32950216/35], [317271659, -55351878, -2857145], [-299/35, -34/35, -3/35]], [[0, 0, 0], [-990495329315352/5, 420723902885118/5, -132720948026634/5], [1841049296994516, -1308756360011604, 364134128888768], [-218379744/5, 72992916/5, -33715368/5]]], 0, 258048, [], [] >,
< [ 3, -4, -1, 1 ], [[96, -32, 16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [52, -4, 10], [-102, -6, 0], [0, 0, 0]], [[0, 0, 0], [-149675678, 7425840, 2852570/3], [289729812, 11804124, -31789493], [0, 2/3, -5/3]], [[0, 0, 0], [37187595783938, 1503681162512, -7908285712444], [-72427434356016, -4117574750057, 16265843736403], [105772, -37603, 19189]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 0, 10], [-144, 0, 2], [0, 0, 0]], [[0, 0, 0], [-11211792/5, 30074/15, -161724/5], [-23028651, -4625732, 9213970], [11/5, 8/15, -4/15]], [[0, 0, 0], [-2347330254244/5, 3623423950316/5, -1301294638388/5], [2346590732400, -6183076598602, 2458331716800], [541902/5, -179898/5, 90564/5]]], 0, 258048, [], [] >,
< [ 3, -4, -1, 1 ], [[9, -12, 4]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -2, -1/2], [-9, -2, 3/2], [1, -2, -1/2], [0, 0, 0]], [[645/2, -195, 45], [35079/10, 509/2, -4042/5], [669/2, -777/4, 45], [-12/5, -3/20, 0]], [[3/2, -1, 0], [3/5, -1, 2/5], [3/4, -1/2, 0], [3/20, -1/10, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, -25/2, -12], [12, -21/2, -17], [12, -25/2, -12], [0, 0, 0]], [[381921, 22997, -84729], [2666653/5, 64018/5, -110137], [763829/2, 22997, -84730], [13/10, 0, 1/5]], [[68571747, -5782861, -11218998], [537125698/5, -329888169/10, -6791982], [137137301/2, -23117369/4, -11220124], [6193/10, -2815/4, 1126/5]]], 1, 48, [], [] >,
< [ 3, -4, -1, 1 ], [[15, -17, 3]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, -3/2, 1/2], [-69/2, -19/2, -5/2], [-9/2, -3/2, 1/2], [0, 0, 0]], [[4029, -1401/2, -169/2], [-709593/10, 1837319/10, -635163/10], [16083/4, -1403/2, -167/2], [33/20, 1/5, -1/5]], [[-17046864, 26296015, -15567317/2], [8865412581/5, -16685414839/5, 1159092498], [-17031717, 26281055, -31126967/4], [-15147/5, 2992, -7667/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-45/2, -5/2, 5/2], [93/2, 7/2, -7/2], [-45/2, -5/2, 5/2], [0, 0, 0]], [[1066407/2, -61567/2, 54961/2], [-2331279/2, 1169711/5, -1552753/10], [1066419/2, -123133/4, 27481], [-6/5, -1/20, -1/10]], [[1459694169489/2, -1746043969427/2, 370931883619/2], [-4014617097921/2, 5437782751943/2, -1358665359251/2], [1459710943989/2, -1746062955427/2, 370935231869/2], [-1677450, 1898600, -334825]]], 0, 288, [], [] >,
< [ 3, -4, -1, 1 ], [[9, -12, 4]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[87/2, -3/2, 5/2], [87/2, -9/2, -5/2], [87/2, -3/2, 5/2], [0, 0, 0]], [[543450285/2, 718245, -96048945/2], [1226881299/5, -2092719/10, -471600107/10], [1086900567/4, 2872981/4, -96048943/2], [3/20, -1/20, -1/5]], [[8017000739325/2, 464551398225, -2083503052125/2], [35898957498399/10, 1966174462578/5, -9219724929013/10], [4008500366215, 929102805567/2, -2083503055133/2], [1379/2, -9117/10, 1504/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-63/2, 1/2, -1/2], [15/2, 11/2, 5/2], [-63/2, 1/2, -1/2], [0, 0, 0]], [[1066081617, -28233530, -33123847], [-20479814517/70, -9964998767/70, -605299271/14], [29850282325/28, -790538775/28, -927467755/28], [227/140, -1/28, 3/140]], [[-23586527672057811/2, 15125957929377979, -9794480606132501/2], [89896647396247791/35, -161186978855435569/70, 33507182691251522/35], [-330211351011385577/28, 423526773343239751/28, -137122712251130157/28], [-2799801829/140, 3744564897/140, -1248824989/140]]], 1, 32, [], [] >,
< [ 3, -4, -1, 1 ], [[9, -12, 4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[35/2, -1/2, 2], [35/2, -1/2, 2], [-27, 22, 19], [0, 0, 0]], [[349379/2, 880999/2, -475235/2], [349379/2, 881017/2, -1425655/6], [-33795, -1065/2, 4659/2], [-1, 5/6, -5/6]], [[-150385367402, 1730725484657/2, -725291239929/2], [-150374662324, 1730715701615/2, -2175862288235/6], [-33673734009, 21535732435/2, 1320544441], [-2248257, 17752723/6, -2944373/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[20, -1/2, 2], [20, -1/2, 2], [144, -1, 0], [0, 0, 0]], [[-1329145757/2, -9797113/2, -1146181/2], [-1329145605/2, -29391175/6, -1146169/2], [-66333892581/14, -1203801355/14, 2260926550/7], [-27/14, -19/42, -2/21]], [[-726173988691630, 2163273577269655/2, -356997382653280], [-726173929657582, 2163273433557911/2, -356997358466784], [-28082099418590088/7, 38976011845941606/7, -12448331475968952/7], [-11918496/7, 15883344/7, -5291792/7]]], 1, 32, [], [] >,
< [ 3, -4, -1, 1 ], [[-144, 192, -64]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -6, -8], [216, 2, 6], [0, 0, 0]], [[0, 0, 0], [13957951/5, -464939/5, 91174], [132473887/2, -71978873/2, -2939310], [41/10, 1/2, 2/5]], [[0, 0, 0], [1096282800868/5, -286136468544, 452773688372/5], [6989377190648, -11130459826174, 3564857938268], [1593652/5, -1962668/5, 126192]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 2, 0], [120, 8, 8], [0, 0, 0]], [[0, 0, 0], [1802816/5, 35681/5, -4283], [2447578, -233499/2, 251265/2], [-2/5, -1/2, -1/10]], [[0, 0, 0], [55535817/5, -113984356/5, 40091557/5], [216165903/2, -215122585, 150140947/2], [93/10, -63/5, 41/10]]], 0, 193536, [], [] >,
< [ 3, -4, -1, 1 ], [[-240, 272, -48]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-288, -16, -8], [-156, -6, 0], [0, 0, 0]], [[0, 0, 0], [4301003211, -874857586/5, -374356096/5], [4608795549/2, -106483731, -84472498], [-33/10, -1/5, -2/5]], [[0, 0, 0], [6275055942507690, -6854511983501136, 1400292901523365], [3201317617011834, -3437647331747380, 1410542896911417/2], [-6291450, 7137900, -2551725/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-66, 2, -10], [-168, -6, -8], [0, 0, 0]], [[0, 0, 0], [229367436/5, 16387001/5, -4864605], [117151083, 19666157/2, -32953139/2], [-27/5, -1/2, -1/10]], [[0, 0, 0], [-80196420480, 115978000133, -31128086839], [-152670323277, 405932754669/2, -101339540967/2], [16425, -51465/2, 14235/2]]], 0, 1161216, [], [] >,
< [ 3, -4, -1, 1 ], [[-144, 192, -64]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 4, 8], [138, -6, 6], [0, 0, 0]], [[0, 0, 0], [-5943/5, -132/5, -474/5], [66575/2, 8217, -12083], [-7/2, -1/5, -1/5]], [[0, 0, 0], [-72248931/5, 86724882/5, -27180797/5], [-72471097/2, 333571848, -292877867/2], [-393263/10, 223392/5, -137293/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-474, -2, -22], [-84, 0, -6], [0, 0, 0]], [[0, 0, 0], [1458310017/35, -616778/7, -50689867/35], [103813043/14, -362141/7, -1851845/14], [229/70, -3/35, 1/14]], [[0, 0, 0], [-3271655462887584/7, 4030005561245158/7, -1294715100949504/7], [-614006189753105/7, 776355190964270/7, -252867812046565/7], [-306528305/7, 409614166/7, -136672801/7]]], 0, 129024, [], [] >,
< [ 3, -4, -1, 1 ], [[-144, 192, -64]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -6, 6], [-12, 0, 12], [0, 0, 0]], [[0, 0, 0], [-9174, -2602/3, 7540/3], [-16827, -857, 4585], [1, 1, -5/3]], [[0, 0, 0], [650327892, -73253146/3, -363896248/3], [1119802467, 16533512, -232307404], [-206271, 818032/3, -90988]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -4, 10], [-1374, -8, -4], [0, 0, 0]], [[0, 0, 0], [57335072, -748456/3, -270560], [338775208872/7, 23620250926/7, -84009592700/7], [-20/7, -40/21, -4/21]], [[0, 0, 0], [-32403120924142, 181899121154078/3, -62558801525716/3], [9252221599029909/7, -14392344784263479/7, 4626110817913497/7], [-472985/7, 1897465/21, -211045/7]]], 0, 129024, [], [] >,
< [ 3, -4, -1, 1 ], [[-3, 13, -4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[107/2, -3/2, 0], [5/2, -5/2, 0], [-51, -1, 0], [0, 0, 0]], [[-147987385/2, 1598989, -1888746], [-7450309/2, 3784577, 96878/3], [140537097/2, 2185589, 3842079/2], [-1/2, -1/3, -1/6]], [[-11993309275/2, 17903511537, -6486826758], [-2245091191/2, 6625388767/3, -2391123046/3], [4874109834, -15695051130, 11379573271/2], [-22, 110, -209/6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 2, -3/2], [-1793/2, -2, -11/2], [-900, -4, -4], [0, 0, 0]], [[-6772805, 61939/2, 26597], [-692331524, 4492473333/2, 3223842746/3], [-9597875565/14, 15723435542/7, 7522112893/7], [-55/14, -13/21, -2/21]], [[1859770416643597/2, -6192233576276929/2, 2090406808063279/2], [306734358206468263/2, -1248321391371038075/6, 1847047925849394775/6], [2134126739275867197/14, -1434712293910264931/7, 4295151876049233123/14], [4832784639/14, -31499059091/21, 6462696601/14]]], 1, 160, [], [] >,
< [ 3, -4, -1, 1 ], [[48, -208, 64]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-108, -8, -10], [-132, -2, 0], [0, 0, 0]], [[0, 0, 0], [4476376, -56121238/3, 24371240/3], [3888000, -18701282, 8125917], [0, -2/3, -1]], [[0, 0, 0], [5553789405188, -27505841031478/3, 9020285826404/3], [5580558276309, -9083000058992, 2965401067758], [-84537, 1062928/3, -108934]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-392, 10, -8], [-312, 0, 2], [0, 0, 0]], [[0, 0, 0], [-412894462, -20743066, 80589634/3], [-2311566186/7, -145014559/7, 192091705/7], [18/7, 1/21, 5/21]], [[0, 0, 0], [-672949810791242, -10833235984737538, 3968463703974776], [-8048813745304509/7, -53169306778178499/7, 20162107780507103/7], [-207838583/7, 901736287/7, -277634939/7]]], 0, 645120, [], [] >,
< [ 3, -4, -1, 1 ], [[15, -8, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-35/2, 19/2, 7/2], [-27/2, 25/2, 7/2], [12, 5, -3], [0, 0, 0]], [[1120639/2, 37266, -133122], [352055/2, 32708/3, -41756], [-878850, -60231, 209075], [-8, -1/3, -1/3]], [[-31945866469/2, -1030622506, 7542106571/2], [-10046480085/2, -279881883, 2327545653/2], [25032031164, 3452930541/2, -5964078431], [390288, -424369/2, 1211]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, 3/2, -2], [6, 3/2, -2], [75, 2, 4], [0, 0, 0]], [[-619563/2, 10869/2, 20809/2], [-619575/2, 10873/2, 62455/6], [-18103635, 22208067/2, 24681771/2], [1, -5/6, -1/6]], [[-39848687760, 1680078390, 7165054116], [-39848929376, 5039904242/3, 7165180836], [-529326934515, -47294144466, 214641378318], [59716, -93664/3, -688/3]]], 0, 108, [], [] >,
< [ 3, -4, -1, 1 ], [[0, 3, -1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -3/2, -1], [1/2, -3/2, -1], [-9, 9, 1], [0, 0, 0]], [[1966, -109, -710], [1988, -241/3, -2120/3], [-2514, 20221/2, -6785/2], [-6, -1/2, -1/6]], [[-12283465/2, -1258815, 3996475/2], [-12588345/2, -3982445/3, 4103595/2], [29846142, -79416578, 29644300], [33578, -31106/3, -4532/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 2, -1/2], [0, 2, -1/2], [9, -16, -2], [0, 0, 0]], [[-37/2, 1/2, 3/2], [-15/2, -13/2, -17/6], [-129/2, 88, 80], [-3/2, 2/3, 1/3]], [[9131, -191/2, -3745/2], [7073, 701/6, -9667/6], [-45303/2, 5635/2, 9567/2], [931/2, -245/6, -147/2]]], 1, 8, [], [] >,
< [ 3, -4, -1, 1 ], [[0, 3, -1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, -12, -1], [15/2, -12, -1], [6, 3, 1], [0, 0, 0]], [[753969/2, -66606, -18545], [753973/2, -199858/3, -18547], [-3732951/2, -333877/2, 440610], [3/2, -5/6, 2/3]], [[1126141089, 1640509219, -1782163467/2], [1126077661, 1640549411, -1782219987/2], [-10978258719, -598405697, 2478450618], [-3925, 20253, -6594]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, -21/2, -1/2], [15/2, -21/2, -1/2], [-3, 3, 3], [0, 0, 0]], [[2143/2, -2857/2, 612], [2143/2, -8573/6, 1835/3], [-783, -777/2, 154], [0, -1/6, 0]], [[-612, 51, 102], [-612, 51, 102], [1518, 113, -364], [0, 0, 0]]], 1, 4, [], [] >,
< [ 3, -4, -1, 1 ], [[-9, 9, -2]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, 2, 1/2], [9/2, 4, -7/2], [15/2, 2, 1/2], [0, 0, 0]], [[266913, 34079/2, -102177/2], [148857, 455743/10, -545227/10], [266967, 34061/2, -51084], [-6/5, 1/5, -1/10]], [[3782595850, -1104356015/2, -1134212265/2], [854876370, 2307747832, -1217389219], [7568066975/2, -2214169495/4, -2267271495/4], [-63895/2, 121277/4, -25623/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, -1, -5/2], [-9, 0, -21/2], [-15, -1, -5/2], [0, 0, 0]], [[6885345, -1212805, 1788503/2], [205317219/35, -23460636/7, 137081891/35], [96394425/14, -16979225/14, 25038967/28], [-27/70, 3/70, -1/28]], [[-5401075381922, 5819082871460, -1397020273302], [-307352848206357/35, 440326138733552/35, -127236943677251/35], [-75614760896683/14, 81466867794295/14, -19558219294923/14], [3926003/14, -19493743/70, 4302087/70]]], 1, 24, [], [] >,
< [ 3, -4, -1, 1 ], [[-9, 9, -2]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, 3/2, 0], [15/2, -7/2, 1], [9/2, 3/2, 0], [0, 0, 0]], [[219, 31/2, -52], [2289/10, 142/5, -49], [835/4, 57/4, -53], [41/20, 1/4, 1/5]], [[260118, 19836, -63018], [574221/2, 26851, -77658], [901697/4, 53386, -69118], [27755/4, -6710, 1220]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[39/2, 1, -5/2], [357/2, 3, -9/2], [39/2, 1, -5/2], [0, 0, 0]], [[173779967/2, 469303/2, -1745433], [11063542563/14, -5367613353/70, 10427641687/70], [608228608/7, 3286639/14, -48871917/28], [37/70, -11/35, -3/140]], [[-76630766117907, 58269541640589/2, -1016339670276], [-6102074126369139/7, 40740797289883813/70, -5104558701032836/35], [-536414204305965/7, 407884475712195/14, -7114120143360/7], [-16790136/35, 16780956/35, -3732588/35]]], 1, 16, [], [] >,
< [ 3, -4, -1, 1 ], [[-6, 5, 0]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, 2, 1/2], [0, 0, 7/2], [-15, 2, -3], [0, 0, 0]], [[493613/2, -111319, -12572], [-1338719/14, 744202/7, -3434], [684911/2, -435295/2, -9130], [11/14, -3/14, 2/7]], [[162255573/2, -47225483, 9675950], [-38085435/2, 31716341, -20789594], [100186743, -78955168, 30465349], [591, -420, -75]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[30, 1/2, -1/2], [42, -7/2, -21/2], [6, -2, -5], [0, 0, 0]], [[16444025, 1795595, -4439169], [651169796/35, 60838961/35, -157936293/35], [2161021/2, -28657, -36649], [179/70, 1/5, -1/35]], [[292320686257, 394181897329/2, -282273061563/2], [14498927261191/35, 865488181381/10, -9114007080481/70], [60972871438, -55275408572, 5467996596], [5237312/35, -4280928/35, 23104/35]]], 1, 24, [], [] >,
< [ 3, -4, -1, 1 ], [[-6, 5, 0]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 3, 1/2], [27/2, 1, 5/2], [-12, 2, -2], [0, 0, 0]], [[756108, 337491, -230169/2], [26975643/7, 298537/7, -4223729/14], [-3097569, 294841, 373227/2], [6/7, 1/7, -3/14]], [[295024637/2, -136883047, -40145558], [41048443/14, 3064414847/7, -2727879936/7], [144579457, -574656170, 699103557/2], [451/7, -374/7, 9/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-111/2, 1, 5/2], [-99/2, -5, 9/2], [3, -3, 1], [0, 0, 0]], [[25460923/2, 4049241, -954159], [24023149/2, 27993023/7, -6961294/7], [-717607/2, -25021, -40279/2], [-37/14, -3/7, -1/14]], [[-169406871349281, 108191019524253/2, 48232129317205], [-769367410295847/5, 389562632868381/10, 248151787356061/5], [7754223132321, -7559123475549, 698992014932], [257657211/5, -214782939/5, 753102/5]]], 1, 24, [], [] >,
< [ 3, -4, -1, 1 ], [[0, -48, 16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -6, -10], [12, -14, -2], [0, 0, 0]], [[0, 0, 0], [-3482, -566/3, 2180], [-6549, 3160, 678], [-7, -2/3, -2/3]], [[0, 0, 0], [105740768, 34512590/3, -27614594], [175188966, 1598105, -37247774], [339010, 47705/3, -229390/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 2, -2], [-30, 6, -10], [0, 0, 0]], [[0, 0, 0], [26496, 2128, -13262/3], [-130569, 130558, -52228], [-3, -2/3, -4/3]], [[0, 0, 0], [-24009486, -14321174, 10326992], [-479985684, 1028382564, -357146421], [-2652, 13260, -4199]]], 0, 16128, [], [] >,
< [ 3, -4, -1, 1 ], [[0, -48, 16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, 4, 10], [-12, 6, -8], [0, 0, 0]], [[0, 0, 0], [-3703068, -2041858/3, 2751346/3], [1049484, 379497, -321536], [-2, -1, 4/3]], [[0, 0, 0], [-122685360, 40386746/3, 25621456], [43593963, -13532122, -5601499], [-79, 158/3, -79/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 2, 10], [6, 0, 8], [0, 0, 0]], [[0, 0, 0], [1421458, 306664/3, -239282], [2249094, 135241, -441002], [-2, 1/3, -2/3]], [[0, 0, 0], [4854443838, 4270499470/3, -4594745516/3], [7828516302, 1681624904, -2282564664], [74, -45436/3, 5772]]], 0, 16128, [], [] >,
< [ 3, -4, -1, 1 ], [[-240, 128, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-108, -36, 44], [-114, -10, -10], [0, 0, 0]], [[0, 0, 0], [-95416772, -76407424/3, 101760514/3], [-109671468, -3292897, 5438504], [-6, 1, 4/3]], [[0, 0, 0], [-5537896261756, -37405156090496/3, 20866612720142/3], [-19100947515246, 10881364667496, -2001659793670], [-843132, 452982, -6970/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 2, -10], [-6, -22, 42], [0, 0, 0]], [[0, 0, 0], [58690, 11726/3, -13814], [450, 459, -485], [10, 5/3, 5/3]], [[0, 0, 0], [-87617630, -15192586/3, 61350190/3], [629100, -2760276, 1085888], [-28728, 15232, -56/3]]], 0, 435456, [], [] >,
< [ 3, -4, -1, 1 ], [[144, -144, 32]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 4, -8], [-24, -4, 8], [0, 0, 0]], [[0, 0, 0], [-60036/5, 6886/5, 34622/5], [-25122, -1686, 5098], [0, -2/5, -2/5]], [[0, 0, 0], [-3830115, 19167899, -7668338], [46717007/2, -8595765/2, -2921078], [2201/2, -2415/2, 292]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-174, 22, 10], [-6, 8, 4], [0, 0, 0]], [[0, 0, 0], [-1386661548/35, -216005038/35, 75525579/7], [3121883/7, -25509/7, -72453/14], [-131/35, -3/7, -3/70]], [[0, 0, 0], [157393503709611/5, 318893297420874/5, -178015512857032/5], [-3917360845305/2, 2203305276441, -563273075949], [31250241/2, -78407703/5, 17506467/5]]], 0, 64512, [], [] >,
< [ 3, -4, -1, 1 ], [[144, -144, 32]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -6, 4], [-72, 0, 10], [0, 0, 0]], [[0, 0, 0], [-4481913/5, -115845, -2888377/5], [10582701/2, 1103341/2, -1092245/2], [39/10, -1/10, 1/2]], [[0, 0, 0], [15516923915592/5, -17308351409888/5, 805199071834], [-6391011285044, 2538795997410, 292044046819], [-38650906/5, 7199178, -7392469/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [204, 12, 24], [-12, 4, 6], [0, 0, 0]], [[0, 0, 0], [908701578/35, 1014027612/35, -735756741/35], [-6877225/7, -13546/7, 277855/14], [-1/7, 6/35, -3/70]], [[0, 0, 0], [-147948, -95102, 79704], [5052, 14, -616], [0, 0, 0]]], 0, 64512, [], [] >,
< [ 3, -4, -1, 1 ], [[96, -80, 0]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-36, 4, 0], [6, -4, 4], [0, 0, 0]], [[0, 0, 0], [-16095080/7, -1321896/7, 3150624/7], [325925, 38540, -17218], [-25/7, 0, 2/7]], [[0, 0, 0], [-57773338468, 15235921474, 11188481760], [15321860314, -11117827099, -1861596058], [-153890, 126335, -550]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [216, 6, -20], [24, -2, 4], [0, 0, 0]], [[0, 0, 0], [-10850620532/35, -631272402/35, 1680798106/35], [-34661786, -638157, 317019], [-184/35, -19/35, -3/35]], [[0, 0, 0], [4026296550453010/7, -2018418989671360/7, -264904956644340/7], [106494364695095, -97062967893198, 7422677626926], [118063445/7, -100625430/7, 895490/7]]], 0, 96768, [], [] >,
< [ 3, -4, -1, 1 ], [[96, -80, 0]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-84, 0, -12], [-12, 6, -4], [0, 0, 0]], [[0, 0, 0], [9984146/7, 1651806/7, -927170/7], [162250, 5431, -1544], [-2/7, -5/7, 4/7]], [[0, 0, 0], [1376498428/7, 442726100/7, -285048972/7], [18664673, 11125420, -5251025], [-169, 988/7, -65/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [366, 24, 48], [24, -6, -8], [0, 0, 0]], [[0, 0, 0], [-4770213842/35, 2547439248/35, 45960088/5], [-3086654, 21187, 25030], [86/35, -19/35, 2/35]], [[0, 0, 0], [-586346891712164/35, 639960321604446/35, -312017812431358/35], [-683062190852, 427424419240, 120913680296], [18235412/35, -2097784/5, -306176/35]]], 0, 96768, [], [] >,
< [ 3, -4, -1, 1 ], [[9, -27, 11]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-87/2, -1/2, 3], [9/2, -3/2, 2], [-48, 1, 1], [0, 0, 0]], [[-22408644, 3130741/2, -3906192], [15849690/7, -29606895/14, 23249938/7], [-24672882, 3680140, -7227604], [0, -1/7, 2/7]], [[-683485205096, -587427490427/2, 281072140707], [182842398422/7, 1642867715723/14, -426852125681/7], [-1419211329385/2, -411061142326, 342050901503], [-37447/14, 56396/7, -3283]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-45, 2, -1/2], [-177, 0, -1/2], [-66, -1, 0], [0, 0, 0]], [[113072179, 13758651, -2443637/2], [15654905674/35, 2466093099/35, -421311869/70], [334210907/2, 28350586, -4796925/2], [61/70, 8/35, -3/70]], [[-139774872395483/2, 153248390555826, -56544801376641], [-16794586029415013/70, 18922799840167256/35, -7059361681495873/35], [-85017615965515, 193701534256847, -72575630682871], [-6023393/35, 18008737/35, -7331531/35]]], 1, 192, [], [] >,
< [ 3, -4, -1, 1 ], [[9, -27, 11]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[42, 1, -5/2], [-30, 4, -1/2], [72, -3, -2], [0, 0, 0]], [[2222993, 2731122, -862271/2], [-6712823/7, -18579354/7, 6589663/14], [3181991, 5385324, -1803649/2], [-13/7, 0, -1/14]], [[173530789348, -475493325613/2, 65883621911], [-192864929224, 603448279715/2, -92661437853], [366395765848, -539470248072, 158544748124], [36676, -107696, 43672]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[114, 7/2, -3/2], [138, 23/2, -3/2], [12, 4, 0], [0, 0, 0]], [[18735888, -17875535/2, 4501619/2], [777386658/35, -629151689/70, 161270687/70], [1737642, -25099, 53065/2], [-9/35, 6/35, -1/70]], [[6363348954859/2, -9765190309343, 6467046724003/2], [32235926772719/10, -377006684717641/35, 243798426671341/70], [20969944612, -503246698528, 124668660371], [-1522357/35, 4564408/35, -1858964/35]]], 1, 192, [], [] >,
< [ 3, -4, -1, 1 ], [[-144, 432, -176]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [78, 20, 6], [18, 10, 6], [0, 0, 0]], [[0, 0, 0], [4779242/7, -122190, -146590/7], [195733, -35690, 5297], [37/7, 4/7, 5/7]], [[0, 0, 0], [-13898910488504/7, 35932336226860/7, -13659308297050/7], [-697093961272, 1726689910682, -653639664247], [-13721716, 287600042/7, -117063727/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1044, -50, -46], [234, 10, 10], [0, 0, 0]], [[0, 0, 0], [-3619922486966/35, -13308632196/35, 92789559218/35], [23155699600, -2266947, -606124153], [-16/5, 3/35, 1/35]], [[0, 0, 0], [1047815493002876708/5, -3473421499703934992/5, 1446698943516293826/5], [-47560251606847456, 156479400053479798, -65031790480963409], [40430896/5, -121785994/5, 49656167/5]]], 0, 774144, [], [] >,
< [ 3, -4, -1, 1 ], [[-144, 432, -176]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 2, -12], [-84, -6, -2], [0, 0, 0]], [[0, 0, 0], [-34670672, -180798980/7, 286787294/7], [225877232, -40631715, 37919577], [20/7, -3/7, 3/7]], [[0, 0, 0], [-1225513928350420/7, 2039052708732300/7, -710823431538258/7], [-277124727240596, 794447452342696, -319834962743458], [-22016768/7, 65939872/7, -26817568/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 18, -20], [-114, -4, 2], [0, 0, 0]], [[0, 0, 0], [-1878592396/5, -17462636892/35, 16950145466/35], [2748761669, -7907331, -45352232], [-59/35, -9/35, 2/35]], [[0, 0, 0], [-9937994981772/7, 17817979912982/7, -6118754008940/7], [-1199657396400, 2821843648512, -1064436224414], [2484/7, -7452/7, 3036/7]]], 0, 774144, [], [] >,
< [ 3, -4, -1, 1 ], [[-3, -8, 5]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-153/2, 3/2, -2], [-183/2, -7/2, -6], [-153/2, 3/2, -2], [0, 0, 0]], [[410698464, -73488045/2, -76202283/2], [2552322567/5, -35202604, -214755812/5], [410698356, -146976117/4, -152404611/4], [12/5, 3/20, 1/4]], [[-2188731829814, -11425611085171/2, 3220105226416], [-2942709142770, -6997514022259, 4052861056304], [-2188731176999, -22851213683747/4, 3220103920786], [-14507, -188591/4, 29014]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[129, 2, 1/2], [390, 8, -1/2], [129, 2, 1/2], [0, 0, 0]], [[-450825823/2, 18033022, 180330297/2], [-23822408193/35, 1895786576/35, 9467874539/35], [-6311562617/28, 126231094/7, 2524624113/28], [-73/140, -4/35, -3/140]], [[-71905511244, 35729426584, -7741368877], [-1078390290444/5, 104279501157, -109013383366/5], [-143811036033/2, 35729408524, -15482715179/2], [-903/10, -1204/5, 301/2]]], 1, 96, [], [] >,
< [ 3, -4, -1, 1 ], [[-3, -8, 5]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[72, -3/2, -1], [63, -7/2, -4], [72, -3/2, -1], [0, 0, 0]], [[-1675864125/2, 54556125/2, 92717625], [-3554026011/5, 62937663/2, 943107737/10], [-3351728201/4, 54556127/2, 370870505/4], [-49/20, -1/5, -1/4]], [[-199507720771125/2, -150166845284625, 188728644229125/2], [-856610208323649/10, -1178683203221957/10, 371933263328466/5], [-99753859094437, -600667366051191/4, 377457279177897/4], [-2582251/10, -15087309/20, 9280353/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[141/2, -5/2, 2], [177/2, -19/2, 5], [141/2, -5/2, 2], [0, 0, 0]], [[48747214718, -688005079, -628484899/2], [4260070830087/70, -326360792549/70, 40431025482/35], [1364921997545/28, -19264143385/28, -8798788655/28], [211/140, 17/140, 1/140]], [[-238038012428501405/2, -687058744723280493, 757753774691530269/2], [-2142068565466013769/70, -36446519713101137653/35, 37190106294470354403/70], [-1666266054542693675/14, -4809411169681256955/7, 2652138184341597570/7], [-47038864/7, -628720384/35, 784891547/70]]], 1, 96, [], [] >,
< [ 3, -4, -1, 1 ], [[48, 128, -80]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 2, 10], [-432, 0, -8], [0, 0, 0]], [[0, 0, 0], [-29234148/5, -154014/5, 303109/5], [-134893949, -71860399, 159262295/2], [-7/5, 1/5, 1/10]], [[0, 0, 0], [437564349327, 482153314853, -463552790176], [57333102891623/2, -55272087150025/2, 9157364649541], [110033/2, 291137/2, -90629]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1158, 10, -16], [426, 2, -4], [0, 0, 0]], [[0, 0, 0], [-58055153232/7, -8607740686/35, 9712929399/35], [-21351298042/7, -562830070/7, 1255958269/14], [94/35, 16/35, -1/70]], [[0, 0, 0], [2142314076610887/7, 23444832962349363/7, -12241277445883195/7], [1344885274088233/14, 17680016829168241/14, -9165632691850667/14], [-4449485/14, -11821601/14, 7394347/14]]], 0, 387072, [], [] >,
< [ 3, -4, -1, 1 ], [[48, 128, -80]], [ -5, 0, 0 ], [ -2, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -6, 10], [300, -10, 10], [0, 0, 0]], [[0, 0, 0], [32077977/5, 165183, -803777/5], [160180865/2, 9701529/2, -23847231/2], [-41/10, -1/10, -1/2]], [[0, 0, 0], [28355421679098, 35762689980212, -25094424906382], [455214617688438, 196293415613366, -199792810244752], [-14053098, -35922798, 22571790]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [906, -28, 12], [270, -6, 4], [0, 0, 0]], [[0, 0, 0], [4798361482104/35, 483449739174/35, 10148982812/7], [285830996628/7, 31529981860/7, 3840221982/7], [-12/35, 4/7, 2/35]], [[0, 0, 0], [693155448892745247/7, -10811338580178855/7, -145305020392882151/7], [415893030292271585/14, -6069416996951681/14, -87454786665155591/14], [378635/14, 1010101/14, -630989/14]]], 0, 387072, [], [] >,
< [ 3, -4, -1, 1 ], [[-6, 2, 1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -5/2, 0], [6, -5/2, 0], [-51, -4, -1], [0, 0, 0]], [[144513, -13287/2, -5531/2], [144525, -13307/2, -16645/6], [1326666, -5790425/2, -2052279], [-1, 5/6, 2/3]], [[2139987825/2, -112919515, -335887219/2], [2139995397/2, -338758373/3, -1007671949/6], [-25418628081/2, -627616065/2, 2510481546], [-1289/2, 455/2, 302/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, 1, 1], [6, 1, 1], [-18, 18, 9], [0, 0, 0]], [[1651/2, 61/2, -377/2], [1651/2, 211/6, -1123/6], [-48, 19, -17], [1, 0, 1/3]], [[3447310, 285465/2, -1541719/2], [3469696, 857297/6, -4691741/6], [-658023/2, 199258, 22583/2], [15703/2, -3321, -6683/6]]], 1, 12, [], [] >,
< [ 3, -4, -1, 1 ], [[96, -32, -16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 2, 2], [138, 8, -10], [0, 0, 0]], [[0, 0, 0], [755994, -217240/3, 47596], [4083270, -165368, -287525], [-4, -4/3, -1/3]], [[0, 0, 0], [-3507461210, 7276700470/3, -425973760/3], [-15112866699, 7243401708, 495742542], [19789, -7196, -9766/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, -10, -10], [60, -2, -8], [0, 0, 0]], [[0, 0, 0], [256834, 349382/3, 707788/3], [-1192842, 141321, 112152], [0, -1, 4/3]], [[0, 0, 0], [-58590041656, -4420788672, 41681896600/3], [132426693864, 9291988812, -31570994874], [5836, -4916/3, -3208/3]]], 0, 48384, [], [] >,
< [ 2, -4, -1, 1 ], [[9, 1, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -5, -11/2], [7, -13/2, -2], [-2, 0, -1/2], [0, 0, 0]], [[-30525/2, 8547/2, 7326], [18793/2, 18329/4, -3099/4], [-14421/2, -297, 4323/2], [-1, -15/4, -5/4]], [[35239281/2, 5837601/2, -9051273/2], [-17075721, -6466313/2, 8917803/2], [20895105/2, 1614690, -2600367], [4193, 1797, -2995/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -11, -9/2], [-982/11, -569/22, -87/11], [2/11, -12/11, -5/22], [0, 0, 0]], [[-23789/2, -434565/2, -1234], [-120640341/22, -2348388/11, 15184883/22], [-190995/22, -295773/11, 122449/22], [-1/2, -3, -1/2]], [[761698448, 108849244, -183193556], [400914760280/11, 196235890145/44, -375529413957/44], [1474302536/11, 205632420/11, -354608772/11], [27001/2, 7303/4, -12797/4]]], 4, 2, [], [] >,
< [ 2, -4, -1, 1 ], [[-4, -1, 1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 3, 7/2], [-1/2, -3/4, -9/4], [0, 0, 1/2], [-1, 3/4, -3/4]], [[-447/2, -87/2, 97/2], [1656, 881/4, -1557/4], [-271/2, -20, 32], [1995/2, 525/4, -945/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-39, 25/2, 1], [-19/2, 29/4, -7/4], [2073/11, -1435/22, -42/11], [-20/11, 29/44, 1/44]], [[-313/2, 71/2, 123/2], [-81/2, 45/2, 22], [15611/22, -1238/11, -2743/11], [-151/22, 13/11, 27/11]]], 3, 3, [], [] >,
< [ 2, -4, -1, 1 ], [[6, -1, -1]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-31/34, -43/17, -3/17], [1/2, -3/2, 1/2], [0, 0, 0]], [[1175/2, 387, 2], [17905/391, 15235/782, -1946/391], [0, 0, 0], [582/391, 1519/1564, 1/782]], [[15387856, 1861840, -3708584], [420216401/391, 51707847/391, -100465115/391], [0, 0, 0], [15202856/391, 1839640/391, -3663148/391]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-345/2, -667/2, -1/2], [13784844/6647, 26217093/6647, -7373/13294], [-40963/17, -155311/34, -45/34], [-5847/13294, -22197/26588, -1/6647]], [[26667927/2, 5698275/2, -2507241], [-2114720336681/13294, -225097226844/6647, 199258587654/6647], [6275269087/34, 667823595/17, -591334931/17], [224056173/6647, 190778247/26588, -168896871/26588]]], 4, 6, [], [] >,
< [ 2, -4, -1, 1 ], [[-11, -2, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -6, -3/2], [-10, -17/2, 1], [-3, 0, -3/2], [0, 0, 0]], [[-263/2, 263/2, 263], [-2335/2, 85, 546], [-829/2, 263, 263/2], [-5/2, 0, 0]], [[841/2, -657/2, 5125/2], [72682, 37763/4, -56565/4], [34463/2, 6324, -4414], [359/2, 133/4, -203/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19/2, -43/2, -3], [190, -71/2, 11/2], [-55/2, 1, -3/2], [0, 0, 0]], [[163592909/2, -192547498, -46315085/2], [34774929481/17, -10275814975/34, -468286662/17], [-600760183/2, 13052933/2, -729646], [-9/17, 91/34, 1/17]], [[318647475280367/2, 106730310746921/2, -122083219294093/2], [-394409287882506176/17, -174382275441495753/68, 363333593406059967/68], [7270582136139611/2, 409254109703276, -842309172554987], [-301723063/34, -110057683/68, 164581197/68]]], 3, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 3, -3]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-330607, 2393673/2, 9/2], [321063953253/497278, -628345721019/497278, 804701/497278], [383595/248639, -203365/248639, -1/497278], [-518551/497278, 700643/248639, 1/497278]], [[30108137557305/2, 8066227708077/2, -3249395019579/2], [1213053713029514162/248639, -613649512369798505/497278, -1501308058886423101/497278], [40744865468565/497278, 5305615976387/497278, -4950176108461/248639], [4209204868487/248639, 3381685480745/497278, 392499808731/994556]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-124200, -41086, -1], [-727348177634/248639, -240605338790/248639, -7034179/497278], [-341049/248639, -112817/248639, -3/497278], [0, 0, 0]], [[-459845202511/2, 4014522268715/2, 499403991371/2], [-29622032342264908807/5470058, 129304885844237228809/2735029, 32169031698342897731/5470058], [-13889759432579/5470058, 60630469981017/2735029, 15083305409391/5470058], [-3821995/5470058, 3051579/2735029, -3/10940116]], [[5806660315134825532435/2, 364279481448496186727, -1313318603942217431611/2], [187028627132428890606460682568/2735029, 46932694939426829153036954319/5470058, -42301115039816901851780581457/2735029], [175392777633926788555101/5470058, 11003186009405557464866/2735029, -19834687429305191783270/2735029], [-3570389744778585/5470058, -519632562800509/5470058, 460967117344685/2735029]]], 4, 6, [], [] >,
< [ 2, -4, -1, 1 ], [[-40, -7, 11]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3570975/2, -1216205/2, -7/2], [-1880688204272/248639, -334694835331/497278, -2997171/497278], [-14087331/497278, -1875559/497278, -2/248639], [429800/248639, -293913/497278, 1/994556]], [[-280337249208441131/2, -47264572827753905/2, 57516119657283585/2], [-267974875659670160939235/497278, -39411960285462392687833/497278, 55921025123015988949699/497278], [-1021586030907505261/497278, -77212955589285494/248639, 106251508828352173/248639], [50552255010229777/497278, 4947104049652345/497278, -21910382023661943/994556]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3301092, 419833/2, 5/2], [24733689673743/248639, 3145090564695/497278, 2178967/497278], [9064687/248639, 1152647/497278, 1/497278], [0, 0, 0]], [[1254376016758617317/2, -345935958759636874, -144378818718584487], [103383089893932752376132353/5470058, -28511516473004361218175724/2735029, -23798045895704924196718743/5470058], [37889022710569926765/5470058, -20898458927678484015/5470058, -4360889328881995945/2735029], [-14037467/5470058, -6170701/5470058, -1/10940116]], [[37989122749693093187616666621255, -9576457366672966016802908834365/2, -5289925786973175100474882373555], [6261983199023754340630532832111600949067/5470058, -394653072010119624378389997486723801993/2735029, -435977932398324713791355117719169246470/2735029], [1147481781283421455442504172447160/2735029, -144637068700854305322943757241690/2735029, -319564337151149069855133004704145/5470058], [-675360316859038148905/2735029, -73687948294028512815/2735029, 593813495947997250835/10940116]]], 1, 120, [], [] >,
< [ 2, -4, -1, 1 ], [[-34, -5, 7]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-245/34, 535/34, 31/34], [21/2, 1, 1], [0, 0, 0]], [[-779/2, -775/2, -3/2], [-191897567/391, 968850657/782, -281556510/391], [-1548880, -925110, 528580], [-773/782, -1519/1564, -1/782]], [[-2455415301/2, -87317223, 535892019/2], [3665507916857/17, -15851832938900/17, 6238968048048/17], [-4055966175050, -293648320725/2, 1611874053975/2], [-105447477/34, -15140775/68, 46078059/68]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1559/2, -115, -2], [225908991/13294, 16765765/6647, 29353/13294], [2304289/34, 171016/17, 78/17], [-13094/6647, -7775/26588, -1/13294]], [[47585142, 8795358, -14658930], [-811369931845/782, -74569690220/391, 124635642455/391], [-8275977865/2, -1521068419/2, 2542409999/2], [47027970/391, 8642799/391, -14446674/391]]], 1, 40, [], [] >,
< [ 2, -4, -1, 1 ], [[15, -1, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, 11, 1], [-32, 41/2, 0], [39/2, -1/2, -1/2], [0, 0, 0]], [[18309024, -38443680, -11591424], [171966683/2, -220398421/4, -27681033/4], [-46313008, -6699486, -3066346], [-2, -15/4, -5/4]], [[-20416407497280, 47635034310000, -17109614147760], [-17633670068771, 326413370459733/2, -133490075596331/2], [-20832697091568, -47833414663152, 23921586486288], [-3269706, 226776, 434016]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -3/2, 1], [-539, -15/2, -8], [-11, 1/2, 2], [0, 0, 0]], [[-126351123/2, 296714053/2, 40260995/2], [483026522441/17, -1796107851855/68, -1072858663053/68], [474812649/2, -908457, -966918], [-21/34, -71/68, -1/68]], [[4656923362377033, -15018279950200625/2, 2833691216755729], [59390975973677893777/34, 58257562632878116045/68, -56367178309362214693/68], [34038900341826921, 24258056378881803/2, -11100060637978953], [-3171530859/17, 847018801/68, 1691248895/68]]], 1, 40, [], [] >,
< [ 2, -4, -1, 1 ], [[5, 0, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 1/2, 3/2], [5, -7/2, 1/2], [-2, 1/2, 1/2], [0, 0, 0]], [[609/2, -339, -559/2], [-249/2, 11/4, 157/4], [245/2, -195/2, -91], [1, -3/4, -3/4]], [[0, 0, 0], [16, -161/4, 57/4], [0, 0, 0], [13/2, -65/4, 23/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 1/2, 0], [1037/11, -733/11, 153/11], [51/22, -10/11, 5/22], [0, 0, 0]], [[-2000407/2, -1305452, -931277/2], [-357273849/22, -21683404/11, 16743646/11], [-8184555/22, -5145671/22, -637297/11], [1/2, 2, 0]], [[33549378304, 4554664608, -8275296224], [7026728516457/22, 2962900111115/44, -3843031192481/44], [104816959936/11, 18156304608/11, -27296140768/11], [-32600, 30155/4, 11573/4]]], 1, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[13, 2, -3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 3/2, 2], [2, -1/2, 7/2], [-3/2, 1, 1/2], [0, 0, 0]], [[3001, 3131/2, -103/2], [-8129, 3961/4, 11973/4], [2305, 1285/2, -687/2], [1/2, 11/4, 5/4]], [[-391077/2, -52985/2, 93279/2], [752817/2, 108499/4, -322523/4], [-268513/2, -14410, 30521], [-75, -405/4, 225/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, -8, -2], [-1363/11, -705/22, -129/22], [-30/11, -18/11, -1/11], [0, 0, 0]], [[13307/2, -4806, -6923/2], [6862216/11, -16116858/11, 5338847/11], [42063/22, -35777/22, -5047/11], [-2, -1, 1]], [[907883/2, 35631, -117245], [62509476/11, -35832107/44, -35473099/44], [2858227/22, 253485/22, -708491/22], [-551/2, -137/4, 263/4]]], 1, 2, [], [] >,
< [ 2, -4, -1, 1 ], [[-6, -1, 1]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1/2, 0], [-43/2, 5/2, -4], [1/2, 1/2, 0], [0, 0, 0]], [[255/2, 124, -41], [-7395, 11579/2, -3875/2], [125, 132, -175/4], [0, 3/2, -5/4]], [[-519115/2, -33643, 122601/2], [15071675/2, 846655, -3452495/2], [-520965/2, -33868, 61563], [-625, -100, 325/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -2, 1], [-33/2, 3, -5], [5/2, -2, 1], [0, 0, 0]], [[-150732, 25283/2, 157], [2485921/2, 185737, -60894], [-150732, 12640, 158], [3/2, -1, 0]], [[104407753, 10124089, -22387277], [-941458536, -112453350, 208842569], [104408059, 10124245, -22387415], [-768, -15, 153]]], 2, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[-30, -3, 7]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -3/2, -2], [-23/2, -1/2, 2], [-1/2, -3/2, -2], [0, 0, 0]], [[342149, -36901, -20634], [2213260, 181002, -477520], [342146, -36894, -41265/2], [-1, 0, -3/2]], [[-27435327849/2, -3721380087/2, 3322653765], [-94216620368, -11900883488, 22246555344], [-27435391461/2, -1860683685, 3322661325], [114507/2, 8343, -15903]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -1, -1/2], [7/2, 3, -11/2], [5/2, -1, -1/2], [0, 0, 0]], [[-8855/2, -634, 2407/2], [-9740, 1408, 2176], [-8865/2, -1247/2, 2411/2], [-1/2, 1/2, -5/2]], [[191212536, 23790910, -44938090], [368096059, 46860586, -86660945], [191193924, 23792890, -44933338], [35244, 4554, -9306]]], 0, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[-6, -1, 1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -21/2, -5], [2, -14, -8], [-5/2, -2, -3/2], [0, 0, 0]], [[11143, -7335/2, -4289], [13131, -17769/4, -24197/4], [5879, 1945/2, -2628], [1/2, 11/4, 3/4]], [[55935967/2, 3224471, -13981931/2], [32218895, 3337204, -8048404], [38167355/2, 3769671/2, -4436186], [6318, 918, -1269]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 33/2, 7/2], [3, -10, 4], [10, 1/2, 3/2], [0, 0, 0]], [[-937311/2, -575679/2, -140725/2], [98602, -321383/2, 88135/2], [-7544695/22, -2153392/11, 690841/11], [19/11, 47/22, 1/11]], [[55695593953/2, 6829674322, -10796288447/2], [-1606790289/2, -8719369607/4, 4550792883/4], [440611450101/22, 53026076643/22, -42939019647/11], [-1399295/11, -922523/44, 874513/44]]], 1, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -1, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, 1/2, 2], [0, -31/4, -23/4], [-5/2, 1, 1/2], [-5/2, -3/4, -1/4]], [[3890, 360, -1010], [12319/2, 6305/4, -3783/4], [2630, 250, -630], [3880, 2231/4, -3395/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-155/2, -46, 7/2], [-9, -29/2, -11/2], [4787/22, 3013/22, 62/11], [-26/11, -29/22, -1/22]], [[-59100, -12211/2, 32911/2], [-10890, 473/4, 13167/4], [172754, 24089/2, -94367/2], [-3665/2, -427/4, 1941/4]]], 1, 9, [], [] >,
< [ 2, -4, -1, 1 ], [[14, 3, -3]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-43/34, -7/17, -8/17], [3/2, -3/2, -1/2], [0, 0, 0]], [[49, -79/2, -1/2], [-141911/782, -91439/782, 28759/391], [143/2, 91, -117/2], [773/782, -609/782, 1/782]], [[79959/2, 2664, -15991/2], [-221277997/782, -32112225/782, 54387769/782], [257075/2, 45929/2, -65767/2], [642337/782, 85249/1564, -258521/1564]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-37303/2, 2873, -3/2], [93299121/13294, -7270216/6647, -60598/6647], [-276289/34, 21248/17, -29/17], [-19741/13294, 6083/26588, -1/26588]], [[28058537565/2, 2147101707, -6919455891/2], [-35045230867004/6647, -5363185257108/6647, 8642840867500/6647], [103924577049/17, 31809733553/34, -51256722739/34], [14848327803/13294, 4544841135/26588, -7323415005/26588]]], 1, 10, [], [] >,
< [ 2, -4, -1, 1 ], [[-31, -4, 7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-83/2, -103/2, -4], [-1, 0, -2], [-89/2, -1, -3/2], [0, 0, 0]], [[-73075600, -15307900, 16125700], [-3361073/2, 25941/2, 117139/2], [-52254620, -4695296, 10410504], [-5/2, 1/2, 1/2]], [[-614161398600, -74102813200, 146418771000], [-26848933325/2, -5471341727/4, 12874015041/4], [-417341628432, -50401153882, 98409984498], [-17129, -8841/4, 15449/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 23/2, 5], [102, 3/2, -5/2], [7/2, 2, 3/2], [0, 0, 0]], [[3962673, 4025001, -10822], [3104672791/34, -301905761/34, -149310256/17], [3999105, -47559, 18276], [33/34, 57/34, 1/17]], [[-635134309536, -165610147653/2, 289611849885/2], [-314557423697123/34, -83359697937549/68, 149477375875155/68], [-431348620260, -117905093049/2, 203750729109/2], [-3267864/17, -1696293/68, 2939085/68]]], 1, 12, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 5, -7]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-20269, 121529/2, 9/2], [106293065999/497278, 129429867447/497278, 1799257/497278], [134956/248639, 293913/248639, -1/497278], [3/2, 1, 0]], [[-65754114208549/2, 86286391357859, -60319029636815/2], [-6668681933359572014/248639, 44483129462515880800/248639, -33263214011685408339/497278], [-141317652734853/497278, 269562794487345/248639, -97598193811539/248639], [76789569917879/497278, 63825728830500/248639, -57836785791057/497278]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-181094, 181092, 2], [-4265343, 4265390, 4], [-2, 2, 0], [0, 0, 0]], [[-430988904456173, -25612345204001/2, 33206701743841/2], [-55526773209647837378313/5470058, -824716593985825630367/2735029, 2138823549793854026341/5470058], [-13018279496694411/2735029, -386696935318983/2735029, 501513372231672/2735029], [-4581867/5470058, -6668715/5470058, 5/5470058]], [[273927308952770335150118087/2, 788251006948304977512078593/2, -171930460970993959471108020], [8822517716870959056803088507052860/2735029, 25389575104971291650124425859133156/2735029, -22151344849913572071741748424171413/5470058], [8273917123576122238410234663/5470058, 23809984051766176620137066421/5470058, -10386683299367637422582024505/5470058], [7160273817062838097/5470058, -5481108832703691181/5470058, 2195437728932731749/5470058]]], 1, 18, [], [] >,
< [ 2, -4, -1, 1 ], [[-112, -15, 25]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1408244, 92976, 1], [1984195448051/497278, 89764577857/497278, -131071/497278], [3999497/248639, 429735/497278, -1/248639], [518551/497278, -158091/497278, -1/497278]], [[-5134932667511267/2, 39099493419557/2, 627247812574287], [-3583166984466463604877/497278, 31748905110441617855/497278, 865755201573671995861/497278], [-14501548612145139/497278, 60534873150973/248639, 1759915955814595/248639], [-392588809622040/248639, 13404621740550/248639, 73444907105010/248639]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3086345/2, 152325, 3/2], [23124673569445/497278, 1141181447008/248639, -1462442/248639], [8474999/497278, 836465/497278, -1/497278], [0, 0, 0]], [[327270943904090855/2, 21617721327128985, -47023575990842943/2], [13486520792918821160880053/2735029, 3563268875516464748911701/5470058, -1937800827148801929647837/2735029], [9885393018186865871/5470058, 652953635246804565/2735029, -710187690097680562/2735029], [-17298365/5470058, 6668715/5470058, -5/5470058]], [[49395125651737412501005621074, 1418342377271255652072716591/2, -27661037792989983574301897261/2], [4071039170056871978025148750400680833/2735029, 116908092808727024408033188194507653/5470058, -2279753130631126290388682120655971021/5470058], [1492001563805819314393091297891/2735029, 42845876417935359091959261427/5470058, -835510263911913258470151910161/5470058], [-2068538033835158736/2735029, 41721752391588304/2735029, 403512266145855828/2735029]]], 1, 360, [], [] >,
< [ 2, -4, -1, 1 ], [[-20, 1, 5]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [179/34, -78/17, 25/17], [-19/2, 5/2, 5/2], [0, 0, 0]], [[-5, 231/2, 9/2], [139191664/391, 98496136/391, -71893253/391], [-923174, -230046, 221490], [-9/782, 1737/782, 1/782]], [[-1205303403/2, 68173751/2, 84881559], [-1962488817515717/391, -156196323735855/782, 783453136131719/782], [11049168666088, 1251909178780, -2538408737555], [-4840025245/391, 1077109247/1564, 2777048903/1564]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-38051/2, -21722, -9/2], [173819567/13294, 99191188/6647, 11723/6647], [1772459/34, 1011247/17, 12/17], [-20141/13294, -45965/26588, 1/26588]], [[55900830123/2, 1568431715, -11365919641/2], [-127660360937258/6647, -14331592022577/13294, 25957295423015/6647], [-1301649726139/17, -73058468709/17, 529328419865/34], [29582171873/13294, 3320158857/26588, -12029630779/26588]]], 1, 120, [], [] >,
< [ 2, -4, -1, 1 ], [[39, 5, -10]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[111/2, 109/2, 1], [-33, -3, -1], [109/2, 2, -1/2], [0, 0, 0]], [[-419615447/2, -174917724, 42603087/2], [248228045/2, -4441230, 2756347/2], [-406026951/2, 29014647/2, 3397110], [5/2, 1, -1/2]], [[390400736823854, 47351993565183, -109142312393427], [-171746211916021, -15856436689117/4, 149105440623405/4], [273447490579612, 7810899077905, -58476599817761], [-7702905/2, -1980645/4, 3949275/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[49/2, 53/2, 0], [379, -7/2, -1/2], [51/2, -1, 1/2], [0, 0, 0]], [[-26626112895, -54229084941/2, -651423381/2], [-6762270003980/17, -926200848401/68, 481635678505/68], [-26707471677, -488705229/2, -81358947/2], [-39/34, -93/68, 3/68]], [[-2123957728216066994, -254646613564478423, 537342605664029325], [-371371578590148078673/17, -34120104943332839300/17, 85232192366370232875/17], [-1457973461725659588, -128641647413560341, 332992124247782520], [-1624548397/17, -416502143/34, 833075865/34]]], 1, 120, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -1, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[29/2, -3/2, 2], [37/2, -5/2, 5], [29/2, -3/2, 2], [0, 0, 0]], [[-96913/2, -4734, 17537/2], [-62525, -5990, 10143], [-96907/2, -9491/2, 17527/2], [-1/2, 5/2, 1/2]], [[-9247035879/2, -581931872, 2173078511/2], [-11967269955/2, -756019362, 2810406687/2], [-9247682787/2, -581989935, 2173208835/2], [73191, 11563, -15345]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 2, 3/2], [19/2, 2, 1/2], [1/2, 2, 3/2], [0, 0, 0]], [[115/2, 45, -45/2], [374, 173, -143], [117/2, 85/2, -49/2], [1/2, 3/2, 1/2]], [[2957, 889/2, -1417/2], [17122, 4727/2, -8261/2], [2937, 869/2, -1417/2], [50, 10, -10]]], 0, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[-10, -3, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, -1, 3/2], [-45/2, -3, -1/2], [-5/2, -1, 3/2], [0, 0, 0]], [[-570, 67/2, 9/2], [-5165, -712, 2053], [-576, 89/2, 1], [-2, 5/2, -1]], [[-49016223/2, -6482691/2, 11381257/2], [-225412320, -26421421, 53838424], [-24578694, -6503211/2, 22832219/4], [-45990, -13455/2, 42795/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19/2, -2, -5/2], [-11/2, -4, -9/2], [-19/2, -2, -5/2], [0, 0, 0]], [[237933/2, -36774, -8650], [94693, -37284, -5123], [118971, -36777, -34611/4], [-2, 2, 1/4]], [[369920403, 97372389/2, -175647657/2], [281628996, 75333153/2, -133784483/2], [369929367, 97375497/2, -175651419/2], [-3648, -621, 834]]], 1, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -1, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 5/2, -1/2], [-51, 19/2, -9/2], [0, 5/2, -1/2], [0, 0, 0]], [[-269815, -44463, -7717], [23672183/2, 3701898, -4867825/2], [-269815, -88935/2, -15435/2], [9/2, 1/2, 0]], [[28354943/2, 2099779, -6140225/2], [-637038841, -175330921/2, 292896101/2], [28355145/2, 4199615/2, -3070130], [-461/2, -33, 101/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, 2, 3/2], [-61/2, -1, -11/2], [15/2, 2, 3/2], [0, 0, 0]], [[-3419847, -1032843, 722985], [12507664, 8012281/2, -5872541/2], [-3419848, -1032840, 722988], [-1, -5/2, -1/2]], [[568699066, 153032545/2, -266776855/2], [-4171575401/2, -566860971/2, 492082745], [568698918, 76516230, -133388417], [677/2, 127/2, -74]]], 0, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -5, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 2, -1], [130, 0, 6], [-5, 2, -1], [0, 0, 0]], [[9087101/2, -144253/2, -215145], [-263953609/2, -35293251/2, 15240655], [9087109/2, -144269/2, -215145], [0, -2, 2]], [[74043099575/2, 4442424717, -17228384069/2], [-1134650789998, -139631671704, 265563289162], [74043104291/2, 8884847943/2, -8614192267], [-7941/2, -1893/2, 1179]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, -1, -5/2], [185/2, 2, -13/2], [-13/2, -1, -5/2], [0, 0, 0]], [[96869971/2, -2375609, -10913/2], [-593996455, -20125003/2, 182468539/2], [96869973/2, -4751217/2, -5456], [-5/2, -1, 1/2]], [[-1014129162243/2, 220544075543/2, 51216082605], [11456380767535/2, -178094808510, -1967223733655/2], [-1014129192273/2, 220544084223/2, 51216084166], [25690, 11893/2, -15015/2]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -5, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -1/2, -3/2], [-116, -3/2, -15/2], [-5, -1/2, -3/2], [0, 0, 0]], [[57688437/2, 417287/2, -515953], [1248028325/2, 11284827/2, -62236119], [57688445/2, 417281/2, -515953], [-5, -2, 2]], [[-4527351022995/2, -241618073981/2, 373207014051], [-48110276382885, -6294334827349/2, 18191077803493/2], [-4527351501619/2, -120808966642, 746414075983/2], [816551/2, 191431/2, -119656]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-12, -3/2, -3/2], [55, 1/2, 3/2], [-12, -3/2, -3/2], [0, 0, 0]], [[3121704, 129135, 78661], [-27840119/2, 758829/2, 468826], [3121707, 258263/2, 157323/2], [-5/2, -2, 3/2]], [[-196365487147/2, -20098123761/2, 18800211259], [421362617349, 38457494215, -84021819634], [-196365594177/2, -10049046673, 37600433333/2], [183645/2, 21350, -53515/2]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[11, 0, -3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 31/2, 5], [5, 1, -2], [11/2, 0, 5/2], [0, 0, 0]], [[-100089, 16804, 19793], [-51259, -2889/4, 36567/4], [-51534, -28763, 24275], [9/2, -7/4, -5/4]], [[-31890899, 3050277/2, 19561179/2], [-16199728, -8225101/4, 14247011/4], [-20071865, -4076103/2, 11816283/2], [3013/2, -1965/4, -2751/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[71/2, 18, 5/2], [8072/11, 1343/11, 151/11], [263/22, 39/22, 2/11], [0, 0, 0]], [[-160862446, -120528325/2, -17686185/2], [-6798557697/2, 222958737/4, -679604885/4], [-55428634, 4007555/2, -5423433/2], [-5, -1/4, 3/4]], [[269121863, -93469626, -126755121], [98300330753/22, -13464647234/11, -37422906425/22], [789691801/11, -211775634/11, -295632699/11], [11/2, 0, -3/2]]], 0, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -3, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, -3/2, -1], [141/2, 1/2, 4], [-13/2, -3/2, -1], [0, 0, 0]], [[-31243923/2, -1150220, 322391/2], [321290741/2, -7702683, -13598975/2], [-31243923/2, -1150226, 322389/2], [6, 1, 0]], [[-154343874236025/2, -9076625671920, 34621367530953/2], [746397332536379, 166184706545745/2, -335364434142489/2], [-154343902007667/2, -18153257598459/2, 17310686932407], [61797903/2, 3775980, -13885821/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, -5/2, 0], [347/2, 1/2, -1], [11/2, -5/2, 0], [0, 0, 0]], [[-163467/2, -171, 5049/2], [-6932327, 5544750, 4789847], [-163459/2, -363/2, 2522], [5/2, 1/2, 2]], [[1631666393/2, 99284808, -378493941/2], [33251720622, 3223636840, -8263740116], [1631694729/2, 198576623/2, -189250166], [-63679/2, -7777/2, 7084]]], 0, 128, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -1, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[39/2, 67/2, 4], [-8, -1, 3], [49/2, -1, 5/2], [0, 0, 0]], [[-211855, 105930, 93463], [57403/2, 4870, -4401/2], [-99697, -18690, 56077], [-1/2, 3/2, -1]], [[-18709620, -4640017/2, 8802327/2], [8077967/2, 2008875/4, -3800075/4], [-12715398, -3186117/2, 5994223/2], [-2, 1/4, 1/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[101/2, 61, 5/2], [8, 1, -1], [109/2, -3/2, 2], [0, 0, 0]], [[2865385/2, 9937825/2, 439282], [794929/2, 21357/2, -10870], [65592617/22, -12200876/11, 17032887/22], [-63/22, 2/11, -1/22]], [[10570481991228, 7336107888235/2, -4946872090869/2], [2440269276669/2, 412855576901/4, -969931748045/4], [91926762113474/11, -5694708055357/22, -24363853474537/22], [-94304361/11, -23503035/44, 70979289/44]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 11, -25]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-287/34, -97/34, -19/17], [5/2, 0, -1/2], [0, 0, 0]], [[-607/2, -383/2, 1], [-1539/46, -731/46, 51/23], [-607/2, -383/2, 1], [682/391, 1737/1564, 1/1564]], [[13587490, 1599430, -3134985], [545515899/391, 66100825/391, -126887899/391], [13587490, 1599430, -3134985], [-30614010/391, -3607660/391, 7064575/391]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14/17, -135/17, 57/17], [-13, -2, -1], [0, 0, 0]], [[33085, 31453/2, 7/2], [-635114481/13294, 5012068777/13294, -1106589851/6647], [31456055/34, -862997/17, -4176141/34], [72317/13294, 34363/13294, 1/6647]], [[-727756094023/2, -87559240871/2, 84379501121], [-8082690230378549/13294, -9015957308146933/13294, 2664735385735525/6647], [-270411435612231/34, -23892732603807/34, 29710649700527/17], [-397650930098/6647, -191367529999/26588, 368843258809/26588]]], 0, 160, [], [] >,
< [ 2, -4, -1, 1 ], [[-43, -2, 9]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-697/2, -351, -5/2], [4, 11/2, 3/2], [-697/2, -5/2, 0], [0, 0, 0]], [[11793021851, -15197563879/2, 4144790147/2], [-117517822, 6486441/4, -46231/4], [1060922487, 25608989041/2, -10732099429/2], [-9/2, -3/4, -1/4]], [[-21580762307194895/2, 3734093540731533/2, 1197821411724152], [133776477743412, 4200273420854, -26778032532076], [-10121155965612249/2, -4531981849917707, 5729803293126235/2], [5592636, 265356, -1173312]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-561/2, -591/2, -5], [2, 0, 2], [-571/2, 0, -5/2], [0, 0, 0]], [[-1613588209, -848505293/2, 680518349/2], [172065885/17, -1351441/68, -5891965/68], [-1189050725, -168558121/2, 424538297/2], [207/34, -53/68, 5/68]], [[-14168282445572164, -1828288055597047, 3417443424659325], [84405086177771, 5441482278162, -18425742557737], [-9707012920501708, -1043832555140859, 2230639078460225], [48295954, 4517909/2, -20231375/2]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[60, 11, -13]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[520041/2, -280013/2, -1], [205027541625/497278, -110402699493/497278, -834093/248639], [1428015/497278, -384461/248639, 3/497278], [0, 0, 0]], [[18345396472524, 7166592290408, -3001334292606], [14464435601946554489/497278, 5651861087441447547/497278, -1182877798050798002/248639], [50375650467289/248639, 39358052908219/497278, -16483377572229/497278], [-6670707/497278, -1559377/497278, -1/248639]], [[21599961975573709185968, 17070221569286067480153/2, -16007192260617725688355/2], [17031299778457058650197916701/497278, 3364958381203506722813168685/248639, -6310911210266829016874816469/497278], [59312270566904525568066/248639, 23437445152147050893240/248639, -21977620162091067297375/248639], [-10467109818435825/497278, 4270853980132425/497278, 159744267296125/248639]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-716629/2, -148127/2, -1], [-4196781268447/497278, -867432507917/497278, -2954276/248639], [-1967839/497278, -203365/248639, -1/497278], [0, 0, 0]], [[-314612003567407, 21704784237817/2, -103062378780345/2], [-20267092537760175213914/2735029, 699444696821649609300/2735029, -3319589038903956284666/2735029], [-9503087771381429/2735029, 655953559097699/5470058, -3113036739926315/5470058], [7281668/2735029, 15211517/5470058, 5/5470058]], [[-640493624118459121190902365/2, 145035690480901291521717755, 15026668342240411449275123/2], [-20630018931176469030840164527376740/2735029, 9343287314724326676746180494936302/2735029, 483895647008632377696111688037562/2735029], [-19346502656471376876276393405/5470058, 4380990833195958789519258810/2735029, 453788380244235851391470581/5470058], [15742716063879363785/5470058, 2727760493173342455/2735029, -6168488683693449027/5470058]]], 0, 288, [], [] >,
< [ 2, -4, -1, 1 ], [[-156, -7, 33]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-369935/2, -214073/2, -1], [-246021719385/497278, -142364068227/497278, -1023948/248639], [-1015829/497278, -293913/248639, 1/497278], [0, 0, 0]], [[14752707703739, 1980062564871/2, -4920070817139/2], [19621722503234610379/497278, 1318072314850480987/497278, -1636239925445431072/248639], [40510292884484/248639, 2718444664332/248639, -6755129460580/248639], [6443341/497278, 700643/248639, 1/497278]], [[83228467150146315074082539, 23948547945161326919253491/2, -40404355427504424544010803/2], [110700642263514338494156352452241/497278, 15925413090536859322063109061987/497278, -13434983967218776784421068695265/248639], [228541365896523286799624352/248639, 32880883615204352931949632/248639, -55474255893880859783165016/248639], [40009727054833751985/497278, 3205602343124948525/248639, -9832598528415290155/497278]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2015275/2, -98947/2, 0], [-15099532865357/497278, -741203323439/497278, 4884604/248639], [-5533877/497278, -135822/248639, 3/497278], [0, 0, 0]], [[-30462289444250355/2, -40034879506543, 763558378382257/2], [-1255319239254289757213223/2735029, -3287564307585637780433/2735029, 31465292837317715636776/2735029], [-920132074121434685/5470058, -1204707086723092/2735029, 23063532242373533/5470058], [6031155/5470058, -4836958/2735029, -3/5470058]], [[-3111159588881888011546851840000, -390888530422105909897727223035, 734885879562714369403622578985], [-256414137283632493646747300659391339436/2735029, -32216084666854617397619234266652068493/2735029, 60567493183102853933085654272867844170/2735029], [-93974038943558480432388018763380/2735029, -11806976296903018005472663668920/2735029, 22197574759329989703537973078445/2735029], [149677802169710400225/2735029, 23399503714563572650/2735029, -36450641997679792825/2735029]]], 0, 5760, [], [] >,
< [ 2, -4, -1, 1 ], [[-126, -21, 29]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [737/17, 1339/34, 61/34], [37, -3/2, 3/2], [0, 0, 0]], [[609, 167/2, -1/2], [13603131799/34, 7137928169/17, 2658485025/34], [653339459/2, 144569517/2, 4359680], [-7/2, -1/2, 0]], [[344449387701/2, 27553633227, -87650407305/2], [130560479465983696195/782, 6900028116097997771/391, -30894936736818574519/782], [192757048174720259/2, 14681603746071555, -48542862470181667/2], [-776290114845/782, -247513707063/1564, 394769391939/1564]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-719/34, -87/17, -75/34], [-45/2, 1/2, -1], [0, 0, 0]], [[84599/2, 15993/2, 2], [29076763471/13294, 2619633416/6647, -4524480393/13294], [56642043/34, 2675228/17, -12128697/34], [46229/6647, 34927/26588, 3/26588]], [[-1450679820956, -231781057380, 369071602230], [-485479340011822425/6647, -64481101874837169/6647, 116756755658708740/6647], [-897534463007860/17, -118908659507556/17, 214383757212746/17], [-1585311099092/6647, -253317446192/6647, 403332608494/6647]]], 0, 1920, [], [] >,
< [ 2, -4, -1, 1 ], [[273, 34, -63]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-82, -80, 2], [35, 1/2, -5/2], [-82, 2, 0], [0, 0, 0]], [[-629989217/2, -572425826, -167801923/2], [346839619/2, 8456775/2, 94818], [-803519461/2, 5728279/2, -43382572], [-1/2, 2, 1/2]], [[25597248143271310, 3202233995532205, -5997252754394255], [-7445962948801949, -3751174472346499/4, 7015537937641849/4], [17398367806305935, 2201627987413805, -4099440431569540], [-46851155/2, -11670055/4, 21623495/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-925/2, -959/2, -7], [1293, 13/2, 3/2], [-935/2, -2, -5/2], [0, 0, 0]], [[5427673291946861/2, 5364006337448319/2, -19593607753411], [-254594019967434105/34, 1029936338711995/34, 657054412179709/17], [5415433422450263/2, -13473673005749, -6119934747933/2], [93/34, 44/17, 1/34]], [[-381406875138636165052634126, -94299106555715472584210425/2, 175772495589540811656066523/2], [24270172202989124522073942633/34, 6626471486744834166354431751/68, -11576239600729706817889870875/68], [-258221338105584621197428050, -70598578476455186134635957/2, 123185537032981949638589255/2], [-6462321958725/17, -3219327339693/68, 5965213649007/68]]], 0, 1920, [], [] >,
< [ 2, -4, -1, 1 ], [[-164, -17, 39]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-55, -1, 2], [48, -46, -22], [-55, -1, 2], [0, 0, 0]], [[539464461/2, -4944265, 505185/2], [-255703262, 532902287/2, 233922671/2], [539464417/2, -9888575/2, 252586], [25/2, 2, 3/2]], [[-2408293807227689, -633362969523323/2, 1291643729586099/2], [1449437875473957/2, 490933826134013, -122942589796979/2], [-2408293483916835, -316681474934495, 645821771103578], [-252209489/2, -12962576, 71101365/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-61/2, -5/2, 2], [-163/2, -1/2, -1], [-61/2, -5/2, 2], [0, 0, 0]], [[1007174449/2, 15723365, -47461575/2], [2723371899/2, -98901310, 107427513/2], [1007174529/2, 15723362, -47461585/2], [7, 0, -1]], [[477259230653535/2, -9797367211229/2, -86196918172560], [641975938584567, -30766499297698, -259500642985965], [477259262759903/2, -4898681405777, -172393845279213/2], [5906173/2, 303709, -1665335/2]]], 0, 1024, [], [] >,
< [ 2, -4, -1, 1 ], [[71, 11, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[49/2, 21/2, -4], [56, 3, -1], [39/2, 1, -5/2], [0, 0, 0]], [[-238821/2, -188122, -22895/2], [-405288, 219403/4, -760649/4], [-296071/2, 34353/2, -14310], [13/2, 3/4, 5/4]], [[-267539495257, -81818078587/2, 115095739531/2], [-531410479173, -370781196353/4, 472135091263/4], [-182992581673, -53984279083/2, 84538737979/2], [18145247/2, 5632949/4, -8175605/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[82, 26, 0], [16267/11, -889/22, 445/22], [302/11, -8/11, 2/11], [0, 0, 0]], [[375864653/2, 70813056, 9963651/2], [6809706873/2, 284742775/4, 303375585/4], [126520333/2, 2571083/2, 924073], [8, 1/4, 5/4]], [[-1821575300066319/2, -135999852379757, 406845566592893/2], [-14196953895963642, -2059776180543156, 3250507065692692], [-526705988132905/2, -76069705491427/2, 60364417881009], [-34282332, -5358228, 7699722]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[-110, -15, 27]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-53/2, 3/2, 2], [-35/2, 11/2, -3], [-53/2, 3/2, 2], [0, 0, 0]], [[1376371, 352759/2, -1178379/2], [920624, 94146, -669950], [1376338, 352743/2, -1178361/2], [5, 3/2, -3/2]], [[-252961849363/2, -187539319675/2, -28348632998], [-20865349737, -141214285654, -96421408847], [-252952327819/2, -93769412717, -56699507629/2], [-1477569/2, -27411, 328065/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, 3/2, 2], [-249/2, 15/2, 2], [-21/2, 3/2, 2], [0, 0, 0]], [[-15593397/2, 616763/2, 30670], [-270177625/2, 64881251, 54295431/2], [-15593403/2, 616785/2, 30666], [0, 5/2, -3/2]], [[-7269405683265/2, -505328060325, 1696964083503/2], [-47443052741673, -5635711259993, 11753417945746], [-7269404376951/2, -1010656148127/2, 848481932091], [840195/2, 32283/2, -93519]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[-110, -15, 27]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 1/2, -1/2], [30, -3/2, 5/2], [-5, 1/2, -1/2], [0, 0, 0]], [[133933, 15177/2, -16765/2], [-1624997/2, -131305/2, 58198], [133938, 7600, -8377], [-9/2, 1/2, -2]], [[189336181723/2, 19049029775/2, -21887524660], [-1158333963695/2, -118876455181/2, 134404850411], [189352687835/2, 19050312239/2, -21889640628], [-3379888, -123952, 746640]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-41/2, -3/2, 1], [55/2, 7/2, -6], [-41/2, -3/2, 1], [0, 0, 0]], [[1250293/2, 259087/2, -219645], [-840405, -107108, 206361], [1250305/2, 129538, -439301/2], [-1/2, -2, 5/2]], [[3440778569207/2, 207735586628, -808048447935/2], [-2277293847970, -282935536715, 535914826861], [3440790721249/2, 415472094951/2, -404025788618], [-4971745/2, -183527/2, 552138]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[-110, -15, 27]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-31/2, 0, -1/2], [167/2, 3, 7/2], [-31/2, 0, -1/2], [0, 0, 0]], [[80857960, -2261473, -2620749], [-437953991, 876352, 12377399], [80857962, -2261469, -2620747], [-2, 1, -1]], [[-10941161863699/2, -560813905855, 2543061782269/2], [30030932218083, 3081840098627, -7000183037410], [-10941162472161/2, -1121627858009/2, 1271530969435], [248961/2, 9209/2, -27635]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19/2, 1, -3/2], [149/2, 3, -7/2], [-19/2, 1, -3/2], [0, 0, 0]], [[-4813027/2, -6584, 35395/2], [19112076, 1561801, -2433555], [-4813017/2, -13179/2, 17693], [-3/2, 3/2, 1]], [[2898047890311/2, 127500123279, -631554134529/2], [-11542811698431, -1251506310879, 2626364262098], [2898046161933/2, 255000114477/2, -315776844987], [707187/2, 26451/2, -78501]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[-110, -15, 27]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 0, -5/2], [121/2, -5, -11/2], [5/2, 0, -5/2], [0, 0, 0]], [[161531/2, 12765/2, -2745], [2368367, 438369, -642848], [161531/2, 6366, -5509/2], [5/2, 2, 5/2]], [[-16162627102, -1500495849, 3659987421], [-465089434713, -61985277765, 111058848502], [-16160678842, -1500349245, 3659485308], [-797430, -27987, 176700]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[67/2, 3/2, 2], [-231/2, 1/2, -6], [67/2, 3/2, 2], [0, 0, 0]], [[-21131993, -942401/2, 1690029/2], [144497643/2, -762926, -5998723/2], [-21132003, -471220, 845006], [15/2, 1, 5/2]], [[2335819174729191/2, 197130996037191/2, -263473069725930], [-7864863969670709/2, -647916583489259/2, 881171561759019], [2335821525013215/2, 197131174763079/2, -263473372208484], [-480813960, -17788584, 106757046]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[-44, -5, 11]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 3/2, -3/2], [-130, -1/2, -13/2], [-5, 3/2, -3/2], [0, 0, 0]], [[-32161497, 22715, 1503766], [-1784979791/2, -173404957/2, 124996153], [-32161491, 45429/2, 3007527/2], [-3/2, -2, 3/2]], [[-3108771947241/2, -344510669893, 595517981651/2], [-45238308639889, -8143802388497, 9443371279721], [-3108771350061/2, -689021367869/2, 595517786069/2], [-234099/2, 2109/2, 64491/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-31/2, 1/2, -2], [221/2, -5/2, 9], [-31/2, 1/2, -2], [0, 0, 0]], [[-56735869, -2240995, 5525772], [804726659/2, 18538938, -92223123/2], [-56735862, -4481987/2, 11051541/2], [-5/2, -3/2, 1]], [[-47202651855/2, 10497193955/2, 10521233767], [162300555813, -29531995132, -68470232268], [-47202646245/2, 5248596695, 10521232767], [-2175/2, 55, 315]]], 0, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[-44, -5, 11]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, 5/2, 5/2], [-37, 9/2, 11/2], [12, 5/2, 5/2], [0, 0, 0]], [[65052703/2, 5759349/2, 4940685], [-94788491, 26023401/2, 26288989/2], [65052719/2, 2879665, 4940677], [-3/2, 1/2, 5/2]], [[-41871939393797/2, -5789453484535/2, 4864769724035], [103282902093067/2, 13159149490061/2, -12237794656435], [-41871941707757/2, -5789453437015/2, 4864770086507], [455796, 5610, -122694]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19/2, 5/2, -1], [-225/2, -11/2, 1], [19/2, 5/2, -1], [0, 0, 0]], [[3350125/2, 51625/2, -26980], [-26818384, 42769247/2, -15510695/2], [3350129/2, 25809, -26983], [1/2, -3/2, 3/2]], [[17774638949/2, 2166494733/2, -2100615700], [-195461330419/2, -23375774993/2, 23026212879], [17774635321/2, 2166494851/2, -2100615120], [713, 2, -194]]], 0, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[-110, -15, 27]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[52, 137/2, 13/2], [67, 78, 43], [57, 3/2, 5/2], [0, 0, 0]], [[-981363065/2, -396600152, 179587961/2], [-744415666, -864770981/4, -410691073/4], [-977075659/2, 175300557/2, 1071850], [7/2, -1/4, -3/4]], [[155777520923913/2, 18027264708463/2, -16541176379655], [100181012823586, 18392149838138, -23173497561924], [103443568725315/2, 9625799429804, -26166975726291/2], [-380184, -51668, 93252]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[287/2, 285/2, 1], [-128, 113, 9], [285/2, 2, -1/2], [0, 0, 0]], [[-3185714162, -3682512215, -98583789], [6436310713/2, -12647065223/4, -417871077/4], [-37233034143/11, 1105756447/11, -1095089370/11], [-1/11, 13/44, 5/44]], [[-2401650264, -609807271/2, 1138941301/2], [837533819, 84436075, -187914388], [-1638012275, -388334677/2, 763637989/2], [0, 0, 0]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[-52, 9, 9]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-83/2, 0, -5/2], [-891/2, -3, -11/2], [-83/2, 0, -5/2], [0, 0, 0]], [[20808978635/2, -191186711/2, 75641345], [111283640829, 106620045, -3445522752], [20808978607/2, -95593371, 151282679/2], [19/2, -2, 5/2]], [[-108261621226975953, -14436068244925997, 25565677927369960], [-1154351258428466712, -152396362359243471, 272555300405574441], [-108261620992692669, -14436068213039939, 25565677873498240], [-94653786, -13591848, 22487856]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[49, 3/2, 5/2], [-988, -25/2, -29/2], [49, 3/2, 5/2], [0, 0, 0]], [[452320763558, -2913043295, -1082239425], [-18131149156491/2, 138047166990, 533110850015/2], [452320763551, -5826086587/2, -2164478845/2], [7/2, -5/2, 0]], [[238041595437127194297/2, 14589748268504469893, -57156668138810615647/2], [-2360118837014999186421, -290986899911591151129, 565223371075395061356], [238041595434121425431/2, 29179496536599713591/2, -28578334069059767548], [1214381569/2, 174428041/2, -144251432]]], 0, 4096, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -5, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -3/2, 2], [-173/2, -7/2, -3], [-3/2, -3/2, 2], [0, 0, 0]], [[-3416429, 32284, 139375], [-339830823/2, -46094801/2, 49537154], [-3416430, 64561/2, 139376], [-5/2, 1, 2]], [[827499438083/2, 22420945182, -168913990507/2], [20178415828873, 2846226999447, -4899851920355], [827499953951/2, 44842125657/2, -168914183509/2], [365157/2, 85779/2, -107223/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-31/2, -3/2, 0], [7/2, -3/2, 5], [-31/2, -3/2, 0], [0, 0, 0]], [[-17672115/2, -290805/2, 856271], [2561907, -1651117, 1414491], [-17672093/2, -145392, 856285], [-5/2, 0, -2]], [[5012367383034, 728495933049, -1229345058491], [-1147845774416, -329419702219, 357343969856], [5012356537591, 728493994839, -2458684245059/2], [1650526, 362043, -942287/2]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[-30, -3, 7]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17, -5/2, -3/2], [8, -5/2, -5/2], [-17, -5/2, -3/2], [0, 0, 0]], [[-6984285/2, -732061/2, 212694], [1408621, -418379/2, -766503/2], [-6984277/2, -366030, 212693], [5/2, 1/2, -1/2]], [[176902382, -502513159/2, 127874047/2], [-92545863/2, 54925879, -19139419], [353804623/2, -502513227/2, 255748199/4], [-52, -19/2, 67/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, -2, 2], [47, 2, -1], [8, -2, 2], [0, 0, 0]], [[234675/2, -51369/2, 18757], [1384741/2, 56457/2, -87799/2], [117345, -25689, 75027/4], [5/2, 3/2, 5/4]], [[35456672097/2, 3798641665, -10233578565/2], [115165492484, 35135513081/2, -29337476114], [17729175093, 3798876144, -20468139531/4], [582323, 165599/2, -651203/4]]], 1, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -5, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[65/2, -1, 5/2], [141/2, 6, -1/2], [65/2, -1, 5/2], [0, 0, 0]], [[-47202713/2, 882520, 1064869/2], [-51404485, -2931968, 4294634], [-47202721/2, 1765061/2, 1064883/2], [1/2, -5/2, -3/2]], [[241556680306, -351348853365/2, 61723442451/2], [474804031245, -221352967914, 7768150455], [241556662357, -351348857425/2, 61723451447/2], [6923, 3313/2, -4103/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-34, 0, -2], [-67, -5, -2], [-34, 0, -2], [0, 0, 0]], [[2363260477/2, -77596443/2, -39092600], [4681239891/2, 61860513, -269040111/2], [2363260493/2, -77596457/2, -78185213/2], [-2, 1/2, 2]], [[-1072547777098777, -90328499755658, 232762390968439], [-4332413682378093/2, -403058280887305/2, 478286206315686], [-1072547780112279, -180657000194857/2, 465524783445379/2], [2326461/2, 276311, -687041/2]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[-56, -13, 15]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, -2, 0], [267, 10, -1], [-10, -2, 0], [0, 0, 0]], [[7021757/2, 77628, 48595/2], [-189767831/2, 31349877/2, -2928846], [7021783/2, 77632, 48591/2], [-5, -5/2, 3/2]], [[122198770571005/2, 21063723811157/2, -12238546207182], [-1529860607843415, -236872486884592, 314079036567869], [122199269911665/2, 10531903449031, -24477198670909/2], [-203740665/2, -15766225, 45929665/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-65/2, -2, -3/2], [1/2, 10, 3/2], [-65/2, -2, -3/2], [0, 0, 0]], [[538915951/2, 17281373/2, -5022303], [-13673157, -127961179/2, -8033833/2], [538915941/2, 8640680, -10044611/2], [7/2, -1/2, 1]], [[190093557399125/2, 25985980131897/2, -21974297844640], [-30695635937101/2, -2460684679519, 6437224791519/2], [190093551488407/2, 25985979157907/2, -21974297213190], [1205464, 370393/2, -544431/2]]], 0, 512, [], [] >,
< [ 2, -4, -1, 1 ], [[-56, -13, 15]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 3/2, -3/2], [358, 9/2, 1/2], [9, 3/2, -3/2], [0, 0, 0]], [[925091/2, -9443/2, -2045], [54910005/2, -27160050, 27097219/2], [925101/2, -9411/2, -2037], [-5, -1/2, -5/2]], [[24148968708865/2, 3241664023921/2, -2815237333010], [458575360391908, 148035263851499/2, -217041931747557/2], [24149705413447/2, 1620893378354, -5630631346969/2], [-300609897/2, -46546233/2, 33871197]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-53/2, 0, -3/2], [-207/2, -2, -13/2], [-53/2, 0, -3/2], [0, 0, 0]], [[242582531, 26765275/2, -14512671/2], [1900415189/2, 65830768, -49111333/2], [242582535, 13382639, -7256336], [-3/2, -1, 1/2]], [[-297720056001951/2, -23405664751256, 63195294933639/2], [-586732087737437, -93447533198947, 123947249504168], [-297720061511001/2, -46811330421223/2, 31597648052406], [2247993/2, 348423/2, -253266]]], 0, 512, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -1, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, 3/2, 1], [119/2, 5/2, 5], [-11/2, 3/2, 1], [0, 0, 0]], [[19799/2, 8983/2, 4210], [-326533, 244297, 165258], [19795/2, 4495, 8415/2], [1/2, -1, 1/2]], [[-3962567/2, -256695, 921015/2], [27012551, 3089717, -13008615/2], [-1981135, -256675, 1841895/4], [-23, -3, 21/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 3/2, 1], [-71/2, 5/2, -4], [5/2, 3/2, 1], [0, 0, 0]], [[-640783/2, -18423/2, 24219], [3607668, -582847, -475295/2], [-320389, -18433/2, 96883/4], [1, -3/2, 1/4]], [[-59019190707/2, -6901859753/2, 7059161341], [302434250056, 36536134688, -71633312125], [-59019091353/2, -3450924865, 7059149758], [63045/2, 4899, -6684]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -1, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, -1/2, 1/2], [24, -5/2, 7/2], [-11, -1/2, 1/2], [0, 0, 0]], [[-6101895/2, -207851/2, 133463], [6691652, -1692213/2, 991452], [-3050947, -207855/2, 533853/4], [-1, 1, 5/4]], [[-83682353707/2, -5212395441, 19767182465/2], [177523784437/2, 11087195570, -42093877265/2], [-83682364331/2, -5212395985, 19767184945/2], [-3376, -520, 720]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-47/2, 0, -1/2], [-33/2, 0, 1/2], [-47/2, 0, -1/2], [0, 0, 0]], [[24645947/2, 138885, -1893897/2], [8585343, 152096, -917575], [24645977/2, 277757/2, -946950], [-5/2, 3/2, 0]], [[-4755784238785/2, -199799137120, 1218493919611/2], [-1641162159451, -153665803671, 824286288535/2], [-2377894273741, -199799502094, 2436989619705/4], [335371, 52308, -284245/4]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -3, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -3/2, -3/2], [-15, 17/2, 19/2], [2, -3/2, -3/2], [0, 0, 0]], [[-845/2, 1504, -1147/2], [2593/2, -4567, 3429/2], [-841/2, 1499, -1143/2], [1, -2, 0]], [[-1912486327/2, -247685881/2, 227015615], [2857979451, 370162446, -678630982], [-1913584989/2, -123893757, 227138574], [-708459/2, -43395, 79564]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-49/2, -5/2, 0], [-165/2, -1/2, 4], [-49/2, -5/2, 0], [0, 0, 0]], [[-416189/2, -19717, -51517/2], [-1441199/2, 68495/2, -29879], [-416179/2, -19727, -51511/2], [1, -3/2, 3/2]], [[96760176605/2, 12146635755/2, -11311409705], [154287378849, 19244859174, -36129264952], [96759755495/2, 6073298525, -11311362620], [-271475/2, -16625, 30460]]], 0, 128, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -3, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 2, 3/2], [289/2, 3, 13/2], [17/2, 2, 3/2], [0, 0, 0]], [[-208151419/2, 123223/2, 3209925], [-1643043006, 130930958, 106010325], [-208151433/2, 61617, 3209925], [-3/2, -2, -2]], [[120296995024490, 14283301978845, -27844905495151], [1814700617163607, 213275050920851, -420165276408815], [120297000216069, 14283302455848, -55689813311703/2], [3347181, 409309, -1502783/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[51/2, 3/2, 2], [-285/2, -17/2, -8], [51/2, 3/2, 2], [0, 0, 0]], [[425300315, -21145651, -9046584], [-2363735076, 96865681, 82779428], [425300316, -21145648, -18093171/2], [1, 1, -1/2]], [[13776904835323/2, 1035190782241, -3143986226173/2], [-38363382155979, -5695860948531, 8776343190753], [13776904906479/2, 2070381571043/2, -3143986242093/2], [45877/2, 5621/2, -10299/2]]], 0, 128, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -3, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, -3/2, -3/2], [-85, -1/2, 5/2], [-6, -3/2, -3/2], [0, 0, 0]], [[312942, -21835/2, -7035/2], [7789303/2, -233188, -821323/2], [312946, -10919, -3518], [3/2, 1, 1/2]], [[-108310984711/2, -11607996807/2, 12200696776], [-651109166817, -71655990012, 148618042690], [-108312115309/2, -5804050410, 12200823154], [-729099/2, -44478, 81900]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, -5/2, 2], [83/2, -9/2, 4], [11/2, -5/2, 2], [0, 0, 0]], [[-5534587, -250538, 227059], [-46263241, -5193274, 6219914], [-5534582, -250544, 454121/2], [2, -1, 1/2]], [[-15645900558295/2, -1995862253627/2, 1806417212986], [-66145799087798, -8383169213758, 15405629724379], [-15645893447845/2, -997930798372, 1806416417593], [4585761/2, 280125, -515268]]], 0, 128, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -3, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -1, 5/2], [-35/2, -4, -5/2], [1/2, -1, 5/2], [0, 0, 0]], [[248217/2, -4261/2, -12617], [-4084923, -493491, 923758], [248213/2, -2128, -25235/2], [-1/2, 0, -1/2]], [[85281925327/2, 5238257423, -19945309973/2], [-1456887143336, -181408973040, 342727486453], [85281255251/2, 10476452731/2, -19945160001/2], [-432247/2, -52763/2, 97209/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -2, 0], [11, 11, -4], [6, -2, 0], [0, 0, 0]], [[2529, -3557/2, 1713/2], [-1109/2, 25069/2, 1052], [2519, -1765, 1707/2], [-5/2, 1/2, -5/2]], [[185275388945/2, 21163976399/2, -21117598085], [270812608493, 39775842738, -63206442658], [184846978863/2, 10562189679, -21069661953], [-276262595/2, -16907355, 31028777]]], 0, 128, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -3, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19/2, 3/2, 2], [105/2, 3/2, -1], [19/2, 3/2, 2], [0, 0, 0]], [[-77395977/2, -957360, -8743787/2], [-204067293, 4648161, 10279215], [-77395969/2, -1914747/2, -8743805/2], [1/2, 3/2, 5/2]], [[-481025834331433, -58484347624374, 111836214659947], [-2393406299663080, -292083356375447, 559088527382349], [-481025885905535, -58484354917366, 111836226271557], [21057890, 2575873, -4729161]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, -3/2, -5/2], [190, -1/2, 23/2], [-9, -3/2, -5/2], [0, 0, 0]], [[-516118071/2, -16837405/2, 6411537], [10007612721/2, -29611611, -949081301/2], [-516118075/2, -16837403/2, 12823077/2], [0, 3/2, -1]], [[-464950614618183/2, -28620505461563, 110188135857549/2], [4354861938307875, 540467032533612, -1029085483977120], [-464950616729871/2, -57241011222295/2, 110188136332623/2], [862371/2, 105345/2, -193473/2]]], 0, 128, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -1, 3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, 2, 1], [-14, 7, -3], [5, 2, 1], [0, 0, 0]], [[166177, 33407/2, -35493/2], [-742783/2, 124047, -3501], [332343/2, 33399/2, -70987/4], [2, 5/2, -3/4]], [[615071380291/2, 44695225046, -138715577777/2], [-1138607076365/2, -80388737799, 132700993771], [307522601583, 89385433607/2, -277420794619/4], [10799705/2, 1686105/2, -4577715/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, 1, -1/2], [-113/2, -1, -9/2], [-21/2, 1, -1/2], [0, 0, 0]], [[10419829/2, -131973, -279683/2], [28472915, 1725751, -153493], [10419849/2, -263983/2, -279673/2], [3/2, -5/2, 1/2]], [[-24761067298, -5811768641/2, 11836444181/2], [-283489703279/2, -32618447011/2, 68128065527/2], [-49522157511/2, -5811771797/2, 23672898451/4], [-2057, -311, 1769/4]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[-44, -5, 11]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 1, -1/2], [-7/2, -4, -1/2], [11/2, 1, -1/2], [0, 0, 0]], [[37/2, -43, 39/2], [89/2, -23/2, 43/2], [10, -115/2, 63/4], [3/2, 2, 1/4]], [[286, -4731/2, 2355/2], [-18917/2, -4347/2, 7707/2], [8361/2, -5083/2, -65/4], [-593, 16, 673/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -1, 1/2], [-93/2, -6, 9/2], [-3/2, -1, 1/2], [0, 0, 0]], [[-1302, 281, -186], [-44715/2, -20703, 3161], [-2599/2, 280, -743/4], [2, -1, -3/4]], [[1117469011/2, 52889781, -204059533/2], [27732310469/2, 2878618845, -6073680797/2], [1115511889/2, 52830705, -101846801], [-671706, -540, 364851/2]]], 1, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[-44, -5, 11]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, -3/2, 2], [207/2, 1/2, 7], [-11/2, -3/2, 2], [0, 0, 0]], [[257101/2, -1871/2, -4237], [-2685330, -131399, 3826579/2], [128538, -1903/2, -16951/4], [2, 5/2, -1/4]], [[11579402683, 2690163921/2, -6208574173/2], [-194847748110, -44596391710, 23886400591], [11577436191, 2690205787/2, -3103716995], [300564, 1573/2, -81554]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 3/2, 1/2], [-58, 5/2, 5/2], [3, 3/2, 1/2], [0, 0, 0]], [[663095, 17202, 31080], [-23881475/2, 8554465/2, -621945/2], [1326191/2, 17207, 124311/4], [1, 3/2, -3/4]], [[17540148829/2, -4264961225/2, -3932431034], [-216256904461/2, -4619196013/2, 68296318465/2], [8770098652, -2132479083, -15729742385/4], [33285/2, 77/2, -18095/4]]], 1, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[-110, -15, 27]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -2, 0], [-83, 3, 2], [6, -2, 0], [0, 0, 0]], [[205173, 7629/2, 13115/2], [-4363795/2, -1994191, -2008881/2], [205172, 3810, 13119/2], [-3/2, -1, 1]], [[1979805194077/2, 190851342824, -458173020037/2], [-30632108981145/2, -3851225234040, 5633280619121/2], [1979777447277/2, 190851670764, -458168392917/2], [-8918340, -331920, 1981640]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[23, -1/2, 5/2], [96, -7/2, -11/2], [23, -1/2, 5/2], [0, 0, 0]], [[-115349942, -10443655/2, -8848595/2], [-962127885/2, -15197415/2, 46048638], [-115349938, -5221801, -8848555/2], [-3/2, -5/2, -5/2]], [[-146253862569201/2, -11672259567775/2, 16159452243719], [-580154294031081/2, -55812423372045/2, 65316931525506], [-146253836412181/2, -11672258183335/2, 16159449164174], [-2029400, -77840, 451055]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[-110, -15, 27]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[67/2, -3/2, -1], [13/2, -3/2, 2], [67/2, -3/2, -1], [0, 0, 0]], [[11969223/2, 686370, 3379289/2], [790296, 707487/2, 2913481/2], [11969269/2, 1372735/2, 3379259/2], [-3/2, 0, 1]], [[-60725325759343/2, -6698147301398, 15504338012499/2], [-10849647904863/2, -4267137772561/2, 1535218763291], [-60725507249953/2, -6698151291650, 15504379413159/2], [6282423, 470085/2, -2791383/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[43/2, 5/2, -1], [-1/2, 9/2, -1], [43/2, 5/2, -1], [0, 0, 0]], [[49601/2, 4565, 885/2], [-949, 6183, -1023], [49549/2, 9189/2, 871/2], [-5/2, 5/2, -1/2]], [[9985816500, 4108331477/2, -3658760043/2], [538676112, 317429541, -52618402], [9980296146, 4108037561/2, -1828204452], [-577689, -42315/2, 128268]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[-44, -5, 11]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, -1, -1], [-45, 3, 0], [8, -1, -1], [0, 0, 0]], [[15573, 1238, 494], [832885/2, -1611443/2, -1212105/2], [31139/2, 1243, 1971/4], [-1, 1/2, -3/4]], [[-6518510377/2, -285565108, 1626171615/2], [32403630948, -18687881082, -39996628347/2], [-3258970828, -285546543, 3252129219/4], [195920, -237, -214959/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[31, 1, 2], [30, -1, 1], [31, 1, 2], [0, 0, 0]], [[-525/2, 161, -51/2], [-261, 323/2, -27], [-275, 151, -101/4], [2, 3/2, -1/4]], [[38141565/2, 12442913/2, -6291715], [37865533/2, 6195056, -6290993], [21044740, 6200110, -27455695/4], [-603421/2, -722, 327389/4]]], 1, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[-44, -5, 11]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21, -1, 2], [32, -1, -1], [21, -1, 2], [0, 0, 0]], [[118833/2, -75293, 23777/2], [72458, -74714, 11005], [118825/2, -150573/2, 23773/2], [-3/2, 3/2, -1/2]], [[69334068, 23135876, -4605049], [220341737/2, 49396699/2, -32030749/2], [138659787/2, 23135629, -18417079/4], [-2863, -7/2, 3103/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, -1/2, 3/2], [-13, -11/2, 3/2], [12, -1/2, 3/2], [0, 0, 0]], [[-1489, -294, 34], [3537/2, 1337/2, -487/2], [-2991/2, -279, 153/4], [1, -5/2, -1/4]], [[3464474141/2, 209779373, -824965505/2], [-2169775732, -262274560, 1029243919/2], [1730505258, 209796448, -1647927835/4], [264750, 800, -286625/4]]], 1, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[-56, -13, 15]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1/2, 2], [617/2, -5/2, 7], [1/2, 1/2, 2], [0, 0, 0]], [[99981647/2, 482317, -1476601/2], [26381981097/2, 2178787713/2, -2636829193], [99981655/2, 482304, -738296], [0, -5/2, 2]], [[12663964767061289/2, 1533118645621533/2, -1499845607444406], [1656741003009112675, 411418041667954137/2, -780259749135553599/2], [12663964484697909/2, 766559303556044, -1499845572792191], [-182263965/2, -28222155/2, 41082275/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -5/2, 1/2], [54, 11/2, -13/2], [-1, -5/2, 1/2], [0, 0, 0]], [[161/2, -9, 9/2], [-3771/2, -554, 873/2], [175/2, -16, 0], [-1, 1, 1/2]], [[7/2, 1, -1/2], [-155, -31, 31], [-25/2, -5/2, 5/2], [5/2, 1/2, -1/2]]], 0, 512, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -5, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -1/2, -1], [-37/2, -5/2, -2], [-3/2, -1/2, -1], [0, 0, 0]], [[-152323/2, 6132, 5327/2], [-768470, -4609, 104746], [-152367/2, 12251/2, 5341/2], [3/2, 1/2, -1/2]], [[530776189/2, 24770091, -28304917/2], [2788678362, 259485860, -849826937/2], [265473502, 24788390, -56707851/4], [-5854, -1382, 6903/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, 1/2, -5/2], [54, 7/2, -1/2], [-7, 1/2, -5/2], [0, 0, 0]], [[9830315/2, -202091, -224889/2], [-36504696, -2358791, 5538319], [9830289/2, -404177/2, -112436], [-3/2, 1/2, 1]], [[-426151962218, 6635248107/2, 150989853997/2], [6269421664261/2, 459495275135/2, -1333846042599/2], [-852302326005/2, 6635674497/2, 301978731773/4], [84904, 19845, -99649/4]]], 1, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[-56, -13, 15]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-58, -3/2, -3/2], [-417, -13/2, -7/2], [-58, -3/2, -3/2], [0, 0, 0]], [[467519116229/2, -3014193066, -2244258765/2], [3352931771175/2, -31966801858, -63451968685/2], [467519116235/2, -3014193071, -1122129382], [-1, 2, 5/2]], [[12061692240563542009, 3042987647205800059/2, -5678732209778318947/2], [171962968118046418241/2, 21677250818106944763/2, -20242055127874888605], [12061692240602800238, 1521493823608253926, -2839366104898795308], [50680913/2, 7848985/2, -5711342]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, -1/2, 1], [-803/2, 13/2, -6], [-7/2, -1/2, 1], [0, 0, 0]], [[9/2, -21/2, -5], [-1225, -1204, 1727], [5/2, 0, 25/2], [-1/2, 0, -5/2]], [[199030341, 34749575, -40597196], [187424051793, 21401323384, -44477225796], [-685942780, -106222945, 309208925/2], [137188556, 21244589, -61841785/2]]], 0, 512, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -5, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, -5/2, 2], [-139/2, 1/2, 0], [-13/2, -5/2, 2], [0, 0, 0]], [[-2868639/2, -113997/2, 38081], [-4295839, -18796513, -3462611], [-2868653/2, -57013, 38080], [1/2, 1, 0]], [[-172424405427/2, -8805757105/2, 17878590668], [-776550776211, -173989720789, 460580856451/2], [-86212988889, -8806092719/2, 71515262231/4], [53893, 25323/2, -63347/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17/2, 3/2, 0], [-57/2, 13/2, 5], [-17/2, 3/2, 0], [0, 0, 0]], [[2103/2, -789/2, -141], [2703, -317/2, -89], [1064, -821/2, -515/4], [1, -1, 5/4]], [[18585629/2, 1356546, -4520797/2], [58324407/2, 3986731, -14093875/2], [18750263/2, 1377783, -2285210], [8739, 1983, -5073/2]]], 1, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -5, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-135/2, -2, -5/2], [-181/2, -4, 5/2], [-135/2, -2, -5/2], [0, 0, 0]], [[-617/2, 516, 923/2], [-529/2, 911/2, 941/2], [-299, 1003/2, 1859/4], [3/2, -2, 1/4]], [[-48706954, -34882648, 1307834], [-156498167/2, -84332761/2, 10114557], [-54334086, -73070075/2, 6163165/2], [-2079565/2, -244841, 611563/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[57/2, 1/2, -2], [-65/2, -9/2, 2], [57/2, 1/2, -2], [0, 0, 0]], [[7987003, -3336699/2, 2112709/2], [-8487540, -407112, -2732915/2], [15974013/2, -1668326, 4225459/4], [-1/2, -2, -3/4]], [[-69633072901/2, 9446238271, 4761441577/2], [40218323724, -6700984287, -9173020139/2], [-34816602144, 9446225802, 9522955563/4], [6216, 1332, -7067/4]]], 1, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[-6, 0, 1]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 0, 2], [17/2, -5, -5], [-1/2, 0, 2], [0, 0, 0]], [[109, -679/2, 147/2], [3300, 503, -673], [93, -655/2, 72], [-7, 1/2, -1]], [[-237134, -54049/2, 55932], [23159104, 2881774, -5452274], [-620253/2, -36191, 292501/4], [-95545/2, -5917, 45105/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 17/2, 3], [5, 25/2, 7], [-5, 17/2, 3], [0, 0, 0]], [[-36991/2, 10485/2, -7234], [665736, 54938, -328227/2], [-18496, 10495/2, -28943/4], [1, 1/2, -5/4]], [[-4657351, -1162953/2, 1105002], [173025418, 21578673, -81422597/2], [-4656964, -1162863/2, 1104912], [252, 63/2, -117/2]]], 1, 2, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -2, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -3/2, -3/2], [-9, 23/2, -3/2], [-1, -3/2, -3/2], [0, 0, 0]], [[-513, -275/2, 323/2], [-724, -1925/2, 538], [-1033/2, -138, 643/4], [7/2, 1/2, 3/4]], [[553816, 72886, -261973/2], [1073457, 163051, -265657], [1115881/2, 146337/2, -528127/4], [-8249/2, -565/2, 4181/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -5/2, 2], [-12, 5/2, -1], [4, -5/2, 2], [0, 0, 0]], [[6273, 6644, 26623/2], [-33994, -22633/2, -11044], [6257, 6656, 13310], [-7, 1/2, -1]], [[551896608, 190197411/2, -349639779/2], [-1870949247, -268753457, 997084113/2], [1102886751/2, 94972548, -698739417/4], [-618639/2, -52332, 330813/4]]], 0, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[0, 0, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 4, 15/2], [-11/2, 17/2, 9], [-3, 4, 15/2], [-1/2, 1, 0]], [[2, 0, -1/2], [2, 0, -1/2], [2, 0, -1/2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, 60, 3/2], [1159/11, -3038/11, -175/22], [-10/11, 60/11, 3/22], [0, 0, 0]], [[2971753, 8482065, 1506693/2], [182369373/22, -789412673/22, -152284447/22], [2971753/11, 8482065/11, 1506693/22], [-5/2, -2, 5/2]], [[-90542287419, -16336766539, 40834788409/2], [2659008723099/22, 418951275250/11, -559083712485/22], [-90542287419/11, -16336766539/11, 40834788409/22], [74925/2, 11475/2, -20025/2]]], 0, 10, [], [] >,
< [ 2, -4, -1, 1 ], [[2, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 12, 35/2], [-19/2, 20, 3/2], [2, -1, 5/2], [-3/2, 5/2, -1/2]], [[57521/2, -3558, -10081], [5747/2, -1275, -2433], [30243/2, 1779/2, -7709/2], [-6099/2, -304, 1197/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 1/2, 1/2], [2, 7/2, 3], [1/2, 0, 0], [0, 0, 0]], [[-136, 160, -102], [-2911/22, 1352/11, -3066/11], [-280/11, 316/11, -134/11], [-3/2, -3/2, 1/2]], [[-3006, -1674, 1650], [-60653/11, -20037/11, 37869/11], [-5706/11, -3252/11, 2760/11], [-90, -2, 20]]], 1, 3, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -2, 4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 7/2, 3], [-10, 21/2, 0], [-2, 7/2, 3], [0, 0, 0]], [[580, 115, -80], [-10200, -578, 2153], [580, 115, -80], [0, 0, 0]], [[-1/2, 0, 0], [3, 0, -1], [1, 0, -1/4], [1, 0, -1/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 3/2, -5/2], [41/2, -57/2, 9/2], [-1/2, 3/2, -5/2], [0, 0, 0]], [[1262, 15/2, -82], [-29879, -1087, 12419/2], [1268, 11/2, -165/2], [3, 1/2, 0]], [[569996, 44545, -137042], [-12973084, -3107411/2, 2998092], [1144455/2, 89501/2, -550047/4], [2995/2, 88, -1527/4]]], 1, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[2, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 5/2, 2], [0, -47/4, -21/4], [-2, 5/2, 2], [-5/2, -11/4, -1/4]], [[0, 0, 0], [1/2, -17/4, 7/4], [0, 0, 0], [0, -7/4, 3/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, -67/2, 0], [-15/2, 139/4, -19/4], [2218/11, 3293/22, 93/11], [-17/11, -65/44, -3/44]], [[-125986, 488287/2, -109405], [166940, -310496, 243557/2], [17403874/11, 6100277/22, -1765175/11], [-151530/11, -2940/11, 4530/11]]], 1, 3, [], [] >,
< [ 2, -4, -1, 1 ], [[-42, -6, 10]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-67/34, -3/17, -1/17], [3/2, 1/2, 5/2], [0, 0, 0]], [[2377, 3033/2, -6], [293743736/391, 40206874/391, -134408531/782], [-805453, -156288, 159544], [-1264/391, -814/391, -3/1564]], [[84908901, -236020827/2, 35270718], [3586720857496/391, 375225116760/391, -1624723193959/782], [-10413968422, -411004880, 2054008528], [-45299772/391, 62991474/391, -75330591/1564]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-59, -2765/2, 4], [-4689111/13294, -59452924/6647, -24989/6647], [13949/34, 352475/34, -26/17], [500/6647, 12589/6647, -5/26588]], [[1951230600, 189720630, -423296280], [166994297877403/13294, 16246455866407/13294, -36218736015043/13294], [-495045912527/34, -24070760069/17, 53682135538/17], [-17686284660/6647, -1720197270/6647, 3835884195/6647]]], 1, 10, [], [] >,
< [ 2, -4, -1, 1 ], [[-8, -4, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-35, -4, -1/2], [-57/2, -25, -15], [-55, -24, -17/2], [-5/2, -5/2, -1]], [[-232578, -225015, 255269/2], [-526775/2, -277006, 254939/2], [-453526, -341651, 384669/2], [-55237/2, -29159/2, 16175/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 5, -3/2], [-34, 82, -41/2], [1, 5, -3/2], [0, 0, 0]], [[37562, -4389, 12625/2], [1347995/17, -4580360/17, 3657590/17], [37736, -4107, 12643/2], [-29/17, -47/17, -3/34]], [[47715449106, -5821238034, -3005342112], [3017026356271/34, -4166843799099/17, 2056683957111/17], [48030201129, -5665448679, -3083456139], [-104917341/34, -51929785/34, 26038009/34]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[-42, -6, 10]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -12, 0], [-3, -39/2, 3/2], [-29/2, 1/2, -3/2], [-2, 0, 1/2]], [[-2291/2, 295, 165], [-6081/2, 316, 544], [-6637/2, -1309/2, 1901/2], [-871/2, -62, 207/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -5/2, -2], [41, 17/2, -3/2], [-3/2, -2, -1/2], [0, 0, 0]], [[623/2, -1501/2, -30], [254443/34, 351242/17, -156829/17], [-1409/2, 71, -105/2], [101/34, -14/17, 1/17]], [[210172523, 46698715, 28058287/2], [-1255751487884/17, -125762046251/17, 556878032927/34], [3262437339, 478366373, -1522912837/2], [-211527594/17, -30096207/17, 50340609/17]]], 1, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[-26, -2, 6]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[590495, 2884405/2, 15/2], [336985018703/497278, -941388369515/497278, 1184411/497278], [1108239/248639, -542552/248639, 1/497278], [206093/497278, 904008/248639, 1/248639]], [[-6278739717861926, 495139508225136, 2883760550234993/2], [905395554437020653041/497278, -448035866573506873461/248639, -22274094533415299279/497278], [-3518023765949005/248639, -2482471097240305/497278, 2299525924803897/497278], [-2755170634770283/248639, 1044329508277361/497278, 2256295986608155/994556]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[196588, -296236, -4], [102498976997/248639, -154440442856/248639, -379710/248639], [539824/248639, -813460/248639, -2/248639], [0, 0, 0]], [[-147504477467510, 6786463352644, 696359622979], [-1692360247948678593391/5470058, 77810264220229499363/5470058, 8118366101754804341/5470058], [-4455464882406734/2735029, 410075839702175/5470058, 21031483029824/2735029], [1285741/5470058, 10872573/5470058, -1/2735029]], [[-95680275171882239585872484, -59903128411636581422523425/2, 29524487142078561796916411], [-1097787237124243207629910624485243/5470058, -343584908750730479582108564323113/5470058, 169362480425176042570665313883172/2735029], [-2890062979449401052233054266/2735029, -904713314310144655884699002/2735029, 891805811888442734577221849/2735029], [2613428820226578924/2735029, -1228862483876154015/5470058, -566511698363669433/10940116]]], 1, 18, [], [] >,
< [ 2, -4, -1, 1 ], [[22, -4, -4]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-940984, 1687891/2, 7], [-874920503620/248639, -495161019075/497278, 189855/248639], [-3999497/248639, -429735/497278, 1/248639], [568415/497278, 1016825/497278, 5/994556]], [[1899479233211201, -924187275326611/2, -193751399254423], [5946672083860782119613/497278, 322411788210814478715/248639, -1232338238510895957459/497278], [12519650252183446/248639, 805829000528101/248639, -2429390228625147/248639], [-1466371152353316/248639, -416543282796927/248639, 1523731427301039/994556]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-18011106, -568277/2, -7/2], [-9389828569435/248639, -296054028501/497278, 804701/248639], [-49457888/248639, -1559377/497278, -1/248639], [0, 0, 0]], [[10061912248108590359, 9035754200586133211/2, -3992932682025589116], [115402882906616970854943647/5470058, 25908996622677352817714369/2735029, -22898262403296658599803247/2735029], [303923714486931436960/2735029, 136467286611389820000/2735029, -241218428848221439715/5470058], [-3278512/2735029, 5786608/2735029, -3/10940116]], [[170032881495774483624477281216534, 20584627284496351129898157858758, -39714993539339636182011382621833], [88643710903895837862673037959793691307/248639, 10731431563241860894619685704812015511/248639, -20704723782901922002529428794564476416/248639], [466902133823753820031882328037550/248639, 56524351585972316218074165208430/248639, -109055449076532848345025968143325/248639], [-710573482053570829/248639, -194834220502959053/248639, 357188598941535919/497278]]], 1, 360, [], [] >,
< [ 2, -4, -1, 1 ], [[54, 4, -12]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [84/17, -379/34, 55/34], [-6, 3/2, -5/2], [0, 0, 0]], [[1281, 523/2, -2], [-26431525/391, 34632817/391, 50006285/391], [-404985, 189515, 390195/2], [-682/391, -141/391, -1/1564]], [[-36455626, -8849850, 11661656], [79258722065/782, -594917409617/782, 674240986975/782], [13236865125/2, 2319688250, -1462854250], [19440890/391, 4715603/391, -6223675/391]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-360, -1475, 9/2], [-55788927/13294, -231917425/13294, 19145/13294], [-567795/34, -1182280/17, 7/34], [6447/13294, 13435/6647, 1/26588]], [[-13315872, -6705847/2, 10058755/2], [-2086300979473/13294, -523530743667/13294, 788791040127/13294], [-21258502849/34, -2668324594/17, 4019738342/17], [241505851/13294, 60640017/13294, -91343075/13294]]], 1, 120, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 4, -18]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[27, 4, 2], [79, 6, 3], [27, 4, 2], [0, 0, 0]], [[-49746488, 1148066, 1181208], [-285973069/2, 17710641/2, 10344155/2], [-49746492, 1148074, 1181208], [-1/2, 1, 0]], [[57639815, 7249988, -27071443/2], [162148620, 20366378, -76190159/2], [57639815, 7249988, -27071443/2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[63, 5, 2], [1294, 88, 31], [63, 5, 2], [0, 0, 0]], [[86235699602, -1251611959, 2476445387/2], [30065851947490/17, -688994659619/17, 255884393535/17], [86235699626, -1251611797, 2476445393/2], [-4/17, -27/17, -1/34]], [[-51838699995997869591, -5199726828990799287, 12633210286277118993], [-35938437436473953658585/34, -1817375488521370902242/17, 4370707378928520493766/17], [-51838700058524736342, -5199726832902618234, 12633210303860563068], [20842288917/34, 1303939649/34, -5861148025/34]]], 0, 480, [], [] >,
< [ 2, -4, -1, 1 ], [[54, 4, -12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -9, -2], [60, -19/2, 3], [-7/2, 1/2, -5/2], [0, 0, 0]], [[-13939140, 71893515/2, 3439441/2], [-1082027805, -48701935/2, 178948035], [73624609, -4862433/2, -7835125/2], [-2, -3/2, 2]], [[-143830274381907/2, 4877738624923, 5417267759110], [42521210017605553/2, 5558640272117621/2, -5048352602389612], [-2879546426673737/2, -400066711203131/2, 688806726421965/2], [93441795/2, 6968489/2, -20764751/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, 15, 3], [-697, 37/2, 6], [51/2, 3/2, -1/2], [0, 0, 0]], [[-7838168265/2, 9083908074, 1355148426], [-767470671883/2, 72688585735/2, -15554363507/2], [27917815385/2, 73904805/2, 144912183/2], [1/2, -3/2, 0]], [[-38095211181770805/2, -1472820944537043/2, 8382857700182231/2], [349494129996141774557/34, 44578932262601098039/34, -41442960143862321907/17], [-781196211897252697/2, -49496369472074648, 92519419871278463], [199818033/34, 14788357/34, -44395821/34]]], 1, 80, [], [] >,
< [ 2, -4, -1, 1 ], [[-32, -4, 8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 11/2, 5/2], [11, -3/2, -1/2], [1, 11/2, 5/2], [0, 0, 0]], [[-35715, 6102, 17421/2], [-42184, -94881, 48999], [-71421/2, 12207/2, 34845/4], [-9/2, -3/2, -3/4]], [[-62612337, -12315645/2, 27020221/2], [-139564017, -104877045/2, 95434631/2], [-62601207, -12314385/2, 13507573], [-11130, -630, 5075/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 5/2, -1/2], [-8, -25/2, -3/2], [0, 5/2, -1/2], [0, 0, 0]], [[-62, 36, -21/2], [656, 36, -99], [-135/2, 75/2, -37/4], [-3/2, -5/2, -5/4]], [[-12254, -21727/2, 14067/2], [210542, 40859, -56712], [-13647, -22603/2, 14903/2], [-995, -239/2, 597/2]]], 0, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[-8, -2, 2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 1, 5/2], [-5/2, -16, -15/2], [-3/2, 1, 5/2], [0, 0, 0]], [[-21771/2, -12133, 6054], [-750127/2, -44031, 186613/2], [-10880, -24267/2, 24211/4], [5/2, 3/2, 1/4]], [[-489427, 19996901/2, -4129908], [79417816, 13388048, -20452619], [-981577/2, 9999042, -16519569/4], [-1477/2, 42, 231/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 5/2, -1/2], [-8, 15/2, 1/2], [2, 5/2, -1/2], [0, 0, 0]], [[17959/2, -4655, -4178], [335, -16596, -3890], [8982, -4664, -16699/4], [0, -2, 5/4]], [[-17557997, -6990177/2, 3635624], [27938192, -218523, -7537640], [-35108243/2, -3496480, 14541921/4], [4393/2, -115, -1035/4]]], 1, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -2, 2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[25/2, 2, 3/2], [-5/2, -2, 5/2], [25/2, 2, 3/2], [0, 0, 0]], [[11119081/2, 1097847, -1162663/2], [-2495737/2, -534945/2, 572958], [11119067/2, 1097859, -1162647/2], [3, -13/2, -1/2]], [[204410299204, 51175311073/2, -96348296327/2], [-42894496676, -5252875507, 10052413108], [204410313856, 51175313911/2, -48174151634], [-6292, 737/2, 1034]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-12, -5/2, 3/2], [-10, -1/2, -5/2], [-12, -5/2, 3/2], [0, 0, 0]], [[1162, 103/2, -593/2], [1105, -221, -269], [1162, 103/2, -296], [-1, 5/2, -1]], [[5/2, 0, -1/2], [2, -1, 0], [-3/2, -1/2, 1/2], [3/2, 1/2, -1/2]]], 0, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[-48, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -5, -2], [3, -8, -1], [-5, -5, -2], [0, 0, 0]], [[88096, 60553/2, 12581/2], [-38674, 235335/2, -32335/2], [88091, 60563/2, 6302], [5, -5, -23/2]], [[-55454896813, -13818769179/2, 26104079763/2], [-7022345209, -1726168349/2, 3296259081/2], [-55454843784, -13818757261/2, 26104055797/2], [-53029, -5959, 11983]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 4, -1], [-5, -4, 1], [-1, 4, -1], [0, 0, 0]], [[-2, -5/2, 23/2], [6, -41/2, -39/2], [1, -7/2, 10], [-1, 0, 1/2]], [[10, 1/2, -3/2], [-693, -87, 162], [99, 23/2, -45/2], [-36, -9/2, 17/2]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[18, 2, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 5/2, 2], [13, -27, -22], [-1/2, 1, 1/2], [-1, -5/2, -5/2]], [[0, 0, 0], [93/2, 6, -11], [0, 0, 0], [55/2, 7/2, -13/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-25/2, -5, -1/2], [-703/11, -155/22, -151/22], [-93/22, -3/22, -1/11], [0, 0, 0]], [[8759, -2918, -6487], [683611/22, 203547/22, -401697/11], [18493/11, 10383/11, -20435/11], [5/2, 0, -5/2]], [[1004865/2, 60513, -233615/2], [51016643/22, 5566629/22, -11616721/22], [3197589/22, 351731/22, -365187/11], [327/2, 37/2, -75/2]]], 1, 5, [], [] >,
< [ 2, -4, -1, 1 ], [[4, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [1/2, 1/2, 1/2], [0, 0, 0], [1/2, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2126/11, -1745/11, 98/11], [-35/11, 34/11, -3/11], [0, 0, 0]], [[0, 0, 0], [248187/11, -841629/11, -665619/11], [-6409/11, 16575/11, 13481/11], [0, 0, 0]], [[0, 0, 0], [5/2, 1/2, 1/2], [0, 0, 0], [1/2, 0, 0]]], 0, 30, [], [] >,
< [ 2, -4, -1, 1 ], [[-4, 4, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, -5, 12], [-14, 49/2, 1/2], [0, -5, 12], [2, -5/2, 5/2]], [[8424, -9477, 10881/2], [-94191/2, 12506, 11477/2], [8424, -9477, 10881/2], [48789/2, -1053/2, -7371/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4987/11, -1384/11, -182/11], [87/11, 28/11, 4/11], [0, 0, 0]], [[-2, 1, 17/2], [150384953/22, 59067018/11, -45950987/22], [-1349232/11, -1012597/11, 753221/22], [3/2, -1/2, 3/2]], [[828, 828, -138], [326603246874/11, 39821282670/11, -75813096459/11], [-5811105621/11, -712015688/11, 1349634646/11], [5244, 828, -1242]]], 0, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[10, 0, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -2, -5/2], [-5, 1/2, -15/2], [1/2, -5/2, 0], [0, 0, 0]], [[-1817/2, -775/2, 251/2], [-12645/2, -1829, 2813/2], [-1425/2, -67, 96], [-3/2, 2, 0]], [[29295074, 3743581, -6894310], [189430732, 24118555, -44700219], [19966034, 2429101, -4661816], [15977, 559, -3263]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -1/2, 1/2], [-302/11, 162/11, -2/11], [-26/11, 15/22, -1/22], [0, 0, 0]], [[119/2, 114, 185], [27399/22, -19981/11, 6531/22], [1347/22, -1449/22, 1355/22], [-3/2, 0, 2]], [[1665925/2, 126110, -203668], [26412877/11, 11904963/22, -14747701/22], [5126537/22, 1019415/22, -1361385/22], [-5863, -492, 2583/2]]], 1, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[10, 0, -2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -3/2, -5/2], [-6, 11/2, 1/2], [2, -3/2, -5/2], [0, 0, 0]], [[-14513, 759, 3008], [114421/2, 14294, -33925/2], [-14515, 1521/2, 6021/2], [-5/2, 3/2, 1]], [[-1289668714, -155636116, 606090785/2], [11478457173/2, 727358674, -2714101491/2], [-2579485393/2, -155640358, 1212269743/4], [-152207, -14948, 147965/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 9/2, 5/2], [-4, -31/2, -13/2], [-1, 9/2, 5/2], [0, 0, 0]], [[-8, 35/2, -6], [33/2, -51, 21], [-7, 17, -13/2], [-3/2, 0, 1/2]], [[1, 16, -7], [69/2, -87/2, 12], [-3, 31/2, -6], [17/2, 1, -2]]], 1, 12, [], [] >,
< [ 2, -4, -1, 1 ], [[-8, -2, 2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -2, 0], [9, -7, 1], [-1, -2, 0], [0, 0, 0]], [[-2025/2, -1885/2, 179], [5813, -6437/2, 180], [-1016, -1891/2, 713/4], [2, 0, 1/4]], [[1029664, 619625/2, -102777/2], [-3265091, -2400559/2, 1195816], [2065477/2, 312029, -204553/4], [-2717/2, -1573/2, 715/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 1/2, 2], [21/2, -21/2, -4], [-1/2, 1/2, 2], [0, 0, 0]], [[-1577, -611/2, -183/2], [-46657, -2906, 22613/2], [-3153/2, -301, -355/4], [-3/2, 1, -5/4]], [[-708244, -73881, 166139], [-18344556, -2275354, 4295868], [-706908, -73777, 165799], [-552, -8, 116]]], 1, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[14, 2, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -7/2, -5/2], [-8, -9/2, 31/2], [-1, -7/2, -5/2], [0, 0, 0]], [[-22059, 68241/2, 50439/2], [127355/2, -103647, -142315/2], [-22063, 34126, 50445/2], [-5/2, 1, 2]], [[-792576, -247035/2, 410607/2], [-1899857, 658737/2, 363459/2], [-793971, -247655/2, 205691], [-3100, -310, 1395/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -3, 2], [1, -4, 2], [-2, -3, 2], [0, 0, 0]], [[4, 1/2, -1/2], [-4, -25/2, 3/2], [3, 3/2, -2], [-1, -2, 1/2]], [[-318, -36, 66], [1245/2, 669/2, -181], [-242, -129/2, 85], [247/2, 57, -38]]], 0, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[10, 0, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -4, -1], [17, -29, -1], [4, -4, -1], [0, 0, 0]], [[-117786, -11271, 58913/2], [-201565, -27841/4, 225039/4], [-117786, -11271, 58913/2], [-3/2, -5/4, 3/4]], [[27111165, 7318429/2, -12545929/2], [44131436, 7125661, -9897239], [27111165, 7318429/2, -12545929/2], [582, -279, 9]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-82, -5/2, -3/2], [6, -98, 1], [-82, -5/2, -3/2], [0, 0, 0]], [[87435723, 20942819/2, -21145210], [85882217/2, 2835021, -21458573/2], [961794921/11, 230371681/22, -232597262/11], [41/22, 7/22, 1/22]], [[-538821230145, -138209672525/2, 127041432987], [-516426388491/2, -122020141261/4, 234678099189/4], [-5927047651563/11, -1520305269247/22, 1397458544865/11], [-147083/11, 23511/44, 115917/44]]], 1, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[18, 2, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 1, 2], [-11/2, 15/4, 15/4], [-1, 1, 2], [-2, 1/4, 3/4]], [[0, 7/2, -3/2], [0, 0, 0], [0, 7/2, -3/2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[31, -31/2, 5/2], [3, -21/4, 1/4], [-217/11, 1581/22, -255/22], [9/22, -31/44, 5/44]], [[11652, 2825/2, -5461/2], [561/2, 33, -121/2], [5514, 1461/2, -2733/2], [99/2, 11/2, -11]]], 1, 9, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -4, 6]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1/2, 1, 0], [1/2, -1/2, -5/2], [0, 0, 0]], [[-44, -123/2, -7/2], [-6953370/391, -994660/391, 1577014/391], [-178464, -20064, 43263], [-755/782, -455/391, -3/782]], [[-251979, 3890887/2, -1595867/2], [45934937595/391, 7016979655/391, -11403874929/391], [1166776578, 154085778, -277540131], [-3874325/782, 30787575/782, -12623793/782]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-452, 2439/2, -5/2], [11392845/6647, -61336735/13294, -24577/6647], [-12413/17, 66523/34, 23/17], [8247/13294, -22197/13294, -2/6647]], [[-4354305, -1644375/2, 3126505/2], [218691886067/13294, 41012482285/13294, -78582698141/13294], [-233007297/34, -22012063/17, 42122406/17], [78978235/13294, 7423805/6647, -14198630/6647]]], 1, 30, [], [] >,
< [ 2, -4, -1, 1 ], [[-84, -12, 20]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1/2, 1/2, 8], [-22, -12, 11], [3/2, -2, 3/2]], [[0, 0, 0], [-154067/2, -12947, 17347], [1318129, 162107, -309827], [-92469/2, -12911/2, 21855/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 4, -2], [-57, 2, -4], [0, 0, 0]], [[0, 0, 0], [-1206/17, -3089/34, 13/34], [113, 96, -12], [-13/17, -31/34, 1/34]], [[0, 0, 0], [-2007/34, -963/34, 767/34], [63, 30, -24], [-21/34, -5/17, 4/17]]], 0, 144, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -4, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-91/2, -58, -9/2], [-27/2, -65/2, 35/2], [-139/2, 39/2, 18], [-5/2, 5/2, 5/2]], [[1315725/2, 99300, -322725/2], [210303, 127905/2, -131269/2], [1027469/2, 93851/2, -113932], [6809, 1211, -1829]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17/2, -13/2, 0], [-17, -7/2, -11/2], [-15/2, -1, 1/2], [0, 0, 0]], [[464380, 342697, -46747], [37648315/34, -4543068/17, 11631697/34], [427215, -9312, -18728], [-101/34, 11/34, -1/17]], [[395527128543, 60118165039/2, -187444286139/2], [21866625339097/34, 2515521799584/17, -3416124890803/17], [259832212831, 84366395881/2, -135969989963/2], [-59345255/34, -10796511/34, 16173081/34]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[-14, 0, 2]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-324476, 128627/2, 9/2], [-299660042303/497278, 219640255031/497278, 424991/497278], [-838327/248639, 384461/248639, -3/497278], [206093/497278, 406730/248639, 1/248639]], [[84948877874488, 12141139677665, -17578617751312], [60747124886825245895/497278, 580328468662726903/248639, -7685092030869615534/248639], [195357943569480/248639, 35350943348775/497278, -44239208628585/248639], [-148345150317817/497278, -30651546419181/248639, 15770057314503/497278]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[230241, -419755/2, -5/2], [120035769738/248639, -218833309795/497278, 1799257/497278], [632234/248639, -1152647/497278, -1/497278], [0, 0, 0]], [[465681389011506, -62938490847405/2, -85378319811443/2], [5341366732003318875549/5470058, -180488959657331687829/2735029, -244843880656560259532/2735029], [14066170416913966/2735029, -950646807568111/2735029, -2578856290164927/5470058], [-12950501/5470058, 15076431/5470058, 1/5470058]], [[1338616756671023448949584851, 361334896404996285091446519/2, -637109626492491599847877797/2], [7676937875577819939668117397959040/2735029, 2072240903915441850910018061132667/5470058, -1826905653131528547562070012491574/2735029], [40433547394063631006188254259/2735029, 10914304546966321395735079223/5470058, -9622102226698781812436962241/2735029], [-8792715828383197236/2735029, -1523011979965750110/2735029, 2423375334328817322/2735029]]], 1, 54, [], [] >,
< [ 2, -4, -1, 1 ], [[50, 12, -10]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4325739, -44279/2, -3/2], [-4436996592129/497278, -30659042692/248639, -160463/248639], [-11778443/248639, -112817/248639, -3/497278], [390913/497278, -204101/497278, 5/497278]], [[-65801672809908, -63557017140573, 3135218151406], [-67555554332220837255/497278, -32827876666548059595/248639, 1340853015474117375/248639], [-179253339197122/248639, -347378259361431/497278, 7810032638554/248639], [5618350965045/497278, 1633146424455/248639, -3134743213875/497278]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6519384, -90691/2, -1/2], [-13669512, -189845/2, 0], [-72, -1/2, 0], [0, 0, 0]], [[-2286710543568663914, 488406536372167497/2, -46076169613939151/2], [-26227063854493150310725473/5470058, 2801160671026621245273235/5470058, -132130270249962254310364/2735029], [-69071543433536621413/2735029, 7377106650111014034/2735029, -695953606464750254/2735029], [10776569/5470058, -5537601/2735029, -2/2735029]], [[48324109540891073579118569353806, 13935847303374380600834601015010, -12934241615717471955821956181296], [277121101796001373932372772263579787321/2735029, 79917699933939672796606763389482616421/2735029, -74173664650426375718632798175485854745/2735029], [1459651447537478751312575460095890/2735029, 420942158352938334677562663660326/2735029, -390687225060381717374987570807400/2735029], [-58099885440048177600/2735029, -32908320654550445728/2735029, 32117657995737345693/2735029]]], 1, 1080, [], [] >,
< [ 2, -4, -1, 1 ], [[30, -2, -4]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [915/34, -577/34, -14/17], [-45/2, -1, -3/2], [0, 0, 0]], [[68, 153/2, 9/2], [-384143393/46, -5814643/23, 56970698/23], [17599447/2, 5566847/2, -2353435/2], [1155/782, 564/391, 1/391]], [[1279152, 2176335, -1163673], [-117199674035833/782, -10906891812539/391, 15318854763734/391], [378154632053/2, 55560130593/2, -92717549661/2], [10366461/391, 17233020/391, -9256086/391]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-712, -30, 1], [60159903/13294, 2596479/13294, -13308/6647], [-1134655/34, -24816/17, -173/34], [6447/6647, 282/6647, 1/13294]], [[68285912, 17020823/2, -32145245/2], [-5773702668739/13294, -359785704863/6647, 679485392258/6647], [108939119197/34, 13576986861/34, -25641275021/34], [-1237942585/13294, -154283681/13294, 145688828/6647]]], 1, 360, [], [] >,
< [ 2, -4, -1, 1 ], [[30, -2, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[97/2, 44, -1/2], [20, 89/2, -9/2], [93/2, 3/2, -1], [0, 0, 0]], [[4167837/2, -2327805, -1400415/2], [4146669/2, -3491594, 467097/2], [456313/2, 2311069/2, -927891], [-1/2, -2, -3/2]], [[-152256105980, 98286713092, -11560352644], [-323054301893/2, 244222786263, -73037910366], [-21202552422, -142612066602, 65525528629], [491925/2, -32025/2, -66075/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-49/2, -65/2, -2], [-16, -77/2, 17/2], [-55/2, 1, -3/2], [0, 0, 0]], [[222725475/2, 257897745/2, 5185845], [1293020030/17, 2542688120/17, -1181380287/34], [235125549/2, -1014111, 6200169/2], [18/17, -63/34, -2/17]], [[7722263930921820, 986472186230790, -1845424714596750], [209096623515691561/34, 29961606007008625/34, -51198985063754715/34], [5277079632642399, 599758852330764, -1222591652934228], [261077427/34, -8646729/17, -17431557/17]]], 1, 240, [], [] >,
< [ 2, -4, -1, 1 ], [[108, 8, -24]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 2, 3], [2, 0, 1], [0, 0, 0]], [[0, 0, 0], [6555/2, 209/2, -985/2], [2906, 65, -517], [-5/2, -2, -2]], [[0, 0, 0], [2957828940, 652339345/2, -1359060711/2], [2591621305, 292223286, -597247247], [-3627734, -533923/2, 1615255/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-817, 4, -2], [-43, 4, 0], [0, 0, 0]], [[0, 0, 0], [-4906697498502/17, -475830031304/17, -46496431935/17], [-15218396830, -79571686, 43219172], [-1/17, -11/17, 2/17]], [[0, 0, 0], [21538494504338842373/34, 2768205937828528579/34, -5187645663172696559/34], [31905395215567531, 4174026172904536, -7693400674133264], [24550015/34, 907960/17, -2727370/17]]], 0, 1440, [], [] >,
< [ 2, -4, -1, 1 ], [[38, 6, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, 1/2, -1/2], [-7, -29/2, -19/2], [-9, 1/2, -1/2], [0, 0, 0]], [[22921, -73913/2, 23433/2], [58561/2, -36604, 22663/2], [22930, -36960, 23423/2], [5/2, 1, -2]], [[2379829225, 1201737175/2, -1378494175/2], [4349731093, 1725608855/2, -2308041975/2], [2381766258, 1202151335/2, -689719280], [785568, 76653, -365897/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, 3, 1], [-5, -9, -2], [8, 3, 1], [0, 0, 0]], [[-1376, -174, 324], [2753/2, 170, -665/2], [-1374, -359/2, 320], [-1/2, 1/2, -3/2]], [[140193664, 34929219/2, -65987909/2], [-279720673/2, -17429492, 65830829/2], [140343924, 17481412, -33030172], [122045/2, 6105, -28215/2]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[26, 4, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, -3, 1], [-1, -24, -9], [-6, -3, 1], [0, 0, 0]], [[-8740, -5135/2, 3413], [-40755/2, -5137/2, 15066], [-17465/2, -5137/2, 13649/4], [-2, 0, 1/4]], [[467690, 92315, -231287/2], [1674465/2, 703635/2, -175926], [934635/2, 92295, -462259/4], [105, 15/2, -95/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, 3/2, 3/2], [11, -33/2, -15/2], [8, 3/2, 3/2], [0, 0, 0]], [[-114439, -108885/2, 42060], [-4166, -53975, 30853], [-228879/2, -54443, 168241/4], [-3/2, 0, 1/4]], [[-3934898, -2715321/2, 1902315/2], [-2344101/2, 264576, 2607049/2], [-3934913, -1357677, 951158], [-93/2, -7, 15/2]]], 1, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[38, 6, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 11/2, 1/2], [22, -3/2, 15/2], [2, 11/2, 1/2], [0, 0, 0]], [[-85197, -61849/2, 8291/2], [-831097/2, -174322, 133943/2], [-85202, -30914, 4147], [-1/2, 1, -5/2]], [[25848593091, 6404860251/2, -12180022201/2], [252464087585/2, 15698736565, -59489487949/2], [25848520932, 3202420468, -6089990894], [307951/2, 15873, -72159/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -9/2, -5/2], [-21, 23/2, -3/2], [4, -9/2, -5/2], [0, 0, 0]], [[69005, 14259/2, -14737/2], [-1773623/2, 8037, 318095/2], [69008, 7125, -7372], [-3/2, 2, 3/2]], [[-38853839, -4594658, 9034892], [931494803/2, 110100693/2, -108343508], [-38853898, -9189331/2, 18069817/2], [251/2, 13, -59/2]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[-88, -10, 22]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 0, -1], [-27, -7, 0], [1, 0, -1], [0, 0, 0]], [[2877/2, -727/2, 49], [-96885/2, -17775/2, 14095], [2885/2, -739/2, 45], [-2, 3, 2]], [[-42058037, -4827642, 9698625], [1622144606, 409098443/2, -766081677/2], [-42068195, -4827667, 9701374], [5079, 25/2, -2749/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[51, 7/2, 5/2], [71, 17/2, 7/2], [51, 7/2, 5/2], [0, 0, 0]], [[-269150743/2, 71860637/2, -4797732], [-187068067, 80233681/2, -8306293/2], [-269150741/2, 35930316, -9595467/2], [-1/2, 3/2, 0]], [[11044840482909/2, 1368890841081/2, -1320360474228], [7868018450942, 970227814015, -1880963609429], [11044840534809/2, 684445419849, -2640720964893/2], [-20409/2, -93, 5541/2]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[-64, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-14, 29/2, 5/2], [-16, 51/2, 15/2], [-14, 29/2, 5/2], [0, 0, 0]], [[0, 0, 0], [2, 0, 0], [-1, 0, 0], [1, 0, 0]], [[-21255, -13625/2, 22345/2], [-10583, -285/2, 26117/2], [-21255, -13625/2, 22345/2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-22, -1, 1], [0, -5, -1], [-22, -1, 1], [0, 0, 0]], [[-426352, 334425/2, -62969/2], [13076, -244343/2, 30569/2], [-426360, 334429/2, -62969/2], [4, -1, 0]], [[558079514, 194971747/2, -221994297/2], [48242365, 37840208, 4514299], [558090688, 194975445/2, -221998915/2], [-5587, -1849/2, 2309/2]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[34, 8, -10]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 1/2, -5/2], [3, 9/2, 3/2], [-1, 1/2, -5/2], [0, 0, 0]], [[14356, 5846, -2886], [-131067/2, -11768, 26775/2], [14352, 11707/2, -5771/2], [-1/2, -3/2, 2]], [[-1424235450, -179418624, 334507602], [5893124379, 736606523, -1385508608], [-1424202684, -179417850, 334499260], [66306, 8041, -16383]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -3/2, -5/2], [42, -13/2, -9/2], [5, -3/2, -5/2], [0, 0, 0]], [[-7903, -685/2, 1137/2], [-62693/2, -268363/2, 63151], [-7901, -345, 567], [3/2, -1/2, -1]], [[250805808, 30199224, -57899512], [4981999419/2, 445052027, -1287724049/2], [250789232, 60398357/2, -115790001/2], [-66395/2, -7553/2, 8288]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[34, 8, -10]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -5, -1], [-31, -13, -8], [-2, -5, -1], [0, 0, 0]], [[80786, 8475/2, -14269/2], [1206671/2, 265578, -343431/2], [80783, 4244, -7132], [1/2, 1, 3/2]], [[-19099419584, -4779561619/2, 9044925309/2], [-162548399565, -39628960421/2, 76391386213/2], [-19099572512, -4779566947/2, 9045006525/2], [-308520, -35856, 76464]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, -2, -2], [65, 5, 6], [-6, -2, -2], [0, 0, 0]], [[4834751, -27066, -233531], [-92371183/2, 1770896, 8881059/2], [4834755, -54159/2, -467065/2], [-11/2, 1/2, -2]], [[-114972138417, -28280938955/2, 55122536831/2], [2136004845015/2, 267041479089/2, -254491057521], [-114972069299, -14140469332, 27561249790], [276763/2, 31867/2, -34559]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -12, 4], [9, 1, -4], [0, 0, 0]], [[0, 0, 0], [-45765/2, -18413/2, 12948], [67101, 22799, -9610], [3/2, -2, 5/2]], [[0, 0, 0], [-864569213/2, -52253854, 198942023/2], [1345949534, 163030710, -318807790], [39355/2, 5979/2, -5487]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10862/11, -2335/11, -233/11], [205/11, 46/11, 5/11], [0, 0, 0]], [[0, 0, 0], [-2527426245/22, -73045647/22, -289097946/11], [23771727/11, 1060020/11, 5550211/11], [9/2, 0, 5/2]], [[0, 0, 0], [-1078973981660451/22, -72536657078961/11, 277576718067923/22], [10232377745017/11, 1367848500827/11, -2632342133164/11], [4058147/2, 563137/2, -549082]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[38, 6, -8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, 5/2, 4], [-5, 11/2, -3/2], [-9/2, 1, 3/2], [0, 0, 0]], [[-22225, -4193, 4620], [-25613/2, 3131/2, 1647], [-15534, -2088, 3348], [-15/2, -1, -5/2]], [[-9926536865, -1259501040, 2324425817], [-5026481567, -609175064, 1175381169], [-6762470621, -847888747, 1587250614], [-3619380, -504780, 799056]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[241/2, 101/2, 4], [8506/11, 2131/22, 207/22], [887/22, 34/11, 5/22], [0, 0, 0]], [[33835579, 7600491, -3245324], [4564852617/22, 84882780/11, -357182641/22], [118005776/11, 649001/11, -9086927/11], [-7/2, -5/2, -1]], [[-2758428459392, -377142565888, 619128943048], [-345070507295909/22, -21562461478429/11, 77333101513477/22], [-8799176510733/11, -1079899714551/11, 1972578264244/11], [721073/2, 123939/2, -72664]]], 0, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[-60, -6, 14]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[23, 15/2, 5/2], [25, 3/2, -3/2], [23, 15/2, 5/2], [0, 0, 0]], [[-696075/2, 683271/2, -84883], [-333775, 338950, -84782], [-696069/2, 341636, -84884], [3/2, 1, 0]], [[-181908600, 417307761/2, -111626735/2], [-174488382, 411802511/2, -112112407/2], [-181907293, 417308551/2, -55813764], [909, 141, -511/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15, -1/2, 5/2], [-7, -1/2, -7/2], [15, -1/2, 5/2], [0, 0, 0]], [[7, -14, -15], [0, 3/2, 25/2], [15, -34, -15/2], [3, -13/2, 1]], [[-26895/2, -2620, 5427/2], [32573/2, 2773, -7161/2], [-24753/2, -2178, 2348], [782, 119, -493/2]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[-60, -6, 14]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 0, 1/2], [-107/2, 0, -9/2], [3/2, 0, 1/2], [0, 0, 0]], [[-26658, -11803/2, 5725/2], [934565, 314413/2, -308349/2], [-26654, -11809/2, 5721/2], [-3, 5, -1]], [[382925, 113053/2, -166533/2], [-13044297, -1780826, 2940690], [382893, 113059/2, -83256], [14, -9/2, -2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19/2, -2, -5/2], [-11/2, -36, -25/2], [-19/2, -2, -5/2], [0, 0, 0]], [[21, -29, -24], [10, 3/2, -15/2], [1, 7, 3/2], [5, -21/2, -5]], [[13679/2, 5991/2, -588], [71015/2, 10525/2, -8415], [36899/2, 4443/2, -4587], [-4386, -258, 1419]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[-24, -2, 6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -2, 2], [7, -3, 3], [-3, -2, 2], [0, 0, 0]], [[8906, 1930, -994], [-20634, 5563/2, 9815], [17811/2, 3855/2, -3983/4], [3/2, -2, 5/4]], [[621200313/2, 38707202, -145431611/2], [-556109083, -68474046, 264938919/2], [310533658, 38698431, -290802899/4], [27566, 1969, -22733/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -3/2, 0], [-19/2, 3/2, -6], [3/2, -3/2, 0], [0, 0, 0]], [[629, -24, -104], [-7743, -407/2, 1482], [1249/2, -53/2, -415/4], [3/2, 2, -3/4]], [[-100407/2, -6632, 24051/2], [1271613/2, 80202, -152250], [-49586, -13589/2, 46997/4], [-455/2, 65/2, 325/4]]], 1, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[98, 12, -22]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13, -3, 0], [0, 14, 0], [-13, -3, 0], [0, 0, 0]], [[-338381, -106601/2, -16843/2], [-30640, 865655/2, -54305/2], [-338379, -106609/2, -16841/2], [0, 2, -1]], [[3499990891, 436189557/2, -1862914469/2], [-3450415677/2, 78691342, 1218994709/2], [3499987988, 218094248, -931457221], [-12673/2, -1438, 2903/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 7/2, 5/2], [6, 17/2, -3/2], [9, 7/2, 5/2], [0, 0, 0]], [[5201088, 665792, -1117344], [8857433/2, 749130, -2122345/2], [5201084, 1331591/2, -2234687/2], [-9/2, -3/2, 2]], [[655707841856, 73700649664, -156898805728], [563417278721, 69135908584, -135572292985], [655707585530, 73700600738, -156898804436], [-561578, -126871, 128163]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[38, 6, -8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -9/2, -3/2], [-3, 9, 0], [-5, -9/2, -3/2], [0, 0, 0]], [[14977, 5195/2, -6911/2], [-3757, 11811/4, -3401/4], [14977, 5195/2, -6911/2], [1/2, 11/4, 1/4]], [[21488176, 2685156, -5048044], [-3535285, -498430, 847717], [21488176, 2685156, -5048044], [2552, 354, -566]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-103, 3/2, -3/2], [2, 1, -3], [-103, 3/2, -3/2], [0, 0, 0]], [[48810286, 14880483/2, -26843609/2], [-860650, -91843/4, 56509/4], [536921392/11, 163692071/22, -295279513/22], [-133/22, -109/44, -3/44]], [[96294158515155, 12135032427555, -23045794518920], [-1687797795141, -412690399479/2, 718099282791/2], [96295871663319, 12135301648605, -23046155421602], [-13815711, -4342275/2, 5821011/2]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[-50, -4, 14]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-225/34, 471/17, 603/34], [-5/2, 19/2, 4], [0, 0, 0]], [[876, 629/2, -5/2], [-12642863655/782, -1142960572/391, 2227364329/782], [-7290697/2, -5809901/2, 1542939], [-3937/782, -718/391, 3/782]], [[5289353137, 985151829, -1326923526], [-69568690513237417/782, -9931590996790069/782, 8353144706310672/391], [-53929054957703/2, 2601212932490, 7462320745319/2], [-11920169464/391, -4427238095/782, 5972410169/782]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [225/34, -250/17, 247/34], [-11/2, 19/2, 5], [0, 0, 0]], [[3773, 16183/2, -1/2], [162187469/6647, 70543655/13294, -59270405/13294], [-4355/17, 2059/34, 19783/34], [8247/13294, 17685/13294, -2/6647]], [[-50686167420, -6162295320, 11868665670], [-2300220334909585/13294, -143261642174294/6647, 541366054216265/13294], [22676340819/34, 2139342055/34, -2510908468/17], [-55390498920/6647, -6734177460/6647, 12970204650/6647]]], 0, 480, [], [] >,
< [ 2, -4, -1, 1 ], [[-50, -4, 14]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-87, -195/2, -9/2], [4, -100, 2], [-90, -3/2, -3/2], [0, 0, 0]], [[-109755690, -28823333/2, 51186355/2], [-69375015/2, -10263649/2, 8153228], [-74880260, -18564435/2, 34875437/2], [-1/2, -2, -1/2]], [[499051975062707/2, 62046949818271/2, -58784247190460], [79433602513709, 19819371751623/2, -37511470512011/2], [339333608813029/2, 21074881434479, -79859104560479/2], [3600640, 292210, -1005550]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[477/2, 229, -3/2], [-931, 433/2, 23/2], [469/2, 5/2, -2], [0, 0, 0]], [[3604711464, 948752460, -758819340], [-19269451605/2, -462570, 3225944599/2], [2656140867, 189750237, -474284916], [15/2, 5/2, 0]], [[-112467979953368820, -10858977374808024, 27147443437020060], [4463205901063469863/17, 669580208505041606/17, -1115046350483517631/17], [-75237174320562732, -10083334048143120, 18615382488385740], [-4343672620/17, -347601198/17, 1216166574/17]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[-36, 0, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-15, 27, -2], [224, 3, 3], [0, 0, 0]], [[0, 0, 0], [-264320027, 5390263/2, 3903603/2], [21849967515, 2151652109, -5197912576], [5, 5/2, 1/2]], [[0, 0, 0], [-520496285808037/2, 90273241553699, 4392344552337/2], [18029732255220448, 1781205458367533, -4089151688371705], [10671215/2, 421/2, -604458]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [99, 2, 5], [29, -2, 1], [0, 0, 0]], [[0, 0, 0], [-69630883597/17, -3875767773/17, 2043595627/17], [-1184995581, 12488535, 46161750], [1/17, -6/17, -2/17]], [[0, 0, 0], [375228638971961289/34, 37911701744160922/17, -98181586693368215/34], [3078966298553076, 651113643519339, -821847598124259], [12741533/34, -2663/34, -708151/17]]], 0, 2304, [], [] >,
< [ 2, -4, -1, 1 ], [[-94, -14, 24]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-973283, -1152647, -1], [-184782395326/248639, -218836293463/248639, -935772/248639], [-973283/248639, -1152647/248639, -1/248639], [0, 0, 0]], [[-6570654509650324, -750635008933445, 1466571268051382], [-2494944339268059741271/497278, -285024179501104953431/497278, 278436039943112032577/248639], [-6570654509440238/248639, -1501270018255277/497278, 2933142536102769/497278], [660825/497278, -610831/497278, 2/248639]], [[-9519233095759016448219757, -2660201527905829775718983/2, 4607500186147220802009993/2], [-3614550032386100616922300259939/497278, -505052467905906193257703627643/497278, 437378641852048042755583894513/248639], [-9519233095667555480827852/248639, -1330100763726542787544681/248639, 2303750092961991407531934/248639], [287694691272729/497278, 356022912655563/248639, -351094988269239/497278]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-902146, 1966107/2, 3/2], [-171282896166/248639, 373276239041/497278, -1419547/497278], [-902146/248639, 1966107/497278, 3/497278], [0, 0, 0]], [[665611716179278, 125248083336919, -69355960368306], [126379823007966660704/248639, 23779195236528099033/248639, -13170283162681081440/248639], [665611714213168/248639, 125248083992292/248639, -69355960368307/248639], [-3, 1, 0]], [[-1280113613379812290768734, -949521035905563637256315/2, 786368681471402912460261/2], [-5347206657014601638164000829397/5470058, -1983052100917085758752707545853/5470058, 821183838943801348280032390488/2735029], [-14081249727955555692203472/2735029, -5222365649904821852519348/2735029, 4325027724634108566316206/2735029], [14585504425954137/5470058, 18049598848371339/2735029, -17799763640674167/5470058]]], 0, 864, [], [] >,
< [ 2, -4, -1, 1 ], [[378, 38, -92]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21993915, -2644481/2, -1/2], [-4175656970076/248639, -502057994695/497278, -1681689/497278], [-21993915/248639, -2644481/497278, -1/497278], [0, 0, 0]], [[28224676804126528413, 6832351049155640253/2, -13299524283945257997/2], [10717192197531510886803693/497278, 1297155982792494549802399/497278, -1262490590737077613382445/248639], [28224676804126982400/248639, 3416175524578208040/248639, -6649762141972629000/248639], [1428015/497278, 610095/248639, 3/497278]], [[24756679249752033925183856080, 3108909194081712975414022908, -5840525406419430036192834340], [4700179399344424242028951496712785/248639, 590241983376088803852761437289146/248639, -1108852973367901004405545007026845/248639], [24756679249752596080614609960/248639, 3108909194081755723874823120/248639, -5840525406419532824515165980/248639], [884131312582708/248639, 67234091750332/248639, -161660805751908/248639]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8474999, 836465, -1], [1609019691950/248639, 158807311214/248639, -1184411/248639], [8474999/248639, 836465/248639, -1/248639], [0, 0, 0]], [[4609928309166442954, 754418985097193757/2, -1630945137559635577/2], [19254778545147282148215981/5470058, 787766998213240818601632/2735029, -3406074125168106057309243/5470058], [50709211399887813012/2735029, 4149304418562294575/2735029, -8970198256577995858/2735029], [9654375/5470058, -5402515/5470058, 1/2735029]], [[176083071731570370287858867031812, 17764545570266957141467248216497, -42058693637026013409857992016818], [735464924946887208385604825412273351011/5470058, 37099557110517189424981665558369092343/2735029, -175671022700174126903814853430478038335/5470058], [1936913789020472603583414763062983/2735029, 390820002543030858748172450935691/5470058, -925291260004977724470615620841957/5470058], [274374459869707788353/5470058, 7274102622711039389/2735029, -49111207958517310083/5470058]]], 0, 17280, [], [] >,
< [ 2, -4, -1, 1 ], [[58, 10, -8]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1487/17, 3525/34, 87/34], [91, -5/2, 5/2], [0, 0, 0]], [[-951, -458, 2], [-884587458635/46, -69776690711/23, 109506049515/46], [-24041604065/2, -8542069639/2, 3318882596], [2137/391, 2083/782, 3/782]], [[64146916149, -4377418219/2, -23889277319/2], [27955178509849359682/23, -14768200099826473613/46, -4243789559690014039/46], [490944871386166954, 1163623378677984361/2, -680043096381085705/2], [-288913691791/782, 9418647805/782, 27023485779/391]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [847/34, -305/34, 20/17], [41/2, 1, 1/2], [0, 0, 0]], [[-14290, 21743/2, -1/2], [212804018495/13294, 9100202805/6647, -47998307089/13294], [543745851/34, 53522403/34, -65260536/17], [-31235/13294, 11884/6647, -5/13294]], [[43972155730, -1227805589/2, -16856824871/2], [-478025203402004781/6647, -115117668745301695/13294, 223789180171850549/13294], [-1224298085726694/17, -299323298507937/34, 576702710005257/34], [96108023549/13294, -672776527/6647, -18419524801/13294]]], 0, 5760, [], [] >,
< [ 2, -4, -1, 1 ], [[58, 10, -8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[647/2, 325, 3/2], [74, 655/2, -1/2], [647/2, 3/2, 0], [0, 0, 0]], [[-21631260651, -24200960245, 129184594], [-3880637650, -25663020010, 813175750], [-22980702815, 1478626702, -674721075], [5, -1, 2]], [[32225705702821400, 8069194681169160, -5952577835826160], [28953375850222573/2, 5674527343253936, -4960405368148587/2], [23123739179589531, 3149388769114021, -4550983306015384], [-9954453/2, -1718163/2, 682776]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[817/2, 421, 9/2], [-3899, 827/2, -19/2], [825/2, 1/2, 2], [0, 0, 0]], [[399052342612536, 393965660273600, -2276000181848], [-63805184656525761/17, 6812681160500601/17, 195229513483658/17], [397647001534088, -870659103472, -702670539260], [-16/17, 28/17, -2/17]], [[7445627486057922462840, 779219900679546436440, -1846344231408681139520], [-1534426247887745775450051/34, -86882133062693821460451/17, 364937326285043643777423/34], [5035595809073311332151, 563687445576207048885, -1205015838492456315040], [-78770917/34, -13581655/34, 5432220/17]]], 0, 3840, [], [] >,
< [ 2, -4, -1, 1 ], [[236, 16, -60]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, -1, -3], [165, 1, 4], [0, 0, 0]], [[0, 0, 0], [961038861/2, -2211145, -20324671/2], [-3836902305, 22238332, 316692449], [1/2, 3/2, 1]], [[0, 0, 0], [-871534673105043/2, -89150318719125/2, 100945364600418], [3421156091498033, 368797600856326, -793015285374357], [-2663799/2, -90354, 677241/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1191, 5, 2], [337, 4, 3], [0, 0, 0]], [[0, 0, 0], [-20266780019261/2, 110714621185, 163856837253/2], [2868715104609, 12310663264, 5342053981], [-5/2, 5/2, 0]], [[0, 0, 0], [-3710850167687701756928/17, -515865420268422069098/17, 834745143501929039110/17], [62324138915226144189, 8757113747886846654, -13968814800575594491], [-507974988/17, -34457574/17, 129138006/17]]], 0, 23040, [], [] >,
< [ 2, -4, -1, 1 ], [[78, 8, -22]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[20, -6, -2], [-73, -17, 4], [20, -6, -2], [0, 0, 0]], [[2430615, -209495/2, 139735/2], [-33762005/2, 15173105/2, 8280953], [2430629, -104741, 69876], [9/2, -3/2, 2]], [[58449296871550, 19046981329675/2, -28850939190125/2], [-286414359980266, -65414635851805/2, 142638618054427/2], [58449753119068, 19047153601645/2, -28851161981015/2], [100589109, 23332260, -26945541]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -7/2, 1/2], [-17, 37/2, -13/2], [2, -7/2, 1/2], [0, 0, 0]], [[0, 0, 0], [748, 113/2, -363/2], [33, 0, -1], [-8, -5/2, -1/2]], [[0, 0, 0], [-299992577/2, -40227207/2, 36088427], [-6323125, -3633513/2, 3770017/2], [3648915/2, 422951, -974705/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[196, 24, -44]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, -3, 18], [15, -4, 5], [0, 0, 0]], [[0, 0, 0], [-42997, -6227, -34268], [-78972, -917, -209], [8, 2, 0]], [[0, 0, 0], [50742241895/2, 4434223811/2, -4789972502], [37588359365, 4009607604, -8298360389], [-8407739/2, -512102, 1888443/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5389/11, 3218/11, 81/11], [85/11, 62/11, 1/11], [0, 0, 0]], [[0, 0, 0], [-315794915/2, -100500225/2, 11409899], [-2981699, 143431, -202066], [9/2, 0, -1/2]], [[0, 0, 0], [1345740510577/2, 99863562597, -295119964235/2], [11196979272, 1446643917, -2346230467], [-33449/2, -4075/2, 3771]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[54, 2, -12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-53/2, -32, -3/2], [-64, 1/2, -43/2], [-57/2, 1/2, -1], [0, 0, 0]], [[-9865408, -12713337/2, 2762011/2], [-41933453/2, 3895209/2, -2170301], [-8801542, 634277/2, 1063861/2], [-1/2, 0, -3/2]], [[4488687357/2, 280916482, -1073103185/2], [3694628679, 799342617/2, -1712988577/2], [3061812369/2, 353772447/2, -356718971], [154, 7, -35]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[127/2, 69/2, 5], [6460/11, 4529/22, 493/22], [469/22, 45/11, 5/22], [0, 0, 0]], [[22040786551, 7163811105, -96019874], [4458556718735/22, 656429617075/22, -13378560862/11], [80711275598/11, -426567398/11, -157412760/11], [11/2, -2, 5/2]], [[-318959237455925563, -33403523019589687, 76522068524052552], [-29931902462327965633/11, -3025642651784197530/11, 7061812481211916881/11], [-1012867222685146033/11, -98157142928764284/11, 234974974482473649/11], [-66054142, -2486792, 14673428]]], 0, 512, [], [] >,
< [ 2, -4, -1, 1 ], [[54, 2, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[106, 9/2, 1/2], [85, 13/2, -1/2], [106, 9/2, 1/2], [0, 0, 0]], [[1883021955, 263546921/2, -142171233/2], [1513996849, 147473280, -70547391], [1883021956, 263546919/2, -142171239/2], [1, -5/2, -1/2]], [[-165393766599265, -35295301020727/2, 76773549121447/2], [-268653444398219/2, -14534545154651, 62532212301249/2], [-165393766579302, -17647650526276, 38386774556719], [48027/2, 5977, -19963/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33, 7/2, -3/2], [-14, -71/2, 1/2], [-33, 7/2, -3/2], [0, 0, 0]], [[-1140615, -10863/2, -3621/2], [-577351, -1106309, -28420], [-1140610, -10889/2, -3631/2], [-3, -5/2, -5/2]], [[-1464533966586, -415215847914, 484557729960], [-3359791516567/2, 231391076250, 646303596367/2], [-1464539173836, -830423370853/2, 969117491145/2], [-12504025/2, -3176025/2, 2603625]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[54, 2, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13, -4, 1], [-192, -10, -2], [-13, -4, 1], [0, 0, 0]], [[1964073, 104441/2, 62835/2], [40169784, -34392930, 12880332], [1964076, 104425/2, 62831/2], [-2, -1/2, -3/2]], [[-700688776, -274215135/2, 407537941/2], [-15801927203/2, -5724616620, 8237546455/2], [-700688077, -137108069, 203768849], [1793/2, 228, -699/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 5, 1], [-41, -4, -3], [0, 5, 1], [0, 0, 0]], [[488400, 8558, -18326], [-15340451/2, -4436747/2, 2055492], [488403, 17105/2, -36651/2], [1/2, 2, -3/2]], [[-28757552967, -7736726547/2, 11586750351/2], [487300471967, 142719274931/2, -229940730463/2], [-28757606695, -7736641507/2, 11586772031/2], [-64936, -16024, 26864]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[54, 2, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13, -1/2, 1/2], [-7, -5/2, 5/2], [13, -1/2, 1/2], [0, 0, 0]], [[-22113, -2916, 3645], [26495/2, 2120, -6727/2], [-22117, -5807/2, 7295/2], [9/2, 1/2, 2]], [[-2066181372, -294667632, 529700148], [2485234547/2, 133110218, -564837659/2], [-2065792826, -589983335/2, 1059295003/2], [906113/2, 283253/2, -194273]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, -13/2, -3/2], [-44, -39/2, -11/2], [9, -13/2, -3/2], [0, 0, 0]], [[11369760, 84960, -150720], [-242994479/2, 14123697/2, 35338632], [11369765, 169905/2, -301443/2], [5/2, 1, -5/2]], [[221646096000, 17780791280, -40989418960], [-2174621051993, -183176047164, 532175099041], [221646134170, 17780760590, -40989426330], [45650, 11715, -19085]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[54, 2, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, 1/2, 5/2], [-140, 7/2, 11/2], [8, 1/2, 5/2], [0, 0, 0]], [[-132829000, -1094875, 1335225], [4246292149/2, 82436125/2, -300832014], [-132828995, -2189785/2, 2670445/2], [-15/2, 0, -5/2]], [[-437538471875, -87519467250, 137418048625], [13670561548153/2, 2419689374655/2, -1851925751629], [-437538493860, -175038899543/2, 274836106147/2], [-52983/2, -6544, 21985/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-18, -13/2, -5/2], [127, 7/2, 13/2], [-18, -13/2, -5/2], [0, 0, 0]], [[-311445000, -33260625/2, 15730875/2], [2068081320, -315252333, -38494675], [-311444997, -33260639/2, 15730877/2], [-1, 5/2, -3/2]], [[-33313034905875, -4083443894250, 7979861012625], [400229260492971/2, 25341666251621, -95768094396245/2], [-33313034919087, -8166887767233/2, 15959722029651/2], [-31581/2, -8811/2, 6606]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -2, 2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 7/2, -3/2], [27, 1/2, -5/2], [9, 7/2, -3/2], [0, 0, 0]], [[223, 46, -910], [3525, -7890, 2715/2], [457/2, 69/2, -3625/4], [3/2, -5/2, 5/4]], [[65761/2, 7107/2, -7881], [84730, 11187, -20813], [67117/2, 3640, -16083/2], [887/2, 56, -209/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, 1, 3/2], [13/2, 10, -1/2], [-9/2, 1, 3/2], [0, 0, 0]], [[90423/2, 29243/2, -12128], [-354679/2, 52081, 41227/2], [90395/2, 29269/2, -24261/2], [-6, 3/2, -1]], [[28316546153, 8368093663/2, -14053248617/2], [-88095721869, -4222559578, 34963633139/2], [56622170779/2, 4184949294, -28104128579/4], [-6747947/2, 51428, 2574367/4]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -2, 2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, -5, 0], [-1, 0, 3], [-11, -5, 0], [0, 0, 0]], [[252311/2, 12581, -49513/2], [-7047, 27881, -13054], [252301/2, 25147/2, -24759], [5/2, 5/2, 0]], [[361577/2, 29934, -93147/2], [18485, -70329/2, 12226], [180774, 29934, -186277/4], [6, -1/2, -5/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -3/2, -2], [-29/2, 17/2, 3], [1/2, -3/2, -2], [0, 0, 0]], [[222, -1/2, -51/2], [3402, 123, -1399/2], [453/2, 2, -103/4], [-3/2, -2, 3/4]], [[27285, 4820, -6310], [426978, 56172, -206175/2], [55935/2, 9965/2, -25695/4], [-585/2, -65/2, 195/4]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[22, 0, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, 0, 2], [67, -2, 3], [-10, 0, 2], [0, 0, 0]], [[53055, 5957/2, -1641/2], [-989727, 2076015/2, 1103375/2], [53052, 5967/2, -821], [-1, -2, 3/2]], [[5440405719, 692744731, -1359892520], [-67151659749/2, -12313104161, 10970116565/2], [5440344918, 1385403467/2, -1359870953], [-329199/2, -17667/2, 60801/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 1/2, 5/2], [31, -3/2, -5/2], [-4, 1/2, 5/2], [0, 0, 0]], [[-1152195, -110825/2, 261525/2], [20199871/2, 2610890, -6168311/2], [-1152194, -55412, 130762], [5/2, 0, -1/2]], [[5820980880, -482487720, -1338514320], [-92668369431/2, -11877694621, 25797985635/2], [5820976691, -964981047/2, -1338512852], [-22363/2, -1253/2, 4189/2]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[22, 0, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, -2, -1], [60, 0, -2], [9, -2, -1], [0, 0, 0]], [[-627762, 32407, -17181], [-16207501/2, 5331426, 8222111/2], [-627757, 64797/2, -17181], [3/2, 5/2, -5/2]], [[-337481670231, -91707649047/2, 167159856159/2], [-2494028779820, -910246149857/2, 1086228570783/2], [-337481222531, -91707066553/2, 167159561161/2], [1186647, 76351, -223850]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, -2], [3, 1, 8], [0, 0, -2], [0, 0, 0]], [[475, 24, -73], [-11391/2, -1163/2, 1165], [473, 57/2, -70], [1/2, 2, 1]], [[-2395281, 1219155/2, 349013/2], [26412693, -546772, -4569821], [-2397990, 1215033/2, 351119/2], [-7479, -603/2, 2709/2]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[54, 2, -12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[20, 3/2, -1/2], [27, -15, 18], [20, 3/2, -1/2], [0, 0, 0]], [[37857, 12207/2, -16279/2], [41373, 22383/2, -12723/2], [37857, 12207/2, -16279/2], [-4, -1/2, -1/2]], [[3, -5/2, 1/2], [4, -33/4, 11/4], [3, -5/2, 1/2], [3/2, -5/4, 1/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[221, -7/2, -5/2], [-145, -14, 3], [221, -7/2, -5/2], [0, 0, 0]], [[3051419, -83917323/2, -47298717/2], [-5052907, 134204491/4, 79314739/4], [33566167/11, -923082927/22, -520285577/22], [-9/22, -123/44, -5/44]], [[340909787509, 44701199975/2, -181544364127/2], [-473008591251/2, -26665920365/2, 64276877793], [340906401007, 44700958919/2, -181542867571/2], [54621/2, 972, -12069/2]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[362, 52, -86]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, 2, 1], [-26, 18, 20], [-15, 2, 1], [0, 0, 0]], [[-13123110, -6545, 1924065], [-37909849/2, 9185133, 23574435/2], [-13123106, -13101/2, 3848123/2], [5/2, -3/2, -2]], [[-19829856913680, -5973297813065/2, 9801076572155/2], [-37662592635813/2, -4909239106443/2, 4130460217603], [-19829856070744, -2986648460566, 4900538087436], [4263677/2, 445653/2, -421468]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[14, 0, 2], [-77, 1, -30], [14, 0, 2], [0, 0, 0]], [[18418454, 3566317/2, -7589971/2], [-212458155/2, -18275745/2, 20172335], [18418450, 1783178, -3794982], [23/2, 3/2, 2]], [[5252968817837970, 630058417596655, -1218731492601775], [-60537138546666813/2, -7135814753396343/2, 6968573251587801], [5252970243497857, 1260118345513441/2, -2437463656598049/2], [7212959679/2, 377132694, -1425659887/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[-88, -10, 22]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33, -1/2, -3/2], [117, 11/2, -3/2], [-33, -1/2, -3/2], [0, 0, 0]], [[-545854827/2, 25899510, -26371765/2], [1914847575/2, -39971696, -17209905/2], [-545854833/2, 25899521, -13185888], [-3, 7, 3/2]], [[-117957210837860, -29275367854025/2, 56189112854295/2], [419013412787106, 52000574207506, -99555619450589], [-117957210401700, -29275367796315/2, 28094556344715], [300150, 725/2, -82070]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -3/2, -2], [-247/2, -61/2, -9], [-3/2, -3/2, -2], [0, 0, 0]], [[-139828, 25247/2, 2343/2], [-7171553, -574967/2, 2280441/2], [-139835, 25271/2, 1168], [-2, 2, -3/2]], [[-9452116860, -923501013, 2314978521], [-493838293991, -114974482757/2, 235078119615/2], [-9452267722, -923510697, 4630012985/2], [-104603, 2401/2, 29172]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[34, 8, -10]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-54, -7/2, 1/2], [-64, -13/2, 7/2], [-54, -7/2, 1/2], [0, 0, 0]], [[-227868, 816527, 360791], [-358437/2, 1620631/2, 360884], [-227877, 1633105/2, 721631/2], [-1/2, 2, 5/2]], [[-12663327353, -1257945294, 3102935523], [-30157873891/2, -1562662034, 7350997669/2], [-12663779562, -2515981787/2, 3103050459], [-106347/2, -11517/2, 26821/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[87, 15/2, 5/2], [89, 23/2, -7/2], [87, 15/2, 5/2], [0, 0, 0]], [[-115348064, -15339484, 30115292], [-237411233/2, -15137064, 60349683/2], [-115348069, -30678949/2, 30115292], [-1/2, -5/2, 5/2]], [[-190232306171669, -23644732253669, 44814068866340], [-195558862150720, -24315881229036, 46058685539828], [-190232307099995, -23644732254599, 44814069118184], [-1857582, -212319, 464163]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[-88, -10, 22]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-45/2, -1/2, 0], [69/2, 13/2, 2], [-45/2, -1/2, 0], [0, 0, 0]], [[1039074, -351202, 28194], [-1635754, 729473/2, -62037/2], [1039078, -351213, 56397/2], [2, -9/2, 0]], [[-198776868303/2, -24806439917/2, 23454716729], [332334238903/2, 41324005467/2, -39230911651], [-198776826753/2, -24806437295/2, 46909425637/2], [14265, 33, -7755/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33/2, -5/2, 0], [-153/2, -75/2, -3], [-33/2, -5/2, 0], [0, 0, 0]], [[-8046398, 433147/2, -673789/2], [-36107522, -14086908, -1242636], [-8046403, 433179/2, -673801/2], [-1, 9/2, -3/2]], [[1353627030001, 168545047813/2, -736067583869/2], [7405194880634, 220413824927, -2134395363056], [1353626830795, 168545023897/2, -368033754628], [-136551, -717/2, 36948]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[14, 2, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, 1/2, 1/2], [11, -19/2, 7/2], [-8, 1/2, 1/2], [0, 0, 0]], [[-3996, 370, 962], [9669/2, -2748, -953/2], [-3996, 741/2, 1927/2], [1/2, 3/2, 0]], [[9692520, 985680, -2152068], [-19283923/2, 280247/2, 3258657/2], [19381319/2, 986290, -8607357/4], [-3111, -1403/2, 3721/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 5, 2], [-2, 16, -4], [1, 5, 2], [0, 0, 0]], [[-38328, -4866, 9256], [-87377/2, -27983/2, 14045], [-38327, -9733/2, 18513/2], [3/2, 1, -1/2]], [[4243335, 1070185/2, -2014277/2], [5055630, 1984669/2, -1347874], [8486459/2, 535112, -4028565/4], [-383/2, -111/2, 211/4]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[34, 8, -10]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, 13/2, 3/2], [86, -17/2, -1/2], [-9, 13/2, 3/2], [0, 0, 0]], [[-3766114, -133166, 28292], [119693725/2, -2455835, -25967973/2], [-3766125, -266311/2, 28305], [-3/2, 1/2, 5/2]], [[-19579006356250, -2439906225625, 4588304252125], [286048836198049, 70844990478449/2, -134632509848801/2], [-19579022868865, -2439907914706, 4588308411244], [-3670173, -841377/2, 1831923/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, -3/2], [75, -3/2, 3/2], [0, 1/2, -3/2], [0, 0, 0]], [[-85265, -2641/2, -387/2], [131450365/2, 8008076, -30414913/2], [-85270, -1333, -206], [-5/2, 0, -5/2]], [[19544618602, 2407576923, -4661541463], [-30040405211815/2, -3741804379815/2, 3535637285561], [19547765614, 4815792033/2, -4662335476], [1398771/2, 79662, -174735]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[-20, -6, 6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, -5/2, 1/2], [-19, 11/2, 1/2], [-11, -5/2, 1/2], [0, 0, 0]], [[95483/2, -2473/2, -12013], [67167, -11015, -16913/2], [47741, -2467/2, -48043/4], [-1, 3/2, -5/4]], [[37006488288, 4582877866, -8729861913], [49958016201, 6248903154, -23551739909/2], [74015286237/2, 9166104061/2, -34920471155/4], [-937829/2, -139253/2, 434003/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -21/2, -4], [125/2, -17/2, -23], [3/2, -21/2, -4], [0, 0, 0]], [[311/2, -91/2, 8], [-3263/2, -215, 389], [155, -54, 13/4], [3/2, 1, 5/4]], [[-63697017/2, -9012937/2, 7658008], [777272337/2, 96689985/2, -91433558], [-61117293/2, -8620069/2, 7372933], [-523278, -79884, 121653]]], 1, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[-20, -6, 6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 4, 1], [-33, -5, 0], [-5, 4, 1], [0, 0, 0]], [[441983/2, -69250, 31123/2], [2522177, -137635, -1039753/2], [220990, -69243, 62263/4], [0, -2, -3/4]], [[4873221078, 993313967/2, -2187337629/2], [59142585550, 14055776895/2, -27602795021/2], [4873289022, 993334319/2, -2187367845/2], [-27552, -4152, 6420]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -10, -5], [55, -29, -24], [3, -10, -5], [0, 0, 0]], [[-243277, -30765, 3163], [3242858, 1144943/2, -999163], [-486549/2, -61527/2, 12651/4], [-1/2, -2, 3/4]], [[-8649297763/2, -1263783773/2, 958286372], [112506287469/2, 13502995509/2, -26858810487/2], [-4324596131, -631883686, 3833099233/4], [-42845/2, -6589/2, 19811/4]]], 1, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[142, 22, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13, -1/2, 1/2], [429, 9/2, 3/2], [13, -1/2, 1/2], [0, 0, 0]], [[9613500, 825860, 182580], [319769627, 74963889/2, -7998841/2], [9613505, 825849, 182578], [-1, 1/2, -5/2]], [[-45811814880, -5783435020, 10835562680], [-3070650293181/2, -386561970545/2, 362848506794], [-45811811937, -11566869833/2, 21671124091/2], [11979/2, 837, -2943/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 9/2, 1/2], [-75, -19/2, -1/2], [2, 9/2, 1/2], [0, 0, 0]], [[-1624500, -166269/2, -48393/2], [27431958, 12145886, -7855164], [-1624495, -166299/2, -48393/2], [-5, 5/2, -5/2]], [[17770329120, 2242990128, -4232444712], [-669901930739/2, -40577464872, 157171199087/2], [17770351938, 4485981927/2, -8464899619/2], [92943/2, 12623/2, -11409]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[142, 22, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15, 15/2, 5/2], [157, 25/2, 11/2], [15, 15/2, 5/2], [0, 0, 0]], [[1445065, -301731/2, -110401/2], [14058484, -5130663, 300469], [1445068, -301753/2, -110405/2], [-5, -1/2, -3/2]], [[-148009538040, -19758775200, 35644237680], [-2535730803867/2, -363389779701/2, 309678590867], [-148009239731, -39517531271/2, 71288337321/2], [1212365/2, 80135, -298309/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[18, 11/2, 3/2], [-61, 57/2, 7/2], [18, 11/2, 3/2], [0, 0, 0]], [[323214892, 1594880, -6651148], [-2015774587/2, 633191194, -105706565/2], [323214892, 3189755/2, -13302291/2], [-5/2, 5/2, 0]], [[-18464520408516, -2387397578566, 4349949915038], [41258509757767, 5537977902674, -9900819279225], [-18464520371384, -2387397577146, 4349949906780], [75684, 10308, -18566]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[38, 6, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, -1, -2], [26, -13, 1], [9, -1, -2], [0, 0, 0]], [[-1323, 4333/2, 3031/2], [37/2, 981/2, -1477/2], [-2645/2, 4329/2, 6065/4], [-1, 1, -1/4]], [[3556, -1379/2, -2919/2], [7034, 2247/2, -2993/2], [3556, -1379/2, -2919/2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-26, -3/2, -3/2], [-14, -7/2, 1/2], [-26, -3/2, -3/2], [0, 0, 0]], [[-340400, -118591/2, 228397/2], [-200616, -40595/2, 59070], [-680779/2, -59303, 456815/4], [3/2, -3/2, 3/4]], [[-1067319, -155925, 234986], [-1227407/2, -89385, 136543], [-2134603/2, -155926, 939917/4], [2, 0, -3/4]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[38, 6, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, 3/2, -5/2], [8, 13/2, -15/2], [10, 3/2, -5/2], [0, 0, 0]], [[0, 0, 0], [71/2, -40, -103/2], [20, 45/2, 5/2], [5/2, 5/2, 0]], [[0, 0, 0], [-8567/2, 161/2, -589/2], [-51261/2, -2579, 24135/4], [-3028, -591/2, 2813/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -7/2, 3/2], [-11, -21/2, 13/2], [-3, -7/2, 3/2], [0, 0, 0]], [[-11605, 3751, 6688], [-52601/2, -14789/2, 15569/2], [-23205/2, 3747, 26753/4], [1, 3/2, -5/4]], [[-3591089117, -377223231, 877200170], [-11929142646, -1463806961, 2796310501], [-3590804673, -377178215, 877119080], [613904, 61132, -142222]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[98, 12, -22]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-20, 0, 0], [-67, 3, -2], [-20, 0, 0], [0, 0, 0]], [[323731, 8684, -4747], [2164537/2, -28169/2, 14385], [323734, 17355/2, -9501/2], [-1/2, -2, -3/2]], [[153569826957, 53458939435/2, -76798484227/2], [1010535255457/2, 185118206459/2, -128055225868], [153569457870, 26729397991, -76798483415/2], [-1619801/2, -368275/2, 369087/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[16, 1/2, 5/2], [35, -7/2, 7/2], [16, 1/2, 5/2], [0, 0, 0]], [[-607984, -100048, 15392], [-2582621/2, -106220, 149839/2], [-607981, -200113/2, 15388], [-5/2, -5/2, -3/2]], [[49117465072, 8750607892, -11994214076], [99902678339, 17864764465, -24798901528], [49117599400, 8750633754, -11994214269], [294518, 66971, -67164]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[98, 12, -22]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 6, 1], [46, 7, 1], [9, 6, 1], [0, 0, 0]], [[896994, -56637/2, -1197/2], [6250442, -6502192, 1995017], [896996, -56649/2, -598], [-2, 3/2, -1]], [[132356582568, 40463689833/2, -60672317139/2], [1072259637871/2, 211824689547/2, -137140182654], [132356483152, 20231824429, -30336158852], [-438639/2, -99981/2, 49708]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17, 11/2, 5/2], [-175, -27/2, -9/2], [17, 11/2, 5/2], [0, 0, 0]], [[466672353, 19904829, 16034708], [-4572451785, 464971624, 53420585], [466672355, 19904826, 16034709], [1, 2, -1]], [[11652368461998, 10284656628714, 2359973359392], [-251345252413491/2, -122398869411303/2, 1950376790639], [11652368488408, 20569313267379/2, 2359973359252], [115591/2, 13065, -13205]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[98, 12, -22]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17, 3/2, -3/2], [-51, 1/2, 11/2], [17, 3/2, -3/2], [0, 0, 0]], [[211152, 64740, -59760], [-1195475/2, -400851/2, 184296], [211155, 129469/2, -119519/2], [1/2, 2, -3/2]], [[-94135122798, -11740208070, 22413124452], [536319765787/2, 33977007750, -127517501837/2], [-94135321027, -23480494279/2, 22413125243], [-871055/2, -196647/2, 198229/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13, -5/2, -3/2], [-102, -11/2, 5/2], [13, -5/2, -3/2], [0, 0, 0]], [[-9718992, 330696, -425304], [421236077/2, -385416449/2, -146597216], [-9718992, 661397/2, -425306], [5/2, -2, 0]], [[1896800715360, 185676344280, -500545742040], [-12555617280522, -8921329612980, -927300862760], [1896800585178, 185676318345, -500545741650], [-286299, -64701, 65091]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[98, 12, -22]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-24, -1/2, -5/2], [126, 9/2, -15/2], [-24, -1/2, -5/2], [0, 0, 0]], [[7773696, -429462, 325350], [-79530199/2, 76777/2, 3406886], [7773699, -858935/2, 650695/2], [1/2, -1, -3/2]], [[4091294690838, 543959150310, -970619058252], [-41806895284061/2, -5404670772785/2, 4944587433897], [4091294620628, 1087918271267/2, -970619058175], [-310193/2, -35028, 35105]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[16, -1/2, 3/2], [72, -3/2, -7/2], [16, -1/2, 3/2], [0, 0, 0]], [[-96700941, -6679049/2, 1913693/2], [-865927705/2, -29462443/2, 46523504], [-96700942, -3339525, 1913699/2], [-5/2, 5/2, 1/2]], [[7804903045200, 970278538500, -1912706039100], [68261936369245/2, 8610795658489/2, -8219296506227], [7804903087060, 1940557092939/2, -1912706039077], [183379/2, 20953, -20930]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[98, 12, -22]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-27, -13/2, -3/2], [20, -7/2, -3/2], [-27, -13/2, -3/2], [0, 0, 0]], [[-9410795, 1452189/2, 195567/2], [13117869/2, -5052925/2, -24176], [-9410808, 726092, 195579/2], [-5/2, -3/2, 3/2]], [[-51589208405, -4039613921/2, 26178347573/2], [29965009662, 3836499527/2, -12954964343/2], [-51589274484, -4039645017/2, 13089186908], [-14858, -3496, 6647/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17, 2, -1], [-106, -4, 2], [-17, 2, -1], [0, 0, 0]], [[-8694053, -330457/2, 146837/2], [-55476173, -13244097/2, 7325495/2], [-8694066, -330433/2, 73432], [-2, 1, 5/2]], [[165442226337, 18397547542, -38550040591], [2179783775355/2, 126097481700, -511289053451/2], [165442304085, 36795130075/2, -77100112959/2], [34899/2, 7973/2, -3975]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[38, 6, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, 1/2, 1/2], [2, -13/2, 3/2], [6, 1/2, 1/2], [0, 0, 0]], [[-40094, -16898, 10216], [23419/2, -34407/2, 14743/2], [-80189/2, -16903, 40863/4], [0, -3/2, 1/4]], [[204809085, 49796631/2, -96380583/2], [-23136861, -3743797, 5939806], [204822210, 49799375/2, -96386827/2], [2940, 581/2, -1365/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19, 9/2, -1/2], [6, 21/2, -11/2], [19, 9/2, -1/2], [0, 0, 0]], [[5582331, 777897, -966978], [4487673/2, 1328432, -969918], [11164651/2, 777897, -3867917/4], [1, 1, 3/4]], [[-159705058590, -38107137285/2, 74709043875/2], [-72867537183, -11478952342, 18175872336], [-159704895014, -38107111847/2, 37354485954], [-46207, -8211/2, 10626]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[22, 0, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[24, 9/2, 5/2], [76, 9/2, -3/2], [24, 9/2, 5/2], [0, 0, 0]], [[-2029880, -143866, -300618], [-12786695/2, 230556, -121021], [-4059763/2, -143863, -1202473/4], [0, -1, 3/4]], [[59375497500, 7485878125, -14388584375], [172922144849, 22156956018, -41570158470], [59375500695, 7485880258, -28777170955/2], [8523, 495, -3195/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 1/2, -3/2], [-37, 7/2, 5/2], [0, 1/2, -3/2], [0, 0, 0]], [[2522, 4571/2, 3763/2], [1427427, 353033/2, -656651/2], [2537, 4595/2, 1887], [2, 1, 1/2]], [[845597214, 17120125, -133263053], [586948215705/2, 35918038351, -68733748293], [1700194899/2, 17506243, -536538275/4], [537453, 31236, -401223/4]]], 1, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[22, 0, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, -3/2, 5/2], [40, -3/2, 9/2], [10, -3/2, 5/2], [0, 0, 0]], [[-136046, 1549/2, 13949/2], [-1099907/2, -24861, 57873], [-272091/2, 1549/2, 27899/4], [1, 1/2, -1/4]], [[1613973609, 879788167/2, -881874415/2], [6728977391, 3011944043/2, -3489906345/2], [1613967850, 879780551/2, -440935330], [-15326, -1002, 5759/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[27, 13/2, 3/2], [-75, 7/2, 1/2], [27, 13/2, 3/2], [0, 0, 0]], [[270947976, -39680707/2, -9166175/2], [-1460645089/2, 220792629, -14561563/2], [270947958, -19840344, -9166189/2], [-5/2, 2, -1]], [[99310918326354, 11782386081603, -22067133029415], [-482036198801187/2, -24800104953034, 53154761991477], [198621825127061/2, 11782385511584, -88268527667613/4], [-688066, -49818, 516591/4]]], 1, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[54, 2, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-95, -15/2, -5/2], [144, 23/2, -5/2], [-95, -15/2, -5/2], [0, 0, 0]], [[-25073665, 8725025/2, -8470241/2], [75093005/2, -10375131/2, 4014579], [-25073664, 4362522, -8470281/2], [-1/2, 5/2, -5/2]], [[89883808792475, 22114711595355/2, -41654728977015/2], [-135044590702415, -33266941559115/2, 62738328481671/2], [89883804792767, 22114710396123/2, -41654725797387/2], [-452664, -112968, 189198]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-32, -9/2, -5/2], [-30, 7/2, 7/2], [-32, -9/2, -5/2], [0, 0, 0]], [[-232469280, 3105920, -3801440], [-409046221/2, 32749449, 42438841/2], [-232469277, 6211829/2, -3801443], [1/2, -3/2, -3/2]], [[-89748913768800, -18562409719680, 24859165782240], [-71181326034028, -15022508656403, 19406151324428], [-89748913944575, -18562409578380, 49718331633555/2], [-210250, -53350, 175775/2]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[54, 2, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-58, 3/2, -5/2], [-52, -1/2, -5/2], [-58, 3/2, -5/2], [0, 0, 0]], [[938484, 869966, 428210], [1623907/2, 1736893/2, 433240], [938460, 1739985/2, 428194], [5/2, -2, 2]], [[153533433768, 11675763177/2, -92825525403/2], [140825176609, 8295228737/2, -86138751141/2], [153532011736, 11674734597/2, -92824270399/2], [198462, 47678, -82832]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21, -1, 0], [-128, -4, -4], [-21, -1, 0], [0, 0, 0]], [[-121354773, 3062105, 4048866], [-1486856907/2, 73784871/2, 5346058], [-121354729, 6124167/2, 4048831], [5/2, -1, -2]], [[-2056138186628, 83348419981/2, 655899962737/2], [-12618973194731, 510981980701, 1883920770885], [-2056137755418, 83348585289/2, 327949805290], [25610, 12493/2, -10725]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[22, 0, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21, -4, 1], [40, 0, 0], [-21, -4, 1], [0, 0, 0]], [[3961750, -255248, 101442], [-16398919/2, 3462314, -1132216], [7923487/2, -255236, 405749/4], [-1, 2, -3/4]], [[-69364323831, -18374032633/2, 31587298545/2], [122690691608, 15641556786, -27799100065], [-69364289181, -18374026551/2, 15793642531], [4137, 503/2, -777]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[23, 9/2, -1/2], [78, 13/2, -11/2], [23, 9/2, -1/2], [0, 0, 0]], [[-572908, 48427/2, -145913/2], [-3979155/2, 373954, -138947], [-1145821/2, 48435/2, -291823/4], [-1, -1/2, 5/4]], [[74732611338, 22274832969/2, -37874174391/2], [237797638949, 74440963279/2, -60371613558], [149465316729/2, 11137449815, -75748412661/4], [254767/2, 15087/2, -94053/4]]], 1, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[22, 0, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[16, -1/2, 3/2], [4, -11/2, -7/2], [16, -1/2, 3/2], [0, 0, 0]], [[970339, -65518, -99917], [163655/2, -77352, -41458], [1940647/2, -65537, -399685/4], [-2, -2, -1/4]], [[12862827888, 10504369797/2, -9100371735/2], [435475775, 836858771/2, -600643755/2], [12862431668, 10504296317/2, -9100217625/2], [-47300, -3135, 8910]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19, -3, 2], [-64, 2, -2], [19, -3, 2], [0, 0, 0]], [[14710491, 1224153/2, -1147041/2], [-101849829/2, -5047428, 4179835], [29420987/2, 1224147/2, -2294077/4], [2, 5/2, -5/4]], [[876397214457, 375179464845/2, -377870238513/2], [-3111721019545, -1220077735897/2, 1343381078965/2], [876397282929, 375179555069/2, -377870283737/2], [182056, 11624, -34236]]], 1, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[142, 22, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[47, 7/2, -3/2], [191, -1/2, -11/2], [47, 7/2, -3/2], [0, 0, 0]], [[-44760444, -1824612, -1449272], [-367880785/2, 10913977, -12876303/2], [-44760457, -3649231/2, -1449268], [-3/2, -1/2, 1/2]], [[-1463060, -367680, 200692], [-5824989, -1293803, 856182], [-1463060, -367680, 200692], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17, -1/2, 1/2], [219, 3/2, 1/2], [17, -1/2, 1/2], [0, 0, 0]], [[217959400, 342934, -1873034], [5627065187/2, 89796260, -180503761/2], [217959403, 685859/2, -1873034], [3/2, 3/2, -3/2]], [[18048086019635, 4419234163365/2, -8359607364325/2], [235055412837474, 57803237325263/2, -109071646276399/2], [18048086095646, 4419234168903/2, -4179803699043], [154791, 21125, -76011/2]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[34, 8, -10]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[62, 11/2, 3/2], [24, 1/2, 13/2], [62, 11/2, 3/2], [0, 0, 0]], [[19901709, -9289650, 4907121], [9311927, -8256337, 5171549], [19901708, -9289632, 9814231/2], [0, -2, 1/2]], [[160076931852, 16863097272, -38687129940], [127760789993/2, 5670425982, -15761818282], [320153983663/2, 16863104384, -154748579687/4], [-8001, -882, 8057/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-32, -5/2, -1/2], [41, 5/2, -1/2], [-32, -5/2, -1/2], [0, 0, 0]], [[-592441356, 40256818, -3874882], [1506912991/2, -53186582, -23515311/2], [-592441314, 80513713/2, -7749793/2], [5/2, 5/2, -1]], [[160356322261414, 31056436909079/2, -78278247405041/2], [-404531457347141/2, -20246383469555, 49072917339040], [320712612905733/2, 31056433414255/2, -156556478970705/4], [-958115, -218339/2, 957415/4]]], 1, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[142, 22, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[37, 6, 1], [104, 1, 5], [37, 6, 1], [0, 0, 0]], [[-439005142, -23695620, 21125914], [-2443307959/2, 90438381, 41572787/2], [-439005117, -47391263/2, 21125891], [5/2, -1/2, -5/2]], [[15279074913308571, 3690329564665773/2, -7123872563413965/2], [40319215102344718, 4772552684446899, -9360675401744027], [15279074417367188, 3690329435070573/2, -7123872321279219/2], [-58408378, -15934485/2, 28674359/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-57, -9/2, -3/2], [-280, 37/2, 1/2], [-57, -9/2, -3/2], [0, 0, 0]], [[-701208040, -17426266, 2645526], [-3411334296, 348303324, 63682357], [-701208045, -17426258, 5291057/2], [-2, 0, 5/2]], [[205926599683636, 25011492030616, -48064388545212], [1879593250960431/2, 226012378415029/2, -219052037324590], [205926599888934, 50022984076457/2, -48064388590588], [836417/2, 57273, -102649]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[34, 8, -10]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[55, 3, 0], [-48, 4, -4], [55, 3, 0], [0, 0, 0]], [[1326218157, 64328217/2, -49153461/2], [-1160525568, 268611855/2, -71291009], [2652436295/2, 32164117, -98306893/4], [3/2, -3/2, -5/4]], [[10217523882561, 1666616977905, -2562771806220], [-16868194189351/2, -3180328190441/2, 4410958398871/2], [20435047704487/2, 1666616974185, -10251087194863/4], [4041, 935/2, -4021/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 5/2, 1/2], [83, 9/2, -1/2], [0, 5/2, 1/2], [0, 0, 0]], [[-34485, 13101/2, -2253/2], [-1899653, -1361271/2, 587888], [-69047/2, 6553, -4555/4], [-5/2, 1/2, -3/4]], [[-174129486, -41645757/2, 84292419/2], [-22939038905/2, -2788753229/2, 5401603117/2], [-348704237/2, -41691167/2, 168810083/4], [-13490, -1425, 13585/4]]], 1, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[34, 8, -10]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[20, -3/2, 1/2], [63, 7/2, -3/2], [20, -3/2, 1/2], [0, 0, 0]], [[1173726, -57594, 37072], [7403649/2, 294923, -59294], [2347471/2, -57564, 148361/4], [1, 2, 5/4]], [[-16711709388, -2387989901, 4123137579], [-55550331069, -14999741365/2, 13515586083], [-33424231701/2, -4776071377/2, 16492959141/4], [-65025/2, -3825, 32625/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[26, -1, 1], [-9, 3, 0], [26, -1, 1], [0, 0, 0]], [[-1920960, -583625/2, -106053/2], [1338123/2, -106183, -81733/2], [-1920971, -291808, -53028], [5/2, 0, 1/2]], [[-225195208, -26590622, 54703338], [131972857/2, 16971435/2, -31600867/2], [-450392407/2, -26590753, 218814329/4], [284, 67/2, -281/4]]], 1, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[20, 4, -6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, -19, -1/2], [19, -19, -9/2], [9, -19, -1/2], [0, 0, 0]], [[0, -56, 28], [3283, 763/2, -729], [0, -56, 28], [2, 3/2, 2]], [[-3206, -1568, 1197], [599322, 73101, -140819], [-3206, -1568, 1197], [608, 0, -152]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[125, -13, 1/2], [-7101/11, 630/11, -73/22], [125/11, -13/11, 1/22], [0, 0, 0]], [[-51839565, 5540385, -10111807/2], [2934366557/11, -500652659/22, 298895483/11], [-51839565/11, 5540385/11, -10111807/22], [-3, 3/2, -3/2]], [[208026472374, 29729046102, -52533232633], [-11916487819707/11, -3376963256031/22, 3008150940402/11], [208026472374/11, 29729046102/11, -52533232633/11], [10744, 3791/2, -2992]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, 19, -4], [-14, 31, -4], [-8, 19, -4], [0, 0, 0]], [[104, -86, -182], [191, -657/2, -394], [175/2, -165/2, -689/4], [13/2, 1, 3/4]], [[708017859, 88134796, -333165535/2], [-1553499888, -387196357/2, 731355465/2], [641367053/2, 79771879/2, -301712615/4], [435583189/2, 27131848, -205025105/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -1, 3/2], [0, -4, 17/2], [-4, -1, 3/2], [0, 0, 0]], [[-200, -40, 44], [152, -248, -231/2], [-405/2, -75/2, 183/4], [-5/2, 1/2, 5/4]], [[12050, 1746, -2931], [-1806, 5989/2, -1515/2], [12112, 1734, -5879/2], [112, 45/2, -31]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -2, 4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -1, -1/2], [1, -10, -5/2], [-4, -1, -1/2], [0, 0, 0]], [[-78247, -19233/2, 17382], [-69373, -15847, 15511], [-156493/2, -9612, 69519/4], [1/2, 2, -1/4]], [[-577170442, -144680961/2, 271682989/2], [-536787687, -133718793/2, 251220047/2], [-577154508, -144679225/2, 271676355/2], [10168, 1116, -2201]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 2, 0], [-7, 15, 5], [-1, 2, 0], [0, 0, 0]], [[167, 53/2, -41], [-3369, -779/2, 791], [167, 53/2, -41], [0, 0, 0]], [[0, 0, 0], [-7/2, 0, 1], [1/2, 0, -1/4], [1, 0, -1/4]]], 1, 6, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 0, 5/2], [3, 7, 11/2], [-1, 0, 5/2], [0, 0, 0]], [[-876, 42, 129/2], [14151, 3449/2, -7249/2], [-876, 42, 129/2], [-1, -1/2, -2]], [[-9784428, -1223257, 2290670], [329324245/2, 20466726, -38788463], [-9784428, -1223257, 2290670], [-38577/2, -5511/2, 8517/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, -1, 3/2], [-9, -9, -3/2], [-11, -1, 3/2], [0, 0, 0]], [[35121, -9845, -739/2], [50397/2, 52411/2, -4083/2], [382608/11, -111763/11, -8639/22], [73/22, 34/11, 5/22]], [[10116466466, 1859086693, -5197030057/2], [25132795207/2, 1542609282, -5325074451/2], [109462368055/11, 20190865004/11, -56383716137/22], [35662021/22, 5080169/22, -7682495/22]]], 0, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, 13, 8], [-8, 15, 9], [-8, 13, 8], [0, 0, 0]], [[49, 2, -13/2], [-431, -111/2, 117], [49, 2, -13/2], [-1, -5/2, 5/2]], [[110745, 13221, -51831/2], [-1963623/2, -123833, 462545/2], [110745, 13221, -51831/2], [-7175/2, -1435/2, 1845/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-67, 0, -1/2], [-57, -4, 7/2], [-67, 0, -1/2], [0, 0, 0]], [[254069743, 32759289, -75754329/2], [440055275/2, 61510301/2, -76141357/2], [2794767663/11, 360353859/11, -833296919/22], [7/22, 12/11, 5/22]], [[105133316238215, 13692216081103, -49480745900175/2], [182193293695031/2, 23421907097169/2, -21420583173586], [1156467021536095/11, 150614451349453/11, -544288439812685/22], [7755939/22, 531838/11, -838967/11]]], 0, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -2, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -5/2, 1], [-5, -5, 15/2], [3, -5/2, 1], [0, 0, 0]], [[7791, -795/2, -9911/2], [691/2, -57495/2, -44471/2], [7791, -795/2, -9911/2], [3/2, -3, -1]], [[-271377543, -67399517/2, 63791966], [755400433, 376727849/4, -712338315/4], [-271377543, -67399517/2, 63791966], [11209/2, 2473/4, -5203/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-16, -1/2, 1], [-9, 6, 3/2], [-16, -1/2, 1], [0, 0, 0]], [[-198693, 4365, 58897/2], [-176847/2, 75643/2, 5483], [-2183205/11, 49875/11, 647619/22], [-39/22, -15/11, 1/11]], [[-953711882, -187515231/2, 430339667/2], [-709719329/2, -63779607/4, 279426493/4], [-10474529290/11, -2058676043/22, 4725451463/22], [-131463/11, -64379/44, 133627/44]]], 1, 4, [], [] >,
< [ 2, -4, -1, 1 ], [[-36, -4, 10]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-49/17, 22/17, -4/17], [3, -2, 1], [0, 0, 0]], [[-4083, -4147, -5/2], [-1453317/391, 363389/782, 74935/782], [3431, -1363/2, 752], [-4083/782, -4147/782, -5/1564]], [[-14321823326, -546911014, 2795683155], [-2890146430264/391, -1969311650187/782, 943989936530/391], [6518415289, 7015732723/2, -2664497257], [-7160911663/391, -273455507/391, 2795683155/782]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [37/17, -155/34, 45/17], [-2, 3/2, 1], [0, 0, 0]], [[59623, 20223, 1/2], [-199030667/6647, 121776521/6647, -119417279/13294], [389872/17, 110859/17, 24101/17], [59623/13294, 20223/13294, 1/26588]], [[-110327586136, -13618877480, 25877475820], [14629433678221/391, 1575171341057/391, -6665768786831/782], [-42010751867, -5138678482, 19663771855/2], [-3244929004/391, -400555220/391, 761102230/391]]], 0, 160, [], [] >,
< [ 2, -4, -1, 1 ], [[-132, -20, 30]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-69, -11, -3/2], [-71, -7, 7/2], [-69, -11, -3/2], [0, 0, 0]], [[110570568, 10095114, -23810727], [109031882, 20518571/2, -23817160], [110570560, 10095110, -23810719], [-1, -1/2, 1]], [[-3402112191648, -422202367916, 800546513059], [-3356731371522, -416881777446, 789815640869], [-3402111944256, -422202330836, 800546456467], [30924, 4635, -7074]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-26, 6, 0], [-692, 97, 2], [-26, 6, 0], [0, 0, 0]], [[113570985, -2908125, 2023175/2], [50597914658/17, 9474873063/34, 1975891417/17], [113572137, -2908373, 2023191/2], [72/17, -31/34, 1/34]], [[1368264353609835, 223722014593275, -598079871274545/2], [643708323714193308/17, 225939017971833269/34, -271918060485573761/34], [1368277067915659, 223723941515811, -598085648075729/2], [794644114/17, 240865317/34, -180525037/17]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[-68, -12, 18]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [296736864649/248639, 287459776426/248639, -542559/497278], [1562971/248639, 1514103/248639, 5/497278], [0, 0, 0]], [[42546, 429735, -2], [1388053983516569892184/248639, -1661866008892772323887/497278, -84036849005742523929/497278], [7311122261664279/248639, -4376616566461163/248639, -221345628737120/248639], [21273/248639, 429735/497278, -1/248639]], [[9336863567116775, 1426526033888136, -4196233158623943/2], [38413811846621262367909252369308/248639, 8892868240197418966519971856345/497278, -18110016834201659517924144973943/497278], [202332962411655509527310933/248639, 23420239447280668663262158/248639, -47694485131601586211303368/248639], [9336863567116775/497278, 713263016944068/248639, -4196233158623943/994556]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-116000465269/248639, -85813976225/248639, -2178967/497278], [-610961/248639, -452004/248639, -1/497278], [0, 0, 0]], [[19507525, -12974502, 1/2], [-1897019946270484715444/2735029, 436142267942221144651/5470058, 190464461273766196574/2735029], [-9991894717588614/2735029, 1149457847160098/2735029, 2005705747813805/5470058], [19507525/5470058, -6487251/2735029, 1/10940116]], [[-379883179865320716, 39411400718146502, 142796710906018287], [41045999208816808794997688307493/2735029, 8224029026629744960122861273017/2735029, -8160155479747250877043816079686/2735029], [216187841524402910438171008/2735029, 43316264702998157928123609/2735029, -42979315941426997517549308/2735029], [-189941589932660358/2735029, 19705700359073251/2735029, 142796710906018287/5470058]]], 0, 288, [], [] >,
< [ 2, -4, -1, 1 ], [[276, 28, -66]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7755186806105/248639, 429075848461/248639, -542559/497278], [40847933/248639, 2260020/248639, 5/497278], [0, 0, 0]], [[1917975, -1016825, -5/2], [951112343000090356431738/248639, -771172037654191453159123/248639, 38558601889131037138800/248639], [5009676734913784328/248639, -4061900055334674440/248639, 203095002766520456/248639], [1917975/497278, -1016825/497278, -5/994556]], [[-4774152077919366, 166462785842241, 715822403475010], [-2007620127981927678723699703878211/248639, 378562264719863601887312095571795/497278, 170045743319003146264193009025503/248639], [-10574488839491938471683448968/248639, 996977339567010404775000812/248639, 1791320895613372565285884677/497278], [-2387076038959683/248639, 166462785842241/497278, 357911201737505/248639]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9187513110953/248639, 120197946417/248639, 1916825/497278], [48392195/248639, 633100/248639, -3/497278], [0, 0, 0]], [[-4546639, -17178360, -5/2], [-1534023062576790993138770028/2735029, 97202465387922981456108995/5470058, 182032388660831192019873119/5470058], [-8079960239262003595561/2735029, 255991042542974243809/2735029, 479398462083740507606/2735029], [-4546639/5470058, -8589180/2735029, -5/10940116]], [[1024724373725319422452, -14983457895884750316, -160636564730012023246], [10172873591456304920052544102221177239333/248639, 2040148868203001437346498361009767519914/248639, -5374583128821520280959432131822439874375/497278], [53582253659250284866133598100301359/248639, 10745809444711502533913565473099893/248639, -28308841744744396376755273592745037/497278], [46578380623878155566/248639, -681066267994761378/248639, -7301662033182364693/248639]]], 0, 5760, [], [] >,
< [ 2, -4, -1, 1 ], [[44, 4, -6]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [364/17, -373/34, 3/17], [-15, 1/2, 0], [0, 0, 0]], [[-2937, 4583, 1/2], [4129194111/391, -1888403561/391, -93641448/391], [-7288890, -324899, -205409/2], [-2937/782, 4583/782, 1/1564]], [[-15838499150, -2012418800, 3812525675], [65374587912345867/391, 16413666949066383/782, -15419377933840716/391], [-151549251045852, -38047711415901/2, 35652554436807], [-7919249575/391, -1006209400/391, 3812525675/782]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1049/17, 723/34, 27/17], [72, 5/2, 2], [0, 0, 0]], [[65670, -25460, 2], [-220320203510/6647, -49162124355/6647, 26944130983/6647], [-612500130/17, -53559988/17, 69828041/17], [32835/6647, -12730/6647, 1/6647]], [[113876265351, 13409464645, -55233982527/2], [-522801600346516413/6647, -28753177199699335/6647, 286480596627229221/13294], [-1353847954842372/17, -100612679662124/17, 357125485632354/17], [113876265351/13294, 13409464645/13294, -55233982527/26588]]], 0, 1920, [], [] >,
< [ 2, -4, -1, 1 ], [[172, 12, -42]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[77, -1, 3/2], [45, 0, 1/2], [77, -1, 3/2], [0, 0, 0]], [[-853841888, -20613760, 24586896], [-499487890, -34359623/2, 17825982], [-853841864, -20613780, 24586880], [3, -5/2, -2]], [[81454570882776, 8150755387320, -18076440953844], [47782898049568, 4845278413585, -10633834921635], [81454569813896, 8150755313064, -18076440692620], [-133610, -9282, 32653]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-85, 5, -1/2], [-4999, 80, -25/2], [-85, 5, -1/2], [0, 0, 0]], [[11133651407643, -17625163239, -23526736045/2], [655248037526784, 52194298535885/2, -3113350879047/2], [11133651407099, -17625163647, -23526736045/2], [-2, -3/2, 0]], [[1141036639089028303419, 221332720000784280843, -642298034981124277227/2], [1167988481966159386627655/17, 215157553203063264744239/17, -650277803221027397870067/34], [1141036639009648186363, 221332719995245232011, -642298034942356167659/2], [-4961257316/17, -346190552/17, 1211503424/17]]], 0, 7680, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -5, 3/2], [8, 0, -13/2], [4, -5, 3/2], [0, 0, 0]], [[917, -410, -119/2], [-17, 4128, 3899/2], [920, -415, -60], [-1, -1, 3/2]], [[-17316, -2009, 7995/2], [-57701, -12987/2, 14081], [-17330, -2010, 4000], [29, 9/2, -7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, 5, 0], [-9, 30, 9], [5, 5, 0], [0, 0, 0]], [[-2226, 1313, 3485/2], [-7640, 17941/2, 10101], [-2222, 1309, 1738], [-4, 5/2, 2]], [[-8778790, -1641674, 4454971/2], [-6933858, -5281213, 6076819/2], [-8771224, -1639022, 4450369/2], [-17784, -1482, 3783]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[-8, -2, 2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 1/2, -3/2], [-14, -15/2, 5/2], [4, 1/2, -3/2], [0, 0, 0]], [[-357, -935/2, 204], [1937, 2831/2, -1310], [-357, -935/2, 204], [0, 0, 0]], [[0, 1/2, 0], [-1/2, 1, 0], [0, 0, 0], [1/2, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 0, 5/2], [9, -1, -15/2], [1, 0, 5/2], [0, 0, 0]], [[-2451, -3483/2, 1419], [-13597, 533/2, 1826], [-2451, -3483/2, 1419], [0, 0, 0]], [[0, 1/2, 0], [1/2, 0, 0], [0, 0, 0], [1/2, 0, 0]]], 1, 12, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -2, 2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -7/2, -1/2], [8, -21/2, -13/2], [-3, -7/2, -1/2], [0, 0, 0]], [[63655, 17367/2, -24423/2], [-25976, 1299/2, 32123/2], [63650, 17387/2, -12210], [0, 1, -5/2]], [[-273914744, -34228026, 64510757], [93272247, 22533727/2, -43587761/2], [-273915006, -34227801, 129021423/2], [299, 353/2, -131]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -1, 1], [-5, 0, 0], [-5, -1, 1], [0, 0, 0]], [[-172, 43/2, -129/2], [4627/2, -12387/2, 1996], [-173, 24, -131/2], [1/2, -3/2, 1/2]], [[-105, -25/2, 51/2], [-105, 25/2, 33/2], [-105, -25/2, 51/2], [0, 0, 0]]], 0, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[72, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 1, -7], [8, -1, 3], [0, 0, 0]], [[0, 0, 0], [1189, -660, -664], [-110, 927, 377], [-3, -2, -2]], [[0, 0, 0], [1768589, 164421/2, -894697/2], [848291, 326328, -401683/2], [-10430, -745/2, 1639]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 1, 1], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-23, -5/2, -19/2], [-3, 10, -1], [4, -5/2, 3/2]], [[0, 0, 0], [1241393, 397973/2, -575803/2], [-72600, -3267, 20691/2], [-148467, -51909/2, 36300]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 2, 1], [2, -10, 12], [0, 0, 0]], [[0, 0, 0], [18914, 4777/2, -8875/2], [-154, 114, -5], [3, -3/2, 5/2]], [[0, 0, 0], [222322858, 55376379/2, -52325606], [-1182552, -147996, 274865], [33615, 6967/2, -8186]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2620/11, 4124/11, 135/11], [-38/11, -80/11, -2/11], [0, 0, 0]], [[0, 0, 0], [-47157584/11, -42019977/22, -839545/22], [772076/11, 355978/11, 33771/11], [-1, -5/2, 5/2]], [[0, 0, 0], [258930367479/11, 62698246091/22, -61717507083/11], [-4292311520/11, -519573856/11, 1024891920/11], [7410, 1365/2, -1560]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[32, 0, -8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -23, -10], [-6, -8, -5], [0, 0, 0]], [[-4, 8, 9/2], [-18618, -8957/2, 12981/2], [-24193, -307, 10295/2], [0, 5/2, 2]], [[25864, 2650, -8109], [-634163186, -84487938, 151213861], [-766318158, -92501338, 178891512], [54378, 4823, -12932]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [346/11, 179/11, 310/11], [26/11, -2/11, -5/11], [0, 0, 0]], [[0, -3, -3/2], [8952381/11, -27906063/22, -14521557/22], [34985/11, -7015/11, 50879/22], [-3, -3/2, 0]], [[-25, -3, 15/2], [19188038/11, -23385841/11, 13526454/11], [700395/11, -348179/11, 7005/22], [-53, -5, 25/2]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[8, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 8, -1], [-8, 11, 6], [0, 0, 0]], [[3, 2, 5/2], [-12783, 32563/2, -165/2], [-67031/2, 52545/2, 79203/4], [3/2, 1, 5/4]], [[-974187, -120123, 457569/2], [1115380924, 132338267, -259626022], [7263599041/2, 900381661/2, -3413951155/4], [-974187/2, -120123/2, 457569/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17, 34, 7/2], [67, -89, -11/2], [-17, 34, 7/2], [0, 0, 0]], [[-72080, 427816, -285352], [-6580837, -2310439, 2428031], [-72077, 427814, -570703/2], [4, 2, -3/2]], [[110083544, 4426560, -26849588], [-11400874725, -2792626761/2, 5366382625/2], [110086995, 4427018, -26850404], [7360, 1819/2, -3451/2]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -21, 12], [8, -14, 1], [0, 0, 0]], [[0, 0, 0], [-2603, -4208, 4187/2], [-3801/2, -3339/2, 4687/4], [-3/2, -1/2, -3/4]], [[0, 0, 0], [5392652, 1311685/2, -2525691/2], [3175077, 389431, -1488587/2], [2491, 621/2, -590]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 1, 1], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, -31/2, -23/2], [-2, 9, 5/2], [5, 3/2, 1]], [[0, 0, 0], [-87340, -31007/2, 22983], [31941/2, -2457/2, -10101/4], [61425/2, 5460, -31941/4]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[-8, -2, 2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -7/2, -3/2], [-20, -11/2, -13/2], [-3, -7/2, -3/2], [0, 0, 0]], [[-70811, -109489/2, 117559/2], [61688, -1276112, 1225689/2], [-141615/2, -54749, 235103/4], [-1/2, 0, 5/4]], [[95413762, 12823184, -23093590], [453604646, 79036888, -234421097/2], [190826201/2, 25646305/2, -92373611/4], [511/2, 77/2, -301/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -1, 0], [9, -16, -5], [5, -1, 0], [0, 0, 0]], [[-3193, -1923/2, 1705/2], [-1551, 2965/2, 5189/2], [-3191, -1927/2, 1703/2], [2, 0, -1]], [[-560235, -1105, 106080], [-149927/2, 240629/2, -225143/2], [-1120341/2, -946, 424153/4], [288, -19/2, -129/4]]], 1, 6, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 0, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 9, -2], [8, -3, 2], [0, 0, 0]], [[0, 0, 0], [-2240, -523/2, 1033/2], [989, 107, -234], [3, 5/2, -5/2]], [[0, 0, 0], [75637, 19197/2, -35915/2], [-33078, -4431, 15419/2], [-123, -1/2, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -5, 4], [4, -3, 2], [0, 0, 0]], [[0, 0, 0], [-7480, -1142, -5337], [-1719, 555, -4205/2], [3, 2, 3/2]], [[0, 0, 0], [8150102, 1932327/2, -3855985/2], [1707191, 195737, -403912], [-3777, -909/2, 1789/2]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[-24, -2, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 5/2, -5/2], [6, 14, -1], [4, 5/2, -5/2], [0, 0, 0]], [[-34981, 575/2, 4273], [-213657/2, 21388, 54751/2], [-34981, 575/2, 4273], [3/2, -3/2, 1/2]], [[-5265579, -1195629/2, 1258905], [-13784929, -8306691/4, 12055797/4], [-5265579, -1195629/2, 1258905], [285/2, 45/4, -135/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-84, -1, -2], [-56, 43, -8], [-84, -1, -2], [0, 0, 0]], [[5060699, 6997895/2, -4067133/2], [2154719/2, 4606318, -4331167/2], [5060747, 6997799/2, -4067133/2], [1/2, -1/2, 0]], [[62556971688, 8154648420, -29254079173/2], [27664374513, 14546313125/4, -26375955751/4], [688129549512/11, 89701382772/11, -321796295783/22], [59603/22, 10423/44, -29685/44]]], 1, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[8, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -7, 3], [4, -3, 5], [0, 0, 0]], [[0, -1, 7/2], [695/2, 316, -387/2], [-371, 296, -157/2], [3/2, -1/2, 1/2]], [[-43, 215, 301], [360227/2, 68481/2, -46840], [-105618, -531, 16993], [1075/2, 86, -129/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [64, 3, 6], [60, 2, 5], [0, 0, 0]], [[-6, 19, 5], [7992677/2, -494991/2, -520565], [40900052/11, -2577127/11, -5356584/11], [7/22, 34/11, 5/22]], [[-6095, -19808, -54853/2], [-37720141777/2, -4805752661, 10347037869/2], [-192970726717/11, -49015529855/11, 106027553415/22], [-175227/22, -54853/22, -53329/22]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[8, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [1, 0, 0], [0, 0, 0]], [[-5, 10, 3/2], [-9, -3/2, 7/2], [-5, 10, 3/2], [-1, 5/2, 0]], [[-1, -4, 5], [791/2, 52, -187/2], [-1, -4, 5], [-15/2, -5/2, 3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 13, 2], [7, -4, 4], [0, 0, 0]], [[3, -8, -3/2], [-8491/2, -1182, 2559/2], [52207/11, 11830/11, -30379/22], [3/22, -29/22, -1/22]], [[830, -1328, -996], [-65143, -11293/2, 29571/2], [901132/11, -113526/11, -319191/11], [1162/11, -3901/22, -2905/22]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[0, 0, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5/2, -5/2, 43/2], [0, 0, 0], [3/2, 1, 1]], [[0, 0, 0], [-2076, -5107, 5340], [0, 0, 0], [-6634, -899, 1829]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 61, 8], [63, 2, 1], [0, 0, 0]], [[0, 0, 0], [29131/2, -57162, -12885], [-443911/11, -35835/11, -57847/11], [-29/22, -57/22, -5/22]], [[0, 0, 0], [-19925176, -8173166, 7031793/2], [-708041384/11, -89508372/11, 151168426/11], [-41424/11, -7767/11, 18123/22]]], 0, 72, [], [] >,
< [ 2, -4, -1, 1 ], [[0, 0, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 3, -4], [-8, 21, -1], [0, 0, 0]], [[0, 0, 0], [1091965/2, 136767/2, -235899/2], [390630, -13021, -95188], [5/2, -1, -1]], [[0, 0, 0], [-1293943243/2, -167232479/2, 305621257/2], [-425468808, -57656988, 104160816], [-4275/2, -266, 570]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -5, -3], [34, -4, 1], [0, 0, 0]], [[0, 0, 0], [15290, -2828, 577], [-965842/11, 564937/11, -88800/11], [-30/11, -7/11, -1/11]], [[0, 0, 0], [8921003/2, 92241/2, -2086357/2], [-228387740/11, 3973826/11, 42221765/11], [-21411/22, -117/11, 2925/11]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[-8, -2, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 3, 1], [6, -5, 2], [-2, 3, 1], [0, 0, 0]], [[53, 23/2, -13/2], [-638, -58, 145], [53, 23/2, -13/2], [0, 0, 0]], [[0, 0, 0], [-1/2, -3/4, 1/4], [0, 0, 0], [-1, -1/4, 1/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, 5, 2], [-8, -5, 4], [8, 5, 2], [0, 0, 0]], [[-7814, 2664, 5307], [11713/2, -11061/4, 1873/4], [-84342/11, 30203/11, 58408/11], [-13/11, -29/44, -1/44]], [[15508408, -24251505/2, 3068701/2], [8136123/2, -134692153/4, 54293871/4], [166926552/11, -268374525/22, 35547449/22], [29564/11, 25935/44, -28899/44]]], 1, 12, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -8, 4]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-156/17, -84/17, -5/34], [-4, 2, 5/2], [0, 0, 0]], [[0, 0, 0], [-5746552/391, 20496744/391, -15308383/782], [18452, -43855, 30625/2], [1155/391, 2301/391, 2/391]], [[0, 0, 0], [-1649393873564/391, -219696997105/782, 346045742969/391], [-801931417, -619765223/2, 279579279], [-1619933684/391, -231438472/391, 721397207/782]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-43/17, -65/17, -33/17], [-5, -1, 0], [0, 0, 0]], [[0, 0, 0], [-4212621/6647, 99897437/13294, -18771435/13294], [156504/17, -37509/34, -57825/34], [-12694/6647, 12448/6647, -3/13294]], [[0, 0, 0], [-3986722/6647, -411938/6647, 1644261/13294], [3426/17, 354/17, -1413/34], [-1142/6647, -118/6647, 471/13294]]], 0, 480, [], [] >,
< [ 2, -4, -1, 1 ], [[-72, -8, 20]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -1, -4], [60, -8, -2], [0, 0, 0]], [[0, 0, 0], [83656, 50427/2, -19117/2], [-696822, -95714, 151405], [1, -1/2, 5/2]], [[0, 0, 0], [4405573, 528222, -2130067/2], [-33286070, -4175826, 7883020], [55, 28, -55/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-180, -2, -1], [44, 4, 5], [0, 0, 0]], [[0, 0, 0], [-2181539023/17, 166477967/34, 143821781/17], [32472024, -446746, -273554], [-26/17, 23/34, 1/17]], [[0, 0, 0], [64780296906006/17, 15450832266577/17, -12187808860738/17], [-951146973200, -295152982950, 144058842080], [675940/17, 74340/17, -188230/17]]], 0, 2304, [], [] >,
< [ 2, -4, -1, 1 ], [[-192, -24, 44]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-80905496833/248639, -42977724989/248639, 2441109/497278], [-426141/248639, -226370/248639, 5/497278], [0, 0, 0]], [[0, 0, 0], [110718236226565015/248639, -448235688616855775/497278, 9636126929487887/248639], [583448752258/248639, -1181170180953/248639, 101997173149/497278], [973283/248639, -927013/497278, 1/248639]], [[0, 0, 0], [319362469816298088102926379/248639, 39602315334057169111709322/248639, -155927375602232598879230709/497278], [1682125327253421049181/248639, 208602319505746036031/248639, -821301204665056471867/497278], [32670978745376628/248639, 4078052046891092/248639, -7693250364649798/248639]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [369543904976/248639, 248849417073/248639, 379710/248639], [1946566/248639, 1310738/248639, 2/248639], [0, 0, 0]], [[0, 0, 0], [261625347069442965669815/2735029, 20145966759827177333827/5470058, -332061304940901458093/2735029], [1378049116616482086/2735029, 53162827307270837/2735029, -3583871548944193/5470058], [-1285741/2735029, 8340173/5470058, 2/2735029]], [[0, 0, 0], [-1595535601365222121774051311746796/2735029, -212507151125014872103417586963583/2735029, 764904474003935632614843609771993/5470058], [-8404353061869595015108311141/2735029, -1119341383644327432204591775/2735029, 4029052092037357736836277005/5470058], [-4291558881467317/2735029, 41502613970597/2735029, 796636183456743/2735029]]], 0, 864, [], [] >,
< [ 2, -4, -1, 1 ], [[144, 16, -28]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1961039733413/248639, -103005961321/248639, -804701/497278], [-10329155/248639, -542552/248639, 1/497278], [0, 0, 0]], [[0, 0, 0], [-193768367463/248639, 6126305141317/497278, -2770286260907/248639], [2016838/248639, 20603330/248639, -30335819/497278], [-362322/248639, -1152647/497278, -1/497278]], [[0, 0, 0], [-2247571727093337614046166/248639, 10003073504509883184265079/497278, -3598303167218698338383411/497278], [-15125600812418480569/248639, 28539606442877044174/248639, -9721832052590423274/248639], [391077738179655461/248639, -426347715112696159/497278, 4362190519053398/248639]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2875515362920/248639, 158806068019/248639, -1433050/248639], [-15145706/248639, 836465/248639, -1/248639], [0, 0, 0]], [[0, 0, 0], [-167198876466849105256662886/2735029, 7830547436263951447521613/5470058, 5760772644056512077092250/2735029], [-880657735628167099094/2735029, 20622918710163783424/2735029, 60686080798567711375/5470058], [1648063/2735029, -6938887/5470058, -3/5470058]], [[0, 0, 0], [-486323281187301406225469367233784914952/2735029, -119663940062604923289183275867044888011/5470058, 114088810009323372268238286484886230683/2735029], [-2561525392069714501195123356398726/2735029, -315142446509765235022796906445077/2735029, 1201839989182862481635935462064061/5470058], [61097029098247870/2735029, -70487585134164145/5470058, 1684092034127660/2735029]]], 0, 17280, [], [] >,
< [ 2, -4, -1, 1 ], [[128, 8, -36]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [848/17, -515/17, -43/34], [-44, -1, 3/2], [0, 0, 0]], [[0, 0, 0], [-39276921311/391, 46901460009/782, 9585743452/391], [62361516, 74373425/2, 16012318], [-2328/391, -1519/391, -2/391]], [[0, 0, 0], [5622768665956128/17, -1124732644014584/17, -636180369256475/17], [-371123714841880, -16058275937704, 67113163899782], [563229300/17, 92749250/17, -268505925/34]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [637/17, 737/34, -15/34], [58, 5/2, 1/2], [0, 0, 0]], [[0, 0, 0], [863526376/6647, -62190773856/6647, -67940373039/13294], [-52471258/17, -104669807/17, -131207949/34], [20341/6647, -7211/6647, -1/6647]], [[0, 0, 0], [-11502178681217810/6647, -33693798947070311/13294, -11605414620957365/13294], [-48398218784747/17, -74188521302109/34, -10617823769305/34], [9542866794/6647, 1536233659/6647, -4474898765/13294]]], 0, 5760, [], [] >,
< [ 2, -4, -1, 1 ], [[88, 8, -12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48, -1, 5], [-74, 4, 1], [0, 0, 0]], [[0, 0, 0], [-21548434, -1320108, -1084337/2], [-32167462, -232168, -7035720], [-2, -2, -1/2]], [[0, 0, 0], [14841709017, -66132186037/2, 11469218351], [36914757080, -86933788110, 30534419471], [246, 45/2, -34]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [924, 2, -3], [18, -6, -4], [0, 0, 0]], [[0, 0, 0], [114645564417, -54573826055/2, -23209070277], [1494752982, -3022862, 4874563], [0, -5/2, 0]], [[0, 0, 0], [22863855975428709194/17, 3179741580938406255/17, -5829526127570849263/17], [20384479283911064, 3559977576881420, -4876121184754795], [-277354098/17, -25193700/17, 37817178/17]]], 0, 23040, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -9, -13], [20, 7, -1], [0, 0, 0]], [[0, 0, 0], [-1358725, 2644197/2, -932925/2], [6256143, 538521, -1317226], [4, 5/2, 1/2]], [[0, 0, 0], [27978188006, -39623330175/2, 7734782929/2], [-145007522504, -13982763338, 64413720383/2], [-119222, -35643/2, 21530]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 7, 5], [10, 3, -5], [0, 0, 0]], [[0, 0, 0], [-3269, -1682, -1511], [10354, 6673, -3909], [3, -2, 1]], [[0, 0, 0], [-3773412, -1995785/2, 1158975/2], [11633238, 1659025, -5342719/2], [2054, 711/2, -395]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[72, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, -12, -4], [6, -7, -1], [0, 0, 0]], [[-14, -1, -2], [496633, -68255/2, -240413/2], [107486, -37850, -53679/2], [-7, -1/2, -1]], [[-1233353, -260232, 624007/2], [38771688322, 10658682875/2, -19098415979/2], [14200341079/2, 2311226915/2, -7593700211/4], [-1233353/2, -130116, 624007/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, -8, -4], [2, -13, -5], [0, 0, 0]], [[-4, 0, -1], [973915, 792551, -530672], [-441355, 167696, -71899/2], [-2, 0, -1/2]], [[9913, 2162, -4761/2], [-3076486071, -414112151/2, 1303687847/2], [1752234683/2, 372084059/2, -919971911/4], [9913/2, 1081, -4761/4]]], 0, 128, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, -27, 6], [4, -6, 1], [0, 0, 0]], [[0, 0, 0], [367, -177/2, 1305/2], [-39, 129, 247], [4, -11/2, -5/2]], [[0, 0, 0], [-11362798, -1390336, 2680330], [-1851260, -221547, 439130], [-20650, -2660, 4795]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 55, -23], [-6, 16, 4], [0, 0, 0]], [[0, 0, 0], [-4217, -199393/2, 142153/2], [-50613, -107785, -30089], [2, -13/2, -3/2]], [[0, 0, 0], [27443458, 3327251, -6432736], [83610142, 10447945, -19650447], [1074, 134, -251]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 3, -3], [-16, -10, -2], [0, 0, 0]], [[0, 0, 0], [-14988, 23489/2, -6255/2], [79394, 8834, -24013], [-4, 15/2, 5/2]], [[0, 0, 0], [-10250487720, -1283820726, 2415430466], [79003937062, 9839967597, -18591485041], [85736, 8592, -19944]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 62, 48], [-8, 20, 12], [0, 0, 0]], [[0, 0, 0], [-71080, 193207/2, -35737/2], [-920, -5127, 4948], [-2, 11/2, 5/2]], [[0, 0, 0], [-502731375, -60601296, 117489907], [-37921679, -4873956, 8998589], [19386, 2457, -4563]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[-88, -10, 22]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -5, -2], [36, -8, -4], [5, -5, -2], [0, 0, 0]], [[-2308418, -131013/2, 439583/2], [-33189521, -1923176, 6806317], [-2308412, -131019/2, 439581/2], [-3, 3/2, 1/2]], [[-100524432018, -14811742980, 21208492645], [-1454733940612, -352193610669/2, 678528127187/2], [-100524224092, -14811742007, 21208436562], [-103963, -973/2, 56083/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, -11/2, -3/2], [-10, -75/2, -43/2], [-6, -11/2, -3/2], [0, 0, 0]], [[144651, -126555/2, 28899/2], [832540, -2096447/2, 811065/2], [144651, -126569/2, 28895/2], [-7, -2, 0]], [[4578858024, -849630405/2, -1602504033/2], [40111359895/2, -19773988273/2, -615201540], [4578699836, -424796849, -801177360], [-596045/2, -8875/2, 79094]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-42, 41, 19], [6, -7, -5], [0, 0, 0]], [[0, 0, 0], [-512377, 96295/2, 148633/2], [42565, 314, -8250], [-2, 9/2, -1/2]], [[0, 0, 0], [34731518, 4326768, -8173864], [-3000528, -373791, 706151], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, 29, 5], [-8, 5, 3], [0, 0, 0]], [[0, 0, 0], [-32530, -3764, 7684], [-10620, -1264, 2517], [-4, -3, 0]], [[0, 0, 0], [-4374160, -1102891/2, 2062093/2], [-1430451, -179139, 336717], [-741, -117/2, 351/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, -35, -33], [14, -21, -17], [0, 0, 0]], [[0, 0, 0], [4276, -10781/2, -2269/2], [891, -1811, -792], [1, -3/2, -1/2]], [[0, 0, 0], [-82874883, -20698351/2, 39029247/2], [7628287, 946332, -1793656], [-10174, -2545/2, 4793/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [34, -29, -25], [0, 3, 5], [0, 0, 0]], [[0, 0, 0], [5933552, 719709, -1262537], [1167388, -253096, -129923], [-2, 4, 1]], [[0, 0, 0], [-239000352924, -59551258973/2, 112499873547/2], [-40654453759, -5077589137, 9572986813], [-4203, -851/2, 1961/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 0, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 0, -4], [6, 10, -8], [0, 0, 0]], [[0, 0, 0], [-298132, 26727/2, 207319/2], [812354, 120574, -166164], [-1, -11/2, -5/2]], [[0, 0, 0], [1279199875, -25533895/2, -450953007/2], [-3597618266, -888868996, 1036049268], [21476, -9145/2, -4307/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4140/11, 1949/11, -215/11], [98/11, -38/11, 4/11], [0, 0, 0]], [[0, 0, 0], [91601245/11, 5687639/22, 470731/22], [-2058158/11, -434284/11, -183380/11], [4, 15/2, 5/2]], [[0, 0, 0], [347344310972/11, 446173176807/11, -255061714035/11], [-9112362768/11, -9763794000/11, 5882761336/11], [45936, -1160, -8352]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[-60, -6, 14]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 5/2, 3/2], [1, -13/2, -3/2], [-5, 5/2, 3/2], [0, 0, 0]], [[-6317, -573, 1430], [-4047, -947, 1015], [-6312, -585, 2871/2], [4, -7, -3/2]], [[-11641338001, -2903965487/2, 5481395907/2], [-7925443784, -984524484, 1863175887], [-11640344151, -2903379759/2, 2740400442], [691691, 205491/2, -194766]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 3, 0], [-29, 0, 5], [-5, 3, 0], [0, 0, 0]], [[-50, -10, -20], [-953/2, -9/2, 108], [-51, -19/2, -35/2], [-3/2, 2, 1/2]], [[-1650, -775/2, 865/2], [-26429/2, -3595/2, 3194], [-1661, -377, 865/2], [-23/2, -11/2, 11/2]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -23, -19], [-4, -8, 0], [0, 0, 0]], [[0, 0, 0], [-4922, -3255, 1516], [47435, 9868, -25943/2], [-1, 1, 1/2]], [[0, 0, 0], [-2172908, -580087/2, 1051923/2], [17500885, 2237891, -8284775/2], [-147, -39/2, 29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, -1, 5], [10, 1, -1], [0, 0, 0]], [[0, 0, 0], [-42118, -10957/2, 5629/2], [-16560, -2265, 6037/2], [0, 5/2, -1]], [[0, 0, 0], [-3641218, -1600684, 243707], [-1569452, -348854, 573851/2], [90, 15, -25/2]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[-60, -6, 14]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -5/2, 1/2], [7, -3/2, 3/2], [-5, -5/2, 1/2], [0, 0, 0]], [[-364, -119/2, 137/2], [362, 289/2, -203/2], [-370, -97/2, 151/2], [3, -7, 0]], [[2179259, 540879/2, -1026467/2], [-2356124, -294177, 555686], [2174835, 540487/2, -511977], [1715, 469/2, -497]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 3, 1], [48, 10, 2], [-2, 3, 1], [0, 0, 0]], [[4930, -2651/2, 441/2], [-638533, -106265/2, 286647/2], [4927, -2635/2, 222], [2, 0, 3/2]], [[-24483704, -7504791/2, 12396797/2], [7164508411/2, 909452715/2, -845607487], [-24491075, -3750897, 12400361/2], [-26487/2, -3807/2, 7371/2]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 1, 1], [-8, 10, 4], [0, 0, 0]], [[0, 0, 0], [91546, 23181/2, -43313/2], [-81535, -11125, 38905/2], [-1, -3/2, -1]], [[0, 0, 0], [2790566686, 348684159, -657249285], [-2494348322, -315171413, 588650197], [-57270, -8050, 10534]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-42, -11, -7], [-2, 5, -3], [0, 0, 0]], [[0, 0, 0], [1934764, 496787/2, -901377/2], [12186, 1756, -2469], [-4, 5/2, 3/2]], [[0, 0, 0], [-68411334, -16727199/2, 32295203/2], [-447926, -29244, 202959/2], [100, -75/2, 25]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[-60, -6, 14]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, 3/2, -5/2], [-18, 11/2, 3/2], [6, 3/2, -5/2], [0, 0, 0]], [[73, 486, 231], [-712, -577/2, -93/2], [82, 468, 219], [-3, 15/2, 3/2]], [[-123730, -27131/2, 59981/2], [298536, 37120, -71329], [-122948, -27085/2, 29772], [-322, 23/2, 69]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 5/2, -5/2], [3, -11/2, 7/2], [-3, 5/2, -5/2], [0, 0, 0]], [[93, 71/2, -27/2], [-171/2, -49/2, 11], [93, 37, -11], [3/2, 5/2, 0]], [[-14948920, -1790460, 3666180], [26583711/2, 1473749, -6389811/2], [-15157243, -3493783/2, 3715713], [-746155/2, -109257/2, 208323/2]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [46, -6, -2], [6, 9, 5], [0, 0, 0]], [[0, 0, 0], [-25600351, 5330277, 2065389], [-5865909, -513003, 893471/2], [2, -1, -5/2]], [[0, 0, 0], [-5937899462, -1725165533/2, 2904818101/2], [-1586557879, -206213101, 767191691/2], [253, 65/2, -40]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-101, 52, 33], [13, 5, 4], [0, 0, 0]], [[0, 0, 0], [-153351859, 64750963/2, 62605451/2], [30684672, 1202859, -4264863/2], [5, -3/2, -2]], [[0, 0, 0], [465632426866, 11756301946, -81313398998], [-110869489775, -969991412, 22582492031], [-12915, -1911, 2310]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[-24, -2, 6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -3, 2], [23, 2, 6], [2, -3, 2], [0, 0, 0]], [[-50982, -3017/2, 16449/2], [-1210934, -150260, 534699/2], [-101983/2, -1508, 32909/4], [9/2, -2, -1/4]], [[72406360, 15552559/2, -34079341/2], [1764581238, 424680413/2, -417488547], [144837223/2, 7778152, -68169275/4], [-10165/2, -963/2, 4173/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 5/2, -1/2], [16, 17/2, -1/2], [2, 5/2, -1/2], [0, 0, 0]], [[-7144, 3760, -1128], [-67095/2, -8252, 4285], [-14287/2, 3760, -4513/4], [1, 0, -1/4]], [[-1504, 564, 47], [-8038, -723, 1862], [-1504, 564, 47], [0, 0, 0]]], 1, 12, [], [] >,
< [ 2, -4, -1, 1 ], [[8, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 2, 13], [4, -7, -2], [0, 0, 0]], [[0, 0, 0], [4023, -700, -1991], [110, 622, 189], [-7, -1, -1]], [[0, 0, 0], [5265865497, 1316795237/2, -1240030273], [1439648317/2, 180509689/2, -678965003/4], [-24924253/2, -1537486, 11707921/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 1, 1], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -13/2, -6], [1/2, -5/2, 3/4], [-3/2, 1, -1/4]], [[0, 0, 0], [-22, 1, 15/2], [-33/2, -3/2, 15/4], [-69/2, -9/2, 33/4]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[88, 0, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 4, 12], [2, -3, -3], [0, 0, 0]], [[0, 0, 0], [231, 47, -58], [2, -3, 2], [1, 3, -1]], [[0, 0, 0], [8608, 2231/2, -4113/2], [45, -15, -5], [75, 35/2, -45/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, -8, 2], [2, -5, 5], [0, 0, 0]], [[0, 0, 0], [294613, 74247/2, -136955/2], [-6177, 58, 660], [2, 5/2, -5/2]], [[0, 0, 0], [3362824870, 418545603, -792261273], [-67747214, -9332685, 16750743], [30380, 1364, -5084]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[-60, -6, 14]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-23, -1, -2], [-6, 5, -3], [-23, -1, -2], [0, 0, 0]], [[-2373880, -731325, 100467], [-885691/2, -199811/4, -354833/4], [-2373880, -731325, 100467], [2, -1/4, -5/4]], [[-20280926519, -5204239907/2, 9569376787/2], [-3640166166, -2035184067/4, 3496841789/4], [-20280926519, -5204239907/2, 9569376787/2], [24325/2, 5425/4, -11305/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[375, 11/2, 1/2], [-8, -1, -3], [375, 11/2, 1/2], [0, 0, 0]], [[-11842554485, -84697987/2, 2846270183/2], [564844867/2, -33764377/4, 15156649/4], [-130268092639/11, -931677051/22, 31308972323/22], [-54/11, -13/44, -5/44]], [[2206352304975552, 496071561104959/2, -1026059716684325/2], [-53661480606776, -5378026134206, 12429800619912], [24269874025396512/11, 5456786902171829/22, -11286656262466135/22], [10720440/11, 1088640/11, -2504280/11]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 6, 4], [10, -5, -3], [0, 0, 0]], [[0, 0, 0], [-1228, -1985/2, 1473/2], [-1440, -3970, 1920], [1, 1/2, 1/2]], [[0, 0, 0], [1372421/2, 177723/2, -164260], [1285836, 179821, -310449], [-1191/2, -85, 263/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 0, 0], [-28, 7, 3], [0, 0, 0]], [[0, 0, 0], [-137/2, -75/2, -4], [918/11, -789/11, -757/11], [-95/22, -23/11, -5/22]], [[0, 0, 0], [-21187, -1593, 6809], [54474/11, 59806/11, 29274/11], [-14121/11, -1569/11, 4707/11]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -19, -1], [-1, 0, -3], [0, 0, 0]], [[0, 0, 0], [18219/2, 2465, 797/2], [2400, 2071, -143], [13/2, 3/2, 0]], [[0, 0, 0], [-1141721326, -160231181, 266156785], [-369929389, -47722030, 83886947], [-795132, -109980, 185796]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -206, 0], [-194, 1, -5], [0, 0, 0]], [[0, 0, 0], [40020175/2, -22384301/2, 1939395], [327134545/11, 133725575/11, -112570528/11], [-19/22, 13/11, -1/22]], [[0, 0, 0], [485959524254, 123578491423/2, -230821417957/2], [11709720488265/11, 1445186635009/11, -2752611061364/11], [-110175/11, -34365/22, 50625/22]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[-136, -8, 32]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [92/17, 307/34, 227/34], [7, 11/2, 1/2], [0, 0, 0]], [[0, 0, 0], [3003447/23, -3624705/23, 849764/23], [47761, 23287, -21650], [-1937/391, -737/391, -2/391]], [[0, 0, 0], [-529731263767/391, 441466297501/782, 2903870353/782], [-868536774, -398022483/2, 484354571/2], [38681505/391, 3764040/391, -8873036/391]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-219/17, 1047/34, -399/34], [-6, 1/2, 5/2], [0, 0, 0]], [[0, 0, 0], [-450494473/6647, 534606893/6647, -112480283/6647], [-5102313/17, -618267/17, 1236225/17], [31235/6647, 22761/6647, 5/6647]], [[0, 0, 0], [-16985452350316/391, -90400161707499/391, 41741278429339/391], [-1144619903496, -138302268426, 267628381986], [9533568184/391, 721997262/391, -2016217798/391]]], 0, 7680, [], [] >,
< [ 2, -4, -1, 1 ], [[-496, -64, 112]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -3, -5], [-312, 4, -8], [0, 0, 0]], [[0, 0, 0], [3263458, 38879/2, -187077/2], [407481492, 27490422, -80846334], [-1, -1/2, 1/2]], [[0, 0, 0], [-24930047244, -5428800751/2, 12392972975/2], [-3055800499666, -379212395122, 723527944142], [8495, 2201/2, -3831/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -13, -5], [80, 0, -4], [0, 0, 0]], [[0, 0, 0], [-548796/17, -13741/17, -34506/17], [130234, 273652, -132984], [-76/17, -54/17, -1/17]], [[0, 0, 0], [-446750548376/17, -159724129333/34, 223952239847/34], [195814105288, -1429166458, -34874197930], [-82094793/17, -21175801/34, 37061137/34]]], 0, 36864, [], [] >,
< [ 2, -4, -1, 1 ], [[-72, -24, 16]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [86335630250/248639, -176001285422/248639, -863485/248639], [454732/248639, -927013/248639, 2/248639], [0, 0, 0]], [[0, 0, 0], [-47404839426710994835/248639, -4981500773747775948/248639, 11667377574278019383/248639], [-249640899038132/248639, -26232544796710/248639, 61442565424082/248639], [2692483/248639, 1062099/248639, 2/248639]], [[0, 0, 0], [-838099869963285162171398827/248639, -173252446733151091020543689/497278, 376528408037673617458037439/497278], [-4413553817088827288523/248639, -456174615584304441188/248639, 991420164814909585304/248639], [-921906186611051/248639, 5007291378199627/497278, -1804200742340831/497278]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-137559881890/248639, 111603942981/248639, 1053340/248639], [-724644/248639, 587826/248639, -1/248639], [0, 0, 0]], [[0, 0, 0], [4768004688748415010934/2735029, -191473324725072222813/2735029, -203186957874310621964/2735029], [25119849765306916/2735029, -1008907317418431/2735029, -1071868086952382/2735029], [-28799578/2735029, 2667486/2735029, -2/2735029]], [[0, 0, 0], [-20367493079076170338178492154643629/2735029, -2421679144319754608807562768507741/5470058, 9887832710098103027139074054845149/5470058], [-107301603946699791745140262391/2735029, -6381254592188226103330393785/2735029, 26045182809443985666038295600/2735029], [121922619350959543673/2735029, 11081612546868702337/5470058, -59240049478815289393/5470058]]], 0, 13824, [], [] >,
< [ 2, -4, -1, 1 ], [[1016, 128, -248]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6695085161272/248639, 12824868099/248639, 876988/248639], [35264192/248639, 67543/248639, 2/248639], [0, 0, 0]], [[0, 0, 0], [11349236698943137849327/248639, -14505002293242051632431/497278, 2943458189181836264019/497278], [59778426287889433/248639, -38200210098442655/248639, 7751858491783466/248639], [838327/248639, -1514839/497278, 3/497278]], [[0, 0, 0], [24709784566316898667022558639571/248639, 6111284733455352041667278792694/248639, -7162643766738953534533950304560/248639], [130150767086456306979497768/248639, 32189213047021082802526678/248639, -37726902293748761179976101/248639], [1407327588729087/248639, 428771540017938/248639, -419095596040947/248639]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4823046397530/248639, -107232847760/248639, -628349/248639], [25403724/248639, -564821/248639, -2/248639], [0, 0, 0]], [[0, 0, 0], [422997011940217173986257204/2735029, -47746167880119917276650935/5470058, 11521934653962004548264233/5470058], [2227990067402253407749/2735029, -125744047349115852663/2735029, 30344031711427754756/2735029], [37928084/2735029, 23213975/5470058, -1/5470058]], [[0, 0, 0], [2159921615481340179024082186342741831108/2735029, 1790683511795854933065209270930129868125/2735029, -1137474476427886352109770302123577448935/2735029], [11376633322068905658776437073556412/2735029, 9431809914046327631131039794647428/2735029, -5991253889988709809713805901540574/2735029], [265610664868172018976/2735029, 88679703731092718916/2735029, -82921359049326184940/2735029]]], 0, 276480, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 48, -40]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [60/17, 235/17, 33/17], [-2, -2, 2], [0, 0, 0]], [[0, 0, 0], [193871764/391, 29104978/391, -85531281/391], [-86204, -85945, 41062], [27/391, -519/391, -3/391]], [[0, 0, 0], [210750699762250/391, 52426105614155/782, -98887704919665/782], [-131484498925, -32146368641/2, 61708825413/2], [-244478300/391, -28403603/391, 57458979/391]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-440/17, -755/34, -195/34], [-37, -3/2, -5/2], [0, 0, 0]], [[0, 0, 0], [-18415285434/6647, -6349345993/13294, 8440355405/13294], [-41407373/17, -39802833/34, 30124379/34], [25788/6647, -18813/6647, 2/6647]], [[0, 0, 0], [116346916210381540/6647, 14551423619221149/6647, -27360057982442612/6647], [290750107837498/17, 36711259350874/17, -68544159347369/17], [-104249967577/6647, -12126424927/6647, 24480175999/6647]]], 0, 92160, [], [] >,
< [ 2, -4, -1, 1 ], [[624, 80, -160]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-162, -3, -5], [-284, -4, -4], [0, 0, 0]], [[0, 0, 0], [14621891305, -69480197, -203286960], [25578933146, -158064720, -691109494], [-1, 2, -1]], [[0, 0, 0], [-1636812747733949, -401261181451119/2, 776672580666725/2], [-2852731686895346, -350217053412572, 676424613889824], [31572, 8139/2, -16199/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 1, -1], [-138, -8, -2], [0, 0, 0]], [[0, 0, 0], [-30877/17, 334161/34, 10781/34], [-734, 148, -100], [14/17, -151/34, -5/34]], [[0, 0, 0], [-738947025923/17, -94926437246/17, 189389539197/17], [10380435734, 1184641450, -2430868864], [333425021/17, 42813851/17, -85468334/17]]], 0, 368640, [], [] >,
< [ 2, -4, -1, 1 ], [[216, 8, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, 34, 0], [-32, -1, 3], [0, 0, 0]], [[0, 0, 0], [66124, -2551, -331], [150548, 10046, -35540], [-12, 0, 2]], [[0, 0, 0], [-4, -1/2, 3/2], [-5, -1, 2], [-1, -1/2, 1/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -5, -3], [22, 13, 3], [0, 0, 0]], [[0, 0, 0], [45496, -28367, 5281], [-120076, 25337, 8115], [6, 3, -1]], [[0, 0, 0], [6124032, -13709935/2, 3296037/2], [-13939617, 7680922, -412143], [725, 225/2, -665/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[176, 0, -48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [40, -51, -11], [-76, -6, -10], [0, 0, 0]], [[0, 0, 0], [-17154099, 60028307/2, -10060835/2], [32105904, -18943734, 7060850], [-8, 1/2, 5/2]], [[0, 0, 0], [-113987602079, 438639418131/2, -115794620247/2], [213722359258, -179626727712, 53222760738], [-43860, 705/2, 23745/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5966/11, 5029/11, 203/11], [-56/11, 116/11, 4/11], [0, 0, 0]], [[0, 0, 0], [5753691342/11, 1416772365/22, -2692219279/22], [825988/11, 31670/11, -12642/11], [-5, 9/2, 3/2]], [[0, 0, 0], [-9684151371771/11, -2412398074529/22, 4556673465221/22], [-1393588418/11, -182475556/11, 308399418/11], [4562, 5/2, -2439/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[136, 32, -40]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -5, -5], [-56, -1, -5], [0, 0, 0]], [[0, 0, 0], [-134189, -1909/2, 13849/2], [13891699, 2398872, -3598319], [-2, 5/2, -3/2]], [[0, 0, 0], [50566952873, 12315605701/2, -24029031493/2], [-5393914826423, -671584892842, 1268844129998], [441456, 101845/2, -219817/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, -33, -23], [-48, -8, 0], [0, 0, 0]], [[0, 0, 0], [-6462279, 2401911/2, -171683/2], [15748379, -1900331, -2367855], [4, 7/2, 5/2]], [[0, 0, 0], [-8655478680598, -1172144070367, 2108481672051], [20964898221224, 2785967817887, -4995367748557], [9190272, 1025856, -2309632]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[136, 32, -40]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-82, -13, 13], [-6, -1, 5], [0, 0, 0]], [[0, 0, 0], [3579211, 1011791/2, -1869839/2], [244535, -38323, 2937], [0, 5/2, -5/2]], [[0, 0, 0], [66634067746, 8293695202, -15688595362], [4190361544, 524239795, -982580026], [11586, 1324, -2885]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-50, -6, 0], [-6, 7, 5], [0, 0, 0]], [[0, 0, 0], [-207856, 53223/2, 59035/2], [-5665, 321, -882], [-1, -5/2, 1/2]], [[0, 0, 0], [51997180, 6405609, -12151893], [1594178, 158292, -390219], [576, 62, -145]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[-24, -6, 10]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19, -3, 0], [110, -4, 2], [-19, -3, 0], [0, 0, 0]], [[79686726, -7707387/2, -1002809/2], [-469154667, 257358537/2, -44996049/2], [79686734, -7707391/2, -1002801/2], [-4, 1, -2]], [[51313649743353, 12660821168927/2, -23812875945585/2], [-273294905960882, -32770028021327, 63158666647857], [51313654977415, 12660822460609/2, -23812878297135/2], [-2617031, -645841/2, 1175775/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21, -11/2, -5/2], [47, -53/2, -15/2], [-21, -11/2, -5/2], [0, 0, 0]], [[-8741897, -1768129/2, -281755/2], [34318743/2, -18105495/2, -1756251], [-8741897, -884062, -140878], [5/2, -1/2, 0]], [[4782231386426, 1330050664773/2, -2111146486731/2], [-6690141174271, -1189660171201/2, 3180355425165/2], [4782230852074, 1330050424379/2, -2111146242879/2], [-1188901, -145250, 267176]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[136, 32, -40]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-110, 5, 11], [-12, -1, 3], [0, 0, 0]], [[0, 0, 0], [21, -7, -36], [24, -38, -8], [5, -6, -1]], [[0, 0, 0], [-152810, 4997/2, 91433/2], [-68540, 690, 22885], [-28980, -4945/2, 15525/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [89, -21, -26], [5, 0, -5], [0, 0, 0]], [[0, 0, 0], [312113, 193421/2, -149965/2], [18469, -1957, 2511], [-4, -9/2, 1/2]], [[0, 0, 0], [-23940006657, -2962106493, 5710964342], [-1287658359, -122856490, 305618228], [424704, 48348, -105939]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[136, 32, -40]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-150, -13, -7], [-4, 7, 3], [0, 0, 0]], [[0, 0, 0], [-14970, -1884, 3502], [2, -2, -4], [2, -3, -1]], [[0, 0, 0], [4041658575, 1007013605/2, -1902315913/2], [-49437, -114, 13410], [-98988, -22617/2, 49437/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-116, 29, 5], [18, 12, 2], [0, 0, 0]], [[0, 0, 0], [-129003757, 202593555, -63664534], [11646458, -639304, 77043], [5, 3, 1]], [[0, 0, 0], [4106653600626, 3666373402725/2, -3066386573143/2], [-1089833250839, -152796518690, 271058394812], [-644323, -146469/2, 321479/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[136, 32, -40]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-94, -45, -11], [-30, -15, -5], [0, 0, 0]], [[0, 0, 0], [1016, 517/2, -555/2], [323, 101, -87], [1, 9/2, 5/2]], [[0, 0, 0], [-327609, -37120, 75659], [-107070, -11801, 24654], [-1131, -116, 290]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [124, 3, -5], [2, -7, 3], [0, 0, 0]], [[0, 0, 0], [80180, 27903/2, -27533/2], [-239, -600, 439], [1, -5/2, 5/2]], [[0, 0, 0], [-6, -1/2, 3/2], [5, 1, -1], [11, 3/2, -5/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -2, 2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 3/2, 3/2], [5, 13/2, 3/2], [0, 3/2, 3/2], [0, 0, 0]], [[-21, -24, 5], [-199, -13/2, 83/2], [-29, -25, 15/2], [-4, -5/2, 0]], [[-852046, 1407311/2, -279591/2], [-2998327, -1421621, 2303073/2], [-2013407/2, 726053, -486167/4], [-191505/2, 170, 73695/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 3/2, -3/2], [13, -13/2, -3/2], [9, 3/2, -3/2], [0, 0, 0]], [[133, 57/2, -57/2], [281/2, 53, -123/2], [134, 25, -29], [-3/2, 0, -1/2]], [[-138432, -17664, 32928], [-294305/2, -52325/2, 75375/2], [-275521/2, -17348, 130527/4], [1659, 79/2, -1343/4]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[72, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [56, -93, -71], [60, -91, -77], [0, 0, 0]], [[0, 0, 0], [231335, -784617/2, -289406], [515737/2, -802929/2, -1234247/4], [3/2, 1, -3/4]], [[0, 0, 0], [-689248212, -170071973/2, 162598495], [42065709/2, 7243633/2, -18414443/4], [142645/2, 8905, -67175/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-27, 14, 39], [5, -1, 4], [0, 0, 0]], [[0, 0, 0], [1226044, -4499423/2, -3407541/2], [251552, -223610, -447197/2], [-6, 5/2, -1]], [[0, 0, 0], [-15998915239, -134334579355/2, -30008846323], [58346918255/2, -7991557801/2, -42015699559/4], [-2478491/2, -283426, 1283345/4]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, -2, 2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, 1/2, -3/2], [-7, -5/2, -11/2], [-8, 1/2, -3/2], [0, 0, 0]], [[241777, 20286, -49844], [279150, 48399/2, -53002], [483565/2, 40589/2, -199363/4], [-7/2, -1, -3/4]], [[50831498734, 10452419139/2, -23017920391/2], [59129781601, 5698421802, -26512184179/2], [101667362093/2, 5226409647, -46037973191/4], [-1832061/2, 7725, 700503/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -1, 0], [-37, -10, 1], [-7, -1, 0], [0, 0, 0]], [[-21590, 10493/2, -3739/2], [-216305/2, -127, -1197], [-43183/2, 10487/2, -7469/4], [0, -3/2, 3/4]], [[230375, 81415/2, -112775/2], [1287270, 410219/2, -304672], [460815/2, 40708, -225577/4], [15/2, -1/2, -5/4]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[72, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 15, 5], [2, 13, 5], [0, 0, 0]], [[0, 0, 0], [-8567, -9043, 7889/2], [-12771/2, -14147/2, 11361/4], [7/2, 5/2, 3/4]], [[0, 0, 0], [977500, -569351/2, -52574], [1485215/2, -430429/2, -159169/4], [-641/2, -75, 335/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 13, -3], [8, 3, -1], [0, 0, 0]], [[0, 0, 0], [39817, -159303/2, 28152], [28929/2, 1807/2, -8231/4], [7/2, -1, 1/4]], [[0, 0, 0], [-35100229, -125341015/2, 32232296], [-190758477/2, -27545865/2, 90526101/4], [-39819/2, -4056, 20241/4]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 9, 7], [8, -3, -1], [0, 0, 0]], [[0, 0, 0], [427, 505, 291], [3055, -312, -927/2], [2, 2, 5/2]], [[0, 0, 0], [-181714519, -63385257/2, 91128919/2], [-699787872, -122762025, 359905181/2], [-842373, -448159/2, 242316]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 14, -18], [-2, 1, 5], [0, 0, 0]], [[0, 0, 0], [-1243380, -189024, 297777], [57599, 15575, -25563/2], [3, -2, 1/2]], [[0, 0, 0], [145927136, 35900457/2, -68300689/2], [-7145562, -882842, 3268987/2], [-236, -131/2, 69]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, 23, 15], [-4, 14, 4], [0, 0, 0]], [[0, 0, 0], [11900, 62039/2, -33809/2], [-16471, 24712, -8237], [5, -5/2, 1/2]], [[0, 0, 0], [-15562333, -139841/2, 5632679/2], [3735968, 2138645, -3231557/2], [-2499, -1029/2, 686]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -7, -11], [-2, -2, 2], [0, 0, 0]], [[0, 0, 0], [5814, 763/2, -2959/2], [-1200, -20, 497/2], [2, 5/2, 0]], [[0, 0, 0], [-1721860, -200102, 401098], [355970, 27475, -76742], [-910, -247, 260]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[-24, -6, 10]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 11, 0], [-44, 35, 15], [-1, 11, 0], [0, 0, 0]], [[-1185512, -51752, 46300], [14327127/2, 3001109/4, -10227205/4], [-1185512, -51752, 46300], [9, 11/4, 3/4]], [[102764384467, 78328829209/2, -85931136641/2], [-656168763564, -24607952126, 93464949898], [102764384467, 78328829209/2, -85931136641/2], [-964000, -212000, 406000]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[407, 15/2, 5/2], [-244, 344, 28], [407, 15/2, 5/2], [0, 0, 0]], [[2399545964, -487386886, -26096546], [-2627868485/2, 8379651167/4, -1293190659/4], [26395017756/11, -5361256707/11, -287061851/11], [-98/11, 31/44, -5/44]], [[30354487448701133, 22668371542512315/2, -25356002422206131/2], [3398657243847821, -90342796946160175/4, 20991881849330593/4], [333899535778200849/11, 249352174031312599/22, -278916171727637327/22], [-2803911103/22, -1404252857/44, 2340054353/44]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[136, 32, -40]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [56, -5, -21], [-46, -9, 1], [0, 0, 0]], [[0, 0, 0], [40994221/2, 2463439/2, -6843043], [-21738388, 3694045, 141953], [9/2, 2, -1/2]], [[0, 0, 0], [-20739156452, -6610342583, 6465832143], [32386939426, -21719287371, 3254140131], [-5842, -1373, 1711]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [128, -49, 11], [334, 7, -3], [0, 0, 0]], [[0, 0, 0], [-148695769/2, -132535970, 111113637/2], [-3277248748/11, -2618577751/11, 988003065/11], [351/22, 39/22, 2/11]], [[0, 0, 0], [-962492841335731/2, 115197468357103, 81755929058925/2], [-15266502067323194/11, 557797890662136/11, 2661690121740718/11], [1189733197/22, 279405223/22, -174900283/11]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[136, 32, -40]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -13, -9], [-11, -2, 1], [0, 0, 0]], [[0, 0, 0], [2337, -3283/2, -1933/2], [4368, -925, -565], [-4, 3/2, 3/2]], [[0, 0, 0], [25458383/2, 5294168, -9748295/2], [36702365, 12397687, -12016794], [-59531/2, -13441/2, 8627]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-158, -59, 23], [323, -5, 4], [0, 0, 0]], [[0, 0, 0], [1335736885/2, -2322535, -416310127/2], [-13432476369/11, 857348010/11, 3967621311/11], [65/22, -27/22, 2/11]], [[0, 0, 0], [65890494667, 14472673129/2, -31595087409/2], [-115859791485, -16525936584, 29543173101], [210, 285/2, -195/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[312, 32, -88]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [472, 9, -11], [10, 6, -4], [0, 0, 0]], [[0, 0, 0], [-84560322, -671622133/2, -203574693/2], [-6613947, -143917, 1700], [-5, -13/2, -3/2]], [[0, 0, 0], [-92133975899811, -44124948567652, 33501644699831], [-3015612745956, 634004143698, 268488041106], [-3179809, -737252, 851833]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1042, -34, 0], [-6, 5, -1], [0, 0, 0]], [[0, 0, 0], [571, -1391/2, -1097/2], [1, -12, -5], [-10, -9/2, -1/2]], [[0, 0, 0], [-1435052, 13420, 534100], [66838, -8522, -4806], [125154, 28613, -33419]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -35, -7], [10, 9, -1], [0, 0, 0]], [[0, 0, 0], [36270, -96293/2, 12587/2], [-38882, 5236, 6668], [2, 5/2, 1/2]], [[0, 0, 0], [-58712, -58333/2, 46317/2], [154231, 23217, -76019/2], [-13, -3/2, 3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-111, 35, 18], [-1, 0, 5], [0, 0, 0]], [[0, 0, 0], [-49141014, -12003435/2, 23043707/2], [62160, -4088, -13059/2], [2, 1/2, 0]], [[0, 0, 0], [11387967678, 1416329011, -2678917024], [-13710935, -1310850, 6248215/2], [-525, -45, 255/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[-88, -10, 22]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-28, -5, -1], [-21, 8, 1], [-28, -5, -1], [0, 0, 0]], [[-26229013, -1985652, -243201], [-19245186, 17178861/2, 519067/2], [-26229019, -1985636, -486413/2], [-1, 7/2, -2]], [[236888861272, 62118920163/2, -109994679745/2], [132313157916, 33060918771/2, -62520985217/2], [236888858488, 62118919827/2, -109994678701/2], [-1908, -6, 516]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, 4, 1], [75, 5, -2], [11, 4, 1], [0, 0, 0]], [[-18660520, 2322830, -662570], [-244859789/2, 82502817/2, -4295866], [-18660522, 4645663/2, -662569], [-5/2, 0, 1]], [[-96797853810, -66890159385/2, 49887804295/2], [-1133514255721/2, -211824928795, 346521651399/2], [-96797861685, -33445078530, 24943905980], [-29175/2, -105, 7875/2]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 46, -8], [-16, 3, -1], [0, 0, 0]], [[0, 0, 0], [75159, 2908, -9701], [-580588, -76321, 136660], [-1, -2, -2]], [[0, 0, 0], [482738126, 113438325/2, -225509569/2], [-3793639224, -472915770, 1786282887/2], [-15750, -2625/2, 3780]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -13, 9], [-22, -15, -5], [0, 0, 0]], [[0, 0, 0], [-176881, 167909/2, -29453/2], [2233487, 294464, -494875], [0, -3/2, 1/2]], [[0, 0, 0], [1540788424, 394564457/2, -737079509/2], [-24814604934, -3080247618, 11695230913/2], [6594, 1339/2, -1533]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, -13, -13], [-18, -1, 5], [0, 0, 0]], [[0, 0, 0], [11917, -48891, 20107], [4655, -386, -1681/2], [4, -2, -1/2]], [[0, 0, 0], [722099601, 462314985/2, -471471775/2], [-500684193, -59458669, 234410501/2], [-346878, -70875/2, 80766]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [43, -59, -46], [-17, -2, -5], [0, 0, 0]], [[0, 0, 0], [-138615, 126385/2, 153145/2], [334852, 62781, -153473/2], [5, 3/2, -2]], [[0, 0, 0], [-433643620, -39556396, 110114783], [1606409785, 200143165, -752116467/2], [24495, 2691, -11385/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[-88, -10, 22]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19, -15/2, -5/2], [30, 21/2, 13/2], [-19, -15/2, -5/2], [0, 0, 0]], [[16376555, -1349979/2, -3640017/2], [-26771816, 3628747, 1757176], [16376559, -1349991/2, -1820007], [1, -1/2, 1]], [[663928062438, 151227479571/2, -314348208693/2], [-1047834827893, -116031141728, 247503613843], [663928127103, 151227488331/2, -314348232993/2], [44745, -525/2, -24825/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[28, 1/2, 5/2], [68, 17/2, 5/2], [28, 1/2, 5/2], [0, 0, 0]], [[58356810, -12582885/2, -5117245/2], [283741615/2, -4219021/2, -12179994], [58356810, -6291443, -2558622], [-1/2, 1/2, 0]], [[99438867400, 14464596925, -21586181675], [501294144827/2, 36589602237, -109748730535/2], [99438867095, 28929194011/2, -21586181510], [-1059/2, 25/2, 305/2]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 0, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 13, 5], [-4, 10, 4], [0, 0, 0]], [[0, 0, 0], [241, 84, -117/2], [-137/2, 37/2, 87/4], [1/2, -3/2, 1/4]], [[0, 0, 0], [-1129984, -278965/2, 266495], [462903/2, 59581/2, -215935/4], [1295/2, 59, -635/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-68, -2, -2], [-6, 11, 1], [0, 0, 0]], [[0, 0, 0], [23569785, 2783558, -5492661], [218554, -14648, -30314], [-7, -2, -1]], [[0, 0, 0], [-6928311722, -1724617855/2, 1628225660], [-121388977/2, -12139027/2, 56961929/4], [5499/2, -282, -3807/4]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -26, -12], [26, 9, -1], [0, 0, 0]], [[0, 0, 0], [-1204036, 83392, 233259], [1530825, -328819, -307109/2], [3, 2, 3/2]], [[0, 0, 0], [-321373690457, -74770892961/2, 148690036643/2], [389184824820, 40781156071, -176514616143/2], [1243457, 249809/2, -289052]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -18, 2], [-22, -5, 1], [0, 0, 0]], [[0, 0, 0], [14265, 16465/2, -13023/2], [-23734, -5603, 10309/2], [3, -5/2, 1]], [[0, 0, 0], [638144286, 82822196, -151224031], [-966950655, -119390189, 457181243/2], [79125, 7950, -36525/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 0, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 1, 7], [-2, 4, 2], [0, 0, 0]], [[0, 0, 0], [38353, 13023/2, -9380], [-6553/2, -897/2, 3931/4], [5/2, -2, -5/4]], [[0, 0, 0], [-16497425902, -2068360711, 3884956491], [1372037864, 171025085, -324576582], [-547748, -49432, 134717]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-68, 23, 13], [0, 1, 3], [0, 0, 0]], [[0, 0, 0], [515940, 281009/2, -269853/2], [-12673, -1996, 18867/2], [5, 3/2, 0]], [[0, 0, 0], [-215419650, -52964567/2, 50390483], [9094511/2, 904357/2, -4291519/4], [-4425/2, -295, 2065/4]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[-20, -6, 6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, 1/2, -1/2], [-9, 5/2, -9/2], [-7, 1/2, -1/2], [0, 0, 0]], [[-161002, -37575/2, 67403/2], [-205494, -22642, 70981/2], [-322061/2, -18741, 134943/4], [13/2, -11, -31/4]], [[429482308841, 106584537601/2, -201962854671/2], [551040222365, 68025905180, -258808609475/2], [858959540623/2, 53291885783, -403923457695/4], [2059377/2, 155817, -958305/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -9/2, -5/2], [-10, 3/2, -9/2], [6, -9/2, -5/2], [0, 0, 0]], [[-29376, -6579, 2091], [110279, -24225/2, -50573/2], [-29370, -6572, 4177/2], [1, 5/2, -1]], [[-2987638038, -446596290, 658045962], [18925040001/2, 1025424624, -2292737770], [-5973648411/2, -446468630, 2631452923/4], [182325, 28600, -169065/4]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 0, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -5, -1], [6, 9, 3], [0, 0, 0]], [[0, 0, 0], [-696, 3965/2, -1413/2], [69, -498, 393/2], [-1, 5/2, 0]], [[0, 0, 0], [-11453539, -2474509/2, 2623497], [34447105/2, 4197877/2, -16143743/4], [-50745/2, -2385, 25005/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-25, -28, -49], [-13, 1, -4], [0, 0, 0]], [[0, 0, 0], [3909202, -2692291/2, -3146138], [1538671/2, 147121/2, -1777693/4], [11/2, -2, 3/4]], [[0, 0, 0], [1815887581, 159181838, -461154489], [489871967, 54570591, -118193426], [3240, 432, -756]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[-20, -6, 6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, -1/2, -5/2], [43, 1/2, -9/2], [12, -1/2, -5/2], [0, 0, 0]], [[270728, 12803/2, 75121/2], [1677744, -1100144, -877507/2], [541431/2, 6391, 150231/4], [15/2, -1, 5/4]], [[-303958422561, -90005746883/2, 140434520069/2], [-1170729721703, -262879837933/2, 298723970404], [-607878045987/2, -44999965967, 280851792141/4], [-15736189/2, -2366137/2, 7326757/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, -1/2, 5/2], [-47, -11/2, 11/2], [-11, -1/2, 5/2], [0, 0, 0]], [[4312, -1472, 804], [78939/2, -44164, -6729], [8637/2, -1467, 3231/4], [2, 0, 3/4]], [[-1066553600, -154201600, 252380800], [-9821371319/2, -596507404, 1297112514], [-2138517971/2, -154610366, 1011965039/4], [-606209, -90914, 561099/4]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[392, 48, -88]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-340, -30, -38], [8, 5, 5], [0, 0, 0]], [[0, 0, 0], [20005961478, -1586392009/2, -3687953853/2], [-603636389, -10061783, 2849397], [-1, 5/2, 5/2]], [[0, 0, 0], [-10024217500578966, -1358570764157416, 2398065245966176], [316465454984216, 43850978426308, -75762925469573], [-364860, -82025, 83100]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [204, 41, 13], [-14, -14, -4], [0, 0, 0]], [[0, 0, 0], [793217925, -1974797091/2, 626885683/2], [-37769599, -103675, 166609], [2, 9/2, -1/2]], [[0, 0, 0], [264237167253768, -18051928821232, -37935797552920], [-23259799600768, -2821587215561, 4979507992249], [2358158, 534095, -535501]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[392, 48, -88]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [264, 23, 3], [2, 14, 4], [0, 0, 0]], [[0, 0, 0], [3172342313, 1502246252, -1084750225], [126604636, -3661624, 1305240], [-5, -4, 1]], [[0, 0, 0], [-1439862925923149, -523755339505993/2, 726946304426273/2], [-50762981874779, -5004428493632, 9583403008178], [2571810, 1156577/2, -1175221/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [292, -13, -25], [18, -3, -5], [0, 0, 0]], [[0, 0, 0], [70528600, -67770433/2, -5454169/2], [3043045, -178795, 97359], [-5, 13/2, 5/2]], [[0, 0, 0], [-315537630870, -44266684385, 76004457565], [-17508907122, -2268014994, 4206948810], [7812, 1674, -1764]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, -8, -10], [12, -1, -5], [0, 0, 0]], [[0, 0, 0], [-127194, -85904, 163513/2], [-155385/2, 40783/2, 57487/4], [-13/2, -5/2, -3/4]], [[0, 0, 0], [42838966730, 21609414087/2, -13413877286], [40367798685/2, 1257925383/2, -17406683997/4], [4593281/2, 329120, -1688797/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 11, 7], [4, 12, 4], [0, 0, 0]], [[0, 0, 0], [-168465, -140019/2, 50115], [-212497/2, -18271/2, 63337/4], [1/2, -2, 5/4]], [[0, 0, 0], [4833805934, 591379277, -1140286327], [2718292484, 334344047, -643074498], [4050, 630, -667]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 6, 4], [8, 7, 3], [0, 0, 0]], [[0, 0, 0], [-114998, 15461/2, 10136], [-118297/2, -11197/2, 29933/4], [-5/2, -1, 5/4]], [[0, 0, 0], [392726716, 44130697, -113655886], [221384905, 14428762, -128176691/2], [9093, 1617, -2415/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 4, 0], [-2, -1, -3], [0, 0, 0]], [[0, 0, 0], [217262, 23903/2, -39368], [-68551/2, 16195/2, -3865/4], [5/2, 2, -1/4]], [[0, 0, 0], [536191733, 77925458, -128275425], [-73874542, -17759866, 19155453], [8325, 1332, -1554]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[88, 0, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-98, 17, -13], [-16, -5, 3], [0, 0, 0]], [[0, 0, 0], [521911, -4522219/2, 1209001/2], [-76540, 2037, -19973/2], [-3, -1/2, -2]], [[0, 0, 0], [-11183966520, -6245880615, 4568371482], [-2504336093, -243296269, 1096697823/2], [-118791, -10047, 49053/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-56, -2, 10], [0, -3, 5], [0, 0, 0]], [[0, 0, 0], [-8844548, -1114251, 2092501], [-44764, -5584, -9564], [0, -2, -2]], [[0, 0, 0], [-344009950636, -85882090363/2, 161998904043/2], [-1945861808, -149310612, 821148843/2], [-54516, -6789/2, 10296]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[88, 0, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-142, -7, 7], [-18, -5, 5], [0, 0, 0]], [[0, 0, 0], [-192211, 6412033/2, 1669837/2], [201868, -4587, 12361/2], [-3, 5/2, 2]], [[0, 0, 0], [202944924614, 78372525471, -74030106519], [31264369296, -189502538, -5682864800], [-207714, -13520, 39416]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [140, -10, 6], [-2, 3, -3], [0, 0, 0]], [[0, 0, 0], [500467, 124167/2, -205425/2], [-4500, -209, -459/2], [-1, 1/2, 2]], [[0, 0, 0], [-183575578, -22959201, 43257832], [1680717, 218597, -801391/2], [119, 7, -45/2]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[88, 0, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [210, -5, -11], [-12, 5, 5], [0, 0, 0]], [[0, 0, 0], [405067635, -290832869/2, -45231481/2], [-14162874, 712252, 262597/2], [-5, 3/2, 2]], [[0, 0, 0], [-95410178758507, 56998618003145/2, 10189103141825/2], [3740357799030, -582574102449, -913775675893/2], [950385, 120921/2, -179469]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-146, 5, -5], [12, 4, 0], [0, 0, 0]], [[0, 0, 0], [-37997638, 43283985/2, -11314085/2], [2811584, -22607, -121843/2], [-4, 1/2, -1]], [[0, 0, 0], [24031810302454, 163942401115, -4297116261474], [-2225413385907, -215031291726, 954523142437/2], [3209673, 214595, -1215867/2]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[88, 0, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [82, 2, -4], [-4, -1, -5], [0, 0, 0]], [[0, 0, 0], [215921903, 29675523/2, -82366775/2], [-14807233, 517479, 135498], [0, -5/2, -5/2]], [[0, 0, 0], [-10546594188628, -2422770168711/2, 4872008163835/2], [724881226354, 61606383582, -314253464063/2], [86646, 10955/2, -16261]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [50, -16, 6], [30, 9, -1], [0, 0, 0]], [[0, 0, 0], [153638549, -365189837/2, 121124079/2], [64529972, -3436621, 723901/2], [3, 3/2, -1]], [[0, 0, 0], [-26895852748, -38366893137, 19425422879], [-28946868102, -8987871071, 7253561413], [-1770, -108, 336]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[-60, -6, 14]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, -5/2, -3/2], [-24, -13/2, -9/2], [9, -5/2, -3/2], [0, 0, 0]], [[-1967788, 167183/2, 176797/2], [9542616, -7210747/2, -3142963], [-3935595/2, 83609, 353579/4], [-3/2, 5/2, -1/4]], [[-104853043473, -13772615786, 24635720622], [396168856845, 92125615361/2, -96152043973], [-209706313369/2, -27545274863/2, 98543013615/4], [-41691/2, -3128, 23723/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -1, -1], [-8, -6, 2], [4, -1, -1], [0, 0, 0]], [[-35, -345/2, 25/2], [609, -1037/2, -105], [-53/2, -169, 55/4], [-3/2, -5/2, -5/4]], [[-3052, 567, 359], [13479/2, 4388, -2957], [-5619/2, 612, 1171/4], [-70, -10, 75/4]]], 1, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, 1, 1], [4, 6, -2], [0, 0, 0]], [[0, 0, 0], [-110416, -187377/2, 34243], [68019/2, -23219/2, 25319/4], [-1/2, -1, -5/4]], [[0, 0, 0], [-3678011042, -568743240, 879142657], [766221589, 71930726, -320875995/2], [-30723, -4940, 10811/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [57, 14, 33], [19, -3, 2], [0, 0, 0]], [[0, 0, 0], [-123505192, -78731165/2, -20850610], [-74180085/2, -3053143/2, 9253561/4], [-1/2, -2, -3/4]], [[0, 0, 0], [4827353166044, 1139205910197, -1235648967389], [1245935618274, 256092376713, -325269428294], [54054, 8262, -9711]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[88, 0, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-66, -13, -3], [-6, -6, -4], [0, 0, 0]], [[0, 0, 0], [-1425467, 486643/2, 155111/2], [-183566, 26634, -14079/2], [3, -1/2, -2]], [[0, 0, 0], [1324831296424, 285478187974, -365606940454], [175940318060, 40448668381, -50212677761], [-2502360, -160482, 473004]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [156, -38, -14], [-6, 15, 5], [0, 0, 0]], [[0, 0, 0], [-630368459, -116392460, 164786621], [-10745296, 641661, 124712], [-3, -2, 2]], [[0, 0, 0], [-72153565830556, -16858559225295/2, 33476130409315/2], [-1149781828176, -171832160652, 612858998147/2], [-394898, -50853/2, 73700]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-56, 6, -6], [-12, 3, -1], [0, 0, 0]], [[0, 0, 0], [-34430593, -6512079, 583149], [-7225833, -569644, 752813/2], [-4, -2, 1/2]], [[0, 0, 0], [-1081207255748, -644999548413/2, 258031052879], [-430901565095/2, -127976430361/2, 223446763343/4], [-295295/2, -21670, 105435/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, -16, -10], [12, -9, -5], [0, 0, 0]], [[0, 0, 0], [25307091, -7679345/2, -4794424], [-7351215/2, 1223297/2, -473773/4], [3/2, -1, 3/4]], [[0, 0, 0], [-367662938745, -81528362561/2, 175345059327/2], [55166036838, 7323194507, -24445620489/2], [-19019, -5775/2, 3619]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, -37, -1], [10, -8, 2], [0, 0, 0]], [[0, 0, 0], [-531096, -163247, 82327/2], [-445813/2, -26085/2, 204599/4], [-9/2, -5/2, -3/4]], [[0, 0, 0], [-1754147744, -730172995/2, 462582909], [-1286963227/2, -242374301/2, 677832631/4], [-32595/2, -5565, 20299/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 7, 5], [-14, 5, -1], [0, 0, 0]], [[0, 0, 0], [56064, -8661, -38757/2], [204903/2, 10779/2, -72021/4], [-5/2, 3/2, 1/4]], [[0, 0, 0], [3125687989, 902508781/2, -731394362], [13277967613/2, 1894358763/2, -6483045497/4], [-216297/2, -31274, 128059/4]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, 21, -1], [-10, 4, -2], [0, 0, 0]], [[0, 0, 0], [-14306, -1601/2, 5097/2], [-6284, 32, 2943/2], [-2, 1/2, -1]], [[0, 0, 0], [-98219668, -27624991/2, 23720636], [-82889345/2, -11220529/2, 40009601/4], [-26009/2, -3909, 15369/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -22, -6], [12, -11, -3], [0, 0, 0]], [[0, 0, 0], [-448, -10237/2, -454], [-5687/2, -5979/2, 2347/4], [-15/2, 1, -5/4]], [[0, 0, 0], [33922725, 3444247, -15240327/2], [94080227/2, 10749469/2, -43401137/4], [165025/2, 23575/2, -80155/4]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[136, 32, -40]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [100, 5, 5], [-32, 3, -1], [0, 0, 0]], [[0, 0, 0], [-5201701, -286987/2, 225647/2], [1634787, -134630, -44214], [-4, 3/2, 1/2]], [[0, 0, 0], [121620204673, 18898244094, -27133443348], [-36344590751, -5442606280, 16535851127/2], [75694, 8635, -37787/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-184, -15, -3], [30, 9, -1], [0, 0, 0]], [[0, 0, 0], [306646640, -302282603/2, 91835867/2], [-44260336, 1289636, 599391/2], [-2, 3/2, 0]], [[0, 0, 0], [8910833310229, 1289696819495, -2059711046272], [-1582508661576, -223631126867, 361665023380], [-47775, -5495, 11893]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[136, 32, -40]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, -17, -9], [-20, -5, 3], [0, 0, 0]], [[0, 0, 0], [140851, -499191/2, 185183/2], [-58139, 5894, 11001], [-4, 3/2, -1/2]], [[0, 0, 0], [1985819465, 671169175/2, -1127249325/2], [-2408450988, -320367327, 1121716229/2], [-156885, -35827/2, 39170]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 3, -5], [8, -3, 1], [0, 0, 0]], [[0, 0, 0], [46807, 17971/2, -5909/2], [-92506, -9883, 37121/2], [-3, 3/2, -1]], [[0, 0, 0], [-3113529166, -358124241, 752209597], [5720924376, 705932862, -1352080656], [155904, 17616, -39018]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, -4], [-10, -3, -1], [0, 0, 0]], [[0, 0, 0], [120, -45/2, -7], [79/2, -45/2, -51/4], [7/2, 0, 1/4]], [[0, 0, 0], [-111393, -54543/2, 31807], [-53989/2, -13373/2, 32537/4], [-7339/2, -895, 4117/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -20, -6], [-12, -5, -1], [0, 0, 0]], [[0, 0, 0], [-35315, -2836, 8763/2], [-45125/2, -17137/2, 26815/4], [13/2, 5/2, 5/4]], [[0, 0, 0], [476407422, 190208595/2, -253915277/2], [357261409, 10962485, -69624406], [-103837, -54043/2, 59991/2]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -13, -13], [24, 0, -4], [0, 0, 0]], [[0, 0, 0], [-2345, 3471/2, 1311], [-4231/2, 977/2, 591/4], [11/2, -1, 3/4]], [[0, 0, 0], [42865204, 6781215, -12529162], [61720567, 14771634, -35031717/2], [-169371, -50031, 101439/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 41, 17], [10, 8, 2], [0, 0, 0]], [[0, 0, 0], [-29537, 92421, -41831], [-65549, -15165, 33073/2], [-6, 0, -1/2]], [[0, 0, 0], [23491348, -152951877/2, 28055065], [180864871/2, 30102697/2, -91890699/4], [17687/2, -769, -5383/4]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[392, 48, -88]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, -7, -5], [-14, -6, 0], [0, 0, 0]], [[0, 0, 0], [76629, -168883/2, 43033/2], [-17090, -1881, -6603/2], [1, 1/2, 2]], [[0, 0, 0], [72262639430, 15387017475, -19766029014], [-33064376165, -5090869012, 15516436913/2], [2867065, 648313, -1307219/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-174, -3, 15], [-6, 1, -5], [0, 0, 0]], [[0, 0, 0], [-4211555, -752603/2, 1668503/2], [-161835, -722, 233], [2, -5/2, -5/2]], [[0, 0, 0], [-2033709856196, -500483321781/2, 954965083085/2], [-78641330340, -9144336348, 36577389481/2], [124056, 56571/2, -28235]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-36, -7, 1], [-26, 2, -4], [0, 0, 0]], [[0, 0, 0], [-369025, -770923/2, -131257/2], [-179131, -378661, -80059], [-4, 3/2, 1/2]], [[0, 0, 0], [52534966101, 16717675805/2, -11457770524], [69125487681/2, 12193991325/2, -29394641457/4], [609791/2, 31304, -284921/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -8, -4], [-18, -9, -3], [0, 0, 0]], [[0, 0, 0], [-8296, -6947/2, -4673/2], [-28108, 2683, -5281/2], [-4, 1/2, 0]], [[0, 0, 0], [-3268616183, -530691111/2, 809808581], [-17041638697/2, -1535229605/2, 8021510069/4], [-2327507/2, -115479, 1084265/4]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[392, 48, -88]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [124, 3, 3], [-4, -7, 1], [0, 0, 0]], [[0, 0, 0], [3262906, 3094343/2, -1873403/2], [-219996, 15794, 2285/2], [-2, 1/2, -2]], [[0, 0, 0], [5473347712314, 663921644441, -1257463590765], [-304187004636, -44137849744, 71924924560], [-3043140, -687822, 692378]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-236, 4, 0], [-34, 1, -1], [0, 0, 0]], [[0, 0, 0], [-11248132516, -617847449/2, 682016797/2], [-1618106884, -31933387, 13641817/2], [0, 3/2, 2]], [[0, 0, 0], [-2714843872662042, -379846350040243, 647350193303636], [-391067747712145, -55441990833272, 186747375074469/2], [264513, 59607, -120435/2]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, -3, 3], [22, 13, 3], [0, 0, 0]], [[0, 0, 0], [30199, 48011/2, -14898], [97471/2, 24575/2, -48971/4], [5/2, 2, -3/4]], [[0, 0, 0], [1219061866, 123051110, -275970578], [1642484914, 195429785, -385661766], [104712, 10542, -24477]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [60, -9, -9], [30, 7, 5], [0, 0, 0]], [[0, 0, 0], [-1096470, 340895/2, 125189], [-1438897/2, 293049/2, 325053/4], [-1/2, -1, 1/4]], [[0, 0, 0], [-2975959529, -397590787, 712170185], [-1901735407, -258950406, 909258303/2], [-2816, -242, 1331/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -34, -2], [-6, -7, 3], [0, 0, 0]], [[0, 0, 0], [-1424883, -546721, 286115], [-818215, -163232, 410315/2], [-4, -2, -1/2]], [[0, 0, 0], [151507746995, 41213110747/2, -36822046958], [159156506985/2, 21072898661/2, -76088436557/4], [960735/2, 46835, -447165/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, 20, 20], [-6, -7, 3], [0, 0, 0]], [[0, 0, 0], [-3941027, -3005445/2, 1118427/2], [-1622142, 145621, 548105/2], [-1, -1/2, 1]], [[0, 0, 0], [1414822349763, 357570391823/2, -330609138533], [933852872019/2, 119061584367/2, -442580814087/4], [641685/2, 32297, -299335/4]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[-26, -2, 7]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -5, -3/2], [-15, 3, 3/2], [-1, -5, -3/2], [0, 0, 0]], [[560, 31, -159], [1943, 419/2, -442], [1119/2, 65/2, -643/4], [1/2, -2, 1/4]], [[250965, 30875, -59072], [903282, 113716, -213084], [250920, 30767, -118045/2], [-198, 27, 45/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 3, 1/2], [-22, -1, -3/2], [4, 3, 1/2], [0, 0, 0]], [[93, 1026, 189], [14802, -43654, 28821/2], [187/2, 2049/2, 757/4], [-1/2, 1/2, -1/4]], [[65658, 8619, -15330], [-266132, -98201/2, 68705], [131285/2, 17233/2, -61305/4], [-67/2, -4, 31/4]]], 0, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[-26, -2, 7]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 1, -3/2], [-2, 7, -7/2], [4, 1, -3/2], [0, 0, 0]], [[656, -216, -292], [563, -1751/2, -801/2], [658, -217, -587/2], [3, -1/2, -1]], [[118664, 13944, -26852], [19562, -21403/2, 2823], [237889/2, 28007/2, -107697/4], [1241/2, 68, -561/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 2, 1], [-11, 0, 4], [-5, 2, 1], [0, 0, 0]], [[214, -525, -253/2], [195, -550, -949/2], [216, -534, -251/2], [-5, 2, -1]], [[-3370588, -365404, 803738], [-9281071, -2182713/2, 2229538], [-6962243/2, -756647/2, 3318627/4], [-467973/2, -29348, 221067/4]]], 0, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[60, -4, -10]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[179, -253, -541/2], [173, -245, -521/2], [179, -253, -541/2], [0, 0, 0]], [[459, 2907, -17289/2], [336, 2649, -16493/2], [459, 2917, -17293/2], [5, -1, 0]], [[8170200, 1019592, -1923516], [22699720, 2829448, -10685763/2], [7771250, 969896, -1829627], [-423798, -52793, 199475/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-257, 211, -1/2], [11941/11, -10717/11, -37/22], [-257/11, 211/11, -1/22], [0, 0, 0]], [[972445515, 700971795, 17758215/2], [-38552223403/11, -36950210654/11, -4649833690/11], [972445493/11, 700971795/11, 17758061/22], [-2, -4, 1/2]], [[26152563574455, 5461652108655, -14482654965045/2], [-1138951263449113/11, -248343153629855/11, 643471883821073/22], [26152561855287/11, 5461654321503/11, -14482656178917/22], [-55704, -66660, 39072]]], 0, 1024, [], [] >,
< [ 2, -4, -1, 1 ], [[76, 12, -18]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 1, -1/2], [27, 9, -5/2], [7, 1, -1/2], [0, 0, 0]], [[712, -1140, 263], [1561, -1065, -300], [713, -1146, 515/2], [-4, -5, -1/2]], [[1001610, 1870230, -899465], [6433486, 2360425, -3544979/2], [1953591/2, 3742557/2, -3554289/4], [-97161/2, -3029/2, 49629/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, -15, -5/2], [-1, -59, -29/2], [-9, -15, -5/2], [0, 0, 0]], [[826965, -788895, -285525/2], [2773009, -4172461, 64485/2], [826964, -788888, -142761], [5, 1, 1/2]], [[-884442240, -106227990, 197938620], [-1711577380, -172200259, 706143793/2], [-1768895535/2, -212457253/2, 791760041/4], [-23383/2, -2747/2, 11055/4]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[8, 0, -2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -3/2, 0], [-8, 1/2, -5], [-3, -3/2, 0], [0, 0, 0]], [[-146, -21/2, 34], [-509, 755/2, -53], [-146, -21/2, 34], [0, 0, 0]], [[1, -1/2, 0], [-7, 0, 1], [-3/2, 0, 1/4], [-3/2, 0, 1/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -4, 3/2], [-5, -11, 1/2], [-3, -4, 3/2], [0, 0, 0]], [[-2872, -15713/2, 1673], [-2229/2, -24819, -4083], [-2866, -7852, 3347/2], [-5/2, -2, 1/2]], [[337773, 2089, -61505], [737798, 24381, -277205/2], [674691/2, 4071/2, -245623/4], [351/2, 31/2, -153/4]]], 1, 12, [], [] >,
< [ 2, -4, -1, 1 ], [[8, 0, -2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -1, 1/2], [10, -6, 9/2], [3, -1, 1/2], [0, 0, 0]], [[2175, 273, -383], [6619, 908, -806], [2175, 273, -383], [0, 0, 0]], [[0, 0, 0], [1, -1/2, 0], [-1/2, -1/2, 1/4], [-3/2, 0, 1/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 1, -3/2], [6, -6, -13/2], [4, 1, -3/2], [0, 0, 0]], [[-165, 55, 11/2], [-96, 94, -81/2], [-163, 52, 7/2], [1, -1, -1]], [[16900, 4420, -4966], [12859/2, 9081/2, -6243/2], [33771/2, 4408, -19841/4], [-41, -3/2, 29/4]]], 1, 12, [], [] >,
< [ 2, -4, -1, 1 ], [[76, 12, -18]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -7, -5/2], [-1, 1, -7/2], [-7, -7, -5/2], [0, 0, 0]], [[-7992, 45144, -26244], [-112637, 584309/2, -216493/2], [-7992, 45144, -26244], [0, -5/2, -3/2]], [[-8176464, -535248, 1712664], [-1994219, 5037689/2, -714361], [-8176464, -535248, 1712664], [1630, 405/2, -385]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[71, 5, 1/2], [93, 15, 7/2], [71, 5, 1/2], [0, 0, 0]], [[-29962368, 7305088, -77376], [-39823233, 14408543/2, 21749/2], [-329586328/11, 80355338/11, -850786/11], [-2/11, -9/22, 5/22]], [[9891680384, 968374528, -2379101696], [13606194381, 2578001329/2, -3311262677], [108808664824/11, 10652148858/11, -26170161916/11], [1290/11, 415/22, -309/11]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[76, 12, -18]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19, -43, 11/2], [25, -53, 21/2], [19, -43, 11/2], [0, 0, 0]], [[-22110, -3960, 4365], [2601987, 646473/2, -613085], [-22110, -3960, 4365], [2, -3/2, -2]], [[-201417150, -24939300, 47378475], [22914801834, 2854686128, -5392852992], [-201417150, -24939300, 47378475], [7272, 1332, -1824]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-105, -3, 3/2], [-97, -9, -49/2], [-105, -3, 3/2], [0, 0, 0]], [[96225252, 11846692, -22502710], [96742399, 11874514, -22489405], [1058478192/11, 130309552/11, -247529950/11], [3/11, -29/11, -1/11]], [[1197461282708, 149133704372, -281788821134], [1204059587359, 299876458847/2, -283321203864], [1197459597108, 149133436062, -281788417374], [-12040, -3833/2, 2884]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[8, 0, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -3, 1/2], [3, -6, -17/2], [1, -3, 1/2], [0, 0, 0]], [[57, -193/2, 36], [21/2, 769/4, -349/4], [57, -193/2, 36], [1, 15/4, 5/4]], [[356969, -19164, -112567/2], [2698621/2, 564539/2, -733287/2], [356969, -19164, -112567/2], [103075/2, 7068, -24149/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-16, -2, 1/2], [-9, 2, -1/2], [-16, -2, 1/2], [0, 0, 0]], [[-11147303, -1351434, 2621502], [-10834499/2, -638713, 2529977/2], [-11147241, -1351620, 2621502], [-1/2, 3/2, 0]], [[2220814848942, 553576713495/2, -1045265563065/2], [2155888258167/2, 537571154771/4, -1014811268893/4], [24429022928298/11, 6089342849811/22, -11497950823329/22], [-480564/11, 16107/44, 477897/44]]], 1, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[8, 0, -2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 2, 3/2], [5, -14, -1/2], [-1, 2, 3/2], [0, 0, 0]], [[3476, 619, -1765/2], [-27987, 12470, -266], [3476, 619, -1765/2], [0, -1, -1/2]], [[-183414, -20493, 42207], [1052533, 1388589/4, -1360177/4], [-183414, -20493, 42207], [63/2, 1/4, -35/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[60, 0, 5/2], [3, 58, 1/2], [60, 0, 5/2], [0, 0, 0]], [[2059200, 184272, -475200], [2030561/2, 317199/2, -293796], [22652530/11, 2026712/11, -5227130/11], [19/22, -2/11, 1/22]], [[6973643424, 885186720, -1612667760], [3457202687, 2119060439/4, -3150482515/4], [76714521194/11, 9737026655/11, -17740463225/11], [63479/22, -779/44, -31939/44]]], 1, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[-100, -4, 22]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [58/17, 281/17, -31/17], [-4, 5, -2], [0, 0, 0]], [[-173, -3365, -5/2], [1319688947/391, 967687217/391, -89290415/782], [-877988, 8018, -1707], [-173/782, -3365/782, -5/1564]], [[-16785025075, -4465233565, 9876756045/2], [17664437294238121/391, 2442034523747930/391, -4249834880112785/391], [-8929069574500, -758865469636, 3895631591183/2], [-16785025075/782, -4465233565/782, 9876756045/1564]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 4, 1/2], [-7, 0, 3/2], [0, 0, 0]], [[85811, 7493, 3/2], [169118637/6647, 5840644/6647, -6721311/6647], [-198986/17, -21516/17, 12975/34], [85811/13294, 7493/13294, 3/26588]], [[-527330378940, 210191906052, 5658105386], [-43651814028862/289, 17232363145166/289, 554540092536/289], [1184051346178/17, -381902147904/17, -51265107535/17], [-11463703890/289, 4569389262/289, 123002291/289]]], 0, 2560, [], [] >,
< [ 2, -4, -1, 1 ], [[-364, -44, 82]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-102, 18, -1], [-106, 24, 4], [-102, 18, -1], [0, 0, 0]], [[-7624, -1036, 1834], [-7636, -998, 3717/2], [-7662, -1056, 1835], [4, 5, 3/2]], [[40806833, 3998825, -18281687/2], [40748420, 3990464, -9128922], [41055963, 4024843, -18392949/2], [-35089, -4129, 15791/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[65, 9, 5/2], [1231, 155, 81/2], [65, 9, 5/2], [0, 0, 0]], [[-4092080, -5101512, -268586], [-1326859133/17, -1604816160/17, -60726848/17], [-4092064, -5101490, -268592], [-33/17, -57/17, -2/17]], [[-277711155160, -39032616088, 66399996532], [-88816307171502/17, -12487651971237/17, 42493006593477/34], [-277710102114, -39032446788, 66399734117], [-2546272/17, -379232/17, 1234197/34]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[-52, -20, 14]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [652797432000/248639, -34383472914/248639, 3114739/248639], [3438400/248639, -181096/248639, 2/248639], [0, 0, 0]], [[-3054805, 475009, -5/2], [1002634069174990934087/248639, 105749198112439724848/248639, -471743759646900191071/497278], [5281051618773877/248639, 557001609737331/248639, -2484757957107125/497278], [-3054805/497278, 475009/497278, -5/994556]], [[-160029302544263663, -21070415386011873, 78397206277186447/2], [56577792153501862252372499602893/248639, 7092269757706463593137956983526/248639, -13310000861944110251689927360675/248639], [298005325787556992842673576/248639, 37356245860329283040733083/248639, -70106149999469147316164209/248639], [-160029302544263663/497278, -21070415386011873/497278, 78397206277186447/994556]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [364138138181/248639, -476279465333/248639, -451997/497278], [1917975/248639, -2508659/248639, -5/497278], [0, 0, 0]], [[15486755, -23847075, 5/2], [4785203388682228100955/2735029, 3678424733225554442706/2735029, -2228895588018865577967/2735029], [25204056308326448/2735029, 19374888383739409/2735029, -11739883735668573/2735029], [15486755/5470058, -23847075/5470058, 5/10940116]], [[270127499306758884, 9269197472473076, -66291150491766086], [363868960098579456007606317618009/2735029, 47435869600001925328535841365039/2735029, -172307612131310100247682532323903/5470058], [1916535190054206362383429991/2735029, 249849784825375243758814985/2735029, -907561961724369765808298833/5470058], [135063749653379442/2735029, 4634598736236538/2735029, -33145575245883043/2735029]]], 0, 4608, [], [] >,
< [ 2, -4, -1, 1 ], [[740, 100, -182]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2789153376936/248639, 549271805766/248639, -4037008/248639], [-14690974/248639, 2893120/248639, 1/248639], [0, 0, 0]], [[2259024, 587826, -1], [165947034662966453942826/248639, 20205036420727900543141/248639, -77313297988466744990723/497278], [874072457442259883/248639, 106423500614850716/248639, -407222877027196335/497278], [1129512/248639, 293913/248639, -1/497278]], [[-114211731695844775, 49739951794220975, 29075384428363737/2], [-5762581587308569024921014068594741/248639, -625350285772721749941298750786208/248639, 2642350012950408315972261050939887/497278], [-30352538124963121989512456047/248639, -3293832295469640514606854409/248639, 13917726177364108409648953223/497278], [-114211731695844775/497278, 49739951794220975/497278, 29075384428363737/994556]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6115082834927/248639, -416255207225/248639, -1184411/497278], [32209387/248639, -2192477/248639, -1/497278], [0, 0, 0]], [[-4745414, -15008888, 1], [218041755921317993806558/2735029, -10803758411813646912913/2735029, -2158051588488145229678/2735029], [1148470360217536454/2735029, -56904770609398002/2735029, -11366801122969838/2735029], [-2372707/2735029, -7504444/2735029, 1/5470058]], [[24070601067631798217, -9863647869627045499, -7158894405421779485/2], [-306437498948367923615061814051297525/2735029, -118634848306553956517024586502132231/2735029, 121889728963971430435846287311806629/2735029], [-1614069706075287548714666426842/2735029, -624873331502698549614198366971/2735029, 642018173252193180796217344573/2735029], [24070601067631798217/5470058, -9863647869627045499/5470058, -7158894405421779485/10940116]]], 0, 92160, [], [] >,
< [ 2, -4, -1, 1 ], [[108, 44, -34]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2141/17, -278/17, -55/34], [-125, -4, -3/2], [0, 0, 0]], [[4483, 2801, 3/2], [5150144744680/391, 1316570316917/391, -2446778101083/782], [12461971879, 3359169499, -3120974921], [4483/782, 2801/782, 3/1564]], [[-68317214868, -7698059124, 15880140066], [-64969427745597250300/391, -6665868232518933056/391, 14701249559150046623/391], [-158095312898663560, -15306671076194330, 35376961345831952], [-34158607434/391, -3849029562/391, 7940070033/391]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [213/17, 660/17, 899/34], [37, 4, 3/2], [0, 0, 0]], [[27388, 12166, -2], [-1726877377414/6647, -206905843644/6647, 791159781497/13294], [-4733479636/17, -545268395/17, 2183542039/34], [13694/6647, 6083/6647, -1/6647]], [[59047816893, 6628375799, -27446810995/2], [-3083010702939980234/6647, -378377105620405962/6647, 1446475799154767347/13294], [-8430016407652877/17, -1033137925206084/17, 1976726359833324/17], [59047816893/13294, 6628375799/13294, -27446810995/26588]]], 0, 30720, [], [] >,
< [ 2, -4, -1, 1 ], [[452, 68, -118]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[181, -11, 5/2], [57, -15, 3/2], [181, -11, 5/2], [0, 0, 0]], [[1409145785, -45051167, -34291035/2], [439342339, -95144425, -185602], [1409145791, -45051159, -34291061/2], [-2, 1, 5/2]], [[-4713003542779, -547155420595, 2175602923389/2], [-1345951448350, -149548943071, 616514811921/2], [-4713003565663, -547155424861, 2175602935701/2], [3291, 495, -861]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-143, -15, 1/2], [-1825, -263, 9/2], [-143, -15, 1/2], [0, 0, 0]], [[-237233961331, -3387602931, -3454665719/2], [-3023561339797, -170537885498, -31060190197/2], [-237233961331, -3387602907, -3454665731/2], [0, -3, 0]], [[-1226450123347745773, -136167603998791509, 570690350146765903/2], [-270754595394246025539/17, -30291192457403006228/17, 63143071930718408418/17], [-1226450123297998483, -136167603989549549, 570690350120056133/2], [-121583370/17, -18294250/17, 63481515/34]]], 0, 122880, [], [] >,
< [ 2, -4, -1, 1 ], [[-24, 0, 4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-7, -4, -1/2], [-23, 13/2, 11/2], [-13/2, -17/2, -11/4], [-7/2, -2, -1/4]], [[3249, 361, -1539/2], [6792, 638, -1482], [8037/2, 893/2, -3895/4], [3249/2, 361/2, -1539/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-7, 2, 1/2], [-8, 27/2, -9/2], [-15/2, -1/2, 7/4], [-7/2, 1, 1/4]], [[39, 3, -21/2], [16, 8, -2], [99/2, 3/2, -57/4], [39/2, 3/2, -21/4]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[-24, 0, 4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-6, -1, 1], [-24, 19/2, 3/2], [-7, -2, 1], [-3, -1/2, 1/2]], [[1155, 90, -595/2], [3451, 753/2, -1357/2], [2905/2, 145/2, -1605/4], [1155/2, 45, -595/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[9, 0, 3/2], [5, 13/2, 51/2], [15/2, 15/2, 9/4], [9/2, 0, 3/4]], [[-5450, -654, 1308], [-8159, -740, 2137], [-6758, -763, 1635], [-2725, -327, 654]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 7, 1/2], [-17, 13, 31/2], [9, 7, 1/2], [0, 0, 0]], [[49929, 3471, -37113/2], [-1226, -56162, -7481/2], [49930, 3471, -18562], [2, -5, -1/2]], [[-14352852, -1811684, 3375770], [8628445, 1088498, -2079134], [-14352777, -1811694, 6751505/2], [140, 20, -75/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[14, 4, 2], [12, 18, 8], [14, 4, 2], [0, 0, 0]], [[-740093, 355245, 388329/2], [-1116897, 575305, 1120655/2], [-740093, 355249, 388333/2], [4, 2, 0]], [[110218127, 16499765, -60058993/2], [154803490, 13237381, -84311507/2], [110217670, 16499661, -30029420], [-1018, -152, 457/2]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[4, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 4, 5/2], [-6, -15, -15/2], [4, 4, 5/2], [0, 0, 0]], [[-21360, 149520, -48060], [-28987, -138130, 28184], [-21357, 149514, -96125/2], [0, -1, -3/2]], [[-12475842, -1302426, 2830467], [56774523/2, 3356366, -13218879/2], [-12475719, -2604829/2, 2830439], [515/2, 67/2, -123/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 1, -1/2], [0, -12, -1/2], [-4, 1, -1/2], [0, 0, 0]], [[-10764, -7668, 5139], [-26683, 12804, -1267], [-10763, -7670, 10275/2], [0, -1, -1/2]], [[-570402, -93366, 144018], [-1878599/2, -108581/2, 196078], [-570418, -186723/2, 144025], [-55/2, -1, 8]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[4, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 1, 3/2], [-1, -10, -13/2], [1, 1, 3/2], [0, 0, 0]], [[800, -3443/2, 588], [-2345/2, 1711, -518], [798, -1716, 587], [-3/2, 2, -1]], [[-8271, -1427, 2213], [33465, 4802, -8022], [-8241, -1517, 2153], [30, 45, 15]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 3, -5/2], [2, -6, 3/2], [2, 3, -5/2], [0, 0, 0]], [[2324, -2627/2, -1616], [1477/2, -3313/2, -1709/2], [2323, -1313, -1616], [3/2, 1/2, -1/2]], [[3434, 101, -1919/2], [-434, -251, -101/2], [3434, 101, -1919/2], [0, 0, 0]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[-32, -8, 8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [11, 9, 10], [15, 3, 2], [0, 0, 0]], [[0, 0, 0], [-20877, 133241/2, -17547/2], [-7022, 36294, -16397/2], [1, 1/2, -2]], [[0, 0, 0], [-63617951, -8104215, 15078034], [-61462723, -7767583, 14523388], [-5916, -748, 1394]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9, 3, 4], [-7, 1, -2], [0, 0, 0]], [[0, 0, 0], [-15012, 9529/2, 13639/2], [-10560, -1411, -4463/2], [2, -1/2, 2]], [[0, 0, 0], [-22327796, -6255107, 3220955], [-27610324, 873887, 7391125], [5880, -1470, -1680]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[-32, -8, 8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 0, 2], [12, 2, 0], [0, 0, 0]], [[0, 0, 0], [30864, -79599/2, 102015/2], [32765, -8635, 65135/2], [1, -1/2, -1]], [[0, 0, 0], [-30499863, -13553275, 11966448], [-50226731, -11664122, 14678224], [-798, -63, 156]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5, 4, -1], [7, 0, -3], [0, 0, 0]], [[0, 0, 0], [-204, 625, -235], [-92, 95, -38], [4, 0, -1]], [[0, 0, 0], [234, -1691/2, 691/2], [146, -78, 151/2], [-10, 1/2, 3]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[20, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -2, 2], [-11, -4, 2], [-3, -2, 2], [0, 0, 0]], [[-191, 787/2, -291/2], [-182, 311/2, -57/2], [-193, 803/2, -289/2], [-4, 0, -1]], [[94608, 5133/2, -38467/2], [276480, 31449, -63445], [89706, 4359/2, -17879], [10191, 2193/2, -2451]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 0], [0, 0, 0]], [[4, -9, -7], [33, -39, -34], [3, -5, -11/2], [-2, -1, -1/2]], [[2759, 403/2, -2635/2], [-17735/2, -5171/2, -498], [620, 899, -2015/2], [7161/2, 1519/2, -2139/2]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[20, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 6, 9], [5, -6, -5/2], [4, 0, -5/2]], [[0, 0, 0], [-2277, -463/2, 1009/2], [1134, 189, -567/2], [2457, 567/2, -567]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 21, 7], [2, -4, -3], [0, -2, -1]], [[0, 0, 0], [-179/2, 29, 27/2], [13, -1/2, -5], [51/2, 3/2, -13/2]]], 0, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 8, 8], [10, 10, 4], [0, 0, 0]], [[0, 0, 0], [750304, -1558374, 512128], [-346801, 606057, -437747/2], [5, 1, 1/2]], [[0, 0, 0], [2240316755, -2841648216, 803130910], [-1385446541, 1109117802, -446604815/2], [46970, 3172, -19459/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 20, 14], [2, 8, 0], [0, 0, 0]], [[0, 0, 0], [65401, 17860, -9243], [87753, 18606, -44167/2], [-2, -4, 3/2]], [[0, 0, 0], [1475159151, 190226648, -344741926], [1890481513, 228120136, -881663109/2], [-74690, -5044, 30943/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -36]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -6, -5], [66, -110, -65], [0, 0, 0]], [[0, 0, 0], [-139004, -16894, 65013/2], [2942, 9004, -5151], [4, 5, -1/2]], [[0, 0, 0], [-23453919342, -2923185934, 5520310837], [1025675858, 95573810, -228374041], [1048938, 125994, -242627]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4068/11, 3970/11, 69/11], [72/11, -80/11, -2/11], [0, 0, 0]], [[0, 0, 0], [-4807724, -4263588, 3045479/2], [66410, 82296, -20799], [-4, 1, 3/2]], [[0, 0, 0], [7643564199, 1630823935, -4213152901/2], [-117794996, -27548996, 33624380], [3913, 429, -1755/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 16, -24]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 10, 13], [26, 18, 3], [0, 0, 0]], [[-1, -3, -5/2], [48502, -4052, -19072], [63165, -1163, -40019/2], [-1, -3, -5/2]], [[55, -2284, 975], [12961655, -2541537, -1245776], [15785192, 1661082, -3561514], [55, -2284, 975]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1348/11, 6586/11, -299/11], [-26/11, -130/11, 5/11], [0, 0, 0]], [[3, 2, 2], [9747/11, -2239/11, -917/11], [-228/11, -18/11, -12/11], [3, 2, 2]], [[-17214, -1359, 9513/2], [-32116305/11, -4535877/11, 7757028/11], [917573/11, 106135/11, -462383/22], [-17214, -1359, 9513/2]]], 0, 4096, [], [] >,
< [ 2, -4, -1, 1 ], [[112, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, -40, -15], [-30, 46, 37], [0, 0, 0]], [[-7, 13, 3/2], [11889, -4448, -6177], [-11645/2, 20341/2, 29399/4], [-7/2, 13/2, 3/4]], [[-46620, -5328, 10767], [716315157, 89238352, -168581742], [50395647, 6279576, -23721861/2], [-23310, -2664, 10767/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-67, 127, 65/2], [207, -397, -199/2], [-67, 127, 65/2], [0, 0, 0]], [[-196017, 454697, -161229/2], [627270, -1427136, 507079/2], [-196019, 454704, -161221/2], [-1, 4, 0]], [[555160507, 69024967, -261227329/2], [45853244604, 5712364431, -21582607003/2], [563706492, 70089541, -132624892], [3458956, 430882, -1628073/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 20, 5], [10, 0, 5], [0, 0, 0]], [[0, 0, 0], [-2099, 206, 552], [-4580, -641, 1247], [1, 1, -1]], [[0, 0, 0], [817244, 106214, -379499/2], [4014379/2, 505321/2, -1884341/4], [-1085/2, -151/2, 497/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -12, -16], [-6, -8, -4], [0, 0, 0]], [[0, 0, 0], [-16297, 30608, 15929], [7351, 13652, 8181/2], [4, -4, -1/2]], [[0, 0, 0], [-49639546, -73120862, -52030615/2], [-1564878631/2, -253213141/2, 671654425/4], [-222783/2, -20853/2, 114031/4]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[4, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 3/2, -5/2], [12, -1/2, -27/2], [1, 3/2, -5/2], [0, 0, 0]], [[-348, 1, 45], [-2548, -250, 436], [-348, -3, 43], [0, 2, 0]], [[-46095, -11753/2, 21899/2], [-351108, -43987, 166135/2], [-92839/2, -5907, 44123/4], [263/2, 11, -123/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[3, -5, -5], [7, -23/2, -3], [1/2, -3/2, -23/4], [-1/2, 0, -3/4]], [[126, 27/2, -63/2], [-505/2, -37, 59], [801/2, 99/2, -387/4], [180, 45/2, -171/4]]], 1, 12, [], [] >,
< [ 2, -4, -1, 1 ], [[4, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -43/2, 11/2], [-2, 1, 3/2], [-3, 1/2, 1]], [[0, 0, 0], [7819, 4969/2, -2334], [22473/2, 2629/2, -10857/4], [47575/2, 2904, -22473/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-17/2, 1/2, 1/2], [-1/2, 2, 7/4], [1, 3/2, 1/4]], [[0, 0, 0], [17558, 2075, -4081], [-1784, -208, 404], [-3776, -488, 892]]], 1, 12, [], [] >,
< [ 2, -4, -1, 1 ], [[32, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-42, 94, -28], [12, -30, 10], [0, 0, 0]], [[0, 0, 0], [2027, -3193, -2313], [-281, 428, 601/2], [-4, -3, 3/2]], [[0, 0, 0], [-2344396, -294808, 548537], [2607296, 324816, -613044], [1020892, 127224, -240281]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [46, -62, -48], [20, -30, -30], [0, 0, 0]], [[0, 0, 0], [4908, -21461, -13500], [11568, -19238, -6795], [-4, -1, 1]], [[0, 0, 0], [48274245, 5975984, -11379346], [-5965335, -665080, 2700373/2], [25076, 3128, -11807/2]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[36, 4, -8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [1, 0, 0], [0, 0, 0]], [[0, 6, -7/2], [-1, -55/4, -11/4], [0, 6, -7/2], [1/2, 5/4, -3/4]], [[2839, 748, -1649/2], [-23535/2, -3211/2, 2941], [2839, 748, -1649/2], [2635/2, 238, -340]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -51, -7], [-44, -3, -1], [0, 0, 0]], [[0, 13, 4], [-5786483/2, -8488661/2, 656990], [-72792169/11, 704522/11, 6660221/11], [47/22, 24/11, -1/22]], [[4456826, 386309, -1790723/2], [-6085833713293/2, -900744845183/4, 2544435241859/4], [-4018264902022, -620290343827, 1983771022957/2], [1997112, 848911/4, -1774115/4]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[36, 4, -8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [1, 0, 0], [0, 0, 0]], [[-1, 5/2, 1], [-11, 3/4, -5/4], [-1, 5/2, 1], [3/2, 3/4, -1/4]], [[18, -1, -2], [-456, -177/2, 239/2], [18, -1, -2], [77, 17/2, -35/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 6, 0], [21, -2, -3], [0, 0, 0]], [[19, -33/2, 1], [-10257, 74479/4, 53643/4], [48517/11, 6615/22, -12337/11], [-23/22, 45/44, -3/44]], [[71964, 6840, -15804], [10215546, -470533, -3361540], [294256705/11, 36754374/11, -69110846/11], [-40086/11, -3618/11, 8676/11]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[112, 16, -24]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -16, -13], [6, -6, -5], [0, 0, 0]], [[-5, 7, 3/2], [-1588, 598, -84], [277, -17, -123/2], [-3, -1, 5/2]], [[-105, -20, 31], [-100953, -30085/2, 49405/2], [19608, 2510, -4660], [-230, -43/2, 105/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-186, 0, -1], [-186, -4, 1], [0, 0, 0]], [[-46, 17, -2], [-1830177, -219862, 569339], [-20319510/11, -2344352/11, 6252067/11], [63/11, -15/11, 1/11]], [[114330, 18870, -47175/2], [5655528704, 924978253/2, -2936977519/2], [62671385517/11, 5164248813/11, -32495466255/22], [-165390/11, -60495/22, 32745/11]]], 0, 1024, [], [] >,
< [ 2, -4, -1, 1 ], [[112, 16, -24]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -12, -3], [-8, -2, 1], [0, 0, 0]], [[-5, 10, 7/2], [-3179, 1675, -399], [-3297, -661, 1717/2], [0, 1, 5/2]], [[2703, -73, -767], [-12747832, -3277887/2, 6067155/2], [-17601704, -2185478, 4140436], [5333, 1169/2, -2703/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 2, -3], [-16, 6, 5], [0, 0, 0]], [[23, 6, -2], [-34093, -43087/2, 28841/2], [-681926/11, -158250/11, 204876/11], [-32/11, -23/22, 3/22]], [[-1495052, -193602, 653367/2], [2352054814, 1006205521/2, -1274684137/2], [41775009541/11, 6210442595/11, -20678154879/22], [2173222/11, 605609/22, -470102/11]]], 0, 1024, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 8, -12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, 0, -8], [-4, -2, -3], [0, 0, 0]], [[0, 0, 0], [-152194, -38586, 38436], [-23208, -7122, 5412], [-4, -2, -1]], [[0, 0, 0], [-84575533, -35021395/2, 23161767], [-13245648, -2791152, 3694704], [-3080, 693/2, 539]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, 2, -7], [50, -4, -2], [0, 0, 0]], [[0, 0, 0], [-2616545, -322307/2, 698664], [-44282352/11, -11066240/11, 4087066/11], [-28/11, 83/22, 2/11]], [[0, 0, 0], [-396445694, -49203696, 93466130], [-7569459720/11, -984645740/11, 1785385737/11], [-1174/11, -370/11, 395/11]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 8, -12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 10, -3], [-24, 38, 30], [0, 0, 0]], [[0, 0, 0], [-9575, -2780, 5817/2], [-3420, 7790, 5092], [-1, -2, 5/2]], [[0, 0, 0], [-68559262, -16908829/2, 32195165/2], [9089866, 1315218, -2024925], [-9377, -1889/2, 4295/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -8, -3], [234, 10, 3], [0, 0, 0]], [[0, 0, 0], [-4366821, 17889/2, 24170], [1254368300/11, -777881026/11, 157020872/11], [52/11, 47/22, 1/11]], [[0, 0, 0], [1159958835265, 939475994813, -1269967101121/2], [-82507187649550/11, -613533941758780/11, 278479336793465/11], [-20553605/11, -4349507/11, 12413537/22]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[4, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[5, -7/2, -1/2], [0, 17/4, 5/4], [5, -7/2, -1/2], [5/2, -7/4, -1/4]], [[5565, 1575/2, -2625/2], [4011, 1483/4, -3979/4], [5565, 1575/2, -2625/2], [5565/2, 1575/4, -2625/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 13, 7], [-37, -3, -3], [0, 0, 0]], [[75, -31/2, 5/2], [-408083, 106679/4, 23041/4], [-512911297/11, -112011595/22, 235935269/22], [75/22, -31/44, 5/44]], [[-9856342, -116649, 393815], [54950941950, 11075183283/2, -7355846725/2], [73636555467306/11, 8532179418039/11, -17151266313495/11], [-4928171/11, -116649/22, 393815/22]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[4, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13, 77/4, 21/4], [0, 0, 0], [-5/2, 1/4, 3/4]], [[0, 0, 0], [575, -1001/4, -147/4], [0, 0, 0], [717/2, 155/4, -333/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -17, -1], [21, -4, 0], [0, 0, 0]], [[0, 0, 0], [16694, 18035/4, 8941/4], [-18003332/11, -2310239/11, 4242086/11], [37/22, 29/44, 1/44]], [[0, 0, 0], [-415043335, 149490306, -51762186], [331586071326/11, 43858843686/11, -78916653117/11], [-405531/11, -7560/11, 17829/11]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[-264, -40, 60]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-146/17, -25/17, 20/17], [0, 5, 1], [0, 0, 0]], [[0, 0, 0], [40361931/391, 1713015/391, -15551803/782], [-17521, -30945, 27711/2], [-2919/391, -455/391, -3/782]], [[0, 0, 0], [5695893725249/391, 747043464369/391, -1357208082944/391], [-4306746635, -254815384, 899271214], [-452028585/391, -61445198/391, 220542667/782]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-145/17, 3/17, 19/34], [1, -1, -5/2], [0, 0, 0]], [[0, 0, 0], [337816/17, 120578/17, 9111/17], [-9246, -3078, 6], [6, 2, 0]], [[0, 0, 0], [-59775672020721/6647, -6113265925587/6647, 13534144275939/6647], [70021241009/17, 7306035062/17, -15912015400/17], [-17772341461/6647, -1853264658/6647, 8076469779/13294]]], 0, 7680, [], [] >,
< [ 2, -4, -1, 1 ], [[-200, -8, 44]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 4, 4], [-310, 10, -5], [0, 0, 0]], [[0, 0, 0], [7444, 1117, -43/2], [580250, -226076, -33901], [4, -2, -5/2]], [[0, 0, 0], [-131606543, -52596809, 91801699/2], [-6318001342, -6640987574, 3992592757], [-47619, -1183, 19877/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [182, -6, 5], [-170, -18, -3], [0, 0, 0]], [[0, 0, 0], [-7779915820/17, -1929273197/17, -87462803/34], [431669282, 157630632, 11331471], [-38/17, -44/17, -1/34]], [[0, 0, 0], [-31919698818948/17, -7635874403922/17, 9303344569455/17], [1891971513872, 380649202496, -522918434836], [-239568/17, 8184/17, 42780/17]]], 0, 36864, [], [] >,
< [ 2, -4, -1, 1 ], [[-168, -8, 44]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [334478275942/248639, -266043142642/248639, -4416718/248639], [1761746/248639, -1401286/248639, -1/248639], [0, 0, 0]], [[0, 0, 0], [483095104442579134214/248639, 82072206209104433087/248639, -241515405909774406931/497278], [2544546517523553/248639, 432288686903248/248639, -1272106078411825/497278], [-3, 4, 0]], [[0, 0, 0], [11466376316598098602156858461794/248639, 1434658921092105070287394425371/248639, -5400800579321599093137874648073/497278], [60395406778959408486746547/248639, 7556599040886827670892538/248639, -28446960642651569121878427/497278], [-6580626682666050/248639, -494487122204411/248639, 3022538171986473/497278]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1060125514177/248639, -510664927359/248639, 1799257/497278], [-5583741/248639, -2689755/248639, -1/497278], [0, 0, 0]], [[0, 0, 0], [1508310864188311519756455/2735029, -81342053729503868186271/2735029, 147559365541794780027471/5470058], [7944243011601827999/2735029, -428070362160822855/2735029, 776979062157935291/5470058], [-11664760/2735029, 4068772/2735029, -1/2735029]], [[0, 0, 0], [-41690648876679607897322565710329233/2735029, -17674684445002471253564982130330587/2735029, -7942122581134468324219200580156755/2735029], [-219584598782896295860267924000/2735029, -93101574584332399879571607025/2735029, -41830214076898367452566736310/2735029], [361845232284580896/2735029, -37208243944520316/2735029, -42947610773597075/5470058]]], 0, 13824, [], [] >,
< [ 2, -4, -1, 1 ], [[376, 88, -100]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [129101396, 1898558, -1], [680, 10, 0], [0, 0, 0]], [[0, 0, 0], [4982519529603181653631686/248639, 542447694259970939753650/248639, -1185385682818183167282766/248639], [26243815264440255380/248639, 2857168335457841496/248639, -6243636895624789978/248639], [113683/248639, 1197921/248639, 1/497278]], [[0, 0, 0], [-31482231952248250304024335271031641122/248639, -3931583387558756892577094259254682799/248639, 14820963046860466857820930349902481951/497278], [-165822506978517647569152037880499/248639, -20708347961821621046987891271510/248639, 78064644596986176129710708153147/497278], [-4360990509733834098/248639, -366443218541557991/248639, 1966181136168391959/497278]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [17255574518637/248639, 433442716819/248639, -189855/497278], [90888191/248639, 2283025/248639, -1/497278], [0, 0, 0]], [[0, 0, 0], [190689286716968064340784899/2735029, -95014888108825993443368712/2735029, 47507444252810773111724561/5470058], [1004394495544914208219/2735029, -500460292501835792231/2735029, 250230145575622376013/5470058], [2372707/2735029, 12974502/2735029, -1/5470058]], [[0, 0, 0], [-19796781330466987861696728977776522088318/248639, -3195938982673310810868614955986503051038/248639, 9993455920410724085952451717974730934711/497278], [-104273183647305117296334898966458403/248639, -16833581002642576343035493923981636/248639, 52637317083555903918643923613842213/497278], [-1143805953348632823320/248639, -97277717437324412622/248639, 517224935553404173505/497278]]], 0, 276480, [], [] >,
< [ 2, -4, -1, 1 ], [[344, 24, -84]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-279/17, -247/17, -57/34], [-7, -5, -3/2], [0, 0, 0]], [[0, 0, 0], [1014582403/391, -132090254/391, -59548818/391], [725549, 716589, -358767], [-1391/391, -154/391, 5/782]], [[0, 0, 0], [54030804611651/391, 2885416491440/391, -21943539017499/782], [52571081637, 13217161644, -30200341013/2], [-4894752/23, -395836/23, 1032872/23]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1679/17, 517/17, 543/34], [127, 3, -3/2], [0, 0, 0]], [[0, 0, 0], [-15071025766260/6647, -1861814044870/6647, 3574633573093/6647], [-42298414348/17, -5286192792/17, 10004942288/17], [-32235/6647, 5237/6647, -5/13294]], [[0, 0, 0], [-8095074177647450344/6647, -1008996830889986285/6647, 3812087871642878473/13294], [-22737447787152230/17, -2835551580114936/17, 10706529652129611/34], [-16176800871/6647, -1236539898/6647, 6805175553/13294]]], 0, 92160, [], [] >,
< [ 2, -4, -1, 1 ], [[216, 88, -68]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-126, -4, -2], [-82, -18, -3], [0, 0, 0]], [[0, 0, 0], [-60150708, 11023441, 1192431/2], [-39706866, 979368, 1379617], [-2, -2, -3/2]], [[0, 0, 0], [-89408690629, -45340588323, 70203506601/2], [-66405256172, -24703647028, 22123949894], [-5421, -2363, 3475/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1342, 8, -1], [182, -6, 1], [0, 0, 0]], [[0, 0, 0], [190602196382261/17, 6051258997297/17, -900185019095/17], [-1519641008000, -9080660290, 1201110832], [-59/17, -20/17, -1/17]], [[0, 0, 0], [-159491992740155297076/17, -129728845471099963611/17, 159339500938599640779/34], [1234458634317068818, 1082143512883551112, -650247672982828869], [64224144/17, 26172198/17, -40441441/34]]], 0, 368640, [], [] >,
< [ 2, -4, -1, 1 ], [[288, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -2, -10], [4, 6, -10], [0, 0, 0]], [[0, 0, 0], [-457937, -35109, 126168], [176693, 30632, -60257/2], [-4, 5, -1/2]], [[0, 0, 0], [-1720101825, -215200122, 402402555], [711054903, 89076910, -338167293/2], [-6204, -2244, 3993/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 30, -18], [8, -12, -6], [0, 0, 0]], [[0, 0, 0], [-14892, 28067, -10319], [2768, -3440, -357], [4, 3, 0]], [[0, 0, 0], [-3649459, -347519, 813508], [976043, 113650, -451759/2], [4914, 613, -2315/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 10, -2], [-12, 18, 0], [0, 0, 0]], [[-13, -11, -5/2], [-2646, 11, 564], [-4337/2, 1767/2, 3311/4], [-13/2, -11/2, -5/4]], [[-70121, -12215, 36041/2], [-8755943, -3328689, 3015541], [-9801071/2, -7011913/2, 9545489/4], [-70121/2, -12215/2, 36041/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38, 80, -6], [-20, 40, 4], [0, 0, 0]], [[-7, 11, 3/2], [148825, 8045, -32114], [53583/2, -2879/2, -22169/4], [-7/2, 11/2, 3/4]], [[-83655, -10439, 38753/2], [8175142130, 1018083662, -1923723992], [2796572737/2, 348226473/2, -1315847419/4], [-83655/2, -10439/2, 38753/4]]], 0, 2048, [], [] >,
< [ 2, -4, -1, 1 ], [[288, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [92, 12, 19], [30, 2, 5], [0, 0, 0]], [[0, 0, 0], [-3, 1, 0], [2, 1, 0], [1, 0, 0]], [[0, 0, 0], [191658, 46352, -53439], [60270, 14700, -16905], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -4, 9], [6, 8, -3], [0, 0, 0]], [[0, 0, 0], [-3, 1, 0], [2, 1, 0], [1, 0, 0]], [[0, 0, 0], [-10398, -1420, 2552], [11988, 1620, -2862], [0, 0, 0]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[-240, -24, 56]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, -34, -4], [18, -16, 6], [0, 0, 0]], [[0, 0, 0], [48931, 26983/2, -23963/2], [45897, 9137, -12780], [4, -7/2, -3/2]], [[0, 0, 0], [106449480, 27214887/2, -50290849/2], [95850348, 12176854, -22669181], [4158, 731/2, -1919/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [64, -12, -4], [-64, -2, -2], [0, 0, 0]], [[0, 0, 0], [1879043, 2584495/2, -1754475/2], [-2176150, -1328165, 868429], [-1, 5/2, 3/2]], [[0, 0, 0], [2571361889, 1123648665/2, -1416670009/2], [-2945459855, -589095152, 788624398], [584, 201/2, -329/2]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[-240, -24, 56]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, 10, -1], [-3, -4, -1], [0, 0, 0]], [[0, 0, 0], [140, 2273/2, -699/2], [-193, -221, 2], [-5, -9/2, 1/2]], [[0, 0, 0], [-3322146, -2838657/2, 2520547/2], [1826051, 261321, -483191], [43053, 12573/2, -22479/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 25, -11], [4, 11, -5], [0, 0, 0]], [[0, 0, 0], [-12807, 35991/2, 22477/2], [-2280, 3280, 1145], [5, 7/2, -1/2]], [[0, 0, 0], [4257189, 417463, -1275264], [1064979, 204069, -322395], [-14678, -1790, 3401]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, 12, 0], [-6, -8, 10], [0, 0, 0]], [[0, 0, 0], [1, -1, 0], [0, 1, 0], [1, 0, 0]], [[0, 0, 0], [-9780, -1090, 2450], [2304, -128, -256], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -24, -8], [22, 6, 4], [0, 0, 0]], [[0, 0, 0], [3, 1, 0], [0, 1, 0], [1, 0, 0]], [[0, 0, 0], [-10880, -1250, 2110], [12696, 3174, -3450], [0, 0, 0]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[44, 0, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [13, -24, 11], [-17, -4, -3], [0, 0, 0]], [[0, 0, 0], [715517, -41023/2, -69545/2], [-3159894, -573366, 603489], [-4, -9/2, 1/2]], [[0, 0, 0], [-3348379195, -1482451739/2, 1817603459/2], [16347448211, 2146003076, -3850172780], [30666, 2959/2, -11567/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [35, 41, 10], [29, 4, 3], [0, 0, 0]], [[0, 0, 0], [-137011/2, -5179/2, 21322], [-41017, 13671/2, 13673/2], [-5/2, 0, 1/2]], [[0, 0, 0], [-57652, 148037/2, 117637/2], [-20509, 23927, 17091], [-1, 1/2, 1/2]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[44, 0, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[32, 6, 2], [46, 41, 7], [32, 6, 2], [0, 0, 0]], [[164541, -128539/2, -105923/2], [324487, -232577/2, -338039/2], [164535, -128527/2, -105927/2], [3, -3, 1]], [[49823772, 7371857/2, -25142169/2], [95474649, 5785028, -25941815], [49822308, 7371695/2, -25141607/2], [732, 81/2, -281/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -7, 3], [-16, 4, 0], [0, 0, 0]], [[4, -21/2, -7/2], [56033/2, -48555/2, 9614], [10555, 51532, -19050], [-5/2, -3/2, -2]], [[905985, 1232415/2, -650025/2], [-26942589421/2, 1836969522, 3216345829/2], [-17970243972, -7333675225, 6334678314], [4856355/2, 127980, -905985/2]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 2, -4], [-20, -10, -6], [0, 0, 0]], [[0, 0, 0], [-3, 1, 0], [2, 1, 0], [1, 0, 0]], [[0, 0, 0], [-892848, -40910, 156420], [-2270928, -274482, 464508], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, 4, 6], [-8, 2, 0], [0, 0, 0]], [[0, 0, 0], [5, 1, 0], [2, 1, 0], [1, 0, 0]], [[0, 0, 0], [1242, 228, -306], [252, 28, -84], [0, 0, 0]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [54, 40, 4], [-8, 10, 0], [0, 0, 0]], [[0, 0, 0], [-3, 1, 0], [2, 1, 0], [1, 0, 0]], [[0, 0, 0], [1829838, 177516, -459276], [-79212, -10396, 14306], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 20, -12], [-4, -10, 4], [0, 0, 0]], [[0, 0, 0], [5, 1, 0], [2, 1, 0], [1, 0, 0]], [[0, 0, 0], [-2630, -138, 692], [4128, 544, -944], [0, 0, 0]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -10, 0], [-16, -12, -8], [0, 0, 0]], [[0, 0, 0], [1, 1, 1], [0, 2, 0], [1, 0, 0]], [[0, 0, 0], [-1542, 236, 112], [-11732, -2256, 2820], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [134, -34, -4], [16, -4, 0], [0, 0, 0]], [[0, 0, 0], [3, 1, 1], [0, 2, 0], [1, 0, 0]], [[0, 0, 0], [-1696606/11, -94694/11, 248926/11], [-199988/11, -17992/11, 23528/11], [0, 0, 0]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[16, 1, 1], [12, 28, 0], [16, 1, 1], [0, 0, 0]], [[43343, 7257/2, -22965/2], [67949, 1975/2, -38873/2], [43350, 7253/2, -11483], [4, 0, -1/2]], [[-24612151, -5365797/2, 11695145/2], [-37127858, -4249761, 9290098], [-24615041, -5369347/2, 5848865], [-2080, -1315/2, 635]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [23, -14, -17], [13, 1, 4], [0, 0, 0]], [[0, -3/2, -3/2], [-23395861/2, -1449341, 5636925/2], [-13322403, -1482936, 6070061/2], [-3/2, 0, 0]], [[-297, -224, 101], [-4281341961, -1038529299/2, 2006284631/2], [-4839483648, -643747768, 1155819083], [-507, -325/2, 311/2]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, 1, -2], [31, 0, 5], [0, 0, 0]], [[0, 0, 0], [-34326, 3029/2, -15601/2], [-391946, -78403, 487761/2], [-5, 5/2, -2]], [[0, 0, 0], [-89803456, -27813475/2, 44187999/2], [-973208702, -96959308, 441528865/2], [-10712, -4017/2, 2781]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -22, -10], [-18, -1, 1], [0, 0, 0]], [[0, 0, 0], [375255/2, -22508, -144561/2], [184681, 8065/2, -41792], [-3/2, -3/2, -5/2]], [[0, 0, 0], [-326146865, -40023277, 76563796], [-358041069, -46899641, 85251876], [5430, 1086, -1448]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[288, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 12, -8], [22, 6, -4], [0, 0, 0]], [[0, 0, 0], [-88, 16, -29], [16293, 2065, -7647/2], [1, -3, 3/2]], [[0, 0, 0], [-2355, -308, 571], [445788, 55521, -104915], [-3, 1, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 0, -8], [2, -6, 8], [0, 0, 0]], [[0, 0, 0], [-83313, -11376, 19141], [-8428, 153, 2367], [5, -3, 2]], [[0, 0, 0], [46674734, 5856296, -10979431], [4368475, 459025, -2029763/2], [-2629, 767, 219/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -1/2, 1/2], [0, -13/2, -9/2], [-7, -1/2, 1/2], [0, 0, 0]], [[1, 8, 1], [-31, 39/2, 1/2], [-6, 2, -1], [5, -5/2, 3/2]], [[-1, -1/2, 1/2], [5, -2, 0], [1, -1/2, 0], [-1, 1/2, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 25, 19], [14, -20, -16], [0, 0, 0]], [[4, -15/2, -7/2], [-1077611/2, -125140, 307897/2], [-38534, 1673, 9057/2], [1/2, -2, 0]], [[3444, 3794, -1442], [8969512355, 1198208110, -2145739399], [590739613, 62698348, -134138045], [6342, 2618, -2170]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, -3, -2], [13, 0, 3], [0, 0, 0]], [[0, 0, 0], [210164, -380357/2, -303449/2], [882601, 286462, 99000], [-5, -1/2, -5/2]], [[0, 0, 0], [-781608697, -233265345/2, 411599799/2], [-9215264291, -1583446622, 4655708403/2], [49387, 27421/2, -14595]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [23, 21, 12], [7, -20, -13], [0, 0, 0]], [[0, 0, 0], [-605047/2, 4098205, -3288329/2], [-194677, 41155/2, -13517], [-1/2, 1/2, -3/2]], [[0, 0, 0], [-110336804742, -1139792011/2, 40654074097/2], [15588820311, 2233043711, -3779602571], [47205, 25425/2, -27135/2]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[288, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, 10, 16], [10, 8, 0], [0, 0, 0]], [[0, 0, 0], [1020, -135, -394], [-447, -165, 107/2], [5, -2, -1/2]], [[0, 0, 0], [-3601, 45, 1456], [1612, 819, -340], [-45, 74, -22]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 12, -6], [6, -10, 2], [0, 0, 0]], [[0, 0, 0], [41, -11, -10], [-2, 1, -3], [5, 0, -1]], [[0, 0, 0], [82, -2, -21], [-5, -1, -3/2], [11, 1, -5/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -3/2, 3/2], [-60, 19/2, 11/2], [5, -3/2, 3/2], [0, 0, 0]], [[1695763, -74405/2, 67025/2], [-20525355, -94951, 3525994], [1695764, -74407/2, 67023/2], [0, -1/2, 1/2]], [[-14319855513, -3376927883/2, 6674190215/2], [167824955767, 20491145276, -39325157258], [-14319858095, -3376928631/2, 3337095708], [1007, 503/2, -284]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 11, 0], [3, -2, 1], [0, 0, 0]], [[12, -35/2, -27/2], [-52729/2, -3063, 3217/2], [-8707, -4276, 5513/2], [5/2, -2, -2]], [[6147, 8757/2, -4653/2], [-594709567/2, 63132099/2, 40855763], [-86691656, -46564801, 35690618], [20493/2, 6705/2, -3213]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9, 12, -9], [1, -2, 3], [0, 0, 0]], [[0, 0, 0], [192761, 44857/2, -87083/2], [-26004, -3055, 11137/2], [5, 5/2, 2]], [[0, 0, 0], [3709673414, 987339791/2, -1771181405/2], [-500630417, -70164212, 120770266], [116204, 84095/2, -71863/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [46, 9, 3], [-6, -4, -2], [0, 0, 0]], [[0, 0, 0], [-8344393/2, 1334447/2, 104250], [631594, -25127/2, 14635/2], [3/2, 1, 1/2]], [[0, 0, 0], [-4791270467/2, -2631644879/2, 994795011], [402527196, 375426209/2, -152426721], [2801/2, 453, -438]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[288, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [80, -26, -20], [4, 0, -10], [0, 0, 0]], [[0, 0, 0], [11320, 2200, -2641], [279, 47, 265/2], [1, 3, -1/2]], [[0, 0, 0], [15792763, 2180182, -3784092], [470571, -15496, -131727/2], [2750, 1254, -1947/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [60, -26, -18], [6, -6, -8], [0, 0, 0]], [[0, 0, 0], [-325277, -43177, 85311], [-13569, 4428, 9113/2], [2, 1, -1/2]], [[0, 0, 0], [-33130048, -5359104, 8102494], [-1083462, -54350, 105772], [232, 64, -78]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[36, 4, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -1/2, 3/2], [-4, 29/2, 15/2], [3, -1/2, 3/2], [0, 0, 0]], [[-6046, -1541/2, 2995/2], [-9063, -577, 2386], [-6049, -1533/2, 3001/2], [1, -3/2, -1/2]], [[585717, 146083/2, -275817/2], [848952, 105454, -399787/2], [1171525/2, 73045, -551681/4], [-37/2, -1, 17/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[2, -11/2, -9/2], [-27/2, 1, 3], [-5/2, -7/2, -17/4], [-2, -1/2, -1/4]], [[80, 240, -120], [1120, 589, -455], [220, 860, -410], [180, 180, -110]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[36, 4, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [43, -4, -3/2], [-3/2, 19/2, 5/4], [13/2, 1/2, 3/4]], [[0, 0, 0], [-1301115, 237813/2, 184234], [-119691/2, -202059/2, 207207/4], [-441441/2, 21879, 119691/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-51/2, 87/2, 35], [1, -5/2, 1/2], [-1/2, 1, -1/2]], [[0, 0, 0], [26491/2, 1771, -3105], [-671/2, -5, 251/4], [-676, -105, 671/4]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[112, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, -4, 3], [-8, -2, 3], [0, 0, 0]], [[0, 0, 0], [539, 107, -177], [250, 175, -104], [3, 0, 1]], [[0, 0, 0], [-66806, -7486, 30837/2], [-75735/2, -6789/2, 33285/4], [-759/2, -141/2, 387/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -36, -31], [-10, -10, -5], [0, 0, 0]], [[0, 0, 0], [2683, -8465, -3258], [-601, -2292, -951/2], [-2, 1, 1/2]], [[0, 0, 0], [-37278292, -6832271, 18333001/2], [-66947921/2, -9500795/2, 31972631/4], [-54009/2, -5661/2, 24701/4]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 18, -18], [12, -4, 6], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [2, 1, 0], [1, 0, 0]], [[0, 0, 0], [-2, 10, -4], [16, -2, -2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-178, -2, -6], [4, 8, -10], [0, 0, 0]], [[0, 0, 0], [-7, 1, 0], [2, 1, 0], [1, 0, 0]], [[0, 0, 0], [-11816658, -1141496, 2663276], [332124, 113490, -105456], [0, 0, 0]]], 0, 98304, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 5, 1], [-32, -5, -5], [0, 0, 0]], [[0, 0, 0], [-249336, 85825/4, 50545/4], [1469568, 1071489, -637513], [5/2, -3/4, -5/4]], [[0, 0, 0], [-415211630, 95656940, 32467777], [2206996509, 1844543314, -1180652513], [2862, 396, -801]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -12, -2], [-67, -2, -3], [0, 0, 0]], [[0, 0, 0], [-340697/2, -1335, 13535/2], [-5423614, -912317, 1315029], [5/2, 1/2, 0]], [[0, 0, 0], [-22275333677/2, -8938393533/4, 13058200581/4], [-4134917759991/11, -459433346451/11, 957152797222/11], [2021784/11, 1212375/44, -2324649/44]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 7, 5], [-22, -4, -2], [0, 0, 0]], [[-5, -5/2, 5/2], [-2615976, -1688225/4, 190855/4], [5521720, 482279/2, -1222777/2], [-5/2, -5/4, 5/4]], [[1064, 238, -318], [542507034, 66445731, -100840853], [-1080672541, -105680777, 220452552], [532, 119, -159]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 7, 3], [290, 0, 2], [0, 0, 0]], [[-15, -95/2, -1/2], [-2367208, 38803/4, 186595/4], [-1563730360/11, -2068201317/22, 1375845995/22], [-15/22, -95/44, -1/44]], [[3161802, 445959, -912419], [201546036768, 32445481037/2, -92009427271/2], [156882514457385/11, 26760577866648/11, -40239760540185/11], [1580901/11, 445959/22, -912419/22]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[288, 32, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 0, 10], [0, -22, -10], [0, 0, 0]], [[0, 0, 0], [-47857, -196911/2, 75617/2], [-194552, -16642, 71796], [-4, -5/2, -3/2]], [[0, 0, 0], [-731888993, -126635600, 187181905], [-1615743436, -210737132, 384740556], [-48033, -5427, 11016]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -10, -2], [-300, -24, -4], [0, 0, 0]], [[0, 0, 0], [13533, -3453, 21143], [13987032/11, 10714746/11, -4278356/11], [39/11, -58/11, -2/11]], [[0, 0, 0], [-1460772114, -356211263/2, 686121303/2], [-1590048007424/11, -198587258690/11, 374543543208/11], [-991145/11, -239645/22, 461755/22]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[288, 32, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, 2, 0], [12, -4, -4], [0, 0, 0]], [[0, 0, 0], [64259, -83187/2, 8845/2], [18384, -8746, 1332], [-2, 3/2, -3/2]], [[0, 0, 0], [-586446678, -69977318, 136917962], [-186841330, -22688366, 43595300], [20812, 2580, -4730]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [68, 2, 2], [84, 8, 8], [0, 0, 0]], [[0, 0, 0], [16608464, -3399997/2, -3088227/2], [234560820/11, -23337462/11, -18193600/11], [37/11, 117/22, 1/22]], [[0, 0, 0], [16073749733658, 2265969280560, -3885049633370], [228075844973410/11, 32374277659870/11, -55168387816408/11], [67778592/11, 7723814/11, -15204868/11]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[-352, -64, 96]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-220/17, 130/17, 66/17], [-6, 12, 4], [0, 0, 0]], [[0, 0, 0], [-2887721/391, 10549497/391, -3995087/391], [-10235, 28364, -9886], [-800/391, -827/391, 2/391]], [[0, 0, 0], [9293/391, 1141/391, -2249/391], [617, 76, -150], [-658/391, -81/391, 160/391]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [72/17, -41/17, -93/17], [-10, 9, 5], [0, 0, 0]], [[0, 0, 0], [-453702350/6647, 46126596/6647, 14839539/6647], [1617852/17, -27142/17, -142571/17], [78564/6647, -11602/6647, 3/6647]], [[0, 0, 0], [-318620346859991/6647, 30295761614615/6647, 49561398269731/6647], [1137656769007/17, -32050088968/17, -206563762424/17], [55212683180/6647, -7349950759/6647, -7786609312/6647]]], 0, 122880, [], [] >,
< [ 2, -4, -1, 1 ], [[-1344, -192, 320]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -8, -10], [116, -4, 20], [0, 0, 0]], [[0, 0, 0], [1, 1, 1], [-8, 2, 0], [1, 0, 0]], [[0, 0, 0], [354, 48, -84], [-21184, -2680, 5000], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [252, 6, 4], [164, 8, 4], [0, 0, 0]], [[0, 0, 0], [1342988648/17, -48734621/17, -20995518/17], [51550084, -839480, -551566], [84/17, -79/17, 2/17]], [[0, 0, 0], [-3426262067814839/17, -428572604981168/17, 814511982037589/17], [-132944240949388, -16595493400306, 31612199175422], [-122101425/17, -17427965/17, 29081892/17]]], 0, 589824, [], [] >,
< [ 2, -4, -1, 1 ], [[-224, 0, 32]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [857774500318/248639, -437669105980/248639, 2106680/248639], [4518048/248639, -2305294/248639, -2/248639], [0, 0, 0]], [[0, 0, 0], [1248960182232665721747/248639, 217760070906909830502/248639, -271695693508940320782/248639], [6578453711935190/248639, 1147006938794241/248639, -1431042408611394/248639], [2877303/248639, 541816/248639, 5/248639]], [[0, 0, 0], [21801224687223930203620953932751/248639, 3887143383870878016853898066421/248639, -5669095996685390552799240436008/248639], [114830544074796767107760530/248639, 20474186682686657336153433/248639, -29860053130721817998388643/248639], [75917042747494621/248639, -49038658094700599/248639, 6505735078901434/248639]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2278334, 1898544, -6], [-12, 10, 0], [0, 0, 0]], [[0, 0, 0], [2980610259574158626199/248639, -271546745434434750801/248639, -132990807052080132666/248639], [15698490728779206/248639, -1430238361498381/248639, -700253402114629/248639], [1, -1, 0]], [[0, 0, 0], [46582650090401900202072324444990/2735029, 6569322237033873729654987765588/2735029, -11044046253150922670445122002545/2735029], [245345112160770238861266250/2735029, 34600080120281351439131364/2735029, -58167605717119036476529443/2735029], [2173583264205860/2735029, 337459344291140/2735029, -590872531275118/2735029]]], 0, 221184, [], [] >,
< [ 2, -4, -1, 1 ], [[800, 192, -160]], [ -272, 7, 1 ], [ -171, 53, 6 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14711918836370/248639, -308881382990/248639, -3245810/248639], [-77490276/248639, -1626920/248639, -4/248639], [0, 0, 0]], [[0, 0, 0], [585695791361288369766311/248639, -6060125866133855821181/248639, -81939335320289662712097/248639], [3084962918751893748/248639, -31919798631634901/248639, -431589029343024694/248639], [-1, 1, 0]], [[0, 0, 0], [8787624579266053771631241737156092/248639, 1759499038409494870937074811123640/248639, -2274115368517746143111001607721301/248639], [46285966538487218313041908158/248639, 9267590379589340067515852322/248639, -11978166268329536228655008349/248639], [-1770655740655962/248639, -1254169066381200/248639, 1071134564513166/248639]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10601005010936/248639, 574918061018/248639, 3435665/248639], [55837410/248639, 3028206/248639, 5/248639], [0, 0, 0]], [[0, 0, 0], [4178313108493369311627455/2735029, 28802997283438736652653/2735029, -2615047570964750609816688/2735029], [22007929337748062002/2735029, 151710036704129713/2735029, -13773919920111265771/2735029], [10776569/2735029, 2599943/2735029, -4/2735029]], [[0, 0, 0], [-6597680574645911111363548877985086634/2735029, 4356643845473601940181715100981754650/2735029, -1733317411369821099920094091029126377/2735029], [-34751165317585841595262288486102/2735029, 22947198358843431012875571952824/2735029, -9129679707109398544293214440411/2735029], [-14177895964322667180/2735029, -8434369765695248700/2735029, 7977775824110362090/2735029]]], 0, 4423680, [], [] >,
< [ 2, -4, -1, 1 ], [[480, -32, -64]], [ -58, 1, -3 ], [ -22, -3, 5 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [832/17, 142/17, 36/17], [50, 8, 2], [0, 0, 0]], [[0, 0, 0], [-54255/391, 7273/391, 16455/391], [-119, 926, 42], [18/391, 827/391, -2/391]], [[0, 0, 0], [67943614438/391, 8445579355/391, -15957133665/391], [-468234894, -62686843, 113132537], [-584482840/391, -76765248/391, 140159816/391]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1600/17, -821/17, -13/17], [-112, -11, -1], [0, 0, 0]], [[0, 0, 0], [-56452928407/6647, -10094986645/6647, 10342647460/6647], [-159589255/17, 6456896/17, 18831809/17], [78564/6647, -18249/6647, 3/6647]], [[0, 0, 0], [321970853470515/6647, 39372253950659/6647, -75971794223263/6647], [834410592095/17, 97409414358/17, -194485900788/17], [-384578412/6647, -41373373/6647, 88505826/6647]]], 0, 1474560, [], [] >,
< [ 2, -4, -1, 1 ], [[1728, 128, -384]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, -4, 2], [4, -8, -8], [0, 0, 0]], [[0, 0, 0], [5, 1, 1], [-8, 2, 0], [1, 0, 0]], [[0, 0, 0], [138, 16, -32], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-818, 0, -2], [-108, -4, -4], [0, 0, 0]], [[0, 0, 0], [-4079909946457/17, 109346784610/17, 116701762801/17], [-31883147120, 2505858, 74148350], [101/17, 91/17, 2/17]], [[0, 0, 0], [2662668444940733601021/17, 611865064852720921354/17, -754621226534313842338/17], [21190138762782271260, 4901112705966645946, -6035202115662865128], [-101793485943/17, -7542550467/17, 22621496481/17]]], 0, 5898240, [], [] >,
< [ 2, -4, -1, 1 ], [[544, 128, -160]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-64, -34, -2], [-24, 6, -10], [0, 0, 0]], [[0, 0, 0], [78862231, 19764197, -11988162], [25139520, -707135, 256127], [-1, 2, 1]], [[0, 0, 0], [-55477530, -6895444, 13062278], [-16138848, -1986384, 3793200], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -10, 0], [-68, -10, 2], [0, 0, 0]], [[0, 0, 0], [-15441, 3270, -961], [865902, -2326171, 830499], [-7, -5, -2]], [[0, 0, 0], [-2638656397, -398770883, 666317186], [-18722954396, 25047683075, -7250090603], [-1862431, -211924, 464817]]], 0, 786432, [], [] >,
< [ 2, -4, -1, 1 ], [[448, 64, -128]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, -34, -26], [52, 20, -8], [0, 0, 0]], [[0, 0, 0], [156707, 154604, -96605], [910376, -5574, -162874], [5, -3, -2]], [[0, 0, 0], [-3142834, -1089863, 1074361], [-14458860, -1170516, 3123108], [-78, 39, 39]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7620/11, -810/11, 54/11], [20/11, -76/11, 8/11], [0, 0, 0]], [[0, 0, 0], [12156039748/11, 2189783439/11, -2727668715/11], [21582876/11, 479888/11, 1080304/11], [-4, -5, -3]], [[0, 0, 0], [28604806993605, 3376765105698, -6688569011525], [48536474976, 10194365138, -13642296074], [-174623, -26101, 48504]]], 0, 786432, [], [] >,
< [ 2, -4, -1, 1 ], [[608, 96, -128]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-42, -2, 0], [8, -8, 0], [0, 0, 0]], [[0, 0, 0], [-1, 1, 0], [6, -1, 0], [1, 0, 0]], [[0, 0, 0], [12370, 1546, -2872], [-1232, -122, 286], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [136, 0, 8], [-28, 2, -10], [0, 0, 0]], [[0, 0, 0], [-1, 1, 0], [-2, -1, 0], [1, 0, 0]], [[0, 0, 0], [5967282, 680524, -1396598], [-1273484, -132942, 297022], [0, 0, 0]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[608, 96, -128]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [98, 86, 32], [4, 26, 10], [0, 0, 0]], [[0, 0, 0], [-5, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [10023018, 1323072, -2424378], [1287136, 127984, -297616], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-46, 2, 0], [-16, 2, 2], [0, 0, 0]], [[0, 0, 0], [11, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [9708, -2670, -4286], [2452, 238, -578], [0, 0, 0]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[196, 24, -44]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 1/2, -1/2], [172, -5/2, -17/2], [-5, 1/2, -1/2], [0, 0, 0]], [[451203, -3821/2, 11327/2], [-15675089, -675864, 1561779], [451213, -3827/2, 11329/2], [-5, 3/2, -1/2]], [[25817449506, 5317381484, -5561586781], [-912299634376, -152828538437, 205773894661], [25817949774, 5317495412, -5561701555], [-250134, -56964, 57387]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [29, -3, 16], [23, -5, 4], [0, 0, 0]], [[5, -23/2, -7/2], [3765993/2, -1443776, -2225109/2], [961024, -445115, -404660], [-3/2, -1, -5/2]], [[-2918013, -1043375/2, 32897/2], [5194864850945/2, 219148528066, -1406168401065/2], [1766802795476, 196053793977, -446830937658], [-12715427/2, -1442558, 2918013/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[196, 24, -44]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [57, 8, -1], [18, 2, 0], [0, 0, 0]], [[0, 0, 0], [-67, -183/2, -1/2], [-25, -32, 2], [2, -1/2, -3/2]], [[0, 0, 0], [-731866, -193165/2, 383395/2], [-262284, -36523, 68741], [9044, 4123/2, -4161/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [29, 7, 14], [19, 3, 4], [0, 0, 0]], [[0, 0, 0], [444023/2, -37735, 105055/2], [133951, -28317/2, 23619/2], [9/2, 3/2, -2]], [[0, 0, 0], [-28947678023, 3253196935, 7962085462], [-16730405439, 704847814, 4347189641], [-534632, -123760, 121576]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[608, 96, -128]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [100, -14, -2], [0, -6, -6], [0, 0, 0]], [[0, 0, 0], [-3, -1, 0], [0, 1, 0], [1, 0, 0]], [[0, 0, 0], [177928, 20538, -41226], [-7990, -838, 1852], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, 48, -8], [6, -6, 8], [0, 0, 0]], [[0, 0, 0], [7, 1, 0], [0, 1, 0], [1, 0, 0]], [[0, 0, 0], [-12224, -1158, 2826], [-1200, -240, 360], [0, 0, 0]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[608, 96, -128]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-164, 20, -8], [8, -18, -2], [0, 0, 0]], [[0, 0, 0], [3, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [37043022, 4628238, -8728708], [218808, 22958, -51078], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-106, 16, 14], [-4, 4, 4], [0, 0, 0]], [[0, 0, 0], [-13, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [20038, 2682, -4796], [264, 26, -62], [0, 0, 0]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[608, 96, -128]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-72, 64, 0], [-16, 18, 2], [0, 0, 0]], [[0, 0, 0], [3, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [163702, 19418, -38416], [27768, 3162, -6554], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-78, 28, 6], [4, -20, -4], [0, 0, 0]], [[0, 0, 0], [-13, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [-293598, -38310, 69712], [-29584, -2882, 7014], [0, 0, 0]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[20, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -7/2, 1/2], [-15, -51/2, -9/2], [-2, -7/2, 1/2], [0, 0, 0]], [[12009, -93293/2, 33603/2], [6861, -141316, 93475/2], [24043/2, -46655, 67209/4], [11/2, 0, 3/4]], [[437834903, 171140951/2, -243932647/2], [3557760138, 933000987/2, -1846702101/2], [437210453, 170992531/2, -243649201/2], [-415214, -38734, 102989]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 22, 16], [8, 1, 3], [0, 0, 0]], [[-1, 1/2, -3/2], [1298307/2, 168151/2, -290453/2], [1209889/2, 132601/2, -546951/4], [-2, 1, -1/4]], [[-3, 0, 1], [1819156, 447583/2, -859895/2], [1677276, 208831, -790573/2], [-4, -1/2, 1]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[20, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 12, 0], [13, 5, -2], [0, 0, 0]], [[0, 0, 0], [48923, -14815/2, -6316], [113897/2, 9383/2, -50417/4], [1/2, 0, -1/4]], [[0, 0, 0], [-31581, -4357, 7884], [-40572, -5060, 9660], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 5, -8], [1, 2, -3], [0, 0, 0]], [[0, 0, 0], [-23239, -5611/2, 11385/2], [-18685, -2302, 8951/2], [-2, 1/2, 0]], [[0, 0, 0], [180727187/2, 22999239/2, -42293055/2], [145784597/2, 9163358, -68455891/4], [6960, 1323/2, -6717/4]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, -44, -6], [-6, 2, -10], [0, 0, 0]], [[0, 0, 0], [-22774, 1372, 39481/2], [3359/2, 29921/2, 9603/4], [-1/2, 1/2, 1/4]], [[0, 0, 0], [40304, 2814, -8510], [-20960, -1600, 4520], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 6, -14], [2, -6, 0], [0, 0, 0]], [[0, 0, 0], [127826, 28953, -58063/2], [13201/2, 1491/2, -2043/4], [-7/2, -3/2, -5/4]], [[0, 0, 0], [2416420972, 332465240, -580787430], [124858914, 10435264, -26998118], [-83052, -3564, 16146]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[20, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, 1/2, -1/2], [-4, 31/2, 27/2], [11, 1/2, -1/2], [0, 0, 0]], [[-286063, 319069/2, 23519/2], [-396218, 1026887/2, 332301/2], [-286068, 319059/2, 11758], [3, 0, 1/2]], [[-1257906265, -317587697/2, 569454163/2], [-635431858, -204897221, 130872621/2], [-2515908005/2, -158797734, 1138957745/4], [38285/2, 1824, -18905/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 35, 23], [12, 2, 0], [0, 0, 0]], [[-3, 7/2, 7/2], [329727/2, 129345/2, -103073/2], [264715/2, 136783/2, -211191/4], [-1, 0, 3/4]], [[13056, -1896, -4800], [-3515449835, -430078857, 819553222], [-2926561541, -348161916, 681375143], [16236, 1452, -3990]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[20, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 22, 14], [5, 4, 5], [0, 0, 0]], [[0, 0, 0], [-2999392, -693523/2, 1439887/2], [-3230236, -319571, 1467129/2], [-3, -5/2, -1]], [[0, 0, 0], [-62826051171, -15678396441/2, 14777900806], [-134700708939/2, -16680519987/2, 63298705735/4], [-185977/2, -9801, 89903/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-15, 10, 7], [-7, 2, -1], [0, 0, 0]], [[0, 0, 0], [57283/2, 8543, -14211/2], [20745, 13333/2, -6908], [5/2, 3/2, 1/2]], [[0, 0, 0], [-1058815115/2, -136318649/2, 253638745/2], [-758191791/2, -52283944, 364678981/4], [-57425, -10943/2, 55847/4]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -30, 0], [6, 10, -6], [0, 0, 0]], [[0, 0, 0], [-4133, 26570, 11777/2], [-9273/2, -11541/2, 16431/4], [1/2, -13/2, -3/4]], [[0, 0, 0], [-151363424, -59142612, 108730889/2], [202664389/2, 74547195/2, -137175287/4], [84609/2, 34839/2, -61857/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, -6, 10], [10, 10, 0], [0, 0, 0]], [[0, 0, 0], [-184, -5821, 5863/2], [877/2, 5647/2, -2639/4], [1/2, -11/2, -5/4]], [[0, 0, 0], [24379409, -4444787, -5107275/2], [-32663419/2, 1017941/2, 10974493/4], [46575/2, 1215/2, -17685/4]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[160, 0, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -34, -6], [20, -30, -4], [0, 0, 0]], [[0, 0, 0], [-25337, 64772, -22655], [-24846, 66231, -23455], [-5, -3, 2]], [[0, 0, 0], [-238119, 15358, 120528], [-1774383, -196944, 942817/2], [9250, 1110, -4403/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-86, 130, 40], [16, -30, 2], [0, 0, 0]], [[0, 0, 0], [30452, 246372, 81153], [-5343, -38831, -2835/2], [1, 5, -5/2]], [[0, 0, 0], [1721479203, 207351264, -408854034], [-250459511, -30438240, 118570685/2], [29244, 3628, -13739/2]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[160, 0, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-50, 76, 46], [-20, 44, 16], [0, 0, 0]], [[0, 0, 0], [-195918, 562421, -97258], [-308801, 627171, -326667/2], [-3, 4, -3/2]], [[0, 0, 0], [617249337, 75073508, -145957558], [-648688591, -81889636, 304931669/2], [-18894, -2352, 8901/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [58, -98, -2], [-16, 24, 2], [0, 0, 0]], [[0, 0, 0], [257074, -111280, -129153], [-88043, 28699, 80397/2], [-1, -3, 3/2]], [[0, 0, 0], [-3122337, -812743, 501108], [1186752, 266693, -213747], [47, 6, -11]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[196, 24, -44]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, -1, -25], [0, 2, -6], [0, 0, 0]], [[0, 0, 0], [-12489, -21991/4, 17121/4], [982, -1350, 320], [-1/2, 9/4, -1/4]], [[0, 0, 0], [-2069239954, -256267127, 485938769], [60906631, 8234306, -14700665], [73644, 9024, -16542]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [288, 88, -20], [-473, -1, -4], [0, 0, 0]], [[0, 0, 0], [11376369303, 9589916431/4, -5919039057/4], [-201756745745/11, 8505022270/11, 10127233763/11], [-81/22, -7/44, -1/44]], [[0, 0, 0], [-34339685882883890, -4423501342240453, 7921454013337427], [50335774603344480, 5934076676099544, -11414941317776124], [10626012, 1299996, -2385882]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[196, 24, -44]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [82, -73, -71], [15, -17, -20], [0, 0, 0]], [[-9, -11/2, -5/2], [-4526255, -2961139/4, 3477117/4], [-367669, -37281/2, -2667/2], [-9/2, -11/4, -5/4]], [[-1336959, -164775, 300144], [-1032704551909/2, -64201424902, 241786145813/2], [-41732544732, -4625571027, 9415241953], [-1336959/2, -164775/2, 150072]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [300, 103, -17], [-514, -3, -5], [0, 0, 0]], [[163, 79/2, 5/2], [906663818, -3244911475/4, -2827235623/4], [-13851947403/11, 24323492685/22, 18579389607/22], [163/22, 79/44, 5/44]], [[34591833, 4212081, -7764552], [147495868313121/2, 2755002518093, -41346367058147/2], [-1211920729270258/11, -43886610247856/11, 321152944120102/11], [34591833/22, 4212081/22, -3882276/11]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[608, 96, -128]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 2, 14], [-12, 30, 10], [0, 0, 0]], [[0, 0, 0], [381475, 50997/2, -164529/2], [-92428, 21226, 4058], [-4, -9/2, -1/2]], [[0, 0, 0], [73221366, 9333970, -17354246], [-15722328, -2467128, 3855300], [-1188, -192, 246]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 200, -8], [444, 22, 2], [0, 0, 0]], [[0, 0, 0], [9842434, -65592145/2, 21399435/2], [-276669520/11, 348422484/11, -117003280/11], [13/11, -35/22, -5/22]], [[0, 0, 0], [8065024454, 1038188124, -1905388990], [347409417232/11, 43038324814/11, -81571708034/11], [-10640/11, -1280/11, 2520/11]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[608, 96, -128]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [48, -84, -40], [16, -26, -10], [0, 0, 0]], [[0, 0, 0], [-17565, -627, 3868], [64178, 8612, -15258], [-3, 0, 1]], [[0, 0, 0], [47954014, 13906079/2, -23058997/2], [-184601778, -22595470, 43321080], [7807, 2223/2, -3399/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-46, 60, -2], [-206, -4, 2], [0, 0, 0]], [[0, 0, 0], [44235517, -111320556, 39303913], [636659324/11, -1444688874/11, 504699366/11], [17/11, -47/11, -2/11]], [[0, 0, 0], [-769627088111, -622366433057/2, 551568897809/2], [-105377323801638/11, -16059736636054/11, 25977231920984/11], [8466208/11, 2706503/22, -3546853/22]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[864, 32, -192]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-312, 8, -32], [4, 2, -10], [0, 0, 0]], [[0, 0, 0], [542858989, 77824940, -140642205], [-4736066, -24225, 32479], [5, -5, 0]], [[0, 0, 0], [-13543147560144, -1557688876786, 3189320797366], [111160086616, 24951855152, -25256148556], [-63902, -15932, 26654]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-268, -30, 6], [48, 6, -2], [0, 0, 0]], [[0, 0, 0], [-2442446, 34232, 176674], [435204, 3410, -38296], [-4, 2, 4]], [[0, 0, 0], [298988959727, 16431871957, -59301758130], [-53474072824, -3403632679, 10829618823], [262039, 62652, -109917]]], 0, 3145728, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-64, 32, 8], [-10, -2, 8], [0, 0, 0]], [[0, 0, 0], [81348, 128704, 23539], [319, 45999, 59989/2], [-3, -3, -1/2]], [[0, 0, 0], [-45804107, 286606, 6722265], [-7469504, -3314849, 1976869], [1357, 127, -264]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-68, 6, -6], [0, -8, 0], [0, 0, 0]], [[0, 0, 0], [193924, 75619, -32836], [8859, 6449, 6295/2], [5, 2, 3/2]], [[0, 0, 0], [5673732845, 863467551, -1335551052], [321802062, 41797737, -62071598], [162543, 15730, -30072]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[44, 0, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 13/2, 3/2], [-68, 67/2, 39/2], [-1, 13/2, 3/2], [0, 0, 0]], [[259384, 95775/2, 25227/2], [-5715152, -829621, 1815425], [259387, 95797/2, 25217/2], [4, 5/2, -5/2]], [[3222516519, 803289593/2, -1735351477/2], [-64073073333, -7645587690, 14364328678], [3222602661, 803275481/2, -867688748], [53067, 6027/2, -9996]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [19, -14, -5], [-19, -5, -2], [0, 0, 0]], [[9, -31/2, -33/2], [15931181/2, 21796227/2, -6660094], [-19610961, -9208242, 13878681/2], [-5/2, 1/2, -5/2]], [[-639600, -108732, 8528], [3984153066428, 745155946773, -1047858280893], [-7802531481354, -1125550082810, 1897763470013], [-1009502, -58630, 189215]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[44, 0, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-23, 4, -1], [-5, -1, 4], [0, 0, 0]], [[0, 0, 0], [-21940, -2441/2, 22417/2], [-1778, -3864, -6275/2], [5, -1/2, -2]], [[0, 0, 0], [45539767, -21497451/2, -5734215/2], [6951090, 5340995, -8377045/2], [-8695, -1147/2, 1665]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [13, 14, 5], [-7, 0, -5], [0, 0, 0]], [[0, 0, 0], [-9318757/2, -911293, 1952451/2], [1684844, 1405967/2, -967981/2], [3/2, 3/2, -2]], [[0, 0, 0], [19489903534343/2, 1188376349828, -4598795672173/2], [-3834811902541, -843500318011/2, 886561788143], [-7194015/2, -408735/2, 1344501/2]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -10, -8], [-36, 14, 10], [0, 0, 0]], [[0, 0, 0], [-4666996, 1036792, 970733], [-4594073, 214091, 808991/2], [-5, -3, 1/2]], [[0, 0, 0], [-15305900411, -3468492110, 4740649183], [-16533126280, -4577293375, 4679716100], [-24715, -3257, 4475]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38, -2, 8], [-36, 4, 0], [0, 0, 0]], [[0, 0, 0], [5201480, 797342, 756245], [-5051615, -114487, 528629/2], [5, 3, -5/2]], [[0, 0, 0], [7389265251, -1240802565, -3073285977], [-5780005607, -17345472, 3676990559/2], [6076, 903, -2303/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, -2, 2], [-14, 0, -2], [0, 0, 0]], [[0, 0, 0], [48745, 99558, -46651], [-37440, -69649, 32069], [-3, -1, 0]], [[0, 0, 0], [324662703, 261155337, -165242381], [-244381277, -182288078, 234463537/2], [-16288, -2265, 5655/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [64, -26, 42], [-26, 42, 0], [0, 0, 0]], [[0, 0, 0], [-51793, 4215, 14622], [3960, 1261, 904], [1, 4, 0]], [[0, 0, 0], [143887805, 17538857, -34800959], [-14329323, -2438010, 6619005/2], [-8856, -999, 3483/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[44, 0, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, 7/2, -1/2], [-93, 29/2, 19/2], [6, 7/2, -1/2], [0, 0, 0]], [[-2612881, -30575, -8176], [15692086, 75519899/2, -37353371/2], [-2612875, -30571, -16357/2], [5, 1/2, -2]], [[-22932827747, -12122992415/2, 14529972535/2], [329502510191, -123497682938, -7615819474], [-22932755513, -12123002291/2, 7264974914], [44589, 5763/2, -8472]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-44, 34, 18], [6, -1, 1], [0, 0, 0]], [[5, -13/2, -23/2], [-5047597/2, -182517/2, 280509], [644857, -41486, -229249/2], [-3/2, 5/2, -5/2]], [[-57834, -11655, 1071], [-258654104242, -31758014251, 60438876887], [61999698593, 7538763598, -14528395587], [-92043, -6363, 17640]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[44, 0, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-111, 3, -10], [1, -2, 5], [0, 0, 0]], [[0, 0, 0], [1133394806, 131129640, -249941147], [-11891704, -170044, 738397/2], [3, 2, 5/2]], [[0, 0, 0], [1009409207720952, 245517070412283/2, -472038978835135/2], [-10667105563300, -910011029082, 4584649203031/2], [4053250, 505125/2, -764125]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [13, -28, -5], [1, 3, 2], [0, 0, 0]], [[0, 0, 0], [-175325/2, -60424, 92879/2], [234643, 51269/2, -54799], [1/2, 5/2, -3/2]], [[0, 0, 0], [5154820572, 559535215, -1158723617], [-11363574936, -1424846800, 2673730928], [-66272, -4440, 12568]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[32, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, 102, 46], [-20, 46, 16], [0, 0, 0]], [[0, 0, 0], [2375900, 2376711, -1532377/2], [327087/2, 2653425/2, -1338525/4], [7/2, -5/2, -3/4]], [[0, 0, 0], [-125227470542, -15384497348, 29356597268], [-26932808822, -3185017970, 6257086325], [-81114, -10362, 19239]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, 28, 16], [4, -2, -8], [0, 0, 0]], [[0, 0, 0], [1862, 21389, -27209/2], [-23609/2, 47033/2, -25933/4], [-1/2, -1/2, 5/4]], [[0, 0, 0], [7134482, 901486, -1684724], [-1743804, -205088, 405292], [-364, -46, 86]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [74, -22, 12], [-20, 12, -4], [0, 0, 0]], [[0, 0, 0], [-44425951, -12649646, 2015108], [10936625, 1547640, -1708563/2], [2, 2, 1/2]], [[0, 0, 0], [-1076316, 1289378, -369174], [316980, -473310, 146610], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-106, -36, -14], [-20, 26, 10], [0, 0, 0]], [[0, 0, 0], [237781048, 16669369, -55559992], [10231653, 109915, -144197/2], [1, -4, -1/2]], [[0, 0, 0], [11219124469525, 1398658898656, -2648703033084], [490588920443, 67636017078, -230807834217/2], [-46800, -6578, 16419/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[32, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 14, 6], [-2, -4, 2], [0, 0, 0]], [[0, 0, 0], [304, 1568, 1373/2], [693/2, -5/2, -267/4], [-3/2, 3/2, 3/4]], [[0, 0, 0], [2077795, 265309, -969027/2], [1152193/2, 144345/2, -543111/4], [-2193/2, -273/2, 1055/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, 18, 16], [8, 4, 6], [0, 0, 0]], [[0, 0, 0], [-23295, -4262, 19801/2], [19883/2, 33195/2, -28017/4], [-11/2, 7/2, -3/4]], [[0, 0, 0], [-33251612, -5048421, 14940471/2], [47492521/2, 5919079/2, -23818967/4], [-11895/2, -1131/2, 5499/4]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[52, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, -5/2, 1/2], [-6, -61/2, -29/2], [-9, -5/2, 1/2], [0, 0, 0]], [[5497, 4815/2, -3677/2], [13334, 3291, -2723/2], [10995/2, 2408, -7355/4], [1/2, -2, 3/4]], [[-614, -103, 129], [-1266, -514, 102], [-614, -103, 129], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 4, -1], [1, 5, 2], [0, 0, 0]], [[3, -13/2, -13/2], [-14267/2, 20423/2, -6255/2], [-34729/2, -2415/2, 12799/4], [-2, 0, -3/4]], [[-41736, -80370, -41172], [-196956544, 28008987, 23272576], [-1011964809, -123836913, 465298173/2], [-123375, -19599, 40467/2]]], 1, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[52, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 19, -7], [7, 1, 0], [0, 0, 0]], [[0, 0, 0], [-18030, 11556, -8781/2], [315833/2, 64149/2, -116165/4], [5/2, 5/2, -3/4]], [[0, 0, 0], [507164, 1218889/2, -522731/2], [-8700404, -1575435, 1811536], [-188, -23/2, 27/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-19, -2, -1], [-7, -3, -2], [0, 0, 0]], [[0, 0, 0], [185499, 67325/2, 48219/2], [63229, 43606, 31827], [2, 3/2, -1/2]], [[0, 0, 0], [6047057325/2, 921762121, -583564705], [2475614557/2, 547196544, -599396885/4], [40769, 5605, -29205/4]]], 1, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[32, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 22, 0], [-2, 2, 2], [0, 0, 0]], [[0, 0, 0], [-114, -20, 63/2], [23/2, 5/2, 19/4], [7/2, -3/2, 5/4]], [[0, 0, 0], [-14332, -2138, 3521], [1827, -87, -609/2], [435, -87, -87/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -16, -16], [2, 10, -8], [0, 0, 0]], [[0, 0, 0], [-21235, 6414, 32585/2], [18731/2, -16257/2, 15919/4], [-11/2, -13/2, -3/4]], [[0, 0, 0], [2124208028, 309180965, -1004128711/2], [-1925193481/2, -136695687/2, 827991167/4], [2564535/2, 319243/2, -1227043/4]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[52, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 4, 0], [40, 13, 7], [-6, 4, 0], [0, 0, 0]], [[-664517, 25851/2, 19307/2], [9835392, -5754967/2, -3983099], [-1329053/2, 12921, 38615/4], [9/2, 1/2, -1/4]], [[-4642513909, -611353386, 809518850], [60730766295, -6101551255/2, -19357826538], [-9285182807/2, -1222745169/2, 3238126465/4], [65527/2, 5185, -23935/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [29, 3, -6], [11, 5, -2], [0, 0, 0]], [[10, -37/2, -27/2], [-36285/2, -4732, 6492], [-25597/2, 15253/2, 14963/4], [-1, -5/2, -5/4]], [[1199, 990, 363], [18404976, 9603551/2, -10924477/2], [9867121, -2137813, -1124307], [2475, 627/2, -913/2]]], 1, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[52, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [31, -31, 14], [9, -1, 2], [0, 0, 0]], [[0, 0, 0], [-2251120, -11858, 951519/2], [-2022607/2, -135989/2, 974399/4], [7/2, 3/2, 5/4]], [[0, 0, 0], [2735875252, 692811139/2, -605331597], [2505413809/2, 344537515/2, -1124982513/4], [-13703/2, 1158, 9843/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [39, -5, 6], [-13, -5, 2], [0, 0, 0]], [[0, 0, 0], [-1485017/2, 1834643, -633569], [-36809/2, 69048, -117427/4], [-1, 2, 1/4]], [[0, 0, 0], [-29329474, -3660777, 6907461], [11516800, 1433840, -2710480], [0, 0, 0]]], 1, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[352, 0, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [404, -4, -68], [-12, 2, 10], [0, 0, 0]], [[0, 0, 0], [-29, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [-41916018, -6158066, 10272984], [986544, 55584, -184176], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [298, 74, 20], [-16, -26, -6], [0, 0, 0]], [[0, 0, 0], [3, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [80421090, 23019840, -23624034], [-7621280, -510600, 1445320], [0, 0, 0]]], 0, 393216, [], [] >,
< [ 2, -4, -1, 1 ], [[352, 0, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -22, 0], [16, -26, -6], [0, 0, 0]], [[0, 0, 0], [-29, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [19962, 2328, -4626], [13312, 1536, -3072], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [98, 38, -40], [0, 6, -6], [0, 0, 0]], [[0, 0, 0], [3, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [55156, 6486, -12770], [800, -2, -118], [0, 0, 0]]], 0, 393216, [], [] >,
< [ 2, -4, -1, 1 ], [[288, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -24, -16], [0, -6, 2], [0, 0, 0]], [[0, 0, 0], [-463, 334, 289], [358, 135, -119], [-5, -1, 0]], [[0, 0, 0], [80222, 17919, -35205/2], [-280957/2, -20003/2, 119647/4], [3767/2, 603/2, -1959/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -28, -10], [0, -2, 2], [0, 0, 0]], [[0, 0, 0], [-45, 29, 13/2], [-5/2, -5/2, -1/4], [1/2, 5/2, -3/4]], [[0, 0, 0], [-35854, -3623, 16893/2], [-8775/2, -1233/2, 4005/4], [3537/2, 549/2, -1701/4]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[288, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, -20, -2], [8, 16, 8], [0, 0, 0]], [[0, 0, 0], [-101350, -39919, 71873/2], [-314227/2, -47045/2, 150305/4], [5/2, 1/2, -1/4]], [[0, 0, 0], [11807076, -2969784, -893646], [14611950, 1392632, -3230683], [-222, -76, 63]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, -2, 8], [20, 6, 10], [0, 0, 0]], [[0, 0, 0], [1006108, 219078, -242852], [1102422, 235424, -252069], [-6, -6, -1]], [[0, 0, 0], [933598416, 254117259, -555529003/2], [2076748989/2, 482615319/2, -1164142735/4], [-15903/2, -4495/2, 9207/4]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, -16, -8], [-16, 6, 2], [0, 0, 0]], [[0, 0, 0], [30307, -12700, -14209], [9188, 145, -476], [5, -5, -1]], [[0, 0, 0], [3395853429, 492455093, -799922645], [1465975573, 224432426, -730865977/2], [365414, 115283, -222439/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-206, 6, -16], [4, 2, -6], [0, 0, 0]], [[0, 0, 0], [-21578690, -3312037, 6428546], [366889, 17341, 39475/2], [-5, -4, -5/2]], [[0, 0, 0], [-340287168823, -29046311415, 74529497903], [5496829121, 1645522974, -3382987809/2], [-109142, -28413, 62689/2]]], 0, 98304, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-130, -26, -12], [-20, -16, -8], [0, 0, 0]], [[0, 0, 0], [94243797, -16706514, -1909950], [17281057, 236518, -79015/2], [2, 2, 5/2]], [[0, 0, 0], [900262924508, 234706746648, -263589679274], [184769529822, 40500065988, -50712856277], [35770, 11534, -11169]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-42, 6, -4], [-20, -4, 4], [0, 0, 0]], [[0, 0, 0], [30433, -81067, 27385], [-933, 156, -271/2], [-2, -3, -5/2]], [[0, 0, 0], [200314050, -441304598, 152083874], [12923422, 4539176, -4260365], [59082, 16254, -17157]]], 0, 98304, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-216, -8, -4], [-8, 2, -2], [0, 0, 0]], [[0, 0, 0], [18627057, -997249, -3817924], [690878, -170011, -100646], [3, 0, 2]], [[0, 0, 0], [32062467405, 4682411891, -7801698861], [1077210875, 191450226, -551701171/2], [6202, 1447, -3721/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-90, -6, 0], [0, 4, -8], [0, 0, 0]], [[0, 0, 0], [-760537, -95091, 179757], [961, -130, 175/2], [0, -5, 5/2]], [[0, 0, 0], [1095831652, 136645322, -257908800], [-1340966, -108944, 305683], [2374, 822, -757]]], 0, 98304, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, -28, -2], [4, -20, -4], [0, 0, 0]], [[0, 0, 0], [-90790, -23149, 28656], [20143, 2373, -943/2], [-1, -2, -3/2]], [[0, 0, 0], [6094817371, 377008045, -1272469517], [-1274522193, -280933530, 699492625/2], [133866, 37453, -77921/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-44, 0, 36], [8, -2, -10], [0, 0, 0]], [[0, 0, 0], [1785, 5709, 1235], [321, -1750, -1301/2], [4, -3, 5/2]], [[0, 0, 0], [227681140, 28218390, -48351768], [-30746294, -3968038, 5562931], [141980, 41540, -41075]]], 0, 98304, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[14, 5/2, -3/2], [11, 51/2, 25/2], [14, 5/2, -3/2], [0, 0, 0]], [[66441, 22153/2, -33117/2], [114075, 20816, -26423], [66430, 22183/2, -33117/2], [-2, 5/2, 1/2]], [[-8125851729, -1979685765/2, 3805887287/2], [-14103228494, -1725976724, 6615398135/2], [-16250843889/2, -989682092, 7611196621/4], [159325/2, 24012, -96381/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, 9, 4], [11, -1, 4], [0, 0, 0]], [[6, -9, -4], [-5270976, -501675, 2638047/2], [-11871859/2, -1091101/2, 5625617/4], [5/2, -5/2, -1/4]], [[977, 1239/2, -663/2], [-14106960065/2, -1764067933/2, 1659043356], [-7950699960, -1005416425, 1876016781], [3219/2, 951/2, -482]]], 1, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [52, -11, 9], [31, 0, 5], [0, 0, 0]], [[0, 0, 0], [-34195511, -1055622, 12254377/2], [-44369165/2, -2878547/2, 16913907/4], [-13/2, -3/2, -3/4]], [[0, 0, 0], [106575187604, 44940563097/2, -57101923671/2], [70687170635, 13243210396, -18178201642], [21396, 18653/2, -11521/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-53, -11, 2], [-23, -4, -1], [0, 0, 0]], [[0, 0, 0], [-330041/2, 289449/2, 584787/2], [-156489/2, 55888, 685575/4], [-1, 3/2, 5/4]], [[0, 0, 0], [18795944, 2007497, -4281223], [8208378, 782460, -1829466], [0, 0, 0]]], 1, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[288, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 0, 4], [-2, 0, 2], [0, 0, 0]], [[0, 0, 0], [-925, 124, 711/2], [377/2, 149/2, 37/4], [-1/2, 9/2, -1/4]], [[0, 0, 0], [10432817, 1233053, -2497941], [-2972305, -366786, 1351381/2], [-19218, -5849, 11059/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -8, 36], [-18, 24, 6], [0, 0, 0]], [[0, 0, 0], [-90269, 32044, 73227/2], [155785/2, 41501/2, -38311/4], [3/2, 1/2, 3/4]], [[0, 0, 0], [-2487038060, -323247654, 1273231781/2], [6294529481/2, 858798531/2, -2953937387/4], [133809/2, 33215/2, -70445/4]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [102, -34, 0], [20, -30, -10], [0, 0, 0]], [[0, 0, 0], [2120653, 194532, -471757], [88434, 6089, -6881], [-5, -3, -2]], [[0, 0, 0], [-29859505005, -4307241160, 7278478554], [-1224090605, -303881828, 700678383/2], [91086, 28900, -56185/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, -72, -10], [-16, 22, 2], [0, 0, 0]], [[0, 0, 0], [-288407, -76701, 133719], [-115271, 11404, 9907/2], [2, -1, 5/2]], [[0, 0, 0], [-219389789451, -21610772261, 49438650863], [-79265738683, -12183658086, 39166125959/2], [1442242, 418841, -858063/2]]], 0, 98304, [], [] >,
< [ 2, -4, -1, 1 ], [[288, 32, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -6, -4], [0, 2, -2], [0, 0, 0]], [[0, 0, 0], [71, 38, 11/2], [-39/2, -43/2, -31/4], [7/2, 5/2, 3/4]], [[0, 0, 0], [-103380, -10598, 48213/2], [72065/2, 7171/2, -34151/4], [-11147/2, -1065/2, 5183/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 18, 12], [-4, 4, 0], [0, 0, 0]], [[0, 0, 0], [-235, 809, -268], [-284, 763, -273], [-3, -4, -1]], [[0, 0, 0], [549848, -2363963, 1797629/2], [1675563/2, -4602583/2, 3317367/4], [40879/2, 8831/2, -18659/4]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[160, 0, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [314, -480, -390], [300, -482, -354], [0, 0, 0]], [[0, 0, 0], [-2432295, 3358977, 4041158], [-3040186, 4601047, 3316764], [1, 4, 0]], [[0, 0, 0], [19934888868, 2299890721, -9274414371/2], [-126114835495/2, -15724530485/2, 59282338405/4], [2601861/2, 324513/2, -1225029/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-60, 22, -2], [-8, 14, 2], [0, 0, 0]], [[0, 0, 0], [-415296, -44454, 188523/2], [-18227/2, 3051/2, 6885/4], [-7/2, -1/2, -1/4]], [[0, 0, 0], [172298882, 21419690, -40498610], [3368766, 337326, -819379], [1518, 276, -299]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[160, 0, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-124, 196, 140], [-120, 194, 142], [0, 0, 0]], [[0, 0, 0], [-84390, 133249, 195179/2], [-169313/2, 266757/2, 395603/4], [-5/2, -9/2, -3/4]], [[0, 0, 0], [-22262614, -2536914, 5058830], [14329146, 1781358, -3451067], [-2055702, -256278, 483879]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-36, 8, 4], [20, 14, 10], [0, 0, 0]], [[0, 0, 0], [142634, -23369, -32893/2], [-242121/2, 6105/2, 36587/4], [-5/2, 15/2, 5/4]], [[0, 0, 0], [1131903042, 142253950, -266873561], [-1040812627, -129320871, 492000929/2], [11853, 945, -5949/2]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[608, 96, -128]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [86, -8, 10], [52, 8, -4], [0, 0, 0]], [[0, 0, 0], [1314355, -1145244, 690046], [613161, -64614, 183821/2], [4, -2, -3/2]], [[0, 0, 0], [1574873688, 122379086, -333752730], [1010275016, 113581262, -230374058], [4576, 512, -1072]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-162, -2, 8], [-4, -2, -6], [0, 0, 0]], [[0, 0, 0], [742114, 700991, -760718], [47881, 36357, -269693/2], [-5, -4, -5/2]], [[0, 0, 0], [-2577715507, -305949414, 600858531], [-100929864, -10134305, 22944008], [21173, 2677, -4989]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[608, 96, -128]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-112, -10, -2], [8, -22, -6], [0, 0, 0]], [[0, 0, 0], [-59079417, -10323162, 14605934], [-1969905, 123724, 24083/2], [4, 2, -1/2]], [[0, 0, 0], [798996495806, 92894374098, -185471931872], [24464696532, 4689108970, -6597905796], [-64084, -6404, 14922]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [64, 8, 8], [68, 2, 6], [0, 0, 0]], [[0, 0, 0], [91791505, 811335, -4960808], [94897486, -3376797, -5749950], [5, 0, -2]], [[0, 0, 0], [6648610202345, 1120663971394, -1660107283876], [6712103460395, 1152320237870, -3380139694625/2], [342140, 34320, -159245/2]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[160, 0, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-154, 0, -2], [4, 10, 2], [0, 0, 0]], [[0, 0, 0], [24351750, 21071043, -24378369/2], [-3958541/2, 494925/2, -135441/4], [-5/2, -9/2, 1/4]], [[0, 0, 0], [-2601815902777, -296392190123, 1214650706875/2], [308069322965/2, 37071557409/2, -150258617791/4], [764631/2, 66303/2, -382077/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [82, 26, -4], [0, 16, -4], [0, 0, 0]], [[0, 0, 0], [44010, 10295, -16697/2], [7015/2, -751/2, 171/4], [-1/2, -1/2, 5/4]], [[0, 0, 0], [-614302842, -77333660, 144100084], [-43604082, -5590020, 10224595], [6130, 516, -1527]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[160, 0, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-94, 2, -12], [20, 6, -10], [0, 0, 0]], [[0, 0, 0], [412353, 221346, -712425/2], [-203805/2, 48531/2, -67325/4], [-3/2, -13/2, -3/4]], [[0, 0, 0], [94577857080, 12172066983, -42877074973/2], [-40956607149/2, -5045668791/2, 19758816695/4], [-2077697/2, -209461/2, 1016081/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, -2, -4], [16, -2, 6], [0, 0, 0]], [[0, 0, 0], [11000, 1342, -5203/2], [14255/2, 2905/2, -5705/4], [-5/2, 9/2, 5/4]], [[0, 0, 0], [-6196144, -771854, 1458202], [-4200836, -523382, 988840], [60, 0, -10]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[352, 0, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [362, 2, 0], [32, 0, 0], [0, 0, 0]], [[0, 0, 0], [-41475061, -655610, 135755], [-3666166, -37969, 12149], [5, -5, -2]], [[0, 0, 0], [-13683968673419, -1326392175312, 3095603352658], [-1206616945457, -116612121062, 545562813303/2], [728980, 42418, -271145/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-146, -32, -22], [32, 12, 4], [0, 0, 0]], [[0, 0, 0], [-498503, 46685, 39127], [111029, 970, -26065/2], [-2, -5, 1/2]], [[0, 0, 0], [7725730513, 1287208888, -1923109565], [-1802452146, -275210429, 437747075], [72029, 5575, -13380]]], 0, 393216, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -16, 16], [-40, -6, 10], [0, 0, 0]], [[0, 0, 0], [-9547, 12088, 35775/2], [4871/2, 675/2, -785/4], [9/2, 11/2, 1/4]], [[0, 0, 0], [-244889011, 462004805, 168300822], [230614810, 41834541, -53971994], [642689, 104704, -110308]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 2, -4], [20, -2, 2], [0, 0, 0]], [[0, 0, 0], [-2412970, -217041, 139059/2], [5344155/2, 404093/2, -912553/4], [3/2, -9/2, 1/4]], [[0, 0, 0], [-768628006928, -101386107326, 179093554370], [836298349816, 108545513082, -195547171678], [-168992, -26176, 29264]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[352, 0, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-358, 14, 4], [-20, 22, 10], [0, 0, 0]], [[0, 0, 0], [-720900939, -31282122, 152520591], [-14810888, -445329, 653388], [3, -5, -1]], [[0, 0, 0], [-11736093711631, -1448378696023, 2755692168419], [-249117232375, -29858317370, 116537930195/2], [7290, 315, -2595/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-158, -12, 26], [-24, 2, -6], [0, 0, 0]], [[0, 0, 0], [480892675, 43489361, -91811941], [74262275, -2112104, 9317125/2], [0, 5, 3/2]], [[0, 0, 0], [-145061774329174, -19738640324420, 34787939557056], [-21899708428526, -4303374450946, 5750206254953], [-828630, -53298, 157707]]], 0, 393216, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 6, -10], [8, 6, -2], [0, 0, 0]], [[0, 0, 0], [19932, 33022, -10605], [-22673, -521, 5991/2], [1, 3, 1/2]], [[0, 0, 0], [196549734, 12518766, -72319601/2], [-256393323/2, -39299649/2, 123159077/4], [28245/2, 5055/2, -9105/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [130, 14, -12], [28, 4, -8], [0, 0, 0]], [[0, 0, 0], [-345326, -220215, 787051/2], [-158449/2, 19277/2, -22621/4], [-1/2, 3/2, -3/4]], [[0, 0, 0], [337444, 44982, -77406], [71332, 8694, -16926], [0, 0, 0]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -30, 0], [-12, -22, -10], [0, 0, 0]], [[0, 0, 0], [-188447, -629950, 275447], [-843536, -102885, 149682], [7, 7, 1]], [[0, 0, 0], [110080995104, -60664195527, 13142190899/2], [327554662457/2, 56684958135/2, -162676043707/4], [-3995915/2, -587323/2, 1401807/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -4, -6], [-8, -8, -8], [0, 0, 0]], [[0, 0, 0], [78, -34, 23/2], [291/2, 21/2, -157/4], [-1/2, -3/2, 5/4]], [[0, 0, 0], [2029, -31, -1503/2], [7669/2, 1549/2, -2951/4], [-33/2, -33/2, -33/4]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[38, 6, -9]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 4, -1], [-2, 6, -4], [4, 4, -1], [0, 0, 0]], [[4564, 2168, -702], [-29, 1387/2, -1635], [9105/2, 4333/2, -2855/4], [-13/2, 0, -3/4]], [[541337979, 65239035, -239353293/2], [12300951, -43603681, 15443557/2], [540012100, 64720316, -119306896], [-639793, -141253, 328799/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, 1, 0], [2, 9, 7], [6, 1, 0], [0, 0, 0]], [[194, 289, -119], [25, 741, -97/2], [373/2, 587/2, -463/4], [3/2, 5/2, -1/4]], [[923327, 222169, -510857/2], [1046212, 774539/2, -607451/2], [1815633/2, 443333/2, -1006639/4], [16013/2, 1742, -7973/4]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[38, 6, -9]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -4, 5/2], [-13, -12, 19/2], [-1, -4, 5/2], [0, 0, 0]], [[7150, 2100, 250], [54329, 22857/2, -6716], [14303/2, 4195/2, 989/4], [1/2, -2, -3/4]], [[-55099200, -2472400, 10927125], [-384484420, -35843024, 84795697], [-55096245, -2475085, 21855945/2], [3225, 2325, -2955/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -4, -3/2], [35, -28, -43/2], [-7, -4, -3/2], [0, 0, 0]], [[-396000, 196680, -13860], [869632, -1406099/2, 129278], [-792003/2, 393375/2, -55429/4], [9/2, 2, 3/4]], [[-272323425, 3845655, 89465475/2], [540444952, -84839038, -81733938], [-544653395/2, 7709405/2, 178953665/4], [5005/2, 8085/2, 6545/4]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[-22, -2, 5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 2, 5/2], [12, 8, -3/2], [4, 2, 5/2], [0, 0, 0]], [[98394, -159758, -117967], [187085/2, -161058, -117282], [196793/2, -159762, -471865/4], [1, 2, -5/4]], [[1687510, -4356844, -2899449], [-120097, -4569446, -2499353], [1688410, -4358419, -2898954], [225, 945, -450]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 0, 5/2], [-10, -2, -5/2], [-4, 0, 5/2], [0, 0, 0]], [[45864, -8190, -2652], [240599/2, 128439/2, -111599/2], [91729/2, -8193, -10619/4], [-2, -5/2, -1/4]], [[291612750, 11407500, -58656000], [908666980, 198962217, -248510298], [291601134, 11408710, -58653217], [-22022, -3025, 5808]]], 1, 8, [], [] >,
< [ 2, -4, -1, 1 ], [[118, 22, -25]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15, 19, 3/2], [11, 59, 71/2], [15, 19, 3/2], [0, 0, 0]], [[-1031150, 68002, 134945], [-1659013, -646433, 913601/2], [-2062305/2, 136035/2, 539795/4], [21/2, 5/2, 5/4]], [[486080365, 61639863, -236557631/2], [946084326, 93539645, -229649526], [972153293/2, 123281937/2, -473108763/4], [-12663/2, -469/2, 7437/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-763, 1233, 1649/2], [-815, 1323, 1737/2], [-763, 1233, 1649/2], [0, 0, 0]], [[-124292, 870044, -1305066], [-289277, 1247939, -2987725/2], [-248529/2, 1740063/2, -5220269/4], [25/2, 5/2, 5/4]], [[-27123680304, -3377483760, 6382814088], [-228162554149, -28420634698, 107391028717/2], [-53950865363/2, -6718033047/2, 25391700973/4], [193874339/2, 24150973/2, -91253433/4]]], 0, 4096, [], [] >,
< [ 2, -4, -1, 1 ], [[118, 22, -25]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 9, -1/2], [37, 13, 13/2], [7, 9, -1/2], [0, 0, 0]], [[16960, -147200, 23200], [-230985, 174488, -362201/2], [33917/2, -294383/2, 92789/4], [11/2, -7/2, 3/4]], [[-1410134800, -163406800, 365149400], [-5721927113, -466473329, 2796471795/2], [-2820158279/2, -326797127/2, 1460540429/4], [239115/2, 27075/2, -111321/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, -5, -3/2], [1, -11, -43/2], [-11, -5, -3/2], [0, 0, 0]], [[63384, 7228, -22796], [41943, 22406, -109665/2], [126765/2, 14473/2, -91171/4], [11/2, 5/2, 3/4]], [[-3688666630, -505563850, 883891965], [-2297383587, -609615311, 1321787265/2], [-7377715863/2, -1011190191/2, 3535773117/4], [-827697/2, -88673/2, 382603/4]]], 0, 4096, [], [] >,
< [ 2, -4, -1, 1 ], [[212, 20, -46]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-305, 555, 395/2], [-281, 495, 435/2], [-305, 555, 395/2], [0, 0, 0]], [[76790, -120554, -90489], [76634, -120339, -90124], [76804, -120558, -90491], [6, 3, 1]], [[-1489726, -185486, 351029], [-1046049661, -130306483, 492358999/2], [-938840931/2, -116951483/2, 441898593/4], [-611947513/2, -76230465/2, 288033547/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 12, 0], [12, 2, 0], [-4, 12, 0], [0, 0, 0]], [[-679, -2411, 2669/2], [-12413, -609, 5285/2], [-679, -2405, 2665/2], [6, -2, 0]], [[16286023, 15196537, -20062853/2], [170100612, 16340463, -38348017], [32530289/2, 30324781/2, -40059335/4], [-151807/2, 12307/2, 41757/4]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, 0, 2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, 1/2, -5/2], [14, -21/2, -17/2], [5, 1/2, -5/2], [0, 0, 0]], [[-780, -195/2, 195], [-1249, -107/2, 336], [-780, -195/2, 195], [0, 0, 0]], [[7, 1, -3/2], [0, 0, 0], [7/2, 1/2, -3/4], [7/2, 1/2, -3/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 5, -3/2], [-7, 7, 13/2], [-1, 5, -3/2], [0, 0, 0]], [[3188, 1063, -1599/2], [-10416, 3227, 4994], [6373/2, 2137/2, -3185/4], [1/2, -5/2, -1/4]], [[25040172, 6208045/2, -5892200], [-110957957/2, -7021033, 25989611/2], [50106299/2, 6211003/2, -23581299/4], [-5249, -1189/2, 4959/4]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, 0, 2]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 5, 5/2], [-1, -6, 3/2], [-1, 5, 5/2], [0, 0, 0]], [[-14076, -17571/2, 3429], [18993, 35979, -17991], [-28157/2, -8784, 13713/4], [-5/2, 2, 5/4]], [[-32522967, -8204983/2, 15396959/2], [59334565, 7980744, -28443913/2], [-65053279/2, -4102901, 30797311/4], [-4771/2, -299, 2197/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -3, 5/2], [-12, -11, 1/2], [-4, -3, 5/2], [0, 0, 0]], [[-367, 1742, -1289/2], [861, 1140, -1339], [-741/2, 3503/2, -2553/4], [1/2, -5/2, -5/4]], [[54601, 922249/2, -206666], [1258291/2, 1055211/2, -341896], [112565/2, 922755/2, -828205/4], [-658, -163, 731/4]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[20, 4, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 2, -3/2], [-7, -11, 11/2], [-5, 2, -3/2], [0, 0, 0]], [[-55372, -6858, 13081], [-138172, -17117, 64999/2], [-110747/2, -13697/2, 52329/4], [13/2, 1/2, 3/4]], [[-99267264, -12374118, 23354919], [-247774304, -30874594, 58312089], [-99260868, -12374482, 23353125], [12428, 1404, -3198]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, -14, -2], [-6, -10, 8], [-6, -14, -2], [0, 0, 0]], [[-585064, 86206, 77013], [-528114, 774623/2, -71220], [-1170133/2, 172429/2, 308065/4], [7/2, 2, 5/4]], [[-13427237325, -1677693525, 6354303225/2], [-9178906633, -1209123903, 4367654751/2], [-13427188712, -1677674136, 3177147819], [116615, 20513, -48613/2]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[20, 4, -6]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, 5, -5/2], [-17, -1, -1/2], [-11, 5, -5/2], [0, 0, 0]], [[-229950, -221920, 14965], [-488918, -313058, 16142], [-229949, -221923, 29933/2], [-1, 2, -1/2]], [[3727955970, 499383510, -857468585], [7128100734, 948017076, -3288145945/2], [7455913907/2, 998766969/2, -3429875473/4], [3883/2, 417/2, -1967/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 1, 1/2], [-11, -1, -3/2], [-1, 1, 1/2], [0, 0, 0]], [[-3, -4, -1/2], [-51, 5/2, 29/2], [-5/2, -13/2, -11/4], [-3/2, -2, -1/4]], [[-27144, -2958, 7047], [-249511, -31731, 57084], [-34191, -2436, 18183/2], [-13572, -1479, 7047/2]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[212, 20, -46]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19, 9, 3/2], [31, 85, 99/2], [19, 9, 3/2], [0, 0, 0]], [[336750, -2204590, 500635], [3951077, -13218263, 985856], [336750, -2204590, 500635], [5, 4, 1]], [[-8041964466, 2393190654, 436084515], [-30142740288, 13894404512, -1033923327/2], [-8041964466, 2393190654, 436084515], [81314, 10791, -38695/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-387, -7, -3/2], [101, -279, -91/2], [-387, -7, -3/2], [0, 0, 0]], [[-11605196534, -5470028860, 3943565989], [-2355033371, 2929896243, -3613032975/2], [-127657166774/11, -60170317320/11, 43379226229/11], [-35/11, 1/11, 5/22]], [[-1020317616335516, -162627834655238, 252924313711578], [-119102995426710, 20386199742044, 16782050516539/2], [-11223494152384676/11, -1788906218199118/11, 2782167532253108/11], [-2662100/11, -264225/11, 1163225/22]]], 0, 4096, [], [] >,
< [ 2, -4, -1, 1 ], [[212, 20, -46]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -13, -5/2], [53, -75, -99/2], [-5, -13, -5/2], [0, 0, 0]], [[38318, -3128, 2737], [-46378, 21265, 133189/2], [38318, -3128, 2737], [-4, 0, -1/2]], [[-4068355, 2887535, -995095/2], [-1568881, 8358661, -6663741/2], [-4068355, 2887535, -995095/2], [442, -306, 51]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[104, -2, 0], [-54, 40, 3], [104, -2, 0], [0, 0, 0]], [[913956, -396848, 126270], [-551164, 693070, -251161/2], [10059396/11, -4365188/11, 1389320/11], [42/11, 1/11, 5/22]], [[-304753523, -129562181, 220681313/2], [76756667, 108053429, -120743517/2], [-3354878753/11, -1425813991/11, 2428964443/22], [-18500/11, -4500/11, 5250/11]]], 0, 4096, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, 0, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -4, -3/2], [3, -23, -19/2], [5, -4, -3/2], [0, 0, 0]], [[-160385, -3957/2, 9651], [637653, -78473/4, -1098451/4], [-160385, -3957/2, 9651], [-5/2, 3/4, -3/4]], [[-42618155, -6360969/2, 18041507/2], [148167499, 86883279/4, -148340847/4], [-42618155, -6360969/2, 18041507/2], [-1295/2, 111/4, 407/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-27, -3, 2], [-10, -4, 5], [-27, -3, 2], [0, 0, 0]], [[-11712714, -3606227/2, 4252363/2], [-4637712, -2845333/4, 5682981/4], [-128843140/11, -39669303/22, 46775683/22], [53/22, 13/44, 5/44]], [[637659668076, 67150191228, -285113498521/2], [239567703444, 42385722652, -62528453801], [7014450197664/11, 738648130920/11, -3136310316951/22], [-1563297/11, 32037/11, 498655/22]]], 1, 12, [], [] >,
< [ 2, -4, -1, 1 ], [[-12, 0, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -5, -1/2], [11, -21, -11/2], [4, -5, -1/2], [0, 0, 0]], [[-2560, 7/2, 458], [-267/2, 3281/4, -1525/4], [-2560, 7/2, 458], [1, 7/4, 1/4]], [[-2801858, -388303, 1351517/2], [234069, -79565, -23803/2], [-2801858, -388303, 1351517/2], [2132, 286, -442]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-39, 4, 2], [-26, 24, -6], [-39, 4, 2], [0, 0, 0]], [[-17052, -43887/2, -5534], [-9760, -28031/4, 8583/4], [-190858/11, -482199/22, -61029/11], [53/22, -9/44, 5/44]], [[-15997237, -5401331/2, 3777442], [-6816560, -7198759/4, 7871013/4], [-177929365/11, -59143515/22, 41840813/11], [31609/22, -4373/44, -9321/44]]], 1, 12, [], [] >,
< [ 2, -4, -1, 1 ], [[20, 4, -6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, 4, 1], [24, -18, -4], [12, 4, 1], [0, 0, 0]], [[-912623, -153699, 482491/2], [-851970, -388991, 614393/2], [-912615, -153717, 482479/2], [-1, -1, -2]], [[-281733082, -35256186, 66362499], [-584466353/2, -37205086, 69131114], [-281733628, -35256261, 66362643], [-1167/2, -129/2, 273/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-65, -5, 5/2], [-59, -1, 13/2], [-65, -5, 5/2], [0, 0, 0]], [[-5167369, 185887, 1249443/2], [-9015129/2, 288677/2, 662882], [-56840577/11, 2044648/11, 13743933/22], [27/22, -4/11, 1/11]], [[33916130235, 5223883535, -17445718485/2], [29434658367, 4526753695, -14844924683/2], [373074458393/11, 57462147045/11, -191901142535/22], [-79944/11, -16788/11, 24052/11]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[20, 4, -6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 6, -2], [0, -4, 23], [0, 6, -2], [0, 0, 0]], [[-13, 3, 9/2], [-177/2, 225/2, 86], [-13, 3, 9/2], [-3/2, -2, -2]], [[0, 0, 0], [41/2, 3, -5], [0, 0, 0], [55/2, 7/2, -13/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-145, 1, -5/2], [-145, 3, -11/2], [-145, 1, -5/2], [0, 0, 0]], [[133184205, 16787925, -64113885/2], [265862965/2, 16781151, -64110783/2], [1465025625/11, 184668645/11, -705252315/22], [-9/22, 21/22, 3/22]], [[-3204198046170, -399505608810, 754168751325], [-6396146993339/2, -398773036774, 752735422638], [-35246181041520/11, -4394562216100/11, 8295857022885/11], [-36195/22, -7417/22, 10833/22]]], 0, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[120, -8, -20]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -30, -4], [-12, -4, 0], [0, 0, 0]], [[-7, 3, 1/2], [-5788, -193, -8156], [-10675/2, -8035/2, 2141/4], [-7/2, 3/2, 1/4]], [[-7089, -867, 3383/2], [-9591570, -1803731, 1964327], [-18241569/2, -2524049/2, 8288775/4], [-7089/2, -867/2, 3383/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [236, -432, -148], [252, -448, -186], [0, 0, 0]], [[3, 5, -5/2], [454492, -890417, -184510], [946447/2, -1782297/2, -1029529/4], [3/2, 5/2, -5/4]], [[-14795266, -1843050, 3481943], [16909658622, 2106637892, -3979403841], [10000602729, 1246014177, -4706796995/2], [-7397633, -921525, 3481943/2]]], 0, 8192, [], [] >,
< [ 2, -4, -1, 1 ], [[120, -8, -20]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, -62, -101], [38, -70, -25], [0, 0, 0]], [[11, 1, -1/2], [14857292, 2123781, -3547891], [526871/2, -55261/2, -43513/4], [11/2, 1/2, -1/4]], [[-2985, -285, 1455/2], [-3896984180, -485365760, 919181573], [-129871341/2, -12793173/2, 61492719/4], [-2985/2, -285/2, 1455/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [74, -170, -31], [22, -46, -1], [0, 0, 0]], [[-9, 7, -1/2], [-36964, -6606, 7561], [1163/2, -589/2, -1385/4], [-9/2, 7/2, -1/4]], [[-23241, -4087, 12383/2], [-155761214, -19922093, 36377739], [3088399/2, 193799/2, -1658705/4], [-23241/2, -4087/2, 12383/4]]], 0, 8192, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -22, -31], [12, -14, -21], [0, 0, 0]], [[9, 0, 5/2], [330075, 605277/2, -665555/2], [-195949/2, 301915/2, -558665/4], [9/2, 0, 5/4]], [[-7026450, -870471, 1651974], [-293085144290, -73718754793/2, 138220211115/2], [42629326917, 5088822095, -19894376233/2], [-3513225, -870471/2, 825987]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -21, -17], [4, -3, -3], [0, 0, 0]], [[-2, 4, 2], [85, -121, 1], [100, 9, -16], [-1, 2, 1]], [[257, 14, -107/2], [20861, 9173/2, -11501/2], [153779/2, 19553/2, -72725/4], [257/2, 7, -107/4]]], 0, 128, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 39, 16], [2, 5, 2], [0, 0, 0]], [[13, 4, 5/2], [15298, -185371/2, 83289/2], [-9339/2, -4145/2, 9743/4], [13/2, 2, 5/4]], [[-1927112, -218272, 448032], [2218397832, 689813083, -695739433], [630742726, 88086289, -152095979], [-963556, -109136, 224016]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 16, 25], [2, -2, 5], [0, 0, 0]], [[-5, 2, 5/2], [3481, -54571/2, 22371/2], [6329/2, -21463/2, 16123/4], [-5/2, 1, 5/4]], [[40, 5, -10], [122444, -226499/2, 51983/2], [29940, -47636, 29743/2], [20, 5/2, -5]]], 0, 128, [], [] >,
< [ 2, -4, -1, 1 ], [[-32, -4, 8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-1, 2, 2], [-3/2, -9/2, 1], [-3, 11/2, 4], [-1/2, 1, 1]], [[84, 12, -45/2], [-1521/2, -75, 343/2], [213/2, 9, -111/4], [42, 6, -45/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-5, 2, 1/2], [-23, 37/2, -13/2], [-11/2, 1/2, 7/4], [-5/2, 1, 1/4]], [[48450, 4788, -23313/2], [378777/2, 23719, -79323/2], [120213/2, 5700, -60363/4], [24225, 2394, -23313/4]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, 5, -3/2], [9, 3, -5/2], [-9, 5, -3/2], [0, 0, 0]], [[5328, -666, -2109], [-6749, -207, 1915], [5322, -665, -2107], [-3, 2, 0]], [[-36092316, -4271280, 8649342], [50842497, 12439331/2, -24044499/2], [-36051924, -4266588, 17279491/2], [16507, 2941/2, -3689]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, 3, -5/2], [1, -1, 21/2], [-11, 3, -5/2], [0, 0, 0]], [[1009177, -14067, -568411/2], [-484171, 665279/2, 284624], [1009166, -14069, -568407/2], [-5, 1/2, 1/2]], [[184511108, 27198284, -44257908], [-48779776, -28200215/2, 23676905/2], [184508834, 27197983, -88514715/2], [-872, -489/2, 265]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, -10, -2], [12, 4, 12], [-6, -10, -2], [0, 0, 0]], [[893885, 31025, -247835/2], [-833434, -2564549/2, 586497], [893884, 31031, -247835/2], [4, -1/2, 1/2]], [[3558014525, 435074525, -1671379165/2], [-5256988530, -700889384, 2521516915/2], [3558021870, 435075529, -835691432], [15694, 1823, -7345/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -7, -3/2], [-3, 15, -17/2], [-3, -7, -3/2], [0, 0, 0]], [[-5414, -260, 254], [7875, -15050, 4549], [-5410, -271, 253], [-3, 1, -2]], [[36588416, 4529424, -8604960], [-12105531, -2486567/2, 5465333/2], [36597732, 4530657, -17214441/2], [19865, 4795/2, -4658]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[-32, -4, 8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -1, -1/2], [2, -1, -3/2], [-4, -1, -1/2], [0, 0, 0]], [[-2140, -3581/2, 1002], [1895/2, -421, -127], [-2139, -1794, 2001/2], [3/2, 1, 1/2]], [[924226, 108859/2, -390931/2], [-454019/2, -48432, 117237/2], [924600, 54372, -391161/2], [-1381/2, -72, 187]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 4, 2], [8, -14, -8], [2, 4, 2], [0, 0, 0]], [[651, 123/2, -183], [-335/2, 431/2, 69/2], [646, 73, -181], [-3/2, 1/2, -5/2]], [[2292076, 279424, -1069283/2], [-183816, -87788, 130967/2], [2296308, 277032, -1069467/2], [-6072, -2024, 2116]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[-32, -4, 8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 3, 2], [1, 1, 2], [-3, 3, 2], [0, 0, 0]], [[816, 863, -539], [-905, -5167/2, 2487/2], [812, 870, -1073/2], [1, -1/2, -2]], [[-1297744, -325571/2, 305803], [4342747/2, 273610, -512446], [-1297576, -162748, 305776], [-747/2, -57, 84]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 4, 5/2], [-4, -6, -9/2], [4, 4, 5/2], [0, 0, 0]], [[9092, 11265/2, -4114], [-20831/2, -8467, 5603], [9093, 5629, -8227/2], [3/2, -1, 1/2]], [[1033588, 236535/2, -485331/2], [-2515589/2, -279001/2, 295339], [1033571, 118209, -485393/2], [185/2, 79/2, -17/2]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -4, -2], [6, -10, -6], [0, 0, 0]], [[0, 0, 0], [260, 47/2, -165/2], [18, -39, -26], [-4, -3/2, -5/2]], [[0, 0, 0], [-160937, -26547, 34245], [10033, -9019, -16041/2], [4018, -500, -3011/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, 28, 26], [-4, 10, 4], [0, 0, 0]], [[0, 0, 0], [4663, -8301/2, 2901/2], [-3232, 6751, -2170], [-3, 1/2, 1/2]], [[0, 0, 0], [-6137395, -2232521/2, 3079899/2], [969227, 502359, -807291/2], [5496, 1413/2, -1320]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[-48, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13, 3, -10], [-11, -1, -4], [0, 0, 0]], [[0, 0, 0], [1447880, 323584, -383533], [1321025, 229615, -656041/2], [-1, -1, 1/2]], [[0, 0, 0], [46188209/2, 5855189/2, -5424981], [20683142, 5206569/2, -4860658], [-43/2, -3, 5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -5, 3], [16, 3, 3], [0, 0, 0]], [[0, 0, 0], [-14885, -30641/2, 12935/2], [-24141, -15602, 10377/2], [-2, 3/2, 0]], [[0, 0, 0], [1132281717/2, 73385307, -270302885/2], [832531889, 208860613/2, -197700310], [71307/2, 8037/2, -16283/2]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 15, 7], [0, 9, 1], [0, 0, 0]], [[0, 0, 0], [8, -39/2, 5/2], [-7, 19, -12], [-3, 3/2, -3/2]], [[0, 0, 0], [1362, -55/2, -777/2], [1522, 71, -975/2], [5306, 1239/2, -1280]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 38, 8], [8, 12, 2], [0, 0, 0]], [[0, 0, 0], [5966, -412, 21007], [2395, 2036, 11639/2], [-5, 2, -3/2]], [[0, 0, 0], [-405338064, -106143223/2, 185703013/2], [-180665811, -23446443, 41735878], [171371, 42815/2, -80195/2]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[160, 32, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 14, -12], [8, 8, -6], [0, 0, 0]], [[0, 0, 0], [2778, 2359, 466], [687, 1445, 1209/2], [5, -2, 5/2]], [[0, 0, 0], [-491898, -54744, 120865], [-185679, -20223, 95649/2], [-273, -819, 819/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -6, 6], [12, -40, 30], [0, 0, 0]], [[0, 0, 0], [325872, 40533, -76955], [11188, 1146, -4157], [12, -5, 2]], [[0, 0, 0], [-26666011006, -3324656521, 6273961108], [-869291233, -124363975, 390417881/2], [-831711, -85854, 417197/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[160, 32, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, -20, -16], [-8, -2, -4], [0, 0, 0]], [[0, 0, 0], [-10048, -91835, -74678], [83523, -69707, -46087/2], [-5, -2, -3/2]], [[0, 0, 0], [-3963202240, -359999768, 993562004], [2523682086, 333734094, -563890917], [-351654, -39474, 84237]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-36, 16, -10], [4, 10, 2], [0, 0, 0]], [[0, 0, 0], [327448, 487743, -189626], [-129329, -45235, -26663/2], [-5, 4, 5/2]], [[0, 0, 0], [5945689656, 715423990, -1377291024], [-1764995076, -230931714, 412045530], [-29796, -3354, 7332]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[-48, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -7/2, -5/2], [15, -35/2, -31/2], [-2, -7/2, -5/2], [0, 0, 0]], [[-22776, -15184, 10220], [27826, -11535, -2051], [-22772, -15181, 20435/2], [4, 3, -5/2]], [[1580782296, 181935856, -366446276], [-1241414576, -174008025, 296624535], [1580504908, 181903864, -366383067], [-277388, -31992, 63209]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 0], [0, 0, 0]], [[4, -13/2, -9/2], [19/2, 5, -25/2], [3, -5, -3], [1/2, -1, -1/2]], [[222, 37/2, -119/2], [-69331/2, -4426, 16379/2], [72, 6, -47/2], [625/2, 39, -75]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[-48, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-1, -7/2, -1/2], [3, -13, -4], [-2, 1/2, -1/2], [-2, 1/2, -1/2]], [[20120, 5037/2, -9395/2], [29177, 3701, -6718], [13668, 3509/2, -3226], [13668, 3509/2, -3226]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 0], [0, 0, 0]], [[6, -10, -12], [10, -7, 19], [2, 0, -11], [-2, 1, -2]], [[4047, 1349/2, -1633/2], [-66329/2, -8287/2, 7565], [1278, 213, -355/2], [11999/2, 1491/2, -2769/2]]], 0, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 10, 9], [10, -2, 1], [0, 0, 0]], [[0, 0, 0], [78649, -28364, -42171], [50497, 3483, -32595/2], [-4, 2, 5/2]], [[0, 0, 0], [-617382, -60405, 139534], [-536131, -49986, 238367/2], [25, 2, -11/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -2, 11], [-4, 10, -5], [0, 0, 0]], [[0, 0, 0], [146840, 43945/2, -27225/2], [-7582, 10268, -11185/2], [0, 1/2, -1]], [[0, 0, 0], [31476390, 3921048, -7407638], [-814248, -101400, 191604], [0, 0, 0]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, -53, -35], [-14, 22, 14], [0, 0, 0]], [[0, 0, 0], [-5966, 21165, -2407], [7025, -15567, 6309/2], [-5, -2, -5/2]], [[0, 0, 0], [2130317637, 278775912, -506997256], [249011389, 19355504, -107308977/2], [-4006244, -496672, 1883519/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 2, 1], [4, -2, 5], [0, 0, 0]], [[0, 0, 0], [111670, 27045/2, -52365/2], [-96263, -11194, 21882], [-5, 5/2, 3/2]], [[0, 0, 0], [205089981, 51063041/2, -96511721/2], [-176711304, -21914028, 83132613/2], [-6363, -1571/2, 1414]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[120, -8, -20]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -76, -37], [-22, -10, -5], [0, 0, 0]], [[0, 0, 0], [2887403, -1435278, -3213855/2], [3383019/2, -159441/2, -2426525/4], [13/2, -9/2, 1/4]], [[0, 0, 0], [1464255082, 115957858, -381582329], [1174676078, 132940382, -283564841], [3408, 432, -824]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, -46, -30], [-16, -4, -2], [0, 0, 0]], [[0, 0, 0], [8037, -28734, 11503/2], [4475/2, -18097/2, 11379/4], [-23/2, -13/2, -3/4]], [[0, 0, 0], [-20319882, 886432, 3476335], [-6719464, 336972, 1098750], [-66502, -8200, 15785]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[-32, -4, 8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 5/2, 1/2], [-10, 13/2, 3/2], [-5, 5/2, 1/2], [0, 0, 0]], [[-2520, -630, 735], [-4445, -1217, 2711/2], [-5033/2, -1259/2, 2937/4], [-7/2, -1/2, 3/4]], [[315, 105, -105], [555, 205, -199], [315, 105, -105], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[6, -17/2, -11/2], [7/2, -20, 0], [17/2, -21/2, -19/4], [2, -3/2, -3/4]], [[13524, 7105, -833], [-131241, -3850, 30136], [49637, 13083, -20335/2], [23422, 3969, -10731/2]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[-32, -4, 8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[2, 1, -1], [14, 11, 5], [-2, 1, 0], [2, -1, 0]], [[-147, 25/2, 53/2], [-1002, -515, 211/2], [161/2, 40, -133/4], [-161/2, -40, 133/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[7, -23/2, -19/2], [-21/2, -5/2, 15/2], [9/2, -17/2, -39/4], [0, -1, -5/4]], [[402, -1273, -804], [-7520, -375, 3937/2], [-871/2, -2747/2, -2211/4], [-871/2, -469/2, 67/4]]], 1, 24, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -6, -9], [0, 0, -1], [0, 0, 0]], [[0, 0, 0], [1077, 102, -515/2], [543/2, 53/2, -245/4], [-3/2, 7/2, -3/4]], [[0, 0, 0], [6652358, 828650, -3131101/2], [3368709/2, 419595/2, -1585555/4], [-243/2, -9/2, 95/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -2, 9], [0, -6, 11], [0, 0, 0]], [[0, 0, 0], [-65612, 38769/2, 50677], [-48379/2, 39163/2, 235003/4], [5/2, 0, -5/4]], [[0, 0, 0], [386010208, 48228910, -90875499], [16583467, 2335291, -7955401/2], [-18975, -2367, 8933/2]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 14, 10], [-14, 24, 10], [0, 0, 0]], [[0, 0, 0], [-1657, 2784, 1603], [-3507, 7134, 1415/2], [4, 4, 1/2]], [[0, 0, 0], [-1769678, -220045, 832749/2], [-3146339/2, -385173/2, 1475493/4], [-2471231/2, -307841/2, 1163167/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 4, 7], [-2, -2, 17], [0, 0, 0]], [[0, 0, 0], [-204168, -18660, 86413/2], [-116735/2, 42203/2, -7675/4], [-7/2, 3/2, 3/4]], [[0, 0, 0], [-979724406, -244172245/2, 461246329/2], [-235306993, -29530330, 55534922], [-12653, -3201/2, 5949/2]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[32, 0, -8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 4, 10], [-2, 8, 0], [0, 0, 0]], [[4, -9, 2], [-17215, 12725/2, 15645/2], [-4500, 778, 2356], [2, -5/2, 1/2]], [[-240, -90, 135/2], [31993017/2, 4194913/2, -3711851], [4630753, 598925, -2149235/2], [-2385/2, -165, 285]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, 0, -6], [-16, -10, -4], [0, 0, 0]], [[-3, 12, 7/2], [-47777/2, 8513, 28299/2], [-235095/11, 121799/11, 289049/22], [13/22, 43/22, 3/22]], [[-4590, -918, 1683], [21976216, 3952931, -4933810], [191003666/11, 33832702/11, -40576124/11], [-22644/11, -3825/11, 6426/11]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[32, 0, -8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 20, -5], [-6, 10, -5], [0, 0, 0]], [[-5, 7, 10], [307/2, -131/2, -15], [-8, -45, 45], [3/2, 1, 3/2]], [[2268, 2079, 2835/2], [1669883/2, 86150, -384497/2], [-131153, -25062, 80133/2], [31563/2, 4347/2, -6615/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [68, -8, -5], [62, -8, -1], [0, 0, 0]], [[8, -8, 2], [3009824, 660537, -920216], [30619312/11, 6663658/11, -10136107/11], [30/11, -15/11, 1/11]], [[895, -236, -503/2], [480946117/2, 442564200, 329235711/2], [287617211/11, 7851100080/11, 8329656737/22], [7739/22, -245/22, -1861/22]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -4, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [1, 0, 0], [0, 0, 0]], [[1, -1/2, -7/2], [-13/2, -37/4, -63/4], [1, -1/2, -7/2], [0, 1/4, -3/4]], [[-99, -453/2, 72], [-251226, -129163/4, 237185/4], [-99, -453/2, 72], [-1653/2, -651/4, 849/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -12, 0], [-2, 1, 3], [0, 0, 0]], [[-10, -17/2, 2], [17199/2, 23339/4, -16835/4], [-5306/11, 54399/22, -10302/11], [5/11, 23/44, -3/44]], [[-127680, -24072, 31560], [97767168, 20203146, -26520449], [33368455/11, 49735879/11, -27112037/11], [70536/11, 14364/11, -17484/11]]], 1, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -4, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [1, 0, 0], [0, 0, 0]], [[-2, 11/2, -7/2], [7, -21/4, 11/4], [-2, 11/2, -7/2], [-3/2, 7/4, -3/4]], [[2582, 2341/2, -482], [-164571/2, -44873/4, 76817/4], [2582, 2341/2, -482], [13478, 7505/4, -12669/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, -12, 14], [35, 3, 2], [0, 0, 0]], [[20, -21, -1/2], [-187115/2, 81767, -84659/2], [-1014443/11, 167338/11, -137063/22], [-25/22, 29/22, 1/22]], [[4905, 1319/2, -2323/2], [-63083137/2, -16415987/4, 30217559/4], [-466035458/11, -117132303/22, 220635311/22], [-2725/11, -1491/44, 2581/44]]], 1, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[304, 48, -72]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-52, 44, 28], [-8, 8, 2], [0, 0, 0]], [[0, 4, -1/2], [-201, 486, -141], [-81, 197, -117/2], [0, 4, -1/2]], [[-578, -85, 136], [1708, -1197, 62], [632, -490, 44], [-578, -85, 136]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, -14, 10], [-52, -10, 0], [0, 0, 0]], [[-51, 53, 1/2], [-2872154, -735260, 798251], [-51655429/11, -4964239/11, 16555591/22], [-51/11, 53/11, 1/22]], [[643347, 102690, -153608], [76655237233, 9415903575, -18004204505], [1314124192312/11, 163503391366/11, -310928795814/11], [643347/11, 102690/11, -153608/11]]], 0, 16384, [], [] >,
< [ 2, -4, -1, 1 ], [[120, -8, -20]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 50, 5], [20, 0, 0], [0, 0, 0]], [[0, 0, 0], [-94258, -15164, 41601/2], [-62610, -8034, 14457], [-2, -5, -5/2]], [[0, 0, 0], [2021886618, 166161270, -439612209], [1289703030, 185698128, -314255865], [79076, 68582, -44308]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-350, -358, -11], [-366, -10, -3], [0, 0, 0]], [[0, 0, 0], [173040519, 34537948, -40541281/2], [1307939234/11, 461202980/11, -342203883/11], [1/11, 82/11, 3/22]], [[0, 0, 0], [2963956452930, 440914070963, -1464805973889/2], [23879647903664/11, 1821635783884/11, -5142961281976/11], [742378/11, -161980/11, -144235/22]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[120, -8, -20]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, -26, 8], [-14, 8, 1], [0, 0, 0]], [[0, 0, 0], [-95886, 48829, -45475/2], [-6110, -40950, 22997], [0, 2, 3/2]], [[0, 0, 0], [582760116, 25552246, -116801995], [137373158, 43296994, -43566393], [-9306, -954, 2070]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, -8, 1], [2, 0, 1], [0, 0, 0]], [[0, 0, 0], [286, -80, -59/2], [3640/11, -4900/11, 70/11], [26/11, -35/11, 1/22]], [[0, 0, 0], [112199594, 11392592, -50787367/2], [662528160/11, -23576700/11, -121385670/11], [4732344/11, -168405/11, -1734081/22]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[-32, -4, 8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[-3, 7/2, -1/2], [7, 7/4, -19/4], [-3, 7/2, -1/2], [-3/2, 7/4, -1/4]], [[156, -39/2, -39/2], [-1285/2, -505/4, 669/4], [156, -39/2, -39/2], [78, -39/4, -39/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -6, 2], [22, -5, 2], [0, 0, 0]], [[-28, 14, 2], [1276, 197, -144], [-755735/11, -135816/11, 158837/11], [-14/11, 7/11, 1/11]], [[9835, 2485/2, -5035/2], [-616759, -363553/4, 557669/4], [365040471/11, 95942601/22, -168945435/22], [9835/22, 2485/44, -5035/44]]], 1, 36, [], [] >,
< [ 2, -4, -1, 1 ], [[-32, -4, 8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[2, -5/2, -3/2], [3/2, -55/4, -11/4], [2, -5/2, -3/2], [1, -5/4, -3/4]], [[1560, 177, -366], [-17569, -4663/2, 4172], [1560, 177, -366], [780, 177/2, -183]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -6, 2], [-30, 1, 0], [0, 0, 0]], [[-1, -21/2, -3/2], [48, 13/4, 1/4], [34305/11, 12863/22, -14741/22], [-1/22, -21/44, -3/44]], [[251, 57/2, -127/2], [-1989, -913/4, 1877/4], [-1427456/11, -353323/22, 673869/22], [251/22, 57/44, -127/44]]], 1, 36, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -4, -3], [-2, 6, -7], [0, 0, 0]], [[0, 0, 0], [-3357/2, -293, 681/2], [-414, -171, 56], [1/2, -1/2, -2]], [[0, 0, 0], [-8849975/2, -551035, 1041108], [-1224734, -153917, 288607], [-957/2, 19/2, 157/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -8, 0], [72, 4, -3], [0, 0, 0]], [[0, 0, 0], [50278, -32203/2, 3727/2], [-1943976/11, -2823782/11, 1448649/11], [-7/11, 7/22, 1/22]], [[0, 0, 0], [54929271/2, 2077881, -7031448], [-1841296876/11, -214638055/11, 457493766/11], [-6273/22, -1137/22, 1233/22]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[56, 8, -12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 8, 5], [6, -2, -25], [0, 0, 0]], [[0, 0, 0], [13528939/2, 1726165/2, -1586562], [-316008, -151886, 84189], [-1/2, 1, 5/2]], [[0, 0, 0], [-3722665095223/2, -231861081560, 438040473881], [100723134666, 12416700450, -23631609309], [-282061/2, -45123/2, 68107/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -10, -3], [-28, 0, -3], [0, 0, 0]], [[0, 0, 0], [42557/2, -3947, -827], [-9689272/11, -950010/11, 2190910/11], [-19/22, 37/22, -1/22]], [[0, 0, 0], [382889059, 47421464, -90198323], [-192011886750/11, -23920197740/11, 45185863852/11], [-17493/11, -2941/11, 3587/11]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[1152, 128, -256]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 56, 16], [64, 12, 20], [0, 0, 0]], [[0, 0, 0], [-964568, 1526913, 1267607], [-993440, 1818194, 1012167], [0, 5, -4]], [[0, 0, 0], [96739680, 13206590, -22275386], [240838584, 30600336, -56027286], [4116, 504, -966]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 18, 6], [16, -16, 8], [0, 0, 0]], [[0, 0, 0], [190, 99, 9], [234, 114, -64], [8, 1, -3]], [[0, 0, 0], [28784, 2019, -6707], [30656, 7978, -9181], [880, 205, -240]]], 0, 786432, [], [] >,
< [ 2, -4, -1, 1 ], [[1152, 128, -256]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 40, 0], [52, 16, 4], [0, 0, 0]], [[0, 0, 0], [-208364, 2063057, -806717], [2218244, -702438, -61585], [8, 1, 4]], [[0, 0, 0], [-20782383844, 3772511740, 2145385400], [-57873178260, -10430883490, 14958783156], [-285012, -59332, 72254]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32, -52, -20], [-36, 56, 52], [0, 0, 0]], [[0, 0, 0], [86268, -56722, -46836], [-31626, 97876, 69481], [-10, -4, 3]], [[0, 0, 0], [-8585632, -1014103, 1990887], [-5215056, -603868, 1219261], [1932, 253, -460]]], 0, 786432, [], [] >,
< [ 2, -4, -1, 1 ], [[112, 16, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 10, -4], [-30, 8, -2], [0, 0, 0]], [[0, 0, 0], [256062, 109403/2, -22145/2], [-323170, -237391, 75494], [4, -7/2, -1/2]], [[0, 0, 0], [-13221814905, -3746174445/2, 6514782045/2], [20250249448, 1633878193, -4457238056], [-98595, -66675/2, 62265/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, -14, -18], [24, -4, -4], [0, 0, 0]], [[0, 0, 0], [57669, 25711, -4236], [53476, 15591, -15068], [-1, 4, 0]], [[0, 0, 0], [533205528, 134424897/2, -250685607/2], [444605518, 57947576, -105691135], [6498, 3417/2, -3741/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[112, 16, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, -62, -6], [-32, -4, -4], [0, 0, 0]], [[0, 0, 0], [1333882, 427275/2, -592073/2], [930471, 123982, -210206], [3, 11/2, 3/2]], [[0, 0, 0], [88251544626, 11794067873, -21090309677], [61105254588, 7212647129, -14203594123], [359832, 105560, -108228]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -39, -5], [-20, -3, -3], [0, 0, 0]], [[0, 0, 0], [-356672, 172953/2, 236129/2], [-177105, -19021, 68987], [5, -9/2, -5/2]], [[0, 0, 0], [-17764129894, -2583110211, 4316327659], [-10635230676, -1098123341, 2399051399], [138204, 31812, -37884]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[-64, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9, 6, -15], [11, 12, -7], [0, 0, 0]], [[0, 0, 0], [52995/2, -36287/2, -14363], [26903, 2121/2, -10313/2], [5/2, 1, -3/2]], [[0, 0, 0], [17836051/2, 7696265, 2962531/2], [22754155, 5588713/2, -10821563/2], [4305/2, 967/2, -370]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13, -36, 5], [15, -30, 11], [0, 0, 0]], [[0, 0, 0], [-50516315/2, -16315209/2, 3831551], [3422963, -556245/2, -389979/2], [7/2, -2, 1/2]], [[0, 0, 0], [2325161165691/2, 398135990435/2, -243843453652], [-135142699183, -41083983805/2, 59061028495/2], [-221963/2, -16810, 47717/2]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[112, 16, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -6, 4], [-18, -4, 6], [0, 0, 0]], [[0, 0, 0], [3, 1, 0], [0, 1, 0], [1, 0, 0]], [[0, 0, 0], [324, -59, -43], [-1294, -192, 314], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -56, -30], [6, -4, 10], [0, 0, 0]], [[0, 0, 0], [7959439, 2250747/2, -3321019/2], [-2514035, -751517, 729435], [-2, 9/2, -1/2]], [[0, 0, 0], [-306741468, -38207308, 72187088], [102207610, 12743110, -24058360], [0, 0, 0]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[112, 16, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 0, 10], [8, 9, 1], [0, 0, 0]], [[0, 0, 0], [3, 1, 0], [0, 1, 0], [1, 0, 0]], [[0, 0, 0], [-236910, 49170, 21456], [-156140, -28342, 40182], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 28, 16], [-26, -8, -2], [0, 0, 0]], [[0, 0, 0], [23477, -22821/2, 4785/2], [7127, -135434, 55834], [-4, -5/2, 1/2]], [[0, 0, 0], [-64389790, 23429590, 1535060], [25855944, 268703076, -119324448], [13740, 3180, -3720]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[-64, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 9/2, 3/2], [44, 41/2, 13/2], [1, 9/2, 3/2], [0, 0, 0]], [[0, 0, 0], [-2, 0, 0], [-1, 0, 0], [1, 0, 0]], [[-13601, -3927/2, 5775/2], [-217808, -64189/2, 101223/2], [-13601, -3927/2, 5775/2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -26, -26], [-6, -4, -2], [0, 0, 0]], [[1, -2, 2], [-7425, 36139/2, -11643/2], [-2643, 4155, -1213], [0, 5/2, -1/2]], [[51414, 39369/2, -12705/2], [-48423203/2, -13630061/2, 11944279], [-111863136, -15277172, 27577311], [245025/2, 38709/2, -25707]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[-64, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [29, 15, 6], [-1, -4, 5], [0, 0, 0]], [[-5, -5/2, -1/2], [-46193, -3500, 12695], [2071, 269/2, 125/2], [-5, -5/2, -1/2]], [[-163828, -24941, 34965], [-1197462234, -143827259, 285745535], [56700978, 7122291, -12260665], [-163828, -24941, 34965]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 23, 47], [18, 5, 3], [0, 0, 0]], [[1, -3, 2], [472702, -473621/2, -854133/2], [352833, 3155, -131924], [-1, 5/2, -1/2]], [[113, 81/2, -31/2], [2205468605/2, 126038608, -531264537/2], [1337438364, 164902633, -315670588], [533/2, 41, -113/2]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[-40, -12, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 13/2, 5/2], [-23, 87/2, 65/2], [-2, 13/2, 5/2], [0, 0, 0]], [[-1332, 2425/2, -555/2], [-1851, -2975/2, 1893/2], [-1347, 2437/2, -279], [-5, 2, -1/2]], [[45477860, 6725560, -11140940], [130821216, 15508304, -30310829], [46167074, 6828046, -22602127/2], [229738, 34162, -106749/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-15, 3, -10], [-21, -5, 0], [0, 0, 0]], [[10, -18, -16], [25246, 143129, -143747], [95314, 19526, -66321], [-2, -1, -2]], [[2805, 825/2, -1265/2], [-171501075/2, -19932637/2, 20069710], [-126379373, -15523990, 59500053/2], [8195/2, 1045/2, -1925/2]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[-40, -12, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-21, 21, 26], [-5, -3, -2], [0, 0, 0]], [[2, 1/2, -3/2], [16513, 4620, -5366], [22492, 4327/2, -4970], [2, -3/2, 0]], [[-23166, -3357, 5121], [-215638582, -26909621, 50546403], [-276238448, -34423147, 65044908], [-15822, -2223, 3672]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 4, -4], [10, 2, 4], [0, 0, 0]], [[2, -7/2, -3/2], [136847/2, -5304, -11793/2], [-108477, -8821, 31729/2], [1/2, -1, 0]], [[0, 0, 0], [228465, 28473, -53792], [-385785, -48045, 90820], [0, 0, 0]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, -5, 1], [-10, 0, -10], [0, 0, 0]], [[0, 0, 0], [179791, 18598, -29698], [101275, -28384, 37883/2], [-2, 2, -5/2]], [[0, 0, 0], [-296656856, -36596512, 69931878], [-150581460, -17756194, 35629023], [2666, 258, -645]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 0, 6], [18, 8, 10], [0, 0, 0]], [[0, 0, 0], [100190, 3831, -11984], [-3529883, -450157, 1717129/2], [5, 0, 5/2]], [[0, 0, 0], [864531760, 206837631/2, -407692083/2], [-30828861252, -3851184197, 14506793305/2], [48978, 9261/2, -11853]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 10, -6], [8, 13, 5], [0, 0, 0]], [[0, 0, 0], [-110195, 165436, -54102], [-10443, -29334, -3597/2], [0, 0, 3/2]], [[0, 0, 0], [270264126, 30897471, -62505189], [149908956, 18457300, -35563925], [-2048, -197, 492]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -20, -22], [14, -4, 2], [0, 0, 0]], [[0, 0, 0], [27279, 2761/2, -8163/2], [-1173908, -141951, 548571/2], [-1, -5/2, -2]], [[0, 0, 0], [-51939800, -6091556, 12266240], [2259767574, 281263968, -531738444], [5304, 156, -1482]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[256, 0, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48, 50, 46], [-20, 8, 20], [0, 0, 0]], [[0, 0, 0], [-63364, -15167, 14899], [-50776, -17550, 15677], [0, 1, 2]], [[0, 0, 0], [-25797196, -2985617, 5966974], [-21476637, -2094809, 9608425/2], [315, 130, -215/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, -18, -2], [-20, -12, 4], [0, 0, 0]], [[0, 0, 0], [-2484, 4508, -873], [-3031, 6099, -3631/2], [-7, -1, -5/2]], [[0, 0, 0], [6348566, -4108297, 560898], [7268997, -6318657, 2717023/2], [66787, 3760, -27037/2]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[-40, -12, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 1/2, -1/2], [-14, -3/2, 1/2], [1, 1/2, -1/2], [0, 0, 0]], [[0, 0, 0], [48, -11, -22], [2, -5, 3/2], [-2, 5, -3/2]], [[0, 0, 0], [556, 69, -131], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 14, -6], [4, -4, 2], [0, 0, 0]], [[10, -27/2, -23/2], [171/2, -49, -111/2], [-53, 17, 45/2], [5/2, -1, -2]], [[64635, 20989, -10008], [3252845, 906481/2, -1487543/2], [-2611360, -333770, 1208431/2], [102443, 30997/2, -23908]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[-40, -12, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [57, 10, 5], [5, -3, 0], [0, 0, 0]], [[3, -1/2, -3/2], [5354696, -1747049, -2380047], [218177, 55511/2, -22307/2], [2, -1/2, -1/2]], [[-6034, -1673/2, 2611/2], [-9858432823, -1558969709, 2183498701], [-573505732, -149897559/2, 141691877], [-4088, -1281/2, 973]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-53, 1, -8], [5, -3, -2], [0, 0, 0]], [[12, -39/2, -35/2], [1010735/2, -4120, -263015/2], [-24314, -7651, 2001], [-1/2, -1, -5/2]], [[-5230, -3607/2, 2525/2], [5176333427/2, 326957921, -1223694483/2], [-149836113, -19036310, 70620579/2], [-16231/2, -1533, 2074]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 0, 0], [-4, 5, -1], [0, 0, 0]], [[0, 0, 0], [3572, -162, -1153], [565, 140, -107/2], [-5, -5, -3/2]], [[0, 0, 0], [29637, 3768, -6871], [5732, 571, -1314], [-71, -7, 17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, -2, 10], [10, 8, -8], [0, 0, 0]], [[0, 0, 0], [-14247, -3995, 1275], [6745, -958, 2897/2], [0, 1, 3/2]], [[0, 0, 0], [23867202, 6167215/2, -11105879/2], [-9947020, -1309346, 4575183/2], [-1170, -429/2, 234]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-54, -11, 11], [8, 2, -10], [0, 0, 0]], [[0, 0, 0], [-6478981, -691325, 1563635], [772643, -49154, 144609/2], [4, 3, 3/2]], [[0, 0, 0], [36507287109, 4555457878, -8579093562], [-4391749293, -397728248, 2008808353/2], [-32994, -3102, 15933/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, -4, 16], [10, 0, -10], [0, 0, 0]], [[0, 0, 0], [6003, -365/2, -7269/2], [-2434, 830, 4843/2], [5, -5/2, -1]], [[0, 0, 0], [549533828, 59197015, -136655737], [-165678346, -11996536, 45347879], [386946, 40587, -92794]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[256, 0, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 54, -6], [-20, 20, -4], [0, 0, 0]], [[0, 0, 0], [-57766, 78492, 60282], [102, 4472, 2091], [4, -2, -1]], [[0, 0, 0], [253364, 109209, -83142], [-117577, 27439, 20345/2], [-49, -168, 161/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -2, -12], [-8, 12, -10], [0, 0, 0]], [[0, 0, 0], [-152492, -20554, 36031], [160057, 17331, -73691/2], [-3, 1, -1/2]], [[0, 0, 0], [-1560442, -195895, 371591], [1622788, 192304, -375643], [-34, 11, 6]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[-40, -12, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, 25/2, 23/2], [-86, 169/2, 141/2], [-7, 25/2, 23/2], [0, 0, 0]], [[965216, -503750, 95418], [-16347196, -1085193, 3769771], [965212, -503748, 95418], [4, -2, 0]], [[2660228544, 292445568, -679807680], [-55988408688, -7424499870, 12957417555], [2660217944, 292443973, -1359610449/2], [10600, 1595, -4911/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -10, 4], [-6, 0, 0], [0, 0, 0]], [[2, -7/2, -3/2], [965/2, 88, 1/2], [-230, -76, 37/2], [1/2, -1, 0]], [[0, 0, 0], [5493, 683, -1294], [-2743, -341, 646], [0, 0, 0]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[-40, -12, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [37, 7, -2], [-1, -5, 0], [0, 0, 0]], [[6, -1/2, -5/2], [33574, 10278, -8577], [-3411, 1729/2, -326], [4, -1/2, -1]], [[-1650, -553/2, 683/2], [-11948101, -1315443, 2829701], [1002624, 265789/2, -266888], [-1134, -349/2, 258]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, -8, 1], [3, 2, 5], [0, 0, 0]], [[9, -29/2, -31/2], [-1805721/2, -132653/2, 214963], [432063, 48899, -276111/2], [-3/2, 1/2, -5/2]], [[2714816, 829304, -425696], [2106711819000, 262238970045, -496181767865], [-1009392874410, -124495358135, 237832272995], [4274028, 627500, -992454]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, 0, -10], [4, 1, -3], [0, 0, 0]], [[0, 0, 0], [367801, 39193, -125787], [-36091, -5222, 8029/2], [4, 5, -5/2]], [[0, 0, 0], [-973799974, -172792976, 199227936], [109044012, 7721746, -29073504], [-16592, -1428, 4080]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-58, -16, -2], [-8, 6, -6], [0, 0, 0]], [[0, 0, 0], [-2070580, 522527/2, 1957107/2], [-192893, -67597, 243963], [-5, 1/2, 5/2]], [[0, 0, 0], [12661015592, 3266326051/2, -5931431055/2], [1238512604, 182826114, -588206551/2], [30796, 7987/2, -7219]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 6, -4], [-10, -2, 6], [0, 0, 0]], [[0, 0, 0], [2645, -102, -310], [-3839, -720, 793/2], [2, -3, -1/2]], [[0, 0, 0], [-4383641, -541245, 1030371], [7091471, 876870, -3339669/2], [-828, -99, 369/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, -8, -14], [-6, 10, 10], [0, 0, 0]], [[0, 0, 0], [-36023, -1816, 10774], [-55, -1694, -5871/2], [0, -2, 5/2]], [[0, 0, 0], [4190568405, 1041560865/2, -1973629297/2], [181736757, 24082049, -42181683], [47540, 9983/2, -22663/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -4, 4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 5/2, 5/2], [-21, 103/2, 73/2], [4, 5/2, 5/2], [0, 0, 0]], [[-15319, -5473/2, 7735/2], [-30044, -10935/2, 13281/2], [-15316, -5473/2, 3868], [-3, 0, -1/2]], [[-53634393, -8152436, 13154222], [-106079988, -15465954, 49393531/2], [-107246687/2, -16305257/2, 52613577/4], [-22099/2, 385/2, 3311/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[6, -10, -9], [1, -21, -49/2], [5/2, -11/2, -39/4], [-1/2, -1/2, -5/4]], [[1118, 507/2, 117/2], [51027/2, 2206, -4577], [8255/2, -143/2, -1469/4], [1833, 195/2, -1313/4]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[-16, -4, 4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[5, 15/2, -1/2], [0, 19, 45/2], [-13/2, 2, -3/4], [13/2, -2, 3/4]], [[29714, 5370, -7876], [53654, -1911, -10407], [-21480, -358, 4117], [21480, 358, -4117]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-4, 9/2, 9/2], [23/2, 4, -1/2], [-5, 2, 11/2], [-3/2, 0, 1]], [[-903, -189/2, -21/2], [28281/2, 3737/2, -6997/2], [-6447/2, 483/2, 1113/4], [-1407, -42, 987/4]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[32, 0, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -10, -11], [8, -1, -4], [0, 0, 0]], [[0, 0, 0], [41, -2, 5/2], [7/2, 5/2, 3/4], [9/2, -1/2, 5/4]], [[0, 0, 0], [57236, 14913, -33273/2], [14147/2, 2261/2, -6917/4], [12395/2, 4355/2, -8107/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, 32, 34], [-14, 20, 18], [0, 0, 0]], [[0, 0, 0], [13054, -44693/2, -9355], [11541/2, -21129/2, -22513/4], [-11/2, -1, -1/4]], [[0, 0, 0], [1144849446, 183004782, -286909275], [-1128022028, -129219738, 260516814], [-15082200, -1886850, 3552885]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[32, 0, -8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 3, -10], [-4, 12, -1], [0, 0, 0]], [[0, 0, 0], [30165, -51769, -52023/2], [-13069/2, 14191/2, 59099/4], [13/2, 15/2, 5/4]], [[0, 0, 0], [9561260, 4805155, -7606477/2], [46144667/2, 11254297/2, -26403285/4], [6330911/2, 788083/2, -2979371/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38, -62, -39], [-16, 22, 23], [0, 0, 0]], [[0, 0, 0], [-16317, 41727, -28325/2], [-29473/2, 72387/2, -52429/4], [-3/2, -3/2, -3/4]], [[0, 0, 0], [-61651, -48155/2, 21514], [453555/2, 27257/2, -188531/4], [1817/2, 113, -855/4]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[304, 48, -72]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 16, -15], [10, -14, 3], [0, 0, 0]], [[0, 0, 0], [19274, -3592, -6694], [3258, 160, -1767], [-8, -4, -1]], [[0, 0, 0], [-61898051, -2410676, 32175397/2], [-21851633/2, -3071433/2, 14129311/4], [71285/2, 12643/2, -23403/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-54, 68, 71], [30, 26, 5], [0, 0, 0]], [[0, 0, 0], [302794, -819713, 312707], [87495, 26339, -45747/2], [5, 4, -1/2]], [[0, 0, 0], [9979923, -28301990, 20836889/2], [13830691/2, 2548199/2, -7064349/4], [957/2, 239/2, -479/4]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 0, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -10, 10], [-14, 8, -6], [0, 0, 0]], [[0, 0, 0], [12110, 2493/2, 1367/2], [12858, 1444, -7412], [-1, 1/2, 5/2]], [[0, 0, 0], [942583265/2, 118378409/2, -111064315], [436756654, 53838026, -102616170], [-15687/2, -714, 3549/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -10, -6], [138, 8, 2], [0, 0, 0]], [[0, 0, 0], [-608045/2, 64207, -32967/2], [45415740/11, -20773828/11, 1909198/11], [-1/22, 17/22, 2/11]], [[0, 0, 0], [-2316240378, -405569016, 599931684], [298090840022/11, 59957969232/11, -80039380750/11], [34794/11, 1314/11, -7506/11]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 0, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -8, 10], [-6, -8, 10], [0, 0, 0]], [[0, 0, 0], [-18630, -11949, 5841], [-44748, -14276, 11904], [-2, 1, 1]], [[0, 0, 0], [7/2, 0, -1/2], [4, 1, -1], [9/2, 1/2, -1]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -8, 2], [-320, 10, -10], [0, 0, 0]], [[0, 0, 0], [22828, -396, 24], [57527386/11, 11240260/11, -12564546/11], [-38/11, -14/11, -2/11]], [[0, 0, 0], [832990531/2, -37901133, -126499807/2], [1008808363240/11, 138473671745/11, -245281860973/11], [-1588005/22, -30915/22, 164430/11]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[-40, -12, 12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -8, 8], [15, 3, 4], [0, 0, 0]], [[-8, -2, 2], [-14616, 347, 791], [124192, 14578, -31858], [-4, -1, 1]], [[2023, 1097/2, -1181/2], [4157765, -4167659/4, -981663/4], [-30907577, -9271783/2, 15453619/2], [2023/2, 1097/4, -1181/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 6, 10], [-36, 0, 4], [0, 0, 0]], [[-47, 18, 1], [-159701/2, -20187/2, -25291], [5036976/11, 253941/11, -929859/11], [-47/22, 9/11, 1/22]], [[-174345, -101777/2, 103657/2], [-781909414, 1875975829/4, 2189097221/4], [24576353811/11, 4522078299/22, -13519226859/22], [-174345/22, -101777/44, 103657/44]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[-40, -12, 12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -4, 0], [30, -1, 5], [0, 0, 0]], [[8, 3/2, -1/2], [3821/2, 13393/4, 11891/4], [79708, -151427/2, -119551/2], [4, 3/4, -1/4]], [[-431, -175/2, 231/2], [-197408, -312955/4, 273029/4], [-1558566, -733415/2, 916781/2], [-431/2, -175/4, 231/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -8, -4], [-328, -4, -4], [0, 0, 0]], [[-100, 45/2, -3/2], [11840245/2, 470989/4, 12299/4], [1703355617/11, -904453337/22, -58101627/22], [-50/11, 45/44, -3/44]], [[-51867756, -15816798, 15729804], [3531999594612, 841879059015, -950169130146], [859542517120021/11, 259121454674523/11, -263082679501964/11], [-25933878/11, -7908399/11, 7864902/11]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[256, 0, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 50, 50], [-16, 30, 10], [0, 0, 0]], [[0, 0, 0], [-3, 1, 1], [0, 2, 0], [1, 0, 0]], [[0, 0, 0], [60092, 6820, -14578], [1520, -76, -456], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-36, -102, -40], [-44, -30, -10], [0, 0, 0]], [[0, 0, 0], [9211, 11815, -7101], [155664/11, -137386/11, 30832/11], [21/11, 72/11, 4/11]], [[0, 0, 0], [-1662374884, -74928856, 329631300], [-11237296876/11, -3348310882/11, 3483770874/11], [-7277060/11, 4130/11, 1850240/11]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[256, 0, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -38, -2], [-20, -18, -2], [0, 0, 0]], [[0, 0, 0], [-3, 1, 1], [0, 2, 0], [1, 0, 0]], [[0, 0, 0], [35452, -2016, -1450], [66992, 10600, -13568], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [52, -6, -10], [60, 2, -6], [0, 0, 0]], [[0, 0, 0], [-16186, 9571, -805], [-218436/11, 116148/11, -16376/11], [-8/11, -29/11, -1/11]], [[0, 0, 0], [70660627, 13607303, -18396167], [1004489732/11, 179593258/11, -265298368/11], [143325/11, -300/11, -38700/11]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[-88, -20, 20]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, -3/2, 1/2], [75, -1/2, -11/2], [-8, -3/2, 1/2], [0, 0, 0]], [[0, 0, 0], [14, 0, 0], [-1, 0, 0], [1, 0, 0]], [[9000, 2375, -2725], [-73208, -29864, 26440], [9000, 2375, -2725], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-31, -29, 10], [1, -7, 0], [0, 0, 0]], [[-4, 27/2, 9/2], [-8733/2, 901/2, 2325], [-478, 379, 562], [11/2, 5/2, 2]], [[39447, -18019/2, -10227/2], [-74774819/2, -2803804, 15375023/2], [-1923604, 244053, 127870], [139769/2, 14610, -39447/2]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[-88, -20, 20]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-135, -16, 7], [-3, -5, 2], [0, 0, 0]], [[-4, -1/2, -3/2], [-10615070, -5167545, 1298623], [-447495, 13599/2, -1089/2], [-4, -1/2, -3/2]], [[-182776, -43014, 53868], [-535078011411, -55533495364, 123752538431], [-18031635509, -3467238180, 4836459723], [-182776, -43014, 53868]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [55, 37, 2], [3, 11, 4], [0, 0, 0]], [[-3, 7, -1], [182, -591/2, -603/2], [67, -117, -87], [1, -5/2, 3/2]], [[-804, 465/2, 171/2], [447201/2, 42759/2, -60333], [69262, 5350, -18213], [-2751/2, -633/2, 402]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[176, 0, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-244, -26, -14], [-16, -5, -1], [0, 0, 0]], [[0, 0, 0], [7, 1, 0], [0, 1, 0], [1, 0, 0]], [[0, 0, 0], [57087002, 306122, -9722284], [3997086, 248637, -764001], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-230, -28, -34], [-26, -6, -8], [0, 0, 0]], [[0, 0, 0], [5898027817, -276479627/2, -878108181/2], [712806309, -16748368, -22336556], [-4, -7/2, 3/2]], [[0, 0, 0], [137891450020686, 26448799851435, -34410195302683], [16710489020010, 3466394879028, -4175683088516], [-134070, -8075, 25365]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[176, 0, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [82, 13, -9], [-20, 2, -2], [0, 0, 0]], [[0, 0, 0], [7, 1, 0], [0, 1, 0], [1, 0, 0]], [[0, 0, 0], [-6583774, -753994, 1442048], [1526870, 69810, -274944], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-96, -32, 12], [14, -10, 4], [0, 0, 0]], [[0, 0, 0], [2504857, -634636, -1117435], [-317992, 256947, 59356], [3, 5, 1]], [[0, 0, 0], [102178538, 26288293/2, -47521867/2], [-8934075, -2911158, 2814843], [293, 53/2, -133/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[-48, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -17/2, -9/2], [11, -47/2, -21/2], [4, -17/2, -9/2], [0, 0, 0]], [[10400, -400, -4000], [24663, -123, -20231/2], [20761/2, -821/2, -16009/4], [-13/2, -7/2, -3/4]], [[75989550, 9930025, -18082225], [181933978, 24580166, -43636380], [75785205, 9906364, -18034903], [-68115, -7887, 15774]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, -17, 4], [9, -13, 0], [0, 0, 0]], [[2, -9/2, 1/2], [-59917/2, 12538, 9057], [-5029/2, 27693/2, 9087/4], [1, -5/2, 3/4]], [[0, 0, 0], [246714, 30708, -58082], [-50400, -6300, 11844], [0, 0, 0]]], 1, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[-48, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 33, 25], [6, 2, -4], [0, 0, 0]], [[2, -7/2, -3/2], [-225682, -31765, 46044], [-270405, -83805/2, 67632], [0, 1/2, -1]], [[1552, 433/2, -725/2], [-17746049332, -2210637654, 8352860501/2], [-42378838827/2, -2639489928, 19946867865/4], [2131/2, 124, -973/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38, -1, 7], [4, -11, -1], [0, 0, 0]], [[5, -6, -5], [-14355932, -5076063/2, 6874031/2], [527354, 5477, -4345/2], [2, -1/2, -1]], [[-3283, -749/2, 1295/2], [91536773141/2, 10583235393/2, -21201318427/2], [-3168312413/2, -657942327/2, 1722395939/4], [-4788, -511, 4305/4]]], 1, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, -22, 8], [-8, 1, -3], [0, 0, 0]], [[0, 0, 0], [5573172, 83706, -1672711/2], [-3997221/2, -592485/2, 1112843/4], [-5/2, -3/2, -3/4]], [[0, 0, 0], [-80140167222, -11374830165, 39011378297/2], [61550951785/2, 8154442935/2, -29589896911/4], [99845/2, 13965/2, -50065/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -12, 10], [10, -10, 0], [0, 0, 0]], [[0, 0, 0], [1581, -4893/2, -643/2], [-1287, -412, 914], [-4, -1/2, 1/2]], [[0, 0, 0], [-4676961, -2180465/2, 1169431], [35015689/2, 4148825/2, -16022873/4], [112803/2, 7068, -53409/4]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -1, 7], [8, -10, 8], [0, 0, 0]], [[0, 0, 0], [-21772, -1886, 10407/2], [-71427/2, -6677/2, 32985/4], [13/2, -1/2, 3/4]], [[0, 0, 0], [65112776, 8464534, -15168774], [107513176, 13704616, -25212293], [-20140, -1590, 5565]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -16, 8], [0, -8, 2], [0, 0, 0]], [[0, 0, 0], [9545, -2495/2, -1477], [-13073/2, -2783/2, 7613/4], [9/2, 1, 5/4]], [[0, 0, 0], [8279673, 1934563/2, -1944604], [-12946037/2, -1617699/2, 6138801/4], [9801/2, 792, -4059/4]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[160, 32, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, -6, 2], [-20, -4, 8], [0, 0, 0]], [[0, 0, 0], [62339, 10578, -21443/2], [110149/2, 33137/2, -81435/4], [-17/2, 13/2, 3/4]], [[0, 0, 0], [-9412547965, -1191714844, 4410495709/2], [-16954284083/2, -2081384479/2, 7999733509/4], [1537935/2, 180445/2, -742165/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, 48, 22], [-4, 20, 2], [0, 0, 0]], [[0, 0, 0], [18493, -22286, -24787/2], [-4487/2, -18871/2, -2095/4], [-9/2, 5/2, -1/4]], [[0, 0, 0], [-31324, 57938, 41444], [-16328, 14524, 12954], [0, 0, 0]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[-48, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, 25/2, 19/2], [-54, 169/2, 117/2], [-9, 25/2, 19/2], [0, 0, 0]], [[-186, 87, 249], [872, -3395, 2933], [-189, 81, 248], [3, 6, 1]], [[-57813429, -7149771, 13583982], [-49663786, -4368170, 21827427/2], [-123401697/2, -15267065/2, 57994551/4], [7774839/2, 967523/2, -3658623/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, -5, 6], [1, 3, 0], [0, 0, 0]], [[-8, 27/2, 21/2], [244131/2, 41618, -30793], [106541/2, 14413/2, -40639/4], [0, 3/2, 5/4]], [[39339, 5921, -7440], [7955635535, 2053334929/2, -3772199043/2], [3217341386, 396951446, -1510278875/2], [58249, 13361/2, -13175]]], 1, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[-48, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 13, 11], [2, 4, 4], [0, 0, 0]], [[5, 3/2, -5/2], [155, 24, -83/2], [273/2, 35, -159/4], [9/2, -2, -1/4]], [[93216, 13344, -21936], [2864155, 363303, -674478], [2627539, 336735, -622434], [64248, 7032, -14484]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, -6, 5], [3, -2, -1], [0, 0, 0]], [[3, -7/2, -3/2], [-637/2, 133/2, 83/2], [-327/2, -35/2, 125/4], [2, -1, -1/4]], [[210, 30, -45], [-58518, -7157, 27371/2], [-69333/2, -8575/2, 32641/4], [615/2, 75/2, -285/4]]], 1, 96, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -4, 0], [-6, -4, 0], [0, 0, 0]], [[0, 0, 0], [-413, -167, 305/2], [909/2, 87/2, -447/4], [-9/2, -1/2, -5/4]], [[0, 0, 0], [15014, 495, -5811/2], [-28429/2, -3745/2, 13271/4], [315/2, 63/2, -231/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -2, 0], [10, -8, 4], [0, 0, 0]], [[0, 0, 0], [38663, 3106, -17723/2], [169503/2, 28675/2, -48233/4], [-3/2, -5/2, 5/4]], [[0, 0, 0], [-8247373, -2091175/2, 1928254], [-38932769/2, -4015765/2, 19192609/4], [1041/2, 66, -507/4]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 3, -3], [-4, 4, -6], [0, 0, 0]], [[0, 0, 0], [-980, -114, 445/2], [-2155/2, -197/2, 949/4], [-7/2, 3/2, 3/4]], [[0, 0, 0], [-10261544, -1280618, 2414740], [-11167746, -1394554, 2629398], [-27480, -3320, 6620]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 0, 8], [10, -2, 10], [0, 0, 0]], [[0, 0, 0], [-37442, -6029/2, 15127], [-106587/2, -11827/2, 82883/4], [-11/2, -2, -5/4]], [[0, 0, 0], [637548230, 80610964, -152038464], [924194342, 117191050, -220182041], [120590, 14782, -27619]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[160, 32, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 26, 40], [8, -4, 10], [0, 0, 0]], [[0, 0, 0], [-47255, 68563, 97825/2], [-32167/2, 29465/2, 42901/4], [-1/2, -13/2, -5/4]], [[0, 0, 0], [-14424093, -8044646, -242009/2], [-57713855/2, -9646935/2, 24256585/4], [-33925/2, -3575/2, 16875/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, -10, 20], [0, -4, 6], [0, 0, 0]], [[0, 0, 0], [-98775, -13454, 42217/2], [-3161/2, -1145/2, -2153/4], [5/2, -13/2, -3/4]], [[0, 0, 0], [-123126768, -15338572, 28983958], [-2414538, -301498, 571327], [-902, -86, 209]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[176, 0, -48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [248, -398, -306], [94, -144, -118], [0, 0, 0]], [[0, 0, 0], [-277337/2, -78525/2, 21110], [6624, -7750, -5746], [3/2, 2, 5/2]], [[0, 0, 0], [539284691, 67111283, -126907706], [-6003486, -797844, 1426566], [-10527, -1452, 2541]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-146, 100, 14], [-338, -10, 0], [0, 0, 0]], [[0, 0, 0], [200294032, 156291067/2, -141354977/2], [8389220016/11, 1741622690/11, -2251532342/11], [-81/11, -7/22, -1/22]], [[0, 0, 0], [-3909709246504893/2, -609454354637841/2, 482651893017134], [-77612744032047370/11, -10301728463295306/11, 18620936258172348/11], [1583170173/22, 935874/11, -430856181/22]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[176, 0, -48]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [162, -258, -164], [54, -92, -50], [0, 0, 0]], [[0, 0, 0], [11784, -43635/2, -667/2], [4988, -11642, 1606], [-7, 5/2, -5/2]], [[0, 0, 0], [651762883/2, 78977893/2, -76332313], [-30438984, -4448895, 7407709], [-2880821/2, -179083, 677599/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-108, 90, 6], [-262, 0, -10], [0, 0, 0]], [[0, 0, 0], [146065535/2, -916371623/2, 184325361], [-2276137608/11, -6392289845/11, 3089896523/11], [-123/22, -5/11, -3/22]], [[0, 0, 0], [-133070772274670, -109060709857387, 69421820419819], [-651967052218850, -184753498207912, 200821629437762], [-10281686, -53533, 2788741]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[-88, -20, 20]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -40, -18], [-34, 4, -2], [0, 0, 0]], [[12, 9/2, 5/2], [66483/2, 358175/4, 153733/4], [78578, 24767/2, -10105/2], [6, 9/4, 5/4]], [[530714, 129384, -113810], [2933016371, 847361125, -419084774], [3114217013, 553366175, -719628690], [265357, 64692, -56905]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-396, 508, 24], [637, 4, -1], [0, 0, 0]], [[91, -62, -1], [-17262195/2, -91161213/2, 19736961], [1100148061/11, 367324930/11, -367018491/11], [91/22, -31/11, -1/22]], [[-310250253, -140793153/2, 141068693/2], [141064802997720, 19867569395845/4, -118872139957991/4], [-6313856556950457/11, -1483934103799677/22, 2904868998283137/22], [-310250253/22, -140793153/44, 141068693/44]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[-88, -20, 20]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 24, 14], [19, -2, 3], [0, 0, 0]], [[-11, 1/2, 3/2], [218526, 826765/4, 196065/4], [500677, 19441/2, -107565/2], [-11/2, 1/4, 3/4]], [[-13803, -5819/2, 6575/2], [277122510, 1308533289/4, 382545621/4], [626566125, 355708597/2, -245903377/2], [-13803/2, -5819/4, 6575/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-334, 422, 20], [501, 0, 3], [0, 0, 0]], [[33, -55, 0], [-39210627/2, 13449158, 3451859/2], [49688372, 2998090, -7695230], [3/2, -5/2, 0]], [[-102935, -49305/2, 45153/2], [195833946655, 109441775429/4, -183439533587/4], [-8317463644665/11, -2065119386595/22, 3934105902147/22], [-102935/22, -49305/44, 45153/44]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[1664, 256, -384]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -48, -12], [-16, -4, 4], [0, 0, 0]], [[0, 0, 0], [2317, -4285, -32], [3836, 222, -834], [-3, 4, -3]], [[0, 0, 0], [-1812921, -73936, 554087], [-21967908, -2734112, 5174328], [10241, 1617, -2310]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-152, -140, 16], [-264, 24, 8], [0, 0, 0]], [[0, 0, 0], [10018719, -2960002, -4982575], [110794204/11, -13199650/11, -34868146/11], [-5/11, -25/11, -2/11]], [[0, 0, 0], [6624531249775, 752028898436, -1604359394187], [84985134357312/11, 10125077873316/11, -20155471370812/11], [-14850657/11, -2261849/11, 3435552/11]]], 0, 3145728, [], [] >,
< [ 2, -4, -1, 1 ], [[1152, 128, -256]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48, 14, 66], [20, -12, 20], [0, 0, 0]], [[0, 0, 0], [-13712578, -619495, 5067032], [8921593, 852983, -2628613/2], [3, 4, -1/2]], [[0, 0, 0], [-4967575800, -917142828, 1371846722], [3641235618, 195173234, -724541771], [1638, 806, -585]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-132, 38, 54], [-20, 0, 16], [0, 0, 0]], [[0, 0, 0], [78730, 32567, -13778], [16373, -5121, 6151/2], [3, 4, -5/2]], [[0, 0, 0], [-251321674, -14581910, 69136274], [-41998414, 550592, 12001619], [-11160, -2070, 2625]]], 0, 786432, [], [] >,
< [ 2, -4, -1, 1 ], [[-64, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 2, -2], [30, -25, -11], [4, 2, -2], [0, 0, 0]], [[-44975, 1919, 9254], [-177221, 17134, 97859], [-44978, 1919, 9251], [-1, 0, -1]], [[361768286, 88343451/2, -170734421/2], [1281589265, 274387067/2, -631323657/2], [361799174, 88353111/2, -85373749], [10296, 1610, -4359/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13, -4, -3], [1, -2, 1], [0, 0, 0]], [[11, -33/2, -27/2], [-1253/2, -231/2, 119], [10, -13, -14], [3/2, -3/2, -2]], [[-4725, -10073/2, -2919/2], [39736547/2, 4929881/2, -4682254], [-21245, -6580, 4809/2], [-20671/2, -3577/2, 4151/2]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[-64, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, -5, 4], [-1, 0, -3], [0, 0, 0]], [[2, -17/2, -9/2], [-19153, 756, 3799], [-10911, -7713/2, 4887/2], [-1, -3/2, -3/2]], [[107905, 46865/2, -40705/2], [681949183, 82710308, -160293092], [460958127, 119264229/2, -107999418], [75845, 23415/2, -16030]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [64, 6, -6], [-10, 0, -2], [0, 0, 0]], [[6, -13/2, -13/2], [4428107/2, -84404, -2559/2], [-378223, 143616, -162590], [5/2, 0, -3/2]], [[20865, 24393/2, 1455/2], [77412480913/2, 9218391753/2, -9454031523], [-6222409791, -683712864, 3255750987/2], [75519/2, 11469/2, -16167/2]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[112, 16, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-142, 2, -8], [0, -1, 3], [0, 0, 0]], [[0, 0, 0], [-85881584, -10387594, 19856813], [119755, -3930, -5677/2], [-3, -5, -5/2]], [[0, 0, 0], [5606930477429, 743726815501, -1338736759788], [-6484089132, -3884645171, 2829144303], [361805, 104384, -107435]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 34, 26], [-18, -10, 4], [0, 0, 0]], [[0, 0, 0], [1936446, -18879/2, -931305/2], [-2205520, -351878, 1124805/2], [2, 5/2, 0]], [[0, 0, 0], [13411356971, 1082279724, -2919459689], [-16057767666, -2383098529, 3943717694], [21515, 6305, -6435]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[112, 16, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38, -73, -43], [-56, 90, 58], [0, 0, 0]], [[0, 0, 0], [-8866, 23331, -10306], [8151, -22341, 21135/2], [1, -4, 3/2]], [[0, 0, 0], [-30403, -5348, 7778], [-5293, 886, 1283/2], [-338, -42, 159/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 4, 6], [-4, -4, 4], [0, 0, 0]], [[0, 0, 0], [-4941, -147/2, 3873/2], [1774, 24, -379/2], [5, 5/2, 1]], [[0, 0, 0], [56133790, 5228060, -12527714], [-20810358, -3802658, 5404068], [-76400, -13800, 19600]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[1152, 128, -256]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [60, 38, 6], [4, 16, -8], [0, 0, 0]], [[0, 0, 0], [-55978, -31454, 739], [-10787, 4145, 961/2], [11, 3, 3/2]], [[0, 0, 0], [82907694, 5586295, -21994482], [9632877, 1900391, -5019861/2], [-14881, -1294, 8411/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 74, 94], [20, 0, 16], [0, 0, 0]], [[0, 0, 0], [-30044098, -595376, 3762177], [-13010055, 205265, 3950161/2], [-1, 3, 3/2]], [[0, 0, 0], [10973267194, 1157166957, -2484344012], [4642883285, 489023047, -2106376125/2], [-261, -64, 127/2]]], 0, 786432, [], [] >,
< [ 2, -4, -1, 1 ], [[-64, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[28, 9/2, 5/2], [-61, 125/2, 123/2], [28, 9/2, 5/2], [0, 0, 0]], [[-1824752, -463920, 572168], [1015184, 193815, 70158], [-1824746, -463926, 1144333/2], [2, -2, -1/2]], [[-37629711000, -4754484120, 8851941540], [22220423664, 2465748483, -5363192922], [-37629656337, -4754475399, 17703860337/2], [18221, 2907, -7581/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, -11, -1], [12, 1, 5], [0, 0, 0]], [[-9, 17, 14], [-334523, -359391/2, 175203/2], [67677, 174653, -54820], [2, 3/2, 3/2]], [[-404320, -482923/2, -32851/2], [196167682759/2, 13007441157, -45854731687/2], [-33585577833, -4944946990, 15826744879/2], [-1470847/2, -112518, 157339]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[-64, -4, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [44, -20, -20], [-12, -1, 3], [0, 0, 0]], [[0, 9/2, 1/2], [-16531, 28286, -6078], [2050, -823/2, -252], [2, -3/2, 1]], [[408690, 90000, -76410], [-919401683, -44052985, 231223986], [349122953, 42106328, -82388443], [287550, 44730, -60570]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-29, 6, -1], [13, 4, 3], [0, 0, 0]], [[-12, 18, 16], [-3677734, 366276, 631331], [2199271, -209409, -1070005/2], [-1, 1, 5/2]], [[5006, 6637/2, 785/2], [-2619880239493/2, -163139794365, 616562911733/2], [771533101049, 96072249732, -363172177067/2], [18729/2, 1463, -1983]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[112, 16, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [190, -82, -44], [16, -22, -26], [0, 0, 0]], [[0, 0, 0], [176513655, 21747567, -41471153], [-140735, -10509, 12101/2], [-4, -3, 5/2]], [[0, 0, 0], [-361675946118, -44908751584, 85049766747], [305072939, 10710066, -128554879/2], [9025, 3401, -6023/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -22, 8], [-6, 8, 6], [0, 0, 0]], [[0, 0, 0], [33010, -2332, -5039], [-2945, -355, 1281/2], [-1, 1, 3/2]], [[0, 0, 0], [6154381, 1345805/2, -2816723/2], [-590534, -72665, 277219/2], [-35, -29/2, 12]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[112, 16, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -7, 17], [-22, -6, -8], [0, 0, 0]], [[0, 0, 0], [472842, -694887, -563118], [-577607, 690525, 1150033/2], [-5, 4, -3/2]], [[0, 0, 0], [3942662601, -2684208483, -2198161913], [-14633016073, 1083029418, 9596708227/2], [-329594, -114399, 212965/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [50, -50, -56], [-4, 6, -2], [0, 0, 0]], [[0, 0, 0], [38340, 21157, 752], [-5407, -1011, 2909/2], [-5, -2, 5/2]], [[0, 0, 0], [239348522, 47537135/2, -116827223/2], [-26841700, -3987433, 13162337/2], [-24780, -13755/2, 7245]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[448, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-64, 16, 18], [20, -4, 10], [0, 0, 0]], [[0, 0, 0], [417295, -152608, -174107/2], [-336413/2, 267767/2, -382189/4], [5/2, 7/2, 1/4]], [[0, 0, 0], [2840001894, 406582004, -690011151], [-1073899827, -225241127, 585170221/2], [37011, 4199, -17121/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, -4, 22], [4, 12, -6], [0, 0, 0]], [[0, 0, 0], [14962, -23918, -18578], [300, -242, 272], [6, -2, 0]], [[0, 0, 0], [-4231495, -1140424, 1333771/2], [5484785/2, 704709/2, -2579671/4], [112775/2, 14125/2, -53125/4]]], 0, 98304, [], [] >,
< [ 2, -4, -1, 1 ], [[-24, -4, 4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 1, 4], [9, 39, 32], [-1, 1, 4], [0, 0, 0]], [[-74300, 27595/2, 10615/2], [-6413280, -1440395/2, 1447995], [-148603/2, 13794, 21231/4], [3/2, 7/2, -1/4]], [[-8484437, -2047175, 2449122], [-852659106, -110149929, 405395155/2], [-16969771/2, -4094281/2, 9796833/4], [897/2, -69/2, -345/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, 0, -13], [3, -4, -5], [0, 0, 0]], [[-1, 1/2, -1/2], [-3803/2, -479/2, 448], [2, 1, -1], [-3/2, 1/2, 0]], [[-13, -5/2, -1/2], [-62879/2, -7855/2, 14797/2], [73/2, 11/2, -43/4], [-21, -1, 15/4]]], 1, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[-24, -4, 4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [15, -5, -2], [-1, -5, -2], [0, 0, 0]], [[5, -1/2, -7/2], [651, -1596, 513], [122, -499/2, -83/2], [4, -5/2, -1/2]], [[23985, 5957/2, -11287/2], [78688, 15791, -42249/2], [-55959/2, -3109, 25191/4], [32607/2, 2038, -15363/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [45, -5, 2], [5, -9, -2], [0, 0, 0]], [[-2, 5/2, 11/2], [-4900475/2, -278557, 569415], [-37331/2, 1063/2, 2549/4], [1, -3/2, 5/4]], [[-81942, 17556, 18942], [428915148048, 53338075905, -100894648755], [3204094522, 370050132, -746348581], [-104664, -693, 20832]]], 1, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[144, 16, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, 8, -4], [0, 1, -1], [0, 0, 0]], [[0, 0, 0], [-218, -29, 131/2], [-55/2, -53/2, -39/4], [-15/2, -7/2, -5/4]], [[0, 0, 0], [6096372, 531277, -2769015/2], [2187391/2, 542717/2, -893513/4], [489335/2, 128371/2, -230051/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -2, -20], [0, 10, -6], [0, 0, 0]], [[0, 0, 0], [2728, -8755/2, -1046], [1937/2, -3445/2, 1315/4], [-11/2, 0, -1/4]], [[0, 0, 0], [-7029437, -822038, 3297909/2], [-7434653/2, -871597/2, 3459479/4], [178525/2, 22195/2, -83955/4]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[144, 16, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [48, 15, -11], [10, 6, -10], [0, 0, 0]], [[0, 0, 0], [10110051, 886790, -5052805/2], [3591421/2, 1033249/2, -531719/4], [-9/2, -9/2, -1/4]], [[0, 0, 0], [-3841308849, -320411032, 843141712], [-880968395, 213404658, 120920171/2], [1656, 2510, -2617/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 0, -4], [4, 10, 0], [0, 0, 0]], [[0, 0, 0], [7824, -45399/2, 10603], [24407/2, -51041/2, 23965/4], [-5/2, 2, -3/4]], [[0, 0, 0], [-9777394, 6794995/2, 175026], [44503547/2, 14812967/2, -28145111/4], [-54229/2, -3843, 26413/4]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[448, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 14, 18], [-4, 16, 0], [0, 0, 0]], [[0, 0, 0], [-155, -46, -19/2], [119/2, -193/2, 127/4], [21/2, 15/2, 5/4]], [[0, 0, 0], [-7329120, -875282, 1710220], [908572, -6216, -162900], [585676, 72436, -137774]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, -24, 10], [4, 8, -6], [0, 0, 0]], [[0, 0, 0], [-60689, -3528, 71615/2], [-30375/2, -10439/2, -15535/4], [-13/2, 13/2, 3/4]], [[0, 0, 0], [-5122882819, -643260740, 2421703585/2], [-3485349877/2, -431762549/2, 1633786691/4], [-618567/2, -72333/2, 288345/4]]], 0, 98304, [], [] >,
< [ 2, -4, -1, 1 ], [[-24, -4, 4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 9/2, -1/2], [-32, 47/2, 11/2], [-1, 9/2, -1/2], [0, 0, 0]], [[1719, 2247/2, 1557/2], [-53207, 4617/2, 21011], [3445/2, 1123, 3113/4], [-7/2, 1/2, 1/4]], [[1785393, -412179/2, -1093125/2], [-28861325, -13316001/2, 5677674], [3575091/2, -206036, -2188047/4], [-4305/2, -107/2, 1797/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32, 11, 3], [-6, 13, -5], [0, 0, 0]], [[9, -13, -9], [-3804284, -1779685/2, 653405], [211593/2, 6917/2, -15493/4], [5/2, -2, -5/4]], [[971, -259/2, -453/2], [-7852232605/2, -981144549/2, 921208890], [104101735, 8928478, -22638224], [2557/2, 97/2, -267]]], 1, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[-24, -4, 4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 6, -4], [2, 1, 1], [0, 0, 0]], [[0, -2, 1], [58, 8, -9/2], [-47/2, -29/2, 15/4], [-3/2, 5/2, -3/4]], [[-714, -193/2, 381/2], [59464, 8569, -26487/2], [-57303/2, -4532, 25081/4], [-1001/2, -23, 427/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 12, -8], [-4, 4, 2], [0, 0, 0]], [[-5, 17/2, 17/2], [130257/2, 4371/2, -27079/2], [14709/2, 1817/2, -5497/4], [1, 0, 5/4]], [[136922, -80057/2, -60879/2], [15862022019/2, 914521225, -1833655485], [1876446839/2, 221595957/2, -875682661/4], [170149, -9589/2, -127333/4]]], 1, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[144, 16, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-42, 18, 2], [-2, 5, 1], [0, 0, 0]], [[0, 0, 0], [-253502, -36274, 124515/2], [8271/2, 1525/2, -981/4], [-9/2, -3/2, -3/4]], [[0, 0, 0], [68530468, 7976820, -15897579], [-1150603, -218463, 581745/2], [1359, 339, -721/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, -36, -12], [2, -2, 8], [0, 0, 0]], [[0, 0, 0], [-36318, 103367/2, -5524], [-207597/2, 31981/2, 35849/4], [11/2, 2, 5/4]], [[0, 0, 0], [378962579, -12768842, -130481893/2], [5112279073/2, 556644385/2, -2335726427/4], [-363285/2, -41607/2, 165807/4]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[144, 16, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -5, 3], [-6, -6, 0], [0, 0, 0]], [[0, 0, 0], [-2476, 565, 187], [-3264, -312, 534], [-4, -1, -1]], [[0, 0, 0], [-18652998, -4302055, 10452147/2], [-58326687/2, -8693305/2, 28394889/4], [-80203/2, -19043/2, 42395/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 10, 14], [4, -6, 0], [0, 0, 0]], [[0, 0, 0], [-10864, -11061/2, 959], [3325/2, -831/2, 1159/4], [-7/2, 0, -1/4]], [[0, 0, 0], [121302906, 13262698, -28135534], [-13157150, -3715780, 4029106], [31372, 6532, -8602]]], 0, 1536, [], [] >,
< [ 2, -4, -1, 1 ], [[-40, -12, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-23, -11/2, -1/2], [-24, -115/2, -71/2], [-23, -11/2, -1/2], [0, 0, 0]], [[107754, -246720, 87910], [256859, -599739, 459287/2], [215585/2, -493405/2, 351647/4], [11/2, 5/2, 1/4]], [[15298458, -234588725/2, 93903187/2], [45065434, -586088651/2, 113895332], [30352203/2, -117313777, 187919249/4], [-34959/2, -5547/2, 16125/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 9, 5], [-10, 19, 13], [0, 0, 0]], [[0, -1/2, 5/2], [54797/2, -13472, 819], [-9951/2, -5753/2, 9207/4], [1, -3/2, 3/4]], [[-414, 23/2, 253/2], [-50568193/2, -3113204, 5936325], [13839409/2, 1742399/2, -6513251/4], [-552, -115/2, 529/4]]], 1, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[-40, -12, 12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, 8, 5], [1, 3, 2], [0, 0, 0]], [[-2, 2, 3], [10161, -1868, -1731/2], [4863/2, -837/2, -785/4], [-3/2, 5/2, 1/4]], [[-851, -319/2, 329/2], [20393856, 2553447, -9616455/2], [9831895/2, 615067, -4636871/4], [-1175/2, -99, 527/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [13, 27, 14], [-5, 23, 12], [0, 0, 0]], [[-6, 12, 7], [1945087, 527955, -1025097/2], [1273123/2, -50373/2, -219569/4], [1/2, 5/2, 1/4]], [[57785, 50245/2, -12155/2], [234941666531/2, 30166967981/2, -55491093393/2], [69406205961/2, 8276371111/2, -32075957131/4], [96200, 15600, -88985/4]]], 1, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-46, 90, 52], [-18, 30, 28], [0, 0, 0]], [[0, 0, 0], [-475705, 163871, 67197/2], [-159079/2, -216333/2, 273545/4], [-1/2, 7/2, 3/4]], [[0, 0, 0], [9775886890, 1261566708, -4629006689/2], [5786222427/2, 685306819/2, -2684292205/4], [-66717/2, -6531/2, 32361/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 44, 34], [-10, -4, 10], [0, 0, 0]], [[0, 0, 0], [-78692, 67033/2, 41145/2], [35187, 55081, -27233], [1, -1/2, -1/2]], [[0, 0, 0], [-69480006, -15096677/2, 16189840], [128925775/2, 19534417/2, -63486295/4], [1559/2, 86, -747/4]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 11, -9], [-10, 8, -10], [0, 0, 0]], [[0, 0, 0], [62932, -1113, -37265/2], [68589/2, -9825/2, -48947/4], [-11/2, 5/2, -1/4]], [[0, 0, 0], [-2086418, -809455, 184487], [-867264, -690336, -119808], [192, 0, -48]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 10, -4], [0, 6, 2], [0, 0, 0]], [[0, 0, 0], [-3543, -2447/2, 1209], [-1783/2, -409/2, 1331/4], [7/2, -2, 3/4]], [[0, 0, 0], [-17590557, -2273357, 8248479/2], [-8242729/2, -1247717/2, 3661807/4], [25821/2, 1661/2, -13439/4]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[10, 2, -3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 5, -1], [-2, 17, -6], [2, 5, -1], [0, 0, 0]], [[-35960, -5031/2, 9586], [-79973/2, -3979, 20289/2], [-71927/2, -5035/2, 38343/4], [2, -1/2, 1/4]], [[148496335, 19635842, -68623999/2], [168340303, 21611433, -78454515/2], [148516072, 19637327, -34317224], [-7803, -972, 4131/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -4, 5/2], [-3, 0, 17/2], [-1, -4, 5/2], [0, 0, 0]], [[34565, 7663/2, -15377/2], [29949/2, 8025/2, -2219/2], [69121/2, 7675/2, -30759/4], [-1, 0, -5/4]], [[-729112825, -90799785, 343539619/2], [-350944759, -41351543, 168366095/2], [-729072512, -90792960, 171759936], [27391, 2639, -14469/2]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[106, 10, -23]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, 17, 1/2], [19, -43, -49/2], [-15, 17, 1/2], [0, 0, 0]], [[86107687, 10708527, -40574267/2], [83198922, 10600327, -38890571/2], [86107688, 10708529, -20287132], [4, 2, -1/2]], [[-307688879064, -37730299032, 72162741565], [-297512583464, -37330740995, 140167033045/2], [-615377748833/2, -75460664339/2, 288651017355/4], [-47685/2, 30195/2, -9295/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19, -19, 1/2], [-13, -35, 15/2], [-19, -19, 1/2], [0, 0, 0]], [[-7065, -885, 3319/2], [-7063, -884, 3309/2], [-7067, -891, 3327/2], [0, -5, -1]], [[911879301, 113584629, -429177831/2], [911773851, 113381129, -214474308], [1824569087/2, 227805473/2, -859202777/4], [599585/2, 229215/2, -388685/4]]], 0, 1024, [], [] >,
< [ 2, -4, -1, 1 ], [[106, 10, -23]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, 1, 5/2], [3, -23, -21/2], [-11, 1, 5/2], [0, 0, 0]], [[-67236, -8256, 15711], [-68990, -7711, 34199/2], [-134447/2, -16497/2, 62849/4], [-15/2, 5/2, -5/4]], [[-65721677, -8141973, 30891117/2], [-66851707, -8380318, 15801687], [-131411793/2, -16279987/2, 61768359/4], [-13727/2, 777/2, 4107/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17, -1, 3/2], [9, 17, 9/2], [-17, -1, 3/2], [0, 0, 0]], [[139872, 26648, -27366], [-114744, -78864, -16541/2], [279747/2, 53293/2, -109481/4], [3/2, -7/2, -3/4]], [[-6314679, -840313, 3015409/2], [6661479, 801819, -3094069/2], [-6314796, -839998, 1507592], [81, -171, 117/2]]], 0, 1024, [], [] >,
< [ 2, -4, -1, 1 ], [[10, 2, -3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 2, -1/2], [1, -10, 35/2], [-1, 2, -1/2], [0, 0, 0]], [[0, 1, 1/2], [-131/2, -11/2, 17], [-1/2, 2, 5/4], [0, 1/2, 1/4]], [[0, 0, 0], [64, 8, -15], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 1, -3/2], [21, -21, -43/2], [7, 1, -3/2], [0, 0, 0]], [[698, 80, -321/2], [1321/2, 163/2, -306], [1391/2, 83, -647/4], [-2, -5/2, 5/4]], [[3515741, 434038, -1655961/2], [2900245, 826392, -914635/2], [3507881, 435058, -1651581/2], [-14700, -1740, 3930]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[10, 2, -3]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, -1, -5/2], [-11, 9, -17/2], [-9, -1, -5/2], [0, 0, 0]], [[-2274, -246, 576], [-3917/2, -238, 538], [-4553/2, -240, 2317/4], [1, 2, 5/4]], [[-1947121, -244574, 912901/2], [-1679418, -210501, 392070], [-3892121/2, -489451/2, 1824287/4], [3939/2, 303/2, -2121/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 4, -1/2], [-7, 16, -13/2], [-3, 4, -1/2], [0, 0, 0]], [[-1352, -156, 325], [-1975/2, -247/2, 223], [-1352, -315/2, 327], [-3/2, 2, 0]], [[17056, 2119, -4017], [25123/2, 1535, -2939], [34111/2, 2129, -16087/4], [9, -5, 1/4]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[60, -4, -10]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21, 5, 1/2], [-27, 19, 33/2], [21, 5, 1/2], [0, 0, 0]], [[35, 5, -9/2], [-41, 21, 23/2], [35, 15, -13/2], [10, -2, 0]], [[1389925, 164693, -670311/2], [-1060128, -183509, 233686], [3118205/2, 342673/2, -1501611/4], [689997/2, 88683/2, -338355/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15, 7, 3/2], [27, 47, 27/2], [15, 7, 3/2], [0, 0, 0]], [[-247423, -73355, 128037/2], [-726011, -100648, 218659/2], [-247423, -73351, 128047/2], [4, 5, 0]], [[21430720181, 2480073479, -9991389825/2], [59735461833, 7558943713, -14284639627], [42860952955/2, 4960093137/2, -19982484389/4], [-1028635/2, -96073/2, 487407/4]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[60, -4, -10]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-16, 8, -2], [-22, 4, 6], [-16, 8, -2], [0, 0, 0]], [[7014, 2466, -2079], [11603, 1161, -6467/2], [14033/2, 4933/2, -8347/4], [11/2, -13/2, -5/4]], [[-245161023, -30497175, 115693377/2], [-363010536, -45681861, 85210564], [-490380515/2, -61012767/2, 231404813/4], [-135355/2, -20205/2, 58469/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[23, 13, 3/2], [47, 59, 23/2], [23, 13, 3/2], [0, 0, 0]], [[29674, 7430, -7418], [84285, 2294, -11697], [29672, 7431, -7412], [-3, 5, 1]], [[-22306893, -2777963, 10506465/2], [-58576897, -7265453, 13787497], [-44613531/2, -5555841/2, 21012845/4], [595/2, 85/2, -255/4]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, -5, 1/2], [1, 5, -9/2], [9, -5, 1/2], [0, 0, 0]], [[101, 31/2, -22], [3517/2, -10721/4, -8067/4], [106, 3/2, -28], [-2, -7/4, -5/4]], [[4232007, 1058031/2, -995342], [5710995/2, -4043659/4, -5661307/4], [4112680, 1033643/2, -973567], [-125424, -75777/4, 119327/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[110, 5, -2], [-12, 128, 26], [110, 5, -2], [0, 0, 0]], [[4153775829, 763550059/2, -913553011], [3754699079/2, 1986674687/4, -2121059875/4], [45691536170/11, 8399049819/22, -10049083174/11], [-9/11, 7/44, 1/44]], [[74660797104365, 9276413254835, -35044753602983/2], [35901853045225, 9459928713883/2, -8410881030770], [821268801068493/11, 102040550457809/11, -385492303806509/22], [-144935/11, -41185/22, 62351/22]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[28, 4, -6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 3, -5/2], [5, -21, 35/2], [-5, 3, -5/2], [0, 0, 0]], [[890416, 253227/2, -203675], [257978, -160865/4, -342461/4], [890417, 253225/2, -203680], [1/2, -9/4, -1/4]], [[3667487545, 457080395, -1726165459/2], [892531290, 220229329/2, -210144705], [3667485179, 457080187, -1726164523/2], [-2470, -715/2, 1183/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[20, -3, -2], [-6, 28, 6], [20, -3, -2], [0, 0, 0]], [[18007, 4173/2, -4169], [16497/2, 5175/4, -8257/4], [191690/11, 51157/22, -46051/11], [28/11, -45/44, 3/44]], [[-8113626, -1014053, 3814057/2], [-7569101/2, -453373, 1803361/2], [-87193026/11, -10435564/11, 41524855/22], [-18075/22, -6401/22, 1845/22]]], 1, 16, [], [] >,
< [ 2, -4, -1, 1 ], [[60, -4, -10]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 5, 5/2], [-21, 7, 3/2], [1, 5, 5/2], [0, 0, 0]], [[2635, -539, -289/2], [-77953, 171150, -58834], [2635, -539, -289/2], [0, -2, 5/2]], [[-45990064, -5968624, 10899864], [189819122, 126391177/2, -61556511], [-45990064, -5968624, 10899864], [8145, -405/2, -1800]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[303, 1, 3/2], [307, -15, -5/2], [303, 1, 3/2], [0, 0, 0]], [[-32893084, 50722980, -23209606], [-35008951, 55882228, -47381667/2], [-361822104/11, 557948020/11, -255306016/11], [13/11, -34/11, -5/22]], [[0, 0, 0], [241, 61/2, -57], [-15960/11, -2030/11, 3780/11], [-114/11, -29/22, 27/11]]], 0, 1024, [], [] >,
< [ 2, -4, -1, 1 ], [[60, -4, -10]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -7, 3/2], [21, -1, 5/2], [3, -7, 3/2], [0, 0, 0]], [[0, 0, 0], [1298, 341/2, -315], [0, 0, 0], [1, 3/2, -2]], [[0, 0, 0], [6795094, 840446, -1597478], [0, 0, 0], [7000, -210, -1365]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-108, 8, 0], [-118, -2, 1], [-108, 8, 0], [0, 0, 0]], [[-19610877, -15222429, 15496707/2], [-22996004, -30832809/2, 15442343/2], [-19611157, -15222079, 15496707/2], [-2, 5/2, 0]], [[-1730821485327, -272217518793, 857566761601/2], [-1975739446914, -298574054781, 967602242849/2], [-19039131817337/11, -2994387128703/11, 9433266932371/22], [-681991/11, 39843/11, 116267/11]]], 0, 1024, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 15, -1], [-4, 7, 3], [0, 0, 0]], [[7, -10, -21/2], [-42335, -8117, 10831], [595/2, -2047/2, -1141/4], [1/2, -1/2, -5/4]], [[-586, -157/2, 139], [-1563710939/2, -97392375, 368003293/2], [-8843081/2, -1100619/2, 4161217/4], [-218, -57/2, 207/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 17, -5], [-8, 21, 5], [0, 0, 0]], [[-6, 13, 11/2], [-6996, -9277/2, 6531/2], [-5625/2, -5251/2, 6871/4], [-1/2, 2, 1/4]], [[7442, 2135/2, -1525], [-95712377/2, -5799905, 22387853/2], [-41541223/2, -4968263/2, 19386213/4], [2806, 671/2, -2501/4]]], 1, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -36]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [50, -82, -65], [50, -74, -69], [0, 0, 0]], [[8, 6, 1], [-27745, 42875, 31820], [-27627, 43712, 63537/2], [4, 3, 1/2]], [[-4202739, -523827, 1978371/2], [195830763, 24788102, -46419819], [9956835/2, 4119009/2, -7807677/4], [-4202739/2, -523827/2, 1978371/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -54, -1], [-22, -4, -5], [0, 0, 0]], [[3, 3, 1/2], [409067, -123032, -85413], [1067473/2, 135547/2, -626935/4], [3/2, 3/2, 1/4]], [[98, 14, -19], [6827660, 2092154, -2267210], [11797241, 995449, -5273815/2], [49, 7, -19/2]]], 0, 2048, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -36]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -44, 21], [6, -22, 19], [0, 0, 0]], [[2, 2, 2], [3995, -7862, -7864], [13474, -20787, -17101], [1, 1, 1]], [[-853941, -106425, 401973/2], [365185625, 45571510, -85969526], [49740405/2, 6329335/2, -23452751/4], [-853941/2, -106425/2, 401973/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, -46, -2], [24, -48, -6], [0, 0, 0]], [[-7, 3, 3/2], [449, -825, -921], [1659/2, -2411/2, -4861/4], [-7/2, 3/2, 3/4]], [[-195841, -24383, 92167/2], [-5349426, -664005, 1258343], [-534177/2, -61889/2, 249647/4], [-195841/2, -24383/2, 92167/4]]], 0, 2048, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 3, -3], [-2, 3, -3], [0, 0, 0]], [[-3, -3, -1/2], [807, -479, -248], [819/2, -2045/2, -1141/4], [-3/2, -3/2, -1/4]], [[-23453, -3292, 5663], [5783441/2, -51477/2, -517722], [-480433, -1311855/2, 726855/2], [-23453/2, -1646, 5663/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -3, 4], [2, -7, -4], [0, 0, 0]], [[-1, 3, -1], [207269/2, -497958, 390139/2], [37799, -54427/2, 2491], [-1/2, 3/2, -1/2]], [[28, 3, -13/2], [-26658471/2, -3194313/2, 3108123], [7759347/2, 489971, -3652201/4], [14, 3/2, -13/4]]], 1, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, -4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -5, 5], [6, -7, -5], [0, 0, 0]], [[-2, 0, -3/2], [-819125/2, 548340, -344437/2], [-104437/2, 48056, 25803/4], [-1, 0, -3/4]], [[-61841, -7102, 14338], [-10137040591/2, -944098007/2, 1125107205], [-747457671, -167932179/2, 171621154], [-61841/2, -3551, 7169]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -13, 1], [6, -17, -7], [0, 0, 0]], [[0, -5, -3/2], [108081/2, -1236481/2, 238003], [-415529/2, -354479, 536049/4], [0, -5/2, -3/4]], [[-854148, -111724, 202778], [-57883277896, -9486629015, 14591574442], [-109581603326, -14675644209, 26218880589], [-427074, -55862, 101389]]], 1, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -36]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, -1, 1/2], [-13, -33, -9/2], [-15, -1, 1/2], [0, 0, 0]], [[-218526, 88242, -33187], [-27201, -708865, 29125], [-218525, 88242, -66375/2], [0, 1, -1/2]], [[-110726, -10318, 26257], [-215818, -18214, 60341], [-110726, -10318, 26257], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13, 1, -3/2], [23, -13, -9/2], [13, 1, -3/2], [0, 0, 0]], [[-98858, -1854, 24123], [-108413, -12618, 1044], [-98847, -1856, 48237/2], [4, 0, -3/2]], [[-157495842, -32494140, 40813983], [-180403407, -70758117, 70971071], [-157480840, -32491267, 40811123], [6409, 416, -1092]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -36]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-16, 10, 0], [8, -12, 8], [-16, 10, 0], [0, 0, 0]], [[-1495, -1755, -3055/2], [6524, -9227, -10815/2], [-1489, -1740, -3041/2], [5, 1, 2]], [[269165, 63115, -134875/2], [-107936, -19732, 110803/2], [267648, 62865, -67103], [-598, -147, 321/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, 1, 3/2], [-19, 9, 5/2], [11, 1, 3/2], [0, 0, 0]], [[-6525, 15975, -11025/2], [12178, -30382, 21669/2], [-6534, 15975, -5510], [-4, 1, 1/2]], [[129375, -73125, -5625/2], [-166481, 122218, -58913/2], [132903, -72765, -7371/2], [1422, 153, -342]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[72, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -13, -3], [4, -13, -3], [0, 0, 0]], [[4, -6, -2], [-54, 155, 61], [-58, 131, 55], [2, -2, 0]], [[-249, -59/2, 111/2], [-21995/2, -2717/2, 2658], [-5379, -660, 2651/2], [-721/2, -85/2, 167/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 3, 9], [-4, -5, 5], [0, 0, 0]], [[-4, 5, 3], [381069, -43872, -129514], [184827, -22035, -92103/2], [-2, 1, 1/2]], [[1358, 1225/2, -707/2], [-1046991171/2, -71133194, 245897149/2], [-257706792, -39407065, 125997369/2], [4333/2, 483, -581]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[72, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -11, -15], [-10, -1, -5], [0, 0, 0]], [[0, 0, 0], [2705553/2, 138055, -463517/2], [1096048, 178369/2, -212073], [-3/2, 3/2, 5/2]], [[0, 0, 0], [-3827854942, -470832038, 898484536], [-3056161806, -376595482, 717555020], [642, 156, -176]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -1, 3], [-4, -7, 3], [0, 0, 0]], [[0, 0, 0], [-2581/2, -1053, 2061/2], [2180, -2193/2, 3], [3/2, -5/2, 1/2]], [[0, 0, 0], [131759/2, 10831, -37067/2], [-73000, -7881/2, 15355], [-45/2, 15/2, 5/2]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[72, 8, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -6, 6], [-8, 0, -4], [0, 0, 0]], [[0, 0, 0], [120479/2, 11273/2, -13196], [29640, 1481/2, -11974], [-1/2, -1, 0]], [[0, 0, 0], [-8913402, -1065279, 2077945], [-4037390, -561435, 992685], [140, 28, -36]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -3, 5], [-2, 3, -5], [0, 0, 0]], [[0, 0, 0], [192917/2, 26915, -32641/2], [35203, -54929/2, -22178], [-5/2, -1/2, -3/2]], [[0, 0, 0], [-2574626112, -323170602, 606473130], [-425930298, -48083780, 99170947], [75624, 7398, -16851]]], 0, 192, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -4, -6], [36, -52, -52], [0, 0, 0]], [[0, 0, 0], [-871513, -108612, 205123], [1218, 29, -201], [1, -3, -2]], [[0, 0, 0], [-289470259, -36064210, 68126484], [397791, 33390, -173457/2], [-284, -30, 131/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 10, -8], [8, 0, -30], [0, 0, 0]], [[0, 0, 0], [198785, 26146, -47520], [-16281, -448, 5191/2], [-4, 0, 3/2]], [[0, 0, 0], [-8534260, -1048886, 2002799], [668675, 104281, -329557/2], [159, 15, -75/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, -20, -6], [12, 0, -6], [0, 0, 0]], [[0, 0, 0], [-45, 91, 10], [220, -563, 208], [-1, 4, 0]], [[0, 0, 0], [199, 25, -47], [49, 6, -23/2], [104, 13, -49/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 10, -4], [-20, 24, 46], [0, 0, 0]], [[0, 0, 0], [743254, 95972, -174091], [-97169, -77933, -22581/2], [-3, -5, 1/2]], [[0, 0, 0], [-908570441, -113454705, 213954522], [165225464, 20806209, -39339542], [6119, 1398, -1724]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32, -4, 14], [24, -8, 2], [0, 0, 0]], [[0, 0, 0], [52878, -68333, -2372], [25009, -28319, 7883/2], [-15, -4, -5/2]], [[0, 0, 0], [-3801192822, -358528718, 856967682], [-2356678711, -237067577, 1064773573/2], [3245093, 398199, -1514987/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 10, 7], [-2, 4, 3], [0, 0, 0]], [[0, 0, 0], [-121, 69, 22], [2, 9, 4], [1, 4, 0]], [[0, 0, 0], [-3193395, -458488, 774383], [274547, 32942, -129857/2], [111748, 11648, -51051/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -8, -7], [-26, 6, -3], [0, 0, 0]], [[0, 0, 0], [-2309608, -206117, 699636], [5704405, 1806989, -3369597/2], [-1, 4, -5/2]], [[0, 0, 0], [28932105868, 3595712844, -6815389881], [-79406344719, -9914491587, 37381529601/2], [-4225, -559, 2119/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -14, 3], [2, 0, -9], [0, 0, 0]], [[0, 0, 0], [332, 50, -86], [-9, -5, -1/2], [-5, 1, -1/2]], [[0, 0, 0], [1444863, 180237, -340142], [-49183, -6116, 23143/2], [-19924, -2431, 9335/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -36]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, 20, -4], [-20, 10, -2], [0, 0, 0]], [[0, 0, 0], [-54013, 50661, -22459/2], [-63389/2, 53967/2, -21113/4], [25/2, 5/2, 5/4]], [[0, 0, 0], [-7580555, -350568, 3119427/2], [-9334683/2, -508283/2, 3932701/4], [6019/2, 1169/2, -2225/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -24, 10], [-24, 2, -2], [0, 0, 0]], [[0, 0, 0], [205738, -363340, 243275/2], [53771/2, 425041/2, -290525/4], [-13/2, 1/2, -3/4]], [[0, 0, 0], [-2572954068, -225156980, 565870584], [-4546396523, -604793249, 2184648505/2], [265113, 31833, -124659/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -36]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32, -34, -69], [38, -46, -73], [0, 0, 0]], [[0, 0, 0], [-59973, -10256, 584803/2], [-177847/2, 93541/2, 1207913/4], [-13/2, 5/2, 3/4]], [[0, 0, 0], [-39889852, -4978781, 9403256], [-15837382, -1979020, 3742372], [-9899274, -1233155, 2329712]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, -44, -6], [-20, -10, -2], [0, 0, 0]], [[0, 0, 0], [5074, -1096, 4499/2], [4841/2, 4283/2, -1543/4], [1/2, -5/2, 3/4]], [[0, 0, 0], [-2017732, -395357, 428831], [-1364435, -202879, 593311/2], [213, 18, -75/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 16, -24]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 20, -1], [-2, 4, -1], [0, 0, 0]], [[-2, 5, 1/2], [119, 15/2, -39/2], [-3, 9, 17/2], [1, -1/2, 1]], [[252, -203, 63/2], [40965, 12131/2, -20147/2], [1043, 287, -721/2], [301, 315/2, -126]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [106, -28, 7], [106, -8, -1], [0, 0, 0]], [[-7, 24, -2], [-350667, -550577/2, -34445/2], [-4277336/11, -3055180/11, -183404/11], [10/11, -65/22, -3/22]], [[176742, 43721, -112255/2], [-23149740409, -5547751977/2, 11102727717/2], [-275310798941/11, -32856750453/11, 131783739147/22], [-263189/11, -105355/22, 80675/11]]], 0, 4096, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 16, -24]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, 20, -4], [20, 4, 2], [0, 0, 0]], [[-4, 13, 1/2], [2727, 2453/2, -39/2], [1519, 1077, 67/2], [5, -3/2, 2]], [[-26280, 14454, 657/2], [-28626188, -7014533/2, 14067207/2], [-17805129, -1765281, 8489139/2], [-38106, -25623/2, 13140]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-94, -14, -5], [-74, -2, -1], [0, 0, 0]], [[9, -33, 5/2], [24882, 22388, -5496], [207873/11, 178131/11, -124931/22], [-13/11, 45/11, 5/22]], [[713722, 192026, -454349/2], [-4272731112, -1141734929/2, 2070317705/2], [-34670766979/11, -4732245957/11, 16828909465/22], [-1062218/11, -470225/22, 323401/11]]], 0, 4096, [], [] >,
< [ 2, -4, -1, 1 ], [[8, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 14, 8], [-2, 3, 5], [0, 0, 0]], [[5, -19/2, -11/2], [-3/2, -47/4, -25/4], [12, -33/2, -25/2], [-2, -9/4, -1/4]], [[1485, -165/2, -165], [17003, 9101/4, -15899/4], [-3030, -599/2, 821], [12705/2, 2805/4, -5775/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 18, 7], [14, 1, 0], [0, 0, 0]], [[-6, -79/2, 3/2], [31688, -301713/4, 70227/4], [360419/11, 1017529/22, -604647/22], [1/22, 109/44, 3/44]], [[-544486, -1413, 70651/2], [-271906769/2, 371731307, -337260495/2], [12863916532/11, -1394415338/11, -3649536623/22], [600065/22, 471/22, -11775/22]]], 1, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -2, 3], [-6, 16, 4], [0, 0, 0]], [[3, -7/2, 3/2], [-13985, -403/4, 6217/4], [14300, -23441/2, -9439/2], [3/2, -7/4, 3/4]], [[6007, 1523/2, -2933/2], [-48805548, -24106641/4, 46207225/4], [27169216, 8183407/2, -12176789/2], [6007/2, 1523/4, -2933/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 8, -5], [94, 5, 1], [0, 0, 0]], [[27, 14, 2], [-712811/2, 25221/2, 18611/2], [108578787/11, 14952906/11, -21982667/11], [27/22, 7/11, 1/11]], [[-1252485, 27833/2, 629741/2], [13377955699, -7624888261/4, -7937815591/4], [-3852258467894/11, -730108955003/22, 1775237039023/22], [-1252485/22, 27833/44, 629741/44]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[16, 0, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 6, -3], [-10, 21, 3], [0, 0, 0]], [[3, 7/2, 3/2], [-169492, -90057/4, 161397/4], [12102, 1235/2, -3617/2], [3/2, 7/4, 3/4]], [[180, -9, -54], [-5606705, -1424697/2, 1326406], [402932, 26894, -89565], [90, -9/2, -27]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -6, 3], [-180, -5, 0], [0, 0, 0]], [[-4, 37/2, -1/2], [-1037923/2, -64255/4, 71037/4], [127340329/11, 44378493/22, -36915993/22], [-2/11, 37/44, -1/44]], [[-39860, 1635/2, 19625/2], [8447044283/2, 2079821655/4, -4110864729/4], [-1080890304093/11, -260450532281/22, 517344821613/22], [-19930/11, 1635/44, 19625/44]]], 1, 48, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -36]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [114, -214, -157], [-22, 2, -3], [0, 0, 0]], [[0, 0, 0], [8886568, 1081580, -4189663/2], [8972800, 1090522, -2100442], [4, -1, -1/2]], [[0, 0, 0], [6210751687, 1551491723/2, -1460917779], [6273502056, 782579232, -1476837144], [2346, 731/2, -561]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [148, -2, -6], [142, 4, -1], [0, 0, 0]], [[0, 0, 0], [19531985, -29671799/2, 2662029], [212809788/11, -163227594/11, 29270830/11], [-60/11, 27/22, -2/11]], [[0, 0, 0], [13273475039189, 2399152977437, -3452208612589], [143915788079436/11, 26065560347624/11, -37490329657634/11], [-54924591/11, -8752856/11, 13092569/11]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -36]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-94, 132, 87], [-16, 10, -2], [0, 0, 0]], [[0, 0, 0], [-70259, -2380, 32421/2], [-64014, -4596, 13611], [-3, -2, 3/2]], [[0, 0, 0], [-555805, -115619/2, 136113], [-512104, -62970, 120116], [-28, -7/2, 7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -10, -3], [32, -4, 0], [0, 0, 0]], [[0, 0, 0], [-11648, 7344, 3555/2], [-325738/11, 46984/11, 11431/11], [-20/11, -1/11, -5/22]], [[0, 0, 0], [199180, 81903/2, -54182], [7796964/11, 1299018/11, -1970668/11], [543/11, 183/22, -137/11]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -69, 15], [8, -31, 13], [0, 0, 0]], [[3, -2, 0], [-33254, -16985/2, -10277/2], [-30728, 3840, 5761], [4, 3/2, -3/2]], [[22939, 5779/2, -10697/2], [-860286389/2, -50269362, 205776061/2], [-308176038, -38677817, 72276200], [97535/2, 6121, -22939/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 12, -18], [-20, 52, -16], [0, 0, 0]], [[4, -19/2, -1/2], [-1149/2, 871/2, 11850], [11547, -27204, 6908], [-3/2, 3/2, -2]], [[93159, 23199/2, -43857/2], [-722575011/2, -44982013, 170072925/2], [-43713697, -5444078, 10282604], [395835/2, 24651, -93159/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[320, 0, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 14, 2], [16, -4, 4], [0, 0, 0]], [[0, 0, 0], [-1, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [3860, 400, -940], [-59052, -7392, 13860], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -6, 2], [4, -4, 8], [0, 0, 0]], [[0, 0, 0], [-1, 1, 0], [2, 1, 2], [1, 0, 0]], [[0, 0, 0], [9576, 1152, -2268], [3940, 340, -1000], [0, 0, 0]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[320, 0, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 8, -4], [4, -2, 2], [0, 0, 0]], [[0, 0, 0], [1, 1, 2], [4, 1, 0], [1, 0, 0]], [[0, 0, 0], [-4, 12, 8], [-16, 28, 20], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 8, 0], [4, -16, 4], [0, 0, 0]], [[0, 0, 0], [1, -1, 0], [0, -1, 2], [1, 0, 0]], [[0, 0, 0], [16856, 1978, -4042], [-1920, -132, 444], [0, 0, 0]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, 68, -10], [-28, 66, -18], [0, 0, 0]], [[0, 0, 0], [-356, 7357/2, -4443/2], [2227, 4929, -2779], [5, -1/2, 3/2]], [[0, 0, 0], [-63731103/2, -7829685/2, 7496877], [-141739844, -35223443/2, 66692047/2], [-367363/2, -22972, 86405/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 30, -4], [0, 8, 0], [0, 0, 0]], [[0, 0, 0], [965/2, -2149/2, 211], [28, -497/2, 41/2], [-11/2, -2, 1/2]], [[0, 0, 0], [-338371, -514463/2, 355971/2], [1511881, 152956, -337407], [112398, 28149/2, -52855/2]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[152, 24, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 66, -28], [-24, 68, -20], [0, 0, 0]], [[0, 0, 0], [-30339/2, 79207/2, -14155], [-14539, 74773/2, -26575/2], [3/2, 0, -5/2]], [[0, 0, 0], [-131/2, -8, 31/2], [-552, -139/2, 259/2], [-247/2, -31/2, 29]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -13, 1], [10, -25, 9], [0, 0, 0]], [[0, 0, 0], [-71/2, -27/2, -6], [-7, -25/2, -17/2], [-5/2, -1, -3/2]], [[0, 0, 0], [675412, 84808, -158848], [230824, 29194, -54186], [51634, 6534, -12144]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[320, 0, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -56, -26], [-12, -10, -2], [0, 0, 0]], [[0, 0, 0], [-90736, 193990, -71506], [-2848, -10520, 4140], [8, -4, 0]], [[0, 0, 0], [-15203378, -2313807, 1682153], [-6893768, -1285638, 1460311], [6410, 659, -1548]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 12, 12], [-8, -6, -10], [0, 0, 0]], [[0, 0, 0], [3, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [-74844, -8624, 17732], [30300, 3300, -7200], [0, 0, 0]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[320, 0, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -2, -2], [-12, 4, 0], [0, 0, 0]], [[0, 0, 0], [4, -23, -7], [-30, 26, 20], [-10, 5, -5]], [[0, 0, 0], [-3130, -229, 831], [-4668, -844, 951], [-3200, -341, 776]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [60, 20, 16], [4, 2, 10], [0, 0, 0]], [[0, 0, 0], [-1, -1, 2], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [16713140, 1988380, -3955264], [1651800, 171900, -394500], [0, 0, 0]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 2, -12], [8, 6, -10], [0, 0, 0]], [[0, 0, 0], [4078, 6179, -4929], [176068, 27366, -44615], [-2, -5, 2]], [[0, 0, 0], [-1581272, -225087, 312590], [-48825567, -6083637, 22903155/2], [1091, 86, -517/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 16, -4], [16, -26, -6], [0, 0, 0]], [[0, 0, 0], [-7089, -1034, 2352], [-4191, -4058, -3363/2], [-4, 0, 1/2]], [[0, 0, 0], [66450, 8710, -15548], [62356, 5730, -15660], [34, 4, -8]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 6, 2], [12, 12, -4], [0, 0, 0]], [[0, 0, 0], [1370, 3085, -430], [3323, -2491, 1925/2], [-5, 0, 5/2]], [[0, 0, 0], [1858828, 273629, -442580], [1645115, 154257, -719667/2], [-3065, -380, 1477/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 20, 16], [-12, 14, -2], [0, 0, 0]], [[0, 0, 0], [-137902, 77729, 81923], [36326, 3334, -1494], [4, 3, 1]], [[0, 0, 0], [-91625893, -12260580, 21653136], [40993871, 6619700, -20626285/2], [6194, 874, -3021/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-82, -16, 16], [-8, -2, 8], [0, 0, 0]], [[0, 0, 0], [284952, 37339, -65402], [10419, 38689, -41671/2], [7, -2, -3/2]], [[0, 0, 0], [438270662, 54358868, -103255885], [35983401, 5811817, -17648243/2], [8671, 1127, -3933/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -16, 18], [-4, -2, 0], [0, 0, 0]], [[0, 0, 0], [26, -75, 34], [1, 15, -13/2], [3, 4, -5/2]], [[0, 0, 0], [209, 214, -206], [-953, -166, 487/2], [-632, -88, 311/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, -56, -24], [-4, 12, -6], [0, 0, 0]], [[0, 0, 0], [-994, 2765, 1047], [128, -606, 315], [10, -3, 0]], [[0, 0, 0], [178249812, 22339859, -41821472], [-28935635, -3548793, 13586427/2], [2839265, 354068, -1336621/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, -28, -22], [0, 2, -4], [0, 0, 0]], [[0, 0, 0], [-1247, -160, 312], [11, -10, 3/2], [4, 0, 3/2]], [[0, 0, 0], [-253726, -31333, 59739], [1320, 220, -341], [858, 143, -198]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38, 20, 10], [0, -2, 2], [0, 0, 0]], [[0, 0, 0], [40028, 4520, -11313], [-525, 329, -277/2], [-1, 5, -3/2]], [[0, 0, 0], [-3709039598, -464874123, 871717634], [37620267, 4459991, -17727743/2], [-95455, -12478, 46461/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [52, 56, 40], [-4, 10, 10], [0, 0, 0]], [[0, 0, 0], [1447287, 245449, -330720], [44092, 16089, -7943], [-1, -2, 1]], [[0, 0, 0], [-26151361, -3033958, 6255288], [-894853, -71426, 459443/2], [30, 2, -13/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 0, -20], [0, -8, 18], [0, 0, 0]], [[0, 0, 0], [6832, -8717, -7614], [-4863, 7275, 13183/2], [9, 0, 3/2]], [[0, 0, 0], [14760568, 1835230, -3474856], [303008, 41352, -70604], [132328, 16490, -31144]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, -72, -26], [-12, -8, -10], [0, 0, 0]], [[0, 0, 0], [-2242019, 48889, 730749], [-562441, 151056, 243253/2], [4, -5, -1/2]], [[0, 0, 0], [4245038628, 532386202, -996602844], [957193028, 123024946, -225918738], [-3132, -486, 756]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -14, -1], [-6, 10, -5], [0, 0, 0]], [[0, 0, 0], [5167, -10827, -14647/2], [1985/2, -3699/2, -7523/4], [7/2, 3/2, -5/4]], [[0, 0, 0], [87119, -50020, -107949/2], [35511/2, -22589/2, -47457/4], [-275/2, -33/2, 129/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-42, -2, -25], [-10, -8, 1], [0, 0, 0]], [[0, 0, 0], [7617, -835, -3967/2], [3881/2, 337/2, -2195/4], [7/2, 7/2, 3/4]], [[0, 0, 0], [-12, -2, 5/2], [-11/2, -1/2, 5/4], [-7/2, -1/2, 3/4]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[80, 16, -24]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -16, -32], [20, -24, -40], [0, 0, 0]], [[0, 0, 0], [26124, -45741, -19875], [32799, -57259, -53007/2], [-3, 4, -1/2]], [[0, 0, 0], [4849468173, 603790138, -2282741917/2], [-1192169661/2, -149284437/2, 560649499/4], [-62259279/2, -7755601/2, 29304381/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 28, 24], [8, -2, 2], [0, 0, 0]], [[0, 0, 0], [-6122, 1042, 5151/2], [-5297/2, -571/2, 2983/4], [-1/2, -3/2, 1/4]], [[0, 0, 0], [275727, 35937, -128271/2], [285967/2, 36015/2, -134509/4], [129/2, 17/2, -63/4]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, -38, -4], [12, -26, -6], [0, 0, 0]], [[0, 0, 0], [24672, 30547/2, -4567/2], [-45100, 4150, 14336], [3, 7/2, 3/2]], [[0, 0, 0], [-43622216, -15211496, 13471974], [62769704, 2361386, -13317226], [-7800, -50, 1050]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [48, -12, -2], [40, 8, 8], [0, 0, 0]], [[0, 0, 0], [576301, 315969/2, -344059/2], [6949680/11, 1695798/11, -1934288/11], [-48/11, -95/22, -1/22]], [[0, 0, 0], [-2814632636, 609261803/2, 764178971/2], [-32861721124/11, 1724320692/11, 5158967400/11], [298753/11, 469/22, -11725/22]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 0, -6], [16, -4, 0], [0, 0, 0]], [[0, 0, 0], [2341, 203, -603], [2168, 318, -468], [-3, 2, 2]], [[0, 0, 0], [70048, 11607/2, -30651/2], [61016, 21634, -20288], [-45, -33/2, 35/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 14, 4], [28, 6, -6], [0, 0, 0]], [[0, 0, 0], [-1232, -95/2, 871/2], [-9448/11, -18288/11, 9346/11], [51/11, -73/22, -1/22]], [[0, 0, 0], [167260, 94720, -5984], [2390372/11, 1664594/11, -1207450/11], [-5832/11, -54/11, -1224/11]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 10, 10], [-14, 1, -5], [0, 0, 0]], [[0, 9/2, 5/2], [4775271/2, -7129825/4, -1654795/4], [-2615169, 4165015/2, -138907/2], [0, 9/4, 5/4]], [[238, 59/2, -113/2], [234413467/2, 172061185/4, -158482197/4], [-128334945, -120098017/2, 97933793/2], [119, 59/4, -113/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -10, -2], [10, -7, -1], [0, 0, 0]], [[-76, -89/2, 3/2], [52087/2, -9573/4, -28567/4], [-79361/11, -305419/22, 131803/22], [-38/11, -89/44, 3/44]], [[-2394839, -718227/2, 1123035/2], [595827846, 192473567/4, -528558881/4], [-2904321206/11, -3510994283/22, 2532157841/22], [-2394839/22, -718227/44, 1123035/44]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[104, 16, -24]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -2, 10], [24, 7, -1], [0, 0, 0]], [[3, -5/2, 5/2], [20024, -121561/4, 51551/4], [-24170, -21763/2, 24313/2], [3/2, -5/4, 5/4]], [[3060, 408, -714], [11017582, 1470484, -2603135], [-34334322, -4228983, 8087349], [1530, 204, -357]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 6, 6], [-224, -9, -5], [0, 0, 0]], [[52, -37, 1], [144933, -161333/2, -169621/2], [-106915568/11, -5615538/11, 28059376/11], [26/11, -37/22, 1/22]], [[-31, -13/2, 17/2], [33, 25/4, -35/4], [-3028/11, -1273/22, 1663/22], [-31/22, -13/44, 17/44]]], 0, 768, [], [] >,
< [ 2, -4, -1, 1 ], [[448, 64, -128]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, 40, 20], [-4, 8, 4], [0, 0, 0]], [[0, 0, 0], [-265030, -46673, 63129], [-3774, 844, -484], [-2, -5, -5]], [[0, 0, 0], [124834779962, 14634630451, -28975128609], [1499644708, 423950306, -452111995], [2359554, 632759, -681138]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [124, 4, -4], [8, -18, -6], [0, 0, 0]], [[0, 0, 0], [11, 1, 0], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [7949908, 913476, -1837296], [-108000, -29664, 31824], [0, 0, 0]]], 0, 786432, [], [] >,
< [ 2, -4, -1, 1 ], [[448, 64, -128]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [72, -44, -44], [-4, -12, -16], [0, 0, 0]], [[0, 0, 0], [-5537518, 128843, 1675347], [1569020, 120752, -19917], [-4, 3, 4]], [[0, 0, 0], [-704752294616, -85773540529, 164688354265], [227970098336, 16766174660, -48821630459], [-221076, -62775, 65124]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [116, 12, -4], [4, 8, 0], [0, 0, 0]], [[0, 0, 0], [15, -1, 2], [2, -1, 0], [1, 0, 0]], [[0, 0, 0], [151396, -1168, -26272], [8164, 3874, -2990], [0, 0, 0]]], 0, 786432, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -16, -32], [-4, 2, -8], [0, 0, 0]], [[0, 0, 0], [-22396, 20117, 17695], [-6188, 3976, 3975], [-2, -3, 0]], [[0, 0, 0], [9556223, 1475826, -4352697/2], [7325963/2, 1076831/2, -3429189/4], [7701/2, 51/2, -2907/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, -4, 20], [-16, -2, 6], [0, 0, 0]], [[0, 0, 0], [-24642, 6342, 39709/2], [-58857/2, -4407/2, 35207/4], [7/2, 5/2, -3/4]], [[0, 0, 0], [-35568123, -4026767, 16232791/2], [-117128567/2, -14496223/2, 55004501/4], [18567/2, 2187/2, -8649/4]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -20, 38], [0, -16, 30], [0, 0, 0]], [[0, 0, 0], [7727, 8322, -5017/2], [14339/2, 13443/2, -8973/4], [9/2, -5/2, -3/4]], [[0, 0, 0], [18540859384, 2310293946, -4363962093], [16447284011, 2049363403, -7742295193/2], [5279201, 657353, -2484395/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 28, 2], [0, -4, 6], [0, 0, 0]], [[0, 0, 0], [148, -150, 173/2], [-105/2, 201/2, -97/4], [3/2, -3/2, 5/4]], [[0, 0, 0], [-852715, -107709, 201195], [93193, 12196, -44409/2], [-9462, -1197, 4465/2]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 6, 30], [4, -2, 8], [0, 0, 0]], [[0, 0, 0], [-21933, 66706, -32331/2], [-31437/2, 59915/2, -30717/4], [13/2, -1/2, 1/4]], [[0, 0, 0], [-4757908, -448058, 1040588], [2629470, 401702, -655173], [-5046, -638, 1189]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -28, 16], [8, 10, -10], [0, 0, 0]], [[0, 0, 0], [37601, 256712, -270111/2], [-414357/2, -234689/2, 418027/4], [1/2, 7/2, 1/4]], [[0, 0, 0], [-208744157, -21879557, 47287850], [386385168, 46519791, -90174335], [-3565, -412, 833]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[224, 32, -48]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-14, 8, 32], [-8, 0, 38], [0, 0, 0]], [[0, 0, 0], [111495, 83247, 27919/2], [-131833/2, 136131/2, 242251/4], [5/2, -3/2, -3/4]], [[0, 0, 0], [-202308428, -25217717, 47627255], [26929730, 3326264, -6315824], [-2152, -279, 511]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 28, 18], [12, -2, 0], [0, 0, 0]], [[0, 0, 0], [-189461, 38075, 80052], [-68184, -7263, 18139], [-1, 6, 1]], [[0, 0, 0], [-2337845772, -292061816, 1105488861/2], [-2052292695/2, -261443997/2, 971294121/4], [57909/2, 18507/2, -36417/4]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[448, 64, -128]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32, 32, 40], [36, 8, 4], [0, 0, 0]], [[0, 0, 0], [-2185577, 4093131/2, -471419/2], [-1208804, 587816, 25608], [4, -7/2, 1/2]], [[0, 0, 0], [13768096, 3657692, -2601664], [10508868, 1806674, -2340834], [-28, -6, 6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-132, 90, -26], [-448, 6, -2], [0, 0, 0]], [[0, 0, 0], [7308204, -12095190, 4566260], [169309136/11, -106309366/11, 70874446/11], [-28/11, 36/11, 2/11]], [[0, 0, 0], [20059552, 8754955/2, -10726549/2], [1052609060/11, 166685130/11, -250683542/11], [-87/11, -23/22, 47/22]]], 0, 786432, [], [] >,
< [ 2, -4, -1, 1 ], [[448, 64, -128]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 80, 60], [28, 28, 8], [0, 0, 0]], [[0, 0, 0], [1297091, -2899933, 859374], [156564, -168874, 6918], [7, 2, 1]], [[0, 0, 0], [54864185, 165907801/2, -94145961/2], [51967212, 10060536, -14192232], [5480, 1551/2, -2585/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [108, -70, 26], [340, 10, -10], [0, 0, 0]], [[0, 0, 0], [-73163, 23075/2, 44309/2], [-3254668/11, 215506/11, 1042510/11], [18/11, 103/22, -1/22]], [[0, 0, 0], [-45454500, -15647415/2, 22342809/2], [-194486136, -27448586, 45539882], [3081, -507/2, -1053/2]]], 0, 786432, [], [] >,
< [ 2, -4, -1, 1 ], [[136, 32, -40]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [68, -22, 18], [52, 5, 5], [0, 0, 0]], [[9, 11/2, 5/2], [-103016807, -50256761/4, 96524735/4], [-92646768, -22889537/2, 43527915/2], [9/2, 11/4, 5/4]], [[-29707, -6222, 8601], [520645114761/2, 65583925915/2, -61419769723], [234328960481, 29319649619, -55202420158], [-29707/2, -3111, 8601/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [124, 68, 0], [-222, -11, -1], [0, 0, 0]], [[-253, -33, 0], [-605687761/2, -31487610, 149249797/2], [449366023, 23652761, -97335674], [-23/2, -3/2, 0]], [[394974450, 179134371/2, -230587461/2], [916489875301221/2, 230692155260211/4, -430338939356875/4], [-7265960030317871/11, -2268735205712555/22, 3605608744619895/22], [197487225/11, 179134371/44, -230587461/44]]], 0, 12288, [], [] >,
< [ 2, -4, -1, 1 ], [[320, 0, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 80, 54], [0, 22, 6], [0, 0, 0]], [[0, 0, 0], [81272, 38587, -11176], [15797, 2247, -937/2], [-1, -4, -5/2]], [[0, 0, 0], [1858898670, 233233724, -443582534], [322669468, 36399534, -75221442], [-66784, -6560, 16144]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48, -28, -20], [-4, -6, -2], [0, 0, 0]], [[0, 0, 0], [45949, -140741, 58573], [-1611, 1460, 1143/2], [-2, -3, 1/2]], [[0, 0, 0], [-2169544, -60, 407356], [-225492, -27710, 54492], [-936, -116, 218]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[320, 0, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-390, 636, 446], [412, -660, -460], [0, 0, 0]], [[0, 0, 0], [5372710, -8602624, -5753028], [-5547202, 9013548, 5873823], [4, 4, -1]], [[0, 0, 0], [-7833441498, -977905289, 1843580766], [537225941, 69352809, -253190217/2], [-905369, -112778, 426139/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-68, -52, -36], [-4, -16, -8], [0, 0, 0]], [[0, 0, 0], [-2629239, 2704620, -760182], [-205753, -868, 38319/2], [4, 4, -1/2]], [[0, 0, 0], [7171261371, 1544438117, -2005700473], [982477463, 123085034, -480714059/2], [-28714, -2303, 14259/2]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[320, 0, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, 4, 0], [4, -8, 0], [0, 0, 0]], [[0, 0, 0], [32222, 4027, -7607], [254, 116, -70], [8, 1, 1]], [[0, 0, 0], [22426732, 2796138, -5278169], [202283, 26945, -99009/2], [6145, 485, -2911/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [108, 44, 28], [4, 2, 10], [0, 0, 0]], [[0, 0, 0], [5841732, 964143, -1264720], [292753, 79813, -101217/2], [-3, 0, -5/2]], [[0, 0, 0], [-2662928859, -327192928, 628221184], [-141601119, -16747820, 67093433/2], [1538, 308, -923/2]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[320, 0, -64]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [94, 4, 2], [0, -4, 0], [0, 0, 0]], [[0, 0, 0], [2895262, 702383, -702263], [-59678, -1260, 1174], [4, 1, 1]], [[0, 0, 0], [276872577822, 34168846037, -65799292970], [-5458043653, -578108289, 2609350489/2], [432165, 36378, -215307/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 24, 0], [16, -6, 2], [0, 0, 0]], [[0, 0, 0], [43, -103, -3], [13, -14, -33/2], [0, -5, 5/2]], [[0, 0, 0], [-1488, 60, 470], [538, 184, -61], [-394, -50, 91]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[128, 0, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [86, 0, -16], [-12, -6, -4], [0, 0, 0]], [[0, 0, 0], [8498785, -3899382, 192229/2], [-3478145/2, 2719203/2, -3150417/4], [13/2, -1/2, -3/4]], [[0, 0, 0], [3215837399, -189200162, -1012021587/2], [-1300311749/2, 292052403/2, 127193227/4], [5589/2, 351/2, -2295/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 4, -18], [4, -2, -4], [0, 0, 0]], [[0, 0, 0], [26633, 6605, -11505/2], [8003/2, 2511/2, -2697/4], [-7/2, 5/2, 1/4]], [[0, 0, 0], [2729058, 366365, -1316435/2], [853679/2, 110605/2, -411221/4], [-473/2, 43/2, 129/4]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[128, 0, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, -2, -44], [8, 0, -40], [0, 0, 0]], [[0, 0, 0], [15940, -31387, -24578], [19489, -29357, -49485/2], [-11, -2, -1/2]], [[0, 0, 0], [1828337691, 266278328, -889122387/2], [-195319641/2, 58674887/2, 29402871/4], [10353577/2, 1372255/2, -4942859/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 12, 4], [12, 2, 2], [0, 0, 0]], [[0, 0, 0], [9120, 944, -10847/2], [6761/2, 6719/2, -13479/4], [5/2, -5/2, -1/4]], [[0, 0, 0], [-17922372, -2374448, 4291502], [-8985320, -1319346, 2205140], [-2760, -248, 612]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[128, 0, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -6, 10], [-4, 10, 0], [0, 0, 0]], [[0, 0, 0], [-22485, -2667, 11345/2], [4429/2, 1417/2, -1855/4], [7/2, 3/2, -1/4]], [[0, 0, 0], [-4317243, 1288148, 478261/2], [1593059/2, -1950705/2, 1090179/4], [1393/2, 31/2, -511/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, -52, -8], [-12, 2, -6], [0, 0, 0]], [[0, 0, 0], [9305, -545379, -314745], [-16675, -133438, -121769/2], [2, 3, 1/2]], [[0, 0, 0], [-1372324236, -220634948, 658335251/2], [-830928753/2, -63558783/2, 343711063/4], [32155/2, 777/2, -12143/4]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[128, 0, -32]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 8, -30], [0, 8, -22], [0, 0, 0]], [[0, 0, 0], [-7332, 15278, 6850], [-6914, 11468, 5279], [-4, -6, -1]], [[0, 0, 0], [-35978081, -5475286, 17763523/2], [18924845/2, 715345/2, -7533739/4], [371847/2, 46893/2, -175497/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -68, -24], [-12, -10, -6], [0, 0, 0]], [[0, 0, 0], [-133433, 201791, 157907], [-35435, 52104, 76091/2], [0, -3, 1/2]], [[0, 0, 0], [1141858, 130642, -487879/2], [1621917/2, 227271/2, -765507/4], [885/2, 87/2, -397/4]]], 0, 24576, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-42, 24, 22], [12, 10, 2], [0, 0, 0]], [[0, 0, 0], [171804, -394677, 126542], [-12107, 8371, -10045/2], [-3, -4, -1/2]], [[0, 0, 0], [506269793, -518939142, 261317641/2], [-396533393/2, -9206861/2, 154256495/4], [-204747/2, -27101/2, 99181/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, -48, 0], [0, 10, -10], [0, 0, 0]], [[0, 0, 0], [-14, -341, -1131/2], [459/2, -847/2, -153/4], [3/2, -5/2, -3/4]], [[0, 0, 0], [8597644, 1071770, -2024177], [-621739, -78429, 293245/2], [-4515, -567, 2127/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 24, 32], [20, 16, 20], [0, 0, 0]], [[0, 0, 0], [-59215, -35161, 10839/2], [-158121/2, -60065/2, 52043/4], [1/2, 1/2, -3/4]], [[0, 0, 0], [10286754, 1297851, -2433361], [12461132, 1566292, -2942401], [-80, -13, 20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32, 40, 36], [-4, 10, 10], [0, 0, 0]], [[0, 0, 0], [-2470623, -161011, 894879/2], [-244589/2, -3321/2, 26327/4], [9/2, -3/2, 1/4]], [[0, 0, 0], [12667452, 1573650, -6003091/2], [1262629/2, 151919/2, -610147/4], [-39/2, -5/2, 19/4]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[-26, -2, 7]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -5, -2], [-10, -13, -3], [0, -5, -2], [0, 0, 0]], [[-1290, 1511, -1025/2], [-4948, 3521/2, -219/2], [-2589/2, 3029/2, -2053/4], [-5/2, 1, 1/4]], [[843950, -10807/2, -315957/2], [9725709/2, 434410, -1087837], [1695075/2, -10407/2, -634889/4], [2300, 475/2, -2025/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 1, -2], [16, -5, -1], [-2, 1, -2], [0, 0, 0]], [[564, 551/2, 198], [-10379/2, -263/2, 1061], [1137/2, 535/2, 801/4], [1, -1, 5/4]], [[11701177, 1507228, -5478731/2], [-79757365, -9957244, 37569239/2], [11720617, 1510108, -5488331/2], [12720, 1800, -3000]]], 1, 32, [], [] >,
< [ 2, -4, -1, 1 ], [[94, -2, -21]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17, -5, -1/2], [35, 11, -41/2], [-17, -5, -1/2], [0, 0, 0]], [[-26705, 117921, -110561/2], [-288688, 665569, -247622], [-53409/2, 235855/2, -221121/4], [15/2, 1/2, -1/4]], [[206025485, 23399515, -94431611/2], [-370455586, -59724607, 93477955], [412140781/2, 46809893/2, -188905603/4], [190485/2, 23715/2, -89811/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19, 9, -3/2], [21, 37, -31/2], [-19, 9, -3/2], [0, 0, 0]], [[-20066, 85778, -7927], [-43829, 51605, -212233/2], [-40133/2, 171547/2, -31721/4], [-11/2, -7/2, 1/4]], [[178960593, 18555495, -80450195/2], [-407876088, -61669351, 99534833], [357857381/2, 37102793/2, -160870395/4], [-135807/2, -16905/2, 63805/4]]], 0, 16384, [], [] >,
< [ 2, -4, -1, 1 ], [[30, -2, -5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17, -3, -1/2], [9, -45, -63/2], [-17, -3, -1/2], [0, 0, 0]], [[-103068, -188140, 98978], [-109351, -374183/2, 197545/2], [-103067, -188143, 98979], [0, -1/2, 1/2]], [[-271638168, -33248428, 63674756], [-280959999, -34431711, 131730991/2], [-543276951/2, -66496915/2, 254699293/4], [-405/2, -37/2, 195/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, 1, -5/2], [-17, -3, -13/2], [11, 1, -5/2], [0, 0, 0]], [[-9, 2, 1/2], [25, -67/2, -45/2], [-19/2, -3/2, 7/4], [-9/2, 1, 1/4]], [[-1626, -144, 384], [-921, 2887, 1905], [-2010, -189, 504], [-813, -72, 192]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[30, -2, -5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19, 1, -1/2], [63, -85, -33/2], [19, 1, -1/2], [0, 0, 0]], [[-1909319, -238190, 899377/2], [-1903444, -490837/2, 898133/2], [-3818633/2, -476395/2, 1798757/4], [-5/2, 2, -5/4]], [[26447248822, 3294526984, -6224159025], [26414884852, 3290927849, -6216405605], [26447260522, 3294528804, -6224161690], [25220, 3185, -5850]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-23, -9, -3/2], [-29, -15, -1/2], [-23, -9, -3/2], [0, 0, 0]], [[-21980, -12560, 9420], [-32579, -13853/2, 8955], [-43965/2, -25127/2, 37689/4], [-3/2, -2, 1/4]], [[1434980, 150720, -335980], [1875030, 216256, -445717], [1435218, 150686, -336065], [34, 170, 85]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[30, -2, -5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 8, 0], [-36, 52, 11], [-6, 8, 0], [0, 0, 0]], [[-25, 1, 9/2], [-88, 6, 29/2], [-26, 1, 6], [-2, 1, 1/2]], [[-10450, -1254, 2451], [-36401, -8699/2, 8521], [-21535/2, -2523/2, 10219/4], [-1285/2, -55, 635/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 7, -1/2], [-15, 37, 21/2], [-1, 7, -1/2], [0, 0, 0]], [[-18502, -3190, 4466], [-38644, -18989/2, 8373], [-37001/2, -6379/2, 17861/4], [7/2, 0, -3/4]], [[57902357, 7982163, -26987313/2], [123300081, 21102725, -53505789/2], [57897377, 7981727, -26984213/2], [-10396, -940, 2490]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[30, -2, -5]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 1, 1/2], [-5, 31, 33/2], [7, 1, 1/2], [0, 0, 0]], [[-36426, -4602, 8463], [-62639, -19425/2, 13762], [-72851/2, -9211/2, 33851/4], [-5/2, 0, -1/4]], [[271370970, 33821190, -63907623], [474506945, 58579136, -111912413], [271380608, 33820641, -63909575], [18727, 2867, -4819]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -5, 1/2], [7, -23, -23/2], [-1, -5, 1/2], [0, 0, 0]], [[39, -585, 195/2], [732, -4123/2, -875], [38, -587, 191/2], [-4, -5/2, 1/2]], [[-498576, -62868, 118014], [-1005652, -122490, 478875/2], [-1008233/2, -127095/2, 477283/4], [-23521/2, -2927/2, 11081/4]]], 0, 256, [], [] >,
< [ 2, -4, -1, 1 ], [[-24, 0, 4]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 7, 4], [4, 1, -2], [0, 0, 0]], [[-1, -13/2, 7/2], [-8851/2, -1142, 10857/2], [-1921, 1831, -1689/2], [-1/2, -2, 1]], [[692, 183/2, -159], [1546527/2, 143545, -310581/2], [536453/2, 57953/2, -263639/4], [258, 65/2, -241/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 0, 4], [4, 2, -4], [0, 0, 0]], [[-7, 11/2, 2], [-29949/2, -5179/2, 4219], [-25559/2, -1913/2, 10181/4], [-2, 1, 1/4]], [[26999, 8085/2, -5929], [210651505/2, 26460159/2, -24744568], [175020909/2, 21684977/2, -82457031/4], [10143, 1323, -9359/4]]], 1, 64, [], [] >,
< [ 2, -4, -1, 1 ], [[424, 40, -92]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [510, -754, -577], [90, -142, -105], [0, 0, 0]], [[-17, -9, -5/2], [2632040, 320932, -623720], [-17501/2, -5037/2, 5279/4], [-17/2, -9/2, -5/4]], [[-842, 3176, -1197], [-46949228, -5283553, 10811973], [191675, -33471, -39783/2], [-421, 1588, -1197/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, 50, -3], [-2, 2, -1], [0, 0, 0]], [[8, -10, -2], [-111620, -817, 12490], [1784, 2968, -1421], [4, -5, -1]], [[7113, 1479, -3451/2], [-282548478, -36212397, 67272070], [14973913/2, 1523341/2, -6784687/4], [7113/2, 1479/2, -3451/4]]], 0, 32768, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 36, -12], [-8, 8, -2], [0, 0, 0]], [[5, 2, -3/2], [124, -2139/2, -1295/2], [-455/2, -147/2, 95/4], [5/2, 1, -3/4]], [[8904, 904, -2252], [-1419132, 844292, 896183], [-429104, -6962, 126425], [4452, 452, -1126]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, 48, 29], [8, 10, 1], [0, 0, 0]], [[-11, 4, -5/2], [-289215, 1388763/2, -314911/2], [-113621/2, 459745/2, -298771/4], [-11/2, 2, -5/4]], [[-1653945, -189570, 787035/2], [532074426, 186316863/2, -970333477/2], [11817940907/2, 1630909211/2, -5909315159/4], [-1653945/2, -94785, 787035/4]]], 0, 512, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -4, 3], [-4, -6, 3], [0, 0, 0]], [[-5, 2, -1/2], [-9896, 435/2, 7651/2], [-19041/2, -6377/2, 8061/4], [-5/2, 1, -1/4]], [[9918, 986, -2523], [20271294, 3659910, -4133564], [25105077, 2527311, -12449363/2], [4959, 493, -2523/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 8, 10], [8, 4, 0], [0, 0, 0]], [[-7, 3, -1/2], [-1579, 2653, -184], [3235/2, 1085/2, -1397/4], [-7/2, 3/2, -1/4]], [[-200, -33, 55], [-7189, -26565/2, 2011/2], [64687, 5960, -15928], [-100, -33/2, 55/2]]], 0, 512, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-42, 94, 17], [-30, 64, 1], [0, 0, 0]], [[10, -3, 0], [-132625, 1277309/2, 53397/2], [-194018, 446740, -56485/2], [5, -3/2, 0]], [[137049, 17072, -64515/2], [2777860954, 687014393/2, -1309657171/2], [320689225/2, 37320611/2, -152695865/4], [137049/2, 8536, -64515/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-54, 98, 31], [-42, 72, 35], [0, 0, 0]], [[-6, 0, 1], [84102, -14835, -34408], [38507, -18865, -44799/2], [-3, 0, 1/2]], [[49, 6, -23/2], [96, 23/2, -45/2], [121/2, 15/2, -57/4], [49/2, 3, -23/4]]], 0, 512, [], [] >,
< [ 2, -4, -1, 1 ], [[40, 8, -12]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38, 56, 43], [-30, 46, 39], [0, 0, 0]], [[10, -3, 1], [-4266, 13897/2, 8799/2], [-5737, 11236, 2093], [5, -3/2, 1/2]], [[22064401, 2748572, -10385329/2], [-52062061, -12873511/2, 24556493/2], [76524119/2, 9632635/2, -35938567/4], [22064401/2, 1374286, -10385329/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -8, 7], [18, -32, -11], [0, 0, 0]], [[9, 5, 1/2], [-27764, 71322, -25583], [-58403/2, 146041/2, -99223/4], [9/2, 5/2, 1/4]], [[-309045, -38500, 145475/2], [-4169732, 1314963/2, 957473/2], [16770275/2, 4465229/2, -9916603/4], [-309045/2, -19250, 145475/4]]], 0, 512, [], [] >,
< [ 2, -4, -1, 1 ], [[-32, -8, 8]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -14, -2], [-2, -4, 2], [0, 0, 0]], [[2, -7/2, -3/2], [-1231/2, 613, 1191/2], [-616, -105, 323/2], [1/2, -1, 0]], [[0, 0, 0], [-616, -111, 123], [-2056, -255, 483], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -7, -7], [-10, -1, -5], [0, 0, 0]], [[15, -53/2, -43/2], [74093/2, 33161/2, -12055], [38324, 21242, -29845/2], [-3/2, -5/2, -5/2]], [[-14196, 3380, 6760], [209304976, 23203304, -48363938], [223710680, 23834076, -51137016], [-16224, -1690, 4394]]], 0, 384, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 0, 2], [16, -2, 2], [0, 0, 0]], [[0, 0, 0], [-402, -1601, -2752], [-2339, 4589, 14223/2], [-1, 0, -1/2]], [[0, 0, 0], [2378410, 436723/2, -1037239/2], [-1910628, -90769, 734869/2], [1490, 305/2, -335]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 0, 6], [-20, -6, 4], [0, 0, 0]], [[0, 0, 0], [-30, 221/2, 163/2], [2, 203, -401/2], [2, 3/2, -1]], [[0, 0, 0], [-8, 34, 28], [0, 66, -66], [0, 0, 0]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 10, -6], [-20, -4, 2], [0, 0, 0]], [[0, 0, 0], [-57, 155/2, -73/2], [152, -148, -265/2], [3, -5/2, 1]], [[0, 0, 0], [55428, 2621, -10637], [-104082, -5998, 28568], [-3906, -341, 837]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -4, -2], [-20, -10, -8], [0, 0, 0]], [[0, 0, 0], [26277, 2567/2, -11789/2], [-117904, -14154, 47097/2], [-5, 3/2, -2]], [[0, 0, 0], [1, -3/2, 1/2], [-4, 4, -1/2], [-1, 1/2, 0]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38, -46, -20], [2, 4, -8], [0, 0, 0]], [[0, 0, 0], [1094620, 187095/2, -586375/2], [197380, 7672, -97985/2], [4, -5/2, 0]], [[0, 0, 0], [-1580330927, -417587511/2, 744513645/2], [-281808970, -31977385, 128249725/2], [-4725, 1827/2, 441]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, -22, -26], [-2, -4, -6], [0, 0, 0]], [[0, 0, 0], [-13440, 112305/2, 105701/2], [-19713, 4133, 21410], [5, -1/2, -3/2]], [[0, 0, 0], [15445653, -4346049/2, -4558621/2], [-6210586, -3606495, 5134453/2], [2501, 509/2, -560]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[64, 0, -16]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 16, 16], [6, -2, 8], [0, 0, 0]], [[0, 0, 0], [-512622, -37955/2, 299859/2], [-373004, -36020, 202191/2], [-2, 1/2, 1]], [[0, 0, 0], [-78544677, -18705211/2, 36661225/2], [-59248166, -6702447, 27330309/2], [-251, -41/2, 55]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -20, -16], [-6, -10, 0], [0, 0, 0]], [[0, 0, 0], [938, -3819/2, 815/2], [-562, 1964, -1585/2], [2, 5/2, 1]], [[0, 0, 0], [-3806358, 8211717, -2807521], [2995420, -9803476, 3639557], [-15086, -779, 3040]]], 0, 3072, [], [] >,
< [ 2, -4, -1, 1 ], [[608, 96, -144]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 28, 6], [-12, -16, 0], [0, 0, 0]], [[0, 0, 0], [-2802, 1040, 8201], [5391, -1341, -10141/2], [-7, -1, -3/2]], [[0, 0, 0], [-170, -21, 40], [-75, -9, 35/2], [-49, -6, 23/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 24, 10], [-12, 16, 4], [0, 0, 0]], [[0, 0, 0], [2392, 28391, 14572], [-14561, 11139, 19809/2], [7, -2, 5/2]], [[0, 0, 0], [330533026, 62112198, -65940135], [-134012187, -7869339, 73943541/2], [116235, 21771, -56457/2]]], 0, 196608, [], [] >,
< [ 2, -4, -1, 1 ], [[-240, -24, 56]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48, 6, -6], [-48, 4, -4], [0, 0, 0]], [[2, -5/2, -3/2], [-335/2, -47/2, 40], [-165, -28, 38], [3/2, -1/2, -1]], [[-2376, 308, 500], [727426, 92341, -171881], [727118, 93645, -172069], [-4444, -688, 1188]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [52, 29, 5], [32, 3, -1], [0, 0, 0]], [[5, -11/2, -1/2], [-3214913/2, -1422863, 1509435/2], [-433149, -1664398, 756203], [9/2, 2, -5/2]], [[19600, -12985/2, -12495/2], [-26485149671/2, -5880025199/2, 3258201520], [-6333824945, -2164577135, 1984619245], [65415/2, 7105/2, -9800]]], 0, 6144, [], [] >,
< [ 2, -4, -1, 1 ], [[256, 0, 0]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 16, -28], [-36, 64, -12], [0, 0, 0]], [[0, 0, 0], [27062, -41461, -25355], [-18302, 4582, 17156], [0, 5, 1]], [[0, 0, 0], [-1684664, -209526, 396104], [10779582, 1343802, -2537213], [-2086, -260, 491]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -64, 52], [8, -4, -12], [0, 0, 0]], [[0, 0, 0], [-182402, -56329, 60763], [-124688, -14144, 27287], [6, 3, 2]], [[0, 0, 0], [-6606663054, -810686328, 1548999890], [-4232259996, -527969762, 996589240], [265482, 33110, -63210]]], 0, 3145728, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -20, 28], [-36, 74, 6], [0, 0, 0]], [[0, 0, 0], [-2177, 1035/2, 5165/2], [-3235, 5321, 2013], [-4, 5/2, -1/2]], [[0, 0, 0], [-63717777, -7955140, 14986485], [-13305590, -1682463, 3116597], [-137511, -17127, 32362]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -6, 34], [40, -88, 8], [0, 0, 0]], [[0, 0, 0], [-50180, -22859/2, 20049/2], [4701, 1418, 1509], [-5, 9/2, -1/2]], [[0, 0, 0], [37, 9/2, -17/2], [-55, -7, 13], [-36, -9/2, 17/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 0, -24], [-8, 22, -18], [0, 0, 0]], [[0, 0, 0], [102205, -238806, 8349], [102650, -270341, 64259], [-5, -1, 2]], [[0, 0, 0], [738912132, 180429691/2, -351278621/2], [915693173, 114022068, -216573120], [444329, 110755/2, -209117/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 38, -6], [64, -150, 34], [0, 0, 0]], [[0, 0, 0], [566, -98, -1752], [164, -2324, 5194], [2, -4, 0]], [[0, 0, 0], [66300653, 16519691/2, -31205631/2], [111144497, 13843549, -26158231], [58888, 14673/2, -27717/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -36, -34], [-2, -2, -8], [0, 0, 0]], [[0, 0, 0], [99591, 31403/2, -40655/2], [32943, 4082, -6897], [-2, -5/2, -5/2]], [[0, 0, 0], [2113437808, 527200637/2, -986557707/2], [688376237, 83875057, -160407891], [-76755, -15953/2, 27391/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, 38, 2], [-16, -6, 10], [0, 0, 0]], [[0, 0, 0], [-164277, 136615, 74076], [-117680, 8179, 55361], [-5, -2, 1]], [[0, 0, 0], [-144184005, 13750013/2, 115909279/2], [-163476239, -4331376, 44272428], [-8602, -2431/2, 3655/2]]], 0, 49152, [], [] >,
< [ 2, -4, -1, 1 ], [[416, 64, -96]], [ -2, 5, -2 ], [ -9, -1, 2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, 36, 18], [10, 2, 8], [0, 0, 0]], [[0, 0, 0], [3317, -18107/2, 8843/2], [-5327, 12134, -3808], [-2, -11/2, -1/2]], [[0, 0, 0], [-43222, 361416, -183726], [-933128, -600286, 413326], [-11514, -1254, 2736]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38, -58, -8], [-42, -8, 2], [0, 0, 0]], [[0, 0, 0], [-299202, -70187/2, 129729/2], [-200381, -29557, 48055], [-5, 3/2, -5/2]], [[0, 0, 0], [-445330694, -55628846, 104581784], [-300961490, -37630688, 70821948], [-7100, -960, 1530]]], 0, 49152, [], [] >,
< [ 1, -4, -1, 1 ], [[0, 1, 1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [-1, 0, 0], [0, 0, 0]], [[17/2, 15/2, 1/2], [17/6, 5/2, 1/6], [-15/2, 6, -3/2], [-5/2, 2, -1/2]], [[5395/2, -25389/2, -17455/2], [5395/6, -8463/2, -17455/6], [-541/2, 3336, -496], [-541/6, 1112, -496/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[37, 0, -1], [79/21, 80/7, 29/21], [-15/7, 20/7, 3/7], [0, 0, 0]], [[195895/2, 97440, -99673/2], [994793/42, -91821/7, 384343/42], [-15719/7, -159713/14, 90163/14], [-4/3, -5/2, -1/6]], [[-56677803, -14306019, 27353235], [-325462658/21, 130614623/7, 227162147/21], [11961561/14, 40940009/7, 2920903/7], [9947/6, -2401, -6517/3]]], 4, 2, [], [] >,
< [ 1, -4, -1, 1 ], [[1, -2, -1]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[-11, -3/2, 3], [-1/7, 3/14, -1], [-8, 1/2, 3/2], [-8/7, 1/14, 3/14]], [[-185/2, 143/2, 151/2], [465/14, -1655/14, -1439/14], [-70, 76, 40], [-10, 76/7, 40/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 0], [-1/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[11/2, 23/2, -3/2], [29/2, -1/2, -3/2], [21/2, 0, 0], [3/2, 0, 0]], [[-1191/2, 936, 2201/2], [-26491/42, 6886/21, 8621/42], [-1750/3, 2045/3, 1220/3], [-250/3, 2045/21, 1220/21]]], 4, 2, [], [] >,
< [ 1, -4, -1, 1 ], [[-2, 5, 4]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 0], [-1/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[15/2, -16, -3/2], [31/2, 8/7, 11/14], [-9, 2, -2], [-9/7, 2/7, -2/7]], [[-431, 1559, 931], [1315/7, -5183/7, -3999/7], [-257/2, 977/2, 413], [-257/14, 977/14, 59]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 0, 0], [1, 0, 0], [0, 0, 0]], [[259/2, -27/2, 3/2], [-5153/154, -127/154, -145/154], [-241/22, -1/22, -2/11], [-241/154, -1/154, -2/77]], [[-56143643/2, 62242459, 106932435/2], [1541079329/154, -1980451505/77, -3107422057/154], [33267936/11, -82866914/11, -65974428/11], [33267936/77, -82866914/77, -65974428/77]]], 3, 6, [], [] >,
< [ 1, -4, -1, 1 ], [[-1, -2, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 25/2, -31/2], [-27, -24, -37/2], [-24, 9/2, 5/2], [-2, -2, -3/2]], [[-327191/2, 1166839/2, -70353/2], [-403754, 1342835/2, 590561/2], [-177739, 110375, -42179/2], [-31195, 52870, 48365/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, 10, -3/2], [-53/2, -9/2, 1/2], [-35/2, -3/2, 1/2], [0, 0, 0]], [[-339069/2, 1136019/2, -175330], [-3544853/6, 572237/3, -397103/6], [-1186766/3, 543430/3, -160814/3], [7/6, -11/6, -5/6]], [[736612171/2, -1294902194, 396963265], [3351725687/3, -2714456939/6, 641855888/3], [2260839745/3, -2553980155/6, 483934180/3], [-7372/3, 13490/3, 6080/3]]], 3, 4, [], [] >,
< [ 1, -4, -1, 1 ], [[2, -2, -1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 0, 0], [1/2, 0, 0], [1, 0, 0], [0, 0, 0]], [[103, 3/2, 1/2], [27, -7/2, 3/2], [11/2, 3, -1], [11/6, 1, -1/3]], [[75238, 48885, -106342], [49376/3, 24471, -93608/3], [12931/2, -6132, -6367/2], [12931/6, -2044, -6367/6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 0, 0], [1, 0, 0], [0, 0, 0]], [[-1479/2, -3/2, -9/2], [-17161/42, 85/14, 397/42], [185/7, -15/14, -25/14], [37/21, -1/14, -5/42]], [[235206404, -348157299, -382452583/2], [2516937880/21, -1099571435/7, -3539926325/42], [-47309405/7, 46826805/7, 46889035/14], [-9461881/21, 3121787/7, 9377807/42]]], 3, 6, [], [] >,
< [ 1, -4, -1, 1 ], [[0, -7, -1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -9/2, -1/2], [-7/3, -3/2, -1/6], [73, 0, 3], [0, 0, 0]], [[-527647, -6294, 36401/2], [-527639/3, -2100, 36409/6], [8022584, -14807093, 5001732], [-4/3, 1, -2/3]], [[3205829684, 10832090535/2, 818354735/2], [3205829384/3, 3610540375/2, 818292455/6], [-750, -371222740593/2, 61870183328], [50, 78235/2, 5190]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-527/2, 5, -3], [-149/2, 7, -5], [10, 4, -3], [0, 0, 0]], [[41653853, 293277551/2, 34396087/2], [202381643/21, 683673339/14, 241798349/42], [-22298993/7, -239389/7, 128137/7], [-2/21, 4/7, -1/21]], [[7151212334707, 7290393019182, 761678884491], [40180371926497/21, 16316993806537/7, 6952834341998/21], [-2469528615222/7, -1040823938715/14, 810549798985/14], [-46/7, 252251/14, 36123/14]]], 1, 60, [], [] >,
< [ 1, -4, -1, 1 ], [[0, -16, -16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26/3, -8, -4/3], [10, -2, -4], [0, 0, 0]], [[0, 0, 0], [4324/3, -7130, 7682/3], [2720, -12006, 4381], [-4/3, 2, 1/3]], [[0, 0, 0], [-9200/3, 2530, -4186/3], [792, 6480, -3198], [-20, 4, 10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-258/7, 288/7, 46/7], [72/7, 86/7, 8/7], [0, 0, 0]], [[0, 0, 0], [-29804738/21, -23608022/7, 64482944/21], [6265839/7, 3168381/7, 2348881/7], [-25/3, -5, -5/3]], [[0, 0, 0], [-9627491704/21, 19241703624/7, -25957605218/21], [-638454818/7, 1020911324/7, -929871891/7], [1886/3, -276, 2047/3]]], 0, 2016, [], [] >,
< [ 1, -4, -1, 1 ], [[-16, 32, 16]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 10, 10], [8, -6, 6], [0, 0, 0]], [[0, 0, 0], [17970/7, 24068/7, 656], [-5773, 4323, 146], [-13/7, 3/7, 2/7]], [[0, 0, 0], [291840/7, 710602/7, 421914/7], [-75104, -110288, 98776], [-32, -128/7, 136/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, -2, -2], [10, 6, -4], [0, 0, 0]], [[0, 0, 0], [25420/21, -16082/21, -17672/21], [845/3, -4/3, -292/3], [-19/3, -16/21, -4/21]], [[0, 0, 0], [1077040, -3415970, -2333700], [85872, -178056, -132820], [0, -2390, -4780]]], 0, 6048, [], [] >,
< [ 1, -4, -1, 1 ], [[32, -80, -64]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38, 0, -2], [-10, -8, 4], [0, 0, 0]], [[0, 0, 0], [-8377856/7, -11909664/7, -1812740/7], [-472324, -97868, -7483], [44/7, -4/7, 5/7]], [[0, 0, 0], [-149001942252, 2790947592422/7, 1958948394570/7], [-22872651474, 39411363646, 33291240444], [1917126/7, -3101834/7, -2923836/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [172, 2, -28], [4, -2, 10], [0, 0, 0]], [[0, 0, 0], [-2708900738/77, -428003582/77, 619127650/77], [-9349009/11, -406451/11, -960260/11], [-153/77, 3/11, -4/77]], [[0, 0, 0], [-25871409108086/11, -29634855631008/77, 50879846088474/77], [-3336918261268/11, 9596695619960/11, 7134714182775/11], [-30058004/77, 70525816/77, 57736759/77]]], 0, 24192, [], [] >,
< [ 1, -4, -1, 1 ], [[16, 32, 0]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -2, 10], [8, -8, 8], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [2, 0, 1], [1, 0, 0]], [[0, 0, 0], [186, -88, -90], [270, -42, -86], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-116, 4, -16], [-128, -2, -10], [0, 0, 0]], [[0, 0, 0], [3235575, 284354, -2260057], [3588677, 304007, -2250593], [-4, -6, -1]], [[0, 0, 0], [47226876734/3, -22104262231/3, 57984956246/3], [51208251262/3, -15999093338/3, 52172688823/3], [-130663/3, 198536/3, 85514/3]]], 0, 16128, [], [] >,
< [ 1, -4, -1, 1 ], [[-32, 32, 16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10/3, -6, -10/3], [-2, 2, 0], [0, 0, 0]], [[0, 0, 0], [15004/3, 4232, 3254/3], [-5037, -836, 835], [-1/3, 0, 1/3]], [[0, 0, 0], [-78, -78, -14], [78, 26, -18], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1774/3, 100, 472/3], [-4, -6, -10], [0, 0, 0]], [[0, 0, 0], [-9596994226/21, -1275156314/7, 4028165620/21], [-10140300/7, -113984670/7, 9334065/7], [12/7, -2/7, -1/7]], [[0, 0, 0], [2514469148/21, -6803910740/7, -13287972116/21], [-258363815/7, 889465875/7, 602710040/7], [5/21, -3/7, -8/21]]], 0, 24192, [], [] >,
< [ 1, -4, -1, 1 ], [[0, 112, 16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [70/3, 8, 2/3], [56, 4, -10], [0, 0, 0]], [[0, 0, 0], [-4360/3, -11394, -26228/3], [-10606, 879, -144], [-4/3, 3, -2/3]], [[0, 0, 0], [-662092/3, 510624, 1219840/3], [-169410, -16220, 99866], [2/3, -48, 16/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1436/3, -16, 46/3], [38, 6, -8], [0, 0, 0]], [[0, 0, 0], [1261463330/7, -1436647190/7, 2143525598/7], [85113727/7, 580803/7, 94377/7], [95/21, 13/7, -5/21]], [[0, 0, 0], [-1232158159782616/7, 5683281229783056/7, -1482541542435434/7], [-7445212788052/7, 48786578463864/7, -13521676030235/7], [-4324/21, 5675848/7, 2444233/21]]], 0, 241920, [], [] >,
< [ 1, -4, -1, 1 ], [[1, -7, -4]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 1/2, 5/2], [2, 1/2, 5/2], [7, 5, 3], [0, 0, 0]], [[-355197, -42739, 73979], [-355193, -299129/7, 517857/7], [-1300200, -440535/2, 600171/2], [-4/7, 1/14, -1/14]], [[789731, 2130651, 969917/2], [790427, 2128083, 966341/2], [7744427/2, 8328767/2, 1371229/2], [-51/2, 201/2, 123/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, 0, -9/2], [-19, -4, -1/2], [24, 4, -4], [0, 0, 0]], [[10875/2, 10617, -10151], [-1418435/42, 245156/21, -130657/21], [235007/6, -3101/3, -11780/3], [-19/6, -8/21, -2/21]], [[-5696644219/2, 8882815835, 4800069645], [-23495117113/14, 94659357755/7, 42883113580/7], [-1166278170, -4645090729, -2665880611/2], [-1106856/7, 9208427/7, 10284537/14]]], 1, 12, [], [] >,
< [ 1, -4, -1, 1 ], [[-2, 1, 3]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -3, 7/2], [17, -1, 3/2], [-19, -2, 2], [0, 0, 0]], [[-410113/2, -137655, 189764], [2992283/2, 861288/7, -680384/7], [-3402391/2, -521393/2, 573923/2], [-11/14, -3/14, 3/14]], [[56841, -418341/2, -261437/2], [118551, -828891/2, -527827/2], [-61710, 205275, 133195], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19/2, 5/2, 1/2], [275/2, 21/2, 17/2], [-64, -4, -4], [0, 0, 0]], [[2028239/2, -30535, -88751/2], [322608681/22, -237232613/77, 15899813/154], [-75075128/11, 16777251/11, -1623819/22], [-73/77, -4/77, 1/154]], [[-195242183077/2, -31592353517/2, 134233585227], [-24343986342631/22, -28293279525215/22, 21887864694837/11], [11098291977985/22, 13972861054083/22, -20411495204981/22], [2469535/22, -1193931/22, -3722243/22]]], 1, 48, [], [] >,
< [ 1, -4, -1, 1 ], [[4, -4, -3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 25/2, -2], [13, 2, -5/2], [-9, 0, -5/2], [0, 0, 0]], [[157595/2, -426591/2, 99329/2], [-354564, -53482, 75743], [506893/2, -20505, 12095/2], [-1/2, 3/2, 5/2]], [[-51035, -9342, 24739/2], [1209655/2, 110087, -289237/2], [-829189/2, -75774, 198085/2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, -16, 5/2], [-77/2, 9/2, 11/2], [29/2, 1/2, 5/2], [0, 0, 0]], [[-1435690, 6350835/2, -185798], [84627071/6, 2091953/6, -8230220/3], [-31922975/6, -6384449/6, -709391/6], [-7/6, -8/3, -1/6]], [[-5087382859, 32325647295/2, 14209375197/2], [35848126085/2, -7914887657/2, -10749705677/2], [-1268792285, -19296558235, -13092618850], [7869/2, -44763/2, -12900]]], 1, 24, [], [] >,
< [ 1, -4, -1, 1 ], [[-16, 112, 64]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -10, 8], [44, 4, 0], [0, 0, 0]], [[0, 0, 0], [-5104/7, -44958/7, 47232/7], [42451, 7228, -900], [17/7, 0, 2/7]], [[0, 0, 0], [1453656/7, -55503802/7, -26860440/7], [47893738, -8037430, -20472570], [19256/7, -5644/7, -1328]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, 8, -6], [42, 4, -6], [0, 0, 0]], [[0, 0, 0], [102436/21, 112654/21, 3676/3], [22223/3, 16133/3, 6962/3], [-79/21, -13/21, -4/21]], [[0, 0, 0], [1661223268/3, -8032809842/3, -5345007410/3], [2307487286/3, -11292700117/3, -7132510540/3], [-257950/3, 2273645/3, 1223420/3]]], 0, 48384, [], [] >,
< [ 1, -4, -1, 1 ], [[32, -16, -48]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [102, 6, 4], [78, 10, 2], [0, 0, 0]], [[0, 0, 0], [80615016/7, 8948196/7, -170332], [8837215, 1459229, -220784], [13/7, -3/7, -2/7]], [[0, 0, 0], [203366450, -59168332248, -22499583722], [276712888, -46038454802, -19182036947], [-2500, 250, 3475]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [80, -4, 30], [-16, -2, -10], [0, 0, 0]], [[0, 0, 0], [347379768/77, 27645696/77, -48225382/77], [-10411194/11, -928090/11, 1162169/11], [-354/77, -20/77, -3/77]], [[0, 0, 0], [-2734470694445632/77, -419468585242400/77, 2163699066283894/77], [87525486847570/11, -5082593386961/11, -83060137451332/11], [3461999246/77, -236742159/11, -5160444572/77]]], 0, 193536, [], [] >,
< [ 1, -4, -1, 1 ], [[-64, 64, 48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [32, -8, 10], [-44, -4, 0], [0, 0, 0]], [[0, 0, 0], [4, 1, 0], [2, 0, 1], [1, 0, 0]], [[0, 0, 0], [32474, -269784, -144884], [5746, 198744, 102414], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [144, 0, -2], [48, 10, -4], [0, 0, 0]], [[0, 0, 0], [862765865/3, -244496968/3, 100152092/3], [276310480/3, 26362489/3, -3782870/3], [8/3, -7/3, 5/3]], [[0, 0, 0], [-10426430368/3, -105676989685/3, -51082433017/3], [-3497491469/3, -37009629992/3, -19511243570/3], [347/3, -2437/3, -1390/3]]], 0, 96768, [], [] >,
< [ 1, -4, -1, 1 ], [[1, 1, 3]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[141/2, 8, -1], [145/6, 3, -2/3], [2, 1, -1], [0, 0, 0]], [[-1746432, -689873/2, 875477], [-1801052/3, -227041/2, 874259/3], [-54623, 4384, -1224], [-1/3, 1, -2/3]], [[-2304657465, -16056811/2, 1825077239/2], [-2369212559/3, -16056391/2, 1839433057/6], [-64556321, -32113307/2, 14349893/2], [-409/3, -105/2, -1975/6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-771/2, -5, 1], [-8299/14, 75/7, -106/7], [150/7, -4/7, 5/7], [0, 0, 0]], [[137590917/2, -735944085, 412641726], [1969786093/14, -9051743483/7, 4984899476/7], [-76095981/14, 338517237/7, -371267895/14], [-35/6, -1, -1/6]], [[5/2, 0, -1], [25/6, 0, -5/3], [5/2, 0, -1], [5/6, 0, -1/3]]], 0, 54, [], [] >,
< [ 1, -4, -1, 1 ], [[1, -5, -3]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -9/2, -3/2], [3/2, -3/2, -1/2], [-4, -14, -7], [0, 0, 0]], [[-3725, 2925, -625], [-3725/3, 975, -625/3], [14051/2, 1635/2, -3509/2], [11/6, 5/2, 1/6]], [[-287770, 1040550, -396620], [-287770/3, 346850, -396620/3], [361173/2, -271941/2, -82587], [-317/2, 1585/2, 317]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[41/2, 9/2, 1/2], [-361/42, 197/14, 103/42], [-27/7, 22/7, 4/7], [0, 0, 0]], [[-498294, -28482, 130002], [2354894/21, 120975/7, 359560/21], [486929/7, 93741/14, -45863/7], [2/3, 1/2, 1/3]], [[-26191690, 12977076, 23866318], [-16560370/3, 41271704, 40354882/3], [802260, 9238267, 1374943], [-100, 504, 256]]], 1, 6, [], [] >,
< [ 1, -4, -1, 1 ], [[-1, 15, 10]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 3/2, 3/2], [-299/2, -11, 5], [1/2, 2, 0], [0, 0, 0]], [[-1683700, 2129353/2, 1906195/2], [-353151070, -116327668, 91844733], [4828603/2, -1313/2, 111579], [2, -5/2, -3/2]], [[-76195155391/2, -29236564887, -37943292098], [-11666720669163, -12972006901313/2, 5260544340023], [114138382995, -262794397775/2, 8706442745], [32976, 29004, 93498]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 13/2, 5], [-163, -4, -3/2], [7, 1, 3/2], [0, 0, 0]], [[-21731028, 38904843/2, 30566449/2], [-644847202, 44004755/2, 9015479], [56357653/2, 994097/2, 8338375/2], [-1/2, -5/2, 5/2]], [[-31591064205/2, -25662381542, -7805750075], [-858292385292, -349189656405/2, 306911431413], [39396815784, 8612441523/2, -17856625995], [-1280, 160, -1344]]], 0, 108, [], [] >,
< [ 1, -4, -1, 1 ], [[0, -4, -1]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 0, 0], [-3, 0, 0], [8, -17, -13], [0, 0, 0]], [[785/2, 361, -429/2], [5695/14, 2567/7, -3027/14], [-983/2, -135/2, 67], [-3/2, -5/14, 2/7]], [[168059/2, -746745/2, 136644], [167643/2, -744697/2, 137492], [19609, -98213, 19427], [10, -74, -16]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[161/2, 2, 1], [153/2, -6, 9], [2, 4, -4], [0, 0, 0]], [[109600815/2, 11374448, -15457052], [7846681963/154, 885208440/77, -1182195078/77], [21164054/11, -669822/11, -1142573/22], [54/77, -10/77, -3/154]], [[-198074692175/2, 97795762706, 79584637319], [-2262950346825/22, 1431489791398/11, 1044248917113/11], [21032200850/11, -177870405516/11, -84409421452/11], [1075/11, -40400/11, -11450/11]]], 1, 12, [], [] >,
< [ 1, -4, -1, 1 ], [[-3, 4, 4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[50, -7/2, -5/2], [52/3, -13/2, -23/6], [2, -16, -9], [0, 0, 0]], [[-5159872, -4770039/2, 1812085], [-4888100/3, -1597521/2, 1805123/3], [271732, -22509/2, -13949/2], [-8/3, 1/2, -5/6]], [[3527977124653/2, 99643339860, -701718603961/2], [1111406317523/2, 45181876732, -188669296807/2], [-193719212099/2, 35878025736, 135660014735/2], [7791997/6, -1617640, -10139761/6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[218, 3/2, 5/2], [-694/3, -95/2, -187/6], [19, 3, 2], [0, 0, 0]], [[8564564139/2, -324941400, -214694121], [-196111401791/42, -605142408/7, -231989339/21], [5334653477/14, -9565924/7, -26476445/7], [109/42, -4/7, 1/21]], [[-1118221424210638, 1373345833633146, 1354951653553594], [12465628641548856/7, -24088841522172710/7, -19697293996124372/7], [-1884351584681623/14, 1705832254770395/7, 2857356100139873/14], [-28895107/42, 6367182/7, 38379847/42]]], 1, 24, [], [] >,
< [ 1, -4, -1, 1 ], [[-1, 11, 9]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-115, -9/2, -2], [-115/3, -3/2, -2/3], [170, 3, 1], [0, 0, 0]], [[-274547577965/2, 4818329553/2, 623128630], [-274547577961/6, 1606109849/2, 623128634/3], [202697064003, -14069907867/2, -2648237010], [-1/3, 1/2, -2/3]], [[-32628233151706509/2, -20321613495873375/2, -3824273610251115/2], [-10876077717299787/2, -6773871164580065/2, -1274757869502185/2], [24313595606699575, 13724425335787835, 2003719994124370], [16071, -177765, -145380]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[29/2, 7/2, -7/2], [1165/6, 13/2, -31/6], [142, 4, -3], [0, 0, 0]], [[1199911985/2, 143365971, -145193494], [337779322823/42, 1622942281/7, -6090140641/21], [41172494137/7, 966317469/7, -2536893011/14], [22/21, 5/7, 1/42]], [[-218895767058231/2, 146014358427621/2, -80054587737315/2], [31779229144224661/14, -214939046525895747/14, 45066614392450109/14], [12108744869277437/7, -80729906600800314/7, 16970026860180028/7], [1789034/21, -6583707/7, -16164707/21]]], 1, 240, [], [] >,
< [ 1, -4, -1, 1 ], [[-16, -16, -48]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [44/3, -4, 10/3], [4, 4, 0], [0, 0, 0]], [[0, 0, 0], [18828, 13430, -6694], [7384, 1674, -862], [-32/3, 4, -4/3]], [[0, 0, 0], [57980230/3, 121773276, 55573550/3], [7527615, 36916914, 23191275], [-15795, -16362, -46575]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4842/7, -2700/7, 120/7], [-108/7, -52/7, 2/7], [0, 0, 0]], [[0, 0, 0], [-378442514/7, -156830438/7, 60350184/7], [-9101418/7, 177999/7, 59988/7], [10/3, 3, -4/3]], [[0, 0, 0], [14619225800/3, 100106452122, 193332455452/3], [-119369420, 3268403484, 895316228], [-1780, -684, -4340]]], 0, 217728, [], [] >,
< [ 1, -4, -1, 1 ], [[-16, 80, 48]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-44/3, 0, -10/3], [10, -20, -18], [0, 0, 0]], [[0, 0, 0], [233344, -368246, 113026], [-15187, -130575, 63685], [13/3, -5, 5/3]], [[0, 0, 0], [-116672, 58336, 69274], [-56819, 306602, 198271], [-19/3, 14, 31/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2294/21, 242/7, 118/21], [78/7, 64/7, 4/7], [0, 0, 0]], [[0, 0, 0], [-10859984/3, -20874200, 26634644/3], [-1056244, 598254, -101738], [-4/3, -4, -2/3]], [[0, 0, 0], [-234306196/3, -448390874, -52021070/3], [-13225512, -28040571, -20952033], [650, -2535, -1703]]], 0, 8064, [], [] >,
< [ 1, -4, -1, 1 ], [[16, -240, -160]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [162, 6, 6], [24, -2, -2], [0, 0, 0]], [[0, 0, 0], [6940526, 2973031, 1757945], [1104959, 26428, -58702], [-5, 3, 2]], [[0, 0, 0], [4485099630, -9529210730, -2892511595], [450679115, -664441406, -1503493], [-690, -989, -2990]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [64, 0, 2], [-10, -10, -6], [0, 0, 0]], [[0, 0, 0], [20378726, -4486382, -1171075], [-3884321, 214176, 208133], [4, -3, -4]], [[0, 0, 0], [317993975, 3144460255, -1361460415], [-102203047, -451414327, 229203384], [117, 92, 323]]], 0, 435456, [], [] >,
< [ 1, -4, -1, 1 ], [[0, 64, 16]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-40, -10, -6], [10, -10, -8], [0, 0, 0]], [[0, 0, 0], [-6172014/7, 1765782/7, 389300/7], [139004, -5437, -12959], [24/7, 3/7, 1/7]], [[0, 0, 0], [-476227618, -2951468530, 1492015820], [80540298, 445481220, -61033490], [-1166, 23320, 5830]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [64, 26, 10], [8, -14, -10], [0, 0, 0]], [[0, 0, 0], [145946/77, -377738/77, -108562/77], [2317/11, 7902/11, 7133/11], [205/77, -18/77, 5/77]], [[0, 0, 0], [5818358/11, -117586144/77, -123028046/77], [-1631180/11, 7938151/11, 4439846/11], [11824/77, 45079/77, 1478/77]]], 0, 48384, [], [] >,
< [ 1, -4, -1, 1 ], [[48, -64, -64]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [496/3, -186, -298/3], [-12, 38, 20], [0, 0, 0]], [[0, 0, 0], [-2277397280/3, -96824310, 469646600/3], [12047834, -730895, 164480], [-2, -5, 0]], [[0, 0, 0], [6057109791862/3, 231854727466, -1517527354036/3], [-36389259664, 16688047344, 16934517472], [40976/3, -17552, -52928/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1778/3, 100, 182/3], [16, -6, -4], [0, 0, 0]], [[0, 0, 0], [13654414322/21, -617740136/7, -1454039582/21], [-110652305/7, -1647290/7, 1079445/7], [-115/21, -22/7, -5/21]], [[0, 0, 0], [3065035775026900/7, 16883486479214750/7, -7545344817466304/7], [-130547084181650/7, -236922431798825/7, 315079736211060/7], [-109716190/7, 145393245/7, 146018644/7]]], 0, 96768, [], [] >,
< [ 1, -4, -1, 1 ], [[16, -176, -144]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [132, 8, -2], [126, -10, -4], [0, 0, 0]], [[0, 0, 0], [5120402032/3, 204605614, 306695162/3], [1649390532, -112026228, 31488504], [-20/3, -4, -4/3]], [[0, 0, 0], [40933052617068, 90393799054120, 183345939423628], [67493138839331, -30955478960954, 126866824767824], [439253/3, -1628386, -3999884/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1528/3, -10, -62/3], [52, 2, 10], [0, 0, 0]], [[0, 0, 0], [-403555188/7, 45218844/7, 39111138/7], [42550719/7, -8560887/7, -1913418/7], [59/21, 15/7, -2/21]], [[0, 0, 0], [16804218/7, 796037386/7, 4440802/7], [8426260/7, -122415542/7, -10640961/7], [212/21, -298/7, -629/21]]], 0, 967680, [], [] >,
< [ 1, -4, -1, 1 ], [[5, -11, -7]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, -5/2, 1/2], [-6, -5/2, 1/2], [37, -5, 3], [0, 0, 0]], [[-36281/2, -1658, 1927/2], [-254055/14, -11762/7, 13385/14], [256176, -1419997/2, 518021/2], [8/7, 3/14, 5/14]], [[341742822, -706516497/2, -520106195/2], [2397383494/7, -4974610439/14, -3662139597/14], [-8361866319/2, 25202349025/2, -2793243960], [-547343/14, 1177345/14, 374296/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-91, 5/2, -5/2], [-113, -11/2, -1/2], [11, 4, -1], [0, 0, 0]], [[353529243/2, -301241943, 215895677/2], [31690236299/154, -3305594683/11, 16510274665/154], [-159589511/11, -4033443/11, 8120903/22], [-92/77, -18/77, -1/154]], [[-1106534324106660, 3389793347995323, -260117980499129], [-98077083463823482/77, 285305940741023495/77, -926243022656057/11], [919572414650909/11, -1735143286383196/11, -967534069150285/11], [686322920/77, -1511252608/77, -961075312/77]]], 1, 96, [], [] >,
< [ 1, -4, -1, 1 ], [[-80, 176, 112]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -4, -4], [42, -10, 8], [0, 0, 0]], [[0, 0, 0], [-2213242/7, -334246/7, 128722/7], [-895792, 448636, 183763], [-16/7, 4/7, -5/7]], [[0, 0, 0], [49534174334/7, -45960228850/7, -39738185394/7], [4990117064, 26502255816, 17806296040], [479576/7, -858888/7, -77312]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [318, 0, 12], [-174, -2, -8], [0, 0, 0]], [[0, 0, 0], [16588574966/77, -830282966/77, -1158871192/77], [-1299342052/11, 59744462/11, 86937927/11], [36/77, -58/77, -1/77]], [[0, 0, 0], [62659643872028394/77, 5746775791296332/11, 8657936195905618/77], [-4869311507498529/11, -3313911951173865/11, -788390561187206/11], [249190455/77, -547294393/77, -348227406/77]]], 0, 387072, [], [] >,
< [ 1, -4, -1, 1 ], [[-1, 1, 2]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15, -6, 3/2], [5, -2, 1/2], [4, 2, 1], [0, 0, 0]], [[68517/2, -112101/2, 13893], [68477/6, -37357/2, 13889/3], [9836, -20823/2, -2582], [10/3, -5/2, 2/3]], [[-8853313/2, 4516137, 12127285/2], [-8850527/6, 1506573, 12129275/6], [-7978609/2, 10632321, 15716797/2], [-1393/6, -597, -995/6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33/2, -6, 3/2], [-325/14, 86/7, 23/14], [-31/7, 25/7, 2/7], [0, 0, 0]], [[-58791/2, 2586, 13299/2], [-2178397/42, 628380/7, -1263467/42], [-147271/14, 311243/14, -56514/7], [-7/6, 5/2, 2/3]], [[-230012629, -35422737, 160678859/2], [-3369930175/21, -3384765105/7, 8473401857/42], [-146752251/7, -825412583/7, 612736157/14], [-7055, 8245, 24905/2]]], 1, 6, [], [] >,
< [ 1, -4, -1, 1 ], [[-1, 8, 6]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 1/2, -2], [-11/2, 1/2, 0], [11, 0, -2], [0, 0, 0]], [[-923/2, -73, 117], [6053/14, 81, -829/7], [-930, -173, 229], [9/7, 1/7, 1/7]], [[483349/2, -69309, -124625], [-3279313/14, 85518, 1030530/7], [441419, 74047/2, -279095/2], [2949/7, -51231/14, -38981/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-237, 1/2, -5/2], [-257, 1/2, -1/2], [10, 0, -1], [0, 0, 0]], [[-406711228, -96175819/2, -93430624], [-4864553164/11, -7427680475/154, -7174258180/77], [195333474/11, 793853/11, -1421796/11], [-170/77, 16/77, -2/77]], [[8874610774199, -38763532663114, -27581950963044], [696373918798353/77, -3076723411420234/77, -2190020005447466/77], [-1861058288315/22, 13131295328025/22, 4728607614347/11], [1169723/154, -9636071/154, -3618196/77]]], 1, 36, [], [] >,
< [ 1, -4, -1, 1 ], [[-1, 8, 6]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21/2, -1/2, -2], [13/2, 7/2, 0], [4, -4, -2], [0, 0, 0]], [[321, -16, -75/2], [1558/7, 90/7, -855/14], [199/2, -41, 41/2], [9/14, 1/7, 3/14]], [[-1642152, -605377/2, -362704], [-11415044/7, 19458715/14, 9141935/7], [-184144, -1022945, -1255211], [28684/7, -27974, -147538/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-79, -1/2, -5/2], [-79, -21/2, 11/2], [0, 5, -4], [0, 0, 0]], [[-201808603/2, -18772898, 25812750], [-15932874817/154, -1440474243/77, 1988822873/77], [28070709/22, -718747/22, -178195/22], [249/154, -1/22, 5/154]], [[28037809539/2, -8133073769/2, -15315452081/2], [2139485027107/154, -55534920983/22, -1002957806407/154], [691999395/11, -8466301381/11, -12571544527/22], [9855/77, -88351/77, -131167/154]]], 1, 36, [], [] >,
< [ 1, -4, -1, 1 ], [[16, -16, -32]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 6, 2], [-6, 2, 8], [0, 0, 0]], [[0, 0, 0], [-277076/3, -25990, 84038/3], [46443, -16725, 1947], [1, 5, 1]], [[0, 0, 0], [1569410030/3, 294968652, -543143030/3], [-347109578, 398326896, -72098332], [-53414/3, 9180, 107984/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [568/21, -254/7, -10/21], [136/7, -46/7, -2/7], [0, 0, 0]], [[0, 0, 0], [940208/7, -4138544/7, -2791168/7], [-226395/7, 71462/7, 109826/7], [1, 4, 0]], [[0, 0, 0], [16/3, -32, 32/3], [-1, 6, -2], [-1/3, 2, -2/3]]], 0, 24192, [], [] >,
< [ 1, -4, -1, 1 ], [[16, -128, -96]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-134, 0, -10], [-28, 10, -4], [0, 0, 0]], [[0, 0, 0], [-657592606/7, -88745560/7, 67193260/7], [-18689807, 416164, 1346741], [-1, 4/7, 1/7]], [[0, 0, 0], [893751029078/7, -1716728417680/7, -1222767387630/7], [21589552980, -37026860570, -24463654220], [-4680/7, 29550/7, 22380/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1450, -6, -8], [24, 2, 2], [0, 0, 0]], [[0, 0, 0], [-22107077912162/77, 784142512374/77, 157398351252/11], [52860975000/11, 147145693/11, -149105883/11], [240/77, 13/77, -3/77]], [[0, 0, 0], [9126112967799574/77, 2140535485245690270/77, 252127837586743150/11], [981591871198618/11, -8769716551593149/11, -6809791493018627/11], [5371210/77, -43542365/77, -32731955/77]]], 0, 145152, [], [] >,
< [ 1, -4, -1, 1 ], [[16, -128, -96]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [34, -18, -10], [-16, -10, -6], [0, 0, 0]], [[0, 0, 0], [-1807118/7, 2903304/7, 1376062/7], [12151, 291413, 229838], [-3, 1/7, 2/7]], [[0, 0, 0], [-8278929322/7, 28806209590/7, 19485766906/7], [-1202979423, 4411592900, 3033541599], [-2047/7, -1780, -8633/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-294, -16, -22], [48, 6, 6], [0, 0, 0]], [[0, 0, 0], [-147168742542/77, 4642581754/77, 8389428904/77], [3475222911/11, -25130452/11, -138065908/11], [-181/77, -6/77, -2/77]], [[0, 0, 0], [-12730072541078974/77, -288320878187334648/77, -232131664906877170/77], [-310518712840619/11, 9057821473487421/11, 7031828624280316/11], [94297921/77, -756428511/77, -81142520/11]]], 0, 145152, [], [] >,
< [ 1, -4, -1, 1 ], [[3, 1, 4]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -2, -4], [13, 3, -1], [-14, -5, -3], [0, 0, 0]], [[3596, -389206, 434169/2], [3878355/7, 2229869/7, -3489555/14], [-1100659/2, -707711, 466346], [-61/14, -2/7, -1/7]], [[42303950977/2, -148756403224, 99491717088], [710143216999/14, 671023405334/7, -472820645760/7], [-29564438781, -244591156620, 334119567873/2], [-3060837/7, -945594/7, -1144845/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[122, -3/2, 1], [128, 17/2, 11], [-3, -5, -5], [0, 0, 0]], [[-602881925, -29152325/2, 95715643], [-49821533939/77, -2323389429/154, 7395134135/77], [485670225/22, 5629441/22, -3574775/22], [51/154, 59/154, 5/154]], [[837639902131313, 1639663786036720, -1514250892448129/2], [67054041165909689/77, 144980789780220118/77, -127288369553016141/154], [-182565257700021/11, -1337623084964553/11, 381809608571240/11], [-7984521/11, -18495864/77, -74221144/77]]], 1, 288, [], [] >,
< [ 1, -4, -1, 1 ], [[3, 1, 4]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-28, 7/2, 9/2], [45, 1/2, 1/2], [-73, 3, 4], [0, 0, 0]], [[-34423547, 3359173/2, 5871101], [396657750/7, 5478869/14, -28544200/7], [-182177879/2, 2576469/2, 19897683/2], [3/14, 3/14, 1/14]], [[64613079935/2, -64451584804, 19908069300], [-832276256087/14, 939278299510/7, -354708222398/7], [91754842704, -397268384819/2, 141161348829/2], [-124, -607/14, -2439/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[393/2, 1, -1/2], [205/2, 11, -21/2], [47, -5, 5], [0, 0, 0]], [[-374116413023, -51680622877/2, 27856240185], [-15127511264846/77, -4121062457409/154, 2183515578428/77], [-1954207388097/22, 5059094506/11, -5512154671/22], [-657/154, -29/77, -1/154]], [[9898002763669564813/2, -17800531715884147/2, 6966210041815918549/2], [396256726267822090837/154, 73472745799651609311/154, 127581820269145114275/154], [13067480960467062647/11, -5345956692012207735/22, 29201166185244895999/22], [3945132797/77, 2618897895/154, 10500917419/154]]], 1, 288, [], [] >,
< [ 1, -4, -1, 1 ], [[-48, -16, -64]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [140, 10, -10], [86, 8, -6], [0, 0, 0]], [[0, 0, 0], [-11741416/7, 791086/7, -991178/7], [-1025212, 27688, -90249], [-58/7, -2/7, -3/7]], [[0, 0, 0], [-869909955188/7, 85445526268/7, -1255234782300/7], [-72612586946, -8757802619, -114293893920], [-3997958/7, -1360301/7, -827082]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1530, 10, 16], [64, 0, -4], [0, 0, 0]], [[0, 0, 0], [-921962723200/77, -29017409430/77, -13765234716/11], [-5555810715/11, 12757496/11, 16239789/11], [-15/77, 4/77, 5/77]], [[0, 0, 0], [-109762080563312/11, 221865915849260/11, 655732315220/11], [-3944907353346/11, 6718943601604/11, -327862609953/11], [-728/11, -218/11, -949/11]]], 0, 1161216, [], [] >,
< [ 1, -4, -1, 1 ], [[-48, -16, -64]], [ -7, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [128, -10, -6], [134, -6, -2], [0, 0, 0]], [[0, 0, 0], [105054984/7, -2308196/7, -2043070], [15844205, -279846, -2021295], [55/7, 4/7, 5/7]], [[0, 0, 0], [718532714838952/7, -295822267446550/7, 66226978786340/7], [107603199927655, -41730647918836, 13943139947622], [310564455/7, 84817164/7, 395131622/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [474, -12, -24], [-154, 4, 8], [0, 0, 0]], [[0, 0, 0], [-5089339718/7, -275048294/7, -369456460/7], [236351625, 12129536, 16452900], [15/7, 2/7, 0]], [[0, 0, 0], [113434435164100850/77, -2324429839395782/77, 193324811706744488/77], [-5296376271363645/11, 219014105274300/11, -8864188547896350/11], [-320465613/77, -15287532/11, -429096798/77]]], 0, 1161216, [], [] >,
< [ 1, -4, -1, 1 ], [[3, -8, -5]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-23, -6, 1/2], [-23/3, -2, 1/6], [13, 0, 2], [0, 0, 0]], [[-9796, -20934, -4052], [-3261, -6975, -1350], [6789/2, 38015/2, 1948], [-13/6, -3/2, -1/3]], [[1/2, 0, -1/2], [-1/6, 0, 1/6], [3/2, 0, -3/2], [1/6, 0, -1/6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[98, 3, 5/2], [1034/21, -17/7, 131/42], [29/7, -6/7, 4/7], [0, 0, 0]], [[-2039281/2, 183954, 68327], [-21597703/42, 975346/7, 320045/21], [-305163/7, 136432/7, -13187/7], [-1, -2, 0]], [[-8461985/2, 7358295/2, 9197825/2], [-88002991/42, 25339739/14, 100560247/42], [-2403321/14, 2062147/14, 3027967/14], [-361/6, 399/2, 817/6]]], 1, 18, [], [] >,
< [ 1, -4, -1, 1 ], [[-1, -6, -2]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 12, -1], [18, -7/2, -2], [-15, -1/2, -2], [0, 0, 0]], [[-734181/2, -877120, 102283], [-1878614, 123084, 586497/2], [3195475/2, 325053/2, 13545], [-5/2, 1/2, -1]], [[-69828264987/2, 88228089211, 145774934901/2], [-57671741135/2, -16545202699/2, -5316005533/2], [117161023211/2, -221716185915/2, -153959150079/2], [-153590, 409110, 254790]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 14, -1], [-15, -7/2, -5], [-19, -3/2, -2], [0, 0, 0]], [[829635/2, -682535, 377549/2], [-457267, -796776, 866637/2], [-1176461/2, -792369, 441131], [1/2, 1/2, -1/2]], [[-430433401, -491261071/2, 1045229977], [1605519562, -2252927759, -1653178019/2], [1659966456, -1659960467, -1106883023/2], [-3605, 9594, 6012]]], 1, 36, [], [] >,
< [ 1, -4, -1, 1 ], [[-48, 128, 80]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [88/3, -2, 2/3], [-22, 0, -2], [0, 0, 0]], [[0, 0, 0], [-5760322/3, -62984, 380626/3], [1448431, 120235, -29331], [-5, -5, -1]], [[0, 0, 0], [-3174341470/3, 34180895342, -70270861562/3], [23905030, -23668103106, 21250808192], [204820/3, -180544, -334096/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6484/21, -150/7, -92/21], [-930/7, -34/7, -10/7], [0, 0, 0]], [[0, 0, 0], [-115688678/3, -322734, 589046/3], [-16582381, 362400, 98314], [-7/3, 0, -2/3]], [[0, 0, 0], [-94538216616, 178414223874, 116291690070], [-39021574776, 71474758364, 45891994394], [-10904, 29516, 18706]]], 0, 72576, [], [] >,
< [ 1, -4, -1, 1 ], [[16, 96, 32]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -22, -14], [-60, -6, 0], [0, 0, 0]], [[0, 0, 0], [-6, 1, 0], [6, 0, 1], [1, 0, 0]], [[0, 0, 0], [-3312, 8496, 5004], [15560, -778, 2334], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -4, -2], [-100, -6, -2], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [-6, 0, 1], [1, 0, 0]], [[0, 0, 0], [0, 0, 0], [2, -4, 0], [0, 0, 0]]], 0, 145152, [], [] >,
< [ 1, -4, -1, 1 ], [[5, -10, -7]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -5/2, -7/2], [-9/2, -3, 3], [11/2, 1, -2], [0, 0, 0]], [[51/2, 4, -5/2], [-27, -79/2, -22], [28, 7, -5], [-3, -2, -5/2]], [[29385/2, 3919, -8487/2], [-21539, -8105/2, 16113/2], [33373/2, 3082, -8349/2], [-1941, -1941/2, 1941/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, -33/2, -15/2], [-103/2, -31/2, -8], [-21/2, -1/2, -1], [0, 0, 0]], [[939159, -433473/2, -325095], [3382282, 14537411/2, -3902219], [1083645/2, 1878318, -1806075/2], [-15/2, -3/2, 0]], [[51904997/2, -3313909, -9014712], [115120088, 235474719/2, -76032710], [20416500, 60134445/2, -16772940], [-210, -56, 14]]], 0, 54, [], [] >,
< [ 1, -4, -1, 1 ], [[-2, 10, 7]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -93/2, -37/2], [-153/2, -23, -19], [-147/2, 1, 5], [-2, -1, -2]], [[-888543, -1269046, -1606593/2], [-10851083/2, -8277959/2, 1999759/2], [-10275061/2, -2225738, 1493830], [-250421/2, -231805, 9487]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 37/2, 3], [36, 13, 15/2], [33, -1, 5/2], [0, 0, 0]], [[3346513/2, 2043305, -273511], [74602493/6, 6496699/3, -4485842/3], [31872287/3, 2091560/3, -8752385/6], [-7/6, -1/6, 5/6]], [[-557612732, 465341807, -27431337], [-7382964395/3, -3532796471/3, 3015711316/3], [-5917769347/3, -3938206912/3, 2723226146/3], [850/3, -578/3, 238/3]]], 1, 16, [], [] >,
< [ 1, -4, -1, 1 ], [[-80, 160, 112]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, 138, 76], [-14, 8, -6], [0, 0, 0]], [[0, 0, 0], [-127287, -1401261, 478494], [837894, -1165171, 339631], [15, 5, 1]], [[0, 0, 0], [-48079016, 132106081, -43846025], [-5870115, 144015294, -57637326], [639, 381, -354]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 72, 48], [10, 10, 4], [0, 0, 0]], [[0, 0, 0], [706, 2567, 1245], [8727, 1876, -1894], [5, -5, 0]], [[0, 0, 0], [-6781, -14736, 6862], [-65824, 2743, 9726], [-646, 2839, -1047]]], 0, 217728, [], [] >,
< [ 1, -4, -1, 1 ], [[32, -160, -112]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 4, -8], [248, 10, -6], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [2, 0, 1], [1, 0, 0]], [[0, 0, 0], [-19516, -44778, 272], [-1703240, 0, 425810], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 20, 4], [-48, 10, 2], [0, 0, 0]], [[0, 0, 0], [50869, -217580, -3967], [123805, -282639, 108095], [2, -6, -1]], [[0, 0, 0], [-8040787/3, 14266034/3, 7504493/3], [182377951/3, 39490801/3, -48124127/3], [1358/3, 776/3, -97/3]]], 0, 64512, [], [] >,
< [ 1, -4, -1, 1 ], [[1, 4, 4]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 6, 0], [30, -3/2, -4], [15, -3/2, 0], [0, 0, 0]], [[1130, 2615, -4191], [35183/2, -20269/2, 1661/2], [20321/2, -22027/2, 769], [-5/2, -1, -3/2]], [[1168551/2, -27485965/2, -3897775], [-30419357, 7777201/2, 2223147], [-28657653/2, -428779/2, -4020172], [7572, -15063/2, -5591]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -16, -2], [-18, -3, -4], [-30, 2, -2], [0, 0, 0]], [[-298163/2, 40488, 157057], [-462443, 316181/2, 150226], [-694059, 286691/2, 159920], [2, -1, 0]], [[3491100417/2, -5598523459, -7876254385/2], [12218600159/6, -15613158458/3, -22300493557/6], [11963293891/6, -23160405719/6, -8642579833/3], [-19915/6, 9205/3, 6985/3]]], 1, 96, [], [] >,
< [ 1, -4, -1, 1 ], [[-16, -64, -64]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -4, 0], [-216, 4, -10], [0, 0, 0]], [[0, 0, 0], [4, 1, 0], [2, 0, 1], [1, 0, 0]], [[0, 0, 0], [-6034, 5068, 4060], [-344592, 0, 172296], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [70, -14, 14], [-46, -4, 8], [0, 0, 0]], [[0, 0, 0], [-341725, -182048, -631143], [285951, 21655, -9133], [-4, 4, -1]], [[0, 0, 0], [4122095110/3, -14540959268/3, -9963219671/3], [-300027979/3, 888210086/3, 624157715/3], [754/3, -707/3, -536/3]]], 0, 387072, [], [] >,
< [ 1, -4, -1, 1 ], [[9, -24, -15]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -11/2, -3], [87, -11/2, 31/2], [-2, 3/2, -5/2], [0, 0, 0]], [[1357460, -551845, -638696], [99122237, 14763202, -18712447], [-2076225, -93651, 86862], [-10, -2, -1]], [[-106335556533/2, 253136610829/2, 90554944935], [-2577726802791/2, -898513062012, -370630723551/2], [15780829062, 55914916008, 36012698760], [-59163/2, 1343693/2, 908765/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -3/2, -5/2], [271/2, -6, 1], [1/2, -6, 1], [0, 0, 0]], [[-1725/2, 763/2, 408], [-386379/2, -42947, 46315], [2631/2, 3, -45/2], [-9/2, -2, -1/2]], [[28887197, -136263937/2, -95290843/2], [4832196483/2, 2108829339/2, -631753449/2], [-10022655, -25685967, -20791182], [-47495/2, 647335/2, 217350]]], 0, 432, [], [] >,
< [ 1, -4, -1, 1 ], [[-144, 384, 240]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-500, 28, -24], [46, -18, 8], [0, 0, 0]], [[0, 0, 0], [215060458, 30241353, -16949302], [-18950734, 303606, 321793], [-11, 2, -2]], [[0, 0, 0], [5457277798, 42060224021, 24067731727], [-464573925, -3566383608, -2133090900], [257, -3855, -2570]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [188, -10, 6], [44, -12, 10], [0, 0, 0]], [[0, 0, 0], [930488493, 100182261, -85295175], [211599019, 4677627, 4131914], [-3, 2, 5]], [[0, 0, 0], [-521064136168, 6452954574, 206286356980], [-120895638124, 15058747854, 59988209068], [-360, 5604, 3768]]], 0, 1741824, [], [] >,
< [ 1, -4, -1, 1 ], [[-3, 3, 6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 0, 1], [-20, -2, -6], [7, 0, -1], [0, 0, 0]], [[44763/2, -451/2, -3746], [47326, 104453, 90183], [-51317/2, -2719/2, 5235/2], [3/2, -3/2, -2]], [[-134162349/2, -1167827/2, 11025486], [-331384782, 725631565/2, 397733589/2], [80043042, -11441201/2, -30816229/2], [-1336, -6896, -1880]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, 3, -1/2], [51/2, -10, 7/2], [13/2, -6, -1/2], [0, 0, 0]], [[1005651/2, 28679/2, -187823/2], [-2744292, 4479/2, 624477], [-1129537/2, -95922, 44294], [2, -1/2, 1/2]], [[-382952104, -92149824, 113933888], [2178306581, 104261479, -854896874], [380509536, 349158040, 26683952], [-880, -2560, -464]]], 1, 144, [], [] >,
< [ 1, -4, -1, 1 ], [[48, -48, -96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [62, -2, -10], [-86, -6, -4], [0, 0, 0]], [[0, 0, 0], [-6, 1, 0], [-2, -2, 1], [1, 0, 0]], [[0, 0, 0], [-4692, -16116, -3774], [116864, -371712, -268928], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, 0, -2], [50, -24, 10], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [4, -2, 1], [1, 0, 0]], [[0, 0, 0], [-18600, -66712, -26536], [42510, 120990, 29430], [0, 0, 0]]], 0, 580608, [], [] >,
< [ 1, -4, -1, 1 ], [[1, 1, 1]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[25/2, -23, -35/2], [51/2, -60, -85/2], [11/2, 1/2, 0], [13/2, -11, -9]], [[197/2, -45/2, -121/2], [150, -97/2, -140], [137/2, 74, -39], [58, -53/2, -51/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 6, 3], [20, 4, 6], [3, -1, 1], [0, 0, 0]], [[-110433, -64086, -331], [-1929241/2, -312234, 199208], [-127182, -88191/2, 30258], [-1, -5/2, -1/2]], [[51807887, 62279, -34873657/2], [804718293/2, 82431886, -234463841/2], [104873121/2, 14417814, -32483439/2], [656, 123, -492]]], 1, 6, [], [] >,
< [ 1, -4, -1, 1 ], [[0, -6, -3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 8, 7/2], [41/2, -5/2, 9/2], [11/2, -5/2, 3/2], [0, 0, 0]], [[42362, -29582, -33331], [161570, -111689/2, -81537/2], [81613/2, -18067, -6853], [5/2, -5/2, 2]], [[-26791863/2, -7812685/2, 2377580], [-120359143/2, -10842290, 25965385/2], [-14944524, -2445898, 3186022], [-1749/2, 53/2, 371/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -3/2, -5/2], [-11/2, 5, -1], [9/2, 2, -2], [0, 0, 0]], [[4681/2, -12924, -16845/2], [1077, 823/2, 384], [-576, -2844, -1332], [2, 2, -1/2]], [[-200179, 190854, 179539], [166359, -110304, 5058], [-155736, -19908, 77364], [230, 276, -161]]], 1, 24, [], [] >,
< [ 1, -4, -1, 1 ], [[-16, -16, -16]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 8, -10], [-24, 0, 0], [0, 0, 0]], [[0, 0, 0], [10654, -4736, 4738], [-19332, -8264, 10112], [-8, 0, 2]], [[0, 0, 0], [347965, 348242, 348258], [-999762, 50497, 570668], [-378, 31, 131]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, 26, 24], [-6, 4, 8], [0, 0, 0]], [[0, 0, 0], [2, 1, 0], [2, 0, 1], [1, 0, 0]], [[0, 0, 0], [93240, 11760, -25620], [34228, 5246, -9288], [0, 0, 0]]], 0, 24192, [], [] >,
< [ 1, -4, -1, 1 ], [[0, 96, 48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 22, 6], [-2, -8, 10], [0, 0, 0]], [[0, 0, 0], [-2, 3, 0], [2, 0, 1], [1, 0, 0]], [[0, 0, 0], [-204222, -32510, 52478], [32760, 14140, -9100], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -20, 0], [-42, -2, -10], [0, 0, 0]], [[0, 0, 0], [0, -1, 0], [2, 0, 1], [1, 0, 0]], [[0, 0, 0], [-412906, 467152, 54762], [3873026, 580624, -415674], [0, 0, 0]]], 0, 96768, [], [] >,
< [ 1, -4, -1, 1 ], [[-3, 0, 3]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 9/2, 7/2], [-3/2, 3, 6], [1/2, 3, 1], [0, 0, 0]], [[-571/2, -123/2, 151/2], [-279/2, -433/2, 241/2], [499, 259/2, -261/2], [2, -5/2, -1]], [[1738, 719/2, -983/2], [798, 3131/2, -1863/2], [-3002, -1789/2, 781], [-35/2, 35, 35/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, -1, -5/2], [25/2, -9/2, 11/2], [-9/2, -9/2, 3/2], [0, 0, 0]], [[-36551/2, -1407/2, 5394], [-125993/2, -51709/2, 31565/2], [31155, 4714, -12203/2], [-1, 3/2, 1/2]], [[1416615/2, 1536227/2, 625921/2], [6829935/2, 1362155/2, -2663356], [-3458031/2, 843337/2, 455377], [-28, 182, 266]]], 1, 48, [], [] >,
< [ 1, -4, -1, 1 ], [[48, 0, -48]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 30, 4], [-20, -12, -4], [0, 0, 0]], [[0, 0, 0], [0, 1, 0], [-2, -2, 1], [1, 0, 0]], [[0, 0, 0], [456, -456, 684], [-2366, -1170, 416], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 6, 6], [28, -30, -28], [0, 0, 0]], [[0, 0, 0], [2, 3, 0], [-2, -2, 1], [1, 0, 0]], [[0, 0, 0], [-38, 270, -112], [216, 0, 0], [0, 0, 0]]], 0, 193536, [], [] >,
< [ 1, -4, -1, 1 ], [[6, -9, -6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 0, 1/2], [87/2, 3, 9/2], [-5/2, 3, -1/2], [0, 0, 0]], [[82625/2, -14375/2, -15745], [3396217/2, 38031/2, -518280], [-133745/2, -7325, 8565], [0, 0, 5/2]], [[1857995, -338561/2, -1505723/2], [77119465, 8381679/2, -48884123/2], [-2963092, -1629945/2, 583414], [-49/2, 114, 133/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, 13, 21/2], [-53/2, 21, -1/2], [19/2, 6, 5/2], [0, 0, 0]], [[3583093/2, -2017282, -1701235], [9962553/2, -3512146, 28657], [-1881854, -978845, -632095/2], [-1/2, 5/2, 5/2]], [[-59789287/2, 41584379/2, 22981167], [-154327209/2, -43246163/2, 28391276], [73616207/2, 20445678, -2188915], [7, -43, -49/2]]], 1, 144, [], [] >,
< [ 1, -4, -1, 1 ], [[6, -9, -6]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, 5/2, 3/2], [53/2, 9/2, -4], [19/2, -9/2, 1], [0, 0, 0]], [[-12660, 12750, 27331/2], [42040, 33204, 5141/2], [23287/2, 33095/2, -1857/2], [-1, 3/2, -5/2]], [[-6419750, 29281865/2, 10744535], [7013141, 45464723/2, 11071747], [4188615/2, 7277590, 7799005/2], [705/2, -4115/2, -1140]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1/2, 2], [55, 33/2, 1/2], [-3, 15/2, -3/2], [0, 0, 0]], [[-15558, 784, 9925/2], [-1183207, -191225, 584913/2], [52305/2, 5449/2, -8359/2], [-1, 1/2, 1/2]], [[-3535/2, -1717/2, 3447/2], [-293009/2, -54783/2, 86113/2], [1812, 13681/2, -5161/2], [0, -1/2, 0]]], 1, 144, [], [] >,
< [ 1, -4, -1, 1 ], [[-96, 144, 96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-46, 24, -14], [-50, -6, -10], [0, 0, 0]], [[0, 0, 0], [-6, 1, 0], [-2, -2, 1], [1, 0, 0]], [[0, 0, 0], [-10298, -34008, -23242], [-7038, -65688, -39882], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -24, 2], [24, -12, 0], [0, 0, 0]], [[0, 0, 0], [2, 3, 0], [-2, -2, 1], [1, 0, 0]], [[0, 0, 0], [-76, 288, 202], [-4, 48, 34], [0, 0, 0]]], 0, 580608, [], [] >,
< [ 1, -4, -1, 1 ], [[-96, 144, 96]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-96, -54, -12], [-8, -24, -10], [0, 0, 0]], [[0, 0, 0], [6, 1, 0], [-2, -2, 1], [1, 0, 0]], [[0, 0, 0], [-30746, -4470, -73864], [6262, -41478, -18352], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -48, -16], [-32, -30, -10], [0, 0, 0]], [[0, 0, 0], [-4, 3, 0], [-2, -2, 1], [1, 0, 0]], [[0, 0, 0], [-4632, 16926, 9204], [-4144, 11226, 8554], [0, 0, 0]]], 0, 580608, [], [] >,
< [ 1, -4, -1, 1 ], [[-4, -1, 2]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -11/2, -3/2], [15/2, -27/2, -6], [5/2, -13/2, 1], [0, 0, 0]], [[288, -356, -5/2], [8075, 595, -3651/2], [4375/2, -857/2, -437/2], [-1, -5/2, -5/2]], [[-3026, -3096, 2479], [-139941, -30252, 37219], [-34273, -14441, 11757], [20, 45, 5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 7, 5/2], [3/2, 11, -1/2], [-7/2, 7, -1/2], [0, 0, 0]], [[-617, 5632, 1425/2], [-38149/2, 6864, 2801], [5810, 9212, -3682], [0, -5/2, 1]], [[4122936, -15560602, -21412857/2], [16330797/2, -11997865, -10230831], [-598500, -5586000, -3391500], [142, 15/2, 64]]], 1, 18, [], [] >,
< [ 1, -4, -1, 1 ], [[64, 16, -32]], [ -2, -1, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -10, 10], [66, -216, -150], [0, 0, 0]], [[0, 0, 0], [-2, 1, 0], [0, 2, 1], [1, 0, 0]], [[0, 0, 0], [-52, 326, -124], [-56, -8, 16], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -10, 10], [52, -104, -80], [0, 0, 0]], [[0, 0, 0], [-2, 1, 0], [-2, -2, 1], [1, 0, 0]], [[0, 0, 0], [56, -1512, 616], [-554, -194, 16], [0, 0, 0]]], 0, 72576, [], [] >,
< [ 7, -6, -1, 1 ], [[2, 0, -1]], [ -7, 0, 0 ], [ 7, -1, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[71/2, 5/2, 3/2], [-15/2, 171/14, 13/14], [10, 5/7, 3/7], [0, 0, 0]], [[-29/2, -63/2, -5], [-23/14, -123/14, -2], [-40/7, -5/7, -4/7], [-17/7, 0, -2/7]], [[-75758, 80087/2, 80889/2], [-23770, 171533/14, 162473/14], [-9325, 119061/14, 14362/7], [-28141/7, 54077/14, 4150/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 3/2, 1], [-605/7, -187/14, -7], [-64/7, -1/7, -5/7], [0, 0, 0]], [[482965, 292093, 2435], [-1356331735/49, -262825931/49, 180990009/49], [-124798150/49, -26547527/49, 37712421/98], [-174/49, -29/49, -5/98]], [[62549952213/2, -63519702309/2, -3920541849], [-50775683953375/98, 88284452934555/98, -4164640602365/49], [-6578491453815/98, 5410698872583/49, -853069967467/49], [7077015/98, -5260455/49, 4200795/49]]], 4, 2, [], [] >,
< [ 7, -6, -1, 1 ], [[2, -1, -1]], [ -7, 0, 0 ], [ 21, -5, -10 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 7/2, 1], [-15/14, 47/14, -3/7], [3/7, 5/7, 0], [0, 0, 0]], [[97266, 24454, -5457/2], [77476, -14620/7, -56277/14], [81049/2, 39203/14, -60321/14], [-13/14, -5/14, -1/14]], [[-18255169/2, 2324117/2, 2260921], [-51299685/14, -9290177/14, 9606878/7], [-32986005/14, 2311009/14, 3910135/7], [1611/14, -25/2, -225/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[77, 9, 0], [419/49, 239/49, 34/49], [167/49, -6/49, -1/49], [0, 0, 0]], [[-1112727/2, 365493/2, 179573], [-1837149/14, 679125/14, 283126/7], [-239987/14, 68585/14, 41150/7], [43/14, 5/14, 2/7]], [[4263623273, -1534136552, -1421981912], [1024330607, -2816588429/7, -2275419890/7], [259462023/2, -293528349/7, -322336218/7], [-11127/14, -33381/7, -44508/7]]], 4, 2, [], [] >,
< [ 7, -6, -1, 1 ], [[0, 1, 0]], [ -7, 0, 0 ], [ 47, -19, -16 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 3/2, 0], [1, 3/2, 8/7], [-1, 0, -2/7], [0, 0, 0]], [[33067/2, -9272, 697], [-49297/2, 5286/7, -2615/7], [20591/2, -35095/14, 3747/14], [-1/2, 5/14, 3/14]], [[-31079307/2, 43862219/2, -6635437], [9926557/2, -29137749/2, 35563889/7], [-5125733, 9124996, -20502987/7], [37, -8/7, 93/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-177/2, -10, -2], [3249/14, 1040/49, 106/49], [-22/7, -15/49, -2/49], [0, 0, 0]], [[-1403495, 901635, 2885681/2], [2920275, -14026337/7, -48179997/14], [-84775/2, 398781/14, 335193/7], [5/2, 1/14, -2/7]], [[488134328, -1497244145/2, 852511019/2], [-1314082608, 27020079613/14, -14747011943/14], [17669124, -183827891/7, 101542062/7], [344, -516/7, -43/7]]], 4, 2, [], [] >,
< [ 7, -6, -1, 1 ], [[-32, 0, 16]], [ -7, 0, 0 ], [ 7, -1, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-76/7, -54/7, 4], [-58/7, -2/7, -10/7], [0, 0, 0]], [[0, 0, 0], [192159808/7, 24782480/7, -6122086], [150535222/7, -6514769/7, -15640215/7], [-32/7, 1/7, -3/7]], [[0, 0, 0], [13299528873972/7, -4662628280078/7, 732178227322/7], [-1214497744008/7, 6012926985970/7, 274552721858/7], [861600, -725180, -168730]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-796/7, -130/7, -72/7], [-46/7, 2/7, -8/7], [0, 0, 0]], [[0, 0, 0], [1911604546/49, -1827958564/49, 169485650/49], [171494593/49, -182407628/49, 32009044/49], [-193/49, -52/49, -4/49]], [[0, 0, 0], [-54667289052/49, 58908064220/49, -2944472018/49], [-5013350157/49, 5643529252/49, -809278705/49], [62157/49, 668/49, -9215/49]]], 0, 6048, [], [] >,
< [ 7, -6, -1, 1 ], [[-32, 16, 16]], [ -7, 0, 0 ], [ 21, -5, -10 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-270/7, 204/7, 12/7], [-60/7, -8/7, -10/7], [0, 0, 0]], [[0, 0, 0], [-132975886/7, 137573244/7, -24292040/7], [-47535300/7, 13007287/7, -1855807/7], [-36/7, 1/7, -1/7]], [[0, 0, 0], [2277228986206/7, -1976378388266/7, 82583802666/7], [-994912108702/7, 32543773377/7, 50119618199], [-1346698/7, 242853/7, 56963]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5730/49, 1018/49, -290/49], [-318/49, -46/49, 4/49], [0, 0, 0]], [[0, 0, 0], [-7231666/49, 442520/49, 484630/49], [457505/49, -97768/49, -1345/49], [-37/7, 0, -3/7]], [[0, 0, 0], [554322367430/49, -54928125188/49, -151242490988/49], [-29328274536/49, -225598876/49, 9969134650/49], [5296752/7, -865908/7, -1622070/7]]], 0, 6048, [], [] >,
< [ 7, -6, -1, 1 ], [[0, -16, 0]], [ -7, 0, 0 ], [ 47, -19, -16 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, -6, -64/7], [2, 0, 2/7], [0, 0, 0]], [[0, 0, 0], [268740, -190334/7, 47476], [-208940, 122207/7, 25686], [0, 5/7, 2/7]], [[0, 0, 0], [295326, -2588358/7, 741078/7], [-43338, 372434/7, -105214/7], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9038/7, 6490/49, 1136/49], [96/7, 68/49, 10/49], [0, 0, 0]], [[0, 0, 0], [8408197300/7, 742943200/49, -8718587152/49], [88939517/7, 7544749/49, -92401235/49], [-1, -3/7, 1/7]], [[0, 0, 0], [7326995140/7, 258350756436/49, -38822724368/49], [83613461/7, 2695705097/49, -411856940/49], [-49, 451/7, -180/7]]], 0, 6048, [], [] >,
< [ 7, -6, -1, 1 ], [[-6, 1, 2]], [ -7, 0, 0 ], [ 21, -5, -10 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, 253/2, 1], [204/7, 769/14, 3/7], [239/7, 1/7, 2/7], [0, 0, 0]], [[104029386, 255224425/2, 9636539/2], [105615446, 848076615/14, -33825487/14], [62536095, 40557813/7, -30475003/7], [15/7, -1/7, 1/7]], [[-38703491890, -201410162067/2, -17259264318], [-54405825760, -696027445769/14, -39407715056/7], [-38643340689, -92877642927/14, 22940983657/14], [-8399/7, -1221/14, -2109/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1827/2, 327/2, 19/2], [16943/98, 6311/98, 479/98], [1818/49, 58/49, 5/49], [0, 0, 0]], [[44313326629/2, 549407905/2, -2007538094], [456626982489/98, 41315806729/98, -22921677048/49], [40626716336/49, -5002626369/98, -3202048329/49], [-8/7, -1/14, 0]], [[-40131077753858, 2608514301319/2, -895136919887], [-357786149557512/49, -146474050646293/98, -894551932537/49], [-82897353235239/49, 17260320218642/49, -3522172435625/49], [1800, -480/7, 3750/7]]], 1, 12, [], [] >,
< [ 7, -6, -1, 1 ], [[96, -16, -32]], [ -7, 0, 0 ], [ 21, -5, -10 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [100/7, -164/7, -30/7], [72/7, -6/7, 0], [0, 0, 0]], [[0, 0, 0], [-49134, -86812/7, 46124/7], [32575, -7853/7, -32350/7], [37/7, 5/7, 2/7]], [[0, 0, 0], [4477323328, 22199931504/7, -5018282576/7], [-4380034933, 2324097035/7, 3394013431/7], [-4324693/7, 74957/7, -1293823/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12678/49, 820/49, 524/49], [594/49, -76/49, -8/49], [0, 0, 0]], [[0, 0, 0], [-673000236/7, 5813870/7, 119915888/7], [29981897/7, 6040/7, -5442975/7], [-13/7, -4/7, 3/7]], [[0, 0, 0], [-2424829975972/7, 71797893242/7, 345114424146/7], [109645925748/7, -4639464335/7, -14846382703/7], [-35612/7, 145, -10585/7]]], 0, 48384, [], [] >,
< [ 7, -6, -1, 1 ], [[0, 0, 1]], [ -7, 0, 0 ], [ 47, -19, -16 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[141/2, 2, -3/2], [-19/2, 18/7, -13/14], [20, -1/7, -1/7], [0, 0, 0]], [[-17266141/2, 3253299, 5363175/2], [2139259/2, -406005, -4706103/14], [-4851329/2, 1829647/2, 10562075/14], [3/2, -5/14, -1/14]], [[0, 0, 0], [0, 0, 0], [0, 1, -1/2], [0, 1/7, -1/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -29/2, -2], [-81/7, 5515/98, 412/49], [1/7, -34/49, -5/49], [0, 0, 0]], [[745897/2, 165175/2, -155835/2], [-20683065/14, -30656959/98, 29625077/98], [127082/7, 380157/98, -182552/49], [2, 5/14, 2/7]], [[-47666322615, 70098086611/2, -33037909445/2], [1253034008685/7, -12519947338233/98, 6124599792495/98], [-15511183185/7, 77934897137/49, -37998160615/49], [894345, -5497897/7, -801355/7]]], 1, 12, [], [] >,
< [ 7, -6, -1, 1 ], [[0, 0, -16]], [ -7, 0, 0 ], [ 47, -19, -16 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-142, 30/7, 4/7], [-46, 10/7, -8/7], [0, 0, 0]], [[0, 0, 0], [75413154, -17482908/7, -86622000/7], [25409836, -5791516/7, -28957517/7], [0, -2/7, -1/7]], [[0, 0, 0], [26582955924, 12785740146, -9182292342], [8388075122, 4926316636, -3195454936], [1328, -7738/7, -184]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24236/7, -548/49, -368/49], [-262/7, -10/49, -6/49], [0, 0, 0]], [[0, 0, 0], [-20547395838, 1941650014, 579823172], [-222440960, 20718222, 6159477], [-4, -2/7, 5/7]], [[0, 0, 0], [-153716372478348, -35849196013416, 154183943889628], [-1696822706838, -373704828021, 1679989013218], [-23034, 137379/7, 24618/7]]], 0, 48384, [], [] >,
< [ 7, -6, -1, 1 ], [[-4, 3, 1]], [ -7, 0, 0 ], [ 7, -1, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-309/2, 1, -1], [51/2, -345/7, 10/7], [-44, 5/7, -4/7], [0, 0, 0]], [[5180400188, -586263182, -1097378752], [10303336396/7, -2249692090/7, -2270420896/7], [10330654622/7, -335136619/2, -2194736184/7], [10/7, 5/14, 0]], [[441566217995, -825126168475/2, -289882503190], [514599776905, -634115322095/2, -155051317510], [129213207048, -235954568285/2, -84269486892], [-12562/7, 6655/14, 594]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, 0, 3/2], [-53/14, -32/7, -1/2], [4/7, -3/7, -1/7], [0, 0, 0]], [[-11/2, 51/2, 9/2], [-48109/98, -9781/98, -789/98], [-263/98, -745/98, -65/49], [319/98, 59/98, 2/49]], [[-821224, 421811/2, 465431/2], [558858264/49, -254249021/98, -266811001/98], [15553512/49, -3873480/49, -4191304/49], [-3595384/49, 814424/49, 854152/49]]], 1, 12, [], [] >,
< [ 7, -6, -1, 1 ], [[64, -48, -16]], [ -7, 0, 0 ], [ 7, -1, -4 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-890/7, -372/7, -54/7], [-278/7, -4/7, -2/7], [0, 0, 0]], [[0, 0, 0], [-1027649466, -549967286/7, 486433666/7], [-279089123, 372312982/7, 44626769/7], [13/7, 4/7, 5/7]], [[0, 0, 0], [-46750265669360, 69013848476150/7, 88740284893800/7], [-7074113895450, 1484508872844/7, 17114823338670/7], [1896840/7, -486288/7, -87120]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3046/7, 206/7, -40/7], [250/7, 6/7, -8/7], [0, 0, 0]], [[0, 0, 0], [117971728604/49, 25628877468/49, -2464323384/49], [9827015999/49, 1543886642/49, -454610048/49], [193/49, 52/49, 4/49]], [[0, 0, 0], [-104471469987234370/49, 18767941616792346/49, 38292266676956468/49], [-7120743896102944/49, 1026615706574124/49, 2692273200669008/49], [-200611612/49, 33236012/49, 77741288/49]]], 0, 48384, [], [] >,
< [ -1, -5, -1, 1 ], [[-4, -1, 1]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 21/2, 19], [0, 7/2, 4], [-2, -3/2, 3/2], [1/2, -1/2, 5/2]], [[-16795, -1589/2, -1967], [-22833/2, -5547/2, 1372], [-32980, -15035/2, 6499], [30129/2, 5229, -8217/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -7/2, -1], [11, 23/2, 1/2], [2/3, 1/2, 11/3], [4/3, 0, -2/3]], [[803/2, 455, -389/2], [989/2, -481/2, -41/2], [472/3, 484, -653/3], [499/6, 3/2, -41/6]]], 4, 2, [], [] >,
< [ -1, -5, -1, 1 ], [[2, 1, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 4, 5/2], [-7/2, 3/2, 2], [-2, -5/2, -1/2], [0, 0, 0]], [[-3259, -4964, 4265/2], [-12506/3, -8096/3, 8687/6], [-1825/2, 2271, -685], [-7/6, 0, -1/3]], [[6991043/2, 1180813, -1622061/2], [11487601/2, 1560520, -2503025/2], [2256567, 390795, -436506], [1232, -3136, -2296]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 4, -3/2], [39/2, 7/2, -4], [18, -1/2, -5/2], [0, 0, 0]], [[-251, 525/2, 75], [-37681/3, -23453/6, 6839/3], [-177755/14, -59795/14, 30645/14], [139/42, 11/14, 5/42]], [[-25758107/2, 15828027, 23582283/2], [-3947966311/6, -729652634/3, 563961209/6], [-4671751535/7, -1926148335/7, 554603260/7], [3990400/21, 928000/7, 477920/21]]], 4, 3, [], [] >,
< [ -1, -5, -1, 1 ], [[-7, -1, 2]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 4, -2], [-1/2, 5, -5/2], [9/2, -1, 1/2], [0, 0, 0]], [[-47394, -19733/2, 9199], [162263/6, 22275/2, -43589/6], [-74434, -42005/2, 16463], [7/6, -5/6, 1/6]], [[784372, 506023/2, -132952], [-347454, 563311/2, 297751], [1131636, -58713/2, -431064], [-38, -171/2, -38]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[91/2, 56, 3/2], [295/14, 239/7, 9/14], [57/7, 51/7, 2/7], [0, 0, 0]], [[20278, 131581/2, 42237], [403481/42, 1459117/42, 352943/14], [24876/7, 144983/14, 39742/7], [-1/2, 5/6, 1/6]], [[-167568805/2, -47251877, 2441623], [-493437149/14, -499962644/21, -25167652/21], [-225908799/14, -54634017/7, 8423719/7], [37921/6, 4459/3, -1430]]], 3, 5, [], [] >,
< [ -1, -5, -1, 1 ], [[-7, -1, 2]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 11, 13], [-1/2, 2, -5/2], [-3/2, -1, -4], [0, -1/2, 5/2]], [[11089/2, 1319, -1286], [9243/2, 2319/2, -1901/2], [6573, 1682, -2693/2], [-968, -242, 363/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -5/2, -1], [15, 5/2, -1/2], [-4, -5/2, -1], [0, 0, 0]], [[258828, 18253, -30808], [-7454096/7, -1081769/14, 2099759/14], [1811760/7, 127699/7, -215707/7], [24/7, 19/14, 5/14]], [[189823168529/2, 21028147541, -34727810603/2], [-2726241721347/7, -583772869730/7, 1051113164533/14], [664369244438/7, 147177648500/7, -121556516031/7], [8614699/7, 3675130/7, -888831/14]]], 3, 3, [], [] >,
< [ -1, -5, -1, 1 ], [[-9, -3, 2]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -1/2, 0], [-41, -13/2, -9/2], [-2, -1/2, 0], [0, 0, 0]], [[63479/2, -19590, 21505/2], [1092709/2, -1865081/2, 957153/2], [31745, -19572, 10773], [-5/2, -1/2, -5/2]], [[57038108, 16268071, -11594042], [1203075081, 360538388, -243296268], [57042986, 16273327, -11592854], [-4002, -1491, 615]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, -3, -2], [-29/6, -97/2, -91/3], [11/6, -1, -2/3], [0, 0, 0]], [[14155657/2, 71736, 705883/2], [67916357/6, 67475349/2, 70788743/6], [7077830/3, 23912, 352946/3], [-3/2, 1/2, -1/2]], [[233472067294, 95301593199, -32039828294], [544827282077/2, 1376313074565/2, 323084813110], [77824048880, 31767246330, -10679925628], [-110095/2, -57909/2, 4656]]], 3, 6, [], [] >,
< [ -1, -5, -1, 1 ], [[23, 7, -4]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-31/2, 1, -1], [-27/2, -43/2, 1], [-31/2, 1, -1], [0, 0, 0]], [[5972565/2, 522957, -897051/2], [1894190, 2475133/2, -349590], [2986282, 522973, -448508], [1, -1/2, -2]], [[207501638168, 52228019484, -42995198392], [118341018755, 33368308572, -24489190316], [207501429752, 52228057704, -42995071668], [73034, 12948, -23634]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-107/2, -3/2, -5/2], [127/3, -53/2, -19/6], [-107/6, -1/2, -5/6], [0, 0, 0]], [[-9065822603/2, -175644423/2, 289264591/2], [3750571695, -1440037301, -287398417], [-3021940865/2, -58548159/2, 96421517/2], [-1, 3/2, 3/2]], [[7141998880833/2, 462304905483, -1116149095005/2], [-9408205944574/3, -230520209893/2, 1352450841305/3], [3570999433564/3, 154101635205, -558074544209/3], [1005, 321/2, -343]]], 1, 20, [], [] >,
< [ -1, -5, -1, 1 ], [[11, 3, -2]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -3/2, 1], [3/2, 12, 3/2], [3/2, -3/2, 1], [0, 0, 0]], [[-26084, 1077, 4169/2], [8744, -45665/2, 158], [-52185/2, 1029, 2058], [3/2, 15, 9]], [[261982896, 100799387/2, -49465785], [-129136405, 4074997/2, 30183379/2], [261978255, 100795695/2, -49464030], [13000, 4121, -3198]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19/2, 2, -5/2], [14, 4, -6], [19/2, 2, -5/2], [0, 0, 0]], [[2089, 438, -1895/2], [8063/2, 9659/2, -9211/2], [12589/6, 419, -2833/3], [-2/3, 1, -1/6]], [[2331548, 39602, -1486133/2], [5629869/2, -5132629/2, -1450090], [7045942/3, 45452, -4494739/6], [-3412/3, -401, 1085/3]]], 1, 3, [], [] >,
< [ -1, -5, -1, 1 ], [[-30, -7, 7]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, 0, -1], [-143/2, -3/2, -5], [11/2, 0, -1], [0, 0, 0]], [[3577183/2, 18822, -105779/2], [-37819717/2, 42851397/2, 4409707/2], [1788592, 18824, -52884], [-1/2, 3/2, -5/2]], [[-153829764333, -38528616561, 31754733107], [4007839778625/2, 915960609791/2, -421494448150], [-153829793208, -38528630946, 31754726562], [158865/2, 36715/2, -11165]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, 0, -1/2], [-15/2, -13/2, 5], [-10, 0, -1/2], [0, 0, 0]], [[-1808946, -681659/2, 546031/2], [-2278937/2, -1001887/2, 766971/2], [-3617895/2, -681605/2, 273038], [1, -3/2, -2]], [[1551514263, 833479995/2, -336586952], [903688478, 198459285, -176779769], [1551519868, 833483751/2, -336587172], [-1095, -549/2, 289/2]]], 0, 30, [], [] >,
< [ -1, -5, -1, 1 ], [[-3, -1, 1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -2, -2], [27, 1/2, -3/2], [24, 5/2, 1/2], [0, 0, 0]], [[-1841/2, 11747/2, -5352], [84481/2, 1628867/6, -290950/3], [43159, 531199/2, -183261/2], [-1/3, -1/6, 1/2]], [[-3614319/2, -788355/2, 695175/2], [-28357429/2, -3104299/2, 4551647/2], [-24744559/2, -2316371/2, 3856791/2], [-421/2, -113/2, 93/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, -4, 3/2], [63, -5, 2], [133/2, -1, 1/2], [0, 0, 0]], [[-2877705/2, -147833/2, 19925/2], [239048947/6, 61029340/3, -7241989], [577924695/14, 142918956/7, -50763645/7], [1/14, 13/42, -1/42]], [[1747133, 441529, -367852], [-86578703/2, -22100053/2, 9152660], [-90072969/2, -22983111/2, 9520512], [0, 0, 0]]], 1, 6, [], [] >,
< [ -1, -5, -1, 1 ], [[11, 3, -2]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 0, 5/2], [9/2, -3, 5/2], [-6, 3, 0], [0, 0, 0]], [[284, 3355/2, 743], [1367/3, 11153/6, 464], [-185, -397/2, 274], [-4, -5/6, -2/3]], [[1163283/2, 205486, -185825/2], [-3919466/3, -821719/3, 297093], [4086225/2, 518443, -845909/2], [60145, 46024/3, -38179/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-54, -30, -4], [-255/14, -108/7, -41/14], [-167/14, -34/7, -5/14], [0, 0, 0]], [[2402301/2, 150291, 616388], [19982933/42, 10566967/21, 3662230/21], [3385131/14, -823409/7, 1031360/7], [5/6, 0, 2/3]], [[-600405943983/2, -76622749503, 122602814317/2], [-664237755326/7, -176098128776/7, 135378076530/7], [-958142831491/14, -120089729395/7, 195825359193/14], [-216398, -55104, 43706]]], 1, 10, [], [] >,
< [ -1, -5, -1, 1 ], [[11, 3, -2]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 1, -1], [-23, -11, -5], [-6, 1, -1], [0, 0, 0]], [[256193, 77559, -22799], [1805357/2, 499050, 14468], [512383/2, 77541, -45625/2], [-3/2, 1, 2]], [[-398268089, -70207518, 143720157/2], [-1344413318, -589887449/2, 257167629], [-796543773/2, -70212168, 71862791], [6045/2, 1860, -1085]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 2, -2], [-13, -22, 8], [3, 2, -2], [0, 0, 0]], [[26193/2, -2209/2, -3261/2], [-266642/7, 294351/14, -46031/14], [183361/14, -15415/14, -22793/14], [-1/7, -2/7, -2/7]], [[95548181/2, 13547857, -10517155], [-1086585574/7, -349987688/7, 509240793/14], [334421175/7, 94835539/7, -147244249/14], [-4903/14, -1707/14, 1527/14]]], 1, 6, [], [] >,
< [ -1, -5, -1, 1 ], [[-17, -5, 4]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, -2, -5/2], [-25, -12, -11], [15/2, -2, -5/2], [0, 0, 0]], [[-13939463/2, 166281/2, 1070805/2], [16735467, -34699055/2, 3500033/2], [-13939463/2, 166265/2, 1070797/2], [2, 2, 0]], [[-33886985287, -6615714898, 7135220783], [198652360061/2, 19688642921, -13358217990], [-67773949031/2, -6615695056, 14270458675/2], [14757/2, -258, -3135]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[29/2, 1, 5/2], [-6, 24, -12], [29/2, 1, 5/2], [0, 0, 0]], [[6032917/2, 575127/2, 114491], [-11224259/7, 47269269/14, -10726507/7], [21115189/7, 4025877/14, 1602827/14], [39/14, 1/14, 1/14]], [[34773686115/2, -741415475/2, -14571959895/2], [-201897197721/14, -20094682059/14, 50816992434/7], [243415647995/14, -5189450675/14, -102003348625/14], [231085/14, 5650/7, -87575/14]]], 1, 10, [], [] >,
< [ -1, -5, -1, 1 ], [[-17, -5, 4]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[65/2, 1, 5/2], [57, 51, 6], [65/2, 1, 5/2], [0, 0, 0]], [[-131790387, 75459297/2, -8774002], [-462948469/2, -138646302, 23924480], [-263580781/2, 75459285/2, -17548029/2], [5/2, -1/2, 3/2]], [[-3662173422078, -1775213883615/2, 1734966657365/2], [-10314645274293/2, -1529156418221/2, 2800837478399/2], [-7324346935121/2, -1775213621829/2, 867483432930], [67298, 6279/2, -24955]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 5/2, 5/2], [160, 21/2, -5/2], [17/2, 5/2, 5/2], [0, 0, 0]], [[2862631/2, -120895, 99691/2], [399988907/14, -181021/14, -36698845/14], [10019466/7, -846086/7, 348975/7], [-33/14, -17/14, -3/14]], [[-54053676027/2, -14478033333/2, 14838592233/2], [-3698926852076/7, -2120722704699/14, 1745590547305/14], [-378383437269/14, -101345684163/14, 103873542231/14], [262140/7, 14484/7, -94044/7]]], 1, 18, [], [] >,
< [ -1, -5, -1, 1 ], [[-3, 0, 1]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 9, 7], [-5/2, -35/2, -23/2], [-7/2, -9, -3/2], [5/2, 5/2, 1/2]], [[-477, -2917/2, 921/2], [15, 1180, -230], [309, -2575/2, 927/2], [-1515/2, -159, 261/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 15/2, 2], [-7/2, -8, -5/2], [5/6, -9/2, -14/3], [-1/3, 1, 2/3]], [[-1/2, 14, -11/2], [937/2, 225/2, -191/2], [-1154/3, -85, 232/3], [757/6, 65/2, -161/6]]], 1, 2, [], [] >,
< [ -1, -5, -1, 1 ], [[-14, -2, 4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, -5, -5/2], [-47/3, 17/3, -1], [-6, 3, -1], [-7/2, -5/3, -5/6]], [[-132660, -15345, 39600], [-481549/2, -59726, 106389/2], [-189829/2, -22601, 43359/2], [-44220, -5115, 13200]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[47/2, 26, 3/2], [71/2, 29/3, 5/6], [545/14, 104/7, 33/14], [47/42, 26/21, 1/14]], [[103545/2, 9381, -27081/2], [96625, 21547, -21797], [723634/7, 154900/7, -167506/7], [34515/14, 3127/7, -9027/14]]], 0, 16, [], [] >,
< [ -1, -5, -1, 1 ], [[5, 2, -1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 7/2, 2], [6, -10/3, 29/6], [15/2, 2, 4], [-1/6, 1/6, 1/2]], [[7275/2, 180, -2355/2], [74022, 16406, -15619], [77772, 17711, -16774], [-3945/2, -675, 735/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 4, 2], [0, 0, 0], [0, 0, 0]], [[43, 12, 13/2], [383/6, 61/6, 15/2], [1299/7, 653/14, 57/7], [59/14, 16/21, 2/21]], [[547296, 302153, -125422], [4998415/6, 1373339/3, -1236149/6], [32486821/14, 7693045/7, -7395739/14], [1123097/21, 176731/7, -267947/21]]], 1, 4, [], [] >,
< [ -1, -5, -1, 1 ], [[5, 2, -1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, 4, -3/2], [-9/2, 2, -1/2], [-3, 2, -1], [0, 0, 0]], [[16287, 7394, -2897], [56765/6, 11396/3, -3781/2], [6798, 3652, -1003], [-21/2, -2/3, -5/6]], [[1503349097/2, 488542355/2, -149725337], [879642099/2, 269320997/2, -91012209], [310062184, 220375761/2, -116749537/2], [-517491, -199035/2, 119421/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-105/2, -33, 1/2], [-213/7, -132/7, 8/7], [-103/14, -33/7, -3/14], [0, 0, 0]], [[6326, 9035/2, -4179/2], [84173/21, 57465/14, -75097/42], [10845/14, 1873/14, -698/7], [5/6, -1/6, 1/3]], [[4445949/2, 622424, -979737/2], [18159371/14, 2757887/7, -4150113/14], [2168725/7, 534560/7, -452874/7], [365, 73, -73]]], 1, 5, [], [] >,
< [ -1, -5, -1, 1 ], [[5, 2, -1]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, -24, -12], [33/2, 23, 3], [31/2, -4, -3/2], [3/2, -2, -2]], [[88789/2, 17435/2, -10287], [36851, 11256, -7160], [100321/2, 23945/2, -10380], [11253/2, 1209, -2697/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[41/2, 2, 3/2], [-128, 19, -3], [41/2, 2, 3/2], [0, 0, 0]], [[-59134081/2, -1436693, -6755685/2], [1283326949/7, -603287915/14, 82338491/7], [-206969254/7, -10056764/7, -23644856/7], [-15/7, -25/14, -2/7]], [[-74573892681/2, 22025937961/2, 2185408272], [1678556110963/7, -1289205804059/14, -11941180333/14], [-522017217457/14, 154181543017/14, 15297844939/7], [-35095/14, -5755/14, 4770/7]]], 1, 5, [], [] >,
< [ -1, -5, -1, 1 ], [[-7, -2, 1]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -19/2, -4], [-119/2, -33, -41/2], [-3/2, -19/2, -4], [0, 0, 0]], [[-1634586, 17914, 128452], [569463557/2, 62906967, -113888001/2], [-1634588, 17917, 128453], [5/2, 0, -1/2]], [[-601454201/2, -108605333, 158245103/2], [48405167975, 26127612985/2, -10425898786], [-300727620, -108605720, 79122620], [455, 325/2, -98]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-41/2, -15/2, 2], [-1681/6, -111, 173/6], [-41/6, -5/2, 2/3], [0, 0, 0]], [[-37973, -9069/2, 11453/2], [-1574035/3, -205883/2, 559657/6], [-37973/3, -3013/2, 11477/6], [5/2, -1/2, -2]], [[-414627913/2, -41725395, 80097893/2], [-2831211970, -1291937703/2, 573488489], [-69110768, -13915230, 13349683], [14965, 12915/2, -3075]]], 1, 10, [], [] >,
< [ -1, -5, -1, 1 ], [[-15, -2, 3]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 0, 1/2], [-7, 13, 4], [17/2, 0, 1/2], [0, 0, 0]], [[316933/2, -179377/2, -13548], [-193695, 134, -208803/2], [158467, -179393/2, -27097/2], [-1/2, 1, 0]], [[88748811963/2, 24044505387/2, -8775479461], [-97466439467/2, -7835594169, 25549458599/2], [88749934329/2, 24044994659/2, -8775529378], [-179494, -54215, 31514]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-97, 9/2, -5/2], [-2149/6, -31, -61/6], [-97/3, 3/2, -5/6], [0, 0, 0]], [[-28551338072, 1068726681/2, 1856558507/2], [-314053018909/3, -16613161407/2, 22029995623/6], [-28551338090/3, 356242215/2, 1856558549/6], [5/2, 5/2, -2]], [[8738592851961879/2, 1074593248306338, -1906370653381113/2], [94036456701363067/6, 3777519928282173, -10383083047695088/3], [4369296428056201/3, 358197749690922, -953185326964304/3], [-581867/2, -89011, 50284]]], 1, 60, [], [] >,
< [ -1, -5, -1, 1 ], [[9, 4, -1]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -1, 1], [26, 9, 4], [-2, -1, 1], [0, 0, 0]], [[-60922, 3454, 2528], [1891399/2, 354102, -331805], [-121845/2, 3450, 5055/2], [-1/2, 2, 0]], [[-354202679, -176884191/2, 149186921/2], [9882303377/2, 1289198402, -2071149081/2], [-354200787, -176882739/2, 149186613/2], [-5313, -1386, 1023]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 5/2, 2], [-15/2, 15, 9/2], [-3/2, 5/2, 2], [0, 0, 0]], [[-2599/2, -525/2, 132], [-2329/2, 48845/2, -8765], [-7757/6, -585/2, 425/3], [1/3, -5/2, 5/6]], [[204967/2, 154232, 111705/2], [996537/2, 535887, 152577], [304937/3, 154020, 168050/3], [-337/6, -15, 31/3]]], 1, 9, [], [] >,
< [ -1, -5, -1, 1 ], [[-23, -2, 7]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[27/2, 1/2, 1], [-93/2, 14, 5/2], [27/2, 1/2, 1], [0, 0, 0]], [[3571216, -608611, 265949], [-24963299/2, 5412646, -140541/2], [3571219, -608604, 265955], [-11/2, -2, -3/2]], [[20522377398321/2, 2661896351965, -4508938393411/2], [-37752329409987, -20376004026843/2, 8103095213895], [10261193404168, 2661896284698, -2254471129036], [-14148656, -6570071/2, 3318669]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -2, 0], [52, 0, -7], [-1, -2, 0], [0, 0, 0]], [[-20938, 3117/2, -4751/2], [4153557/2, 1378935/2, -993873/2], [-41885/2, 3127/2, -2376], [1, -1/2, 0]], [[164999409/2, 33622005, -20871573/2], [-14286401001/2, -1803458461, 1508015992], [82520282, 33625681, -10441377], [-8239/2, -949, 969]]], 0, 90, [], [] >,
< [ -1, -5, -1, 1 ], [[22, 6, -4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13, 3, -2], [-101/6, 17/3, -11/6], [-9/2, -5, 1/2], [-13/3, 1, -2/3]], [[165429/2, 22869, -34749/2], [109091, 29775, -23162], [20585, 5520, -3956], [55143/2, 7623, -11583/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-145/2, 2, -3/2], [-51/2, 2/3, 5/6], [-503/14, -20/7, 9/14], [-145/42, 2/21, -1/14]], [[415932, 118368, -77268], [291041/2, 39431, -56735/2], [2817639/14, 404249/7, -524281/14], [138644/7, 39456/7, -25756/7]]], 0, 40, [], [] >,
< [ -1, -5, -1, 1 ], [[9, 4, -1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -1/2, 0], [-61/6, 5/6, -11/3], [-25/2, -7/2, -2], [5/6, 1/2, -1/3]], [[-3165/2, -177/2, 1035/2], [-23109/2, 1257, 4767], [-13143, 868, 10405/2], [853, 553/2, -153]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, 4, -2], [233/6, 10/3, -13/6], [-81/14, 24/7, -15/14], [-32/21, 2/7, -1/21]], [[-745461/2, -473131/2, -1921/2], [5190323/6, 1302616/3, -178079/3], [-1042737/7, -514940/7, 182989/14], [-753710/21, -238995/14, 68252/21]]], 1, 12, [], [] >,
< [ -1, -5, -1, 1 ], [[9, 4, -1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[23/2, 5, -3/2], [-3/2, 4, -5/2], [13, 1, 1], [0, 0, 0]], [[855187/2, 143536, -143501/2], [-93955, -17398/3, -30959/3], [1043063/2, 149357, -122859/2], [-17/3, -1/3, 0]], [[-136346361, -76194025/2, 53421043/2], [65439851/2, 68834959/6, -16492736/3], [-338117953/2, -99136331/2, 32206029], [5848/3, 3655/6, -731/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, -17, -1], [11/14, -80/7, 1/14], [-41/14, -13/7, -5/14], [0, 0, 0]], [[-17862, 201837/2, 26225/2], [1046378/21, 4255757/42, -267733/14], [-157845/7, -2115/14, 150471/14], [5, -5/6, 5/6]], [[-41748665/2, -10612472, -109789/2], [195938693/14, 39717332/21, -227065453/42], [-81301928/7, -29161687/7, 12475293/7], [7918/3, 1295/3, -629]]], 1, 10, [], [] >,
< [ -1, -5, -1, 1 ], [[9, 4, -1]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, 3/2, -3/2], [-19/2, -19, -9/2], [-15, 3/2, -3/2], [0, 0, 0]], [[-190447/2, -63291, 83215/2], [-19368, 105261/2, 18774], [-95221, -63289, 41606], [2, -1/2, 0]], [[1105725005/2, 111098361, -290986603/2], [169800066, -143131326, -143580900], [1105697741/2, 111097025, -290977403/2], [-14692, -3848, 2788]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-39/2, -2, 1/2], [236, -9, 1], [-39/2, -2, 1/2], [0, 0, 0]], [[16248033/2, 9528, -109285/2], [-683313607/7, 119539888/7, -52775487/14], [56868095/7, 66669/7, -382521/7], [16/7, 4/7, 1/14]], [[-575586142667/2, -140997506111/2, 55726526733], [50173956308509/14, 5855223764129/7, -9628378011347/14], [-4029101827777/14, -986982005705/14, 390085669577/7], [-540690/7, -145256/7, 100500/7]]], 1, 10, [], [] >,
< [ -1, -5, -1, 1 ], [[-13, -2, 3]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-37/2, 1, -1/2], [-12, -20, 2], [-37/2, 1, -1/2], [0, 0, 0]], [[63605033/2, 5290639/2, -3502057], [32765423/2, 32489663/2, -4199987], [63605033/2, 5290617/2, -3502067], [2, 1/2, 3/2]], [[-351471840381245/2, -46649449302605, 75481165532105/2], [-71414886124825, -15692102194636, 28727331978547/2], [-175735930684390, -46649451829760, 37740584143105], [-11170835, -3294780, 5235425/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[81/2, 1/2, 1], [-297/2, 47, -13/2], [81/2, 1/2, 1], [0, 0, 0]], [[1118514677/2, -61678581, 92785149/2], [-14081545621/7, 7656710111/7, -3657987653/14], [3914801376/7, -431750124/7, 324748031/7], [-16/7, 10/7, -1/14]], [[-2677674284857681/2, -432962288203847, 547288777729073/2], [73557716356175463/14, 23509040019190115/14, -16398623221554989/14], [-9371860041522275/7, -3030736032289223/7, 1915510736825785/7], [84086685/14, 24718905/14, -19764807/14]]], 1, 30, [], [] >,
< [ -1, -5, -1, 1 ], [[-13, -2, 3]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[43, -1/2, 5/2], [85/2, 50, 7/2], [43, -1/2, 5/2], [0, 0, 0]], [[174254895/2, 45314382, -51361111/2], [115792359/2, 7864903/2, -11759353/2], [87127454, 45314380, -25680554], [1/2, -5/2, -1/2]], [[-89845005010858, -21826414717962, 18544445618996], [-67135861868277, -17827918703730, 14367292940268], [-89845013316298, -21826417118338, 18544447451772], [-1196756, -353936, 282084]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-25/2, 3/2, -1], [-87/2, -30, 9/2], [-25/2, 3/2, -1], [0, 0, 0]], [[27747251/2, -1116337/2, -148672], [321090694/7, 355763993/14, -48070496/7], [97115934/7, -7814713/14, -2081251/14], [27/14, -9/14, 5/14]], [[-34089404941595/2, -9423432161719/2, 3823982911183], [-679005898018705/14, -78819449123063/7, 145960315532441/14], [-238627294398355/14, -65964453679261/14, 26768050588578/7], [-17828080/7, -5251422/7, 4203737/7]]], 1, 30, [], [] >,
< [ -1, -5, -1, 1 ], [[4, 0, 0]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 4, 2], [0, 0, 0]], [[0, 0, 0], [13, 3/2, 13/2], [0, 0, 0], [9, 3/2, 5/2]], [[0, 0, 0], [8776, 1827, -1992], [0, 0, 0], [5967, 1326, -1326]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, -12, -5], [-12, 2, -5], [0, 0, 0]], [[0, 0, 0], [53121/2, 5773/2, -1808], [-296890/3, 2462, 38207/3], [-7/6, -3/2, 1/3]], [[0, 0, 0], [226446061, 55020726, -50506065], [-869281803, -229046713, 183344575], [-7188, -1143, 1785]]], 0, 32, [], [] >,
< [ -1, -5, -1, 1 ], [[4, 0, 0]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -3, 2], [-4, 19, 13], [6, -3, 2], [0, 0, 0]], [[142158, -92568, -84303], [-837789/2, -2583551/2, -627219], [142158, -92568, -84303], [1/2, 1/2, 0]], [[-78793/2, -13224, 13775/2], [36911, -20674, -25952], [-78793/2, -13224, 13775/2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-29/2, -2, -3/2], [-2, -19, -10], [-29/2, -2, -3/2], [0, 0, 0]], [[-486576, -194184, 104904], [68115/2, -167323/2, -68949], [-1459786/3, -194186, 314708/3], [29/6, 1/2, 1/3]], [[-33895710, -9891108, 5861790], [2190952, -7179156, -5064906], [-33897250, -9891948, 5861930], [385, 210, -35]]], 0, 24, [], [] >,
< [ -1, -5, -1, 1 ], [[2, 0, 0]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 1, -5/2], [-4, -8, -3], [1/2, 1, -5/2], [0, 0, 0]], [[-58, 30, 35], [1989/2, 551/2, -395/2], [-129/2, 6, 27/2], [5/2, 3/2, 5/2]], [[-1706899, -918267/2, 684181/2], [25158131, 6406646, -5310927], [-1765764, -889317/2, 729729/2], [122555/2, 11194, -27213/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 3/2, -5/2], [19/2, -7, -7/2], [1, 3/2, -5/2], [0, 0, 0]], [[29101/2, 2425/2, 286], [582993/2, 176281/2, -119663/2], [43654/3, 2421/2, 1733/6], [-1/3, 1/2, -1/3]], [[67494305/2, 7156545, -15214835/2], [1285604691/2, 161865764, -137308965], [33750165, 7156005, -7608500], [-2095/2, -120, 250]]], 1, 4, [], [] >,
< [ -1, -5, -1, 1 ], [[20, 8, -4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [8/3, -43/3, -7/3], [0, 0, 0], [23/3, -1, 4/3]], [[0, 0, 0], [274, -43, 13], [0, 0, 0], [406, 0, -58]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-33, -8, -3], [-24, -3, -3], [0, 0, 0]], [[0, 0, 0], [1924, -707990/3, 259661/3], [-82601/7, -1642300/7, 605218/7], [26/21, 31/21, 1/7]], [[0, 0, 0], [-85517529, 189279440/3, -35823941/3], [-414721136/7, 473875100/7, -116535126/7], [-38270/21, -13435/21, 2685/7]]], 0, 160, [], [] >,
< [ -1, -5, -1, 1 ], [[8, 4, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -2/3, -1/3], [0, 0, 0], [2/3, 1/3, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-193/7, -113/7, -29/7], [-15/7, -37/7, -2/7], [0, 0, 0]], [[0, 0, 0], [6258124/7, 1830524/7, -1285932/7], [256686/7, 33221/7, -21988/7], [0, 0, 0]], [[0, 0, 0], [6, 7/3, -1/3], [0, 0, 0], [2/3, 1/3, 0]]], 0, 48, [], [] >,
< [ -1, -5, -1, 1 ], [[8, 4, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[65/2, 5, 3/2], [15/2, -52/3, 11/6], [65/2, 5, 3/2], [65/6, 5/3, 1/2]], [[-138775/2, -22875, 19825/2], [-139207/6, -1082/3, 35621/6], [-138775/2, -22875, 19825/2], [-138775/6, -7625, 19825/6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 11, 5], [-5, 4, 0], [0, 0, 0]], [[-19/2, -2, -1/2], [24510019/42, 3324506/7, 6974195/42], [-3732037/14, 799378/7, 327353/14], [-19/6, -2/3, -1/6]], [[-666, 0, 222], [228147490/7, -123850495/7, -153156555/7], [-156557190/7, -45477696/7, 22042386/7], [-222, 0, 74]]], 0, 48, [], [] >,
< [ -1, -5, -1, 1 ], [[4, 2, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[49/2, 9/2, 2], [131/6, 131/6, 13/3], [49/2, 9/2, 2], [41/6, 1/2, 2/3]], [[-314103/2, -83554, 69211/2], [-114009, -173728/3, 10858/3], [-314103/2, -83554, 69211/2], [-135725/3, -76006/3, 10858]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-37/2, -9, 3/2], [-158/7, -71/7, -29/7], [-37/14, -9/7, 3/14], [0, 0, 0]], [[-5779, -16479/2, 6419/2], [973454/21, 9439321/42, -3571019/42], [-5659/7, -16497/14, 6449/14], [20/3, -1/2, 5/6]], [[-14210904, -3614107, 2581237], [-446807353/21, -449022488/21, 62813922/7], [-13756404/7, -3462607/7, 2502457/7], [25250, 25250/3, -13130/3]]], 1, 6, [], [] >,
< [ -1, -5, -1, 1 ], [[8, 4, 0]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, -1, 4], [98, 526, 282], [0, 0, 0]], [[0, 0, 0], [889, -128741/2, 44695/2], [-768, -247, 299], [-5, -5/2, -5/2]], [[0, 0, 0], [732850, -46981, -72815], [-36068, -9904, 7787], [-230, -46, 46]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-66, -3, 15], [-3, -1, 4], [0, 0, 0]], [[0, 0, 0], [30031174/7, 17243687/14, -13069491/14], [1121948/7, -35885/7, -52482/7], [22/7, -17/14, -3/14]], [[0, 0, 0], [1021492028951/7, 248433430949/7, -217986015488/7], [41116137102/7, 8807384827/7, -11943101552/7], [907647/7, 405977/7, -155584/7]]], 0, 80, [], [] >,
< [ -1, -5, -1, 1 ], [[-12, -8, 0]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -16, -8], [1, 4, 2], [0, 0, 0]], [[0, 0, 0], [-123/2, -6, -1/2], [0, 0, 0], [11/2, 1, 3/2]], [[0, 0, 0], [-4813341/2, -1304655/2, 376860], [0, 0, 0], [434015/2, 152261/2, -17076]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-568/3, 58, -88/3], [-14/3, 3, -2/3], [0, 0, 0]], [[0, 0, 0], [17732143/3, 3036139/2, -7479523/6], [465764/3, 39856, -98368/3], [-4, -5/2, 1/2]], [[0, 0, 0], [3411182033/3, 289915349, -717601648/3], [89594698/3, 7603804, -18858566/3], [-722, -262, 58]]], 0, 160, [], [] >,
< [ -1, -5, -1, 1 ], [[-24, -4, 8]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, 1, -4], [26, -3, 2], [0, 0, 0]], [[0, 0, 0], [417603, 72967/2, -53687/2], [1922382, 1138518, -685245], [-3, -1/2, 5/2]], [[0, 0, 0], [-468929703132, -139155621234, 103673411470], [-1848770031600, -355572690942, 351984161885], [3071160, 386232, -613168]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [114, 110, -108], [44, 4, 1], [0, 0, 0]], [[0, 0, 0], [-372174925085/6, -15897279773, 78679939993/6], [-93426332393/3, -7939536070, 19675931521/3], [3/2, 2, -5/2]], [[0, 0, 0], [-150408293254169983, -76747502823769541/2, 63395910428825609/2], [-75540010794308378, -19276583800818839, 15920649685022195], [2435361, 637439/2, -974779/2]]], 0, 960, [], [] >,
< [ -1, -5, -1, 1 ], [[-12, -4, 4]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 4, 2], [0, 0, 0]], [[0, 0, 0], [41/2, 92, 99/2], [0, 0, 0], [9/2, 1, 1/2]], [[0, 0, 0], [8363, 4799/2, -4041/2], [0, 0, 0], [10919, 6527/2, -4941/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 59, 31], [58, 5, 3], [0, 0, 0]], [[0, 0, 0], [119393, -6456, -3794], [26086046/3, 5930987, -9377650/3], [-17/3, -2, -2/3]], [[0, 0, 0], [-14407358431/2, -4432640041/2, 1424889769], [-428838984881, -98003957847, 86344900030], [648025/2, 289695/2, -35455]]], 0, 144, [], [] >,
< [ -1, -5, -1, 1 ], [[32, 8, -4]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 5, -1], [19, 4, -2], [0, 0, 0]], [[0, 0, 0], [8175, -9791/2, 2849/2], [9638, -14884, 4514], [-3, -1/2, -5/2]], [[0, 0, 0], [10304995/2, 1153157, -2296835/2], [7221180, 1670790, -1544520], [-3145/2, 148, 1295/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [98, -7, -7], [13, 1, -5], [0, 0, 0]], [[0, 0, 0], [-1917496, -3010204, 1312127], [-156854, -10355, -12412], [1, 0, -2]], [[0, 0, 0], [-325969773/2, -80299501/2, 33993767], [-20744088, -5515943, 4269449], [239/2, 39/2, -31]]], 0, 1440, [], [] >,
< [ -1, -5, -1, 1 ], [[36, 16, -4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [13, 2, 4], [7, -2, 4], [0, 0, 0]], [[0, 0, 0], [291476/3, 125137, -159047/3], [68162, 119776, -48462], [-74/3, -5/3, -5/3]], [[0, 0, 0], [-46983116890/3, -9922889839/3, 7942647485/3], [-9217318740, -1481363170, 1367430190], [17570624/3, 2531520, -2156480/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-115, -2, 0], [-126, 1, -4], [0, 0, 0]], [[0, 0, 0], [10256799779/3, 1594780535/3, -1513478752/3], [26322490574/7, 3792162420/7, -3648520004/7], [-304/21, -9/7, 1/21]], [[0, 0, 0], [27039110291276939/3, 8199746396980375/3, -1699512906194290], [69705099857107026/7, 21683288645314850/7, -12873464000345150/7], [-282595770/7, -403035610/21, 79593460/21]]], 0, 640, [], [] >,
< [ -1, -5, -1, 1 ], [[-6, -2, 2]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[53/2, -3/2, 2], [41/3, 55/6, 1/6], [53/2, -3/2, 2], [14/3, 1/2, -1/6]], [[-1173, -815/2, 737/2], [-479, -45/2, 311/2], [-1173, -815/2, 737/2], [-196, -117/2, 109/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 26, 3/2], [-46/7, 125/7, 34/7], [5/14, 26/7, 3/14], [0, 0, 0]], [[813, -5763/2, 1563/2], [29785/6, -1407/2, -1373/3], [126, -819/2, 225/2], [23/6, 5/6, 1/3]], [[594803, 1132939/2, -529505/2], [37700017/21, 10089347/14, -19562747/42], [617891/7, 1149397/14, -542531/14], [3848/3, 2743/6, -2171/6]]], 1, 20, [], [] >,
< [ -1, -5, -1, 1 ], [[-12, -4, 4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4/3, -29/3, -1], [9, 1, -1], [3, -1/3, 4/3]], [[0, 0, 0], [2584/3, 7429/3, 646/3], [5010, 1548, -1266], [5491/3, 646, -2584/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [132/7, 145/7, -9/7], [82/7, 38/7, 3/7], [0, 0, 0]], [[0, 0, 0], [-102875032/21, -71644646/7, 69993082/21], [-11942640/7, 5848200/7, -3244212/7], [-2/3, 1/3, -2/3]], [[0, 0, 0], [1799396149, 189948234, -307093340], [1377194670, 391726800, -314227890], [556, 160, -140]]], 0, 160, [], [] >,
< [ -1, -5, -1, 1 ], [[-12, -4, 4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, 3, -2], [-9, -1, 4], [0, 0, 0]], [[17/2, -1, 3/2], [-1217/2, -724/3, 971/6], [1623/2, 145, -581/2], [17/6, -1/3, 1/2]], [[1634, 1204, -1290], [-82870, 6664/3, 24656/3], [126829, 54348, 8930], [1634/3, 1204/3, -430]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-123/7, 90/7, 41/7], [-15/7, 19/7, 5/7], [0, 0, 0]], [[33/2, 4, 1/2], [-9076171/42, 2798678/21, -22579/14], [-362597/14, 219628/7, -64653/14], [11/2, 4/3, 1/6]], [[-4259059/2, -738595, 1255095/2], [70831146123/2, 65393184086/3, -68337809197/6], [9915381845/2, 3863892005, -3723150657/2], [-4259059/6, -738595/3, 418365/2]]], 0, 160, [], [] >,
< [ -1, -5, -1, 1 ], [[-12, -4, 4]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, 16, 7], [21, 2, 4], [0, 0, 0]], [[0, 0, 0], [51069, 905/2, -7817/2], [632033, 1594887, -632052], [-8, -3/2, -3/2]], [[0, 0, 0], [98379425199/2, 27948093645/2, -9943105434], [247444983739, 20543061019, -36791707174], [-15432515/2, -6507005/2, 956080]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [79, 103, -8], [14, 0, 4], [0, 0, 0]], [[0, 0, 0], [3525049922/7, 1798656917/14, -1483037079/14], [877915127/7, 224584258/7, -185017753/7], [6/7, -25/14, 3/14]], [[0, 0, 0], [-156741026751420/7, -39953969879024/7, 33060427988849/7], [-39030357726382/7, -9952794198237/7, 8229767574908/7], [-427900/7, -183744/7, 51183/7]]], 0, 160, [], [] >,
< [ -1, -5, -1, 1 ], [[-20, 0, 8]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [27, 143, 76], [26, 5, 5], [0, 0, 0]], [[0, 0, 0], [-1288059, 40023/2, 187707/2], [-147721457, -46522221, 34208756], [-5, -3/2, 1/2]], [[0, 0, 0], [42010034049, 4026477684, -7174315611], [4647695597616, 1315971326831, -1024935956574], [154683, 25228, -35037]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [87, 166, -103], [12, 0, -3], [0, 0, 0]], [[0, 0, 0], [-258654331/14, -33092365/7, 54557325/14], [-32345223/7, -8253492/7, 6816451/7], [27/14, -8/7, 5/14]], [[0, 0, 0], [49680888955245/7, 25352856027185/14, -20945328302975/14], [12427479662302/7, 3171041370787/7, -2619228931309/7], [-6139169/7, -1888653/14, 2827331/14]]], 0, 480, [], [] >,
< [ -1, -5, -1, 1 ], [[-20, 0, 8]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, 3, 0], [-3, 5, 4], [0, 0, 0]], [[0, 0, 0], [135/2, 553/2, -110], [-163, -15, 13], [-17/2, -5/2, -1]], [[0, 0, 0], [-2593767, -7545648, 2833191], [34080115, 7419136, -6998670], [1700816, 298454, -374166]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-160, 111, -83], [-48, -5, 2], [0, 0, 0]], [[0, 0, 0], [-17220443637/7, -8818065983/14, 7281171311/14], [-4312368300/7, -1101115194/7, 909640224/7], [6/7, 3/14, 3/14]], [[0, 0, 0], [-293948649629673/7, -75051960308520/7, 61954864088181/7], [-73622376981514/7, -18789489635596/7, 15516347666868/7], [102646/7, 16243/7, -23517/7]]], 0, 480, [], [] >,
< [ -1, -5, -1, 1 ], [[-32, -8, 8]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, 4, -3], [-202, -1082, -580], [0, 0, 0]], [[0, 0, 0], [3612643/2, 1380736, -1403247/2], [-52923, -7347, 3030], [3/2, 0, 1/2]], [[0, 0, 0], [-3951545274, -1680766628, 1067424022], [128954195, 25498200, -22994365], [-3730, -340, 390]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5, 6, 5], [43, 4, 1], [0, 0, 0]], [[0, 0, 0], [286023/2, -16505, 30263/2], [-467718, 2492865, -781275], [1/2, 5, 1/2]], [[0, 0, 0], [-27392223029, -6040580436, 5501439463], [558293454191/3, 19361910254, -88014928699/3], [283021/3, 2628, -21827/3]]], 0, 320, [], [] >,
< [ -1, -5, -1, 1 ], [[-32, -8, 8]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 2, -2], [-4, -1, 3], [0, 0, 0]], [[0, 0, 0], [-5/2, 0, -5/2], [-4, -28, -6], [5/2, 0, 5/2]], [[0, 0, 0], [-748, -68, 100], [377, -377, 0], [748, 68, -100]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 0, 6], [3, -5, 2], [0, 0, 0]], [[0, 0, 0], [1877/2, 41943, 57785/2], [-10234/3, 403, 12485/3], [-13/6, -1, -1/6]], [[0, 0, 0], [-506540, -50184, 64200], [-247953, 325, 28736], [-156, -48, 36]]], 0, 320, [], [] >,
< [ -1, -5, -1, 1 ], [[-8, -2, 2]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 5, 5/2], [7, 29, 11], [7/2, 5, 5/2], [0, 0, 0]], [[-8748, -1998, 1782], [-4990, -2291, 1501], [-8748, -1998, 1782], [0, 0, 0]], [[0, 1/2, 1/2], [1, 0, 1/2], [1/2, 1/2, 0], [1/2, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19/2, 5, -5/2], [7, 5, 3], [19/2, 5, -5/2], [0, 0, 0]], [[371/2, -209/2, 15], [219, 617/2, -77], [562/3, -205/2, 95/6], [1/6, -3/2, 1/6]], [[44818, 23655/2, -19157/2], [64527/2, 7942, -6511], [270793/6, 23829/2, -28924/3], [319/3, 29, -145/6]]], 1, 8, [], [] >,
< [ -1, -5, -1, 1 ], [[-8, -2, 2]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -2, 1/2], [10, 13, 2], [9/2, -2, 1/2], [0, 0, 0]], [[-1170, -4810, 1820], [594, 3105, -1169], [-1170, -4810, 1820], [0, 0, 0]], [[1/2, 0, 1/2], [-1/2, 0, 0], [0, 0, 0], [1/2, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 1, -2], [-3, -5, 0], [1, 1, -2], [0, 0, 0]], [[155/2, -96, 53/2], [-285, 77/2, 26], [232/3, -80, 67/3], [2/3, -5/2, 2/3]], [[62203/2, 12351, -15705/2], [-89497, -26078, 20464], [179249/6, 11671, -43963/6], [1172/3, 176, -364/3]]], 1, 8, [], [] >,
< [ -1, -5, -1, 1 ], [[32, 16, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [11, 11, -10], [1, 3, -2], [0, 0, 0]], [[0, 0, 0], [-9635, -1631, 2990], [-318, 13, 249], [-5, -2, 1]], [[0, 0, 0], [234485, 151378/3, -157339/3], [7590, 46, -2024], [353/3, 88/3, -23]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [54, -9, -7], [50, 1, 1], [0, 0, 0]], [[0, 0, 0], [-2124873, -8451494/3, 3700817/3], [-13802860/7, -19703840/7, 8670492/7], [5/21, 52/21, 1/7]], [[0, 0, 0], [-225593573658, -186135018568/3, 147510814984/3], [-202431719024, -56461203376, 44210790816], [-129656/3, -50656/3, 3032]]], 0, 2560, [], [] >,
< [ -1, -5, -1, 1 ], [[-56, -8, 16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 7, 5], [-6, -3, 5], [0, 0, 0]], [[0, 0, 0], [-151400/3, -1142/3, 54760/3], [-84366, -23220, 23736], [13/3, 0, 5/3]], [[0, 0, 0], [4311904433/3, 1074930775/3, -308013542], [2275082700, 575520600, -481337700], [-128370, -104641/3, 78967/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3415/7, -163/7, 180/7], [-79/7, 3/7, -4/7], [0, 0, 0]], [[0, 0, 0], [-45922/21, 48644/7, -73868/21], [351/7, -1097/7, 562/7], [13/3, 1/3, -2/3]], [[0, 0, 0], [-1968089/21, -2842253/21, -966386/21], [15024/7, 22026/7, 7578/7], [244/3, 19, -55/3]]], 0, 640, [], [] >,
< [ -1, -5, -1, 1 ], [[-56, -8, 16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, -5, 1], [3, 4, 1], [0, 0, 0]], [[0, 0, 0], [-4751/3, -385/3, 398], [315, -30, -225], [-2, -5/3, -1/3]], [[0, 0, 0], [19804/3, 920/3, -924], [-1695, -1640, 795], [8, 4/3, -4/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [377/7, 61/7, -2/7], [5/7, 10/7, 3/7], [0, 0, 0]], [[0, 0, 0], [-440333/7, -551092/7, 165519/7], [-3552/7, -5718/7, -6320/7], [-10, -1, 1]], [[0, 0, 0], [1582770932/21, 117419942/7, -348667478/21], [4174929/7, -125658/7, -1665441/7], [48988/3, 12358/3, -10508/3]]], 0, 640, [], [] >,
< [ -1, -5, -1, 1 ], [[-14, -2, 4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[1, 3/2, 1/2], [-17/6, 1/2, 4/3], [1, 3/2, 1/2], [-7/6, -1/6, 1/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-76/7, 44/7, 9/7], [-12/7, 18/7, -3/7], [0, 0, 0]], [[0, 0, 0], [-2260/7, -544/7, 597/7], [-432/7, -136/7, 116/7], [0, 0, 0]], [[1, 3/2, 1/2], [109/6, 7/2, -14/3], [1, 3/2, 1/2], [-7/6, -1/6, 1/3]]], 1, 12, [], [] >,
< [ -1, -5, -1, 1 ], [[-14, -2, 4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 2, 3/2], [1/6, -4/3, 7/6], [-5/2, 2, 3/2], [13/6, -1, -1/6]], [[4605, 1800, -615], [-4543/6, -118/3, 649/2], [4605, 1800, -615], [-7493/2, -3245/3, 4543/6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[23/2, 23, -3/2], [-59/7, 64/7, -27/7], [23/14, 23/7, -3/14], [0, 0, 0]], [[-243814, 31240, -44304], [3333440/7, 2192816/7, -1076499/7], [-243814/7, 31240/7, -44304/7], [2, 0, 0]], [[116248300, 26550734, -27081530], [-1118177201/6, -137742863/3, 78976253/2], [16606900, 3792962, -3868790], [-1847/2, -673/3, 1229/6]]], 1, 12, [], [] >,
< [ -1, -5, -1, 1 ], [[-56, -8, 16]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 6, -4], [-171, -916, -491], [0, 0, 0]], [[0, 0, 0], [35897/2, 295, -4581/2], [-861, -237, 184], [-11/2, 1, -5/2]], [[0, 0, 0], [-4050715, -1176708, 903163], [181078, 45132, -38380], [1260, 0, -630]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [85, 18, -13], [-17, -6, 5], [0, 0, 0]], [[0, 0, 0], [-104237, -36581, 32420], [18467, 552, -823], [1, 1, 0]], [[0, 0, 0], [-170509107/14, -14961960/7, 37401345/14], [17145572/7, 6328755/7, -3574957/7], [1501/14, 360/7, -15/14]]], 0, 1280, [], [] >,
< [ -1, -5, -1, 1 ], [[-72, -24, 16]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [307, 1610, 875], [100, 540, 290], [0, 0, 0]], [[0, 0, 0], [-8331/2, -3631, 3651/2], [498, 67, -73], [7/2, -5, 1/2]], [[0, 0, 0], [-5632867/2, -791796, 955267/2], [400540, 72637, -104239], [8729/2, 3612, 903/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [814/3, -198, 40/3], [-1/3, 8, -1/3], [0, 0, 0]], [[0, 0, 0], [12818014973/6, 363582379, -2384958499/6], [-38896993/3, 1759377, 6273914/3], [7/2, -1, -1/2]], [[0, 0, 0], [81364887370, 19888178090, -18571237200], [-495817485, 45001578, 228512721], [135, -30, -75]]], 0, 2560, [], [] >,
< [ -1, -5, -1, 1 ], [[184, 56, -32]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [87, 10, 3], [25, -4, 1], [0, 0, 0]], [[0, 0, 0], [8311431, 894044, -76223], [2411093, -289502, 881], [-1, -4, 1]], [[0, 0, 0], [-142338532055/2, -17752195450, 30393534545/2], [-21677418122, -5453650929, 4594167133], [1949/2, 166, -635/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [294, 24, 2], [95, 10, 1], [0, 0, 0]], [[0, 0, 0], [26320915127/6, -254372664, 201958277/6], [4251684299/3, -50047017, 34470134/3], [-3/2, 2, -1/2]], [[0, 0, 0], [-39078287893832, -67378440195341, -25792793729721], [-12855935023780, -23220262783480, -9132734908518], [12009, 2123, -3918]]], 0, 15360, [], [] >,
< [ -1, -5, -1, 1 ], [[88, 24, -16]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -2, 2], [1, 6, 3], [0, 0, 0]], [[0, 0, 0], [-1221/2, -94, 215/2], [1, 5, -2], [1/2, 4, -3/2]], [[0, 0, 0], [-109, -28, 23], [0, 0, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-19, -10, 5], [4, 10, 4], [0, 0, 0]], [[0, 0, 0], [-4293, -2958, 1530], [568, 662, -68], [-1, 0, 0]], [[0, 0, 0], [-857511/2, -432, 107613/2], [141125/3, -18493, -39274/3], [-781/6, -48, 239/6]]], 0, 1920, [], [] >,
< [ -1, -5, -1, 1 ], [[-240, -56, 56]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, -8, -1], [46, 10, 4], [0, 0, 0]], [[0, 0, 0], [-77655/2, 3575, 245/2], [-386371, -34199, 71760], [-45/2, 1, -5/2]], [[0, 0, 0], [4310128475, 863418416, -740971717], [41225493999, 9204262482, -8553356631], [2491345, 538276, -367337]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11, -6, -7], [-34, 4, 0], [0, 0, 0]], [[0, 0, 0], [3627579/2, 912, -1167969/2], [6558772, 1410711, -1385981], [7/2, -4, 3/2]], [[0, 0, 0], [164461974, 16319992, -49603090], [586359889, 141873436, -127156031], [416, 104, -52]]], 0, 23040, [], [] >,
< [ -1, -5, -1, 1 ], [[-48, -16, 16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-52, -7, -11], [-56, -5, -5], [0, 0, 0]], [[0, 0, 0], [-1810411/3, -901226/3, 202231], [-645840, -296920, 198640], [-1, -4/3, -5/3]], [[0, 0, 0], [5709225897, 3961017656/3, -3457630751/3], [6181110000, 1457820000, -1258920000], [26299/3, 8942/3, -2397]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 56, -44], [12, 48, -48], [0, 0, 0]], [[0, 0, 0], [-1, 30929/3, -8504/3], [16778/7, 76319/7, -21583/7], [187/21, -4/21, 1/7]], [[0, 0, 0], [2921352065, 2317902881/3, -1873005398/3], [381078555/7, 284091305/7, -137691350/7], [-238299200/21, -60993280/21, 16771520/7]]], 0, 10240, [], [] >,
< [ -1, -5, -1, 1 ], [[22, 6, -4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -1/2, -1], [6, 1/6, -13/6], [13/2, 7/2, -4], [7/3, 1/6, -1/2]], [[-352, -341, -33], [3553/3, 275/3, -374], [1073, -166, -358], [473, 319/3, -352/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-673/7, -100/7, 12/7], [-142/7, -32/7, 3/7], [0, 0, 0]], [[-2, -49/2, -1/2], [-2381573/6, 2114941/6, -629773/3], [-88688, 88637/2, -75043/2], [-29/6, 1/2, -2/3]], [[21230, -16984, -16984], [-83538487940/21, -26894841746/21, 13338615994/21], [-5795003950/7, -1953189268/7, 883756487/7], [-123134/3, -12738, 21230/3]]], 1, 40, [], [] >,
< [ -1, -5, -1, 1 ], [[22, 6, -4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[21/2, 4, -5/2], [-1/2, -23/3, -11/6], [21/2, 4, -5/2], [31/6, 4/3, 1/2]], [[-3723, -920, 725], [-371/2, 1113, 1855/2], [-3723, -920, 725], [-4081/2, -1113, 371/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-157/2, -3, 1/2], [-398/7, 9/7, -12/7], [-157/14, -3/7, 1/14], [0, 0, 0]], [[-46650981/2, -2950317, 3379665/2], [-237803793/14, -10643636/7, 11653937/14], [-46650981/14, -2950317/7, 3379665/14], [9/2, 1, -1/2]], [[123698262870, 31483566660, -22383796890], [544897746329/6, 68477094343/3, -96324527701/6], [17671180410, 4497652380, -3197685270], [-140389/6, -6251, 26179/6]]], 1, 40, [], [] >,
< [ -1, -5, -1, 1 ], [[88, 24, -16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, -4, 4], [-5, 2, 3], [0, 0, 0]], [[0, 0, 0], [-563/3, -10147/3, 1226], [324, 192, -54], [-8, 1/3, -1/3]], [[0, 0, 0], [-8656141/3, 880363, 110518/3], [-1598730, -451467, 335685], [136051/3, 30634/3, -26129/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5846/7, 835/7, 107/7], [-124/7, -17/7, -3/7], [0, 0, 0]], [[0, 0, 0], [350816756/21, -968924293/21, 466389587/21], [-2425484/7, 7114440/7, -3421036/7], [-4/3, -1, 1/3]], [[0, 0, 0], [-991303578170/21, -112256791635/7, 211294762127/21], [7023079320/7, 2401186896/7, -1498780056/7], [5615/3, 1457/3, -1108/3]]], 0, 2560, [], [] >,
< [ -1, -5, -1, 1 ], [[88, 24, -16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 3, 5], [26, 0, 4], [0, 0, 0]], [[0, 0, 0], [-44117/3, -239053/3, 40014], [-20995, -115940, 52071], [0, 1/3, -1/3]], [[0, 0, 0], [-888630, -226746, 186618], [-1322413, -337076, 278001], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-438/7, 237/7, 27/7], [-64/7, 54/7, -2/7], [0, 0, 0]], [[0, 0, 0], [552236, -907792/3, -654542/3], [83025, -58650, -30825], [-17/3, -4/3, -1]], [[0, 0, 0], [-51769559917/3, -3860046376, 10947734869/3], [-2671186800, -577962900, 559216500], [464683/3, 110371/3, -89984/3]]], 0, 2560, [], [] >,
< [ -1, -5, -1, 1 ], [[88, 24, -16]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -10, 2], [7, 0, 5], [0, 0, 0]], [[0, 0, 0], [-13031/2, 2549, -827/2], [-11726, 2403, 1995], [-13/2, -1, -5/2]], [[0, 0, 0], [-905641, -259347, 203638], [-1552576, -436724, 328454], [-812, -203, 203]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [65, 22, -3], [-38, -10, 0], [0, 0, 0]], [[0, 0, 0], [-112768641/14, -5602197/7, 10522983/14], [32254071/7, -2549065/7, -743800/7], [31/14, 17/7, -1/14]], [[0, 0, 0], [1994528637492/7, 296839611003/7, -364286454471/7], [-1167067390775/7, -82064310130/7, 182257220805/7], [-454905/7, -160215/7, 148170/7]]], 0, 2560, [], [] >,
< [ -1, -5, -1, 1 ], [[-136, -40, 32]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 6, -5], [37, 6, -1], [0, 0, 0]], [[0, 0, 0], [-919853/2, 110665, -54777/2], [7373630, 1696821, -1406851], [1/2, 3, -3/2]], [[0, 0, 0], [-9034245623, -2195356722, 1980750893], [129929703037, 32942153736, -27522010109], [-3541, 26, 1431]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [266, -16, 8], [-61, 8, -1], [0, 0, 0]], [[0, 0, 0], [-781263228, 7691968, 14850449], [179713752, -11589052, -5273444], [-1, 4, 0]], [[0, 0, 0], [323918297038503/14, 48861519540714/7, -61576252259265/14], [-37583626371959/7, -10915081703847/7, 7415842881574/7], [721711/14, 1922/7, -285417/14]]], 0, 7680, [], [] >,
< [ -1, -5, -1, 1 ], [[-136, -40, 32]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, 2, -4], [-15, 0, -3], [0, 0, 0]], [[0, 0, 0], [-52379/2, -1283, 4977/2], [-17630, -1265, 1635], [-5/2, -3, -5/2]], [[0, 0, 0], [16677767, 4316064, -3642599], [11168754, 2867480, -2448504], [1214, -22, -498]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [51, 16, -7], [50, -6, 4], [0, 0, 0]], [[0, 0, 0], [-369863539/14, -55720780/7, 52808673/14], [-179956709/7, 30390909/7, -14639804/7], [-9/14, 40/7, 3/14]], [[0, 0, 0], [-454279154740, -123515569060, 91375208300], [-495409427815, -141790669428, 98066727893], [-32657, -2034, 11413]]], 0, 7680, [], [] >,
< [ -1, -5, -1, 1 ], [[-48, 0, 16]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 2, 4], [2190, 11716, 6278], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [2850, 900, -750], [-34524, -184002, -98546], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -2, 8], [-28, -4, 8], [0, 0, 0]], [[0, 0, 0], [-22619, -75967, 29901], [-64319/3, -7428, 16585/3], [5/3, -5, 5/3]], [[0, 0, 0], [-3161172, 1422, -1376], [-37725778/3, -3375242, 7536908/3], [5380/3, 474, -1376/3]]], 0, 5120, [], [] >,
< [ -1, -5, -1, 1 ], [[-48, 0, 16]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 34, 16], [-4, -8, 6], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [1, 0, 1], [1, 0, 0]], [[0, 0, 0], [9974, 1046, -2928], [-13520, -3100, 2600], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -40, -2], [24, -4, 10], [0, 0, 0]], [[0, 0, 0], [-63335, -1766, 8696], [-241249/3, -9700, 38549/3], [-5/3, -4, -2/3]], [[0, 0, 0], [-26321424, -6860982, 5595965], [-32709173, -8458410, 6934279], [-352, -66, 77]]], 0, 5120, [], [] >,
< [ -1, -5, -1, 1 ], [[-6, 0, 2]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 4, -3/2], [-2, -12, 3], [-5/2, 4, -3/2], [0, 0, 0]], [[253/2, 87/2, 43], [101/2, 749/2, 179/2], [128, 83/2, 69/2], [1, -5/2, 2]], [[289716, 67361, -65362], [-64011, -38279, 866], [293642, 69173, -65664], [3926, 906, -906]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 0, -2], [-4, -1, -5], [-1, 0, -2], [0, 0, 0]], [[-38951/2, -7514, 8031/2], [-71114, -24726, 14598], [-116839/6, -7512, 24095/6], [2/3, 0, -1/3]], [[-1380437, -655265/2, 570513/2], [-5092208, -2475221/2, 1059657], [-8281717/6, -655197/2, 855667/3], [307/6, 25/2, -59/6]]], 1, 12, [], [] >,
< [ -1, -5, -1, 1 ], [[-6, 0, 2]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 5, 3/2], [0, 2, 11], [-5/2, 5, 3/2], [0, 0, 0]], [[-113219/2, -47505, -26189/2], [-68325/2, -365473/2, -77557], [-113219/2, -47505, -26195/2], [-1/2, -3/2, 1]], [[123699223/2, 31776153/2, -12963027], [-1088653, 424993/2, 492130], [61849787, 31776251/2, -25926113/2], [367/2, 97/2, -81/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-43/2, -3, -5/2], [-16, -41, -10], [-43/2, -3, -5/2], [0, 0, 0]], [[-1209613/2, 1039646, 316245/2], [-115041, 2422369/2, 2992389/2], [-3628853/6, 1039642, 948727/6], [-2/3, -1/2, 5/6]], [[33332297609/2, 8175296943/2, -3488233159], [12433801817/2, 3146946885/2, -2895587823/2], [16666180546, 8175313701/2, -6976479443/2], [10752, 5733/2, -2352]]], 1, 12, [], [] >,
< [ -1, -5, -1, 1 ], [[-12, 0, 4]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, -6, 5], [1, 22, 11], [0, 0, 0]], [[0, 0, 0], [169805/2, 624707/2, -106692], [-4201, 17397, 57557], [9/2, 3/2, -2]], [[0, 0, 0], [38826829, 8843594, -7829316], [-14456268, -3600999, 2928291], [11191, 2852, -2356]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [15, -2, 5], [-4, -4, 2], [0, 0, 0]], [[0, 0, 0], [-3, 75609/2, 50419/2], [1425, 483, 387], [-1, -5/2, 1/2]], [[0, 0, 0], [3618055/2, 983301/2, -365593], [-1057546/3, -88759, 223124/3], [707/6, 63/2, -77/3]]], 0, 80, [], [] >,
< [ -1, -5, -1, 1 ], [[-12, 0, 4]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, -6, -3], [-7, -11, 0], [0, 0, 0]], [[0, 0, 0], [-24327, -77875/2, 22877/2], [8294, -116116, 34684], [-5, -5/2, 3/2]], [[0, 0, 0], [-9582716, -4005924, 1266620], [19912763, 2973399, -4685356], [-2618, -672, 558]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1, 0, 1], [4, -2, 4], [0, 0, 0]], [[0, 0, 0], [-624, -153, 43], [9895/3, 1529, -3938/3], [-10/3, 1, -1/3]], [[0, 0, 0], [-6104852, -3095745/2, 2648989/2], [90443642/3, 7508428, -18326038/3], [-110960/3, -20045/2, 49115/6]]], 0, 96, [], [] >,
< [ -1, -5, -1, 1 ], [[-224, -32, 64]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 34, -10], [-10, 6, 0], [0, 0, 0]], [[0, 0, 0], [-15970/3, 5748, -48944/3], [20586, 7446, -9052], [-50/3, -8/3, -8/3]], [[0, 0, 0], [3987521761/3, 834956992/3, -1012047335/3], [-3439243379, -893369620, 709632781], [8971636/3, 739198, -1954318/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-75, 76, -5], [-103, -10, 1], [0, 0, 0]], [[0, 0, 0], [-24337786/3, 27516170/3, -10154386/3], [-73924192/7, 25649248/7, 10004472/7], [338/21, 20/7, 4/21]], [[0, 0, 0], [4476308084938, 954142146100, -1169968498404], [35466387854040/7, 11977536951064/7, -6014854593896/7], [-46917134/7, -6513790/7, 13473730/7]]], 0, 40960, [], [] >,
< [ -1, -5, -1, 1 ], [[80, 32, -16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, -34, -15], [-5, -8, -5], [0, 0, 0]], [[0, 0, 0], [23659, -161608/3, 75193/3], [-6724, 20172, -3280], [-53/3, -10/3, -1]], [[0, 0, 0], [784712935/3, 97954234, -184699489/3], [-79707280, -26018600, 20209720], [-361981/3, -105502/3, 74579/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [505/7, -1538/7, -145/7], [37/7, -94/7, -3/7], [0, 0, 0]], [[0, 0, 0], [778631/3, 999118/3, -72767], [17622, 21538, -5874], [3, -4/3, 1/3]], [[0, 0, 0], [154184924/3, -4886996, -6298778/3], [3528316, -399432, -166430], [3160/3, 1600/3, -920/3]]], 0, 10240, [], [] >,
< [ -1, -5, -1, 1 ], [[80, 32, -16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, -16, -9], [9, -6, 1], [0, 0, 0]], [[0, 0, 0], [491/3, 844, 1351/3], [0, 0, 0], [7/3, -2/3, 1/3]], [[0, 0, 0], [-3599, 31902, 20577], [0, 0, 0], [-4299, -1026, 897]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [331/7, -1592/7, 25/7], [-17/7, 36/7, 1/7], [0, 0, 0]], [[0, 0, 0], [106805/21, 468318/7, -391631/21], [60/7, -11122/7, 3004/7], [25/3, 4/3, 1/3]], [[0, 0, 0], [12623361/7, 13706474/21, -13251023/21], [-460337/7, -151556/7, 138979/7], [-4352/3, -1360/3, 272]]], 0, 10240, [], [] >,
< [ -1, -5, -1, 1 ], [[10, 4, -2]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[1, 35/2, -1/2], [-53/6, 97/6, -1/3], [1, 35/2, -1/2], [25/6, -1/2, 1/3]], [[-119906, -30874, 32310], [-1624756/3, -426677/3, 120677], [-119906, -30874, 32310], [189552, 152216/3, -119906/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38/7, -83/7, -27/7], [-34/7, -12/7, -5/7], [0, 0, 0]], [[-1/2, 21/2, 2], [87965/3, -147927/2, -301561/6], [129079/2, 11221/2, -25758], [13/3, 5/6, -1/6]], [[482, -3615, 241], [-55415642/3, 11431192, 32111804/3], [-32002398, -8669755, 9657161], [-6025/3, -241/3, 482/3]]], 1, 24, [], [] >,
< [ -1, -5, -1, 1 ], [[10, 4, -2]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[1, 15/2, 1/2], [-23/6, 11/2, -8/3], [1, 15/2, 1/2], [5/6, -1/6, 1/3]], [[6822, 2178, -2736], [61856, 19539, -13917], [6822, 2178, -2736], [-10644, -3186, 2274]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-421/7, -51/7, -16/7], [12/7, -4/7, -4/7], [0, 0, 0]], [[3/2, 85/2, 4], [-470318/7, 5489033/42, -30299/42], [41047/14, 5227/14, 8616/7], [35/3, 5/6, 1/2]], [[-8665074, -4004154, 3643992], [-109580837508, -40559732070, 29791384846], [3360276652, 1269536358, -744230885], [13107072, 4103022, -2888358]]], 1, 24, [], [] >,
< [ -1, -5, -1, 1 ], [[20, 8, -4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [22/3, -5/3, 7/3], [0, 0, 0], [10/3, 0, -4/3]], [[0, 0, 0], [-34, -259/3, -161/3], [0, 0, 0], [-5/3, 95/3, 20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [328/7, -23/7, -23/7], [33/7, -11/7, 3/7], [0, 0, 0]], [[0, 0, 0], [247067/21, -849866/21, -54209/7], [-1996/7, -84331/7, -21457/7], [14, 5/3, 1/3]], [[0, 0, 0], [-5137159088/21, -1671256408/21, 524273644/7], [-180834606/7, -49028247/7, 82535598/7], [-166400, -156800/3, 108800/3]]], 0, 192, [], [] >,
< [ -1, -5, -1, 1 ], [[20, 8, -4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [17, 4, 3], [-5, -11, -4], [0, 0, 0]], [[0, 0, 0], [-1832102, -4355417/3, 2295167/3], [240188, -110856, -36952], [-7/3, -2/3, -1]], [[0, 0, 0], [20563551784/3, 4013640602/3, -1297901325], [-1233584736, -369356940, 274770732], [10547, 9487/3, -7579/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, -5, 3], [3, -1, 0], [0, 0, 0]], [[0, 0, 0], [-743185/21, -3968927/21, -698893/7], [-1140/7, -5444/7, -1916/7], [-10, -4/3, -5/3]], [[0, 0, 0], [1151132/21, 61588645/21, 9924273/7], [5544338/7, 1711938/7, -1215280/7], [689356, 524510/3, -434594/3]]], 0, 160, [], [] >,
< [ -1, -5, -1, 1 ], [[80, 32, -16]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -8, 10], [-33936, -181518, -97266], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [-5, 0, 1], [1, 0, 0]], [[0, 0, 0], [-203538, -42760, 38484], [4882964, 26085678, 13975714], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-156, -14, -40], [24, 2, 10], [0, 0, 0]], [[0, 0, 0], [-2330890580/7, -82619944/7, 212772335/7], [356414545/7, -9096618/7, -18935363/7], [2/7, -10/7, -3/7]], [[0, 0, 0], [-178803442228123/7, -46473504169608/7, 37487242148820/7], [27752313940763/7, 7257462989880/7, -5805323263903/7], [302277/7, 46920/7, -83980/7]]], 0, 20480, [], [] >,
< [ -1, -5, -1, 1 ], [[-112, -32, 16]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [68, 4, -2], [10, 0, 2], [0, 0, 0]], [[0, 0, 0], [-1, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-15264, -5658, 4026], [-2346, -1058, 736], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-364/3, -140, -82/3], [58/3, 6, 4/3], [0, 0, 0]], [[0, 0, 0], [-55/3, 0, 2/3], [-5/3, 0, 1/3], [1, 0, 0]], [[0, 0, 0], [42309200/3, 3729820, -7345690/3], [-8387288/3, -922828, 1878292/3], [0, 0, 0]]], 0, 40960, [], [] >,
< [ -1, -5, -1, 1 ], [[-240, -32, 48]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, 2, 2], [142, -2, 4], [0, 0, 0]], [[0, 0, 0], [5, 0, 0], [-13, 0, 1], [1, 0, 0]], [[0, 0, 0], [-2059220, -609900, 369550], [-9867424, -2768920, 1862728], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [148/3, 10, 4/3], [152/3, 6, 2/3], [0, 0, 0]], [[0, 0, 0], [-7/3, 0, 2/3], [-17/3, 0, 1/3], [1, 0, 0]], [[0, 0, 0], [-3114754/3, -324110, 528170/3], [-3246848/3, -322432, 575872/3], [0, 0, 0]]], 0, 245760, [], [] >,
< [ -1, -5, -1, 1 ], [[144, 64, -16]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, -8, -4], [-748, -3998, -2142], [0, 0, 0]], [[0, 0, 0], [1758475, 1481850, -731041], [33706, -1012, 2050], [13, 0, 5]], [[0, 0, 0], [-1223589069, -331418148, 264573648], [-29269401, -7251056, 6022333], [-11373, -2796, 2280]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, -10, -4], [-24, -2, 2], [0, 0, 0]], [[0, 0, 0], [14262, 1179, 5136], [36721/3, -2580, 1585/3], [2/3, -1, -4/3]], [[0, 0, 0], [269501886, 72594396, -59167782], [242263370, 64994606, -52325068], [15414, 3924, -3018]]], 0, 30720, [], [] >,
< [ -1, -5, -1, 1 ], [[-368, -32, 112]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-122, -4, -6], [-50, -2, -8], [0, 0, 0]], [[0, 0, 0], [1199617358, 41845405, -91668363], [488043160, -2589862, -12677808], [4, 5, -3]], [[0, 0, 0], [77352975033094, 20061166792988, -15989306853285], [31829356419375, 8354372629806, -6506266016457], [182666, 43396, -42123]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -4, -28], [52, -4, 0], [0, 0, 0]], [[0, 0, 0], [-3, 0, 0], [7, 0, 1], [1, 0, 0]], [[0, 0, 0], [-8948, 22, 4426], [-308748, -78342, 64350], [0, 0, 0]]], 0, 368640, [], [] >,
< [ -1, -5, -1, 1 ], [[352, 96, -64]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 6, -14], [-6, 2, -2], [0, 0, 0]], [[0, 0, 0], [-176429/3, -39484/3, 8319], [48015, 13668, -11265], [-4, 4/3, 2/3]], [[0, 0, 0], [721814603/3, 174461468/3, -155002273/3], [-193648095, -50234850, 40702095], [55292/3, 4792, -10568/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 14, -8], [8, 10, 0], [0, 0, 0]], [[0, 0, 0], [4574/3, 3638/3, -790/3], [2990/7, -8328/7, -6746/7], [86/21, -8/7, 4/21]], [[0, 0, 0], [14797503, 16204658/3, -6873227/3], [43490809/7, -28032946/7, -33022833/7], [1050640/21, 275540/21, -66470/7]]], 0, 163840, [], [] >,
< [ -1, -5, -1, 1 ], [[18, 8, -2]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, -4, -3], [-3, 2, -2], [0, 0, 0]], [[1, 19/2, -3/2], [36073/6, 173267/6, -30074], [13651, 124559/2, -59023/2], [3/2, -5/6, 1/3]], [[5964, 1491, -1278], [7962637, 2381605, -1482843], [4424729, 1257811, -876633], [-9443, -2414, 1988]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-157/7, 106/7, -41/7], [92/7, 30/7, -5/7], [0, 0, 0]], [[-1/2, -11, -1/2], [-833760881/42, -890892760/21, 804906679/42], [75436313/14, 17074387/7, -40735399/14], [-17/6, 0, -1/6]], [[30349/2, 24893/2, 3069], [-1646949447086/21, -1322968116557/42, 230146523879/14], [510960337243/14, 180236895851/14, -41872766517/7], [-21142, -24211/6, 30349/6]]], 1, 80, [], [] >,
< [ -1, -5, -1, 1 ], [[18, 8, -2]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -1, 5], [1, -3, 5], [0, 0, 0]], [[-1, -1/2, -3/2], [2462615/6, 577891/6, -78894], [1764614, 875045/2, -726717/2], [3/2, -1/6, -1/3]], [[-7950, 21775/2, 21575/2], [8375954259/2, 6255969143/6, -2726952523/3], [17957303952, 9127943851/2, -7618521445/2], [101275/6, 37475/6, -2650]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [290/7, 139/7, 55/7], [195/7, 40/7, 5/7], [0, 0, 0]], [[-1/2, -3/2, -1], [10229633/21, 3819185/14, 11094647/42], [4388075/14, 257241/14, 589406/7], [1/3, -1/6, -1/6]], [[477, -1307/2, -1261/2], [-16561504473/14, -6081921283/42, 8527004078/21], [-5997112551/7, -2719576949/14, 3319739453/14], [-6077/6, -2215/6, 159]]], 1, 80, [], [] >,
< [ -1, -5, -1, 1 ], [[36, 16, -4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9, -1, -4], [2, -4, 5], [0, 0, 0]], [[0, 0, 0], [2578939/3, 572563/3, -201722/3], [-272498, 21158, -47712], [43/3, 1, 2/3]], [[0, 0, 0], [-117292614825, -31460147075, 24035042972], [40238148790, 11477912824, -8041114088], [-2036872, -563840, 412308]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-389/7, 27/7, -8/7], [-22/7, 12/7, -2/7], [0, 0, 0]], [[0, 0, 0], [2577311/21, 2227978/21, 373141/7], [43161/7, -6673/7, 4954/7], [6, 5/3, -5/3]], [[0, 0, 0], [6371596825/7, -14644943560/7, -10761035329/7], [552885772/7, -73077729/7, -203231914/7], [76012, 27900, -11718]]], 0, 640, [], [] >,
< [ -1, -5, -1, 1 ], [[36, 16, -4]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-3, 5, -4], [9, -3, 0], [0, 0, 0]], [[0, 0, 0], [-16226/3, -41585/3, -21296/3], [6740, 1505, -1111], [1/3, 0, 2/3]], [[0, 0, 0], [101660738/3, 52259882/3, -5697652/3], [-73182511, -18873991, 15338690], [-12832/3, -1648, 1888/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [821/7, 67/7, 32/7], [165/7, 8/7, 1/7], [0, 0, 0]], [[0, 0, 0], [-1163385337/21, 77442408/7, -31478801/21], [-78493344/7, 15416879/7, -540335/7], [1/3, -2/3, -5/3]], [[0, 0, 0], [-20593043978886/7, -5176498610446/7, 4351289813589/7], [-4162335180950/7, -1048567576200/7, 878428012850/7], [20900, 7999, -3002]]], 0, 640, [], [] >,
< [ -1, -5, -1, 1 ], [[144, 64, -16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [17, -54, -11], [-47, -4, -3], [0, 0, 0]], [[0, 0, 0], [-164539, -132348, 204629], [272664, 272664, -77904], [11, 2, 1]], [[0, 0, 0], [-239446154/3, 173425892/3, 47289706], [160910712, 51923016, -16671456], [8324, 11254/3, -3166/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2771/7, -446/7, -5/7], [-215/7, -10/7, -3/7], [0, 0, 0]], [[0, 0, 0], [-863350781/21, -164128312/21, 18981161/7], [-22510023/7, -2547672/7, 1324119/7], [-2, -2/3, -4/3]], [[0, 0, 0], [-260082495241/7, -72568846270/7, 52048236411/7], [-20685789282/7, -5721769614/7, 4190953962/7], [-1863, -774, 243]]], 0, 40960, [], [] >,
< [ -1, -5, -1, 1 ], [[144, 64, -16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11, -2, -1], [-21, 4, -1], [0, 0, 0]], [[0, 0, 0], [-20257, 196886/3, 121171/3], [-57232, 51100, 32412], [13/3, -10/3, 1]], [[0, 0, 0], [-181551488, 299788220, 247955310], [-466201798, 125873900, 247942310], [39760, 12670, -7280]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9767/7, -2132/7, 31/7], [241/7, 48/7, -1/7], [0, 0, 0]], [[0, 0, 0], [-72921336919/21, -31394730410/21, -10554602539/7], [595065984/7, 223965648/7, 256329840/7], [9, 2/3, 1/3]], [[0, 0, 0], [-153467845368137/7, -60467429108854/7, 21849205399387/7], [3799292127864/7, 1479817255368/7, -553755812592/7], [59157, 17528, -11581]]], 0, 40960, [], [] >,
< [ -1, -5, -1, 1 ], [[144, 64, -16]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -8, 4], [-38, 8, -6], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [-5, 0, 1], [1, 0, 0]], [[0, 0, 0], [30780, 8208, -5940], [-103750, -28054, 20252], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [330, 14, 10], [-42, -4, -2], [0, 0, 0]], [[0, 0, 0], [-1703409378/7, 135109032/7, 107471331/7], [215401745/7, -12901380/7, -13568193/7], [-32/7, 34/7, -1/7]], [[0, 0, 0], [1611036755058, 369729010854, -351802949370], [-202753964230, -45775808370, 44777864080], [37320, 12480, -5370]]], 0, 40960, [], [] >,
< [ -1, -5, -1, 1 ], [[-208, -32, 48]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36, 10, -4], [-8, -2, 10], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [-5, 0, 1], [1, 0, 0]], [[0, 0, 0], [-46336, -11136, 9472], [10296, 4498, -2938], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-856, -24, -14], [180, 10, 2], [0, 0, 0]], [[0, 0, 0], [33882115965/7, -84758174/7, -643196698/7], [-7120694775/7, -159492812/7, 175237983/7], [43/7, 2/7, 2/7]], [[0, 0, 0], [48595002085902400/7, 14327893520804070/7, -11207406020455060/7], [-10150026396387936/7, -2965263560781596/7, 2333558292333404/7], [61227564/7, 18046656/7, -14423124/7]]], 0, 122880, [], [] >,
< [ -1, -5, -1, 1 ], [[-208, -32, 48]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -4, 2], [198, -4, 10], [0, 0, 0]], [[0, 0, 0], [3, 0, 0], [-17, 0, 1], [1, 0, 0]], [[0, 0, 0], [-823368, -238784, 190232], [-18280270, -4931190, 4084420], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [198, 30, -18], [48, -8, 8], [0, 0, 0]], [[0, 0, 0], [-4008109100/7, -734003365/7, 590574456/7], [-1000817277/7, 15027730/7, 14255273/7], [36/7, 37/7, 2/7]], [[0, 0, 0], [-6927863074509249/7, -1608004348474422/7, 1408845638119518/7], [-1794223609446347/7, -324420206480220/7, 334604384149591/7], [52008543/7, 15285898/7, -12231522/7]]], 0, 122880, [], [] >,
< [ -1, -5, -1, 1 ], [[64, 0, 0]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, 10, 6], [22, 6, 0], [0, 0, 0]], [[0, 0, 0], [-34193, -40509, -7422], [-34496, -22522, 1784], [-1, -3, 4]], [[0, 0, 0], [-39310848, -9744770, 8473914], [-44927548, -11353536, 9545456], [-300, -130, 50]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, -126, -16], [-72, -2, -10], [0, 0, 0]], [[0, 0, 0], [-1135808, -5243449, 360461], [-6830296, -54, 335924], [0, -5, 1]], [[0, 0, 0], [-580946427, -2357102532, -1004438175], [-191334523708/3, -16737685726, 39054535790/3], [30043/3, 1352, -7709/3]]], 0, 81920, [], [] >,
< [ -1, -5, -1, 1 ], [[4, 0, 0]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [1, 0, 0], [0, 0, 0]], [[1, -3/2, -3/2], [6, 89/2, 27], [-3/2, -13/2, -3], [3/2, -1/2, -1/2]], [[-180, -7, 39], [203, -535, -171], [39, 15, 32], [-247, -95, 67]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -66, -34], [2, 1, -3], [0, 0, 0]], [[-1, -1/2, -3/2], [143026, 151631/2, -45017], [158873/2, -64545/2, 1538], [1/2, -3/2, -1/2]], [[17255, 6844, -1334], [-4384427793/2, -578742248, 941601113/2], [-4509035015/3, -355622887, 921370918/3], [-80765/6, -1334, 22765/6]]], 1, 20, [], [] >,
< [ -1, -5, -1, 1 ], [[16, 0, 0]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 4, -4], [50, 274, 146], [0, 0, 0]], [[0, 0, 0], [-61786, -14238, 7202], [160354, 776684, 408636], [6, 2, 2]], [[0, 0, 0], [-9581439327/2, -1184569691, 1992659591/2], [1222239434, 340002093, -251469967], [922465/2, 100965, -182585/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -2, 4], [46, -2, 10], [0, 0, 0]], [[0, 0, 0], [-510181/2, 2823, -7813/2], [-4279943/3, -131575, 303496/3], [-5/6, -3, -5/6]], [[0, 0, 0], [320071516, 82086957, -67962203], [1744142858, 446466994, -369337964], [292, 47, -73]]], 0, 1280, [], [] >,
< [ -1, -5, -1, 1 ], [[16, 0, 0]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -8, -10], [36, 204, 110], [0, 0, 0]], [[0, 0, 0], [-31033/2, 15323, -11251/2], [-2789, 30765, 19354], [7/2, -3, 1/2]], [[0, 0, 0], [3691787/2, 260087, -635011/2], [845301, 242943, -159294], [-809/2, -67, 145/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 2, 6], [0, 4, 8], [0, 0, 0]], [[0, 0, 0], [-2519, -555, 448], [-442/3, 238, -388/3], [1/3, -5, -2/3]], [[0, 0, 0], [55283999/2, 7055811, -11658709/2], [7081862/3, 611389, -1512457/3], [-94801/6, -4263, 19691/6]]], 0, 1280, [], [] >,
< [ -1, -5, -1, 1 ], [[32, 16, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, -4, -2], [-12, -4, -4], [0, 0, 0]], [[0, 0, 0], [3482/3, -6590/3, 488], [651, -2604, 651], [-3, 2/3, 1/3]], [[0, 0, 0], [-56497, -26933, 10564], [-43400, -26040, 6944], [105, 39, -18]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1464/7, -166/7, -138/7], [-26/7, 4/7, 4/7], [0, 0, 0]], [[0, 0, 0], [106070/21, 274223/21, -74125/21], [-857/7, -2862/7, -349/7], [-13/3, 1, -2/3]], [[0, 0, 0], [-23017469/7, -5376306/7, 4387735/7], [420289/7, 132934/7, -60903/7], [7068, 1860, -1488]]], 0, 2560, [], [] >,
< [ -1, -5, -1, 1 ], [[32, 16, 0]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, -2, 11], [1, 0, 5], [0, 0, 0]], [[0, 0, 0], [2473058/3, 390079/3, -152445], [123240, 1580, -18644], [5, 5/3, -2/3]], [[0, 0, 0], [1634988, 302010, -279214], [247033, 23700, -26781], [9, 0, -3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1143/7, -1516/7, 59/7], [17/7, 34/7, -1/7], [0, 0, 0]], [[0, 0, 0], [2245342/3, -3517682/3, -1331372/3], [-5343, 31122, 5967], [-23/3, 0, -1/3]], [[0, 0, 0], [166257709559/7, 74793994143/7, -11196408222/7], [-2033067504/7, -1177886736/7, -87620832/7], [-177416, -32769, 41375]]], 0, 2560, [], [] >,
< [ -1, -5, -1, 1 ], [[-48, -16, 16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, 2, 1], [1, -6, 5], [0, 0, 0]], [[0, 0, 0], [-7400/3, -1802/3, 1684/3], [-1344, -384, 384], [-8/3, 0, -4/3]], [[0, 0, 0], [-977563/3, -250907/3, 68116], [-175232, -44544, 35648], [-385, -301/3, 316/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-982, -96, 8], [22, 2, 0], [0, 0, 0]], [[0, 0, 0], [38437981/7, 22768108/21, -17067037/21], [-862167/7, -168150/7, 125493/7], [-10/3, 4/3, 0]], [[0, 0, 0], [2813088753/7, 1132641683/7, -414154246/7], [-63210240/7, -25788900/7, 9163290/7], [-277, -99, 80]]], 0, 10240, [], [] >,
< [ -1, -5, -1, 1 ], [[-48, -16, 16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-36, -10, 2], [-38, -2, -2], [0, 0, 0]], [[0, 0, 0], [-12900013/3, -3935758/3, 2057837/3], [-4759105, -1327190, 674145], [32/3, 0, 4/3]], [[0, 0, 0], [-100341874064/3, -24912093793/3, 7437635071], [-37368690800, -9673316100, 8508701600], [92711, 103003/3, -82336/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-845/7, -2852/7, -31/7], [25/7, 64/7, 1/7], [0, 0, 0]], [[0, 0, 0], [36123043/21, -3311377/7, 9187286/21], [-614270/7, -34732/7, 8094/7], [38/3, 5/3, -1/3]], [[0, 0, 0], [49151575936, 100286990434/3, -65473972072/3], [-2174531342, -973756764, 702054674], [915848/3, 369016/3, -95600]]], 0, 10240, [], [] >,
< [ -1, -5, -1, 1 ], [[-128, -32, 32]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, -166, -86], [4, -2, 2], [0, 0, 0]], [[0, 0, 0], [-1, 2, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-224, -272, 84], [854, -96, -70], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-78, -90, -44], [-68, -6, 2], [0, 0, 0]], [[0, 0, 0], [6261659, -5351131, 847728], [20843278/3, -5336328, 2972080/3], [-1/3, -5, -4/3]], [[0, 0, 0], [625515659613, 90645844618, -107579419192], [2052223790305/3, 101233188496, -355714524569/3], [160607/3, -948, -11692/3]]], 0, 20480, [], [] >,
< [ -1, -5, -1, 1 ], [[-128, -32, 32]], [ -3, -15, -8 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [50, 110, 72], [22, -6, 8], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [4262746, 270200, -573962], [3340692, 146384, -454836], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-100, 110, 62], [-128, -10, -6], [0, 0, 0]], [[0, 0, 0], [378516442, 29409512, -60353535], [1188668741/3, 30529778, -173223151/3], [-8/3, 4, -5/3]], [[0, 0, 0], [-2000064063, -443622530, 402060355], [-6284612968/3, -464184796, 1247604452/3], [55/3, 0, -5/3]]], 0, 20480, [], [] >,
< [ -1, -5, -1, 1 ], [[-224, -32, 64]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -8, 0], [8, 6, -4], [0, 0, 0]], [[0, 0, 0], [577/3, 1850/3, -219], [-40, -252, 108], [-5, -8/3, 5/3]], [[0, 0, 0], [2692, 1438, -154], [964, 776, 136], [-214, -50, 48]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [126, -36, 8], [8, -2, 0], [0, 0, 0]], [[0, 0, 0], [482858/21, 38340/7, -89030/21], [10074/7, 2340/7, -1958/7], [-26/3, 4/3, -2/3]], [[0, 0, 0], [-4409110071/7, -3291811822/21, 2839974391/21], [-276406092/7, -69832512/7, 58707900/7], [778453/3, 167564/3, -61423]]], 0, 40960, [], [] >,
< [ -1, -5, -1, 1 ], [[-224, -32, 64]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -28, -8], [2, 2, -6], [0, 0, 0]], [[0, 0, 0], [-800/3, -278/3, 142/3], [68, 28, -12], [-62/3, -2, -4/3]], [[0, 0, 0], [-35773811/3, -8966900/3, 7661923/3], [2995840, 748712, -646536], [-2949275/3, -223524, 639527/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-416/7, 358/7, -6/7], [-48/7, 30/7, 2/7], [0, 0, 0]], [[0, 0, 0], [-2500084/21, 852574/21, -431554/7], [-95400/7, 17100/7, -36450/7], [-6, -4/3, 4/3]], [[0, 0, 0], [21982133/7, 12021046/21, -44802931/21], [2405700/7, 388800/7, -1482300/7], [413/3, 118/3, -27]]], 0, 40960, [], [] >,
< [ -1, -5, -1, 1 ], [[352, 96, -64]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 44, 0], [-18, -10, 10], [0, 0, 0]], [[0, 0, 0], [-8053/3, -7636/3, 3257/3], [-2970, -198, 396], [-25/3, 0, 1/3]], [[0, 0, 0], [-8473115/3, -301436, 2873591/3], [-3984552, -833976, 912384], [-32689/3, 674/3, 11795/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2280/7, 374/7, 122/7], [108/7, 6/7, 6/7], [0, 0, 0]], [[0, 0, 0], [33639497/21, 4277520/7, -5709383/21], [542950/7, 202500/7, -98500/7], [-41/3, -8/3, 1/3]], [[0, 0, 0], [-11231985004/3, -2615391920/3, 704944078], [-181140450, -40423350, 33950250], [35774, 53084/3, -28850/3]]], 0, 163840, [], [] >,
< [ -1, -5, -1, 1 ], [[352, 96, -64]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 80, -8], [28, -6, 8], [0, 0, 0]], [[0, 0, 0], [6846953/3, 7551568/3, -357987], [-17108480, -4472720, 3986980], [9, 8/3, 1/3]], [[0, 0, 0], [-715733722966/3, -77756408540, 151781788474/3], [2162981393500, 554116974320, -459024769440], [-3424364/3, -862232/3, 668212/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-64/7, 334/7, -72/7], [-2/7, 24/7, -4/7], [0, 0, 0]], [[0, 0, 0], [-16963/21, 932/7, 283/21], [-300/7, 72/7, -12/7], [13/3, 4/3, -5/3]], [[0, 0, 0], [-832103/7, -220036/7, 178957/7], [-44952/7, -11952/7, 9720/7], [567, 144, -117]]], 0, 163840, [], [] >,
< [ 4, -5, -1, 1 ], [[-6, 0, 1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 2, -3/2], [-2, 35/4, 3/2], [1/2, -1/2, -5/2], [3/2, 5/4, 1/2]], [[-274751/2, -21587/2, 57077/2], [-371727/2, -67627/4, 39302], [99777/2, -3792, -13983/2], [-93632, -14003/4, 17765]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -5/2, 1], [33, 11/2, -1], [0, -5/2, 1], [0, 0, 0]], [[-381/2, 18, -3/2], [-2038/7, 137199/28, 62723/28], [-2517/14, 279/14, -9/7], [-25/14, -9/28, -1/28]], [[61425/2, -1896, -4419], [-1507357/2, -66918, 135126], [57321/2, -1896, -4077], [342, 0, -57]]], 4, 3, [], [] >,
< [ 4, -5, -1, 1 ], [[3, 1, -1]], [ -2, 0, 0 ], [ -7, 10, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, -15/2, -7/2], [-5/4, -143/4, 7/4], [-17/11, -405/22, -13/11], [3/44, 93/44, 1/44]], [[-707049/2, 14355, 52722], [-9936601/4, 3500655/4, 246525/4], [-29809155/22, 3527273/11, 2160667/22], [6498399/44, -1968913/44, -292543/44]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, 1/2, 3/2], [29, 2, 7], [-5/2, 1/2, 1/2], [0, 0, 0]], [[3331/2, -362, -723/2], [-274045/28, -189221/28, 66071/28], [120895/154, 14829/154, -16325/77], [51/308, -311/308, -5/308]], [[4824802, -403593/2, -1445087/2], [-681130411/14, -158186573/14, 190310635/14], [210951150/77, 58153545/154, -48606645/77], [-272633/154, -211149/154, 146429/154]]], 4, 2, [], [] >,
< [ 4, -5, -1, 1 ], [[-14, -1, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 3/2, -5/2], [87/2, -9/2, 27/2], [5/2, 3/2, -5/2], [0, 0, 0]], [[-983889/2, 33917, 19375], [-11275631, -3091899/4, 11990227/4], [-983891/2, 67833/2, 38749/2], [1/2, 1/4, 1/4]], [[556279787/2, 40080317/2, -57777939], [12591991191/2, 826205059/4, -1177129415], [556281867/2, 20040231, -57778164], [-520, -145/4, 225/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -1/2, -2], [-119/2, 71/2, 137], [-1/2, -1/2, -2], [0, 0, 0]], [[320736, -1560, -9048], [-93931543/14, 10922699/28, -51701417/28], [2245251/7, -21885/14, -126663/14], [-33/14, 15/28, -3/28]], [[21281513916, 1052613900, -4350804120], [-3581988829424/7, -198834111507/7, 791093267540/7], [148976245422/7, 7368687558/7, -30456830274/7], [-941335/7, -65043/7, 200239/7]]], 3, 6, [], [] >,
< [ 4, -5, -1, 1 ], [[-34, -1, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, -5/2, 2], [-89/2, -9/2, 0], [-15/2, -5/2, 2], [0, 0, 0]], [[-814593/2, 31239, -3861/2], [-7061, -9636799/4, -2472967/4], [-814599/2, 62475/2, -1932], [1/2, 1/4, 1/4]], [[-3861740883/2, -54522468, 710662953/2], [-21775586227/2, -806997171, 4206045179/2], [-3861791307/2, -54523326, 710672037/2], [4202, 143, -757]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, 0, 2], [-128, 5, -4], [5, 0, 2], [0, 0, 0]], [[22685205, 1650171/2, -336182], [-6997896361/14, -243898729/28, 1608552629/28], [158796462/7, 5775537/7, -4706557/14], [-9/14, 41/28, 3/28]], [[1328406970359761/2, 65829155440995/2, -128792082673674], [-95179789241550551/7, -8887500125870019/14, 36871409829221389/14], [9298847450909657/14, 460804048835985/14, -901544460375123/7], [223601445/14, 3270915/7, -39446865/14]]], 1, 60, [], [] >,
< [ 4, -5, -1, 1 ], [[-38, 2, 6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19/2, 15/2, 1/2], [39/2, 31/2, 9/2], [19/2, 15/2, 1/2], [0, 0, 0]], [[-55413/2, -328953/2, 90005/2], [-323566, 213757/2, -131745/2], [-55411/2, -328949/2, 89997/2], [1/2, 1, -2]], [[125435241945/2, 5646871165/2, -24293332505/2], [275114249589/2, 11857000879/2, -53060005015/2], [125435091421/2, 5646859109/2, -24293300913/2], [-37631, -3014, 7898]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, -1/2, -3/2], [99/2, -9/2, 9/2], [3/2, -1/2, -3/2], [0, 0, 0]], [[-42679/2, -4187/2, 2219/2], [-38076895/7, -3620895/14, 15212345/14], [-298555/14, -29417/14, 15521/14], [-33/14, 9/7, 1/7]], [[-1024236873, -31329177, 188249589], [-3191374605287/14, -72073979314/7, 618768015571/14], [-7167021114/7, -219495873/7, 1317353400/7], [-878999/14, 31939/7, 131241/14]]], 0, 120, [], [] >,
< [ 4, -5, -1, 1 ], [[-5, -1, 1]], [ -2, 0, 0 ], [ -7, 10, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 1/2, 1/2], [-22, 28, -3], [-147/22, 283/22, -5/22], [14/11, -17/11, 1/11]], [[783/2, 35/2, -149/2], [-889/4, 75/4, 143/4], [6217/22, 557/22, -1235/22], [599/44, -43/44, -101/44]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, -7/2, -1/2], [-64, -26, -3], [-3/2, -7/2, -1/2], [0, 0, 0]], [[142131/2, -15679/2, 4459/2], [31778715/28, 9397695/28, -5850835/28], [10932771/154, -1139111/154, 343619/154], [123/308, -741/308, -3/308]], [[-8284077627/2, -598073673/2, 1789186759/2], [-568458862473/7, -28008574173/14, 108874450204/7], [-640782816351/154, -45788352629/154, 138272520611/154], [7904454/77, -715544/77, -2745327/154]]], 1, 10, [], [] >,
< [ 4, -5, -1, 1 ], [[-82, -10, 18]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, 3/2, 1/2], [-13/2, -37/2, -15/2], [-9/2, 3/2, 1/2], [0, 0, 0]], [[679/2, -97/2, -27/2], [8823/2, -2569/2, -2981/2], [675/2, -93/2, -27/2], [-1, 1, 0]], [[9550152, 479688, -1875144], [164211205/2, 3894441, -15761511], [9536079, 477880, -1872014], [-14073/2, -904, 1565]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-29/2, -29/2, -3/2], [2397/2, 2073/2, 219/2], [-29/2, -29/2, -3/2], [0, 0, 0]], [[-422108859, 8509245, 5719047], [221716923023/7, 20128961731/14, -18636740869/14], [-2954762067/7, 59564754/7, 40033338/7], [9/7, -13/14, -3/14]], [[184617150868869, 10405980445593, -36833455664517], [-201094821363826363/14, -10500774449062011/14, 19881525337339844/7], [1292320064016078/7, 72841864111476/7, -257834191405029/7], [-2644665/14, -330775/14, 292235/7]]], 0, 1440, [], [] >,
< [ 4, -5, -1, 1 ], [[-214, 2, 38]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-165/2, 3/2, 5/2], [-113/2, -9/2, -3/2], [-165/2, 3/2, 5/2], [0, 0, 0]], [[11031579/2, -3379545/2, -2647827/2], [4759153, -1736207, -2714767/2], [11031561/2, -3379575/2, -2647851/2], [3/2, 5/2, 2]], [[1646793499221/2, 16606234593/2, -290326336677/2], [1251748719631/2, 8412864776, -110271215093], [1646779868541/2, 16606404075/2, -290323938687/2], [1135890, -28247/2, -399665/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[113, -1, 1], [256, -6, 0], [113, -1, 1], [0, 0, 0]], [[-325242510675/2, -6181167375/2, 791048175/2], [-2578702435424/7, -10633196965/7, 28819273865/7], [-2276697574863/14, -43268171439/14, 5537337255/14], [23/14, -31/14, -5/14]], [[45085053830526682050, 2079388057020412050, -8768881020190859550], [200882639207984336097/2, 4637122896896193232, -19535066955035401438], [45085053830046910821, 2079388057024927932, -8768881020105682290], [159923743/2, -752647, -14196210]]], 0, 14400, [], [] >,
< [ 4, -5, -1, 1 ], [[-33, -5, 9]], [ -2, 0, 0 ], [ -7, 10, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-34, -10, -2], [9, -1, -1], [-34, -10, -2], [0, 0, 0]], [[145530, -177870, -113190], [35535/4, 11195/4, -2483/4], [1601200/11, -1956408/11, -1245084/11], [-185/44, -81/44, -3/44]], [[-37553355/2, 37584225/2, -11838645/2], [9364337/2, -10733275/2, 2885703/2], [-416682065/22, 419828403/22, -132271215/22], [449395/22, -800241/22, 255765/22]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19/2, -17/2, -3/2], [27, -63, -11], [19/2, -17/2, -3/2], [0, 0, 0]], [[177935, -83429, 16473], [-11928517/7, -3527228/7, 4405689/7], [13658339/77, -6445113/77, 1268297/77], [-344/77, -170/77, -1/77]], [[-9846044910, 19116943898, -6258556642], [-2179358297019/28, 2839311558613/28, -802540818605/28], [-758803646815/77, 1472062488357/77, -481835779709/77], [-21231895/308, 1864781/308, 2357475/308]]], 0, 1920, [], [] >,
< [ 4, -5, -1, 1 ], [[8, -1, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, -13, -19/2], [37/2, -41/2, -43/4], [6, -13, -7], [5/2, 0, -5/4]], [[185, -163/2, 2], [-13, 419/2, -85], [221, 65/2, -52], [-18, -57, 27]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -10, -11/2], [3, 10, 17/2], [5, -10, -11/2], [0, 0, 0]], [[-7968, -328, 822], [65662/7, 601519/28, -268015/28], [-55674/7, -4625/14, 11523/14], [-17/7, 11/28, -5/28]], [[5834968896, 11751264, -1030660464], [-163402959031/14, -174446924605/28, 130320102667/28], [40768704567/7, 182319051/14, -14409801939/14], [25359235/14, -5933785/28, -6481519/28]]], 1, 3, [], [] >,
< [ 4, -5, -1, 1 ], [[8, 2, -2]], [ -2, 0, 0 ], [ -7, 10, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[22, -20, -14], [-10, 3, 4], [6, -6, -4], [0, 0, 0]], [[-5786, 6921/2, 5669/2], [-7375/2, -861, 773/2], [-23170/11, 22159/22, 10060/11], [-43/22, -13/22, 2/11]], [[168216, -962189/2, 170498], [-6368217/2, 9771431/2, -2972047/2], [-6514542/11, 9978663/11, -6075429/22], [802959/22, -1381661/22, 437361/22]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 23, 11], [82, 41, 15], [6, 7, 2], [0, 0, 0]], [[42336, 187947/2, 16767], [47692319/14, -32814373/7, 21148319/14], [4779232/77, 542198/77, 767647/154], [-241/154, 295/154, 2/77]], [[2327506650, 107192295, -900207945/2], [92614557521/7, -1318954988/7, -15615781304/7], [101315151552/77, 8576378793/154, -38940895023/154], [-109707/77, 12636/77, 15054/77]]], 0, 18, [], [] >,
< [ 4, -5, -1, 1 ], [[-12, 0, 2]], [ -2, 0, 0 ], [ -7, 10, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, -7/2, -4], [6, -1, 5], [5, -1, -3/2], [0, 0, 0]], [[61785/2, 13911/2, -10881/2], [1263697/4, -1792513/4, 510397/4], [446847/22, -2947/22, -58159/22], [73/44, 63/44, -5/44]], [[1779533114, 106130942, -359508704], [6095983217, -6076905944, 1481459719], [11317412606/11, 177147312/11, -2065994900/11], [1584999/11, 129375/11, -342999/11]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, 31/2, 17/2], [-20, 32, 14], [1, 9/2, 2], [0, 0, 0]], [[91352, -219515/2, -66727], [3442783/14, -2176845/7, -563895/7], [1142142/77, -2172315/77, -2965317/154], [-421/154, -8/77, -1/154]], [[60457898283/2, -5714628033/2, -13643763939/2], [1675235361521/28, -1080524256061/28, 26314228445/28], [2302595908803/154, 106089269841/154, -570833502777/154], [655306665/308, 75287175/308, -150667245/308]]], 1, 3, [], [] >,
< [ 4, -5, -1, 1 ], [[16, 3, -4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13, -19/2, -7], [-55, 99/2, 35], [13, -19/2, -7], [0, 0, 0]], [[-5424, 1471, -775/2], [-44243/2, 37043/4, 3811], [-5425, 2945/2, -775/2], [1/2, -3/4, 0]], [[-41776345, -1430881, 15795039/2], [-234514397/2, -4154707, 89093757/4], [-41774980, -1430650, 7897188], [-1365/2, -231/2, 663/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -14, -15/2], [85, 999, 1071/2], [6, -14, -15/2], [0, 0, 0]], [[147176358, -311188, -822172], [-144422688617/14, -108798376082/7, 177896772381/28], [1030234383/7, -2178289/7, -11510423/14], [41/14, -9/14, 5/28]], [[131720611949841, 30032414020689/2, -57791334701931/2], [-134166002421772014/7, 32920072171731811/14, 32696443004811619/14], [922044191620263/7, 210226863035559/14, -404539296642933/14], [15338104/7, 2925772/7, -3855882/7]]], 1, 18, [], [] >,
< [ 4, -5, -1, 1 ], [[44, -2, -7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-67, 0, -3/2], [-146, -5, -11/2], [-67, 0, -3/2], [0, 0, 0]], [[-20978861553, 797817202, 1421020211/2], [-92499782713/2, 1433052517/2, 4843539423/4], [-20978861538, 797817196, 710510104], [-5/2, 1, 1/4]], [[-41068968895993428, -326782111107582, 7195032995336004], [-185044408818507341/2, -3595288762772505/4, 16246145654233135], [-41068968875774715, -653564224082967/2, 7195032992125965], [-6739571/2, 622601/4, 1070013/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[37, -1/2, 3/2], [-9, -9/2, -9/2], [37, -1/2, 3/2], [0, 0, 0]], [[25016320, -17172480, -12441600], [-156937653/7, 481632699/28, 346029517/28], [175114216/7, -240414669/14, -174182385/14], [4/7, -17/28, -5/28]], [[33148795975680, 1472395499520, -6406910146560], [-26795638365855/2, -1198834352303/2, 10351908254675/4], [33148796193681, 1472395489686, -12813820362537/2], [-72667/2, 1639, 23139/4]]], 1, 180, [], [] >,
< [ 4, -5, -1, 1 ], [[-20, -4, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7, -7, -3], [-5, 11, 1], [0, 0, 0]], [[0, 0, 0], [-11303/2, -536, 1463/2], [124036, 5183, -23392], [3/2, -2, -5/2]], [[0, 0, 0], [741464871/2, 15294752, -141924415/2], [-7507052665, -325858554, 1448728743], [206185/2, -602, -32207/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-51, -21, -7], [12, 8, 4], [0, 0, 0]], [[0, 0, 0], [98355633/14, -15293695/14, -3640471/14], [-14219109/7, 2677377/7, -2571/7], [3/14, -29/14, 3/14]], [[0, 0, 0], [931500537857/14, 22165330609/14, -82298932271/7], [-134193431490/7, -2751814350/7, 23171619885/7], [-170749/14, -36851/14, 18096/7]]], 0, 360, [], [] >,
< [ 4, -5, -1, 1 ], [[32, -4, -4]], [ -2, 0, 0 ], [ -7, 10, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 3, 3], [-8, 16, 9], [0, 0, 0]], [[0, 0, 0], [38133/2, -36737/2, 4126], [8108, 331, -2170], [3/2, -2, 0]], [[0, 0, 0], [-192531103/2, -16828145/2, 40703129/2], [-1046576106/11, -44308234/11, 201526067/11], [17469/22, -6129/22, -513/22]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -17, -15], [-22, 14, 11], [0, 0, 0]], [[0, 0, 0], [2196408, -3502801/2, 627745/2], [284108, -10310, -23580], [2, 5/2, 0]], [[0, 0, 0], [1281444403/14, -1194070757/14, 275113903/14], [898753822/77, -140746912/77, -97854728/77], [20243/154, 7243/154, -6511/154]]], 0, 90, [], [] >,
< [ 4, -5, -1, 1 ], [[4, 0, 0]], [ -2, 0, 0 ], [ -7, 10, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[-57/2, 81/2, 3/2], [95/4, -117/4, 23/4], [-399/22, 567/22, 21/22], [-57/44, 81/44, 3/44]], [[44733, 6201, -11687], [120913/2, -6065/2, -18167/2], [313131/11, 43407/11, -81809/11], [44733/22, 6201/22, -11687/22]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 0, 0], [1, 0, 0], [0, 0, 0]], [[349/2, 677/2, -1/2], [-1595/28, -6403/28, 43/28], [-5235/154, -10155/154, 15/154], [349/308, 677/308, -1/308]], [[3103057/2, 723105/2, -1315959/2], [-21496103/28, -8876621/28, 11469711/28], [-46545855/154, -10846575/154, 19739385/154], [3103057/308, 723105/308, -1315959/308]]], 1, 15, [], [] >,
< [ 4, -5, -1, 1 ], [[-60, 4, 12]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, 2, 0], [-3, -1, -1], [0, 0, 0]], [[0, 0, 0], [40079/2, 6587/2, -5234], [-3111, -711, 968], [-3/2, 3/2, 1]], [[0, 0, 0], [4191, -347, -587], [-693, 105, 77], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-51, 7, 17], [0, 2, 2], [0, 0, 0]], [[0, 0, 0], [-1170129/7, -111920/7, 671135/14], [96393/7, -33615/7, 18168/7], [17/7, -15/7, -1/14]], [[0, 0, 0], [-32676473901/14, -657264497/7, 6472991167/14], [1228712988/7, 60193215/7, -213950388/7], [174249/14, -5875/7, -35009/14]]], 0, 4320, [], [] >,
< [ 4, -5, -1, 1 ], [[276, -28, -36]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [21, -1, -5], [-2, 2, 4], [0, 0, 0]], [[0, 0, 0], [-33/2, 28, -17], [-732, 1459, -513], [1/2, -1, 1]], [[0, 0, 0], [43131757/2, -3208934, -2395246], [-246152681, -179044118, 118042368], [-2704285/2, 134137, 177568]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-295, -19, -3], [40, 8, 0], [0, 0, 0]], [[0, 0, 0], [-3460569345/14, 366437468/7, -116323839/14], [227390112/7, -8455353/7, -1915272/7], [3/14, -11/7, 3/14]], [[0, 0, 0], [6618840012648665, 689295469616753, -1441154793196899], [-995545288771749, -77870136924033, 205906393896351], [30732948, -3134864, -4001836]]], 0, 43200, [], [] >,
< [ 4, -5, -1, 1 ], [[116, 4, -20]], [ -2, 0, 0 ], [ -7, 10, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -2, -8], [14, 18, 2], [0, 0, 0]], [[-6, -164, -2], [517613, 371574, -81150], [-58147307/11, -4568491/11, 9520739/11], [-3/11, -82/11, -1/11]], [[31516371/2, 4020607/2, -7358895/2], [-366326216757/4, -26305478005/4, 75823523501/4], [13782094217303/22, 567578890715/22, -2653289369359/22], [31516371/44, 4020607/44, -7358895/44]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [110, -56, 18], [24, -8, 4], [0, 0, 0]], [[-534, 122, -2], [149472401/7, -26787675/7, -4515013/7], [395426495/77, -31520009/77, -15724987/77], [-267/77, 61/77, -1/77]], [[15705995/2, 1060263/2, -3374031/2], [-8994026486365/28, -564170669861/28, 1895213067429/28], [-13015794829531/154, -661637127439/154, 2719803447035/154], [15705995/308, 1060263/308, -3374031/308]]], 0, 3840, [], [] >,
< [ 4, -5, -1, 1 ], [[-80, -16, 16]], [ -2, 0, 0 ], [ -7, 10, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 6, 2], [-18, -26, -6], [0, 0, 0]], [[0, 0, 0], [-46225, 79690, -22651], [-98460, 168564, -61972], [-5, -1, 0]], [[0, 0, 0], [784161/2, 1407183/2, -744795/2], [-34811988/11, 16672220/11, -528976/11], [-53927/22, -2113/22, 10419/22]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [48, -4, 0], [-18, 2, 2], [0, 0, 0]], [[0, 0, 0], [-80183/14, 138023/14, 95447/14], [-90018/77, -47554/77, -922/77], [257/154, -151/154, 5/154]], [[0, 0, 0], [-309357, -308903, -117913], [1841276/11, 272388/11, -277652/11], [-1431/11, 387/11, 117/11]]], 0, 23040, [], [] >,
< [ 4, -5, -1, 1 ], [[20, -1, -3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[174, -337/2, -115], [186, -347/2, -120], [174, -337/2, -115], [0, 0, 0]], [[446820, -262020, -216480], [431694, -544859/2, -869873/4], [446816, -262022, -432961/2], [-2, -1, -1/4]], [[272580, -1470810, 567600], [-25815565, 86801833/2, -54537709/4], [291670, -1503442, 1155815/2], [9545, -16316, 20615/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-266, 555/2, 185], [326, -563/2, -181], [-266, 555/2, 185], [0, 0, 0]], [[-2091180, -87707, 188819/2], [2768667674/7, -18970409777/28, 1501110180/7], [-14638044/7, -1227853/14, 1321745/14], [-36/7, -15/28, -1/7]], [[-23313459126180, 812836799985, 3678193231440], [14897189113488548/7, -102027038520043295/28, 32246053056986275/28], [-163191567884088/7, 11379460863483/14, 51493906453209/14], [-440999862/7, 84778769/28, 266262317/28]]], 0, 24, [], [] >,
< [ 4, -5, -1, 1 ], [[20, -1, -3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 2, -2], [24, 1, -3], [4, 2, -2], [0, 0, 0]], [[52474, 2757, -4619], [321092, -7241/2, -297975/4], [52470, 2755, -9235/2], [2, 1, -3/4]], [[-4721562, -1388491/2, 845117], [-28633628, -168801/4, 11933349/2], [-4721070, -694275, 845045], [-246, 59/4, 36]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, -1, 3/2], [8, -2, -27/2], [-10, -1, 3/2], [0, 0, 0]], [[355586, -7161, -17138], [10689730/7, -96324471/28, 13911298/7], [2489078/7, -100287/14, -119969/7], [4/7, 11/28, 1/14]], [[6641755824, -10174668207/2, 1942156117/2], [1352569767928/7, -2309290397216/7, 729851192701/7], [46491862020/7, -71222632263/14, 13595220433/14], [71458/7, -7531/14, -21269/14]]], 0, 24, [], [] >,
< [ 4, -5, -1, 1 ], [[4, 1, -1]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 1/2, -2], [-1, -9/2, -3], [-1, 1/2, -2], [0, 0, 0]], [[11532, 11589/2, -4397/2], [94563/2, 39589/4, -26589/4], [11529, 5795, -2196], [3/2, -1/4, -5/4]], [[4263649, 254067, -854320], [14899940, 1358239/2, -2895924], [4263351, 254004, -854244], [149, 63/2, -38]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 1, -1], [55, -3, 4], [1, 1, -1], [0, 0, 0]], [[876, 67/2, -52], [335093/7, -291/28, -332187/28], [6138/7, 236/7, -737/14], [-1/7, -1/28, 3/28]], [[624890, 6328, -115486], [396411387/14, 44782651/28, -154329537/28], [4376933/7, 90143/14, -1618223/14], [-901/14, -517/28, 473/28]]], 1, 4, [], [] >,
< [ 4, -5, -1, 1 ], [[24, 2, -6]], [ -2, 0, 0 ], [ -7, 10, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 35/2, 6], [-28, 25, 31], [4, 1, 5/2], [0, 0, 0]], [[-4986630, 734745/2, 1067990], [-4840126, 429769/2, 1798312], [-27911896/11, -1722675/11, 13470317/22], [-48/11, 30/11, 1/22]], [[-15602068372, -869530156, 2848507596], [-12901476055, -3513407147/2, 4530964893/2], [-96922339892/11, -6016266864/11, 18674809500/11], [-98895/11, 9975/22, 11970/11]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, 27, 5], [152, 31, 34], [16, 1, 2], [0, 0, 0]], [[-1115976, -621286, 100814], [-64864277/7, -7582555/14, 2628148/7], [-68577660/77, -886474/77, 4332450/77], [177/77, 130/77, -3/154]], [[1269420362, -230391287/2, -124759537], [41894780754/7, 17799728018/7, -13342724443/7], [42284123268/77, 18111979134/77, -27711438387/154], [-222258/77, 13074/77, 21790/77]]], 0, 288, [], [] >,
< [ 4, -5, -1, 1 ], [[44, 5, -10]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-296, 308, 411/2], [1354, -1542, -2051/2], [-296, 308, 411/2], [0, 0, 0]], [[-7770418, 252463/2, -346749/2], [-4144882533, 14382031889/2, -9099018427/4], [-7770424, 252461/2, -173375], [-3, -1/2, -1/4]], [[1693197137004, 234578003067, -399762690522], [-337754463050124, 2225953283037927/4, -694464153748465/4], [1693198699864, 469156358889/2, -799526089999/2], [781430, 352755/4, -708955/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[188, -122, -193/2], [-13758, 8659, 13695/2], [188, -122, -193/2], [0, 0, 0]], [[-96311436, 555113, 932217], [1135858218935/7, -1848225092471/7, 2327861426103/28], [-674180250/7, 3885794/7, 13051041/14], [33/7, -1/14, -1/28]], [[-31479735165563672, -3499126940561486, 7122720791452032], [-91323871417824290894/7, 757922102160968243641/28, -253366487350886964753/28], [-220358210381533640/7, -48987791813954131/14, 99718120294756965/14], [10703764656/7, 4882031109/28, -9738142839/28]]], 0, 288, [], [] >,
< [ 4, -5, -1, 1 ], [[112, 0, -19]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-20, 2, -1], [-10, 5, -3], [-20, 2, -1], [0, 0, 0]], [[-98952, -219604, 22754], [45622, -840117/4, 68289/4], [-98976, -439217/2, 45499/2], [4, 3/4, 3/4]], [[2903746602006, 797134135191/2, -658596017637], [1093038352766, 730320491129/2, -332324244488], [2904117505398, 797134046391/2, -658658917785], [-61817232, 7400, 10483358]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[206, 1/2, 0], [-560, -7/2, 3], [206, 1/2, 0], [0, 0, 0]], [[454694029510, -8465948295/2, 8020813185/2], [-8650702849625/7, 43674608228/7, -111809878287/28], [3182858206492/7, -59261638041/14, 28072846143/7], [13/7, -2/7, 3/28]], [[96644616772486760250, 3708041105841060625/2, -34349101528454383125/2], [-262543786404041314996, -10537358980608909445/2, 93562795455569666637/2], [96644616770289993270, 3708041105840987353/2, -34349101527709029669/2], [366127830, 6106, -62112788]]], 0, 2880, [], [] >,
< [ 4, -5, -1, 1 ], [[24, 8, -8]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, -7, -1], [7, -1, -1], [0, 0, 0]], [[0, 0, 0], [-3523/2, 2035/2, 3399/2], [-37, -215, 197], [-3/2, 3/2, -5/2]], [[0, 0, 0], [16541/2, 1580, -1594], [-20023, -632, 3794], [-851/2, -22, 83]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-55, -11, -15], [-15, 15, 9], [0, 0, 0]], [[0, 0, 0], [-2757597/7, -370481/7, 1218239/14], [70050/7, 5448/7, -2393/7], [1/7, 2/7, -5/14]], [[0, 0, 0], [-3319127913/2, -83868417, 325111436], [45507111, 1505980, -8518590], [1123/2, 197, -189]]], 0, 720, [], [] >,
< [ 4, -5, -1, 1 ], [[128, -16, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 8, -8], [16, 16, 4], [0, 0, 0]], [[0, 0, 0], [6635, -11604, 7721/2], [434, -582, -385], [1, -1, -3/2]], [[0, 0, 0], [1729641, -2464155, 727959], [2538378, 117064, -492762], [6795, 495, -1395]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 46, 28], [36, -44, -28], [0, 0, 0]], [[0, 0, 0], [20428523/7, -71539617/14, 11359022/7], [69950/7, -12679/7, 12452/7], [-43/7, -11/14, -1/7]], [[0, 0, 0], [1678367754716/7, -3007891255022/7, 964349746754/7], [13821892564/7, -2597157982/7, -1354637294/7], [-8915280/7, 353760/7, 1424280/7]]], 0, 5760, [], [] >,
< [ 4, -5, -1, 1 ], [[128, -16, -16]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 2, 10], [52, -42, -30], [0, 0, 0]], [[0, 0, 0], [1339811, 150191/2, -282174], [57540, 61301, 14638], [-3, -3/2, -1]], [[0, 0, 0], [-15217515403, 1231552749, 2145901529], [-1356618296, 27211326, 226173434], [21473, 59297, -28565]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [20, -54, 6], [10, -8, 2], [0, 0, 0]], [[0, 0, 0], [250669/7, 1511667/14, 147145/14], [-278602/7, 28619/7, 23371/7], [-23/7, 27/14, 3/14]], [[0, 0, 0], [1979376537/7, 426643867/14, -417816688/7], [-582060350/7, -2494199/7, 102284290/7], [-30195/7, 6893/14, 3965/7]]], 0, 5760, [], [] >,
< [ 4, -5, -1, 1 ], [[80, -4, -12]], [ -2, 0, 0 ], [ -7, 10, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-44, 1, 0], [-20, 5, 4], [0, 0, 0]], [[0, 0, 0], [666245, -108400, -99255], [2022904/11, -90439/11, -205673/11], [5/11, -21/11, -2/11]], [[0, 0, 0], [-2450230893, 7275537/2, 852078431/2], [-8540371280/11, -47754408/11, 1516904605/11], [51091/11, 24909/22, -14459/11]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-304, -1, -5], [4, -2, 2], [0, 0, 0]], [[0, 0, 0], [3033980923/7, 184624253/7, -852587433/14], [-385259264/77, 3522166/77, 2408716/77], [13/77, -151/154, 5/154]], [[0, 0, 0], [-980487033640090/7, -35370215297089/7, 373205580649173/14], [129912254181324/77, 1219138369902/77, -23352682828875/77], [13498272/77, 5342199/154, -7060899/154]]], 0, 1440, [], [] >,
< [ 4, -5, -1, 1 ], [[256, 48, -64]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-154, -8, -40], [8, 2, 6], [0, 0, 0]], [[0, 0, 0], [43096755, 2099073/2, -9325835/2], [-2947022, -118765, 176861], [5, -3/2, -5/2]], [[0, 0, 0], [8396225140207, -6980322541, -1467232381685], [-604678230854, 10322178388, 101648775476], [426503, 88319, -110187]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-518, -110, -104], [36, -18, -16], [0, 0, 0]], [[0, 0, 0], [303193/7, -469941/7, 298197/14], [186/7, 36/7, -3/7], [-31/7, -6/7, 1/14]], [[0, 0, 0], [-274578212299, 1031811294419/2, -167649486085], [176013846, 32964129, -43991604], [-29335641, -10988043/2, 7331934]]], 0, 69120, [], [] >,
< [ 4, -5, -1, 1 ], [[704, -32, -112]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 4, -6], [0, 4, -8], [0, 0, 0]], [[0, 0, 0], [10944, 779/2, -4047/2], [2860, 67, -475], [4, 3/2, -5/2]], [[0, 0, 0], [-8507719, -389705, 3299281/2], [-2222262, -110624, 433833], [-3293, 148, 1073/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-392, 10, 8], [44, -10, -2], [0, 0, 0]], [[0, 0, 0], [693339121/7, 2603658291/14, 1517915761/14], [-196619138/7, -138989/7, -3783817/7], [5/7, 27/14, 3/14]], [[0, 0, 0], [-451695570960046204/7, -43922588848836819/7, 99486658334725920/7], [40705441179724032/7, 5689230134597418/7, -9554256391545588/7], [-3716877922/7, 169221097/7, 591201098/7]]], 0, 691200, [], [] >,
< [ 4, -5, -1, 1 ], [[512, -64, -64]], [ -2, 0, 0 ], [ -7, 10, -3 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -2, 22], [-8, -12, 16], [0, 0, 0]], [[0, 0, 0], [-35527167, -677184, 9306769], [74252336/11, -1450732/11, -692588/11], [5/11, 23/11, -2/11]], [[0, 0, 0], [-756789923738, -60884296674, 158018489294], [1964585701388/11, -129975109752/11, -288258854040/11], [455474/11, 179394/11, -153990/11]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-100, -14, 0], [4, 16, -4], [0, 0, 0]], [[0, 0, 0], [-15380277/7, -3411505/7, 2249517/7], [23984724/77, -309748/77, -1114588/77], [31/77, -337/77, 3/77]], [[0, 0, 0], [-2356290259532/7, -131962745514/7, 465970282303/7], [3401000192872/77, -56195667916/77, -569249064620/77], [-27579392/77, -9586369/77, 8743055/77]]], 0, 368640, [], [] >,
< [ 4, -5, -1, 1 ], [[-4, -3, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -1, 1], [4, 1, -2], [2, -1, 1], [0, 0, 0]], [[810, 30, -495], [1797/2, 391/4, 299/2], [815, 65/2, -493], [5/2, 5/4, 1]], [[-4401720, 37755/2, 759645], [-8366864, -553795, 3393713/2], [-4465800, 29745/2, 772550], [-32040, -4005/2, 12905/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, -3/2, 0], [-42, 3/2, -3], [-8, -3/2, 0], [0, 0, 0]], [[3704926, -152790, -746819/2], [275464997/14, -68704945/14, -10603433/28], [25934443/7, -1069524/7, -2613874/7], [13/14, -1/7, 5/28]], [[-1065951936, -262328392, 300435144], [-55726822803/14, -81238239233/28, 54043393605/28], [-7461654327/7, -3672580433/14, 4206081171/14], [-3075/14, -5685/28, 3615/28]]], 1, 6, [], [] >,
< [ 4, -5, -1, 1 ], [[-4, -3, 2]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, 5/2, -3/2], [20, 11/2, 5/2], [10, 5/2, -3/2], [0, 0, 0]], [[673901, 17057/2, -179739/2], [2132509/2, 2955435/4, -1172821/4], [673902, 8526, -89871], [-1/2, 5/4, 3/4]], [[-93955100, -457436839/2, 224325687/2], [-1558348188, 3517596861/2, -924784601/2], [-93954780, -457435647/2, 224325063/2], [-160, -298, 156]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -2, -1/2], [20, 3, -3/2], [2, -2, -1/2], [0, 0, 0]], [[-497, 34, -129/2], [-1153283/14, -75767/28, 447969/28], [-3596/7, 533/14, -453/7], [39/14, -19/28, 1/28]], [[-25847028, -39387071/2, 27217547/2], [-36759681354/7, -3768089075/14, 14391335293/14], [-185394672/7, -284270921/14, 195789641/14], [744246/7, 713452/7, -438901/7]]], 1, 8, [], [] >,
< [ 4, -5, -1, 1 ], [[16, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 2, -10], [-6, 10, 6], [0, 0, 0]], [[0, 0, 0], [-14101/2, 9297, -2794], [1828, 185, -217], [1/2, 0, 2]], [[0, 0, 0], [-340187213/2, 51383600, 15917875/2], [164014024, 7030479, -31235462], [307125/2, -2700, -42525/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-222, 94, 60], [118, -96, -68], [0, 0, 0]], [[0, 0, 0], [731286523/14, 4443749/7, -131343063/14], [-10184634/7, -61883/7, 1626214/7], [25/14, -3/7, -3/14]], [[0, 0, 0], [-1384921896/7, 50933636/7, 229232478/7], [55563576/7, -16441240/7, -14937400/7], [-2/7, -18/7, -30/7]]], 0, 1440, [], [] >,
< [ 4, -5, -1, 1 ], [[16, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -6, 8], [-4, 2, 10], [0, 0, 0]], [[0, 0, 0], [-2780687/2, -6929/2, 146985], [-683425, -86947, 4600], [5/2, -3/2, 1]], [[0, 0, 0], [29963793879, 1340618934, -5677598556], [17020497324, 885337518, -3156442996], [-44283, -1392, 7308]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-276, 178, 126], [206, -178, -126], [0, 0, 0]], [[0, 0, 0], [109897/7, -718303/14, 262837/14], [-13068/7, 4251/7, 15/7], [15/7, 25/14, -5/14]], [[0, 0, 0], [-925175/14, 364386/7, -136765/14], [-18857/7, -10316/7, 4215/7], [37/14, 37/7, 37/14]]], 0, 1440, [], [] >,
< [ 4, -5, -1, 1 ], [[-12, -5, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 0, 2], [-32, 8, 5], [-4, 0, 2], [0, 0, 0]], [[200, -6, -43/2], [1533, 234, -341], [194, -4, -41/2], [-3, 1, 1/2]], [[104224, 17835, -26059], [963535, -113019/4, -630109/4], [102294, 34063/2, -50825/2], [-965, -1607/4, 1293/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, 1, -1/2], [88, -14, -5/2], [-8, 1, -1/2], [0, 0, 0]], [[304480, 6920, -22663], [-22776085/7, 388809/7, 10827469/28], [2131354/7, 48449/7, -317273/14], [1/7, -3/14, -3/28]], [[65048, -6401, -8650], [-646384, 50724, 91591], [65048, -6401, -8650], [0, 0, 0]]], 0, 96, [], [] >,
< [ 4, -5, -1, 1 ], [[-12, -5, 4]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, -1, 3/2], [-40, 12, 43/2], [8, -1, 3/2], [0, 0, 0]], [[-6728, 108489, 142970], [-2180885, 5471327/4, 2564599/2], [-6734, 216975/2, 142968], [-3, -3/4, -1]], [[-8213495304, -11044694892, 5412460704], [50409418802, -94572814575/4, -7966049977/2], [-8212915736, -22088746581/2, 5412237492], [289784, 643203/4, -111606]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -5/2, -2], [-142, -13/2, -7], [-2, -5/2, -2], [0, 0, 0]], [[-3329560, -120020, -56900], [-800200307/7, 247680023/28, 129865861/14], [-23306746/7, -1680235/14, -398294/7], [-29/7, -15/28, -1/7]], [[-37589282755120, -19296671290480, 14128158036880], [-8021571726589180/7, -14463940537063035/28, 11512626040858717/28], [-263122764217720/7, -270151556819351/14, 197792736264779/14], [-369178020/7, -613749123/28, 492083847/28]]], 0, 96, [], [] >,
< [ 4, -5, -1, 1 ], [[-16, 0, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, -1, -5/2], [-10, -4, -3/2], [-6, -1, -5/2], [0, 0, 0]], [[34062, 725, -7973], [57408, 1485/2, -12480], [34058, 724, -7971], [2, 1/2, -1]], [[3109023, 269549/2, -569599], [10510005/2, 1015093/4, -987209], [3108636, 134796, -569556], [387/2, -43/4, -43/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, -2, -5/2], [12, -3, 11/2], [4, -2, -5/2], [0, 0, 0]], [[4185, 211, -1141/2], [812565/14, 74679/14, -363563/28], [29370/7, 1459/7, -3992/7], [-25/14, 3/7, -1/28]], [[21360820, 518212, -8451569/2], [1978624412/7, 409501703/28, -768314921/14], [149866840/7, 7242461/14, -59290601/14], [-56850/7, 4169/28, 21603/14]]], 1, 12, [], [] >,
< [ 4, -5, -1, 1 ], [[-16, 0, 3]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, -1, 0], [4, 3, -1], [8, -1, 0], [0, 0, 0]], [[-32, 81/2, 49/2], [-38, 47, 97/4], [-32, 77/2, 25], [0, 1, -1/4]], [[478003, -17361, -219193/2], [891893/2, -22611, -412451/4], [438292, -18012, -102068], [39711/2, 651/2, -15057/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, -1/2, 5/2], [-152, 1/2, -13/2], [-8, -1/2, 5/2], [0, 0, 0]], [[-53783, -23457/2, 1425], [-28339489/14, 6994675/28, 5071614/7], [-376400/7, -82158/7, 9972/7], [-27/14, 39/28, 1/14]], [[-23381454, -1049655, 4405811], [-532816266, -45324483/2, 107134498], [-23379510, -1049736, 4405487], [-324, 27/2, 54]]], 1, 16, [], [] >,
< [ 4, -5, -1, 1 ], [[32, 16, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, 40, 12], [-2, 6, -6], [0, 0, 0]], [[0, 0, 0], [1368373/2, 31583/2, -137603], [-41066, -866, 9335], [-5/2, 3/2, 2]], [[0, 0, 0], [127553051/2, 2785965, -12324727], [-3753388, -167067, 727375], [-31/2, -2, 5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-82, -4, 8], [-10, 10, -6], [0, 0, 0]], [[0, 0, 0], [-8003491/14, 503651/7, 2615579/14], [-458226/7, -26157/7, 454672/7], [-5/14, -19/7, -5/14]], [[0, 0, 0], [80836662460/7, 3716902520/7, -15646361562/7], [5775819058/7, 475933812/7, -1189729714/7], [533066/7, 25862/7, -104606/7]]], 0, 2880, [], [] >,
< [ 4, -5, -1, 1 ], [[32, 16, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-54, 46, 32], [2, -4, -2], [0, 0, 0]], [[0, 0, 0], [2146, 3073/2, -847], [-10406, -867, 2212], [0, 3/2, 2]], [[0, 0, 0], [-9774667/2, -184994, 1656663/2], [17088616, 677005, -3289388], [-3885/2, -2072, -777/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-36, -2, -10], [-8, 8, 2], [0, 0, 0]], [[0, 0, 0], [25345664/7, 1358613/14, -4884403/7], [334770/7, 10231/7, -23518/7], [2/7, 43/14, 2/7]], [[0, 0, 0], [4138386312239/14, 185343539431/14, -400772113845/7], [29340490666/7, 1760700978/7, -5822264437/7], [3623677/14, 41575/14, -312644/7]]], 0, 2880, [], [] >,
< [ 4, -5, -1, 1 ], [[-64, -48, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [192, -218, -142], [-4, -12, -4], [0, 0, 0]], [[0, 0, 0], [450987, -1839736, -948748], [-320378, -111422, 22806], [-1, 2, 0]], [[0, 0, 0], [643631225, 442421303/2, -205304573], [461820582, -452645239, 108513434], [-52287, 178097/2, -28094]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [376, -6, -28], [20, -2, -4], [0, 0, 0]], [[0, 0, 0], [1186463948/7, -558486023/7, -260177761/14], [31048244/7, -1291662/7, 1044585/7], [-32/7, 6/7, -1/14]], [[0, 0, 0], [-212051270089809/7, -570292934695937/14, 302323805016885/14], [-13793310616742/7, -6238850916065/7, 5216825379515/7], [11295915/7, 15032175/14, -10473405/14]]], 0, 23040, [], [] >,
< [ 4, -5, -1, 1 ], [[-64, -48, 32]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-176, 156, 110], [12, -10, -4], [0, 0, 0]], [[0, 0, 0], [-47003, -943, 18029/2], [-11934, 5588, -263], [1, 2, 1/2]], [[0, 0, 0], [-24367052, 3074566, 2971856], [-25828172, 37125916, -11008332], [644, 1508, -756]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [96, -38, -40], [-20, -8, -6], [0, 0, 0]], [[0, 0, 0], [405010557, -173092309/2, -140805733], [-178731306, 7593021, -6792060], [1, 5/2, 0]], [[0, 0, 0], [117834795913692/7, 17415983721452/7, -26947410570272/7], [-109248780123132/7, 33298962046632/7, 5488078708092/7], [1044100/7, 766950/7, -514100/7]]], 0, 23040, [], [] >,
< [ -1, -5, 0, 1 ], [[-4, 0, 1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[13, 49/2, 1/2], [-19/3, -15/2, -13/6], [12, -1/2, 5/2], [4, -1/6, 5/6]], [[-550967/2, 10424, 62412], [1009607/6, -5744/3, -38060], [-421718, -27101/2, 177809/2], [-421718/3, -27101/6, 177809/6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [1, 0, 0], [0, 0, 0]], [[-59/2, -7, -2], [827/30, 121/15, -18/5], [43/10, 4/5, -1/5], [-43/30, -4/15, 1/15]], [[1552975/2, 15868, -192212], [-7067009/10, 7148/5, 748048/5], [-1138293/10, -13254/5, 259017/10], [379431/10, 4418/5, -86339/10]]], 4, 3, [], [] >,
< [ -1, -5, 0, 1 ], [[64, 0, -16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 2, 6], [2, 10, -4], [0, 0, 0]], [[0, 0, 0], [-35608/3, -1130/3, 7136/3], [-1005, -159, 261], [13/3, 1/3, 1]], [[0, 0, 0], [4590504, 198792, -920280], [377876, 17574, -74520], [-1554, 666, 666]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-64, 12, -20], [-10, 8, -10], [0, 0, 0]], [[0, 0, 0], [-767532802/15, -45938072/15, 91001498/15], [-45353853/5, -1584778/5, 1659397/5], [103/15, 28/15, 1/5]], [[0, 0, 0], [11376270833218/5, 467900693328/5, -2420304516582/5], [2037434387201/5, 96840387051/5, -456009423114/5], [-1463427/5, -24297/5, 340158/5]]], 0, 3360, [], [] >,
< [ -1, -5, 0, 1 ], [[3, -1, -1]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 2, -1], [5/2, 2, -1], [3, 15, 0], [0, 0, 0]], [[7098, 220, -1472], [7114, 740/3, -4408/3], [-338, -1338, -619], [-10/3, 0, -2/3]], [[141655815/2, 2887065, -28554885/2], [141872115/2, 2888765, -28599785/2], [-1839677/2, 205707/2, 257782], [-68075/2, -2775/2, 7000]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13/2, 1/2, -2], [21/2, -9/2, -2], [4, -5, 0], [0, 0, 0]], [[-5605/2, 151, 645], [-152767/30, 4769/15, 21109/15], [-22363/10, 1907/10, 7677/10], [43/30, 13/30, 1/10]], [[4593239/2, 522343/2, -340554], [42772607/10, 9969247/10, -3034894/5], [9739632/5, 3847542/5, -2492871/10], [-4624/5, 4046/5, 3757/10]]], 1, 6, [], [] >,
< [ -1, -5, 0, 1 ], [[-48, 16, 16]], [ -3, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -10, 0], [16, 66, 20], [0, 0, 0]], [[0, 0, 0], [-188308, 45386, 67624], [-259153, -941979, -391241], [5, -1, 1]], [[0, 0, 0], [34015530, 4113442/3, -20788256/3], [15101295, 1877722, -2370644], [-2717/3, 0, 494/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 34, -2], [8, 34, 2], [0, 0, 0]], [[0, 0, 0], [-7917154/15, -401674/15, 499092/5], [-92951/5, -15481/5, -15506/5], [-109/15, -29/15, -4/15]], [[0, 0, 0], [27584961704/5, 538452474/5, -5740530166/5], [855407958/5, -535160577/5, -306442542/5], [338254/5, -141701/5, -118846/5]]], 0, 13440, [], [] >,
< [ 3, -5, -1, 1 ], [[2, -1, 0]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 0, 17/2], [-17/2, 8, 21/2], [-3/2, -2, 1], [-1/2, 3/2, 1]], [[-101, 521/2, -131/2], [-347/4, 184, -99/4], [28, 54, -26], [-85/4, 17/2, 17/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, -14, -7], [94/3, -10/3, -29/3], [-7/3, -8/3, -1/3], [0, 0, 0]], [[-16708, 34967, -19971/2], [19589/3, -94285/6, 17756/3], [-11063/3, 23828/3, -14245/6], [-1/2, 0, 1]], [[-312355/2, 817131/2, -137377], [-2303787/4, -252454, 767053/4], [114441/2, 101454, -98679/2], [-865/4, -59/2, 185/4]]], 4, 3, [], [] >,
< [ 3, -5, -1, 1 ], [[-6, 5, -1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, -11, -1], [3, -11/2, 0], [-1/2, -1, 1], [5/2, -1, -1]], [[9/2, -46, 39/2], [12, -24, 17/2], [11, -10, 2], [-27/2, -1, 3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, -25/2, -5/2], [35/2, 15/2, -9], [0, -5/2, 0], [0, 0, 0]], [[534, -548, -551], [-14180/13, -10108/13, 4319/26], [5027/26, -849/13, -2979/26], [-57/26, -5/13, 2/13]], [[-56483, 93457/2, 74109], [3605855/26, 3437381/26, -466614/13], [-602567/26, 80423/26, 413203/26], [4060/13, 385/13, -245/13]]], 4, 4, [], [] >,
< [ 3, -5, -1, 1 ], [[-9, 1, 1]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 8, -3/2], [5/4, 2, -5/4], [8, 1/2, -1], [7/4, 1, -3/4]], [[-1139/2, -765, 833/2], [-2913/4, -311, 939/4], [-6833/2, -387/2, 625], [-3329/4, -351/2, 801/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, 17/2, 7/2], [179/2, -27/2, 22], [3, -3/2, 2], [0, 0, 0]], [[441889/2, -217183, -200021/2], [-152476991/13, -9934369/26, 31482291/26], [-9722585/26, 222285/13, 97863/26], [40/13, -35/26, 1/26]], [[42584978, 383855227/2, 53522119/2], [-117445633199/4, -6473135393/2, 26041340233/4], [-1822679349/2, -138310882, 468875705/2], [20829/4, 2036, -6505/4]]], 3, 6, [], [] >,
< [ 3, -5, -1, 1 ], [[6, -1, -1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -5/2, -7/2], [2, -11/2, 3/2], [3, -11/2, 0], [-5/2, 0, 1/2]], [[-217/2, 37, 53/2], [-3, -33, 31/2], [0, -15, 15], [-121/2, -5, 11]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, -5, -5/2], [-71, -1, 8], [3/2, 0, -3/2], [0, 0, 0]], [[10373, -8658, -4555], [20023569/13, 3746693/26, -3990431/13], [-587085/26, -5764/13, 44503/26], [23/26, 33/26, 5/26]], [[33916415/2, 22701499/2, -12830741/2], [219609988589/26, 15307400311/26, -20406510656/13], [-1513506966/13, -628826433/26, 367761961/13], [126900/13, -3860/13, -19880/13]]], 1, 12, [], [] >,
< [ 3, -5, -1, 1 ], [[3, 4, -2]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, 11/2, 3/2], [-33/2, 7/2, 12], [0, -5/2, 2], [0, 0, 0]], [[242, 258, -1443/2], [-17733/2, -12185/2, 3657/2], [-41, -1723, 1011/2], [2, -2, 1/2]], [[15413/2, -8559/2, 5440], [-2312481/4, 8535, 420487/4], [-98783/2, 15465, 6507/2], [145/4, 57/2, -69/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, -15/2, -9/2], [-891/2, -35, -45/2], [-6, -3/2, -1/2], [0, 0, 0]], [[30161299/2, -29481305/2, -7234421], [-92022660495/52, 5933752189/26, 498791313/52], [-319262480/13, 3533327/13, 4419920/13], [29/52, -5/13, -5/52]], [[-126659527275/2, 88793726217/2, -17806249383/2], [504138036783321/26, -163200494429963/26, -15395143903767/26], [7110926203431/26, -1617277304829/26, -492256028343/26], [-115815/26, 38508/13, -6402/13]]], 1, 12, [], [] >,
< [ 3, -5, -1, 1 ], [[-30, -1, 5]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 0, -1/2], [0, -13/2, -11/2], [15/2, -1, -1], [0, 0, 0]], [[-43702, 37306, 34473/2], [-359369, 725791/2, 443241/2], [197133/2, -2829, -6394], [-2, 0, 0]], [[-4368675/2, -2709229, 1428487/2], [-6980954, -32252775/2, -1190606], [19088091, 4136803, -4892767], [-799/2, -193/2, 221/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -1, 1/2], [-144, -13/2, 11/2], [15/2, 2, -2], [0, 0, 0]], [[-251639/2, 119019, 61172], [-782935025/26, 844598049/26, 605817523/26], [5573877/26, 43209/13, -88443/13], [29/13, 6/13, 3/26]], [[3976803/2, 15284667, -5762127/2], [140341974, 2140721705/2, 799258010], [-49149117, -21050034, 17275701], [-1215/2, -405/2, 405/2]]], 1, 36, [], [] >,
< [ 3, -5, -1, 1 ], [[-6, 7, -2]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 11/2, -1], [-3/2, -3/2, 1], [-21/2, -1/2, -1/2], [0, 0, 0]], [[641581/2, -202879/2, -67738], [-439077/4, 21489/2, 26983/4], [-607876, 566, 185888], [-5/4, -1, -3/4]], [[-34176508309/2, 2279185263/2, 2523866171], [28364139843/4, -348377999, -3811916623/4], [35561627838, 4282066592, -7758583514], [564171/4, -7743/2, -57405/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, 23/2, -2], [189/2, -19/2, -13], [-51/2, -5/2, -1/2], [0, 0, 0]], [[-357565534, -819173764, 212422299], [-12242348259/2, 1781383625/2, 702326934], [1746726982, -55024540, 12254524], [-5/2, -1/2, 0]], [[67182790392808, 182850752026757/2, -83173030414389/2], [43935695907811977/52, -1388645348861500/13, -4887420481716723/52], [-3475906805722439/13, 463238343752060/13, 255365244653085/13], [20956859/52, 87647/26, -2402055/52]]], 1, 36, [], [] >,
< [ 3, -5, -1, 1 ], [[-6, 7, -2]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 6, -5/2], [9, 10, -11], [-51/2, -1, 5/2], [0, 0, 0]], [[-307022, -178107/2, 118305/2], [-1501497/4, -44877, 760773/4], [1524499/2, 76633, -224187/2], [7/4, -5/2, 3/4]], [[-13304767/2, -993358, 1076274], [-33434667/4, 2267431/2, 10238887/4], [15374450, 3791989/2, -2603866], [49/4, -1/2, -5/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, -3, 0], [-57, -33/2, 31/2], [-6, -2, 5/2], [0, 0, 0]], [[-494225/2, -130219, 129891/2], [357752871/52, 5751715/26, -61393107/52], [17923309/26, 909859/26, -1069370/13], [-41/52, 12/13, -1/52]], [[-169674110332, -30369121351/2, 67434809327/2], [195060703366233/52, 3857474216578/13, -36989925647953/52], [10094343466781/26, 367435922310/13, -1923325947529/26], [-8022967/52, 2037/26, 894437/52]]], 1, 36, [], [] >,
< [ 3, -5, -1, 1 ], [[4, -4, 1]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, 16, -1], [-5/4, 6, -5/4], [-7, 1/2, -3/2], [3/4, 3/2, 1/4]], [[134503/2, -87805, 25977], [73379, -67127/2, 4257/2], [-212100, -48783, 103929/2], [54007, 2173, -9010]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 1, 0], [-13/3, 71/6, 19/6], [-2/3, -1/3, -1/6], [0, 0, 0]], [[17669, 1399, -3529], [175339/6, 13237/3, -50345/6], [-23780/3, -958/3, 4483/3], [5/2, -2, 1/2]], [[267090195/2, 21581105/2, -25580197], [2689600325/12, 109593617/6, -534585739/12], [-176578304/3, -13775566/3, 33723004/3], [48519/4, -9, -7299/4]]], 1, 6, [], [] >,
< [ 3, -5, -1, 1 ], [[-12, -3, 3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 2, 18], [-10, 9, 37/2], [-1/2, 1, 3/2], [5/2, 0, 2]], [[-96917/2, 34157/2, 3021/2], [-37563/2, 14043, -3803/2], [-5973, 1419/2, 726], [-31855, 1385/2, 9695/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 3, -3/2], [-4, 3/2, 9/2], [-1/2, 0, -1], [0, 0, 0]], [[-33679/2, -31485/2, 11244], [178685, 9555/2, -52399], [80844, 13497/2, -20169/2], [1, -5/2, 0]], [[-29486585061/2, 751712832, 1999686852], [2688150076921/26, 181627784657/26, -244549344095/13], [659305454445/13, 61768990233/13, -259791682617/26], [-9493605/26, 2273670/13, 10125/26]]], 1, 12, [], [] >,
< [ 3, -5, -1, 1 ], [[3, 0, 0]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, -5, -11/2], [-37/4, 23/2, 29/4], [-7/2, 23/2, 6], [-1/4, -1, -5/4]], [[891/2, 3473/2, -1433/2], [248, 445/2, -389/2], [-5369, -569/2, 898], [2047/2, 690, -851/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17/2, 27/2, 7/2], [169/2, 75/2, 8], [-3, 11/2, 1], [0, 0, 0]], [[1031193/2, 611057/2, 881563/2], [12884674109/52, 320610359/13, -2387079457/52], [25918595/26, 1608725/13, 327844/13], [89/52, 12/13, -1/52]], [[-15817328867, 27190498422, -8749294217], [-11869697605916/13, -1722069042097/13, 2535437930808/13], [-131388742295/13, 164870881776/13, -46837694575/13], [-77878/13, -75026/13, 36708/13]]], 1, 24, [], [] >,
< [ 3, -5, -1, 1 ], [[9, -3, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 19/2, -10], [0, 4, -13/2], [0, 13/2, -1], [-2, -1/2, -1]], [[-6545/2, -19109, 7944], [6999, -19739/2, 5381/2], [49932, -912, -14991/2], [-36064, -4480, 7448]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 8, -6], [46, -46, 17], [-6, 4, -2], [0, 0, 0]], [[-12841/2, -1255/2, -1118], [1458957/26, -35497/13, -52564/13], [-119433/13, -12813/26, 20577/26], [-5/26, 8/13, 2/13]], [[68925917/2, 12230143/2, -15721467/2], [-6793571815/26, -932918449/26, 722439340/13], [593339952/13, 137340763/26, -121072180/13], [-15243/13, 2144/13, 1511/13]]], 1, 48, [], [] >,
< [ 3, -5, -1, 1 ], [[18, 0, -3]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 7/2, 5/2], [-9/2, 13/2, 7], [6, 3/2, 0], [0, 0, 0]], [[-8739/2, -1559/2, 2051/2], [-3741/4, -1823/2, 2223/4], [-11575/2, -674, 1191], [11/4, -5/2, 3/4]], [[-21035405/2, -838868, 3986715/2], [-3005589, -413085/2, 549675], [-13572613, -1097742, 2582605], [7259/2, 833/2, -1547/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[23/2, -25, -21/2], [51, -63, -20], [-3/2, -10, -5/2], [0, 0, 0]], [[-3454056, 125861/2, -2048213/2], [141368073/52, 205763625/26, -345637941/52], [-63591198/13, -512164/13, 3020468/13], [123/52, 16/13, 3/52]], [[4439923136, -22630985711/2, 3802543476], [752229964419/26, -1551790288351/26, 498436551729/26], [18760959038/13, -140352180541/26, 24964276280/13], [16361/26, 1554/13, -1945/13]]], 1, 48, [], [] >,
< [ 3, -5, -1, 1 ], [[-45, 3, 6]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -7, -3/2], [-9, 33/2, 1/2], [-3/2, -3, 0], [0, 0, 0]], [[-276583/2, -21135, 53907/2], [19536, 31780, -21903/2], [-183105, -19175, 35386], [3/2, 2, 2]], [[2364973755/2, 49399350, -206476094], [-733333813/2, 326708725/2, -7322362], [1507215567, 100753224, -556869027/2], [-42631/2, -14370, 17723/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21/2, -19/2, -4], [471/2, 36, 45/2], [15/2, -7/2, -2], [0, 0, 0]], [[-24238321/2, -1923877/2, -12043845/2], [-15774041186/13, 5362418995/26, 5478182859/26], [-242549727/13, -11685599/26, 1692182/13], [-49/26, 16/13, -5/26]], [[-215607280373/2, 317412096253/2, 94731982417], [30833513697088/13, -41880457593411/26, -18713718129029/13], [-338504044206/13, 1535192108399/26, 816363796895/26], [9574/13, 28429/26, -6965/13]]], 1, 144, [], [] >,
< [ 3, -5, -1, 1 ], [[-9, -3, 3]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, -8, -9/2], [-9, 19/2, -23/2], [-51/2, -1, -1], [0, 0, 0]], [[2858616, 210791, -1097451/2], [5326491/4, 89967/2, -964175/4], [9385895/2, 714233/2, -1783809/2], [-1/4, 3/2, 1/4]], [[136151251/2, 10967663/2, -12957000], [62509587/2, 4294459/2, -11609055/2], [111993239, 17991457/2, -42598917/2], [29/2, 13/2, -9/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, -6, -9/2], [21, -10, -19], [-15/2, -1, -5/2], [0, 0, 0]], [[-17042989/2, -5270619/2, -3399691/2], [275360952/13, 85286445/26, -421571531/26], [-237920515/13, 42824947/26, -2099676/13], [-37/26, 15/13, 1/26]], [[10744618098822, 254496139291, -1609467267677], [-64316230757265/4, -10463652575431/2, 20661864088143/4], [36075838820179/2, -420753851367/2, -2657669270612], [3559729/4, -237404, -236405/4]]], 1, 144, [], [] >,
< [ 3, -5, -1, 1 ], [[-9, -3, 3]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 11/2, 5/2], [3/2, 4, 7/2], [6, 7/2, 1/2], [0, 0, 0]], [[15709/2, -2023/2, -2707/2], [68625/4, -42043/2, 20313/4], [25405/2, -1585, -1683], [1/4, -5/2, 5/4]], [[-43409995/2, -1858332, 4229114], [-20269110, -9328769/2, 10248285/2], [-35637146, -3192298, 13881911/2], [2660, -224, -364]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19/2, -5, -5/2], [156, -38, -6], [27/2, -6, -3/2], [0, 0, 0]], [[1540195, 1499801/2, 576739/2], [2694691485/52, -56566748/13, -387841783/52], [43540113/13, 1743793/13, -1252625/13], [15/52, 67/26, 1/52]], [[-51907789404245/2, -8000041540115/2, 12004841886287/2], [-15164351942178765/26, -2588147066034909/26, 1709525177666166/13], [-544864884331864/13, -208471885947111/26, 129988316202151/13], [-354800090/13, 94853496/13, 23613742/13]]], 1, 144, [], [] >,
< [ 3, -5, -1, 1 ], [[-15, -9, 6]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 1/2, 1/2], [-33/2, 7/2, -1], [7, 3/2, -1], [0, 0, 0]], [[4550, -8314, 1734], [68615, -145967, 53489], [1548, -4860, -306], [-1, 0, 1]], [[-187835/2, 125138, -69935/2], [-1476653, 2614300, -1611683/2], [105486, 55200, -38766], [115/2, 20, -17]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 10, -9/2], [-53, -49/2, -3/2], [-9/2, 1, -2], [0, 0, 0]], [[-1344243/2, 16430199/2, -7720327/2], [-282202417/2, -50890897/2, 18684305], [-10376287, 989533/2, -177360], [2, 1, 0]], [[1094797922531, -2343484530307, 1517732443219/2], [1775031268715/26, -12141750286439/26, 4521253746953/26], [4870622570254/13, -10734777423996/13, 6995191779055/26], [66978/13, -72432/13, 37845/26]]], 1, 36, [], [] >,
< [ 3, -5, -1, 1 ], [[18, -15, 3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -1, 9/2], [7, -9/2, 1/2], [-3/2, -1, 2], [0, 0, 0]], [[20, -777/2, 259/2], [830, -525/2, -17], [-255/2, -391/2, 85], [2, 3/2, 1]], [[-356792, 269065/2, 34291/2], [2237533/2, 443693/2, -271670], [-406623, 90355/2, 109531/2], [6448, -1101/2, -4089/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 11/2, 1], [-449/2, -43/2, 2], [9/2, 5/2, -1/2], [0, 0, 0]], [[32563, -4778, 7399], [-17821766/13, -21085133/26, 10549837/26], [560994/13, -17475/13, -31854/13], [16/13, 25/26, 3/26]], [[-17844677/2, 34176966, -21394711/2], [-10174939453/13, 21899017921/26, -2987764359/13], [23944728/13, 213805791/13, -81865224/13], [9911/26, 517/26, 737/26]]], 1, 144, [], [] >,
< [ 3, -5, -1, 1 ], [[7, 0, -1]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, 2, -2], [9, -5, -10], [-4, 2, -2], [0, 0, 0]], [[82418, 8224, -21677/2], [-371977/4, 21625, 150723/4], [164825/2, 16465/2, -21655/2], [-5/4, -1, -5/4]], [[-589212237/2, -33239536, 59761534], [1001301925/4, 6936767, -171014881/4], [-589221971/2, -66505089/2, 119534621/2], [27655/4, 2911, -8915/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-35/2, -11, -5/2], [172/3, -55/3, -44/3], [-35/6, -11/3, -5/6], [0, 0, 0]], [[541603, 501545, 337855/2], [-8819231/4, 1729713/2, 2446763/4], [361063/2, 334369/2, 112617/2], [-7/4, -3/2, 3/4]], [[1436789639, 178452263/2, -464650649/2], [-5299538885/2, 197018113, 763138395/2], [478926133, 59489821/2, -154884643/2], [-3260, -1540, 1120]]], 1, 4, [], [] >,
< [ 3, -5, -1, 1 ], [[10, 6, -4]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 0, 1/2], [-8, 9, -4], [3/2, 0, 1/2], [0, 0, 0]], [[-73/2, -3, 11/2], [98, -8, -9], [-73/2, -3, 11/2], [0, 0, 0]], [[1/2, 0, 1/2], [1, 0, 1/2], [0, 0, 0], [1/2, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19/2, 11, 5/2], [-73/3, 73/3, 35/3], [-19/6, 11/3, 5/6], [0, 0, 0]], [[6555, -552, -897], [17399, 1, -3012], [2185, -184, -299], [0, 0, 0]], [[1/2, 0, 1/2], [3, 0, 1/2], [0, 0, 0], [1/2, 0, 0]]], 0, 24, [], [] >,
< [ 3, -5, -1, 1 ], [[-3, -2, 1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, 5/2, -15], [-3, -15/2, -16], [-6, -5/2, -1/2], [-2, 3/2, -2]], [[1309529/2, 360704, -485403/2], [1783363/2, 302936, -255924], [598577, 61279, -118364], [118175, 64525, -87725/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -2, -1/2], [31, 13, 0], [1/2, -2, -1/2], [0, 0, 0]], [[-3524, 61, -20], [2140259/13, 522733/26, -383017/13], [-91755/26, 792/13, -501/26], [-37/26, 17/26, 1/26]], [[112994936, 30648869/2, -52088411/2], [-142991424363/26, -5417433185/13, 27377724435/26], [1470987928/13, 398859697/26, -677977423/26], [405820/13, 114320/13, -106100/13]]], 1, 12, [], [] >,
< [ 3, -5, -1, 1 ], [[-12, 10, -2]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 0, -2], [14, 0, -4], [9, 0, -2], [0, 0, 0]], [[-41/2, 14, -17/2], [-38, 51/2, -1], [-20, 9, 1], [1/2, 5/2, -5/2]], [[1490303/2, 77629, -296795/2], [1162274, 112713, -228896], [1426183/2, 64609, -277195/2], [-56210, -1540, 9590]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33/2, -4, -1/2], [43, -51, -7], [-33/2, -4, -1/2], [0, 0, 0]], [[367054197/2, -2690652, 519557/2], [-6162137002/13, 8779102589/13, -1836922043/26], [2385852129/13, -34978350/13, 3377152/13], [-9/26, 4/13, 1/13]], [[-25112692754473/2, -832467926677, 4603563735609/2], [227235262959131/26, -23210921712084/13, -9638707116721/13], [-163232498003104/13, -10822082990050/13, 29923163451215/13], [134248/13, 371/13, -44879/26]]], 0, 72, [], [] >,
< [ 3, -5, -1, 1 ], [[-3, -2, 1]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, 0, 1/2], [8, 1, 0], [-15/2, 0, 1/2], [0, 0, 0]], [[7590, -78, -1803/2], [-34333/4, -573/2, 3415/4], [7597, -187/2, -907], [5/4, 5/2, 1/4]], [[15578409/2, 1609628, -1853374], [-36404947/4, -1854743, 8533837/4], [7783960, 3224339/2, -1854309], [13481/4, -323, -1207/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, 1/2, 1], [-323/2, 2, 1/2], [-21/2, 1/2, 1], [0, 0, 0]], [[607918, -64585/2, -11651], [423027353/52, 16015744/13, 103188063/52], [7904150/13, -419756/13, -302841/26], [-119/52, -1/13, -1/52]], [[-41998984868, 14043911536, 394144958], [-713634801210, 316480661803, -47841347147], [-42005820118, 14046075218, 394185086], [163039, -46892, -3325]]], 1, 12, [], [] >,
< [ 3, -5, -1, 1 ], [[21, 4, -5]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-16, 27/2, 19/2], [-12, 6, 6], [-3, -3/2, -1/2], [-5/2, 2, 3/2]], [[505/2, -322, 179/2], [39, 395/2, -84], [189, -234, 63], [49/2, -31/2, 5/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, -1/2, -5/2], [251/2, -18, 35/2], [-9, -1/2, -5/2], [0, 0, 0]], [[2414441/2, 3351, -78121/2], [-393586871/26, 11860275/13, 11823857/13], [15693774/13, 43560/13, -507771/13], [-23/13, 6/13, 3/26]], [[-14026544358, 5185135500, 3089988066], [2045604264887/13, -644352465469/13, -346624104235/13], [-182344286142/13, 67406764428/13, 40169712366/13], [196518/13, -62562/13, -1464/13]]], 1, 36, [], [] >,
< [ 3, -5, -1, 1 ], [[12, -2, -2]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3/2, 1, -5/2], [-21, -9, -9], [-3/2, 1, -5/2], [0, 0, 0]], [[115445/2, 3379, -10991/2], [959901, 96812, -156582], [115453/2, 3379, -11011/2], [1, -1, 2]], [[11082645/2, 503716, -2176833/2], [92636973, 15311999/2, -17778174], [5541417, 503653, -1088385], [189/2, 63/2, -63/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, -2, 0], [180, -22, -2], [-9, -2, 0], [0, 0, 0]], [[83577001/2, -801989, 30143/2], [-22831281771/26, 4990835344/13, -834001132/13], [543249361/13, -10425756/13, 195880/13], [-31/13, 3/13, -5/26]], [[18848142138, 4480411855, -5335997538], [-259706603319, -355386313745/2, 116333598502], [37696208907/2, 4480400312, -10671971311/2], [-2037/2, -679/2, 679/2]]], 0, 144, [], [] >,
< [ 3, -5, -1, 1 ], [[21, 4, -5]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-12, -3/2, 3/2], [-21/2, -12, -11/2], [-12, -3/2, 3/2], [0, 0, 0]], [[297/2, 43/2, -24], [351/2, 92, -5/2], [293/2, 43/2, -26], [2, 0, 0]], [[-387/2, -13, 36], [-1695/4, 275, -163/4], [-249, 229/2, -6], [33/4, -24, 33/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[27/2, 2, -5/2], [-90, 25, -30], [27/2, 2, -5/2], [0, 0, 0]], [[-18373645/2, -232379/2, 433549/2], [-10074656649/52, 12188208963/26, -2797265363/52], [-119427379/13, -1511912/13, 5636157/26], [-119/52, 63/26, -1/52]], [[134422444841755/2, 8642805501305/2, -12326477516130], [-633511546639983/2, -237698455132707, 285249143503967/2], [134421853239755/2, 8642858884605/2, -12326440786080], [7107725, -540200, -921225]]], 1, 24, [], [] >,
< [ 3, -5, -1, 1 ], [[-15, 4, 1]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, 1, 1], [-15, 3, 5], [-9, 1, 1], [0, 0, 0]], [[-867, -217/2, 325/2], [-1392, 45, 677/2], [-1755/2, -187/2, 175], [0, -2, -3/2]], [[1384906, 133076, -272244], [3996617/2, 322079/2, -757141/2], [2759115/2, 136715, -545289/2], [2947, -1019/2, -291]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 5/2, 3/2], [-501/2, -1, -15/2], [9, 5/2, 3/2], [0, 0, 0]], [[45748138, -408547, 1702008], [-30415613377/26, 4387592015/26, 298619773/26], [1189451865/26, -5311107/13, 44252145/26], [22/13, 23/26, -2/13]], [[2305759173687/2, 655068576069, -889389656709/2], [-668906696043669/26, -452880154150031/26, 286509792599073/26], [14987438636787/13, 8515891745529/13, -5781033503151/13], [902097/13, -78477/26, -128316/13]]], 1, 108, [], [] >,
< [ 3, -5, -1, 1 ], [[-15, 4, 1]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[51/2, 5/2, 1], [-39/2, -8, 21/2], [51/2, 5/2, 1], [0, 0, 0]], [[377/2, -27/2, -103/2], [-489/4, -61/2, 47/4], [359/2, 24, -30], [-1/4, -5/2, -5/4]], [[-125538, 11549/2, 17460], [363603/4, 47049/2, -95255/4], [-267141/2, -8432, 24516], [4221/4, 2205/2, -2457/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[57/2, 2, -1/2], [249, 12, 10], [57/2, 2, -1/2], [0, 0, 0]], [[2925085/2, -12887/2, -84526], [168716904/13, -15445553/26, -4988329/26], [38017495/26, -174689/26, -1099021/13], [95/26, 73/26, 1/13]], [[-693543313/2, 506319451/2, -90766083/2], [-180068844357/52, 81017863967/26, -35698273903/52], [-4507307744/13, 3291726963/13, -1180719869/26], [-31483/52, -13439/26, 15959/52]]], 1, 72, [], [] >,
< [ 3, -5, -1, 1 ], [[-60, -2, 10]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[27/2, 3, 1/2], [-24, 19, 2], [27/2, 3, 1/2], [0, 0, 0]], [[-428899/2, 1774, 13323/2], [675183/2, -307038, 28759], [-214459, 1775, 6663], [-2, 1, 1/2]], [[14032735099/2, 876270129, -2925249533/2], [-9977979057/2, -4424737811/2, 3326305947/2], [7016649412, 876301444, -1462681754], [41330, 13175/2, -9070]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[33/2, -5, 3/2], [183, -23, 13], [33/2, -5, 3/2], [0, 0, 0]], [[12784317, 435998, -720852], [3893944827/26, 482312505/26, -107454742/13], [166199466/13, 5670673/13, -9371347/13], [57/26, 49/26, -2/13]], [[29512960637941/2, 170577480480, -4779983815217/2], [4680492600511731/26, 153507129672851/26, -796547657063423/26], [191839410451483/13, 2218357115511/13, -31071038965992/13], [44988851/13, 15087987/26, -10014993/13]]], 0, 432, [], [] >,
< [ 3, -5, -1, 1 ], [[-15, 4, 1]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, 2, -3/2], [24, 9, -2], [-15/2, 2, -3/2], [0, 0, 0]], [[1149448, 20867/2, 262], [-17652081/4, -2040751/2, 2297973/4], [2298917/2, 10429, 257], [5/4, 3/2, 3/4]], [[-39555349/2, -35471755, 17274921], [594019209/4, 11037363/2, -103178913/4], [-19777889, -70943435/2, 17274939], [-211/4, -91/2, 107/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[27, 0, 1], [-195, -15, 16], [27, 0, 1], [0, 0, 0]], [[-2445243709/2, 11072247, 7096794], [456246695085/52, 7540687875/13, -46821972997/52], [-31788162541/26, 287878997/26, 184516687/26], [179/52, 5/13, 5/52]], [[-7223162450566835, -15713617701480743/2, 4324402260889678], [3446642104880969535/52, 706023184236290617/26, -1118544126492563793/52], [-93901092073781570/13, -102138499579501462/13, 112434439844977283/26], [1236024515/52, 523030805/26, -624460045/52]]], 1, 72, [], [] >,
< [ 3, -5, -1, 1 ], [[-60, -2, 10]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[69, 5, 1], [54, 78, 10], [69, 5, 1], [0, 0, 0]], [[-14933518, -9462802, 13454961], [-52638540, 85378933/2, 17472379], [-29867011/2, -9462813, 26909893/2], [1/2, 3/2, 5/2]], [[360947253460105/2, 1141710184031, -58227813049685/2], [240129521936151, 33107963954494, -51542976252343], [360947215748171/2, 1141714804939, -58227810262115/2], [-22966150, -3680515, 5050576]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-75/2, -5, -3/2], [-93, -85, -15], [-75/2, -5, -3/2], [0, 0, 0]], [[439660895/2, -3195830, -8341171/2], [7911643221/13, 7958806561/26, -263137023/13], [2857797056/13, -41546641/13, -54217574/13], [71/26, -53/26, 3/26]], [[-9765287106456986, -938980797981018, 1936220444371562], [-459904810486489365/13, -34554026240535484/13, 88065010412955610/13], [-126948765861135175/13, -12206755654632076/13, 25170873109792503/13], [-908837531/13, -152382823/13, 202314253/13]]], 0, 432, [], [] >,
< [ 3, -5, -1, 1 ], [[11, -2, -1]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -1/2, 0], [-1/2, -5, 5/2], [5/2, -1/2, 0], [0, 0, 0]], [[-38, -8, 21/2], [77/4, 77/2, -39/4], [-43, 11/2, 8], [-1/4, -5/2, 3/4]], [[-20848, -2223/2, 3779], [83363/4, -327, -11651/4], [-19457, -1914, 7879/2], [-3317/4, 107, 321/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[101/2, -11/2, 1], [-491/6, 37/3, 43/6], [101/6, -11/6, 1/3], [0, 0, 0]], [[-18694507/2, -1429109, -200831/2], [16426778, -793939/2, -4329737/2], [-6231499/2, -476369, -66945/2], [2, 3/2, 1/2]], [[187306278519/2, 77847630438, -45831733221], [-615229251689/4, -186903614277/2, 246041289213/4], [31217678459, 51898468865/2, -15277248592], [-129033/4, -26811/2, 41877/4]]], 1, 12, [], [] >,
< [ 3, -5, -1, 1 ], [[4, 2, -2]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 1, -3/2], [9, 1, -7], [5/2, 1, -3/2], [0, 0, 0]], [[-76279/2, -396, 18131/2], [-236723/2, 12317, 35030], [-38148, -385, 9086], [-2, -1, -5/2]], [[1287096479/2, 69520195, -256641057/2], [3606264193/2, 218357391, -727352775/2], [1286534425/2, 69931884, -256860901/2], [198067/2, -72590, 23851/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-23/2, -11, -5/2], [22/3, -91/3, -14/3], [-23/6, -11/3, -5/6], [0, 0, 0]], [[-26327/2, -472, 1277/2], [-309212/3, 1228711/6, -408409/6], [-26333/6, -476/3, 1309/6], [0, 3/2, -5/2]], [[97028246, 8025752, -18531943], [56449315, 26044737/2, -14091056], [64686037/2, 2674984, -12354563/2], [-737/2, 253/2, 41/2]]], 0, 72, [], [] >,
< [ 3, -5, -1, 1 ], [[-3, -6, 3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -5/2, 7/2], [5, 1/2, 1/2], [5, -3/2, -1/2], [-5/2, -1/2, 1]], [[3993/2, -3218, 1819/2], [3958, -1321/2, -394], [2968, -672, -196], [-2747/2, -1139/2, 871/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-37/2, -2, -3/2], [133, -9, 8], [-37/2, -2, -3/2], [0, 0, 0]], [[12716297/2, 2495217/2, -1413949], [-81246619/2, -9425780, 9745987], [6358149, 2495217/2, -2827899/2], [-1/2, 1, 0]], [[4232733587065/2, 181668128206, -814191276759/2], [-178148074990703/13, -15581038278193/13, 68764814306345/26], [27512769681561/13, 2361685860810/13, -5292243591228/13], [488755/26, 144983/13, -97066/13]]], 1, 36, [], [] >,
< [ 3, -5, -1, 1 ], [[-24, -6, 6]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, 11, -1], [-9, -6, 5], [-15, 11, -1], [0, 0, 0]], [[16111/2, -8060, -10737/2], [18529/2, -8896, -6593], [8050, -8054, -5370], [-1, -1, 1/2]], [[33815/2, -8063, -14491/2], [19700, -8587, -8934], [33775/2, -8055, -14491/2], [-8, -2, 2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, -8, -1/2], [-63, -103, -11], [-15/2, -8, -1/2], [0, 0, 0]], [[-391915, -108048, -92727], [-50883500/13, -12640560/13, -39239439/26], [-10189669/26, -1404607/13, -2410939/26], [61/26, 9/13, -1/13]], [[102958187155/2, -37456019734, 13822999847/2], [7975613637081/13, -7384871011091/13, 1701619422834/13], [1338451380545/26, -486932532080/13, 179703201993/26], [-2633569/13, 319456/13, 283678/13]]], 0, 288, [], [] >,
< [ 3, -5, -1, 1 ], [[-3, -6, 3]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, -7/2, -2], [45/2, -11, -9/2], [-15/2, -7/2, -2], [0, 0, 0]], [[1144167/2, -778239/2, -5801/2], [-3665821/4, 1759913/2, -1131997/4], [1144173/2, -389138, -2906], [3/4, 5/2, -1/4]], [[-126033601/2, -28638976, 42938757/2], [75768317, 149900319/2, -83344785/2], [-126029407/2, -28639086, 42938221/2], [-484, 109/2, 107/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33/2, -19/2, -2], [-165/2, -68, -45/2], [-33/2, -19/2, -2], [0, 0, 0]], [[-265429, 136655/2, -28909], [-80062293/52, 13095785/26, -14716305/52], [-3450334/13, 888061/13, -751625/26], [55/52, -23/26, -5/52]], [[17242982426, -17242999253/2, 1499398787/2], [2725498652467/26, -822082792525/13, 116086993745/13], [448291780087/26, -224135594511/26, 9743516200/13], [-1286449/26, 562320/13, -117860/13]]], 1, 48, [], [] >,
< [ 3, -5, -1, 1 ], [[27, 12, -9]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[23/2, -1/2, 8], [7/2, 1, 19/2], [15/2, 19/2, 2], [1, -2, 1]], [[-7789/2, -2111, 2923/2], [-3429/2, -3515/2, 1953/2], [-4680, -240, 840], [100, -707/2, 125]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, 7/2, 2], [-233/2, -12, -13/2], [9/2, 7/2, 2], [0, 0, 0]], [[-13732300, 302383, 48429], [3416490756/13, -484142458/13, -159400038/13], [-178519785/13, 3930975/13, 629550/13], [17/13, 8/13, 2/13]], [[-2346390204569/2, 1594505725255, -893570021397/2], [294364227548608/13, -842877032971977/26, 120885717524570/13], [-15251532850833/13, 20728574026122/13, -5808205520016/13], [2336059/26, -1976381/26, 402193/26]]], 1, 144, [], [] >,
< [ 3, -5, -1, 1 ], [[27, 12, -9]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 3/2, 3/2], [-39/2, 12, 7/2], [3, 3/2, 3/2], [0, 0, 0]], [[-173453/2, -62373/2, 10201/2], [1246971/4, -44569/2, -331487/4], [-86731, -31180, 10209/2], [1/4, -1/2, -1/4]], [[-109563/2, -13039/2, 11446], [284103/2, 22375, -61995/2], [-109563/2, -13039/2, 11446], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9/2, 13/2, 2], [261/2, 40, 45/2], [9/2, 13/2, 2], [0, 0, 0]], [[-3848031/2, -25489, 53622], [2367262659/52, -2266054306/13, 3079536815/52], [-25012656/13, -662231/26, 697070/13], [-93/52, 12/13, -1/52]], [[-1007129381/2, -170417855, 11846079/2], [-49908656748/13, -394111553311/26, 131527819005/26], [-13092911261/26, -2215416321/13, 154031585/26], [-6038/13, 1991/26, 2035/26]]], 1, 96, [], [] >,
< [ 3, -5, -1, 1 ], [[18, -6, 0]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-12, -8, -2], [30, -29, -7], [-12, -8, -2], [0, 0, 0]], [[-305566, 25400, 1604], [868977, -2775219/2, 343102], [-611125/2, 25395, 3211/2], [1/2, 1/2, -1/2]], [[1378930293/2, -26280347, -201639463/2], [-1908632157/2, 2228125941/2, -592833183/2], [689460516, -26276063, -100820699], [-1107, -1449/2, 450]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, -6, 0], [156, -47, -3], [6, -6, 0], [0, 0, 0]], [[-48532, 945, 714], [-32572530/13, -354607/13, 10943761/26], [-1261645/26, 12290/13, 18521/26], [73/26, 21/13, 2/13]], [[-5636731513/2, 6654652838, -4398950883/2], [-345823048029/13, 2272652801143/26, -397305005918/13], [-36639950179/13, 86511915033/13, -28593558572/13], [-373267/26, -444245/26, 228229/26]]], 0, 576, [], [] >,
< [ 3, -5, -1, 1 ], [[-27, 18, -3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, 3/2, 3/2], [-3/2, 17, 5/2], [6, 3/2, 3/2], [0, 0, 0]], [[23074, 2229, -3513], [50789/2, 7847, -4091], [46149/2, 2230, -7015/2], [-2, 0, -1/2]], [[-1121201865/2, -31890695, 212201789/2], [-1362796491/2, -63281490, 147037118], [-560719740, -31808576, 106114612], [59799, -10695, -17949/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, -11/2, -1], [-495/2, 22, -7/2], [-21/2, -11/2, -1], [0, 0, 0]], [[128234655, -2854225/2, -2898593/2], [44368002372/13, -66696620269/26, 15811783837/26], [1667050308/13, -37104921/26, -37681617/26], [-69/26, -21/26, -1/13]], [[38966192068403/2, -12326611478423/2, -1397821984137], [14369591336386295/26, -7662812789066218/13, 1841496710886416/13], [253280225001021/13, -160245953180559/26, -36343363773525/26], [-11722543/26, 963988/13, 990265/13]]], 1, 432, [], [] >,
< [ 3, -5, -1, 1 ], [[-27, 18, -3]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-93/2, 11/2, -2], [-51/2, -13, -37/2], [-93/2, 11/2, -2], [0, 0, 0]], [[-16322829/2, -88363/2, 1009913/2], [-21658191/4, -2163425, -5556917/4], [-16322827/2, -44169, 504953], [5/4, 2, -5/4]], [[-3472863187599/2, -309663235683/2, 685498773135/2], [-6207446092923/4, -122451191521, 1276604491975/4], [-3472860000009/2, -154831643319, 342749131470], [1767945/4, 9245, -286165/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-12, -5/2, 1/2], [-747/2, -14, -5/2], [-12, -5/2, 1/2], [0, 0, 0]], [[-73536933/2, -166912, -27769/2], [-33029626029/26, 11548044293/26, -1835549998/13], [-955985247/26, -2170489/13, -360995/26], [-69/26, -21/26, -1/13]], [[-800393686734479/2, 14941250399926, 56222210801082], [-654850669695250317/52, 70323952620134769/26, 45982397140126309/52], [-5202589640061659/13, 388470521709591/26, 730893861415178/13], [-1713761773/52, -29205705/26, 286077053/52]]], 1, 288, [], [] >,
< [ 3, -5, -1, 1 ], [[-90, 6, 12]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, -8, 1], [-6, 4, 2], [12, -8, 1], [0, 0, 0]], [[16009/2, 4800, -6615/2], [-9231/2, 345, 1903], [7984, 4836, -3325], [2, -2, 3/2]], [[48577473/2, 11502561, -17096913/2], [-11512050, -1197004, 3594979], [48464073/2, 11591931, -17162793/2], [6480, -5805, 2295]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, 4, -1/2], [-144, 46, -7], [15/2, 4, -1/2], [0, 0, 0]], [[8813065/2, -123727, -146449/2], [-166471215/26, -1374889062/13, 522363390/13], [57284560/13, -1609241/13, -952116/13], [5/13, 10/13, 5/26]], [[3484500527/2, -5630057341, 3903375623/2], [6292549607265/26, -12889288979907/26, 4132785924689/26], [22649670662/13, -73191262310/13, 25372093049/13], [-5117/13, 12019/26, -1733/13]]], 0, 1728, [], [] >,
< [ 3, -5, -1, 1 ], [[-27, 18, -3]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-36, 9/2, -3/2], [63/2, -8, -23/2], [-36, 9/2, -3/2], [0, 0, 0]], [[-126103005/2, -8185433/2, 3164229/2], [239948091/4, -30313041/2, -85764333/4], [-126103029/2, -4092707, 1582126], [3/4, 1/2, -5/4]], [[-17524785122683, -3030531976661/2, 3382970990987], [47926634914719/4, 990263814037, -9102148126543/4], [-17524785888958, -1515266026693, 6765942234249/2], [696775/4, 3725, -113275/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, -7/2, -1/2], [-243/2, -28, -17/2], [-15, -7/2, -1/2], [0, 0, 0]], [[1034144, -14577, 67373/2], [446098719/52, -6839826/13, 31024195/52], [26886709/26, -378615/26, 875819/26], [-101/52, 8/13, -5/52]], [[79079692573/2, 2430213250, -13735505959/2], [4210704150915/13, 233326183419/13, -717002992445/13], [1028003975545/26, 31592401114/13, -178556288891/26], [-816992/13, -24064/13, 135008/13]]], 1, 288, [], [] >,
< [ 3, -5, -1, 1 ], [[-90, 6, 12]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-30, -16, -1], [33, -12, -7], [-30, -16, -1], [0, 0, 0]], [[16531/2, -465, 891/2], [-43074, 161275/2, -24428], [8251, -483, 443], [-5/2, -1/2, -3/2]], [[-147184179/2, 69481785, -33093933/2], [995649258, -2082554481, 670527154], [-147014859/2, 69576405, -33187557/2], [39840, -50298, 14442]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[57/2, -25, -5/2], [606, -302, -43], [57/2, -25, -5/2], [0, 0, 0]], [[-724396057, 5860619, -10634341], [-612612546621/26, -705440561/26, 70116972635/26], [-18834295801/26, 76187284/13, -276493059/26], [11/13, -21/26, -1/13]], [[-1486662918978209/2, 247171562079757, 55512482737103/2], [-544447689379349805/26, 74239112827512275/26, 58472344389923719/26], [-9663308335182383/13, 3213229613708352/13, 360831331000154/13], [8561525/13, -19811631/26, 2822351/13]]], 0, 1728, [], [] >,
< [ 3, -5, -1, 1 ], [[-21, 0, 3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7/2, 2, 3/2], [-5, 27, 2], [7/2, 2, 3/2], [0, 0, 0]], [[-667/2, 52, 139/2], [-629, -171, 731/2], [-344, 66, 77], [3/2, -2, -1]], [[-100733, -16317/2, 38349/2], [-434563/2, -36867/2, 41670], [-100746, -16317/2, 38349/2], [10, 1/2, -3/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, 2, -1/2], [149, -15, 10], [-7/2, 2, -1/2], [0, 0, 0]], [[-113985/2, 481/2, 1881], [35823028/13, 10256767/13, 39049/13], [-1481511/26, 6243/26, 24429/13], [75/26, -16/13, 5/26]], [[-69470288, -2436137/2, 49815159/2], [61040704288/13, -13091632765/13, -46244421465/26], [-1805941395/26, -31611199/26, 323769466/13], [27922/13, 15791/13, -29291/26]]], 1, 108, [], [] >,
< [ 3, -5, -1, 1 ], [[9, 6, -3]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21/2, 0, 3/2], [-2, 21, 5], [21/2, 0, 3/2], [0, 0, 0]], [[116492, -146591/2, -27401/2], [251251/2, -26942, -219727/2], [116487, -146587/2, -27391/2], [2, 0, -1]], [[-283660362, 10774817/2, 84780305/2], [-535215033/2, -128624307/2, 133000311/2], [-567305235/2, 10779713/2, 42388024], [-12627/2, -1701/2, 2655/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[27/2, 2, 1/2], [51, 6, -3], [27/2, 2, 1/2], [0, 0, 0]], [[34323276, 2061075/2, 3611619/2], [1645584643/13, 79141324/13, -75866199/13], [446202648/13, 26793981/26, 46951029/26], [33/26, -6/13, -3/26]], [[28278411103, 4698679238, -6675395658], [2688723263131/26, 178598603829/13, -293119982325/13], [735238784703/26, 61082834937/13, -173560306299/26], [9613/13, 2404/13, -4843/26]]], 1, 432, [], [] >,
< [ 3, -5, -1, 1 ], [[28, 0, -4]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -8, -2], [-10, -3, 3], [0, 0, 0]], [[0, 0, 0], [-11421/2, 19797/2, 5967], [3126, -35, -870], [-13/2, 1/2, -2]], [[0, 0, 0], [-524985, 12580, 88265], [-765226, 2618, 119580], [980, 1890, -910]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-17/3, 20/3, -5/3], [-13/3, 10/3, 5/3], [0, 0, 0]], [[0, 0, 0], [60583/3, 91993/6, -56059/6], [62030/3, 7369/3, -16156/3], [5, -3/2, 3/2]], [[0, 0, 0], [-17526456125/6, -560799830/3, 3218989567/6], [-6830091218/3, -533053846/3, 1293572962/3], [-1022703/2, -56661, 205887/2]]], 0, 288, [], [] >,
< [ 3, -5, -1, 1 ], [[-36, 4, 4]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, -15/2, -49/2], [0, 0, 0], [-7, -1/2, -5/2]], [[0, 0, 0], [-12948, -283791, 122361], [0, 0, 0], [-74899, -59424, 36521]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 0, 0], [1, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1519/26, -2208/13, 443/26], [21/13, 120/13, -9/13], [7/26, 20/13, -3/26]], [[0, 0, 0], [872840/13, -3962723/26, 1302919/26], [-49266/13, 110547/13, -36255/13], [-8211/13, 36849/26, -12085/26]]], 0, 192, [], [] >,
< [ 3, -5, -1, 1 ], [[-12, -8, 4]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-5, 4, -3], [24, -4, 4], [0, 0, 0]], [[0, 0, 0], [30567/2, 1645, -4557/2], [-96537, -9500, 16761], [-9/2, 0, -3/2]], [[0, 0, 0], [-443265, 15119/2, 128791/2], [2680709, 136371, -470483], [250, -475/2, 125/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-397, 38, -45], [18, -4, 4], [0, 0, 0]], [[0, 0, 0], [-832352073/13, -1865276233/26, 1382919713/26], [28007702/13, 60381025/13, -39156022/13], [109/13, 33/26, 5/26]], [[0, 0, 0], [-3630734215507/26, 734843479777/13, -58875609011/26], [87730034035/13, -50553588942/13, 7609554599/13], [287455/26, 26740/13, -73535/26]]], 0, 1152, [], [] >,
< [ 3, -5, -1, 1 ], [[12, 16, -8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 3, -5], [0, 3, 4], [0, 0, 0]], [[0, 0, 0], [82063, 40011, -31841], [-71280, -14662, 20549], [1, 1, -1]], [[0, 0, 0], [177464951, 22160843/2, -64986849/2], [-136296549, -9928649, 25523952], [2376, 121/2, -803/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [76, -5, 3], [3, 5, 0], [0, 0, 0]], [[0, 0, 0], [510314393/13, 518435063/26, -303494447/26], [49857957/13, -2534936/13, -815084/13], [-25/13, -35/26, 1/26]], [[0, 0, 0], [-138555210089333/13, -402526354667949/26, 203839303009929/26], [-24055303117206/13, 12208802389231/13, -1060421678997/13], [11106531/13, 9374445/26, -7208415/26]]], 0, 576, [], [] >,
< [ 3, -5, -1, 1 ], [[84, 16, -20]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 6, 0], [-45, -3, -4], [0, 0, 0]], [[0, 0, 0], [163467/2, -23645/2, 2945], [702323, -335365, -259415], [5/2, -1/2, 1]], [[0, 0, 0], [18659140956, 724217685, -3246732377], [103235480675, 6806031441, -18870841100], [636481, -1251, -100914]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [363, 34, 41], [-42, -3, -3], [0, 0, 0]], [[0, 0, 0], [1465674294/13, -92126387/26, 159593453/26], [-167416280/13, 5829320/13, -4231769/13], [44/13, 59/26, 5/26]], [[0, 0, 0], [-1535625862785/13, -44630608143073/26, 18264470119765/26], [264909739032/13, 2323128433255/13, -967229824800/13], [-519405/13, 72385/26, 137485/26]]], 0, 2304, [], [] >,
< [ 3, -5, -1, 1 ], [[-24, 28, -8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, -3, 5], [0, -5, 5], [0, 0, 0]], [[0, 0, 0], [-29/2, 15/2, 6], [-78, 95, 65], [7/2, 5/2, 0]], [[0, 0, 0], [17280, -113408, 43264], [-106290, 197227, -49602], [42240, -45568, 11648]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-123, 9, 6], [9, -2, -4], [0, 0, 0]], [[0, 0, 0], [-2950409593/13, -2509827129/26, 2104532741/26], [184201464/13, 7886187/13, -2810708/13], [107/13, 51/26, 3/26]], [[0, 0, 0], [-64943678720899873/26, 602353334534869519/26, -114726964998610126/13], [-10845130289941095/13, 10216199764032291/13, -2371945906280908/13], [-11467911565/26, 7645269841/26, -636780386/13]]], 0, 1728, [], [] >,
< [ 3, -5, -1, 1 ], [[-60, 16, 4]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [9, -10, 1], [-45, -3, -2], [0, 0, 0]], [[0, 0, 0], [-1135383/2, 42643/2, 7389], [7887810, -126669, -1688374], [3/2, 3/2, 1]], [[0, 0, 0], [13050987552, 10869904617, -6411001633], [-222837005812, -31990167295, 47827193283], [-64454, -50765, 30953]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1629, -16, 43], [-120, 2, -4], [0, 0, 0]], [[0, 0, 0], [-4345705268769/13, 398478510935/26, -222806299567/26], [320337789715/13, -17215196554/13, 10418960504/13], [5/13, 33/26, 5/26]], [[0, 0, 0], [-77545865399274640977/13, 29293944786318698828/13, 739649100402400098/13], [5751101298461569538/13, -2257385852114152057/13, -21262711985673915/13], [164999230/13, 136944170/13, -82259551/13]]], 0, 6912, [], [] >,
< [ 3, -5, -1, 1 ], [[-60, 16, 4]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-15, -4, -5], [-66, -4, -4], [0, 0, 0]], [[0, 0, 0], [5396163/2, -698718, 439977/2], [9888206, -1979340, -117232], [-7/2, 1, -3/2]], [[0, 0, 0], [3042230985/2, 729480003/2, -388554212], [5703150229, 1103775083, -1346359031], [-4199/2, -1469/2, 637]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, 60, 46], [-33, -5, -4], [0, 0, 0]], [[0, 0, 0], [2215104594/13, 2010485585/26, 1528214611/26], [-1408449643/13, -30950861/13, 7616003/13], [16/13, -1/26, 3/26]], [[0, 0, 0], [-108272215518522/13, -70484463050345/13, 47280139802381/13], [52655648545535/13, 28319627212947/13, -19912424763350/13], [-528563/13, -475545/13, 278124/13]]], 0, 6912, [], [] >,
< [ 3, -5, -1, 1 ], [[44, -8, -4]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -2, 2], [5, -5, 2], [0, 0, 0]], [[0, 0, 0], [741/2, 189, 25/2], [1843, -2589, -1564], [-19/2, -2, -5/2]], [[0, 0, 0], [114694005/2, 10520903/2, -11190527], [-22101653, 7367976, 968156], [-2447109/2, -843269/2, 362117]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, -16, -2], [7, -5, 0], [0, 0, 0]], [[0, 0, 0], [-213980/3, 149605/6, 96947/6], [-54538/3, 20362/3, 9719/3], [-6, -3/2, 1/2]], [[0, 0, 0], [81042907/3, 396110789/3, -169963817/3], [5308733/3, 134350786/3, -54192883/3], [10279, 2527, -2641]]], 0, 1152, [], [] >,
< [ 3, -5, -1, 1 ], [[12, 0, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, -3, 4], [26, 3, 4], [0, 0, 0]], [[0, 0, 0], [5819585, -197479/2, -347283/2], [64067934, 5593578, -10353408], [7, 3/2, 1/2]], [[0, 0, 0], [-484329251394, 7307364597, 71628012677], [-5220105057018, -364185344916, 964780358328], [-672122, -5798, 102134]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [55, -9, -10], [25, 4, 3], [0, 0, 0]], [[0, 0, 0], [-833759243/13, 126247956/13, 133913407/13], [-424714187/13, -6637984/13, -21650558/13], [-37/13, -22/13, 1/13]], [[0, 0, 0], [72142368063423/13, 55219000816765/26, -45477178988571/26], [39375722647325/13, 25615377007699/13, -15816172986478/13], [5792490/13, 10395/26, -1657953/26]]], 0, 576, [], [] >,
< [ 3, -5, -1, 1 ], [[-12, -24, 12]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -6, 4], [-18, 15, 3], [0, 0, 0]], [[0, 0, 0], [7917, 6969/2, -6451/2], [-7273, -5037, 2035], [1, 3/2, -3/2]], [[0, 0, 0], [2108119, 293520, -451813], [-2264376, -299452, 474392], [300, 102, -90]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [109, -96, -19], [0, 8, 2], [0, 0, 0]], [[0, 0, 0], [32943863/13, 72786821/26, -49509859/26], [5138095/13, -222831/13, -67021/13], [38/13, 35/26, -1/26]], [[0, 0, 0], [-3011272082972/13, 6410120042020/13, -2073335806690/13], [102727175178/13, -226170081441/13, 73721028825/13], [-38328/13, 27344/13, -4552/13]]], 0, 4608, [], [] >,
< [ 3, -5, -1, 1 ], [[72, 0, -12]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9, 1, 0], [-15, -7, -4], [0, 0, 0]], [[0, 0, 0], [151489/2, 58901/2, -5018], [80649, 199665, 74385], [3/2, 1/2, 2]], [[0, 0, 0], [-83281706, -34234529/2, 39285487/2], [-202388274, -36021132, 43303032], [-7748, 22797/2, -6705/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -31, -13], [-3, 16, 4], [0, 0, 0]], [[0, 0, 0], [-183637102/13, -43286655/26, 62002955/26], [54024030/13, 2961689/13, -7188619/13], [10/13, 53/26, -3/26]], [[0, 0, 0], [-38592621373688/13, -3251221247895/13, 7187377686779/13], [11335418053608/13, 371295983784/13, -1860510653034/13], [3945788/13, 2725844/13, -1371304/13]]], 0, 2304, [], [] >,
< [ 3, -5, -1, 1 ], [[108, 48, -36]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, 2, 2], [21, -1, -4], [0, 0, 0]], [[0, 0, 0], [-2925, 7115/2, 25/2], [243, 437, 827], [0, 5/2, -5/2]], [[0, 0, 0], [-357597/2, -15554, 74613/2], [150526, 16957, -27507], [259/2, -1, -49/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [60, 4, 10], [-30, -1, -1], [0, 0, 0]], [[0, 0, 0], [2316641181/26, -42725247/26, 114797640/13], [-563414113/13, 9025987/13, 1166723/13], [-139/26, -31/26, 1/13]], [[0, 0, 0], [-72642406377189/26, 34427797969853/26, 1489324355399/13], [15702207203077/13, -5418658152404/13, -1083636365400/13], [4023529/26, -665243/26, -330521/13]]], 0, 9216, [], [] >,
< [ 3, -5, -1, 1 ], [[-36, -12, 12]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-21, -2, -1], [15, 6, 0], [0, 0, 0]], [[0, 0, 0], [243913, -208494, 59568], [-121104, 2784, 3888], [1, 1, -1]], [[0, 0, 0], [885060701/2, -77498063/2, -54160438], [-339175008, -19306912, 60931424], [6695/2, 1391/2, -819]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-291, 5, 6], [-12, -2, -2], [0, 0, 0]], [[0, 0, 0], [34007792245/26, -874285739/13, -2629907567/26], [772912431/13, 1428619/13, 3899905/13], [97/26, 32/13, 3/26]], [[0, 0, 0], [-15208107926868500/13, 10121370203422385/26, 805626559265417/26], [-767295649966395/13, 316475077260243/13, -3291586862124/13], [-49461170/13, -18860875/26, 23565355/26]]], 0, 6912, [], [] >,
< [ 3, -5, -1, 1 ], [[-108, 72, -12]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, -6, 4], [123, 11, 2], [0, 0, 0]], [[0, 0, 0], [107034081/2, -17007587/2, 709617], [227509918, 10051938, -16455127], [1/2, 5/2, -2]], [[0, 0, 0], [-1708328471865, -148416633196, 330752814604], [-7976193043215, -663527773572, 1531699062855], [-45339, -2040, 7752]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-117, -122, 7], [42, 11, -1], [0, 0, 0]], [[0, 0, 0], [7912994166/13, 45737184671/26, -10494604381/26], [-5017546648/13, 55957310/13, -79734387/13], [49/13, 1/26, -3/26]], [[0, 0, 0], [8231633151893391/2, 2775977019849119/2, -1160053333553643], [-1229874760120347, -20805917709141, 195644430840321], [23803731/2, 740187/2, -1975554]]], 0, 27648, [], [] >,
< [ 3, -5, -1, 1 ], [[-108, 72, -12]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-9, -2, -3], [-30, -1, 5], [0, 0, 0]], [[0, 0, 0], [7659, -21875/2, -19703/2], [-4953, 298, 310], [-6, -5/2, -5/2]], [[0, 0, 0], [-7343352, 320158, 712382], [-18287090, -1063835, 3307461], [-32338, -1554, 5624]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1335, 14, 53], [-129, -1, -4], [0, 0, 0]], [[0, 0, 0], [813389948640/13, 8839810561/26, 56306126769/26], [-78578996731/13, -234761984/13, -2058077236/13], [40/13, -9/26, 1/26]], [[0, 0, 0], [-609911586215799882/13, -28210097304770552/13, 103376030579723349/13], [58668774568449061/13, 2752541436243423/13, -9977850158957140/13], [-27955645/13, -963540/13, 4668240/13]]], 0, 27648, [], [] >,
< [ 3, -5, -1, 1 ], [[-24, 12, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -7, -5], [22, -3, 5], [0, 0, 0]], [[0, 0, 0], [-1058405/2, -268563/2, 45055], [8049276, 543870, -1395933], [-5/2, 3/2, 1]], [[0, 0, 0], [1254985249/2, -53492245/2, -88355930], [-8477773044, 547949025, 1123000905], [4335/2, -3427/2, 335]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-275, 1, 6], [-25, -2, -4], [0, 0, 0]], [[0, 0, 0], [1030683925692/13, -1572903985/13, -93442907328/13], [99788597234/13, 1654715818/13, -176366911/13], [-41/13, -17/13, -1/13]], [[0, 0, 0], [632551326711532169/26, -385156942154046063/26, 26275709855813192/13], [36949789524760201/13, -30282953767273380/13, 6131979358429313/13], [-25476183/26, 4929915/26, 1093848/13]]], 0, 1728, [], [] >,
< [ 3, -5, -1, 1 ], [[108, -12, -12]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 5, -1], [9, -8, 4], [0, 0, 0]], [[0, 0, 0], [3535/2, 343, -619/2], [4260, 330, -600], [11/2, 1, 5/2]], [[0, 0, 0], [-14628427, -4123859/2, 6373457/2], [-35692050, 223020, 5658690], [-77238, 81529/2, -4291/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [621, -14, 7], [12, 8, -1], [0, 0, 0]], [[0, 0, 0], [27347069147/26, 11739787184/13, -10034150967/26], [491241120/13, 11212824/13, -7849410/13], [119/26, 2/13, 1/26]], [[0, 0, 0], [18906146356473217/26, -19387229694624785/26, 2294730541573557/13], [65310350509119/13, 140289892008801/13, -68809442273916/13], [14928585/26, 36937425/26, -8912463/13]]], 0, 6912, [], [] >,
< [ 3, -5, -1, 1 ], [[32, -16, 0]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 10, 10], [-4, 4, -2], [0, 0, 0]], [[0, 0, 0], [-25497/2, -2077, 6637/2], [3752, 1859, -1399], [-13/2, -4, -5/2]], [[0, 0, 0], [184082387, 39158294, -45185857], [-54666632, -29847160, 20587998], [157765, -18160, -12485]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [52/3, -112/3, -38/3], [-10/3, -8/3, 2/3], [0, 0, 0]], [[0, 0, 0], [119193, -6750, -24347], [62658, 3852, -11748], [3, 2, -1]], [[0, 0, 0], [-60777371/6, 849559/3, 8557693/6], [-16654721/3, -913291/3, 2991058/3], [-475/2, -256, 283/2]]], 0, 4608, [], [] >,
< [ 3, -5, -1, 1 ], [[-48, 40, -8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, 6, -3], [-2, 6, 4], [0, 0, 0]], [[0, 0, 0], [-107, 93, -45], [-242, 250, 176], [-4, -1, -2]], [[0, 0, 0], [1230947/2, -17242, -166025/2], [415253, -47073, -118306], [89559/2, 3069, -14787/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-189, -30, -11], [13, 10, 3], [0, 0, 0]], [[0, 0, 0], [12196250779/26, -3046603224/13, 1105270399/26], [-440832868/13, 20465507/13, 9345709/13], [45/26, -33/13, 3/26]], [[0, 0, 0], [-14835545006, -605662000, 2665776987], [1383620784, 82355000, -264957888], [-13, 0, 0]]], 0, 2304, [], [] >,
< [ 3, -5, -1, 1 ], [[-144, 16, 16]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 6, 8], [-24, -10, -6], [0, 0, 0]], [[0, 0, 0], [-720, -38, -2], [11670, 858, -2042], [0, -2, -2]], [[0, 0, 0], [-2005035/2, -228727, 499031/2], [16440026, 1566305, -3223833], [-4255/2, -1200, 1625/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-154, -8, 6], [0, -2, 8], [0, 0, 0]], [[0, 0, 0], [-3505233233/26, -137539488/13, 653509619/26], [16808778/13, -650847/13, -654297/13], [15/26, 67/13, 1/26]], [[0, 0, 0], [-801981224468135/13, -62974410952486/13, 151918985069691/13], [7922833941260/13, -220586786776/13, -1163311755630/13], [18009481/13, 8900962/13, -6350827/13]]], 0, 18432, [], [] >,
< [ 3, -5, -1, 1 ], [[48, -8, -8]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -4, -4], [9, 2, 1], [0, 0, 0]], [[0, 0, 0], [-133621/2, -4492, 16827/2], [60894, 4085, -9473], [-11/2, -5, -5/2]], [[0, 0, 0], [176032263, -7782290, -24959547], [-155178900, -828452, 24972834], [25916, -4464, -2604]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [205, 18, -9], [0, -4, 2], [0, 0, 0]], [[0, 0, 0], [-63038403/26, 91443/13, 15603517/26], [229935/13, -16827/13, 8140/13], [75/26, -42/13, 5/26]], [[0, 0, 0], [-32201674681145/26, -1296699753279/13, 6172937786453/26], [124352364741/13, 9226119085/13, -23031758844/13], [16537675/26, 19394/13, -2767909/26]]], 0, 9216, [], [] >,
< [ 3, -5, -1, 1 ], [[48, 64, -32]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -4, 6], [-24, -2, 4], [0, 0, 0]], [[0, 0, 0], [3495/2, -2920, -5865/2], [952, 403, 25], [-5/2, 5, 5/2]], [[0, 0, 0], [-81663, 271880, -95143], [-52988, -16784, 15052], [-109, 106, -25]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-342, 2, 10], [24, 6, 6], [0, 0, 0]], [[0, 0, 0], [-190785608583/26, 4646383718/13, 17037334835/26], [7828650931/13, -59080235/13, 114091918/13], [175/26, -59/13, 3/26]], [[0, 0, 0], [-2181007217834570661/26, 125753728382914603/13, 249248334524594033/26], [98842931926564772/13, -18988464115097481/13, -8680896227510833/13], [1800519335/26, -600171932/13, 199872103/26]]], 0, 36864, [], [] >,
< [ 3, -5, -1, 1 ], [[-240, -8, 40]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [15, -8, -3], [-39, -10, -3], [0, 0, 0]], [[0, 0, 0], [-1099671, 222707, 15448], [5254569, -503018, -872643], [3, -3, -2]], [[0, 0, 0], [1922543723/2, 628913288, -802572651/2], [-5439876675, -1359969899, 1404803948], [-1453/2, -221, 479/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [21, 2, -5], [45, 4, 5], [0, 0, 0]], [[0, 0, 0], [-10420797047/26, -621355356/13, 2320708963/26], [-12984955716/13, 888993095/13, 319134729/13], [-71/26, 7/13, -3/26]], [[0, 0, 0], [492074221277458/13, 26867572249364/13, -86150609333626/13], [1107723489433608/13, 237736257355574/13, -306873456968906/13], [2742841/13, 889584/13, -903989/13]]], 0, 27648, [], [] >,
< [ 3, -5, -1, 1 ], [[-96, 112, -32]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -2, 4], [12, 10, 6], [0, 0, 0]], [[0, 0, 0], [1524051, -302021, -59070], [1098010, 21238, -77148], [-1, -1, 2]], [[0, 0, 0], [-27726107625/2, -1317209216, 5469629439/2], [-11345230212, -969635393, 2210538917], [19467/2, 201, -2415/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-306, 8, 8], [-78, 4, 8], [0, 0, 0]], [[0, 0, 0], [-3514640271/26, -835071184/13, -1465921515/26], [-598788536/13, -11634509/13, 183205/13], [-23/26, 55/13, -5/26]], [[0, 0, 0], [-17501275207508901/26, -1236915727061069/13, 3236316392426499/26], [-2184545858931191/13, -240896170137757/13, 422356886181866/13], [143399377/26, -72094/13, -15878341/26]]], 0, 110592, [], [] >,
< [ 3, -5, -1, 1 ], [[-96, 112, -32]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -6, 0], [72, 0, -10], [0, 0, 0]], [[0, 0, 0], [-951/2, -2040, -4567/2], [-4170, -9685, -5085], [-15/2, 5, -5/2]], [[0, 0, 0], [16351830, 4242510, -657682], [81064664, 17895176, -8993808], [43996, 112, -5068]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-528, 2, 0], [-12, 8, 0], [0, 0, 0]], [[0, 0, 0], [-1340297151/26, 78615552/13, 312152309/26], [-8143736/13, 90539/13, -8549/13], [97/26, -33/13, 3/26]], [[0, 0, 0], [-6046247758707549/26, -403038903598776/13, 952873400123039/26], [-47188281757476/13, 557005697257/13, 9757988591155/13], [337345311/26, -63501/13, -37556907/26]]], 0, 110592, [], [] >,
< [ 3, -5, -1, 1 ], [[64, -64, 16]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -6, -10], [-16, -8, 2], [0, 0, 0]], [[0, 0, 0], [-11931/2, 14784, -5347/2], [48010, 19, -6873], [-11/2, 5, -5/2]], [[0, 0, 0], [11811020, 1373798, -2351152], [340362384, 27673282, -64833746], [-25760, -1960, 4816]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [260/3, -56/3, -10/3], [112/3, 14/3, 4/3], [0, 0, 0]], [[0, 0, 0], [-103746901/6, -14265967/3, 27364301/6], [-28634104/3, -5982857/3, 6297389/3], [1/2, 4, -3/2]], [[0, 0, 0], [5950221274, 464512646, -1123930210], [3205372112, 262182112, -604649152], [-744, -40, 128]]], 0, 18432, [], [] >,
< [ 3, -5, -1, 1 ], [[-96, -24, 24]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3, -10, 3], [32, -8, 2], [0, 0, 0]], [[0, 0, 0], [-2707/2, -12, -577/2], [19922, 7445, -1941], [13/2, 3, 5/2]], [[0, 0, 0], [46452981/2, -4370060, -4617927/2], [-326867782, -32350093, 67643211], [-280423/2, 17649, 37259/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [117, 6, 7], [7, 0, -1], [0, 0, 0]], [[0, 0, 0], [-8595/26, 3976/13, 6577/26], [-905/13, 101/13, 22/13], [97/26, -7/13, 3/26]], [[0, 0, 0], [477684923/13, -1611621854/13, -435003263/13], [-680472200/13, 269039800/13, 19984800/13], [38853500/13, -19221000/13, -27100/13]]], 0, 9216, [], [] >,
< [ 3, -5, -1, 1 ], [[48, 0, 0]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 6, 2], [-18, 10, 10], [0, 0, 0]], [[0, 0, 0], [-179/2, 348, -225/2], [-4163, 8735, -2804], [7/2, -1, 3/2]], [[0, 0, 0], [-26085/2, 1554, 3505/2], [-13651, 59345, -21138], [-1159/2, -19, 285/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 26, -2], [-24, 30, 0], [0, 0, 0]], [[0, 0, 0], [-20915/26, -13544/13, -7175/26], [27518/13, -12707/13, -11227/13], [-7/26, -7/13, 3/26]], [[0, 0, 0], [-756948/13, -209853/13, 106127/13], [863542/13, -142056/13, -189070/13], [-160/13, -333/13, 141/13]]], 0, 73728, [], [] >,
< [ 3, -5, -1, 1 ], [[72, -24, 0]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, 8, 1], [12, 12, 0], [0, 0, 0]], [[0, 0, 0], [-1929/2, -189, 933/2], [7995, 1061, -1120], [-13/2, -4, -5/2]], [[0, 0, 0], [-3881160, -1769988, 1316360], [40996563, 2438918, -7459951], [-51404, 4828, 6248]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [74, -36, -6], [15, 18, 3], [0, 0, 0]], [[0, 0, 0], [316731/26, 786798/13, -742697/26], [240483/13, 12563/13, 5666/13], [-75/26, 29/13, -5/26]], [[0, 0, 0], [11042802458/13, 4520406954/13, -3529425608/13], [6638132688/13, 238055906/13, -1167671626/13], [-621137/13, 74184/13, 67309/13]]], 0, 36864, [], [] >,
< [ 3, -5, -1, 1 ], [[288, 0, -48]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, -8, -10], [30, 30, 0], [0, 0, 0]], [[0, 0, 0], [8601/2, 6916, -6157/2], [-19459, 3087, 1414], [-1/2, -3, -5/2]], [[0, 0, 0], [-254955090, 2024708, 39581430], [573076114, 65807116, -116902392], [100646, 12544, -21462]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [552, 26, 2], [-6, 16, -8], [0, 0, 0]], [[0, 0, 0], [43778393901/13, 3371254682/13, -8502715997/13], [40349350/13, 372324/13, -415258/13], [-67/13, -4/13, -1/13]], [[0, 0, 0], [13292916560326125/26, 538185552916500/13, -2529750152049961/26], [5944677488439/13, 1196570802247/13, -1434479440790/13], [-20522205/26, -2014287/13, 4926999/26]]], 0, 147456, [], [] >,
< [ 3, -5, -1, 1 ], [[-360, 24, 48]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-45, 10, -5], [0, -34, -4], [0, 0, 0]], [[0, 0, 0], [4248817/2, 537785, -936431/2], [1100211, 124883, -47704], [1/2, 2, -5/2]], [[0, 0, 0], [563260691935, 55597747736, -111344292165], [290806374033, 17474056686, -53214085527], [142081, 151622, -80417]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, 54, -6], [-9, -26, 1], [0, 0, 0]], [[0, 0, 0], [23097339/26, 2100350/13, -9036915/26], [-4736556/13, -746511/13, 2037981/13], [63/26, 37/13, -1/26]], [[0, 0, 0], [4433675106929/13, 7295883492410/13, -3651968288389/13], [-1597497126708/13, -3283099336352/13, 1584552798880/13], [22632380/13, 29189350/13, -14687970/13]]], 0, 110592, [], [] >,
< [ 3, -5, -1, 1 ], [[-144, -48, 48]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 2, 0], [-24, 4, -2], [0, 0, 0]], [[0, 0, 0], [-116820, -23948, 3288], [-143148, -43952, -10508], [-6, 2, -2]], [[0, 0, 0], [-2200230429/2, -15539286, 373016253/2], [-1479048217, 18018377, 239697492], [-113203/2, 20097, 3017/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-84, 28, 10], [120, 34, 10], [0, 0, 0]], [[0, 0, 0], [708321477, -322922273, -15705734], [-1159620712, 29422118, -2051694], [1, 5, 0]], [[0, 0, 0], [-23681243140979523/26, -7012954419975980/13, 9270007679670097/26], [29718805186331208/13, 7886305589559915/13, -7988283922610739/13], [-258752583/26, 34735365/13, 17005275/26]]], 0, 442368, [], [] >,
< [ 3, -5, -1, 1 ], [[-144, -48, 48]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -6, 10], [84, 40, 10], [0, 0, 0]], [[0, 0, 0], [36735279/2, -5472791, 1554131/2], [143711053, 13175471, -21769646], [-11/2, 4, -1/2]], [[0, 0, 0], [-1100868373617/2, 50594006173, 114900520383/2], [-4749312262051, -363347539537, 856708083294], [271049/2, -41902, -12337/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [306, 26, 6], [-24, 28, -2], [0, 0, 0]], [[0, 0, 0], [72454258473/26, 500145281/13, -15031407489/26], [-910876868/13, -10710255/13, 17616629/13], [49/26, -16/13, 5/26]], [[0, 0, 0], [718650, 7689664, 3559108], [-645810, 594472, 420850], [0, 0, 0]]], 0, 442368, [], [] >,
< [ 3, -5, -1, 1 ], [[-120, -72, 48]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-7, 0, 1], [-23, -2, -3], [0, 0, 0]], [[0, 0, 0], [-75/2, 20, 45/2], [-37, 33, 22], [15/2, 5, 5/2]], [[0, 0, 0], [-805, -368, 529], [-901, 594, 211], [575, -138, 23]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [156, -10, 2], [-25, 0, 1], [0, 0, 0]], [[0, 0, 0], [464524601/13, 29975403/13, 16532052/13], [-75890400/13, -7506592/13, 1722194/13], [-24/13, -9/13, 1/13]], [[0, 0, 0], [26328260396779/26, -27376498501661/13, 17626460705433/26], [-1485279273661/13, 3044401196315/13, -976824559146/13], [-93037/26, 48130/13, -24425/26]]], 0, 27648, [], [] >,
< [ 3, -5, -1, 1 ], [[144, -120, 24]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5, -4, -3], [-30, -18, 0], [0, 0, 0]], [[0, 0, 0], [29/2, -11, -25/2], [-12, 107, -55], [-1/2, -2, -5/2]], [[0, 0, 0], [200, 1760, 1080], [14553, -5792, 1783], [-1240, 240, 520]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [622, -54, -4], [39, 30, 3], [0, 0, 0]], [[0, 0, 0], [-15688824399/26, 67954515199/13, -46987276733/26], [2171443491/13, -34345969/13, 334032164/13], [3/26, -36/13, -5/26]], [[0, 0, 0], [-275319156545159/26, 46090563977472/13, 4740189291975/26], [-10229646193620/13, -2049190443721/13, 2122126278989/13], [192163/26, 1427/13, -15985/26]]], 0, 110592, [], [] >,
< [ 3, -5, -1, 1 ], [[160, 96, -64]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 2, 0], [4, -6, 2], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-4, -6, -2], [4, -2, -2], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 58, -18], [0, -6, 2], [0, 0, 0]], [[0, 0, 0], [2/3, -2/3, -1/3], [1/3, 2/3, 1/3], [1, 0, 0]], [[0, 0, 0], [-1076/3, 254/3, 346/3], [182/3, -26/3, -52/3], [0, 0, 0]]], 0, 73728, [], [] >,
< [ 3, -5, -1, 1 ], [[-48, -32, 16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 6, 6], [-8, 6, -2], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [6536, 760, -1292], [-2926, -506, 660], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [148, 4, 18], [-4, 2, -10], [0, 0, 0]], [[0, 0, 0], [-265422/13, -115117/13, 123012/13], [3775/13, 23410/13, -17671/13], [3/13, -33/13, -5/13]], [[0, 0, 0], [105138876/13, 7406447/13, -19560022/13], [-4217099/13, -63134/13, 687991/13], [6337/13, 389/13, -1167/13]]], 0, 36864, [], [] >,
< [ 3, -5, -1, 1 ], [[-192, 160, -32]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [48, 2, -2], [42, 6, 8], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-225358, -18534, 43020], [-223254, -18486, 42660], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-168, -4, -8], [6, 4, -2], [0, 0, 0]], [[0, 0, 0], [-21235453/13, -26269214/13, -845152/13], [1653641/13, -60602/13, -18771/13], [-2/13, 48/13, -1/13]], [[0, 0, 0], [-19070445329406/13, -1203233261340/13, 3581181216514/13], [828109713310/13, 80641350002/13, -164363771444/13], [13483214/13, 71690/13, -2265404/13]]], 0, 294912, [], [] >,
< [ 3, -5, -1, 1 ], [[336, 64, -80]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -4, -2], [0, 0, -4], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [3, 0, 1], [1, 0, 0]], [[0, 0, 0], [-12, 0, 2], [6, -2, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [50, 26, 4], [12, -10, -2], [0, 0, 0]], [[0, 0, 0], [-332451545/13, 1169057/13, 72592450/13], [-27530076/13, 2593756/13, -427870/13], [43/13, 21/13, 2/13]], [[0, 0, 0], [30805217808257/13, -3886092026110/13, -3507566491548/13], [7443201650073/13, -10719319903798/13, 3119009127205/13], [-6067088/13, 1911128/13, 49029/13]]], 0, 147456, [], [] >,
< [ 3, -5, -1, 1 ], [[192, -32, -32]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 2, 12], [-54, -10, 4], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [124974, -540736, 214190], [547524, 197944, -177060], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [474, 24, -10], [-48, 4, -8], [0, 0, 0]], [[0, 0, 0], [328573101/13, 19921068/13, -38444114/13], [-33153065/13, 214168/13, 1127797/13], [62/13, -32/13, 5/13]], [[0, 0, 0], [2954800410/13, 138557984/13, -710400579/13], [-301744205/13, -11134232/13, 87452757/13], [347/13, 148/13, -132/13]]], 0, 589824, [], [] >,
< [ 3, -5, -1, 1 ], [[-240, 64, 16]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 4, 0], [-12, 10, 6], [0, 0, 0]], [[0, 0, 0], [-2, 0, 1], [3, 0, 1], [1, 0, 0]], [[0, 0, 0], [-420, 6, 64], [-192, 0, 32], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-588, -24, 22], [42, 8, -10], [0, 0, 0]], [[0, 0, 0], [1600830527/13, -1537689315/13, -1236675851/13], [-23313171/13, 371440/13, 109565/13], [-4/13, -47/13, -2/13]], [[0, 0, 0], [1826899434598319/13, -14822298826238/13, -258710345962151/13], [-124793948840316/13, -18021318694604/13, 26963637248612/13], [-188515375/13, 13533684/13, 24767693/13]]], 0, 442368, [], [] >,
< [ 3, -5, -1, 1 ], [[-960, -32, 160]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-234, -6, -16], [-156, 2, -6], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-5609736, -846898, 1216266], [-3627000, -544050, 785850], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-648, 16, 4], [-6, 4, 14], [0, 0, 0]], [[0, 0, 0], [-37632951918/13, -2953016202/13, 7080532113/13], [50228239/13, 652410/13, -614993/13], [-61/13, 8/13, 2/13]], [[0, 0, 0], [-128272379785711617/13, -10616549093631002/13, 24511663791037286/13], [169668436861719/13, 24738082136982/13, -35967231711793/13], [-186306552/13, -30733488/13, 41278203/13]]], 0, 1769472, [], [] >,
< [ 3, -5, -1, 1 ], [[-960, -32, 160]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [150, -6, 16], [66, 10, 8], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [11, 0, 1], [1, 0, 0]], [[0, 0, 0], [-20895390, -2974772, 4457486], [-10309920, -1287800, 2124400], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [54, 10, -20], [36, -6, -14], [0, 0, 0]], [[0, 0, 0], [-5112885/13, -3316400/13, 1641355/13], [-2639760/13, -1542514/13, 341546/13], [45/13, 38/13, 3/13]], [[0, 0, 0], [-291187893849/13, -145169009872/13, 103659996592/13], [-169423866289/13, -42036369262/13, 43313124087/13], [3481480/13, 580350/13, -773915/13]]], 0, 1769472, [], [] >,
< [ 3, -5, -1, 1 ], [[64, 32, -32]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-134, 0, -18], [-104, -4, -8], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-5595346, 1354262, 462680], [-4221246, 774842, 436784], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-38, 58, 4], [-4, -6, -2], [0, 0, 0]], [[0, 0, 0], [-10/3, -2/3, -1/3], [13/3, 2/3, 1/3], [1, 0, 0]], [[0, 0, 0], [-487678/3, 1042654/3, -338296/3], [-5402/3, 1190/3, 556/3], [0, 0, 0]]], 0, 294912, [], [] >,
< [ 3, -5, -1, 1 ], [[-48, -96, 48]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 8, 6], [-34, -4, -6], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-76834, -34112, 25830], [1225602, 366786, -339948], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-76, 10, 0], [76, -4, 4], [0, 0, 0]], [[0, 0, 0], [141614059, -5938805, -11766926], [-145887320, -538814, 8451252], [3, -1, 0]], [[0, 0, 0], [-101373450416959/13, -24376907517715/13, 26232698542645/13], [108644075317197/13, 25360513015586/13, -28170181518217/13], [-1593028/13, -949679/13, 634396/13]]], 0, 147456, [], [] >,
< [ 3, -5, -1, 1 ], [[-384, -96, 96]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 40, 4], [-30, 32, 2], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [31980, 47134, -23966], [-91476, 40414, -1694], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-144, 70, 50], [-60, 74, 50], [0, 0, 0]], [[0, 0, 0], [-3683189/13, -1050861/13, 999445/13], [-76639/13, 28332/13, 2221/13], [4/13, 47/13, 2/13]], [[0, 0, 0], [10517171706/13, 541505904/13, -1879347859/13], [150184769/13, 26331332/13, -34137561/13], [-88199/13, 3964/13, 13874/13]]], 0, 1179648, [], [] >,
< [ 3, -5, -1, 1 ], [[432, 192, -144]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 0, -8], [-72, -28, -4], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [-3, -2, 1], [1, 0, 0]], [[0, 0, 0], [164642, -231016, 65512], [1153188, -112582, -138706], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 62, 8], [18, -34, -4], [0, 0, 0]], [[0, 0, 0], [931271/13, 118475/13, -141107/13], [-71931/13, -21610/13, -5305/13], [-48/13, -57/13, 2/13]], [[0, 0, 0], [-415160147966/13, -77497976163/13, 97258102127/13], [25290217380/13, 33373504058/13, -17631986860/13], [59490758/13, -46164413/13, 8551453/13]]], 0, 589824, [], [] >,
< [ 3, -5, -1, 1 ], [[288, -96, 0]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [30, -24, -14], [12, -20, -8], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [-54, 122, -40], [-54, 122, -40], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-612, 28, 44], [-30, 16, 46], [0, 0, 0]], [[0, 0, 0], [-170440806756/13, -15019395675/13, 33189667154/13], [-1640362129/13, -61782012/13, -2616869/13], [-23/13, 45/13, -5/13]], [[0, 0, 0], [-11632320045974610/13, -951595293353734/13, 2218824437193932/13], [-116252596310242/13, -8847245787462/13, 21879724891972/13], [47920/13, 66512/13, -33032/13]]], 0, 2359296, [], [] >,
< [ 3, -5, -1, 1 ], [[-432, 288, -48]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -6, -6], [-24, -22, 2], [0, 0, 0]], [[0, 0, 0], [-2, 0, 1], [-3, -2, 1], [1, 0, 0]], [[0, 0, 0], [-1932, -504, 602], [-3432, 264, 528], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-90, 58, 14], [-54, -28, -10], [0, 0, 0]], [[0, 0, 0], [-2108377421/13, 1643887595/13, -169034980/13], [-1769822838/13, 59683694/13, 59626526/13], [-5/13, 81/13, 4/13]], [[0, 0, 0], [14802138675080/13, 5561463187468/13, -4295934651793/13], [23434464329001/13, 2588026900754/13, -5072132964055/13], [-683497/13, 114408/13, 123034/13]]], 0, 1769472, [], [] >,
< [ 3, -5, -1, 1 ], [[-1440, 96, 192]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 40, 6], [24, 20, -4], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [18210, -11314, 1980], [19932, -28534, 8294], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [618, 86, 28], [-126, 78, 24], [0, 0, 0]], [[0, 0, 0], [23511830133/13, -1655454660/13, -4559327000/13], [-2325650129/13, 49171960/13, 19777857/13], [-16/13, 72/13, 5/13]], [[0, 0, 0], [-29955064826718402/13, -8012508885536910/13, 8053581953997466/13], [2656898232895512/13, 2127266456216918/13, -1238483732724754/13], [-91021068/13, 105403984/13, -30172718/13]]], 0, 7077888, [], [] >,
< [ 3, -5, -1, 1 ], [[-1440, 96, 192]], [ -2, -3, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-132, -6, -6], [-168, -2, -2], [0, 0, 0]], [[0, 0, 0], [0, 0, 1], [11, 0, 1], [1, 0, 0]], [[0, 0, 0], [2808, -3254, -19054], [6, -10, -19972], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-786, 58, 32], [-138, 74, 32], [0, 0, 0]], [[0, 0, 0], [415792919562/13, -39182949324/13, -61338183286/13], [43561562504/13, -1231479252/13, -32755688/13], [-44/13, 16/13, 4/13]], [[0, 0, 0], [961229579007084/13, -569347322750992/13, 86741491611767/13], [142637195320681/13, -128411780618792/13, 21447560755671/13], [-134689/13, 156840/13, -44848/13]]], 0, 7077888, [], [] >,
< [ 3, -5, -1, 1 ], [[-336, 0, 48]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, -6, 8], [52, 2, 10], [0, 0, 0]], [[0, 0, 0], [-2, 0, 1], [-1, 0, 1], [1, 0, 0]], [[0, 0, 0], [163056, 57792, -59340], [-502150, 54450, -24200], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [202, -12, 8], [14, 2, 0], [0, 0, 0]], [[0, 0, 0], [409578313/13, -81641350/13, 14947966/13], [28046195/13, 564268/13, -613843/13], [10/13, 72/13, 5/13]], [[0, 0, 0], [-148972991001009/13, 38284148937633/13, 11261695017791/13], [-10606013313203/13, 1187182421056/13, 1455824756817/13], [-15957352/13, -7472897/13, 7673064/13]]], 0, 442368, [], [] >,
< [ 3, -5, -1, 1 ], [[144, 96, -48]], [ 0, -1, -1 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -2, 8], [24, -22, 2], [0, 0, 0]], [[0, 0, 0], [-2, 0, 1], [-3, -2, 1], [1, 0, 0]], [[0, 0, 0], [-45974, -4562, 9300], [-58104, -6586, 11738], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-490, 46, 26], [-78, -28, -10], [0, 0, 0]], [[0, 0, 0], [374356113442/13, -107434882193/13, -2409668229/13], [65023936320/13, 924659460/13, 3535520010/13], [16/13, -85/13, -5/13]], [[0, 0, 0], [30778934174516890/13, 974019298938448/13, -5249883485829763/13], [6518151965132571/13, 333586977677428/13, -1156904029755443/13], [-3085011/13, -723100/13, 757812/13]]], 0, 1769472, [], [] >,
< [ -2, -6, -1, 1 ], [[2, 1, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13, 15, 1/2], [8, 17, -3/2], [5, -2, 2], [0, 0, 0]], [[119462, 576483/2, -79569], [488165/2, 1194561/2, -396529/2], [-124627, -618101/2, 118691], [-5/2, 0, 1]], [[-134621403/2, -117100992, 43735552], [-214015751/2, -500905861/2, 181306791/2], [79424015/2, 266711665/2, -93840769/2], [24057/2, 6105/2, -4455/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-71/2, -19/2, 5/2], [1/5, -123/10, 16/5], [-51/10, 2/5, -1/10], [0, 0, 0]], [[-26822, -23547/2, -73299/2], [-110527/2, -295359/2, 45521], [4065, 38827/2, -23477/2], [3/2, -1, 1/2]], [[-249966537/2, -44844955/2, 8495257/2], [-29210201/2, -82488215, 25197517], [-31513337/2, 8582473, -2994630], [17617/2, 1264, -1185]]], 4, 2, [], [] >,
< [ -2, -6, -1, 1 ], [[-2, -3, -1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 4, 0], [13/2, 15, 14], [5/2, -1/2, 3/2], [5/2, 2, 2]], [[130053/2, 16798, -11084], [184880, 61318, -53013/2], [358177/2, 92271/2, -32116], [127086, 67851/2, -44157/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -18, -9/2], [-19/2, -21, -4], [-17/5, 108/5, -27/5], [-3/10, -13/10, 1/5]], [[-723/2, -46, 91], [397/2, 197/2, -15/2], [9059/10, 2219/10, -1681/10], [-147/10, -27/10, 33/10]]], 3, 3, [], [] >,
< [ -2, -6, -1, 1 ], [[-8, -3, 1]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -3/2, 2], [-2977/222, 1645/222, 733/74], [0, -1/2, 2/3], [-59/74, -15/74, -1/222]], [[110679/2, 59961/2, -4503/2], [-32435980/37, -8229125/74, 16182765/74], [36893/2, 19987/2, -1501/2], [-5008273/111, -2822491/222, 1642039/222]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -2, -1/2], [-103/3, -55/3, -9], [1/3, -2/3, -1/6], [0, 0, 0]], [[-10519/2, -4679/2, 941], [228586541/2442, 7862268/407, -52592603/2442], [-122239/66, -15843/22, 10366/33], [653/2442, -197/1221, -1/814]], [[1118330, -814225, -1688513/2], [-28349584189/814, -33345338482/1221, -5117980019/1221], [13951145/33, -2545765/11, -17976523/66], [-329903/2442, -131918/1221, -9952/407]]], 4, 6, [], [] >,
< [ -2, -6, -1, 1 ], [[4, 7, 3]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, 1/2, 1/2], [2311/222, -683/222, 95/222], [-8/3, 1/6, 1/6], [103/222, -29/222, 1/222]], [[6405/2, 1323, -294], [-180327/37, -106904/37, -1449/37], [2135/2, 441, -98], [-22468/111, -9389/111, 2050/111]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -2, -1/2], [31/3, 61/3, 26/3], [-4/3, -2/3, -1/6], [0, 0, 0]], [[-54861/2, 2625, -148], [64255219/1221, 40202737/1221, 3617409/407], [-580691/66, 35615/33, -1618/33], [-1139/1221, -674/1221, -1/1221]], [[-147506938, -6100302, 30399481/2], [576321702821/2442, 24735168828/407, -26662616281/1221], [-1570383593/33, -16809624/11, 318883991/66], [-3479515/814, -555815/407, 258505/407]]], 1, 20, [], [] >,
< [ -2, -6, -1, 1 ], [[0, -2, -1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -9/2, 5/2], [-3, 0, 2], [1, -9/2, 1/2], [0, 0, 0]], [[-5865, -14440, 8063/2], [-9687, -15605/2, 1113], [3824, -6636, 5825/2], [1, -1/2, 1]], [[41714, -399263/2, -13835/2], [19737937/2, 4525979/2, -1867661], [-9828308, -4926271/2, 1860719], [-3871/2, -441, 392]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-24, 11/2, 3/2], [-93/5, -148/5, -33/5], [-1/5, 13/10, 3/10], [0, 0, 0]], [[-44873, -21669/2, 8639], [-40167/2, -40219/2, -10169/2], [-923, 657/2, 1015/2], [-1/2, 1, -5/2]], [[41893331, 20560611/2, -7564790], [140632067/10, 15637091/5, -13997084/5], [5146047/5, 2622469/10, -878213/5], [3483/2, 2939/2, -1415/2]]], 1, 4, [], [] >,
< [ -2, -6, -1, 1 ], [[2, 0, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 65/2, 39/2], [21/2, 16, 5/2], [9, 35/2, 1], [3/2, -1/2, 5/2]], [[-3771, -24727/2, -5722], [-176, -3168, -3615/2], [-377, -5441/2, -1547], [0, -993, -993/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, -1, 3], [11/2, 3/2, -1], [-207/5, 103/5, -69/10], [17/10, -4/5, 1/5]], [[-2106, -2893/2, -118], [-1123, -289, 395/2], [12020, 8659/2, -1550], [-481, -156, 143/2]]], 1, 9, [], [] >,
< [ -2, -6, -1, 1 ], [[-2, 2, 2]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -17/2, -4], [-619/37, 545/37, 3193/222], [-1, -17/6, -4/3], [-136/111, -86/111, -1/74]], [[1690, 1685, -705], [10752827/222, 471837/74, -1558153/222], [1690/3, 1685/3, -235], [502067/222, 20777/74, -71273/222]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -16, 0], [49/3, -11, 37/3], [-5/3, -16/3, 0], [0, 0, 0]], [[800280, 129675/2, -14820], [28341313351/1221, 5891147773/1221, -4986368191/1221], [8804720/33, 1432025/66, -163040/33], [-164/1221, -280/1221, 2/1221]], [[-457371876, -123110481, 85117929], [-9966772381185/814, -3733195478246/1221, 909400543575/407], [-5031437471/33, -1354271201/33, 312112453/11], [69367/2442, 5591/1221, -1338/407]]], 1, 10, [], [] >,
< [ -2, -6, -1, 1 ], [[-18, -4, 4]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, 3/2, 1/2], [3929/111, 47/37, -85/222], [-10/3, 1/2, 1/6], [136/111, 4/37, 1/74]], [[3623, 273, -2267/2], [1696495/222, 2385734/37, 3828334/111], [3623/3, 91, -2267/6], [39781/74, 345904/111, 178436/111]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, 3/2, 0], [-244/3, -16/3, -4/3], [-8/3, 1/2, 0], [0, 0, 0]], [[157991, -4755, -4193/2], [1997504045/1221, 376326943/814, 84673073/814], [1732601/33, -56440/33, -46093/66], [530/1221, 827/2442, -1/814]], [[-539752594, -71767448, 101882115], [-3941011632879/814, -139524453181/2442, 3183433049081/2442], [-5924910659/33, -789855103/33, 1116085240/33], [-824525/814, 27545/814, 923605/2442]]], 1, 60, [], [] >,
< [ -2, -6, -1, 1 ], [[-6, -16, -7]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, 2, 1/2], [5, 2, 1/2], [238, 789, 370], [0, 0, 0]], [[-523811, -186105, 226423/2], [-523807, -186089, 226437/2], [13437, 78735, -42485/2], [-1, 2, 5/2]], [[-1222199814, -303394014, 222250182], [-1222202917, -606793509/2, 444499233/2], [-49656565, -12289631, 16538743/2], [-4031, -2987/2, 464]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-46, 2, -2], [-74/5, -29/5, -4/5], [52/5, -13/5, 2/5], [0, 0, 0]], [[-2575170, -3018210, -1103340], [-1072712, -4080497/2, -1680771/2], [500819, 325989, 175303/2], [2, 1/2, -1]], [[507260565, 398423955, 137720475/2], [881932257/5, 1175137887/5, 773580879/10], [-551455756/5, -272327536/5, 14162754/5], [-420, -48, 126]]], 0, 40, [], [] >,
< [ -2, -6, -1, 1 ], [[-4, 0, 2]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, 19, 17], [40, 109, 41], [8, 29, 5], [0, 0, 0]], [[-230797, -158504, -199201/2], [-3844865, -1713140, 704519/2], [1067781, 31622, -461559/2], [-1, 1, 5/2]], [[-220485268, 10424184, 79315794], [-4036445825, -1535194289/2, 1725286521/2], [1343756511, 379105831, -440981099/2], [-1659, -2835/2, -315]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -3, -1], [-12, 1, 3], [24, 3, -5], [0, 0, 0]], [[383, -1902, 1283/2], [2366, -5535/2, 583], [-31027/5, 4623/5, 3851/10], [31/5, -23/10, 1/5]], [[10813621, 36184330, 34094827/2], [-9399548, -30358759, -28438015/2], [37012822/5, 114867192/5, 53331572/5], [72009/5, 247779/5, 117369/5]]], 0, 120, [], [] >,
< [ -2, -6, -1, 1 ], [[12, 24, 10]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-35, -105, -45/2], [248/3, 818/3, 380/3], [-35/3, -35, -15/2], [0, 0, 0]], [[208, 2080, 1092], [-120399/37, -1833307/222, -134999/37], [208/3, 2080/3, 364], [-53/111, 143/222, 2/111]], [[-24201164, -5991544, 4392102], [-4893784913/111, -403344226/37, 1779781919/222], [-24201164/3, -5991544/3, 1464034], [-4712477/111, -1150765/111, 1701623/222]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 5, 13/2], [302/3, -70/3, -14/3], [1/3, 5/3, 13/6], [0, 0, 0]], [[-79680, -2164, -684], [-95045863487/407, -70266697676/1221, 34456237441/814], [-891530/33, -33914/33, -2513/11], [1505/1221, 337/407, 1/814]], [[-42021479216, 6622655928, 3448339872], [-158743880320107631/1221, -78239541315039917/2442, 9591873934502362/407], [-469401460166/33, 71247454723/33, 39813366382/33], [716518879/1221, 320352097/2442, -188162779/1221]]], 0, 160, [], [] >,
< [ -2, -6, -1, 1 ], [[36, 16, -2]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[42, 1, -1], [-124/3, 19/3, -2/3], [14, 1/3, -1/3], [0, 0, 0]], [[-25067133, -6136767, 8801481/2], [975047503/37, 467862061/74, -341784727/74], [-8355711, -2045589, 2933827/2], [17/111, -145/222, 5/222]], [[-18277005864, -3620761872, 3817594092], [715027869365/37, 300046658113/74, -144339813764/37], [-6092335288, -1206920624, 1272531364], [25425/37, 95485/74, 20340/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-17, 0, 1/2], [-76, -5/3, -19/3], [-17/3, 0, 1/6], [0, 0, 0]], [[1962158, 50243, -86991], [10713802927/1221, 165299470/407, 410719973/814], [21575188/33, 547903/33, -956896/33], [285/407, 159/407, -1/2442]], [[1682395622, -1181832309, 694333184], [9031321189315/1221, -11175660323117/2442, 2631641252604/407], [6164786424/11, -4337697378/11, 7634029004/33], [1199257/1221, 862449/814, 363602/1221]]], 0, 960, [], [] >,
< [ -2, -6, -1, 1 ], [[-14, -8, 1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -8, -1/2], [1, -8, -1/2], [-2, 4, 5], [0, 0, 0]], [[-633830, -248230, 148215], [-633829, -248221, 148218], [406351, 46018, -128547/2], [-4, -2, 5/2]], [[-261613694, -77990010, 39382533], [-261621632, -78013530, 39371753], [196669112, 77622446, -19625364], [-3136, -5978, -2401]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, 10, 3/2], [-313/5, 182/5, 9/10], [-86/5, 44/5, -1/5], [0, 0, 0]], [[-410, 20, 105], [-11256/5, -1021/5, 2079/5], [-3042/5, -332/5, 503/5], [-2, 3, -1]], [[-317100, -1630800, -822950], [116137, -2655191, -1541536], [141921, -346952, -483485/2], [3256, 6216, 5069/2]]], 0, 640, [], [] >,
< [ -2, -6, -1, 1 ], [[12, 16, 6]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, -35, -21], [-34, -104, -27], [-20, -70, -42], [0, 0, 0]], [[42500, 105315, -5950], [-122871, -244893, 152554], [84989, 210594, -23829/2], [0, -4, -3/2]], [[-23007152385, -5696889975, 8358153615/2], [91718687487, 22708995150, -33320038321/2], [-46015409625, -11394053554, 16716708803/2], [-8369669, -2072908, 3040961/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13, 3, 3/2], [7, 40, 41/2], [26, 6, 3], [0, 0, 0]], [[-39454630, -9992540, 7246715], [15714922, 3975517, -2804975], [-394546588/5, -99925098/5, 72467142/5], [14/5, -31/5, -1/5]], [[66908862400, 16575395580, -12162823340], [-26694100913, -6677143583, 4811839686], [669089365553/5, 165754073048/5, -243256784269/10], [-45014/5, -1774/5, 24877/10]]], 0, 1920, [], [] >,
< [ -2, -6, -1, 1 ], [[52, 16, -6]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-20, -50, 14], [22/3, 26, 11], [-20/3, -50/3, 14/3], [0, 0, 0]], [[16497, 45720, 1749/2], [-1173056/37, -3872005/37, -3582449/74], [5499, 15240, 583/2], [-202/111, -205/111, -5/222]], [[1411058061, 345177234, -510389523/2], [-3556874537280/37, -880869801713/37, 646181669145/37], [470352687, 115059078, -170129841/2], [-56096154520/37, -41679626135/111, 10190657680/37]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[61, 216, 265/2], [344, 4006/3, 2219/3], [61/3, 72, 265/6], [0, 0, 0]], [[8423523, 1042524, -1202685/2], [-13180629800014/407, -3265028321855/407, 4792081763841/814], [30872419/11, 3809336/11, -4409865/22], [-3458/1221, -3313/1221, -5/2442]], [[25706769257485, 8389574475014, -8119376055951/2], [-109813739107192738726/1221, -9061674400983065638/407, 19954144297990143212/1221], [282678146556815/33, 92224627195810/33, -29775483190903/22], [-2675424320/407, -1685889704/407, -184902184/407]]], 0, 2560, [], [] >,
< [ -2, -6, -1, 1 ], [[-44, 48, 42]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, -2, -1], [10/3, 10, -3], [-2/3, -2/3, -1/3], [0, 0, 0]], [[4971, 1226, -1809/2], [7181/3, 1687/3, -1285/3], [1657, 1226/3, -603/2], [5/3, -1, 0]], [[8255266775, 2046076940, -2997505265/2], [443520240862/111, 109882186051/111, -53612209553/74], [8255266775/3, 2046076940/3, -2997505265/6], [421754872/111, 106067111/111, -139099949/222]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-22, 8, -1], [88/3, -152/3, 5], [-22/3, 8/3, -1/3], [0, 0, 0]], [[-26580594, 1808628, 118887], [13783606198/407, -67346157160/1221, -23956971545/2442], [-292187134/33, 20050708/33, 1307807/33], [1994/1221, 1558/1221, 1/2442]], [[691603780985127, 192801573015030, -259742164890321/2], [-148280284406446528/111, -39827869708764806/111, 10473582015956191/37], [230425787860109, 64238527065810, -259637031084721/6], [-1088058016/37, -286639392/37, 525669028/111]]], 0, 15360, [], [] >,
< [ -2, -6, -1, 1 ], [[-4, -1, 1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[25/2, 49/2, 7/2], [6, 51/2, 1], [13/2, -1, 5/2], [0, 0, 0]], [[2761, -559, -1045], [-5741/2, -1833, 361/2], [5640, 1304, -1208], [-11/2, -35/2, -7]], [[1/2, -3/2, -1], [3/2, 0, -1/2], [3/2, 0, -1/2], [3/2, 0, -1/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, 2, 0], [-97/5, 38/5, -7/5], [21/5, -4/5, 1/5], [0, 0, 0]], [[4845/2, 1057, 731], [-33943/10, 20921/5, -8784/5], [8279/10, -4511/10, 1777/5], [-5/2, -4, -1/2]], [[-145753565/2, -12319029, 16860787], [899825948/5, 216911088/5, -354823609/10], [-360711193/10, -79537933/10, 37321761/5], [35632, -2227/2, -23449/2]]], 1, 3, [], [] >,
< [ -2, -6, -1, 1 ], [[0, 5, 3]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21/2, -25/2, -1], [11, -19/2, 9/2], [-19/2, 0, -1/2], [0, 0, 0]], [[499989/2, 312299/2, -41306], [-805593/2, 159458, -48647/2], [605067/2, 11233, -52539/2], [11/2, 1, 5/2]], [[32807834548, 10041888100, -4673828204], [-80379343051, -21922020095, 14440487352], [50899952792, 13418290040, -9046059122], [1014104, 479192, -69650]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[67/2, 14, 1/2], [27/5, 79/10, 39/10], [113/10, 13/10, -1/5], [0, 0, 0]], [[286915197/2, 79503599/2, -7942000], [37134115/2, 16690936, 17835629/2], [98790115/2, 1513159, -4727579/2], [-5/2, -1, 1/2]], [[86859604738, 109337136117, 35482389169], [30156094105, 81132133895, 36823953392], [26346877508, 19844449039, 3909485035], [-1072, -641, 5]]], 0, 10, [], [] >,
< [ -2, -6, -1, 1 ], [[-4, -1, 1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-29/2, -31/2, 0], [4, 1/2, 31/2], [-27/2, 1, -1/2], [1, 2, 2]], [[-1115467/2, -95564, 253057/2], [680447/2, -59007/2, -122217], [-1786749/2, -418225/2, 335641/2], [56823/2, -23829/2, -31239/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-167/2, -181/2, -4], [-5/2, -171/2, -1], [-757/10, 179/5, 4/5], [1/10, 11/10, 1/10]], [[-11883519/2, -4433808, -1178161/2], [2089187, -1548173, -1522194], [-17001415/2, -3507707/2, 1715680], [-17022, 57921/2, 43221/2]]], 1, 3, [], [] >,
< [ -2, -6, -1, 1 ], [[-6, -3, 1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19/2, -16, -5/2], [-7, -31/2, 23/2], [-11/2, 3/2, -2], [0, 0, 0]], [[1401735, 1164051/2, -414473/2], [147637, 877807/2, -477337/2], [2014208, 810473/2, -612473/2], [-4, -3/2, -5/2]], [[274253390547/2, 110969961117/2, -12957008066], [-17665868315/2, -15052318689, -14104736259/2], [411622803845/2, 55727698583, -68684706649/2], [-1219579/2, -727849, -451417/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11/2, -2, -7/2], [35, -5/2, 3/2], [19/2, 1/2, -2], [0, 0, 0]], [[149237/2, 94971/2, -10444], [450707/2, -643011/2, 64964], [913719/10, 31072/5, -83461/10], [-27/10, 23/10, -1/5]], [[-467366073, -4354213481/2, -2174851829/2], [2051394648, 2922050298, 1049010443], [777395336/5, -4641875423/10, -3107981253/10], [-134008/5, -247128/5, -99008/5]]], 0, 20, [], [] >,
< [ -2, -6, -1, 1 ], [[6, 5, 1]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, -13/2, 0], [-3253/222, -1409/222, -95/111], [-3/2, -13/6, 0], [-169/222, -127/222, -1/111]], [[238322, 39788, -38164], [8674547/6, 1116052/3, -268877], [238322/3, 39788/3, -38164/3], [127509/2, 45296/3, -34409/3]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13/2, -29/2, -4], [191/3, 128/3, 16/3], [-13/6, -29/6, -4/3], [0, 0, 0]], [[-424, 371, -424], [12952321/1221, 4895147/1221, -2627585/814], [-5488/11, 237/11, -4669/33], [1180/1221, 337/1221, 1/2442]], [[-6814528, -2091698, 1499582], [75903710581/814, 26820776839/1221, -19844665130/1221], [-188977193/33, -51625738/33, 38199352/33], [7601159/814, 953902/407, -723465/407]]], 1, 10, [], [] >,
< [ -2, -6, -1, 1 ], [[6, -1, -1]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[27/2, 5/2, 1], [-1057/74, -867/74, -487/222], [9/2, 5/6, 1/3], [-1/74, 77/222, 5/222]], [[77490, 17262, -15036], [-4588577/74, -830221/74, 1007041/74], [25830, 5754, -5012], [-63597/74, -20689/74, 24871/222]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[24, -1, 2], [13, -41, 23/3], [8, -1/3, 2/3], [0, 0, 0]], [[-14650078, 1682920, 62202], [-24424409125/2442, 24545377322/1221, -11015607197/2442], [-53714781/11, 18516890/33, 684217/33], [-1303/2442, -159/407, 1/2442]], [[-902509521799/2, -276061864721/2, 76081983032], [-39116411360173/74, -33184273675237/222, 25806126741541/222], [-902482140229/6, -92016052597/2, 76081551167/3], [-912719/74, -1370693/222, 28791/74]]], 1, 60, [], [] >,
< [ -2, -6, -1, 1 ], [[14, 4, -2]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 3/2, 3/2], [5, 0, -5], [7, 3/2, 3/2], [0, 0, 0]], [[-11999, -3002, 2998], [-7737, -4683/2, 377/2], [-11999, -3002, 2998], [-5, -5/2, 1/2]], [[26992, 29969/2, -9007/2], [21927/2, -8717, -6893/2], [26992, 29969/2, -9007/2], [17/2, 1/2, -4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-80, -55/2, -5/2], [331, 123, 14], [-16, -11/2, -1/2], [0, 0, 0]], [[-4296465, -7847261, -124279], [89512496/5, 332603587/10, 12900857/10], [-4296453/5, -7847233/5, -124283/5], [-2, -5/2, 3/2]], [[-1441056537, 2946878091/2, 2528594661/2], [56841179793/10, -67665221467/10, -27631744231/5], [-1441055997/5, 2946870711/10, 2528590521/10], [-2655/2, -585, 135/2]]], 0, 30, [], [] >,
< [ -2, -6, -1, 1 ], [[-6, 0, 2]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-45, -285/2, -71], [-2, 2, -5/2], [-43, -289/2, -137/2], [0, 0, 0]], [[1674569, 96259/2, -159348], [4006729/2, 254651/2, -490877/2], [-328796, -158401/2, 172179/2], [5/2, 2, -3/2]], [[-876063787, -454888633/2, 162933156], [-1029574883, -265164358, 380598479/2], [153510528, 75439627/2, -54731983/2], [-816, -156, 124]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[33, 21/2, 3], [-861/5, -366/5, 3/10], [38/5, 31/10, 1/10], [0, 0, 0]], [[-12992, -7603/2, 6732], [114953/2, 8041/2, -49183/2], [-2603, -535/2, 2343/2], [3/2, 8, 7/2]], [[35247553, 15762019/2, -6164400], [-349301015/2, -41660226, 31353682], [7772611, 3668347/2, -2778693/2], [6331/2, 1651/2, -637]]], 1, 5, [], [] >,
< [ -2, -6, -1, 1 ], [[-10, -6, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -9/2, 1/2], [-2, -13, -9], [0, -9/2, 1/2], [0, 0, 0]], [[-36952, -18643/2, 13581/2], [-66275/2, -15497/2, 6136], [-36952, -18643/2, 13581/2], [9/2, -1, 3/2]], [[1139144366, 559628143/2, -413100401/2], [1029272940, 504157283/2, -380015765/2], [1139144366, 559628143/2, -413100401/2], [-203434, -233817/2, 67371/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[60, 15/2, 5/2], [44, 56, 13], [60, 15/2, 5/2], [0, 0, 0]], [[3004752, 1095706, -677762], [1183479, 125014, -223481], [15024684/5, 5478794/5, -3388766/5], [-42/5, -12/5, -2/5]], [[-5876068909, -1712648893/2, 1801220737/2], [-5492554829/2, -740236162, 1195505137/2], [-29382636692/5, -8565683759/10, 9006783221/10], [208377/10, 110877/10, -15444/5]]], 0, 60, [], [] >,
< [ -2, -6, -1, 1 ], [[-6, 0, 2]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[8, 46, 25], [13/2, 18, 13/2], [0, 17, 9/2], [3/2, 3/2, 5/2]], [[1221, -2283/2, -2037/2], [-390, -520, -195], [1676, 317/2, -531], [-455, -260, 65/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 47/2, 27/2], [7, 19/2, 7/2], [-51, -63/2, -15/2], [2, 3/2, 1/2]], [[464, -31/2, 85/2], [1911/2, 483/2, -147], [-47534/5, -20063/10, 7636/5], [3549/10, 357/5, -273/5]]], 1, 9, [], [] >,
< [ -2, -6, -1, 1 ], [[-2, -12, -6]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 23/2, 13/2], [-3077/222, -4844/111, -2363/111], [1, 23/6, 13/6], [5/222, 16/111, 2/111]], [[16548, 4158, -2982], [3109435/74, 378329/37, -285880/37], [5516, 1386, -994], [104951/74, 38951/111, -28556/111]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, 41/2, 29/2], [-245/3, -167/3, -55/3], [5/3, 41/6, 29/6], [0, 0, 0]], [[173902, 799/2, -16641/2], [9514704578/407, 7232843015/1221, -10517362807/2442], [1931222/33, 6023/22, -183001/66], [-610/407, -464/1221, -5/2442]], [[-3104032671, -1425565413/2, 1224517311/2], [-303841766958039/814, -225950325416093/2442, 165364907599253/2442], [-34436661586/33, -5258680811/22, 13606552631/66], [58460441/2442, 3160763/814, -13686221/2442]]], 1, 30, [], [] >,
< [ -2, -6, -1, 1 ], [[10, -2, -4]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, -9/2, -1/2], [-2865/74, 529/222, -31/222], [11/3, -3/2, -1/6], [-293/222, -1/74, -5/222]], [[81180, -490545/2, -319605/2], [-32179799/37, -46763919/37, -33386161/74], [27060, -163515/2, -106535/2], [-1266174/37, -6612242/111, -5156683/222]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-16, -3/2, -3/2], [55/3, -11/3, 7/3], [-16/3, -1/2, -1/2], [0, 0, 0]], [[9500530, 3206255/2, -2649855/2], [-29018854955/2442, -3520850323/2442, 627707160/407], [34835145/11, 11754065/22, -29148445/66], [79/2442, 661/2442, 2/1221]], [[-912911397112, -247813527104, 152094694180], [2835616287114037/2442, 371724885988175/1221, -242798487338420/1221], [-10042054369247/33, -2725790726884/33, 1673137742630/33], [1933401/814, -5269042/407, -3203555/407]]], 1, 180, [], [] >,
< [ -2, -6, -1, 1 ], [[0, -8, -4]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 5, -2], [-2, 5, -2], [-128, -425, -201], [0, 0, 0]], [[-690229, -159065, 243165/2], [-690225, -159056, 243175/2], [-20318, -5998, 1241], [4, 5, 0]], [[1929416864, 479453926, -351015536], [1929411089, 958896377/2, -702033547/2], [56822954, 15735249, -9634676], [-7050, -5025/2, 1275/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, -5, 0], [-4, -20, 3], [2, -5, 1], [0, 0, 0]], [[-144, -169, -4], [3897/5, 8867/5, -3743/5], [1544/5, 3254/5, -1231/5], [-1, -3, -1]], [[142703, 35276, -52049/2], [-316822/5, -182089/10, 60733/5], [-343894/5, -89219/5, 63716/5], [72, 29/2, -31/2]]], 0, 80, [], [] >,
< [ -2, -6, -1, 1 ], [[-24, 0, 8]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -10, -4], [-8, -3, -1], [0, 0, 0]], [[0, 0, 0], [-476, 17615/2, -7143/2], [5462, -10013, 2317], [-3, -9/2, -1/2]], [[0, 0, 0], [-1772451, -725539/2, 599477/2], [4060570, 924084, -710677], [-626, -315/2, 241/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-192/5, -177/5, -37/5], [-14/5, -34/5, -4/5], [0, 0, 0]], [[0, 0, 0], [274848/5, 68113/5, -49897/5], [4566/5, 1251/5, -864/5], [2, 4, -1]], [[0, 0, 0], [256634/5, 126733/10, -93477/10], [4178/5, 953/5, -747/5], [-1, -9/2, -1/2]]], 0, 480, [], [] >,
< [ -2, -6, -1, 1 ], [[0, -8, -4]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -33, -4], [-4, -14, -10], [0, 0, 0]], [[0, 0, 0], [-9032, -108365/2, -16257/2], [-8024, -23951, -16732], [-3, -5/2, 1/2]], [[0, 0, 0], [-101911498, -25332071, 18527065], [16279369, 4036083, -5948019/2], [21553, 5334, -7829/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 17, 2], [44, 0, 4], [0, 0, 0]], [[0, 0, 0], [-3077, -603, -664], [-8504128/5, -2136693/5, 1548437/5], [19/5, 4/5, -1/5]], [[0, 0, 0], [-8829868, -5502137/2, 1436573/2], [-22305624597/5, -5540871957/5, 8103503871/10], [51726/5, 27417/10, -7659/5]]], 0, 120, [], [] >,
< [ -2, -6, -1, 1 ], [[8, -24, -16]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-34, -1, -10], [-8, 4, -2], [0, 0, 0]], [[0, 0, 0], [981891, -478748, 694237], [195480, -356285, 165534], [5, -3, -1]], [[0, 0, 0], [1346079953, 935146105/2, 83091683/2], [347835394, 48046430, -14310008], [5902, 397/2, -2821/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, -5, 4], [28, -3, -3], [0, 0, 0]], [[0, 0, 0], [3018, -33497/2, 32421/2], [59084/5, -105751/5, 11884/5], [-17/5, 11/10, 1/10]], [[0, 0, 0], [-6242612, -7199607, -3236525], [-35049232/5, 5700108/5, 10573668/5], [7416/5, 1116/5, -1404/5]]], 0, 960, [], [] >,
< [ -2, -6, -1, 1 ], [[16, 0, -4]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [286/3, 970/3, 156], [-22/3, -73/3, -34/3], [0, 0, 0]], [[0, 0, 0], [514586/111, 2181419/111, 4031615/222], [-2504/3, -7894/3, -2734/3], [218/111, 26/37, 1/222]], [[0, 0, 0], [1321514555/111, 632214553/222, -475401887/222], [-361340/3, -32190, 23440], [-7060157/37, -3497347/74, 7695613/222]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-94, -863/3, -146], [58/3, 190/3, 28], [0, 0, 0]], [[0, 0, 0], [-154889835/407, -258036463/2442, 169749953/2442], [8902/33, -26107/33, 5242/33], [773/1221, 1895/2442, 1/2442]], [[0, 0, 0], [12116020101590/1221, 1938012078533/814, -2234892088466/1221], [-610351960/33, -83501194/11, 107524289/33], [-10227974/1221, 3403463/814, 5527438/1221]]], 0, 480, [], [] >,
< [ -2, -6, -1, 1 ], [[-32, -40, -12]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28/3, 79/3, 25/3], [-16/3, 1, 0], [0, 0, 0]], [[0, 0, 0], [1409061/37, 837219/74, 2258723/74], [-294280, -99400, 61460], [25/111, 61/222, 1/74]], [[0, 0, 0], [2136358560/37, 1115059007/74, -440546293/37], [-375855900, -91747194, 67865602], [6964/37, 2833/74, -3925/111]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [84, -13/3, 0], [-52/3, -4/3, 0], [0, 0, 0]], [[0, 0, 0], [17119537810/1221, 6567609/814, -1109096206/1221], [-93694448/33, -2405834/11, 6632668/33], [-2278/1221, -3103/2442, -2/1221]], [[0, 0, 0], [5311622253941356/1221, 3483076815304373/2442, -1119151050183769/1221], [-28031231349100/33, -8750988360263/33, 5816738404354/33], [-502574282/1221, -174054497/2442, 33180821/407]]], 0, 2880, [], [] >,
< [ -2, -6, -1, 1 ], [[0, -32, -16]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -4, -4], [0, -6, -4], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [0, 0, 1], [1, 0, 0]], [[0, 0, 0], [-50, -14, 10], [24, 6, -4], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16/5, -86/5, 74/5], [-12/5, -42/5, 8/5], [0, 0, 0]], [[0, 0, 0], [3/5, 3/5, -2/5], [-4/5, -4/5, 1/5], [1, 0, 0]], [[0, 0, 0], [102454/5, 24244/5, -18896/5], [17748/5, 4408/5, -3132/5], [0, 0, 0]]], 0, 7680, [], [] >,
< [ -2, -6, -1, 1 ], [[-24, -64, -28]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, -14, -4], [-10, -14, -4], [-4, 0, -10], [0, 0, 0]], [[0, 0, 0], [3, 10, 5], [8, 26, 11], [1, 3, 1]], [[3191, 576, -1427/2], [3191, 576, -1427/2], [3008, 282, -620], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, -4, 1], [30, 14, 1], [12, 6, 0], [0, 0, 0]], [[0, 0, 1/2], [18/5, 3/5, 1/10], [-4/5, -4/5, 1/5], [1, 0, 0]], [[-5, 0, 5/2], [119/5, -96/5, -167/10], [48/5, -32/5, -32/5], [0, 0, 0]]], 0, 1280, [], [] >,
< [ -2, -6, -1, 1 ], [[32, 0, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, 18, 9], [-16, -2, 8], [0, 0, 0]], [[0, 0, 0], [-1, 1, 0], [0, 0, 1], [1, 0, 0]], [[0, 0, 0], [80766, 116000, 41162], [44720, 55120, 16120], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [72, 14, -15], [64, 0, -6], [0, 0, 0]], [[0, 0, 0], [-3041, 19045, 11850], [-11990, -10150, 1388], [-5, -6, -1]], [[0, 0, 0], [1310755, 684745, -37198], [6174412/5, 2326832/5, -1653753/5], [2109/5, 444/5, -666/5]]], 0, 15360, [], [] >,
< [ -2, -6, -1, 1 ], [[-24, -64, -28]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 16, 36], [-220, -730, -344], [0, 0, 0]], [[0, 0, 0], [671582, 1645744, -566413], [-166056, -541592, -231054], [2, 2, 0]], [[0, 0, 0], [-44567433, -10914993, 8057217], [8608017, 2125632, -3130805/2], [46974, 11634, -17067/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 8, -1], [36, -8, 0], [0, 0, 0]], [[0, 0, 0], [42521, 18112, 7051], [-2563199/5, -392804/5, 900827/10], [-18/5, -23/5, -1/10]], [[0, 0, 0], [7862162654, -2664123054, -3963158865], [-605046116688/5, -164832184758/5, 100202614252/5], [-1666896/5, 2075584/5, 1768904/5]]], 0, 1920, [], [] >,
< [ -2, -6, -1, 1 ], [[-40, -32, -4]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2828, 28174/3, 13274/3], [1546/3, 1714, 2441/3], [0, 0, 0]], [[0, 0, 0], [-85516739/37, -284281056/37, -269567679/74], [-406980, -1368000, -682290], [-239/111, -94/111, -5/222]], [[0, 0, 0], [8057468095942/37, 1995113546586/37, -2927961765383/74], [5269351662, 1301472792, -957969873], [75596565722/111, 18722835722/111, -27466366463/222]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3176/3, 3342, 4873/3], [170/3, 190, 281/3], [0, 0, 0]], [[0, 0, 0], [10703463406228/1221, 883816086547/407, -1944928346033/1221], [-4463216/33, -194452/33, 10040/11], [-164/1221, 2569/1221, 2/1221]], [[0, 0, 0], [38805875342156301430/407, 9615884288527275449/407, -14093479673775231405/814], [-15529172653496/11, 3690851784908/11, 7267369534114/11], [-26219715950/1221, -45404402125/1221, -33480947375/2442]]], 0, 7680, [], [] >,
< [ -2, -6, -1, 1 ], [[-40, -256, -132]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [146/3, 2, 7/3], [98/3, 2, 5/3], [0, 0, 0]], [[0, 0, 0], [13737028027/37, 2263353686/37, -4147326307/74], [247668894, 41272902, -37468827], [-11/37, 48/37, -1/222]], [[0, 0, 0], [-6749148364961924/37, -1672260538468866/37, 2467374634514795/74], [-121581654014304, -30112088390208, 22228787892960], [15975724/37, 18766882/111, -3658785/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1952/3, -50/3, 37/3], [32, -2/3, 2/3], [0, 0, 0]], [[0, 0, 0], [-105092718483/407, -2387469741/407, 4442653305/814], [-139621950/11, -3655842/11, 2740561/11], [203/407, 871/1221, 5/2442]], [[0, 0, 0], [535499844343065358/1221, 136476678907934441/1221, -61975703873592519/814], [236921461597136/11, 60466619580008/11, -123246489259384/33], [-176913850/407, -72071545/407, 110464945/2442]]], 0, 46080, [], [] >,
< [ -2, -6, -1, 1 ], [[-34, -11, 5]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, 8, 1/2], [-21, 17/2, 17/2], [15/2, 1/2, 0], [0, 0, 0]], [[1501417/2, 1454761/2, -46853], [-4459009/2, 616451, 1307307/2], [1454367/2, -70378, 23525/2], [-17/2, 2, -3/2]], [[-965335371785/2, -4479418305203/2, -1123975933810], [-5300878067437/2, -5683701938704, -4775562076227/2], [300795694013/2, -490910400911, -633065532899/2], [1239125/2, 14398821, 15549661/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-43, -13, 0], [-1803/5, 52/5, -113/5], [-71/5, 4/5, -1/5], [0, 0, 0]], [[31845057, 11315463, -535724], [2768660809/10, 161793827/5, 29414449/10], [54228874/5, 4244244/5, -1730716/5], [-19/2, -1/2, 0]], [[3010904128867/2, 11380129227594, 11872324949553/2], [19373835385606/5, 738885642903497/10, 398260014777027/10], [-1911999033751/10, 17780565187669/10, 5197629675447/5], [47810, -1982066, -1107826]]], 0, 160, [], [] >,
< [ -2, -6, -1, 1 ], [[4, 3, 1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-49/2, -30, -3/2], [-6, -79/2, -9/2], [-41/2, 5/2, -2], [0, 0, 0]], [[13648911/2, 1766845, -2514733/2], [-7496591/2, -1547949/2, 640572], [21249355/2, 5085751/2, -1900126], [11/2, 1/2, 1]], [[-283072991776, -140470255553/2, 103082945705/2], [158938383680, 39029854377, -28666447983], [-444368401323, -219509591789/2, 161295959147/2], [-245400, -30600, 54000]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[187/2, 177/2, -2], [9, 185/2, -7/2], [193/2, 1, -3/2], [0, 0, 0]], [[-5855712, -99172889/2, -40989559/2], [-43453341/2, -104669413/2, -8852965], [86901802/5, 27412549/10, -116179971/10], [-17/10, -6/5, 3/10]], [[15615596778683/2, 21090679449169/2, 3165998016974], [367389452248, 14278294432003/2, 6407005396277/2], [82362987039221/10, 17972299336053/5, -2142379734359/10], [-3058344/5, -339984/5, 678276/5]]], 0, 40, [], [] >,
< [ -2, -6, -1, 1 ], [[4, 3, 1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-59/2, -81/2, -6], [16, -81/2, 1/2], [-49/2, -1, -5/2], [0, 0, 0]], [[116315269/2, 28725632, -26724261/2], [-161204529/2, 56289437/2, 127010], [148455013/2, 5415483/2, -8034936], [5/2, -5/2, 0]], [[-1377535323/2, -263475160, 161169751/2], [2538564189/2, 475699005/2, -242660803], [-2066950575/2, -528245501/2, 172353813], [-79/2, 35/2, 21]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[411/2, 433/2, 6], [8, 425/2, 7/2], [401/2, 1, 5/2], [0, 0, 0]], [[-220260591/2, 2517259/2, 56009122], [104146835/2, 641160, 56696305/2], [-1655100519/10, 3146448/5, 276898941/10], [17/10, -4/5, -3/10]], [[-5282891706991/2, -163629396266, 1620710141763/2], [3156297655643/2, 1341444151107/2, -10251271027], [-43089057963021/10, -8571061763121/10, 4168651854057/5], [503503/10, 57463/10, -55601/5]]], 0, 40, [], [] >,
< [ -2, -6, -1, 1 ], [[2, -1, -1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[35/2, 26, 9/2], [12, 75/2, 37/2], [27/2, 1/2, 2], [0, 0, 0]], [[-394323/2, -1023979/2, -214604], [-640181/2, -1051097, -992911/2], [-193875/2, -114380, -50112], [5/2, 2, 0]], [[650367306, 365690000, 14003906], [214713351, 540816791, 234079633], [949048518, 312685118, -149340606], [-26280, -6534, 4338]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[89/2, 43, 1/2], [24, 45/2, 3/2], [93/2, 5/2, -1], [0, 0, 0]], [[22926279, 8926160, -4712177], [24945381/2, 4413837, -4795943/2], [161071017/5, 22879047/5, -46439631/10], [-7/10, 13/10, 3/10]], [[-3997910029157/2, -498712933122, 739004167777/2], [-1105772479805, -547802678333/2, 407948913817/2], [-31296915513009/10, -7612369060539/10, 2826847682418/5], [599676/5, 173696/5, -82954/5]]], 1, 6, [], [] >,
< [ -2, -6, -1, 1 ], [[6, 33, 17]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[69/2, 115, 109/2], [332/3, 1102/3, 520/3], [23/2, 115/3, 109/6], [0, 0, 0]], [[2432, 0, -768], [-699949/222, -295472/111, -105799/222], [2432/3, 0, -256], [29/222, 41/111, 1/222]], [[-222730496, -55161856, 40461696], [47708219417/222, 1969354140/37, -8666993047/222], [-222730496/3, -55161856/3, 13487232], [20607/74, 2036/37, -3413/74]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-59, -389/2, -181/2], [-431, -3125/3, -1466/3], [-59/3, -389/6, -181/6], [0, 0, 0]], [[13184997/2, -90657, 53781/2], [2590074885633/814, 726129228211/814, -247312175975/407], [48334249/22, -329407/11, 197189/22], [-895/814, 1501/2442, -1/1221]], [[418580339221317/2, -88710262718091/2, -83424632879469], [41280053914613466000/407, 10202928496135968518/407, -7661606345054449824/407], [1534303930911997/22, -325463862440787/22, -305880377741925/11], [-61330779104/1221, -24112392640/1221, 2485704032/1221]]], 0, 160, [], [] >,
< [ -2, -6, -1, 1 ], [[-24, 5, 11]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-299/2, -1, -3/2], [-76, 260/3, 6], [-299/6, -1/3, -1/2], [0, 0, 0]], [[-17611606, -8969198, -2880852], [-1159157141/222, 628249556/37, 1453235395/222], [-17611606/3, -8969198/3, -960284], [-13/222, -49/111, -1/74]], [[-83516914140, -67794377145, -11440061655], [-948600896834/37, 4779863097077/74, 3338210399665/74], [-27838971380, -22598125715, -3813353885], [15743/111, -212009/222, -132335/222]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-189/2, -3/2, 0], [264, 61, 3], [-63/2, -1/2, 0], [0, 0, 0]], [[7952975968, 500610128, -78114096], [-18019697865437/814, -4830257631201/814, -253987450916/1221], [29160943066/11, 5506677058/33, -859254956/33], [1871/2442, -229/814, 1/1221]], [[13549417496257200, 39467357313027780, 18019758724543020], [-75641409625675854599/1221, -77923842247061245888/407, -36096689198691194213/407], [149043599980780000/33, 434140879957413580/33, 198217314465289220/33], [75219508/1221, -504858920/1221, -315046840/1221]]], 0, 960, [], [] >,
< [ -2, -6, -1, 1 ], [[-10, 4, 6]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21, 2, 1], [-9, 0, 1], [21, 2, 1], [0, 0, 0]], [[1559, -8489/2, -769/2], [-1145, 1057/2, -151/2], [1559, -8489/2, -769/2], [14, 3/2, 5/2]], [[-8138456, 101711, 2763247], [7831911/2, 2060663/2, -701451], [-8138456, 101711, 2763247], [-83897/2, -16780, 8389/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-86, -7/2, 3/2], [2617/5, 92/5, -53/5], [-86/5, -7/10, 3/10], [0, 0, 0]], [[-565247104, 57860003/2, -26157147/2], [17197578216/5, -1977428073/10, 690256337/10], [-565247108/5, 57859939/10, -26157171/10], [-5, -5/2, -1/2]], [[18603889806167, 10724694965615/2, -6595753593433/2], [-226755824435453/2, -32572718029602, 40317486027361/2], [3720777930803, 2144939027927/2, -1319150676121/2], [271733/2, 91245/2, -19019]]], 0, 480, [], [] >,
< [ -2, -6, -1, 1 ], [[10, 16, 6]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[24, -2, 2], [5, 10, 3], [24, -2, 2], [0, 0, 0]], [[2783601, 2458155/2, -1339071/2], [160949, 5459, -2674], [2783597, 2458139/2, -1339087/2], [-1, -2, -2]], [[-31696576176, -8334187063, 5901292506], [-4413384117/2, -523581104, 745872769/2], [-31696542938, -8334167221, 5901297278], [16619/2, 9921/2, 1193]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[64, 5/2, 3/2], [16, 4, 4], [64, 5/2, 3/2], [0, 0, 0]], [[38081430, 1723263/2, -6449171/2], [17686929/2, -178773, -210691/2], [190407969/5, 8615613/10, -32246167/10], [21/10, -9/10, -2/5]], [[-6212808035392, -62441210475/2, 2372730534033/2], [-2666787272017/2, 888360032345/2, 416465313082], [-31064232985199/5, -312473061663/10, 11863568074407/10], [-4943801/10, -1711598/5, -1084561/10]]], 0, 120, [], [] >,
< [ -2, -6, -1, 1 ], [[10, 16, 6]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17, 1/2, -3/2], [-7, -2, -3], [17, 1/2, -3/2], [0, 0, 0]], [[1191369, 269655/2, -291625/2], [-985613/2, -155822, -219703/2], [1191369, 269655/2, -291625/2], [-5/2, -3/2, 0]], [[428192028, 474077759, -187884626], [-637479673/2, -573731951, 265635691/2], [428192028, 474077759, -187884626], [-1029/2, -709/2, -126]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17, 2, 1], [5, 3, 4], [17, 2, 1], [0, 0, 0]], [[10807395, 2740017/2, -2916389/2], [2670243, -207496, -66277], [54036381/5, 13699997/10, -14582033/10], [27/5, 2/5, 2/5]], [[-1082967940622, -469288266625/2, 308397305593/2], [-588074685577/2, -160071209141/2, 4267390967], [-5414765472789/5, -2346330059413/10, 1542022644947/10], [-6748211/10, -2528948/5, -1641681/10]]], 0, 120, [], [] >,
< [ -2, -6, -1, 1 ], [[2, -6, -4]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5, -5/2, -5/2], [-8, -22, -13], [-5, -5/2, -5/2], [0, 0, 0]], [[-8974, -2807/2, 1955/2], [-7577/2, -3845/2, -1151], [-8975, -2815/2, 1953/2], [-5/2, 0, 1/2]], [[484429, 275655/2, -102531/2], [515637/2, 293226, 227707/2], [484517, 276333/2, -51124], [255/2, -13/2, -75/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-14, 7/2, 1/2], [-14, 5, -2], [-14, 7/2, 1/2], [0, 0, 0]], [[-4571, -9929/2, 4075/2], [-11241/2, -7086, 6145/2], [-4504, -10031/2, 4077/2], [-5/2, 3/2, 0]], [[10908737, 12653689/2, -3906229/2], [12838501/2, -10747309, -22678931/2], [53962351/5, 69197147/10, -8050034/5], [59189/10, -151931/10, -95381/10]]], 1, 18, [], [] >,
< [ -2, -6, -1, 1 ], [[6, -4, -2]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-164, -1091/2, -517/2], [-43, -464/3, -227/3], [-164/3, -1091/6, -517/6], [0, 0, 0]], [[-131760, -836493/2, -315675/2], [-6208433/74, -6017930/37, -2016433/74], [-43920, -278831/2, -105225/2], [193/222, 11/37, -1/222]], [[-1332125808, -395688090, 270316986], [-4308511604509/74, -536256254095/37, 784595520045/74], [-444041936, -131896030, 90105662], [346007269/222, 42823267/111, -62842589/222]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-147, -981/2, -469/2], [-2875/3, -9182/3, -1471], [-49, -327/2, -469/6], [0, 0, 0]], [[-245865, -77525, 39870], [92193302785/2442, 22493436785/2442, -8398819054/1221], [-903619/11, -863305/33, 146186/11], [-1057/2442, -585/814, -1/1221]], [[0, 0, 0], [-119355/814, -122625/814, -11445/407], [-146/11, -150/11, -28/11], [-73/2442, -25/814, -7/1221]]], 0, 480, [], [] >,
< [ -2, -6, -1, 1 ], [[-22, -42, -16]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-59, -3/2, 1/2], [-36, -86/3, 8/3], [-59/3, -1/2, 1/6], [0, 0, 0]], [[-5611298, 15817725/2, -6844761/2], [-1631977415/222, -1017459805/111, 267393481/222], [-5611298/3, 5272575/2, -2281587/2], [515/222, 94/111, 5/222]], [[-22928135775930, 30111144637035, -5154138489885], [-1618818698879025/74, -1126397650618719/74, 396758635410759/37], [-7642711925310, 10037048212345, -1718046163295], [596001215/74, 9627661/74, -181972063/111]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, 9/2, 3/2], [-76/3, -79/3, -31/3], [10/3, 3/2, 1/2], [0, 0, 0]], [[-1430400, -6400, -30400], [3867809413/1221, 1186661908/1221, 399747646/1221], [-15644800/33, -18800/11, -111500/11], [896/1221, 140/1221, -1/1221]], [[-3523242055680, 64831230720, 634898949120], [16521031410605837/2442, -2686537841076389/2442, -2353178103479803/1221], [-12848356166810/11, 714291001970/33, 6939617788120/33], [1403960747/814, 22949281/2442, -442706522/1221]]], 0, 2880, [], [] >,
< [ -2, -6, -1, 1 ], [[40, 64, 24]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, 3, -5], [-6, 6, 4], [0, 0, 0]], [[0, 0, 0], [8239, -5595, 740], [-692, 6637, -1251], [7, -1, 0]], [[0, 0, 0], [15170505, -12159589/2, -6557909/2], [1275162, 20908060, 7420930], [15044, 18429/2, 5115/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [466, 11, 19], [-26, -1, -1], [0, 0, 0]], [[0, 0, 0], [-13142186/5, 5151563/10, -25327/10], [733418/5, -132107/5, -2547/5], [-5, -1/2, 3/2]], [[0, 0, 0], [-253657428/5, -577242231/10, 304343719/10], [13888114/5, 15551319/5, -8316771/5], [-63, -133/2, -49/2]]], 0, 7680, [], [] >,
< [ -2, -6, -1, 1 ], [[56, 16, -8]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 9, 1], [-470, -1561, -737], [0, 0, 0]], [[0, 0, 0], [-383810747, -92423607, 68881166], [-3452592, 271578, 528535], [3, 1, 1]], [[0, 0, 0], [1860052770544, 926354072983/2, -677430552147/2], [20972502196, 11020802887, -1206469446], [-5595, 56775/2, 38505/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 6, 2], [-186, -5, -1], [0, 0, 0]], [[0, 0, 0], [106511, -1243/2, 6061/2], [-1333363454/5, -346840749/5, 247179496/5], [12/5, 19/10, -1/10]], [[0, 0, 0], [334309542, -293228621, -209358727], [-5123636904502/5, -1288881633432/5, 944204417373/5], [11666/5, -76304/5, -50559/5]]], 0, 1920, [], [] >,
< [ -2, -6, -1, 1 ], [[56, 16, -8]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 0, 4], [-16, -7, 3], [0, 0, 0]], [[0, 0, 0], [1226, 1156, -304], [250, -1030, 239], [-4, -3, 2]], [[0, 0, 0], [-5122004, -15721913/2, -5136359/2], [-1618158, 2183465, 1371027], [3925, -37305/2, -25789/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, -6, -2], [-78, -9, -1], [0, 0, 0]], [[0, 0, 0], [534663, -285209/2, 43703/2], [7686488/5, -2068867/5, 145658/5], [-4/5, -23/10, -3/10]], [[0, 0, 0], [-3153066, -777833, 573927], [-9050290, -2235373, 1645859], [0, 0, 0]]], 0, 1920, [], [] >,
< [ -2, -6, -1, 1 ], [[8, 0, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14, 22, 9], [0, 5, 1], [0, 0, 0]], [[0, 0, 0], [9117, 2151, -1300], [-1751, 473, 159/2], [2, -1, 1/2]], [[0, 0, 0], [156910, -41747/2, -125451/2], [-44721, -21332, 5725/2], [30, -127/2, -47]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 22, -3], [-26, -1, -3], [0, 0, 0]], [[0, 0, 0], [-117135, -129281/2, 305875/2], [6093338/5, -45197/5, -1319852/5], [-24/5, -3/10, -3/10]], [[0, 0, 0], [-172942613, -1859335469/2, -890798013/2], [-8082806991/5, 2927053029/5, 8767464763/10], [49583/5, 91111/10, 8413/5]]], 0, 240, [], [] >,
< [ -2, -6, -1, 1 ], [[-24, -32, -8]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1426/3, -4751/3, -755], [-636, -2113, -2993/3], [0, 0, 0]], [[0, 0, 0], [-227808713/37, -4526750923/222, -2115642113/222], [-24388826/3, -26980092, -38026018/3], [41/111, -89/74, -1/222]], [[0, 0, 0], [86567000657750/37, 64323356937946/111, -47179697692915/111], [236604807340/3, 19543334407, -42997272037/3], [-32343431792/111, -2670125434/37, 5875624703/111]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [14354/3, 46594/3, 21970/3], [-328, -3269/3, -1543/3], [0, 0, 0]], [[0, 0, 0], [-54703492826602/1221, -27218887858463/2442, 6642554848723/814], [-127095800/33, 10068478/33, -2710370/33], [610/407, 2149/2442, 5/2442]], [[0, 0, 0], [-2950078127823858098/407, -728482846371746329/407, 535247639721225627/407], [-8791702291448/11, -3944272597424/11, 2135225553188/11], [263578912/1221, 67351456/1221, -15015504/407]]], 0, 7680, [], [] >,
< [ -2, -6, -1, 1 ], [[-104, -40, 16]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [100/3, 137/3, -5], [28, -2, 2/3], [0, 0, 0]], [[0, 0, 0], [9583823/37, 93558589/74, 45452435/74], [-161536, 209492, 181728], [-115/111, -325/222, 1/222]], [[0, 0, 0], [-4452910286/37, -2658181060/37, 65116192/37], [-191798760, -53626797, 29348441], [-43600/111, 1090/37, 5450/111]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [350, 73/3, 23/3], [64/3, -2, 2/3], [0, 0, 0]], [[0, 0, 0], [1592989484605/1221, 82987415497/814, -97391909057/2442], [2662367662/33, -38110703/11, -56372441/33], [-41/407, -3269/2442, 1/814]], [[0, 0, 0], [-74866446509231086351/1221, -32876866072883554693/2442, 10254135595554894155/814], [-43878750808981204/11, -10278501634730002/11, 26206298127422806/33], [-8953727965/407, -11810453265/814, -50726975/814]]], 0, 46080, [], [] >,
< [ -2, -6, -1, 1 ], [[224, 64, -32]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, -72, -38], [-56, -198, -106], [0, 0, 0]], [[0, 0, 0], [-2807391, -2241680, -470113], [-445542, -4433724, -2589698], [-5, -1, -2]], [[0, 0, 0], [1072521315, 262922203, -193350966], [-432998914, -112522844, 82059140], [2511, 522, -423]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1092/5, 1482/5, 162/5], [-76/5, -66/5, -6/5], [0, 0, 0]], [[0, 0, 0], [2702982, 174720, 5366282], [-377156, -245632, -148670], [8, 0, -2]], [[0, 0, 0], [18681511273/5, 50089754498/5, 16342761933/5], [-926924894/5, -2177326534/5, -807953274/5], [915, -1245, -1116]]], 0, 122880, [], [] >,
< [ -2, -6, -1, 1 ], [[-96, 0, 32]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 2, 0], [-3812, -12658, -5962], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [4, 0, 1], [1, 0, 0]], [[0, 0, 0], [-86, -28, 18], [-732, -2518, -1382], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, 6, -10], [-92, 2, 2], [0, 0, 0]], [[0, 0, 0], [2651812, -149785, 458113], [119993858/5, 18466258/5, -15600977/5], [6/5, -19/5, -4/5]], [[0, 0, 0], [6072554643, 1812795458, -1126085291], [239922541558/5, 61757521758/5, -44043882692/5], [26831/5, 6851/5, -5994/5]]], 0, 30720, [], [] >,
< [ -2, -6, -1, 1 ], [[-96, 0, 32]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 44, 10], [-16, -20, -8], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [0, 0, 1], [1, 0, 0]], [[0, 0, 0], [-31688, -11848, 7164], [87216, 20698, -15634], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 4, -6], [-44, -16, 4], [0, 0, 0]], [[0, 0, 0], [1845, 7991, -2976], [-70334/5, -13954/5, 10366/5], [7/5, -18/5, -3/5]], [[0, 0, 0], [42900697, 25046320, -12134763], [1604696024/5, 408110854/5, -293382511/5], [-334477/5, -91377/5, 73073/5]]], 0, 30720, [], [] >,
< [ -2, -6, -1, 1 ], [[-16, 0, 8]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8, -26, -13], [4, 0, -6], [0, 0, 0]], [[0, 0, 0], [747, 179, -130], [-9143, -2344, 3339/2], [2, -2, -3/2]], [[0, 0, 0], [-4580, -1405, 662], [55029, 15020, -18607/2], [31, 155, 155/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -10, -17], [-4, -10, -4], [0, 0, 0]], [[0, 0, 0], [218, 100, -48], [-198/5, -148/5, 37/5], [14/5, 14/5, -1/5]], [[0, 0, 0], [-2315, 485, 984], [483/5, -4872/5, -5719/10], [126/5, 826/5, 847/10]]], 0, 3840, [], [] >,
< [ -2, -6, -1, 1 ], [[-32, -192, -96]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16526/3, 18284, 8592], [2996/3, 9950/3, 4690/3], [0, 0, 0]], [[0, 0, 0], [-495574557/37, -4933527947/111, -772855954/37], [-7284224/3, -24190784/3, -3800256], [-227/111, 5/111, -4/111]], [[0, 0, 0], [8547403549702765/111, 2116915664140517/111, -517585157872993/37], [140796360448, 34875376032, -76734022624/3], [6495578795803/111, 1608745912903/111, -1180013615779/111]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [358534/3, 1192112/3, 561172/3], [6860, 68332/3, 10724], [0, 0, 0]], [[0, 0, 0], [-4101597029395237/1221, -1015840008073142/1221, 248374326143916/407], [-165243636/11, 39636714/11, 24981766/33], [-3335/1221, -356/407, -4/1221]], [[0, 0, 0], [-494871116292185487062/1221, -122562798591879948142/1221, 29966925396193150296/407], [-24262047614776/11, -5775979335546/11, 14120485472498/33], [-425009036/1221, -59120096/407, 37450136/1221]]], 0, 122880, [], [] >,
< [ -2, -6, -1, 1 ], [[160, -32, -64]], [ -48, 3, 3 ], [ -3, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-86/3, -8, 8], [-44/3, -2/3, 2/3], [0, 0, 0]], [[0, 0, 0], [-782404/37, -203461/37, 113544/37], [-12500, -3450, 2750], [116/111, 217/111, 4/111]], [[0, 0, 0], [588766435/111, 134879491/111, -37816293/37], [9333200/3, 2432150/3, -1618750/3], [-2423/37, 8675/111, 6935/111]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1294/3, 190/3, 4/3], [56/3, 4, 0], [0, 0, 0]], [[0, 0, 0], [145752496014/407, -13187206261/407, -7168978628/1221], [170978320/11, -6491150/33, -17702390/33], [-2278/1221, 1501/1221, -2/1221]], [[0, 0, 0], [-17255732878307083/1221, -6873222396500329/407, -2134440333614109/407], [-20607260462464/33, -26660012888374/33, -8744088430802/33], [20473019/1221, -161308265/1221, -31845909/407]]], 0, 737280, [], [] >,
< [ -2, -6, -1, 1 ], [[0, 5, 3]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[33/2, 21, 5/2], [-6, 39/2, -7/2], [29/2, 1/2, 1], [0, 0, 0]], [[-520477, -474349/2, 176341/2], [585268, -113575, -31574], [-715605, -213915/2, 97560], [-1, -1, 3/2]], [[1406337173/2, 164847762, -267129991/2], [-2078484163/2, -513716737/2, 186911165], [2215842219/2, 542377791/2, -404755761/2], [1653/2, 969/2, -17/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[28, 49/2, -1/2], [-10, 19, 1], [31, 5/2, -3/2], [0, 0, 0]], [[4547947/2, 2597695, -1624545/2], [1548987/2, 9179089/2, -1398572], [11378909/10, -19484201/10, 2840047/5], [13/10, 23/10, -1/5]], [[-57616924293, -18285402430, 8812877849], [96238563607/2, 8250991049, -18623935423/2], [-440669626519/5, -108523623379/5, 152593551717/10], [-232201/10, -150391/10, -6171/10]]], 1, 10, [], [] >,
< [ -2, -6, -1, 1 ], [[0, 5, 3]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10, -7, 1], [-1, -6, 1], [-12, -1, 1], [0, 0, 0]], [[11/2, 20, -25/2], [28, 57, -33], [-43/2, -79/2, 27/2], [-2, -1/2, -1]], [[-30753/2, -34624, -27381/2], [-35229/2, -142021/2, -32059], [-19639/2, -16267/2, -5557/2], [-10759/2, -17437/2, -6307/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[233/2, 237/2, 1], [-8, 243/2, -7/2], [231/2, 0, 1/2], [0, 0, 0]], [[-1074779431, -1160890141/2, 296889931/2], [467288408, -768795345/2, -50007891/2], [-1420668800, -394888901/2, 345889431/2], [1, -1/2, 1/2]], [[-399746503626117/2, -170195260509711/2, 15425724649244], [255125656025471/2, 8874985808284, -75679323967343/2], [-2992231394666819/10, -419620831528092/5, 248374743273788/5], [3168557/10, 970176/5, 11736/5]]], 1, 12, [], [] >,
< [ -2, -6, -1, 1 ], [[-6, -13, -5]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[83/2, 105/2, 6], [63, 89/2, -39/2], [73/2, 1, 5/2], [0, 0, 0]], [[326768569, 552891595/2, -88706817/2], [1183316325/2, 807929331/2, -186444692], [332737932, -76768091/2, -5969363/2], [3/2, 2, -5/2]], [[-105787093027375/2, -15293174356045, 16977036374501/2], [-99611807727287, -50180917966909/2, 36299860922975/2], [-164010800968159/2, -41246671566283/2, 14555926985196], [-92300, 17680, 43875]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[197/2, 101, 1/2], [-64, -113/2, -19/2], [193/2, -3/2, 1], [0, 0, 0]], [[306278928, 168563829/2, -243067501/2], [-196212694, 3710683/2, 139550097/2], [406742103, -42141129/2, -100463297/2], [-3, -5/2, -1/2]], [[-109464421299895/2, 13683051072149, -20927024709803/2], [103622969996507/2, 40338482203661/2, -2460759402684], [-1336109711955997/10, -893422926934527/10, 197196891435929/5], [4764291/10, -1897119/10, -1426887/5]]], 0, 80, [], [] >,
< [ -2, -6, -1, 1 ], [[-6, -13, -5]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-5/2, 1, 3/2], [-36, -5/2, 5/2], [-9/2, -1/2, 1], [0, 0, 0]], [[719/2, 1009/2, 74], [-645/2, -6680, 3729/2], [577/2, 3, 71/2], [3/2, -1, 5/2]], [[576623843/2, -214386880, -419111907/2], [5082145299, 3802902937/2, -1698603171/2], [1162909539/2, 167173789/2, -146571424], [3820920, -1244808, -2124048]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-83/2, -39, 1/2], [21, 57/2, 5/2], [-87/2, -3/2, 1], [0, 0, 0]], [[235315, -3162637/2, -2132897/2], [283957/2, 1437045, 1678693/2], [4927603/5, -3162419/10, -3750859/10], [7/10, 7/10, 1/5]], [[-278652267/2, -146297199, -97532863/2], [144335683/2, 227901493/2, 49349008], [-362246557/2, -181122231/2, 20898755], [-125/2, 41/2, 35]]], 0, 80, [], [] >,
< [ -2, -6, -1, 1 ], [[14, 4, -2]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, -7, -2], [9, -1, 4], [-11, -7, -2], [0, 0, 0]], [[106442, 26439, -12932], [-216413/2, 2111/2, 5252], [106444, 26427, -25873/2], [1/2, -2, 2]], [[400797746, 141053897/2, -183389807/2], [-462268382, -101225804, 103717683], [400836227, 141155705/2, -91679602], [4848, -4242, -10605/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-21, -1, 2], [-1, 1, -2], [-21, -1, 2], [0, 0, 0]], [[1381557, 276003, -215969], [212769/2, 58215/2, 32185], [6907809/5, 1380559/5, -2159967/10], [1/10, 8/5, -2/5]], [[9640757563, 7320969691/2, -2103203297/2], [2281773490, 5305130723, 2260630735], [9640683955, 7322242715/2, -2102378057/2], [-552, 10432, 6500]]], 1, 30, [], [] >,
< [ -2, -6, -1, 1 ], [[14, 4, -2]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[38, 15/2, 5/2], [-4, -4, -4], [38, 15/2, 5/2], [0, 0, 0]], [[-333262, -77131/2, 87021/2], [25022, -5283, 1029], [-333261, -77119/2, 43522], [-2, 1, -3/2]], [[404527499, 181868095/2, -165679545/2], [-65709637/2, -557195, 22902991/2], [404547266, 182002797/2, -165614175/2], [2697/2, -11717/2, -4025]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[26, -1/2, 5/2], [3, -1, -4], [26, -1/2, 5/2], [0, 0, 0]], [[1365141, 970401/2, -611329/2], [125653, 11115/2, -12313/2], [6825968/5, 4852431/10, -1528342/5], [-9/5, -13/10, 1/5]], [[458407628, 169175204, -70832119], [71422895/2, -46455179/2, -20465990], [458406520, 169127996, -141720141/2], [-203/2, 1208, 767]]], 1, 36, [], [] >,
< [ -2, -6, -1, 1 ], [[18, 2, -4]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-31, -5/2, -5/2], [-33, -62, -37], [-31, -5/2, -5/2], [0, 0, 0]], [[-7303594, -2705948, 1839075], [-3286698, 252598, 2350290], [-7303594, -2705948, 1839075], [3, -2, 0]], [[28250355264, 78592130827/2, 28600622731/2], [219843530897/2, 337740975046, 315074861083/2], [28250355264, 78592130827/2, 28600622731/2], [-56541/2, -118205/2, -22184]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-35, 1/2, -3/2], [22, -28, -2], [-35, 1/2, -3/2], [0, 0, 0]], [[-30262336, -3239447/2, 3118181/2], [45272105/2, -23314191/2, -2227367], [-151311999/5, -16197543/10, 15590927/10], [29/10, 7/5, -1/10]], [[1441901419, 2583220727, -502068284], [-2768854603/2, -2123623966, 3312861251/2], [7209517908/5, 12916125668/5, -2510333302/5], [-983/10, -2003/10, -369/5]]], 0, 240, [], [] >,
< [ -2, -6, -1, 1 ], [[18, 2, -4]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -5/2, 3/2], [7, 13, 4], [5, -5/2, 3/2], [0, 0, 0]], [[5041, 2337/2, -1669/2], [2546, 2257/2, -405/2], [5041, 2337/2, -1669/2], [-1, 1/2, -1/2]], [[44093132, 17285127, -4672458], [68938101/2, 108178835/2, 19646706], [44093132, 17285127, -4672458], [-57047/2, -57887, -42529/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[89, -5/2, 3/2], [35, 53, 10], [89, -5/2, 3/2], [0, 0, 0]], [[7643320, -3731381/2, 639951/2], [5833547/2, 7403441/2, 90490], [38217029/5, -18656817/10, 3199733/10], [-39/10, -2/5, 1/10]], [[-12914018012124, -22269513870812, -6073830373798], [-17429255967235, -54478956471680, -25980583295885], [-12914186112364, -22269874147652, -6073967912738], [7640920, 16376220, 6251770]]], 0, 240, [], [] >,
< [ -2, -6, -1, 1 ], [[-24, 0, 8]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 34, 16], [10, 13, 5], [0, 0, 0]], [[0, 0, 0], [392, -1801/2, 529/2], [-15944, 6929, -562], [-3, 1/2, 3/2]], [[0, 0, 0], [-575744, 887881/2, -168571/2], [17880981, -1851639, -2480435/2], [3380, 1781/2, -728]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, 76, 38], [-10, 7, -1], [0, 0, 0]], [[0, 0, 0], [10983, -34613/2, -20589/2], [388580, 110601, -75309], [2, -3/2, -1/2]], [[0, 0, 0], [191575445, 47252957/2, -107809213/2], [21049848057/5, 5080332977/5, -7565071821/10], [156709/5, 82153/10, -36236/5]]], 0, 480, [], [] >,
< [ -2, -6, -1, 1 ], [[-24, 0, 8]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 47, 31], [28, 3, 5], [0, 0, 0]], [[0, 0, 0], [-3202065, -594939/2, 926205/2], [96199119, 24511869, -35376243/2], [3, -3/2, 1]], [[0, 0, 0], [-3107465265, -1618521457/2, 1215799963/2], [86362936510, 21284080602, -15649629817], [4212, 4563/2, -1053/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, 10, 10], [28, 1, -5], [0, 0, 0]], [[0, 0, 0], [-8494, 13535, -333], [6563997/5, 1665577/5, -2414651/10], [9/5, -6/5, 3/10]], [[0, 0, 0], [-5521910, -6315489/2, 785777/2], [2102346199/5, 519990209/5, -761795527/10], [4208/5, 2321/10, -992/5]]], 0, 480, [], [] >,
< [ -2, -6, -1, 1 ], [[-40, -24, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [56, 54, 32], [16, 7, 5], [0, 0, 0]], [[0, 0, 0], [-466652, -166145/2, -15047/2], [-158310, -14361, 7561], [5, -9/2, -5/2]], [[0, 0, 0], [-78187945, -95827511/2, 51935489/2], [-26946178, -16239205, 8381268], [1190, 1785/2, -595/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 25, -9], [-50, -5, -5], [0, 0, 0]], [[0, 0, 0], [169066, -4243810, 1425828], [26009428/5, -6013142/5, 2349108/5], [16/5, 1/5, 1/5]], [[0, 0, 0], [250512872847, 455838987157/2, -189083807579/2], [590356644146, 296661033037, -125990825510], [322460, 315895/2, -110805/2]]], 0, 3840, [], [] >,
< [ -2, -6, -1, 1 ], [[-40, -24, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, -5, -11], [-6, 1, -3], [0, 0, 0]], [[0, 0, 0], [20095, 53463/2, -44469/2], [-145754, -16024, 17015], [0, 3/2, -1/2]], [[0, 0, 0], [52, 1560, 758], [8814, 2639, -1417], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 13, 5], [-10, 2, 4], [0, 0, 0]], [[0, 0, 0], [-4647, -24356, 8003], [-20234/5, 9741/5, -1494/5], [37/5, -18/5, 2/5]], [[0, 0, 0], [-11545051, -121115489/2, -74625361/2], [-66407788/5, -131011238/5, -48537963/5], [58374/5, 60813/10, -18907/10]]], 0, 3840, [], [] >,
< [ -2, -6, -1, 1 ], [[32, -96, -64]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-52, -18, -8], [-4, 6, -6], [0, 0, 0]], [[0, 0, 0], [3, 1, 0], [0, 0, 1], [1, 0, 0]], [[0, 0, 0], [-346742, -13720, 97634], [-48256, 8584, 15776], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-62, -12, -14], [20, 2, -6], [0, 0, 0]], [[0, 0, 0], [-653911, -1027418, 416157], [69736, -2090, -3683], [5, -3, 1]], [[0, 0, 0], [17359089312, 17859180864, -636369514], [-16825114292/5, 1851750178/5, 5817166208/5], [-1265004/5, 891036/5, 771786/5]]], 0, 61440, [], [] >,
< [ -2, -6, -1, 1 ], [[32, -96, -64]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, -16, -8], [8, -18, 2], [0, 0, 0]], [[0, 0, 0], [-1, 1, 0], [0, 0, 1], [1, 0, 0]], [[0, 0, 0], [-562, -234, 42], [-468, -120, 64], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-62, -38, -26], [0, -10, -10], [0, 0, 0]], [[0, 0, 0], [8463022, 2471018, -1747696], [-1710618/5, -152408/5, 90087/5], [14/5, 24/5, -1/5]], [[0, 0, 0], [88543470149, 21900061207, -15878206508], [-19843037872/5, -4807406792/5, 3863531063/5], [52911/5, -12924/5, -19044/5]]], 0, 61440, [], [] >,
< [ -2, -6, -1, 1 ], [[0, -32, -16]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 0, 2], [-16, -18, 2], [0, 0, 0]], [[0, 0, 0], [41257, 21173, -11515], [-31705, 11090, 1417/2], [4, 4, -1/2]], [[0, 0, 0], [1662016, 413604, -285147], [-1875447, -530262, 655069/2], [113, -20, -91/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 4, 10], [20, 6, 2], [0, 0, 0]], [[0, 0, 0], [49772, 26024, -19903], [-591613/5, -72408/5, 133619/10], [-1/5, 34/5, 3/10]], [[0, 0, 0], [-89748647, -20093149, 16498550], [1340810894/5, 339750264/5, -243737306/5], [31523/5, 7048/5, -7147/5]]], 0, 7680, [], [] >,
< [ -2, -6, -1, 1 ], [[0, -32, -16]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -2, -4], [-20, 2, 2], [0, 0, 0]], [[0, 0, 0], [493, 1960, 1223], [-2635, -6878, 4331/2], [-2, -1, -1/2]], [[0, 0, 0], [-27514, 954, 7932], [93047, 54314, -55561/2], [-893, -228, 323/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, 6, 4], [-20, 0, 0], [0, 0, 0]], [[0, 0, 0], [-8127, -985, 582], [-65273/5, 5702/5, 12049/10], [24/5, 4/5, 3/10]], [[0, 0, 0], [-95248542, -32378100, 8270528], [-153962032, -21384842, 27489902], [61072, 35552, 4312]]], 0, 7680, [], [] >,
< [ -2, -6, -1, 1 ], [[-6, -3, 1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[75/2, 40, 5/2], [26, 95/2, 41/2], [75/2, 5/2, 0], [0, 0, 0]], [[412735/2, 143202, -43497/2], [225597/2, 240627/2, 40559], [495589/2, 39333/2, -41437/2], [-5/2, 1/2, 5/2]], [[-4522338090, 2875913135, 3024162802], [-316205300, 7764286429, 4525033422], [-8897055001, -1350903957, 4373362411/2], [157122, 244584, 181503/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 9, 0], [-27, 3, -2], [5, -2, 1], [0, 0, 0]], [[26069/2, 19095/2, -1676], [-149599/2, -15211/2, 7218], [148567/10, 51/5, -4504/5], [-1/10, 19/10, -1/10]], [[-1001610027/2, 1714655163/2, 652426472], [5884685627, 391143238, -1655472757], [-2430991097/2, -67758596, 694820131/2], [128412, 421275/2, 160023/2]]], 1, 20, [], [] >,
< [ -2, -6, -1, 1 ], [[-34, -11, 5]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[57, 66, 5], [-5, 62, 7], [53, 1, 2], [0, 0, 0]], [[85637223/2, -44636021/2, -10061927], [-131947407/2, -134626175/2, 17736221], [195786633/2, 45012762, -55074679/2], [5/2, -3/2, 2]], [[467615897068289/2, 309978565481124, 205779059995527/2], [-54330073588776, 381834009706917/2, 261366666554059/2], [521053710406145/2, 259216596162775/2, -13359534741400], [-1595464, -36241790, -19554002]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[845/2, 853/2, 3], [-18, 849/2, -5/2], [843/2, 2, 1/2], [0, 0, 0]], [[-2633790138309/2, -794371370625, 389257003199/2], [802621239889/2, -1323032533217/2, 30684265562], [-16447902661731/10, -1332666952881/10, 819737992187/5], [-7/10, 3/10, -1/5]], [[-108315788322026913/2, -3104304506883509111/2, -870581750461779588], [-1281192489161195255/2, -1252629701291111082, -1042765314297606305/2], [5732547146446913627/10, -1215845709163470234/5, -3137063045104914213/10], [-930721/10, -7206738/5, -7696161/10]]], 0, 160, [], [] >,
< [ -2, -6, -1, 1 ], [[-34, -11, 5]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[167/2, 84, 1/2], [14, 171/2, -7/2], [167/2, 1/2, 0], [0, 0, 0]], [[6291150, 139972855/2, -28196687/2], [145490893/2, 323766211/2, -52959086], [-71502457, -183783913/2, 77793617/2], [-7/2, -2, 1/2]], [[968447797609/2, 2464786663199/2, 467931822516], [290149823653, 1989406989401/2, 587821758429/2], [407972614851/2, 187694449297, 280237861319/2], [-4725, -59265, -31380]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-310, -307, 1], [3, -303, 0], [-312, -1, 1], [0, 0, 0]], [[506, 128, -94], [-571/2, -123/2, 49], [4197/5, 1017/5, -813/5], [-7/10, -1/5, 3/10]], [[-52549/2, -10651/2, 5412], [15321, 7599/2, -5705/2], [-81623/2, 803, 27081/2], [-16, -160, -84]]], 0, 160, [], [] >,
< [ -2, -6, -1, 1 ], [[-34, -11, 5]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11, -39/2, -11/2], [-28, -21, 1], [-8, -5/2, -3/2], [0, 0, 0]], [[-67473/2, -86285/2, 33977], [-109960, -117883, 60149], [19261/2, 77350, -43387/2], [4, 5/2, 1/2]], [[1390857490, 3535185089, 1113543307], [4546876485/2, 3324509935, 595440641/2], [359974056, 81618661, 514790574], [49571/2, 570177/2, 150393]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[85/2, 34, -9/2], [56, 67/2, 5/2], [93/2, -1/2, -2], [0, 0, 0]], [[-8213373, -6482971, 712744], [-22020987/2, -6812235, -1166343/2], [-46154188/5, -1524308/5, 2544202/5], [-27/10, -7/10, -1/5]], [[-1373870639837/2, -5603351128292, -6039922246195/2], [-3129100989583/2, -20227315656621/2, -5227980420720], [2419052838977/2, -2246766351351/2, -948161164372], [-242781/2, -3611181/2, -962598]]], 0, 160, [], [] >,
< [ -2, -6, -1, 1 ], [[-6, -3, 1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 8, 1], [21, 14, 1], [7, 1, 0], [0, 0, 0]], [[-4742, 12582, -19], [-73977/2, -717, 20623/2], [-22085, -17362, 17343/2], [5/2, 1/2, 3/2]], [[20632605/2, -54556965/2, -18228315], [59343180, -75081837/2, -80709467/2], [59365545/2, 1138155, -9683235], [-10530, -18330, -14295/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-128, -261/2, -3/2], [-68, -78, -16], [-127, -1/2, -1/2], [0, 0, 0]], [[88570239/2, 118735223/2, -37546141], [23928955/2, 5163845/2, -13964846], [-83435031/10, -450873658/5, 131571627/5], [3/10, 13/10, 3/10]], [[15059517567313/2, 4273656472943, -407002036015/2], [4097059221540, 5829253831621/2, 586020206431/2], [21164714915949/2, 5698192024701/2, -1526302264311], [-87376, -136446, -50516]]], 1, 20, [], [] >,
< [ -2, -6, -1, 1 ], [[-6, -3, 1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[49/2, 29, 5/2], [42, 79/2, 41/2], [45/2, 1/2, 1], [0, 0, 0]], [[-125443/2, -1361041/2, -310467], [-229439/2, -1486657, -1826911/2], [489221/2, -3135, -153666], [5/2, 1, -2]], [[44475094, -16774692, -23372836], [91049391, -47802117, -57401014], [82352044, 14504114, -18938475], [684, 114, -171]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[128, 273/2, 7/2], [88, 87, 21], [123, -3/2, 5/2], [0, 0, 0]], [[-6560917675/2, -1701106992, 1242395611/2], [-2276073195, -844347659, 254641636], [-42386128983/10, -3369563043/10, 2395385091/5], [-3/5, -21/10, -1/10]], [[-2448721171569479/2, -507176583323269/2, 251644422974408], [-1829176843166971/2, -177752525718931, 387659579211549/2], [-19434884532103821/10, -2337417210848478/5, 1797819689221347/5], [1242943/10, 961259/5, 354224/5]]], 1, 24, [], [] >,
< [ -2, -6, -1, 1 ], [[-10, -6, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 4, 2], [37, 29, 14], [2, 4, 2], [0, 0, 0]], [[10911, -2267, 507], [796717/2, -45003, -39321/2], [10913, -2286, 997/2], [3/2, -1/2, 5/2]], [[1427906536, 812889141/2, -541620495/2], [99203988431/2, 27019646453/2, -9361834121], [1428812218, 813191577/2, -271039107], [516255/2, 109755, -46341]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21, 1, -2], [31, -1, 4], [21, 1, -2], [0, 0, 0]], [[3815975, 307289/2, -669257/2], [5683633, -18944, 958014], [3816044, 307413/2, -334598], [1, 1, 1/2]], [[-195057879659, -133849646709/2, 82004977181/2], [-646031251529/2, -298795856337/2, 75213499388], [-975303369867/5, -669261492749/10, 205014933453/5], [-391573/10, -96349/5, 33821/5]]], 1, 60, [], [] >,
< [ -2, -6, -1, 1 ], [[-10, 4, 6]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-74, -5/2, 1/2], [22, 4, -2], [-74, -5/2, 1/2], [0, 0, 0]], [[-94747621, 57165852, -26045618], [65265637/2, -985298, 739915/2], [-94747611, 57165862, -26045610], [-5/2, -5/2, -2]], [[203008114639940, 106819833525695/2, -73707828419375/2], [-56218810420717, -14402573168036, 10166292273237], [203008101732116, 106819825264895/2, -73707824571215/2], [3226956, 1032600, -481020]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-40, 6, 2], [-7, 1, -2], [-40, 6, 2], [0, 0, 0]], [[46684, 9869/2, -10057/2], [14482, 21258, 9836], [233576/5, 49657/10, -49973/10], [2/5, 2/5, 2/5]], [[-1438881087, -360449900, 261153334], [-539803965/2, -182717539/2, 35818022], [-7198414284/5, -1803571054/5, 1306342271/5], [-102791/10, -16943/5, 14759/10]]], 0, 480, [], [] >,
< [ -2, -6, -1, 1 ], [[-10, 4, 6]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-53, -1, -2], [-25, -3, -4], [-53, -1, -2], [0, 0, 0]], [[17819, 28823/2, -80157/2], [4085, -17979/2, -60399/2], [17799, 28819/2, -80177/2], [-5, -1/2, -5/2]], [[-14, -7/2, 5/2], [49/2, 6, -9/2], [140, 69/2, -51/2], [77/2, 19/2, -7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-135, -5/2, -5/2], [19, 4, 5], [-135, -5/2, -5/2], [0, 0, 0]], [[-15752718, -665791, 1486640], [4144105/2, -21407, -84423/2], [-15753023, -665608, 1486640], [5/2, -3/2, 0]], [[2891979062796, 1329887045075/2, -1128808777057/2], [-385009208535, -67563869121, 87685952298], [14460257706318/5, 6649672025911/10, -5644149265469/10], [-2970429/5, -970494/5, 431886/5]]], 0, 480, [], [] >,
< [ -2, -6, -1, 1 ], [[-10, 4, 6]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-53, -4, 1], [61, 0, 3], [-53, -4, 1], [0, 0, 0]], [[-795985107, -10119320, 27911854], [1816122883/2, -166582889/2, 25749537], [-795985117, -10119324, 27911848], [-5/2, -1, -3/2]], [[-1130212302572212, -580179136043079/2, 406484862276125/2], [1351309539001673, 351242227502964, -242147821754819], [-1130212316255332, -580179144835719/2, 406484866334485/2], [-3420780, -1099080, 507295]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-308, -2, -2], [-23, 3, -4], [-308, -2, -2], [0, 0, 0]], [[-16982130712, -3031193577/2, 2861383199/2], [-1298454918, 13653083/2, 11102965/2], [-84910653404/5, -15155967963/10, 14306915917/10], [2/5, -1/10, -1/10]], [[-1232556777283693, -596406027505037/2, 476466328652381/2], [-196925383946471/2, -22959447686113, 40095832925045/2], [-6162783873560282/5, -2982030129240259/10, 2382331639461121/10], [329697/10, 106217/10, -24364/5]]], 0, 480, [], [] >,
< [ -2, -6, -1, 1 ], [[-10, -6, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, 9/2, 1/2], [4, 16, 6], [11, 9/2, 1/2], [0, 0, 0]], [[167212, 1593, -16326], [4406, 56182, -13642], [167205, 1567, -32693/2], [2, 1, 5/2]], [[-1617515382, -886405901/2, 610879289/2], [385024117/2, 175568243/2, -55263092], [-1617491969, -886273085/2, 610923987/2], [-44271/2, -13622, 3831/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[10, -15/2, -5/2], [-14, -14, 2], [10, -15/2, -5/2], [0, 0, 0]], [[31961, -53381/2, 15411/2], [-102757/2, -50747, 47927/2], [159784/5, -267247/10, 77183/10], [1/10, 11/10, -2/5]], [[-1037156, -742153/2, 319603/2], [1298895/2, 84249/2, -145818], [-5187086/5, -3712217/10, 799184/5], [91/10, 23/5, -7/5]]], 1, 72, [], [] >,
< [ -2, -6, -1, 1 ], [[-10, -6, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 1/2, -5/2], [-4, -9, -13], [-6, 1/2, -5/2], [0, 0, 0]], [[69456, 29492, -4548], [47843, 84092, 34445], [69460, 29506, -4542], [2, -1, -1]], [[232454, 225223/2, -123497/2], [249581/2, 260549/2, -64993], [232436, 225139/2, -61735], [27/2, 15, -6]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[69, -3, -2], [11, -32, 5], [69, -3, -2], [0, 0, 0]], [[11571999, -2478483/2, -256001/2], [3147117/2, -6259763, 2360601/2], [57860043/5, -12392289/10, -639947/5], [-3/10, -3/10, -3/10]], [[-33436037157, -20569286551/2, 13216864105/2], [-11860419983, -10219245307/2, 5913631669/2], [-167180285521/5, -102846542337/10, 66084349943/10], [3478/5, 3491/10, -1139/10]]], 1, 60, [], [] >,
< [ -2, -6, -1, 1 ], [[8, -24, -16]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -35, -23], [-28, -11, -1], [0, 0, 0]], [[0, 0, 0], [42920, -41865/2, -130129/2], [-133715, -5048, 1677/2], [-2, -1/2, 0]], [[0, 0, 0], [-8808921, -29083243/2, -5437281/2], [11731365, -2138351, -4588709/2], [161, -77/2, -49]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -11, -1], [40, 9, 3], [0, 0, 0]], [[0, 0, 0], [-2334, 1825/2, 2489/2], [34601/5, -4474/5, -22453/10], [22/5, 29/10, 2/5]], [[0, 0, 0], [-41963508, -25044412, -1264982], [524553542/5, 175608467/5, -14538013/5], [209344/5, -74496/5, -90656/5]]], 0, 960, [], [] >,
< [ -2, -6, -1, 1 ], [[40, 64, 24]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, -11, -1], [-18, -5, -1], [0, 0, 0]], [[0, 0, 0], [1114775, -381117/2, -41281/2], [-1702322, -122669, 252655], [0, 9/2, -1/2]], [[0, 0, 0], [-8576423445, -2464607883/2, 3403411033/2], [12361169488, 3434910378, -1849933979], [16112, 30323/2, 11787/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 2, 2], [416, 9, -1], [0, 0, 0]], [[0, 0, 0], [10308188, -150961, 82875], [-1491614578/5, 661976677/5, 112738382/5], [4/5, -6/5, -1/5]], [[0, 0, 0], [61070314846, -9111297605/2, -31729529739/2], [-2252747661808, -643642587033, 87769136942], [9149, 12963/2, 4173/2]]], 0, 7680, [], [] >,
< [ -2, -6, -1, 1 ], [[40, 64, 24]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, -3, -5], [74, 3, -5], [0, 0, 0]], [[0, 0, 0], [11225197, 285952, 1349953], [-30353146, -1154961, 2439484], [-5, 1, 1]], [[0, 0, 0], [-167733613404, 935169951527/2, 406456247197/2], [786464648160, -139042982509, -170590663146], [186067, 263739/2, 86849/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, -13, -5], [-44, 0, -4], [0, 0, 0]], [[0, 0, 0], [68218054, 3671653/2, -7636265/2], [544217334/5, -91099436/5, -13522676/5], [13/5, -39/10, 1/10]], [[0, 0, 0], [312340737041650, -22559798659015/2, -175917849414697/2], [2754414066212004/5, 180468294183609/5, -546975395279626/5], [119984543/5, 177433301/10, 58547651/10]]], 0, 7680, [], [] >,
< [ -2, -6, -1, 1 ], [[40, 64, 24]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -6, -4], [-38, -1, -1], [0, 0, 0]], [[0, 0, 0], [-4578, 115, -49], [-152310, -488351, 171413], [2, 0, -2]], [[0, 0, 0], [6663935, 3549433/2, -3163459/2], [-125048918, -156395453, 62535560], [-2720, -3285/2, -865/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-60, -15, -5], [202, 3, 3], [0, 0, 0]], [[0, 0, 0], [115667286, -1099343/2, -3576021/2], [-2019856558/5, 259942197/5, 47294697/5], [-1/5, 23/10, 3/10]], [[0, 0, 0], [25601389234670, 6143468889543/2, -10325212437111/2], [-470827957941752/5, -71277189820817/5, 83065895734008/5], [-1347059/5, -2018313/10, -679283/10]]], 0, 7680, [], [] >,
< [ -2, -6, -1, 1 ], [[8, -24, -16]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -13, -9], [-6, -6, 0], [0, 0, 0]], [[0, 0, 0], [-33, -27/2, -3/2], [-121, -41, 7/2], [-5, 1/2, -2]], [[0, 0, 0], [17595, 4462, -2019], [65684, 16089, -8978], [3023, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, -29, 11], [64, -3, 3], [0, 0, 0]], [[0, 0, 0], [18345193, 28874553/2, -12867535/2], [-85234240, -10081040, 10907099], [0, 5/2, 1/2]], [[0, 0, 0], [9603359260734, 5860241558531/2, -3817030007859/2], [-304730422567937/5, -73275833209917/5, 107279149755091/10], [-2623264/5, 2108697/10, 1192371/5]]], 0, 960, [], [] >,
< [ -2, -6, -1, 1 ], [[8, -24, -16]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, -42, -32], [-24, -9, -3], [0, 0, 0]], [[0, 0, 0], [-3992747, 1470295, -1061498], [-4870864, -307119, 425969], [-3, 1, 0]], [[0, 0, 0], [-17284349317, -100646299885/2, -46592074677/2], [-4897496895, -9048095571, -7298227921/2], [-1421, 807/2, 543]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-58, -41, 1], [90, 10, 0], [0, 0, 0]], [[0, 0, 0], [12188101, 5832486, -2058889], [-96917344/5, 5841831/5, 4426406/5], [7/5, -8/5, 2/5]], [[0, 0, 0], [-629226550, 10180338091/2, 6242042993/2], [17225034507/5, -14553167193/5, -26427602001/10], [-2076/5, 933/10, 759/5]]], 0, 960, [], [] >,
< [ -2, -6, -1, 1 ], [[32, 0, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, -40, -10], [0, -26, -10], [0, 0, 0]], [[0, 0, 0], [-272860, -87369, 58537], [308176, 61198, -49186], [4, -1, 1]], [[0, 0, 0], [28458907, 12693513, -2138261], [-30458487, -3345972, 15568815/2], [234, 2340, 2457/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 20, -10], [-4, -16, 4], [0, 0, 0]], [[0, 0, 0], [42190, 6202, -7891], [-32653/5, -6778/5, 4799/10], [9/5, -16/5, 3/10]], [[0, 0, 0], [-257267021, -158571478, -6652240], [114005279/5, -155980106/5, -252367587/10], [-141062/5, -198667/5, -128979/10]]], 0, 15360, [], [] >,
< [ -2, -6, -1, 1 ], [[224, 64, -32]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-26, 4, -10], [-72, -14, -10], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [-4, 0, 1], [1, 0, 0]], [[0, 0, 0], [-2601126, 2785044, 2741254], [-6534912, 5218176, 5462016], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 6, -10], [-328, 2, 6], [0, 0, 0]], [[0, 0, 0], [-445085, -10484, -2577], [-8041832, -1295310, 1095201], [1, -3, 1]], [[0, 0, 0], [-293191999, -1808851767, -939138612], [15004285708/5, -20257776452/5, -16519262147/5], [651/5, 23436/5, 13826/5]]], 0, 122880, [], [] >,
< [ -2, -6, -1, 1 ], [[224, 64, -32]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 2, 2], [60, 10, -6], [0, 0, 0]], [[0, 0, 0], [1, 1, 0], [4, 0, 1], [1, 0, 0]], [[0, 0, 0], [-26, -210, -120], [-672, -672, 0], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 8, -4], [56, 14, -6], [0, 0, 0]], [[0, 0, 0], [1064, -2405, 947], [13090, 13550, 343], [2, 1, 0]], [[0, 0, 0], [7978145, 9269002, -8217487], [-124862378/5, -628457518/5, -252214988/5], [1699/5, -43581/5, -26866/5]]], 0, 122880, [], [] >,
< [ -2, -6, -1, 1 ], [[224, 64, -32]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 146, 76], [-44, -10, 6], [0, 0, 0]], [[0, 0, 0], [-3, 1, 0], [4, 0, 1], [1, 0, 0]], [[0, 0, 0], [4704, 28224, 16464], [-148596, -36366, 26506], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 6, -10], [56, 22, 10], [0, 0, 0]], [[0, 0, 0], [-2542293, 253834, 109557], [-88967656/5, -28577586/5, 19412189/5], [13/5, -17/5, 3/5]], [[0, 0, 0], [-43115666890, -50732119378, -13751562380], [-653279842596/5, 492861259384/5, 480903936684/5], [34068/5, -583712/5, -365092/5]]], 0, 122880, [], [] >,
< [ -2, -6, -1, 1 ], [[32, 0, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -6, 2], [20, -14, -2], [0, 0, 0]], [[0, 0, 0], [-10755, -2093, 2174], [16188, 1560, -1123], [-5, -4, -2]], [[0, 0, 0], [2173933, 596655, -360154], [-3357723, -617632, 1357199/2], [650, -430, -863/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 54, 8], [128, 10, -2], [0, 0, 0]], [[0, 0, 0], [698766, 2156973, 387779], [39865101/5, 6428016/5, -6214703/10], [-23/5, -3/5, -1/10]], [[0, 0, 0], [5095401053, 17231579431, 8375363230], [89298735542/5, 67578449402/5, 7241009072/5], [-62671/5, -72096/5, -18341/5]]], 0, 15360, [], [] >,
< [ -2, -6, -1, 1 ], [[32, 0, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -12, -4], [8, -4, -8], [0, 0, 0]], [[0, 0, 0], [259443, 179736, -93829], [52678, -48726, -3564], [5, -3, -2]], [[0, 0, 0], [112309739, 9296729, -19344502], [45842897, 8376454, -28503809/2], [3470, -366, -2923/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, -8, 14], [-36, 14, 2], [0, 0, 0]], [[0, 0, 0], [19252, 39493, -37741], [-143619/5, -377674/5, 212537/10], [17/5, 7/5, -1/10]], [[0, 0, 0], [-4125, -6715, -76432], [1067749/5, -271916/5, -244797/10], [2408/5, 608/5, -859/10]]], 0, 15360, [], [] >,
< [ -2, -6, -1, 1 ], [[24, 15, 1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[13, 49/2, 13/2], [10, 6, -4], [8, 3/2, 5/2], [0, 0, 0]], [[3498575, 2859147/2, -1000613/2], [9905535/2, 1472695, -1999449/2], [5067276, 2136781/2, -1568703/2], [-3/2, -1/2, 1]], [[1013754154361/2, 108400911056, -196756793029/2], [752655041656, 364557624961/2, -269231018213/2], [1613951378517/2, 403439260287/2, -150048950805], [-210617, -64262, 16500]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[19, 25/2, -7/2], [90, -3, 1], [22, -1/2, -3/2], [0, 0, 0]], [[-241790431/2, -235345883/2, 3394409], [-522057348, -78736260, -97864136], [-241445441/2, 3566589, -172077/2], [-5, -1/2, -1/2]], [[14175804493824963/2, 8902546400133223/2, -228131980392629], [81931775892054253/2, 14580892798578087, -3173279797731303/2], [94963715670649819/10, 10901782583542777/5, -12042462573656031/10], [3895261943/10, 599247869/5, -299430507/10]]], 0, 320, [], [] >,
< [ -2, -6, -1, 1 ], [[24, 15, 1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-73, -82, -5], [-33, -94, -49], [-69, -1, -2], [0, 0, 0]], [[-113680315/2, -157248607/2, -12725265], [-71579597/2, -216804001/2, -54733651], [-95562597/2, -3666390, -9058881/2], [11/2, 3/2, 0]], [[-5671673666201/2, -5997938144747/2, -451616826890], [-1515442563947, -8652413557417/2, -4169592143297/2], [-6248645563611/2, -740101831755, 288484808481/2], [340272, 104312, -27608]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[48, 89/2, -1/2], [38, 30, 0], [51, 5/2, -3/2], [0, 0, 0]], [[71264011/2, -34206717/2, -7839039], [67064829/2, -6559639, -16646403/2], [161056439/2, 37057347, -44896387/2], [3/2, -1, 1/2]], [[-8589885453/2, 3259671/2, 1250641999], [-3729663340, -192380823, 1030252171], [-73408574343/10, -8976418129/5, 15229639957/10], [-1113/5, -691/10, 169/10]]], 0, 320, [], [] >,
< [ -2, -6, -1, 1 ], [[24, 15, 1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-93/2, -54, -7/2], [23, -93/2, 55/2], [-85/2, 1/2, -2], [0, 0, 0]], [[186539, 652859/2, 146539/2], [-93711/2, 306133/2, -159597], [119936, 13313/2, 66625/2], [-9/2, -2, -1/2]], [[71580475/2, 18001389, -10154377/2], [-85008205/2, 15907691/2, -742393], [97016431/2, 15271859/2, -6356802], [-3159/2, -729/2, 243]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, 25/2, 5], [95, -9/2, -5/2], [-5/2, 0, 5/2], [0, 0, 0]], [[-25753/2, -28761/2, -2191], [1287465/2, 404703/2, -135746], [-136521/10, -15158/5, 3559/10], [13/10, 23/10, -1/5]], [[-45780084905/2, -15159049603/2, 2926961042], [1548074537250, 378194023183, -280712291893], [-70723839971/2, -9483750496, 12398204983/2], [1239907, 759425/2, -192955/2]]], 0, 320, [], [] >,
< [ -2, -6, -1, 1 ], [[24, 15, 1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-45/2, -43/2, 0], [49, -55/2, -11/2], [-47/2, -1, 1/2], [0, 0, 0]], [[86372795, 143678379/2, -9152325/2], [-209787281, 164567155/2, 45402355/2], [96330246, 10762557/2, -9957431/2], [-2, 1/2, -3/2]], [[-84944901190563/2, -15621517617607, 11333043401649/2], [315480692246357/2, 59768795034063/2, -29438459825910], [-127313736852971/2, -31035783220967/2, 10592206126005], [3277177/2, 1017229/2, -121895]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-49/2, -33/2, 5], [-62, -15/2, 3/2], [-55/2, 2, 3/2], [0, 0, 0]], [[-2109/2, -2519/2, -130], [-5445/2, -1971, -1549/2], [-12409/10, -1032/5, -159/10], [37/10, 11/5, -3/10]], [[-6363783/2, -1338383, -786259/2], [-24983877/2, -8102309, 1716315/2], [-64492937/10, -29226077/10, 6108134/5], [144681/10, 20413/5, -13869/10]]], 0, 320, [], [] >,
< [ -2, -6, -1, 1 ], [[4, 3, 1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33, -81/2, -5/2], [30, -40, 2], [-28, 5/2, -5/2], [0, 0, 0]], [[112551619/2, 50764014, -12286709/2], [-67904235, 113236025/2, -9313393/2], [111288493/2, -13549811/2, 631555/2], [-1, 2, -1/2]], [[12304163747/2, 15664865957/2, 2415371933], [-17848026429/2, 545382218, 6033525547/2], [13774203879/2, 3150392657, -367510250], [-381/2, -26, 41]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[168, 353/2, 7/2], [-4, 177, 3], [163, -3/2, 5/2], [0, 0, 0]], [[-55582411/2, -37308794, 46445499/2], [-31841137, -93267935, 39582465], [49488303/10, 559633753/10, -163702267/10], [-12/5, 21/10, -2/5]], [[126991577939/2, 666707968537/2, 174614097384], [198776670775/2, 516288272263/2, 128063794720], [-63499372307/2, 79369850101, 47622355532], [-21407/2, -2407/2, 4753/2]]], 1, 40, [], [] >,
< [ -2, -6, -1, 1 ], [[4, 3, 1]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-43/2, -33/2, 2], [4, -27/2, 11/2], [-49/2, -1, 3/2], [0, 0, 0]], [[7364043/2, 1060443, -1345659/2], [-4288567/2, -443085/2, 277863], [11261529/2, 2551835/2, -1948761/2], [3/2, 1/2, 3/2]], [[1072616344005, 265808026797, -195700456243], [-676025726955, -163748580059, 121861749959], [1683722262822, 415407153666, -611107037961/2], [485537, 62764, -205751/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-106, -191/2, 11/2], [24, -93, 5], [-111, 1/2, 5/2], [0, 0, 0]], [[296883106, 442862587/2, -92744475/2], [-166107551/2, 477065433/2, -33741474], [1629812731/5, -172927603/10, -72699069/5], [19/10, 7/5, 2/5]], [[195553681293441/2, 30000673381579, -44528527412927/2], [-68765538484647, 7210230340413/2, 8484902690925/2], [1432886999382973/10, 232476344053353/10, -113779710275626/5], [3103128/5, 360108/5, -684747/5]]], 1, 40, [], [] >,
< [ -2, -6, -1, 1 ], [[10, 16, 6]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-26, 1/2, -5/2], [-16, -4, 4], [-26, 1/2, -5/2], [0, 0, 0]], [[-43456, -47646, 23848], [-12147, 145, 312], [-43458, -47652, 23827], [0, -1, 2]], [[173866030, 93551655/2, -77612709/2], [181082067/2, 45648377/2, -15289039], [173895280, 93631475/2, -38788512], [-10465/2, -3315, -845]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[263, 7, 2], [1, -3, 2], [263, 7, 2], [0, 0, 0]], [[1255074543, 520612523/2, -377823443/2], [10180007, -245340, -124108], [1255074608, 520612911/2, -188911693], [1, 3, 1/2]], [[71219503857225, 35195518905255/2, -25882419009603/2], [1284904133381/2, 157340135611, -233480486901/2], [356097518665103/5, 175977593641981/10, -64706047664877/5], [-17773/10, -13983/10, -4823/10]]], 1, 120, [], [] >,
< [ -2, -6, -1, 1 ], [[10, 16, 6]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13, 3/2, -1/2], [4, -1, 1], [-13, 3/2, -1/2], [0, 0, 0]], [[262529, 29308, -24458], [-169247/2, -12889/2, 1193], [262527, 29320, -48907/2], [-1/2, 2, -2]], [[-29592048944, -15910026255/2, 9298110297/2], [19800975931/2, 6159955277/2, -1250716769], [-29591613444, -15911306755/2, 4648576586], [405275/2, 143325, 44200]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[166, -7/2, 3/2], [2, -2, -4], [166, -7/2, 3/2], [0, 0, 0]], [[606542276, 416178487/2, -263098111/2], [6786581, 118842, -7359], [3032710872/5, 2080892719/10, -1315490291/10], [4/5, -1/5, -1/5]], [[285510573237, 204705703437/2, -114922488205/2], [5339570583/2, -1675358213, -1787282383/2], [1427552531243/5, 1023528010951/10, -287306305067/5], [5157/10, 3707/10, 1187/10]]], 1, 120, [], [] >,
< [ -2, -6, -1, 1 ], [[-2, -30, -16]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[54, 7/2, 5/2], [14, 97, 45], [54, 7/2, 5/2], [0, 0, 0]], [[-414011496, -70292567/2, 7148401/2], [-85125271/2, -526511778, -502218793/2], [-414011478, -70292579/2, 7148417/2], [9/2, -3/2, 2]], [[116009766205188, 42987414253646, -12586311663050], [8442607810087, 126709487376859, 69086941692754], [116009759575556, 42987410355150, -12586311801674], [-1657408, -974624, -34656]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17, -1, 0], [55, -13, 2], [17, -1, 0], [0, 0, 0]], [[-145454, -35493/2, -4647/2], [-946247/2, 17358, -26061/2], [-726919/5, -179103/10, -22923/10], [9/10, -21/10, 2/5]], [[397359318713, -255299281659, -271619608329], [2975155759975/2, -997241088643/2, -756340770512], [1983996028096/5, -1278240076689/5, -1358210923284/5], [-71809371/10, -22354723/5, -2894401/10]]], 0, 960, [], [] >,
< [ -2, -6, -1, 1 ], [[-2, -30, -16]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21, 3/2, -5/2], [-31, -2, 1], [21, 3/2, -5/2], [0, 0, 0]], [[284726, 23059/2, 6229/2], [-654351, -806458, -450031], [284746, 23067/2, 6229/2], [5, 1, 0]], [[8625466565, 9766726963/2, 216371697/2], [-63306329623/2, -139116537779/2, -29552163701], [8626061939, 9767542147/2, 216461661/2], [297687/2, 101898, 22491/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[244, 11/2, 5/2], [190, 167, 31], [244, 11/2, 5/2], [0, 0, 0]], [[-62607580456, 14346927617/2, -9499650207/2], [-105905196687/2, -49671541551, -20353070719/2], [-313037901617/5, 71734637071/10, -47498250879/10], [17/10, -13/10, 1/5]], [[672033297368644, 411559914602060645/2, 232301751575409051/2], [200636714715736837, 778300716541485352, 377183032834909935], [3360167469054164/5, 2057799574233082393/10, 1161508757956107303/10], [12592448/5, 7838328/5, 506808/5]]], 0, 960, [], [] >,
< [ -2, -6, -1, 1 ], [[-2, -30, -16]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[14, -1/2, -3/2], [25, -3, -2], [14, -1/2, -3/2], [0, 0, 0]], [[-717, -13/2, -7/2], [-2501/2, 132, -119/2], [-719, 7/2, -15/2], [-1/2, 5/2, -1]], [[465206, 467587/2, -32721/2], [850091, 856365/2, -57863/2], [469358, 472599/2, -32477/2], [1038, 1253/2, 61/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-27, -13/2, -5/2], [-3, 4, -5], [-27, -13/2, -5/2], [0, 0, 0]], [[-1622368, 1049481/2, 314165/2], [-13913/2, 1832605/2, -205392], [-8111723/5, 5249589/10, 1571059/10], [3/10, 14/5, 3/10]], [[9955906667143, 5312478144163/2, -3357898776155/2], [4105364579957/2, 599536626311, -595039528439/2], [49781195593754/5, 26564473593893/10, -16789352623087/10], [42622001/10, 26703501/10, 905498/5]]], 0, 960, [], [] >,
< [ -2, -6, -1, 1 ], [[-2, -30, -16]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-19, -4, -1], [-25, -24, -11], [-19, -4, -1], [0, 0, 0]], [[31432362, 7368561, -5485078], [63270673/2, 7773350, -10531073/2], [31432364, 7368567, -5485082], [1/2, 3/2, -1]], [[-3965775159357, -1968491936011/2, 1438405855243/2], [-3980572000149, -996485161765, 717014836656], [-3965775045585, -1968491794987/2, 1438405864075/2], [28443, 17628, 1104]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[176, 7/2, 1/2], [65, 111, 24], [176, 7/2, 1/2], [0, 0, 0]], [[267775967, 28097135/2, 71818317/2], [302234795/2, 336928997, 210411559/2], [1338880264/5, 140484973/10, 359091273/10], [11/10, -9/10, -2/5]], [[-9584288936974, 772330812901, 3386965973587], [3120329463429/2, 10401783800898, 10895856043575/2], [-47921469090251/5, 3861638384984/5, 16934828609249/5], [-625779/10, -402039/10, -16137/5]]], 0, 960, [], [] >,
< [ -2, -6, -1, 1 ], [[56, 16, -8]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, -15, -5], [62, 7, 3], [0, 0, 0]], [[0, 0, 0], [-482483, 233235/2, -404339/2], [1029139, -1667934, 1261863/2], [-1, 1/2, -1]], [[0, 0, 0], [-1137008267, -43302123/2, 773850703/2], [3775799789, 820922789, -1797093833/2], [-2537, 1075/2, 1247]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 13, 5], [80, 6, 2], [0, 0, 0]], [[0, 0, 0], [-2414607, 347531/2, -8241/2], [-12513436, 3728881, -127320], [-2, -3/2, 1/2]], [[0, 0, 0], [2839075992, -21174276385/2, -12983283233/2], [156973565803/5, -37965640702/5, -113397217959/10], [2736/5, -96703/10, -30069/5]]], 0, 1920, [], [] >,
< [ -2, -6, -1, 1 ], [[56, 16, -8]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 1, -3], [-36, -2, -2], [0, 0, 0]], [[0, 0, 0], [-340008, 10231/2, 1479/2], [-4823165, -902220, 1422991/2], [2, -3/2, 0]], [[0, 0, 0], [-1318205828, -1824858067, -569286581], [-11715137660, -6223823985, 366004595], [2420, -11080, -7630]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 15, 5], [-18, 5, -3], [0, 0, 0]], [[0, 0, 0], [179667, 23007, -13931], [-50403/5, 5727522/5, -3689081/10], [14/5, 9/5, 3/10]], [[0, 0, 0], [-12211431426, -2333313711/2, 12007962599/2], [80907589136, 120406523199, -48063081728], [-10419, 928811/2, 565881/2]]], 0, 1920, [], [] >,
< [ -2, -6, -1, 1 ], [[72, 8, -16]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-144, -84, -72], [-78, -13, -5], [0, 0, 0]], [[0, 0, 0], [-96558148, 124453093/2, -71285773/2], [-68527702, 15677485, -1865293], [1, 9/2, 1/2]], [[0, 0, 0], [-1094290101855, -194890793893/2, 698457304159/2], [-684401063458, -153299609255, 150230639816], [-11726, -44793/2, -16109/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-32, 59, -11], [-98, -1, -5], [0, 0, 0]], [[0, 0, 0], [-88453270, 1286033149/2, -385208429/2], [-2543953408/5, 1462181162/5, -275947883/5], [19/5, -27/10, 3/10]], [[0, 0, 0], [-230455124658968, -339506422727272, -49902813128356], [-151222821428656/5, 3131020369419079/5, 2051415492150369/5], [24029928/5, 51617748/5, 19770348/5]]], 0, 15360, [], [] >,
< [ -2, -6, -1, 1 ], [[72, 8, -16]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, -204, -98], [-4, -39, -21], [0, 0, 0]], [[0, 0, 0], [22403, 74841/2, -33679/2], [1292, -969, -379], [2, -9/2, -3/2]], [[0, 0, 0], [-15351807, -23844697/2, -77303149/2], [-8264746, -13583509, -4346646], [-27728, -123893/2, -48405/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [96, 19, -15], [-66, 13, 5], [0, 0, 0]], [[0, 0, 0], [16288044, 1354734, -3485864], [-64517714/5, -10819454/5, -8167389/5], [32/5, -3/5, 2/5]], [[0, 0, 0], [-2720753694327, -171375154300577/2, -97097504635685/2], [-477425992317474/5, -1270050242365409/5, -549166444219114/5], [146885252/5, 633343199/10, 242801759/10]]], 0, 15360, [], [] >,
< [ -2, -6, -1, 1 ], [[72, 8, -16]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-46, -41, -25], [2, -5, -5], [0, 0, 0]], [[0, 0, 0], [-10662377, -10306115/2, 6207569/2], [765104, -17278, -18689], [-4, -1/2, -5/2]], [[0, 0, 0], [-863464126256, 190973744808, 311370895452], [111441712208, 83118702929, 4369296335], [-1431840, -3176496, -1240016]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-44, -37, 5], [54, -5, -1], [0, 0, 0]], [[0, 0, 0], [21343632, 38868899/2, -4245455/2], [-123814024/5, 17727211/5, -1105014/5], [-13/5, -11/10, -1/10]], [[0, 0, 0], [-11862558384738, -28057168293511, -14723537340335], [60749911471312/5, 75290932414722/5, 1857228606762/5], [8782384/5, 18958004/5, 7278024/5]]], 0, 15360, [], [] >,
< [ -2, -6, -1, 1 ], [[72, 8, -16]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-92, -66, -30], [0, -9, -7], [0, 0, 0]], [[0, 0, 0], [14671637, 10553487/2, -6643269/2], [-390978, 31806, 8565], [-2, 7/2, -1/2]], [[0, 0, 0], [81066953694, 52695295851, 6081642383], [-538827862, 5389240121, 3428447619], [-57960, -131418, -51408]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48, -43, 3], [64, 3, 5], [0, 0, 0]], [[0, 0, 0], [16606781, 25419115/2, -10204541/2], [-18385148, 10566687, -2030037], [2, 1/2, -1/2]], [[0, 0, 0], [-9872196406, 71785707395/2, 104566743525/2], [-60614960288/5, -621333078138/5, -45461693143/5], [-38841/5, -169297/10, -65327/10]]], 0, 15360, [], [] >,
< [ -2, -6, -1, 1 ], [[-96, 0, 32]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -20, -6], [-16, -2, -6], [0, 0, 0]], [[0, 0, 0], [-1136571, -129011, 102595], [4138569, 527734, -1257745/2], [0, -2, 5/2]], [[0, 0, 0], [127331393408, 31911011204, -23352054326], [-456998768886, -114297265506, 83310600599], [-127866, -37168, 28381]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-20, -40, -8], [-144, -26, -6], [0, 0, 0]], [[0, 0, 0], [-1362308, -232096, -70367], [-155823273/5, -50317238/5, 60504659/10], [19/5, -16/5, 3/10]], [[0, 0, 0], [-1858270409, -640093833, 305938093], [-37000929529, -8930198676, 13066951001/2], [7236, 2376, -3213/2]]], 0, 30720, [], [] >,
< [ -2, -6, -1, 1 ], [[-96, 0, 32]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -2, 0], [-28, -24, -4], [0, 0, 0]], [[0, 0, 0], [2591, 3859, -1469], [3303, -1188, 837/2], [0, -2, 3/2]], [[0, 0, 0], [-13530847, -1993694, 2039126], [-54296237, -14261088, 20620565/2], [-13566, -4131, 6273/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 62, 30], [-116, -6, 2], [0, 0, 0]], [[0, 0, 0], [-431303, -78942, 80142], [-37393981/5, -7374946/5, 12355733/10], [-2/5, 23/5, 1/10]], [[0, 0, 0], [-5, -5, 1], [-171/5, -176/5, 83/10], [-2/5, -2/5, 1/10]]], 0, 30720, [], [] >,
< [ -2, -6, -1, 1 ], [[-160, -96, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-44, -14, -10], [24, 10, -10], [0, 0, 0]], [[0, 0, 0], [5, 1, 0], [4, 0, 1], [1, 0, 0]], [[0, 0, 0], [-148882, 26280, 34686], [91656, 45426, -17554], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [188, 116, -4], [216, -2, 2], [0, 0, 0]], [[0, 0, 0], [1084347427, 425036737, -141655220], [7086473718/5, 539998208/5, -662236952/5], [1/5, -4/5, 1/5]], [[0, 0, 0], [378549410641, -12247962646, -127437563117], [3039774243984/5, 585673162274/5, -706266751951/5], [1313/5, 683/5, -197/5]]], 0, 245760, [], [] >,
< [ -2, -6, -1, 1 ], [[-160, -96, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-78, -36, -18], [-24, -26, -6], [0, 0, 0]], [[0, 0, 0], [5, 1, 0], [4, 0, 1], [1, 0, 0]], [[0, 0, 0], [-211098, 217358, -59544], [-84424, -39528, 16104], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-112, 58, 10], [56, 22, 10], [0, 0, 0]], [[0, 0, 0], [-1465399136, 391788825, 59215889], [3032688274/5, 66755954/5, -101897281/5], [18/5, -17/5, -2/5]], [[0, 0, 0], [592264671233327, 216396483502701, -124905550659334], [-215360806184640, -62730521946120, 48786880366895], [-1860823, -914658, 321276]]], 0, 245760, [], [] >,
< [ -2, -6, -1, 1 ], [[-160, -96, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [74, -34, -12], [12, -10, -10], [0, 0, 0]], [[0, 0, 0], [-3, 1, 0], [4, 0, 1], [1, 0, 0]], [[0, 0, 0], [23756, -84598, 25370], [11844, 4914, -2214], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-246, -104, -6], [-168, 6, -6], [0, 0, 0]], [[0, 0, 0], [-13595590, -4799255, 148259], [-46882686/5, 3799304/5, -1003641/5], [-2/5, -7/5, -2/5]], [[0, 0, 0], [23236067955, 5825150383, -4271661424], [19087448532, 4963639670, -3552364491], [-121, -58, 22]]], 0, 245760, [], [] >,
< [ -2, -6, -1, 1 ], [[-160, -96, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, -40, -6], [-52, -12, -8], [0, 0, 0]], [[0, 0, 0], [-3, 1, 0], [4, 0, 1], [1, 0, 0]], [[0, 0, 0], [1243740, 590124, -356512], [-1481372, -649442, 316670], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [52, 8, 0], [48, -2, -6], [0, 0, 0]], [[0, 0, 0], [-8344, 6768, 2462], [-9582, 110, 133], [4, -4, 1]], [[0, 0, 0], [4954153, -8936557, -7126622], [42173084/5, 23858354/5, -1741211/5], [-23757/5, -10602/5, 4198/5]]], 0, 245760, [], [] >,
< [ -2, -6, -1, 1 ], [[-6, -13, -5]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[23, 19, -2], [-39, 14, 5], [25, 0, -1], [0, 0, 0]], [[125957995/2, 114161605/2, -3079190], [-100127058, 45376742, 14177846], [131596021/2, -260191, -2819017/2], [2, -3/2, -3/2]], [[-1337265493509/2, -1384324370143, 945560246953/2], [-2490984453911/2, -3738493743114, 2581848681529/2], [1039677956105/2, 3322503755915/2, -1188471721825/2], [-11029/2, 1904, 3130]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[297/2, 148, -1/2], [89, 175/2, 31/2], [297/2, -1/2, 0], [0, 0, 0]], [[-210169403/2, -34674681, 35408981/2], [-130503649/2, -20721528, 19585405/2], [-1577903181/10, -350007981/10, 131764012/5], [-7/10, 9/5, 3/10]], [[67759245135545/2, 9887011112630, -10457599655425/2], [42681007708645/2, 13227653894189/2, -3111185387958], [105286970530861/2, 27069974535871/2, -18763877940149/2], [795817/2, -369413/2, -507353/2]]], 1, 80, [], [] >,
< [ -2, -6, -1, 1 ], [[-6, -13, -5]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-22, -24, -2], [-11, -32, -9], [-22, -2, 0], [0, 0, 0]], [[-1880210, -2048043/2, 546923/2], [-764811/2, -916700, -177385/2], [-2462947, -618551/2, 582711/2], [-5/2, -5/2, -2]], [[-1136451356337/2, -197449743563/2, 121387078169], [-1513070153/2, 68515651401, 64183556877/2], [-1832683672393/2, -226725631069, 174058352289], [-1214905/2, 254745, 372045]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-287/2, -283/2, 1], [-121, -171/2, -35/2], [-289/2, 0, 1/2], [0, 0, 0]], [[1682073530, 2460167423/2, -401635519/2], [1456570150, 1337523749/2, -17543935/2], [1933245334, 100708741/2, -125586032], [-2, 1/2, 0]], [[-3200441541791123/2, -8001103837603694, -8001103835229877/2], [-3018027924079007/2, -15442539283890323/2, -3902768969077158], [8001102089171801/10, -16002206983443809/10, -12001654711165299/10], [-13183803/10, 5276627/10, 7915497/10]]], 1, 80, [], [] >,
< [ -2, -6, -1, 1 ], [[-6, -13, -5]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[44, 50, 2], [41, 50, 33], [40, -2, 2], [0, 0, 0]], [[20011920, 7261957/2, -7388187/2], [43021405/2, 10367215/2, -5002811], [32698762, 17985525/2, -6343420], [3/2, -2, -1]], [[11231102839347/2, 2600059313903/2, -1102845571149], [5756173193770, 2153506789099/2, -2396377392711/2], [17656450925149/2, 2109831513320, -3212673570485/2], [537168, -223224, -327636]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-399/2, -405/2, -2], [-134, -247/2, -45/2], [-397/2, -1, -1/2], [0, 0, 0]], [[2224889083/2, 1709227153/2, -135912738], [1476355035/2, 455723728, -6115723/2], [2468725895/2, -13994438, -121918163/2], [-5/2, -1, -1/2]], [[-275698100221991/2, 40297504822775, 120411967410157/2], [-199901695587195/2, 67336784515179/2, 50677950742917], [-2557896482809931/10, -577345761943351/10, 589703020311989/10], [3760793/10, -1686947/10, -2368967/10]]], 1, 80, [], [] >,
< [ -2, -6, -1, 1 ], [[-6, -13, -5]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-113/2, -137/2, -7], [-54, -169/2, -83/2], [-103/2, -2, -5/2], [0, 0, 0]], [[-167251695/2, -52926372, 26628217/2], [-130601685/2, -61393147/2, -9498533], [-202022409/2, -8142513/2, 17385387/2], [-5/2, -1/2, -5/2]], [[-13915293842687/2, -1071332534017/2, 1864221673796], [-5768741760491, 861568809345, 2407169236510], [-23030809947885/2, -2693538072573, 4557757404159/2], [-231985, 382915/2, 394095/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[125/2, 133/2, 3], [50, 83/2, 9/2], [123/2, 2, 1/2], [0, 0, 0]], [[12770601/2, 19136158, -12744289/2], [462645/2, 7691549/2, -951672], [-127377991/10, -254950381/10, 95614839/10], [13/10, -17/10, 3/10]], [[-104998260693/2, 362138531208, 614992798109/2], [-85847077907/2, 643087352557/2, 213504905617], [-319307697483/2, 400719854569/2, 53578303680], [375945/2, -143155/2, -110640]]], 1, 80, [], [] >,
< [ -2, -6, -1, 1 ], [[18, 2, -4]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[70, 11/2, 1/2], [136, 24, 44], [70, 11/2, 1/2], [0, 0, 0]], [[-416154899, -6445620, 18014640], [-760160866, 148305721/2, -262863235/2], [-416154894, -6445617, 36029303/2], [-1, 1/2, -1]], [[-50188945658919, -67041171925279/2, -1838432325133/2], [-261376450812027/2, -172064579307256, -96713218494519/2], [-50188941995703, -67041151270069/2, -919211676723], [-738379/2, -1581773/2, -604685/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-75, -5, 0], [-35, 26, -3], [-75, -5, 0], [0, 0, 0]], [[59751621, 2897438, -5690442], [63226765/2, -21473309/2, -55191], [298757613/5, 14487908/5, -56904299/10], [-13/10, 11/5, 1/5]], [[-157420969335656, 7434396982183/2, 125740102578187/2], [-114388162119458, -53812315193880, 19967926335807], [-787099334267803/5, 37194783995279/10, 314354525867677/5], [83531574/5, 181175589/5, 139511673/10]]], 1, 240, [], [] >,
< [ -2, -6, -1, 1 ], [[18, 2, -4]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, 5/2, 1/2], [63, 12, 13], [9, 5/2, 1/2], [0, 0, 0]], [[-792711, -8489/2, 76247/2], [-5253390, 1411624, -379586], [-792719, -8481/2, 76203/2], [2, -2, 2]], [[506219560, 724658715/2, 50617259/2], [8034466377/2, 7072460353/2, 482272982], [506261712, 724895435/2, 25360082], [-8547/2, -9064, -3465]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17, -1, 0], [-7, -5, 0], [17, -1, 0], [0, 0, 0]], [[-141988, -27333/2, 19375/2], [52750, 33092, -945], [-710557/5, -138489/10, 48363/5], [-9/5, -14/5, -3/10]], [[-18025562024, -14216237095/2, 1848889545/2], [14250995623/2, 15457828283/2, 2009340128], [-90223788228/5, -71480488291/10, 4547147427/5], [-2910497/10, -3173656/5, -1226236/5]]], 1, 240, [], [] >,
< [ -2, -6, -1, 1 ], [[18, 2, -4]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7, -5/2, -5/2], [-3, -24, -13], [-7, -5/2, -5/2], [0, 0, 0]], [[1585922, 248867, -149298], [-1744767/2, 609019/2, 476631], [1585938, 248885, -298587/2], [5/2, -1, -2]], [[9502240729, -4332534869/2, -5975803743/2], [-12220838135, -19120610208, -6782243692], [9502191146, -4333334641/2, -2988116224], [43676, 82877, 58533/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-343, -7, -2], [-157, 137, -32], [-343, -7, -2], [0, 0, 0]], [[-1556211966, -721141166, 190295426], [-1939321057/2, -855481927/2, 214676138], [-7781060053/5, -3605707718/5, 951476912/5], [3/10, 14/5, 3/10]], [[-1, -5/2, -3/2], [1/2, 0, 1/2], [61/5, 117/10, 61/5], [-1/10, -1/10, -1/10]]], 1, 240, [], [] >,
< [ -2, -6, -1, 1 ], [[18, 2, -4]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[73, 5, 2], [75, 26, 47], [73, 5, 2], [0, 0, 0]], [[-771276, 135219/2, 77861/2], [-1233365/2, 848005/2, -177200], [-771281, 135239/2, 77871/2], [-3/2, 1, -3/2]], [[-2059727557, -1875811803/2, 457862147/2], [-2627228918, -5460504291/2, -921204575/2], [-2059704058, -1875536849/2, 229002444], [-12977, -54717/2, -10345]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-18, -1/2, -3/2], [12, 6, 2], [-18, -1/2, -3/2], [0, 0, 0]], [[99715, 8995, -9709], [-58837, -26483/2, 10667/2], [499068/5, 43828/5, -97369/10], [-4/5, 17/10, 1/5]], [[-317291302, 107889543/2, 301081335/2], [262715893/2, -365347047/2, -152264656], [-1596852618/5, 491635119/10, 743166452/5], [154843/10, 174299/5, 68779/5]]], 1, 240, [], [] >,
< [ -2, -6, -1, 1 ], [[-40, -24, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, 33, 37], [54, 8, 2], [0, 0, 0]], [[0, 0, 0], [15457284, -4466503/2, 33606547/2], [26414454, -1719889, 1283496], [-5, 5/2, -1/2]], [[0, 0, 0], [232859883693, 870101740529/2, 283785706667/2], [184345960979, 128306837804, -1210770599/2], [-37825, -37343/2, 6190]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-16, 31, -3], [-92, -10, -2], [0, 0, 0]], [[0, 0, 0], [-607343, 7657563/2, -1851673/2], [-6195618, 1468838, -492253], [-6, -5/2, -1/2]], [[0, 0, 0], [-378004519886, -804280853761/2, 352426340707/2], [-4551697188797/5, -2870306770357/5, 2525355033791/10], [-3218194/5, -3375633/10, 514066/5]]], 0, 3840, [], [] >,
< [ -2, -6, -1, 1 ], [[-40, -24, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [60, 37, 39], [40, 4, 4], [0, 0, 0]], [[0, 0, 0], [-23759492, 20140281/2, -12501399/2], [-20456155, 2578831, 742029/2], [-4, 5/2, 2]], [[0, 0, 0], [366970152123, 551596905927/2, -276199303753/2], [246864804386, 136691630136, -71041047897], [51376, 51883/2, -16393/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-128, -101, 21], [232, 13, 3], [0, 0, 0]], [[0, 0, 0], [-1568668655, -2930935435/2, 851878227/2], [11013130061/5, -3862814884/5, 2794375627/10], [27/5, -1/10, 2/5]], [[0, 0, 0], [-11008281778704374, -729965683908628, -168471787814690], [175931661562313112/5, 89769136924231487/5, -37065574398166763/5], [377808544/5, 186831564/5, -63899056/5]]], 0, 3840, [], [] >,
< [ -2, -6, -1, 1 ], [[-40, -24, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-24, -13, 9], [28, -2, -2], [0, 0, 0]], [[0, 0, 0], [6091, 22053/2, 4543/2], [-2951, 2135, 515/2], [5, 3/2, 1]], [[0, 0, 0], [506840, 615987/2, 319645/2], [-787772, -317570, 213142], [1005, 1005/2, -335/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48, -68, 16], [164, 11, 1], [0, 0, 0]], [[0, 0, 0], [406052648, 897889281/2, -281991993/2], [-1780236810, -177281771, 150689749], [1, 5/2, 1/2]], [[0, 0, 0], [-7088846718751, -4220202461841/2, 2771081680281/2], [261038525678693/5, 62778609628313/5, -93331599676409/10], [-26999/5, -26553/10, 4531/5]]], 0, 3840, [], [] >,
< [ -2, -6, -1, 1 ], [[-40, -24, 0]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-74, -6, 12], [16, -3, 3], [0, 0, 0]], [[0, 0, 0], [385822603, 126419337/2, -127879049/2], [-87086245, 3726897, 3098657/2], [-1, 1/2, -1]], [[0, 0, 0], [-31938433713294, -8145022148630, 5915995173613], [8093039205849, 2393937459778, -3075778923731/2], [129505, 60121, -47613/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48, -73, 13], [190, 10, 0], [0, 0, 0]], [[0, 0, 0], [3496301, 24268873/2, 12267709/2], [-4823274, -19127131, -8773045], [8, 3/2, 1/2]], [[0, 0, 0], [1277968662164, 8858136113005/2, 3921218109117/2], [-5169636190701/5, -29453844355746/5, -32131723761447/10], [33213268/5, 32868161/10, -5617817/5]]], 0, 3840, [], [] >,
< [ -2, -6, -1, 1 ], [[32, -96, -64]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, -16, -14], [12, -10, -10], [0, 0, 0]], [[0, 0, 0], [-3550, -6671, 2295], [662, 2854, -1117], [-4, -3, 2]], [[0, 0, 0], [1044995, -189293, 368545], [1148347, 1064788, -362031/2], [3540, -1020, -2645/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [8, 192, 4], [304, -2, 10], [0, 0, 0]], [[0, 0, 0], [-39008709, -4747826, -6885110], [1017320259/5, 108709614/5, -353709487/10], [-2/5, -7/5, 1/10]], [[0, 0, 0], [-86844607934, -23120184640, 14358703426], [2155563920604/5, 524190391754/5, -394400903126/5], [1208/5, -172/5, -372/5]]], 0, 61440, [], [] >,
< [ -2, -6, -1, 1 ], [[32, -96, -64]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -8, -22], [0, -26, -6], [0, 0, 0]], [[0, 0, 0], [1852809, 83294, -311524], [-939429, -189694, 210641/2], [0, 3, 1/2]], [[0, 0, 0], [21842657852, 4867637766, -4054134044], [-10612435082, -2692919466, 1807786081], [-10638, 3114, 4077]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [34, 156, -2], [252, -12, 8], [0, 0, 0]], [[0, 0, 0], [3114624, 13432880, -2456868], [106421564/5, -28232806/5, 4435684/5], [-32/5, -12/5, -2/5]], [[0, 0, 0], [21117565121, -21150770938, 64492035188], [-2039612976929/5, 257543625556/5, 602077265397/10], [443552/5, -231653/5, -447951/10]]], 0, 61440, [], [] >,
< [ -2, -6, -1, 1 ], [[32, -96, -64]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, 18, 0], [40, 0, 0], [0, 0, 0]], [[0, 0, 0], [-116, -576, -355], [541, -382, -575/2], [-3, -2, -3/2]], [[0, 0, 0], [-261, 110441, 73997], [-442929, -10500, 237981/2], [1900, 760, 95/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [16, 138, 6], [244, 6, 6], [0, 0, 0]], [[0, 0, 0], [-11458436, -72593442, -19040667], [-502230989/5, -154022634/5, -74554413/10], [-13/5, -18/5, -1/10]], [[0, 0, 0], [2815114740339, 3628409084790, 874191998999], [-64351828392546/5, -9519068602566/5, 17017066688134/5], [-765557/5, 361633/5, 368698/5]]], 0, 61440, [], [] >,
< [ -2, -6, -1, 1 ], [[32, -96, -64]], [ 2, 5, -2 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-28, -42, -6], [-40, -10, -6], [0, 0, 0]], [[0, 0, 0], [-1261532, -1853889, 107551], [-1330558, 529250, -399597], [-2, 5, 0]], [[0, 0, 0], [50339757095, 50331983410, 7631509808], [105131745983, 37473449118, -11074808275/2], [212914, -45695, -145483/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, 30, -2], [88, -2, -6], [0, 0, 0]], [[0, 0, 0], [6166091, 8675481, 723786], [79962116/5, -4199654/5, -2162939/5], [-3/5, 32/5, 2/5]], [[0, 0, 0], [-987112903021, -842770042809, -120908619509], [-20504247588833/5, -5184806727248/5, 6403595744869/10], [2954724/5, -1211586/5, -2670077/10]]], 0, 61440, [], [] >,
< [ -3, -6, 0, 1 ], [[0, -2, 0]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, 3/2, -5/2], [323/14, 24/7, -16/7], [-25/14, 9/7, -5/14], [-5/14, 33/14, -1/14]], [[-31387/2, -3374, 1334], [-187398/7, 77848/7, 163885/14], [30524/7, 8161/14, -10593/7], [74565/14, 88423/14, 7068/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[23/2, -7/2, -9/2], [2241/14, 447/14, 143/14], [-53/14, -17/14, -5/14], [0, 0, 0]], [[-790788, -149153/2, 393023/2], [-276587798/49, 221498449/49, -148334427/98], [13259509/98, -4076942/49, 2999435/98], [-64/49, 120/49, 1/98]], [[792149353, 170769630, -68851337], [496883963837/49, 92194206620/49, -319416521839/98], [-10670613724/49, -1288786575/49, 3648271988/49], [390531/98, 130875/49, -9074/49]]], 4, 6, [], [] >,
< [ -3, -6, 0, 1 ], [[6, 10, -2]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-35, 28, 0], [-33, 18, 3/2], [-5, 4, 0], [13/14, -10/7, 2/7]], [[313753/2, 884213/2, 723447/2], [1424915/14, 3903415/14, 3317985/14], [313753/14, 884213/14, 723447/14], [11625/7, -8475/7, -80625/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, 44, 1], [-164/7, -396/7, -9/7], [-9/7, 44/7, 1/7], [0, 0, 0]], [[35539/2, -177695/2, -35539/2], [2408148/49, 12412335/98, 2230451/98], [249241/98, -1243199/98, -248769/98], [-117/49, -333/98, -1/49]], [[9062445/2, 8778133/2, -6148247/2], [-19603051/7, -46688875/14, 20319554/7], [9059651/14, 8773535/14, -6145387/14], [1397/14, 2299/14, -715/7]]], 1, 30, [], [] >,
< [ -3, -6, 0, 1 ], [[18, 38, -10]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[319/2, 157/2, 5/2], [1609/14, 883/14, 67/14], [319/14, 157/14, 5/14], [0, 0, 0]], [[7344, -63036, 22032], [15913/2, -79485/2, 26625/2], [1048, -9012, 3142], [-5/14, -37/14, -1/14]], [[1553811543, 2072667285, -993226887], [6987136369/7, 9198459645/7, -4418772083/7], [1553481603/7, 2072180745/7, -992850867/7], [234495/7, 321165/7, -133155/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[178, -66, 2], [-1819/7, 587/7, 3/7], [178/7, -66/7, 2/7], [0, 0, 0]], [[-2175789/2, -2612687/2, -408471/2], [88828745/49, 122361906/49, 26730012/49], [-15230199/98, -18284345/98, -2860817/98], [-57/98, -769/98, -3/98]], [[-439575711021/2, -357362969391/2, 283054854393/2], [27990755366209/98, 19651488400923/98, -20079728858241/98], [-3074484274011/98, -2496903294113/98, 1979278922031/98], [-108502325/49, -215345871/49, 103639603/49]]], 0, 6400, [], [] >,
< [ -3, -6, 0, 1 ], [[12, 18, -8]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-93/2, 6, 5/2], [34, -19/2, 6], [15/2, -3/2, 0], [43/14, 13/14, 3/14]], [[-1037, -1005, 1495/2], [16845/14, 7289/7, -10310/7], [2907/14, 1462/7, -1187/7], [-169/14, -1399/14, -607/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-125/2, 7/2, 2], [6635/14, -573/14, 177/7], [72/7, -11/14, 5/14], [0, 0, 0]], [[611203, 491882, -97887], [-288502614/49, -293212933/49, 64427413/98], [-5966313/49, -5850212/49, 701916/49], [-11/98, 93/49, 1/49]], [[-3298960425/2, -4172356725, 588176300], [2226162591511/98, 2499645314286/49, -264965208812/49], [21766393800/49, 99530587575/98, -5392244475/49], [-657400/49, -931950/49, 195700/49]]], 1, 20, [], [] >,
< [ -3, -6, 0, 1 ], [[-6, -6, 2]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-153/2, -323/2, -67/2], [-765/14, -797/7, -164/7], [-153/14, -323/14, -67/14], [9/14, 6/7, -1/14]], [[285, 58, -69], [5027/14, 388/7, -534/7], [285/7, 58/7, -69/7], [-295/7, -61/14, 53/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[42, 7, 0], [-38, -5, 1], [6, 1, 0], [0, 0, 0]], [[-2607921/2, 966267/2, 180891/2], [60224107/49, -37432057/98, -9193071/98], [-18257343/98, 6763161/98, 1266261/98], [-79/49, -59/98, 1/49]], [[-2804578605, -4987873587, 2231440167], [113652333365/49, 204992017177/49, -183299487319/98], [-19631998521/49, -34915330077/49, 15620243409/49], [8619/98, -17914/49, 13520/49]]], 1, 100, [], [] >,
< [ -3, -6, 0, 1 ], [[30, 42, -38]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[429/2, -121/2, -1/2], [2117/14, -549/14, -5/14], [429/14, -121/14, -1/14], [0, 0, 0]], [[23389863/2, -3926867/2, -7526379/2], [55085727/7, -14378935/7, -20139660/7], [23390139/14, -3926751/14, -7526363/14], [43/14, -1/14, 3/14]], [[-19790619849, -28562365923, 7111550565], [-199547783507/14, -296058876097/14, 59616954349/14], [-19790117259/7, -28561504073/7, 7111266545/7], [554125/14, 875765/14, -386595/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-543/2, 179/2, -5/2], [5559/14, -1471/14, 101/14], [-543/14, 179/14, -5/14], [0, 0, 0]], [[121425120, -26320320, -3090240], [-17457034727/98, 2535056537/98, 164133637/98], [849976482/49, -184243064/49, -21631476/49], [-215/98, 201/98, -1/98]], [[-1096723353825, -1644117961275, 466041566925], [179132466075349/98, 294347760189963/98, -36194242474045/98], [-7677080680317/49, -11508850202095/49, 3262303636665/49], [1836071/98, 972861/98, -3898443/98]]], 0, 25600, [], [] >,
< [ -3, -6, 0, 1 ], [[6, 0, 0]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, -23/2, -1/2], [33/14, -5/14, -27/14], [15/14, 41/14, 3/14], [0, 0, 0]], [[7934, 454, -1373], [48154/7, 4612/7, -17207/14], [-9321/7, -388/7, 1626/7], [5/2, 1, 0]], [[-262531, -455855/2, 116807], [-448500/7, 358704/7, -78521/7], [365517/7, 355385/7, -347905/14], [-600/7, -450/7, 1125/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-26, 1, 2], [-900/7, 53/7, 51/7], [30/7, -2/7, -1/7], [0, 0, 0]], [[-11973, -14481/2, 1601/2], [-903713/14, -582863/14, 39455/14], [32049/14, 12672/7, -117/14], [1, -3/2, 0]], [[-768807, 7848075/2, 7139567], [-10403438/49, 2899211615/98, 1990792095/49], [-5143707/49, -69594705/49, -176268825/98], [-85042/49, -124195/49, 107355/49]]], 1, 60, [], [] >,
< [ -3, -6, 0, 1 ], [[-6, -6, 6]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-69/2, 55/2, 3/2], [-555/14, 345/14, -55/14], [-69/14, 55/14, 3/14], [0, 0, 0]], [[472584, -309624, -86912], [581383, -367775/2, -7581], [67512, -44232, -12416], [4/7, 17/7, 3/14]], [[-182017008, 121352432, 776], [-1397131768/7, 1775719541/14, -283538615/14], [-182017008/7, 121352432/7, 776/7], [-2783/14, -5556/7, 2095/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[135/2, 33/2, -1/2], [-417/14, -283/14, 23/14], [135/14, 33/14, -1/14], [0, 0, 0]], [[-5834403, -3924976, -762079], [253199587/98, 138527457/49, 30078621/49], [-40842453/49, -27474418/49, -5334577/49], [-136/49, 69/98, -2/49]], [[99380946, 267933442, 977870397], [-95367338609/98, -166215463039/98, 4257385589/98], [693743688/49, 1872431140/49, 6846560325/49], [-320489/98, -517159/98, 244591/98]]], 1, 300, [], [] >,
< [ -3, -6, 0, 1 ], [[6, -30, 18]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[393/2, -29/2, 3/2], [2343/14, -187/14, 1/14], [393/14, -29/14, 3/14], [0, 0, 0]], [[-3102627, 10199199, 1280655], [-40085681/14, 115128453/14, 13758615/14], [-3102717/7, 10199093/7, 1280623/7], [-25/14, -17/14, -5/14]], [[-100688426250, -87457317438, 50944446066], [-1191508753235/14, -1029689286875/14, 597464507505/14], [-100688735610/7, -87457475608/7, 50944475656/7], [-139075/14, -78275/14, 35955/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[345, 131, -1], [-3756/7, -1116/7, 30/7], [345/7, 131/7, -1/7], [0, 0, 0]], [[157233189/2, 154916439/2, 26438751/2], [-12456818477/98, -11545301749/98, -1000094145/98], [1100632539/98, 1084415501/98, 185071093/98], [-19/49, -44/49, -1/49]], [[73493018472, 12280924944, -14065020140], [-12179001224777/98, -2559543393251/98, 2555345626849/98], [514451170566/49, 85966602466/49, -98455194462/49], [-4337/98, -25231/98, 9417/98]]], 0, 76800, [], [] >,
< [ -3, -6, 0, 1 ], [[6, 10, -4]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, 11/2, 0], [32/7, 111/14, 5/7], [-9/7, 25/14, -5/14], [-2/7, 39/14, 1/7]], [[19825/2, 21375/2, -6750], [7773/14, -20485/14, -37407/7], [22975/7, 57125/14, -30325/14], [1938, 1653, -2432]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[18, 13, 3], [1219/7, 531/7, 129/7], [24/7, 11/7, 2/7], [0, 0, 0]], [[-764087, -200197, -55854], [-338516090/49, 115769611/98, -54174234/49], [-7140149/49, 161730/49, -579725/49], [-34/49, 27/49, -1/98]], [[-3611815067/2, -1482700284, 3381522391/2], [-4350296357347/98, -2693950304320/49, 3221815794391/98], [-64120500705/98, -73686813807/98, 23937939295/49], [-315304/49, -426976/49, 186296/49]]], 1, 18, [], [] >,
< [ -3, -6, 0, 1 ], [[0, -4, 0]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-13, -21/2, -6], [1, 4, 4], [11/7, -11/7, 3/14]], [[0, 0, 0], [1190947/7, 108225/7, -417041/14], [-176/7, 330/7, 284/7], [-639285/14, -29325/7, 55845/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [334/7, -82/7, 22/7], [-41/7, 6/7, -4/7], [0, 0, 0]], [[0, 0, 0], [14741/7, -1014/7, -1564/7], [-1746/7, 108/7, 180/7], [0, 0, 0]], [[0, 0, 0], [92/49, 97/49, -29/98], [-11/49, -10/49, 2/49], [11/98, 5/49, -1/49]]], 1, 90, [], [] >,
< [ -3, -6, 0, 1 ], [[12, 4, -28]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [17, -29, 5], [-8, 12, 0], [0, 0, 0]], [[0, 0, 0], [541329991/14, -20433685/14, -77953053/14], [-115779802/7, 4611836/7, 19188392/7], [-57/14, -97/14, -3/14]], [[0, 0, 0], [254631493295/14, 55073579949/14, -52292375291/14], [-53877162571/7, -11727350137/7, 9976654419/7], [18695/14, 41925/14, 1765/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-816/7, -444/7, -12/7], [121/7, 47/7, -1/7], [0, 0, 0]], [[0, 0, 0], [18544/7, 2869/7, -8726/7], [-2034/7, 1684/7, -82/7], [5, 5, 0]], [[0, 0, 0], [-4594777/98, -11508597/98, -7689361/98], [544106/49, 870944/49, -72700/49], [26625/98, 61841/98, 18247/98]]], 0, 19200, [], [] >,
< [ -3, -6, 0, 1 ], [[0, -6, 2]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[63, 7, 0], [274/7, 229/14, 27/14], [87/7, -10/7, 2/7], [25/14, 19/7, 5/14]], [[81321, 289139/2, -119549/2], [302629/14, 633173/14, -183651/14], [410775/14, 344396/7, -305127/14], [-29177/7, -82577/14, 25323/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-297/2, -91/2, -4], [-19129/14, -2319/14, -53/7], [-207/7, -41/14, -3/14], [0, 0, 0]], [[-498069, 350493/2, 3302013/2], [-704033927/49, -750471769/49, 1767113497/98], [-33703941/98, -18854802/49, 39900825/98], [-53/49, -164/49, -3/98]], [[-6410480076, -9845016324, 3802443216], [-9015112685555/98, -6853371824157/49, 2960087594416/49], [-104187549024/49, -158373540354/49, 68940062964/49], [-178308/49, -675513/98, 185166/49]]], 1, 60, [], [] >,
< [ -3, -6, 0, 1 ], [[24, 36, -16]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-725/14, -635/7, -90/7], [141/7, 293/7, 45/7], [4/7, -43/14, -2/7]], [[0, 0, 0], [-20571227/7, -3202357/14, 7152997/14], [-144495/7, -146110/7, 34010/7], [11222803/14, 528463/7, -1966883/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [100/7, -100/7, 48/7], [-36/7, 8/7, -3/7], [0, 0, 0]], [[0, 0, 0], [10836878/49, 37853313/98, -19561729/49], [-294012/49, -1219416/49, 2751174/49], [132/49, -27/49, 1/98]], [[0, 0, 0], [-530026558/7, -314972163/7, 1066891265/7], [39274248/7, -46994772/7, -167845380/7], [529, 227, -261]]], 1, 300, [], [] >,
< [ -3, -6, 0, 1 ], [[-36, -12, 20]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-257/7, -247/7, 111/7], [48/7, 8/7, 4/7], [0, 0, 0]], [[0, 0, 0], [-706355/14, -995/14, 216765/14], [139935/7, -43573/7, -48733/7], [11/14, 59/14, 5/14]], [[0, 0, 0], [431987959/7, 36699071/7, -73548925/7], [-201225327/7, -19428421/7, 34874995/7], [1915, 383, -383]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3121/7, 351/7, -3/7], [-318/7, -46/7, -2/7], [0, 0, 0]], [[0, 0, 0], [-1306160582/49, -43459459/49, -207159488/49], [134866077/49, 12536045/49, 22229755/49], [-68/49, -142/49, -1/49]], [[0, 0, 0], [5540237202631/98, 534140481373/98, -865853312225/98], [-278266463919/49, -27824895669/49, 43174930545/49], [-8397/98, 31455/98, 6939/98]]], 0, 76800, [], [] >,
< [ -3, -6, 0, 1 ], [[-6, -12, 6]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-99/2, -37/2, -2], [-207/14, -185/14, -48/7], [-69/7, -23/14, -1/14], [0, 0, 0]], [[586932, 1641420, 349838], [4578940/7, 10307995/7, 3808509/14], [773457/7, 2046801/7, 80413/7], [-1/2, 1, 0]], [[9470496, 853923056, -220978240], [2756580942/7, 11683592677/14, -1961893785/7], [432598728/7, 1947652600/7, -698900056/7], [-15105/7, 9120/7, -2185/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15/2, -14, -5/2], [-69/2, -119, 1/2], [-3/2, -5/2, 0], [0, 0, 0]], [[-6, 7, 5], [5287/49, 2000/49, -2123/98], [930/49, 155/49, 18/49], [169/98, 10/49, -2/49]], [[-213, -163/2, 209/2], [230799/49, 495099/98, -244687/98], [-20547/98, -38401/49, 34343/98], [-612/49, -3042/49, 1314/49]]], 1, 180, [], [] >,
< [ -3, -6, 0, 1 ], [[12, 0, 0]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [36/7, 62/7, 3/7], [-39/7, -17/7, -5/7], [0, 0, 0]], [[0, 0, 0], [-2017/14, -16295/14, -15655/14], [-3015/7, 8370/7, 3205/7], [29/14, -29/14, 3/14]], [[0, 0, 0], [15323537/14, 17785846/7, 11976833/14], [-3584535/7, -8852330/7, -3550780/7], [-967/14, 1457/14, 2158/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-426/7, -190/7, -11/7], [129/7, 25/7, 2/7], [0, 0, 0]], [[0, 0, 0], [-500317333/49, 153305836/49, 52111240/49], [87771879/49, -188237895/49, 50040267/49], [-136/49, 10/49, -2/49]], [[0, 0, 0], [72423205140/49, 151636132082/49, 81136348651/98], [-27762062793/49, -50047536333/49, 315994439/49], [-40443/98, -53436/49, -24583/49]]], 1, 900, [], [] >,
< [ -3, -6, 0, 1 ], [[-60, -84, 12]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-906/7, 192/7, 68/7], [411/7, -19/7, 1/7], [0, 0, 0]], [[0, 0, 0], [1786579390/7, 917265439/7, -575588332/7], [-731916168/7, -308424630/7, 294526080/7], [-31/7, -39/7, -2/7]], [[0, 0, 0], [-94429785910275/14, -68265080480579/14, 38960216067383/14], [20855746555050/7, 15790517504992/7, -8583409884662/7], [1075587/14, 846249/14, -611157/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1689/7, 233/7, -55/7], [141/7, -29/7, 3/7], [0, 0, 0]], [[0, 0, 0], [120242901/98, -149847735/98, -14106737/98], [-5457876/49, 5682226/49, 193552/49], [-3/98, 367/98, 5/98]], [[0, 0, 0], [-22910110781597/98, 6201015490345/98, -8396670650947/98], [898727519040/49, -455940869336/49, 315554226004/49], [16897117/98, -8437505/98, 25518847/98]]], 0, 230400, [], [] >,
< [ -3, -6, 0, 1 ], [[-12, -10, 6]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-215/2, -59/2, -3], [-951/14, -337/14, -2/7], [-149/7, -17/14, -5/14], [0, 0, 0]], [[4195170, 14862888, -5846602], [-2493123/7, 31415492/7, -10013586/7], [15142552/7, 36318214/7, -15448880/7], [-1, 2, 0]], [[2086461366906, 4028576349938, -1810890997692], [3237752397905/7, 16846829277389/14, -7299220720985/14], [5635133169615/7, 9941159170336/7, -4523480379893/7], [313443/14, 2483325/7, -2142387/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[78, 29/2, -1/2], [5255/7, 179/14, -117/14], [219/14, -1/7, -1/14], [0, 0, 0]], [[5505577, 1292648, 1525167], [4284678465/98, -660870037/49, 1641734771/98], [42802640/49, -18195666/49, 18585760/49], [561/98, 69/98, -2/49]], [[-35812339920, -87668017920, 43212592080], [-67775841742739/98, -69386841539328/49, 64861569838473/98], [-795813678953/49, -1589685923253/49, 741419789932/49], [-17767/98, -3444027/98, 742954/49]]], 0, 240, [], [] >,
< [ -3, -6, 0, 1 ], [[36, 56, -28]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1104/7, 2704/7, 1058/7], [-538/7, -1289/7, -501/7], [0, 0, 0]], [[0, 0, 0], [289645/14, 100465/14, -387266/7], [-55956/7, -13421/7, 178555/7], [8/7, -9/14, -1/14]], [[0, 0, 0], [19240828/7, 10074087/7, -6464107/7], [-2513678/7, -4015250/7, 1851916/7], [11148/7, 948/7, -1920/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1055/7, -9/7, -8/7], [62/7, 1/7, -3/7], [0, 0, 0]], [[0, 0, 0], [-103935473/49, 138928319/49, -28889134/49], [7484602/49, -5639402/49, 735508/49], [207/49, -39/49, -2/49]], [[0, 0, 0], [-25883943451/98, -36341892907/98, 10728496888/49], [568692212/49, 793454889/49, -457293587/49], [9350/49, 29495/98, -7565/98]]], 0, 1200, [], [] >,
< [ -3, -6, 0, 1 ], [[0, -64, 0]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [184/7, 222/7, 48/7], [76/7, 120/7, 4/7], [0, 0, 0]], [[0, 0, 0], [-1087251/7, -129489/7, 181680/7], [-203502/7, -43486/7, 37260/7], [10/7, -31/7, -5/7]], [[0, 0, 0], [112193541/7, 10475285/7, -20516047/7], [21424418/7, 4363554/7, -4971362/7], [-217, 217, -145]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1154/7, 398/7, -74/7], [80/7, -52/7, 16/7], [0, 0, 0]], [[0, 0, 0], [5325312/49, 8723289/49, -2279973/49], [-576908/49, -936730/49, 276330/49], [117/49, 240/49, 1/49]], [[0, 0, 0], [-8177742/7, 630804/7, 1070779/7], [621260/7, -94860/7, -65938/7], [619/7, 88/7, -110/7]]], 0, 307200, [], [] >,
< [ -3, -6, 0, 1 ], [[-18, -24, 10]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-33/2, 5/2, 2], [61/14, 79/14, 32/7], [-24/7, 13/14, 3/14], [0, 0, 0]], [[602790, 27220, -61082], [1111940/7, 3904134/7, 1157868/7], [889194/7, -48928/7, -75746/7], [-26/7, -9/7, -1/7]], [[-11252568180, -22998757340, 9911016720], [13395504837, 39881853999/2, -25412031987/2], [-4402200453, -8022599428, 3586559123], [1063663/14, 1057144/7, -805773/14]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[939/2, 215/2, 3], [58881/14, 2957/14, 55/7], [657/7, 37/14, 1/14], [0, 0, 0]], [[25283709/2, -7516793/2, -683342], [10749566761/98, -2956950715/49, 514098699/98], [119578593/49, -138714991/98, 14350377/98], [433/98, -66/49, -3/98]], [[-6554648331, -27052961309/2, -428472165/2], [-3555073888365/49, -13290862572353/98, 2206766911397/98], [-161902694115/98, -149801706890/49, 55716381179/98], [-25415/49, -16445/49, 91195/49]]], 0, 960, [], [] >,
< [ -3, -6, 0, 1 ], [[-12, -36, 16]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4663/7, -11101/7, -4182/7], [2349/7, 5575/7, 2084/7], [0, 0, 0]], [[0, 0, 0], [-618325/14, -731076/7, -547949/14], [154065/7, 366084/7, 137101/7], [-7/2, -3/2, 0]], [[0, 0, 0], [3111393933/14, 147338147/7, -547160133/14], [134186709/7, 13382741/7, -23848100/7], [44823675/14, 4114305/14, -3916705/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2392/7, 236/7, -50/7], [279/7, -27/7, 4/7], [0, 0, 0]], [[0, 0, 0], [91193/98, 109695/49, 105131/98], [-5076/49, -12214/49, -5848/49], [-125/98, -225/98, -2/49]], [[0, 0, 0], [1299082/7, -169157227/7, 44751080/7], [-89520/7, 18772275/7, -4968045/7], [-508885/7, -514046/7, 273780/7]]], 0, 4800, [], [] >,
< [ -3, -6, 0, 1 ], [[0, 0, 64]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [806/7, -148/7, -32/7], [528/7, -80/7, 16/7], [0, 0, 0]], [[0, 0, 0], [-2607061/7, -262260/7, 471402/7], [-1708062/7, -161428/7, 317320/7], [38/7, 39/7, 2/7]], [[0, 0, 0], [2136625574/7, 415754606/7, -450239800/7], [1427214912/7, 314650724/7, -305284996/7], [-50046/7, -47310/7, 41382/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [5426/7, -1016/7, 178/7], [-564/7, 116/7, -12/7], [0, 0, 0]], [[0, 0, 0], [-1408440946/49, 133747225/49, 338826570/49], [149200308/49, -9387222/49, -33749064/49], [302/49, 230/49, 3/49]], [[0, 0, 0], [-6198781824/7, -24416158119/7, 7473343999/7], [601178832/7, 2459370114/7, -788625622/7], [-20987/7, -31142/7, 12863/7]]], 0, 1228800, [], [] >,
< [ -3, -6, 0, 1 ], [[-30, -42, 24]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[303/2, 59/2, -1], [1605/14, 1279/14, 220/7], [213/7, 1/14, -3/14], [0, 0, 0]], [[-238001166, -20990240, 41316926], [-924210405/7, -79707573/7, 160404303/7], [-371767554/7, -32164786/7, 64276662/7], [12/7, 2/7, 1/7]], [[-3643555392, 132725704, 456554272], [-27483274019/14, 2265133701/14, 1410171990/7], [-5405557728/7, 657766589/7, 507624217/7], [-202, -755/2, 225/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[237/2, 29/2, -1], [15195/14, -425/14, -73/7], [165/7, -29/14, 3/14], [0, 0, 0]], [[-1399122, 32728, 319098], [-1386998287/98, -29120557/98, 143786453/49], [-15637392/49, -400693/49, 3207299/49], [53/49, -15/98, 3/98]], [[-9720216, -10775694, -3264618], [-3861080411/49, -3217333862/49, -884278777/49], [-83362038/49, -65297172/49, -19193718/49], [-21964/49, -34204/49, 15504/49]]], 0, 2880, [], [] >,
< [ -3, -6, 0, 1 ], [[-48, -84, 36]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-288/7, -76/7, -24/7], [144/7, 31/7, 5/7], [0, 0, 0]], [[0, 0, 0], [8761565/7, 1682623/14, -3232279/14], [-4438032/7, -425463/7, 810609/7], [1/14, 17/7, 3/14]], [[0, 0, 0], [-74443463040/7, 28780769201/7, -469802136/7], [39716362701/7, -11551291410/7, -1192984713/7], [230073, 333105, -154919]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [828/7, 110/7, 62/7], [-78/7, -27/7, -3/7], [0, 0, 0]], [[0, 0, 0], [-49498311/98, -22473583/49, -16959389/98], [2432259/49, 2720749/49, 870098/49], [-501/98, -59/98, 1/49]], [[0, 0, 0], [-578406464047/49, -841348681846/49, 294309683069/49], [28756686360/49, 41634200262/49, -8455352274/49], [-6508612/49, -8693113/49, 3943995/49]]], 0, 14400, [], [] >,
< [ -3, -6, 0, 1 ], [[192, 0, 0]], [ 0, 4, -2 ], [ 2, 3, -2 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [612/7, -206/7, -40/7], [324/7, -100/7, 20/7], [0, 0, 0]], [[0, 0, 0], [-9782393/7, -3844745/7, 2611209/7], [-5467638/7, -2248210/7, 1791206/7], [-43/7, 29/7, -3/7]], [[0, 0, 0], [28365801862/7, 58774828785/7, 542342672/7], [-1380906768/7, -10575306942/7, -19629917232/7], [-339832/7, -595830/7, 31071/7]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-54/7, 978/7, -92/7], [-120/7, -104/7, 4/7], [0, 0, 0]], [[0, 0, 0], [2608540972/49, 1482062853/49, -617051205/49], [140524572/49, -99034746/49, -41736502/49], [-101/49, 318/49, 5/49]], [[0, 0, 0], [-1039361289748/49, -1695836281470/49, 1339815849483/49], [43732029396/49, -18126444888/49, -107826639098/49], [-283405/49, -290854/49, 350544/49]]], 0, 3686400, [], [] >,
< [ 10, -8, -1, 1 ], [[16, -1, -2]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[33/2, -23, -3], [102/5, -166/5, -14/5], [-1, -17/2, -7/4], [1/10, -9/5, 1/20]], [[-841873, 47577, 110646], [-12468657/10, 352118/5, 816367/5], [-1332231/2, 64459/2, 354457/4], [-478754/5, 50499/10, 250517/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 5/2, 5/2], [-22, 27/2, -1], [1/2, 5/2, 5/2], [0, 0, 0]], [[-17239477/2, 248814, 1148909/2], [558312931/50, -208229163/50, -10620927/50], [-43098512/5, 2488267/10, 11489041/20], [32/25, 53/50, -1/100]], [[-2040721368737/2, 23214583581, 289773864975/2], [6450926806321/10, 867253316477/10, -1282852703187/10], [-1020353578838, 46428246569/2, 579544092521/4], [1975382/5, -301097/10, -989801/20]]], 4, 4, [], [] >,
< [ 10, -8, -1, 1 ], [[-4, -1, 1]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1/2, 3/2, -5/2], [36, -31/2, -6], [-1/2, 3/2, -5/2], [0, 0, 0]], [[-14467, -25511/2, 11366], [-222507/5, 219156/5, 20334/5], [-28949/2, -12750, 45473/4], [-11/10, -7/10, -1/20]], [[-7878877/2, 960195/2, 799739/2], [67957299/10, -6429867/10, -3782474/5], [-3938256, 480037, 1598873/4], [-3377/5, 297/10, 1771/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, 2, 0], [-93, -33/2, -3], [1/2, 2, 0], [0, 0, 0]], [[5997521/2, -521223/2, 1293], [-4997977263/50, -420626338/25, 591202071/50], [29988353/10, -2606569/10, 12949/10], [-147/50, 81/50, -1/50]], [[18863205732099/2, -772786125289/2, -2492934590697/2], [-18050376426124877/50, 380896279991498/25, 2378246793754659/50], [47158336346431/5, -1931976749763/5, -24929519804133/20], [-74148569/25, 2753487/25, 39829867/100]]], 3, 6, [], [] >,
< [ 10, -8, -1, 1 ], [[-28, 3, 3]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11/2, 19/2, 4], [-56, 51/2, 17/2], [-11/2, 19/2, 4], [0, 0, 0]], [[2688866, -335693/2, -58816], [-154062671/5, 321675481/10, -74142181/10], [5377737/2, -167850, -235251/4], [-23/10, 2/5, -3/20]], [[1213657781085/2, -78575314765/2, -150793988693/2], [-11370536762681/10, 4748865042159/5, -1979927203553/10], [606829972780, -39287903957, -301588258929/4], [-2666052/5, 231511/5, 1238431/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, 5, 1], [-99, -11, 4], [6, 5, 1], [0, 0, 0]], [[-32301, -8619/2, 4096], [63375257/50, -55842611/50, 6302003/25], [-322443/10, -21348/5, 81837/20], [29/25, 83/25, 3/100]], [[-8318420271/2, -1040610069/2, 822928800], [318270053816, -648004324549/2, 155069265705/2], [-8294456331/2, -1032918489/2, 819620235], [530556, 357162, -220077]]], 1, 6, [], [] >,
< [ 10, -8, -1, 1 ], [[-36, 1, 5]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[355/2, -205/2, -56], [579, -557/2, -327/2], [355/2, -205/2, -56], [0, 0, 0]], [[-2615/2, 45/2, 165], [-17069/10, 201/5, 2133/10], [-2653/2, 105/2, 345/2], [-1/10, -17/10, -3/10]], [[-11633417/2, 6995372, -3661893/2], [10795943/5, -20167593/10, 4563483/10], [5180305/2, -2623753, 626182], [-2269153/5, 2598209/5, -1327863/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-57, 133/2, 59/2], [-82, -87, -23], [-57, 133/2, 59/2], [0, 0, 0]], [[-512017/2, 43091, 69041/2], [140744681/25, -288198051/50, 68263021/50], [-2560443/10, 215812/5, 172613/5], [14/25, -47/25, -1/50]], [[-23005227/2, 1254095/2, 1518062], [2807993709/50, -1413533857/50, 62002936/25], [-114981341/10, 6271683/10, 15174527/10], [-7179/50, -54/25, 484/25]]], 0, 20, [], [] >,
< [ 10, -8, -1, 1 ], [[-28, 3, 3]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-45/2, 25/2, 7], [-59, 69/2, 47/2], [-45/2, 25/2, 7], [0, 0, 0]], [[1255581/2, -37023, 104021/2], [140415047/10, -63147013/5, 16067498/5], [627818, -74087/2, 208023/4], [4/5, 13/5, 3/20]], [[-480667034049/2, 515672367/2, 35655379785], [-2497324136132/5, -6467584616423/10, 3234484392543/10], [-480660421269/2, 514567167/2, 35655093354], [-8591088/5, 606939/5, 1046256/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -11, -4], [73, -75, -35], [2, -11, -4], [0, 0, 0]], [[538, -61, -131], [335481/50, -115719/25, 11549/25], [4629/10, 213/10, -2601/20], [57/25, -147/50, -1/100]], [[-270350669/2, 13971642, 28865735/2], [-1553623039/5, -5071470281/10, 1201569393/5], [-161049618, 43500375/2, 61344063/4], [11226013/10, -2820999/10, -1202517/20]]], 1, 6, [], [] >,
< [ 10, -8, -1, 1 ], [[86, -5, -11]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6373/2, 3615/2, 994], [-9919, 9563/2, 5609/2], [-6373/2, 3615/2, 994], [0, 0, 0]], [[113087751/2, -32205168, -35366795/2], [1764467579/10, -852077787/10, -249702099/5], [113087833/2, -32205136, -35366789/2], [41/10, 16/5, 3/10]], [[125590157079/2, -143441854435/2, 18303593656], [-77285118353087/10, 44160388471953/5, -22546492386531/10], [421792072533/2, -481936770017/2, 61508878692], [148100957727/10, -169247457791/10, 21602642518/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7933/2, 1527, 1979/2], [6006, -4313/2, -2877/2], [-7933/2, 1527, 1979/2], [0, 0, 0]], [[445512, -12691, -19259], [127843213511/50, -73088347989/25, 37323197263/50], [2226923/5, -63329/5, -96316/5], [-91/50, 9/25, -3/50]], [[83538576739/2, 6291545261/2, -7431414100], [-12312164291831467/50, 7031429298736583/25, -3589001953925011/50], [417607442073/10, 31424703511/10, -37144334588/5], [-6102973/50, -2358771/50, 909708/25]]], 0, 320, [], [] >,
< [ 10, -8, -1, 1 ], [[-8, 1, 1]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 5/2, -3/2], [-20, -8, -7], [-3, 5/2, -3/2], [0, 0, 0]], [[-10658671/2, -72431/2, 313851], [-509355484/5, -18188963/5, 49957508/5], [-10658711/2, -72401/2, 313856], [-11/5, -19/10, -1/10]], [[-1919908344377/2, 132787970413/2, 116732983899], [-173629900838437/10, 3979568492943/5, 11335477879022/5], [-959952717731, 66394137894, 466930835897/4], [-4617619/5, 69102/5, 2632507/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 5/2, 5/2], [-48, 5, -8], [3, 5/2, 5/2], [0, 0, 0]], [[-620431/2, 196243/2, 71587], [59111619/50, -8207281/25, -6571274/25], [-1551177/5, 490686/5, 1431731/20], [18/25, -14/25, 1/100]], [[-3143279/2, 66258, 414775/2], [8163667, -688311/2, -2154513/2], [-3143279/2, 66258, 414775/2], [0, 0, 0]]], 1, 12, [], [] >,
< [ 10, -8, -1, 1 ], [[58, 1, -9]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[29/2, 5/2, 2], [8, 63/2, 19/2], [29/2, 5/2, 2], [0, 0, 0]], [[50303077/2, 674237, -2711309/2], [594524477/10, 69326642/5, -24048799/10], [50303051/2, 674271, -1355650], [-7/10, -19/10, -1/10]], [[-1821657231595/2, 153971346633/2, 106307819135], [-27248448644547/10, 580843209193/5, 3633990277299/10], [-1821659773309/2, 153970997109/2, 212616161023/2], [1143837/10, 74679/10, -201699/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1/2, -1, 1/2], [12, 9/2, 13/2], [1/2, -1, 1/2], [0, 0, 0]], [[45/2, 125/2, 7], [-188507/10, 9963/5, 26559/10], [-153/2, -171/2, -9/2], [17/10, 19/10, 1/10]], [[1049083497, 76433049, -189590940], [-2890367918016/25, 184240394343/25, 355237573747/25], [-9000284139/5, -428288553/5, 1531956888/5], [1000031571/25, 47587617/25, -170217432/25]]], 0, 80, [], [] >,
< [ 10, -8, -1, 1 ], [[58, 1, -9]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2167/2, 584, 655/2], [-3270, 3073/2, 1829/2], [-2167/2, 584, 655/2], [0, 0, 0]], [[-1464329/2, 17645/2, 100321], [331205219/10, -194794251/5, 100767347/10], [-1464341/2, 17583/2, 100321], [21/10, 17/10, -1/5]], [[-321787745/2, 11132309, 39457241/2], [-92752076993/10, 103642072809/10, -13073977842/5], [-321824611/2, 11137339, 19729876], [14243/10, -1467/5, -628/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-849/2, 625/2, 157], [-3303, 4169/2, 2191/2], [-849/2, 625/2, 157], [0, 0, 0]], [[82768531/2, 1681424, -3014967/2], [-1852301906613/50, 2128507078349/50, -271575634277/25], [413844723/10, 8407073/5, -15074791/10], [-147/50, 3/25, -1/50]], [[406525426019669/2, -796676157186, -60895116061883/2], [4267461824930356987/50, -4816629692663830451/50, 610787200870410748/25], [2032636661783263/10, -3983111174712/5, -152238619053173/5], [-669099447/50, -15823872/25, 56897037/25]]], 0, 80, [], [] >,
< [ 10, -8, -1, 1 ], [[-36, 1, 5]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 3/2, 1/2], [-28, 7, -3], [3, 3/2, 1/2], [0, 0, 0]], [[-2435881, 265299/2, 385973/2], [142312713/10, -50251569/10, 838702/5], [-2435837, 265273/2, 192986], [27/10, -11/10, 1/10]], [[642053259/2, -43924453/2, -45808859], [-12723039037/10, 304052358/5, 923570177/5], [321022451, -21962021, -183233043/4], [-1159/5, 57/5, 687/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9, -5/2, 1/2], [-66, -12, 4], [-9, -5/2, 1/2], [0, 0, 0]], [[-9879/2, 6945, -4239/2], [21491/25, 311439/50, -96997/25], [-23941/5, 70761/10, -42417/20], [83/50, 91/50, 3/100]], [[-405093907/2, 1069777939/2, -170969711], [28164483137/50, 15813607037/25, -7237816527/25], [-122805826/5, 2637908713/5, -3930199867/20], [56937114/25, -2308797/25, -32894577/100]]], 1, 24, [], [] >,
< [ 10, -8, -1, 1 ], [[-36, 1, 5]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3/2, 3/2, 2], [-19, 39/2, 9/2], [3/2, 3/2, 2], [0, 0, 0]], [[504639/2, -74875/2, -7324], [2508229/10, 941899/5, -291569/5], [252342, -37455, -29305/4], [-2/5, 11/5, 1/20]], [[291554002444, -17679917460, -37193663022], [2974708699617/5, -86313739871/5, -420631348894/5], [291546901604, -17680004300, -37192290282], [19756768/5, -666664/5, -2883756/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5/2, -1, 5/2], [85, 31/2, 33/2], [5/2, -1, 5/2], [0, 0, 0]], [[-320072891/2, -6580397/2, 7289569], [-43151241551/10, -323223161/5, 2073749061/5], [-160036385, -3290288, 29158263/4], [-7/5, 16/5, 1/20]], [[484018179364797, -51886533069017/2, -128108258399907/2], [290328459109665767/25, -27522540391799657/50, -77084418368647703/50], [2420091917629953/5, -259432724920863/10, -640541609221677/10], [-233718977/25, 15657967/50, 70272093/50]]], 1, 20, [], [] >,
< [ 10, -8, -1, 1 ], [[14, -3, -1]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, -2, -1/2], [19, -23/2, -1/2], [-7/2, -2, -1/2], [0, 0, 0]], [[14762, -15, -808], [-43296, 36231, -11945/2], [29409/2, -43/2, -3231/4], [-5/2, -1/2, -1/4]], [[57623665843/2, -1359922304, -7508803127/2], [-156742128971/10, 40131490733/10, 3841801731/5], [57339919047/2, -1353236696, -3735885802], [-77931239/10, 1943896/5, 5050644/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17/2, 1, 5/2], [84, 49/2, -19/2], [17/2, 1, 5/2], [0, 0, 0]], [[-157960529/2, 183973, -1204265/2], [-30993127449/50, -2942090073/50, 1949097129/25], [-789799861/10, 920139/5, -3010669/5], [169/50, 19/25, 1/25]], [[35670047300841/2, -2262375029511/2, -2216490403198], [6112195678317367/50, -106466525294658/25, -412563429896557/25], [89174733856604/5, -5655918727592/5, -44329608333247/20], [-24575676/25, 1220223/25, 12749743/100]]], 1, 40, [], [] >,
< [ 10, -8, -1, 1 ], [[14, -3, -1]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, -3/2, 2], [-80, 19/2, 3/2], [-7/2, -3/2, 2], [0, 0, 0]], [[48686203/2, 100138, -1343969/2], [2252197203/2, -62060919, -165019035], [24343084, 200277/2, -2687923/4], [-1, 0, 1/4]], [[-21989344577793/2, 426706870264, 2919889560143/2], [-1794207228423767/5, 153414296825527/10, 236537349873089/5], [-10994667376656, 853413277631/2, 5839776555763/4], [2698299/10, -134577/10, -699561/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-9/2, -1, -5/2], [-113, -45/2, 25/2], [-9/2, -1, -5/2], [0, 0, 0]], [[1325532387/2, -34298419/2, 8144263], [462624123551/50, 10850424176/25, -58783964167/50], [6627662369/10, -171491187/10, 40721321/5], [19/50, 63/50, 1/25]], [[182415671637203901/2, -6673932255834123/2, -12265836827271168], [10904795665151625169/10, -237954899523209916/5, -717002194844939214/5], [91207859147560896, -3336967282222038, -49063359418935711/4], [1491564828/5, -74792094/5, -772988229/20]]], 1, 48, [], [] >,
< [ 10, -8, -1, 1 ], [[86, -5, -11]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, 3/2, 2], [-1, 51/2, 5/2], [15/2, 3/2, 2], [0, 0, 0]], [[1432149, -510882, 158119], [3346111/10, 13121626/5, -4869367/10], [1432145, -510861, 158127], [-11/10, -6/5, -3/10]], [[-7057697608465/2, 8379587338057/2, -1090004484724], [102706620729121/10, -56443388195019/5, 28233740334323/10], [-7057692031543/2, 8379592428337/2, -2180011767893/2], [-3125031/10, -1306227/10, 969657/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-7/2, 5/2, 2], [706, 55/2, 27/2], [-7/2, 5/2, 2], [0, 0, 0]], [[-409117393, 5040047/2, 214963/2], [-3203978555551/25, 453694113221/50, 618111712109/50], [-2045585754/5, 25201809/10, 537468/5], [-94/25, -101/50, -2/25]], [[6643731014085069/2, -2219937411237555, 722990876917119/2], [27927412604030544283/50, -13541537246896243859/50, 536100500089763182/25], [33218643591046707/10, -11099689655390043/5, 1807479050822853/5], [830942877/50, 163411527/25, -124956117/25]]], 0, 320, [], [] >,
< [ 10, -8, -1, 1 ], [[86, -5, -11]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[11, -3/2, -1/2], [142, 5, 3], [11, -3/2, -1/2], [0, 0, 0]], [[747469/2, 4052, -2591/2], [10262787/10, 27697749/10, 6979698/5], [747523/2, 4024, -1304], [-7/10, 8/5, 2/5]], [[15566887737/2, -3944340663/2, -395779836], [697111405302/5, -285622000727/10, -97389483483/10], [15566367945/2, -3944657679/2, -395679876], [134538/5, 40086/5, -35496/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21, 3/2, 1/2], [434, 31, 1], [21, 3/2, 1/2], [0, 0, 0]], [[-2593121857/2, 10192616, -43310547/2], [-1320803637927/50, -2269128302/25, 3989943559/50], [-12965609813/10, 50963087/5, -216552679/10], [37/50, -1/50, -2/25]], [[-107011453399, 363976626478, -124993537912], [-2240052111733/2, 6107038236279, -4397093318623/2], [-107011448584, 363976628468, -249987078795/2], [-139/2, -25, 20]]], 0, 320, [], [] >,
< [ 10, -8, -1, 1 ], [[-12, 2, 1]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-24, 19, 13/2], [-483/10, 569/10, 18/5], [7/2, -3/2, 15/4], [-6/5, 13/5, 3/20]], [[-3555128, 468103/2, 797193/2], [-102215149/10, 6886871/5, 4581394/5], [-4130801/2, -157106, 1411291/4], [-3718493/5, 689103/10, 1601249/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -3/2, 0], [-8, 7, -9/2], [2, -3/2, 0], [0, 0, 0]], [[-12, -27/2, 5/2], [-58763/50, -438/25, 7821/50], [1/5, -1/10, 11/10], [3/50, 28/25, -1/50]], [[-1600502, 489943/2, 277725/2], [-2666378873/50, 74930502/25, 168168508/25], [756067/10, 176052/5, -475613/20], [2392394/25, -810999/50, -756067/100]]], 1, 8, [], [] >,
< [ 10, -8, -1, 1 ], [[2, 0, 0]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -3/2, -2], [79, -50, -21/2], [5, -3/2, -2], [0, 0, 0]], [[2779016, -87443/2, -338518], [318755291/10, -2542724/5, -39731297/10], [5558077/2, -43740, -1354069/4], [-13/5, 23/10, -1/20]], [[107941003755, -9087915979/2, -14245975951], [6149248787342/5, -259905623136/5, -1622348553173/10], [107940952155, -9087865483/2, -14245978039], [100368/5, -17784/5, -8016/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 5/2, -2], [-54, -22, 15/2], [4, 5/2, -2], [0, 0, 0]], [[-1913, 2001, 320], [-2359288/25, 1196523/50, 1075317/50], [-9542/5, 10181/5, 3233/10], [-22/25, -63/50, -1/25]], [[-89957693, 13593541/2, 10698541], [86668818369/50, -4243805887/50, -5612860224/25], [-938529129/10, 35013381/5, 223923191/20], [4468893/25, -224939/25, -2301299/100]]], 1, 18, [], [] >,
< [ 10, -8, -1, 1 ], [[-14, 0, 2]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, 0, 2], [-37, 31, -3], [-3, 0, 2], [0, 0, 0]], [[69791, 6046, -12113/2], [-623767/2, 34463, 95239/2], [139587/2, 12083/2, -24223/4], [1, 1/2, -1/4]], [[61716915, -4112091/2, -8232136], [-1675842603/10, 29900489/10, 119767463/5], [123405075/2, -2041767, -32942053/4], [12969/5, -8577/5, 5553/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 9/2, 5/2], [-12, 9, -8], [3, 9/2, 5/2], [0, 0, 0]], [[-952460, 1008831/2, 279233], [71243293/50, -18750807/25, -18551931/50], [-9525517/10, 2521908/5, 5584773/20], [-79/25, -141/50, -3/100]], [[6862449248, -3563538745, 423265869], [-831000519658/25, 837827239259/25, -201687651914/25], [34281665717/5, -17796857476/5, 4225636897/10], [-11235702/25, 8981896/25, -3601507/50]]], 1, 10, [], [] >,
< [ 10, -8, -1, 1 ], [[22, 2, -4]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[9, -3, -2], [15, -17, -8], [9, -3, -2], [0, 0, 0]], [[-3220, 4907/2, -1069/2], [290899/10, -66596/5, 4287/10], [-3250, 4951/2, -529], [-9/10, -14/5, -1/5]], [[-5318553, 2988945, -368378], [100176029/2, -15458742, -3011447/2], [-5303053, 2998245, -746831/2], [-27745/2, -620, 2170]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4, 9/2, 5/2], [-21, -15, -6], [4, 9/2, 5/2], [0, 0, 0]], [[3193258, -441073/2, -712929/2], [-22721167/2, 645890, 2673057/2], [3193308, -441025/2, -356468], [3/2, 2, 0]], [[-76048949220, 6791751056, 8539339820], [6715749929117/25, -488929626841/25, -798045275014/25], [-380254913698/5, 33957694794/5, 42698375271/5], [-2523052/25, -522704/25, 485009/25]]], 0, 60, [], [] >,
< [ 10, -8, -1, 1 ], [[-14, 0, 2]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[3, 6, 2], [31, -21, 7], [3, 6, 2], [0, 0, 0]], [[83505658, -3095791, -10808182], [950318519/10, -45080361/5, -51676239/5], [167011371/2, -6191625/2, -43232739/4], [-2/5, 27/10, 1/20]], [[-3171522543265, 312194267571/2, 819431859943/2], [-23129556676474/5, 7791522994612/5, 427510122238/5], [-3171524740830, 312199920833/2, 409715170718], [620734/5, -1633072/5, 1068579/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -3/2, -1/2], [-27, -14, -3], [-3, -3/2, -1/2], [0, 0, 0]], [[7156, -7233/2, -7737/2], [1594934/25, -986882/25, -1420531/50], [71207/10, -17968/5, -77363/20], [67/50, -41/50, -3/100]], [[17159284, -4782711/2, -3260341/2], [1420236363/10, -64594787/5, -80687348/5], [34370255/2, -2403231, -6517685/4], [-5409/5, 4239/10, -63/20]]], 1, 18, [], [] >,
< [ 10, -8, -1, 1 ], [[-62, 8, 6]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -5/2, -3/2], [-265, 192, 97], [-1, -5/2, -3/2], [0, 0, 0]], [[-34604828, 77334887/2, -19546577/2], [181637909/10, -19725717/10, -5572009/5], [-34604828, 77334887/2, -19546577/2], [51/10, 17/10, -1/5]], [[56930629903514, -130639416673853/2, 33415529423217/2], [3417268784005/2, 7832995491431/2, -1724475751121], [56930629903514, -130639416673853/2, 33415529423217/2], [5945781/2, -954927/2, -202915]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-40, -3/2, -3/2], [95, 9, 6], [-40, -3/2, -3/2], [0, 0, 0]], [[-1842742818, -180587571/2, -16450801/2], [4449924555, 430293804, 104449219], [-1842742678, -180587491/2, -16450801/2], [7, 2, 0]], [[-1000317260526143, 1164727842978619/2, -169793223887999/2], [127189681424261081/50, -71948799393578663/50, 5082430808490424/25], [-5001586026862637/5, 5823639127622907/10, -848966157341347/10], [137884039/50, -21817547/50, -4737669/25]]], 0, 960, [], [] >,
< [ 10, -8, -1, 1 ], [[-78, 4, 10]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 2, 1], [19, -12, 10], [-2, 2, 1], [0, 0, 0]], [[2558, -500, -421], [325419/10, -182317/10, 4521/5], [2553, -498, -416], [-29/10, -3/10, -1/5]], [[-31649197, 2525741/2, 8243921/2], [-2818416767/10, 200695021/10, 335881899/10], [-63664359/2, 1275990, 16583131/4], [505446/5, -24858/5, -266533/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, -3/2, -3/2], [-110, 7, 2], [5, -3/2, -3/2], [0, 0, 0]], [[388082, 22372, -13921], [-3290984566/25, 126730018/25, 900447119/50], [3880667/10, 223949/10, -278393/20], [17/50, -41/50, -3/100]], [[23860404, -1799709/2, -6335679/2], [-285779508243/50, 6095673757/25, 18832556078/25], [238614693/10, -4499607/5, -63359367/20], [-1221/25, 141/50, 603/100]]], 1, 36, [], [] >,
< [ 10, -8, -1, 1 ], [[34, -2, -4]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7, 5/2, -5/2], [15, -12, -5], [7, 5/2, -5/2], [0, 0, 0]], [[-119751, -728, 9885], [3390848/5, -1960653/10, -1455327/10], [-119726, -746, 19761/2], [2/5, 23/10, 1/5]], [[-6944434343, 2589712125/2, 1053537507/2], [102221343911/10, -8576734083/10, -6208149716/5], [-6943734193, 2587284799/2, 527128547], [930259/10, 1353693/10, -653543/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 11/2, 3/2], [301, 33, 14], [-6, 11/2, 3/2], [0, 0, 0]], [[-159175973, 379987, -188448], [-452745409513/25, -49871346827/50, 122497809617/50], [-795879792/5, 1900251/5, -1884427/10], [-47/25, -113/50, -1/25]], [[-22229854121181, 21897175926309/2, -1889403451917/2], [-9369984843531609/10, -3119474692580223/10, 1291512973180604/5], [-22229852372499, 21897191338455/2, -944704918974], [-1582161/10, -2663067/10, 1247427/10]]], 0, 240, [], [] >,
< [ 10, -8, -1, 1 ], [[34, -2, -4]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17, 13/2, 3/2], [44, -35, 9], [17, 13/2, 3/2], [0, 0, 0]], [[-4745715, -2199469/2, 280609/2], [-7765937/2, 881295, -146843/2], [-4745655, -2199445/2, 140301], [5/2, 1, 0]], [[-524239555289, 327183636247/2, 27627171993/2], [-28623219526083/10, 30622634334819/10, -3774715133242/5], [-524236737743, 327187408753/2, 13812451464], [951993/10, 1703541/10, -789981/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15, 1/2, -1/2], [-40, 2, -2], [-15, 1/2, -1/2], [0, 0, 0]], [[32624, -257/2, -305/2], [4416811/50, -22439/25, 36763/50], [161557/5, -1747/10, -1523/10], [-191/50, -16/25, -3/50]], [[3435267519, -61911811599/2, 22692624007/2], [183869958569/10, -952452035957/10, 168810653656/5], [3563535157, -61578894593/2, 11264069321], [14486371/10, 23426167/10, -11049497/10]]], 0, 240, [], [] >,
< [ 10, -8, -1, 1 ], [[22, 2, -4]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, -1/2, 3/2], [-28, 27, -3], [0, -1/2, 3/2], [0, 0, 0]], [[62947, -2431/2, -15605/2], [145325/2, 1227/2, -16743/2], [125899/2, -1215, -31231/4], [3, 0, 1/4]], [[360827568, -14298942, -47389616], [2214638909/5, -86132552/5, -287855723/5], [360846708, -14364018, -47369954], [91176/5, 34452/5, -24882/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -3/2, 3/2], [176, 9, 11], [-1, -3/2, 3/2], [0, 0, 0]], [[-344654, 31429/2, -5533/2], [2673900119/10, -68516426/5, -184247829/5], [-689377/2, 15667, -11089/4], [13/5, 17/10, 1/20]], [[2917687100, -2052993773/2, -42193735/2], [-59673745985781/50, 938117530519/25, 4081393068551/25], [29182354001/10, -5131916209/5, -424240739/20], [-668857/25, -185003/50, 502151/100]]], 1, 72, [], [] >,
< [ 10, -8, -1, 1 ], [[22, 2, -4]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6, 1/2, -3/2], [-6, 30, -12], [6, 1/2, -3/2], [0, 0, 0]], [[89351, 2039/2, -21271/2], [1334216/5, 89262/5, -368229/10], [178719/2, 1021, -42537/4], [3/10, 1/10, 3/20]], [[190539, -19489, -28774], [6069027/10, -353063/5, -442412/5], [381195/2, -39003/2, -115145/4], [19/5, -9/10, -17/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-13, -1/2, 5/2], [-12, 4, 10], [-13, -1/2, 5/2], [0, 0, 0]], [[-2986362, -331407/2, -299181/2], [3199299457/50, -548456818/25, -445955322/25], [-29861507/10, -827142/5, -2991887/20], [54/25, 191/50, 3/100]], [[-24597445704986, 9379417455711/2, 3271946866433/2], [1083865369827181/50, 418213854288356/25, -371771831192476/25], [-245946222864931/10, 23451482304249/5, 32707404321489/20], [880755357/25, 419094803/50, -788176101/100]]], 1, 60, [], [] >,
< [ 10, -8, -1, 1 ], [[134, -10, -16]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8, 7/2, 3/2], [-33, 10, 9], [-8, 7/2, 3/2], [0, 0, 0]], [[5999, -1417/2, -2035/2], [321733/10, -42839/10, -25163/5], [5979, -1383/2, -1014], [-23/10, -21/10, 1/10]], [[-1985052734, 204162943/2, 510993039/2], [-21139629833/2, 791121475/2, 2834122529/2], [-3982343793/2, 103498239, 1023386927/4], [3044554, -264060, -1391425/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-3, -3, 0], [43, 17, -2], [-3, -3, 0], [0, 0, 0]], [[127600, -11835/2, -5957/2], [-28918103/25, 11313/50, 1954776/25], [1276201/10, -29649/5, -59569/20], [-39/50, 11/25, 1/100]], [[513580643341, -48869419947/2, -133611395459/2], [-227995291353041/50, 5102659936459/25, 14946755570336/25], [5135993584421/10, -122183619299/5, -1336153651749/20], [-21222477/25, 3935517/50, 9500161/100]]], 1, 120, [], [] >,
< [ 10, -8, -1, 1 ], [[134, -10, -16]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-4, -5/2, -1/2], [-37, -10, -7], [-4, -5/2, -1/2], [0, 0, 0]], [[936211, 71345/2, -67917/2], [119864247/10, -53545571/10, 12268071/10], [1872397/2, 35684, -135845/4], [14/5, -7/5, 3/20]], [[-46749584504, 1952632472, 6023350608], [-1838254167419/5, 136130460842/5, 213935689513/5], [-46749455324, 1952602892, 6023343078], [-321996/5, 27708/5, 36882/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-2, 7/2, -1/2], [-18, -30, 6], [-2, 7/2, -1/2], [0, 0, 0]], [[391940, -75459/2, 3131/2], [-554348893/50, 3815407/25, 22794953/25], [3919753/10, -188622/5, 31333/20], [-46/25, -9/50, 3/100]], [[613950052442, -106554622287, -49668869558], [-75592304759756/5, 6124677342278/5, 17644645348609/10], [1228046579641/2, -213124776855/2, -198706715015/4], [-33231573/10, 3040329/10, 7467807/20]]], 1, 144, [], [] >,
< [ 10, -8, -1, 1 ], [[-62, 8, 6]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[21, 3/2, 1/2], [-35, 52, 11], [21, 3/2, 1/2], [0, 0, 0]], [[2669192, 481925/2, -852651/2], [66294081/10, -4754209/5, -2342637/10], [2669240, 481897/2, -426325], [29/10, -6/5, 1/5]], [[208789984, -2446848, -28647388], [469564725, -28422929, -50314274], [208792984, -2447160, -28647664], [168, -24, -12]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, 7/2, -3/2], [234, 8, -6], [1, 7/2, -3/2], [0, 0, 0]], [[99, 43/2, -15/2], [-3243189/50, 1032547/50, 376569/25], [-1143/5, -1327/10, -29/5], [-191/50, -107/50, -3/50]], [[-14202527585, 4184758395/2, 2267133705/2], [20241642997457/10, -4754133851901/10, -1303022897182/5], [50571478609, -15229327339/2, -3589780593], [8334138933/10, -1332460259/10, -566645011/10]]], 0, 960, [], [] >,
< [ 10, -8, -1, 1 ], [[-62, 8, 6]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 11/2, 5/2], [-20, 25, 9], [-1, 11/2, 5/2], [0, 0, 0]], [[101400, 238277/2, -93995/2], [8548623/10, -1860167/5, 651949/10], [101414, 238237/2, -47002], [17/10, -8/5, -2/5]], [[-60302052384, 13025133120, 3804498064], [-495309120791/5, -187445112967/5, 143498402802/5], [-60296015570, 13024435322, 3803957707], [1702706/5, -271498/5, -115507/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-16, 1/2, 1/2], [-319, -7, 0], [-16, 1/2, 1/2], [0, 0, 0]], [[-35575032, -610783/2, 685917/2], [-3374722034/5, -309891323/5, -131719612/5], [-35575233, -611129/2, 342956], [-11/5, -12/5, -1/10]], [[205127706457979, 44664702719569, -44555830095810], [228857712253474621/50, 52123814591872417/50, -24730660227697916/25], [1025655413455952/5, 223321025812249/5, -222780397009894/5], [2171540199/50, -341364927/50, -74895304/25]]], 0, 960, [], [] >,
< [ 10, -8, -1, 1 ], [[26, -2, -3]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, 4, -1/2], [1, 0, -7/2], [-1, 4, -1/2], [0, 0, 0]], [[11533, 2060, -3009/2], [-12382, -2577, -887], [23001/2, 4117/2, -6007/4], [5/2, 1/2, 1/4]], [[237167851, -19669129, -51997329/2], [-1529942663/5, -153283517/10, 453808197/10], [473194865/2, -39316965/2, -103689631/4], [623651/10, 21421/5, -192149/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-1, -2, -3/2], [19, 1, 7/2], [-1, -2, -3/2], [0, 0, 0]], [[5647740, 140365, -402780], [-134474562/5, 9644777/10, 11305729/5], [11295431/2, 280871/2, -1611121/4], [19/10, -16/5, -1/20]], [[245060477157, -5883473961, -64772832763/2], [-26035659300081/25, 626716742413/25, 7003248794929/50], [1225318982874/5, -29418913422/5, -161933550883/5], [-2951289/25, 330372/25, 449901/50]]], 0, 80, [], [] >,
< [ 10, -8, -1, 1 ], [[-4, -4, 2]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1, -4, 5/2], [-3, -14, 1/2], [1, -4, 5/2], [0, 0, 0]], [[6386, -4707, 723], [-2758656/5, 94718/5, 751539/10], [12783/2, -9417/2, 2891/4], [-13/10, 9/10, -3/20]], [[2546867, -153928, -692325/2], [-3365917489/5, 285609909/10, 888973471/10], [5104253/2, -308311/2, -1387427/4], [-6397/10, 148/5, 1683/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[5, 4, -1/2], [45, 28, -17/2], [5, 4, -1/2], [0, 0, 0]], [[-67933, 753, 15079/2], [-2522607/5, 76696/5, 287504/5], [-135677/2, 1717/2, 30159/4], [-11/10, -17/10, -1/20]], [[-106455105, 7422050, 25760925/2], [-19203661624/25, 3105430529/50, 4486465891/50], [-1061025117/10, 75141231/10, 255873863/20], [-250337/50, -38187/25, 131533/100]]], 0, 240, [], [] >,
< [ 10, -8, -1, 1 ], [[-48, 8, 4]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [12, 7, 1], [10, 0, 2], [0, 0, 0]], [[13, -14, 3/2], [-12504064/5, -15222711/10, -2271889/10], [-1938035/2, -2611409/2, -427567/4], [13/10, -7/5, 3/20]], [[-2170, 325, 190], [-3369096446, 273468451/2, 885451009/2], [-1982484047, 87214920, 515454003/2], [-217, 65/2, 19]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48, 2, -6], [2, 1, -3], [0, 0, 0]], [[233, -34, 3/2], [470291416/25, -59032061/50, -121495419/50], [7471857/10, -1207091/10, -1647843/20], [233/50, -17/25, 3/100]], [[-138516, 28518, 12222], [-191078086732/25, 9840346736/25, 24245298569/25], [-1358546642/5, 152429161/5, 132071224/5], [-69258/25, 14259/25, 6111/25]]], 0, 160, [], [] >,
< [ 10, -8, -1, 1 ], [[-56, 0, 8]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [2, -15, -5], [-8, 9, 3], [0, 0, 0]], [[0, 0, 0], [2088723/5, -730224/5, -160936/5], [-357929, 283773, -85769/2], [-28/5, -6/5, -3/10]], [[0, 0, 0], [526273928, -6221310343/2, 2237259623/2], [-6849651677, 8690736087, -4660114675/2], [81337, 43413/2, -20459]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [42, -9, -3], [-8, -15, -5], [0, 0, 0]], [[0, 0, 0], [-2411088237/25, 3473787927/50, -617951717/50], [230529783/5, -29471319/5, 1160063/10], [-78/25, -87/50, 1/25]], [[0, 0, 0], [-2577303182200346/25, 3103541652918333/25, -812792346485068/25], [44564596964699/5, -97186466993547/5, 61521867159749/10], [44492751/25, -18811623/25, 1406691/50]]], 0, 960, [], [] >,
< [ 10, -8, -1, 1 ], [[-48, 8, 4]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, -7], [-6, -5, -4], [0, 0, 0]], [[0, 0, 0], [-403844/5, 290579/10, 105488/5], [-169589/2, 59541/2, 83523/4], [43/10, -2/5, 3/20]], [[0, 0, 0], [-2068903797, 79180780, 819828193/2], [-6439845079/2, 463442591/2, 2072834597/4], [2618331/2, -283663/2, -540929/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-18, -8, -2], [-2, -1, -1], [0, 0, 0]], [[0, 0, 0], [-9329303/25, -301081/25, 4523777/50], [-343209/10, -345973/10, 502431/20], [161/50, 97/50, 1/100]], [[0, 0, 0], [-228651693224/25, -136449565971/50, 59415637333/25], [-482290887/10, -20026126419/10, 15432495793/20], [14539213/50, 71838/25, -4537767/100]]], 0, 240, [], [] >,
< [ 10, -8, -1, 1 ], [[136, -8, -16]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-10, -4, 2], [-14, 5, 3], [0, 0, 0]], [[0, 0, 0], [66309/5, -11137/5, -6568/5], [248, 853, 102], [1/5, -28/5, -2/5]], [[0, 0, 0], [-23390131186/5, 12971891661/10, 1946042649/10], [-543947594, -155123193, 138652027], [10235206/5, 16080429/10, -9133379/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-94, 9, 3], [-34, 2, 4], [0, 0, 0]], [[0, 0, 0], [19898769/25, -18218849/50, -14926171/50], [-271006/5, -34757/5, -4433/5], [-39/25, -81/50, 1/50]], [[0, 0, 0], [1433766717073/25, -2237937467383/50, 455420808843/50], [42996189868/5, -14755514044/5, -623189731/5], [4004187/25, 10217823/50, -5071033/50]]], 0, 15360, [], [] >,
< [ 10, -8, -1, 1 ], [[8, 0, 0]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, 13, 0], [-6, 3, -2], [0, 0, 0]], [[0, 0, 0], [-812137/5, 201006/5, -25571/5], [4030, 48354, -14123], [27/5, 9/5, 1/5]], [[0, 0, 0], [52502745074/5, 44239244531/10, -16285276478/5], [-17942960109/2, 8496067201/2, -1226249573/4], [-9989413/10, 69657/5, 2848447/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [138, 26, 13], [2, 3, 2], [0, 0, 0]], [[0, 0, 0], [-536849059/25, -4046643/25, 11108631/50], [-7256687/10, -1158659/10, -1758107/20], [83/50, 91/50, 3/100]], [[0, 0, 0], [-62576456679181/5, 15271867503571/10, 6322015351302/5], [-1231777752497/2, 170610379121/2, 232980164543/4], [20782517/10, 457317/5, -6848653/20]]], 0, 480, [], [] >,
< [ 10, -8, -1, 1 ], [[88, 8, -16]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-4, 12, 4], [10, -11, -1], [0, 0, 0]], [[0, 0, 0], [1024126/5, 86709/10, -207899/10], [-63952, -3012, 4586], [14/5, -29/10, -1/10]], [[0, 0, 0], [11254432698/5, -932789243/10, -2956485137/10], [-754212405, 37414654, 192851231/2], [-52763/5, -41757/10, 15236/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [84, -7, 3], [-4, 2, 0], [0, 0, 0]], [[0, 0, 0], [-161043057/25, 25314211/25, 26454669/25], [283237/5, 10934/5, -24453/10], [-158/25, -41/25, -3/50]], [[0, 0, 0], [357511023469/5, 44698443601/10, -131642542791/10], [-654684417, -641909568, 664898657/2], [745526/5, 429519/10, -179162/5]]], 0, 3840, [], [] >,
< [ 10, -8, -1, 1 ], [[88, 8, -16]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-2, -9, 1], [18, 6, 0], [0, 0, 0]], [[0, 0, 0], [5718, -5980, 1561], [-813, -148, 199/2], [3, 4, 1/2]], [[0, 0, 0], [-18203260257/5, 39427975407/10, -9796314277/10], [260362243, 38802169, -105064681/2], [-14206988/5, -3825137/10, 2684266/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 3, 1], [-28, -9, -1], [0, 0, 0]], [[0, 0, 0], [-3044038/25, 16956223/50, -4719483/50], [-576347/5, -1091679/5, 686603/10], [3/25, 87/50, -1/25]], [[0, 0, 0], [1566905352/5, 2040236684/5, -1000847964/5], [-997833846, -206891712, 221508340], [43758/5, 4741/5, -7711/5]]], 0, 3840, [], [] >,
< [ 10, -8, -1, 1 ], [[-56, 0, 8]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, 3, 5], [-10, -2, 2], [0, 0, 0]], [[0, 0, 0], [-1398308, 1455825/2, 724563/2], [-110481, 6421, -4689/2], [-1, 5/2, 0]], [[0, 0, 0], [9652127172/5, -6046348807/10, -217036284/5], [-1291509225/2, -311696841/2, 621267531/4], [267711/10, -56269/5, 7671/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [68, -1, -3], [2, -1, 3], [0, 0, 0]], [[0, 0, 0], [2866426, -10453, -280049], [141578, 23282, 31716], [-4, -2, 0]], [[0, 0, 0], [199004630972/25, 198812947113/50, -67659194224/25], [-14804871589/10, 29459907397/10, -18259328669/20], [-2360489/50, 433086/25, 28951/100]]], 0, 960, [], [] >,
< [ 10, -8, -1, 1 ], [[-56, 0, 8]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-12, 0, 0], [-8, -11, -3], [0, 0, 0]], [[0, 0, 0], [-2969692/5, 6960657/10, -897111/5], [-85669/2, 171333/2, -96825/4], [-1/10, 4/5, -1/20]], [[0, 0, 0], [35613708, -35251375, 16586901/2], [30219749/2, -9372139/2, -1723799/4], [749/2, -77/2, -161/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [86, 13, 1], [-6, -9, -5], [0, 0, 0]], [[0, 0, 0], [28623027/5, -18624897/10, 1893636/5], [-2572375/2, 1238967/2, -1209631/4], [31/10, 1/5, 1/20]], [[0, 0, 0], [-709526211229/25, 460248629142/25, -144755492289/50], [93826423203/10, -71766707359/10, 27584216343/20], [-718627/50, 205471/50, 53193/100]]], 0, 960, [], [] >,
< [ 10, -8, -1, 1 ], [[-312, 16, 40]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [24, -4, -10], [6, -1, -5], [0, 0, 0]], [[0, 0, 0], [-251187/5, 46971/5, 92744/5], [1288, 2586, 7106], [7/5, -6/5, 1/5]], [[0, 0, 0], [-2655385, 237353/2, 351586], [16241809/2, -676957/2, -4283951/4], [147/2, -3, -39/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-216, 80, -14], [-4, 9, -1], [0, 0, 0]], [[0, 0, 0], [26478119863/25, 4490872077/50, -7378471867/50], [-216441583/5, -2777551/5, 12201647/10], [72/25, 13/50, 1/25]], [[0, 0, 0], [8525625989380974/25, -501857226146079/50, -1160571081442983/25], [-158607289176323/10, 8995048483979/10, 39469401043117/20], [62179337/50, -1737388/25, -15432183/100]]], 0, 1920, [], [] >,
< [ 10, -8, -1, 1 ], [[-312, 16, 40]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [26, 17, 5], [0, 13, 3], [0, 0, 0]], [[0, 0, 0], [-54448308/5, -47369427/10, 19545167/10], [-6564313, 1282421, -583431/2], [13/5, 17/10, -1/5]], [[0, 0, 0], [56000741061713/5, -5785572733763/10, -7125314044261/5], [8528592580887/2, -182160879323/2, -2362583294985/4], [-36410191/10, 848549/5, 9349219/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-124, -94, -40], [4, -11, -5], [0, 0, 0]], [[0, 0, 0], [2081741084/25, -816976439/50, 71292047/25], [34210037/10, 1220939/10, 5191157/20], [117/50, -83/25, -3/100]], [[0, 0, 0], [5399934089477497/25, -194140941215206/25, -1443285852446773/50], [130785924716521/10, -4938067835113/10, -34680244324499/20], [-342403589/50, 17595897/50, 86281151/100]]], 0, 1920, [], [] >,
< [ 10, -8, -1, 1 ], [[136, -8, -16]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [88, 11, 7], [-2, -1, -3], [0, 0, 0]], [[0, 0, 0], [303250612/5, -22197757/10, -52694933/10], [-4156070, 345264, 48718], [28/5, 27/10, 3/10]], [[0, 0, 0], [166138252388749/5, -428978127708209/10, 115862054483779/10], [-7703145052713, 9169191741621, -4775320609311/2], [-2085594/5, -5009101/10, 1260193/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [366, 5, 3], [24, 4, 0], [0, 0, 0]], [[0, 0, 0], [-2304749657/25, 526865311/25, -117449881/25], [-27725873/5, 218544/5, -777833/10], [-8/25, 9/25, -3/50]], [[0, 0, 0], [-9172310783402/25, 1521040943517/50, 2121835992043/50], [-139018136833/5, 8225809274/5, 34677530537/10], [2737/25, 7223/50, -1779/25]]], 0, 15360, [], [] >,
< [ 10, -8, -1, 1 ], [[136, -8, -16]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, 24, 6], [-18, -13, -3], [0, 0, 0]], [[0, 0, 0], [22742361/5, -546171/10, -7663239/10], [-5286177, 404577, 1423817/2], [-6/5, 21/10, 2/5]], [[0, 0, 0], [-629612139488/5, -186742699351/5, 165400512461/5], [192831643036, -17775273041, -21764301897], [-167132/5, -457404/5, 198904/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [296, 5, 1], [-26, -4, 2], [0, 0, 0]], [[0, 0, 0], [-183807474/25, 1635249979/50, -395937059/50], [-10444331/5, -69737/5, 551089/10], [169/25, 51/50, 2/25]], [[0, 0, 0], [2230374324900276/25, -2329085063171348/25, 566681500951258/25], [127988883124/5, -4167715459627/5, 1576532360992/5], [21098394/25, 58130038/25, -25252123/25]]], 0, 15360, [], [] >,
< [ 10, -8, -1, 1 ], [[62, 10, -13]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6, 0, -1], [2, 4, 0], [-6, 0, -1], [0, 0, 0]], [[-22478, 12074, -1295], [4971, 7156, -7023/2], [-45011/2, 24151/2, -5167/4], [7/2, -1/2, -1/4]], [[7, -1, -3/2], [9/5, -2/5, -3/5], [5/2, -1/2, -3/4], [7/10, -1/10, -3/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[12, 2, -2], [-118, 32, 23], [12, 2, -2], [0, 0, 0]], [[4274, -3470, 869], [48141/25, -91068/25, 102781/50], [40457/10, -35981/10, 17597/20], [283/50, 291/50, 3/100]], [[-28912229, 18814427, -5681759/2], [-789500393/25, 656942464/25, -119366669/25], [-249385481/10, 187670933/10, -69248561/20], [-7006059/50, 3357/50, 2292831/100]]], 0, 1280, [], [] >,
< [ 10, -8, -1, 1 ], [[12, 4, -2]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17, 3, -3/2], [19, -1, 5/2], [17, 3, -3/2], [0, 0, 0]], [[-1407, 5129, 337/2], [70582/5, -87426/5, 44946/5], [-2951/2, 10239/2, 701/4], [21/10, 47/10, 1/20]], [[-35610608, 1341496, 4759585], [-218517874/5, 16720112/5, 51866901/10], [-70345177/2, 2646417/2, 18806879/4], [-529457/10, 21121/10, 140633/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[17, 1, -3/2], [133, 5, -31/2], [17, 1, -3/2], [0, 0, 0]], [[141, -93, 131/2], [-51859/25, 75957/25, -13797/25], [2163/10, -2059/10, 1283/20], [-67/50, 91/50, 3/100]], [[-2290082, 81036, 308019], [-85904876/5, 4851573/5, 10857877/5], [-960871, 18909, 270121/2], [-97409/5, 4602/5, 25311/10]]], 0, 3840, [], [] >,
< [ 10, -8, -1, 1 ], [[104, -8, -12]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-6, -2, 6], [4, -8, -4], [0, 0, 0]], [[-9, 17, 1/2], [858587/5, -1002241/5, 226951/5], [174365/2, 67327/2, -65595/4], [-9/10, 17/10, 1/20]], [[-29106, 378, 3807], [106694838/5, 35450556/5, -27459691/5], [-218528535, 7411341, 57862757/2], [-14553/5, 189/5, 3807/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [44, -4, -7], [-6, 4, 3], [0, 0, 0]], [[211, -203, 1/2], [13140397/25, -851531/25, -1540424/25], [766049/10, 238863/10, -515191/20], [211/50, -203/50, 1/100]], [[-88875684, 2319732, 8707878], [16448799792982/25, -674401251736/25, -2171806575044/25], [570102052622/5, -31366437926/5, -74413118949/5], [-44437842/25, 1159866/25, 4353939/25]]], 0, 2560, [], [] >,
< [ 10, -8, -1, 1 ], [[-192, 32, 16]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, -2, -10], [-20, 2, 6], [0, 0, 0]], [[0, 0, 0], [10206411, -1128698, -1450264], [3676509, 106295, -884693/2], [0, -3, -1/2]], [[0, 0, 0], [842571454161/5, -88448573198/5, -91575827712/5], [74536182735, 509641815, -22364965623/2], [-422436/5, -188517/5, 263529/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [28, 2, -6], [8, 6, 0], [0, 0, 0]], [[0, 0, 0], [-394857/25, -35189/25, 54269/25], [-61847/5, 2731/5, 18283/10], [-158/25, -116/25, -3/50]], [[0, 0, 0], [-288023973841/25, 65997157143/25, 16828416097/25], [-31738628081/5, 3937359393/5, 6426824109/10], [-259700454/25, 62365342/25, 25454511/50]]], 0, 15360, [], [] >,
< [ 10, -8, -1, 1 ], [[104, -8, -12]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [10, -2, 11], [2, 0, 3], [0, 0, 0]], [[0, 0, 0], [258656/5, 78227/5, -125329/10], [28709/2, 7907/2, -13219/4], [33/10, 21/10, 3/20]], [[0, 0, 0], [9603098/5, 394926/5, -1497666/5], [526268, 19044, -80704], [952/5, 104/5, -84/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-30, -2, 8], [20, -6, 0], [0, 0, 0]], [[0, 0, 0], [36288816/25, 3016607/25, -5653019/50], [-13878687/10, 870631/10, 4140433/20], [-167/50, 241/50, 3/100]], [[0, 0, 0], [24686479251238/25, -710176438824/25, -3156692418721/25], [-3339221687398/5, 158545367184/5, 444512869281/5], [49591272/25, -1311256/25, -4707624/25]]], 0, 3840, [], [] >,
< [ 10, -8, -1, 1 ], [[352, 32, -64]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [18, 6, 8], [-52, -30, -10], [0, 0, 0]], [[0, 0, 0], [-331464787/5, 39858766/5, -10016171/5], [165398646, 7711744, -7734702], [7/5, 24/5, 1/5]], [[0, 0, 0], [7628294078321/5, -2106011702068/5, -296813452307/5], [-3517443069448, 396718102952, 358202231437], [-636411/5, -166952/5, 152682/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [38, 8, -6], [-12, 12, 0], [0, 0, 0]], [[0, 0, 0], [-29663/25, 7124/25, 6671/25], [-3358/5, 1744/5, 1726/5], [103/25, 6/25, -1/25]], [[0, 0, 0], [-47703952/5, 10650366/5, 4767904/5], [-44102, 7022344, -2015735], [357812/5, 68104/5, -73299/5]]], 0, 245760, [], [] >,
< [ 10, -8, -1, 1 ], [[-16, -16, 8]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [94, -66, -5], [2, 4, -3], [0, 0, 0]], [[0, 0, 0], [1419922/5, -113366/5, -572353/10], [-474877/2, 9113/2, 127091/4], [51/10, 57/10, 1/20]], [[0, 0, 0], [-129180891690, 5264615114, 17196979422], [147238130620, -6158671020, -19442397050], [-10570784, 408032, 1399248]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-138, 80, 8], [-12, 10, 0], [0, 0, 0]], [[0, 0, 0], [-147741/25, -89307/25, -19481/50], [18387/10, -6011/10, -7713/20], [17/50, -241/50, -3/100]], [[0, 0, 0], [8478382544/25, -432966937/25, -2298720671/50], [-98539543/10, 550819/10, 22553817/20], [9046897/50, -341731/50, -2583973/100]]], 0, 7680, [], [] >,
< [ 10, -8, -1, 1 ], [[-224, 0, 32]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-78, 16, -4], [0, 8, 2], [0, 0, 0]], [[0, 0, 0], [6639459/5, 3409558/5, 4394662/5], [1548543, -1102841, -1056215/2], [6/5, 27/5, 1/10]], [[0, 0, 0], [6776623601396/5, -3448118361073/5, 326035324183/5], [-147900228054, -19393673170, 29070416875], [3044274/5, 6241373/5, -2848658/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [74, -2, -2], [-4, 6, 0], [0, 0, 0]], [[0, 0, 0], [52121/5, -7693/5, -23867/5], [4691, -3383, -1599/2], [-36/5, -22/5, -1/10]], [[0, 0, 0], [-28249282/25, 32718161/25, -8419631/25], [738912/5, -1935126/5, 634626/5], [-50808/25, -3741/25, 8961/25]]], 0, 61440, [], [] >,
< [ 10, -8, -1, 1 ], [[-224, 0, 32]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6, 8, 6], [20, -14, -10], [0, 0, 0]], [[0, 0, 0], [-59148669/5, -2885608/5, 8193218/5], [6070105, 761711, -1546589/2], [24/5, -17/5, -1/10]], [[0, 0, 0], [-328842434572, 15557613866, 42744924569], [193662848137, -9385455723, -50179872919/2], [-935, 6205, -4485/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-74, 16, 2], [-16, -24, -4], [0, 0, 0]], [[0, 0, 0], [26547731/25, -52130638/25, 15688048/25], [-4531411/5, 1436643/5, -777041/10], [64/25, 53/25, -1/50]], [[0, 0, 0], [-853750909624/25, 860250138352/25, -204661920742/25], [5675771654/5, -32040474032/5, 11466935347/5], [1157394/25, -297262/25, -55573/25]]], 0, 61440, [], [] >,
< [ 10, -8, -1, 1 ], [[-192, 32, 16]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-22, 0, 8], [-20, 4, 2], [0, 0, 0]], [[0, 0, 0], [-929/5, -31418/5, -9082/5], [-20447, 229, 4815/2], [4/5, -27/5, -1/10]], [[0, 0, 0], [-4835738836/5, 298809648/5, 1154648449/10], [-2620751287/2, 96889511/2, 699696441/4], [-6645483/10, 1746739/10, 577867/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [188, 12, 20], [-8, -2, -10], [0, 0, 0]], [[0, 0, 0], [12288126784/25, -2153982257/25, -2849765531/50], [-705803973/10, 196397569/10, 136911347/20], [-233/50, 59/50, -3/100]], [[0, 0, 0], [6784433142131/25, -451968855313/25, -1584821706129/50], [-324797425757/10, 32517615981/10, 64124147183/20], [-169747/50, 23031/50, 34973/100]]], 0, 15360, [], [] >,
< [ 10, -8, -1, 1 ], [[-192, 32, 16]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-82, 60, 6], [8, -4, 0], [0, 0, 0]], [[0, 0, 0], [710786/5, -126238/5, -277709/10], [58445/2, -2201/2, -14291/4], [-7/10, -9/10, 3/20]], [[0, 0, 0], [835240742/5, -33036521/5, -115003304/5], [59046811, -2617927, -15452277/2], [-20907/5, -404/5, 6363/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-156, -8, -16], [16, 6, 6], [0, 0, 0]], [[0, 0, 0], [6584033769/25, -35292537/25, -855352323/25], [-226620979/5, -1399403/5, 57431731/10], [136/25, 72/25, 1/50]], [[0, 0, 0], [-5847739760716/25, -5627302556707/25, 5995750477369/50], [393430500137/10, 417927461879/10, -431292130863/20], [328217/50, -1429691/50, 940147/100]]], 0, 15360, [], [] >,
< [ 10, -8, -1, 1 ], [[32, 0, 0]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-68, 16, -2], [-20, -10, 4], [0, 0, 0]], [[0, 0, 0], [25710432/5, -6064936/5, -10693453/10], [5201131/2, -1275607/2, -2032029/4], [-49/10, -23/10, 1/20]], [[0, 0, 0], [-118460802162/5, -1166365094/5, 35913938503/10], [-26553276865/2, 1907743685/2, 6383286583/4], [1102139/10, 18173/10, -341011/20]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [430, 78, 40], [20, 8, 4], [0, 0, 0]], [[0, 0, 0], [56294895228/25, -3920164719/25, -8872156277/50], [1346798529/10, -67363637/10, -203302431/20], [-111/50, -247/50, -1/100]], [[0, 0, 0], [970829082883602/25, -87651997137821/25, -109962111281934/25], [12040034618823/5, -1035310892599/5, -2766446815357/10], [-4240387/25, -300224/25, 1480383/50]]], 0, 30720, [], [] >,
< [ 10, -8, -1, 1 ], [[32, 0, 0]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-78, 74, -34], [-8, -8, -10], [0, 0, 0]], [[0, 0, 0], [178967422/5, 6248334/5, -35671453/10], [65888507/2, 2246081/2, -13843493/4], [-49/10, -3/10, 1/20]], [[0, 0, 0], [13760226001978/5, -510868959709/5, -1841324034016/5], [2512352612871, -104060366747, -664111062341/2], [-2180493/5, -45036/5, 680127/10]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [66, -26, 66], [4, -2, 8], [0, 0, 0]], [[0, 0, 0], [-10664478/25, -6195431/25, 8219477/50], [-431529/10, -275703/10, 353871/20], [111/50, -53/50, 1/100]], [[0, 0, 0], [-164483006/5, 592128/5, 24115657/5], [-3421931, 3647, 1009909/2], [321/5, -33/5, -69/10]]], 0, 30720, [], [] >,
< [ 10, -8, -1, 1 ], [[352, 32, -64]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-48, 14, 6], [8, -10, -10], [0, 0, 0]], [[0, 0, 0], [34826687/5, -4427446/5, -4596164/5], [4793041, 371715, -357133/2], [-22/5, -9/5, 3/10]], [[0, 0, 0], [-699728828516, 125480031358, 57432000413], [-805020680255, 143821973917, 115750700997/2], [703727, 167029, -318413/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-90, 6, 4], [20, -4, 4], [0, 0, 0]], [[0, 0, 0], [-3318157/25, -74989/25, -515631/25], [-52423/5, 13659/5, 331227/10], [-8/25, -66/25, -3/50]], [[0, 0, 0], [105492132222/25, -24516984681/25, -5095734749/25], [-8104995082/5, 3900093106/5, -473275841/5], [1476818/25, 473711/25, -371406/25]]], 0, 245760, [], [] >,
< [ 10, -8, -1, 1 ], [[352, 32, -64]], [ -10, 9, -2 ], [ -149, 8, 19 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [22, -26, -12], [16, 26, 6], [0, 0, 0]], [[0, 0, 0], [408937/5, -121961/5, -50099/5], [-88749, -8719, 47345/2], [-2/5, 26/5, 3/10]], [[0, 0, 0], [-2471875634/5, 647866132/5, 305805018/5], [588744232, 40133004, -139825472], [-65856/5, -131712/5, 2352/5]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [558, -22, -8], [-8, 30, 10], [0, 0, 0]], [[0, 0, 0], [124295875744/25, 231729026988/25, -96185603523/25], [5155230991/5, -82355503/5, -57592669/10], [61/25, -103/25, 1/50]], [[0, 0, 0], [184351507185387921/25, 36733529563096367/25, -41143019817587157/25], [4370625118233849/5, -323230019410197/5, -1007605299404321/10], [-49846576/25, -10804502/25, 21427409/50]]], 0, 245760, [], [] >,
< [ 8, -10, -1, 1 ], [[2, 0, 0]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, -5/4, -1/4], [5/2, -1/4, -5/4], [2, -5/4, -1/4], [1/2, 1, -1]], [[9025/2, 75, -475], [8157, -291/4, -3279/4], [9025/2, 75, -475], [7289/2, -591/4, -1379/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[2, 9/4, 5/4], [7, 33/4, 5/4], [2, 9/4, 5/4], [0, 0, 0]], [[150703, 14185/4, -62055/4], [21877505/46, 524733/92, -4327839/92], [3466546/23, 319703/92, -1427369/92], [-29/46, 63/23, 1/23]], [[-46420043469/2, -1818232963/4, 9132977801/4], [-3343791672749/46, -138116462295/92, 659652187497/92], [-1067377573787/46, -41793849809/92, 210033496403/92], [-5450500/23, -490545/46, 480635/46]]], 4, 6, [], [] >,
< [ 8, -10, -1, 1 ], [[38, -61, 15]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[385/2, -1213/4, 297/4], [385/2, -303, 73], [385/2, -1213/4, 297/4], [0, 1/4, -5/4]], [[-3283/2, 17925/4, -4831/4], [3508, 4602, -3381/2], [-3283/2, 17925/4, -4831/4], [10299/2, 483/4, -1931/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[15/2, -45/4, 11/4], [189/2, -141/4, 35/4], [15/2, -45/4, 11/4], [0, 0, 0]], [[215847/2, 4509/4, -3861/4], [902384965/46, 90718323/23, -17060679/23], [4964401/46, 102927/92, -88903/92], [-2/23, -39/92, -5/92]], [[7284032523/2, -22171675815/4, 5385313197/4], [903441726998/23, -2082635113849/92, 303581166799/92], [167556223889/46, -510023923985/92, 123880739851/92], [1173793/46, -942253/23, 231704/23]]], 1, 10, [], [] >,
< [ 8, -10, -1, 1 ], [[44769422766, -70479053347, 17257898177]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[7030565/2, -22135981/4, 5420341/4], [7029903/2, -22133911/4, 5419835/4], [7030565/2, -22135981/4, 5420341/4], [0, 0, 0]], [[449093560, -706993419, 346236781/2], [449051356, -1413855005/2, 173102195], [449093562, -706993419, 346236781/2], [1, 0, 0]], [[104476, 21893, -11451/2], [-316752267/2, 592527457/4, 258742807/4], [452929, -594957/2, -145927], [348453/2, -638743/4, -280403/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10437717/2, 32863521/4, -8047147/4], [-31313149/2, 98590577/4, -24141431/4], [-10437717/2, 32863521/4, -8047147/4], [0, 0, 0]], [[158840, -3249, -23465/2], [-6188902923/23, 6011168345/23, 5200793431/46], [3649472/23, -74948/23, -539721/46], [148/23, 17/46, 1/46]], [[-356262236, 623470104, -156341880], [135837218075/46, -36326140659/92, -147986519251/92], [-8172380097/23, 28608061201/46, -7173997171/46], [-1665487/46, 5504891/92, -1363793/92]]], 0, 112, [], [] >,
< [ 8, -10, -1, 1 ], [[-24, 37, -9]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[124, -196, 48], [251/2, -393/2, 97/2], [124, -196, 48], [3/2, -1/2, 1/2]], [[-980, 5535/4, -1315/4], [-688, 5535/4, -1461/4], [-980, 5535/4, -1315/4], [292, 0, -73/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[80, -509/4, 125/4], [188, -1525/4, 369/4], [80, -509/4, 125/4], [0, 0, 0]], [[2158585, 34034, -90805/2], [12616469621/46, -2422629665/23, -1437464643/23], [49648805/23, 783642/23, -2088495/46], [135/46, 43/23, 1/46]], [[-12055707484964, 19287880214174, -4743126748503], [-1083603602359335/46, 2661837958296347/46, -666106220225371/46], [-277271964455422/23, 443606886517252/23, -109088421692319/23], [930769875/46, -1435840875/46, 349352325/46]]], 1, 10, [], [] >,
< [ 8, -10, -1, 1 ], [[-4332, 6820, -1670]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-8986, 28293/2, -3464], [-17975/2, 14146, -6927/2], [-8986, 28293/2, -3464], [-3/2, -1/2, 1/2]], [[-706185, 1111590, -544365/2], [-704519, 1111641, -544603/2], [-706185, 1111590, -544365/2], [1666, 51, -119]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[27511, -86619/2, 10605], [82448, -259865/2, 31813], [27511, -86619/2, 10605], [0, 0, 0]], [[4826421, -406224, -22599/2], [-56903425867/46, -240339952861/92, -65794454615/92], [111006893/23, -9343697/23, -519787/46], [-79/46, -109/92, -1/92]], [[59465344644, -80899448499, 19213531137], [-242514338438561/46, -36453308583215/23, 4496220243390/23], [1367708218062/23, -1860699019977/23, 441914163951/23], [529125/46, -585225/23, 147390/23]]], 1, 30, [], [] >,
< [ 8, -10, -1, 1 ], [[-5007363589508, 7882930441102, -1930258770916]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-75315955, 237134941/2, -29033099], [-75315914, 118567407, -58066167/2], [-75315955, 237134941/2, -29033099], [0, 0, 0]], [[30100928613, -94773835461/2, 23206855435/2], [30100912396, -47386892181, 23206842919/2], [30100928611, -94773835459/2, 23206855431/2], [-1, 1/2, -1]], [[886878, -1086, -187775/2], [651806611/2, -1179026341/4, -519395485/4], [885926493, -1681334333/2, -365756163], [885039615/2, -1681332161/4, -731324551/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-91415755, 287825729/2, -35239315], [-274247200, 431738594, -211435895/2], [-91415755, 287825729/2, -35239315], [0, 0, 0]], [[289476, -5412, 17501], [-1510497893976/23, 2801930991251/46, 613119296485/23], [6657610/23, -124554/23, 402536/23], [13/23, 3/23, -1/46]], [[-9473021888, 14579725116, -3543292918], [-470608578167445/46, 969181969385819/92, 410685100005867/92], [-217879734343/23, 670668958509/46, -162991932335/46], [17763/46, -123321/92, 35239/92]]], 0, 336, [], [] >,
< [ 8, -10, -1, 1 ], [[-3676971604, 5788537395, -1417413887]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-919267, 5788689/4, -1417451/4], [-919311, 5788957/4, -1417515/4], [-919267, 5788689/4, -1417451/4], [0, 0, 0]], [[-2571332225, 16191859847/4, -3964830015/4], [-2571455691, 4048151477, -1982505029/2], [-2571332217, 16191859837/4, -3964830017/4], [4, -5/4, -1/4]], [[-17772445, -24166173/4, 12986161/4], [-847042958, -1374393603/4, -76058763/4], [-17180095, -20797125/4, 13829493/4], [296175, 421131, 210833/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[127159, -800729/4, 196071/4], [381127, -2402211/4, 588209/4], [127159, -800729/4, 196071/4], [0, 0, 0]], [[163429892, -2229438, -555261/2], [-67258970331451/23, 66034426732725/92, 49706681150013/92], [3758884734/23, -102551821/46, -6385521/23], [107/23, -179/92, 3/92]], [[3652156179184158, -11914877760404461/2, 2955231453448969/2], [27807926205603140985/23, 8682529878270156703/23, 306388389310025029/46], [83999445372225512/23, -274041721843634803/46, 67970208968603261/46], [5644192697/23, -8973955150/23, 4402335501/46]]], 0, 112, [], [] >,
< [ 8, -10, -1, 1 ], [[-677978859384, 1067320176282, -261350033092]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-54715738, 172274431/2, -21092044], [-54715528, 172273775/2, -21091964], [-54715738, 172274431/2, -21092044], [0, 0, 0]], [[-712366823754, 2242912072015/2, -549212089599/2], [-712364143834, 4485807078809/4, -1098419984777/4], [-712366823758, 1121456036012, -274606044798], [-2, 9/4, 3/4]], [[-492530966, -23059497/2, 48490397], [58474989399, 7790355185, -3622016092], [-508198088, 4446615/2, 54597458], [-7833561, 6876528, 6107061/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[156470882, -492654091/2, 120634057/2], [469412816, -1477962271/2, 361902167/2], [156470882, -492654091/2, 120634057/2], [0, 0, 0]], [[771120, -2947, 20665/2], [6572951542141/23, -12004207353691/46, -5274848307491/46], [17736098/23, -69497/23, 475269/46], [-13/23, 66/23, 1/46]], [[-966578697200, 3122149269430, -867476717045], [-465744870959697046/23, 2848311970524254971/92, 1118958949806760009/92], [-22245125976856/23, 143658057366523/46, -39913155627353/46], [531382356/23, -3014690211/92, 709741791/92]]], 0, 336, [], [] >,
< [ 8, -10, -1, 1 ], [[48, -60, 14]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-10062821520980, 15841574248237, -7758114286621/2], [-10062821575722, 15841574334415, -7758114328825/2], [-10062821520980, 15841574248237, -7758114286621/2], [0, 0, 0]], [[921535707226772, -1450743839389170, 355237311968698], [921535712243276, -2901487694571873/2, 355237313902305], [921535707226768, -1450743839389173, 355237311968694], [-2, -3/2, -2]], [[-283985892, -32517652, 19316342], [-57699958427805, 54478250591034, 23732655305391], [-40989877974906, 38808781784922, 16894497095328], [-20494796994507, 19404407151287, 8447238889493]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[8663233244104, -13638247720099, 6679076386209/2], [25989699732376, -40914743160296, 20037229158637/2], [8663233244104, -13638247720099, 6679076386209/2], [0, 0, 0]], [[-12389340, -45615, 1061909/2], [24138146844283735/23, -45663238706407761/46, -9941669355181425/23], [-284955002/23, -1049210/23, 24423829/46], [7/23, 5/46, 3/46]], [[-38781512248, 38764438127, -16487181949/2], [2110404189475759496/23, -3951633920236166135/46, -1725206314948098351/46], [-891976286116/23, 891583976780/23, -379206073559/46], [57862/23, -146143/46, 17091/23]]], 0, 5376, [], [] >,
< [ 8, -10, -1, 1 ], [[-14, 24, -6]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-96, 601/4, -147/4], [-189/2, 597/4, -151/4], [-96, 601/4, -147/4], [3/2, -1, -1]], [[9639/2, -1377, -51/2], [4099, -5453/4, 239/4], [9639/2, -1377, -51/2], [-1441/2, 55/4, 341/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[227/2, -181, 89/2], [643/2, -543, 263/2], [227/2, -181, 89/2], [0, 0, 0]], [[19534725/2, 291235/2, -483560], [11177106207/46, -1328785821/23, -1969332093/46], [449299995/46, 6700585/46, -11121870/23], [33/23, 109/46, 1/46]], [[320986424640, -400281160524, 91796353236], [88301171439333/46, -53164624865481/46, 8310189090285/46], [7382557489670/23, -9206244838402/23, 2111260749778/23], [-13027705/46, 22185365/46, -5537465/46]]], 1, 10, [], [] >,
< [ 8, -10, -1, 1 ], [[-2810, 4423, -1083]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[32873/2, -103505/4, 25345/4], [16437, -103515/4, 25345/4], [32873/2, -103505/4, 25345/4], [1/2, -5/2, 0]], [[-10343213/2, 32594503/4, -7982943/4], [-10315359/2, 32595345/4, -7989615/4], [-10343213/2, 32594503/4, -7982943/4], [13927, 421/2, -1668]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11747, 18492, -4528], [-35216, 55481, -13584], [-11747, 18492, -4528], [0, 0, 0]], [[21263/2, -24571/4, 3283/4], [-1661351/46, -13233333/46, -3579485/46], [486609/46, -568913/92, 75449/92], [-61/23, -189/92, -3/92]], [[-151437063/2, 616239105/4, -158705897/4], [-39841353591/23, 17881352285/23, 6642479631/46], [-3506638629/46, 14201790235/92, -3652305691/92], [-1179309/46, 1414541/92, -103503/92]]], 1, 30, [], [] >,
< [ 8, -10, -1, 1 ], [[-3247451908434, 5112358439209, -1251840897377]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[521014281/2, -1640431841/4, 401685385/4], [521014073/2, -1640431173/4, 401685221/4], [521014281/2, -1640431841/4, 401685385/4], [0, 0, 0]], [[495504627501, -1560113797593/2, 382018256295/2], [495504385056, -1560113164711/2, 191009054486], [495504627497, -1560113797579/2, 382018256299/2], [-2, 7/2, 1]], [[186063423, 7027761/2, -36700833/2], [168563412569/2, -69649461753/4, -58033484869/4], [6258498036, -5749633744, -2522423459], [6072434613/2, -11506295249/4, -5008146085/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1147212053/2, -3612037613/4, 884463885/4], [3441636451/2, -10836112851/4, 2653391655/4], [1147212053/2, -3612037613/4, 884463885/4], [0, 0, 0]], [[-82813696, -1967364, -11396], [-2350996239929984/23, 2222209035211661/23, 967795991829768/23], [-1904718258/23, -45248995/23, -262121/23], [125/23, -29/46, 1/46]], [[28110836871264, -9694130433288, 162586659480], [-107653128950531763033/46, 207226135765012865667/92, 89837802822970040415/92], [646550380894237/23, -445931144985223/46, 7479115995285/46], [-87142705/46, 88081075/92, -9973785/92]]], 0, 336, [], [] >,
< [ 8, -10, -1, 1 ], [[1704, -2683, 657]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[-11620, 73171/4, -17917/4], [-11622, 18292, -8959/2], [-11620, 73171/4, -17917/4], [-2, -3/4, -1/4]], [[-649232, 2044387/2, -500615/2], [-1295295/2, 2044407/2, -250483], [-649232, 2044387/2, -500615/2], [3169/2, 10, -351/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[536, -3377/4, 827/4], [1640, -10117/4, 2475/4], [536, -3377/4, 827/4], [0, 0, 0]], [[-2680, 310, -610], [-22603743/46, 18859116/23, 7233609/23], [-62530/23, 6500/23, -14040/23], [-89/46, -63/46, -1/46]], [[-139421620, 193476180, -45410640], [48399181935/23, 3772164360/23, -12551118684/23], [-3202443140/23, 4430445000/23, -1038754380/23], [212706/23, -975357/23, 284517/23]]], 1, 30, [], [] >,
< [ 8, -10, -1, 1 ], [[314244, -494704, 121136]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [0, 0, 0], [78561, -123676, 30284], [0, 0, 0]], [[0, 0, 0], [1/2, 0, 0], [0, 0, 0], [1/2, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [235683, -371028, 90852], [78561, -123676, 30284], [0, 0, 0]], [[0, 0, 0], [-35295/46, -5983/46, -425/46], [890/23, 170/23, 10/23], [89/46, 17/46, 1/46]], [[0, 0, 0], [-2612286927/23, 186969255/23, 12601512/23], [131055400/23, -5697520/23, -1387060/23], [6552770/23, -284876/23, -69353/23]]], 1, 90, [], [] >,
< [ 8, -10, -1, 1 ], [[363220507218956, -571806289279294, 140015710324090]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-242, 380, -93], [-15558617425, 48986855749/2, -11995197557/2], [0, 0, 0]], [[0, 0, 0], [-108951/2, 336227/4, -81943/4], [-3437252275947, 10822310030175/2, -2650011821549/2], [-13/2, -3/4, -5/4]], [[0, 0, 0], [-10480310703751/2, 19856232271801/4, 8642732357277/4], [-8337000349719, 15785357766737/2, 6871943597669/2], [-8337001438935/2, 15785384664321/4, 6871952432421/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-112342616123, 353714690173/2, -86612572341/2], [-37447538785, 117904896721/2, -28870857447/2], [0, 0, 0]], [[0, 0, 0], [-81584026694517185/46, 154383858630642505/92, 67218726542441001/92], [-1062308660/23, 43384024/23, -3071619/23], [-329/46, -235/92, -3/92]], [[0, 0, 0], [816293118720710217095/46, -1545137706094721732921/92, -672643144917944877469/92], [5051439985625891/23, -15887941322263421/46, 3891189324894463/46], [-77362505/46, 249773659/92, -60173893/92]]], 0, 1008, [], [] >,
< [ 8, -10, -1, 1 ], [[266717498572, -419884725981, 102815340203]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-105333045, 663289615/4, -162416833/4], [-105333185, 663290481/4, -162417043/4], [-105333045, 663289615/4, -162416833/4], [0, 0, 0]], [[-4626419176, 7283221988, -1783410780], [-4626421167, 29132926985/4, -7133653781/4], [-4626419186, 14566443965/2, -3566821561/2], [-5, -11/4, -1/4]], [[809422, 62635/2, -188989/2], [3085854231, -2277842248, -2126252179/2], [-68789256, 127179575/2, 55667453/2], [-34799339, 31779235, 27928221/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[45845221, -288690591/4, 70690405/4], [137535573, -866071753/4, 212071215/4], [45845221, -288690591/4, 70690405/4], [0, 0, 0]], [[779402, 84561/2, 7073/2], [-464419407336/23, 1939708479317/92, 824338346695/92], [17923906/23, 972705/23, 81372/23], [90/23, -39/92, -5/92]], [[-113820083246, 204617881733/2, -50488255181/2], [24378578677800154/23, -25795314792919466/23, -10932832603613810/23], [-2617448200786/23, 4705322325871/46, -1161025101691/46], [-15912072/23, 17095269/23, -3937836/23]]], 0, 336, [], [] >,
< [ 8, -10, -1, 1 ], [[49178738629080, -77420496607530, 18957619091266]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [4, -17/2, 5/2], [-25610564320, 40317882551, -9872463927], [0, 0, 0]], [[0, 0, 0], [9000, -35457/2, 9109/2], [-50728596849510, 159720776488977/2, -39110129414289/2], [0, 3/2, 1/2]], [[0, 0, 0], [993788326, -4128107003/4, -1756596881/4], [392519312, -742776053/2, -323395991/2], [196214806, -742767083/4, -323382881/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [13216690830, -41613218097/2, 10189647083/2], [4405563698, -13871072697/2, 3396549029/2], [0, 0, 0]], [[0, 0, 0], [-175197811422138/23, 710147283164017/92, 303965671050141/92], [50034928/23, 6337687/46, -1589057/46], [-74/23, 167/92, -1/92]], [[0, 0, 0], [693638998822182714/23, -2999872317627531693/92, -1264504466995807071/92], [-384224590532/23, -136794088095/46, 71936898875/46], [273130/23, 581595/92, -371495/92]]], 0, 1008, [], [] >,
< [ 8, -10, -1, 1 ], [[160, -248, 60]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [3650, -5746, 1407], [-521045129765156, 820264484732026, -200854584212663], [0, 0, 0]], [[0, 0, 0], [8920112, -14043123, 6877405/2], [-1273603501148525828, 2004992773070080030, -490953829259044383], [2, -3, -5/2]], [[0, 0, 0], [221137482560773, -209340374546758, -182269608148925/2], [380749925591858, -360456081874364, -156919905816485], [190375012119073, -180228040606318, -156919915972925/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1153773605656494, 1816348446760784, -444761316441294], [-384591201885488, 605449482253594, -148253772147097], [0, 0, 0]], [[0, 0, 0], [2948012880163987/23, -5582454422451825/46, -1215086730225701/23], [-4904814/23, 140655/23, 278191/23], [-63/23, -45/46, -2/23]], [[0, 0, 0], [-91891315243848765/23, 86989213179824236/23, 75740141012300611/46], [-14012166878/23, 21956298876/23, -5366285389/23], [-67253/23, 103659/23, -49595/46]]], 0, 16128, [], [] >,
< [ 8, -10, -1, 1 ], [[-421850222, 664105152, -162616530]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[373464, -2351727/4, 575857/4], [373557, -2352321/4, 576003/4], [373464, -2351727/4, 575857/4], [0, 0, 0]], [[-43723513/2, 34410309, -16851109/2], [-21852797, 137676821/4, -33716551/4], [-43723531/2, 68820621/2, -8425552], [-9/2, 3/4, 5/4]], [[11790272, -586154, -1292558], [-477868163/2, 391296609/2, 88703501], [19090973, -7478957, -4295336], [7300701/2, -6892803/2, -1501389]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-235891, 742713/2, -181865/2], [-707668, 2228141/2, -545595/2], [-235891, 742713/2, -181865/2], [0, 0, 0]], [[25325/2, -7331/2, 656], [11232331/2, -5184129, -4523811/2], [25481/2, -7331/2, 656], [-3, 0, 0]], [[-1715117501/2, 5275516023/4, -1283581167/4], [-23460878706/23, 213010560563/92, -156161029805/92], [-39554226993/46, 121650263429/92, -29597604185/92], [4097095/46, -6026825/46, 723436/23]]], 0, 112, [], [] >,
< [ 8, -10, -1, 1 ], [[-77782904858, 122451109759, -29984068791]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[245930629/2, -774321259/4, 189604667/4], [245930395/2, -774320511/4, 189604483/4], [245930629/2, -774321259/4, 189604667/4], [0, 0, 0]], [[262039655205/2, -825041083455/4, 202024208295/4], [131019727668, -206260071809, 50506000396], [262039655203/2, -825041083465/4, 202024208297/4], [-1/2, -5/4, 1/4]], [[-189321030, 29838375/2, 49645035/2], [-729009298859/2, 685862086481/2, 149528997998], [-444127501, 512715735/2, 259812081/2], [-254806471/2, 120719340, 105083523/2]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[6435575, -20262635/2, 4961623/2], [19306642, -60787903/2, 14884865/2], [6435575, -20262635/2, 4961623/2], [0, 0, 0]], [[612627/2, 15639/4, -22783/4], [3035536475922/23, -11426287361853/92, -4981908809457/92], [14090499/46, 362401/92, -524061/92], [-3/46, -26/23, 1/46]], [[128535709995/2, -82387271757/4, 2680233213/4], [91079110757884161/46, -161564546823316005/92, -71540115350887515/92], [2956244265209/46, -1894080411827/92, 61419840835/92], [1482013/23, -7950371/23, 2168491/23]]], 0, 336, [], [] >,
< [ 8, -10, -1, 1 ], [[-10, -19, 7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[1126478229261/2, -3546756438173/4, 868478768681/4], [1126478215471/2, -3546756394747/4, 868478758047/4], [1126478229261/2, -3546756438173/4, 868478768681/4], [0, 0, 0]], [[4982035370671697/2, -15686114091816753/4, 3840990293336365/4], [4982035309712075/2, -15686113899776183/4, 3840990246305963/4], [4982035370671685/2, -15686114091816765/4, 3840990293336361/4], [-3, -3/2, -1/2]], [[-636810525/2, -391748643/4, 6865911/4], [-132630857807562, 251337980015271/2, 109392909344989/2], [-249799342227723/2, 472968462485439/4, 205900917031549/4], [-124899352708599/2, 236484427117041/4, 102950455082819/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-6341105758465/2, 19965195145161/4, -4888790194197/4], [-19023317275453/2, 59895585435473/4, -14666370582581/4], [-6341105758465/2, 19965195145161/4, -4888790194197/4], [0, 0, 0]], [[16325, -90381/2, 20753/2], [-29110914530581/46, 55117027745735/92, 23994671834097/92], [374110/23, -1037776/23, 238666/23], [105/46, -247/92, -1/92]], [[-1138586151/2, 291596135/4, 118869541/4], [-4331385194487158/23, 4085115748168261/23, 1780110126503342/23], [-26193083823/46, 6698742807/92, 2737883245/92], [215475/46, 306473/92, -149377/92]]], 0, 5376, [], [] >,
< [ 8, -10, -1, 1 ], [[47183039496, -74278732051, 18188308917]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-15590939, 98177243/4, -24040233/4], [-15591118, 98178383/4, -24040513/4], [-15590939, 98177243/4, -24040233/4], [0, 0, 0]], [[633839040, -3991329271/4, 977339385/4], [1267690997/2, -3991375811/4, 977351111/4], [633839045, -3991329263/4, 977339381/4], [5/2, 1, -1/2]], [[-1699200, 7099875/4, 3017475/4], [-13246865692, 50195933043/4, 21848522291/4], [268132216, -1014914589/4, -441879293/4], [134915708, -127751808, -55612096]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[-44404767, 279619951/4, -68469317/4], [-133214312, 838859841/4, -205407959/4], [-44404767, 279619951/4, -68469317/4], [0, 0, 0]], [[-248496, 56613/4, 51269/4], [-242231085329/46, 115394311502/23, 100305293703/46], [-5715915/23, 1299837/92, 1179265/92], [39/46, 87/92, -3/92]], [[72276765, 596934987/4, -219200025/4], [-123508346510037/46, 231875534250219/92, 101137087605585/92], [1663995470/23, 13723914805/92, -5040904139/92], [-125375/46, 53749/23, -13393/46]]], 0, 336, [], [] >,
< [ 8, -10, -1, 1 ], [[8699850514212, -13695893103352, 3353653566500]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [164, -505/2, 123/2], [-1079707827, 3399498177/2, -832420281/2], [0, 0, 0]], [[0, 0, 0], [8347/2, -6883, 3409/2], [-29150627563, 91781779093/2, -22474203649/2], [-1/2, 5/2, 0]], [[0, 0, 0], [9354025153/2, -19651206459/4, -8339392397/4], [9089981545, -8599574391, -3744370120], [9091677175/2, -17198957643/4, -7489035953/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-11897526641, 37459782431/2, -9172613423/2], [-3965842229, 6243297071, -1528768904], [0, 0, 0]], [[0, 0, 0], [362837628766467/46, -686886707675205/92, -299039499879831/92], [15085384/23, -581382/23, -156724/23], [-165/46, 53/92, -5/92]], [[0, 0, 0], [13584702823635658899/46, -12780680761575599859/46, -2786362559997635610/23], [32071231840033/23, -15373589970577/23, 1751802748468/23], [-397886181/46, 274254453/46, -23469138/23]]], 0, 1008, [], [] >,
< [ 8, -10, -1, 1 ], [[-1348, 2130, -522]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-19956, 31417, -7693], [-133012735723525, 418795290074893/2, -102548574787673/2], [0, 0, 0]], [[0, 0, 0], [5961663/2, -18770729/4, 4596325/4], [19852160988284913, -62505229100643339/2, 15305382636709439/2], [-5/2, -1/4, 5/4]], [[0, 0, 0], [-35983362866353/2, 68128779877729/4, 29659223614887/4], [-24705648471358, 23388780575147, 10182011168211], [-24705644038243/2, 46777561576159/4, 20364021540897/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-1109554790288254, 1746736196820002, -427715668631086], [-369851596762681, 1164490797880001/2, -285143779087389/2], [0, 0, 0]], [[0, 0, 0], [2987113792066753587/23, -2827936803768409129/23, -1231101903597502587/23], [-366532179/23, 11025469/46, 16514095/46], [-148/23, -155/46, -1/46]], [[0, 0, 0], [-1149394487807393039781/46, 2177002679547525766423/92, 947662331501753785257/92], [1192944312743755/23, -3749642246694045/46, 917794587031725/46], [-671190641/46, 2120733075/92, -519701939/92]]], 0, 16128, [], [] >,
< [ 8, -10, -1, 1 ], [[12, -29, 7]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[610316691571, -3843207261225/4, 941069387819/4], [610316663889, -3843207086909/4, 941069345135/4], [610316691571, -3843207261225/4, 941069387819/4], [0, 0, 0]], [[176805671493040, -278339446508980, 68155765413660], [176805663478411, -1113357735530145/4, 272623049285427/4], [176805671493034, -556678893017977/2, 136311530827323/2], [-3, -17/4, 3/4]], [[-15374759800, -2329538430, 861258970], [-1484747461897331, 2812912252043343/2, 1224377312453115/2], [116620873440702, -110423739075762, -48069471344206], [58318124100251, -55210704768666, -24035166301588]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[4901722209, -30866490539/4, 7558142817/4], [14705166811, -92599471587/4, 22674428457/4], [4901722209, -30866490539/4, 7558142817/4], [0, 0, 0]], [[138183, 78027/4, -3825/4], [9796570461351, -37112068881751/4, -16154660694611/4], [138131, 77819/4, -3825/4], [2, 2, 0]], [[5369382, -11878293/2, 2732175/2], [747613301663008/23, -2834403227514045/92, -1233548818703481/92], [123615126/23, -136822598/23, 31474866/23], [-4590/23, 34189/92, -8439/92]]], 0, 5376, [], [] >,
< [ 8, -10, -1, 1 ], [[-24, 106, -30]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [7582, -11937, 2923], [-48509979296310, 152735380867233/2, -37399646077171/2], [0, 0, 0]], [[0, 0, 0], [-516133, 1625549/2, -398065/2], [3286994753796520, -10349218921804313/2, 2534168066710727/2], [5, -1, 0]], [[0, 0, 0], [-64179117420189, 243077448424877/4, 105815757969165/4], [-8956777883050, 16960013895399/2, 7383185042567/2], [-4478385135589, 16960013931713/4, 7383183453665/4]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-503956948932176, 1586726229374169/2, -388534726289395/2], [-167985649644076, 264454371562360, -64755787714900], [0, 0, 0]], [[0, 0, 0], [-8309361330135226/23, 7871416156677745/23, 3426170687907552/23], [-24186462/23, 6567553/46, 839865/46], [-36/23, 63/46, 1/46]], [[0, 0, 0], [78968098561104448/23, -366681218276614077/92, -152116788577491981/92], [67074285182/23, 16363995922/23, -11124012888/23], [-466/23, 252561/92, -76743/92]]], 0, 16128, [], [] >,
< [ 8, -10, -1, 1 ], [[2103977433043351874412608, -3312223579905586288217088, 811049731329834348755968]], [ -2, 0, 0 ], [ -1, 0, 0 ], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [-785610, 1236760, -302840], [-1671972528625958400, 2632132240248776192, -644518733345656676], [0, 0, 0]], [[0, 0, 0], [1, 0, 0], [2, 0, 0], [1, 0, 0]], [[0, 0, 0], [264342, -416143, 101899], [527421225272973708, -830302165534607472, 203312467299873072], [0, 0, 0]]], [[[1, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]], [[0, 0, 0], [6920974930948387954, -10895466843987935521, 2667925411237312079], [2306991643649462608, -3631822281329311842, 889308470412437358], [0, 0, 0]], [[0, 0, 0], [-730351379621806207/23, 691418548591634606/23, 301000740558170834/23], [-316186/23, -2816/23, 5008/23], [-29/23, -58/23, 2/23]], [[0, 0, 0], [1013596422263941357999, -959545947936967707097, -417728853074506770179], [1476692330, 181690666, -156347730], [368175, -14025, -4275]]], 0, 258048, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[2, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, -2, -3/2], [11/2, -27/2, 2, -2], [-5/2, 1/2, 1, -1/2], [0, 0, 0, 0]], [[-139, -655/2, -27, 205/2], [-343, -808, -133/2, 253], [-147, -693/2, -57/2, 217/2], [0, 0, 0, 0]], [[1/2, 0, 1/2, 1/2], [0, 1, 1/2, 1/2], [0, 0, 0, 0], [1/2, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, -4, 5, 11/2], [31/2, 17/2, -15/2, 17/2], [-1, -1/2, 3/2, 0], [0, 0, 0, 0]], [[-21, -343/2, 1193/2, -314], [-811351/22, 683803/22, 817191/22, -458803/22], [20800/11, -16264/11, -24810/11, 13198/11], [-5/22, -4/11, 15/11, 1/22]], [[-7/2, -6, 0, 3/2], [326/11, 1173/22, -51/22, -184/11], [-26/11, -46/11, 2/11, 14/11], [13/22, 23/22, -1/22, -7/22]]], 3, 2, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-2, 12, 4, -4]], [ 16, 18, -52, -12 ], [ -8, -11, -13, 8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[73, -3305/2, 229/2, -1], [-6326811/2878, 1953174/1439, 1192079/1439, 3317/2878], [16137/10073, 95639/20146, 64765/10073, -9183/20146], [-139/1439, 25195/10073, -1536/10073, 1/20146]], [[-1907953577951/2, 2268433133219, 1244757195014, -1042300954124], [11772064011664781/2878, -10022431924071603/2878, -4119615074185758/1439, 5085744849150715/2878], [-93860417865793/20146, -121504670491385/20146, 16622263950025/10073, 15367773803554/10073], [14163790160255/10073, -34512538411560/10073, -2675293026245/1439, 15807605898145/10073]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[31/2, -10, -11, -1], [27986905/2878, -32595829/2878, -897930/1439, -3783/2878], [6181/2878, -7145/2878, -194/1439, 1/1439], [0, 0, 0, 0]], [[-9221878144, -2802485025/2, 187393624, -2753935277/2], [-106348032407768390/15829, 9347813153910669/15829, -1145997388315903/15829, -1016868440890111/15829], [-337040995092155/221606, 3908767082008/110803, -329038926196/15829, 1811995877731/110803], [-420531/221606, -356997/221606, -9588/110803, -5/221606]], [[-1161893805906656227711/2, 990094667254670905066, 781493131623050383123/2, -339869922815173983602], [-1306348634687743850339812127/2878, 1144850433284540984773323680/1439, 430841825889216814242370979/2878, -289134608241939337783594033/1439], [-1998227098242533473373195/20146, 3570499696824052494572713/20146, 669649152783312242148467/20146, -129311984497569911838527/2878], [-1482515630532065/20146, 1672507753631384/10073, 1614066077338097/20146, -664226200929289/10073]]], 4, 3, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-6, 0, 2, 0]], [ 2, 20, -44, -30 ], [ -1, 3, -15, 5 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[21486, 3185/2, -6137, 1/2], [-786464558/20759, 892067747/41518, 1790404375/41518, 182825/41518], [73661/41518, 2729/20759, -21041/41518, 3/41518], [-23884/20759, 79755/41518, 62183/20759, 1/20759]], [[-1866967133679, 804408181308, 2931615162045/2, -1375759368603/2], [46445284275074472/20759, -74181032906125517/20759, -21882001586097681/41518, 32568265678759274/20759], [-6400501617987/41518, 2757863545749/41518, 2512528524729/20759, -1179097393653/20759], [268170530241/20759, -4588082432038/20759, 1896741790212/20759, 1374704234091/20759]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9376, -8925/2, -6138, 0], [899156399/41518, -428702869/41518, -294734831/20759, -190837/41518], [32143/41518, -15301/41518, -21041/41518, 3/41518], [0, 0, 0, 0]], [[-3306714963487, -738719012734, -865027051927, 1253834835079/2], [-3481546948877509531/456698, -380941639556542495/228349, -911320134176727975/456698, 327588586498259639/228349], [-62352567191738/228349, -27857720115411/456698, -16303919228801/228349, 11819894184980/228349], [595761/228349, 2007061/456698, 290438/228349, 2/228349]], [[-388212600347839608538460, 343230421168659831908386, 497405863540025281374384, -545765599401612437083771/2], [-409623132919797453477249118675/456698, 181019996583822121320217436782/228349, 524716663351655873635289731735/456698, -143922949518624380081280299674/228349], [-7319878346390252219666205/228349, 12943916411484236870492663/456698, 9378332526592596090075115/228349, -5145151494180808462853249/228349], [10585644050744691/228349, -57771485122482313/456698, -2165086608138341/228349, 5791398668127775/228349]]], 4, 3, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-6, -3, 2, 1]], [ -24, 6, 3, -3 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 17/2, -5/2, -10], [71/15, 13, -19/2, -169/30], [0, -3/2, -2, -1], [-1/5, -5/6, 0, 1/15]], [[1402, -2443, -1306, 2331/2], [-11210, 10835, 15725/2, -4897], [1435, -2275/2, -882, 560], [720, -645, -480, 300]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, -3/2, -1, 8], [-117, 11/2, -3/2, 1/2], [5/2, 5/2, -5/2, 2], [0, 0, 0, 0]], [[55872523, 70076880, 314853769, -124784657/2], [-15964364966037/190, 41328629783017/570, 31659464224901/570, -1294550432405/38], [17794164115/38, 685763138/19, -1583399857/38, -539759417/38], [-307/570, 142/285, -1/190, 1/114]], [[2673388480382448, 7663338723534506, -703894409640296, -3751349048320628], [24444131534614863296/57, -54374711501797179161/57, -8074344290129329500/19, 7159156808864581386/19], [44200039843100160/19, 263946020439603286/19, 44014728619695040/19, -94809095492374202/19], [59386820/19, -154163010/19, -260191390/57, 145057010/57]]], 4, 4, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[0, -11, -2, 4]], [ -11413, -54, 56, -35 ], [ -32, 20, 12, -10 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13839643094393, -69198215379387, -83037858398463/2, 25/2], [60731097206649865/12401, 607310970939392859/24802, 364386582218137013/24802, 201209/24802], [-28291662275443/49604, -141458310486143/49604, -42437492817499/24802, 359627/49604], [1/4, 5/4, 3/4, 0]], [[3151191699336490343816006612051/2, -1916077256050700420436026793356, -1371743532226568611432221917760, 898566655993343708595474357423], [-44875373349415478722141686293948414794585325/80488478430499, 54572803195692087341834869697806000021842606/80488478430499, 39069348394318363821430600458146953210449834/80488478430499, -51185098243897290562280503371564309581098219/160976956860998], [1610454296331596951342607333415/24802, -3916937009441014592259199001931/49604, -1402091956558508977995391689759/24802, 1836893049922628105216994715369/49604], [-2290834235647947346455183269266/80488478430499, 5571752907026689203661106175121/160976956860998, 7977774358157949967090975591949/321953913721996, -5225876311936580370371836440829/321953913721996]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-19241/2, -98905/2, -62671/2, -3/2], [58697223/12401, 602313559/24802, 190528958/12401, -487661/24802], [-19241/24802, -98905/24802, -62671/24802, -3/24802], [0, 0, 0, 0]], [[2186847771520091/2, 3547276965633737/2, 1151456574775470, 287055790349/2], [5657050539873352534650953046222/885373262735489, 9179121110255493368275584435709/885373262735489, 5958173799982456663812613723802/885373262735489, -61326494799775451730807747/885373262735489], [26814151842026741/545644, 21742626399849909/272822, 28234228341677713/545644, 6315231910107/545644], [2778873390275743/3541493050941956, 4508887870531727/3541493050941956, 731690022999075/885373262735489, 1/885373262735489]], [[27244431970942611067102248060671, 1388021772285287664948338259553471, -40608542853693433791353102224060, -851776589652043571761449236441405/2], [12922301839742251181522614015120261775155079934/80488478430499, 652796570062836519961450003338791244493545621250/80488478430499, -19150526285554062491597855674460943221660114128/80488478430499, -200291865230651688036469065610562927944910266958/80488478430499], [60361792662606993662365333158577/49604, 1547280331331854700081025234240973/24802, -22588550741749533707126461367351/12401, -474765157847127294293584990408615/24802], [6343649631304633140462998713959/321953913721996, 320670301302715786597843821455389/321953913721996, -4702676838351264414431384367585/160976956860998, -98388662792995615431454318109719/321953913721996]]], 4, 4, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-2, 8, 4, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-31/2, -21, 81/2, 67/2], [1959/2, 165, 82, 262], [2, 2, 1/2, 5/2], [0, 0, 0, 0]], [[22161324147/2, 17330096988, -252927351529, -252361505403], [-199446542444797, 139069139335011, 120265927163718, -141852788944097/2], [-455837708187/2, 6804523265/2, -4562654315/2, -1984053879], [-2, -3/2, 1/2, 1/2]], [[185369661507468977/2, 338895031880640915/2, -185965400005155720, -245341485900891043/2], [-203001921431376167587/2, 279560125639531685095/2, 74036034673725762252, -57701980661199210035], [-108808789599817524, 184975736286008160, 171507708157680990, -124135196671113732], [-332178, 1352582, 667782, -1022517/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 6, -12, -15/2], [653/2, 591/2, -363, 238], [1/2, -3/2, 2, -3/2], [0, 0, 0, 0]], [[8729284, 85037163/2, -3850487387/2, -1960079947], [57882720795029/22, 142911644042579/22, 15612162755249/22, -45361146032861/22], [-21525440210/11, 911485963/11, 156605078/11, -264143655/11], [-49/22, -35/11, 20/11, -3/22]], [[-30215215204220089, 17363187969375764, 51541718131811955, 15076730046886038], [-362918503585450252898/11, -565416723260642061940/11, 2278631917623229026/11, 160583073989257859069/11], [-1931483003653561032/11, 2357069604121383843/11, 1432592300706509931/11, -977977367653404919/11], [-167870506/11, 628004451/11, 319089009/11, -240647918/11]]], 3, 4, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[10, -6, -5, 3]], [ -14379, -18, -92, 71 ], [ -10, 6, 5, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-35815163024900803, 44089710956805027/2, -5780435711873491, 45/2], [-6755635636836324636923208142719/413643155171678, 2079105589652905310233578867534/206821577585839, -1090334768668338062034342842661/413643155171678, 1015951653646083/413643155171678], [0, 0, -1, 5/2], [91075568612828101/86451419430880702, -28029297902221271/43225709715440351, 7349631061608678/43225709715440351, -1/86451419430880702]], [[44243195858160643013865448764792, 34841984942319449144525416929648, -19085485340521741057039793279469/2, -16172336000497816990546968077141/2], [4172686725160414150552493864853027233218392485/206821577585839, 3286034953558609811004326906195231512590455379/206821577585839, -1799999972401396894255032658350346421555515511/413643155171678, -762626777238833178095868515308070618659546355/206821577585839], [-225787075637829, -1310201374390167, -367204948374105, 367632707451285], [-112507493466640826833806131875775/86451419430880702, -44300420858270388977191559637200/43225709715440351, 24266557553169581435143561017325/86451419430880702, 20562585405781896981120912753625/86451419430880702]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-33/2, -41/2, 44, 37], [22, 1, 15/2, 4], [2, 1/2, 2, 2], [0, 0, 0, 0]], [[25479444332364007/2, -27008210992562898, -1528766659290503, 1072633/2], [11215799762637458215/22, -11888747749170781011/11, -1345895969389321131/22, -467163553/11], [345679636730517539/22, -732840829856500797/22, -41481556406881539/22, 182471/11], [-25/22, 53/22, 3/22, 0]], [[-122955349304209092123662999424735, 1575269595756123535230959048937245, 561999158452278380824698133877054, -577666793859124507289273814204037], [-11193955319597331648100264141028921464890242897969/2275037353444229, 143413829277623073951927395068399153883479458838953/2275037353444229, 51164861927238746132648707255183116241374140437682/2275037353444229, -52591256237669088176750988260141294018557820567845/2275037353444229], [-1668135298556376242924222814235194/11, 21371683562152347691921672717071400/11, 7624642923967860863788935293016134/11, -7837205743002265136823180174220690/11], [474074866590710908725229015348934/43225709715440351, -552155890026059559937948675672808/3929609974130941, -2166881535679001236556273167541844/43225709715440351, 2227290718449302856031246015140585/43225709715440351]]], 4, 4, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-11, 3, 6, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, 0, -5, -4], [603, 4, -9/2, -7/2], [-5/2, -2, -1/2, 1/2], [0, 0, 0, 0]], [[-79642179, -117066425, -727892172, -1519007019/2], [510766506129/2, -151986747458, -79449359087/2, 73572151299/2], [-1805153581/2, -44047977/2, -32422151/2, 53635319/2], [-2, 5/2, 2, 5/2]], [[-17799573834199, -62013558873933, -6112547660402, 42998616218479/2], [-14591030768319829, 28314178650153188, 27412007797348533/2, -11428694543279559], [55438509235289/2, -113644935190372, -41819094780491, 86033079569631/2], [458861/2, -64297, -252147/2, 41470]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11/2, -17/2, 11, 11], [-3239/2, -317/2, 202, 129/2], [-2, -1, 2, 1/2], [0, 0, 0, 0]], [[-795303273/2, -841718789/2, 53303527053/2, 26255477284], [430331171365496/11, -34365745552727/22, -493828553638601/22, 146758177146887/22], [561595465089/22, 3368045029/11, -735818124/11, 495551836/11], [15/11, -9/11, 9/11, 5/22]], [[49760325844661482386, 155980423507523402417/2, -25447795342671245761/2, -33320405798995315938], [307044132357009942490579/2, -62118851428547595878351/2, -142508026973635200477733/2, 48905411223878901714453/2], [122224256523030498795, -7197616570317219214, -56024010491951009585, 13897062327949215478], [16838832927/2, -2592670024, -4663106504, 3317451431/2]]], 3, 4, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[9, 2, -4, 0]], [ -229, 18, 4, -5 ], [ -4, -4, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-102233789, -17475138, -6001462, 11/2], [1414438834543677/9499681, 241774262050784/9499681, 83032238853182/9499681, -22492253/18999362], [1012660627/14, 86548629/7, 29723305/7, 1/7], [-154144586/66497767, -7528115/18999362, -18097603/132995534, -1/132995534]], [[-96017061898410679/2, 468563199491196119/2, 159458658879760295/2, -86654433035781153], [664214264905634731753837/9499681, -3241364664954259680094310/9499681, -2206164219690245635865553/18999362, 1198893212020742761644238/9499681], [237770428697390331/7, -2320639422166547877/14, -394873131236574955/7, 429170904935258141/7], [-72385614103140000/66497767, 50463104446106160/9499681, 120213139779336960/66497767, -130654571618260920/66497767]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11/2, -51/2, 15/2, 11/2], [1359/22, 1736/11, 293/22, 239/22], [5/22, 24/11, 2/11, 3/22], [0, 0, 0, 0]], [[232195611/2, -450681467, 909448619/2, 58937175], [-161685405589841545/208992982, -355726498188037695/208992982, -102053311951046669/208992982, 591700822932286053/208992982], [-9792741997/154, -6491653610/77, -339277443/22, 4514072263/154], [11778074/9499681, 519078293/132995534, 73292171/132995534, 3/132995534]], [[514775016215296773905/2, -270933789998547479722, -372646477847364432661/2, 244741499894342633061/2], [-29131081818917230898512088998/104496491, 14742077226101718496394363144/104496491, 19329978097704890520270323074/104496491, -19516829001249066203589177773/208992982], [-493764468018464066713/22, 653013710056564354230/77, 916611745798050883555/77, -795684553009918507931/154], [-17444518246114706871/132995534, 94996934782629928497/132995534, 33977135800541177739/132995534, -18110504411121148524/66497767]]], 4, 4, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[3, -10, -5, 4]], [ 51, 32, -494, 221 ], [ -6, 4, 2, -2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3760669, -934373/2, -2311827/2, 1], [7065797182687/1995898, 438881998037/997949, 1085912682732/997949, 9737052/997949], [4390307/2, 272704, 2698871/4, 5/4], [-2461051/4989745, -611467/9979490, -756448/4989745, -3/19958980]], [[-17639380618129225/2, 6897833645579915/2, 4542678087057176, -4218073607314355/2], [16571045215825735827469/1995898, -6480073059505234508151/1995898, -8535098589398348580265/1995898, 1981304596620605016612/997949], [5148169275494639, -4026354258791331/2, -5303241205060667/2, 1231072157126409], [-5771766810205296/4989745, 4514074147153077/9979490, 2972812421560353/4989745, -1380193223465379/4989745]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, 3, 3/2, -13/2], [-17/2, 23/2, -13, -21], [1/2, 3/2, 2, -5/2], [0, 0, 0, 0]], [[-16640426, 24096239/2, -2545207, 35167/2], [6161261056062239/21954878, -2230967508226054/10977439, 478101181517700/10977439, -2189135360340/10977439], [294815412/11, -853806325/44, 179510659/44, 262673/22], [-66242379/109774390, 47976547/109774390, -20270333/219548780, 1/109774390]], [[-5377828460396457/2, 1344901955997651, 2833256874999545/2, -1316740302988341/2], [498336627862574032105122/10977439, -248427799134235291540932/10977439, -262740982668820059622465/10977439, 242827073188754685274079/21954878], [95297799754193435/22, -95146959469874507/44, -100517095284747683/44, 46509657497212867/44], [-4283270021903975/43909756, 1069426372584935/21954878, 1129292452505985/21954878, -522806383292515/21954878]]], 4, 4, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[2, -6, -3, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17, -24, 42, 73/2], [-11/2, -101/2, 49, 43], [1/2, 1/2, 2, 5/2], [0, 0, 0, 0]], [[216938, 347415/2, -886596, -641807], [2308817/2, -254471, -3750855/2, -277120], [-133952, -361998, -73983, 58604], [1/2, -3/2, 3/2, 1]], [[64969010326, 159040826671, 21339723150, -44599045095], [-416244465893, 547567561263, 322845562411, -223769865299], [64946153272, 180403478255, 20395115741, -57232735560], [-833735, 553361, 489368, -281619]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11/2, -15/2, 33/2, 15], [683/2, 7, -3/2, 18], [2, 3/2, 2, 0], [0, 0, 0, 0]], [[-1457142805/2, -2797957947/2, -81643429955/2, -80505765241/2], [-157139064752937/22, 39980370223851/11, 30439000379016/11, -33787434224187/22], [-465229711621/11, -7212207059/11, 6419432208/11, 477525502/11], [34/11, 67/22, 21/22, 2/11]], [[276283882103621865/2, -1194030342336090390, -445358432172683650, -1223682882249872705/2], [9076935620333465696369/11, -22067230328908345093439/22, -15559208098381436273067/22, 5206968601568920391364/11], [46972300993647520450/11, -63486016142716360010/11, -50663434175422993910/11, 32658664629307328860/11], [-2894018915/22, 7886905435/22, 3989962315/22, -2726578055/22]]], 3, 2, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-4, -1, 2, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[17/2, 12, -41/2, -37/2], [121/2, -9, -74, -32], [1, -1, -5/2, -1/2], [0, 0, 0, 0]], [[10386393/2, 15364633/2, -11619299, -21210575/2], [24539529, 13110739/2, -38910647, -41737715/2], [672111, 1168219/2, -1782003/2, -799058], [-1/2, -5/2, -1/2, -2]], [[339701463893424, 484893678111937/2, -879244631242031, -1301900881558491/2], [33275932258923840, -67986095794667831/2, -49466863016748553/2, 26870052324830589/2], [543012349688235, -840114543675960, -514567280938410, 305910549852390], [2959221769, 712915924, -2957160599/2, 19172770]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[19/2, 12, -22, -15], [-1032, 94, -241/2, 165/2], [3/2, -2, 5/2, -5/2], [0, 0, 0, 0]], [[-4515841703, -900585651, -2249001137443, -4535419148209/2], [31636035799606299/11, 105928173729608093/22, 1304814877905349/11, -16237129235701120/11], [-24851220193717/11, 105253961555/22, -385867277879/22, 76582911098/11], [7/11, 9/11, -95/22, -5/22]], [[18966085827197937339456, 27974223263001442944679, -2362968305089259321763, -19546777149092240030197/2], [-1112208122647973868240899613/22, -1609937002752695287344294653/22, 24427417097524581370108059/11, 232066468481348683859200724/11], [1185522425264974744980265/22, -204820927988363745530009/22, -283014598750532136742172/11, 183925086957569702933445/22], [232554604802/11, 57992206532/11, -115899853472/11, 315103542/11]]], 3, 2, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[6, -2, -3, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15/2, 9, -20, -27/2], [-157/2, -13/2, -5/2, -45/2], [-1, -5/2, 5/2, -2], [0, 0, 0, 0]], [[98176581/2, 146130291/2, -123071019/2, -109192295/2], [-4191617733/2, 5196859301, 2127047415, -4149169037/2], [55947722, 4670209, -12367289, -5804786], [-1, -5/2, 5/2, 1]], [[4530587819, 298071502387/2, 61087164536, -71493712533/2], [25716540935106, -20381635905262, -32125377001747/2, 9559445930891], [-257471913985, 944250843185/2, 461572495085/2, -375291403045/2], [-4838, 1927, 1763, -1435]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15, 43/2, -37, -65/2], [-653, 56, -283/2, -202], [-1, 1/2, -3/2, -5/2], [0, 0, 0, 0]], [[76424664071/2, 106652275365/2, -2485177637773/2, -1226822017451], [-13984657720821435/22, 3730612721578771/22, 4410648008593439/11, -3837614996158821/22], [-12659324800952/11, -4458079719/22, 9907827319/22, -85602887974/11], [-4/11, 29/22, -9/11, -5/22]], [[36074193646947970508557, 179087847210802673848473/2, 10150143639156388664636, -26888870441075587885064], [171376946506323737438409707/22, 385309433089330670547447391/11, 130006889477606384728999439/22, -127915480162547214530014791/11], [341844166743473500659034/11, 1151606703062682935734610/11, 156010518635403718631082/11, -372088774089765032494198/11], [-257487978661/22, 86188816741/22, 128650037577/22, -21570342883/11]]], 3, 2, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-1, 8, 2, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 9/2, -11, -15/2], [17, -97, 19/2, -29], [0, -5/2, 1/2, -1/2], [0, 0, 0, 0]], [[133673, 427627/2, -205439, -412355/2], [3920511, 1170478, -1692114, -839737], [89572, 52471, -56811/2, -25868], [0, 3/2, 3/2, 1/2]], [[-21716803375, -40266621791/2, 1224272772, 884223368], [-8619681831485/2, 6091235989113/2, 4925401697167/2, -1422250430730], [-180115585605/2, 49434568920, 95015341305/2, -24546658770], [202320, -1333784, -354688, 486496]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, -9/2, 7/2, 4], [-909/2, 918, 7/2, -371], [-1, -5/2, 0, 1], [0, 0, 0, 0]], [[2, 5, 11/2, -10], [-958/11, -20505/22, 52366/11, 5067/22], [-12/11, -6/11, 94/11, -2/11], [3/11, 3/22, -47/22, 1/22]], [[20228677/2, -98024577/2, -17080238, 15908361], [113009958297/11, -312155550930/11, -114592697546/11, 246251543305/22], [44182726/11, -352900562/11, -87247608/11, 132629518/11], [-22091363/22, 176450281/22, 21811902/11, -66314759/22]]], 3, 2, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[2, -7, -3, 3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, 3/2, -1, 1/2], [-224, 42, 143/2, -45], [0, 3/2, 5/2, -3/2], [0, 0, 0, 0]], [[-4, -7, 11, 21/2], [-6865/2, 7451/2, 2403, -3221/2], [0, 0, 0, 0], [1/2, -1/2, 0, 1]], [[1189/2, -19102, -5167/2, 18261/2], [-39393288, 43505731, 55660197/2, -37812593/2], [0, 0, 0, 0], [7049/2, -11460, -5220, 4966]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, 4, -11/2, -7/2], [-5081/2, -1, -613/2, 597/2], [3/2, 0, 1, -1], [0, 0, 0, 0]], [[28256849387/2, 20241035649, -1212733550573, -1208187395268], [21465257994169620/11, 3321086567325870/11, -5739609846762893/11, -848352054640951/11], [-12970142240298/11, 8137247288/11, -18187529403/22, -58144955829/22], [19/22, 13/11, 29/22, 5/22]], [[249666682222596341707/2, 10829925819277926758123, 658090885937578990507/2, -7623740285038587920511/2], [838461483805722183676527361/22, -619029181275323846654877271/11, -707610519697621673089146071/22, 527910846907033559956026411/22], [-597211626942824895196713/22, 422727664113219480680343/11, 518843150809276895576343/22, -377177592669582125535963/22], [190165448587/22, -330988136797/11, -284763389165/22, 283709633193/22]]], 3, 2, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[8, -1, -4, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, 13/2, -25/2, -12], [-17/2, 18, -55/2, -8], [-1, -1/2, -2, 0], [0, 0, 0, 0]], [[-1346136, -6759541/2, -1396941/2, 1578557/2], [-6083993, -23400609, -7695363/2, 7311412], [-1469875, -3954500, -433125, 1233375], [1, -5/2, 1, 5/2]], [[80625, 232125, 80000, -100000], [909760, 1619946, -1261957, 134192], [128000, 264750, -66750, -42375], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-15/2, -11, 29/2, 12], [192, 219/2, 47, -115], [-5/2, -3/2, -1/2, 2], [0, 0, 0, 0]], [[-1323653, -220429, 5150959, -1827672], [-2709320712/11, -58915581/22, 5842469132/11, -2501531811/11], [77561259/22, 896155/11, -176008693/22, 37934496/11], [-79/22, -67/22, -21/22, -2/11]], [[98393174027517, 20773326767809, -213441403187640, 164381168493381/2], [-224211921693599469/22, 349272732665636201/22, -98870241621330225/11, 19735619243154999/11], [2582690143560111/22, -4656666879236283/22, 1777538611240947/11, -923655014530101/22], [-5512627806/11, 785901334/11, 2783244840/11, -723794673/11]]], 3, 2, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-2, 5, 3, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11/2, -17/2, 27/2, 27/2], [9, -15/2, 47/2, 5], [1/2, -1, 2, 1/2], [0, 0, 0, 0]], [[-25, -63/2, 49, 81/2], [-2, -101/2, 12, 117/2], [0, -5/2, -3, 11/2], [-2, 1/2, -2, 3/2]], [[273706, -284693, -441949/2, 103889], [-1531711, 3338341/2, 2125977/2, -1513333/2], [5343, -20709/2, -2847, 1521/2], [233410, -264605, -164560, 113135]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, 0, 1/2, -2], [-234, -5/2, 7, -7], [-1/2, 1/2, -5/2, 1], [0, 0, 0, 0]], [[1992259/2, 2092955/2, 34274113, 71415611/2], [160452963711/22, 39229890599/22, -17264519733/11, 8940558157/22], [806827977/22, -7859759/22, 11287059/11, -11840743/22], [-37/22, -13/22, 1/11, 3/22]], [[-288116400697533, -143400909319502, 882026884104843, 773525716811471], [-882454734971144471/11, 2096962615486686792/11, 1137631558691426900/11, -721476435203027050/11], [-6556947325503147/11, 11512558409533406/11, 8727162319274801/11, -5159520128590643/11], [205298287/11, -508977086/11, -303603089/11, 205848371/11]]], 3, 2, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[2, -3, -4, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-25/2, -17, 57/2, 23], [195, -171/2, 2, -76], [-5/2, 3/2, 1/2, 2], [0, 0, 0, 0]], [[-3642837/2, 5925299/2, -203080458, -429972675/2], [36670325171, 47468656622, 4402949255/2, -15121438862], [-212812452, 21746439/2, -5816723, 516328], [-1/2, 2, 5/2, -1/2]], [[-831396840961321, -161133851093851, 964702927104025/2, -979063420284311], [369440858783934929, 106336935782806503/2, -59213593199712310, -43928962093856977/2], [-3392609874380245, 2882430601771615, 750752801654380, -710507877590955], [-14866943, 44253755/2, 59171203/2, -28931721/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/2, -1, 3/2, -2], [-327, -2511/2, 2100, -846], [-5/2, 3/2, -5/2, 1], [0, 0, 0, 0]], [[-28938114965/2, -39925234069/2, -792946381620, -799997935045], [1222389556635783/22, -5485087150923981/22, -102228395090450/11, -678716443546485/11], [-18200388346007/22, -1928888571/22, -18102376592/11, 39265765903/11], [-45/22, -17/22, 14/11, -1/11]], [[-203005559748099288126, -872175282990459368801/2, 724362173425088401677/2, 1125545019442153643417/2], [-304509737304708307361806/11, -26885351650801897069391/22, -1101146726602641652989701/22, 1931261225754086633074447/22], [536950369227196805002/11, -7165967257934420800743/22, 2374849846268118909491/22, 1376477975987481172975/22], [3517106526/11, -10586585769/22, -14055392163/22, 7007033865/22]]], 3, 2, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-5, -3, 1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-8, -23/2, 20, 18], [-877/2, -17/2, -93/2, -25], [1/2, 0, 3/2, 1], [0, 0, 0, 0]], [[-163896949, -121889751, 15846611361, 15548710114], [-7671091448711, 4002097838046, 1327875339687, -804226046751], [15362903204, 197921460, -141986988, 49989896], [1, -2, -1, -2]], [[2206627866318485215/2, 6264427848795252741/2, 606786872202893219/2, -2190574162470490523/2], [814280501733124044505/2, -1724362440792845315652, -576850987174159724573, 1248579232763719819825/2], [28629714252264840, 4510291580340357240, 1082711071648772280, -1555805531470905000], [-313467785, -368923115/2, 123104385/2, 61053996]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11, 15, -51/2, -20], [-1643, 865/2, -1709/2, 4111/2], [1, -1/2, 1, -5/2], [0, 0, 0, 0]], [[-5010424543/2, -3655918523, -552900751271, -1109129294935/2], [18804078196797826/11, 49518992775607067/22, 847244580962253/11, -7575364187083158/11], [-6135861441598/11, -27638522569/22, -19464350731/11, 32122119235/22], [-67/22, 19/11, -19/11, -1/11]], [[-3059425987243436154400244, -12050024702104328599506339/2, 1646924892635132118306859/2, 2517061875190826492221518], [358682857864341058390712801993/22, 337843481582435465798428499279/11, 13836048912826019316143873284/11, -207612965725330060241433068573/22], [-92643800498814821539676207/22, -89097669125694133782389573/22, 13404418309558066811798355/22, 25919240845517779204876363/22], [-275752439300936/11, -165461312896046/11, 55189741194414/11, 55121039730034/11]]], 3, 2, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[0, -7, -2, 3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-25/2, -18, 63/2, 55/2], [-443/2, -74, 57, 158], [2, -1, 1/2, 5/2], [0, 0, 0, 0]], [[5683916973, 14223814095/2, -36096346775/2, -27700700739/2], [229251210977, 292784084289/2, 309646257849/2, -421726959523/2], [-3794298762, -2916101211/2, 2623564659/2, -2739772413/2], [2, -5/2, 3/2, 3/2]], [[-98078572811699, -473490937811217/2, 14126777653765/2, 86766220982240], [7852578441780965/2, 20611821472105599, 1714014630980933, -11680662387288731/2], [-97906091632461/2, -557615214700281/2, -120875757495723/2, 199104775067997/2], [-20566, 142154, 32770, -48138]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9, 13, -20, -33/2], [2717/2, 725/2, 208, -596], [1/2, 3/2, 1, -5/2], [0, 0, 0, 0]], [[3492414047/2, 4384200889/2, 24094731497/2, 13300335494], [1449407025400791/22, -990700572226395/22, -805298473852579/22, 228833575509831/11], [361713963041/22, -10029151417/22, 7726526279/22, -4384045510/11], [31/22, -23/22, -87/22, -2/11]], [[-427037820485577176, -744982017246273948, 81496723877614896, 263958011180847208], [-31204269792404295782685/11, 17220074911743593871737/11, 17419579722384237876624/11, -8832323495043386411283/11], [-9408115778309600904/11, -2587638493753005804/11, 2916821855895914704/11, 290282161685802656/11], [25602744/11, 1307908636/11, 333079240/11, -563784976/11]]], 3, 2, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-3, 5, 4, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9/2, -7, 12, 25/2], [209/2, 19/2, -141/2, 31/2], [1, -1/2, 5/2, 0], [0, 0, 0, 0]], [[-4990054, -7492895, 438636103/2, 441227421/2], [21531666461/2, -31371573/2, -5472667683, 1352611375], [411141409/2, 1264396, 10125801/2, -1280027], [0, 3/2, -1, -3/2]], [[12598733/2, 26096567/2, -4983545/2, -5097519/2], [181355632, 1206718327/2, 43277951/2, -167450572], [5031859/2, 14339948, 7534044, -14282961/2], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, 7, -13, -27/2], [5279/2, -549/2, 2793/2, -31/2], [-2, 1/2, -5/2, 0], [0, 0, 0, 0]], [[-130086659691/2, -93698101920, 5263019836539, 10492319444801/2], [-128337530045648943/22, -212616489257372/11, 9083455498088732/11, -3070234609276917/22], [112324760849149/22, -15317971927/11, 114423265764/11, 200779227389/22], [-41/22, 9/11, 2/11, -5/22]], [[283718568620129451929734, 543996170791841980266842, -500508402149755288538206, -428652233622092955921711], [2548312381394422164443939740/11, -6472556732724400820130585755/11, -3836821094736592457590764035/11, 3308659258247265841733293165/11], [-2401554129949744803858827/11, 6000823839863863408533849/11, 3928188069709895480424618/11, -3395620846818781379576617/11], [1240180728234/11, -2064894829158/11, -1654093365456/11, 1239319330914/11]]], 3, 2, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[13, -21, -14, 9]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13, -60, 291/2, 3/2], [1471/2, -1, 357/2, 351/2], [361/2, 0, -1, 0], [0, 0, 0, 0]], [[5512036008925292, -51577464441153121/2, 124642758343782245/2, 1289884570196989], [314392806658137947, 1601537599991609/2, 158226416011800597/2, 77294649984157719], [77374680191894930, 1114376239817085/2, -795514731843009/2, 54334751389435], [0, 3/2, -3/2, 1]], [[24348780953360873547585924, -13852879873163470816276316, -28783771243966860993218099/2, 9581715920180055663281980], [277331163718201444394607612, -58064932364289637947816402, -250391924672979620685129357/2, 55616304076788677811667920], [64055391277249234430632152, -19273757053590342053714976, -65011915754983871998430277/2, 13659691123454680750291272], [-671831040, 1085752204, 1445750509/2, -465716384]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-25/2, 129/2, -156, -2], [-4079/2, 21/2, -187, -383/2], [-189, 2, 0, -1/2], [0, 0, 0, 0]], [[770908142209497853/2, -4165369874769979241/2, 5039509961243802379, 94830977611189822], [718527280478388883515/11, -2014657462380182399/11, 69808640834640719329/11, 138419492949809166059/22], [66648024409412818872/11, -467016866865381121/11, 190707738113260272/11, 189005427476853591/11], [-29/22, -53/22, -12/11, -3/22]], [[7884170849638948300251853878870137/2, -15402495767583279476788836810807087/2, 5972929204324338243580683172581981/2, -213312585087232094353931931929888], [151928649888147350664932792544674828, -387117830007704057819272451962395313/2, -162026611700722150086559410346103953/2, 65336540952510989399215637278344673], [13883164431864915555970833856778151, -35560114497735872691414968234595203/2, -7125160845592356497554239135610416, 11808312493828025388390586857827639/2], [-1832927104163733/2, 2960878631578239/2, 986955705436305, -1268958869215743/2]]], 1, 132, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-11, 26, 9, -10]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-81, 68, -13/2, -1/2], [83/2, 0, -215/2, -199/2], [-195/2, 0, -1, 0], [0, 0, 0, 0]], [[162424557060135, -138147652635804, 46686959979367/2, -3161283548834], [-148667798777437/2, 28217745944559/2, 196654609949425, 187826610957033], [199260420938958, 8828557425353/2, 12432087042359/2, -4675000590424], [1/2, 2, -2, -2]], [[671891260330831541434575/2, 114424016403739291510959/2, -96846355435609958688401, -3429361067032847630768], [319791131380814276155133/2, 1100880752276184806174301/2, 65363153400684069297158, -338567375880230690443231/2], [541387422495817012979789, 644200881963103228261960, -43397120230325885443848, -369044906391982173403485/2], [-460718007, 1089631782, 376868658, -419226747]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[181/2, -153/2, 17/2, 0], [10309/2, -9, 283/2, 117], [109, -1/2, 2, 0], [0, 0, 0, 0]], [[3274794965280152291/2, -1372025412113545817, 218669224241872073/2, 45688559950249051/2], [2049204706259507578489/22, 3243633853351522555/11, 15744164118867879649/22, 43647769137119436957/22], [43314596225425948109/22, -10936610364047298/11, -21107270172702073/22, 11238367660121359/22], [-49/22, 18/11, 63/22, 1/22]], [[2972555928400297311487421251158925/2, -358367694105352092464904304264135, -1256689456096479281729498749339330, 522318193168969923764886493934315], [170272410389871618882928726968253831/2, 51614214345411297149671570526504989, -35987088049711751235134808104723556, -4361262977665788046641346570454121], [3584007132822386115851681956612665/2, 1058342324817957761238011996358345, -776656650269824327844139590944680, -74172125988981167742324399433465], [-1454872988808225/2, 1719371622791205, 595178955534330, -661292787861945]]], 1, 132, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[1, 19, 0, -5]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13, -47/2, 27, 26], [1295/2, -219/2, 379/2, 171], [5/2, -2, 23/2, 10], [0, 0, 0, 0]], [[18082820571037, 97979025925259/2, -52248158316484, -72274211055], [-8629601999910703/2, 4298688408250244, -12812328052530105/2, 2433777763753439], [-55902181684527, -370113406820, 289990068538, 360529653857], [5/2, 1/2, -1/2, -1]], [[36792824680204945116643821/2, 32750529519282140300350071, 67540270017051308450727191, -44844993104799981103175030], [133524606518161547077387064, -18323737391005223138531424990, 17205511645104525674574717717/2, 46709764703049034958325947/2], [-8316882231538878344201335/2, -187008078919680722492321211, -42733907363265103737772031/2, 103488767303530289509172685/2], [401787504302, 7630686301323, -420642899, -2007742273311]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, 1, -5/2, -12], [-7572, 45/2, -129/2, -91/2], [8, 17/2, -3, -15/2], [0, 0, 0, 0]], [[794896896616957/2, 2139543592798629/2, -2295548650439609/2, -26030914405319/2], [43774125106674723081/22, -22415554239186629993/22, -17623239632313050715/22, 8338788598932411745/22], [-26588547996468455/22, 17073141428625/22, 5360596743671/22, 12485139321441/22], [-3/22, 37/22, 7/22, 5/22]], [[215639789135667963902388354, 1164320322180668033771150757, -543157391010618308957862187, 1006673987593952197447009], [28346861729827803235472295184494/11, -12410208751269854077857389698653/11, -12494287057582874924570743741082/11, 5731509871242588346746846490559/11], [-18807074941176903338483625120/11, -3156556123884626835713035095/11, 3883190351093352920977389555/11, 1069673461388355707137655865/11], [1619319152604/11, 30776140412187/11, 1585339883/11, -8100077524211/11]]], 1, 104, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[3, -24, -11, 10]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[61/2, -6, -12, 1], [106, -9, 71/2, 71/2], [63/2, -2, -3/2, 3/2], [0, 0, 0, 0]], [[1709529034703/2, -95864541306, -636290379721/2, -5292570671/2], [5944373416133/2, 77354329713, 2415959222713/2, 1882903091545/2], [1771270244827/2, 33213669954, -12330789221/2, 23522371397/2], [-1/2, 0, 5/2, -5/2]], [[45665472566476482092340, 83031350957776926081897/2, -8499782981073908176800, -20773350271480186627503/2], [248426901001249408186574, 674564094932587198241453/2, -16861711776214951789036, -190555234000844934478015/2], [59687090648866873676292, 142783791300340238597991/2, -6678240517849291292340, -39064023283389626335137/2], [2849111796, -45592329267/2, -10447356486, 18996071517/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-82, 9, 31, 1], [-9791, 6, -127, -124], [-84, -2, -1, -2], [0, 0, 0, 0]], [[-54921251301104710654, 17401193746185398407/2, 39010870310811238497/2, -1478878130051216417/2], [-146182372138134379370495/22, 3877209158555618347871/22, -850483408645431807611/22, 1334961526256166626859/22], [-1256151247572423428219/22, 398757379565272077/22, 192153176467707126/11, 68097805534829011/11], [-16/11, 39/22, 8/11, 1/11]], [[-154117141666748911527319136299496374, -515059237823098561397354739406135549/2, 2643285883549935952155029726821982, 74518234279058772876380710356781810], [-549453435627594694064078638312203083925/22, -998795120544052842381193103474599724321/22, -5038448729646571608721842191241800851/22, 144255689951048396723590696275534005875/11], [-4785210418212072430681624615809850653/22, -4389255396547486270035052152647256064/11, -82588639393391532452851082644657431/22, 1274131334263444340644355031450939681/11], [-4623884209967504/11, 36990883255793204/11, 16954043753417352/11, -15412832321212652/11]]], 1, 104, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-5, 27, 8, -10]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13, -11/2, 3/2, -14], [65/2, 30, -117, -189/2], [-39/2, -49/2, 1/2, -5/2], [0, 0, 0, 0]], [[-253921843/2, -717907281/2, 1399664079/2, -583075765/2], [-163146743/2, 21219521/2, -94808555/2, -873814195/2], [-197036403/2, -816371201/2, 834392159/2, -257178645/2], [-3/2, -1/2, -1/2, -5/2]], [[12015710967720, -28730939937015/2, -18492787575735/2, 6385876860995], [-3446035215894, 1497198080499/2, 3028544343055/2, -456884965213], [10078572054260, -26776835076775/2, -16034862920455/2, 5784736038495], [-67440, 77985/2, 75825/2, -19245]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7/2, 1, 7/2, -2], [515, -81/2, 2, -6], [-7/2, -1/2, 5/2, -1], [0, 0, 0, 0]], [[1690163085, -1115746002, 511956839/2, 583954475/2], [-10090608716655/22, 494803533077/11, 2938289120298/11, -1293601940515/11], [21659445146/11, 84526364/11, -169507414/11, 68604752/11], [-61/22, 4/11, -19/22, -1/22]], [[-5213572714498459734, 14333980194528561956, 5265838857680980572, -5563433243371607004], [8018110633954117889740/11, -34942241580955603521683/11, -12549664931144500094429/11, 13411818052334992487061/11], [-27886287941878108606/11, 190549666352858587288/11, 56718685193093824882/11, -69859673304564298882/11], [46080448900/11, -298570492384/11, -84347672872/11, 110872645492/11]]], 1, 40, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[11, -5, -4, 3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-25/2, -37/2, 28, 26], [-37/2, -137/2, 132, 249/2], [-4, -7, 9, 17/2], [0, 0, 0, 0]], [[697031/2, 678025/2, -2610777/2, 495194], [24560825, -90646997/2, -10857698, 12771493], [52351, -522289, 1263573, -493835], [-1/2, -1, 5/2, 2]], [[-14247111250, 44368773394, -17734882756, 50444212], [7253998959699, -9430437095287, -5176921997299, 3830926205363], [109680029290, -118100989006, -35995475750, 32202571044], [107690, 38264, -57924, -25690]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[43/2, 34, -46, -95/2], [91/2, 323/2, -463/2, -423/2], [10, 29/2, -39/2, -14], [0, 0, 0, 0]], [[921481, -2490075, -9778761/2, -5861505/2], [17058608745/11, -34106099751/22, -23842687167/22, 7421867424/11], [-68875559/11, -55534429/22, -5786630/11, -3512684/11], [-9/11, 12/11, -1/11, -3/22]], [[-133454697115/2, -4380641507183/2, -3763660389722, -1668374205303], [8477082372410913/22, -6456062668010589/22, -2793788177991857/11, 1401693052601443/11], [-77605062102973/22, -124000715788047/22, -11903569118007/11, 10105044165361/11], [-5731355/22, 3720017/22, 1140038/11, -810263/11]]], 1, 40, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-8, 21, 10, -8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3/2, 11/2, 3, -5], [1/2, -23/2, 27, 49/2], [6, 2, -2, 5/2], [0, 0, 0, 0]], [[4909401, 9224414, -4501955/2, -2969993/2], [48496499/2, 17863276, -7566427, -8631067/2], [20182523/2, 14903231/2, -911853, -4904449/2], [0, 5/2, -5/2, -1/2]], [[52363787975735, 122163589143276, 20180518798873/2, -76704181296019/2], [406838938947011/2, 700448224970361/2, 6134964123621, -209048588921919/2], [91329722933381, 312366572593857/2, 4372934541997/2, -93049460989865/2], [-6216869/2, 8183281, 3890936, -6232255/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-15, -39/2, 21, -2], [-3745/2, 3/2, -33/2, -21], [-57/2, 2, 1/2, 0], [0, 0, 0, 0]], [[25259242881920857/2, 17216607771871933, -16664379183187044, 568464459363701], [16948893916972635248/11, 1117945864820496780/11, 1318812006381081087/22, 649120379652557873/22], [517175210860610629/22, -167337718152999/11, 541120059721281/22, 284427259133209/22], [-1/11, 5/11, 6/11, -2/11]], [[104279896328074012081625017, 312817741977422555328990351/2, -52239143967645582986373043/2, -78234067040536423470101435/2], [64772701096496092884581152787, -45885744395856263822966644032, -76081960738490512376087005973/2, 44231319499088671799238052265/2], [2006996077371997972808981425/2, -1485809922144599354444416125/2, -599456669807480657116361125, 703839723241516402189577375/2], [-8865682631/2, 11637213033, 5541568331, -8866064635/2]]], 1, 28, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-3, 16, 5, -5]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[59/2, -5, -25, -5], [-71, 14, -129/2, -141/2], [-79/2, 1, -5/2, -3/2], [0, 0, 0, 0]], [[-94321455481/2, 41572103867/2, 30497860056, -3426396143], [157067682586, 10020721591, 41431508799, 74608688409/2], [62930272740, -9041423830, 28357855660, -13433006110], [3/2, -5/2, 1, 1/2]], [[-13565855963044794285/2, -81723869601816817542, -16335358726223226000, 58607178690524290485/2], [241033914065994603165, 1562314304127853883881/2, 222067945372463023465/2, -241781605929575320006], [72765872621409290310, 268885925022323089170, 35451390775174155450, -85095785086638336090], [-977657247/2, 5209760979/2, 1627132287/2, -1627765191/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11, 1/2, 21/2, 7/2], [2528, -51/2, 51, 89/2], [13, -1, 5/2, 1], [0, 0, 0, 0]], [[712091649182307, -204195964895904, -1065522860231437/2, -24162249753657], [-2171306880904553383/11, -126683630333285005/22, 205129517126840604/11, 57496577565659169/22], [-11486369025534496/11, -23663853449211/11, -5359151341349/11, 18380730811323/11], [-13/11, 31/22, -31/22, 3/22]], [[4890291964529990188625647085, -31747913108895657965686068408, -7764406232634294305608127545, 13425359940787315962337635077], [15647538750206663860795262635939/11, 170499662242850686115596192957645/11, 37298836994845640635461886614554/11, -56827565798658474532056120821977/11], [84676187122486144536390643392/11, 931693344084618455556376367706/11, 208034749036874440838247623166/11, -305603416312958131916715560190/11], [-196470076128567/11, 1047799286319418/11, 327419203536298/11, -327451624590440/11]]], 1, 28, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[14, 3, -6, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3/2, -3, -2, 3/2], [457/2, 7/2, -7/2, 3/2], [3, -5/2, 1/2, 0], [0, 0, 0, 0]], [[-5, -9, 21/2, 11], [747, 2035/2, -1152, -2305/2], [0, -12, -4, 12], [0, -3/2, -1/2, 3/2]], [[-85493050, -67070150, 48981185, 75507225/2], [4637318741/2, 70289641303/2, 5000069488, -28858255697/2], [-414771620, -88634380, 178155880, 299080], [-103692905/2, -22158595/2, 22269485, 37385]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[8, -63/2, -51/2, 5], [2519/2, 12, 27, 33/2], [63/2, 3/2, 1/2, -3/2], [0, 0, 0, 0]], [[299196128027567/2, -845563854881867/2, -867808777975333/2, 33869942076231/2], [203915870751592930/11, -20115410193547871/22, 8295029431123857/22, 15426084138514239/11], [10279632300165869/22, -716184180791/11, -21686951371633/11, 8350821965195/22], [-1/11, -17/11, -5/11, -2/11]], [[361032175492690828419895643/2, -71496853553719157681682751/2, -181829615327184117050904945/2, 23735237517712257610280074], [173966960642269260316917699785/22, -353259660786004658808054970445/22, -166071295640289782253115355453/22, 143067610759711336059337825757/22], [2144894427969978864702531832/11, -4373080766855178035027166671/11, -4130109220758817387477686497/22, 3530395847757452384232136545/22], [5380483613337/11, 1153732924260/11, -4611548378115/22, -372200472/11]]], 1, 16, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-5, 12, 7, -5]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[39, 8, -13, -3/2], [15/2, 35/2, -67, -63], [-85/2, 3/2, -1, -3/2], [0, 0, 0, 0]], [[-398260951685, -84222902356, 304409841347/2, 38244152578], [-713089074031, -2259314456055/2, 2120278374205, 3960940909025/2], [367751396325, -98491573656, 147135623853, 96597962856], [1, -3/2, -5/2, 5/2]], [[18487081932226807826376, 6129954018446838618024, -6002051970478087599528, -434705854443450311397], [-13833374429464077253333, -19858677380503297261543, 5626573423007827412040, 9201268242632710909232], [-23312918387187934033341, -4953738503235171243399, 8429237228273451979959, 46220166339344170746], [-22140314703, 53122460040, 30992624988, -22117033458]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-82, -17, 53/2, 3], [1359, -23/2, 205/2, 211/2], [90, -3/2, 2, 1/2], [0, 0, 0, 0]], [[-270184953275988553/2, -28884920368790499, 43323197268351354, 4861438346953963], [49789016897512620665/22, 310098436289389306/11, 1255850323408916897/11, 1544441045014177280/11], [3286647803250315089/22, -1514387287954224/11, 7511105476073223/11, -2875911345847097/11], [-79/22, -6/11, -27/11, -2/11]], [[22987662411420007450880233637645, -55983691446193426959468431143726, -24983628866375873611890356880437, 22379480074065190574420654201536], [-5577565038259301404036396880608400/11, 11805371119814643751913433438693845/11, 6352205626327245196180054224245234/11, -4880587083664154368100390890844597/11], [-375566523061644994097958417898261/11, 767938286902241946057148096397759/11, 418707977328004629557702537169595/11, -325421185250067910045616472872546/11], [9203376775484324/11, -22087583860149718/11, -12884874369917288/11, 9204042175226698/11]]], 1, 16, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[5, -30, -10, 10]], [ -229, 18, 4, -5 ], [ -4, -4, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[181198607/2, -58757729, -302266, -13/2], [777233643947493/18999362, -252035771271285/9499681, -2593077260299/18999362, 15506471/18999362], [1479738864/7, -959677361/7, -9873791/14, 31/14], [-135145224/66497767, 175295539/132995534, 901759/132995534, -1/132995534]], [[1646851076513511103/2, -2857027159629770371/2, -312203236007829133/2, 294649108025623423], [3532004161849270888502369/9499681, -6127469390070467449793390/9499681, -1339164742849824348807499/18999362, 1263868251403957242221668/9499681], [13448831853987160223/7, -46663207866891637319/14, -2549574939857022571/7, 4812441040946677451/7], [-1228287915861101264/66497767, 2130886061517372696/66497767, 232853769696149104/66497767, -439522427735919162/66497767]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[161/2, -38, -1, 1], [-12425/22, 2895/11, 543/22, -48/11], [-203/22, 42/11, 7/22, -3/22], [0, 0, 0, 0]], [[-1965431373/2, -604978323/2, 267981257/2, -24856039], [864131333482426665/104496491, 703468117856036553/208992982, -227748063262269177/104496491, -110856329484223926/104496491], [-13038986613/77, -8569009681/77, -4706199433/77, 503388657/77], [341087595/132995534, 90695529/66497767, 64694249/132995534, 1/66497767]], [[-1499406522423627258, 2538072230093660265, 1547583683779308649/2, -770939956569716862], [1192399297434096822986057127/104496491, -4184431691201505755257801667/208992982, -552979090315414327086782019/104496491, 1230672479759966550347860373/208992982], [-12025003229740314565/77, 35966276326281481850/77, -1110048318144901715/11, -2672431638023969765/77], [28159220120484955/9499681, -918683601947085347/132995534, 13571835857396763/132995534, 149144679204458587/132995534]]], 1, 104, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[15, 0, -5, 0]], [ 51, 32, -494, 221 ], [ -6, 4, 2, -2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[452613/2, -134095/2, -240133/2, -17/2], [5861163436827/1995898, -868263215499/997949, -1554761407205/997949, -39395488/997949], [-511475/2, 303061/4, 542691/4, 7/4], [-6230153/3991796, 461477/997949, 826300/997949, -1/1995898]], [[216945539428731/2, -176188745606431/2, -343743548148021/2, 181040029599479/2], [1404666865758016190267/997949, -2281605453347774212175/1995898, -2225622729143259819041/997949, 1172179590786771265868/997949], [-245153462744051/2, 398210826236923/4, 388431511154627/2, -409155968284141/4], [-746553282718035/997949, 1212629889643335/1995898, 4731504894660525/3991796, -2491964408836035/3991796]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3/2, 7/2, 0, -11/2], [209/2, 43/2, -21/2, -12], [5/2, 2, 1/2, -2], [0, 0, 0, 0]], [[4691505/2, -93642867, -466607997, 250857275], [-19628149365, 5240456328, 11880085557/2, -1873508730], [-1591229815/4, -64676047/4, -87487785, 352600115/4], [3/4, -1/4, 3/4, 0]], [[-72421641283856176, 914722239003898510, -197064598648202260, -234263076531054527], [-935286036558484489109565140/10977439, 1404218358595992246188941838/10977439, 722236550328004840473961497/10977439, -567093175663987398780223559/10977439], [-34900957825702090077/22, 31541734986642341970/11, 26821093093547141559/22, -11582150429130941956/11], [70614009559257678/10977439, -72490928534365905/21954878, -188395643796047091/21954878, -30184619356879092/10977439]]], 1, 104, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[5, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7, 19/2, -3/2, 0], [77/2, 24, 2, 3/2], [17/2, -17/2, -1/2, 3/2], [0, 0, 0, 0]], [[-2154319/2, -233153, 6548401/2, -1311701], [-290654, -1240128, 236209, 3248955/2], [1431675/2, 76355, -2168428, 1937977/2], [-2, -1, -3/2, -2]], [[572683087, 73764615/2, -3221179971/2, 1395338879/2], [-422034084, -99575097/2, 518927962, -393016607/2], [-422600131, 308628, 2227812103/2, -485877526], [880, -4400, -1760, 1760]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[25/2, 5, -25/2, -17/2], [-393/2, -19, -62, -38], [-12, -8, -3/2, -1/2], [0, 0, 0, 0]], [[306082935, -106316148, -138175165/2, -316629477/2], [-92274763667/22, 87128135711/22, -108356908842/11, 62367339489/22], [-3952576255/11, -228268899/22, -1479047415/22, 162550373/22], [-49/22, 18/11, -7/11, 1/22]], [[804975533618, 554347116379/2, -1309068199859/2, -478042575065], [-28585103732447/2, -3638508551458, -5723235139747, 254926277573/2], [-1820668000057/2, -1440298988195/2, -179995354209/2, 147600978861/2], [-5252, 36, 745, -241]]], 1, 20, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-15, -1, 6, 0]], [ -14379, -18, -92, 71 ], [ -10, 6, 5, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5330582225895133, -6053099263549031, -578287356135549, -14], [-951652592024801458825782106739/206821577585839, -1080641355827230351235172858841/206821577585839, -206479757024710928502496459853/413643155171678, 3033648959995035/413643155171678], [3/2, 0, 1/2, -5/2], [5650556146081102/2275037353444229, 12832886089002191/4550074706888458, 1225999350892247/4550074706888458, 1/4550074706888458]], [[-21888184312977252177666022527045/2, -114558260757110317561058286757453/2, -9920466012382476460767926596313, 18893832227222773113184801232743], [-3907630809064854970961331361133978673269120139/413643155171678, -10225868504359281127709581372061020046162708068/206821577585839, -1771070550026524382707890789263033237588117077/206821577585839, 3373058260872976356424395052857919420004122313/206821577585839], [-5982922063267656, 10821284403877780, 7477591929734000, -5455894370047616], [23202046072083726534817571380187/4550074706888458, 121434743330828176434824010509701/4550074706888458, 10515952633831320457789589750986/2275037353444229, -40055909576230567901634779700079/4550074706888458]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13, -17, 61/2, 49/2], [-5/2, -9/2, 5/2, -3/2], [1, -2, 0, 5/2], [0, 0, 0, 0]], [[4344776488683747/2, 7109214258212323/2, 945604981018591/2, 7624], [76680707836076897611202974259879/4550074706888458, 125470109406100841200746223610803/4550074706888458, 8344463684197446773585304597512/2275037353444229, -822793354324165546217/2275037353444229], [2003365592483077/11, 3278040921551555/11, 436016088623747/11, 9176939/22], [-2341410904707678/2275037353444229, -3831173324678108/2275037353444229, -509588886653204/2275037353444229, -1/4550074706888458]], [[-36645940638077193049519074965258, -1613572116843010707436612856016514, -262474734616431820691885042784144, 566642988013622338127438596321236], [-58796552027041342234814864476457067705211102692/206821577585839, -2588894595495073490577158125619779582354599743693/206821577585839, -421127395091016832968225129424515450470914750013/206821577585839, 909149925197081613141006077142504117871347786281/206821577585839], [-3072244865359717845325291169408, -135275286716724264060170948165798, -22004808695930789903506245609800, 47505030615601297513019391512624], [3590652511363115408622124051968/206821577585839, 158101462758259636972903393405920/206821577585839, 25717870973470094387630362325952/206821577585839, -55520967632668271594965847531584/206821577585839]]], 1, 60, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-5, 17, 5, -5]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13/2, -2, 7/2, 0], [-676, 5/2, 5, 6], [21/2, 1/2, 1/2, -1], [0, 0, 0, 0]], [[15216647117851/2, 5069700440147/2, -4457988449180, -1268641722577/2], [1501703387841507/2, -68658937201938, 17716793929332, 97914705233008], [-24016928839283/2, 22608870332, -148500669979/2, 16402746525], [-3/2, 5/2, 1/2, 5/2]], [[59746472614869504578820641/2, 27337598452305403042628055/2, -9725429033110847045571322, -4041222763501938600186341/2], [3728463818741712841798035287, 874207284104717425695030524, -1178126398574603158091824710, -7841153997451378685000935/2], [-117041326023404640333596393/2, -31183116074787519881008789/2, 17794040638436928649339569, 1127957032705141304091049], [-4882892786096, 16609547306560, 4883207353232, -4885092813744]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[17/2, 1, -9/2, 3/2], [-1985/2, -29, 23, 29], [-14, 1, -3/2, 5/2], [0, 0, 0, 0]], [[-4153295928562, -2920183779089/2, 4890523340941/2, 414142316499], [530044695970233, 332372258932171/2, -380418692893213/2, -122522772000843], [6523414871678, 121559584345/2, 89730597749/2, 30277428505], [1, -3/2, -5/2, 0]], [[1323339287705324955405143/2, -109079068389433711733422, -275447536587540582134501, 151060250788460701891007/2], [-2146080664924424652132079933/22, 400043797368002280435066965/22, 1198021017764187911587356751/22, -400821258069447471995138127/22], [-16144290815106784694071021/11, 9197662055135658498324705/22, 19983380753445223026603015/22, -4155688546422739991825612/11], [-1202789053440/11, 4099561293984/11, 1208757392544/11, -1205824241856/11]]], 1, 72, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[9, -22, -10, 10]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-45/2, -9, 13, 3], [-2836, -34, 95/2, 73/2], [71/2, 2, -1/2, 1/2], [0, 0, 0, 0]], [[-436469252058521, -289155489404587/2, 509342360834127/2, 35999836399713], [-110134801074109807/2, 5456555352167085/2, -865468319424465/2, 2723236519012391/2], [691487487038854, -1515527412174, -989145999280, 642091435968], [3/2, 0, -2, 5/2]], [[-19418209168624685359028097, 36345311445165856345008319, 17941558040505703916717769, -14475159553411559919209695], [-3663001993161023937516297714, 6128496634039146192764022694, 3069580222673429040747218430, -2476647689162919570859244251], [44241663316616716323274728, -76157021377425267545582953, -37623691465702355374439340, 30741795358215677298116507], [42784463058, -104567273416, -47556854544, 47517274235]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-50, -39/2, 31, 15/2], [-1728, -27, 175/2, 84], [76, 1/2, 5/2, 5/2], [0, 0, 0, 0]], [[-8145592269921019/2, -2796321013622501/2, 2378690727743377, 745171044680077/2], [-289185695171696851/2, 216343156709031/2, 7929911729979102, 7806455577890833], [6435431964923560, 45044763539088, 513937165588, 15540960614746], [0, -1, -1, 1/2]], [[46803141073879115528623735/2, -21263122465875935964787545, -30114909249122003391067845/2, 10013778364763052173039135], [2287871171153830607739826849/2, -2155651820847647889682711245/2, -1495728960377408125712094039/2, 475171537128008276715564605], [-51339146462809547896409640, 47569921191549806453679880, 33709147051150260285631800, -20829025749841262885936280], [-1087716195, 5320076135/2, 1208268195, -1209353820]]], 1, 114, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[9, -22, -10, 10]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-18, -8, 11, 7/2], [1399/2, -57/2, 55, 30], [55/2, 3/2, 0, 3/2], [0, 0, 0, 0]], [[11471157778130503/2, 1859398776567372, -6645248294771325/2, -849697196329277/2], [-461311467318511807/2, 46404185757303155/2, -47660458124772245/2, 13554748286222609/2], [-9126938194021703, 28675192415560, 37438140609550, 62594033922423/2], [2, 3/2, -2, 3/2]], [[44357230844369597262548173783/2, -62322545275212694125889198659/2, -17809640318213148959315984189, 12858773016793514046158547044], [-1343231089409685624600252011566, 1804152527929096556536075626003, 1006734763021204182308798709961, -1507390252849325863083061971827/2], [-49219065250940946113112764015, 67273412576632368091283728145, 37346010839346799240604075841, -28115201328803824014101828907], [5669489240525/2, -13858711950215/2, -3149874300177, 6298678094973/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[69/2, 11, -20, -2], [1885, -9, -43/2, -133/2], [-109/2, 0, -3/2, 3/2], [0, 0, 0, 0]], [[57377223805376503, 19232288409349931, -33396446649114113, -9675090125177515/2], [3148590605498012473, -900179834375603/2, -134226861989510605, -35922947641231631], [-90944034771140114, -461170213994025/2, 398399683956685/2, -28835525328776], [-2, 0, -5/2, -1/2]], [[-505785150450759696301930705011/2, 551538228527027797912923200265, 250166377187260391376571234071, -207062090055299951984510636925], [-41719036147382387244146244213577/2, 39110279533530126839574192424042, 40206461728492593267929655535667/2, -32969734723511041453660401523845/2], [602821109773346528095340254056, -1146180744186015830081755071138, -584378542286981490093577099170, 484616384926275079269570046080], [14902501778493, -36408133291149, -33121074894975/2, 33090985718565/2]]], 1, 114, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-13, 25, 12, -9]], [ -11413, -54, 56, -35 ], [ -32, 20, 12, -10 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[20134925551655/2, -12950831630699/2, 110403855932293/2, 9/2], [-157980039196226202556165137/160976956860998, 101613137440441262239410995/160976956860998, -866236429808196540298627919/160976956860998, -854265300465969/160976956860998], [-72163762385797/49604, 11603974046012/12401, -197844205054269/24802, 77097/24802], [30688400517319/321953913721996, -19738850001679/321953913721996, 84135336992791/160976956860998, 1/321953913721996]], [[-1805506120635039865522208153459837/2, 460370472988367777181890396439083, 1162061551779356695971276106609813/2, -476119521147753227466123237392491/2], [7083064017898407643713652550992219540588412837/80488478430499, -3612099105848191504350886072950040239761988184/80488478430499, -4558808344723163817948353686012402324474943190/80488478430499, 1867833623816389541567388821065115200058428369/80488478430499], [1617737601867935729001885529655820/12401, -3299943989959236284479547070552619/49604, -1041209798140767843371511013625625/12401, 1706416723866978906203448743121087/49604], [-1375919968685822945046968258287213/160976956860998, 350833998501481731897733902414875/80488478430499, 1771141812451217325714313631318217/321953913721996, -725671714004208076334544231272879/321953913721996]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2346069/2, 74305/2, 37425/2, 1/2], [85286367615/12401, 5402380911/24802, 1360898143/12401, 270029/24802], [2346069/24802, 74305/24802, 37425/24802, 1/24802], [0, 0, 0, 0]], [[2059131974841984682964, 185934357137182484123, 75261196993854569027/2, -128295431174753117103/2], [21377319507435076382069178137621545863/1770746525470978, 965153635508567172470140556225377614/885373262735489, 195352581057440916703753297108053290/885373262735489, -665945786916401721092042878454644449/1770746525470978], [22650492604427205634426/136411, 8181023092695317258739/545644, 1655352247198649260279/545644, -705624871461141186672/136411], [-427342431109085/885373262735489, 463192020581315/1770746525470978, 4119499834204617/3541493050941956, 1/1770746525470978]], [[27605457438763731523448162282926267215595069/2, -58564974061051353116545672081028907292341809/2, -26134798759383473233413865363283962247740401/2, 11501866036467774428189915933383488895537461], [71648020595917467313942453220687999016728326872371492666360/885373262735489, -152001303046551860164459387753625900178507181538681580271484/885373262735489, -67831032015184693114777439651786826599373973992643688506008/885373262735489, 59704582950072580823446443925906497856449787421903241590824/885373262735489], [607321379544025944355992786190757576197188841/545644, -1288430024575531737088871993002934029948370477/545644, -287483203824102354517654509137091250126844043/272822, 253041206785458237575081698867222272294292941/272822], [-6877692325118052159103255469806834359/1770746525470978, 6222133332079794878311604910076441641/3541493050941956, 4363941705562909602425022250268092713/1770746525470978, -1609629774932053985113025237586502833/1770746525470978]]], 1, 60, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[4, -31, -11, 11]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[12, -65/2, -37/2, 5], [-1273/2, 5, 13, 43/2], [65/2, 1/2, -3/2, -1/2], [0, 0, 0, 0]], [[-2338827631501143, 5238007457279108, 3784152315870588, -596363525531283/2], [108528350274704999, -2860043210663161, 2216274991160294, -2259866328431068], [-11070791960767445/2, 57636504066511/2, 21330136159437, -14137056938232], [1/2, 1/2, -2, 5/2]], [[55471691675072372430186802037/2, -168169576249057863835761892027/2, -34035708342619581987233922529, 63653373072987873971468688787/2], [-3394560874569240707994101278075/2, 377505763739454180117026179125/2, 762717615611837143115693537335, -449506099799043017746111871285/2], [171496774355744505514259838661/2, -15472491038256042169742293851/2, -38031104519331139311328072057, 21454146829855883360127546131/2], [3548711223917/2, -27487549625667/2, -4877205596049, 9753664069747/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-16, 65/2, 29, 1/2], [55, -192, -105/2, -62], [-37, -5/2, 5/2, -3/2], [0, 0, 0, 0]], [[-56014814701806, 219113749332111/2, 101152094562176, 13718654035379/2], [1725386589856585/11, -14441210018292499/22, -732839939287886/11, -6543855041620607/22], [-1365000655405548/11, -159239227871073/22, -21572791454312/11, -45024973771925/22], [12/11, 39/22, 14/11, -1/22]], [[60543389763428565285224847, -45592887656514598755405795, -36321898720341294179531172, 22912375769070304978835298], [-3859990806682289115241247628/11, 2796764684691702448289749520/11, 2500788459513798582221468888/11, -1532701648926936084503316732/11], [739469648192339218213254321/11, -1184657834681458513071890355/11, -639935266417275038097754566/11, 490088023605351625991845014/11], [-1307060003223/11, 10145233740555/11, 3598368490278/11, -3600180893322/11]]], 1, 72, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[13, -35, -13, 14]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 9/2, 1/2, -5/2], [-1384, 1/2, -11, 1/2], [-4, -2, 5/2, 0], [0, 0, 0, 0]], [[-29224736622, 66826168512, 47054284617, -4391291403], [-88231099653417/2, 16185009846027/2, 33673901058956, -18683479205773/2], [-140096162897/2, 386002891/2, 29351146, 183534944], [0, 1, -1, 1/2]], [[31980534891359907969, -160095198477290348120, -96611592462741189467/2, 64128283063970835127], [72278980720263581569910, -33963424435401851342177/2, -34137392398333673549727, 26634372878108532873281/2], [151618261680435488240, 22255619570377065658, -59009815172181974364, 4631758183974667286], [709047129, -3816440289/2, -1418007207/2, 1526420499/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[39/2, -43, -63/2, 2], [-2145, 5/2, 47, 43], [91/2, -1/2, 1/2, 0], [0, 0, 0, 0]], [[-285323952707306762, 647109052488313554, 462565040006339431, -76444758537081115/2], [64160948158173596323/2, 614632178158724209/2, -967647635012469587, -1364794418754265883/2], [-680813290007215828, -349160867993037, -1067813653586913, 1400585984961020], [5/2, 3/2, 2, 2]], [[57726967670369027894505786980841/2, -44439823716876807318108310857997/2, -38372126379577536259720868301559/2, 10498256050013793565740903531108], [-1558768417659093930773527310003962, 4557090858624521748630648587806925/2, 1360653927019838800608761291687881, -1003632338175389295537772344661226], [33358121908707567426953204104060, -48918572927685602576723521327978, -29161167283101341348127379547204, 21576172298828730956822757835982], [-146065466733615/2, 196624594661391, 146065466544651/2, -78649154457354]]], 1, 114, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[13, -35, -13, 14]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-27, 59, 46, -2], [3874, 16, -79, -58], [-64, -2, 2, -1], [0, 0, 0, 0]], [[6656070740651848, -30233648752891183/2, -21533179220761481/2, 926632201862605], [-959317540369218469, 29126934141679943, -19566454962010777, 64197433364989441/2], [15896303174451254, -31962178306549/2, -10609927482191, -21990491947861], [2, 1, 5/2, 1/2]], [[1033082505643676143170732929413, -1438701543318189091653904356195/2, -1286404123273909893367985212031/2, 648680959639428655158160728761/2], [-68041585952872371417135782873916, 222804691818893582779496115598901/2, 55952768311052935697557523182109, -90102996584532124349301170203075/2], [1095076019615706762291838614659, -1825253251019380072861015379123, -1818565173598532314017825873519/2, 739040638550962264959595198998], [110868789466337, -298518580079579, -110878572510561, 119405719867674]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[79/2, -84, -135/2, 1], [-3977, -39/2, 107, 96], [183/2, 5/2, -1/2, 1], [0, 0, 0, 0]], [[-32329898691890027849/2, 36612621869476267460, 52417467451674162497/2, -4352166147450506425/2], [1671502636887383855610, -42344610032358016974, -49731250194936801251/2, -107583628824843980439/2], [-38557319092372706713, -3587496519223181, 43392994856470964, 29637471527019048], [3/2, -1, -1, 0]], [[18690738729237541305786482542491/2, 11467660463834062839103847630704, -542275770974322764937820924320, -2971897762728677463276755680251], [470847744832281438652683579902943/2, 1209320402293495430964308377539535, 415851790135326103066874854440417/2, -795567351472897869726857265273843/2], [-5859819193259791240793888639532, -28746385455318590687847741779340, -4889071850033277471762016499732, 9420853637737618938338419580648], [-133840629258, 360390234477, 267709249535/2, -288304774667/2]]], 1, 114, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[4, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 1, 1], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-39/2, -1, 15, 22], [19/2, 13, -45/2, -39/2], [2, -2, -5/2, -1/2]], [[0, 0, 0, 0], [4493/2, -926153/2, 31371, 143702], [-15700, -43018, -45530, -38151/2], [-105661/2, -102835/2, 2355, 24963/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, 0, 1, 1], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [5317/22, 5446/11, 1395/22, -238/11], [-51/22, -53/22, 163/22, 59/11], [5/11, 49/22, 3/11, -1/11]], [[0, 0, 0, 0], [-2163482829/22, -10508321847/22, -3982160665/22, 3859963675/22], [-6248255/22, -4713605/11, -11306685/11, -23089235/22], [-18796830/11, -695175/22, 2007915/22, 292760/11]]], 1, 8, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-4, 24, 8, -8]], [ 16, 18, -52, -12 ], [ -8, -11, -13, 8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7116469/2878, -32975773/2878, -7294367/2878, -19211/2878], [-71058/10073, -90806/10073, 59925/10073, 953/1439], [-2330/10073, -69197/20146, -3347/20146, -5/20146]], [[0, 0, 0, 0], [-15027072004501552614/1439, 44198116212943358515/1439, 37079036340835111291/2878, -17038566048061316403/1439], [142805481254793284/10073, 4584984542038358/10073, -52725344059818271/10073, 8311711366506825/10073], [-78399525313369675/10073, 130500283486468872/10073, 137973796429607519/20146, -107515882188747343/20146]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1089529/1439, 18648400/1439, -14014409/1439, 1973/1439], [425/1439, -7145/1439, 5368/1439, 2/1439], [0, 0, 0, 0]], [[0, 0, 0, 0], [-188722278838146755/31658, -19501420577434097/31658, -30969488281601130/15829, 23921449894576129/15829], [252887134664424/110803, 24739751569048/110803, 82775117939942/110803, -63653082586234/110803], [-284497/221606, -48901/110803, -33485/221606, 1/110803]], [[0, 0, 0, 0], [-16105822532322218852136496375/15829, 64994760907806372273966002843/31658, 33945355796085286186845144207/31658, -27378045487963502673772367363/31658], [6188417976223482762480078/15829, -12445933068037360834356640/15829, -6508977517812003688812870/15829, 5244555432487754991701732/15829], [-4989716044972771/31658, 6453246942769459/15829, 5870112294147535/31658, -5013384918445771/31658]]], 1, 51, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-12, 0, 4, 0]], [ 2, 20, -44, -30 ], [ -1, 3, -15, 5 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-683841905/20759, -50515407/20759, 1348590578/20759, 220337/41518], [73661/20759, 46976/20759, -41800/20759, 3/20759], [-6250/20759, 55715/41518, 82848/20759, 2/20759]], [[0, 0, 0, 0], [-3410581126196571061/20759, 3740113589337163773/20759, 2419882945974916454/20759, -1655543698012647532/20759], [404869352719523/20759, -438428756464119/20759, -285186680262586/20759, 192002577095984/20759], [-5646987862428/20759, 9981665984424/20759, 5422620298020/20759, -5826137392404/20759]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8424426088/20759, 1775303521/20759, -19788182523/20759, -581495/20759], [-88170/20759, 18582/20759, -207120/20759, -5/20759], [0, 0, 0, 0]], [[0, 0, 0, 0], [423660667479908509989913/228349, 227100351685909538081/456698, 431246043344307309393349/456698, -117640596904006609768648/228349], [4434134348003430688/228349, 1203281242119749/228349, 2256968839449351257/228349, -1231343478675317289/228349], [-503908/228349, -192289/456698, -1349053/456698, -3/456698]], [[0, 0, 0, 0], [-2434857368378252394502479143724049106/20759, 10749747593527987270433675078964233569/41518, 2132351201725781482745010773280363867/41518, -1450894447097124950678134034944982599/20759], [-25483805652690944317040746215314/20759, 56255426318832672767662442079023/20759, 11158326718349432768270556492875/20759, -15185313141741630716184180555031/20759], [2660941593874022501/20759, -15204086029575958627/41518, -2588202718830065071/41518, 3674038131894625355/41518]]], 1, 51, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[96, 48, -32, -16]], [ -24, 6, 3, -3 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, -6, 0, 10], [-10, 10, -2, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2794996/15, -2456608/15, -190249/15, 134476/3], [242735, -192321, -327716, 153128], [1/5, 3/5, -1/5, 1/3]], [[0, 0, 0, 0], [76084270018/5, 703424482649/15, 87443210437/15, -226696496587/15], [7700986239, -5016333389, -4517102754, 2466689005], [-692452/15, -1390657/15, -71651/15, 424676/15]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-140, -10, -8, -100], [0, 0, 0, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8310927628/15, 5276685482/5, 2628564966/5, -1276878572/3], [-7366422, 386724, -366850, 440692], [-16/15, -6/5, -4/15, 0]], [[0, 0, 0, 0], [-396149140037804959/95, 379205534204911992/95, 269909119574201226/95, -172545810030769889/95], [-507836868056461/19, 884343168280398/19, 209446209649506/19, -239272047007476/19], [-159388143/95, 457801994/95, 227690117/95, -155671008/95]]], 0, 108800, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[0, 176, 32, -64]], [ -11413, -54, 56, -35 ], [ -32, 20, 12, -10 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-25422556/12401, 208894726/12401, -210395350/12401, -35974/12401], [9120/12401, -74810/12401, 75294/12401, 4/12401], [0, 0, 0, 0]], [[0, 0, 0, 0], [567246199354031471/12401, -565611636110123277/12401, -1135937053533326961/12401, 2280673858624474/12401], [66309285021385/24802, -33739572678850/12401, -131583816902817/24802, -1633300037199/24802], [1/2, -1/2, -1, 0]], [[0, 0, 0, 0], [-1168438756575569464672596353625919453569559/80488478430499, 9765634344668389795834454305386586791534955/80488478430499, 7157821683834282003824026257535984428530687/80488478430499, 976605765452972861456601497242139321306643/80488478430499], [-22293422566635194516170528381/24802, 178817505442923150133761197425/24802, 67296804342295515738100226789/12401, 8520545535371874674269427356/12401], [-12878426417863638359972107815/80488478430499, 213993973720281129809478879985/160976956860998, 78724904876980220256723428155/80488478430499, 10628439539282587789308079570/80488478430499]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1585467344/12401, 1141995570/12401, 2363481804/12401, 162442/12401], [33922/12401, 24398/12401, 50492/12401, 4/12401], [0, 0, 0, 0]], [[0, 0, 0, 0], [295060778975181079365934284916226/885373262735489, -13248193831352411551300270700885/885373262735489, 8791732221933748525793255162300/885373262735489, -2692437857095431720109518487208/885373262735489], [941404821432679995/136411, -2592553967586580/136411, 24916311356142079/272822, -17192717166001683/272822], [-2167400556062744/885373262735489, 2908221187710695/885373262735489, -1115898122340110/885373262735489, 3/1770746525470978]], [[0, 0, 0, 0], [702494559563317287962906376282570914743629363279434/885373262735489, 3730073977725025569440558254607799258153032919699718/885373262735489, 689603055678217000269643357436798014459606309127344/885373262735489, -1000014238456519945772653468644095075047953863827156/885373262735489], [2362188598566978403173969757298035549/136411, 12067095103058619264863642336059051725/136411, 2251915876317117531123244512621572577/136411, -3252974570178150924560134970168213872/136411], [3482768046514974678493734315581757/885373262735489, -15384953119168154006174413846562793/885373262735489, -1416395725049719652614444625819151/885373262735489, 2918913855070492299770406103161359/885373262735489]]], 0, 195840, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[32, -128, -64, 48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1460, -258, -390, 646], [8, -4, -6, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-99, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-105264872, 717317036, 251459670, -254559016], [-831224, 3311092, 1661590, -1236344], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-228, 490, 200, 172], [4, 8, 2, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-515723179635/11, 561717574450/11, 400420882542/11, -260534371513/11], [546647798/11, -165822359/11, 61646443/11, -14988272/11], [67/11, 69/11, 3/11, 5/11]], [[0, 0, 0, 0], [-8021722292286090190878/11, 8596378994832883128144/11, 5854334612980232352749/11, -3884711205111284887978/11], [6098611504083212948/11, -10439009843598705661/11, -3179948181296488850/11, 3164113923153990005/11], [237602683994/11, -922100773425/11, -463985284451/11, 349908496171/11]]], 0, 261120, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-160, 96, 80, -48]], [ -14379, -18, -92, 71 ], [ -10, 6, 5, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 0, 0, 4], [-2, -2, -4, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [29614650771819673134270179947673/206821577585839, 3212786703155066702514572869175/206821577585839, 35150042731087674196180888642808/206821577585839, -2188676715184763858/206821577585839], [-65633908660227453, -7120386144197667, -77901803124087456, 22961], [-193007802667464760/43225709715440351, -20938720729570604/43225709715440351, -229083657391995677/43225709715440351, -5/43225709715440351]], [[0, 0, 0, 0], [-24988659378233245688883831315704779220290103124674/206821577585839, 38442957978513504475256723606220038851313454168995/206821577585839, 20511311975255593556354576559209917657429813152535/206821577585839, -15629850125782410959688887783070624020449653676619/206821577585839], [55381486677284871809495330580327794, -85199775341980838496616617835613647, -45458499141446894825342008173211676, 34639886974612028670207288193172325], [162858791594736448865656720775151706/43225709715440351, -250544600530329209227702415086435297/43225709715440351, -133678539202567892615655180578494797/43225709715440351, 101864548464293034371475923467470988/43225709715440351]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-36, 10, -48, 0], [-6, -4, 8, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [2054635028711593092688897965631751/2275037353444229, 715116033651303209013501759424015/2275037353444229, 106502749040174035719379015520266/2275037353444229, -19628500453367557325382/2275037353444229], [-4526729155773735821/11, -1575528769491752443/11, -234644640800970460/11, 1035165/11], [-438032699479216018/43225709715440351, -152457347516803862/43225709715440351, -22705583190573929/43225709715440351, -3/43225709715440351]], [[0, 0, 0, 0], [2447323510209696393568633423987507311390245001142646/2275037353444229, -139651593085105675131522694667921605604306956383542195/2275037353444229, -44492174075759558421714079892035269131313715400034558/2275037353444229, 49700449166882924555450625359395590162195980577442640/2275037353444229], [-5391892257820263810705029220077303909/11, 307677484907128058601075950786469971649/11, 98024232415982246052082420308188414709/11, -109498995756249679878945649999711021854/11], [-521750924234532671556934605516009514/43225709715440351, 29772666895932003452696063184365148810/43225709715440351, 9485396113148582876616729810819756102/43225709715440351, -10595761100525015382179743040726114751/43225709715440351]]], 0, 195840, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[176, -48, -96, 32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2386, 920, -746, -924], [6, -10, 8, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [53, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-60559535323298, 3617346992324, 28783852835982, -7238620652886], [221244524928, -60900735168, -120576895488, 40588496064], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-162, -268, -272, 266], [-8, 8, 6, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [234630464412/11, 478822710263/11, -22901194136/11, -132274572842/11], [1320441455/11, 290841140/11, 102370195/11, 69069974/11], [-79/11, 21/11, -87/11, -4/11]], [[0, 0, 0, 0], [44246739413639383704, 89225257276416881082, 5446281952988201166, -27555297926625148088], [481239801641876168, -90373991353721126, -235903028648489444, 74119936767094888], [-41409982560, 14034010116, 23180478888, -8744058468]]], 0, 261120, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-144, -32, 64, 0]], [ -229, 18, 4, -5 ], [ -4, -4, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, 2, 10, -10], [0, 4, 8, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12037240846110/9499681, -131175654597938/9499681, 3184248752827/9499681, 1987635720085/9499681], [-294176808/7, -2158165734/7, 127729803/7, 2015794/7], [-54500548/66497767, -57356235/9499681, 23990248/66497767, 5/66497767]], [[0, 0, 0, 0], [13468133774572785373452157/9499681, -16019929582151913346761754/9499681, -9633495654063613876741951/9499681, 6807861267267277126295690/9499681], [200779395373411052621/7, -241581087096848022701/7, -143909189559403958728/7, 102303414026885454366/7], [37438632872787631206/66497767, -45036218124833742372/66497767, -26831107218560234196/66497767, 19072296108517369761/66497767]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [706/11, 974/11, -3976/11, -474/11], [20/11, 16/11, -72/11, -10/11], [0, 0, 0, 0]], [[0, 0, 0, 0], [-143423060141643863/104496491, 209956119355935893/104496491, 10460456019495444/104496491, -64009486210473/104496491], [3549093748/77, -5225195882/77, -240526753/77, 431797/11], [303088871/66497767, -445587888/66497767, -2971840/9499681, 2/66497767]], [[0, 0, 0, 0], [-3281583118614718555001488278/9499681, -839139713909415034282143176/9499681, 1334330628877563849060083048/9499681, -4772595543723353636605388/9499681], [82184546108249618986/7, 22550216751036938770/7, -32977187396745492774/7, -407164043465724092/7], [76994450121669287888/66497767, 2970755482985385950/9499681, -30994674130269445478/66497767, -269538786449189410/66497767]]], 0, 261120, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-48, 160, 80, -64]], [ 51, 32, -494, 221 ], [ -6, 4, 2, -2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 4, 10, -6], [10, 8, 10, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3987249150113/997949, -13803428666249/997949, -4910786054183/997949, 978922626838/997949], [6817637/2, 4895800, 6092558, 5466530], [-6094867/9979490, -14346261/9979490, -1856194/4989745, -1/1995898]], [[0, 0, 0, 0], [-5026889259806821302770/997949, 5588895706230273185623/997949, 3565238405138482126573/997949, -2429485676011985039073/997949], [-6869351934401084, 14918894731164509/2, 4827532649706607, -3253556513640913], [370701574517197/9979490, -155973602708693/4989745, -118457506108634/4989745, 142227876503097/9979490]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-14, -2, -14, 6], [0, -8, 4, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-20093290835517720/10977439, 6773860086156770/10977439, 1267162081945989/10977439, -80691153833931/10977439], [-153764689/22, 41295765/22, -12850799/22, 17136447/22], [103341308/54887195, -67485557/109774390, -6127398/54887195, 1/21954878]], [[0, 0, 0, 0], [-2928814313041133689751256391/10977439, 2068548852956743254438407149/10977439, 1891736384675714511369445532/10977439, -960008636120713468724729446/10977439], [-10793143519614477908/11, 8727069837754326269/11, 11591454799073477775/22, -5086010333119277356/11], [6017361365739488013/21954878, -2108078411434177161/10977439, -3883885402276863311/21954878, 1956404823359116331/21954878]]], 0, 261120, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-32, 96, 48, -32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-46, -58, 2, 0], [0, -6, 8, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, -2, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [345240, 365726, -49992, -84424], [-29736, 50456, 16968, -15232], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [322, 44, 6, -2], [4, -2, 8, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [856737278990/11, 666615822911/11, -144361619187/11, -178852483449/11], [11474971080/11, -3395064458/11, 1937916667/11, -1023828606/11], [74/11, 15/11, 40/11, 5/11]], [[0, 0, 0, 0], [125608601314449478/11, -1765097317275161950/11, -512840754252378208/11, 636278979640302030/11], [12064947868007216/11, -25621687715781000/11, -12597539462858760/11, 10114164501881408/11], [58422456/11, -172907128/11, -105163896/11, 43177912/11]]], 0, 28288, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[64, 16, -32, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [516, -40, -6, -18], [8, -10, -2, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [23, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [16392244244, 64389690518, 10379648226, -21481655748], [-295282372, -66006094, 148583050, -4440128], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 580, 398, 10], [-4, 6, 4, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [74523614619/11, 126542714910/11, 10258194555/11, -35882247208/11], [647996473/11, 1276227/11, -7439197/11, -16378950/11], [20/11, -67/11, -54/11, -4/11]], [[0, 0, 0, 0], [-11158568182923059520/11, -44241780056671456251/11, -7417469688609534463/11, 15021905166115999667/11], [110107340112828162/11, -328234400634999312/11, -174746139211964119/11, 147832645025951918/11], [17208158026/11, 4638562249/11, -8575882460/11, -216708011/11]]], 0, 34816, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-96, 32, 48, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-58, 38, -72, 50], [-8, 4, -6, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-21, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [9455724, -1930908, -4701000, 885504], [1158024, -159698, -531188, 113582], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [176, -344, 264, -420], [-10, -8, 6, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [17076071811519/11, -17928840033409/11, -15966904865134/11, 9347484614865/11], [-175624612003/11, -2675179867/11, -1580428886/11, 6225949698/11], [62/11, 42/11, 68/11, 3/11]], [[0, 0, 0, 0], [40102875829130671891908/11, -44601922219767533001622/11, -28871783347912742582192/11, 19638414989861161997166/11], [-373690550336384169744/11, 274245574736203467222/11, 221731982079721601960/11, -125980385892248928190/11], [139546932564/11, -47197256576/11, -70806433712/11, 23237829176/11]]], 0, 34816, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[16, -128, -32, 48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-306, -86, 138, 52], [2, 6, -10, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [23, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-3522634292, -14426563516, -2284130384, 4742552864], [6850846, -51485878, -13232648, 19128464], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2722, -878, 428, -1082], [-10, -8, 4, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-162513986294032818/11, 87422189040708360/11, 79926886890826225/11, -45390621181061045/11], [-362753715921063/11, 1516636772610/11, 1736532895864/11, -1769896507994/11], [-73/11, 24/11, -79/11, -3/11]], [[0, 0, 0, 0], [-35709625414356878006550021182/11, 81172581450334876881623859210/11, 35675720198814818364715525490/11, -31971811326644473637597839950/11], [-34124449314836357937043448/11, 248262310212400409156046180/11, 73782590777583736744538984/11, -90758412219870406684297914/11], [-8769337731342/11, 70267656244626/11, 17560394650728/11, -26351458019658/11]]], 0, 45696, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-32, 112, 48, -48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [264, 50, -24, -78], [-10, 6, -4, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [17, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [2998716984, -2544604682, -8323427658, 4205569850], [-45058020, 155688330, 65991450, -66884790], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-906, 2128, -6, 1262], [-10, 10, 0, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-60705493590831/11, -151867551592543/11, -11632435346581/11, 47555892380566/11], [29481274540/11, -250186897/11, 209763272/11, 305121768/11], [-23/11, 38/11, 39/11, -2/11]], [[0, 0, 0, 0], [-1601752949805590930644/11, -3864614710482169645248/11, -113824594653855675244/11, 1107507318705895808824/11], [416528997939405326/11, -18303696779786238/11, 1040853957497990456/11, -543166674893324026/11], [-360364806/11, 1261168794/11, 540910584/11, -540191628/11]]], 0, 45696, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-128, 16, 64, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 76, -44, -8], [4, -6, -2, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, 6, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [162940, -450328, -189536, 174870], [-34780, 62604, 31114, -25568], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1176, 184, 172, -166], [2, -4, -4, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [856273054596/11, 7243687613202/11, 1697436924671/11, -2558942673567/11], [-3672724145/11, 555551644/11, -79412046/11, 81342884/11], [85/11, 48/11, 7/11, 5/11]], [[0, 0, 0, 0], [8468167313022165082/11, -69553749638851269570/11, -21122468718590813532/11, 24990964357886483008/11], [64616269119462688/11, -35716897481952120/11, -41793708467474288/11, 20577476630583116/11], [-1239026100/11, 48166600/11, 603055400/11, -104380900/11]]], 0, 54400, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[32, 80, 16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-68, -104, 128, 118], [-6, -10, -4, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, -4, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [200, 858, -4636, 1956], [-1360, 832, 720, -384], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-150, 26, -22, 48], [2, 0, -2, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1689603800/11, 1158779900/11, 1070806921/11, -581680263/11], [11198711/11, 2472358/11, -22350/11, 103722/11], [61/11, 14/11, 63/11, 1/11]], [[0, 0, 0, 0], [338980838734055591/11, -441837773817154211/11, -254033507544048626/11, 185332676400905399/11], [-1398871624743803/11, 3255110265190393/11, 1631683901691828/11, -1309353011715762/11], [-9946336690/11, 23250194548/11, 14339979238/11, -9776314545/11]]], 0, 54400, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[48, 16, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [34, 106, 110, 34], [4, 10, 10, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-71, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-148032, 21912, 47688, -14336], [-30200, 17050, 19550, -10200], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [15856, -2422, 2438, 2430], [-2, 8, -8, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10345833169150282989/11, -5795819413218605000/11, 427505383360084072/11, 2087161619522225151/11], [3024750382206996/11, 13905809730325/11, -6485777973033/11, 395924279746/11], [63/11, -29/11, 29/11, 5/11]], [[0, 0, 0, 0], [-405584035708700325467641484/11, 3464750319092990998154091844/11, 1785174977338975012127906326/11, -1576345658414147953919691606/11], [346040658124033850303956/11, -947727944309908577032496/11, -730270808579041178053854/11, 482318065295869895763314/11], [13888047390/11, -20686270788/11, -27764616994/11, 13876142318/11]]], 0, 87040, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-80, -48, 16, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-254, -6, -10, -132], [6, 0, 0, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [7, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-9494610, -4359310, 3173190, 1187090], [222048, 109440, -65952, -36576], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16604, 3502, -2116, 2112], [0, -10, 6, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [225172475329065123864/11, -837877562947689615074/11, -263844207022840255726/11, 292655961989558661700/11], [-190732330903105314/11, -15651792973082/11, 87865646993500/11, -15103483526128/11], [56/11, -16/11, 60/11, 2/11]], [[0, 0, 0, 0], [-271720308474815216869615730579464/11, 2907501596816922520529201779622411/11, 847380697653950650734915167402664/11, -1036988957289736608281705239973073/11], [704616543247277508725587348920/11, 404573820242583275558669691805/11, -166857401258733744389702205733/11, -98017002117559744781378021787/11], [-283637230755974/11, -170040019544074/11, 56778627791147/11, 56682676315284/11]]], 0, 87040, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[0, -112, -32, 48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-442, 146, 66, -220], [0, 4, 2, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [33, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-3658291340, 416588712, 1603755216, -515143140], [-20934, 15807654, 4414698, -6773688], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6700, 1306, 2158, -1302], [-8, 6, 10, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [154034342888850278/11, 308860317146505909/11, 12658593621636288/11, -90483266441629254/11], [-22898720662379/11, -19426250586/11, 17648794741/11, -86879281326/11], [-43/11, -5/11, 27/11, 2/11]], [[0, 0, 0, 0], [-29812528001481138025211586/11, -76787312431158380774691250/11, -9136750403927626402781500/11, 24908196173672760856855722/11], [921319314366643310040/11, 7025690406955608532402/11, -547153270900660309308/11, -1261313696163307974662/11], [-20340396/11, 9996689038/11, 2889496538/11, -4281689806/11]]], 0, 97920, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-80, 80, 32, -32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [520, 92, 176, 234], [-8, 4, 8, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [33, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-2366648248, -1295388460, 774338928, 239615512], [21741010, -35966576, -29256210, 21783710], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6220, -812, -1196, -2010], [2, -4, -6, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [42722736674053093/11, -76480884515576905/11, -31333759868222393/11, 28367232695663429/11], [38245666833589/11, 52481951932/11, -36418645860/11, -21762854783/11], [20/11, -23/11, -43/11, -4/11]], [[0, 0, 0, 0], [6022887870286640827326775944/11, -8471174690917518030234293010/11, -3601354139432941280158987695/11, 2989246756595422153646405049/11], [3704220147828508973966337/11, -2533711530004863833293596/11, 152905075871311731124458/11, 73347692338595977210882/11], [2019499060809/11, -3368344528170/11, -2690665063575/11, 2019628943385/11]]], 0, 97920, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[16, -336, -192, 160]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [324, -10, -6, -2], [-420, -2, 8, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [79, 0, 1, 1], [2, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-451115543256, 9025327026240, 5244126367704, -4315114689312], [379729519620, -11885271780318, -6612246001828, 5542681804448], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5182, 10, 10, 8], [-636, 6, 0, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2901917015500920161504/11, -14661034691844135601/11, -3913246392113051504/11, -6791270337604097028/11], [-356180306315206327017/11, 850969079020737090/11, -1090872944784980705/11, -236017686662537774/11], [-1/11, 5/11, 17/11, -2/11]], [[0, 0, 0, 0], [-2858269905887821995741550327223523/11, 3908737016104387798510583043563657/11, 2298974778451628290733230002248023/11, -1674315274751540155350886921121802/11], [-352588101549093560098614909818612/11, 481092722986425555826341102610213/11, 283429423450762447023125384465824/11, -206222684243588742686272895009604/11], [135675511845/11, -2846094463380/11, -1626605400417/11, 1355414736510/11]]], 0, 8616960, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-176, 416, 144, -160]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1644, 10, 0, 2], [-274, -8, 4, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [43, 0, 1, 1], [-70, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-274512682403328, 637608674342912, 220349869524480, -244434041669632], [44891796534522, -105466224081078, -36624428400714, 40497526332354], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3124, 30, -46, -34], [-374, -6, 10, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [119586323786909668698/11, -1486452961743169179/11, 2316971713120205065/11, 1728180594063398031/11], [-14335737307813166418/11, 56610853558065550/11, -58739008643206657/11, -93482113806620566/11], [52/11, -7/11, 84/11, 5/11]], [[0, 0, 0, 0], [-1804408605605145303407245365027752434/11, 3434898686284610702867817559998751276/11, 1545131948705111364300503585605410486/11, -1351123490784156359793649816676771028/11], [214972030121951069937646515428305712/11, -409025280481215018987915857516050658/11, -184426435984785347365874254045179492/11, 160770560891182535973100331620573878/11], [-979323306939731728/11, 2314755948620478442/11, 801263140735322978/11, -890288183379140582/11]]], 0, 8616960, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-192, 352, 128, -144]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [42, -10, -2, 2], [32, 16, -36, -36], [0, 0, 0, 0]], [[0, 0, 0, 0], [69, 0, 1, 1], [38, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [46190, 257770, 28012, -76884], [10166, 83628, 644, -23506], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [652, -90, -14, -70], [-6, -22, -2, -16], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1027791954708298/11, 1470343974815491/11, 750675092927963/11, -583238517737280/11], [-12359923957363/11, -24565547613/11, -131024547883/11, -128089768111/11], [15/11, 24/11, -2/11, -3/11]], [[0, 0, 0, 0], [138718690569022644485724027682/11, -143291328047810268796693184365/11, -98541078995706353015961443649/11, 64605563743939731861236695819/11], [1071220477611058662584723134/11, -1484732326181551540842058234/11, -1019524262662647335134154547/11, 723209228297655740620447222/11], [53942770654500/11, 1024928869720977/11, -729324102/11, -269717499850487/11]]], 0, 6789120, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[48, -384, -176, 160]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [46, 0, 4, 10], [-356, -2, -6, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [11, 0, 1, 1], [36, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [1387161088, -11386634784, -5112855520, 4658292352], [-16205104000, 81714236920, 47329031870, -39013787880], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3238, 14, -4, -8], [-668, 4, -2, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3894385113115904012772, -28432810957053583501, 11605616416185837704, 40201011522182547358], [803662260437780850159, -2051736694788125248, 419834898318826793, 404657170143765478], [5, 3, -1, 0]], [[0, 0, 0, 0], [-80784572412899631298379753715789028/11, 1616121530487840012024399268404441625/11, -607496852504160919287276561081169427/11, -53798347977672746638367050813823891/11], [18082775820502890471917253608316314/11, -333773383037597492772865187576270702/11, 122852645191479217874317496887712227/11, 11873286109844391636050874212985094/11], [233984837951816/11, -1871854025827101/11, -857930571448998/11, 779936934054455/11]]], 0, 6789120, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[80, -432, -128, 160]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-76, 4, -8, 4], [72, -56, 10, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, -4, 1, 1], [-6, 4, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-14720706, -118240626, -25209954, 38908464], [-12565614, 75043312, 21930102, -28077538], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [554, 64, 28, -2], [-46, -16, -10, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12160374628601/11, 2896235181086/11, 718232997961/11, -431524312815/11], [1013025018002/11, -8737463434/11, 8685713153/11, 22093873939/11], [-21/11, -16/11, 16/11, 2/11]], [[0, 0, 0, 0], [4836684930002740006839/11, -8291851744337797062791/11, -4357966117568738174015/11, 3403318254810804784725/11], [-345229383897969507657/11, 688932877856081322912/11, 339916780932796522920/11, -274560313228631350251/11], [1937541168/11, -9778188969/11, -2950003233/11, 3619455624/11]]], 0, 2611200, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-176, 80, 64, -48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-72, -66, -10, -6], [-14, -12, 40, 22], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, -6, 1, 1], [4, -2, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-2040220, 2625028, 1557836, -1118404], [-94554, 68802, 81522, -45636], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-184, -296, 346, 278], [62, 94, -118, -90], [0, 0, 0, 0]], [[0, 0, 0, 0], [38483/11, -94680/11, -54326/11, 49763/11], [-13834/11, 33849/11, 18269/11, -16558/11], [-17/11, 41/11, 3/11, -1/11]], [[0, 0, 0, 0], [-341084823238927/11, 2496163165948/11, 166994087064254/11, -28504086608708/11], [122151696044263/11, -4842255900446/11, -58534485071219/11, 12044333030379/11], [149886027634/11, -62591394502/11, -51860075477/11, 40743487855/11]]], 0, 2611200, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[128, -336, -160, 128]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-66, -8, 8, 2], [438, 2, 0, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-35, 0, 1, 1], [10, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [14935250634, -38921730222, -18482128248, 14983055254], [-116428287200, 264614247632, 144321532176, -97452953584], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5282, 4, -12, 12], [-168, -8, 8, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [10811231167407926/11, -569886873889299/11, 774589393348099/11, -354306376618179/11], [345951798507262/11, -255488007664/11, -239178489991/11, 482734227408/11], [-6/11, 19/11, 14/11, -1/11]], [[0, 0, 0, 0], [3971194770259671045898620216, -1507039526298955070010442410, -2701630045468821592935684152, 1222438104924909897569716306], [121536566581044720126919690, -43449137041599778532765704, -78074855569872806636168266, 34714865372080096428962240], [-2208768435792, 5798044879704, 2761020450468, -2208692735946]]], 0, 1827840, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[48, -256, -80, 80]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-58, -2, 6, 8], [-96, 10, -2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [17, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [37498146, -246654366, -74673564, 77654052], [55679776, -453704208, -96083984, 170477984], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [360, 14, -16, -2], [-128, 4, -8, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [78820720123967, 5048505142722, -7485886406299, 953391433485], [-28194740931692, 78947834978, 286527827657, -308673306231], [3, 4, 0, 0]], [[0, 0, 0, 0], [448208526754041910117381266/11, -654477109668662687982148468/11, -386410143132003238626094185/11, 280536281251144130617678158/11], [-171129640690529274361200096/11, 243867291560105478280057747/11, 148694548057431114806664332/11, -105990899049375638944920787/11], [3145546107498/11, -16777510101015/11, -5240551638549/11, 5243055306825/11]]], 0, 1827840, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-224, -48, 96, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-196, 6, -6, 4], [-152, 2, -8, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [15, 0, 1, 1], [-28, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [57637928044, 10639773640, -24346434472, 1277498728], [45641218988, 11277600338, -19277417672, -781205302], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-734, -6, 2, 18], [454, 0, 8, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [20347751055773087/11, -531653234743922/11, 733958782884156/11, 956640981847938/11], [-12524950558004829/11, 527154602218866/11, -851447867971091/11, -819577249741809/11], [-52/11, -48/11, -29/11, -5/11]], [[0, 0, 0, 0], [-4795184556678979422690586858787/11, 2408697904675971235132788615235/11, 2884631096049633262533679291981/11, -1354820116695647808394285071301/11], [2991944574894385148573833532747/11, -1498425666438899573272102462600/11, -1805506325000576026960911466366/11, 841975865198583990163723846591/11], [10928770004415570/11, 2340922019231955/11, -4683948740266845/11, 536050663740/11]]], 0, 1044480, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[80, -192, -112, 80]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-160, -8, -10, 0], [24, 10, -2, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [11, 0, 1, 1], [10, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-70093836, 147398972, 77882040, -70382288], [8352450, -19201050, -11101500, 8138250], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [5766, 18, -4, 12], [-388, -10, 8, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7792761028740787316709/11, 201346103718931151922/11, -209237597962591256725/11, 158402545047326695935/11], [525589646085172753362/11, -759408634819076642/11, -407731545023618669/11, -410652091967619617/11], [-35/11, 32/11, 12/11, -4/11]], [[0, 0, 0, 0], [1407010174766722027679863138316518/11, 7127511927664418590033624532599752/11, 1450120702343424986460541126555018/11, -2540946675584813907539636844605510/11], [-99066257593988401110646155848158/11, -484082143153179837328127619831032/11, -94500244724994973675957209959778/11, 171628802367055775557255200457830/11], [-4785802083000/11, 11485322949120/11, 6700152089160/11, -4785413628960/11]]], 0, 1044480, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-80, 480, 160, -160]], [ -229, 18, 4, -5 ], [ -4, -4, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -6, -4, 4], [42, 28, 4, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-32455739168382/9499681, 38614801220330/9499681, 2490797366921/9499681, -140774793747/9499681], [3432682128/7, -4078163688/7, -32852337, -1635688/7], [-14442576/9499681, 120091691/66497767, 6794404/66497767, 3/66497767]], [[0, 0, 0, 0], [547362541175280849294/9499681, -1310804535747867192291/9499681, -492678015416814823809/9499681, 499284484235249203047/9499681], [-56827611652393203/7, 141442031276431583/7, 52325747704941499/7, -53662073065613317/7], [1672061184853377/66497767, -4168667136081696/66497767, -1541446367923632/66497767, 225899421412341/9499681]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-69518/11, -14514/11, -8530/11, -430/11], [-1300/11, -270/11, -160/11, -10/11], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1630851741601287971/104496491, -827036287405159930/104496491, 179061263755127326/104496491, 80282784167282673/104496491], [-28861596111/77, -83816224887/77, -10326139801/77, 1085680704/77], [36196882/66497767, 58611503/9499681, 72390412/66497767, 4/66497767]], [[0, 0, 0, 0], [-201492108830059827183363945640/104496491, 189713900771373561325545310336/104496491, 114733978761858488103698344590/104496491, -76396272827482565323791425096/104496491], [-207074591263897506232/77, -3068973590054677021658/77, 342794555504325678588/11, -466674684866976933058/77], [-2080033326132508396/9499681, 32196283474131020410/66497767, -4629805372801404962/66497767, -3323460625991049636/66497767]]], 0, 6789120, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-240, 0, 80, 0]], [ 51, 32, -494, 221 ], [ -6, 4, 2, -2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, -10, -4, -6], [8, -4, -6, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-944332220811/997949, -2013564108831/997949, -248734679463/997949, 620710923176/997949], [-1922605/2, -257878, -892837, 29702], [-2103071/1995898, -374975/1995898, -858245/997949, -5/1995898]], [[0, 0, 0, 0], [79553868025754409166/997949, 87878741451281972648/997949, -8589761853507820501/997949, -24659941301447604637/997949], [626046104484435/2, -457573609897677/2, -340676965298445/2, 196975582402267/2], [344250527873772/997949, -521610434017677/1995898, -191353317906387/997949, 224809156154313/1995898]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-28, -10, 10, -10], [6, 4, -2, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [108942856008127/10977439, 154623109644090/10977439, 19938422133609/10977439, 186997950/10977439], [26432409/11, 37516123/11, 9677885/22, -87/22], [26499235/10977439, 37610575/10977439, 4850041/10977439, 5/21954878]], [[0, 0, 0, 0], [31490399441182085120805794/10977439, -63192055932905306272861390/10977439, -19240744621506296318175582/10977439, 21883400014870548224122452/10977439], [7640560187929804462/11, -15332216368620944998/11, -4668693074021594380/11, 5309710709980049642/11], [7659747269744018632/10977439, -15370845362844984036/10977439, -4680187620923003880/10977439, 5322953007276563882/10977439]]], 0, 6789120, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[80, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 38, 4, 10], [12, -30, 10, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [5, -4, 1, 1], [2, -2, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [7343336, 21730280, 2190320, -6905272], [2513460, -4525206, -1996098, 1682486], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [796, 38, 14, 10], [20, -28, 6, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1934977723951, -3078365824311, -224326028567, 960916219014], [-25772329936, 136112899, -4324129324, 1400748292], [-5, 0, -1, 0]], [[0, 0, 0, 0], [54957441268155547416/11, 79894757156034490328/11, 1838429826399674300/11, -24373080328742702264/11], [849749558168387120/11, -87991321005617776/11, -112732629035275074/11, 21767353275686440/11], [166387952/11, -13592164/11, -20787698/11, 6909440/11]]], 0, 678912, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[240, 16, -96, 0]], [ -14379, -18, -92, 71 ], [ -10, 6, 5, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 10, 10, 6], [6, -2, -10, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [353246391417220312081814594718/206821577585839, 369764777421686238581477102330/206821577585839, -58844646542379990094743741931/206821577585839, 680561635573308372658/206821577585839], [-8221522341423758, -8605974356219593, 1369561257466699, -1734401], [-17829926452259127/2275037353444229, -18663683376126375/2275037353444229, 2970152659315681/2275037353444229, -5/2275037353444229]], [[0, 0, 0, 0], [-19306831757416096449114004074823183307245796732/206821577585839, 18298473684422157038216193492763964214958469745/206821577585839, 12756633813632078875791145820053414382331362248/206821577585839, -8131668706324711186565400331475519438117454470/206821577585839], [449350799543998416193270589856845, -425882085702365239788864497372945, -296900272141880007986184876360615, 189257972495906296443834084445040], [974502211940414927742966220483720/2275037353444229, -923605866405544183664106331168910/2275037353444229, -643884404395352069113868520196370/2275037353444229, 410441715047664017922732979811815/2275037353444229]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-154, -26, -30, -48], [8, 6, 4, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [194543146562918502703107473253625/2275037353444229, -118226484408669322512563250513309/2275037353444229, 18344714756949440600055500038599/2275037353444229, -51709559403227275652944211/2275037353444229], [-20665105434959518/11, 12558483763760711/11, -1948635003625501/11, -1772510270/11], [12526639910086254/2275037353444229, -7612605255955351/2275037353444229, 1181209007023886/2275037353444229, 4/2275037353444229]], [[0, 0, 0, 0], [38010581484910590309546215095548648295141305919994/2275037353444229, -952640775618266520940711050239828400583412235358756/2275037353444229, -178509596264078734376442502643555353329841464457826/2275037353444229, 315941122780486729393810997072920833256330811302787/2275037353444229], [-4037680163324571885847455203762755/11, 101193001117770068137627922847109063/11, 18961972923298191576002011864084180/11, -33560421601633761643193608868813094/11], [2447502952928815241207115531836157/2275037353444229, -61340561256634128794165964434869014/2275037353444229, -11494240486361213047940089368025398/2275037353444229, 20343458457896406925382140573291176/2275037353444229]]], 0, 3916800, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[80, -272, -80, 80]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1694, 8, 28, 16], [-106, -4, -8, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [19, 0, 1, 1], [14, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-23402581634856, 76352745843160, 21849264926024, -23042639397288], [1419682638150, -4861938946410, -1432391746590, 1426767363630], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [486, -294, -10, 2], [-280, -8, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [76780380740690888/11, -49203088622344983/11, 1173752199919526/11, 82243432029742/11], [-44632382561607877/11, -312276742588950/11, 219155481865041/11, 323347102260330/11], [-31/11, 67/11, 87/11, 4/11]], [[0, 0, 0, 0], [-637250687007813451950399936193/11, 400876877722413465243453752590/11, 640586914503536803068173737211/11, -327079113043872890179839159821/11], [299802602120236516127194442586/11, -107858253467177788064885444772/11, -235053025476219754830428469191/11, 105542220285141988153167216647/11], [122537909547049/11, -417995663012094/11, -123044559098734/11, 122931467936940/11]]], 0, 4700160, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-144, 352, 160, -160]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [5186, -64, 32, 34], [-116, 8, -4, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 1, 1], [-14, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [998335580933070, -2496158910512802, -1140231071479028, 1113555688666378], [-23254072746930, 56842916458338, 25868114024690, -25815698198740], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2562, 10, 38, 26], [-250, -2, -6, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-113, 0, 1, 1], [-14, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [2727611434810514, -6293010790044804, -3034081812717340, 2812739579648530], [258060324556816, -629512698233432, -286691077746468, 286019590090112], [0, 0, 0, 0]]], 0, 7441920, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-144, 352, 160, -160]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4338, -36, -66, 16], [48, 4, 10, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [153, 0, 1, 1], [-14, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [202214065229414, -439685223390364, -210132360194386, 192731244042974], [2142986761944, -5243947028856, -2382683018616, 2382382281168], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1484, 64, -66, -66], [92, -8, 8, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [343, 0, 1, 1], [-14, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-333932847538, 808178583700, 379985123514, -359220679418], [21170874486, -51338956812, -23686641654, 23160280854], [0, 0, 0, 0]]], 0, 7441920, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[208, -400, -192, 144]], [ -11413, -54, 56, -35 ], [ -32, 20, 12, -10 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4874411972/12401, -68267624/12401, -210271340/12401, -11172/12401], [1745260/12401, 24398/12401, 75294/12401, 4/12401], [0, 0, 0, 0]], [[0, 0, 0, 0], [2022344876474714996080539608466/80488478430499, 3772691141975268523402123518373/80488478430499, -160193866824191136024298464852/80488478430499, -1481437408024111914400107195566/80488478430499], [-113405525897133483/12401, -206074672475954444/12401, 19847225470869565/24802, 163442675465711173/24802], [155188595300269/80488478430499, -171612921073729/80488478430499, -91429054117375/80488478430499, -3/160976956860998]], [[0, 0, 0, 0], [118012698966268764265649234992571297814726023766/80488478430499, 303711705086261352637474139819783916432593869026/80488478430499, 30331700080969446928641807751288244793059846205/80488478430499, -95784318617310568485961861434188255221176944295/80488478430499], [-12893553898138541056169485837315569/24802, -16794723243788807265844547613475860/12401, -1713250728395336205295401876915130/12401, 10608433948461859247520651591696265/24802], [-5318406861999314802027233050656/80488478430499, 6867809475675204430607708087235/160976956860998, 6733599983331301537573661531091/160976956860998, -3429266114877550559114223315411/160976956860998]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-21634561888/12401, 4625014836/12401, 4685544252/12401, 63234/12401], [-462118/12401, 98804/12401, 100096/12401, 4/12401], [0, 0, 0, 0]], [[0, 0, 0, 0], [-23264376512772593653795714269790526/885373262735489, 872542756407568425104463960949827/885373262735489, 194503195389484021756456511781579/885373262735489, 769272545480105244846198855622820/885373262735489], [-153187102231549813597/272822, 5740083642683436665/272822, 636336422811899693/136411, 5056729418260341669/272822], [-4549619915746721/1770746525470978, -967394819589771/1770746525470978, -270640303789833/1770746525470978, -2/885373262735489]], [[0, 0, 0, 0], [4957033966696736767326006986616913413153191064613866096/885373262735489, -3153384368670488061391473551880961606415835806921583808/885373262735489, -3309069675832118681585959681183878599129716897698207530/885373262735489, 1655031998277863938256171030979769802020715307600830738/885373262735489], [16320251588064360490860702903276773916516/136411, -10381144630401938011180454674684716477252/136411, -10894660482069456140884030112545353424484/136411, 5448286196649042556777556000029242415316/136411], [459530474263267736532673863956407728/885373262735489, -217639726017505967813879251604388496/885373262735489, -297214650048587080933909443262802100/885373262735489, 111671701006675162468463996461212220/885373262735489]]], 0, 3916800, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-64, 496, 176, -176]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1574, -4, 8, 0], [50, 8, 0, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-99, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [417089038, -1869209194, -765658422, 727128304], [8107262, -62071052, -21982716, 22107866], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1120, 604, 14, 8], [200, 2, -6, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-273463544792473/11, -128191272016341/11, -15334449827670/11, -18954950096367/11], [-49657671455621/11, 2547653314487/11, 241236855118/11, -2552503232434/11], [-60/11, 40/11, 18/11, -3/11]], [[0, 0, 0, 0], [-4968431498863762347719690/11, -16686074783117168365837880/11, -1946623707807654783177568/11, 5680416426806494226914524/11], [-457515239155497948610896/11, -2282255102764924015343680/11, -388207281382424074447216/11, 789818120536761736427016/11], [178756951704/11, -1388683894760/11, -492645857536/11, 492585118184/11]]], 0, 4700160, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-208, 560, 208, -224]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2288, -50, -4, 22], [-176, -8, 0, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [171, 0, 1, 1], [18, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-870532319764, 2311758671202, 861626627768, -927226889946], [-65831313250, 177161075400, 66071930600, -70669291050], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6368, 18, 32, 32], [228, 4, 4, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [57, 0, 1, 1], [18, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [6127422616970356, -16020791998441296, -6088675280210730, 6366497942987910], [214502400504700, -578179596687000, -214771997944350, 231176770243650], [0, 0, 0, 0]]], 0, 7441920, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-208, 560, 208, -224]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2470, -14, -30, 48], [-138, -2, -4, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [209, 0, 1, 1], [18, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-2177148265800920, 5961932597162566, 2137204205697340, -2446814865444856], [123858221426532, -333058293520362, -123868185733908, 133129108726740], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [296, -54, -24, 4], [-92, -8, -4, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-133, 0, 1, 1], [18, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [92178673690, -187656074066, -82394423580, 74506554604], [-22502083240, 60893863072, 22458261840, -24465509768], [0, 0, 0, 0]]], 0, 7441920, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[64, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-20, 4, 16, -8], [8, -4, -4, 20], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1, 0, -1, 1], [2, 2, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [406080, -100800, -215680, 83520], [-216360, -79332, 91352, -21636], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -12, -20, 32], [12, 8, 12, -12], [0, 0, 0, 0]], [[0, 0, 0, 0], [3216032, -372842, -1639076, 762390], [-6064956, 837766, 2932186, -970830], [0, 0, -2, 0]], [[0, 0, 0, 0], [-53790939094369/11, 33506318868295/11, 32264755504962/11, -17344720120978/11], [102776929384114/11, -67235145314438/11, -61190980799672/11, 33372212843885/11], [9105273/11, -599967/11, -95904/11, -177219/11]]], 0, 278528, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-64, 384, 128, -128]], [ 16, 18, -52, -12 ], [ -8, -11, -13, 8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3600790/1439, -4575222/1439, 9002408/1439, 1068/1439], [-13540/1439, -17168/1439, 33760/1439, 4/1439], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2661424271803/1439, 293672117759/1439, 2377336450251/1439, -438723198517/1439], [-69345851164/10073, 6882047706/10073, 61961446492/10073, -11179719532/10073], [4824/10073, -14415/10073, -1245/10073, -1/10073]], [[0, 0, 0, 0], [73291009493346556470685/1439, -29351779684459337967544/1439, -38040765823506969480789/1439, 16626509395790166517963/1439], [1905610021413132956864/10073, -742800631183725346370/10073, -983688507726381203508/10073, 425028613588120180322/10073], [-232992603213600/10073, 500108656172830/10073, 234773718699850/10073, -198882429277155/10073]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [69128330/1439, 76183224/1439, -23121948/1439, 36020/1439], [-26424/1439, -29180/1439, 8860/1439, -16/1439], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4981150984572891488/15829, -311513134357901698/15829, -140077206062624833/15829, -217479702307442010/15829], [13294368404447030/110803, 875344589076350/110803, 418101067690578/110803, 557827472281558/110803], [-44004/15829, 312338/110803, 21003/110803, 3/110803]], [[0, 0, 0, 0], [-5788522034504816724283837588/15829, -34224591022812442060696614588/15829, -6462725956625337216437543400/15829, 11703973036293858104801542248/15829], [2223245138125178328691712/15829, 13082309348395997194278900/15829, 2466094256748933220788352/15829, -4473015353129235158537008/15829], [60541385604824/15829, -134539129340156/15829, -64952238808976/15829, 53583443390272/15829]]], 0, 2785280, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-192, 0, 64, 0]], [ 2, 20, -44, -30 ], [ -1, 3, -15, 5 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [79751786/20759, -398994458/20759, 178723382/20759, 16024/20759], [37500/20759, -187904/20759, 84164/20759, -12/20759], [0, 0, 0, 0]], [[0, 0, 0, 0], [3931463517902745/20759, -6927146769037960/20759, -3261472342010235/20759, 2381060813426048/20759], [1849082508782/20759, -3264011565772/20759, -1532974409708/20759, 1123528349232/20759], [86161/20759, -112534/20759, 41612/20759, -1/20759]], [[0, 0, 0, 0], [-96020737273414744561413750/20759, 26907417331871107800812710/20759, 44649604243082248739273714/20759, -18656646698117102664383756/20759], [-45225932511866160575604/20759, 12616558708869599327612/20759, 21027784247673212195680/20759, -8758145581973156179612/20759], [-1368702489252228/20759, 2661807661864278/20759, 987670488539682/20759, -910626869763186/20759]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12763304174/20759, 1384940562/20759, -15438435114/20759, -248136/20759], [684824/20759, -74328/20759, 828480/20759, 20/20759], [0, 0, 0, 0]], [[0, 0, 0, 0], [544388001129827886375250/228349, -45547282844018160188239/228349, 60158851637849271320852/228349, 45325216810102951906095/228349], [-29210339208440126884/228349, 2444026843193336718/228349, -3229255665802518372/228349, -2432109637200503576/228349], [779467/228349, 877336/228349, -21041/228349, 3/228349]], [[0, 0, 0, 0], [1162805344220724907103772534728374079/20759, -1372118419989775296860079486510263902/20759, -1175095510837852462685349056963959155/20759, 734421390863571789103952470059785365/20759], [-62393887408781627038792222946286/20759, 73624809308338748678594683691442/20759, 63054233587022775683445018695990/20759, -39407898917000131148813687600394/20759], [429598312377510269/20759, -1219683354613077039/20759, -283761549438906798/20759, 338529961661206329/20759]]], 0, 2785280, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[10, -26, -12, 10]], [ 16, 18, -52, -12 ], [ -8, -11, -13, 8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-26637, -2943, -9485/2, 0], [-18540837/1439, -3640167/1439, -2578965/1439, -1629/2878], [177516/10073, -51489/10073, 3043/2878, -28467/20146], [-58917/20146, -8709/20146, -9491/20146, -3/20146]], [[27807331843991/2, -22173828259385/2, -11586865966429/2, 8082310330543/2], [18714462978067785/2878, -14162287616452699/2878, -8067078376164041/2878, 5408331211534451/2878], [-102357179391102/10073, 198525606808201/20146, 85412498949993/20146, -63587023619237/20146], [30309886886589/20146, -23643460384983/20146, -1830852050391/2878, 8788405074417/20146]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-41605/2, -4793/2, -3171/2, -8], [220907161/2878, 25434047/2878, 16624737/2878, 24567/2878], [-63659/2878, -3660/1439, -2393/1439, -5/2878], [0, 0, 0, 0]], [[43043478297257451/2, -287615884531662909/2, 12488596856074301, 5081529336896216], [-1257137961646974705249/15829, 8398267098484394010125/15829, -1458481650817706776517/31658, -301558463675305820288/15829], [5071883560234045053/221606, -16941143934266419664/110803, 420956774697443201/31658, 608584747206558792/110803], [257115/110803, 17243/221606, 20243/110803, -1/221606]], [[73256833039335055514671514753/2, -20165488408390880799081909274, -17432333377578898008690976169, 9646297261576146554659763258], [-4277827761755560840407444204035253/31658, 1177872682543887069576036044734680/15829, 1018308776934932874093425762539191/15829, -563358201452468476117389126993091/15829], [8629442410509771768721913319891/221606, -4752938264809393994399360293341/221606, -2054294312792600847177712820159/110803, 1136527712123361692858978308189/110803], [18316520073894995/31658, -149676239457658780/110803, -63840021962253150/110803, 56131260116437480/110803]]], 1, 30, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[14, 0, -7, 1]], [ -24, 6, 3, -3 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[23/2, 18, -21, -35/2], [83/10, 337/30, -179/30, -34/3], [9/2, 5/2, -11/2, -7/2], [-2/5, -11/30, -1/10, 1/6]], [[6373/2, 5182, -8145/2, -4491/2], [118937/30, 45089/15, 2689/5, -79787/30], [5319/2, -1377/2, -1863, 297/2], [-4928/15, -1952/15, -256/15, 1088/15]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/2, -2, 5/2, -1/2], [19/2, -12, 5, 15/2], [-3/2, -7/2, 1, 1/2], [0, 0, 0, 0]], [[-17/2, -4, 3/2, 0], [132232/285, 47843/570, -22267/190, 24809/570], [-2574/19, -858/19, 561/19, -99/19], [13/95, 13/285, -17/570, 1/190]], [[2282, 713, -1103, -383/2], [-72799033/570, -2302436/285, 20181277/285, -1353077/570], [696828/19, 129657/19, -360294/19, -17523/19], [-10558/285, -3929/570, 5459/285, 177/190]]], 1, 20, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[7, -18, -7, 6]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7, 11/2, -27/2, -10], [-195/2, -159, 238, 487/2], [-1/2, -11/2, 15/2, 17/2], [0, 0, 0, 0]], [[-9857505/2, 11464817, -212709, -5092884], [144720455/2, -61433939/2, -376212070, 245744251], [-14089907, -3159225, 7299407/2, 2837791], [-1, -3/2, -5/2, 1]], [[-118963307352466552, 122511118012116150, 166216128928037353/2, -101875681309186133/2], [-117493934390046706, 540292206423769302, -269792871635675141/2, -250911801240475313/2], [-125921613278850296, 191839612938829217, 196655696745732037/2, -159394937716493387/2], [-7807703379, 20057497455, 15617959041/2, -13367006453/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, -3/2, 9/2, 5/2], [-258, 1345/2, -407/2, -617], [1/2, 4, -1, -7/2], [0, 0, 0, 0]], [[569328794, -1549410635/2, -527750911/2, 208328129/2], [639980999507/2, -956307850991/2, -487283617247/2, 210312852496], [1039716421, -38170948, -2951611, -2271301/2], [5/2, -2, -2, 0]], [[-96466166030020359/2, -672778576232519931/2, -52995887693831976, 105382250225388954], [-1096546374236636220941/22, -5368130744023514733659/22, -467049835267581076141/11, 1793453529058066004959/22], [12699243033042184437/11, 26944491728591316246/11, 1912436578037327709/11, -16832012192254512093/22], [1781527818/11, -4521686454/11, -1754472906/11, 1510531680/11]]], 1, 40, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-10, 1, 3, 0]], [ -14379, -18, -92, 71 ], [ -10, 6, 5, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7227114817695479/2, -3499715106671125, 13463179484751825/2, -6], [-62952267837581900911126391827/206821577585839, 60969005836452951716850201139/206821577585839, -117271926937477561716121810235/206821577585839, -6197544327103563/413643155171678], [-1, 1, -2, 3/2], [-11094290714576365/7859219948261882, 10744773755783455/7859219948261882, -20667227643961113/7859219948261882, -1/7859219948261882]], [[-1787638503126454108434974883876949, -866184657651104712569370320260165/2, 1231983543209379746773953253266449/2, -34350643751285250891468379756562], [31142689907194799489309345949605477959662993855/206821577585839, 7544959495004516589222761214319991801428129692/206821577585839, -10731275196253251411044649563220665282652688009/206821577585839, 1196854335580349836338759757054095793821054299/413643155171678], [452762344507472631, -101447464831201273, -451347401701186975/2, 73703166161523039], [144431089296740013920730921921864/206821577585839, 34991412810217245644555000197314/206821577585839, -49768654241388616570471500083370/206821577585839, 2775337903253577174671867058603/206821577585839]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[17/2, 21/2, -41/2, -18], [-15/2, -1, 1, 0], [-3/2, 3/2, -1/2, -3/2], [0, 0, 0, 0]], [[5640547175422813/2, -7655754414186859, -4593284654936167, 874605/2], [170781027783212872296528023746355/4550074706888458, -231796236482182342452988928244171/2275037353444229, -278145311044705168336786425990721/4550074706888458, 2153709183535892152538/2275037353444229], [-72834933779169877/22, 197713572165891629/22, 118623804819715669/22, 1044988/11], [-14566986753658655/86451419430880702, 39542714433615941/86451419430880702, 23724760963880337/86451419430880702, 2/43225709715440351]], [[226598690784556928294333802950223/2, -46887048837106110091006491125259, -66355100056364210191406950971145, 50308973143297965078721355279827/2], [623710561400259704879069781267627281248699194239/413643155171678, -258112237574036691015670905995356043231054846547/413643155171678, -182641729152466927780155948681301762893555482351/206821577585839, 69237465085637613694428366413930266089275749392/206821577585839], [-133000480263459141958378606566172, 110080071408527577267523698742175/2, 155786604864581307287854913497883/2, -59056983673232906382858399296255/2], [-26600096051568886185226898286003/3929609974130941, 11008007138259126598724574522615/3929609974130941, 15578660485244273128557520386348/3929609974130941, -5905698366282098452620130728513/3929609974130941]]], 1, 36, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-21, 5, 10, -3]], [ -229, 18, 4, -5 ], [ -4, -4, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-55311818, -130239057/2, -8906059/2, 10], [1479139307879665/9499681, 1741415556437842/9499681, 238165346561867/18999362, 16485463/18999362], [1231923647/14, 725182186/7, 7084265, -18/7], [23684851/9499681, 195192020/66497767, 26695525/132995534, 1/66497767]], [[-2485353/2, 3694645/2, 1990927/2, -760541], [33231446516788/9499681, -98801580172077/18999362, -26620518413663/9499681, 40676520898461/18999362], [27677315/14, -20572099/7, -3167329/2, 16939029/14], [1064243/18999362, -5537242/66497767, -2983844/66497767, 4559355/132995534]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17/2, 2, -5/2, -1/2], [1289/22, -423/22, 413/22, 93/11], [10/11, -3/11, 5/22, 1/22], [0, 0, 0, 0]], [[-25470543/2, 47451287/2, -6330461, 24511/2], [-2549906203/22, 4803988613/22, -1280753303/22, -1701833/22], [1553375872/77, -2911399545/77, 1552766723/154, -85032/77], [4/7, -15/14, 2/7, 0]], [[-10791367586715343/2, 11275684632121783, 11592867332480139/2, -4200411199843044], [-4980371869124186261804674/104496491, 11205809271087304169536363/104496491, 11158850891240082034235037/208992982, -4148468626751247706571844/104496491], [1295404631579539695/154, -1408575679679356912/77, -711606956047805816/77, 522937089800159338/77], [31654247535430767/132995534, -9860304068208855/18999362, -34829869014058203/132995534, 25618921570963197/132995534]]], 1, 48, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-25, 65, 30, -25]], [ -229, 18, 4, -5 ], [ -4, -4, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-132545047, 141598121/2, -13347764, -2], [500663569691316/9499681, -267429473001002/9499681, 100837210706851/18999362, -35484825/18999362], [30737004351/14, -16418192793/14, 442189423/2, 123/7], [-37870021/18999362, 70799048/66497767, -26695525/132995534, -1/66497767]], [[-42729551112360136193, 44995761989789692951/2, 43599983021676442577/2, -24554093164633082079/2], [322805366376756744438500789/18999362, -84981342939285208339618452/9499681, -82345248425829378437953404/9499681, 92748341752067022270924013/18999362], [4954460275128473591918/7, -5217224454072732768601/14, -5055385704312091070613/14, 406718411905889231797/2], [-42729557948234076435/66497767, 44995758748527940715/132995534, 6228569411044124153/18999362, -24554094705992157767/132995534]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[184, -40, 23, 3], [14931/11, -3717/11, 2157/11, 119/11], [227/11, -56/11, 32/11, 2/11], [0, 0, 0, 0]], [[-3329458363591/2, 58190412583, 37533706505/2, 38066239828], [-233364709952616118605/18999362, 15458633853274446167/18999362, -398499076778305541/18999362, 2951153342117583866/9499681], [-1316320891190/7, 85251248534/7, -415202468/7, 4623850093], [81197749/66497767, -19896481/132995534, 1485920/9499681, -1/66497767]], [[34679904621736829626724421, -25238411888009592872225097/2, -16932309917327560173059622, 15483786461897913323780725/2], [4911301309636766514182434842387939/18999362, -1887027092044547225258259236061709/18999362, -2423960979066973926014823062036791/18999362, 1127168042015262009092932644779993/18999362], [27683027984532780344443628/7, -21220550987898084452879409/14, -13655790845302116526204591/7, 12693253905178096632031197/14], [-1781292854371922145351/66497767, 1428367663672528317555/132995534, 861346697474413881189/66497767, -123786388335487504197/18999362]]], 1, 1248, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[38, -13, -22, 8]], [ -14379, -18, -92, 71 ], [ -10, 6, 5, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[153082130241151, -33369251219640, 217088676577681/2, 8], [160769345978592611149135252367/413643155171678, -35044931017902985404473242193/413643155171678, 113995031613955460698199356803/413643155171678, -1555547896038832/206821577585839], [-1, 1/2, -2, 5/2], [-405942231376186/206821577585839, 88488370772660/206821577585839, -287837194444578/206821577585839, -3/413643155171678]], [[-2447659675853683269840842076751/2, -1480072812016582639729110529119, 148344125351760043181397298582, 389886341238439421247338537354], [-642643012357572381779675945764307317054209482/206821577585839, -1554396568781391337613762114713573679787449661/413643155171678, 77896708044883061590174684666395194151241543/206821577585839, 409464984503056686099677017847924234211613313/413643155171678], [7561887753486101, 3081951948118633, -3378155433041407, -153460051075183], [3245344276632003471342990930111/206821577585839, 3924847785713043231506197120239/206821577585839, -786756039545222730583271352405/413643155171678, -2067796301189431783432993711047/413643155171678]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-10, -27/2, 53/2, 25/2], [-60, -15/2, 7, -2], [-3/2, 2, -2, 2], [0, 0, 0, 0]], [[3727978258247957, 3459415739916421, 7533729099838057/2, 1224403121], [-5212669363758255074923174200869/4550074706888458, -2418342926061031716077020831188/2275037353444229, -2633760952541439914604576432028/2275037353444229, -286666837528947060414329231/4550074706888458], [-17045897404031740/11, -15817923405675034/11, -17223710876390310/11, -142925606/11], [4261477730448186/2275037353444229, 7908961341662747/4550074706888458, 8611855685491303/4550074706888458, 5/4550074706888458]], [[-158894000653232572692298257012142416, -56265664965207612499673909866480664, 94537143554167716572566820867562427, -5187424904035096189625845428632092], [111092734381872849039960957509826616128801922741936/2275037353444229, 39333067781452271415287743621094703502744677095088/2275037353444229, -66099736496704600475532742773538026175653441288403/2275037353444229, 3629223149183917348532505109929588345697144440664/2275037353444229], [726530816823119952344671094959494404/11, 257270663460934982827390403369054504/11, -432264001904299923985856924098276948/11, 23719100062065344219869454580693560/11], [-181632836107670224684460713358072376/2275037353444229, -64317614389270359569678968941124371/2275037353444229, 108066092928154301155225360445415237/2275037353444229, -5929815375203221603859843518748655/2275037353444229]]], 1, 720, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[24, 3, -6, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-987/2, -179, -393/2, -17/2], [19/2, 16, -673, -670], [-646, -2, 3/2, -5/2], [0, 0, 0, 0]], [[-366906696358409070762, -131293267599665924216, -143871607400674610619, -3319528250238542541/2], [-3626951883051784866, -2678192868010455755/2, -471683520607055639694, -953815390681126598749/2], [-958554219472570193599/2, 2223951440612917055, -28868158855456611/2, -34211028085727881/2], [3/2, 3/2, 1/2, -3/2]], [[77886861567843111795899649041323115/2, -1079218182612541715583915529238185/2, -35383047713340937491657192812729619/2, 1973667772502452225081343461942394], [37731788376150158371573512776345897/2, 24255271813210595519699322162106438, -23742896420835199770455917459233941/2, -13742043533229141976690622547179537], [48349387298797994611014467383900431, -34179564138362237759224407641941179/2, -24668835424489005402042037557471391, 9540961465636411353072516531344999], [-125942232304206, -15740676635238, 31489853771711, -10492417181299]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[167, 127/2, 61, -9/2], [-2012, -84, 377/2, 213], [216, 3/2, -1/2, -5/2], [0, 0, 0, 0]], [[45455789067830, -35734542578921/2, -85052796178235/2, 43554565237677/2], [-11941742275412527/22, 3352571358955161/11, 11457205138085403/22, -5638283664007585/22], [652587436851881/11, -744508451433685/22, -1215690502369061/22, 313483849049309/11], [51/22, 27/11, 21/22, 1/11]], [[-83419007426360135102080475980, 127481270998073964776544186425/2, 73490062905503361031112225496, -82247916524459895442233098283/2], [11362755725306187722260551276093/11, -9759351688249171893549202333738/11, -19652323284571792463195952453031/22, 5669851914660345951089263897222/11], [-1250119886915362612615648444351/11, 2151733589956246749906488540741/22, 2134220039121688941914218137349/22, -1241756670090741442657869172795/22], [-37637429866215259/11, -4698081927723061/11, 9412110514657842/11, -3137429167109879/11]]], 1, 720, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[20, -52, -24, 20]], [ 16, 18, -52, -12 ], [ -8, -11, -13, 8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-33356846/1439, 1965395/2878, -8030851/2878, 10384/1439], [2216421/10073, -632525/10073, 270497/10073, -20984/10073], [46939/10073, -14265/20146, 753/1439, 5/20146]], [[0, 0, 0, 0], [471670961857218763833/1439, -219136351370498971374/1439, -429884949275984328435/2878, 117863527036066322658/1439], [-4752807028587313520/1439, 2922825783637881520/1439, 2355712574003242561/1439, -1365165145314889781/1439], [-97403517472437846/1439, 52503609008981736/1439, 92810228928890019/2878, -52406133729067209/2878]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-108723954/1439, -191508/1439, -28535352/1439, -13589/1439], [41649/1439, 75/1439, 10930/1439, 3/1439], [0, 0, 0, 0]], [[0, 0, 0, 0], [-31780762392376661676/15829, -40515951900482123863/31658, 17713701437067131438/15829, 13604424825161984050/15829], [12173689369873602/15829, 54317217810745220/110803, -47491137965455810/110803, -36473623830755212/110803], [-324707/110803, -47083/31658, -61489/221606, -1/110803]], [[0, 0, 0, 0], [-3259913710009481977546516064579/1439, 2455172463811540527957129606363/1439, 1867251705364071146255909348624/1439, -986815789581191640804875596006/1439], [8741273112587945779913783709/10073, -940490429700917747293298671/1439, -5006857830908227336053071654/10073, 2646126928602701464402855942/10073], [-40760155198070184/10073, 31912615923653034/10073, 18429641313658914/10073, -1759540331557350/1439]]], 1, 510, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-224, 0, 112, -16]], [ -24, 6, 3, -3 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 2, -6, -6], [28, 22, -26, -26], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1193093/15, -467371/5, -323339/15, 233224/15], [-721648, -1382653, -158258, 372395], [-11/15, 29/15, 2/15, -2/15]], [[0, 0, 0, 0], [274400608, -46419733876, -38138914622/3, 49722698074/3], [-101013701800, -394266660932, -61383842212, 129938580676], [1806200/3, -1274900/3, -405900, 225500]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-390, -286, 296, 310], [16, 32, -34, -34], [0, 0, 0, 0]], [[0, 0, 0, 0], [-355310064860/3, 385694886967, 299405551163/3, -118886046780], [-4097076431, -54565744, 144464377, -57327605], [-1/3, 5/3, 1/3, 0]], [[0, 0, 0, 0], [1373408634424385012552/95, -205441656191061575978/95, -652882861056867318084/95, 206594274687493927449/95], [1246784279196581278/19, -7460697800252526479/19, -2509514675406884295/19, 2821309931587954024/19], [6453773299/95, 1396833424/95, -2876686908/95, 16580328/95]]], 0, 1305600, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-112, 288, 112, -96]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1046, -54, 66, 70], [146, -6, 8, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-99, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [40809860712, -101815885720, -35625714220, 33636774342], [5646798720, -14164708320, -4984450560, 4695374880], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1368, 246, -3484, -2442], [-10, -4, 40, 28], [0, 0, 0, 0]], [[0, 0, 0, 0], [-801741932384323/11, 2214632557387570/11, -787085040807680/11, -23348313766637/11], [-2007002035218/11, 80777444549/11, 524393671/11, 3006002100/11], [-89/11, -3/11, -3/11, -5/11]], [[0, 0, 0, 0], [169837316612394875582834082/11, -182755081769421423956588790/11, -57132811193723316912845330/11, 50991734040520331388593218/11], [129014265838401708518554/11, -310899339281470964817986/11, -115006464087559229615106/11, 105663513364984006903318/11], [5400890262344/11, -13831483426768/11, -5371321827560/11, 4612970022840/11]]], 0, 2611200, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[160, -16, -48, 0]], [ -14379, -18, -92, 71 ], [ -10, 6, 5, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, -10, 6, 4], [8, -2, 4, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-330507815940780516946249677273/206821577585839, 234739123841570918591711074920/206821577585839, 624128258677501926819504496929/206821577585839, -946807873186556121/206821577585839], [-2578759501169089, 1831532316952212, 4869708368099588, 1904], [9942837571711256/3929609974130941, -7061778473959045/3929609974130941, -18775973216442988/3929609974130941, -3/3929609974130941]], [[0, 0, 0, 0], [16340174086615421683246336498622028546489791295/206821577585839, -8524137054782929851055836430814726841409909500/206821577585839, -8874546888974457417017523505389449072594855823/206821577585839, 4731727772826901495126183663796972145978545566/206821577585839], [127492837216744940630126986996370, -66508864115082430156562304290355, -69242907443458958917048027637034, 36918908911186006483839292117900], [-491569908489105131808151251512931/3929609974130941, 256436023861861099023701206493091/3929609974130941, 266977584141661462964522666277744/3929609974130941, -142347013927703380267560453000231/3929609974130941]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [22, -6, -42, -8], [10, 0, 8, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1400275474017562480725354132354903/2275037353444229, 1925890961706690342580188182741627/2275037353444229, 896909573028793672550714910390473/2275037353444229, 760453356004770237603459/2275037353444229], [1920882272323725412/11, 2641915731846335895/11, 1230370546300078793/11, -476373732/11], [-187232200342652252/43225709715440351, -257512760651729901/43225709715440351, -119926654770541046/43225709715440351, -2/43225709715440351]], [[0, 0, 0, 0], [45950393339102547257947276549247216079417297018704927/2275037353444229, -16930633081085964809181736566199646073930952657772777/2275037353444229, -28053372967778065090756599938380132732385606025229454/2275037353444229, 7776888651198001316684180026895984306075710726869027/2275037353444229], [63034236982735978814933369304450031698/11, -23225253657844724630474001946789598632/11, -38483304105428753146976556025159019124/11, 10668249134216149266000727946047967467/11], [-323372207259338340206080376727204757/2275037353444229, 119147971801846820467098871560504590/2275037353444229, 197423361953169632219476813241315831/2275037353444229, -54729229891927733641274322229381759/2275037353444229]]], 0, 2350080, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[336, -80, -160, 48]], [ -229, 18, 4, -5 ], [ -4, -4, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, 6, 4, -10], [12, 18, -32, -30], [0, 0, 0, 0]], [[0, 0, 0, 0], [100185903215325/9499681, -6175852706154/9499681, 5613864994076/9499681, 7199657213996/9499681], [-16800637620/7, -1621751881/7, -3509302332/7, -226071/7], [259889846/66497767, 3584983/9499681, 54292809/66497767, 3/66497767]], [[0, 0, 0, 0], [33920351939765974004177317/9499681, -90621196847623083347888983/9499681, -38716703202350675206024109/9499681, 35073297046535739569283270/9499681], [-4995160293924617298620/7, 15945015140033451493620/7, 6429821312144207740464/7, -6085895764401287210401/7], [77268275422508758375/66497767, -35236613541311203335/9499681, -99462969572137051540/66497767, 94143568397678125125/66497767]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-556/11, -2702/11, -2658/11, 366/11], [28/11, -48/11, -48/11, 8/11], [0, 0, 0, 0]], [[0, 0, 0, 0], [50010803955701495/104496491, -199633617899987487/104496491, -251262447485788196/104496491, 162785058097894191/104496491], [-4881952774/77, -1792841552/77, 388998933/77, 9952451/77], [-247892627/66497767, -22942494/9499681, 36195206/66497767, 2/66497767]], [[0, 0, 0, 0], [-140578101843174003316574700270/104496491, 34880244998376127048693955958/104496491, 132117761844991768160082328800/104496491, -56078426264671211431880640312/104496491], [4150805627064912891272/77, -7884672530102755646526/77, -3510497775471706271332/77, 444989021096347993236/11], [160513332829996233600/66497767, -361661438283755590464/66497767, -22997408697076762368/9499681, 147656042914415001600/66497767]]], 0, 3133440, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[400, -1040, -480, 400]], [ -229, 18, 4, -5 ], [ -4, -4, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 4, 0, -10], [-238, -46, 2, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [145613453754773/9499681, -43854237963153/9499681, 23554981530038/9499681, 5339942663350/9499681], [-30091579445/7, -5821356598/7, 8499824686/7, -10675692/7], [-205594523/66497767, -5914698/9499681, 54292809/66497767, 3/66497767]], [[0, 0, 0, 0], [-18440655223165918435059380/9499681, 13936644794966451026561230/9499681, 8001244940871917326753272/9499681, -6874195774242506587853382/9499681], [3109663734890255429458/7, -1408451229670209265760/7, -1583484338429248455820/7, 784858695078820659974/7], [21242435074487997222/66497767, -9578671131090512474/66497767, -10622150166190685046/66497767, 5435659164729467774/66497767]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-41728/11, -2226/11, 3692/11, -432/11], [-776/11, -40/11, 70/11, -8/11], [0, 0, 0, 0]], [[0, 0, 0, 0], [1229723549491671000/104496491, 1078205379617887556/104496491, 219205411652365305/104496491, -575387188516198667/104496491], [60870512502/77, 7787008674/11, 10586695209/77, -7852331612/77], [-249489244/66497767, -225485301/66497767, -42989610/66497767, -5/66497767]], [[0, 0, 0, 0], [-7333754471173661960956528377560/9499681, 4131055934581169456098023779064/9499681, 2516084257782231949829699662472/9499681, -1302719002529621412705906053524/9499681], [-362951328677926559638570/7, 164826107238359687420992/7, 162087397601952547032886/7, -11837946594347307502666], [16353873764213327580960/66497767, -6733262036846705147260/66497767, -1135413997643551324720/9499681, 4046860452182526021500/66497767]]], 0, 81469440, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-608, 208, 352, -128]], [ -14379, -18, -92, 71 ], [ -10, 6, 5, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 8, -2, -6], [10, 8, 6, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-51960194506438743611666801563/206821577585839, -3893980373455557152485506468/206821577585839, -115587931356115804374059996018/206821577585839, 686672726088313701746/206821577585839], [246328618486826, 18460245036420, 547969721334657, 1915975], [-265494205053796/206821577585839, -19896557360346/206821577585839, -590604503511943/206821577585839, -2/206821577585839]], [[0, 0, 0, 0], [38749578464962513907558961386196760201357890/206821577585839, 41490595353731342689092109941557404100385835/206821577585839, -6347849392697530352726650722001405143850682/206821577585839, -9855225803045741488351307996509128315737114/206821577585839], [-183700808813950888338905541815, -196695187987397160611611841483, 30093363381657719910108750143, 46720839805208779448142310686], [197993646037076174661188276432/206821577585839, 211999058819655098633127093820/206821577585839, -32434775153814054338033705898/206821577585839, -50355955828991835011882904215/206821577585839]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [16, -24, 12, -30], [-8, 6, -2, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-45819094390096973418643237186128/2275037353444229, 36069660214693839958337819951504/2275037353444229, 1711399360757704770952232422611/2275037353444229, 151041895578221576675317/2275037353444229], [-40162811688191221/11, 31616927213450844/11, 1500130360875587/11, 74320035/11], [-13073030167784830/2275037353444229, 10291337485891085/2275037353444229, 488293728285613/2275037353444229, -5/2275037353444229]], [[0, 0, 0, 0], [5563657493088113663110254267688391066884105791886/2275037353444229, 1825065580356972070780751771798254202521240264520/2275037353444229, -3282813596473028443103757380165892292127994103887/2275037353444229, 159561392333601210767025183928519178693523744443/2275037353444229], [4876834228431459360415842355132101/11, 1599764586755814934904366503623432/11, -2877556308732454777042394247890533/11, 139863835498628303745103193475705/11], [1587413780277837524881069229880534/2275037353444229, 520724736452028170269645724209839/2275037353444229, -936647090863960440054137632666617/2275037353444229, 45525810497771733662409425909343/2275037353444229]]], 0, 47001600, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-384, -48, 96, -32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2490, -6, 2, 2], [3314, -2, 10, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-99, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [4393858002485771600, 550756900973360800, -1111795494265021800, 355164991932039600], [-5848740039478059064, -718236798559677188, 1461924366810711386, -493591767608107828], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [826, 114, -2, -6], [-1258, 0, -10, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-17810384619131954234, -1475579722261649705, 301837291717847492, 74665634760495601], [27149317087970361064, -1475142356320514039, -47003256059514683, 78183572094654025], [-4, -2, 3, 0]], [[0, 0, 0, 0], [-5684244683854733005531986622528758/11, 488867557868880802794419019622050/11, 2935618764683986626304300369548400/11, -579089506760369650599303325792660/11], [8885335417884577000998119805392556/11, -1727392540149707990305225925687056/11, -4821203096027550096761667278674960/11, 1318272389716479297369073948399744/11], [-821928227782532/11, -102687484913536/11, 205515193684344/11, -68492114797996/11]]], 0, 47001600, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[320, -832, -384, 320]], [ 16, 18, -52, -12 ], [ -8, -11, -13, 8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2980372/1439, 2999360/1439, 618698/1439, 2552/1439], [-11184/1439, 11212/1439, 2328/1439, -12/1439], [0, 0, 0, 0]], [[0, 0, 0, 0], [229393845047/1439, -157391407723/1439, -140103154440/1439, 80119383627/1439], [6032456602/10073, -4088900696/10073, -3671491438/10073, 298210354/1439], [-44020/10073, -73489/10073, -10736/10073, -4/10073]], [[0, 0, 0, 0], [41215462900416283672, -44624874441778643488, -28835470255047125159, 19449132449684317334], [1081017324298550610/7, -1170097544268131050/7, -756241122072268078/7, 510007311060481634/7], [-2777679217888030/10073, 2021013120743690/10073, 1343066926313505/10073, -849822629165535/10073]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-355462192/1439, -60362374/1439, -43075002/1439, -7566/1439], [136116/1439, 23124/1439, 16492/1439, 4/1439], [0, 0, 0, 0]], [[0, 0, 0, 0], [12744680601532160866/15829, 37074948234762812853/15829, 4838051293079584080/15829, -3750477331441226222/15829], [-34162372909550608/110803, -99381360305169912/110803, -12972757905461400/110803, 1436307138854730/15829], [-78720/110803, -461869/110803, -65143/110803, 2/110803]], [[0, 0, 0, 0], [-776325292730568372624001736664/1439, 1086296913472791583686041900616/1439, 599517163242794032710641287188/1439, -444540373716109365480083438028/1439], [297261745647533596918693072/1439, -415959762291320494514048652/1439, -229562935069137634374612548/1439, 170221042704794284608904664/1439], [4345717480421416/1439, -5137949999252624/1439, -3130299490135080/1439, 2180446741257800/1439]]], 0, 33423360, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[2, -14, -4, 4]], [ 2, 20, -44, -30 ], [ -1, 3, -15, 5 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[633367/2, 38245/2, -11951/2, 1/2], [-7894821407/41518, -580602631/41518, -87307369/41518, 37269/41518], [542859/20759, 32779/20759, -20571/41518, -1/20759], [50893/41518, -2729/20759, -20477/41518, -3/41518]], [[-2577989808871337, 19463490390992557/2, 3212949043498747/2, -5083827720201363/2], [62674469811957923361/41518, -245144652233749054971/41518, -38295615156172110545/41518, 62671218386058517271/41518], [-4419330614265602/20759, 16681695928535197/20759, 5508451906597675/41518, -8715044699308549/41518], [-272774493871200/20759, 677251104266562/20759, 201604216248972/20759, -233135177456211/20759]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[81452, 21041/2, -60387/2, -5/2], [-13784392253/41518, -1780013213/41518, 5109222937/41518, 190837/41518], [139621/20759, 18030/20759, -103513/41518, -3/41518], [0, 0, 0, 0]], [[701341228500864, 343499577739080, 93743168078728, -2962721874952], [-1305671958449642175497/456698, -319784536502040221916/228349, -174409273400557877525/456698, 2884944093372046458/228349], [13224795853773997/228349, 6477245097486800/228349, 1766122919789064/228349, -56527811393937/228349], [-590627/456698, -18030/228349, 788701/228349, 3/456698]], [[4637856470572566914401250368, -2078461108313406804449039872, -2566746041346302698943886112, 1189640712136192785755530608], [-4316939928922677414814008096683346/228349, 3869353863944838557793803485301963/456698, 4778355102448787966552544581101925/456698, -2214705227075980234643124275210719/456698], [87450365077913669757067035624/228349, -39192241934298815918543502276/228349, -48398101717068474873368646997/228349, 22431967750127811894170427131/228349], [-538102686996086449/228349, 1053307000438278891/228349, 563899194341275535/456698, -647968346580293059/456698]]], 1, 30, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[6, -15, -8, 6]], [ -24, 6, 3, -3 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -3/2, 11, 0], [8/15, 20/3, -13/3, 29/15], [5, 2, 1, -1/2], [1/15, 0, 1/6, -2/15]], [[4803/2, -31002, -20795/2, 15166], [-441493/10, 8819, 156131/6, -257477/30], [34265/2, -83215, -29370, 63635/2], [11401/15, -5135/3, -936, 3601/5]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3/2, 5/2, -51/2, -4], [-26, -24, -9/2, -13/2], [-22, 1/2, -1/2, -1], [0, 0, 0, 0]], [[-3572778434, -5387011586, -876621639/2, 9253119057/2], [-8229143538773/570, -2262524419993/114, 85196589834/19, 4004122561951/570], [-355011678231/38, -83389451763/19, 33412363179/19, 34470429132/19], [-51/95, 29/114, -4/57, -1/190]], [[136534550290266779201/2, 505119531586957561079/2, 15161597534246270545/2, -127228562283946944490], [77305315385405838517357/285, 17040818188686789426859/19, 2267336719401979871653/38, -186177468599846824194313/570], [533712633409145847165/19, 18768814271603814760605/38, 4408957808235407503791/38, -3501557171498802629697/19], [-2129399530496/285, 472336210304/19, 710283063296/57, -947848838656/95]]], 1, 20, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[2, -27, -8, 9]], [ -11413, -54, 56, -35 ], [ -32, 20, 12, -10 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-163371326140299/2, 231668882626271, -93654706136296, 3/2], [10309540580913730957383573491/160976956860998, -29238909975519825532461659381/160976956860998, 5910076248818120335597512426/80488478430499, -90456920585381/80488478430499], [-410477260349161/49604, 1164155430418677/49604, -470622698472361/49604, -84653/49604], [-62250097391475/80488478430499, 706190534296595/321953913721996, -71371332024769/80488478430499, 5/321953913721996]], [[628507073263858400302906400437/2, -2965644304209348568542499507702, -1146751544422424633522043483385/2, 1073940528719163026881512302665], [-19830955995061293304486208975023421295271624/80488478430499, 374293715672449464100552089253396895254133929/160976956860998, 72365707576059171538087688410771494730110001/160976956860998, -67770971391670585443178992590240297548730743/80488478430499], [789575096730547646739437753301/24802, -3725652408454152188268573427574/12401, -1440630505185828893070027806905/24802, 1349160151095749010370162101065/12401], [239482823537272542163359771440/80488478430499, -2260025076099148667091901922608/80488478430499, -436951802369624432846401741888/80488478430499, 818416598646036539671656443408/80488478430499]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-220938, 12300, 222, 1], [-7783121947/12401, 433188602/12401, 7936644/12401, 22009/12401], [-220938/12401, 12300/12401, 222/12401, 1/12401], [0, 0, 0, 0]], [[-81631108868287945/2, 36381874231758285/2, 4333238121672117/2, -1017339397222181/2], [-217080980647739084361000282856979/1770746525470978, 89750865134138782452328301278609/1770746525470978, 655818375884351603615109436815/1770746525470978, -1279968217900232574920002498096/885373262735489], [-1719153714922383805/545644, 811807959425858797/545644, 162118913464408257/545644, -22381466738024733/545644], [-1282027293327255/1770746525470978, -381170463727033/3541493050941956, -557949061170055/885373262735489, 3/3541493050941956]], [[729246619594187428885112136703137501/2, -1917764204343566988230666458624218383/2, -676277384792120694683708908295270471/2, 342915000543878263214654459249309494], [1891047676152028929375330682324016177025038810544379/1770746525470978, -5198181383137398271125456048225427888412740870929015/1770746525470978, -1857585289799739992312567278716217209321438374414277/1770746525470978, 1800657687368334751919061648757435817992421933702609/1770746525470978], [3918049753079508896953361350322142775/136411, -9936844900956510056923946189356526083/136411, -6928382081824204826489483950660980995/272822, 7297283816639873234916110734771441579/272822], [6202507995282424856805625398852187/1770746525470978, -40825229872557276923805197581420567/1770746525470978, -17064667946713258551606814237281087/1770746525470978, 4124341904989326871494537980554065/885373262735489]]], 1, 36, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[7, -22, -10, 8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, -15/2, 13/2, 4], [-79/2, -18, 30, 51/2], [19/2, 1/2, 3/2, 3/2], [0, 0, 0, 0]], [[1887, -3149/2, -857, 1081/2], [-28671, 72945/2, 20327, -30129/2], [9831, -26107/2, -7231, 10687/2], [1, -5/2, 1, -3/2]], [[53760570210987, -46968743050733/2, -28972262730837, 26534264506953/2], [-1311672024156891/2, 1917275537759015/2, 1050443436268131/2, -796475834964341/2], [436196102598593/2, -356194180419749, -369076570090685/2, 290921027039671/2], [30087323290, -94560647895, -42974495220, 68779161115/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11/2, -31/2, 29/2, 5/2], [-991, 175/2, -21/2, 9], [55/2, -2, 1, 1/2], [0, 0, 0, 0]], [[-78537780309/2, -114549796343, 201449660507/2, 23889776986], [-14575591090371/2, 1061862174361/2, 196085717519/2, -68698113453/2], [403905883161/2, -23826292803/2, 3256874152, 13615873499/2], [-3/2, -2, -2, 0]], [[-63512339685079744065, 33967897890454041021, 89587880970546949585/2, -37588794839006914149/2], [218653170102232908085149/22, -155323193963783286880121/11, -178228363443390897143329/22, 130859361715580465792861/22], [-6020218935185299576593/22, 4317624227496331628084/11, 2469554085974292677394/11, -1809912235663842321070/11], [10243956926/11, -31603140891/11, -14425616653/11, 11548404273/11]]], 1, 40, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-11, -3, 6, 0]], [ 51, 32, -494, 221 ], [ -6, 4, 2, -2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11540417/2, 934359/2, -1500565/2, 7/2], [10841451566661/1995898, -438880002139/997949, 704818978256/997949, -2508971/1995898], [-11736385, 1900473/2, -6104055/4, 5/2], [-15104521/19958980, 611467/9979490, -1963953/19958980, 3/19958980]], [[-11682229712558295/2, 3126532461622888, 7872535364707519/2, -3048426150405161/2], [10974658177148671935043/1995898, -5874334521812632428423/1995898, -3697851933899825640590/997949, 1431896420359282014409/997949], [-23761194856996681/2, 6359257497789312, 16012420418489443/2, -6200393780327217/2], [-764505951276417/997949, 2046062462157684/4989745, 5151925437322969/9979490, -997474350464294/4989745]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 1/2, 35/2, -4], [-21, -8, 15/2, -3], [17, -5/2, 1/2, -1/2], [0, 0, 0, 0]], [[-63934250, 482666449/2, -5774255605/2, 502961912], [77213168404871371/21954878, -677153246640011/21954878, -17987108263967701/10977439, 10646673544944463/10977439], [-137687389665/44, 33350869219/22, 7224483115/22, -7114429389/22], [173750299/219548780, 217927857/219548780, 18891179/54887195, 1/43909756]], [[1723282015505759948, -436994207785591181, -3345182432473320433, 1486079585795282322], [-28229852031487742019412407/10977439, 27987233438789369586519043/10977439, 11930134068349414009617203/10977439, -8830514711681755225234738/10977439], [41990993586442041990/11, -34711927656552506337/11, -41580649294801295097/11, 23137911845678734669/11], [-4955275865720280/10977439, 1552438119115130/10977439, 2910325853649440/10977439, -1060711093966570/10977439]]], 1, 48, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-5, 35, 10, -10]], [ 51, 32, -494, 221 ], [ -6, 4, 2, -2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-376792, 1876167/2, -348908, -1], [-298765583134/997949, 1487702717503/1995898, -276673928631/997949, 46995/997949], [680585, -6777463/4, 2520919/4, 5/4], [-1482867/3991796, 922954/997949, -343298/997949, -1/997949]], [[63359956292246, -209168026273937/2, -47295964135777, 37474426869133], [50239656467087238439/997949, -165860833351167474577/1995898, -75004578691484900025/1995898, 29715746600676177003/997949], [-457776923087559/4, 755592413731881/4, 170844033893859/2, -270757690655881/4], [249353388492563/3991796, -411589125798803/3991796, -186123564655485/3991796, 36871683787509/997949]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, -2, 19/2, 4], [50, -7/2, 15/2, 0], [19/2, -1, -1, 3/2], [0, 0, 0, 0]], [[49287017/2, 48316771, -105629818, -128950537], [-5060735054962052/10977439, -4281225713323693/10977439, 2106588968457426/10977439, -757222659920812/10977439], [-846058735/11, -3355262371/44, -353384725/44, -512671573/44], [11732929/43909756, 17888087/21954878, 7811943/10977439, -1/21954878]], [[20218522602951897/2, -23098787637791809/2, -6729066126974841, 9381946505526713/2], [2982366217613966532874310/10977439, -3325064463893678555142162/10977439, -2075636516400618125983916/10977439, 1423379219526040382803614/10977439], [2201433891500149947/44, -1224484324348945189/22, -775324001289732123/22, 528996874721847755/22], [-2142951812730791/43909756, 2563163099282271/43909756, 854408445527559/21954878, -1158744792313991/43909756]]], 1, 1248, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-15, 46, 15, -17]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-221/2, -513/2, -553/2, -1], [-2669/2, -1, -725/2, -365], [-361, -1/2, -2, 1], [0, 0, 0, 0]], [[2064578561788913815, 4743943536554608441, 9877330578410238305/2, -149470681030991303/2], [49161687806524202879/2, 157545391958586088, 6207900053052743250, 6380431742640990155], [6616545868227084349, -254779529047103, 966199301115134, -26341868025720064], [5/2, 1, -5/2, 1/2]], [[-14648690168973972078399684336458, -154674981259788683333183959803070, -67665312850462104780268886471585, 34261382295033464027557858620181], [653114745095390314061216084978582, -1362749526723204411072865599170995, -745118071499877589791694810355142, 477921076513845629568769598639246], [173551213704208518694554053346013, -345908791214090259609084694617570, -175099457745245632870791680749720, 136754585057357867147114703349084], [28398907123000, -87084502930950, -28397562155650, 32182810259650]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-407/2, -945/2, -1029/2, -15/2], [-2418, 111/2, -1375/2, -678], [-1339/2, -1, -1, -1/2], [0, 0, 0, 0]], [[773653231694100748, 4126084435155142855/2, 3051515970976698722, 1368503174108534383/2], [112694359484073004389/11, -68602627444136960/11, 123163337461206020491/22, 55655390186522543612/11], [33705182344600843718/11, 7854084943273216685/22, 1831075991057151131/22, 1466815232369826465/22], [1/11, 17/11, 38/11, 2/11]], [[-9855104369006151737076899706073/2, 8056550365498454345636714964722, 8028009456762814982738770590491/2, -6600497778885564174671982530063/2], [-1654389053414046525439625931982364/11, 3835849651321905755793672405091233/22, 2375230415031546029794632757545377/22, -1653771796229614966045681109891813/22], [-878908065571672036483568254317701/22, 504547331652556810633391855751040/11, 628976352419152594875656142412965/22, -217425309168185524913690093241643/11], [-11473446841709/11, 70411949124049/22, 22956533056991/22, -13011570677524/11]]], 1, 720, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-5, 36, 15, -13]], [ -11413, -54, 56, -35 ], [ -32, 20, 12, -10 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-36242194264217, -58752581527236, -108208898831127/2, 14], [-4163601011247963827488751613/80488478430499, -6749655301208057305773155134/80488478430499, -6215665327121643820649177175/80488478430499, 868365413431353/80488478430499], [23532939859588069/49604, 38149484692222423/49604, 35131339109317353/49604, 428529/49604], [105388517387089/160976956860998, 341692763723675/321953913721996, 78665049149353/80488478430499, -1/321953913721996]], [[7036036590077617120097949403965691, 5066974098422896218121698253100847/2, -2074299368981936009715133059948622, -1026680020956598305339513408047630], [1616637703634455378268197036757383476525396043633/160976956860998, 291053866526403064403056868069800546780497757439/80488478430499, -238301093012127021885974296615536791156445576445/80488478430499, -235895574837356340052014394453319694850218925807/160976956860998], [-1142167492830215278942916058392075366/12401, -822527570170610840758801923940782887/24802, 336723262128369891954612989594685738/12401, 166662116924151901510468548939692864/12401], [-10230029856034374402641509848212710/80488478430499, -3683558516723396297454109946074427/80488478430499, 3015922837448511996032236070367850/80488478430499, 1492739410670130700354393390126286/80488478430499]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[12226385/2, 73901/2, -11291/2, 5/2], [616555698608/12401, 7460115925/24802, -567023314/12401, 531679/24802], [12226385/24802, 73901/24802, -11291/24802, 5/24802], [0, 0, 0, 0]], [[-2345842428012631209541473, -360756272311799866168991/2, 272319003478615517095345/2, 53384718127795523856460], [-473187499463156214994673490935/24802, -18193732598755498875006728243/12401, 27463734993392397936935199119/24802, 5384367940725549492677284067/12401], [-4691684864241081581381615/24802, -721512511760323083329251/49604, 544638031604688520764243/49604, 106769436255591047675693/24802], [-1/2, 1, 3/4, 0]], [[86477476889460201684576154770572197414142212, -8076233946921441484775101895774088972282898165/2, -664170350998315303073367872263924816617700914, 1247980307393450278641846559179039343272855082], [1245264627733755000734823882642612082537395120302206667643541/1770746525470978, -58154625036301179519954244591959025280762898529763643898032361/1770746525470978, -4782478258738505436640981206212476936870876378304418383826600/885373262735489, 8986346542229682100765989884021541879677742623739737612084516/885373262735489], [951252314147816498248896949830192245835077032/136411, -177677146762507937292375573947902115997338900155/545644, -14611747761771365083886864879583282187375608133/272822, 13727783373854735372679316595238077516860728952/136411], [2678975499881366823054305321670355325/3541493050941956, 341729778779047472599618049463599175/1770746525470978, -194996978917023060831184236501374725/885373262735489, -292853534958861837147221038485311275/3541493050941956]]], 1, 720, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[4, -28, -8, 8]], [ 2, 20, -44, -30 ], [ -1, 3, -15, 5 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [11490557709/41518, 43270835/41518, 536677442/20759, 108044/20759], [-629020/20759, 38237/20759, 41330/20759, 2/20759], [91295/41518, 55715/41518, 144937/41518, 2/20759]], [[0, 0, 0, 0], [-17064772961528362717665/20759, 29068528787282202855478/20759, 13037318574537598788736/20759, -11177481964340281482893/20759], [1909526364751168743/20759, -3070125659506941240/20759, -1455053387700236504/20759, 1194694582394963567/20759], [-107486103294579102/20759, 307556479787623886/20759, 84717044501297778/20759, -108607434389478798/20759]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-78735760026/20759, 313508258/20759, -1965436376/20759, -108044/20759], [-824110/20759, 3281/20759, -20571/20759, -2/20759], [0, 0, 0, 0]], [[0, 0, 0, 0], [374787275853904993752/228349, 1468389394612058904822/228349, -597959898741131224575/456698, -671636800939840176360/228349], [3922826226440995/228349, 15369326084167954/228349, -3129372234144747/228349, -7029900620321360/228349], [-595761/456698, 240369/228349, -601917/228349, -1/228349]], [[0, 0, 0, 0], [-205292421827629229466371667008213373/228349, 679941877971632939716944502537521489/228349, 257534429816968970389760041604906557/228349, -251086107462389217210961106239522323/228349], [-2148748793058546351414757573532/228349, 7116801580164440144406146091109/228349, 2695556019447074504860991926644/228349, -2628062763934426939035443254851/228349], [-626914707239870514857/228349, 501150615760089929196/228349, 363142171750615223349/228349, -216668657829664602411/228349]]], 1, 510, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-96, 240, 128, -96]], [ -24, 6, 3, -3 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 10, 6, 4], [-18, 8, 4, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [45021259/15, 8713056/5, 36974129/15, -8396857/5], [-23235856, 19515599, 17872080, -10543920], [-22/15, -19/15, -2/15, 1/5]], [[0, 0, 0, 0], [232127314279750/3, -1782738935658709/15, -692146987018764/5, 1258195911263314/15], [-629032847102092, 771962835219703, 390538280199889, -293476939776457], [-43015096/3, 233581934/5, 346272926/15, -283526207/15]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-280, 4, -74, -64], [30, 0, 8, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [54888410808/95, 9740723831/19, -4147808303/57, -43210124153/285], [-1190104753/19, -1086537903/19, 153887854/19, 318472359/19], [218/285, 23/19, 17/57, 4/285]], [[0, 0, 0, 0], [227172890322144236, -6198448462420058188/15, -2841279414761151724/15, 2400480623986984588/15], [-23992350306029906, 44189026753142626, 20293400015791288, -17165910488175050], [132946624, -6745942786/15, -1119496346/5, 2692279396/15]]], 0, 1305600, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-32, 432, 128, -144]], [ -11413, -54, 56, -35 ], [ -32, 20, 12, -10 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2129227910/12401, 621290338/12401, 5084378/12401, 146354/12401], [-762300/12401, -222410/12401, -1776/12401, -8/12401], [0, 0, 0, 0]], [[0, 0, 0, 0], [33735015323506400561779358568140/80488478430499, -17396006346073158696789828677430/80488478430499, -29403578397555405774159984983431/80488478430499, 14541995065754385375676013649171/80488478430499], [-3719539448172655797/24802, 960609333251504020/12401, 1621283960554547467/12401, -1604379547406529289/24802], [185876995817588/80488478430499, 341692763723675/160976956860998, -248759152416081/160976956860998, -1/160976956860998]], [[0, 0, 0, 0], [16128228623722833678358717860403772768124703233620/80488478430499, -18263315942022846592984896159561339516204311395250/80488478430499, -11912896445606778610731889925619995786683014201034/80488478430499, 6151836176963805439308789947159365457302911333932/80488478430499], [-889504200461020169005164027547400714/12401, 1007028378431437102359516225415582461/12401, 656978231569389137892586779821501319/12401, -339241026636036754862643397271754104/12401], [20428865570763082769103848550770/80488478430499, -71023540942090813965523822763718/80488478430499, -15194962191099667057036863354457/80488478430499, 23387766607061135539565205751902/80488478430499]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2962660146/12401, -8098677488/12401, 1098654170/12401, -280866/12401], [-63284/12401, -173008/12401, 23470/12401, -6/12401], [0, 0, 0, 0]], [[0, 0, 0, 0], [13212691822543454496439015445747/885373262735489, 16135285588883454653647318142719/885373262735489, -9550187888580188914151253298402/885373262735489, -10528019153686611590363/885373262735489], [9228111589294175/136411, 11267654680289571/136411, -13341152623516999/272822, -2453582/136411], [1862811727022935/1770746525470978, 1137474662239717/885373262735489, -1346422981944731/1770746525470978, 3/1770746525470978]], [[0, 0, 0, 0], [7188777878308819527802380765206549559263404588730/80488478430499, -5986768749950874015339480691068179605380537567794/80488478430499, -4214527499756972672653776141188303467681429368852/80488478430499, 2543790722787795251964565122289447175842623321086/80488478430499], [5022189132588761450099684045201050/12401, -4182992844900750941074675742482142/12401, -2944520187238856826672316715880654/12401, 1777407860199065938456360720399630/12401], [506723862349280269175959433871810/80488478430499, -421981599473240835567807661265040/80488478430499, -297069274625581781396608897975830/80488478430499, 179299642918973986065271263476310/80488478430499]]], 0, 2350080, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-112, 352, 160, -128]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-220, -16, 4, 34], [162, -4, 4, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [53, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [10648252377642, -35974460745306, -14610865925406, 14369378109600], [-8541570494636, 26656166574512, 12122391848360, -9696399485112], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1580, -898, -592, 388], [-28, -8, -6, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [470663522403528/11, 165303921989367/11, 74652773482544/11, -35028275362547/11], [8435210691702/11, 819174387775/11, 141108691629/11, 60416681265/11], [-24/11, -56/11, -65/11, -4/11]], [[0, 0, 0, 0], [-167226729854843925802766627/11, 224762364095277312318015017/11, 131270377714637058755498647/11, -94833553712742814144827599/11], [-3326752832744553426621639/11, 4257776173275199670679204/11, 2544024474604105449652394/11, -1810863368646922047418413/11], [3226047433100/11, -10132502366455/11, -4605544910245/11, 3685774715760/11]]], 0, 2611200, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[176, 48, -96, 0]], [ 51, 32, -494, 221 ], [ -6, 4, 2, -2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, -6, -8, -8], [118, 0, 4, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [1380831945854210/997949, 93036784056244/997949, -11234679604566/997949, 51829562084368/997949], [56712069617, -82325215157, -41433988777, 32324122738], [1920349/997949, 16042179/4989745, 1341247/4989745, 1/4989745]], [[0, 0, 0, 0], [697586603810565864102181887/997949, -732703330281049666737930129/997949, -473290270535759121152743540/997949, 315690186159291785917271914/997949], [43056764134170953388480, -47547962570128640075770, -60675002986092473538017/2, 20628774293564196598082], [2746699489953806899/9979490, -888354803205635369/4989745, -1866060665831115599/9979490, 187069090963644785/1995898]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-58, 0, 14, -16], [78, 4, -4, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-31507596469799913/10977439, -42441720711853194/10977439, 18295440740827311/10977439, 24037172094448291/10977439], [39520331308/11, 105458463865/22, -39971199869/22, -24135007949/11], [-10826341/10977439, -52043338/54887195, 29563227/109774390, -2/54887195]], [[0, 0, 0, 0], [7136976353017761566342221411/10977439, -7008891148631542877553093942/10977439, -4763758668137821564950292916/10977439, 3169555264713815549207393068/10977439], [-18224173700274671861115/22, 8945726520923829762579/11, 5939474023597511729175/11, -7896563073980746571415/22], [18694400172606182691/54887195, -38228805605023403143/109774390, -24082420210939962879/109774390, 16054852420556056509/109774390]]], 0, 3133440, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[80, -560, -160, 160]], [ 51, 32, -494, 221 ], [ -6, 4, 2, -2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, -8, -10, 4], [10, 0, 2, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [256791459708/997949, 106978868588/997949, -310679380785/997949, 46885545928/997949], [-21683423/2, -495883, 12646233/2, -621812], [3236306/997949, 1297929/1995898, -3616553/1995898, 2/997949]], [[0, 0, 0, 0], [-3905057209164047576766/997949, 12563214063097110069180/997949, -2596254359131404030195/997949, -890312096105484298755/997949], [966174190745771761/2, -1504634047369374615/2, -727960422641431303/2, 571275435504642461/2], [-129102265170542394/997949, 434323749920546313/1995898, 99596731852515267/997949, -161373099820278033/1995898]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [238, 16, 14, 0], [-34, -6, -8, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-663850243927695916/10977439, -11839068304949068/10977439, 25919933799421031/10977439, -80793836514421806/10977439], [191736536231/22, 11516812510/11, 12772826639/22, 3154392679/11], [32554572/10977439, 41065899/21954878, -20270333/21954878, 1/10977439]], [[0, 0, 0, 0], [52733153586616829247529052439/10977439, -65476947341687676611905790232/10977439, -44481023834429041599076492537/10977439, 29747588390370298262453507472/10977439], [-7561234706108391291898/11, 9395096671040972462075/11, 13390749797379169656157/22, -8848776082112321308489/22], [-1472198574709831143/10977439, 2324585725064786376/10977439, 1070722212729622656/10977439, -1729649803732623681/21954878]]], 0, 81469440, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[240, -736, -240, 272]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-382, 0, 0, -2], [-3968, -6, -8, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-57, 0, 1, 1], [-176, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-76381715817660, 233337487181932, 76270418447844, -86166826520646], [-793180541380920, 2424233035813380, 791729670277920, -893846560205280], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-250, 14, 12, -16], [2212, 10, -6, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-588976306142507566400/11, 42110470397910715605/11, 29530561623852682314/11, -37788719310057334281/11], [5206361431728083634902/11, -62415903591781062343/11, -15889715508238484211/11, 21090291395440748203/11], [-10/11, 28/11, 5/11, 2/11]], [[0, 0, 0, 0], [-11901366264816433801701812955968347/11, -400961956133710751662189310686844/11, 4625017778581802878493010776609601/11, -721771063117334237780533558283085/11], [105823124960765006610952518007666906/11, 8174989612149640529100030295091056/11, -39235264008122400631244282028512675/11, 4632676395250698491897447494246323/11], [-187854622438657/11, 575960943686030/11, 187827384922792/11, -212853251758000/11]]], 0, 47001600, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[80, -576, -240, 208]], [ -11413, -54, 56, -35 ], [ -32, 20, 12, -10 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [58642432406/12401, 344592966/12401, 280733814/12401, -8044/12401], [-20996172/12401, -123404/12401, -100540/12401, -6/12401], [0, 0, 0, 0]], [[0, 0, 0, 0], [2789557077939293156328869223800642226/80488478430499, 4764783933360841675001488279813320546/80488478430499, 293966780128653008672262939516155135/80488478430499, -1549272393443327699372198005140052318/80488478430499], [-307763387391099013932389/24802, -525684543665188043298477/24802, -32432507444556449218633/24802, 85463335092292093347669/12401], [191665357378317/160976956860998, 302215063720317/160976956860998, -73194761305915/160976956860998, 1/160976956860998]], [[0, 0, 0, 0], [60684103580171641567030210127394422273691292868558872962887/80488478430499, -1393509691306979139242314201468911652771898159341215816918/80488478430499, -26405975115813628094444708425289340464836268668125624777614/80488478430499, 6431736519992824924786818620656972830043044908986259999166/80488478430499], [-3347542996883214179382762716336628810713653377/12401, 153731190947759544981901849706458071316288971/24802, 2913285218630863766089152799436746363677159285/24802, -354794861519806936430205958108666319579359007/12401], [1454322365825450830278740905854204295/80488478430499, 548502282372758815956178537033489102/80488478430499, -859421937869794893843812482834852651/160976956860998, -223698368569469431388878188982663680/80488478430499]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1664363296464/12401, 5776763852/12401, -1098703774/12401, 355272/12401], [35554946/12401, 123404/12401, -23470/12401, 6/12401], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1671777720301519203595172996975844677330/885373262735489, 190935738469491584121942501807307796163/885373262735489, -634601378090426668662271533332226397426/885373262735489, 318809470007895338972397085025340632709/885373262735489], [-5502415726819350300370583/136411, 1256876323667039851093375/272822, -2088700475376233495521394/136411, 1049315974560890883265269/136411], [30688400517319/1770746525470978, -1096463883812576/885373262735489, 2579278168338260/885373262735489, 1/1770746525470978]], [[0, 0, 0, 0], [900610320556265000008049595436818631688847274626851664465054/14514315782549, 626103138170629912471933549524707617552807673164527625703579/14514315782549, -187539536900283227440786322228845403181710908126534913553322/14514315782549, -155429850473287192914572904102430195010371418439884653882408/14514315782549], [180817993054092461358449994411159534618578304164/136411, 125704421776849874493871771242664587140058960207/136411, -75305653523319237746433711193666307132663681311/272822, -62412142368190373211868944615589605354328342603/272822], [-414344321332329215407562911474495617/14514315782549, -121908208099354600777038480410279080/14514315782549, 121415420496942126013087040512288555/14514315782549, 100748246658678325424645658339646181/29028631565098]]], 0, 47001600, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[64, -448, -128, 128]], [ 2, 20, -44, -30 ], [ -1, 3, -15, 5 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [254930, 16994, -25496, -8], [120, 8, -12, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5803130031288479586725/20759, 1538607045463566189623/20759, 4637588405554409684465/20759, -1998700018832913809215/20759], [-2731608049811155814/20759, 724228058233219046/20759, 2182887825089177428/20759, -940786001944541888/20759], [47768/20759, -100514/20759, 20947/20759, -2/20759]], [[0, 0, 0, 0], [31400345084267071235928653600342407/20759, 17864003078984932903279022384656208/20759, -9841485016573734071320324546122411/20759, -2852704172170629198702859044148883/20759], [14780814002514361763991659688142/20759, 8409310808485684046638331211014/20759, -4632464422905039007193261535906/20759, -1342985971489275135579496997874/20759], [-208853626018666343/20759, 522116180862702751/20759, 167434226631851946/20759, -184000825677201065/20759]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [106996551286/20759, -651221510/20759, 3101841328/20759, -282128/20759], [-5741984/20759, 34956/20759, -166448/20759, 4/20759], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1021658501928652578924577/228349, -126745023066287662110791016/228349, 40003357072267738657205976/228349, -5045581743842297866196825/228349], [54813359672488331636/228349, 6801778052131250528888/228349, -2146749137941904737800/228349, 270762075307441334774/228349], [551118/228349, 1105685/228349, 1577402/228349, 3/228349]], [[0, 0, 0, 0], [3111489042750941539855319930988478993051/228349, -4020534721617855325817532759859689264793/228349, -2193756359631244533622473206708443361571/228349, 1627770194501055725418946054927568747112/228349], [-166978492765381567082157078640415118/228349, 215762483597313882940495732144067808/228349, 117728277729977532304980418936948706/228349, -87354516269903809044690490407039462/228349], [22670400499414580050/228349, -9275061703139674857/228349, -10932280871606296227/228349, 4634830839653178660/228349]]], 0, 33423360, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[-6, 30, 13, -10]], [ -24, 6, 3, -3 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15, -73/2, 11, -3/2], [-86/5, 33/2, -13/2, 86/15], [23, -5, 3/2, -2], [19/15, 2/3, 1/6, -1/30]], [[417662, -2688189/2, 865325/2, 1382648], [1175915/6, 11616893/6, -3486293/3, -1954447], [350238, -2380707/2, -1086519/2, 914655/2], [160855/3, 5830/3, -444935/3, -262615/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-53/2, 9/2, 21/2, -1], [4, -58, -63/2, -17/2], [-28, -33/2, -5/2, -2], [0, 0, 0, 0]], [[-36554324608, 58902353263/2, -13607640527/2, 3736791099/2], [-2111332650381/95, -27651855797791/285, 9181400410209/95, -25335215588071/570], [-765134333552/19, 1555700831/19, -61712444328/19, -7174688658/19], [-72/95, -619/570, -26/285, -1/285]], [[-586680501076459614181/2, 379851975829814584450, 400461416671422143429/2, -302429955682634648061/2], [179205085753423286749799/570, -9312786959357967590185/38, -10546485808690509192637/114, 7883070253603454750057/95], [-4029548574155134449288/19, 6563224816720198732173/19, 3281263404949405270233/19, -2533051842990965076666/19], [-131798702596/285, 511716871127/114, 196170041803/114, -143444460121/95]]], 1, 240, [], [] >,
< [ 1, 1, -3, -1, 1 ], [[96, -480, -208, 160]], [ -24, 6, 3, -3 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 2, -2, 0], [102, 6, 6, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-32/15, -32/15, 34/15, 2/5], [-8, -934, -146, 286], [16/15, -14/15, -2/15, 2/15]], [[0, 0, 0, 0], [-933109/15, -3118489/15, -1353332/15, 81529/5], [-35508757, -61018485, -907963, 17905555], [-173983/15, 317034/5, 385111/15, -112917/5]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [706, 690, 78, 36], [-42, -76, -8, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2341562495600323/57, 8865420067311256/285, 6737782992436918/285, -4251645417739661/285], [17251949558147/19, 532682429502/19, -276502731524/19, 340608876/19], [51/19, 104/95, 27/95, -2/285]], [[0, 0, 0, 0], [-26946266115482119951106476/57, 13450028013609392695983362/19, 22272961066706118756628552/57, -16541926625015692110935914/57], [103821365119408197692700/19, -401205389389016471377142/19, -175009500616632598708896/19, 152357711363692928519558/19], [434880712832/57, -3846419654920/57, -494462148032/19, 1306202019664/57]]], 0, 15667200, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[1, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9, -81/2, 61/2, 49/2], [-19/2, -87/2, 30, 55/2], [1, -1/2, 1, 2], [3/2, 5/2, 3/2, -1]], [[898265/2, 214103, 145525, 165705/2], [978019/2, 145528, 354497/2, 98496], [721600, -432400, -150000, 121200], [681723, -363825, -363447/2, 211113/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[14, 61, -85/2, -23/2], [33/2, 76, -89/2, -13], [5/2, 1, 0, -5/2], [0, 0, 0, 0]], [[37670007/2, 31002510, 28452490, -300005/2], [-146525011/6, -266738232, 289215869/6, 242403200/3], [-48190000, 71155000, 13375000, -17227500], [1, -4/3, -1/6, -1/6]], [[1528855902763, -13386003389987, -1350131153053/2, 5654134122385/2], [25512164354907/2, 11110005713691, -4452235317166, -8145176879905/2], [-17726048240000, 9900850150000, 4416394130000, -2641016640000], [729221/2, -179635, -86419/2, 40782]]], 4, 2, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[0, -8, 2, 2]], [ -2, -4, -4, 0 ], [ 0, 2, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[41/2, 23/2, -12, -3], [260/29, 2068/29, -1070/29, -1903/58], [1, -5/2, -2, -3/2], [55/58, 25/116, -69/116, 1/29]], [[-8573185/2, 6031430, 405467, -2982191/2], [60461709/29, -42143399/29, -77564344/29, -14361313/58], [-626780, -789580, 183150, 48840], [-25395297/116, 31671221/116, 409224/29, -6712603/116]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [241/2, 51/2, -111/2, 41/2], [-5/2, 1/2, 5/2, -2], [0, 0, 0, 0]], [[-33/2, 127/2, -143/2, 4], [827493289229/29, 243069765870/29, -356604066183/58, -161881037807/58], [-580999269, 38550139/2, 54779507/2, 21909996], [-53/58, 171/116, -1/116, 3/116]], [[55287063, 1043921639/2, -538696775/2, -69940380], [1652408173269646615/58, -3331595697195868159/29, 81606611863494315/29, 1801124204879569573/58], [-31153856395642545/58, 83930004073990312/29, -21712811699793333/58, -41710051539601143/58], [-93853161/29, -116447438/29, 749147/4, 289380579/116]]], 4, 4, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[1, -5, 0, 1]], [ -2, 2, -1, 0 ], [ 0, 1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15, 58, -63/2, -67/2], [21/2, 51, -49/2, -30], [2, 1, -5/2, 1], [-1, -2, -5/2, -2]], [[2806136, -8153863/2, -4412525/2, 491345/2], [-1867906, -19188, -1565939/2, -731843], [2912624, -2038776, -765016, 566352], [-1482065, -1383915/2, 480935/2, 88335]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-19, 14, 67/2, -3], [-104, -133/2, -75/2, 15/2], [32127/58, 4237/29, 10945/58, 67/29], [127/58, 39/58, 49/58, 1/58]], [[-6756759931, 8852654232, 12049069455/2, -2375873057], [-78508283523/2, -17642423997/2, 735240246, 1165896011], [12528257448439/58, -232638296921/58, -195516823112/29, 322132559121/58], [49566680229/58, 1223798499/58, -366796749/29, 969562473/58]]], 4, 4, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-2, 2, -1, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 21, -29/2, -21/2], [51/2, 26, -43/2, -17], [-1/2, -1, -1, -1/2], [0, 0, 0, 0]], [[-739495/2, -923426, 718614, 1152232], [-74445635/2, 48552135/2, 12126582, -12028467/2], [670516, -208005, 22393, 92561], [0, 3/2, 1, -3/2]], [[-852805337364, -2686374082736, 523167836285, 731028854879], [-64590357022279, 47163816830292, 16374169968695, -12392338026425], [948199138425, -1557290521486, -213994726190, 437348301019], [-350154, 430122, -266778, 44238]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-6, -55/2, 33/2, 13/2], [1273, 89, -85, -387/2], [-2, -1/2, 1/2, 1], [0, 0, 0, 0]], [[10646797/2, -746204909/2, 414394917/2, -515105635], [3381559517237/29, -50064227136529/58, 667836430693/29, 13179133404147/58], [-24644825429/58, 2693886395/29, -984509277/58, -392668702/29], [-56/29, -43/29, 59/29, 3/58]], [[-100350512896281/2, -249514610962071, 19054022822643, 155202797952805/2], [-311531222300573869/29, -2378141563917818239/29, 328541840081862119/58, 1346898428011568427/58], [-1294140922145769/58, -1713630647501955/29, 576971457603033/58, 480037888141817/29], [-818232/29, 646737/29, -301584/29, -10300/29]]], 3, 4, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-3, 0, 2, -1]], [ -2022, -11, -5, -6 ], [ 0, 34, -34, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-6, -49/2, 25/2, 19/2], [29247945041498845678797/222158690458, -14080731978997202332453/222158690458, -57184662331674663958043/222158690458, 677688735293/222158690458], [2546846354573/68, -1226118992479/68, -4979513897299/68, 37/17], [-74377841099/1888348868893, 143229815827/7553395475572, 581684863295/7553395475572, 5/7553395475572]], [[1729613609800, -36772500648360, 3982048835740, 11476195075680], [-518529177709779339089180746882809755/222158690458, 384752258210079016444213816974095287/111079345229, 52037101387803801991458285588043756/111079345229, -213659313518212471015117174376527049/222158690458], [-11288093437822232568756178/17, 67006751061109347013558313/68, 2265637838515156119687971/17, -9302490191603905553490195/34], [2637250632750147231439791/3776697737786, -1956858321671107362853059/1888348868893, -1058647300552567782349215/7553395475572, 1086675897904066544835111/3776697737786]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7/2, 0, -3/2, 1], [7529782503637, -12047652005821/2, -12047652005851/2, -11/2], [-152256528079392/17, 243610444926845/34, 487220889853503/68, -233/68], [5/68, -1/17, -1/17, 0]], [[-399177317499716, 5698959036535289/2, -1228691848615973, -322670177809287/2], [745828801204622382767131486879737031637/222158690458, 421374563585007408731630318725065397881/111079345229, -393349019352060368167416269042912439625/222158690458, -258850013374287582737457055341935940981/222158690458], [-231605253416192930039209007687/58, -2224469692250916457041928294511/493, 122148272044140470252866016459/58, 1366489720430714631219903772273/986], [1795290503449010328809872536/54762117197897, 4057176398519887747064674875/109524234395794, -946833586799205904093704813/54762117197897, -623079948208140402696829836/54762117197897]]], 4, 4, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-1, 2, 1, -2]], [ -1309, 45, -2, 4 ], [ 5, 30, -47, 13 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6504163522, -20859053246, 212895879035/2, 13/2], [-17632259968836593045/36674994838, 28274026268925863181/18337497419, -288578850398824507101/36674994838, -160762263846/18337497419], [-60667/31919, 147265/63838, 19704/31919, -5/63838], [-8244880079/91687487095, 52883104531/183374974190, -269872893409/183374974190, -3/183374974190]], [[4645561221923626673438473, -3599972279587270883069917, -5844814221591017803655797/2, 3412913839371604281780151/2], [-6296943828797667630963593308652685/18337497419, 9759352297707790399562503489141557/36674994838, 7922557990451819529791586603764135/36674994838, -2313072580721930844716143208301225/18337497419], [-22300935990566251171/31919, 16604393356208084147/31919, 6022964563254120565/31919, -4704609149579716610/31919], [-11777704554447083080488911/183374974190, 9126864588778915964043447/183374974190, 3704528449563555019874786/91687487095, -4326309720727292854939771/183374974190]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-31875/2, 12043/2, -9939/2, -6], [-56240635761/63838, 10622283040/31919, -17532137079/63838, -1175807/63838], [-74703/31919, 28220/31919, -46577/63838, -3/63838], [0, 0, 0, 0]], [[218696456819583, 1659976879623/2, -38828732272233/2, -312420713663/2], [13008359417188214610853539071/1063574850302, 214248399173050555803536049/1063574850302, -816564419207295450078125933/1063574850302, -10274573610934296917011383/1063574850302], [30066943212009771/925651, 969922648557133/1851302, -1907390177828816/925651, -23709127129914/925651], [5576446952637/5317874251510, 3097972369948/2658937125755, 12016250377321/5317874251510, -3/5317874251510]], [[255238251962446006525169272383353765/2, -182743486594496827949480400431897153/2, -75645550286898016658791165616337981/2, 27882579786830595836641964197413898], [3793517147280197456986211109563221222934021491653/531787425151, -5398895196139994813588232620413304146392890984387/1063574850302, -2284018204814436209647683097462240666903168729339/1063574850302, 836935716266467298501860199176820818672426186911/531787425151], [17536631888417791220222469017956947047/925651, -12480919265831698318378440523065576025/925651, -10554434139436313012679241651774993489/1851302, 3868029337200855271576946222790217053/925651], [309596485795009377653274609799685/531787425151, -100281820795818726222920768416123/531787425151, -441572000231310263128689502488967/1063574850302, 127213484201669824953489509706867/531787425151]]], 4, 4, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[1, 0, 0, 1]], [ -1959, 67, -5, -1 ], [ 26, 106, -110, -12 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15336363801371, 1160812009997/2, 6029578489427/2, 0], [1557994707834799682979553/187124971078, 29481221693118614450255/93562485539, 153133615822231030251439/93562485539, -597059066247/187124971078], [-56767165134541/5036, -6445074708211/15108, -16738749929587/7554, 63037/15108], [30086115282673/17402622310254, 1138611615445/17402622310254, 3942842337183/11601748206836, 1/17402622310254]], [[-1987907139787962322301636810729, 9756001330978313733971495187985/2, 1034690861780841680931246117528, -3713173230312719556952109008103/2], [-201948052606569170947712242046730444483137/187124971078, 495547661676289277657427042933741536580681/187124971078, 105112457403785980918229685307581851682697/187124971078, -94303713642423720941014553196815085481712/93562485539], [5518641236486933278222733409289/3777, -27083695266014155258373137278337/7554, -1914941112939691433529997397741/2518, 5154081517981408854838904433382/3777], [-1949888648829391874826252596524/8701311155127, 1594903158073879772752831038324/2900437051709, 1014902520306485516713802653880/8701311155127, -1821079613618671284112532487644/8701311155127]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1125/2, -1503/2, -1871/2, 5/2], [-23311, 30804, 38531, 1/2], [-3/2, 2, 5/2, 0], [0, 0, 0, 0]], [[-2833341147093195, 291051894739136, -217865110256751/2, 109380988271733/2], [148706874546768971140/1259, -16704745669392119353/1259, 5504560727971384925/1259, -2554356237939454566/1259], [105152473787057513/15108, -684449481155379/2518, 1614292889724763/7554, -2200585512796181/15108], [4/3, -13/12, 1/6, 0]], [[3075657066479767985027615072723820, 4713509959456793415717437407464114, 15225268708260687730570454913274197/2, 2116796056817381382471204205906374], [-346613066101901472343143345288287773146165723087/2713312080631, -522708126555424938727986678677089961446187219430/2713312080631, -851659290455247300797665999443299298250765959554/2713312080631, -237365508439824545214340769763756974650789429467/2713312080631], [-1074096160563875665218775891221368223/146044, -1650908745470525701475385405889973449/146044, -2982087225830204637536742266485402589/146044, -231709903179590893019970256028228384/36511], [-625007137395911453620731567399013/336450697998244, -458160203139143000806103709102065/168225348999122, 7887539632860852161127315449397/168225348999122, 474386561376894637924926472978967/336450697998244]]], 4, 4, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-3, -2, 1, 0]], [ -631, -2, -2, -1 ], [ 0, 5, -3, -1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11802805155, -5606487331/2, -592970021, 3], [-24944709492028969167/2113860538, 5924532045853473809/2113860538, 1253216095886696495/2113860538, 15873724933/2113860538], [7451709718, -38936258879/22, -8236185285/22, 27/22], [-70600040153/23252465918, 8383986348/11626232959, 1773464312/11626232959, -2/11626232959]], [[23366357133634082476, -33757044828440620449, -14382534140110095485/2, 22157469948925837215/2], [-24691883922400615098898427618/1056930269, 71344029301553924935401871091/2113860538, 15198426552688328061192487249/2113860538, -23414418997375712547144399789/2113860538], [162276034425611092156/11, -234437885987656993660/11, -49942329311366663664/11, 76940242256854291025/11], [-139768955745482968457/23252465918, 201922228602405091361/23252465918, 43015515121195277241/23252465918, -33134459298895338804/11626232959]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, 1/2, -1, -1/2], [-5/2, 65/2, 1/2, -19], [-3/2, 1, 0, -1/2], [0, 0, 0, 0]], [[-4266083702, -2284971059/2, -331475741/2, 10128], [59779471801358089715984/30650977801, 16016940539736727716730/30650977801, 4649759809528917431445/61301955602, 4248394118424679/61301955602], [-176047352334551/638, -23585436030809/319, -3422607373193/319, 19331875/638], [1427545044187/674321511622, 191250786836/337160755811, 2523032269/30650977801, -3/674321511622]], [[-22953881157110806921245103/2, 196189638816138278338837199/2, -11792295496611331595267214, -54101711706123943334940475/2], [321546331034201853974472749688843643665/61301955602, -2749513299023029796716235032341474457905/61301955602, 330534519060331891852427563220663091997/61301955602, 758249633365906179446748368762376311045/61301955602], [-473470380538692564221992984671/638, 2024281539052839117308596705739/319, -486681265134445462694187147263/638, -1116506131417461321585299983745/638], [3839314189151985525003884347/674321511622, -16414627973662028724536664766/337160755811, 3946431119548054496491078013/674321511622, 823054406185309389179895881/61301955602]]], 4, 4, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-4, -1, 1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, -37/2, 16, -1], [-285/2, -59, -25/2, 47/2], [3/2, -5/2, -3/2, 3/2], [0, 0, 0, 0]], [[-7587403/2, 562927355/2, 24848577, 288860809], [6434675608, 124794005296, -23724051173/2, -38691431448], [295018349, 3563305, -1990247, 370107], [5/2, 1/2, -5/2, 1]], [[9655145216472677/2, 24293789821278390, -11851372228614901/2, -18512245341206285/2], [-109596063013998047, 249432721143148061/2, 98174477525201893, 4273536901857407], [2564922688690236, 2690415090717684, -1398694552113168, -1019882184712932], [31713675/2, 6022975/2, -7414575/2, -7336875/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-31/2, -65, 60, 3], [-8217, -933/2, 382, -805/2], [-5/2, 5/2, -2, 5/2], [0, 0, 0, 0]], [[130503404274351/2, 5460163800630249/2, -169066874559321, 4745983970639287/2], [109786468772619794251/29, -363279269183920771031/29, -27309629335669662158/29, 189625616250558680847/58], [142283160188409527/58, 889545764369133/58, -173005263184257/58, -750189870857309/58], [-27/29, -43/29, 205/58, 3/58]], [[-25206915342826750024875179/2, -15626995954055704831979393, 18174408177058327741039865/2, 4602305322880617647720407], [5462038035738989697267107785479/58, -1867771220575448051297768001865/29, -710128672613773292913046642100/29, 980886658873114394745548637131/58], [1014961690281808209093116495/29, -918355734311247115387203552/29, -498798043355701414371251675/58, 511085009486691777346569895/58], [-243295806000/29, -64825090200/29, 62674246800/29, 61660611600/29]]], 3, 4, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[1, -8, 1, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, 41/2, -14, 0], [239/2, -71/2, -79/2, 54], [2, 1, 1/2, -1], [0, 0, 0, 0]], [[-225264683/2, 423459998, 608983871/2, 1241432430], [148779158189, 390720950150, -272427027791/2, -293742189873/2], [920255155, 43582533, 41708988, 4556806], [1/2, 1, -1, -5/2]], [[-10884464857280203, 52248598802190722, -4862021708338394, -12758821502210651], [6014057775837381763, -4459676343040779541, -1470595982080977805, 1236702248202583848], [88898642968836935, -60330572146206596, -22508385883233978, 15620570475662152], [13270633, -77657465, 8418243, 19209620]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, 17/2, -14, 9/2], [-17145/2, -4731/2, -4756, 4755/2], [-5/2, 1, 2, -1], [0, 0, 0, 0]], [[-41, -81/2, 78, 35/2], [-5122873/58, -17718093/29, -496261/29, 5421719/29], [83/29, 57/29, -176/29, -3/29], [-83/58, -57/58, 88/29, 3/58]], [[-1550581729968600, 33410605848462045/2, -3507961237876305/2, -9121091582181285/2], [-187111909823298984913/29, -3538157649709403525187/58, 340092673968630443495/58, 478312263620039302127/29], [4083839814485718/29, -32572613012031036/29, 4072833846972324/29, 8138285636332383/29], [-2041919907242859/29, 16286306506015518/29, -2036416923486162/29, -8138285636332383/58]]], 3, 4, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[1, 10, -2, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, 61/2, -53/2, -3/2], [12, 57/2, -59/2, 3/2], [80, -68, -169/2, 67], [-5/2, 2, 5/2, -2]], [[-78127/2, -378295/2, 56731/2, 54244], [-2667/2, 9667/2, 9347, -1816], [-32060, 24314, 11931, -23320], [-162, -6237, 405/2, 2268]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-59, 77/2, -180, -9], [-6399/2, 25, -363/2, -39/2], [-887/2, -3/2, -1/2, -3/2], [0, 0, 0, 0]], [[392257063787567/2, -812648860242859/2, 1065720472193720, -38247461021999], [789334385065379099/58, -103352696714784381/58, 64506377639161699/29, -5032495473912278/29], [109856650025012657/58, -11392698718239739/58, 4800364300750195/29, -558381483414404/29], [167/58, -9/58, 20/29, 1/29]], [[-6153145376325396272396237414, -32351626591107618898013277915, 9897366768426836088753337798, 9085454969853470513467950162], [-513243441548892493853571277853/29, -7944726831989722739636420565339/29, 1554686827452974349631636096921/29, 2276827912744802319450081623829/29], [-47344614444810643465758650369/29, -989872929109435034953518668265/29, 179335413611661973022039527333/29, 284341043188735719867306788577/29], [-216796590056264/29, -2168798837170440/29, 433510110188848/29, 650722785015312/29]]], 3, 4, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-3, -5, 1, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5/2, 11, -5, -21/2], [-150, -78, -273/2, -23/2], [-1/2, -1, -3/2, 0], [0, 0, 0, 0]], [[-8247755, 2313542711/2, -125971239/2, 1331087473], [432616034119, -223002493853, -74826419470, 119873959789/2], [1211394933, -10102806, 22288959, -656397], [0, 1/2, -3/2, -5/2]], [[21105311834049603, -50464646342790372, -14472633900243759/2, 36240817436284353/2], [-97578941822086271089/2, 37183262031641547598, 12461793945080025097, -19849322327252944575/2], [-125816738323358502, 89522215072840179, 33008491776347829, -23939336430935037], [53312529/2, 43678677, -16714383/2, -17715435]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13, -109/2, 81/2, 31/2], [-68, -281, -186, -1757/2], [0, 1/2, 1/2, 2], [0, 0, 0, 0]], [[50206016, 344105646, -437939195/2, 113564284], [11052085741/2, -88204079013/2, -38957359029/2, 34169950167/2], [142669157, -50858083/2, 8440471/2, -9665707/2], [3/2, -2, -3/2, 0]], [[-3731465133478293566, -13184377625966137280, 36079047436216880103/2, -5105544135109643248], [-1040130117436484849840/29, -7989489929001965077931/29, 45845398431280482266407/58, -10317584520803638087664/29], [21796855618858716456/29, 2379370033060362314/29, -111228049937569152679/58, 26907861134507684659/29], [361294098890/29, 600338014455/29, -238695159527/58, -240715361073/29]]], 3, 4, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-1, 24, -2, -9]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-124, 285/2, -183/2, -3/2], [-381, -176, -1, -397/2], [-185, 1/2, -3/2, 0], [0, 0, 0, 0]], [[44993753276512644, -100977231526454443/2, 70002908825484825/2, -2453685384763118], [147317143512489700, 207556181526676265/2, -53994856845747777/2, 55838750040442822], [67065094918853419, 509503297131833/2, -452460840692009/2, -1446740497394370], [2, 5/2, -1/2, -1]], [[298454213045040720649911779401, 668216718238520210018852094259/2, -364826508540259518843561909560, -152325234875167880547853955161/2], [1263112938953754066909487006197, 7194333764121243672928343929223/2, -1482937397630941034665745288320, -3673462834704766499893840002917/2], [293742746990804735711760580201, 316424276621501598792728030779/2, -253919684824338584096439363680, -182247416757546176630674594481/2], [910222282721, -43603173827821/2, 1815486461600, 16351238549079/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6, -11/2, 5, -5/2], [-23159/2, 41/2, -48, -45/2], [17/2, -1, -1, -1], [0, 0, 0, 0]], [[6684473648631639/2, -3727501652251967, 2333168506269994, 56506415189647], [-845291187792535280539/58, -1069481491502859495041/29, 237739545690075076344/29, 360319387129292196080/29], [287447787476792685/58, -37332081949909/29, -60475990687178/29, 12090978731333/29], [7/58, -39/29, -78/29, -1/29]], [[-4383813130038709599423824739877485, 6113649647634464239898356191021059/2, 969658481522248831957708340832663, -658512091587228760176752447173313], [196710844511408904202598900240969662705/29, -301931569157111541444016329804426553171/58, -39883449076757432084286134442045749687/29, 43911755199725540535916466755173479957/29], [-150875670547950553752468039755045375/29, 194827309742413169988152276589947281/58, 39267354709431554142989294577437677/29, -23808577418808579931580451039532347/29], [-1614270644767860525/29, 77486276505734529219/58, -3228674447353771017/29, -14528631431690932833/29]]], 1, 264, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-15, -24, 7, 7]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-473/2, 33, -220, 11/2], [169, 337, -19/2, 659/2], [659/2, 2, 3/2, -1], [0, 0, 0, 0]], [[-112226134417933075/2, 6689994917859955, -104106172094515323/2, 17013811417655447/2], [101594520681949955/2, 123382143559520109, -43795275578089924, 128584671450228257/2], [77180107506732944, -6363402969610365/2, 132616246269696, -2967133122240525/2], [-2, -3/2, -3/2, -3/2]], [[255503185024679675071558640567261/2, 59062256836221087622094531451681/2, -51276211998286131852479083369447/2, -38974939501572175911596372736263/2], [-222382634617251260664001262149651/2, -299059176233340586238147083287401, 181446443958725537502446607448137/2, 139808851047018021691925188201151/2], [-149790348447052930172731805393036, 42240892735226223060001137737894, 37657940467384364237776829426508, -7294370020882017855638635077866], [5393377405886360, 17253758537956655/2, -2516765366804700, -2516022420868825]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[499/2, -77/2, 459/2, 2], [-17036, -331, -81/2, -376], [-697/2, -5/2, -1, -1], [0, 0, 0, 0]], [[500403380606367957068921, -139669064270362301934717/2, 907065306428394469389509/2, -8587651129745125505960], [-986802778742230089386071514/29, -14206455073335849251631596/29, 2124912393334695477769091/29, -17936867916467260203743756/29], [-20176402758234558350255491/29, -133245907013878837443/58, -254234760318193813939/58, 11751267533614743502145/58], [71/29, 54/29, -8/29, 5/58]], [[-108777594185516557544626566457210432100333, -339970588967093415911356904318444547603613/2, 56517280472412324698947529466405991297157/2, 64625144080479758568385682563725315518337], [155095610898094896503565275709000130722551447/29, 190056753005505129497051075648259981074714983/58, -94231424720900706896137598603900887590256223/58, -34998688280294237456438066625596202532884387/29], [3119812706634093266464756712589567502041163/29, 3331476226304314456170098927393010731218043/58, -1791300763090952011582722713486649231484627/58, -644753352431635827480310431812723864942007/29], [-12401612802797076173/29, -39684938608696562653/58, 11574782526679384517/58, 5787402112986419697/29]]], 1, 264, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-10, -28, 7, 8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11, -12, 71/2, 11/2], [-571/2, 30, 73/2, 106], [177/2, -2, 0, 5/2], [0, 0, 0, 0]], [[4147121065519057/2, -2672235460282801/2, 6192376237838262, 313557252113877], [-95986415683224931/2, 12972636311805787, 740370280473582, 17454776470855921], [15504437657411386, -89639801598946, -78719585535761/2, 179548035726315/2], [-2, -1/2, 5/2, -3/2]], [[3752121105898610131617094493, 30878311584607633507171316681/2, -2280053822599667045767644095, -9730692689145357124492837827/2], [-4096250695047762561032696525/2, 66292036223287437391149440825/2, -4983360280694804178710078630, -20385112998749412520362616269/2], [12552170427791777368107367741/2, 16349126118596783173763897614, -2850204627588085911202779783, -4985803257531330159388745163], [-810606080270, -2268906704344, 567579334770, 648005691060]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[17/2, -13, 69/2, 5], [-9595/2, 26, 43, 225/2], [75, 0, 5/2, 3/2], [0, 0, 0, 0]], [[-6601205282365790633, 7714817333658499337/2, -19749115219715124004, -1204682721118789593/2], [90266956540443351618695/29, -5686509565271945530329/58, -2523904269216504392677/29, -5364919681536587388043/58], [-1419654953236164168126/29, -516436828447838131/58, 794277003577496750/29, -1604625633294584313/58], [-16/29, 195/58, -8/29, 5/58]], [[-3257076842670187658418470988926726191, -48215342582100153123981173252521798671/2, 2388642631643784101752969241454482218, 8153718126240566858720953665280119524], [-9290286472224084316866811684272036274867/29, 103209266533748894463088658351639159710925/58, 600014981621086213143781827355110657688/29, -15750467274960280004331724274850787296510/29], [112266853549894564035671986221729631351/29, -1921878748196744071104403913257766481891/58, 19615045966005006887717355266464370456/29, 293791183731961075392528122169614557346/29], [20597699244507019635/29, 115347103048011019185/58, -14418427636467074220/29, -16478126001247100190/29]]], 1, 264, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-2, -38, 3, 12]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11, -221/2, -142, -9], [-511/2, -139, -71/2, -389/2], [-381/2, 5/2, 3/2, -5/2], [0, 0, 0, 0]], [[-15887175844840, 185230334055447/2, 161461913775929, 28946362389103], [236613188339706, 97416170167807/2, 265196472074051/2, 466198922789977/2], [391224918520537/2, 12605841689249/2, -841118411682, 10649387904511/2], [5/2, -5/2, -3/2, -2]], [[-850260470030932054715849664, -4671178239281808900551600055, 634183002895606827587869416, 2813397656179551281734261683/2], [-3279757702729963252637079983, -20035973597419218230407166185/2, 3344159598041665025112464015/2, 6331416439022034972917595237/2], [-1250913754561411407994952379, -1294928332832475314372215869, 469674313230595094965658232, 394559267167042361008246479], [4936448695110, 187905582602595/2, -14818782005565/2, -29669912255100]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -9/2, 41/2, 23/2], [10244, -12, 55, 127/2], [16, 5/2, 1/2, 2], [0, 0, 0, 0]], [[-172579631700157/2, 2488902368248889/2, 2871041500360951/2, 37591271659677/2], [87199316144134522527/58, 40392984495666100211/58, -93512443553193927031/58, 30546850610464560263/58], [112364393703419473/58, -21899414209877/58, 22983056802077/58, -43339928061393/58], [83/58, -175/58, -89/58, -3/58]], [[-678908606254944026155516018305/2, -1850089050294027225604927885161, 663730345438684558523594424195/2, 1049784064910091777812894477769/2], [-13672128959119527902225194313612077/58, 1627998006956312562321953346546279/29, -11802102651366701001263122024447361/58, 8204643516985963161676560370592821/58], [-29277555314882296083878388992547/58, -14751348312288799660655294039115/29, 13856240594438969880057682746153/58, 7582093053089339095674891409659/58], [7791930344077215/58, 74035415815303815/29, -11688692132282205/58, -46759273416425175/58]]], 1, 264, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-7, -11, 1, 5]], [ -1309, 45, -2, 4 ], [ 5, 30, -47, 13 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-95226718648, 82985017183, -234276673609/2, 7/2], [129069563931701421615/18337497419, -224971733660948960509/36674994838, 317559547750668594295/36674994838, 228300558917/18337497419], [1964942/31919, 66304/31919, 68724/31919, 1/31919], [48284080697/36674994838, -42077698069/36674994838, 29697567719/18337497419, 1/36674994838]], [[-152972135259356199192803934152, -103602513894737340283382074027/2, 114170183476616677981823892467, -90582906384271596328754115895/2], [207341381154517861411869754921312091601/18337497419, 70216216538660397228018938105532555890/18337497419, -309506170946715210108779910466131446261/36674994838, 61391223258342786886823095332358752497/18337497419], [2305045077326697450438072/31919, -5742842666335376475123/63838, -1533077628421619864308203/63838, 204405728651759482374537/31919], [387819225057710975794514572631/183374974190, 65664757447897597228713943514/91687487095, -144724644253917301268334086296/91687487095, 57412542507227563164484524733/91687487095]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[940777, -50861, 20709, -2], [-461832607593/31919, 24956227293/31919, -10175238594/31919, 477053/31919], [-1226958/31919, 66304/31919, -27033/31919, 1/31919], [0, 0, 0, 0]], [[551552165679496266985/2, -12699404419131167505/2, -10798983741931232469/2, -8385453707016252505/2], [-2255506010059884340676568790638862/531787425151, 51859951976539115915215089083506/531787425151, 44126183010073286700542007445926/531787425151, 68593381333905438024491281352885/1063574850302], [-10430335804621318441836/925651, 479682027778509319409/1851302, 204051912468590419762/925651, 317197197370136695423/1851302], [-1058694176003/2658937125755, -2057073026433/5317874251510, 14999265964047/5317874251510, 2/2658937125755]], [[-102116699514111887455042202745923885812148937/2, 43846122968447650547916560844019830474313347, 24349691992505424008170466579034284120854115/2, -22403117176320900847291049533745929107250463/2], [417591090393695029361360882130954051837000061381026177190/531787425151, -358606200900702496450495444047165784691339113494242704182/531787425151, -199148957580565924773547692334426310709355043055317567713/1063574850302, 91614535366948848967354907746895109293267661808472797383/531787425151], [3862208477116531853903150225889457490144281917/1851302, -3316669814658676629050744723526257603973411399/1851302, -920942346531403816648262352658605175411292919/1851302, 847322573575444546857135720663273209069433237/1851302], [251264345721738827079099462188826043/5317874251510, 96341183604646105058416870656513319/5317874251510, -191086394775902779592150738916820661/5317874251510, 79652162977062831734322189197455893/5317874251510]]], 1, 128, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[4, -1, -5, 0]], [ -2022, -11, -5, -6 ], [ 0, 34, -34, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-83297601455, -320786078041/2, -475372039903/2, 59/2], [-19967320956448166523291/222158690458, -38447917239032881728265/222158690458, -56975866749728299163873/222158690458, 131052681491/222158690458], [-73756703301015/68, -142021637869259/68, -210461489265179/68, 175/34], [96398743577/3776697737786, 371239679659/7553395475572, 550139098715/7553395475572, -1/7553395475572]], [[45177515258980169874947901383/2, -9939554095833450001206767774, -28103593584717582985863996350, 2907790184251717488591522685], [5414765439949448855204659670709955117723/222158690458, -1191308414873923650383369838987264200277/111079345229, -6736730262821413074834976080014080582681/222158690458, 697028231927897677949628040272967833711/222158690458], [10000721902403907744932376589297/34, -4400539328258766617305028298517/34, -365950162542488276051100341862, 2574732212884882599127398916941/68], [-52283086584884810062526795031/7553395475572, 5751429270104485565184643743/1888348868893, 32523758963552039627835472221/3776697737786, -6730261500888031607524982481/7553395475572]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9358448145897/2, -8031277223640, -1573672542033, 4], [482211557025957784557881/111079345229, 827653182901205513279922/111079345229, 162172846448260936808887/111079345229, 432137678435/222158690458], [4045427461058478379/1972, 408438122792006175/116, 1360520038253754323/1972, 92111/493], [5457568517873/109524234395794, 1102023982337/12885204046564, 3670876019987/219048468791588, 1/219048468791588]], [[2165851797006729313530536714786799/2, -316050193860220021795218699786068, -1350873090383355930358842069777389, 65039217849697173227787220416413/2], [-223199135345371940491131099088177139592299411/222158690458, 32570155496846509005031377401868641153831355/111079345229, 139212528955024332216209512681869661362924245/111079345229, -3351267435200735954088612986794993850909841/111079345229], [-55073210474037758655948135745038390995/116, 273241484261271772152796280210696922801/1972, 1167898569136783803683919760037900371207/1972, -14057428919645179491775838518763728795/986], [-631530163799669914106271315523741/54762117197897, 737244277221311909657180236959237/219048468791588, 3151155977624598392031653402925119/219048468791588, -75857873861701598200890537197371/219048468791588]]], 1, 128, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[6, -1, -6, 1]], [ -1959, 67, -5, -1 ], [ 26, 106, -110, -12 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1127791037893/2, 1220481987981/2, 103637617601, -2], [95988026738233267055300/93562485539, 207754190822449495015423/187124971078, 35283027076701912642341/187124971078, -480888307917/187124971078], [-1313049097223/3777, -5683864177661/15108, -321764829549/5036, -52609/7554], [-580290451282/280687456617, -837311189633/374249942156, -213301641737/561374913234, -5/1122749826468]], [[2610479506852717246984223887/2, 3146652851610771158770244993, 1620457853592310498441196815/2, -224051842665834886527769965/2], [444363837070064239801995809005744189429/187124971078, 535632909109181382403006697448984371019/93562485539, 275839311925551067307541604199267040361/187124971078, -38138792750574651289665347815129032131/187124971078], [-12157173189291025142220912047/15108, -29308334750640045375453730859/15108, -628881567532030474695513868/1259, 1043423521280096051947311667/15108], [-2686377669911416942915876625/561374913234, -1079379978811969245346807487/93562485539, -3335143437862035777846844255/1122749826468, 230566019386495233733854233/561374913234]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[340, -1867/2, 573/2, -3/2], [-35068571/2518, 96486171/2518, -14694919/1259, 94015/2518], [-2283/2518, 3131/1259, -1907/2518, 5/2518], [0, 0, 0, 0]], [[-5781939828856, -5762496467421/2, 1338416908352, 3020583964923/2], [2092396811295338976135752312/2713312080631, -350377914893395138748056423/5426624161262, 511830652746402579503694235/5426624161262, -169744985329143124815014701/2713312080631], [1898175465234288/36511, -2193662756486633/438132, 2900076395503661/438132, -1764402013192615/438132], [44681863026757/32559744967572, -15702635781575/32559744967572, 2085069789379/5426624161262, 1/32559744967572]], [[203661055335807858858215324733958, 387729917999889819015438433423072, -272577418153983528857578579695171/2, -110191632641927811761166767154852], [-62025290674591298954970371611136770916311554823/2713312080631, -56889288346487954100666795699300400936402225561/2713312080631, 45705173915088898245864683501793853363091178685/5426624161262, -13189836601592129797302328950643509539278739251/5426624161262], [-112143810659617947172140613319404509/73022, -300753620152786490845871777711592733/219066, 61175772014670488293333555171791143/109533, -40093753963777182928991680811451479/219066], [-303350798955016677628882606992218/8139936241893, -102725493085159454124246085331204/8139936241893, 20292715996869060486125966243118/2713312080631, -146061568134135333011364704817368/8139936241893]]], 1, 128, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-5, -11, 0, 6]], [ -631, -2, -2, -1 ], [ 0, 5, -3, -1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6759600123, 8347703516, 516984181, 1/2], [31314164769851428974/1056930269, 38671128423286752169/1056930269, 2394953299983176426/1056930269, -6331696165/1056930269], [6187005916863/22, 3820291901862/11, 473191297753/22, 361/22], [-38999276018/11626232959, -96323566087/23252465918, -5965443797/23252465918, -2/11626232959]], [[43442699786576064926520447/2, 39785693488217036548673479/2, -64611138403753256875548991/2, -6413759351716294231988973], [100625172682851950269375320107234831/1056930269, 184309092837911004571296491824653671/2113860538, -299314133099647592723494740001945721/2113860538, -59424080764918421754213257014245457/2113860538], [9940685684777361343552586593/11, 18207757678074677538682970677/22, -29569019736956211205159469829/22, -2935230288412153380325187311/11], [-125320567015799861616890245/11626232959, -229542165202138938569425255/23252465918, 372771701713390231317766005/23252465918, 37003958857634952052128750/11626232959]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/2, -245/2, 4, 2], [3157, 45, -41/2, -83/2], [-233/2, -2, 1/2, 3/2], [0, 0, 0, 0]], [[624201657419/2, 423984408606, -2781688174849/2, -239582148455/2], [607942481970438382683155/30650977801, 1058493861909457148110243/61301955602, -163170865819802815931434/30650977801, 256323668384231672186645/30650977801], [-406579681422742/319, 622555074450184/319, 65800415506344/319, -199824106626077/638], [184564634589/337160755811, -1751154816223/674321511622, -5387621197/337160755811, 5/674321511622]], [[-11511672135784169022977599/2, -19393247866435116215153181/2, 24919089374890366088606009/2, 6900981822393331830080989/2], [-16881345887001080889299110405524341347/61301955602, 11793442285890079259698166070628050543/61301955602, 2296284738790507412189898415856866887/61301955602, -4895978553355222492036263799743396629/30650977801], [17742309108034272875500570379/638, -1479276091346238304539350993/58, -2123109461367812284871879740/319, 1633747979065245953129126730/319], [-11985460922051445611602191/674321511622, 12409759148586461263811193/674321511622, 1808451569556098572282305/337160755811, 280813354972864281808754/337160755811]]], 1, 128, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 8, -4, -4], [-2, -10, 2, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 0], [-26, -128, 12, 36], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [18, 20, 10, 10], [10, 10, -10, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1450583918/3, -149943249, -250058923/3, 236752417/3], [245458624, -129572633, -79526707, 45316844], [-4, -14/3, -4/3, 5/3]], [[0, 0, 0, 0], [47488366169846/3, -33732174283169/3, -8323569324320/3, 3705131779526], [8363286711165, -5889226384933, -2147381947027, 1635548543297], [-332579/3, -18668/3, 3051, -14897/3]]], 0, 2176, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[0, -16, 4, 4]], [ -2, -4, -4, 0 ], [ 0, 2, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [596/29, -1477/58, 735/29, 839/58], [3/2, 0, 3/2, 1/2], [77/58, 3/58, 15/29, -3/58]], [[0, 0, 0, 0], [-3806494/29, 195879/58, 266285/29, 1566393/58], [-16011/2, -1578, 1475/2, 4263/2], [-171930/29, 171453/58, -16563/29, 18021/29]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-78, -45/2, 8, -3/2], [3/2, 0, 1/2, 1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-426629069/29, -520199685/58, 607670367/29, -198610970/29], [11095536/29, 13616897/29, -46853453/58, 7773842/29], [-3/29, 5/29, -1/58, -3/58]], [[0, 0, 0, 0], [-376802, -1009315, 1357185, -748503/2], [27393/2, 42780, -56442, 31119/2], [0, 0, 0, 0]]], 1, 68, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[32, -32, 16, 0]], [ -2, 2, -1, 0 ], [ 0, 1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, 8, 8, -10], [6, 4, 8, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 1, 0], [1, 1, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-29860570, 16655976, 8833198, -5312682], [-25326340, -21291920, 10538580, 7808060], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, -8, 0, -6], [374, 4, 4, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-325239320842, 5647998253, -4373898587, -6931980411], [746694945123735/29, -430834858207841/29, -189172459990778/29, 123122532920511/29], [-142/29, -108/29, -187/29, -5/29]], [[0, 0, 0, 0], [613408117410778838253, -342204975957439945751, -128989223105177249291, 85253416104446056983], [-51945664984028349539036, 38315073858645675261886, 13250540114323628285672, -10306299997924849305897], [9120249295, -106264115, -124135470, -223206550]]], 0, 69632, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-80, 32, 32, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-22, 114, -22, -38], [0, 6, 8, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13, 3, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-888978, 696234, 222564, -186318], [-873440, -4040896, 392224, 1140416], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4998, 378, 6, -234], [10, 6, 0, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-288451881047843/29, -429452387704625/29, 153030945569013/29, 161871583119446/29], [-345037012223/29, 959224237/29, 132699408/29, 302611534/29], [160/29, -76/29, 51/29, 4/29]], [[0, 0, 0, 0], [-1296773124693419231571490/29, -904279877611591755474010/29, 525628373684066258907813/29, 415278999420846902723350/29], [-1754674703222257211591/29, 888000156104706051039/29, -74138609138456157083/29, -113811127622921802298/29], [814009253505/29, -814034255615/29, 407300230582/29, -1113853664/29]]], 0, 130560, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[48, 0, -32, 16]], [ -2022, -11, -5, -6 ], [ 0, 34, -34, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 10, -10, -10], [-4, 8, 8, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24100752730682498010983/111079345229, 76153042041968218435335/111079345229, 23390652783476243962135/111079345229, -92046394900728209/111079345229], [-1049323609416/17, 3315612046746/17, 1018407065878/17, -1128167/34], [14420848575/222158690458, -387314914958/1888348868893, -118965786374/1888348868893, -3/3776697737786]], [[0, 0, 0, 0], [-10247817077644973359437057346027373716/111079345229, 6095957782081676895678400812085016962/111079345229, 2361178728699177123752446557962817488/111079345229, -1301980678017918606896241385257650690/111079345229], [-446179107857103917399777525/17, 265411554083730266210726417/17, 102803246810984609835098157/17, -3334521736414793432920246], [52120625534755587176251234/1888348868893, -31004169582753840511974229/1888348868893, -12009009283651411631729283/1888348868893, 6621900160707419587162317/1888348868893]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, 10, -6, -6], [84, 6, -6, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-55294344658165834002468/111079345229, 519450688667567922977015/111079345229, -1143761254818557077274770/111079345229, 6608257866125882/111079345229], [291913711185116/493, -5484567629140789/986, 12076013833060517/986, 16194986448/493], [-266200495414/54762117197897, 2500748060996/54762117197897, -11012628059961/109524234395794, -3/109524234395794]], [[0, 0, 0, 0], [-129202544680850998556963818489876509597788/111079345229, -109867951548860995224538204321580450796524/111079345229, 47125188760951794881945998803773146831896/111079345229, 45591284263915500812575631024341750004384/111079345229], [40122342622592240778797248131592/29, 34117116814699623750164012294738/29, -14634106594822580528762686637080/29, -14157478039061996410069161178040/29], [-36588805808626506613661174232/3221301011641, -31113394763628149808524086122/3221301011641, 13345355382959447207324869932/3221301011641, 12910953657028323650569714098/3221301011641]]], 0, 261120, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[16, -32, -16, 32]], [ -1309, 45, -2, 4 ], [ 5, 30, -47, 13 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [75272720/31919, -527146570/31919, 603740068/31919, 201906/31919], [-43460/31919, 304394/31919, -348506/31919, -6/31919], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13887896770858563618361593/18337497419, 10723098687064316864629188/18337497419, 3458924427377605402745560/18337497419, -2856386319155112226874987/18337497419], [13951982156760382/31919, -10777009253839546/31919, -3478504674342761/31919, 2870824338201922/31919], [633236260844/91687487095, -39948310343/91687487095, 237580541752/91687487095, 4/91687487095]], [[0, 0, 0, 0], [-350350947214280994290238777621112745120536/18337497419, 274802502070672612555418937223309428610944/18337497419, 89401255129502443170738259082212330757568/18337497419, -73722594163842101304784364187867987856504/18337497419], [351982242722023851885759849789918/31919, -276081012465614922481958130540216/31919, -89764755990047652283934239213668/31919, 74042987079712847330943576535290/31919], [14575836840653334717428831952/91687487095, -11340097393579231372636941504/91687487095, -9528076600069012906133778864/91687487095, 5539325125974776746924758912/91687487095]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-89317117968/31919, -65494867018/31919, 29455906310/31919, -1226778/31919], [462254/31919, 338918/31919, -152426/31919, 8/31919], [0, 0, 0, 0]], [[0, 0, 0, 0], [372582593419581970165980736253301/531787425151, 747641015118748785655370643051/531787425151, -13601684268580095002425338163521/531787425151, -7177458176700149653417627230757/531787425151], [-3356500364600833205695/925651, -6607800434665611902/925651, 122634390757079381178/925651, 64578642007843002973/925651], [-7718238676138/2658937125755, 878070488386/2658937125755, -6596309502964/2658937125755, -3/2658937125755]], [[0, 0, 0, 0], [4868349813795126353209985515736614049328527298226/18337497419, -2801241887469579528131604342043856935360007129469/18337497419, -1881876407960253623790923797562646164163701542848/18337497419, 1170221232657074730209162129029534537637001780409/18337497419], [-43857657879844589598037446367436802830/31919, 25237059772646284395892387278292909177/31919, 16951886933036449692237057662803868889/31919, -10541826919777360542504416808509193833/31919], [-23067854744381030587068815327/18337497419, 6707626312043397627497550241/18337497419, 17570707017757146694900843481/18337497419, -9805863213098825286476409762/18337497419]]], 0, 261120, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-16, 0, 0, -16]], [ -1959, 67, -5, -1 ], [ 26, 106, -110, -12 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [983768/1259, -211136/1259, 713110/1259, 6734/1259], [-12120/1259, 2452/1259, -8850/1259, 10/1259], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7179561757226144/1259, 3394566363893151/1259, -3128016692562899/1259, -655023709009763/1259], [30396255289656/1259, -24816544852707/2518, 9478844485098/1259, 7937987457689/1259], [1, -1/2, 1/2, 0]], [[0, 0, 0, 0], [-932024138741010906947013456810650762608/93562485539, 78807075303260379396457032685574951560/93562485539, 203841264671160813981860635682623504136/93562485539, 54255582770733427718026494799966611264/93562485539], [163868446859369612255486892020/3777, 19707200740865659940793546080/3777, -16417160045804513656464537020/1259, -14232780783339118901146685830/3777], [14956524569703659763367296700/8701311155127, -973424538493021524279136500/2900437051709, -2599001864907406059938990540/8701311155127, -643236753743805058758870700/8701311155127]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [130310, -32564, 10, -10], [8, -2, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-50004764722316308613926782649/2713312080631, -35962483760836070392620332947/2713312080631, -6629250652442986845233451500/2713312080631, -3113652522012381746742457/2713312080631], [-11991575446323796/36511, -17258145493026421/73022, -3190154851577567/73022, -2572554737978/36511], [170216439907768/84112674499561, 244775323959001/168225348999122, 22535081851923/84112674499561, 1/168225348999122]], [[0, 0, 0, 0], [-55886468998953734265906044817924873829437923/2713312080631, -758905489986213810132098935430210727935962874/2713312080631, 103904503513926158895218417088383299226463926/2713312080631, 207499919432728479340175246205688256120457289/2713312080631], [-80571189757069867311352936998091/219066, -1092669103062563625806116745414311/219066, 24915634433210252924635690117857/36511, 149426763214830425875800113689426/109533], [1140504660587064523315359687067/504676046997366, 2582624439679753549242775680244/84112674499561, -2122203504386750909587840103249/504676046997366, -2118144575717077066950874617695/252338023498683]]], 0, 261120, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[48, 32, -16, 0]], [ -631, -2, -2, -1 ], [ 0, 5, -3, -1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, -10, -8, 8], [2, -8, -10, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [4656945036977116748/1056930269, 1270902873841656450/1056930269, -481520132583564943/1056930269, -13833113246121/1056930269], [108565705016/11, 29626406539/11, -11225511175/11, 293030/11], [27373043059/11626232959, 7469967687/11626232959, -2830394581/11626232959, 2/11626232959]], [[0, 0, 0, 0], [43122889560770478061594096816/1056930269, 63205943654855273281911304752/1056930269, -13014007391534523265961229248/1056930269, -20246494290929794662386126592/1056930269], [1005310308217796847518/11, 1473491942062644982746/11, -303401938583566960202/11, -471992017028448915404/11], [253471808969953053248/11626232959, 371515230911343251904/11626232959, -76497652072279106496/11626232959, -119004443779480775712/11626232959]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-554, -72, 32, 8], [2, -8, 4, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [856186347318816872202830/30650977801, 287674873856896234971285/30650977801, 42346695606370551030220/30650977801, -10061580838117101934862/30650977801], [-534006058058857/319, -166903955946116/319, -36819235694748/319, 124211072864/319], [-1980580180171/337160755811, -623660314514/337160755811, -136684400927/337160755811, -2/337160755811]], [[0, 0, 0, 0], [2237444110799309745981003785148559241121/30650977801, -22858757602864728632334542243302484257438/30650977801, 2433753023025108317014465349745678539638/30650977801, 6641339567150457249691148667910438537848/30650977801], [-1337548994280877469375903289102/319, 14644865067456751669626268497498/319, -1624323589354235653938420141393/319, -4260094698519538509481360903881/319], [-4932227878386116280536432700/337160755811, 54413513840366347105051843815/337160755811, -6028578561030707237067258435/337160755811, -15843748303539796809918075795/337160755811]]], 0, 261120, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-64, -16, 16, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-212, -112, -52, 262], [2, -4, -2, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [51, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [6068039420, -5876502744, -2018870154, 2139572670], [-100989312, -8186268, 14716386, 24042954], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-17674, -4060, 3032, 3032], [8, 8, -6, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [9820809626198971965/29, -23038017456380121908/29, -851727109043067803/29, 5845376677694765793/29], [-5321910906629328/29, 13322162153543/29, 9391525524420/29, 12306568006172/29], [-91/29, 57/29, -147/29, -3/29]], [[0, 0, 0, 0], [-1498989757461738744976683926428/29, 1388499630509573060872035472773/29, 346635626679650838197127195166/29, -357575996948923014825191618727/29], [602376857310501783714413283/29, -255083727776012013895167672/29, -162869911222242667167812166/29, 44443044099686656536099270/29], [14220810624765/29, 3767225908425/29, -3630102534060/29, -3608103970425/29]]], 0, 195840, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[16, -128, 16, 32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-450, 64, -4, -12], [-2, -8, 0, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [39, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [26, -26, -4, 6], [0, 0, 0, 0], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12280, -6352, -1586, 6360], [-6, -8, -2, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-363147335901970356/29, -730010594888450197/29, 112665068882247532/29, 210359959896819517/29], [-84047629583029/29, 40934935502/29, -223975597394/29, 30770273860/29], [-33/29, -1/29, 56/29, -3/29]], [[0, 0, 0, 0], [-257319953177111382870200149/29, -351650042221187160621920869/29, 88414631838914168497436441/29, 100008909661720884895288689/29], [-79055281322043676012621/29, -22226972341449762687436/29, 27627220955577562854469/29, 6449797583606421491921/29], [-9812953560/29, 78274512705/29, -9651843060/29, -19644794640/29]]], 0, 195840, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[16, 160, -32, -48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, -8, -4, -2], [-912, 0, -6, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 1], [6, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-1381636256, -13834928800, 2737404208, 4173306368], [-275363052390, -378887159340, 95662918080, 140837073840], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3324, 68, -84, -72], [-394, 8, -10, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-887350039010697526/29, -15111372206905436/29, 22049096182248854/29, -1723967829498106/29], [-105167984865016782/29, -1754044963120238/29, 2590222334899618/29, -97509745381146/29], [-138/29, -20/29, 18/29, -2/29]], [[0, 0, 0, 0], [10944282389616624582660651/29, 83823272077570972297515888/29, -38334744225786765405111837/29, -12569868967398269511197248/29], [1296469984273994251228830/29, 9925289221169465259162940/29, -4570908515289657575719435/29, -1466792141983547907917895/29], [1055162235/29, 10605639660/29, -2125830360/29, -3174724185/29]]], 0, 195840, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-48, -80, 16, 32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [36, -132, -170, -160], [-4, 8, 10, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [35, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-421080988, -559837526, 133328014, 217443930], [33488480, 25924960, -9653440, -11196000], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13922, -2710, -2718, -1362], [4, -8, -8, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6395707420772696165, 8146948608029333613, 1607418191263668320, -1963565361292352843], [3189631053365596, 2261129610713, 764222039272, 447448780331], [-3, -4, 0, 0]], [[0, 0, 0, 0], [-3957070597126432046230749563542238/29, 4450318726931623265815426714380614/29, 1001098460871539172084788233936021/29, -1300893968523810025021662722323290/29], [2061765424687584952841665473807/29, 464726994164959598923736487753/29, -953059637712569279438966173349/29, -72445286718745676199587802636/29], [-2028027786272549/29, -3375993804308875/29, 674457633176490/29, 1351116642296034/29]]], 0, 195840, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-16, 384, -32, -144]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1746, -4, -10, -8], [-208, -8, -4, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [13, 1, 0, 1], [-32, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [4265838069896, -37623942997472, 212521101572, 14889690857288], [278380551720, -5462690415334, 413014344016, 2052741179874], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2606, 24, -30, -76], [756, -2, 4, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [13504543294716765131703/29, -23527064974160803791/29, -124804312998403457475/29, -521619061957974466766/29], [3929241155405013256645/29, -3690746202201355511/29, -923960106085158798/29, -1768293894933244490/29], [44/29, 40/29, 51/29, 4/29]], [[0, 0, 0, 0], [46962364727080926252252028631270094981/29, -61612517579518101738235022398888195383/29, -13743627649246721236241104921606359562/29, 20945472753796346397818423297519071039/29], [13249933163448498393319426680509029596/29, -19759999862103860550885548943276766071/29, -3241201287956073942505710619055123352/29, 6577514547815688309028837041870922803/29], [27458516733208623/29, -658988806157171352/29, 54911355260652954/29, 247123051614672372/29]]], 0, 17233920, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-240, -384, 112, 112]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-204, -4, 2, 4], [-668, -6, 4, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [37, 1, 0, 1], [-76, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-246278225336, -390576321586, 115487519356, 113345017368], [-828514525644, -1377889994520, 391013130924, 406698742944], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16584, 94, -96, 6], [-430, 8, -8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-822850769187007902093350/29, -10311568230495866799843/29, 10172435754509819229359/29, 64582443253278993008/29], [-21340181976263511549792/29, -10714429217243006232/29, 14129237061756296978/29, -10586578019554422489/29], [134/29, -97/29, 67/29, -1/29]], [[0, 0, 0, 0], [-6481242569537963544452984968329647745504/29, -12070431237277454664163850206273928506270/29, 2731348778499287331438736248337169551690/29, 3600672210185331824095113507889573892596/29], [-169023614053246944385672167198256746812/29, -315948527320485739277512580644609779646/29, 71560221662613316051860843255730323462/29, 94236837260240915337483275283896430528/29], [1142663022945984036/29, 1828277490196464132/29, -533240589482153784/29, -533251280153837364/29]]], 0, 17233920, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-160, -448, 112, 128]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1194, -6, 0, 8], [24, 4, 4, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-49, 1, 0, 1], [6, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [2569873392, 6281912736, -6567454224, 1142165952], [47424422, 132066386, -33345324, -37450182], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-25200, 14, -82, -10], [-624, 2, -10, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-860325955037858307191020, -1461611005540401250376, 9986247854088594139847, -6114104297917044780], [-21307250180678098829265, 4525013313461817517, -8749192829070930227, 10717219060472485192], [3, -3, -2, 0]], [[0, 0, 0, 0], [-27172767935460234583535130592332142389/29, -51781801613482556905339802131866034531956/29, -7202407527325226505486312972876470782584/29, 21227686944962384530930773552223911608997/29], [-3239590939680313807616216089961058609/29, -1299012993888806534572881772116509555894/29, -190597972662155219897324259675987839215/29, 539327790017257909319340043627414332490/29], [-108268305050894340/29, -303149513509007778/29, 75788495298279909/29, 86613259308613593/29]]], 0, 17233920, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-32, -608, 48, 192]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1948, 4, 8, 10], [-244, -4, 6, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [13, 1, 0, 1], [-8, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [212600931893806, 5474837369540112, -316560772747720, -1762515755246552], [-34810965108096, -719580569848704, 54416316830400, 227245171541952], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [34120, 4, -130, -54], [-162, 0, 10, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-704205616983319782382803/29, 54531168876079852113046/29, -67422333122984439487495/29, -42233414729751662846865/29], [3401946315265899780502/29, -416409103774426027/29, -1072898949381410608/29, -222212036358046236/29], [91/29, 59/29, -85/29, 3/29]], [[0, 0, 0, 0], [4820768355292227175675114529338037131974/29, 34635538025963004791342785174515338235488/29, -1422979598126776337282360727308484348164/29, -9065325515505570092009529085139640559398/29], [-18648046924374128202575511087724274976/29, -143813432927477482205569988093816958346/29, 6831382495385162059316671461184026418/29, 38270621808907377851160934769377496880/29], [-83922498078899400/29, -1594494772305518324/29, 125882861906502902/29, 503524818801127258/29]]], 0, 17233920, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[112, 176, -16, -80]], [ -1309, 45, -2, 4 ], [ 5, 30, -47, 13 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [19154559632/31919, 255495242/31919, 288707572/31919, 13856/31919], [-11059362/31919, -147404/31919, -166764/31919, -8/31919], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3196394904725917364403064777/18337497419, -2034413486025807518942662163/18337497419, 410162174993960657236247131/18337497419, 407181597001786039042980954/18337497419], [3212391823473890003/31919, 2044565701323697869/31919, -412215085246163832/31919, -409213082862056687/31919], [208440883169/91687487095, -12934794188/91687487095, -242770109628/91687487095, -1/91687487095]], [[0, 0, 0, 0], [338043935556685890018412048893881703363556872/18337497419, -1218753275709539312601532826337875595869219084/18337497419, -50982705893337005249992572150215510844305690/18337497419, 302890221368758180683693578420694756610595342/18337497419], [-339737768631921738778021015838846400/31919, 1224849177539273844532532186871773688/31919, 51237948179388274330535311865735592/31919, -304404915123432236064207901353940704/31919], [-48391561581716238973917116832/91687487095, -17825252065873524466986533616/91687487095, 40292615319622247322305027424/91687487095, -15867292887033017061280984992/91687487095]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3019974873398/31919, -17102203698/31919, -21778693060/31919, -1613270/31919], [15627626/31919, 88498/31919, 112698/31919, 10/31919], [0, 0, 0, 0]], [[0, 0, 0, 0], [43726101802983812608527233295295312/531787425151, 20490259411485131352562090771031148/531787425151, -13311829192665138577539074358676664/531787425151, -1244361230323452831674797614368489/531787425151], [-393857976388760668139618/925651, -184563652978104970968239/925651, 119904760070616128681952/925651, 11208439928335689474842/925651], [11177297276769/2658937125755, 16555486853852/2658937125755, 7022454586782/2658937125755, 4/2658937125755]], [[0, 0, 0, 0], [1541135768534462788397145755497986457528356000761399942/531787425151, -2378232216316250849731670577811269227387645083765859946/531787425151, 1835472700275871360911023648339452776105206169824681416/531787425151, -504777948111831761084005340714060196030100347012596832/531787425151], [-13881612198119175307437168318763534180405340/925651, 21421650613188322286226993383838915445400460/925651, -16532796602153038714337512697476155066796032/925651, 4546724387296827635839905319347567330124168/925651], [496574623744375274715081077324628/2658937125755, 192293817117367872914444674224064/2658937125755, -382126056091021205303920038482996/2658937125755, 159333265525435361993105710152468/2658937125755]]], 0, 8355840, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-64, 16, 80, 0]], [ -2022, -11, -5, -6 ], [ 0, 34, -34, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, -6, -6, -8], [302, 10, 6, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-63749375574136387319803/111079345229, -37941256501022267351398/111079345229, 31683227133138409564347/111079345229, 383445178079188047368/111079345229], [544810316020137/34, 72053110015785/34, -316490629533831/34, 60941667868951/34], [228524158445/3776697737786, 403390150257/3776697737786, -312207525967/3776697737786, 2/1888348868893]], [[0, 0, 0, 0], [2763894121332439861392389664646/111079345229, -55503370941762535744018957439280/111079345229, 6020331771795862341388614442278/111079345229, 19284752237318767687102228648536/111079345229], [-53119939280230629353295/17, 78280923210498797370976/17, 19301697351364289158446/17, -24230870435210432740517/17], [-17374842556495631575/1888348868893, 4566329805563006845/1888348868893, 22606651977070306016/1888348868893, -1054355834129624291/1888348868893]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, -6, 0, 4], [3842, -2, 8, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [2052920731840523653289147/111079345229, 818793204335311117853351/111079345229, 1478342634523824956025124/111079345229, -10321858246263590853/111079345229], [-4822709516134881482/493, -1634021705920631445/493, -7541154515330203963/986, -116413096643478423/493], [9930103530337/54762117197897, 3941853962286/54762117197897, 7116964535801/54762117197897, 3/109524234395794]], [[0, 0, 0, 0], [6989046868735052508058304123426719296844277826/111079345229, -2025260411753638834840496266826407287505764506/111079345229, -8731422513868688064874775873569777863486864312/111079345229, 192961953343290336358858751955736897710531762/111079345229], [-16979992781616925450364937389748137737489/493, 3546170891371333686737899519084654576792/493, 21654619501746030731459029917715718766509/493, -63384714895709437249611310589679645065/493], [33791594289113210690144408634875141/54762117197897, -9885753701235629397161602188730337/54762117197897, -42114674286974691568505417622249020/54762117197897, 56890385640430841644738211241448/3221301011641]]], 0, 8355840, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-96, 16, 96, -16]], [ -1959, 67, -5, -1 ], [ 26, 106, -110, -12 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [812852/1259, 782820/1259, -380412/1259, -3010/1259], [-9790/1259, -9608/1259, 4762/1259, 6/1259], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5237606766297382882375/93562485539, -38645848834972918249254/93562485539, -26999908612278622717190/93562485539, 1027064138184151223632/93562485539], [-1441206780698/1259, 4582300195037/7554, 1963532548933/7554, -996159266489/7554], [228130031963/561374913234, 545513124257/561374913234, 66867378018/93562485539, -1/561374913234]], [[0, 0, 0, 0], [-6046782455428311074388165469163242/93562485539, -26746135251618037267827469094301050/93562485539, -1303113550984673470396339930826320/93562485539, 7430565548015346600088915064174684/93562485539], [1407317819742492860008397/3777, -1357288024011941068623599/3777, -403860834897108402123314/3777, 132783718061934790449395/1259], [8403535511274794278444/93562485539, 237621725171625497805824/280687456617, 17161310541573348576229/280687456617, -66356715750891601834616/280687456617]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [80540902/1259, -221212922/1259, 192844452/1259, -35088/1259], [4942/1259, -13584/1259, 11842/1259, -2/1259], [0, 0, 0, 0]], [[0, 0, 0, 0], [2454398590898516257844726704/2713312080631, -143997301695462986219542073/2713312080631, 281625812875137993832864924/2713312080631, 201381668811343725151024908/2713312080631], [9090307930618937/219066, -698781704013860/36511, 472224031218581/219066, 499589537989151/109533], [25513105855031/16279872483786, 28864830912943/16279872483786, 7684823321881/16279872483786, 1/5426624161262]], [[0, 0, 0, 0], [10174123707902761215459848581835008334151235014/2713312080631, 128328309465805817670086304053183052498983567582/2713312080631, -192448436771310328967866611426129483429307273108/2713312080631, 59547682237992154690227277272664104323832426984/2713312080631], [12895696454782533170240694680931226/36511, 322817967157221972282604578476161031/109533, -480540268851346450145425661195513345/109533, 154042043424704851586385759332267971/109533], [-111643937379452930510602068780235/8139936241893, -39199719634458957626693304067285/8139936241893, 9689272461033593911319721876590/2713312080631, -53466044042614182231576038085835/8139936241893]]], 0, 8355840, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[80, 176, 0, -96]], [ -631, -2, -2, -1 ], [ 0, 5, -3, -1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, -10, -6, 4], [216, -4, 10, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [1049911269011544110/1056930269, -3241602679563710903/1056930269, -222941349424626963/1056930269, -56463416022322468/1056930269], [165415442123/11, 1209569585523/11, 365225945206/11, -353192831554/11], [31233014903/11626232959, -18003542475/11626232959, -2284058651/11626232959, -1/11626232959]], [[0, 0, 0, 0], [8966910660677796386427211201358/1056930269, 39343701994933477517515392270239/1056930269, -8850489266585541815035576458690/1056930269, -12316952586496409104690999144994/1056930269], [-2821266907450656956681943/11, -13212177786526329764644850/11, 1839707992976542398089982/11, 4357013506793196455921824/11], [11636761000144442661489/11626232959, 6166203630449844383106/11626232959, -1758460816741302897351/1056930269, 748896388532755936876/11626232959]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [782, -10, 4, 68], [94, 0, 0, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [287200791259989404084692/30650977801, -1995234725501691120431715/30650977801, -151901224477935245599932/30650977801, 2966450284981258957238/30650977801], [2956242694580023/319, -20731448158702628/319, -1493657437367618/319, 3423052374818/319], [-483231420803/337160755811, 3392889075098/337160755811, 242717824053/337160755811, 4/337160755811]], [[0, 0, 0, 0], [-332198348008087781301154947554709076653058314/30650977801, -165124918428527344944521936874258050036845716/30650977801, 533953208032745647815985975502872384216045514/30650977801, -6858627732653320174004144515160998570052710/30650977801], [-3449234968769707894953312282586283152/319, -1741417294565870902865344610758883852/319, 5581141378944965734887203803928666970/319, -86227615093239854661950770632476584/319], [564443192313435053042695325477850/337160755811, 285526590671203944037387388560080/337160755811, -914079795703498544320724385009090/337160755811, 14416675340171802177867369901170/337160755811]]], 0, 8355840, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[0, -256, 64, 64]], [ -2, -4, -4, 0 ], [ 0, 2, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, -6, 4, 0], [-4, 6, -4, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-21300270/29, 20623107/29, 5321187/29, -5433342/29], [585902, -1368444, -163999, 354525], [142/29, 201/29, -107/29, 2/29]], [[0, 0, 0, 0], [32303945853/29, -19123886124/29, -8041366530/29, 4415736159/29], [-1389359689, -697841817, 556886648, 256680491], [-142549/29, 155508/29, 803458/29, -531319/29]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-486, 6, -2, 4], [-4, 6, 0, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2163025049209301/29, 2669123352630172/29, 503464489032903/29, -678543435936049/29], [-28949262757639/29, 1572261152087/29, -1092210182372/29, 879176492020/29], [107/29, 62/29, 1/29, 1/29]], [[0, 0, 0, 0], [835105015312197667276, -507322088678647960212, -630152959151597714320, 367674467083852592060], [19209456576605695578, 32240258998215576354, -54970346985511004856, 16543097956596897648], [-37817892, -30160872, -1739052, 23126796]]], 0, 4456448, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[6, 0, 0, 0]], [ -2, -4, -4, 0 ], [ 0, 2, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-21, 47/2, -39/2, -9], [913/58, 773/58, -775/29, -889/58], [-17/2, -9, -1, -1/2], [-33/29, 43/58, -97/116, 1/116]], [[-323273280, 2513633430, -976707765/2, -695680425], [24329884136/29, 119542075899/58, -19277053298/29, -22435343852/29], [-41777744, 829331036, -68462284, -288147156], [-1311552759/58, 5443940403/58, -1296123807/58, -2197431753/116]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-154, 15, -33/2, -11], [-9, 0, 0, -3/2], [0, 0, 0, 0]], [[-2, -5/2, -23/2, 5/2], [22135446319789/58, 6773902267393/58, -12165925156001/58, 68598068085], [580135902412/29, 28584208368/29, -3614817896/29, 6946272170/29], [1/116, 23/58, -1/116, -1/29]], [[-605936071, -1858853644, 1931101547/2, 398070343], [863615799749987138881/29, -349116769265574938533/58, -48093239688542513472/29, -145635984703474935631/29], [54410548845695379234/29, 10185670380207138120/29, -24979316882366643252/29, -4330551491528538438/29], [8352157/58, 1901187867/58, -69144321/58, -1587606409/116]]], 1, 40, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-3, -6, 0, 3]], [ -2, 2, -1, 0 ], [ 0, 1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7/2, -45/2, 33/2, 3/2], [-13/2, -16, 16, 3], [4, 6, 1, -1], [-5/2, 1, -1/2, 1/2]], [[10723/2, 18365, 5323/2, -28585/2], [4798, 33486, -12447/2, -19248], [2420, -1573, -3993, -3509/2], [-3045/2, 4620, -1155, -735]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11/2, -88, 25, 28], [51/2, -149/2, 155/2, 23], [-14324/29, 114841/58, 260335/58, 2655/29], [-16/29, 54/29, 245/58, 5/58]], [[32810756693/2, -6530866924, -7091684500, 4180228927/2], [33754756646, 15726009901/2, -41308692155/2, 663363439/2], [689909272001/58, 68420746810548/29, -17516529714032/29, -16752792215848/29], [-1303237680/29, 65195255262/29, -15963989808/29, -15997578408/29]]], 1, 12, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-3, -6, 0, 3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15/2, -1, 7/2, -8], [-47/2, -15, 17, -43/2], [-10, 3, -5/2, -1/2], [0, 0, 0, 0]], [[-70365499/2, -60122699/2, 43460461/2, 27175995], [125671153/2, -48528237/2, 40509259, 71623562], [36488718, -7120593, 4818546, 5812146], [2, 2, 1/2, -1]], [[4435861081713/2, 77377868340063/2, -7747805449710, -17536367575104], [40222539288659, 115180350274851, -84990388193003/2, -56990521805219], [10698640205400, 10375382215800, -9012278356200, -4902362577000], [720429/2, -63123/2, -904233/2, 116706]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7, 77/2, -55/2, -17/2], [-1939, -744, -220, -415/2], [1, -19/2, -3/2, -2], [0, 0, 0, 0]], [[-852831452870595/2, 457203740655557/2, -27794416643587/2, 429012695968351/2], [-636155082347920457/2, 381842475115429741, 183554496262429937/2, -192092114438370155/2], [643712619662628, -4962456863185, 1296115610746, -751953127790], [1, 5/2, 2, 0]], [[1821241776389661930738465, -4337771333378677823868560, 1939836485463401201229300, 147370443596346175326795/2], [57165771128985902434863642836/29, -103349371818843229491628485693/58, -28071953486612166676237347905/58, 28202087667261843331910691835/58], [-99536849868530040921007650/29, 54036884222090301567336105/29, 11409636118155483990596595/29, -4136809191515937820166250/29], [-162645945385/29, -645916915615/58, 7726315/58, 161540707735/29]]], 1, 16, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[12, 0, 0, 0]], [ -2, -4, -4, 0 ], [ 0, 2, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1057/29, 1188/29, 415/58, 436/29], [2, 7, 1, 3/2], [63/29, 100/29, -59/58, 3/58]], [[0, 0, 0, 0], [-7259373204/29, 8129629954/29, 1360236294/29, -2277321378/29], [-3466228, 12907530, -1204426, -3831950], [-745422345/58, 366575778/29, 77182389/29, -195571161/58]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-351/2, 13, -83/2, -61/2], [-21/2, -17/2, -2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1056892120352943/58, -154794803571248/29, -300449233051673/58, 163126816161055/58], [53436708146895/58, -3072664331727/58, 649389122604/29, -541152405867/29], [35/58, 82/29, 1/58, 3/58]], [[0, 0, 0, 0], [-509125947417840936835561/2, 201040818254049555287677, 128723028132262678444999/2, -53910966174565718441563], [-12427840095849943468164, 19867725206934384366153/2, 3089553446264291971269, -5295607560410112107343/2], [25954258, 2109049239/2, -140310511/2, -427663610]]], 1, 680, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[48, 96, 0, -48]], [ -2, 2, -1, 0 ], [ 0, 1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, -6, -10, -4], [-8, -16, -4, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 1, 0], [3, -1, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-81168, 217056, -11856, -62928], [57746, 6318, 7358, -19604], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, -10, 4, 2], [-904, -30, 8, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-276706400, -16818097, -4128786, 57902], [490361388348/29, 7915830118709/29, -2329215263687/29, -3257399060414/29], [131/29, 69/29, 109/29, 4/29]], [[0, 0, 0, 0], [5102115700752217, -12531319285314806, 1284688921033203, 2748624808929351], [9904796640259631714/29, -118525389306167840945/29, 18228868216973412295/29, 45040369789588855785/29], [-389436362/29, 13886240592/29, -4003017669/29, -2979797982/29]]], 0, 696320, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[48, 96, 0, -48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [70, -12, 10, 2], [-18, 32, -2, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13, 3, 0, 1], [-2, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [41929044, -1066320174, 124864488, 289966506], [-150272720, -283669540, 23802740, 125014020], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2324, 624, -490, 370], [-16, 10, -8, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9334693217534941/29, -33800374573919304/29, 4836093526290303/29, 9966592601167579/29], [18236495825922/29, -335007945143/29, 263164407728/29, -182164188928/29], [-83/29, -57/29, -27/29, 3/29]], [[0, 0, 0, 0], [-451668553099888290382440/29, -1436927699788087754624880/29, 165805019994268758608580/29, 367583761923466237708770/29], [1326358691535818774356/29, 456008093413144193444/29, 438156107901036672512/29, -731290004527799008548/29], [-8575621500/29, -17537674500/29, 597783000/29, 8378631000/29]]], 0, 1044480, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[192, 0, 0, 0]], [ -2, -4, -4, 0 ], [ 0, 2, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -2, 8, 4], [-14, -4, 8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [87843/29, 315183/29, -67257/29, -106644/29], [1714, -4067, 1239, 277], [119/29, -27/29, -183/29, -2/29]], [[0, 0, 0, 0], [2325882690/29, 1016117880/29, -185841864/29, 216664812/29], [279245636, -56578508, -329636084, 151168656], [4681820/29, -33943184/29, 12415184/29, 4702716/29]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-216, 14, -22, 0], [-34, 4, -8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [928877058790/29, 6079412806/29, -96070469631/29, 867683547/29], [148973244909/29, 4321776476/29, -7304803676/29, -998555228/29], [-172/29, -34/29, -5/29, -3/29]], [[0, 0, 0, 0], [-417285013536426673605/29, 3047391770091877664690/29, 262113299047805512714/29, -1339948254901342193414/29], [-54293470767068418438/29, 552640303828801869325/29, 57912895369873193564/29, -259583935707758002216/29], [-1300385931, -1063547513340/29, 81764344662/29, 431708160702/29]]], 0, 44564480, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[5, 0, -5, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[24, -7/2, 1, -5], [29/2, 8, -155/2, -157/2], [-53/2, -3/2, -5/2, -5/2], [0, 0, 0, 0]], [[132724866137/2, -82032581120, 31859486042, -4112304789], [-37887994179/2, -216743897610, 359941214129/2, -115535588225/2], [-79388547744, 52613917407, 8913809886, -19319360625/2], [3, -2, 3/2, -1]], [[-403682920770249/2, 138140487575853/2, 25688819313546, 543378347547/2], [441673988641051, 5033326221491477/2, -202068643635111, -1145231093534337/2], [267696039831696, 179624142997698, -65582890281888, -51130648451400], [-23535/2, -13455, 3600, 5490]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-15, 11, -11, 6], [68, -40, 26, 24], [19, 1, 2, 0], [0, 0, 0, 0]], [[-479837135/2, 112091261, -101585543/2, 50432046], [683575802, -2141176563, 686066839, 927818964], [467978731/2, -219853964, 56361250, 179950199/2], [-10, -2, 1/2, -5/2]], [[-1321504054230838, 1985538231838199/2, 1629580495451211/2, -1115395746297995/2], [6092476998447900, -4771846623749551/2, -6484905505172585/2, 67613075993793], [1373836642923888, -1103354248501791, -610030462429245, 267582907861269], [-40790653, 62556107, 9786625, -18398855/2]]], 0, 100, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-5, -10, 0, 5]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[21/2, 7, -11, 3/2], [-30, 48, -33/2, -49/2], [-19/2, -2, 1/2, -2], [0, 0, 0, 0]], [[-120897509/2, -157072658, 268282862, -178246323/2], [105422001/2, -85235537, 56476569/2, 27145782], [24135216, 27179796, -52809624, 20952246], [-8, 2, 1/2, 1/2]], [[62817043601, 1255654412361/2, -2067127163243/2, 385351845323], [52179150003, -2328765945197, 588898307160, 1969942144055/2], [13070381940, -468817437060, 309464396640, 68652511200], [-65627, 8265/2, 53679/2, -7395/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3/2, -5, 15/2, -3], [19/2, -6, 32, -25/2], [-3, 0, -3/2, 1/2], [0, 0, 0, 0]], [[-31838555/2, -12914641, 60994049/2, -9853428], [-68925366, -67076778, 106586656, -38619977], [25688181/2, 138539, -6778243, 7101077/2], [5, 2, -1/2, 5/2]], [[-470425199523565/2, 143767561138282, 99562163485339, -118713891686703/2], [-1050554331797478, 341764709048325, 884393503929687/2, -320798897218639/2], [502759774022709/2, -133322702775507, -151048389225111/2, 38057005518021], [102766256, 5028768, -36348288, -2132080]]], 0, 100, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[2, 0, -1, 1]], [ -2, 2, -1, 0 ], [ 0, 1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[8, 33, -27/2, -22], [17/2, 103/2, -20, -27], [5/2, 11/2, -5, -1/2], [-3/2, 3/2, -2, -3/2]], [[-76057, -351383, 54059/2, 98609], [-120581/2, -332775, 44959/2, 184485/2], [-4123, -1561, 2191, -336], [-30615/2, -204555/2, 15015/2, 28470]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[14, 183/2, 61, -31], [-82, -58, -135, -15], [-31179/58, 30971/58, 151929/58, 1492/29], [61/58, -25/29, -245/58, -5/58]], [[-3070957821/2, -13490957261/2, -1119806507/2, 3071554877], [-909375222, 51019082163/2, -292642393, -9170192801], [-2533554440162/29, -6128316739944/29, 266228769390/29, 2798680099922/29], [8849012403/58, 18761699319/58, -529813878/29, -4351508931/29]]], 1, 8, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[2, 0, -1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -6, -13/2, 7], [-213/2, -367/2, 68, 95], [-5/2, -21/2, 21/2, 6], [0, 0, 0, 0]], [[-59437329/2, 128934705/2, -89312245/2, 19371609/2], [-55326983609/2, 21850705904, 13646847065/2, -11514728923/2], [41548074, -30826440, -2143600, 1847314], [1, -5/2, 0, 0]], [[329376141438, -226369625294, -304412767432, 190046117882], [221250909708563, -174688053079861, -56190880524635, 47197181816193], [-307328238360, 400929272730, 167995420560, -108417903930], [-242332, -1087956, 127652, 313584]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 27/2, 9/2, -9], [-884, -99/2, 617/2, 193/2], [3, 9, -14, -15/2], [0, 0, 0, 0]], [[-708341747525/2, 232288305128, -144606940160, 162127711249/2], [-32661552743788229/58, 12983688885577861/29, 8284688318607359/58, -3498054753279023/29], [12764975310540/29, 864497420320/29, -143168162620/29, -118798355020/29], [20/29, 63/29, 165/58, 1/58]], [[33778582187334445199/2, -20280328111566379757/2, -15173601753845461749/2, 4386887470357080996], [1488110467280123645500079/58, -1167619742180734268296143/58, -187486641097914795743333/29, 155557228947809463353975/29], [-504845818309140191280/29, 356132317800767437080/29, 142276113235309854100/29, -107236689969537856720/29], [-495488718/29, -24065127/29, 628907895/58, -255336732/29]]], 1, 8, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[2, -1, 2, 0]], [ -2022, -11, -5, -6 ], [ 0, 34, -34, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-479915125925/2, 95983025045/2, -191966050322, 77/2], [-517831461937/2, 103566292341/2, -207132584736, 20], [-23637962959963/68, 1181898147983/17, -1112374727493/4, 379/68], [5/68, -1/68, 1/17, 0]], [[-381917885729506831127228235, 623396017155981897293467153/2, 58652693542415920886118544, -64629780349802120323701194], [-91549778814549601060856065797846511577/222158690458, 74717327489724720617188835275114730671/222158690458, 7029837199927812941237150353689415483/111079345229, -7746222836150387559987595090043324011/111079345229], [-37622322571241126282609288835/68, 15352518776539097743648436817/34, 1444453532160324784233558417/17, -6366610559247998831806047701/68], [883972735783744124654380179/7553395475572, -721444456191907097956401381/7553395475572, -33938828155059252092734482/1888348868893, 149589652341929739204562245/7553395475572]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9358448143841/2, -5778159328593, 1573672541461, 1], [-482211557390964512980375/111079345229, 595460949385586435991740/111079345229, -162172846449816047642093/111079345229, -1098613749809/222158690458], [-300138320263513641/1972, 370627054482752241/1972, -5937628898097011/116, -8011/493], [-5457568517873/109524234395794, 13478602416681/219048468791588, -3670876019987/219048468791588, -1/219048468791588]], [[30209306584458781300198217269/2, -13786373424416638381928055089/2, 29692129378567404480493335271/2, -1758729465739972787778219989/2], [-3113182128370053147260934202439432512821/222158690458, 1420737411606024037518030036623790225769/222158690458, -3059885085242564792689651391658681925641/222158690458, 90621825174739525044528805607259842183/111079345229], [-242213516456345907511187740903591/493, 221073991161364224135130095100463/986, -238066870193217877256793284217836/493, 28202437951619145589429281798763/986], [-8808584394548447436540646550/54762117197897, 4019901400779984084489692700/54762117197897, -8657783216595259703723970874/54762117197897, 512819347463486742435632458/54762117197897]]], 1, 24, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[5, 8, -4, -2]], [ -1309, 45, -2, 4 ], [ 5, 30, -47, 13 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2498762149, -1138481625/2, 144329045, -15/2], [-240167047495376804178/18337497419, -109428104889094008513/36674994838, 13873382395990106462/18337497419, -188811414319/36674994838], [-38261/63838, 70003/31919, -51623/31919, 5/63838], [-44919874917/18337497419, -20466885145/36674994838, 2594783938/18337497419, -3/36674994838]], [[256166520223988505137858, 325868659804954659768595/2, -32738832870059423654924, -79385380074077838390071/2], [24621297955209208895630229806571265/18337497419, 15660516559499210039583381829205690/18337497419, -6293662047488893892560150233466373/36674994838, -7630036853886510281890161194767673/36674994838], [1786656537957938196/31919, -6146741279547920062/31919, 12457940727904851751/63838, -1170824138373648649/31919], [4605068038938689233164960/18337497419, 2929074526413427178250576/18337497419, -588565960677349810504272/18337497419, -713546260719228879694416/18337497419]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[34869/2, -9691, 15705/2, 8], [30753497708/31919, -34187503181/63838, 27707247997/63838, 285539/31919], [81721/31919, -90825/63838, 36805/31919, 1/31919], [0, 0, 0, 0]], [[-2545226921000845443/2, -112071819981260183/2, 394418866269057437/2, 371965211918064], [-37397176321115817929661781839828/531787425151, -1632797915108652455189175358595/531787425151, 11596585543733944049185950942569/1063574850302, 10519814081152613168197389146/531787425151], [-172973495643957191900/925651, -7560063698474988859/925651, 26820805125895656288/925651, 101057892586965889/1851302], [-268334049725/531787425151, 762642800641/1063574850302, 637429766484/531787425151, -1/531787425151]], [[22406587139756634798371173563024148, -17375788349488339333462611963291334, -10434918171626247589233145843425533, 13057106023084679926141139492532621/2], [1317024498762879903848752220764055754738464600505/1063574850302, -1021141229073125275796318544809598812866208383925/1063574850302, -613507994158696869270504803735299031293591806417/1063574850302, 191921056475426716719763066211276935978791492044/531787425151], [3045770126159504238324284599729059435/925651, -4723215187846124330651673916701666363/1851302, -1418725374711089283486035118310969629/925651, 1775332065509468118497008160428896549/1851302], [2391130345869009110180275720/531787425151, -16239119745955902440171782402/531787425151, 16511417203461806296092466128/531787425151, -2009317165064480401858873824/531787425151]]], 1, 24, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[1, -9, -1, 4]], [ -1959, 67, -5, -1 ], [ 26, 106, -110, -12 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9798043745457/2, -25714813545097/2, -3754036523017/2, -13/2], [731945766743509405265487/187124971078, -960490146668685544116254/93562485539, -280438750812724284739317/187124971078, 218232260983/187124971078], [-142528297121647/7554, 374063301047173/7554, 109216991978093/15108, -2991/1259], [1601776216365/2900437051709, -25223020747249/17402622310254, -7364482031629/34805244620508, -1/34805244620508]], [[20234544509088141924286827731834, 129204311349779880201092737615355/2, -31766747342848053467596376288489/2, -38691842055352576022579162436533/2], [1511586354099492215370193631676458657603757/93562485539, 4825991362289393507074761226424588766987536/93562485539, -1186539726144308078529487611544323091914277/93562485539, -1445203287834330941181342386233746294834509/93562485539], [-98114659331784757989197115857000/1259, -1252989607636815152717498688448039/5036, 308065604572082544461121944539217/5036, 187611680628985911968224812067393/2518], [13231707477606372973816523191059/5800874103418, 84488862714747618809323827270609/11601748206836, -10386404007797679405494420191179/5800874103418, -25301243414969713429553527592181/11601748206836]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4896, 707/2, -168, 0], [253328940/1259, -35242067/2518, 17331297/2518, 22539/1259], [32875/2518, -1143/1259, 561/1259, 3/2518], [0, 0, 0, 0]], [[19574330208161090, 2755681361182962, -1076605764911613/2, -360643124537739/2], [-2200734099287015562405007763073/2713312080631, -610870619479100573687775195553/5426624161262, 71109947346885102160776605649/2713312080631, 20322688519311230162900053319/2713312080631], [-5700917565488617921/109533, -276040550189203779/36511, 578598426388810385/438132, 213052781640029959/438132], [432509917949681/1009352093994732, -47728361904542/252338023498683, -285352881386267/1009352093994732, 1/336450697998244]], [[-4588700678211879234094190451328423349/2, -32033877098375269921143587808936863147/2, 5860858149001770546927897362349080009/2, 8363697598723529931514489194693616839/2], [253452824361992385811413306456140544521779760620558/2713312080631, 1780383924105846370238676864513937692786906359332967/2713312080631, -323657537456156454612390168270262028768411920628017/2713312080631, -465266443867679365987034471541681855072213440419575/2713312080631], [2707362005120013351703289096221699315475/438132, 1567980056972087536351475746723375582925/36511, -3438706355117428993244641884919766784667/438132, -4919984877034457829150039307877136574127/438132], [44496600771467048489119995348627313/504676046997366, 279270500181520260033917315139892033/1009352093994732, -82198088951321264297390497720431335/1009352093994732, -25911209734430949069341518143052171/336450697998244]]], 1, 24, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-2, 2, 0, 1]], [ -631, -2, -2, -1 ], [ 0, 5, -3, -1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9585149551, 9748142596, 318963227, -7], [-20257791914620379065/2113860538, -20602270611182873545/2113860538, -337057415033246846/1056930269, 805054513/1056930269], [-1128231469327/22, -573708380418/11, -37543949599/22, -135/22], [-57334839823/23252465918, -58309804305/23252465918, -953960417/11626232959, -5/23252465918]], [[-89160000032473269080381/2, 124648998337887290696208, -73983304984660167156981, 12696374456501740905266], [94217868942919263881401770411685/2113860538, -131720087049803605427062898409879/1056930269, 156360459570885334483257567140603/2113860538, -13416614282104147529885332250652/1056930269], [2623671057302885308719145/11, -7335979570363237523015062/11, 4354146610701539601457757/11, -747220954617505346457046/11], [133330583218026508973699/11626232959, -745604470511249528711549/23252465918, 442540924191674124714685/23252465918, -6904094825752294641007/2113860538]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 41/2, -8, -29/2], [21/2, -383/2, 251, 97], [9/2, 8, -21/2, -4], [0, 0, 0, 0]], [[9651881926, 169784454581, -22502974324, 515679981/2], [-33445165396579/2, -2771502167694, -2800238971096, 3921574141753/2], [-29780934069681/22, 3192153449537/11, -1536845241585/22, -44709177780/11], [-61/22, 6/11, -3/22, 0]], [[-4119615464306395426936704314, -25693686805533673821034732875, 242016701857051162588283566774, -49695210823471830125370697591], [2723536861471338233000710560157576593283/30650977801, -1007911988665981865563119871134597556514230/30650977801, 332771811680090783773468867640844103754689/30650977801, -58158428283264497397811295326413408749827/30650977801], [6555813193911230150807522802241/29, -604369205202523599822094532469249/319, 187645058315328948264296387888356/319, -37674673082733099064505112014554/319], [152974768380046591371460345549/337160755811, -1317796344958261496646677367519/337160755811, 397653879138317687581658516743/337160755811, -75187155783121243176728071418/337160755811]]], 1, 24, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-1, 18, 4, -10]], [ -1309, 45, -2, 4 ], [ 5, 30, -47, 13 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3805665053/2, -1830605599, -3592595207/2, -9], [-366060516848257458493/36674994838, -351899600666219886879/36674994838, -345306153416894183405/36674994838, -350248768602/18337497419], [-2007050/31919, -26987/31919, -76213/63838, 2/31919], [-68469315377/36674994838, -65817898719/36674994838, -32292351657/18337497419, 1/18337497419]], [[673950109772510384118431239, -2703932569172423812728169471/2, 3009819747919549468465017329/2, -1997502013213476343007131073/2], [129689472015594181951306993774304394973/36674994838, -260081857899855859090098491835982191777/36674994838, 144681112158743129145851011235441581154/18337497419, -96003410474651477996518926229986128941/18337497419], [1954211392336824272856745/63838, -1391212086666393897353507/31919, 533827034186840888886597/31919, -126816437970537716699634/31919], [12128988858193484317129247120/18337497419, -24323312660561285851573243910/18337497419, 27060942828018950148882924220/18337497419, -17956175083983618025684065770/18337497419]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5890439/2, -103429/2, -84535/2, 6], [2891702439521/63838, 25425503448/31919, 41561526335/63838, 1431159/63838], [3841145/31919, 67537/31919, 110415/63838, 3/63838], [0, 0, 0, 0]], [[-48681683854354188745662059/2, 393236218148393161896043, 340728021949231261530317/2, 397181374380792801848445/2], [199081420038694106164474092026767448051/531787425151, -3210205178231609386331930100612125473/531787425151, -2779780564245199964646774355615646755/1063574850302, -3248676573715082725090371188631387685/1063574850302], [1841225669886487100061792691/1851302, -14847480004611269308212120/925651, -12854233049961544473453397/1851302, -15022899690434909890805473/1851302], [-1731969637465/531787425151, 1409857913537/1063574850302, 1380501874301/1063574850302, -3/1063574850302]], [[-4263134485182644585163795436024186827748546147/2, -41201659274781797892800397182177807577631250391, 222801654355472512291354489860764211088930291299/2, -43113027034894684155907825378659931508643302786], [34866996607556216250799678607623144338085490220785958159395/1063574850302, 336977017193922222330016484728595002590786129798505317480913/531787425151, -911150231969934168122827966993884719298235913815079752901498/531787425151, 352621756584258492543589753469503903281939528187920645325570/531787425151], [161245004613168965807535035271018882735931145571/1851302, 1558302369004480663949580213698972917609431638207/925651, -4213458708918992779329321599833334224312849287463/925651, 3261275229916995366913450439196921961061689114261/1851302], [1169640542431396443329468209670273/1063574850302, -1133979840811311636975910171666983/531787425151, 1350116793612406962131360447345975/531787425151, -1870368852449604932392366308595809/1063574850302]]], 1, 768, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[14, 11, -10, -2]], [ -2022, -11, -5, -6 ], [ 0, 34, -34, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-239957562963, 143974537832, -143974537918, 13/2], [-258915730700, 155349438836, -310698877127/2, 11/2], [-12498402931249/4, 127483709909637/68, -127483709909457/68, 143/68], [5/68, -3/68, 3/68, 0]], [[6612819364356841193191545273/2, 4803107365963204139782657997/2, -4730092404780919717866836089/2, -379200977862063278005304366], [396290781368009680513744541989200938165/111079345229, 575677955874306394339123860594484391859/222158690458, -566926725730519272716260592756606510147/222158690458, -90898506516294182461866946136913306171/222158690458], [731923469155213029706171337787/17, 1063239991755792579517404672669/34, -1047077033466896157251984420341/34, -167883669347432399830390197151/34], [-1913222789985694540916218844/1888348868893, -163486634802790810840711947/222158690458, 2737023374265079515225788051/3776697737786, 219421070507841377583432196/1888348868893]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7829190609049/2, -6141564168433, -12203922557091/2, 16], [-806827397500494581265017/222158690458, 632911178873552006992107/111079345229, 1257659905224835063451275/222158690458, 1259142916412/111079345229], [6402107773739828249/986, -5022097122853223931/493, -9979425895095500377/986, -4202277/1972], [-9131502044095/219048468791588, 7163154973927/109524234395794, 7116964535801/109524234395794, 3/219048468791588]], [[263804260873571425731139168894844078, 401945234005504024838536086383046161/2, -378518298842019891978026307900390329/2, -68458992035188581497203187919435579/2], [-54372033171296196666500534534919465381485141577/222158690458, -20710980620962413231564492980507750987897442331/111079345229, 19503863848566352200290100839884162419610477163/111079345229, 7054955445415648599812475679703564241799390863/222158690458], [862875049611633177206194114958071778180431/1972, 328679787850743192227223206182539861863901/986, -619046097642170378716188517830965534668269/1972, -111960958671321088502503438882822425806585/1972], [-615371183819796445468793249844558895/219048468791588, -468805003086050520531029603122815523/219048468791588, 110370305097195185321095396161834923/54762117197897, 39923247120435943454669501031367149/109524234395794]]], 1, 768, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-5, -1, 3, 4]], [ -1959, 67, -5, -1 ], [ 26, 106, -110, -12 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[99616358429/2, -201105192030, -103637617393, -2], [7229113951994000045197/93562485539, -58376444515349561261075/187124971078, -15041868429647575749034/93562485539, -159258648640/93562485539], [499095963491/3777, -8060586018091/15108, -1384648352463/5036, 48521/15108], [-205025304425/1122749826468, 275936276399/374249942156, 213301641737/561374913234, 5/1122749826468]], [[61887536758266604923788587, 339308839608963990936015929/2, -111656295433128625718986227/2, -42043442119920549300054131], [8982300210633369188122570124583413686/93562485539, 49246971827274880576754187923883623765/187124971078, -8102846026905949628672464355781401126/93562485539, -12204292667565454213807409769420015265/187124971078], [620135428655355545797041215/3777, 1133332253115573453904082735/2518, -559418166550565306078922007/3777, -421290422197657381986353867/3777], [-63686881234829648187872647/280687456617, -174587021212797177243974171/280687456617, 57451318822413113884156699/280687456617, 14421943320173022612372756/93562485539]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2583/2, -299/2, -20, 1/2], [66604363/1259, 7908478/1259, 2110181/2518, -16244/1259], [4336/1259, 1027/2518, 137/2518, -3/2518], [0, 0, 0, 0]], [[-2266983995585303, 106675049354205/2, 63993900228201/2, -65058934406430], [253979929092779509223591116374/2713312080631, -4045724779904564968244388820/2713312080631, -3286508381766019319101658239/2713312080631, 7263497504817430745051959028/2713312080631], [1330144505983103789/219066, -24500819808757645/219066, -2963813783062131/36511, 76115267609237071/438132], [67481656801157/32559744967572, 6715885989613/5426624161262, 1657170413750/8139936241893, 1/8139936241893]], [[50060287713360457449955872104812695/2, -11509840504370540887424256200260672, -46982412371387699517141260347437806, 54176679807857711071864713178105351/2], [-2782551783656506008759702004549961740953719163192/2713312080631, 1357350691060528159446100065887896517903251458388/2713312080631, 5193026128974408302109144216169242888652397544892/2713312080631, -3023659450068414528412161679440322287103001015100/2713312080631], [-9740218257128086765367514449176108709/146044, 6990494885489144554234707072385894285/219066, 54635767438541408373324292790978038051/438132, -15853666304265757629828032554128343753/219066], [-345554303478569654657018561428975/32559744967572, 1564074637008813730158495202211153/32559744967572, 83264648002103204139767925248787/10853248322524, -683313125150657776177229897125249/32559744967572]]], 1, 768, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[8, 8, 2, -3]], [ -631, -2, -2, -1 ], [ 0, 5, -3, -1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1395655542, -9883027892, -119789045, 0], [-1474828391340444594/1056930269, 20887344711780224647/2113860538, 126584383927681394/1056930269, 8988850011/1056930269], [3508973916689/22, -12424013832410/11, -150587532902/11, 410/11], [-8348298217/23252465918, 29558319630/11626232959, 716534043/23252465918, -1/11626232959]], [[-1896383869668508701143942, 119806280372453959277822773/2, -920066953374200954747640, -21399859671417036056261167], [2003962461959785088878507376668506/1056930269, -126602650706299282878664512483108873/2113860538, 972260213712515674876968154474199/1056930269, 45227661811883377308227143951779005/2113860538], [-2383955469919185769085032750/11, 75304598042046815053854022415/11, -1156621751080829948058139986/11, -26901892378748693046743974691/11], [11343470562484598295509751/23252465918, -16287207314205951624064707/1056930269, 5503502481911705134352685/23252465918, 64003046384706018744771534/11626232959]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3/2, -1437/2, -17/2, -7/2], [-17044, 991/2, 1067/2, -55/2], [-1449/2, -5/2, -2, -3/2], [0, 0, 0, 0]], [[-31167144480181833/2, 105900814834843014127/2, 31988066354596799/2, -1577704492496490195/2], [76397649584144666323201960114705/61301955602, -1386957352094498589109437654356/30650977801, -1776379246619741070131690523956/30650977801, 57694205060289684090964640134/30650977801], [16911066434895307218081/319, -1344542242106255654/29, -256614790044710290855/319, 4971144092813506035/319], [-183247099023/337160755811, 702947948640/337160755811, -41426220195/674321511622, 5/674321511622]], [[17771475331598749285690336244956963235882, 159825605936051522542813731757269155997676, -12363472853352338899343155100835943851364, -55397981606782455556424262067295742998138], [62225429951400334638061885140009561300711079050245423/30650977801, 32782754493167455148210861953835056822270043827855721/30650977801, -25348701526478652925193221740306533288588403335370484/30650977801, -9869371066953010384166664923252710561559852605169355/30650977801], [2573451496429736674085174336019086883001420/29, 1702948613331410363908301037981156867232980/29, -1091168664935415230123693736563975243136780/29, -515372137219112208612513233573952939796920/29], [-7477880257937140879035798818618/30650977801, 170417228196249332530895836071366/30650977801, -1059471657683694038647339374184/30650977801, -60845840921097788056913905939888/30650977801]]], 1, 768, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[80, 160, 0, -80]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16, -356, 256, 236], [84, 2, 10, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [34688504663, -27727599473, -6439138287, 5810115464], [43940884217, -32283332259, -13750520006, 9965121670], [-10, -2, -3, 4]], [[0, 0, 0, 0], [626224700834, -753688315532, -109952888966, 234825096560], [834051559790, -686557112980, -196066341466, 180447927984], [-1824, -7752, 798, 2166]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [180, 672, -446, -358], [16, 2, 0, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1145670243, -441333824, 452417568, 140726054], [-599571763, 488572513, 133697086, -120717535], [36, 3, 2, 5]], [[0, 0, 0, 0], [786808942324409, -2537641701008764, 2712208895906965, -868832987685952], [1029863544277328, -5532699029204, -1299563091522989, 543966099413573], [-45492065, 21548020, 11764830, -8373355]]], 0, 6528000, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[80, 160, 0, -80]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [82, 198, -80, -76], [46, 2, 4, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-438227343, 376023987, 122329967, -114084713], [-524567777, 472801362, 99519245, -108972429], [-18, -3, -4, -4]], [[0, 0, 0, 0], [13282411417388, -8812312035822, -5105936239382, 3213368237148], [15151329521152, -13955647244454, -937616525978, 2217251050668], [458600, -293504, -210956, 59618]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [108, 452, -370, -274], [0, 8, 0, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [42800793, 167234118, 45595409, -44952806], [90899346, -83961956, -16771993, 18923329], [33, 2, 4, 5]], [[0, 0, 0, 0], [-4393004579688, -29199372012125, 24171271805304, -3214256791514], [24722908339619, -22689241999823, -1491184257381, 3552032205071], [6928425, -9850050, -751275, 2420775]]], 0, 6528000, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-32, 0, 16, -16]], [ -2, 2, -1, 0 ], [ 0, 1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, -6, 6, 10], [0, 16, -48, -24], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 1, 0], [1, 1, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [4711284, -2773008, -1287468, 820584], [-7553602, 2386370, 1717982, -638750], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 6, -8, -8], [1388, 4, 6, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [23608567010759, -5174407295, -40475615886, 60394692136], [-95579057612944027/29, 27720125570331986/29, 36158721329709091/29, -14634558074610102/29], [84/29, 108/29, 216/29, 5/29]], [[0, 0, 0, 0], [-3971945934277550311148886, 1239985903893384015510401, 744715897179347518948147, -14709088887295573271764], [16172223934785252491787796572/29, -8850723361221251863752453691/29, -6136186202490712652288247960/29, 3294249403121287806832812393/29], [-21027160820485/29, -41345690693700/29, -440781287376/29, 20976755955115/29]]], 0, 417792, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-32, 0, 16, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 2, -2, -8], [4, -12, 6, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13, 3, 0, 1], [2, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-5160, -8000, 1520, 1760], [-3190, 4994, 1166, -1408], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [9056, 210, -586, -260], [2, -6, 22, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [1722018784460374778/29, -1210674103880051707/29, -393585722216618288/29, 302872922158387565/29], [900296637517771/29, 15255194465172/29, -131511974766/29, -616100665932/29], [-105/29, -135/29, 20/29, 1/29]], [[0, 0, 0, 0], [-11437396902719854149915378227/29, 8914297367144116433407314178/29, 2418073813155248535786340081/29, -2149000769662236408096681008/29], [-5186079559226721633895534/29, 4031556047332712013539940/29, -530556394787664795402219/29, -713780473446637913522403/29], [529249532459/29, 13337331760/29, -286152925092/29, 260996714479/29]]], 0, 522240, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-32, 16, -32, 0]], [ -2022, -11, -5, -6 ], [ 0, 34, -34, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 4, 10, -6], [10, 16, 12, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-51713971299508667080835/111079345229, 18104329995635666079157/111079345229, -43163396658457275290827/111079345229, -3156966097417147/111079345229], [33518943354537/17, -11734075217309/17, 27976752612582/17, -196576669/34], [526035522841/3776697737786, -92078523243/1888348868893, 219529876743/1888348868893, -1/3776697737786]], [[0, 0, 0, 0], [379650771506031800505720958170836283/111079345229, -30079848304596728047115987223450018/111079345229, -82541630496620386857049880480231692/111079345229, 53244251698009482803669731341874467/111079345229], [-246074247217901846995140835/17, 38990209429943174597888647/34, 53500127917665180299076868/17, -34510387927015728264886443/17], [-1930907710082200131185217/1888348868893, 152984166540441791682703/1888348868893, 839614381394723004652399/3776697737786, -270800574943240415635331/1888348868893]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 6, -10, 6], [610, 6, -4, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1474732101406361225017439/111079345229, -1610931046272641004893529/111079345229, -46924113576316580470895/111079345229, 214742262269877082763/111079345229], [819010038151461450/493, 901679441431126321/493, 24360523164733100/493, -4072914098924637/986], [-14136438047387/109524234395794, -7756553344044/54762117197897, -224787504173/54762117197897, -1/109524234395794]], [[0, 0, 0, 0], [1262263363539213471637769834586026343724/111079345229, -595312963344941261080994829385872236502/111079345229, 1123840164332269460795908341851138126649/111079345229, 84921146110418617431721098863712741689/111079345229], [-1399601834797134985492175562829069/986, 326551832018181354034521620023889/493, -1253369602453690114412615216261371/986, -5179924902793479199253526646789/58], [12070185859128955707802649505/109524234395794, -5734149956157788783340161665/109524234395794, 5441687283679611669449510125/54762117197897, 394625207555626403120140770/54762117197897]]], 0, 1566720, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-80, -128, 64, 32]], [ -1309, 45, -2, 4 ], [ 5, 30, -47, 13 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 10382, 3460, 10], [0, -6, -2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-137990948134276156009759/18337497419, -374414348129722187307102/18337497419, 35745935405730045464066/18337497419, 90682908943683197955164/18337497419], [139843709862284/31919, 376981116664969/31919, -35849852689239/31919, -91094192179238/31919], [-114905658813/18337497419, -117557075471/18337497419, -8765286362/18337497419, -2/18337497419]], [[0, 0, 0, 0], [8361105732262029986920757038051309650838/18337497419, -4877994453718384073496664989913246653186/18337497419, -1264714407787816874685355979836240810846/18337497419, 920367193706801366565619874804606518736/18337497419], [-8543421097315214327060178962690/31919, 5008763971703350728916436059880/31919, 1300777625136433834346212565484/31919, -952781091865940901061786104488/31919], [12360996207500748197255982886/18337497419, -9840902092725192634238095772/18337497419, -1593260094287558134204421116/18337497419, 2123740983123428548461925574/18337497419]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-39981962484/31919, 33196702004/31919, -44562914092/31919, -1482130/31919], [206902/31919, -171786/31919, 230602/31919, 8/31919], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1380890405248027461197312/531787425151, -201900151469234101084679/531787425151, 4406106490674855152128197/531787425151, 677336584949217078795/531787425151], [-5179008203587/925651, -738512327511/925651, 16876450378361/925651, -6105463899/925651], [795240800577/531787425151, 115427687745/531787425151, -2553294784422/531787425151, -1/531787425151]], [[0, 0, 0, 0], [-9795065710975387218778581245126311382564584/531787425151, 12672568998190548927126204074633867808246900/531787425151, -7031121848842010874056690062115165191182306/531787425151, -1239356708258161784973900749684848661196086/531787425151], [-36545809348927043983302005478014/925651, 47637421138043080339600061424316/925651, -27241385189277325463857555370902/925651, -4493302739828207699677631412988/925651], [5632283084519189942981041424436/531787425151, -7302930734476758080626056210918/531787425151, 4088480119150468097489257115886/531787425151, 706741923807228169404614828990/531787425151]]], 0, 1566720, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-16, 144, 16, -64]], [ -1959, 67, -5, -1 ], [ 26, 106, -110, -12 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1832334/1259, -412576/1259, -92650/1259, 9252/1259], [-22192/1259, 4970/1259, 1222/1259, 10/1259], [0, 0, 0, 0]], [[0, 0, 0, 0], [-60619636640252929870331/93562485539, 363434902086919775298526/93562485539, 112624689331593208615112/93562485539, -1984586800201386098193/93562485539], [-40680665349485/7554, 401298979100495/7554, 57157014363157/3777, 320008974979/1259], [1687975527625/5800874103418, -19164447746518/8701311155127, -11374969402123/17402622310254, 1/8701311155127]], [[0, 0, 0, 0], [-209526124221456895451599852802318129899310/93562485539, -539786956924436652696845932784246708879303/93562485539, 145188802941698492677161246000208982202101/93562485539, 158753231569779524099304655408120442506997/93562485539], [-109815514910791831118434587259333/3777, -625762271369180241771318246710647/7554, 81191122192286642816823015677080/3777, 30320577418931757370643913656856/1259], [3584359414522380284332915781015/2900437051709, 58445773714930869445915869167245/17402622310254, -15417814560395446266851731594255/17402622310254, -8541506470908364132335796514780/8701311155127]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1769476042/1259, 105744718/1259, 253752870/1259, 140352/1259], [108650/1259, 6494/1259, 15582/1259, 8/1259], [0, 0, 0, 0]], [[0, 0, 0, 0], [211791658875531196742012268719/2713312080631, -101014639507549335400879884797/2713312080631, 21268089002457169810633010651/2713312080631, -16764535325361861441904733657/2713312080631], [153827205479350581/36511, -79754055765621386/109533, 100797417394393609/219066, -83115889368269393/219066], [-737103161409589/504676046997366, 990445345145527/252338023498683, -8995734993151/168225348999122, 5/504676046997366]], [[0, 0, 0, 0], [690306846416181934537042647392687099117106300478628/2713312080631, -1610092293902511912117848894233218138898340762357229/2713312080631, -671220014023768052619372270789448921896763644526315/2713312080631, 730261992790416200496563913615807428156738705376926/2713312080631], [238349954562810304083523651309833892863/73022, -5499075758992996964822150396852171895093/73022, -285256865003698714329203664807416200599/73022, 2002822914273943742310824208561140865017/73022], [-2618912100747426089048872731126670118/84112674499561, -8237721022684329642555919884237161452/84112674499561, 2391310928133832229822982962289330035/84112674499561, 4620683810283400403284474660868808849/168225348999122]]], 0, 1566720, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[32, -32, 0, -16]], [ -631, -2, -2, -1 ], [ 0, 5, -3, -1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 0, -4, -4], [12, 34, -10, -12], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10869758163271050727/1056930269, -8277620186998143590/1056930269, -568402457667674979/1056930269, 362003559857/1056930269], [-1658997098730/11, -114851963613, -86752690098/11, 535/11], [-63890709307/11626232959, -48654520276/11626232959, -3340988920/11626232959, -1/11626232959]], [[0, 0, 0, 0], [-255108947840656362193091402041904/1056930269, 234467621753529215643525887792032/1056930269, 59100804828584723168002715486482/1056930269, -59691690356750412140081399778168/1056930269], [-38936012190287486739085620/11, 35785627018433412356656316/11, 9020264677065659984866120/11, -9110446964182619931831996/11], [-1499489924269230116141912/11626232959, 1378163406613045619662960/11626232959, 31580476416048117162796/1056930269, -350858309697252413742252/11626232959]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-248, -496, 306, 226], [-14, -54, 34, 24], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3201181151997, -3059744299147, -1057139972178, 325033426941], [-30447801885913/11, -12490324412796/11, -4775134183480/11, 25303097513/11], [-32/11, -13/11, -5/11, 0]], [[0, 0, 0, 0], [142362498954293595587135194586935014428998/30650977801, 341344862618642179549735292184672159049482/30650977801, -157530989214527477710734657213757527534342/30650977801, -91816657906107596963067811441248525329216/30650977801], [1114438999833734863795778998207058/319, 179753990948565359225583665049242/29, -1046547887312857231950917403426962/319, -533666465741566338269136130232936/319], [1237346849991310736943286627380/337160755811, 2190768889691822355366300163010/337160755811, -1161192367382839242722246723460/337160755811, -591075795204537452129423726660/337160755811]]], 0, 1566720, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[16, -288, -64, 160]], [ -1309, 45, -2, 4 ], [ 5, 30, -47, 13 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [426082, 13864, -13846, 8], [-246, -8, 8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [402696888052680717601250749603/18337497419, -216921706523183487574332947087/18337497419, -116407027344360688543885014167/18337497419, 68839968572551358316225440610/18337497419], [-404696851244267644051/31919, 218003824756307238897/31919, 116988113967414856818/31919, -69183417723928788963/31919], [-11609085859/18337497419, 60415195488/18337497419, -96070130276/18337497419, -1/18337497419]], [[0, 0, 0, 0], [2954499127837775992536758278609321741825913427640/18337497419, -2326720794542577151428282922570271346196983692416/18337497419, -894185600116272699032348551715951706005633391832/18337497419, 684427194474263505953175115779389115470032382848/18337497419], [-2969181036874772399790539028700830685240/31919, 2338269418783800983205954619782805525708/31919, 898638526184091534505178925428405464246/31919, -687833718444030245520373710203856314494/31919], [-136940695504906244050693916520/18337497419, 303221250742891690586040029520/18337497419, -362475624137288574770018113920/18337497419, 233566008615466751194756427400/18337497419]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1676268178862/31919, -22767016942/31919, -20895884958/31919, 900660/31919], [8674274/31919, 117812/31919, 108132/31919, -4/31919], [0, 0, 0, 0]], [[0, 0, 0, 0], [5635317061912568473186913425/531787425151, 626011705236692348717376722/531787425151, -779011477179585205554052100/531787425151, -289138379280272469083809618/531787425151], [-50771050725700522/925651, -5566490218581355/925651, 7101741595937823/925651, 2604380515092046/925651], [522026076553/531787425151, -3260801225077/531787425151, -3831730035876/531787425151, -4/531787425151]], [[0, 0, 0, 0], [961250080223216764320530957986074462615848775195271/531787425151, -543647188839765022598056526988696580400310931199181/531787425151, -434189439375479765357834510029726330249912782537641/531787425151, 256078006412266451146788082189580858440309942050332/531787425151], [-8661268422194508835177780419938374033067/925651, 4902430092034893267861192678519734791811/925651, 3904229100126756744285242086571870872516/925651, -2301927558939654519841795186738360373893/925651], [131630271884804927182609684304497203/531787425151, -252289788656500750124401369424850840/531787425151, 301710974759607649219823529759526552/531787425151, -210648519594412768596485258416324127/531787425151]]], 0, 50135040, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-224, -176, 160, 32]], [ -2022, -11, -5, -6 ], [ 0, 34, -34, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 10, -4, -8], [928, 2, 6, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [309874125967462167559175/111079345229, -39271292447514531129989/111079345229, -2538219518141953890691/111079345229, -545361893317702196295/111079345229], [-9691654006538034/17, 239784719649347, 2496754547312503/17, -1917743257541265/34], [-303876832383/3776697737786, 203157868472/1888348868893, 2628813715/1888348868893, 1/3776697737786]], [[0, 0, 0, 0], [-218858176594347340660472986889128794706/111079345229, 665426480291218173701271816835177089806/111079345229, 59575587506438999320102132416313950146/111079345229, -230287974289499911528435502578205461828/111079345229], [9565213134341322815929284934993/17, -10294647495318962755716257611728/17, -2484271834181151399192441991614/17, 2838590499390546383843856826707/17], [266127547115539941430325101/1888348868893, 201857983697290301402860385/1888348868893, -191745595974331463552060692/1888348868893, -33642513103906357299324177/1888348868893]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 6, -6, 4], [8054, -4, 6, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1956074675467209247471628/111079345229, -1065399000744254422760767/111079345229, 1720453270480393742589444/111079345229, -2878758901251683965730/111079345229], [39343909774038343642/493, 190457529740903133235/986, 20478568958224703117/986, -32338800705909420142/493], [2236267506232/54762117197897, -5128650702520/54762117197897, 16556080066551/109524234395794, 1/109524234395794]], [[0, 0, 0, 0], [-1578451819347465591309264202195778405735959328/111079345229, 1591603120599633553605273660200980304917674438/111079345229, 101423452636044893759827558346410287344313506/111079345229, -333604442059747863913996757761019623929247918/111079345229], [1730200809145625254255468714303986052632/29, 1584495673099233448879624884179514068150/29, -903209576713980178812256371741769431046/29, -361477683884956901732278342074152597034/29], [305748044273638199304080933270094/3221301011641, 232699287911811420050921595274524/3221301011641, -219417539979628650688905230721774/3221301011641, -39502878460459357677061317761376/3221301011641]]], 0, 50135040, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[80, 16, -48, -64]], [ -1959, 67, -5, -1 ], [ 26, 106, -110, -12 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4545298/1259, -1195396/1259, 83804/1259, 4708/1259], [55584/1259, 14578/1259, -1022/1259, 4/1259], [0, 0, 0, 0]], [[0, 0, 0, 0], [45130483182185012/1259, 1854074191116677/1259, -12343915524520646/1259, 1734155237564803/1259], [-1687256774978962/3777, -26259438553232/1259, 439622688213560/3777, -126652274241007/7554], [11/6, 2/3, 2/3, 0]], [[0, 0, 0, 0], [-40771731266956642207887687838499818370172/93562485539, 59403348105645123462480117173811630951955/93562485539, 282222955089480723998710811957752339877/93562485539, -12235762034690350695036909686718784294035/93562485539], [6820880867664038243228668308895/1259, -60262623215837200014448504404451/7554, -509316426291883420201146657361/3777, 6497761469645871107256892712222/3777], [-5287710048011335316514149573/280687456617, 26896081525551547923590138423/561374913234, 3346611733050928909231252827/187124971078, -6991182067962104491366706765/280687456617]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [423884, 4, 65150, 2], [26, 0, 4, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-79307286928864149687546673377558/2713312080631, 355871744845638448481239643063/2713312080631, 1486442081785295921663250151792/2713312080631, 219314996275314091007470248351/2713312080631], [-65460772590517929092/36511, 872801299434373082/109533, 3663054117223727290/109533, 1092508054857959849/219066], [89188153446205/16279872483786, 1154473404422/8139936241893, 2913654996254/2713312080631, 2/8139936241893]], [[0, 0, 0, 0], [-29863030359393602838515680233562369450857815969404864/93562485539, -13133714268619654144466513253342287849850976699985755/93562485539, 5303616854117206729960381328842162972310175572730645/93562485539, 32044397820581436458047367123608218799699052990933605/93562485539], [-24651380154252024368774845195496988835659/1259, -21705567659215559312607545718370556188123/2518, 4375658374868194597138616942486162922347/1259, 26461373034238091872027625556714433997947/1259], [6046940614668335384219615955312/74314921, 19327361319326321523814421861593/148629842, -2880062098527313701328823656909/148629842, -10349691116189769076124538962837/74314921]]], 0, 50135040, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-128, -128, -32, 48]], [ -631, -2, -2, -1 ], [ 0, 5, -3, -1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, 2, 2, -10], [732, 0, 4, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-602983690524547367894/1056930269, -42248358870724803017/1056930269, -2726758986319618071/1056930269, -8849005660263602944/1056930269], [675843974375961/11, -242289194025617/11, -171765992838138/11, 71964415619090/11], [-42752103927/11626232959, -56053032159/11626232959, -4397919189/11626232959, -1/11626232959]], [[0, 0, 0, 0], [177771961819541836032904227610362080/1056930269, -438511779137571018750979520059922624/1056930269, 34944003463483896763159505365139412/1056930269, 96938953774177093108754594139922300/1056930269], [-24756984652129696993613236566, 25214568629772624103877656578, 6396709598807452841401631160, -7162461405858647694244117644], [412946800134472925195196/1056930269, -4321188811876439177488212/1056930269, -252551028579706033646028/1056930269, 1635778317646371949949136/1056930269]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7916, 22, -8, -26], [-820, 2, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1030213881828868872753332328/30650977801, -5722241526845325180728851/30650977801, -4897635072018789339598593/30650977801, -9727056705122042334758178/30650977801], [1095540272028590419/319, -44129870579373757/319, -827772070386126/29, -11270184857186060/319], [-1147137091097/337160755811, -2897153051035/337160755811, -220352090291/337160755811, -3/337160755811]], [[0, 0, 0, 0], [572021734610690882878442094511890421673902208/30650977801, -739472067242184644805584045820094794986540048/30650977801, -84356190419007868218068390183738561521596676/30650977801, 187374645180352061352430169414239512716397509/30650977801], [55991234581248414324141576903694160/29, -70556605269524395814580225022536360/29, -8287376008128125264236829396562779/29, 17679950535643644539030937740608006/29], [-6455095749774189912938943683/30650977801, 138726152650120768851394471290/30650977801, -717086341059210356125964137/30650977801, -49417376255160977239665098247/30650977801]]], 0, 50135040, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-3, 18, 0, -6]], [ -2, 2, -1, 0 ], [ 0, 1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7/2, 5/2, 5, -7/2], [-17/2, -8, 14, 4], [6, 7/2, 5/2, 5/2], [0, 3/2, -1/2, -1/2]], [[1, -3/2, 1/2, 0], [1, -5, 1/2, 1], [-5/2, -3, 1/2, 1], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-819/2, -469, -191/2, 0], [761/2, -657/2, 125/2, 5/2], [688783/58, 349552/29, 75343/29, 17925/58], [100/29, 195/58, 21/29, 5/58]], [[-3887281502462, 4271222085625, -5500947844177/2, 241832645463], [22337788896663/2, 25907410438881/2, -30671638497590, 11077237319347], [6768302874866689/58, -7472193618110013/58, 2233585016582189/29, -305528499671965/58], [2027798175923/58, -2046984031911/58, 519668899386/29, -3142066317/58]]], 1, 64, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-3, 18, 0, -6]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13, -33/2, -3, 5/2], [81/2, 57/2, 27, 3/2], [65/2, -3, 1, -1], [0, 0, 0, 0]], [[-766836059, -5802457615/2, 270199947, 792487948], [18823632849/2, 92954203171/2, -6982296305/2, -25356496969/2], [1864192806, 10394379027, -791011008, -2875576869], [-5/2, 2, 1/2, 3/2]], [[1106359193062897/2, 1041572061727014, -198141448075507, -299456495625584], [-6986888872713691/2, -40079078250773385/2, 1784913170022364, 11365051424923863/2], [-290251037872818, -4600450481653404, 257568983437050, 1295295176093976], [4615055, -15219065/2, -691946, 4177905/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13, 31/2, 4, -5/2], [-1973/2, -43/2, 34, -57/2], [-65/2, 1, 1, 0], [0, 0, 0, 0]], [[304708609/2, -1097346577/2, 795180745/2, -207942077/2], [699032952349/58, -1130298940205/58, 813225338702/29, -272704857358/29], [8799679590/29, -57984485475/58, 85034896845/58, -14508409770/29], [2/29, -57/58, 30/29, 3/58]], [[1940354915092087791/2, -642348452352332717/2, -368660496385231449, 250533910848721603/2], [2790726612391193226333/58, -2098480347097600205122/29, -463555327640364483337/29, 685588392498813390376/29], [48140351872917165375/29, -125821113947394759645/58, -19540808745123845370/29, 44907679318323863745/58], [15364279158/29, -86152721126/29, -670860254/29, 28806107934/29]]], 1, 64, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-144, -48, 96, 0]], [ -2, 2, -1, 0 ], [ 0, 1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 2, 6, -2], [36, -26, -10, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 1, 0], [9, -1, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [6808, -44896, 7544, 5888], [100902, -71556, -13266, 16482], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, -4, 10, -8], [3700, 40, 0, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [336815686801, -2598008961, 614739750, -1431687336], [6386941618825633/29, 14948043704044582/29, -2736411965228139/29, -4493586902922788/29], [-90/29, 108/29, -16/29, 5/29]], [[0, 0, 0, 0], [477601642545556285672, -1730904812647507568302, -63126027681205380504, 353917691067748511068], [-166941832424364513548766, -2088370925141562745244052, 160574735708369701096794, 601492617386160825910650], [-7848320070, 7825697730, -3865409022, -22764780]]], 0, 4177920, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-144, -48, 96, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [56, -6, -4, -2], [82, 10, 0, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13, 3, 0, 1], [-8, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-528728, 4842144, -269696, -1608028], [26890, 10352650, -1129380, -3522590], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1800, 44, 16, -8], [-52, 28, 4, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2105232201135, -2464159109277, -206143148121, 533020000563], [51775390325, 907072952, 25559853, -301921189], [2, -5, 4, 0]], [[0, 0, 0, 0], [39949322970914344603292/29, -842082021751394343045268/29, 15804856955652346211544/29, 206070565144107357191112/29], [-4261206999918092490190/29, 12890208928568598038658/29, 449717113255643543132/29, -3013018612224565706156/29], [-260642680148/29, 764086290322/29, -248784800522/29, -2363899456/29]]], 0, 4177920, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[-3, -4, 1, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-15/2, -5/2, 7, -3/2], [-95/2, -8, 29, 7], [7, -1/2, -1, 3/2], [0, 0, 0, 0]], [[3549389/2, 22564097, -3014140, -6021303], [-35442849/2, 17941195/2, -17283725, -12656538], [-9774990, -124638165/2, 3957885/2, 31508145/2], [2, 0, 5/2, 5/2]], [[2278669032033, -1924114603935/2, 734987475351, -506069150481], [26483006490173/2, -36157106607361/2, -5337098545101/2, 8086737527223/2], [-3576208007970, -4257255825030, 791468188680, 1326702780390], [-2978023/2, 1568577, 3159887/2, -1932305/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9/2, 23, -26, 8], [-28, 139/2, -62, 21/2], [21/2, -5/2, 2, -5/2], [0, 0, 0, 0]], [[-27736377/2, -59603448, 49326705, -7915791/2], [-670541693/2, -1538558899, 992396945/2, 512346390], [5444430, 30792780, 4465890, 3539400], [2, -2, -1/2, -3/2]], [[120874554260, -90751420474, -8024027697/2, 17855023459/2], [1279800261615/2, 150484510870, -177942775250, -222300026539/2], [-141729068640, 35358689280, 29782260480, -7171907040], [747019/2, -287833, -185731/2, 76258]]], 1, 4, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[1, -2, -2, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7, -27/2, 25/2, -4], [7, -87/2, 59/2, -15/2], [-11, 0, 0, 3/2], [0, 0, 0, 0]], [[-4923387/2, 1546105/2, 11399181, -6863401], [26443577, 280292171/2, -29907372, -153865049/2], [2977041, 4646569/2, -14757435/2, -1550276], [-5/2, -1/2, -3/2, -3/2]], [[1514342793891, -56079850024975, 123075955046105/2, -16838985105584], [-14843685902839/2, -258036721094445/2, 163087451764492, -32227269466382], [-18562682583801/2, 70476455119347/2, -18143916562125/2, -2459398950009], [19277327, 599336, -1845324, -1277532]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, 5, -3/2, -1], [77/2, 67, -14, -25/2], [2, 1, -5/2, -3/2], [0, 0, 0, 0]], [[-3939/2, 33047, -25485, 7015/2], [489451/2, 815631/2, -437307/2, -29018], [12535/2, -41965/2, -1635/2, 1635/2], [1/2, 0, 2, 1]], [[-190321229/2, 4148449650, -10395553325/2, 3233280449/2], [21913947282, 20013574793/2, -37749565298, 14087883438], [896245960, -1635763000, 815599040, -109558080], [126479/2, -58065/2, 7347/2, -1817/2]]], 1, 4, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[48, 64, -16, -32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-42, 46, -2, 0], [16, 34, -20, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, -1, 0, 1], [2, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [85360, 35640, -22440, -5720], [5768, 83636, -12978, -25956], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-32, 18, -8, 2], [-4, -2, -16, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1, 5, 0, 1], [2, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [102676, 76076, -248976, 95494], [4588, -22496, -11988, 3256], [0, 0, 0, 0]]], 0, 261120, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[48, 64, -16, -32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-64, 26, -6, -6], [12, -4, -8, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [5, 1, 0, 1], [2, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-2415660, -4640610, 4322760, -762840], [114724, -587328, -256220, 211692], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [16, -20, 2, 8], [18, 58, -34, -24], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, 3, 0, 1], [2, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-222696, 259776, 59940, -77832], [-62842, -33838, -130518, 106348], [0, 0, 0, 0]]], 0, 261120, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[5, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -35/2, 3, 3], [11/2, 33, -1/2, -81/2], [7/2, 25/2, -1/2, 1/2], [0, 0, 0, 0]], [[-443328019, 260531076, 200787455, -115220792], [-4170669351/2, 1427987809/2, 1637521351, -1534895909/2], [1560860946, -2205006201/2, -517230956, 714652181/2], [3/2, 1, 0, 2]], [[38915070062365/2, -30208348938509/2, -4862213723822, 7993646725253/2], [85818894363891, -134678462276357/2, -20908562029565, 35148103381199/2], [-70345348879981, 54928762056049, 17700348941086, -14613045850634], [-313845/2, -448350, 147315, 172935]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11/2, 29, -4, -5], [46, 349/2, -169, -165/2], [-3/2, -39/2, -2, -3/2], [0, 0, 0, 0]], [[-35329493/2, 2540877, 39362467/2, -16938847/2], [37535609, -131168655, 149914605, -56950106], [116555145/2, -56543375/2, -72352875/2, 36216805/2], [-2, -5/2, 0, -2]], [[-1143102898271, 1814116649259/2, 581528353799/2, -243373101493], [4755926255721, -7698549054899/2, -2352741156935/2, 2027827669963/2], [4140384834644, -3258787491705, -1049231537623, 1742763481067/2], [-132260, -92582, 39678, 26452]]], 1, 20, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[5, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, -1, 1/2, 0], [21/2, 161/2, -63, -63], [-13/2, 15/2, -1/2, -2], [0, 0, 0, 0]], [[-8733359/2, 3357362, 476664, -557317], [53869511/2, 67318595/2, -16170936, -8143157/2], [15819412, -12375304, -3115361, 2842605], [2, -3/2, -1, 3/2]], [[-209420300827/2, 145567411385/2, 25482411679, -37265251685/2], [563274220497, 995396972837/2, -183126218590, -258525883565/2], [375131238821, -281628972877, -93332833666, 74125001232], [101219/2, -14346, -10361, 7970]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, 5, -3/2, 0], [-5/2, -28, 9, 79/2], [5, -4, -1/2, -3/2], [0, 0, 0, 0]], [[-97294, -18399, 172403, -71231], [-359959/2, -2524717/2, 4102855/2, -1234963/2], [606669/2, -89751, -569925/2, 254401/2], [1, 5/2, 2, 2]], [[-421914995103/2, 331297785029/2, 53518439144, -44322611257], [444968589195, -340184738266, -219783908659/2, 89283358229], [763396254529, -598536344908, -193236575803, 159885256569], [2854209/2, -1409463/2, -740943/2, 187557]]], 1, 20, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[80, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [22, 16, 6, -8], [8, 20, -34, -26], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, -1, 0, 1], [0, -1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [8645884, -7247162, -2088216, 1877720], [1228440, -663640, -98840, 240040], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [62, 34, 2, 10], [20, 92, -96, -78], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1, 5, 0, 1], [0, -1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-19910561472, 15090770368, 5173255552, -4104265088], [1091359362, -258002280, -356368686, 146347056], [0, 0, 0, 0]]], 0, 1305600, [], [] >,
< [ 1, 4, -4, -1, 1 ], [[80, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [76, -28, -4, 10], [-50, -38, -6, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [5, 1, 0, 1], [-4, 5, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [95271400, -65021600, 24442600, -3522400], [-62786622, -29087350, -5719344, 11606904], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [44, 16, 10, -2], [-18, -60, 44, 46], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, 3, 0, 1], [0, -1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [1103911466, -951401448, -270137294, 249074150], [-117502320, 33999420, 13689000, -7260240], [0, 0, 0, 0]]], 0, 1305600, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[1, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, -1, -2, -1/2], [2, 3/2, -5/4, 1], [3/2, -1, -3/4, -3/4], [1/2, 3/2, 0, 3/4]], [[-249981/2, 77635, 101229/4, -56325/4], [-284760, -796693/2, 226569/4, 74143], [-71181/2, 293733/2, 13365/2, -107217/4], [-195360, -329115, 76035/2, 61420]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, -1, -7/2, 3/4], [-62, -27/2, -27, 9/2], [1, -1/2, -1, 1/4], [0, 0, 0, 0]], [[-299568, -31757/2, -80481, 5955], [-24716389081/62, -15737374437/31, 9179040995/124, 11988279859/124], [-16853293/62, -320573/31, 859045/62, 172617/62], [-52/31, 107/62, 3/124, -1/124]], [[749552250263/2, 777482337591/2, -148078386121/2, -319344976357/4], [42557027855277427/62, 24483559266472382/31, -16268534499846043/124, -18715297200540953/124], [8376261787272/31, 17301636769933/62, -6483285084221/124, -1700084320379/31], [8066469/31, -521892/31, 398202/31, -53808/31]]], 4, 2, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[2, 2, 0, -1/2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, 1/2, -11/4, -6], [10, 5/2, 1/4, -27/4], [5/2, -2, -1, -5/4], [0, 0, 0, 0]], [[85285/2, 76753, -170567/2, -93813/2], [-68153, 44527, -196443/4, -33575], [0, 42640, -21320, -17056], [1/2, -2, -5/4, -1/2]], [[1236786, 826990, 596169/2, -1521457/4], [-7062941, -19644863/2, 4200371/2, 6225435/4], [1108640, 509548, -63960, -158834], [-113, -565/2, -113, 113]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -3/2, 21/4, -3/4], [-693/2, 56, -49, -5/4], [1/2, -3/2, 5/4, 0], [0, 0, 0, 0]], [[881009083/2, -26494841/2, 435313299/2, -2415493/2], [-38512590304687/62, -38723418645369/62, 13665552546507/124, 3663029221417/31], [13623454606/31, -687025681/62, -64370927/124, 67158351/62], [42/31, 127/62, -3/62, 1/62]], [[-6330121013575, 3351587851213, 11560421757535/4, -5538589779427/4], [78347742076306140/31, 59487307465948856/31, -63765087512165885/124, -21844258661234473/62], [-121149692116000/31, 131899506594503/62, 150168112076805/124, -37949473635393/62], [-4500/31, -754299/62, -490065/124, 499023/124]]], 3, 3, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[-4, 0, 2, -1/2]], [ 0, -5, -7, -1 ], [ -2, -2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[441/2, 91, 5, 9/2], [-12081/142, 1247/142, 8015/71, 381/284], [117/71, 78/71, 287/284, 1/142], [-165/71, -39/71, 159/142, -1/284]], [[413191017, 1893867805/2, -132153526, -820244083/4], [7907194488/71, 1266224908/71, -31812665979/284, -1018143846/71], [382325625/71, 730645875/71, -166870575/71, -646853625/284], [-237902403/142, -431189581/71, -73149759/284, 341720927/284]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-301/2, 0, -261/4, 0], [5081/2, -11/2, 3811/4, -1], [-5/2, 0, -1, 0], [0, 0, 0, 0]], [[2206152975/2, 194674449, -83129273/4, 2944935/2], [-39982787893853/2201, -6987693385151/2201, 1252044096723/2201, 168701067153/8804], [79535273461/4402, 14048248087/4402, -2050707757/4402, -4236945/2201], [7639/4402, 1150/2201, 2167/2201, 1/2201]], [[-561028575178741121, -1254444560169079841, -12416011292095585/2, 940352920570865233/4], [20305481688627710281865/2201, 45009861021220333341420/2201, -124689023127238464209/4402, -33801553731705943178991/8804], [-20244867800570363769/2201, -89972751339046957191/4402, -55370406714291190/2201, 33745275243427384487/8804], [-1708537043304/2201, -6593111310960/2201, -1644230216556/2201, 1460092956480/2201]]], 4, 3, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[1, 2, -1, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/2, -1, 3, -7/4], [-3/2, 21/2, -15/4, 3/2], [0, -3/2, 3/4, -1/4], [0, 0, 0, 0]], [[-78371/2, -84839, -52533/4, 62159/4], [226568, 398171, -6643/4, -287663/4], [-73205/2, -61655, 2585/2, 46365/4], [2, 0, -1, 3/4]], [[11621372265/2, -1145382225, -1271263041, 1189380283/4], [-28172374126, 6940834942, 22586946771/4, -1460430273], [4139993825, -1594595475/2, -835296275, 347974825/2], [299131/2, -480817/2, -199515/4, 219325/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 3, -15/4, -1], [-785/2, -114, 61/2, 41/2], [-3/2, 2, -3/4, -1/2], [0, 0, 0, 0]], [[9760279368, -504556895, 22443069583/4, -3552047669/4], [131407626616739/31, 117247114672566/31, -88104568621667/124, -92100280104469/124], [311628441743/31, -23524359670/31, 18119566983/124, -15766189733/124], [-94/31, -41/31, -115/124, -3/124]], [[372454928477868191, 967903314404956669/2, -2534667057238375985/4, 319183003399863353/2], [6685597957372457081055/62, 10033398106733006654511/62, -900820360016186653911/31, -3366039231731202010257/124], [2758828633117637461/62, 13980935614815057893/31, -20333376778744744821/124, -2043131258660147745/124], [-2218946700/31, -4889005104/31, 1919010858/31, 201756390/31]]], 3, 3, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[-2, -1, 0, 1/2]], [ -2, -4, -3, 1/2 ], [ -2, 2, -1/2, -1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-377/2, 23, 48, -1/2], [24179/142, -239/142, -5165/142, 615/284], [-94/71, 149/142, 105/284, 1/284], [267/142, 53/71, -57/142, 5/284]], [[-61199/2, 1694757/2, -28529/4, -659451/4], [-8272149/142, -56600889/71, 1338020/71, 42237857/284], [-595731/142, 811155/142, 122893/142, -193375/142], [-287467/71, -631695/71, 144649/142, 206903/142]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-37/2, -195/2, -191/2, -5/4], [27367/71, 117673/71, 437501/284, 95/142], [-25/71, -227/142, -423/284, -1/142], [0, 0, 0, 0]], [[7363084140, 1175629818, -1732952107/4, -57265631], [-614593850670057/4402, -17294114838253/4402, 47512914040871/4402, -8398085660547/4402], [530236689291/4402, 42343817223/2201, -67882048263/8804, -9200845587/8804], [-9355/4402, -4739/2201, -5069/8804, -5/8804]], [[-833125126569897621/2, 1324876396013008845/2, -490058791943146371/4, -175300500084794145/4], [21168303862840583569136/2201, -31039020564662189138436/2201, 13309668594542009019221/8804, 5814591301226836150281/4402], [-30329317358526750993/4402, 23846558111281073427/2201, -4094884474734868128/2201, -6773904347103398271/8804], [164729886915/4402, -205497219540/2201, 66168887955/4402, 141855997125/8804]]], 4, 3, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[0, 2, 1/2, -1/2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7/2, -2, -13/4, 11/4], [12, 25/2, -31/4, 4], [3/2, -1/2, -1, 3/4], [0, 0, 0, 0]], [[13487161/2, -13113713/2, 6445531/4, 959265], [-78089945/2, 105526017, 15532590, -82155361/4], [6039418, -4861780, -704165/2, 847539], [0, 5/2, 5/4, -3/4]], [[-117513012547/2, 186696594987/2, 42660365923/4, -16772586222], [1559701753971/2, -422443088645, -149666608421, 334477340903/4], [-42739172784, 67969601700, 8008670131, -12689346978], [15015, 14385/2, -13545/4, -3675/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, -3, 1, 1], [82, 138, -61/2, -32], [-2, -2, 1/2, 1/2], [0, 0, 0, 0]], [[337, 91, 3091/4, 721/4], [2822819/62, -2899604/31, -2499733/124, 375166/31], [18079/31, 9079/62, 3753/31, 826/31], [91/62, 11/62, -73/62, -3/124]], [[-131892576251/2, -434748975889/2, 35582646777, 167318053769/4], [929963890416093/62, -200886585040231/31, -377143974668151/124, 69243647826187/62], [-1203306896370/31, -4905757026586/31, 1712243408207/124, 3757247937085/124], [-5406959/31, -8703672767/62, -2145424451/62, 1082417180/31]]], 3, 3, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[-2, 5, 2, -3/2]], [ 0, -5, -7, -1 ], [ -2, -2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17/2, 329/2, 71/4, 1/2], [2033/71, -15235/71, -2568/71, -103/284], [209/142, -263/142, -61/71, 3/284], [-167/142, -103/71, 27/71, 1/284]], [[-3587893/2, -13972951/2, -5910373/4, 8371501/4], [331657961/142, 623530683/71, 457198545/284, -716779429/284], [-109641/142, 7163439/142, 1031715/142, -864870/71], [2806445/71, 6137306/71, 1213676/71, -1922939/71]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-269/2, 463/2, -15/2, -1/4], [-806467/142, 1375261/142, -33709/71, 1975/71], [192/71, -667/142, 65/284, -1/71], [0, 0, 0, 0]], [[-332858779565/2, 26092431277/2, 3821046499, 337673619], [-14944379101838119/2201, 3709292824934367/4402, 470390264197585/4402, -195503923460137/8804], [7376386091725/2201, -676949555627/2201, -547938348249/8804, -15713457698/2201], [453/2201, 1864/2201, -10835/8804, -5/8804]], [[-56258551373330562250977/2, -64454484907731228738513/2, 21456876820227864412843/4, 12318409069259508085099/2], [-4880299143060968227867647411/4402, -2795969580336268803379997959/2201, 1861000523599348974472263203/8804, 1068797281273512054501999943/4402], [2470399935163305067541129/4402, 1415215091703174948623682/2201, -471054379650139099977547/4402, -1081933304547701909255071/8804], [3219489461646/2201, 1880684555250/2201, -1427155333784/2201, 67854741579/2201]]], 1, 14, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[-2, 0, -1/2, 1/2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13/2, 9/2, 33/4, -3], [3, 31/2, -5/4, -29/4], [-17/2, -6, 1/2, -5/4], [0, 0, 0, 0]], [[52425806, -50603860, -10572027, 11268948], [184711863, -135815639, -44636549, 23267336], [13856263, -92389191, -8290859, 15854930], [-2, -2, 1/2, 1/2]], [[406243021460, -1058649985555/2, 112361711029/4, 220370703137/4], [2999478570415/2, -3500624494683/2, -826053169347/4, 596898108589/2], [436147031936, -542705223808, -45339624000, 86487851648], [-10195/2, 2420, 4790, -8429/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9/2, 5/2, 8, -9/4], [-837/2, -57, -69/4, -57/4], [-8, -21/2, -5/4, -1], [0, 0, 0, 0]], [[1306469621/2, -1418565519, 2802599061/4, -553965215/4], [-35547076547113/62, 43104720945247/62, 6768626277789/62, -16143994727115/124], [51460717437/31, -23893667127/31, 5577918279/31, 2555744628/31], [11/31, 65/62, 149/124, 1/62]], [[-173286484407237/2, 222425425960221/2, 5389600412619/2, -15269696044950], [1237598168373427406/31, -1438667498694571995/31, -938802741912652213/124, 1096664083143547531/124], [-3213691891483899/31, 2937832700721987/31, 933866451579813/62, -977565809524959/62], [-1948023/62, -744915/62, 182715/124, 694317/124]]], 1, 10, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[4, 6, -2, -1/2]], [ -2, -4, -3, 1/2 ], [ -2, 2, -1/2, -1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1527/2, 103/2, 43/2, -5/2], [93205/142, -3757/71, -10541/284, 437/142], [879/71, 35/142, 241/284, 5/284], [190/71, -135/142, -321/284, 1/284]], [[-4631124190, -1212814978, -9720276240, 18469557207/4], [694006060589/142, 32882630399/71, 1956121677885/284, -237107833600/71], [2532546208/71, 4118505856/71, 16064291552/71, -7466415072/71], [7389638845/142, -1924643040/71, -1998304825/71, 1527833345/142]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 745/2, -5, -5/4], [-146, 12183/2, -15/2, 0], [0, -15/2, 0, 0], [0, 0, 0, 0]], [[-199228836296, 13441788415/2, 5691636873/4, -103032306], [-14349179985092935/4402, 823247116204805/4402, 117513478791329/8804, -91774289556291/4402], [17658418017757/4402, -179374041217/2201, -145124580251/8804, 14193778509/8804], [-8309/2201, 2439/2201, -6583/4402, -3/8804]], [[199344347177907572738939/2, -80908218289111351968935/2, -156047612396414955964727/4, 12704144113151532255473], [3618647752683365571339798218/2201, -1513483687401071589817227616/2201, -5663468832869868806125945429/8804, 1863118472914026279107189993/8804], [-8821913771304586005330889/4402, 3481696562675734149348717/4402, 3456612964999191954667373/4402, -544920682004197546445318/2201], [14572578040353765/4402, -3552264747875178/2201, -4244018354415801/2201, 1503173138796765/2201]]], 1, 14, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[-5, -2, 2, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, 0, -3/4, -1/2], [15, -7, -13/4, -1/2], [-1/2, 1, -1, 0], [0, 0, 0, 0]], [[-383285/2, -153693, 223273/2, 66191], [875011, 2658706, -43/4, -806321/2], [-71485, -220920, 114655/2, 97195/2], [1/2, -2, 5/4, -1]], [[-640019306223, -1457116403051/2, 241301971239/2, 552479107001/4], [9396355405150, 22144044001121/2, -3593177737337/2, -2118046400948], [-595453598180, -719519560390, 223632359955/2, 137621255315], [-2522655, -4184376, 319669, 3558131/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, -11/2, -39/4, -11/4], [-585/2, -33, -21/2, -57/4], [-13/2, -11/2, -3/4, -1], [0, 0, 0, 0]], [[10401662835, 39112619215/2, 3313991331, -1826868379/4], [107579610867864/31, -184792265774973/62, -20077777480893/31, 18518794435916/31], [929708750786/31, -51021736550/31, 1859122401/31, -10341033193/62], [-83/31, 69/31, -45/62, -1/124]], [[-29094080547566755951, -66836395405461899789/2, 27205450364165463549/4, 28946133026799837505/4], [-68808728310313822145695/62, -25616800788889460175847/62, 26528622213843898474009/124, 5377098084828689337101/62], [-957875009931644773267/31, -872938564295712548170/31, 235529636073451948495/31, 319203801509434905147/62], [121015011297/62, 26384846889/31, -47213084673/62, -2922294197/124]]], 1, 10, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[4, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, 2, 9/2, -2], [0, 2, 3/2, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, -15/2, 5/2, 9/2], [-3, -4, -3/2, 17/4], [-3, -3/2, 0, 5/4]], [[0, 0, 0, 0], [-33200, 11124, 9364, -9285/4], [-36156, 52531/2, 10742, -23449/4], [-24628, 37335/2, 5764, -3799]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, 46, 75/2, -24], [0, 2, 3/2, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [23596/31, 30802/31, 26467/62, 430/31], [-427/31, -457/31, -171/62, 57/62], [53/31, 65/31, 28/31, 1/31]], [[0, 0, 0, 0], [11839589255/31, 4639791441/62, -331225627/62, -2962516361/124], [-195567107/31, -24842845/62, 17009872/31, 10937853/62], [28147868/31, 2090467/31, -1467969/62, -4423693/124]]], 0, 44, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[2, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[10, -21/2, -35/2, 17/2], [15, -9/2, -25, 31/4], [1, -5, -9/2, 11/4], [0, 0, 0, 0]], [[9716, 12214, -1672, -2553], [17606, -8737, -4335, 1739/2], [7104, 8750, -1306, -1732], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 1/4, 0], [1/2, 0, 1/4, 0], [1/2, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[16, -5, -39/2, 15/2], [77, -23, -133, 101/2], [5, -1, -11/2, 2], [0, 0, 0, 0]], [[137515, -58020, 406895, 529935/4], [-768410707/31, 1210146869/62, 519895613/62, -324368019/124], [8455584/31, 204468/31, 4192921/62, 1001225/31], [40/31, -161/62, 3/31, -1/31]], [[-35575905503250, -75445260133950, -9468414151875/2, 7503417057150], [-18025051068992900/31, 103579591223180035/62, 891859239102771/124, -46841979894432905/124], [-1882056369948519/62, -3555999942972385/62, 323744009240543/124, 280401750772870/31], [11848362061/62, 2893040/31, 91484821/62, -257156775/124]]], 1, 5, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[2, 4, -2, 0]], [ 0, -5, -7, -1 ], [ -2, -2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[238, 61/2, 207/2, 7/2], [29189/142, -2101/142, 11919/284, 349/284], [470/71, 35/142, 135/71, 5/284], [443/142, -18/71, 57/142, 5/284]], [[1150558378, 559345961, -694399648, 361854523/4], [54117207255/71, 24917523210/71, -65155957333/142, 18533473673/284], [1955471534/71, 1888704923/142, -1166918580/71, 609522867/284], [738944109/71, 368605470/71, -420682422/71, 95706411/142]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-166, -281/2, 32, -1/4], [180897/71, 324479/142, -36723/71, -4705/284], [-192/71, -327/142, 37/71, 1/71], [0, 0, 0, 0]], [[2121785090583, 60243075871, -23565615183/2, -91739110305/4], [-55286150536898771/2201, -22666041439745977/2201, -2887892403701474/2201, 9755394661727581/4402], [76525292194340/2201, 4294557162121/4402, -1003071733435/2201, -3222067791609/8804], [5114/2201, -10529/4402, -8753/4402, -3/8804]], [[-86377146111521343468799, -107241408975706579628865/2, 103237411830137539430761/2, -20074894086009101009175/4], [6043188616145321516754600097/4402, 3612110007891534783877907725/4402, -7230231792734127202173479091/8804, 759371283152672984719422067/8804], [-3057670883612674059469697/2201, -1939902521719438378109983/2201, 1799087618383428640000114/2201, -314883103562126612767767/4402], [328249529481359/4402, 87558623439529/4402, -249055660202203/4402, 61941345317547/4402]]], 1, 7, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[4, 8, -4, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7, -2, 11/2, -3/2], [0, 2, 3/2, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-29, 29/2, 9/2, -1], [-7, -2, 9, -9/4], [-2, -5/2, 5/2, -1/4]], [[0, 0, 0, 0], [233001, 41697, -46618, -48599/4], [36490, 88765/2, -40385/2, -21935/4], [21115, 66625/2, -15375/2, -5535]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7, 70, 119/2, -75/2], [0, 2, 3/2, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [140158/31, 74563/31, -31729/62, 1173/62], [2329/31, 1342/31, -545/62, 99/62], [135/31, 79/31, -17/31, 1/62]], [[0, 0, 0, 0], [4275271564139/31, 24381423386363/62, -10840517029393/62, -726787634341/124], [112984876139/31, 362004410151/62, -127575475904/31, 14372546930/31], [5878435692/31, 10700261570/31, -13051469375/62, 1804483229/124]]], 0, 200, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[0, 4, 1, -1]], [ -2, -4, -3, 1/2 ], [ -2, 2, -1/2, -1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[143, -39/2, 197/2, -23/4], [15677/142, -15994/71, -3941/71, -118/71], [163/71, -156/71, 37/71, -1/71], [0, -2, -5/4, 0]], [[1957977, -4508687/2, -2200189, 1321827], [150634100/71, -67597043/71, -101813447/71, 36148027/71], [2593195/71, -2113309/71, -2313916/71, 4785209/284], [474810/71, 1019445/142, 209475/142, -1270815/284]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[450, 15, 10, 5/4], [28249/71, 2355/142, 471/71, 803/284], [524/71, 35/142, 7/71, 5/284], [0, 0, 0, 0]], [[-1670370708934, 165422940102, -313387338735/2, 359833376549/4], [-212059033564273/142, 19561282019275/142, -29896586911631/284, 18570174861675/284], [-1949402047577/71, 195763361561/71, -158602336517/71, 98268136772/71], [3/2, 1/2, -1/2, 0]], [[4461492399282862930, -6387884368193727263/2, -7674244377579602183/2, 4923039929358547715/2], [7978413499391945174233/2201, -11810069306132578769429/4402, -26372063569470984813021/8804, 4444026209794012906396/2201], [156612715394321797653/2201, -112439401024013066412/2201, -266369134389898000891/4402, 171063285781791621489/4402], [4887821463/4402, -971400175/2201, -20225226365/8804, 8643476037/8804]]], 1, 7, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[0, 8, 2, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, -2, -5/2, 3/2], [0, 2, 3/2, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [16, -17/2, 3, 3/4], [4, -9/2, 2, 4], [4, -2, 0, 5/4]], [[0, 0, 0, 0], [2429150, 4728141, -903372, -1570259/2], [892484, 1838980, -183898, -527260], [640428, 1260280, -126028, -289350]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 82, 121/2, -81/2], [0, 2, 3/2, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-268064/31, -121714/31, 121187/31, -1253/31], [616/31, 239/31, -332/31, 28/31], [104/31, 48/31, -48/31, 1/62]], [[0, 0, 0, 0], [5898351913/31, -101100874803/62, -30978855457/62, 56415157355/124], [-23094667/31, 213793851/62, 48565207/31, -33700292/31], [-2137242/31, 19214020/31, 12408457/62, -21653651/124]]], 0, 200, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[-4, 0, -1, 1]], [ 0, -5, -7, -1 ], [ -2, -2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-105, -247/2, -67/2, 5/4], [55724/71, 45196/71, 25457/142, 226/71], [944/71, 1377/142, 179/71, 1/71], [-2, -1/2, 0, 0]], [[-363703576, -569370861/2, 198196400, 8812791/2], [475556468665/142, 202448180239/142, -405613247973/142, 187308471103/284], [4037398170/71, 1557482907/71, -7218553143/142, 903039354/71], [-621546893/71, -210157145/142, 2796824107/284, -462111243/142]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[21, -20, -13, 1/4], [200082/71, -182846/71, -263663/142, -10727/284], [-98/71, 177/142, 64/71, 5/284], [0, 0, 0, 0]], [[-518568, 284315, 154941/2, -43349/4], [-151254392066/2201, 77707348642/2201, 46767664021/4402, -6542578763/8804], [72561043/2201, -78009047/4402, -10753561/2201, 3749277/8804], [-3884/2201, -3252/2201, 4368/2201, 1/2201]], [[108851273, 104327201/2, -34284596, -15080735/4], [2105859832077/142, 531805613631/71, -1317392263017/284, -85007297193/142], [-498422245/71, -238620190/71, 159931980/71, 15841430/71], [35055/142, 52155/71, 15561/71, -17955/71]]], 1, 70, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[-8, 0, -2, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, 22, 13, 18], [10, 23, 2, 3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1322850829, -12791102177/2, -1021612942, 4273895199/4], [780485263, -8999490647/2, -706610135/2, 1636874373/2], [4, -1, -1, -3/4]], [[0, 0, 0, 0], [-38743660403767, 184514563921998, -6019231749107, -28649057451562], [-36544484889045, 131697242426785, 6879541031917/2, -23411797524874], [-177140, 102085, 100810, -94435/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [343, -72, -20, 2], [-11, -11, -3/2, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3332488102202/31, 6406803445519/62, 696514375345/62, -1996334063967/124], [46347166022/31, 2073366197/62, 410440169/62, 193480215/31], [-136/31, -120/31, 85/62, -5/124]], [[0, 0, 0, 0], [516903757887986380827614/31, -593048528869168987186137/31, -97696754859071957533137/31, 451304441790465221223031/124], [-4207273438394796655715/31, 9815067427457844787195/62, 1568544962421176112535/62, -3729871062967341898005/124], [-251251707210/31, 6443561285/62, -137545254255/62, 64523962705/31]]], 0, 1120, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[-10, -4, 4, 0]], [ -2, -4, -3, 1/2 ], [ -2, 2, -1/2, -1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[60, -27, 41/2, -3/2], [4070/71, 19589/142, -8909/284, -1/284], [286/71, 259/71, -10/71, 3/284], [-309/142, -39/71, -105/284, -1/284]], [[1379134563, -2945748151/2, -944855967/2, 1479352015/4], [-99071612503/71, 183915895237/142, 86735548727/142, -57442275389/142], [243692090/71, -1446319625/142, 458707955/142, -9241725/71], [-1794733094/71, 2049679849/71, 1046421999/142, -915988017/142]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[100, -48, 55/2, 1], [-31659/71, 10882/71, -6851/71, 165/142], [-447/71, 227/71, -287/142, 1/71], [0, 0, 0, 0]], [[-930160946233, -101477411011/2, 14125336983, -3667151031/2], [18544132604111487/4402, 3146177334917179/4402, -1404654007690939/8804, -751184526587337/8804], [130739989023842/2201, 8663977712649/4402, -779186028331/2201, 342097262525/2201], [-1871/4402, -4977/4402, -1464/2201, -1/8804]], [[141068884336239515332132, -313054566047363305582867/2, -60241526056304688843395/2, 125730309353429500732867/4], [-2505934150474612959118429621/4402, 1385900845659336419981861261/2201, 266165348979806057020181326/2201, -555489016469210170728771769/4402], [-20393826651979959450421508/2201, 22618368260674864679985452/2201, 4396172992941157441573377/2201, -4559915841279977072583121/2201], [-3349989947587/2201, 22056227722553/2201, -41798272386213/8804, 2780207787131/2201]]], 1, 70, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[-20, -8, 8, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-25, 2, 10, 18], [11, 23, 5/2, 3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-327971690, -124535765, 827461537/2, 719177003/4], [-120101539, -89266561/2, 157624467, 272023645/4], [0, 1/2, -2, -1]], [[0, 0, 0, 0], [6448159661, 33073619651, -66620210501, 38867057784], [-61298924787, -59297316351, -2752208853/2, 46787349249/2], [11064, 21468, -1224, -4584]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-624, 153, 51/2, 36], [9, 26, 2, 5/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1426428829721604/31, 5602389895458209/62, 293606433872563/62, -1977612364139635/124], [-62479218332580/31, -444046864727/62, -421891158431/62, -23512450573/62], [50/31, -58/31, 85/62, -5/124]], [[0, 0, 0, 0], [6776635881122623669177574/31, 32199262482836217657937631/62, -1864419522382373468972337/62, -3219181867013817069004170/31], [-907767580845154808501695/31, -865191152962145094881675/31, 198319235657438691513300/31, 637964822827354292371405/124], [663107292030/31, 530454061645/62, -265307765285/31, -321201625/124]]], 0, 1120, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [66, 0, -65, 25], [738, -324, -967, 423], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 1/2, 0], [1, 0, 1/2, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [905040, 1049176, -165924, -204472], [-150360, 1450, 151505, -54000], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [14386, -5958, -18362, 7990], [1286, -542, -1669, 726], [0, 0, 0, 0]], [[0, 0, 0, 0], [3173719043392957/31, -3643440001734314/31, -1221611712993321/62, 1389150097027825/62], [-622129586681/31, 20684683831/31, -21696153505/31, 12145747879/62], [106/31, -25/31, 19/62, 2/31]], [[0, 0, 0, 0], [-543513278915478720190954/31, 625476276499157883536156/31, 104543809110149005717304/31, -119232934880540953068313/31], [138997954108323224600/31, 28386313142797017650/31, -6216403507915196630/31, -5806803747089906660/31], [-23267583840/31, -429434520/31, 166821740/31, 259967225/31]]], 0, 3584, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[8, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-290, 147, 390, -180], [-106, 63, 150, -139/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16258889, 7059947, 21260303, -37108251/4], [-6241730, 5372247/2, 16285379/2, -14199273/4], [3, -3/2, 5/2, 0]], [[0, 0, 0, 0], [154146766725, -310480781213/2, -30125416257, 120228935919/4], [37558721106, -41418640613/2, -14933564919/2, 4098176903], [143605341, -166154940, -54803205/2, 126974333/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3244, 2003, 4589, -2145], [-128, 83, 186, -175/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-99378394828, 111961811380, 18213739597, -86162773431/4], [-81556410, -1960167/2, -13910102, -22029275/4], [0, -3/2, 2, 0]], [[0, 0, 0, 0], [3136972979603693976328/31, -2644430450084574236369/31, -592131863083648468737/31, 1014181642004241256093/62], [21442221419561752446/31, 21500662211595703288/31, -3828556068304715078/31, -8060854795125124675/62], [-78311575500/31, 225942000/31, 492738750/31, 196035750/31]]], 0, 224, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[8, 16, -8, 0]], [ 0, -5, -7, -1 ], [ -2, -2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6278/71, -2181/71, 3613/71, -384/71], [472/71, -206/71, 267/71, 1/142], [0, 0, 0, 0]], [[0, 0, 0, 0], [937569049000/71, -1537637874619/71, -309351693909/142, 309999299900/71], [71980037682/71, -116712432650/71, -11403313562/71, 23695654302/71], [447/71, 14/71, 145/142, 1/71]], [[0, 0, 0, 0], [-247454864488973911/71, -206648060822626679/142, 120013804836755545/142, 55739724045255089/284], [-18095709185946342/71, -7140818214195897/71, 8611580164926843/142, 1943832467814917/142], [385210957/71, 538372191/142, -447676823/142, 27295909/142]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [122890/71, -93822/71, 72333/71, -613/142], [-334/71, 227/71, -176/71, 1/71], [0, 0, 0, 0]], [[0, 0, 0, 0], [57383958152538834/71, -4650493975508423/71, -1798561518444563/142, 1857447648620067/142], [-155129976491546/71, 3368549652049/71, 4281084677875/71, -1818173253265/142], [-5, -2, -3/2, 0]], [[0, 0, 0, 0], [841593337432443322804264059437/2201, 444803815325194900728289177859/4402, -1176303657972948546719678402353/4402, 140829238633064829682652637065/2201], [-2223880313401274827799823481/2201, -694974075583695935052965124/2201, 2971696204949104650868437819/4402, -322089009475389935487524608/2201], [-8857704793967382/2201, -2609757445096881/2201, 13105710369605997/4402, -6179377546885595/8804]]], 0, 1792, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[16, 32, -16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 62, 5, 3], [-242, 108, 318, -140], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 1/2, 0], [1, 0, 1/2, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-531536836, 619593792, 101476376, -118346504], [247266, 15786, -819, -22212], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-27998, 11560, 35889, -15626], [770, -322, -997, 434], [0, 0, 0, 0]], [[0, 0, 0, 0], [465747928826805/31, -530449232005810/31, -88530749029365/31, 202572971165335/62], [-43675884198/31, 6043776939/31, -1852965413/62, 903356821/62], [9/31, 121/31, 99/62, -1/31]], [[0, 0, 0, 0], [-1616083181921460982860/31, 1796427432295239704436/31, 383949620133734651097/31, -376011299910335632212/31], [2009339527563531552/31, -884324421140951770/31, -2477056408814858944/31, 1083918769444379846/31], [-128795562/31, -266250180/31, 121639644/31, 4449270/31]]], 0, 35840, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[0, 16, 4, -4]], [ -2, -4, -3, 1/2 ], [ -2, 2, -1/2, -1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-15446/71, -4731/71, 4526/71, -414/71], [614/71, 206/71, -159/71, -1/142], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8162583284/71, 16214165251/142, 1484746656/71, -3292884953/142], [337090480/71, -334034587/71, -123249425/142, 66869324/71], [169/71, -160/71, 369/142, 5/284]], [[0, 0, 0, 0], [-1418837886513788/71, 914937440881604/71, 264411114125006/71, -171516594406723/71], [58562256628236/71, -37914458486128/71, -10999286592742/71, 14297116628497/142], [101420256/71, 9422490/71, -32721738/71, 3858734/71]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7792/71, 11774/71, -20396/71, -11/71], [-622/71, 249/71, -440/71, -5/142], [0, 0, 0, 0]], [[0, 0, 0, 0], [-355640504235353562/2201, 144810600397814341/2201, -120635658991509971/4402, -14130391844089208/2201], [-17114174117485584/2201, 1069972637177573/2201, -4687040234118/2201, 70361494134263/2201], [-14747/2201, -5552/2201, -13913/4402, -1/2201]], [[0, 0, 0, 0], [5470876809335201297542435417/2201, -129166151325945425925676090999/2201, 116221946427396048643941581891/4402, 5656468708532185716380381469/8804], [-60228733810657625468235051/2201, -5631914468664638975879012596/2201, 2938754546744026038321968673/4402, 509096800169004634349532195/2201], [-3057295493621886/2201, -11899739647702819/4402, 3548703534072213/2201, 665746764988987/8804]]], 0, 1792, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[0, 32, 8, -8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 10, -1, -3], [1494, -602, -1919, 830], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 1/2, 0], [1, 0, 1/2, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-2518968, 2880720, 480708, -550332], [-11594, -10912, -341, 3410], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [856, 174, -1409, 472], [-42, -4, 39, -13], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1008079800122966/31, 1156346911319068/31, 382653850803203/62, -221586486214241/31], [-78237654749/31, -1896101324/31, 40779405/62, -440771287/31], [-13/31, -130/31, -56/31, -2/31]], [[0, 0, 0, 0], [-3181278877478551180724, 3650019021786846613180, 595436210591737034342, -692255516835043996068], [-501316742488615866, 174352739815673972, 394415774455525170, -166518751403071291], [-8746320, -369446000, -87402920, 90203960]]], 0, 35840, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[-16, 0, -4, 4]], [ 0, -5, -7, -1 ], [ -2, -2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [30702/71, 3641/71, 2406/71, 1575/142], [2318/71, 362/71, 267/71, 1/142], [0, 0, 0, 0]], [[0, 0, 0, 0], [1630857334107/71, -164211994573520/71, 15473232392997/142, 139771478680649/284], [20963110293/71, -12692562893421/71, 592886169690/71, 2692140525999/71], [-186/71, -35/142, -64/71, -5/284]], [[0, 0, 0, 0], [1750259286213256097902/71, 438673330756816814944/71, -340391567079269192604/71, -153148285574125488505/142], [136196556701508130542/71, 35625708046388339460/71, -26900870940968324496/71, -12155177841501547881/142], [7390764048/71, 1377391020/71, -8314614992/71, 2723024120/71]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [68152/71, -102482/71, 52864/71, 855/71], [-230/71, 249/71, -128/71, -5/142], [0, 0, 0, 0]], [[0, 0, 0, 0], [17513521591547904/2201, -8867405799355456/2201, 1406679073256601/2201, 4997194373072953/8804], [-68696072502879/2201, 1600594728264/2201, 247167056706/2201, 891640580181/4402], [7833/2201, 9379/4402, 5494/2201, 1/8804]], [[0, 0, 0, 0], [-25290837886884305883397364/2201, -33449585304849253436262457/2201, 22225282649452914092443108/2201, -1680656100970322075766945/4402], [132616409974852373655534/2201, 169436091788512703112981/2201, -69530021780317734544629/2201, -28314017105410546766013/4402], [-40840482552298/2201, -34470606360550/2201, 23366051544656/2201, 684215014886/2201]]], 0, 17920, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[-32, 0, -8, 8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [26, -42, -4, 1], [44, 60, 5, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 1/2, 0], [1, 2, 1/2, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-1079608882, 1414852010, 155376540, -250453456], [-415642080, -718510260, 150353190, 114107010], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1052, -158, -30, -5], [0, 28, 5, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [3565670463767/31, -762589067984276/31, -6840073140941/31, 260616627567323/62], [13947805337276/31, 244088976499/31, -166804134559/62, 176599681377/62], [53/31, -121/31, 25/62, 1/31]], [[0, 0, 0, 0], [-2601527066151175456920/31, -1458995463857548573731/31, 927000826852940266143/62, 624197054368913281335/62], [36192372060059943427/31, 71602178833783802705/31, -25481344588803831671/62, -12450261143370097239/31], [-231232563/31, 6827522/31, -80265251/31, 131752979/62]]], 0, 286720, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[-40, -16, 16, 0]], [ -2, -4, -3, 1/2 ], [ -2, 2, -1/2, -1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2400/71, 29782/71, 5040/71, 48/71], [-100/71, -1235/71, -210/71, -2/71], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4501806353/71, 3082602317/142, 51902265/142, -400052441/284], [186612413/71, -63630240/71, -1141057/71, 4137086/71], [-451/71, 199/142, -105/142, -1/142]], [[0, 0, 0, 0], [57712218868381913/71, -27905464846514205/71, -610946546258333/71, 12746867545312935/284], [-2391908168184959/71, 1153435029776725/71, 51990842625727/142, -131969494501422/71], [5674862215/71, -4443626077/142, 1363187837/142, 994098743/284]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [41496/71, 39431/71, 15673/71, -189/142], [1182/71, 845/71, 338/71, -1/142], [0, 0, 0, 0]], [[0, 0, 0, 0], [-111105243163047132/2201, -81521720188711681/4402, -3578598903074459/2201, 17482567081340381/8804], [-3315009463187213/2201, -385324394077486/2201, 6611532825357/2201, 20392904243396/2201], [-660/2201, 99/4402, -3695/4402, 1/2201]], [[0, 0, 0, 0], [-32349987730998082574385213/2201, 247676409382198892874055391/4402, -4943510155184412645408302/2201, -32436705964709250386303145/4402], [-1675046357528750642962046/2201, 4120507207132109352363639/2201, -61069639189576198868323/4402, -574779439308171196841255/2201], [-3096788149/31, 30767838829/31, -20225748809/31, 21549154319/124]]], 0, 17920, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[-80, -32, 32, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-40, 12, -4, -1], [-22, 8, -2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 1/2, 0], [1, -2, 1/2, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-5214566, -3660100, 1537242, 577004], [-2691072, -1719296, 827392, 227072], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-226, 142, -12, 19], [12, -18, 3, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1852022109/31, -3788187717/31, -381444963/31, 746228915/62], [-278063936/31, -126996983/31, 385938739/62, 88998666/31], [95/31, 82/31, 239/62, 3/62]], [[0, 0, 0, 0], [-9506161080599973/31, -15454760972209592/31, 1746595201133012/31, 3083758113553267/31], [-568371412439570/31, -253498206249778/31, 219566548597491/62, 28751498590019/31], [1066182499/31, 280278328/31, -982866215/62, 60503138/31]]], 0, 286720, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[32, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [72, -26, -90, 38], [-1316, 708, 1816, -820], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 1/2, 0], [1, 0, 1/2, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-672, 840, 924, -504], [20660, 610, -20220, 7010], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [13728, -5482, -18308, 7839], [1312, -498, -1664, 713], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4523405105505026/31, 5182185251045225/31, 859469210476450/31, -1983576233777005/62], [155743990712/31, -1486309233/31, -227015755/31, 26926547/31], [-42/31, -48/31, -45/31, -1/62]], [[0, 0, 0, 0], [120379020955445921885416/31, -137745215711347357457277/31, -45963009804701712781239/62, 26311709675094289895363/31], [-3024423970326536943/31, 1982506457748536894/31, 917250465257013409/62, -707312595172485741/62], [908073341/31, 3339791/31, -2709406/31, -10065727/62]]], 0, 57344, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[32, 64, -32, 0]], [ 0, -5, -7, -1 ], [ -2, -2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [17406/71, -7708/71, -7155/71, -84/71], [1328/71, -582/71, -534/71, -1/71], [0, 0, 0, 0]], [[0, 0, 0, 0], [757777/71, 1525502/71, 785107/142, -364991/71], [59290/71, 123709/71, 33487/71, -31162/71], [255/71, 383/71, 145/71, 2/71]], [[0, 0, 0, 0], [-82908731804/71, 21960898248/71, 91184581678/71, -37109148696/71], [-7152840652/71, 1969948414/71, 7990692776/71, -3270219640/71], [-1527864/71, -7989072/71, 2629276/71, 518492/71]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-341406/71, 310008/71, 16875/71, 1523/71], [860/71, -752/71, -40/71, -3/71], [0, 0, 0, 0]], [[0, 0, 0, 0], [626069070333318/71, -56702515587160/71, 15177922495005/142, 9939113503901/142], [-1743080583530/71, -70119303099/71, 27810015469/71, 61709579423/142], [-5, 4, 1/2, 0]], [[0, 0, 0, 0], [7165608226699388854653886674/2201, 8400556571195132077884629962/2201, -1303572401199755423352582409/2201, -1665305528158980716395600896/2201], [-21612844912304234118758852/2201, -25229050127500592257943524/2201, 3963668506435443528913612/2201, 4965897687488649713242541/2201], [-828603390092044/2201, -1196895601063824/2201, 14463518026619/2201, 265139471467647/2201]]], 0, 458752, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[0, 64, 16, -16]], [ -2, -4, -3, 1/2 ], [ -2, 2, -1/2, -1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2400/71, 10328/71, 15548/71, -94/71], [-100/71, -454/71, -636/71, -2/71], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1041899905/71, -29216764023/71, 1597296407/142, 5652456130/71], [130884570/71, 1137138975/71, -49548432/71, -441170997/142], [-117/71, 7/71, 17/71, 1/142]], [[0, 0, 0, 0], [-35503561620, 2072405802, -47180065385/2, -62650675793/2], [1298175610, 104765016, 1109148046, 2509810883/2], [17597/71, -38096/71, -59175/142, 23417/71]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [912, 194, 89, -1], [16, 4, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-454367815906987/2201, 39403999310442/2201, 1744362009820/2201, -4303351045907/2201], [-7982748758886/2201, 417444986519/2201, -85517478108/2201, -44099240608/2201], [12876/2201, 11580/2201, 12459/4402, 1/4402]], [[0, 0, 0, 0], [-3819960426450404177729189/2201, -2723925002797768972114005/2201, 29434312548507869449157197/4402, -5570920226757549539340518/2201], [-77935073039798502528622/2201, -40766626543167571161377/2201, 270981172753685476179822/2201, -207412543414407188497985/4402], [320368825797603/2201, -130396865959395/2201, -613599966909981/2201, 524963312269455/4402]]], 0, 458752, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[-64, 0, -16, 16]], [ 0, -5, -7, -1 ], [ -2, -2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [672, 330, 109, -4], [52, 26, 8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [274782144230/71, -230222078814/71, -67825635435/142, 83650681905/142], [20907978358/71, -17296157685/71, -2702077751/71, 6417455287/142], [-113/71, -28/71, -77/142, -2/71]], [[0, 0, 0, 0], [757368197424397327/71, 602431682740877855/71, -112947562177551409/71, -261055912016776959/142], [58905181396155894/71, 46957676933215104/71, -9240980107239465/71, -19947214272694923/142], [-1438371410/71, -1640822295/71, 446584145/142, 689929485/142]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1066294/71, 205416/71, -11635/71, 2420/71], [2664/71, -496/71, 28/71, -5/71], [0, 0, 0, 0]], [[0, 0, 0, 0], [935421938896839/71, -33700540708197/71, 3109896144234/71, -10699077375883/71], [-2337116096116/71, 69104758030/71, -9101741159/71, 51218311125/142], [-2, -4, 1/2, 0]], [[0, 0, 0, 0], [6122471535318470896291288750/2201, 4673246756610127435297588436/2201, 642080774913675502053932241/2201, -1762328390167861808202441195/2201], [-15426670756804700443214064/2201, -11790942489127801362484980/2201, -1505436656373235110654984/2201, 4398510495381809822248554/2201], [-3033267733662460/2201, -2491832687303680/2201, 1791714954401330/2201, 9559062700390/2201]]], 0, 4587520, [], [] >,
< [ 4, 0, -6, 0, 1 ], [[-160, -64, 64, 0]], [ -2, -4, -3, 1/2 ], [ -2, 2, -1/2, -1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [51752/71, 48048/71, 7916/71, -118/71], [-2180/71, -2002/71, -318/71, -1/71], [0, 0, 0, 0]], [[0, 0, 0, 0], [6885954668/71, -3545096149/71, -1364089067/71, 1425454629/142], [-291011182/71, 151305404/71, 58082488/71, -30587307/71], [4, 1, 0, 0]], [[0, 0, 0, 0], [10405269606525921/71, -13594010810387855/71, -3353122308510200/71, 5980847492839865/142], [-447554806649520/71, 577798259631573/71, 150491044357542/71, -130291233521793/71], [505351794/71, -142570575/71, -1001717133/142, -651193563/142]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-244112/71, 5642/71, 17181/71, -307/71], [-4928/71, 114/71, 358/71, -2/71], [0, 0, 0, 0]], [[0, 0, 0, 0], [-17129894345679719/71, -732597724499621/71, -1666175751796883/142, 743492514215371/142], [-346331556233452/71, -14935024545729/71, -15262394388013/71, 16141247542315/142], [5, 2, -2, 0]], [[0, 0, 0, 0], [-2882674103842061466852822958/2201, 5097644516391746795145613492/2201, 211780266648020363385096919/2201, -1652876448123884387375723775/2201], [-58737802961423352773791760/2201, 102500261056339469208820212/2201, 5061486055819409152804852/2201, -32965531606230634735119404/2201], [4402223061572/2201, -29041377748928/2201, 13811228422196/2201, -3668078218670/2201]]], 0, 4587520, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-4, -2, 0, 0]], [ -10, 0, -4, -4 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 1, 2, 0], [5319/146, 3205/73, -7133/146, -81/146], [0, 1, 2, 0], [-197/146, -116/73, 275/146, 3/146]], [[-55825/2, 50029/2, 19159/2, -15939/2], [57398321/146, -275322934/73, -62147081/146, 76950873/73], [-55825/2, 50029/2, 19159/2, -15939/2], [-1138399/73, 20529555/146, 1176772/73, -5743159/146]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/2, 3/2, -3/2, -1], [-77/2, -15/2, 5/2, 5], [-3/2, 3/2, -3/2, -1], [0, 0, 0, 0]], [[-126023843, -11991889/2, 392939/2, 34242392], [-1623713577051/511, -1492702494506/511, -27247889685/511, 549469131438/511], [-882164293/7, -83928095/14, 2734597/14, 239696728/7], [-326/511, -1891/1022, 1997/1022, 2/511]], [[-2116675681609/2, -427661005950, 507611327221/2, 161678320415/2], [-14954339531134781/511, -15741122254701236/511, 2975303424906969/511, 3967962485755531/511], [-14816707851191/14, -2993550901506/7, 3553290532619/14, 1131707873377/14], [-2740009/1022, -9517518/511, -1405259/1022, 5046191/1022]]], 4, 3, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-2, 0, 1, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11/2, -1, 33/2, 8], [-41, 10, 7, -1/2], [-3/2, -2, 5/2, 3/2], [0, 0, 0, 0]], [[44991923, 34515463, 13034101, 20472107/2], [-536741584, 6598453155/2, 472552001, -943171084], [77782005/2, 4647699, -9023238, 2922318], [3/2, -3/2, -2, 3/2]], [[10901593874007/2, 10228476794745/2, -1555760449099, -1624187219244], [-27064447284463/2, 266457237283975, 24784327803828, -146395505943887/2], [3924017620677, 4308236853921/2, -963897728409, -1125763142427/2], [76480, 10080, 1664, -18368]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -2, 0, -3/2], [385/2, 32, -9/2, 3/2], [-1/2, -2, 1/2, 0], [0, 0, 0, 0]], [[345242649/2, 318609831/2, 206552649/2, -36801327/2], [-14886349029/2, -101669673291/2, -5309858883/2, 25740923985/2], [319046573/2, 18486417/2, -18923147/2, -7272919/2], [3/2, -3/2, 3/2, 1/2]], [[-12218013985776887/2, -12840295358558349/2, 3974945576773877/2, 1805903940095656], [2790441331957486769/6, 2287698526604450361/2, -252540718581322307/6, -928775498109955672/3], [-25248025074538487/6, -6619073556081903/2, 6584359508072117/6, 2410828495474696/3], [-260974967/6, 6807057/2, 142780277/6, -2300504/3]]], 3, 2, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-3, -2, 1, 1]], [ 67, -122, -276, 79 ], [ -2, 0, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[10, -8, -40, -12], [-9746879022311/3548722, -11369291186608/1774361, 28059659101217/1774361, -78050151/3548722], [-876294855/74, -4088610215/148, 5045412547/74, 229/37], [-34658699/131302714, -161710301/262605428, 199553225/131302714, 5/262605428]], [[644787493/2, 11097114, -521867605/2, -516165013/2], [11165361359152620540960/1774361, -10156523462528456697022/1774361, -8674038110430059297657/3548722, 6661490081105175577123/3548722], [1003819371129507492/37, -1826240961680228009/74, -779837437316314517/74, 598900167705046985/74], [79404950576740665/131302714, -72230435946443941/131302714, -15421837919546772/65651357, 23687355281842971/131302714]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11/2, -5, 12, 3], [-1639464942014520/1774361, -3226471402720477/3548722, -888664640718137/3548722, 938187/1774361], [602940181203/518, 296646972669/259, 326820999227/1036, -2873/1036], [-2127837175/1838237996, -1046897335/919118998, -144173070/459559499, 1/1838237996]], [[5574811278795, -4194450265496, -16176397749025, 7227536907230], [1304785501802423385417546069/3548722, 684296119168617352095822371/3548722, 88532495528529520541932057/3548722, -136604523865140355745359117/3548722], [-479856327245572521053079/1036, -62915281854326108333631/259, -8139807920230306553336/259, 50238534764327038213681/1036], [846730877512169690025/1838237996, 444068857437595907607/1838237996, 14363100616125813402/459559499, -88648439196162146325/1838237996]]], 4, 4, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-3, -2, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11/2, 3, 23, 14], [169/2, -47/2, -35/2, -23], [-1, 3/2, 5/2, 2], [0, 0, 0, 0]], [[60313627, 126619847/2, 82477998, 12710809], [24260587092, 44359535157, -7141036697/2, -23112165955/2], [64414858, -2443017, 1338084, 2763150], [-1, 5/2, -1/2, -5/2]], [[263571657315645/2, 388291780908325/2, -17780215615813, -97342742806813/2], [53225058576648081, 81779362610926740, -16617025735300099/2, -21291892604889805], [173228886299599/2, 242924538875757/2, -27861643486279/2, -62481127537495/2], [-387240, -279272, -3136, 7000]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, -7/2, -23/2, -23/2], [243/2, -125/2, 2, -135/2], [-2, -2, 1/2, -2], [0, 0, 0, 0]], [[-24681543299/2, -12831666147, -12857908166, 432932110], [-19356703514471/6, 8969758975898, 4510745545003/3, -7530445671512/3], [-74346068903/6, -215697472, -674871599/3, 524152069/3], [-23/6, 2, -2/3, -2/3]], [[-126049555684444406682, -176493058472995919565, -43947749944318015455, 4251971564037172242], [-6689384397931753177504, 27314136775609476574430, 3938853679098630033295, -7848095127769073067821], [-97095695250722584219, -91621356642759714675, 12223993429162062475, 16729866952163522224], [-26420316494, -17389995870, 316007900, 128387324]]], 3, 2, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-4, -14, 1, 4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-71/2, -35, -45, -15/2], [-56, -85/2, -46, -15/2], [-75/2, 5/2, 0, -2], [0, 0, 0, 0]], [[-785796614955, -750305678355, -1412305541879/2, 381623474373/2], [-2442879219073/2, -895635661363, -706167932465, 228643994128], [-782680246536, 60945633588, -57142130799/2, 31687433796], [5/2, 0, -1, -1/2]], [[-1657313017520436359539/2, -2096279268852062811561, 101566175827038671077/2, 408156943592518407323], [-1146441618412033014943, -3040959613319121783123, 66239820853107758395, 1284239942726293909435/2], [-794500438444418361413/2, -1708998140481527711568, 19938181772118496907/2, 842874397269730162631/2], [1395475334, 4859361210, -349675238, -1392688220]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[109/2, 121/2, 83, 27/2], [-247, 57, 153/2, 7], [119/2, -3/2, 5/2, 5/2], [0, 0, 0, 0]], [[-959226092139345, -1820404349988901/2, -810747855283430, 184477565752001/2], [3781194309371400, -1654520175371835/2, -904822177256369, -44880634160178], [-1875208685914525/2, 37495483526759/2, 17308852398823/2, 25934645965277/2], [1/2, -3/2, 5/2, 0]], [[2949366165084943949364739459/2, 2352996773606789718085820157, -503166016003709724427545163/2, -1252504966327264712309452183/2], [-19637821495373048698580506469/6, -5637553459456382286804334903, 2730074408940243978046491995/6, 8814193960779269689459166963/6], [5557146285593347874938026061/6, 1564686119117194179600544490, -827282358655670009924113939/6, -2463669851005866114608708107/6], [-1264799119445/6, -737509265050, 315799681085/6, 1263929391905/6]]], 1, 44, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[12, 10, -4, -3]], [ 67, -122, -276, 79 ], [ -2, 0, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[89/2, -33/2, -35/2, 5/2], [-24413954296193/3548722, -5266711724649/3548722, 54127198982091/3548722, 17397431/1774361], [10653409749/74, 1149127250/37, -47238045061/148, 359/74], [-173626361/262605428, -37456341/262605428, 384936517/262605428, 1/65651357]], [[-100475659158322, 1453095763268631, 301033654031297/2, -400262480623511], [-200673659208192984625925125/3548722, -121367201053177667479086513/3548722, 40884946617036560428297409/3548722, 8381939944867694275137587/1774361], [87566914189478507013103/74, 26481365734390837493161/37, -8920304118261537019715/37, -7315868698998634483633/74], [-356785540856769527490/65651357, -215792570033668421044/65651357, 72690408013881194560/65651357, 29807867950525267108/65651357]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[117, -95, 66, 3], [2017684487825101/3548722, -1260856433251881/3548722, 4054676405112807/3548722, 14704953/3548722], [18248937196471/1036, -2850954523259/259, 9168128348203/259, 77839/1036], [1309361099/1838237996, -818223871/1838237996, 657813147/459559499, 5/1838237996]], [[-270318726161901115, -307553987253934047/2, 125083419275459591/2, 29071710971870590], [-3166055274908841071111909684102/1774361, -3894101865227141273581427365047/3548722, 578548158298005806101083128667/1774361, 520408976326613813494874173511/3548722], [-57270742661668425590454303889/1036, -35220171035638196552329101531/1036, 10465352655245098869067720525/1036, 4706831554115826113188702637/1036], [-2054587671685741120494135/919118998, -2527046974548642339774175/1838237996, 750888972089737067676535/1838237996, 168857558881566589622635/919118998]]], 1, 60, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-8, -4, 0, 0]], [ -10, 0, -4, -4 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-243/146, -1917/146, -81/146, 297/73], [0, 0, 0, 0], [9/146, 71/146, 3/146, -11/73]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1737/2, 3268, -3270, -4], [219, -876, 876, 0], [1/2, -2, 2, 0]], [[0, 0, 0, 0], [-125617948915/511, -355879394896/511, 2481881235/511, 101159277865/511], [96043176/7, 744245010/7, 47859480/7, -224849610/7], [16007196/511, 124040835/511, 7976580/511, -37474935/511]]], 1, 51, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[32, 0, -16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, -2, 18, 22], [-4, -2, -8, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, 1, 1, 0], [1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [1076906, -574974, -1110272, 224020], [680130, -22442, -120912, 85188], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, 38, -6, -20], [-4, 8, -2, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [234668/3, 224079, 140962/3, -257036/3], [-59270/3, 12618, 59993/3, -32839/3], [4/3, -3, -1/3, 5/3]], [[0, 0, 0, 0], [33734118610, 53465847556, -4152702830, -14407162538], [-2738273624, -3301131902, 764453788, 722751214], [71358, -9360, -39570, 5664]]], 0, 43520, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[48, 32, -16, -16]], [ 67, -122, -276, 79 ], [ -2, 0, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 2, 8, -10], [-2, -8, 0, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-19747471470113/1774361, 6855173723050/1774361, -31993960509374/1774361, 170933413114/1774361], [-1809915647/37, 664145551/37, -5691463625/74, -3581243/37], [-142966569/131302714, 51553849/131302714, -225293937/131302714, -1/65651357]], [[0, 0, 0, 0], [-5059611672729541403321124/1774361, -19669533808813494540262746/1774361, -346537270146759219857924/1774361, 5033465481788935463542850/1774361], [-455723281290809964920/37, -1783715793652774727240/37, -32205174038066599220/37, 456814299467842367800/37], [-18087370194357933560/65651357, -70539439548401898340/65651357, -1255348065557557440/65651357, 18063597594692226640/65651357]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, -4, 0, -4], [60, 8, 10, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2567307349525955/1774361, 2439663978421712/1774361, -2306511610289949/1774361, 241393044258/1774361], [967571821901/518, -871725416717/518, 842981913265/518, -3124050501/259], [-834138838/459559499, 791340661/459559499, -747905639/459559499, 1/919118998]], [[0, 0, 0, 0], [-250903465162328992177036/1774361, 71174617167152792250453/1774361, 12112079088003450814306/1774361, -85991526755529405094788/1774361], [47391378228263935954/259, -11404360016781980839/259, -2441840966057861852/259, 30749272989510372573/518], [-81509861284878067/459559499, 45998241644715467/919118998, 7889834871438999/919118998, -55757168799824017/919118998]]], 0, 195840, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[48, 32, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 6, -18, -28], [-4, 0, -8, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-18, 1, 1, 0], [1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-525236, -717920, 87504, 185124], [-250224, -353682, 40902, 91428], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [728, 14, 28, 2], [0, 4, 10, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7369400255132/3, -1245348515043, -2209431452861/3, 1154859103891/3], [23990319152/3, 57647911, -320571140/3, -58892636/3], [8/3, -2, 7/3, 1/3]], [[0, 0, 0, 0], [-3409760318799836506153/3, -967901268856007898910, 713382897879009338020/3, 713359796758050359542/3], [-13582744970718898384/3, -4853042880705577731, 2018670532671027973/3, 3255695640209660524/3], [-4233744121/3, -919049467, 30197503/3, -9031478/3]]], 0, 130560, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[64, 224, -16, -64]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-88, 0, 8, -2], [-10, -4, 4, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 1, 1, 0], [11, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [14185544, 66089604, 1456132, -17497070], [2071760, 7236416, -702240, -2057168], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [720, 2, -4, -10], [254, 4, 4, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-142655419982185489, 1909678729368442, -327298035145419, 5677753078098650], [-50627532917023519, 296426118111326, -6388503053139, -104185023498117], [0, 2, -4, -1]], [[0, 0, 0, 0], [-1972091753743264387347396353408/3, -968155003313052095267164697378, 315905358570464612103638040614/3, 754568800390860491638137373085/3], [-703357069067538896689550425391/3, -345582367149561563387353408016, 112550048853352124742609355259/3, 269228340212464082112725661632/3], [954460817251/3, 1113891393702, -238428544873/3, -954655248631/3]]], 0, 2872320, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-192, -160, 64, 48]], [ 67, -122, -276, 79 ], [ -2, 0, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, -10, 0, 0], [90, -2, 8, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-179183915502375/1774361, -42002276448512/1774361, -38838628807932/1774361, -15985234586161/1774361], [-142954988771/37, -279892306585/74, 50880992847/37, 41960829463/37], [73316305/65651357, -218100333/131302714, -185383292/65651357, -3/131302714]], [[0, 0, 0, 0], [512445136547513131640391669/1774361, 772364695805596066622706528/1774361, -81150368368841678255832540/1774361, -200985869800602771241724190/1774361], [472834080136233812463284/37, 718374338377395172288447/37, -148841376839644347752673/74, -186877732865938769331608/37], [-6531521313244866379/131302714, -3493399661697391461/131302714, 1743700783166384431/131302714, 169968692051326454/65651357]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -4, 2, -2], [-534, 8, 8, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [8236041431753121/1774361, -108888489071688/1774361, -4245160455861333/1774361, -43887444511264/1774361], [-1392393949535369/518, 4045031767271631/518, 676805489887535/518, -567031944138911/259], [-254940480/459559499, -76224488/459559499, -1432759075/459559499, -3/919118998]], [[0, 0, 0, 0], [149889963855833406624526629306303/1774361, 155091905410300515363302158674185/1774361, -30592961514275387674726805691041/1774361, -40285201887483114863246518264602/1774361], [-5927848254875517430681529390479/518, 31527008121736452130446062253225/518, 4249964448015802088919203208599/518, -8819950946941053452455815686963/518], [-11427646416315525950449740/459559499, -14159603959381619814939923/919118998, 4255292075598428942632729/919118998, 987924295951174086722461/459559499]]], 0, 3916800, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-128, -64, 0, 0]], [ -10, 0, -4, -4 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -4, 10, 10], [-16, -16, 16, 20], [0, 0, 0, 0]], [[0, 0, 0, 0], [-17399425/73, 13308732/73, 2847869/73, -3496673/73], [1758306, -6539876, -1121090, 1860054], [-275/73, -166/73, 103/73, -1/73]], [[0, 0, 0, 0], [-13620386422501/73, 40394359344021/73, 7106955064525/73, -11362026713087/73], [3425842799966, -7826710481646, -1606631333710, 2230799826922], [-22143537/73, 247920777/73, 29100425/73, -69132219/73]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-34, -18, -4, 18], [-4, 12, 0, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [1521267180/511, 2397655217/511, -206380893/511, -611919423/511], [-118920/7, -72230/7, -210930/7, -113286/7], [3784/511, 319/511, -1975/511, 5/511]], [[0, 0, 0, 0], [-1074706492491970/511, -1565095529388036/511, 170905519220426/511, 398197098480518/511], [3181710188/7, 281659484280/7, 94399249828/7, -18454789412/7], [332485490/511, -6549584670/511, -2405104872/511, 2840167536/511]]], 0, 2785280, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[3, 1, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-12, -9, -13, -13/2], [-67/2, -15, -23/2, -19/2], [-25/2, 2, 3/2, -2], [0, 0, 0, 0]], [[-6020510, -66084093/2, -75338055/2, 15688161], [-280796621/2, 238662397/2, 613478599/2, -176056482], [-9155972, -12835771, -11050303, 7914845], [-5/2, 1, 1, -2]], [[123373359954, 84573281571, -16207496457/2, -42065421639/2], [349153917387, 187128820287/2, -389670979485/2, 90117266857/2], [100461371250, 5995007133, -21883105596, -1028920440], [18117, -21411/2, -5490, 4392]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13, 35/2, 30, 4], [158, 41/2, 65/2, 13/2], [16, -1, 5/2, 1/2], [0, 0, 0, 0]], [[3583532263657/2, 1716327524043, 1372845321237, -648399248473/2], [17238772859269, 6089328984011/2, -2760785027/2, -1816950957089/2], [1721830417660, 693474445, -6196368055, -127478692245/2], [-1/2, -3/2, 3/2, -1/2]], [[22069186241628646084, 61217200531580535306, 31219058737196520457/2, -6271728201992018425], [915221371538274372301/6, 926397369918829302135/2, 153116055662075707577/6, -628431162887199593791/6], [80238370786724406365/6, 91434179581363305915/2, 6381146829666352055/3, -64939040323027657085/6], [-42663236/3, -4508658, -2076844/3, -1436050/3]]], 1, 4, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-48, -16, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-14, -8, 6, 6], [-18, 4, -8, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 1, 1, 0], [3, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [392476, 275100, 86984, 24104], [720496, -308784, -218722, 64330], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [158, 2, -6, 14], [22, -4, 2, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-218548593056/3, -14830799195, -25586493367/3, 36408091631/3], [-29117843512/3, -877639999, -10831148846/3, 6673763224/3], [8/3, -4, 1/3, 1/3]], [[0, 0, 0, 0], [179695398868485892596, 212578871464026416834, -45083699607822927818, -64961324160342725024], [24429611973079197676, 27001382959551372374, -7274561543816882526, -9215079623287511418], [-3255530056, -1079951724, 19206124, 9140662]]], 0, 261120, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[2, 19, 2, -5]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[644, -233/2, 33, 2], [151/2, -18, 17, -6], [17/2, -3/2, 1/2, 0], [0, 0, 0, 0]], [[-36641947174116, 414167721545/2, -16012435744071/2, 5550937549463], [-36876439505376983832/9048079, -1209664781652390393/18096158, -43107610067841511397/18096158, 12499496832707689373/9048079], [-40091745801916/83, -53615861944/83, -9242970972960/83, 6326611862048/83], [62152189/54288474, 1590567/9048079, -26437172/27144237, 5/54288474]], [[245046420310294567979194820, 704269526763674730955099552, -31297444930758334263127168, -189300535334807962860646476], [249992479348721829414248870857135/9048079, 772318213735209710915744727131205/9048079, -34703418685431439231319216752298/9048079, -203529326312935526352086674802813/9048079], [269498221524890763317130876/83, 773293877880092666980377768/83, -34856651140501591919302764/83, -207829390882378856147496800/83], [-209112669339301109800/27144237, -155382121833752685800/9048079, -19359164437186757600/27144237, 107264887457514694600/27144237]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-774, 365/2, 137/2, 0], [-26137/166, 4417/166, 615/83, 733/83], [-1697/166, 197/83, 71/83, 5/166], [0, 0, 0, 0]], [[437625870200, -86821980030, -141381341021, 46870296753], [9916446847629238/109013, -1672867398380416/109013, -3493620479978173/109013, 911286109923278/109013], [5790042900, -1142658675, -1873445175, 621620325], [-55861217/27144237, 1173389/9048079, 26861411/27144237, -1/27144237]], [[2140121805768825016156615/2, 4821195830643919427617489/2, -209467550116730843595085/2, -1323309868497649288313533/2], [4047893424714168569582542407273/18096158, 9088461182162647681044932453503/18096158, -275192828117764984580217606051/18096158, -2444964414938790028045062005235/18096158], [1175785777238811854544000/83, 2647664826392666140632000/83, -115060649820989836392000/83, -727135860962321121168000/83], [-137521435169555483587/27144237, -103143703504625644171/9048079, -23867607021957602497/54288474, 144357282439385612249/54288474]]], 1, 56, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-6, -2, 3, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/2, -6, -23/2, -1/2], [-423/2, 0, -17/2, -6], [-3, -1, -2, 1/2], [0, 0, 0, 0]], [[99599225763/2, 48609848758, 41731830116, -4415879158], [3039726501523, -755138192051/2, -1143875564263/2, 166679902405], [48315613921, 836211001, -541976165, -942022798], [1/2, 1/2, -5/2, 1]], [[36419358209643041538, 109709919163587037800, 79227462890435681640, 16134309084385857084], [1902444856972129791229, 4060606981832209999288, 156974259265721779519, -870702260142549562628], [31883356805840007252, 70024113108348683316, 7802449249903707708, -12338450654877532944], [437698146, 144504438, -221346546, -74048112]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5/2, -1/2, -7, -4], [-881/2, 10, 6, 7/2], [1, -1/2, -1, -1/2], [0, 0, 0, 0]], [[-5371216782, -10589640637/2, -5052704064, 76166647], [10060075228355/3, 2716032695941/2, -1754229360293/3, -1328948814221/3], [-15940677383/3, -54866649/2, 138516311/3, 34456703/3], [7/3, 5/2, -1/3, 2/3]], [[2889148290820742235227/2, -2067611335204585303953, -695772283215267221519, 517385418244145830286], [-4457423719747432994243695/6, 1176227141426664458961165, 908310410240927819312183/3, -1018978277495555668649380/3], [9475908984903537567805/6, -2948810531548017976387, -2094356900154015665549/3, 2498588949212297089540/3], [-1264485417569/6, -70211408381, 315766448803/3, 105120018556/3]]], 1, 28, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-6, -2, 3, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-37, -45, -121/2, -12], [555/2, -83/2, -111/2, -15/2], [-81/2, -5/2, -2, -3/2], [0, 0, 0, 0]], [[96111022482139, 100922214741281, 224469559732679/2, 16449477222159/2], [-667025418364557, 259801561391873/2, 227480979767511/2, 24188708748817/2], [98641940542774, 938249020379, 1342025178124, 1188892882514], [-1, -5/2, 2, -1]], [[-118885671401017062725701/2, -119308076819017667156057, 32685124720952283939130, 46706992102712712071357], [147482653348348872176198, 1221126516955607873155875/2, 32011747380014663810821/2, -162095477545872100714126], [-28328846439619604450281, -94555975143861248072437, 3576744764464463886807, 27537244496421668919630], [2116865639/2, 729494683/2, -1018814713/2, -167833137]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-29/2, -39/2, -32, -9/2], [478, -33, 25/2, 7], [-35/2, 1/2, -5/2, -1/2], [0, 0, 0, 0]], [[-17476540507422, -34750117794417/2, -15644607114141, 1796297392893/2], [922976254974085/2, -7529940407981/2, -34262635043683, -12116697706337/2], [-17102464706065, -412521415010, 279854447725/2, 468297155035/2], [7/2, -2, 1/2, 1/2]], [[2933173475840668317809236, 5271672835548564358137303/2, -4211509119538599714483785/2, -2805323186227397521607057/2], [-145626484284240351841042108/3, -37459574152744606982322434, 88527285208708336605733265/6, 63276145988841035682498353/6], [5570573234291243683467580/3, 2837932701735535426115815/2, -1919963033566117915280440/3, -1308984159676834970249620/3], [-1076632165964/3, -120119171512, 536730158240/3, 178981490204/3]]], 1, 28, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-32, -304, -32, 80]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-142534/83, -6422/83, -11940/83, -874/83], [-11690/83, -614/83, -1010/83, -4/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [-318381289281188176344428/9048079, 519832371602687674996/9048079, 5006410277656145803007/9048079, 12532753592962864867007/9048079], [-239410666561795211/83, -1435065179232195/83, 2694087595260509/83, 10622050750741493/83], [-55861217/27144237, 37365705/9048079, 26861411/27144237, -1/27144237]], [[0, 0, 0, 0], [410591606601146453149911037675498231388/9048079, 637857640190716171926696777141314606758/9048079, -63810728209283028194367244800682964012/9048079, -166912770905082599109117775896278318570/9048079], [309814513981105491055616325324764/83, 481269723539968160899950154486908/83, -48130772442322144413372228423512/83, -125933829450035518401307267897496/83], [7822564314820379570216/27144237, 5843471484300924231004/9048079, 812960739187850811316/27144237, -4001352633266514921116/27144237]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [60500/83, 4238/83, 7452/83, -432/83], [4836/83, 340/83, 602/83, 6/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [181731063950363381484/9048079, -3572753574737477178/9048079, -10808698025326213241/9048079, 6851907852052624645/9048079], [133175172052489/83, -2371889769247/83, -7626550625417/83, 5610177584163/83], [-100713233/27144237, 12229213/9048079, -134307055/27144237, 5/27144237]], [[0, 0, 0, 0], [350218865007610792880595747030105961/9048079, 649759599122698441253594334364537186/9048079, -34843837724959347654149899444419561/9048079, -166119058681077623419715370477128733/9048079], [256988641498197003516465193031/83, 476678832643051019997698651311/83, -25274597725739559204813549688/83, -121661703612834179402378360128/83], [-62758336942438284007445/9048079, -142764081027407577299277/9048079, -6017718653455958167192/9048079, 33298556687104533233600/9048079]]], 0, 3655680, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[96, 32, -48, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-472, 32, 16, -38], [52, -8, -8, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [32, 1, 1, 0], [3, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [15062840276, 7148643540, -4369964480, -3455378086], [-1679123280, -607289904, 766335720, 251548680], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2340, -20, -8, -14], [-100, -6, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-233488302304123040, 10542866658045490, -3856309958160241, 4675187308822939], [-10013866093794164, -23192783939739, 32217364072285, 39327455738725], [0, 1, 4, 0]], [[0, 0, 0, 0], [8091284572708885961109253690/3, 1348080930665601892618590380, -2071793130305929032627215743/3, -955340520144384168283430227/3], [347380308614282454411734804/3, 63365650777411222099634933, -87922743749567555090150321/3, -46089370975642442078786603/3], [-39824237182/3, -4427813235, 19940296006/3, 6667404616/3]]], 0, 1827840, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[96, 32, -48, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [188, -14, 28, -6], [-20, 6, -10, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [18, 1, 1, 0], [3, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-7995882, -4378758, 3362394, 1664616], [903584, 271456, -458048, -140352], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1530, 38, 10, 48], [34, 10, 0, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-48007502142627971/3, 9297324985834791, 19308541320641807/3, -11794881894188038/3], [-863103247464961/3, -750230389520, 5378541368626/3, 4073942853406/3], [-16/3, -1, -5/3, -2/3]], [[0, 0, 0, 0], [-3288903631320833917635003980/3, 109780314870196239446869290, 904039806035218947441366929/3, -77888259831950972492537059/3], [-72486330314470389716765992/3, -6010127616835238474002793, 26449478715233424750663277/3, 3993904904228565831289945/3], [-1512466822876/3, -167685715489, 753650533972/3, 249912786904/3]]], 0, 1827840, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[2, 14, 0, -4]], [ -10, 0, -4, -4 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -5/2, -8, -4], [-6799/146, 1964/73, -12535/146, -665/146], [-2, -5/2, -8, -4], [241/146, -159/146, 421/146, 3/146]], [[-5222973/2, -5691683, 349133, 1555614], [-1164306264/73, -6810584204/73, -390157987/73, 3915911727/146], [-5222973/2, -5691683, 349133, 1555614], [72123537/146, 236855235/73, 15394248/73, -136621929/146]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7, 9/2, 27/2, 11/2], [76, -53/2, -137/2, -45/2], [-7, 9/2, 27/2, 11/2], [0, 0, 0, 0]], [[-1066636575/2, -102917465/2, 361303935/2, -63721565], [9267376190169/1022, 2143013528575/511, -2934710536273/1022, -425621814411/1022], [-7466457849/14, -720426473/14, 2529118761/14, -446050940/7], [-152/511, -703/1022, -732/511, 5/1022]], [[-425350655475900, -2247928482681420, -59289438894840, 615746503541400], [5591299282113096249/511, 18851866364828517130/511, -29823794974111638/511, -10161376703745615353/1022], [-2977456939571010/7, -15735509031263736/7, -415025602187124/7, 4310228361256227/7], [-391873285/511, -1608748966/511, 78346126/511, 945488809/1022]]], 1, 10, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-10, -23, 2, 7]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3533/2, -1, -31, 3], [57617/166, 1957/83, 1869/83, -343/166], [1838/83, -29/166, 19/83, -1/166], [0, 0, 0, 0]], [[-268353992331432, -132553427770328, 34924171416824, 37165340576240], [484444802404310031246/9048079, 526341280279334311021/18096158, -112485469897565820091/18096158, -144619343062205490735/18096158], [278640164094784/83, 135917511797482/83, -73866524994345/166, -38113419461459/83], [-7475336/9048079, -12568246/9048079, 9613731/18096158, 1/9048079]], [[-2190455988169427400537706240, -12094316070611850709080329728, -34876742477677710900850624, 3403904559166995631916148608], [4283607449128971711590876464493457/9048079, 21659237530257723753162764263672241/9048079, -180412524950656674943658855927852/9048079, -12326332491258450850529034957515805/18096158], [2251957252970524704354673667/83, 25132571612990562573854028199/166, 53072485209367272077415720/83, -7064864244798251622000054521/166], [-218167510559878489473/9048079, -269986556741914098957/18096158, 89575343485055760264/9048079, 138031144235518414803/18096158]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3325/2, 189, 239, 0], [-56425/166, -5098/83, -6099/83, -675/166], [-1731/83, -361/166, -230/83, -1/166], [0, 0, 0, 0]], [[38903805410224, -29881296097776, -21183191257712, 10997359250304], [-72810262055102136350/9048079, 105110478063468586065/18096158, 81103929927456234887/18096158, -19237643177490762896/9048079], [-40398180599487/83, 62477163948889/166, 43755725240083/166, -22945383980873/166], [20261083/9048079, 28656659/18096158, 8199601/18096158, -3/18096158]], [[13142000102790068888873144, -9056259209895475007840956, -6447567093839213909521188, 4321722995937036868832212], [-24479616135291731136918049526525/9048079, 15751397401682413151287750148016/9048079, 11753615185082448979166957893818/9048079, -7966517752078602553714783600831/9048079], [-13651891490077097049166741/83, 9474730237139514238812177/83, 6687073635377095134660145/83, -4481319901184762602385337/83], [8311909915345600953/9048079, 5064014213344600071/9048079, -3557645896241040449/9048079, -2726793434063823491/9048079]]], 0, 108, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[2, 12, 1, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[45/2, -15/2, -74, -37], [145/2, 3, -43, -41/2], [7, -7/2, -11, -9/2], [0, 0, 0, 0]], [[-31968648211, -69243646023/2, -70753419039/2, 10462024959/2], [-496534069973, -545513063991/2, 5494332389, 107537008173], [-32523820584, -77027072, -2020975352, 1465802980], [-1, 0, -5/2, 3/2]], [[34428635410271393090, 63206887568945101549, -17900141552117491550, -24291608805500160641], [360694716306274275125, 771748732447774487584, -43987878471171449641, -207795222707061870698], [17644574236464594216, 48375590077725692964, -2813276745868120728, -13970784427507572336], [424206597, 2500737543, 198728500, -629834310]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[33/2, -12, -149/2, -73/2], [-1545/2, 53, 185/2, 36], [2, -4, -10, -9/2], [0, 0, 0, 0]], [[46879708232, 92371961119/2, 47053994083, 840322513], [15036534913276/3, 49515464951698, 1872287474635/6, -74265504687647/6], [141039984380/3, -627433431, -599742404/3, 1000602055/3], [8/3, -3/2, 5/6, 5/6]], [[-71367382559530674999/2, -167835688191463730967/2, -2497729221384089517, 39695721045199377453/2], [-37808139741083553857161/2, -22150761440457914660697/2, 9028014111373014705017/2, 5149148466224846737837/2], [-19539950280105887090, -63676483972723590852, -701409868279384354, 16845150873697992176], [-635262905, -3762249195, -598475285/2, 948430970]]], 1, 4, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-8, -2, 1, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13/2, 9, 11, 2], [-53/2, 15/2, 11/2, 3], [7, 3/2, 1/2, 0], [0, 0, 0, 0]], [[592652691/2, 622827981/2, 166147836, 9511476], [-1915080529/2, 184065345, 525028515/2, 23904584], [262004697, 75751371, -52684173/2, -7979562], [9, 3/2, 0, 0]], [[-28587955772263734, -57582200523550079/2, -14854798426927905/2, 1406988527255141/2], [84668280767480204, -14125318938793075/2, -27415397530368664, -296952022422680], [-23544533456293248, -9099976211222400, 3853410122016000, 1190012089988736], [-819722758, -202630610, 206894733/2, 1036767/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, 11, 22, 9], [-4641/2, -275/2, -137/2, -55], [7, 5/2, 3/2, 1], [0, 0, 0, 0]], [[-148455927157970, -296030956750153/2, -292875166536485/2, 1333374052726], [42524915906815852, -5311051865645557, 37221902617068893/2, -21152177653008465/2], [-296245516195525/2, 38659056977/2, 175900388395/2, 490437732017/2], [5/2, 1, -5/2, 1]], [[67979129550934665695891637/2, -44705058965844242253636594, -6330805648516732199480640, 34233479363707038923400897/2], [-29259817368262816392140455421/2, 28018282983324702492471081938, 6360759725899839612104558768, -16267653652895960082197314917/2], [77127691756979619210394317/2, -67766057042119157947625184, -15502847802215041557059670, 40154257810475079399100977/2], [-337889204583/2, -42113337204, 21298751190, 172976577/2]]], 0, 48, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[7, -1, -3, 0]], [ 67, -122, -276, 79 ], [ -2, 0, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[76852015/2, -42935333, -112336609/2, 11/2], [-143287433808349/1774361, 320204710427941/3548722, 418894067485949/3548722, -4262813/3548722], [-8437131203/74, 9427236341/74, 6166389178/37, 431/148], [-42490080/65651357, 189905317/262605428, 248435495/262605428, -1/262605428]], [[11253332671427455/2, 7074472965466405/2, -5396453137703427/2, -1239133996118705/2], [-20981373744414162160094/1774361, -26380118156130526852837/3548722, 20122929919130038094085/3548722, 2310313617720890027443/1774361], [-617718536498940022/37, -776664552442452837/74, 296222423593189015/37, 136037207102084001/74], [-6221762017370050/65651357, -3911346369319650/65651357, 2983600528224825/65651357, 685094538794525/65651357]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-83/2, 30, 10, 4], [2386403343992269/3548722, -550985755595385/1774361, 1326084309737971/1774361, 8035631/1774361], [-877639044619/1036, 405268104009/1036, -243844661693/259, 2319/518], [1548638817/1838237996, -715116173/1838237996, 1721105215/1838237996, 1/1838237996]], [[6963494729584770, 8468985935948031/2, -6045885791265645/2, -3734116239496617/2], [-502186898476472676691405100979/3548722, -435990748293073985824588782871/3548722, -36656019510858957116059800349/1774361, 8045903055153389540785767582/1774361], [46171871786087720043629555/259, 40085691831741313126312807/259, 13480854861588509598751683/518, -1479506466302658226377453/259], [-162945240925702814572751/919118998, -70733247231882147752750/459559499, -23787653312043979820717/919118998, 2610665491211029982244/459559499]]], 1, 12, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-9, -1, 2, -1]], [ 67, -122, -276, 79 ], [ -2, 0, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-49/2, -9/2, -40, -7/2], [3795589198285/3548722, -18958331086839/1774361, -10227642031156/1774361, -11360257/3548722], [-1656284245/74, 33091005639/148, 17851886499/148, -31/37], [26993751/262605428, -134827091/131302714, -145472647/262605428, -1/262605428]], [[-42475610193947/2, -40288924707297/2, 26303024990515, -2774304757819/2], [-8803753799069886275497083/3548722, -3908022369486280604542090/1774361, 1777842896057406259852422/1774361, 2007193001835013951319133/1774361], [3841633899457704248251/74, 1705314800938340361915/37, -1551559618704793934129/74, -875868180900793940152/37], [-31304944348175874631/131302714, -13896367277028967955/65651357, 12643445660948119933/131302714, 14274659381292033725/131302714]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-24284123/2, 178660510, -205165837/2, 4], [43488280405044/1774361, -639954104100257/1774361, 367444776133123/1774361, -2916574/1774361], [-952364386782/259, 28028313524805/518, -16093082584493/518, 276991/1036], [34658699/919118998, -1020014125/1838237996, 585663905/1838237996, -5/1838237996]], [[86330532953164994729499, 75876001911930212687583, -77625313851414364302649/2, -38576829725338476093449], [-309237776605273761612625981206/1774361, -271797160731479081800664094126/1774361, 278040824187305486174977018069/3548722, 138180669340290129301474321937/1774361], [6771858284707039055383753084/259, 11903876489294381011678220769/518, -12177363168881561143165541247/1036, -12103796892484468300845536473/1036], [-492886698932224289012725/1838237996, -216604603539499527260275/919118998, 110790489471505507836675/919118998, 220242368069514581045125/1838237996]]], 1, 240, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[4, 28, 0, -8]], [ -10, 0, -4, -4 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1647/146, -1350/73, 2025/73, -135/146], [-3, 10, 11, 3], [61/146, 50/73, -75/73, 5/146]], [[0, 0, 0, 0], [-577989405/73, -544682880/73, 126277515/73, 136080945/73], [1762735, 1046101, -350239, -211759], [21407015/73, 20173440/73, -4676945/73, -5040035/73]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-30, -14, -44, -28], [-6, -5, -24, -13], [0, 0, 0, 0]], [[0, 0, 0, 0], [8052817699/511, 7922058843/1022, 29333955765/1022, -17121893029/1022], [59892383/7, -31088150/7, -26631608/7, 16043105/7], [1892/511, 3385/1022, 3135/1022, 5/1022]], [[0, 0, 0, 0], [6009985597294459722/511, 261767902125512271164/511, 23613590531156099704/511, -75155612371906715763/511], [16758126969039346/7, 1045387449515291227/7, 68839193915833722/7, -290563850467166984/7], [12317842573216/511, 40524508430292/511, -4531373601513/511, -13569717291864/511]]], 1, 170, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[160, 368, -32, -112]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1404/83, 4394/83, -10440/83, 598/83], [-188/83, 324/83, -934/83, -6/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [-46606142512769289/9048079, 152512564562957986/9048079, 25083837316551799/9048079, -42223787362473941/9048079], [-31606244767/83, 134084040409/83, 19513288866/83, -37023775428/83], [-15339051/9048079, -67352043/9048079, -19227462/9048079, -4/9048079]], [[0, 0, 0, 0], [-713409240619857657713815158742/9048079, 1262009231747613975586055941975/9048079, 302318921452151294337944730306/9048079, -359215562911807487349370883652/9048079], [-660944941786214623182399/83, 907618393504771169956911/83, 259169053633879154639524/83, -261614397781843508148415/83], [488628836637855798933/9048079, 295038253635913153563/9048079, -226573306936494957708/9048079, -171274052235013727595/9048079]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-100580/83, 15806/83, -56636/83, -388/83], [1420/83, -208/83, 782/83, 10/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [-837935678969613510/9048079, -1291843862190370798/9048079, -221071163257176618/9048079, 438434554683184345/9048079], [109211809938/83, 167462794845/83, 27573514710/83, -56373042783/83], [-46813138/9048079, 3520167/9048079, -282826/9048079, -1/9048079]], [[0, 0, 0, 0], [1793700849408457517250010730/9048079, -73041523173424814191324408/9048079, -745852550381970643756058750/9048079, -9964869859221388847322422/9048079], [-232502711385273096744/83, 8100721382491490856/83, 96385304418249331812/83, 1765399565654380704/83], [208749482495641512/9048079, -362454267802747168/9048079, -102296719292712956/9048079, 98558501020104748/9048079]]], 0, 7050240, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-32, -192, -16, 48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-30, -24, -20, 20], [6, 8, 8, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, 1, 1, 0], [1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-9598, -189002, -12732, 51666], [1312, 47008, 3648, -12752], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1082, 64, 256, 96], [-28, 18, 62, 26], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1032484401835487/3, -221996190427163, 21511959670259/3, 261513582765626/3], [-12014413705207/3, 6585320666, -74311626344/3, 66641351440/3], [-4/3, 5, 19/3, 4/3]], [[0, 0, 0, 0], [-333367289973759411899756/3, -96426393753557600830114, 66678789876233233618454/3, 73754150909061569246336/3], [-3652767844394764823086/3, -485475300574110011380, 862602601885572199450/3, 329986560961381533388/3], [517539410/3, 1048495272, 260973736/3, -788976332/3]]], 0, 261120, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[128, 32, -16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-764, -10, 24, 24], [-38, 0, -10, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [32584929787895, 932066707793, -2149762530701, -2176126255190], [1708940546895, -19121683814, -7908043310, 16020032026], [20, 5, 1, 4]], [[0, 0, 0, 0], [1130300410571915113087383, -154253184406099088136934, -415597866701223603110435, 115251762842315116777824], [59396524853477567041701, -9463558158602208936044, -19881432897420131504007, 6886114702946581753583], [646154615418, 160965243990, -82790798652, -1141355631]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1970, 208, 10, -94], [-4, 8, 0, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [156, 1, 1, 0], [-1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-137392217914, -177386110586, 25106258848, 44492462984], [98273910, 24144374, -12833760, -198680], [0, 0, 0, 0]]], 0, 3133440, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-112, 16, 48, 0]], [ 67, -122, -276, 79 ], [ -2, 0, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, -2, 8, -2], [14, 10, -12, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [30917002990673/1774361, 1531203368931/1774361, 31490918519708/1774361, 326560149705/1774361], [-12743822158/37, -1616239717/74, -13857989653/37, -54881593/74], [104308963/65651357, 7048754/65651357, 225293937/131302714, 1/65651357]], [[0, 0, 0, 0], [1661463346138/1774361, -2635657086803/1774361, -5246969007068/1774361, 2976490522071/1774361], [-725000684/37, 2300205053/74, 4579163469/74, -2597659075/74], [11815867/131302714, -18744063/131302714, -18657495/65651357, 10583988/65651357]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, -8, -8, 10], [-202, 2, 2, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3293489600168611/1774361, -3356631862954922/1774361, 1729105633947777/1774361, 81075449654012/1774361], [-168214892037683/518, 153899098397645/518, 59324810338397/518, -22249002289708/259], [1004099158/459559499, -1046897335/459559499, 630772858/459559499, 1/919118998]], [[0, 0, 0, 0], [76518462169121129909015414707/1774361, 118065229368033150212188918037/1774361, -6663735790393838967543665247/1774361, -27324001622735747704901314457/1774361], [2142895582770471280320975229/518, 952054174438595539250505068/259, -238497191031102147369553053/259, -492578558955228710289799151/518], [-28272978037808246553661/919118998, -24231378492931639274403/919118998, -1298282438761760148861/459559499, 1744183888006135111671/919118998]]], 0, 783360, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[144, 16, -32, 16]], [ 67, -122, -276, 79 ], [ -2, 0, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, 8, 10, 2], [662, 10, -8, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [1647698293529010464/1774361, 3177442798084314/1774361, 36261307970248179/1774361, 10916663891821748/1774361], [4144109477203235/74, -2435030238099629/74, -407681252250747/37, 279884201216454/37], [-444229603/131302714, 307110523/131302714, -173812513/131302714, -3/131302714]], [[0, 0, 0, 0], [-328217416541399672035856361659410/1774361, -368614445062345456955584335575120/1774361, 134630939910025169283792102831892/1774361, 142806492378347134275734533025462/1774361], [-306418315240870850204276495520/37, -311908072877114325889263723357/37, 66390250199280053323414658014/37, 88576949402656584998408407103/37], [37437338880446608836370/65651357, 32903746107785509165132/65651357, -16021973317364983460943/65651357, -16358760460864510338870/65651357]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, -8, 2, 10], [-2570, -8, 10, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13186961163237049757/1774361, 165549040105626262/1774361, -180738906066895519/1774361, -82901949988313123/1774361], [1524206607372821363/518, 331259236985886642/259, -214161749374780345/259, -54249503452148616/259], [799480139/919118998, -255556674/459559499, 225293937/919118998, 1/459559499]], [[0, 0, 0, 0], [452797689025979082249564190112252/1774361, 488688105993249348438999531608010/1774361, -221124929230242399575534891382776/1774361, -211656217097173247348833678928774/1774361], [-26451689298976438028327684532743/259, -35156709394648228338241709614987/259, 5333098027825156664520367354672/259, 9337419838335001207478190906200/259], [-11445612591187524925275/459559499, -10170557665286429743677/459559499, 4953694903015231241271/459559499, 5029900499615931420335/459559499]]], 0, 15667200, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[64, 448, 0, -128]], [ -10, 0, -4, -4 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 6, -2, 10], [-40, 32, 68, 24], [0, 0, 0, 0]], [[0, 0, 0, 0], [27121462929/73, 25020591591/73, -2409167354/73, -7778739975/73], [1061032866, 1007038062, -204572748, -255746670], [61/73, 27/73, 142/73, 5/73]], [[0, 0, 0, 0], [2558544169982172/73, 5228477177348128/73, -285074783554404/73, -1381944801434376/73], [102549005465940, 197582433184080, -12533548856220, -51936402525120], [3008940/73, 20146080/73, 5806380/73, -2780520/73]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [14, -66, -126, -40], [-4, 48, 80, 32], [0, 0, 0, 0]], [[0, 0, 0, 0], [67325712, -245222686, -41252613, 69143494], [-48422184, 188267904, 29132130, -52278336], [4, 0, 3, 0]], [[0, 0, 0, 0], [-248141830154369850477/511, 250211959151720363418/511, 91118623130577273018/511, -73845429878665326454/511], [2702134612452492846/7, -2413805896247965164/7, -967511549908961244/7, 720075310491677172/7], [8477471617245/511, 29725082749230/511, -1637452225530/511, -9127862396930/511]]], 0, 11141120, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[18, 41, 1, -9]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-12045/2, -251/2, 207, -1], [-287033/83, -21851/83, -17633/83, -531/166], [-36033/166, -251/83, 31/166, -3/166], [0, 0, 0, 0]], [[-942326321177538629, 78788161245475390, 138719300421235172, -19398079356655262], [-4950509172698232685480462/9048079, 201989868636924887588167/9048079, 975156682972681570071067/18096158, -116405576389030236547759/18096158], [-5663274693477779947/166, 540113487118805517/166, 732597167295627639/166, -117023594355837461/166], [10232443/18096158, -72879955/18096158, 43826265/18096158, -5/18096158]], [[221084157379722594776014302363403370, 363049543410748820249887779151918111, -42598364792036271546169193121889492, -100870244658410273931761699043643669], [1199659260579829378520873134210263525379670/9048079, 1949240324748682406736186379981106858082223/9048079, -261706617898109479970481820682968177541516/9048079, -558314086783577861748451960093177887633490/9048079], [663642486181401344480340708513146330/83, 1089415021276823922725841061378668116/83, -132056770509437266035710759033754177/83, -305172344495305441895863632440095546/83], [1706969639226192991262748/9048079, 1465283836176084902835216/9048079, 223273524575965385232783/9048079, 49621941853658779856427/9048079]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1693, 61/2, 91/2, -5/2], [-1987/2, -81/2, -141/2, -4], [-61, 3/2, -1/2, 0], [0, 0, 0, 0]], [[-1261114496292170, 571575361693560, 625589319347925, -641765839792845/2], [-13830962968260073081195/18096158, 6040137334205095999365/18096158, 7114052236677825931065/18096158, -1882045126270176904555/9048079], [-3848469601452360/83, 1848954154573324/83, 1995231289891726/83, -2110883958117901/166], [-20853265/18096158, -23128747/18096158, -26012933/18096158, 2/9048079]], [[176371085536450711411565122320, 8718910096852348869479581440, -41752424620160138562693117600, 467650951056939941393762400], [957743366777767780639365065144350712/9048079, 161961817304398708840676395905071127/18096158, -211784157079174524043017421370565824/9048079, -4649386329472925659080818796410112/9048079], [1063634722025237552631186917823/166, 36064193931216711158539862295/166, -123759297704248716336758041584/83, 6553300148510729999431591359/166], [4545601869075145813123/18096158, 3884356937511999638235/18096158, 280828017480279554096/9048079, 118359453870694826979/18096158]]], 0, 864, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[15, 5, -6, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[39, 81/2, 48, 15/2], [655/2, 87/2, 45, 7], [81/2, 0, 0, 3/2], [0, 0, 0, 0]], [[26496169391653, 26575622664827, 52503567208497/2, -1267179295362], [427716088226969/2, 57583861297973/2, 30779177319307, -21379161569181/2], [26483190213848, -166510720459, 258943171446, -271922349268], [21/2, -5/2, 5/2, 3/2]], [[5785906458817638568890900753, 4986654908250418125286551652, -5358771578791562736569394629/2, -3847213593127677635419665093/2], [34329014994768738472095574458, 40791948742591134331852719191/2, -21785454440745488781499983359/2, -11613484930288230727933325337/2], [4014199399666602088851492782, 2164950106710908621992202225, -1192494598124994388549324638, -579212461030237105977411628], [1656337751083359, 1103791174599681/2, -661931917864323, -220407067297254]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9, -14, -43/2, -1/2], [-1717, -29/2, -12, -7], [-11, -1/2, -5/2, 1/2], [0, 0, 0, 0]], [[-1268837906091400, -1260888535835131, -2479317882395597/2, 19930321373437], [-191863232971219113, 169480523269035, 44672794000630273/2, -3209173508581623], [-1264353762183328, 2274101445167, 2382249806073/2, 3293019005043], [0, 1, -5/2, 1]], [[-128913001252790069997290981/2, -90690987487118234892241935, 55973488958005244503029855/2, 33278478986087158754001130], [-11599738174806498177118672171/2, -8974197169267652530459877725, 2278781412241263251579554453/2, 2473657973136123659871229540], [-78067697063857349519791703/2, -60092667461400611994277373, 16871057012422073984559189/2, 16987123588255349012665110], [5945188731/2, 992052945, -2378255121/2, -396998214]]], 0, 288, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-9, -6, 2, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[103/2, 121/2, 83, 33/2], [-18, 56, 161/2, 18], [113/2, 3/2, 5/2, 5/2], [0, 0, 0, 0]], [[-560580909447, -427111423811/2, 613218430697/2, 218372776981], [-76027862429/2, -302835057604, 176064983382, 428853209101/2], [-430605811490, 174679074293/2, 129710562454, 264535455], [3/2, 2, -3/2, -5/2]], [[-479539750775426272365/2, 344238924346383345199/2, 80473262804365806468, -109142657007522116099/2], [53756819582793828144, -213393904705081181229, -68541490946422741239/2, 58570811696262083457], [-478755972747325138179/2, 635783608263256794249/2, 187211288841182511369/2, -186427510822523908503/2], [431642121, 289912022, -93184905, -47718283]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-19/2, -15/2, -11, -5], [1123/2, -7, -7, -3/2], [-10, 3/2, 1, -3/2], [0, 0, 0, 0]], [[4079195679625/2, 2014600532529, 3807540925097/2, -90086942678], [-412500248579365/6, -170893671991261/2, -449617264338616/3, 563589114140851/6], [12097855406251/6, 7808510879/2, -33677743687/6, -53026944500/3], [-11/6, 1, -2/3, -1/6]], [[153963763956158091385661/2, 97126196695033319648736, -16615612213735429384673/2, -39392974027369266797573/2], [-19882701379088584509192737/6, -3085956525662926069686619, 6193099833853179946959611/6, 1707450487425228975286768/3], [161327187038263500470770/3, 53947229709183115558835, -31790286079445286111970/3, -75656345635712259910175/6], [-137355142622/3, -30551570158, 30482261561/3, 15305402111/3]]], 1, 24, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-288, -656, -16, 144]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [535230/83, 8030/83, 1470/83, -410/83], [48778/83, 730/83, 194/83, 8/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [1821116017097391055/83, 242201193771107434/83, 300558202592669008/83, -372361512327509343/83], [166038382106483364/83, 22010646792890807/83, 27323934404150093/83, -33851081604203740/83], [4, 3, 1, 0]], [[0, 0, 0, 0], [-1430004083460961591717769852005695722662/9048079, -59826308863252816374259000751841078604/9048079, 675674351598194626897331868044450145864/9048079, -176426858748774162249146203744085405308/9048079], [-1195586825566620148882314999138196/83, -50205684100686658708435930486944/83, 564301519846348419324995060241888/83, -147442141942020703332016611598952/83], [-227876921391694205895264/9048079, -195900995714652339507396/9048079, -29551992904792339149168/9048079, -6300150603800000655708/9048079]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [516410/83, 81138/83, 8164/83, 720/83], [-7230/83, -1120/83, -118/83, -10/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [22339255802468583853972/9048079, 2871277823044857610152/9048079, -1147673698160748952789/9048079, -275754403977423891123/9048079], [-2869080720378455/83, -362374558796953/83, 145990916296691/83, 35143269197161/83], [-16523415/9048079, 50768307/9048079, -44957569/9048079, 1/9048079]], [[0, 0, 0, 0], [-5615250198173639751125407391976423698882/9048079, -8378416525464463825039372148634277241090/9048079, 824451185764663276730492123796843563899/9048079, 2134037057465375551901675089743925409163/9048079], [720647796647278732720407253696935/83, 1075184752144918042482326964218517/83, -105827579078717118984579557563293/83, -273859216448351877992035394991747/83], [948697199774383431892635/9048079, 810474602460522319305377/9048079, 121081358674068013606167/9048079, 27519407147176158507993/9048079]]], 0, 56401920, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[144, 96, -32, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-66, 4, 0, -6], [-320, -8, 4, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [11172162090062, -155151088168, 180033156715, -280224064556], [53067801796547, 5254561376047, 4064173345346, -5738126385497], [3, -13, -27, -11]], [[0, 0, 0, 0], [-1658252777577383933110, -29657461971193492722506, -3850016156190099409668, 9020450842236804699432], [-9325234521479699485084, -144324679889832449931354, -21413428588414113657520, 45361660475153334832520], [7016934782, 4636946116, -1549738784, -755692366]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-230, -8, 0, 10], [134, -4, -8, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1228783097253, -205827586797, -393644925584, 295645775297], [767267993407, -7728920447, 18895277591, -102592723], [-4, -4, 5, 0]], [[0, 0, 0, 0], [-6913995526171120301225/3, 89097065496027468454501, 25206564786520041906410/3, -75541090236682313869000/3], [3586087415968315222670/3, -50418361651337944502249, -12662578283608290610520/3, 42687698486187950424565/3], [285113537357/3, 63318240678, -63466207310/3, -31680347633/3]]], 0, 1566720, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-240, -80, 96, 32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [422, 6, -10, 8], [1102, -2, 2, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-48451146789180135, 199800152252300, 38574529227881, 419140046789234], [-126115989820036867, 1969256828859432, -4557119933061399, 3293172508932115], [-22, -2, 0, -3]], [[0, 0, 0, 0], [28872486223010099814421693, 3064271141809395412890249, -14693412971699311194369545, 1655969756108739713718136], [76990495311992739443570383, 4487385973250935584007094, -42073448808500989245532590, 6860054313348508518986856], [12475335970, 4223898317, -5021620189, -1706882024]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3254, -20, -22, -10], [200, 8, 6, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-150, 1, 1, 0], [17, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [18120190288384552, 5515970697579416, -6658803303081108, -1836349304754900], [-1130324329809420, -377367624512820, 451978812347590, 151197621309770], [0, 0, 0, 0]]], 0, 18800640, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[16, 13, -4, -4]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[225/2, 229/2, -297/2, -1], [4, 39/2, -38, -5/2], [3/2, 3/2, -2, 0], [0, 0, 0, 0]], [[-13031009869/2, 396504908, -1991092512, 1303012931], [-22279982629962429/9048079, 50573257625780577/9048079, 1319668363792295/18096158, -22448206663187461/18096158], [-14287027941/166, 770768589/166, -2302023092/83, 1483534163/83], [-40910545/18096158, 9804290/9048079, -18520397/9048079, -3/18096158]], [[-473334192280570750796982, -2790101109623073992682001/2, -36511105262514968314153/2, 409555891652901683218426], [767027628729911841538990109126/9048079, -5946467345553786531842429338235/18096158, -1001396038351459761254510279773/18096158, 945859564760301198690780441428/9048079], [-521205036253252008091245/83, -1537446596113892737338545/83, -20788742856517404851080/83, 452376931289567007118190/83], [-2501638843054153708241/18096158, -4677152749113482567439/9048079, 218217418871082835546/9048079, 3334164873926256063779/18096158]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[789/2, -142, -429/2, -3/2], [11031/166, -5247/166, -9447/166, -885/166], [867/166, -311/166, -237/83, -5/166], [0, 0, 0, 0]], [[-878094397/2, -370146979/2, -163044316, 40614741], [1058652653233573/18096158, -4968700596275945/18096158, -3891837910614642/9048079, 1355991885803585/9048079], [-473711296/83, -232552992/83, -208187456/83, 45837376/83], [13377929/18096158, -26388026/9048079, -46088873/18096158, -3/18096158]], [[57475439150773945, 45928449621087498, -10424961254074579, -12612002148223676], [74312672131961039795236/9048079, 149539159288537370682846/9048079, 28861842786002657635355/9048079, -60078069370435388876416/9048079], [63370702723246560/83, 52486744388855472/83, -11291238767230128/83, -14480414939409408/83], [256988113420110/9048079, 1952445916288956/9048079, 101569686336237/9048079, -575930566909762/9048079]]], 1, 224, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-256, -208, 64, 64]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [55128/83, 534/83, 4784/83, -388/83], [5902/83, 124/83, 450/83, 10/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [5843346605912881963822/9048079, -161831810130564759713/9048079, 687726968287318100209/9048079, -477275255220501699368/9048079], [5756237845347290/83, -115643221958813/83, 548425289938931/83, -399544241561493/83], [28716980/9048079, 14575991/9048079, 9330905/9048079, 1/9048079]], [[0, 0, 0, 0], [34300251432228140870134510675167786/9048079, 388325433071562366408564810487319338/9048079, 46626935761296230842435188614788190/9048079, -124729350324379515851093389808760170/9048079], [36175654720670349992123869238/83, 377748949465437005002943512390/83, 42156033752590842382988809594/83, -120441737099296349786477664246/83], [471359194500404858060/9048079, 1833498576810274906756/9048079, -41660912802947860016/9048079, -622940464211059397256/9048079]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [33140/83, 2936/83, -3996/83, 376/83], [2892/83, 282/83, -318/83, 4/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [-50610127078399295/9048079, 9839213396034216/9048079, 14145125185928852/9048079, -8560827325587310/9048079], [-42282138724/83, 9658072662/83, 14320043367/83, -7210771211/83], [-28716980/9048079, 30664404/9048079, 44957569/9048079, -1/9048079]], [[0, 0, 0, 0], [-5897085312077610764535980204999/9048079, -12636113724513400850095237245090/9048079, 483980930201601250230006976837/9048079, 3340454765903519965242472804760/9048079], [-4783540688695069390981871/83, -10332761537854963696545168/83, 383636357805904444335626/83, 2752376543030565097915751/83], [-929925022766309132601/9048079, -3552039897289620840456/9048079, 121693166324748954438/9048079, 1238356174634630255097/9048079]]], 0, 14622720, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-2, -11, 1, 3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, -7/2, -7, -1], [-229, -19/2, -31/2, -5/2], [0, -2, -3/2, 1/2], [0, 0, 0, 0]], [[-1414682785/2, -1506901663/2, -1748439023/2, -134555434], [75701278153/2, -533779270341, -66538685234, 147416365950], [-731884127, -19621732, -1944995, -22597744], [20, 5/2, 5/2, 2]], [[-384047961083578558, -1738694770735110443/2, 710653852437311529/2, 193798270262983616], [-303964367370226867601/2, 225530295856292199301/2, 116919719728902093909/2, -36658897754870460220], [-124796829463261228, -816131931171885692, 71581373273814404, 187669766058120346], [7904522817/2, 22841470512, -1958484114, -5753133306]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, 2, 11/2, 1], [-208, -9, -4, 13/2], [-3/2, 2, 3/2, -1/2], [0, 0, 0, 0]], [[345509641/2, 170706695, 210376225, 32263069], [57766301770, 50822376542, -15729966717, -11995625109], [361132163/2, -18492271/2, -1226449/2, 8424486], [-26, -1/2, -1/2, 0]], [[-34253249180865562, -145152956645538229/2, 37723559850967412, 29488674447475009], [-8036312877867547658, -18407173862357176833, 501348026335561135/2, 9957746183064876027/2], [-11220475566716486, -66219844761320859, 4863841032882972, 18168935900858162], [1786501458, 19015283439/2, -1628232399/2, -5010951717/2]]], 0, 54, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-2, -11, 1, 3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -3, -7, -1], [-224, -8, -7, -1], [-2, 0, -1, 0], [0, 0, 0, 0]], [[588362563/2, 431417007/2, 72908017/2, -268901939/2], [52340134981/2, 1846535323/2, -4987067488, -1966531647/2], [254167268, -17643195, -41631149/2, -19198441], [-4, 0, -1, -1]], [[-638618457159/2, -1178666650503/2, 654832389555/2, 150929564013/2], [-12185256278349, -58156001035794, 3342519564832, 27630437873179/2], [-117487383525, -1128411278145/2, 184719403467/2, 218924292177/2], [1809/2, 10476, 3483, -1431/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, -3/2, -2, 13/2], [325/2, -1/2, 6, 0], [-1/2, 1, -2, 3/2], [0, 0, 0, 0]], [[569266305/2, 581680071/2, 682906257/2, 115744029/2], [-103524428605, -250835536737/2, 39515347199/2, 33081540270], [294223645, -722980, -5321271/2, 24502251/2], [-7/2, 0, -5/2, 0]], [[-9850920784108355/2, -12147359031659081, 4398142975414131/2, 7391357433519279/2], [3582418008703810249/2, 3196356051019600141, -480541074793728279/2, -834494755073172438], [-2029528207702822, -10251061043686238, 133230231792571, 5525403804541633/2], [25317180, 144088884, -13254588, -37033380]]], 0, 54, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[2, 10, 2, -2]], [ -10, 0, -4, -4 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7, 2, 1, 1/2], [4505/146, -1555/73, 1639/73, 50/73], [7, 2, 1, 1/2], [-129/146, 63/73, -58/73, -1/146]], [[34457333/2, 15442342, -3360191, -3706833], [10715422253/146, 591278731/73, -1432404428/73, 30173388/73], [34457333/2, 15442342, -3360191, -3706833], [-151852536/73, 19852305/73, 43967055/73, -11139711/73]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, 2, -1/2, 5/2], [15/2, -11, -1/2, -25/2], [1/2, 2, -1/2, 5/2], [0, 0, 0, 0]], [[1325558, 884705/2, 530823, -1646451/2], [-6590421/2, 15723608, -4461921/2, -1258369/2], [1326215, 883391/2, 531042, -1646451/2], [3/2, -3/2, 1/2, 0]], [[-6691456240766359/2, -2787992270560934, 1350910914503569, 2066301860688453/2], [1241659434990844111/1022, -9733650623963046436/511, -2660592078478482579/511, 3566123958516830401/1022], [-46856070299637205/14, -19517352283730846/7, 9458173265483227/7, 14464062361091979/14], [-1323051189391/511, -234398300718/511, 299477326374/511, -4221977266/511]]], 1, 30, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[3, 8, -2, -3]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[119/2, 69/2, -93/2, 4], [-470, -551/2, 369, -1/2], [-5/2, -3/2, 2, 0], [0, 0, 0, 0]], [[2391355, -182128878, -796985333/2, 467940493/2], [3211934605/83, 100492561304/83, 470556052317/166, -258642262473/166], [-9937535/83, 593232809/83, 1296033142/83, -718531732/83], [3/2, -1, -1, 0]], [[1654310299814843777, -13596606914507786708, -26455946581163901757/2, 18822481997308196781/2], [-97647509422111440408552363/9048079, 885545842078323695422345396/9048079, 1676664170717503319181811109/18096158, -1191736259548251660918103917/18096158], [-4894480933144818820/83, 43368649103130282260/83, 41900626657026440320/83, -29566070902717698400/83], [348408687385057587/18096158, 560710024620935562/9048079, -35320096704100431/9048079, -176140240910037462/9048079]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-79, -31, -3/2, 13/2], [-43258/83, -33641/166, -13037/166, -321/83], [533/166, 112/83, 45/83, 1/83], [0, 0, 0, 0]], [[258378462463/2, -102190479293/2, 181995240264, -162555264063/2], [16899262425839817333/18096158, -8687618825964527387/18096158, 9997106307276378939/9048079, -7088851392817023997/18096158], [-467078311505/83, 212578856095/83, -592212322695/83, 216983932270/83], [-14950672/9048079, 67352043/18096158, 18661810/9048079, 2/9048079]], [[-1362702069364801975904873, -1988122642677982989982559, 229581630946550938815706, 512756334184026236304855], [-83119570652722299259353530657288/9048079, -121185619184215082093837199246859/9048079, 14006439830085984891930334638709/9048079, 31306608759718735078689685048713/9048079], [4755751892535901859830270/83, 6940734605987642132025935/83, -801359955075482688258960/83, -1793067879164546274038180/83], [-11611125741651131812/9048079, -25428968870273814444/9048079, 2225133988046936488/9048079, 7424426347630940284/9048079]]], 1, 12, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[6, 18, 1, -4]], [ 67, -122, -276, 79 ], [ -2, 0, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17/2, 3/2, 11, -6], [35027858166074/1774361, 14342694689344/1774361, -22082341510887/1774361, -12950662/1774361], [12596692665/148, 1289478668/37, -1985307186/37, -431/148], [498217105/262605428, 204002825/262605428, -78521713/65651357, 1/262605428]], [[-2510115489559/2, -10949190027183/2, -439708857045, 1106970720852], [14523664803303717603461173/3548722, 65290412120621744043746863/3548722, -1763308288372333540634229/3548722, -18968231021307475254306013/3548722], [1305747928279248363179/74, 5869922730057559324751/74, -79264154628034718446/37, -1705334379103098105887/74], [51644177730792440335/131302714, 232163805560401612315/131302714, -3135005267015657090/65651357, -67448400825934954105/131302714]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, -3/2, -1, 1/2], [931298270102861/1774361, 905069062274258/1774361, 3013164629837699/3548722, 6995431/3548722], [-171250122013/259, -665708035229/1036, -1108140790297/1036, 1819/259], [1208718177/1838237996, 293668918/459559499, 1955370777/1838237996, -1/1838237996]], [[1352485491/2, -12665255895, -2750424099/2, 6690221607/2], [-136703368543213225526081/1774361, -4010397870066539827292926/1774361, -3704282012232526737938951/3548722, -271412386884185666776591/3548722], [7182130416115349805/74, 105349265430011420730/37, 97307896002592264105/74, 7129739138451489305/74], [-6336616767389379/65651357, -185894134277865988/65651357, -171704732187973739/131302714, -6290394336396085/65651357]]], 1, 36, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-11, -24, 4, 7]], [ 67, -122, -276, 79 ], [ -2, 0, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[67/2, 10, 82, 15/2], [-6513476242843/1774361, -17472012597447/3548722, -25701944026445/3548722, -27675685/3548722], [11369065743/148, 15248005481/148, 22430620745/148, -265/37], [-23161277/65651357, -31063490/65651357, -91392069/131302714, 1/262605428]], [[1426683380248485/2, -349101106851423, -350900603734848, 112996366105893/2], [-241545493539922792154318085/3548722, -59704612167297091401570597/3548722, 51667938172140746238873799/1774361, 30170777946428896535034913/3548722], [52701023360555918983494/37, 26051182557361511337415/74, -45092104918671247111555/74, -13164844998053142629901/74], [-429453936660412400164/65651357, -106143718205568500962/65651357, 183724884618757610984/65651357, 53639256739338649845/65651357]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[162, 114, 315/2, -1], [139/2, 257/2, -317/2, 1], [407/2, -1, 2, -1/2], [0, 0, 0, 0]], [[-1055156216209957/2, 456703303302595/2, 185156986843894, -318377210391411/2], [279782802247070502447/3548722, -2133254070347200977319/3548722, -316074001969273399400/1774361, 860788481514350602181/3548722], [-145727425173779226/259, 447052235269654969/1036, 230014539420332479/1036, -165545287137387869/1036], [1139400779/1838237996, 3113808795/1838237996, -117132781/459559499, 1/459559499]], [[3298495596262327759014756258648, -613515045301521904580461435858266, -19083094194854985359388745108920, 185419228095760125883219250925747], [-275528048280680830306807388900785093706/1774361, 250563326176675572211768081803880932292/1774361, 77457415759445620721222572053613237988/1774361, -82920147531071535272372330147532009460/1774361], [19357695992962776127346978080475484/259, -182157076232115112324010581933918770/259, -18634426595931965837140281271724541/259, 51315830869426190531967014227261863/259], [314541127577428799707009440/459559499, 76607461644888833675202654/459559499, -150439410194984068280544315/459559499, -48336142785139484494882029/459559499]]], 1, 720, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[32, 176, -16, -48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [364, -72, -654, -304], [170, 2, 4, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [913661094033, -1986524394435, -4059237775163, 2327448462290], [984805843399, -1985737422526, -4056751642934, 2322967522958], [8, -3, -3, 4]], [[0, 0, 0, 0], [-372621230435199667414, 1932588309795845435276, 1624286683204038296828, -1202127265485250734726], [-403127637910690197076, 1722450812767055905712, 1611055600621661102944, -1140680313300518113244], [-3398899716, -18925975852, 1670110368, 5179923376]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [190, -10, -486, -240], [10, -2, -8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4271498100, -2217924737, -4863235109, 2294233744], [-756756041, 1463116021, 3353558883, -1885356902], [31, 2, 4, 2]], [[0, 0, 0, 0], [187919229206856593414, -4927712854050045277786, -2331700617690765208132, 2237666672595758679330], [-581303575449862412304, 459622281555141034536, 1848916931334300164890, -938901400898214800650], [-7778985735554, -42739286845310, 3826692582790, 11611570707924]]], 0, 3525120, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[32, 176, -16, -48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [246, -216, -1168, -548], [42, 52, -20, -20], [0, 0, 0, 0]], [[0, 0, 0, 0], [-107522896, 66719959, 271832424, 113066493], [14989931, 43478592, 1955044, -10123071], [11, 1, 4, -4]], [[0, 0, 0, 0], [-3292917919730, 9298742868270, 2077224108550, -2893993731770], [-338312243546, -14583159074, -1629453760106, 831643026318], [-495522850, 775345350, 1543607500, -874662150]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [26, 60, -38, -36], [-12, -6, -4, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-45305689, 40159168, 18064069, -13461823], [54238914, -57027254, -172301570, 90665233], [5, 2, -1, 0]], [[0, 0, 0, 0], [20322565258296, -118453261995920, -9551355854320, 30654948773424], [145253718995882, -219327284620066, -399881735733250, 229165205790408], [1804056, 9849192, -927672, -2692848]]], 0, 3525120, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[4, 20, 4, -4]], [ -10, 0, -4, -4 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13635/73, 7155/146, -13689/146, -135/146], [4, -6, 4, 4], [505/73, -265/146, 507/146, 5/146]], [[0, 0, 0, 0], [-191407740039/73, -191431898532/73, 38484479349/73, 47568072717/73], [42403850, 19966162, -9658184, -4055089], [7089175557/73, 7090070316/73, -1425351087/73, -1761780471/73]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [45, -6, 0, -3], [-6, -2, -1, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [19988210370893/1022, -16528722667931/1022, -9511488269217/1022, 6251926463061/1022], [-14047901591/7, -461458525/7, 11108229/7, 379323201/7], [-1555/1022, -3053/1022, 1185/1022, -3/1022]], [[0, 0, 0, 0], [52441998314379354109353/511, -275872192852967380562556/511, -37210294516927147758648/511, 153877932192967208284575/1022], [-15390773294778222162/7, 376355728693500366444/7, 38782845245211009732/7, -102128548491305432175/7], [11835256101245/511, 1847299837750/511, -2863263809370/511, 57860649935/1022]]], 1, 510, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-48, -128, 32, 48]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13718/83, -10738/83, -3474/83, -708/83], [-900/83, -946/83, -346/83, -4/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [-91627874942925726/9048079, 246124687082675978/9048079, 116973925077047611/9048079, -108923382579997957/9048079], [-71881168097/83, 168997183087/83, 147172810107/83, -106285757157/83], [7863715/9048079, 72879955/9048079, -43826265/9048079, 5/9048079]], [[0, 0, 0, 0], [2139655901320378046140051/9048079, 1785222313953834362138570/9048079, -225316929936801042489623/9048079, -320398676803861354853330/9048079], [1341638997108175387/83, 1359732106246152710/83, -96541777328355128/83, -260767984708086731/83], [3177647494875267/9048079, 4311832999103298/9048079, -395633347716324/9048079, -1025884037722419/9048079]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16554/83, 53680/83, -28908/83, 918/83], [-192/83, 564/83, -304/83, 8/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [-558248934361046/9048079, -1188012010402241/9048079, -31546926742213/9048079, 365274563274682/9048079], [117062654/83, -50485771/83, -37280605/83, 21690475/83], [43667652/9048079, 3520167/9048079, -9330905/9048079, -1/9048079]], [[0, 0, 0, 0], [12368581241362042914337612/9048079, 18696148562567248780094756/9048079, 457113982933337849478032/9048079, -5305977956665717714664772/9048079], [-701996829616067786/83, -3128167637219456242/83, 554319800435457052/83, 1099007049074644218/83], [-388113316182081320/9048079, -1255559253549914320/9048079, 113579330720548000/9048079, 424117547443929240/9048079]]], 0, 783360, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-96, -288, -16, 64]], [ 67, -122, -276, 79 ], [ -2, 0, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 2, -2, -6], [-22, -18, 8, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-48738662525276/1774361, 25326521604575/1774361, 27037174679166/1774361, -686491420828/1774361], [-3819963334/37, 2093448378/37, 2359480629/37, -11105689/74], [-162295372/65651357, 161710301/131302714, 191755763/131302714, -5/131302714]], [[0, 0, 0, 0], [22472616828720221079542/1774361, 150710159190166437599846/1774361, 3185837156063729258838/1774361, -36992836932766900686616/1774361], [1537322459719249158/37, 11753022338524854696/37, 623167352282033174/37, -3002746506953014865/37], [73507745662074922/65651357, 502931126901523001/65651357, 23146953276166753/65651357, -128502057840313333/65651357]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 10, 6, 2], [-18, 10, -6, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8756344328221292/1774361, -1733861791588877/1774361, 173121392980124/1774361, 3947851984410/1774361], [1610677699712/259, 316922834421/259, -33219564407/259, 662903013/518], [-2842337154/459559499, -1123121823/919118998, 117132781/919118998, -1/919118998]], [[0, 0, 0, 0], [-2180841598705500539935657653110/1774361, -8176550937703732081451899858777/1774361, 366076373809608149188454455007/1774361, 2357547209905195111604126956656/1774361], [801416907082089888795371499/518, 3007466010576730323514664733/518, -67118682285274440726759774/259, -867240449838614768462844363/518], [-1415339054446306712810079/919118998, -2653520559646872232723710/459559499, 118590036228060898523406/459559499, 765166793669122210481064/459559499]]], 0, 2350080, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[176, 384, -64, -112]], [ 67, -122, -276, 79 ], [ -2, 0, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 6, 0, 2], [-348, 4, -8, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-592079066212492/1774361, 114800290151218/1774361, -91946524073103/1774361, -79312231517346/1774361], [1276340592513/74, 5557929148441/74, 67864552636/37, -714226475421/37], [127636673/131302714, 232197841/131302714, -191755763/131302714, 5/131302714]], [[0, 0, 0, 0], [-1549520627659626262011804/1774361, -23854029031363765840624584/1774361, -3502612071434119724903538/1774361, 5437345015631209249728162/1774361], [29230611918953813524465/37, 14594381448334881824169/37, -6508662347587018798967/37, -3046553988645576408914/37], [1723927035985880544/65651357, 659067082581327588/65651357, -598358010888824886/65651357, -210101526755213121/65651357]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 10, -6, 4], [204, 8, 4, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9555151363384520/1774361, -1273004717116228/1774361, 820954031436096/1774361, 13931147286999/1774361], [-47246780161943/259, 19991833181149/518, 8283821808275/518, -3980772045160/259], [-7302630523/919118998, -383335011/459559499, 567720655/919118998, 3/919118998]], [[0, 0, 0, 0], [307137560779565050783814151864/1774361, 84728423039986547548864579764/1774361, -165747475165556392523878061900/1774361, -61960548726532666463532575556/1774361], [214332132558374789494019861/37, -3423019350238018863216120/37, -124232005225475120053398108/37, -27360668867082035073296990/37], [16781269935465383499591/65651357, 4161558915095461839252/65651357, -9058714898125439162649/65651357, -3212929931547956456952/65651357]]], 0, 47001600, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[64, 320, 64, -64]], [ -10, 0, -4, -4 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, 6, 6, 2], [16, -20, -20, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2534279/73, -2093378/73, 683982/73, 528628/73], [272250, 338388, -49932, -88932], [-443/73, -226/73, -26/73, -4/73]], [[0, 0, 0, 0], [1049723482375/73, 834439754218/73, -207584228314/73, -216887692080/73], [-114058007082, -136609883692, 21441078092, 34807620824], [208170555/73, 59458866/73, -57394098/73, -7742880/73]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [156, 10, -16, 6], [-4, -12, 16, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10507213892783/511, 33870328145387/511, -588119671599/511, -9159017149831/511], [-12465465114/7, -563465886/7, 322685322/7, 481153878/7], [1229/511, -1725/511, 1091/511, 5/511]], [[0, 0, 0, 0], [47023729428856059019950/511, 82526199380811671649414/511, -6602182153267403134029/511, -21698510906765352171252/511], [-30148157415230193900/7, -33120766855961429772/7, 5443926261169312842/7, 8211189018997115736/7], [2309672490798/511, 392659041118/511, -526591076713/511, 11446085108/511]]], 0, 33423360, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-4, -15, -4, 2]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[659, 125/2, -149/2, 3/2], [267811/166, 26783/166, -27313/166, 426/83], [723/83, 141/166, -159/166, 1/83], [0, 0, 0, 0]], [[-7413596042507, -1001470771077/2, 378300230636, 856097649207/2], [-328185334937483794359/18096158, -24517575189669242433/18096158, 12606759301416464119/18096158, 10052609690516898372/9048079], [-16256730487235/166, -1160530552125/166, 374985210775/83, 490046177425/83], [-34619573/18096158, 50768307/18096158, 18237571/9048079, 1/18096158]], [[-1954018447551575241188224024, -2577808485385355247319233994, 1057052064293382283933676911/2, 568728525536567249409359084], [-43504976799832328802845567154747588/9048079, -114447326629033672939754309963349651/18096158, 11937221492298985621094871442744582/9048079, 12531650067036179423964637246763142/9048079], [-2148353178709859250489110450/83, -5660164116093677332555990395/166, 1170713891276255332166488825/166, 1244388539930772242107903795/166], [-1328679826471301402755/9048079, -1121632026099918963694/9048079, 572477732850069388514/9048079, 302049819793531985039/9048079]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2661/2, 295/2, 255/2, 7/2], [-218769/83, -46685/166, -41011/166, 365/166], [1458/83, 168/83, 301/166, 3/166], [0, 0, 0, 0]], [[-52615842919/2, -226268712253, -23011310149/2, 115497565757/2], [933654616787801087/18096158, 4057271127100828400/9048079, 408955398305445277/18096158, -2072406666927233887/18096158], [-28982251644/83, -248378482320/83, -12578928660/83, 63316083840/83], [31474087/18096158, -7535657/18096158, -424239/9048079, -3/18096158]], [[31845861602132758240792, 121279896689614227690255/2, -6759467517282681742960, -17859350662222765368277], [-568820467524871700206396075782/9048079, -2171283678276014310220021386843/18096158, 118992747335810872393717104710/9048079, 318956189015307938513188226229/9048079], [34998969473729696302720/83, 66605640548716795190304/83, -7467957358884691505824/83, -19645110978202291170976/83], [-10257605881335718663/18096158, -9710725492527210951/18096158, 3839185391902396939/18096158, 1355045350248034022/9048079]]], 1, 96, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[64, 240, 64, -32]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4044/83, 4036/83, -4470/83, 454/83], [428/83, 382/83, -346/83, -4/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [-235548976406613/9048079, 330678244157827/9048079, 247835729829692/9048079, -90957290274932/9048079], [-175969955/83, 12938653/83, 324007931/83, 1031880/83], [-23998751/9048079, 2007745/9048079, 45806047/9048079, 2/9048079]], [[0, 0, 0, 0], [37937246223874104369263215068/9048079, -57598141586018317088925069548/9048079, -17361864415602936556334552666/9048079, 16533092917477054039239560910/9048079], [18263812111825924810908/83, 14424446420096048416696/83, -7439352139330233217466/83, -3827332313308484845578/83], [2395939349207451111036/9048079, 2042711880957424736196/9048079, -1001720167015872317736/9048079, -544869543339650187912/9048079]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2056, -932, -374, -10], [-22, -10, -4, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [59340184222785138/9048079, -47275875823617223/9048079, -30393302810578126/9048079, -16335445367717957/9048079], [5685255191/83, -4538245418/83, -2696825152/83, -1626037000/83], [-12193565/9048079, 7040334/9048079, 17530506/9048079, -2/9048079]], [[0, 0, 0, 0], [-7874940751044459747164495/9048079, -7659926219905822564406336/9048079, 1574976873962059666984868/9048079, 1965071418586654034757114/9048079], [-761243067675654690/83, -737710524217323678/83, 152137604828686099/83, 189307145707169707/83], [1415321277972630/9048079, 1686558344021250/9048079, -276576032533115/9048079, -431116642574555/9048079]]], 0, 6266880, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-7, -21, 3, 7]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-32, -36, -99/2, -17/2], [-808, -65/2, -65, -20], [-35, 1/2, -3/2, -3/2], [0, 0, 0, 0]], [[-8548613840627675/2, -8352929780103803/2, -4002668906530139, 46618227125932], [-195487791651543263/2, -5075851739271094, -2245732518580912, 4048159956246195/2], [-4230487695516466, 17445329998927/2, 45300140465098, -2961831335455/2], [-4, -1, 1, -2]], [[-105621225690117699323902965/2, -164590169774955181644680388, 41559678951284840525170833/2, 55787016932472071255376879], [-845292637530580167953649905/2, -6658011321260044016948410967/2, -185944216973355588169147539/2, 1896568172545280276990133361/2], [-16654257016934130709719270, -143347682648047202986247088, -9176460219947737188891867/2, 81489171876197277549244383/2], [-35968808220, -215811012351/2, 30646152633/2, 35904867729]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[31, 38, 121/2, 29/2], [-210, 79/2, 74, 29], [36, -1/2, 5/2, 5/2], [0, 0, 0, 0]], [[-4028395151903103/2, -3970855419758691/2, -1874165997515977, 83191485729983/2], [21926102144189703/2, -3149293594364375/2, -2269098049542501, -2350242636366601/2], [-3976634896186527/2, -30498377428323/2, 18138926928071, 15482401860431/2], [-15/2, -3/2, -1, -1/2]], [[217986948218103959187495741, 437806549690393771407539949, -156057910537285580057755464, -179273695771243351175998317], [-385078334931238812889830287, -1923826298595149714719305176, -128828084355467305716291770, 445838083801069836337624716], [95595090889777432682960637, 360306285214571667290642637, -18094826413955063121795816, -104297030914372122471077013], [462722662773, 1387507625181, -197278395264, -461809942461]]], 0, 162, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-8, -2, 1, 0]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[299, 85, 30, -2], [-6376/83, -2228/83, -1159/83, -11/83], [-391/83, -112/83, -45/83, -1/83], [0, 0, 0, 0]], [[117419134, -85351615, -16655331, 30710267/2], [-212888418513278/9048079, -236192756829747/18096158, 435356146852025/18096158, -60820394059837/18096158], [-150605285/83, 189309033/166, 65261107/166, -40528191/166], [-5902593/18096158, 14575991/9048079, -8765253/9048079, 1/9048079]], [[-22572886067050610491/2, -19545876871603351724, 3166185419179119101/2, 10259952991928268477/2], [65666212914062196851824505/18096158, 50386009288787264794255077/9048079, -9577033240042765026486977/18096158, -25756980934954465628975195/18096158], [15129524501178705600/83, 25844471300361002400/83, -2131225217051996400/83, -6763210732830103800/83], [-538055337460758611/18096158, -335227646553408349/18096158, 45831087367289757/9048079, 55433104438231507/18096158]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1033/2, 293/2, -45/2, -7/2], [-10673/83, -6819/166, -1663/166, -487/166], [-676/83, -193/83, 45/166, 1/166], [0, 0, 0, 0]], [[-8140180881, -68225112147/2, 508461821/2, 18743716087/2], [38199287977441649/18096158, 157850704300467197/18096158, -2599820200718141/18096158, -22010455032902938/9048079], [10700972649/83, 89509548519/166, -810587601/166, -12323016648/83], [-5902593/9048079, -7040334/9048079, 18661810/9048079, 2/9048079]], [[-114822001872650326989/2, -64246794512719895359/2, 27031686083897458889/2, 7501061815021943723], [133055708793260985160700733/9048079, 149678100868983579529769117/18096158, -31233454169236548727712405/9048079, -17455540107659820861618550/9048079], [150684635359849981005/166, 42160166239666830894/83, -17732143648104824862/83, -19682391106297390779/166], [-21030942267210343/9048079, 8218482422998055/18096158, 6733934682984509/9048079, -5026073504647299/18096158]]], 1, 36, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[112, 336, -48, -112]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-690, 10, -12, -22], [118, -4, 2, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [3978109482735595, 157323815693412, 139211748345067, -242115205477343], [-689835214779382, -2618830498216, 10499255602902, 2906791184015], [13, 2, -3, 0]], [[0, 0, 0, 0], [4681924858945286606149845, 3288993033832720087666533, -9615138726043625518935485, 1560254382997478766461144], [-699542138259423057310969, -738067875829005854881052, 1360780709100448750725932, -1764461007076973051120], [7310654806, 21913648445, -3130487893, -7304456744]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1168, 14, 18, 18], [84, 6, 2, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [3542268486199014, -129621352061076, 86327194164596, -131880881412107], [257460126335877, 2953643661276, -2664222980047, -1041223995974], [-1, 0, 1, -3]], [[0, 0, 0, 0], [-287172629245980366374795, 42976277383721626478450, 85669661252487369177465, -17330258728565096014638], [-20562228935566270379691, 1588524246894832853166, 6055408140968013397383, -811564919182099403079], [36921456, 110508948, -15959790, -36930663]]], 0, 10575360, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[128, 32, -16, 0]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7258/83, 2054/83, -4008/83, -244/83], [-524/83, 232/83, -304/83, 8/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [9978675091078755/9048079, 799871280261962/9048079, -1348485822738866/9048079, -2350860812160/9048079], [6203704258/83, -842873940/83, -1297735315/83, 206129771/83], [-25571494/9048079, -30664404/9048079, -26861411/9048079, 1/9048079]], [[0, 0, 0, 0], [347469540746406521355792/9048079, -229349767769067771962446/9048079, -121387692069957307933110/9048079, 77412468980416013048050/9048079], [221040115145180406/83, -190188593284017038/83, -82343281208646870/83, 60009718561007536/83], [-1025622190674324/9048079, -34640770131544/9048079, 257500205114760/9048079, -145538934087700/9048079]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [18366/83, 7086/83, -2502/83, 210/83], [1730/83, 614/83, -152/83, 4/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2438244053178638/9048079, -1730069704975144/9048079, 213769349857701/9048079, 405160250253741/9048079], [-1625650075/83, -1176971049/83, 396454057/83, 290447269/83], [-44056031/9048079, -18591481/9048079, -10462209/9048079, -5/9048079]], [[0, 0, 0, 0], [-17252860233222372679036922/9048079, -7156357894839950498992212/9048079, 4457737678824779721749227/9048079, 2028401098293474297227230/9048079], [-10861806956561732641/83, -5711072843494446236/83, 2564904427745989981/83, 1277791907865386670/83], [-357830376407259745/9048079, 7296490041076324/9048079, 128107793523807229/9048079, 21066629333174766/9048079]]], 0, 2350080, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[15, 5, -6, -2]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[512, -11, 29/2, 5], [39859/83, 2119/166, 6677/83, 556/83], [2454/83, -245/166, 467/166, 3/166], [0, 0, 0, 0]], [[6808061634609, -9146491507641, -5568423540123/2, 5807271473567/2], [119562413522869775371/18096158, -80098301914174736342/9048079, -48473599020401297327/18096158, 26236304858032907018/9048079], [33988510321535/83, -94246409658335/166, -28581207232765/166, 15100351710730/83], [-42094909/18096158, 20103903/18096158, -8482427/18096158, 1/9048079]], [[915010556784332263218388, -102687493426214309261091/2, -553192908541231124671783/2, 27381401452731750903375], [8074054254467017770428668114867/9048079, -779723020545316226741479169481/18096158, -5011752323854595040794258333997/18096158, 186558376767654540719236067366/9048079], [4477741704946480320368480/83, -480634725955410173886200/83, -1380365366904051652924800/83, 193777103297233541898120/83], [-8719273243538628651/18096158, -2606612489553529341/9048079, 1146882523123576341/9048079, 1449018765723003975/18096158]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[246, 30, -35, -3/2], [19622/83, 3023/83, -3157/166, 379/83], [2383/166, 195/166, -287/166, 1/166], [0, 0, 0, 0]], [[-7874565997/2, 10107177148, 1942611196, -2864339056], [-68837954612776239/18096158, 87829249955950563/9048079, 16675312218266026/9048079, -24878379761515718/9048079], [-19956466830/83, 50989865661/83, 9770313885/83, -14447741700/83], [-9640261/9048079, 495323/18096158, -8341014/9048079, 5/18096158]], [[-43368724171274141135955, 119045276414825077350795, 21924629733761731772565, -33728822809089851894373], [-382550676655102696453683589282/9048079, 1032242241448371659509354742808/9048079, 192320854189386896347308599155/9048079, -292282234622285870071318165059/9048079], [-221027630140550098844100/83, 599410388987199638849952/83, 111218534709812282839875/83, -169822130523570782517057/83], [-259718034711677322300/9048079, -106156268837275164660/9048079, 82644281640739018140/9048079, 38026574723621788080/9048079]]], 1, 288, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-240, -80, 96, 32]], [ -106, -9, -10, 8 ], [ -3, -4, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [129404/83, 3730/83, -11104/83, 100/83], [11764/83, 324/83, -934/83, -6/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [-22728085225470987234/9048079, -29214736911112705408/9048079, 3807562219287621316/9048079, 7492686742083810771/9048079], [-18965204271652/83, -24363553203943/83, 3174049667848/83, 6248423123107/83], [7475336/9048079, 21616325/9048079, -18378984/9048079, -1/9048079]], [[0, 0, 0, 0], [-10992054948787872684436807032104029/9048079, -18053120697587432785414187508527134/9048079, 1599410770246265035784430698058179/9048079, 4705267734170090273771214883661991/9048079], [-9169364983655083522062222491/83, -15064300755861043524609128047/83, 1333518627867175942598987708/83, 3926163674394253237943694710/83], [6286014000231430351133/9048079, 2624575144948830652969/9048079, -1936840576510248958172/9048079, -893090514892088640842/9048079]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-364386/83, -11158/83, -10262/83, 222/83], [-32960/83, -954/83, -948/83, -10/83], [0, 0, 0, 0]], [[0, 0, 0, 0], [675441187944204710465/9048079, -286871596466469029155/9048079, -401755905079591099628/9048079, -109518718760133533729/9048079], [560985274439759/83, -239178867527092/83, -335015631466557/83, -91332340227903/83], [-40910545/9048079, 1512422/9048079, 26295759/9048079, -3/9048079]], [[0, 0, 0, 0], [-1066983161633352388646756711786691748/9048079, 121174946524367002532567412447908867/9048079, 489949668757113257397153446762832711/9048079, 31142891601327514590131158006031255/9048079], [-885685995643570681685718728700/83, 102011053306763186086563100086/83, 407587598408376009453477908427/83, 25902930786249968623712181450/83], [62318209635864397184100/9048079, 26299915923860933991798/9048079, -19273485934974538633539/9048079, -8978894764180721191650/9048079]]], 0, 18800640, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[5, 13, 0, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7/2, -7, -21, -21/2], [-95, -15/2, -19, -33/2], [-13/2, 1/2, -1, -2], [0, 0, 0, 0]], [[-6939253, -16284355/2, -16862177/2, 2511788], [-425610853/2, 307580505/2, 630729361/2, -172101335], [-7184938, -17766, -939486, 693810], [-3/2, -2, 0, 1]], [[15430269619578, 82542459619130, -6569738905441, -25492689943615], [-26544066970054, 1202153534123047, 175656991709361, -377689315718724], [-1377148581106, 78844639241558, 5075029212130, -21882473175782], [4504752, 11624067, 80976, -2662296]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17, -31/2, -21/2, -5], [-195/2, -18, -9, -6], [-31/2, -5/2, 5/2, -1], [0, 0, 0, 0]], [[-16081963665/2, -7954257355, -7823732003, -241578805/2], [-70127836641, 30144299764, 48192175171, -66936851717/2], [-16000045493/2, -57009285/2, 148540073/2, -66621923/2], [2, -1/2, -1/2, -1/2]], [[-21492393296140418733/2, -37682021334410088553/2, 3163403693679936775, 11221835723030981777/2], [-77516608509963251383/2, -186557297100789888353/2, 4889608346218967775/2, 55248953257730809677/2], [-6159704266609379612, -13609353910452209792, 928047525730174946, 3658444848799371620], [1187692947, 3085300692, -20434527/2, -716619870]]], 1, 18, [], [] >,
< [ 1, -1, -4, 0, 1 ], [[-80, -208, 0, 48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [166, 0, -4, 6], [-50, 2, 6, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12, 1, 1, 0], [5, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-136949182, -373764062, -29549398, 67810750], [41868848, 108418408, -1022008, -24729320], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [184, -4, 10, -4], [-172, -8, 2, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 1, 1, 0], [5, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [43694624160, 116179570690, -4669285834, -26862577968], [-41947126092, -108852710936, 926775704, 25587323232], [0, 0, 0, 0]]], 0, 1175040, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[1, -1, -1, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7/2, 5, -7, -19/2], [5, 5, -5, -7], [-7/2, -1, -3, -5/2], [-2, -1, -1, 0]], [[540223/2, -227106, -107421/2, 67158], [285405, -503235/2, -64395, 72186], [-194725, 376881/2, 61008, -49230], [-358863/2, 163929, 100647/2, -44202]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3/2, -3/2, -1/2, -2], [53, -23, -7, -28], [3/2, -3/2, -1/2, -2], [0, 0, 0, 0]], [[435512537/2, 200006691/2, -207180787/2, -111197295/2], [94609235817/38, 23995570291/38, -45775544583/38, -20113344135/38], [4137368193/19, 3800128233/38, -3936433491/38, -1056374456/19], [-42/19, 33/38, 69/38, -1/19]], [[1034165863445755, 420145117332935, -460987838611951, -425510039403443/2], [225423761464069072/19, 35797412272874939/19, -103034934225420067/19, -65412173677467965/38], [39298299696526375/38, 7982759359563605/19, -8758767401677067/19, -4042345608040500/19], [-178013155/38, 73737715/19, 86854079/19, 4850262/19]]], 3, 4, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, -1, 1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[10, 3, -10, 1], [0, 4, 0, -8], [3, 0, 1, -2], [0, 0, 0, 0]], [[-64261355/2, -39407555/2, 22345675, 11894727], [-75077230, -30197362, 129856215/2, 32343008], [-19703779, -19570007/2, 11894731, 12852267/2], [-5/2, -1, 5/2, -3/2]], [[-5276608738847097/2, -2756822641391403/2, 3585805946900991/2, 933835231145873], [-6866345296774812, -6508313831836301/2, 11164755502280137/2, 5688616184336647/2], [-2756823019041687/2, -845401198531329, 933835292704323, 1055321564419057/2], [-107500746, 81324396, -8616582, -70175032]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, 3, -1, -1], [-320, 210, 33, -36], [3, -6, -1, 1], [0, 0, 0, 0]], [[46896128, -949643576, -33553069, -15361289/2], [394976920017/38, -817639610302/19, 141883056302/19, 96039430970/19], [-18043227908/19, 507034843/38, -291864523/38, -178205171/19], [61/38, -7/38, 13/38, 1/38]], [[116071898079157575, -21152105530542633, -200484069844851489/2, -20732087362042866], [37379368238652703785/19, -49382742834825855881/19, -47761620081220902095/38, 14850252368596041604/19], [-401889980383920177/19, 300767372194755567/19, -787819372757058435/38, -441073212696726486/19], [351761685/19, -1318323765/19, 2359789575/38, 1332622104/19]]], 3, 6, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, 3, -2, -2]], [ -790, 21, -1, -3 ], [ 68, -153, -119, 85 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6917705263, 1079870437, 4948808857/2, 27/2], [2178828657846804965/1036770341, 340119871191428600/1036770341, 779348654058607057/1036770341, 19649582778/1036770341], [-27358714988/17323, -4270814488/17323, -9785975614/17323, 1130/17323], [8212421037/35250191594, 2563957373/70500383188, 5875026489/70500383188, 1/70500383188]], [[-19053100775381885162627274, -11265232563133014502280673, 9952918155887199524379153/2, 5399648740761376300397055/2], [-24004168223121328977252397932461789/4147081364, -14192571517605751602176119679832011/4147081364, 6269623236584291579376725522597671/4147081364, 850347490300908605946960404787102/1036770341], [301411340569499297658501285/69292, 178211045166387466940443827/69292, -78725292644346943497077867/69292, -21355025363644390092066385/34646], [-11309536848990413075573583/17625095797, -1573368266682237990934125/4147081364, 11815703497226609274729591/70500383188, 6410245455292374121018437/70500383188]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [62070358/1019, -88591549/2038, 8251373/2038, 31763/2038], [2489/1019, -3553/2038, 331/2038, 1/2038], [0, 0, 0, 0]], [[-26215870995/2, -221015375545/2, -101777448053/2, -31/2], [-2558853744691471297051/39397272958, -2495741156681200074013/19698636479, -1742861242155744154219/39397272958, -259900503230324126297/19698636479], [-1564551167395/329137, -7635010855735/329137, -6659578703851/658274, -348414506545/658274], [-33559487725/1339507280572, -282926429175/1339507280572, -130287451079/1339507280572, -1/334876820143]], [[593572610572233123451321564, 205707298106133011909165420, -164310363894182765807480121, -68440863985707610034569185/2], [21540507421662158485863773259482787749/19698636479, 13114641706749853371555939146711239105/78794545916, -35553727632490510437528519435161136337/78794545916, 4970086606621171845012470918740046637/78794545916], [92924625437347013956342262171/658274, 53184182759806935597318058831/1316548, -59288932169938233029200424401/1316548, -4054350387704172849094828053/1316548], [1519689557631161715673508929/1339507280572, 526660474604342596534279091/1339507280572, -420674303011537910258072731/1339507280572, -21903147237413683388738836/334876820143]]], 4, 6, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[4, 4, -3, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[83, -3/2, 5/2, -5/2], [159/2, 4, 5, -7/2], [-7/2, 11/2, 5/2, -1], [0, 0, 0, 0]], [[-151059133107/2, 260637067873/2, 107763523387/2, -96338988217/2], [-142441594913/2, 260827923711/2, 107619730473/2, -96249603135/2], [8617538173/2, 190855803/2, -143792893/2, 89385089/2], [-3/2, -5/2, 3/2, 1/2]], [[-182292375193161597/2, 79130148921738825, 78220039268090798, -314165962849743/2], [-192433446623617797/2, 73951465661824726, 85702744241127689, 8726589419711575/2], [-5070535769295386, -10357366622165615/2, 14965410026271991/2, 9040755435068591/2], [-7723898, -14619631/2, 11456887/2, 7501039/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-91, 54, -1, -2], [-132, 71/2, 23/2, -13/2], [-4, -11/2, -1/2, 3/2], [0, 0, 0, 0]], [[97953783, -160495761/2, -47108215/2, 43060419/2], [1455248306/19, -3274021889/38, -231195095/38, 1147714185/38], [-41025155/38, -10769977/19, 29832709/19, 28425693/38], [29/38, -41/19, -7/19, -3/38]], [[517869356381769/2, -139826935942545, -176289165471891/2, 57156549297439/2], [27162363463178649/38, 2220634375483434/19, -15574182233572035/38, -5500169453118461/38], [1783498566616113/38, 473153582021463/19, -1203838280095515/38, -636879807337401/38], [-1036172487/38, -423201681/19, 726669069/38, 453212991/38]]], 3, 4, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-10, -6, 5, 3]], [ -535, 24, -1, -7 ], [ -145, 22, 29, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-25240548253/2, -10266589106, 15220599179/2, -5], [-221490768840295435/877705099, -376086032263887657/1755410198, 140160518054954233/877705099, 2621308122/877705099], [14486707/4889722, -6927983/4889722, 3484482/2444861, 5/4889722], [2600143974/877705099, 2114837293/877705099, -3135250451/1755410198, 2/4388525495]], [[-9369143428907218025008031067/2, -6505802523169950537564249283/2, 3874360634490864045168040409/2, 1243835103317274039041041451], [-159451733851573344442196950231569241/1755410198, -110776431085730839468208272502777155/1755410198, 64096457395487071806331886539326215/1755410198, 41408171319320034662276562559188003/1755410198], [11305754228369197028980403/4889722, 7784647861054820594485087/4889722, -6866100426197860217623915/4889722, -4107735011573125708802171/4889722], [965278272370722621513922124/877705099, 670274434015756385733672295/877705099, -399209591450851684985636076/877705099, -1281602679220687675228953654/4388525495]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1046929, -432793/2, 629951/2, 1/2], [233284236418701/4889722, -48219231644161/4889722, 35091806241785/2444861, 90175223/4889722], [10647913/4889722, -2200901/4889722, 1601717/2444861, 3/4889722], [0, 0, 0, 0]], [[-1164751097031852762303, -37491579760616304579, -530394985853182364255/2, 153985261791677889052], [-1770306565909947357424502130581505/33352793762, -56977878854578538121728513054753/33352793762, -403066699220238586525790933131721/33352793762, 234040267112098545608731204019809/33352793762], [-112539004709657192790812/46452359, -3622068280494247548024/46452359, -25623174562177959981793/46452359, 29756093926064742498669/92904718], [-34052286740/16676396881, 51136753336/16676396881, 40718878907/16676396881, 1/33352793762]], [[-49937759772755353041742147239848573613019/2, -45327704947447926928273771363441378184560, 7776913646615442628935192443086464440660, 15993165118981023208531316519064054195981], [-2781837944079896382726706108230859649144400627642/2444861, -5050080016015770220749228348594004842726759649267/2444861, 1732881452756389355957203709540073119880805187401/4889722, 3563679123380574634658680030073086554234492225603/4889722], [-126972792135881603388908408249234143349635/2444861, -461007025862520643976703112019426464351555/4889722, 39547364462446155930296222440050982269079/2444861, 81329468646184108084969405208664040245337/2444861], [561879578459124333218018535/2444861, 706614459309645780233642247/4889722, -254592958014526732683642539/2444861, -760588941090776232764626553/12224305]]], 4, 6, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[6, 5, -3, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-109/2, 1, -2, 1/2], [-107/2, 13/2, -1/2, 2], [1, 11/2, 3/2, 3/2], [0, 0, 0, 0]], [[-26126520779/2, 28799969086, 6991175827/2, -13744391237/2], [-32963981405/2, 29017482472, 7470435337/2, -14114615435/2], [-6837460591/2, 217513386, 479259503/2, -370224219/2], [5/2, 0, -1/2, -3/2]], [[-52303995794818959/2, -24363622833027165, 7525337530787829, 13718686052142377/2], [-39820742647145055/2, -19365114442885335, 5677231783494345, 10813106333153321/2], [12483253174011341/2, 9997016801835645/2, -3696211507545305/2, -1452789863665317], [3762491/2, 3078855/2, -1851191/2, -595827]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-185/2, 215/2, 1/2, -1], [-29/2, 116, -53, 21/2], [4, 7/2, 3/2, 5/2], [0, 0, 0, 0]], [[-131969708281/2, 49433379281, 14349520636, -25311744191/2], [-2898233761587/38, 900230010856/19, 289867487363/19, -413221260647/38], [-100948323887/38, -68828810977/38, 10709562095/38, 7895724034/19], [-3/38, 67/38, 147/38, 2/19]], [[24181848754504660262, -9231032178102083606, -13907309927572690613/2, 2300030520424028529], [605021943964031344252/19, -110585437248259452266/19, -339120145704402475571/38, 25736541893946104234/19], [57547396335240221756/19, 42141962357770865596/19, -36039358550239495445/38, -12863249471864499213/19], [-150116652916/19, -97044075476/19, 116969824351/38, 36730700871/19]]], 3, 4, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[5, 1, -2, -1]], [ -605, -14, 1, -7 ], [ 348, 391, -348, -205 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11285259119, 16826847578, -27232944511/2, 2], [36176696370753413707/2725433918, -26866168354279446223/1362716959, 43457731271366896515/2725433918, 1792017536/1362716959], [247733973339/1263005962, -365361251389/1263005962, 147604994023/631502981, 51/1263005962], [-20621094362/25891622221, 30624438418/25891622221, -24768091481/25891622221, 1/51783244442]], [[-15657261257382568164949150997/2, -6716418705640563454156666255, 2169964465569389456433323086, 1861430289086430103235134932], [12540487985071886909775400331525062101/1362716959, 21517244972803099861868121945360552515/2725433918, -6951973497343448252358409090708501129/2725433918, -2981689948209267858062746775425819547/1362716959], [85783095680777973853467094466/631502981, 73591267730278045684670234555/631502981, -23777143696716375034746271541/631502981, -20395120897532094191727239262/631502981], [-14296163565138886411033196475/25891622221, -24529655312528420116628060325/51783244442, 7925252098676889869494674375/51783244442, 3399125244010708251008040705/25891622221]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[35775487778, -15371801099, 24248018544, 1/2], [78848018959514007682/1362716959, -68026340069163815809/2725433918, 107551500447654235131/2725433918, 8400174005/2725433918], [392578772714/631502981, -168202228103/631502981, 529784627275/1263005962, -27/1263005962], [130380145253/51783244442, -28119163457/25891622221, 88910174063/51783244442, 5/51783244442]], [[7012365741347669342635997631851/2, 984617043745674022840821033102, -1883271500612470201492695446067/2, -441501032340568070717771037115/2], [7749323212169201886001172978180814372942/1362716959, 4348643760835882761148869651176290035111/2725433918, -4162133607826135462602622937789150044337/2725433918, -487194130074673956800744431052083635258/1362716959], [76793926430253888019672408591509/1263005962, 10789411663331389612337358742188/631502981, -20625004661921128253286216853893/1263005962, -4840009011072501950086827456747/1263005962], [6406623634416749095795094800995/25891622221, 1797616112072930051669964623265/25891622221, -1720489380236251913269092710495/25891622221, -402791636600843294975287244487/25891622221]]], 4, 6, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-1, -3, 1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-327/2, -7/2, -5/2, 0], [-166, 1, -1, -1], [-5/2, 9/2, 3/2, -1], [0, 0, 0, 0]], [[55637592658, -128792152768, -99237093147/2, 87723738325/2], [57476927134, -128800557682, -99401662425/2, 87780740719/2], [3678668947/2, -16809823/2, -82284634, 57002399/2], [1/2, -1/2, -1, -1/2]], [[-2521187184534105/2, 2777579101641415/2, 988597298214595/2, -481671107133013], [-2584307722810791/2, 2815705409484277/2, 1004575759696033/2, -486011409718381], [-31560269159118, 19063153854206, 7989230763569, -4340302563943], [4155, 13445, -4570, -4285]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-133/2, -52, 1, -1/2], [-89, 43/2, -49/2, -19/2], [5/2, -13/2, -3/2, 0], [0, 0, 0, 0]], [[-101701815/2, 85266176, 3293032, -31300313/2], [-159262945517/38, 135113042267/38, 46022811181/38, -19146333619/19], [9753516343/38, -8150201767/38, -2805546833/38, 1159149132/19], [75/38, -49/19, -23/19, -5/38]], [[6470967167759, 79788671089449/2, -5855234657856, -10607953809765], [-20025013700711669/19, 35346787356341245/38, 5676033969900957/19, -4999036954707849/19], [1277254141139839/19, -2055968622662181/38, -366944841897816/19, 288423243372189/19], [-70927441/19, -134355351/38, 37709724/19, 26315835/19]]], 3, 4, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[5, 2, -1, 0]], [ -410, 36, -1, 3 ], [ 5, 7, -6, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1505524586, -2330889149/2, 4279241965/2, -21/2], [352117761560229216/286791419, -545157133762445723/573582838, 500422617196609280/286791419, -2950786471/286791419], [-1836045949/2, 15634356385/22, -1304675626, -10/11], [-122403063/573582838, 521145211/3154705609, -86978375/286791419, -3/31547056090]], [[4480111985270448707905, 2790582115005023877288, -3815471122695455032703/2, -2268100249784229724501/2], [1047825470768494758695636063347/286791419, 1305343718483829965680592836219/573582838, -892376761551247243157786993643/573582838, -265235915964919596343096505634/286791419], [-30050192425576748434377/11, -37435461369860154037749/22, 12796068718595989487286/11, 7606601052397312675758/11], [-2003346160015297335550/3154705609, -2495697422971045464535/6309411218, 853071247138736882880/3154705609, 507106736430620843023/3154705609]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-145/2, -4, 62, 11/2], [-47, 5, 28, 79/2], [1, 1, -3/2, 5/2], [0, 0, 0, 0]], [[23269808095/2, 271946495833/2, 17047217641/2, 47884391/2], [-3177630919354795737366/5449036961, -73883410043925766478699/10898073922, -4602271832215678809755/10898073922, 482356082492979529/10898073922], [-4558386289224/209, -52997453285736/209, -3301283992846/209, 381961190/209], [17531524764/59939406571, 407670440071/119878813142, 25399082047/119878813142, 2/299697032855]], [[-24147535, -103814365/2, 7418422, 30771975/2], [13118550189608964349/10898073922, 28199440582350072075/10898073922, -4030181189755995015/10898073922, -4179346859246618062/5449036961], [9410099920/209, 20227810980/209, -2890899310/209, -5995795416/209], [-36192692/59939406571, -77799273/59939406571, 22237687/119878813142, 115303758/299697032855]]], 4, 6, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-4, -3, 2, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-87, -9/2, 1/2, 3/2], [-153/2, -93/2, -13/2, -2], [3/2, -6, -1, -1/2], [0, 0, 0, 0]], [[8249923223/2, 250765892295/2, -1130629495/2, -52361481479/2], [135952821855/2, 119287627220, 1640900325, -22436341064], [18243271237/2, -870759850, 315173585, 534914240], [3/2, -5/2, 5/2, 1/2]], [[-24148447424693878832, -18080235995713926132, 7047506456077338335, 5561952911825242653], [-78345421198186890853/2, -31024799851110630089, 12589883651420228825, 18985011559612695779/2], [-4292646623447929635/2, -1849223408720246405, 791768171303266965, 1123015105632810161/2], [-852020792, -627224542, 419997585, 192636703]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[83/2, 97, 8, 5/2], [-43/2, 79, 47, 29/2], [-1, -4, 1, 2], [0, 0, 0, 0]], [[-5615572317, -6418676211/2, 3614748513/2, 886048128], [-208078885425/38, -114562269177/38, 68340960897/38, 33384866985/38], [542879946/19, 146332323/19, -6617151/19, -68519085/38], [35/38, 43/19, 45/19, 2/19]], [[116833880073234264, 27638461639238769/2, -34703228905700764, -2961398436333985/2], [2182479963910241163/19, 238870320295152879/38, -625266465716792614/19, 16776287839047905/38], [-29136528677847882/19, 21126137034801633/38, 6920989269774822/19, -3336449848544085/38], [-3094868106/19, -1743503751/38, 849514996/19, 1132786963/38]]], 3, 4, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[15, 14, -7, -6]], [ -535, 24, -1, -7 ], [ -145, 22, 29, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[17222987953/2, -11523379609, -3043323939/2, 1/2], [398605143127527309/1755410198, -411757590209673997/1755410198, -61205758313782787/1755410198, 982500418/877705099], [52393009/2444861, 2282221/2444861, -3765530/2444861, -2/2444861], [-3543791719/1755410198, 2373976295/877705099, 313318761/877705099, 1/4388525495]], [[-17055796304710237164300967/2, -14565925016373495003987065/2, 3757238809847589023857338, 2855830478468806080771571], [-222429669352395079162694324734875/1755410198, -198178264542829876388690226296639/1755410198, 52979645941889681778253381219696/877705099, 41128464867793077841796038011068/877705099], [50666751621390550548879/2444861, 38378090945725145648973/2444861, -35169713896850948901159/4889722, -12343180371686280155214/2444861], [3517699214909733428662465/1755410198, 3003775475917582422906199/1755410198, -1549451240198379085576143/1755410198, -5888178695231908370666109/8777050990]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-16413669/2, 689157, 221054, 3/2], [-1828695781651619/4889722, 153565910337191/4889722, 24629767727788/2444861, -34038298/2444861], [-83468279/4889722, 7009303/4889722, 1124192/2444861, -2/2444861], [0, 0, 0, 0]], [[46089131030085421735/2, 49780600763321102059/2, -22068851347499598775/2, -8681472977805160913], [35025037703202445253548686667729/33352793762, 37830465382494873573667560778777/33352793762, -8385511116580130885506187408360/16676396881, -13194845075339329547860259364733/33352793762], [4453117615718807216083/92904718, 4809802373450574955005/92904718, -1066142109651959527009/46452359, -1677605530111472856315/92904718], [71160055665/33352793762, -5107379685/33352793762, -95167720637/33352793762, -2/83381984405]], [[-226799378899741211168318611601866011775/2, -214250113946161137002753783955597985887/2, 25600005207481262215007342924317066201, 53273544918692249475652547299620124961/2], [-172354945367174727370783580477030189203540476368681/33352793762, -162818200327683065214172143024317184534972904039523/33352793762, 19454612897407635210053470720149590622840829509504/16676396881, 40484969398193681400424338145212163265372854182035/33352793762], [-10956688020717724604533785754631388148172/46452359, -20700865003646053931501201205648196061731/92904718, 2473478447253938827189775427863788361310/46452359, 2573649257771245661493225148833521373130/46452359], [532583533430670242202551356267/33352793762, 178879028398813469579724854554/16676396881, -204900882053680487350762457479/33352793762, -632147164093393461034543563633/166763968810]]], 1, 120, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-14, -8, 6, 3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[142, 7/2, 5/2, 3/2], [28, -3/2, 5/2, -1/2], [114, 5, 0, 2], [0, 0, 0, 0]], [[-1662389199288, -116275846601/2, 131054780733/2, 3703519145], [-662127824849/2, 15366363591, -6571008803, 7146885520], [-1331325286863, -147008573781/2, 144196798341/2, -3443366373], [-1/2, -1, -1, -2]], [[40668216124877423383/2, 55940889692553962511/2, -13563818143306855917/2, -8758857318006640946], [3378433119074811552, 5654533959853964055, -1090721930081348889, -1780278772402240086], [33911349886415331111/2, 44631821772666603171/2, -11382374283010125669/2, -6978578545570669206], [156234584, 89715615, -67016235, -33731654]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[171/2, -207/2, -1/2, 2], [1263/2, -72, -4, -3/2], [-78, -9/2, 1/2, 1/2], [0, 0, 0, 0]], [[-71881250747023/2, 4072923195559/2, -657996739819/2, -469585365373/2], [6096753634105590/19, 8112745662423536/19, -1548707675318699/19, -3718138604429893/38], [-968517930884970/19, -1153436127437214/19, 220350958041744/19, 529888068926751/38], [-39/38, -41/38, -27/38, -5/38]], [[48141416272400314712934, -381665505598319498128, -19770726912512004560222, 1264871406482283426284], [-4390130405126905804722256/19, -12169152883229917811017847/38, 2337306169396526616091943/38, 3812616955681286501379651/38], [757831044898289012512200/19, 1736378513429203156440801/38, -441227684579996218840977/38, -537793120318672082035053/38], [59034349914/19, 33695508092/19, -25259276042/19, -12609126436/19]]], 1, 30, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-15, -3, 6, 1]], [ -410, 36, -1, 3 ], [ 5, 7, -6, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6580155383/2, -12514403985/2, 1463223739, -1], [1538991550308842669/573582838, -2926915938354360809/573582838, 684448563505606539/573582838, -2037338403/573582838], [139764503874/11, -265809748619/11, 124317270801/22, 87/22], [-1471205300/3154705609, 2797997354/3154705609, -1308602851/6309411218, -2/15773528045]], [[-888006875039601913765/2, -2244614042713307297057/2, 133934151553583819175/2, 313850468239200531635/2], [-207690378543362418580579463317/573582838, -262489387516059512729189425463/286791419, 31325022029113513578668360849/573582838, 73404527205929845453626227639/573582838], [-18861535437022978121534/11, -47676284555297095845361/11, 2844802116941831034949/11, 13332558679312363294373/22], [198542480127954640210/3154705609, 501855628388999278511/3154705609, -29945285742177674219/3154705609, -701713617874159564583/31547056090]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, -4, -1, 11/2], [-121/2, -37/2, -15/2, -1/2], [3, -5/2, 0, -1], [0, 0, 0, 0]], [[-54790887679, -501382916335/2, 156084892, 483303171/2], [16821243061381482757063/5449036961, 77598419632309578330141/5449036961, 126162740788661614280/5449036961, 85890432284888420959/10898073922], [13838816684461/209, 127262511863291/418, 66140426519/209, -3361588474/209], [-81972070637/119878813142, -187362192652/59939406571, -416890033/119878813142, -1/119878813142]], [[1130215541245777882043323879, -1304745014087507103036490217, -463439766669426488686555651, 402189346708133965126479955], [-350380641483318705755566237747573773745/5449036961, 404441029636102512463410784342298274414/5449036961, 143775707902241750194644203515143498868/5449036961, -124650273037600501165284541713534600549/5449036961], [-286954958185144395805969829720/209, 331341527321263179247174488640/209, 117725503731082242401291974105/209, -102117806033571972810253665077/209], [843499825946849710919912029/59939406571, -974800311640062144655404105/59939406571, -346209256006745459405879421/59939406571, 1502054768210993088837014371/299697032855]]], 1, 120, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[1, 3, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, 3, -1, -5/2], [-1/2, -1/2, -1/2, -1], [-2, 7/2, -1/2, -3/2], [0, 0, 0, 0]], [[2995/2, -4067/2, -1637, 2363/2], [3027/2, -4051/2, -1617, 2323/2], [-22, -11, -55/2, 55/2], [-2, -1, -5/2, 5/2]], [[260029799605637/2, 77878004549789, -100870875014435/2, -32111500137517/2], [259112089090205/2, 76493850385253, -100873469353835/2, -32116332344677/2], [1261851958719/2, 1903211976237, 3567216675/2, 6644284845/2], [114713814429/2, 173019270567, 324292425/2, 604025895/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, -61, 2, -2], [13, -115/2, 7/2, -9/2], [-9, -7/2, -3/2, 5/2], [0, 0, 0, 0]], [[-2264336110, 3409625509/2, -1171927983, -1171588613], [-42218696287/19, 90845997679/38, -22298930850/19, -24938691650/19], [-803691273/19, -13031555480/19, 64596695/38, 5357015765/38], [-40/19, 32/19, -51/38, -1/38]], [[-656798103422009/2, -40443610625913113/2, -12834964536056401, -3634170800133919/2], [201766795978952991/38, -623011241546303037/38, -263119973172006375/19, -102466686433173273/38], [-214245968717842115/38, -145417383405878277/38, 19255646140725278/19, 33417441396178991/38], [-235734809/38, -597753863/38, 8742074/19, 2584151/38]]], 1, 30, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, -2, 5, 3]], [ -790, 21, -1, -3 ], [ 68, -153, -119, 85 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6711140701/2, 14799321919/2, 4657697639/2, 15], [-3528134618264513437/2073540682, -15560262058116636137/4147081364, -4897185344346278855/4147081364, 77845577175/4147081364], [-284155330738/17323, -2506464887081/69292, -788843914773/69292, -3341/69292], [1991798991/17625095797, 8784579419/35250191594, 1382357733/17625095797, 1/35250191594]], [[-25094408135428690947754869/2, -29250386911214582038092765/2, 6957079669526557640254706, 6106381634064000130495025], [13192433220525908382454043444080511/2073540682, 30754304674717047265368568325640425/4147081364, -14629650680353245737437529524768799/4147081364, -12840695813032532219932659838818919/4147081364], [2125036986761024373377431777/34646, 4953948616732097580012803315/69292, -2356549659923009545746541031/69292, -2068396480872046669980381327/69292], [-29791070272895920572609271/70500383188, -8681220238210488644288327/17625095797, 4129582337506561186077154/17625095797, 14498500528474179115560151/70500383188]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [171531/4, 10995/4, 2935/4, -3/2], [-167/4, -11/4, -3/4, 0], [0, 0, 0, 0]], [[128518721405/2, 43712765294, 44679493001, 13], [-183412808741609199915090634683/39397272958, 915698042367052330713969542211/39397272958, -105482643981362886514254819081/39397272958, 1024907761439568562991667010/19698636479], [2975381644720172911829/658274, -14890916233347439438639/658274, 1700177745964714176327/658274, -20585201363704126349/329137], [164519517455/1339507280572, 111915259869/1339507280572, 6728842161/78794545916, 1/669753640286]], [[199846516973458441912411254472, 106474310153100375943375575808, -86781841176272710193576256088, -44948400881699757737992391648], [254067229258131333123382497320113744881882046863/39397272958, 1806226042937416861166811059246881536340450506281/78794545916, -342804905004085078031396373533483922835733529837/78794545916, -640239301673713458158419426387737599043871273523/78794545916], [-2093332699393054619400295771507590184930/329137, -29433352721815112940169986272965854113199/1316548, 5628115714003070862117280837793116142233/1316548, 10440261363041835348699439736984419487485/1316548], [127913864081700458670551052688/334876820143, 68150001524045140432081806124/334876820143, -55545629738063920124757857964/334876820143, -28769696502534247493186822820/334876820143]]], 1, 120, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-11, -10, 7, 5]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[184, 5/2, 1/2, -9/2], [93, 2, 0, -2], [91, 1/2, 1/2, -5/2], [0, 0, 0, 0]], [[1911011596424603/2, -29124599066855/2, 8271030016241, 25041478116010], [960945028290003/2, -6919820335667/2, 4884445413912, 14011918526814], [475033284067301, -22204778731191/2, 3386584602327, 22059119178397/2], [-1, 3/2, 2, -5/2]], [[219901882508637136463570348, 317981381926950745494408687/2, -149087760658989848497785841/2, -51028596287387864817218494], [112455085445423862593372814, 162980456512447804089373623/2, -76477431495508690843320585/2, -26212245156499743323127708], [107446797063213536191683741, 155000925414503419998360483/2, -72610329163481491219042701/2, -24816351130888240915459446], [-262321486207, -478593325419/2, 333564577445/2, 119421368660]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[117/2, -17/2, 5/2, 0], [440, 81/2, 33/2, -21/2], [109/2, 7, 2, -3/2], [0, 0, 0, 0]], [[4475807667/2, 39162536602, -469591455, -13257290247/2], [3113442989893/38, 5813082577778/19, -111805759437/19, -1953545619217/38], [216314475320/19, 1448284104053/38, -29395290787/38, -243093872045/38], [21/19, -105/38, -17/38, -5/38]], [[-201204335821602168977/2, -216332327408680960819/2, 51923066881130481404, 87294878624927658599/2], [-40236670376759949323979/38, -36728063870961122105793/38, 10135599416244806024828/19, 15202653891944084370569/38], [-5201969707693852238573/38, -4659678506919955603491/38, 1307008732793778614956/19, 1934864450753180961189/38], [579814614715/38, 527533066645/38, -184649664580/19, -263825323617/38]]], 1, 30, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[10, -1, -6, -2]], [ -605, -14, 1, -7 ], [ 348, 391, -348, -205 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-12286950799, -11739680859, 23472280070, 1/2], [-262091335760315546/33236999, -525423366621567725/66473998, 525431393243377291/33236999, 4549729/33236999], [-2269343879/33236999, -1589125934/33236999, 3570014214/33236999, -531791981/66473998], [1, 1, -2, 0]], [[-4322011430220358936148694437, 39366728873296110957243317513/2, -1261887521200579320054866117/2, -15407394609560164649457126111/2], [-3737255157721158462774493477976668353/1362716959, 37191441065403841101181181381636730547/2725433918, -1336810798027252001693641410386018147/2725433918, -7237839442652260707212106299599875223/1362716959], [-48722300715471552830152595281/1263005962, 93439815139498778276599326527/1263005962, 3869435355450784623896392136/631502981, -36922408162580278803826543839/1263005962], [18020024031750168902351959095/51783244442, -89276030075393920228436775705/51783244442, 1596330644318749949354349960/25891622221, 34757122481527283621246717229/51783244442]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-22342053018, -25665438927, 22850056913, -5/2], [-10825715989365284462/1362716959, -14008764429929311035/1362716959, 25128763660472283815/2725433918, -2188514787/2725433918], [18959006403/1263005962, 64115324761/631502981, -69803925921/631502981, 4942411046/631502981], [88215922381/51783244442, 56516060639/25891622221, -50659713702/25891622221, 1/51783244442]], [[-1124384317550260096436480127201/2, 2524614538880630017366366910112, 3317270972023285216484765872, -1804838035713730569243101529117/2], [-339343016270769923017351508012688384337/1362716959, 1434610867082911970050402178522803475877/1362716959, -27401182913086805714238418287556132329/1362716959, -1060466639822700519797906705317298050101/2725433918], [196035042127523476893730041309/33236999, -470198537934688029977775017001/33236999, 61573085882668717345741687469/66473998, 397244754365923934651952289557/66473998], [143025263996953976756190804807/2725433918, -607345117050805221391288800615/2725433918, 5331497771989503871806579642/1362716959, 223917233290816673037233242413/2725433918]]], 1, 120, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[1, -4, 2, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[67/2, 5/2, 1/2, 0], [-84, -5/2, -3/2, -1/2], [235/2, 5, 2, 1/2], [0, 0, 0, 0]], [[-57122899638265, 30276582249/2, 1565162767225/2, 1425759615737/2], [143491550558641, -12672699062031/2, -2558591553755/2, -1902014041559/2], [-401228900393811/2, 12702975644277/2, 4123754320977/2, 1663886828649], [-1/2, 3/2, 3/2, -1]], [[1894783876355130342181/2, 15320536293969898824909/2, -8444276268619946007103/2, -8264436393325319325183/2], [-2459905149628418639825/2, -39311369420106646791705/2, 20007998568812079014531/2, 20670133423371686115075/2], [4354689025983487076721/2, 54631905714076825914489/2, -28452274837432169038659/2, -28934569816697147337603/2], [61905285/2, -280297875/2, 144017025/2, 141897345/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-261/2, -155, 0, -5/2], [-527/2, -359/2, -21/2, -6], [19, 7/2, 3/2, 1/2], [0, 0, 0, 0]], [[-18327098206480, 5741966588645/2, 246229192778, 123065828455], [154785849016916/19, -1131557559989281/38, -115857985134774/19, 147292891901981/19], [-143714489986159/38, 177236417880685/38, 17219477113199/19, -41415611758681/38], [91/38, 83/38, 41/19, -1/38]], [[2349446510373969867564257/2, -990463229972751286105276, -223361062499047410127080, 559824380040645381595741/2], [-51275831180274646611003789/38, 22863690289803884094015128/19, 9127341549619793323547044/19, -11293636845356082347883857/38], [6851093919992508065859330/19, -5954641665741820123015022/19, -1910171676763300108586488/19, 1566450004749406325501070/19], [-963960786914/19, 2949041759954/19, -1324732085100/19, -1416796687702/19]]], 1, 30, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-5, -5, 3, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, 30, 1, 1/2], [15/2, 47/2, 35/2, 4], [30, -3/2, 1/2, 1/2], [0, 0, 0, 0]], [[-1079147261, -139145063, 312303363, 59368565/2], [-2367885679/2, -960189331, 324516691, 263577379], [-139145055, -1533687805/2, 59368565/2, 215829465], [3/2, -1/2, 1/2, 5/2]], [[-377726219895/2, -1335034399295, 58767435666, 740683373741/2], [-3231682587325/2, -2888648812069/2, 914502726017/2, 404747187186], [-1335034266815, -260191224915/2, 740683214765/2, 75545167435/2], [29440, 14720, -17664, -8832]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, 5/2, -7/2, -1], [690, -33/2, -3/2, 11/2], [5/2, -6, -1, 1/2], [0, 0, 0, 0]], [[-34767835475/2, -285449635208, 95836950873/2, -10946995923/2], [148434980986120/19, 679303405556446/19, -194138541954729/38, -111433989736113/19], [-10847086142775/38, 1160313197595/38, -103996460565/19, 66058887195/19], [-25/19, 59/38, 9/19, -3/38]], [[-3029777025280516743/2, -1263728008758997637, 759480109821063067, 917028527240016611/2], [4712557162405714355589/38, 4464266695959366128497/38, -1850531836655197980907/38, -691890297969867304719/19], [-24010832159247784950/19, -28705519292113636275/38, 17423542008527946675/38, 11513152689868593375/38], [124343691/19, 113295088/19, -72278483/19, -47615882/19]]], 1, 10, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-10, 0, 7, 2]], [ -790, 21, -1, -3 ], [ 68, -153, -119, 85 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4596695550, -1929631297, -3493266329/2, -11], [5175953213594644504/1036770341, 2172796020784718299/1036770341, 3933474352880355517/2073540682, -18810129897/2073540682], [221897175925/34646, 46574778223/17323, 84315621771/34646, -609/17323], [-10914023605/70500383188, -1145390274/17625095797, -121972501/2073540682, -3/70500383188]], [[-21877725154310279323344, -16827239782616234197728, 6832898124953786211843, 5007780745545799823463], [98538685577601403683717722399827/4147081364, 75790973657418590461956041270811/4147081364, -30775814009183240531270160589215/4147081364, -5638841894641050871208512435303/1036770341], [2112216205999812909468365/69292, 1624609935788260864803171/69292, -659691911312021923321475/69292, -7110049410704389294284/1019], [-12986176971449329479393/17625095797, -1175095362909288914535/2073540682, 8111741382066093489129/35250191594, 5945035555991995889481/35250191594]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-197935721/4076, 7260906/1019, 16869769/2038, -13769/4076], [-24105/4076, 1763/2038, 2051/2038, -3/4076], [0, 0, 0, 0]], [[-35549934257, 72376831015/2, -22947184435, -5/2], [247494088718040004762982410/19698636479, 3847388757603626020911091/78794545916, 55834673539783389804680607/78794545916, -43728376024792888180637531/78794545916], [501231147118345155/329137, 3892881213495241/1316548, 7159072184427387/77444, -84965689543793923/1316548], [-91016436577/1339507280572, 46325551561/669753640286, -14687586635/334876820143, 5/1339507280572]], [[1116293996585576900195550022701, 1769091595458210159123206028819/2, -1020861741293180795540623790529/2, -692493032587468395776806563663/2], [-9147955656564588033144161968839166135540721694/19698636479, -7343661706550500281754559641897352900555235566/19698636479, 6859042004130502920228436250038605341222487511/39397272958, 2494791470508511396808958500475082432910826199/19698636479], [-37458278603070409913702182623992392515/658274, -30023482928800989617420277687719089779/658274, 7049820002793606415778740708461188583/329137, 5116296089823501161903957718151975239/329137], [84058318536314234680281477549/39397272958, 566162836654988540754923369439/334876820143, -326706644644930116265065029766/334876820143, -221618722668226003916176817658/334876820143]]], 1, 36, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, 5, 3, 0]], [ -535, 24, -1, -7 ], [ -145, 22, 29, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5272665173/2, -2482275649, -3691669497/2, 15], [-546619948941602231/1755410198, -258522894276211174/877705099, -188219530771914433/877705099, 6319298277/1755410198], [-3838794/2444861, -5052362/2444861, 1124192/2444861, -2/2444861], [6170646705/1755410198, 2904698168/877705099, 4322148629/1755410198, 5/1755410198]], [[7361244299881274242147496, 1322025702395864606428387/2, -2083255060729293061754208, -777943241363524171808209/2], [1507482798064230389364541570189815/1755410198, 74140546420580633200250744507314/877705099, -427478952391305387551055017755709/1755410198, -83066762388559492636245616707287/1755410198], [-699155253982623474925/2444861, 15557211414077242541865/4889722, -322254850582132685895/2444861, -4067816894303378719449/4889722], [-8617557893075178829672341/877705099, -772020133617697443723516/877705099, 2438675991429385815842739/877705099, 909758227409562440111759/1755410198]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[103339/2, -977533/2, -851019/2, -2], [5756278848900/2444861, -54454963846513/2444861, -47406707219706/2444861, -2349983/4889722], [262732/2444861, -2485521/2444861, -2163813/2444861, -1/4889722], [0, 0, 0, 0]], [[-49325571782852347/2, 55106676934447667/2, 4247534952526020, 6355167771746293/2], [-37486378541941230282886597217/33352793762, 41879672389614046099446214347/33352793762, 3228074840058523175946987943/16676396881, 4829066582764423591813639997/33352793762], [-2382925221848016001/46452359, 5324451961917365723/92904718, 410392071485221259/46452359, 307010322481029402/46452359], [20873354749/33352793762, 13353708802/16676396881, -27520113989/33352793762, -3/33352793762]], [[-1576586460140198690423401070079, -2181064499940679289163854037679/2, 361928486825489465963267837723, 297075116557782998861398443185], [-2396242365023100635425118820713355346249147/33352793762, -828738592887846036614204035079574343773380/16676396881, 550093208514480595751424628092868254663981/33352793762, 451518452959095938778920568366642398466053/33352793762], [-152329946885174476621568078996956/46452359, -105367180917368983526024076368247/46452359, 69939185529801797446159232694673/92904718, 28703399668970627594893151562968/46452359], [-635329184432912989546780/16676396881, -447924267947380502386185/16676396881, 318016856238123720630007/33352793762, 141788791262367365874428/16676396881]]], 1, 36, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[5, -5, -3, 1]], [ -605, -14, 1, -7 ], [ 348, 391, -348, -205 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17372806315, -1040256190, 16694340861/2, -2], [24348058627186179625/2725433918, 708116543032371218/1362716959, -11772414912375764697/2725433918, -3790333839/2725433918], [-959644440600/631502981, -56307450124/631502981, 463127949280/631502981, 15/631502981], [76752832515/51783244442, 2227541236/25891622221, -37126929621/51783244442, -5/51783244442]], [[-10719864878753342602323109/2, 11675569364731192552019437/2, 4000625957450350481593849/2, -1677060934076155617109337], [7499360829002667206411220368505517/2725433918, -8103033510987298554183814402890143/2725433918, -1405186626251029038475426995852911/1362716959, 1163731490529615589270550074543665/1362716959], [-591448987057249762567209785/1263005962, 640582789959370976411205635/1263005962, 221371447927689114351831435/1263005962, -184005185175368297264275565/1263005962], [23637550187074279420309931/51783244442, -25525731466461192660463349/51783244442, -8860742185674321306693633/51783244442, 7331766632814486709662563/51783244442]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-27962675113/2, 5310027225/2, -19373596161/2, -1/2], [-60240755655816692763/2725433918, 5875519413137083961/1362716959, -41990829564270774805/2725433918, -836499517/2725433918], [1531524680735/1263005962, -301273359403/1263005962, 534802047720/631502981, -88/631502981], [30701133006/25891622221, -11970907355/51783244442, 21397499261/25891622221, -2/25891622221]], [[-5877455194068765168862802413/2, 2255066989849868514135188164, 1520378238036106839234268554, -1850758699189075275960381095/2], [-6370526531540160522089339033444711949/1362716959, 9768772620352283176503066045241583973/2725433918, 3295527676613077404480334113785198287/1362716959, -2005400504161500582941543202499368449/1362716959], [162280601207865537311449270640/631502981, -248780186345105968605954095459/1263005962, -83946532365099339430903382842/631502981, 102159755689746966505397117551/1263005962], [6492506350394738021194012631/25891622221, -9955996348174364553523961063/51783244442, -3358635804585341722234471135/25891622221, 4087624532895250262481054079/51783244442]]], 1, 36, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, -5, -2, 1]], [ -410, 36, -1, 3 ], [ 5, 7, -6, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-8504881347/2, -12344432569/2, -282100895/2, -5/2], [-126598947367738997/286791419, -367504728870135617/573582838, -8398386348157367/573582838, -233717608/286791419], [-25137094467/11, -36485302963/11, -1667560187/22, 51/22], [-12568547239/6309411218, -18242651487/6309411218, -416890033/6309411218, -1/6309411218]], [[-3385524317234266439124595/2, -518402188051944638571119/2, 983643985821891859107775/2, 100686528002229798738940], [-50395033348359258770640694587013/286791419, -15433295814925170735905804834289/573582838, 14641977657502735468575983234417/286791419, 2997527695446162576006533360541/286791419], [-20012565040239293230965139/22, -3064387387548000132977911/22, 2907265971296982641976920/11, 595179822403552123890089/11], [-2501570635742223877460360/3154705609, -383048419725886903265760/3154705609, 726816494308647980605820/3154705609, 148794954699768189343980/3154705609]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 9, -10, -15], [77/2, -9/2, -83/2, -10], [-1, -3/2, -5/2, 1/2], [0, 0, 0, 0]], [[-47512523963/2, 5336434155/2, -3253414923, -325350123/2], [3357071366111987546163/5449036961, -660690657324261335751/10898073922, 396399583097620920282/5449036961, -1664716997153830250/5449036961], [-3758100237519/209, 376717292531/209, -908507739707/418, -3016369064/209], [147833546613/119878813142, -14675568937/119878813142, 8798890491/59939406571, 3/119878813142]], [[-5617400403502968729193/2, -10206844999877085198331, 738651745208700411349, 2535132207805160459148], [394978823571831118717554828114322/5449036961, 2827970419911926434691275486438839/10898073922, -105752588810957538671459431526475/5449036961, -352405971252267692085540386758706/5449036961], [-40299437167673003269659/19, -3175733134982972305857685/418, 10752060191336520483640/19, 791070186325004062695071/418], [1581426693881694065193/10898073922, 62330323696528144480735/119878813142, -422916429364156634955/10898073922, -15531645086479892748071/119878813142]]], 1, 36, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-10, -10, -2, 1]], [ -535, 24, -1, -7 ], [ -145, 22, 29, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[290458693/2, -1109290179/2, 2838680401/2, -21/2], [-14452603729212104/877705099, -62002519844137116/877705099, 147374228840064594/877705099, -5313350361/1755410198], [-35621987/2444861, -12549585/4889722, 4693245/4889722, -2/2444861], [-178212121/877705099, 647847505/877705099, -3322004003/1755410198, -1/1755410198]], [[-202420828505839355515306171, -162980543862198026534249710, 13652905658913548017800296, 56468417674060418552861763/2], [-15173700150945275986868253912485232/877705099, -24231322441393179511019604023850171/1755410198, 305672931458273217882890179309279/1755410198, 3538361742459165761678975488784463/1755410198], [6762228345422935533331344/2444861, 5567970703772391070218321/2444861, -1513304740224074996229759/2444861, -1364939649341679064313688/2444861], [238519425666579523987956865/877705099, 192073970255183006204908360/877705099, -32662117977610599053923885/1755410198, -66732843462296213407800845/1755410198]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-6216303, 1987023/2, 1000167/2, 7/2], [-1385152937630627/4889722, 110691554637885/2444861, 111432853322719/4889722, 31593437/2444861], [-63223381/4889722, 5052362/2444861, 5086199/4889722, 2/2444861], [0, 0, 0, 0]], [[93853772620066270571/2, -48306339033458375087/2, -25137626266805761486, 26615704626148898961/2], [35661906895263009633179454844917/16676396881, -18355125337432779159498406977327/16676396881, -19103234797538775816919983248839/16676396881, 20226500764734967673501399680027/33352793762], [9068179464532367836807/92904718, -2333688609462063683795/46452359, -2428803994398321748028/46452359, 1285808558785029989300/46452359], [-15976903903/16676396881, 47814065257/33352793762, 9310311736/16676396881, -1/33352793762]], [[49636563419053148674276808271465263605/2, 65903456402744302098206177932407633681/2, -9093439057039758207339258131319033755/2, -19286411135209693667467219656106522043/2], [18860496846835230669865454874746440962416226644662/16676396881, 25041491106641853713641537825580299586191835563083/16676396881, -6910501061899157845316596431103439414328055680809/33352793762, -7328305240804212530011011657742941512150038268403/16676396881], [2397941798542832533920061796383066781232/46452359, 6367598924891184484354833375016714068773/92904718, -439303898092221092124961094259126567449/46452359, -1863455710820541624142296589889639594013/92904718], [207675468602844128073447348907/33352793762, 97981390220164572636389006925/16676396881, -5878044529902463226679411131/33352793762, -14080409880086067265917003744/16676396881]]], 1, 720, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[5, 15, -2, -6]], [ -410, 36, -1, 3 ], [ 5, 7, -6, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1582539665, 2285233120, -40171107, -11/2], [676977213481442271/573582838, -488787341793526850/286791419, 17184323351195063/573582838, -934870432/286791419], [-636191537868/11, 918679003268/11, -32298081117/22, 201/11], [6696753031/3154705609, -19340610595/6309411218, 339979801/6309411218, -2/3154705609]], [[-74971564875698997093/2, 7835034741360212977, 10784027496862137613, -11074236780393697911/2], [8017814855063323253559093327/286791419, -1675831342839038759583492011/286791419, -2306590039316656132253913679/286791419, 2368662765210248807078223549/573582838], [-15069535407132198417043/11, 3149736157728968549342/11, 8670502280160963181765/22, -4451917206640530086807/22], [158626688484832765089/3154705609, -33155117462434965768/3154705609, -45634222525235963238/3154705609, 23431143195409832368/3154705609]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5/2, -17, -21, 17/2], [112, 12, -11, -13/2], [20, 2, 5/2, -5/2], [0, 0, 0, 0]], [[-11872917915, 131058198523/2, -5918452749/2, -1360181363], [605995275312943085493/10898073922, -4015981768191101060163/10898073922, 148431976125977559363/5449036961, -1372513210800869723/10898073922], [2201763187925/418, -7459948653262/209, 929282025367/418, 96973725917/418], [15755820328/59939406571, -97659271266/59939406571, 7131330359/59939406571, -5/119878813142]], [[-71895852191682288605549226, -63608456052695196387497562, 18631628196168209806737939, 16736212326198932192893566], [119081456546084963488899295467385742/286791419, 210677243211103346885917967255753951/573582838, -61657042739337483201916650573998339/573582838, -55350787528799016613486276973346859/573582838], [893328467935390955686485237/22, 394851475009293942180537387/11, -115671387959397418409546343/11, -207634106440308164996193201/22], [5728170437150192786108661/3154705609, 5069571357323811294369453/3154705609, -1482619316880193676853711/3154705609, -1331563715348052771474090/3154705609]]], 1, 720, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[15, 0, -13, -5]], [ -790, 21, -1, -3 ], [ 68, -153, -119, 85 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3170798749/2, 2714196667/2, -1455515009/2, -5/2], [536590863562679750/1036770341, 1837448414901317373/4147081364, -985352120844126111/4147081364, -2626613751/4147081364], [-438218614365/17323, -1500451692611/69292, 804632106027/69292, 527/4076], [3764244551/70500383188, 3222184941/70500383188, -1727928795/70500383188, -1/17625095797]], [[-2870364576265885338680880, -858609845418868285993810, -791221541856314743000050, -520715536110099080013130], [-3886681371956172402993094342965509/4147081364, -290528163637344642673167322427561/1036770341, -535494180129754313777686146535479/2073540682, -705030155407734357430799409497627/4147081364], [3173557572797215692065408925/69292, 237329710321038827817033332/17323, 218702153494388315777335673/17323, 575719705315314671407448527/69292], [-1703790607676731509621210/17625095797, -29979618350947617186800/1036770341, -27626656618337288344840/1036770341, -309086250575765969527480/17625095797]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [11054486017/4076, 62643647/4076, 5785923/4076, -8997/2038], [-702325/4076, -4049/4076, -357/4076, 1/2038], [0, 0, 0, 0]], [[-43884145101, -18179059058, 26051799943, 3/2], [-819640719112977912115082801348207/78794545916, -7457847709836710825049876315859/39397272958, -15396084546362207851827128483130/19698636479, -77492533301966056755175238411711/78794545916], [870056024689232529239795/1316548, 7963043178435210988575/658274, 32698062356286555778593/658274, 82260492389021496926891/1316548], [-112354033641/1339507280572, -46542791427/1339507280572, 66698913711/1339507280572, -1/334876820143]], [[-5022102636539591383070651633, -2169041587856528477032885991/2, -1881393878004982860884166559/2, -783558803120322210529031780], [-584941526509546557800696696798797743658785843898377/78794545916, -626477195965933037509744459615279019168027514060827/78794545916, 385342640332118398745238371065953355385299232353445/78794545916, 144972850033835533602471030795481312050662262746207/39397272958], [621058460250302355199109270803642728838795/1316548, 665070974134473253284648839573667017851307/1316548, -409120538803496116817100601048472353961233/1316548, -153908263020054333237709569982027880878985/658274], [-12857798355531699296082831213/1339507280572, -2776635741715620830105491075/1339507280572, -2408411857169122276992729789/1339507280572, -1003050097799912809379538509/669753640286]]], 1, 720, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[25, 0, -12, -2]], [ -605, -14, 1, -7 ], [ 348, 391, -348, -205 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15446266690, 8262924575, -77200519955/2, -4], [-36225790461785115470/1362716959, -14423220946445419810/1362716959, 133765010028505297623/2725433918, 995252335/2725433918], [-882711982825/631502981, -304305411387/631502981, 2848235011825/1263005962, -13726187089/1263005962], [76752832515/51783244442, 30346704693/51783244442, -140693418505/51783244442, -5/51783244442]], [[1127863339760655584155031300182663, -95958571471374941319307324153388, -1024385703652170773654520558501909/2, -56326338412140165052315565050471/2], [-1753033842299992202206191512097936253901863/1362716959, 323147606874847880105991575446970601139369/2725433918, 815109653933567516488824195177106608267085/1362716959, 44643967853643848330375733077877840542992/1362716959], [-34880241264824056695682659139306530/631502981, 3560470216377543249605149329009051/631502981, 16440718370405289159381835707459076/631502981, 816926453105247926281411231537140/631502981], [1837999994107791413185423093313439/25891622221, -339613052066814701164188878302097/51783244442, -855230778637093433422094148717125/25891622221, -46835891966164298414067414381096/25891622221]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-10588450787, 81314545945/2, -20001041936, 3], [-73068870845675143539/2725433918, 190392205161272922605/2725433918, -46949890022038646412/1362716959, 2315911919/1362716959], [-959177608845/1263005962, 1505250815371/631502981, -1494542408455/1263005962, 3569792415/631502981], [-56592755227/51783244442, 148389375893/51783244442, -73180743703/51783244442, 1/25891622221]], [[155702144810441888222912335835/2, 526513030165245779618493663, -61754822751117050124680274017/2, -1422956691481691194865647554], [363679390024883619390097146742460711385/2725433918, -32515211357805545796815050752853757931/2725433918, -85209864298036977976406195416383417139/1362716959, -10147560512148318492606647336274877671/2725433918], [2871740323945797610833048090910/631502981, -125883076725672920314670476098/631502981, -1235040755789472236023519894579/631502981, -59223910971301357580528560851/631502981], [283460748758661753528196034115/51783244442, -24811340922556576481121551235/51783244442, -66215665667407331731308581970/25891622221, -7856036967545776612093764555/51783244442]]], 1, 720, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[10, 5, -5, -3]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, -10, -5/2, 5/2], [25/2, -2, 9/2, -7/2], [-10, -5/2, 5/2, 0], [0, 0, 0, 0]], [[441909/2, 631849/2, -659311/2, -187388], [-593863619/278, 488594057/278, 127124711/139, -88522266/139], [315920, -108570, -187396, -44198], [171/278, -59/278, 223/139, 3/278]], [[-115299201210, -35322192655, 103200344878, 47053306607], [-19560672195755/278, -389309612640/139, 1693004769589/139, -388155712531/278], [-35347914525, -12119939832, 47053433108, 23061822091], [-17288470/139, -115748415/278, -64304675/278, -5439543/278]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-25/2, 5/2, 13, 0], [5, -27/2, 5/2, 8], [5/2, 1/2, 0, 5/2], [0, 0, 0, 0]], [[10921, 11665, -3473, -3434], [176291/139, 1902799/139, -144081/278, -1110733/278], [11580, 14715/2, -6855/2, -4365/2], [-7/278, -365/278, -419/278, -5/278]], [[-26820555/2, -4618815, 3029671/2, 215253/2], [-7825167485/278, 3416400117/278, 1733743765/278, -1150044951/278], [-4010295, -11631750, -454119/2, 5059851/2], [2028400/139, 1546655/139, -1333673/139, -867141/139]]], 1, 30, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[10, 5, -5, -3]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5/2, -5, -3, -1/2], [-5/2, 1/2, -7/2, 1], [-5, -1/2, -1/2, -1/2], [0, 0, 0, 0]], [[2397691/2, 422278, -251474, -104554], [121315/2, 1986947/2, -281565/2, -190558], [422170, 947519, -209129/2, -239773], [1/2, -2, 2, 0]], [[4627976228135, 7886816886605/2, -1460260260727/2, -1596885513569/2], [357728114311550/139, 861813819371939/278, -140634382557389/278, -106072712553447/139], [3943127731840, 3897952393984, -798200395872, -925543559072], [-1636001175/278, -1494527175/278, 1013931675/139, 643047875/139]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-25/2, -5/2, 21/2, -3/2], [-35/2, -27/2, -8, 17/2], [-5/2, -2, -3/2, 5/2], [0, 0, 0, 0]], [[-98545405/2, 38779265/2, 73735369/2, -19218821], [3446823390/139, -21321550011/278, -7406278756/139, 13274532819/278], [19389750, -12404922, -19218819, 9854511], [645/278, 285/139, -193/278, 2/139]], [[435196838493/2, 471274498513/2, -453387716545/2, -170030204839], [-245285569030919/278, -160109879551271/139, 125448119341867/278, 128235294418149/278], [235635107790, -9095261100, -170027904510, -43518848868], [-11959169/139, -6049484/139, 23702285/278, 12442111/278]]], 1, 30, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[2, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7/2, -1, -2, -3/2], [-8, -1/2, -3/2, -5/2], [-7/2, -1, -2, -3/2], [-8, -1/2, -3/2, -5/2]], [[4694673, -2162953, -1746811, 917180], [21011857/2, -5533156, -4472971, 4937433/2], [4694673, -2162953, -1746811, 917180], [21011857/2, -5533156, -4472971, 4937433/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-6, 0, 1, -2], [-146, -4, 11, -20], [-6, 0, 1, -2], [0, 0, 0, 0]], [[248985555, 3476655/2, 9104277/2, 27013623/2], [596590285841/38, -144429173945/19, -66131433005/19, 93788497535/38], [4730725301/19, 66054525/38, 172980399/38, 513258829/38], [61/38, 120/19, 54/19, 1/38]], [[-271122925324251/2, 10996722202011/2, 296164394446011/2, -62228922930720], [7833309349652473, -7579578801185284, -1815135572456532, 1871164258233803], [-271122905317051/2, 10996721027211/2, 296164394780651/2, -62228922948520], [-1250450, 73425, -20915, 2225]]], 1, 8, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[10, 6, -4, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, 11/2, 9/2, -1/2], [65/2, 5, -3, 13/2], [11/2, -1/2, -1/2, 1], [0, 0, 0, 0]], [[-54827/2, 14263, 848, -24593/2], [155891/2, -160821, -103506, 76411/2], [28509/2, -26574, -12298, 10965/2], [13/2, 2, 0, 3/2]], [[-4672411233/2, 4793985001, 118030435, -3177732397/2], [41138297999/2, -6169930543/2, -15443914265/2, -321995422], [4794889580, -4434947975/2, -3178631165/2, 933887975/2], [-255684, -648895, 203385, 245999]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15/2, -2, -12, 1/2], [25/2, 305/2, -59/2, 49], [-2, -9/2, 1/2, -3/2], [0, 0, 0, 0]], [[13163488521/2, 20319098733/2, -12800546241/2, 1919453903], [-7178112613214/19, 5272229989711/38, -2497163460477/38, 646916597245/38], [386062871579/38, 3447953061/19, 36469624112/19, -50021257045/38], [-87/19, 119/19, 7/19, 2/19]], [[-46390120774697336535, -75901505693924402089/2, 46041223334598325305/2, 32733248061882839915/2], [19991667452597215070770/19, 21648266337885415244771/38, -17397206393357346783907/38, -8922210744161674593199/38], [-721064298229031214158/19, -888041340012518244735/38, 621931707253856272835/38, 352564914857954913891/38], [-360634263375/19, -579222772875/38, 432353285175/38, 288924442125/38]]], 1, 18, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, 12, -8, -8]], [ -790, 21, -1, -3 ], [ 68, -153, -119, 85 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1356333/2038, 465061/2038, -315931/2038, 4747/2038], [-2823/2038, 496/1019, -331/1019, -1/1019], [0, 0, 0, 0]], [[0, 0, 0, 0], [-49724923480467591073/1036770341, 43596871670545957/1036770341, 13617490059052810941/1036770341, 990737182971035393/1036770341], [-1735493790809/17323, 5511626997/17323, 475029432267/17323, 33937999795/17323], [5674301851/35250191594, -1254010207/17625095797, 8165/17625095797, -3/35250191594]], [[0, 0, 0, 0], [-108049402196578404865002013195376/1036770341, -148591177963227122387988475768265/2073540682, 31923822909140005497269335764051/1036770341, 21457862903642310157406581052512/1036770341], [-442742452462873691085831/2038, -5167447645453142236876231/34646, 1112802566830056111688840/17323, 87841456242546215025375/2038], [5557869597747793482156/17625095797, 2406250454373133538625/17625095797, -1510249385111881880550/17625095797, -538034411955519158841/17625095797]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-239604713/2038, -83407456/1019, 4759443/1019, -67689/1019], [-9605/2038, -6691/2038, 383/2038, -5/2038], [0, 0, 0, 0]], [[0, 0, 0, 0], [112457799128197884779082/19698636479, -1080942717511426451998317/39397272958, -370002458578510923638301/39397272958, -46198937135208024016168/19698636479], [70959160862286/329137, -359413482476073/329137, -123376748101179/329137, -62791411085593/658274], [79340866111/669753640286, -19481396613/334876820143, 121972501/19698636479, 3/669753640286]], [[0, 0, 0, 0], [-1258492155926020400764635237328422307/1036770341, -1962813559582449774663554280907300915/2073540682, 287346569210187134936236100075480673/2073540682, 300376615745544426444539573163163061/2073540682], [-49635057530526693896364616/1019, -1321013378861057536599582573/34646, 192662392880479796148754165/34646, 202941717673949310851085915/34646], [33863463347397316532445/35250191594, 86771504775966561095545/35250191594, -4262257513682412689445/35250191594, -12117129885389017624135/17625095797]]], 0, 1440, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[16, 16, -12, -8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [4, 4, -3, -2], [0, 0, 0, 0], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1, 6, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1035/19, 7347/19, 11918/19, 168/19], [91/19, -427/19, -553/19, -14/19], [-13/19, 61/19, 79/19, 2/19]], [[0, 0, 0, 0], [-1271200202222/19, -263879081378/19, 596093588961/19, 214114197623/19], [52523230284/19, 21659813721/19, -26716662819/19, -12865070232/19], [-7503318612/19, -3094259103/19, 3816666117/19, 1837867176/19]]], 0, 400, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-40, -24, 20, 12]], [ -535, 24, -1, -7 ], [ -145, 22, 29, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [19705798516869/4889722, -6127627029981/4889722, -3103544808905/4889722, -14574288/2444861], [8385511/4889722, -2607501/4889722, -1320669/4889722, -1/2444861], [0, 0, 0, 0]], [[0, 0, 0, 0], [28239396213569339591254645/877705099, 37383006478002178565576874/877705099, -3774310692842030172667292/877705099, -8175719796378930948732028/877705099], [33474585748894885/2444861, 44312284625626742/2444861, -4474587687481076/2444861, -9691408423209052/2444861], [3055482185/877705099, 2373976295/877705099, 313318761/877705099, 1/4388525495]], [[0, 0, 0, 0], [-7546437412486398107894193130559641/1755410198, -108845568067682711684763216449501835/877705099, 3751559664364753433625984151594487/877705099, 69030939031735607316042562742242887/1755410198], [-8945160662228919933919653/4889722, -129018195450562006051590105/2444861, 4446394480171321827807141/2444861, 81824083058409939825267591/4889722], [-7683266549544266285/877705099, -7252278070897133940/877705099, 156169696742980022/877705099, 4770916830873601281/877705099]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [197180089/2, -153362097/2, 21908875/2, 1], [9/2, -7/2, 1/2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [64251292747567811390124469160801/33352793762, 3501472287303032097798384934259/33352793762, 212352373662449557585494528311/33352793762, -267944464390719578549172988105/16676396881], [8168882560573696834545/92904718, 445125217433077469615/92904718, 27044789576809110459/92904718, -34053217160417605995/46452359], [86437466590/16676396881, -36245048061/16676396881, -13729962823/16676396881, 1/83381984405]], [[0, 0, 0, 0], [162925839470798575471995670375669520117734003652775/16676396881, 190112967759410210503092178795872754679194618117525/16676396881, 44687668921477384409580108138524327589611914936450/16676396881, -6027078380293876051001825007566540755781333334464/16676396881], [20713841198443313089998571384369646253335/46452359, 24170696387254100950269770131807152985925/46452359, 5682036575162108662510739361320053955660/46452359, -766054997541502818755150300365054741982/46452359], [475863937887298299806343343068/16676396881, 295702270651512928954635756480/16676396881, -213764079354412793059064751183/16676396881, -635889674383555010892056120943/83381984405]]], 0, 1440, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[24, 20, -12, -8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [6, 5, -3, -2], [0, 0, 0, 0], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7, -4, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [5384/19, -5850/19, -14441/19, -1124/19], [296/19, -328/19, -824/19, -40/19], [37/19, -41/19, -103/19, -5/19]], [[0, 0, 0, 0], [-335881428/19, -210858194/19, 185774150/19, 108129409/19], [-18492800/19, -11558000/19, 10171040/19, 5917696/19], [-2311600/19, -1444750/19, 1271380/19, 739712/19]]], 0, 400, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[20, 4, -8, -4]], [ -605, -14, 1, -7 ], [ 348, 391, -348, -205 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [278164836359582/33236999, 4300887998135014/33236999, -3551693824355359/33236999, 248750687/33236999], [-9854070/33236999, -152360353/33236999, 125819901/33236999, -2/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [-28486481704579182107245877235/2725433918, -1648688129258873793637416770/1362716959, -11675636830722024243276915708/1362716959, 13909889601846371071730028499/2725433918], [467651098325047219043/1263005962, 54131299591246420051/1263005962, 383348949929205158815/1263005962, -114176567334575533691/631502981], [202323466983/51783244442, 200172620335/51783244442, 82168989623/51783244442, 1/25891622221]], [[0, 0, 0, 0], [-888071355403723219525007352847417062627673052666/1362716959, 1228885555755222422031485383960869925925470329513/2725433918, 667165096015987408800403746062858291607058505485/2725433918, -438936237324052031024538632787162082806594770917/2725433918], [29158246396056566387164998162828790812295/1263005962, -10087070050037409432158808114459704099278/631502981, -5476295381745260227358829822067144157874/631502981, 7205846729741863063240050023384870739493/1263005962], [2313554415096258728713791201883/51783244442, -201436824761695388632273704046/25891622221, -255480175560960452786217668670/25891622221, 291608740236024686766766295977/51783244442]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1459207250892830/33236999, 352856159100072/33236999, -2043745659468924/33236999, 290033533/33236999], [51692893/33236999, -12500036/33236999, 72400355/33236999, -3/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1947955656526575829558577860220/1362716959, -30448729403691299463751321866339/1362716959, -470011795060154937628344749142/1362716959, 6160462228545747005664741675909/1362716959], [31978902693190820080453/631502981, 499865059534333433437824/631502981, 7715999225911932770467/631502981, -101133933532481261285347/631502981], [36432677939/25891622221, -68209234269/25891622221, -49536182962/25891622221, 1/25891622221]], [[0, 0, 0, 0], [9104903935079105851397465558297649540537834849534/1362716959, -14497257493849775911536942211782594467225314545447/2725433918, -2994370217306588653784713966228710387305913053873/2725433918, 2990692098725017259189837795453035732131276169979/2725433918], [-298943365896862592748283361731917649682929/1263005962, 118997925659488065281925996326256734887026/631502981, 24578709927511776262880460796307890250918/631502981, -49097032928004202663804237633745586307561/1263005962], [53353757565745082925517500085/51783244442, -17919716706317349368421651600/25891622221, -8089052245457211463203612560/25891622221, 11448173199756435689085305881/51783244442]]], 0, 1440, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-4, -12, 4, 4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-1, -3, 1, 1], [0, 0, 0, 0], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9, 6, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [322/19, -8876/19, -3789/19, -347/19], [88/19, -496/19, -208/19, -16/19], [-11/19, 62/19, 26/19, 2/19]], [[0, 0, 0, 0], [658206103/19, 9124080315/19, -2352259341/19, -2499302705/19], [-48159104/19, 551206016/19, -115806320/19, -143311232/19], [6019888/19, -68900752/19, 14475790/19, 17913904/19]]], 0, 400, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[20, 8, -4, 0]], [ -410, 36, -1, 3 ], [ 5, 7, -6, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [47/2, 0, 7, 15/2], [11/2, 9/2, 5/2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [77059262, 110770381/2, -52894189/2, -36005961/2], [34215159/2, 12342528, -5126649, -7408731/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9307844711324013/286791419, -3893983941419955/286791419, 4878239341611608/286791419, 2348853516661076/286791419], [24266925, 111674100/11, -12718290, -67361886/11], [1617795/286791419, 7444940/3154705609, -847886/286791419, -22453962/15773528045]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-43/2, -50, -58, -65/2], [-11/2, -11/2, -1/2, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [1046524599299/2, 2301341936117/2, 209095066979/2, 22719517], [745987924701/11, 298248470565/2, 298054892521/22, 8318143/2], [-10/11, -2, -2/11, 0]], [[0, 0, 0, 0], [17918927943417592871556416923880600/5449036961, 7410118141275062121347301266987280/5449036961, -9263445622405208347565069054489368/5449036961, -4443518842137777655435225907432056/5449036961], [89072131383071020285158980/209, 3348622907808731774313040/19, -46047192732436790162574436/209, -2008016852956164936094404/19], [-342586694780039496881493/59939406571, -12877679305965646945584/5449036961, 177103063429140154764717/59939406571, 38612847307298288800041/27245184805]]], 0, 1440, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-16, -12, 8, 4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-4, -3, 2, 1], [0, 0, 0, 0], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, 7, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3634/19, -3215/19, -2810/19, -89/19], [-147/19, 243/19, 135/19, 6/19], [49/19, -81/19, -45/19, -2/19]], [[0, 0, 0, 0], [12614986311/19, 4506696276/19, -4704700569/19, -1954509352/19], [-821321190/19, -423506070/19, 254618460/19, 188509635/19], [273773730/19, 141168690/19, -84872820/19, -62836545/19]]], 0, 400, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[60, 56, -28, -24]], [ -535, 24, -1, -7 ], [ -145, 22, 29, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-112866792368731/4889722, -5458755309633/2444861, 3763997941367/2444861, 21719115/4889722], [-48028751/4889722, -2322881/2444861, 1601717/2444861, 3/4889722], [0, 0, 0, 0]], [[0, 0, 0, 0], [-409793922172660966131938705110/877705099, 415152391154796608016352087845/1755410198, 146995904653569981603173799599/1755410198, -116703175332616687265717199985/1755410198], [-485742597517193761170/2444861, 492094311166069212681/4889722, 174239319343733555643/4889722, -138332279206216673397/4889722], [910676422/877705099, -3870247491/877705099, -4137457918/877705099, -2/4388525495]], [[0, 0, 0, 0], [347200392570548936980460682667706039532351128445/877705099, -407273275399193796102100188156712521594910248003/877705099, -91426438721464065049498565020646102895281799363/877705099, 115796381250046942773773821190145226424471599968/877705099], [411548380829291964894919820907083353233/2444861, -482754724268761731882482863427483804151/2444861, -108370856139795451885112782115825493135/2444861, 137257346585637850354237722389660054352/2444861], [-4700925455461908740005127855/877705099, -3963821752011940737676532855/877705099, 2019525023449992901518664569/877705099, 1515401791912384554789184279/877705099]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3554261151320091/4889722, -377621434359209/2444861, -195784239027578/2444861, -60836891/4889722], [-162229295/4889722, -17236007/2444861, -8936300/2444861, -3/4889722], [0, 0, 0, 0]], [[0, 0, 0, 0], [171723755013104996488612767912355/16676396881, -363238620495259752929208002070019/16676396881, -117293315928275333348251303860156/16676396881, -25055025168958096127017039877946/16676396881], [21833123962034715465449/46452359, -46182507469104094814583/46452359, -14912787051228251594042/46452359, -3185520913891253552606/46452359], [22787361251/16676396881, -5784508598/16676396881, 5892868116/16676396881, 2/83381984405]], [[0, 0, 0, 0], [191489941204101808093535048280208594919550765614658/16676396881, 153002183059490790751831096264062509436740822067189/16676396881, -79736335872581362168425767336072944164127520928585/16676396881, -56933269293723320806097331282116170790963860744776/16676396881], [24346217096028260886439852491048588941742/46452359, 19452845992022713258511182906002289177936/46452359, -10137755247357841752701077296242031669960/46452359, -7238551136626136207985706586846193790125/46452359], [-9495085491150614030231901450/16676396881, -6681875992004710307016297075/16676396881, 3482362964066162973582695160/16676396881, 2248284405293343876785042166/16676396881]]], 0, 28800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-56, -32, 24, 12]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-84, -2, -1, -1], [-86, 0, -4, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, 0, 0, 0], [3, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [465971726, 269197742, -195407498, -99070235], [486480365, 269542210, -205341675, -98239155], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1553, -14, -18, -29], [219, 2, 3, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [1121757807961/19, -1209176311793/19, -1894602401317/19, 945807328817/19], [-162402902977/19, 172714198222/19, 270671505423/19, -135077970218/19], [42/19, -26/19, -6/19, 1/19]], [[0, 0, 0, 0], [-105842230862533515208/19, -84541848319299693266/19, 26011572184686440821/19, 19066086442167686642/19], [14963070031163255660/19, 11943000849207747380/19, -3678993364885776152/19, -2690607087157664616/19], [654515920/19, 368596560/19, -280018000/19, -137569888/19]]], 0, 7200, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-60, -12, 24, 4]], [ -410, 36, -1, 3 ], [ 5, 7, -6, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [74, 127/2, -137/2, 5/2], [199/2, -3, 2, 5/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-33702074264595264327/286791419, 14797153002505161620/286791419, 7056420826288996015/286791419, -5196476318016172101/286791419], [-2252169483546/11, -68573819426/11, -406096189238/11, 138391154609/11], [28915658122/3154705609, -3840287776/3154705609, 2424429966/3154705609, 1/3154705609]], [[0, 0, 0, 0], [-740313122814970074678377516979567/286791419, 11417803572924781263484342917400669/286791419, 1907745005333770373088671533190433/286791419, -2251800626393015767387459551819812/286791419], [553700114887889790659269195/11, 1466669510187989864928943380/11, 94284757898009095662782800/11, -204933944347285655768773053/11], [-4458953776590136127314751/3154705609, -16250283120944877550284639/3154705609, -1397769572027200487566685/3154705609, 12056829145084004391429672/15773528045]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1050, 271/2, -203/2, 19/2], [323/2, 6, 2, -1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [234471054876760388983933/5449036961, 145749791322791032228821/10898073922, 18929062308376203009643/10898073922, 19609430270536849363383/10898073922], [1597444275502445/418, 370222537753749/209, 203387312344825/209, 238277117686139/418], [180766117372/59939406571, -21040648841/59939406571, -28585126217/59939406571, -3/299697032855]], [[0, 0, 0, 0], [-546635043101627308901521415411083/5449036961, 1087968830156333420642832588471796/5449036961, 1718556375788443740250361181016834/5449036961, 1923198593735732235654227718996266/5449036961], [-23024676083105593734385707/209, 4248355851545509459955775/209, 24815094573478203072905782/209, 8760399755827339589508795/209], [4383030836888501186385/59939406571, 245756915414669689515/59939406571, -3478716900281436975846/59939406571, 1363640910127981918101/59939406571]]], 0, 28800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[4, 12, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [24, -2, 5, -3], [-107, 0, 5, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7, 0, 0, 0], [-8, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-325767960, -376325880, 157003350, -50949675], [81752804, 1574216784, 625504012, 61382504], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7, -61, -6, -2], [4, 4, 2, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-44451524098/19, 45958585600/19, 11597194594/19, -11908242618/19], [-163081596/19, -1308137872/19, 49195728/19, 261859796/19], [31/19, 93/19, 115/19, 3/19]], [[0, 0, 0, 0], [981334608317460890993/19, -778271738781016336207/19, -256996373683964418066/19, 210138899990651737716/19], [-20326684694276027857/19, 5724558969278556361/19, 4035034169892028559/19, -1317498980296808277/19], [577106428100/19, 1706003028800/19, -12484311900/19, -3751656060/19]]], 0, 7200, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, -8, 20, 12]], [ -790, 21, -1, -3 ], [ 68, -153, -119, 85 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [87979/2, 889/2, 984, 1/2], [-43, -1/2, -1, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10041694682049138415949179/2073540682, -225096496340408039943167311/2073540682, -2348363387693104341282292/1036770341, 27490164765211451906305642/1036770341], [-78853038423642477/17323, 1840028559993774114/17323, 75635885712724907/34646, -449295037254304752/17323], [-6930425623/35250191594, -972493441/2073540682, -6566201273/35250191594, -1/17625095797]], [[0, 0, 0, 0], [-20982821340985657075908602175221158214961/2073540682, 34929836533435180307869345351884610312581/2073540682, 3390367284736358776012573107951885367580/1036770341, -5629950935662449495502247810100454688287/1036770341], [170929674509146454453231068332787/17323, -285389030484571963596444552446274/17323, -110432942564594987875962363228629/34646, 92018583851790555068944992464733/17323], [1893389340368887141785309/17625095797, 1707212619102354284521791/17625095797, -1072860124147713953611683/17625095797, -779573213414244540587034/17625095797]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-43676356/1019, -985062/1019, 1250843/1019, 5443/2038], [42681/1019, 2065/2038, -2395/2038, 1/1019], [0, 0, 0, 0]], [[0, 0, 0, 0], [17606801060590734290518371/39397272958, 172367715437431526971627/19698636479, -17712469829088145031183244/19698636479, -16573486682594952122616771/39397272958], [-292294171917379555/658274, -3129746225966583/329137, 291393656804230547/329137, 272717118950306127/658274], [12221890661/669753640286, 91564903792/334876820143, -10022099688/334876820143, -5/669753640286]], [[0, 0, 0, 0], [1780211609785082108624250302848850785090661/19698636479, 1914601499358203271265851375402090618502669/39397272958, -2056515802630451883838715509056906828049043/39397272958, -1088460991360978429794817371477296950313603/39397272958], [-29204780050877832723920161308180146/329137, -31498257745571404021218087066760349/658274, 1986711262249508822377533974845357/38722, 17896857218239481587620485743209351/658274], [653617450220181511094578670/334876820143, -11497419753460622123160191605/669753640286, 1633227420074569634338925235/669753640286, 3573605473321903590754030403/669753640286]]], 0, 28800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-44, -40, 28, 20]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12, 1, -2, -2], [74, -2, -2, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, 0, 0, 0], [3, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-18680196, -17745378, 11817680, 8758194], [44677710, 66155430, -26999115, -28721385], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [386, 81, -20, -14], [45, -5, -3, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-18597398763, 144612730741, 35808751899, -16700440613], [-4529433896, 19197228154, 823756504, -3927680854], [-5, 2, 4, 0]], [[0, 0, 0, 0], [-14664397847623216510052/19, -18622917783008821892870/19, 8007609270539751585831/19, 7163693886489253078654/19], [-168626349528148615890/19, -1621244961726610216810/19, 173977109410058357595/19, 501030807091712931707/19], [-509202845996/19, -464833808298/19, 324632076789/19, 232362545646/19]]], 0, 7200, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[40, -4, -24, -8]], [ -605, -14, 1, -7 ], [ 348, 391, -348, -205 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [70645197206973043/33236999, 5239112741457691/33236999, -737012747565534/33236999, 115802691/33236999], [-2502628995/33236999, -185597352/33236999, 26108904/33236999, -2/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [-11680424154974938149123268580999541/2725433918, -4815068130614151833124185595696021/2725433918, 1686718893037314711621458086091859/2725433918, 421453925187540412100525799798395/1362716959], [95876505929391005958229946/631502981, 79047119250296199777341861/1263005962, -27690211803395022628500117/1263005962, -13837693381137689810096261/1263005962], [52244261516/25891622221, -289262926903/51783244442, -66439559263/51783244442, 5/51783244442]], [[0, 0, 0, 0], [-150620056836948650617821172979787472478780419272623371/33236999, -45487139954736777257133228867893287924251113990530251/66473998, 109578051602964903082322806250051253956955699261645509/66473998, 23346553653884570569843178659640195882838566062983919/66473998], [202759046860250596862055833387344678566590268291/1263005962, 15308271791583110054917866830476526957771751823/631502981, -36877461698214768901497756163908011369863166472/631502981, -15714127822149706274812669243721601916317110187/1263005962], [1560296415498637858694324165603/1263005962, -5962763683549735848963113913963/631502981, 411193541076743643659887518210/631502981, 4526648193816619684169146924377/1263005962]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-60602863941923958/33236999, -1095956877720249/33236999, -402429209723129/33236999, -264842381/33236999], [2146876076/33236999, 38824714/33236999, 14256190/33236999, 4/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [1159318388500134759718668033511065/2725433918, 1252886445743794303946983265834241/2725433918, -326854825743875074513518741016515/2725433918, -177319144634844149132011205983483/1362716959], [-9516041475895804782882283/631502981, -20568153219262244600253547/1263005962, 5365849648958831150238547/1263005962, 5821959918870188066437799/1263005962], [31162150080/25891622221, 242490232383/51783244442, 28138683701/51783244442, 1/51783244442]], [[0, 0, 0, 0], [378484842287585003907820932119517801224598756590871201/2725433918, 1992452326311929775562580356363669198445765614889823273/2725433918, -90154688072001627586904210295591107773963826628538237/2725433918, -267115602676480651569145271739648060448999249542867892/1362716959], [-3106720490956007917973129146069447957538250643/631502981, -32709319961125922456904087000415067681981937019/1263005962, 1480035083819331916325194965779412904983720655/1263005962, 8770267265896805012413051970728822941714858837/1263005962], [-195297892277358646008113764214403/25891622221, 1397637508435829281843842464457207/51783244442, 3862065210040453990780216923813/51783244442, -518066692189585720651324896118773/51783244442]]], 0, 28800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[4, -16, 8, 8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-152, -4, -1, -1], [-116, 0, -3, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, 0, 0, 0], [-3, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [2465465558211, -4565285330094, 1659032192919, 2040730534200], [1440047949910, -3828139005810, 1638576483360, 1810976132400], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-217, -91, -18, 31], [39, 0, 2, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-76205459356699/19, -97910046078285/19, 8735371987911/19, 17708528507840/19], [8496694158960/19, 14109371579626/19, -1808724289226/19, -2958767838031/19], [69/19, 131/19, 96/19, 3/19]], [[0, 0, 0, 0], [-1829188414810733548977099/19, 1906584592213307234916982/19, 740347195674522162737917/19, -366366015687825561088587/19], [465147580180812767643750/19, -473860770404415600284390/19, -141367312275825760228050/19, 115734582111657758297630/19], [-1063911612420/19, 3559734273240/19, -1668926816820/19, -1740360780096/19]]], 0, 7200, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[20, 10, -12, -6]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 30, 1, 2], [20, 31, 15, -1], [30, 6, 2, -1], [0, 0, 0, 0]], [[-9685029359/2, -10364863429/2, 6189732651/2, 2214961871], [-10115041434, -12776590257/2, 10656896029/2, 6294879741/2], [-10364863425/2, -1747648350, 2214961875, 1937005875/2], [-2, 0, -2, -2]], [[273233154811641, 1017258088578557/2, -1056847691694741/2, -745452751800809/2], [2040800936543829/2, 487276141252783/2, -1982633561612681/2, -442359101003461], [508629049029675, -255190687863300, -372726378534825, -54646632548550], [-5197683/2, -2141555, 1567967, 2132907/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[25/2, 10, -16, -1/2], [525/2, -11/2, -27/2, -6], [10, -7/2, -1/2, -5/2], [0, 0, 0, 0]], [[-97508808, -5139565793/2, -129195807/2, 66439357/2], [-17748088181239/38, -13458796620135/38, 4948854433145/38, 1923387913887/19], [-48825874950/19, -3080028180/19, 631174360/19, 370533430/19], [23/38, 25/19, -22/19, 1/38]], [[-203034760694457973, -169469667006913269/2, 383634086041330887/2, 190593334841463179/2], [676070990772972555731/38, 559462230587399895867/38, -214890148568834967487/38, -84727816965765485887/19], [-1609961814395566310/19, -213136628279435180/19, 1810636667864234920/19, 771532085288331290/19], [-3025398057/38, -738197681/19, 898889150/19, 884154903/38]]], 1, 30, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-40, 0, 28, 8]], [ -790, 21, -1, -3 ], [ 68, -153, -119, 85 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [861099/2038, -222539/2038, 71371/2038, 9519/2038], [10975/2038, -1515/1019, 331/1019, 1/1019], [0, 0, 0, 0]], [[0, 0, 0, 0], [5122019803299296870999/2073540682, -11676702482147949176561/2073540682, -1586326625235394832621/2073540682, 1344514913634908468994/1036770341], [1129989773234125/34646, -2448117591337611/34646, -320312384571351/34646, 287745405362573/17323], [-107547977/1036770341, -11838953483/35250191594, -7257376057/35250191594, -3/35250191594]], [[0, 0, 0, 0], [15414830978991716949353128541569996/1036770341, -14139928166632454201916036610927233/1036770341, -4229551521295813143160062146253869/1036770341, 3934287379569943415871876562666101/1036770341], [3313884447959673642367620520/17323, -3016054778277757832045579978/17323, -911185496750863733716971832/17323, 838233688030960915416620162/17323], [-3138922671807663405280/17625095797, -2759205209930770302235/17625095797, 1379190486370314827088/17625095797, 1008103899227468851604/17625095797]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [123218554/1019, -12067481/2038, 2636459/1019, 20815/1019], [29985/2038, -1461/2038, 318/1019, 5/2038], [0, 0, 0, 0]], [[0, 0, 0, 0], [14724628319616453502200028887/19698636479, -630215130345295228828325174/19698636479, 411012442010650048545498350/19698636479, -562993928224729372860828809/39397272958], [29935902985700084805/329137, -2548665365597689635/658274, 1658694943410190187/658274, -571875315797542537/329137], [27175382297/669753640286, -4227427489/19698636479, 10022099688/334876820143, 5/669753640286]], [[0, 0, 0, 0], [-169791466158495983488393372663142062363923984801/19698636479, -243038178824524972191429308798525754237768507491/39397272958, 134202937772069027444890325933123627519821682445/39397272958, 88995118871807342409911823429223721838897909323/39397272958], [-345168712662742046321678418559350931785/329137, -494095165364415072963679950589719549277/658274, 272807582037337301735402738182845424381/658274, 180916332265544502185295015870628266607/658274], [1515773729586328661255134566077/669753640286, 598013687285889536064216210831/334876820143, -348188862747026576857438547110/334876820143, -470538736872204119951095602149/669753640286]]], 0, 8640, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, 20, 12, 0]], [ -535, 24, -1, -7 ], [ -145, 22, 29, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [60112130772657/2444861, 64154717417959/4889722, 33613087399979/4889722, 26419081/4889722], [25579811/2444861, 27300071/4889722, 14303547/4889722, 5/4889722], [0, 0, 0, 0]], [[0, 0, 0, 0], [11585659969475241304778351558/877705099, 77747507024663758253906235514/877705099, 1428118132509978513519828218/877705099, -17284486758740864738339904480/877705099], [13732859038511111150/2444861, 92156781674238244307/2444861, 1692798175114666991/2444861, -20487894134035386013/2444861], [-2303402067/877705099, -3594270950/877705099, 1632970671/877705099, -4/877705099]], [[0, 0, 0, 0], [-78301639551496224221741086968262628434479076/877705099, -422484231687588961577677675086772794808125032/877705099, 34036104068751983457621161155546980603270296/877705099, 120593916065192428250206242003633680466182416/877705099], [-92813461553711383790113234635140488/2444861, -500785026048752698021822715123795336/2444861, 40344116367314200947634018574074168/2444861, 142944094068534367789895294496309168/2444861], [3083199989818301723268975/877705099, 26507092864083123956992350/877705099, -3743687326434222797692450/877705099, -6537556369555245037532680/877705099]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [317388583080243/4889722, 165146533153564/2444861, 22776929712474/2444861, 109544355/4889722], [14486707/4889722, 7537883/2444861, 1039621/2444861, 5/4889722], [0, 0, 0, 0]], [[0, 0, 0, 0], [-319932772567515961475185382043949/33352793762, 3018867990242324979319351771647/33352793762, -18774547541165240557638455200987/33352793762, 386905201595709966713599071629/16676396881], [-40681606217612558451593/92904718, 388223031472119792811/92904718, -2385667962013221407299/92904718, 48599750505660946545/46452359], [113936806255/16676396881, 87812235177/16676396881, -3888453182/16676396881, 2/16676396881]], [[0, 0, 0, 0], [-4585168791423466489902009243642476623752705604124043/16676396881, 4345209698776501300052240453066375927086078764913206/16676396881, 1304378188167471502034684368984021257719240070701139/16676396881, -1234229612437732550202400122725907595092118840043343/16676396881], [-583050335039706627653791527820914577924999/46452359, 552528500268351586189454467830500808463288/46452359, 165864152128981046874396949760292519151687/46452359, -156941718264564197022492130603261228406797/46452359], [-256289241624093730193301100962/16676396881, -398989431713098754843428260981/16676396881, 106255295479005752125887767166/16676396881, 111143723161593136697192409891/16676396881]]], 0, 8640, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[20, -20, -12, 4]], [ -605, -14, 1, -7 ], [ 348, 391, -348, -205 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4412971144706434/33236999, 1328474055733639/33236999, -4892350303413089/33236999, 249804298/33236999], [-156330925/33236999, -47061641/33236999, 173313090/33236999, 2/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2801819128320527008033353615/2725433918, -2014735136700623751308880621/2725433918, 969833993850489804107086349/2725433918, 315066815454736607114396079/1362716959], [22998194208099257330/631502981, 33075134186093187713/1263005962, -15921387040825683639/1263005962, -10344660124306894765/1263005962], [-197052939124/25891622221, -364987986055/51783244442, -136199295545/51783244442, -3/51783244442]], [[0, 0, 0, 0], [1121783389652847675458893542083579814092084222/1362716959, -639740569870182715681206540839195869016434845/2725433918, -426992392125320929166014509201758198929013623/2725433918, 24804685807231695513223237429919979581652517/2725433918], [-1938517501648182881049204463233706175/66473998, 276379466508652687935538790516574191/33236999, 184468169163716714608044153652345671/33236999, -21432886767401469296396641551124637/66473998], [166187614197212610348924690131/2725433918, -59087832954406971693714991733/1362716959, -27344452457506397980104018027/1362716959, 40734656921837598002464995773/2725433918]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24151089237558118/33236999, -8406651639197538/33236999, -2848604211863178/33236999, 125955760/33236999], [855560150/33236999, 297808385/33236999, 100912735/33236999, 5/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1901904232108679082348371435626/33236999, -1019524135500104981382218695357/33236999, 569436656849795665390392607425/33236999, 330974722218976085509065640309/33236999], [67375575154643014448105/33236999, 36116975198068294948250/33236999, -20172478800562491614785/33236999, -11724887451335188596003/33236999], [4, 3, -1, 0]], [[0, 0, 0, 0], [-140613815173802371321985719591764464501169973927115/2725433918, 25156338822836542013261160192901544226848582809061/1362716959, 21469614102176112138336578548614456978390417632500/1362716959, -12856296346118511983229364594756747661824138432221/2725433918], [2308402570793580543295364454880070290700435/1263005962, -825963662644824675426475025677879595407207/1263005962, -704916691126371605890164192866539052716481/1263005962, 105528405746845183510981341729006167105916/631502981], [-142035618320891450161162035045/51783244442, 163803903713278588589497457185/51783244442, 82139168018446696855803606807/51783244442, -21558654999274124753416378620/25891622221]]], 0, 8640, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, -20, -8, 4]], [ -410, 36, -1, 3 ], [ 5, 7, -6, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24, -23, 33, 16], [3, -1, 2, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [2424869/2, 5689671/2, 321009/2, -420610], [683472, 1925211/2, -301965/2, -454175/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [183190202933332/286791419, -1394517356158416/286791419, 125260456669698/286791419, 386851823950340/286791419], [-6903224/11, 52550112/11, -4720236/11, -14577880/11], [-1725806/3154705609, 13137528/3154705609, -1180059/3154705609, -3644470/3154705609]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-51/2, 54, 95, 69/2], [5/2, 13/2, 5/2, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3922811018105269881019/5449036961, 2053330915381238927802/5449036961, 303927250328408664267/5449036961, 3240161963633659/5449036961], [4410297997024/209, -2308481578486/209, -341693287972/209, 13517131/209], [-86475042710/59939406571, 45263837634/59939406571, 6699707060/59939406571, 3/59939406571]], [[0, 0, 0, 0], [-1539191287692230398826579892385/5449036961, 1289236587837451900009061867213/5449036961, 1145967172121533095804295094025/5449036961, -538861868244593578134713361436/5449036961], [1730350497081869772182/209, -1449488433311401809160/209, -1288305717137272755386/209, 605845531547140104350/209], [-33929492983847024202/59939406571, 28420484505850882305/59939406571, 25261478521823555541/59939406571, -11878938562441207923/59939406571]]], 0, 8640, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-40, -40, -8, 4]], [ -535, 24, -1, -7 ], [ -145, 22, 29, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [92732130288669/4889722, 6509754919271/4889722, -11029065523723/4889722, 12034549/2444861], [39460781/4889722, 2770141/4889722, -4693245/4889722, 2/2444861], [0, 0, 0, 0]], [[0, 0, 0, 0], [28078140700232310918618132146/877705099, -8119627920026702692118298822/877705099, -2974276683037013587848896810/877705099, 3331279786940808724493104721/877705099], [33281995527171586074/2444861, -9624473306698919382/2444861, -3525506132209469466/2444861, 3948678901122382845/2444861], [-5292941606/877705099, 1212244456/877705099, -5199853728/877705099, -5/877705099]], [[0, 0, 0, 0], [-367087270742407676353327027268451554374159820711/1755410198, -282053001088675678501323865440815184903883660905/1755410198, 66624817226496760965335184530948644650915496483/1755410198, 30141091525137875468638244258819853229892493491/877705099], [-435121463540680151714035649553221954991/4889722, -334327365788859959744832564842634654657/4889722, 78972734525526876104717729589968611563/4889722, 35727298249323960503017898574815190027/2444861], [87482845276260121779004395286/877705099, 73770140537163809222821456434/877705099, -8318842866293117995240712966/877705099, -12908723968840503161464590332/877705099]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [9147955749252973/4889722, -159801637649821/2444861, -6157454156252/2444861, 2349983/4889722], [417545767/4889722, -7293923/2444861, -281048/2444861, 1/4889722], [0, 0, 0, 0]], [[0, 0, 0, 0], [250886518378762757254429652427369997/16676396881, 113152579569510879662905071199451703/16676396881, -31212134265547905259891068161903015/16676396881, -4100113991668221323049807731341552/16676396881], [31897959716507062635213608/46452359, 14386331000633702795085433/46452359, -3968341331724981956153067/46452359, -521292507886288234789561/46452359], [-11080453057/16676396881, -75566089068/16676396881, -75605078041/16676396881, -4/16676396881]], [[0, 0, 0, 0], [244811739255264049899729655009852469340203040772409603/16676396881, 32591214720161999148595508097271413756806371159229149/16676396881, -56877233922466975122996577951717606717454895003196264/16676396881, -6044989157166352438538711978335948475644908269380678/16676396881], [31125606482689569549915460544162701687847425/46452359, 4143679529475102719068153610894048069589015/46452359, -7231427705388987933361146770018425226711280/46452359, -768565950468737853283199372126205691919046/46452359], [-125291800147921556782033618095/16676396881, -29426188855123418793706013865/16676396881, 31203341320220664526045081110/16676396881, -1446311408114722357865539731/16676396881]]], 0, 172800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[20, 60, -8, -24]], [ -410, 36, -1, 3 ], [ 5, 7, -6, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 3, 7, 0], [-4, -1, 2, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [399052380778691730/286791419, -214907844003469676/286791419, -48729587822289828/286791419, -12208105472545/286791419], [-749948128830/11, 404003672265/11, 91568386930/11, -134630/11], [7894193904/3154705609, -4252664717/3154705609, -963878680/3154705609, -3/3154705609]], [[0, 0, 0, 0], [-83058028053991859652553359207/573582838, -38733437768067952095089379191/573582838, -69474367930325640859572122489/573582838, -8894244554040539659678669432/286791419], [7083192668026220011100, 6596411948478715478425/2, 11877759499545074747955/2, 3045490704679889209565/2], [-74560633398905852575/286791419, -34718578624324387975/286791419, -62514317751066824175/286791419, -16028723220199628300/286791419]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [997/2, 96, -74, 13/2], [241/2, 9/2, 5/2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4890342518192031553324465/5449036961, 3188387898475261651051437/5449036961, 1446267235610135748352866/5449036961, -831583403487422165676429/5449036961], [-45986489712604406/209, 39586624857045083/209, -871446278516246/209, -2700376533496111/209], [-479988285012/59939406571, 149642327957/59939406571, -28078964871/59939406571, -2/59939406571]], [[0, 0, 0, 0], [1033677567709539326205033846744939307/5449036961, 772668837375137689042084280927233450/5449036961, 132728886417115653088443112694685616/5449036961, 6425354680881972160089146810828290/5449036961], [9598944588901964547175218551/209, 6981553161517803651467749415/209, 2755662035400814762243005020/209, 98629269524566061497610495/209], [1621867397289595651244710/59939406571, 1213272140086882939826045/59939406571, -623556514165272783265700/59939406571, -434163497399608923317189/59939406571]]], 0, 172800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[60, 0, -52, -20]], [ -790, 21, -1, -3 ], [ 68, -153, -119, 85 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-104651278/1019, 881746/1019, -1194757/1019, -16975/2038], [-185575/1019, 4103/2038, -4433/2038, 1/1019], [0, 0, 0, 0]], [[0, 0, 0, 0], [2933561576785767840187832655/2073540682, 1905113405407752652817833053/2073540682, 183179762509003256524374061/2073540682, -387698663641664228077413558/1036770341], [86590857876302957425/34646, 56275370378902832375/34646, 5644521648244557963/34646, -11511314211327819989/17323], [-7747842533/35250191594, 217239866/17625095797, -1036778506/17625095797, 3/35250191594]], [[0, 0, 0, 0], [-25712728146402138004859242703092887564778482/1036770341, -17536461861024437490882183885506420255358886/1036770341, 3805433822895002613780327815802313850381617/1036770341, 3413253155247383466926134580809120036347408/1036770341], [-760802727686287648909345700340132350/17323, -517808725112222795632144848063570258/17323, 6630872866616528180312839844929513/1019, 100840262391987957411855607396376850/17323], [38089314842788259358653004/17625095797, 14492888078956373799363618/17625095797, 13420422131552894556315217/17625095797, 7670148945193405368961142/17625095797]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [314587, 39320, 39353, -9/2], [-20, -5/2, -5/2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-43052577237903184690303350709/39397272958, 1428888126429398044795568800/19698636479, 91666848337773698144886325/19698636479, 163842870191671267473618125/39397272958], [45731747455702469135/658274, -1517336713075830291/329137, -5817307975432259/19361, -173270418962390577/658274], [196440044595/669753640286, -59313149303/334876820143, 37323740441/334876820143, -3/669753640286]], [[0, 0, 0, 0], [1115145880888735987694338865721049210146235075/19698636479, 850133093435008050306994142087680313382075814/19698636479, 48545623800333184433629021165145806131744329/19698636479, -53439327715438746708999242409695079109913509/19698636479], [-1184521656345338709744094943301434365/329137, -53119881335112364392236568863369180/19361, -3031260875141875736359094612823825/19361, 56784301327093977966461213781555775/329137], [-3532716960234798661479356144/334876820143, -1459313838819132045495369858/334876820143, -1464828755377015066107665428/334876820143, -794828941098632866928278231/334876820143]]], 0, 172800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[100, 0, -48, -8]], [ -605, -14, 1, -7 ], [ 348, 391, -348, -205 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [540175995670708427/33236999, 5591952182347266/33236999, 1910377009002575/33236999, -59481762/33236999], [-19135909600/33236999, -198097388/33236999, -67675736/33236999, -5/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [28849298992313934012112525318626692918/1362716959, -40450186133433059702628486470397572819/2725433918, -50131615921270935953581871428913970377/2725433918, 28765862523922379206069139501251340295/2725433918], [-947215499122780448083825209615/1263005962, 332027519187398395356775806240/631502981, 411495651402989195384630366770/631502981, -472238018019586158538593250179/1263005962], [130380145253/51783244442, 49555703206/25891622221, 5617653700/25891622221, 5/51783244442]], [[0, 0, 0, 0], [185066277958653280438882276713069036522867195102589880739203/1362716959, -92331045680617280469233417495182886090009995795181614489818/1362716959, -143958019203125625418414243830580472561457369488930670081025/1362716959, 74478379035417793346968685546767860426322055932227765730616/1362716959], [-3038161341246034443740197791625396653204685838590905/631502981, 1515762983666159344830611683460646522902502828934304/631502981, 2363302999231191446699623033892487863488240011384507/631502981, -1222682679327431079899974409731527510292156830175125/631502981], [145543665987291596493178716313733/25891622221, -11280708853785235311574122782576/25891622221, -68398646757175110183979006808653/25891622221, -4705511011064716538768169046963/25891622221]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [324244679594593254/33236999, 1095947936967518/33236999, 6031791961568761/33236999, -200475605/33236999], [-11486472795/33236999, -38824714/33236999, -213678184/33236999, -4/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12593651757291284701423085377913261819/2725433918, 5788774656148207517884429567656096713/2725433918, 3485316163898808384238296191511604273/2725433918, -872967983560876017902209905624521311/1362716959], [103372554228063828653502847290/631502981, -95032068869675982012906054977/1263005962, -57217086693285104823334359041/1263005962, 28662353948637634484596513569/1263005962], [197052939124/25891622221, 209638252729/51783244442, 136199295545/51783244442, 3/51783244442]], [[0, 0, 0, 0], [-824446542416266266303377790975565970280151452579873335412469/1362716959, 614293336951784539502865803703150786613132597541360427167581/1362716959, 228717228932188150463863131523941275227956111988771530217569/1362716959, -163685888682361422283740056128706646644379390761078755609547/1362716959], [13534619768390460831524547819358733679117034384189925/631502981, -10084615812690181681925502483128813536192775941329021/631502981, -3754762231415995776995209271225365857399343915346348/631502981, 2687167837898022811990953911502562060512502941933459/631502981], [55357948276336611348618155958488875/25891622221, -4675965367164746061830300723643875/25891622221, -25971848585542870424800198047487300/25891622221, -1613302793214001581133027311272775/25891622221]]], 0, 172800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[10, 0, -10, -4]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-15/2, 25/2, 19/2, 0], [-15, 23/2, 19/2, 9/2], [25/2, 2, 0, 3/2], [0, 0, 0, 0]], [[-33869912, 1064841, 30078072, 11906815], [-29167529281/278, 2698639903/139, 10255900103/139, 558056289/139], [2129575/2, -7583695/2, 23813615/2, 6774005], [-253/139, -146/139, 471/278, -2/139]], [[285084917555581/2, 94430111012707, -88289450160700, -103405713576381/2], [48927114841976939/278, 34667093359072047/278, -32576125177339619/278, -9950867203131142/139], [94430071710975, 108506035753115/2, -103405733806375/2, -57017005720675/2], [151310352/139, -81847897/139, -126782965/139, -32009984/139]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, -15/2, 7/2, -5/2], [-5/2, -7, 1, -7/2], [-15/2, -3/2, -5/2, 1], [0, 0, 0, 0]], [[-1235808, -587144, 883807, 463450], [-261845718/139, -128603128/139, 188447199/139, 197457593/278], [-1174105/2, -704463/2, 926925/2, 247180], [-237/139, 483/278, -306/139, -1/278]], [[-2056158933917355/2, -1079463092363035/2, 1492572255017749/2, 392116349661993], [-218098610176965405/139, -229040733769181723/278, 316385298537306939/278, 166250651937260305/278], [-1079404118192985/2, -281778533147553, 392088072185043, 411202592077641/2], [197357205575/139, 82689232650/139, -155991981575/139, -76494440650/139]]], 1, 150, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[10, 0, -10, -4]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 15/2, -7/2, 3/2], [45/2, 5, 2, 9/2], [15/2, -7/2, 3/2, 0], [0, 0, 0, 0]], [[-33423057, -12591035, 54331380, -20926242], [-30656301765/278, 5198888119/139, 5526619814/139, -5374800725/278], [-12590960, 20908384, -20926240, 6684592], [212/139, 365/278, -137/278, 5/278]], [[3677787830843, -6704607433957/2, -3394981188309/2, 679058203527/2], [-319239089317715/278, 34554724241996/139, -682675580422604/139, -400828841088857/139], [-3352301812960, 1980305146208, 339540735264, -735553428512], [-62536163/139, -4312373/278, 78374715/139, 65979457/278]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[10, -5/2, -23/2, -1/2], [65/2, 1, -10, -15/2], [-5/2, -3/2, -1/2, -2], [0, 0, 0, 0]], [[344158107/2, 116885681, -187706290, -182023583/2], [344783906579/278, -124685760901/278, -67231348443/139, 5686485707/278], [116885670, -15627150, -91011800, -34415810], [-7/278, -87/278, 415/278, -5/278]], [[-7897721001841983, -3961847067241686, 8354489518750986, 4314713229843305], [-36730455728304694, -671816440404477, 18352219424475138, 4545776595294289], [-3961847513878980, 456764747888845, 4314712540811915, 1579544763894405], [-41254643, -5754511, -21424229, -14193342]]], 1, 150, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[8, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-11, -1, -1, -4], [10, 5, -3, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [429040, -627440, -119536, 155744], [828478, -463743, -251685, 152201], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-97, 1, -21, 12], [4, 1, 3, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-56846909626/19, 7379393343/19, -15243864790/19, -14837812946/19], [1010745104/19, -1153699376/19, 3060551880/19, 1806971016/19], [79/19, -10/19, -71/19, -4/19]], [[0, 0, 0, 0], [-115413692413105223, 92789780620150973, 31655608797545065, -25700876847484287], [6789587621681848, -5402797810768040, -1851801340448328, 1500643474720600], [-1665423, -94839, -120075, 126441]]], 0, 320, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-40, -32, 24, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [35, 8, -2, 3], [17, 7, 5, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, 1, 0, 0], [0, 1, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-38373600, -71683584, 23947392, 30217440], [-51483107, -50704589, 33606027, 20846982], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [460, 283, 143, 145], [12, 8, 4, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13903449116/19, 4429474268/19, -5125468943/19, 2479683541/19], [-123251696/19, -85347831/19, -225574497/19, 132250662/19], [-88/19, -17/19, -58/19, -3/19]], [[0, 0, 0, 0], [14382779220529446413, 3843208853760201298, -5731419648085780044, -543210960593281111], [377353873630339259, 119629312312509226, -154828949086151076, -17630648337458467], [201332747884, 120890693232, -80829799628, -40557238904]]], 0, 1920, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, 48, -32, -32]], [ -790, 21, -1, -3 ], [ 68, -153, -119, 85 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2183706/1019, -4611683/2038, 111601/2038, -25301/2038], [-4644/1019, -9667/2038, 331/2038, 1/2038], [0, 0, 0, 0]], [[0, 0, 0, 0], [2453024259271274598523/2073540682, 1015959117782867280100/1036770341, -291742873243681344334/1036770341, -524719463320838809777/2073540682], [86084280450103/34646, 35454009967954/17323, -10235093039877/17323, -18360240265741/34646], [-8784612874/17625095797, 1471250073/17625095797, 1036754011/17625095797, 3/17625095797]], [[0, 0, 0, 0], [4839889059996987222821956383323395/1036770341, 3163127330914318788740831083800321/1036770341, -2093523554632184620625638436633227/1036770341, -1279940153448979747520897241615618/1036770341], [169255782992903493006047501/17323, 109462135632858845275075831/17323, -72800069146428233725075267/17323, -44264208170051730802563390/17323], [-60835640353026454741560/17625095797, 17701046428558664556800/17625095797, 21137446972996499524400/17625095797, -1140281974359222363800/17625095797]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-160912361/1019, -242359893/2038, -24803031/2038, -109555/2038], [-6448/1019, -9721/2038, -993/2038, -3/2038], [0, 0, 0, 0]], [[0, 0, 0, 0], [7582138558888274256296581/19698636479, 6737924429123389648936913/39397272958, 8976768615447850613508403/39397272958, -1544640423339717035474799/39397272958], [5035317996395814/329137, 4582476507174365/658274, 6055048415657053/658274, -1064804993334487/658274], [-6233525189/19698636479, -53253830164/334876820143, 58750346540/334876820143, -5/334876820143]], [[0, 0, 0, 0], [203762749345047479960554384879573310764/19698636479, 229188672125854199102125942816874849217/39397272958, -285896909766752249110143836705432297991/39397272958, -154581084909198363666727018663119834137/39397272958], [136453839361365969945522507870/329137, 153467162663160915836650547331/658274, -191448092078581383145858383771/658274, -103510557214312069427692576005/658274], [-34173692972036474099691/334876820143, -26702596430165553324294/334876820143, -8345265824355710286330/334876820143, -2644564273156692159819/334876820143]]], 0, 368640, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[64, 64, -48, -32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-223, 7, -3, -4], [1, 5, -1, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1574874136, 129165687674, -2013248292, -29556789592], [-4061897252, -161019516, -79981636, 234276948], [2, 0, -4, -2]], [[0, 0, 0, 0], [-65637475411888237, 50853979490057848, 18910864651711188, -14069136287790545], [-2523535465052160, 2345527254620160, 713371353077760, -689188454722560], [593951, 557656, -441564, -288725]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-86, -168, 112, -6], [-8, -2, -2, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-225872663821/19, -159310370206/19, 73406764148/19, 46383834829/19], [-4652519843/19, -6604951436/19, -475439360/19, 1095452819/19], [278/19, 8/19, 82/19, 4/19]], [[0, 0, 0, 0], [12775280049040650, -128842591437732076, -21565801972296154, 22866712756817088], [-18569223986209512, -5978094294927917, 9264511135440169, 4011612276207927], [-1815234456, 2523212247, 338387331, -857025747]]], 0, 102400, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-160, -96, 80, 48]], [ -535, 24, -1, -7 ], [ -145, 22, 29, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-74261182797800/2444861, 4789898258451/2444861, -10631565140249/2444861, 2919251/2444861], [-31600734/2444861, 2038261/2444861, -4524103/2444861, -5/2444861], [0, 0, 0, 0]], [[0, 0, 0, 0], [-100336954774971696275941150975/877705099, 1265680543067541696167431435285/877705099, 29719401278358247815265711438/877705099, -263659999740667748890549324579/877705099], [-118932295503139447851/2444861, 1500254554018409260537/2444861, 35227517421782509718/2444861, -312525228162669345973/2444861], [-1300071987/877705099, 2014549200/877705099, -1191023860/877705099, -1/4388525495]], [[0, 0, 0, 0], [513818978817231742535105075895492114129629622633/877705099, 434356179938242624362803635233401168909755820521/877705099, -161693096753391271041082411929190989628304767302/877705099, -130312508648994934325431548601187134485896584362/877705099], [609047656107381480328399953695506536753/2444861, 514857586802211826992455317532833846205/2444861, -191660514090575794353622094473478690952/2444861, -154463987762534548005744567274887306942/2444861], [-435042164921649737325333735/877705099, -276064422618517596449581895/877705099, 176964087220266145139925155/877705099, 107499073625659811119840192/877705099]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [703849069982998/2444861, -314258362681872/2444861, 57868723729954/2444861, 112084094/2444861], [32126198/2444861, -14343886/2444861, 2641338/2444861, 4/2444861], [0, 0, 0, 0]], [[0, 0, 0, 0], [13177212004893601276757019368/2444861, -2798072564386008463524879497/2444861, 3797374404046903347248890494/2444861, -2583740606323335052612126683/2444861], [601455106528038388460/2444861, -127714214281337842453/2444861, 173325936200873822218/2444861, -117931231562478331031/2444861], [-11, 7, -1, 0]], [[0, 0, 0, 0], [-22158583645469437940344347625356282816126916803546/16676396881, -13851130694362381299949608761518316580991312007283/16676396881, 12622339431705168692831800418271113847504287307495/16676396881, 7262090046032199051792025308883716600500329771359/16676396881], [-2817260599863659381261389365226844170794/46452359, -1761044268754049914150828627182756101947/46452359, 1604814478360730383735524991185148175415/46452359, 923308056901519131538523083254898370755/46452359], [19392483647721963969365443416/16676396881, 11995904637260545090409873772/16676396881, -10780980947761488244351577604/16676396881, -30948140246222309641081778988/83381984405]]], 0, 368640, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[96, 80, -48, -32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [119, -8, -6, 7], [1, -4, 0, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [702, 616, -442, -192], [0, 0, 0, 0], [0, 12, 2, 4]], [[0, 0, 0, 0], [-61766002371, -123892357894, -24157526432, 7980795239], [0, 0, 0, 0], [-13040489337, -11366584348, 6364103086, 4328006891]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [218, -77, -25, 25], [-4, -3, -3, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [301686690333/19, -132671621330/19, -61956299738/19, 40189741263/19], [-8874472644/19, -729288452/19, 38783206/19, 150020050/19], [-189/19, -16/19, 8/19, 5/19]], [[0, 0, 0, 0], [-5679001423398520690/19, -5477723167451624292/19, 2957652435253279334/19, 2221641011467585994/19], [522767886325028522/19, 391426230265715336/19, -269898324752294636/19, -170646579468719448/19], [9668364940/19, 7431519550/19, -4833796630/19, -3122430870/19]]], 0, 102400, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[80, 16, -32, -16]], [ -605, -14, 1, -7 ], [ 348, 391, -348, -205 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1901505118533364/33236999, -3945023943057130/33236999, -439474560481546/33236999, 84672914/33236999], [-236333782/33236999, 490318058/33236999, 54621284/33236999, 6/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [24263838605737139109344551072527/1362716959, 14872306306678164988854597592188/1362716959, -6950876196880773416036010545924/1362716959, -4975514224422143633772179780935/1362716959], [-1397518239444616010374505/631502981, -856596473824404314572291/631502981, 400347872122931570714959/631502981, 286573446041342631399290/631502981], [-119839089535/25891622221, -115537396239/25891622221, -86663112583/25891622221, -4/25891622221]], [[0, 0, 0, 0], [-2625275660859391259923549153346115908878264836727/1362716959, -980495091620677116662768844901148397475053684861/1362716959, 763271764415473967769600781544602948114656157178/1362716959, 272530093003574048175206016984028142839725555455/1362716959], [151207349043346761928519792258954193642322/631502981, 56473324040635458752351124956440980334281/631502981, -43961974161169251464489490670765087325790/631502981, -15696845735277809070263068090296677222979/631502981], [39836139217741986990959421333/25891622221, 9659600590199802301225333167/25891622221, -9805148523291973881938778870/25891622221, -1265891931490707820788573084/25891622221]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-79284140125296/33236999, 1715749673572696/33236999, -1394450538763232/33236999, -215513688/33236999], [9854070/33236999, -213246636/33236999, 173313090/33236999, 2/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [-70002828449290933327424220015/1362716959, -69123064843941347978139590457/1362716959, 15966467494858641585449834887/1362716959, 16318194961890534140953697053/1362716959], [4032020869779079688935/631502981, 3981336519031893003272/631502981, -919640428300272115723/631502981, -939895150566773820618/631502981], [-15350566503/25891622221, -68209234269/25891622221, 54030305922/25891622221, 1/25891622221]], [[0, 0, 0, 0], [-38475623989316503629486699299297567737761018272/1362716959, -28731773253403256083997817148624714266437145806/1362716959, 11182230167662146143797004532402858599648448728/1362716959, 8188333339497154925753661916562742817998810174/1362716959], [116637206931308848332976748400779198016/33236999, 87099336611357972449633325163499443400/33236999, -33898424050945209327830635996303365652/33236999, -24822623436945019737786116396378863204/33236999], [-2707619671389609539393104442/1362716959, 1728711802431950364459664146/1362716959, 796864739765666713490842860/1362716959, -548473615030351097146147990/1362716959]]], 0, 368640, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-16, -48, 16, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [163, 11, 13, -12], [3, 1, 5, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [18802699810, 9743253829, -6905921655, -3767698369], [375771700, 11099920, -17674488, 11935698], [-6, -9, -5, -1]], [[0, 0, 0, 0], [1010133675303, -1887788793098, 786810186968, -86008059077], [-142952327065, -30893778450, 231921413216, -91169988469], [256, 952, -312, -304]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [204, 283, -165, 63], [0, 1, 3, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2720523456339/19, -10358396905432/19, 1123252122102/19, 2551504380059/19], [-58466294264/19, 134439442224/19, 4985818224/19, -26934471280/19], [205/19, -12/19, 6/19, -1/19]], [[0, 0, 0, 0], [-384103579776240782, -117782160932668516, 112788713512420002, 41794658017270724], [5353295197689672, -483925204267836, -1758283098179556, -195668600397164], [8496456, 11065152, -5730168, -4412888]]], 0, 102400, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[80, 32, -16, 0]], [ -410, 36, -1, 3 ], [ 5, 7, -6, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, -23, -43, -4], [-16, -7, -5, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [10708674321863126658/286791419, -8280423562467353574/286791419, -58845634947657103/286791419, 8078909578419674/286791419], [-632097994100/11, 486107606763/11, 4030980791/11, 105527998/11], [25474161094/3154705609, -19613815821/3154705609, -156692805/3154705609, 1/3154705609]], [[0, 0, 0, 0], [293902594484417400695615010578825/286791419, -255708983232015757842374483987280/286791419, -63181368230415952204671950416276/286791419, 82670158524448636474598596650102/286791419], [-1576901696001068048113359, 1365227688623997162270281, 338609186216778787619864, -441868394863082356756457], [63553681943014059718845/286791419, -55084854549051239598320/286791419, -13649536862922840073194/286791419, 89123428225031226911217/1433957095]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9, 54, -54, 57], [-3, -5, 3, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [189938691208550188712599/5449036961, 281235415237702463091585/5449036961, 8715875845595526041738/5449036961, -33211440905972997179/5449036961], [-93805601330244/209, -138043909678100/209, -3933603450599/209, 196169609652/209], [489228912609/59939406571, 725225581815/59939406571, 22719199223/59939406571, -2/299697032855]], [[0, 0, 0, 0], [-1366882550840326674074615914367450215846/5449036961, -548948269265525923847922832752379150944/5449036961, 689613468771038702063366626842987064364/5449036961, 325509277724685959382542916229442557644/5449036961], [60751707731400084911578854310/19, 24451404953284105034050481318/19, -30633196862284753520163382090/19, -14473295961390616176350702746/19], [-320568735897839735339896668/5449036961, -128671424835210074286560946/5449036961, 161735739264865545214394094/5449036961, 381612308665749724315383094/27245184805]]], 0, 368640, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-64, -48, 32, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [312, 45, 39, -27], [8, 5, 5, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [1739838229631, -148341449412, -122659945692, 117982739671], [63634467117, 531190413, 229374249, 1729518336], [-4, 3, -1, 5]], [[0, 0, 0, 0], [958660648573086048305, 687682526245739236115, -298246919378119458979, -214725239937812584626], [40061537103841887543, 29592063874651176717, -12313595277765272829, -9312989354840581254], [4985938080, 3729604440, -2515691880, -1182993480]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-148, 39, 29, 29], [-10, 1, -3, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-168417752760/19, 176093426072/19, 30090638766/19, -45651998452/19], [-9679070355/19, 14860432635/19, 2719114563/19, -3499452426/19], [-193/19, 67/19, -43/19, 4/19]], [[0, 0, 0, 0], [1580655421843100717/19, -2668071668454385732/19, 753106094816134888/19, 677150348512236121/19], [780149896082790129/19, 283359057696938082/19, -243156879641710836/19, -127156754455957077/19], [-23409876930/19, -13714212490/19, 13244425260/19, 3052091240/19]]], 0, 102400, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[240, 224, -112, -96]], [ -535, 24, -1, -7 ], [ -145, 22, 29, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1316498495004486/2444861, 33707888253938/2444861, -17697848302814/2444861, 10158956/2444861], [-560216174/2444861, 14343886/2444861, -7531060/2444861, -4/2444861], [0, 0, 0, 0]], [[0, 0, 0, 0], [6381924372541064126344164892255092/877705099, -20133830962046469657304971117056334/877705099, -1541795991066230934390991799887344/877705099, 5054593470757206892785175519912160/877705099], [7564713088479982430550726/2444861, -23865319312926843055461692/2444861, -1827543576194330551095546/2444861, 5991382725837625236025564/2444861], [-8711108344/877705099, -11251315378/877705099, -3008685242/877705099, -4/4388525495]], [[0, 0, 0, 0], [-12511036754973047271571956960937332380760810621808427/877705099, 12933868939208436352781405378982457222399775878392127/877705099, 3518805785051947389923302475504294851723621104905361/877705099, -3652908911128967740636647704990238899946420808269125/877705099], [-14829759947063483655278727146519023787249513/2444861, 15330957577195304919756245606474055777071783/2444861, 4170960884298420604032841270391231748749649/2444861, -4329917971246660380467339698183459862788885/2444861], [4193513035432449099154376758/877705099, 3642414912781905660124410345/877705099, -1778932389140373795523467965/877705099, -6893268119847963907339721611/4388525495]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4506903513058701/2444861, 153565900557747/2444861, -4304613696077/2444861, -92525206/2444861], [-205711329/2444861, 7009303/2444861, -196477/2444861, -4/2444861], [0, 0, 0, 0]], [[0, 0, 0, 0], [5258345946912159325558744066015847/16676396881, 15700824744708738814209562592908509/16676396881, -954162731846679547590140606831269/16676396881, -559773138368973108587350219940808/16676396881], [668551178541782678165237/46452359, 1996217990428873795220547/46452359, -121313193089971603077109/46452359, -71170105211428172216090/46452359], [-39463758132/16676396881, 39137302360/16676396881, -5892868116/16676396881, -2/83381984405]], [[0, 0, 0, 0], [-85791012524311907285176019385738988626644661365801131/16676396881, -74702564685273627415361959747281033745825926975353303/16676396881, 21666555873111285853939580315705492358528851456506864/16676396881, 19586059470072109660425475846087404408883240064129093/16676396881], [-10907551870078413683600698824957680045187475/46452359, -9497755939582551381974239185553604645011279/46452359, 2754706765368987185182768215676478495229514/46452359, 2490190446749250905062188412933506651166983/46452359], [9967362460333819022719409931/16676396881, 6101247266188327970457698562/16676396881, -3827890634953678727685205350/16676396881, -10856694921161200092281837603/83381984405]]], 0, 7372800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-224, -128, 96, 48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-425, 9, 7, -8], [-297, 3, 3, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-22518915667227, 1471454254868, -734689257840, 806142086739], [-15604839004026, 795488035209, -709048693371, 699333239495], [3, 11, 3, 4]], [[0, 0, 0, 0], [-68868267044979545779, -95622870256165768417, 23233277449400216021, 31586146483722302484], [-48678991920943082167, -67651472685776177059, 16333645635537066251, 22367136358082208294], [176204880, 106659450, -77523210, -41588514]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1243, 102, 20, 3], [-199, -14, -4, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-244805727379567/19, -50258014438329/19, -28076124493619/19, -20240615891848/19], [39987175449309/19, 7590853585150/19, 3904393885164/19, 2913636372951/19], [-134/19, -307/19, -65/19, -5/19]], [[0, 0, 0, 0], [-7209602314495723263531822/19, -10475368368778247689616680/19, 3039041084080547773479458/19, 3791080769575405411286148/19], [1083618771903474026903772/19, 1664358920204735259960300/19, -451250797641737627251368/19, -600631331726762502289332/19], [-20499509993652/19, -10198938205836/19, 8736791471100/19, 3660841385784/19]]], 0, 1843200, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-240, -48, 96, 16]], [ -410, 36, -1, 3 ], [ 5, 7, -6, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [69, 101, 7, -10], [88, 3, -3, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [13892065039922533105/286791419, 848305152896072081/286791419, -547526025566351206/286791419, -3951317103958271255/286791419], [-7020745177970/11, 10042705909682/11, -9252996893/11, 109952030286/11], [22008442853/3154705609, -29105766991/3154705609, -735020013/3154705609, -4/15773528045]], [[0, 0, 0, 0], [-2157929928283201076635473771466725/286791419, -1307784243145967534271454399590266/286791419, 828109624529869408556717093491197/286791419, 543343788638553846576544517412135/286791419], [-55460675306806258125983809/11, -623662491778013075355317116/11, -214226467549537461096075578/11, 8559007549769793922061624/11], [2997490178609890676600/3154705609, 1674299263163868454487559/3154705609, 646288452830731158747591/3154705609, -14093289697896596316439/15773528045]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-250, -62, 30, 16], [8, 6, -4, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-32439305015294967694339/5449036961, 160293397063045341781123/5449036961, 4165095804857318639146/5449036961, 255791635065584194/5449036961], [-20585096665074/209, 101731233052368/209, 2642822101208/209, -66912761/209], [187399568214/59939406571, -926084450369/59939406571, -24059140635/59939406571, -1/299697032855]], [[0, 0, 0, 0], [9608482753290643865820765799372070356450/5449036961, -2516143278449991404949245160786773495730/5449036961, -1683875601694231275171178194283924310981/5449036961, 685541000729870509605509707920621251218/5449036961], [6098059815692069039213124971646/209, -1596786275460256247452515153729/209, -1068680396246547056316076231289/209, 435056221801257658749948652818/209], [-55512222492180912351096593320/59939406571, 14536299718247809177266887611/59939406571, 9728470894532306154198067121/59939406571, -19802576374256638813479345633/299697032855]]], 0, 7372800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[16, 48, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-52, -11, 11, 1], [-198, -3, 5, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [104997632631743, 21384210754130, -23812824431022, -2538049458871], [393726841879327, 19333226508405, -12780443088057, -7811146662924], [16, 5, 3, 5]], [[0, 0, 0, 0], [27709725739186066052318, -76423109158872693295003, -8922018073049919742297, 19840896489928688388413], [423694158402371941438144, -521040127332174171180611, -180696623104250433931961, 162148004390148591496531], [-3594510290, -10340007440, 174890464, 12922042]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [26, 42, 8, 6], [28, 8, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-567558725/19, 475269505/19, 120736911/19, -116239952/19], [503675772/19, -446699035/19, -133852753/19, 119699065/19], [113/19, 54/19, 30/19, -5/19]], [[0, 0, 0, 0], [6134859069632951/19, -5930738735439281/19, -1331538381286323/19, 1382962408722256/19], [-6067153803503673/19, 5037153172619633/19, 1579682544068247/19, -1356972581727282/19], [554090218/19, 1699770916/19, 239263816/19, 28667870/19]]], 0, 1843200, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, -32, 80, 48]], [ -790, 21, -1, -3 ], [ 68, -153, -119, 85 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [42604368/1019, -2651749/1019, -729115/1019, 12054/1019], [-41662/1019, 2534/1019, 688/1019, -1/1019], [0, 0, 0, 0]], [[0, 0, 0, 0], [38169544785773637816761703/1036770341, 102840716055776738612372920/1036770341, -9801147838918822646118647/1036770341, -24939068935049852915333793/1036770341], [-626756498811316696/17323, -1682447251683283603/17323, 160829990222119966/17323, 407919831298866607/17323], [-9984866597/17625095797, -5295725623/17625095797, -2419152569/17625095797, 4/17625095797]], [[0, 0, 0, 0], [5990170739569452224528938652360653276637651/2073540682, 2063820389469772052015612154526528796088965/2073540682, -2003269316414229380064065902818963018465005/2073540682, -360886580623091685774840372210387813375021/1036770341], [-98043982026294259262837463023480195/34646, -33867418357046579723421561331352807/34646, 32798638660889195712916835062947559/34646, 5921763818674236244866051503762663/17323], [-605500514648669197138076134/17625095797, -581750733118399173775643528/17625095797, 332741618400310127280613564/17625095797, 254135579373038453367419674/17625095797]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [180363931/2038, 7079787/2038, -1880137/2038, -9519/1019], [-175819/2038, -7187/2038, 1733/2038, -2/1019], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1123868259756753168187793905915/19698636479, -443972915165353853441726350002/19698636479, -19554546459507831807935777198/19698636479, -8284436902294450198444657695/19698636479], [18297935122765298828593/329137, 7260287995443555085820/329137, 346486282692880013390/329137, 142080181441666552985/329137], [-249698168799/334876820143, -183998767048/334876820143, -27647203650/334876820143, -1/334876820143]], [[0, 0, 0, 0], [116368011430410192192012049530508430118143788/19698636479, -57001830564956718774968710493263050858525075/19698636479, -85087157797014735324323203718181386769636913/19698636479, 43031456389472890117771733441398653836900997/19698636479], [-1891478188412419657034005335982611624/329137, 926208049080752002831008230924796639/329137, 1382997533360593055431451483884950751/329137, -699270729448740401855666993931294005/329137], [303270867822926215616068/334876820143, 934159254982888106558529/334876820143, -211094179536326466828113/334876820143, -373936127078879069228899/334876820143]]], 0, 7372800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-176, -160, 112, 80]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-107, -3, 3, 0], [-123, 3, 3, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-49898584811, -20281179644, 1151281608, 6588772331], [-56652625878, -20449780452, 952857140, 6700922120], [3, -12, -4, 3]], [[0, 0, 0, 0], [-276372754700227991864, -121677454435438041728, 130650644161266262544, 66612005407445545592], [-320466905763090066627, -136756919059311143154, 152738691374907414444, 76657076851432683819], [-54972367241, -50185261478, 34938793844, 25039582145]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-339, 152, -24, 29], [35, -4, 2, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-41685637797, 72523008034, 2270637258, -17014962411], [2761902749, -6629801360, -572604738, 1324312197], [2, -6, 0, 0]], [[0, 0, 0, 0], [-8172901901066963190/19, 10699613483853464709/19, 4910148653571484709/19, -1845870048425978089/19], [-1712648062638010203/19, -2330538609927754830/19, 982599810731060238/19, 933632507292927201/19], [-4747144803/19, -4372098081/19, 3023025747/19, 2177642874/19]]], 0, 1843200, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[160, -16, -96, -32]], [ -605, -14, 1, -7 ], [ 348, 391, -348, -205 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3902446266694714/33236999, -222462241093538/33236999, 1184382158893548/33236999, 298079380/33236999], [-485026126/33236999, 27649284/33236999, -147204186/33236999, -4/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2644985847102082949676274941/1362716959, -9256129907497557991207101079/1362716959, 701334650938786564444039920/1362716959, 2518951434250288072514227169/1362716959], [152342588800517572852/631502981, 533122989101853869925/631502981, -40394596385783012916/631502981, -145083414723366425397/631502981], [-87293888233/25891622221, 115537396239/25891622221, 8988245920/25891622221, 4/25891622221]], [[0, 0, 0, 0], [-747024977953771541109921750945174281633840659388/1362716959, -1562230977301628448082739795537185727427352820541/1362716959, 216478885625978747344724811532322039757976280551/1362716959, 438016511463320023598028243820354111458554024904/1362716959], [2264537366579603410582948125768713728112/33236999, 4735759167105220274339762861611880993703/33236999, -656235775831717647837724383441716208852/33236999, -1327806657990791470746654280386353688630/33236999], [-326885816768214977166508376198/1362716959, 1810763645352634280888037646782/1362716959, -79071836678670396175904427445/1362716959, -674926084441830513619059224677/1362716959]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [64874162582259600/33236999, -222462108145542/33236999, 1184382291841544/33236999, 98657386/33236999], [-8063061898/33236999, 27649284/33236999, -147204186/33236999, -4/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [11614685503960249815/1362716959, 1900489262267502515/1362716959, 7555372794347149705/1362716959, -2181093035641543644/1362716959], [31022366826/631502981, -704378561811/631502981, 860863868861/631502981, 148677631969/631502981], [41242188724/25891622221, -35357254615/25891622221, 75427805183/25891622221, -1/25891622221]], [[0, 0, 0, 0], [-19246047701828892141382021978576694394/1362716959, -21991324868077293031312919404292402218350/1362716959, 1642847446133806869744965865034436291109/1362716959, 7812977020971278577521549693539458501024/1362716959], [13453254480905232701124919084333/33236999, -74468180619992441190191724767565/33236999, 6612815516787146185831366250981/33236999, 29176742412707372412506543519099/33236999], [1064364243058649198264875728744/1362716959, -8205408430506102912826126622256/1362716959, 538571110013961090067780932360/1362716959, 3054131009570645617740958315155/1362716959]]], 0, 7372800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[16, -64, 32, 32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [332, 9, -5, -11], [278, 5, 3, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [141936179014606, 43623508613654, -48506163458982, -23557526990086], [132258724049410, 43757366482807, -48423408442489, -23667999270713], [-6, -1, -1, -1]], [[0, 0, 0, 0], [318575755583881520700368, -11494496701545897870384, -68515766164527816558656, -69232904705335780072896], [312117780475894423431747, 6377757901166509484819, -87218929108118153691557, -68850750938577699141440], [-5334454433, 19673811311, -9613602537, -9754251584]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1605, -69, -33, -32], [227, 1, 5, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-350101495141/19, 1876417788785/19, 96516655547/19, -399351036524/19], [60693284700/19, -268333652660/19, -13921696528/19, 56908939086/19], [111/19, -9/19, 33/19, 4/19]], [[0, 0, 0, 0], [-11337843675294849457428/19, 11769389375788864081193/19, 4722277334819325382157/19, -2122308892719274562511/19], [1676420000513249167278/19, -1736640738057371719255/19, -666450007123781309447/19, 326801801527820288003/19], [231308578950/19, -1067940832700/19, 560368435900/19, 544278201870/19]]], 0, 1843200, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-40, -40, 16, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [40, -3, -1, 3], [-35, -5, -3, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, 1, 0, 0], [0, 1, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [1405431185, 691590445, -839559485, -418635180], [-1257798030, -592076316, 727359324, 340658814], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-395, 22, 20, -9], [-10, -3, -5, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [239256175228376/19, -1648816082427/19, -16054255541554/19, 17588400251494/19], [9718721910330/19, 607059002868/19, 143202830300/19, 12242329323/19], [18/19, -155/19, -122/19, -5/19]], [[0, 0, 0, 0], [54713963178128224870425/19, 189986315406107832830393/19, -62001220215633951560441/19, -74903500902682367508819/19], [1844818156440302198850/19, 8186721574702020729785/19, -2531188503204704017520/19, -3004982375294679680115/19], [-361255155625/19, -177603338000/19, 215617140975/19, 106598256600/19]]], 0, 7680, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-160, 0, 112, 32]], [ -790, 21, -1, -3 ], [ 68, -153, -119, 85 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1486677/2038, -585303/2038, -36643/2038, -7978/1019], [-19595/2038, -8125/2038, -357/2038, 1/1019], [0, 0, 0, 0]], [[0, 0, 0, 0], [278530490817361959851/2073540682, 198148924086311921763/2073540682, -26663492134323709887/2073540682, -8268163278538672893/1036770341], [61634010166585/34646, 44273824430473/34646, -6848749743305/34646, -1957443045956/17323], [-12604727474/17625095797, 4637498055/17625095797, -264275113/1036770341, 1/17625095797]], [[0, 0, 0, 0], [-35196767258518787992940624251525221/1036770341, -53768372231648932323849146855834001/2073540682, 20554450453327496781417627880161445/2073540682, 15690267313889146779167042697053415/2073540682], [-7609574690525510114741953980/17323, -11856478587557186525838541549/34646, 4428974152016001661251507415/34646, 3457445875116737261181245755/34646], [4661739956618093534650500/17625095797, -425531941239079836411250/17625095797, -1459994390341223291980250/17625095797, 144481390878494686413250/17625095797]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [245317073/2038, 33295203/2038, -13827871/2038, 2883/1019], [29785/2038, 4049/2038, -1681/2038, -1/1019], [0, 0, 0, 0]], [[0, 0, 0, 0], [73253140462442828021/2038, 16104649197848249656/1019, 32938833386052293151/1019, -35758346552394683989/2038], [151178934383468805/34646, 33279907586704530/17323, 67975788733776150/17323, -73830348178857301/34646], [2/17, -6/17, 0, 0]], [[0, 0, 0, 0], [359255459166496435636296585749840034171014535/39397272958, 130859859673495470229334657180284174091038764/19698636479, -66153904268105469598793362648113695749844591/19698636479, -91827756996783324626301865099272864304323127/39397272958], [728739357647761668336115962381344565/658274, 265458760822241291341195969321817742/329137, -134179163691301279899255659945846976/329137, -186264606405617497027867204215583593/658274], [-15012399760643015975951163990/334876820143, -11905544939814113338952260605/334876820143, 6856325931014861337615152925/334876820143, 4654992013976098226795430015/334876820143]]], 0, 2211840, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, 80, 48, 0]], [ -535, 24, -1, -7 ], [ -145, 22, 29, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12725585262394/2444861, 17427236200205/2444861, -7066322280341/2444861, -22098627/2444861], [-5415186/2444861, 7415903/2444861, -3006957/2444861, 1/2444861], [0, 0, 0, 0]], [[0, 0, 0, 0], [-168212846676438158241797494/877705099, 828910872036656527391756903/877705099, 54902786387507042323964243/877705099, -208081139839953263648849056/877705099], [-199405097803276264/2444861, 982521868157923449/2444861, 65081243855226517/2444861, -246642435802100404/2444861], [26711012/877705099, -2089949555/877705099, 2566738431/877705099, 5/877705099]], [[0, 0, 0, 0], [294850107756735743475203575282486572985056/877705099, 2560228631295477019305258051433332575809862/877705099, 50310521997805587078052846068833095798830/877705099, -646802243350178251142585522187889835766350/877705099], [349428231121027254655280110759168/2444861, 3034665280760669470912946241136224/2444861, 59645935425147992351848867873790/2444861, -766663871460900526293263849817640/2444861], [8193545624932325314684134/877705099, -11334295340342154094369902/877705099, 571204124587637088396438/877705099, 5608283076232842863209716/877705099]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-638772324015769/2444861, 312476723512708/2444861, 61574468216690/2444861, -89985467/2444861], [-29155873/2444861, 14262566/2444861, 2810480/2444861, -5/2444861], [0, 0, 0, 0]], [[0, 0, 0, 0], [3454972345517981827596404673333/16676396881, 3650367712318069681979510308621/16676396881, -976676808741201666288316730412/16676396881, -963459498442466072878707715860/16676396881], [439268599797970858207/46452359, 464111345513687402575/46452359, -124175657228817632554/46452359, -122495192175307789158/46452359], [-47231218731/16676396881, -21106647653/16676396881, 53917643825/16676396881, -2/16676396881]], [[0, 0, 0, 0], [-2635966584969860229416784501288456005415177746472/877705099, -2238589488944815084398509835046557777197574724332/877705099, 730103054668602559354214386535583795089120001936/877705099, 619567886277630824909853703698617811025418860896/877705099], [-335139387259079533886580717027235141356/2444861, -284616472144923103326448092913656323030/2444861, 92826021122773514081383827953451847596/2444861, 78772471103006025944875839368508263298/2444861], [-2851737029486347424486500296/877705099, -2085864460689302115606901422/877705099, 1520529223175612920104948450/877705099, 948353806199865911114891250/877705099]]], 0, 2211840, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[80, -80, -48, 16]], [ -605, -14, 1, -7 ], [ 348, 391, -348, -205 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [5506964520587650/33236999, 847216993679074/33236999, -2024655412476292/33236999, -300186602/33236999], [-684448120/33236999, -105298712/33236999, 251639802/33236999, -4/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4878540033618453401254354775/1362716959, 5402813661188905714843591799/1362716959, 1118980061076601421681891910/1362716959, -1457956908368872366546038196/1362716959], [280988090498053120055/631502981, -311184330300180256994/631502981, -64449689770233866304/631502981, 83973485675954128378/631502981], [-93947467314/25891622221, -11970907355/25891622221, 120469865185/25891622221, -4/25891622221]], [[0, 0, 0, 0], [37264463138023676163837029456807333091224241/1362716959, -15964838779600740668538865895857321842498240/1362716959, -10315979102288751493971039056346679617037527/1362716959, 4674752231817082547669232430418208641967060/1362716959], [-2146312164986682801516012685066375155/631502981, 919522107509120237084904436158739747/631502981, 594167164470784737483842022759047126/631502981, -269250229559861785289010108528434624/631502981], [630582363977266044490299942/25891622221, 1267445234275976234329134849/25891622221, -217960029025386806058115596/25891622221, -465276893443610376918861453/25891622221]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [13133137150119788/33236999, -735986571109284/33236999, -1509153861728156/33236999, 284094908/33236999], [-1632287740/33236999, 91474070/33236999, 187569280/33236999, 6/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [-57184900458513988523760202464931/1362716959, -30397260782876911592986775980874/1362716959, 16337630735044219858299562563293/1362716959, 9592706045709169811086399161353/1362716959], [3293664399480232998979290/631502981, 1750783408729332820453608/631502981, -940994398817574309039232/631502981, -552508685298198737185791/631502981], [118917055387/25891622221, -87140499057/25891622221, -131705172585/25891622221, -1/25891622221]], [[0, 0, 0, 0], [-234607656479884089462612626371726637660572327526977/1362716959, 21477228354751691235907142035433107063403273178914/1362716959, 64875247390973075096038277029472138518273032518842/1362716959, -4450463309333697267198551048967269260019617796021/1362716959], [711191520977751061790392221699365631508935/33236999, -65106256310006989679642458291498328029379/33236999, -196663340311655884187736964505041242081533/33236999, 13491174041204185110937229367950935128968/33236999], [16268753427922609938844062111/1362716959, -28038229404432998066943427669/1362716959, -10633689598225184389336598693/1362716959, 6888445339691727411594981242/1362716959]]], 0, 2211840, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[0, -80, -32, 16]], [ -410, 36, -1, 3 ], [ 5, 7, -6, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9, -15, -19, -10], [-8, -9, -5, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [4780576828021805352/286791419, 5355260033990643341/286791419, 254316859445331011/286791419, -393913610637/286791419], [87760152505/11, 98309842056/11, 4668667272/11, 38451/11], [-31345955302/3154705609, -35114138640/3154705609, -1667560132/3154705609, -4/3154705609]], [[0, 0, 0, 0], [-562177161287508669251644760290/286791419, 464138340012353986599836025116/286791419, 174263952164213211574190862490/286791419, -134379366497476011046581068627/286791419], [-10320204155690150697512/11, 8520448734407090143662/11, 3199063589017416788081/11, -2466878206753504479813/11], [3686162042715524865147/3154705609, -3043327343271702128458/3154705609, -1142638289584658743372/3154705609, 881117426698280650159/3154705609]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [121, 144, 44, -11], [-9, -13, -5, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [28948433844799052802979/5449036961, -19929219925882814967450/5449036961, -1156958977246309201729/5449036961, 4680512425241251/5449036961], [-5435859308645/209, 3742262211224/209, 217241282492/209, -7381304/209], [-283113405750/59939406571, 194906165591/59939406571, 11314963955/59939406571, 1/59939406571]], [[0, 0, 0, 0], [-12690089158025909848537574912323979/2839519, 11169798633026104863416714447249607/2839519, 7023481863072957448309811973387331/2839519, -3116575067979265102736807505402272/2839519], [240670585382189897871972938/11, -211843518945001263018109815/11, -133202095297742820106941405/11, 59108615204059135202846539/11], [124108190145718993253662/31234709, -109239708085410883469776/31234709, -68689169880642770412968/31234709, 30479834831255499083198/31234709]]], 0, 2211840, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-160, -160, -32, 16]], [ -535, 24, -1, -7 ], [ -145, 22, 29, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2034671203755695/2444861, 40982099430391/2444861, 461698051003/2444861, 24069098/2444861], [865823799/2444861, 17439307/2444861, 196477/2444861, 4/2444861], [0, 0, 0, 0]], [[0, 0, 0, 0], [201494225610138887058980917684382962/877705099, 278915341765703475042352744921227243/877705099, -44855230240863739571595362615227858/877705099, -67061110274790422694009376666485586/877705099], [238838001323840058019591868/2444861, 330607905399261529846403629/2444861, -53168440418964212577809752/2444861, -79489830380575190955320140/2444861], [2606404285/877705099, -2298575940/877705099, 66376866/877705099, -5/877705099]], [[0, 0, 0, 0], [1077534887089749132256116795724111762284829387273605166/877705099, 916663939192577230873401100316686818336723546380629530/877705099, -297711862002783340463143339509944230486239482238928354/877705099, -253301514115686382629159611118688181538002934509590226/877705099], [1277238987026046648654307188634330884216253226/2444861, 1086553145667416135614914768777830842339090152/2444861, -352888061082099288475710947414832674012528488/2444861, -300246955507706687059271524551438537822000622/2444861], [-9271889490913393687461912/877705099, -7701925343145696613842552/877705099, 898651594186271051514872/877705099, 1357664369803681419621792/877705099]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7189108128392932/2444861, -162474042616625/2444861, -255505822776595/2444861, -26798593/2444861], [328136838/2444861, -7415903/2444861, -11662209/2444861, -1/2444861], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6189114537528137245392873603922360304/16676396881, -3359109403437354081787275191805964283/16676396881, 111097006034659755739519997436129545/16676396881, 5983218330605785279816787354300768/16676396881], [-786890032246341197438558568/46452359, -427080428841907892693509883/46452359, 14124985208570632349271201/46452359, 760713671983036808012730/46452359], [-70902545392/16676396881, -76736608247/16676396881, 60872907751/16676396881, 3/16676396881]], [[0, 0, 0, 0], [4471139104335274650581780280427099756558236560400097863/16676396881, 2580222309585994314596134122501520291176784964104940042/16676396881, -2992593465743556355243599669851785500046967160493480518/16676396881, -1635606234743091131465615289508925242926095071474592583/16676396881], [568464957247732434906564875545213877235373061/46452359, 328051964412232155488116408860337543034339992/46452359, -380481232110027734649950372187444110739418180/46452359, -207952561162535978201280752777014495177571489/46452359], [6261625608211210664261478456/16676396881, 1148752209042630964676097990/16676396881, -1820197092414620595241440036/16676396881, 243122216038423574686132374/16676396881]]], 0, 44236800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[80, 240, -32, -96]], [ -410, 36, -1, 3 ], [ 5, 7, -6, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [124, 122, -12, 4], [104, 14, 4, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [3046107877173632932/286791419, -4442369834419520815/286791419, -5825821920303237403/286791419, -2322518070059515188/286791419], [70262316869/11, 1407589800256/11, -36180685007/11, -25037145302/11], [1197440873/3154705609, 22768521430/3154705609, 443484224/3154705609, -1/3154705609]], [[0, 0, 0, 0], [-257287937299286036783046844135062/286791419, -458915482960521314044130534985665/286791419, -656319056183256876980905514581896/286791419, -190234174602454846323924377278268/286791419], [150774869529584576857559857/11, 59180347350464845104046811/11, 21536578915278357042592240/11, -9322069751606767554609234/11], [2426512853583703626791299/3154705609, 1081598566843410338827151/3154705609, 445037576763584151267795/3154705609, -125956417063454851055562/3154705609]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2320, -117, -15, 41], [-197, -8, 0, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [811746182227683264732513/5449036961, -552466275526927027658076/5449036961, 141725552687681854690750/5449036961, -55148268873322440484794/5449036961], [-2662404098859513/209, 1602564243811045/209, -257797595912830/209, 158387510264427/209], [-310358590555/59939406571, -224669680406/59939406571, 5865926994/59939406571, 1/59939406571]], [[0, 0, 0, 0], [-33263958872491591914703357745546070260/5449036961, 21504686526697282854940071545786873094/5449036961, 10992598975133062446916085010605023002/5449036961, -7164209741140669042354446535858641596/5449036961], [97440235958886764168803159416/209, -62886039804781510551697716224/209, -31373624421444010442935391928/209, 21126573396700115075144541818/209], [11845531530584418916864524/59939406571, 8156105996773371345594522/59939406571, -4939760469564587235640890/59939406571, -3238692522959939217765866/59939406571]]], 0, 44236800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[240, 0, -208, -80]], [ -790, 21, -1, -3 ], [ 68, -153, -119, 85 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [145245148/1019, 481451/2038, -1055277/2038, -12079/2038], [257590/1019, -577/2038, -1655/2038, -5/2038], [0, 0, 0, 0]], [[0, 0, 0, 0], [336808714379958662071783885/1036770341, -527827305074364245184458813/2073540682, 174368244033326766808289429/2073540682, 297110946626542268612030737/2073540682], [10034434192341700840/17323, -15715743604052603799/34646, 5109983241401234773/34646, 8802962543332075967/34646], [-9003966305/17625095797, -10311766451/17625095797, 1727961455/17625095797, -2/17625095797]], [[0, 0, 0, 0], [-1799729092058832496398062081359462415959071659/2073540682, 457821615005737138598909577461673227882068126/1036770341, 556419441938763916671974100130198626128893090/1036770341, 74562018652649301846989924632953262715702773/2073540682], [-53374699982593052934938863872456143715/34646, 13636198514530589032841637078011624458/17323, 16460967811920363784616805010137714615/17323, 2136733879211459468406456832901426029/34646], [-10673899253127302138557560642/17625095797, -3629105515911862182458094335/17625095797, -3205538581404387824731743005/17625095797, -1971017221038377899798278125/17625095797]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [17747565243/2038, 239737867/2038, 69219569/2038, 15956/1019], [-1127565/2038, -15339/2038, -4381/2038, -2/1019], [0, 0, 0, 0]], [[0, 0, 0, 0], [-393295283000431716381549257833120/19698636479, 1247929156675602940969262169993333/19698636479, -26018727498121785263774458260095/19698636479, -21828320113044381663714933433997/19698636479], [417505885213558384905810/329137, -1324706252526790487296303/329137, 27486458697367876413041/329137, 23194789001197155441979/329137], [-269943125473/334876820143, -204131883259/334876820143, -130287451079/334876820143, -4/334876820143]], [[0, 0, 0, 0], [-2685013437760969073983012149242501645573834934433/19698636479, 899079187088542602620712077939674817116772102165/39397272958, 876876384840326466179285875781881169328157191957/39397272958, -467850866928385925141734734695381742742580367333/39397272958], [2850132779605109823598576732759437207465/329137, -953832546047006636422538055904535076103/658274, -930716799432959701975360409576999797901/658274, 496538672350542556654266692917260178841/658274], [512963309536664725356122438/334876820143, 884436851633252459235823776/334876820143, 18700347388766311614870868/334876820143, -153574227460957131478004834/334876820143]]], 0, 44236800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[400, 0, -192, -32]], [ -605, -14, 1, -7 ], [ 348, 391, -348, -205 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [289051246540195106/33236999, 735986704057280/33236999, 3648512464221376/33236999, 314171074/33236999], [-35925521130/33236999, -91474070/33236999, -453465272/33236999, -6/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2048552489502698274806293473875746037596/1362716959, 2922274570620613575609470532167105821882/1362716959, 493940964042071412440987239880573665713/1362716959, -720155109442903904031014535330957048168/1362716959], [117989964801374533044719044745565/631502981, -168313516403015312522226703608911/631502981, -28449393973361921086662077748979/631502981, 41478593437213662446584970431603/631502981], [41242188724/25891622221, -113032121278/25891622221, -54030305922/25891622221, -1/25891622221]], [[0, 0, 0, 0], [-843358205090730631026112320283647980834994570217841478554020/1362716959, 600915612189796402317138873738374317011931454516352885111126/1362716959, 271171447174727099526187217702505699464775521316559956397816/1362716959, -179353275046259833956968122565565058281459953561599548541174/1362716959], [48574691317342686762187160202815520412242454472381330/631502981, -34610786046698130961462308527136501250291787780356942/631502981, -15618593929339646767355111684947950955741928767719272/631502981, 10330165678225390360832874773911496774133211575405166/631502981], [48117113570878994465785763440430/25891622221, -4281351332145131769718690096820/25891622221, -22478563480037978597406233578610/25891622221, -1301917447850323740551541840920/25891622221]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [24305635601603646/33236999, 3945023743635136/33236999, 1509153662306162/33236999, 48275082/33236999], [-3020892120/33236999, -490318058/33236999, -187569280/33236999, -6/33236999], [0, 0, 0, 0]], [[0, 0, 0, 0], [1577444727819661178285409902009/1362716959, -1619685923637666283763379962602/1362716959, -191405426270542691669472512641/1362716959, 322089131548971592193642236733/1362716959], [-90855688449200619638170/631502981, 93288644127808956628124/631502981, 11024330398989545765990/631502981, -18551287013129164260115/631502981], [-76752832515/25891622221, 176786273075/25891622221, 37126929621/25891622221, 5/25891622221]], [[0, 0, 0, 0], [-3268639968599862917619712617165410544767294262/1362716959, 2170270934550454112800204404469512373642617008/1362716959, 1088562805355415862440249978629199858882742252/1362716959, -640858535822783172722236348279449419328198844/1362716959], [188263037054273032203973087806125648540/631502981, -125000550377793839143498555716195397148/631502981, -62697679102966765905714850683464211148/631502981, 36911368208580147450460517278011125920/631502981], [-1450427455671389191090477056/25891622221, -948045445265937357180201984/25891622221, 1399225845465515657269661696/25891622221, 808932105436312205075632640/25891622221]]], 0, 44236800, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[40, 0, -40, -16]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, -4, -2, -2], [30, -7, -1, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-504152265/278, 49532055/278, -41966253/278, 55679979/139], [26009630, 28091011, -8324990, -7283749], [1725/278, 801/139, 167/139, 1/278]], [[0, 0, 0, 0], [-2323139653053791/278, 1883661719178197/278, 1180171098881003/278, -272541627144437/139], [-71595141967815, -33998019519057, 20251642722852, 8137377870450], [-22012133901/278, -7237291689/139, 6649981992/139, 7769882649/278]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [35, 2, 0, 5], [-20, -2, 0, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1521713123/139, -856984501/278, 2323092411/278, 1118740403/278], [9471955, -5312556, -6677338, 2781800], [1201/278, 987/278, 363/278, 2/139]], [[0, 0, 0, 0], [84575291688294/139, -48657671904490/139, -48118761220046/139, -2305410779518/139], [-738701514680, 596877961765, 406393253315, -242864225097], [-126449004/139, -31535856/139, 22123992/139, 4339236/139]]], 0, 38400, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[40, 40, 0, -8]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-50, -5, 3, -3], [-40, -12, -2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-562427762365/278, 43221486405/139, 388856288411/139, -372135308635/278], [-3756087355, 1525060894, 3687341723, -1906083340], [-319/139, 2297/278, 751/278, 1/278]], [[0, 0, 0, 0], [-308017172372299260/139, 49378742782654648/139, -13818375360548500/139, -17280618647792196/139], [-1434462415382680, -202354338719635, -456246110562455, 19932810480515], [-84031376500/139, -70816252500/139, 25601370400/139, 20798181100/139]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [20, 7, -1, -5], [10, -2, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [2048363313/278, 951826497/139, -459276121/139, -634702325/278], [4348055, 3718123, -3009776, -1774315], [458/139, -907/278, 639/278, -1/278]], [[0, 0, 0, 0], [927490864117073099/278, 365078382600212618/139, -189392441506646261/139, -265758224649955533/278], [2090641628190290, 1357408926858198, -1283815499360441, -745219382358599], [79813577574/139, 4635915777/278, 49900527405/278, 44213561685/278]]], 0, 38400, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[32, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 32, 16, 8], [2, 4, 8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-306874407, 421194551, 63341853, -39023360], [119570968, -104732934, 18255198, 16148002], [-7, -3, -3, 4]], [[0, 0, 0, 0], [685456137656978, 157412850829062, -238815707773794, -74565713357320], [19843394035078, 150667703950712, -19287758238104, -46609672105122], [-7590528, -14528448, 1940928, 3600960]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [18, -58, 60, 38], [8, 10, -8, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [629085223/19, -359927208/19, -410894748/19, 219769597/19], [-85989572/19, 46926944/19, 58613564/19, -30959336/19], [121/19, 116/19, 56/19, -3/19]], [[0, 0, 0, 0], [7879943702186/19, -6621665895949/19, -4650600204649/19, 3151182609265/19], [-1104792784370/19, 635277887944/19, 673391753400/19, -370686431368/19], [68955268/19, 55985455/19, -19228607/19, -15755519/19]]], 0, 81920, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[-160, -128, 96, 64]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [100, -20, -10, 0], [4, -6, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-302078, 845511, 135429, -253425], [-126985, 52225, 41985, -24284], [-9, -6, 0, -5]], [[0, 0, 0, 0], [14902740039214, -11755188288666, -4120173369828, 3292017773212], [1905581689660, -1612596886062, -571687003932, 434532523342], [-52314918, 125788072, -32626508, -54565022]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-360, 294, 64, -342], [-2, 8, 2, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-39212625118902/19, -55927143620842/19, 1436820875034/19, 13341365454928/19], [-924382378948/19, -37214395438/19, -8302112990/19, -28589141118/19], [174/19, -238/19, -14/19, -4/19]], [[0, 0, 0, 0], [1183221573487432442244/19, 1540236040293817714893/19, 1401363661379801127381/19, 519806133655563976207/19], [-83901993262883369005/19, 36071442485660002239/19, 66309043562719210185/19, 14000426722760078142/19], [384345667/19, -28118158882/19, 13936043744/19, 14010676999/19]]], 0, 491520, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[320, 160, -192, -96]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [70, -8, 4, -20], [30, 2, -6, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [13588402, 7873060, -4604778, -2866160], [4711050, 2480646, -2127058, -1194622], [6, -8, 2, -2]], [[0, 0, 0, 0], [-57173847614185, -33764504790548, 27496073949798, 15551019375553], [-29248352942500, -15875387162825, 17819032499997, 9527778224413], [-71519945, 4420985, 41743645, 12119636]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1590, -42, -16, 6], [20, 4, 2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-127844334909222/19, 15054096548134/19, 4813930845114/19, -8423473947190/19], [1702856044810/19, 4141581264/19, 3300813330/19, 3534252854/19], [144/19, 52/19, 50/19, -2/19]], [[0, 0, 0, 0], [24525387315822908681377/19, 10124251950136998906325/19, -13604069790072988793733/19, -6192490991821486274792/19], [-326507439447922381955/19, -133204121609736632834/19, 177083655330845110872/19, 78442991817123462457/19], [-62837631164/19, -30990820721/19, 37397129035/19, 18521717515/19]]], 0, 1966080, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[160, 0, -160, -64]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-40, -8, -10, 2], [-50, 6, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-61505865857/139, 41147945037/139, 35410590408/139, 43084980077/139], [-355044570, 619870777, 53225825, 38617857], [-392/139, -563/139, 305/139, -2/139]], [[0, 0, 0, 0], [-355694054053791660/139, -189063788466621396/139, 363722908798274940/139, 190478840168121540/139], [-421407896696920, -454883633958366, 890456943235342, 525789517079314], [-878891580/139, -495906480/139, 12318696/139, 23479224/139]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [30, 0, -2, -2], [-10, -16, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [376369209/139, -315637603/139, -62736532/139, 75200683/139], [1332080, -603001, -548621, -156151], [506/139, -125/139, 85/139, 4/139]], [[0, 0, 0, 0], [-804044668887312/139, 25638798552006/139, -48343549131270/139, -139273171209066/139], [-18402176922870, -5010522396742, 16297993007906, 7347220391428], [-5610468918/139, -5304621048/139, -858220422/139, 244081206/139]]], 0, 9830400, [], [] >,
< [ 5, 0, -5, 0, 1 ], [[160, 0, -160, -64]], [ -5, -1, -1, 0 ], [ 2, -1, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, -4, 0], [110, -18, 2, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [15274870/139, 72944125/139, 11187699/139, 10467271/139], [-2675350, -16052414, 5210, 2675866], [89/139, 431/139, 919/139, 4/139]], [[0, 0, 0, 0], [-3084956312950/139, 19169076017762/139, 4943398247809/139, -2875737003558/139], [132257612515, -3212352400880, -261870789850, 752825908235], [214255425/139, 17761050/139, 14596725/139, 29397600/139]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-40, -4, -8, 10], [-60, -16, 4, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-31321652391/139, 71387109553/139, 25196267222/139, -20392378532/139], [-1447981135, -446096232, 1311757292, 623194785], [-82/139, 212/139, -639/139, 1/139]], [[0, 0, 0, 0], [38916542427188124/139, -257888568822897210/139, -41074959936642387/139, 58002114145298745/139], [5080462679125820, 1193322681925581, -4785102115833473, -2113151453816117], [3912454383/139, -2370256761/139, 25922163/139, 1121300553/139]]], 0, 9830400, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[1, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -3, -1/2, -3], [0, 2, -1/2, -1/2], [-2, -5, 0, -5/2], [0, 0, 0, 0]], [[-164599/2, -63574, 118787/2, 94707], [57031/2, -30629, 991, 7852], [-221627/2, -32947, 116809/2, 86853], [3/2, -2, 2, -2]], [[268942854569/2, 363816075849/2, -38460836906, -105217645329/2], [-41718803611/2, -68256317291/2, 6171386869, 20021819761/2], [310660965321/2, 432070060685/2, -44632125918, -125238809173/2], [-692859/2, -2332455/2, 97857, 655917/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[29, -4, 0, 5/2], [-6, -11, -35/2, -15], [5, 1, 5/2, 5/2], [0, 0, 0, 0]], [[-3041490375/2, 990333761/2, 449649185, -417444373/2], [14183604727/34, 27079979749/34, 5057736136/17, -5562452461/34], [-9412705813/34, -1463471339/34, 738943623/34, -219157431/34], [-3/34, -47/34, -39/34, 1/34]], [[357897520499305/2, -568937681367027/2, -43123940455824, 77941804208549], [-143498008946593/34, 1505885789043267/34, 437554660689324/17, -417193973298125/17], [889679434557799/34, -1596832334860749/34, -167237367868890/17, 248886371399831/17], [-1346495/34, -206259/34, -535446/17, 328793/17]]], 4, 2, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[0, -3, 0, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 5, -11/2, 1], [-1, 1, -3, 0], [5, 4, -5/2, 1], [0, 0, 0, 0]], [[4847723/2, -6471785/2, -725414, 956312], [4956227/2, -6402793/2, -734346, 940362], [-108503/2, -68993/2, 17863/2, 31903/2], [1/2, -1/2, -1/2, 3/2]], [[-264902168993, 347188704212, 77587195472, -203377650773/2], [-267429291701, 348987875366, 78328650428, -204431167589/2], [2527124328, -1799183554, -741455966, 526761828], [1620, -12400, -1010, 3420]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13, 2, 7, 2], [20, 2, -15, -29/2], [-3, 0, 2, 3/2], [0, 0, 0, 0]], [[-156285/2, -32269/2, 107897/2, -10411], [9688785/34, -3398431/34, -13553541/34, 3275176/17], [-1122981/34, 259589/34, 699557/17, -627687/34], [-93/34, 73/34, 16/17, -3/34]], [[-18753692121/2, -62158331826, -4511836595/2, 20954649987], [-1089191176419/34, 1494898696980/17, 1052483286541/17, -924161276436/17], [70462010649/34, -232332783336/17, -99218924961/17, 116503687692/17], [61087101/34, -52860762/17, -14916285/34, 14938161/17]]], 3, 3, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[2, -7, -1, 2]], [ -134, 13, 5, -1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3480971/2, 3257775/2, -1535543, -1/2], [-15560313287490/6714431, 14562598159480/6714431, -13728021762215/6714431, 5239385/6714431], [-25233809/22, 23615829/22, -11131245/11, -35/22], [-2969874/73858741, 2779448/73858741, -2620159/73858741, 1/73858741]], [[120372004582359/2, 51150953089621/2, -35878538663839/2, -20329844228833/2], [1076148884761806603125/13428862, 457298142668250392975/13428862, -320760780241058628025/13428862, -181752251141335607175/13428862], [872585321299669/22, 370797438593911/22, -260086242278939/22, -147372642335923/22], [205396031168125/147717482, 87280881757735/147717482, -61221074656865/147717482, -34689615506655/147717482]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, 0, -5/2, 2], [35, -3, -12, 13], [-1, 0, -5/2, 2], [0, 0, 0, 0]], [[411012981/2, -127796942, -270703003/2, -42680], [-215445178363369944/114145327, 129151344029740122/114145327, 284885138131947237/228290654, 2315299243289925/228290654], [42260633839/374, -13002910282/187, -27547156487/374, -7980987/187], [253663441/1255598597, -159756620/1255598597, -338341709/2511197194, 1/2511197194]], [[3573575699131026, 18659672131351235, -16935969242012373/2, -15528605268729625/2], [-9291236861951485681909203/228290654, -40100295370998992141009871/228290654, 18871150905080551316156175/228290654, 8122814565983416348955481/114145327], [385203963926688437/187, 1971278111567612142/187, -1694127505180877551/374, -1640262383004838027/374], [8300939191751409/2511197194, 44519650327230333/2511197194, -21597316118568129/2511197194, -9264073812738907/1255598597]]], 4, 3, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-8, 7, 2, -2]], [ -226, 5, 5, -7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-26585409/2, -111832155, 256375911/2, 8], [-22951028753899/124200862, -96548724265112/62100431, 110668933933308/62100431, -714201439/62100431], [2, -5/2, 1, -1], [26352155/124200862, 221701615/124200862, -127063119/62100431, -5/248401724]], [[-25368727317391262954, -70154410076838306469/2, 14946032027951824517/2, 20623974582882143583/2], [-43803390631385306884503187/124200862, -60566742145521486819832047/124200862, 6451710536871210859163943/62100431, 17805393281636514363546103/124200862], [543610183635/2, 577271364165/2, -162802402605/2, -85120174755], [25146112907744371029/62100431, 34769397276918785118/62100431, -14814878365237899465/124200862, -10221498057916471084/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[10, -1, -18, 19/2], [-2, 1, -31/2, 8], [2, 0, 3/2, -1], [0, 0, 0, 0]], [[-1797836869, -6560838993/2, -2735894685/2, 28], [-75552407690902859201/2111414654, -137856547352957208903/2111414654, -57486700559376966711/2111414654, 56076652007/2111414654], [-32186816265/34, -58729606739/34, -12245233748/17, -124/17], [-1609340775/1055707327, -2936480365/1055707327, -2449046787/2111414654, -1/2111414654]], [[25174050035580747295/2, 96853326066158145857, 2581157529774720249, -52074683427888094837/2], [528957574738886584690893973551/2111414654, 2035085258939070546015840966189/1055707327, 54235397802630225160549021365/1055707327, -1094194952015754729765013368865/2111414654], [112673018666866596363/17, 1733973319366817924145/34, 46210788350695951019/34, -233074373674749713644/17], [22534632027610497675/2111414654, 86698647155467669275/1055707327, 4621070785359827925/2111414654, -93229727681997101925/4222829308]]], 4, 3, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[10, -11, -3, 3]], [ -134, -13, 5, 1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1551248, -4072224, -1871361, -4], [27736900757355/13428862, -36406495398700/6714431, -16730309873070/6714431, -26196925/13428862], [-11245085/11, 2683624, 13565579/11, -12/11], [5293923/147717482, -6948620/73858741, -3193182/73858741, -5/147717482]], [[-75200769348043/2, -98358031196424, 13807209840031, 26905950993924], [-336154701236191424030/6714431, -879340067930493020120/6714431, 123439084742704325210/6714431, 240544503586432028960/6714431], [49557746277837/2, 713004216273056/11, -100089300960359/11, -195043158391304/11], [-64159190675278/73858741, -167832687983512/73858741, 2141803852286/6714431, 45910828004896/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, -1/2, 1/2, -2], [83, 0, 3, -8], [-1/2, -1/2, 1/2, -2], [0, 0, 0, 0]], [[1302505687/2, 14011350, 379571039/2, 495916365/2], [2163050892535176645/228290654, -9455132951160514187/114145327, -905264056531317272/114145327, 5514174799900118191/228290654], [243914525949/374, 4805736810/187, 65257083193/374, 92736359189/374], [30602281/2511197194, 193328775/1255598597, -253101242/1255598597, -1/2511197194]], [[6967553252633297911/2, 8675690054419643861/2, -2046949123573876053/2, -1304773811005181458], [-40272809778132150369349247601/228290654, -56884104164008573077354718673/228290654, 6121594275551606480004167900/114145327, 16470640864598554470253534341/228290654], [1301256186451482735673/374, 1626251161512853249391/374, -379340470892032698811/374, -22299277632032712329/17], [-148274922847623075/2511197194, 344720413942922701/2511197194, 152099338531423364/1255598597, -229868647395478497/2511197194]]], 4, 3, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[2, -5, 0, 2]], [ -226, -5, 5, 7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-60411583/2, 202756387/2, 23271256, -6], [-5070247614900921/62100431, 17017018103455299/62100431, 7812477525672023/124200862, 367330269/124200862], [-1/2, 5/2, -1, 5/2], [108389569/124200862, -363782479/124200862, -83505895/124200862, -3/248401724]], [[307347567048639984841, 116159014351712661131/2, -180211697585394032087/2, -36695783848681560959/2], [103180755894471813000782946385/124200862, 19498079512231691680985765911/124200862, -30249758188173119973696527341/124200862, -6159636661278591287137055633/124200862], [22569702596771/2, -192718375795/2, -6368832098123/2, -267034073119/2], [-551438432635536088590/62100431, -104205392367201156228/62100431, 161666573536771380822/62100431, 32919516508800126249/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, 0, -4, -3/2], [133, -3, -7/2, 5/2], [0, -2, -3/2, -1/2], [0, 0, 0, 0]], [[281959695/2, 677102726, -584752767/2, 10248688], [-19119918550610963499/2111414654, 32517672396204178449/2111414654, 8833348838796206103/2111414654, -6446769693791384454/1055707327], [-4592722757/17, -12501163380/17, 4103728391/17, -87208299/17], [388413879/2111414654, 2475197133/2111414654, -785900139/2111414654, 3/4222829308]], [[1380029159562189707, -14140721920916194835/2, 173594171965009724, 1830676555634219281], [205768650235359706857748165325/2111414654, -157088609443900222681566646898/1055707327, -34676203308454171294805352984/1055707327, 95320864348989031456426698841/2111414654], [5502398964360468709/34, 120759024651553894914/17, -10658107609280256911/17, -64576283072899760419/34], [2354669038763602524/1055707327, -12802463083771515980/1055707327, 284061988874068216/1055707327, 3402971326480651852/1055707327]]], 4, 3, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[18, -17, -6, 5]], [ -134, -13, 5, 1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9888509/2, -4744455, 6406309, 1/2], [-62578821486125/6714431, 120101065354285/13428862, -81084711781230/6714431, 5239385/13428862], [-161282637/22, 77383719/11, -104489251/11, -49/22], [-11943925/73858741, 22922741/147717482, -15475998/73858741, 1/147717482]], [[-11300984341963744943, 13979853870187734402, -466109104285281743/2, -3832484010679824434], [286071685602523794845414405/13428862, -353884878659631388915498825/13428862, 2949923848171862839274830/6714431, 97015154350779494319082485/13428862], [184321612290297080949/11, -228015238509057685182/11, 7602992645583828927/22, 62508837481492412221/11], [54600241364687610253/147717482, -67543209491119928945/147717482, 563028647097295358/73858741, 18516515650363448061/147717482]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6, -1, 1, -3/2], [49, 3, 7, 0], [6, -1, 1, -3/2], [0, 0, 0, 0]], [[41968986, -95811966, 47890332, -1075577/2], [329432614777755857/228290654, -848292194564554935/228290654, 421274675339232579/228290654, -2004058918296216/114145327], [277051314/187, 2906900910/187, -1544970446/187, -201134997/374], [15940899/228290654, -482283497/2511197194, 243193629/2511197194, -1/1255598597]], [[-6677829209599348653/2, 10231515740554832169/2, -701556084944002467/2, -1630251157648965912], [-1886124314398774097290224335/13428862, 2333105422132577096095715689/13428862, -24323114483760780812083427/6714431, -707857721578923893743233507/13428862], [1699322184961408611/2, 2635370306159804343/22, -2901049484386795893/22, -560797229471972481/11], [-1067094241984203921/147717482, 115708003480188585/13428862, -27885325665135339/73858741, -402339454112891421/147717482]]], 1, 30, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-18, 19, 5, -6]], [ -226, -5, 5, 7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-141385715/2, -39561450, 111396677/2, -6], [-23732559741055169/124200862, -6640650708957910/62100431, 9349345547874901/62100431, -216472789/62100431], [-49, -5/2, -1, -3/2], [253672155/124200862, 70980485/62100431, -99933141/62100431, 1/248401724]], [[71326873607266499986, -256418836193619625905/2, -21305152147690812553/2, 77772362297743298991/2], [23945599941855958951165410273/124200862, -43041908144969681182033281279/124200862, -3576268515539227193488881351/124200862, 6527350013003150441586671513/62100431], [1061772295456911/2, -1400210827813665/2, -330750565987065/2, 200545170211291], [-127974326556124928232/62100431, 230032377265683669600/62100431, 19112871693650744820/62100431, -69769305243201314712/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 8, 6, -2], [67, 10, -3, 8], [8, 2, -2, 1], [0, 0, 0, 0]], [[-653905114, -319353422, -1620871539/2, -120720], [-33030852098030342123/2111414654, -8068339379075931900/1055707327, -20478359259040909835/1055707327, -587921985611265/2111414654], [-84777319155/34, -41422150473/34, -105127079687/34, 468865/17], [-5537479221/2111414654, -2705838749/2111414654, -6866017863/2111414654, -1/2111414654]], [[12998471453378465780054609/2, -7906008831160848306945437, -1931579975773561763730450, 2236916975780252895506955], [164183627358279759769076775780937330/1055707327, -199722306858418251992929923701804571/1055707327, -48794895126262644262939158209818989/1055707327, 113017783565995059161952296836796693/2111414654], [842798794600284360313983313/34, -512613110082805455663101021/17, -250477113254801834662216803/34, 290074265137898052697439833/34], [27522827444108141247403071/1055707327, -66960218744337134854983141/2111414654, -16359443558439892573407507/2111414654, 37891020290704087074612363/4222829308]]], 1, 30, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-6, 17, 1, -5]], [ -226, 5, 5, -7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[26008019, 80567512, 13685098, -6], [44903387920047/124200862, 69558020365956/62100431, 11813130707465/62100431, 62063245/124200862], [-89/2, -3/2, 3/2, 2], [-51559569/124200862, -79860539/62100431, -13564989/62100431, -1/124200862]], [[310292785239799045245/2, -100234581743469231078, -92155520614682489655/2, 26837971160053277119], [267917585097926051943258013/124200862, -173117024762311992436302033/124200862, -79569488972357827006746031/124200862, 46353266366854814689018179/124200862], [163898157272666, -261204660534748, -46352451662429, 151985319808011/2], [-307570242673295803273/124200862, 99355226493269393753/62100431, 91346928483725737541/124200862, -106410102662999391673/248401724]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, -5/2, -3/2, 3], [-159/2, -21/2, -13, -15/2], [-7/2, -5/2, -3/2, -3/2], [0, 0, 0, 0]], [[2986141493/2, 5650098953/2, 741526013/2, 56542352], [-79898261792872172169/2111414654, -78540460867127984855/1055707327, -10978421016909787287/1055707327, 1011646337582067678/1055707327], [-4748984424/17, -9398399534/17, -1500580331/17, 64163468/17], [1332524051/1055707327, 5047895019/2111414654, 348334865/1055707327, 1/4222829308]], [[-32850587617847162238627, 46690772655016347073692, 9438463427999044691659, -13618306503286835090930], [915455025379446047909944909830478/1055707327, -1298155337686722042813137936882254/1055707327, -263981064992416699939920764210023/1055707327, 379066239797148195173536961891994/1055707327], [105733943391259769114094/17, -150456061136517563792170/17, -30480399035673258465449/17, 43938693744710665913406/17], [-27118372396039539663081/1055707327, 38774385373228046112082/1055707327, 7799535176642811664182/1055707327, -22630984848149594097897/2111414654]]], 1, 30, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[8, -19, -2, 6]], [ -134, 13, 5, -1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[16088621/2, -8144467/2, 8474139/2, 3/2], [-101817173041015/6714431, 103084454527275/13428862, -53628668256800/6714431, -26196925/13428862], [23855553/2, -132838997/22, 12565131/2, -3/2], [-19433039/73858741, 19674915/147717482, -10235680/73858741, -5/147717482]], [[-730055071457615974, 1340463390206903531, 829218372739461421/2, -167163912422326033], [18480644705598725306702595/13428862, -16966289193724897699839705/6714431, -5247723814269269358025990/6714431, 4231596793536763942481575/13428862], [-1082496090046925578, 1987585101082502429, 1229532047130376575/2, -247863612585029096], [320659506716892177/13428862, -294383773420404003/6714431, -91053778505913634/6714431, 73422857376247645/13428862]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[20, -1/2, 3/2, 3/2], [69, -5, 5, 8], [20, -1/2, 3/2, 3/2], [0, 0, 0, 0]], [[75265591052, -28321275681, -2616171150, 6897586991/2], [60682951703829891211/228290654, -12578841180035756373/114145327, -2665707474587991901/114145327, 5011740544500331189/228290654], [1279406082901/17, -5297074921113/187, -492572725169/187, 1289848761577/374], [164890901/2511197194, 68534034/1255598597, 230337790/1255598597, 1/2511197194]], [[34976052943738202645/2, -62899762205816530289/2, -11146965822217942765/2, 8382271861934980292], [14094189734633048240114835387/228290654, -24853108125542148431969115047/228290654, -2287043375732356341071426685/114145327, 3345896606630540424290960855/114145327], [6539512392578676883325/374, -11760514590602191371729/374, -2083504504377029557229/374, 1567479677415818047986/187], [69437865283830795/2511197194, -119748811574288521/2511197194, -33638848851672434/1255598597, 355014215930568/1255598597]]], 1, 30, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-2, 4, 1, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, -1, 0, 0], [-1, 2, 5, 5/2], [2, -3, -5, -5/2], [0, 0, 0, 0]], [[11125, -29001/2, -3091, 4155], [-3534, 14207/2, 846, -1964], [14661, -43207/2, -3939, 12237/2], [2, 1/2, -2, -1/2]], [[-5567205/2, 7150229/2, 819295, -2098643/2], [1386795/2, -4101643/2, -207633, 1206869/2], [-6954725/2, 11251397/2, 1027003, -3305387/2], [-725/2, -475/2, 75, 125/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 1, -1, 3/2], [40, 1, -1, 12], [-5, 0, 0, -3/2], [0, 0, 0, 0]], [[-6317195/2, 923611/2, 1172107, -917825/2], [-977672749/34, 343299257/34, 147014783/17, -161891659/34], [124325013/34, -46801007/34, -18156036/17, 10449149/17], [39/34, 67/34, 24/17, 2/17]], [[2891677005964, -3150371006701, -873414406332, 1876925010927/2], [533634536172908/17, -615080001168785/17, -158089405233852/17, 362671765282833/34], [-69210609880958/17, 80217645733260/17, 20462986760874/17, -23625996293361/17], [-12831422/17, 1269504/17, 3306570/17, -335730/17]]], 1, 2, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[2, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11, 0, -23, -8], [-2, -3, 1, -5/2], [13, 3, -24, -11/2], [0, 0, 0, 0]], [[28783197, 31747333, -10077123/2, -16158851/2], [28174685, 21454923, -17070257/2, -5615665], [608517, 10292413, 6993117/2, -4927531/2], [5, 3, -17/2, -5]], [[-31708200, 264151924, 9270756, -154722891/2], [-142381320, 363577080, 41721560, -106499900], [110673120, -99425156, -32450804, 58276909/2], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-79, -4, 0, 3/2], [-107, -18, 7, 3/2], [4, 2, -1, 0], [0, 0, 0, 0]], [[-1258573959, 745359772, 715622119/2, -702192225/2], [-25774001984/17, 12538286562/17, 11963156957/34, -12198244189/34], [625461784/17, 18975867/17, 28917303/34, 37282279/34], [89/17, -11/17, -15/34, 3/34]], [[35229293212882919, -20600425171730299, -10200010901727580, 10890550968115701], [714353522446285171/17, -341860598526955541/17, -156895505419485720/17, 376102524721920447/34], [-16493601545293188/17, -1192379460835794/17, -2357811718156484/17, -831970926291603/34], [-2386935936/17, 195864168/17, 15454104/17, 17073192/17]]], 0, 8, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[0, -6, 0, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -3, -1, 2], [2, -5, 0, 3], [-4, -3, -1, 2], [0, 0, 0, 0]], [[-16317, 7455, 4494, -5019/2], [4225, -26639, 14091, 16007], [-16317, 7455, 4494, -5019/2], [0, 0, 0, 0]], [[-2, 1/2, 3/2, 1/2], [-3, -1/2, 7/2, 3/2], [-1, 1/2, 1/2, 0], [-1, 1/2, 1/2, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, -3, 4, -2], [-142, -38, 38, -18], [-3, -3, 4, -2], [0, 0, 0, 0]], [[-399776, 158723/2, -80248, 199347/2], [3074528, -51568823/2, -1774538, 16892469/2], [-399796, 158643/2, -80209, 99671], [1, 5/2, -2, 0]], [[-6977361872, -726355130, 1410245076, -392510731/2], [-787716362252/17, -5996654235185/17, -71590902210/17, 1586071840968/17], [-118615483674/17, -12359383008/17, 23971392391/17, -6668828747/34], [37841/17, 692740/17, 136803/17, -130979/17]]], 0, 6, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[4, 0, -1, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 1, 21/2, -7/2], [3, -1, 3, -2], [-3, 2, 15/2, -3/2], [0, 0, 0, 0]], [[-112833, -6689/2, 67583, 36413/2], [-66193, 55527/2, 17456, -19797/2], [-46638, -62219/2, 50123, 56213/2], [2, -3/2, -4, 3/2]], [[43617398181, -64457939994, -12756395181, 37780047683/2], [41254643061, -58208925519, -12084961176, 34096622553/2], [2362642206, -6248957019, -671400381, 1841694979], [-112914, 57456, 33624, -17586]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[62, 0, 11/2, -9/2], [95, -11, -55, 35/2], [-3, 1, 11/2, -2], [0, 0, 0, 0]], [[3028777724, 2284363962, -874891981, -1331602331/2], [50430698403/17, 38831387567/17, -29733266987/34, -22660526179/34], [96230670/17, 255076/17, -592613/17, 2117031/34], [-55/17, -23/17, -87/34, -3/34]], [[80959212152654247, 88862983496909455/2, -47373856614578925/2, -26014977979190373/2], [78723891070910563, 90042157507012247/2, -46140795498049067/2, -26361049115889529/2], [203214822015067, -107197437429161/2, -112098344915009/2, 31460992152263/2], [-159545331, -8358867/2, 78621807/2, 848001/2]]], 1, 3, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[4, -2, -1, 1]], [ -134, 13, 5, -1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[160343, -478333/2, 3389659/2, 0], [-4058862489955/13428862, 6054292745975/13428862, -21451467302720/6714431, -5239385/6714431], [2615219/11, -709253/2, 55286575/22, -4/11], [-774683/147717482, 1155535/147717482, -4094272/73858741, -1/73858741]], [[177444, -227260, -95531/2, 70039], [-4491813830045/13428862, 2876427604385/6714431, 604567395765/6714431, -886482984460/6714431], [2894172/11, -3706688/11, -1558143/22, 1142360/11], [-857317/147717482, 549001/73858741, 115389/73858741, -169196/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, 1/2, 1, 2], [-31, 1, 2, 7], [-1, 1/2, 1, 2], [0, 0, 0, 0]], [[-12019966, 26187229, 341606457/2, -22624655], [-16693285252246047/228290654, -121231030380684654/114145327, -203039543886913341/228290654, 30117018948636831/228290654], [-86259111/17, 3349692771/187, 41364545307/374, -4230810239/187], [-38091395/2511197194, 22688552/1255598597, 330153165/2511197194, -3/2511197194]], [[-175850763203489808858, 94567227374988344128, 40447208504320898690, -45857632976432567920], [3124772017435736585255697267/6714431, 8922575259105300960816835938/6714431, 191992227861547413779101545/6714431, -1770981676805054598041314716/6714431], [-1371301649516985556826/11, 795151859146295906300/11, 355994091014263963984/11, -354634006078216207626/11], [-8256178876690696564/73858741, 3593753874075300466/73858741, 1303922575353712081/73858741, -2196537354635787193/73858741]]], 1, 5, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-4, 8, 1, -2]], [ -226, 5, 5, -7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[25551589, 342959083/2, -140431811, -17/2], [-22452718617135/62100431, -301376952782761/124200862, 123403850948487/62100431, -3912289967/124200862], [-2, 0, -3/2, -5/2], [51559569/124200862, 346022371/124200862, -283372177/124200862, 1/124200862]], [[-7843239394517284548, 3667109021615513889/2, 4161975914861731557/2, -1000147682967550447/2], [13784696382701403760008365/124200862, -3222458546342268368900341/124200862, -1828703816210550660020017/62100431, 439432200321255798498074/62100431], [279824786325/2, 586608222375/2, -103476816975/2, -186915548715/2], [-7913295058111632176/62100431, 1849931581124702480/62100431, 4199150869981071797/124200862, -1009080767773559273/124200862]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11, 5/2, 17, -9/2], [-25/2, 13, 19/2, -12], [1/2, -2, -1, 3/2], [0, 0, 0, 0]], [[273239879, -104307773, -379148313, 28951/2], [10599626672174312315/1055707327, -4045935309728273302/1055707327, -29415669588077855273/2111414654, 35785621672509/1055707327], [-17572724740/17, 6707450438/17, 48767035205/34, -22975/17], [2510369395/1055707327, -958206574/1055707327, -3483348650/1055707327, -5/2111414654]], [[-20137845905264220465, -6249222802584973514, 10072470268452278485/2, 684686203935039029/2], [-91893494197335601212758195921/124200862, -28504581525332755983156748365/124200862, 11490102293453308657637255748/62100431, 1557871196631973302578896409/124200862], [152339177540800734005/2, 23624004337108650366, -38095817425191894343/2, -1290113731749991793], [-21763428697559970015/124200862, -3375421709136835568/62100431, 5442456134526816909/124200862, 368936806354741583/124200862]]], 1, 5, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[6, -10, -1, 3]], [ -134, -13, 5, 1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3875161, 5752795/2, 13761431/2, 1], [98095878887225/13428862, -36406495398700/6714431, -87089288002940/6714431, -26196925/13428862], [63205305/11, -93829863/22, -224454127/22, -26/11], [18722785/147717482, -6948620/73858741, -16622044/73858741, -5/147717482]], [[2702251624290303, 1443181213789497/2, 2790417151462843/2, 1022500429427060], [-34202301813010700340375/6714431, -9133178618406792708375/6714431, -17659190881424018586000/6714431, -12941791366036208351625/6714431], [-44074496961284367/11, -2139894960981303/2, -45512849068075327/22, -16677352774361990/11], [-6527922993444975/73858741, -1743177609281775/73858741, -306406379607600/6714431, -2470097419074225/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -3/2, 2, -5/2], [108, 2, 7, -1], [-1, -3/2, 2, -5/2], [0, 0, 0, 0]], [[-32939650645, 1131237509, -1164544412, 1532725377/2], [10160004913253463094/114145327, 592454383871388515029/228290654, -3339208040022355897/228290654, -81826924430840731838/114145327], [-6160060634081/187, 212977129885/187, -215273182112/187, 286619645727/374], [-30602281/1255598597, 253992843/2511197194, 441678333/2511197194, 1/1255598597]], [[405399564603360575251003, -517266577850143628363531, -236348347961928982105389/2, 302207837386989190341007/2], [241385246645459496541144356382693/13428862, -324575067146956508406515985527115/13428862, -35320628289334164268429088173783/6714431, 47523585334895240172432926227132/6714431], [4459365882147735396382319/11, -5689944711474814625489537/11, -2599820606651984044922767/22, 3324300684241738909109707/22], [-5188510333897171207/147717482, -2185748122973763639/147717482, 496274156000971573/73858741, 640105002884654762/73858741]]], 1, 5, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[6, -6, -1, 2]], [ -226, -5, 5, 7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-28737038, 74206881/2, 88715101, -29/2], [3160070948552839/124200862, -4080082160729435/124200862, -9755564436553875/124200862, -69130187/124200862], [-3/2, 5/2, -2, 5/2], [51559569/62100431, -133140863/124200862, -159171315/62100431, -1/62100431]], [[-1052759476175377704, -3351686041443680137/2, 316559091632735607, 492031869441183220], [57883400695847831912074987/62100431, 184284226888514639539576995/124200862, -34810452221523151996489189/124200862, -54106328444361565361546899/124200862], [121770544350, -180489617175, -35902776525, 106381485525/2], [3777690544099919997/124200862, 6013545814272716133/124200862, -567965578195935899/62100431, -1765592695712667421/124200862]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -1/2, 2, -5/2], [-97/2, 1, -15/2, -3/2], [-1/2, 0, -5/2, 1/2], [0, 0, 0, 0]], [[-344099097, 283526613, 97691503/2, 7495215/2], [16042906626780370337/2111414654, -7934416361931614867/2111414654, -5629862218991189487/2111414654, -286976435590318491/1055707327], [-30405380629/34, 10200958332/17, 11294670491/34, -915869029/34], [-4501708877/2111414654, 1419489806/1055707327, 1595321703/2111414654, 3/2111414654]], [[-2443726066848910292, 1187086813056686486, 1140339408640469563/2, -298814846950100524], [112694867275647512927149921565/2111414654, -5562210568230551033303281326/1055707327, -14474012659917531285219567499/1055707327, 1397653441474597608021083719/1055707327], [-193691727141237547315/34, 72330568664625037563/34, 49872633677756918447/34, -20711718362156922073/34], [-29491950001594976465/2111414654, 9185339254633936769/2111414654, 7476056709060609941/2111414654, -2561719033780634219/2111414654]]], 1, 5, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[10, -18, -3, 6]], [ -134, -13, 5, 1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-6334034, 575279, -847415, -1/2], [160337132037185/13428862, -7281299079740/6714431, 10725733651360/6714431, -5239385/13428862], [103307590/11, -9382995/11, 1256511, -5/22], [30602281/147717482, -1389724/73858741, 2047136/73858741, -1/147717482]], [[-5411840703376471029, 18393797574568778879/2, 3495416054271335525/2, -6147902430968439581/2], [68496731441595949112624350/6714431, -116403486961196908019303345/6714431, -22120457867257166868158415/6714431, 77812923180068688643113455/13428862], [88267051951122901421/11, -300002308641355278403/22, -57010267217594895021/22, 100272174970398100545/22], [13073429694820279310/73858741, -22217013439782895897/73858741, -4221956940987762279/73858741, 14851537571693755783/147717482]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-36, 3/2, 0, 1/2], [70, 8, 4, 6], [-36, 3/2, 0, 1/2], [0, 0, 0, 0]], [[3750417269348, 348453501337, -66653021545, -24873786418], [-803961253445678577660/114145327, -205830936611765565576/114145327, -210299632056028084647/228290654, -83650585196770947411/114145327], [701336831967602/187, 65107858155179/187, -12560471717474/187, -4651398056234/187], [30602281/1255598597, -184069085/1255598597, -669968987/2511197194, -1/1255598597]], [[-55027566595132528093202168, 73222583709255537916191804, 32486764073246962812415251/2, -21550169765691912370714913], [21236893465804361232639021877719365/228290654, -14254531182717312509062174183787801/114145327, -6212974427937049266764240748806917/228290654, 4191442510756816233565807962231509/114145327], [-10290046539148080063428075685/187, 13692452917514944708663927620/187, 6074944924492367884634009883/374, -4029823734910884784540483280/187], [753804512339119391215/2511197194, -591826641263537319127/1255598597, -277971581016357803099/2511197194, 201676459608184379773/1255598597]]], 1, 90, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-12, 18, 5, -5]], [ -226, -5, 5, 7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-66286601, 54409375/2, -24866556, 7/2], [7289206337087515/124200862, -2991570494181401/124200862, 1367226375352080/62100431, 58585553/124200862], [-89/2, -1/2, -3/2, 0], [118930431/62100431, -97620647/124200862, 89230409/124200862, -1/124200862]], [[1342761901705887871864, -2865276896004538059655/2, -364138159735431462027, 907204489908031055669/2], [-73828442215526567791914372877/62100431, 157540201707436098800938102949/124200862, 40042476760351920709506471229/124200862, -49880404417347197444300352953/124200862], [635559045727900, -574156487123380, -167191053740480, 182831276463010], [-4818327964191483686331/124200862, 5140839227193454151265/124200862, 1306662981074510547123/124200862, -1627693353553768233891/124200862]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, -71/2, -10, 1], [-187/2, -11, 8, -10], [-71/2, -2, 1, -2], [0, 0, 0, 0]], [[-2300506793, -4587930406, 3896024157, 4948603509/2], [-30992421810781662891/2111414654, -2162543596418556667/1055707327, 7617041559676162109/2111414654, 7821801391782877713/2111414654], [-141874202337/34, -60773666799/34, 89450248215/34, 21910649271/17], [-2131351637/2111414654, 1188848190/1055707327, -3151441031/2111414654, 2/1055707327]], [[1805660543676593636722, -16661626964832894831663/2, 1020393370916193727867/2, 3032997085718201384919], [-69059722858623739003851364978923/2111414654, 37285713853115379839427716530649/2111414654, 11353272490319100964914973421061/1055707327, -4972808361935763580511870264494/1055707327], [-210992476665313955548155/34, 29727262629141417678645/34, 40545397995300040511238/17, 864571985762676834108/17], [-5877023277903516052418/1055707327, 5924373686834369129909/1055707327, 1534440017394956840272/1055707327, -1904754305960607122528/1055707327]]], 1, 90, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-10, 6, 3, -1]], [ -226, 5, 5, -7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-220083792, -422231469/2, -319100991/2, -33/2], [386801884517881/124200862, 371040432533303/124200862, 140204524171150/62100431, -558996844/62100431], [-19/2, 1/2, -5/2, 5/2], [-222049569/62100431, -213001402/62100431, -321951183/124200862, -5/124200862]], [[-28364778673514271217, 375320749871009417693/2, -25809861243647904068, -71709081466868588528], [24925563202964575820850776/62100431, -329814822463122597319109961/124200862, 22680447478186668082218271/62100431, 63014625178364285966725065/62100431], [-6725540238750, 11051739348945, 3569730227715/2, -6355422284115/2], [-57236282659271944635/124200862, 378673108397491035299/124200862, -26040388137654748666/62100431, -72349583340230579743/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 1/2, -5/2, 5/2], [171/2, -17/2, -13/2, -17/2], [5/2, -3/2, -2, -3/2], [0, 0, 0, 0]], [[-2420969191, -238121063/2, 3472952855/2, -2144519/2], [18044423615476791524/1055707327, 2042672985657992017/2111414654, -12939881071063974471/1055707327, -34363797373011544/1055707327], [-6211624042/17, -266867382/17, 4423655750/17, 210514/17], [5484774911/2111414654, 133140863/1055707327, -3928008103/2111414654, 2/1055707327]], [[2390988990454083246805, 16698923061902181463909/2, -625744375857773520338, -4686555270666423556029/2], [-18198295999426727683326810059809/1055707327, -124798399502955802215192397332085/2111414654, 9547142709748891252165171771037/2111414654, 35028822500785394819030288044513/2111414654], [6021090049237700381550/17, 21474951658760049741496/17, -1569931229916058985510/17, -6029628335939924205830/17], [-5404691163666550187295/2111414654, -18929868422117342437553/2111414654, 706693513735381281589/1055707327, 5313166841214704097111/2111414654]]], 1, 90, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[12, -8, -5, 2]], [ -134, 13, 5, -1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4008795, -10639473/2, -17286905/2, 1], [-50739802352425/6714431, 134663663513765/13428862, 218800379930115/13428862, 5239385/6714431], [65385097/11, -173533399/22, -281955607/22, 4/11], [-9684305/73858741, 25702189/147717482, 41760699/147717482, 1/73858741]], [[-13017018938204910157, 7974632497216975269, 11072390131165614647/2, -1897903115806941388], [329514797869506066667704025/13428862, -100936976371016746644584400/6714431, -140143763897961966548132075/13428862, 48044726772891392871696925/13428862], [-212312491780417268917/11, 11824533258972941889, 180594764925984905607/22, -30955705406352316773/11], [62891884805088014465/147717482, -19265042819150863440/73858741, -26748132442636295395/147717482, 9169917227478300005/147717482]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-19, 0, 2, -1/2], [-93, 5, 10, 0], [-19, 0, 2, -1/2], [0, 0, 0, 0]], [[75205932, 175631289/2, -188127761/2, -1006429/2], [-108412584646407227/114145327, -119649448385596445/114145327, 131949338099310737/114145327, -719676899299663/228290654], [12588937810/187, 29530902591/374, -2869392589/34, -188199601/374], [101426719/1255598597, 10355558/114145327, -124381007/1255598597, -5/2511197194]], [[-11183598960329975865, 13810125250858894257/2, 9716251318115237157/2, -1558039827792298494], [29634593025079448610319790959/228290654, -17120396935088997076301776831/228290654, -6513695118998268509385389849/114145327, 3756165700140649707416783903/228290654], [-1884596013138410075814/187, 2338602464558802495513/374, 1635896431256116811025/374, -264345218139014721315/187], [-28440351537032047743/2511197194, 16775792395247442687/2511197194, 6226403538505604298/1255598597, -3715473158860929531/2511197194]]], 1, 90, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-4, 0, 8, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [-1, 0, 2, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6503/17, -9583/17, 5914/17, -394/17], [301/17, -560/17, 343/17, -21/17], [43/17, -80/17, 49/17, -3/17]], [[0, 0, 0, 0], [-29341335409/17, -14662457944/17, 3316661625/17, 3682833071/17], [-970422796/17, 10336564/17, 17304700/17, -21153860/17], [-138631828/17, 1476652/17, 2472100/17, -3021980/17]]], 0, 56, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[0, -12, 0, 4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 1, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[-3, -5, -3/2, 2], [10, 8, 9/2, -7], [-3, -5, -3/2, 2], [-3, -5, -3/2, 2]], [[88038, -374052, -75117/2, 241119/2], [-1658237, 2721858, 1131431/2, -1673211/2], [88038, -374052, -75117/2, 241119/2], [88038, -374052, -75117/2, 241119/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 1, 1, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[40, 26, -31/2, -2], [-22927/17, -13353/17, 16221/34, 967/17], [-280/17, -182/17, 217/34, 14/17], [40/17, 26/17, -31/34, -2/17]], [[6129942, -128152388, -4846569, 44065021], [-9936250120/17, 80907212706/17, 3793099563/17, -27168618050/17], [-42909594/17, 897066716/17, 33925983/17, -308455147/17], [6129942/17, -128152388/17, -4846569/17, 44065021/17]]], 0, 48, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-2, 2, 0, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, 5, 27/2, -15], [2, 1, 14, -14], [1, 3, 3/2, -7/2], [4, -1, 2, -5/2]], [[29303, 100003/2, -6924, -12064], [32734, 122939/2, -8287, -15542], [21853, 60119/2, -5840, -16417/2], [25284, 83055/2, -7203, -23373/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, 4, 1/2, -3/2], [-58, 58, -3, -17/2], [-1, 5, -1/2, -1], [0, 0, 0, 0]], [[-511772, -1931037/2, -1367176, -651015], [-558477638/17, 496398091/34, 756144973/17, 296844847/17], [-17624642/17, 2421753/34, -6605510/17, -8924001/34], [38/17, -39/34, 35/17, 3/34]], [[1186772848465077, 6532105758251880, -120945619305492, -1730742326550555], [-3143085116491147670/17, 3492885456710173536/17, 833635858914003422/17, -1096002075819926819/17], [-106855459024890873/17, 217910099795188986/17, 34087975518096804/17, -63513176850231963/17], [435863464767/17, -716400207027/17, -145289798307/17, 215760478545/17]]], 1, 3, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[8, 0, -2, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, -4, -3, -3/2], [-6, 3, 10, -7], [5, -4, -3, -3/2], [-6, 3, 10, -7]], [[57886, -445385, -17422, 130103], [-264187, -396935, 77616, 231693/2], [57886, -445385, -17422, 130103], [-264187, -396935, 77616, 231693/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, 3, 5, 1/2], [8, -26, -47, -8], [-3, 3, 5, 1/2], [0, 0, 0, 0]], [[736355, -460326, -1415558, 768484], [-125544178/17, 98329097/17, 241836791/17, -136837303/17], [12519115/17, -7823718/17, -24062278/17, 13064276/17], [-45/17, -76/17, -92/17, -2/17]], [[-124616605985277, 164071766501508, 77640686231535, -138126845333263/2], [4919521575320961/17, -9732740217167712/17, -8483153482096461/17, 12852701206436377/34], [-2117536930158069/17, 2787266844600036/17, 1319446294746615/17, -2347141701209111/34], [-39390482985/17, 81382746900/17, 18557132895/17, -42277894015/34]]], 0, 18, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[8, 0, -2, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 0, 5, 1/2], [9, -1, -1, 3], [4, 0, 5, 1/2], [0, 0, 0, 0]], [[-167906, -129730, 49064, 43585], [-213776, -162855, 70738, 48472], [-167906, -129730, 49064, 43585], [0, 0, 0, 0]], [[2, 0, -1/2, 0], [2, 0, -1/2, 0], [2, 0, -1/2, 0], [2, 0, -1/2, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 3, 5, 5/2], [291, 41, 74, 39], [0, 3, 5, 5/2], [0, 0, 0, 0]], [[-5893015883, 1639778286, 357427661/2, -2162012809/2], [2145863513031, -3248668877762, -1294067577371/2, 929114835952], [-5893015835, 1639778406, 357427733/2, -2162012809/2], [-2, -5, -3/2, 0]], [[-2205898298195758, 3826037887063913, 1196937650192007/2, -1088946708321595], [26109182451049126742/17, -33194732300305723605/17, -15195889518572174779/34, 9698115261979597940/17], [-37500271390119566/17, 65042644018236913/17, 20347940171738319/34, -18512094008901899/17], [13366320/17, 2577067/17, -4936425/34, -1356884/17]]], 0, 10, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[8, -4, -2, 2]], [ -134, 13, 5, -1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, 1, 5, -1], [-8, 1, 13, 3], [-3, 1, 5, -1], [0, 0, 0, 0]], [[-3, 18, 9, -15/2], [10, 108, 14, -28], [-3, 18, 9, -15/2], [0, 0, 0, 0]], [[-44547, 37366, 39278, 10261/2], [563831177390/6714431, -945881892205/13428862, -994283330835/13428862, -64936937690/6714431], [-726577/11, 609452/11, 640638/11, 167361/22], [107614/73858741, -180533/147717482, -189771/147717482, -12394/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, 0, 8, 1], [58, -5, 44, 10], [-5, 0, 8, 1], [0, 0, 0, 0]], [[175525338, -221179109, 92970713, -1181693/2], [-1274308711043701617/114145327, -1664244864504087603/114145327, 207272821054280523/114145327, 1105173482579950167/228290654], [15523842660/187, -22680867091/187, 9461401877/187, -220975089/374], [253663441/1255598597, -24900177/114145327, 116192463/1255598597, 1/2511197194]], [[89425449161371770, -57219413621726212, -32931579252655510, 57623458586964115/2], [-51414422982887135118314343/6714431, -126948651303408347200243575/13428862, 15097184189344982065483047/6714431, 35229402032810600720684205/13428862], [469018598521290506/11, -384964039166194947/11, -192982810768899368/11, 349809002064286745/22], [7546550308540797/73858741, -7168793726177003/147717482, -2481949550458711/73858741, 4165050116160049/147717482]]], 0, 80, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-8, 16, 2, -4]], [ -226, 5, 5, -7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17, -1, 31, 1/2], [-2, -16, 5/2, 73/2], [-1, -3, 1/2, 17/2], [0, 0, 0, 0]], [[-171514398, -2538482, -51126956, -38011/2], [-148753566078761/62100431, 9390225441553/124200862, -101842093001703/124200862, -15103383648707/124200862], [299979563, 8992291/2, 89211404, -28769], [299961293/62100431, 8940001/124200862, 89230409/62100431, 1/62100431]], [[1441416758223683122720, -1888538605294302357670, -422182242923387250895, 553134427620871831150], [1291743732371944215281206558/62100431, -1692335427918108691870879791/62100431, -378345009926730310894022969/62100431, 495668186856686245609925977/62100431], [-2520046026948121965620, 3301755334144625791220, 738106216388067033615, -967051749648956765610], [-2520045986676363998270/62100431, 3301754909798553617105/62100431, 738106208779479410160/62100431, -967051624402930567590/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-22, -3, 39, 17/2], [244, 37, -125/2, -87], [-3, -5, 17/2, 11], [0, 0, 0, 0]], [[2295763051, 4632719192, -1636321311, -2315997197/2], [1042007705630888079928/1055707327, -1654643137132373733145/2111414654, -307451744189144563709/1055707327, 492749699265160337927/2111414654], [80063940170/17, 42645846183/34, -57114632731/34, -20380898425/34], [2510369395/1055707327, -5083535129/2111414654, 2534668643/2111414654, -5/2111414654]], [[101735795085474126804, 161338306249721326810, -13341578132882152944, -79197582740858425171/2], [15296400855189724958407389885346/1055707327, 9317198541883352489316135743705/2111414654, -9212558304312902936388345933145/2111414654, -2883709837199530766783110885567/2111414654], [2067475427332398549480/17, 4604481408894934130811/34, -289388791570075005822/17, -501156874058585476363/17], [71478734790102167370/1055707327, 47098591764596635887/2111414654, -39952300834910666124/1055707327, -14017808090534877041/1055707327]]], 0, 80, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[12, -20, -2, 6]], [ -134, -13, 5, 1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-25, 3, 45, -15/2], [10, 0, -15, 0], [-25, 3, 45, -15/2], [0, 0, 0, 0]], [[-1810, 0, 905, 0], [-3480, -3645, 885, 1044], [-1810, 0, 905, 0], [0, 0, 0, 0]], [[90001, -72282, -35177, 49555/2], [-1139141847315/6714431, 1829745184165/13428862, 890470156445/13428862, -313608628560/6714431], [-1467947/11, 1178944/11, 52159, -808259/22], [-217419/73858741, 349229/147717482, 169957/147717482, -59856/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-22, -5, 39, 9], [328, -5, 83, 23], [-22, -5, 39, 9], [0, 0, 0, 0]], [[324899773042, 7023020525, -16468276732, 4064786128], [20378993468996838712840/114145327, -11141445847521498553943/228290654, -5915493884840935349108/114145327, 1628904576304062916764/114145327], [60759530351360/187, 1308497758347/187, -3078108837664/187, 760115006660/187], [289495216/1255598597, -850421667/2511197194, 129048302/1255598597, -2/1255598597]], [[594304042459326660533143, 749424279980707431245916, -126026214512484847245484, -396157780346964733989531/2], [26587794324881448177409813991023343/114145327, 62037447691428988899741668273457205/228290654, -15520371293031916267195952701267679/228290654, -18148843095431718212744047855087789/228290654], [111136086001823273998436791/187, 140142883664622904262195642/187, -23567036990609129740738958/187, -74082261139720539931862797/374], [108805277969129609875/1255598597, 96116806216739824225/2511197194, -23861056090147506675/2511197194, -66891098256831990425/2511197194]]], 0, 80, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[12, -12, -2, 4]], [ -226, -5, 5, 7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[24, 2, -43, -7/2], [4, 4, -9/2, -16], [2, 5, -7/2, -12], [0, 0, 0, 0]], [[42636271, 26015289, 54426237, 3561061/2], [1965758909592571/62100431, 2769570201069587/124200862, 7285740118624793/124200862, -154359068666555/62100431], [-69274114, -98925365/2, -108855342, -2050733], [-67370862/62100431, -97620647/124200862, -110635873/62100431, -1/124200862]], [[-199984985347562181853, 80122694682119421189, 58598065768752521345, -46764565775734629179/2], [-11254296106587987482922468276/62100431, 5020630071050019752150748280/62100431, 6592562995071360794930861597/124200862, -2930099246047616719262741599/124200862], [353970321251763982224, -135600980365256751291, -207428602553522919599/2, 79103809591927928653/2], [353660751994262292225/62100431, -139538256512251475055/62100431, -103613268888239215395/62100431, 40702892986068484605/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[20, -2, -36, 4], [8, 13, 10, -34], [-2, 4, 4, -10], [0, 0, 0, 0]], [[1149322511, 983264955, 1386708758, -1910769/2], [-7918150505603356185/1055707327, -6791187634926144997/1055707327, -19130451801497390825/2111414654, 16659314569174975/2111414654], [18448000305/17, 15718236929/17, 44416991209/34, -7991723/34], [2629299826/1055707327, 2244555517/1055707327, 3174962456/1055707327, 2/1055707327]], [[3489208320121873291, 2805537468548747477, 18173254248844278225, -24551766115445046699/2], [-23974866475860775830310265520/1055707327, -38980046784316460768394353109/2111414654, -125308848362680109949528243371/1055707327, 84676422930008046200900207322/1055707327], [56371303216642204891/17, 88776623248412253515/34, 582029694511740264099/34, -393019303173007158593/34], [8003553859754806263/1055707327, 12748407099368577645/2111414654, 83173824593919659607/2111414654, -56164759505469732399/2111414654]]], 0, 80, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[20, -36, -6, 12]], [ -134, -13, 5, 1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-132, -2, -2, -2], [10, -5, 2, 3], [-132, -2, -2, -2], [0, 0, 0, 0]], [[112903436979, 48509720777, -2742379772, -44552323729/2], [-58962854983032939/6714431, -486114826742270/6714431, -333485177033315/6714431, 259935957596361/13428862], [1242139984729/11, 533502246191/11, -30007883934/11, -490075560919/22], [17883673/73858741, -841790/6714431, 14001885/73858741, 3/147717482]], [[2640960442516515774450, -6967487061010523951200, -927676808724275686365, 4394260499806561658655/2], [-2142973421455429787381395855/6714431, 8757079034565396339762188657/13428862, 636708550486358536497633229/6714431, -1370759665456825247036231692/6714431], [29066245052154638208000/11, -76668542781656973846200/11, -10209677144600960276115/11, 48354419275306911535305/22], [1386992794637906625/73858741, -4632414754426210575/147717482, -462819290774987775/73858741, 776360871655381200/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-128, -2, -4, 0], [-192, 1, -8, -2], [-128, -2, -4, 0], [0, 0, 0, 0]], [[-181163535835, -84315593899, -14412603144, -12699791945/2], [-29885711371354222522/114145327, -26861017044642169667/228290654, -2891214158732491134/114145327, -3208545570078519151/228290654], [-34005701858415/187, -15818929597442/187, -2739413560606/187, -2374861089021/374], [-40492006/114145327, -360955361/2511197194, -153858890/1255598597, 3/2511197194]], [[886722880754322867624541, -1323052881977055253854776, -284455830274284620362777, 832380160038992565377617/2], [148622238274088830054820845171458/114145327, -222162265897941601530292314477336/114145327, -46482175952135024939629632539626/114145327, 69346313577187085236846247042252/114145327], [166778856124143761399414555/187, -248697909359076862854402512/187, -53668862448129054536930471/187, 156645853185641593886684331/374], [3343275941008210015638/1255598597, -4474332434386564877760/1255598597, -1653502676951932908518/1255598597, 1722196499142968043862/1255598597]]], 0, 1440, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-24, 36, 10, -10]], [ -226, -5, 5, 7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, -22, -2, -5/2], [-14, 2, -13/2, -7/2], [-22, 4, -5/2, -3/2], [0, 0, 0, 0]], [[189363641, 248744440, -70536034, -71153963], [17064869219104710/62100431, 9380345421925218/62100431, -9671074693585901/124200862, -6416066820840371/124200862], [-2226173026, 3289207, 646823249/2, -53132470], [-145282586/62100431, -8940001/62100431, 46419481/124200862, -2/62100431]], [[10235912025781309833, 31156102004844940746, -2016364741179549699, -21974200359086320875/2], [6082384149528010277478557501/62100431, -9825646242672306425094019611/124200862, -1975450178164469392633250380/62100431, 2934245660311131265230100757/124200862], [-1252317030316646670201, 2763940710218941015803/2, 702367010190389702181/2, -443723550806282827080], [-78349287694662823209/62100431, 169463052010297902843/124200862, 44433151916445139029/124200862, -27118395116853529272/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, -29, 1, -3/2], [-5, 11, -7/2, 1/2], [-29, 3, -3/2, -1/2], [0, 0, 0, 0]], [[-897481488, -39114915888, 80343273372, -6821807880], [-5310364780, 57229901679/2, -37937070380, 9096524761], [-39114915888, 156991709433/2, -13433793039/2, 448740741], [0, 1/2, -1, 0]], [[-897003155555313890400, 3621442616489187119520, 336434773633583545800, -1039123980914334451200], [1188468985562596261185281663976/1055707327, -3700095862316265402875521898673/2111414654, -368678391806594981623169875848/1055707327, 542920315549817876719468317606/1055707327], [61550232471443627715480/17, -49385300225264877830019/34, -35317979109750086731197/34, 7599999696612668550594/17], [8459902075341391912/1055707327, -101890533876660310221/2111414654, -3621513558390733686/1055707327, 14518399866999303792/1055707327]]], 0, 1440, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-20, 12, 6, -2]], [ -226, 5, 5, -7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, 111, 11, -1/2], [108, 1, 209/2, 18], [111, 3, -1/2, 2], [0, 0, 0, 0]], [[546784110, 671647881, -202350349, -414565295/2], [66833830549433596/62100431, 108170223663545471/124200862, -44470935169427101/124200862, -19029334282349080/62100431], [-5565397075, 1520435527/2, 1673527193, -336677393/2], [-367332155/62100431, 26580215/124200862, 110635873/62100431, -1/124200862]], [[-46955055114377176752, -72083167254747928456, 15787411355000825992, 34852413756589766170], [-4017748931456958937408870756/62100431, -10565268268163512231613542791/62100431, 4739419746812328552962747896/62100431, 3222722669678880411929163008/62100431], [-525041584435384809344, 1328671955363421975046, 92529598530591883312, -390598495831423991964], [-29490881757067899352/62100431, 84594832699204387478/62100431, 4228995097848800576/62100431, -24853536721709657892/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, -8, -5, 3/2], [23, -28, -33/2, 17], [-8, 3, 3/2, -2], [0, 0, 0, 0]], [[514609958, 1472120118, -206447013, 4376681], [19727247304760598953/1055707327, 55737360524005482262/1055707327, -6838571298002550261/1055707327, 210135690669825094/1055707327], [17601406679/17, 48268100964/17, -5536177124/17, -70291648/17], [1158826465/1055707327, 3300262844/1055707327, -380443061/1055707327, 2/1055707327]], [[-58147739089584730394, -577951721242572713675, 5331852816774752129, 316026112557827100899/2], [-2528825836891733464534402915732/1055707327, -43578677134227663370003052760977/2111414654, 536094589755155341514276555301/2111414654, 5944916612657682351607192541466/1055707327], [-2514457379795543466805/17, -37438420586721569125367/34, 320306684705862428201/17, 10212600918674895059731/34], [-152277153228142768389/1055707327, -2573075466418962782955/2111414654, 16405597849125650079/1055707327, 702167400775170931947/2111414654]]], 0, 1440, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[24, -16, -10, 4]], [ -134, 13, 5, -1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-19, -3, -2, -1/2], [8, -3, 3, -5], [-19, -3, -2, -1/2], [0, 0, 0, 0]], [[754570973, 544686323, -275805881, -391784123/2], [-1577705418394495/6714431, -73160531948733/13428862, 46434243453869/13428862, -202267471868375/13428862], [8356055735/11, 6031504045/11, -273384069, -4309625319/22], [-2306617/6714431, -36351603/147717482, -2203415/13428862, -1/147717482]], [[-226304960607025613434, 149269131491201865466, 64437360532017943248, -46690281988524072357], [1100810970788141748533418820/6714431, -1127670685705746139587667975/6714431, -375985970356883994874779475/6714431, 338269451592233650920628495/6714431], [-2525602797261901315630/11, 1668472820435199056606/11, 724510885132033897680/11, -522007155620281392691/11], [16489765064611825436/73858741, -12060805761725361614/73858741, -7142080076453868134/73858741, 3827654967753624086/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[73, -3, 5, 3/2], [656, -14, 35, 7], [73, -3, 5, 3/2], [0, 0, 0, 0]], [[72507785062, -8354512073693, -151709631681, -197567981036], [-78162361343036969056/114145327, -8562401648650208096587/114145327, -9960829488196522298/114145327, -183959024877418773405/228290654], [1233099984984/17, -1562290688629597/187, -28401413488649/187, -36945212449779/187], [-38026966/1255598597, -22688552/1255598597, 234432062/1255598597, 3/2511197194]], [[-19024780600361701233421170, 9547479941772946017182607, 6010878435300638743016817, -5310095630147479280947011/2], [-19261548376051091729868420375107671/114145327, 18928867379307582785135820373604477/228290654, 6067937541027039149319156415803434/114145327, -2637678107659669905648775349423228/114145327], [-3557612774182530390346078782/187, 1785323525970175508386048344/187, 1124029454904728359484282616/187, -992952735408637194274729683/374], [-156705758774630730273/1255598597, 816468615956691265731/2511197194, 35576127724367381262/1255598597, -129912805824050406414/1255598597]]], 0, 1440, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[8, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 11, -4, -19], [-4, 1, 3, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1231810, 3005958, -313226, -1029869], [229560, 1199190, -50730, -351480], [4, -2, -3, 2]], [[0, 0, 0, 0], [-323489468, -104332405, 97002158, 33021124], [-152617080, 25783020, 44401380, -7648440], [328, -713, -92, 194]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-116, 17, 17, 27], [8, -1, -3, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [12681629236/17, -4059913896/17, -99839256/17, -1094534343/17], [-683659820/17, 367417833/17, -112711273/17, 128542426/17], [40/17, 9/17, -109/17, -2/17]], [[0, 0, 0, 0], [3677176375063224/17, 2474917656508182/17, -1058637471835887/17, -726848016999642/17], [-185569580080478/17, -87090790543106/17, 51794711068900/17, 25263417106008/17], [-7908164/17, -5559428/17, 3349960/17, 2337444/17]]], 0, 320, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[2, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13, -1/2, 15/2, 2], [-5, -1/2, -1, 2], [-13, -1/2, 15/2, 2], [-5, -1/2, -1, 2]], [[-255696, -427377, 55250, 114666], [-167489, -272296, 48865, 154009/2], [-255696, -427377, 55250, 114666], [-167489, -272296, 48865, 154009/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, -5, -2, -3/2], [-61, 53, 18, 12], [4, -5, -2, -3/2], [0, 0, 0, 0]], [[65201923, 1056327/2, -7072083/2, -4737845/2], [-5033437499/17, 26230310747/34, -1136541204/17, -6563309847/34], [1108433751/17, 17956829/34, -120225391/34, -80543335/34], [106/17, -73/34, 1/17, 3/34]], [[-1659482437090113, -1512003738887265/2, 20244638998142, 204845353202238], [2641254116594424, -32893514230574883/2, 7214674766675415/2, 9237336386584749/2], [-1659483902660173, -1512004090917995/2, 20244557169367, 204845473774433], [-146557006, -35203073/2, -16365755/2, 24114439/2]]], 1, 6, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[2, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9, 2, -29/2, -7/2], [9, 4, -29/2, -5/2], [1, 0, -1/2, -5/2], [1, 2, -1/2, -3/2]], [[-5199, 3378, 1106, -2119/2], [3193, -23899, -2741/2, 6990], [-12208, 19402, 3597, -5777], [-3816, -7875, 2241/2, 4545/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[20, 4, -75/2, -23/2], [29, 50, -58, -237/2], [0, 4, -3/2, -10], [0, 0, 0, 0]], [[-1739336, -1241948, 98235, 204684], [-45290929, 41436913, 12252082, -13404654], [-2946990, 1704932, 808487, -603803], [2, 4, 0, 0]], [[132246433987, -678909543648, -107457295865/2, 364623436761/2], [414027589028309/17, -581880814380864/17, -249217019390767/34, 340486423355007/34], [21801436634507/17, -33342975766416/17, -13354924643761/34, 19553529062865/34], [11691763/17, -206352/17, -266681/34, -171975/34]]], 1, 5, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-4, 4, 0, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -2, -4, 1/2], [13, 5, -19, -8], [-4, -2, -4, 1/2], [0, 0, 0, 0]], [[-690341, 1447488, -1915139/2, -1139428], [4923212, 2119345, -15479723/2, -8167461/2], [-690341, 1447488, -1915139/2, -1139428], [-2, 3, -5/2, 5/2]], [[-27793503989, -46015302090, 8209463102, 27021892629/2], [7237361355, 12792321950, -1783429995, -3567200216], [-27793503989, -46015302090, 8209463102, 27021892629/2], [11800, -21168, -3748, 6268]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 1, -3, 0], [-146, 16, -26, -4], [2, 1, -3, 0], [0, 0, 0, 0]], [[233447550, 15508908, -6383038, -1061315], [342932511255/17, -1448444706352/17, -68293859182/17, 859051801169/34], [3968605470/17, 263649564/17, -108512774/17, -18042415/17], [120/17, 78/17, 47/17, 5/34]], [[1474370711431099416, -5344661400912370902, -591686725785070815/2, 1430951292739862304], [1133751265032166766187, -974395828644921508775, -659079133346883665669/2, 281832191986660072402], [1474370701598723544, -5344657357217563398, -591686765708749335/2, 1430950282707422976], [409682328, -168487283646, 1663486605/2, 42084684972]]], 0, 16, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-4, 4, 0, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7, -2, 11, 3/2], [-11, -13, 8, 15], [-7, -2, 11, 3/2], [0, 0, 0, 0]], [[91080, -103949, -65995/2, 26728], [-831929, 1152304, 454561/2, -345720], [91080, -103949, -65995/2, 26728], [0, 1, 5/2, -2]], [[-3194658, 9735255, 975774, -2813433], [68824272, -52191711, -19993397, 15340191], [-3194658, 9735255, 975774, -2813433], [732, 915, -366, -183]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[12, 2, -22, -9/2], [333, 40, -278, -75], [12, 2, -22, -9/2], [0, 0, 0, 0]], [[277018516, -4903234, -1495359/2, 2098897], [-1589488851049/17, 1171395796147/17, 954743606537/34, -340808413850/17], [4709315732/17, -83353538/17, -25421031/34, 35681201/17], [-40/17, -60/17, -3/34, 2/17]], [[-61501779851357, 73629909465510, 34768908193251/2, -21390304921031], [440854752003345894/17, -561087217669409735/17, -258398155004174357/34, 164347175056844112/17], [-1045530257346421/17, 1251708407896566/17, 591071439942027/34, -363635170364671/17], [-5277/17, 2209046/17, -27365/34, -553869/17]]], 0, 12, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-16, 0, 28, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 0], [-1, 0, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 1, 0], [0, 0, 0, 0], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2457/17, -6958/17, -3993/17, -354/17], [-175/17, -441/17, -252/17, -21/17], [25/17, 63/17, 36/17, 3/17]], [[0, 0, 0, 0], [123394130/17, -79577368/17, -33038343/17, 23877462/17], [5250014/17, -1550374/17, -1315314/17, 476763/17], [-750002/17, 221482/17, 187902/17, -68109/17]]], 0, 144, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-16, 0, 28, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-52, 21, 89, -38], [82, 8, -141, -15], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [89668, -114404, -30920, 34012], [-13950, -7465, 23585, 10605], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-106, -15, -113, 5], [8, -2, -16, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [167548702011/17, -169806151695/17, -47576280012/17, 49883242904/17], [428288828/17, -12258620/17, 15236626/17, 13924346/17], [11/17, 25/17, -44/17, 2/17]], [[0, 0, 0, 0], [-11114616874698300/17, 184603571487971999/17, 3220484626047940/17, -54076494590767846/17], [747083962911126/17, 1328196165623899/17, -222062249468848/17, -389630752736969/17], [20804196/17, -15158/17, -5265868/17, -94340/17]]], 0, 80, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[16, -8, -4, 4]], [ -134, 13, 5, -1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, -10, -1, 2], [50, -16, -86, 27], [0, 0, 0, 0]], [[0, 0, 0, 0], [40567992244204/6714431, 170237439611919/6714431, 15128061198887/13428862, -948029181137/13428862], [91899224/11, 338682239/11, 12602310/11, 1713892/11], [8199368/73858741, 32182431/73858741, 2620159/147717482, -1/147717482]], [[0, 0, 0, 0], [-42748709923323595253888/6714431, -256090739514304907327304/6714431, 390718476828474439376281/13428862, 172219089946724175627215/6714431], [-105110181007623600/11, -500245776615302620/11, 404027274138758115/11, 344955623600872940/11], [-8964655844279800/73858741, -47902256482145280/73858741, 75044522044750865/147717482, 32584122299868655/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-64, 92, -118, -178], [12, 17, -20, -30], [0, 0, 0, 0]], [[0, 0, 0, 0], [950018878148212141/114145327, 1108554594027395226/114145327, -105543003897404635/228290654, -427959576968048469/114145327], [43973002308/187, -85082290894/187, 41303586634/187, 115532482/187], [-291690407/1255598597, 593649376/1255598597, -562538091/2511197194, 1/1255598597]], [[0, 0, 0, 0], [-363601005576990351195730271242/114145327, -474364705969611816628208234994/114145327, 212925714739068016725645482753/228290654, 138880272701628226290117035665/114145327], [-76716639727070647304/17, -748579267692722646138/187, 239094302957788997754/187, 205310516342781336788/187], [1380760586366560658/1255598597, -629263343513058898/1255598597, -746457323218055617/2511197194, 267042539913587487/1255598597]]], 0, 1280, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-16, 32, 4, -8]], [ -226, 5, 5, -7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1, 0, 2, 0], [-1, 0, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-18295597210488607/62100431, -21098837550312326/62100431, -10146495144135878/62100431, -5402923427/124200862], [-194983098, -224858286, -108134996, -9/2], [-346250431/62100431, -399302695/62100431, -192025807/62100431, -5/124200862]], [[0, 0, 0, 0], [68125963006365402543625149055/62100431, 18432291039540901817406903241/62100431, -40255507458064301745775365131/124200862, -10762631120139338141026288645/124200862], [726044081625078443989, 196439885138947708921, -429018125711019025789/2, -57350711524269489974], [1289307009841425636276/62100431, 348837352590546589975/62100431, -761849164390161364945/124200862, -203686439114141306231/124200862]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, 0, -6, 0], [-1, 0, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6157005857228723467/1055707327, 4799642036528928579/1055707327, 1059941546125429787/2111414654, 21797362839/2111414654], [26848207871/17, 20929293921/17, 4621975439/34, 15/17], [5883729652/1055707327, 4586611787/1055707327, 1012896399/2111414654, 3/2111414654]], [[0, 0, 0, 0], [-28033850117978185580866040380725/1055707327, -5767847669805879064726320527493/1055707327, 16973269020391979153220027328121/2111414654, -940599675199309365656470575295/2111414654], [-122244261316766171339133/17, -25151245513628022021441/17, 74013546905350315294499/34, -2050786742999701580965/17], [-26789578978131851791000/1055707327, -5511843739667982870023/1055707327, 16219916951409326751999/2111414654, -898851468677012540677/2111414654]]], 0, 1280, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[24, -40, -4, 12]], [ -134, -13, 5, 1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, -8, 0, 0], [52, 1, -89, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-140712506521085/6714431, -25453928940570/6714431, 17338567610875/13428862, -4622170249475/6714431], [319427938/11, 52439500/11, -27077679/11, 9179207/11], [-2512037/6714431, -7869966/73858741, 3766205/147717482, 2/73858741]], [[0, 0, 0, 0], [255459529091861530475440/6714431, 109261225111169068199275/6714431, -121813131961022125843885/13428862, -48239051844793713481580/6714431], [-572288120965548732/11, -21135864964412796, 138629042133430707/11, 101530791228625142/11], [50461429548333248/73858741, 2349300815765905/6714431, -24252071610269777/147717482, -10666675119956794/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [378, 18, -213, -15], [62, 5, -107, -9], [0, 0, 0, 0]], [[0, 0, 0, 0], [-11911702106033078393427/114145327, 4763804435942892737607/114145327, 6995229121367166411031/228290654, -1395687477585322659624/114145327], [38686952137364/187, -1196406976921/187, 94853153168/17, -360026159827/187], [52940765/1255598597, 25702189/1255598597, 312630031/2511197194, 2/1255598597]], [[0, 0, 0, 0], [854648527685917784787871504781096/6714431, -219973026886536714176601547498534/6714431, -250399846765328863809064280972773/6714431, 64511434211351400842203797561569/6714431], [-3437411283951705109452478/11, -493563916983753556064921/11, 890591273976842536502395/11, 262681932465763585569576/11], [-12430758609760772876/73858741, -5348240117688136396/73858741, 2568297596008611471/73858741, 3074300253967453187/73858741]]], 0, 1280, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[24, -24, -4, 8]], [ -226, -5, 5, 7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1, 0, 2, 0], [-1, 0, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12149649106355987/62100431, -11438319798429892/62100431, -4097526096427139/62100431, 1373239238/62100431], [-116783055, -109945715, -39385636, 0], [207383017/62100431, 195241294/62100431, 69940906/62100431, 2/62100431]], [[0, 0, 0, 0], [149281759306039212061198/62100431, 19445648920553349925114929/62100431, -188548848173827988601201/124200862, -5686349069389903228891644/62100431], [1434903992482090, 186912584864526609, -1812340519487849/2, -109314964183437129/2], [-2548103980750870/62100431, -331918836795144833/62100431, 3218352362381361/124200862, 97060601327631660/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, 0, 6, 0], [-1, 0, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10462066337518692708/1055707327, 21243799179799484106/1055707327, 23893233659999571531/2111414654, 4591917016/1055707327], [28596375346/17, -58066507600/17, -65308310659/34, -99/34], [1852472068/1055707327, -3761546076/1055707327, -4230669783/2111414654, -1/1055707327]], [[0, 0, 0, 0], [39209360083127131455156136660/1055707327, 18400394121231766729836198061/1055707327, -53258164572575946272834960877/2111414654, -28280529187473200462869667477/2111414654], [-107172478336297713425/17, -50294517357990640595/17, 145572625532175403369/34, 38650138616024964622/17], [-6942628917994036708/1055707327, -3258076845223347259/1055707327, 9430188931212804931/2111414654, 5007508903038436531/2111414654]]], 0, 1280, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[40, -72, -12, 24]], [ -134, -13, 5, 1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, -10, -3, 1], [-10, -4, -2, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-171579499800154/6714431, 146925942331305/6714431, 121275179975499/13428862, 43901899970/6714431], [-3976588102/11, 3401027372/11, 1400093788/11, -651780/11], [-32797472/73858741, 28013259/73858741, 2099229/13428862, -2/73858741]], [[0, 0, 0, 0], [154341116443956495320994/6714431, -214984992916797625415124/6714431, -49368479046311275499870/6714431, 66248589089992531410805/6714431], [324990801203443380, -4984024869784691513/11, -1143653014014590104/11, 1535763479557369434/11], [29461770231598440/73858741, -41093991337684812/73858741, -9425286068188312/73858741, 12662370033559244/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [124, 2, 5, 5], [40, -3, 1, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-294492335582660418/114145327, -933860013817084155/114145327, 481171911315442125/228290654, 38110359733379556/114145327], [-285867680678/187, -482445705284/187, -6404812221/187, 20020543942/187], [395376746/1255598597, 25702189/1255598597, 540920685/2511197194, 2/1255598597]], [[0, 0, 0, 0], [-54973881667940051494354542624/114145327, 75490907636085568236415177978/114145327, 17116394888548706706104777826/114145327, -22820345549835070316116155102/114145327], [-6120821929604617518840/187, 11201079849361717450935/187, 1891318032671233392480/187, -3513551399678657759415/187], [-56529147195035898720/1255598597, 70423058982817290360/1255598597, 17503017658703630880/1255598597, -20909846347261433280/1255598597]]], 0, 23040, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-48, 72, 20, -20]], [ -226, -5, 5, 7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [126, -2, 4, 15], [126, 4, -1, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [31030421217001629023/62100431, -3537641683173098919/62100431, -8965865756684526227/62100431, 2488338398305565407/124200862], [490600953734, -56973287101, -144872584301, 40607483517/2], [35748276/62100431, 159601184/62100431, 5724514/62100431, -5/124200862]], [[0, 0, 0, 0], [959974701874121177784005027463383/62100431, -1381901814600909576673677204032456/62100431, -562997605048270461734380526083917/124200862, 404386689275922111523200581442792/62100431], [15131449436919953644619697, -21779985747573389658501701, -8864369209210436902979599/2, 12746988523203244569491931/2], [-3295702867365491130595/62100431, 3538406460150746918160/62100431, 1820159224249399440525/124200862, -1115899881449703456310/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-66, -7, -8, -5], [-16, 1, -3, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10245730830056921544/1055707327, -23984341283374003751/1055707327, -20806381060647687255/2111414654, 19924335560841260/1055707327], [6502989234/17, 14531622044/17, 12089713833/34, 228686233/34], [-3685007153/1055707327, -8578799479/1055707327, -7405632239/2111414654, -2/1055707327]], [[0, 0, 0, 0], [240878465600276785811790046652965/1055707327, -306848936906245148612227387946882/1055707327, -137418050399869225597270136712391/2111414654, 179476634078949018706059507793479/2111414654], [-136235089584945698740260/17, 172678275445276182723001/17, 79409813976190423849843/34, -50993483169057525897241/17], [85439591043599799416115/1055707327, -108781058292971570379420/1055707327, -48846825054998728990095/2111414654, 63688064850934390006095/2111414654]]], 0, 23040, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-40, 24, 12, -4]], [ -226, 5, 5, -7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [43, -5, -25, 21], [33, 3, -4, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-248857032547444760/62100431, -239842190821505958/62100431, 171795789294530233/124200862, 154776094342726831/124200862], [-4389389946, -3855638971, 2939898233/2, 1179070754], [470451293/62100431, 213001402/62100431, 321951183/124200862, 5/124200862]], [[0, 0, 0, 0], [3645180488754917802808007717486/62100431, 41557245652750161248803116810106/62100431, -772694795391247928055358580695/62100431, -12007122462111533793778452128352/62100431], [-9941785576583181833070, 807640774224652269565820, 8436669474786087869880, -236122243164662753650700], [69287968695458462100580/62100431, -197107046638289445696220/62100431, -10859812835324001291990/62100431, 57750775949292930457330/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-81, 6, 10, 9], [19, -2, -3, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-27579502057024522279/1055707327, 45323882967797099873/1055707327, 33041366834214461557/2111414654, -1139429948240383/1055707327], [14693993308/17, -24161230666/17, -17587940805/34, 13968979/34], [2008295516/1055707327, -3300262844/1055707327, -2406235859/2111414654, -2/1055707327]], [[0, 0, 0, 0], [69734813675857727500639784784860/1055707327, -39165909700297879883992065884986/1055707327, -40444443064643078261709190447831/2111414654, 20983904578729818362560939069747/2111414654], [-37167904155751081821150/17, 20878107345147870340911/17, 21555489666023964398421/34, -5593254310996441664145/17], [-5077831282066907409447/1055707327, 2851844844980061525492/1055707327, 2945027226275398520199/2111414654, -1527921796415282622297/2111414654]]], 0, 23040, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[48, -32, -20, 8]], [ -134, 13, 5, -1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 4, 5, 0], [-286, -2, -5, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [4576632467847010/6714431, -27018055668548/6714431, 252378237063495/6714431, -49721065095209/6714431], [9791888928704/11, -13342482599903/11, -2926901323308/11, 3924798006384/11], [2969874/73858741, -29637172/73858741, 2620159/73858741, -1/73858741]], [[0, 0, 0, 0], [-155083316819918147886823708/6714431, 604185447801538963588612588/6714431, 37057473082509607251896231/13428862, -396099139431697497892985863/13428862], [-1094983122623527817532316/11, 1401061551158868966906940/11, 321007721986940991965793/11, -409855605723965007806073/11], [-2565734581401829500/73858741, 1546592784289998380/73858741, 2197758562813717631/147717482, -680112295812914783/147717482]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-296, -28, 4, -8], [-38, -3, 0, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [1168039171203319973/114145327, 196589459987734484/114145327, 184714777612748687/114145327, 64227674498291372/114145327], [178742621936/187, 57415326162/187, 2895248600/187, 17190408438/187], [-519981061/1255598597, 137068068/1255598597, -224196382/1255598597, 1/1255598597]], [[0, 0, 0, 0], [-220329752061033609060500129913/6714431, 310438887758087713672934389995/6714431, 125651932753280505219506776023/13428862, -92319848326488824748138711816/6714431], [-25441315811370402101712/11, 36875385984720158899728/11, 7104285743674707455812/11, -10976676472527932124595/11], [154972446471681630675/73858741, -210763577187026534125/73858741, -90356893876879760975/147717482, 62548640594884657850/73858741]]], 0, 23040, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, -16, 13, 0], [4, -8, 5, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-53060, 90790, -1899, -18169], [-42408, 63612, 0, -10602], [8, 8, 1, 3]], [[0, 0, 0, 0], [698183654, -1830918216, -209533904, 538403686], [709958484, -1122620472, -210957570, 331196562], [-802140, -1020654, 237876, 301494]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [190, 60, -47, -129], [-6, -8, 7, 17], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4213413981656/17, -4353837257640/17, 1196764513172/17, 1277100756390/17], [15497620390/17, 1328926690/17, 309498833/17, -13539071/17], [-100/17, -82/17, 43/17, 5/17]], [[0, 0, 0, 0], [151023490126493400, -23773224520019184, -43750028816663676, 7485671437387194], [-1760369144291898, 1977956946288484, 421359805554310, -656888207998148], [2518320, -284228, 10066, 175630]]], 0, 5120, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[0, -6, 0, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -5, 3, 3/2], [7, -3, 5, 5], [-2, -5, 3, 3/2], [0, 0, 0, 0]], [[-1463068, -22954, 165169, 143213/2], [-218549, 7012232, -314104, -2308363], [-1463068, -22954, 165169, 143213/2], [0, 0, 0, 0]], [[-1, -1/2, 1, 1/2], [-2, -1/2, 5/2, 1], [-1, -1/2, 1, 1/2], [-1, 1/2, 1/2, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -4, -4, 1/2], [-1, -52, -54, 4], [-1, -4, -4, 1/2], [0, 0, 0, 0]], [[64618, -3671, -37681, 17763/2], [3157715/17, 11598393/17, -4523254/17, -3979195/34], [1097816/17, -62847/17, -640707/17, 301921/34], [-69/17, -44/17, -13/17, -5/34]], [[1744070950, -27171241613/2, 2181871627, 2847157345], [-2404736557564/17, 1881546531321/34, 2441026023705/34, -959923465163/34], [29636255140/17, -461502471491/34, 37141833044/17, 48363118350/17], [-1295101/17, 40863593/34, 10003077/34, -7711303/34]]], 1, 6, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[0, -6, 0, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 4, -4, 0], [-8, -1, 4, 1], [-2, 4, -4, 0], [0, 0, 0, 0]], [[-424960, -215385, 129812, 150313/2], [-1433639, -1634044, 403421, 469204], [-424960, -215385, 129812, 150313/2], [0, 0, 0, 0]], [[-1, -3/2, 1/2, 1/2], [0, -3/2, 0, 1/2], [-1, -3/2, 1/2, 1/2], [0, -3/2, 0, 1/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, -5, 8, 15/2], [109, -68, 126, 101], [-5, -5, 8, 15/2], [0, 0, 0, 0]], [[-465489120, -102218179, 4733953, 152112067/2], [-4228111179271/17, 8606641267451/17, 1234758893874/17, -5052581084991/34], [-7913316070/17, -1737709483/17, 80477071/17, 2585905089/34], [-103/17, -44/17, -13/17, -5/34]], [[-245841197997135, 756529820433215/2, 59911438206745, -209824628798555/2], [-5928761007137197641/17, 15107696167641088971/34, 3473308666208529375/34, -2212754756421415212/17], [-4179300794250445/17, 12861008386963705/34, 1018494557660090/17, -3567019113062235/34], [-42829915/17, 143959905/34, 21629085/34, -21174340/17]]], 1, 8, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[0, -6, 0, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, -4, -8, 0], [14, -5, -8, 3], [-2, -2, 2, -2], [0, 0, 0, 0]], [[-129148, 109836, 932997/2, 138201], [-325087, -212590, 418991/2, 90043/2], [49487, 60350, 97767/2, 89318], [-1, -5, -1/2, -1/2]], [[-181595399, -660841358, 153470240, 511385321/2], [6020411614, -6971370921, -3521482303/2, 2053366154], [571595440, -1232181144, -121079282, 376697884], [-255654, 348988, 148117/2, -204929/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 1, -7/2, -3/2], [49, 7, -3, -19/2], [0, 1, -1/2, -1], [0, 0, 0, 0]], [[11, -60, 99/2, 2], [-18876/17, -38735/17, 28557/34, 8791/17], [-77/17, 420/17, -693/34, -14/17], [11/17, -60/17, 99/34, 2/17]], [[-714344708, 402703184, 334350998, -27216904], [-1069797519126/17, -1159459545329/17, 334460600741/17, 354833968743/17], [5000412956/17, -2818922288/17, -2340456986/17, 190518328/17], [-714344708/17, 402703184/17, 334350998/17, -27216904/17]]], 1, 6, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[4, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -4, -1, -2], [10, 3, -26, -5], [-2, -4, -1, -2], [0, 0, 0, 0]], [[2666, 3224, -775, -1891/2], [1645, 3158, -489, -913], [2666, 3224, -775, -1891/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, -4, -3, -5/2], [-299, -50, -55, -32], [0, -4, -3, -5/2], [0, 0, 0, 0]], [[18402557824, -4090103018, -6061587545, 3966367117], [-11293259941285/17, 36594597060911/17, 4923809733280/17, -10637028296037/17], [312843483113/17, -69531751684/17, -103046988923/17, 67428240954/17], [-15/17, 54/17, 94/17, 5/17]], [[2456859562248666, -3475102118815590, -736117572980181, 1021612005000963], [-5100750196540434180/17, 6360297111785616335/17, 1495055962821674022/17, -1865524771535437383/17], [41766612566534964/17, -59076736019542162/17, -12513998742861063/17, 17367404085835959/17], [-1186806/17, -46124/17, 313998/17, -117084/17]]], 0, 40, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[4, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 0], [-1, 0, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-18, 6, 36, 21/2], [0, 0, 0, 0], [-3, 5, 3, 5/2]], [[0, 0, 0, 0], [-15342864, -41515975, 5109843, 11148360], [0, 0, 0, 0], [2259400, -20829930, -1572890, 6474050]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, 0, -20, 0], [-1, 0, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [687/17, -14958/17, -25783/17, -67/34], [-100/17, 530/17, 910/17, 5/17], [-10/17, 53/17, 91/17, 1/34]], [[0, 0, 0, 0], [-2107349862856/17, 1678432268931/17, 419782930662/17, -996784857323/34], [25953408770/17, 640412800/17, -837510720/17, 115676505/17], [2595340877/17, 64041280/17, -83751072/17, 23135301/34]]], 0, 40, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[4, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 4, 4, 1/2], [-9, 1, 22, 13], [-2, 4, 4, 1/2], [0, 0, 0, 0]], [[21838, 5881, -1591, -7387/2], [96345, 13690, -91739, 69189/2], [21838, 5881, -1591, -7387/2], [3, -5, -1, -5/2]], [[-3350245015, -1126900070, 957559625, 667149185/2], [-7387288939, -6355230200, 2346924218, 1699685374], [-3350245015, -1126900070, 957559625, 667149185/2], [-315208, 936014, 134540, -237367]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 3, 5, 5/2], [-151, 22, 56, 25], [5, 3, 5, 5/2], [0, 0, 0, 0]], [[-5046210731, -202641948, -115299470, -47090559/2], [323138316475/17, -576574554992/17, 2384200759994/17, -2522039084417/34], [-85785584563/17, -3444913260/17, -1960091422/17, -800539575/34], [89/17, 6/17, 18/17, 3/34]], [[-730376576634733548, 6816847422778348, 84375708495011846, 7768528766514819], [102290320570322760304/17, -125641819775614805668/17, 227236722683196479614/17, -108035141954899939599/17], [-12416402126228756844/17, 115886399077575068/17, 1434387053982481678/17, 132064995669902595/17], [13476595272/17, 296235702/17, -398636679/17, -276631278/17]]], 0, 24, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-16, 32, 8, -8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 5], [-150, -4, 256, 7], [0, 0, 0, 0]], [[0, 0, 0, 0], [-19020, 15284, 5575, -4480], [-806, 924, 166, -230], [-4, 4, 2, -3]], [[0, 0, 0, 0], [-44735586, -68747987, 13102834, 20135849], [-636542, -1363400, 186075, 399352], [-8288, -12617, 2516, 3737]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [138, 34, -602, -61], [48, 6, -86, -9], [0, 0, 0, 0]], [[0, 0, 0, 0], [-821557209268448/17, -248166241639255/17, 223650974597953/17, 72258464908537/17], [-7206143843182/17, 199225718296/17, -59362454287/17, -134876565184/17], [206/17, 105/17, 26/17, 5/17]], [[0, 0, 0, 0], [-2944846640934659309962212/17, 659716791001279558755726/17, 844951443823249230989559/17, -185834627675617562561670/17], [-32598706726940278276880/17, 17019046888123063398872/17, 7336196360147562769070/17, -4063448709828960157400/17], [863619235072/17, -14852737850/17, -216598757924/17, 2854388928/17]]], 0, 1280, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[32, 0, -8, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [180, -46, -313, 91], [-4, 10, 1, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [157830, 231680, -48966, -70031], [138094, 206470, -40568, -60533], [-4, -4, 2, 1]], [[0, 0, 0, 0], [-80569416, 103971473, 23586022, -30460026], [-79473108, 102665706, 23276682, -30070326], [-1032, 1373, 304, -402]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [112, 76, 8, -27], [4, 10, 2, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1789512264/17, 2883670629/17, 603525673/17, -919643326/17], [26461538/17, -907722/17, 2476624/17, -6462386/17], [-158/17, 35/17, 37/17, -4/17]], [[0, 0, 0, 0], [-8048513557072/17, 19420169934608/17, 16104150535/17, -7141692606845/17], [317633096428/17, 84800145328/17, -168657235867/17, -85155255973/17], [-1328744/17, -153920/17, 469160/17, 106190/17]]], 0, 1280, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[32, -16, -8, 8]], [ -134, 13, 5, -1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, -2, 6, -1], [-138, -30, 236, 51], [0, 0, 0, 0]], [[0, 0, 0, 0], [157824912082116/6714431, -219458455634616/6714431, 154926400692975/6714431, 31574467824357/6714431], [363378900/11, -241712092/11, 302255958/11, 2610340/11], [34346838/73858741, -21298828/73858741, 28331837/73858741, 2/73858741]], [[0, 0, 0, 0], [1689058167890841606378830/6714431, -4351227549438109299295889/6714431, -665270626612512422157013/6714431, 2541242466395408170089039/13428862], [1336101600191656200/11, -917672585135409390, -736835990125670400/11, 2950454667170648085/11], [110126917368632430/73858741, -955735450188960105/73858741, -64809865306380285/73858741, 50762789670231765/13428862]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-390, -104, 258, 163], [-26, -16, 44, 28], [0, 0, 0, 0]], [[0, 0, 0, 0], [-63132837017973176377/114145327, -112517981615927441901/114145327, 18717317736605429354/114145327, 65799682420117079437/228290654], [138060875196/187, -7454642742/187, 1172429198/187, -1749591281/187], [-481954095/1255598597, 45611293/1255598597, -2047136/1255598597, -1/2511197194]], [[0, 0, 0, 0], [300232243385674730785438452524483/114145327, 627646197395077980342409968447409/114145327, -87995606188098111534771210070223/114145327, -368817292699971063652454925732087/228290654], [-1039711172047957232136744/187, 431800685993616766909956/187, 222005513939794378233102/187, -251698745508899732349090/187], [3640275816992980407705/1255598597, -1626566076907911914757/1255598597, -780212140434480433017/1255598597, 1815893099011508466915/2511197194]]], 0, 20480, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-32, 64, 8, -16]], [ -226, 5, 5, -7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, 48, -19, -80], [-10, 48, 17, -83], [0, 0, 0, 0]], [[0, 0, 0, 0], [-246539758638117/62100431, -4310863904715287/62100431, 11090524251387577/62100431, 780257822489939/124200862], [-11358624, -1868299, 23705304, 6960027/2], [-15811293/62100431, 115380755/62100431, -269807188/62100431, 3/124200862]], [[0, 0, 0, 0], [148761782334141648934760088/62100431, -133973985352822126456545169/62100431, -43570841816706869539873139/62100431, 39240394262754590742255589/62100431], [51783985920965974, -16305092124022047, -15165780560766144, 4776484533616390], [-4146502501843821768/62100431, 3764661724266813555/62100431, 1214471997841567581/62100431, -1102651292284493790/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-254, 228, 236, -378], [48, -74, -82, 127], [0, 0, 0, 0]], [[0, 0, 0, 0], [-680944090948379763541/1055707327, -5718984418819746487693/1055707327, 231596743690075827745/1055707327, 3372411503047786043413/2111414654], [59656660158/17, -86959260521/17, -62341655700/17, 20019063899/34], [-8046703875/1055707327, -8348157863/1055707327, -4539055977/1055707327, -5/2111414654]], [[0, 0, 0, 0], [1548097973866500579502752490335402/1055707327, -6008814487580399649782988495113958/1055707327, -452672803527730952705755626714065/1055707327, 1759021391011335430763457756689835/1055707327], [71662914117950447782356/17, -130798639378372776574872/17, -22064947158808805765169/17, 39603566714484485210699/17], [-10466051340909088743416/1055707327, -2677304486736389414394/1055707327, 2914860595977366437112/1055707327, 976248934505649462479/1055707327]]], 0, 20480, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[48, -80, -8, 24]], [ -134, -13, 5, 1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, 6, 4, 3], [-240, -48, 410, 82], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1120652891626915/6714431, 520764274165463/6714431, 419137389653682/6714431, -362523995564623/13428862], [225069466/11, 239278144/11, -21036762, -24112159/11], [-2306617/6714431, -18753569/73858741, 2255508/6714431, 1/147717482]], [[0, 0, 0, 0], [475755341118155202800400/6714431, -987662412440674934789451/6714431, -139632700406346672143823/6714431, 290395497256885575323934/6714431], [108292947888162872/11, 31454605123843970/11, -31565671525003700/11, -11341152155626295/11], [-8092461524199174/73858741, -6035233280706627/73858741, 2315348047205859/73858741, 1981014554381802/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [58, 58, 246, -114], [-70, 34, 120, -59], [0, 0, 0, 0]], [[0, 0, 0, 0], [-142839500243525934981/114145327, -271066156327690081051/114145327, 42207184812973256916/114145327, 158869620968527322127/228290654], [320948271548/187, 21265351248/187, -536780274/187, -12386857158/187], [414809785/1255598597, -263252533/1255598597, -2255508/114145327, -1/2511197194]], [[0, 0, 0, 0], [-1286252077577886579359323409039244/114145327, -1810939996838072101359584960217276/114145327, 378009272887198258319794067264832/114145327, 530842075104586581338637603681447/114145327], [1620956692066781441045488/187, 143242674310619188223992/17, -18100531363539260279016/17, -404982978701077835544920/187], [1414939458714031983900/1255598597, 576755589280442605268/1255598597, -325146351079171415770/1255598597, -30180447833461940032/114145327]]], 0, 20480, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[48, -48, -8, 16]], [ -226, -5, 5, 7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, 52, 11, -89], [-10, 60, 17, -103], [0, 0, 0, 0]], [[0, 0, 0, 0], [5771718873470060/62100431, -6953186954756813/62100431, -2282119112046650/62100431, 24989154848847/124200862], [165762605, -199632443, -65528410, 424879/2], [191571724/62100431, -230641616/62100431, -75665420/62100431, 1/124200862]], [[0, 0, 0, 0], [-13433486150204584631120586112/62100431, -13259349729630580342960595990/62100431, 3934573510267797704803626428/62100431, 3883566719460535511184117746/62100431], [-385951451565196913604, -380982950564703367620, 113042462725486269570, 111587124046970757607], [-446264866128337443490/62100431, -440549886080704533432/62100431, 130707837301878106716/62100431, 129033843859124782081/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-90, -164, 257, 293], [-48, -56, 83, 96], [0, 0, 0, 0]], [[0, 0, 0, 0], [-626320537857264857894/1055707327, 228082364832276793119/1055707327, 196393044293565654734/1055707327, -56676728885114013968/1055707327], [-122165110278/17, 76278391565/17, 52540191485/17, 905521425/17], [3704944136/1055707327, -6467384825/1055707327, -4230669783/1055707327, -2/1055707327]], [[0, 0, 0, 0], [1436273951781870873838197761950/62100431, -6000144824279499468176147535092/62100431, -432724584470309982433632177846/62100431, 3531298607756353743242586327395/124200862], [583410170042240760923, -1104346364004454945890, -229876298737172803133, 717283589989952881569/2], [-44732565259038716974/62100431, 15976896257519423625/62100431, 13606463521711740604/62100431, -10629950854857326839/124200862]]], 0, 20480, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[80, -144, -24, 48]], [ -134, -13, 5, 1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 6, -8, 1], [48, -4, -10, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-98581768368900/6714431, -132123045899160/6714431, -74712716762230/6714431, -5826939128759/13428862], [-2259737124/11, -3024586966/11, -1884008292/11, -21483681/11], [-18658356/73858741, -25468000/73858741, -15475998/73858741, 1/147717482]], [[0, 0, 0, 0], [-547924570579653006233700/6714431, 1041174914395170047255995/6714431, 183324534068152261233010/6714431, -358694909256719453017580/6714431], [-14940809796919593094/11, 26779494359235288206/11, 5470019085378695610/11, -9403729411239143487/11], [-117604270924183260/73858741, 213892082348122283/73858741, 43462574277455690/73858741, -75489299935725088/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-166, 2, 22, -11], [-40, 2, 6, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [178626113231971211/114145327, 30841377901953493/114145327, -263238728333052687/114145327, -119390613134418629/228290654], [16757975642/187, 17238678412/187, 78802103276/187, -15489234554/187], [186519131/1255598597, -34961879/1255598597, -595537223/1255598597, -1/2511197194]], [[0, 0, 0, 0], [-831158367702355466442353215336/114145327, 1142780425131627839669462334256/114145327, 251179820508769975441954876542/114145327, -249406917354376024509389486098/114145327], [-1673538095180487008796494/187, 2578091053124526319418740/187, 538479884500418982634322/187, -800182878566370199309151/187], [3997639662749650526100/1255598597, -6346498903429720966080/1255598597, -1352354995015851247710/1255598597, 2121578537730621282840/1255598597]]], 0, 368640, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-96, 144, 40, -40]], [ -226, -5, 5, 7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [16, -14, 0, -9], [14, -4, 2, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [10416499886966042/62100431, -32328301631428178/62100431, -11378740468280329/62100431, 8779742847253493/124200862], [561135589, 528753110, 556628842, 272401259/2], [-191571724/62100431, -328262263/62100431, -172736304/62100431, -1/124200862]], [[0, 0, 0, 0], [6409245384957371252025323941197/62100431, -8453541179207396031256969129031/62100431, -1899825593079853791347961737596/62100431, 4933504623644536045996928585359/124200862], [104478512011446648081018, -130488919684632399415324, -29671965142759657592542, 78483904726630203851603/2], [-11013071671201207608717/62100431, 11855308144455481505484/62100431, 2904774325156732900151/62100431, -7582573087535508607993/124200862]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [76, 12, 1, 14], [-8, 4, -1, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-41192950246035913948/1055707327, 134184551676777202816/1055707327, 147426707546166337073/1055707327, -1078661426513081087/2111414654], [33250636675/17, -104976771126/17, -111779301538/17, -8582313/34], [-2519765516/1055707327, 8348157863/1055707327, 9247239705/1055707327, 5/2111414654]], [[0, 0, 0, 0], [-8522504101759362224167893417598566/1055707327, -5519372026505046219157839656216878/1055707327, 2669829119651779832983890283009454/1055707327, 1689822608319710621960148699963145/1055707327], [6661849162860928172910672/17, 3996642976563077057846304/17, -2083371360474457064763360/17, -1227400224931805073316776/17], [-532006516040254847257248/1055707327, -352571926896071738998416/1055707327, 166743873523791718456608/1055707327, 107878546870383509872344/1055707327]]], 0, 368640, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-80, 48, 24, -8]], [ -226, 5, 5, -7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [228, 10, 0, -7], [230, 8, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1489615595411937285/62100431, 743433873447024235/62100431, 428971096592728676/62100431, -461846939956345239/124200862], [-24662078110, 11868043773, 6532663951, -7439687931/2], [367332155/62100431, 79860539/62100431, 261966713/62100431, 1/124200862]], [[0, 0, 0, 0], [283261344971880107826996386530/62100431, -477604310290763485606863226794/62100431, -82894739357861756116089121079/62100431, 140149948952229249664751762980/62100431], [4656364808776494198466, -7960836184690537949778, -1350866060155975869621, 2335512697722807059880], [-51226497707071767888/62100431, 154575941238297211464/62100431, 7398850346666744316/62100431, -45082116952055413338/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [704, 20, -7, 3], [-212, -10, 1, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1051088350797449862198/1055707327, 1601306038200839677349/1055707327, 43488529736040743762/1055707327, 191135933699867604903/2111414654], [-5138346044069/17, -7861303251938/17, -262707984442/17, -984563755945/34], [-4776462756/1055707327, 1286348943/1055707327, 1414744924/1055707327, -1/2111414654]], [[0, 0, 0, 0], [400783298519651931924557236845635/1055707327, -2895787991705896616059382357253942/1055707327, -67501012285492720490979767409547/1055707327, 1344917208768958787818750859886563/2111414654], [-1990244681702075771479516/17, 14253111753007149732681772/17, 346487040770597175131799/17, -6615086519273072475487993/34], [36417919364782098348189/1055707327, -44494098731275984441614/1055707327, -10552526057743058047890/1055707327, 25788785684472325157943/2111414654]]], 0, 368640, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[96, -64, -40, 16]], [ -134, 13, 5, -1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 0, -6, -4], [-46, 8, -4, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [1864730073916203/6714431, 327182172442392/6714431, 240515439669019/6714431, 237027445420275/13428862], [9337256194/11, -1857094200/11, -1425857508/11, -149448941], [7424685/73858741, 6480242/73858741, 23336475/73858741, -5/147717482]], [[0, 0, 0, 0], [10103116786574434636325969156/6714431, -7182065499429217788408683552/6714431, -3536527989611505118221962759/6714431, 1865003343591834033555218392/6714431], [53397009417764512671868/11, -56193549412668738560488/11, -15398368975399918072782/11, 17601820420746762870506/11], [107125164664993682902/73858741, -61581172986085157586/73858741, -47713508504285279195/73858741, 13358285075386209835/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [954, 54, -22, -11], [180, 8, -2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1816284484938692493179/114145327, 1842703170236998532322/114145327, -77110924122579881007/114145327, -244503481655133118273/228290654], [561009512742076/187, 563439320241058/187, -22680048899014/187, -31922964367593/187], [253663441/1255598597, 68534034/1255598597, 572773771/1255598597, 1/2511197194]], [[0, 0, 0, 0], [-16150418053491853183601074258569288/114145327, 11266297062011275060885094465084748/114145327, 5317212726938849857113775009081700/114145327, -3111823745245186324896183567884210/114145327], [-460277478587908495188296554/17, 324982493034464413954154084/17, 151821958427295385032625202/17, -89862731356441038206599153/17], [-1503259708628189760352/114145327, 1773609574099200265792/114145327, 443007896794554686400/114145327, -495301604967515279440/114145327]]], 0, 368640, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[32, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, -18, 16, -6], [6, -10, 6, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [7800466, 10475952, -2327680, -3088613], [-153354, 153842, 17080, -58316], [4, -2, 4, 3]], [[0, 0, 0, 0], [74479334234, 100837958876, -21738511792, -29617948395], [-1887942070, 1677469256, 597345428, -542707911], [86160, -17280, -35400, 15600]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-320, -58, -8, -17], [8, 6, 0, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [1155615679048/17, -1052154234184/17, -330851856720/17, 324605441562/17], [-11907663120/17, 631601244/17, 318071412/17, 139044319/17], [20/17, 64/17, 90/17, -1/17]], [[0, 0, 0, 0], [-96614310445022772656/17, 117154850316255772120/17, 28280485888304206088/17, -34436045502830798766/17], [816353708810639996/17, -747058578161430388/17, -213610055826331478/17, 213908723604081024/17], [-2303758016/17, 18726960/17, -25706828/17, -71646526/17]]], 0, 81920, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[0, -12, 0, 4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 1, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[5, 2, -7, -3], [9, 9, -26, -9], [5, 2, -7, -3], [3, -1, -2, -1]], [[-28497, -43247, 18349/2, 12508], [56566, 170022, -19149/2, -105133/2], [-28497, -43247, 18349/2, 12508], [-5664, -37583, 2183/2, 22833/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 1, 1, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[-24, 14, 0, -1], [42894/17, -32100/17, 6278/17, 322/17], [-1228/17, 878/17, -120/17, -27/17], [-82/17, 64/17, -12/17, -1/17]], [[-25466707, 7427777, 32121817/2, 2959131], [46930381874/17, -20220547886/17, -53728208123/34, -5031056409/34], [-1294805379/17, 551190899/17, 1452258479/34, 60296922/17], [-86187136/17, 42491869/17, 90618759/34, 1998339/34]]], 0, 48, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[8, 0, -2, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, 1, -3, -7/2], [9, -7, -18, 3], [-4, 5, -2, -3/2], [0, 0, 0, 0]], [[-89270524, -117953675, 7137634, 23316664], [-126532553, -199103738, 2044760, 91000039/2], [-64262282, -53691393, 10812543, 12504121], [4, -4, 3, -5/2]], [[125962594898805, 157483900929285, -74247815194623/2, -46244844870462], [188974690946704, 255574049001287, -55646886241176, -150108814728399/2], [81161857384146, 76322043545139, -47688952226265/2, -44800737514659/2], [-6173755, 5030760, 1759975, -1463350]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, -1, -8, -1/2], [-111, 3, 5, -21], [-1, 0, 2, -5/2], [0, 0, 0, 0]], [[552327798, 480929090, -285479667/2, -65477817/2], [173746846457/17, 1267653030383/17, -33611953173/17, -364934277529/17], [8077093085/17, 98700444/17, 199354577/34, -656239166/17], [47/17, 28/17, 67/17, -3/34]], [[85482311715436, 2118208505148580, 365406032461369/2, -977087166490183/2], [5235008013846071177/17, -3940374665036092814/17, -1502819999152979468/17, 2340016267809032205/34], [-44837075212546320/17, 80846606223549932/17, 29679803490036225/34, -23145140563482952/17], [-362146248/17, 671314416/17, 208941252/17, -148303770/17]]], 1, 10, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[8, 0, -2, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -5, -3, 1/2], [1, 0, -10, -6], [-1, -5, -3, 1/2], [0, 0, 0, 0]], [[3206, -1148, -756, 259], [-3978, 8915, 1099, -2486], [3206, -1148, -756, 259], [0, 0, 0, 0]], [[0, 2, 0, -1/2], [3, 2, -1/2, -1/2], [0, 0, 0, 0], [2, 0, -1/2, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -1, 4, 3/2], [-189, -17, 51, 17], [-4, -1, 4, 3/2], [0, 0, 0, 0]], [[1608956, -582064, -1033836, -261575/2], [2024037499/17, -1343473424/17, -624135559/17, 374100757/17], [27350884/17, -9894454/17, -17576132/17, -4446781/34], [-62/17, 26/17, -41/17, -2/17]], [[-14, -1, 13, -9/2], [-5387/17, -830/17, 9385/34, -2863/34], [190/17, 30/17, -165/17, 50/17], [19/17, 3/17, -33/34, 5/17]]], 1, 10, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[8, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 2, -3, 4], [24, -20, -41, 35], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 0], [0, 1, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-84630, -2486510, 23777, 727415], [273168, -524664, -81396, 150192], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-614, 482, 884, -839], [-74, 70, 127, -120], [0, 0, 0, 0]], [[0, 0, 0, 0], [-19420603372790/17, -15044956359084/17, 5780042065975/17, 4415964827286/17], [43664834776/17, -3424579262/17, -56427145/17, 2044621361/17], [-26/17, -22/17, 70/17, 3/17]], [[0, 0, 0, 0], [-138933690153661981691/17, -183065466721065896235/17, 40691031534217571614/17, 53618572764553394639/17], [224841898086795528/17, 304283326809023433/17, -66091973470634364/17, -89126024782411072/17], [-4576527/17, 27324/17, 140418/17, 137187/17]]], 0, 320, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[8, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -10, -3, -2], [64, -6, -110, 11], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-53769004, -54653678, 15741096, 16006934], [1305788, -2556246, -340531, 699170], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [322, -92, -823, 151], [68, -12, -117, 21], [0, 0, 0, 0]], [[0, 0, 0, 0], [-67970145767141/17, -40071410893055/17, 19584507153102/17, 11680886009905/17], [-154390970490/17, 2869333792/17, 2673628218/17, -7750076124/17], [79/17, 8/17, 41/17, 2/17]], [[0, 0, 0, 0], [-22589592503893379032043/17, -10738091530258445995848/17, 6564567428094837144548/17, 3146318113982772369777/17], [-59300896392929874006/17, 7851289508628812174/17, 10509260127667897414/17, -2064707615114785208/17], [35151840929/17, -998521509/17, 767475063/17, -1158095532/17]]], 0, 320, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[8, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, -4, -8, -3], [10, -3, -17, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 1, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-15416, -249608, 3936, 72980], [-8550, -30075, 4575, 7425], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-66, 20, -26, -9], [0, -1, 2, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2552338039/17, -1100602339/17, 588701514/17, 282717229/17], [30202862/17, 6640258/17, -590304/17, 1709951/17], [-29/17, -18/17, 65/17, 4/17]], [[0, 0, 0, 0], [34922856469414, 53783989539458, -10307222865293, -15739971835296], [-415569315294, -673389566479, 124381093039, 197698543497], [52878, 2324, 26131, -16317]]], 0, 320, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[64, 0, -16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, -4, 10, -3], [6, 4, 8, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [11127652, 18833166, -8985379, -2401526], [14245740, 21546860, -4694392, -5976366], [2, 10, 5, 0]], [[0, 0, 0, 0], [-27406450216, 23428681244, 10821037936, -8376294830], [-12265553620, 1558871828, 3863471782, -610443506], [-9912, 6846, 2100, -2394]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [378, -46, -222, 120], [18, -8, -32, 16], [0, 0, 0, 0]], [[0, 0, 0, 0], [595062928/17, -4324544788/17, -580122647/17, 1211756007/17], [-992588/17, 4870444/17, -20952804/17, 14862491/17], [130/17, 76/17, -27/17, 2/17]], [[0, 0, 0, 0], [938212483126, 3691223271724, -279669204612, -1082567033121], [9635021538, -6949606188, -2944066250, 2172588163], [-147108, -147108, 43378, 43378]]], 0, 20480, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[64, 0, -16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [30, 8, -2, -5], [8, 4, 10, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [147492302, 335154706, -56745237, -101216018], [81239544, 162859824, -57276972, -58716630], [-2, 6, -5, -2]], [[0, 0, 0, 0], [-819327154298, -991881029506, 239978912832, 290564945388], [-369918338400, -442238487210, 108407139750, 129640786470], [322, 7394, -108, -2142]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [286, 24, 28, -32], [-2, -4, 2, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [2035701399382/17, 1713904471924/17, -592119904973/17, -506216037230/17], [-2732503582/17, -14198506/17, -16660046/17, 20076863/17], [206/17, 20/17, 43/17, 5/17]], [[0, 0, 0, 0], [494901083997119272774/17, 374586298573562380938/17, -144770829106062569545/17, -109851610405081579980/17], [-842990844830710932/17, 109506579796388016/17, 223672622738202630/17, -27868251294641034/17], [69969370158/17, -2240701182/17, -17756997975/17, 486457542/17]]], 0, 20480, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[64, -32, -16, 16]], [ -134, 13, 5, -1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, -8, -10, 8], [-76, -22, 130, 38], [0, 0, 0, 0]], [[0, 0, 0, 0], [129837093461811/6714431, 148605673673639/6714431, 204636269303312/6714431, 318696042277/6714431], [-279517212/11, -321686368/11, -441286936/11, -524316/11], [24662533/73858741, 28481637/73858741, 39140540/73858741, 3/73858741]], [[0, 0, 0, 0], [9213267216716069903109796/6714431, 47638869797084278391821780/6714431, -2740000988212005469307604/6714431, -13975746259193310563480924/6714431], [-20026770891969066948/11, -102588058067695717928/11, 541383817478243896, 30096193228401777590/11], [1771423888242375566/73858741, 9074487053011719572/73858741, -526758273722830218/73858741, -242016158403879560/6714431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4458, 336, -7706, -582], [752, 56, -1284, -96], [0, 0, 0, 0]], [[0, 0, 0, 0], [3608939468749053470/114145327, -4930176442327653080/114145327, -1205013541105445932/114145327, 1488704331933133275/114145327], [97452060296/187, 32164914194/187, -64321500014/187, 1422522468/187], [-710309178/1255598597, -228759032/1255598597, 436109948/1255598597, -5/1255598597]], [[0, 0, 0, 0], [-382650446846065866150195642365/114145327, 483980054232168879662780378720/114145327, 122116443355448622497066011875/114145327, -135851216134816050718477451975/114145327], [-3455027480233653281392/187, 2335795040439928204176/187, 3428068998185516065522/187, 67005063735417138974/17], [25776394125417599069/1255598597, -20064315255196194584/1255598597, -23585028821252254923/1255598597, -3517716765403967329/1255598597]]], 0, 327680, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-64, 128, 16, -32]], [ -226, 5, 5, -7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-26, 42, 46, -76], [130, -158, -222, 270], [0, 0, 0, 0]], [[0, 0, 0, 0], [114696001, -141460650, 163606635, -3477887], [-28476037, -6678351, 54412668, 7711427], [-3, 4, -5, 0]], [[0, 0, 0, 0], [-2894361904486534218453438380461/62100431, -7578581454789991914224820703149/62100431, 847739451127451222795098144141/62100431, 2219715155343357882927858337122/62100431], [-843441815741990062135, -2066224479937206902296, 247040993117259142557, 605184102655659042387], [83009423795165458931707/62100431, 215010458639871189421183/62100431, -24312912051479802179999/62100431, -62975106994865566197055/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-210, -2, 382, -8], [74, 0, -126, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [5748381839, -28744639661, 11498382036, -220387], [-744659409, 3723285004, -1489314666, -3741], [-1, 5, -2, 0]], [[0, 0, 0, 0], [-7081811920325313563128243089028/1055707327, -8355583040571978517025627033442/1055707327, 2068042581506415262649270158797/1055707327, 2446954281956373762157202464761/1055707327], [14770770878095507076562/17, 17427440203387296412506/17, -4313385260620138307009/17, -5103671359827309872268/17], [1231807914653072302530/1055707327, 1453361343846122912158/1055707327, -359714598209123310035/1055707327, -425620655704830791521/1055707327]]], 0, 327680, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[96, -160, -16, 48]], [ -134, -13, 5, 1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, 4, 6, -10], [396, -310, -676, 530], [0, 0, 0, 0]], [[0, 0, 0, 0], [-262866336595955/6714431, -40731992265515/6714431, -96271274961925/6714431, 25128148479325/6714431], [754093136/11, 1011001184/11, -2324677364/11, -1913113864/11], [-36542029/73858741, -9493879/73858741, -29477883/73858741, -1/73858741]], [[0, 0, 0, 0], [-7257660096235149930686599895/6714431, -15851486734155549620160204370/6714431, 2125776901532374465405097245/6714431, 4642742730178974600479976225/6714431], [-15504422836819247896704/11, -31401103503638716889612/11, 4540199489415030687652/11, 9197024948483781684366/11], [-1366867655267345258095/73858741, -252376306197990283366/6714431, 400354210032561577061/73858741, 813102271339475686665/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-202, 500, 66, -874], [-20, 254, 34, -434], [0, 0, 0, 0]], [[0, 0, 0, 0], [112535625383227129503/114145327, -311761121739429048931/114145327, -32702860816795948960/114145327, 91356016348376573752/114145327], [-271851282172/187, 18230390356/187, -997589820/187, 7552381526/187], [-236554451/1255598597, 165549705/1255598597, 655066012/1255598597, 4/1255598597]], [[0, 0, 0, 0], [-7321296492872549782466532983427/6714431, 10467546579532106283100593932493/6714431, 2144324416085764817804121043101/6714431, -3065804058081375785118282803892/6714431], [8449664917524590844460/11, -8849097856775518721036/11, -2435324407080143942080/11, 2561860088906427732734/11], [-1352921674006213571/73858741, -602277891074960711/73858741, 265144576456222853/73858741, 349499920817086104/73858741]]], 0, 327680, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[96, -96, -16, 32]], [ -226, -5, 5, 7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-42, 2, 76, -4], [8, -198, -14, 338], [0, 0, 0, 0]], [[0, 0, 0, 0], [-297532, 121334520, 31421723, -1489404], [12341140, 211480206, 32575377, 5715191], [0, 4, 1, 0]], [[0, 0, 0, 0], [-2412849967698710922401205919/62100431, 1123958555227420676764341261/62100431, 706707152194911757064481498/62100431, -329200106230697286997977021/62100431], [-69502165370891946909, 32811280324379674152, 20356708521737556897, -9610210078274538182], [-80353553255390176349/62100431, 37912507580494130689/62100431, 23535003168455513329/62100431, -11104325575828748620/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [912, 890, -1594, -1528], [310, 296, -530, -506], [0, 0, 0, 0]], [[0, 0, 0, 0], [42511138681176053844/1055707327, -31051692930528236559/1055707327, 4652468978088163189/1055707327, 11914947076962782226/1055707327], [-4374529068/17, 18078505467/17, 37706404654/17, 1113365441/17], [1334586896/1055707327, -1783272285/1055707327, -3706736357/1055707327, -3/1055707327]], [[0, 0, 0, 0], [4183382320022088684735031274406407/1055707327, -5289558529927737230962964381878847/1055707327, -1218288687821014076649749737425096/1055707327, 1555182095304286094759006567278117/1055707327], [293092524287699063660701/17, -182615641331583276067278/17, -70525496592983201107161/17, 66160490522167047982048/17], [29217366388133256351073/1055707327, -51488812155129548735987/1055707327, -9888251992481379499961/1055707327, 13941468774041039820996/1055707327]]], 0, 327680, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[160, -288, -48, 96]], [ -134, -13, 5, 1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 4, 2, -6], [192, -6, -2, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-167463426234725/6714431, 48987197175947/6714431, -56142239792889/6714431, 262875213035/6714431], [483990164, -1560154952/11, 3441141280/11, -21510262], [-30602281/73858741, 9493879/73858741, -10808703/73858741, 1/73858741]], [[0, 0, 0, 0], [-21056670096437538190519840/6714431, 35194642872268466308860510/6714431, 6960041112422814381082405/6714431, -12203617554536379836412915/6714431], [768593694110334810060/11, -1295728979271259187560/11, -262736574524837094600/11, 469610359685677616686/11], [-3923243582175161426/73858741, 6527983631131365924/73858741, 1300220076279650627/73858741, -2268217260775833603/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [526, -14, 16, 4], [160, -2, 4, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1161236822280498897685/114145327, 1578046261274130278447/114145327, 40963059579863812624/114145327, -115214021910278337683/114145327], [600660693829488/187, 794066469248696/187, -18390800465352/187, -71903659111134/187], [-258892935/1255598597, -500802877/1255598597, 4511016/114145327, 1/1255598597]], [[0, 0, 0, 0], [841169838951712587544713685500/114145327, -1017141413709288767314350123944/114145327, -262559272881828416780536839036/114145327, 300838674495958873167778737720/114145327], [37786496234224771762464/17, -502461772364109142244182/187, -129922354877631863701650/187, 149001129902691956033028/187], [4220953345588148820/1255598597, -5540561946678107820/1255598597, -1224558190876783080/1255598597, 1618141282572521760/1255598597]]], 0, 5898240, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-192, 288, 80, -80]], [ -226, -5, 5, 7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 8, 4, 4], [-254, -8, -6, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [6758246030510686/62100431, -11843308840246474/62100431, -11748608656541352/62100431, 51268362962020/62100431], [-518442336, 755961216, 1176348870, 131383232], [206238276/62100431, -390482588/62100431, -388283536/62100431, -4/62100431]], [[0, 0, 0, 0], [-288680778327329598200470899/62100431, 302527760170341883496569663/62100431, 87989626667593877233978816/62100431, -99955286127940648108392812/62100431], [16360088779191321859, -14847029797495864462, -5194409439712533903, 5555297318048703211], [-9110995069662483775/62100431, 9288890650507259515/62100431, 2786404408502514637/62100431, -3102477587483286039/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-234, 16, 14, -8], [-90, 2, 6, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-69046031212554571975/1055707327, -27995608113716880118/1055707327, -328355230726015997/1055707327, 152762926372568704/1055707327], [42530018907/17, 30574161319/17, -3502696443/17, 920755558/17], [-4242766291/1055707327, -1845132928/1055707327, 15680950/1055707327, 4/1055707327]], [[0, 0, 0, 0], [-25742682531019751513235990518946/1055707327, 5784155691522091334215149440214/1055707327, 21490826572897590710522660249446/1055707327, 5655659481494694778763813614100/1055707327], [14138783365164744212736/17, 2104758246888523211124/17, -14410170513335787159132/17, -6501791693501259775728/17], [-1565168412543436094604/1055707327, 302368868311362765756/1055707327, 1330821218722057259340/1055707327, 375518764971066316434/1055707327]]], 0, 5898240, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-160, 96, 48, -16]], [ -226, 5, 5, -7 ], [ -2, -3, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 2, -10, -2], [138, 2, -8, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [1106079874332520351/62100431, -21010875326304650/62100431, 180003316288088387/62100431, 134410590047207016/62100431], [-189602491601, -17663612177, 38291208876, 6442024956], [403080431/62100431, 106560648/62100431, 19289503/62100431, 3/62100431]], [[0, 0, 0, 0], [20063988851694199692014306867274/62100431, -45463308242607026581072361449210/62100431, -3341749971763957836042331169420/62100431, 13160181181553547961895096310174/62100431], [-2792955899578761193677296, 6144214471412706819620080, 691912668151451937352272, -1755793049577620768654336], [5009301019430415411392/62100431, -13879988458264497767488/62100431, -750273970231643716928/62100431, 3997450689329707463232/62100431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [534, 38, -20, -6], [-134, -10, 10, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [951777908472528477027/1055707327, -1474069961521482556083/1055707327, 322498889634477138771/1055707327, -179141948590217632777/1055707327], [-3607815526375/17, 5942210229512/17, -1557202796113/17, 538958201976/17], [849469051/1055707327, 2900840255/1055707327, -6629065167/1055707327, -4/1055707327]], [[0, 0, 0, 0], [-65561939432764312468144107720868/62100431, -278233285837152722947780040334460/62100431, 20659018084591025204433115802160/62100431, 81439260165349902151954199205179/62100431], [261017345377122682002816, 1104534533370938870016744, -81574112883295374312114, -322963415152179385105249], [-1832117717894256255750/62100431, -1961318312503336210060/62100431, 539232551763087532980/62100431, 579740826067776577855/62100431]]], 0, 5898240, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[192, -128, -80, 32]], [ -134, 13, 5, -1 ], [ -11, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, 2, 4, 10], [-376, -6, -8, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1889598566308792657/6714431, 10955031787258068/6714431, -1932297083984219/6714431, 52142859048106051/6714431], [152794642062144/11, -8926427450300, -47324182575936/11, 32157689316834/11], [-45580509/73858741, -27326102/73858741, 13100795/73858741, -5/73858741]], [[0, 0, 0, 0], [289742307848487395073789630050570/6714431, -305796813038048612216435505688650/6714431, -92448041607755635766880694968700/6714431, 80199933618205348759867905922010/6714431], [-26199177647214637908516893056/11, 32015599872417233467397912188/11, 7840811135864227576805225288/11, -9357443295848693452798025196/11], [3397586806591247937504/73858741, -1970053016808053076984/73858741, -1515634232353620938616/73858741, 411633345378905476052/73858741]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2504, 70, 66, -22], [388, 10, 10, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [25370960635355162269263/114145327, -4029694627029975892986/114145327, -84824413114733553885/114145327, 11747992205620940400/114145327], [6437891620433956/187, -94306123188702/17, -17542593028716/187, -4842244776520/187], [-367744339/1255598597, 548272272/1255598597, -554349547/1255598597, 4/1255598597]], [[0, 0, 0, 0], [-75192545227883766423627020901035862/6714431, -8147853773521396345637077945885776/6714431, 26574094974698498323043579539011228/6714431, 4201788231654229676484348494051535/6714431], [-19069795763338287490094204536/11, -2006692658847889384989715264/11, 6727726196602515467548890684/11, 1039858518294918278021546652/11], [2019535704321049771080/73858741, -1004486158073776961688/73858741, -930234563767894166670/73858741, 176200800098595834723/73858741]]], 0, 5898240, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[0, 0, 4, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, 3, 4, 3/2], [-21, -17, 50, 20], [1, 3, 4, 3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[-1008, -2181, 372, 1353/2], [10533, -16536, -3040, 5472], [-1008, -2181, 372, 1353/2], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, 0, -3, -3/2], [-175, -9, -38, -19], [-4, 0, -3, -3/2], [0, 0, 0, 0]], [[258242615, -3959765, -23705415, 13662430], [158012480348/17, -7194310482/17, -25783495412/17, 3863419370/17], [4390125029/17, -67315382/17, -402992209/17, 232261317/17], [-82/17, -89/17, 22/17, -1/17]], [[-4248520804013640, 5544784435947680, 1245645107308580, -1624516505754230], [-151934703922971313, 198310365405240543, 44542602696494761, -58102612932417312], [-4248520807952715, 5544784440205325, 1245645107769215, -1624516506567014], [562725, -608235, -65805, 116112]]], 0, 80, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[0, 0, 4, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, -4, -4, 3/2], [-9, 7, 8, 0], [5, -4, -4, 3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[111, 218, -33, -127/2], [587, 627, -172, -184], [111, 218, -33, -127/2], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, -1, 4, -5/2], [13, -7, 4, -10], [2, -1, 4, -5/2], [0, 0, 0, 0]], [[12522672, 1760328, 5894532, 3544668], [-1642650154/17, -1514452658/17, 4183640867/17, 2388888125/17], [212885620/17, 29925632/17, 100206617/17, 60259370/17], [-28/17, -8/17, 61/17, -2/17]], [[-13849730613432, -16903282836744, 4047174784656, 4946488281792], [-538918358825605/17, -623865065553969/17, 154094921852953/17, 180731377535796/17], [-235445413464471/17, -287355808357641/17, 68801969587857/17, 84090300846198/17], [-994839/17, 18999/17, 250185/17, -7962/17]]], 0, 80, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[16, 0, -4, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 10, -5, -15], [-2, -1, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1, 3, 3, -5/2], [-267, -345, 84, 98], [2, 1, -4, 3/2]], [[0, 0, 0, 0], [40704, 48816, -11970, -14325], [-8846500, -11534391, 2591110, 3378359], [29190, 19626, -8568, -5757]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-198, -50, 79, 41], [6, 4, -8, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [5510384423/17, -6925983060/17, -1759828112/17, 2103136707/17], [260708/17, -1278304/17, -4614634/17, 3552769/17], [-65/17, 81/17, 56/17, -1/17]], [[0, 0, 0, 0], [-1337015100679, 1992368667648, 394753541898, -1170432586625/2], [-1005285805, -2459488934, 402604347, 655201754], [38232, 10207, -11505, -6431/2]]], 0, 80, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[16, 0, -4, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, -6, -3, 8], [0, 5, 3, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3508, 24435, -9480, -27987/2], [-13392, -11352, 7672, 6144], [-5, -5, -1, 5/2]], [[0, 0, 0, 0], [323545866659, -420705023051, -94792359902, 246421186657/2], [41148143168, -62562492000, -12040053824, 18327798048], [41369340, -58967098, -12109606, 34533093/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-32, 58, -241, -46], [-10, -5, 24, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [5668916809119/17, 2566980241267/17, -1245809931010/17, -1386245455945/34], [-97919247944/17, -7077682660/17, -6377576033/17, -4661471477/17], [52/17, 95/17, 115/17, 5/34]], [[0, 0, 0, 0], [-118474327658416228442136/17, 57361464883111548495056/17, 34398678053565346098199/17, -16759463833021522638835/17], [2931908954275443391506/17, -2234312008604923305411/17, -834542256890827103754/17, 652393480811096209719/17], [-2161567897632/17, 39056074434/17, 547177716033/17, -8351128734/17]]], 0, 80, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-48, -16, 96, 48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [286, 150, -502, -272], [0, -4, -6, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-333022, 375529, 93073, -111404], [-164728, 186690, 49329, -55305], [2, 5, -2, -2]], [[0, 0, 0, 0], [967901182, -1357495121, -280153324, 396360621], [481959786, -667082114, -144552269, 197224069], [6690, -1017, -1137, 45]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [152, -46, 4, 41], [8, -6, 2, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [61986460964/17, 13392267709/17, -10979888712/17, -2081604132/17], [2493075304/17, 380514344/17, 1147195107/17, -532229673/17], [-142/17, 93/17, 109/17, 2/17]], [[0, 0, 0, 0], [-320138899995780982, -391504484573768504, 96286934212365752, 113856745845732284], [-16990365732232308, -18715165654563138, 6443809184603176, 4744748005287726], [49453700, -469220, -1502200, -553610]]], 0, 5120, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-48, -16, 96, 48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-164, -88, 296, 157], [8, 4, 0, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-117118, 141767, 43002, -46406], [-115710, 140976, 43111, -46285], [8, -1, 3, -5]], [[0, 0, 0, 0], [-551947480, 636890608, 162155987, -189210139], [-540577758, 637795652, 161104288, -188362438], [109020, 32706, -59961, -27255]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [314, -26, 34, -3], [8, -4, 4, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [2634066784782/17, 949725496947/17, 14246596586/17, -41637977618/17], [71486715330/17, -2128446008/17, 4861816365/17, 1162505091/17], [-14/17, 47/17, 39/17, -1/17]], [[0, 0, 0, 0], [-140257648098705026/17, 6821811985422063227/17, 404953333575696137/17, -2062034401714512759/17], [-54940676103711534/17, 210428952876820166/17, 35929208144985457/17, -69455651662310458/17], [60394248/17, 944541/17, -3994920/17, -1328481/17]]], 0, 5120, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, -6, -8, -1], [158, -62, -270, 106], [0, 0, 0, 0]], [[0, 0, 0, 0], [8430658, 10390023, -2466535, -3041986], [113940, 304004, 75555, -133495], [0, 3, -2, -4]], [[0, 0, 0, 0], [-138705927970, -132509508700, 40625812552, 38810908743], [-2265526236, -4707609220, 696969272, 1358880052], [83608, -94808, -23296, 27664]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1428, 878, -1950, -1489], [164, 124, -280, -212], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9063364450/17, 21224876024/17, 2641290530/17, -6201275321/17], [-6482218/17, 3168334/17, 402148/17, 1069498/17], [-124/17, -84/17, -82/17, -4/17]], [[0, 0, 0, 0], [58702178179006, -153144199220809, -17152299383230, 44844293400315], [51015170710, -27821552044, -9586356649, 6952938240], [1667886, 1014255, -563475, -389310]]], 0, 5120, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[0, 0, 8, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, -6, -10, -3], [-18, 10, 30, -21], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 0], [0, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-20688, 111296, 6144, -32536], [-24332, 43134, 29862, -24885], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [28, 42, -136, -81], [12, 6, -20, -11], [0, 0, 0, 0]], [[0, 0, 0, 0], [1815, 3073, -283, -890], [2, -1, -4, 2], [-1, 0, 2, 0]], [[0, 0, 0, 0], [-36594301644/17, -56273995418/17, 10693867276/17, 16479918921/17], [7176744/17, -3427368/17, -1802368/17, 856792/17], [-3604936/17, -88784/17, 889920/17, 16564/17]]], 0, 1280, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[0, 0, 8, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 0, 2, -5], [10, 10, -18, -18], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 0], [0, 1, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-435712, 435712, 127650, -127650], [23420, 13300, -6910, -3975], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-264, -32, 386, 49], [-32, -4, 56, 7], [0, 0, 0, 0]], [[0, 0, 0, 0], [76477055965/17, -8830655732/17, -24331303049/17, 2779849039/17], [-1379906714/17, 101888365/17, 111556018/17, 464526/17], [-19/17, -105/17, 25/17, -5/17]], [[0, 0, 0, 0], [-511312077658429800/17, 425227544036723066/17, 152048995822453916/17, -123057983958792224/17], [10350695703960498/17, -8774652882374368/17, -2688064528514800/17, 2793964297199518/17], [-401069826/17, 789360642/17, 200703442/17, -195468427/17]]], 0, 1280, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[0, 0, 8, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, -10, 4, 2], [-10, 8, 21, -13], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 1, 1], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [2082, -90, -1092, -258], [-1640, 3280, -492, -1804], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [140, 30, 48, -28], [4, -2, -5, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [565125879, 127157176, -143538875, -15441872], [2898238, -127666, 128401, -93168], [1, 5, -4, 0]], [[0, 0, 0, 0], [-3790835888055406/17, -9721584332816775/17, 1172725931709100/17, 2883968867128229/17], [-13718083377468/17, -55535555857278/17, 4958796154057/17, 16588517146117/17], [-47200404/17, 109301/17, 11871889/17, -106452/17]]], 0, 1280, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[0, 0, 8, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 8, -10, 10], [-8, -8, -4, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 1, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [8034720, -7104384, -2494992, 2177832], [-1741250, -6273750, 498225, 1822100], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-110, -58, 24, -14], [0, 6, -3, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [130099500201/17, 261028855015/17, -11549683433/17, -68568454775/17], [-7172089960/17, -90415640/17, -352580785/17, 13951870/17], [9/17, 56/17, 49/17, -3/17]], [[0, 0, 0, 0], [-482572521253256220/17, 321200797104326696/17, 140221178281209298/17, -94315509735741910/17], [-55403999555792670/17, 80193312437378860/17, 16343514952256735/17, -23500025436778385/17], [-61034112/17, -2081664/17, 15662976/17, 238464/17]]], 0, 1280, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[32, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [24, -14, -48, -20], [8, -2, -8, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-116286266, -249309404, 29960128, 71353284], [6249682, -51797772, -4876024, 15673280], [0, -2, -4, 4]], [[0, 0, 0, 0], [244450985486, 491110115954, -74740829757, -145493115002], [-3990879342, 98007895276, 73374296, -29101296355], [5002, -1066, -943, 1107]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [106, 36, -8, 36], [-2, -6, -4, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [1580725040/17, -4164925254/17, -1580734503/17, 1768730536/17], [55011130/17, 47061104/17, 157924096/17, -98244087/17], [-240/17, 82/17, -9/17, -5/17]], [[0, 0, 0, 0], [-11401847243626012/17, 59181893952115118/17, 13410906746973854/17, -21139777024524448/17], [-1650712534346068/17, -862721634734488/17, -1104294006648366/17, 826627930705302/17], [3668111300/17, -482662650/17, 32302350/17, 243438000/17]]], 0, 81920, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[32, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, 8, 28, 18], [4, 8, 2, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [56600862, -145833836, -26714274, 39650461], [-36381680, 22181818, 4712944, -5619754], [-2, -6, -4, -5]], [[0, 0, 0, 0], [-7290015567160, 6714608202454, 2111621043691, -1973567411590], [1835581171386, -3414790927020, -551740007820, 1002425589555], [-337260, -138408, 88695, 24747]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [162, -44, 26, 14], [-2, 10, -6, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [26840602590/17, 44887761636/17, -9855539379/17, -12788540790/17], [382497702/17, 10308634/17, 85386150/17, -63400445/17], [-206/17, -20/17, 25/17, -5/17]], [[0, 0, 0, 0], [1305603818186296/17, 1980687094683622/17, -705834539885286/17, -442646063467567/17], [1128644953554/17, 6324204780406/17, 35483874083442/17, -18812935969286/17], [-9318654/17, 308870/17, -374332/17, 26277/17]]], 0, 81920, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[32, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, 14, 8, 14], [-2, -2, 8, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [22397790, -32617406, -6274435, 9413970], [-168862, -991410, 157940, 241189], [6, -4, 1, -5]], [[0, 0, 0, 0], [1167737464, -7857868784, -336522864, 2301669682], [-820515936, -1206448264, 243093246, 353823662], [3200, 960, -1760, -800]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [470, 32, 34, -8], [-2, 4, 4, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-344250434284/17, 2610629250038/17, 218922530529/17, -747875054170/17], [7220885402/17, 25945608/17, -35379572/17, -260788975/17], [100/17, 14/17, -77/17, -5/17]], [[0, 0, 0, 0], [5243572689626358938/17, -26091714752681093414/17, -1141077555762652998/17, 7718198235076471151/17], [-89462941350178694/17, 18687776816813832/17, 32812055106168196/17, -5917503102087284/17], [-519731472/17, 6847068/17, -3584958/17, -13648175/17]]], 0, 81920, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[64, 0, -16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [122, -36, -210, 50], [-2, -2, 4, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-77916654, -769159, 211936407, 146206475], [14960578, 78046900, 26942659, -9309931], [-10, 5, 0, 1]], [[0, 0, 0, 0], [161513070591840, 128895987301304, -47484429432138, -37829509689044], [142503079594724, 77497021238080, -41756423503022, -22709764338304], [17232464, -40003218, -5049534, 11717282]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-34, -74, -50, -48], [-2, -10, -8, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-331916396, -178151589, 97771034, 76310080], [-60518300, 1270792, 17452317, 3501761], [-10, -1, 1, 0]], [[0, 0, 0, 0], [-14446235570695782/17, -7223754835191118/17, 4132857753794308/17, 2333986728340722/17], [-2643647993764864/17, 146983456943514/17, 755232490375626/17, -7566253757728/17], [-485942226/17, -53310950/17, 126086268/17, 15377978/17]]], 0, 20480, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[64, 0, -16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [138, 50, -250, -78], [-6, 4, -2, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [6252272, -719832, -6136342, -1066347], [2778002, -2475404, -894462, 832778], [2, 4, 2, -5]], [[0, 0, 0, 0], [-9558598503374, 16337694175417, 2800902260431, -4784784532643], [-10633141417034, 15625282333346, 3114392062365, -4576567874529], [-3425688, 13911345, 1002834, -4073517]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-82, 74, -8, 40], [-6, 10, -2, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-105818232/17, -6812999030/17, 3006842879/17, 1562650256/17], [551268506/17, 97228776/17, 269671906/17, -78687051/17], [-32/17, -48/17, 77/17, 5/17]], [[0, 0, 0, 0], [-8525796694403884102/17, -221985614678111073/17, 2383163148172204325/17, 69860298745606770/17], [702077631562750610/17, 2099383440557082660/17, -222329061880227067/17, -614698750479030450/17], [-63546776874/17, -411427467/17, 16010783088/17, 199128069/17]]], 0, 20480, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[64, 0, -16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, 2, -4, 6], [124, 10, -214, -16], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2820660, 4074089, 2584813, -1793588], [-4107514, 4753658, 10891851, -13384078], [2, 3, 0, -2]], [[0, 0, 0, 0], [-2776507942, 1668538018, 813227406, -488678450], [2661905352, -3303009888, -780383128, 967270040], [-2240, -3824, 656, 1120]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [638, 272, -1152, -514], [96, 40, -164, -72], [0, 0, 0, 0]], [[0, 0, 0, 0], [11768257154/17, 40593037533/17, -4557335695/17, -10809273250/17], [1881196306/17, -776734108/17, -723023531/17, 387631341/17], [-88/17, -47/17, 80/17, 1/17]], [[0, 0, 0, 0], [-30475653475074346/17, 36371980740650114/17, 8956307005945684/17, -10628496893118615/17], [3156724098662762/17, -4230600904606552/17, -920441375606696/17, 1242601271110344/17], [-7792512/17, 15749062/17, 3782912/17, -4007829/17]]], 0, 20480, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[-32, 64, 16, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, 0, 2, -6], [-68, 14, 116, -26], [0, 0, 0, 0]], [[0, 0, 0, 0], [2185080, 1309479, -736074, -591600], [-2158470, 787066, 3602383, -504061], [-6, 3, 3, 3]], [[0, 0, 0, 0], [-69679720222, -107875716530, 20408571486, 31595770068], [-12721875392, -9587812496, 3730340608, 2807860448], [-31568, 89280, 9248, -26144]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [162, 204, -178, -368], [16, 30, -26, -52], [0, 0, 0, 0]], [[0, 0, 0, 0], [59926288722/17, 27218735985/17, -16643214637/17, -8137335992/17], [594284568/17, 28741996/17, -49525795/17, -28615005/17], [88/17, 47/17, -12/17, -1/17]], [[0, 0, 0, 0], [-5035810205715948/17, 56242424645926/17, 1476162031380646/17, -27329904603256/17], [-64095564445600/17, 29071187566550/17, 18828926224650/17, -10019226242784/17], [-7341568/17, -891776/17, 1480832/17, -8064/17]]], 0, 20480, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[128, 0, -32, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-20, -14, 18, 0], [-4, -6, 6, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-85664, -30320, 48462, 14121], [-107654, 113788, 27968, -39660], [-6, 6, 2, 1]], [[0, 0, 0, 0], [2508765384, 3318645756, -733962315, -971934628], [686852280, 1056806924, -201191186, -309766187], [-10934, -4620, 3157, 1463]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-64, -76, -36, 18], [-12, -8, -8, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [15655900/17, 15702236/17, -7725704/17, -6405562/17], [2616384/17, 2120774/17, -1169460/17, -872128/17], [56/17, 118/17, 48/17, 4/17]], [[0, 0, 0, 0], [21155685603382/17, -20598935587904/17, -6784276242213/17, 5757735372756/17], [6894870966086/17, -7922563294850/17, -2104929277786/17, 2287270386343/17], [-61910250/17, 119934760/17, 30983837/17, -29649913/17]]], 0, 327680, [], [] >,
< [ 2, 0, -4, 0, 1 ], [[128, 0, -32, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 12, 20, 0], [-4, 0, 4, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24826, -16552, 14061, 3035], [3762, -3676, -1008, 1483], [10, -4, -5, 2]], [[0, 0, 0, 0], [-1501054120, -1489014634, 428138847, 422985806], [234634904, -173356724, -73529842, 48621073], [550066, -110836, -160567, 35211]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-112, 14, 0, 28], [0, -6, -6, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [1095271544/17, -2876279388/17, -212426909/17, 836144740/17], [-79805534/17, -8556572/17, -19145830/17, -14627989/17], [-36/17, -88/17, 25/17, -5/17]], [[0, 0, 0, 0], [12889960363008/17, -13713883004508/17, -3752406764892/17, 3998621602866/17], [-181026364920/17, 614302249144/17, 54471191252/17, -176378698060/17], [315960/17, -91548/17, -73500/17, 18984/17]]], 0, 327680, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[1, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-41, -109/4, 183/4, 107/4], [-37, -51/2, 45, 27], [3/2, 11/4, 5/4, 1/4], [-5/2, 1, 2, 0]], [[-83339/2, 73885/2, 16244, -9633], [-17025/2, 56189/4, 18965/4, -13387/4], [-305, 1830, 600, -520], [-33462, 98901/4, 48411/4, -27225/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-39/2, -33/2, 35/2, 23/2], [-88, -63/4, 143/4, 61/4], [-5/2, 1/4, 7/4, 1/4], [0, 0, 0, 0]], [[5012277/2, 2165838, -5053407/2, -3349057/2], [377599379/38, 1566286621/76, -184163879/76, -480520795/76], [-1129534/19, 1510636/19, -1956445/19, -1749378/19], [-40/19, 179/76, 17/76, 5/76]], [[4739774389/2, 19798546933/4, 9328905599/4, 1067329153/4], [-357628876541/2, -189000961723, 22579343116, 38096445452], [936751842, 10526055773/4, 811547263/4, -1851173359/4], [11901, 3967/2, -75373/2, 27769/2]]], 4, 2, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[3, 1, -1, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-91/2, -36, 103/2, 65/2], [-65, -139/4, 259/4, 155/4], [5/2, 5/4, 9/4, 5/4], [0, 0, 0, 0]], [[636946, -6465807/2, -8345928, -5301385], [46356429, -1498234, -149162107/2, 16227334], [-2745954, -9398277/2, 2210211/2, -7953/2], [0, 5/2, 3/2, 0]], [[-136365498299, -298027567857/4, 541065421713/4, -131682152833/4], [5656665356087/2, 65394673694, -3939166589721, 1410202983569], [-41889124836, -72848532870, 106204429962, -28378645074], [-82173/2, 194383/4, 84525/4, -56301/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, -17/4, -5/4, -1/4], [-91/2, -115/2, -1, 5], [-1, -9/4, 1/4, 1/4], [0, 0, 0, 0]], [[-12660, -48153/4, 7045/4, 22825/4], [-916848/19, -5960769/38, -521090/19, 2223835/38], [-428509/38, 377781/76, 62661/76, -15093/76], [89/38, -13/38, 65/38, -1/38]], [[-124987077747, -409456978029/4, 135193632131/4, 58422486311/4], [-37670535573229/38, -106543429144667/76, 15301564659837/76, 17835777475079/76], [-4106109446893/38, 490953340855/38, 1697959507807/38, -245053544230/19], [881378640/19, 322015107/19, -306319323/19, 21682317/19]]], 3, 3, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[-4, -1, 1, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-21/2, -10, 15/2, 17/2], [10, 11/4, -115/4, -3/4], [-5/2, 11/4, -5/4, 3/4], [0, 0, 0, 0]], [[2177956, -7581191/4, 1180117/4, 4128529/4], [-87982889/2, -186663863/2, -3940825, 38253399/2], [8535540, -11545365/2, -2920905, 3273465/2], [-5/2, 7/4, -1/4, -1/4]], [[105405042912, 8179820736033/4, 1270659037507/4, -1897869713361/4], [-72703874873507, -89313421502184, 4653975627210, 36241281149633/2], [-4933985666025/2, 9698430320475/4, 4146349037025/4, -2649463877775/4], [998577/2, -1641001, -466493, 862491/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-19/2, -21/4, 59/4, 27/4], [271/2, -5/2, -51, 3], [2, 1/4, 7/4, -1/4], [0, 0, 0, 0]], [[-53270457798, 15262961009/4, 812375052875/4, 347552426939/4], [71592744682854/19, -44361683536637/76, -96876718233047/76, 17297287071899/76], [1908514167002/19, 10813040677/76, 90014003465/76, 165340834233/76], [14/19, 153/76, -43/76, 3/76]], [[-30366068200059657385/2, -32327401126948752058, -6361714035906737885/2, 12346349846026419817/2], [6788678854982343772940/19, -38433331927109955759381/76, -12951322198254635168915/76, 10001051658642385522117/76], [310372326430374208395/38, -1513316086059669629387/76, -431735342637618146595/76, 381721275217131031369/76], [-6850606065/19, -2667654171/38, 3642357485/38, -172295673/38]]], 3, 3, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[2, 0, 0, 0]], [ -2, 0, 0, 0 ], [ -2, -3/2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[51/2, 20, -23, -11], [-23/2, -1, 17/2, 13/2], [11/5, 9/4, -41/20, 13/20], [11/5, -29/20, 13/20, 1/4]], [[16969669, 89907109/4, -4590393/4, -18190761/4], [130258709/2, 153223201/2, -9717465/2, -15346893], [237419063/10, 608494851/20, -5788213/4, -123207161/20], [10275940, 396003453/20, 11236517/20, -85357319/20]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17, -14, 43/2, 33/2], [38, 25/2, -13/2, 23/2], [2, 3/2, -1/2, 1], [0, 0, 0, 0]], [[-2891845/2, -6036809/4, 2061943/4, 2158967/4], [214826764/19, -1060095617/76, -379821309/76, 293673035/76], [-11580003/38, -20822402/95, 10280519/190, 10897367/190], [-541/190, -1217/380, -37/76, -3/380]], [[-12117152133081, -449924392898457/4, -49441884834093/4, 100420233364359/4], [-101083622994675468/19, 261766074988102181/76, 147011281675221051/76, -76416720999046071/76], [4042089941036973/190, -3348072719731419/76, -4355737796570919/380, 4050285020195967/380], [-10076015277/190, -169394992821/380, -30188372343/380, 8402247975/76]]], 4, 3, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[5, 4, 0, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15, 37/2, -11/2, -17/2], [9, 37/2, -21/2, -17/2], [4, 15/2, -3/2, -3/2], [0, 0, 0, 0]], [[8874525/2, 318112, -9816265/2, 1607661], [-6198407/2, 357158, 3981465, -3083753/2], [-3445003/2, 390391, 2343769, -912072], [-1/2, -3, -3/2, -1/2]], [[6342601071/2, -597291241/2, -2890670660, 2028194317/2], [-9540907456, 23308959241/4, 20409493265/4, -9674314883/4], [-6070060695/2, 7192519279/4, 8234478127/4, -3750502653/4], [-71994, 47073, 52611/2, -13845]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-53/2, -121/4, 47/4, 41/4], [-517/2, -277/2, 43/2, 43], [-9, -41/4, 3/4, 11/4], [0, 0, 0, 0]], [[57958945/2, -20329500, -76481773, -56984980], [-220552225391/38, 227272875517/76, 92355786837/76, -54621519673/76], [-1503302475/19, -150892891/19, -55757209/38, -8581679/19], [-24/19, 1/76, 147/76, 3/76]], [[-13399218366458029/2, 4538847606813035, 2463657015010492, -2620851611385675/2], [68427815707069164189/38, -98630690541081782301/76, -51128420432505065533/76, 28118219000575076017/76], [355353782977848229/19, -258159982036018587/19, -133110634209704343/19, 73503442141555877/19], [-12720834/19, 181589067/76, 56235087/76, -50894541/76]]], 1, 2, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[33, 40, 0, -9]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-45/2, -133/4, -1/4, 25/4], [-219/2, -158, -10, 55/2], [-44, -227/4, 5/4, 45/4], [0, 0, 0, 0]], [[1617261/2, -542870, -291734, 310679/2], [-2203893/2, 4099949/4, 1657709/4, -1058441/4], [-1894375, 2876213/2, 1429997/2, -808625/2], [3, 15/4, -1/4, 3/4]], [[514521510555/2, -739521711899/4, -384084721695/4, 210929759711/4], [-803096155827/2, 1156931065275/4, 600505288323/4, -330021744067/4], [-1254044216867/2, 1804439289039/4, 936381873211/4, -514521790023/4], [-373695/2, 503601/4, 350805/4, -128289/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9, -43/4, 9/4, 5/4], [-53/2, -235/4, -19/4, 23/4], [-25/2, -18, -2, 9/2], [0, 0, 0, 0]], [[14594233/2, 27108385/4, 975469/4, -6339793/4], [2996670551/38, 190161645/76, -933280155/76, 308802115/76], [237774451/38, 1423515215/76, 36376923/76, -277289187/76], [67/38, -229/76, -33/76, -3/76]], [[2984255870478677, 27399821792615865/4, -179080107876195/4, -5388191657181571/4], [-246027390864123065/19, 4471203795518941277/76, 865761659445419637/76, -1056526176844089859/76], [203596196094001342/19, 560211558993115649/76, -91347663901027347/76, -113403529608282307/76], [-48190026315/19, 40364645017/76, 24690907389/76, -1487846819/76]]], 0, 24, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[5, 4, 0, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, -25/4, -17/4, 15/4], [-35/2, -39/4, 45/4, -1/4], [-9/2, -2, 3, -1/2], [0, 0, 0, 0]], [[-5, -59/4, -51/4, 1/4], [-8, -87/4, -63/4, -3/4], [-11, -47/4, 5/4, 5/4], [-2, -5/4, -5/4, 3/4]], [[1062, 11371/4, -621/4, -2981/4], [4871/2, 13569/4, -2103/4, -3599/4], [433/2, 1549, 363/2, -382], [-901, 1971/2, 359, -509/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 5/2, 5/2, -7/2], [-10, -8, -17, 3], [3, -1, -3, 1], [0, 0, 0, 0]], [[-97807, 336901/2, 457699/2, 552965/2], [7048829/2, 87239151/4, 17465913/4, -18516559/4], [580108, -636177/4, -124929/4, 135217/4], [-1/2, 2, 5/2, 0]], [[194594088655415, -1266760691552891/4, -301517583274763/4, 289050673001209/4], [332638506013270883/38, -881206822821990595/76, -317883222187245979/76, 233012211847929115/76], [-33246122668902549/38, 10576624965667640/19, 5766527081201922/19, -5989571959778299/38], [3460500312/19, -40925218373/38, -10935104263/38, 11084517669/38]]], 1, 3, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[72, 105, 1, -23]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, 3/2, 3/2, -1], [-64, -291/4, 109/4, 101/4], [5/2, 17/4, -7/4, -1/4], [0, 0, 0, 0]], [[-6959, -22171/4, 26825/4, -5455/4], [143499/2, 228383/2, 26075/2, -24272], [-4124, -7975/2, -12415/2, 6961/2], [3/2, -1/4, -1/4, 1/4]], [[41515329/2, -59397399/4, -28390003/4, 15900087/4], [-12706759/2, -44368123/4, 4396149/4, 8705015/4], [-100858413/2, 150718077/4, 73275017/4, -41492869/4], [20673/2, -30231/4, -15475/4, 8631/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[21/2, 23/2, -11/2, 0], [378, 2501/4, 677/4, -763/4], [25/2, 61/4, 21/4, -21/4], [0, 0, 0, 0]], [[-84858111/2, 1424846145/2, 94886991/2, 1028585], [1084524848017/38, 733887100097/38, 225840202017/38, -81256451321/19], [55756452121/38, -212532011/19, -363990722/19, 806152807/38], [69/38, 159/38, 117/38, 1/19]], [[-2346101591381230139/2, 503346715903698974, 400677117542175919, -343420146052064339/2], [865376679492164658989/38, -1389935990384661451073/38, -473293094802307055673/38, 182400728243505171469/19], [82830284882958912975/38, -80988360779877005631/38, -35337931116847070875/38, 11143982204865645239/19], [-44780939945/38, -123798404765/38, -12827858365/38, 13507180400/19]]], 0, 120, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[6, 2, -2, 0]], [ -2, 0, 0, 0 ], [ -2, -3/2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 3/2, -9/2, -1/2], [-5/2, 13/2, 9, 3], [-93/5, -179/10, -7/10, -1/2], [14/5, 7/4, 1/20, -3/20]], [[381, -6695/4, -4151/4, 2353/4], [7670, 8450, -390, -1430], [-25343/2, -76811/4, 2533/4, 14415/4], [1040, 2431, 169, -533]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-37/2, -45/2, 23/2, 8], [79, -96, -44, 38], [3, -31/4, -15/4, 13/4], [0, 0, 0, 0]], [[1039328229/2, 1536058481/4, -2664760683/4, -1617982877/4], [-2456409839/38, 24604907021/38, -10802508395/19, -21632799313/38], [-9132567449/190, -1401086263/38, -7135665449/190, -2041098569/95], [78/95, -407/380, -131/380, -1/76]], [[-159346309000516, -370366997954525/2, 22725499151223/2, 65039284998391/2], [-26343440958969407/38, -1320069983850151/76, 10424499045626823/76, -874634117908739/76], [-1265115201586660/19, -9912373311698263/190, 772228551731653/190, 2147529474645919/190], [241777133/190, -215202897/190, -36230259/38, 93359487/190]]], 1, 7, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[5, 55/2, -1/2, -11/2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, 35/4, 11/4, -1/4], [-213/2, -511/4, 137/4, 179/4], [33/2, 8, 0, -1/2], [0, 0, 0, 0]], [[8364235/2, -30067689/4, -1167641/4, 12237881/4], [-25796743, -128257533/4, 105347763/4, 82802143/4], [-19215984, 9871492, 8210006, -2091064], [-11/2, 15/2, -1/2, -1]], [[-367313840403/2, 647460299013/2, 37169818809/2, -84691442904], [254008351557/2, 302028711147/2, -1282431095045/2, -208322338115], [1662242013939/2, -843947160591/2, -522430128051/2, 91829923677], [14889717/2, -1024650, -8834484, 6575631/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, 9/4, 25/4, -1/4], [2263/2, -4, 56, 49/2], [4, 55/4, -1/4, -1/4], [0, 0, 0, 0]], [[-87284544363/2, 29254910372097/2, 332847248577/2, -29373621478], [-100762218572587345/38, 144471299478465847/38, 41204590603769907/38, -14952196218702560/19], [1113345000467935/38, 4251089795999/19, -1530799201197/19, 829203170467/38], [-107/38, 335/38, 35/38, -1/19]], [[2554710914795922942578687, 29911091409848815781593733/4, -1758803770211807211195483/4, -5669393710844508129648183/4], [-17042900145619672325901719229/38, 101756444595887419777698052261/76, 20258366004122929094278569981/76, -23642388207051717158703963529/76], [471231722019295474679256557/38, 209280265270449182389682823/38, -59178973123948471501173257/38, -24269753690444183478442947/19], [12492889745147/19, 81099474438947/19, -1597976524317/19, -15857834187552/19]]], 0, 6144, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[15, 13, -3, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-31/2, -51/4, 69/4, 35/4], [-221/2, -259/2, 61/2, 41], [-3, 13/4, 5/4, 1/4], [0, 0, 0, 0]], [[209179, -1256289/4, 620983/4, -299525/4], [-597563, 10220799/4, 770377/4, -2249477/4], [-1276620, 4010941/4, 1336029/4, -887677/4], [0, -13/4, 5/4, -3/4]], [[41961318498, -109479032512, -50929090016, 18778016242], [3020233421673/2, 5230251018411/2, -9881341599/2, -575710677347], [-466345258909/2, 430469519177/4, 312685860409/4, -142472569877/4], [-2317215, -17528145/4, -1682625/4, 3163335/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, 13/4, 5/4, -13/4], [1253/2, 101/2, -55/2, 1], [1, 5/4, -7/4, 1/4], [0, 0, 0, 0]], [[-260746227, 3802783553/2, 4784289881/2, 4615682265/2], [1222341312037, 4639539164164, 612744147771/2, -2118708722501/2], [4239972205, 22825145/2, 28740957, 15369663/2], [1, 3/2, 3/2, 0]], [[67380321612560075, 184047483894428569/4, -45328443516210543/4, -23077827232854283/4], [1029442173117693237782/19, 1705944769269593579267/76, -803886255688597153965/76, -244187420743867792045/76], [-706310709134948397/19, 5672285416669475833/76, 1767297463277756641/76, -1470916569755006099/76], [243287702/19, 3214758759/76, 383824071/76, -726221377/76]]], 1, 8, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[253, 340, -4, -73]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-23/2, -133/4, -37/4, 41/4], [-225/2, -311/2, 9/2, 33], [-55, -189/4, 59/4, 23/4], [0, 0, 0, 0]], [[-1880877, -11080513/4, 8339/4, 2381075/4], [-20140057/2, -13880059, 397743, 5743801/2], [-3659380, -4698028, 250087, 940437], [3/2, 11/4, -1/4, 5/4]], [[66986441757/2, 23156074945/2, -14364719031/2, -1532608202], [88410602255, 484808856677/4, -26298703419/4, -106784083311/4], [-20685893191/2, 277458387597/4, 54744359237/4, -66975140885/4], [741438, 1325381, -879549, -787475]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -83/4, -35/4, 29/4], [-583/2, 249/4, -351/4, 63/4], [-79/2, -45/2, 27/2, 1], [0, 0, 0, 0]], [[82945669, -104623010307/4, -10422473791/4, 28095005/4], [-156177096778186/19, -401986934441177/76, 491035772982283/76, 281911347274327/76], [-995494561051/19, -380294326197/76, 4219546227/76, -3151932941/76], [59/19, -445/76, -169/76, -5/76]], [[-834137991282245124061/2, -687714837193727950577/2, 168529252547134870721/2, 54647497704190847026], [227670007850830871130871/38, -266361099953018508310599/38, -166245128756651840206615/38, 4281643550605272797236/19], [-10284541911963318435831/38, -16608721407834194937805/19, -1885550540187342309302/19, 7924310877771657940011/38], [-3563816558293/38, -2290958389769/38, 785829398633/38, 170270858434/19]]], 0, 384, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[253, 340, -4, -73]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, 19/4, 11/4, 3/4], [-265/2, -465/4, 231/4, 161/4], [21/2, 3, 1, 1/2], [0, 0, 0, 0]], [[-66055299/2, -117629351/4, 115011217/4, 75104895/4], [-808475665/2, -741346851/2, 721878581/2, 257659562], [-25787040, -100254037/4, 84154511/4, 66055295/4], [-6, -1, 0, 1]], [[-47416986604, -1622540805243/2, 359205761711/2, 621932046149/2], [545857178577, -13550298416905/4, 9597851772471/4, 11429944669687/4], [-3150428881303/2, 481456130243/2, 1196514592317/2, 23690022830], [-69928119/2, 96610005/4, 51268449/4, -27611109/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/2, 11/4, 19/4, 5/4], [-3377/2, -253, -9, 11/2], [7, 23/4, 7/4, 3/4], [0, 0, 0, 0]], [[-2466831135, -3679723703383/4, -372584861723/4, 31402534773/4], [18712015874407945/19, -26429041267365791/76, -38365017236626903/76, 15638856992668185/76], [-34910505398076/19, -14626922672781/76, 1099556738503/76, 93739584031/76], [17/19, 825/76, 245/76, 5/76]], [[5517890031849807013911, 3316609957573155468147/2, -3582570484764767406241/2, 93978800931344370457/2], [34328270371275883398800546/19, -51450558186391462323603200/19, -7505232933206387608994646/19, 9387666911819007078789158/19], [-41824321408841241788275/19, 388061874691994626667439/38, 108411105056126383591919/38, -104839910626790271101215/38], [-1188486104113/19, -1397794944469/38, 564053859831/38, 186622140705/38]]], 0, 384, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[253, 340, -4, -73]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3/2, 4, -5, -1/2], [-14, -41/4, -153/4, -49/4], [13/2, -25/4, -1/4, -3/4], [0, 0, 0, 0]], [[144329/2, 1352235/4, -627241/4, -614919/4], [7592925/2, 21449675/4, -11866805/4, -10573395/4], [1207955/2, -532853/4, -1085569/4, -144343/4], [5/2, -33/4, -13/4, -3/4]], [[1717768048748, -1412552214120, -740060650410, 404007487158], [-236701759433, -19348771321897, -3481055600317, 4377346179528], [-4543004307868, 2814438975125, 1666955637537, -858922761879], [-6472750, 118364514, 23420694, -29460912]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 13/4, -3/4, 5/4], [-1229/2, 599/4, -49/4, -23/4], [17/2, -13/2, 3/2, 1], [0, 0, 0, 0]], [[-420557011, -32890893371/2, -2634443603/2, 469534475/2], [102420534610747/38, 56804832314959/38, -6260418138461/38, -5806400844043/19], [-1233872775187/38, -280123559341/76, 19703451447/76, 15981168709/76], [59/19, -217/76, 59/76, -5/76]], [[87920432332381696833/2, 278977399360097999259/4, 27801684901385358279/4, -43714211202456315355/4], [-387053984099597505488849/38, -514611622017831227200061/38, 13699250105801280184811/38, 51190153129518575961048/19], [1815041187004811545234/19, 9408905107260100836305/76, 9348190144719579193/76, -1670488216619556807311/76], [-63371413971/19, -80662427103/38, 28253418357/38, 11825581675/38]]], 0, 384, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[253, 340, -4, -73]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, 11/4, -5/4, -3/4], [-107/2, -142, -46, 71/2], [6, -15/4, -7/4, 1/4], [0, 0, 0, 0]], [[141324, 476501/4, -468183/4, -319987/4], [9543908, 12442990, -1781335, -3308282], [193853/2, 476881/4, -357327/4, -282653/4], [-3/2, 1/2, 3/2, -1]], [[-151942147743/2, 128111328561/4, 92143986225/4, -45665885877/4], [-57742743897739/2, -161361872281953/4, 4123839304459/4, 33321204039897/4], [280067275941/2, -575440075389/4, -243283540281/4, 151947022449/4], [6239925/2, -2711493/4, -2756925/4, 695853/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -3/2, -1/2, 1/2], [902, 139, 1, -15], [-1, -6, 0, 1], [0, 0, 0, 0]], [[-383732, -214549365/4, -8216957/4, 1750999/4], [-322897320192/19, 1319827193761/76, 840743607553/76, 57453094025/76], [-2030925609/19, -385147535/76, 51955433/76, 14581917/76], [8/19, -241/76, -201/76, -1/76]], [[105843874289776842, 23083897454746381/4, -36344118401708251/4, -19712437719222491/4], [-1050072773338512414810/19, 563505924996874765129/38, 505672390842419148171/38, -146473978181286345803/38], [-3583474170860916589/38, 18729238232000916961/76, 3272991069469434073/76, -4022061984773875841/76], [288023690985/38, 90319198230/19, -32479204153/19, -26073916987/38]]], 0, 384, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[18, -31, -7, 7]], [ -2, 0, 0, 0 ], [ -2, -3/2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[119/2, 73, -5, -29/2], [-13, 21, 15, -10], [50, 173/4, -59/4, -19/4], [0, 0, 0, 0]], [[-34261161, 68703635, 23546787, -18819240], [437702521/2, -256399537/2, -221152741/2, 52037491], [-536668978/5, 858342377/10, 719704977/10, -365363163/10], [-4/5, -97/20, -9/20, -1/20]], [[5019844987080, -1297550260776, -1509387592328, 478772472640], [-26193562903167/2, 19956742117043/2, 9614697281669/2, -2835136275350], [36363196492348/5, -19037317488607/5, -2421639258599, 5631934869957/5], [-936122, -12747779/20, 11921789/20, 7406377/20]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[111, 631/4, -17/4, -133/4], [680, 2445/2, 13/2, -535/2], [133/2, 409/4, 1/4, -89/4], [0, 0, 0, 0]], [[-76459862239/2, -81489243897/4, -6644692737/4, -1911566299/4], [-43374827347683/38, 45989590921481/76, 20996379864825/76, -18780918724957/76], [-7205381740889/190, -238895726519/190, -53811309867/38, 14576292297/95], [5/38, -421/95, -4/95, 1/190]], [[16627948743296295732527/2, -45330045089418585603555/2, -12061977263347722062755/2, 5600991100928249991533], [16958273511513827960914783/19, -14431281711836638996610319/19, -6726434996102687174868295/19, 3983789310823241066007408/19], [2242174593202945097155821/95, -10192363645050967660997971/380, -891465822011413371314591/76, 2904694112657452430490001/380], [-67735885872452/19, 209684767794901/190, 253323547747809/190, -94626581246603/190]]], 0, 1152, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[33, 40, 0, -9]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5/2, -1/2, -9/2, -2], [49, 177/4, -215/4, -179/4], [-7/2, -11/4, -11/4, -5/4], [0, 0, 0, 0]], [[128247/2, -105065/2, -130081/2, -6800], [1620139/2, 309838, -1874639/2, -576235/2], [-338365/2, 60451/2, 36873/2, -64121/2], [3/2, 3, -3/2, 1]], [[17369298897, -9499099448, -5964485416, 2785408687], [12804319173, -4036537859/2, 20775996845/2, -11406615377/2], [-36370508143, 31496642273, 14257656435, -8685752186], [-877725, 348975, 478225, -192700]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, 9/2, 1/2, 2], [46, -117/4, 243/4, 131/4], [23/2, -21/4, 11/4, 5/4], [0, 0, 0, 0]], [[-228902841, -1268870577/2, 921435527/2, -219364143/2], [-159616391886/19, -30318286380/19, -36898248049/19, 14776631256/19], [-19759386527/19, 13268782561/38, -12684990871/38, 4349153441/38], [-35/19, -63/38, 11/38, 1/38]], [[389272502481820109/2, -528534960875820203/4, -383040645615038735/4, 193015716607419035/4], [-96772750899904791983/38, 116678269218189475227/76, 79104328134275297315/76, -38439529998781199365/76], [-17438341872004833167/38, 22425343439128486857/76, 14730774829004934903/76, -7396177599696535927/76], [-3447075737/38, 1325098201/76, 909951707/76, -37066953/76]]], 1, 32, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[33, 40, 0, -9]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -7/4, -7/4, 1/4], [-145/2, -397/4, -53/4, 53/4], [-5/2, -6, 0, 1/2], [0, 0, 0, 0]], [[-15785241/2, 17647733/4, 10094941/4, 2295511/4], [-163473655/2, 86081855/2, 54017590, 6416434], [16716502, -58736263/4, -11194267/4, 15785227/4], [-1, -1/2, -1, 1]], [[-104799427810, 351069416175/4, 150201319975/4, -88436609361/4], [-753568265128, 3748426547685/4, 1392258224491/4, -938486315789/4], [280334161113, -747591252609/4, -386472095163/4, 209598783475/4], [-22889, 23923/4, 14523/4, -2867/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, -1/2, 1/2, 1/2], [-153, 12, 10, 7], [-1, 1, 1, 0], [0, 0, 0, 0]], [[-6199/2, 981877/2, 135097/2, 26], [5255857951/38, -2626069246/19, -5128146029/38, 2641316235/38], [37430625/38, 2417504/19, -29037/19, 29719/19], [89/38, -51/38, 23/19, -1/38]], [[-1763642922244273/2, -4997004640612904, -113898369285007, 2099527425345343/2], [-11284125298612980152/19, 76682315588625573383/76, 40565683095700746535/76, -26389490634368208281/76], [-346268477526032161/38, -184782978327209143/76, 126066119648543409/76, 33491626517652859/76], [-558686453150/19, 88321972621/19, 79295216665/19, -1710155641/19]]], 1, 24, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[33, 40, 0, -9]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5/2, -15/4, -15/4, -9/4], [-65/2, -58, -78, -43/2], [-10, -5/4, -13/4, -5/4], [0, 0, 0, 0]], [[58772867, 1456362859/4, -1163123721/4, -504076105/4], [7200574189/2, 3190432755/4, -11177936817/4, -8048612851/4], [1338817131/2, -869259377/2, -445303243/2, -29386436], [-2, 3/2, -1/2, 1/2]], [[47312320874003/2, -355777878899027/2, -59737991080447/2, 38711592193195], [-4647245754439121/2, -3944598259794771/2, 444827812162223/2, 745261165143385/2], [-758868075983163/2, -597588757971, 178502528837195/2, -11828080467740], [1685853/2, -1027065, -610935/2, 488085/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 9/4, -19/4, -3/4], [441/2, 43/4, -117/4, -103/4], [5/2, -9/2, -1/2, -1], [0, 0, 0, 0]], [[367740498, 61405996801/4, -552363079/4, -1837429787/4], [3378486390095/19, -92760828090921/76, -9692643089679/76, 20155695081865/76], [576369900302/19, 48880891965/76, -55848187441/76, -13974140075/76], [-21/19, -125/76, 207/76, 5/76]], [[-59600365042009918204, -498680628552310353621/2, -34163527845190713265/2, 107245358243839204899/2], [26725180897327480575795/19, 596051549193554285241219/38, 76224487635205658552127/38, -135001611559144139916707/38], [-8342525020508409004401/19, -6960248711339611937823/38, 2942916684190796710145/38, 1132406930641114586103/38], [-323777214959/19, 50053686364/19, 45871510278/19, -629664343/19]]], 1, 24, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[33, 40, 0, -9]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3/2, 11/2, -11/2, -1], [1, -103/4, -71/4, -91/4], [19/2, -29/4, -5/4, -3/4], [0, 0, 0, 0]], [[-137298143/2, 153639233/2, 23768777/2, -28566033], [249508350, -1867369967/4, -1477610209/4, -103791867/4], [444576615/2, -591415565/4, -365826357/4, 137298151/4], [-2, -7/2, -1, -1]], [[172943545031855/2, -125309087341547/2, -64317915258155/2, 17791216419291], [-668232597674131/2, 210393166782520, 238910480092431/2, -60891731219346], [-423561720838821/2, 303723035699369/2, 78818319348119, -43235886644931], [-1340197/2, 209708, 123178, -35630]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, 3/2, 9/2, 0], [24, 79/4, 127/4, 79/4], [5/2, 41/4, 1/4, -1/4], [0, 0, 0, 0]], [[36656235/2, 152105352, 1350148, -454819/2], [-2815467737/38, 133160069641/76, 65846912853/76, -12452683413/76], [5431768743/19, 921890043/19, 165474745/19, -174117069/19], [5/19, 37/76, 81/76, -3/76]], [[9066033443519011/2, -12468099629630217/2, -3153463004853629/2, 1413970360527329], [1269991719524182959/38, -1163162610634216645/19, -712930749050516443/38, 308611666496261479/19], [-646042389277427725/38, 155402520520379906/19, 193589068135965221/38, -86127330189466551/38], [-1651179565/38, 251282099/38, 236837809/38, -3616215/38]]], 1, 24, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[136, 120, -16, -23]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-52, -76, -1/2, 31/2], [-36, -15, 8, 5/2], [-20, -40, -1/2, 8], [0, 0, 0, 0]], [[-288159412, -286918787, 63745229/2, 54252815], [601913236, -598678885, -251852489, 326108043/2], [-382642736, 48482270, 101494486, -23620820], [0, 2, 1/2, 1/2]], [[-332462189676, -389202703317, 29513151805/2, 162034322135/2], [426257575921, -1048509011561/2, -379717125707/2, 137599378342], [-370542492636, -75400771907/2, 100057316567, -19040109253/2], [-3007, 1896, 4674, -327]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[104, 144, -5/2, -29], [302, 81, 1/2, -25/2], [50, 67, -2, -27/2], [0, 0, 0, 0]], [[35232234, 32720293, -3716203, -1263763/2], [163034428651/19, -86134000012/19, -203238592117/38, 93387134287/38], [625915039/19, -51957487/38, 19485733/38, -21749029/38], [10/19, -115/38, -7/19, -3/38]], [[4663130926582304, 6978231246046475, -8635887362449, -1466553777665965], [-5088789932520496111/19, 7247150550883118965/38, 4831563824329978069/38, -2482866017070680915/38], [23453457688862076/19, 153119765810916513/38, 9416927139807213/38, -32572969650667623/38], [-6475909615/19, -5510509634/19, 540458310/19, 1093401407/19]]], 0, 24, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[12, 6, -2, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[52, 161/4, -235/4, -145/4], [-17/2, 19/4, 93/4, 41/4], [-3/2, -2, -7/2, -1], [0, 0, 0, 0]], [[-27759841/2, 119479499/4, 110326935/4, 13865673/4], [-215980841/2, 26622913/2, 22368604, -23004981/2], [-47387185, 201887075/4, 85593281/4, -51650037/4], [-6, -9, 0, 3/2]], [[-2216484647/2, 2750480159/4, 1597574761/4, -820229535/4], [-9311665407/2, 3491760200, 1762526168, -988180559], [-3279489550, 9285238225/4, 4892449025/4, -2663855075/4], [339, -47/2, -374, 134]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[79/2, 65/2, -41, -28], [-28, -329/4, -79/4, -131/4], [1/2, -9/4, -5/4, -5/4], [0, 0, 0, 0]], [[6269969/2, 28432825/4, 44591789/4, 12694437/4], [9357941697/38, 3470354081/38, 193531198/19, -850065275/38], [188957085/19, 3998703/76, -46107229/76, 6129783/76], [79/19, -63/38, 15/19, 1/38]], [[-5522550682583883/2, -17601402252841693/4, -1371141000711677/4, 3054856159989777/4], [-940793982847292051/38, -1090058310188997819/19, -85870919159371105/19, 483971770742733705/38], [-9050900125431060/19, -134482282834950089/76, -16556666889551425/76, 30563714483146715/76], [304521074/19, -13823184531/19, -3489637190/19, 3506822384/19]]], 1, 2, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[-80, -56, 12, 10]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[146, 203, -3, -81/2], [88, 102, -13/2, -18], [68, 96, -3/2, -39/2], [0, 0, 0, 0]], [[505346, 685511, -17750, -279643/2], [-143067, 1285333/2, 352153/2, -334513/2], [272896, 592605/2, -23559, -116109/2], [1, 5, 9/2, 5/2]], [[-65831949640, -36169568259, 28764518767/2, 9558229307/2], [1163215664964, -1936316124899/2, -328189515982, 434512762019/2], [-146078118679, 69767576308, 44922049673, -20065433226], [9104405, -8643015/2, -16529565/2, 3578455]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[108, 147, -3, -59/2], [2086, 2129, -285/2, -413], [58, 64, -9/2, -25/2], [0, 0, 0, 0]], [[-2009387760, -2067350521, 9402834, 94105001/2], [-3679732003163/19, 1018472657981/38, 2581364582178/19, -1065391898563/19], [-36634571312/19, -3746382011/38, 244198011/38, 771897881/38], [-31/19, -64/19, -25/38, -2/19]], [[374148293519436328, 2816208173383221, -29701102795415095/2, -21879631066845041], [1090770611802617946836/19, -2119285893685935690793/38, 189885007172420636373/38, 63373124101239308568/19], [35864265274177148689/19, -21433033157693177090/19, -14793436985207007457/19, 7188861955657672448/19], [-11827299585/19, 31643529037/38, 8701861638/19, -5491780453/19]]], 0, 120, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[12, 6, -2, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[26, 38, 3, -6], [28, 57, 17, -1], [14, 18, 0, -3], [0, 0, 0, 0]], [[307018, 910191/2, -46009/2, -104833], [2978045/2, 505433/2, -888457/2, -95469/2], [83993/2, 1122227/4, 110767/4, -264945/4], [1, 3/4, 3/4, 5/4]], [[-116153714, 31619019/2, 32280814, -7914905], [3489465237, -5263167797/2, -2636789711/2, 742477646], [-483219931, 630991035/2, 175617570, -183532475/2], [181, -1629/2, 181/2, 181/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11, -15, 0, 3], [-83, -267/2, 31/2, 45/2], [-7, -6, 1, 1], [0, 0, 0, 0]], [[-1775978, -3866421/2, -846917/2, -218409], [955836215/38, -3282258691/76, -2679574615/76, 1672335117/76], [-37383171/19, -4666775/76, -9318499/76, -3640537/76], [-107/38, 6/19, -49/19, -1/19]], [[4051289176483115, 12490289014669753/2, -75703782172935, -1187261069822506], [927540023241829841/19, 552279192908390256/19, 60508808062889719/19, -373570646673465725/38], [-5285820566060223/19, 82814380397415625/19, 37141755317624265/38, -20564518784074202/19], [-19747482615/19, 208619090190/19, 60477633720/19, -55371068235/19]]], 1, 3, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[-8, -2, 2, 0]], [ -2, 0, 0, 0 ], [ -2, -3/2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 7/2, -23/2, -15/2], [39/2, 13, -57/2, -15], [5, 1, -4, 2], [-1, -11/4, -3/4, -1/4]], [[22429686, -28226600, -20330087/2, 15273541/2], [3540390, -15804213, -4316637, 4716855], [2370343, 11869759/5, -15562049/5, 6935931/10], [-28600194/5, 4428786/5, 2058264, -2867496/5]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 4, 3/2, -2], [71, -21/2, -65/2, 15/2], [5, -1, -5/2, 1/2], [0, 0, 0, 0]], [[-354094, 341619, 668155/2, -304025/2], [302394721/38, -19443909/38, -130682073/38, 38174251/38], [49251499/95, -4134519/38, -45705477/190, 8412678/95], [-131/95, -901/380, 97/380, -1/76]], [[-210676120484, 224015055534, 97547252956, -63663691443], [90910573042525/19, -38108238006214/19, -30823432151456/19, 12749284404645/19], [6255624563336/19, -3151748945537/19, -2210013813508/19, 1001016213493/19], [-1286866/19, -22547190/19, -2427743/19, 5093394/19]]], 1, 7, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[912, 1104, -60, -224]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-22, 35, 10, -9], [8, -45, -12, 12], [0, 0, 0, 0]], [[-10, -3, 12, 7/2], [-51775198, -136992680, -8600581, 30149273], [171536816, 285783945, 574463/2, -60021438], [-4, 4, 1/2, 3/2]], [[14972609, 27258519/2, -13122972, -18266853/2], [-61548824156, 228248801809/2, 42050151065/2, -71418872637/2], [29694763341, -123076206945, -57074187019/2, 63419381721/2], [4387825, 7898085/2, -7682069/2, -2646196]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-28, -166, 6, 36], [-102, -152, 2, 32], [0, 0, 0, 0]], [[19, 17/2, -21, -7/2], [-13532367230/19, 17789411417/38, 17478003269/38, -11536727225/38], [-860797973/19, -44572433/19, 61585085/38, 26672615/38], [51/19, 31/38, -117/38, -1/19]], [[-2058, -26460, -6258, 6321], [672967035700108/19, -489396591637873/19, -251008290954586/19, 138693372762148/19], [43268327070986/19, -38193714190094/19, -17312088207051/19, 10535905354503/19], [4410/19, -67452/19, -19845/19, 17493/19]]], 0, 288, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[-1328, -1648, 80, 336]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-84, -110, 4, 24], [-8, -55, -3, 11], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1/2, 3/2, 1/2], [0, 1/2, 3/2, 1/2], [1, 0, 0, 0]], [[0, 0, 0, 0], [-7514490, -12914211, -79527, 2725017], [-11268392, 1828559, 3139683, -817937], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3250, 4224, -170, -864], [-470, -604, 24, 124], [0, 0, 0, 0]], [[0, 0, 0, 0], [414264165/19, -1585086972/19, 1335654543/19, 1417829223/19], [24161155/19, 683630631/38, -625424665/38, -484855061/38], [98/19, 127/38, -27/38, 1/38]], [[0, 0, 0, 0], [-51312395690092434/19, 41252278388239418/19, 6942549139767440/19, -17285966487403856/19], [10367317179499800/19, -8098005288684925/19, -2954848343866525/19, 3849459529342075/19], [-1401794000/19, 44258250/19, 30069250/19, -2343750/19]]], 0, 5760, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[484, 614, -26, -126]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [480, 1335/2, -21/2, -273/2], [143, 403/2, -9/2, -83/2], [0, 0, 0, 0]], [[7/2, 11/2, 11/2, 3], [-1539379/2, -2536743/4, 1787565/4, -100093/4], [-307218, -63126, 71663, 2288], [3, 13/4, 5/4, -3/4]], [[-1088225/2, -1453995/4, 1845045/4, 992635/4], [8038791857, 7100626251/4, -51872361233/4, 17543157043/4], [11992842914, -8640992623, -4560171318, 2489385725], [-186835/2, 62805/2, 51745/2, 17775]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-75, -339/2, -15/2, 67/2], [-59, -48, 12, 7], [0, 0, 0, 0]], [[-41/2, 13/4, 21/4, 7/4], [-1960415796/19, -5090947391/38, 3184263155/38, 2790697075/38], [-731171439/38, -431818751/38, 256115011/38, 110255394/19], [-40/19, 65/76, 17/76, 5/76]], [[-8963544, 646080603/4, 137975619/4, -168683853/4], [9960404967627488/19, 9982020605664268/19, -1668525048774889/19, -2403054725984029/19], [4463348708638219/38, 17805467669854903/76, 631569236437019/76, -4066432414802255/76], [-148745391/38, 339387726/19, 97232130/19, -186547275/38]]], 0, 288, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[912, 1104, -60, -224]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24, -72, -4, 16], [-16, -25, 1, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [105, 1946, 260, -957/2], [297, 1205/2, 7, -155], [-4, -1/2, -2, -1/2]], [[0, 0, 0, 0], [-642855166, 164932225, 332990675, -5877937], [-206591604, -86138262, 163427935, 54379585], [-6781762, -4884113, 4319365, 4656778]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [658, 329, -133, -52], [-106, -77, 18, 13], [0, 0, 0, 0]], [[0, 0, 0, 0], [-960766324023/19, -500364911791/38, 375542299440/19, 326166939603/38], [94744179948/19, 63138667317/38, -20197180911/38, -11952619849/19], [-91/19, -61/19, -55/38, -5/38]], [[0, 0, 0, 0], [-254223757103691191406/19, 414078867104941934352/19, 146242475116459288588/19, -123496066663507025828/19], [27651428333451206700/19, -58346737126523711195/19, -23954103184792799798/19, 17962871006965804794/19], [-1337224860/19, 79864018425/19, 20609318925/19, -20136817170/19]]], 0, 360, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[-292, -402, 14, 82]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-44, -121/2, -1/2, 3/2], [-23, -87/2, -3/2, 19/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-857179/2, -2552371/4, -728275/4, -585493/4], [-343273, -2472859/4, -76435/4, 539665/4], [-5/2, -7/2, 1/2, -1]], [[0, 0, 0, 0], [183275239381/2, -131858609103/2, -67814471029/2, 18748914057], [264875601107/2, -380304242583/4, -197678033483/4, 108496845843/4], [2175738, -6263381/4, -3237541/4, 1782247/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [310, 499/2, -321/2, -33/2], [47, 35/2, -33/2, 1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1700568633897/19, -4369719658981/76, 7728919298515/76, 3369315283335/76], [202012737901/38, 5999332171/38, 2903421503/38, -2354552567/19], [23/38, -407/76, -55/76, -5/76]], [[0, 0, 0, 0], [-792507501783651683409/38, -371319958762800169708/19, 150514001018751778139/19, 120842000506106151513/38], [-204081487192302558411/38, 4415290462609167999/76, 127617854104495761943/76, -24370776035585518983/76], [-22069254975/19, 378791672297/76, 109175092813/76, -104651812863/76]]], 0, 360, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[4, 0, 0, 0]], [ -2, 0, 0, 0 ], [ -2, -3/2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 0], [-4, -5/2, 1/2, 1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7/2, -21/4, 1/4, 5/4], [34/5, 46/5, -2/5, -2], [-9/10, -1, 1/10, 1/5]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [28, 35/2, -7/2, -7/2], [-4, -5/2, 1/2, 1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3551/38, -6179/76, -1367/76, 425/76], [-1681/95, -2651/95, -142/19, 46/95], [9/38, 69/190, 8/95, -1/95]], [[0, 0, 0, 0], [-240, 349/2, 179/2, -99/2], [0, 0, 0, 0], [0, 0, 0, 0]]], 1, 35, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[-1360, -1192, 152, 232]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [718, 948, -44, -206], [0, 8, -4, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [367520, 21221/2, 30541/2, -170047/2], [-54023, 86274, -10012, -21401], [11, 3/2, -17/2, 5/2]], [[0, 0, 0, 0], [-46136255, -37252579/2, 44064361/2, 19189399/2], [394590, -15728037/2, 4328831/2, 7839935/2], [-315, -231, 21, 46]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [778, 202, 66, -48], [30, 14, 6, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13550411078027/19, 2954476787595/19, 956062889429/19, -672737162778/19], [-497268971495/19, 84031391041/38, -27895768767/38, 3774915723/38], [-118/19, -163/38, 17/38, 5/38]], [[0, 0, 0, 0], [-17848834952284521750146/19, 9210667288559583895803/19, 8699575121331937924195/19, -3852942149891158651419/19], [-697677577901571474368/19, 324187466273100940504/19, 366289622853425346440/19, -155200409272774675992/19], [-53567667280/19, 7562564670/19, 7768861790/19, -35636810/19]]], 0, 1474560, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[-496, -560, 40, 112]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-30, -107, -13, 26], [-24, 16, 13, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-83215658, -226320915/2, 7221289/2, 46627529/2], [1935271, 1557826, -296784, -261458], [1, 5/2, 3/2, 3/2]], [[0, 0, 0, 0], [-196075348986, 30309917631/2, 54533455737, -22370989895/2], [99659655015, -69105772731, -37703642986, 40672468731/2], [-147969, 143157/2, 52531, 2807]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-470, -189, 28, 0], [-14, -5, 1, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1184907769/19, 1073496325/38, 515084092/19, -456674771/38], [-38063788/19, 34438631/38, 35599927/38, -7798041/19], [23/19, -80/19, -93/38, -5/38]], [[0, 0, 0, 0], [44440199484943850/19, -44948252807510947/19, -15082638982588565/19, 10664578348971813/19], [1359734674388600/19, -1378353717960900/19, -423487390335740/19, 311301516387730/19], [-5544241920/19, -1724664080/19, 1269223720/19, 89713800/19]]], 0, 1440, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[-10224, -13680, 464, 2816]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-28, -108, -20, 28], [-40, -87, 1, 17], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1/2, 3/2, 1/2], [0, 1/2, 3/2, 1/2], [1, 0, 0, 0]], [[0, 0, 0, 0], [-641358, -1029067, 3789, 215763], [-538998, -849531, 3553, 178619], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6444, 9819, -145, -2053], [1110, 1636, -24, -342], [0, 0, 0, 0]], [[0, 0, 0, 0], [1040505972474, 3093424664255, -1877613904699, -2118178989205], [-163989758796, -1019756264, -2175103966, -549116056], [2, 4, 4, 0]], [[0, 0, 0, 0], [-31535562943235229833703/19, 55924089819603319244961/38, 23338902268797261894443/38, -15087931148693071447833/38], [-3325852984174301075088/19, 6116110222792898508849/38, 2873750849320754833337/38, -1751070546250813032537/38], [10545997973/19, -55863733954/19, -15369939221/19, 15218247758/19]]], 0, 92160, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[1936, 2456, -104, -504]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [330, 473, -3, -101], [10, 51, 3, -11], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1/2, 3/2, 1/2], [0, 1/2, 3/2, 1/2], [1, 0, 0, 0]], [[0, 0, 0, 0], [-111981580, -151040718, 5803394, 30748772], [-13579566, -8065596, 1991066, 1484406], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1912, -854, 112, 194], [60, 37, -5, -9], [0, 0, 0, 0]], [[0, 0, 0, 0], [523883629071629/19, -35594465688499/38, -148324122736321/38, -86114313551589/38], [-12127377210100/19, 1446522032009/38, -433595391747/38, 49102993527/38], [-89/19, 13/19, 68/19, 1/19]], [[0, 0, 0, 0], [1717402181753335675375152/19, 1162281362023153877644509/19, -208080333033623456980643/19, -227634472850575049665967/19], [-53015934558822051556660/19, -42773829935822022096036/19, 5654354468889108965768/19, 8552192749690949437300/19], [-20996522124/19, 119883580200/19, 32218712700/19, -32547045156/19]]], 0, 92160, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[1936, 2456, -104, -504]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-402, -602, 14, 126], [-34, -26, 8, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1/2, 3/2, 1/2], [0, 1/2, 3/2, 1/2], [1, 0, 0, 0]], [[0, 0, 0, 0], [-45020684, -47366684, 4558362, 9208112], [-465234, -4207511, -137005, 796961], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-198, 365, -35, -57], [-12, -65, 3, 11], [0, 0, 0, 0]], [[0, 0, 0, 0], [20104433846/19, -121350344205/38, 38487008543/38, 41089671055/38], [-4946825559/19, 492616989/19, -181945781/19, -56891494/19], [3/19, 127/38, -65/38, 1/38]], [[0, 0, 0, 0], [-3092508698820491/19, 1564519719235887/19, 970643026592574/19, -636661197200880/19], [568138994532971/19, 663846876836683/38, -199270570730989/38, -100816788872677/38], [509290/19, -11064621/38, -2632063/38, 2907657/38]]], 0, 92160, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[1936, 2456, -104, -504]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-642, -875, 55, 169], [-18, -24, 4, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 9/2, 3/2, 1/2], [0, 1/2, 3/2, 1/2], [1, 0, 0, 0]], [[0, 0, 0, 0], [12170966, -99291623, -18432499, 23421335], [5040036, -6005760, -2207448, 1568784], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-688, -264, -28, 54], [24, 45, 3, -11], [0, 0, 0, 0]], [[0, 0, 0, 0], [17914622220480/19, -33319164146027/38, -16332273934701/38, 11823760933079/38], [204143570781/19, -7008642882/19, 741292729/19, -2205776091/19], [-67/19, -37/38, 71/38, 3/38]], [[0, 0, 0, 0], [21692663464343755634/19, -12327675093098085695/19, -8109649213889613673/19, 3874930389676878997/19], [80465909252473942/19, -255638938894176220/19, -50259509782454722/19, 57750186100286510/19], [-9496616/19, 44153110/19, 12600506/19, -12174408/19]]], 0, 92160, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[-28, 4, 4, 0]], [ -2, 0, 0, 0 ], [ -2, -3/2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [14, -7/2, -19/2, 9/2], [-24, -109/2, -13/2, 27/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3249619/2, -3653833/2, 297477/2, 408869], [117992676/5, 164864069/5, -4399323/5, -6812567], [-8/5, 1/4, -7/20, 1/20]], [[0, 0, 0, 0], [267528092446, 76590764781/2, -320008531695/2, -120207381487/2], [21143458560, -1364114381748/5, -231055222932/5, 310953177804/5], [2637888/5, -5790312/5, 128568, 2144472/5]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1342, 2881/2, -103/2, -607/2], [-176, -409/2, 15/2, 87/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24742587627939/38, -25146770539573/76, 29229679464735/76, 19659851323101/76], [2120911661274/95, -211408669952/95, 33609152396/95, -14987210226/95], [367/190, 73/95, 53/95, 1/190]], [[0, 0, 0, 0], [-19485602795299775844357/19, 38384790018496883124313/38, 19233902674430464566861/38, -14297105177019137760925/38], [1909593018585196275408/19, -1748120126443600215586/19, -1060629862684540948898/19, 592476370678890969278/19], [106623586650/19, -159037176935/19, -77890797215/19, 49264127955/19]]], 0, 5760, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 46, 16, -12], [-54, -43, 7, 9], [0, 0, 0, 0]], [[0, 0, 0, 0], [-179800387, 4470531/2, 220929069/2, -33908479], [-7391450, 261852125/2, 12321779, -26802277], [1, -4, -5/2, -2]], [[0, 0, 0, 0], [-124747053731488, 70046771389508, 55820764266252, -24780749403154], [-103224709004526, 87317388133744, 39349622610672, -23221344403786], [-6343128, -12910508, 7512442, 6935794]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [490, -11, -5, 3], [-22, -3, 3, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [10000111306293/19, 6627851554645/38, -5991811295231/38, -4950340174391/38], [-257397479664/19, -29221150803/38, 11922967079/38, 4458354935/38], [-45/19, 45/19, 22/19, 2/19]], [[0, 0, 0, 0], [193507095462168102588/19, 2095833736543186989783/38, -99664123213755857722/19, -205824637272794815766/19], [-4729956489681698379/19, -38966897144872841165/19, -2158389644906551233/38, 6962090366072916011/19], [6117257935/19, -591896035/38, 11138075/38, -14585100/19]]], 0, 5760, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-74, -139, -19, 39], [-40, -96, 0, 20], [0, 0, 0, 0]], [[0, 0, 0, 0], [14041051, 36881203/2, -842131, -3661451], [9558144, 20375815/2, -784004, -4051787/2], [1, 0, 5, 5/2]], [[0, 0, 0, 0], [17314578061, 1930681095, -16311038331/2, 1006342318], [41119771567, -46057899983/2, -28013229723/2, 6451827416], [136878, 59825/2, -83298, -39888]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [106, 69, -21, -7], [-6, -14, 2, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [138685955/19, 372160205/19, -90222869/19, -160747531/19], [-19841391/19, -2678839/38, -3847165/38, 851721/38], [34/19, 65/38, -21/38, 5/38]], [[0, 0, 0, 0], [257538419214616/19, -336256964355901/38, -195646242821841/38, 46782424396571/19], [35733308461837/19, -26607499651288/19, -26771225291713/38, 14880355061761/38], [2441149/19, -3117/38, -18760/19, 47421/38]]], 0, 5760, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-102, -62, 38, 2], [-26, 3, 1, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [156145339, 207505072, -17956761/2, -41983472], [27150825, 65161977/2, -2715133/2, -6787712], [4, -5/2, 1, -1]], [[0, 0, 0, 0], [-427256488282, -1299598135637/2, 7987545761, 275499223597/2], [-47887865949, -127699560806, -5170005129, 58359533007/2], [321261, 368305/2, -247600, -144227]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-58, 75, 17, -3], [2, -7, -1, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [188985824/19, 4490324803/38, 120955607/19, -385278579/19], [-84978885/19, -242802579/19, -14002581/38, 47608389/19], [25/19, 7/38, -73/38, 1/19]], [[0, 0, 0, 0], [22943153924861586/19, -27281249720705234/19, -20209032940219297/38, 14244173213827673/38], [-1062823585144336/19, 2145904786981170/19, 1215733130659415/38, -535926007970288/19], [74171520/19, 177513/19, 2557230/19, -488457/38]]], 0, 5760, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-108, -95, 27, 15], [-62, -66, 6, 14], [0, 0, 0, 0]], [[0, 0, 0, 0], [982080, 1269640, 1919, -467943/2], [686338, 888324, -32733/2, -340625/2], [-4, 3, 5/2, 1]], [[0, 0, 0, 0], [58073257441, 17601761013, -58013266619/2, -16075583517/2], [29576012593, 19545037543/2, -11331312389, -8712456353/2], [-1919210, 4208219/2, 2326457/2, -1305999]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [642, 487, -29, -99], [-98, -104, 8, 22], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3898205095309/19, 1674706826484/19, -257601051595/19, 595565704633/38], [378042860801/19, -59223527373/38, -14887399010/19, -1238262646/19], [4/19, 11/38, -37/19, -5/38]], [[0, 0, 0, 0], [1051930766451225784686/19, -549709454018157486614/19, -283806607744602772374/19, 131558464719713481243/19], [-87400347390738255280/19, 22673491409927210573/19, 22491221975337130512/19, -7326460416015478534/19], [5474566328/19, 128387809/19, -79793208/19, 14034641/19]]], 0, 5760, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[0, -52, -6, 11]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[30, 43, 51/2, 10], [-210, -49, 299/2, 163/2], [40, 8, 5, 5/2], [0, 0, 0, 0]], [[75976674, 109966223, -104634555/2, -90805452], [255893596, 456949939, -158761852, -386601741], [93971184, 24992353, -199605469/2, 8997173/2], [-10, -3, -3, -3/2]], [[-86768351229678, 4598005932717, 204938476079061/2, -91323771307839/2], [-473279017043756, 109624415070577, 1082661356008065/2, -243509573922336], [140290232144034, -22163499178101, -159191338949589, 56764817285073], [-259319412, -283440735, 19179591, 114611727/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-16, -10, 12, 4], [820, -18, 48, 33], [-8, 2, 0, 2], [0, 0, 0, 0]], [[-300041770804, -290909329878, 11544957174, 1732431838], [1210057594539004/19, 937699553084932/19, -287877637456731/38, -405882489249755/38], [-5649107220422/19, 147673164158/19, 14145986991/38, 12921606020/19], [142/19, 10/19, 26/19, 3/38]], [[-10874241769623110618334, -19015125303020232474263, -1561308185991512049847/2, 4172732740746753177827], [25683710702260450542735278/19, 61793258954939731218702285/19, 5443015467954864857675393/38, -26626497127776304026843717/38], [35639155267834194977320/19, -275801661465026992092364/19, -41842952390208776695980/19, 121124874440237816426453/38], [131627042820/19, 8538380487000/19, 971640735975/19, -1807829342865/19]]], 0, 6144, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[-40, -28, 6, 5]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, -3/2, -11, -5], [20, -13/2, 23/2, 8], [-3, -3/2, -2, -3/2], [0, 0, 0, 0]], [[-69272865, -56187132, 168291931/2, 55642510], [-118802225, 667774489/4, -8391515/4, -489300277/4], [-15204025/2, -35499465/2, 49614197/2, 15417741], [-3/2, 11/4, 13/4, 3/4]], [[-160258995091675, 47513676425765/2, 224027782015172, -85366944654678], [5324953990302099/2, 883153000190933/2, -4118535441689863, 1431914900439872], [682513120511421/2, -266967675162317/4, -1344498977421981/4, 501515575678897/4], [-14543742, 42416481/4, 42780653/4, -20737181/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-6, -9/2, 9/2, 5/2], [-173, 1, -58, -17], [-4, 1/2, 3/2, 1/2], [0, 0, 0, 0]], [[2957162408, 6424186357/2, 516920205, 401781055/2], [13864259922921/19, 14683418293545/19, -711859396204/19, -3498191967284/19], [60829599850/19, 5043855469/38, 1495163508/19, 1160878292/19], [16/19, 22/19, -53/19, -1/38]], [[6030190474329406164, 20387730801343696311/2, -318058878306987813/2, -2099346556214098139], [31024473237359818298339/38, 139333183284168963227947/76, 7813101270556968004297/76, -30878156872837093039661/76], [-54401570663609789758/19, 654389669705653236905/76, 178400044814587469517/76, -168975190974993512735/76], [120517392651/38, -174578486103/38, -44638298639/19, 29344106307/19]]], 1, 8, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[1736, 1968, -136, -395]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-88, -108, 5, 45/2], [-94, -223, -23/2, 48], [-78, -25, 35/2, 5/2], [0, 0, 0, 0]], [[-46018234, -511557484, -66294803, 116536704], [-1833906328, 792104823/2, 1072091585/2, -320483319/2], [1084812763, -1030954723, -448878808, 282707728], [1, -3/2, -5/2, -1/2]], [[6662696362, -2975629290, -7919591575/2, 1709020010], [-29119829995, 43509310171/2, 23344764461/2, -6537212630], [22540746302, -35154672589/2, -12460017999/2, 7939007827/2], [645, 723, -1005/2, -1099/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[36, 50, -2, -21/2], [-434, 267, 3/2, -60], [14, 25, 1/2, -11/2], [0, 0, 0, 0]], [[-28256973884, -28577135162, -625111175/2, 32759975/2], [-107807187447507/19, 83324465178666/19, 133302662881249/38, -94990526896129/38], [-537549351743/19, -11499280363/38, 644643574/19, -166711850/19], [-26/19, 33/38, 22/19, 2/19]], [[1016770090314498010, -2740344062916096977, -5913296462664068565/2, 3183456794574931815/2], [30756454035283572689352/19, -6356164594615850041070/19, -31453835459162906350307/19, 23648723559138438352075/38], [-40817316321531328494/19, -41317194921827708479/19, 120621627168450089745/38, -15033987014100334797/19], [2547220328/19, -301454908/19, -907828304/19, 267686756/19]]], 0, 384, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[1736, 1968, -136, -395]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 1, -9/2, -1/2], [-186, -279, -5, 105/2], [0, -1, 3/2, -1], [0, 0, 0, 0]], [[582508, 870223, -446246, -1369251/2], [1265946, 3454769/2, -3577668, -2245396], [385239, 386421, -586025, -49362], [-1, -9/2, -2, -5/2]], [[6095233594608, -6991672183665, 1210872579321, 1298070065565/2], [340589803651576, -48220327839185, -190960141097485/2, 25684352971222], [60688552935462, -40382402493252, -53295676577181/2, 27296593303347/2], [-299843064, 710694996, 229193322, -190479192]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -6, -11, -11/2], [896, 60, -39/2, -9], [-8, -1, -5/2, -3/2], [0, 0, 0, 0]], [[-476739120204, -602430716959, -272222419949/2, -7548239990], [43797481111792, 3537283590177/2, -6644021444881/2, -984162450447], [-488224612867, -119948850469, -1805493636, -2871373178], [5, -3/2, -2, 0]], [[-1532179291331188564, -2143232613629850140, -22677622431855313, 480536054305561597], [1674282519018125654188/19, 845266078270587725396/19, -578844995922254765890/19, -20747000271596253648/19], [-20915593469449120388/19, -15707919657633297764/19, 5032278499581528075/19, 2048953266255588254/19], [86245536/19, -22491264/19, -36978528/19, 13352208/19]]], 0, 384, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[1736, 1968, -136, -395]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-6, -2, 15/2, 3], [-148, -241, -29/2, 93/2], [-4, 3, 2, 1/2], [0, 0, 0, 0]], [[-647998, -1328835, 788535/2, 2251001/2], [-1890250, 2863681, 3785029/2, -3077802], [-849576, -580014, 1226276, -50420], [-4, -2, -3, -1/2]], [[-84898349630, -51183557150, 209010260094, -99827841582], [-152141354392, 3977372897141/2, -1365826946257/2, 21526871225/2], [1015583990717, -516497231924, -650067569516, 275116121063], [2429729, 33212161/2, 5149445/2, -7902113/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[16, 5, -21, -15/2], [728, -35, 79/2, -1], [6, -6, -5/2, -5/2], [0, 0, 0, 0]], [[13499726500, 15554411869, 4807330475/2, 295778439], [-1152564276257/19, -28753394593474/19, -6238619153659/38, 11619304176433/38], [260538118207/19, 74034728133/38, 7196266665/38, 1010828336/19], [80/19, -141/38, -93/38, -5/38]], [[804819278524862882, 1198103559215863998, -180327103994898801/2, -426169943074611933/2], [-1556122953790403947631/19, -806848101999244920071/38, 839892529334195713751/38, 4833258481349154143/38], [-5256011423048474584/19, 35492380549025345855/38, 12450348692026767309/38, -5136894413610473983/19], [-7111496657/19, 1484223774/19, 5541684241/38, -935802911/19]]], 0, 384, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[1736, 1968, -136, -395]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[84, 109, -9/2, -43/2], [230, 379, 10, -159/2], [52, 41, -11/2, -8], [0, 0, 0, 0]], [[-2310664, -3339961, 17511, 668692], [-8152239, -20568795/2, 476623/2, 3901065/2], [-798246, -3571051/2, -175017/2, 756229/2], [-5, 1, 0, 1]], [[168515514, 183214314, -129066645, -219310771/2], [1045061872, 1691747949/2, -839856465, -516775887], [32078669, 82886393, -41447753, -34076279], [-9711, -5109/2, 11284, -2691/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, -1, -3, -2], [618, -10, -2, 8], [0, -1, -2, 0], [0, 0, 0, 0]], [[1415954950, 1238160670, -396086137/2, -31796201/2], [-28946841134193/19, 17764835437166/19, 18910919529285/38, -9850647861243/38], [26572487081/19, -6425524999/38, -136735872/19, -82663830/19], [-64/19, 147/38, 60/19, 2/19]], [[-214629686740102074, -234046470834116656, 107280271136111532, 17374059314067035/2], [-4647287009529251423080/19, 7230761944100952636719/38, 2080272899808303746358/19, -1140298045838316725028/19], [4890797272005554811/19, -4853299352726378982/19, -4319327205816517022/19, 2242190357886025643/19], [-18518569531/19, -90054081/38, 5860254772/19, -2729162421/38]]], 0, 384, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[16, 32, 0, -6]], [ -2, 0, 0, 0 ], [ -2, -3/2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-82, -141, -3/2, 59/2], [-14, -9, 1, 0], [-100, -104, 9, 41/2], [0, 0, 0, 0]], [[383592, 387132, -42066, -74112], [32282, 63764, -33805/2, -10303/2], [976848/5, 2187356/5, 109032/5, -479462/5], [-48/5, -14/5, -4/5, -3/10]], [[2033685036, 4697388870, -2459481807, 34926597], [13374116784, -2067681219/2, -29949281063/2, 10433219025/2], [3689205708, 445683038/5, 2676654562/5, -2558694609/5], [1936027/5, -7392131/10, -893213/2, 6380111/10]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[102, 5, -57/2, 4], [-460, 1194, 353, -305], [-46, 99, 59/2, -51/2], [0, 0, 0, 0]], [[-278046720, -4457591640, 512648640, -38040060], [-178305776233/19, 484618844783/19, -797896761294/19, -274908706477/19], [-410263974512/95, 15683583474/95, -10217418206/95, 6603609854/95], [104/95, 191/190, -43/190, 3/190]], [[-1325319272630640, 2036407454414424, 557711824510260, -496214844689844], [595284806269147097/19, -377615650491179179/38, -179191552423948847/19, 49554562310609674/19], [51282274136918292/19, -104399042725503232/95, -78616742381449438/95, 31476333140846496/95], [-25836153/95, -22099688/95, 997395/19, 7782441/190]]], 0, 1152, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[-274048, -370432, 11968, 76304]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [136, 46, -32, -4], [-976, -1404, 28, 292], [0, 0, 0, 0]], [[0, 0, 0, 0], [43352, 24831, -7410, -4292], [-392742, -556070, 13143, 115230], [-30, -27, 1, 4]], [[0, 0, 0, 0], [2786560324, -3565793449, -1319693697, 948959054], [12862029270, 14600311150, -1012436899, -2927846717], [-1185374, 2180481, 929802, -663993]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [384, 52, -86, -80], [8, 4, -6, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [658289196/19, -1651265847/19, -268434509/19, 384754021/19], [15905214/19, -3389230/19, 3200372/19, 1986154/19], [-82/19, -89/19, -87/19, -1/19]], [[0, 0, 0, 0], [-45191799544862182/19, 99932166738159023/19, 26290919128329164/19, -24543632970849811/19], [-1507335191127268/19, -142537438515867/19, 320722561703607/19, -9885932030044/19], [12131787122/19, 10549369740/19, -1002019655/19, -2105904255/19]]], 0, 1474560, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[11584, 16032, -448, -3312]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-164, -216, 18, 48], [-124, -48, 26, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1, 1/2, 3/2, 1/2], [2, 1/2, 3/2, 1/2], [1, 0, 0, 0]], [[0, 0, 0, 0], [4571900, 6370646, -157748, -1321314], [521160, 3786660, 475680, -867960], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3284, -4000, 152, 822], [-1036, -1336, 54, 274], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1555308315293/19, -1476261153458/19, 1400357315130/19, 1006131774357/19], [11671566421/19, 11806399891/38, 1161838795/38, 2243345425/38], [10/19, 113/38, -71/38, -3/38]], [[0, 0, 0, 0], [-10469287978447764/19, -14176491240443021/38, 11701681491120657/38, 6515433112587337/38], [-1296071893266121/19, -1089812112563779/19, 185973214731664/19, 206094679330624/19], [742309/19, -7232631/38, 234041/38, 982293/38]]], 0, 92160, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[384, 544, -16, -112]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-94, -185, -57, 21], [-10, -12, 2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 3/2, 1/2, -1/2], [0, 1/2, 3/2, 1/2], [1, 0, 0, 0]], [[0, 0, 0, 0], [-3593984, -3873676, 226902, 684736], [-339584, -180544, 29120, 30016], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-624, 43, -195, 13], [6, -3, 9, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4930919052753/19, 55779628956/19, 591907456926/19, 2835179737/19], [82496696793/19, 3469048931/38, -4650404041/38, -2433351659/38], [-54/19, 165/38, 49/38, 1/38]], [[0, 0, 0, 0], [-159071064718268161038/19, -176302711751268115353/38, 65683850001350705533/38, 23936217872637217193/38], [3001197316726931681/19, 1782222879947479868/19, -625352768888146757/19, -234079908788834689/19], [-31202015/19, 6374236995/38, 1686673431/38, -1583081389/38]]], 0, 92160, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[384, 544, -16, -112]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-426, -537, 129, 117], [2, 12, -6, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 3/2, 1/2, -1/2], [0, 1/2, 3/2, 1/2], [1, 0, 0, 0]], [[0, 0, 0, 0], [38206312, 37675036, -8016308, -5908610], [-3054744, 440220, 1665180, -562716], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [192, -70, 20, 14], [-4, -2, 2, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3023096899/19, -3973693341/38, 613169861/38, 736932283/38], [23019228/19, 24083343/38, -13556459/38, -10723465/38], [63/19, 51/19, 11/19, 1/19]], [[0, 0, 0, 0], [-103472445953987/19, 261393790512645/38, 250507993606611/38, -132185056357945/38], [1764653107208/19, -1766987603801/38, -3829820304749/38, 1647364387629/38], [160545/19, -3304323/19, -871992/19, 855699/19]]], 0, 92160, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[11584, 16032, -448, -3312]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [680, 937, -17, -195], [314, 447, -9, -93], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 3/2, 1/2, -1/2], [0, 1/2, 3/2, 1/2], [1, 0, 0, 0]], [[0, 0, 0, 0], [-4080650, -6221655, 37661, 1310913], [-2305710, -2644146, 172278, 533052], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-64, -34, 12, 24], [4, 2, 6, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-729168321/19, 1644404040/19, -2299344152/19, 735837133/19], [28085651/19, -392690391/38, 1010538761/38, -346019829/38], [-92/19, 13/38, 49/38, 1/38]], [[0, 0, 0, 0], [5008707731792279/19, -2913452936938498/19, -5189372490650549/19, 2263056279186615/19], [-823933584881707/19, 1190697832228803/38, 1947746410515587/38, -888613435854453/38], [-1204806/19, -211660443/38, -52789209/38, 52008663/38]]], 0, 92160, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[1112, 1544, -40, -320]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [39, 57, 7, -6], [-16, -11/2, 13/2, 1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [3743846, 17485745/4, -2674767/4, -2923055/4], [-7137487/2, 1300742, 1732310, -1368925/2], [9/2, -3/4, 5/4, 3/4]], [[0, 0, 0, 0], [1529356647/2, 13898538547/4, 224444155/4, -2721272271/4], [37130880477, -109903404637/4, -54190732817/4, 30455411147/4], [-140595/2, 96099/2, 58401/2, -12669]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [64, 321/2, 29/2, -43/2], [5, 9/2, 1/2, -1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-690464255/38, 6091932797/38, -1268587397/38, -169533572/19], [228071361/38, -85714941/76, 1273787/76, -5598883/76], [-11/19, 215/76, 179/76, -1/76]], [[0, 0, 0, 0], [-1161015169087608217/38, 1444533474251805159/76, -463331113736349877/76, 108741498306914017/76], [19089448579548558/19, -124319680303598599/76, -8636024046336111/76, 19261988123052685/76], [-30312945709/38, -10578583997/38, 9779982973/38, 98865271/19]]], 0, 1440, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[48, 40, -4, -8]], [ -2, 0, 0, 0 ], [ -2, -3/2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [14, 29, 2, -5], [-44, -6, 10, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4787404, 6256952, -338361/2, -2605805/2], [-3014076, -33107868/5, -1142292/5, 7078699/5], [-2/5, -2/5, 0, -1/10]], [[0, 0, 0, 0], [-799361824, 1293522823/2, 290675655, -167141832], [-24254382688/5, 3440103316, 8927174962/5, -4880275786/5], [1307/5, 821/10, -2267/10, -46]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-896, -1460, 6, 305], [136, 208, -1, -44], [0, 0, 0, 0]], [[0, 0, 0, 0], [8642002112/19, 1500248401/38, -7272694615/38, -678644271/38], [-7135310156/95, -4476972626/95, 787454510/19, 2712773666/95], [-21/19, 609/190, 71/190, 3/190]], [[0, 0, 0, 0], [-6764563413721354365/19, -4905743728570135193/19, 1693085116373722723/38, 1759115856779768615/38], [828605628831048576/19, 784817051443170010/19, -62708982472029268/19, -127265566980794598/19], [-37100216592/19, -215157241839/38, -19566508413/38, 25371393036/19]]], 0, 5760, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[64, 0, 0, 0]], [ -2, 0, 0, 0 ], [ -2, -3/2, -1/2, 1/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-110, -159, 7, 33], [-544, -826, 6, 174], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10330825, -15348127, 55556, 3202930], [-274623856/5, -80892980, 7474804/5, 83911208/5], [-16/5, 7/10, 1/10, 1/2]], [[0, 0, 0, 0], [-68944844376, -50933232890, 57414915376, 36135280784], [-194461096092/5, 163654647156/5, 73642907412/5, -44520865052/5], [2221632/5, 1618896/5, -1808904/5, -1165104/5]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4342, 5393, -263, -1103], [1752, 2158, -102, -442], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6125696587/19, -5117370101/19, 5018278563/19, 3395063157/19], [-1084388088/95, 24340468/95, 187281284/95, -8521364/19], [-16/95, -119/38, 163/190, 1/190]], [[0, 0, 0, 0], [-723865576281266/19, 288356483909275/38, 1359998391721669/38, 416190659050045/38], [-298081891113668/95, 1493223304766946/95, 303098304773966/95, -358947585902074/95], [424890611/95, 88815339/190, -173703617/190, -6129693/190]]], 0, 1474560, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[136, 120, -16, -23]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, -7, -16, -7/2], [68, 39, -131/2, -43], [-2, -8, -1/2, -3/2], [0, 0, 0, 0]], [[-15724048, -14279380, 27707181/2, 19373725/2], [-85557969, -76789195, 74942424, 51605575], [-4835837, -7998909/2, 8485541/2, 2722068], [2, -3/2, 2, 1/2]], [[4339332800094, 8838452478996, 15196677180675/2, 3961995680445/2], [-17397383641424, -138420866428227/4, 143793463963501/4, 116305545243289/4], [17626593610047/2, 2263500045792, -255595991430, 1118080335819], [139622697/2, 1245403431/4, 105512301/4, -269221887/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-6, -3, 7, 5/2], [2, -10, 39/2, 51], [0, 0, -1/2, 3/2], [0, 0, 0, 0]], [[-75702, 6494, 105038, -83255/2], [108530433/38, -3540945/19, -59768972/19, 41419009/38], [6916263/38, -3550885/76, -12961051/76, 4898617/76], [46/19, 101/76, 103/76, -1/76]], [[-2839648050, -4266785839, -2772000219/2, 1472467373], [-156191896858, -226640720135/2, 121486857811/2, 9600513865/2], [-8482060633, 1526343082, 8656466789/2, -2899077167/2], [-3233007, -8286903/2, 334449/2, 854703]]], 1, 32, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[136, 120, -16, -23]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, -5, -21/2, -2], [10, -45, -87/2, -27/2], [-4, -4, 1, -3/2], [0, 0, 0, 0]], [[4329206, 1503358, -4962786, -462162], [14425911/2, 31839551/4, -23968019/4, -39959559/4], [-2369880, 2094915/4, 11549463/4, -6699179/4], [1/2, -2, -3/2, -1]], [[-39587744076, 850708598991, 2089914068229/2, -1104682221179/2], [91590658258857/2, -23028075622133, -17717345600700, 16141935875369/2], [5576554418693/2, -2094350628569/4, -7865155058301/4, 2827874998339/4], [34406160, -69661365/4, -48163863/4, 22041843/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 3, 3, -1/2], [24, 33, -57/2, 13], [2, 2, -3/2, 1/2], [0, 0, 0, 0]], [[789882, 567656, -378007/2, -38605/2], [555395955/19, -316013169/19, -116446131/19, 69541460/19], [18999351/19, -12435627/38, -4723943/38, 998022/19], [16/19, 63/38, 23/19, -1/38]], [[1827161803880, 648642482462, -424098704195, -118056986045/2], [2940205749266930/19, -7568636598214545/76, -4123501425033637/76, 2154046015637845/76], [193076477433125/38, -106602129871535/38, -64064451289163/38, 30910152548281/38], [168688105/38, 280979987/76, -28664841/76, -56256129/76]]], 1, 24, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[136, 120, -16, -23]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-14, -4, 21, 17/2], [-52, -34, 177/2, 56], [-4, 5, 7/2, 5/2], [0, 0, 0, 0]], [[-27592603, -21822718, 51085613/2, 29807987/2], [-130274302, -489351431/4, 478013113/4, 347097199/4], [-16233895/2, -7935923/2, 5166175, 4868928], [-5/2, 11/4, -5/4, 5/4]], [[-7895139028429, -11394900799207, 60811496725/2, 4596426081101/2], [-41390059532888, -224746195168563/4, 4131964229797/4, 44298361606825/4], [-5934641992691/2, -11927379124993/2, -331398534283/2, 2463917826295/2], [-2649889/2, -18720357/4, -1266627/4, 4002629/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, -9, -39/2, -8], [56, -4, -309/2, -211/2], [-10, -4, -3, -5/2], [0, 0, 0, 0]], [[7650645473, 9601361183, 1537484713, -754356033/2], [-1033500618912/19, 5202253349201/76, 9157307635679/76, -2622588892649/76], [285244472193/38, 76867225407/38, -11592737527/38, -685006749/19], [-85/38, 75/76, 157/76, -3/76]], [[62668336315248682, 89897023010883960, -2657707550978169, -18259563670667859], [5568318146256521794/19, 10660360545194330531/19, 5616786559979446593/38, -3312037437664035364/19], [307059270719436470/19, 959164605650162871/19, 94887849909055933/19, -441819559507684369/38], [141801240/19, 77179935/19, -13024185/38, -38959005/38]]], 1, 24, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[136, 120, -16, -23]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[18, 12, -17, -17/2], [68, 112, -129/2, -62], [8, -1, -7/2, -5/2], [0, 0, 0, 0]], [[-1550342, 2429463/2, 3465001, 381152], [-41555697/2, -162566245/4, 33619181/4, 59685365/4], [-275231, 8510003/4, -1025597/4, 1275159/4], [5/2, -3/2, 3/2, 1/2]], [[-2221702400338, -3207804944897, -10595958712, 651231890489], [15879112309345, 23494570265520, -594985736043, -5047432001659], [-924607370351, -3269307511523/2, 5366164105/2, 648549505791/2], [-1960878, -4018419/2, 243959/2, 796319/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-10, -5, 7, 1], [-336, 27, -14, 27], [-6, 3, -1, 1], [0, 0, 0, 0]], [[-184693921, -330663881/2, 42483676, 15821840], [-448784383031/38, -132442156895/19, 16132320441/19, 30984769864/19], [-5908794163/38, 361935217/76, 92886863/76, 554789395/76], [-33/19, 37/76, 157/76, -3/76]], [[-7847625164623, -12040358077310, 327701681041/2, 2485709768630], [-6164832631633444/19, -56185031136274771/76, -2745051071711415/76, 12276191932307787/76], [-13836801149771/38, -150755121403319/19, -23864736103843/19, 71093209453423/38], [2010937/38, 3334565/76, -271569/76, -617495/76]]], 1, 24, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-284, -389, 29, 85], [-26, -57, -3, 13], [0, 0, 0, 0]], [[0, 0, 0, 0], [-603423/2, -252097, 52107, 90029/2], [-261901/2, 137963/4, 149219/4, -47851/4], [-6, -19/4, -3/4, 5/4]], [[0, 0, 0, 0], [23227379579/2, -33300012317/4, -17294073785/4, 9473447621/4], [17480603157, -50262823651/4, -26105671043/4, 14336855949/4], [906359/2, -325130, -169995, 186963/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-516, 715, -9, -155], [10, 59, -1, -11], [0, 0, 0, 0]], [[0, 0, 0, 0], [24837840008425/19, -60950543870193/76, -24018712877009/76, 2981504398027/76], [2149363083653/38, -51929783649/38, -197972745701/38, -56786981771/19], [111/38, -51/76, -163/76, -1/76]], [[0, 0, 0, 0], [-8716713106543413313/19, 22569909974399478921/76, 18801688566660265417/76, -8020245788945488719/76], [240236941128393671/38, 1487931199089990161/38, 278811004576557943/38, -187686802374337770/19], [-29576215/38, -16935825/76, 11053251/76, 8835349/76]]], 0, 5760, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [50, 99, 3, -25], [58, 106, -2, -22], [0, 0, 0, 0]], [[0, 0, 0, 0], [-236536597, -3036048527/4, -732081127/4, 889438417/4], [-993949203/2, -825884650, 90048149, 274323913/2], [-13/2, -9/4, -5/4, 1/4]], [[0, 0, 0, 0], [809796908424, -573782280744, -324661672266, 173996965822], [907094473092, -672802138966, -324416953260, 183696371214], [-31328, 22784, 11392, -6408]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-842, -953, -1, 201], [-42, -74, 0, 16], [0, 0, 0, 0]], [[0, 0, 0, 0], [-112400998549/38, 10215251215/76, 222940654731/76, -74847987243/76], [472034667/19, -2773934951/76, -1813455459/76, 977025237/76], [203/38, -16/19, 42/19, -1/38]], [[0, 0, 0, 0], [5805/38, -6351/19, -2730/19, 3257/38], [-125/38, 611/76, 251/76, -143/76], [4/19, -35/76, -15/76, 9/76]]], 0, 5760, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [162, 230, -16, -54], [-8, 9, 5, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2087194, -11799925/4, 117679/4, 2345123/4], [-12653/2, -124111/2, 1337/2, 10650], [9/2, -3/4, 1/4, -1/4]], [[0, 0, 0, 0], [10552167504, -20887924567/2, 1312313065/2, 11396673417/2], [18240023043, -13027786762, -6758497270, 3698973377], [2519449, -3627005/2, -1876173/2, 1023241/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [522, 278, 38, -52], [0, 21, 3, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [2018352242225/38, 257621473658/19, -1174069375814/19, 583519271081/38], [10661803587/38, -474301891/76, 305016065/76, 56973851/76], [59/19, -521/76, -93/76, -5/76]], [[0, 0, 0, 0], [160863148178973274576/19, -53180843700741764243/19, -292364294106008635243/19, 124607219399757899879/19], [363614941947574642/19, -2781417504594285421/19, -267055001935494257/19, 517187663118346725/19], [58874960244/19, -1741686834/19, -955427834/19, -822578482/19]]], 0, 5760, [], [] >,
< [ 4, 2, -5, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [126, 111, -27, -17], [30, -6, -2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8315171, 37918207/4, -3695049/4, -7122273/4], [3101273/2, 823951/2, -346935/2, -108086], [-9/2, 1/4, -11/4, -5/4]], [[0, 0, 0, 0], [-5699066554807/2, 3098790340144, 1274163165525, -1692686203669/2], [-8352627177163/2, 12545938163977/4, 6221663048569/4, -3510714759829/4], [21446451, -62596843/4, -32517047/4, 16879717/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-114, -960, 22, 204], [-24, -77, 1, 15], [0, 0, 0, 0]], [[0, 0, 0, 0], [-251101744502573/38, 357379802957587/76, -93684308849157/76, -133581324844367/76], [-10681151414800/19, 578072483723/76, 306352921471/76, 31039633463/76], [25/38, -3/19, -4/19, 1/38]], [[0, 0, 0, 0], [45664739144, 26292442133, 25531810359, -25818283877], [3357197742, 3238884039, 2041586005, -1756583421], [0, 0, 0, 0]]], 0, 5760, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[4, 7, -1, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7/2, 6, -1/2, 4], [2, 1, 0, 2], [3/2, 5, -1/2, 2], [0, 0, 0, 0]], [[-42763407/2, -56121069/2, 11812735/2, 5601618], [12315889/2, -78837325/2, -3402977/2, 9792434], [-27539650, 22716253/2, 7607854, -4190817], [-2, -3/2, -2, -1]], [[-1642004077730, -6040052817169/2, 375244994267, 843775569014], [-423523535010, -3291354664209/2, 89606205147, 453778006134], [-1218480721613, -1374349370444, 285638835650, 779995287889/2], [-178893, -293964, 46530, 162129/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[109, -5/2, 3, -5/2], [83, -9, -10, 17], [2, 1/2, 1, -3/2], [0, 0, 0, 0]], [[-350534336035/2, 11458319547, 117789558787/2, 6572792544], [-6116765452723/46, 239497580227/23, 2792393657445/46, 201188777895/23], [-74827854899/23, 3699040843/46, -3201300092/23, -7694545917/46], [-66/23, 21/46, -4/23, -5/46]], [[-10380421575846542125/2, -18248299894072939435/2, 1320241886620869629, 4867911286053809551/2], [-172308846968135159559/46, -301857329731764477873/46, 21692164682633083221/23, 78950155183788032877/46], [-2555417220027181354/23, -9065658853364226407/46, 1334369003076476441/46, 2539369509095167865/46], [-2107897824/23, -7420537089/46, 1027912311/46, 2106266679/46]]], 3, 4, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-4, -3, 1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[103, 2, -1, 1], [107, 9/2, -2, 1/2], [4, 5/2, -1, -1/2], [0, 0, 0, 0]], [[-34840907125/2, 11976258461, 5160235525, -18508187503/2], [-35888042071/2, 23927805311/2, 5158847352, -9255774259], [-1047135021/2, -12355813, -1388203, -3361075/2], [-5/2, -1/2, -2, -2]], [[31807200619798406719/2, -6224088157878823103/2, -2532066865257652941, -501567738772813547/2], [32967248719767490757/2, -5748173229283897311/2, -2710706541095647816, -610174138756039477/2], [1160048201960912743/2, 475915003443678017/2, -178639687745858245, -108606425309576915/2], [6799455247/2, 4989916815/2, -793857558, -1688423399/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-83, -45/2, -1, 5/2], [-187/2, 41/2, -91/2, 29/2], [-7/2, 5, -3/2, 0], [0, 0, 0, 0]], [[702916983/2, 569711770, -742584914, -468796424], [363378033, 605238890, -1782780227/2, -443553705], [-143685, 11459145, -5152745/2, 1543829], [1/2, -2, 2, 0]], [[-75536973110149/2, -145918856059877/2, 20238561873423/2, 19549040956256], [-1709839410338613/46, -3302871129723749/46, 458110311301677/46, 442492321411986/23], [-24138932888103/46, -46616301271581/46, 6468019353913/46, 6245485625847/23], [-1573/46, -7909/46, 495/46, 1056/23]]], 3, 4, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[2, 7, 0, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[243/2, 4, -3/2, 2], [162, -55/2, 3, -23/2], [-9/2, 7/2, -1/2, 3/2], [0, 0, 0, 0]], [[-4090579723525/2, -3622662597195/2, 628581964741, 558640278451], [-5117586440799/2, -1818971499379, 614845416332, 1109964636405/2], [114111857461/2, 1697822407/2, 1526283151, 406440029], [-5/2, 2, -2, 1/2]], [[-255390376852231528169/2, -269232271627339834421, 70823191693701320027/2, 145885057645061082861/2], [-299388864927934938287/2, -324016479983440581157, 79793938555849299287/2, 174625906254003272671/2], [4888720896940712427/2, 6087134261150364529, -996749651351487165/2, -3193427622846560015/2], [-129479931/2, -229898639, -616209/2, 132925987/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[155/2, -7, -1/2, -3], [89/2, -18, 107/2, 11], [3, -1, 0, -2], [0, 0, 0, 0]], [[-16717855341/2, -13163236329/2, 4860764211/2, 3871950023/2], [-13167275517/2, -4263394619, 7006431407/2, 2175538856], [-523818753/2, -213362169/2, -57269553/2, -19358625/2], [-1/2, 1, -1/2, 0]], [[5256166876889394, 20924511026821927/2, -2829237161288147/2, -5618553684164555/2], [84287222958457057/23, 336296767595517519/46, -47852914928564879/46, -91723140482953539/46], [3581125610810046/23, 14570496653214957/46, -1764090585396009/46, -3845578575805473/46], [698282/23, 7012369/46, 684697/46, -2333591/46]]], 3, 4, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[9, 19, -2, -5]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-155/2, -1/2, -1/2, 1/2], [-80, 39/2, -3, 21/2], [-1/2, 4, -1/2, 2], [0, 0, 0, 0]], [[3612163342, 63914178117/2, -1817811319/2, -16654358897/2], [1434385818, 32220893391, -1906103117/2, -8416126925], [-435555506, 105521733/2, -17658359/2, -35578993/2], [-2, 0, 1/2, -2]], [[-2492506737605909585/2, -2259820929138263742, 333315052911594017, 605435210348638951], [-2241281309871395759/2, -1988686544357692151, 299814193116153025, 533221451558613840], [50245085704712367/2, 54226877121951554, -6700171977135455, -14442751802215961], [263016003/2, 276395393, -30078761, -73684898]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-45/2, -27, -1/2, 2], [-49, -60, 57, 36], [-3/2, -3, 5/2, 2], [0, 0, 0, 0]], [[-353013/2, 569367, 120475/2, -324257/2], [-5095711/46, 26613023/46, 3031509/46, -3691583/23], [697977/46, -733527/46, -197061/46, 117951/23], [83/46, -44/23, -137/46, -3/46]], [[-2886592059686, -5569286448699, 773583478504, 1492215639979], [-109220070623911/23, -421707872708937/46, 29270509903172/23, 112992355677181/46], [-3842414186559/23, -14862435139593/46, 1029430418448/23, 3982598351493/46], [-3901008/23, -8421792/23, 824016/23, 2277360/23]]], 3, 4, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[6, 10, -2, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-52, 17/2, 4, 7/2], [-50, 25/2, 6, 9/2], [2, 4, 2, 1], [0, 0, 0, 0]], [[-2377512808, 8026205231/2, 665427789, -1087882353], [-4706058971/2, 4015879491, 1343132885/2, -2167896517/2], [24483360, 5553691/2, 6138631, 3934087], [5/2, -2, -3/2, -1/2]], [[-56494931749315830, -107293617126520137/2, 15358416737564441, 28558147300700903/2], [-52103301405348537, -45437561309915046, 14291778791504881, 12121819871330234], [4391632845811188, 16418502826622595/2, -1066638736440385, -4314510051528385/2], [166789593, 277331085, -52692055, -83116265]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-149/2, -116, 9/2, 1], [-191/2, -233/2, 97/2, -29/2], [3, 5/2, -2, 3/2], [0, 0, 0, 0]], [[6805499313/2, -39329635285, -4197231247, 9979169709], [408321534303/46, -2409619520937/46, -165469015469/23, 667917696441/46], [-14276201043/23, 48624669090/23, 18146166759/46, -13629122064/23], [58/23, 15/46, -9/46, 3/46]], [[242999640643348139, 467501230843449715/2, -73473760130392402, -63514436448344456], [6682912207755954563/23, 9410119659178090093/46, -2093298880333845929/23, -1210588184480700696/23], [-226856304223491939/23, -94488683961810567/46, 75173655359950518/23, 10090197844841526/23], [-518376475/23, -3124077425/46, 165874700/23, 425849650/23]]], 3, 4, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-5, -12, 2, 3]], [ -341, -655, 70, 184 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-130988, 74186, 232535/2, -1/2], [-149807352833/289271, 84843063900/289271, 132974357512/289271, 2989933/578542], [-2, 5/2, -1, -1/2], [-1293513/578542, 366293/289271, 574083/289271, -1/289271]], [[-2029685009577, -8628967838391/2, 564812306178, 1162985605312], [-2321288464117557490/289271, -9868681158395231213/578542, 645959310860529856/289271, 1330070819406154079/289271], [-66803205/2, -74900040, 8611230, 20065215], [-10021569384275/289271, -42605524531971/578542, 2788763448528/289271, 11484483015575/578542]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 1/2, -13, -1], [-27, 10, 40, -75/2], [0, 1/2, 3/2, -3/2], [0, 0, 0, 0]], [[36158373/2, 9051377, 21482143/2, 276055/2], [3745505260904429/13306466, 946040040928678/6653233, 2203449570644217/13306466, 731692674403/6653233], [-37472145/46, -19396117/46, -21228281/46, 145221/23], [-38320201/13306466, -19227113/13306466, -22282785/13306466, -1/6653233]], [[-9863183057532412080, -26487416240231936220, 3050864539490792178, 7165425602562823530], [-1022066520169351747622613888/6653233, -2741989940808271876951035923/6653233, 315840394583363970400506228/6653233, 741476513398156660079073924/6653233], [10243227564474329260/23, 27374009789082617166/23, -3153949601448800946/23, -7400117148490958716/23], [10423881287128930764/6653233, 27991452668418116020/6653233, -3219138636172727268/6653233, -7568811423587049636/6653233]]], 4, 4, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-13, -26, 4, 7]], [ -143, -284, -4, 59 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[220671, -150631/2, 69111, -5], [-50690105351/578542, 8646435605/289271, -15831220077/578542, 618289/578542], [-2, 0, 0, 5/2], [-762347/289271, 520337/578542, -238563/289271, -3/578542]], [[4134786478247485/2, 4763595565217058, -556500219565400, -2560930707827103/2], [-237411038045237837114/289271, -1094048716641524403125/578542, 63905521617666542200/289271, 147040684866655681626/289271], [-16933938021, -78743088291/2, 4202254014, 20928407451/2], [-14283590481870801/578542, -16455767065538515/289271, 3844843746906903/578542, 8846684286384477/578542]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11/2, -13/2, -59/2, 7], [-1/2, 22, -93/2, 33/2], [-2, -5/2, 2, -1], [0, 0, 0, 0]], [[3475117/2, -6726061/2, 6187873/2, 1833515], [4899585005926117/13306466, -4787353619181831/6653233, -646591105713993/13306466, 1040151026018481/6653233], [74745269/46, -105679881/46, 17050570/23, 6180857/46], [7020843/13306466, -14405345/13306466, 1684918/6653233, 3/13306466]], [[6743127936407235/2, 6668265092567238, -998110222796624, -1838522975497360], [1445914259364629512885/289271, 25174346384088413794653/578542, -227808638237910480717/289271, -6689051182156663802841/578542], [2015467744147742, 4036404971454824, -541353447887789, -2171036911482955/2], [27418351490250/289271, 69521076360800/289271, -6059315145931/289271, -36786043021869/578542]]], 4, 4, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[26, 47, -7, -12]], [ -341, -655, 70, 184 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-19897, 38986, 112647/2, 1/2], [-45501922149/578542, 89198135747/578542, 64420816131/289271, -190849/578542], [-17/2, -35/2, -5/2, 3/2], [-196437/578542, 192555/289271, 556247/578542, -5/578542]], [[-1040426035701, 3667260982799/2, 567849735793/2, -986528810991/2], [-2379881649631131883/578542, 2097001453860697724/289271, 649453122541714169/578542, -1128227778186946239/578542], [40058330, 253104215/2, -10640370, -34068125], [-10274665867065/578542, 9053300393646/289271, 1401942484263/289271, -4870852898715/578542]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9, 41/2, 3, 7], [25, 4, 11, 7/2], [-5, 35/2, 5/2, 5/2], [0, 0, 0, 0]], [[1830116954, -1577367057, 391159747/2, 1113421025/2], [25838920835106457/6653233, 96996785305566218/6653233, -5188448782295858/6653233, -23426773470435597/6653233], [81876080847/46, -6704530023/46, -1409423916/23, 2804688852/23], [10443760/6653233, 16083643/6653233, -23128303/13306466, 3/13306466]], [[-21206216049327403653/2, 22964425519227129743, 3604066779157688415, -5750459479885669133], [143138739915876270720684520/6653233, -183212822214193657597836059/13306466, -32842955824395773826006316/6653233, 54678099446219740739671139/13306466], [-154715695732960408085/23, 394971769490126983401/23, 104301204399718604343/46, -100187723810456937369/23], [14913638669677449/6653233, 12749703576748671/6653233, -8099643777887363/13306466, -3760150296800079/6653233]]], 1, 78, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[16, 25, -5, -6]], [ -143, -284, -4, 59 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[159907/2, -240070, -213471/2, 3/2], [-9182764770/289271, 27566327411/289271, 24527479867/578542, 1873637/289271], [-1/2, 1, -3/2, 3/2], [-552429/578542, 829302/289271, 368792/289271, 1/578542]], [[-165200840563777/2, -315493347895787/2, 22185660789501, 42290761107958], [9485078514184582189/289271, 18114193973166749551/289271, -2547600776478286621/289271, -9712575922547072861/578542], [-193866355, -391809705, 50941845, 105079425], [570675607561899/578542, 544925698462728/289271, -153277880761137/578542, -292181434846785/578542]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-47/2, -19/2, 173/2, 34], [29/2, 47, -331/2, -273/2], [-5, -9/2, 18, 13], [0, 0, 0, 0]], [[5508109/2, -5318386, -9760314, 729639/2], [897619701508875/6653233, -3756919946425965/13306466, -4912586255358775/13306466, 387602904848763/13306466], [-484367645/46, 746575069/46, 1513260469/46, -6171141/46], [-14911527/13306466, 24781467/13306466, 24985640/6653233, 5/13306466]], [[202972362404548751567/2, 358188638176130388027/2, -26234753963126588149, -46885770063274320273], [28581436975546037085363795586/6653233, 48114948291669859329565018356/6653233, -7401789424148006636642252143/6653233, -25237793386034840163963792403/13306466], [-6161730351136310178972/23, -10519459861935686327749/23, 1570796866666072109276/23, 2733291598958133348318/23], [-450078590173740575775/13306466, -392052775232344161000/6653233, 115180321859813936115/13306466, 204414174082553157255/13306466]]], 1, 78, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[4, 17, -1, -5]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-196, 5/2, 1, -1/2], [-19, 11/2, 1, 1/2], [-177, -3, 0, -1], [0, 0, 0, 0]], [[-1311362191547/2, 64982967457/2, -3391347146480, -3425189328291/2], [-146307363614, 2289440110, -836582129/2, 608159776], [-1018747464203/2, 60404087121/2, -3390928855459, -3426405647843/2], [2, -2, -3/2, 0]], [[-1045774362390523112051/2, -1197213052051386102164, 98675479959407356541/2, 328149031044902784166], [-82565702428897063159/2, -200520727179293982977/2, 5703020582548134211/2, 61798602864620492461/2], [-963208659954941930213/2, -1096952688447502105223, 92972459375207900879/2, 297249729608406576421], [230486851/2, 981862445/2, -56942119/2, -288687001/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[141, 257/2, 1, 3/2], [1351, 101, -21, 29], [-110, 5/2, 2, -5/2], [0, 0, 0, 0]], [[-10991342007263/2, -198283875026, -134461449558, 267446859687/2], [-3320959968066605/46, 1382316686577080/23, 529596277500404/23, -971950346314923/46], [278923554720513/46, -252159493764497/46, -48426262804050/23, 44459164731333/23], [-85/46, -33/46, 3/23, -1/23]], [[2543108429257825349455/2, 11919188730514418188793/2, -1595886241700146639941, -2069248511423990941233/2], [-380086336037582772966999/46, 3020962597624061385439343/46, 247379327173501235733895/23, -1029563408768907377553707/46], [39870711809855281107207/46, -249711023349828466252123/46, -25825882793927791225482/23, 89270063001269546638685/46], [22721630855/46, 97871790093/46, -2757514991/23, -28795122433/46]]], 1, 66, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[12, 20, -2, -5]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-387/2, 3, -1/2, 0], [-227/2, 5/2, -5/2, 3/2], [-80, 1/2, 2, -3/2], [0, 0, 0, 0]], [[-102720448651169, -1500909449785, -2683634186329/2, 737211365728], [-60238706771343, -503835349461, -3989210028687/2, 1263670337313], [-42481741879836, -1994148200653/2, 1305575842333/2, -1052917943175/2], [-2, -1/2, -5/2, -1/2]], [[26888557320975648181716277/2, 21041563618659470009821570, -6550024952551342034788183/2, -5607490269839145840899225], [15782326848654883029821109/2, 12329400624103341545147967, -3825671548000747582917129/2, -3294901068309549766204539], [5553115236162244810391934, 8712162994559231056721403, -1362176702275609176147177, -2312589201530373209850861], [372446888870, 620518409560, -62390042330, -155427031235]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-173/2, 241/2, -3/2, 5/2], [-3055/2, 60, -47/2, -14], [131, 11/2, 2, 3/2], [0, 0, 0, 0]], [[47547828981/2, 54742860701, -4235790961, -171835229/2], [79963889430175/46, 77641355546403/23, -15650413740497/23, -43772043454283/46], [-3585013152847/23, -6943842705871/23, 2827816463745/46, 3978917386165/46], [-56/23, 7/23, 15/46, 1/46]], [[-11627418514888197, -20703609368522637, -2250271145601249/2, 3715100144262547], [-17535276286358010123/23, -32670692317585287843/23, 11124808668259548501/46, 9240903771448317635/23], [1569804151200224091/23, 2926773572930459511/23, -1016051355047806851/46, -832314224373937224/23], [2265723/23, 40882383/23, -791109/46, -10676403/23]]], 1, 66, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[6, 17, -2, -4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[167, 1/2, 1, 9/2], [141/2, -3/2, 1/2, 5/2], [193/2, 2, 1/2, 2], [0, 0, 0, 0]], [[-730670384114189/2, -3604643091721/2, -2533528713040, 10807984737819], [-308616623740823/2, 5962221916577/2, -986120208082, 3259966519435], [-211026880186641, -9566865008319/2, -3094817009979/2, 7548018218384], [-2, 1/2, 3/2, 0]], [[5311990533464835089677479/2, 7053933192759900925790047, -1101704710101538813347947/2, -4019185411811291247054075/2], [2209161602682412602746207/2, 2953738836298019207147067, -458699485960705030510831/2, -1682949048304833292469823/2], [3102828930782026465964371/2, 4100194356461320326113674, -643005224140701824317213/2, -2336236363506193619455173/2], [18858141281/2, 26732977586, -6283739043/2, -12587387099/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[21, -37, 1, 3], [84, -77/2, 4, 15/2], [21, -1/2, 1, 3/2], [0, 0, 0, 0]], [[-21728797/2, 50339087/2, -983441/2, -5240676], [-597787153/46, 4492313523/46, -35884737/46, -532547110/23], [-32678443/46, 1111508073/46, -4416441/46, -137338343/23], [83/46, -43/46, -149/46, -2/23]], [[-727660068096119, -18231407244787/2, 220464633543512, -23791189671331/2], [-240256181475132581/23, -762071818939338673/46, 65433868773112028/23, 203266503481288863/46], [-74506591820807526/23, -126941847693502999/23, 20121027223238838/23, 33968896067555217/23], [-2325449104/23, -6368048841/23, 653296072/23, 1510728703/23]]], 1, 66, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[19, 33, -6, -9]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[196, 9/2, -2, 3/2], [147/2, 1, 1/2, -1], [245/2, 7/2, -5/2, 5/2], [0, 0, 0, 0]], [[-189706201044971, 3650954812911, -4858603691163/2, 145957999590], [-70969255126870, 3954667845819/2, -5626353323943/2, 3721131047273/2], [-118736945918143, 1673620890033, 767749632717/2, -1714607524057], [2, -3/2, 3/2, 1/2]], [[2205855523294704690346311, 4032498186209111361502174, -615621059733955201064483, -2166189971849170930814013/2], [825012265821483099029017, 1506476661181985035257978, -230707974528306964987301, -807644106724750791943361/2], [1380843257473651164033713, 2526021525027872511625942, -384913085205783704081889, -1358545865124826936560979/2], [-20455843639, -35532637226, 6450857367, 19371318587/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[141/2, 241/2, 7/2, 3/2], [156, 253/2, 11, 3/2], [57/2, 2, 5/2, 0], [0, 0, 0, 0]], [[-552424483455/2, -2632447859315/2, -74170766459, 340561883509], [51456766552339/46, -244389769646335/46, -10142942494678/23, 31599846505167/23], [21387509904571/46, -30640578150147/23, -2812338300269/23, 15844615456555/46], [91/46, -19/23, -76/23, -3/46]], [[732819811036500560120399/2, 719193308541215028441666, -194945950093563462410281/2, -385264448642187458089399/2], [27100597802929681574496607/46, 28842156677519122060943739/23, -7229829752744738294040815/46, -15444883778073436649767835/46], [3415247381097772483745395/46, 4100236858693273185761052/23, -915357632920868567500679/46, -2194600485533673257035931/46], [-12756232491915/46, -11020933789470/23, 4027493629335/46, 5983709877255/46]]], 1, 66, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[8, 14, -2, -4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9/2, -5/2, 9/2, -1/2], [-11, -6, 4, 2], [-9/2, -5/2, 9/2, -1/2], [0, 0, 0, 0]], [[-386775/2, -19575/2, 53325/2, -35775/2], [-623610, 139993, 110781, -67059], [-386775/2, -19575/2, 53325/2, -35775/2], [0, 0, 0, 0]], [[1/2, 1, 0, -1/2], [7/2, 6, -2, -3/2], [2, 7/2, -1/2, -1], [2, 7/2, -1/2, -1]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, 7/2, 7/2, -1/2], [-344, -29, -35, 5], [-1/2, 7/2, 7/2, -1/2], [0, 0, 0, 0]], [[117617427, 1019087, -732287, 999041], [137233358643/23, -1203533470317/23, -64545625070/23, 324410241352/23], [2705201029/23, 23438441/23, -16843231/23, 22977877/23], [-15/23, 51/23, 43/23, 1/23]], [[998128484966220, 4227015367027493/2, -489358785476585/2, -580102287276034], [-187817936295810026, -639675687389306175/2, 98384862021972915/2, 86349948571364495], [1996256760337905/2, 2113507499113753, -244679368096405, -1160204466974435/2], [18642375/2, 16338621, -2264205, -9350325/2]]], 0, 6, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[2, 3, 0, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3/2, 3, -3/2, 0], [-7/2, 5/2, -3/2, 1/2], [5, 1/2, 0, -1/2], [0, 0, 0, 0]], [[-40580, -96353, -5471/2, -2775/2], [88042, -11187, 47685/2, -16355/2], [-128618, -85164, -53175/2, 13573/2], [4, 2, -19/2, -7/2]], [[360703366575/2, 702447824271/2, -94152792097/2, -186239355553/2], [-360974378369/2, -643102129893/2, 94309519031/2, 172289158115/2], [360834726710, 672767370534, -94229683418, -179262055520], [-4145762, -7606548, 1472146, 2201314]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[269/2, -1/2, 3/2, -1/2], [165/2, 51/2, 3/2, -53/2], [4, -2, 0, 2], [0, 0, 0, 0]], [[428435377/2, 296807073/2, 37229239/2, -88124251/2], [6218982111/46, 3113511397/23, 798217137/46, -1791581174/23], [139808200/23, 23058785/23, 2230321/23, 59857780/23], [-20/23, -25/46, -73/23, -5/46]], [[7671161368709437/2, 7166649583842341, -1025064661081233, -3854616939008215/2], [120578628064984791/46, 113621748916821463/23, -15808551408708619/23, -61145302850051445/46], [4296732022477511/46, 3939282148404723/23, -597527651857739/23, -2116199975111165/46], [-1235562363/46, -1140702159/23, 166278887/23, 625426345/46]]], 1, 4, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[9, 19, -3, -5]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -3/2, 4, 9/2], [-11/2, -2, 41/2, 5], [0, -3/2, 1, 3/2], [0, 0, 0, 0]], [[-46, -103, 9, 25], [-2905/23, -7350/23, 2173/46, 4397/46], [-127, -673/2, 35, 181/2], [-85/23, -135/46, -11/46, -2/23]], [[78193/2, 260613/2, 459, -77905/2], [181263/2, 442027, -125439/2, -209787/2], [76161, 964547/2, -37851/2, -260613/2], [13155/2, -4385/2, 2631/2, -877/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13/2, -4, 47/2, 13], [-13, -29/2, 76, 89/2], [-5/2, -3, 13/2, 4], [0, 0, 0, 0]], [[210107/2, 52134, -818577/2, -147609], [-19832839/46, 76367723/46, -28660793/23, -19671084/23], [10927, 60945, -105057, -52123], [4/23, 60/23, -3/46, 1/46]], [[20826612, 156801120, -2142642, -99417591/2], [-211423185623/46, 146192017308/23, 28856008662/23, -79810345257/46], [162884217/2, 578139072, -20898432, -156974685], [1717695/46, 1939140/23, -227430/23, -520695/23]]], 1, 4, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-2, -11, 0, 3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[119/2, -1/2, 11/2, 1/2], [62, -4, 9, -1], [5/2, -7/2, 7/2, -3/2], [0, 0, 0, 0]], [[4465335021, 5132915684, -1863909275, -3496167097/2], [4611953584, 5142917339, -1875028127, -3495692999/2], [293237051/2, 20003325/2, -22237749/2, 237079], [-5/2, 1/2, -3/2, 2]], [[-34829372955181175/2, -80259209585245005/2, 8847512268390297/2, 21278060434991981/2], [-35427794937126897/2, -82557011458195747/2, 9009305562547849/2, 21904660416598369/2], [-299210946811661, -1148900622398411, 80896660671656, 313299898534474], [2944080, 20938464, 906192, -6151248]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[185/2, -175/2, 5/2, -1/2], [90, -105, 38, 42], [1/2, -9/2, -11/2, -1/2], [0, 0, 0, 0]], [[51675002, -399051961/2, -39402745/2, 112089987/2], [53635974, -428869389/2, -29891567/2, 119713601/2], [5331179/2, 2138712, -759437, -754479], [-1/2, 1, -2, 0]], [[-500116135904190, -459589264384585, 266273235433997/2, 123406689605930], [-12417090911072022/23, -11464714656167589/23, 6678648130484565/46, 3086107579474509/23], [568254526318764/23, 1217288184763191/23, -307487508002169/46, -327397427625468/23], [-53154456/23, -236315491/23, 5047361/46, 61247576/23]]], 1, 6, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-8, -6, 2, 2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-193, -1, -2, 0], [-373/2, 9/2, 5/2, 5/2], [13/2, 11/2, 9/2, 5/2], [0, 0, 0, 0]], [[85710107168140, -68967247547114, -34462020625529, 25573018981155], [166362138690811/2, -137847764540465/2, -68814930536471/2, 51181445074533/2], [-2529037822787, 43365276769, 54555357286, 17703556164], [-7/2, -15/2, -1/2, 7/2]], [[-568737086260343268959, 2068576162113211194969/2, 153480144350809127973, -555837448957067446383/2], [-554931808915499106733, 2022325954193644000083/2, 149870400178108261311, -543424784128430336661/2], [13805277344901309841, -46250207919483003351/2, -3609744172714914267, 12412664828608947777/2], [3809841, 5612769/2, -936507, -1877463/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[175/2, -119/2, 1/2, 3/2], [187/2, -169/2, 49/2, 3/2], [2, -3, 0, 0], [0, 0, 0, 0]], [[-131225346, -450273787/2, 43025805, 127547771/2], [-5746933251/46, -4986360478/23, 852450973/46, 1133222900/23], [-78211791/46, -40356867/23, 107960433/46, 32755347/23], [126/23, 123/46, -7/23, -3/46]], [[112298389159347, 173825831506852, -38569758026261, -41679585326388], [231667658411883/2, 334727139247949/2, -95512056108913/2, -74616892325973/2], [2282824853595/2, 1779922204455/2, -1082320522665/2, 27672176985/2], [-6420306, 518544, 2507958, -462036]]], 0, 36, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[5, 6, -1, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-35, -5, 2, -3], [-43/2, 53/2, -41/2, 39/2], [-3/2, -7/2, 5/2, -5/2], [0, 0, 0, 0]], [[66318060, -805931635/2, -22733825, 105571714], [162822051, -807126449/2, -23523292, 105654051], [-21445323/2, 66373, 175451/2, -18311/2], [3/2, -2, 5/2, -5/2]], [[221680347943600547/2, 535257327538317815/2, -59182319598621471/2, -71659377804874384], [32473562390740279/2, 209655497005228315/2, -9717829786423179/2, -27996947866471850], [21022971158598677/2, 36177975233048825/2, -5496053572166913/2, -4851380089260901], [-1805018887/2, -2137426003/2, 306507843/2, 365402177]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[303/2, 261/2, 7/2, 1/2], [293/2, 231/2, 123/2, 77/2], [-1, 3, -4, -2], [0, 0, 0, 0]], [[-1578762691/2, -1106709985, 196848866, 592973839/2], [-19049509422/23, -51584940905/46, 9041814523/46, 6846185652/23], [316102181/46, -87166236/23, -45842252/23, 70876185/46], [31/23, -13/46, -29/46, 1/23]], [[-6346219552501793/2, -5554657174420960, 911273426055853, 1452628584623734], [-152271454430778699/46, -131625348405511897/23, 22254915965805959/23, 34110354065854316/23], [679526793252765/46, 261375840552160/23, 34209369514247/23, -129306167192158/23], [143298271/46, 73982848/23, 5549/23, -31901738/23]]], 1, 6, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[4, 14, 0, -4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11, -2, -13, -3], [31/2, 59/2, 73/2, 3/2], [-1/2, -7/2, -11/2, -1/2], [0, 0, 0, 0]], [[1563674, -2946734, -412955, 795260], [1829536, -2989508, -502113, 777042], [-59111/2, 9497/2, 19949/2, 4129/2], [-11/2, -3/2, 49/2, 29/2]], [[22337769719/2, -21387392106, -5995339131/2, 5733322823], [24936710519/2, -22842947706, -6612431931/2, 6102759623], [-288751825/2, 161745900, 68537325/2, -41047075], [6975/2, 6300, -10275/2, 525]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[293/2, 137/2, -9/2, -5/2], [147, 82, 55, 34], [-1/2, -3/2, -11/2, -1/2], [0, 0, 0, 0]], [[-14232926700, 21877410779/2, 3611221972, -5880358269/2], [-353303145404/23, 482291410379/46, 93901276881/23, -144675464719/46], [6477918649/46, -1284175621/23, 2844075851/46, -545516303/23], [191/46, -28/23, 75/46, -1/23]], [[856620794902352027/2, 4711797347113053995/2, -218490381034301243/2, -1263959943090762375/2], [25110888772074427379/46, 121211546214719000051/46, -6963307527163142191/46, -32052243484115423941/46], [-180309626104183453/23, -762605941823527841/23, -31985314431074192/23, 240356140895107087/23], [-6241892256/23, -23185648074/23, -251826691/23, 6755430085/23]]], 0, 36, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[18, 38, -4, -10]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[115/2, -13/2, -9/2, -3/2], [40, -9, -17, 1], [-7/2, -1/2, -5/2, 1/2], [0, 0, 0, 0]], [[-3880598201/2, 934081161/2, 659124347/2, -381830047/2], [-2702587395/2, 784071325/2, 1352899917/2, 101805849/2], [117801080, -15000983, 69377563, 48363592], [-1, 1, 10, 4]], [[-291369958480717/2, -417206007864631, 77390544557479/2, 111897104718222], [-165449175975501/2, -250202013808086, 44705337841047/2, 67079348183607], [25184156850059/2, 33400799175974, -6537041424527/2, -8963551405455], [581693/2, 607775, -135401/2, -164220]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[45/2, -31/2, 9/2, 3/2], [16, -31, 16, 34], [-3/2, -1/2, 9/2, -1/2], [0, 0, 0, 0]], [[-297186, 908819, 77761, -245146], [-15120617/46, 38724373/46, 2446081/46, -11138717/46], [-158549/46, -252165/46, -9043/46, 30533/46], [121/23, 51/23, 30/23, 2/23]], [[3498147425731/2, -119055332963, -939537177215/2, 31772323941], [63233542144929/46, -19865808851474/23, -17314390419641/46, 5203994370595/23], [-731467110624/23, -3007854921153/46, 184329958688/23, 800835483829/46], [690030159/23, 3665522315/46, -183185977/23, -958042709/46]]], 0, 36, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[14, 25, -4, -7]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-153/2, -7/2, 1/2, -1/2], [-213/2, -37/2, -9/2, -11/2], [-6, -3, -1, -1], [0, 0, 0, 0]], [[54668913711/2, -12917199460, -22139100119/2, 13283463507/2], [73182387839/2, -12755560738, -21372493107/2, 13554145495/2], [3702694825/2, 32327745, 153321403/2, 54136397/2], [-1/2, 1, 1/2, -1/2]], [[14866523043/2, 29108741135/2, -3940593285/2, -7766629359/2], [11216170074, 21935410975, -2946914470, -5843281017], [1513163421/2, 2952416163/2, -390647131/2, -783986535/2], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[167/2, 117/2, 15/2, 5/2], [76, 65, 11, -22], [-1/2, 3/2, -7/2, 1/2], [0, 0, 0, 0]], [[1226137750, 1718020812, -586158501/2, -442889447], [26540376140/23, 37791190194/23, -13980389853/46, -9903612708/23], [-577721415/46, 167884479/46, 74866208/23, -90310055/46], [-49/46, 9/46, -42/23, -1/46]], [[-607021111948365309/2, -1152147624106968275/2, 162908267491319307/2, 308891337574294311/2], [-572265847357165793/2, -1087272414525217871/2, 153745539090525791/2, 291229433597661819/2], [1650631920622674, 2747489785119806, -466958376560074, -727892560993354], [229590528, 406337536, -41293824, -123909120]]], 1, 6, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[7, 16, -1, -4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-82, 3, -6, -1], [-161/2, 3/2, -21/2, -5/2], [3/2, -3/2, -9/2, -3/2], [0, 0, 0, 0]], [[66750239/2, 304658836, 3064737, -87289738], [69994803/2, 304490777, 2954224, -87259306], [3244639/2, -168044, -110543, 30462], [5/2, 1, -2, 2]], [[3725520788276397/2, 6059530916862475/2, -999788498999707/2, -1620280815209637/2], [1874867773888217, 3061813277882055, -502829151664447, -818535538658057], [24215468345077/2, 64097240640275/2, -5869874050387/2, -16790644610077/2], [23628168, 53391288, -2324040, -12750120]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[21/2, 397/2, 7/2, 5/2], [-8, 188, 78, -10], [3/2, 9/2, -1/2, 5/2], [0, 0, 0, 0]], [[-177815479835/2, 33804707513, 31230756075/2, -9123366495], [-3802738437251/46, 650266138379/23, 756085155023/46, -240236207081/23], [-44187298998/23, -46847171643/46, -761289912/23, 13296162903/46], [20/23, 71/46, 50/23, 5/46]], [[409830039345749229/2, 110744084633490583/2, -54770282948874583, -29209482952178739/2], [8773204713936128741/46, 2767645585282509495/46, -1166374337737886172/23, -732101215468777089/46], [247506917757896979/46, 254250702534405939/46, -32999640856858176/23, -67428316259450253/46], [-202192171/46, -292991787/46, 24951672/23, 75009581/46]]], 1, 6, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[12, 20, -4, -6]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[217/2, 1/2, -3/2, -7/2], [205/2, 3/2, -11/2, -11/2], [-6, 1, -4, -2], [0, 0, 0, 0]], [[-486935721/2, 25407833, 2530029/2, 23872665], [-227765217, 45146165/2, 2146344, 46064409/2], [31405287/2, -2834743, 1762749/2, -840423], [0, 1/2, 3, 5/2]], [[-189298819821893/2, -136702375957035/2, 51198153286939/2, 36471067887063/2], [-88527184960355, -64258701731571, 23927604294589, 17136317072715], [12244463306683/2, 8184994945893/2, -3342950384261/2, -2198440944633/2], [446850, 748400, -189550, -240100]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-105/2, -309/2, 1/2, -5/2], [-35, -141, -52, -9], [-5/2, -13/2, -5/2, -3/2], [0, 0, 0, 0]], [[357651055957/2, -715390922649/2, -88367084247/2, 188696659019/2], [7460478385437/46, -14910812448873/46, -1907129948063/46, 3978727243399/46], [56106820044/23, -122763830469/23, -10798292745/23, 31664123697/23], [-99/23, -82/23, -6/23, 2/23]], [[-135363094845361944, 1089660640481694703/2, 41181628804151345, -298503982222190279/2], [-2756928503247436695/23, 22818937076705123497/46, 766454728373807104/23, -6194331632531522229/46], [16228065338185215/23, 601385537239506495/46, -287328971281683/23, -168533564371920225/46], [2089750661/23, 7852852113/46, -495900275/23, -2048480019/46]]], 0, 36, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-8, -17, 2, 5]], [ -341, -655, 70, 184 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[144804, -1903, 3589/2, -5/2], [165609914916/289271, -2176812746/289271, 4111608467/578542, -4725559/289271], [5/2, 5/2, -11/2, -7/2], [714971/289271, -18817/578542, 8918/289271, 2/289271]], [[-44298846245041/2, 137194751772497/2, 5543728067584, -18200197492462], [-25332158577814183902/289271, 78454233485773383074/289271, 12680534496217227891/578542, -41630756986467154813/578542], [82855793/2, 244424174, -11222686, -119377199/2], [-109366284828528/289271, 338708661070752/289271, 27372728064528/289271, -89865771222528/289271]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, -3/2, -3, -3/2], [6, -141/2, -42, 1/2], [-3/2, -3, -3/2, 0], [0, 0, 0, 0]], [[-554803, -956479, 1159279, 1691], [1725942713083969/13306466, 1596120817403572/6653233, -1825263911507735/6653233, -7594703798507/6653233], [-311291613/46, -561254587/46, 327635973/23, -32486/23], [14234287/13306466, 25514053/13306466, -14890768/6653233, 3/13306466]], [[-7697517430206119, -43245588820171535, 7757370808046715/2, 20186637392357261/2], [22242204921658891709762563/13306466, 145654442491743041002624781/13306466, -5937338980949344616205302/6653233, -17147190036446215162128547/6653233], [-2064043509157196245/23, -25554164492682056351/46, 2165836201550148943/46, 2999128660883393497/23], [95992314233497050/6653233, 579945146564558430/6653233, -49792848746940150/6653233, -136119524452948140/6653233]]], 1, 12, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-6, -13, 2, 3]], [ -143, -284, -4, 59 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[68613/2, -39145/2, 326641/2, -11/2], [-3940452583/289271, 4494236307/578542, -37502155241/578542, -4944105/578542], [-2, -3, 7/2, 3/2], [-237045/578542, 135227/578542, -1128271/578542, 1/289271]], [[-90837324312310, 189297626446817/2, 49844293960617/2, -25801368081560], [907024709047262803/25154, -472495154245632541/12577, -124424112886473092/12577, 128802191173865651/12577], [514954118, 1862191529, -135189065, -504102814], [27286245191259/25154, -28430911300407/25154, -3743117326140/12577, 7750284512439/25154]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-14, -4, 109/2, 39/2], [125/2, 97/2, 182, 53], [-3/2, 7/2, 14, 4], [0, 0, 0, 0]], [[-8363893/2, -6377187, -365130162, 21361857/2], [1699731315347177943/13306466, -3567896009399514029/13306466, -238162521297380533/6653233, 958176382638002357/13306466], [-8471947768/23, -11142418/23, 25496332/23, -12707532/23], [42627289/13306466, 19227113/6653233, -6624420/6653233, 2/6653233]], [[-202615576055053411811/2, -3767212233014189903097/2, 1297493554469405395325/2, 761315675774067523695/2], [-9104824038867512705852205357757/6653233, 16372017027050374071654511529954/6653233, 2458268807331103767754904242488/6653233, -4391783134110186074651130734573/6653233], [13611430813932956802905/46, -318683049930341496653959/46, 3814649723044882965067/46, 84106421357385246591009/46], [153279050031320527105/13306466, 705464579674873740199/13306466, -26568444572810705827/13306466, -206779778534765589189/13306466]]], 1, 12, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[14, 21, -6, -5]], [ -341, -655, 70, 184 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[21551, 80090, 235261/2, 17/2], [49301300967/578542, 183168542497/578542, 269054767559/578542, 3229993/289271], [14, -5/2, 0, 3/2], [106425/289271, 790791/578542, 1161543/578542, 1/578542]], [[100334125336427/2, 76974384112432, -16625183581375, -41966709468847/2], [114752758876086906401/578542, 88021244560672953260/289271, -19014216592872855373/289271, -47989090194960867935/578542], [12253116223, -114240069, -6757569817/2, 29878543/2], [495411670420707/578542, 760018110685689/578542, -164176287657213/578542, -207179925788241/578542]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 49/2, -2, -1/2], [-96, 5/2, 3, -7/2], [49/2, -2, -1/2, 0], [0, 0, 0, 0]], [[16552371593, 1179339248797/2, -70583600676, 7389614525/2], [-15417565858945767162/6653233, -723297073182801233/6653233, 169955428919695122/6653233, -432948887956757267/13306466], [27126612162155/46, -198688090595/46, 86226190535/23, -380727027390/23], [25013735/13306466, 32533579/13306466, 35589251/13306466, 1/6653233]], [[129894250344794635871410635/2, 549351932468249130217926855/2, -17474647859892440747706525, -78493243039064551259540990], [-7262566783715997775159261432008715/6653233, -6783204925656176466231404735342956/6653233, 4154465245575348349720002464373645/13306466, 1844830842476699882450273694052534/6653233], [6318277348398935750070310605/23, 5574322195248857754071897140/23, -1805591689712337819655934140/23, -1494094944284293717657313030/23], [20099558147876009813275/13306466, 14821074421495905470800/6653233, -6845031049500977822255/13306466, -8371460363791533296955/13306466]]], 1, 234, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[22, 41, -4, -11]], [ -143, -284, -4, 59 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7581/2, 228939/2, -186365, -25], [-862603101/578542, -26290311225/578542, 21381803983/289271, 440531/289271], [8, -4, -83/2, -19/2], [-26113/578542, -790791/578542, 1287313/578542, -1/578542]], [[-19867178567551, 63972946396908, 10586051371975/2, -34268732028327/2], [198298310745134275/25154, -319454953130176590/12577, -26415429610175661/12577, 85562074879670638/12577], [-6437231537/2, -6481320973, 1713571809/2, 1735514743], [2984052669880/12577, -19215860932159/25154, -1590027959221/25154, 5146730743839/25154]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, 0, 17/2, 3/2], [57/2, -125/2, 40, 47], [-7/2, -9/2, 3, 4], [0, 0, 0, 0]], [[-1539642035, 2543096307/2, 1898447727/2, 180439782], [-927400220935293959/13306466, 786314588992946270/6653233, 178083516865936157/6653233, -186995728147281112/6653233], [39076570332/23, 1663774707/23, 4174066932/23, 3853707945/23], [-15646747/13306466, -12940173/13306466, -18303594/6653233, -1/13306466]], [[239907551463392065633535/2, 8230894294567459974061, -29069339837330390415194, 2126609609161332542015/2], [27047011762760938517159730696198/6653233, -38415307427660356069695342787653/6653233, -13833049657747098580505050900383/13306466, 10435766251450715048281449196987/6653233], [-5508375308983289927082420/23, -6177066283723159105636785/23, 1567615062322396167897975/23, 1679950086970491350184765/23], [1991171761834721131622/6653233, 5414176923052518234621/13306466, -1329109682112536815985/13306466, -1464611092208006205333/13306466]]], 1, 234, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[8, 34, -2, -10]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-323/2, -1/2, -3/2, -1/2], [-171/2, 5/2, -9/2, -1/2], [-76, -3, 3, 0], [0, 0, 0, 0]], [[13762758476331/2, -255314725903/2, 154945179141/2, -126647813883/2], [3641935268418, -183539631700, 206154953380, -34552685177], [6478887939843/2, 111764537729/2, -257364728779/2, -57542444167/2], [6, 4, -20, -11]], [[-472068455950713038665/2, 707966707385372936488, 130705709906576360439/2, -190755693814153346929], [-259282052019278508031/2, 383125849452254427340, 72156106094082000981/2, -103332066040516790077], [-212786403931016666067/2, 324840857933994161712, 58549603812385487397/2, -87423627773893633935], [14409123/2, 30194916, -3754209/2, -8864727]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[315/2, -155/2, 5/2, 5/2], [1041/2, -67/2, 115/2, 27/2], [-33, -4, -5, -1], [0, 0, 0, 0]], [[-14962679191/2, 505546841, 1257859677/2, -2462790], [-1103029719639/46, -201481475050/23, -355026608635/46, -68656706451/23], [68989826483/46, 19373548883/23, 34905213435/46, 6236369000/23], [101/46, 125/23, 57/46, 2/23]], [[-314154000621040027592, 463957810623022556678, 87851463732147439916, -125836184321148445746], [-43038225251553964547363/46, 54157868073417054867475/46, 12261395255696368653897/46, -14504327023743390428675/46], [2598831004971248313977/46, -2983255374708191030621/46, -747293440278362052803/46, 792351148938719047797/46], [383802118144/23, 1730106973184/23, -85684983808/23, -510305829888/23]]], 0, 792, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[12, 11, -2, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[288, 10, 6, 5], [249/2, 9/2, 15/2, 5/2], [327/2, 11/2, -3/2, 5/2], [0, 0, 0, 0]], [[11067044966481155/2, -413703552430783/2, -150464086599361/2, -157834730508999/2], [2394757532736745, -83457741964454, 50613888305002, -44848197225062], [6277529901007607/2, -246788068501759/2, -251691863209249/2, -68138336058759/2], [-1, 2, 2, 2]], [[-1161114886176608679693962, -3247092199112092550669247, 317220260158859225427842, 1728841802588807354782937/2], [-507953812802322470514172, -1419180882496895748569207, 139122122345140603915312, 754986762834269112161487/2], [-653161073374294827006434, -1827911316615204712529481, 178098137813720061938354, 973855039754542551285923/2], [-297166436, -272773429, 49669856, 148574637/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[181/2, -33/2, 5/2, -5/2], [-1323, -33, 41, -8], [257/2, 3/2, -7/2, 1/2], [0, 0, 0, 0]], [[16715023366773/2, 353765947779/2, 256985585729, -85433401715/2], [-2768191475266760/23, -630789297004073/23, -407587135312069/46, -113039908962106/23], [269128567635240/23, 57714327764807/23, 38128042936243/46, 10187038620655/23], [-17/46, -71/46, -96/23, -5/46]], [[2011682028114856332537555, -476057919332163249371995, -517904998145756656050361, 123585826754226271089095], [-1328337518894521935595304493/46, 29772858383113319856556579/46, 343288638717109204599270067/46, -9717314054761697902461743/46], [129170444744698183409095993/46, -4697411151895774129634239/46, -33373842602938330859459007/46, 1400205644068823123306191/46], [-7392052902990/23, -6589893507400/23, 1220062436894/23, 1821968226470/23]]], 1, 132, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[15, 34, -5, -10]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-463/2, 11/2, -11/2, -5/2], [-80, 4, -3, -1], [-303/2, 3/2, -5/2, -3/2], [0, 0, 0, 0]], [[2471131060875839/2, 90939200692765/2, -34815285293752, -13465618409842], [854086008335879/2, 9342581621657/2, -7084191040142, -3661867110174], [808522526269980, 40798309535544, -55462188507195/2, -19607502599331/2], [0, -2, 5/2, 1/2]], [[-98964877034468681896880913/2, -185602314548555397012111601/2, 26345161667747296040020621/2, 24789018633633008408824374], [-33880913426800536586645633/2, -63489998673015243457233105/2, 9019690661838284601682933/2, 8478730327808005402058262], [-65083963607668037462422335/2, -122112315875539909014864501/2, 17325471005908975510937703/2, 16310288305824967033715142], [21569562589/2, 48908002799/2, -7185479997/2, -7194610194]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-135/2, 53/2, -7/2, -3/2], [2615/2, 53/2, 81/2, -3/2], [-125, 0, -4, 0], [0, 0, 0, 0]], [[-7414380076, 739785786, 420674041/2, -4987321], [6730282867027/46, 2103710556103/46, -9871482564/23, -240664725755/46], [-642849486405/46, -188152763589/46, 1337202682/23, 21857755203/46], [20/23, -14/23, -7/46, -1/23]], [[1888358808425557264, 3971756207962010260, -430233108411096532, -1037053571157437186], [-2125708536652578623701/46, -4367831952820937522635/46, 453269355249920528293/46, 1116642106182744832415/46], [201143003714239151895/46, 413684794267478828545/46, -43005461599312667215/46, -105849688175789700861/46], [-3146291000/23, -6972406700/23, 1117896500/23, 2072326750/23]]], 1, 132, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[24, 40, -4, -10]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-254, -2, -4, -2], [-275/2, 3/2, -9/2, -5/2], [-233/2, -7/2, 1/2, 1/2], [0, 0, 0, 0]], [[5188695368398505, -53088119749148, -46535868676724, -20731132595224], [5622038932472241/2, -160714843055793/2, 30018517131745/2, 27132548502501/2], [2377675902162407, 27269301778766, -61545127242654, -34297406846522], [9/2, 7/2, -23/2, -19/2]], [[853932225202455731770855329/2, 574432265840828592469031795, -228471729466018715409766447/2, -154556927582839514791409434], [461724628570721386759669129/2, 308690871983065202900038645, -123567520879970781294672727/2, -83077396754364042702786584], [392207596631735764986210325/2, 265741393857764572397516775, -104904208586048171732571195/2, -71479530828475768116174250], [283995004825/2, 236565704725, -47523495495/2, -59205510280]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-213/2, 119/2, 5/2, 1/2], [1527, 32, 63, 28], [-297/2, 5/2, -11/2, -5/2], [0, 0, 0, 0]], [[27030102277814, -619067962554, -761258708702, -349643001145], [-1056393763287803/2, -603766515215889/2, 750884473028193/2, 457713689777007/2], [100950360712983/2, 54775307208297/2, -68400635495061/2, -41673906889031/2], [3, -3, 1, 0]], [[27674924956963274287783/2, 25860079483442960498925, -3830059375989725439131/2, -6044533457342362236407], [-7896025303240176966163244/23, -26573346954287517816026033/46, 5924692708185386977494087/23, 11077473119208109345038243/46], [746753358203891497311370/23, 2523900964592489694989837/46, -542612581000809728177221/23, -1032320150749438990477831/46], [43655251783/46, 36635624025/23, -7149038831/46, -9086571857/23]]], 0, 792, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[12, 34, -4, -8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-343/2, -13/2, -3/2, -7/2], [-377/2, -13/2, -1/2, -3/2], [17, 0, -1, -2], [0, 0, 0, 0]], [[-1094954064209/2, -123695620264, 1658926184295/2, 410928099601], [-1158279251961/2, -122685700107, 1658971710207/2, 411118791432], [63325187689/2, -1009920178, -45525807/2, -190691831], [3/2, 1, -5/2, 0]], [[-906190663794330107/2, -29203359355374331047/2, -1185405625520176281/2, 7149260667023262367/2], [-487734406029864204, -16030300343700361860, -585858487653455220, 3962481298387370148], [69278147692998613/2, 2857241330404380057/2, -13688650020355305/2, -775701929370573713/2], [13628564, 38619348, -4593108, -9069148]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-126, 182, -2, 3], [-1119/2, 349/2, -19/2, 9/2], [-289/2, -5/2, -5/2, 1/2], [0, 0, 0, 0]], [[336234457850553, -842971436276297, -26214823636956, 217465386155084], [24926713582853509/46, -157665937798998481/46, -4201227384130057/46, 39897486978944135/46], [1576654753618356/23, -19814875288372725/23, -499224249469656/23, 4982346535968220/23], [75/46, -209/46, -77/46, -5/46]], [[3321518302974821132293065, 66459079615112288792476387/2, -2155027312846153441712087, -16663934651762565022582029/2], [2964675538546568600486904516/23, 15142595053621555857235588337/46, -844525828704768290544415174/23, -4001945961961592408245336047/46], [1925520411718339163793845673/46, 2269006037078349994483222905/23, -529973467006020033486832995/46, -603112577495030281279453771/23], [5751891997479/46, 8369919263949/23, -2148467590041/46, -1933365439311/23]]], 0, 792, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[13, 16, -5, -4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[252, 5, 7, -2], [153/2, 7/2, 5/2, -3/2], [351/2, 3/2, 9/2, -1/2], [0, 0, 0, 0]], [[-293537728265, 19745368231/2, 23702340961/2, -3776577485/2], [-89106930073, 1522627803/2, 6515658485/2, 701813079/2], [-204430798234, 18222740533/2, 17186682497/2, -4478390543/2], [2, -5/2, -1/2, -1/2]], [[3694132366786855911/2, 3338677686799367554, -499425745341525238, -1774704673198595183/2], [1135141954186381615/2, 1027384703943313108, -153600047153128400, -546061920900388015/2], [1279495206382556098, 4622585965914789279/2, -691651396440756379/2, -614321376174631247], [-3919950, -9651447/2, 3045843/2, 1215603]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-115/2, 1/2, 1/2, -3/2], [88, 2, 5, -6], [97/2, 1/2, 3/2, -3/2], [0, 0, 0, 0]], [[26727685113/2, 540645257/2, -266605988, 633748452], [-952756754093/46, -45090554733/46, 842809979/23, 14462141755/23], [-261248916457/23, -9587565183/23, 4649832351/46, -76049101/46], [-50/23, -37/23, -43/46, -1/46]], [[-15042989855352326061435/2, -11599800816109842808365/2, 5074914177080210526721/2, 1394614935802927138238], [547761691243766956648025/46, 413672030353650754681995/46, -212736108751111353586791/46, -40966253333907033546948/23], [297916816551908315405315/46, 226822480491106032054255/46, -109819710369829298176131/46, -24347465392865470622433/23], [72354719580165/46, 87353449783875/46, -28195729271039/46, -10726133159962/23]]], 1, 132, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[24, 51, -6, -13]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[28, -2, -5, 0], [175/2, 7/2, -5/2, 1/2], [-119/2, -11/2, -5/2, -1/2], [0, 0, 0, 0]], [[-4929527212687/2, 498906331243, 395104642332, -88587505647/2], [-7702000411725, 1376046244303/2, 380336595547/2, 10139282975], [10474473610679/2, -189116790877, 204936344548, -108866071681/2], [2, -3/2, 1/2, 2]], [[-736182203496797265959013/2, -1530909047890919410227525/2, 194664120210228547694731/2, 205542774409074374587670], [-2556842569188456946823057/2, -5278429830315221248685473/2, 666834485892259528376095/2, 708155252035697465332374], [1820660365679845321843349/2, 3747520782399190449377653/2, -472170365679072776434779/2, -502612477623421815463654], [562588524795/2, 1195780432395/2, -140866868885/2, -152441680050]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-185, 95, 3, 1], [-823/2, 187/2, 27/2, 5/2], [-151/2, -1/2, 7/2, 1/2], [0, 0, 0, 0]], [[31496948009503, 27947469160993/2, -9854318380039/2, -4918007271494], [1794176887209427/23, 2541253391682467/46, -1032099131556523/46, -464404517179163/23], [713164722007875/46, 316410266837409/23, -134241634800351/23, -234193566623811/46], [91/46, 50/23, 16/23, -3/46]], [[-30661802307980685270422, -70786676304476568267929, 9530224394710358017480, 36459365298533055103213/2], [-1924579131109269419782711/23, -4240962927676553495787859/23, 576245686530500061187670/23, 2235260555917236756519767/46], [-406452559351768206752070/23, -870956457578902416767679/23, 119016841819902687974250/23, 465565051361052168145695/46], [-65263752768/23, -138890492877/23, 16451808174/23, 70804047549/46]]], 1, 132, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[38, 66, -12, -18]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-43/2, 3/2, -3/2, -1/2], [-62, 2, -4, -2], [81/2, -1/2, 5/2, 3/2], [0, 0, 0, 0]], [[129933450337/2, -1900628080, -3525489239/2, -1908291841], [375573886113/2, 1592712327, -15012353763/2, -4713518052], [-122820217783, -6986680625/2, 5743432031, 5610452023/2], [-5, -9/2, 11, 19/2]], [[-383103944940967522594373, -1107916367303057805847001/2, 103295863158253244545048, 295715284221320980930425/2], [-1120610866202374486108521, -3279123183258984049168377/2, 301737548678008731112536, 875593431218017202877585/2], [737506920899732141328856, 2171206814699483059187707/2, -198441685405591509216701, -579878146654116870069915/2], [17222610580252, 59830627815889/2, -5436379873847, -16313302470345/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-82, -81, 4, -1], [49/2, -135/2, 11/2, -5/2], [71/2, 9/2, 1/2, -1/2], [0, 0, 0, 0]], [[258170601577, 76188461595/2, 88078035685, -120588160137/2], [-13569800518751/46, 11561759726934/23, 15957123624133/46, -5964186470516/23], [-4240941362690/23, 7123728294911/46, 1984255659303/23, -3051615085903/46], [-37/46, -59/23, 57/46, 2/23]], [[-535241999447371067/2, -1183025121782155575/2, 204707558402307683/2, 353689457171415327/2], [-2731692561060395891/46, 1102621034425358217/46, 1191889832593537695/46, 171638633759204951/46], [1596478898850615070/23, 4718699796258399038/23, -586064000021703942/23, -1327203144214926532/23], [41674511/23, 73282943/23, -13353509/23, -20276529/23]]], 0, 792, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[15, 33, -3, -9]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 9/2, 1/2, -2], [-27/2, 13/2, -3, -4], [7/2, -7, -1, 1/2], [0, 0, 0, 0]], [[-24281/2, -14035, -250205/2, 146689/2], [57329103/46, 137891105/46, -2644888/23, -41149321/46], [149385, -45264, -262338, 265305/2], [53/46, 41/23, -109/46, -1/23]], [[6739396, -64951027/2, -2026597, 17524379/2], [728601075/2, 1011411781/2, -97724520, -135823520], [-22901445/2, 112380093/2, 5371443/2, -29903013/2], [527/2, 279/2, -62, -31]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9/2, 2, 7/2, -1], [7, -15/2, 8, 11/2], [11/2, -3, 5/2, 0], [0, 0, 0, 0]], [[2367709/2, 856261/2, -1628839/2, 162045], [-56573199/23, -40887839/46, 8628030/23, 28317949/46], [-1553223, -1018222, -889893/2, 752204], [37/46, 49/46, 35/46, -2/23]], [[-85220785533/2, 14797512427/2, 6775961819, 503482207], [5160895968891/46, -965677837563/23, -776042211930/23, 650689747165/46], [78441602722, -15302439566, -58114517545/2, 16812156215/2], [-982044/23, -435240/23, 392796/23, 119124/23]]], 1, 40, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[16, 28, -4, -8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 1, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[-2, -2, 1, 2], [-1, -6, 26, 6], [-2, -2, 1, 2], [-2, -2, 1, 2]], [[-344250, -1266687/2, 94554, 338589/2], [565271, 1662079/2, -154876, -425449/2], [-344250, -1266687/2, 94554, 338589/2], [-344250, -1266687/2, 94554, 338589/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-18, 1, 1, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[77, 5, -3, 1], [-71068/23, -4846/23, 2972/23, -960/23], [231/23, 15/23, -9/23, 3/23], [77/23, 5/23, -3/23, 1/23]], [[-18049725/2, -15829575, 4851525/2, 4486875], [16676378645/46, 14625852666/23, -4496142897/46, -4141739257/23], [-54149175/46, -47488725/23, 14554575/46, 13460625/23], [-18049725/46, -15829575/23, 4851525/46, 4486875/23]]], 0, 48, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[16, 28, -4, -8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[11/2, 6, 5/2, 2], [-55/2, -3, 123/2, 20], [11/2, 6, 5/2, 2], [11/2, 6, 5/2, 2]], [[-34104960, -60348360, 8365800, 15952320], [41509347, 52923035, -15097203, -17273565], [-34104960, -60348360, 8365800, 15952320], [-34104960, -60348360, 8365800, 15952320]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9, 1, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[29/2, -117/2, -123/2, -5/2], [-25517/46, 111883/46, 117045/46, 4317/46], [87/46, -351/46, -369/46, -15/46], [29/46, -117/46, -123/46, -5/46]], [[-779496105/2, -672626950, 187720963/2, 189291564], [33311454955/2, 28989702378, -8020418913/2, -8150576545], [-101673405/2, -87733950, 24485343/2, 24690204], [-33891135/2, -29244650, 8161781/2, 8230068]]], 0, 48, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[4, 6, 0, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7/2, -3/2, 5/2, 1/2], [3, 4, -4, -1], [-7/2, -3/2, 5/2, 1/2], [3, 4, -4, -1]], [[-6526, 14056, 1757, -3765], [-837/2, -1543/2, 191/2, 411/2], [-6526, 14056, 1757, -3765], [-837/2, -1543/2, 191/2, 411/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, -13/2, 5/2, -3/2], [57, 79, -28, 17], [-5/2, -13/2, 5/2, -3/2], [0, 0, 0, 0]], [[-5361660, 464351, -197481, -239263], [723095877/23, 2604086855/23, 273686923/23, -635494703/23], [-123321720/23, 10678953/23, -4544703/23, -5503089/23], [177/23, 56/23, 132/23, 2/23]], [[16288714404571/2, 29862258340861/2, -4684866879879/2, -8039676733623/2], [-6244642719546631/46, -12135311786826545/46, 1765941086456163/46, 3268239400300883/46], [374655563184273/46, 686859872996343/46, -107756699419797/46, -184920149699109/46], [-756593957/46, -1396557827/46, 238059129/46, 379241289/46]]], 0, 20, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[12, 22, -4, -6]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, 5/2, -5/2, 1/2], [-2, 0, -2, -3], [-1/2, 5/2, -5/2, 1/2], [0, 0, 0, 0]], [[-289/2, 319/2, 65/2, -81/2], [390, 1117, -122, -312], [-289/2, 319/2, 65/2, -81/2], [0, 0, 0, 0]], [[3, 11/2, -1, -3/2], [3, 11/2, -1, -3/2], [3, 11/2, -1, -3/2], [3, 11/2, -1, -3/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 0, -4, -2], [-249, 0, 24, 11], [-2, 0, -4, -2], [0, 0, 0, 0]], [[72021449/2, -6108854, -3717793/2, -6140991], [63717291509/23, -49234469923/46, 7683952788/23, -12878245933/46], [1656488247/46, -140504712/23, -85512279/46, -141242823/23], [127/23, 107/46, 76/23, 3/46]], [[-127186604748585/2, -231719802837237/2, 37496945682981/2, 61942001303295/2], [-105599553873010990/23, -190459373401132473/23, 30366890243376044/23, 50008774625539190/23], [-2925278162070255/46, -5329529477978211/46, 862426547215443/46, 1424659448621385/46], [-343678680/23, -649681956/23, 80087328/23, 164533860/23]]], 0, 16, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[5, 11, -1, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, -3/2, 11, 7], [-2, 0, 21/2, 15/2], [0, 1, 3/2, 5/2], [-1/2, -1/2, 2, 2]], [[-15, -41/2, 4, 11/2], [-71/2, -153/2, 19/2, 41/2], [-41/2, -56, 11/2, 15], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5/2, 4, -33/2, 1], [185/2, 123/2, -49/2, 47/2], [4, -13/2, 1, -5/2], [0, 0, 0, 0]], [[-54942054, -223980371/2, 215495761/2, 1690295], [-442108442298/23, -1663896974171/46, 244331766179/46, 218012781694/23], [-5151549059/46, -2576467464/23, 38876691/23, 2527334539/46], [1/46, 19/23, -16/23, 3/46]], [[20068447255/2, 40456350393/2, -6086904537/2, -11387765477/2], [196843316485919/46, 379792542969871/46, -52595270876745/46, -101704195115905/46], [930496102649/46, 1706298401559/46, -261918618501/46, -461574302545/46], [-1295/46, -3325/46, 385/46, 945/46]]], 1, 4, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-16, -12, 4, 4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 16, 40, 16], [0, 0, 0, 0], [0, 2, 5, 2]], [[0, 0, 0, 0], [-4, -3, 1, 1], [0, 0, 0, 0], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, -8, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7250/23, 2202/23, -921/23, -314/23], [-440/23, 24/23, -88/23, -32/23], [55/23, -3/23, 11/23, 4/23]], [[0, 0, 0, 0], [-19103423430/23, -22822175129/23, 4121208874/23, 6082641360/23], [-1295585088/23, -1738976192/23, 267536320/23, 447036480/23], [161948136/23, 217372024/23, -33442040/23, -55879560/23]]], 0, 576, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[8, 28, 0, -8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 4, 10, 4], [0, 0, 0, 0], [0, 2, 5, 2]], [[0, 0, 0, 0], [2, 7, 0, -2], [0, 0, 0, 0], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, -6, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3460/23, -32603/23, -11939/23, -927/23], [51/23, 420/23, 162/23, 15/23], [17/23, 140/23, 54/23, 5/23]], [[0, 0, 0, 0], [-71957960/23, -156453023/23, 24105072/23, 39522720/23], [959364/23, 2063817/23, -315981/23, -523815/23], [319788/23, 687939/23, -105327/23, -174605/23]]], 0, 576, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[36, 76, -8, -20]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, -6, -15, -6], [0, 0, 0, 0], [0, 2, 5, 2]], [[0, 0, 0, 0], [9, 19, -2, -5], [0, 0, 0, 0], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7, 8, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-20416/23, 9774/23, -14795/23, 64/23], [-372/23, 150/23, -273/23, -9/23], [-124/23, 50/23, -91/23, -3/23]], [[0, 0, 0, 0], [-354531218736/23, -676047181058/23, 94618298931/23, 180685471245/23], [-6765928623/23, -12914856567/23, 1804146048/23, 3451470561/23], [-2255309541/23, -4304952189/23, 601382016/23, 1150490187/23]]], 0, 576, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[24, 40, -8, -12]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 16, 40, 16], [0, 0, 0, 0], [0, 2, 5, 2]], [[0, 0, 0, 0], [6, 10, -2, -3], [0, 0, 0, 0], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, 5, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13170/23, 503/23, 6773/23, -318/23], [-680/23, -80/23, 416/23, -16/23], [85/23, 10/23, -52/23, 2/23]], [[0, 0, 0, 0], [57032673100/23, 104577681858/23, -10064130796/23, -25494502665/23], [3112239008/23, 5784693664/23, -537499680/23, -1411358880/23], [-389029876/23, -723086708/23, 67187460/23, 176419860/23]]], 0, 576, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-16, -34, 4, 10]], [ -341, -655, 70, 184 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-35/2, -25/2, 111/2, 59/2], [-71/2, -41/2, 241/2, 119/2], [-35/2, -25/2, 111/2, 59/2], [0, 0, 0, 0]], [[157039/2, 277031/2, -63335/2, -84641/2], [194753/2, 289351/2, -109189/2, -93527/2], [157039/2, 277031/2, -63335/2, -84641/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-746763951/289271, -4479284984/289271, 415301769/578542, 2177905185/578542], [133/2, 399, -37/2, -97], [-8631/578542, -51771/578542, 1200/289271, 6293/289271]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 4, 11, 4], [-347, -57, -138, -47], [0, 4, 11, 4], [0, 0, 0, 0]], [[-1644557226, -31872581, -11275979, 69371588], [6742049764546325232/6653233, -11384655744628304001/6653233, -3226320248359747897/13306466, 5940261352745294323/13306466], [-76479364303/46, -540946494/23, -206344851/46, 1595546571/23], [-41518595/13306466, 19227113/13306466, 7814776/6653233, 1/6653233]], [[-404752072871992023633/2, -1374219979192972487667/2, 179683049799234353619/2, 349250045042269121829/2], [-900595631851306429381128312373/13306466, 2817440786118168451535853468767/13306466, 206320081845946146120537335181/13306466, -738855549120304522514734035677/13306466], [-9351925873212348552659/46, -31872392993107723032041/46, 4141819694554126121537/46, 8097311409715919949467/46], [-1066526654405617925/6653233, -6638453066039791425/6653233, 227914420572075575/6653233, 1615254229996857125/6653233]]], 0, 144, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-12, -26, 4, 6]], [ -143, -284, -4, 59 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, -6, -24, -9], [-5, -6, -12, -8], [2, -6, -24, -9], [0, 0, 0, 0]], [[-75771/2, -135675/2, 40077/2, 46287/2], [-136491/2, -125555/2, 50197/2, 41227/2], [-75771/2, -135675/2, 40077/2, 46287/2], [0, 0, 0, 0]], [[-8907/2, -40583/2, 1739/2, 11875/2], [-1177327905/578542, -2682153461/289271, 114920018/289271, 1569656451/578542], [5465/2, 12450, -1067/2, -3643], [12139/578542, 55309/578542, -1185/289271, -8092/289271]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13/2, 3/2, 73/2, 37/2], [-225/2, 45/2, 947/2, 481/2], [-13/2, 3/2, 73/2, 37/2], [0, 0, 0, 0]], [[-93449/2, -2450341/2, -1300985/2, -38689/2], [-252160360486005/6653233, 2683946131109406/6653233, 2559460482101159/13306466, -170982127894071/13306466], [12715939/23, -825187735/46, -215655572/23, -889859/46], [1605061/13306466, -22370583/6653233, -11679174/6653233, -5/13306466]], [[78392171635113/2, 181582180390467/2, -88048473953259/2, -15224779537197/2], [-100702442207733767472587/13306466, -367179176023375038540117/13306466, 121505744897606587129981/13306466, 51782915270862519364829/13306466], [20697943464777937/46, 59218655198973249/46, -22755506778379541/46, -7366663798804605/46], [549784182281611/6653233, 1601560383223063/6653233, -603191113072310/6653233, -204158090466311/6653233]]], 0, 144, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[28, 42, -12, -10]], [ -341, -655, 70, 184 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-39/2, -9/2, -1/2, -3/2], [-5/2, -31/2, -31/2, 5/2], [-39/2, -9/2, -1/2, -3/2], [0, 0, 0, 0]], [[2353495/2, 1980555/2, -584205/2, -648875/2], [-490073335505/289271, 446706549421/578542, 465572317956/289271, -772893444511/578542], [1399065, 1067535, -280285, -324440], [-5769007/578542, -1003040/289271, -307107/578542, -2/289271]], [[-13254685791515825, -22550322829305820, 3349545682350195, 5909809636085730], [272273604276839371133/25154, 163379765293002904143/12577, -60712367945650036901/12577, -129721457674320663713/25154], [-15695056374860300, -52451091591803495/2, 4290066585969615, 14073124003631265/2], [1376798364005454/12577, 4147132831818525/25154, -1061339167333881/25154, -635739755626971/12577]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[49/2, -9/2, -1/2, 5/2], [113/2, 173/2, 33/2, -69/2], [49/2, -9/2, -1/2, 5/2], [0, 0, 0, 0]], [[602170074948, -17178821049, -10608332826, 16898111139], [9279605154496544967/6653233, 16019247032270906396/6653233, 4517057877853666766/6653233, -7232679880854059986/6653233], [13851698624264/23, -394799021062/23, -243933667263/23, 388656556267/23], [35793183/6653233, 6286940/6653233, 1161543/6653233, 1/6653233]], [[195630227594039476504461, 275816641608386559697419, -64507338360485552910729, -76023155587360917893295], [5281940373250670542146059118211/6653233, 9389422383603889293743197194617/6653233, -3751937042434028156748122303811/13306466, -4681877816330197359427351879957/13306466], [9000259576067994712376411/46, 6344727249586027796633877/23, -2967766030884345015051849/46, -1748796336322123148698220/23], [25421317162796027999/13306466, 37838020775343710467/13306466, -4291277091456612446/6653233, -5283298772610694281/6653233]]], 0, 3744, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[44, 82, -8, -22]], [ -143, -284, -4, 59 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[143/2, 51/2, -589/2, -297/2], [155/2, 63/2, -603/2, -303/2], [143/2, 51/2, -589/2, -297/2], [0, 0, 0, 0]], [[-2332641/2, 439985/2, -1475331/2, -402443/2], [-138295985931/289271, 38101782892/289271, -302604082143/578542, -112417114309/578542], [4130980, -249625/2, 837765, -402415/2], [3549591/578542, -115533/289271, 527834/289271, 3/578542]], [[50379591535918710, -97407123071995374, -13501760302319174, 26101515896325258], [6628281355960636329037/289271, -12815467795986511983078/289271, -1776373714440294493182/289271, 3434068876737602765079/289271], [-154543086971956830, 298825490483663130, 41417733618193630, -80074227259328550], [-68657078658818808/289271, 132753357332610588/289271, 18400169519591244/289271, -35573009131253400/289271]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-105/2, -73/2, 347/2, 187/2], [-947/2, -953/2, 4521/2, 2423/2], [-105/2, -73/2, 347/2, 187/2], [0, 0, 0, 0]], [[-281685105, 6985230, 4860477, -5583119], [5054241130861842897/13306466, -4852829031322385566/6653233, -1350362853588262157/13306466, 1297159464542778934/6653233], [-15420532455/46, -783809327/46, -68075827/46, -256823577/46], [42443484/6653233, 38087933/13306466, 5025941/6653233, 5/13306466]], [[-80820865667379663454847/2, -89868874633014193255219/2, 27264761898059830521265/2, 22804385592004591749691/2], [135836374929773142426457689305276/6653233, -256155796832010971267397441512322/6653233, -73223070435586978440760282188465/13306466, 137581754638212564450752051639823/13306466], [-1138188888323396641737335/23, -2640504982732449050915435/46, 383214475221992590125285/23, 679894446686766191510005/46], [14388907982421736863029/13306466, 9883093359499639843627/6653233, -2401140412375721940154/6653233, -5355583301264285510407/13306466]]], 0, 3744, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[16, 68, -4, -20]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [171, 0, 1, 3], [53, 1, 3, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 22, 55, 22], [0, -8, -20, -8], [0, 2, 5, 2]], [[0, 0, 0, 0], [-576999068, -2492700260, 142527497, 723078266], [-182881409, -786581856, 40787630, 231487363], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1879, 61, 73, -14], [166, 0, 0, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [44986723410701/23, 88823153943833/23, -12284112118771/23, -23668205431534/23], [-4092962930028/23, -8074831151745/23, 1116794171267/23, 2151729084726/23], [-17/23, -2/23, -169/23, -5/23]], [[0, 0, 0, 0], [67430424488891227130/23, 129058670781207311059/23, -18079918551271044947/23, -34575460437899644486/23], [-6131598535494450990/23, -11739532869326960279/23, 1644037259477065587/23, 3145098202703855746/23], [-32049267/23, -135744318/23, 8310303/23, 40231527/23]]], 0, 12672, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[48, 80, -8, -20]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, -2, -4, -5], [45, 5, -2, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 16, 40, 16], [0, -4, -10, -4], [0, 2, 5, 2]], [[0, 0, 0, 0], [5054596, 8631344, -216284, -2608196], [34278021, 58939902, -9467598, -16097262], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1215, -31, 36, -29], [-110, 4, -3, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-49098834444643/23, 119432871942522/23, 12944544678673/23, -31568236739134/23], [4474964226745/23, -10857096697964/23, -1176878943101/23, 2870103544378/23], [72/23, 14/23, 84/23, 1/23]], [[0, 0, 0, 0], [41301000401748463688706/23, 1180316670447210593938699/23, -10482617662670501445496/23, -315209627901650488730280/23], [-3404219686776247747497/23, -106739289389007938333426/23, 868354226019742176695/23, 28507980752521229947065/23], [2968213688829/23, 4946211879969/23, -494652221001/23, -1237228290345/23]]], 0, 12672, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[24, 68, -8, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-116, 0, -2, -1], [60, -2, 2, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, -6, -15, -6], [0, 12, 30, 12], [0, 2, 5, 2]], [[0, 0, 0, 0], [-166726096416, -454374670464, 72730787184, 101511815328], [83281525936, 235827045188, -28295256899, -55736551430], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, 12, -5, 9], [-23, -3, -2, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [1648169/23, -3713124/23, -898396/23, -925645/23], [6838358/23, 1512151/23, -446895/23, -179337/23], [52/23, -71/23, -215/23, -5/23]], [[0, 0, 0, 0], [6937820365775800/23, -57951714348016406/23, -4246454185820836/23, 16165882243090545/23], [168758113472184304/23, 205356225556845848/23, -45494008569390464/23, -54621006616389888/23], [-640442242440/23, -1833422534944/23, 223324309208/23, 428973096552/23]]], 0, 12672, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[76, 132, -24, -36]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [47, 4, 2, -3], [110, 1, 1, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, -6, -15, -6], [0, 12, 30, 12], [0, 2, 5, 2]], [[0, 0, 0, 0], [139258785120, 241806172426, -44359981393, -66543932182], [313385395848, 540811159608, -99634285560, -149319255864], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [108, 163, -22, 3], [30, 4, -5, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [353788269585/23, 1091114621890/23, 316617110188/23, -406907202872/23], [25803645756/23, 272194332864/23, -5591392968/23, -68440929117/23], [76/23, 36/23, -63/23, -2/23]], [[0, 0, 0, 0], [37709902495279745641/23, 74603421260913507843/23, -8775796518364448834/23, -19976823260681757551/23], [5894767677699968342/23, 12957869232357766306/23, -1551462012970998188/23, -3449692906091358258/23], [3337546236/23, 5771277776/23, -1052622536/23, -1567157446/23]]], 0, 12672, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[4, 8, 4, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [1, 2, 1, 0], [0, 0, 0, 0], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-33908/23, 18172/23, 6471/23, 1454/23], [204/23, -114/23, -42/23, -9/23], [68/23, -38/23, -14/23, -3/23]], [[0, 0, 0, 0], [402260015, 742830252, -129085901, -203793744], [-2366460, -4360680, 771660, 1201980], [-788820, -1453560, 257220, 400660]]], 0, 160, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[4, 8, 4, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, -5, 21, 8], [-1, -1, 10, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [385497, 644409, -91350, -168606], [-195684, -147752, 58696, 40572], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-52, 98, 213, 63], [2, 9, 19, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-440596947332/23, 1162774474861/23, 171195642467/23, -274025686654/23], [31552997092/23, 3890000022/23, -3598211150/23, 2709438694/23], [-86/23, 21/23, -8/23, -5/23]], [[0, 0, 0, 0], [-34942630870375731/23, -78728127254213025/23, 13370528143470402/23, 21106312218913149/23], [-7494891159631140/23, -13830067759567130/23, 2448235334317600/23, 3678912190728730/23], [16714584/23, 33060100/23, -1640093/23, -10822946/23]]], 0, 96, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[10, 22, -2, -6]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, 4, 5, 0], [5, 0, 25, 14], [-3, 4, 5, 0], [0, 0, 0, 0]], [[795393, -550126, -377395, 265523], [13136893/2, 35949977/2, -2845159/2, -9418411/2], [795393, -550126, -377395, 265523], [-9/2, -1/2, 1/2, -1/2]], [[-23043490899, -111320547747/2, 4057034026, 31864934007/2], [-876171367091, -3334256215783/2, 234808285725, 892046640463/2], [-23043490899, -111320547747/2, 4057034026, 31864934007/2], [262944, 1104481/2, -65487, -296393/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -2, 0, 0], [116, 21, -4, -7], [-4, -2, 0, 0], [0, 0, 0, 0]], [[-31777/2, -5313, 29563/2, 7664], [5446790/23, 4005535/46, 9440313/23, -18582879/46], [-727031/46, -123529/23, 679429/46, 176282/23], [-96/23, 133/46, 13/23, -1/46]], [[-14240190205711/2, -14660597824749, 2116721283887/2, 3527229216259], [7773931845078893/46, 8516846272515976/23, -294381975929873/46, -2521107030432995/23], [-326333430126413/46, -335885671477047/23, 48440339122861/46, 80771838624057/23], [-59547230247/46, -65403924609/23, 12212520327/46, 17721667495/23]]], 0, 16, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[10, 22, -2, -6]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, -5/2, -7/2, 3/2], [-2, 11, 0, 2], [-1/2, -5/2, -7/2, 3/2], [0, 0, 0, 0]], [[-9723/2, 31005, -907/2, -7446], [-503629/2, 454793, 128831/2, -120027], [-9723/2, 31005, -907/2, -7446], [5/2, -3, 5/2, 2]], [[-157291200, -289729510, 42622836, 77343154], [160391150, 623091923, -41756652, -167360675], [-157291200, -289729510, 42622836, 77343154], [-28884, -57942, 10092, 16878]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11/2, 1/2, -1/2, -5/2], [-172, -8, -5, 22], [-11/2, 1/2, -1/2, -5/2], [0, 0, 0, 0]], [[17652894426, 235044809, 199884353, 117929071], [13989552398281/23, -328562972750/23, -5444620696154/23, 1088260038084/23], [406016571038/23, 5406028867/23, 4597340059/23, 2712368653/23], [38/23, 87/23, 3/23, -1/23]], [[-476942838565133141/2, -67095889755873514, 133551437461920473/2, 15230026561724859], [-334008978131143708687/46, -45495527657571959399/23, 82903564546724628875/46, 13840805229774071125/23], [-10969685263271049423/46, -1543205438269570902/23, 3071683056854585499/46, 350290603779417657/23], [-1186350641/46, -1305775996/23, 238479269/46, 357012705/23]]], 0, 16, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[2, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-15/2, 5/2, 9, -2], [6, 3/2, -1/2, 1], [-15/2, 5/2, 9, -2], [6, 3/2, -1/2, 1]], [[13264477, -30759031/2, -12248679/2, 4657637], [-24068421/2, 17317987/2, 2864744, -2819030], [13264477, -30759031/2, -12248679/2, 4657637], [-24068421/2, 17317987/2, 2864744, -2819030]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5/2, -1/2, 5/2, 3/2], [-153, 9, -34, -14], [5/2, -1/2, 5/2, 3/2], [0, 0, 0, 0]], [[2354270607/2, -58247621, -285965301/2, -41052313], [-1346926443951/23, 87279104375/46, 27541719080/23, 296601985309/46], [54148228901/46, -1339695010/23, -6577205719/46, -944203264/23], [95/23, 21/46, -73/23, -5/46]], [[-17551995559050533/2, 798137294867227, 3216800500423965, -192122497774095/2], [10299747287102073690/23, -1070314128819767112/23, -7394410448796112621/46, 1107788842262531271/46], [-403695920241024943/46, 18357157781248979/23, 73986402502430418/23, -4418826945937467/46], [-430439667/23, -26817/23, -692870829/46, -365274357/46]]], 1, 6, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[2, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 5/2, 4, 1/2], [-3, 7/2, 4, 1/2], [-2, 1/2, 0, 1/2], [5, -1/2, 0, 1/2]], [[51703/2, 45955/2, -21811/2, -24205/2], [-11017/2, 14363, -8531/2, -7399], [-8050, -897, -920, 1081], [23310, 15435/2, -7560, -7245/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, 4, 3/2, 2], [67/2, -51/2, -25/2, 5/2], [4, 7/2, 2, -1/2], [0, 0, 0, 0]], [[-430538655/2, 3957104950, 1448453549/2, -46749961], [1804517322443/46, -1201486543333/23, -544909164387/46, 288719512043/23], [182026823075/46, -3147568990/23, -2150498073/46, 4951196197/23], [145/46, 110/23, 29/46, -1/23]], [[1441402680757792, -3499412065911096, -720184144096456, 1005242337676432], [-1106774479424844859/23, 2025146253090625879/23, 306255871066054007/23, -543849706433226926/23], [-80486477593714264/23, 116044813874600832/23, 23120573761573392/23, -33152262297998664/23], [-27883088/23, -256096/23, 233624/23, 247192/23]]], 1, 8, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-32, -24, 8, 8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [236, 42, 83, 101], [-21, -2, -4, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [1699722399987, 537265928646, 1710484689630, -932840155431], [-186325337632, -4637376352, 4071670624, 6381237856], [-3, 0, 2, 3]], [[0, 0, 0, 0], [-60979469817393143883, -66891593455372625928, 13215215432207080029, 19269110135522418546], [5136836119129106112, 5110347893167800416, -1318463991263071520, -1384106469485607168], [62225010, 45533070, -15963750, -15526350]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-106, 146, 123, 11], [-6, -1, -3, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [4488121111/23, -9582412946/23, -1694323964/23, 2342946001/23], [784085550/23, 871964254/23, -131910860/23, -241940260/23], [40/23, 2/23, 215/23, 5/23]], [[0, 0, 0, 0], [1606620748569170/23, -88147374436041653/23, -602947739698652/23, 23534949305317353/23], [43670129270142790/23, 80894021082344640/23, -11681937221782908/23, -21673911963032474/23], [3885775440/23, 6529016760/23, -979723464/23, -1736995632/23]]], 0, 9216, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[16, 56, 0, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [396, 9, -58, -57], [-2, 0, -4, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6694075586099, 2440816524289, 2141176650632, -802886593562], [47673668178, 92418789, 230578660, -125459617], [-3, 2, 4, -1]], [[0, 0, 0, 0], [44676678655456572441, 114167297164042207752, -11718750370583452782, -30708029179896877971], [-454365433041877665, -1054702299703917360, 129531016527960630, 281489984423797875], [7405944, 26356328, 61912, -7598544]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-211, -249, -1, 5], [14, 1, 2, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-14149997895544/23, -25765835809433/23, -8287323475463/23, 8125708526408/23], [1109911404619/23, 516293430970/23, -458341328761/23, 178354080828/23], [1/23, 38/23, 60/23, 3/23]], [[0, 0, 0, 0], [-10974295910653751664, 2552046563840637992, 3614079661917605857, -1051358038955034053], [1208296664551260666, -1527435299951829244, -285892865428851631, 390549144697813329], [2263280, 20092640, -2112800, -4437360]]], 0, 9216, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[72, 152, -16, -40]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-32, -60, -65, -33], [3, 3, 4, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [73988868, 90297100, 8628687, -26187321], [-7021600, -2963220, 668624, 648712], [5, 0, -2, -3]], [[0, 0, 0, 0], [-18746765316622494, -36837651326430107, 5063853807707848, 9938413464180593], [1286147517304020, 2585061288344640, -348528489776320, -696035908965880], [-608251512, -1281182936, 133285724, 335351324]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-123, 42, 47, 34], [11, -1, 3, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [645656562782/23, 361771616115/23, -709442801993/23, -123097827390/23], [-57742857791/23, -56762452142/23, 9187117586/23, -3581869537/23], [-325/23, -37/23, -61/23, -1/23]], [[0, 0, 0, 0], [7788480642851377129/23, 17803986931548363938/23, -2051192910122431937/23, -5047546346142894174/23], [-1083421842999115991/23, -2349466074015906037/23, 254555502578934340/23, 629287070613534386/23], [-4115486165/23, -10926735183/23, 1105378932/23, 2851947406/23]]], 0, 9216, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[48, 80, -16, -24]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-102, -54, 37, -41], [3, 3, -2, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [23588362, -21249425, -4020445, 6318910], [-387719, -65347, -2951, -5787], [-3, 0, -4, -5]], [[0, 0, 0, 0], [265834857144470, 313780901474680, -73002599803745, -84682224478005], [-7885480220875, -13038021022750, 2193652571250, 3517630818625], [-88947173, -149710187, 28554383, 43947817]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-46, -381, -90, 31], [12, 2, 4, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3955165124516/23, -1729548555203/23, -5763581568880/23, -3028070816211/23], [-41748324336/23, 807296532446/23, 10445160479/23, -200595856541/23], [-114/23, -54/23, 37/23, 3/23]], [[0, 0, 0, 0], [-79918997293046350322/23, -109818780875829842102/23, 93759512219697530507/23, 66819919645381327265/23], [2482165240691627300/23, 6285803172778202256/23, -801979550064079898/23, -1776827245848787730/23], [-1154833636/23, -1935610524/23, 373829575/23, 571930621/23]]], 0, 9216, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-32, -68, 8, 20]], [ -341, -655, 70, 184 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-163, -83, 611, 311], [-165, -80, 629, 324], [0, 0, 0, 0]], [[0, 0, 0, 0], [-436663483461/289271, 120218400703/578542, -51135716594/289271, -25502322209/578542], [81743/2, -72733/2, -162343/2, -69537/2], [-2557022/289271, 674381/578542, -155783/289271, -5/578542]], [[0, 0, 0, 0], [-20258121537017889175979/578542, 39140796869880058568983/578542, 5426650134505565123663/578542, -10486969632508149307137/578542], [903116132368040, -1744689910407127, -241921477510357, 467453315560965], [-117116190701924073/578542, 226280572706309935/578542, 31372481744837849/578542, -60627188475312701/578542]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-168, 45, 1357, 664], [15, -2, -80, -39], [0, 0, 0, 0]], [[0, 0, 0, 0], [-288787857900608263/6653233, 553320545854939238/6653233, 75256275813546932/6653233, -147950909473050743/6653233], [-1292034967/23, 164019596/23, -317033745/23, 3058746/23], [-55752882/6653233, 7019526/6653233, -14468009/6653233, -1/6653233]], [[0, 0, 0, 0], [6857891481672598961918605643/13306466, -6774145755723922201246076057/6653233, -1832979772075480577980105739/13306466, 1811604003129412194720034410/6653233], [-17995737780740959655/46, -106997993929970409285/46, 5644698933092839887/46, 26489054172282172385/46], [-781372976356991607/13306466, -2317349915331449678/6653233, 243372494625313741/13306466, 572619662570026565/6653233]]], 0, 2304, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-24, -52, 8, 12]], [ -143, -284, -4, 59 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-49, -36, 153, 78], [-55, -33, 195, 103], [0, 0, 0, 0]], [[0, 0, 0, 0], [1069151989025/578542, 1016734753822/289271, -2175800999359/578542, -687178427354/289271], [3333647/2, 2484291/2, -8771975/2, -4903987/2], [-183805/289271, 1098879/578542, -238563/289271, -3/578542]], [[0, 0, 0, 0], [-46915399747977547/289271, 120447396495352777/289271, 12652477030345268/289271, -32308142497941366/289271], [63968314987, -88387189355, -17185074302, 23742571272], [-154331113360/289271, 299648780450/289271, 41647952020/289271, -80443365050/289271]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2140, 904, -8979, -4579], [172, 69, -691, -352], [0, 0, 0, 0]], [[0, 0, 0, 0], [2031529341541755761/13306466, -1930378655611833870/6653233, -531315238223478389/13306466, 515313326766114111/6653233], [6856867285/46, 1134376617/46, -568866063/46, -207142055/46], [8809709/6653233, 26979225/13306466, -11650361/6653233, -1/13306466]], [[0, 0, 0, 0], [20818464662814610833896727595/6653233, -40034854106597684457654543764/6653233, -5578621195979927798813571872/6653233, 10729797932324552051542066627/6653233], [44235393897269832451/23, -46114713853168615174/23, -11403412168131504025/23, 12729548571177301594/23], [20844785555163404/6653233, 97894558800338221/6653233, -3355832611063631/6653233, -29305341504797442/6653233]]], 0, 2304, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[56, 84, -24, -20]], [ -341, -655, 70, 184 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12, -43, -7, -2], [-10, -40, -5, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-336286192254/289271, 335368238347/289271, -121906659653/289271, -98630803997/289271], [-119521, 1192025, -19325, -362161], [-1659205/289271, 77022/289271, -583001/289271, -1/289271]], [[0, 0, 0, 0], [-16717317807119202701681/578542, -29042616684311229211392/289271, 5026498621441121396099/578542, 7999120974464612251400/289271], [57903903527903525/2, 78088279199099177/2, -15086400439311137/2, -20725890112601433/2], [-174804602832703425/578542, -214071335401239925/289271, 49029912818644525/578542, 58340897785325225/289271]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-296, -494, -13, -31], [28, 29, 1, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [3425957942763, 4965176756236, 1234941446218, -1555314888075], [-470674078107, -15527435358, 8364063078, 5417853105], [4, 0, 0, 0]], [[0, 0, 0, 0], [15912039746193263383340715024697/13306466, 14153658692740523611472188178068/6653233, -5707526012449443784868299507033/13306466, -3931937693546308405653472712326/6653233], [-4640591201393807541343903/46, -6878496198780196358874653/46, 1546101734665770663641353/46, 1924532326403004730921619/46], [11345952385483435353/13306466, 8331530496399796713/6653233, -3845920250381310303/13306466, -2343949732447695837/6653233]]], 0, 59904, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[88, 164, -16, -44]], [ -143, -284, -4, 59 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [817, 410, -3084, -1587], [820, 416, -3079, -1589], [0, 0, 0, 0]], [[0, 0, 0, 0], [-158872240705467/578542, -94400243033107/578542, 560639711868623/578542, 293063126448541/578542], [-266856171, -150917830, 965666150, 503000206], [-1761739/578542, 366293/578542, 708771/578542, -1/578542]], [[0, 0, 0, 0], [558814206307225849247/25154, -531288274439925217658/12577, -149194069882957751785/25154, 142237278060939917341/12577], [-14420869596327145/2, 28622370392658795/2, 3883586514482605/2, -7676476236523195/2], [1130188517609364/12577, -4365315908119611/25154, -302817898973196/12577, 1169667149825673/25154]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2303, -737, 10118, 5150], [-183, -57, 778, 396], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9644549874274319723/6653233, 36662886866925366131/13306466, 2555154076427816403/6653233, -9822005822487309809/13306466], [-73420193331/46, 527245397/46, 1897657427/46, 1507470733/46], [-42627289/13306466, 7385819/6653233, -6710859/13306466, -2/6653233]], [[0, 0, 0, 0], [-93055621766484501367626865189861/6653233, 156225255651413226090511658642870/6653233, 25157119409436562763266106410555/6653233, -41816292341382229362901165507754/6653233], [-1641533037117846272833352/23, -2444159250827133571035000/23, 504327789641174448126200/23, 664054728603805936872392/23], [-877149003942738883680/6653233, -1169928891741089312280/6653233, 293340888179473169200/6653233, 313860236944510720680/6653233]]], 0, 59904, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[32, 136, -8, -40]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-257, 2, -7, -4], [-197, -5, -5, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [1992431590992, 109798860491, -28891844113, -57837913000], [1529155894846, 134574763680, -29427509702, -46183723452], [-10, -3, -1, 0]], [[0, 0, 0, 0], [-337716788196917577, -1842221974496619689, 53014254423083476, 535763968749115604], [-272209490942009555, -1419904127013862597, 48090354042845564, 411553211271462348], [2427152, 9951760, -679952, -2915640]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1983, -42, -5, 22], [164, 4, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [2440198462361616/23, -357267952928160/23, -68640204362162/23, 8654461505386/23], [-201761122237267/23, 28898459680009/23, 6089319944568/23, -557475710082/23], [22/23, -130/23, -129/23, -3/23]], [[0, 0, 0, 0], [143964495864205251468317/23, 85471558166221422407677/23, -36517710644840391271408/23, -24586042529084075827966/23], [-11903860096131816815116/23, -7098560880579168888327/23, 3020511271561203096138/23, 2040199962499223893483/23], [-2347554965/23, -8656668300/23, 734056260/23, 2556411095/23]]], 0, 202752, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[96, 160, -16, -40]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [400, -5, 5, 0], [167, -3, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [2537492263136976, 39089144329276, -12803405931655, 11774941153791], [1059763410723058, 10378684773628, -20138588380808, -7429329176454], [7, 2, 4, 3]], [[0, 0, 0, 0], [-113039879644136750086178020, -168430853639840418261490355, 34175265195507303012479555, 41329151096807206594798890], [-46933100955875497908005604, -69674401280110264217916082, 14409588940638528909905542, 17077476253353897938189452], [-392408141838, -653764124199, 65611803069, 163608492474]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1181, 4, -34, -1], [102, -3, 3, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10552268161/23, -5363538903/23, -31513994517/23, 16425552395/23], [-950249771/23, 487983693/23, 2864674767/23, -1493246629/23], [403/23, 56/23, 129/23, 4/23]], [[0, 0, 0, 0], [604250940540950411416/23, 461392970302598057049/23, -850114724335336554857/23, 241119343365269381840/23], [-52777119090731029717/23, -38466287390780608958/23, 76802406461801880049/23, -22827223759132552122/23], [107062485860175/23, 178007987539887/23, -17901432846540/23, -44618896232286/23]]], 0, 202752, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[48, 136, -16, -32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-191, 4, 0, -7], [-107, 1, -2, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9049197209706, -239140808211, -203955447453, 355801770260], [-5070149118102, -199870977006, -208587016608, 218219547836], [-7, 0, 2, -1]], [[0, 0, 0, 0], [53857971795812035064013, 168788755281018371425080, -3736245766112992937037, -47960010363694193643080], [30526597695138587230764, 95427936822124159050162, -1824900691714314246642, -27164000250446833898060], [42050368412, 119188221360, -14042672956, -28046520580]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [658, 396, 59, -71], [-38, 1, -3, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4713300327801820/23, -16722915487822399/23, 435466869001064/23, 3957475632030709/23], [138673245169303/23, 874430336919641/23, -33935809197948/23, -220469886486986/23], [-147/23, -89/23, -126/23, -4/23]], [[0, 0, 0, 0], [2499730294609815631078742605/23, 3978595544443492301606638494/23, -647501434831630344563227037/23, -1061904279791788252250193128/23], [-117383750679108339158879966/23, -155725329683671655970545654/23, 30293205850295042803107564/23, 42071066264624624138172084/23], [33072643799488/23, 94489049628960/23, -11387543316704/23, -22139191435064/23]]], 0, 202752, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[152, 264, -48, -72]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-58, -6, 0, 6], [88, -1, 4, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2764353226985, -202889904777, -60288656388, 366557418762], [4299581175871, -154353178464, -98376319677, 29026758204], [-8, 1, -1, 2]], [[0, 0, 0, 0], [-128227588912574728531217, -229961258451290798008029, 33602736702788332683506, 60178100463610662321008], [188284324736403649988023, 338612455581274952329707, -42023188723883524673254, -85563843374444561581312], [-346536639288, -602059805592, 109345309080, 164237991456]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-531, -112, -37, 38], [28, -2, 2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-523633104/23, -10905544977/23, 26382018/23, 2694334239/23], [-12377363/23, 575776267/23, -962620/23, -144007638/23], [-215/23, -74/23, -20/23, -1/23]], [[0, 0, 0, 0], [-13133414879714203248/23, -27952520590025045475/23, 3569920640095254291/23, 7588071059176449596/23], [590907145360817466/23, 1301578333758392262/23, -156575570101183271/23, -353164960608024413/23], [-651693298767/23, -1144166703570/23, 208166180837/23, 315703870446/23]]], 0, 202752, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[48, 88, -16, -24]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, 1, 3, -1], [49, 15, -205, -101], [0, 0, 0, 0]], [[0, 0, 0, 0], [1433037, -2310655, -195498, 522450], [-193163, -1022002, -245855, 287984], [-7, -3, 4, -4]], [[0, 0, 0, 0], [-1392113637, 15751042566, 384226447, -4226667296], [-10295405314, -18178879038, 2807895926, 4906892474], [-99006, -218496, 28450, 59176]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [97, -128, -1157, -560], [15, -11, -105, -51], [0, 0, 0, 0]], [[0, 0, 0, 0], [1414256128238/23, -2410631382836/23, -358023985203/23, 650427426515/23], [12645655253/23, -1574142762/23, -896214127/23, 512172714/23], [268/23, 110/23, 49/23, -1/23]], [[0, 0, 0, 0], [-303727443176013380/23, -253001784453396205/23, 87743582180350450/23, 67994413790163747/23], [-16409217082592528/23, -29422238721452100/23, 5266273486195542/23, 7748283003680854/23], [-473239550/23, -864771460/23, 162898960/23, 233776788/23]]], 0, 1536, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[48, 88, -16, -24]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [15, 27, -51, -29], [-8, 0, -2, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1365677, 3178507, -161102, -1112114], [-1623600, 3020429, 414018, -800115], [3, -2, 0, 1]], [[0, 0, 0, 0], [-55793964, -436074557, 56793709, 122196818], [183509440, 14667832, -23520224, -17123240], [-3564, -6389, 973, 1658]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [219, -54, 41, 42], [9, -4, 3, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [3499319343/23, 1599745770/23, -1303902898/23, 191906751/23], [131635995/23, 55041023/23, -1001263/23, -1283529/23], [-183/23, 38/23, 14/23, 3/23]], [[0, 0, 0, 0], [13560/23, 24069/23, -5085/23, -6102/23], [800/23, 1420/23, -300/23, -360/23], [-40/23, -71/23, 15/23, 18/23]]], 0, 1536, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[8, 14, -2, -4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7, -1, 5, 2], [19, 10, 7, 12], [7, -1, 5, 2], [0, 0, 0, 0]], [[-69960131/2, 30296071/2, 18228647/2, -10632247/2], [-78835160, -23044954, 10805495, 6011298], [-69960131/2, 30296071/2, 18228647/2, -10632247/2], [0, 0, 0, 0]], [[1, 2, -1/2, -1/2], [2, 7/2, -3/2, -1], [1, 2, -1/2, -1/2], [2, 7/2, -1/2, -1]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13/2, 1/2, 9/2, 3/2], [-410, 4, -35, -14], [13/2, 1/2, 9/2, 3/2], [0, 0, 0, 0]], [[-2383331071327, -105191206287/2, -101823417553/2, -13969959251], [3115484614842676/23, -286079007878970/23, -792647261566967/46, 19397115682611/46], [-54816614638649/23, -2419397747045/46, -2341938605721/46, -321309062838/23], [72/23, -47/23, -77/46, -5/46]], [[-12925271881293619974635/2, -24239005134660440480949/2, 2842464539564863746617/2, 6761757532810582481361/2], [7677255112495915430694047/23, 14246272999158934996818270/23, -1792238430647717939111008/23, -3943073600627280709026096/23], [-297281253264432338212461/46, -557497118087877872729203/46, 65376684408708638541883/46, 155520423251982367519395/46], [102325407772/23, 179081891012/23, -24677454429/23, -51173645229/23]]], 1, 6, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[8, 14, -2, -4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5/2, 9/2, 3/2, 3/2], [-12, 7, 13, -1], [5/2, 9/2, 3/2, 3/2], [0, 0, 0, 0]], [[-1505343, 152484, 461817, -135024], [26350085, -48162669, -7474404, 13020264], [-1505343, 152484, 461817, -135024], [0, 0, 0, 0]], [[1, 2, -1/2, -1/2], [2, 7/2, -1/2, -1], [1, 2, -1/2, -1/2], [2, 7/2, -1/2, -1]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, 3/2, 11/2, 5/2], [-81, -12, -36, -14], [9/2, 3/2, 11/2, 5/2], [0, 0, 0, 0]], [[663655903/2, -30625200, 90158307, 126543809/2], [-124314658859/23, 32376096907/23, -19052917121/46, -23219500815/46], [15264090397/46, -704377780/23, 2073642062/23, 2910507737/46], [89/23, 70/23, 77/46, 5/46]], [[-1042943154202244940, -1591765679312356848, 244030932943814142, 464632079357628189], [338441965952501026823/23, 494698892165124781023/23, -66049612505870482109/23, -148668090848075578430/23], [-23987702482261700184/23, -36610627999598046378/23, 5612713884802211628/23, 10686542789007863757/23], [-382138848714/23, -668285147649/23, 93349787937/23, 190914708285/23]]], 1, 6, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[8, 14, -2, -4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, -4, -1/2, -1], [-25/2, -3/2, -7/2, -11/2], [-4, -5/2, -1, 1/2], [0, 0, 0, 0]], [[1838049/2, 3834561/2, -4201819/2, 262359/2], [14984337/2, 2212962, -10601761/2, -128708], [1917275, 1575160, 131175, -919020], [7, -3/2, 2, 5/2]], [[-13225450782, -19389669919, 14049421381, -208483738], [-61991778095, -100189672042, 30893989713, 19586793256], [-19389513375, -38852064990, -208525320, 13225366395], [-58704, -97840, 15899, 25683]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, -5, -13/2, 0], [575/2, 145/2, -25/2, 13/2], [-5, -9/2, 0, -1/2], [0, 0, 0, 0]], [[-2917101445/2, -267590849283/2, -2875801289/2, -7836816955/2], [452038872002609/46, -309217111639519/46, -104563355528355/46, 98257077682901/46], [-6154589535735/46, -334516777209/46, -180246789987/46, 67093336815/46], [155/46, 117/46, 31/46, 5/46]], [[-51160633311107368847, -69530772512441710721/2, 119687174535803840611, -89558527300360558545/2], [59485367796071476495291/23, 127177605016607178149027/46, -25414484568535945886237/23, -24717324992190964167299/46], [-799603885318068229101/23, -3907946506821950917923/46, -1029923063542208018247/23, 2353389133960141227405/46], [38346998353/23, 133915613119/46, -9324546509/23, -38253221265/46]]], 1, 8, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[4, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, -11/2, -1/2, -3/2], [-11, -7, -14, -7], [-1/2, -11/2, -1/2, -3/2], [0, 0, 0, 0]], [[-27535600, 5503348, 8909464, -3021372], [-756643, -243782547, -3602446, 63260542], [-27535600, 5503348, 8909464, -3021372], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7/2, 7/2, 5/2, -1/2], [85, -38, -21, 11], [-7/2, 7/2, 5/2, -1/2], [0, 0, 0, 0]], [[-5754385, -590520, 141645, 307720], [5617712966/23, 5274024692/23, -1528378070/23, -1419656635/23], [-132350696/23, -13582197/23, 3257784/23, 7077554/23], [53/23, -79/23, -17/23, -2/23]], [[-4060457298625/2, -6745612082055/2, 1038544811465/2, 1860353109545/2], [2518860239620390/23, 4586117895097307/23, -674741640873415/23, -1228504946170183/23], [-93390492118475/46, -155149079038437/46, 23886532794373/46, 42788120654473/46], [4291650/23, -191862/23, 355113/23, -144177/23]]], 0, 48, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[4, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-35/2, -1/2, 17/2, -5/2], [0, 0, 0, 0], [-3/2, 7/2, 5/2, 5/2]], [[0, 0, 0, 0], [589531, 1475633, -1022899, 52779], [0, 0, 0, 0], [-225990, 68526, 499365, -248589]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [37415/46, 30017/46, 52517/46, 511/46], [2310/23, 1530/23, 2670/23, 30/23], [-231/46, -153/46, -267/46, -3/46]], [[0, 0, 0, 0], [20706411204211/46, 1764776970491/46, 418397269293/46, -29861072925/46], [1242362492950/23, -5918284430/23, -18880014770/23, 23908238010/23], [-124236249295/46, 591828443/46, 1888001477/46, -2390823801/46]]], 0, 48, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[4, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5/2, 5/2, -11/2, -5/2], [15, 14, -24, -10], [5/2, 5/2, -11/2, -5/2], [0, 0, 0, 0]], [[457930, -448624, -88814, 108812], [25679755/2, -43177207/2, -6493811/2, 11416053/2], [457930, -448624, -88814, 108812], [7/2, -5/2, 5/2, 1/2]], [[-6798762432, 5794009760, 1855948864, -1598138080], [-363633082745/2, 595083598147/2, 97976195291/2, -159946266537/2], [-6798762432, 5794009760, 1855948864, -1598138080], [-130849/2, 60323/2, 29177/2, -27745/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, 13/2, 1/2, 3/2], [292, -121, 15, -13], [9/2, 13/2, 1/2, 3/2], [0, 0, 0, 0]], [[2337662637/2, 228333505/2, -165754899/2, -143251253/2], [10153401588189/46, -16270522689515/46, -3001022187435/46, 4507311995991/46], [53766237911/46, 5251675515/46, -3812364697/46, -3294778759/46], [137/46, -245/46, 101/46, -3/46]], [[-1847780058247099/2, -3038160303533695/2, -388568847503937/2, 373036314938319/2], [-131647647001183295/2, 50527235619918413/2, 35305459068189235/2, -14173916924668477/2], [-1847780011814839/2, -3038160307904395/2, -388568841213557/2, 373036319583259/2], [-2321613/2, 218535/2, -314519/2, -232247/2]]], 0, 32, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-64, -48, 16, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, -57, -84, -59], [12, 3, 4, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [2520628034, -2491279705, -11028716094, 5475747045], [205309536, 327120, 1676208, 5436960], [6, -9, 4, 1]], [[0, 0, 0, 0], [224267381284662, 589919061645795, 140878696068648, -273532830283413], [-67411529089632, -106166958920064, 18265031475264, 29066216346720], [-1090518, -792701, 232128, 274443]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-89, 68, -133, 20], [5, 8, -1, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [14016349217/23, -24564763613/23, -4010510305/23, 6538999891/23], [-94238516/23, -77803336/23, 39392768/23, 31118716/23], [261/23, 143/23, 135/23, 1/23]], [[0, 0, 0, 0], [-50378152442242756/23, 87577740619004275/23, 13563017819467222/23, -23552128255746373/23], [355707697074248/23, 335534193995704/23, -86395698886736/23, -89245144908104/23], [-1243971360/23, -781581551/23, 289032990/23, 275958165/23]]], 0, 147456, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[32, 112, 0, -32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-72, 82, -10, -34], [8, 6, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-106515297, 167886782, -18157033, -67265404], [9425004, 1217304, -466050, -166758], [13, 6, 3, -2]], [[0, 0, 0, 0], [4137578997774, -16998640646679, -2051211000558, 4207941694779], [413021149110, 1982947252671, -24114022362, -554112880371], [764336, 3115376, 116560, -947856]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [144, 161, 184, 9], [0, 11, 30, 11], [0, 0, 0, 0]], [[0, 0, 0, 0], [113034508/23, 211943560/23, -48100462/23, -22398700/23], [5158396/23, 11068366/23, 1844720/23, -201704/23], [-168/23, -128/23, 40/23, 2/23]], [[0, 0, 0, 0], [-115377977531912/23, 430475780729856/23, 23437282166800/23, -110575717680356/23], [1639713625771/23, 8056069138634/23, -495695216525/23, -1971085704926/23], [-2469842943/23, 4548755178/23, 666272925/23, -1222400742/23]]], 0, 147456, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[144, 304, -32, -80]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [172, -70, 6, 38], [-10, 4, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1919, -53, 2099, -845], [112, 1, -124, 49], [5, 12, 3, 4]], [[0, 0, 0, 0], [-30955326999, -27467818826, 7743926201, 7614269762], [1789069464, 1548961342, -448541632, -430519870], [180382037, 378492004, -39572819, -98477324]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-203, -42, 973, 470], [-11, -6, 37, 24], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24411998640/23, -34815110404/23, 7386191340/23, 9842962660/23], [447628360/23, -207271787/23, -59457000/23, 64995697/23], [20/23, -129/23, 100/23, -1/23]], [[0, 0, 0, 0], [373312392905552110/23, 715649942160237230/23, -99880473508418402/23, -191683971251031216/23], [-3306698407661718/23, -5872691734890432/23, 891461673733758/23, 1577221331931648/23], [163022144/23, 423942856/23, -44068264/23, -110392584/23]]], 0, 147456, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[96, 160, -32, -48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [117, 76, -113, -82], [1, -4, 5, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [30330108, 3173604, -80145222, 43592960], [-22848, 222936, 449862, -679350], [2, 6, -2, 2]], [[0, 0, 0, 0], [285, 450, -75, -120], [0, 0, 0, 0], [-19, -30, 5, 8]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [172, 153, -202, 125], [2, 1, -6, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-502900899/23, -184728828/23, 110861387/23, 88376754/23], [1504451/23, -7904463/23, -1694783/23, 2301581/23], [144/23, -255/23, -8/23, -5/23]], [[0, 0, 0, 0], [45824290349512813/23, 89664860772277046/23, -12294530747844171/23, -24029458924753600/23], [229182860143339/23, 428595256316492/23, -61266819991533/23, -114694397201986/23], [-559822680/23, -1873644120/23, 182759580/23, 511299900/23]]], 0, 147456, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-64, -136, 16, 40]], [ -341, -655, 70, 184 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-37, -17, 137, 65], [-757, -409, 2783, 1445], [0, 0, 0, 0]], [[0, 0, 0, 0], [-108579824619/578542, 258933921217/578542, 164128455069/578542, -1722896877/578542], [2214326, 5197510, -269466, -1228549], [807805/578542, -1793831/578542, -1170461/578542, -3/578542]], [[0, 0, 0, 0], [-7279392009808968249/289271, 14062202774160860841/289271, 1949619181458115269/289271, -3767496189633104013/289271], [-27761026335374, 53514726879222, 7435752189394, -14337782351062], [52201858986156/289271, -100842947114472/289271, -13982225318508/289271, 27018083769384/289271]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5639, -2433, 20265, 10411], [-874, -404, 3380, 1736], [0, 0, 0, 0]], [[0, 0, 0, 0], [140696315421968730238383/13306466, -271820997655361270209937/13306466, -37641986404852893883011/13306466, 72799215320573426847609/13306466], [-11333965231725/23, -465894507961/23, 213612496198/23, 68709565601/23], [-80766617/13306466, -12207587/13306466, 23128303/13306466, -3/13306466]], [[0, 0, 0, 0], [4118387555516665928304321132386604/6653233, -7955454353659117497303118937497431/6653233, -1105890359180473173368826483827652/6653233, 2133125366727231720595573155229725/6653233], [134254870807836961665892/23, 1739452579200142507440678/23, 211143026864988129837932/23, -455166343535287039608284/23], [885410621616908502/6653233, 5797592975447171199/6653233, -289198224769534200/6653233, -1412151510810264849/6653233]]], 0, 36864, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-48, -104, 16, 24]], [ -143, -284, -4, 59 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [9, 17, -1, -1], [-1642, -792, 6270, 3230], [0, 0, 0, 0]], [[0, 0, 0, 0], [-816398535897/578542, -767353102715/578542, -154788713901/578542, 16273295621/578542], [-1381334, -610243, 6652907, 3424567], [-3023275/578542, -2796871/578542, -505939/578542, -5/578542]], [[0, 0, 0, 0], [11125006861681475481011/12577, -21493797246533252637522/12577, -2980814920769836930755/12577, 5759182601961645757374/12577], [-267756618672026312, 517299805278843154, 71757505119180292, -138616431185513076], [41121670371813682/12577, -79447054038430253/12577, -11020582622571424/12577, 21288842416239041/12577]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5755, -3013, 20575, 10671], [559, 301, -2057, -1067], [0, 0, 0, 0]], [[0, 0, 0, 0], [-52850873200563008657/13306466, 101739224567823419069/13306466, 14158120947071210519/13306466, -27272089172900976623/13306466], [14668114992/23, 2100058201/23, 332588561/23, 347410889/23], [25007871/13306466, 78007331/13306466, 43318047/13306466, 5/13306466]], [[0, 0, 0, 0], [719606057318717218210880676210/6653233, -1389612861332437800439355936375/6653233, -192837741156606853083453570088/6653233, 372355249600108845356053995965/6653233], [-224495195002548961684/23, 335980057158509706230/23, 55215673995991680370/23, -87136708441115007206/23], [-32584128988014217/6653233, -175969587982250928/6653233, 1025087594623277/6653233, 53639261893427840/6653233]]], 0, 36864, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[112, 168, -48, -40]], [ -341, -655, 70, 184 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, -6, -12, -2], [-17, 15, -5, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-44114186899/578542, 10436996682611/578542, -3811344004369/578542, -3776625560685/578542], [-23250934, 51336679, -2721964, -10773780], [1506363/578542, 58205/578542, 1749003/578542, 3/578542]], [[0, 0, 0, 0], [-6245764835884719216115/289271, -10828928658653104081487/289271, 1601613336338181718404/289271, 2860333291264135660038/289271], [-8821753792083705, 3849163427909562, 2338511313832503, -1105959938628478], [-3022826193907925/289271, -6244814150816713/289271, 834633921597452/289271, 1690499134739170/289271]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-403, -429, -65, -19], [-47, -71, -9, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [418259443410226017/13306466, -330218557899406025/13306466, -71540093892434059/13306466, 89235250127552025/13306466], [56289481799/23, -6991792309/23, -1300428851/23, 11281790/23], [99127119/13306466, 117926729/13306466, -60724615/13306466, 5/13306466]], [[0, 0, 0, 0], [425642510925131757510020374231039/6653233, -249274840111574459539003614551441/6653233, -122590878450918844738003415016925/6653233, 61732284136617230185167874738229/6653233], [124003325818346468614609726/23, 9944889301882102464553920/23, -37119842163535349991671570/23, -5249239427135000183802594/23], [100701455593379256797258/6653233, 149296627688980394370856/6653233, -34351911121542778691626/6653233, -42259299297443670821452/6653233]]], 0, 958464, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[176, 328, -32, -88]], [ -143, -284, -4, 59 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-17, -19, 35, 17], [-6798, -3462, 25508, 13186], [0, 0, 0, 0]], [[0, 0, 0, 0], [1562610131253/578542, 3379610908759/578542, -200717622643/578542, -806170467237/578542], [-2106694, -18489697, -34475487, -13354243], [500203/578542, 2255963/578542, 390687/578542, -3/578542]], [[0, 0, 0, 0], [-6234007497292276951388/289271, 12042714615478179000258/289271, 1670395908287657479444/289271, -3226834953424510259906/289271], [7635288288861009, -14743521648954627, -2045902304239797, 3950533414588209], [-27249709722783336/289271, 52642121805184716/289271, 7301571412825848/289271, -14105431488805212/289271]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-43738, -22808, 161886, 83890], [4355, 2281, -16189, -8389], [0, 0, 0, 0]], [[0, 0, 0, 0], [2204900394289455115183/13306466, -4260335364331607820967/13306466, -590969479701879645967/13306466, 1141624423090332478541/13306466], [55116250834/23, -18484744841/23, -2956852796/23, 577870440/23], [-51620803/13306466, -91313797/13306466, -43318047/13306466, -5/13306466]], [[0, 0, 0, 0], [-92022912715730534169907739364690/6653233, 177820120074157909783556586611285/6653233, 24655478849964609914466001168450/6653233, -47645836506660768343332309432271/6653233], [-5432860335476528096639/23, 776849905746284791297/23, 1728014454712255533887/23, -325908818693731609349/23], [3538838151107838944/6653233, 5264852390922936349/6653233, -1357302752190931138/6653233, -1559383471526970125/6653233]]], 0, 958464, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[64, 272, -16, -80]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-636, -9, 6, -15], [-196, -3, -4, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [55005430281463789, -923478275336514, 431612707005229, -1408055715187254], [16937902012602724, -238139516036130, 690315370926512, -523491191065014], [-13, 0, -3, 0]], [[0, 0, 0, 0], [155606938870815540336106092, 675735014960788091534283315, -35962994290364647561584130, -191641774367228093606933515], [48353637705514739457360012, 210090665902582126445843340, -10937952736120794764797180, -59941621097563070308666540], [-40270130628, -170697757335, 10153829170, 50190077635]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1195, 121, -49, -3], [117, 5, 5, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-448136333535, 853889691910, 120450385053, -229239736482], [40823310281, -77625324434, -10952976247, 20839521818], [8, -4, 0, 0]], [[0, 0, 0, 0], [-667141748639295541500/23, 1373924940102887257017/23, 170169892733097482438/23, -372046924503780481847/23], [60325395576169433801/23, -125668342355234251227/23, -15069550145795146007/23, 34198856452510540259/23], [-12924942527/23, -58246526426/23, 2892261643/23, 17176901360/23]]], 0, 3244032, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[192, 320, -32, -80]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [401, -4, 13, 6], [267, -6, 5, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [70020288495722, -110379511029, -2151763932058, -1131008558797], [46540968513316, -688782954668, -1757983708034, -937188219238], [-2, -5, 4, -1]], [[0, 0, 0, 0], [175172708201981297089359, 489920301099844431754452, -34475237920007953449635, -124184079798407177385156], [115208420938070806321110, 323431114827684519880524, -23512537632676486401546, -82418187023860340265600], [-12068745165, -20106502020, 2011275945, 5025224880]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2248, 83, 0, 11], [-196, 5, 0, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5678566434/23, 8484502737/23, 1591027302/23, -2384640581/23], [508415032/23, -771144924/23, -144620528/23, 216829720/23], [-66/23, 221/23, 38/23, 1/23]], [[0, 0, 0, 0], [-777284548191804689/23, -2323300011218208523/23, 200577157904470781/23, 621431129077266433/23], [64432218756478475/23, 198468621123824871/23, -16607011425954209/23, -53124582025405093/23], [51130035300/23, 86366538168/23, -8148124044/23, -21243194856/23]]], 0, 3244032, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[96, 272, -32, -64]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [246, 10, -12, 4], [252, 4, -2, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [237924477624, 229197881631, -71317094658, -66380682805], [243832402055, 229120246024, -71260361929, -66284304940], [-1, -3, 1, 5]], [[0, 0, 0, 0], [-9029004070557890225, -1442550443613494412, 2417843421099672565, 385093918548603410], [-9342282282660183614, -1176950859579053840, 2502486499902015118, 313792838261242172], [19245339, 54582108, -6430863, -12833862]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [5287, 151, 89, 61], [-273, -5, -5, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-17732072015099/23, 11164884266172/23, 7373846322265/23, -5169633520772/23], [919339614583/23, -586597059092/23, -387960027833/23, 272211706126/23], [-62/23, -240/23, -86/23, -2/23]], [[0, 0, 0, 0], [-13004774299090211222762/23, 8207177409827592012730/23, 5354706018503612945364/23, -3196366080078121669746/23], [673864096645973577494/23, -431113318118165377267/23, -280251752735532496064/23, 168606505195875954913/23], [-67122023014/23, -187002756891/23, 20958394610/23, 44313534221/23]]], 0, 3244032, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[304, 528, -96, -144]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-194, 8, -4, 14], [-100, 10, -4, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2230127675497, -51779613216, -413157297803, -316855680772], [-1105901820052, 63258119125, -392022984770, -276785266521], [-5, -11, 3, -5]], [[0, 0, 0, 0], [-11513596787317903704219558, -34168392688956365737993743, 3320958530219630655831972, 9302137066354714077917067], [-5742323994540162586341516, -17404624739828697796767894, 1714107058252989430571532, 4766726710399735979881866], [-67816690867574, -117763427747647, 21415857571728, 32106832176303]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2075, -14, 87, -30], [-107, -6, -5, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-295787103661978/23, -981390400034297/23, 81993309748572/23, 248664800089261/23], [16073155130168/23, 51604865552433/23, -4335990631996/23, -13078628392189/23], [-306/23, -174/23, -52/23, 2/23]], [[0, 0, 0, 0], [6754698482843721909262611/23, 13640655420577581758824267/23, -1788668480198855231145651/23, -3682114975225603824653191/23], [-360367186715823562423261/23, -725681498084293302349792/23, 95657110052480248135987/23, 195831082218834507372922/23], [4014851362354/23, 6999805041705/23, -1271452762300/23, -1916892501615/23]]], 0, 3244032, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[96, 176, -32, -48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, -5, -3, -5], [5, 1, -5, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [582337, -1108594, -172893, 310460], [536600, -1054000, -137200, 280600], [-3, -2, 1, 0]], [[0, 0, 0, 0], [710139874, -440082476, -185511352, 125041070], [124140300, -1468280100, -29063700, 394500300], [-175440, -336300, 46280, 89600]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [515, -93, 565, 299], [-15, -9, 51, 27], [0, 0, 0, 0]], [[0, 0, 0, 0], [-751011178948/23, 956171307491/23, 195187671876/23, -251227667467/23], [781997490/23, 75421900/23, -49168154/23, 38482740/23], [-162/23, -61/23, -152/23, -3/23]], [[0, 0, 0, 0], [-102257800603699440, -151130442387104048, 28403827801001382, 39930193259343702], [316487087785176, 579244896623082, -91308589863672, -155321780782618], [-94293996, -166785912, 38698692, 40697216]]], 0, 24576, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[176, 352, -48, -96]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-25, 1, -13, -13], [3, -5, -5, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [1321355, 661761, -4259745, 1810313], [126680, -77896, -296536, 150088], [-5, 9, 5, 3]], [[0, 0, 0, 0], [347587066856, 670233520881, -93530084856, -179405750379], [12408501504, 24110388960, -3353629888, -6449668960], [639080, 1215481, -167144, -323227]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1196, 4, -1800, -834], [22, -2, -114, -52], [0, 0, 0, 0]], [[0, 0, 0, 0], [22977772504268754/23, -43227449512748449/23, -6153466905035962/23, 11543629694214519/23], [-15244194330806/23, -257589349872/23, -381007142662/23, -155063674134/23], [-116/23, -15/23, -106/23, -3/23]], [[0, 0, 0, 0], [-78410303940723547274521/23, 31707677058559248544517/23, 21029047147191952853333/23, -8644238241497650728897/23], [889724445398550769935/23, 1643528178382942908719/23, -255261195633394976513/23, -441041092758666661211/23], [8844386058/23, 16210921316/23, -2887380080/23, -4364465630/23]]], 0, 24576, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[16, 28, -4, -8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 1, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[5/2, 5, -25/2, 1], [11, 13/2, -62, -25/2], [5/2, 5, -25/2, 1], [5, -5/2, 1, -5/2]], [[-144642120, -164983980, 36865248, 35615748], [210814391, 607132323, -140240265, -223851889], [-144642120, -164983980, 36865248, 35615748], [-164983980, -541703232, 35615748, 144642120]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-18, 1, 1, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[-27/2, -83/2, -33/2, 1/2], [27533/46, 90029/46, 40669/46, 1501/46], [185/46, 613/46, 359/46, 49/46], [31/46, 97/46, 43/46, 1/46]], [[-29577, -107587/2, 7420, 29009/2], [64160335/46, 58110141/23, -15553843/46, -15789335/23], [226336/23, 833011/46, -57529/23, -222981/46], [69739/46, 63606/23, -17553/46, -17119/23]]], 0, 48, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[16, 28, -4, -8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 1, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[2, 3/2, -11, -5/2], [-13/2, -6, -17/2, -1], [2, 3/2, -11, -5/2], [3/2, -3, -5/2, -2]], [[-75129/2, -106195, 46599/2, 22190], [-999485, -4190723/2, 278690, 1112871/2], [-75129/2, -106195, 46599/2, 22190], [-106195, -253917/2, 22190, 75129/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-18, 1, 1, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[141/2, 63, 45/2, 0], [-87219/23, -159365/46, -31276/23, -3123/46], [-969/46, -540/23, -525/46, -39/23], [-81/23, -153/46, -30/23, -3/46]], [[117493348, 204475752, -28540088, -58514980], [-147558514887/23, -257051628727/23, 36386054695/23, 73452796059/23], [-900427860/23, -1591021432/23, 241123456/23, 448630636/23], [-138568264/23, -242075528/23, 34520980/23, 69018276/23]]], 0, 48, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[12, 22, -4, -6]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5/2, 7/2, -29/2, 5/2], [10, 1, -21, -3], [7/2, -9/2, 5/2, -5/2], [0, 0, 0, 0]], [[1812132, -47741967/2, 2120580, 11942721/2], [-38708852, -37918694, 14394087, 11112100], [-47741967/2, 9369108, 11942721/2, -1812132], [-13/2, -3/2, -13/2, -3/2]], [[45025203610926, 95864744749032, -12439782041022, -25417192377528], [553081325598779/2, 1046156287058765/2, -148290517408771/2, -279773583793973/2], [95864744749032, 167661032402682, -25417192377528, -45025203610926], [97801625/2, 179816805/2, -25983545/2, -49303455/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/2, 1/2, 9/2, -1/2], [198, 28, 13, -22], [1/2, -3/2, -1/2, 3/2], [0, 0, 0, 0]], [[-917647, -995738113/2, 6692690, -19336211/2], [5227871138355/23, 15018967130448/23, -1371965009382/23, -4075308494191/23], [-22901977591/46, 69515741/23, -444733585/46, 21104807/23], [-93/46, 31/46, -267/46, -3/46]], [[1055328014631990965/2, 2600409175833158895/2, -409695779427687357/2, -604968624730784039/2], [-54035188116917687446041/46, -110388418498590847175519/46, 14416695957609839166057/46, 29617313383607031498215/46], [59809399322255774867/46, 87667141750461132385/46, -13914274133729963363/46, -24272536270655743849/46], [374810022297/46, 558536388983/46, -6002941617/46, -184916821495/46]]], 1, 12, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[12, 22, -4, -6]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -2, -4, -1], [1, -1, -13, -3], [-4, -2, -4, -1], [0, 0, 0, 0]], [[315289/2, -546767/2, -83811/2, 147667/2], [63779, -106699, -16563, 30104], [315289/2, -546767/2, -83811/2, 147667/2], [0, 0, 0, 0]], [[9/2, 17/2, -3/2, -5/2], [11/2, 10, -5/2, -3], [0, 0, 0, 0], [3, 11/2, -1, -3/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, 1/2, 5/2, -1/2], [344, -7, -21, 11], [1/2, 1/2, 5/2, -1/2], [0, 0, 0, 0]], [[10562436301/2, -333367341/2, 584784827/2, 283435383/2], [78396714407465/46, -13870985103602/23, -18437393974427/46, 4091576192825/23], [121468019506/23, -3833724574/23, 6725027718/23, 3259507058/23], [-89/23, 21/46, -96/23, -5/46]], [[-6096667281129439587, -11363684407988721352, 1728633634839023026, 3054866852727088218], [-69541005174618265730689/46, -128458062439081830059739/46, 18782550088057681263687/46, 34468497745369800508935/46], [-140223350467498442275/23, -261364746920185404555/23, 39758574558465062535/23, 70261939109885792285/23], [255495864827/46, 470321467917/46, -81656758421/46, -126637772527/46]]], 1, 16, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[8, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, -13, 4, -5], [-2, 1, 16, 9], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 0, 0], [1, 1, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-15874846, 23631101, 4438616, -6442787], [977992, 4579844, -244240, -1193852], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [208, 79, 298, 163], [-1, 7, 27, 15], [0, 0, 0, 0]], [[0, 0, 0, 0], [-18116905967302/23, 30882366130491/23, 4574029607055/23, -8418863566170/23], [-70667807829/23, 7748812699/23, -7669062849/23, -12480237037/23], [93/23, -8/23, 14/23, 3/23]], [[0, 0, 0, 0], [-18244196756175033579/23, 30399692560205715850/23, 4804433058808798089/23, -8186649367720437765/23], [-79411376901647081/23, -5632816039809243/23, 7677298156513772/23, 1474863298083890/23], [97916946/23, 10878237/23, 18463533/23, -19907131/23]]], 0, 384, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[8, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12, 1, -4, -3], [-1, -4, -11, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-11849287, 13678666, 2926129, -3597340], [-2152080, -100940, -27440, 255780], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [120, -65, -248, -77], [1, -5, -23, -7], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1021825513633/23, 1897556232707/23, 330317020874/23, -539215504849/23], [26149843170/23, -4200891910/23, 4327810010/23, -4888903940/23], [-107/23, -18/23, -95/23, 1/23]], [[0, 0, 0, 0], [11477504074534425/23, -21343153422628243/23, -3253253180645709/23, 5680293928234255/23], [-353750548477690/23, 15940607212245/23, 72251389732150/23, -5349599184225/23], [3394196/23, 1370733/23, -6527300/23, -3328923/23]]], 0, 384, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[8, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12, 8, -8, -2], [1, -5, -10, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 1, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-17685063, 57708465, 5424465, -15698271], [4192360, 2262074, -789604, -601848], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [357, -5, -15, 3], [-8, 0, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [5813726800/23, -310280683/23, 7155515604/23, -3759863560/23], [-171398640/23, 25854605/23, 29863040/23, 243815/23], [-29/23, 117/23, 8/23, 5/23]], [[0, 0, 0, 0], [1019746453223/23, 4297815192085/23, -278009635267/23, -554743634025/23], [-21862429004/23, -94476885368/23, 5947604139/23, 24250284889/23], [5133/23, -1711/23, 32509/23, 15399/23]]], 0, 384, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-128, -96, 32, 32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [663, -173, -101, -109], [9, 9, 5, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-491449626807, 593163509445, 172206522549, -171234322635], [-4815451680, 159986240, -114040960, -159897120], [5, -3, 1, 5]], [[0, 0, 0, 0], [-142920265856251905, 50414534194894023, 36619877548577295, -12755585736575709], [-2313285396788080, -2237632537886240, 659271023679840, 590281324215440], [2287029, 1733787, -541215, -572865]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-289, 269, 41, 53], [-1, -5, -7, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [4331041889/23, -8074003207/23, -1128081777/23, 2149783027/23], [4846460/23, 3731308/23, -1187188/23, -1241656/23], [277/23, 245/23, 359/23, 3/23]], [[0, 0, 0, 0], [92447562490660474/23, -169031102493350150/23, -24723435801009702/23, 45251298274951258/23], [136720137891010/23, 143215502021118/23, -35124729710414/23, -38235176604658/23], [11522270100/23, 11099413974/23, -4179339912/23, -3872825154/23]]], 0, 2359296, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[64, 224, 0, -64]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [12, -68, -34, 6], [4, -6, -2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-783530, -1686456, 92494, 392640], [17669, 9105, -12821, -7151], [1, 11, -5, 3]], [[0, 0, 0, 0], [5570439828729, 10958005978671, -1476820722363, -2927399758863], [-73105105788, -107085280236, 21006070932, 29216221980], [-14177993, -50443895, 64331, 14955559]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [765, 729, -25, 31], [-5, 11, 9, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5764547410988/23, -11613633090282/23, 1569951560022/23, 2951371325068/23], [-22883560707/23, -30010842765/23, 5838686721/23, 2698185795/23], [-261/23, 133/23, 141/23, -1/23]], [[0, 0, 0, 0], [1852269123627086/23, 5396100137615670/23, 2600065463103100/23, -3050917388304504/23], [-20190154326462/23, 35353578961332/23, 97985588680260/23, -57476896307538/23], [-82836/23, 288156/23, 61596/23, -96524/23]]], 0, 2359296, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[288, 608, -64, -160]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-395, 109, -27, -77], [13, -5, 1, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [101019449089, 16671269985, -19833344263, 3635050433], [-3132997580, -383813328, -16569052, -61954660], [-7, 5, 1, 1]], [[0, 0, 0, 0], [1263217261063345929, 2500255984983526365, -350301076876666833, -675217714204101333], [-40307220245493225, -79873089334520625, 11313075988443825, 21721276850828625], [-46276368, -97583780, 10124336, 25510636]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-165, -113, -79, 37], [7, -11, 5, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16747300745/23, -24244771823/23, 8223627063/23, 9693049845/23], [289845030/23, -75888304/23, 85928118/23, -29426692/23], [37/23, -203/23, 1/23, -3/23]], [[0, 0, 0, 0], [23288813447154050037/23, 44662232783401978229/23, -6417524565804571209/23, -12035792791833226061/23], [-249808703181013223/23, -454741644200214579/23, 68267434564549987/23, 120067006978338459/23], [57869869070/23, 123883127810/23, -12825287150/23, -32964812530/23]]], 0, 2359296, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[192, 320, -64, -96]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [93, -173, -187, 21], [-11, 9, 9, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [8026564688, 46440130664, -20933659734, -13533904280], [2111530857, 271234821, 113864339, 25295575], [-3, 9, 9, 3]], [[0, 0, 0, 0], [-12830599403002315, -22983121959839425, 2879341502643571, 6226490246442937], [-1106462959689195, -2342769906578275, 315503926463779, 627085398217473], [-2470506, -4115552, 805802, 1225598]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [114, 248, -620, 146], [-6, 14, -4, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-274675008675/23, -496481615941/23, 60994110129/23, 131922598483/23], [-2889077608/23, -2472711662/23, 1052242852/23, 918003974/23], [17/23, 25/23, 445/23, 5/23]], [[0, 0, 0, 0], [430245250305727451/23, 825294055930168735/23, -115586185392375903/23, -221364191165660225/23], [3347300821250753/23, 6047689978691859/23, -876101955514581/23, -1611162321064387/23], [-141208210/23, -233868804/23, 46913802/23, 70254002/23]]], 0, 2359296, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-128, -272, 32, 80]], [ -341, -655, 70, 184 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, -4, 6, -6], [544, 282, -2030, -1052], [0, 0, 0, 0]], [[0, 0, 0, 0], [101862975375/289271, -99084622643/289271, -1266039295/289271, -58240694/289271], [388527, -379172, -4730, -1], [-731384/289271, 713769/289271, 8918/289271, 2/289271]], [[0, 0, 0, 0], [21119959117328684955343/289271, -40813242939681528232033/289271, -5663489450164963568017/289271, 10938160109544680796897/289271], [80644354791302592, -155840870940379344, -21625441555706874, 41766158841377400], [-151808396903710641/289271, 293361548868639981/289271, 40708659190806963/289271, -78622410886189047/289271]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [14554, 7192, -54826, -28304], [2414, 1198, -9136, -4716], [0, 0, 0, 0]], [[0, 0, 0, 0], [3645145593964618108/6653233, -7043138060683355062/6653233, -975725524285928623/6653233, 1888011031059919476/6653233], [-734578548/23, -659608446/23, 75195479/23, 251020431/23], [671376/6653233, -24781467/6653233, -19114181/6653233, -5/6653233]], [[0, 0, 0, 0], [-3770248236762811163083194484932/6653233, 7284053364446662538164306539930/6653233, 1010130025803500955594408783210/6653233, -1951742895668454721139206738026/6653233], [745641982344701527296/23, 541102218300404341896/23, -230398273938181377056/23, -129497709199269662240/23], [4014947489566325268/6653233, 25498047199041601428/6653233, -1279341595627501692/6653233, -6215904853183106628/6653233]]], 0, 589824, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[-96, -208, 32, 48]], [ -143, -284, -4, 59 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 4, 2, 0], [8238, 4266, -30740, -15912], [0, 0, 0, 0]], [[0, 0, 0, 0], [50114184916/289271, -733343389194/289271, 129380507755/289271, 46618664836/289271], [34705564, 18824050, -129685821, -67125917], [500203/289271, -2083102/289271, 390687/289271, -3/289271]], [[0, 0, 0, 0], [-133622860618179983431603/289271, 258039219528764987044962/289271, 35764794430638352907562/289271, -69121034844357229039876/289271], [139280809591401665, -268929433891257769, -37278741061797968, 72038177952948044], [-491094943603517667/289271, 948591055094910455/289271, 131442623345215277/289271, -254098698718386732/289271]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [66250, 34110, -246412, -127544], [-6600, -3412, 24642, 12754], [0, 0, 0, 0]], [[0, 0, 0, 0], [12184560928150104621/6653233, -23561324457596934154/6653233, -3267246466856494422/6653233, 6314802843703179763/6653233], [-726362064/23, -42339701/23, -59123622/23, 52039181/23], [26245322/6653233, 7752112/6653233, -10023069/6653233, -3/6653233]], [[0, 0, 0, 0], [-1257372030887557621542195803/6653233, 2425145409084004163615528374/6653233, 337012140411309315277566943/6653233, -649994296121554336429603395/6653233], [-41442391118010298/23, -212370154989908357/23, 59280150341695839/23, 67725900604608826/23], [1364413621081381/6653233, 6949570539289476/6653233, -279868047759294/6653233, -2115202686243496/6653233]]], 0, 589824, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[224, 336, -96, -80]], [ -341, -655, 70, 184 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, -4, 0, 2], [-108, -50, 0, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [239931608765/289271, 92600251978/289271, 192473441945/289271, 12091915493/289271], [-6677952, -9501363, 8919783, 3067770], [-1064250/289271, -771974/289271, -1468650/289271, -5/289271]], [[0, 0, 0, 0], [43663831250840256943/289271, 64122184062515708315/289271, 7448425619814106595/289271, -28368796723348565428/289271], [-1216698843024647, -1916176397290256, 968182522093906, 149382882445537], [-217767800676368/289271, -373278107387289/289271, -82367082356170/289271, 181233204588042/289271]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [840, 202, 38, 54], [116, 32, 8, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [51227505322551634/6653233, -4939409997259291/6653233, 17647859385001581/6653233, -8854058026726375/6653233], [23552882519/23, -1399892703/23, 8034613908/23, -3972802554/23], [23414538/6653233, -1465172/6653233, -2007061/6653233, 4/6653233]], [[0, 0, 0, 0], [-42321402858532741047179522394/6653233, -60249026978003731240400828926/6653233, 17421722081544346431005892320/6653233, 16471564488436461055453875132/6653233], [-19759724067143685424618/23, -28392967719487727900414/23, 8213193489186705172244/23, 7861746444014475104248/23], [-17432296118834529660/6653233, -25870942262841196248/6653233, 5944938003150937700/6653233, 7313854935513108892/6653233]]], 0, 15335424, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[352, 656, -64, -176]], [ -143, -284, -4, 59 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, -4, -10, 10], [1380, 676, -5244, -2704], [0, 0, 0, 0]], [[0, 0, 0, 0], [-186175388100/289271, -520133389544/289271, -280227325739/289271, 13041809533/289271], [25610737, 13943530, -93968425, -48882852], [-630768/289271, -1870853/289271, -1185897/289271, -2/289271]], [[0, 0, 0, 0], [38937880792720817762696/289271, -75224479505912827944929/289271, -10433476034632977729771/289271, 20156391497903084057295/289271], [-35610102497650745, 68797184709738453, 9541829146855238, -18434218511213392], [125568588839627912/289271, -242588080909579822/289271, -33646461445636570/289271, 65001518204382177/289271]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-195506, -102442, 725350, 375818], [19526, 10244, -72536, -37582], [0, 0, 0, 0]], [[0, 0, 0, 0], [2443775763874165, -4719788194882229, -654804996904354, 1264723703213025], [-52234477712, -1306219094, 1273773791, 771765973], [-2, -1, 2, 0]], [[0, 0, 0, 0], [1979322730660084415139427069271045/6653233, -3820945085673586724018422299665553/6653233, -530350048342293475518951708898476/6653233, 1023828324303403498521852403382763/6653233], [-297161079605919915328656/23, -278289533573841031253834/23, 73176179314964894522691/23, 73327487602752796580357/23], [-2888734822212857776/6653233, -3883332291889525139/6653233, 961503369788996886/6653233, 1048745387989172394/6653233]]], 0, 15335424, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[128, 544, -32, -160]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, -15, 23, 9], [-129, -1, 13, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-80403310023, -220149236607, 448279153739, 180885198955], [-1781508183428, -187593576532, 103719034484, 68200972500], [-7, 13, -5, 3]], [[0, 0, 0, 0], [-17433094783677590924678, -27943612853918331458958, 7631905068856439571610, 8739507137604477035350], [-562455543504289341603848, -1145145097944055452836208, 148754148947238562477480, 306427445713982588647840], [-234999506278, -999349729908, 58424400686, 293881612280]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1503, -517, 23, -53], [99, 5, -3, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [160358437806758/23, -167580206976072/23, -40407287532132/23, 47344023996632/23], [-12062534212568/23, 14648377168014/23, 4308909299634/23, -4662118072072/23], [-154/23, -148/23, -86/23, -2/23]], [[0, 0, 0, 0], [19449953470871199390619/23, -86495470553486984943815/23, -4958865387938074388713/23, 23202018535351350941051/23], [-1738011690883015263564/23, 6204206057023909286152/23, 340578870304169691790/23, -1605110415161418087400/23], [32812602075/23, 117341458245/23, -10900425591/23, -34816865193/23]]], 0, 51904512, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[384, 640, -64, -160]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-356, 4, -6, -2], [-198, -4, -4, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [2560299596633, 52218332111, -44333846021, -17231857685], [1424313583644, 73129770826, -20062709850, -30603060474], [-9, -9, -9, -1]], [[0, 0, 0, 0], [83051926710342993166395, 106674210687971575448015, -19570800911645688861355, -28641957763648281119465], [46661332455032108572735, 60662472230993370868709, -10988705997405162866027, -16325909058867349825623], [-461917113380, -769689692162, 76970215696, 192781660154]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4959, 257, -117, -57], [449, 15, 11, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-138182896552147497/23, -5455000457288974921/23, 61957787769106313/23, 1361201765861948115/23], [23039389154896758/23, 495614486733884388/23, -5824105063974272/23, -123827918335262028/23], [-169/23, 185/23, -17/23, 5/23]], [[0, 0, 0, 0], [-1209977450463319127298238795392/23, -2438866860298503912877735375874/23, 336500103227020805682444683298/23, 658764054312577492576490648888/23], [114748614068363011723642669174/23, 230390616270838583227004525024/23, -32002864691609422727256744634/23, -62298731500844832750720311168/23], [-36423104668874/23, -60640398992712/23, 6088523734568/23, 15182108956014/23]]], 0, 51904512, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[192, 544, -64, -128]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-377, -13, 5, -5], [123, 5, -3, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-64060014368719, 2663967960935, -2407538184503, 705989263885], [20899056036162, -740851973410, 545511284754, -310494282446], [-9, -7, -1, -5]], [[0, 0, 0, 0], [4848300280507248596640732, 37089989118651325125091542, -593736937894067065496220, -10179352259864882776845294], [-1594557885820900336436964, -12072100669989467219512284, 203453444610111149959740, 3312525834086084007163788], [2114027001856, 5988669492736, -706672117760, -1409070218752]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1891, 155, 205, 25], [-117, -11, -11, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [6775635843778018/23, -1091935302791314/23, 23801752113978/23, 152390491028354/23], [-418466631444731/23, 62473995926643/23, 2656771124965/23, -8365629977055/23], [199/23, 225/23, -89/23, -1/23]], [[0, 0, 0, 0], [37244318771775418989518113/23, -692601082746049097288517701/23, -27845562058564668602031173/23, 187748226498684062699458707/23], [-2160156463461605322111772/23, 42659001015572389870788872/23, 1642189785585561353753816/23, -11559669175981474789813968/23], [-6179535072777/23, -17577070860195/23, 2096752163913/23, 4125461270073/23]]], 0, 51904512, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[608, 1056, -192, -288]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [694, 14, 8, 6], [142, 4, 8, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2489073193870217, 69183939540419, 66869690562471, 36508027381621], [-511343800881530, 9331744702814, -891356145372, 1810261291540], [-5, -1, -7, -5]], [[0, 0, 0, 0], [601063452994320397085909613, 1018003460946863127809925399, -150564824977501790784978105, -279956860830468047154373287], [125193592507102565471810169, 212382699565096668767844003, -31468004314093757783593821, -58443454231590721896196323], [1995668077484, 3466302239168, -629955923936, -945278027588]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3409, -351, 179, -27], [199, 1, -9, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8306028779208726/23, -8117316708750104/23, 3272309784646004/23, 2893702724035664/23], [469893540257019/23, 427879858781787/23, -170429568247265/23, -152489555726787/23], [-153/23, -133/23, 273/23, 1/23]], [[0, 0, 0, 0], [5013931240564519886323040032/23, 6354802548902278700050585712/23, -1368767644622113118898708620/23, -1717027488860107174555692158/23], [-284024076299391881639053009/23, -343311603080820649587933983/23, 77285510615826389142828947/23, 92699752819289545673223677/23], [58303276066281/23, 101002237392495/23, -18404754057183/23, -27477651453399/23]]], 0, 51904512, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[4, 8, 4, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, -2, -5, -1], [24, 11, -32, -21], [0, -2, -5, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[526185/2, 943041/2, -174273/2, -239745/2], [-2342672, -2533267, 678713, 636131], [526185/2, 943041/2, -174273/2, -239745/2], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, 2, 1, -1], [-261, -35, -26, 18], [-3, 2, 1, -1], [0, 0, 0, 0]], [[676535461, 18219308, -24069681, 1109366], [1856529884728/23, 1355406948498/23, -450324758294/23, -160132444323/23], [15560315492/23, 419044213/23, -553602630/23, 25515430/23], [-37/23, 43/23, 11/23, 4/23]], [[649635655857193/2, 1246500576606401/2, -173005347137441/2, -331885396619875/2], [1151183896457413898/23, 2219764921780773764/23, -303320581192049152/23, -593976105378685235/23], [14941620051344453/46, 28669513200885937/46, -3979122972899563/46, -7633364105625257/46], [-5561831/23, -10176881/23, 1876930/23, 2771978/23]]], 0, 128, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[4, 8, 4, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, -3, 6, 1], [1, -13, 6, 2], [3, -3, 6, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[355251/2, 720845/2, -95833/2, -194939/2], [-225912, -410047, 61047, 109103], [355251/2, 720845/2, -95833/2, -194939/2], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9/2, -7/2, -7/2, -3/2], [-65, -46, -80, -42], [-9/2, -7/2, -7/2, -3/2], [0, 0, 0, 0]], [[-4719, -2893, 1443, 805], [-2545523/23, -518919/23, 3516912/23, -1261728/23], [-108651/23, -66317/23, 33180/23, 18518/23], [-38/23, 74/23, -3/23, 1/23]], [[-19722916584, -38098412118, 5285016432, 10208687058], [-7058352864509/23, -13637611197520/23, 1886839948295/23, 3656698731839/23], [-453630948141/23, -876270544584/23, 121556678403/23, 234801693363/23], [-1288903/23, -2355290/23, 433489/23, 630343/23]]], 0, 128, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[24, 44, -8, -12]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7, -2, 37, 20], [3, 9, 15, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2242643/2, 1923883/2, 1701891/2, -3967325/2], [-1310343, -295931, -1390328, 383901], [-13/2, 3/2, -1/2, -5/2]], [[0, 0, 0, 0], [-342714597487, -537074585558, 76168169463, 152416492052], [-882360260775, -1504564975358, 246213464590, 398247410179], [-3108018, -5147245, 826182, 1383527]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [196, 7, -170, -67], [-1, -1, 14, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-393238578061/46, -290504036203/46, 193434527509/46, 145619769757/46], [-978528525/23, -3157740177/23, -8741536853/23, -272477238/23], [169/46, 143/46, -49/46, 1/46]], [[0, 0, 0, 0], [-2637825329348591/23, -4483414193313057/23, 686132266548401/23, 1194635277728829/23], [-55226416606827/23, -97154474695987/23, 15274864503058/23, 27558799173658/23], [1277045/23, 2219073/23, -354919/23, -593743/23]]], 0, 96, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[24, 44, -8, -12]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-17, -11, 57, 33], [-8, -5, 9, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [43721269/2, 22171909/2, -179256221/2, -89369521/2], [-8399672, 1732016, 1756240, -3494312], [1/2, -5/2, -7/2, 1/2]], [[0, 0, 0, 0], [-1775656073, -4195056499, 468881751, 1122235637], [-4709303056, -12840815376, 1264492800, 3439111560], [-1350, -2255, 360, 605]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [158, -67, 64, -3], [6, 5, -5, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-17638330139/46, 15790967117/46, 12135381021/46, 37055731/46], [-135096170/23, -43036630/23, -3065930/23, -17613390/23], [107/46, 133/46, -227/46, -1/46]], [[0, 0, 0, 0], [-2338561574507555/46, -11586199946951679/46, 828498716910755/46, 3196169822960945/46], [-97396736148390/23, -224062511605610/23, 24687904150890/23, 59569461659430/23], [77643639/46, 144985281/46, -18460249/46, -41708863/46]]], 0, 96, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [9, -9, -5, 3], [-1, -5, -3, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-51, 28, 54, 19], [-13, -16, -5, -2], [-13, -3, -2, 0]], [[0, 0, 0, 0], [-310, 303, 154, -49], [-95, -97, 9, 19], [-99, 2, 23, -4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-25, -85, 95, 15], [-9, -7, 9, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [8418628228/23, -24888340942/23, -9720470527/23, 7153893269/23], [-1333670016/23, -204547373/23, -197396446/23, 116176045/23], [-137/23, 130/23, 14/23, 3/23]], [[0, 0, 0, 0], [-32400811028623634/23, -2737975215867586640/23, 73139838182462718/23, 919388924815125938/23], [-221522977382418870/23, -235853230612735420/23, 61704465733691142/23, 76623698120622632/23], [-14418960552/23, 457083894/23, 551760090/23, -99291300/23]]], 0, 6144, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9, -15, -15, -7], [-7, -13, -13, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-17825, -31458, -14072, 17963], [-16545, -25572, -3017, 10524], [-2, -2, -3, -1]], [[0, 0, 0, 0], [-146419017, 223590996, 45446234, -63217545], [-105631353, 156388886, 30690545, -43214496], [-28440, 49454, 6399, -13983]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [537, 131, 153, 43], [13, 11, 13, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3428998237411/23, 2219174708826/23, 93378597872/23, -467667061001/23], [-82541104691/23, 12356634902/23, -14314473339/23, -3213564546/23], [190/23, -48/23, -77/23, -5/23]], [[0, 0, 0, 0], [-330426389680420750/23, 58192519609681258/23, -136709649488253786/23, 113133695352629398/23], [-8445740329483052/23, -4069707414545876/23, -5109621791848574/23, 5664612127575916/23], [19495476/23, 2159352/23, -2137356/23, -909324/23]]], 0, 6144, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, -6, -2, -2], [30, 10, -126, -64], [0, 0, 0, 0]], [[0, 0, 0, 0], [2179128, -3969249, -723377, 1136178], [59206, 4545, -31902, 16141], [-10, 2, -3, -1]], [[0, 0, 0, 0], [-3008251005169, 5693829296081, 821903599783, -1533883938377], [-53979001982, 33881835790, 16756607470, -10802697430], [12061976, -11067000, -2765696, 2925904]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1277, 459, -5617, -2861], [122, 42, -510, -260], [0, 0, 0, 0]], [[0, 0, 0, 0], [75100601366/23, -127772679682/23, -18705613302/23, 34661502710/23], [646650470/23, 15468866/23, -5786672/23, 14218542/23], [-78/23, -20/23, -172/23, -4/23]], [[0, 0, 0, 0], [4134657445077028930/23, -7209492775490428980/23, -1100091548625877889/23, 1932605499678481183/23], [33847681111752811/23, -7416476566952026/23, -7959478366681925/23, 1853182121866426/23], [-6121848184/23, 443178163/23, 291556375/23, 121511966/23]]], 0, 6144, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[320, 608, -64, -160]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, -8, 10, 6], [36080, 18864, -134192, -69512], [0, 0, 0, 0]], [[0, 0, 0, 0], [306344774, -591790145, -82142327, 158599452], [-182261, 259602, 353361, -240846], [5, -3, 0, 0]], [[0, 0, 0, 0], [-67274610470525/23, 129955203753564/23, 18026680703056/23, -34821652416907/23], [3976884163, 3888388842, -1093118965, -930961910], [16973376/23, 35783286/23, -4543301/23, -9572563/23]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-48, 6, 116, 42], [12, 16, 0, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [1679783841/23, 1292573496/23, -6894796696/23, -3680668285/23], [12949995, 5643712, -43685997, -22409632], [344/23, 54/23, 55/23, -3/23]], [[0, 0, 0, 0], [-4460719892558, 13480921958194, -14150128973852, -11534480247184], [5509798076786, 6897417315424, -3658574860894, -3000609929924], [72902500, 112667500, -18557000, -30486500]]], 0, 3145728, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[576, 1056, -192, -288]], [ -4, -7, -1, 2 ], [ 0, 0, -2, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-36, -6, -6, -4], [46, 34, 22, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [704792311/23, -426936595/23, -500531695/23, 312264235/23], [-29262062, 1686170, -4412654, 1618004], [-321/23, -31/23, -9/23, 3/23]], [[0, 0, 0, 0], [361609453507, 364624212424, -51251276858, -124494032571], [-582575899689, -747636863244, 190565810097, 191010240378], [-283474, -390566, 86469, 103935]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, -12, -44, -4], [54, -62, 6, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1750834260/23, 2603130143/23, -2245200114/23, -1523154229/23], [-105240641, -240793665, 15810913, 49872741], [-131/23, -10/23, 75/23, -2/23]], [[0, 0, 0, 0], [-483213156093, -979860655903, 176903586058, 284342882908], [1578087367486, 1084456780561, -415810628954, -281358426671], [-114359, 317254, 29512, -84847]]], 0, 31457280, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[8, 16, 8, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, -1, -1, 3], [-28, -22, 80, 40], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 0, 0], [0, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [3744986, 3938984, -963914, -1072848], [10834835, 20195589, -2819095, -5332505], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [318, 190, -220, -118], [13, 17, -21, -11], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7184770004734/23, 13475587536974/23, 1912381454431/23, -3617412923479/23], [-8140469231/23, -1012692562/23, 757804539/23, -493740758/23], [-60/23, 43/23, 103/23, 4/23]], [[0, 0, 0, 0], [-28454429178207317/23, -33940316636868898/23, 7617205313690194/23, 9091718461005454/23], [-990917713578094/23, -1903590378662467/23, 263761983926635/23, 510264204092932/23], [-820153/23, -2272662/23, -866837/23, 1199991/23]]], 0, 1536, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[8, 16, 8, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5, 15, 13, 5], [32, 16, -118, -58], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 0, 0], [1, 1, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-1290024, -2147760, 344736, 575928], [-105735, -209755, 27755, 56805], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [19, -151, 185, 79], [-11, -13, 17, 7], [0, 0, 0, 0]], [[0, 0, 0, 0], [1280472727070/23, -2444806617224/23, -388588959869/23, 653169694642/23], [-12309549447/23, -756871181/23, 48801984/23, -121399914/23], [84/23, 18/23, -112/23, -1/23]], [[0, 0, 0, 0], [-902966668191760461, 1641012888688345131, 277420365228687525, -435355164955159755], [194259365858440394, 359564045930659854, -49473363033344348, -95889619772795572], [-983869152, -1799389920, 331620552, 484866384]]], 0, 1536, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[8, 16, 8, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, 6, 2, 10], [8, 9, -14, -7], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 1], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-72, 24, 24, -6], [238, 450, -66, -122], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-74, -70, -42, -38], [10, 5, 4, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-21535947085/23, -18064353698/23, -8222138902/23, 2859469979/23], [3146056720/23, 850885040/23, 120868380/23, 83375100/23], [-86/23, -2/23, -169/23, -5/23]], [[0, 0, 0, 0], [-247356971003137500862/23, -467585982280011018770/23, 70643338098000883177/23, 125944229652263275848/23], [27567843343291111840/23, 51636899076935385180/23, -7689273313554661440/23, -13935471882713866760/23], [-1028219275592/23, -1883416994259/23, 335176143072/23, 506928998338/23]]], 0, 1536, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[8, 16, 8, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 4, -4, 6], [-2, 5, 0, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 1, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-7368864, -14222304, 1974848, 3811872], [-126595, -240520, 33005, 63700], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-258, -144, 14, -38], [-6, 12, -2, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [2041754377/23, 4024808399/23, -536874600/23, -1073693376/23], [-2754337/23, 202452/23, 146143/23, -258206/23], [-29/23, 140/23, 54/23, 5/23]], [[0, 0, 0, 0], [119602928639456807/23, 231005628717708910/23, -32053484097199215/23, -61904553547764183/23], [-81569492291884/23, -161526795218432/23, 21659749690032/23, 43884933330856/23], [1913401943/23, 3467803780/23, -699533832/23, -897853634/23]]], 0, 1536, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[32, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-22, -10, 26, 16], [-4, -10, 10, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3338851, -9662698, 7994271, 6179070], [-2183443, -1468045, 4193011, 2182197], [-2, 1, -2, 5]], [[0, 0, 0, 0], [-18478610753, -204763962620, 3597235297, 54201492282], [-26461852523, -16965137549, 6394188397, 4218805529], [-71500, 77663, 21136, -22577]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [350, 128, 82, 60], [-4, 8, 4, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [16499910306, 43815765888, -3809831870, -11436941586], [143323694, -221876, 3897274, 3787634], [6, -6, 4, 0]], [[0, 0, 0, 0], [16183874564980061367/23, 35568790517985815872/23, -4173044067384507239/23, -9447749786178078758/23], [94106533126113607/23, 77548983172189401/23, -16217465114015731/23, -18514418452677207/23], [3603223678/23, -174327979/23, -53669612/23, -75409637/23]]], 0, 98304, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[32, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 32, 16, 0], [8, 10, -4, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5153551, 9337185, 591077, -2889223], [1261838, -2969844, -272962, 684694], [-15, 7, -5, 3]], [[0, 0, 0, 0], [205113432935, -194336359862, -128314371783, 14048621234], [-20833328477, 113063683853, -1891565149, -33809766101], [1150554, 1034511, -266652, -278997]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-376, -94, -116, -14], [4, -8, -8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-310626176135/23, -1153793890450/23, 33796365145/23, 317851579752/23], [-4211262509/23, -40780089/23, -143694027/23, 29888687/23], [-38/23, 97/23, 20/23, 1/23]], [[0, 0, 0, 0], [2137998881976818096/23, 3644095079862666624/23, -582929095530922396/23, -966102835672453554/23], [7992875033255304/23, 23343316350419200/23, -2250802696591954/23, -6004352468909320/23], [-76969800/23, -1764000/23, 1638000/23, 571800/23]]], 0, 98304, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[32, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -18, -16, 10], [6, -2, -10, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [14085, -25636, -61989, 36168], [-8389, 43579, -53255, 18173], [-10, -5, -4, 1]], [[0, 0, 0, 0], [-1954901841, -1931587720, 1164917193, 176280390], [3123713227, -5081309445, -183912687, 1036106339], [-1226066, -4451851, 321240, 1153787]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [344, -44, -42, 64], [2, -2, -4, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [6716153254399/23, 2764689570765/23, -1731855588119/23, -712391124813/23], [16596032510/23, 1076996046/23, 209685346/23, 280956468/23], [-1/23, 31/23, -129/23, -3/23]], [[0, 0, 0, 0], [-54914084556213137333/23, -63331944616978887070/23, 14684378463659970779/23, 16957174463179238602/23], [-135269778469736619/23, -122810224731087303/23, 34211566407964311/23, 32645108844489069/23], [214217874/23, 711945/23, -1172574/23, -2118051/23]]], 0, 98304, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[96, 176, -32, -48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-160, -78, 592, 300], [-8, -8, 2, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10855308, 2119900, 29465561, 12278223], [-10998907, -7916176, 3688919, 1443662], [4, 3, 3, 0]], [[0, 0, 0, 0], [-83604817500, 163140675398, 22189077058, -43570034114], [-54162990390, 239856687260, 14223969580, -64120195858], [31562, -122578, -8808, 33030]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-690, 106, 46, -120], [-2, 10, 4, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-45689335828/23, -475712446350/23, 16782529503/23, 129372974867/23], [1216362842/23, -19407047/23, 11395382/23, -25507877/23], [291/23, 64/23, -20/23, -1/23]], [[0, 0, 0, 0], [-707924359946206290608/23, -1411215355712379180048/23, 185515448038077511762/23, 376641646495234292472/23], [3412884681630401514/23, 6058787960121266444/23, -1331894090205306958/23, -1530850789568803886/23], [882618270576/23, 1618911413784/23, -294879899258/23, -443170082418/23]]], 0, 24576, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[96, 176, -32, -48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [418, 174, -1634, -830], [6, 4, 8, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1324196, -13622775, 10807602, 9072723], [4564827, -6597157, -1308697, 1728927], [1, -4, 1, -2]], [[0, 0, 0, 0], [-78500778507, 92354895821, 21067202238, -24756880216], [-59583962311, 129692853054, 15977896751, -34757576126], [-32495, 51054, 268, -9313]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [564, 84, 112, 10], [-4, 8, 10, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [35861604360735/23, 187401705745690/23, -4711531518800/23, -50897135805943/23], [550568362909/23, -257344348/23, -1501074755/23, -1247837440/23], [177/23, 125/23, -6/23, 2/23]], [[0, 0, 0, 0], [8506502506234911017255/23, 17059344853909957070367/23, -2195242443055796280274/23, -4636647492131918702674/23], [39264744930930772052/23, 71713657575781706617/23, -8857757029553341684/23, -20962466267921217013/23], [17355750082/23, 31817961945/23, -5766662715/23, -8626975126/23]]], 0, 24576, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[96, 176, -32, -48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, 0, 6, -4], [34, 54, -38, -30], [0, 0, 0, 0]], [[0, 0, 0, 0], [71, -98, -18, 39], [409, 280, -1357, -724], [6, 2, -1, 1]], [[0, 0, 0, 0], [3442, -6318, -908, 1686], [418, 686, -162, -206], [162, -204, -42, 54]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3514, 1692, -13532, -6940], [322, 154, -1230, -630], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1950401050830/23, 4067313245983/23, 516796336743/23, -1081908262382/23], [13206203224/23, -2448675449/23, -4243401418/23, 1467375841/23], [-162/23, -130/23, -37/23, -3/23]], [[0, 0, 0, 0], [-2553401601738947939/23, 137359721118062497932/23, 4708420318944125052/23, -39039045386690480395/23], [2662114342000852362/23, 4968588341292030591/23, -277998466994871328/23, -1570331014450101725/23], [-60054824063/23, -110180088681/23, 19886176804/23, 29991022126/23]]], 0, 24576, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[96, 176, -32, -48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 10, 4, -2], [-370, -184, 1398, 720], [0, 0, 0, 0]], [[0, 0, 0, 0], [-74223, -1084193, -17987, 308831], [-199654, -648412, -531584, -91808], [5, 3, 1, -3]], [[0, 0, 0, 0], [83856996366, -200263498201, -22419296845, 53634124086], [-10066241065, -24659925572, 2586127511, 6498679470], [989219, -1498981, -269874, 403854]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-148, -52, 1658, 820], [-32, -4, 150, 74], [0, 0, 0, 0]], [[0, 0, 0, 0], [4531217/23, -8871341/23, -1204715/23, 2373331/23], [-1122/23, -546/23, 346/23, 176/23], [-167/23, -67/23, 77/23, 5/23]], [[0, 0, 0, 0], [-353503253505/23, 1101279944078/23, 86267620442/23, -294700671051/23], [2620837820/23, 4829127875/23, -878851020/23, -1388813685/23], [368453525/23, 671701135/23, -127219930/23, -178341070/23]]], 0, 24576, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[192, 352, -64, -96]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, -20, -32, -6], [-2, -2, -4, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6376, 11889, 1744, -3199], [9525, -18483, -2559, 4975], [5, 8, 5, 4]], [[0, 0, 0, 0], [4277460079, -3706979148, -1143708329, 992130512], [-4497224521, 9565716929, 1203512891, -2561935563], [-66110836, -126091405, 17699374, 33995643]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-848, -62, -154, -156], [-36, 0, -6, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-490038917577903/23, 34030567742883/23, 146266572265141/23, -47722114790353/23], [-19167928017668/23, 1610379555838/23, 235282314894/23, 595577112526/23], [-247/23, -163/23, -123/23, -5/23]], [[0, 0, 0, 0], [661435562083501682637025/23, 1939648075086425418490786/23, -125289340064456335929543/23, -506107033855186758758652/23], [27374197433636759894521/23, 80573880878595747005899/23, -6406064683284200649951/23, -20088759318043890511543/23], [578863474200/23, 1453260008893/23, 17157714888/23, -286131157153/23]]], 0, 393216, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[192, 352, -64, -96]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 6, 28, 14], [-2, -4, 2, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [253075, -520575, -68397, 137211], [1588, 32, 6590, -3956], [-7, 1, -3, 1]], [[0, 0, 0, 0], [-3504333, 1942741082, 3753007, -519368070], [-94615655, -166346521, 26662185, 44218159], [237062, 424151, -62776, -112749]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [354, 60, -82, 24], [-8, 6, -8, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [2151713087486/23, 1761426873222/23, -445886460678/23, -367125763502/23], [-52988801940/23, -696360344/23, -1185657746/23, 2085527858/23], [200/23, 56/23, -6/23, 2/23]], [[0, 0, 0, 0], [-14230958080198213213/23, -26960773153493813628/23, 3941236959437015219/23, 7391051318938739066/23], [275153711559133377/23, 487012271717058463/23, -107413195536830347/23, -121257388496673707/23], [-1147014582/23, -2106205157/23, 381657514/23, 582190245/23]]], 0, 393216, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[192, 352, -64, -96]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24, -16, -12, -4], [14, 2, 6, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [61395, -1682, -155427, -71714], [-14445, 22803, -1221, -6869], [-2, 1, 0, -5]], [[0, 0, 0, 0], [-12688957750, -22432332002, 3188152356, 5900704048], [5824218778, 9430650124, -1568512836, -2528011146], [3003264, 5674412, -805168, -1527860]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [70, 136, 92, 42], [24, 8, 6, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2213203662/23, -3409840519/23, -811568028/23, -237502865/23], [-738396349/23, -1868665/23, 12046429/23, -49646955/23], [-177/23, -56/23, -109/23, -2/23]], [[0, 0, 0, 0], [10292360316514856718/23, 19708591307821108392/23, -2965283392727952248/23, -5553560798018827302/23], [1845931994291628742/23, 3383790073487745272/23, -540543452148757818/23, -912518259468543976/23], [590255398172/23, 1076918561700/23, -201387144458/23, -286007609346/23]]], 0, 393216, [], [] >,
< [ 1, 0, -4, 0, 1 ], [[64, 160, 0, -32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [24, 22, -4, -2], [2, 0, 2, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [907110, -1937904, -157300, 513626], [284790, -504728, -193212, 175526], [-8, -4, 0, 0]], [[0, 0, 0, 0], [90411538, 165616321, -25392276, -43615507], [4937043, 9245869, 1254635, -3893785], [13269, 25658, -3563, -6880]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-222, 10, -6, -54], [-20, 0, 0, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7004, -44705, 7270, 9771], [-1849, -3119, 375, 889], [13, -10, 3, 0]], [[0, 0, 0, 0], [-2746341252080/23, -5397912795082/23, 668102878406/23, 1450598962660/23], [-336104060860/23, -647672305922/23, 91400101546/23, 173328395780/23], [932325720/23, 1694056560/23, -330178980/23, -448055580/23]]], 0, 393216, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[1, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-20, -24, 35/2, 17/2], [-24, -23, 17, 21/2], [5/2, -5/2, 5/2, -1], [-3/2, -3/2, 2, 1]], [[81691, 192613/2, -1851/2, -22012], [73834, 243419/2, 15123/2, -58575/2], [43207/2, -12817/2, -8069, 2910], [27493/2, 37989/2, 418, -8731/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[45/2, 26, -21, -37/2], [76, 77/2, -2, -21/2], [-5/2, -3/2, -2, -1], [0, 0, 0, 0]], [[3950145497, 5327803897/2, 4059759531/2, 337003380], [-77149875597, 51229871313/2, 29878446451/2, -5132894720], [3977461025, -276976223/2, -1366380285/2, 229551084], [1, -1/2, -3/2, 0]], [[-1127748508567863/2, 243457425449847, 356015044281057, -277490362155279/2], [193043251617742499/11, -84937669019450219/22, -97825921941102787/11, 67551791356805367/22], [-15260119618765413/22, 4117897438249707/22, 3807531246117774/11, -1364339950040130/11], [-633360/11, 94500/11, -182280/11, 70980/11]]], 4, 2, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[3, -2, -2, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-38, -44, 61/2, 23], [-81/2, -87/2, 61/2, 27], [3, -1/2, -5/2, -13/2], [-1/2, 0, 5/2, 5/2]], [[1500674, 475131/2, -949753/2, 116281/2], [150625, 739834, 306705/2, -376855/2], [1331169, -1249977/2, -658437, 279608], [18880, 122720, 30208, -33040]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[34, 44, 57/2, -13/2], [286, 125/2, 50, -15], [24, 5/2, 5/2, -3/2], [0, 0, 0, 0]], [[1035771812375, 2564570880443/2, 954352804930, -747876269541/2], [103376461801841/11, 8082368878449/22, 23830180983627/11, -19113606081667/22], [8499456956191/11, -1846056760545/22, 1602000375419/11, -1453871314469/22], [-2/11, 53/22, 34/11, 5/22]], [[-19633253337184732122546, 5760562096564223332954, 7376231460180867410753, -2611138723519439050724], [-3019875412012221713340015/11, 909890246905579876854605/11, 1230498533524736216348965/11, -446709788664523770440410/11], [-266583314950757261439423/11, 80986270639073299261877/11, 108883913832671766811039/11, -39669139826960620947802/11], [81361237944/11, -48063639851/11, -52672863247/11, 25079281591/11]]], 3, 3, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[-5, 1, 3, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-33, -43, 45/2, 43/2], [-15, -91/2, 17, 25], [2, -5/2, 5/2, 3/2], [0, 0, 0, 0]], [[-1666580690, -292435623/2, 5208943453/2, -2108785035/2], [962018456, -1114630387/2, 1303776377, -647545813], [-936798375, -631511967, 1437081369, -430374972], [-2, 2, 5/2, 5/2]], [[103774131128497740, 11777053771705203/2, -148182922920008835/2, 44552899048365195/2], [286844442143379678, -98479818048043475/2, -149442344445913557, 49698141851598752], [91155538719189750, -6647597939191950, -57266522346501750, 18247601348584200], [-188573046, 337399113, 391424133/2, -251216343/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[45/2, 31, -13, -41/2], [-50, 127/2, -37, 33/2], [-5/2, -3/2, 1, -2], [0, 0, 0, 0]], [[901449411/2, 1024916053/2, 476589485/2, -559999563/2], [-2927469723099/11, 889580477710/11, 2417541451345/22, -881689200045/22], [5816226521/22, -1127468511/11, 1347898549/22, -361306991/11], [3/11, 25/22, -3/22, -1/11]], [[-170547192188, 35911959213/2, 176872871887/2, -70249467477/2], [1063090673474705/11, -597667660801809/22, -928564993357723/22, 333078954704055/22], [-1999609388123/11, 738851487049/22, 1995494928983/22, -681643675577/22], [2370/11, -4329/22, -3591/22, 1995/22]]], 3, 3, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[3, -1, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15/2, 25/2, -6, -9/2], [4, 4, -9/2, -6], [-5/2, 5/2, -1/2, -1/2], [0, 0, 0, 0]], [[294899/2, 280515/2, 114755, 71349/2], [566814, 1006216, 227816, -228279/2], [288579/2, 24780, -19815, 6396], [-2, 1/2, 1, -2]], [[-2965520691255/2, 184417062729, 745628246409, -234770275089], [707695487697/2, -513431189503/2, -661046749649/2, 151068034047], [-1595242856625, 713709749775/2, 1527375172455/2, -262062124665], [-5646336, -7882752, 12819456, -3511296]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[8, 13/2, -17/2, -6], [217/2, 97, -3, 2], [1/2, -3/2, -3/2, 0], [0, 0, 0, 0]], [[33797741/2, 16237154, 12488968, -532333/2], [737219451/22, -14012889863/22, 2327326567/22, 366603488/11], [336893857/22, 6606959/22, -9837639/11, 4232931/22], [21/22, 8/11, 83/22, 2/11]], [[127295417414502279/2, -10948113792266136, -32797877386488692, 10885035043039665], [67612988681123451789/22, -6381600485898486246/11, -17928081062416708852/11, 6063376501350625319/11], [1544350609702636899/22, -179798108684174888/11, -370041435823647208/11, 128150669803796677/11], [332499325375/22, -21726573680/11, -93466100840/11, 30458214045/11]]], 3, 3, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[7, -1, -3, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, 2, -8, -4], [-25, -3, -6, -2], [-2, -1, -1, 0], [0, 0, 0, 0]], [[28454045, 81129585/2, -1530826, -11938552], [56790499, 80729311/2, -6642563, -23295507/2], [10475525/2, 9765025/2, -612625/2, -1445650], [-5/2, 5/2, -3/2, 5/2]], [[946131765975, -57319520471023/2, -16267106235899/2, 8866248705598], [502262953826607/2, -216614255027273/2, -244134317950131/2, 51458519163935], [17344848929550, -9153808069625, -8991495338165, 4090412769365], [-146399513/2, 11561292, 32331617, -10622944]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-87/2, -55, 45/2, 63/2], [-377/2, -123, 221/2, 63], [-1, 1, 1, 5/2], [0, 0, 0, 0]], [[134702825/2, -88547518, -667370311/2, -296284769/2], [991978799/22, -11772425169/22, -18375576495/22, -3784533407/11], [-437592167/11, -1148890638/11, -1150580245/22, 113199509/11], [-3/11, -19/22, -25/22, -3/22]], [[-106584529490165/2, 43345649335341/2, 52723020872613/2, -10249660746117], [-34760032404182563/22, 5225611366238267/11, 7559198171340856/11, -2752425137044213/11], [-741345424009880/11, 221555986618828/11, 330810106298184/11, -120612055207142/11], [33141150/11, -18827235/22, -28075005/22, 5042520/11]]], 3, 3, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, -2, 6, 10], [-4, 6, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 1, 0], [1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [2719702, -7638312, -2083176, 1562382], [-10853388, 810108, 6216912, -1950624], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-252, -10, -6, -10], [4, 2, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [134721414639/11, -112832383753/11, 118067998797/11, -25321733495/11], [-3175921526/11, -192581492/11, -64443991/11, 19171426/11], [-3/11, -7/11, -48/11, 1/11]], [[0, 0, 0, 0], [-812807042916948092612/11, 323293109694255468584/11, 215422488180927779408/11, -87849489161210169472/11], [9517603149683806630/11, -2507017779049749470/11, -3246559672922616150/11, 1123738141591020750/11], [72167955220/11, -9078667500/11, -904233340/11, -598832600/11]]], 0, 7616, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[-48, 32, 32, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, 8, 2, -4], [-82, 0, 0, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 1, 0], [1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [52512054, -20155476, -32744508, 13430418], [-707555620, 367182900, 392827420, -169020700], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [96, -8, 4, 18], [-10, -8, -2, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-41249423451, 27786089578, 19321975638, -9516163566], [3863120978, -855588139, 175926627, -148653266], [5, -5, -5, 0]], [[0, 0, 0, 0], [-4489667919780812/11, 1168624550820678/11, 2317048020444272/11, -833891461426016/11], [738725683291188/11, 7810383936316/11, -494808324532846/11, 149614125222324/11], [348686/11, -484172/11, -291174/11, 204854/11]]], 0, 45696, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[0, 16, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [40, 30, -40, -16], [6, 10, -6, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 1, 1, 0], [1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [24150, -163254, -38640, 37996], [-34929480, 9984672, 15088896, -5431008], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-20, 118, 120, -38], [-10, 8, 8, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1831447789/11, -2217066954/11, 745961747/11, 685992452/11], [-95153683/11, -147837744/11, 25557971/11, 53354205/11], [68/11, 34/11, 54/11, 3/11]], [[0, 0, 0, 0], [240889876666497600/11, 83992750045159930/11, -215635244404830664/11, 49212723808068754/11], [15563991749625736/11, -788127747100436/11, -7627114649974880/11, 1634256688208566/11], [112041265060/11, -21310392472/11, -67157156786/11, 22680284466/11]]], 0, 45696, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[-48, 16, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-96, 0, -34, 0], [8, 0, 8, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 1, 1, 0], [1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [4811493288, -1702208706, -910421388, 362579292], [-507807692, 124550104, 67557140, -23845948], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-120, 52, -30, 8], [4, -8, 10, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1260608235/11, -2737362384/11, -275479173/11, 628993162/11], [-41696753/11, 1471168/11, 1930703/11, -2802067/11], [84/11, -2/11, 46/11, 5/11]], [[0, 0, 0, 0], [-1390823448213247/11, 11753051915465903/11, 2856469872664641/11, -2988577991291140/11], [695717664526653/11, -186923859371574/11, -139790690828376/11, 43326989860444/11], [-1515342000/11, 423032975/11, -217451577/11, 105063712/11]]], 0, 91392, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[32, 16, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [22, 16, -32, 0], [-2, -10, -4, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 1, 1, 0], [1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-79038086, 24588210, 35400334, -13098934], [-3861440, 355872, 1657216, -487168], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-22, 164, -4, 16], [-6, -8, -6, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-267870027814/11, 428431728859/11, 75158163276/11, -42696089614/11], [-18670256092/11, -12103103406/11, -6087760747/11, 3528674675/11], [-34/11, -5/11, 49/11, 5/11]], [[0, 0, 0, 0], [-2371338239992155826/11, 681442530487661600/11, 1022942955390829772/11, -368661256038220286/11], [-64680091436862502/11, 18480907679507656/11, 27840052653532022/11, -10016145456796246/11], [-12746304/11, 3750840/11, 5762928/11, -2083680/11]]], 0, 91392, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[2, -5, -1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-69/2, -48, 21, 23], [-89/2, -81/2, 31/2, 24], [3, -7/2, 3/2, 2], [0, 0, 0, 0]], [[2414079933/2, 4289686437/2, 182880298, -447966739], [1483070491, 3266890123/2, 210332205/2, -352644323], [74695004, 866516489/2, 152516027/2, -201818005/2], [5/2, 3/2, 0, -1/2]], [[26092679214572579/2, 17504500301558460, 296929999832230, -4114794876744593], [12327745650282263/2, 36370542421401165/2, 3387645451313145/2, -4326700350401446], [3794956149435102, 4598999278751295/2, -1110160118119165/2, -431732213320093], [-7121898, 18534510, 3845880, -3765168]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[30, 89/2, 4, -19/2], [93/2, 95/2, 5, -7], [15/2, 7, 0, -3/2], [0, 0, 0, 0]], [[-664298, 6606333/2, -20647292, 2993427], [-333915284/11, 2323598551/22, -642880875/22, -260386802/11], [-252124431/22, 86883868/11, -49696058/11, 17296687/22], [-5/22, 4/11, -19/22, 3/22]], [[205518367024771, -2514973625979376, -239032238222525, 444730464038166], [117646067346353620/11, -74430519928891097/11, -45727888789254558/11, 20574498897819046/11], [19963208856249095/11, -12642600246217011/11, -6829179948940873/11, 3456561732180814/11], [580402121/11, -1214328270/11, -233067108/11, 235627855/11]]], 1, 14, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[-32, 80, 16, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [162, 4, 8, 4], [10, -6, -2, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 1, 1, 0], [-1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-27549289350, 8815772592, 15019464416, -5673112918], [-612564504, 1103320668, 232663212, -221042772], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-68, 76, 76, 38], [46, 28, -66, -48], [0, 0, 0, 0]], [[0, 0, 0, 0], [2121541907329/11, -967546832196/11, -702865261286/11, 292900042643/11], [-102172179639/11, 123394063739/11, 43822020978/11, -22758207880/11], [-50/11, -41/11, -14/11, -3/11]], [[0, 0, 0, 0], [-1131588753925133065726/11, 669730118788135338235/11, 141044579419826649518/11, -91988180651449380149/11], [60946225296280519999/11, -47775905482330626684/11, 12379121633625216762/11, -1109830062934954267/11], [7661181509/11, -15731292837/11, -3069772160/11, 3059885990/11]]], 0, 913920, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[-11, 6, 4, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-66, -81, -17/2, 53/2], [-55, -163/2, -4, 22], [-26, -5/2, 1/2, 5/2], [0, 0, 0, 0]], [[-1398887489, -1437412709/2, 1012726263/2, -158363479], [-867775753, -2085804621/2, 47165121/2, 117534293], [-1015352517, -166302879/2, 1069413081/2, -152666517], [1, -5/2, 3/2, -1]], [[44328134108892606, 2446942190407862, -19058114378388589, 3841361198984302], [14428936756920351, 7824908774310282, -4221235496970439, -864751772550533], [43482074434145718, -8859628299719484, -19982149733355957, 6604312591072266], [-246262044, 130180652, 88629401, -43286978]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-69/2, -69/2, -58, -11], [-565/2, -32, -65, -37/2], [-47, -5/2, -1, -1/2], [0, 0, 0, 0]], [[-145082183745/2, -101822865085, -16583528483, 21369061055], [-2285436910538/11, -3750802817675/22, -187138603789/11, 412813854138/11], [-553510799705/22, -294997281395/22, -521196823/11, 69840345643/22], [-10/11, 17/11, 38/11, 3/22]], [[-731712201201137935/2, 203445665243688243/2, 317889791198292311/2, -113462212293314007/2], [-61468324118790628557/22, 8698292837156297273/11, 26656950267694760437/22, -9568651457050077839/22], [-9681256042461498795/22, 2747188124724357857/22, 2098622338970660083/11, -753954840624107116/11], [-42013487/22, 10039780/11, 7319287/11, -3346719/11]]], 1, 14, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[176, -96, -64, 32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [140, 8, -8, 8], [-24, -2, 2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1, 1, 0], [-9, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-401618574, 245856006, 92628036, -53456976], [70623200, -38869248, -21237184, 10749312], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-256, 60, -16, -22], [102, 2, 8, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [6294896115591/11, -1672316782980/11, -2779566982899/11, 987044690135/11], [-2116230598002/11, 554806219702/11, 927411346314/11, -328615311679/11], [71/11, 30/11, 25/11, 2/11]], [[0, 0, 0, 0], [-125488956395725843143203/11, 35241933555758647259002/11, 54881275620534048463933/11, -19680994642120561335556/11], [42136168655467302752275/11, -11867602769379080782600/11, -18401201958050509780091/11, 6603459331829710336747/11], [-1115093158452/11, 553115219988/11, 353898501912/11, -165681403269/11]]], 0, 913920, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[-5, 0, 1, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[135, 347/2, -60, -75], [130, 335/2, -105/2, -145/2], [10, 11, -17/2, -11/2], [0, 0, 0, 0]], [[-43248545, -340436811/2, -21624222, 32855982], [-233398866, -77607258, 109784727/2, -505753/2], [52931000, -54028350, -24529000, 14588300], [2, 5/2, 3/2, 5/2]], [[112449068366235/2, -15918118905540, -23988410703410, 8592815250225], [-129825628799600, 74966055161399/2, 112311939283793/2, -20277847522199], [67978607719700, -19511921480400, -29227624193000, 10526146294800], [-370575/2, 58563/2, 93069/2, -10206]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[100, 126, -45, -49], [270, 142, -53, -52], [10, 11, -9, -3], [0, 0, 0, 0]], [[2005632815/2, 1012182713/2, -1175129831, -2282380261/2], [-570047923135/22, 454880597271/22, 267479167669/22, -85627309673/11], [2983305185/22, -6439346410/11, -2645285925/22, -195074160/11], [25/22, -2/11, -9/11, -1/22]], [[358953916098611/2, -49060756724858, -182617011229362, 144232783155179/2], [-70905875951940483/11, 33584327414461755/22, 34569988001430988/11, -24065130839965741/22], [3902639124492055/22, -283613497614545/22, -1427850254938795/11, 474421619756410/11], [1302676/11, -750788/11, -472940/11, 233240/11]]], 1, 6, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[80, 0, -16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [40, -4, 8, -6], [-50, -50, 34, 22], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 1, 1, 0], [5, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-785555820, 224061390, 343458630, -123750990], [14240560, -800088, -2933656, 1298256], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-280, -132, 154, 82], [-40, -32, 36, 20], [0, 0, 0, 0]], [[0, 0, 0, 0], [14539727569, -4185815549, -6209968864, 2394067263], [183195145, -121554051, 44012059, 30252403], [2, -2, -5, 0]], [[0, 0, 0, 0], [379971018089397683/11, -109349650755688072/11, -164155263446108898/11, 59225621475709237/11], [8657511883308705/11, -2509877571276653/11, -3890897281766852/11, 1418742815834832/11], [17597194/11, 2284881/11, -3473838/11, -454395/11]]], 0, 182784, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[-8, 0, 4, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7/2, 0, 17/2, 3], [-6, 2, 11, 11/2], [17/2, -1, -1/2, 1/2], [0, 0, 0, 0]], [[2906770, -634642, -261087, 369843/2], [-2084561/2, 1401567, 1634597/2, -242855], [3779799, -1253902, -1197897, 457495], [1/2, 1, -3/2, 5/2]], [[-4923498475540, 1232961628101, 4345795565865/2, -1506692877601/2], [2242192397010, -1526163466199/2, -2037724945239/2, 784466154293/2], [-5819066283692, 1604698933101, 2551950372790, -910354626162], [3732321, -2806001/2, -2098320, 859106]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-53/2, -41, 73/2, 57/2], [-803/2, -64, 89/2, 46], [16, -2, 1, 5/2], [0, 0, 0, 0]], [[1409434064204, 1471978533555, 1384088035785, -11359837565], [-238844253996380/11, 63026637153211/11, -8016792899902/11, 16300228377781/11], [14921090500150/11, 357034268079/11, 82036095675/11, -66190978927/11], [8/11, 15/11, -15/11, 1/11]], [[147982360721133139233/2, 51669502230231417654, -33870519817455964341/2, -17018680772197195125/2], [-18753365154844627501885/22, 1882333588974690134784/11, 8797876918643311540469/22, -2968952531325588947587/22], [1016823747806527270113/22, -6088187127797438010/11, -409536770806507052301/22, 95780108925630239283/22], [-1018955295/22, 10602090/11, 518595795/22, -136644165/22]]], 1, 6, [], [] >,
< [ 5, 5, -4, -2, 1 ], [[128, 0, -64, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [22, -6, 6, -2], [50, 2, -6, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 1, 1, 0], [1, 1, 1, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-3897186, -33774, 2311222, -651202], [-4753014, -500318, 2045940, -312698], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [396, 8, 2, -6], [-6, 6, 0, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-33705872465324/11, 6236424375652/11, 16818731097214/11, -5610862692342/11], [309687076648/11, -106028761276/11, -1190751960/11, 2859359872/11], [12/11, -16/11, 16/11, -4/11]], [[0, 0, 0, 0], [-17843958469834531/11, 4488847665642961/11, 6999957814455557/11, -2356016688745122/11], [412745682540841/11, 95404604252392/11, -154201086838112/11, 6535366489098/11], [41638/11, 10743/11, -17321/11, 978/11]]], 0, 182784, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[1, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6, -15/2, -3/2, -1/2], [5, -4, 0, 2], [1, -7/2, -3/2, -5/2], [0, 0, 0, 0]], [[5852249/2, -30683989/2, 12948647/2, -2112013/2], [14567809/2, 6027561/2, 10202147/2, -3997943/2], [-4357778, -36711549/2, 2746497/2, 942966], [2, 1/2, -3/2, 1]], [[14563730343/2, -7864510657/2, -12787459859/2, 2475204867], [8966253483/2, -11594268643/2, -10610682833/2, 2454276537], [2798739444, 1864877758, -1088389501, 20928798], [1014, -1235, -988, 468]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-26, 3/2, 3/2, -1/2], [-28, 11/2, 3/2, -1/2], [-2, 4, 0, 0], [0, 0, 0, 0]], [[4906390, -98172701/2, -20278284, 12911361], [50773248/7, -99082165/2, -140560619/7, 91174738/7], [16428032/7, -909599/2, 1387126/7, 795157/7], [-18/7, -5/2, -9/7, -2/7]], [[-11079923153471/2, 14984250035456, 3877199785602, -6153000241673/2], [-44882729979937/7, 16031400665819, 22315491549360/7, -20486982174160/7], [-12205626539997/14, 1047152077887, -4824900435996/7, 2097019193667/14], [6876770/7, 53612, 241254/7, -336106/7]]], 4, 2, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[3, 2, -4, 1]], [ -33, -7, 5, -2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17/2, -39/2, 37/2, 20], [-622124992/28849, -2681409393/57698, -1490187426/28849, 1900599/57698], [-1/2, -5/2, -3/2, 2], [23663/28849, 50990/28849, 113457/57698, -2/28849]], [[4611575/2, 2238420, -9060275, 2889450], [19272296106635933/57698, -17988503881150885/57698, -14304718371118923/57698, 3294256339194062/28849], [-4825235, 758095, 7579950, -5206795/2], [-366705598257/28849, 342270467397/28849, 272193490485/28849, -125365815360/28849]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11, -49/2, 53/2, 28], [-29/2, -15/2, 13/2, 22], [3/2, 3/2, -1/2, 3/2], [0, 0, 0, 0]], [[-7060749/2, -15366087/2, 20205963/2, -9793998], [604138665/2, -322768263/2, -637809827/2, 234433923/2], [-40469049/2, 8937159/2, 4097283/2, -756447], [0, 3/2, 3/2, 0]], [[173506706757069/2, 106451476125624, -728171493038283/2, 226127417370309/2], [-321253927775938931635/201943, 137966663720067236077/403886, 162027886819611941501/57698, -396683497150028781213/403886], [345509858677573/14, -1821520763899769/14, 127884119570524, -212517325075974/7], [1091287185505/403886, 693951926305/403886, -259339180375/57698, 261950460255/201943]]], 4, 3, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[0, -3, 1, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-24, -25/2, -7/2, -1/2], [-19, -19, -5, 1], [5, -13/2, -3/2, 3/2], [0, 0, 0, 0]], [[920959624, 7657577731/2, 1201880067, -925809228], [999099551, 7591786481/2, 1215752619, -933896898], [156279863/2, -32895625, 27745113/2, -8087670], [3/2, 0, 3/2, 0]], [[-126152673372389/2, -170765841237144, -52922334820242, 88495035605629/2], [-123260029650859/2, -176858250272064, -52153530319467, 89382111347159/2], [1446321864635, -6092409576660, 768804565515, 443537919125], [1290, -180580, 21580, 16120]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11, -21/2, 5/2, -5/2], [-29/2, -18, 12, 5/2], [1/2, 3/2, 1/2, -2], [0, 0, 0, 0]], [[6871439, -4766490, -10838205/2, 4491399/2], [92739737/14, -65183747/14, -5050425, 29683173/14], [-1938653/14, 709971/14, 144213, -760467/14], [-13/7, 20/7, 1/2, 3/14]], [[-9459585182662, 2085233707402, 5271119787318, -1727614728814], [-128140946620121/14, 13151357506578/7, 4607847256690, -20669950370795/14], [3382267061905/14, 1028231333575/7, -174393420105, 455469352645/14], [-2290392/7, -72734628/7, 567704, 7972326/7]]], 3, 3, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-1, -1, -5, 2]], [ -11, 18, 0, -11 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[10, 47/2, -22, -29], [14416687/3449, 59689295/6898, 43960775/6898, -61999/6898], [-1/2, 0, -3/2, -1], [8509/6898, 8805/3449, 6500/3449, 3/6898]], [[1938963, 6135609/2, -29936025/2, 10118613/2], [-191201871250942/3449, 337408574572378/3449, 294861950627149/6898, -176138623185589/6898], [21568629, -52303695/2, -28503279/2, 15061761/2], [-112981857415/6898, 199343792795/6898, 43554278355/3449, -52033177415/6898]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15/2, 16, -39/2, -31/2], [-23, 3/2, -33/2, -55/2], [1/2, -5/2, 1, -1], [0, 0, 0, 0]], [[42839147/2, 90722961/2, -63466035, -63017434], [-15261843122107/48286, -2697543952589/3449, -15045639511669/48286, 4522118677695/48286], [-53927271/14, -29441449, -158404501/14, 61211427/14], [-90211/48286, -4361/3449, -115851/48286, -1/48286]], [[2353295306819/2, 9097305065633, 42450836497273, -33731948938927/2], [84313481131549579331/48286, 1573565246112113843/3449, -16128128012010062023/24143, 4789519969228600719/48286], [-903539852249463/14, 114045010427359, 440065270601701/7, -482518518898039/14], [1310865440875/48286, -66920757700/3449, -259207737235/24143, 246945610375/48286]]], 4, 3, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-1, 2, 5, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-29/2, -1/2, -5/2, 1], [-7, 11/2, -17/2, 11/2], [5/2, 2, -2, 3/2], [0, 0, 0, 0]], [[132075358, -73954749/2, -94911697, 33717404], [92539077, -73048093/2, -90503880, 29132201], [-13178761, 302219/2, 1469272, -1528401], [2, -1/2, 1, 0]], [[-10728808925551/2, 46446180400789/2, 13389122547623/2, -5175043450467], [-6714070664233/2, 13773888386002, -4380366891488, -134245011043/2], [1338246270381/2, -3149734061485, -3691643141829, 3405280955297/2], [-549825/2, 740125/2, 2520375/2, -488000]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[17/2, 43, 0, 1/2], [6, 89/2, 3/2, -1/2], [-5/2, 3/2, 3/2, -1], [0, 0, 0, 0]], [[-706323/2, -1424405/2, 3420244, -2201121/2], [-3117231/14, -835249, 46420837/14, -7380768/7], [1827825/14, -246099/2, -731166/7, 646215/14], [17/14, 0, 5/14, -1/7]], [[-169334563637/2, -5690665719/2, 958242876573/2, -168249035678], [-634073301775/7, -2091643738, 3392154383798/7, -1190335741030/7], [-82806340151/14, 1526625523/2, 76749951161/14, -12626616456/7], [12958/7, 213652, 1474484/7, -725028/7]]], 3, 3, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[5, 0, -20, 7]], [ -33, -7, 5, -2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7, -7/2, 41/2, -1/2], [-2615531695/57698, 1295892661/28849, 630434823/28849, -571227/28849], [-17, 5/2, -5/2, -1/2], [49756/28849, -49313/28849, -24031/28849, 5/57698]], [[-14409694657, -33584461729, 8697391461, 3863413217/2], [-45003758451092636/1697, -35187796194307535/1697, -59087830190407973/1697, 28067538274686889/1697], [82365799901/2, 152490893114, 35478923291, -34531692510], [3439446137325/3394, 2725430219325/3394, 4508946745875/3394, -1073644873785/1697]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7/2, -7/2, 8, 5], [-49/2, 6, -20, -51/2], [-17/2, 1, 3/2, -5/2], [0, 0, 0, 0]], [[149767/2, -255909/2, -137610, 1293], [87291269062/201943, -371843627415/403886, -24805100424/28849, -4195182342/201943], [-366339/14, 60540/7, 46373/2, -87659/14], [99675/201943, -174771/201943, -50555/57698, -1/403886]], [[-713781957091/2, -544130642129/2, 444686315102, -216035327591/2], [-1249448002663495343/403886, -590062273703334389/201943, 161667752350847943/28849, -301685406242225969/201943], [-39935437394/7, -712117431635/7, 260011101095/2, -467325500177/14], [-559255962703/201943, -909156217199/403886, 260407831141/57698, -242986666670/201943]]], 1, 18, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-1, -2, 12, -4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13/2, -9/2, 1/2, 1], [-29/2, -7/2, -1/2, 2], [21, -1, 1, -1], [0, 0, 0, 0]], [[525169629/2, 147542645/2, -399510931/2, -389446527/2], [-637476795/2, 202290315/2, -193217035/2, -300237735/2], [1162646421/2, -54747673/2, -206293897/2, -89208797/2], [-3/2, -3/2, -1/2, -5/2]], [[-18222713780913199/2, -199900996746489, 16826427571587774, -11199600326930131/2], [29787100058312405/2, 3848559079738635/2, -46268520910606385/2, 7399818523072660], [-48009813873644913/2, -2124180572007243, 39960688244931028, -25999237519146387/2], [-34419309/2, -70782873/2, 436080123/2, -73035468]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[17, -41/2, 3/2, 1/2], [101, -29/2, -9/2, 13/2], [-28, -2, 2, -2], [0, 0, 0, 0]], [[-4366476, 15271/2, -603890, 666793/2], [-584407732/7, -1441648251/7, -114586187/2, 364900380/7], [184614048/7, 480567322/7, 37792825/2, -120855573/7], [12/7, -17/14, -2, 1/14]], [[118581491146377/2, 146676290155227/2, -231733288880814, 71217261710028], [379976892832773/2, 692155197448095/2, -478651832985138, 118658890528197], [-87131793686941/2, -181826290093359/2, 82306159565166, -15813869375687], [-445713/2, -859395/2, 2146326, -704100]]], 1, 6, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[2, 0, 5, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[201, 0, -1, 3], [166, -5/2, -1/2, 7/2], [-35, -5/2, 1/2, 1/2], [0, 0, 0, 0]], [[1297088228549844, -112354087941264, 26235314525947, 53025384123623/2], [2142487156880049/2, -218255236218623/2, 49212834980563/2, 57023248837691/2], [-225844650109872, 3226469831900, -1628897035753, 3997864714243/2], [3/2, 3/2, 5/2, -5/2]], [[27162362738639135691945284, -13803807101710433232352907/2, -4737385020047123737286776, 2806945292142559588241353/2], [22486337105675857954178295, -11844499140344324846387919/2, -3933710409060039928392762, 2395800514905160254650619/2], [-4676025632964051806295684, 1959307961366100898918113/2, 803674610985148423045464, -411144777235849879350939/2], [22116243677, 213915625/2, 55296738530, -44270121137/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1107/2, 35, 1, 5/2], [555, 19, 14, 3], [9/2, -1, 2, -3/2], [0, 0, 0, 0]], [[39977612735007/2, 10635850792265/2, -8378989580215/2, -799465399205/2], [282137489660219/14, 69686059663699/14, -8329170402329/2, -5588369640421/14], [2294273781791/14, -176201786045/14, -555589591/2, -36633341/14], [-1/14, -55/14, -1/2, -5/14]], [[-36067553929605904856505, 74764124874253623847064, 36028282032005070887522, -20964075915728592090535], [-256358739636481126904811/7, 1058766181366351499534687/14, 70897369535999506055561/2, -291717867468434103737359/14], [-2218239211425668911204/7, 9865967953472317890379/14, 230262385913005867705/2, -1667622918227490688441/14], [-21768815553/7, -574939300/7, -7778510374, 21856550573/7]]], 1, 42, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[2, 0, 5, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-489/2, 17/2, 1/2, -1], [-417/2, 13, 1, 1/2], [36, 9/2, 1/2, 3/2], [0, 0, 0, 0]], [[1201590923054977/2, -210103765328605/2, 27142531019842, -14587243098631], [1022219707028707/2, -106246058437203, 54283827615483/2, -27314816087245/2], [-179371216026375/2, -2388351545885/2, -617212048, 929835054977], [5/2, 2, -5/2, 3/2]], [[9346015345371488864070088, -798592884275700667120653/2, -19164542982009979840742193/2, 3060857583826424166307258], [8041322575137641698753048, -854824141878226155756791/2, -16816800370008886053596067/2, 2704996655252012671720590], [-1304692770234115553467224, -56231257602530401730009/2, 2347742611999764520075155/2, -355860928574144219862574], [12780388104, 233956851/2, 63298431951/2, -12727367814]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-38, -2, -2, 1], [-81/2, -19/2, 25/2, 5], [-1/2, -9/2, -1/2, -1], [0, 0, 0, 0]], [[-64164623/2, 35713256, 57801965/2, -13501811], [-431892581/14, 233823160/7, 57595483/2, -94219740/7], [8252484/7, -419414/7, -122855/2, 377453/14], [1/7, 6/7, -5/2, 3/14]], [[14308057031816469/2, -7991251414585408, -6842383344081005, 6339141906152463/2], [95911243089782479/14, -52397979118448342/7, -6648975267099353, 42650598544775637/14], [-2008269118106542/7, -247202024670422/7, 73800400500956, -57161017142298/7], [569396672/7, 5984092/7, 201986160, -568587456/7]]], 1, 42, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[5, 7, -3, 0]], [ -11, 18, 0, -11 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11, -13/2, -9/2, -4], [-25979461/6898, 17593701/6898, -23996141/6898, -30397/3449], [-35/2, -5/2, 1/2, -1/2], [-3831/3449, 5207/6898, -7075/6898, 5/6898]], [[-19931409, -5249649, 44872443, -14601606], [96973096950199/6898, 61050992240954/3449, -76214918865616/3449, 17240098478239/3449], [39835005, 65120307, -14629419, -5061966], [14302002097/3449, 17970919640/3449, -22553097056/3449, 10232400691/6898]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[17, -11/2, -10, -19/2], [146, 9/2, -23/2, -5/2], [-24, -2, 1/2, -2], [0, 0, 0, 0]], [[129668891, -514364395, 775960993/2, 26175193], [22238001764071/24143, -19084805252940/3449, -3633421850581/48286, 33642138461283/48286], [-1085124875/7, 1846312349/2, 913269433/7, -1873177455/14], [-1301/48286, 10546/3449, 149545/48286, 2/24143]], [[3077241498006222, 132075345387819175, -211560097983735830, 58942525945837952], [-274954089947256463678/3449, 3872181171954264478846/3449, -2633015305144918675286/3449, 458859953239795637912/3449], [19362396407793519, -179355857052700692, 84464415127254615, -8052221237341206], [106601934950/3449, -1769393631816/3449, -1494364061858/3449, 763143232361/3449]]], 1, 18, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-1, -7, 0, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[50, -1/2, 7/2, 7/2], [55, 3, 2, 1], [-5, -7/2, 3/2, 5/2], [0, 0, 0, 0]], [[-11131218549, 7035158961/2, 762529965, -284818145/2], [-12007658868, 7152679553/2, 806533164, -295337955/2], [1752880617/2, -58760282, -88006419/2, 10519775/2], [-3/2, 2, -3/2, -5/2]], [[138699555869036409/2, 427457969173524749, -354908514960956389/2, 5199171086928090], [151728885517822087/2, 465036434618310171, -369186791046310815/2, 2581187598236300], [-13029329445988433/2, -37578464763190487, 14278276062582271/2, 2617983395347175], [28971035/2, 97370705, -3253165/2, -13334945]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-25/2, -13/2, -3/2, 0], [167/2, -8, -6, -3/2], [-32, 1/2, 3/2, 1/2], [0, 0, 0, 0]], [[8763610, 11489512, -255411, 1026320], [-439682283/7, -97730949/2, 772985803/14, -132582833/14], [167009233/7, 20118318, -129426819/7, 24491855/7], [-4/7, 1/2, -11/14, 3/14]], [[111026558, 685952405, 366056145/2, -175854338], [-971030910/7, -3056597855, -7825520825/14, 4191009510/7], [582736838/7, 1247517023, 3462647333/14, -1807331800/7], [118/7, -25, -575/14, 122/7]]], 1, 6, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-1, -11, 4, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-319, -1/2, -5/2, -5/2], [-695/2, 7, -1, -11/2], [-19/2, 5/2, 1/2, -1], [0, 0, 0, 0]], [[-468518758739193/2, -64821376715699, -18854071526046, 41714658009847/2], [-509977153775795/2, -64786048749863, -18772464155976, 41955738968949/2], [-6909732506110, 23551977195/2, 54404913351/2, 80360319749/2], [1, 3/2, 3/2, -5/2]], [[-2097126029682728951708312, 7565228811519522637940977, 3086006237390406737072977, -3994375708004816850748261/2], [-2334253676063581436656760, 8188597807696122892444765, 3356034279460002255844189, -4328899022753796936313345/2], [-79042548793574668025256, 207789665392674610472901, 90009347356359320047509, -111507771582993452667513/2], [-4430374920, -49088859135, 17846849265, 9394395/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-703/2, -19, -7, -5/2], [-715/2, -39/2, -15/2, -4], [-6, -1/2, -1/2, -3/2], [0, 0, 0, 0]], [[3263181893811/2, -916512552495/2, 902842393143/2, -161649646307], [23274297642671/14, -459716867395, 3159191930499/7, -2258910418983/14], [432024386095/14, -1460591075, -756445100/7, 4184629411/14], [-3/14, -5/2, -19/14, 1/7]], [[30747763109454997, 1471466749699211335, -2934646551499101493, 1730087024294544815/2], [174836097712070555/7, 1488324702890301057, -20721382380350953953/7, 12212592956113658253/14], [-40398244067753445/7, 16857953169126577, -178856519857547108/7, 101983786091676833/14], [509198/7, 787665, -2042997/7, 21865/14]]], 1, 42, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-1, -11, 4, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[59/2, -3/2, 5/2, 2], [-2, 3/2, 5/2, 13/2], [-21/2, 1, 0, 3/2], [0, 0, 0, 0]], [[-5100651114, -2509386971/2, 433481532, 665737429/2], [-163729451/2, -2470962857/2, 241089612, 237725682], [3345857647/2, 12807997/2, -64130640, -31714310], [2, -3/2, 0, 5/2]], [[-743999065146538309/2, 728741588535027741/2, 1741792063104974231, -1315447761080266593/2], [357142471038031225/2, 463044426647016225/2, -520747303909301900, 298309814858292075/2], [367047177737898955/2, -88565731789158045/2, -754179787038532220, 537919192019800785/2], [-72460309/2, -816572259/2, 143870231, 2947407/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[115/2, 10, 3, 3/2], [135/2, 17/2, 7/2, 3], [10, -3/2, 1/2, 3/2], [0, 0, 0, 0]], [[363792325/2, 49624644, 23414081/2, -6218665], [2991074477/14, 48542660, 182856117/14, -29397965/7], [222264093/7, -1081892, 18957689/14, 28265519/14], [15/7, 0, 1/14, 1/14]], [[21465319170170, 201923332542532, -48244681386272, -18815587494247/2], [169253473075691/7, 235497013203904, -429305187260003/7, -126697847807597/14], [18996232629834/7, 33573689657967, -91591670764595/7, 5010722596059/14], [1354814/7, 2267669, -6226357/7, 330847/14]]], 1, 42, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[4, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [933/7, -18, -552/7, 57/7], [108/7, -3, -72/7, 12/7], [-36/7, 1, 24/7, -4/7]], [[0, 0, 0, 0], [-64084/7, 6883, -157636/7, 54527/7], [-12210/7, 132, 2442/7, -330/7], [4070/7, -44, -814/7, 110/7]]], 0, 60, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[0, -6, 2, 0]], [ -33, -7, 5, -2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6, 11/2, 1/2, 5/2], [2342728165/57698, 1560610618/28849, 1237905295/28849, -480044/28849], [6, 11/2, 1/2, 5/2], [-44570/28849, -59375/28849, -47122/28849, -1/57698]], [[-252592992, 14283268272, -17420825232, 4440242736], [-2625072111067490083/28849, -194445915651664670/28849, 7046501055174041262/28849, -4780990735607695167/57698], [-252592992, 14283268272, -17420825232, 4440242736], [199784172074821/57698, 7394640938622/28849, -268136691634634/28849, 90964702678230/28849]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7, 0, -2, -1], [-45, -1, -6, -3], [-7, 0, -2, -1], [0, 0, 0, 0]], [[-197478411, -64439973, 12872769, 4627155], [-246685491906639/201943, -66902233422246/201943, 8476787845667/57698, 3367421481407/201943], [-1383350813/7, -451444786/7, 13053283, 32390088/7], [500968/201943, 364975/403886, -90257/28849, -3/403886]], [[-62892666763283799, 174869352416547945/2, 431312379319457181/2, -172338336416633985/2], [-78884468594631969949486/201943, 106302045329245515428751/201943, 36729733826563156273529/28849, -102802713471229416794061/201943], [-439962933624672253/7, 1225845657652338775/14, 430865951596232101/2, -1205494730042989415/14], [-142866859157170/201943, -440047684125790/201943, 111606930806270/28849, -218406218362120/201943]]], 1, 15, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[0, -12, 4, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [0, -3, 1, 0], [0, 0, 0, 0], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, -2, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [172/7, -74/7, 9, -92/7], [26/7, -12/7, 2, 4/7], [13/7, -6/7, 1, 2/7]], [[0, 0, 0, 0], [-35966612/7, 23878900/7, 8530032, -22949214/7], [-4750482/7, 5088386/7, 1124048, -3273014/7], [-2375241/7, 2544193/7, 562024, -1636507/7]]], 0, 240, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-2, 4, 10, -4]], [ -11, 18, 0, -11 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, 1, 1, 5/2], [-56583233/6898, 33287024/3449, -8214973/3449, -4010/3449], [9/2, 1, 1, 5/2], [-8354/3449, 9833/3449, -2432/3449, 1/6898]], [[1834, 41394, 17957, -12696], [361278389603/6898, 22404139323/3449, -980203978509/6898, 165262243064/3449], [1834, 41394, 17957, -12696], [53366216/3449, 13275021/6898, -144809187/3449, 48827634/3449]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, 7/2, 5/2, -1], [-28, 16, 18, -5], [-1/2, 7/2, 5/2, -1], [0, 0, 0, 0]], [[-50295, -24725, 11175, 21130], [-23259646763/24143, 4336143611/6898, 53423186569/48286, -6542988093/24143], [-435915/7, -7679, 136239/7, 147908/7], [41925/48286, -8523/6898, -29007/48286, 1/48286]], [[-6323720729035, -2299139222215, 2980524300265, -474752413000], [-361705818671014698/3449, 356352703806535911/3449, 311667619559864961/3449, -141545178995183174/3449], [-8025181648211, -216777451279, 5192638484161, -1461724663216], [425365229794/3449, -520590442734/3449, -553028545974/3449, 246743062554/3449]]], 1, 15, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-4, 8, 20, -8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 0, 0, 0], [0, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-1, 2, 5, -2], [0, 0, 0, 0], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-262/7, 90, 492/7, -33/7], [12/7, -8, -50/7, -8/7], [6/7, -4, -25/7, -4/7]], [[0, 0, 0, 0], [-25913476/7, -7955528, 24418649/7, -359468/7], [2772088/7, 964920, -1509464/7, -462264/7], [1386044/7, 482460, -754732/7, -231132/7]]], 0, 240, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-2, -4, 24, -8]], [ -33, -7, 5, -2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15, -7/2, -3/2, 3/2], [3722081709/57698, 713700297/28849, -1996143562/28849, 393497/28849], [15, -7/2, -3/2, 3/2], [-70826/28849, -27172/28849, 75971/28849, 1/57698]], [[2195813561/2, 23141692687, 658800047, -6597851567/2], [-387326522844701898/28849, 1469641856442174894/28849, 2183215495529847324/28849, -957785065609424298/28849], [2195813561/2, 23141692687, 658800047, -6597851567/2], [14738316354360/28849, -55928828834064/28849, -83078333144310/28849, 36447311421786/28849]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-51, -3/2, -3/2, -5/2], [-58, 2, -4, -6], [-51, -3/2, -3/2, -5/2], [0, 0, 0, 0]], [[-1223715075, -23452854590, -64005205, -517607310], [-269579200936919/403886, -10251798399656115/403886, -33962541687643/28849, -537452428397571/201943], [-8567008006/7, -164171840304/7, -64414490, -3623251253/7], [-406479/403886, -376714/201943, -165951/57698, -1/403886]], [[-924076659798633040700, 798067892009498310200, 1340814559319157622700, -543460469511734875100], [-12858680994678716298893167/11879, 10946220097700221737795040/11879, 2665855600818533739907812/1697, -15083178005679304365340665/23758], [-6468419391343335414673/7, 5586483248267564015022/7, 1340798822562168910328, -3804190045325777221466/7], [2796050880240291/23758, 95438506774484/11879, -187676641668004/1697, 396439131172285/11879]]], 1, 90, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-4, -8, 48, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-21, -3, -1, -4], [-42, -2, -1, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 0, 0, 0], [-3, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [143295759, 279450011, -1466482158, 484376794], [844980648, 1297589460, -5057965836, 1614110748], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, -28, 4, 30], [0, 5, 1, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6743970/7, -5656908/7, 127447, 752616/7], [2561686/7, 821806/7, -131080, 101442/7], [-10/7, 17/7, -2, -1/7]], [[0, 0, 0, 0], [8383341274, 16324023714, 7003975448, -5037293232], [-2937358948, -3865303356, -776962756, 919634210], [319955, 362675, -1213070, 375135]]], 0, 1440, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[8, 0, 20, -8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [116, 4, 8, 11], [2, 0, 4, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16, 0, 0, 0], [-3, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-117217536, 185771688, -366090836, 113690456], [-3067680, 895917, -10250922, 3811203], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, -1, 29, 0], [-11, 1, 5, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12537934/7, -27847705/7, 4628373, -7242425/7], [12386344/7, 2494494/7, -83976, -774168/7], [-15/7, -20/7, -1, -5/7]], [[0, 0, 0, 0], [-118108344398, -107369973866, 502820717314, -161727965525], [-54309210200, -18911791364, 76423196556, -22550733084], [34722, 42768, 49896, -25974]]], 0, 10080, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[8, 0, 20, -8]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-168, -11, 13, -7], [-25, -5, 4, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [19, 0, 0, 0], [-3, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-1555463337, -4386422413, 17480391399, -5726456067], [255438942, 5034568, 684864708, -285450198], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [207, -60, -16, -19], [20, -5, 0, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-17370034874/7, -1098602236/7, 82619058, 3687937154/7], [-1610069820/7, -54027965/7, -54788283, -459147468/7], [-29/7, 1/7, 4, 2/7]], [[0, 0, 0, 0], [-8402267076153988995/7, -10995705938910532190/7, 2485714398851897517, -4423672692962848166/7], [-713835994662939208/7, -1120094559919182816/7, 127732472309549584, -149305205621930210/7], [-2056588956/7, 246670790/7, -807216090, 2196088661/7]]], 0, 10080, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-2, -14, 0, 2]], [ -11, 18, 0, -11 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-35, 7/2, -1/2, -3/2], [-21555189/6898, -1761714/3449, 15138206/3449, 57511/6898], [-35, 7/2, -1/2, -3/2], [-6361/6898, -514/3449, 4466/3449, 1/6898]], [[-3178129216, -15587880568, -8080895112, 5086315216], [-334294823213000/3449, -2958058138094085/6898, 482395137392181/3449, 33387902370381/3449], [-3178129216, -15587880568, -8080895112, 5086315216], [-197506052341/6898, -436808232302/3449, 285279498465/6898, 9800761932/3449]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, -1, -1, 3/2], [-35, -9, -5, 10], [-5/2, -1, -1, 3/2], [0, 0, 0, 0]], [[-24738, 36456, -15624, -15624], [-38362405343/48286, 164480268/3449, 3161174963/48286, -7059628077/48286], [-25265/7, 55352, -124517/7, -109348/7], [191843/48286, 24541/6898, -9728/24143, 2/24143]], [[-30565547526108, -13431015352188, 114336529051080, -38224470008592], [-3723319394307008234/24143, 3782036379056490837/6898, 26994914898266388946/24143, -11314640984917958935/24143], [-272865027610381/7, -47418132321313, 783530031150435/7, -227643369651269/7], [-76466007930125/48286, -22056940325875/3449, -21997438357875/48286, 25941463470625/24143]]], 1, 90, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-4, -28, 0, 4]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12, -2, -4, 4], [21, 2, 1, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, 0, 0, 0], [-2, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-719072, -5776024, 977, 846082], [647283, 8869911, 1614651, -1742685], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-33, -19, 11, -1], [16, 1, -4, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [124472107/7, 19760935, -1162402911/7, 395079281/7], [65880603/7, 7091323, 59997230/7, -30873907/7], [-36/7, 5, -18/7, -4/7]], [[0, 0, 0, 0], [-11343972294718913/7, -4136547153802432, 13027673731109403/7, -402928207518226/7], [2685615680637713/7, 1389003286407977, 1834016740556489/7, -2050038502043491/7], [-296336769/7, -291395404, 30028295/7, 277283142/7]]], 0, 1440, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-4, -44, 16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-25, -2, 5, 9], [18, -2, 3, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [24, 0, 0, 0], [-2, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [3959425, 58699232, -26823312, 898426], [-3631600, -51414377, 12193097, 2079091], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [134, 12, 7, 10], [38, -1, 3, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [9777941495768/7, 542266551400, -99467071670/7, -439009215737/7], [2744269166682/7, 98758322673, 17385405006/7, -137310177588/7], [32/7, -3, -19/7, 2/7]], [[0, 0, 0, 0], [-398670576745496351565, -1389898379645008790701, -318006634922656604874, 313981446900070630722], [-104711513435505842436, -364070166741677634327, -70173877375451725605, 77514388339364609814], [-58117248, -640451520, 235569312, -1087056]]], 0, 10080, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-4, -44, 16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-94, -3, -20, -9], [-42, -2, -5, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, 0, 0, 0], [-2, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [-209564454, -805877060, 864074342, -197967491], [-74965155, -331368819, 317060745, -68115546], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [211, 20, 20, 19], [34, 2, 5, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [24297574621594/7, 108240165890, -53307883254/7, 52837583649/7], [3972519537052/7, 15766943286, 59830362744/7, 62119558135/7], [19/7, 3, -36/7, -1/7]], [[0, 0, 0, 0], [-5762219546493319894066/7, 2249656318053294546119, 12619369985279337053229/7, -6326901712039157502532/7], [-938521820311218639210/7, 371830012302527481106, 2076384256461033086900/7, -1043171904496359243428/7], [787925232/7, 1216381050, -3154457196/7, 18399960/7]]], 0, 10080, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [12, 17, 11, -1], [8, 11, 1, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3229428, 1156159, 1947587, -925155], [-1808784, 651264, 1092224, -517280], [6, -5, 3, 5]], [[0, 0, 0, 0], [-9973704581, 4312775489, 7918112335, -2948937062], [-5299696416, 2766055584, 3299374656, -1301357760], [-493385, -620395, 2038999, -631142]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-27, -53, -15, -8], [3, 11, 1, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-56022494/7, 23203246, 111654300/7, -52015626/7], [-12651759/7, -1263350, -533838/7, 711763/7], [75/7, -8, 6/7, -1/7]], [[0, 0, 0, 0], [2045104482752/7, -1261786977278, -5096800200218/7, 2955249298590/7], [661122381328/7, 92808379889, 6839274979/7, -129974148985/7], [-3740976/7, 284517, 673263/7, -352125/7]]], 0, 7680, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[0, -24, 8, 0]], [ -33, -7, 5, -2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13, -15, -5, 0], [-11, -6, 4, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13617056164761/57698, 9034272246133/57698, 6445720832401/57698, -1618389389577/28849], [-340160340, 39666412, 576300634, -204172048], [-18477/57698, 388453/57698, 117335/57698, 2/28849]], [[0, 0, 0, 0], [2564235724750200460251/28849, -132735501094954606238/28849, -4127779831112151759637/28849, 1385032693746399287289/28849], [-71309486392104289, -196136568481225680, 479308157223342972, -143926015004254413], [28148952221907/28849, -22547539877549/28849, -123097069291620/28849, 45940774403702/28849]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [79, 14, -8, -5], [-9, 4, -2, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1411284330, -8201767377, 7417289738, -1488958753], [100543581, 952378136, -860740378, 307403525], [-2, -2, 1, 0]], [[0, 0, 0, 0], [121696127161663801701/201943, -4608791615557585399/403886, -94675774024339465181/57698, 227625501915577499827/403886], [-575512117711044/7, 34314125708831/7, 214388756322769, -536214432622373/7], [-30326210658/201943, 10089886839/403886, -1716352809/57698, 5801734443/403886]]], 0, 2880, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[0, -48, 16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-29, -24, -6, -31], [9, 6, 0, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-485745428, -225801417, -324173681, 181725667], [163864008, 35683360, 6814232, -16874360], [10, 7, 1, 3]], [[0, 0, 0, 0], [12307759042137442, 8539836510246155, -44209783078140027, 14249110005119991], [-2310807834467776, -828867543773696, 7329875961168320, -2426067715626688], [586170, 108038151, -58403943, 7344675]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12, -15, 41, 21], [-16, -9, -1, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [1406526/7, 5103341/7, 369371, -5194641/7], [-1808780/7, -8268350/7, -258386, 2583842/7], [-46/7, -31/7, -1, 1/7]], [[0, 0, 0, 0], [-324007128804/7, -449175893080/7, 167234847198, -343632903260/7], [48948246096/7, 100008826336/7, 19398585056, -65264573376/7], [-138624/7, 3233408/7, -184448, 62208/7]]], 0, 61440, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-8, 16, 40, -16]], [ -11, 18, 0, -11 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [11, 8, 2, -1], [8, -7, -3, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [58830654/3449, -3471693/3449, 180514852/3449, 72072631/3449], [7264, -1288, 14376, -24872], [14333/3449, -1028/3449, -1415/3449, 1/3449]], [[0, 0, 0, 0], [-1462271405923/3449, -55987053974411/6898, -24848652333565/6898, 16489792190167/6898], [743819280, -790868240, -929946048, 394336928], [621976734/3449, -4362489033/6898, -2667880893/6898, 1469983619/6898]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [101, 4, 0, 7], [11, -1, 5, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [111598297634518/24143, -4886376333024/3449, 10838292465729/24143, 63908168833384/24143], [4268926583/7, -26198654, -17003792/7, 133775543/7], [107993/24143, 13995/3449, 86844/24143, 2/24143]], [[0, 0, 0, 0], [-11093626434058288744294732/3449, 22634161808381887049163903/6898, 22590567840680126381912191/6898, -10033605360424123033677295/6898], [-400995116544683349900, 386846247698856910254, 426351818486033068330, -185116547989554250100], [-6902098571524272/3449, 21149055105613239/6898, 19339988628455169/6898, -9064346259476967/6898]]], 0, 2880, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-16, 32, 80, -32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-48, 19, -17, -3], [-6, 3, -3, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [4144687505, 1267377080, -488462050, -98923361], [541598759, 172749408, -49920364, -11267529], [8, -4, 2, 2]], [[0, 0, 0, 0], [-393052131533422, 48991015315944397, 42753360903820755, -21744149999323983], [-23523648087498, 6529230243259516, 5722720522670918, -2907354542305148], [-35153420, 54493615, 164646495, -64469945]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-65, 53, 47, 38], [1, -9, -5, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4071015726/7, 300826003, -98982999/7, -535904645/7], [-581228890/7, -196202368, -365614972/7, 342727418/7], [-44/7, -5, -29/7, -1/7]], [[0, 0, 0, 0], [5835762077616808, -10273336997458213, -21078766460038933, 8660888409654933], [631600179588292, 3280053019127810, 1642800787791698, -1047843441090510], [-68469474, 140747565, 347345469, -139817655]]], 0, 61440, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-8, -16, 96, -32]], [ -33, -7, 5, -2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1, 4, -4, -3], [44, 12, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [354449569485/57698, -41791349357/28849, 1175483728/28849, -17283187765/57698], [-110951217, -40473144, 17484588, 4371147], [-70663/57698, -37234/28849, -33667/28849, -5/57698]], [[0, 0, 0, 0], [-352717169080407066890/28849, 186200283115745052036/28849, 757633490426718946160/28849, -280691853304054724578/28849], [116081617218583023, -193337070662618568, -232343786473454250, 103416304394919915], [32124083244210/28849, -83846702948904/28849, -135445531322040/28849, 58343254078446/28849]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, 9, 7, 4], [14, 7, 5, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-105281109/2, -220408667/2, 98163275/2, -4499681], [-182681861, 30947101, -10297715, 5656996], [-7/2, 7/2, 3/2, 0]], [[0, 0, 0, 0], [118553352489051666045560/201943, 802450054795892371276469/403886, 47545383714866763130145/57698, -235259678081923900047143/403886], [7955890807380250888/7, 20555274144307294001/7, 442668972809579087, -4158960782657815391/7], [642227331821877/201943, -2708197344267255/403886, -685022743193205/57698, 2014005838224903/403886]]], 0, 23040, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-16, -32, 192, -64]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [122, 17, 5, 1], [64, 9, 1, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [81186871152, 4566064942, -11276667124, -15320080896], [38698235520, -6428339745, 2159863443, -1091885459], [-12, -7, -5, -1]], [[0, 0, 0, 0], [-6472323965876169314, -12891573228864890792, 41438782901088735338, -12973126382512962834], [-4215962825499828072, -7793674833981738135, 24860636269731025959, -7749578139136737361], [405090988, 807380685, -4447782813, 1474692145]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-220, 22, -22, -2], [38, 8, 4, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1590315699114/7, 407073761491/7, -1939836873, -56822861211/7], [-278484081660/7, -161983776646/7, -2134737968, 23374157354/7], [10/7, -45/7, -3, 1/7]], [[0, 0, 0, 0], [-4463336009788323313/7, -17615402092345188843/7, 3109004298124842657, -5351020505413841366/7], [595773724952980631/7, 2850702184566426161/7, -344156466032193455, 471186976989910634/7], [-75660504/7, -144703052/7, 102336680, -235019632/7]]], 0, 368640, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[32, 0, 80, -32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-500, 31, -25, 5], [50, -5, 3, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [29458160026258, 1672536886846, -1058839208036, 278642605094], [-2950633673133, -63786488590, 106303999224, -5056503219], [1, 0, 2, 3]], [[0, 0, 0, 0], [163011895220943358907912, 16818887142897977217126, -246374880265803320274572, 78909498036797426857366], [-16710079997444108687014, -1765337342348562028712, 25986476255858211530654, -8348855466297048313872], [3437941488, -14019696, 8650010832, -3453693376]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-748, -192, 0, 6], [66, 8, 2, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-926971574292187/7, 7373870478195/7, -4118513445391, -148688939041264/7], [85211113789979/7, -4417600643339/7, -97357749597, 4002996952/7], [-90/7, -36/7, -4, -2/7]], [[0, 0, 0, 0], [-103829456469574085688232556/7, 45301060672860224850023447/7, -22589342248301578822382211, 60263647715967362804355923/7], [7133343324060342867300070/7, -8472910852407242973981574/7, 3191866718790745871425922, -7353691663895982930114092/7], [-8923702170462/7, 383507562783/7, -3291290149623, 9118850461389/7]]], 0, 2580480, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[32, 0, 80, -32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [401, 33, -15, -6], [-25, -7, 3, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [832400166580, -89534361740, 46059701480, -66456811920], [-50134671410, -403403345, -84421465, 494570679], [-10, 3, 3, -5]], [[0, 0, 0, 0], [-4254402506078947011860, -4997230597325481448150, 16581646748799662516520, -5128037561231560048230], [191201035212881209516, 224500702762384692896, -740438430838542363018, 228735979671683859480], [513878820, -8655556, 1306817330, -519348284]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [118, -120, -16, -8], [110, 8, 4, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [2085753077230/7, -1899922228803/7, -198927345987, 664516229131/7], [1301185246975/7, -1692455279289/7, -174611688067, 593990041474/7], [13/7, -62/7, 0, -5/7]], [[0, 0, 0, 0], [40848645240896372637771/7, -39913502009187775082127/7, -2884564608350572394303, 10576036153435439226682/7], [32629665054562553287986/7, -13016376339854603325292/7, -2126449886877674457792, 5517249151660911697318/7], [503883642369/7, -53967383269/7, 194172188123, -530825426394/7]]], 0, 2580480, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-8, -56, 0, 8]], [ -11, 18, 0, -11 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, 4, -2, -2], [-7, -3, 1, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1901387935/3449, 329597139/6898, 519048909/6898, 18643133/6898], [-768000, -514848, -10224, 99792], [3067/3449, 5207/6898, -177/6898, 5/6898]], [[0, 0, 0, 0], [328043885459234767/6898, 298611063171150409/6898, -1263559764648229055/6898, 200629030699466167/3449], [30270383011296, 16628295353184, -127546672031712, 42391499557536], [54175095947/6898, 220040795821/6898, -119368112605/6898, 5982667964/3449]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 2, 8, 2], [106, -3, -3, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [69634001009021067/48286, -288022752799823/3449, -29478288883806435/24143, -19727159258100429/48286], [-109541593408448/7, -2952631326269, 2789699959089/7, -890194156431/7], [174061/48286, 13083/3449, 65133/24143, 3/48286]], [[0, 0, 0, 0], [-380801092647544741376114640/24143, 174011535781328746432989739/3449, -637832173634760607149910572/24143, 88765742717284515428817928/24143], [-869882500029296678138254/7, -1114560848764766255658404, 6630802101947837775320556/7, -1335938630496325131658836/7], [2249570123279622/24143, 1252071907112169/3449, -6199551629430588/24143, 992082737792718/24143]]], 0, 23040, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-16, -112, 0, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [30, -15, -11, 9], [-44, -13, -5, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [414067592823, -255943185048, -140819111530, 71637431579], [-549602024142, 26735848092, -114105567540, 53137835314], [17, 2, 2, 5]], [[0, 0, 0, 0], [-1323227670932840295, -37345512204968589294, 29627492343112497648, -5751244051898725575], [23838981463204089330, 92035779868807580176, -72337710843060834292, 12979991187399087210], [-372715749, -2593272242, 14319944, 362495217]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [365, 26, -4, 5], [-155, -4, 0, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [2779514304439/7, 54154179965, -4341474257/7, -133421336714/7], [-1184206846262/7, -16824819963, -2390818363/7, 47997790495/7], [67/7, -4, 2/7, -5/7]], [[0, 0, 0, 0], [141959698953835981838, 704510668730486725982, 146693501400630517984, -150485471537958532378], [-58677923939940400828, -295243862448840990538, -59464641916527345238, 62240817097187010486], [1690151576, 11853460472, -78232472, -1649057280]]], 0, 368640, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-16, -176, 64, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [260, 17, -5, -1], [-38, 7, 1, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5660919356, -1580058297, -273154267, 229886303], [817912348, 5950216, 19824514, -2040630], [10, -5, 1, 3]], [[0, 0, 0, 0], [47465853462066267048, 308608530294780978502, -20580147880684800004, -34745424569770143114], [-5659325979650224398, -41208301423837412136, 9492847167852045864, 2177335062996346188], [-42743862018, -469892460510, 170429272794, 242578512]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [301, -65, -35, -24], [23, 7, 3, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16239241215920/7, 1673943251665, -523540719941/7, -135665036963/7], [-1232305538001/7, 39359014347, -24271666905/7, -12680130816/7], [81/7, 4, 30/7, -5/7]], [[0, 0, 0, 0], [-205066736906277549682374/7, 915727083774210867358013, -6464222086190476925387015/7, 1502645625369959961028669/7], [-15020862721847512239513/7, 68568473168212855001754, -255647971939260258132078/7, 30898666802970125287209/7], [-3596794851359/7, -5642067217283, 14502713575401/7, -51979111056/7]]], 0, 2580480, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-16, -176, 64, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-302, -38, -14, 0], [24, -12, -4, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-151048680118, -112437558348, -83440688400, -14618000922], [11510973497, -60492683, -101051679, -155643818], [-1, -11, -3, 4]], [[0, 0, 0, 0], [-2215544476076986437, -4527723985358892087, 17053939574262190053, -5473601746845955356], [291784880638598185, 604598301431289635, -1761333666097725465, 542704172402113580], [10942600, 118183880, -43737720, 314000]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [127, -318, 24, 35], [59, 0, -4, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13069422158/7, 7864269137, -39478913041/7, 4937776353/7], [-7282317825/7, 651130120, -2081991740/7, 392846479/7], [-45/7, 1, 9/7, 2/7]], [[0, 0, 0, 0], [-1823367275368916737/7, -525624730848710563, 11072728397588639503/7, -3420077146605011486/7], [-202289347104205544/7, -128297899730081179, 1019562207524348491/7, -241048856900106525/7], [-389884695/7, -591554200, 1767633740/7, -91738495/7]]], 0, 2580480, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[0, -96, 32, 0]], [ -33, -7, 5, -2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 4, -10, 2], [-30, -20, 0, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [739152807/28849, -3129616295/28849, 1240286798/28849, 25683681/28849], [-12170, -51288, 46472, -7276], [-26256/28849, 118750/28849, -50001/28849, 1/28849]], [[0, 0, 0, 0], [32883481749287059/28849, 194869166139445909/28849, -72027407838617086/28849, -664725882130565/28849], [1541978127138, 4451626829336, -1771687308876, -6831309948], [-1314192935482/28849, -7448485944928/28849, 2841743695679/28849, -3793380563/28849]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-68, 22, 10, 22], [-6, 14, 6, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-409265251639081/201943, 539729670881098/201943, 50432851947171/28849, -160460026529380/201943], [-2878443976/7, -377561518/7, 83722698, 257020404/7], [-409072/201943, 310631/201943, -43412/28849, -2/201943]], [[0, 0, 0, 0], [4067911714949903197994760/201943, -2660344599604575360762043/201943, 309842116276765096327694/28849, -618244055384384762189429/201943], [-423938473640918176/7, -68771061108184897452/7, 1980465686073721738, 4089956564426383874/7], [-3804316908669678/201943, -16977247911736992/201943, 3144259708407657/28849, -5590655713160570/201943]]], 0, 737280, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-32, 64, 160, -64]], [ -11, 18, 0, -11 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 2, -4, -4], [-4, -10, -2, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [14836005/3449, -13716321/3449, -1484518/3449, 24013226/3449], [-44734, 23604, 974, 11266], [-11111/3449, 15554/3449, 13619/3449, 5/3449]], [[0, 0, 0, 0], [336258550683353/3449, -79710534583118/3449, -380954390325240/3449, 131973082184025/3449], [-535232619482, 837273979452, -447328796404, 77555604114], [-173125184641/3449, 253474294776/3449, 87732490048/3449, -56422059093/3449]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-62, 6, -12, -12], [30, 4, 8, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-377069584364362/24143, -7434491496910/3449, 23709214036777/24143, 29315987231394/24143], [51713554950/7, 2201127610, 2601065240/7, -6798767160/7], [-66068/24143, -12171/3449, 101436/24143, -1/24143]], [[0, 0, 0, 0], [767032696211920704326182/24143, -57606489916264174015629/3449, -693429291425095305160268/24143, 266377558430173165128574/24143], [-102194376671907248990/7, 7034549529190584420, 92320792482179909290/7, -34884049713706685780/7], [30993995598381/24143, -5352932968668/3449, 41175206981379/24143, -11442785311368/24143]]], 0, 737280, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-32, -64, 384, -128]], [ -33, -7, 5, -2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, -2, -6, -4], [-106, -8, -4, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2947555475050/28849, -60686228280/28849, 26759558225/28849, -137847486115/28849], [3348389660, -5529378964, -2644386424, 1506169630], [-12965/28849, 127475/28849, 105760/28849, -5/28849]], [[0, 0, 0, 0], [-1391205264346789368/28849, -1047319012958426994/28849, 4040448384991099814/28849, -1255120001757889832/28849], [1831360605700748, 845621795562508, -5511118177309436, 1790678429274548], [-6134583990/28849, 10896666228/28849, 22797559506/28849, -9329729736/28849]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [266, 18, -12, 14], [146, 4, -4, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4827220930839191/201943, -8167646532375369/201943, -69228407096760/28849, 1329460339282032/201943], [-91856089448/7, -152863876126/7, -1049558804, 23824184112/7], [-799993/201943, 1452512/201943, -21429/28849, 3/201943]], [[0, 0, 0, 0], [43727149928734820182610078/201943, 104251214204171616057266464/201943, 2526256102635963726494312/28849, -21957192392162133040191554/201943], [829247697933714992130/7, 1959886433195665551456/7, 45388046257941794352, -407795595867455792238/7], [1926767114519610/201943, -10251751767043380/201943, 753175154761920/28849, -662398024034010/201943]]], 0, 5898240, [], [] >,
< [ 1, 2, -3, -2, 1 ], [[-32, -224, 0, 32]], [ -11, 18, 0, -11 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, -6, -4, 0], [108, -8, -4, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2699968201/3449, 1239052701/3449, -1616519977/3449, 2101704539/3449], [-30194696, 82637548, -52399648, 7528318], [-5824/3449, -12403/3449, 21313/3449, 2/3449]], [[0, 0, 0, 0], [214369151611606/3449, 279633986146184/3449, 37924682227232/3449, -60029497620156/3449], [1503510546804, -3143341836222, -1791875054634, 983728212894], [99776124/3449, 458422230/3449, 86969610/3449, -95571000/3449]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-172, -12, 0, 2], [178, 20, 8, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-28140691439207/24143, 475799486205/3449, 26791114038736/24143, -8857318977411/24143], [8410587154/7, -108776092, -7794985434/7, 2566469824/7], [5060/24143, -1426/3449, 57837/24143, 3/24143]], [[0, 0, 0, 0], [2377289204164246283131/24143, -15257831818708616246567/3449, 120670598678209519314191/24143, -29728786380413157735735/24143], [-796763332959247048/7, 4552580127475444058, -34783518469665131598/7, 8434157244378042116/7], [-197483235884208/24143, -20050374518639/3449, 758814150612353/24143, -245988339424860/24143]]], 0, 5898240, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-1, 4, 1, -1]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-18, -27/2, 29, 15/2], [-17/2, 23/2, -29/2, -10], [-5/2, -2, -1, 2], [0, 0, 0, 0]], [[5856469/2, 4995925/2, -22830957/2, -6015827/2], [20223105/2, -68245115/2, -2972047, 13206799], [1324015/2, -8937439/2, -1648047/2, 2552417/4], [-1/2, 1/2, 1/2, 1/4]], [[-351173959515/2, -310732052737/2, -136335397893/2, 67476106592], [845618662775/2, -3000894004047/2, -899368200503/2, 858974666647/2], [-16815683281, -1054277660853/4, -159273919131/4, 65196896831], [-5457, 163659/4, 26469/4, -9537]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-34, -24, 123/2, 26], [41, -5, -37/2, -44], [-1, 3/2, 1/2, 5/2], [0, 0, 0, 0]], [[49265681/2, 376332086, -37716158, 206287645/2], [-3638005690, 4069954659, 2523791417/2, -1159465297], [296558314, -9724463, -79912037/2, 6227343], [1/2, 1/2, -1/2, 0]], [[8140337493003579/2, -3022478688047526, -1973558097362199, 1907622430905987/2], [1614704162233060617/22, -791814182720592298/11, -907539048952553343/22, 548228193414076759/22], [-39062012150153967/11, 182433019662622815/44, 94166182421007603/44, -61023819132722607/44], [13628457/11, -803097/44, -1676889/44, -573093/44]]], 3, 2, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[2, 0, 0, 0]], [ -2, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 3/2, 3/2, 1/2], [-5/2, 5/2, 1, 3], [-2, 3/2, 3/2, 1/2], [-1/2, 1, -1/2, 5/2]], [[-7383/2, 188732, 42084, -101703/2], [238469/2, 549624, 131483/2, -267769/2], [-7383/2, 188732, 42084, -101703/2], [122926, 360892, 47315/2, -83033]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 0, 3/2, 3/2], [53, 4, 15/2, 9/2], [-2, 0, 3/2, 3/2], [0, 0, 0, 0]], [[43103349/2, 5151344, -1762856, 8622221/2], [-68774767423/11, -106534230117/11, -3395060865/22, 25446782298/11], [474136827/22, 56664892/11, -19391290/11, 94844395/22], [1/22, -9/11, -21/22, 3/22]], [[863367621185/2, -472290798310, -545090037757/2, 333229523269/2], [-50827883542037/22, 345561854488967/11, 93190634675145/11, -198972658937439/22], [9497042095699/22, -5195198532494/11, -5995988800259/22, 3665524103495/22], [72389/11, -20743/11, -134589/22, 27186/11]]], 4, 3, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-6, 10, 4, -3]], [ -146, 6, 7, -1 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11/2, 6, -25/2, -31/2], [-12/23, -79/23, 220/23, 18/23], [-3/2, -1, 3/2, -5/2], [0, 0, 0, 0]], [[-6129359/2, -7158894, -132427/2, 1797621], [3505302670213/1139282, 3028539633177/1139282, -454077874231/1139282, -670288917613/1139282], [393783/2, -2991944, -437247/4, 2796683/4], [3453173/1139282, -238323/1139282, 10333/2278564, 3/2278564]], [[16892826992960033, 80362914284193791/2, 6859318850493997/2, -20326353946066045/2], [-19162612267387352149927/1139282, -18728501368529395491845/1139282, 997489335406152979181/569641, 2006882156726842752697/569641], [-1659785991653750, 31351233102962033/2, 3804514436053236, -4412546020581737], [-21027605273951725/1139282, -902803974222401/569641, 5743524348925197/1139282, -712851091606639/1139282]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, 3/2, -12, -3/2], [-5736/23, 3091/46, -5896/23, 643/46], [-29/23, 8/23, -59/46, 3/46], [0, 0, 0, 0]], [[862117, 3130649/2, 783179/2, -294142], [2066154834935/1139282, 32679018207295/1139282, 856160048313/1139282, -9379948732857/1139282], [49986201/46, 113302357/92, 70900111/92, -3815885/92], [1073781/569641, 4332359/2278564, 3055307/2278564, 5/2278564]], [[-7670262529848501/2, -10318919127867741/2, -111389287258317, 1312898498985253], [104138100594153306684525/1139282, -200657315072612885544487/1139282, -38411779201311131537502/569641, 59881711700747689982551/1139282], [-203480904793334422/23, -144241442313886265/92, 195946631780333937/92, 8574803672167279/46], [-9274319841241814/569641, -2710138324417855/2278564, 9844547783623719/2278564, -156800338138327/1139282]]], 4, 4, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-13, 8, 6, -3]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[8, 11/2, -33/2, -3/2], [-1/2, -5/2, 1, -9], [3/2, -3/2, 1/2, -1/2], [0, 0, 0, 0]], [[590245/2, -22881, -572431, 371387/2], [-410569/2, 361657/2, 547696, -598125/2], [-49873, -14405/4, 101136, -163397/4], [-1, -5/4, 0, -5/4]], [[-8058241443, 8742826263, 4174953372, -2721345234], [9698199570, -18741885441, -7048437578, 5608162717], [8820489765, -8225181315, -9643601973/2, 5692026165/2], [234549, -65043, -185493/2, 66357/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[24, 37/2, -91/2, -33/2], [-1397/2, 1201/2, 111, 344], [5/2, -5/2, -1/2, -3/2], [0, 0, 0, 0]], [[-10594448155/2, 10495320471, 16834807725/2, 24196097957], [-135289473827947/46, 101528489097853/46, -124747237989/23, -27394874096415/46], [361742609584/23, -22500385161/92, 44701325649/46, 7365418253/23], [-88/23, -75/92, -45/46, -1/23]], [[112405748996534423782597, -70415306315654729159453, -49510551942940952284595/2, 35431549147690203631351/2], [622563396284452633321657770/23, -704161943250173653781415474/23, -348933266852542009983198142/23, 451219919960747773318898701/46], [-4277378843923887454105363/46, 12332243629092138278637213/92, 5357050533839968593320061/92, -3809993100420158600373623/92], [908892734182503/46, -3025557293905881/92, -1209945204769721/92, 907601371614763/92]]], 3, 2, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[16, -25, -11, 8]], [ -146, 6, 7, -1 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7/2, -1/2, 61/2, 37/2], [19/23, 139/46, 127/23, 75/23], [15/2, 3/2, 3/2, 2], [0, 0, 0, 0]], [[-1344567479/2, 92643995/2, 486785895, -517316859/2], [4329821945/46, -5105856805/46, -7533310372/23, 3044313125/23], [-599165608, 1119161559/4, 1802990013/4, -203244599], [-1, 5/4, 3/4, 0]], [[245392244830088663947, 312492775404222592524, 685325473999311447761, -358508993920494497379], [269261464858319136914972297/569641, 66334619154981660726541036/569641, -367664242864225877888667389/569641, 124030929566687565932856270/569641], [346373511738562735265, -180634887319712024848, 225317901606892452825, -88779757305018765083], [786667089103549200/569641, -1187195600007720000/569641, -934754979737124600/569641, 531482458434631800/569641]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-369/2, -87/2, -105/2, -9/2], [-11783/23, -1545/46, -738/23, -24/23], [-75/2, -3/2, -3/2, 0], [0, 0, 0, 0]], [[-2827138314701, -1933278123425/2, 566110880073/2, 100436962595/2], [-4154481947028358806/569641, -1368411523836081965/1139282, 773818087345178913/569641, -83764605661094317/1139282], [-1059771887547/2, -290862804465/4, 417929327503/4, -31291975855/4], [700643/1139282, -2053795/2278564, -3055307/2278564, -5/2278564]], [[-1994258027483381243765/2, 490608480965562151210, 123015735120730347200, -69127924296139380685], [-3152411285735000598053275013/1139282, 1913854188711554883967545635/1139282, 13693160801024749275392875/24767, -377136448983362797239652413/1139282], [-9337966842009596753395/46, 5830928169168466884165/46, 3856086631177989950615/92, -2339350209888608454645/92], [23796988995615/49534, -21866501445105/49534, -66825767943195/99068, 31030189018305/99068]]], 1, 20, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[11, -17, -9, 6]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -3/2, -5/2, -1], [-6, -13/2, -19/2, 3], [-4, 0, -1/2, 0], [0, 0, 0, 0]], [[330651/2, 280305/2, -33366, -78589/2], [763041, 491189/2, -117357, -69537], [719757/2, -325825/4, -505713/4, 149751/4], [2, 1/4, 5/4, -3/4]], [[-38674492916, 557469046789/2, 66631073996, -89421320473], [-1583429761439/2, 3188708804715/2, 1261816124713/2, -1016640538645/2], [-1185862093039/2, 1592299568523/2, 775188285403/2, -264803228967], [-4173364, 6630493, 2894828, -2118914]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -1/2, 8, 5], [-3637/2, -27/2, 13/2, 1/2], [7/2, 3/2, 1/2, 1], [0, 0, 0, 0]], [[-15793165960405/2, -19649242862867/2, -7662148132989, -3707338377699/2], [1012669233414007819/46, -183938453422761212/23, -871939284877169351/46, 363979630901446055/46], [-989954839344513/46, 1120725154751/46, 5042930942367/92, 299840198523/46], [153/46, 49/46, 113/92, 1/23]], [[-756927368576694512157895640, 7452771558563780867233715235/2, 2175744230793981031509133385/2, -1112394593716326047854055765], [327739354803162636659909367981037/46, -355542262815082761637423197760981/46, -102511356017981751618356192733818/23, 125669988229553649554457893623347/46], [-395619354809566726805676762635/46, 258742472893238177648312848865/23, 125986346055031781957675825550/23, -169791749407764436241525919145/46], [26688725009226770/23, -41699173345610130/23, -18347456516472770/23, 13343394233027800/23]]], 1, 20, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[9, -2, -3, 1]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-377/2, -169, 637/2, 443/2], [-35/2, -12, 71/2, 47/2], [0, 0, 0, 0]], [[3/2, 2, 1/2, 5/2], [81632359/2, -54948697/2, -42531065, 40010465/2], [-3360893/2, 4452453/2, 2404861/4, -1012703/2], [3/2, -1/2, 1/4, 0]], [[28575/2, 24975, 8775/2, -8325/2], [-82052861949/2, 41879217617, 52541199807/2, -30669630705/2], [8440125947/2, -1681190203, -3519425437/2, 1492163255/2], [3375/2, 9225, 3375/2, -4725/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-142, -40, 74, 55], [-15, -17, 24, 19], [0, 0, 0, 0]], [[-17/2, 3, 23/2, 9/2], [222749897225/22, 7377546927/22, -217655422898/11, 83066954616/11], [302992787/11, -93181571/44, -55158921/22, 15348409/22], [-9/11, 65/44, 2/11, 1/22]], [[35279469/2, -169657147, -144352059/2, 58175137/2], [-508380319347173620/11, -451679506435963126/11, 808193110247305953/11, -222750272228436014/11], [-7305114094385372/11, -4257169563056821/11, 1129456661264777/11, 790035888279525/11], [183075763/22, -353489715/11, -185256597/22, 167643119/22]]], 1, 14, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[2, 0, 2, 2]], [ -2, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[49/2, 25, -87/2, -65/2], [45/2, 47/2, -87/2, -33], [49/2, 25, -87/2, -65/2], [-2, -3/2, 0, -1/2]], [[1308951/2, -322175, -458409/2, 336903/2], [1050690, -398929/2, -732727/2, 351555/2], [1308951/2, -322175, -458409/2, 336903/2], [792429/2, 245421/2, -137159, 7326]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[59/2, 26, -111/2, -79/2], [257/2, 77, -333/2, -227/2], [59/2, 26, -111/2, -79/2], [0, 0, 0, 0]], [[-84495621/2, -50355459, 88598139/2, -41707449/2], [18565636709/11, 1494118488/11, -39337871195/11, 14525290231/11], [-929451241/22, -553910299/11, 974579899/22, -458781929/22], [59/22, -25/11, 37/22, 1/22]], [[3212503527618, 46356990966972, 8065464319710, -11847126421494], [6551271553429253/22, -9400277525674379/22, -1994908108492385/22, 2039361938116575/22], [35337018793873/11, 509927250644447/11, 88720355925635/11, -130318519563129/11], [-104001985/22, 70001551/22, 49681765/22, -25785339/22]]], 1, 15, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-26, 12, 6, -2]], [ -146, 6, 7, -1 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1147/2, 531, -1841/2, -1353/2], [71/23, -190/23, -75/23, -3/23], [1147/2, 531, -1841/2, -1353/2], [0, 0, 0, 0]], [[-368709/2, -41897, 355373/2, 31707/2], [-13624633614617/1139282, 2215177235246/569641, 22471233432329/1139282, -9266323922691/1139282], [473793/2, -374387/2, -400621/2, 31717/2], [2112235/1139282, -728523/1139282, -1895359/1139282, 1/1139282]], [[215476503428117, 504757913054828, 74853663888757, -137817179335249], [-6788540848728152869877/1139282, 815706919233068496519/569641, 9842241877758749431459/1139282, -3943652992069805017933/1139282], [268982639313515, 111064269088083, -64020671609672, -14007711547471], [268284946203877/1139282, -987023569547270/569641, -696335614453133/1139282, 620800148861549/1139282]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-176, -394, 70, -2], [-33987/23, -93578/23, 16923/23, -471/23], [-176/23, -394/23, 70/23, -2/23], [0, 0, 0, 0]], [[28522667181443, -54392204195071, -20882832543602, 2235733953728], [469432022400420793465/1139282, -377653537548217855690/569641, -299611459699333393631/1139282, 68673637763095976477/1139282], [28522675605587/23, -108784408724185/46, -20882835879102/23, 4471467907373/46], [3322171/1139282, -65887/1139282, -1315385/1139282, 2/569641]], [[31001998887625377354611/2, -22829804866051988057322, -55929100171496755353669/2, 29692262697393831988429/2], [229028317100366426608804621717/1139282, -146208902957534669457624150405/569641, -362991475288323850535154434181/1139282, 189723019737891718624511985995/1139282], [31002004555780354149701/46, -22829803981465649146632/23, -55929102334138159096437/46, 14846131438232485650923/23], [1117656612570927/1139282, 174423800263479/569641, -426430293532425/1139282, 17654135154864/569641]]], 0, 6720, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-25, 46, 15, -13]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-147/2, -41, 17/2, 33/2], [-7/2, 5, -3/2, -3/2], [0, 0, 0, 0]], [[41/2, 12, -59/2, -37/2], [-20476407399/2, -14406816473, -437902233/2, 7031925743/2], [-544347979/2, -18411587, 40632143/2, 1693072], [5/2, -2, -1/2, -1]], [[1350525/2, 124190, -989285/2, -345345/2], [49826123713176971/2, 42928979364549590, 3709821645046007/2, -20733330583596309/2], [638900115477671/2, 1184053600868901/2, 63450182440841/2, -143900824988043], [617815/2, -277585/2, -150645/2, 17710]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [12851, 13682, -23483, -17325], [256, 240, -412, -304], [0, 0, 0, 0]], [[31/2, 0, -17/2, 9/2], [4934885922480/23, 8375893353654/23, -9147557077036/23, 1952341025527/23], [-7806993067/23, -3175324889/46, 2587260339/46, -450845539/23], [-95/46, -19/46, 30/23, -5/46]], [[12225/2, 19560, -147515/2, 52975/2], [218251115317169113/46, -40946411356428041/23, -369689536300690343/46, 154645333703391663/46], [57874978496809/46, -31139190346511/46, -16860080319462/23, 16039080662739/46], [10595/46, -95355/46, 156480/23, -119805/46]]], 0, 8064, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[158, -36, -66, 22]], [ -146, 6, 7, -1 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-215/2, -1, -7/2, 1/2], [-21/23, -236/23, -75/23, -3/23], [-215/2, -1, -7/2, 1/2], [0, 0, 0, 0]], [[343139223396, -755902189554, -191975507005, 183732826060], [-35937902727055571/1139282, -991476155658306/569641, 654590599716383/1139282, -103645565029877/1139282], [343134566779, -1511819980491/2, -191976905594, 183732826046], [2586201/1139282, 4332359/1139282, 776743/1139282, 5/1139282]], [[7008999290874277223774651/2, -3404007274266409050845873, -4000451489899405712224857/2, 2381705753132938463822351/2], [-84473082528657973478608859553/569641, 82063394867429160533611169252/569641, 48216250188409533224021154843/569641, -28707869952143003751649343821/569641], [7008999285277272490558847/2, -3404007265992476030527270, -4000451483415248716230093/2, 2381705747718791286727573/2], [777118264082367/569641, -2297593280380523/569641, -900295168594537/569641, 751728945071006/569641]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-6965/2, 51, -333/2, -1/2], [-829882/23, 11898/23, -39706/23, -124/23], [-6965/46, 51/23, -333/46, -1/46], [0, 0, 0, 0]], [[423053963452308, -95996189811156, -3743762824465, 4127746266402], [4993690265498389819847/1139282, -565813528035350744850/569641, -44283404824383234015/1139282, 48661080971526669197/1139282], [423053822127208/23, -191992514365387/46, -3743878515844/23, 4127746266509/23], [3251517/1139282, 1550041/1139282, 2661769/1139282, 1/1139282]], [[382503215065943854941163957/2, -297054488237653532144710848, -289806211393916730163269641/2, 200661303917044043990186567/2], [2256853608633752626601723071044537/1139282, -1753084795102695524673778926044268/569641, -1710101662603999861654291690124731/1139282, 1184168680738083530743452688303077/1139282], [382503138717754349984438557/46, -594108719063243828902698571/46, -289806115586416530095042191/46, 100330610403665607696258396/23], [38186372766039575/49534, -128747453850247925/49534, -47919168544656475/49534, 20784118067680275/24767]]], 0, 80640, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[71, -114, -49, 35]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-141/2, -23, -29/2, -1/2], [-97/2, -13, -13/2, -5/2], [0, 0, 0, 0]], [[3, 5, -14, -11], [92819413756, -30241600098, -13772706031, 6654021010], [64837140774, -44844830727/2, -27784318735/2, 13380117297/2], [-2, -1/2, -5/2, 1/2]], [[351067451/2, 32904399, -112977745/2, -2469819/2], [-7173693325836256299/2, 2048225132121639880, 3461256926749702003/2, -1653243451975263415/2], [-4856281097288252365/2, 1422806803686240641, 1176184324347414046, -1136038366462333485/2], [241463347/2, -27852937, -50486376, 33808221/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6515/2, -69, 15/2, -21/2], [87/2, -7, 3/2, -1/2], [0, 0, 0, 0]], [[2, 7, -4, 2], [-397344576772996573/46, -26724177443848573/23, -22685479769466663/46, -9950247040857171/46], [-5353431551880015/46, 1990839712635/23, -266150540565623/46, -25118134605828/23], [-10/23, -25/23, 16/23, 5/46]], [[129393591/2, -19959096, -56365041/2, 21484665/2], [2217936077104419359111611/46, -2646473876091402042807921/23, -2045193587554983906031917/46, 1640996956140357014449789/46], [36222934144676927649555/46, -72860716359417343065615/46, -15069533659309519990710/23, 23018910292966720946511/46], [-347899911/46, 83017989/46, 72822252/23, -49463949/46]]], 0, 80640, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[63, -18, -25, 11]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7/2, -1, 15/2, 3/2], [-29/2, -21, 35/2, -1/2], [0, 0, 0, 0]], [[17/2, 13, -45/2, -37/2], [67700623/2, -31841229, -38949553/2, 21470197/2], [73485343/2, -73251801/2, -20783921, 24592369/2], [-5/2, 3/2, -2, -1/2]], [[-356018085, 1216431270, 405786915, -368688105], [5960968416352414, -5832388481007568, -3412966581747722, 2037538154017410], [6714126010028451, -6421759548805354, -3809516324398613, 2253969345476479], [-452785545, 822858750, 353459295, -263026845]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2261/2, 885, -3155/2, -2295/2], [639/2, 291, -1049/2, -765/2], [0, 0, 0, 0]], [[67/2, 19, -21/2, -37/2], [-290413393187/22, 7684925007/11, 606441193089/22, -237535922287/22], [-150488931/22, -9742885/11, -43482405/22, 219585/22], [-67/22, -13/11, -45/22, -3/22]], [[-39542694721/2, 23500254821, 25278317979/2, -16083875523/2], [-61510135650752048301/22, 26554222073347534924/11, 46508140151276533733/22, -24538011262733038369/22], [145701198843913961/22, -84281612830922781/11, -45565011033985814/11, 57767480422196255/22], [62292188381/22, -38621327999/11, -20179290596/11, 26236996669/22]]], 0, 43008, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[162, -220, -110, 74]], [ -2, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4663/2, -2147, 7537/2, 5525/2], [-4663/2, -2151, 7537/2, 5529/2], [-4663/2, -2147, 7537/2, 5525/2], [0, 0, 0, 0]], [[-9945, 5694, 14703, -6669], [1333279/2, -99077, -2549075/2, 1013069/2], [-9932, 5692, 14710, -6666], [13/2, -1, 7/2, 3/2]], [[23025468375/2, -8082789585, -11037520065/2, 5823268035/2], [102138336097/2, -29969283133, -111414180519/2, 50156367645/2], [22996520079/2, -8012216121, -10993588073/2, 5781544795/2], [-7237074, 35286732, 10982998, -10430810]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[28353/2, 13065, -45743/2, -33547/2], [85387/2, 39191, -137213/2, -100637/2], [28353/2, 13065, -45743/2, -33547/2], [0, 0, 0, 0]], [[61434869465, 2192777058, -4326263407, -164082387], [212711324289540, -31474641985632, -407547115368149, 162032745632922], [61434869465, 2192777058, -4326263457, -164082387], [0, 0, -5, 0]], [[-2883775955249654430, 3548945581041083748, 1834008946975067282, -1193870372598861622], [9339488603420968293957/22, -3185854208179634222085/11, -9718452807707785933851/22, 4547210318323907710299/22], [-31721535495518967075/11, 39038401374984600318/11, 20174098408435351117/11, -13132574093030165177/11], [2445446331/22, -1646732091/11, -1658077797/22, 1111462533/22]]], 0, 43008, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[4, 0, -1, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[12, 27/2, -14, -16], [68, 19/2, -9, -9], [2, 3/2, 0, -5/2], [0, 0, 0, 0]], [[-21755075, -21507199, -19654241, 320269/2], [-854067396, -77076183/2, 235005830, -32162089], [-21163008, -201669, 1798177/4, -307019/4], [1, 1, 3/4, 1/4]], [[-367914159896149, 1342119829724989/2, 221059151969605/2, -276879680818945/2], [-22994158816146537, 25853906773562585, 26407466742817545/2, -8477641477416820], [-624692582640916, 747753406905604, 1164882675861853/4, -839219764881301/4], [15478310, -26270600, -39367835/4, 30632435/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 9/2, 7/2, 11/2], [6, -9/2, 19/2, 1/2], [4, 5/2, -2, 1], [0, 0, 0, 0]], [[3638349, 3346921, -11540165/2, -7620211/2], [-116207, 3118066, -1659013/2, -5939955/2], [470368, 1037371/2, -810115, -386937], [3, 1/2, 0, 1/2]], [[432634350, 3513912845, -3831521375/2, 212502975/2], [-39000691156, 72710034701/2, 28011520109, -30870909541/2], [-1510806775, 6503323085/2, -681618185/4, -400656375], [62985, -65715/2, -112905/4, 13065]]], 0, 4, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -2, -3, 1]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7, 4, -25/2, 2], [15, 6, -27/2, -2], [2, 5/2, -11/2, 3/2], [0, 0, 0, 0]], [[5432528, 11440339/2, -779430, -3950821/2], [10413188, 52802909/2, 907327, -8242331], [6379765/2, 3809089/4, -2658533/4, -456689/2], [5/2, 1/4, -5/4, -1/2]], [[-11083106679281/2, -45948360692129/2, -5609832649277/2, 5747548337064], [-96626675609459/2, -91544071360053/2, 11682432356811/2, 18912361902349/2], [2460165623536, -55047071572301/4, -14683517228193/4, 3835868402204], [3492784, -35230541/4, -11316641/4, 2532060]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[33, 47/2, -117/2, -67/2], [31, 57/2, -113/2, -57/2], [5, 1/2, -10, -2], [0, 0, 0, 0]], [[62604692, 401664585, 116695093/2, -91623074], [1296340367, -1237579885, -780355988, 924619161/2], [-75928753, 263760097, 150599613/2, -289132927/4], [-1, 1, 0, 5/4]], [[4418024146684861/2, 5124577770205818, 473436938830671, -2573665965048797/2], [5355022439736767, -5144428139690388, -3058251393363363, 1809712937590390], [875043119109797/2, 9898598425726927/4, 1763664498083181/4, -2653322775566607/4], [-2625792, 51917515/4, 13652067/4, -14609387/4]]], 2, 2, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-16, 10, 8, -4]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[25, 19, -41, -16], [-15, -9, 31, 24], [5, 4, -10, 0], [0, 0, 0, 0]], [[5676056, -10432545/2, -9836691/2, 2185447], [4444692, -7641036, -3317091, 5854291/2], [13231761/2, -25276439/4, -4573213, 5043163/2], [-1/2, -3/4, 1, 1/2]], [[-10592146079563/2, 8519824920275/2, 5601019525095/2, -3094044719819/2], [-6791618703100, 3675792921965, 3173140017554, -1486810306313], [-12966343827619/2, 23783005809869/4, 7220469559757/2, -8407567676699/4], [-319803, 502821/4, 281061/2, -231561/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[24, 39/2, -44, -28], [-196, -57/2, 96, 51], [2, 3/2, -6, -5/2], [0, 0, 0, 0]], [[-8124501571/2, -3669670828, -1619490234, 790059109], [-4864869074347/11, 2527930239257/11, 2096395999889/11, -954956576188/11], [-37127842557/11, 777446229/11, 3540933250/11, 475050353/44], [61/22, 13/22, 17/22, 3/44]], [[-579312839240765182, 1539474533307918856, 638832321336051436, -481976024267482385], [-1805883213824230151013/11, 2001388589964157346133/11, 1096725202970993516958/11, -686290726237207974937/11], [-11413971537668584800/11, 30784746830213510407/22, 7914287800032688016/11, -5217526475080378699/11], [8922220002/11, -27636017979/22, -6918701292/11, 4542961663/11]]], 1, 3, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-16, 4, 6, -2]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, 2, 15/2, 9/2], [-3, -8, -7/2, -23/2], [3, 1, 0, 1/2], [0, 0, 0, 0]], [[76292, -98030, -56823, 55075/2], [238720, -184185, -241091/2, 161773/2], [205215/2, -447987/4, -249283/4, 150955/4], [-9/2, -3/4, 5/4, -5/4]], [[159620174, -117350158, -83008354, 43993284], [295545908, -401946020, -105815462, 94517304], [191413640, -170837457, -106154286, 61021941], [4758, 7137, -9516, 2379]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11, -11, 17/2, 11], [-51, 26, -35/2, -32], [-4, -1/2, 1/2, 3/2], [0, 0, 0, 0]], [[5725918408, 13325722199/2, 11201724383/2, 83778425/2], [1314206464255/11, 339041489458/11, -917108316349/22, -223789359501/22], [117163039863/22, 37802567437/44, 855727626/11, -6115037637/44], [21/22, 69/44, -1/22, 5/44]], [[271431417325423453, -189468043324139560, -267769650432415331/2, 69429573420423993], [61247000600176530565/11, -53447995147641119543/11, -66847353026617577321/22, 19102024808184236140/11], [3559338907085267476/11, -6275923280943917341/22, -3863864862729135661/22, 2218729089098788857/22], [-66452424/11, 196397148/11, 59158248/11, -55934157/11]]], 0, 18, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[0, 2, 0, 0]], [ -2, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 2, -1, -2], [1/2, 1, 0, -1], [0, 2, -1, -2], [1/2, -1, 1, 1]], [[-22, -143/2, 23, 4], [201/2, 487/2, 151/2, -167/2], [-22, -143/2, 23, 4], [245/2, 315, 105/2, -175/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, 3, -8, 1], [26, 10, -23, 5], [3, 3, -8, 1], [0, 0, 0, 0]], [[-289641, 81807/2, -38324, 19899], [-79210641/22, -180863259/22, -12128404/11, 48543725/22], [-3186116/11, 900677/22, -421354/11, 218914/11], [-13/22, 40/11, 21/11, 5/22]], [[1503425473434555, -1744956883819105, -1922585565070115/2, 605431511835810], [-85130526139800507/11, -38763793887554363/11, 37035883706652627/22, 5563841885174619/11], [16539024034753425/11, -19195350083843675/11, -21149778752358385/22, 6660077702001470/11], [134382697332/11, -82436183352/11, -66876829356/11, 33107180756/11]]], 1, 5, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-6, 3, 2, -1]], [ -146, 6, 7, -1 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[16, 25/2, -59/2, -26], [304/23, 545/46, -1479/46, -594/23], [1, -2, -3/2, -3], [0, 0, 0, 0]], [[2707827077, 1621457030, -643376089/2, -349807597], [1800112133206171/1139282, 3058812516010700/569641, 497465549302700/569641, -820788756231746/569641], [4258703509/2, -1548555795/4, -2803959363/4, 410863185/2], [-771297/569641, 887405/2278564, -3614615/2278564, -1/1139282]], [[2525799188600046162, 29522225606242460605, 6672521710033852100, -8347643038836907802], [29756390981253965565562221/1139282, 14779421903362310461348729/569641, -2707254174289407073915319/1139282, -6459093245461544842468711/1139282], [-7132943743068109190, 19617282039175273698, 7385819730841432489, -6104162163452127301], [368359395550215/49534, -678623585401266/24767, -500906702803419/49534, 572290523569599/49534]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[16, -13/2, 18, 2], [-9483/23, 6375/46, -3019/23, 2/23], [90/23, -79/46, 40/23, 1/46], [0, 0, 0, 0]], [[1288182656800, -150625184320, -211561341056, -128054366804], [-1202522203140043463/49534, 4187966501783942881/569641, 2712424693423609681/569641, -313811323932072642/569641], [5592992596240/23, -1940188298168/23, -1019652954482/23, 376088373019/92], [-1507267/1139282, -79441/1139282, -46609/569641, 1/2278564]], [[-7481316698995155088800, 34850015751220458090900, 13018618254698259563100, -11390815633751381084400], [214889876611914327791034200525/1139282, -356811470047451194966621727697/569641, -282982877967113939156598688573/1139282, 232841911539205459005756034297/1139282], [-48689211764896458757002/23, 143800828767620418116026/23, 59858889236579550404932/23, -47773375325905821629762/23], [2179092569511251/1139282, -24938021947690111/569641, -15425440222541513/1139282, 15070003059671983/1139282]]], 1, 8, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-6, 3, 2, -1]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-16, -21/2, 29, 19/2], [-182, -39/2, 60, 5/2], [-3, -2, 15/2, -1/2], [0, 0, 0, 0]], [[-47610596827/2, -48463634653/2, -44873548211/2, 5006714923/2], [10180378710841, 13907472298280, -106470820977, -3226687455251], [-46074455873/2, 831129157/4, -634301199, 2036672967/4], [2, 1/4, -1, 5/4]], [[-107179519013383864131/2, 706787327860263177543/2, 91806224398552348100, -197328197770933559599/2], [-22068198207869622830560, -79699079013239989741200, -11629390031726831686795, 20877785762721228700370], [-170595225295785564547, 286628240537304424891, 481420731397767363145/4, -89428957871556673537], [10947558503/2, -16172685396, -27167565635/4, 5400043012]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-22, -17, 40, 30], [1394, -258, -908, -679], [-2, 1, 4, 3], [0, 0, 0, 0]], [[3581350398493, 3581915738389, 6645335206959/2, -269163297985/2], [-38771004986383926/23, 98830628708916985/46, 14422919397887782/23, -13214432436032655/23], [160494129135573/46, 1025786951287/92, -486887840273/46, -409276689212/23], [27/46, 43/92, -17/23, -1/46]], [[-9183362554395450377543443/2, 2252108220981503951264376, 4252042155481115267466789/2, -1920890026970267289459861/2], [3673428178700127198369284083, -7223240513114091386861496437/2, -4233246158145651347089745415/2, 1264637733470541366204186897], [-5135853549965401935585130, 8206032568906909352629719/2, 10963092854926154223575251/4, -1506429675057627567114045], [108033062375/2, -323967383943/2, -269950930543/4, 53989406674]]], 1, 4, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-6, 17, 6, -5]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, 2, 17, 15/2], [-193, 9, 24, 5/2], [2, 5/2, 5/2, 0], [0, 0, 0, 0]], [[-230313215836, -223365861602, -190873342292, 42778549009/2], [23412474673788, -16641010967807, -18807640322409/2, 10379252836695/2], [-437800042393/2, 18939544417/4, 8849872507/4, 6988258371/4], [-25/2, 1/4, -5/4, 3/4]], [[11804009529879571169186, 7884784878246698230479, 878228733680720123224, 63276179574024267821], [-969725933473463671615746, 683223878167544530614848, 480923410770804250222232, -252517924611509178533462], [9800765665861876966427, -1847907229193350617273/2, -5990542074540552487431/2, 996824552689160795363], [591234317555, -119370595065/2, -357449420775/2, 57519600395]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6, 7, 1, 0], [-876, -467, 243, -1], [4, 2, -1, 0], [0, 0, 0, 0]], [[-5214756, -4825291, -8276219/2, 96380], [22746967327/23, 2011542077/46, 3870487923/46, -2414435539/46], [-115274940/23, 5991993/46, 23840789/92, -7257261/92], [110/23, 21/46, 147/92, 5/92]], [[1472039009142998486, 1535929770701035151/2, -351775701673981663/2, -75336297841343385], [-5779476576691591020518/23, 2074035033628337294091/46, 3951457860727446880989/46, -635559969093608270795/23], [27786894050171180156/23, -12320494453036234801/46, -20066278513928569787/46, 6998216996768620605/46], [-30585253209325/23, 6231764924525/46, 9194925500795/23, -6105992583525/46]]], 0, 24, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[16, -8, -7, 3]], [ -146, 6, 7, -1 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[53, 56, 179/2, 43/2], [1159/23, 1261/23, 3879/46, 985/46], [65, 2, 1, 5/2], [0, 0, 0, 0]], [[34304905725206, 30701622091085/2, -386401656691, -5183926434833/2], [36849635143361868495/1139282, 8800426812236690711/569641, -245498991046372741/569641, -2890336719407251667/1139282], [60568010116873/2, -38378448987965/4, -18718965828299/2, 3674516092764], [367985/569641, -251877/2278564, 756077/1139282, -1/1139282]], [[130406055544933135840100834, 72621756249787838595307369, -17433613865293413535126797, -15761096890029952823469657], [140055413047455719561280957795739/1139282, 41032550848365477954741608180727/569641, -18485136996102960589013577868421/1139282, -17763115943143788105843522042541/1139282], [104067101762572434088298585, -45075513041363811074686155/2, -35246541951851757583235350, 22077070844468013811540763/2], [3973186583777685925/1139282, 655046985413677475/1139282, 91121103536076625/1139282, -244720955630984025/569641]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[66, 18, -15/2, -9/2], [-25977/23, -833/23, 7973/46, 35/46], [282/23, 15/23, -51/23, -3/46], [0, 0, 0, 0]], [[-12070925235, -2153070350, -2460511444, 30546247/2], [105940611289512891/569641, -47104530134963415/1139282, 38635617788044628/569641, 22756070102376840/569641], [-55636872551/23, 2306414385/46, -844105885/92, -141423487/92], [65501/569641, -86218/569641, -3055307/2278564, -5/2278564]], [[23447583942645808571970, -5201663644466184829340, -7824500271926771873070, 2441457917852774481930], [-487679036507177150049766924925/1139282, 8346297780698483145882911997/49534, 183030415980246653336354755951/1139282, -73990637428201102522489637995/1139282], [209561540839834674412329/46, -160183394770385746849339/92, -79177568779682062276927/46, 63772378961345077963717/92], [478101425825531481/569641, 327670507622409981/2278564, 1676031485946963/1139282, -219103318780956135/2278564]]], 1, 60, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[16, -8, -7, 3]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-21, -41/2, -36, -15], [151, -35/2, -34, -11], [-27, -3/2, 2, -5/2], [0, 0, 0, 0]], [[-21046039752581/2, -20630957925481/2, -8672633421150, 2732351827147/2], [43682115940539, -14322215520570, 29095087822439/2, -18572750231067/2], [-9918319056413, 495408679327/2, -160653704537/4, 685027671979/4], [-1/2, 0, -5/4, -3/4]], [[7359965967441116150377, -70082758664763958510615/2, -12475935592256519246240, 10965176666732466079355], [-125834696966465510699706, 320264838247127735155111/2, 91357277476527877322746, -57839355779946109298245], [18082142784690485624551, -28560260285298429627295, -13841085014568256265697, 19202173423194063168623/2], [1064508990, -6200815193/2, -1173613040, 961827629]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[28, 30, 20, -10], [-3122, 30, 4, 3], [24, 0, 2, -2], [0, 0, 0, 0]], [[-95498387551551/2, -95500821262977/2, -47238287662262, 335114928170], [5753410089085649, -316450296754078, 238924818166407, 729294833412809], [-95124587986337/2, 9944040025/4, -7405731511/2, 97152757051/2], [-1, 3/4, 1/2, 0]], [[-282992783912946902452874941/2, -502261739090001669435889651/2, -12601361558173621231803508, 61140553316315027136961399], [157689011389459238538586468979/23, 603141232081727104898802136163/46, 38551182764934878628857314099/46, -148446421838963833559955212631/46], [-1231273845366910620252490660/23, -2366662918953894257346258669/23, -154930065582081485467607575/23, 583250825199037092815687607/23], [3020913111399/46, -8761403623435/46, -3323163743931/46, 2719022083323/46]]], 1, 40, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[18, -1, -7, 2]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[42, 79/2, 67, 15], [-54, 87/2, 72, 11], [52, -5/2, 0, 5/2], [0, 0, 0, 0]], [[-13371030484182, -29491602951871/2, -26219525536125/2, 4109154332387/2], [9898844003781, -13853733782937, -25588208335721/2, 1122709258199], [-12622027793983, -1054667223343/2, -3389749520279/4, 2443877450335/4], [-6, -1/2, -3/4, -5/4]], [[-155779223391496104706435, 677991194467373100037297, -92224195008311599595825, -64363533534557778460470], [695669861250394725589201, -562926020156536052109792, -389434230768900924331574, 218236020748943091629177], [-462179926536285307195181, 688997329501572031403421, 144773088353741443013061, -148986719963289297558658], [-226936971642, 318123488897, 124890141427, -90806031406]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-36, -77/2, -64, -29/2], [1886, -67/2, -51, 1/2], [-45, -1, -3/2, -3/2], [0, 0, 0, 0]], [[-12727379337215610, -25482078974004251/2, -12450179544148009, 158059590701250], [11984201553855590004/23, -1220357201009705443/46, -786628123117588229/46, -395680230104521449/46], [-290316921694066314/23, -846647951864433/46, 218281061682153/46, 2194522000213941/92], [91/23, 41/46, 63/46, 1/92]], [[52582031402674952613141167023, -112310359753412825793869858475, -32382435284647165235824327034, 28162322827723768149554043274], [-88974388706921965433813849315335/23, 110088499876958931021432535260592/23, 48682296167613209749101549321195/23, -33497927449133422699792676893128/23], [2088868640683233252374882888091/23, -2632058970834179007192316603809/23, -1160466025755932609482561483545/23, 800103492483386523251653938267/23], [-620280600682864/23, 868502827770608/23, 341241782352916/23, -248167858204740/23]]], 0, 240, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -80, -64, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 12, 6, 10], [2, -6, -6, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [678941, -607706, 633478, -75413], [-656078, 985329/2, 382981/2, -338779/2], [3, 3/2, 1/2, 3/2]], [[0, 0, 0, 0], [583793085345, -542306513107, -322628713050, 189475927277], [-351277344759, 331211801386, 395125076205/2, -116338480511], [813021, -526536, -810891/2, 204480]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-47, 4, 5, 5], [11, -6, -1, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [110638265, 12701853, -88119746, 28798339], [-20095681, -3647601, 17048241/2, 768677], [-1, 1, -3/2, 0]], [[0, 0, 0, 0], [4414820370300, -13505506285746, -6370631929316, 4780161658502], [-1078375484660, 3243850945352, 1157213901612, -991124265132], [-233162, 407340, 130086, -109938]]], 0, 16128, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -32, -8, 8]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13, 2, 9, -5], [9, 4, -9, 1], [0, 0, 0, 0]], [[13/2, 7, -29/2, -21/2], [24166, 11514, -19724, 4335], [-18496, -24257/2, 34015/2, -3712], [-5/2, 1/2, 2, -3/2]], [[-1419601/2, 306927, 260099/2, -525797/2], [3381531140, 520897270, -661188632, -71591146], [-1465588427, -1739543909, -269440457, 535702415], [-1183425/2, 333904, 453519/2, -242793/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-22, 2, -16, -2], [2, -10, 10, 4], [0, 0, 0, 0]], [[29/2, 15, -61/2, -45/2], [-246499497, -340847236, 20645331, 98318632], [38260533, 60106207/2, -38446599/2, -17989229], [-5/2, 1/2, 0, -3/2]], [[-139425/2, 27885, 68783/2, -24167/2], [-1757068678392, -896149372587, 541376344747, 62807035774], [419762718271, -148579465749, -509580236087/2, 103870558480], [-87373/2, 33462, 9295, -13013/2]]], 0, 8064, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[16, -24, -12, 8]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 1, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5, 5/2, 9/2, -25/2], [-1/2, 7/4, 3, 1/2], [3/2, -1/4, -1/2, 1/2]], [[0, 0, 0, 0], [-455244, -1105961, -51373, 255873], [364811, 725261/2, -34087, -78498], [-172749, 878697/2, 162336, -134390]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5, 1, 1, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [933/11, 2877/22, -3117/22, -314/11], [73/11, 50/11, -313/44, 9/22], [-7/11, -6/11, 27/44, 1/11]], [[0, 0, 0, 0], [2191109988/11, -2181957675/11, -2533670335/22, 1522360615/22], [-6209817/11, 4288971/22, 2431893/11, -3759039/44], [542430/11, -107379/11, -196407/11, 243087/44]]], 0, 126, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[4, 0, 0, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9, -7, 16, 11], [-1, 0, 2, 1], [0, 0, 0, 0]], [[-2, 1, 4, -4], [4, -12, 35/2, 3], [-3/2, 15/4, -7/4, -7/4], [-1/2, 5/4, -5/4, 1/4]], [[-154003/2, -173349, -36261/2, 87635/2], [1689980, 2234465/2, -306076, -195966], [-449633/2, 42449/4, 78455, -74817/4], [-92854, 102935/4, 38131, -54961/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, -7, 4, 5], [-1, 0, 2, 1], [0, 0, 0, 0]], [[-33/2, -11, 45/2, 29/2], [-4397/11, 56/11, 9389/22, 482/11], [-659/22, -311/44, 1619/44, 523/44], [-17/11, 3/44, 75/44, 5/44]], [[18554291/2, -2743685, -7657111/2, 2766953/2], [6273069885/11, -3434298672/11, -5963548383/22, 1399182899/11], [671144131/22, -768586637/44, -647302187/44, 308644203/44], [23469656/11, -56077819/44, -45847655/44, 22296561/44]]], 1, 21, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-4, 0, 8, 4]], [ -2, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 0], [-1, 0, 2, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [1/2, 0, 0, 0], [0, 0, 0, 0], [1/2, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, 0, 6, 3], [-1, 0, 2, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-412/11, -823/11, -5543/22, -191/11], [30/11, -100/11, -355/11, -20/11], [3/11, -10/11, -71/22, -2/11]], [[0, 0, 0, 0], [-3994286969/2, 1663576539/2, 391920654, -426636765/2], [-114497485, 6631305, -15792450, 8174355], [-22899497/2, 1326261/2, -1579245, 1634871/2]]], 1, 45, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-92, 24, 36, -12]], [ -146, 6, 7, -1 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [57/23, 220/23, 105/23, -5/23], [-31, -20, 53, 35], [0, 0, 0, 0]], [[0, 0, 0, 0], [-145118559961/49534, 18105978296/24767, 382954679077/49534, -157400139189/49534], [441923, -926477, 5232323/2, -928832], [1638269/1139282, 238323/569641, -289987/569641, -3/1139282]], [[0, 0, 0, 0], [-1019919314424063999893/1139282, 24062059507008718944/569641, 2023097754072892704721/1139282, -787573582993518389075/1139282], [-250173540385530, -292263164230575/2, 706923700962075, -253220983581000], [3137667345945/49534, -5321830582035/49534, -3403774224045/49534, 2127266737155/49534]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [68217/23, 42938/23, 2401/23, 1193/23], [279/23, 180/23, 9/23, 5/23], [0, 0, 0, 0]], [[0, 0, 0, 0], [967176119637881683/1139282, 231630137004851099/569641, -869583097665673961/1139282, 159998160986292519/1139282], [64909817738/23, 41346046060/23, -43420955655/23, 1737334149/23], [-166329/1139282, -1218723/569641, 383205/1139282, 1/1139282]], [[0, 0, 0, 0], [142885188659714932460017341/569641, -364936315459794937922579710/569641, -204169324159192570818629658/569641, 138360888062431592237875647/569641], [19560023124157610065/23, -118562764478855774307/46, -54383318119177686667/46, 40425344351907022435/46], [1780509306904917/569641, -2363956883570933/1139282, -1540880670508415/1139282, 776656228311679/1139282]]], 0, 20160, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-92, 24, 36, -12]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [267, 78, 37, 35], [-13, -8, -3, -3], [0, 0, 0, 0]], [[-35, -28, 62, 43], [80658514466, -19154364601, -18620690701, 10556113069], [-3784106535, -528511653/2, 1012853964, -516710655], [0, 3/2, 2, 2]], [[640445/2, -2389205, -1046955/2, 1522495/2], [-117516936489800063, 100198124713191437, 65130206981502708, -36598936648122617], [4347901906849055, -3420222762628735, -4518121989562615/2, 1238419801944780], [1606865/2, -1526330, -836030, 1146665/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-19477, -15282, 26387, 19435], [-287, -268, 463, 341], [0, 0, 0, 0]], [[2, 19, -10, 0], [-4883595581408961/23, -8663216365020402/23, 3159086037123316/23, 582408164648702/23], [-1623165147573/23, -184343625242/23, 71434455454/23, 141200273585/46], [-2/23, -51/23, 17/23, 1/46]], [[1504275/2, -1688670, -1328291/2, 911623/2], [176470897563680133405/23, 724452045099412331993/23, 97402259793304544480/23, -184759304504500762146/23], [168422743649811408/23, -2377986751226457/46, -60820831239113606/23, 7391160155637437/23], [-3225295/46, 9652593/46, 2824155/46, -3014373/46]]], 0, 16128, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-208, 128, 96, -48]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [37, -60, 37, -5], [-1, 6, -3, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [17371533, -33456130, -9308714, 8423655], [-2828824, -1081201/2, 712969/2, 216969/2], [-7, -11/2, 29/2, 15/2]], [[0, 0, 0, 0], [-7522437171312342, 6834412118329081, 4147355705152117, -2409691025901523], [469634341618681, -1161101706478541/2, -294927979422220, 193247864988547], [-190463075, 597283755/2, 120861065, -89315805]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4413, -454, 749, 287], [11, -8, 13, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-31233686118199476769/23, -5023102101680645955/23, 3833502966029030177/23, 929374498312954546/23], [-110307102802275873/23, 269144195268647/23, 147493297627067/46, 8997958594447/46], [36/23, 90/23, 101/46, 5/46]], [[0, 0, 0, 0], [60922279678939976359236773168, -57989595860923481472011985609, -35447538517435765058234230662, 20775704293244894035262097110], [256480350881469370898183925, -487417450613616298424439531/2, -150941903477358709889998517, 176230090555231095144281763/2], [4626953937, -15438394325/2, -3087086850, 4632100877/2]]], 0, 96768, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[44, -136, -52, 44]], [ -146, 6, 7, -1 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [25/23, 86/23, -29/23, -3/23], [45, 8, -3, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [1294253070313/569641, -281051000121/569641, 1647105523469/569641, -591050855945/569641], [-56739836, 169967463/2, 47426387, -23575253/2], [-1340938/569641, -410759/1139282, 93218/569641, -1/1139282]], [[0, 0, 0, 0], [690439374984281439648901/1139282, -82891189974895251440056/569641, -505653611463199812341229/1139282, 182278490561010928883559/1139282], [-5794950538949501685, 19917367773452930823/2, 4368868474280264778, -3762239701561337322], [-318069055391397387/1139282, -3564207080749587/1139282, 136549235277806115/1139282, -27181239626168043/1139282]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-558351/23, -25890/23, -62849/23, -715/23], [-2311/23, -108/23, -263/23, -3/23], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1320856826554430426643663/1139282, -23836414791904144104481/569641, -31253058406238531235227/1139282, 4265313844195979039265/1139282], [-110383872192271454/23, -4029844661439176/23, -2714829603805715/23, 364679471123889/23], [166329/1139282, 79441/569641, 1895359/1139282, -1/1139282]], [[0, 0, 0, 0], [-179891338739157957764045077872585239/1139282, 25730523343270476937020991840174056/569641, 78381919292939182993130459775251495/1139282, -28216355583283322935849302395909137/1139282], [-15039357551312806963953178845/23, 8593343186308349503466368239/46, 6552280839124766435493171587/23, -2357500270972332847346607148/23], [158222100260977989/1139282, -2646314905367561/1139282, -72751427714256103/1139282, 15403204152586261/1139282]]], 0, 241920, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[176, -272, -144, 96]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-151, 2, -3, -1], [-179, 8, -13, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7306538060756, -783326376031, 881491624908, 203817693113], [-8844256950604, -832727043613, 1871919292373/2, 449131095619/2], [2, -2, -15/2, 7/2]], [[0, 0, 0, 0], [-8167210867497159261246, 9940217675119432892148, 5142351889305521109863, -3332801727546775483041], [-10069890441256894261014, 12209600277212891387380, 6331330542933615756871, -8188969188770133449755/2], [-1358279584, 2117053519, 933999729, -1354856953/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4681, 108, -61, -63], [-15, 10, -5, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [16560323567735768/23, 6869598745209643/23, -647642953909221/23, -1937022782093730/23], [57689452526872/23, -71485973047/23, -201839370781/46, -119913286667/23], [268/23, 49/23, 67/46, 2/23]], [[0, 0, 0, 0], [-1308455724248292557138203484686/23, 2299975107617209352598092929107/23, 967625564256954761776389572492/23, -723332259284280751395735154590/23], [-6919051466027356458490097927/23, 19244078126459470520093779419/46, 4505150549018641641518737168/23, -6238531156439767558790558421/46], [-28305716464723833/23, 88521056076065877/46, 19467009408927987/23, -28326135132563391/46]]], 0, 967680, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[44, -136, -52, 44]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [305, 20, -3, 11], [183, 10, -1, 3], [0, 0, 0, 0]], [[-39/2, -14, 59/2, 39/2], [6554512740088, -110947865469, 1218422136398, -424530198258], [3848965097749, -235904076115/2, 914421395387, -746482253823/2], [-1/2, 1/2, -3/2, 2]], [[-50441, -21706, 20039, 8605], [-4255840816728837153, -7463755760877917186, -352252848950630993, 1809555493551782329], [-2511092801622549977, -4407727962164447920, -209005192571852518, 1068866534338266469], [-31773, 2100, 14474, -3619]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-565, 104, -99, -41], [11, 10, -9, -3], [0, 0, 0, 0]], [[11/2, 7, 17/2, -35/2], [856764320645974/23, -726333499272969/23, -490326193597765/23, 270204404110992/23], [-1518460302710/23, 15065951688/23, -9151734059/46, 16042423912/23], [35/46, 15/23, -74/23, -3/46]], [[-711046926180217, 78037787998138, 320355892522349, -117155147543385], [-48149695057285662491490494777/23, 40674607112416248767090407198/23, 25919031337732155946078224455/23, -14612398149622859516535788499/23], [115176125399515091339787807/23, 12740595605885385064531149/23, -37791920672538522942428203/23, 4805301656427163205444304/23], [1976786392725961/23, 188792923881/23, -898415806998451/23, 179690617479782/23]]], 0, 161280, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[144, -32, -48, 16]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 28, -18, 10], [-4, 16, -8, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-161486, 3642131, 851870, -964750], [-598393, 3444469/2, 572242, -980809/2], [9, 19/2, -17, -27/2]], [[0, 0, 0, 0], [-19452307041, 6148482094, 8267355679, -3126329989], [-11767881685, 7262611574, 5831818647, -2877610877], [-3532, 14128, 3532, -3532]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [31, -22, -45, -9], [-3, -10, -11, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-105593, 77084, 99533, -49653], [-9947, 1852, 20368, -8727], [-6, -2, 1, 0]], [[0, 0, 0, 0], [14426919353084/11, -8550065951047/11, -17361018190124/11, 7762054678157/11], [2438893218798/11, -308846060412/11, -9372758284587/22, 3693023458373/22], [147757486/11, -579494609/11, -303801383/22, 302596925/22]]], 0, 516096, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[148, -88, -76, 36]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, 2, 5, 1], [1, 10, -11, 5], [0, 0, 0, 0]], [[-1, -5, 0, 2], [37984, 98623, -12818, -40406], [-18167, 433645/2, 52154, -153531/2], [0, -5/2, 0, 1/2]], [[-153/2, -493, -153/2, 289/2], [3000563, 9546759, 865566, -2744205], [-1204383, 22288247, 11121363/2, -6555667], [51/2, -272, -68, 153/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-40597, -37642, 65543, 48131], [-13585, -12550, 21851, 16043], [0, 0, 0, 0]], [[-23/2, -24, 19/2, 31/2], [-186349039923/11, -160514267449/11, 598554968845/11, -210521411227/11], [3460674202/11, 1777038935/22, -1119239345/11, 73857903/22], [-3/22, 43/22, 41/22, 1/11]], [[-120183/2, 232218, -144627/2, -152775/2], [-27973811107017821/11, 13341073287569287/11, 38732434221449253/11, -16664268319298416/11], [-94068138141793/11, 84743670385355/11, 90860901668841/22, -54414493110583/22], [429807/22, -283143/11, -87591/11, 6111/11]]], 0, 86016, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[148, -88, -76, 36]], [ -2, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7, 4, -11, -5], [32711, 30190, -52669, -38653], [0, 0, 0, 0]], [[0, 0, 0, 0], [983807859405/2, -104535713158, -1777768927907/2, 715384681325/2], [3334928873, -1184961696, 222024265, -25837891], [3/2, 2, -5/2, -1/2]], [[0, 0, 0, 0], [89923034789558811/2, -48558921382919931, -37373581061137671/2, 26402249613383169/2], [4789423789244379, -6209746848366454, -3124975997815495, 2072072864911489], [-2733381/2, 583653, 1241625/2, -523551/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [25053, 23050, -40273, -29539], [8330, 7680, -13422, -9846], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4749171761187/22, 371195643563/11, 9036926396513/22, -3597716350931/22], [518019655/11, -113759870/11, 153933735/11, -2806257/11], [-141/22, -51/11, -9/22, -5/22]], [[0, 0, 0, 0], [-60157709038440091137/22, 4626617920265824079/11, 114714646589891786357/22, -45654776916510472833/22], [7056599566262434/11, -7773219750979360/11, -682203353280492/11, 1134477052486946/11], [-1193185699/22, 350917013/11, 609146415/22, -287566131/22]]], 0, 129024, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -14, -5, 4]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9, -13/2, 2, 13/2], [19, -21/2, -1, 19/2], [-6, 2, 1/2, 1/2], [0, 0, 0, 0]], [[26341887, 8539499/2, -30454134, 22227275/2], [-30133050, -2164531, 22056709/2, -894789/2], [17281657, -2455659, -78465933/4, 15086349/2], [0, 0, 1/4, -1/2]], [[122130743121611, 104118599839173/2, -27118010427312, -14293976178533/2], [-338685036442454, 53658664626281, 127299357637777, -37864853795431], [100649312564923, -29864657822715, -160827106511783/4, 58932127215345/4], [2303865, -6941061/2, -6571593/4, 4624371/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, 3/2, -35/2, -13], [3, 1/2, -37/2, -8], [-6, 0, 1/2, -2], [0, 0, 0, 0]], [[-22506487, -41366709/2, 27873064, 22429967], [-21338985, -30921661/2, 57194305/2, 14565376], [-11027283/2, -7316445/4, 14608961/4, 9688291/4], [-7/2, -5/4, -5/4, 1/4]], [[-29649229412066056, 52465192011651025, 58475625765470611/2, -13123688537549961], [-22862335715104090, 43232006377189546, 20029716071830346, -9538462862798215], [-86572484807056853/2, 214260210829133485/4, 114196880463642691/4, -70735525031368777/4], [-78796710595/2, 235396266021/4, 112308085771/4, -78451302275/4]]], 0, 8, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[2, -7, -2, 2]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-19, -41/2, 27, 49/2], [-1, -31/2, 29, 39/2], [-2, -3, 3/2, 7/2], [0, 0, 0, 0]], [[-99413969/2, -37630783, 49808363/2, 48128373/2], [998245000, -1451857891/2, -480451932, 560705903/2], [-28760985, 4418423/2, 39467939/4, 1211955/4], [5/2, 1, -3/4, -3/4]], [[-25121069336592, -10894796042703, 4232947338910, 2887196310294], [813470065320208, -631285184650819, -841460025126715/2, 230285928463278], [-41945403805447/2, 27147149457531/4, 29757937682373/4, -10730607797779/4], [3169887/2, 230041/4, -1228185/4, -97475/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[27, 41/2, -47, -51/2], [49, 47/2, -45, -47/2], [4, 2, -17/2, -3/2], [0, 0, 0, 0]], [[8678013/2, 4174335, 8707767/2, -1523707], [-140648586, 17022285, 53983317, -14014642], [8618491/2, -2749835/4, 2091161/4, -268826], [2, -1/4, 3/4, 0]], [[335558297084959, 228753532642370, -21424519328847, -67514900504959], [-6661993841033056, 870569021766546, 2468726786142882, -704548976480745], [257390848315544, -36371422999150, -70433513547224, 15674732564447], [135218125, -3226790, -34901195, 2013760]]], 1, 2, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -14, -5, 4]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -4, -35/2, -10], [0, 0, -37/2, -11], [-9, -1/2, 1/2, -3/2], [0, 0, 0, 0]], [[747598, -126001, -697191, 159606], [709356, -118487, -765817, 187977], [630001, -756001/2, -495599, 218401], [1, -1/2, 1, 1]], [[-516084658223, 1358543722617/2, 514759507883/2, -382090426141/2], [-402218942677, 546446890887, 333478428993/2, -137501775758], [-741624725631, 1597347112051/2, 1586733255937/4, -1018905937039/4], [-1661631, 5128051/2, 4839937/4, -3409039/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-20, -20, 39/2, 39/2], [-6, -19, 41/2, 41/2], [-6, -2, 2, 5/2], [0, 0, 0, 0]], [[9830781, 42082665/2, 26261439, -31642493], [-33540938, 82830547/2, 16288461/2, -52434525/2], [8749976, -10348201/2, 16384649, -33850107/4], [-2, -1/2, -1, 5/4]], [[-14303203042917, 94344711953033/2, 16683614714315, -14280438496691], [70776233040100, -159022326701619/2, -85574594361553/2, 54317447978269/2], [-29025763369950, 82957906557397/2, 19996605531218, -54715773230679/4], [2704674, -11117099/2, -2272942, 6990249/4]]], 0, 8, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -7, -7, 3]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-15, -33/2, -41/2, 3], [9, -45/2, 31/2, -16], [-16, 1, -5/2, 1], [0, 0, 0, 0]], [[4584883373, -13381052455/2, -19118117172, 8147185299], [-24133720000, -550270592, 50160220146, -20346724833], [3658107415/2, -6309163497/4, -9698118725, 16640407781/4], [-1/2, -1/4, -1/2, 1/4]], [[-36279807546939856, -285981011565141969, -58872344084561597/2, 128406608706475545/2], [-214401453957377184, 194882020307391488, 34691431660871400, -36293219320819568], [66728496026377277, -392490426267388719/2, -106911981594093617/2, 209920285170385843/4], [15580950, -45345806, -30339133/2, 52958147/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -1, 33/2, 17/2], [42, -6, 47/2, 43/2], [2, 1, 2, 1/2], [0, 0, 0, 0]], [[-993172180, -927547888, -720075133, 368828735/2], [-21319745636, 8040264008, 5772393070, -3076721184], [-1837163179/2, 243707719/4, 18789395/4, 32597887/2], [-9/2, 5/4, -1/4, -1]], [[-1206449895437915333, -15358675452924431829/2, -1152483642971318561, 3862420072203817401/2], [48583382141360482542, -98650872595068343435, -38531383755193914510, 30248610753674622572], [1441186746701553633, -4964594312420294998, -6033173878172779835/4, 5664223581585059117/4], [8549198748, -51157996929/2, -34096095305/4, 29845853667/4]]], 0, 32, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -7, -7, 3]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-148, -157, 461/2, 208], [-150, -166, 453/2, 221], [-9, -39/2, 21/2, 59/2], [0, 0, 0, 0]], [[104345261, 167369243/2, -347256039/2, -206144629/2], [106236190, 86852879, -185675798, -104191430], [32048631/2, 32797431/4, -57720003/2, -15300493/2], [-19/2, 5/4, -1, 1/2]], [[-10012427350512, 54295465124928, 16280823990192, -15910465897584], [-376909215409774, 475201469372767, 241126436577284, -158683591806281], [-27449179614144, 44425792677552, 19879797147648, -14299346996208], [-733927560, 844755264, 450485496, -286396344]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[21, 71/2, -57/2, -53], [23, 65/2, -63/2, -48], [-4, 5, 19/2, -11], [0, 0, 0, 0]], [[436740, 368010, -760815, -1053135/2], [399848, 325860, -715729, -491427], [86073/2, 94811/4, -369781/4, -52208], [-25/2, -3/4, -1/4, 1/2]], [[62810892360, 153318168600, 15617306925, -77624312615/2], [32855660684, 243180389112, 47256675321, -132075579317/2], [10987988992, 74921633416, 14286363849, -20302206712], [430463205, -761619091/2, -473460217/2, 135795609]]], 0, 32, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -24, -8, 7]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 1, 5/2, 7], [194, 7, -5/2, 14], [3, 3/2, -5/2, 3/2], [0, 0, 0, 0]], [[-17469168459, -34003985903/2, -14954157430, 1360121321/2], [-7153135955881, 11501407925249/2, 3819045897231, -2139060430430], [-33589683655/2, 321203715/4, 1547498305/4, -24855631], [-7/2, 3/4, 1/4, 1]], [[-140295381769083626416, -152238273498187742158, 9401284480684722607, 35984566324099125532], [-25092903084945423663570, 17352692207196142137901, 12671448437841065261384, -6562966948921748590255], [-85061494803185441991, -62871258753442281183/2, 19492737653243378973, 8124205826318187521/2], [-15812169351, 2232636417/2, 4518558957, -2224113375/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11, 23/2, -33/2, -29/2], [-31, 25/2, -31/2, -47/2], [1, 3/2, -1, -2], [0, 0, 0, 0]], [[-1781135, -4260637/2, -7626945/2, 611823/2], [693161006, -374886171, -650351875/2, 149285160], [-2281824, 526673/2, -2450079/4, 724351/4], [0, 1/2, 1/4, -1/4]], [[-44240, 139520, 50688, -46392], [25399168, -28599924, -15447504, 9731963], [-87744, 122152, 61608, -41680], [0, 0, 0, 0]]], 0, 64, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-28, 42, 20, -14]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 0, -22, -16], [-34, 4, 12, 16], [-6, -2, 0, -2], [0, 0, 0, 0]], [[-562386, -882164, -1391306, -515748], [-6372091, 4542929/2, 10550347/2, -1159648], [-739269, -274349, -181719/4, -43011/2], [1, 1, 1/4, 0]], [[73609276803, -50329714661/2, -100240325693/2, 29742987663/2], [473771478418, -520511082433, -279180977691/2, 120449240611], [72891148280, -105626362489/2, -183843714537/4, 91203729121/4], [-59284, 58981/2, 119319/4, -47831/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9, -17/2, -31/2, -11], [-87, 65/2, 1/2, 23], [-12, -2, 5/2, -2], [0, 0, 0, 0]], [[96609907769, 213258798497/2, 193713983013/2, -16967348531], [26840725121108/11, -9333286750228/11, -66650859314595/22, 13113335885498/11], [2017761516473/22, 116608281485/44, 81062327923/11, -215952891435/44], [-989/22, 19/44, -5/11, -5/44]], [[-2311273439773660632104, -283707573485671946714, 1991515755095755755389/2, -38345321504472290741], [-213388067951970622912857/11, 402552671884203435548183/22, 134294585597784453229055/22, -100530230826362695849159/22], [-22350099872004189727192/11, 22122959489313701440211/22, 44966980263149147987475/44, -19409581971771906482153/44], [10624876667584/11, -10680938429093/22, -21252160518423/44, 9102276920465/44]]], 0, 288, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-8, 0, 2, 0]], [ -2, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 1, -1/2, -1/2], [-4, 4, -9/2, -3/2], [0, 1, -1/2, -1/2], [0, 0, 0, 0]], [[-82217, -64673/2, 11023, 11681/2], [597046, 4346363/2, 187127, -1044955/2], [-82223, -64673/2, 11019, 11681/2], [-3, 0, -2, 0]], [[2769864292195, 1110527591645/2, -1465862433555/2, -7703364815/2], [-10915393558653, -64403321252519, -21108082863339/2, 33621465799201/2], [2770170293339, 1110489293559/2, -1466010986843/2, -7692747343/2], [153000572, -19149043/2, -37138322, 2654368]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-20, -17, 67/2, 22], [-166, -46, 195/2, 61], [-20, -17, 67/2, 22], [0, 0, 0, 0]], [[-857027004, -61091704, 42457516, 45636036], [594047609544, -979926824461/2, -315308280032, 176177608275], [-857027004, -61091709, 42457526, 45636036], [0, -1/2, 1, 0]], [[295658479016632, 210214777856624, -44767291357288, -41698454593272], [-1286092386878493387/11, 775176444913171761/11, 1239383487459528333/22, -303687206716188555/11], [3252243250868582/11, 2312362556098354/11, -492440199448733/11, -458682999752562/11], [-1831437/11, -32451/11, 1096287/22, 77343/11]]], 0, 56, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-22, 35, 15, -11]], [ -146, 6, 7, -1 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[211, 391/2, -342, -515/2], [5187/23, 9151/46, -7787/23, -11835/46], [22, 20, -71/2, -59/2], [0, 0, 0, 0]], [[-23934928397, -34120888217/2, -12641573371, 7032857459/2], [-88982863263156204/569641, 341646253574874119/1139282, 114129279176333499/1139282, -51799983186558646/569641], [-22725527106, 4683260623, 4376160185/2, -3168080603/4], [1976080/569641, 238323/1139282, 849295/1139282, -3/2278564]], [[59502297977790714167360, -7370748251448873913228, -18264666287796485614607, 3978949394115470005273], [328758685058062644472400216563/569641, -393124575056848245934279317285/569641, -201490448441551100195243001169/569641, 130483745477425186891655862047/569641], [60557371772871972637782, -39268538777134924546168, -55198742330997181582713/2, 14063511348124775807125], [-5460496001832054907/569641, 2674688300205056647/569641, 4442700469532925289/1139282, -976097557406874288/569641]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[102, 18, 73/2, 3], [-27848/23, 1039/23, -5197/46, 116/23], [485/23, -13/46, 81/46, -1/46], [0, 0, 0, 0]], [[53546765913948150, 14350888366604325, 8946405048828150, 226539551162025], [-347475286819981324918414/569641, -29595847315122463438997/1139282, 7128516720907074319906/569641, -98443790546100538333/569641], [487926479333223115/46, 64381842389663127/92, -12259055752771997/46, 499638117836625/92], [-4189143/1139282, -1550041/2278564, -523032/569641, -1/2278564]], [[2503703000364343845614914093200, -1170595368466742806892352385200, -1008123757704533553762704878350, 430332353987243050082441984400], [-16528468471701365921784434677392512288/569641, 19853813650028394255109830110879009599/1139282, 14402306287977921470276799117809653977/1139282, -3533539150145610289429382404452929776/569641], [11458888869546513467813861576820/23, -13476695951672703463641834903225/46, -19926268486493866841509711530125/92, 2418102396399921332812862876270/23], [-105364871378012443690/569641, 54457154923914294310/569641, 169145946532666171325/2278564, -37958644384561873755/1139282]]], 0, 80, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-8, 18, 5, -5]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9, -21/2, -6, 7], [-195, -23/2, -19, 16], [-7, 1/2, -2, 3/2], [0, 0, 0, 0]], [[-60767324035, -116222207083/2, -61480713100, -3965878002], [-1879528091349, -891705226793/2, 484536758150, 457064581169/2], [-124563054041/2, 4269292749/4, 6355589229/4, -2345998801/2], [-7/2, -5/4, 3/4, 1/2]], [[36495424179280526619, 28239083248565854899/2, -31752254640488040969/2, 1113095382012498817/2], [673354635785034921581, -199686177722334813979/2, -605161925778611296655/2, 197922242141661420327/2], [28298913567938036362, -7465353029093547332, -14910529526666269926, 5406137110544716532], [1239048775, -100104721/2, -525116121, 143577164]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[16, 13, -15/2, -9], [2614, 134, 1177/2, 107], [9, -1/2, -5/2, -1/2], [0, 0, 0, 0]], [[-260546032426278, -260022192180883, -523253730581389/2, 33744665501/2], [-2385368617977053718/23, -978224866885636202/23, -124156079404568079/23, 681716824069302136/23], [-6005216659972560/23, 16244760765240/23, -4196435122500/23, -4265043924025/92], [97/23, -21/46, 15/23, -5/92]], [[4508420655732722753880505, 6885040327686016935744773/2, -1824415331928530376244491/2, -457714631058142361080864], [28832035955854649485245644511/23, 15935941112237387861803725163/46, -20859221659774325178301961883/46, 622950091020849653950807110/23], [72286873428380492089480780/23, 3064359763620299226600170/23, -55160142154143919922423255/46, 5938335125169193224121175/23], [-1297349113016/23, 47131239716/23, 547555035368/23, -148689605680/23]]], 0, 384, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[40, -18, -21, 9]], [ -146, 6, 7, -1 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-191, -389/2, -363/2, 9], [-4227/23, -9069/46, -8287/46, 211/23], [-186, -2, -3/2, 2], [0, 0, 0, 0]], [[-324937243908961, -779359451341813/2, -142199532074292, 46598694896670], [-179811329559325620846/569641, -222015615599107870965/569641, -81052548970845459929/569641, 53201113924857778299/1139282], [-237921642636031, -81116946584495, 65497868885415/4, 54266691369095/4], [-1038454/569641, -79441/1139282, 383205/2278564, 1/2278564]], [[43827521458417280960112714, 571368869606241835262677838, 335613514056983936828102843/2, -418378676377222240360512027/2], [30203319465689850656348282982219/569641, 316645991568774293884812932189768/569641, 180192796124539206224230096932833/1139282, -115523842331181034364358083016684/569641], [-267769672502044408132525195/2, 1428990973923944798622384683/4, 681174626541380024559003729/4, -259149832409313543837790591/2], [-79701083372916873/49534, 283713809625268839/99068, 164996420429811771/99068, -27739829866057992/24767]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-982, -203, -212, -9/2], [353986/23, -1681/23, -2003/23, -209/46], [-197, -3/2, -3/2, 0], [0, 0, 0, 0]], [[16096952085642975660, 3581630766482218336, 3125347448756643884, 27218242718343164], [-142897192479349418102007620/569641, -2635920642972014197407435/1139282, 2570390887619896180309000/569641, 112114590113319798421725/1139282], [73876527133492616028/23, 3215568063822391743/46, -1540807865312569599/92, -76858369719008643/92], [2011407/569641, -238323/1139282, 2288897/2278564, 3/2278564]], [[-14247621961792365223409138484194436, 36374840270283224713447615978434880, 17182594740677680091559724337251844, -13063545828628309992357091700540300], [153505856047580712040251195821462707315326/569641, -296797665706198828998442606273323613817603/569641, -152357828384125625382088276801450503978409/569641, 107124083366107391020555867895701648163710/569641], [-3415360022942456621838772805466337, 13414083414377743576443421222750007/2, 3425813604370835348303850907601761, -4840402680829350533116468255354811/2], [-2769560777278181203989/569641, 9907183250632596276945/1139282, 2869415084410999707456/569641, -3866401025869133014263/1139282]]], 0, 960, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[24, -44, -18, 13]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[59, 123/2, 153/2, 5], [23, 127/2, 161/2, 3], [64, 0, 5/2, 0], [0, 0, 0, 0]], [[-374352239440, -472517013862, -1059496603733/2, 66608873002], [-152933262814, -472747235257, -1074039614657/2, 133296276469/2], [-764366774755/2, -107094047677/4, -285565049989/4, 67475688545/2], [7/2, 1/4, -5/4, 1/2]], [[-12439908495703552280868, -8083240889246921501510, 2715965699242949875587/2, 2189672261465494959690], [-7353870821671354966312, -9072266640347640745588, -762084544287627529887/2, 2698378967080168091481], [-9534158602736967365963, 2911689086047805067145/2, 5801646127302450958507/2, -1447948116785907264611/2], [67462281824, -5422490120, -26104348778, 6517809529]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[16, 15, 18, -1/2], [-2938, 22, 16, -7/2], [17, -3/2, 1/2, 0], [0, 0, 0, 0]], [[29587711643033129, 59116205258782997/2, 29341014513875380, -230159532421801], [-117153183105623019767/23, -18329908882284652921/46, 5890877938558432911/46, 804884160441581607/46], [678609122937071013/23, -2380601379336307/46, 1018586751830025/46, -2926831604494745/92], [365/23, 77/46, 5/46, 3/92]], [[-21657911590386239397597575387167294, -12046652948109951411114175498807458, 5818858402803935928865616414699104, 1948581033433050059925487609274968], [62824109297564341233594616582194089944/23, -6941291312478895469253498690616547657/23, -24686295480869674495550951205321198575/23, 6653704067066266573649848055336490502/23], [-376951823330372401849934591609042214/23, 65736214497045869336661169415182266/23, 155322734275299759001298615316244778/23, -47366331325526674389437196628031450/23], [-197974795145267044416/23, 15968912209768880544/23, 76636154394580240992/23, -19159604964680304720/23]]], 0, 3840, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[32, -112, -32, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -8, 0, 0], [24, 20, -52, -30], [0, 0, 0, 0]], [[0, 0, 0, 0], [213422, -160025, -88805, 49676], [-530562, 625654, 519571/2, -193435], [10, 2, 3/2, 0]], [[0, 0, 0, 0], [1636977802238, -1058271466177, -764027378827, 388718960732], [-3947406568660, 4519815564543, 4596466837107/2, -1488060674873], [101050170, 42471897, -35767329/2, -6993558]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [20, -2, -4, -2], [4, 22, -8, -50], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1531328272, 1610031760, 890619274, -550037789], [-60201023, 43572463/2, -118767387/2, 12541877], [3, 3/2, -1/2, 0]], [[0, 0, 0, 0], [-9967991469680, 10257409888218, 5890135905406, -3575612659640], [-953383336192, 251901275504, 754343095260, -298638845652], [17472, 7312, -3468, -1028]]], 0, 129024, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[32, -112, -32, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-44, -10, 0, -6], [-20, -6, -6, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-62220244, -35049364, 231094360, -88845476], [-28996732, -14598974, 110548514, -44002412], [-2, 0, 0, 2]], [[0, 0, 0, 0], [-280878242074, -81986775727, 40720355798, 18670594022], [-148395831549, -128926498393/2, 18020163870, 30181058301/2], [11615, 16645/2, -1485, -3325/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24, 4, -10, 6], [-8, -10, 8, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [3224, -3048, -1890, 1071], [23, 17/2, -41/2, -15], [3, -3/2, 5/2, -2]], [[0, 0, 0, 0], [-498361256, 474538602, 284395801, -167189347], [-2638356, -554974, 843780, 455161/2], [-901404, 84721, 126910, 26411/2]]], 0, 129024, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, -8, -4, 0], [10, -2, -8, 0], [0, 0, 0, 0]], [[-15/2, -9, 11/2, 11/2], [9, 4, -15, -8], [2, -3/2, -23/2, -6], [-5/2, -5/2, 1, 1/2]], [[-30760, 27440, 16920, -9800], [97462, -95546, -55766, 33458], [-22698, 18694, 12234, -6702], [-26440, 24560, 14840, -8680]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [18, -12, 4, 14], [10, -10, -2, 10], [0, 0, 0, 0]], [[-65/2, -29, 113/2, 81/2], [-81947858, -40675588, 15853492, 7546921], [-26450005, -12840227/2, -11467187/2, 5993936], [1/2, -1/2, 1, 5/2]], [[9616497, -4801182, -4582457, 1863537], [-689141266623218, 581009367103038, 372041937949580, -209329472496818], [-364153501457400, 325616305965685, 200521930480500, -115609501331224], [7633839, -5454665, -3956567, 2062745]]], 0, 5376, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, -96, -48, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, -10, 6, 10], [20, 8, 0, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12327232, 684502, 1383990, 458862], [112276846, -67364405, -47522326, 23601324], [-1, -1, -1, -1]], [[0, 0, 0, 0], [9890810948302, -8570607234279, -5449335518708, 3092574825850], [-100626025954365, 188196609869547/2, 56672004084769, -66437220804927/2], [466872, -322959/2, -191051, 144501/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 2, 2, -4], [-6, -8, 8, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-802, 817, 450, -290], [11, 11/2, -19, -29/2], [-1, -3/2, 2, -3/2]], [[0, 0, 0, 0], [-142140632, 138541705, 81243687, -48434371], [347321, -1001245/2, -236411, 164030], [171184, -433193/2, -109261, 72107]]], 0, 32256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, -96, -48, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 4, -6, -18], [-10, 6, 4, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [14835813, 21563765, -1371307, -4540708], [6997875, 20358513, 3837933/2, -10062627/2], [-3, 0, 5/2, 1/2]], [[0, 0, 0, 0], [1613049839540, 2614719614868, 104371617190, -635043350208], [897892374452, 2329065709380, 263729332888, -597085671162], [-184764, 36240, 66600, -20934]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [20, 2, -12, 6], [8, 8, -8, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [2549, -2985, 759, 6206], [-297, -1177, 2629/2, 11101/2], [-3, -2, 1/2, 1/2]], [[0, 0, 0, 0], [-12688272, 16043736, 8845256, -5580118], [3423084, -1019090, -587396, 244346], [5694, -9630, -4202, 3074]]], 0, 32256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, 0, -16, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-28, -6, 6, -6], [-8, 0, 4, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-329694, -253942, -941821, 448960], [-501489, 273471/2, 1155455/2, -443287/2], [3, 1/2, 5/2, 1/2]], [[0, 0, 0, 0], [-1279361153808, 2790696886419, 803273868622, -743267319864], [-709118347479, 1614861514059/2, 545391891171, -643333765381/2], [6590111, -29539615/2, -5238854, 8767865/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-162, 2, -16, -4], [-2, -4, 8, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [181077957910, -118170569439, -94627611071, 47759163084], [-1550724322, 20167822, 102985381/2, -52625495], [0, -2, 1/2, -2]], [[0, 0, 0, 0], [303670622411830, -263152689618442, -166277481869892, 94507596281188], [-2559270796930, 1455665065282, 1176612819367, -565150073598], [2360, -4130, -1475, 1180]]], 0, 258048, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[32, -56, -20, 16]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-26, -14, 67, 46], [0, 5, 3, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-17531101, -81332143/2, -22330985/2, 14247866], [-48767147, 37854309, 67546061/4, -20330679/2], [1, -1, 5/4, 0]], [[0, 0, 0, 0], [29462093173062, 48419297107172, 1824814175764, -11701317908556], [-104029066819470, 118759946040390, 63831888062024, -40411683788870], [3374628, -4811142, -2336088, 1586652]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-140, -20, 12, 21], [10, 3, 5, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [188853970489/11, -164450849455/22, -12932360422/11, 7002274721/11], [-35425133811/22, 6407250633/44, 4692583499/22, 2293164769/44], [-1693/22, -69/44, -16/11, -5/44]], [[0, 0, 0, 0], [-9504651583990828884892/11, 11892914533164634718581/11, 6217777699769107043079/11, -4033797995636186157220/11], [665054775147575704302/11, -988003014668050831500/11, -467555641611687585579/11, 328336906380314580882/11], [30068463568128/11, -48948381263424/11, -22897119663840/11, 15618372733248/11]]], 0, 2016, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -28, -8, 8]], [ -2, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 5, 2, -2], [644, 592, -1042, -764], [0, 0, 0, 0]], [[0, 0, 0, 0], [7037321, -14502207/2, -3933271, 2430488], [263560, -806968, 420423, 650094], [5, -3/2, -1, 2]], [[0, 0, 0, 0], [17340210975306, -32300919093567/2, -9993194771340, 5808913263645], [1297572361508, -1758848125407, -925902734792, 623038594058], [5125674, -28435647/2, -4387116, 4050429]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-186, -210, 388, 273], [-78, -69, 128, 92], [0, 0, 0, 0]], [[0, 0, 0, 0], [-175973058724/11, 222550048750/11, 314652249657/22, -184645408107/22], [4224792160/11, 411675750/11, -194886081/11, -44428839/11], [-28/11, -35/11, -45/22, -3/22]], [[0, 0, 0, 0], [1387432648045883249/11, -1239639234498285644/11, -807764174581089883/11, 917436796685110607/22], [-19964707876817290/11, 25871162257838200/11, 12070032454045166/11, -8266109503773947/11], [41036351/11, -145031156/11, -40841269/11, 85452545/22]]], 0, 504, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-96, 48, 32, -16]], [ -146, 6, 7, -1 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [142/23, 126/23, -104/23, -6/23], [-6332, -5844, 10192, 7480], [0, 0, 0, 0]], [[0, 0, 0, 0], [796266905045/569641, -109548429969/569641, -1557809717510/569641, 627198029868/569641], [3040379, -405837/2, 1724587, 62850], [-3085188/569641, 65887/1139282, -1905692/569641, -2/569641]], [[0, 0, 0, 0], [81949341617423921110900/569641, -35199100195456830636032/569641, -118115857505398847591684/569641, 50103321285729264715824/569641], [-2771076267096726324, 1807075794019077268, 1493177750406981146, -744239335143528616], [2815974209184283476/569641, -1792043228467435248/569641, -1512023224333405500/569641, 746047290082688604/569641]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [62326/23, 22138/23, 21724/23, 6/23], [12, 4, 4, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-625780115825854134/569641, -1729953011310225046/569641, -2049943369445619361/569641, -54232909402031163/569641], [-112373881888/23, -304718341814/23, -357472206917/23, -11975802545/46], [-1673596/569641, -238323/569641, -279654/569641, 3/1139282]], [[0, 0, 0, 0], [-2579944890491451905173631475/569641, 7574501117426809233332116043/569641, 3088038372725185347739012757/569641, -2483232152970816595889598382/569641], [-474477720544817965042/23, 1349530782576373912378/23, 1110920356218541413513/46, -886908775010837449167/46], [-17538434548350651/569641, 19987413292413452/569641, 22077318916860779/1139282, -13854465663095259/1139282]]], 0, 322560, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-96, 272, 96, -80]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [60, 24, -8, 44], [-4, -2, 2, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [4807864, -5389890, -2827051, 1902033], [56270, 4919, -27525, -10331/2], [-52, -50, 85, 135/2]], [[0, 0, 0, 0], [95966138838782, -93412630781162, -54821912800478, 32665968473712], [617347284158, -584577894678, -348795829398, 205570807636], [1074560, -88768, -221920, 35040]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2410, -580, 340, -232], [2, -10, 6, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [181167179492744, 631794258818408, 99494082924648, -159162280688604], [1089235367168, -10372049632, -3887761195, 2840262038], [28, 0, 1, 0]], [[0, 0, 0, 0], [-350538273756998638592895062/23, -1393632554438377740262289753/23, -224046523480242854856535911/23, 361883399596515827087460236/23], [-3033164010302189894019666/23, 321329179451668072276086/23, 1870867002728763468984669/46, -300184314129629894294352/23], [-79142305670610/23, 7610502487980/23, 47397843356325/46, -7776373682595/23]]], 0, 1548288, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[256, -128, -112, 48]], [ -146, 6, 7, -1 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-208/23, -204/23, -158/23, -10/23], [-200, -10, -2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-286486193894112954/569641, 3624791994605829/569641, -5625945869571052/569641, 2521746356885453/569641], [-13054775929522, 8323524152116, 7078868004505/2, -4258296417941/2], [2076908/569641, 649082/569641, -383205/1139282, -1/1139282]], [[0, 0, 0, 0], [-106876982912988929605894107495/569641, 34038126493181635261573811563/569641, -150863036713975169479916515623/569641, 66759417411672952756919898742/569641], [-6497916153056187341819458, 6714167809560845072923982, -5194963996822818136087813/2, 789635972451109987259669/2], [1198304324295686061/569641, 129481545976484966/569641, 64422431832020483/1139282, -271849100324594845/1139282]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-85962/23, -62322/23, -4956/23, -1434/23], [-344/23, -262/23, -20/23, -6/23], [0, 0, 0, 0]], [[0, 0, 0, 0], [152766651573525927/569641, -6808046107387844/569641, -38611679070684934/569641, 13354980845128091/569641], [21630022607/23, 703095409/46, -2330870597/46, 36050079/46], [1673596/569641, 1046287/1139282, -1149615/1139282, -3/1139282]], [[0, 0, 0, 0], [-12513637486724401264849503341/569641, 3002425215035705014370278530/569641, 6841033132879895714974579777/569641, -2733785989498454839489729245/569641], [-2620290468560842005868/23, 515342709770503828444/23, 2300444627776473994528/23, -908859960468282040174/23], [-85148269502754079/569641, -12830973229177590/569641, -4212004934073831/569641, 11305069401050259/569641]]], 0, 3870720, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[288, -16, -112, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-190, -16, 6, 8], [10, -10, 10, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-94812174386, -31168713981, 5985488620, 9935946601], [7714919888, -243125855, -237784503/2, 38667983/2], [58, 56, -187/2, -149/2]], [[0, 0, 0, 0], [-3174741137124751152376, 2950925078837488886066, 1777624857124646077607, -1040449297360362678271], [333590875776224542630, -315179323887219315645, -187988273353211392380, 221501279355224850905/2], [4829313720, -6762167610, -2656589760, 3866421735/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6282, -84, -48, -16], [-182, -8, -4, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-11924253754932843993030/23, 729876783716006636857/23, 215373304842581045109/23, 95342139112455405829/23], [347021145478609702329/23, -439516965627039971/46, 183848880981414630/23, -212528231707772303/23], [1353/23, 49/46, 57/23, 1/23]], [[0, 0, 0, 0], [91007931769233951836479725594755329426/23, -122745386445400190683604169930012755229/23, -48983354440172949649538069657970030469/23, 35483511901125087620227637637146118944/23], [-2537852888405108266543087778299620504/23, 3505808185019585299875102887335054239/23, 2800380665883206152059013662774206407/46, -1013134992903281529657935270034195115/23], [-9870829846681966704/23, 13819959644443778399/23, 10857627450359347591/46, -3948507524983055598/23]]], 0, 15482880, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[256, -384, -192, 128]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [26, 12, 30, -10], [10, 4, 30, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-654728174, -195739269, 18603567, 81241281], [-453053775, -513609259/2, 51061163, 74285422], [13, 25/2, -20, -16]], [[0, 0, 0, 0], [1854483477825512, -1131436662044974, -896415916377441, 441535624620731], [1023203386085716, -473391868404794, -458769052769400, 402830415674357/2], [-1078330, 455565, 464640, -392425/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [338, 4, -18, 18], [22, -4, -6, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-114778326/11, 44818806/11, 117162955/11, -85300620/11], [298501/11, 6703781/22, -12125191/22, -4852521/22], [-27/11, 59/22, 23/22, 3/22]], [[0, 0, 0, 0], [196905038530, 653911493521, 98017443608, -173662814788], [9783170235, 71309376019/2, 5013871760, -18521503189/2], [-116155, 2977/2, 38571, -15535/2]]], 0, 8257536, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[-38080, -35136, 61312, 44992]], [ -2, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -10, -4, -2], [-84316, -77856, 135668, 99588], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [2, 0, 0, 0], [1, 0, 0, 0]], [[0, 0, 0, 0], [60666, 140, -15026, 1264], [-6798332, -6310200, 10998864, 8083948], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-189870, -175258, 305370, 224168], [75916, 70100, -122148, -89664], [0, 0, 0, 0]], [[0, 0, 0, 0], [-121854350/11, -437966592/11, 972738292/11, -324921537/11], [413744/11, -479376/11, 413304/11, 229650/11], [32/11, 40/11, -12/11, -3/11]], [[0, 0, 0, 0], [22510165882539/11, -21811832989806/11, -12939097432245/11, 7679060673442/11], [26771255910/11, -25457408140/11, -15482887450/11, 8760609680/11], [13791/11, 6786/11, -3105/11, -2352/11]]], 0, 2064384, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[30, -15, -11, 5]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11, -29/2, -81/2, -13], [25, -21/2, -79/2, -6], [-20, -1, -5/2, -1], [0, 0, 0, 0]], [[-18633592, -26103353, 98583/2, 6572312], [-1649565, -18394239/2, -3376411/2, 2827440], [-18582591/2, -33570003/4, 1845481/2, 7496761/4], [-111/2, -3/4, 1/2, 1/4]], [[-8019050643929433840, -7268701804327444740, 1029567562830434130, 1510498430205020790], [1006814743920173614, -4640345772516088965, -1408514102785893558, 1375426618425649004], [-5293152701597266830, -853708730032062735, 1604078813895199230, -120565472922399120], [-53555887389510, 28977507552345, 25674828012240, -12273470343750]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[39, 83/2, 51, 3/2], [25, 93/2, 49, 1/2], [42, 0, 5/2, -1/2], [0, 0, 0, 0]], [[360915979759, 861390984011/2, 142692084569, -145900338077/2], [275230340041, 860578910943/2, 293069580577/2, -147069588435/2], [517606576463/2, 336666095285/4, -57548045973/4, -73338668515/4], [-75/2, 3/4, 3/4, -1/4]], [[199500561347694456399336, 65551757277308849693834, -50575908249636065533985, -217731421067612578261], [134170040480402647280202, 100319922045754328567521, -19496659870923450024645, -14964157251820266377450], [170667835223894048876663, -120546933426148726879613/2, -73675337350596855693681, 29629487141624796338690], [-29287698703613, 31857020002967/2, 14041501042362, -6727423835973]]], 0, 512, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -1, -4, 1]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6, 10, -5/2, -11], [62, 10, -13/2, -8], [1, 3/2, 5/2, -5/2], [0, 0, 0, 0]], [[-1273278197, -2352621819/2, -4076817931/2, -448985274], [-51179591151, 12786432027/2, 16380464635, -4899997382], [-3173193995/2, 391637715/4, -3768955/4, -311434545/4], [-49/2, 1/4, -3/4, -5/4]], [[-245667501839549886634, 420217657463785283618, 539213931358395039083/2, -312412230538817285111/2], [-9375702960212038947662, 11287917963509924604844, 12135231758829730243407/2, -7747325309923548702497/2], [-347289714586281777150, 408184191894968123503, 257700921795895786393, -308512039496237694811/2], [-5207095918024, 6247443705932, 3907269543892, -2348036600338]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13, -21/2, -16, -1], [87, -41/2, -12, -1], [-15, 5/2, 0, -1/2], [0, 0, 0, 0]], [[-204626849063, -425152942125/2, -366906351567/2, -17906023795/2], [1114258874612, -18668392267, -192834797336, -82217841725/2], [-195296972552, -29763783053/2, 27729078277/4, -2267331261/2], [9, 1, -3/4, 1]], [[1705193226400910878708, -2214062777640955271778, -2166110800869574298770, 1139517791976229911822], [-11910338311375263689014, 12023353091683551578493, 10071526445265301420978, -5527688327463070908324], [2047034109378852681428, -2135035103813883813862, -1784220900885378588900, 977570671106331819652], [-75218213688, 90089364132, 56313095928, -33781940844]]], 0, 128, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -1, -4, 1]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 3/2, -41, -47/2], [407, 21/2, -17, 3/2], [-10, -1, -5/2, -5/2], [0, 0, 0, 0]], [[-6686545200537, -13075184591717/2, -5003639957853, 885815312658], [200319648382567, -88715163127299/2, 58797231087917/2, -35464387915015/2], [-6144182355511, 128087752679/2, 84909028340, 372544788365/4], [17, -1/2, 1, 1/4]], [[-26154041115127882810533, 97400711961637557253659/2, 29366924606359361405007, -17889268764349801761942], [1658251368535721663797945, -3601365759116364100712945/2, -2524430470891783894009287/2, 1460649434825459877826201/2], [-38374094194610000674268, 46310967907481223457892, 57086858376831557284709/2, -69306911456369267591147/4], [110573962860, -133000037068, -166166405563/2, 199152342805/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -2, 59/2, 15], [86, -1, 67/2, 11], [7, -1/2, 5/2, 3/2], [0, 0, 0, 0]], [[-553884286050, -534522630159, -864904130144, -432549519925/2], [-8179687557642, -104931833086, -566238747649/2, -174494344847/2], [-1351322625741/2, 41404033329/4, 36042590239/4, -139798321951/4], [-25/2, -3/4, 3/4, 1/4]], [[205476713738995719509978, -316389566622563213406063, -235599344899519297561063, 99438077137681555303141], [3386745507325277710748220, -3955704196773863275683596, -2586287534669180644867085, 1498075553244187661772662], [271622227683578655127882, -319646397122409736994851, -202219883241293064497710, 117646320106199769081604], [4746091590900, -5684438642784, -3558039938904, 2135133640200]]], 0, 128, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -1, -4, 1]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[14, 12, -27/2, -14], [-280, 11, -25/2, -9], [5, -1/2, -3/2, -3/2], [0, 0, 0, 0]], [[-12012589083, -24820339187/2, 33101401093, 49958786179/2], [-546288683900, -288069675266, 204899640861, 158476894249/2], [8611573695/2, -6678616949/4, 2544147449/2, 13774228503/4], [45/2, 1/4, -1/2, 3/4]], [[-1450274882169648, 2466292206812670, 3274727051948019/2, -951923260708848], [101737404238881692, -151766755647770636, -162966841047160041/2, 54119451898414122], [-2031767381920047, 4752431399634441/2, 3080702771684523/2, -1831097636825073/2], [-6645672, 9968508, 2215224, -2215224]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, 3/2, 30, 15], [-31, 13/2, 38, 17], [9, 1/2, 2, 3/2], [0, 0, 0, 0]], [[175737734064, 185071625414, 254207684825/2, -36943478034], [-236370679614, 347380985385, 302236867309/2, -71665267947/2], [308105624977/2, 24009554787/4, 13326010621/4, -14173963441/2], [7/2, -3/4, 1/4, -1/2]], [[-804499725277994065646, 2887771687848751646545, 1168590585005729494116, -2063377919379703996123/2], [5305060716892606975586, -4175030382074047934580, -6280712693349109259871/2, 3165823395710478881807/2], [-3327691823113323579013/2, 9616918377552014002169/4, 5152167275048111004051/4, -3435429823777016647187/4], [-102337586893/2, 244770816089/4, 153750744291/4, -92081114627/4]]], 0, 128, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -1, -4, 1]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 2, -26, -15], [52, 3, -30, -25], [-8, 1, -1, -2], [0, 0, 0, 0]], [[2708324077, 5824955033/2, 4533756163, 978242477], [-12278509034, 2727390367, -1429477177, 11540485383/2], [3281258416, 225470029/2, 365673695/4, 390097495/4], [4, 1/2, -1/4, 1/4]], [[-1981521703083149808, 2847815996833483773, 2319302590817061117, -2442611936593849743/2], [16227490197236654810, -13874342165046518882, -15070672081616433370, 15583518555356224191/2], [-2542374007114197789, 5603353690201184391/2, 4055321711904147321/2, -2308087007335588185/2], [-2552073624, 3061830528, 1908046278, -2289816525/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[17, 35/2, -8, -23/2], [-213, 9/2, -5, -11/2], [8, 2, -3/2, -3/2], [0, 0, 0, 0]], [[1348227047747, 2607121531897/2, 1264568320261, -53583142727/2], [-45207402353575, 8490189236169/2, 13457753712601/2, 1673800837235], [1336802046594, -29518896802, -30294769997/2, 18869768821/4], [-21, 1/2, -1, 1/4]], [[-1119206744590106690697378, 2059313499983901881405724, 2500257310121455694387577/2, -1458509711219554293828729/2], [55645553574995917492538301, -130008353788504018686831447/2, -39597811327431318899731441, 48747796135486950416136851/2], [-1632348636502991093925198, 3949219057686482327564421/2, 4815642862874665411031187/4, -1460481661681794241108119/2], [26781536205282, -64137084990759/2, -80305819356213/4, 24093143219421/2]]], 0, 128, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -21, -10, 7]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, 6, -10, -10], [-23, 13, -7, -23], [-3, 2, 1, -2], [0, 0, 0, 0]], [[4027066, 1057625/2, -4501536, 1650250], [24110638, 3208211/2, -20077681, 6667216], [2736530, -1070971/2, -2962768, 1158753], [12, 1, 0, -1/2]], [[-5293072604777235, 2101358933994881/2, 184346405570783, 285729254377873], [-58443437862843403, 54288209221952677/2, 38307874073308623/2, -16486858213395267/2], [-5963381628637203, 8779543027480177/2, 1954006827467570, -4578322700471175/4], [-61650910671, 62517214717/2, 30814617302, -53426846079/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9, -11, 5, 11], [-13, -19, -1, 24], [-3, -1, -1, 2], [0, 0, 0, 0]], [[2279301, 3681115/2, -677440, -171445/2], [5489414, 2705243, -2705778, 483012], [1489816, 510197/2, -2775365/4, 598207/4], [7, 0, 5/4, 1/4]], [[-6100065898156108, -3065880548355087/2, 2906942847576997/2, 158365461041629], [-15069194828421516, 1913222525903867/2, 8751574428273627/2, -814235541675993], [-5421148114236374, 4656774941614855/2, 4477512965439679/2, -1899297501167515/2], [-42755027175, 43940867355/2, 21467106045, -18832876335/2]]], 0, 16, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -21, -10, 7]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7, 8, 2, 0], [93, 3, 7, 0], [5, 2, -1, 0], [0, 0, 0, 0]], [[-64179211, -120321511/2, -130158389/2, -1686895/2], [-6176121324, 1484059978, 8717934398, -7306389823/2], [-66079474, 6807759/2, 2458293/4, -782353], [-1, 1, -3/4, 1/2]], [[-1567709660862828, -3428815024042417/2, 104462950547640, 352989421679496], [-20151023999417772, -1750777211243237/2, 4091708867429927, -155236810508785], [-948739366931206, -760204288038457/2, 233404300813465, 76080846106103/2], [-18435892, 9058126, 9171703, -3919520]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7, 11, 13/2, -9/2], [-27, 8, -7/2, 13/2], [5, 2, 2, -3/2], [0, 0, 0, 0]], [[-26344206, -67406143/2, 3947969/2, 10122937], [49045599, -10069788, 3824291/2, 14344975], [-27415241/2, -36847019/4, 3705781/2, 8930805/4], [3/2, -5/4, -1/2, -1/4]], [[1153918021766696, 1987338909482597, 172677304213911/2, -480105753424499], [-1188415059518669, -4302096386658549/2, -227418484252237/2, 524210734339077], [911896956559963/2, 3186355645112695/4, 36831975483509, -771633494480845/4], [4484187/2, -4790313/4, -1134603, 2034387/4]]], 0, 16, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[224, -112, -112, 48]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, 10, 16, 0], [4, 0, -6, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-94, 19, 43, -9], [5, 21/2, 1, 0], [5, 1/2, 0, 0]], [[0, 0, 0, 0], [-4982, 4657, 6602, -3259], [3300, -825, -13365/2, 5445/2], [-1650, 0, 6435/2, -2475/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [28, 2, 8, -4], [44, 10, 8, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [280734870, -115341503, 99026984, 137955415], [546758252, 16300651, -124926159/2, 63757413/2], [-90, -2, -3/2, 1/2]], [[0, 0, 0, 0], [28854653770886472, -64750073898944506, -25681548774249398, 18865302653734769], [35257291746624363, -191601852012773527/2, -68124435363991469/2, 28519124761504665], [-6393108645, 33890724241/2, 11751142557/2, -4981115942]]], 0, 2064384, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -224, -80, 64]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-64, -6, 8, 12], [-4, 0, 0, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-361887464, -417760050, 17107078, 96507913], [-9969427, 2626895/2, 4896385/2, 352275], [9, 3/2, 3/2, -2]], [[0, 0, 0, 0], [35936856243550, 355994110457196, 73367231622005, -97705347390519], [-9180207589178, 13233647403144, 6307382555777, -8848497985803/2], [7993062, -13863795, -6227265, 9103611/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, -24, 12, 34], [-16, -28, 28, 52], [0, 0, 0, 0]], [[0, 0, 0, 0], [109050, -181972, -61872, 57137], [399005, 1508961/2, 148603/2, -185726], [3, 5/2, 5/2, 1]], [[0, 0, 0, 0], [65775198308, -63551159892, -37468461072, 22259257816], [-9818816784, 3183245478, 4071844158, -1549281954], [737268, -764202, -432552, 264114]]], 0, 516096, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -224, -80, 64]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [12, -6, 24, -26], [8, -4, 10, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-31434018, 14449408, -31574904, 9044994], [-27219000, -5341105, -7094144, 5542051], [-18, -1, -2, -1]], [[0, 0, 0, 0], [-20639897079163714, 24005168184340686, 13948413476158790, -8657381419926705], [-9197522354525171, 25942244999266221/2, 13290117415412833/2, -4441549686593317], [-5678433393, 16223008149/2, 7979050395/2, -2725577862]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-66, 36, 40, -18], [2, -8, -8, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2072102, -495951, 947063, 208434], [133570, -211758, -1411881/2, -317505], [-14, -2, -1/2, 0]], [[0, 0, 0, 0], [66, -61, -38, 22], [-9, 23/2, 5, -7/2], [29, -55/2, -16, 19/2]]], 0, 516096, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -224, -80, 64]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [18, -10, -2, 18], [2, 8, -8, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1709342, -1298407, -914483, 776121], [421743, -222253/2, -215667, 60661], [119, 203/2, -194, -125]], [[0, 0, 0, 0], [22838402129714, 11325490965636, -5012226677170, -1640061833184], [-3536378982114, 984706044124, 1431212338248, -514050532402], [1920288, -3351540, -1514418, 1093608]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [12, 6, 10, 14], [16, 4, 2, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-355328, 6974153, 1800671, -1923685], [-2409201, 14772701/2, 2595888, -2213134], [-43, 5/2, -1, -2]], [[0, 0, 0, 0], [157494860196204, -84376851772588, -76984943516430, 35729414209188], [216610421386012, -159219411059404, -112336973627998, 59639436455892], [1948929536, -1960182016, -1969184000, 1039729152]]], 0, 516096, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -224, -80, 64]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 2, -14, -16], [10, -10, 10, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [2750866, -15558886, -5176461, 4653781], [-7932588, 14513009, 5379188, -8434757/2], [0, 2, -2, -3/2]], [[0, 0, 0, 0], [7930191129834, 1284258413939, -2364150068607, 168956660655], [-8407978159887, 7581144042249/2, 3768606437997, -1636672837173], [-714915, 2289945/2, 527700, -376935]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [30, 2, 30, 6], [2, -2, 8, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [326070418, -53610218, -40254738, 1994634], [44447658, -14483056, -349534, -608529], [44, 2, 0, -1]], [[0, 0, 0, 0], [-2198204285162498, 2956094851886125, 1475238935960056, -989618193561939], [-359107231390230, 450339624493818, 468954033652293/2, -306482029732581/2], [-215242956, 438016677, 230441409/2, -365721333/2]]], 0, 516096, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -32, -48, 16]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [107, -14, 19, 35], [5, -2, 3, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-589416098, 193905018, 971208121, -241062551], [-940128, -1812415, -7240187, 48324619/2], [-2, 2, 1, 5/2]], [[0, 0, 0, 0], [-172899888692093, -37594647890798, 52432858042515, -2291737260599], [-9915069170883, -3373364818258, 2416031359585, 340556875477], [-3126292, -607324, 896720, -32608]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-45, -12, 55, 33], [1, -2, 7, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-44683812, 17589753, 44465288, 1110245], [6313726, -3343877, -2978305/2, 7466491/2], [-4, 2, -1/2, -1/2]], [[0, 0, 0, 0], [-360983327662, 336891972700, 172534394838, -101584021757], [4900004343, -334039079313/2, -69405775377/2, 44918713131], [-23025, 238539/2, 89337/2, -38682]]], 0, 64512, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -32, -48, 16]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-91, 12, -15, -5], [-1, -10, 11, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [10161473592, 13445403704, 714454827, -3493894593], [-164559832, -27160982, -109176334, 138148949/2], [8, 1, -2, -5/2]], [[0, 0, 0, 0], [-2279824707018801, -5730162099504806, -585894128592557, 1447442079600029], [-26308023833127, 116210645982072, 33957406904219, -33060053342648], [1123730, -3469380, -1221920, 987355]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-61, -8, -7, -5], [-3, 0, 7, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-41469534, 44858666, 24564517, -15281511], [-138882, -23592, 80936, -44069/2], [0, 1, 2, 1/2]], [[0, 0, 0, 0], [-718664606106, 696980245796, 409972755258, -243924555572], [-993215400, 1002446969, 568338148, -344896626], [888, -1563, -726, 534]]], 0, 64512, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[22, -37, -18, 12]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[26, 26, 27/2, -15], [266, 46, -13/2, 4], [21, -5/2, 5/2, -5/2], [0, 0, 0, 0]], [[34098249107849, 68233587643411/2, 70664424671765/2, 752462179008], [636105767181708, 333349413554084, -346827244954749, -468012187155009/2], [69075338220329/2, 18070793117/4, 14027015580, 102841492795], [49/2, -3/4, 0, -1]], [[-2806065463764163939141010067, -4118293184711702444903515215/2, 630332608509018804516132996, 1182019483738478433691522277/2], [-20539189990158948935864728715, -9054922446812916807854466307/2, 2825552580743812120992745924, -1912008706448401273413634901], [-3897100363039759512581033771/2, 337178088088984712412296123/4, 2650497397546469066916959685/4, -116933354132347753053816551], [-2754677022608771/2, 553536994796123/4, 1873353808049685/4, -110386969874051]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[19, 39/2, 3, -10], [-7, 57/2, 8, -26], [13, 1/2, 0, -3/2], [0, 0, 0, 0]], [[148048013599, 320448994209/2, 296017334867/2, -27112156781/2], [-440307812408, -39658339847, 1348421661923/2, 178340485918], [142447258107, 5803987607, 25489983593/4, -18345747311/4], [-21, -1, -3/4, 1/4]], [[-292981716420308709857274, -193234370969298588208679, 49538696087849640562942, 90121308411419175390455/2], [113796631573160714551146, -260290893121944280311894, -164870384356053678261169/2, 233097988098897189715973/2], [-436391994903301743293547/2, 102090662647092260920111/4, 296898719105792377293585/4, -73663640573992439446929/4], [64033308605445/2, -12940091933841/4, -43541486626719/4, 10277226843903/4]]], 0, 2048, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[20, -24, -15, 9]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7, -23/2, -31/2, 0], [107, 35/2, 21/2, -14], [-8, -2, -5/2, 1], [0, 0, 0, 0]], [[-36419559, -70994743/2, 8244636, 57671159/2], [245727177, -106977731/2, 3733060, -14936130], [-41016733/2, 3798861/4, -110117/4, 7983121/2], [-13/2, -3/4, -5/4, 1/2]], [[-238160768610789, 63331270649151/2, 34996123847814, -5539296984552], [3262766517642115, -4615244887343703/2, -2695745990545731/2, 1474316431544641/2], [-254851944504777, 342727942307307/2, 196924896367557/2, -213616093694925/4], [-81746505, 86368395/2, 60313125/2, -56859405/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-21, -41/2, 13, 19], [171, -21/2, 2, -9], [-9, -1/2, 1, 5/2], [0, 0, 0, 0]], [[-7237401493, -13799807509/2, -11508488153/2, 2229140831/2], [153624665443, 6003709569/2, -19770755352, -8591609393/2], [-13635400251/2, 1418143467/4, -68152523/4, 453777607/4], [-39/2, -1/4, -5/4, 3/4]], [[-2528542054569162327591, -595692542095026339145/2, 902868193140140853521/2, 92175155763960917417], [50331554530428989297804, -25495054722532733683966, -19944535655194409075720, 18398386506789302000271/2], [-4849615565469990544201/2, 5210694177082407955767/4, 1856044481258388684207/2, -876155105644579387025/2], [-13909390114081/2, 13928766184767/4, 5089757911707/2, -2315459763365/2]]], 0, 256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[20, -24, -15, 9]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17, -35/2, 2, 21/2], [67, -43/2, 9, 29/2], [-10, -1, 1/2, 3/2], [0, 0, 0, 0]], [[19424469285, 38535033125/2, 24770062216, 4409652238], [-219239099759, -22238192937/2, 192126467897/2, 67828502821/2], [21494103680, 220945171, -377897895, 2825430205/4], [20, 1, 0, 1/4]], [[162700855193794879009, 41885936474692572685/2, -26858617063847146216, -7179237282597484993], [-1292932937621064067251, 1616887486893295736923/2, 1087607548387808917681/2, -567838586991501120239/2], [155963482490675911156, -83210266238562130679, -58547620744807897684, 110357868825375621799/4], [143810707156, -74287356407, -52465956436, 97485671335/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-10, -9, 3/2, 21/2], [-198, -3, -5/2, 29/2], [-6, 2, -1, 3/2], [0, 0, 0, 0]], [[-43437461284, -43258999619, -78627212347/2, 6533463235/2], [-1548102563497, -1444295315841/2, 174487525601, 357722511167/2], [-41965510498, 766808193/2, -819769725/4, 470458912], [-2, 1/2, 3/4, 0]], [[88800305515048941890, 57821156530697019936, 13043871160103264347/2, -19183961101646332896], [2365672518419422453399, 993462713443644645309/2, -983480436225921641337/2, -60457430470920056123], [146026299175664702497/2, -60840258732708772515/4, -31538168603599031743/2, 15751012677216058207/4], [6274416417/2, -6309781155/4, -2303591103/2, 2100873567/4]]], 0, 256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -7, -7, 3]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-221, -377/2, 363, 471/2], [-227, -371/2, 366, 479/2], [-30, -20, 105/2, 43/2], [0, 0, 0, 0]], [[-3325445040, -6106631881, -602257429/2, 1447472633], [-5747586177, -5819947441, 572519194, 1209586338], [-2359770609/2, -10366459385/4, -758288129/4, 2524703645/4], [-15/2, -5/4, -5/4, -5/4]], [[199362416505739076, 290361062616346542, 3420901231521608, -137144092433726571/2], [59597951811271152, 533940028337545961, 108769028593843305, -292423859823423083/2], [96506193335812123, 198339448688217461/2, -8171082499905712, -21628514952873502], [-327910778, 957171930, 641964609/2, -279773442]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-88, -82, 145, 111], [-66, -85, 144, 106], [-8, -8, 14, 13], [0, 0, 0, 0]], [[-25479694, -28292475, 3323920, 19919433/2], [1020939391, -2375067407/2, -1242935743/2, 402666848], [-28913603/2, -21679319/4, 2607011, 1452230], [-33/2, -5/4, -1, 0]], [[-108994542630779979, -1001193034851397393/2, -150496470417828003/2, 264061949753218579/2], [-22531015943524201850, 39179629853680231843/2, 12302216371716313897, -14013521046183909331/2], [123993347609546675/2, -1207369744775339681/4, -359033884206002673/4, 350508694587097279/4], [282119102841/2, -1634278213113/4, -544115535147/4, 476534571531/4]]], 0, 32, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[4, 0, -1, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, -1/2, 9, 3/2], [35, 5/2, 3, 3/2], [0, 0, 5/2, -1/2], [0, 0, 0, 0]], [[-73630696, -65094703, -80582961/2, 7243235/2], [-3959889367/2, -64274225, 567000628, -228814241/2], [-65946703, 4765773/4, 29378147/4, -3502541/2], [-7/2, 1/4, 3/4, 0]], [[-28831995273458, 1125052265732639/2, 125567485718067/2, -137648378933873], [-13245179637689413/2, 23890646171120907/2, 4910627491169984, -7463030253614683/2], [-474143638289109/2, 445523370894910, 291669277477127/2, -249954574630231/2], [-13256943, 22637678, 16048347/2, -6408283]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6, 4, -43/2, -14], [2, 4, -29/2, -4], [-3, -1/2, -3/2, -3/2], [0, 0, 0, 0]], [[20842420, 36207427/2, -7779249/2, -14725457/2], [-37133305/2, 2576863/2, 147925849/2, -31900421], [13449454, 2346995/4, -13301753/4, -742005/4], [3/2, -5/4, 3/4, 5/4]], [[-1149215403838, -16671095508140, -1691851114713/2, 6878053290657/2], [-63348653362707/2, -31285990974481/2, 78141944982016, -27869794714685], [5178955186080, -49468934830257/4, -6309270434353/2, 12637445437537/4], [2440867/2, -8991983/4, -1463033/2, 2470611/4]]], 1, 4, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -7, -7, 3]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-6, -4, 4, 17/2], [0, -11, 7, 5/2], [-3, 5/2, -1/2, 1], [0, 0, 0, 0]], [[706915, 2453132, 5343579/2, -2597783/2], [3021637, 5670267, -3928113/2, -287946], [1161971/2, 2465247/4, 4519611/4, -1192859/2], [37/2, 3/4, -3/4, 1/2]], [[3885242228929489, 11883144902163460, 448907399802065/2, -2474226998123109], [14199435486465139, 9642794868687441, -1719472683520045/2, -2423677908570079], [-551269119466268, 13829165911436707/2, 1083310330571266, -3301547685526085/2], [-36742261936, 110800669743, 73380748055/2, -32361675682]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 3/2, -16, -6], [-32, 21/2, -24, -4], [-4, 3/2, -2, -1/2], [0, 0, 0, 0]], [[-2741360255, -6127939515/2, 247338513/2, 1993773343/2], [-14531985236, -6422037942, 3657815911/2, 1826799211], [-1627960825, -574190645, 1006324563/4, 610237165/4], [15, 0, 3/4, 5/4]], [[-1893203387314944167, -16006206855029566825/2, -2292480374945442025/2, 2088000648048290924], [5584350424703597988, -42807360619783993226, -11519476862077071629, 24306536691485659619/2], [1695169577763715231/2, -18997166001000762589/4, -1360608544223279197, 2731002640908974889/2], [-33228006569/2, 202524147331/4, 16894296443, -29463109791/2]]], 0, 32, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[224, -16, -64, 16]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 0, 20, -26], [0, 2, 4, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1102854, 3185031, 887998, -871372], [-598185, -402621/2, 80466, 87059/2], [21, 1/2, 1, 5/2]], [[0, 0, 0, 0], [-422664154307828526, 337177821521693127, 246240051270863757, -132557530222448790], [-60036135594118814, 80369853752186830, 92261962240506061/2, -29358342614972942], [2946520143270, -3528758504016, -4421915102547/2, 1324519899471]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-152, 108, 80, 32], [8, -8, -6, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-573357308, 446281956, 150304315, -76278975], [54933796, 12133800, -7828108, -9525123/2], [2, -1, 2, 3/2]], [[0, 0, 0, 0], [-9716581989883180, 9443815374800680, 6426133309587184, -3680269137082626], [492666752302694, -637839233852719, -367370774178534, 232786776673441], [36080778, -43336503, -27011856, 15994101]]], 0, 8257536, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[32, -112, -32, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-56, -66, 70, 68], [16, -2, -38, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [779016, 171163, -769768, -161497], [-509976, 779108, 153529/2, -98947/2], [8, 1, 5/2, 5/2]], [[0, 0, 0, 0], [10373487659911, -13027725102223, -6513678474603, 4305287184757], [-32550563026446, 59998498147791/2, 18417279219360, -21405624910185/2], [205889859, -625942263/2, -145199184, 203847735/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, -6, 18, -2], [8, 2, -12, -14], [0, 0, 0, 0]], [[0, 0, 0, 0], [100373, -516441, 67591, 135959], [222230, -1399499/2, -500000, -92199/2], [-11, -5/2, 0, -3/2]], [[0, 0, 0, 0], [1888111993153, -1858309231222, -1140359229735, 672489420891], [1994519000283, -2115432039966, -1210982766471, 740430342063], [-39084330, 34119360, 21596004, -12290724]]], 0, 129024, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -80, -64, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [26, 8, -4, 2], [2, 2, -4, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [365535/2, -181560, -212381/2, 127241/2], [-1063/2, -228, 1788, -604], [3, -2, 1/2, -3/2]], [[0, 0, 0, 0], [41743596963/2, -18057351990, -22753533921/2, 12936821277/2], [50162725/2, -113574136, -45131852, 37419569], [252525, -738150, -558075/2, 467775/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [26, 14, -2, 10], [-10, -10, -6, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [3377953/2, -1033572, -2771865/2, 1198659/2], [-1183067/2, 672241/2, 775331/2, -299763/2], [-4, -5/2, 2, 2]], [[0, 0, 0, 0], [-6509497059396, 6921094166902, 3727623147082, -2324687488682], [2451762341380, -2702822108924, -1456328652618, 915037318674], [5728854, -13771482, -5391930, 4330734]]], 0, 16128, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[32, -112, -32, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-123, -114, 205, 139], [-5, -2, -5, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-28271440, 26107244, 17987486, -10488339], [32535139, -53362879/2, -36957387/2, 10138592], [-1, 1/2, 3/2, -1]], [[0, 0, 0, 0], [16096720, -15076512, -9036766, 5307634], [-20159968, 13756896, 10104256, -5213152], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [88, 36, -148, -10], [-36, 6, 70, -32], [0, 0, 0, 0]], [[0, 0, 0, 0], [9460147, 6655699, -17116240, -1960728], [-2168972, -3085851/2, 7243480, -3118440], [-3, 5/2, 0, 1]], [[0, 0, 0, 0], [-9749137321607, -12447785796518, 315541336061, 2836141004851], [3121095386031, -420107344462, -1158142970649, 328765945217], [-1962628, 5649484, 2018056, -1717672]]], 0, 129024, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[224, -336, -160, 112]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [60, -24, 28, -158], [8, -2, 2, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-203883822, -1639750382, 166279450, 288006036], [84811506, 5359696, 6994116, -7357394], [16, -2, 2, -2]], [[0, 0, 0, 0], [-18475046138839522, 47971810555797027, 17978185415552321, -15985741234646862], [-3614269009375422, 1487801414416240, 3212117421115009/2, -744371246770086], [-762088830, 385045624, 761559801/2, -165208785]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [318, 50, -112, 56], [-2, 4, -8, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [896251216674, 1088074705889, -87932887426, -265179341626], [-9361223783, -300382011/2, 270150077, -986085845/2], [-1, -5/2, -2, 1/2]], [[0, 0, 0, 0], [-716004430492598806, 450531978420779487, 348940824782473698, -174647913967180190], [28785719510448909, -52799324404526355/2, -16180272482393413, 18763383361026147/2], [1480759, -1503341/2, -747852, 655025/2]]], 0, 1032192, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[224, -336, -160, 112]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-22, 8, 0, -10], [10, 2, -8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5795508, -935721, 1808677, -77827], [1369339, 1097557/2, -301099, -56932], [-19, -3/2, -2, -2]], [[0, 0, 0, 0], [282291182118, -176855556869, -137797677350, 68720275005], [-63709561928, 30779203683, 66728943617/2, -29563400069/2], [2017554, -882134, -4266559/2, 1803571/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-446, 2, -14, 2], [-6, 8, 4, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-71996121256, -769037800009, -122481680187, 190411570300], [8166732610, 193672105, 4013081/2, 183697280], [-4, -1, 5/2, 1]], [[0, 0, 0, 0], [19937825611352891248, -45593556505126900839, -22982070042356160294, 16379232226979841621], [946763148442087744, -430518781415468638, -1338444705072749315/2, 579690952487474125/2], [-249494100, 126562575, 249617525/2, -108561275/2]]], 0, 1032192, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -14, -5, 4]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7, 17/2, 30, 18], [13, 19/2, 29, 15], [15, 5/2, -1, 5/2], [0, 0, 0, 0]], [[-130082055, -265240767/2, 10819711, 40100448], [-16399112, -149776845, -504992187/2, 290149337/2], [-162120325/2, -79192593/4, 17259811, 7251141/2], [-7/2, 1/4, -1/2, 0]], [[-7246722197827111, 125088624592284649/2, 35925846595165507/2, -18126055219180695], [-54549267122068575/2, 167004119244343465/2, 37407083751803827, -28604736166584548], [-27299879340528412, 194645627125785961/4, 84518470825771401/4, -31156198680298801/2], [-3883781671/2, 11344899049/4, 5511978307/4, -1899091095/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, -11/2, 15/2, 10], [-11, -7/2, 25/2, 15], [2, -1, -3/2, 2], [0, 0, 0, 0]], [[-17103199, -57945553/2, -1200490, 14008269/2], [-30738007/2, -28873211, -1824023, 14245437/2], [-6926714, -45774515/4, -851955/2, 5514193/2], [-13/2, -3/4, 1, -1/2]], [[-80103912129320, -144743040309115, -7832893458568, 35321577267511], [-198194198419617/2, -117556746573536, 9570809203457/2, 53090670249807/2], [-58981422034381/2, -120167931439657/2, -9108928463487/2, 29861252666007/2], [75715200, -225765375/2, -53781453, 37944357]]], 1, 8, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -14, -5, 4]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, 7/2, 41/2, 17/2], [-23, -3/2, 37/2, 9/2], [9, -1/2, 1, 1], [0, 0, 0, 0]], [[4327716265, 10747097497/2, 16395630269/2, -6026406145/2], [-25672097733/2, 4280017277, 17836267491/2, -2568152848], [9953793379/2, -1032208024, 8312161979/4, -876725160], [-1, 1/2, -3/4, -1]], [[-48524092505213431, 50510326364270723/2, 82280647906864448, -35685045922468886], [17616223591314467/2, -49358774412423639/2, 14394503355875386, -4689830975040309/2], [-37190987874992491, 88241447227079105/4, 206875575622965133/4, -92104683168563961/4], [5580341/2, -16004859/4, -7848451/4, 5373823/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9, 15/2, -26, -20], [-5, 9/2, -26, -21], [-3, -1/2, -1, -5/2], [0, 0, 0, 0]], [[-35764414, -36898189, -61543763, 16420079], [-668965463/2, 86950655, 107410372, -112668091/2], [-42582097, 42640561/4, -47175651/4, 16770177/4], [-1/2, -5/4, 5/4, -5/4]], [[-143410278677323215, 78573295803668481/2, 118620659490165913/2, -21103052273797883], [-860477388043032272, 1227863392147197233/2, 876677056032903099/2, -230113614932856573], [-150099421017871586, 211718674431590867/2, 76837603183129671, -40091085530850960], [2662715865, -7900437555/2, -3799781539/2, 1318675169]]], 1, 8, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -24, -8, 7]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9, -19/2, 30, 19], [25, -29/2, 39, 29], [5, -5/2, 2, 5/2], [0, 0, 0, 0]], [[-32275579, -44623427/2, -31987764, 10061916], [-249392903, 10854979, -98841959/2, 45443875/2], [-70781123/2, 48734319/4, -4439433/2, 662219/2], [5/2, 5/4, 1, -1]], [[5396922503961517, 1188366506761803/2, -1653848553505041, -109259491289428], [34710876810350465, -23558268114084117/2, -13684184533397743, 4821802825127718], [4974557207791731, -5259383647499639/2, -2173048923300168, 1961865720333633/2], [-329212456, 26184824, 95316416, -24890936]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 2, -3/2, 0], [52, 2, -15/2, 4], [3, -1/2, -3/2, 1/2], [0, 0, 0, 0]], [[12, 7, -29/2, -39/2], [-399, -1539/2, 2315/2, 2287/2], [25/2, 49/4, -47/2, -53/4], [3/2, -5/4, -1, -5/4]], [[15899880717, -94218075/2, -2385678393, 1535779791/2], [-283397471407, -1916866250927, -900307077665/2, 495880326176], [-4746854385/2, 27090668241/4, 4678641009/2, -1207385676], [11131242381/2, -1672206543/4, -3181981635/2, 797662467/2]]], 0, 64, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -24, -8, 7]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[8, 9, -16, -27/2], [122, 6, -10, -3/2], [-1, 3/2, -1/2, -2], [0, 0, 0, 0]], [[-3991250367, -7618613743/2, -5543456493/2, 654290212], [377193219456, 115677978795/2, -306412090491/2, 52522102793/2], [-7252147275/2, 461033853/4, 266740271/4, 115903351/2], [15/2, -3/4, 3/4, 1]], [[-5540231211671668105, -7736755907248898395/2, 300071683354090215, 882570785938913055], [359382837719592406999, 63086576900342669009/2, -125945925827074015629, 20427956812011307187], [-4246491519861920395, 901044981032970715/2, 1221330810113669870, -574460948896855965/2], [9450859670, -739965435, -2701761275, 680316620]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, 7/2, 37/2, 7], [-19, -19/2, 25/2, 7], [4, 2, 5/2, 0], [0, 0, 0, 0]], [[-9019437, -60841987/2, 1097469/2, 19705757/2], [-12209842, 35590819, 14792938, -18728813/2], [2987233, -17304442, -16388529/4, 5050213], [-4, -1/2, -5/4, -1/2]], [[-1108638685554535, -35793999738693631/2, -3575682059418081, 9835194339332547/2], [-13001574823669559, 27142616640908647, 21910726983286735/2, -8447851227765420], [9823078235543835/2, -49280419378853307/4, -8936549156629087/2, 3739178619552712], [-8019501455/2, 1560878389/4, 2346932077/2, -606328401/2]]], 0, 64, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -24, -8, 7]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13, -19/2, 33, 47/2], [-247, -5/2, 39, 59/2], [2, 1, 5/2, 5/2], [0, 0, 0, 0]], [[243772423634, 244893814557, 201121938374, -19850681998], [-32352079071024, 36690784857853/2, 43782576583293/2, -20003282375283/2], [456598853215/2, 14254638685/4, -2442268741, -5294229765/2], [1/2, -3/4, -1/2, 1/2]], [[-61625578132926951143, -284687185898183055907/2, -28027483676616381729/2, 36688295094543809446], [-1283056149555279157458, 8163654220874578549385/2, 2671508638591226584635/2, -1199094901229774423176], [-12654251328982569193, -68035419614602940454, -25365190402516390953/2, 37168258603339708853/2], [67254246, -5216100, -19314714, 9747261/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, 5/2, -9/2, -8], [-13, 17/2, 7/2, -19], [-4, 1, 5/2, -2], [0, 0, 0, 0]], [[54258, 52352, -8010, -32187/2], [156526, 145571/2, -65855/2, -21734], [67625/2, 26871/4, -8564, -786], [29/2, 5/4, 1, 1]], [[-6043818141, -7238768943/2, 957124833, 1431572517/2], [-20143019125, -2087442589/2, 5708699831, -1353117871/2], [-4669624533, 1553886609/2, 3272764455/2, -476214618], [-2375325, 978075/2, 698625, -419175/2]]], 0, 64, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -24, -8, 7]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7, 15/2, -11, -31/2], [-279, 17/2, -19, -21/2], [0, -1, 3/2, -5/2], [0, 0, 0, 0]], [[-4507879354, -4355324579, -3809811693, 688955983/2], [-10281206472, -2418670483149/2, -264708014773, 324541651725], [-4319525326, 97476241, 220314213/4, 78196947/4], [3, -1, -5/4, 3/4]], [[6152907284285429, 10444730967166567/2, -1596646029235301, -1019727052467195/2], [112124791277124971, 1863467078198221683/2, 197893581998507715, -517560610812214567/2], [3980366691283340, 758507923081953, -3378099464584201/2, 602779432717059/2], [-1905352, 124542, 538350, -130092]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[12, 17, 21, 1/2], [70, 12, 12, 17/2], [13, 5/2, 5/2, -1], [0, 0, 0, 0]], [[-1088786651532, -1070136400083, -1740737740993/2, 429739538125/2], [-5665234802288, 105354312047/2, 798648547129/2, -846694719709/2], [-2023372378489/2, 172670939533/4, -24517483429, 126135429195/4], [-1/2, -1/4, 1/2, 3/4]], [[62016274327648503366, 127252022948324600099, 9182620698507894887, -31363099056378712441], [107809250143778948068, 323649665840044175656, 40575675629809211703, -83300645121720724395], [17697186655010028134, 57619570920698406399, 7616177699956626702, -14887860768141759304], [-4651232, 376756, 1339800, -344452]]], 0, 64, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -24, -8, 7]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, -3/2, -31/2, -9], [-132, 29/2, -23/2, 1], [-5, -1, -1/2, -1], [0, 0, 0, 0]], [[7675863880, 7902710757, 15915620031/2, 186083760], [65476529005, -106709530285/2, 552912227975/2, -108474569398], [15382015927/2, 799763151/4, 26906091, -38668121/4], [-45/2, -5/4, 0, -1/4]], [[595832086415227635348, 405645594231158626874, -16158058135819039246, -144889181919565103171/2], [11518970373982195412700, -5675548750330847015119, -1342840987484067436843/2, 909970145617891190801/2], [934725287846901598655/2, -212644485343380759451/4, -548101481474040221349/4, 145581297673363022963/4], [-2718121118905/2, 444096357413/4, 1574360615523/4, -394295397493/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 7/2, -3/2, -5/2], [266, -55/2, -21/2, 29/2], [-2, 5/2, 1, -1], [0, 0, 0, 0]], [[15, 27/2, -5, -3/2], [879, 1443/2, -914, 187], [11/2, 1/4, 5/4, -1], [11/2, 1/4, 5/4, -1]], [[-462646485, -923340075/2, 80374875/2, 77773080], [-14039044960, -27320825250, 748380523, 8242952603/2], [-539770665/2, 79077075/4, 77448630, -19281045], [-539770665/2, 79077075/4, 77448630, -19281045]]], 0, 64, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -14, -5, 4]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[28, 49/2, -47, -31], [105/2, 29/2, -31/2, -13/2], [3/2, 1/2, -5/2, -2], [0, 0, 0, 0]], [[-1198249, -10425377, 2983731, -36730529/2], [-505809719/2, 1130083384, 311615905, -318009956], [-12239193, 294041/4, -6211567/4, 1385687/4], [47/2, -3/4, 3/4, 1/4]], [[-12534061674959024, 12283475256546733/2, 14687625947702393/2, -3064595567642922], [1293755509005383453/2, -428781112039016852, -648178801126178443/2, 164984231968673747], [8476656370221608, -46848831814289587/4, -5955082352271669, 3989051447758176], [-31369759271/2, 86243458961/4, 21774872823/2, -14610098019/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-19, -17, 32, 41/2], [-15, -9, 16, 25/2], [-2, -5/2, 9/2, 2], [0, 0, 0, 0]], [[12454, 4902, -19227/2, -6807/2], [-150159/2, -112733/2, 20317/2, 16667/2], [8040, -11237/4, -4759, 1274], [19/2, 3/4, 0, 1]], [[-10043097394084, 15667279667464, 6855327686630, -4807721060959], [89493922013465/2, -123894544593606, -88746685659953/2, 75336874516593/2], [-29713955736055/2, 33734420314419/2, 8837524722956, -5620811288993], [-16073127343, 46464336165/2, 22727376789/2, -15600108225/2]]], 1, 12, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, -96, -48, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [126, 110, -236, -164], [6, 4, 2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [6196507/2, 2866882, -10009475/2, -7337439/2], [8547/2, -6015/2, 5811/2, -1235/2], [0, -5/2, -1, 1]], [[0, 0, 0, 0], [-230467103, 235789800, 138335566, -81221419], [179111160, -354324101/2, -209228045/2, 124887115/2], [21957, -37687/2, -23517/2, 13377/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [98, 88, -148, -98], [-2, -4, -8, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [110107, 86120, -15020, -13473], [-107248, -205519/2, 25469/2, 43025/2], [3, 3/2, 5/2, -5/2]], [[0, 0, 0, 0], [-548725251213/2, 299825613502, 329230216555/2, -205195932711/2], [423225566469/2, -240497450586, -129168925640, 81721784247], [-22620087, 22929612, 26161053/2, -15860061/2]]], 0, 32256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, -96, -48, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [72, 54, -84, -52], [-8, -2, -4, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [31042825/2, 67362752, -49501631/2, -88849783/2], [19529585/2, -50031581/2, -2775059/2, 7401568], [-4, 3/2, -1, 1/2]], [[0, 0, 0, 0], [53687358832151/2, -15258128283039, -25485846299015/2, 12144030691701/2], [-41260114855775/2, 17200825721538, 22214025082851/2, -6217590080957], [4203815, -5247220, -2684000, 3515125/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-48, -40, 84, 56], [0, 0, 6, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [592070, -589243, -275762, 226155], [-512266, 576358, 560427/2, -350927/2], [-4, 1, -5/2, 5/2]], [[0, 0, 0, 0], [-601280167554985/2, 292921290924163, 343639240773149/2, -204834048883425/2], [546167785349755/2, -528275173408161/2, -155613601050977, 92489406246140], [2483833650, -4962280325/2, -2871773175/2, 1728033325/2]]], 0, 32256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, 0, -16, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [22, 48, -38, -46], [-10, 6, -6, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10718160370, 8451102475, 17833327219, -8628975478], [-4573646040, 244927159, -3180687599/2, 901543271], [-4, 1, 5/2, 2]], [[0, 0, 0, 0], [-116341820874017451, -63794526351623203, 40629528293762366, 3043659954644725], [45058133649079835, 191745339241678238, 53139383380204257/2, -49026665862357274], [-24672100, 41288450, 31913075/2, -12175050]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-38, -66, -20, -46], [-6, -8, -2, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9499854, 8624250, 5034580, -2983691], [-809791, 1411501/2, 805273/2, -239780], [-5, 1/2, 3/2, 1]], [[0, 0, 0, 0], [3, -5, -3, 2], [-11, -16, 1/2, 7/2], [6, 7, -1/2, -3/2]]], 0, 258048, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, 0, -16, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [172, 18, 0, 0], [-4, -10, 10, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-23831543666, 173439615976, 52368442439, -44322538758], [-5436708197, 907159659/2, -100478409/2, -924113937/2], [3, 5/2, -3/2, -5/2]], [[0, 0, 0, 0], [-9642534605467026759, 6438322475680005507, 4763350981480343863, -2438378288148520105], [-411346364477041022, 1055613737911809381/2, 252660321010660636, -340719423988765735/2], [85002489, -297215061/2, -52293384, 84453369/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-178, 0, 12, -18], [-6, -4, -4, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-314362272323, -48643942306, 95771645598, 1144787545], [-10788177902, -763927575/2, -2101130271/2, -883346763/2], [7, -1/2, -3/2, 3/2]], [[0, 0, 0, 0], [-915123923499102012, 1356683138748025050, 756154621988752428, -493869432982942996], [-72078620506704708, 65559549474868130, 90143125849126612, -44420741578058244], [20070580, -33256640, -11117820, 9129920]]], 0, 258048, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, 0, -16, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-250, -22, 48, -78], [-6, -2, 8, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [26444279727, -46076540941, -20389114895, 14794975228], [-538099121, 7433085, 148436563/2, 185219/2], [-4, 0, 5/2, 5/2]], [[0, 0, 0, 0], [20548709071937723, -7175691901555290, -8699561758251729, 3409583930526177], [-43328033914463, 405405536256094, 101273665746449, -112242645368251], [-942066, 1669212, 533718, -447750]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [248, 8, -38, -18], [8, 0, -6, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [276432647, 299956191, 474692053, -273605181], [9164348, -943983/2, 162847, -191759/2], [-11, -5/2, -1, -3/2]], [[0, 0, 0, 0], [-75658672166370704, 528750550986965316, -209985517282940874, -104932731394450], [-7858983130267110, 12072970474380607, 3474639135410987, -3033967608071257], [7540663302, -13264404141, -4892075517, 3853136703]]], 0, 258048, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, 0, -16, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-126, 14, -8, -10], [-6, -4, -2, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [147612806671, 21825848464, -39196827088, 372988880], [6200040675, 967752235, 20995963, -654488781/2], [-2, 2, 2, -5/2]], [[0, 0, 0, 0], [38403356100943263, -918119903422147770, -234277792713177665, 260784193775737561], [2155327104533717, -45193397938288214, -11879537121422459, 12961467773684065], [-4064346, 6658652, 2537678, -1950234]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [150, 4, 0, 6], [-10, -6, 0, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [166224310583, -106695203742, -84865112104, 44653551738], [-5242889389, 263475821, 130176403, -1330766715/2], [6, 2, 2, 1/2]], [[0, 0, 0, 0], [8374721936741754262, -8693082423367691090, -5049836521088122524, 3059928228845426662], [-194906261849956014, 274592592620016516, 110127556542433855, -80958336023318133], [173145340, -319136050, -94048735, 83684745]]], 0, 258048, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, -96, -48, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-190, -100, 314, 76], [-10, 0, 16, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [7474933/2, -3945446, -4066829/2, 2983721/2], [882535/2, -443416, -259615, 307073/2], [-20, -1, -1/2, 0]], [[0, 0, 0, 0], [70749363872351/2, -34645138353835, -40527870696313/2, 24205294924871/2], [8086222963405/2, -3992948107560, -4648139809075/2, 2785234719355/2], [-170992990, 76732405, 74588000, -32352545]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-152, -126, 242, 166], [4, -8, -6, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [499638, -785345, 814233, -315588], [-1095702, 594462, 444119/2, -116899], [2, -2, -5/2, 0]], [[0, 0, 0, 0], [-113566679361/2, 63917750420, 66651056353/2, -42504973575/2], [95160314019/2, -129652283955/2, -62676115629/2, 42545635479/2], [-106647, 110523/2, 49476, -22743]]], 0, 32256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, 0, -16, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-182, 56, 202, 62], [-2, 4, 14, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-26351030009, 24139154686, 15760955599, -8062474325], [80984935, -191103117, -117063958, 145972579], [18, 1, -1, 2]], [[0, 0, 0, 0], [-10365421729902726, 10034220342695128, 5894493933342251, -3507256601504271], [24826922512722, -42607065623690, -11738122570980, 21400886867239/2], [6619806, -2519885, -2969378, 2410917/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [115, -26, -65, -53], [-3, -2, -5, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1203626381, 2166449815, -1817593755, 811650454], [91234617, -8019238, 15564875/2, 33039641/2], [4, -1, 5/2, 3/2]], [[0, 0, 0, 0], [7342329267038443, -8953796874749470, -1645540742023939, 1745195484415813], [-182785911507499, 302146326302470, 117430662173915, -89902509149869], [-9838960, 17066104, 5840904, -4775384]]], 0, 258048, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -21, -10, 7]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, 9/2, 8, 3/2], [-127, -11/2, -3, 13/2], [2, 2, 3/2, -1/2], [0, 0, 0, 0]], [[984659727, 1892580593/2, 1183031443, 228147142], [-77215423172, 42003206208, 54658862613/2, -28294919793/2], [2156444909/2, 10973185/4, -82225441/2, 87894069/2], [7/2, 3/4, -1, 1]], [[52337151758786980, -13192997757631495, -19868290224125587, 11332342425410585/2], [-8757664589884271561/2, 7666292990391635641/2, 4716545127188153919/2, -1351931075613817356], [54777142314058498, -155038458190739063/4, -26770534500262977, 55981059844380683/4], [260582015/2, -269465795/4, -131731107/2, 115710475/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7, -7/2, 23/2, 6], [9, -23/2, 11/2, 4], [-2, 1, 5/2, 0], [0, 0, 0, 0]], [[-20438, -27986, -36817/2, -4087/2], [23393, -571793/2, -214217/2, 172869/2], [-34017/2, -30957/4, 413/2, 3021/4], [13/2, 5/4, 0, -3/4]], [[-36887103897, -53906906067/2, 38967958386, 53378861361/2], [121496109861/2, -168366162361, -42730791142, 123553108441/2], [-14563748157, 4053993111/4, 8953671279, 1109599554], [10827705/2, -10624089/4, -5045859/2, 1204728]]], 1, 16, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -21, -10, 7]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -1/2, 55/2, 31/2], [33, 13/2, 57/2, 5/2], [9, -1/2, 1, 2], [0, 0, 0, 0]], [[516697033, 871888437/2, 2073965537/2, 350590487], [4958827377/2, 955143749/2, 2211749813, -1193941447/2], [1476818069/2, -63413881, -34677851/2, 128194897/2], [5, 1, 1/2, 1]], [[828058371687044047, -323085420913470627/2, -469379833117909084, 140709157322139470], [4206592471055441968, -4459034430435156251/2, -6181210429908315401/2, 1372405121405421122], [1603358608564799587/2, -2076046547493860413/4, -1882357714369921261/4, 914799800284276539/4], [9342324833/2, -9354422073/4, -9336876795/4, 4023004669/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, -7/2, 15/2, 13/2], [-67, 5/2, 13/2, -1/2], [1, -1/2, 0, 1], [0, 0, 0, 0]], [[-267184222, -284129435, -391581335/2, 41934381], [36800014523/2, -1277921618, -8598698559, 2503492666], [-234889161, -63999701/4, -3781151/4, 8546414], [-3/2, 1/4, -1/4, 1/2]], [[68890455090213408, 30111518035678242, -16138277148153288, -2291409864173439], [-3391927631461597422, 1243995543904553413, 1417831389020636419, -566210094629316214], [56325198562258278, -15388246200224685, -23390688162722613, 8554030268679552], [435924120, -221402988, -218463168, 94739028]]], 1, 16, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -1, -4, 1]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-8, -6, -5, -3], [-202, -11, -7, -8], [-8, 0, 2, -1], [0, 0, 0, 0]], [[207637169, 403320517/2, 169629221, -48570817/2], [-389238381267, 64400601993, 747405150173, -297985335273], [196123365, -10481341/2, -2944975/4, -10041239/4], [7, 1, -5/4, -5/4]], [[-2508486687941064332, 4691448574106755253, 5335509380004257213/2, -3689557324650438791/2], [-3092605245350029232056, 615928215979485625764, 11454847977098975915077/2, -4601053048504591093997/2], [-3744820893565568468, 4447483529167629070, 5504902602999022105/2, -1685309244944276689], [-115095390090, 137471944500, 173105353045/2, -103683507015/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-23, -55/2, -70, -49/2], [-57, -57/2, -68, -45/2], [-38, -2, -5/2, -5/2], [0, 0, 0, 0]], [[-493397948446, -458687570857, 693912880975, 536499177940], [-525036937704, -456263053642, 693695146789, 537523380742], [-89217880091, -95000300233/2, 164421055413/2, 119879506463/2], [-1, 1/2, 1/2, -1/2]], [[203139096194298714, 3956375728746659922, -657783739877722975/2, -1509033285282731123], [-1242351232209803548, 12690686828129574561/2, 513860097231218254, -4365740119976119331/2], [-3037413151272468075/2, 11414482543054517327/4, 899615997043225869, -880269416451567596], [-104917207/2, 251866249/4, 39290975, -47158161/2]]], 0, 128, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -1, -4, 1]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-22, -26, -49/2, 4], [-28, -21, -53/2, 4], [-21, -3/2, -5/2, 3/2], [0, 0, 0, 0]], [[-5371840548, -8100914682, -2612522641, 1497564643/2], [-6181456790, -8050916564, -5093679609/2, 702613297], [-3377013676, -2734310353, 5236235, 1984354381/4], [6, -1, -1/2, 3/4]], [[43579834582363522872, 1380245543104523445671, 907074811516737076265/2, -406949864124294451365], [-213241229735441154232, 3387855617995964330387/2, 652814820042555642639, -526894279412993990744], [-367849607553430603204, 927220090353597326234, 1637782510570971892091/4, -615160346020006436947/2], [1995859839036, -4782763929049/2, -5992840183255/4, 1796443195995/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9, -9/2, 27, 35/2], [21, -15/2, 32, 39/2], [2, 2, 5/2, 3/2], [0, 0, 0, 0]], [[64802582, 63335738, 57586867/2, -25361419/2], [1809553142, -1589719701/2, -3472385409/2, 1518510257/2], [105872841/2, 9415603/4, -3820738, -4224595/4], [-3/2, 5/4, 1/2, 5/4]], [[126041039107381990, 82897786385619419, -26673071003895755, -12937709338543311], [1707077418628277481, -1135040089231597252, -662940386240336033, 354756474299918019], [92644361992126347, -7683365152183219, -70919827076644025/2, 9380784293187184], [-2963916732, 3580078070, 4438634477/2, -1337571686]]], 0, 128, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -21, -10, 7]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[14, 12, -13, -33/2], [72, 21, -7, -21/2], [5, -3/2, -1/2, -2], [0, 0, 0, 0]], [[-32510554971, -59998756121/2, -34593493752, -3980905505], [-1442643932751/2, -1279695307511/2, 96163407613/2, 143045572909], [-34411371804, 4979662929/4, 5065044739/4, -2216669611/2], [3/2, -1/4, -5/4, 0]], [[-32103491261845461582, -21666259491678543335, 8365536270667042607/2, 4190642037544634397], [-422204584364845019914, -324833835269892906181, 123568380623189982127/2, 63998485136144090677], [-24168101044987080547, 4767645451848366325/2, 16106818096546216249/2, -4085713938878670107/2], [653216560, -329940080, -326828680, 141728640]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 2, 8, 1], [-114, 2, 1, 4], [4, -1, 1, 0], [0, 0, 0, 0]], [[-643684294, -608415390, -1089136019/2, 64994939/2], [33337451207/2, 4898811809/2, -4184018375/2, -536777488], [-1246534327/2, 19868344, 61602233/4, -5192009/2], [0, 0, -1/4, 1]], [[12971667414797985, -177001596793007215/2, -51389211114760731/2, 26022440339670009], [-1741806772744955647/2, 3403588089235450243/2, 705265926194679052, -537644388169316319], [41457207331313118, -281657525088347655/4, -124232337520148315/4, 22650427196263057], [89222625/2, -87962175/4, -89164125/4, 9311400]]], 1, 16, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -21, -10, 7]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9, -15/2, -4, -1/2], [77, -25/2, -8, 3/2], [-8, 0, 3/2, -1/2], [0, 0, 0, 0]], [[1096886782, 1180160474, 950364592, 616859], [-17033591107/2, 467922979, -5865201979/2, 3040350399/2], [2034852785/2, 211666463/2, -45119107/2, -17170655/2], [-4, -1/2, 0, 0]], [[46357756967581374, 3797703893125252, -20076749429237923, 2168667411742799/2], [-927648201422040813/2, 563336504161603203/2, 518267358818839953/2, -247352794507852349/2], [82944175924088969/2, -21682330213206829, -83510895465447699/4, 36869778260134557/4], [-163180796, 82546295, 327124893/4, -140879449/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 5, 45/2, 17/2], [-56, 6, 31/2, 11/2], [8, 1, 2, 1/2], [0, 0, 0, 0]], [[-1794182671, -4478143821/2, -3800031811/2, -16537211], [9813856464, -2905160215/2, -4246438319/2, -436631055/2], [-3314348313/2, -1477817529/4, -301739391/4, 71969548], [9/2, 3/4, -3/4, 1/2]], [[-32393502709306909, 22047250327859961/2, 98165443243950270, -42278086806855674], [58488640019184097/2, 73277607921333487, -245841357617382551, 88156095130715163], [-9811962210931315, -26672145497950169/4, 50085164052181854, -19397196932548848], [-109056909/2, 111071961/4, 27357135, -11835837]]], 1, 16, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[48, -26, -23, 11]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15, 27/2, 22, 5/2], [-393, 79/2, 19, -9/2], [18, -2, 1/2, 1/2], [0, 0, 0, 0]], [[-6873708253711, -14182487939707/2, -7482912833202, -108078934077], [151733975614813, 4420052497629/2, -14793442593033/2, -2447223509370], [-13985982640977/2, -361019426235/4, -509123438231/4, 135278652343/4], [19/2, 1/4, -1/4, -3/4]], [[-314883280735575792002724, -1123223437949235414618376, 411544542987994958067749, 704621719087944448771547], [-6331215428453160316429092, 12533270062506287879704824, 4692351373792382430757515, -4568045436677199417560208], [277813608363091026341228, -618043229063001800754942, -190296928155074530682742, 243322686351820258748963], [-452261846816, 759161226304, 369406773216, -246438558496]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[16, 21, 127/2, 25], [-98, -4, 59/2, -9], [31, 5/2, 5/2, 5/2], [0, 0, 0, 0]], [[-180394728975857, -360609530333509/2, -255542494254720, -34496607147677], [657360720378714, -50900855178696, -234189883037245, 73864800310901], [-413792711680353/2, 19225896925687/4, -9433020844591/2, -17068606019705/4], [15/2, -1/4, 0, -1/4]], [[51047290296053137379801622, -146394696166651658617467886, -211686094847410826466015261/2, 31974119627609845857936429/2], [-199713579442676373834167982, 341727594849504269810620470, 304708322320845950667219795/2, -212762791580189721189566107/2], [77898083198730732596215276, -130865922983981012737283424, -66576063478751599314008204, 80001459930085589174192961/2], [-2845995480902, 4786206637331, 2327677889383, -1552739194958]]], 0, 1024, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[48, -26, -23, 11]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -2, 13/2, 4], [274, -14, 35/2, 17], [1, -1/2, 1/2, 1/2], [0, 0, 0, 0]], [[-7312472438, -7355592383, -6418105280, 1038198985/2], [-1511133473520, -227078451878, -19233117029, 271238721385/2], [-6973785023, -110626727/2, 12193418, 78575146], [4, -1, 1/2, 1]], [[-10722631619292541923, 177996359663758756061/2, 64215075831599423979/2, -26669328508463339166], [-7180379118810756155418, 14428093416189977387692, 6598196230062762977169, -4819739219862729348274], [-37228654159746602668, 135437942506057867787/2, 128007360769435536889/4, -22627425735338804114], [25453792304, -85560578509/2, -83274359141/4, 27745801307/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11, -29/2, -10, 5], [-811, -89/2, -53, 36], [-9, -3/2, -2, 3/2], [0, 0, 0, 0]], [[10154283838232, 10134710661183, 20485562365981/2, 337749663645/2], [855659173052601, -209141347858331/2, -16816967426717, 219438617698777/2], [10201303232927, 22892450196, -169862508979/4, 65975324605/2], [23, 0, 5/4, 1/2]], [[-5701656074453289891117399, 55826512355047332969916251/2, 23423815290574148871655743/2, -7481730169848227234092260], [-1210395789022907041379652534, 1917083599307350395978637319, 949282061623034565088717446, -1221281334324661560692669215/2], [-27158587643514119397552201/2, 90762406825401882713499147/4, 10924310545633650657914919, -14863129419275615457952401/2], [-62637676686825/2, 210213749284875/4, 25579522963575, -34138874571825/2]]], 0, 1024, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -32, -48, 16]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, -10, -6, 14], [10, 10, 10, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [224743879, -256981037, -131580399, 85637332], [-189389817, 240130089, 237994291/2, -157486193/2], [4, -2, 1/2, -3/2]], [[0, 0, 0, 0], [-15831616816078317/2, 5322397354725744, 7864085051721925/2, -4034086892419209/2], [15111503578818441/2, -3595882735504035, -3404561039858994, 3025251828641073/2], [-70789725, 228626430, 127983525/2, -63706620]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [34, -2, 8, 0], [2, 8, 2, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1243577/2, 1224481, 841063/2, -827415/2], [56639/2, 43757/2, 26120, 46469/2], [-4, -1/2, -5/2, 2]], [[0, 0, 0, 0], [3269263402547/2, -1422126778868, -1790276196107/2, 1018442237635/2], [-29282981259/2, 42674410756, 15128526856, -25194773061/2], [7031279, -8564477, -9306347/2, 2975723]]], 0, 64512, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -32, -48, 16]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-36, -12, 4, 8], [4, 8, 2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [18194440, -17415445, -9972134, 5971956], [-100547, -27337/2, 268, 22355/2], [1, -3/2, -1, -3/2]], [[0, 0, 0, 0], [-23409882501045/2, 11141449041545, 13230818919141/2, -7817620576731/2], [140990154633/2, -3439690097, -47251994681/2, 5287166917], [-538493, 1684863, 505748, -1009431/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [34, -8, 10, -6], [2, 6, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [17685587/2, -12669593, -8855869/2, 6841159/2], [-1512555/2, -55156, 418785/2, 167423/2], [1, -1, 1, 2]], [[0, 0, 0, 0], [-23370455386313/2, 8973792353314, 12560534178581/2, -6761989724645/2], [602494348165/2, -801488875319, -306610227219, 504434409111/2], [-492199, 2135040, 1300623/2, -583939]]], 0, 64512, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -32, -48, 16]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [56, -8, 6, 0], [-8, 4, 4, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [3204056699/2, 2209162308, 35037219/2, -1061769477/2], [-95475985/2, -10759701/2, 11533089/2, -2181181], [-2, -1/2, 2, 5/2]], [[0, 0, 0, 0], [-37805558063182934, -59515451968684674, -1515162846997102, 14173572657458432], [849746810958422, 689064438067490, -117266335774354, -138350690099536], [5702944, -17319744, -4670848, 4691856]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-64, -12, -12, 8], [-4, 2, 8, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1389523101/2, 1646310019, 1238094141/2, -1010216129/2], [37315007/2, -3406453/2, -3814126, -339494], [2, 3/2, -5/2, -3/2]], [[0, 0, 0, 0], [15633800173418, -10925466057680, -7916402477956, 4122967586286], [-161154685194, 230323965024, 114991133804, -77710979838], [-1496, 5232, 1480, -1416]]], 0, 64512, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -32, -48, 16]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-28, 8, 8, 4], [8, 2, -2, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [7120835, 4104797, 311037, -1410330], [-1856307, -1936894, -1721051/2, 1709533/2], [-2, 1, 3/2, -1/2]], [[0, 0, 0, 0], [-6291945099/2, -8978353850, -2309456641/2, 4689667553/2], [2536240331/2, 3080689552, 346749221, -1605010925/2], [9, 1071, -387/2, -576]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-64, 4, -20, 6], [-8, -4, 10, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-913105424, 879322627, 520543185, -307999738], [-460902, 98777, -45723/2, -63334], [4, -1, 5/2, 1]], [[0, 0, 0, 0], [-77489703036608161/2, 37901435880118888, 44364204917877611/2, -26484483630028351/2], [-17584991832799/2, 30162093362326, 9494125764761, -8799741271227], [74429963, -347862518, -191857173/2, 196668303/2]]], 0, 64512, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -224, -80, 64]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [136, -36, -14, 4], [4, -10, -8, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-757288048, 1523420579, 753163978, -514207422], [-50311987, -1690941/2, -1655057, -8853589/2], [9, 5/2, 0, 1/2]], [[0, 0, 0, 0], [6577666496074031069, -5424536398126656336, -3452646501952219384, 1933059852660908177], [214861589279790006, -563203766858371183/2, -291697760068519827/2, 193217719037955645/2], [-29268662649, 87871513391/2, 41803527577/2, -29254910065/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [144, 22, 10, -12], [-16, 6, 0, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [786939161763, 382793131023, 209766074286, -206994641776], [-94996315100, 1419718257/2, 2591229982, 101159334], [-5, 1/2, 2, 1]], [[0, 0, 0, 0], [649236728099331403514, -2132705994227210405688, -773130222306112447080, 659995279630664053966], [-118204242703512296422, 238218830005870733522, 99890804439789166638, -75893102451170959064], [-6906408704, 10259503674, 4906467176, -3421144790]]], 0, 516096, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -224, -80, 64]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [120, 132, -186, -178], [4, 18, -6, -38], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24870319, -19811230, 42845479, 26282374], [-9756904, -22146677/2, 18834057/2, 5179598], [3, -1/2, -3/2, 2]], [[0, 0, 0, 0], [158988611450, -158906771552, -91987623244, 55354428190], [595630070952, -562843715631, -336350421520, 198056236474], [2413970, -2349285, -1378820, 821530]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-192, -180, 306, 240], [-4, 6, 4, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [512215, 810871, -111156, -283888], [39218, 138803/2, 3888, -15431], [-3, 3/2, 2, 0]], [[0, 0, 0, 0], [-178269028, -473414802, -53348170, 120937626], [50931852, -111353122, -43837154, 34646754], [174560, -169296, -99560, 59240]]], 0, 516096, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -384, -128, 112]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [764, 68, 124, 160], [20, 4, 8, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-47862116911964, 9708242370300, 50181540791117, -19931502938797], [-602694476406, 16069276895, 2015034852, 19849799715/2], [-16, -2, -2, 5/2]], [[0, 0, 0, 0], [-277716653204786979194, 70965223681391564948, 171299258103195794474, -47046764251910922687], [-6846843114651338041, 637094364426318927/2, 6035158420215321223/2, 130899109258990924], [-170023999, 22417995/2, 96475773/2, -11931797]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [276, 100, -98, 56], [16, 6, -6, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-310299500, 49592584, 28240822, 19443917], [-16444361, 2987209/2, -646439/2, 2292982], [-29, -3/2, -5/2, -1]], [[0, 0, 0, 0], [1996652067972259294, -705003721974845524, -686140431009546741, 256989210405944659], [109226014158969896, -33995187856040229, -33955500555047552, 23188905707963711/2], [194748694164, -19932196106, -56160166944, 29652495109/2]]], 0, 4128768, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[128, -384, -128, 112]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1058, 24, -44, 126], [-10, -2, 2, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [1953268998014266, -1047389102833364, -1082033810987165, 495316363302924], [9261912441195, 324538555383/2, 93427050403/2, -324006468601/2], [-25, 1/2, -3/2, -1/2]], [[0, 0, 0, 0], [16181300371497325182734830, -9824581989593606800585514, -8151679510628415482834611, 3981082649820659248695499], [91365609118569938151668, -7443914499018473963269, -27015533544195231756024, 13084356061854663617373/2], [-254238560264, 23476573774, 74140931814, -39627884261/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-170, 24, -170, 138], [-10, -2, 10, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [2376917298366, -1894274036681, -1358256254210, 714488486534], [13860359753, 31162397/2, 210992857, 1048182795/2], [67, 3/2, 2, 1/2]], [[0, 0, 0, 0], [-2046925865612580948790, 1735254407830111301858, 1128410106641186055088, -631705376470683824420], [-13375059841175329262, 1630673854852043626, 4005935557321569175, -1112564898777574262], [-64737110760, 7480662210, 18962128689, -5015696658]]], 0, 4128768, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -7, -7, 3]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[8, 5, 9/2, -1/2], [-74, 10, 7/2, -11/2], [8, -2, -1, 1/2], [0, 0, 0, 0]], [[2906783860, 3064883093, 3758308333/2, -693113056], [-47163011779/2, -4725241404, -3933312019/2, 1116771455], [4938747493/2, 247602817/2, 68595663/2, -506005789/4], [-6, -1/2, 1/2, 1/4]], [[-23395221315632204, -295855056168504828, -69961130159656944, 65824196956674482], [-1072649871299178813/2, 1981494899253631340, 1302861984199826171/2, -1080089472316344583/2], [142597126979990521/2, -203431872320090126, -138055927492223391/2, 116374856299798219/2], [-156240965, 468980455, 156634155, -136720520]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[14, 12, -61/2, -22], [-74, 10, -59/2, -26], [-1, 1/2, -5/2, -5/2], [0, 0, 0, 0]], [[577139467, 1178842737/2, 1049817911/2, -103185931], [72527575115/2, -23957491789/2, -51679759743/2, 21384537525/2], [548879455, -56492975/4, 105620643/4, -81070209/4], [-5/2, 3/4, 5/4, 5/4]], [[-14908960187675048880, -29428170494240096856, -1918801526324526540, 7223668143390193968], [-78340043496632105180, -397445891902480592786, -71606053634524378939, 107482114738548280677], [-4632203862357417000, -13015788326578487826, -1503421926241735044, 3320900044411178952], [-5307129828, 15720220530, 5250400344, -4590137160]]], 1, 32, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[20, -24, -15, 9]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 2, -29/2, -21/2], [582, 4, -25/2, -23/2], [-4, 0, 0, -3/2], [0, 0, 0, 0]], [[2504712232, 2489737239, 4627491451/2, -212227293/2], [-660803441211, 120442083643, 1178687311545/2, -447120005823/2], [2442060879, -7574530, -7400492, -23925153/2], [-12, 1, -1, -1]], [[-45044653510157611177, -17836720690432226029/2, 5972398840169515117, 5660938065378345789/2], [8418407544818727294714, -8779200343996090782119/2, -6047491989132674636886, 2707373647126285316117], [-84778602034713061887/2, 83796867650606109381/4, 60708308150070554047/4, -13849400584130393407/2], [444137792479/2, -445714319555/4, -324984233229/4, 74047790989/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-26, -31, -35, -1/2], [-432, -44, -50, -1/2], [-27, -5/2, -5/2, 1], [0, 0, 0, 0]], [[-1522966994670, -1458046765656, -2035789042183/2, 499524013655/2], [-22136352560993, 147852446681/2, 1005588610201/2, -138059457823/2], [-2738114247311/2, 124480121661/4, 67600397193/2, 86309473849/4], [-9/2, -1/4, -1, 5/4]], [[98877601264317912013, 40476125572425307997/2, -20348487798654712614, -1288340434007032734], [1457338481641968511779, -644788572207732260377, -1169457900909899828229/2, 255858481189238656163], [90775565464328047649, -84055268400169876373/2, -146447617104856512401/4, 16280443188324942921], [328388731, -160564648, -479928317/4, 53684909]]], 0, 256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[20, -24, -15, 9]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7, -17/2, -55/2, -15], [369, -5/2, -57/2, -4], [-14, -2, 1/2, -2], [0, 0, 0, 0]], [[694988717548, 680297028326, 645803621757, -101508810875/2], [-8482689986497, 3084670138538, -36082566349957/2, 15137690404223/2], [1363070370687/2, -78797212629/4, 20030455785/4, -23468760113/4], [9/2, -1/4, 5/4, -1/4]], [[91183820561751464208, 19526123334240307078, -18705481523939331227, -7052678650961354391/2], [-2134018530020227540547, 1412932266941592919820, 1096116229606480392021/2, -322898836096793133443], [83246616277143928445, -38849111067076481291, -32808586158264536436, 57679968033074803475/4], [620667760, -296326489, -454723867/2, 403089817/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[16, 18, 15, 3/2], [-30, 9, 14, 9/2], [15, 5/2, -1/2, 0], [0, 0, 0, 0]], [[1906933378, 596392879, -1354369942, 500619535], [-3000998907, 1393090375, 3028854414, -1162064462], [1394504080, -454751949/2, -1083164521, 413474936], [1, -1/2, 0, 0]], [[27881146918552493, 23857063739543791/2, -21701305054996757/2, 2083900163941983/2], [-42769324169727007, 27583230602660361, 29089598317081668, -26910644294824259/2], [21629446383206658, -4778598593098749, -44696065291284227/4, 4024083043562135], [24019492, -24120309/2, -35115179/4, 8002755/2]]], 0, 256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -7, -7, 3]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-28, -28, 6, 16], [-58, -27, 6, 13], [-16, -2, 2, 2], [0, 0, 0, 0]], [[5240043902, 5716678757, 4229615216, -3324806211/2], [32427338519/2, 12312927261/2, 5004003737/2, -5070475141/2], [9244687083/2, 106819863/2, 1692899693/4, -1464150247/4], [-1, -1/2, 1/4, 3/4]], [[-17387391685482117443, -412891574607926995215/2, -40709005042940891528, 111416354879820432907/2], [184279764918129673849/2, -987701444301264748057/2, -144523426432995691153, 142772891332873546808], [51867478281787090683, -558520701650619144877/4, -197712881060005274041/4, 168111310512618780339/4], [-15387266175/2, 91713573425/4, 30589559005/4, -26757122545/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[8, 11, 73/2, 15], [-36, 7, 71/2, 12], [17, 3/2, 3/2, 3/2], [0, 0, 0, 0]], [[544301994788, 528111961693, 958927515003/2, -158619924518], [-1578579397557/2, 1370867510599/2, 893776280635/2, -112674601507], [519420000433, -222978374493/4, 39554560538, -51995557685/2], [-1/2, 5/4, 1/2, 1/2]], [[-3863393946159901036165, -3949695149934952050495/2, 1482669005381908817947/2, 328042280985880389448], [3878811409911332521583, -7725422416764928520831/2, -4427990012186018854497/2, 1331225447562218027628], [-3087883862404053616906, 721487676466155133280, 2334117389396040958593/2, -389651826410041429266], [2791522750, -8260776357, -2760294806, 2411725480]]], 1, 32, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[20, -24, -15, 9]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 7/2, 39/2, 23/2], [-421, -7/2, 21/2, 33/2], [11, -1/2, -1, 2], [0, 0, 0, 0]], [[1785090961541, 3465334305747/2, 3348166765737/2, -115708666195/2], [-30203294640405, -4790054152237/2, -73732948227878, 66636743199669/2], [3531685229591/2, -164488702827/4, -45206531789/4, 3354919113/4], [11/2, -3/4, -3/4, 5/4]], [[-88583336923167176070, -113925783763568717713, -466377356956350923643, 453016492695596361385/2], [-15654769256633665690807, -2578433949627682575310, 100785462679128317598703/2, -19683302766349754438160], [-186028960970838571732, 287219534535184865221/2, -168952214111536892419, 240458804173534809063/4], [-1005267795, 994881167/2, 734217477/2, -664482455/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 13/2, 35, 14], [121, 9/2, 41, 18], [15, -1/2, 2, 3/2], [0, 0, 0, 0]], [[3700718363, 10588165735/2, 44833503376, 38391241215/2], [140536330959, -169431569/2, 106235943691/2, 51431920211/2], [35181999199/2, -4355719639/4, 10729177527/4, 8525692359/4], [-15/2, -1/4, -5/4, -3/4]], [[940762585186593210126, 99514846080752016811, -158650330920057499726, -79317551681992894369/2], [7708063848567032367406, -7493319750279523458963/2, -2701920832014927563778, 1204112248748555085959], [909198914276074622633, -997035169220019153347/2, -1370920626325095640843/4, 653896641246591761303/4], [-376735597612, 377531580971/2, 552521666379/4, -251494914133/4]]], 0, 256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[20, -24, -15, 9]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[14, 15, -10, -27/2], [-452, 18, -16, -49/2], [5, 3/2, -1/2, -2], [0, 0, 0, 0]], [[-2267038734300, -2235492968165, -3891242531707/2, 195457212092], [254561377663087, -9992284727584, -124958063690661/2, 7153905842337/2], [-4325913603175/2, 97011966521/4, 29171098145/4, 44748191835/2], [21/2, -1/4, 1/4, -1/2]], [[-66983604529164297863126, -15275667357476116756959, 13021112825558365683917, 4779007004003704481256], [6485139371800023385807786, -3279977911885922147058685, -2730320996251077714177396, 1262616572907388875713649], [-60883283836936813447624, 28666140620407765476572, 23041796552937250739943, -9995818103212069945766], [299571861672, -148254978156, -110311721736, 49802187276]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17, -39/2, -63/2, -9/2], [3, -35/2, -83/2, -3/2], [-21, -1/2, -2, 0], [0, 0, 0, 0]], [[667460955174, 652256667121, 609275503190, -58583748088], [70553977096, 624670618788, 1839744783327/2, -300520034179/2], [650797388749, -41783151123/2, 5687287504, -28038141485/4], [0, 1, 0, 5/4]], [[-94882966342836216268, 332892752998853118782, 101450806253489217772, -191254228486729009833/2], [28922896027608331499, 146632300786976231803, 22488503052417947875/2, -33450306675115863634], [-203309583589816110299, 294313217980849716492, 266925002724817373883/2, -375351619970977127359/4], [441705202, -226478447, -157961746, 292226523/4]]], 0, 256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[20, -24, -15, 9]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[20, 21, -9/2, -11], [-372, 13, -5/2, -5], [11, 5/2, -3/2, -3/2], [0, 0, 0, 0]], [[-765141493048, -760998076357, -1412651276909/2, 26557115307/2], [30776881598674, -2632226843097, -9423923582237/2, -1879804904816], [-1493831717565/2, -19841883691/4, 36415550297/4, 4464766], [-29/2, -3/4, -5/4, 1]], [[31540604721284474843316575, 10262904417052883497011965/2, -13349910399415321476709787/2, -1330347524064067987659687], [-1174193527827200526518259262, 1424543533147746544202473371/2, 479513229555800028551345153, -490169175687084217521904137/2], [29350073618862770393001890, -29688517489782821373376629/2, -11564893764635372145369886, 20939256428405270991765041/4], [583960096813968, -292332636113895, -428017686715773/2, 389352432218247/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11, 17/2, -51/2, -37/2], [-299, 27/2, -43/2, -31/2], [-1, -1/2, -2, -2], [0, 0, 0, 0]], [[-17991171493, -35867345399/2, -28848920041/2, 3687710043/2], [-5278862078167, 6364099909117/2, 3229061679096, -3102780708979/2], [-33487837201/2, -404142975/4, 634138077/4, 930183839/4], [-13/2, 1/4, -1/4, 3/4]], [[471035422986248968584, 120372639439926905061, -129060427231185497531/2, -22994118105439919003/2], [128046406175839686537768, -204550021599456394210899/2, -143942908887955911754783/2, 39110975572078890690411], [433271000586338542068, -188561397954883826706, -648405539895617202015/4, 286438347874546845131/4], [174875181492, -174415014939/2, -256497054011/4, 116386591717/4]]], 0, 256, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[14, -7, -7, 3]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, -5/2, -3, 3], [61, -13/2, 5, 1], [-3, 3/2, -1, 1/2], [0, 0, 0, 0]], [[4987973, 9343911/2, 7804395/2, 130199/2], [-228748371/2, -58450691, 65958757/2, 23483537], [9528493/2, -6958, -1236133/4, 98588], [-10, 1/2, -3/4, 0]], [[-1213198877371521, -22639642054521551/2, -4374684161157775/2, 5845334489809755/2], [-26087230569007997/2, 303664427962402737/2, 38977576523022395, -86977401320449119/2], [2573356140897869, -30182017194201083/4, -10244486055948329/4, 2227202353071178], [-12297574571/2, 68432025803/4, 23135584895/4, -5005961068]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9, -17/2, 9/2, 13], [-119, -31/2, 13/2, 0], [-4, 2, -3/2, 2], [0, 0, 0, 0]], [[37530899569, 77843694061/2, 56163276620, 22151028793/2], [1671287423875, 1496415545076, -187049043729, -695159574987/2], [87434923621/2, 3736722651/4, 456766805, 5273028639/4], [9/2, 1/4, 0, 3/4]], [[194244439384967028, 2787049000018676577, 742589375560577241/2, -1321088211827093731/2], [7749016334768158237/2, 122566924484422650323/2, 12730539033697514037, -33343897456354864515/2], [-1589849214711514485/2, 1983883426542181653, 2435684534361749467/4, -2207011314003895879/4], [-73727466, 405248247/2, 273162421/4, -237399491/4]]], 1, 32, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[224, -336, -160, 112]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-260, -14, -18, -28], [-12, -2, -2, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1667839189, 281500237, 2811477897, -1119791299], [-8610580, 6085/2, 19100, 76457/2], [9, 3/2, -2, 5/2]], [[0, 0, 0, 0], [-1033987469118063175, 494104496983025703, 1197995367876824418, -516784350311612249], [-23014046831485411, 15778693258940421, 21648614925443883/2, -5616609570270903], [18828338134, -9426943613, -18764829843/2, 4030215815]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-244, -66, -14, -8], [-4, -10, -2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9958693925, 13882912270, 5926831410, -4115069549], [142238772, 1474213/2, -2930509/2, -3838579/2], [7, -1/2, -1/2, 3/2]], [[0, 0, 0, 0], [-71904178125371510, 76102904001333154, 45555647515173070, -27494940529930156], [888366247463036, -447489233400603, -542713160649502, 240672112276411], [39025126, -19505115, -19576270, 8437121]]], 0, 1032192, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[224, -336, -160, 112]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-108, 18, -6, 2], [0, -8, 6, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-400443519, -15441332214, -3084454354, 4009541841], [-604021240, -110070661/2, 4629925/2, 11179645/2], [1, 5/2, 5/2, -1/2]], [[0, 0, 0, 0], [20572714191217654460, -22782901753612755296, -12444980398984158100, 7791970272208934826], [-1711912884615951724, 1517531104858401672, 951716489594363788, -543936488859238194], [2210424976, -1109931136, -1107152304, 477692848]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-432, 2, -2, -2], [-20, -4, -6, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1991556202620, 305227162530, 3903308958306, -1555458431573], [3556447317, -330634285/2, 147806569/2, -98918879], [-7, 3/2, 3/2, 2]], [[0, 0, 0, 0], [7700594049917534369, -2145282866723851323, -10146440199074199842, 4096069448995639968], [144980928037103308, -46010080668073533/2, -56867653169725044, 17446737161253587], [-266007755, 253674395/2, 131059370, -54602990]]], 0, 1032192, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[224, -336, -160, 112]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-72, 18, 38, 48], [0, 2, 6, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2976843541, 3024543361, 1532175206, -966441290], [-52828942, -2427025/2, -1408811, 4523191], [-11, -5/2, -1, -2]], [[0, 0, 0, 0], [-100907508136908437, 96909974521581173, 59731826392659587, -34988653608531584], [-1650294608782485, 1042765962525053, 2071914286158841/2, -997732810130171/2], [-288150540, 131300838, 305558123/2, -99401049/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [220, -40, -60, -62], [8, -6, -8, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-123409483533, 418023271137, 77944394298, -103925127810], [-15480811590, 491176135/2, -1075998249, 627610491], [-7, 3/2, 1, 2]], [[0, 0, 0, 0], [2530198605301391644475, -4857421777491873391870, -2069477673661303082215, 1556800113278914764253], [232384089589758308341, -48149620887832819620, -94590711820766185173, 31449461600471964675], [101409385734, -51373242702, -50737002392, 22071854568]]], 0, 1032192, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[224, -336, -160, 112]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [328, 6, 6, 2], [16, 2, -4, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-19591174762, -8639548417, 3808963370, 16232225487], [-666085500, 11456065, 4805213/2, -22823795/2], [-2, 2, 1/2, 1/2]], [[0, 0, 0, 0], [616610051784194747, 2756912487676384853, 517500796725217655, -740853670449017344], [31775008291463671, 119123486901611431, 36605865155760805/2, -63158666269802103/2], [-144530736, 74104156, 145384799/2, -63818629/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-280, -4, -8, 4], [-12, -6, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6993098605, 4995507581, -7847086731, 2618955685], [-411838074, 27428547/2, 6565513, -10897265/2], [-1, 5/2, -1, 3/2]], [[0, 0, 0, 0], [439073312943840342, -847882455691821228, -370104612339597346, 275733803289533946], [7078684139151130, -32330033253629060, -10284383824643050, 9650481278880315], [177912680, -89225650, -88824550, 38218145]]], 0, 1032192, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[32, -112, -32, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [36, -16, 32, 2], [20, 8, -30, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [281683147/2, -110610614, -150588413/2, 81086185/2], [4711781/2, 569026, -28206, 26576], [1, 0, 1/2, -3/2]], [[0, 0, 0, 0], [80039965627875, -43398256527340, -37519073725645, 17582726189189], [2475760815021, 2189241884520, -280847790768, -458209513185], [885870, -117990, -183087, 19170]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [44, 4, -36, -10], [-20, 0, 32, 14], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8692143/2, 5070023, 10867733/2, -5831313/2], [5072133/2, -965699/2, -2308096, 1832293/2], [0, 3/2, 1/2, -1]], [[0, 0, 0, 0], [68649081126066, -51383640943748, -29580262650024, 16505871264704], [-16891695009374, 28416710528090, 9593589223348, -7852192200488], [10078264, -378798, -2382562, 85638]]], 0, 129024, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[224, -336, -160, 112]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [20, 2, 16, -4], [-16, -8, -8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5679811, -4706265, 541091, 1107660], [4587863, 5133978, -587327/2, -2449795/2], [-6, -1, 3/2, 3/2]], [[0, 0, 0, 0], [-915244184895053, -107946652663167, 292042858706070, -34307952199886], [626610074022418, 624078752829739/2, -140348298421308, -44747556041494], [-1317692607, 1335346683/2, 660912780, -286281633]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-488, 16, -18, 4], [20, -10, 10, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-11245719879936, -4747199993864, 933041207772, 556367629891], [506326269555, 28900350905/2, -26515474275/2, 3624075285], [3, -3/2, 3/2, -2]], [[0, 0, 0, 0], [4681296888425438184923, 2219701195723262947126, -1056257029221514595676, -295248670190125857999], [-227310019480086480958, -46006052856062374481/2, 145152573687880828489/2, -19801770329754704145/2], [-1828378567, 1861299449/2, 1841172557/2, -796402507/2]]], 0, 1032192, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[32, -112, -32, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-48, -22, 38, 0], [12, 12, -30, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [239724, 428387, 8555, -81646], [-27676, 9440, 47333/2, -28792], [-2, -2, -3/2, 1]], [[0, 0, 0, 0], [-287418211/2, -554906129, -219181293/2, 320958087/2], [117705071/2, -42624277, -8572299/2, 733346], [10751, -4329, -6266, 5161/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [48, 6, 44, 12], [20, 0, -50, -16], [0, 0, 0, 0]], [[0, 0, 0, 0], [13891358489/2, -8586409409, -8454411085/2, 6475728613/2], [1189121577/2, 525960255/2, -454572761, -340284225], [0, -5/2, -1/2, 1/2]], [[0, 0, 0, 0], [-572629692341266, 501633358898804, 318278951650616, -188465012476746], [-13583191119106, 21696504023220, 12098800510201, -633485949061], [-104352, 4080, 26381, -1321]]], 0, 129024, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[32, -112, -32, 32]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12, 4, -2, 0], [0, -2, 6, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [2075887/2, 1622233, 75799/2, -773703/2], [-70757/2, -21435/2, 5291, -281/2], [11, 3/2, -5/2, -2]], [[0, 0, 0, 0], [-183780744469/2, -135265929837, -1824987753/2, 63203051711/2], [9363754997/2, -76213373, -4337584155/2, 1177403649/2], [-1947498, 457282, 1634752, -616770]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [74, -10, 2, -6], [-2, 10, 8, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3940601692, 5914285857, 1268512526, -1286416087], [457801046, -165607211, 92978239/2, -273089477/2], [-10, 0, -1/2, -5/2]], [[0, 0, 0, 0], [7580543410828217/2, -6407120615708789, -3366119575278981/2, 3145652251472309/2], [-1030462194576087/2, 195476738248965/2, -61828667145816, 49899222142410], [15405945, 15330333/2, -5576385/2, -2589711/2]]], 0, 129024, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[30, -15, -11, 5]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[31, 69/2, 65/2, -2], [-31, 79/2, 69/2, -7], [30, 2, 3/2, -1], [0, 0, 0, 0]], [[2370848572199, 5353203340359/2, 1927366475120, -1225266923883/2], [-2008101798694, 5916507720971/2, 4257521223597/2, -1509279108545/2], [4139818107571/2, 596224547563/4, 626787844295/4, -614333440575/4], [19/2, -3/4, 3/4, -1/4]], [[-5677048193983271335198662, -813905491508758040851809, 1718513108739576656088725, -318264852817797767891676], [5026116716767894085469838, -6476111093072219497013084, -3314621679334295724932932, 2080674049400470443740958], [-5194423326457046008859662, 2452742273102886848461097, 4820800858666813901223587/2, -2169087995593923587761721/2], [-25133865387266, 13603642021208, 24090647878345/2, -11513610383417/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 6, -1, -19/2], [-618, 3, -3, -25/2], [1, -1/2, 5/2, -2], [0, 0, 0, 0]], [[-28489990544, -28569793171, -49444221691/2, 2546699550], [10502138238070, 14222299070899/2, -3262234686625/2, -1487322453894], [-54158701911/2, -66597893/4, -63153147, 1536945895/4], [-9/2, 3/4, 1, -1/4]], [[-715175319401594598, -18515203856997963, -14678494668321741, -503704694106489975/2], [210058424488254090465, 25853361617508795247, -67750795227990652412, 11785835805890237531/2], [-775132024012619628, 718449647412995985/2, 674870584347331599/2, -183706822170313527], [-122984874, 66745356, 58834962, -28235265]]], 0, 512, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[8, -24, -8, 7]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11, -17/2, 27/2, 33/2], [-17, -31/2, 31/2, 7/2], [-3, 5/2, 0, 2], [0, 0, 0, 0]], [[43464476, -20705533, -217493523/2, 89666895/2], [587205587/2, 1273533441/2, 321274535/2, -409719053/2], [22096567, -22444325/4, -58558919, 23937477], [-7/2, -1/4, -1, 1]], [[496274452679920644, 724192021543405416, 557400238841663268, -424712518912094916], [-19498643210955488812, -34313665088316841920, -2339322253655072021, 8611529921797359612], [400364990812023744, 34001730497570568, 193915820940021720, -120935131923517344], [267326747688, -19859219952, -76433594952, 19161092808]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-18, -19, -20, 4], [-158, -23, -15, 0], [-18, 1, -2, 1], [0, 0, 0, 0]], [[968578629423, 1868153094835/2, 828644544054, -72580933861/2], [7930104915418, 1407310788395, 527876117349/2, 384741955088], [1868905852163/2, -45317774561/4, -46345276729/2, 3054893351], [-1/2, -1/4, -1/2, 1/2]], [[-29408779834565279294, -19451625765544555160, 10726185941702452167/2, 4087289335584050494], [-369762367893133038789/2, -37625829380912778721/2, 115556740575759888933/2, -5504170665621050420], [-21782732805585859994, 9083901021526655573/4, 7686178813619511087, -3873155299149706497/2], [33253325/2, -4020485/4, -9360015/2, 2274895/2]]], 1, 64, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[64, 0, -16, 0]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-108, -4, -6, -10], [-8, -2, -4, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-406853210741, -190735757458, 87891605687, 34221217586], [-28181374996, 1006267977/2, 3576849765/2, -895886326], [5, 5/2, -3/2, 0]], [[0, 0, 0, 0], [-14353936741979402909/2, 10315612173372083097, 10121610921720954783/2, -6898629045341731699/2], [-1839417782443534345/2, 2061408565131711419/2, 657509251217719146, -784490433705054621/2], [65616062, -223231915/2, -78225169/2, 31490867]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-112, -4, 4, 16], [12, -2, -6, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [43084298363/2, 32439658743, 1584024119/2, -15463464655/2], [-507273165/2, 76171181/2, -30670115, -91837971/2], [-2, 3/2, -3/2, 2]], [[0, 0, 0, 0], [-4911536824957129395, -8948626412964387654, -481224332322847821, 2179785644939569423], [6368399831616105, 77055087781408071, 15661714286255127, -20940488008464604], [-285467256, 501461037, 175994550, -142285293]]], 0, 258048, [], [] >,
< [ 2, 1, -4, -1, 1 ], [[224, -112, -112, 48]], [ -1, 0, 0, 0 ], [ 1, 0, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [32, 24, -16, -6], [4, 6, -2, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4022797, 3460965, 2141462, -1224751], [-126981, 53083, 126347/2, -28477], [6, -1, -3/2, 1]], [[0, 0, 0, 0], [285910502142819, -310627712205342, -167745195490877, 104974382268097], [6293539122017, -10170908030490, -5258915539487, 3566636423747], [-193357962, 565404300, 189042294, -165062266]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-160, -28, -30, -8], [-12, -6, -8, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3594394311, 21907957, 10349905301, -4044812470], [154276635, -11145068, -8413207/2, 24813903/2], [-10, -1, -5/2, 1/2]], [[0, 0, 0, 0], [669199677491579210, -1396871207654970678, -163137394825778052, 266781527488091284], [46963514116994382, -112132439296290130, -41841716152443772, 33695547486447996], [-2796124748, 8221144936, 2764284964, -2390942364]]], 0, 2064384, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-8/7, -25/7, 1/7, 3/7]], [ -603/7, 17/7, -55/7, -4/7 ], [ 4/7, -47/7, -60/7, -12/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[510420391/14, 13382113/7, 23794395/14, 97/14], [2124210825820935/28262717, 111384128785719/28262717, 198050061917775/56525434, -51791147/56525434], [76218819/14, 1998405/7, 1776554/7, 1], [283145157/56525434, 14846947/56525434, 13199435/56525434, -3/56525434]], [[-937783523604295545, 7522479702085763579, -737473076381301602, -1828307140396963171/2], [-54638708672221683881928995/28262717, 876574578152212418176614475/56525434, -85935803411999252395364959/56525434, -53261946852631427312407926/28262717], [-1960485097532816117/14, 15726128228653653099/14, -770861791049952047/7, -1911084314420308311/14], [-7283024376328191593/56525434, 58421162035211058015/56525434, -818196076852785895/8075062, -7099509534748529883/56525434]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-33/14, 172/7, 181/7, -41/14], [5/2, -3/2, -11/2, -3], [31/14, 19/14, 25/14, -1/7], [0, 0, 0, 0]], [[-537555218/7, -75987200/7, 82583694/7, -3494915/14], [1164853091731103375/621779774, 105361870499056470/310889887, -174871955502196413/621779774, -324285764351005/310889887], [-8132218901/154, -291475886/77, 1093090329/154, -80183549/77], [229138748/310889887, 40852369/310889887, -34267374/310889887, -2/310889887]], [[-36226200500880, 154239503742051, 4122708828573, -52598770638021/2], [268122915174737582888056/310889887, -2211304572659199692835053/621779774, -68235103869354740618815/621779774, 378070190795430708797693/621779774], [-290833181366562/11, 18531398253358647/154, 229291477400712/77, -225401936272191/11], [211442850822303/621779774, -437202983808729/310889887, -3835312736895/88825682, 21354173089713/88825682]]], 4, 6, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-3/7, 9/7, 17/7, 2/7]], [ -129/7, -75/7, -25/7, 2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-257933/14, 139061/7, 69381/14, 6/7], [-2352337396/70553, 5077085549/141106, 1268622361/141106, 491425/141106], [-5/2, 0, -2, 0], [467301/282212, -126138/70553, -63113/141106, 1/282212]], [[-6610092486068/7, 2590264654851/14, 3906207556287/7, 2008458290439/14], [-17223941547967519/10079, 3391248598540142/10079, 10195492548702322/10079, 5239724611473181/20158], [-127092606, -134245348, -101309158, -5964300], [3421554116445/40316, -675383991147/40316, -2026993489119/40316, -260234847093/20158]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/7, 37/7, 17/7, -5/7], [-67/14, 188/7, 58/7, -93/14], [-1/14, 31/14, 1/14, -2/7], [0, 0, 0, 0]], [[-3051652/7, 102975/14, -1621987/14, 22609/7], [13988421702725/1552166, 117930473637/1552166, 382466807483/141106, 5512146777/1552166], [-24580033/77, -83651/77, -656652/7, 55739/154], [-6142239/1552166, -87701/3104332, -333873/282212, -5/3104332]], [[-259892931086045011/2, -104932719518815997/2, 42440131749696853/2, 7836914672907306], [380180361651752023231185/141106, 154651426456455769636877/141106, -30321118710145246748748/70553, -11300606483474499370989/70553], [-190757117428159157/2, -77481181548371587/2, 30569234162252795/2, 11372187903657693/2], [-11922129247259952/10079, -4847951715340482/10079, 1903995311724870/10079, 709282036017198/10079]]], 4, 6, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-11/7, 5/7, -3/7, -2/7]], [ -825/7, 39/7, -43/7, 4/7 ], [ 4/7, -33/7, -39/7, -5/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-259943086/7, -590368755/14, -112584496/7, -9/7], [7169427256543735/147306586, 4070701491619065/73653293, 3105158830063177/147306586, -746051295/147306586], [0, 2, 1/2, 0], [-1054283191/294613172, -598607575/147306586, -228311113/147306586, -5/294613172]], [[464449159049468718/7, 893940689709290733/14, -166064921609772225/14, -136065316006975489/14], [-914989910499459333178646/10521899, -880555549609067846303262/10521899, 327157033608340303075835/21043798, 134027980099752495260717/10521899], [-936198519/2, 1053693867/2, -85744329/2, -208626483/2], [67275842833933349/10521899, 64744009487801259/10521899, -12027325848946023/10521899, -9854583187989540/10521899]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, -1, -1, -3/2], [-211/14, -123/14, 29/14, -123/14], [-25/14, -15/7, 11/14, -1/7], [0, 0, 0, 0]], [[-544524766/7, -67798235/7, -733239335/14, -22807/7], [-485684451477259973/231481778, -30350056863081950/115740889, -29731690130220767/21043798, -2265063957061/115740889], [7948031895/77, 997821107/77, 486634052/7, -389673/77], [7949079821/3240744892, 994459111/3240744892, 486646369/294613172, 1/1620372446]], [[33118976650370635010791/2, 10261605946206575265231, -3911792230460732152305, -1629903544351421716404], [361885522001887678093919029773703/810186223, 224266272053908810203349531175959/810186223, -15543549391128699796351551226761/147306586, -35621230608549373825259923775758/810186223], [-1692134014533154893684012/77, -1048708680947725885322841/77, 36341068433691353541771/7, 166570218337118099031041/77], [-846139272497042634316215/1620372446, -1048743306298387803623235/3240744892, 36343293065336998121235/294613172, 166576779134869844643845/3240744892]]], 4, 6, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-4/7, 5/7, 11/7, 5/7]], [ -81/7, 19/7, -31/7, -2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-261027/7, -299798/7, -384747/14, 19/7], [-152531659/20158, -87690501/10079, -112493669/20158, 121883/10079], [-2/7, 13/7, -19/7, -1/7], [780123/282212, 896543/282212, 575469/282212, 1/70553]], [[57746318181863/7, 43684226606221/7, -13660968090528/7, -6328135804622/7], [118121103793828827/70553, 89347346249096183/70553, -55893894297608365/141106, -12942091193496140/70553], [341451083/14, -166341311/14, -47040883/14, 43012659/14], [-86298963615069/141106, -65284182223807/141106, 10207704641611/70553, 4728493113501/70553]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-15, 21/2, -13/2, 1/2], [3125/22, -663/22, 156, -175/11], [283/154, -79/154, 29/14, 5/154], [0, 0, 0, 0]], [[3138737947, -5506274537/2, -197205389/2, 298662636], [-25041381468727523/776083, 49962040518835455/1552166, 72112813385657/141106, -5527408374547469/1552166], [-63618433251/154, 30910464336/77, 55589298/7, -3408069620/77], [-105072/70553, 372557/282212, -44631/282212, 3/282212]], [[-410751624966702598/7, -1061886511266994803/14, 126287773721249110/7, 74107535061139518/7], [458906664062577697810918/776083, 615784293604504694939278/776083, -13109077541268736054609/70553, -171521008381288708874777/1552166], [585477468691803206/77, 779113974733510476/77, -16665481935155790/7, -108623629083245888/77], [1031340244353/40316, 1084993815729/20158, 205062639261/20158, -89508144849/40316]]], 4, 6, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-11/7, 26/7, 32/7, 5/7]], [ -129/7, -75/7, -25/7, 2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-8017, 17355, 27985/2, -87/2], [-2048490337/141106, 2219897355/70553, 1793858408/70553, -5843669/141106], [-1/2, 8, -7, -6], [203403/282212, -220233/141106, -89153/70553, -5/282212]], [[13668535429/2, 13315729113/2, -1193752526, -744114293], [1745296784437209/141106, 1700967182427763/141106, -303923977233705/141106, -189830540683079/141106], [-2851284/7, 693426/7, -4140008/7, -1158900/7], [-173337324415/282212, -168969165615/282212, 30133910285/282212, 4711408510/70553]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, -21/2, -41/2, -13/2], [-109/14, 202/7, 37/7, -85/7], [-1/2, 1, -5/2, -1], [0, 0, 0, 0]], [[78368, -181175, -332541/2, -4402], [1130482218311/776083, -2944716471803/776083, -439628298465/141106, -32139600305/776083], [228985/77, 1525987/154, -105681/7, -509935/154], [2381389/3104332, -6398961/3104332, -458093/282212, -1/1552166]], [[-537185421608809/14, -487817729618153/14, 74704734796815/7, 36804931254656/7], [-1049293591067373960491/1552166, -1004571301735114418141/1552166, 27280764700568079563/141106, 75413491268430378551/776083], [-447729058050521/154, -43693306020340/77, 7633594295457/14, 10403510109856/77], [-1088617352392013/3104332, -1059665020796975/3104332, 28502029009285/282212, 79333189988697/1552166]]], 1, 72, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[3/7, 12/7, 4/7, 5/7]], [ -81/7, 19/7, -31/7, -2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-50615/14, -147825/14, -45851/7, 1/14], [-103313185/141106, -303983223/141106, -94511755/70553, 172587/141106], [9/7, -6/7, -16/7, -5/14], [75603/282212, 55282/70553, 68637/141106, 5/282212]], [[-6754683/14, 20978581/14, -2286475/14, -856159/7], [-969229279/10079, 5817621115/20158, -319075000/10079, -229185605/10079], [8508/7, -142153/14, 7788/7, 17965/14], [2515414/70553, -15532847/141106, 1693813/141106, 1260545/141106]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[433/7, 83/14, -33/14, 27/14], [105698/77, 13613/154, 1124/7, 733/154], [1355/77, 93/77, 13/7, -3/154], [0, 0, 0, 0]], [[-182614311857/14, -125599872719/14, 20578715086/7, 9305771682/7], [-224919586073277911/776083, -148608580688807563/776083, 9005274864862663/141106, 44129712218806987/1552166], [-286139052975/77, -189365359473/77, 5742382889/7, 28145077608/77], [-215699/282212, -1037649/282212, -575469/282212, -1/70553]], [[-32332271934995021449/14, -22818918992937399933/14, 3656583402199113553/7, 1679979766560752010/7], [-39803378828839945895316897/776083, -27196779132120994042000117/776083, 1605944893999162782120343/141106, 7983113318187909196938305/1552166], [-7234163838008117322/11, -4948195148124073482/11, 146338854072103602, 727208810247047076/11], [-50242087622439/282212, -82485801479987/282212, -65530442942651/282212, -26043473927231/141106]]], 1, 72, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[19/7, 34/7, 2/7, -1/7]], [ -603/7, 17/7, -55/7, -4/7 ], [ 4/7, -47/7, -60/7, -12/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6043087, -1850332, 1293063/2, 43/2], [704184265358537/56525434, -215611939769185/56525434, 75338080510275/56525434, -173729959/28262717], [-644412697/14, 197310219/14, -34471931/7, -44/7], [23465933/28262717, -7184944/28262717, 2510547/28262717, 1/56525434]], [[63939121264928139/14, 45589377521823551/14, -7511582091241609/7, -3427204067950189/7], [266094715362823601954590/28262717, 189728805369617176818842/28262717, -125043419359133009659943/56525434, -28525908302867827102075/28262717], [-487016929425275605/14, -173624533556342863/7, 57214842398747541/7, 26104617082049970/7], [17734452739758280/28262717, 25289766554572595/56525434, -4166893754645995/28262717, -3802340884104985/56525434]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-73/14, 527/14, 199/14, -299/14], [-55/14, 361/14, 220/7, 95/14], [-11/14, -9/14, 23/7, 61/14], [0, 0, 0, 0]], [[186421933/14, 1025157573/14, 540445817/14, -12956073/7], [-146204474766268973/621779774, -248859804915695221/310889887, -118676538513743547/310889887, -303674782997473/621779774], [-1642586489/77, -996285947/22, -3356475389/154, 37127995/154], [31540995/310889887, 223844441/621779774, 105959369/621779774, 1/621779774]], [[-107573221368488451713/14, -48747886170946342178/7, 28036099387220992995/14, 14216783998167058607/14], [6521992907155364533822419465/56525434, 5632428167816662052883149909/56525434, -830577268103911607710173229/28262717, -824848738129939263122856239/56525434], [131656496364970969691/14, 51390576985408030868/7, -16036669221420060074/7, -1088591760195727402], [-2845544365962819961/56525434, -1242122634540905988/28262717, 364146006750465918/28262717, 25952102267230440/4037531]]], 1, 72, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-13/7, 32/7, 6/7, -3/7]], [ -825/7, 39/7, -43/7, 4/7 ], [ 4/7, -33/7, -39/7, -5/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[39921874, 81734221/2, 16914035, 5], [-550537708570623/10521899, -1127145963464463/21043798, -233250944007847/10521899, -44277993/21043798], [2/7, -131/14, -51/7, 9/14], [1133412307/294613172, 290062212/73653293, 120050639/73653293, 3/294613172]], [[118767751435123218591/7, -43816924400444729581/14, -30538364747298521229/14, 1041179171605302263/14], [-467957748634533783822234397/21043798, 43160819487758771329566724/10521899, 60162232815585957385144577/21043798, -2051170905283037953868375/21043798], [-1516384163225/7, -6741323316375/7, 1293310291575/7, 1944829386625/14], [240850478500961501061/147306586, -44428360303195482645/147306586, -30964556893461681141/147306586, 527850870146645607/73653293]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17/7, 142/7, 52/7, -82/7], [6/7, 69/14, 149/14, -1/14], [1/14, 16/7, 10/7, -31/14], [0, 0, 0, 0]], [[-551265803/14, 194581456/7, 164046283/7, 159802/7], [217581773971186055/810186223, -153955723429442149/810186223, -23940279098567435/147306586, -116212564186605/810186223], [9600850438/77, -6852059366/77, -530345705/7, -4658967/77], [2013897013/1620372446, -2891240889/3240744892, -222296467/294613172, -5/3240744892]], [[-781713532614918400365/14, -253534025764763729456/7, 88480665017781604516/7, 77191732827861195883/14], [308393808449831588343457587727/810186223, 400805167788000473631242332107/1620372446, -6351161158927791420158027005/73653293, -30499490997137762131323598970/810186223], [3885087103468974123877/22, 2522613138114273120955/22, -39994807332745664084, -191988536589714934518/11], [203645171297761956381/115740889, 264217328302954365783/231481778, -4191455557351903021/10521899, -40223658512960290477/231481778]]], 1, 72, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-6/7, 4/7, 6/7, 4/7]], [ -603/7, 17/7, -55/7, -4/7 ], [ 4/7, -47/7, -60/7, -12/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[30222550/7, -4293715/14, 16409125/14, -41/14], [117133540978297/28262717, -16641144342119/56525434, 31798554860607/28262717, -44993471/28262717], [29223893/7, -4151807/14, 15866989/14, -19/14], [-11630061/56525434, 413059/28262717, -3157247/56525434, 5/56525434]], [[143042956606327/14, 1227721642520741/14, 565872840710547/14, -325402092138002/7], [277195930381034421865/28262717, 2379139600056729501073/28262717, 2193150771342382787895/56525434, -1261161693534973106809/28262717], [69158239279758/7, 593576238868048/7, 273586621439066/7, -314649823594889/7], [-13761253149442/28262717, -118111033551916/28262717, -7776971246050/4037531, 125219355066061/56525434]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-47/7, -62/7, -23/7, -6/7], [-78/7, -95/7, -6/7, -4/7], [-45/7, -33/7, -4/7, 2/7], [0, 0, 0, 0]], [[-3123883615/14, -160032318/7, -132033542/7, 75607991/14], [-221211170602656698/310889887, 46947310269102885/621779774, -28535769966574722/310889887, 281893643945017/310889887], [-6599151638/77, -6556182158/77, 800647381/77, 891622913/77], [-348228185/310889887, 40852369/310889887, -112947589/621779774, -2/310889887]], [[-68336834163075885537/7, 176489628607083634223/14, 400684257450305393811/14, 45648065707333666251/14], [-9554893737818689865826817077/310889887, 12822544517081096483013729993/310889887, 29911398664113762697609093490/310889887, 3149908148750642201737957874/310889887], [-592995835125851585721/154, 274316004140405311346/77, 548814920616593174945/77, 135521389056888280711/154], [-4460809828944744301/88825682, 49368886681958705329/621779774, 104717750546929921771/621779774, 5240623864613822896/310889887]]], 1, 30, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-8/7, 10/7, -6/7, -4/7]], [ -129/7, -75/7, -25/7, 2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13441/14, 268/7, 7493/7, 39/14], [2281554649/141106, 50869671/70553, 1280162816/70553, 118502/70553], [17/7, 12/7, 29/14, 3/14], [-238229/141106, -10681/141106, -133666/70553, 1/141106]], [[-15711344323673/2, -18659743735300, 2970172391638, 4790953365875/2], [-18671632280737567281/141106, -22222786292795646529/70553, 7067326976094301409/141106, 2853018107616426205/70553], [-161991273600/7, -238547936250/7, 87439356225/14, 30357138825/7], [974841652480496/70553, 2320331433146417/70553, -368970760926260/70553, -297893892738171/70553]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, -11, -11, -1], [-8/7, -165/7, -167/7, -39/7], [-1, -2, -1, 0], [0, 0, 0, 0]], [[-4728/7, -248013/14, 263269/14, -5855/14], [-62283/7, -3845587/14, 2310536/7, -109225/14], [-3468/7, -219061/14, 214633/14, 226/7], [0, 1/2, -1/2, 0]], [[-10768335275/14, -3411492923/14, 2034002871/14, 312152761/7], [-17617386448462083/1552166, -4518874733709103/1552166, 146391138496949/70553, 447320054016641/776083], [-100440727729/154, -32467753601/154, 1732407395/14, 5906362207/154], [12490083993/776083, 2200424913/776083, -196374945/70553, -508080327/776083]]], 1, 30, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-6/7, 4/7, 20/7, 4/7]], [ -825/7, 39/7, -43/7, 4/7 ], [ 4/7, -33/7, -39/7, -5/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[135931525/14, -7032987/7, 14790390/7, 15/14], [-431591060176701/73653293, 44660474131421/73653293, -93920969340326/73653293, -5711019/73653293], [33/14, 10/7, 1/7, -1/14], [-87959749/73653293, 9101920/73653293, -19141399/73653293, -3/147306586]], [[-52966515208431787/14, -116118692577976489/14, 28871761564094201/14, 7971229693733592/7], [24024566425486139838347/10521899, 105338345947185523605723/21043798, -13095667224097646138048/10521899, -7231187249104426957867/10521899], [-2196841905/2, -1219957605, 821112633/2, 392419809/2], [9792580585719155/21043798, 21468312171210835/21043798, -5337883304122005/21043798, -1473740618884730/10521899]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/14, -25/14, -41/14, -2/7], [-43/7, -67/7, -103/14, 69/14], [-1, 0, -1/2, 0], [0, 0, 0, 0]], [[1394584521/14, 1049942112/7, 233514137/7, -150797/14], [-395124535633662389/231481778, -297402716793076640/115740889, -12037153976431561/21043798, 4758800058365/231481778], [11731070601/154, 17674735175/154, 357874885/14, 229179/154], [1467590037/810186223, 4419476891/1620372446, 44726611/73653293, 2/810186223]], [[287035393327225363/14, 252686587180576767/14, -69216198540762177/14, -19120856481524759/7], [-25875799504072275488575935/73653293, -45548506501997341851944319/147306586, 6239224712816574511415480/73653293, 3446729135207412723818769/73653293], [219519006334818875/14, 96638266037001687/7, -52936764999568351/14, -29250543467860873/14], [27460447562569965/73653293, 24171061985906888/73653293, -6621495733126112/73653293, -3658109717082846/73653293]]], 1, 30, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-10/7, -26/7, -4/7, 2/7]], [ -81/7, 19/7, -31/7, -2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-236025/14, -156903/7, -144106/7, -73/14], [-2789912099/141106, -3703932793/141106, -3401141329/141106, -439419/141106], [-12/7, 1/7, -25/14, -5/14], [-356805/141106, -473225/141106, -434363/141106, -2/70553]], [[622889862281332/7, 1343473683311587/14, -383241059973629/14, -183980413448753/14], [14722424743155828299/141106, 15877831684519152869/141106, -4528787858267528113/141106, -1087202111483619665/70553], [51762394800/7, 82970062800/7, -19014574800/7, -11258575200/7], [134471317975308/10079, 290030865506929/20158, -41360439402469/10079, -39719547622071/20158]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-15, -3, 5, 0], [1094/7, -62/7, -520/7, 99/7], [2, 0, -1, 0], [0, 0, 0, 0]], [[-823180/7, 17208645/14, -1996223/14, -2150331/14], [1856700772655/1552166, -18844764370617/1552166, 106798664776/70553, 1182560824657/776083], [2814425/154, -25521875/154, 344775/14, 3428025/154], [351755/141106, 161325/70553, 42715/70553, -1/141106]], [[7395291/14, 5698305/14, -1782397/14, -421552/7], [-588453620943/141106, -226711039476/70553, 70913908719/70553, 67086959629/141106], [0, 0, 0, 0], [5587962/70553, 4305701/70553, -2693597/141106, -1274117/141106]]], 1, 30, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-4/7, -16/7, 18/7, 12/7]], [ -129/7, -75/7, -25/7, 2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[18139/14, 4988/7, -4047/7, 1/14], [1518065431/70553, 1618689815/141106, -1453009189/141106, 110279/141106], [333/14, 23/14, 3/14, 1/7], [-158519/70553, -168935/141106, 152139/141106, -2/70553]], [[-5915993341/2, -54838260497/2, -2866680453/2, 574592579], [-611390439063753/20158, -6071697624186901/10079, -3208804266553241/20158, -371866201238785/20158], [-429198956, 5494398189/2, 1414767475/2, -42291929], [31070337440/10079, 640828165664/10079, 172751738528/10079, 20395264576/10079]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-55/14, -423/14, -463/14, 16/7], [-169/7, -137/7, -551/14, 66/7], [-99/14, 12/7, -24/7, -2/7], [0, 0, 0, 0]], [[256624024, 405993743/2, -107193227/2, -55490485/2], [686316125079589/776083, 1056561889659637/1552166, -14620342682926/70553, -154542782187195/1552166], [17578364337/77, 26941419535/154, -755388551/14, -1975769410/77], [1512311/776083, -51298/776083, 78996/70553, 3/1552166]], [[7076395524594776, 22885159023497499/2, -3618177335693181/2, -2759982242381123/2], [19291646536217530082848/776083, 54013680965580031323651/1552166, -534152070423607431891/70553, -3655143095082350763401/776083], [979522599674733207/154, 1457555881522860841/154, -14293688897301123/7, -98894001957994491/77], [-609671896595365/776083, 11645602028251735/1552166, -53938482239358/70553, -717563581830621/776083]]], 1, 360, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[8/7, 32/7, 34/7, 4/7]], [ -81/7, 19/7, -31/7, -2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-23904/7, 26520/7, -130341/7, 4/7], [-567072029/141106, 314386417/70553, -1542453098/70553, 114403/70553], [-162/7, -11/7, -33/14, -1/14], [-72573/141106, 40438/70553, -196782/70553, -1/70553]], [[4781628667298221/14, -406797826955953/7, -1156615218012011/7, 48448275509825/14], [4050041241261804024/10079, -1365390778796158179/20158, -3914328286746983377/20158, 80601201519169803/20158], [2240927441774, 1546995197916, -556669177218, -237277734960], [7248755420078961/141106, -1213102755308319/141106, -3498238420512519/141106, 71268898237851/141106]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-369/7, -76/7, 26/7, 1/7], [-90668/77, -9893/77, -251/7, -639/77], [-1165/77, -124/77, -1/7, 2/77], [0, 0, 0, 0]], [[2484010910/7, 1267916886/7, -537456069/7, -205690466/7], [1219340717583/154, 262950267983/77, -22933341953/14, -91268787777/154], [7824543420/77, 3416286255/77, -146280920/7, -1175903175/154], [3/2, -5/2, 1, 0]], [[1556820542625765/14, 1150437831967881/14, -361885901645867/14, -84599087376187/7], [347530473948001747241/141106, 253183749118197615805/141106, -79698739654893632419/141106, -18536856476472830246/70553], [442806806446155/14, 161240734055955/7, -50994183527520/7, -47352710685495/14], [55249907583/141106, 2473410400/70553, -14292022209/141106, -711537940/70553]]], 1, 360, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[18/7, -12/7, 10/7, 2/7]], [ -603/7, 17/7, -55/7, -4/7 ], [ 4/7, -47/7, -60/7, -12/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[103409561/2, 17278073/2, 5918831/2, 2], [2805490977143231/56525434, 468754325026949/56525434, 80288631680303/28262717, 29191725/56525434], [657100917/2, 384270324/7, 131636403/7, 141/14], [-69638546/28262717, -11635534/28262717, -7971783/56525434, -2/28262717]], [[-16785382906287783111/14, -49498770045542171593/14, 956821008812831045/14, -5676551708843483339/7], [-9293586206299240229898583/8075062, -13703031949947687554428373/4037531, 529739130197142636036009/8075062, -6285884626312516996993207/8075062], [-53330121657274143901/7, -157266444641603242406/7, 3039783661922605202/7, -5152971639455864830], [3229625402854481357/56525434, 9523917447010028947/56525434, -184087405979666179/56525434, 312059429537585093/8075062]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[82/7, 173/14, -17/14, -23/14], [229/14, -67/7, -146/7, -57/14], [167/14, -9/7, -10/7, 3/14], [0, 0, 0, 0]], [[1926068089/14, 571400883/14, 156861585/14, -519951/7], [-556004160176624497/310889887, -163609190867444358/310889887, -92468633364971167/621779774, -28881621471298/310889887], [12690964938/77, 3781390280/77, 1036620180/77, -7853617/77], [286423435/310889887, 84375092/310889887, 23785044/310889887, -5/621779774]], [[-17629971990821738/7, 265209262806109529/14, 150185826733850961/14, -111924930284994745/14], [10228404373045374384111652/310889887, -76973500496460240720958990/310889887, -43585866555732914371469990/310889887, 64967162029608683637552035/621779774], [-232652276317951961/77, 1750137112781634762/77, 990961730366394187/77, -738550793089356208/77], [-1504892550562515/88825682, 39635913905328150/310889887, 44887219937332065/621779774, -16726787632016955/310889887]]], 1, 360, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-22/7, -32/7, 22/7, 10/7]], [ -825/7, 39/7, -43/7, 4/7 ], [ 4/7, -33/7, -39/7, -5/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[12497494, 10155048, -14958891, -5], [-1111050790966351/147306586, -451399782239351/73653293, 1329875437268585/147306586, 182679629/73653293], [-38/7, -12/7, 41/14, 2/7], [-113217851/73653293, -183993577/147306586, 135516421/73653293, 1/73653293]], [[18419124985160613/2, -53104957317170853, -2406458396948273, 8808659213320133/2], [-409373599463293911556035/73653293, 4721128904603523062776613/147306586, 213941696659304049144419/147306586, -391552138757560208246303/147306586], [-1267725589, -506706195, 1989859400, 588113573], [-166863352796479141/147306586, 962181659561548301/147306586, 43601719286752485/147306586, -79799709871349551/147306586]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, 3, 2, -3/2], [181/14, -375/14, -69/14, 129/14], [3/2, -2, 1/2, 0], [0, 0, 0, 0]], [[-136039080/7, -1420371857/14, -540046237/14, -457/14], [101350902768792331/1620372446, 271532478468628819/810186223, 19050094021553825/147306586, 698837560145517/1620372446], [220396186/77, 1233902563/77, 44571675/7, 9675123/154], [-328701907/1620372446, -856254445/810186223, -29594976/73653293, -1/1620372446]], [[-475327381421256285/14, 10696417171630109109/14, 13911956296336445667/14, 1565144301069850806/7], [27395967024073229285328929/231481778, -589000132781598433970935937/231481778, -34870994194903631718521919/10521899, -86330957001824151881296124/115740889], [478038569669287782/77, -9531663208458851232/77, -1131062606305475790/7, -5602298242905490419/154], [-285977712657160092/810186223, 6449321869319274189/810186223, 762454343010878991/73653293, 3774137491065849381/1620372446]]], 1, 360, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-24/7, 16/7, 24/7, 16/7]], [ -603/7, 17/7, -55/7, -4/7 ], [ 4/7, -47/7, -60/7, -12/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [34/7, 10/7, -48/7, -4/7], [-81/7, -51/7, -31/7, -2/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [598329153227619/56525434, -5771731177872197/56525434, 910442534868627/56525434, 232603626185375/28262717], [-33464748, -2010540939/7, 282275580/7, 238407843/7], [-62840724/28262717, 3646909/8075062, 421527/8075062, 3/56525434]], [[0, 0, 0, 0], [59404835336152756247659/4037531, -494995592746865721831131/4037531, -889742818135915810703691/4037531, -142169723783998123640340/4037531], [-1026069229241900544/7, -1333927222449155280/7, -1653790517001541372/7, -341449449214084468/7], [-132022073092537114/28262717, -33880011800794202/4037531, -92716546063406830/28262717, -2529917283580780/4037531]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [53, 14, 6, 1], [-43/7, 66/7, 36/7, 3/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4053813580548385851/621779774, 120383314109965763/621779774, -462937386823472091/621779774, 1339797296993426/310889887], [-2782258794/11, 567512368/77, -2393900087/77, 11031236/77], [-679064461/310889887, 6599011/88825682, -160517677/621779774, 1/621779774]], [[0, 0, 0, 0], [-1422633585725976643695699854/28262717, 6843364563275479362459859587/28262717, 6495696022025226102794645747/28262717, -1230592270018875241369948475/28262717], [-14006013016485950104/7, 68460407226431783328/7, 64559083189671019384/7, -12365111876697031400/7], [-68702235188198392/4037531, 332555059022534458/4037531, 315045530398413166/4037531, -59846805845536534/4037531]]], 0, 7680, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-32/7, 40/7, -24/7, -16/7]], [ -129/7, -75/7, -25/7, 2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-11210584377/141106, -2509633558/70553, -1875395897/70553, -338089/141106], [566721/14, 253369/14, 189167/14, -19/7], [-595122/70553, -532381/141106, -397405/141106, -3/141106]], [[0, 0, 0, 0], [-25342470700947669593/141106, -8243603426992913410/70553, 3117024223854604526/70553, 2643464211195764179/141106], [1281013752675975/14, 833437111456675/14, -315080150938675/14, -66807251408150/7], [-1345240493357525/70553, -1750501769361025/141106, 661785128925225/141106, 280642024372925/141106]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1, 1, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [515256751571/776083, -2097418828643/1552166, -76112540225/141106, -3910947/1552166], [1879209/22, -1912342/11, -69399, -29/22], [2381389/1552166, -4846795/1552166, -175881/141106, -1/776083]], [[0, 0, 0, 0], [-831668921716950370/110869, -2364146077382448948/110869, 26941652233661514/10079, 283291052501658326/110869], [-10616370008274/11, -30177836866197/11, 343906263051, 3616141461081/11], [-13453294488267/776083, -38242660648446/776083, 435818212992/70553, 4582559490297/776083]]], 0, 7680, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-24/7, 16/7, 80/7, 16/7]], [ -825/7, 39/7, -43/7, 4/7 ], [ 4/7, -33/7, -39/7, -5/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2950806279272939/147306586, 2568488152554883/73653293, 1104912149395105/73653293, 940256357/147306586], [57376177/14, 99884567/14, 42968319/14, 17/7], [476008493/147306586, 414334687/73653293, 178238150/73653293, 1/147306586]], [[0, 0, 0, 0], [29302575099911621187867745/147306586, 25973309234916507940330399/147306586, -7131477965164178350157585/147306586, -1912859478359646975469378/73653293], [284882912040221703/7, 505034499118173687/14, -138666531302044707/14, -74388593625143499/14], [4726932980630247153/147306586, 4189904816245368285/147306586, -1150415453916405261/147306586, -308574115548453495/73653293]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7, 1, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [251219165/14, 2260977695/14, -251219837/14, -47/7], [-42721730, -768991141/2, 85443451/2, 1/2], [-1/2, -9/2, 1/2, 0]], [[0, 0, 0, 0], [5442876086395700925541658625/231481778, 5952302476916730201258839461/231481778, -227534732724972270846183383/21043798, -541507807758494429317083149/115740889], [-615783353181064857321/11, -1346834577160449668745/22, 51484561039405498959/2, 245055242294076558775/22], [-151660764509393246599/231481778, -165855379456157230035/231481778, 6340044600137130971/21043798, 15088612396155076309/115740889]]], 0, 7680, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-40/7, -104/7, -16/7, 8/7]], [ -81/7, 19/7, -31/7, -2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [919960038/70553, 2159282395/141106, 764868327/141106, 671759/141106], [470881/14, 276020/7, 97315/7, 41/14], [494376/70553, 1158963/141106, 408441/141106, 1/141106]], [[0, 0, 0, 0], [-56381164666061434/70553, -73568080720171336/70553, 5298707732621824/70553, 6058629681634651/70553], [-14431085581754/7, -18791364606540/7, 1360929492085/7, 1549746362359/7], [-30301595140388/70553, -39457062814847/70553, 2861141891893/70553, 3254904636166/70553]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6708/77, 5109/77, 445/7, 202/77], [293/77, 199/77, 16/7, 3/77], [0, 0, 0, 0]], [[0, 0, 0, 0], [3734006603221181/20158, -622932207348142/10079, -162218955653504/10079, 102987937871989/20158], [-133735103459/14, 24412428835/14, 17995084841/14, -410908804/7], [-69543/141106, -372984/70553, -42715/70553, 1/141106]], [[0, 0, 0, 0], [5320777817879352618331/70553, 2939075564347714469011/70553, -1158406607472774814815/70553, -433974856239848136712/70553], [-27514650925919740/7, -16857143711308020/7, 5906414232118220/7, 2735322408006250/7], [-3396311780/10079, -13602758180/10079, -3970007460/10079, 2384839600/10079]]], 0, 7680, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-16/7, -64/7, 72/7, 48/7]], [ -129/7, -75/7, -25/7, 2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [15/7, 389/7, 552/7, 102/7], [-5/7, 85/7, 145/7, 43/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [13574523478135/70553, 14374857457069/141106, -5167165396681/141106, -2060388730291/141106], [269493443/14, 54691816/7, -16699089/7, -13953225/14], [-581837/141106, -613615/141106, 181899/141106, -1/70553]], [[0, 0, 0, 0], [2163635882718107479/70553, -1883753873699028732/70553, 841694986649080631/70553, 479551007908114560/70553], [22593222717796/7, -32850256298988/7, 27178326265675/7, 11540257813586/7], [-8656257293/70553, -299423110587/70553, -116754141681/70553, -15082887413/70553]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1170/7, -17/7, -50/7, 53/7], [4/7, 23/7, 17/7, -12/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [-493534699632881/1552166, -304510973278563/1552166, 116468686592133/141106, 199299965063513/776083], [-63701144/77, -1325725439/154, 3255719/14, 20747899/154], [-5565431/1552166, 2760141/776083, 61107/70553, 5/1552166]], [[0, 0, 0, 0], [230082113295215840370189/70553, 1037273482928589665345665/70553, 590345801011385770559255/70553, 89545188510828442191850/70553], [154284140833547147/7, 380294450020825303/7, -284709291740801091/7, -96953188481322070/7], [485429110454979/10079, 28202405762544/10079, 79756887933522/10079, 28404620725683/10079]]], 0, 92160, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[32/7, 128/7, 136/7, 16/7]], [ -81/7, 19/7, -31/7, -2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, 30, 60, 26], [5/7, 293/7, 177/7, -8/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [267356858918738/70553, 379697827940019/141106, -337218319621521/141106, -117900448556995/141106], [26783381803/14, 1662344893/7, -5160694439/7, -2775468901/14], [281707/70553, -312327/141106, 155983/141106, -1/141106]], [[0, 0, 0, 0], [-3080036639941803685866/70553, -5287019767354950455195/70553, -2402918992433931947463/70553, -312001716159405881512/70553], [-154588358110178896/7, -172682438410647421/7, -58734878506301836/7, -7009673683989904/7], [-3617894421098/70553, 1356535439802/70553, 2412400112338/70553, -104474868088/70553]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4650/11, -240/11, 193, 94/11], [-1406/77, -17/77, 47/7, 4/77], [0, 0, 0, 0]], [[0, 0, 0, 0], [858030470985729/776083, 7328056414592021/776083, -4629787346238/70553, 3691832867763771/776083], [2414714436/77, 43447876070/77, -849394485/7, 9488114948/77], [-143126/70553, -130783/70553, 29754/70553, -2/70553]], [[0, 0, 0, 0], [210141367216295135464/70553, 1325666333766877605017/141106, -329954113747917665175/141106, -263781097359381400123/141106], [1634188348642223/14, 3542654549859816/7, -661319634393591/7, -1199042067353573/14], [-265057497926/70553, -442645007935/141106, 137407841103/141106, 68833163815/141106]]], 0, 92160, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[72/7, -48/7, 40/7, 8/7]], [ -603/7, 17/7, -55/7, -4/7 ], [ 4/7, -47/7, -60/7, -12/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [40/7, 41/7, -33/7, -1/7], [981/7, 11/7, 13/7, 4/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [68345278989657417/56525434, -8643048303041485/56525434, -17396957328478489/56525434, -625478790209772/28262717], [149812483318/7, 284824760550/7, -6211947353, -34606882572/7], [-168817049/28262717, -38118015/56525434, 7091499/56525434, -1/56525434]], [[0, 0, 0, 0], [27713636292098124201349617/28262717, 43658076685940652847759146/28262717, -21103483745124401990843820/28262717, 26472717775318634113475109/28262717], [219936523439503661082/7, -374435123648647372410/7, -120467055590242632968/7, -9113553862629938308/7], [-110887798559057784/28262717, -500355589328044479/28262717, 181946326698730791/28262717, 187919081115974181/28262717]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [641/7, 177/7, 59/7, 2/7], [248/7, 89/7, 53/7, 5/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [373469461746144991/621779774, 3219979834264127486/310889887, -1273065338560378676/310889887, -3526004306152197/621779774], [-7716932599/77, 289984583759/77, -21196103342/11, 23441722133/77], [-474392165/621779774, 303768943/621779774, 64703775/621779774, -2/310889887]], [[0, 0, 0, 0], [21373313476963131307335540/310889887, 23082826185939957233037743/310889887, -11913916208209243141763279/310889887, -2888277635964438343642543/310889887], [940881979119562792/77, 147588407067032812/11, -193695635665039076/11, -165471345009664396/77], [-8963111854882620/310889887, -988083678858096/44412841, 860606864745888/310889887, 668047890400752/310889887]]], 0, 92160, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-88/7, -128/7, 88/7, 40/7]], [ -825/7, 39/7, -43/7, 4/7 ], [ 4/7, -33/7, -39/7, -5/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-83/7, 396/7, 580/7, 158/7], [-25/7, 103/7, 186/7, 33/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [286775862652314472/73653293, 542864233205812297/147306586, -157382637557338829/147306586, -80610814847500417/147306586], [27609782163/14, 1566161768/7, -374450726/7, -9745555/14], [-348484186/73653293, -755016081/147306586, -282823007/147306586, -1/147306586]], [[0, 0, 0, 0], [-4583011648099116945382014034/73653293, -6576507675762878737915366162/73653293, 1830200363306845350983416020/73653293, 1027213872938462343333749002/73653293], [-267218693984176800674/7, 310220844377366892429/7, -180072785697593370109/7, -80640893314136271097/7], [4394816189864372819/73653293, 16852459984557792879/73653293, 20909132252462351113/73653293, 3695000579464755698/73653293]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [806/7, -185/7, -442/7, -87/7], [2, -4, -8, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-52908054212616754043/810186223, -161734115150623739371/1620372446, 3106076252889647991/147306586, 22793944586098005785/1620372446], [-64052867841/154, 15639802121/77, 20620863/7, -1512271707/154], [3962971366/810186223, -4327340447/1620372446, 43390023/147306586, -3/1620372446]], [[0, 0, 0, 0], [375139848252228515474224174/810186223, 11581077762642510936673623783/810186223, 1171977967899275716902941135/73653293, 2815984414277398740580075786/810186223], [-6494854153215824268/77, 56162103052029678397/77, 6841370701944995394/7, 17257452253904125222/77], [269643084244902840/810186223, -2899080599086771668/810186223, -349820019280956132/73653293, -875540408173913484/810186223]]], 0, 92160, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-96/7, 64/7, 96/7, 64/7]], [ -603/7, 17/7, -55/7, -4/7 ], [ 4/7, -47/7, -60/7, -12/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2/7, -34/7, 96/7, 8/7], [74/7, 156/7, 80/7, 2/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [205273912/7, 14744382/7, -22500251/7, -3102209/7], [13065935, -5221117, -2955935/7, 4479994/7], [3, -1/7, -2/7, 0]], [[0, 0, 0, 0], [82498471602984520745717/28262717, 14835986928779147948456/28262717, -99252255314113919112283/28262717, -22251084698283700218593/28262717], [8864463929775772/7, -36896247981399/7, -14553356872767917/7, -3115433977595189/7], [8272725742284288/28262717, 1977334783696113/28262717, -10014093543169351/28262717, -2326089016755750/28262717]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-718/7, 96/7, 4/7, -16/7], [-48/7, 158/7, -22/7, -10/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [2259604913415344472/310889887, -17865782559622733/310889887, 17234072521595449/310889887, -20756440475554666/310889887], [23134209361/77, -3385442048/77, -90659500/77, 785671939/77], [691936307/310889887, -6599011/44412841, 3897022/44412841, -1/310889887]], [[0, 0, 0, 0], [144340685124448018370808042970/310889887, -272067066369541744870913766861/310889887, -475588417083756323786946672855/310889887, 1524345283376420650941089170/310889887], [1243243992070266854579/77, -936411718090984909014/77, -4266910527017736892698/77, -1019857656667036547209/77], [46505310762958325505/310889887, -14685175559926736745/44412841, -167973817029655266750/310889887, 655239070978163715/310889887]]], 0, 1966080, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-128/7, 160/7, -96/7, -64/7]], [ -129/7, -75/7, -25/7, 2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [44/7, 8/7, -2/7, 8/7], [-22/7, -32/7, 22/7, 10/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [-282616959/70553, -469117475/70553, 244927748/70553, 59159428/70553], [26630/7, -7853/7, 2917/7, 1072/7], [219915/70553, -53405/70553, 215506/70553, 5/70553]], [[0, 0, 0, 0], [18660713655726032/70553, 12603853255112848/70553, 1543120880831444/70553, -15787312655442/70553], [-1413575645372/7, -1347213401388/7, 681093287492/7, 289509376372/7], [-1747749964576/10079, -1299114418448/10079, 1872056067728/10079, 661433936240/10079]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [472/7, -86/7, 144/7, -16/7], [-48/7, 4/7, -50/7, 4/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [94557688089602/110869, 44964923510207/110869, 933177310244/10079, 684225809005/110869], [-6657289689/77, -4459469172/77, -430323332/7, -1031493684/77], [3774135/776083, 380594/776083, -1003/70553, 4/776083]], [[0, 0, 0, 0], [-6893170487988800616564/10079, 81568634446877569266144/10079, 98797635749522311197812/10079, 20233941295756449464070/10079], [1907378966692161006/7, -16623927120476677154/7, -21144250094442276230/7, -4451926129585105996/7], [-84814211285932/70553, 1784246810628554/70553, 1794797002935974/70553, 246092086608094/70553]]], 0, 1966080, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-96/7, 64/7, 320/7, 64/7]], [ -825/7, 39/7, -43/7, 4/7 ], [ 4/7, -33/7, -39/7, -5/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, -10, -4, 0], [50/7, -80/7, -106/7, -10/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2717870899995772/73653293, -2052794121016728/73653293, -487450894522484/73653293, -71319542516353/73653293], [-399640956/7, -370426529/7, -63487094/7, -3638520/7], [402355200/73653293, 386749616/73653293, 61863128/73653293, 1/73653293]], [[0, 0, 0, 0], [10454718730741283217061/73653293, 6340105151702997928447/73653293, -3853212982718574446450/73653293, -2806116192543699891522/73653293], [1529123100218859/7, 1254267858756765/7, -526101248684331/7, -493560121667481/7], [-1558268838530253/73653293, -1156986001620111/73653293, 605190334123434/73653293, 441161172325554/73653293]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-178/7, -40/7, 94/7, -12/7], [-4/7, -2/7, 18/7, -2/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [5209109156319015995/810186223, 491292146004621898/810186223, 394189561895036219/73653293, 5642376853581/810186223], [43969392664/77, 4147115921/77, 3327275215/7, 24462/77], [4884254427/810186223, 460682220/810186223, 369603053/73653293, 5/810186223]], [[0, 0, 0, 0], [261844133388682316135478203149/810186223, -15945683800090747882097047761297/810186223, -932402555544443553632692247166/73653293, -976575843665278664322379524227/810186223], [2210094469243709114641/77, -134594639660570516238920/77, -7870238367611464510213/7, -8243098484082394823621/77], [35071485973083423683/115740889, -2135879504962835215503/115740889, -124892576671728260082/10521899, -130809228532691068909/115740889]]], 0, 1966080, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-160/7, -416/7, -64/7, 32/7]], [ -81/7, 19/7, -31/7, -2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-64/7, 24/7, -62/7, -4/7], [-30/7, 6/7, -12/7, -8/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1169846860955/70553, 254645040218/70553, -188980184880/70553, -115445759497/70553], [-52155101/7, -16744097/7, -5574501/7, -1486862/7], [351755/70553, -382880/70553, -196782/70553, -1/70553]], [[0, 0, 0, 0], [38185742899380865/10079, -2263423907140471/10079, -27531761689925234/10079, 12737676082563397/10079], [10675818768616/7, 15588710759325/7, 694291095672/7, -2808949872683/7], [-166403399116/70553, 790257580079/70553, 498440020984/70553, -329295700102/70553]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-31106/77, 24018/77, -3056/7, -370/77], [-730/77, 650/77, -80/7, -8/77], [0, 0, 0, 0]], [[0, 0, 0, 0], [9003569443929836/776083, 79425178463613/776083, -497166317600573/70553, 1250655876635441/776083], [20922276943/77, -1702545932/77, -1236647974/7, 3560568421/77], [3030/70553, 372557/70553, 237581/70553, 3/70553]], [[0, 0, 0, 0], [-138606463/70553, 1476639569/70553, -212784094/70553, -175598284/70553], [3427/7, -36510/7, 5260/7, 4342/7], [-3642/70553, 38800/70553, -5591/70553, -4614/70553]]], 0, 1966080, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-64/7, -256/7, 288/7, 192/7]], [ -129/7, -75/7, -25/7, 2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16/7, -8/7, 72/7, 6/7], [702/7, 64/7, -58/7, -6/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2267491020720/70553, -1720995506644/70553, -1417315733321/70553, 739798569173/70553], [1407923393, 1386291536, -386447901, -199957469], [-175932/70553, -27829/70553, -271179/70553, -4/70553]], [[0, 0, 0, 0], [-25503072786826035807163/70553, -94333626297606301443930/70553, -300659626293633800688/70553, 4004023622284795536811/70553], [21807731345041882711, 9306542586717560127, -4591494315093561595, -1624773840560833528], [-736525833560270/70553, -16318901438601593/70553, -5461661662397187/70553, -478205639584777/70553]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-728, -16, -42, -4], [1538/7, 48/7, 58/7, 6/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [8750948558269940875/776083, -2949058493305150706/776083, -53412678635472826/70553, 37114291839822550/776083], [-261502073003778/77, 81611578764535/77, 1800988258576/7, -1048969633760/77], [1419316/776083, 87701/776083, 545532/70553, 5/776083]], [[0, 0, 0, 0], [-320053041125838721702288199937/70553, -453549017674644815084379610425/70553, 79474365836953598069724989624/70553, 55181232138686221048428038128/70553], [9614840355340634606037070/7, 13387961574484316510490895/7, -2412862013033192542212455/7, -1646074690275871276095160/7], [-128758537341435885/70553, 444282341084584365/70553, 871608853220201070/70553, 214322299099697445/70553]]], 0, 23592960, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[128/7, 512/7, 544/7, 64/7]], [ -81/7, 19/7, -31/7, -2/7 ], [ -2/7, -1/7, -5/7, -1/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2/7, 6/7, 58/7, 6/7], [-1094/7, -8/7, 2/7, -8/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2441542004996/70553, 92051377056/70553, 218343557001/70553, -10201181695/70553], [-439393762238/7, -342571386628/7, 106444426701/7, 50611818514/7], [-66513/70553, 402672/70553, 575469/70553, 4/70553]], [[0, 0, 0, 0], [191328214491964729917/70553, 155772338459229878762/70553, -46747463834638851154/70553, -22889581414248736581/70553], [37755806892719755465/7, 29080686282458162805/7, -9098610876974739025/7, -4302840865429496700/7], [-1020897078865/70553, 17899976385120/70553, 9043839707510/70553, -7590186041875/70553]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-367420/77, -16088/77, 1170/7, -282/77], [-9354/77, -428/77, 32/7, -8/77], [0, 0, 0, 0]], [[0, 0, 0, 0], [-36154792549717150170/776083, -28184087226919673081/776083, 1225688676525648379/70553, -549131666112902562/776083], [-91011015598064/77, -73936158046297/77, 2955542277664/7, -192785347504/77], [-277162/70553, 221128/70553, 560592/70553, 5/70553]], [[0, 0, 0, 0], [-1156986117588840633686167414/776083, -1957752551861823138132956808/776083, 33632151139889046106123914/70553, 263146646289534856578677238/776083], [-2925272700546024298446/77, -4926159620765489078352/77, 85098486305576967966/7, 661330706571806827428/77], [-6707631535902/70553, -17164880482860/70553, 5886641988216/70553, 3315431050668/70553]]], 0, 23592960, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[288/7, -192/7, 160/7, 32/7]], [ -603/7, 17/7, -55/7, -4/7 ], [ 4/7, -47/7, -60/7, -12/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [72/7, -34/7, 110/7, 8/7], [1762/7, 188/7, 100/7, 6/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [-63567226916545774383/28262717, 9465344220023414438/28262717, 726055242231839754/28262717, 26163007539719542/28262717], [-377541844568607/7, -179007279000400/7, 71407296376622/7, 28274618738299/7], [-175614871/28262717, -2170858/4037531, -16046845/28262717, -4/28262717]], [[0, 0, 0, 0], [-34535629724918024134051504163457/4037531, -125527334277736919531199992359034/4037531, 8917934018129016775270199292652/4037531, 3576425660706219028416060898432/4037531], [-265821804604807243942124671, -2746945389023065225886618948/7, 482133447889826904182041214/7, 309824749835321613736652853/7], [-643841255284422448509/28262717, -2777455579803507022716/28262717, -655545340016026620525/28262717, -191778460152376757364/28262717]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [380/7, 36/7, 54/7, -6/7], [1320/7, 2/7, 38/7, 2/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [194421257805954715/44412841, 195656140568074761/44412841, -256817824581033652/44412841, 156745539378450178/44412841], [-11483819786/77, 2642105760337/77, -827974912581/77, 192727747347/77], [-1224890399/310889887, 6599011/44412841, -71691995/310889887, 1/310889887]], [[0, 0, 0, 0], [296284232019597456573837732930/310889887, 382617477091720437922605336386/310889887, 34711986038927284544335643004/310889887, 76446798847996735675968440541/310889887], [37473643514615793101823/77, 224875476296036486542988/77, 33488617122670026035596/77, 27216449017527172582467/77], [-257884525149959505172/310889887, -177160753044782308889/310889887, 12049550545420388102/310889887, 15641241449991048306/310889887]]], 0, 23592960, [], [] >,
< [ 1, -8, -7, 2, 1 ], [[-352/7, -512/7, 352/7, 160/7]], [ -825/7, 39/7, -43/7, 4/7 ], [ 4/7, -33/7, -39/7, -5/7 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [52/7, 68/7, -66/7, -2/7], [608/7, 38/7, 92/7, 10/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [568667850155147318/73653293, 10293784507440799/73653293, -16137439887632947/73653293, -3480345172059804/73653293], [492497165821/7, 650831344217/7, -190414248832/7, -100275030697/7], [10951646/73653293, 294333861/73653293, -26492633/73653293, -4/73653293]], [[0, 0, 0, 0], [226503080541110737507975050095/73653293, 229394070411378132882083756519/73653293, -21227844132806524323738668917/73653293, -19850110528099561834654413386/73653293], [234710537926098509791898/7, 142885247089708598878615/7, -81630709805618032530069/7, -30957486947623905131909/7], [2081700072609034267/10521899, 5480152056192015943/10521899, 6680032045562433163/10521899, 1222394945138449598/10521899]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1752/7, -258/7, 320/7, -20/7], [374/7, -58/7, 60/7, -2/7], [0, 0, 0, 0]], [[0, 0, 0, 0], [-235399711009664976/115740889, 91994870829215501/115740889, -41292152046404606/10521899, 1967441753988316/115740889], [-2798754016/77, 2721040881/77, -355051196/7, 264556935/77], [1314807628/810186223, -441640447/810186223, 236759808/73653293, 4/810186223]], [[0, 0, 0, 0], [3702382162221242669988145662/73653293, 3563042583926326457880584062/73653293, -708039315447432355753443671/73653293, -471428783901222025654569357/73653293], [5823733708891959401/7, 5566111215961562001/7, -1266701478851491930/7, -786619623625956490/7], [-424975391116016158/10521899, -409247406850512230/10521899, 80287903503057811/10521899, 53824783937152129/10521899]]], 0, 23592960, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[1, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-37/2, -79/2, 141/2, 22], [-37/2, -73/2, 141/2, 23], [1/2, 5/2, -1/2, 2], [1/2, -1/2, -1/2, 1]], [[409/2, -6503, -2775/2, 1663], [-7501/2, -12175/2, -258, 2829/2], [-4567/2, -3801/2, 381, 380], [3343/2, -2316, -1497/2, 1257/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -5/2, 10, 7/2], [83/2, 53/2, 11, 5/2], [3/2, 2, 0, 0], [0, 0, 0, 0]], [[18603219, 35273360, -73985150, -8241744], [17362524/5, 123146706/5, -565196609/5, -132370877/5], [-7812687/5, -10941393/5, 18638202/5, -16785489/5], [-2, 2, 2, 0]], [[-1298848087/2, -2540387073/2, 2520996267/2, -319066144], [33183174503/10, -291336668913/10, -17436937334/5, 33450001068/5], [140730093/5, -5034323448/5, -1659358008/5, 1656801216/5], [1568, -1455, -1231/2, 419]]], 4, 2, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[1, 1, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, -1, -8, 19/2], [2, -1/2, -5/2, 8], [-1, -1/2, 5/2, -1/2], [0, 0, 0, 0]], [[102, 637/2, -273, -221], [-759, -3911/2, -397, 288], [70, 35/2, -35, -14], [2, -1/2, 2, 0]], [[406206, 2934261/2, -1487367/2, -1341217/2], [-7870381, -22448799, -1836352, 9905211/2], [453187, 573377/2, -245329/2, -89789], [15494, 10795, 12827, -6604]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, -2, 2, 5/2], [-12, -4, 7/2, 7/2], [-3/2, 0, 1/2, 1], [0, 0, 0, 0]], [[796098, 1397461/2, 125647, -912913/2], [-29808816, -30303737/2, 7098770, 4153315/2], [-17037408/5, 6229561/10, 7377943/5, -5538397/10], [-9/5, 13/10, -11/5, -1/10]], [[353063836378224, 687872416196502, -59612831837865, -166753276990494], [-11212232501482000, -18560206240225511, 415871262530707, 4282198090135649], [-5089277101466631/5, -3890326967486919/5, 627000020800806/5, 840277754147358/5], [-4067124363/5, -4214584617/5, 328574733/5, 251353584/5]]], 3, 3, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[0, 4, 0, -1]], [ -14, 3, -7, -6 ], [ 1, 3, -4, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-155907/2, -129565/2, -10567/2, 20], [3980968197/38134, 3308181619/38134, 135555435/19067, 81980/19067], [-1, 5/2, 0, 5/2], [260333/114402, 216323/114402, 17717/114402, -1/114402]], [[1976482132298, -7067049029349, -1736711472608, 3420511307625/2], [-4388685822647653/1658, 15692667651136957/1658, 1928657344138206/829, -3797290630680433/1658], [202740711/2, -170035903/2, 21399245, 61942173/2], [-47834765070/829, 171033422335/829, 42039335844/829, -41387169314/829]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 17/2, -27/2, -21/2], [-66, 1/2, -8, -19/2], [-1, 1/2, -1, -3/2], [0, 0, 0, 0]], [[-139257512, -270120994, 473924090, 327579250], [3688667986, -2454318913/2, -612786395, 793405159], [110325933/2, -44645250, 91954087/2, 46854738], [1/2, 0, -5/2, 0]], [[-12538762953869250, 101026936932316850, -159284385810165770, -126960423087038590], [2548574306499775757632259/247871, -283469662041924865442479/19067, -1231493756275814799454345/247871, 975493058384117511598392/247871], [2432592868875017660/13, -274362174518336650, -1427330194570032894/13, 794413725311400210/13], [652534806564340/743613, -4358485684820/57201, -16933259216372/743613, 259577020863640/743613]]], 4, 2, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[0, 2, 1, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11/2, 29/2, -39/2, -43/2], [10, 15, -31/2, -23], [15/2, -1, -7/2, -3], [1, -1/2, -5/2, -1/2]], [[271302, 1522233/2, -601077/2, -381259], [-12678, 270358, -272813, -532357/2], [-223080, -59891, 4453, -24337], [20300, 287245/2, -15515/2, -92945/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[201/2, 7/2, -15, 0], [-29907/26, 11/2, 4409/26, -109/13], [-106/13, 0, 29/26, -1/13], [0, 0, 0, 0]], [[14356146773, -25233341041/2, 7515729177/2, 812857659], [-2134338739817/13, 302814840813/2, -1280476954851/26, -213373761625/26], [-14969205482/13, 1095695896, -5164033497/13, -1905372947/26], [0, -1, 1, -2]], [[-190024622116559/2, -109716207395163/2, 33690505262793/2, 10204677600034], [14090017092030744/13, 578349787477675, -2572758760528998/13, -1359286949770597/13], [100224144263741/13, 4204158499136, -35694581076849/26, -9802226818135/13], [8037/2, 40185/2, 2736, -4104]]], 3, 3, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[0, 4, 0, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -13/2, 14, -5], [119/2, -42, -53/2, 35/2], [1/2, -5/2, -5/2, 3/2], [0, 0, 0, 0]], [[-2676233/2, 6626923/2, 4554469/2, 28794901/2], [826002861/2, -879593733/2, -521113141/2, 127465235/2], [14453073/2, -968841/2, 2239407/2, 234279/2], [5/2, 5/2, -1/2, -1/2]], [[-975314979635/2, -1439035004093, 1392636515487, 1906365423600], [-6975263869295/2, 37457877848271/2, -9864785955744, -25588344871245/2], [-143019651780, 97332324570, 306775552500, 13924942470], [-1350, 198807/2, 2719, -48515/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, -1/2, 3/2, -7/2], [908, 81, -83, 1/2], [-1, 1/2, -1/2, 0], [0, 0, 0, 0]], [[-100160585, -393236914797/2, -1248071351/2, -391371626469/2], [2151156866103810/13, 68037243157174, -661697363394271/26, -147472654313410/13], [-5102730325241/26, -1196577119/2, 1337524421/26, 2803692247/26], [61/26, 2, 29/26, -1/13]], [[-2457704758672638017345/2, -3789144731619331425641/2, -2036425996962162870145, 4784158372192695260851/2], [-9514676319077262399810833/13, 7758971876053790103408651/2, 8163722325708155430274133/13, -25398391393246542937574423/26], [15450814266637389139766/13, -4650299859676697478692, -5529684031945683279616/13, 13659777189606266479036/13], [-1537573567/26, 77519897202, -380873954/13, -250011160941/13]]], 3, 6, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[2, 2, -1, -1]], [ 1, 4, -8, -2 ], [ 1, 1, -14, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2483/2, 189/2, -1537/2, 13/2], [-650713/146, -56105/146, 406713/146, 542/73], [-10009/46, -935/46, 3074/23, 91/46], [1649/1679, 410/5037, -3074/5037, 1/10074]], [[7741591847/2, -407022589, -2368322985/2, 240070600], [-2023548087577/146, 101890020887/73, 618691132167/146, -61413474998/73], [-15593473491/23, 1406019707/23, 4731782083/23, -1797126911/46], [15403077835/5037, -1563524995/5037, -1568942545/1679, 1876779775/10074]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, 5/2, -3/2, -5/2], [89/5, -74/5, 87/10, 11/10], [8/5, 19/10, -8/5, -3/10], [0, 0, 0, 0]], [[-60569325/2, 16322197/2, 35945157, -10246211/2], [165566616567/730, -131615560466/365, 73338057304/365, -36741142451/730], [1937527922/115, 391055551/230, -3177726627/115, 1392693369/115], [-1589/5037, 2948/5037, -1963/5037, -1/10074]], [[76111459985250, 80427160667054, -22242268952047/2, -38958405481419/2], [-632984463578136763/730, -527840342691215997/730, 58030700279498279/365, 105892193310157049/730], [-9101834785979578/115, -42284198899589009/230, -611930210730612/115, 5031478266281359/115], [2629912410/1679, 3334504680/1679, -271008510/1679, -703612620/1679]]], 4, 4, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, -8, 4, 8], [-2, -6, 10, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-134, 364, 82, -96], [-1276, -3886, -174, 928], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-188/5, 158/5, -352/5, -36/5], [14/5, -24/5, 46/5, 8/5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-11/5, 1/5, -4/5, 3/5], [-2/5, -3/5, 2/5, 1/5], [1, 0, 0, 0]], [[0, 0, 0, 0], [-7776374/5, 1151534/5, 496574/5, -1122778/5], [712792/5, -187172/5, 17948/5, 156404/5], [0, 0, 0, 0]]], 0, 16320, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[16, 16, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [18, 14, -20, -12], [2, -8, 10, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [6519808, 11675736, -111560, -2655306], [1779072, 1305376, -282500, -290636], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [18, -4, 14, -4], [-20, 6, 8, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-15041163020, -9339782524, 6314496104, 71497883], [60271351786/5, 9853476649/5, -2214262361/5, -3329908813/5], [-2/5, -33/5, -33/5, -4/5]], [[0, 0, 0, 0], [1205427556508343708, -2391140930573397906, -800111587858282472, 705577975761604220], [-6131573484678455052/5, 11080729189205754102/5, 2725818357028985012/5, -2779329283626649874/5], [-1304226846/5, -1353450384/5, 133006536/5, 88342488/5]]], 0, 65280, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[0, -64, 0, 16]], [ -14, 3, -7, -6 ], [ 1, 3, -4, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 10, 0, -10], [-4, 4, 8, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1197463672/19067, 730685164/19067, -560984222/19067, 124469295/19067], [-296957, -229994, 87199, -473], [-299963/57201, -234008/57201, 88585/57201, -5/57201]], [[0, 0, 0, 0], [663783154748187638/19067, -56041567501847130/19067, -392014267924607982/19067, -72188983296779070/19067], [-164192520522716, -6622876355546, 96230325445978, 25047016925452], [-165395479919912/57201, -6729577020020/57201, 96473250517954/57201, 24973690360390/57201]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-218, -44, -14, -26], [-2, 10, 2, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [212540942294524003/247871, -49015943271418646/19067, -143527024698463487/247871, 162311694612157690/247871], [514963050422/13, -164277120, 20379436901/13, -23164593412/13], [-240518/743613, 215044/57201, 4333609/743613, 4/743613]], [[0, 0, 0, 0], [-260237331712638623600056529446/247871, 18942779059062008597318719817/19067, 101357183554600271463996990388/247871, -70858707584465628677066086845/247871], [-307356133213341489183726/13, 33373684108392188238258, 143575266741231481065498/13, -113636849200267951197855/13], [440235404727379322/743613, -25991978884723894/57201, 352970340645343346/743613, 430444654565630261/743613]]], 0, 130560, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[0, -32, -16, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 10, -8, 6], [-80, -6, -10, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 1], [2, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-10150514, -298316696, -65988686, 44210392], [3010772284, 593051188, -546196128, 42838912], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [45034/13, -8, 6492/13, 560/13], [666/13, 0, 92/13, 8/13], [0, 0, 0, 0]], [[0, 0, 0, 0], [153/13, 1, 12/13, 5/13], [2/13, 1, -8/13, 1/13], [1, 0, 0, 0]], [[0, 0, 0, 0], [-455489973488/13, 1924868601232, 13061083144320/13, 573841523552/13], [-6039169220/13, 28557735100, 190758025950/13, 6563364740/13], [0, 0, 0, 0]]], 0, 97920, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[0, -64, 0, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-98, 58, 32, -32], [10, -10, -8, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [7, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-83936, -372678, -32190, 87020], [-290, 9712, 2320, -1594], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2394, -106, 16, -86], [-10, -10, 2, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-629988939827484265/13, 30739825242682345, 228205949333361306/13, -128326431228260760/13], [-1964686630406168/13, 1384604231432, 15534828081875/13, 582695899198/13], [-47/13, -1, 19/13, -4/13]], [[0, 0, 0, 0], [-107478102578048474745182/13, 21733417123661953914277, 59232632667659807238031/13, -75567441143384745721573/13], [-76129262852215139578/13, 112544967896891522037, 161344737561193467117/13, -492611217772059213294/13], [91826/13, 2638810, -92822/13, -8576233/13]]], 0, 391680, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-32, -32, 16, 16]], [ 1, 4, -8, -2 ], [ 1, 1, -14, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, -2, -8, 8], [-8, -6, -4, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [31146947/73, 24265802/73, -9737809/73, -7885781/73], [104425306/23, -42930498/23, -35287042/23, 13253455/23], [5277/1679, 1705/1679, -2272/5037, -4/5037]], [[0, 0, 0, 0], [285240139630/73, -464010887654/73, 1061989026949/73, -404841726533/73], [2218085728765/23, -1999195450535/23, -548975664077/23, 435768712545/23], [109201253/1679, -34648376/1679, -57258724/1679, 22982782/1679]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-384/5, 44/5, -6/5, 12/5], [42/5, -2/5, -2/5, 4/5], [0, 0, 0, 0]], [[0, 0, 0, 0], [17815189084/365, -38616195689/365, 17644771401/365, -450964272/365], [-676915147/115, 1228481697/115, -113862038/115, -317376289/115], [9774/1679, 10816/5037, 387/1679, 5/5037]], [[0, 0, 0, 0], [-3427441819301397217/365, -2092591249600792303/365, 959632982719959797/365, 274754351443544386/365], [114947457395573496/115, 73113942792465804/115, -25140758559363771/115, -13498215864447093/115], [8617873219638/1679, 30660527740971/1679, 1797643469331/1679, -7380272197227/1679]]], 0, 261120, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[1, 10, 1, -2]], [ 1, 4, -8, -2 ], [ 1, 1, -14, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1611/2, -2945, -3559/2, -19], [-207749/73, 1548613/146, 455769/73, -1325/73], [-3155/23, 11738/23, 14021/46, -24/23], [3178/5037, -23545/10074, -13975/10074, 1/5037]], [[2354762321/2, 8423101041/2, 243159148, -2030036233/2], [-306587328777/73, -1096896289734/73, -63361239603/73, 528708398905/146], [-9348603527/46, -16714459124/23, -1930302615/46, 4028306394/23], [4672953676/5037, 33436833491/10074, 965711806/5037, -8058460171/10074]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, -1/2, -1/2, 0], [-14/5, -37/10, 3/10, 2/5], [-1/10, 3/5, 1/10, -1/5], [0, 0, 0, 0]], [[1339, 1603, -6781/2, -31/2], [1201749/73, 1433234/73, -6089239/146, -3033/146], [-5307/23, -12651/46, 26889/46, 3/46], [1769/1679, 4217/3358, -8963/3358, -1/3358]], [[3328104817, -657201015, -990776249, 274927173], [2994248396174/73, -593814178453/73, -891679327009/73, 248029163997/73], [-13228756901/23, 2629008676/23, 3940188004/23, -1097202146/23], [13228756901/5037, -2629008676/5037, -3940188004/5037, 1097202146/5037]]], 1, 40, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-16, -160, -16, 32]], [ 1, 4, -8, -2 ], [ 1, 1, -14, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, -10, -2, -10], [-4, -4, 6, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-22064952/73, -9169033/73, -3599926/73, -3886903/73], [7523366/23, -11694620/23, -3103517/23, 3205308/23], [-31001/5037, -24248/5037, -28025/5037, -5/5037]], [[0, 0, 0, 0], [5794694264466240/73, -4790609754198233/73, -2162237400754753/73, 1344038366050891/73], [-2989213582486343/23, 3505121582498422/23, 1290124432887640/23, -984980741571028/23], [8369760374605/5037, -5137349229026/5037, -4230151835315/5037, 2059867723312/5037]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [136/5, -286/5, -236/5, -18/5], [-28/5, 48/5, 28/5, 4/5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-353112719/365, -742108016/365, -402170051/365, -49753443/365], [18680382/115, 20996768/115, 15119098/115, 5004849/115], [37897/5037, -1757/5037, -17876/5037, 4/5037]], [[0, 0, 0, 0], [-10642659623275/73, -21812941621453/73, -1256534201168/73, 4296470418298/73], [24083070835, 29652378362, -386216616, -5036307001], [188708414/219, -57971737/219, -43763581/219, 10820900/219]]], 0, 2611200, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-2, 3, 2, 0]], [ -14, 3, -7, -6 ], [ 1, 3, -4, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3523/2, -41708, 44843, -16], [-89419965/38134, 2131366625/38134, -1145771361/19067, -49558/19067], [5/2, 3, -5/2, -2], [-5857/114402, 69682/57201, -74918/57201, 1/57201]], [[28456345403/2, -78261092417/2, -259858731/2, 11395549595/2], [-726296147735829/38134, 1999497362063131/38134, 6706585712183/38134, -291185963317845/38134], [4293870, 7922460, 50085, -1770300], [-23753349320/57201, 130733693813/114402, 439080785/114402, -19037683099/114402]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-39/2, -91/2, 63, 47], [-114, -31, 143/2, 95/2], [-1, -3, 17/2, 11/2], [0, 0, 0, 0]], [[24800352, 1536267615/2, 581095909, -208801751/2], [-20976086558190115/247871, 3490006203203921/38134, 4412713799316801/247871, -8895388478292213/495742], [9252242226/13, -44883279, -162838076/13, -76972893/13], [120259/1487226, -393527/114402, 589727/743613, -1/743613]], [[18317710850600677741, 88936812860584213514, -39822200921800791565, -49304209994400724982], [-1690736945742816459724005114/247871, 138892368126627992674233993/19067, 660422371782723896241363912/247871, -505019107849305567663540054/247871], [705667835287114240739/13, -16830350871524252122, -291047590087248832655/13, 27073370053272887027/13], [7534548516361520/247871, -4165152146375872/19067, 4797003857551136/247871, 19823895735240560/247871]]], 1, 12, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[2, 3, -1, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/2, -11/2, 11/2, 11/2], [9, -71/2, 43, 29], [-7/2, 1, 5/2, 3/2], [0, 0, 0, 0]], [[581479/2, 446177, 15679/2, -974023/2], [17827842, 70401807/2, -6525231, -15414911/2], [-1015362, 25759/2, 1260261/2, -663147/2], [-3/2, 1, 0, 3/2]], [[-326608906833/2, -535563053595, -55533343155/2, 128348447262], [-15032617993876, -49245913911476, -5083582790279/2, 23627164172407/2], [308725843443, 1016193949167, 52839022221, -243910135140], [-14553/2, -12768, 567, 7119/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-369/2, -59/2, -3/2, 3], [-12031/13, -122, -1395/26, 127/13], [385/26, 3/2, 10/13, 2/13], [0, 0, 0, 0]], [[-2383625381733524, -294472834802429/2, 113753319581791/2, 73676899834077/2], [-311413704651021333/26, -889581052878399/2, -3375951343486507/13, 2434206258861745/13], [2496821959101391/13, 2195528838506, 53090467133361/26, 12255386394185/26], [-5/2, -2, 0, -1]], [[-173751721740608529968861/2, -76019820818777650724249/2, 36588676613638523946313/2, 20431877369571559430087/2], [-11490982174851228178835093/26, -193245425723550236032928, 2427952584974378315657263/26, 1443740360500893733343105/26], [92176330222546221088185/13, 2958195168210033246797, -20525164506299963975874/13, -11220640224029740438164/13], [-114455355, -334485703/2, 53384091, 53191701]]], 1, 6, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-2, 3, 2, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-12, -32, 69/2, 57/2], [-287/2, -167, 471/2, 170], [-13/2, -3, 14, 17/2], [0, 0, 0, 0]], [[-1713401, -5248285/2, 1758392, 1001052], [66118129/2, -235222849/2, -21049989/2, 62879787/2], [4184481, -27195, -45339, 90300], [1/2, 1, 3/2, 3/2]], [[2782782301962, -4651853454412, -820936906945, 1476088676555], [-300833558795475, 318603913632979, 127098973343245, -88593394064204], [-17744829418365, 21648769244760, 7920388115220, -5958553181595], [-1254464, 1533808, 1360272, 190672]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11/2, -29/2, 14, 12], [1447/2, -107/2, 259/2, 87], [-1, 1, 11/2, 3], [0, 0, 0, 0]], [[-378853030305, -1133327795897/2, 373783818031, 366485839241/2], [-14885040106605635/26, 908165518687231, 2732792626065278/13, -2800014560008833/13], [12399626661889/13, 6405865205, -6516434219/13, -59383324384/13], [-7/26, -5/2, 27/13, 3/26]], [[6670268609054683009283, -700178791462585537663, 3705669334929826350957, 3775375882564121353614], [341325909934215490579174274/13, -34581745189171611555861428, -149262337311765276134957311/13, 123869929910999960130699109/13], [-490843485237769771216185/13, 14630296984948823357910, 181623123011911719136380/13, -46735929733227107692500/13], [-298105229103/13, 34272976001, 298572469349/13, 607710763/13]]], 1, 24, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[32, -48, -32, 0]], [ -14, 3, -7, -6 ], [ 1, 3, -4, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, 10, 6, 4], [18, 26, 26, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [288427648755/19067, -454599418234/19067, 199013408522/19067, -7478493093/19067], [-29233947, 52199373, 18048756, -12440838], [-108545/57201, 261043/57201, -78968/57201, -2/57201]], [[0, 0, 0, 0], [-3230439195253881406/19067, 67036939074623392/19067, 1544489305115550235/19067, -267633187443693363/19067], [-21002744219473, -1060974147302851, -108544945095649, 279768172780136], [131328681857/19067, -1121936058349/19067, -246811851823/19067, 331148964440/19067]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [158, -46, -38, -4], [-10, 12, 10, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1289422350105152/247871, 505898039852688/19067, 497078677402202/247871, -1394958113181251/247871], [13133523005/13, -36847990, 135058865/13, -309231745/13], [-807419/247871, 3440/19067, -897499/247871, -1/247871]], [[0, 0, 0, 0], [6575201894287622464721603924/247871, -115508548464042222985720676/19067, -1736445541907700835607808740/247871, 552226887613048908784743312/247871], [-15424669777998857593540/13, 3252289082837652844340, 7353979250963079691130/13, -11743449942816077097130/13], [1661605406884948468/743613, -981856611785886368/57201, 1369906053329774344/743613, 4764288305015753596/743613]]], 0, 783360, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-32, -48, 16, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, -4, -68, -40], [-16, -4, -8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [5, 1, 0, 1], [2, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-2839550, -2723650, 869250, 695400], [-2467088, 1303074, 121882, -71166], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-44956/13, -558, -8182/13, -612/13], [-770/13, -8, -118/13, -8/13], [0, 0, 0, 0]], [[0, 0, 0, 0], [153/13, 1, 12/13, 5/13], [2/13, 1, -8/13, 1/13], [1, 0, 0, 0]], [[0, 0, 0, 0], [-1400657019076004/13, -166295063325404, 734566334062006/13, 746555735478338/13], [-23345638255896/13, -2689895391036, 11730523316232/13, 11790671017836/13], [0, 0, 0, 0]]], 0, 391680, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[32, -48, -32, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, -2, 12, 8], [-20, 8, 10, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [7, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [68824, 310968, -78542, -137680], [126000, -289380, -137760, 86940], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1898, -8, -384, -236], [10, 0, -38, -24], [0, 0, 0, 0]], [[0, 0, 0, 0], [-116437649222339181/13, 16432453357350728, 51127407949851243/13, -52784009014302681/13], [637375010893386/13, -159403004265, -765379503794/13, 2084082879040/13], [-23/13, 3, 1/13, -5/13]], [[0, 0, 0, 0], [-47322685596252918507996176/13, 15851833138802479716632752, 46402914293061338401660928/13, -48216139818628784167149214/13], [514694423616167226240534/13, 42242655107593690074188, 484526590664921086410864/13, 177009377933735460224214/13], [-15284711904/13, 1781904908, 15138974424/13, -145204108/13]]], 0, 1566720, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[0, -5, -1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7/2, 4, -23/2, 4], [-23/2, -5, -18, 5/2], [-2, -2, 5/2, -1/2], [0, 0, 0, 0]], [[-69423/2, -92473/2, 170827, -126619/2], [-82587, -196107, 554999/2, 12605/2], [5987, 4175, -34588, 26689/2], [-5/2, 5/2, -1/2, -5/2]], [[30369671, 766177639, -550491723/2, -29503942], [77449425/2, -20469721909/2, -1644570517, 2847499731], [-18614547/2, -1890630161/2, -104032699/2, 203760954], [-1045053, 861623, 387859, -252237]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, 19/2, -13/2, -3/2], [-2, -13, 5, 17/2], [22, -5/2, -3/2, 2], [0, 0, 0, 0]], [[-415014040, 1643388239/2, -1188080885/2, -56655380], [-162825923, -2445049529/2, 475960397/2, 688539148], [11677239083/5, 4561101899/10, -1709983331/10, -123479684/5], [-16/5, -13/10, -23/10, -2/5]], [[-127190774258114646, 214549954837509366, 57820958023191825, -82936086146414329/2], [126982735294957143, 205291738203633863, -52000875228480834, -134768046275215253/2], [780794034459590892/5, -6828907409966555547/5, -1154514270885467037/5, 3362513705244398723/10], [-60660939/5, 12905264244/5, 2275393719/5, -5511617101/10]]], 1, 6, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[1, 6, 0, -2]], [ -14, 3, -7, -6 ], [ 1, 3, -4, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[76, 5747, -1531, 1], [5729759/38134, 437454919/38134, -116283473/38134, 68787/38134], [-2, -2, -1/2, 1/2], [374/19067, 28255/19067, -15017/38134, 3/38134]], [[3196877579/2, -1067296929, -1582646495/2, 612988531/2], [121703392177909/38134, -40618144076764/19067, -60261520008371/38134, 23313074287277/38134], [910716, -1670226, -419862, 495552], [7857588606/19067, -10486802249/38134, -7780634701/38134, 1504919010/19067]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, 3/2, 9/2, 1], [15/2, -5, 15/2, -3], [5/2, 0, 1/2, 0], [0, 0, 0, 0]], [[-4169903/2, -17426001, -13567109/2, 739545], [-27713369128649/495742, 272409621761/19067, 18402805834657/495742, -2965767826241/247871], [-208574846/13, 486044, 56239842/13, -19121394/13], [-935031/495742, 24227/19067, -1701013/495742, -3/495742]], [[36944854535015483/2, 729093108963073603/2, 24612744006023393, -212858521366409389/2], [751052411052137131107723/495742, -49725767336845434106233/38134, -108683823679725891378354/247871, 160931575605963866859789/495742], [5933041555334385406/13, -267773034272860034, -2023455605333460162/13, 1009774845125512072/13], [42501580468101855/495742, -945527801853429/38134, -25776447656256801/495742, 3556795391372196/247871]]], 1, 8, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[1, 6, 0, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, -13/2, 7, -1/2], [163/2, 8, 38, 20], [1, 9/2, 1, 1/2], [0, 0, 0, 0]], [[-724718749/2, 857992503/2, -1611967501/2, 645893121/2], [-242445553569/2, 155190507290, 51764109750, -41350418460], [1293473751/2, -136882811, 38569062, -15471879/2], [1/2, 3/2, -1/2, -2]], [[-78326003596103/2, 148960151535315/2, 42058384173299/2, -40491577395153/2], [-12962739026943873, 27497429170333555/2, 5304923903337639, -3872196820869243], [87022606116397/2, -95466469155780, -49188179957951/2, 50669389217347/2], [-5864, -30780, 712, 10236]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, -7/2, -13/2, 17/2], [-340, -381/2, 470, 247], [-3/2, -3, 21/2, 9/2], [0, 0, 0, 0]], [[-623502263, 775993801/2, -1647979171/2, 759953551/2], [-6364550909949/13, 1062578111197/2, 5385904183579/26, -1926779243999/13], [12814309306/13, -6656588, 230918274/13, -248644120/13], [-31/13, -2, -19/13, -5/26]], [[9633884272818004843/2, -32062453757809598993/2, -15846721297354436454, 18273632490878440347/2], [58535055220897444720916/13, -11100601259804006231199/2, -25493223076733375209148/13, 39201518098522094389381/26], [-17405619846067380618/13, 28050456939694050596, 73563978863016313472/13, -111035367279743546420/13], [-553298469309/26, -127609134601, -966355882/13, 551375538145/13]]], 1, 12, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[3, 0, 0, 0]], [ 1, 4, -8, -2 ], [ 1, 1, -14, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4099/2, 3571/2, 447/2, 14], [532339/73, -944789/146, -51218/73, 1221/73], [8102/23, -7188/23, -850/23, 59/23], [-8125/5037, 7165/5037, 827/5037, -1/3358]], [[92567864843/2, -21658906978, -13997896378, 14344783457/2], [-12073959074093/73, 11357832315001/146, 3672651046652/73, -3735720867163/146], [-366631345169/46, 174630354195/46, 111942671137/46, -57281311039/46], [183969453806/5037, -86456103074/5037, -55878787030/5037, 9497889910/1679]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/2, -19/2, 13/2, 13/2], [-331/10, -399/10, -22/5, 34/5], [-1/5, 27/10, 17/10, 1/10], [0, 0, 0, 0]], [[2345268, -12238437/2, 3977558, 1608252], [1496643290/73, 10379017036/73, -16239090930/73, 9729817651/146], [-27312197/23, 71104001/46, -162153303/46, 81795247/46], [18829/10074, 13/3358, 181/3358, -1/5037]], [[527922016376353/2, -338981636173805, -25105741448531/2, 119270255305543], [-280409029316094957/146, 429229171110841272/73, -186067019768872241/146, -33661239814756818/73], [-3323968583884164/23, 1583758852212055/23, 287244897572304/23, 292430422993427/46], [245243872533/1679, -28612446805/1679, -53731243538/1679, 35022406471/3358]]], 1, 16, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[0, 80, 16, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-14, -6, -4, 0], [-12, -10, -10, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-4988880, 20962890, 4291716, -5139186], [-2447572, 21365448, 3825988, -4956996], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, -6, -10, 2], [-128, 0, -8, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [2023156817, 248376539, -15537905, -83719972], [-5372899729, 106494872717, 18107079610, -26874207492], [0, -2, 5, 0]], [[0, 0, 0, 0], [26296304546022784, -438417941780811593, -65991779180796693, 109727850636600576], [-27504650816818384134/5, -40729590921310995766/5, 1906592655812398944/5, 9241211031200287567/5], [44437878/5, -1407111093/5, -246357963/5, 302690691/5]]], 0, 130560, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-16, -96, 0, 32]], [ -14, 3, -7, -6 ], [ 1, 3, -4, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, -2, 4, -8], [4, -10, -4, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [9010364993/19067, -55591478754/19067, 5087573591/19067, 10586066944/19067], [1021690, 336630, 68563, -17702], [63058/19067, 51306/19067, 92635/19067, -2/19067]], [[0, 0, 0, 0], [10379063312519562409/19067, -16506385667518764643/19067, -5224801820964849790/19067, 4605140968602802862/19067], [445927508854755, -268794113568777, -156964114224966, 84190885962891], [30492813910755/19067, -5614681697577/19067, -9510862851366/19067, 3149541638091/19067]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [70, 10, -12, 10], [-8, -2, 2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-251164306305/247871, -184912990707/19067, -2393116109905/247871, 24648879455/247871], [865714/13, 603768, 9292419/13, -555299/13], [-63806/247871, -72828/19067, -897499/247871, -1/247871]], [[0, 0, 0, 0], [-157658243453387899559/247871, -10492559562066935540/19067, 22126301712319017703/247871, 22339866015607430102/247871], [464549479034622/13, 44041746787452, -51886641925445/13, -101156497546796/13], [-73564184946078/247871, -2717944586004/19067, 13956850864053/247871, 4004179045044/247871]]], 0, 522240, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-16, -96, 0, 32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 8, -6, -6], [42, 2, 8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 0], [-6, -8, 0, 2], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1404, -94, -36, 40], [-8, -10, -4, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [789203481526/13, -41636992315, -164830020024/13, 186167976874/13], [3747153685/13, 24548887, -65708573/13, -114156535/13], [-71/13, -2, 11/13, -3/13]], [[0, 0, 0, 0], [-29429190443102104/13, 85695866944916088, -167948647795838656/13, -398135053344556628/13], [1172852426212036/13, 638237999841164, -1017411103725840/13, -2036524034096722/13], [-30111712/13, -13720096, 8182592/13, 64233536/13]]], 0, 783360, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[48, 0, 0, 0]], [ 1, 4, -8, -2 ], [ 1, 1, -14, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, 2, 2, -8], [0, -4, 0, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-126001586/73, 120191037/73, 58967837/73, -40023042/73], [10923049/23, -22421765/23, -2491298/23, 3785157/23], [16970/5037, -2512/1679, 2609/1679, -1/5037]], [[0, 0, 0, 0], [1328954994216111/73, -1991310825174184/73, -612590946787101/73, 543562119001648/73], [-209190824402330/23, 31126090752267/23, 63621686030056/23, -14225207776570/23], [-66982869550/5037, 594085761449/5037, 90588728410/5037, -158034750887/5037]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-316/5, 306/5, 16/5, 28/5], [38/5, -48/5, -8/5, -4/5], [0, 0, 0, 0]], [[0, 0, 0, 0], [18844710667/365, -63376893642/365, -2043740907/365, 13032361499/365], [-1369979486/115, 520613486/115, -50650414/115, -61622057/115], [-22547/5037, -1705/1679, -362/1679, 4/5037]], [[0, 0, 0, 0], [1815111844188001/365, -2955933249387961/365, -693666608151866/365, 675733710413067/365], [-87758165423963/115, 69652414117693/115, 26454218272908/115, -14904480943366/115], [-1321978399/5037, 194735483/1679, 149658027/1679, -107585287/5037]]], 0, 1044480, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[0, -6, 0, 3]], [ 1, 4, -8, -2 ], [ 1, 1, -14, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-6343/2, 1241/2, 23/2, 10], [5833/2, -1217/2, 33, 27/2], [1093/2, -108, 1/2, 3/2], [-5/2, 1/2, 0, 0]], [[4328132467, -20094107579/2, -2852524314, 2562588677], [-293743393426/73, 1347219324573/146, 394157481113/146, -338593254829/146], [-34411816021/46, 39776029661/23, 22970590111/46, -10044591438/23], [11498315265/3358, -26574675049/3358, -3810387982/1679, 6744787419/3358]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7, -5, 17/2, 11/2], [-427/10, -263/10, 21/5, 61/10], [13/5, 19/10, 7/5, 1/5], [0, 0, 0, 0]], [[-52583756, -44628838, 118805313/2, 105072571/2], [-22341308656/73, -16586845889/73, -12677379195/146, 14803934359/146], [379839314/23, 617622539/46, 1343232229/46, -221830851/46], [1949/1679, -10855/3358, -10099/3358, -3/3358]], [[14211522495092704, -18678591911118241, -6036159020846836, 5669945493776215], [36192594404097230032/365, -53927374389341609937/365, -18220730048839433767/365, 15256639172765389374/365], [-700684460219184121/115, 1118134556167101281/115, 412526883059672686/115, -322780875593319392/115], [-1452328741528/1679, 1294901618948/1679, 511669850748/1679, -380473420516/1679]]], 1, 160, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[0, 96, 0, -48]], [ 1, 4, -8, -2 ], [ 1, 1, -14, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, -2, 0, 4], [10, -10, -2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [169924755/73, 559735188/73, 30010828/73, -134026573/73], [-747075/23, -777468/23, -395855/23, 194485/23], [4857/1679, -7575/1679, 568/1679, 1/1679]], [[0, 0, 0, 0], [-4410558973760629/73, -14383290981233693/73, -738010754503581/73, 3448789085095170/73], [4549071369830/23, 46322004365320/23, 5245802264635/23, -11076825171765/23], [100035017940/1679, -92138010745/1679, -34802660695/1679, 26511652915/1679]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-90, -2, 16, -8], [8, 0, -2, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [229231198/365, 18517121622/365, 2682993357/365, -5445486249/365], [81539291/115, -403740991/115, -525673711/115, 345216117/115], [4317/1679, -3436/1679, 2272/1679, 4/1679]], [[0, 0, 0, 0], [346937560779026/73, 44909233313770/73, -129981790367212/73, -23897035141266/73], [-10272811654496/23, -2701816396434/23, 5274794881048/23, 1802356498494/23], [-1294400562/1679, 1649688768/1679, 774613476/1679, -331200870/1679]]], 0, 10444800, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[3, 5, 1, -1]], [ -14, 3, -7, -6 ], [ 1, 3, -4, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-26117/2, -16065, 5105, -11], [-994461839/38134, -1221452317/38134, 195253658/19067, -152779/38134], [-17, 0, 0, -3/2], [-64180/19067, -78870/19067, 50451/38134, -5/38134]], [[-6237424929023, -174044838602017/2, 24233631433031/2, 37974762901365], [-463998105856771773/38134, -3301183203994345677/19067, 449586916263804187/19067, 1436113403314410493/19067], [25196971017/2, -112690804247, 21460892265, 50255764615], [-29941982208840/19067, -425983264443152/19067, 57903696332872/19067, 185269147202152/19067]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, 11, 12, 7/2], [249/2, -7/2, -35/2, 35/2], [27/2, -1/2, -5/2, 3/2], [0, 0, 0, 0]], [[-285565/2, 37198397, -3768111, -4605122], [869567013/2, -441088179/2, -240063850, 110741520], [91300263/2, -25033209, -48065811/2, 11224980], [-5/2, 2, -2, 0]], [[9801230353458165369/2, 21474689108910181101/2, -1494095493345989427, -6607326641831516691/2], [-10020135349870891486265991/495742, 4662060544079907275243865/38134, 10223637874730763443773885/495742, -7561973390959010671755612/247871], [-63996543317893725405/26, 24285415812215148495/2, 67923623587211021835/26, -36516221066175928830/13], [-95218844628929040/247871, -43036146908766972/19067, 240082270889745204/247871, 309949107231182832/247871]]], 1, 48, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[3, 5, 1, -1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5/2, 5, -7, -9/2], [38, -67, 171/2, 141/2], [-5/2, -3, 13/2, 4], [0, 0, 0, 0]], [[19886623/2, -54138834, 145589331/2, -11730725], [6449058223/2, -24696275939/2, -3462696733, 6899353089/2], [-204218447/2, 3009759/2, -6925108, 1272036], [-1/2, 0, 1/2, 1/2]], [[163133115215281/2, 810106967703945/2, -34690642359753/2, -147385151713071/2], [-119016040333466692, -718359519290536359/2, -15485058336185635, 85572092415435868], [-3173410462544775/2, -5654104586585040, -628031173580675/2, 2702953797454045/2], [1175654, 1891814, 362795, -415411]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, 11, -14, -9], [-1183, -505/2, 267, 425/2], [-9/2, -25/2, 12, 19/2], [0, 0, 0, 0]], [[417003990987/2, -1454477633195/2, 840923762451, -237267338821/2], [39782715721315331/13, -4540311602846683, -34542277193473293/26, 31027165053562143/26], [-20322919073814/13, 5700498059, 64333405290/13, 182088197753/26], [-3/26, -5/2, 51/26, 5/26]], [[-807001753235158351849/2, 2283738915244138951366, -134659650906583919923/2, -555866169477127731457], [-246277239504813047346939125/26, -139606717628142740501617, 32332158972938992680266693/13, -6878453649783717848505283/26], [-35268854329123750924436/13, -19946062888174346285567, -43174115929088940323803/26, 128704895691982413582685/26], [-46806798224/13, -6012188696, -15858603992/13, 15465447632/13]]], 1, 48, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-48, -80, -16, 16]], [ -14, 3, -7, -6 ], [ 1, 3, -4, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 10, 10, -10], [10, 18, -10, -12], [0, 0, 0, 0]], [[0, 0, 0, 0], [-340429994200/19067, 18612347139/19067, 101235274741/19067, -4447572282/19067], [-28067977, 11052913, 12128033, -1995537], [-82873/19067, 25653/19067, 93985/19067, -1/19067]], [[0, 0, 0, 0], [12010652148118950052/19067, 53106754525086892058/19067, 3760061592328357528/19067, -12878088959001235236/19067], [453332077795124, 2728501038524432, 234190906752800, -672629217902280], [-503365849600/19067, 1773017093640/19067, 509139411520/19067, -635029710440/19067]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [230, 6, 14, 32], [-82, -2, -4, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [122732270689182626/247871, -108760872152398/19067, -9325395046067935/247871, -3621909094999284/247871], [-2241517796958/13, 10279180629, -9667865982/13, 131363186735/13], [-191418/247871, 29387/19067, -1453142/247871, -3/247871]], [[0, 0, 0, 0], [-91901809103456303040871975/247871, 58151296131976879293105870/19067, 72118906676536071613283066/247871, -224252440596188921630331149/247871], [1852410948497152783845/13, -1059155757047254432209, -1541965002084774167866/13, 4003346776394817870220/13], [-4566880729563675/247871, -1168050011968425/19067, 12815266637040230/247871, 11500238504742460/247871]]], 0, 3133440, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-48, -80, -16, 16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-76, -10, -4, -4], [212, 10, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7, 1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-706749296, -1138479324, -220537730, 240000014], [1876630636, 2790050122, 573462610, -746874956], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [170, -138, 338, 226], [18, 48, -114, -78], [0, 0, 0, 0]], [[0, 0, 0, 0], [-497818160751/13, 25481122129, 356595866011/13, -184656921203/13], [14489350389/13, -50044594, 689992067/13, 812827337/13], [44/13, -1, -72/13, -4/13]], [[0, 0, 0, 0], [-88404309395278426618/13, -188851262277246841892, -190852447985304475228/13, 557509671069070773734/13], [64169945364014490550/13, 20698468229409913900, 21558673269194170600/13, -65080142317612658650/13], [-92664046760/13, -11822851280, -31498878740/13, 30408383480/13]]], 0, 3133440, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[0, 4, -1, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 11/2, -19, 7], [81/2, 29, -59/2, -15/2], [15/2, 5/2, 3/2, -5/2], [0, 0, 0, 0]], [[-30650628, -101312935/2, 20017199/2, 18926593/2], [161328022, 316453481, 43964393, -104084393/2], [39466378, 149481463/2, 1295095/2, -15268512], [1, 2, -1, 0]], [[-27773264069/2, 19053750302, 29526394039/2, -184539683], [-60237085991/2, -334443061742, 193643837414, 214202059252], [6920248681, -92454522511/2, 6781843663, 20207126118], [106, -1549/2, 119/2, 279]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 12, -31/2, 1], [123/2, -37/2, 19, 12], [45/2, 5/2, 5/2, 0], [0, 0, 0, 0]], [[820840, 3348445/2, -278425, -252215], [-23784602, -138766621/2, -2630379, 16353953], [-47143544/5, -281640997/10, -5717751/5, 33380207/5], [8/5, 29/10, 7/5, 1/5]], [[-117044843979/2, 262711371489/2, 166276418963, -96881323082], [-1188049911111/2, -9025243897733/2, -578142629274, 1190903073116], [-578945068297/2, -3530240941189/2, -200751889583, 454161319314], [20081/2, 1523821/2, -240505, -406290]]], 1, 10, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[0, 4, -1, -2]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[8, 7/2, -9/2, -3/2], [-25, 11, -56, -85/2], [-8, -3/2, -3/2, -2], [0, 0, 0, 0]], [[-83558639, 62419365/2, 58144592, -46034999/2], [443920055, -107055145/2, -176999235, 189774111/2], [94267405, -73612355/2, -33726264, 32610513/2], [1, -3/2, 0, 1/2]], [[115706265045/2, 257119673212, 4919566206, -54549305734], [-1304201781177/2, -2471707925337, -51293666686, 606061150078], [-183461229867/2, -384406212932, -20671823618, 93409055674], [85/2, -1028, 126, 506]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, -2, -1/2, 1/2], [-41/2, 24, 15/2, -4], [-15/2, 1, 2, -1/2], [0, 0, 0, 0]], [[-9679/2, 14047/2, 336, -248], [40316, -193353/2, 42165, 48801/2], [61208/5, -298561/10, -71141/10, 35071/5], [-7/10, -23/10, 7/10, 1/10]], [[-3322534835/2, 4167264761/2, 581943429, -670106496], [39820531759/2, -32962964495/2, -12797578014, 1962835926], [49721871403/10, -60403525713/10, -9978214109/5, 8808583248/5], [121149/10, -649719/10, 4053/5, 141624/5]]], 1, 10, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[2, -1, 1, 1]], [ -14, 3, -7, -6 ], [ 1, 3, -4, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -4, 10, 15/2], [1/2, -9/2, -6, 7/2], [1/2, 5/2, 1, 1/2], [0, 0, 0, 0]], [[12850, 25071, -1259/2, -13059/2], [2077154276/19067, -2337518127/38134, -169025875/19067, 1284726979/38134], [-23069/2, 67023/2, 15081/2, -18375/2], [19815/38134, 28255/19067, 23117/38134, 3/38134]], [[55763572869/2, -15569777877, -9631355348, 10041714517/2], [23693285165316869/38134, -25245804517378443/38134, -9928008408131933/38134, 7018048013532267/38134], [-200243536953/2, 245233159149/2, 85957604823/2, -67689184029/2], [15582378287/19067, 6313199844/19067, -4782570009/19067, -2382661085/19067]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, -15/2, 17/2, 10], [-925/2, -2, -39, 65], [1/2, 0, -1, 2], [0, 0, 0, 0]], [[1130947785/2, 35451836491, 32425727054, -4942718451/2], [-20737112648561040835/495742, 442737269602265193/19067, 3672224888144770527/247871, -1837551610575502357/247871], [877547161849/26, -201747625, 14891407893/26, -14801635891/26], [-127612/247871, -81575/38134, -803514/247871, -2/247871]], [[4009900729641439448655, -8896613972196880195137, -1480153166242632077748, 5863629593677483897659/2], [16257820961498962244919038940745/495742, -1377484997545192470314246545251/38134, -3372718408246799925896892916488/247871, 5021893852102208127061622940859/495742], [-617700416985305499382895/26, 49268575356138906124057/2, 125747329952367242420510/13, -177875711387272541502545/26], [50769648140736360/247871, 3066506686462404/19067, -26835799277763960/247871, -23022154343044140/247871]]], 1, 24, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[2, -1, 1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 1, -4, 1/2], [-13, 91/2, -59/2, -34], [-1, 3/2, -1/2, -3/2], [0, 0, 0, 0]], [[-60275/2, -1225553/2, -9213/2, 123155], [57973, 25642009/2, 1746768, -6354027/2], [137971/2, 856586, 168609/2, -204961], [-1, -1, 0, 1/2]], [[79310777704, -954871107207/2, -140816004605/2, 112618724779], [-2046035180515, 21194028083185/2, 3655253440601/2, -2795196250467], [-63400605059, 1325213238081/2, 193413888937/2, -169258928408], [-805322, 779079/2, -844721/2, -425339]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11/2, 11/2, -10, 3/2], [1295/2, -388, -39, -265], [-4, -5/2, 0, -3/2], [0, 0, 0, 0]], [[-14435461488022, 7384510669515, -14431509904540, 7099609413310], [-119452158857290637/26, 6966564580736529/2, 41018086473478818/13, -18786741843698111/13], [282255510698348/13, -45869155230, -4599177961925/26, -807828331639/13], [61/26, 3/2, -23/26, -1/13]], [[-4983065138807662641363/2, -5261334231919947031797/2, 4570808633191671027375, 2414708774002456278174], [-7171389163408215409220961/13, -358577670375043597120636, 22822467679831751001815493/26, 7172997558414813699733594/13], [-8579651323863978683692/13, -5481371038902106227148, 72360788788138515715205/13, 64486921287085693968668/13], [2633155075/26, -107705633/2, 1423574743/26, 699978446/13]]], 1, 36, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[2, -1, 1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -9, 47/2, -15/2], [-169/2, -27, 49/2, 45], [-7/2, 1, -2, 5/2], [0, 0, 0, 0]], [[2804329/2, -4873773/2, 4618282, -3791207/2], [-110747061/2, 15691943/2, -3795248, -12029365/2], [-5460285/2, 2499671/2, -567625, -281841/2], [-3/2, 5/2, 2, -3/2]], [[-969980383681, 2214901238072, 1490868357303, -505978198775], [125138897957, -102201148562127, 9167133111076, 39334381521282], [425256588262, -4378897044961, 38747431804, 1619269510470], [945132, -528408, 390976, 446080]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-8, 3/2, -9, 6], [3113/2, 251, 871/2, 221/2], [23/2, 3/2, 5/2, 1/2], [0, 0, 0, 0]], [[26394601321/2, -12681766124, 15701180087, -6057376652], [-72689517795497/26, 1464388462549/2, 1781294439194/13, -2878801972133/26], [-266690767513/13, 6253375139, 16379962525/13, -11556776225/13], [29/13, -3/2, 1/13, 3/26]], [[-165739049906325/2, -203759149478621/2, 140902726786139/2, 154528255257793/2], [81477463953277135/26, -7479690656781143, 567744062886786267/26, 389702452072801551/26], [420044685722504/13, -35508040175626, 1661692798748068/13, 1128779855802884/13], [-66346/13, 5635/2, -88151/13, -65023/13]]], 1, 36, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[3, 3, 0, 0]], [ 1, 4, -8, -2 ], [ 1, 1, -14, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1386, 3249/2, -547, -46], [-356400/73, -821017/146, 256599/146, 237/146], [-10669/46, -6098/23, 3393/46, -129/23], [10853/10074, 4165/3358, -646/1679, 5/10074]], [[-405299375, -2273667591/2, -86287443/2, 270925327], [211180195095/146, 296071464736/73, 11216621509/73, -141126290711/146], [3216412973/46, 4514601545/23, 171378879/23, -1076102497/23], [-536434870/1679, -1504215630/1679, -56990340/1679, 358503500/1679]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15/2, 7, -10, -15/2], [1513/5, 1159/10, 752/5, -103/10], [-23/10, -17/10, -27/10, -1/10], [0, 0, 0, 0]], [[-78990354156, 132513208433/2, 18684352321, -28447187493/2], [-1963455298847219/365, 1762040592655363/730, 233781187393663/730, -55381003533488/365], [4770996680482/115, -1439015514719/230, 1056960145151/230, -493291440276/115], [-8845/5037, 15482/5037, 1420/5037, 5/10074]], [[5872643610524439, -2911215140176349, -1715732909117861/2, 1586861750095172], [181579736590514050346/365, 161022577506965481113/730, -87460066892290948287/730, -31765904932759821121/730], [-992258913768849801/230, -451321335333072352/115, 101918414011620703/115, 214984320151628613/230], [-12562010600/1679, -31531644200/1679, 37206419300/1679, 29202645900/1679]]], 1, 48, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[0, -64, 16, 32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, -12, 4, -6], [-22, 2, -4, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1, -1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-284754, -1521662, -103364, 485340], [-82616, -2602404, -132904, 786648], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [204, -4, -2, -4], [190, 6, 6, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-71567522934, -392179505015, -30640951014, 94420008531], [-378690234101/5, -1966175283004/5, -152211993384/5, 473464250148/5], [-13/5, 13/5, 18/5, -1/5]], [[0, 0, 0, 0], [-10587613764397934, -45639579577916774, -3142904768085712, 11046240989325898], [-54868792987582588/5, -230035889667785272/5, -15351249476825272/5, 55761154698900664/5], [-48384/5, 3045504/5, -941696/5, -1669248/5]]], 0, 391680, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[0, -64, 16, 32]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12, 0, -2, -8], [-14, -2, 6, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, 3, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-12694, 9954, 3768, -3694], [-13494, 11154, 5304, -3198], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [54, 0, 0, 12], [22, -10, 4, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-295274049, -37797445, 54627003, 583125], [-664124849/5, 80761344/5, 283867139/5, -101512063/5], [-12/5, -33/5, -18/5, -4/5]], [[0, 0, 0, 0], [152964939182899808, -197227052302661390, -65058059490187584, 54457656728429870], [368841483252937982/5, -451317016838520602/5, -168105951221063632/5, 131492789460712684/5], [182599686/5, -6798914976/5, 1358688184/5, 3256768022/5]]], 0, 391680, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-32, 16, -16, -16]], [ -14, 3, -7, -6 ], [ 1, 3, -4, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, -6, 4, -2], [0, 4, -2, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [1967654063/19067, 23423924148/19067, 3283689015/19067, -6018208683/19067], [610315, -2399924, -561010, 628521], [6605/19067, -6586/19067, 1350/19067, 1/19067]], [[0, 0, 0, 0], [54245839750157/19067, 210382490188103/19067, 13896762233716/19067, -50532324878528/19067], [-2189689405, -15756519289, -1658745688, 3780114191], [20689731/19067, 9150687/19067, -5360976/19067, -1816353/19067]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [504, 140, -102, -32], [-6, -8, 6, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [104777567639357538/247871, -3537790894456677/19067, -34848745437356681/247871, 15579407885816744/247871], [-39058911169/13, -12453423, -1531717609/13, -1403009409/13], [1303161/247871, -60641/19067, 1393241/247871, 1/247871]], [[0, 0, 0, 0], [-3238025376307053339136889939/247871, 31219235797473917143025597/19067, 935646302860686754485369456/247871, -206459323962248410771898588/247871], [1445469499515663086889/13, 74623855673742614763, -386811913947191327328/13, -303904778489399862485/13], [-61893878910512777/247871, -2983021829392075/19067, 21903241941697680/247871, 20560824224061733/247871]]], 0, 1566720, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-32, 16, -16, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, -24, -38, 48], [-12, -2, 6, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7, -1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [601310, 5392620, -7910820, 1580660], [1421712, -1448040, 1184760, -105312], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [124, 22, -26, -98], [-34, 4, -2, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [157086547045879/13, 8021067045602, -400602599009727/13, 125426417351389/13], [-23989873772162/13, -81752453605, -364744251200/13, 79267657216/13], [-29/13, -3, -27/13, 5/13]], [[0, 0, 0, 0], [937238513902371194939262/13, -25206621760921279146016, -1121604519601240558610348/13, 344239438793954843741956/13], [-223880979791443252561096/13, 14042763606952291784530, 57985663599279207835790/13, -59510512341600276286334/13], [-189427512848/13, 7184241478, -91566071160/13, -92394964130/13]]], 0, 2350080, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-32, 16, -16, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-116, 6, 32, 0], [-44, -8, -8, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9, 3, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [20764293412, -7249723666, -7122949162, 1372264612], [7209389308, -2818644422, 1636014402, 1974667068], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3144, -56, -64, 94], [-14, -6, -6, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [1255842364204983511/13, -11802962564692594, -326358506368873426/13, 48833976104872833/13], [5279558753926195/13, 1413979907104, -2686549502057/13, -8328506659552/13], [-46/13, -4, -37/13, 3/13]], [[0, 0, 0, 0], [-369576816722140620091271486225/13, 21906708063055254499161209737, 137407512755419914965132000274/13, -79195615604718734656390682160/13], [-1519656966199039006684854290/13, 90051387327530335714324786, 372493285875032174756686635/13, -369779485806497422391712744/13], [9765251075859/13, -371341889673, 4778579349351/13, 4804283316498/13]]], 0, 2350080, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-48, -48, 0, 0]], [ 1, 4, -8, -2 ], [ 1, 1, -14, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 0, -6, 8], [-10, -14, 50, 24], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7247412506/73, 203441341/73, 3754209673/73, -909767066/73], [1039626623/23, 4450943255/23, 490468194/23, -687890667/23], [3538/1679, -7536/1679, 1111/1679, -1/1679]], [[0, 0, 0, 0], [-1257096562392336/73, 1765163319827864/73, 570700914564012/73, -483506845369004/73], [-123069760297766/23, -142834380930284/23, 11852811096780/23, 30325350757950/23], [3574980140/5037, -3762132040/5037, -1454177840/5037, 1067144680/5037]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [270, 80, 44, 6], [6, 4, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-31915113719681/365, 4198191494791/365, 5202902685041/365, -3891117713047/365], [-216927249782/115, -36187490393/115, 13219866447/115, -17913756734/115], [1559/1679, -13471/5037, 2815/5037, 2/5037]], [[0, 0, 0, 0], [-7459732644026571378/365, -904212985454292632/365, 2359503490264322868/365, 186712258536355274/365], [-52755346510804456/115, -25375016621380744/115, 15653872949894576/115, 6930972211819328/115], [455678808/1679, -837502408/1679, -525756256/1679, 390876732/1679]]], 0, 3133440, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[6, 6, -3, -3]], [ 1, 4, -8, -2 ], [ 1, 1, -14, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, 8, -10, -15/2], [3/2, 7, -37/2, -9], [3/2, -1/2, -2, -1/2], [0, 0, 0, 0]], [[8837/2, 15453/2, -8007, -7616], [5521147/146, 18793443/146, -315731/73, -2522469/73], [42081/46, 318821/46, -15101/46, -98977/46], [-779/3358, -12495/3358, -1161/3358, -5/3358]], [[-14646955969/2, 7638345058, 5617828139/2, -4017254779/2], [252264256395/146, -3724639404912/73, -976370575461/146, 1843877511873/146], [276013448163/46, -411471495333/46, -63721398651/23, 111821732475/46], [-14739154881/3358, 21704366871/3358, 3138678697/1679, -5649256745/3358]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, 5, 1, -3/2], [-383/10, 569/5, 213/10, -93/5], [19/10, -19/10, -2/5, 3/10], [0, 0, 0, 0]], [[9289631/2, -7127065/2, -274105/2, 586549], [-102274170639/730, -505197789211/730, 30805057/365, 50882649681/365], [-601470783/230, -134377587/230, -300861147/230, 108894447/115], [-90/1679, 2499/3358, -3074/1679, 1/3358]], [[13799407769065/2, -8583619031363/2, -5057480711681/2, 1253554412159], [-779427983898333/5, -8639907193141249/10, -719233365536819/10, 1061353728203239/5], [-931499767788441/230, -131773827808422/115, 214340031635151/230, 15381017779539/115], [-19016960/23, -9213830/23, 10428950/23, 5153470/23]]], 1, 480, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-96, -96, 48, 48]], [ 1, 4, -8, -2 ], [ 1, 1, -14, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 0, 6, -10], [-4, 10, -4, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [94716/73, -1716795/73, -2160732/73, 946240/73], [452270/23, -1762279/23, -1130665/23, 407525/23], [12712/1679, 3280/1679, 10667/1679, 4/1679]], [[0, 0, 0, 0], [-262266735500888/73, -636748385473544/73, 1299027152578/73, 143203914423328/73], [-252480741853370/23, -337772027202994/23, 26227195034462/23, 74094224505838/23], [584022854538/1679, 8898431422128/1679, 961068258156/1679, -2169621142176/1679]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1032/5, 998/5, 658/5, 194/5], [-6/5, 56/5, 36/5, 8/5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1156643111/5, -2987844029/5, 181111566/5, 610585698/5], [-14725857/5, -79986638/5, -40896338/5, 35369541/5], [0, -3, 5, 0]], [[0, 0, 0, 0], [-518249054822524/365, -19552994051409186/365, -2486761395470306/365, 4868949294313902/365], [-73497657977548/115, -91891286596352/115, 7582747459458/115, 20301733285804/115], [-626560704/1679, 849928464/1679, 257579784/1679, -244432188/1679]]], 0, 31334400, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-2, 8, 1, -3]], [ -14, 3, -7, -6 ], [ 1, 3, -4, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, 15, 61/2, 23/2], [-35, -11/2, 9/2, -6], [22, 5/2, -3/2, 2], [0, 0, 0, 0]], [[1048137/2, 3469601/2, 11904139, -4683419/2], [-309755230017/38134, -1303567487859/38134, 1058603956223/19067, -687155311547/38134], [-4184600, 8444170, 9215920, -4869620], [7353/38134, 30857/38134, -13667/38134, 2/19067]], [[-67117371087, 55324867209, 126222323658, 40049575455], [-7978243576751787/19067, 7456943168705788/19067, 2771976906298648/19067, -2530465342754124/19067], [268842812000, -252706536250, -91331663500, 79236258500], [115395327/19067, 71685/19067, -23848803/19067, 9274446/19067]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7, -16, 24, 39/2], [-311/2, -23/2, -33, -95/2], [1/2, 1/2, 2, 5/2], [0, 0, 0, 0]], [[-672217031/2, -13213507648, -11010907986, 3426135827/2], [1670628275448499807/495742, -54776333474504051/19067, -312931529701152228/247871, 415042290164126351/495742], [-159354106750/13, 472440455, -3045197569/13, 3697944773/13], [-566901/495742, -1867/38134, -1017301/495742, -5/495742]], [[-6023898185590223100761/2, -9054454790879204339335/2, -3167327052602127320901/2, 391878432009502896763], [-960634499734115781113935169061/495742, 100743847595651072616791048387/38134, 434324792105045566514582109715/495742, -179263225897296795726812981791/247871], [60619615167736984168127/13, -11964303773712161784500, -43152930829824524681763/13, 41154574594744184975040/13], [219782577578284113/495742, -30096396278321914/19067, -355154513763127493/495742, 81106877675348022/247871]]], 1, 144, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-2, 8, 1, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-19/2, 73/2, -79/2, 1/2], [340, 57/2, 74, 123], [149/2, 1, 5/2, 5/2], [0, 0, 0, 0]], [[9477205031361, -60291662661473/2, 69808179098237/2, -12140939302097/2], [-338005017391978, -189416463114225/2, 60120683824405/2, -84447271140957/2], [-68474270572581, -5902752985707/2, 2624422865343/2, 3463661098133/2], [1, -1/2, -3/2, -1/2]], [[-216615331824076485090, -752703434942921307307/2, 1185233095115440187918, -430227771392247326679], [-866796643522250286132, -1646790791263506541435/2, 1007281862982777361579, -181407605214371281001], [-49881267378915110550, 106136369097484744535/2, -378653606251732523590, 161337270952022425395], [775710, -6132907/2, -400882, 1146921]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, 6, -19/2, 2], [1885/2, 0, 6, 31/2], [10, 0, 3/2, -1/2], [0, 0, 0, 0]], [[19063588723/2, -66746256693/2, 38479394752, -9982015181/2], [-87260775819853/13, -59800577243/2, 7049825553754/13, -3214500984142/13], [-936771480005/13, -2880315975/2, -2996730605/26, 11538279925/26], [-57/26, -1/2, 59/26, 2/13]], [[504323177803047071341, -1771103213778526876107/2, -37106567346759606137/2, 21669459568186929817], [-1094714573407660819076562/13, 897238340531163117657243/2, 2257238563546641050450385/26, -2766590263126546140559491/26], [-11196724368945416959435/13, 4971262921928204992575, 11471660610314230289735/13, -30137182311318655748875/26], [-352337066737/13, 107015687069, 178726125797/13, -520567546489/13]]], 1, 144, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[-2, 8, 1, -3]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6, -26, 59/2, -1], [-397/2, -33/2, -43, -90], [-101/2, 3/2, -5/2, -2], [0, 0, 0, 0]], [[47125279891/2, 1495215405683/2, -2849223209511/2, 822662328505/2], [9946985994955/2, 1795310518393, -1731044793279, 1157565912678], [2086821795235/2, -83028163196, 265672737669, -248762033813/2], [1/2, -1/2, -3/2, 2]], [[334173796897457664313, -1466023304185582554867/2, -129331074358162055094, 178101601849395073400], [2860652081143365926411/2, 25461016901393097725466, 5835411696150445292197/2, -12868227459663296614505/2], [-216783205251156629107/2, 10204321147641885440085/2, 1368482249203370605275/2, -2554148224906497200759/2], [-302109005, 1194157965, 155587080, -444766135]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6, -19, 37/2, 0], [-1185/2, -35/2, -26, -73], [-81/2, 5/2, 1/2, -2], [0, 0, 0, 0]], [[416623829115/2, -1019280056071, 1397591761003, -642996011593/2], [-381557361982509/13, -2284948683021/2, 10057382466110/13, -20112447355219/26], [-50703185138841/26, 214746030507, -1477156176635/26, 1060308387885/26], [-31/13, -1/2, -51/26, -5/26]], [[175987298689483631009/2, -92031075957813349925, -83549368127793463677, 112565541492753600629/2], [-35137592530785130244734/13, 6336401166408339742586, 37908125657424265277659/26, -49084961221648562217389/26], [-5246273620507836992625/26, 410451463946483216550, 3101739506927310060035/26, -1598067189662386570505/13], [-2181655080/13, 709785144, 959121360/13, -3476012472/13]]], 1, 144, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[32, -128, -16, 48]], [ -14, 3, -7, -6 ], [ 1, 3, -4, -3 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-78, -4, 8, -14], [-74, -6, 0, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-84372818835888/19067, -40260229068079/19067, 16082652820326/19067, 7065014747294/19067], [-4265520225, -2138134346, 870229577, 363714630], [43991/19067, -24962/19067, 16367/19067, -2/19067]], [[0, 0, 0, 0], [663724994277372753846/19067, 26682870903646332486344/19067, 3503449260098790210526/19067, -6593902638991584062226/19067], [40154913721468618, 1356000926929134880, 172657774725665154, -335203883173764262], [2618957590688/19067, -10690033292704/19067, -3842968182288/19067, 2541857120392/19067]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [434, 140, 66, -108], [-52, -8, -4, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-36090062803116, -8941017475771, 2396069038563, 6806826711041], [4168632250720, 22074928443, -14115581574, -23834167144], [-4, 1, 2, 0]], [[0, 0, 0, 0], [176710851057354992589683007877/247871, 97546105941409874528682326362/19067, -553306193573607957922456470504/247871, 26365560297429732264082054021/247871], [-785585377936386077344819/13, -580919075941155484265705, 2623549270509367960962300/13, 594425952105239652482322/13], [-18052424565530223/247871, 4949318713270211/19067, 28690597272853612/247871, -13501846360888118/247871]]], 0, 9400320, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[32, -128, -16, 48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [136, 10, 2, 8], [-10, 4, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7, -1, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-439056, 2282992, 934966, -431892], [46908, -146828, -36962, 54072], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-618, -22, 94, -46], [222, 2, 10, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2848644775565966498/13, -1233585690808879, 477609405352093537/13, -220271795761644239/13], [1029383037565419070/13, -1130202777884871, -1784397826704497/13, -2165759802821894/13], [-16/13, 0, -14/13, 5/13]], [[0, 0, 0, 0], [47842802784628689754940473968/13, -11351753373320545150345076422, -16490634359671259956448612974/13, 47797922335722852409525038460/13], [-18065607688396734871083679058/13, 4173905043763924232339208270, 7890291996337489816019916010/13, -17529547621247863775238545156/13], [265716705480/13, -81738559112, -132688696004/13, 398623911188/13]]], 0, 9400320, [], [] >,
< [ 1, 2, -4, -1, 1 ], [[32, -128, -16, 48]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [12, 2, -10, 6], [-190, -2, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9, 3, 0, 1], [0, 1, 0, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [88474066, -5657890412, 3477126222, 1015607076], [-20669916344, 72188706808, 15430154352, -27748468344], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1868, 34, 52, 56], [158, 2, 6, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [26351349834228690/13, -100018845887056, 699259541846107/13, 283412972622493/13], [2230889024238271/13, -9074857098548, 75217267102820/13, 37239869042373/13], [57/13, 2, -33/13, -4/13]], [[0, 0, 0, 0], [13319332638822549795171107828/13, -2433499605241391788163225844, -8633468237567259446016371028/13, 5670142342303820725113994104/13], [1135867219438141349837559734/13, -205235683448606698526655988, -754619285545459231240729444/13, 465318825993329165331020122/13], [17429628476210/13, -5358441946852, -8740691535506/13, 26113207445508/13]]], 0, 9400320, [], [] >,
< [ 1, -1, -5, -1, 1 ], [[1, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, 5, 39, 20], [-19/2, 13/2, 39, 20], [-2, 1, 0, 1/2], [5/2, -1/2, 0, 1/2]], [[-26502, -35329/2, 2596, 26643/2], [18345, 205/2, 11083/2, 16245/2], [18648, 5180, 5180, -3108], [-26199, -12587, 4469/2, 2091]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-31/2, 21/2, 157/2, 81/2], [-15, 35/2, 185/2, 48], [-5/2, 1, 2, 3/2], [0, 0, 0, 0]], [[351145/2, -195989/2, -706381/2, 30613], [-5675473/7, -26239601/14, -6456175/14, 4379211/14], [8259917/14, 114318/7, -371535/7, -85742/7], [-2/7, 3/7, -9/7, -1/14]], [[201947948244, 398569542351/2, -52032143169, -70652402595/2], [-16720691103122/7, -64603085121823/14, -8968231485547/14, 12286598445307/14], [8019189650427/7, 8683532940867/7, 178005414780/7, -1493307611277/7], [-5591217/7, 119997/7, -60099/14, -454059/7]]], 4, 2, [], [] >,
< [ 1, -1, -5, -1, 1 ], [[-1, 1, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9/2, 2, 51/2, 17], [-21, -1/2, 37, 12], [1/2, -1/2, 5/2, 0], [0, 0, 0, 0]], [[3180629, -6038275, 4987923, 28054041], [-310665973, -785936039/2, 126188179/2, 67023628], [20448937/2, 29061777/2, 36951051/2, -15617877/2], [3/2, 2, 2, -1/2]], [[286311302293, -1051007729081/2, 1383147710511/2, -665556026833/2], [-29977960124004, 8230756333207, 18015129260171/2, -3014334702197], [4245605208936, -7849702896840, -4484146281300, 2361669242184], [480701, -1641707/2, -464546, 483573/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, -2, -28, -37/2], [205/2, -35/2, -13, -12], [-1/2, 5/2, -2, -1/2], [0, 0, 0, 0]], [[-73850257, 143059513/2, -1270142361/2, -1720111733/2], [-3409217362935/7, -6851562116719/7, -1819181384039/14, 1314331536163/7], [-6989976472/7, 314891473/7, -96805306/7, 56524420/7], [-5/7, -13/14, -5/7, 1/14]], [[22136235397657509, -37035462626720458, -52446625966762407, 15967719761306054], [53301836200981293710/7, 175254168020681746467/7, 31904815294703261352/7, -35299537239332936099/7], [497896976991577391/7, -947191949670321893/7, -284804822588262413/7, 194549706593186988/7], [237057480/7, -230488800/7, 13062240/7, 657360/7]]], 3, 3, [], [] >,
< [ 1, -1, -5, -1, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 4, -6, -8], [-6, 4, 2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-16, 28, 66, -26], [0, 0, 0, 0], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [40, 20, 26, -30], [0, 4, 6, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [95717554/7, 129512982/7, -6147153/7, -14072971/7], [4387041/7, 2362250/7, -3418918/7, 2494046/7], [31/7, 34/7, -39/7, -1/7]], [[0, 0, 0, 0], [3329111230092, -15404838899244, -5558909094006, 3721523893305], [223060544697, -812738684143, -301686865948, 197453398937], [-3082047, 5946837, 2776386, -1581264]]], 0, 16320, [], [] >,
< [ 1, -1, -5, -1, 1 ], [[16, -16, 0, 0]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [18, -8, 6, -6], [-2, -8, -4, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 1, 1], [0, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-40524160, 189255040, 62147840, -43659520], [-14268990, 6800098, 3381356, -1649138], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [274, 104, 82, -70], [-10, 10, 8, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5017530286736/7, -1316093435346/7, 2130168361837/7, -317105771546/7], [109701072312/7, -41372070357/7, 3222605448/7, 12863267807/7], [10/7, -15/7, -11/7, -1/7]], [[0, 0, 0, 0], [-114362626306249502/7, -105358671933414240/7, 29663795581450626/7, 7621650650585708/7], [2053094638542420/7, 1635788562082060/7, 851047705986650/7, -587325428007716/7], [116440/7, -71914/7, 20008/7, -5330/7]]], 0, 97920, [], [] >,
< [ 1, -1, -5, -1, 1 ], [[1, -6, -1, 1]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, 4, 125/2, 61/2], [41/2, 16, 128, 83], [16, -1, 5/2, 5/2], [0, 0, 0, 0]], [[-24966109203/2, 20504871668, 45893653397, -18142302106], [-1488840267/2, 734357589/2, -4659810235, 1654602630], [-5602023118, 9016375688, 38153060373/2, -7588034214], [0, -5/2, 5/2, 2]], [[-229461250326238, 673137604144595/2, 1578820695420463/2, -619148346717385/2], [-55060467591615, -98518913492575/2, -83660596184799, 76097851162051/2], [-111616329285571, 136383059619056, 655034117275913/2, -127331316112664], [-5256, -85629, -3723, 20586]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11/2, 0, -33/2, -15], [192, 3/2, -48, -38], [5/2, 3/2, 1/2, -2], [0, 0, 0, 0]], [[-1767537961/2, 136923837/2, -1696687017/2, -33005639], [-1101244286519/14, 240314093650/7, 183404652834/7, -152060729231/14], [-14785574695/14, 771231805/14, 10929305/7, 82688575/7], [9/14, -19/7, -47/14, -3/14]], [[-301397301503750395/2, 400958985012502765/2, 310136974823590685/2, -73325352293797855], [-130143225830389168715/14, 86418168858335689890/7, 98807766085944402841/14, -25270946990229160678/7], [-914823473541400065/7, 2036424955718989595/14, 727927493053371185/7, -342783503435181555/7], [264495760/7, -1653525950/7, -303198010/7, 284875340/7]]], 1, 6, [], [] >,
< [ 1, -1, -5, -1, 1 ], [[-16, 96, 16, -16]], [ -1, 0, 0, 0 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [50, 4, -4, 10], [-22, 10, -8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 1, 1], [-2, 0, 1, 1], [1, 0, 0, 0]], [[0, 0, 0, 0], [-2533388, 25744026, 6174850, -5150618], [19694680, -43051292, -68283008, 28491840], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [222, 8, 12, 28], [28, 2, 2, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-30277632376/7, 55197616226/7, 132579485453/7, -52126353394/7], [427650770/7, -2832527/7, -790250/7, -1975923/7], [-10/7, -27/7, 39/7, 1/7]], [[0, 0, 0, 0], [-567262572747467098/7, 1157559350775982368/7, 3507403076258642430/7, -1353628139016084109/7], [46013738022071009/7, -44647843597990589/7, -24367965182249338/7, 12069707751467543/7], [797583189/7, -4802960371/7, -771480440/7, 808330524/7]]], 0, 391680, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[-2, -14, -2, 3]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 8, -5/2, -13], [41/2, -101/2, -179/2, -31/2], [-1/2, -1, 1, -2], [0, 0, 0, 0]], [[-146345841, 772869421/2, 234936410, -389861609/2], [829691885667/1831, -1082936177499/1831, -3077339575275/3662, 407358304041/3662], [-16627506, 86286075, 73173780, -46869480], [-8755/3662, -3195/3662, 2156/1831, -1/3662]], [[-267612910346991, 764039419062261, 220848699076386, -175421020662057], [2039303939968196915/1831, -3023109779776753322/1831, -1133319189347136502/1831, 727632086697245185/1831], [-124401478420155, 510983661353775, 133809020051010, -114400751509125], [-13053096378/1831, -4672306800/1831, 2383626609/1831, 880680843/3662]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[526, -1819/2, -1578, -15], [2170399/1831, -3753910/1831, -6502633/1831, -97559/3662], [2, -3, -13/2, -5/2], [-2631/3662, 4559/3662, 7855/3662, 1/1831]], [[-505536412, 148950829, 158539576, -107109529/2], [-2096621534627/1831, 1226309990033/3662, 1313183916857/3662, -221129986315/1831], [-1221174, -3093363/2, 108, 555399/2], [1286348624/1831, -380278228/1831, -403662952/1831, 136545750/1831]]], 1, 12, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[8, 0, -2, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, 3, 4, -1], [-9, -13, 5/2, 5], [3, 2, 1/2, -1/2], [0, 0, 0, 0]], [[317, 9213, -51629/2, -94], [-26760568/1831, 100141443/3662, -32878940/1831, -114539237/3662], [-7176, 59397/2, 715/2, -4966], [-2631/1831, 10949/3662, 2362/1831, 2/1831]], [[-80077253725, 75030540679, 35160675229, -46325548709/2], [1234892850844240/1831, 2481843713169453/3662, -99079519541055/1831, -455641340005047/3662], [-230453368795, -263723798585/2, 65493965095/2, 34994696295/2], [37106270018/1831, 53346763863/1831, 2192682138/1831, -9449147853/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [5, -7, -51/2, -41/2], [-2, 6, 9/2, -4], [0, 0, 0, 0]], [[2387, 1055, 1261/2, 3/2], [-7366646656/1831, 32333728625/3662, 15569281170/1831, -1395399994/1831], [-1279022, 6773719/2, 4329153/2, -2060751/2], [6724/1831, 5923/3662, 3543/3662, 3/3662]], [[-7126187561676, 370659378168, 1872410373090, -380719105668], [386680147001821206/1831, 718170933617392535/1831, 31432349624545766/1831, -131655553293720511/1831], [-133979748111546, -36955754085894, 23014637345433, 3459966912108], [-20077247066004/1831, 1081656774522/1831, 5282746521192/1831, -1080583736922/1831]]], 0, 96, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[0, -6, -2, 1]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[32, -61, -97, -20], [8, -13, -31/2, 5], [-1, -1, -3/2, -5/2], [0, 0, 0, 0]], [[-1774108, 23446297/2, 12959994, 35422513/2], [-128519535015/1022, -37477144996/511, 5093465777/1022, 7988231505/511], [180398249/2, 145675465/2, -4086823, -23983465/2], [2195/1022, 291/511, -396/511, 3/1022]], [[-907502497266968, 5040809393987307/2, 1466887498089069/2, -1146092632652083/2], [-778593228374222665/511, 2306200851163186681/511, 656014023895772090/511, -1047592956054113291/1022], [386632232155589, -1281036013315520, -352700755871870, 289131289368215], [3696354917/1022, -14410833417/1022, -3836084979/1022, 1612418376/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-730, 293, -781/2, -2], [493177/511, -387811/1022, 562475/1022, 2052/511], [-4, 15/2, 14, 1], [-1413/511, 1145/1022, -758/511, -1/511]], [[-8001669749287, -13477008005077/2, 1357450144667/2, 1093830338044], [5447580588142674/511, 4579257443098510/511, -463718406690697/511, -1485748354455159/1022], [2598231805, -2115426937, -1045152056, 591814002], [-30944157235415/1022, -26032973032585/1022, 1315043704720/511, 4224486810877/1022]]], 1, 12, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[12, 4, -2, 0]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 35/2, 11/2, 9/2], [5, 3/2, 1, 3/2], [0, 0, 0, 0]], [[31, -50, 200, 1/2], [-4140986070/511, -123901812035/511, -19118285248/511, 26404095624/511], [113360250, 126969756, -1973802, -21699270], [60/511, -97/511, 775/1022, -1/1022]], [[24216093, -45276936, -32589225/2, 21731559/2], [-4553543813967353/511, -15162600148948515/511, -1894912281845292/511, 3036837443056279/511], [24168353987424, 24851828022984, -1156590797640, -4266342942132], [47033058/511, -176273901/1022, -63373647/1022, 42303789/1022]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [11, -13, -93/2, -14], [4, -8, -29/2, 3/2], [0, 0, 0, 0]], [[-109, -515, -453, -3], [-25915809926/511, -54136667786/511, 105277123278/511, 83845469223/1022], [3113087, 11627098, 89652822, -28578277/2], [-211/511, -996/511, -873/511, -5/1022]], [[-52782060420, -62446099482, 1769625441/2, 22087562427/2], [-7070197011483141267/511, 744408270786275247/1022, 1860540418396580600/511, -752724409952055771/1022], [271557096185468, 19323550852726527/2, 3704905807678057/2, -2042591999208620], [-102003381882/511, -241616920977/1022, 3369148389/1022, 21370028886/511]]], 0, 96, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[12, -8, -6, 2]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, -35/2, -12, 5/2], [-6, -5/2, 5/2, -1], [0, 0, 0, 0]], [[-233, 81, -655/2, -3/2], [-6952158035/511, 11338995219/511, 2489456040/511, -2320605829/511], [4767392, -25663680, -4996208, 5115712], [-451/511, 317/1022, -1269/1022, -1/1022]], [[-512667704010, 84193614813, 185617039124, -21424082746], [-6432137245043408896/511, 1662639456732066266/511, 2029033199625748583/511, -606226748434616662/511], [-2955066390288320, -14757881802749680, -2202376328238576, 3033989585920048], [-992647190601/511, 167374649618/511, 359620897922/511, -42830784777/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-62, -65, -23/2, -11/2], [-56, -2, -1/2, -1], [0, 0, 0, 0]], [[155, -118, -375/2, -2], [-6583909831127/511, 99303921614937/1022, 27078202354031/1022, -11436500595248/511], [112363497070, -541086285337/2, -86030617160, 63803457792], [300/511, -459/1022, -362/511, -5/1022]], [[-49733010, 6715413, 18790596, -1126161], [7006089295581752344/73, -21713394482604702175/73, -12204765850150158539/146, 9840249665156901453/146], [-411585483549093364, 1126919186294930755, 657335075066164487/2, -257389780236253576], [-13754439/73, 1914030/73, 5196159/73, -331083/73]]], 0, 768, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[0, -22, -4, 5]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, -3, 16, -7/2], [21/2, -21/2, 5, 3/2], [-39/2, -2, 0, 1/2], [0, 0, 0, 0]], [[5585828752, -11387424507/2, 478071067, -13211606], [6742610473, -4730963302, -1458054625, 985746009/2], [-12099347576, -4157012836, 1539135981, 742597016], [1/2, 1, 2, 0]], [[43343040929032801, -204046238261911896, -54933184256975470, 90973527706678159/2], [7524257676109775771/511, -78461914099749566284/511, -18658360507797615441/511, 16882175925282776386/511], [51950950888141097, 155182596960772791, 18713904839942133, -30818844712543554], [2451199728/511, -19538973409/511, -6683476029/1022, 10479718813/1022]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1033, 1829/2, 1701/2, 9/2], [-704313/511, -1230583/1022, -1125393/1022, 18867/1022], [4, 5/2, -2, -1], [3999/1022, 3525/1022, 3279/1022, 5/1022]], [[-3231087072, 8448293388, 2519082060, -1969464156], [2224266226737/511, -11641571200629/1022, -3473625556367/1022, 1356215853452/511], [418815, -5897913/2, -652732, 694188], [-6283131948/511, 16434408084/511, 4900759644/511, -3830670240/511]]], 1, 96, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[-6, 6, 4, -1]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, -4, 9, 3/2], [32, 29/2, -7/2, -9/2], [15, 3/2, -1, 0], [0, 0, 0, 0]], [[-6800317903, 7540075344, 2540853252, 208910828], [-244982052814423/3662, -192004991490331/3662, 6668905064978/1831, 31009475098669/3662], [-59962435131/2, -17972766987, 6800317263/2, 3030279636], [1631/1831, -467/3662, -2481/3662, 1/3662]], [[1767491552886470736, -9578161700657153889/2, -1399161263536730040, 2190820916079019785/2], [4330622616597961010233/1831, -6795509095303848369905/1831, -4899708288219055422455/3662, 3258836277449479758551/3662], [1395117863455095360, -2666882827350277536, -883745776018363776, 627048881468914800], [-4324402935/3662, -84899464329/3662, -8256168012/1831, 8708811360/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1009, 227/2, -1267, -25/2], [-4093784/1831, 457570/1831, -10743229/3662, -27594/1831], [31, 1, 2, -5/2], [5093/3662, -467/3662, 3337/1831, 1/3662]], [[-96043613034, -15469036981, 258901897635, 270046950281/2], [-396030231211833/1831, -121211169500421/3662, 1081386729076877/1831, 1127225687377569/3662], [1036518559, 5077569019/2, 501069071/2, -983782461/2], [245789823347/1831, 40057853955/1831, -666943749232/1831, -696387315123/3662]]], 1, 96, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[12, 28, 2, -6]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, -6, -41, 21/2], [-94, -19/2, 46, -9], [-46, -3/2, -1/2, 2], [0, 0, 0, 0]], [[927553646, 2966393342, -1165589363/2, 35057783], [44344565978748/1831, 48543621437965/1831, -234856638921/1831, -18224163101389/3662], [11842826139, 14499524565, -463773780, -2410744464], [-15479/1831, 2335/3662, 1419/3662, -5/3662]], [[986485204918275916, 27838373629740020374, 6895775263052531837, -4651197459405604911], [270209760439793392962529/1831, 260469771469879938501894/1831, -17180006229676214010203/1831, -44850377048347014993016/1831], [69477677623545252327, 84782622790357084467, -493224119946583578, -14905637198380369413], [-94045703394120/1831, 10876054838930/1831, 22466780218270/1831, -7494045404850/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [15, 8, 13, 14], [5, 4, -2, 2], [0, 0, 0, 0]], [[-437, -2352, 685/2, 0], [87310269067/1831, 363849288209/3662, 120012986975/3662, -86967817359/3662], [35809269, -55334325/2, -3004556, 7140159/2], [-1231/1831, -13247/3662, 975/1831, -3/3662]], [[-7216564065, 44155857, 4165719093/2, -123917418], [664732711029348776/1831, 1466452542078862741/3662, -35504238073064916/1831, -267693925884354321/3662], [82707896466128, 426462428803803/2, 40750068704943/2, -42021029729415], [-20329607688/1831, 315727293/3662, 5870317767/1831, -716194185/3662]]], 0, 768, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[2, 10, 2, -2]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-22, 48, 55, -9/2], [-8, -17/2, 131/2, 129/2], [-3, 15/2, 11, -2], [0, 0, 0, 0]], [[-178185499, 202757419, 1610606653/2, 442302951], [-2177353007503/1831, 3954584191843/1831, 15168387903841/3662, 4796849816285/3662], [-36496450, -18551788, 178193649/2, 153620913/2], [6324/1831, 15975/3662, 5905/3662, 5/3662]], [[-15490098444731246, 69617760455120675/2, 21629984518181403/2, -16094387078358043/2], [193115993605169601907/3662, -49473968766056997336/1831, -34074186552428783549/1831, 29223007294388627349/3662], [-56022236284692839/2, 6850020654361787/2, 15491238363494957/2, -3823906936098669/2], [12952538327911/3662, 10593184903007/3662, -1160070577183/3662, -1705526605839/3662]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, 15, 10, -29/2], [42, -97/2, -70, -7/2], [5, 1/2, 5/2, -5/2], [0, 0, 0, 0]], [[-35143520, 186434229/2, 112345333/2, -38023923], [126944867578/1831, -173729004614/1831, -336503365887/3662, 38344774277/1831], [-3399108, 30764808, 17571660, -11464788], [1031/3662, -2298/1831, -2481/1831, 1/1831]], [[2102846720426, -37576216392188, -7911823671170, 8080524137772], [-457002913898922378/1831, -443276771874399117/1831, 27203223261356772/1831, 75157604431954622/1831], [-68327891513196, -92014471967208, -1052272003272, 16682431252998], [4319002798/1831, 5765707838/1831, 64059820/1831, -1039626071/1831]]], 1, 24, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[2, 10, 2, -2]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, -3, -21/2, -7/2], [13/2, -2, -18, -37/2], [-5/2, -1/2, -1, -1/2], [0, 0, 0, 0]], [[377009, -1319771, -2882019/2, -44185], [-1567843529/3662, 28384612457/3662, 6014118981/3662, -14964755135/3662], [-2803801/2, -1709565, -191191, 277563], [13648/1831, -252/1831, 5699/1831, 5/3662]], [[18893210190602, -18953367574680, -16877637301019/2, 9225173291477/2], [-229861165545480193/1831, 47958069050925696/1831, 123244578527599193/3662, -18813805288033167/1831], [83643916160376, 60070038158988, -18166731965811/2, -9290469889701], [-1848430720807/1831, 6110346966449/3662, 1070271364734/1831, -1452053340749/3662]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4007, -739, 401/2, 9], [16571053/1831, -6046353/3662, 860243/1831, 20657/1831], [-5, -3/2, -1/2, 3/2], [-10186/1831, 3699/3662, -531/1831, -2/1831]], [[3578404267730, 5570734627730, 431608746609, -1662047579703/2], [14811675669977044/1831, 46119331230391171/3662, 3567169760574111/3662, -6881106475465817/3662], [-5934428784, -13556437911/2, 1677708432, 1914415803], [-9111509208620/1831, -14172116660247/1831, -1079488197879/1831, 2121812055272/1831]]], 1, 24, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[16, 0, -4, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12, 10, -7/2, 5/2], [3, 0, -1/2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5890826692/1831, 2521952553/1831, 5486177743/1831, -1591023002/1831], [620510, 601130, -85985, -87675], [-8155/1831, -10734/1831, -2037/1831, -5/3662]], [[0, 0, 0, 0], [-33932149043104012/1831, 77563950016642422/1831, 25950611466835707/1831, -18458478162541966/1831], [1738937728080, -1878329937960, -841086156645, 482053709970], [-31666891080/1831, 44728210538/1831, 16235545392/1831, -11725366125/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-40, 45, 159/2, 31/2], [-5, 5, 1/2, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [1280312, -65366, -1431791, -468218], [261040, -78312, -74296, -6024], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1290/1831, -255420/1831, -61146/1831, 53148/1831], [0, 0, 0, 0], [5/1831, 990/1831, 237/1831, -206/1831]]], 0, 1536, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[6, 10, 0, -2]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5, 11/2, 16, 5/2], [1, -7/2, -3/2, -1], [0, 0, 0, 0]], [[109, -129/2, -52, 4], [4869864299/1022, 21030182535/1022, 35668243/1022, -2483934711/1022], [-990293/2, 11680854, 1888295/2, -4193905/2], [-1413/1022, 414/511, 775/1022, -1/1022]], [[291274188, 1339296405/2, 123880491/2, -130099131], [74392629086113943/1022, 3640500080812514/511, -8939690260689093/511, 1775344220518187/1022], [52816516518969/2, -22163598030009/2, -18117405984649/2, 7106275564603/2], [-3795469191/1022, -8434522809/1022, -751738569/1022, 1630311483/1022]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 1/2, 0, 6], [-1, -3/2, 1/2, 1/2], [0, 0, 0, 0]], [[8, -655/2, 782, 4], [-655326964/511, 1923105538/511, 854598580/511, -1233187645/1022], [-290120, -435260, -33650, 78865], [31/1022, -634/511, 1516/511, 2/511]], [[-3074631336, 9416598192, 2647464480, -2116966068], [-84564646602242/511, -3530342018881850/511, -701693020539486/511, 751018813151875/511], [7015905136230, 7267981215345, -323701801455, -1250005915985], [-5982465312/511, 18311865912/511, 5148655956/511, -4117114836/511]]], 1, 24, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[6, 10, 0, -2]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[31, -67, -78, 4], [0, 5/2, -3, 2], [-1, -1/2, 5/2, -5/2], [0, 0, 0, 0]], [[-11559013, 36523284, 33055171, 41377811/2], [-73855740927/1022, -28476165815/1022, 3864838533/511, 3445562137/1022], [222608043/2, 81368672, -6703669, -25196549/2], [-1864/511, -291/511, -1648/511, -3/1022]], [[-8330046363890445, 45334048710260958, 21562708831434637/2, -10320883295224728], [-51392825174021977885/511, -32311724446406896122/511, 6563942237592435789/511, 4698069386736884817/511], [162012305117246082, 133616188881720402, -14338595886100623, -21575352934985418], [-3688032390090/511, 2253640809361/1022, 1174685812956/511, -788390634033/1022]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-202, 427, 6, -1/2], [1084/511, -17847/1022, -647/1022, 8/511], [-4, -1/2, 0, 0], [-391/511, 828/511, 17/1022, -1/511]], [[96689066, -300439881, -189175285/2, 128561835/2], [-2047986362/511, 4462865620/511, 1650739500/511, -932928190/511], [-202230, -1930770, -297270, 430380], [188099809/511, -1168282975/1022, -367430715/1022, 125118425/511]]], 1, 24, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[24, 8, -4, 0]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [11, -11, -9/2, 11/2], [1, -2, -3/2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-103717797812/511, -106220926159/511, 8754746983/1022, 18586249380/511], [-3934293, 1136586, 4437697/2, -2067659/2], [-1142/511, 2749/511, 758/511, 1/511]], [[0, 0, 0, 0], [132673330526366642/511, 129741252302388562/511, -7659758121043878/511, -21987988601597002/511], [3630811848554, 1971095333372, -512774467898, -267931905032], [-4379586279/511, 12700313469/511, 3628046922/511, -5780639211/1022]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, 9, 18, 19/2], [-1, 2, 5, 5/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-26496945/511, -55822170/511, -10260301/511, 17176227/1022], [-14580, -22136, -3093, 5461/2], [2435/511, 2238/511, -1286/511, 1/511]], [[0, 0, 0, 0], [549507534915397/511, -1110032402060382/511, -589591904005357/1022, 591949039685503/1022], [177031378771, -290453505371, -138856434709/2, 88336820731], [-119613580382/511, 303344796352/511, 92233200819/511, -139288607951/1022]]], 0, 1536, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[24, -16, -12, 4]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [25, -21, 1/2, 8], [-22, 1, 3/2, -3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-54322498, 1568255498, 262879768, -309292957], [-231623528, -1010446980, -107510018, 191139620], [4, -4, -1, 0]], [[0, 0, 0, 0], [-45540214681066252116/511, -129354883561839316424/511, -14693963574402437632/511, 25640119529143197432/511], [134804710542890472, 214405833282942728, 9064148026217424, -39995204232320652], [-538742007555/511, 151978682283/511, 201024626025/511, -83529432393/1022]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 16, 0, -19/2], [7, 1, -3, -3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [616970731/511, 628321020/511, -46929286/511, -206908483/1022], [888322, 1065428, -17171, -376847/2], [-2946/511, 1850/511, 264/511, -1/511]], [[0, 0, 0, 0], [57245342050617901/511, 58065893682014067/511, -6130499985965571/1022, -10050648815734336/511], [86062411094882, 88826746083623, -8304836589993/2, -30659453282459/2], [-219297073560/511, -7594276700/511, 75428540435/511, 6822409765/1022]]], 0, 12288, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[2, 12, 2, -2]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [15, 45, 31, 5/2], [24, -2, 1, 3/2], [0, 0, 0, 0]], [[80, -191/2, 6, -1/2], [-386150309512433/1022, -190359277247423/511, 7857957778311/511, 64180424816029/1022], [-597642888189/2, -326143056715/2, 77546583131/2, 46492848473/2], [-1053/1022, 634/511, 17/511, -2/511]], [[8515479774, 36973425231, 5694890520, -6933879513], [-84418013670893115029001/511, -167314904937250704081187/1022, 4803970518479332189793/511, 14306636912971492496340/511], [-112757306878113379112, -243283482386238115177/2, 8595355375718895377/2, 42247609142325468919/2], [-56001894603/511, -232714551168/511, -37387643376/511, 42440750433/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-56, -115/2, -21/2, -5], [-48, -3/2, -2, -1], [0, 0, 0, 0]], [[761, 713, -131/2, 0], [46793523963/511, 276741019829/511, 72853315513/511, -63169813361/511], [475102714, -790875566, -331862918, 210784110], [1473/511, 2749/1022, -132/511, 1/1022]], [[-129166860, -2664830991/2, -529789515/2, 499209375/2], [10888488267933539/511, -278779922538081383/511, -62083920961100151/511, 119045167738358329/1022], [-745174229992016, 1764551084458844, 543774814774048, -409412461574138], [-492682569/1022, -5170896285/1022, -1027926303/1022, 485083176/511]]], 1, 192, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[2, 12, 2, -2]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 13, 25, -12], [4, 13, 81/2, -9/2], [-16, -2, -3/2, 2], [0, 0, 0, 0]], [[11306973929, -1178850117, -4270751835/2, 452182180], [27427348792699/1022, 8274240619173/1022, -5347083258885/1022, -1576194636347/1022], [-60967692715/2, -23980841440, 5365970965/2, 3873523850], [-631/511, -1145/1022, 2027/1022, 1/511]], [[95353378302287520025, 51304729191675479963, -13842324564116914602, -13951657170884190999/2], [247236509127242830234531/1022, 186542507283773361457587/1022, -11926281380857190581502/511, -28535549809190255524597/1022], [-608297181456178090695/2, -281426845457471952420, 20738812190943975765, 94067869851432224475/2], [-3228441146204/511, -11925803096454/511, -1810187584770/511, 2172512010082/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-109, -251, -452, -3], [7820/511, 18491/1022, 12435/1022, 20/511], [12, -3/2, 0, 0], [-211/511, -485/511, -873/511, -5/1022]], [[4029784, 13389475, 5481223/2, -1981045], [-282410028/511, -397497278/511, -29289348/511, 119273647/1022], [-250775, -481369, -33754, 180229/2], [7770873/511, 51891433/1022, 5294069/511, -3854576/511]]], 1, 192, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[14, 4, -2, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, 1, 3, -8], [-6, 20, 29/2, 1], [12, 1, -1/2, -3/2], [0, 0, 0, 0]], [[18385844488, -16072722997/2, -5843936463/2, 2433904794], [59288181937297/3662, 116441574626075/3662, 1877176077313/3662, -25631627867317/3662], [219412415135/2, 88639867265, -18385921969/2, -14367666013], [-7955/3662, -9585/3662, -10867/3662, -3/3662]], [[-1141352040097290716, -9739773507959101955, -1658084061935877778, 4092079584434347347/2], [-12765289323807882756471/1831, -10335586512930756667697/3662, 4294073277294787092893/3662, 1059003126446174588141/3662], [-29127095651547886570, -68042744483746391175/2, 570680081331581668, 6011234094877580736], [553258780515/1831, 3644296731945/1831, 566092545120/1831, -791801913195/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, -5, -91, -23/2], [19, -123/2, 89/2, -2], [-73, -5/2, -2, -3/2], [0, 0, 0, 0]], [[2173248221127, -12813674118783/2, -1680589007819, 1359269074106], [-6317836307930055/1831, 17961835742530140/1831, 9442846569855475/3662, -7820872504229791/3662], [718474414374, -4821752781207, -1086624110100, 1030170309219], [-4693/3662, 2765/3662, -7855/3662, -1/1831]], [[-47246873001995420223578, 204692133600672038955979/2, 65437805636224988998881/2, -23725346031761672438166], [116205879981363381175273340/1831, -302348587069774022647880232/1831, -180162248198285769364691279/3662, 69406669410976178385056519/1831], [-93317075147443143532176, -168384266728545647880, 23623436516153922765720, -3926160288414194759496], [-154346527519051/3662, -404248354863169/1831, -56600643547025/1831, 87950227628544/1831]]], 1, 192, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[14, 4, -2, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, -4, 18, 17/2], [21, 89/2, 12, -4], [17, 5/2, -1/2, 1], [0, 0, 0, 0]], [[-427444808, 1853810234, 1070974661/2, -833590417/2], [6574401036987/1831, 4813521181144/1831, -1356273216591/3662, -1474879758593/3662], [1250987373, 2579960250, 427446009/2, -998918487/2], [-3062/1831, 1401/3662, 2806/1831, -3/3662]], [[132432203473965933, -407380694197983570, -229040447624724147/2, 184463387883164847/2], [-925456156972220381241/3662, -12744664104822758144/1831, 228650498397648717141/3662, -33939834621977247783/3662], [-4511663539621317/2, -670633483731257025/2, -132432212783823219/2, 71258067734136993], [23709436272/1831, 338811433680/1831, 62615309088/1831, -74838021675/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3437, 547, -641, -14], [14196910/1831, 4353007/3662, -5233325/3662, -52583/3662], [-29, -5/2, 2, -2], [-8755/1831, -1364/1831, 3131/3662, -1/1831]], [[-4682822, -201481391, -85347403/2, 88226741/2], [-16704953986/1831, -1678010095447/3662, -352534142431/3662, 185343546266/1831], [-13297, 3839187/2, 193410, -565724], [10953714/1831, 1035006325/3662, 211374655/3662, -232069073/3662]]], 1, 192, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[24, 56, 4, -12]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-70, 0, 40, -23/2], [-29, 0, -1, 3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-930884500605/1831, 488110351685/1831, 277669984781/1831, -108860136288/1831], [301092165, -1358149617, -319616660, 304797064], [-3062/1831, 5278/1831, 4637/1831, -3/3662]], [[0, 0, 0, 0], [-33412654432333920836/1831, -10679224262504595103/1831, 12784469710575550773/3662, 1632023444602634539/3662], [-761771991515315, -22838277327035423, -8774238329410081/2, 4830768974978210], [-42574791422/1831, 10877661935/1831, 10789223374/1831, -4883419611/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, -5, -21/2, 19], [13, -2, -3/2, 1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2201240878850/1831, 1493690974036/1831, 366152834094/1831, -445167039452/1831], [-9649187240, -10183416320, 415419895, 1752772230], [9386/1831, -3699/1831, 6555/1831, 4/1831]], [[0, 0, 0, 0], [84990437485147831636454/1831, -2133359556764422647134/1831, -20544569462506901337746/1831, 4478240774976328795874/1831], [478088753742587156400, 483829312548870268750, -24329330985775769800, -82698176275098842150], [-536403799154853/1831, 255890033713323/1831, 165273460940907/1831, -79655743121418/1831]]], 0, 12288, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[-12, 6, 4, -2]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, 7, 26, 17/2], [-36, 107/2, 88, 81/2], [5, -1/2, 5/2, 3/2], [0, 0, 0, 0]], [[487600193, -1688447297/2, -794056361/2, -1939583], [-7941217888055/3662, 2471365087835/1831, -3444279157863/3662, -2684928048299/3662], [2655461785/2, 781989797/2, -243802804, -65489384], [-3893/3662, -3625/3662, -2362/1831, -2/1831]], [[-50518805296203842, 288697463509339238, 70464776106769533, -62969064640083914], [-139448360651683425087/1831, -2743157300394823479585/1831, -501157122761488843585/1831, 579440112113414405266/1831], [294229818767871921, 500011248652418336, 25259117887176641, -93830012187627722], [-359416093614/1831, -1604719642792/1831, -220786579738/1831, 326796262852/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 12, -1, -11/2], [1, 3, -2, -1/2], [0, 0, 0, 0]], [[2281, 3775/2, -1100, -1/2], [146266608/1831, -7081066042/1831, -1492765566/1831, 3130474291/3662], [355740, -2755896, -1149621/2, 1162689/2], [-11617/3662, -9585/3662, 2806/1831, -3/3662]], [[-1789018110, -4952135507/2, -155517637/2, 429086713], [1305131412449454/1831, 2600275407435098/1831, 463976487580751/3662, -473540807544789/1831], [265119402240, 893727315360, 115452486864, -176471735616], [9104100071/3662, 6301176233/1831, 199323608/1831, -1091256683/1831]]], 1, 48, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[-12, 6, 4, -2]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, 15, 0, -27/2], [24, -137/2, -81, -11/2], [-5, 3/2, 5/2, -5/2], [0, 0, 0, 0]], [[9166005, -53282275/2, 5063007, 7640843/2], [-70460370389/3662, 185775817547/1831, 61137361315/3662, -36431782871/3662], [31871881/2, -42224345/2, -4579574, 8311931/2], [4693/3662, 3195/1831, 3012/1831, 1/1831]], [[-777593903439501, 2197194535414337, 632547806133035, -998264549097867/2], [3590049143546196564/1831, -18155136774734805897/3662, -2700373171606088175/1831, 2085084879995318840/1831], [-416332583106180, 2853890674273449/2, 777674104131393/2, -321019881565687], [-25909978815/1831, 189686422107/1831, 44676949869/1831, -40981331862/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [13, -10, -83/2, -19], [1, 5, -5/2, -5/2], [0, 0, 0, 0]], [[-13, 183, 67/2, -13/2], [-9913873262/1831, -17817273878/1831, -2130547186/1831, 7658057311/3662], [-3127238, -4775719, 81006, 795239], [400/1831, -8221/3662, -1181/1831, -1/1831]], [[-17436478, -71881839/2, -1005631/2, 8136469], [6792091157620898/1831, 13754162870255225/3662, -339066939315614/1831, -1174367431204318/1831], [1962708212239, 4205497545437/2, -76951506148, -728237199331/2], [768127553/3662, 748729679/1831, -39568671/3662, -182941732/1831]]], 1, 48, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[4, 20, 4, -4]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [95, -160, -665/2, -114], [3, -5, -19/2, -9/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [3794, -7377, -17349, -1351/2], [3375, -8625, -1500, 2625/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [428364/1831, -575785/3662, -332619/3662, 62300/1831], [59, -79/2, -23, 17/2], [341/1831, -229/1831, -265/3662, 99/3662]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7, -27, -81/2, -5], [1, -1, -11/2, -1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1261201794204/1831, 1257430662430/1831, -69509032099/1831, -212885116990/1831], [-3984380, -144753, 688848, 12091], [7124/1831, 2513/1831, 5168/1831, 1/3662]], [[0, 0, 0, 0], [-1481707790623686279578/1831, -1476495085243356069358/1831, 79994957576406442360/1831, 251441189800912557995/1831], [4440315266574960, 929266339723880, -934407640491320, -9899394549048], [-11748726793435/1831, 3995634903703/1831, 3761845270408/1831, -2664043891451/3662]]], 0, 384, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[4, 20, 4, -4]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, 1, 14, 13], [-21, 37, 183/2, 39], [-5, -2, 3/2, 5/2], [0, 0, 0, 0]], [[-133072698, -1030948768, -10810548, 425858373/2], [3124636319463/1831, 7593500860689/3662, 1072268161629/3662, -857813760395/3662], [-3004216970, -7356706611/2, 66536349, 648547082], [-8755/1831, 5960/1831, 2481/1831, -1/1831]], [[2824653977536606656, 2530472681128050960, -171340116040338504, -405487544642835144], [-26074627839084960856738/1831, -25499248941798882697263/1831, 1736518686486031970635/1831, 4447920263375353015183/1831], [24662183088972010008, 24133854363960957672, -1412326988768303328, -4089890318100632136], [36551461907511/1831, 41098723832816/1831, -607155666661/1831, -13515649818437/3662]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [25, -25, -117/2, -31/2], [-4, 4, 1/2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-22540518, 28357152, 19897497, -9555334], [375240, 8081652, 1183596, -1557564], [0, 0, 0, 0]], [[476, 9, -120, 33/2], [-1332887/1831, -22413/1831, 336349/1831, -46915/1831], [0, 0, 0, 0], [1341/1831, 23/1831, -677/3662, 47/1831]]], 0, 384, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[32, 0, -8, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 1, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4320335/1831, -36229/1831, 8201703/1831, 3429/3662], [-594, -10, 1142, 21/2], [-3431/1831, -37/1831, 6555/1831, 4/1831]], [[0, 0, 0, 0], [-16829377721205662/1831, -20040547736562589/1831, 262167383614906/1831, 7117509150928443/3662], [-2311379080585, -2756123376975, 35315884475, 979172145655/2], [-13347273144045/1831, -15925423399550/1831, 201705361615/1831, 2829155548070/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-28, 43, 94, 35], [2, -9, -3, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [16986242936/1831, -43180460574/1831, -18896951507/1831, 8456162463/3662], [-32829773, 94524206, 18812355, -36328637/2], [-231/1831, -7287/1831, -12048/1831, -4/1831]], [[0, 0, 0, 0], [-3931985534200171700110/1831, -3807633440453236503120/1831, 234272982199634605781/1831, 643722725470296006095/1831], [-1717133890551710528, -1873258581447969938, 60346292332639391, 325921648801596303], [27908624393824986/1831, 27493885430990860/1831, -1569531357849924/1831, -4668652128385511/1831]]], 0, 24576, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[-4, 2, 2, 0]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [11, -29/2, -23, 6], [4, -3/2, 5/2, -5/2], [0, 0, 0, 0]], [[-63, -323/2, -49/2, 9/2], [61553593043/1022, 142632973131/511, 181260140051/1022, 154737167587/1022], [291327103/2, 71550379/2, 135556854, 38661701], [751/1022, 2167/1022, 264/511, -1/511]], [[-145678822, -1905004084, -335468602, 395352044], [-332177314304681414/511, 2698516208987159592/511, 601599206413596045/511, -575668402872621763/511], [2087312284873814, -2460921830283238, -992313487138514, 607062446966107], [1063516064/511, 11864114462/511, 2056315936/511, -2454831143/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, -27, -59/2, 5], [-1, -4, 5/2, -5/2], [0, 0, 0, 0]], [[-862, 1113/2, 277/2, 0], [-9990563493/511, 12569290345/1022, -10024303931/511, -3367106231/511], [6778050, -140469455/2, -26252019/2, 11159624], [-3337/1022, 2167/1022, 264/511, -1/511]], [[309366032670, 748939723851/2, -3209129705, -132614876359/2], [4178005216768389533/511, 10976938952637965679/1022, 4973440744188013/1022, -1009053492442328860/511], [9552430080795870, 13457241392865771/2, -1084656368205065, -2073557483048359/2], [1195677259773/1022, 724505869783/511, -12079075273/1022, -128322202167/511]]], 1, 48, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[-4, 2, 2, 0]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7, 1, 5/2, -1/2], [-5, 2, 5/2, 1], [0, 0, 0, 0]], [[-298, -233, -219/2, 31/2], [-18130892271/511, 88301035798/511, 26352197029/511, -21118312654/511], [-23442114, 122099686, -1815101, -15019242], [1864/511, 3137/1022, 1763/1022, 3/1022]], [[23, 9/2, -29/2, -11/2], [-131921/1022, -7006/511, 105901/1022, 40655/1022], [-309/2, -37/2, 120, 46], [-309/1022, -37/1022, 120/511, 46/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5, 11, 37/2, 1/2], [1, -5, 3/2, -1], [0, 0, 0, 0]], [[-70, 591/2, -1309/2, -3], [3446920413/511, 5626785050/511, -226357227/511, -1953761983/1022], [-7362864, -4392, 1407672, -118152], [-271/1022, 1145/1022, -1269/511, -1/511]], [[-3055380055, -10557326458, -2758402717/2, 4149277713/2], [85886764061495063/73, 83191154351749960/73, -5115723841705699/73, -14068554325730122/73], [-812497948414272, -825453575205912, 40727816167716, 141244350215004], [-840501900/73, -5849581927/146, -766724511/146, 1150242415/146]]], 1, 48, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[12, 20, 0, -4]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24, 46, 155/2, 16], [1, -5, 9/2, 23/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-163462, 3046394, 963270, 729210], [673670, -1254420, 1010505, 139380], [0, 0, 0, 0]], [[-73, 232, 76, -95/2], [-18793/511, 119001/1022, 19771/511, -12035/511], [48, -305/2, -99/2, 63/2], [-142/511, 451/511, 295/1022, -185/1022]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, -5, 19/2, 10], [-5, 10, 25/2, -3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1471438, 1689102, -21931, -299973], [-148820, -48898, 6378, 12756], [0, 0, 0, 0]], [[-73, 232, 76, -95/2], [1136/511, -3608/511, -1180/511, 740/511], [0, 0, 0, 0], [-142/511, 451/511, 295/1022, -185/1022]]], 0, 384, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[12, 20, 0, -4]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-11, 47/2, 3/2, -21], [5, -1/2, 1, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [20841915266/511, 24273229954/511, 966901970/511, -4873879168/511], [-54664380, -61256648, 1998962, 10575991], [-571/511, 1119/511, 2423/511, 1/1022]], [[0, 0, 0, 0], [-200301774289392834/73, -202588014761028842/73, 10142157460832426/73, 34612158936288477/73], [3669969543261690, 3513785865483850, -226688505598105, -592255774291900], [895029408/73, -4724386576/73, -541638552/73, 1419197416/73]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-38, 57, 94, 31/2], [3, -11, 1, 35/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [33385612233541/511, 33270839944834/511, -1846240948505/511, -5606202050114/511], [-275415997, -2009930757, -124146070, 363848008], [-722/511, 26/511, -2917/511, -5/1022]], [[0, 0, 0, 0], [-6153827863151641694650/511, -5685719523373791994790/511, 845870991577459516287/1022, 1899313351601306702619/1022], [485261197910565202, -860968809997055076, -589714788038602015/2, 204727926835801494], [-1316425742682/511, 4214382348951/511, 1156891581519/511, -974870790228/511]]], 0, 384, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[48, 16, -8, 0]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, -4, -12, -15/2], [1, -5, 0, -5/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [681063928729/511, 646246012262/511, -30029079917/511, -215947978145/1022], [-303572840, -424450820, 15053600, 143491765/2], [6914/511, 1921/511, 494/511, 2/511]], [[0, 0, 0, 0], [-31916136546571002322/511, -48936455820183386004/511, -1270382169938464530/511, 9251376006748010802/511], [34308988880013200, -27432070116551950, -13795845436262650, 7343075337430835], [428153241728/511, -2393358422185/511, -524747097956/511, 554915666429/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [21, -44, -81, -63/2], [-4, 4, -4, 3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [26003965432/511, 25367311936/511, -1402881208/511, -4175070288/511], [38327256, 39172680, -1670328, -6790068], [-5772/511, -2626/511, -2785/511, -3/511]], [[0, 0, 0, 0], [-71974373896597786/511, -85125544599992368/511, 1280605436922150/511, 15170674383888014/511], [-125812270636830, -75667779443412, 16920564269040, 10685457271791], [-373955693540/511, 1101378896320/511, 310524686770/511, -250377966830/511]]], 0, 24576, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[48, -32, -24, 8]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16, 18, 4, -13/2], [11, -3, 2, 1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [205000493350/511, 400567215598/511, 29864235166/511, -75349121766/511], [-459477642, -718874078, -11480696, 126121971], [-3306/511, -1145/511, 3049/511, 2/511]], [[0, 0, 0, 0], [-481008785912595009414/511, -336756467414971260388/511, 53612877979723408189/511, 50833155885094918960/511], [976304499222957514, 720260396980304636, -102747267478010327, -111417051309575205], [5642084500250/511, 943146731650/511, -1596760072800/511, -138896909300/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-19, -9, 12, 7/2], [-14, 3, -2, 5/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-36465014476/511, -32389556756/511, 12287705630/511, 10869334814/511], [-58085456, -3097214, 19192572, 761610], [3488/511, 1992/511, 1235/511, 5/511]], [[0, 0, 0, 0], [-209506735626366250/511, -289082576085977370/511, -11554943102428652/511, 48930878694297350/511], [-512263517705828, 333395722353366, 193676426458702, -94994020666369], [45825286964/511, -45442805404/511, -19253665036/511, 10467435648/511]]], 0, 196608, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[-16, 14, 6, -4]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [24, -47/2, -6, -1/2], [-16, -1/2, 5/2, 0], [0, 0, 0, 0]], [[238, 369/2, 73/2, -15/2], [-28156737929/1022, -1741174965/511, 7604809481/1022, 1053322807/1022], [46575623/2, 34073147/2, -2372462, -2695765], [-2977/1022, -2503/1022, -362/511, -5/1022]], [[-38793435, 75452850, -44052270, -95344965/2], [5605555556591275/511, -24996250056719173/1022, -4883184469038046/511, 4058543272323355/1022], [-3723224271765, 9853574723595/2, 3689415350655/2, -1159291884690], [193509885/511, -382294440/511, 905967705/1022, 729606195/1022]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13, 9, 41/2, -1/2], [-7, 3, -1/2, 1], [0, 0, 0, 0]], [[-458, 1253/2, -134, 0], [-98041264376/511, -207429961763/1022, 10197264213/1022, 17352971320/511], [-159988835, -258182385/2, 13404412, 42251927/2], [-1773/1022, 1216/511, -264/511, 1/511]], [[-7240508861, 5094855645, -1248717850, -3577149790], [-2203695043898990086/511, -2192999747707188680/511, 352722694725415765/1022, 810685876093027733/1022], [-3420673483772512, -3168007574953778, 489001194003141/2, 536546754584710], [-14067161083/511, 10019694665/511, -2297814478/511, -13830497941/1022]]], 1, 384, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[-16, 14, 6, -4]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 15, 5/2, 7/2], [10, 1, -1/2, 0], [0, 0, 0, 0]], [[-68, 17/2, 185/2, -15/2], [-115830190507/1022, 147245812809/511, 12238418216/511, -51445747175/1022], [17576243/2, -328552471/2, -52483219/2, 63119645/2], [871/1022, -71/1022, -626/511, -3/1022]], [[721081452, -731180632, -204003436, 242380320], [-112036186981349627/73, 683232506266760431/146, 92752116350347089/73, -78339670495971559/73], [849070007314268, -2424104483922423/2, -910865873077019/2, 583161691948343/2], [-633055696/73, 606146268/73, 131224184/73, -229055918/73]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-25, 0, 41/2, 1/2], [-17, -4, -5/2, -1], [0, 0, 0, 0]], [[-505, 287/2, -1693/2, -9/2], [8875984946249/511, 13406645893832/511, -604806224915/1022, -2203518900129/511], [23716122450, -5163723115, -13035457375/2, 1917473730], [-1955/1022, 563/1022, -3279/1022, -5/1022]], [[-62064152056, 87115416226, 120899130338, 29800808330], [292538114785648581060/511, 436432008865901136944/511, 23852146084024176019/1022, -160652199582632919485/1022], [687660292114704000, 97691516105352750, -306725270387866875/2, 8315057067997500], [-119701419202/511, 168213882758/511, 232084926614/511, 56803515644/511]]], 1, 384, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[4, 24, 4, -4]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [48, 56, -7, 4], [46, 4, 0, -1], [0, 0, 0, 0]], [[93, 378, -322, -2], [-391256277900/511, -360398624442/511, 18736626366/511, 122535548047/1022], [-517438997, -593968607, 17466100, 203886189/2], [180/511, 731/511, -626/511, -3/1022]], [[5344388598, 30630848901, 7533649986, -8980250925/2], [-34415382407194326082/511, -66238697251276700251/1022, 4353525888612181739/1022, 5643034656353763402/511], [-47488815401143740, -96527189033230905/2, 2408958259791603, 8274267375971196], [10278371487/511, 59382842496/511, 29112043965/1022, -8746250505/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [11, 35, 27/2, 2], [26, -1, 1/2, 5/2], [0, 0, 0, 0]], [[-1553, 472, 202, 1/2], [222159239354/511, 437287106647/511, 17567053177/1022, -3102485903/1022], [824733924, -162650439, -67250127/2, 37637019], [-3006/511, 925/511, 775/1022, -1/1022]], [[-65235903518, -207474793538, -25965921150, 38900604143], [35182984182044553387/511, 8214119390814868596/511, -20802505306852107479/1022, -5195046447356984311/1022], [40226628245257755, 107205184095611805, 16047600300447345/2, -22078876597164765], [-125699136354/511, -402257082432/511, -50451714871/511, 75487350121/511]]], 0, 3072, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[4, 24, 4, -4]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-15, -5/2, -1/2, 6], [7, 3/2, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [904718795/511, -1368431447/511, -243079566/511, 261384157/511], [-760475, 957398, 292983, -187317], [1413/511, 1727/511, 3313/511, 1/511]], [[0, 0, 0, 0], [2038021228041985534/511, 11833970504117985926/511, 1833133536118477478/511, -2412496651436752711/511], [-2779960736776600, -9161425481039100, -1101564170056550, 1832848927670375], [18503784072727/511, 44594237884228/511, 4958138358309/511, -16173808942491/1022]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, -9, 15/2, 3/2], [-7, 1, 5/2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4413987/511, -10844707/511, -11502576/511, 7001207/511], [4323, -2420, -286, 847], [-571/511, -414/511, 2934/511, 1/1022]], [[0, 0, 0, 0], [-18144825438456/511, 5898869869817/511, 8998905538005/1022, -2279339170889/511], [173858425125, 161863047500, -23911105603/2, -54564880755/2], [-16249484808/511, -24557824404/511, -1233047808/511, 4198935780/511]]], 0, 3072, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[0, -14, -4, 2]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, -3, -4, -27/2], [32, -9/2, -55/2, 5], [18, 3/2, -2, -5/2], [0, 0, 0, 0]], [[525938956, -2277429277/2, 227944066, 981642013], [5110866933797/3662, 7158405490447/1831, 4083733568355/3662, -2819995923331/3662], [3264137037/2, 1442211735/2, -263006233, 86830445/2], [-11217/3662, -6390/1831, -10217/3662, -2/1831]], [[87900954520457415, -456797258903409165/2, -68573239850052927, 52036253656160184], [34743676340039198361/3662, 708046618935782157715/3662, 66167790655352925286/1831, -149882530489849185799/3662], [179851132471134411/2, -105726830332133010, -43942387803790470, 26292156097947387], [-3281843235903/3662, 3919072154535/1831, 1197174991731/1831, -902395230873/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 4, 39/2, 25/2], [3, -1, -5/2, 2], [0, 0, 0, 0]], [[-95, -73/2, -187/2, 21/2], [-107089547361/1831, -235484774115/3662, 2410975070/1831, 42552481081/3662], [-40160722, -55763919/2, 3804243, 4530379], [3893/3662, 897/1831, 2362/1831, 2/1831]], [[18018436729, -1523728231/2, -4425018910, 2200495829/2], [16225550838448497930/1831, 32456739383191593983/3662, -1733799875164140981/3662, -2767651638454377616/1831], [5652297717685176, 9812410531159013/2, -900173799838415/2, -1609125713328787/2], [-764136693085/3662, 14282199043/3662, 177539367299/3662, -23264386749/1831]]], 1, 384, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[0, -14, -4, 2]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, 4, 1, -4], [3, -7, -21/2, 3/2], [2, 2, 1/2, -1], [0, 0, 0, 0]], [[1055530, -4352635/2, 327526, 118763], [-10994206381/3662, 13167549903/1831, 1143672599/1831, -3957884881/3662], [6747619/2, -182355/2, -1029967/2, 33115], [4293/3662, -1616/1831, 3543/3662, 3/3662]], [[62974160286621, -215781611795675/2, -77155457409601/2, 50217070591865/2], [-454731455237379013/3662, 445482719244628668/1831, 144887389176116115/1831, -105625367458127031/1831], [374241847993683/2, 156948232417995/2, -62443432689815/2, -8487943283021], [272310359049/3662, -165457076905/3662, 68924573325/3662, 72446622832/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [18, 2, -7/2, -3], [12, 0, 3/2, -1/2], [0, 0, 0, 0]], [[2855, 3361/2, 2930, -11/2], [-6295141932921/1831, -6651109070098/1831, 249733554301/1831, 1148920613780/1831], [-2281330572, -2481123811, 155165659/2, 433553025], [-14479/3662, -8651/3662, -7530/1831, -5/3662]], [[10714956774320, -19222655804870, -6603113663430, 4482961183170], [-6049129935078301491822/1831, -7075089516110694242422/1831, 235863116264155068491/3662, 1249719063858160807967/1831], [-2161573937269025032, -2718597239182971107, 7990961457952655/2, 974046903260935855/2], [-27263729238070/1831, 48908091416980/1831, 16803786558110/1831, -11404187742870/1831]]], 1, 384, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[28, 8, -4, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-20, 51, -97/2, 3/2], [73, 3, 5/2, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-444427802266479/1831, 1272255065634299/1831, 1076615184500341/3662, -680309159675461/3662], [-21395875268, -342098291539, -178342110359/2, 76663072093], [-8955/1831, 6642/1831, -5168/1831, -1/3662]], [[0, 0, 0, 0], [-80591527422476213535704/1831, 348602114706655482998885/3662, 112955528344213693822321/3662, -40811312665618951698308/1831], [79812513257319297983, 43115865999138857659/2, -16104125133654010631, -2393266092080196217/2], [-59859805237/1831, 12650981109219/1831, 4920017164437/3662, -5382241920277/3662]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [46, 82, 217/2, 24], [64, 4, 3/2, 5/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [79127860954441/1831, 265375764925686/1831, 159918430077145/1831, -182454724202553/3662], [63137323858, 32064006051, 20017890205, -29429428523/2], [-2662/1831, 252/1831, -14854/1831, -5/3662]], [[0, 0, 0, 0], [4237109454734915893258966/1831, 5712307375280275970460345/1831, 206302047880473321470373/3662, -1034498101428527024785682/1831], [1745715493184770595180, 2392258780017051399440, 82818302174811102655/2, -873076084954318855785/2], [-48261243021192/1831, -269039351036000/1831, -52562216549468/1831, 50355109164524/1831]]], 0, 3072, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[28, 8, -4, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, 10, -15, -17/2], [-36, -65/2, 3/2, 7/2], [-23, -5/2, 2, -1], [0, 0, 0, 0]], [[504588, -10968782, -4913726, -1886198], [-90014321658/1831, -97047960359/1831, -42503379/1831, 16417264044/1831], [-23319174, -31765016, -252294, 4979803], [5293/1831, 682/1831, -5818/1831, 1/3662]], [[-479995183114850, 5243499929815550, 1401310474003050, -1023598958826925], [34095119354200071646/1831, 33388088437086960673/1831, -1900559271244887455/1831, -5616577563626583763/1831], [8528344051830200, 11826929731930625, 239997591557425, -2141754781792925], [-666509874738/1831, -3294007604505/1831, -435845523441/1831, 722606783589/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 31, -91/2, 17/2], [61, 5, 3/2, 0], [0, 0, 0, 0]], [[-1808, -3737, -750, -3/2], [19611164355117/1831, -56136140699405/1831, -35982745358172/1831, 19073733864807/1831], [-14280398000, -5179638552, 5675306560, -22111584], [-5093/1831, -10519/1831, -4193/3662, -1/1831]], [[1482715373400, -2174887036850, -820591129600, 524683031675], [-3408439271639245838214/1831, 10991392135588538686598/1831, 3284734394767127413349/1831, -2578374598886863402512/1831], [3410333298696783888, 56642012459751576, -877023001738243360, 146832536914622416], [4181253780950/1831, -6142039440150/1831, -2315768685575/1831, 1481554461050/1831]]], 0, 3072, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[48, 112, 8, -24]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [41, 72, 89, 14], [45, -1, 5, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [72445709004744/1831, 137977251683855/1831, 22189755787851/1831, -42830361217277/3662], [23140167079, 47682617579, 4854804648, -18502678807/2], [-11617/1831, -7754/1831, 3781/1831, -3/1831]], [[0, 0, 0, 0], [1501544902948103078/1831, -1819883699475181068/1831, -705630949360600843/1831, 468149075248806638/1831], [611932012214732, -929335712107582, -337411926817927, 224044016303847], [-244680336/1831, 408537166/1831, 146439484/1831, -99391367/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, 7, 4, -3], [4, -1, 1, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [3901907439/1831, -6442564284/1831, -1767521813/1831, 1360559081/1831], [-4730637, 10333657, 3366261, -2444392], [-4062/1831, 3195/1831, -4312/1831, 1/1831]], [[0, 0, 0, 0], [19218054594948849091/1831, -7290295752519596139/1831, -6228390755478487622/1831, 4685800621498440233/3662], [-15686016376233882, 15186020694287646, 7006166036733759, -7811434214646783/2], [-42092169929901/1831, 17029168331994/1831, 12644876480418/1831, -5554393946829/1831]]], 0, 196608, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[8, 40, 8, -8]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7, 13, 22, 5], [-1, 2, 3, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1377244/1831, -4156550/1831, -4583745/3662, -3791/1831], [1676, -5101, -5491/2, 9/2], [-2031/1831, 6175/1831, 3337/1831, 1/3662]], [[0, 0, 0, 0], [38520055678378/1831, 31087710982153/1831, -3524904044594/1831, -4987237266678/1831], [48169249150, 38862718719, -4409736573, -6234096187], [-58253721020/1831, -47005609464/1831, 5331615267/1831, 7540673349/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7, 3, 27, 11/2], [4, -4, 2, 1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1432753496106/1831, 1125553049458/1831, -323699613826/1831, -89967504635/1831], [197908852, 171611306, -44861254, -16722318], [4462/1831, 4596/1831, 4962/1831, -2/1831]], [[0, 0, 0, 0], [-46172664936341117344/1831, -48918670288373263960/1831, 1955172144971012356/1831, 8466769365795833597/1831], [-6483207919411600, -6986902667416750, 247738032273238, 1212091218030472], [-193777809765/1831, -119426712228/1831, 29133703098/1831, 19616652717/1831]]], 0, 6144, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[8, 40, 8, -8]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7, 13, 22, 5], [-1, 2, 3, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1125894/1831, -15626685/1831, -41404305/3662, 94671/3662], [-137, -2180, -5855/2, -28], [-831/1831, -12565/1831, -16685/1831, -5/3662]], [[0, 0, 0, 0], [-2936706282729551404/1831, -2891819181376723687/1831, 165390879065281391/1831, 491004022471150861/1831], [-404831778536482, -398644653196739, 22799406223854, 67686190693867], [-2338182429633338/1831, -2302438450088118/1831, 131683938356495/1831, 390932459436419/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1, 1, 5, 3], [-1, 2, 3, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-287125/1831, 8823558/1831, 13653865/1831, -13899/3662], [32, -865, -1356, -27/2], [169/1831, -4989/1831, -7736/1831, -5/1831]], [[0, 0, 0, 0], [-6003878438516992/1831, -5918086873797286/1831, 336915450737357/1831, 1005056115308405/1831], [586633559980, 578251244200, -32919488280, -98203101035], [3388210418010/1831, 3339793646030/1831, -190133967110/1831, -567189910040/1831]]], 0, 6144, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[64, 0, -16, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24, 10, 17, -12], [-2, 8, -5, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [162247699780/1831, 238461852696/1831, -10472636285/1831, -41491889753/1831], [27891678, -83812592, -18421347, 17879076], [11386/1831, -1364/1831, 4312/1831, -1/1831]], [[0, 0, 0, 0], [6050636255404945809/1831, 5890677888151025627/1831, -354275289735829012/1831, -997220186113553005/1831], [-58128387075571, 12561548075316, 17205508662399, -5153074721904], [282030861320/1831, 298812090899/1831, -11667520111/1831, -51662405341/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-44, 120, 54, -63], [-38, 78, 102, 9], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4039264894/1831, 12780725308/1831, -2920466547/1831, -376128739/1831], [-1424534, 4252734, -212819, -552896], [-2462/1831, -11416/1831, -9036/1831, -3/1831]], [[0, 0, 0, 0], [-49606035157168529205/1831, -48290158428748205590/1831, 2905139835525405326/1831, 8175067553493704997/1831], [-22106680996030719, -21641675223753979, 1270450759648104, 3669026562750414], [-3585819521276544/1831, -3535303607154295/1831, 201106929765102/1831, 600438787395482/1831]]], 0, 393216, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[24, 40, 0, -8]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5, 18, 23, 5/2], [2, 0, 4, 5/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-157329560/511, -115324467/511, 35870974/511, 11471974/511], [-177910, -240651, -975, 43440], [-3728/511, -2626/511, -230/511, -3/511]], [[0, 0, 0, 0], [-18674624666/511, 262026258743/511, -3183572463/1022, -70402432685/1022], [-154281954, 691029331, 343317675/2, -152081119], [5908677/511, -11908250/511, -3570290/511, 3060311/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7, 23, 6, -41/2], [0, 1, 0, -3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3621608008/511, -3854249106/511, 251031544/511, 625084870/511], [-3294226, -3349964, 180206, 566979], [-8718/511, -1287/511, 1567/511, -4/511]], [[0, 0, 0, 0], [1354878845794/511, -664689163154496/511, -124574008065986/511, 148922636621488/511], [-116978985828, -266349497064, -22059600723, 52986908127], [-2391356000/511, 5374327200/511, 1875438400/511, -1139309600/511]]], 0, 6144, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[24, 40, 0, -8]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 5, 7, -11/2], [-5, 2, 0, 5/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1044326705900/511, -688212885832/511, -2469984132057/1022, 600884417089/511], [1328363223, -1074542271, 861234187/2, -535340619/2], [-2284/511, 899/511, 494/511, 2/511]], [[0, 0, 0, 0], [12760536289733109515/73, -15153222424536988776/73, -12790023288920426393/146, 3967961075366923758/73], [-95752777071396610, 472620281662363340, 238109254816859943/2, -213653192612740661/2], [-743897200/73, -54278459198/73, -10487051208/73, 11749064894/73]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 20, 15, 6], [0, 2, 1, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [15017360754/511, 29636522112/511, 2700091568/511, -10146200933/1022], [-171465, 11793135, 2387400, -4444635/2], [-480/511, 1798/511, 2521/511, 4/511]], [[0, 0, 0, 0], [-1273638716392184/511, 55381148278795/511, 332753169067960/511, -66625458130845/511], [-444404851380, 685690430775, 249570471150, -165347491050], [45736567/511, -182820669/511, -51520298/511, 41029693/511]]], 0, 6144, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[96, 32, -16, 0]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [26, -95, -122, 10], [-6, -1, 3, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [1366576743667/511, -2125255924599/511, -934307176422/511, -164582623494/511], [163673659, 576717436, -109311856, -118823268], [-3306/511, 388/511, -2061/511, 2/511]], [[0, 0, 0, 0], [12380979992655860908/73, -58557755978795621206/73, -15453330153791717582/73, 12487289803149671580/73], [-50568259192563448, 34701672220056340, 18987277582148428, -9775746172667268], [-4873915376/73, 166441807832/73, 33001692064/73, -36009853416/73]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-140, 206, 555, 249], [-10, 10, 53, 32], [0, 0, 0, 0]], [[0, 0, 0, 0], [3009101745/511, -9212376966/511, 651491206/511, 1797485943/511], [509911, -1541085, 982263, 19674], [-2946/511, -194/511, 1797/511, -1/511]], [[0, 0, 0, 0], [92741536053907826/511, -521252603861854380/511, -127324269847256491/511, 114899035881539531/511], [-59223313445846, -262071658000898, -37274334274019, 53275310933056], [3040518286560/511, 2987251795680/511, -172598895600/511, -506908984560/511]]], 0, 393216, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[96, -64, -48, 16]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-46, 82, 81, -25], [-74, 0, -5, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [2074809465193/511, 30005724399496/511, 16470020400296/511, 2395684785505/511], [187783861335, 43338602971, -43111438785, -6165247190], [-542/511, -4864/511, -2521/511, -4/511]], [[0, 0, 0, 0], [168587923477910074889/511, -254111772593284304016/511, -135352588414784788576/511, 72615502174660469288/511], [368124877381759479, 1815202970232339831, 309416967700682363, -383712642234819445], [-17672035978/511, 13302662502/511, 8505881745/511, -3544650793/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [24, 6, -8, 11], [16, -10, 0, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1363207677743/511, -958358596969/511, -8252572975/511, 111184193017/511], [-755580489, -2586443370, -285381285, 495790070], [240/511, -1410/511, -1005/511, -2/511]], [[0, 0, 0, 0], [16955399781921030597/511, 22832283312013731239/511, 165389385567392492/511, -4143171568623686108/511], [22643674231808363, 5030248893610622, -4673877467914916, -129621392320602], [5803982724/511, -1680196460/511, -2122570977/511, 486384604/511]]], 0, 3145728, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[8, 48, 8, -8]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-17, 127, 109, -17/2], [26, 5, 3, -5/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2298707180248/511, -2250452313913/511, 271268384959/1022, 385272796079/511], [-3366283571, -3248204082, 404024809/2, 1098183571/2], [-3217/511, -2115/511, -3296/511, -3/511]], [[0, 0, 0, 0], [-599919614115891825494/511, -593528160377931477483/511, 33144206059021565439/511, 100831514842992419700/511], [-874198676660397882, -869560575774494403, 47501504980823520, 148013518925702613], [-570241644444/511, -1646136631278/511, -138422395854/511, 341405543727/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-45, -61, 11, 27], [-47, -2, 2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1241001134409112/511, 1219749480967169/511, -72517802858387/511, -206240563794026/511], [1805003916596, 1855255534611, -88375993444, -317507347246], [1142/511, 317/511, -2802/511, -1/511]], [[0, 0, 0, 0], [-1470218521994926688958394/511, -1450498902827903543303985/511, 82258149723208835339651/511, 492768002580984691613915/1022], [-2160584883470981212509, -2144463103128725105496, 118339673109208523082, 729662190196389763929/2], [-437786777770/511, -1850866770870/511, -517955728684/511, 217498541875/511]]], 0, 49152, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[8, 48, 8, -8]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-35, 106, 389/2, 23], [-34, -4, 5/2, 1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1910835519849139/511, -1936185682359226/511, 102673695042734/511, 332197867642433/511], [5683726125113, 5636418124015, -312704780239, -958581547262], [-2826/511, 2167/511, 17/511, -2/511]], [[0, 0, 0, 0], [-1277665883802609936410032/511, -1246586513986444427672991/511, 146058451709732807500751/1022, 210520118112381322705031/511], [3771876757730542266729, 3711361710164937393048, -425963567877737259095/2, -1260034156844067885753/2], [-462643463760/511, -2679322681088/511, -434485532512/511, 504494039016/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [14, 26, -9, -5/2], [23, 3, -1, -1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [4905566580, 9245941857, -789033192, -2887278199/2], [7716418905, 3198553150, -760303115, -923521885/2], [2, 4, -5, 0]], [[0, 0, 0, 0], [-73476579769718014138484/511, -95665258918424322840259/511, -687391551229430514431/511, 17000140206392966102113/511], [-180224926741801023550, -147712322772082008785, 16280627687808777865, 24018552667922283120], [-14622579376989/511, -64889238607556/511, -10697032314039/511, 11866184399961/511]]], 0, 49152, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[56, 16, -8, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [61, -99, -180, -52], [5, -4, 3, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-98421031964440/1831, -96979851521531/1831, 11106996239795/3662, 32948445869723/3662], [-36963345687, -36436344766, 4141447571/2, 6189507720], [200/1831, 1149/1831, 325/1831, -1/3662]], [[0, 0, 0, 0], [1073940333352697742/1831, 1059039455054696766/1831, -60181283040779689/1831, -359745737348747459/3662], [403189906667363, 398333775064976, -22446860180855, -135378547601987/2], [-18190447/1831, 31204228/1831, 11020290/1831, -7354222/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [28, 29, 33, 15/2], [29, 1, 0, 1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [12697538388476/1831, 10590943217338/1831, -1152411096368/1831, -1855985287170/1831], [4939883796, 3890098494, -439965900, -638039437], [800/1831, 2765/1831, 1300/1831, -2/1831]], [[0, 0, 0, 0], [2827294459002337878/1831, 1164117721835434260/1831, -555063896995435056/1831, -98076796940389146/1831], [1123820252913264, 344870497131600, -241680499242936, -15726772547328], [101958181/1831, 772572182/1831, 118942336/1831, -171436683/1831]]], 0, 49152, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[56, 16, -8, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [95, -20, -72, -26], [53, 5, 2, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [940931512582507/1831, 910157932891475/1831, -112577346445555/3662, -153998733860770/1831], [356219832583, 342742732329, -43109423397/2, -115764591461/2], [200/1831, 2980/1831, 325/1831, -1/3662]], [[0, 0, 0, 0], [9847493235447458571582/1831, 9641354741619357684123/1831, -565713152224974100384/1831, -3269067024987629670825/3662], [3725195295659222897, 3639368315389603861, -215609288307466485, -1233331843825723503/2], [3655595079/1831, 26921941924/1831, 4509449148/1831, -5795315920/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [58, 49, 21, 42], [58, 1, 3, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-47218467542660668/1831, -46848668245519922/1831, 2683617977418815/1831, 15914494273810957/3662], [-19478144107815, -18921558585720, 1142846016270, 6411215788525/2], [-7955/1831, -9585/1831, -1712/1831, -3/1831]], [[0, 0, 0, 0], [24322547991837234417625531/1831, 25699775906392086308102039/1831, -1013016940492476067433275/1831, -8882282008100593635245201/3662], [10389214951327957588486, 9406210512255805399738, -750206328625899893468, -3122389152235034612015/2], [2450735423565/1831, 10223557367595/1831, 1402203091575/1831, -2152332137670/1831]]], 0, 49152, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[96, 224, 16, -48]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [64, 64, 25, 7], [56, 0, -1, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [23680044578301/1831, 17843266754044/1831, -1299708315710/1831, -1543203065560/1831], [9148608273, 3234323277, -203548114, -636344883], [-1200/1831, -1401/1831, 12698/1831, 3/1831]], [[0, 0, 0, 0], [97416548569420662589363/1831, 96220081287242531520083/1831, -5434408514745521027153/1831, -16354758971819386239873/1831], [33575753720070479335, 33589039401701180770, -1790517975477661380, -5724997858609080575], [-1241969595300/1831, 418006930495/1831, 354392568425/1831, -145405683850/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -8, 8, 5], [-14, -4, 6, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-11094903393/1831, -48340931882/1831, -12345604734/1831, 7793514974/1831], [-35834099, -14580759, 5335702, -106781], [5724/1831, 10949/1831, 4724/1831, 4/1831]], [[0, 0, 0, 0], [95787296094733365/1831, -236252525666237671/1831, -71869203189436717/1831, 54705447032236239/1831], [-40585712969983, 156003331723504, 42198652785514, -35184068339031], [-6373420560/1831, 7103398361/1831, 3022669297/1831, -1897015417/1831]]], 0, 3145728, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[16, 80, 16, -16]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [702, -1264, -2267, -650], [52, 30, -435, -353], [0, 0, 0, 0]], [[0, 0, 0, 0], [-170458187424/1831, 211564296106/1831, 763927511763/1831, 814708005295/3662], [-75449241, 151151248, 219853973, 44239749/2], [7555/1831, -1868/1831, 13879/1831, 4/1831]], [[0, 0, 0, 0], [14921348346207707248944570/1831, 14711436510977224181372370/1831, -836789286464237456152551/1831, -2498614871439491036351611/1831], [7157426064119874757990, 7056698612842923623916, -401395967382212263005, -1198519826940958398988], [91782629459299213294/1831, 90491267495074831376/1831, -5147204934264691134/1831, -15369180036731573011/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, -28, -37, -6], [-10, 2, -3, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-231073025278/1831, -69203841754/1831, 77564902237/1831, 26593488460/1831], [-50641116, -19592770, 14207431, 4914972], [-21172/1831, -2728/1831, -531/1831, -2/1831]], [[0, 0, 0, 0], [6707335735364877599/1831, 7859067229047035903/1831, -220035680916441298/1831, -1455602183585126086/1831], [1539176106712083, 1725902871112802, -61021886473199, -310627637141841], [524567668790/1831, 931941063025/1831, 76832721635/1831, -179913704585/1831]]], 0, 98304, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[16, 80, 16, -16]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-930, 1630, 3100, 968], [-128, 104, 686, 432], [0, 0, 0, 0]], [[0, 0, 0, 0], [72395064406/1831, 238703285445/1831, -1052932519655/1831, -2058095054805/3662], [249068695, -542582009, -622798568, 131553401/2], [-6293/1831, 6390/1831, 7855/1831, 2/1831]], [[0, 0, 0, 0], [1989473398567947429849428/1831, 1961511836745093928155294/1831, -111564460678681868518859/1831, -333147562655308871967679/1831], [12141388241165800302, 11937642573477107618, -687459278956313743, -2026089845264216480], [1474680163179482352/1831, 1453931763085310832/1831, -82700620247940912/1831, -246938072371019856/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-112, 76, 633, 411], [-174, 190, 829, 463], [0, 0, 0, 0]], [[0, 0, 0, 0], [17486165695/1831, -26422177784/1831, -76462684410/1831, 3112585937/1831], [9714147, -14538059, -42890738, -1124450], [-23634/1831, -4989/1831, -11398/1831, -5/1831]], [[0, 0, 0, 0], [-2791560586119147656214992/1831, -2751555995273246427600495/1831, 156696733065127582814555/1831, 467297338862100663735520/1831], [119014566319600080840, 117698480813026235641, -6603012136710106416, -20005502214555393460], [416678825951382645696/1831, 410816662518930142062/1831, -23367424408395005311/1831, -69773769910171519057/1831]]], 0, 98304, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[48, 80, 0, -16]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, -1, 1, -8], [2, -7, -4, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-80568611/511, 229917372/511, 61079047/511, -114745497/1022], [-1066, 3372, -1126, -1609/2], [1502/511, 757/511, -1499/511, -4/511]], [[0, 0, 0, 0], [737856427110/511, -2194227754023/511, -622128747005/511, 499148186945/511], [30537962, -73746041, -22399758, 17147339], [-41910132/511, -76845716/511, -4761810/511, 14665887/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-26, 65, 55, -19], [4, -3, -16, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [301940499907/511, -668764619340/511, -468940454340/511, 284198778902/511], [62940023, 3867081, -9109847, -70942039], [7696/511, 1798/511, -545/511, 4/511]], [[0, 0, 0, 0], [36381805179610331878/511, 94103940023863908543/511, 9830644443111507639/511, -18579063906470524831/511], [102236606122339796, 43616813706241009, -17220593711389790, -4931008764368711], [12206406426736/511, 10673320039600/511, -956301473352/511, -1753926149840/511]]], 0, 98304, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[48, 80, 0, -16]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -11, -28, 0], [2, -3, -9, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10778284688/511, -9934483292/511, 617840187/511, 3257594899/1022], [-148819, 72955, -25863, -98163/2], [-7816/511, -71/511, -741/511, -3/511]], [[0, 0, 0, 0], [10412524395221892/73, 12677547726815642/73, -108440960595198/73, -2264447912080044/73], [-921142263470, 5279651451622, 1246382442614, -1198032733512], [-5390104720/73, 38633180040/73, 9178078000/73, -8582847000/73]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 1], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [290310/511, 995958/511, 463920/511, -1525/511], [0, 0, 0, 0], [1142/511, 3894/511, 1797/511, -1/511]], [[0, 0, 0, 0], [-50291518920/73, 98713209508/73, 32043100576/73, -23515486060/73], [0, 0, 0, 0], [-202770816/73, 402588296/73, 130685118/73, -95941363/73]]], 0, 98304, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[16, 96, 16, -16]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-64, -50, 19, 2], [-56, -2, -1, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [187519442241/511, 173906119362/511, 4176450863/511, -23725136258/511], [218998041, 379838657, 22581044, -61793628], [5532/511, -52/511, 3279/511, 5/511]], [[0, 0, 0, 0], [-41150743597637053279/73, -43592152434388662368/73, 2019904745612830458/73, 15371749835749826191/146], [-443325378578101336, -328327280094012656, 47956839636357245, 104543358397699987/2], [-595416316844/73, -2152378253195/73, -221987813915/73, 446668536666/73]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -17, -21, -7], [-16, -1, -2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [1441579220/511, 2736572665/511, -69170697/511, -550384790/511], [190430, 17747067, 1264250, -2992365], [-4750/511, -582/511, 792/511, -3/511]], [[0, 0, 0, 0], [2323908177583059/511, -149377280666347/511, -1810572523762297/511, -567020708423383/511], [9337886512375, -10382843889598, -4649109595083, 2211884368567], [-2132428050/511, -6170536170/511, -994458555/511, 1018177290/511]]], 0, 786432, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[16, 96, 16, -16]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [118, 130, 21, 0], [114, 4, 5, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [2275764954823039/511, 2302766980144745/511, -181868892113337/511, -413898207436855/511], [3867846699807, 1152709928162, -694898511075, -131819065464], [6012/511, -1850/511, -1797/511, 1/511]], [[0, 0, 0, 0], [130919010508134124972560/73, 121587207521819038981071/73, -7963692992019756219452/73, -40071001717340400976583/146], [985442490298720087327, 1974274565353733344292, 140775574169533666987, -748098969450169662895/2], [93186488334/73, 578431133477/73, 92014392037/73, -110820770555/73]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [45, -52, -57, 13], [63, 5, 4, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-768268370/511, -23852447364/511, -8962056652/511, 6564616137/511], [-64167840, 17111424, 25667136, -8555712], [7576/511, -1074/511, 2257/511, 5/511]], [[0, 0, 0, 0], [-51162362860452432/511, -27922145707832476/511, 8369134090323988/511, 2097349184546183/511], [-204336470745000, -430323331125600, -36796759092720, 84585998562120], [7110747120/511, 109624018100/511, 30783609407/511, -15199221969/511]]], 0, 786432, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[112, 32, -16, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-56, -46, 10, 10], [-46, -2, 2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-32589911366780/1831, -29886746809320/1831, 2318018944392/1831, 4910447320433/1831], [-15545903580, -120244978, 2639695102, -151229663], [-7724/1831, -2298/1831, -4312/1831, 1/1831]], [[0, 0, 0, 0], [20411403155758691782065/1831, 20708345727327021829845/1831, -1044450904682153170096/1831, -7099915373090166726647/3662], [5583529624561226520, 12583568765535866406, 1123225255177543595, -4896188378388104721/2], [2502431548589/1831, 9775768592261/1831, 737011512146/1831, -2360282311821/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-76, -53, 28, -5], [-70, -3, -3, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [117762853507/1831, 118563138856/1831, -16665988292/1831, -25151434199/1831], [53846763, 39641789, -6218290, -6903726], [-21572/1831, 467/1831, 7974/1831, -1/1831]], [[0, 0, 0, 0], [-93511746826196190/1831, -67063252664129961/1831, 10679278955242437/1831, 11717211302858320/1831], [-30636710700646, -54887081244183, -2526505936638, 10300056953296], [2289262242/1831, 37078926666/1831, 6866253408/1831, -8156434386/1831]]], 0, 786432, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[112, 32, -16, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -10, 5, 12], [-4, 0, 3, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1782388/1831, -14349938/1831, -15265701/1831, -409112/1831], [-4082, -27636, -26273, -47], [-2062/1831, -12780/1831, -12048/1831, -4/1831]], [[0, 0, 0, 0], [-225122444369074/1831, -715989649982771/1831, -92190143301774/1831, 283177590666251/3662], [-495872989101, -1249565789997, -134559339349, 485583862583/2], [-235484424215/1831, -586909560950/1831, -62445519385/1831, 113954292095/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16, 6, -3, -4], [-14, 6, -5, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-546661748378/1831, -636028978862/1831, 15549234777/1831, 112408636106/1831], [-250568564, -321886562, 3269097, 56481872], [-23634/1831, 504/1831, -11398/1831, -5/1831]], [[0, 0, 0, 0], [1058938814440953093451/1831, 929982234590436831205/1831, -84401045860286162815/1831, -154215203088544494627/1831], [511220991159942229, 407584197341936974, -48282116951464042, -65077999691849085], [8236334256528/1831, 101757252709353/1831, 25357542962811/1831, -17859004917612/1831]]], 0, 786432, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[32, 160, 32, -32]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24, 4, 46, 9], [-6, 6, 4, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9147305635/1831, 21868728658/1831, 46414443465/1831, 18346362345/1831], [-2001957, 4445467, 7674807, 2377287], [4462/1831, 2765/1831, 1300/1831, -2/1831]], [[0, 0, 0, 0], [-57233465947438/1831, -62750892086946/1831, 6264197543048/1831, 12943658144268/1831], [-7431175966, -3154119314, 1693971552, 735182030], [-52976710/1831, -152141176/1831, -17321660/1831, 30384178/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 0, -16, -10], [-8, 2, -8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4355714974/1831, 4499327255/1831, 8046477909/1831, 5142251268/1831], [-11707228, -17544129, 3404386, 2739845], [-5324/1831, -6820/1831, 1419/1831, -5/1831]], [[0, 0, 0, 0], [-1146867912221273952/1831, -1168539764456166782/1831, 68076271342288480/1831, 206824943077718951/1831], [2958653245107800, 2468487656394142, -253425986719436, -399475964759961], [1301679333088/1831, 1040574048768/1831, -121804803664/1831, -166979304992/1831]]], 0, 1572864, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[32, 160, 32, -32]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [20, -2, 4, 7], [2, -4, -4, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10418732/1831, -567631941/1831, -101182989/1831, 113106904/1831], [-24686, 76919, 40158, -23247], [34620/1831, 6820/1831, 2243/1831, 5/1831]], [[0, 0, 0, 0], [-850005358062162641/1831, -770299260027619654/1831, 61100030535909500/1831, 127894958308348157/1831], [19456656276989, 16925650072053, -1561310150196, -2756964793856], [147216209742866/1831, 151498877429321/1831, -6955688900880/1831, -25974361239287/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, 40, -40, -76], [1894, -2680, -7706, -3518], [0, 0, 0, 0]], [[0, 0, 0, 0], [-137070076530/1831, 301765970758/1831, 347361281519/1831, -117432681185/1831], [-1796426230, 3928361762, 4311888901, -75281956], [3262/1831, -16946/1831, -4312/1831, 1/1831]], [[0, 0, 0, 0], [1695104890510391658661818/1831, 1671256855898137022495547/1831, -95061785563859547172121/1831, -283848982842000963750306/1831], [6569030129092706450, 6478220977523502743, -368072085831628280, -1100340635178393055], [3367282510083703860/1831, 3319906369000911894/1831, -188838329819852727/1831, -563858184668334615/1831]]], 0, 1572864, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[96, 160, 0, -32]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-36, 48, 71, 19], [8, -2, -1, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4809090047/511, 10675113955/511, 7798655695/511, -717032653/511], [179289, 569654, 1153809, -283486], [-4208/511, -2872/511, -775/511, 1/511]], [[0, 0, 0, 0], [47078858269931392/511, -132340393609181278/511, -38215956695663989/511, 29943890787707538/511], [-21052656854410, 60056522148898, 17554403836681, -13790890564231], [16014215012/511, -60363500838/511, -16124559328/511, 13601326174/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [110, -192, -370, -112], [56, -108, -166, -32], [0, 0, 0, 0]], [[0, 0, 0, 0], [58808, -158092, -72031, 107652], [91060, -233144, -139931, 103985], [-10, 4, 8, 0]], [[0, 0, 0, 0], [1228271010367096/511, 1414407195919801/511, -28141853109432/511, -249051950718189/511], [1563622346808, 1810152690767, -33767652135, -319143289496], [-5449545291438/511, -5367278819874/511, 306724379184/511, 911347517559/511]]], 0, 1572864, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[96, 160, 0, -32]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24, 12, 63, 32], [-10, 0, 5, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-157544567/511, 423236867/511, 252314086/511, -140793746/511], [8601, 5940, 256, -1178], [-2466/511, -3014/511, 809/511, -5/511]], [[0, 0, 0, 0], [-341310420441146/511, 1282947568819654/511, 645625542248089/511, -343614656312261/511], [-138154063510, 1004140796722, 240148160627, -218672508660], [-260683136432/511, 528647970750/511, 169243074962/511, -126691106600/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [22, -36, -57, -17], [0, -8, -5, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6240991004/511, 17442641665/511, 4979118388/511, -4053926496/511], [-7689394, 21278345, 6563411, -5021239], [-662/511, 4528/511, -2274/511, -3/511]], [[0, 0, 0, 0], [-1329582093894932/511, 5608010132919454/511, 1475715726552052/511, -1237550890235006/511], [-3262349103576, 4692928119748, 1761710112076, -1133438335192], [43053350000/511, 48387508112/511, -1152006344/511, -8451423256/511]]], 0, 1572864, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[32, 192, 32, -32]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-82, 94, 139, -6], [-124, -8, -5, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [484777902341/511, 2468906015747/511, 1976948184369/511, 514582590811/511], [10170496865, 3436363762, -2536837865, -775069464], [9620/511, -3118/511, 213/511, 5/511]], [[0, 0, 0, 0], [-281197971749733945712/511, -706723372482966085816/511, -824589359757483806386/511, -286430166234884233197/511], [-3041071304948336810, -4262479712102979790, 257438237817269100, 965489233367749995], [-1079382607400/511, -6872581380950/511, -964033758200/511, 1302751874640/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [28, -4, 10, -2], [22, -2, 10, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [70991960/511, -15207436/511, 189823486/511, 54919182/511], [90894, 6124, 364888, 102084], [3608/511, 5886/511, 7120/511, 4/511]], [[0, 0, 0, 0], [3277509582093618/73, 6852471564396371/73, 843107176434687/73, -1131773345866247/73], [34597005400078, 75924227923937, 10506794353864, -12184253114159], [278483616900/73, 371393505794/73, 12309945154/73, -61784591471/73]]], 0, 12582912, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[32, 192, 32, -32]], [ 6, -25, -43, -15 ], [ 0, -1, -1, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [42, -6, -31, -15], [34, -2, -1, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-41484840164/511, -32485593528/511, -31191213491/511, -1240136207/511], [-109858964, 14975840, 29147519, 471910], [2826/511, 1410/511, -528/511, 2/511]], [[0, 0, 0, 0], [27399380024871369/511, -95136398264140855/511, -28553356765104858/511, 20108420516355657/511], [44677219026127, -160756837575380, -42522401021838, 36728676033173], [187446458/511, 617848678/511, 90206621/511, -111618517/511]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [44, 48, 9, -26], [24, 4, 5, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [1669914522/511, -4204936142/511, -1211646680/511, 1064300101/511], [2320226, -6044980, -1834600, 1424209], [-6674/511, -3842/511, -2010/511, -4/511]], [[0, 0, 0, 0], [-3865578071724171662/511, 12105428427458154105/511, 3470658055584853614/511, -2710733493723923977/511], [-5706955189648770, 17073572776365033, 4873027970832141, -3875416898447064], [-10569284104422/511, -37596870386868/511, -5453087628504/511, 6941309021487/511]]], 0, 12582912, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[224, 64, -32, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-84, -52, 12, 1], [-66, -6, -8, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2157074550158/1831, -1888531830890/1831, 303855469965/1831, 360186733626/1831], [-942367838, -315047736, 151710317, 55797245], [-1662/1831, -14144/1831, 3250/1831, -5/1831]], [[0, 0, 0, 0], [-3696451719714752899105/1831, -3672900581262041024250/1831, 167173350040321649232/1831, 605901250946144485340/1831], [-1464915585110138933, -1163247362742865831, 132340638443857974, 181274625303443351], [-4148118990156/1831, -19294459579295/1831, -2646364811946/1831, 4143621744153/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 10, -6, -6], [-22, 8, -4, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [588656, -760974, -512624, 398571], [-8372056, -12301648, -1176364, 2722647], [-10, 4, 4, 0]], [[0, 0, 0, 0], [1047841489322132/1831, 3468249944814509/1831, 493471590425234/1831, -714991705231537/1831], [-40777179505642, -36831169659653, 3058204843653, 6075656530907], [-101582258986/1831, 102366465168/1831, 46283152649/1831, -26139883746/1831]]], 0, 12582912, [], [] >,
< [ 2, -4, -6, 0, 1 ], [[224, 64, -32, 0]], [ 0, -15, -12, 1 ], [ -2, -1, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [24, 62, 8, 5], [38, -8, 6, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [7574706149983/1831, 7880845406382/1831, -385058293048/1831, -1307559591476/1831], [3373778459, 3053005187, -210754472, -512890425], [12648/1831, 15975/1831, -3250/1831, 5/1831]], [[0, 0, 0, 0], [-4409709538859046691371/1831, -4963052544272182947904/1831, 130676662595503185335/1831, 876346208736339574932/1831], [-2055739586725595439, -1691059050739683131, 185288942289893185, 273330824434766898], [-2347832630892/1831, -23628778421451/1831, -3862300694266/1831, 5300175464822/1831]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-22, 4, -8, -2], [-42, -6, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [199775714310/1831, -796054179957/1831, -101711855260/1831, 194681938200/1831], [68311790, -431071023, -61070137, 106863620], [24034/1831, 5456/1831, 6555/1831, 4/1831]], [[0, 0, 0, 0], [4279515744746282021688/1831, -9209495378229787331614/1831, -2892441091789873711462/1831, 2196623624502540693775/1831], [2430412761532294380, -3745803564483922110, -1338997779775155186, 923730293127115653], [-114377640207348/1831, -705156149439084/1831, -112574758866444/1831, 150575724227208/1831]]], 0, 12582912, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[-2, 3, -3, 1]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-63/2, 4, -27/2, -29/2], [2427/23, 1367/23, -152/23, -1301/46], [2, -1/2, -2, -1], [-405/92, -73/92, -45/92, -1/46]], [[306704737/2, -128502035/2, -477288337/2, 190072867/2], [-11858737984/23, -3003609285/23, 22685092999/23, -15722871623/46], [-11952436, -7187580, 16271992, -4683096], [534802131/23, 389589691/92, -4047032489/92, 1418687325/92]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, -29/2, 11/2, 19/2], [-23/2, -131/2, 26, 41], [1, 0, 3/2, 1], [0, 0, 0, 0]], [[47553/2, -11552, -41905/2, 12639/2], [5265563/23, -4395819/23, -3105603/46, 750794/23], [66605, -51751, -27272, 14518], [-83/92, -257/92, -91/92, -1/46]], [[32028010561, -11998075367, -24982221143, 9850818192], [6978777425416/23, -5606297583472/23, -1515298449149/23, 1055831674878/23], [89573049678, -60552341332, -32776766743, 17089238481], [-15210937/23, -20558406/23, 9977640/23, 53363/23]]], 1, 24, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[11, -9, -3, 2]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 19/2, -9/2, -3/2], [61/2, 48, -5/2, -31/2], [8, -1/2, 2, -3/2], [0, 0, 0, 0]], [[-340029867, -2910640611/2, 753113131/2, 802406373], [-77105617071/46, -325484166579/46, 79824906337/46, 175828633687/46], [-104151060, -638534637/2, 140111491/2, 312884065/2], [65/23, 301/92, 57/92, 1/92]], [[475681334758080, 1450923878751353/2, -2187329797025797/2, 445094078255709/2], [46447157888712859/23, 14834890497125001/46, -12200180800828750/23, -13388881821718145/46], [1034955279727941/2, -1041603694501656, 1785195185699211/2, -472330623752559/2], [-564199910/23, 2334379770/23, -2514526328/23, 666893172/23]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, -19/2, 5/2, 4], [10, -83/2, 8, 22], [-3/2, -5/2, -1, 3/2], [0, 0, 0, 0]], [[163673/2, 191670, -539891/2, -36099], [-42043853/46, 134455351/46, -6782251/23, -42256545/46], [14793, -272181, 149685, -36858], [173/92, 51/46, 85/46, 5/92]], [[-466471308397, 2816338348802, -3557216648116, 988814060057], [1615489277971080/23, -561073218603844/23, -1129050141411711/23, 436659586754685/23], [-4589476724610, -1789319527425, 6778928971125, -2136428426700], [-1724118208/23, 957789728/23, 1467506952/23, -627567424/23]]], 1, 24, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[8, 0, -6, 2]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13/2, 24, -11, -27/2], [32, 103, -45, -115/2], [2, -5/2, -1/2, -2], [0, 0, 0, 0]], [[108219/2, -65790, -3184, 59409/2], [12432227/23, -10860826/23, -4201388/23, 4678156/23], [387265/2, -82758, -100795, 90185/2], [-6/23, -28/23, 7/23, -5/46]], [[98593529/2, -29782667, -21797122, 20757669/2], [10630065060/23, -6062067616/23, -5004037865/23, 4595802495/46], [151882150, -163876755/2, -154518735/2, 34349875], [-119/23, -3265/46, 6733/46, -2173/46]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7/2, 26, -10, -37/2], [23/2, 201/2, -117/2, -151/2], [-15/2, 0, -2, -2], [0, 0, 0, 0]], [[112348532, 1760796961/2, -328773687/2, -1008099109/2], [12143838079/23, 194098516741/46, -44452859289/46, -102754713793/46], [-185347044, 325619145, 37994742, -132000183], [-9/46, 119/46, -12/23, 1/23]], [[2819326625196, -835222094718, -2897308759698, 754007729732], [267179055937041/23, -309716474505645/23, -77411478935376/23, 26065754366881/23], [7426935828018, -6213843560997, -2484544878360, 1450269887391], [-56345/23, -2924925/23, 736320/23, 182900/23]]], 1, 120, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[8, 0, -6, 2]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3/2, 8, -5, -9/2], [31, 31, -17, -37/2], [-2, -5/2, 3/2, -1], [0, 0, 0, 0]], [[-17552037, 16937530, 57387845, -28491525], [20050152551/23, -11054600383/23, -11572078767/23, 4800589851/23], [-32430888, 97549570, -28165670, -2999004], [-51/46, 107/46, -159/46, -2/23]], [[-12017114177541/2, -11977584229849/2, 19524464750165/2, -2399111802813], [9342122948385223/46, -4559028156373671/46, -4913696825028659/46, 1063527308492935/23], [-10150146042960, 10459272789596, -5455752670044, 1189678281364], [-11144451/46, 16175912/23, -13495601/46, 1598782/23]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[97/2, 9/2, 41/2, -12], [4139/46, 151/23, 1753/46, -511/23], [-1, -1, 3/2, -3/2], [-177/46, 24/23, -52/23, 1/46]], [[131275853/2, -13274799/2, -106266487/2, 18132792], [2812782658/23, -287901523/23, -2286509117/23, 781529690/23], [-1153803/2, 2387933/2, -2964417/2, 459083], [-130069628/23, 24213993/46, 102915917/23, -34425645/23]]], 1, 120, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[32, 0, -24, 8]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, 9, -8, 1], [-7, 4, -5, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [2645497029/46, -778626968/23, -630002623/23, 586568277/46], [110948247/2, -33976951, -27255581, 25811305/2], [375/46, -91/23, -29/23, 1/46]], [[0, 0, 0, 0], [698317909144815/46, -503244772824825/46, -283495014993715/46, 74618796780532/23], [29117850988917/2, -23021103692483/2, -14109073158845/2, 3725629555761], [71693685/46, -142524611/46, 175722307/46, -24278991/23]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-26, -14, -8, 4], [3, -1, -5, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-32891583/46, -404707943/46, 10914331/46, 90369228/23], [-303201/2, -2709/2, 23297/2, -18485], [-189/46, -307/46, -21/46, -2/23]], [[0, 0, 0, 0], [778141616660234/23, -1384853374639286/23, 560843045281597/23, -119739558785194/23], [-9152171257224, -8933097645900, 20749427284377, -6264222305610], [4182509840/23, 22507344560/23, -33705952820/23, 9665502270/23]]], 0, 30720, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[32, 0, -24, 8]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-44, -4, -8, 6], [-19, 0, -4, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-65416088799/46, 69289127970/23, 9083127758/23, -32044080187/46], [-953521329/2, 1994510079, 16723770, -1377895515/2], [-297/46, 66/23, -5/23, -3/46]], [[0, 0, 0, 0], [68164971528519758/23, -70070909383730528/23, 155222586859833025/23, -48570683161546045/23], [1070709032433312, -2414959437568896, 3145229672331495, -151116978051015], [107607543/23, -829799853/23, 520261515/23, -77203404/23]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 7, 1], [-1, -3, 4, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-136875/46, 45523/46, 69447/46, -12338/23], [2675/2, -1923/2, -1443/2, 403], [-55/46, 119/46, -1/46, 1/23]], [[0, 0, 0, 0], [56873774337/46, -21032470975/46, -36821196669/46, 7322631148/23], [-1166067633/2, 572423199/2, 694508097/2, -142846191], [12717509/46, -81181387/46, 64002379/46, -5819877/23]]], 0, 30720, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[128, 0, -96, 32]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16, -6, 8, -8], [-14, -6, -2, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [277441, -97686, 179729, -59888], [304303, 121605, -27818, -13801], [5, 2, 5, 0]], [[0, 0, 0, 0], [202236162495617/23, 330750594202071/23, -625661270595162/23, 184482962874301/23], [4057163129085, 176804308820, -4245905352691, 1407310354758], [2904971909/23, 4416713427/23, -8122856994/23, 2338834897/23]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-28, -4, 2, -4], [-24, -8, 0, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-62891871/23, 81762459/23, 14323224/23, -18693520/23], [-831870, 7486911, -7823388, 2140491], [51/23, -15/23, -48/23, 4/23]], [[0, 0, 0, 0], [-1036893283510/23, -302103573723/23, 3108060722142/23, -1126197235082/23], [-220564716432, -625093581092, 1054297196563, -308070814407], [-33938/23, -2355345/23, 873306/23, 45410/23]]], 0, 7864320, [], [] >,
< [ 1, 4, -3, -2, 1 ], [[128, 0, -96, 32]], [ -1, 4, -2, -1 ], [ -1, 4, -4, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, 0, -4, 2], [-4, -26, 0, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [171282/23, 327402/23, -483258/23, 114297/23], [12445, 61255, -12651, -33825], [-76/23, 44/23, 104/23, -1/23]], [[0, 0, 0, 0], [72488548930/23, 103102042470/23, -207744989830/23, 62034095900/23], [-691497912, 85788162, 941007582, -334439640], [-39805710/23, 17943660/23, 29452080/23, -12140100/23]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [40, 6, 10, -10], [6, 10, -10, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [116363874/23, 626775930/23, 129848631/23, -159815139/23], [-93182, -205925, -13746, 69582], [44/23, -40/23, 33/23, 3/23]], [[0, 0, 0, 0], [2085753032418/23, 29933752602468/23, 8282690789670/23, -8264482738314/23], [-13070365554, 6316271424, -6123450604, 1954683080], [8188904/23, -29770646/23, 30217710/23, -8019892/23]]], 0, 7864320, [], [] >,
< [ 1, 1, -6, -1, 1 ], [[2, 0, 0, 0]], [ -2, 0, 0, 0 ], [ 1/2, 1, -5, -5/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9, -8, 3, -14], [-9/4, -3, 15/2, 1/4], [-363/34, 189/17, -382/17, 27/34], [-47/34, 27/17, -97/34, -1/34]], [[-139550127/2, -5573782, 151528095, 66792824], [10500540, 20147600, -23404960, -15073080], [4266800247/68, -428477757/34, 1632418145/34, 2313683889/68], [534202681/68, -90301411/34, 241310815/34, 343090047/68]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/4, -1, 19/2, 27/4], [309/4, 14, 15/2, 25/4], [11/4, -5/2, 1, 1/4], [0, 0, 0, 0]], [[3107198669/2, 2834301447, -136815655, 104420231/2], [3682721600289/52, 2116309894995/26, 2546846992/13, -625950567711/52], [491257504770/221, 18762303486/221, 13015654567/221, -23022061226/221], [-667/884, -5/221, -456/221, 1/884]], [[57414645140375115/4, 56911335962784462, 8560342253814529, -28099008127365503/4], [920040360342179313/2, 2355102457458279414, 258543410393148204, -764378904098962113/2], [250526167509675879/68, 1017333663324760756/17, 291226845386616083/34, -683478864522277595/68], [-108666165/68, -500080652/17, -426678673/34, 129441529/68]]], 4, 4, [], [] >,
< [ 1, 1, -6, -1, 1 ], [[1, 0, 2, 1]], [ -2, 0, 0, 0 ], [ 1/2, 1, -5, -5/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[21/4, 15/2, -29, -73/4], [23/2, -9, -41/2, -45/2], [186/17, -1013/34, 431/34, -59/34], [-71/68, 103/34, -55/34, 5/68]], [[6879/2, 12663, 3300, -2055/2], [782211/4, -610601/2, -156585/2, 228305/4], [11726013/34, -8808972/17, -2369098/17, 3240351/34], [-2299425/68, 1842507/34, 481643/34, -673509/68]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-45, -59, 248, 128], [-223/2, -70, 282, 293/2], [-4, -3, 19, 10], [0, 0, 0, 0]], [[-8524765/4, -8200701/2, 10789828, 1528793/4], [4471277769/13, 22207479875/26, 1131993441/26, -3281010023/26], [-33216500/221, -2042589859/442, -918148995/442, 682598159/442], [-2861/884, -1517/442, 263/221, -3/884]], [[567487463693, -285489986763, -1109166868305, -446445003436], [857369819192181/52, -1845237771741369/13, -644499384040293/26, 1233656963483075/52], [363857257195199/442, -246978266420500/221, -90006798993182/221, 76579426049831/442], [-486116239/442, 607962607/221, 287027977/442, -209060807/442]]], 1, 20, [], [] >,
< [ 1, 1, -6, -1, 1 ], [[5, 8, 6, 1]], [ -2, 0, 0, 0 ], [ 1/2, 1, -5, -5/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3163, -8503/2, 35029/2, 18381/2], [-6343/2, -8513/2, 35089/2, 9205], [-6479/4, -2177, 17937/2, 18825/4], [0, 0, 0, 0]], [[-84632859, -227751309/2, 936113679/2, 491315319/2], [-352571543/4, -238645421/2, 468703886, 987446283/4], [-2954240507/68, -994255862/17, 8148893059/34, 8555827177/68], [-115/68, 163/34, 31/17, -1/68]], [[-683147239929, -4953341151549/2, -399971523105/2, 779734905579/2], [-27021672678961/2, -150769003308369/2, -16256259333363/2, 12276398231480], [-52002198484725/68, -60978322746997/17, -14388654331633/34, 40907554165819/68], [947899275/34, -147067175/17, -1257150490/17, 861498265/34]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-16567/4, -11133/2, 22937, 48143/4], [68597/4, 45855/2, -94515, -198381/4], [-4241/2, -5699/2, 23491/2, 6163], [0, 0, 0, 0]], [[-105802105/2, -57721250, -6691123, 111279/2], [-925137255470/13, 3254912702051/26, 716370179917/26, -555426850479/26], [-23595020365/221, -2130715401/221, 450390167/221, -212885486/221], [-2435/884, 879/221, -249/442, 1/884]], [[-3990744421444909698, -10233467664463110273, -2071943980406297679, 931334274732833889], [-47124335363852349577903/26, 27402590346926460161637/13, 8094784485244063991186/13, -10018027144807674270309/26], [-2811890946165630064213/442, -2759282559825232941590/221, -304268701618766761193/221, 715915826986707092339/442], [-22850631766024/221, -5203686036040/221, 5180978528456/221, 3540501325136/221]]], 0, 3840, [], [] >,
< [ 1, 1, -6, -1, 1 ], [[2, 2, 0, 0]], [ -2, 0, 0, 0 ], [ 1/2, 1, -5, -5/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/2, -4, 6, 11/2], [-15/2, -55/2, 53/2, 41/2], [-175/34, -616/17, -222/17, 31/34], [9/34, 113/34, 29/17, 1/17]], [[-13513/2, 18401/2, 105229/2, -35939/2], [-8437/4, 249581/2, 74170, -146763/4], [599874/17, 8324867/34, 117893/17, -1153269/34], [-65721/34, -395715/17, -107647/34, 138299/34]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, 0, -5/2, 2], [-17/2, -2, -49/2, 8], [-1/2, 1/2, 5/2, -1/2], [0, 0, 0, 0]], [[-1881, 338921/2, 19503/2, -22462], [-833750/13, -432109693/26, -32270298/13, 36726523/13], [37690189/221, -1045901/442, -5364823/221, 830867/442], [3295/884, 859/221, -70/221, 5/884]], [[-217784924775/2, -185373220725, 138058422975/2, 52993363500], [125381948901015/13, 239641829488404/13, 23720255525111/26, -75466787675195/26], [-1931366627005/26, -15051787229503/26, -1640855212955/26, 2716185191053/26], [-266977055/26, -328685524/13, 438034210/13, 537471173/26]]], 1, 20, [], [] >,
< [ 1, 1, -6, -1, 1 ], [[4, 0, 0, 0]], [ -2, 0, 0, 0 ], [ 1/2, 1, -5, -5/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 2, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [1/4, 5/2, 0, -3/4], [15/34, 80/17, 20/17, -25/34], [-3/68, -8/17, -2/17, 5/68]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 0, 4, 2], [0, 0, 2, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4283/4, 537, -1094, -11/4], [214, -107, 214, 0], [-1, 1/2, -1, 0]], [[0, 0, 0, 0], [54156180433/26, 151413435677/13, 15706168649/13, -43381151971/26], [-91484133300/221, -512289557304/221, -52987034296/221, 73565117220/221], [427495950/221, 2393876436/221, 247602964/221, -343762230/221]]], 1, 100, [], [] >,
< [ 1, 1, -6, -1, 1 ], [[-2, 28, 0, -6]], [ -2, 0, 0, 0 ], [ 1/2, 1, -5, -5/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13, -15, 73, 38], [3323, 4466, -18400, -9655], [0, 0, 0, 0]], [[0, 0, 0, 0], [501505/2, 1664391/2, 320027/2, -90701], [135841273/34, 90961429/17, -376379714/17, -394821609/34], [-337/68, -43/17, -47/34, -5/68]], [[0, 0, 0, 0], [786149081065/2, 1394066440777, 123270857558, -447117544037/2], [112604736158/17, -942906319243/17, -173601585267/17, 166880790601/17], [-537000625/34, 217462000/17, -52838625/17, 6745375/34]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-30339/2, -20310, 83711, 87857/2], [-7558, -10158, 41858, 21964], [0, 0, 0, 0]], [[0, 0, 0, 0], [-36516781467009/52, 14776912762051/13, 6681562447801/26, -10089846010085/52], [1132067325969/221, 156258860954/221, -51606711720/221, -1600378743/221], [-209/884, -1959/442, -621/221, -3/884]], [[0, 0, 0, 0], [26051833501438156229483/26, -57637126919491828219847/26, -12404634152679668987201/26, 5010396665481576200674/13], [-814009834702740110131/442, 4081745054608109471966/221, 530433201257053440875/221, -1408405363375751271763/442], [-2733777690897/884, -847180646235/221, 1124588448357/442, 1348596957807/884]]], 0, 19200, [], [] >,
< [ 1, 1, -6, -1, 1 ], [[8, -2, 0, 2]], [ -2, 0, 0, 0 ], [ 1/2, 1, -5, -5/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[65/2, 89/2, -361/2, -201/2], [67/2, 101/2, -359/2, -197/2], [12, 29/2, -68, -65/2], [0, 0, 0, 0]], [[1162161, 1463913/2, -10037115, -9941481/2], [6511264, 39238625/2, -8153265, -15819227/2], [-14627893/34, -52090673/17, -129491943/34, -19756747/17], [47/17, 14/17, 12/17, 1/17]], [[-41470014069/2, 212111396145/2, 39343288545/2, -33316810461/2], [-521899564241, 380118370700, 154396069854, -75092057588], [2155250693584/17, -3560326470303/34, -635592454655/17, 704847830753/34], [38258647/34, -77905947/34, -9555385/17, 7120421/17]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-77/2, -101/2, 437/2, 229/2], [-33/2, 99/2, -773/2, -377/2], [-12, -25/2, 76, 77/2], [0, 0, 0, 0]], [[-1355508, -29988448, 7101276, 6266456], [-58171418788/13, 126996016501/13, 63523345765/26, -47432543417/26], [-6327667345/221, -228047399/221, 1085431751/221, 299567375/221], [-1985/442, 241/442, -1049/442, -1/442]], [[9074704096179610, 13868854295198392, -9825170996029186, -7697640891029768], [-3914620665184427827/2, 2483310683318411637, 1554671991505950161/2, -466114143024352818], [81499273017024849/17, 758565917673872413/17, 23400536400050299/17, -154269615653470205/17], [11966040135/34, 242927139735/34, 89141004645/34, -3308239095/34]]], 0, 3840, [], [] >,
< [ 1, 1, -6, -1, 1 ], [[4, 24, -4, -8]], [ -2, 0, 0, 0 ], [ 1/2, 1, -5, -5/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 0, 8, 0], [79, 105, -441, -231], [0, 0, 0, 0]], [[0, 0, 0, 0], [53/2, -51/2, 1, -15], [725/17, -200/17, 375/17, 10/17], [-145/34, 20/17, -75/34, -1/17]], [[0, 0, 0, 0], [45474343186, -87686794900, -23628567307, 16663871305], [1040207589680/17, -2084186746980/17, -526086382560/17, 385502904540/17], [-104020758968/17, 208418674698/17, 52608638256/17, -38550290454/17]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-219, -560, 2380, 1243], [-212, -281, 1188, 621], [0, 0, 0, 0]], [[0, 0, 0, 0], [-40441852436591/26, 74642231354781/26, 18286900982043/26, -13488786245439/26], [-272524348380/221, -22601323553/221, 11324787151/221, -3576019350/221], [-1539/442, -181/442, -607/221, -1/221]], [[0, 0, 0, 0], [-1721904546645919475563, 3371402011083919149500, 810572557972554097429, -608014665368491239712], [-6357237268484532063/17, 52660803494333335066/17, 10056183611979464927/17, -8883921927771461350/17], [-20531365098/17, 166954003826/17, 53439230722/17, -26942542460/17]]], 0, 19200, [], [] >,
< [ 1, 1, -6, -1, 1 ], [[64, 0, 0, 0]], [ -2, 0, 0, 0 ], [ 1/2, 1, -5, -5/2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-67, -86, 392, 203], [-146032, -196288, 808644, 424328], [0, 0, 0, 0]], [[0, 0, 0, 0], [-923239, 1824854, 12701036, 5699543], [-78286030528/17, -105215811808/17, 433534369816/17, 227488850136/17], [-42/17, -6/17, 58/17, 2/17]], [[0, 0, 0, 0], [177543645255/2, -246621828178, -53601337271, 88076644849/2], [284648969164/17, -870131999620/17, -176352013738/17, 152148140584/17], [12390998/17, -23240510/17, -4951619/17, 3951632/17]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [434625, 584016, -2405936, -1262495], [217244, 292008, -1202972, -631248], [0, 0, 0, 0]], [[0, 0, 0, 0], [92289726826983/13, -158323689690493/13, -45223514660041/13, 30549131328356/13], [-1157185981151/221, -29652195780/221, -962844498/221, 12282684425/221], [1969/442, 834/221, 1407/221, 5/442]], [[0, 0, 0, 0], [-585229157792973698365547/26, 636540294750352858620797/13, 141794794972805693598683/13, -224534055421272553869275/26], [14038297575350048218/13, -699136166032132745828/13, -115125732007891448236/13, 119911487849799207592/13], [76177058081/13, 816014599838/13, 181866305602/13, -130965464284/13]]], 0, 4915200, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[1, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 5/2, -1/2, -3/2], [8, 0, -32, -13], [-1, 4, 10, -5/3], [0, 5/6, -1/6, -1/2]], [[965585/2, -776875, -280805/2, 331655/2], [592183, 642071, -359237/2, -164885], [436934/3, 2281033/3, 66773/2, -487310/3], [965585/6, -776875/3, -280805/6, 331655/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[29/2, -1, 2, 1], [-27/2, 5, 6, 9/2], [223/30, -17/15, -7/5, -61/30], [29/30, -1/15, 2/15, 1/15]], [[-745584, -502128, 110316, 107463], [1177525/2, 262754, -65370, -75697], [-3526007/10, -1084652/5, 180984/5, 282777/5], [-248528/5, -167376/5, 36772/5, 35821/5]]], 4, 2, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-2, 4, 1, -1]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7/2, -1, -1, 2], [1/2, -1, 2, -2], [0, 0, 0, 0]], [[1, 2, 3/2, -5/2], [-1517627/2, -1560833/2, 237969/2, 288479/2], [734369/6, -685409/6, -146753/6, 244769/6], [1/3, 2/3, 1/2, -5/6]], [[-38935029, 80718072, 15570766, -37231089/2], [14417915244848, -51297572603007/2, -4252546375034, 11099399708199/2], [-20906353626292/3, 107249063524057/6, 2299625752561, -7671585519499/2], [-12978343, 26906024, 15570766/3, -12410363/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, 3/2, 0, -9/2], [-3, -5/2, 2, 5/2], [0, 0, 0, 0]], [[13, 27/2, 31/2, 3/2], [28880443/2, -10457775, -4280582, 4299319/2], [-33416221/10, -4189426/5, 17207581/15, 10107931/30], [13/15, 9/10, 31/30, 1/10]], [[1113338809, -2369738337, 166854353/2, 311708562], [4051549829489167/2, -5096820363157981, -683810497527396, 1101991385294991], [-8805180314209549/30, 9892420504961566/15, 1448689439046748/15, -2157306654168841/15], [1113338809/15, -789912779/5, 166854353/30, 103902854/5]]], 3, 3, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-3, 10, 1, -2]], [ -5, -9, -2, 2 ], [ -3, 10, -7, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[119, 435/2, 307/2, 3/2], [23782/107, -19211/107, -10015/214, 2713/214], [-291/107, 2029/428, 3455/428, 377/214], [208/107, 193/214, 379/428, -1/428]], [[56335971, -9360232896, -1656746772, 5228545531/2], [2567922999603/214, -4159349918303/107, -597633595045/107, 944599700330/107], [-54680752187/428, 148414147043/428, 9455422963/428, -25497648969/428], [23148549965/428, -26413201462/107, -8309296353/214, 25754356607/428]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-71, -53, 235/2, 3/2], [-269963/214, -185167/214, 420283/214, -1079/214], [-131/107, -191/214, 437/214, -1/107], [0, 0, 0, 0]], [[-2739340668, -360310272, 38728641/2, 276122115/2], [-402410228484251/1819, 1684687130370933/3638, 216819044423769/3638, -357469309328279/3638], [-343347453569/7276, -19789341235/3638, 810482567/3638, 17291582885/7276], [2985/7276, 3187/3638, 2443/7276, 1/1819]], [[167947961661935511/2, -225719211480103977, -38629503481576413, 52900898370316071], [3099671290324791190835/214, -8410077827678458214349/214, -1089498634532344779113/214, 1820840899418293960435/214], [313243431852488295/214, -841635205265833563/214, -72530294371089480/107, 197687118329610801/214], [-44406393/107, 140055132/107, 27462393/107, -34223103/107]]], 4, 4, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[9, -20, -1, 3]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [13/2, -14, 15/2, 7/2], [-3/2, -4, -9/2, -1/2], [0, 0, 0, 0]], [[-12, 4, -10, -2], [64490965/2, -80045334, -17214961/2, 33199533/2], [-21026867/6, -4694036/3, 534823/6, 2150213/6], [-4, 4/3, -10/3, -2/3]], [[1264442927/2, -1173489138, -294739679/2, 458297705/2], [-2203239240677112, 5852202260325645, 727470960069070, -1249554502784859], [120015811330122, -417082956293593/3, -28957845274298, 86920369291151/3], [1264442927/6, -391163046, -294739679/6, 458297705/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-11/2, -2, -23/2, -7/2], [5/2, 0, -7/2, 1/2], [0, 0, 0, 0]], [[73/2, -42, -97/2, -1/2], [808273, -975963, -505479, 327112], [-421734/5, 110771/15, -3297932/15, 1507579/15], [73/30, -14/5, -97/30, -1/30]], [[134222484, -262779072, -39642756, 48147772], [6833478385243/2, -6625309506758, -1522333826079/2, 2614299319937/2], [-6819162907883/10, 15923479817696/15, 13080818846521/30, -3363087811469/10], [44740828/5, -87593024/5, -13214252/5, 48147772/15]]], 0, 2688, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[2, -24, -2, 6]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3/2, -12, -25/2, -13/2], [-1/2, 2, 5/2, 5/2], [0, 0, 0, 0]], [[-1/2, -8, -7/2, 5/2], [-149918, -1110105, -13606, 221989], [-203443/3, 948889/3, 22843, -62426], [-1/6, -8/3, -7/6, 5/6]], [[529470, -4711432, -408702, 1045250], [236451023809/2, -800298919824, -123528373455/2, 339708597461/2], [-643814801975/6, 332746217460, 228065473469/6, -426847587635/6], [176490, -4711432/3, -136234, 1045250/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-71/2, -12, -11/2, 1/2], [55/2, 2, 3/2, -5/2], [0, 0, 0, 0]], [[-61/2, 34, -51/2, -3/2], [14647731/2, -27177431, -3202975/2, 18317127/2], [-78497649/10, 123749081/5, 191164463/30, -72956577/10], [-61/30, 34/15, -17/10, -1/10]], [[-80793699/2, -12168954, 16321851/2, 3788043/2], [3484729058429/2, -17708538877055, -2083587311181/2, 7571971941145/2], [-21490905471431/10, 74386718364349/5, 10777691863019/10, -31392535834383/10], [-26931233/10, -4056318/5, 5440617/10, 1262681/10]]], 0, 8064, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-14, 24, 14, -10]], [ -5, -9, -2, 2 ], [ -3, 10, -7, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-463/2, 1240, 1859/2, 3/2], [-12892/107, 71492/107, 53376/107, 622/107], [-463/214, 1240/107, 1859/214, 3/214], [0, 0, 0, 0]], [[2774483250, -645697920, -2623147800, -2532346530], [327736997567/214, -36240898026/107, -326745830231/214, -287920336047/214], [2774483465/107, -645698159/107, -2623147312/107, -2532346686/107], [297/214, -235/107, 165/214, -1/214]], [[-740756982100065/2, -238632218677440, 98468030680425/2, 76284199856025/2], [-43367938703737361/214, -14527495063371079/107, 5722326199074499/214, 4700957130283603/214], [-740757069615417/214, -238632211444339/107, 49234025027128/107, 38142098098998/107], [-20715530/107, 23011763/214, 4936868/107, -2610252/107]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[227/2, 1710, 1957/2, 5/2], [135197/107, 1929950/107, 1104497/107, 2927/107], [227/214, 1710/107, 1957/214, 5/214], [0, 0, 0, 0]], [[-25181758411063, 3206040039008, 1002974060403, -119195854913], [-965253221994785133/3638, 50862187369238361/1819, 36226552014072703/3638, 346941496053565/3638], [-856179786000137/3638, 109005361353483/3638, 34101118058823/3638, -4052659076419/3638], [2402/1819, -2270/1819, -4833/3638, 2/1819]], [[888271259620370566142403/2, -222964052530251585508740, -149018589521758234155159/2, 70863125765564877991317/2], [8500747668738606162576140077/1819, -4083671763784081788697596154/1819, -1411013135180888890425708843/1819, 636355255240731913724245375/1819], [15100611413998059171952045/3638, -3790388893331841617359819/1819, -2533316022036708123402081/3638, 1204673138161969377047107/3638], [-37180819887246/1819, 48588927600248/1819, 11149721777495/1819, -13944576219616/1819]]], 0, 10752, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[5, -13, 0, 2]], [ -5, -9, -2, 2 ], [ -3, 10, -7, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1889/2, 270, 311/2, 9/2], [-100105/214, -64947/214, -16459/107, 1149/107], [1527/107, 1653/214, 4071/428, 1057/428], [-249/428, 661/428, 361/428, 3/428]], [[-16077182296, -402786630505/2, 6491729460, 74554268909/2], [1634414073417/107, 20620794425681/214, -657076233755/107, -1845575009492/107], [-162324460469/428, -689750148623/214, 32847394613/214, 255313321949/428], [-26676517863/428, 16003319201/107, 8057372169/428, -3249139617/107]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-129, -83, 117, 3/2], [5670/107, 10001/214, -7015/107, 847/214], [-238/107, -149/107, 437/214, -1/107], [0, 0, 0, 0]], [[56074375, -50225000, -423823750, -185255000], [-102531008577/3638, 113541188357/3638, 678042851333/3638, 285981407001/3638], [6648997345/7276, -3014907947/3638, -51136562903/7276, -5589564120/1819], [-3947/3638, 2503/7276, -1741/3638, 1/7276]], [[-29155516309000291000, 46246494735558348000, 61682462213306459000, 15888721452598463000], [11996739132201005560583/1819, -6661314819899020160379/1819, -45072729722096052588207/1819, -38151165869096473656429/3638], [-3625314223665236568729/7276, 5831780212534363263035/7276, 3738338752982880841235/3638, 466082705827373501507/1819], [-4200473035617119/3638, 20019907659531203/7276, 2568221483732491/7276, -2007755572917167/3638]]], 1, 16, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-14, 56, -2, -10]], [ -5, -9, -2, 2 ], [ -3, 10, -7, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11355/2, 1282, -1467/2, 5/2], [330365/107, 75426/107, -42115/107, 573/107], [11355/214, 1282/107, -1467/214, 5/214], [0, 0, 0, 0]], [[-8345721660781/2, 5309375409146, 2958213515573/2, -2878314111855/2], [-490550180406061/214, 312097919456966/107, 194142547628605/214, -178422519711091/214], [-8345721663463/214, 5309375407468/107, 2958213516651/214, -2878314111191/214], [441/214, 319/107, 31/214, 5/214]], [[-4868873928493792309284, 13356936337608791097264, 1736427544784615151396, -2899534869083852008716], [-566686520637631063447109/214, 776790634893845920652601/107, 205451233187998392541471/214, -338744175896467260998561/214], [-4868873928655816038679/107, 13356936338177021997479/107, 3472855089751136630637/214, -5799069738435742844257/214], [25966023523/107, -186511012083/214, -17268159557/107, 23495747814/107]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7241/2, 472, -2287/2, -3/2], [-4089381/107, 532202/107, -1288905/107, -1585/107], [-7241/214, 472/107, -2287/214, -3/214], [0, 0, 0, 0]], [[-66316229151273, 8014031205786, 63709297544961, 39389345269389], [-2545968899705410473/3638, 153471480487984281/1819, 2443680576732741593/3638, 1510725933838078823/3638], [-1127375895569909/1819, 272477060960307/3638, 2166116116541239/3638, 669618869578633/1819], [583/3638, 2503/1819, -3482/1819, 1/1819]], [[1445550197708794461512701725/2, -819460466095075337970615150, -797024160090329009466201525/2, 413146355737136517408825675/2], [27749657757942840923540408420499/3638, -15726962637360741341388988585428/1819, -15292091336432448918037532417543/3638, 7928714063023436510811909067161/3638], [24574353360829647325659227763/3638, -13930827923256151555187639871/1819, -13549410721322386247647357119/3638, 7023488047322375295821526009/3638], [37237577245606371/3638, -60713617319442504/1819, -45542604453281061/3638, 41975661036344397/3638]]], 0, 64512, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-1, 6, 0, -1]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5, -3, 5/2, 5/2], [2, 0, 1/2, 5/2], [0, 0, 0, 0]], [[-11/2, 11/2, 36, 18], [-10441635/2, 1544056, 222655, -1353845/2], [16988461/6, -6524554/3, -5662756/3, 1231093/6], [-11/6, 11/6, 12, 6]], [[298701/2, -1965033/2, -2997, 180819], [83689071717297/2, -112396818232301, -14148677959258, 48240032089407/2], [-48279176493633/2, 65074446865712, 8183593053531, -27937344901359/2], [99567/2, -655011/2, -999, 60273]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7/2, 2, 3, -5/2], [-7/2, -2, -2, -3/2], [0, 0, 0, 0]], [[-83, -37/2, 7, -3/2], [12379289/2, -21751595, -4955327/2, 4699753], [127506433/30, -309057232/15, -57925057/30, 21901729/5], [-83/15, -37/30, 7/15, -1/10]], [[-1154546341, 13964856271/2, -303626136, -2114594761/2], [1446591155288241/2, -1679879557051061, -1844412953630287/2, 662730108685015], [5240715788718017/10, -18757989509354794/15, -9152197911159679/30, 1640718540404773/5], [-1154546341/15, 13964856271/30, -101208712/5, -2114594761/30]]], 0, 8, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[1, -1, 0, 0]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [13/2, 15/2, 15/2, -5/2], [23/2, 5/2, 5/2, 5/2], [0, 0, 0, 0]], [[0, 3/2, 1/2, -3/2], [-19631319, -41666177/2, 12187297/2, 2269228], [-76592216/3, -140896879/6, 5188087/2, 4232366], [0, 1/2, 1/6, -1/2]], [[456720, -662592, -201120, 168480], [-1471168110704, -23052074059815, -920162211355, 4913250253408], [1410717231936, -38382682103632, -2081157355136, 8098354981408], [152240, -220864, -67040, 56160]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7/2, -3/2, 1/2, -7/2], [1/2, -1/2, 5/2, -3/2], [0, 0, 0, 0]], [[8, 37/2, 11/2, 3/2], [2380079/2, 1029611, -438633/2, -214318], [8376547/30, 1489142/15, -1669373/30, -99979/5], [8/15, 37/30, 11/30, 1/10]], [[4292891, -3726808, 6867031, -3158447], [-3236561734695/2, 5412169703443, 589644379745, -2306999854015/2], [-19088751276641/30, 29011960250209/15, 3306854979247/15, -4118491287051/10], [4292891/15, -3726808/15, 6867031/15, -3158447/15]]], 1, 2, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[1, -1, 0, 0]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [31/2, 3/2, -1/2, 5/2], [1/2, -3/2, 3/2, 5/2], [0, 0, 0, 0]], [[-1/2, 1, 4, 5/2], [-1511636081, -2295191812, 218835969, 472853607], [-98009050/3, -61928180/3, 8176084, 6914053], [-1/6, 1/3, 4/3, 5/6]], [[1284, -2223, -759, 660], [-341650406539, -4283828589046, -127519312602, 1801431212931/2], [62292390643, -257052547346, -26079505626, 110424301665/2], [428, -741, -253, 220]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-31/2, -7/2, -13/2, 0], [17/2, -1/2, 3/2, -2], [0, 0, 0, 0]], [[-6, -29/2, 9, -1/2], [115752565, -36517523, -14652432, -3630413/2], [-907200802/15, 533734786/15, -43969312/15, -39488417/30], [-2/5, -29/30, 3/5, -1/30]], [[-2757/2, 2371/2, -321, 137], [-29650042893/2, 69870239793, 791663297, -32075130717/2], [315244330051/30, -209323079158/5, -48025015982/15, 238567987183/30], [-919/10, 2371/30, -107/5, 137/15]]], 1, 3, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[2, -3, 1, 0]], [ -5, -9, -2, 2 ], [ -3, 10, -7, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13/2, -151/2, 215, 4], [-7008/107, -6445/214, -25864/107, 243/107], [12/107, 191/428, 905/214, -105/428], [-1/4, -3/4, 1/2, 0]], [[-1707998157/2, 2205177701, 309408069, -846844153/2], [257768396541/214, -196130623203/107, -83539296121/214, 36013220148/107], [-2458997591/214, 4321120895/214, 846176669/214, -725297043/214], [-112727604/107, 947020217/107, 58120414/107, -192284301/107]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-32, 132, 169/2, 5/2], [178801/214, -673665/214, -417595/214, -3941/214], [-59/107, 489/214, 303/214, 2/107], [0, 0, 0, 0]], [[-11012280785, -7069104350, -46774347455/2, 23110183855/2], [860009260765313/3638, 357782270158153/3638, 1041743783586179/1819, -486843104782702/1819], [-1355573284073/7276, -444666807139/3638, -762010060467/1819, 1502118798107/7276], [39365/7276, 2503/1819, 9719/7276, 1/1819]], [[-228951408148931500835110, -4446207783699866099462855, 6562306439195954915049120, -2072587650105553154774970], [3863042833733384702746837437/1819, 389660114778969355683689066393/3638, -290488245960725721409961601724/1819, 92417132832104611047797222032/1819], [-33458936161578773148334065/7276, -276227460809469128173967855/3638, 856442077700362248098085975/7276, -68692193275992291657935005/1819], [-594100591413565574/1819, 15007404579907291513/7276, -6915030491998824/1819, -1891429123863454643/7276]]], 1, 8, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-17, 0, 78, 43], [-1, 2/3, 8, 23/3], [4/3, -2, 8/3, 4/3]], [[0, 0, 0, 0], [886, 2846, 268, -634], [-460/3, -368, 460/3, 92/3], [-1012, 4784/3, 276, -1012/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3, -14, 4, 7], [5, -4, -4, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [577932, -1784169, -206744, 380996], [10151438/15, -8719563/5, -3363632/15, 5607094/15], [8/5, 28/15, -46/15, 2/15]], [[0, 0, 0, 0], [-3408543946, 8890344315, 1142292443, -1908541016], [-51760734544/15, 142990616477/15, 17705468971/15, -30676713242/15], [50458/15, -2764/15, -15202/15, 4378/5]]], 0, 32256, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-20, 64, 4, -12]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[3/2, -10, -7/2, 1/2], [6, -4, -32, -15], [-2/3, 26/3, -8/3, -7/3], [1/2, -10/3, -7/6, 1/6]], [[97, -236, -33, 51], [10, -20, -10, 4], [-98, 244, 106/3, -54], [97/3, -236/3, -11, 17]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13, -14, 9, -2], [-17, -4, 1, 2], [0, 0, 0, 0]], [[-107/2, 8, 63/2, -1/2], [-72388911, -122237838, 16404838, 26832653], [-397494799/5, -1842770854/15, 150145498/15, 124997883/5], [-107/30, 8/15, 21/10, -1/30]], [[-34675/2, 53550, 10075/2, -22225/2], [3013694386, 6726719717, -587631455, -1343551959], [-252528926, 49704246271/3, 892862569, -10552526489/3], [-6935/6, 3570, 2015/6, -4445/6]]], 0, 5376, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-20, 64, 4, -12]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [5/2, -5, -19/2, -9/2], [3/2, 1, 11/2, 5/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [245859/2, -270380, -442117/2, 298977/2], [320399/6, -169118, -79303/2, 231821/6], [10/3, -4/3, -2, 4/3]], [[0, 0, 0, 0], [-8198636951, 19901130513, 3847206836, -4783736026], [-3995503705, 17876259175, 5278939526/3, -3847350872], [-1530655/3, -866866/3, 106085, 51527]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [107/2, -2, -5/2, 1/2], [-99/2, -4, -15/2, -5/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [12586762197/2, 9858149178, -1629376667/2, -4106144173/2], [-186586787563/30, -147633982558/15, 23929509497/30, 61899778211/30], [-9/5, -14/15, -9/5, -1/15]], [[0, 0, 0, 0], [-2568396419584971, 28532885307273311, 1996027936263392, -6096898729734686], [9986134504545141/5, -134001213331159023/5, -9088429682199024/5, 28683366751733058/5], [96494223/5, -286411134/5, -41074527/5, 64310139/5]]], 0, 8064, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-52, 128, 20, -28]], [ -5, -9, -2, 2 ], [ -3, 10, -7, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-66871/107, 43128/107, 11261/107, -89/107], [1380/107, -902/107, -232/107, 4/107], [0, 0, 0, 0]], [[0, 0, 0, 0], [3818381767532/107, 4596990980619/107, -1136422852685/107, -1633309819912/107], [-157097686795/214, -188600613687/214, 46771254215/214, 67200144969/214], [201/214, -319/107, -390/107, -5/214]], [[0, 0, 0, 0], [622726741625140091991/214, -2290070875184376644728/107, -371911907925908277739/214, 982284560211778476067/214], [-13001590933895341413/214, 94684218757230656689/214, 3858235222609142999/107, -10154086507153936941/107], [188034593065/214, -475757527283/214, -28526103591/107, 99626444045/214]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-329242/107, 383456/107, 692966/107, 2180/107], [463/107, -554/107, -1003/107, -3/107], [0, 0, 0, 0]], [[0, 0, 0, 0], [6092780322907622/1819, -833402786021565/1819, 717218125696114/1819, 101568152324617/1819], [-8200533448539/1819, 3416601537409/3638, -2319462382895/3638, -242747546754/1819], [7550/1819, 5348/1819, -8315/3638, 5/3638]], [[0, 0, 0, 0], [-3702640070809605876727603/3638, 4860150319071373229551846/1819, 1184518349470600456654951/3638, -2162997907526249493169677/3638], [2593315923545441436885/1819, -6824490301384176403918/1819, -829184084497179857685/1819, 1520359537497279542182/1819], [-1712971680617/3638, 2059875376851/1819, 468382396129/3638, -825403391749/3638]]], 0, 32256, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[3, -12, -2, 3]], [ -5, -9, -2, 2 ], [ -3, 10, -7, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[258, 166, -60, 0], [-46465/107, -53113/214, 11006/107, -924/107], [2009/428, 835/214, -3473/428, 53/214], [-95/214, 577/428, -243/214, 1/428]], [[13945358843, 65489323487/2, -1111591186, -13872187119/2], [-4858320946623/214, -11697390370877/214, 182833734340/107, 1240786755427/107], [53779034635/214, 48808525231/107, 2409337043/214, -11905179361/107], [1361133995/107, -6535909510/107, 330698745/107, 1008806760/107]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2069/2, 110, -91/2, 0], [-2617486/107, -468307/214, 121107/107, -2929/214], [3817/214, 170/107, -87/107, 3/214], [0, 0, 0, 0]], [[12173783989408416, 38884008935952, 876035985168192, -521005589200416], [-523261693244616668608/1819, 13585454748685375285/3638, -39259112540321600181/1819, 23099561431039896921/1819], [1526018829819683409/7276, -10135677615558685/3638, 116053621901564811/7276, -33680088697623213/3638], [-1545/3638, -5675/7276, -1429/3638, 5/7276]], [[-195933304364012259096537618, 581925853792287734405062872, 14717665576318900601793906, -101132200339556260029136710], [17000647977167326068838009385507/3638, -25243248630005755490707168272869/1819, -1158642867485932656694373911543/3638, 8721828021904459942604944999889/3638], [-6199682854084873623034014372/1819, 18412098893121436428411859126/1819, 418171711795180088580651652/1819, -3178924898783595324929868416/1819], [3630613991037/3638, -9416374838134/1819, 3279985768631/3638, 1980505307407/3638]]], 1, 48, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-28, 16, 12, -4]], [ -5, -9, -2, 2 ], [ -3, 10, -7, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-379099/107, -44990/107, -4695/107, 9/107], [7752/107, 940/107, 98/107, 2/107], [0, 0, 0, 0]], [[0, 0, 0, 0], [1707263306577867/214, -1642677294820790/107, -514311171724331/214, 714827054849235/214], [-34871073058901/214, 67046893512661/214, 5250192992986/107, -7294383834709/107], [-655/214, -103/214, -69/107, -5/214]], [[0, 0, 0, 0], [-243504905301051297176013/214, 333024447488987003820575/107, 82556177925080659266389/214, -142694311074553478126715/214], [4971422436226480030163/214, -6799170732938109750935/107, -1685553332953303972233/214, 1456664017027768617384/107], [49242159125/214, -136168165295/214, -30378121485/214, 17017022040/107]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1275223/107, -825366/107, 637579/107, -2073/107], [1891/107, 1196/107, -923/107, 3/107], [0, 0, 0, 0]], [[0, 0, 0, 0], [41776432842991280/107, -584296220648202/107, 1555148263886441/107, 19033812128802/107], [-62951719083070/107, 6812975297961/214, -161972735984/107, 61089458495/214], [-1/2, 3/2, -1, 0]], [[0, 0, 0, 0], [-13654504221236194771498009363/3638, 105218456675662403095776793161/1819, 14158030427567734677338269841/3638, -44263092463818803785180517125/3638], [22523107043185403714062409/3638, -317546037893440307371707399/3638, -21377908741678379968155435/3638, 66969683091788121172972073/3638], [109308804766854/1819, -314188087008789/1819, -88854182720079/3638, 67922896583255/1819]]], 0, 193536, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[6, -19, -3, 4]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [63/2, 3, 7/2, 2], [11/2, -1, 3/2, -2], [0, 0, 0, 0]], [[113/2, -23, -277, -245/2], [152673837, 25484707, -34814996, -7396630], [80982619/3, -15739132/3, -6882385/3, 562944], [113/6, -23/3, -277/3, -245/6]], [[-709240, 2333191, 307685/2, -822927/2], [-1420869829250629, 3869033595158726, 482335819882546, -829858209205501], [-975063500206790/3, 2653773877459156/3, 328487970462137/3, -568136426947285/3], [-709240/3, 2333191/3, 307685/6, -274309/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [23/2, -1, 1/2, 3], [37/2, -1, 5/2, 2], [0, 0, 0, 0]], [[-390, -25/2, -15/2, 0], [2598134878, 366567247/2, -358226081/2, 280360623], [12751347023/3, 1783602541/6, -369940395/2, 526582151/3], [-26, -5/6, -1/2, 0]], [[453643069820346, -1437795928488168, -224836301549034, 303632991793368], [-2746403551336295389697, 8844385008943214398336, 1324087529014222194752, -1668523169255586804183], [-23117631442427039150071/5, 74244391413004314407513/5, 11056721000992252004074/5, -15011469903001445755248/5], [151214356606782/5, -479265309496056/5, -74945433849678/5, 101210997264456/5]]], 0, 128, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-2, 8, -1, -1]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [83/2, -3/2, 13/2, -9/2], [3/2, -3/2, 1/2, -5/2], [0, 0, 0, 0]], [[0, -3/2, 1/2, -1], [-11499979941, -20383106685/2, 5345059069/2, 1764402210], [-1120797755/3, 542970841/6, 1193055209/6, -123911243], [0, -1/2, 1/6, -1/3]], [[-138789/2, 471933/2, 81963/2, -114975/2], [1273418411566785/2, -531535698488865/2, -142087352919678, 59717579759046], [55027798586035/2, -86692930209845/2, -6364685866391, 8733157966820], [-46263/2, 157311/2, 27321/2, -38325/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [89, 7/2, -4, 5/2], [25, 1/2, -2, 3/2], [0, 0, 0, 0]], [[3/2, -9/2, 9, 2], [390147217, -12917901/2, 133796316, 20549021/2], [569948916/5, -327039133/30, 225981928/15, 177400181/10], [1/10, -3/10, 3/5, 2/15]], [[-562651389/2, 1138642431, -320193339/2, -133590501], [-3820367850838913/2, 109997837702613465, -2020417772916338, -40232776772372135/2], [-9694876625149341/10, 156332028240727464/5, 6170231826054717/5, -64783230719536163/10], [-187550463/10, 379547477/5, -106731113/10, -44530167/5]]], 0, 32, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-2, 8, -1, -1]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16, -5/2, -6, 5/2], [-8, -5/2, -2, 5/2], [0, 0, 0, 0]], [[11/2, 5/2, 5/2, -1/2], [-378616819/2, 17614561/2, 50976598, 4801048], [-542969777/6, -58285513/6, 13061928, 418462], [11/6, 5/6, 5/6, -1/6]], [[-1498692728, 6486363767, -1855961055, -345833930], [77611115366999627, -256137399853442876, -23895848721959294, 52421113113090778], [102749261298421540/3, -116594692174599852, -9776019917856828, 71214878830232635/3], [-1498692728/3, 6486363767/3, -618653685, -345833930/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13/2, -1, 2, 11/2], [1/2, 1, 0, 5/2], [0, 0, 0, 0]], [[-17, -9, 3, -1], [10763594, -130529800, -8126325, 27323613], [97641221/15, -10237121/5, -20104954/15, 4977338/15], [-17/15, -3/5, 1/5, -1/15]], [[-445698316, 3551007411/2, -203217896, -458559591/2], [9939555058527255/2, -12667369256131612, -3421711373722777/2, 2746787844873396], [4159151918327287/10, -6224488390180123/5, -5380834686459869/30, 4205972209797064/15], [-445698316/15, 1183669137/10, -203217896/15, -152853197/10]]], 0, 32, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-3, 7, 2, -2]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [31/2, 5/2, 3/2, 1], [1/2, -5/2, 1/2, 1], [0, 0, 0, 0]], [[-7/2, 3/2, 0, -1], [3805247, 8160875, -724397/2, -1742253], [-328357/3, -20383, 13183/6, 16841/3], [-7/6, 1/2, 0, -1/3]], [[184161, -421074, -188871, 148365], [34703030939/2, -119112400522, -112222582767/2, 91573239047/2], [4256391831/2, -6189495010, 11008745633/2, -2788664647/2], [61387, -140358, -62957, 49455]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-21/2, 0, -1, -4], [-35/2, -1, -2, 0], [0, 0, 0, 0]], [[23/2, 41/2, 14, 2], [-19906711, 10725233/2, 19273163, -16231831/2], [-347688842/15, -167309663/30, -196065277/15, 85397181/10], [23/30, 41/30, 14/15, 2/15]], [[-20846785/2, 48489505/2, 8233495, -7915240], [36173415401281/2, -131255715901465/2, 106291183925053/2, -12184035041914], [150678939734957/2, -1078805882044973/6, -564643420860349/6, 207294836308094/3], [-4169357/6, 9697901/6, 1646699/3, -1583048/3]]], 1, 6, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-7, 16, 3, -4]], [ -5, -9, -2, 2 ], [ -3, 10, -7, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-770, -155/2, 167/2, 2], [137068/107, 11638/107, -31873/214, 437/214], [-2841/214, -237/214, 156/107, 1/107], [0, 0, 0, 0]], [[-2681958784500, 1682911120500, 687188508750, -441238011750], [954495907756893/214, -305827659298703/107, -121301365132091/107, 157947336303945/214], [-9924336061613/214, 12818607851661/428, 1284574102593/107, -3344623541287/428], [1487/428, 489/428, 49/107, 1/107]], [[-3649610244573744509250, 9002268710333918664750, 1409251604849188965000, -2032445596358537131500], [652221509727561794164014/107, -1611671473063145846151313/107, -247662620657507965927085/107, 361899331333108187484931/107], [-6798332445734149457796/107, 16790277070639798868178/107, 2637492642074103574824/107, -3794985714575319933078/107], [335922521553/107, -769192247484/107, 2642204943/107, 126076935159/107]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[16, 71/2, 119, 3/2], [-56177/214, -178319/214, -300409/107, 1333/107], [59/214, 65/107, 437/214, -1/107], [0, 0, 0, 0]], [[-294334179240, 2064686940, -1092832680, -2512729740], [22153116648057113/3638, 317612023422503/3638, 384561608220698/1819, -3960181737681/1819], [-18464556379417/3638, 225279431572/1819, -125643314641/7276, -313051345001/7276], [35/7276, -3871/7276, 8627/7276, -3/7276]], [[-1454776378197022770224040, -7372750355054902296539100, 31298653624347320849280, 1517890515067169453493540], [55936416694763257307325819957/1819, 279198534655692362905755680582/1819, -1760093579019633115790402124/1819, -57317219618022843501251503679/1819], [-44804292815964968933136046/1819, -231272721622081929913572342/1819, 1733059938088291356003181/3638, 95178493710855721269625407/3638], [-9356882512517809/3638, 22466464522516491/3638, -2004256978364969/3638, -2912226473762045/3638]]], 0, 128, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-16, 96, 0, -16]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [29, -7, -1, 9], [13, 3, 1, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-496359884, -222803410, -383902811, 234219137], [-884649706/3, -121497150, 228854107/3, 26674141/3], [2, -20/3, -70/3, -28/3]], [[0, 0, 0, 0], [-7134980181437052, 20363693349471958, 1498899138115475, -3942321933388627], [-2702977139829304, 7690808748507480, 987128786209879, -1672045482522745], [-1612926, 8822388, 462978, -1683408]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-23, 3, -3, 1], [-19, -5, 3, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [3223026, 3523403, -772748, -820643], [42338668/15, 18308917/5, -3734124/5, -13506041/15], [-506/15, -82/15, -12/5, -8/15]], [[0, 0, 0, 0], [-115604198958241, -2321396486130655, -138998244570551, 517850952607869], [-1424381517128701/5, -25091410140543161/15, 91243748471917/15, 5200365562777301/15], [-22722218398/5, 589033807772/15, -201811498444/15, -16618671382/15]]], 0, 516096, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[16, -16, 0, 0]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [22, 2, 1, -7], [14, 4, 5, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5281764, -5296740, -1352438, 1331259], [-10981436/3, -11985844/3, -803522, 3816743/3], [-4/3, -2/3, 10/3, 2/3]], [[0, 0, 0, 0], [313328247102, -898962754672, -107988303692, 192510696900], [595948801678/3, -1719984378424/3, -205604381102/3, 368083598314/3], [-7612, 41008/3, 1628, -8668/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-104, 1, 10, -13], [-84, -1, 4, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-26150743540, 2558160381, 2227465271, 474380550], [-67195972430/3, 3699777677, 6046024657, -1628436686], [-2/3, -2/3, 2/3, -2/3]], [[0, 0, 0, 0], [587628136152905, -1741272989685927, -204475348140351, 372643183050948], [7255858437536387/15, -21477796652953111/15, -2552047146274243/15, 1535898952360962/5], [-44854/15, 44402/15, 16696/15, 26/5]]], 0, 129024, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[16, -16, 0, 0]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [76, 8, -2, 0], [-2, -2/3, 10/3, -8/3], [-2, -8/3, -2/3, 2/3]], [[0, 0, 0, 0], [2475853, -5065757, -1682179, 1463199], [463577/3, -769693/3, -2059441/3, 1027249/3], [-170896/3, 73288, 324782/3, -55174]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [72, -4, 7, 23], [14, -2, 5, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [8027357487, -1433369599, -2912124230, 1058267889], [23964673211/15, -6392562713/15, -1889461278/5, 2392877663/15], [-32/15, 2/5, 16/5, 4/15]], [[0, 0, 0, 0], [1752914228359064, -2261089010982259, -330191955266281, 432592524747643], [5665204043625958/15, -7969365825881389/15, -1453995016127387/15, 1695084979013989/15], [-1569102/5, 4820458/15, 3808/5, -105808/15]]], 0, 129024, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[8, -32, -8, 8]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7/2, -3, -9/2, 1/2], [-3/2, -5, 1/2, 3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4453, 3178, -13032, 2637], [3781, 13330, -2596/3, -4271/3], [8/3, 2, 4/3, 0]], [[0, 0, 0, 0], [-15572637068, 52456643655, 3675420056, -10221892976], [-10051603004, 10987784941, 2259089092, -2276516610], [1594005, -11299740, -802995, 2335665]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [27/2, 6, 7/2, 3/2], [-35/2, -4, 5/2, -3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [45945461/2, -557695, -11137381/2, 43471/2], [-829405111/30, 19577683/5, 193599979/30, -9633551/10], [2/5, 14/5, -64/15, -2/15]], [[0, 0, 0, 0], [8686450444694, -2182315892962, -1944729639769, 557041713085], [-52658561502798/5, 19575368147514/5, 11883271376247/5, -4574183600709/5], [-4291469/5, 12301762/5, 12685771/5, -7350067/5]]], 0, 16128, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[32, -48, 16, 0]], [ -5, -9, -2, 2 ], [ -3, 10, -7, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-45152/107, 48528/107, -14218/107, -740/107], [904/107, -986/107, 312/107, 2/107], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10985426632/107, 12853773406/107, 3046721637/107, -3019302971/107], [443359571/214, -263068478/107, -62405206/107, 123258625/214], [487/214, 65/107, 437/214, -1/107]], [[0, 0, 0, 0], [-38425550167700073/107, 172425912580498021/107, 17005228814569652/107, -36693274174488185/107], [1568471306116099/214, -6975623508348641/214, -689343585391825/214, 1486059630690847/214], [356472753/214, -3704782627/107, -407837703/107, 1072842589/214]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1188, -6, -6900, 4], [2, 0, 10, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1399035873282142880/1819, -26648242350991253/1819, 16796591386824843/1819, 15092834364012329/1819], [2189277221877936/1819, 114911888280739/1819, -105863178919197/3638, -73042311643365/3638], [-2367/3638, 5675/3638, 8315/3638, -5/3638]], [[0, 0, 0, 0], [161445934376552283528928432570/1819, -7897441421576322542821023260/1819, -38244299959710344918004945998/1819, 5218220349836732126018020382/1819], [-251769194670112665572666605/1819, 3262526694490150532900116/1819, 58864019882582225409510271/1819, -6026999739515294326678882/1819], [34840486036252/1819, -217827013268709/1819, 1596783924060/1819, 27645054709363/1819]]], 0, 516096, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-12, 37, 3, -8]], [ -5, -9, -2, 2 ], [ -3, 10, -7, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-12361/2, -37/2, 22, -1], [1095196/107, -30905/214, -28869/214, 711/107], [-11402/107, 325/214, 38/107, -5/214], [0, 0, 0, 0]], [[24305709325797628, -5520300215355362, -8558860946980466, 2969167173645380], [-8601274259927121203/214, 2079399767993527965/214, 3030635283460850521/214, -1069543929123590157/214], [179756275933423057/428, -22116079144840715/214, -64380386043064497/428, 11510206347958871/214], [-862/107, -363/428, -146/107, -1/428]], [[9750184513429740032725695201, -59181181682907595245356610735/2, -2381978964718891104910880424, 11777985683210697872634520165/2], [-3483196760329986900183452806413/214, 5276729638650716482685375155740/107, 857695351218631240025521607793/214, -1051372934459933129981071315788/107], [72704108084595827298297392247/428, -220366142851491115134370290915/428, -17550298962740678811464635099/428, 43759297158106538319707772583/428], [-1451335214032721/428, 1095970512082772/107, 324402608260397/214, -1058065092686013/428]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1727, -109, -29, -1], [-4434830/107, 352697/107, 70453/107, 1012/107], [3186/107, -256/107, -49/107, -1/107], [0, 0, 0, 0]], [[-20768690729907579/2, -88028747075113/2, 42511734613637, 27743736567879], [906623463330607907411/3638, -11006460152735003275/3638, -1863880941454471492/1819, -1149032216683911435/1819], [-1302639626745521775/7276, 16879181392157723/7276, 2374513611716767/3638, 1699262069342833/3638], [-17572/1819, -4555/7276, -6081/7276, -1/1819]], [[-67867634351148695855768862901713, 203892824956996342436777488834593, 29998905882723297491362518383688, -48019995241190542684834056899700], [5993752810343488512188129593952533863/3638, -8983306419072735043180151302001532159/1819, -2670006614091891110021897104789922443/3638, 2117463453731301415506790449749733924/1819], [-8618882605681503919396989499253221/7276, 25831609665224675297304178482447803/7276, 960740721944249759200261771002970/1819, -3045141795366976642097599844162625/3638], [-228671462548816300455/3638, 1379144055818727288285/7276, 206867371365062623475/7276, -167245498038916504025/3638]]], 0, 768, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[48, -192, -32, 48]], [ -5, -9, -2, 2 ], [ -3, 10, -7, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [38096/107, -8446/107, 10512/107, 660/107], [-760/107, 168/107, -232/107, 4/107], [0, 0, 0, 0]], [[0, 0, 0, 0], [-853195068781/107, 196204130493/107, 185650320947/107, -54910813451/107], [34283070173/214, -4102663846/107, -7508276897/214, 1135334784/107], [-285/107, -409/214, 20/107, 3/214]], [[0, 0, 0, 0], [213935195516897713798/107, -672716955854142533477/107, -70615129873084267794/107, 141368055410534941986/107], [-8633614045188053469/214, 13563744876383364378/107, 2819672938761712269/214, -2843847013129715874/107], [18093308754/107, -218454864939/214, 49297070679/107, -2903379681/214]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10697858/107, 797628/107, 511340/107, 2452/107], [-15456/107, -1154/107, -740/107, -2/107], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6896606535475173916628/1819, -185983104169848195689/1819, -877609196132196436216/1819, 650454450523296477224/1819], [19927212069420729051/3638, 270335903534639771/1819, 2541300681467557347/3638, -941403629833402018/1819], [-892/1819, 3405/3638, -3872/1819, -3/3638]], [[0, 0, 0, 0], [-3304456858787984409770021391682852/1819, -176752020159996565393399793267902798/1819, 2630810356591800173110789822658180/1819, 32902011007265960782331863122522050/1819], [4780981636759556664287700838020/1819, 255363866271682979248004484978730/1819, -3816484798414743554645737129300/1819, -47529152003813302578509593778910/1819], [9835351312338288/1819, -51223338953915184/1819, 9074246593237488/1819, 5332669421976864/1819]]], 0, 3096576, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-1, 6, 0, -1]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16, 3/2, 1/2, -1/2], [2, -5/2, 1/2, 5/2], [0, 0, 0, 0]], [[19/2, 2, -1, 3/2], [603944311/2, 121033872, -130664899/2, -36756911/2], [-191434423/6, 37050856/3, -20515703/6, -1132283/2], [19/6, 2/3, -1/3, 1/2]], [[-20760444, 170270743, 5265330, -35327857], [-477978434763704, 4992756504248636, 308376854595225, -1047926028782802], [552255274630957/3, -2397676818825502/3, -297054189474233/3, 548066580555049/3], [-6920148, 170270743/3, 1755110, -35327857/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1/2, 5, 1/2, -1/2], [-7/2, -2, 5/2, -5/2], [0, 0, 0, 0]], [[-29, -13, 6, -2], [-82743/2, 1263547/2, 39455, -132902], [-8114851/30, -1518679/10, 242329/5, 396856/15], [-29/15, -13/15, 2/5, -2/15]], [[907810405/2, -2780100995, 47538855/2, 462140895], [18339335110992, -41501151929834, -5846386934192, 17886611445341/2], [13260649806256/3, -78636012362285/3, -6214145968952/3, 33092377256735/6], [181562081/6, -556020199/3, 3169257/2, 30809393]]], 1, 12, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-1, 6, 0, -1]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-14, 5/2, 5, -3/2], [0, -7/2, -10, -5/2], [0, 0, 0, 0]], [[-3/2, 0, -5/2, -1], [718517711/2, -524336207, -116973647/2, 191172953/2], [290288525/6, -61178746/3, -282397201/6, 42509337/2], [-1/2, 0, -5/6, -1/3]], [[3003749/2, -9410401, -76097/2, 1626996], [-1402578644929259/2, 2383615419613070, 179231702489188, -474257272657011], [-290332620164081/6, 622780597430423/3, 270630818355193/3, -224725501628054/3], [3003749/6, -9410401/3, -76097/6, 542332]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [31/2, 3/2, 13/2, -1/2], [1/2, -5/2, -5/2, 3/2], [0, 0, 0, 0]], [[15/2, 25/2, 5/2, 5/2], [-16407781/2, -63374666, -7903149, 10245976], [7400497/6, 74450, -386345/3, -60887/3], [1/2, 5/6, 1/6, 1/6]], [[360185787, -2212689466, 47897499/2, 722441317/2], [58192833267703587/2, -152104135016415009/2, -9710552484838500, 32666977455792677/2], [40117560862250773/30, -37471875135789233/10, -6975295632954776/15, 24177251945508769/30], [120061929/5, -2212689466/15, 15965833/10, 722441317/30]]], 1, 8, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-107/2, -16, 261/2, 125/2], [73/6, -26/3, -203/6, 53/6], [-5, -8/3, 5/3, -5/3]], [[0, 0, 0, 0], [16260502, 18719254, -2599260, -3790296], [-2511748, -3631832/3, 1372580/3, 720788/3], [7642408/3, 2419264, -1283032/3, -1459192/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [22, -19, -151, -63], [6, 1, -1, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12064021/2, 14241471, 3694913/2, -6031771/2], [58650029/10, -213487163/15, -54315283/30, 30154207/10], [-19/5, 12/5, 11/5, -1/15]], [[0, 0, 0, 0], [324190427488165/2, -350605859931484, -129570423384579/2, 163296788643221/2], [-938466970207487/6, 1058151908695898/3, 126633822863151/2, -491173855580051/6], [105708519, -17397856/3, 4112619, -3371683]]], 0, 32256, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[16, 0, 0, 0]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [41/2, -24, -213/2, 1/2], [-1/2, 2, 13/2, 3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-18189827/2, -21882485, 1258667/2, 9780513/2], [32804341/6, 31189369/3, -4150757/6, -12944735/6], [-2, 2/3, 2, 10/3]], [[0, 0, 0, 0], [-39315618113951/2, 8446544649013, 9154990702205/2, -3944462176275/2], [13508277498299/2, 5976994895245, -6965951758795/6, -2389223221201/2], [21163576/3, -68263922/3, -2588500, 4887088]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [37/2, -43, -511/2, -153/2], [67/2, 5, -5/2, 1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-21770278895/2, -6612570971, 4193034099/2, 2816425865/2], [112253473943/10, 97828615379/15, -62675468141/30, -12678612621/10], [12/5, -6/5, -18/5, -2/15]], [[0, 0, 0, 0], [20241760241344, 16156557447244, -3503509090916, -3231333682754], [-104430242642982/5, -80785069061544/5, 18486885136698/5, 16019042772954/5], [-16296/5, 2328/5, 6984/5, -2328/5]]], 0, 32256, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[6, -15, -2, 3]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [3/2, -1/2, -1, -3/2], [-3/2, 1/2, 0, -3/2], [0, 0, 0, 0]], [[-7/2, -1, 1, -1/2], [-25633/2, 1013835, 101837/2, -429547/2], [-149607/2, -3047974/3, -60823/2, 1277393/6], [-7/6, -1/3, 1/3, -1/6]], [[-24190914, 60464862, 8371890, -12361794], [-4945812569421, 13900040704972, 1701331615751, -2980323793986], [4186551048952, -11952337714956, -1449186228824, 2563074711256], [-8063638, 20154954, 2790630, -4120598]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-60, -3/2, -11/2, 1], [3, 1/2, 1/2, -2], [0, 0, 0, 0]], [[65, 5, 15/2, 5/2], [438233125265/2, 2597413726, -45433909666, -4460813687/2], [-22064310935/2, -330481769/3, 1199276270/3, 94603079/2], [13/3, 1/3, 1/2, 1/6]], [[25368715488, -63615291104, -8214728432, 12863243504], [80192143605009223283, -201574880977958611690, -25682222445623026246, 86332858586073139715/2], [-21339047606654061463/5, 161474125869912950422/15, 19761432898434406306/15, -66851749005987972829/30], [8456238496/5, -63615291104/15, -8214728432/15, 12863243504/15]]], 1, 24, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[6, -15, -2, 3]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-27, -15, 0, 2], [1, -2, 0, 1], [0, 0, 0, 0]], [[1/2, -1/2, 2, 0], [-19298371, -54338347/2, 4818037/2, 10819789/2], [334901, -277187/2, -131957/6, 487501/6], [1/6, -1/6, 2/3, 0]], [[-58617/2, 73242, 3627, -25857/2], [326234519875/2, -40440414508, -72576034349/2, 19813302571/2], [-17327550281/2, 19458194240, 5777418655/2, -8467013663/2], [-19539/2, 24414, 1209, -8619/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-25, 11/2, 7/2, 13], [-1, 3/2, 1/2, 2], [0, 0, 0, 0]], [[93/2, 31/2, 4, 2], [65946551/2, 31841507, -12661605, -3123935], [28210391/30, -9470494/15, -18740942/15, 9249119/15], [31/10, 31/30, 4/15, 2/15]], [[-9521638608, 23866419144, 3056238072, -4800341664], [-3336941749302345, 6925122942481976, 5527888512569043/2, -2244649355968505], [-1239550853920807/5, 2873134571238656/5, 3291379021252741/10, -1159037004404581/5], [-3173879536/5, 7955473048/5, 1018746024/5, -1600113888/5]]], 1, 16, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[6, -19, -3, 4]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [297/2, 8, 3, 9/2], [21/2, 1, 0, 1/2], [0, 0, 0, 0]], [[-1/2, 1/2, 0, 0], [-325312572351/2, 7343902636, -19331018842, 27713286221/2], [-70650408781/6, 1224823759/3, 466998133/3, 1801840487/6], [-1/6, 1/6, 0, 0]], [[0, 0, 0, 0], [-1933139082, 7897999173, 819354555, -1814145426], [-128335492, 540238988, 48996798, -122571654], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [501/2, 5/2, 7/2, 7/2], [129/2, 3/2, 3/2, 1/2], [0, 0, 0, 0]], [[-98, -27/2, -3, -3/2], [-30409344474525/2, -479563270, -21874750726, 1387039282553/2], [-117318256996967/30, -877258598332/15, -896001599126/15, 6373051047799/30], [-98/15, -9/10, -1/5, -1/10]], [[88064326315/2, -138682834060, -48916154335/2, 27916689860], [14977666798038912529761/2, -23282333405810379215890, -3739415465696306953972, 10419675240022841200957/2], [11544678580645129946531/6, -5983643339830984856243, -976852707763044190979, 2691137327230605173121/2], [17612865263/6, -27736566812/3, -9783230867/6, 5583337972/3]]], 0, 128, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[6, -19, -3, 4]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-43, -25/2, 13/2, 3], [13, -5/2, 3/2, 2], [0, 0, 0, 0]], [[-11/2, -1/2, -1/2, 1/2], [1055514928205/2, 235314909042, -3122194645/2, -87684067275], [-971445584119/6, 17047979807/3, -40268993333/2, 30796283051/3], [-11/6, -1/6, -1/6, 1/6]], [[-2054048626, 6511532072, 1013637734, -1384290880], [286708192427890237845/2, -992372962854433705713/2, -127275423107962484089/2, 220483337076606489925/2], [-397935540964099725523/6, 1234060928872559864431/6, 67119413048712285645/2, -86333957387751231281/2], [-2054048626/3, 6511532072/3, 1013637734/3, -1384290880/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-20, 1/2, -2, -17/2], [45, 3/2, 1, -3/2], [0, 0, 0, 0]], [[-105/2, -10, -15/2, 0], [21713972585999/2, -177403984941, 1674797263656, 7719284978765/2], [-151267309783489/6, 1018645384732/3, 1256938384692, 22418605427/6], [-7/2, -2/3, -1/2, 0]], [[2798837943, -17624065833/2, -2884769679/2, 1895537589], [-1210336792273541254741/2, 3763489677067570313195/2, 270127385970542733445, -322756333454481528023], [14174298886929479022549/10, -44102758438238408514397/10, -3073903746232256057043/5, 4815342617865575084806/5], [932945981/5, -5874688611/10, -961589893/10, 631845863/5]]], 0, 128, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-16, 96, 0, -16]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-22, 2, -8, 8], [2, 4, -4, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-240343, 2428639, -106858, -550521], [-81389, 86885/3, -235714/3, -72215/3], [0, -2/3, -8/3, -8/3]], [[0, 0, 0, 0], [2192276101320, -5975358796219, -745184080270, 1281941893851], [502295646788/3, -1355575882141/3, -169853341364/3, 290770434175/3], [-23408/3, 144320/3, -3856/3, -7664]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7, 0, 2, -9], [-9, 0, 2, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [172328, 121283, -360963, -639965], [993006/5, 138941/15, -2325577/15, -1007757/5], [-22/5, 6/5, -2/5, -8/15]], [[0, 0, 0, 0], [-65920330824563, 28994126263636, 313125681764642, -105822275599711], [-18624425519233/3, -244213110032852/3, 280724900805872/3, -14609440583229], [-508584760, 3024821280, 102874120/3, -1544520440/3]]], 0, 516096, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-16, 96, 0, -16]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-14, -13, 15, -8], [-10, -3, 5, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13898205, -22264433, 5405350, 2189769], [-13084523, -3995473/3, 11162828/3, -2459609/3], [0, -2/3, 4/3, 4/3]], [[0, 0, 0, 0], [34903074, 61608260, -4524292, -12673552], [21939856, 37443180, -2915916, -7690450], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [142, -7, 2, 5], [76, 1, 2, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [10305946317246, -1583449637453, 894105052237, -567938704822], [27765508837154/5, -8121790928941/15, 4908878277167/15, -3923233903864/15], [-18/5, 2/15, -34/15, -2/15]], [[0, 0, 0, 0], [193164068165651289590823, -1102563314374844986652387, -23600009088308182635723, 203320434124156480708506], [486240386151425801001783/5, -2896064965713451689345549/5, -79962299000025806172057/5, 543067959999910428217524/5], [-347481025386/5, 2086770184818/5, -713969256/5, -348609450618/5]]], 0, 516096, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-32, 64, 16, -16]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-17/2, 1, -17/2, 3/2], [5/2, 3, 13/2, 5/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10151691/2, 2871217, -3375151/2, 1287773/2], [11616305/6, 604267, -2197979/6, -376045/2], [2, -2, -10/3, -2/3]], [[0, 0, 0, 0], [2508821594641, -3500567450485, -294278857356, 586906973904], [-747762544827, 328857391995, 161643735978, -70889207334], [-692460, 1210230, 246420, -276120]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-95/2, -2, -25/2, -11/2], [-21/2, 2, 9/2, -1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1644100789, -174788011, 661948850, 138802703], [-4432448273/15, -236104201/15, 554806972/15, -74012869/15], [2/5, 32/15, 16/15, 8/15]], [[0, 0, 0, 0], [710000252238969/2, -1125605180653546, -217122307110941/2, 464238006784099/2], [149180548115807/2, -230007325869012, -60656020179435/2, 305381581352395/6], [265432, -1536448/3, -1017424/3, 221936]]], 0, 64512, [], [] >,
< [ 1, -1, -5, 0, 1 ], [[-32, 64, 16, -16]], [ -1, 0, 0, 0 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [44, 23, -4, -16], [2, 3, -2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-25975637/2, 39712319, 9609947/2, -16775371/2], [116861/2, 188885/3, 221791/6, 65165/6], [0, 10/3, -8/3, -2/3]], [[0, 0, 0, 0], [-5721776805417/2, 7629167059801, 1927633239625/2, -3274034626051/2], [2195038641/2, -10512841179, -1559165361/2, 4495035911/2], [-234354, 583918, 14050, -97788]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-135/2, -16, -69/2, -9/2], [-5/2, -2, -7/2, -3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6278417/2, 2273169, 11022709/2, -5101747/2], [-2440381/30, -177001/15, 672809/30, 27379/10], [12/5, -6/5, -4/15, 8/15]], [[0, 0, 0, 0], [-6792783968, 8967211137, 37416134209, -17488567685], [69569032, -121902957, -7919057, 19810117], [-2574, 5652, -234, -882]]], 0, 64512, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[0, -3, 1, 1]], [ 0, 1, -3, -1 ], [ -3, -6, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-15/2, 7/2, 19/2, 14], [-3/2, -3/2, 9/2, 19/2], [-3/2, -1/2, 0, 5/2], [1/2, -3/2, 1, 0]], [[-71190, -135781, 17809/2, 25550], [-25688/3, -108193/6, -5428/3, 12451/6], [-39627, -83028, 7548, 16983], [17591/12, -5923/12, -4493/12, 461/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/2, 1, 19, 17/2], [-293, 18, 157/2, 69/2], [3/2, 1/2, 2, 1], [0, 0, 0, 0]], [[-5051336655/2, -2470649961, -5466511506, 536028186], [68797844204416/111, -42098914732421/111, -74484701778868/111, 70894336075759/222], [-111924207385/37, 23476386607/37, -21440706914/37, 2966227399/37], [31/222, 485/444, -77/444, 1/444]], [[-275234444695707, 2287673428646587, 1437906182903734, 112818407188129], [3218892102002166221/37, -13730905032818373784/37, -250360430543909659/37, 2794234505747546134/37], [-15423905813304390/37, 84958937499446579/37, 9868653606087524/37, -15108885060691205/37], [-10180955/74, 1176020/37, -1751330/37, -3382645/74]]], 4, 4, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[2, 3, -1, -1]], [ 3, 1, -15, -4 ], [ 0, 1, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[19, 23, -15, -23/2], [-8/3, -28/3, -161/6, -26/3], [2, 5/2, -1, -1/2], [-31/12, -11/3, -7/6, -1/12]], [[30222, 1182907, 292604, -396313/2], [-121798, -663469, 314862, 742475/2], [15022, 131080, -15602, -17806], [-97325/4, -429375/2, 74425/2, 223275/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6, -5/2, -37/2, 13/2], [-136, -17/2, 8, -10], [2, -3/2, 1, -1/2], [0, 0, 0, 0]], [[6457191551, 304671151, -2077385197/2, 11012398387/2], [-51943665175973/111, -83588667266015/222, 18652623909269/111, 24369163360853/222], [463408575651/74, 6214924893/37, -10115833377/74, -2685347760/37], [-1099/444, -719/444, -395/444, -1/111]], [[10415776659887683269, 78591966193144039661/2, 6679270361962100999/2, 9605309404197701613/2], [-262996660288745916591775/222, -370008821827512175216534/111, 97170702068000571847057/222, 86676465626105170466749/111], [343605990940328697480/37, 1481709389448187091673/37, 55515847564607466969/74, -304697433667376455902/37], [-611744054956/111, -2140947287882/111, -268368566786/111, 329251690922/111]]], 4, 4, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[2, 2, 0, 0]], [ 0, 1, -3, -1 ], [ -3, -6, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7/2, -3, 8, 9/2], [-19/3, -22/3, 5/6, 7/3], [0, 1, 2, 1/2], [-5/3, -5/3, -5/6, 1/6]], [[41077, -90911/2, -14659/2, 22015/2], [422372/3, -466462/3, -93404/3, 200519/6], [-609, -28413/2, 1029, 3024], [144121/3, -187271/3, -32794/3, 39698/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/2, 3/2, -3/2, -12], [209, 81/2, 77, -189/2], [-2, 1, 2, -5/2], [0, 0, 0, 0]], [[-50466345545/2, -49643012579/2, -39338859437/2, 1234717839], [827843004926429/222, 164835312237679/111, -205511880803627/222, -31135646876077/111], [-1803712507361/74, -11463996994/37, 53391306985/74, 10150967009/74], [-124/111, -53/222, -179/111, -2/111]], [[-22178639047679585065/2, -66381853597230379367/2, 14219630417229071905/2, 8258611653426425854], [198142965184800955480189/222, 821933368986553554838093/222, -18262304611902693525104/111, -85910556021490262406965/111], [-323567160840947366511/74, -1758118724192085481473/74, 122599785537805015149/74, 374442700522070115695/74], [-41074768280/111, -163854242450/111, 44861789855/111, 40842293960/111]]], 1, 20, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[0, -4, -2, 0]], [ 3, 1, -15, -4 ], [ 0, 1, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[8, -9/2, -69/2, 25/2], [2/3, -14/3, -1/6, 13/6], [1/2, -1/2, 1, -1], [-1/6, -4/3, 5/3, -1/6]], [[41/2, -14, -31, -17/2], [165/2, 109, -8, -37/2], [-12, -58, -2, 10], [28, 77/2, -7/2, -7]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-12, -9/2, 105/2, 27/2], [7/2, -25/2, 25, 51/2], [-3/2, -2, 5/2, 5/2], [0, 0, 0, 0]], [[78062, -6736, -77937, 74163], [-162554695/111, 594944081/222, 52701772/111, -65742244/111], [4543205/74, -283165/74, 119900/37, -95812/37], [25/111, -181/111, 697/222, 1/111]], [[-58657523693, -224408615293/2, 48554179989/2, 56612845203/2], [30329105145217/111, 21649359144817/222, -10313290692539/222, -3298461217207/222], [-1919648171710/37, -3717363673030/37, 435247190375/37, 794060842762/37], [-27149254/111, -12251864/111, 72339743/222, 17691629/111]]], 1, 20, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[8, 8, 0, 0]], [ 0, 1, -3, -1 ], [ -3, -6, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8/3, 101/6, 55/6, -11/6], [13/2, -1, 1, 5/2], [13/6, -1/3, 1/3, 5/6]], [[0, 0, 0, 0], [530164/3, 1594231/3, -149239/3, -382417/3], [231920, 375200, -69440, -82160], [231920/3, 375200/3, -69440/3, -82160/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [9, 1, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [795915/74, 881103/74, 522183/74, -1616/37], [-8775/37, -19125/74, -11325/74, 75/74], [117/37, 255/74, 151/74, -1/74]], [[0, 0, 0, 0], [-6152642229527/3, -50512877236843/6, 12306887427325/6, 12405463767169/6], [89086894175/2, 185242126750, -44661132025, -90752588675/2], [-3563475767/6, -7409685070/3, 1786445281/3, 3630103547/6]]], 0, 5120, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[0, -16, -8, 0]], [ 3, 1, -15, -4 ], [ 0, 1, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 1, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13/3, 4/3, -65/3, -52/3], [-17, 5, -4, -2], [-17/3, 5/3, -4/3, -2/3]], [[0, 0, 0, 0], [4349939/6, 1829288/3, -3580567/3, -4301053/6], [1951285/2, 974165/2, -874483/2, -166465], [1951285/6, 974165/6, -874483/6, -166465/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-19, 1, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [164867/111, 108424/111, 12958/111, -1051/111], [7961/37, 5548/37, 760/37, -19/37], [-419/111, -292/111, -40/111, 1/111]], [[0, 0, 0, 0], [33686970877/74, 6055004309/37, -12361698819/37, -10443630025/74], [4856883075/74, 1978043925/74, -3452403075/74, -896092725/37], [-85208475/74, -34702525/74, 60568475/74, 15720925/37]]], 0, 5120, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[32, 32, 0, 0]], [ 0, 1, -3, -1 ], [ -3, -6, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, -6, 10, 10], [4, 8, 8, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [13868684/3, -22399618/3, -2515862/3, 6000583/3], [2967829, -20671833, 391648, 3689221], [-2/3, 4/3, 17/3, 5/3]], [[0, 0, 0, 0], [6220489772, -9332714013, -1298285471, 1949837183], [3481889521, -28711132960, -721281454, 5989230649], [847, 2618, -154, -539]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [618, -60, -20, 42], [8, -10, -4, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-200473672994095/111, -231255804966016/111, 34331917881466/111, 44750249111794/111], [-534654579790/37, 19212413048/37, 12932634271/37, -42138962535/37], [271/111, 181/111, -478/111, -1/111]], [[0, 0, 0, 0], [32686013465343711914/111, 141664850949732793724/111, -6408626551044656174/111, -29360124128505958022/111], [-7572231315669010/37, 394828405922953380/37, 8398580995770720/37, -80778580451622866/37], [-40445504/111, -121267454/111, 71950406/111, 5172926/111]]], 0, 1310720, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[0, -64, -32, 0]], [ 3, 1, -15, -4 ], [ 0, 1, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, -4, 10, -10], [6, 10, 8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [480421/3, -1739359/3, 219374/3, 112744/3], [-555558, 1547274, 171914, -316423], [-16/3, 10/3, -2/3, -1/3]], [[0, 0, 0, 0], [-1027228364, 368825575, 314595651, -26279179], [2396690871, -1860849122, -598463692, 344208511], [-10189, -62906, 3544, 13733]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [206, -10, -152, -34], [2, 0, -10, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-297159862697/111, 1353034713101/111, 60623424452/111, -282781869413/111], [-166446596/37, -4039726/37, -8940427/37, -4582300/37], [-322/111, 280/111, -839/111, -4/111]], [[0, 0, 0, 0], [-23820046679279337284/111, 3328731713076495436310/111, 9416926720170008612/111, -692688897786873507260/111], [-586835555737985104/37, -602948800635125334/37, 231523773175111918/37, 177219449771666742/37], [-1783685746726/111, -932590427672/111, 1886222325652/111, 936580685816/111]]], 0, 1310720, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[-1, -3, 3, 2]], [ 0, 1, -3, -1 ], [ -3, -6, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[39/2, 5/2, -79/2, -11], [28/3, 13/3, -100/3, -17/6], [-1/2, -3, -11/2, 0], [-17/6, -11/6, -2/3, 1/3]], [[-15395900, 48837217/2, 9343025, -2382128], [-4166089/2, 282218, 8643187/2, 1529770], [502276, 4378, 648342, 314022], [11514885/4, -8936147/2, -901813/2, 3972449/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -7, -10, -5], [-545/2, -158, -20, -15/2], [-5/2, -9/2, -1/2, 0], [0, 0, 0, 0]], [[832818999/2, 828304205/2, 405263704, -79435555/2], [10778531344111/111, -31787972679613/222, -1959215427526/111, 3387699066023/111], [30704680919/74, -259715383/37, 176194324/37, -462011187/74], [839/444, 260/111, 17/222, 1/444]], [[10646491770994778, -5173659945521135, 87018992587832968, 47974011720334064], [276172199005325565686/37, -999461511444822641851/74, -34503424182056586840/37, 115583323746059440015/37], [1924883050310826349/74, -760469546002022343/37, 350248641091825429/74, 786794901664051913/74], [3728966769/74, 3662034255/74, 9227582628/37, 3660181635/37]]], 1, 16, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[2, 4, 2, 0]], [ 0, 1, -3, -1 ], [ -3, -6, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, -5, -3, 7], [20/3, -23/6, -11/3, 28/3], [-1/2, -3, -5/2, 3/2], [11/6, -7/6, 2/3, 2/3]], [[-12029/2, 17101, 21421, -1445/2], [-72519/2, 6150, 37919, 8311/2], [5124, 14224, 28, -4284], [-20837/2, 8397/2, 4665, 311]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 1/2, -47/2, -31/2], [-69, -52, -76, -165/2], [0, -3/2, -2, -2], [0, 0, 0, 0]], [[55755381/2, 71249525/2, 113426369/2, -21566201], [-145843039559/222, 1749831892621/222, 155905812377/222, -202885571240/111], [1161520140/37, -24164826/37, 310814025/37, -180765696/37], [803/222, 82/111, 290/111, 2/111]], [[-136536464526740919, -322979535959135160, 101245144936192446, 133988166237144909], [-963293431604547918478/111, -1348805173098333478102/111, 222632912018482191499/111, 329588838121630506307/111], [-2435807139273675621/37, -7538469232746719079/37, 640075495309206867/37, 1976003338628754765/37], [-1328417498408/111, -3177489844958/111, 1584475925747/111, 1378812050759/111]]], 1, 80, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[16, 48, 0, -8]], [ 0, 1, -3, -1 ], [ -3, -6, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, -2, 9, 4], [3, 2, -2, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-24386/3, 71345/6, 16249/6, -12137/6], [7235/2, -3913, -194, 1587/2], [25/6, 5/3, 1/3, -1/6]], [[0, 0, 0, 0], [-908648775/2, -9231334117/2, 3097836049/2, 1627238276], [392164901, 5485973159/2, 650001177/2, -844444033/2], [1813381, 11144101/2, 1652315/2, -1319075/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [227, -10, -83, -12], [-2, -2, -9, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1006227174056638/111, -602252583536084/111, -222795285538234/111, 120719132084327/111], [-5528451019288/37, 190108053770/37, -18197586863/37, -64815259145/37], [-160/111, 374/111, 145/111, 1/111]], [[0, 0, 0, 0], [1886270328272266401858119/222, 3862956707771392487664413/222, -384796943243442788777447/222, -401293350484574595350158/111], [-7370319957095685899654/37, -30713936681135677512109/74, 3775182578466986238625/74, 6491288080906356137719/74], [56041684484/111, 281432605885/222, -110627756113/222, -111697272691/222]]], 0, 20480, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[64, 192, 0, -32]], [ 0, 1, -3, -1 ], [ -3, -6, 0, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, 6, -4, 4], [-16, -18, 34, 12], [0, 0, 0, 0]], [[0, 0, 0, 0], [2522512, -5949335, -841765, 1188391], [-336587, -3887800, -1432106, 54933], [-3, 4, -2, 1]], [[0, 0, 0, 0], [-48550015664/3, -215069166923/3, 11330581823/3, 45324205760/3], [-226555762890, -503286940241, 49877800354, 106255117788], [-451705/3, -869860/3, 94855/3, 178120/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [752, -40, -208, -38], [2, -8, -36, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-30431711979136631/111, 54328761479388307/111, 6340267139547617/111, -11315493604909687/111], [26144172707965/37, -589442068226/37, 44042081577/37, -99924119808/37], [248/111, 497/111, 580/111, 4/111]], [[0, 0, 0, 0], [174031480772086364236643756/111, -542386407923713268578030084/111, -36574352291773182596275790/111, 113168661511738056924000832/111], [75024427650560493662370/37, 623193622475138064569262/37, -27429751022634442381504/37, -143177172379100953465852/37], [4178772581374/111, 10620210181168/111, -3814543972678/111, -4071969904798/111]]], 0, 5242880, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[-1, -6, 0, 1]], [ 3, 1, -15, -4 ], [ 0, 1, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 15/2, -19, -1/2], [20/3, -14/3, -83/3, -22/3], [-11/2, -13/2, -1/2, 1/2], [5/6, -19/12, -7/12, -5/12]], [[18580, 31014, 4119, -19341/2], [-26631, -46227, 9824, 17893/2], [-101476, -229241, 21206, 47932], [-5735/4, 1085/2, -155/2, 465/4]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, -1, -8, -2], [657/2, -31/2, -73/2, -14], [-3, -5/2, -7/2, -3/2], [0, 0, 0, 0]], [[-216882184, 451575250, -1007207461/2, 475359595/2], [-16437750699175/222, 6437205808919/111, 7330896364039/222, -2230232362532/111], [50569396767/74, 281992131/74, -386016651/74, -248256819/37], [-61/444, -917/444, 253/444, 1/222]], [[-6052285329326434, 23230594162773465, 12127486343609635/2, -9535740851027677/2], [-447623535421532749/222, 1255163490872693504887/222, -13757003533332509909/222, -255406127179196748055/222], [-417743794423035954/37, -2460475706550790779/37, 141599158524613953/37, 1095206414368264101/74], [19501148693/444, 15591778111/444, -7697999075/444, -1913501447/222]]], 1, 16, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[4, -2, -2, 0]], [ 3, 1, -15, -4 ], [ 0, 1, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, 3/2, 5/2, -7], [23/3, -5/3, -103/6, -19/3], [4, 3, -4, -3/2], [4/3, -4/3, -5/6, 1/3]], [[5901, 3589/2, -53977/2, -9925/2], [-150035/6, 1059887/6, -115478/3, -171706/3], [34033/2, 122896, -10399, -29306], [-39743/3, 149783/3, 14647/6, -65119/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 7/2, -9/2, -17/2], [-9, -4, -191/2, -69/2], [7/2, -1/2, -9, -3], [0, 0, 0, 0]], [[-135016253/2, 649572441/2, -1777907247/2, 390961167], [-1281307951553/111, -2306706600185/222, 965139572071/222, 368169748661/222], [37745977467/74, -3441799313/74, 3061317157/74, -942480271/37], [-265/111, -146/111, -151/222, 1/222]], [[-7681211879385566650, 45361997940490954887/2, -13616274887380905529/2, -3864283518803907211/2], [-12431453994473576970, 1168446501914694543761/2, 9973586068525440295/2, -262969872717417711869/2], [8318155601940609282, -36151681472410464483, -1676919782610313108, 6789045909956480773], [-22065213807, 303893801533/2, 22305286479, -43160909995/2]]], 1, 80, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[16, -8, -8, 0]], [ 3, 1, -15, -4 ], [ 0, 1, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [22, 7, -67, -34], [7, 2, -23, -10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-19207771/6, -6019417/3, 439724/3, 1435133/6], [-1750949/2, -1042453/2, 82649/2, 40436], [19/6, 41/6, 23/6, 2/3]], [[0, 0, 0, 0], [-567825822214/3, 1096509965848/3, -101673625127/3, -140843658232/3], [-57555352133, 104179534727, 14951448545, -24420401843], [287164/3, -245836/3, -62812/3, 177448/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [208, 159, 128, -12], [6, -8, -7, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [247797278828704/111, 478265544700700/111, -60962928593869/111, -98856650604737/111], [432849062908/37, -10700501452/37, -7319788423/37, 11223674110/37], [197/111, -596/111, -182/111, -1/111]], [[0, 0, 0, 0], [1322078055773244522272/37, 6091463004212863418329/74, -563592755775406846535/74, -1303982273692683820441/74], [4079787328629593505/74, 12244168290771073341/37, 221753877412461930/37, -4063054091945223501/74], [-1232335605/74, 599007237/37, -1256510226/37, -1194815955/74]]], 0, 20480, [], [] >,
< [ 1, 0, -5, 0, 1 ], [[64, -32, -32, 0]], [ 3, 1, -15, -4 ], [ 0, 1, -3, 1 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 0, -10, -2], [4, 18, 24, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1471/3, 3118/3, 463/3, -571/3], [53, -26, -2, 8], [-5/3, 2/3, 14/3, 4/3]], [[0, 0, 0, 0], [91630, -203144, -19216, 42492], [10528, 51200, -2108, -10720], [0, -480, 30, 90]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [468, 54, -40, -22], [12, 4, -2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-14063958082516/111, 2432137341619/111, 2105518802431/111, 398205523043/111], [-111816661145/37, -2829882990/37, -5804304680/37, 3398420233/37], [-197/111, -292/111, -484/111, 1/111]], [[0, 0, 0, 0], [-633360736712120032225/3, 2047471306024795884949/3, 122013922992242276956/3, -428537570255301987400/3], [-4605870045426325666, 16020076983059281114, 1041811320444251578, -3263598998338923793], [-4256863598/3, 30091296014/3, 4008064502/3, -4372948853/3]]], 0, 5242880, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[-1, 3/2, 1, -1/2]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-99/2, -63, 46, 40], [-407/17, -2607/34, 151/17, 458/17], [-1, 5/4, 3/2, 5/4], [25/34, -167/68, -25/17, 1/68]], [[-48764705/2, -145834953/4, 5654495, 27269121/4], [126510951/17, 7529107717/68, 1893038169/34, -1933063159/68], [16045161/2, -25806605/4, -19021211, 27065049/4], [17849731/34, 152631937/17, 82734815/17, -44529334/17]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -7/4, 7/2, 11/4], [7/2, 37/4, 1, 15/4], [5/2, -1, 1/2, 0], [0, 0, 0, 0]], [[-49782, -120446, -124400, -254777/2], [-40577667/34, -102157037/68, 15270345/17, -23919167/68], [-105432, 104434, -443983/2, 57745], [-159/34, -185/68, -5/34, -5/68]], [[-13579229254500, -1932254119575, 47891899572075/2, -15200803030725/2], [-7385582516162405/34, -2468954678375377/34, 11424723008064657/34, -1614839013402184/17], [845284701001006/17, 336519675746667/17, -2456856955107061/34, 670373371779127/34], [796300507/17, 3599813853/68, -279882863/17, -228090725/68]]], 4, 3, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[0, 1, 1, 0]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11/2, 47/4, -7, -37/4], [217/17, 1469/34, -1871/34, -404/17], [-7/2, 5/4, 3/2, -5/4], [-16/17, 14/17, -36/17, -1/17]], [[10754849/2, 40354951/4, 1141056, -7557515/4], [710699096/17, 5431938139/68, 160113695/17, -948843095/68], [2406915/2, 10913329/4, 443744, -1982981/4], [73534561/34, 72138036/17, 18240765/34, -24445633/34]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/2, -5/4, -23/2, -35/4], [89, 20, -31/2, -5/2], [-13/2, -11/4, 1, -3/4], [0, 0, 0, 0]], [[31203579, 44816035/2, 7301096, 18204329/2], [-13501707653/34, 4136445783/68, 1898961923/17, -1792884097/68], [485653735/17, 87084735/34, -156001846/17, 96533343/34], [-11/34, 121/68, -5/34, 3/68]], [[-1330774931266, -2295483428623, -376618877217/2, 431164230464], [118190588179073/34, 81538974557510/17, 7347331896094/17, -1513855071569/2], [-6322253638754/17, -9826251924991/17, -855117618909/17, 3286899921851/34], [-393616/17, -3174317/68, -158715/34, 558681/68]]], 1, 5, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[-4, -4, 1, 1]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-10, -5, 13, 7], [-7, -7/2, 20, 21/2], [5, 1/2, 2, 5/2], [0, 0, 0, 0]], [[-3237082, 1363664, 3709539/2, -597240], [-4358651/17, -26372739/34, 44602899/34, -4632513/17], [4600746, -2191583, -2215781, 1618541/2], [-50/17, 14/17, -19/17, -1/17]], [[2468933187152, 4134027662208, 316310581740, -611533791364], [193121984904803/34, 669021305540055/68, 24908379109973/34, -98972224292355/68], [1665094475056, 3402477065680, 622932802212, -617233296788], [-2623994145/34, -9516823455/68, -302767590/17, 1576600545/68]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -1, 17/2, 4], [-121, 27/2, 45/2, 10], [3, 7/2, 2, 1], [0, 0, 0, 0]], [[399162142, -2395276252, -920216751/2, -672053755/2], [9739159085221/34, -7093552181809/68, -2733683908270/17, 207905435061/4], [-47505452008/17, 660352665/17, -4639157253/34, -3392878213/34], [173/34, -147/68, 1/17, -1/68]], [[-21051961949253021260, -33367360422844763356, 5237436558553363031, 10539249283176231991], [570415053117388880581/17, 1714792759059876522627/34, 152758931345660444096/17, 141758405449764930263/17], [-209361773447127115336/17, -358317768698946006336/17, 225561569966981493/17, 89470838044031403454/17], [109843311596/17, 215221767447/17, 102886940665/34, -34351749059/17]]], 0, 44, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[12, 16, 1, -3]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[8, -18, -16, -13/2], [-18, -25, -31/2, -27/2], [-26, -6, -5/2, -2], [0, 0, 0, 0]], [[21133987818, 13109568132, -3189527697/2, -2360569527/2], [281231142377/17, 657485287544/17, 125384602242/17, -217402774113/34], [-8024419602, 24822720961, 18773418125/2, -10566993907/2], [42/17, 37/34, -83/34, 1/34]], [[-511683056827488, -735661752177300, -70868195918949, 237648670846353/2], [-13613805542649396/17, -51895025607517467/34, -7433998879794413/34, 4436303874333836/17], [-223978696804382, -710472017510079, -274034382349735/2, 127920763736532], [-727285/17, -278385/17, 907850/17, -235170/17]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-8, 30, 16, 11/2], [-4, 56, 57/2, 31/2], [38, 6, 3/2, 2], [0, 0, 0, 0]], [[25770304320, 6131869485120, -325911004095, 143745289865/2], [47491888372535/17, 202240965011408/17, -35923694940932/17, 12176419115086/17], [103803686073288/17, -4992868102826/17, 2881765101017/34, -109523793365/17], [12/17, -1/34, 5/34, 0]], [[3387857421578188500, 56749729932072097200, 33514454574083748675, -29382457291036104975], [217290983661880760288/17, 4062811872264735944013/34, 1231943286922288169589/17, -1094914466993651919996/17], [53361872510258617166, 37749276350844461118, -27688528580120983836, -846964355360652472], [149713051/17, 122982740/17, -173396281/34, -13427094/17]]], 0, 704, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[1, 5/2, 0, -1/2]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[10, 55/4, -25/2, -43/4], [349/34, 2683/68, -842/17, -1565/68], [1/2, -2, -3/2, 0], [-16/17, 14/17, -55/34, -1/17]], [[217050, 716821/2, -37911/2, -82472], [1969859/34, 44602693/34, 22501522/17, -11688138/17], [59249, 106206, 28635/2, -40561/2], [-476508/17, 2843685/68, 1671623/17, -2536255/68]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-19, -107/4, 27/2, 83/4], [-75/2, -199/4, 54, 115/4], [-1/2, -3/2, 5/2, 1/2], [0, 0, 0, 0]], [[-617862, 61220649/4, 6167763, 13718313/4], [1482116101/17, 4093100001/68, 638556393/34, -177081677/68], [19598911/2, 2602737, -344469, -267477/2], [55/17, 207/68, 1/34, 1/68]], [[2575443316268025, 6571464977157570, 4227523098531579/2, -4680770914195929/2], [390766867118239686/17, 2343554582365859571/68, -76302003196350811/34, -361463914764639269/68], [27796827687158676/17, 74870385315982403/34, -9692538783234967/34, -4136172585285386/17], [21823958085/34, 41924505055/34, 4185328210/17, -9861267585/34]]], 1, 5, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[2, 0, 0, 0]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, -9/4, -1/2, -1/4], [-440/17, -1911/68, 1063/34, 655/68], [1/2, -9/4, -1/2, -1/4], [-35/34, -31/34, 53/34, 1/34]], [[-2436, -5423, -1595/2, 1827/2], [51219/17, 341877/68, 65883/34, -73143/68], [-2436, -5423, -1595/2, 1827/2], [6189/34, 5022/17, 2073/17, -1233/17]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, -1/2, 1/2, 0], [-50, -5/2, -7, -1/2], [4, -1/2, 1/2, 0], [0, 0, 0, 0]], [[-3366371997, 374846771, 552553973/2, -128360805/2], [711383693350/17, 145725018347/68, -94255576295/34, 13968572221/68], [-57228324057/17, 6372395300/17, 9393417481/34, -2182133695/34], [-25/34, 22/17, 1/34, -1/17]], [[1426948397463152113/2, 5090799485496309221/4, 658548751891088635/2, -992291483617248767/4], [-191737258904446756375/17, -684708270733434644377/34, -151466876087073916981/34, 122821911040476165749/34], [24258122690913592161/34, 86543591060303875341/68, 11195328819104087445/34, -16868955223521468103/68], [-4395142565/17, -14813693531/34, 798815793/17, 272642955/17]]], 1, 15, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[0, 0, 2, 0]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15, 1/2, 3/2, 1], [-4, -4, 2, 1], [15, 1/2, 3/2, 1], [0, 0, 0, 0]], [[284272, -147352, -173432, 65200], [-93349/34, 933431/68, -130116/17, 178181/68], [284272, -147352, -173432, 65200], [-25/34, -139/68, 8/17, -1/68]], [[-2173768, 2036848, 1253144, -545072], [705428/17, -3895147/17, -1011951/17, 1525775/34], [-2173768, 2036848, 1253144, -545072], [375/17, 1881/34, 285/34, -325/34]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11, 1/2, 0, -1/2], [219, 1/2, -2, 5/2], [-11, 1/2, 0, -1/2], [0, 0, 0, 0]], [[-669185335, 67136915/2, -33322390, 5380785/2], [443492819251/34, -22872599063/68, 13575608024/17, -24354360127/68], [-669185321, 67136909/2, -33322390, 5380785/2], [59/34, 3/68, 1/34, 1/68]], [[5025574696760315, 12164284513022505/2, 1686191146405545/2, -1400303810741295], [-1603476810277899436/17, -1955207407220194750/17, -345049360691916704/17, 435363647786485328/17], [85434768473106795/17, 206792833972360505/34, 28665248883451673/34, -23805164459167855/17], [-237553664/17, -297278640/17, -29564392/17, 66076344/17]]], 0, 132, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[0, -8, 0, 2]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-22, 2, -1/2, 5/2], [10, 8, -19, -10], [-22, 2, -1/2, 5/2], [0, 0, 0, 0]], [[-1008542124, 655974288, 310927410, -134704638], [499464118/17, 1941758081/34, -825391641/17, -62127218/17], [-1008542126, 655974260, 310927397, -134704636], [-1/17, -14/17, -13/34, 1/17]], [[520841628, 327711987, -1806283413/2, 483083973/2], [178363140, 82047250, -255797240, 69073890], [520841628, 327711987, -1806283413/2, 483083973/2], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[16, -1, -13/2, -5/2], [-208, -5, 29, 5], [16, -1, -13/2, -5/2], [0, 0, 0, 0]], [[4907464738, -720190669, 479965167, -178165328], [-8781179565593/17, -13763976373996/17, -3792234713589/34, 2384702266018/17], [83426903094/17, -12243240878/17, 8159407914/17, -3028810572/17], [-98/17, -23/34, -2/17, 0]], [[4065689927719705736, 8441176740993904501, 6150021082095413083/2, -6681865480530572409/2], [-22911966041668921215104/17, -42019478142065289748666/17, -6209998951172515125726/17, 7324033959722455101723/17], [69116735211046629256/17, 143500014696937919741/17, 104550355516077700799/34, -113591720945001294837/34], [-208464257280/17, -333206618700/17, 31981123851/17, 127467617808/17]]], 0, 2112, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[-1, -5/2, -2, 1/2]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 11/2, -1, -1/2], [0, 13/2, 8, -11/2], [3, 5, -2, 0], [0, 0, 0, 0]], [[13017, 193857/4, 31013/2, -28985/4], [-3189447/34, -433614/17, 1470220/17, 1737715/34], [191277/2, -7339, -50133/2, 6186], [185/34, 91/34, -15/17, 1/17]], [[-332118579/2, -570369163/2, -81408041/2, 104847613/2], [-736291547/2, -1723102463/4, 109652319, 354219351/4], [-10121865, -1033222723/4, -176133789/2, 228128719/4], [-12804, -29197, -2425, 4559]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, -1/4, -21/2, -27/4], [627/2, 365/4, -51, -29/4], [-21/2, -7, 3/2, -1], [0, 0, 0, 0]], [[-26094084900, 15431355210, 84038961720, 31616461910], [-144617266523911/34, 11394948787549/34, 48070253423331/34, -11207533107175/34], [1558063790402/17, 336461126012/17, 112150601546/17, 36549706746/17], [-41/17, -275/68, -1/34, -5/68]], [[3670485805039222200, 4935174447333215820, 26229224253916800, -842926476104906940], [3771761651425607503825/17, -13704412492884019548769/68, -2067826291956929076506/17, 213383285099576529911/4], [-54900863492427132876/17, 113888026483207179637/17, 42226078641226692501/17, -24475069325761893784/17], [-4054031013/34, -6796598513/34, -703000714/17, 691901382/17]]], 0, 44, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[4, 9, 2, -1]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7/2, -29/4, 0, -3/4], [2, 3, 4, 1], [7/2, -29/4, 0, -3/4], [0, 0, 0, 0]], [[17539896, -10768164, -3182344, 1628176], [43395711/34, -173917865/34, -17930442/17, 12592513/17], [17539896, -10768164, -3182344, 1628176], [47/17, 99/68, -26/17, -1/68]], [[-1428802425930, 3529768450340, -437156467550, -211699698980], [-27789210868979/17, -32141002793085/17, -6026018198780/17, 7276983778000/17], [-1428802425930, 3529768450340, -437156467550, -211699698980], [-1223651/17, 24943655/34, 12197108/17, -5776771/34]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[12, 2, 4, 0], [116, -9/2, -14, 3/2], [12, 2, 4, 0], [0, 0, 0, 0]], [[-95687979163/2, -5886628405/4, 733859887, 1350903781/4], [-14155466929857/34, 2894495313887/34, 3266197123975/34, -892470462433/34], [-1626695645735/34, -100072684317/68, 12475618169/17, 22965364269/68], [3/17, -173/68, -1/34, -3/68]], [[-19957234717105265256, -14217613683585476964, 8428351804248305520, -2739570397630989780], [-2106559292822471488628/17, -4339553766951365885567/68, 911592132939045474639/17, -472359748400211166723/68], [-339272990061109805984/17, -241699432668303944865/17, 143281980428089037699/17, -46572696697469477062/17], [32145922785/34, -2037615740/17, -30854671542/17, 274003057/34]]], 0, 132, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[8, 0, 0, 0]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7, 31/2, 0, 5/2], [-8, 0, -3, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-100147376, -157035755/2, -20695943/2, -4669204], [-89355195, 208937591/2, 67766788, -39809343/2], [2, -15/2, -5/2, 0]], [[0, 0, 0, 0], [541369360100473/34, 1831959869755895/68, 709029213260785/34, -684795404140021/68], [6435117701538, -30630841928493, -3666642718839, 4154353179880], [-162271041/34, 34045987/68, 264408951/34, -164039669/68]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [23, -31/2, 3, 9/2], [-12, 5, 0, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-240127887/34, -260167273/68, 5212261/34, 66104827/68], [53150004/17, 27829190/17, 31605/17, -6015937/17], [-235/34, -491/68, -5/34, 1/68]], [[0, 0, 0, 0], [22594192016502677/34, -406136110897302377/68, -79515385598544123/17, 161460525083423141/68], [-5053234376278511/17, 90827009541940965/34, 35810694122237051/17, -34204562470293503/34], [-192092824407/34, -640040813723/68, 18686392821/17, 11726294771/68]]], 0, 2112, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[0, 0, 8, 0]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, -11, -5, 0], [22, 5, -4, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-601092777/17, -228468118/17, -118287950/17, 43057815/17], [-56297672, 73753713, 71319949, -24778694], [58/17, 213/34, 37/17, 3/34]], [[0, 0, 0, 0], [-307086580706730/17, 163329388067511/17, 223999991776421/34, -86388095183515/34], [-43351931004896, 22140979478062, 21933807398877, -8009400114559], [4510366/17, 1865156/17, -2883601/34, 164555/34]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [174, 23, 17, 6], [-18, -5, -3, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [5816625604841/17, -2425983203843/34, 885225766921/34, 14158724953/17], [-643335905254/17, 6611351873/17, 4479009010/17, -27592487301/17], [-71/17, -183/34, -3/34, -2/17]], [[0, 0, 0, 0], [-2959496611812585554/17, 1608033568947337059/34, 1300456235501812546/17, -795466341356497883/34], [283396770131710586/17, -57455913239550180/17, -111411024837644138/17, 30709141454168808/17], [12740743/17, 15220411/17, 2302472/17, -3397277/17]]], 0, 33792, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[1, -1/2, 0, 5/2]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3/2, 1/2, 7/2, -1/2], [-19/2, 1/4, -3, 3/4], [4, 13/4, -5/2, 3/4], [0, 0, 0, 0]], [[-276799, -977337, 437317, -39897], [1026200267/34, -427632089/34, -460121697/34, 160242721/34], [-1401036, 182610, -356622, 138402], [20/17, -53/68, -29/34, 5/68]], [[-80630662069, -14514097173, 144154601175, -42941673525], [4715374333706/17, -1832310488613/34, -6496793375459/17, 4112762267613/34], [132234156352, 173467357475/2, -166514446559, 80630215109/2], [513280/17, 565780/17, -218720/17, -111740/17]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, -11/4, 3, 3/4], [-101, 81/2, 14, 19/2], [-9/2, 19/4, 1, 1/4], [0, 0, 0, 0]], [[-1100035/2, 3446778, 673343/2, 202581], [1477723183/17, -7172818457/68, -598065879/34, 1418251657/68], [135890077/17, -47715035/68, -4925063/34, 18700603/68], [-121/17, -43/68, -3/34, -1/68]], [[90688671900399959, 706056364341477249/4, -14776491817223527/2, -277613728968056425/4], [31997414902922450913/34, 3091584006485555533/68, -20745775802291227429/17, -11052910385747299241/68], [5836095742848857717/34, 7206100400512920373/34, -1636009638204639211/34, -1541703647728347463/34], [-165302327744, -3714393615680/17, 581418398048/17, 762531505504/17]]], 0, 704, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[-12, -21, -2, 5]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11, 23/2, 0, 1/2], [16, 15/2, 5, 5/2], [11, 23/2, 0, 1/2], [0, 0, 0, 0]], [[339383373/2, -249437307/4, 17616165, -15674057/4], [27840391367/34, -19163590161/68, -6075232037/17, 8223016453/68], [339383463/2, -249436793/4, 17616075, -15674067/4], [45/34, 257/68, -45/17, -5/68]], [[53086405386168, 6776074140675, -21235787507466, 4307914829085], [4840520317844495/34, -1267843078698353/34, -1552384726912259/34, 468284273101139/34], [53086392017830, 13552178007617/2, -21235768943591, 8615817027691/2], [-6684169/17, 29726267/68, 18563875/34, -12630479/68]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-37/2, 5/4, -2, -1/4], [-172, -13, 6, -1], [-37/2, 5/4, -2, -1/4], [0, 0, 0, 0]], [[59309510747/2, -4894816765/4, -277027807, -299667991/4], [8967798201597/34, 990078349877/68, -447726731285/17, 82514496835/68], [1008261682543/34, -83211884897/68, -4709472735/17, -5094355835/68], [-19/34, 5/68, -2/17, -1/68]], [[-1308651504020992440, 3995429982795509040, 2580573345693724728, -1151593191331852608], [-111975912846599086826/17, 2439856289489383847815/68, 600592282645541784981/34, -614258591015068551467/68], [-22247075560259428756/17, 67922309698090303917/17, 43869746865919306334/17, -19577084248567414135/17], [1184346683/34, -1451132384/17, -2394052205/34, 420006999/17]]], 0, 2112, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[16, 36, 8, -4]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, -13, 2, -1], [5, 21/2, 4, 3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [884017, -900171/2, -346380, 267647/2], [1266565, -1407263/2, -573550, 421275/2], [0, -2, -2, 0]], [[0, 0, 0, 0], [217425264739/34, -256200901291/68, -42109064179/17, 66983193799/68], [9790465157, -10057057739/2, -4326274074, 3218683555/2], [399125/34, 409825/68, -150075/17, 150775/68]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [149, 127/2, -4, 17/2], [2, -16, 0, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [59897438469/34, 8034611203/68, 2324360602/17, 30898699281/68], [1462269556/17, -2377312610/17, -40989870/17, -1634230680/17], [-75/34, -387/68, -5/17, -1/68]], [[0, 0, 0, 0], [2696158100868455/34, -15928777915571855/68, -1867547376874282/17, 2527398303989063/68], [634256982471107/17, 168981198650321/34, -379357360428164/17, 319957548009039/34], [18545127/34, 35844139/68, -2125726/17, -21559/4]]], 0, 33792, [], [] >,
< [ 4, 4, -5, -2, 1 ], [[32, 0, 0, 0]], [ -1, -1/2, -1, -1/2 ], [ -1, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, -11, -4, -5], [-14, 19, 10, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-176345277/17, 235744895/17, 148899008/17, -63121007/17], [331267528, -182164601, -145944818, 55350703], [-40/17, -185/34, 29/17, -5/34]], [[0, 0, 0, 0], [-1010494922935/17, -2791604079269/17, 21034230958/17, 292597875745/17], [-923718153068, 618748869429, 416390302550, -168612854515], [-219382/17, 1829301/34, 1358923/17, -1002547/34]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-108, -95, -32, 3], [8, 20, 10, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [3241957696/17, -3341317949/34, -1524805546/17, 1123894453/34], [-7173706/17, -10206108/17, 28408096/17, -7835480/17], [-9/17, 64/17, 3/17, -1/17]], [[0, 0, 0, 0], [63947835104143910/17, -34891287698402521/17, -41005047889818812/17, 14763590802127533/17], [-1165760872208466/17, 327928861813827/17, 3178966099507530/17, -1013565837025521/17], [5526740724/17, 10139962098/17, 309198456/17, -167379810/17]]], 0, 540672, [], [] >,
< [ 3, 4, -5, -1, 1 ], [[0, 1, -1, 0]], [ -33, 24, -2, -1 ], [ -220, 330, -154, 22 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2971/2, 1265, -3179/2, 31/2], [-10796073/4442, 4533120/2221, -5686427/2221, 79015/4442], [-6251/4, 14345/11, -3245/2, -285/44], [10189/97724, -2116/24431, 10573/97724, 1/97724]], [[4102416576878, -1420385108742, -969554434665, 749078176833/2], [14820610388499327/2221, -10243697483910537/4442, -7002159400458607/4442, 2700770500746313/4442], [94052633701155/22, -32269780389807/22, -11092480086999/11, 4257802238413/11], [-27841050778177/97724, 9570419134913/97724, 3285047039573/48862, -2524552577911/97724]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9159, -1939, 6029/2, 3/2], [-49949616/2221, -10770229/2221, 32794585/4442, -2857/2221], [-282236479/836, -5522727/76, 92599165/836, 14569/836], [23355/464189, 10055/928378, -30655/1856756, -5/1856756]], [[6445021590, -2458628428, -2190835397, 1598748119/2], [69915914958805/4442, -27188416802177/4442, -11825245463759/2221, 4464188449848/2221], [197607581353095/836, -76771681407813/836, -6075043358381/76, 25170055999219/836], [-65411345245/1856756, 25402417989/1856756, 22124349591/1856756, -4164293009/928378]]], 4, 4, [], [] >,
< [ 3, 4, -5, -1, 1 ], [[-18, 2, 4, 2]], [ -33, 24, -2, -1 ], [ -220, 330, -154, 22 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7/2, -27/2, 5, 13/2], [3/2, -15/2, -5, 5/2], [0, 0, 0, 0]], [[-14631/2, -15967/2, -1955, -1/2], [-363122890491/4442, 241900790121/4442, -8461902725/2221, -109810458959/4442], [-31247968/11, 863815182/11, 220070315/22, -363624451/22], [-14631/97724, -15967/97724, -1955/48862, -1/97724]], [[51284965421, -54440688457, -5445491994, 8942337345], [7199531416398045749/4442, -5318016691964359693/4442, -827457551051798869/2221, 1186841698469830183/4442], [10825865582230195/22, -9920055918484457/22, 690676771558179/11, 417387647778391/22], [51284965421/48862, -54440688457/48862, -2722745997/24431, 8942337345/48862]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-107, 5, -6, -3], [-100, 8, -12, -2], [0, 0, 0, 0]], [[-229679/2, 38177/2, -102432, 1/2], [12029498478197/4442, 10191162876135/4442, -1690202152956/2221, -2600595839143/4442], [1108273399063/418, 957147883933/418, -159023376529/209, -122230254582/209], [-229679/1856756, 38177/1856756, -4656/42199, 1/1856756]], [[372030645498804067, 73576665895679679, -121934013117853434, 9909919773254051], [-15909594911662300377098261/4442, -3700480368422864199508679/4442, 1776608903002690146507539/2221, 815842235827459137993469/4442], [-1449242810296784641542075/418, -352549661282135145787907/418, 160980444437390905888298/209, 78967860327607253657607/418], [372030645498804067/928378, 73576665895679679/928378, -60967006558926717/464189, 9909919773254051/928378]]], 0, 6720, [], [] >,
< [ 3, 4, -5, -1, 1 ], [[-3, 2, 2, -1]], [ -33, 24, -2, -1 ], [ -220, 330, -154, 22 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1037/2, 572, 1297/2, -4], [-7006423/4442, 7509673/4442, 8689879/4442, 339/2221], [-55683/44, 14947/11, 34459/22, -83/44], [-916/24431, 3901/97724, 4535/97724, 1/24431]], [[1969475172, 265352663/2, -1006086015/2, 45282883/2], [13155043753943/2221, 1689301891461/4442, -6709684420803/4442, 316578976869/4442], [52284546519/11, 6525026807/22, -53344398879/44, 2596640627/44], [6860052241/48862, 865819479/97724, -1749776301/48862, 84322735/48862]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1810, -32215/2, -21191, 8], [19879013/4442, -88042541/2221, -115889711/2221, 28239/4442], [28227579/418, -497735323/836, -163972209/209, -8553/836], [-4671/464189, 82387/928378, 108563/928378, 1/1856756]], [[-1834795238057, 3093626981361, 1655797182795/2, -2109127955933/2], [-10044236715623833/2221, 33854795678690221/4442, 4527929443745848/2221, -5768496602682696/2221], [-1495380117223695/22, 1260064178060367/11, 674282010424213/22, -858925455605659/22], [494984260805/48862, -834231158945/48862, -111603544655/24431, 142166469745/24431]]], 1, 12, [], [] >,
< [ 3, 4, -5, -1, 1 ], [[-66, 50, 20, -14]], [ -33, 24, -2, -1 ], [ -220, 330, -154, 22 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [53/2, -1/2, -15, -9/2], [51/2, 17/2, -7, 1/2], [0, 0, 0, 0]], [[7052, -3602, -1064, 2], [1060280283127/2221, -683693670203/2221, -280499860626/2221, 151720326017/2221], [4240268460/11, -265043023, -935640907/11, 654762770/11], [3526/24431, -1801/24431, -532/24431, 1/24431]], [[-68059683/2, 27642951/2, 8452512, -10107585/2], [-3033966620825901/2221, 6462460108576852/2221, 792654508008748/2221, -1505114068873235/2221], [-31905256591770/11, -26792151102287/22, 14164054974649/22, 5615858248855/22], [-68059683/97724, 27642951/97724, 4226256/24431, -10107585/97724]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [671/2, 33/2, -1, 1/2], [657/2, 19/2, -5, -1/2], [0, 0, 0, 0]], [[210995, -84398, 210995, 0], [-228978781535, 349641011535, -271702408643, 68602940356], [-4901230727871/22, 7685248606081/22, -2985768628863/11, 68616008845], [5/22, -1/11, 5/22, 0]], [[34526666956733870037/2, -21755420299582693899/2, -5786182722693088275, 5236915252016004543/2], [-59403809001246051924331992009/2221, 38704400443531996813637536656/2221, 18655824474998307527609207556/2221, -10964355056144038068180561592/2221], [-11034170505484654930426293297/418, 7179959345475613633479191871/418, 3471045288019683449451934161/418, -1019515081192938920939619296/209], [34526666956733870037/1856756, -21755420299582693899/1856756, -5786182722693088275/928378, 5236915252016004543/1856756]]], 0, 26880, [], [] >,
< [ 3, 4, -5, -1, 1 ], [[3, -3, -1, 1]], [ -33, 24, -2, -1 ], [ -220, 330, -154, 22 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3727/2, -2893, 2131, 19/2], [4426661/2221, 13754889/4442, -5036341/2221, 21269/2221], [3724/11, 23301/44, -8465/22, -9/44], [4831/97724, 7503/97724, -2753/48862, 1/48862]], [[-1390047779/2, -294674529, 307981295/2, 70520306], [1681174163230/2221, 1478708515199/4442, -368480980774/2221, -174834490033/2221], [6021238995/44, 2258179863/44, -120966949/4, -48650959/4], [908376061/48862, 198039280/24431, -399900755/97724, -188223791/97724]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-154302, 19724, -38691, 2], [230693628/2221, -58974453/4442, 57763920/2221, -4125/2221], [674172761/836, -3922373/38, 169012183/836, -460/209], [-361107/1856756, 46221/1856756, -90529/1856756, -1/1856756]], [[3828715887395597, 12720710794114864, -3065947729100839/2, -6503886683016111/2], [-5719200332894405530/2221, -19008020298443501424/2221, 2289753614451034449/2221, 4859030579493288182/2221], [-16721742403637102303/836, -27783652573460242653/418, 6695585518067687541/836, 3551295179571642590/209], [8956918085919241/1856756, 29764005365851619/1856756, -3586471238871143/1856756, -7608867556311071/1856756]]], 1, 8, [], [] >,
< [ 3, 4, -5, -1, 1 ], [[12, -12, -8, 4]], [ -33, 24, -2, -1 ], [ -220, 330, -154, 22 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-21/2, -35/2, 3, -7/2], [-5/2, -15/2, -5, -3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-22230157239/4442, 16246172077/4442, 2840260114/2221, -3792947421/4442], [12082150/11, -667036, -5606507/22, 1831395/11], [-2999/48862, -3901/48862, -13419/48862, -2/24431]], [[0, 0, 0, 0], [151539128767042610335/4442, -105636964554840587121/4442, -18653484313892254846/2221, 24883060370779907459/4442], [-157664073824294995/22, 55284633779267760/11, 3527183573201251/2, -26005182715683539/22], [13451432609235/48862, -13202171520324/24431, 5418016756695/24431, -499942527573/24431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-275/2, -25/2, 1, -5/2], [-275/2, -9/2, -5, 3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [289680137910, -566752790455, -91536047387, 122438152887], [3452462490326/11, -12473458152553/22, -2050102428389/22, 1351678587849/11], [5/22, 0, 0, 0]], [[0, 0, 0, 0], [-63734515413557501492315/4442, 30144589210428549927059/4442, 7963909279726512895773/2221, -7926389483912041343133/4442], [-6271005055327204903367/418, 3015687112938763874113/418, 833185669676055081553/209, -828439465042194303425/418], [-296497728075/42199, 1607024405256/464189, 2571790057539/464189, -103124777229/42199]]], 0, 20160, [], [] >,
< [ 3, 4, -5, -1, 1 ], [[-3, -1, 2, 0]], [ -33, 24, -2, -1 ], [ -220, 330, -154, 22 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2519, 2552, -3417/2, -13/2], [5567/2, -2766, 3693/2, -11/2], [10179/22, -20585/44, 6871/22, -17/44], [3/44, -3/44, 1/22, 0]], [[-2336837137942, 2857956871601/2, 593420564437, -729206223359/2], [11383395710562017/4442, -6961131864934537/4442, -2892384160563659/4442, 1774685425476921/4442], [18866706504357/44, -11549306314299/44, -2397622044767/22, 1472772763267/22], [6147583650845/97724, -1880116783965/48862, -1561618631195/97724, 479387444865/48862]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[111089/2, 41745/2, 14025/2, -9/2], [-483972510/2221, -181882372/2221, -61259318/2221, -72025/4442], [-2321943471/418, -1745672521/836, -293611141/418, -15897/836], [-764413/1856756, -287349/1856756, -24165/464189, -1/928378]], [[126926890301585/2, -92443595513847/2, -10422369467702, 8684732201356], [-553004870345309917/2221, 805514844848678483/4442, 181638449994382313/4442, -151356449679819619/4442], [-1326465343108772109/209, 966066245905147434/209, 217852702876474178/209, -363052306251358065/418], [-218344427847839/464189, 159020567759467/464189, 35859827893908/464189, -29880306192939/464189]]], 1, 20, [], [] >,
< [ 3, 4, -5, -1, 1 ], [[-36, 36, 8, -12]], [ -33, 24, -2, -1 ], [ -220, 330, -154, 22 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-93/2, -15/2, 3, -7/2], [-69/2, -15/2, 3, -3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-181971529/4442, -11786412961/4442, 1259876903/2221, -880351961/4442], [-289533/22, -43302525/22, 6117691/22, -157814/11], [-1832/24431, -453/4442, 3378/24431, 2/24431]], [[0, 0, 0, 0], [-462162176707740277/4442, 286523767331973217/4442, 56895463468483333/2221, -68131900055665411/4442], [-1643630096288769/22, 1021291800743141/22, 201733489867245/11, -242290746313675/22], [-14152508160/24431, 12451964160/24431, 4129377792/24431, -3216332544/24431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1589/2, -11/2, -7, 5/2], [-1593/2, -19/2, -3, -3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-254826219076207693/4442, 231095069913314023/4442, 32054720656255075/2221, -51985918634138827/4442], [-11962479973253022/209, 21742255250957455/418, 6038417422709103/418, -4891822014178845/418], [-107913/464189, -38177/464189, 198733/928378, -1/464189]], [[0, 0, 0, 0], [-8592015192059998257272376877/2221, 4455298047068873958256546039/2221, 2067633831540607446484687726/2221, -1057816726148494188065652889/2221], [-73441585713324888246780036/19, 37900588864944625428423492/19, 17667455880835028839000840/19, -8999498754927332645807276/19], [-330133911065440/42199, 65984391320176/42199, 63104702730416/42199, -6025131003856/42199]]], 0, 80640, [], [] >,
< [ 3, 4, -5, -1, 1 ], [[3, -1, -3, 1]], [ -33, 24, -2, -1 ], [ -220, 330, -154, 22 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17/2, 1, -2, 1/2], [-12, -23/2, -1/2, -1], [-17/2, 1, -2, 1/2], [0, 0, 0, 0]], [[232669503/2, -55291173, -22231054, 25762969/2], [448797952373/4442, 28234673613/2221, -61902930655/4442, 9492177710/2221], [5118516423/44, -608187720/11, -244513823/11, 566785359/44], [-2679/24431, 3061/97724, 509/8884, 1/48862]], [[27943016631327827/2, -5231637266032952, -3433383313321171, 2801542628419429/2], [58018031214730162157/4442, 20407291899542459601/4442, -5129960071427402901/2221, -1906144470145594478/2221], [27942255975353661/2, -230173068674168819/44, -13733100965735085/4, 30815390640430265/22], [-421600890145/48862, 956256361487/97724, 59899522768/24431, -159098990685/97724]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-108, -2, 0, -2], [-106, -99, -15, 0], [-108, -2, 0, -2], [0, 0, 0, 0]], [[4235007469, -79342849195/2, -2795372000, 17084527533/2], [-44413985658113/2221, -309345136814521/4442, 341971900384/2221, 63883892972561/4442], [3538432192345/836, -1507542779009/38, -2336971901397/836, 3570666252255/418], [914525/1856756, 25757/168796, 18393/1856756, 3/1856756]], [[82851102200000381723, -17599826008046916774, -35052762601853629017/2, 9348977346053424289/2], [322240824545740546892781/4442, 94554606821944732757644/2221, -27761942577038181668094/2221, -33611886804752730822929/4442], [82846427799480304904, -17592497778217917555, -35052393326594036253/2, 9347620809016833847/2], [2101656189339/2221, -3294827095707/2221, -83018969838/2221, 304955515053/2221]]], 0, 80, [], [] >,
< [ 3, 4, -5, -1, 1 ], [[48, -48, -16, 16]], [ -33, 24, -2, -1 ], [ -220, 330, -154, 22 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -4, 0, -4], [-6, 10, -10, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1513859420/2221, -372656/2221, 606503123/2221, -249408738/2221], [-43605018/11, 56825921/22, 8015551/11, -12593477/22], [-19211/48862, -541/48862, -1064/24431, 2/24431]], [[0, 0, 0, 0], [21062417051233692/2221, -587771189191880186/2221, -8012969566834514/2221, 132930808833462500/2221], [8331478243413745/11, -9016359954754700/11, -2108316623748756/11, 2118807199053439/11], [-755239680664/24431, -6180908253169/24431, 58014848289/24431, 1440163078748/24431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 10, -8, 2], [14, -2, -2, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [52345901926/2221, -7415327193/2221, -11065182613/2221, 3023163961/2221], [-6617471435/209, -7841890601/418, -1758859445/418, -263676606/209], [-248683/464189, -275283/928378, 5772/464189, -5/928378]], [[0, 0, 0, 0], [-123695440359642468836/2221, 328077959784973914280/2221, 18063089422949943614/2221, -69078471815819842944/2221], [-1345493834179905892/11, -5560671151803764020/11, 33903768252384850, 1354471290880257394/11], [-35853094176400/24431, -171424979033760/24431, 18603800861864/24431, 36483103034000/24431]]], 0, 322560, [], [] >,
< [ 3, 4, -5, -1, 1 ], [[6, 2, -1, -1]], [ -33, 24, -2, -1 ], [ -220, 330, -154, 22 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-6, 3/2, 0, -3/2], [-11/2, 5/2, -6, 0], [-6, 3/2, 0, -3/2], [0, 0, 0, 0]], [[6717067/2, -27715639/2, -2343839/2, 5962383/2], [7050897754/2221, -91379440199/4442, -13471927697/4442, 11534553145/2221], [37170675/11, -304956183/22, -51398879/44, 131172575/44], [45725/97724, -2116/24431, 2088/24431, 1/97724]], [[7839067066471941, -23052478106546789/2, -3576968552483131/2, 2571601234841358], [45314609281569405489/4442, -33890320141717229448/2221, -21512144581546289597/4442, 10169559678194071767/2221], [173034814016820891/22, -507572538453023555/44, -39319598153083921/22, 10278866350751329/4], [57988004003745/97724, -21057821000411/97724, 684348394630/24431, -1046476258121/24431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1293/2, 0, -3/2, 0], [-1281/2, -1285/2, -11/2, -3/2], [-1293/2, 0, -3/2, 0], [0, 0, 0, 0]], [[-5419716096999/2, -1644717524865/2, 1617856570929/2, 471099998127/2], [-7565555895516816/2221, -19875331020607139/4442, 5171845919109353/4442, 2842970850902601/2221], [-1132722289972509/418, -171873104640585/209, 676263750103847/836, 196919799209489/836], [-48173/168796, -20094/464189, -24165/928378, -1/1856756]], [[-950173985080587694651536633, 420629414105850374639559902, 247977531070510660198393930, -123717387481493158353504081], [-1276647056765716514513207807963/2221, -81160497929600597782726198606/2221, 110964511193710360611584009827/2221, 1047458978712548562199633939/2221], [-198586705514923981535832427497/209, 175823277131820887479734781461/418, 103654611445023913757208199565/418, -25856909093791256926703486604/209], [-55841241271715004275/464189, 2697046324325863475/84398, 281724114574245525/464189, 8112973348287459525/928378]]], 0, 320, [], [] >,
< [ 3, 4, -5, -1, 1 ], [[-48, -16, 32, 0]], [ -33, 24, -2, -1 ], [ -220, 330, -154, 22 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 10, -2, -10], [-18, 4, -2, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [45570074818/2221, 100080679259/2221, -1633119075/2221, -22159468071/2221], [-628600311/11, 452138703/22, 20422859/2, -49031211/11], [6594/24431, 4321/48862, 3112/24431, 5/48862]], [[0, 0, 0, 0], [-5458867865693932578/2221, 4959694034123470500/2221, 1351047425636489588/2221, -1139580140692978986/2221], [-2928143198015043483/11, 2046082489857394866/11, 716416081866921699/11, -479728325051621126/11], [2370580999921/2221, -18108659701707/24431, -6382750369467/24431, 4255267521717/24431]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, 4, -6, -10], [-1248, -6, -8, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [72785014981275837/2221, 363308797662358/2221, 1168496288925033/2221, -181080324282004/2221], [-695496047686907457/209, 1917401627352831713/418, 348530693751701211/418, -208148765094626892/209], [-93740/464189, -130619/928378, 24165/464189, 1/928378]], [[0, 0, 0, 0], [13852631415669148629754605958/2221, -9267228431591878851727205789/2221, -3524854455781633526304298026/2221, 2327878807911191017798226688/2221], [-1964849232565395095458498251/2, 7683977686612554602843853261/11, 5349452329316666269752297947/22, -1807836820526820639832838257/11], [-1092975092725509/48862, 67987888288515/4442, 207686788460649/48862, -162003905213859/48862]]], 0, 1290240, [], [] >,
< [ 4, 3, -5, -1, 1 ], [[-2, -1, 1, 0]], [ -2, -1, -1, 0 ], [ 22, 22, -19, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[519/2, 947/2, -361, 16], [-32285/158, -39871/79, 65107/158, -1737/158], [369/158, -182/79, 192/79, -1/158], [473/316, 1013/316, -757/316, 3/316]], [[-3960600135, -7330199485/2, 733745139/2, 1805975427/2], [517891550569/158, 130158210117/79, -58371458095/158, -37609509386/79], [-1929676571/158, -5414160480/79, -280611761/158, 2270689663/158], [-1887396312/79, -1440812096/79, 200154904/79, 367852256/79]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-28, 7/2, 73/2, 27/2], [-316, 1633/2, 666, 13/2], [-1, 5/2, 2, 0], [0, 0, 0, 0]], [[917320427, 60148017, 373887053/2, -40051472], [25061435478249/1738, -3592780541197/1738, 45256807957403/1738, -17773169525167/1738], [82047507779/1738, -15212190333/1738, 132763499409/1738, -25917388689/869], [-382/869, 1233/1738, 1783/869, 1/1738]], [[-35062135986241123565/2, 21947945757058266929/2, 9904442413878806839/2, -5597889575119881983/2], [-973567869664040326352359/1738, 320926536580986043070307/869, 123268956635501981756835/869, -74682945473125396325931/869], [-3061728589902004235465/1738, 2019938180013541699265/1738, 782753224315371159019/1738, -473294270738903643467/1738], [-7624259535473/3476, -3976340044915/3476, -1126177618349/3476, 2073311418325/3476]]], 4, 3, [], [] >,
< [ 4, 3, -5, -1, 1 ], [[-2, -3, 0, 1]], [ -2, -1, -1, 0 ], [ 22, 22, -19, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[691/2, 917/2, 195/2, 7/2], [-27071/79, -70135/158, -5361/79, 712/79], [-26/79, 110/79, 68/79, -1/79], [683/316, 951/316, 213/316, 5/316]], [[-21226957/2, -16243117/2, 11757296, -2619537], [1611026681/158, 1194448413/158, -1820411087/158, 422386109/158], [-3030345/158, 37005/79, -408615/79, 646725/158], [-21654517/316, -16168957/316, 23348587/316, -5138679/316]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[38, -47/2, 29/2, -1], [-83569/79, 44738/79, -28711/79, -118/79], [-250/79, 134/79, -169/158, -1/158], [0, 0, 0, 0]], [[436541590411, 118944926097/2, -54983535181/2, -7269822260], [-21387369398764117/1738, -2445592006907028/869, 1107959916824471/1738, 251646219725020/869], [-63711633709943/1738, -14287293082445/1738, 1699221236880/869, 728790617853/869], [2817/1738, 364/869, 2787/1738, 1/869]], [[265253282054205282486865/2, 140820961711442952518414, -60002878553555414544309/2, -27002725742741445153819], [-3501660896920537083012160653/869, -3936562169047456130535236340/869, 732266918100165372869200585/869, 1576979726089185773749881519/1738], [-10381308416697546208768335/869, -23291180957195426960451425/1738, 2173299972818053850392854/869, 4661576036724710519349121/1738], [5228408072915501/3476, 6019109909941955/3476, -1662645299525745/3476, -1073999627970091/3476]]], 1, 5, [], [] >,
< [ 4, 3, -5, -1, 1 ], [[2, 6, 2, -2]], [ -2, -1, -1, 0 ], [ 22, 22, -19, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-13481/158, -15645/158, -9219/158, 1259/158], [999/158, 1267/158, 845/158, 5/158], [0, 0, 0, 0]], [[369, 268, 226, -1], [-11036927772592/79, 16918273218319/79, 7360386268793/158, -7527034098241/158], [709887377865/79, -1291175037615/79, -262867940729/79, 286052145840/79], [369/158, 134/79, 113/79, -1/158]], [[38715521308767/2, 24658717762875/2, -5289896326443/2, -5788387819245/2], [-454799333642468654233551/79, 1038867966961527506645943/158, 299442861722381716075669/158, -127364358596053237046519/79], [30212602463074568155665/79, -38988576109664872869885/79, -10370218095766554359765/79, 9511974553272036890265/79], [38715521308767/316, 24658717762875/316, -5289896326443/316, -5788387819245/316]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [60565/158, 54987/158, 36711/158, 163/158], [-367/158, -319/158, -213/158, -5/158], [0, 0, 0, 0]], [[-19643/2, -4427/2, -8271/2, -5/2], [23349581273583/1738, 11543483275167/1738, -6311123720171/1738, -373581122181/1738], [-139915431451/1738, -66709145225/1738, 37141760057/1738, 2084661505/1738], [-19643/3476, -4427/3476, -8271/3476, -5/3476]], [[10404370539580361/2, 10561925375852241/2, -1287482649026397/2, -2391432642746295/2], [-3524909092951612698647159/869, -7246915628564163952806805/1738, 1188049564076695905259999/1738, 738931133742582156361352/869], [21050111840079722070911/869, 21362693322712072140608/869, -3551022924793725391458/869, -4358012532366505103623/869], [10404370539580361/3476, 10561925375852241/3476, -1287482649026397/3476, -2391432642746295/3476]]], 0, 80, [], [] >,
< [ 4, 3, -5, -1, 1 ], [[-6, -14, -6, 6]], [ -2, -1, -1, 0 ], [ 22, 22, -19, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [5109/79, 6193/79, -7279/79, -4741/79], [1290/79, 285/79, 248/79, 1/79], [0, 0, 0, 0]], [[-2263/2, -2215/2, -687/2, -5/2], [196295880156862/79, -131782022793678/79, -59130976814805/79, 34839951522893/79], [-197274744723189/79, 131532748230930/79, 59908675142733/79, -34956920769834/79], [-2263/316, -2215/316, -687/316, -5/316]], [[66903271712, 157693391725, -2429465572, -34991072657], [25042675505207586129717/158, -8358726473269181495427/79, -7522821882719955492313/158, 2202425817244943531315/79], [-25078566034637404561755/158, 16760172223348901524011/158, 7547821977196127468457/158, -4421009423064232710579/158], [33451635856/79, 157693391725/158, -1214732786/79, -34991072657/158]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [824971/158, -897251/158, 632779/158, 631/158], [1053/158, -1137/158, 801/158, 1/158], [0, 0, 0, 0]], [[-22699/2, -2971/2, -4435/2, -1/2], [-2120679847411859/1738, 148405225405993/1738, -1229315928266865/1738, 320351946665273/1738], [-2708512995301/1738, 174940207799/1738, -1555806603913/1738, 408415648085/1738], [-22699/3476, -2971/3476, -4435/3476, -1/3476]], [[-2498626701758553, -6571781960410794, -255297950791445, 1581970830158768], [-165870200981025882221924861/869, -1306931824920519526705577397/1738, -89545573339625927208939501/869, 357197415945863626284940597/1738], [-212880089957867363418636/869, -833483745280004827419843/869, -113360847518240648008898/869, 227539688670558854975525/869], [-2498626701758553/1738, -3285890980205397/869, -255297950791445/1738, 790985415079384/869]]], 0, 896, [], [] >,
< [ 4, 3, -5, -1, 1 ], [[-22, -22, 2, 6]], [ -2, -1, -1, 0 ], [ 22, 22, -19, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-107/158, 2373/158, 2109/158, 795/158], [1845/158, -3/158, -55/158, -5/158], [0, 0, 0, 0]], [[-1631/2, -1267/2, 577/2, -5/2], [-92972253877/79, 53669819297/79, 102043755941/79, -30229644166/79], [140983722962/79, -48083486846/79, -76955669614/79, 32110574600/79], [-1631/316, -1267/316, 577/316, -5/316]], [[-8734160837019/2, -5552627944743/2, 2083841254389/2, 947121397143/2], [-713075149596217655775/158, 1242072176773257993785/158, 381344267419887040221/158, -360017330960594792587/158], [1966099001101161242781/158, -1087441528699930511823/158, -648933884722601916051/158, 327272329139489231583/158], [-8734160837019/316, -5552627944743/316, 2083841254389/316, 947121397143/316]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4270213/158, 1146733/158, 738345/158, -1421/158], [5425/158, 1453/158, 937/158, -1/158], [0, 0, 0, 0]], [[1633, -6447, 4255, -1], [-414288184025873242/869, 71184886742479593/869, -79519464097004590/869, 24462334125071816/869], [-526462998636413/869, 90741818838291/869, -100890855704915/869, 30985393812125/869], [1633/1738, -6447/1738, 4255/1738, -1/1738]], [[-17568954086701/2, -16229105658569/2, 3518787999087/2, 3216304318853/2], [9865968267362235219871480727/1738, 14272743908315031818736060229/1738, -1113954527768888113408102419/1738, -3100860547811987794537225329/1738], [12527380073186275654351937/1738, 18122214721068573504809293/1738, -1414521737468496445632075/1738, -3937174773452539310564857/1738], [-17568954086701/3476, -16229105658569/3476, 3518787999087/3476, 3216304318853/3476]]], 0, 14336, [], [] >,
< [ 4, 3, -5, -1, 1 ], [[4, 6, -1, -1]], [ -2, -1, -1, 0 ], [ 22, 22, -19, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[10, -3, -5, -1], [-764/79, -2717/79, 564/79, 713/158], [53/79, -48/79, -11/79, -1/79], [-341/158, -175/79, 136/79, -2/79]], [[204507, 323423/2, -37789, -33914], [157545151/158, 98907599/79, -21925959/158, -20890138/79], [2876831/158, 1907151/158, -293849/79, -367567/158], [4873662/79, 6877656/79, -702270/79, -1421982/79]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7, -29, 1/2, 9/2], [-14379/158, -152405/158, 68447/158, -1893/158], [1/158, -230/79, 102/79, -3/158], [0, 0, 0, 0]], [[2119560055, 165126767/2, 19356457, 110297868], [71264233301905/1738, -25502615005053/1738, 23336277470529/869, 4423180632371/869], [328013689283/1738, -4927014775/1738, 26095689025/869, -24696513799/1738], [1251/869, -1920/869, 779/1738, -1/1738]], [[-221756374245478695, -652465009964612579/2, 48694250116321371/2, 139998739335061411/2], [-6161273128650701248377/869, -17980088739406629883323/1738, 1489517808486124390653/1738, 3763680657662166310277/1738], [-16030766323947361731/869, -46277978663036152955/1738, 2094424034583770990/869, 4857370024473874386/869], [83293817789/1738, 161120075909/1738, 8161675249/1738, -20560235800/869]]], 1, 5, [], [] >,
< [ 4, 3, -5, -1, 1 ], [[0, 1, 2, -1]], [ -2, -1, -1, 0 ], [ 22, 22, -19, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[26, -31/2, 47/2, -2], [-7241/158, 2827/158, -801/79, 710/79], [-343/158, 175/158, -147/79, 1/79], [-211/158, 103/79, 124/79, 1/158]], [[-9312512132, 1472897327, 1572242308, -181412574], [830684661074/79, -417651380768/79, -327175795011/158, 82237481589/79], [61194274151/79, -4681874262/79, -10599379652/79, 339292154/79], [7763475591/158, -67643751111/158, -9318184971/158, 8275937625/79]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-30, -9/2, -3, 1/2], [69085/79, 15082/79, 7640/79, -196/79], [198/79, 93/158, 23/79, -3/158], [0, 0, 0, 0]], [[852708628, -5924404, 354699229/2, -176860759/2], [-44702414849951/1738, -1900791881605/869, -3587922586525/869, 1957724553817/869], [-127498793223/1738, -6382731200/869, -10876121529/869, 11994526623/1738], [-764/869, -1879/1738, 1828/869, 1/869]], [[1019753276991283680, -2545207570784633760, -525569895436606160, 635505762773335120], [-20968943597027002183601/869, 66452455607710165125562/869, 24221628563336056177087/1738, -16367046460302588388007/869], [-58153977209007865455/869, 191239181680941448295/869, 34380169415068396775/869, -47079492910178666070/869], [1201632786375/1738, -5248147013991/1738, -1125422108727/1738, 708635408733/869]]], 1, 15, [], [] >,
< [ 4, 3, -5, -1, 1 ], [[4, 0, 0, 0]], [ -2, -1, -1, 0 ], [ 22, 22, -19, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7585/158, -4201/158, 4299/158, 793/158], [475/158, 251/158, -191/158, -3/158], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2140578681/158, 1050474977/158, 631663945/158, -175142841/158], [144233829/158, -94403547/158, -36277917/158, 22082079/158], [6, 0, 1, 0]], [[0, 0, 0, 0], [-193311143265684535/158, 172866958636104517/79, 30174580265075733/79, -89750646192106445/158], [12245094580132845/158, -29171575779979635/158, -5343996154178475/158, 6911866910235735/158], [-1440742983141/158, -2439490978649/158, 59351214603/79, 261947715274/79]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [369/79, -35045/79, 11681/79, -317/79], [26/79, 206/79, -68/79, 1/79], [0, 0, 0, 0]], [[0, 0, 0, 0], [-461028364044817/1738, 48335545183687/869, 25745953710373/869, -18303004836869/1738], [2476780187945/1738, -131996556995/1738, -208632257835/1738, 17204819395/1738], [-5386/869, 910/869, -2157/1738, 5/1738]], [[0, 0, 0, 0], [4413174128795040337409519/869, 7204367439813814160928505/869, -663956858795309990755843/1738, -3012275136769028791884739/1738], [-30988552130954500080595/869, -49550604646799673874045/869, 2398920090544003546255/869, 10367692792904818969460/869], [362914185952631/1738, 290868274755415/869, -9006930561091/869, -114435952879381/1738]]], 0, 240, [], [] >,
< [ 4, 3, -5, -1, 1 ], [[-36, -52, 4, 12]], [ -2, -1, -1, 0 ], [ 22, 22, -19, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2633/158, 31/158, 147/158, -159/158], [1685/158, -1137/158, 169/158, 1/158], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6662778495/79, -15723071945/158, 4613324970/79, 7299351367/158], [128436880/79, -2521200/79, -25644080/79, 16932080/79], [303/79, -127/158, 34/79, -1/158]], [[0, 0, 0, 0], [-5068012980638370/79, -29448634803463819/158, -2001217426027873/79, 4623270784326991/158], [-850192461971600/79, 4882811226181680/79, 644159250730160/79, -1159613860434480/79], [-9156145975/158, 13143836662/79, 4386487225/158, -3121674932/79]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1736579/158, -299661/158, -151331/158, -2683/158], [-2211/158, -381/158, -191/158, -3/158], [0, 0, 0, 0]], [[0, 0, 0, 0], [-28874220713589517/869, 18305269718817667/1738, -4848390767777994/869, -6401099071121367/1738], [-36781608660300/869, 11636242818325/869, -6133225504640/869, -4060006388445/869], [-4068/869, -12389/1738, 734/869, -3/1738]], [[0, 0, 0, 0], [-2279184542020491452888622192/869, -24092787330531046425642376597/1738, -556605773682581597338530566/869, 5700067354938537825344189899/1738], [-2890379298647480692884435/869, -15318474830558843352842640/869, -710006838256139615201325/869, 3624196365375385915732410/869], [-4387751709098085/1738, -3113849716953270/869, 590308505047005/1738, 674510744455605/869]]], 0, 2688, [], [] >,
< [ 4, 3, -5, -1, 1 ], [[76, 124, -4, -28]], [ -2, -1, -1, 0 ], [ 22, 22, -19, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-897/158, -945/158, 371/158, 637/158], [1529/158, -3/158, 893/158, -5/158], [0, 0, 0, 0]], [[0, 0, 0, 0], [-559382685293/158, 3309553233/158, 97912164379/158, 141929958421/158], [4860487015167/158, 745066910335/158, -555468853001/158, -179139774807/158], [-52/79, -254/79, 373/79, -2/79]], [[0, 0, 0, 0], [41384713924805248/79, 128435324768916756/79, -7125137424688289/79, -25807133330327512/79], [-4763962021964057989/79, -7721036277464786101/79, 467817724532119189/79, 1684136570473979005/79], [-1108770217/158, -1787638981/158, 151794491/158, 369305575/158]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-589788/79, -599720/79, -382586/79, -1184/79], [-737/79, -759/79, -485/79, -1/79], [0, 0, 0, 0]], [[0, 0, 0, 0], [180539626372369679/1738, -83989054096210137/1738, 86390146236849553/1738, -26348974859171179/1738], [222876530252819/1738, -102818733313477/1738, 110470562502631/1738, -34070908260823/1738], [2951/1738, -9641/1738, -3057/1738, -5/1738]], [[0, 0, 0, 0], [-1084527970268025462351973159/1738, -1538998688871050989335395535/1738, 24108886822087584950167861/1738, 376688414581353701738429735/1738], [-1365719052536555994933935/1738, -1942122710147637147110395/1738, 29754057139036205840585/1738, 475406857598909674406895/1738], [49753066471458/869, 77390909130234/869, -5470694357268/869, -16590270797016/869]]], 0, 43008, [], [] >,
< [ 4, 3, -5, -1, 1 ], [[12, 17, -1, -4]], [ -2, -1, -1, 0 ], [ 22, 22, -19, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[222, -216, 67, 1/2], [-3094/79, 6035/158, -1704/79, -1/158], [-224/79, 443/158, -147/158, 1/158], [0, 0, 0, 0]], [[4709401545, 852515475/2, -2954956455, 941436615], [-89859691837/79, -68332892495/158, 89798385715/158, -26194014927/158], [-4889310345/79, -493016970/79, 6144083055/158, -981748950/79], [934/79, 120/79, 146/79, 5/158]], [[-11164585597460042910, -13495291328743054695, -1121424303173502315, 4048611902503624425], [404065939152003306062/79, 1132369319462563148683/158, -2237123619136752375/79, -143025134459124590865/79], [11843178178606778010/79, 14515919144784147555/79, 1175754528674058360/79, -4328184458509343790/79], [-7458335745770/79, -8763341581813/79, 2527357566175/158, 1781397496346/79]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15, -52, 83/2, 0], [2383/79, 36467/158, -14649/79, -157/158], [-13/79, 55/79, -45/79, -1/158], [0, 0, 0, 0]], [[3377798204, -920120317/2, -420321220, 40323862], [-5487664438090/869, 6335681632821/869, 377673589000/869, -2187423989967/1738], [-38326760946/869, 4555720233/869, 9148752957/1738, -304813742/869], [-10638/869, 141/869, -2967/1738, -2/869]], [[376668572394993121672, 495206024348465415565, -55822229425126952698, -103678550415630191905], [4591824230216598457078/79, 25656639440537437041859/79, 4341731571782975503911/79, -6959151944925292354189/79], [-401067692534471952736/79, -530010802333349425001/79, 59121437519486699016/79, 111125840340478553477/79], [-205415299349104/79, -283865735400188/79, 31668138218208/79, 60615415422764/79]]], 0, 56, [], [] >,
< [ 4, 3, -5, -1, 1 ], [[4, 7, -2, -1]], [ -2, -1, -1, 0 ], [ 22, 22, -19, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[44, -43, -47/2, 5/2], [-3661/79, 2703/79, 2471/79, 792/79], [-289/79, 519/158, 351/158, -2/79], [0, 0, 0, 0]], [[11359924400, 14042792756, -689398885, -2488972200], [-1292519612230/79, -3488413635289/158, 28785003558/79, 285217431347/79], [-80849881558/79, -103733660217/79, 3473711714/79, 18191137774/79], [0, -1, -3/2, 0]], [[31977274617628992, -22697308435684800, -9652207002276552, 5906179851472896], [-2352630068217703528/79, 3484800992459281455/158, 707136356652821187/79, -447290359107861600/79], [-198195835847082312/79, 142148544086899488/79, 59987880540176568/79, -36963666156925656/79], [-62911178/79, 42303287/79, 81030037/158, -20698626/79]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[60, -83, -23/2, 3/2], [-1651, 2137, 492, 9], [-5, 13/2, 3/2, 0], [0, 0, 0, 0]], [[2417562624, 2413045504, -236697088, -461649664], [-61979304948212/869, -132066993408043/1738, 10668010132305/1738, 12522753873800/869], [-187722556040/869, -199876237852/869, 16297781545/869, 37951938811/869], [8308/869, 182/869, -2517/1738, 1/1738]], [[-16506001202714429440, -27149885564045996544, 1540087798806497792, 6270908642179488768], [451327735511771654069472/869, 729791445733684160078117/869, -92200739729639527653767/1738, -168103106078389789544460/869], [1364665412186981609844/869, 2206843568017786278078/869, -139318986078152753240/869, -508067297679551210257/869], [-10722234661362/869, -45794002031379/869, -9351401862852/869, 28815071203485/1738]]], 0, 168, [], [] >,
< [ 4, 3, -5, -1, 1 ], [[-16, -12, 8, 0]], [ -2, -1, -1, 0 ], [ 22, 22, -19, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-69, 51, -20, 4], [5, -3, 1, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1396135737, -3743503220, 157903375/2, 1523865327/2], [146772717, 337202775, 4214301, -63871899], [-816/79, -17/158, 373/158, -1/79]], [[0, 0, 0, 0], [5725213342444876089/79, 8441037650991583284/79, -2305667806961818116/79, -1106203094254665331/79], [-543923439906258867/79, -828169905931981977/79, 149929438783319013/79, 142626383075574489/79], [11262711200/79, 5564057200/79, 1124752200/79, -2493184200/79]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [34733/79, -50780/79, 44420/79, 397/79], [-131/79, 299/79, -259/79, -2/79], [0, 0, 0, 0]], [[0, 0, 0, 0], [5301390231227547/869, 780103123159284/869, -134937724549107/1738, -517316882717237/1738], [-23950417852213/869, 16811504654/869, -516401997300/869, 604145644904/869], [-6188/869, -1597/1738, -1049/1738, -1/869]], [[0, 0, 0, 0], [1368238394647430872540130922/869, 1732616201443441423160114660/869, 1675966293245268164056345793/1738, -1623506532958985047998100811/1738], [-5047518349487284431801872/869, -6526080456176912922168815/869, -5041629386445152418304041/869, 3867627755842847731856052/869], [-2013868700454772/869, -5283205693043141/1738, -2008115663765619/1738, 1103764204297686/869]]], 0, 2688, [], [] >,
< [ 4, 3, -5, -1, 1 ], [[0, -16, -8, 8]], [ -2, -1, -1, 0 ], [ 22, 22, -19, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [763/79, -852/79, -373/79, -156/79], [-1079/79, 536/79, -259/79, -2/79], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1151952463/79, -7047175365/79, -1873101246/79, 423913387/79], [-5250539021/79, -2745427477/79, -30809735/79, 528246911/79], [422/79, -17/79, -180/79, -2/79]], [[0, 0, 0, 0], [-41039439994370622/79, -69302773729950541/158, 15275707328648267/79, 6432223735724465/158], [5822109361291494/79, -27936608950042822/79, -16538294770781750/79, 12092585272860878/79], [-324264096/79, 2119029507/158, -424800954/79, 7764741/158]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1034691/79, 625756/79, 43237/79, 3708/79], [1315/79, 793/79, 55/79, 5/79], [0, 0, 0, 0]], [[0, 0, 0, 0], [16379307719473/79, 6740018676022/79, 6161098712277/79, -2904029280471/79], [21634300159/79, 8700176816/79, 6726181925/79, -3302587830/79], [8, -4, -1, 0]], [[0, 0, 0, 0], [-157878259110138958779418/869, -471390030570886662359277/1738, 33975486758215543348314/869, 85791439305491774415221/1738], [-198346677596825988222/869, -298829346016050722439/869, 40275662903763973762/869, 55458819134420986773/869], [-351951017564/869, -1994147610819/1738, 392180420004/869, 131405189189/1738]]], 0, 43008, [], [] >,
< [ 4, 3, -5, -1, 1 ], [[0, 16, 32, -16]], [ -2, -1, -1, 0 ], [ 22, 22, -19, -8 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [844/79, -1140/79, 746/79, -4/79], [-686/79, 350/79, 44/79, 4/79], [0, 0, 0, 0]], [[0, 0, 0, 0], [88809621309/79, 95039702816/79, -14104872422/79, -23994086577/79], [-20872666285/79, -14585319689/79, 2174982803/79, 2803525685/79], [658/79, -268/79, 169/79, 1/79]], [[0, 0, 0, 0], [-230514251892808136642/79, -453784655820004190533/79, 12736492913099219758/79, 101013886640283616286/79], [40434260427297846416/79, 108355989303353153484/79, 296532225902779030/79, -24478023724739978580/79], [766727440714/79, -3151299415320/79, -590955887119/79, 807039354540/79]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-173905/79, 224391/79, -240013/79, 1421/79], [-211/79, 285/79, -305/79, 1/79], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5958361453546170/869, -2958226098488866/869, 1605653915518947/869, 1194804874315595/869], [-7454035299174/869, -3715508545324/869, 2020392290700/869, 1508620823970/869], [1318/869, 1151/869, 509/869, -4/869]], [[0, 0, 0, 0], [5639016636629764064777190/869, -6451618154279715700756722/869, -2429541847661437333895700/869, 1818682077638077873187091/869], [7048092555663990395288/869, -8039234152263927075654/869, -3039618803312358562622/869, 2269437467131380337370/869], [-363232867494/869, 2783475488559/869, 504025184985/869, -735859484661/869]]], 0, 688128, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-2, -1, 1, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[51/2, -11/2, -115/2, 3], [-5/2, 3/2, 3/2, -5/2], [55/6, -17/6, -107/6, 1/3], [-5/6, 1/2, 1/2, -5/6]], [[287247/2, 523881/2, -170205/2, -156465/2], [108778, 111651, -27145, -52903/2], [50165/6, 157589/2, -39697/2, -147221/6], [108778/3, 37217, -27145/3, -52903/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 3/2, 3/2, -1/2], [127, 15, 16, -2], [2, 3/2, 3/2, -1/2], [0, 0, 0, 0]], [[-407585947, -29985009, -43159052, 95522585/2], [-637918526279/26, 118677508760/13, 71576955321/26, -36131961123/26], [-5298617286/13, -389805132/13, -1683202493/39, 1241793261/26], [19/78, -20/39, 29/26, 5/78]], [[-33388482347273873/2, -10688872795909064, 6645644255804473/2, 4722493426641629/2], [-10693826227735683170/13, -2985478856388620010/13, 4486690668163515515/26, 1295897552114736653/26], [-1302150792493887491/78, -416866041447332242/39, 86393373606645463/26, 184177241565527161/78], [834216701/39, -24428881/13, -929819/26, 40996565/26]]], 4, 4, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-2, 1, 2, -1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-45/2, -5, 125/2, 16], [1, 1, 5/2, 2], [-35/6, -3, 39/2, 4], [1/3, 1/3, 5/6, 2/3]], [[-116225, -988441/2, 217671/2, 81516], [-153875/2, -214862, 12432, 50197], [50160, -566223/2, 137909/6, 49615], [-153875/6, -214862/3, 4144, 50197/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, 3, -5, -1/2], [67, 26, -40, 0], [9/2, 3, -5, -1/2], [0, 0, 0, 0]], [[-117390718, 30723017/2, 91428809/2, -16292957], [-125853303961/26, 123550176747/26, 16283121576/13, -29746789629/26], [-4578238031/39, 1198197599/78, 3565724075/78, -635425579/39], [-7/78, -9/26, 8/13, 5/78]], [[-12391953620543585/2, -17417065678067249/2, 1335031811301288, 1919663582126856], [-1448777167388596160/13, -1587486451355421353/13, 315023578764028956/13, 349207470840710475/13], [-161095397092116005/26, -226421854898719777/26, 17355413413559316/13, 24955626745510326/13], [-13159816/13, -56569397/13, -637108/13, 14389627/13]]], 1, 4, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[0, -1, -2, 1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 0, 2, 1], [-13, 1, -2, -4], [4, 0, 2, 1], [0, 0, 0, 0]], [[52507381/2, -9276017, -14913029, 12544269/2], [-86637611/2, 27519509/2, -59979887/2, 15598217], [52507399/2, -27828047/3, -44739136/3, 12544275/2], [-5/6, -1/6, -1/6, 1/3]], [[2724984911053/2, 5006869303011/2, -265920621140, -558709373866], [-3865943235691, -6949609258895, 949802660131, 1461578610596], [2724985192833/2, 5006870203163/2, -265920213910, -558709297052], [-78551, -140697, 2895, 22774]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, 3/2, 3/2, 1/2], [21, 16, 10, -1], [1/2, 3/2, 3/2, 1/2], [0, 0, 0, 0]], [[-14605/2, -5859/2, 3555, 1311], [-24420527/13, 68781423/26, 10568685/26, -7383444/13], [-570539/78, -76285/26, 46330/13, 17065/13], [-35/39, -49/78, -1/78, -1/39]], [[-992480313, 2196384465, 36202617, -398661802], [-26207915838765/26, 19843021436370/13, 6019004762605/26, -8828550035013/26], [-12910996400/13, 28588371390/13, 1354954256/39, -15541900024/39], [-2276827/26, 3454808/13, -725781/26, -2796857/78]]], 1, 8, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-2, 1, -2, 1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9/2, 13/2, -3/2, 3/2], [-2, -3, -3, 0], [-9/2, 13/2, -3/2, 3/2], [0, 0, 0, 0]], [[-2123314, 2803158, 491963, -642066], [-3897905/2, -4241513/2, 458005, 470013], [-6369904/3, 8409472/3, 491947, -642053], [-11/6, -1/2, 2/3, -2/3]], [[-261605211789, 1480482450255/2, 58633453777, -325638465933/2], [1401043490189, 2268399030968, -306940274662, -497458165085], [-784826990375/3, 1480468403327/2, 58633674025, -325634868549/2], [2618504/3, 5004524/3, -483322/3, -1131830/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-53, -35/2, 134, 119/2], [-325, -138, 1075, 476], [-53, -35/2, 134, 119/2], [0, 0, 0, 0]], [[-9396744941/2, -139679710, 199756555/2, -16518194], [-100442487442855/26, 148389828078923/26, 21751171852145/26, -32506701646247/26], [-366473052487/78, -5447508790/39, 2596834645/26, -644209495/39], [3/26, 5/78, 59/78, 1/78]], [[11790812137098451966, 108788675748327099107/2, -2829885789187742754, -23583672304029232999/2], [-470368712882784958276305/26, 371028923132192364799827/13, 51509148472740536661897/13, -162627097377911278989429/26], [153280558155678261448/13, 1414252786872708342171/26, -36788515436245836287/13, -919763220975441735401/78], [-117688069715/78, -206888339705/39, 7096770445/13, 27237764195/26]]], 0, 64, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-2, 1, -2, 1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5/2, -3/2, -3/2, 1/2], [16, 11, -1, -4], [-5/2, -3/2, -3/2, 1/2], [0, 0, 0, 0]], [[-149440377/2, 126926495, 24045261/2, -28369041], [616314525/2, -523489649, -130200395/2, 112252189], [-448321135/6, 126926501, 72135895/6, -85107133/3], [-11/6, -1/3, -5/6, 0]], [[468357070623, -12231798161987/2, -160993535702, 2733965005281/2], [1044216717861/2, 28581658836002, 24704611751, -12662992340695/2], [1405061466871/3, -36695420298449/6, -160992412284, 8201899535641/6], [1449993/2, 2952238/3, -535583/3, -1240985/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3/2, -2, 5/2, 0], [178, -5, 15, 16], [3/2, -2, 5/2, 0], [0, 0, 0, 0]], [[1055596175/2, 39623539/2, 67694069/2, -16561869/2], [1474696964347/26, 1200758401107/26, -113971949835/13, -114962979267/13], [41168252161/78, 1545318925/78, 2640067991/78, -645912601/78], [-25/26, -59/78, 4/13, -2/39]], [[-15225809060273365, 137479023587690463/2, 4710633119288876, -31288254882651849/2], [21946011045686731885/26, 71648316184401565724/13, -2263131649781303036/13, -31467212099376766953/26], [-593806536484779635/39, 5361682018462380361/78, 183714682151640478/39, -1220241956286011189/78], [-1713612815/78, -3186653956/39, 360435484/39, 407258769/26]]], 0, 64, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-6, 3, 2, -1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, -1/2, 3/2, 3/2], [-8, -8, 1, -3], [9/2, -1/2, 3/2, 3/2], [0, 0, 0, 0]], [[-5447987/2, 12413427/2, 966838, -1325661], [469842, -10088975/2, -3416677, 2241404], [-5447995/2, 12413429/2, 966848, -3976985/3], [1/3, -5/6, 0, 0]], [[9836557665, 87295802, -4550817575/2, 101866861/2], [-30904707107/2, -16804825001, 5970759291, 2445817295], [9836562774, 261897151/3, -13652485297/6, 101869999/2], [-2721/2, -111, 229/3, 118]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, 7/2, 1/2, 1/2], [220, 32, 7, 9], [1/2, 7/2, 1/2, 1/2], [0, 0, 0, 0]], [[40992721109/2, -1015890655/2, -249682971/2, -629824285/2], [-6113457719640/13, 85104717053039/26, 3204757880967/26, -8883591002241/13], [532905374561/26, -13206578305/26, -9737636651/78, -24563147275/78], [5/39, 59/78, 5/26, 2/39]], [[-2036913677998963917/2, -172697122767634377/2, -208997163480420642, 213631099795262910], [548615040940700635345/26, -4604014759003024127135/26, -7745188657863570490/13, 954856550683473798405/26], [-26479877824496975079/26, -2245062603476280717/26, -2716963115226918348/13, 2777204294280897654/13], [-571413525/26, -1100434869/26, 295560978/13, -16440393/26]]], 1, 16, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-6, 3, 2, -1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13/2, -1/2, 3/2, -5/2], [10, 2, -12, 2], [13/2, -1/2, 3/2, -5/2], [0, 0, 0, 0]], [[-71952789/2, 27464295/2, 9159901/2, -10363907/2], [-39807993/2, -10723066, -7422475/2, -657705/2], [-215858317/6, 27464289/2, 27479593/6, -10363891/2], [1/2, -2/3, -5/6, 1/2]], [[-828346714973/2, -597129549477/2, 164281184781/2, 123904373033/2], [-367630847539, -446905275815, 67628076904, 90925357098], [-828346713453/2, -1791388559951/6, 492843633943/6, 371713057259/6], [-3260/3, -13300/3, 2780/3, 680]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 3/2, 0, -3/2], [5, 12, -4, -9], [4, 3/2, 0, -3/2], [0, 0, 0, 0]], [[364587441/2, -13064776, 9851757/2, 13304108], [-1542490961/26, 4016496200/13, 5071927362/13, 979552798/13], [14218910389/78, -509526425/39, 128073105/26, 172953317/13], [31/78, -7/13, 20/39, 1/39]], [[3449773598137315/2, 3204305226491421, -771035818328611/2, -664134426729163], [47302234007295418/13, 67247793015700157/13, -7287882209008857/13, -11579046085301450/13], [44847057773888127/26, 124967905529790335/39, -30070401956729857/78, -8633747366600753/13], [98565058/39, 219102482/39, -74317447/39, -15204415/39]]], 1, 16, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-14, -19, 2, 5]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-39/2, -7, 5/2, -1], [3, 8, 3, 4], [-39/2, -7, 5/2, -1], [0, 0, 0, 0]], [[-57645473, -350191682, 6820067, 72052673], [75502730, 76562772, -3974339, -6165298], [-172936435/3, -350191680, 6820057, 216158002/3], [-7/3, -1, -2/3, -1/3]], [[313948345032, -301089102179/2, -697696488553, 654945607341/2], [-1446817695783/2, 671679885189/2, 3300841523025/2, -1544345431713/2], [313948344460, -301089100515/2, -697696487968, 654945606613/2], [157/2, 193/2, -603/2, 231/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-241, -217/2, 555, 511/2], [-1909, -875, 4439, 2039], [-241, -217/2, 555, 511/2], [0, 0, 0, 0]], [[93553709/2, 19759547, -20108803/2, -5477070], [1047762561398/13, -3139700739069/26, -229632823403/13, 688020501743/26], [1216198201/26, 770621492/39, -784241881/78, -71201882/13], [-2/39, -47/78, 23/39, 1/78]], [[-1319927963304253, -1786588557093812, 245945289269438, 401006901872258], [-10182284190965945447/26, 14327909171622614427/26, 2221231665599561233/26, -3138162928917803251/26], [-51477182937276380/39, -69676945055714291/39, 9591856110233504/39, 15639273688161701/39], [178037291/26, 496566491/78, -254475301/26, 317248621/78]]], 0, 1024, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-10, 5, 6, -3]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1/2, 3, -3/2, 1], [10, -1, -6, 7], [1/2, 3, -3/2, 1], [0, 0, 0, 0]], [[-343331, 143231, -86732, -95056], [554223/2, -1848702, -1697247/2, 81587], [-1029964/3, 429707/3, -260246/3, -285161/3], [-1/2, -7/3, 1/2, -2/3]], [[225138123635/2, 91081138431/2, -785915247/2, -25647791017/2], [300593328627/2, 657774093984, 137062016495/2, -149365303991], [675368792687/6, 273245426809/6, -2270473193/6, -76978730351/6], [6775631/6, 579508, -11258437/6, 2089405/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6, -1/2, -2, 3/2], [243, 9, 5, 9], [6, -1/2, -2, 3/2], [0, 0, 0, 0]], [[50966769229/2, 1088260382, -633617299/2, -575892347], [34226377625269/26, 635027376618/13, -6130722037781/26, 529679254400/13], [1987704003823/78, 14147385830/13, -8237024995/26, -22459801532/39], [-83/78, -19/13, -1/78, -1/39]], [[-689889892783740453/2, 1110874999430078505/2, 411027684068206683/2, -358902589738829067/2], [-165340437810453653796/13, 320295481519412951183/13, 22118182151625556704/13, -62145407173317218843/13], [-8968568598274750281/26, 14441374996113573837/26, 5343359878481410035/26, -4665733660765199835/26], [-80017146/13, -42915420/13, 143518068/13, -58392090/13]]], 0, 1024, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-4, -3, 0, 1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11/2, 3, -1/2, 1], [4, 5, 4, -1], [-11/2, 3, -1/2, 1], [0, 0, 0, 0]], [[-8516395, 15539951, 9036103/2, -9150463/2], [516961, -20321573/2, -4379413/2, 6802257/2], [-25549123/3, 46619854/3, 9036005/2, -27451411/6], [0, 1/6, 1/6, 5/6]], [[40609874275/2, -25065036729, -8257639277/2, 5336034517], [-22097044147/2, 2177608346, 4208766241/2, -350261414], [121829613535/6, -25065039826, -24772913185/6, 16008112844/3], [4645/6, 0, -2323/6, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13/2, -3/2, -3/2, -1/2], [-135, -19, -9, -7], [-13/2, -3/2, -3/2, -1/2], [0, 0, 0, 0]], [[6683587820, -341765800, 2538805313/2, -1232283367/2], [3646181625939/26, -572790341757/26, 58697594624/13, -99882001351/26], [86886641557/13, -4442955554/13, 99013407931/78, -16019683583/26], [-19/78, -77/78, -8/13, -5/78]], [[5298055718768873159/2, -3742669300773886119/2, -4552022481084536292, 2268167287040471818], [512790894726993051592/13, -411826443873544771109/13, -1543634624990875806303/26, 398765751255127222559/13], [68874724319234069467/26, -48654700905682262683/26, -59176292222847598395/13, 29486174717417145600/13], [-330429754/13, -225996391/13, 1894116417/26, -340514904/13]]], 1, 32, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-4, -3, 0, 1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, 6, 3/2, 2], [5, 7, -1, -1], [-1/2, 6, 3/2, 2], [0, 0, 0, 0]], [[-9961395, 14726403, 5388103/2, -6672913/2], [877219/2, -709140, -15285/2, 266283/2], [-29884226/3, 44179198/3, 5388161/2, -20018707/6], [5/6, 0, -1/2, -1/2]], [[-25498042425/2, 58630450125, 1532011375/2, -12098458350], [25396452788, 34085431144, -5932468435, -7329983238], [-25518102425/2, 175845752875/3, 4608826625/6, -36285360050/3], [7735000/3, 11667500/3, -1698125/3, -851250]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6, 6, 1, 2], [-95, 43, 13, 13], [6, 6, 1, 2], [0, 0, 0, 0]], [[-13908662965/2, 1110086190, -1349048009/2, 720143976], [8388135740765/26, -5455751307044/13, -1246907275766/13, 2691375750469/26], [-542437855241/78, 14431120363/13, -17537623829/26, 28085614888/39], [61/78, -10/13, 10/39, 1/78]], [[312692323624019/2, 258997201674907, -250999088863890, 42148222895709/2], [5179750048548514, -8529324610516688, -3482371155807457, 5735836573756459/2], [312692322901883/2, 258997201673761, -250999087863216, 126444664787593/6], [-60178/3, -79091/3, 55593, -4585/2]]], 1, 32, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-14, 7, 2, -1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5/2, -4, 1/2, 2], [-16, -4, 48, 26], [5/2, -4, 1/2, 2], [0, 0, 0, 0]], [[689090, -2160781/2, -152215, 474723/2], [-356823/2, -683205/2, 30925, 78196], [2067265/3, -2160783/2, -456637/3, 1424171/6], [-1/6, -1/2, -1/3, 0]], [[1108680624, -1670845897, -243190596, 366354833], [103153979/2, -49793003/2, -24545785/2, 11806081/2], [3326041987/3, -5012537656/3, -729571373/3, 366354778], [105/2, 125/6, -145/6, -5/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -1, -1, 1], [-27, -17, -11, 7], [-1, -1, -1, 1], [0, 0, 0, 0]], [[-72983/2, 33083/2, -31143/2, 11841/2], [-12587979/13, 9383305/26, 1704947/26, 294122/13], [-2835685/78, 430013/26, -1213861/78, 153977/26], [82/39, 1/26, 25/78, -1/39]], [[-98581351625881, 380121810946672, 280019778112510, -205781996166846], [-8254635403545677/26, 97976278601704617/13, 29337549508645379/13, -68740202016190571/26], [-1284332966096286/13, 14776775187255836/39, 10914928496437216/39, -2670215535823738/13], [-231166283089/78, -782886363442/39, -149128808677/39, 533287898491/78]]], 0, 256, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-26, -33, 6, 7]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9/2, 10, 1/2, 0], [-9, -9, 17, 17], [9/2, 10, 1/2, 0], [0, 0, 0, 0]], [[-2770161, -655919, 624339, 141996], [-8876, 2061719/2, 216705/2, -228419], [-8310473/3, -1967747/3, 1873052/3, 425992/3], [-7/3, 1/6, -1/2, -1/3]], [[-1183834663135, 10837411025893/2, 289213989379, -2403203368193/2], [-2006863789739/2, 607868770153, 379077927797, -412328572127/2], [-1183838264139, 32512146310163/6, 867678986360/3, -7209621947663/6], [-9402349/6, 17597822/3, -650045/3, -6296851/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7/2, -3, 3/2, 1], [-77, -28, 13, 4], [7/2, -3, 3/2, 1], [0, 0, 0, 0]], [[-831099477/2, -9276105, -55047331/2, 20496011], [277329964023/26, 124190115356/13, -29407743983/13, -52662877009/26], [-32412879155/78, -120589441/13, -715615027/26, 799344386/39], [-15/26, 20/39, -11/39, -5/78]], [[-3556051942404755/2, -4188750705776036, 41890215679163/2, 1110817204881540], [1049547314361715595/13, 1718987764522366215/13, -466256443042180527/26, -752289923571564331/26], [-138686025632387725/78, -163361274384879998/39, 544573836357539/26, 43321869504239407/39], [-23265737/39, -62347511/13, -27308009/26, 43703827/26]]], 0, 256, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[2, -1, -14, 7]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[8, 17/2, -2, -3/2], [11, 20, -7, -2], [8, 17/2, -2, -3/2], [0, 0, 0, 0]], [[141, 1094, -296, -364], [3001/2, -553/2, -1151/2, -119/2], [427/3, 3266/3, -863/3, -1076/3], [5/6, -1/2, 5/6, 1/2]], [[-2212401005/2, -1072538053/2, 489323759/2, 243927759/2], [-158992884, -3262000318, -291637814, 873109024], [-6657589511/6, -3275791343/6, 1524768589/6, 239654607/2], [7897456/3, -13307804/3, -6656256, 11399780/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-22, -7, 0, -1], [-165, -1, -27, -15], [-22, -7, 0, -1], [0, 0, 0, 0]], [[-84038085398, 19526792933/2, -1451800962, 3221076063/2], [-29245534790847/26, 6611201042994/13, 23801456026559/26, -6195442012562/13], [-3277485331727/39, 253848307701/26, -18873412517/13, 125621966455/78], [-73/78, -7/13, 1/78, 1/39]], [[-13852539123363053171/2, 9777596905418079303/2, 31584713785289839821/2, -15495589426752920337/2], [4649031288948333873380/13, -2007802028705701004071/13, -10652394740856233990284/13, 4951431841948758358809/13], [-180083008598398844535/26, 127108759786338909659/26, 410601279205962890313/26, -201442662550264578141/26], [86020824/13, 236068000/13, -48834504/13, -34641888/13]]], 0, 4096, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[2, -1, -14, 7]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[35/2, -1/2, -1/2, 3/2], [12, 14, 18, 8], [35/2, -1/2, -1/2, 3/2], [0, 0, 0, 0]], [[-11170152, 27536875/2, 2235099, -6100561/2], [-13391793/2, 4832500, 2151299/2, -1802141], [-33510472/3, 27536887/2, 6705304/3, -18301691/6], [-5/6, 1, -1/6, 0]], [[71961165062, -333456727587, -17130213123, 74030163414], [-72315355140, -307887601629, 31756442335, 62116498018], [215883581792/3, -1000370580847/3, -51390620740/3, 222090556373/3], [7735, -104728/3, -11206, 35945/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-12, -1/2, -2, 3/2], [-47, -2, -17, 4], [-12, -1/2, -2, 3/2], [0, 0, 0, 0]], [[-129884661/2, -1536451/2, -2314387/2, -205503/2], [-6339280659/26, 125874963/26, -1957165667/26, -766248383/26], [-5065499765/78, -59925647/78, -30086895/26, -8014399/78], [53/78, -115/78, 7/26, 1/26]], [[-23564244684826029/2, -33250654181361717/2, 4770961226237373/2, 7352662622212625/2], [-651057457873769772/13, -923675572636293699/13, 124808492845651325/13, 201512729788493622/13], [-306335197838134917/26, -1296775669959605623/78, 186067517016974717/78, 95584621993370415/26], [-275353320/13, -775266690/13, 509083435/39, 109369795/13]]], 0, 4096, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[0, 2, 1, -1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7, -5, 37/2, -1], [-3/2, 1, 1/2, 1/2], [-2/3, -4, 29/6, -7/3], [-1/2, 1/3, 1/6, 1/6]], [[-3204346, -2379013/2, 770679/2, 824661/2], [180633, -1460169, -18753, 310764], [-2785548, -722973/2, 875179/2, 319489/2], [60211, -486723, -6251, 103588]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 5/2, -15/2, 1], [63, 19, -56, 5], [2, 5/2, -15/2, 1], [0, 0, 0, 0]], [[19445735, -586415, -903692, 719429/2], [19194020031/26, 17846500676/13, -1842112217/13, -3893713610/13], [758383894/39, -22870390/39, -11747966/13, 28057649/78], [49/78, -16/39, 1/39, 2/39]], [[77516849020176, 29474469681801/2, -13781059311708, -5933419086326], [42083590484559161/13, 74241132127476233/13, -8978002347888066/13, -16485220162731565/13], [3023157897050714/39, 1149503115597839/78, -537460963354012/39, -77134481171338/13], [30545725/13, -39332125/39, -6100150/39, 364175/13]]], 1, 4, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[2, 0, 0, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17, -17/2, 87/2, 15], [0, -2, 5/2, 2], [-11/3, -23/6, 25/2, 11/3], [0, -2/3, 5/6, 2/3]], [[-131114, -412063/2, 6736, 107501/2], [-127225/2, -88025, 15225, 18550], [-173017/3, -507839/6, 7258/3, 137353/6], [-127225/6, -88025/3, 5075, 18550/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 1/2, 6, 5/2], [-35, 0, 52, 24], [-2, 1/2, 6, 5/2], [0, 0, 0, 0]], [[-69052, 10593/2, 36897/2, 2251], [-12790941/13, 30182580/13, -11675564/13, 1426799/26], [-2693498/39, 412651/78, 1439107/78, 29378/13], [-37/39, -22/39, -23/39, -1/78]], [[-1949898311741, -161775332385/2, 587081197431, -127983646893/2], [-2197876345868321/26, 2277949707198657/26, 3012332800486833/26, -842873897927472/13], [-25357772398808/13, -2102092429405/26, 7643245273078/13, -1672872068859/26], [-1282912725/26, -499557675/26, 854160725/26, -70027800/13]]], 1, 12, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[2, 8, 0, -2]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, -7/2, 1, -3/2], [0, -3, -13, -6], [4, -7/2, 1, -3/2], [0, 0, 0, 0]], [[-4084743, 5513685, 2177722, -1801305], [1611809/2, -1388769, 130846, 231961], [-12254206/3, 16541056/3, 2177708, -5403902/3], [-1/2, -1/3, -1/3, 1/3]], [[180898748, 137820883/2, -95834107/2, -10387717], [-647082791, -920901854, 148538397, 206570402], [542184820/3, 411917897/6, -287278573/6, -10331387], [131000/3, 197810/3, -9563, -43361/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, -2, -3/2, 1/2], [69, -20, -13, 8], [-5, -2, -3/2, 1/2], [0, 0, 0, 0]], [[3794390291, -62256175, -54283277, -96412274], [-1322514525191/26, 778787977431/26, 144376105372/13, -98283388232/13], [49327073812/13, -2427990859/39, -2117047835/39, -3760078633/39], [7/26, 1/26, -7/39, -1/39]], [[-2990852552533531, -6534729681216737/2, 1178500794590681, 865721079697075/2], [584495827070143693/26, 599642671855152685/26, -93762980044029363/26, -71768299548377590/13], [-116643249565351334/39, -254854457711323771/78, 45961530924858974/39, 33763122191208095/78], [-10503167/78, -16326815/78, -134101/26, 2859410/39]]], 1, 24, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[2, 2, -6, 2]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[6, 7/2, -3, 1/2], [9, 3, -3, 1], [6, 7/2, -3, 1/2], [0, 0, 0, 0]], [[-6673427, 7591005, 3082835, -1834774], [-15102607, 37753989/2, 11773149/2, -3898639], [-6673421, 22773017/3, 9248482/3, -1834766], [-2/3, -5/6, 1/6, -1/3]], [[-13524506430226, 45970713763095/2, 2994458797607, -10097468318565/2], [-67573625553053/2, 109188255839201/2, 7443747183774, -11975646834461], [-40573536158360/3, 45970697347459/2, 8983379297915/3, -10097464401291/2], [2710673/2, 10894217/6, -859666/3, -406475]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-82, -89/2, 186, 199/2], [-490, -357, 1487, 800], [-82, -89/2, 186, 199/2], [0, 0, 0, 0]], [[10634354821, -830346786, -48820402, -366304746], [92261645729187/13, -345358148896531/26, -40027211996593/26, 37810848538005/13], [138246612481/13, -32383524688/39, -1903995008/39, -14285885119/39], [10/13, 1/26, -53/78, -1/39]], [[-1158629683444681, -1301278427267853/2, 317274315066179, 231587904549385/2], [-8292322431233678993/26, 10983898939293936930/13, 914616261669064387/13, -4820590406553864017/26], [-15062185875959997/13, -50749858608278939/78, 12373698293753215/39, 9031928256497353/78], [-1238533/26, -504423/13, 27284/39, 912289/78]]], 0, 192, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[2, 6, 2, -2]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 1/2, -2, 5/2], [8, -6, -10, 10], [0, 1/2, -2, 5/2], [0, 0, 0, 0]], [[-10694, 11395/2, 2933, -2445/2], [-61267/2, -193673/2, 8526, 21199], [-10696, 34165/6, 2921, -7349/6], [11/6, 1/6, 2/3, 1/3]], [[-80311912, -136542249/2, 19418676, 28265965/2], [-846695328, -1396845586, 191987808, 303278382], [-241240804/3, -136853073/2, 58261784/3, 28352305/2], [79145/3, 33097, -14390/3, -23024/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, 3/2, -4, 1/2], [-10, -1, -40, 1], [-5, 3/2, -4, 1/2], [0, 0, 0, 0]], [[-64, -99/2, 12, 27/2], [-1077/2, -409/2, -133, 74], [-206/3, -293/6, 1/3, 31/2], [1/2, -1/6, 1/3, 0]], [[82989880, 206665449/2, -14537606, -48905309/2], [8830948944/13, 9907955718/13, 114795699/13, -3072681940/13], [1163367806/13, 8744060387/78, -285721273/39, -2357337461/78], [-21567971/39, -17042095/39, -5552255/39, 8204026/39]]], 0, 192, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[6, 10, -2, -2]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 7/2, 1, 5/2], [-3, -6, 0, 1], [5, 7/2, 1, 5/2], [0, 0, 0, 0]], [[19, 11, -45, -37], [5/2, 5/2, 2, 2], [4/3, 35/3, 11/3, -26], [-5/6, -5/6, -2/3, -2/3]], [[306, -4109/2, -3351/2, 1000], [1193, 1478, -249/2, -374], [6368/3, -647/6, -16967/6, 1048], [-1193/3, -1478/3, 83/2, 374/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, 13/2, 2, 3/2], [-30, 48, 16, 10], [-2, 13/2, 2, 3/2], [0, 0, 0, 0]], [[-11033539, 6504371/2, 2830728, -2981675/2], [-2046821203/26, 1962795865/26, 267939771/13, -287418557/13], [-430308160/39, 253670485/78, 110398840/39, -116286055/78], [-7/26, -29/78, 11/13, 1/39]], [[-183485521993, -513298509386, 25319998771/2, 253076973917/2], [-162509508203/2, -4758446381141/2, -370479108387/2, 624192012428], [-183485381368, -513298626086, 25319106021/2, 253077430467/2], [-325/2, -12875/2, -26325/2, 7000]]], 1, 48, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[6, 10, -2, -2]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, -13/2, -1, -3/2], [-1, 4, 11, 0], [3, -13/2, -1, -3/2], [0, 0, 0, 0]], [[51714669, -85978729, -8744011, 17581879], [13366090, -5438569/2, 1174327, -1224612], [155144059/3, -257936188/3, -8744055, 17581873], [1/3, 1/2, 1/3, 2/3]], [[2211911117460, -6959377521085/2, -481645855372, 1522364251859/2], [992268471697/2, -343169328048, -103401145635, 72955395688], [6635733332437/3, -20878132913605/6, -1444937800042/3, 1522364235689/2], [58751/6, 18326, -539, -7546/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, -13/2, -1, -3/2], [206, -47, -7, -8], [3, -13/2, -1, -3/2], [0, 0, 0, 0]], [[21503068904, -1939994513/2, -793922736, 427518219/2], [-13234183545295/26, -49912634333363/26, 3574781037675/26, 5316711931521/13], [838619687585/39, -25219928837/26, -30962986165/39, 16673209759/78], [83/78, -55/78, 53/78, 1/39]], [[864507466326967969, 1279655705183013455, 454830118027219033, -528401378269001985], [-72773744192384162244, -122546779203144927092, 47280002562183792439/2, 23273942077720578445], [2593522392073164673/3, 1279655706789859575, 454830124411718242, -1585204144483608935/3], [-31057895, 230457304/3, 1164808975/6, -287409650/3]]], 1, 48, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-6, 10, 10, -6]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-23, -7, -5, -1], [15, 14, -25, -24], [-23, -7, -5, -1], [0, 0, 0, 0]], [[-1307569782, 2949496405/2, 282532183, -640753579/2], [236474313/2, -180687605/2, 8750089/2, 19790601/2], [-1307569786, 8848489223/6, 847596602/3, -1922260697/6], [5/6, 7/6, 5/6, 5/6]], [[-3719450092477803, 10036151212128913/2, 814691381126850, -2199521717004681/2], [341825342824938, -391711162374007, -71538808327553, 84247416450974], [-11158350259676159/3, 30108453661743119/6, 2444074139493415/3, -2199521719096631/2], [5477990/3, 5156900/3, -501095, -1026515/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-310, -167, 678, 337], [-2403, -1333, 5427, 2699], [-310, -167, 678, 337], [0, 0, 0, 0]], [[-3249303958, 2099358813/2, -315032373, 304931325/2], [-243445621217222/13, 734874433827333/26, 53266738148352/13, -161026563621413/26], [-126722853562/39, 81874988873/78, -12286264246/39, 11892321353/78], [19/39, -145/78, -43/39, -1/26]], [[8885615821555897, 12879400647743066, -12060509220851870, 1903080364593244], [-644938293811071178307/26, 977665610444241496351/26, 139382833462293488205/26, -213391333712933260219/26], [346539022697296756/39, 502296629709273169/39, -470359861243012478/39, 24740044436130077/13], [339291559/78, 275725741/78, -33082519/26, -54795337/78]]], 0, 3072, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-6, 10, 10, -6]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13, -15/2, 5, -3/2], [-5, 8, 1, 12], [13, -15/2, 5, -3/2], [0, 0, 0, 0]], [[-9745032, 35455073/2, 1992418, -7637661/2], [14531547/2, -9856430, -2598187/2, 2025446], [-29235077/3, 35455081/2, 1992407, -7637663/2], [1/6, -4/3, -5/6, -2/3]], [[748132941930, -1441535052593/2, -165429488288, 317355082239/2], [-679682577669/2, 687689455485, 154944686447/2, -152065093147], [2244400137155/3, -1441534170613/2, -496289451289/3, 317354757299/2], [-615065/6, -92840, -150865/6, -23210/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7, 6, -3, 0], [-235, -86, 41, -8], [-7, 6, -3, 0], [0, 0, 0, 0]], [[-16983535300, 1473542921/2, -165225196, 385017915/2], [-8884841393205/13, -8730504749625/13, 1339371229940/13, 1448781562949/13], [-662357879812/39, 57468172651/78, -6443783776/39, 5005232937/26], [70/39, 10/39, 9/13, 2/39]], [[13476637472171111304, 12594961986515276475/2, -3978109327386936930, -1875513687527373267/2], [15689817240461305653729/26, 19462234271287051235441/26, -3316182681173772604461/26, -4361704979506920683015/26], [175196288161934251674/13, 163734507094260547395/26, -51715421605398984468/13, -24381678114531095589/26], [-45830798937/26, -27461040453/26, 15192712293/26, 4009604115/26]]], 0, 3072, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[2, 4, -2, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -5/2, 0, -5/2], [3, 1, -1, 3], [-4, -5/2, 0, -5/2], [0, 0, 0, 0]], [[-11935686, 26657095/2, 2748484, -6225995/2], [7660627, -17000273/2, -1903243, 4165157/2], [-35807090/3, 26657089/2, 8245520/3, -18677959/6], [1/3, 1/2, -1/3, -1/2]], [[-244724962308, 361997627504, 107301067005/2, -158718155469/2], [310982062649/2, -229954381187, -68177431715/2, 100824469161/2], [-734174890909/3, 361997625539, 321903203041/6, -158718154617/2], [2101/6, 480, -457/6, -637/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, -1], [69, -5, 1, -9], [0, 0, 0, -1], [0, 0, 0, 0]], [[-21466, -2871/2, 2459/2, 31], [-2700930/13, 108222092/13, 389993/26, -23602079/13], [-836750/39, -112613/78, 31897/26, 1363/39], [44/39, -16/39, -37/78, 2/39]], [[38761585314, 1821101751/2, -3240437760, -5597332311/2], [1701891902501/2, -29809963159873/2, -91443427999, 3222644706473], [116212348927/3, 1853953671/2, -9677436226/3, -5612988165/2], [-3945947/2, 5823947/6, 2080076/3, -345357]]], 1, 96, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[2, 4, -2, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, -9/2, -3, -1/2], [6, 5, -12, -11], [-3, -9/2, -3, -1/2], [0, 0, 0, 0]], [[-350982, 251640, 150301/2, -108061/2], [246241/2, -178412, 20267, 18435], [-350987, 754913/3, 450971/6, -108051/2], [-1/6, 2/3, -1/3, -1/3]], [[5780058296, 11389489640, -1277523380, -2491972377], [-413994629, -1802615479, 316290027, 289597543], [5780062528, 11389497282, -1277522572, -2491974743], [-2542, -27, 626, -31]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, 7/2, 3, -3/2], [-150, 20, 24, -10], [-5, 7/2, 3, -3/2], [0, 0, 0, 0]], [[91240036, -9090625/2, -2780931/2, 953716], [66895506874/13, 85613872829/26, -21970571823/13, -12906889291/13], [1186120556/13, -354534905/78, -36151787/26, 12398208/13], [35/39, -55/78, 20/39, 1/39]], [[-81805662294512477, -114814094798770414, 35601601228193033/2, 50827170205776019/2], [-148895017718892318033/26, -109384409224941019485/13, 32323497407520556335/26, 47817617001741769833/26], [-1063473676158109236/13, -4477749950261755001/39, 1388462484981354317/78, 1982259767925255901/78], [-49847719685/78, -32283798245/39, 9940276955/78, 4982929175/26]]], 1, 96, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[14, 26, -2, -6]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -15/2, 2, 1/2], [6, -10, 4, -2], [-2, -15/2, 2, 1/2], [0, 0, 0, 0]], [[911119, 2554655/2, -202355, -564181/2], [109921/2, -316639, -46761/2, 61114], [911124, 7663961/6, -202366, -564173/2], [-1/6, 2/3, 5/6, -1/3]], [[-7643098, -12895719, 1674840, 2816534], [2573312, -1591385, -1146839/2, 616889/2], [-22929158/3, -38687231/3, 5024156/3, 2816589], [-23/3, -1, 19/2, -17/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[10, -7/2, 0, 5/2], [55, -23, 5, 21], [10, -7/2, 0, 5/2], [0, 0, 0, 0]], [[24945514, 21913105/2, -8858453, -10352629/2], [1896699697/13, 1749426845/26, -755236878/13, -1049759267/26], [972875186/39, 284870907/26, -345479704/39, -403752367/78], [1/13, 25/78, -2/39, 5/78]], [[-3046541400879, -36960960509671/2, -1809520780871, 9841810821327/2], [-288290275309293/26, -1406573347347178/13, -321375795184315/13, 881720384861481/26], [-39605224735490/13, -480492514219047/26, -23523563016912/13, 127943402471117/26], [-6966795/26, -34298/13, 4444099/13, -3226729/26]]], 0, 768, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[14, 26, -2, -6]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11, -3/2, 1, 5/2], [-2, -4, -2, 4], [11, -3/2, 1, 5/2], [0, 0, 0, 0]], [[4291207, -6198391/2, -1010829, 1258741/2], [-1693553/2, -37154, 551669/2, -77651], [4291201, -18595193/6, -3032459/3, 1258745/2], [5/6, 2/3, -5/6, -1/3]], [[-150329123448, 179189915300, 31098735744, -38328210099], [29338829096, -17996670054, -41719007021/2, 21490471137/2], [-450986847086/3, 537569658704/3, 93295233169/3, -114984224279/3], [-48731/3, -2715, 104279/6, -10741/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, -7/2, -3, 5/2], [-96, -31, -24, 15], [5, -7/2, -3, 5/2], [0, 0, 0, 0]], [[21470791, -76835055/2, -11622492, 27933207/2], [-3279774561/26, 10012952146/13, -2984236655/26, -1787440626/13], [837360671/39, -2996566609/78, -151092433/13, 363131725/26], [31/78, -7/13, 1/78, 1/39]], [[-1465813409, -3891914957/2, 459737042, 691171155/2], [2061231406875/26, 3103208973197/26, -199888959930/13, -349114559229/13], [-57166733083/39, -151784710955/78, 5976583240/13, 26955677875/78], [1141/78, 583/26, -69/13, -47/13]]], 0, 768, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[38, 66, -10, -14]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-10, 4, 0, 2], [1, -25, 7, 5], [-10, 4, 0, 2], [0, 0, 0, 0]], [[-5419189, -29456374, -1069865, 5732170], [-59387329/2, -17075539, 7754575/2, 2182721], [-16257557/3, -88369144/3, -3209581/3, 17196524/3], [5/6, -1, 5/6, 1/3]], [[-1332081242580, -4932722166909/2, 242877392122, 1109798887089/2], [-5282205025901/2, -3361709029925, 1207184015705/2, 711665137787], [-3996243019618/3, -4932722158325/2, 728631918266/3, 3329396917337/6], [74849/2, 116696/3, 229361/6, -82070/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-10, 11/2, 0, -1/2], [199, -53, 1, 9], [-10, 11/2, 0, -1/2], [0, 0, 0, 0]], [[71028885, -41385681/2, -43535913, 41803799/2], [-33957277631/26, 612972733/13, 13370059593/26, -3945656565/13], [2770123010/39, -1614039875/78, -1697902166/39, 1630347541/78], [-205/78, 16/39, -31/26, -2/39]], [[-1337934095346485, 18359228516067, 1707276416452282, -674597539528867], [311394302194123859/13, 162531588159286395/26, -312641879617443343/13, 205853633271978681/26], [-52179400502166577/39, 716047473386746/39, 66583823803333111/39, -26309332501971658/39], [252152642/13, 2481152725/78, 1552710170/39, -1992643193/78]]], 0, 12288, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-10, 38, 6, -10]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17, 4, -3, -2], [3, 0, -3, -10], [-17, 4, -3, -2], [0, 0, 0, 0]], [[256153012, 3870126517/2, -147031518, -957748567/2], [332047251, -46837249, -399237931, -89359435], [256153020, 11610379535/6, -441094594/3, -957748575/2], [2/3, -2/3, -2/3, -2/3]], [[976238822169705, 1170373064579802, -223670073381927, -252972888057057], [52596874475233/2, 282849497320863/2, 59571358274143/2, -100078516408489/2], [976238820899391, 1170373064762988, -223670072605263, -252972888425202], [-143289/2, -382491/2, -804879/2, 455409/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[12, 1/2, -2, 5/2], [152, 23, 42, -35], [12, 1/2, -2, 5/2], [0, 0, 0, 0]], [[13696132733, -2235389587/2, -146723024, 238296567/2], [6591109387677/26, -672031869448/13, -2528270159317/26, 429720144367/13], [534149174330/39, -87180189817/78, -1907399498/13, 9293565727/78], [-127/78, 55/39, -41/78, -2/39]], [[-32597643876169737370, -81040627615845733963/2, 1170833562696824267, 20310607596972449817/2], [-15042081010008816968861/26, -13847052267252930402795/26, 6404999470140334471963/26, 1508181773863593103059/26], [-1271308108308005145847/39, -3160584471043503423547/78, 45662510857610113381/39, 792113693196041853709/78], [53592263431/26, 193210778011/78, 136566335389/78, -107539984871/78]]], 0, 12288, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-6, -4, 1, 1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, -2, 2, -1], [-10, -5, -3, 3], [4, -2, 2, -1], [0, 0, 0, 0]], [[-17367, 74951/2, 4416, -7225], [7449, -141509/2, 14901/2, 37237/2], [-52069/3, 224843/6, 13187/3, -21646/3], [-1/3, -1/2, -5/6, 1/2]], [[-2511486, 11912565/2, 221447, -2839963/2], [5318467/2, -20675291/2, -4334617/2, 1459689], [-7531721/3, 11913041/2, 659938/3, -2839249/2], [-595/6, -119/2, -119/6, 119/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, 1/2, 1/2, -5/2], [18, 6, 0, -24], [3, 1/2, 1/2, -5/2], [0, 0, 0, 0]], [[-1474477, -7386575/2, -2654075/2, 1425344], [-134134031/26, -265349921/13, -342212859/26, 244333529/26], [-57505094/39, -288077011/78, -103509059/78, 55588984/39], [-71/78, -19/39, -29/26, -5/78]], [[345571364384, -913179688440, -316133751009/2, 477966957247/2], [28267678669901/13, -136153257759929/26, -15138356348441/13, 38295578719563/26], [13486248248596/39, -35627586928597/39, -12333218102551/78, 18646696971523/78], [751316027/39, -2282741615/78, -165684827/39, 167148905/26]]], 1, 8, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[2, 2, -3, 1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, -4, 1/2, 3/2], [-2, 3, 10, -4], [1, -4, 1/2, 3/2], [0, 0, 0, 0]], [[-3190, 6053, 10781/2, 2147/2], [-13203, -14879/2, 14602, 1581], [-9577/3, 6047, 32339/6, 2149/2], [1, 1/6, 1/3, 0]], [[5599850, -5566925, -2492075/2, 1232855], [-1274417, -15374325/2, 894572, 1401693], [16791565/3, -5568095, -7472885/6, 3699370/3], [-1805/3, 3865/2, 470/3, -435]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[10, -4, -22, 17/2], [-40, -27, -179, 65], [10, -4, -22, 17/2], [0, 0, 0, 0]], [[2374954818, 142908402, -60401189/2, -49454568], [-15610785843859/13, -24912124572899/26, 3503451956657/13, 2740661786752/13], [92623239691/39, 1857808915/13, -2355645931/78, -642909337/13], [109/39, -15/26, 14/39, 2/39]], [[10376833698654652453, 14144542744087113151, -1996295615874140134, -3324908692819084471], [-89075034847244174474348/13, -258307589495698491314963/26, 19547454497358761444821/13, 56565759937071045858375/26], [404696520003235123306/39, 183879058062190148415/13, -77855529851320291217/39, -129671440891086079513/39], [143828713520/13, 1148074571321/78, -70003582294/39, -287828490713/78]]], 0, 64, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[2, 2, -3, 1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, -1, -1, -1], [4, -6, -30, -5], [2, -1, -1, -1], [0, 0, 0, 0]], [[-1710005, 2363845, 369435, -1074755/2], [4481478, -1697651/2, -1430438, 103559], [-5129992/3, 7091528/3, 1108264/3, -3224261/6], [-2/3, 5/6, 0, -2/3]], [[2411407786095, -2705653780830, -537349161195, 1195168669695/2], [-10533438162062, -6436310131505, 2384036059800, 1380818004125], [7234210025905/3, -8116952781554/3, -1612034797901/3, 1195164553191/2], [4555268/3, -351286/3, -550516, 410368/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, -3, -3/2, 2], [-112, 12, 46, -16], [5, -3, -3/2, 2], [0, 0, 0, 0]], [[14390665, -649147, 13581087/2, -6382049/2], [-4851606703/13, -4500320597/26, -1370103031/26, 2524779885/26], [187079384/13, -25316992/39, 529661569/78, -248899817/78], [-85/39, 11/78, 31/78, -1/26]], [[25273181092548, -12105652524798, -104902255171599/2, 49376381655747/2], [-5209401268615508/13, 4430889361260129/26, 10476727109368574/13, -9717881636087383/26], [985654483880587/39, -157373558025289/13, -1363729552066257/26, 1925679229507663/78], [-14512070/39, 4900925/26, 9980300/39, -9776695/78]]], 0, 64, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-4, 2, 0, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, -11/2, -1/2, 0], [2, -2, 2, 3], [3, -11/2, -1/2, 0], [0, 0, 0, 0]], [[695189, -358875, -210711, 133397], [-399548, -2506299/2, 177873/2, 368745/2], [2085529/3, -1076620/3, -632060/3, 400160/3], [2/3, 1/6, 5/6, -1/2]], [[-14668948222, -84411013861/2, -83639522, 14310969475/2], [121038731147/2, 87529977070, -2394852457/2, -25849959947/2], [-44005962155/3, -84410415327/2, -83865953, 14310956687/2], [-265907/6, -293290/3, 22657/6, 149147/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, 0, 5/2, 5/2], [14, 3, 15, 24], [-1, 0, 5/2, 5/2], [0, 0, 0, 0]], [[122009, -9692, -33633, 12852], [26046149/26, 124251983/26, -4080249/13, -24285589/26], [4758206/39, -377732/39, -437165/13, 166970/13], [-35/78, 7/26, 29/39, -1/78]], [[-563675697, -1388583425/2, 131195779, 298190903/2], [-227008117370/13, -377756947623/13, 50873040154/13, 82350087952/13], [-21983280299/39, -54155255711/78, 5116435133/39, 11629705129/78], [-2594/39, -8056/13, -3644/39, 8104/39]]], 1, 24, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-4, 16, 2, -4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -5, -3, 0], [0, -2, 5, -4], [-4, -5, -3, 0], [0, 0, 0, 0]], [[-111433, -200598, 48315/2, 87389/2], [-28137, 31049, 4249, -6202], [-334297/3, -200595, 144949/6, 87387/2], [-1/3, 0, -2/3, 1/3]], [[-1265942638, -1986469226, 546023061/2, 866164365/2], [-96802280, 36588367/2, 14780266, -4242967], [-3797786825/3, -5959332521/3, 546020817/2, 866152465/2], [-3264, -21505/6, -782, 1343]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, 8, 9, -19], [-128, 67, 72, -150], [-4, 8, 9, -19], [0, 0, 0, 0]], [[825151992, 71131879, 93585755/2, 54937003/2], [-1095170442801/13, 16981256613297/26, 528708858257/26, -3712202607669/26], [32180927885/39, 924714333/13, 1216615129/26, 2142543155/78], [11/39, -7/26, 59/78, 1/78]], [[-99585082122952630, -100956637920375013, 16237933268810658, 23875069191504225], [-245726183722412498084/13, -788603055609050927606/13, 53316739643453531010/13, 346083533781407686221/26], [-1294606075410372658/13, -1312436298213908227/13, 211093126865689123/13, 310375903691487159/13], [-555887854/13, -541108598/13, -314632620/13, 594727511/26]]], 0, 192, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-4, 16, 2, -4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, 0, 0, 1], [-10, -1, -3, 9], [-5, 0, 0, 1], [0, 0, 0, 0]], [[-2113470, -2176950, 623806, 554760], [-5230685, -8996727/2, 3254397, 1990640], [-2113477, -6530854/3, 1871485/3, 1664267/3], [-1, 1/2, -1/3, 2/3]], [[-571795474446, -792932124963, 246888644493/2, 348349056243/2], [-1142738916682, -1558068759365, 233093986128, 342578539743], [-571799008526, -792930454307, 246906106061/2, 1045022510489/6], [297184/3, -562240/3, -598384, 309232]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, -2, -1/2, -5/2], [188, 8, -10, -27], [5, -2, -1/2, -5/2], [0, 0, 0, 0]], [[-411068364, 64362848, 3283638, 1431622], [-258160340560/13, -263824783359/26, 91071699847/26, 65582099007/26], [-5343888457/13, 2510151188/39, 128061956/39, 55833172/39], [-32/39, -11/78, -5/78, 1/26]], [[-21420132404328, -14268185624721, -8923635537285/2, 13111980382179/2], [-17180683062157502/13, -17872748720798811/13, 2391698065822943/13, 4517110270682608/13], [-835385119593716/39, -185486397776175/13, -116007249424641/26, 511367192032393/78], [-1860518/39, -602756/13, -440572/39, 651244/39]]], 0, 192, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[4, 12, -2, -2]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-8, 4, 1, 1], [-6, -9, 7, 10], [-8, 4, 1, 1], [0, 0, 0, 0]], [[215414, -388315, -88117/2, 168381/2], [-33993, -69605/2, 35327/2, 13149/2], [646243/3, -388312, -264359/6, 168377/2], [-1, 5/6, 1/6, 1/2]], [[5781546659, -10125821700, -2557025815/2, 4450380145/2], [-662171910, -800682096, 119387919, 188909757], [5781539223, -10125763824, -2557031015/2, 4450357369/2], [-28262, 31980, 9737, -8437]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9, 2, 5/2, -3/2], [-72, 18, 18, -16], [-9, 2, 5/2, -3/2], [0, 0, 0, 0]], [[11038, 3430, -4877/2, -1447/2], [1166821/13, 723903/26, -264775/13, -148749/26], [143567/13, 44645/13, -191353/78, -56419/78], [5/13, 7/26, -12/13, -1/78]], [[288060324570, 475686022950, -126615608403/2, -208458321405/2], [30392664231920/13, 100325044213211/26, -6697025829548/13, -10981623542608/13], [3745651138285/13, 6184682691390/13, -1646925660199/26, -2709890091105/26], [62127100/13, 127114725/26, -29055370/13, -1755220/13]]], 0, 384, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-12, 6, 4, -2]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-12, -13/2, -3, -3/2], [6, 6, 5, 5], [-12, -13/2, -3, -3/2], [0, 0, 0, 0]], [[7375235, -11634797, -2516505, 2788877], [-6224336, 11458731/2, 9885974, -9881509/2], [7375227, -34904377/3, -2516487, 8366581/3], [0, 1/2, -1/3, 5/6]], [[-1404712094394, 355446445211/2, 316313277646, -86510570835/2], [1556567400537/2, 676848829645/2, -271996694310, -26096051343], [-4214141837078/3, 355440813171/2, 948940070029/3, -86509063191/2], [2843231/6, 1210833/2, -262624/3, -416263/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, -9/2, 2, -1/2], [-34, -36, 15, -5], [2, -9/2, 2, -1/2], [0, 0, 0, 0]], [[326612, 20111, 4224, -6686], [511059388/13, 783720395/13, -192470007/26, -334969119/26], [12738134/39, 261291/13, 165421/39, -260996/39], [-32/39, 40/39, -31/78, 1/26]], [[-224005947907, -841550838327/2, -7430725413, 103799281525/2], [-1477588447613091/26, -1127036282246558/13, 275977451750703/26, 234720394621818/13], [-8736452581639/39, -10940333934027/26, -96497462134/13, 4048020225361/78], [6000347/26, 18623078/39, -19094677/78, 12632/39]]], 0, 384, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[8, 0, 0, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, -5, 2, 1], [4, 2, 5, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [10199, -17451/2, -8173/2, 2635], [-1113368/3, 516893/3, 835023, -1153066/3], [1, -7/6, -1/6, -1/3]], [[0, 0, 0, 0], [437518477, 1235489159/2, -190621691/2, -135688833], [-586793770/3, -518347394, -645738980/3, 233710204], [9193, 47233/6, -12997/6, -1585]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-350, -99, 761, 238], [66, 20, -152, -48], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5040303750/13, 15896177865/26, 2418803475/26, -1802570175/13], [107347886/39, -4578243/13, -28675701/13, 39067900/39], [-22/39, 1/26, -79/78, -1/39]], [[0, 0, 0, 0], [92501083517406300/13, -318262445908831765/26, -35299916396795985/26, 33642489053690440/13], [-613778166310388/13, -699885087229408/13, -390136996365800/13, 401543770672964/13], [562854150/13, 511307489/26, -587473299/26, 16006006/13]]], 0, 3072, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[8, 0, 0, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, -3, -13, -4], [-7, 0, -1, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [142948, -214980, -26248, 45519], [-475015/3, 623419/3, 142162/3, -154162/3], [0, -1/3, 2/3, 2/3]], [[0, 0, 0, 0], [3197508, -6561503/2, -1387885/2, 713425], [-6011979, -2834584/3, 1346194, 580753/3], [64, 169/2, -107/6, -59/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-102, -48, 85, -55], [4, 5, -5, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2815198345/13, -18142335281/26, -1256636479/26, 1886341164/13], [1260195230/39, 82446417/13, 9972317/13, -17734394/39], [5/39, -41/26, -37/78, 2/39]], [[0, 0, 0, 0], [84530644737510749, 249259632838900561/2, 33181190138042303/2, -44157096882153997], [-1810412183391277, -11035817410976329, -2199350555180384, 3669088493616820], [256151843, 227113727/2, -284521279/2, 11690221]]], 0, 3072, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[8, 0, 0, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, -9, -10, 7], [-4, -4, 10, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [17668, 152169/2, 199321/2, -64721], [67770, 18170/3, -69838, 79088/3], [4/3, -11/6, -5/6, -2/3]], [[0, 0, 0, 0], [-237481523928, -351470417449, 52145976325, 77011267692], [-125445015624, -183417871869, 27454779451, 40231777323], [924066, 1962294, -202476, -430800]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [98, -3, -12, -1], [0, -4, 5, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2296431351, -11233612619/2, 1047897503/2, 1220288097], [75934612, 18896056/3, 20080195/3, -34539358/3], [-1/3, 5/6, 5/6, 0]], [[0, 0, 0, 0], [137179567181286/13, 166123305504064/13, -29904249035925/13, -36513420583154/13], [-3270416472806/39, -11811641237855/39, 1315017530239/39, 2336291028169/39], [-22654/13, -38801/39, 13014/13, 15424/39]]], 0, 3072, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[0, 8, -4, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [8, -1, 4, 3], [4, -2, -15, -2], [0, 0, 0, 0]], [[-4, -4, 17/2, 9/2], [-808936, 1203067/2, 161701, -137895], [158061, 173342/3, -466169/6, 177331/6], [-4/3, 5/6, 2/3, 0]], [[21280, 70680, 13410, -23770], [15740190572, 2352565594, -3020706179, -717378059], [-43416168302/3, -1367209549/3, 71613816415/3, -9590899647], [20540, 4990/3, -6110/3, -1510]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [238, -10, 155, 5], [-8, -3, 19, 0], [0, 0, 0, 0]], [[7, -9, -1/2, 1/2], [55218843143, 59520485601, -3339608863/2, -10510438521], [-1801626899/3, -1834814927/3, 1906551219/2, 1806472819/6], [-1/3, 2/3, -1/2, 0]], [[3090, -11655, -1305/2, 5085/2], [-2722347669463313/13, -8833755598033645/26, 597299247572730/13, 968138521258781/13], [16276784867705/13, 22342531756762/13, -7047891206817/26, -9824564150569/26], [-2065/13, 27165/26, 380/13, -2945/13]]], 0, 768, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[0, 8, -4, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, -3, 0, 5], [-10, -5, 27, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-163061673, -675789035/2, 37351018, 75215953], [286625972/3, 147350701/3, -14804830, -27167170/3], [-5/3, 5/6, 2/3, -2/3]], [[0, 0, 0, 0], [340450837815202, 577192713061201, -74600547995847, -253113620688247/2], [-436710043432016/3, -457421123209856/3, 95318308253792/3, 100426448015593/3], [5217458/3, 1760834/3, -446016, -583073/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [100, 50, -166, 28], [10, 5, -21, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [9147711481/13, 6619178029/26, -1979196305/13, -617142555/13], [3742795156/39, -1946088763/39, -264654158/13, 474025072/39], [-61/39, 55/78, -20/39, -1/39]], [[0, 0, 0, 0], [-7147734920959168/13, -15633181916364167/26, 1621945248444185/13, 1685394054898961/13], [-684334809792690/13, -320096242010085/13, 156575482888520/13, 66701352758730/13], [12809320/13, 19410875/26, 1393125/13, -4023345/13]]], 0, 768, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-52, -66, 12, 14]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[17, -8, -17, -6], [0, -15, -8, -5], [17, -8, -17, -6], [0, 0, 0, 0]], [[406844347, 1729165305, -23765486, -372923120], [-9861103687/2, -13694088679/2, 2383795255/2, 2961498675/2], [1220533033/3, 5187495929/3, -71296457/3, -1118769361/3], [-5/6, 7/6, 5/6, -1/2]], [[-9642114825896, -36269166315021/2, 2185093761183, 7915953809735/2], [129387706649073/2, 96138105019407, -28014568896627/2, -21144095716986], [-9642114818360, -36269166358017/2, 2185093758000, 7915953821087/2], [501/2, -4653, 2385/2, 462]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11, -9, -1, -1], [-108, -77, -12, -11], [11, -9, -1, -1], [0, 0, 0, 0]], [[-62362831492, 872502155, 86465583, 705903808], [39281116832897/26, 23807648395691/13, -12156171508553/26, -5758881345718/13], [-2432150428687/39, 34027583983/39, 3372157567/39, 27530248549/39], [-29/78, -1/13, -11/78, 2/39]], [[-1622873804798569124, -18075343199525844813/2, -335982978543228595, 4792898253807199983/2], [3771440142697645401189/26, 6197016944769542387973/26, -841025000910573766043/26, -1306098948270648235281/26], [-21097359467166014705/13, -234979461652106731379/26, -13103336174893518235/39, 62307677318101024373/26], [-844771153/78, -5243781761/78, -297798523/26, 1745506813/78]]], 0, 6144, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[8, 24, 8, -8]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 3, 2, 5], [-24, -8, -2, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-61632270, -44575183/2, -23086337, 40967939/2], [-887471920/3, -853682414/3, 69113594, 62362352], [2/3, -1/2, -1/3, -1/6]], [[0, 0, 0, 0], [546114770937, 1210090913749/2, -200233999371, -190235944773/2], [7669974187538/3, 10951251810553/3, -1665880902676/3, -802461127279], [-1683, -491/6, 2363/3, -439/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10070, 4671, -22686, -10679], [-1988, -934, 4538, 2136], [0, 0, 0, 0]], [[0, 0, 0, 0], [-477809430583533/13, 1441292153536589/26, 104768512079016/13, -315966466349471/26], [-49739111614/39, 839831501/13, -172979370/13, -285869763/13], [-29/39, -25/78, -50/39, -5/78]], [[0, 0, 0, 0], [113827827209127347266978/13, -171501643761425034318623/13, -24955574462317402300727/13, 37597996003708478301538/13], [5960374932087869576/13, 7382888407438640819/39, -3043605983641554130/39, -662849425106451033/13], [5983898456/13, 4636393599/13, -200371333/39, -1524235158/13]]], 0, 49152, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[8, 8, -24, 8]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, 20, -6, 4], [10, 7, 0, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [2475680, 1494523, -2835574, -882331], [5142679/3, 3024908, -327103/3, -1948942/3], [-4/3, -4/3, -4/3, 0]], [[0, 0, 0, 0], [-465807873, -4310337539/2, 125958563, 917366843/2], [-5434853765/3, -6911380597/3, 391666737, 1523506127/3], [319, 21395/6, -143/3, -4763/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [200, 161, 30, 51], [-3, -14, -5, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-212223278965/13, -14472175374875/26, -573945283776/13, 3354607096241/26], [219303744453/13, 6807672601/13, 11616291971/39, -29318928877/39], [-1/13, -43/26, -8/13, -5/78]], [[0, 0, 0, 0], [-1351322251950851729154/13, -393960505055971597383/13, 481105309531886088661/13, -1497395322241076984/13], [16104221406896221688/13, 278947035621011507374/39, -19336466898437561720/13, -38634662851027606810/39], [-3915613128/13, -2929230339/13, -109517009/39, 2998821896/39]]], 0, 49152, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[8, 24, 8, -8]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 12, 2, 0], [-6, 3, -4, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1189890, -3636655/2, 1053027, 529791/2], [2444018/3, -145063/3, 542210, -1487095/3], [-4/3, 1/2, 1, -1/2]], [[0, 0, 0, 0], [-422683206, -1648848213/2, 82086437, 366467267/2], [1247763146/3, 212782411/3, -307869494/3, -25339127/3], [-1018/3, -87/2, 191/3, 91/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-492, 27, 48, 7], [10, -8, -8, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [2985761073941/13, 8096782641529/26, -630268112246/13, -1801813946125/26], [-21409700302/39, 1002520994/39, -105520946/39, -589030256/39], [1/13, -53/78, 34/13, 5/78]], [[0, 0, 0, 0], [7939854797612882074484/13, 23479412511837406170897/26, -1732062465252098951648/13, -5155313535609102768621/26], [-38274759696851026850/39, -12945629806151851025/13, 7689341867844914858/39, 8794610250463664827/39], [57389490412/39, 31003304727/26, 6086304956/39, -12078952131/26]]], 0, 49152, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[0, 8, 4, -4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, -1, 0, 1], [-10, 5, 30, 0], [0, 0, 0, 0]], [[-2, 2, 9/2, -9/2], [-7075, 21831/2, 3073/2, -4799/2], [1843/3, -751/3, -5185/6, 1657/6], [-1/3, 1/6, 5/6, -1/2]], [[0, 0, 0, 0], [-11796, 9675, 2586, -2121], [-2884, -5040, 630, 1106], [0, 0, 0, 0]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [40, -28, -192, -26], [10, -3, -24, -3], [0, 0, 0, 0]], [[9, -6, -1, 1], [11601838/13, -10143753/26, 476722249/26, -107777381/13], [-68570186/39, 25980637/13, 34415162/13, -57011501/39], [-10/13, 23/78, 1/78, 1/39]], [[1132, 9622, -283/2, -4245/2], [21194711635/13, 295001169617/26, 31621070083/26, -81777952961/26], [17814765083/39, -1130922504/13, 2383549361/26, -4794495991/78], [-8773/39, -25187/26, 3113/78, 17263/78]]], 0, 1536, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[0, 8, 4, -4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, -1, 8, -3], [-2, -1, 8, 0], [0, 0, 0, 0]], [[4, 2, -9, -2], [-1061187, -1193950, 410501/2, 535487/2], [-1298498/3, -501521, 114211/3, 280520/3], [1, -2/3, -5/6, 1/6]], [[4554, -112959, -16731/2, 61875/2], [89690332299, 187251968595/2, -19744832961, -20482887642], [38429183885, 40034761637, -16895665735/2, -17487636663/2], [-65241, 132495/2, 13035, -13794]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-88, 6, 52, -12], [-2, 1, 6, -2], [0, 0, 0, 0]], [[8, 1, -9/2, -7/2], [2263603067/13, -773914435/26, -524786850/13, 78390098/13], [-57040381/39, -439988/39, -1678633/26, -6867467/78], [-5/39, -7/78, -40/39, -2/39]], [[-38160174, 30032262, 3336918, -4604574], [-1080739853010930, 891576312399088, 238026262516306, -196096032360030], [9589275001224, -6419261463245, -1917568043888, 1298547829533], [3114648, -1665591, 247604, -116871]]], 0, 1536, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[24, 40, -8, -8]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [6, 9, 10, 1], [4, 13, -6, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-66194046, -116870245/2, 11599225/2, 9231762], [-12822710/3, -311925742/3, -2097264, 57502966/3], [2/3, -5/6, -1/6, -1/3]], [[0, 0, 0, 0], [4065044021908, 5870243073224, -875468658663, -1292168272565], [2565079287340, 4412238865494, -620257296980, -938777421652], [4526, 6541, -14477, 5022]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [48, -55, -40, -9], [6, 10, 6, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [247793565/13, -728887785/26, -90912865/13, 207980185/26], [6565944/13, -2490115/39, 1590614/13, -8274467/39], [5/13, 7/26, 29/39, -1/78]], [[0, 0, 0, 0], [-709057347038195/13, 1907791259243965/26, 880908903300325/26, -333142622751000/13], [-48605822233354/39, -17387408483646/13, -83147161970776/39, 49179928404008/39], [-111166475/39, -306316507/78, -79982707/78, 86601256/39]]], 0, 12288, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[24, 40, -8, -8]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 14, -8, 4], [-4, 9, -8, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [39307722, 116633359/2, -17253955/2, -12834746], [180454, -3890483/3, -31575, 239094], [4/3, 1/6, -1/6, 2/3]], [[0, 0, 0, 0], [108484421051, 162367923144, -47730503145/2, -71148215995/2], [-661711514/3, -7508226274/3, -34236813, 1721133383/3], [2529, 8149/3, 3653/6, -5339/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [22, 28, 8, 18], [-4, -7, -2, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [17192532/13, 28425317/26, -4535470/13, -7688671/26], [-4296710/39, -18862328/39, 1420468/39, 4553296/39], [-8/13, -109/78, -12/13, -1/78]], [[0, 0, 0, 0], [411415256815772/13, -583914633867847/26, -81084174152511/26, 38200383238995/13], [94739599153482/13, -213324417942655/13, -29401623589349/13, 51310962141482/13], [-10380744/13, -351343929/26, -697634981/26, 178001027/13]]], 0, 12288, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[56, 104, -8, -24]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 19, 0, 1], [2, 11, -4, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [2999798, 14281313/2, -820861, -3322277/2], [8178338/3, 16724218/3, -2326834/3, -4014346/3], [-4/3, -3/2, -1/3, -1/2]], [[0, 0, 0, 0], [-447295670751, 9178050466807/2, 133153853972, -2029774791161/2], [60311082034, 9383286449936/3, 125511117634/3, -2108089772936/3], [-3757705/3, -202909/6, 3230990/3, -1913849/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-320, -11, -2, 23], [14, 5, 0, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [1043913975516/13, 253306507399/26, -276120098780/13, -95888920177/26], [-40978413802/13, -11939177408/13, 2220537100/39, -4302327454/39], [16/39, 25/78, 34/13, 5/78]], [[0, 0, 0, 0], [-4170329237570900162/13, -1171494704770625297/13, 1189685501087411028/13, 116622507331727668/13], [586654143797869634/39, 248948627980119742/39, -220039413026159042/39, -18063654564119926/39], [958951134/13, -1589874064/39, -7114113106/39, 3398667995/39]]], 0, 196608, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-8, 56, -8, -8]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-26, -18, -16, -8], [-12, 3, -10, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-91495241, -162868652, 8756737, 27861529], [-66219968/3, -180172786/3, -5849160, 39794762/3], [-1, 7/3, -5/3, 2/3]], [[0, 0, 0, 0], [-180764831786, -554774861231/2, 39631263242, 121644233139/2], [-172604923414/3, -90956796210, 37924026794/3, 59795328230/3], [-1238/3, 3851/6, 298/3, -871/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-200, 23, -6, -7], [-14, -9, 0, 1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1560468659365/13, 2622614813565/26, -338046960200/13, -82340064005/26], [-93815183954/13, 22421988484/39, 412322998/39, 3157998680/39], [-19/39, -115/78, 82/39, 1/26]], [[0, 0, 0, 0], [-475617817044337416235/13, -6734862797334926791435/26, -541731250371241761770/13, 2052335544770992049345/26], [-118541568005039335174/13, -814501918657518338420/39, 10826965296912520846/13, 195703211424480737972/39], [-26082246419/13, -14091698783/26, 75681906004/39, -35343330881/78]]], 0, 196608, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[2, 6, -1, -1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, -4, 3/2, -5/2], [6, -3, -10, 0], [0, -4, 3/2, -5/2], [0, 0, 0, 0]], [[5431030, 12692645, -2270691/2, -2796088], [-724735/2, 3400240, 67488, -718047], [16293067/3, 38077936/3, -6811961/6, -2796087], [-1/6, 0, 0, -1/3]], [[-10054082508, -116618155050, 4950071357/2, 25443898604], [24227492384, -54463114408, -5522943124, 12048104380], [-10054110636, -116618150762, 4950184557/2, 25443877940], [848, 568, 1780, -1196]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 0, 5/2, 0], [-94, -2, 24, -4], [2, 0, 5/2, 0], [0, 0, 0, 0]], [[1650727, -757338, 3758711/2, -1025263], [-1018491156/13, 454863252/13, 363618433/13, -323217495/26], [21459563/13, -29535952/39, 48863319/26, -39985666/39], [28/39, 17/39, 29/39, -1/78]], [[711035466455, 622304816717, -739027916283/2, -23529206125], [-422234540315121/26, -499491476111591/26, 65927040781295/26, 60639876600035/13], [27730533183338/39, 8090019426739/13, -9607397562089/26, -917642916794/39], [37242703/78, 15799297/26, -14659249/78, -5459071/39]]], 1, 16, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[2, 6, -1, -1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, 2, -1, 1/2], [-8, -1, 20, -2], [-1, 2, -1, 1/2], [0, 0, 0, 0]], [[-1772, -26291/2, 412, 2871], [155515/2, 124418, -34993/2, -54759/2], [-5293/3, -78871/6, 1175/3, 8599/3], [5/6, -2/3, 1/6, 1/2]], [[48336723, 119767984, -9716852, -53335985/2], [-964506168, -1492442870, 207357708, 329292924], [145288937/3, 359255744/3, -9895012, -53164113/2], [-3144, -10480/3, -7336, 4192]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 3, -1, 2], [40, 29, -5, 17], [4, 3, -1, 2], [0, 0, 0, 0]], [[1786391, -2237591/2, 1104839, -400653], [672563153/26, -559365933/26, 82281584/13, -4852962/13], [69668980/39, -87266189/78, 43088909/39, -5208498/13], [-47/78, -29/78, 7/39, 1/39]], [[2948550503206, -12324945129919/2, -34198741297357/2, 17581849817347/2], [175644672722945/26, -587855554042565/13, -1726406125429582/13, 895079868186129/13], [38331585502377/13, -160223954258181/26, -444584709574245/26, 685692992877779/78], [182241305/78, 88001393/39, -16593873/13, 328750/13]]], 1, 16, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[10, 34, -3, -7]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-6, -3, -1, -5/2], [8, -8, -4, 4], [-6, -3, -1, -5/2], [0, 0, 0, 0]], [[-176125, -154775, 80085/2, 62263/2], [135074, -104523, -34850, 25970], [-176131, -464293/3, 240239/6, 62267/2], [-2/3, 5/3, -1/3, 2/3]], [[1120923868468, 2044727851358, -241163898194, -902181083031/2], [38722529558, -916885189258, -33435107727/2, 205053669013], [3362698749748/3, 6134284377127/3, -723501631316/3, -902186106991/2], [-15920188/3, 4587452/3, -957435/2, 2096062/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[110, -25, -251, 117/2], [980, -192, -2006, 464], [110, -25, -251, 117/2], [0, 0, 0, 0]], [[-91913172, -26199292, -3557926, -12614473/2], [-126035016174/13, -503777967099/13, 50434490711/26, 109212584761/13], [-3584609374/39, -340590745/13, -138759451/39, -163988113/26], [-70/39, 1/13, 11/78, -2/39]], [[11880724746365, 13535802598045, -8487154889927/2, -3602004091937/2], [35669148471138187/13, 60328235074725485/13, -15977290835090713/26, -26211135648401167/26], [154449346918865/13, 175965229217995/13, -110333274345131/26, -46825830360581/26], [1104885/13, 3140505/13, 4320855/26, -3558465/26]]], 0, 1024, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[10, 34, -3, -7]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-6, 3, -2, 5/2], [4, -4, -17, 22], [-6, 3, -2, 5/2], [0, 0, 0, 0]], [[-583205193, -276113785, 214225975/2, 51492216], [-41954041, 308488387, -164461595, -289692969/2], [-1749615563/3, -828341320/3, 214225977/2, 51492214], [-5/3, -1, -2/3, 1/6]], [[-1321279560592248, -1494522252796660, 264807479969062, 337014481354378], [25435133535450, 289773774378448, -162541319184543, -9092858078574], [-1321279547477756, -1494522216258240, 264807492591814, 337014466277202], [2138000, -8695246, -14918964, 8607588]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -4, -2, 2], [-18, -38, -36, 31], [-2, -4, -2, 2], [0, 0, 0, 0]], [[6059, 69222, -1867/2, -29013/2], [-976506/13, 14215868/13, -4754029/26, -4206534/13], [237817/39, 2699245/39, -71333/78, -1131251/78], [32/13, 10/39, 31/26, 2/39]], [[12143908338671298, 21346302485003579, -2557352287109483, -9413488057761655/2], [1465140269962693290/13, 3028286660800073332/13, -363808595514479348/13, -703224783898201290/13], [474145464642573094/39, 277691636794426149/13, -33305650261591425/13, -367288446326689573/78], [13032581973530/13, 46262250168484/39, -12203097523036/39, -7518986432069/39]]], 0, 1024, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[4, 8, 0, -2]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, 1, -3/2, -3/2], [-8, 3, 20, 2], [1, 1, -3/2, -3/2], [0, 0, 0, 0]], [[-1086, 776, 763/2, -255/2], [21441/2, -20102, -2682, 4020], [-1083, 2333/3, 2233/6, -811/6], [-1/6, 2/3, 2/3, 0]], [[-5264807, 1187643, 2302047/2, -517895/2], [67755967/2, -181868891/2, -7455597, 19948737], [-15827320/3, 3511493/3, 2306055/2, -1529971/6], [13193/6, 32231/6, -501, -1169]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, 2, -11/2, -5/2], [44, 15, -49, -17], [-3, 2, -11/2, -5/2], [0, 0, 0, 0]], [[-642779161, -47832727, -37641449, 12060747], [96742546603/26, 22838836372/13, -49581891845/26, -10590127623/26], [-25068387004/39, -1865476154/39, -1468016768/39, 156789687/13], [35/78, 22/39, 7/78, 1/78]], [[1699728442934314, -1312272684682492, -1085452362824473/2, 736220078893471/2], [-69229520438008044/13, 24049881596109882/13, 2494979594054634/13, 731644840527012/13], [22096469693925982/13, -51178634812771988/39, -42332642319026647/78, 28712583246061969/78], [-25544050/39, -16812950/39, 1721650/39, 1806000/13]]], 1, 48, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[0, 4, -2, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, -2, -9/2, -5/2], [-4, -3, 13, 0], [1, -2, -9/2, -5/2], [0, 0, 0, 0]], [[-492326, 1222131/2, 151529/2, -120579], [-2949063/2, 4630195/2, 237991/2, -820315/2], [-1476923/3, 1222135/2, 151447/2, -361747/3], [-1/6, -1/2, 1/6, 5/6]], [[5057007, -119885693/2, -2216633/2, 13140717], [149862725/2, -236246727/2, -16424450, 51788789/2], [15171556/3, -359655463/6, -6650135/6, 39421973/3], [-91/2, -415/6, 10, 91/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[4, 2, 0, 2], [44, 19, -4, 20], [4, 2, 0, 2], [0, 0, 0, 0]], [[1521386, -1680073/2, -634641/2, 205925], [33603263/2, -10378622, -7098057/2, 2488772], [4564141/3, -1680063/2, -1904021/6, 617810/3], [-5/6, 2/3, -5/6, 0]], [[-9833329535850, -14206558415013/2, 2167692730208, 3096608060563/2], [-2699957846401301/26, -891909165121902/13, 297658743400258/13, 194323931709595/13], [-383497276563619/39, -184684190985043/26, 28180108579436/13, 120766153832147/78], [631722007/78, 79970590/13, -41195126/39, -64288441/39]]], 1, 48, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-4, 24, -2, -4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[19, 7, 7/2, 5/2], [-8, 8, 19, -21], [19, 7, 7/2, 5/2], [0, 0, 0, 0]], [[70001797, 164400178, -15247799, -35992348], [-3059517, -199772, 657747, -175925/2], [210005422/3, 493200566/3, -45743425/3, -107977058/3], [-1, -2/3, -2/3, -1/6]], [[-1199297474401, -3976464055889, 512604166507/2, 1750058434905/2], [-114898939662, 67172570798, 443368536433, -210814169018], [-3597888108587/3, -11929394977355/3, 512596977227/2, 5250185677819/6], [608888/3, -208552/3, -385664, 173444]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[17, -39, -79/2, 175/2], [50, -310, -316, 704], [17, -39, -79/2, 175/2], [0, 0, 0, 0]], [[94249089, 134029106, 190614059/2, 10628099/2], [-90738747108/13, 720863978856/13, 31903359481/13, -308960894309/26], [3675721039/39, 1742380525/13, 7433947439/78, 414495151/78], [-40/13, -110/39, 2/39, -5/78]], [[-66277888578536, 20719890538249, -21472752064847/2, 20414515188139/2], [493924300340799118/13, -887327797692906145/13, -221923081897234867/26, 196079751953982891/13], [-861613946884685/13, 808077347995187/39, -837433694777639/78, 796164640758127/78], [85218518/39, -39028649/39, -84144335/78, 6087037/13]]], 0, 3072, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-4, 24, -2, -4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-8, 0, -6, -1], [-4, -6, -8, -11], [-8, 0, -6, -1], [0, 0, 0, 0]], [[48217232, 7710827, -19998885/2, -3740565/2], [37245080, 52830009, -18628433/2, -10732563], [144651679/3, 23132435/3, -19998887/2, -11221621/6], [2/3, 5/3, -1/6, 2/3]], [[100223488393, -1600626671671, -61309755423/2, 706724305275/2], [-635502506340, -999605435672, 154883512576, 206162341967], [300670861841/3, -4801879262723/3, -61309810135/2, 2120171712161/6], [-27356, -13678/3, 6839/3, -47873/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, -13, -11/2, -3/2], [20, -8, -26, -8], [1, -13, -11/2, -3/2], [0, 0, 0, 0]], [[-36726343, 9713392, 304936, -3131187], [-535373535/13, 1047845328/13, -62707553/13, -641390603/26], [-477442916/13, 378821600/39, 11892170/39, -122116532/39], [-59/39, -40/39, -4/39, -1/26]], [[-4705868362916, -10543792319469, -214426559403135/2, 108769940439269/2], [-1058580052877817/13, 1491116681501196/13, 567152368148233/13, -862139419779429/26], [-61177734074893/13, -137069411686351/13, -2787541907727767/26, 1414008133719139/26], [-48050463/13, -13214252/13, 45087319/13, -22915123/26]]], 0, 3072, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[4, 20, 2, -6]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-14, -6, 1, 2], [-6, 0, -5, -3], [-14, -6, 1, 2], [0, 0, 0, 0]], [[-25906, 13203, 83639/2, -39629/2], [-5146, 4069, 547/2, -411], [-25903, 13201, 250879/6, -39627/2], [-2/3, 5/3, -1/2, -1/3]], [[-4189203, -10358888, -6307491/2, 8349897/2], [-3257309, -4996676, 1289031/2, 1927193/2], [-4192701, -10361485, -6296085/2, 8354933/2], [-133, 112, 1313/2, 463/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9, 9, 9/2, -1/2], [172, 76, 30, -2], [9, 9, 9/2, -1/2], [0, 0, 0, 0]], [[3501186, -6729120, 15796271/2, -8758899/2], [1914489871/13, -3029687411/13, 828708269/13, -321709509/26], [136541749/39, -262437527/39, 205351919/26, -341596843/78], [85/39, 9/13, -3/13, 1/26]], [[-16419478387, 6926424479, 83138014657/2, -38341187869/2], [-2009572501010/13, 549526070413/13, 5838935534152/13, -5262503629385/26], [-213454087521/13, 90042722187/13, 1080794879271/26, -498435215077/26], [16730/13, 13895/13, -7665/13, -2905/26]]], 0, 6144, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-4, 12, 4, -4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [12, 13, -26, -23], [7, 3, -2, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1757083, -3189746, -3935293, 249858], [-21590330/3, 80348/3, 1732712, -145774/3], [-1, 1/3, -2/3, 2/3]], [[0, 0, 0, 0], [3098940599335/2, 869461786890, -659847885250, -315672304165/2], [5720008141051/3, 20077084163747/3, -397672586600, -1474978698034], [1085465/6, 1110050, -618350/3, -884315/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-52, 43, -9, -36], [-1, 5, -1, -5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-954738959/13, -1961867723/13, 1135074445/26, 1183810975/26], [-318247/39, -24971051/39, 134563334/39, 64967674/39], [85/39, 1/39, 73/78, 1/26]], [[0, 0, 0, 0], [-1714734314841879/26, -1460113877525829/13, 613161169338085/26, 352014558158891/13], [15675916519615/39, 7931472619751/13, 46110134437466/39, 1362879365420/13], [9237639/26, 67375423/39, 215092849/78, -19746507/13]]], 0, 768, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-4, 12, 4, -4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, -9, -16, 5], [-3, -5, -4, -2], [0, 0, 0, 0]], [[5, 4, -15, -13], [18445170, -54208133/2, -10972819/2, 6464337], [-30704461/3, 15543630, 6440384/3, -10684163/3], [0, -5/6, -1/6, -2/3]], [[-137679, -411989/2, 31528, 87759/2], [12654144703/2, -14022194936, -1827928281, 6550180295/2], [-18691275755/3, 24023497501/6, 1397846706, -5398048949/6], [-82853/2, -188390/3, 27982/3, 81715/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-72, 15, 29, -12], [-2, 3, 4, -1], [0, 0, 0, 0]], [[-5, -5, 4, 4], [28057452/13, -2053720017/26, 17853814/13, 425353789/26], [17551968/13, -2174188/13, 693293/39, -807311/13], [-2/39, 31/78, 12/13, 1/78]], [[11685, -150675/2, -186878, 232101/2], [1723025429815/2, -2618101914626, 44860368783, 928462760407/2], [36038383675, -75268201301/2, 71491116800/3, -38742378109/6], [-80237/6, 41656/3, 46699, -131405/6]]], 0, 768, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-16, 64, 8, -16]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, -4, -9, 1], [20, 2, -6, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-35517246, 15009385, 20262087/2, -13334691/2], [362119244/3, -286298884/3, -22147732, 59380894/3], [4/3, 1/3, -3/2, -1/2]], [[0, 0, 0, 0], [4423188601640, 1782777211946, -297124673196, -721229241091], [-14917133259702, 1863420451928, 3761356972775, -632405389545], [-109180, -103774, -4611, 29362]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2588, 1682, -5881, -3839], [-516, -336, 1178, 768], [0, 0, 0, 0]], [[0, 0, 0, 0], [-37830500047/13, 56392569801/13, 8312150025/13, -12366806679/13], [-175246118/39, 9149750/13, 9051753/13, -3498415/39], [-83/39, 1/13, 38/39, -2/39]], [[0, 0, 0, 0], [-35597893385182194, 52140584358138168, 15498703314383877/2, -22816234053518139/2], [-292167121701242/3, -129359970901072/3, 96674478629431/3, 5004232542107], [-31085996, -78141554/3, -54245011/6, 22564831/2]]], 0, 49152, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[64, 112, -16, -24]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-28, -10, -4, -6], [-6, -2, -7, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [128802093, -76534784, -24715269, 14805823], [44187054, -95035334/3, -37753727/3, 24504001/3], [-5/3, 2/3, 4/3, 0]], [[0, 0, 0, 0], [-4233377994860, -3620512381995, 2049548887273/2, 1507453792503/2], [-3610971953792/3, -2831966472304/3, 201333408491, 238413384231], [117292/3, 36281, -68089/6, -98903/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [364, -24, 67, 19], [8, 4, -13, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [38291399594402/13, -45371442374948/13, -17314269684759/26, 20005894871401/26], [237155695372/39, -478710106/39, -25739197/39, -2111092661/13], [-76/39, -22/39, -85/78, -1/78]], [[0, 0, 0, 0], [-15218146864167310962814/13, 14605633303626192717111/13, 3527802580306412710176/13, -3285754150931553876489/13], [-39796118737297191056/13, -22137581148866437894/13, -2429141460041222302/13, 9549612410417243400/13], [14691287684/13, 13934760869/13, 5518596797/13, -6176534470/13]]], 0, 49152, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-16, 64, 8, -16]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16, 36, 31, -87], [40, -8, -94, 15], [0, 0, 0, 0]], [[0, 0, 0, 0], [-318362, -115425, 6469929/2, -6006311/2], [6094048/3, -880266, -3893420, 1184977], [2/3, 5/3, 1/6, 5/6]], [[0, 0, 0, 0], [62016566852, 744883175788, -13630987695, -163284544437], [97076601460, 325672652248, -21266410966, -214212830236/3], [11639990/3, 17001190/3, -850575, -1242355]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-54, 34, -190, -84], [20, 10, -48, -30], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4597455233, 16883339057, 117872141, -3459547533], [54217108/3, 88859820, 697633472/3, -538701065/3], [-5/3, 1, 2/3, 0]], [[0, 0, 0, 0], [285671653231950/13, 979883410221036/13, -172710019914009/26, -408013750883595/26], [21777751095976/39, 47279506162522/39, 23833780731632/39, -24016194090497/39], [-251230/39, -149380/39, 32495/26, 75175/78]]], 0, 49152, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-8, 16, 12, -8]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, -10, -9, 1], [-46, -10, 105, 26], [0, 0, 0, 0]], [[2, 6, 13/2, 5/2], [-516361868, 946594376, 230050243/2, -207782412], [-63180485, 290756107/3, 6459317/6, -129062405/6], [2/3, 4/3, 5/6, 0]], [[-58900, -87590, 12749, 19304], [2846434614885, -6158620550905, -1247251311183/2, 2699878336835/2], [1304368501816/3, -1701743583998/3, -291796313338/3, 375732117047/3], [-12255, -50825/3, 5491/2, 22135/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [48, 78, -111, -157], [6, 10, -15, -20], [0, 0, 0, 0]], [[-12, -36, 39/2, -5/2], [403565306/13, 443245298/13, -163390939/26, -99028251/13], [80440559/39, 16962161/39, -30217513/78, -8781827/78], [22/39, 70/39, -17/26, 1/39]], [[-29478671040, -13116537140, 9501880920, 1568960540], [372468289039427772/13, 702490873763564800/13, -80917706705335259/13, -154408692387989805/13], [26773080966566360/39, 127035028771703800/39, -5599145598462700/39, -9333140205537450/13], [18754984080/13, 32397133580/39, -16815310540/39, -1771990360/13]]], 0, 12288, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-8, 16, 12, -8]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 4, 10, 0], [0, 6, 0, -11], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7411, -9019, 3427/2, 1973], [-9358/3, 4850/3, 2087/3, -448], [-5/3, 1/3, 1/2, 2/3]], [[0, 0, 0, 0], [11020124827, 26221970211, -2418114821, -11495117991/2], [-7241262076, 17598735834, 1583247500, -3855770496], [-3482553, 8919175, 791407, -3942547/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-180, 26, 59, -3], [-4, 2, 8, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7456917903/13, 35450356889/13, -1705065132/13, -15543478577/26], [-497134666/39, -38113066/39, 28083325/39, 14597005/39], [5/13, 17/39, -12/13, -1/78]], [[0, 0, 0, 0], [157351443503248013, 163679401926155337, -69013399909904365/2, -71757238010144235/2], [-1616588625125138/3, -4819005750746602/3, 339517893761323/3, 1061837699118046/3], [72208801/3, 14257383, -44036545/6, -4718749/2]]], 0, 12288, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-4, 28, -4, -4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, -9, 10, -5], [6, 12, -24, -14], [0, 0, 0, 0]], [[0, 0, 0, 0], [13478561/2, 9156753, -3295131/2, -1919076], [-3097459/3, 7364807/3, 824501/3, -1511005/3], [1/2, 2/3, 1/2, -1/3]], [[0, 0, 0, 0], [-1227591961669/2, -1586565015983/2, 231990965933/2, 365718861777/2], [206529390240, -398166535655, -44748124412, 88775168273], [-233865/2, -25875/2, 163665/2, -40995/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [160, 27, 10, -29], [12, 3, 2, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [1180392669/13, 117519001/13, -1053080683/13, -441014389/13], [287112895/39, 42259277/39, -271072627/39, -119987557/39], [-17/39, -7/13, 7/39, 1/39]], [[0, 0, 0, 0], [-115743619642941/26, 172264662416241/26, 17580587383899/26, -39834079135785/26], [-4371591730669/13, 19595279180786/39, 1809348142499/39, -4552918175752/39], [278749/78, 76511/78, -277019/78, 23091/26]]], 0, 12288, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-4, 28, -4, -4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, 2, 6, 4], [-19, -5, 47, 17], [0, 0, 0, 0]], [[5, 3/2, -15, -3/2], [-8032259/2, 12336397/2, 1761943/2, -2704843/2], [242465/3, 1063177/6, -55531/3, -229607/6], [1/2, -5/6, -1/2, -5/6]], [[4689592, -8769760, -12433736, 8621120], [4959395474704, -7078387458935, -1086117006650, 1551226513073], [1254480974245/3, 562610840783, -93994230113, -122286185205], [-8769760/3, -709756/3, 8621120/3, -2344796/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-86, -81, 2, -39], [-19, -9, 1, -5], [0, 0, 0, 0]], [[38, 41, 19, 3], [-218937274775/13, -276706001191/13, -174071091087/13, 41081493654/13], [-207889673113/39, -25712205841/39, -36575586295/39, -4376751563/39], [83/39, 25/13, 9/13, 2/39]], [[631111260, 566826273/2, -528742656, 127247523/2], [-3024456362039117143/2, 871174433214075523/2, 6002171998481294919/2, -2647099036166767337/2], [-204458763246268866, 142103889866699331/2, 345226718303249870, -306738876472625117/2], [76851129/2, 18681827/2, -78681961/2, 20182967/2]]], 0, 12288, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[32, 0, 0, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, -6, 2, 10], [16, 2, -4, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-66587804, 159043003, 22887149, -27979603], [85537592, -293052514, -28226938/3, 72359928], [-2/3, 5/3, 1, 5/3]], [[0, 0, 0, 0], [-1577801200239, -8339969832030, 369872107831, 1818432570529], [4704481022880, 51087112197482/3, -3004794938140/3, -11236595075038/3], [-303979/3, -635180/3, 104351/3, 40833]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-52246, -24572, 119168, 56080], [10448, 4916, -23832, -11216], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2512624849, 3822693749, 551078631, -838058370], [-894964, -3092668, 145446, 684830], [1, -1, 1, 0]], [[0, 0, 0, 0], [-1398299646885392/13, 2225356262904728/13, 306264125567134/13, -487735412186840/13], [-16992603761864/39, -28411422856498/39, 3892288942466/39, 6158710250216/39], [9232174/39, 1312248/13, -6292028/39, 958720/39]]], 0, 786432, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[32, 0, 0, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, 14, 58, 6], [22, 6, 8, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-23808445, -250489166, 32849140, 46005597], [77293568/3, -256270292, -10300096/3, 169185992/3], [1/3, 4/3, -2/3, 1/3]], [[0, 0, 0, 0], [-3822272413533, -1692561047517, 723854648909, 426642437722], [-3704794449146, -398851154238, 2425561521454/3, 269483132722/3], [22365, 11013, 113, -13724/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [71518, 33762, -163266, -77040], [-14316, -6754, 32654, 15408], [0, 0, 0, 0]], [[0, 0, 0, 0], [-21257871076105/13, 32153115811724/13, 4661943245627/13, -7048870834619/13], [-2267709214/39, -35106560/39, -535776104/39, 32903126/13], [-35/39, -44/39, -7/39, -1/39]], [[0, 0, 0, 0], [2034546850916851872/13, -3073845664703861522/13, -446129989206866824/13, 673911565432592236/13], [135956990817244/39, -131982152086150/39, 12041053200026/13, -822712422052/13], [1633828/39, 217924/13, -820526/39, 49364/39]]], 0, 786432, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[32, 0, 0, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -14, -14, -2], [12, -6, -6, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [339051, 473833, -116098, -86391], [-239956/3, -128822, 158552/3, 10854], [5/3, 1, -2/3, 1/3]], [[0, 0, 0, 0], [425456561, 637798041, -81079782, -143826859], [-349745792, 666450410/3, 203755972/3, -43903138], [-13343/3, 35177/3, 2426/3, -8491/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-226, -50, -214, 34], [-20, 8, 42, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1601989606487, -4702078470265, 313013178402, 1024467943752], [71975471972/3, 606236754, 71133658/3, 1855489378/3], [-5/3, 1/3, 4/3, 0]], [[0, 0, 0, 0], [-7096872137205591268262/13, -12910811656272236622774/13, 1526609711693890220055/13, 2841967517359229410728/13], [55286044818448401784/13, 149908605709907489714/39, -7797781435434852148/13, -12704511286834501786/13], [-8163096394/39, -3430574624/39, 4601025497/39, -430313462/39]]], 0, 786432, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[8, 8, -12, 4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, 2, 6, 2], [-22, 6, 49, -12], [0, 0, 0, 0]], [[-3, -7, -5, -2], [3002, 1287, -483/2, -189/2], [446/3, -1874/3, 583/3, 869], [-2/3, -5/3, -5/6, 1/6]], [[-43212, -65169, 18915/2, 28587/2], [12379251, 28028484, -2713926, -12288867/2], [-293281, 1348163, 150199/2, -601113/2], [-8697, -13026, 1911, 5707/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-466, 44, 746, -110], [-40, 6, 92, -13], [0, 0, 0, 0]], [[-22, -20, 3/2, 1/2], [24801325269/13, -19918209273/13, -5634216878/13, 8849010349/26], [-28834395/13, -7330411/13, -113335813/78, 17498347/26], [41/39, 43/39, 1/13, -1/78]], [[92296916, -64568104, -94620573/2, 54393927/2], [-251442043180140678/13, 360273593378760110/13, 113794178717844263/26, -79809276907944114/13], [489499640121655/39, -289493384820813/13, 1128172702075271/78, -246056561813111/78], [-53320538/13, 97060534/39, 146220781/78, -40064305/39]]], 0, 24576, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[8, 8, -12, 4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 8, 10, -6], [50, 6, -117, -15], [0, 0, 0, 0]], [[5, -1, -9, -1], [795997, 1719444, 169840, -395359], [61004276/3, 26952584/3, -141380716/3, -63621337/3], [1, -4/3, 0, -1/3]], [[-455880, 857008, 200303/2, -375927/2], [1081023649293, 1514514666179, -237000666663, -664021557627/2], [-792651962081/3, -1473968709677/3, 116169477765/2, 215459691357/2], [-493551, 2337661/3, 108141, -341591/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [158, -44, -270, 88], [14, -6, -33, 12], [0, 0, 0, 0]], [[-18, -40, -5/2, 1/2], [-6293474387/13, 9897111201/13, 1381637971/13, -4333730509/26], [-19729223/39, -846673/13, 9555265/78, 1009163/26], [11/13, 79/39, 17/39, 1/26]], [[225767040, 292139680, -24496800, -79786880], [-40780631205013574/13, 58239267769658578/13, 8930911841623714/13, -12761794762374020/13], [34342064158672/39, 72421921681744/13, -3746904743304/13, -45473452109224/39], [-464542400/39, -202969440/13, 71659040/39, 158412640/39]]], 0, 24576, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[0, 32, -16, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, 10, 2, 4], [-20, 2, 60, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [3811079, -6996057, -1551648, 1987207], [-22955696/3, 24285154/3, 17829800/3, -3294134], [1/3, 1, -2, -1/3]], [[0, 0, 0, 0], [210661399172, 330023754443, -92367434731/2, -144696487579/2], [462623625320/3, 651822087622/3, -101396495558/3, -47635268612], [-13358/3, -25673/3, 5851/6, 11263/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [162, -6, -124, 0], [-8, 2, 26, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-56585551264/13, 49615016474/13, 29258727643/26, -23321438019/26], [-922888852/13, -216914710/39, -958823602/39, 531349528/39], [-98/39, -40/39, -125/78, -1/26]], [[0, 0, 0, 0], [6618123461118552758/13, -4457933452449597592/13, -1495913582933127985/13, 998123390163876464/13], [152439641865859952/13, 46832591515852700/13, -23376516749469940/13, -14884417626268276/13], [6319617324/13, 3841426200/13, -1129941003/13, -945013464/13]]], 0, 196608, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[0, 32, -16, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, -8, 6, 8], [16, 10, -50, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2314953, -3396482, 915249/2, 1503527/2], [2909606/3, 2962864/3, -1139279/3, -299143/3], [1, 2/3, -5/6, 1/6]], [[0, 0, 0, 0], [-70939498293, -114016588549, 15552224758, 24995895305], [61111673744/3, 136343646848/3, -4471683276, -29888898230/3], [47761/3, 107875/3, -3502, -7879]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-160, 52, 234, 20], [20, -10, -48, -6], [0, 0, 0, 0]], [[0, 0, 0, 0], [65819025232/13, -99495628260/13, -55570261937/13, 42121049591/13], [-11577511228/13, 6984701872/39, 10651777342/13, -4549773388/13], [-74/39, 8/39, 19/39, -1/39]], [[0, 0, 0, 0], [1986779792938442/13, 61390726719728/13, -10499339871876715/26, 4487164287972089/26], [-919243238058490/39, 979538658340306/39, 3061912446709411/39, -518694388439637/13], [1415902/39, 955150/39, -475103/78, -475199/78]]], 0, 196608, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-32, 96, 32, -32]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [20, 14, -48, -14], [0, -2, -8, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1653962, 1158043, 372998, -252566], [-780648, 5383906/3, 525932/3, -396502], [-4/3, -5/3, -2/3, -2/3]], [[0, 0, 0, 0], [1133253372207, -1421924684828, -241473862549, 308274421213], [796056097700, -4029494235104/3, -164390266690, 289746832602], [-234335/3, 1667594/3, 3701677/3, -1941439/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [330, -106, 36, -44], [16, 24, -6, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [38130269711841/13, -72087981034547/13, -7911570361540/13, 15707925887795/13], [-3145835999456/39, -102130474174/39, 241628185730/39, -59958936812/39], [-15/13, 1/39, -74/39, -5/39]], [[0, 0, 0, 0], [-886351427873027210, 2369132208500032491, -9569866803224638, -425366912590362107], [39589994844911824, 114344614006142006/3, 20824809639388282, -62780166275548648/3], [-7295966/3, 7397165/3, 25078076/3, -12052319/3]]], 0, 3145728, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[96, 160, -32, -32]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-12, -34, -22, 24], [-16, -22, -10, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-27260234, -11455398, 6215590, 2387908], [-73007416/3, -42772264/3, 16046392/3, 9459088/3], [0, 2/3, 0, 4/3]], [[0, 0, 0, 0], [53560879597, 182779789349, -11212970099, -40315253558], [177773394368/3, 500466503554/3, -13044102608, -109657148162/3], [-2139, -5359/3, -9361/3, 5428/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-218, -44, -40, -30], [12, 8, 6, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [15626208991/13, -9409635086/13, -3412750759/13, 2096763561/13], [-2258381360/39, 163294012/39, 82922820/13, 20671156/13], [9/13, 28/39, 7/13, 1/13]], [[0, 0, 0, 0], [-113870429862424/13, 82809772681634/13, 27549344065755/13, -20094229016345/13], [3925413178280/39, 577722982622/13, 25173377408888/39, -12249731363882/39], [48760/13, -179860/39, -873425/39, 36685/39]]], 0, 3145728, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[2, 10, 1, -3]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13, -6, 3/2, 0], [10, 0, -26, -2], [13, -6, 3/2, 0], [0, 0, 0, 0]], [[-235114575, 245023835, 51265083, -107254335/2], [15988267, -5436391/2, -4100549/2, 1365333/2], [-705343724/3, 735071495/3, 153795256/3, -321762995/6], [-1/3, -5/6, 5/6, 1/2]], [[6860245155, 14422636231, -3283500625/2, -6191897757/2], [-1780504881, -2532074815, 1489718837/2, 730693135/2], [20580735559/3, 14422636325, -3283500531/2, -18575693929/6], [47, 235/3, -47/6, -235/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[12, 7, 2, 5/2], [-72, 54, 11, 17], [12, 7, 2, 5/2], [0, 0, 0, 0]], [[22868412103, 1649212700, -357744853/2, -667892506], [-2851452219726/13, 3147048696832/13, 1335675704224/13, -1827000423635/26], [891868070485/39, 64319293744/39, -13952053733/78, -26047807741/39], [8/13, 22/39, 12/13, 1/78]], [[-54916686550797053, -69827468016099163, -4045429571004642, 49012897799176147/2], [4641517629445453674/13, -4256168239377695479/26, -9570958712625033271/26, 2323694985172129190/13], [-713916923031350556/13, -907757079992055003/13, -157771750139127895/39, 1911503001735615649/78], [-32247204/13, -129684485/26, -35779061/26, 98699765/39]]], 0, 256, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[2, 10, 1, -3]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11, 2, 1/2, 0], [10, 4, -28, -5], [11, 2, 1/2, 0], [0, 0, 0, 0]], [[-292577699, 130308549, 61066344, -54881535/2], [62851932, -165533833/2, 12809347, 17025239/2], [-877733098/3, 390925648/3, 183199033/3, -164644607/6], [0, 1/6, -1/3, 1/6]], [[328520441971, 522343695150, -143642995431/2, -114582447973], [-25167280522, -48698521559, 3804989489, 22590119097/2], [328520442085, 1567031085976/3, -430928986543/6, -343747343984/3], [-122/3, -49/3, 91/3, -19/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 1, -1, -3/2], [-2, 8, -10, -7], [2, 1, -1, -3/2], [0, 0, 0, 0]], [[7809376, 1037290, -4391177/2, -1251917/2], [-394647254/13, 743401239/26, 30408461/13, -108547065/13], [304564477/39, 13484906/13, -171256123/78, -16274981/26], [-74/39, 1/26, -7/39, -1/39]], [[1416755030893953, 2102043916757798, 97356254938895/2, -481941871822956], [-50370474359233416/13, -39178633193174562/13, 25375383159624072/13, 14429482949099250/13], [18417766269147785/13, 27326463339556096/13, 1265546692427675/26, -18795546762672058/39], [-12314458918/39, -24816960938/39, -2127365764/13, 4136518378/13]]], 0, 256, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-2, -2, -1, 1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, 5, 1/2, 1], [4, 10, 1, 0], [3, 5, 1/2, 1], [0, 0, 0, 0]], [[-5017291, 8745715, 580431, -3660235/2], [-31010986, 48516750, 6306110, -10587262], [-5017279, 26237153/3, 1741201/3, -10980769/6], [2/3, -2/3, 2/3, 2/3]], [[-7567918474, 16362360983/2, 1504071230, -1721252823], [-78242322915/2, 53753737314, 16890354567/2, -23446140651/2], [-7567911679, 16362379173/2, 1504068265, -1721254173], [-1515/2, -3585, 205/2, 1635/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, -1, -1/2, -2], [-134, -8, -6, -14], [-5, -1, -1/2, -2], [0, 0, 0, 0]], [[142701830, 56993791, 9820508, 11169451], [51780751736/13, 15609716079/26, -9656823673/26, 1311617694/13], [5565371132/39, 2222757802/39, 382999585/39, 435608941/39], [-22/39, 1/26, -53/78, -1/39]], [[-5996353195531, 57308524452597/2, 1710492490427, -12902963403395/2], [-6434609303739103/26, 21350074716177533/26, 704955455695428/13, -4675690997984843/26], [-233857755992834/39, 2235032300071783/78, 22236414559301/13, -503215576963405/78], [4547125/78, -15006125/78, 697000/39, 2159125/78]]], 1, 32, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-2, -2, -1, 1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, -3, 1/2, 1], [8, 6, -3, 1], [0, -3, 1/2, 1], [0, 0, 0, 0]], [[192222, -405855/2, -72845/2, 50410], [14135/2, -1380061/2, -134325/2, 415715/2], [576667/3, -405863/2, -218545/6, 50418], [5/6, -1/2, -5/6, 1/6]], [[-144398569173, -262074145991, 31684161734, 57396913226], [1195879250161, 3504403533903/2, -260311241457, -385119828962], [-433189825447/3, -786213057464/3, 95051632846/3, 172188383956/3], [-1466263/3, -1682529/2, 350099/3, 543530/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, -5, 1, 3/2], [48, -36, 4, 15], [-5, -5, 1, 3/2], [0, 0, 0, 0]], [[-1184961, -560449, 1342641/2, -168275], [200804173/13, -277750689/26, -184731085/26, 3488323/13], [-46213903/39, -7285916/13, 52362949/78, -2187427/13], [-31/39, -11/26, -67/78, -2/39]], [[362917787088, -1827455238867/2, -130012350647, 447369389819/2], [-485361018099391/26, 387564302307762/13, 52619497682537/13, -84815939277239/13], [14154129602473/39, -23757364662469/26, -1690169337277/13, 17447657295151/78], [55398389/78, -19846062/13, -4763887/39, 12377785/39]]], 1, 32, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[14, 54, -1, -13]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-13, 3, 3/2, 1/2], [-24, -8, -4, 1], [-13, 3, 3/2, 1/2], [0, 0, 0, 0]], [[-114555404, 172179637, 24981567, -75468353/2], [-164948090, 245933579, 36520819, -53598983], [-114555406, 516538877/3, 24981565, -75468349/2], [8/3, -5/3, 2/3, 1/3]], [[534540872080638, -1012868744215339, -115799028833168, 443263687425041/2], [660185296805530, -1612754192121100, -144895740339419, 702701659568845/2], [534539638697766, -1012870557346999, -115798740104189, 1329793441611541/6], [707882546/3, 1142191762/3, -64066879, -160595221/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-11, 6, 1/2, 2], [-44, 78, -8, 36], [-11, 6, 1/2, 2], [0, 0, 0, 0]], [[6213053407, -771964357, 1269833239/2, 241830007/2], [49656854281/13, -700556253199/13, 832198388877/26, 334390211593/26], [80769694761/13, -30106610821/39, 49523497483/78, 9431370491/78], [85/39, -25/39, 73/78, 1/26]], [[-41748734958572873422, -57831152999996977145, 5141635618309480624, 30965408553766723645/2], [1286172332762483850189/13, 2038051370967977009045/13, -1981988108692771643415/26, 108411787565519271779/13], [-1628200670750973768128/39, -751804992453095335255/13, 200523788530005619036/39, 402550313628594747855/26], [-563412340175/39, -274660956355/13, -7260307055/78, 262990834430/39]]], 0, 16384, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-4, 8, 6, -4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, 13, -3/2, 5/2], [0, 4, -5, -11], [-5, 13, -3/2, 5/2], [0, 0, 0, 0]], [[2387985471, -225404144, -522032511, 55373409], [-687944699, -2928446395/2, 136083227, 615694799/2], [7163956414/3, -676212433/3, -522032514, 166120228/3], [-1/3, -5/6, -2/3, 1/6]], [[-2216029454493032, 2418188918766854, 970812193635103/2, -1059832971861789/2], [18981269902746, 1325261289770109/2, -3726996306996, -145528945100358], [-2216029453545657, 2418188917912494, 970812192951615/2, -1059832971368465/2], [286518, 198697/2, -90418, -9964]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[11, 5, 3/2, 1/2], [38, 32, 14, 3], [11, 5, 3/2, 1/2], [0, 0, 0, 0]], [[-41653709, -1620724, -12904959, 5459931], [-1995842764/13, -1641802927/26, -790697601/26, 330346773/26], [-1624493440/39, -63208531/39, -503293762/39, 70979131/13], [76/39, 5/78, -15/26, 1/78]], [[-583365412379449, -443106362308787, -570690946982457/2, 549909934572387/2], [-33313648847163762/13, -31288154206635597/13, -3641476356940401/13, 10767218131789005/13], [-22751233629684413/39, -17281144550900105/39, -22256958041122819/78, 7148829114943771/26], [1158462158/39, 541140215/39, -118868323/13, -75638003/39]]], 0, 768, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-4, 8, 6, -4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 5, -11/2, -1/2], [4, 2, -9, -6], [5, 5, -11/2, -1/2], [0, 0, 0, 0]], [[15023, -266362, -2632, 57822], [-72191, 252621/2, 13550, -28174], [45068/3, -266360, -7888/3, 57823], [-1/3, 1/2, -2/3, -2/3]], [[1071702286, 2426318947, -471363973/2, -1063126005/2], [133851403, -915863625/2, -28875179, 100152940], [3215042591/3, 7278849481/3, -1414062427/6, -3189331381/6], [17261/3, 9915/2, -4345/3, -3028/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5, 9, -5/2, 3/2], [-52, 66, -23, 11], [5, 9, -5/2, 3/2], [0, 0, 0, 0]], [[27306125923, 66414994, -418278251, -23886738], [7997990314222/13, -26497300287683/26, -2535687576425/26, 2789381866463/13], [1064938912436/39, 863395760/13, -5437616446/13, -931582742/39], [-22/39, -25/26, -79/78, -1/39]], [[212351259185128236692, -107566733134059860522, -103491947053243008465/2, 51810714256528014471/2], [78702136892455178340340/13, -245104201330246853217709/26, -17922912307046734126038/13, 27175155639462191541356/13], [8281699124005369066789/39, -4195102582830401847023/39, -4036185944898151695103/78, 673539284362020887171/26], [-250282375660/39, -267860544881/78, 26192676046/13, 19499718964/39]]], 0, 768, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[0, 0, -4, 2]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, 5, -3, 2], [10, -2, -3, 2], [-3, 5, -3, 2], [0, 0, 0, 0]], [[-453917, -1450271/2, -1254351/2, -229093], [27291071/2, 39883073/2, -3636032, -4692759], [-1361726/3, -4350833/6, -3763169/6, -229086], [1/6, 1/6, -2/3, 1/3]], [[-35339012078, -90275887621/2, 7735410479, 19710821567/2], [1228436350173/2, 918155278744, -134677751444, -201307646942], [-106017042877/3, -270827755865/6, 23206199171/3, 19710838649/2], [-15841/6, 31609/3, 73, -6205/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, 0, -5/2, 3/2], [30, 2, -20, 15], [-4, 0, -5/2, 3/2], [0, 0, 0, 0]], [[81304812, -8672065/2, 29097029/2, -8443428], [-4171643181/26, 271749487/13, -6169221958/13, -5412464882/13], [1056962497/13, -338211373/78, 1134784939/78, -329293547/39], [1/26, -12/13, -14/39, -2/39]], [[-63616410425922, -28294989028788, -8562710382813/2, 29277912496161/2], [5083097298053351/13, 3045517592952091/13, -2621277389732923/13, 182234512705052/13], [-827013302507836/13, -367834764081828/13, -111315310173229/26, 380612847423641/26], [3571141/13, 10660615/13, -1542863/13, -1888530/13]]], 1, 96, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[0, 0, -4, 2]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, -1, -7/2, -1/2], [-10, 2, 0, 5], [-5, -1, -7/2, -1/2], [0, 0, 0, 0]], [[-38072578, 32540889/2, 43044501/2, 1234514], [-106129125/2, 130614789/2, 442513/2, -25831636], [-38072591, 97622663/6, 129133693/6, 3703555/3], [-1/2, 1/2, -1/6, -2/3]], [[2790244958668, 5597284395248, -1208161963751/2, -2462521896131/2], [2162563765846, 6371377256322, -435610617528, -1413782879298], [8370733850660/3, 16791851790992/3, -1208161703271/2, -7387565238473/6], [214304/3, 134976, -13024, -30784]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[2, 4, -7/2, 1/2], [94, 26, -23, 5], [2, 4, -7/2, 1/2], [0, 0, 0, 0]], [[3778273, 1289273/2, -169655, -48015/2], [1503267797/26, 5277870543/26, -1154437095/13, -2104673023/26], [147352930/39, 50281531/78, -6616699/39, -1872577/78], [15/26, -1/78, -2/39, 5/78]], [[21574310555826, 105210538300706, 12635763779192, -30782584926366], [26678591015919792/13, 20227450341675462/13, -5893538316435385/13, -5321957256078148/13], [280466760843578/13, 4103215647880994/39, 492791215922128/39, -1200520433240974/39], [60356780/13, 183998210/13, -125913040/39, -76992850/39]]], 1, 96, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[40, 68, -12, -14]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, 1, 15/2, 5/2], [-50, 16, 49, 16], [3, 1, 15/2, 5/2], [0, 0, 0, 0]], [[-1071541, -3488056, 8483395/2, 4571325/2], [-20961813, 14562649, 49428273/2, 6775095], [-3214651/3, -10464181/3, 8483415/2, 13713967/6], [5/3, -1, 1/2, 0]], [[35166484139, 43661253845, -26025779349/2, -30738406143/2], [-49206165938, -30280695908, -45141455091, -14435410314], [105500220665/3, 130985105969/3, -26025779349/2, -92215986677/6], [-127270/3, -67106, 15041, 11570]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[25, 9, 13/2, 5/2], [290, 90, 127, 53], [25, 9, 13/2, 5/2], [0, 0, 0, 0]], [[206193809, -17608972, -181844963/2, 64295103/2], [33992373478/13, -4355254479/13, -15933465486/13, 6362783603/13], [8041554227/39, -228916091/13, -7091955713/78, 2507508683/78], [-58/13, 29/39, -14/39, -2/39]], [[235315272288339161, 50124297914859692, -551343221017268521/2, 201047112658692155/2], [3132693308821542996, 455123997756340760, -3929231732206278382, 3048584251290468687/2], [705945794387702003/3, 50124223217709457, -1654030588082495173/6, 603141762349768205/6], [-4262336030/3, -9226398800/3, -10938047945/3, 4068806305/2]]], 0, 49152, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[16, 32, 0, -8]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [2, -2, -9, 1], [-2, -10, -12, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-699418, 1035957, 302615/2, -451043/2], [-237772/3, 48904/3, 55055/3, -6569/3], [4/3, 7/3, 1/6, 1/2]], [[0, 0, 0, 0], [3571707712286, -10808276953477/2, -1565847941979/2, 1184677132461], [215955408766, -374752387200, -47315641492, 246419798518/3], [4841914/3, 97405/6, -660583/2, -15939]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [140, -6, -53, -15], [10, 0, 10, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-79193076117/13, 15593186509/26, 28296482529/26, -337608996/13], [-28627254184/39, -1456976176/13, 3748338743/39, 2285974157/39], [-17/39, -55/78, -25/78, 1/39]], [[0, 0, 0, 0], [1476060914970516/13, -1455466755747178/13, -305737565594247/13, 310549873214801/13], [164130085819402/13, -138380715042802/13, -30670399137409/13, 27909691890187/13], [75360/13, 44016/13, -16752/13, -14784/13]]], 0, 12288, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[0, 16, -8, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 8, -3, -3], [-2, -10, 9, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4135292, -20390261/2, 978287/2, 2631553], [-5762412, -14812195/3, 9093070/3, -72791/3], [-4/3, 5/6, 1/6, -1/3]], [[0, 0, 0, 0], [934111583296, 1711165299792, -197477834672, -378731894528], [2614159385276/3, 3384919311454/3, -645777615443/3, -707246983397/3], [495608/3, 4920, -111520/3, -1312/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-88, -34, 1, -11], [-2, 6, -2, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [135751358788/13, 537021808425/26, -22961938484/13, -111793151135/26], [-4429992000/13, 145363169/13, 1017091501/39, -692069462/39], [-8/13, -45/26, 1/13, -1/78]], [[0, 0, 0, 0], [3365462641577724678/13, 7343728887493177763/26, -1479086887887538037/26, -803293956519611691/13], [37730221080793240/39, -149110911046764555/13, -1632653796420056/13, 96282763175337229/39], [-294330196/13, -1266686989/78, 31479841/78, 219863218/39]]], 0, 12288, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-8, 4, 8, -4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, -4, -1, 5], [2, -3, 4, -5], [0, 0, 0, 0]], [[-1, 7/2, 4, -11/2], [-11651959/2, -5962143, 1943423/2, 1294549], [-2386925, 7994687/6, 2782178/3, -2066327/6], [-1/6, 2/3, 5/6, -2/3]], [[-189033, -554727/2, 39144, 122417/2], [2640178013973/2, 1440033948537, -289400586916, -631443770415/2], [428817038818, -1134740318485/6, -94032333098, 83006578649/2], [-309193/6, -278842/3, 33133/3, 122767/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-158, -8, 20, 28], [-1, -1, 2, 4], [0, 0, 0, 0]], [[20, 6, -8, -3], [53907452787/13, 379298473137/13, -21234274979/26, -167870916125/26], [-2486280656/39, 169455464/39, 759774857/39, -296250311/39], [-21/13, -35/39, -7/78, -1/78]], [[-46956, -503321/2, 16198, 102193/2], [-266384826160845/2, -198249774556731/2, -63269571626624, 65018859141762], [12092043444470/3, -6200125183075/6, -27352568752129/3, 24481089700339/6], [48811/6, 50953/2, -10507/3, -4942]]], 0, 1536, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-8, -12, 0, 4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, -8, 13, 3], [9, 4, -5, 4], [0, 0, 0, 0]], [[-1, 8, 10, -2], [65831898, -161203107/2, -22291947/2, 16094965], [77362374, -146483370, -66559507/3, 103621847/3], [2, 1/2, 1/2, -1/3]], [[140839, 543235/2, 130778, 40239/2], [-490806298773/2, 1342963279455, 49669674700, -587553854041/2], [-1309964305164, 2677933955239/6, 872181303436/3, -601190620205/6], [100599/2, 110659, -10060/3, -120719/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-226, -30, 61, -15], [-9, -3, 8, -2], [0, 0, 0, 0]], [[6, -1/2, -2, -3/2], [-38095728149/26, 26086270149/26, 3688880372/13, -2581485462/13], [-370893396/13, 246738001/78, -29101395/13, 253047611/78], [-7/26, -1/26, -19/39, 1/39]], [[-2073, -31095, -10365, 2073], [249436734824/13, 193343609510197/26, 351213376013/13, -42258139317929/26], [619365354414/13, 2565239267424/13, -111074443628/13, -576498131050/13], [22112/13, 97431/26, -20730/13, -38005/26]]], 0, 1536, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[96, 176, -16, -40]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-6, 32, -19, -7], [14, 8, -3, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-56843646, 99050783, 35305968, 4052208], [183308414/3, 52313848, -18775225/3, -30448271/3], [2, 5/3, -2/3, -2/3]], [[0, 0, 0, 0], [910033326531, -1170788050616, -1742711427719/2, 1066411123873/2], [-1129686146638/3, -50426520962/3, 486229336669/3, -115232196917/3], [-42385/3, 864, 70177/6, -22739/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [170, -12, -9, -9], [-6, 4, -7, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [668279474, 18741804, -99699311, -25942259], [-35611384, 19362284/3, 12481208/3, -23320/3], [8/3, -2/3, -4/3, 0]], [[0, 0, 0, 0], [-14739610671345/13, -20391439360138/13, -7627029809467/26, 15527034569781/26], [639685678674/13, 927714360020/13, 381764330101/13, -428239946099/13], [-84217/13, -43036/13, 171773/26, 20405/26]]], 0, 786432, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-16, 48, 16, -16]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, 10, -4, 6], [90, 38, -206, -86], [0, 0, 0, 0]], [[0, 0, 0, 0], [-974079, -2114567/2, 184001, 472957/2], [-2176868/3, 915637, 1071194/3, -265351/3], [-1/3, 7/6, -1/3, 1/2]], [[0, 0, 0, 0], [9937563028010, 31933168367375/2, -2180282937487, -6998850763545/2], [-1471846148340, 1989577864461, 320469452712, -435458110359], [-4598670, -3819525/2, 917829, 920115/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [122, 30, -16, -44], [4, -4, 2, 10], [0, 0, 0, 0]], [[0, 0, 0, 0], [5265401496/13, -166428805/26, -1372769730/13, 142144533/26], [587916254/39, -2570761/13, 4452768/13, -16946141/39], [-16/39, -17/26, -50/39, -5/78]], [[0, 0, 0, 0], [50514187128564700/13, -10190254295602898/13, -27729659087593646/13, 9959318020027790/13], [317452204162290/13, 384645857241182/13, 2992069233797738/13, -1494214235845286/13], [191601200/13, -197714300/13, -663704720/13, 318110800/13]]], 0, 196608, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[48, 80, -16, -16]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, 4, -10, 8], [4, -4, -6, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1822, -15671/2, 6512, 9387/2], [23672/3, -45680/3, 4424/3, 14716/3], [4/3, -1/6, -4/3, -1/2]], [[0, 0, 0, 0], [574149504, 791304367, -135407814, -169111387], [104581566, -83407736, -28529594, 20852632], [-94110, -151995, 24720, 31425]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [32, 2, 30, -16], [-18, 0, -4, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-23265837587/13, 3783202429/26, 8649384808/13, -6009480247/26], [28089880994/39, -135622384/39, -1878328826/13, 2492888156/39], [-19/39, 5/26, 10/13, 1/26]], [[0, 0, 0, 0], [178456658390808390/13, 267808779640688562/13, -30899951694196794/13, -62605948763687760/13], [-248465795352576536/39, -122403028870786972/13, 16766106049326858/13, 82589029212706814/39], [-2860760/39, 2452212/13, 18854528/39, -9386720/39]]], 0, 196608, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-24, -28, 8, 4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, -10, 6, -8], [-1, 2, 5, -4], [0, 0, 0, 0]], [[2, -1/2, -6, 5/2], [-21026451/2, -24954480, 8687827/2, 6215520], [2264228, 15476909/6, -78312, -929721/2], [-1/6, -1/3, 5/6, -1/3]], [[-1210, 5517, 185, -1168], [134176002625, 158380645418, -29443951156, -34737863719], [-53720816216/3, -31800495281, 11764455868/3, 20903927681/3], [1839, -2840/3, -1168/3, 605/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-206, -72, 472, 200], [-24, -10, 60, 26], [0, 0, 0, 0]], [[23, -43/2, 12, 7/2], [-6111205/26, 14890412/13, 46384409/26, -12228171/13], [769984/13, 22808779/78, 7432138/39, -3736587/26], [101/78, -55/39, 67/78, 2/39]], [[42105397, -48334006, -9162976, 10574794], [5177215176533/13, 11532630348565/26, -1012754476615/13, -2637781823669/26], [3530210466836/39, 2110762684919/13, -731073792220/39, -469098500701/13], [100072985/39, -80935007/26, -21730925/39, 53067749/78]]], 0, 24576, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-24, -28, 8, 4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, -8, 8, 2], [-9, 0, 1, -2], [0, 0, 0, 0]], [[2, 1/2, -11, 1/2], [9763/2, 7186, 551/2, -1391], [-51112/3, -150613/6, 10264/3, 31115/6], [1/6, -2, 1/6, -1/3]], [[4225908, -4721601, -1111554, 1126575], [-2788645109, -2052112636, 625639781, 442271906], [7245080590, 9552555957, -1581910010, -2096619699], [-1573867, 3151072, 375525, -704318]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [58, 42, -286, -104], [18, 5, -36, -13], [0, 0, 0, 0]], [[19, 47/2, 10, 3/2], [-4060671847/26, -652835428/13, 1128595081/26, 112873855/13], [56085286/13, -1266303/26, -1179614/39, -14061413/78], [83/78, 44/39, 9/26, 1/39]], [[-2735550, -7583100, 656700, 1568850], [271974740780530/13, 526686743884187/13, -629348391616348/13, 151161976880393/13], [29511321484985/13, -33914374941521/13, -59802160753501/13, 32390297412401/13], [-1623650/13, -5206075/13, 461900/13, 1056075/13]]], 0, 24576, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-64, 256, 32, -64]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 22, -22, -8], [12, 14, 6, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-3100806, 1235623, 4577451, 2388774], [5180740/3, 6951956/3, 3180820/3, -2656808/3], [-2/3, -1, 1/3, 0]], [[0, 0, 0, 0], [47952433358, -71623497284, -10375112865, 16584241670], [-40879429868/3, 30951605732, 12464383600/3, -7269463492], [-11906/3, 2112, 3485/3, -1882/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-536, -110, 34, -34], [-12, -16, 8, -4], [0, 0, 0, 0]], [[0, 0, 0, 0], [31758519179422/13, -69875472725027/13, -7766201789131/13, 15062349993562/13], [-490770340932/13, 149901352790/39, 15362356726/39, 13606949932/39], [-166/39, -59/39, 11/39, -4/39]], [[0, 0, 0, 0], [215381062569873492402/13, -647052813990236319615/13, -33131127124592549160/13, 132521780994385855246/13], [-10214871631758785048/13, 1335370689447820034/39, 11049913889349411270/13, -13089505952440833532/39], [-1708559630/39, -1631554219/39, -470805748/39, 628956646/39]]], 0, 12582912, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[6, 14, -5, -1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[20, 8, 2, 2], [22, 0, 29, 16], [20, 8, 2, 2], [0, 0, 0, 0]], [[-25799940, -26327740, 5311017, 11811901/2], [-40390817, -35163887, 8649774, 7676186], [-77399822/3, -26327743, 5311021, 35435681/6], [-1, -5/3, 2/3, -2/3]], [[3470751565241000, 5552216318339360, -761051693105006, -2434056993609963/2], [5050799691702127, 8251054610616179, -1106987440896551, -3617301809366861/2], [10412255381070670/3, 16656649516745309/3, -2283155195239015/3, -7302171223956815/6], [567406063/3, 264046097, -115102190/3, -344484763/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[10, -8, -1, -2], [-168, -86, -8, -37], [10, -8, -1, -2], [0, 0, 0, 0]], [[-22133810693, 1254530874, 412752461/2, -283550622], [11517395354489/13, 13463059872193/13, -6994202720433/26, -3178885014025/13], [-863218618387/39, 48926702276/39, 16097351753/78, -11058474113/39], [7/13, 29/39, -31/26, -2/39]], [[15980084696803428966, -66324677311345320275, -3755287908279290309, 14673381597813893952], [9225229007321631118288/13, 21793455842211337502815/13, -4090931291844207354617/26, -4762013332370847119302/13], [623223300876269336072/39, -2586662414239958814634/39, -48818742581561882814/13, 572261882028547107586/39], [37637605774/39, -17233582193/39, -7404869665/26, 1741034206/13]]], 0, 4096, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[6, 14, -5, -1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-15, -14, -3/2, -2], [-24, -8, -22, -25], [-15, -14, -3/2, -2], [0, 0, 0, 0]], [[24784441, 7097712, -14195439/2, -7289541/2], [66262038, -11075191, -48322787/2, -17126389/2], [74353325/3, 7097713, -14195437/2, -21868639/6], [2/3, 1, -1/6, -5/6]], [[-5575750657913, -3977084853279, 2435049464603/2, 876745349403], [-12774353436983, -3160257830421, 2777910605196, 1435045292557/2], [-16727252732653/3, -3977084950672, 7305148633679/6, 876745379748], [-177157, -683485/3, 107797/3, 103751/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-16, 5, -2, -3/2], [-268, 40, -50, -20], [-16, 5, -2, -3/2], [0, 0, 0, 0]], [[-72800798487, 11694449619, -2549433041/2, 448725785], [-16170145692254/13, -108398835431/13, -1450870348913/26, 1306633024987/26], [-2839231141207/39, 456083539978/39, -99427890515/78, 5833435238/13], [2/13, -79/39, 31/78, -1/26]], [[-903631001156779253252, -1546562268006654748312, 204746533036325361956, 674160236673556593443/2], [-228701821156709884161222/13, -382359125415192969956949/13, 103511236342666123367511/26, 83375854443177015745686/13], [-35241609004282581900838/39, -20105309466281933551901/13, 7985114780095308180659/39, 8764083068648765278459/26], [-632298335350/39, -271552030715/13, 256434861275/78, 185950118050/39]]], 0, 4096, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[2, 2, -3, 1]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-4, -4, 1, 5/2], [-4, 10, 13, -25], [-4, -4, 1, 5/2], [0, 0, 0, 0]], [[118893572, 218803201/2, -26499010, -48218391/2], [-107975347/2, 21376938, 33862635/2, -7430713/2], [356680738/3, 218803203/2, -79497068/3, -144655187/6], [1/2, 1/3, 1/6, 1/6]], [[-91281172437369, -111942499260521, 20027059961452, 24530772070216], [28408314317668, 11350946717817/2, -13077053239699/2, -1076893630293], [-91281173976367, -111942499805101, 20027060971536, 73592315481806/3], [-1438288/3, -3057481/6, 267441/2, 100710]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[7, -3, -3/2, -1], [-186, -34, -16, -13], [7, -3, -3/2, -1], [0, 0, 0, 0]], [[-9862903041, -259008404, 70043887, 182820662], [5348583296226/13, 7757014660789/26, -1455866568564/13, -1035551541723/13], [-384653218829/39, -10101325564/39, 2731711859/39, 2376668610/13], [-4/39, 49/78, 7/39, 1/39]], [[-54288042774871421, -186146828888920769/2, 14611924862934017, 38532476325687639/2], [78419343551798415997/26, 125100883934541623951/26, -17331428265155770163/26, -27261489127157745541/26], [-2117233660135961473/39, -7259726305001134349/78, 569865068694915809/39, 1502766571007995931/78], [189805945/78, 83938719/26, -9452857/26, -64255829/78]]], 1, 64, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[4, 8, -14, 4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-23, -7, -15/2, -5/2], [2, -24, -25, -7], [-23, -7, -15/2, -5/2], [0, 0, 0, 0]], [[412491740, -383403918, -160056167, 132430016], [-109487505, 288558245, 200474925/2, -122220667/2], [1237475260/3, -1150211696/3, -480168526/3, 132430003], [-5/3, -1, -1/2, -5/6]], [[168087705691730, -75261120089055, -54559330067745/2, 24167255645595/2], [5460576025087, 149424169444136, -4965849189998, -61673612362733/2], [168087715155695, -75261106918175, -54559335777905/2, 24167250508535/2], [-1492665, -1734930, 244870, 825785/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-15, -9, 5/2, 1/2], [-274, -28, -3, 1], [-15, -9, 5/2, 1/2], [0, 0, 0, 0]], [[92666585043, -4597113781, 867675549, -746427860], [32322712879228/13, -20016657006141/13, -17066700780985/26, 14126115144067/26], [3613996820818/39, -179287434208/39, 33839347585/39, -9703562238/13], [-24/13, -53/39, -73/78, -1/26]], [[-1040885607318381039164, -48420901427922061605, 194470332993484657907/2, 138592457716246149591/2], [-27004769988910297291585, 14273932971867293280168, 8698472822573643109556, -8959187287957821790335/2], [-1040885608701746543329, -145262707563817051763/3, 583410999983436752317/6, 415777374894150510497/6], [25623872289, 18911947152, -6261810728/3, -32927731033/6]]], 0, 12288, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[4, 8, -14, 4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-5, 13, 3/2, 3/2], [-12, -6, 26, -2], [-5, 13, 3/2, 3/2], [0, 0, 0, 0]], [[165389686, -333051835, -42580643/2, 146883395/2], [-26662218, 118676973, -9769675/2, -8497876], [165389683, -999155521/3, -127741919/6, 146883401/2], [0, 1, 1/6, 0]], [[-4824149649562, -947132327095, 1019098770633, 223538553568], [3560482770678, 3611813364845, -660216363730, -851672416572], [-14472449901938/3, -2841398379374/3, 1019098847073, 223538651905], [49718, 195649/3, -10212, -14703]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-17, -15, -5/2, -5/2], [-248, -42, -34, -6], [-17, -15, -5/2, -5/2], [0, 0, 0, 0]], [[-3438475618620, 43036911958, 84466875433/2, 34212573547/2], [-1035466066852761/13, 819204031251636/13, 244810345120786/13, -213841427963898/13], [-44700183043093/13, 1678439564155/39, 1098069380715/26, 1334290368511/78], [19/13, 12/13, 1/39, 2/39]], [[-2442627622370947860198, 214450106293541951207, 1018058287556858002148, -280133745079703215603], [-577168907203998551941860/13, 474002946801836623784918/13, 67833182143973318958000/13, -154073208755553727798231/26], [-95262477274313648409514/39, 2787851381356928743046/13, 13234757738306366589853/13, -10925216057726601220346/39], [34201540478/39, 7889712420/13, -2223009677/39, -14558696627/78]]], 0, 12288, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-4, 16, 2, -4]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -2, 1/2, 1/2], [4, 4, -12, -8], [-1, -2, 1/2, 1/2], [0, 0, 0, 0]], [[18, -3/2, -42, -11/2], [17/2, 9, -21/2, -13/2], [8/3, -1/2, -44/3, -23/6], [-5/6, 0, -1/6, -1/2]], [[-4295446, 7171812, 5179642, -3220220], [-2351182, -4424353, 489256, 1104070], [4666590, -7357384/3, -5458, 633128/3], [4573804/3, -3632299/3, -1299004/3, 963337/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[9, 0, 7/2, 3/2], [126, 6, 30, 7], [9, 0, 7/2, 3/2], [0, 0, 0, 0]], [[20890603137, -4163539983/2, 2111863467, 4752765045/2], [7410092814421/26, -514754533765/26, 93035424604/13, 203272582367/13], [271577840303/13, -54126020417/26, 82362675935/39, 61785945499/26], [-31/78, -23/78, 2/13, -1/39]], [[82437720267340784, -38893462591519656, -19718213864733878, 12549785014171360], [14387173715491399129/13, -6659251163302785122/13, -7861501863284220465/26, 2190922767433464634/13], [1071690362695883920/13, -1516845043620013160/39, -256336780849645194/13, 489441617110850240/39], [-9780851/13, -9654636/13, -30303889/78, 14973395/39]]], 1, 192, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[-16, 32, 24, -16]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-18, -12, 15, 5], [2, 0, 5, 5], [0, 0, 0, 0]], [[0, 0, 0, 0], [-169933, -95458, 820837/2, 391429/2], [-186764, -78104, 414278, 575608/3], [1/3, 2/3, 1/2, 1/2]], [[0, 0, 0, 0], [630948032, -1018438066, -313470187/2, 429022521/2], [-1029425764/3, 1686734182/3, 56554146, -395683736/3], [-10374, -32578/3, 18109/6, 11921/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [310, 10, 57, 15], [-4, 0, -10, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [24962076011875/13, -2139491170241/13, -4007903132984/13, 284295417100/13], [-582373560450/13, 47587466332/39, 7975567695/13, 16897597273/39], [83/39, 49/39, 40/39, 2/39]], [[0, 0, 0, 0], [-15031601608805028730161/13, -988243267199321646883/13, 7261163805539664137875/26, 129731148799173976647/26], [1153730895723182629256/39, 124759358390432757526/39, -109512436850092817222/13, 6587650216564078652/39], [-69917045147/39, -41233714199/39, 42534528865/78, 13348709693/78]]], 0, 196608, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[32, 48, -16, -8]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [16, -8, 6, -2], [-2, 2, 3, -3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-1214476, -425211, 569457/2, 173611/2], [33624, -9190, -14156/3, -10912/3], [4/3, -1/3, 1/2, 5/6]], [[0, 0, 0, 0], [6231035416070, 7978041162942, -1369106983607, -1747560773919], [-377247261050/3, -124836807860, 78774622241/3, 84207367789/3], [-22880060/3, -8827690, 5180510/3, 1886690]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [34, -24, 9, -19], [26, 4, -1, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [578136848119/13, -418410659435/13, -523941145034/13, 195991034314/13], [654428350156/39, 25329590486/39, 459660290/13, 5533858482/13], [-35/39, -19/13, 19/39, -1/39]], [[0, 0, 0, 0], [-5629938163651627752874/13, 10650631241494833995460/13, 1394707697394008103889/26, -4113330544161079164515/26], [-1328917139329369771080/13, 5325163461923561135406/13, 310468338089208217908/13, -1186213393525964530086/13], [-155004823854/13, -90771373440/13, 94296975795/26, 29261728683/26]]], 0, 196608, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[8, 0, 0, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [10, 8, 2, 2], [8, 5, 5, 4], [0, 0, 0, 0]], [[6, 4, -15, -12], [-40564337, 52018337, 14975905/2, -20368895/2], [-45703936, 182439430/3, 8721262, -35738210/3], [-1/3, 1/3, -1/6, -5/6]], [[-70821, -262971/2, -7137, 71919/2], [-1477888787723/2, 79674510458, 169655299907, -41884584841/2], [-753373907038, 459838294557/2, 173473562812, -108273251727/2], [-52155/2, -35319, 2928, 17751/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [32, 10, -85, -81], [4, 1, -11, -10], [0, 0, 0, 0]], [[14, 4, -7, -4], [-32483/13, 30363/13, 2677/26, -15615/26], [-4016/13, 11485/39, 138/13, -1037/13], [-29/39, -19/39, -61/78, -5/78]], [[71114215, 39186405/2, -25174020, 2001559/2], [-377557560819/26, 139327570125/13, 109465231341/26, -36164877166/13], [-69703802552/39, 104357874671/78, 19227521023/39, -26040517519/78], [-203649801/26, -135696872/39, 104937619/26, -8699423/39]]], 0, 3072, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[0, 64, -32, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [16, -2, 4, -50], [16, -22, -6, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [5015932568, -12376896893, -1188443746, 2687169475], [26756301476/3, -13407797984/3, -5941002268/3, 2914023316/3], [4/3, 1/3, -4/3, -1]], [[0, 0, 0, 0], [-16857566940497, 462017352643615, 3521244541666, -101207649730499], [-1233812491282184/3, -181912782177522, 90122241910492, 119688406739066/3], [-140987/3, -32879, 45122/3, 14707/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-320, -4, 280, 86], [24, 4, -58, -18], [0, 0, 0, 0]], [[0, 0, 0, 0], [-506122975698/13, 1256226695993/13, 107677495338/13, -275256678066/13], [19645044632/39, 1435366358/39, -198565418/39, -1282920260/39], [-6/13, 29/39, -22/13, -2/39]], [[0, 0, 0, 0], [5607348412150033929/13, 47654933529821499108/13, -1233242642054899972/13, -10446055802536468924/13], [492481244042689620/13, 1622387756985716290/39, -317938151688712472/39, -119294194889430562/13], [-818718775/13, -554120978/13, 451782352/39, 129354148/13]]], 0, 3145728, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[0, 64, -32, 0]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [28, -20, -34, 30], [16, -4, -6, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [25272, -142984, -7015, 31306], [43264/3, -442802/3, -8422/3, 97400/3], [0, -2/3, -1, -4/3]], [[0, 0, 0, 0], [-579064486491, 380818550727, 126792550298, -83415397715], [-585143152488, 298578539482, 128291101068, -65461156254], [-4881415, -2608309, 1296482, 460009]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [444, 52, -360, -252], [-28, -12, 74, 50], [0, 0, 0, 0]], [[0, 0, 0, 0], [73256795529511/13, -151818320177142/13, -14714004097240/13, 33096772625008/13], [-3175021236208/39, -37688848108/13, 13191720040/13, 13928338304/13], [-23/39, -20/39, -2/39, -4/39]], [[0, 0, 0, 0], [-188189991393109565516/13, 342593349140805108254/13, 41507670532028906812/13, -75229740956608873500/13], [2235061025726020084/13, -754955640356341902/13, -522734791380675264/13, 182411381811459578/13], [14108944/13, 9316824/13, -2485508/13, -2263740/13]]], 0, 3145728, [], [] >,
< [ 2, 0, -5, 0, 1 ], [[8, 24, 8, -8]], [ 2, -1, -5, 2 ], [ -3, 0, 0, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, 6, 4, -4], [-6, 1, -8, -1], [0, 0, 0, 0]], [[1, 7/2, -2, -1/2], [-40570491/2, 1939213/2, 4874657/2, 1159883/2], [-119353172/3, -132819827/6, 29989514/3, 7576971/2], [7/6, 1/6, -1/6, -1/6]], [[-11518, -65013/2, 3562, 7839/2], [376659247433/2, 119684256048, -71680701167/2, -29500571204], [423539703867, 893927096601/2, -303590773663/3, -577934181821/6], [-21671/2, -8411, 2613/2, 5759/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-66, -100, 474, 310], [-26, -13, 58, 39], [0, 0, 0, 0]], [[30, 65/2, 10, 3/2], [28649821432885/26, 112922090398435/26, -4979461317365/26, -24476209766129/26], [1838389005446/39, 142266940333/78, -48985932746/13, 50117503589/78], [131/78, 119/78, 7/26, 1/26]], [[2619769109, 2219045963, 51181839, -723264717], [586873796493361717488/13, 9225274184936400177477/26, -235229710848966691194/13, -1919560582919038522199/26], [200767509628020453307/39, -65979167038864483364/39, -95339960101707868699/39, 39045492497052236398/39], [5104952378/39, 7914215047/78, 293137042/13, -3427284149/78]]], 0, 49152, [], [] >,
< [ 3, 3, -5, -1, 1 ], [[3, -1, -1, 0]], [ 9, 13, -11, -6 ], [ 0, 10, -4, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-39, -49/2, -75, -5/2], [-294/11, -105/11, -1679/22, -311/22], [43/4, 14, 5, -9], [-13/22, -53/132, -151/132, -5/132]], [[-3552941371/2, 2748245523/2, 1058671211/2, -660301197/2], [-34694286765/22, 26743311145/22, 10378266521/22, -3200859699/11], [440268611/2, -346947507/2, -64440230, 84769221/2], [-290179383/11, 448927893/22, 173011701/22, -53910027/11]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[455, 617/2, 951, 1], [-849/11, -942/11, -2859/22, 849/22], [-6869/28, -1354/7, -15459/28, 183/14], [145/154, 307/462, 475/231, 5/924]], [[-98140787082287/2, 88418908950633/2, 11649776684310, -12292042967522], [147089445135891/22, -61221682113212/11, -38409366134319/22, 32418926636033/22], [369432486094075/14, -334094956715511/14, -43503968349861/7, 46620169075243/7], [-7884945945837/77, 7141550859858/77, 1856238927456/77, -1993194064629/77]]], 4, 8, [], [] >,
< [ 3, 3, -5, -1, 1 ], [[-48, 16, 16, 0]], [ 9, 13, -11, -6 ], [ 0, 10, -4, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, -10, 0, 0], [-8, -6, -2, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-11144, -19303, 6554, 5403], [3153, -4329/2, -17941/2, 1802], [-3/2, 0, 1/2, 0]], [[0, 0, 0, 0], [32407880110/11, -25091395122/11, -9137313210/11, 6283303460/11], [4192148032, -3156805080, -1245859384, 759763784], [-51087216/11, 118674448/33, 45069632/33, -28799072/33]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-8, -6, -10, -6], [-132, -10, -6, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-17965220538/11, 4417389902/11, -10874948114/11, -24972836729/11], [-230203668705/14, 98082410781/7, -364450061823/14, 116272515761/14], [116/77, -124/231, 1751/462, 2/231]], [[0, 0, 0, 0], [1707764487970599476435/11, -1325839278733521394448/11, -490418411225270119038/11, 327920196448808535074/11], [21033425224555660028762/7, -32468604859419563154647/14, -6171663002753775004287/7, 7889245177146100015691/14], [-40855762772325/154, 31528633597605/154, 11896645683105/154, -7707691831815/154]]], 0, 391680, [], [] >,
< [ 3, 3, -5, -1, 1 ], [[9, -7, -2, 2]], [ 9, 13, -11, -6 ], [ 0, 10, -4, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[33/2, 101/2, 47, 2], [-179/11, -588/11, -1093/22, 157/22], [6, 123/4, 97/2, 35/4], [15/44, 185/132, 217/132, 5/132]], [[-75099225851/2, 58039717207/2, 11026895287, -7048194828], [1014733134575/22, -392230980994/11, -298023826481/22, 190503210367/22], [-72248233691/2, 55847725047/2, 10608575267, -6782077448], [-10522727480/11, 24391764700/33, 9268993160/33, -5924344100/33]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[340, 72, 145/2, -5/2], [-374, -96, -145/2, -3], [-2579/4, -477/4, -503/4, -19/4], [-5/4, -1/4, -1/4, 0]], [[-8644464750323, 13149990685921/2, 2554527057920, -1592779173238], [201735652936659/22, -153230960227291/22, -29810854686160/11, 18544728745360/11], [231087992037449/14, -87912617154884/7, -68279847712869/14, 42584079726915/14], [4899639855679/154, -11182365434057/462, -4343159806123/462, 1354314568205/231]]], 1, 24, [], [] >,
< [ 3, 3, -5, -1, 1 ], [[-144, 112, 32, -32]], [ 9, 13, -11, -6 ], [ 0, 10, -4, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4, -8, 4, 4], [-2, 8, 18, 8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7742, 295, 11381, -4503], [-38017/2, -53317/2, 60895/2, -15215/2], [-1/2, 5/2, -1/2, 0]], [[0, 0, 0, 0], [2531266714430/11, -1957127422894/11, -743805168467/11, 475252003659/11], [-467178331181, 358298549175, 273858683189/2, -87083974129], [1502921045/11, -6961480085/66, -2647663165/66, 845471315/33]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 6, 10, 0], [248, 8, 0, 6], [0, 0, 0, 0]], [[0, 0, 0, 0], [92161595331/11, -5671485397/11, 7143989954/11, -58093680/11], [-9901181693607/14, 4625933306684/7, 1648534604788/7, -1126825917766/7], [48/77, -1093/462, 313/462, -1/462]], [[0, 0, 0, 0], [13612115711019260167/11, -10915170128891656862/11, -3960282302361411047/11, 2680808643968574858/11], [-1928986454151711838931/14, 1487880669938451363517/14, 283421009238548201186/7, -180564303139752664042/7], [47480598169/154, -54058744235/231, -42105547949/462, 26149621283/462]]], 0, 1566720, [], [] >,
< [ 3, 3, -5, -1, 1 ], [[-12, 9, 4, -2]], [ 9, 13, -11, -6 ], [ 0, 10, -4, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-38, 3/2, -5, -4], [463/11, 1899/22, -993/11, -622/11], [14, 13/4, -5/2, -21/4], [-71/44, -1/44, -7/44, -3/44]], [[610116925/2, -390346029/2, -163699575/2, 96840453/2], [4153340931/22, -2693543419/22, -725794771/22, 409595947/11], [-183558293/2, 64808307, 49312683/2, -28373979/2], [276500355/22, -177758337/22, -37018557/11, 21769113/11]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[119, 155/2, 180, 5/2], [-930/11, -670/11, -587/11, 190/11], [-6677/28, -989/7, -8773/28, 73/14], [127/154, 38/77, 90/77, 5/308]], [[-26502794235/2, 8305246654, 2563462973, -2844710461], [80357061363/11, -90716285941/22, -39607817973/22, 27158206211/22], [365272340875/14, -114363987294/7, -37927571249/7, 37735569217/7], [-7061973400/77, 4460462992/77, 1406730484/77, -1499732928/77]]], 1, 24, [], [] >,
< [ 3, 3, -5, -1, 1 ], [[192, -144, -64, 32]], [ 9, 13, -11, -6 ], [ 0, 10, -4, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 4, -6, -6], [-10, 6, 4, -8], [0, 0, 0, 0]], [[0, 0, 0, 0], [-19165288/11, 440948055/11, 106360207/11, -91408191/11], [-57040995/2, 81804725/2, 48326415/2, -26578225/2], [3/22, -17/22, 13/22, 2/11]], [[0, 0, 0, 0], [-13348324335191/11, 3627459053370/11, 3307346793924/11, -1049097467886/11], [-2218869327334, 2605187682307/2, 609931604097, -650124832081/2], [763337/22, -677925/22, -238027/22, 162309/22]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-10, 4, -2, 4], [120, 8, 6, 2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-16293265005/11, 7706897925/11, -5220048299/11, 3586856496/11], [258233660495/7, 241827917395/7, -17473535833/7, -102755819059/14], [-30/77, 170/77, -601/154, -3/154]], [[0, 0, 0, 0], [-7087349460595933310/11, 4225582006825027202/11, 1957060115526387611/11, -1082301203711032101/11], [61168679167574428188/7, 18463008206037555394/7, -24628126033291583329/14, -2895394065169253442/7], [-79924334132/77, 40759158515/154, 44854257115/154, -4984078905/77]]], 0, 1566720, [], [] >,
< [ 3, 3, -5, -1, 1 ], [[3, 0, 0, 0]], [ 9, 13, -11, -6 ], [ 0, 10, -4, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-19/2, -1, -5/2, -1/2], [85/22, -291/22, -254/11, -345/22], [35/4, 37, -23/4, -5/2], [-5/11, -12/11, -3/22, -1/44]], [[1647924424, -1271092976, -485034212, 308396236], [-25221337225/22, 10100430039/11, 3638830871/11, -5012653769/22], [9202531981/4, -7147147709/4, -2708453273/4, 434740606], [-901436865/44, 719560455/44, 65761335/11, -177259605/44]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-41/2, 2, -1, -5/2], [-2468/11, -2500/11, -1549/22, -53/11], [28351/14, 54871/28, 4038/7, 125/14], [-465/308, -445/308, -67/154, -1/77]], [[1001111748, -779107616, -298753112, 192764880], [118828396139/22, -48236200421/11, -34492252867/22, 23909232445/22], [-709968580963/14, 1144320546477/28, 416672568759/28, -284667272075/28], [11781577795/308, -2372901750/77, -1728646235/154, 2361252235/308]]], 1, 96, [], [] >,
< [ 3, 3, -5, -1, 1 ], [[48, 0, 0, 0]], [ 9, 13, -11, -6 ], [ 0, 10, -4, -4 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-2, 2, -8, 0], [4, -2, -2, 4], [0, 0, 0, 0]], [[0, 0, 0, 0], [-108787/11, -673316/11, -781647/11, -133745/11], [-16070, -10611/2, 101881/2, 66153/2], [-13/22, -20/11, 3/11, 1/22]], [[0, 0, 0, 0], [51785505308/11, -39878422888/11, -15213847104/11, 9678552940/11], [-3146865556, 2424569672, 925300650, -588284784], [6291194/11, -4866680/11, -1848574/11, 1181726/11]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [0, 8, 8, -2], [124, -10, 8, -2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9912927751/11, -61518422/11, 982854744/11, 420360969/11], [748589273153/14, -649214331473/14, -236528503535/14, 80299241095/7], [23/154, 229/154, 334/77, 5/154]], [[0, 0, 0, 0], [8074199339661817564/11, -6272583101979007536/11, -2371137214233874252/11, 1524736704260351470/11], [-423723091645538988552/7, 327834855688462942516/7, 124505193498305138744/7, -79597891680281955956/7], [-54316556736/77, 19884503808/77, 24223388800/77, -196129856/77]]], 0, 6266880, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[4, 8, 1, -1]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-211/2, 13/2, 2, 69/2], [975/17, -79/17, 350/17, -669/34], [-3/2, -2, 2, 2], [-115/51, -3/34, -73/34, -2/51]], [[662649400, 1139404191, -42858025/2, -276516485/2], [-12924095073/34, -21369100277/34, 1522678127/34, 1125167175/17], [11511549, 22440102, 1132818, -3114195], [840097876/51, 475536099/17, -18283735/17, -334671845/102]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9, 11/2, 101/2, 35/2], [-7/2, 51/2, 11, -25/2], [-3/2, -5/2, -1, 3/2], [0, 0, 0, 0]], [[-3508417/2, -1269857, 16317735/2, 1354403], [-11818773475/578, 43035744543/578, 14786268049/578, -9486991677/578], [-91666769/34, 6670955/34, -1181355/34, 6141453/34], [-6943/1734, -977/578, 1035/578, -5/1734]], [[-38332516446137/2, -44655582508889/2, 10335595804520, -47906821657965/2], [35978195299745691/578, 106978107713155671/578, 50061631903527999/578, -26786790459673905/578], [-530158008730194/17, -1187454918519665/17, -291909505163185/17, 465893872977215/34], [-16387224210/289, -31337745894/289, -836414838/289, 7547148441/578]]], 4, 4, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[-5, -4, 4, -1]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, 1/2, 3/2, -5/2], [-6, 9/2, 7/2, -3/2], [-3, 1/2, 3/2, -5/2], [0, 0, 0, 0]], [[3414615, 12555132, 1695807, -2053517], [3390077, 48117741/2, 8811629/2, -8330845/2], [6829617/2, 12555278, 1695825, -4107035/2], [9/2, 7/2, 1/2, 0]], [[242604772023/2, 430100028063/2, -39883579809/2, -20830034654], [5957872206873/34, 5781417273982/17, 318711409523/17, -1668635607525/34], [121306039616, 430114490407/2, -39883061461/2, -41662430491/2], [8733025/102, 5763257/34, 206287/34, -1426208/51]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[5/2, 5/2, 3/2, -2], [-29/2, -31/2, -33/2, 17], [5/2, 5/2, 3/2, -2], [0, 0, 0, 0]], [[-10423021/2, 13597833/2, 6536781/2, -1575686], [10451253952/289, -15357999321/289, -7335948510/289, 3587200751/289], [-88634587/17, 231211025/34, 111108241/34, -53573405/34], [2515/289, -3113/578, 1113/578, 1/578]], [[177722889417146411, 710052094234757935/2, 80885156600540871/2, -101055755945225535/2], [-315122600216363346767/289, -625161578074943133063/289, -70313507844866937522/289, 84528702603102708842/289], [6046815079516531733/34, 12079492321180020537/34, 1375809013689283053/34, -859894572618328879/17], [-820237777354831/1734, -555739811705303/578, -49809036059457/578, 178135283460578/867]]], 0, 960, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[-2, -4, -1, 1]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15/2, -9, -57/2, -5/2], [179/34, -123/17, -257/34, -66/17], [-3/2, -5/2, 2, -1/2], [19/34, -15/34, -4/17, -1/34]], [[5369, -58205/2, -105053/2, 49775/2], [-172595/17, -222473/17, 598777/34, -24177/17], [5781, 20445, 29469/2, -7191], [-26292/17, -53424/17, 6874/17, 5292/17]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3, -5/2, -35/2, -17/2], [225/2, -17/2, -2, 17/2], [-1/2, 3/2, 0, -1/2], [0, 0, 0, 0]], [[-144, 104, -266, -25], [2545557/578, -603486/289, 1823415/289, -80475/578], [-2326/17, 1652/17, -3616/17, -10/17], [-1163/578, 413/289, -904/289, -5/578]], [[95124989, 346225324, 413389429/2, -463770561/2], [-1655659377757/578, -6264372968271/578, -4340932181443/578, 1705352901428/289], [1317253996/17, 5544888116/17, 4211398768/17, -3306922154/17], [329313499/289, 1386222029/289, 1052849692/289, -1653461077/578]]], 1, 16, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[-19, -34, 2, 3]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[3/2, 1/2, -3/2, 0], [45/2, 19/2, 7/2, 4], [3/2, 1/2, -3/2, 0], [0, 0, 0, 0]], [[7180179/2, -9461955/2, -18494357/2, 3368454], [1495909847/34, -2141415899/34, -1196998365/34, 301970346/17], [7180355/2, -9461907/2, -18494385/2, 3368456], [166/17, 64/17, -18/17, 2/17]], [[40096452312, -48149591235, -183724940322, 64192865810], [4676374490325/34, 938156410979/34, -10350910505677/34, 1549628417859/17], [80193599941/2, -48148968231, -183724947588, 128385570677/2], [675548/17, 2465973/34, 20231/34, -339475/34]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9/2, -9/2, -3/2, 1], [117/2, 97/2, 23/2, -11], [-9/2, -9/2, -3/2, 1], [0, 0, 0, 0]], [[-7819, 20695/2, 283/2, -1387/2], [73628521/578, -92598873/578, -12418549/578, 5598030/289], [-180034/17, 331917/34, 9433/34, -23575/34], [-5085/578, -545/289, 123/289, 1/578]], [[-423080971571/2, -8449115054, 544563382176, -291473802663/2], [1616053079448911/578, 676510287843881/578, -3104233279400137/578, 427540835023406/289], [-4752833014956/17, -2156001008758/17, 9243184767542/17, -2469530655138/17], [-124846922255/578, -217601377565/578, -2227941155/578, 429392920/289]]], 0, 3840, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[-3, -8, -3, 2]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[137/2, 71/2, 251/2, 107/2], [-1009/17, -335/34, 313/17, 122/17], [-4, 1, 23/2, 5/2], [115/51, 10/17, 5/34, 2/51]], [[-2535518405/2, -3589803555, -147691503, 939108399/2], [13086358459/17, 78750732109/34, 8242944519/34, -6087696572/17], [16446919, 217899767/2, 168997205/2, -40810561], [-1632359083/51, -1589595747/17, -133553382/17, 702938113/51]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-9/2, -5, 10, 17/2], [-29, 40, 9/2, -21/2], [-2, -4, -1/2, 3/2], [0, 0, 0, 0]], [[111202833, 79514682, -94696505/2, -107358073/2], [2608325092120/289, -14026095085727/578, -2114300588434/289, 1367607659326/289], [3062121693/34, 117816600/17, -469677987/34, -62299001/17], [-781/289, 545/289, -123/289, -1/578]], [[256689679157075975/2, 431632719360290277, 331390137773145514, 41212166716629555/2], [-640188203600645159327/578, 1754301118030559177398/289, 914199214488816594675/578, -710354344845811820133/578], [1897873020350965192/17, 9846280780002513279/34, 1317908568690354486/17, -1601940524593385501/34], [-3333318676795/1734, -4719317080299/578, -2655220260587/578, 2225198780063/867]]], 1, 12, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[-4, -10, -6, 2]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7/2, 4, 5, 3/2], [1/2, 0, -7, 23/2], [-7/2, 4, 5, 3/2], [0, 0, 0, 0]], [[-624493, 939020, 350130, -194807], [-6000266/17, 18068317/17, 6154923/17, -3787083/17], [-624735, 938970, 350010, -194805], [-287/51, -22/17, -48/17, -1/51]], [[616353390275/2, 670253182236, 79963089562, -219069431025/2], [-1857451997537/34, -575932817613/34, 3106950829113/34, -445721121011/17], [308514083040, 670815524016, 79835721552, -109564326000], [802143815/102, 450251065/34, -93895285/34, -39308995/51]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1/2, 1, -2, -5/2], [-123/2, -16, 15, 47/2], [-1/2, 1, -2, -5/2], [0, 0, 0, 0]], [[553836761/2, -29485639, -8262188, 6146841/2], [7852234413242/289, 15991076396407/578, -734395029681/578, -2074062841663/578], [4707603970/17, -501213591/17, -140455434/17, 52248152/17], [1648/867, -5469/578, -207/578, 1/1734]], [[-2544085649207358993/2, -2649881489001481547, -374693744110821168, 906459867808351551/2], [-100785979427938987949171/578, -102437008464106895732061/289, -10514845065313990101388/289, 32602305134955243083637/578], [-43249519048931373981/34, -45048033645790242699/17, -6369774915942967056/17, 15409816707405573267/34], [6110004696400/867, 3116281543650/289, -1223661706850/289, 114875240150/867]]], 0, 2880, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[-3, -5, 1, 1]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-35/2, 85/2, 529/2, 247/2], [857/34, 1061/34, 1499/17, 1229/34], [-1, 5, 33/2, 13/2], [113/34, 31/17, 75/34, 3/34]], [[-459174961, -1134853159, -396569693/2, 412811451/2], [-24723437847/34, -60450639989/34, -9897794563/34, 5340501985/17], [-43300615, -96315695, -19614058, 18519774], [-1083302623/17, -2780748594/17, -547787994/17, 1037534849/34]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-7, 13, 61, 23], [-116, -81/2, -66, -19/2], [1, 9/2, 7, 1/2], [0, 0, 0, 0]], [[-6889084953/2, -3164103624, -1316118012, 1629192849/2], [351297906384, -1210443996671/2, -204890488486, 120258534129], [-6273089793/2, -246530185, 259890153/2, 89026262], [-5/2, -5/2, 1/2, 0]], [[52917855079183/2, 87121466600875/2, -11466987370900, -3093066771257], [-190898199215431889/289, -432356232745953151/289, -26462198429665132/289, 62449220645979833/289], [587779794247565/34, 545335653524967/17, -41474261337800/17, -114437621395929/34], [4496376/289, 10484473/289, 4820577/578, -5847009/578]]], 1, 48, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[-22, -50, -14, 8]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[13/2, 1, 1, 3/2], [23/2, 1, -1, -3/2], [13/2, 1, 1, 3/2], [0, 0, 0, 0]], [[-2711293, -4934470, -428224, 876910], [-4790746, -15522771/2, 1041495/2, 1542935/2], [-5422451/2, -4934635, -428229, 1753825/2], [15/2, -35/2, -5/2, 0]], [[-644890115317/2, -659782854410, -71021443812, 211937447843/2], [-9131873327133/17, -37502627172997/34, -4212422988283/34, 6080074026969/34], [-322444173539, -659780652452, -71021383152, 105968437303], [1734876/17, 8574291/34, 403389/34, -1167705/34]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, 4, -3, 0], [153, -23, 30, 5], [-3, 4, -3, 0], [0, 0, 0, 0]], [[-39707/2, -31258, 46635, -32835/2], [272031776/289, 672872974/289, -80381707/289, -20688432/289], [-589209/34, -453495/17, 814652/17, -558243/34], [4631/578, 4211/289, 1193/289, 5/578]], [[16624246703/2, 22432859401, 5607531309, -9058134871/2], [-172426079406251/289, -777686316157553/578, -111668433800407/578, 132461135289725/578], [114596029604/17, 328201229354/17, 89409978678/17, -68461971582/17], [-1442958921/289, -5743857219/578, -639449845/578, 921829599/578]]], 0, 11520, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[10, 21, 2, -3]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-5/2, 4, 59/2, 18], [-13/2, -2, 53/2, 15], [0, 0, 0, 0]], [[-28, -33/2, 0, 3/2], [-16704223/34, -47097537/34, 127988961/34, 82158249/34], [-288481/2, 2138957/2, 7122825/2, 3224011/2], [217/102, 22/17, 11/34, 1/51]], [[-22102719/2, -27376737/2, 49975527/2, -12680271/2], [-5228594394487/17, 4208159096336/17, 17207305620137/34, -6189049422065/34], [238786510675/2, 368732169966, 316608690329/2, -95998409986], [33932997/34, 28804029/34, -45476076/17, 12784707/17]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [349/2, 74, 1995/2, 481], [41/2, -8, -221/2, -53], [0, 0, 0, 0]], [[-1436, 515/2, 252, -5/2], [-993267583322646056/289, 4541365158611309469/578, 1485186611026632701/578, -453219671351513165/289], [-267994795860689/34, -9342519201427/34, 2665772277787/34, 1591014797683/34], [3905/867, -234/289, -457/578, 5/1734]], [[24111913623798, 82663485289385/2, -7199406068998, -5028949504007/2], [5297289675049756575050536753/578, 13974719567956797332963784359/578, 3717521328682499697686215859/578, -2908054888273713283102382973/578], [5048251466142690401432145/34, 8285573887058327797595231/34, -2099658518277867601792053/34, -445010934315324616302967/34], [-131232617311081/1734, -37423969426415/289, 13254754579495/578, 6691217415311/867]]], 0, 192, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[88, 184, 24, -32]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [38, -8, -173, -63], [9, 4, -27, -12], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7182382, 3903134, 253694, 4667519], [-5560441, 7634911, 3038303, -796301], [3, 11, 3, 0]], [[0, 0, 0, 0], [1682044623193777/34, -738233136712390/17, -345081261506724/17, 326497675236305/34], [35414887447909, -53522495860865, -19787489143317, 11022526465652], [-1812860027/102, -1140098597/17, -179901711/17, 1157342219/102]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [152, -41, -1, 2], [2, 5, 1, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [215446280832/289, -764238045921/289, -207720831594/289, 143009991844/289], [-84536005/17, -1298344/17, 6989443/17, -981162/17], [-10232/867, 2001/289, -371/289, -1/867]], [[0, 0, 0, 0], [19608509843526571049/578, 16409087807767908195/289, 817005334557757185/289, -4919352700465866509/578], [14439011704279093/17, 29572753527950863/17, 1966409164032353/17, -5860430980564884/17], [915771824765/578, 1011130554194/289, 168557937446/289, -406564888267/578]]], 0, 46080, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[-4, -13, -4, 3]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [25/2, -3/2, -121/2, -65/2], [23/2, -25/2, -163/2, -75/2], [0, 0, 0, 0]], [[150, 39/2, 12, -9/2], [216095145/34, -894899361/34, -327237037/34, 134040987/34], [4344673/2, 1189431/2, -5478221/2, -3077911/2], [-383/34, -30/17, -117/34, -2/17]], [[35545118375/2, -55376032075, -33152664675/2, 10793082300], [77370319776650765/34, -214888569127715421/34, -32386754214495788/17, 20866268233239122/17], [153553743188196, -1001194927484167/2, -147581136220609, 194166525047885/2], [-23844978625/17, 148268206775/34, 44701597525/34, -14499582825/17]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-173/2, 7/2, 579/2, 307/2], [13/2, -1/2, -65/2, -35/2], [0, 0, 0, 0]], [[-2543/2, -1411/2, 599/2, -5/2], [4530857197005/289, -15502414772040/289, -9381637421009/578, 6104716409955/578], [4923986351/34, 87594089/17, 1556727727/34, -342826424/17], [-2835/578, -1577/578, 332/289, -1/289]], [[217452875, 5611228096, 1871717333, -1471721058], [14180716959427701177/289, -35521190465753231257/289, -12303185510826295785/289, 7359563650386992487/289], [-562738900768510/17, -11411400573344207/17, 4287459419652668/17, -64090435568623/17], [244389728/289, 6253133381/289, 2083374065/289, -1630315388/289]]], 0, 768, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[8, 40, 40, -16]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [13, 9, -10, -2], [8, 5, -10, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-28416305/34, -23467415/17, 32432629/17, -8415065/34], [-750777, -349592, 2366886, -532980], [61/34, 5/17, 31/17, -5/34]], [[0, 0, 0, 0], [-1356495001014/17, -4113353730109/17, -347049297618/17, 610299545021/17], [-50129168813, -129909877565, -413718210, 16156877018], [4334350/17, 2711700/17, -172500/17, -378350/17]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [214, 37, 215, 108], [0, -3, -23, -12], [0, 0, 0, 0]], [[0, 0, 0, 0], [-94521516291873/578, -4249872134998/289, 13196421658336/289, -1130236182605/578], [42121623967/17, 8655085735/17, -18443902313/17, -6424489680/17], [9021/578, -1057/289, 947/289, 3/578]], [[0, 0, 0, 0], [1276728640535391579/289, 3837803072794454898/289, 1432577617910312310/289, -926677469511451233/289], [-1432341211753050/17, -3025125660541452/17, 81349609662216/17, 328970316738286/17], [-362402958/289, 30197592/289, 1163690328/289, -371959158/289]]], 0, 184320, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[63, 130, 15, -22]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [21/2, -37/2, -187/2, -81/2], [43/2, -25/2, -257/2, -125/2], [0, 0, 0, 0]], [[-62, -9/2, -25, -7/2], [160210845/17, -344836097/34, -1186819868/17, -1165123379/34], [16620347, -20721301/2, -101518979, -99828725/2], [-791/102, 7/17, -107/34, -2/51]], [[-94973635555/2, 395946975015, 197130499025/2, -73437752440], [27686499068499626/17, 201150113935831311/34, 15380473167960910/17, -33783281145323907/34], [-376044026232331, -1733238963278489/2, -108840473540366, 285193488126645/2], [-728026934495/102, 1753965768695/34, 444796605005/34, -980560062655/102]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7127/2, -4549/2, -43621/2, -21349/2], [-789/2, 505/2, 4847/2, 2373/2], [0, 0, 0, 0]], [[2357/2, -5529/2, -1073/2, -1/2], [-1732017601035/578, 2289279575045/289, 1451421286303/578, -454982190823/289], [645169723/34, -39119880/17, -471835675/34, 71363445/17], [1648/867, -2579/578, -248/289, 1/1734]], [[-982439206351092, -2049743404864148, -222526125545633, 377891720933951], [237309570508465495319699/289, 503141333862544664411634/289, 54783364587729454459660/289, -80706000781430785899779/289], [-1338595945139646293029/17, -2730987087868810129101/17, -284713861706484114697/17, 435676239593006733909/17], [-1372978551723380/867, -954990668442685/289, -103889095629109/289, 528089837901164/867]]], 0, 3072, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[-48, -128, -48, 32]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [42, -35, -264, -113], [50, -35, -308, -145], [0, 0, 0, 0]], [[0, 0, 0, 0], [22542865/17, 46924537/17, 6916577/17, -6574698/17], [-99389, -140450, 119922, 92127], [-976/51, -297/17, -121/17, -5/51]], [[0, 0, 0, 0], [150049457007006/17, -35575358422586/17, -43405861857672/17, 12779446415046/17], [4979177036480, -15356032074088, -4542853873512, 2973484720288], [2043096901582/51, -1927188762114/17, -580623148094/17, 1123891592318/51]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-707, 275, 3413, 1659], [67, -31, -379, -185], [0, 0, 0, 0]], [[0, 0, 0, 0], [-9467102899860, 21203401028337, 6624490110245, -4144698215027], [94082304595, 14699984, 13775610848, -6159450783], [1, -13, -5, 0]], [[0, 0, 0, 0], [759100195267167461436138416/289, 79705851191798830062344181/289, -273159645267631172705573637/289, 54036288906984339535591391/289], [-1677046546636094553039439/17, -1980598337343299066921382/17, 1236449139556116717270564/17, -131754101878060897390071/17], [1724811501101851/867, 2433465360580873/289, 1358773225588349/289, -2297627838697570/867]]], 0, 737280, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[-33, -64, -1, 8]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [356, -240, -2214, -1084], [353, -239, -2201, -1077], [0, 0, 0, 0]], [[-9/2, -29, 21/2, 2], [-1233665/34, 1672447/17, 13692533/34, 3198922/17], [131915/2, 307594, 850407/2, 152534], [-19/34, -121/34, 59/34, 1/34]], [[-130849577/2, 369955751/2, 111402957/2, -71893665/2], [22754127747/34, -47231759058/17, -26993209859/34, 9128285882/17], [-1637693895/2, -1924852253, -492825561/2, 317725386], [-149280901/17, 843982647/34, 127136079/17, -164051607/34]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4091/2, 1407, 25625/2, 6259], [453/2, -158, -2847/2, -696], [0, 0, 0, 0]], [[261/2, -175/2, 19/2, 1/2], [-12578399930935/289, 36866762687670/289, 11016450141932/289, -7150917443186/289], [8026875759/17, -36489293743/17, -9671292438/17, 6819556636/17], [898/289, -1247/578, 80/289, 3/578]], [[-5755474796694, -22828902968825/2, 415856867509, 2022841889035/2], [-6894389842698615854721/34, 4762359312080193817921/34, 2841698275009899988041/34, -1151565842418895510471/34], [33683037180655197549/2, 53374761903935687143/2, 4377828521670428915/2, -8731674529910632451/2], [-4640397303751/34, -4574290589242/17, 441689921273/34, 394728165027/17]]], 0, 12288, [], [] >,
< [ 1, -1, -6, -1, 1 ], [[128, 272, 32, -48]], [ -28, -62, -15, 9 ], [ 0, -1, -2, 0 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [38, -32, -260, -116], [38, -38, -264, -124], [0, 0, 0, 0]], [[0, 0, 0, 0], [31087704/17, 287110628/17, 75123070/17, -38147409/17], [6984530, 15154381, 3009693, -1722910], [-2/17, -189/17, -43/17, 1/17]], [[0, 0, 0, 0], [-38080188675813/17, -115300618917160/17, -18225483548164/17, 19785099158320/17], [-4227228086576, -8710561991283, -974939984393, 1410517139596], [11047927/17, 77161607/17, 42078889/17, -22547500/17]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [870, -614, -4928, -2370], [-84, 68, 548, 264], [0, 0, 0, 0]], [[0, 0, 0, 0], [41753031660221/289, -119364016732620/289, -35733158835519/289, 23144846249731/289], [-3716271933/17, -418029207/17, -39321214/17, 180609414/17], [874/289, -537/289, -215/289, 5/289]], [[0, 0, 0, 0], [1392604846268792/289, 608294441490907/289, -235425275191150/289, -40180739759751/289], [6798128390570/17, 15249174341369/17, 3427674608676/17, -2996958824721/17], [-1189126/289, -2704608/289, -563306/289, 682572/289]]], 0, 2949120, [], [] >,
< [ 2, 4, -4, -2, 1 ], [[0, 5, 1, -1]], [ 0, 3, -3, 0 ], [ 2, 3, -7, 2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[25/2, 4, -19/2, -1/2], [-152/3, -71, 99/2, 142/3], [1, 1/2, 0, 3/2], [-19/6, -1/2, 1/6, -1/4]], [[208614208, -15399726, -432521631/2, 69174438], [-1732614925/6, 406093315/2, 111361326, -307995841/6], [65688975/2, 51397335/2, -115567155/2, 31590405/2], [-141096554/3, 25347845, 72638023/6, -5379161]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-1, -4, -9/2, 7/2], [-17/2, -41/2, 2, 14], [-5/2, -3/2, -3/2, 1], [0, 0, 0, 0]], [[-117509859/2, -68171211, 103354627, -36871907/2], [-707453672/5, -1550483251/10, 5793726053/30, 266502904/15], [-564161687/5, 107431572/5, 393580123/5, -246692919/10], [67/30, 4/15, 17/30, -1/60]], [[-154627080767070, -498028676364630, 1379638892935566, -418105913938270], [734814476936285/3, -982407354269884, 4968395500088117/3, -1398777145692878/3], [1447930647649188, -950280286279792, -111459595178628, 94386689281042], [-49465852, -74131084/3, 20566668, -5855531/3]]], 4, 6, [], [] >,
< [ 2, 4, -4, -2, 1 ], [[10, -3, -3, 1]], [ 0, 3, -3, 0 ], [ 2, 3, -7, 2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[35/2, 2, -11, -3], [-161/2, -679/6, 197/3, 220/3], [-5/2, -5, 4, 7/2], [-29/6, -1/2, -5/6, -5/12]], [[339247704, -201454768, -312231907/2, 65434962], [-4167721147/6, 1246524401/3, 954528031/3, -267617533/2], [-8205003/2, 2005776, 3748383/2, -730863], [-314789965/3, 63579698, 48285755, -122392991/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[54, 125, -143/2, -81], [225/2, 246, -227/2, -139], [5/2, 7, -10, -17/2], [0, 0, 0, 0]], [[8194403/2, 5626527, -3552341, 1246456], [-1072536661/15, 245559637/30, 1697959673/30, -246938546/15], [48890693/5, 1038682/5, -23083132/5, 12839931/10], [39/10, 3/5, 11/15, -1/60]], [[389079809952408597/2, -49533167750397161, -23791606986589953, 9825131250036291/2], [-133561051528045402951/15, 160703499346206369737/30, 113655384860223934223/30, -24279153956727112066/15], [6212821331048782133/5, -3389015370615875968/5, -2679529500819646747/5, 2193161076939130801/10], [16310327958727/30, -3667733468476/15, -7251846588173/30, 5487343661459/60]]], 1, 24, [], [] >,
< [ 2, 4, -4, -2, 1 ], [[-8, 2, 3, -1]], [ 0, 3, -3, 0 ], [ 2, 3, -7, 2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-21, -59, 36, 93/2], [-83/6, -73/2, 33/2, 59/3], [3/2, 3/2, -2, 3/2], [5/3, 1/2, 5/6, 1/2]], [[-83388154, 113790487/2, 36747362, -33048527/2], [-92582950/3, 17102067, 88914991/6, -18163334/3], [-9705647, 7431442, 3121128, -3213649/2], [-60627551/2, 111425719/6, 28477603/2, -36134833/6]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[1, 5, 5/2, -9], [67/2, 37, -20, -27], [-3/2, -2, 5/2, -3/2], [0, 0, 0, 0]], [[-526284, -7282927/2, 11914551, 8907879/2], [-2853619229/3, 467070755, 2676267019/6, -286831019/2], [16040021, -1250225, -2325841, 1294485], [-17/6, -5/6, -1/6, -1/6]], [[-225398644582043, -762240814704723, 1049559853125669, -264317447387412], [-461777711863868099/5, 271556807912639854/5, 217140753396359901/5, -90349583631704189/5], [6108361439480046/5, -5563089205526736/5, -993769051900814/5, 778629997101431/5], [-921704526/5, 949387716/5, 106944534/5, -232684497/10]]], 1, 14, [], [] >,
< [ 2, 4, -4, -2, 1 ], [[-2, 6, 1, -1]], [ 0, 3, -3, 0 ], [ 2, 3, -7, 2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[15, 34, -2, -43/2], [115/6, 287/6, -47/2, -175/6], [9/2, 5/2, -1, -2], [1, 5/6, 5/6, -1/2]], [[2275982, -7047689/2, -5013213/2, 1819947/2], [-622796, 1761070, 157465/2, -783503], [3361784, -2386034, -1764156, 740269], [1450631/2, -787436, -480662, 471029/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-2, -7, -25/2, 6], [71/2, -14, 15/2, 4], [-21/2, -2, -2, 3/2], [0, 0, 0, 0]], [[-1584238, -239366095/2, 27949533/2, 14960711/2], [-1022557747, 2680702249/3, 2741107471/6, -1536589255/6], [243835232, -227132931, -115722371, 116514513/2], [13/6, 0, -1/3, -1/6]], [[1306573685715065, 603609198139799, -527877860437049, 62658219393621], [-124426205453611217/5, 178500883381128061/15, 334916289471301033/30, -127171494142906117/30], [30521708772856073/5, -13249208505110688/5, -26628230113047089/10, 10047682070010581/10], [536333156/15, -181657112/5, -346875154/15, 177264241/15]]], 1, 56, [], [] >,
< [ 2, 4, -4, -2, 1 ], [[-16, 4, 6, -2]], [ 0, 3, -3, 0 ], [ 2, 3, -7, 2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[8, 20, -12, -17], [38, 92, -62, -61], [-4, -1, 0, -2], [0, 0, 0, 0]], [[79809, 228654, 38960, -45901], [695917/3, 3983197/6, 678829/6, -399704/3], [60516, 343927/2, 58253/2, -69029/2], [7/3, 4/3, 5/6, -2/3]], [[3204875966, 10299772565, 1886051560, -4197437839/2], [8240944143, 183530754977/6, 5919058006, -18864958957/3], [451986514, 17851547697/2, 2314244714, -3913147737/2], [-23127104/3, 17521504/3, 2226224, -1178320]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-3, -10, 1, 12], [10, -53, 73/2, 39], [3, 1, -5/2, 2], [0, 0, 0, 0]], [[-173003774, -397116054, 136349946, 453219815/2], [-30952613783/15, -46575663779/30, 34085031119/30, 3951442349/5], [-537202161/5, -486109293/10, 353933273/10, 255542723/10], [-67/15, -1/5, 1/5, 1/30]], [[-6074457723377174, 5155236388765672, -23815238125192, 9298418954142309/2], [-3840754488517930728/5, 2374643899302038738/5, 1935676385145102987/5, -707560451619761793/5], [-233904696473774613/5, 165914971956629998/5, 101706688000660947/5, -43260286077720968/5], [-11666463032/5, 9170119852/5, 9072641511/10, -2250272647/5]]], 0, 224, [], [] >,
< [ 2, 4, -4, -2, 1 ], [[-4, 12, 2, -2]], [ 0, 3, -3, 0 ], [ 2, 3, -7, 2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[10, 23, -17, -33/2], [24, 91/2, -35, -35], [-3, -1/2, -2, -3/2], [0, 0, 0, 0]], [[-299334, -815794, 767311, -9487], [-803548, 377789/3, -1284812/3, 1445204/3], [602888, -743070, -67456, 108562], [-2/3, 1, 1/3, -1/3]], [[-224011739, -104856992, 714928332, -467086173/2], [2547588329/3, 564830493, -1026175169, 741367700/3], [-419424544, 228777024, 455170954, -171582768], [950/3, -558, -1555/6, 301/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[-206, -483, 244, 577/2], [-303, -1571/2, 388, 474], [-26, -119/2, 32, 71/2], [0, 0, 0, 0]], [[-924726947, -2284245088, 1868370650, 2886238001/2], [-1174603179361/15, 1526276316827/30, 202969064838/5, -215354669051/15], [4442495508/5, -3511903191/10, 137861503/5, 2173955921/10], [7/5, 4/15, -14/15, -1/10]], [[-33725248163306095, -140886776433504794, -15038341622680165, 36036764184271029/2], [-47964309680252589274/5, 19843624363147080569/5, 19740706116346875456/5, -7397671189169574899/5], [321918589638758901/5, -812897115801321656/5, -282868269053373884/5, 183590695306040406/5], [533627404/5, -510445319/5, -706963017/10, 342843943/10]]], 0, 896, [], [] >,
< [ 2, 4, -4, -2, 1 ], [[-32, 8, 12, -4]], [ 0, 3, -3, 0 ], [ 2, 3, -7, 2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-11, -19, 17, 49/2], [1, 0, 3, 3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [4648250/3, -24107018, -148480489/6, 12643495], [-6101275, -6470630, 2856371/2, 663478], [1/3, 1/3, 5/3, -5/6]], [[0, 0, 0, 0], [-2997897909722, 1874677127526, 1389806616612, -593497632984], [1619554911888, -939626203614, -737667544563, 306948788538], [-236666, 136072, 109062, -45187]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-22, -19, 37, 31/2], [-2, 0, 4, 1/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-122778454/15, 85056958/5, 57773439/10, -55296619/15], [-5800403/5, 12150988/5, 7958479/10, -2627233/5], [-1/15, -3/5, 4/15, 1/10]], [[0, 0, 0, 0], [-636440518377326/15, 144075725180762/5, 303233714453854/15, -266413769108897/30], [-30234530250052/5, 20516289600537/5, 14381978565148/5, -12636256634009/10], [2963712/5, -6861296/15, -1208288/5, 1764896/15]]], 0, 3584, [], [] >,
< [ 2, 4, -4, -2, 1 ], [[-8, 24, 4, -4]], [ 0, 3, -3, 0 ], [ 2, 3, -7, 2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [7, 49, -16, -69/2], [-11, 2, 4, -3/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [-132339904/3, 43290406/3, 37098461/2, -33753685/6], [-38103967, 17351865, 32270027/2, -12372843/2], [1, 1/3, 4/3, -1/2]], [[0, 0, 0, 0], [-15781051687126, 10144230824164, 15126271735051/2, -6470124238269/2], [-14297715839325, 8942878795523, 13410216602663/2, -5717703743591/2], [264523, -455469, -24794, 109963/2]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4936, 11597, -5791, -13881/2], [380, 892, -449, -1067/2], [0, 0, 0, 0]], [[0, 0, 0, 0], [54872517007/15, -23074349477/15, -37661154943/15, 27499034989/30], [-371768701/5, 595131856/5, -392646171/5, 159976193/10], [1/5, -1/5, -2/15, -2/15]], [[0, 0, 0, 0], [281189597400095219/15, -175408912795668644/15, -80213856942140069/10, 104170663657282013/30], [-3503771332023542/5, 1636955339646957/5, 3981808088068601/10, -1508288374541099/10], [5996547/5, -17744276/15, -11966744/15, 3961769/10]]], 0, 14336, [], [] >,
< [ 2, 4, -4, -2, 1 ], [[-64, 16, 24, -8]], [ 0, 3, -3, 0 ], [ 2, 3, -7, 2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-30, -67, 41, 43], [-2, -1, 9, 7], [0, 0, 0, 0]], [[0, 0, 0, 0], [-7754620/3, -16263896/3, 6976037/3, 3827515/2], [-1285150, -3020093, -926699, 2336897/2], [-29/3, -1, -1, -5/3]], [[0, 0, 0, 0], [-20567545408952628, 12128747862796108, 9519659182293888, -3976053788929531], [-25810148414756936, 15332226414592864, 11799650145477854, -4951685957767206], [-740532197286, 439624045836, 340436136222, -142703651718]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-98, -16, 19, -4], [6, 14, -17, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [-938953387448/15, -187544638832/15, 74813746499/5, -5101525956/5], [-4504979216/5, 1906630626/5, -3689671611/5, 819329839/5], [-22/15, -8/15, -7/15, 1/5]], [[0, 0, 0, 0], [430577554785344026/15, -94249464258498527/5, -205312260829618349/15, 177966708708012787/30], [2938249208295752/5, -2090718951076382/5, -1205638687918153/5, 1120694986633819/10], [3373793/5, -7433579/15, -1525402/5, 2108564/15]]], 0, 57344, [], [] >,
< [ 2, 4, -4, -2, 1 ], [[-16, 48, 8, -8]], [ 0, 3, -3, 0 ], [ 2, 3, -7, 2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [48, -3, 3, 6], [58, 3, 5, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [-95818662757/3, -83161601276/3, 36729946189/3, 53052126025/6], [-36606157061, -31046350923, 12595666934, 16616158809/2], [-13/3, 2/3, -1/3, -1/3]], [[0, 0, 0, 0], [-1129591728726515248/3, 886042301786791156/3, 622637798819689538/3, -92792731846743299], [-437950010284607584, 349063894703617728, 247114923530823968, -110917730757269168], [-255961952/3, 67741184, 34917984, -51366464/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [1154, 2937, -1466, -1774], [-1252, -2947, 1462, 1771], [0, 0, 0, 0]], [[0, 0, 0, 0], [28099260861548/3, -16684978246930/3, -4307214348053, 3611116577031/2], [1930838, -227037, -32585, -312429/2], [-5/3, -1/3, 4/3, 0]], [[0, 0, 0, 0], [60195786776039086772/15, -35742702714225785857/15, -9227097564216020386/5, 3867914528108578234/5], [2000713870994/5, -7172985436929/5, -2293160594766/5, 1617065086934/5], [-6718382/15, 7004822/15, 4595998/15, -722579/5]]], 0, 229376, [], [] >,
< [ 2, 4, -4, -2, 1 ], [[-128, 32, 48, -16]], [ 0, 3, -3, 0 ], [ 2, 3, -7, 2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [112, 252, -154, -137], [52, 110, -84, -45], [0, 0, 0, 0]], [[0, 0, 0, 0], [46998214/3, 264949459/3, 147890476, 65919401], [-17229376, -34071137, 40917866, 39747026], [62/3, 4/3, 5/3, 1]], [[0, 0, 0, 0], [-62313440781842507/3, 36253506655772260/3, 28409725931115544/3, -11831625334971101/3], [-33570074269581855, 19907928705859900, 15413825888149895, -6459724318778321], [7077551510788/3, -4202607456505/3, -1084878332589, 1364331151454/3]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [20, 54, -14, -55], [18, 34, -36, -1], [0, 0, 0, 0]], [[0, 0, 0, 0], [75676078/15, 183607952/15, -23434819/5, -100683502/15], [2697906/5, 5654424/5, -5854669/5, -4246694/5], [-26/5, 8/15, 2/15, -1/5]], [[0, 0, 0, 0], [-422324023869827/3, 256309086555146/3, 191537601222986/3, -81158641282178/3], [221659143822961, -132920497458904, -100860951580583, 42513340686606], [164424372658/3, -97654758383/3, -75591569417/3, 31691559718/3]]], 0, 917504, [], [] >,
< [ 2, 4, -4, -2, 1 ], [[-32, 96, 16, -16]], [ 0, 3, -3, 0 ], [ 2, 3, -7, 2 ], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [4, -12, -4, -5], [6, -8, 4, 3], [0, 0, 0, 0]], [[0, 0, 0, 0], [1225996319/3, -859556162/3, -729596147/3, 309091271/3], [487612603, -254293836, -235644786, 94001383], [50/3, 5/3, 5/3, -1/3]], [[0, 0, 0, 0], [184866804605607610, -102039924531716166, -80372198975450284, 33008312377720862], [207913843994884592, -127086349365617084, -95312047573098692, 40436925769383986], [5697056652, -5434751300, -3449495040, 1676238996]]], [[[1, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]], [[0, 0, 0, 0], [-4788, -11232, 5652, 6675], [4756, 11156, -5618, -6633], [0, 0, 0, 0]], [[0, 0, 0, 0], [380310647/5, 2687953454/15, -1328985784/15, -541007533/5], [-378947293/5, -893343372/5, 439821437/5, 538265857/5], [28/5, 31/15, 29/15, 4/15]], [[0, 0, 0, 0], [-213045295811300878/5, 126455502793949138/5, 97951883191975252/5, -41056028096340348/5], [8488516800793572/5, -5050749308405142/5, -3900873631507488/5, 1636693084013352/5], [-170367687955972/5, 101162174196772/5, 78344950665878/5, -32841723078762/5]]], 0, 3670016, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[0, -2, 1, 1, 0]], [ -2, -1, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [-1, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[3, 0, -27/2, -11, 33/2], [2, -3/2, 1/2, -3/2, 1], [-41/2, 95/2, 171/2, -83/2, -93/2], [-1, -1, 3/2, -1/2, -3/2]], [[-1615172, 44794412, -15883296, -16260478, 7458022], [2792998, 26185224, -18391672, -9679462, 6162182], [44101545/2, -131866275/2, -266931735/2, 8059080, 34917060], [-5045355/2, -10305675, -25226775/2, 2090640, 3789285]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-1, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[5/2, -1, -4, -1/2, 2], [-37583/46, 7599/46, -13161/46, -5471/46, -412/23], [-252/23, 428/23, 557/23, -463/23, -997/46], [-183/46, 37/46, -32/23, -13/23, -2/23]], [[2866367409/2, 1060162881/2, -1079974953, -558778323/2, 230808855], [-755033932475, 334220129191/2, 1007855900864, 3239111598, -471405371025/2], [-6695791882, 6790174772, 17268023889, -4044981, -4220263510], [-3674191075, 810344527, 4895775337, 16179924, -1144729623]]], 4, 2, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[1, 0, 2, 0, -1]], [ -23, 0, 0, 0, 0 ], [ -3, 9, -3, -3, 1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-35/2, 2, 80, -24, 0], [487/46, -39/23, -846/23, 213/23, -51/23], [-38/23, 5/23, 158/23, -45/23, 3/23], [0, 0, 0, 0, 0]], [[-18649215943, 15185511164, 32044834694, -17252055912, -24108031/2], [261106708825/23, -154617759129/23, -440241274971/23, 178077814075/23, 40616750963/46], [-1764804767, 2577414401/2, 3010927038, -1470268798, -52648639], [33/23, 1/46, -2/23, 2/23, 1/23]], [[-5235422521826608693587/2, -606585995562656468203, 109066916509889684830, 5230300365972600551751, -2542672876264932797689], [76495562944739286864045/46, 20656385400541981438111/23, -23733450054052930200168/23, -62507865671939407115555/23, 34546422860785387729257/23], [-251803474519214323169, -177021873450686464713/2, 67114948378829232153, 935062623535386924283/2, -237922971311036408047], [-48887017484769/23, 474033975254327/46, -118777400980967/23, -170216673489157/46, 46108729990673/23]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-15, -19, -3/2, 31/2, -1], [-173/23, 188/23, 883/46, 43/46, -338/23], [21/23, 85/23, 18/23, -75/23, 5/23], [0, 0, 0, 0, 0]], [[-444431164, 610914596, -1667054866, -710947953/2, 612322297], [-169991356526/529, 617278698727/529, -489514803407/529, -616339507409/1058, 175362675368/529], [866693543/23, -179154750/23, 2356297015/46, 261452294/23, -1294367819/46], [153/529, 26/529, -103/1058, -22/529, -5/1058]], [[52265462651802916891/2, -169132788682988129483, 967283180895999629487/2, 94132645440396432447, -168756348931788420137], [72832882061888871988187/1058, -156597333462222893024247/529, 204136886938402929666947/1058, 82076285925213297079217/529, -34989729467493739937462/529], [-50190811133560141011/46, 97253227607745799173/23, -1056695282750716326285/46, -83791315398152536545/23, 463175832295549731075/46], [-12220857402633/1058, 4330163498783/529, -53694069217367/1058, 2290246171469/529, 21472704226361/1058]]], 4, 2, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[2, -4, -3, 2, 1]], [ -23, 0, 0, 0, 0 ], [ -2, 1, 2, 0, -1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, -1/2, 3/2, -5/2, -5/2], [-436/23, -1007/46, 125/46, -811/46, -123/46], [-109/23, -123/23, 7/23, -87/23, -1/23], [0, 0, 0, 0, 0]], [[1279955550, -688418569, -4032443775/2, -415723277/2, 912539583/2], [5524516800555/23, 2429794404712/23, -13511822071091/46, -1847403501573/46, 134236723711/2], [2747538914587/46, 1222814016877/46, -3354768964865/46, -229730233162/23, 766614058695/46], [137/46, 5/46, 3/46, 0, -1/46]], [[-822027953016210094, 11844500200383606413, -10504135394936429330, -4097735527949114443, 3642419341372747138], [9222233080112125330050/23, 284846798241713833153, -12647188767948956994926/23, -2676239180859669434057/23, 3249844202549019955410/23], [2310284927291077637354/23, 1569763240692496237276/23, -3101398424515071684736/23, -645497825600120996235/23, 791517143390434428301/23], [-147517381368/23, 1144124118018/23, -584241494886/23, -407057209272/23, 212665714002/23]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[11/2, -1, 1/2, -3/2, 1/2], [12265/46, 1951/23, 13715/46, -1329/46, 275/46], [-143/23, -47/23, -163/23, 15/23, -3/23], [0, 0, 0, 0, 0]], [[-58625674469/2, 16318186867/2, 10609671790, -724930775, -1469348160], [-67130498158853/46, -12172533043827/46, -12400646882584/23, 3166293004718/23, 243386289528], [1566240660221/46, 298758366083/46, 301063555849/23, -75784914369/23, -134087611133/23], [29/46, 5/46, 2/23, -1/23, 0]], [[-1185046203126978061/2, 1479873522892572837/2, 597285229786118277, -494924403314947205/2, -160237973842563126], [-93194453691443746795009/1058, 179149143122999355668199/1058, 144432164557521010159350/529, -92648355486981411245829/1058, -54904419865180646755122/529], [2203989602833854300343/1058, -4246816372392609151353/1058, -3431338062334963698802/529, 2199679493077303973171/1058, 1305229834169028276604/529], [-94699510285/1058, 257632165029/1058, 225488195973/529, -199400337029/1058, -105254029110/529]]], 4, 2, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[0, -3, 2, 1, -1]], [ -23, 0, 0, 0, 0 ], [ -2, 6, -3, -2, 1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[41, -49, -77/2, -75/2, -5/2], [-136/23, 95/23, 153/46, 95/46, -63/46], [83/23, -94/23, -74/23, -70/23, -2/23], [0, 0, 0, 0, 0]], [[-236520800851, 893688510371, -210815008445/2, -665670739319/2, 232240826601/2], [551261988450/23, -2251513905481/23, 1478268999599/46, 1902068565201/46, -858806787601/46], [-921729297085/46, 1754334587962/23, -243346699813/23, -662019060155/23, 238474838426/23], [-155/46, 2/23, 1/23, -1/23, -2/23]], [[-15047089083563593531809/2, 19195404803637783032643, -6022423420340146623262, -5949327887643662533526, 2453915500141001015694], [47940756706688345298839/46, -47778817567587795380385/23, 14066561717840262704020/23, 14034388899550374795022/23, -6082156075778502383153/23], [-30309519742802686775927/46, 75272790983856885966801/46, -11737102325864610069262/23, -23210605486535468850965/46, 4809401521627522376395/23], [162693887256095/46, 88094276031255/46, -99196561718930/23, -1527926340005/2, 23901998260205/23]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[64, -3/2, 25/2, 53/2, 0], [64, -3/2, 9/2, 5/2, -16], [0, 0, -2, -4, 0], [0, 0, 0, 0, 0]], [[255736550685, -66262940190, -157042224097/2, 38571725809, 5746401105/2], [138150347849350/529, -47580392777523/529, -124482302414279/1058, 16907481606922/529, 4408685713015/1058], [18876277520/23, -236448456859/46, -139990658413/46, -34212375433/46, 12272766938/23], [-1625/529, 49/1058, -129/1058, -133/1058, -2/529]], [[-150840636249882059308582, 197167611234568508295443/2, 184350910264501158177043/2, -67846457000969903948415/2, -13607987358228235397110], [-75252615731110347415623591/529, 90074288639255130330933081/1058, 62669928411723338419561103/1058, -28371882436459602212195197/1058, -1191636528913093284190367/529], [22163975982075976727601/46, 52921331686795137921375/46, -101006708233581053260008/23, -11283564443656839283734/23, 76576914179015250721083/46], [2236993342072945/1058, -1689032012535433/1058, -878220308606948/529, 335803228844602/529, 306062089975307/1058]]], 4, 2, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[2, -4, 2, 1, -1]], [ -23, 0, 0, 0, 0 ], [ -3, 7, 2, -3, -1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[57/2, 17/2, 42, 88, -1/2], [-279/46, -209/46, -279/23, -661/23, -143/46], [53/23, 20/23, 83/23, 179/23, 4/23], [0, 0, 0, 0, 0]], [[6491919659883/2, 1672708497834, -10720606867493/2, -3211199206003/2, 1712369601584], [-22038945030373/46, -42662461626799/23, 102223777235643/46, 44278855725437/46, -17673328633982/23], [248337821978, 235173208921, -1011007928075/2, -342424456401/2, 330770025915/2], [-62/23, 1/23, 5/46, -1/46, -5/46]], [[15403957791553412966827255, 14287012459765886792709311/2, -13748557733124017988858719, -2476684964516919328066837/2, 4943251846111806583784843/2], [-228611541646963148200162375/23, 1108519175238469364422678165/46, -223921527157989191634848833/23, -420514899529257792050129063/46, 213475087453861528802414317/46], [1689572669072194829306353, -1130315781809322016423208, -267522609786614878637813, 526885718300423948038528, -144609123484136053371374], [-84599520289647/23, -1074555934497408/23, 929645861553387/23, 403941359996328/23, -289625081106174/23]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[107/2, 11/2, -33/2, 7, 7/2], [4521/46, -2299/46, 2441/46, -1268/23, 1003/46], [-130/23, 82/23, -145/23, 83/23, -2/23], [0, 0, 0, 0, 0]], [[2133557386755669/2, 5054475971165125/2, 3701871592257029/2, -1034429680110198, -1749400037712053/2], [2654933076522497143/1058, 1690594265966187085/1058, 1950614006887685327/1058, -533549840163691704/529, -929358671134055457/1058], [-8184983619524355/46, -102077675316795/46, -352149815397645/46, 71482509334845/46, 88018404040680/23], [2943/1058, 9/1058, 41/1058, 141/1058, 2/529]], [[-2357283657248461343876418415845, 3444213052191103100823337076731, 13827860221930931630157023529403/2, -1822283074782580421598402165910, -5006246564862024400147270148019/2], [-1844980075025885570914963776236463/529, 3008812363377438517866670271264395/529, 6785384346421831108869624484196305/1058, -1167547858350638081862382234852132/529, -2588820247597734764267796802409337/1058], [137468862121877100980283916440, -4209739842030225199146403108395/23, -927808906674657583030628153040/23, 174059261774620410701194968735/23, -140946050771599592705221046610/23], [-1044853183915673454/529, 1269561877455800502/529, 20566076178451734/529, 110942888669016894/529, 241736181115884840/529]]], 4, 2, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[0, -3, 5, 1, -2]], [ -23, 0, 0, 0, 0 ], [ -3, 2, 3, -1, -1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[5/2, -5/2, 3/2, 0, -3/2], [-347/46, -343/46, 447/46, -63/23, -93/46], [-77/23, -38/23, 63/23, -21/23, -4/23], [0, 0, 0, 0, 0]], [[6798823/2, -46376723/2, -27763906, -1715351/2, 5611247/2], [3195081797/46, -3497195385/46, -6197335350/23, -1669269819/46, 3770174361/46], [506449017/23, -405088822/23, -1852922651/23, -543272253/46, 606852671/23], [-81/23, -2/23, -1/23, -3/46, 1/23]], [[6927742758407711630, -30615666476336374407, 11432922706999888907, 22680443225899773421/2, -9330157293668822985/2], [298378122512128973637/23, -849432936890381742990/23, 70636902609982012531/23, 530826937825561953649/46, -72019167536553184197/46], [92686014469098474739/46, -96820112104194173721/46, -64113672642013095118/23, 3048749530145584977/46, 47530449866706999155/46], [-9423593682893/2, 36041874049623/2, -8653085030278, -12984305169615/2, 7095696040355/2]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-118, -11, -42, 5/2, -3], [-2123/23, -62/23, 909/23, -2699/46, 146/23], [-56/23, -36/23, -180/23, 37/23, -5/23], [0, 0, 0, 0, 0]], [[-39815715573732623/2, -8491020419629183/2, 13046841963363762, 2108026711055733/2, -5168181214720965/2], [-14548096611769195209/1058, -7337576997980604501/1058, 6633369769349645447/529, 1889795029471498463/1058, -3001555292353806803/1058], [-12746575135383524/23, -1106066442021323/46, 852458075167519/46, -1652239477310103/46, 24442309349651/2], [-302/529, -61/1058, 85/1058, 41/1058, 1/1058]], [[38182618335346462355821191, 681998013782842794642125217, 3230963936828691946340596906, -1386799727750811657145159463/2, -2904319071141946863748040365/2], [-5607980772910592631680897675/23, 34126731479200786735832601183/23, 55349775919566155953576125480/23, -46597352031878666213466953321/46, -48691170855475952830747087911/46], [-1275635279405122071399385821/46, 3432119951517553830512099043/46, 6186292690939502893943423499/23, -2859410458890841003151352345/46, -5400870012539947071972298179/46], [815236472563/46, -1720694945189/46, 1792351689513/23, 808318968475/46, -1712477966463/46]]], 4, 2, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[0, 32, -16, -16, 0]], [ -2, -1, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [6, 6, 8, -4, -10], [10, -6, -10, -6, -4], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [1, 0, 1, 1, 1], [1, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-1454382994, 424911350, 1209998034, -194273044, -175261714], [-1702330080, 1850207460, 1018548960, -605026500, -91866900], [0, 0, 0, 0, 0]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [194, 6, -8, -12, 16], [4, -6, 2, 4, -6], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [2370199697966, 19269300063628, -22852789667378, -9125125725712, 7717779814042], [-32746378056, 424540484011, -179495373421, 66053953921, 15673315282], [-4, 1, 0, -3, 0]], [[0, 0, 0, 0, 0], [378687119678983595506/23, -26665446702823337314/23, -340447618803453009398/23, -467309342793376000/23, 68304177550725315112/23], [5090159075388358524/23, -2034684183501973195/23, -1322544570298863526/23, 957568452119208733/23, -186222726930022712/23], [-199781153/23, -150806911/23, 235583033/23, 53702798/23, -57080334/23]]], 0, 396800, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[-16, 0, -32, 0, 16]], [ -23, 0, 0, 0, 0 ], [ -3, 9, -3, -3, 1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [60, 6, -56, -62, 10], [10, 2, -10, -10, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [180183469716/23, -152737799596/23, -817452256708/23, 48602323732/23, 186610411468/23], [34195782074/23, -35274271867/23, -149023029815/23, 4907447255/23, 36445294687/23], [-4/23, 1/23, -1/23, -3/23, -3/23]], [[0, 0, 0, 0, 0], [1047252892992664452/23, 955862399690913908/23, -1563597927797230488/23, -15904785660766460, 403249525674696040/23], [182918407457549382/23, 146107597503990530/23, -259097733957660870/23, -56397868492691244/23, 65693601983198462/23], [-62741530/23, -21323620/23, 66516350/23, 8888650/23, -14911910/23]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-280, -56, -120, -94, -42], [-6, 10, 6, 6, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [85788199260155747006/529, 22876215824395770640/529, -104247751588634225998/529, -13035385430344447978/529, 24331496216998315302/529], [29183735858604886/23, 2082099796643467/23, 1621323600200882/23, -1171845370819888/23, -300509694175362/23], [2334/529, -7/529, 78/529, 128/529, 2/529]], [[0, 0, 0, 0, 0], [-38771867333506936416910807187347370/529, 10077389603294109055622642295589356/529, 45252433327989299987601055473379038/529, -3266749444670244997886065134718090/529, -12017984553654637869154988019579768/529], [-12924053378808879866669701012625/23, 13883341306110517916890441278018/23, -33027954385168814253921571787801/23, 202739604291633294857131605977/23, 12541706187089660892844823668102/23], [-837299508128239675/529, 702515059468152342/529, -3497406946647451619/529, 239183819530372563/529, 1406987760987474538/529]]], 0, 872960, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[-32, 64, 48, -32, -16]], [ -23, 0, 0, 0, 0 ], [ -2, 1, 2, 0, -1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-20, 42, 26, -6, -2], [-4, 10, 8, -4, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-62401131356/23, 8402559452/23, 142298831336/23, 9140317926/23, -35296218404/23], [-8533261087/23, 6065368398/23, 25690496759/23, 323377351/23, -6487746196/23], [63/23, 2/23, 1/23, 1/23, -4/23]], [[0, 0, 0, 0, 0], [30113227320896780174/23, 54038968883664934006/23, 53831952524089475214/23, -23857074716255822592/23, -1115544249413035938], [566792551779617708/23, 10620278384501735180/23, 17042462153757244424/23, -4579889131604411064/23, -6353039284721143324/23], [-30047618388/23, -185336212404/23, 215215068192/23, 2466184128, -64544943996/23]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-2354/23, -8530/23, -9010/23, -5864/23, -106/23], [228/23, 202/23, 220/23, 144/23, 8/23], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-157872963863293462/23, 1005896310573588/23, 215278589775324930/23, -84636300653739450/23, 22770415931537088/23], [8414802721448441/23, -343089724265253/23, -7644909434440394/23, 260625555294787/23, 678252244906692/23], [175/23, 3/23, 2/23, 5/23, 0]], [[0, 0, 0, 0, 0], [141297160666717901030012744376/529, 83766763246308711385495592924/529, -865033578921003555336315318548/529, -234416611676003745983250830820/529, 431129790223844397091675466828/529], [-11687445822592818910988210338/529, 18349280858681679293907715362/529, 19865387319933929405866802840/529, -5247482739294240311852488998/529, -6988753505167566841600169928/529], [-11626257101342/529, 206383262154/529, -1289138649834602/529, -74297974375440/529, 451566577592952/529]]], 0, 872960, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[0, 48, -32, -16, 16]], [ -23, 0, 0, 0, 0 ], [ -2, 6, -3, -2, 1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [730/23, -2010/23, 150/23, 1870/23, 290/23], [50/23, -224/23, 38/23, 210/23, 6/23], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-1940998656/23, -2365028440/23, 4566756552/23, 1006478098/23, -1251154672/23], [74579452/23, -86353079/23, 116860407/23, 38755153/23, -41967081/23], [152/23, 5/23, 3/23, -1/23, 3/23]], [[0, 0, 0, 0, 0], [-40027326488706990152/23, 60074579180225834110/23, -50759898498368813998/23, -22437118938525307754/23, 22419065152948987308/23], [-584415379727765593/23, 7186837576971194338/23, -8375414916652861579/23, -2740869177355542425/23, 2955458008985318544/23], [1618179854845/23, 4514966957132/23, -12437347440065/23, -1545684730111/23, 4488080330508/23]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1340/23, 492/23, -1116/23, -1870/23, 2286/23], [-142/23, -52/23, -130/23, -302/23, -6/23], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [915198454225356204/529, -2938290263214818982/529, 1259065274605843510/529, 1108157002278604426/529, -562508575548064362/529], [-1130243483609126/23, 24784362836886/23, -56467977441891/23, -55584163757443/23, 55679701045730/23], [-122/529, -112/529, -129/529, -41/529, -4/529]], [[0, 0, 0, 0, 0], [-461039125330462872659837200710/529, 2011186597191463621996370449140/529, -1027555535749734845178220183192/529, -711647722761640266290649860384/529, 401775995093906681274156415790/529], [59292281848898869070237523/23, -673930664801577082008849658/23, 589596221088848019220945933/23, 268020853079600037715457456/23, -228751360309054564055090672/23], [-24731837928857/529, -1145084606070/529, 171234812345477/529, -4480522030672/529, -67046052614460/529]]], 0, 872960, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[-32, 64, -32, -16, 16]], [ -23, 0, 0, 0, 0 ], [ -3, 7, 2, -3, -1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1464/23, -1048/23, -890/23, -474/23, -44/23], [206/23, -154/23, -94/23, -42/23, 6/23], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [25390757436378/23, 34953922883202/23, -11250617191182/23, -4815422845776/23, 1428549119958/23], [3965978712925/23, 4165339448338/23, -3330264011663/23, -582077254348/23, 550563461649/23], [35/23, -4/23, -1/23, 4/23, 3/23]], [[0, 0, 0, 0, 0], [96468072206173514808084, -1069845721692197197782164/23, -1962895076739852083075720/23, 195289619465898793778364/23, 378616198688483155059076/23], [309178320859707870540838/23, -145046073981847451229882/23, -231168728963693111454236/23, 29045009445627391528770/23, 41977921402094154892528/23], [894704006/23, 8108029046796/23, -6326081461042/23, -3020269535640/23, 2041444700456/23]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-7368/23, -1094/23, -246/23, -934/23, -872/23], [160/23, 30/23, 44/23, 96/23, 6/23], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-76876960988028484/23, 39567458152522742/23, 10796263317494918/23, -23382648528016154/23, 7086112659243780/23], [64663576054452, -2335948215996, -349029947463, 1748470539771, -1406436473624], [116/23, 4/23, -1/23, -3/23, 0]], [[0, 0, 0, 0, 0], [5243142729265380343682938491576940/529, -9895606165648032354325298744370330/529, 750076682475451716419398256557306/529, 3615902921052686916406827034781874/529, -1808270354583926427875902038037426/529], [-4174826485206039044208290816976/23, 5759604239651823169152451396320/23, 278350783622719338235628834820/23, -105594866279750697904546012716/23, 734821775414489645377238655756/23], [-7324499047249217912/529, 9374103976493406800/529, 525362862160938620/529, 773645728174895836/529, 1058257192862960844/529]]], 0, 872960, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[0, 48, -80, -16, 32]], [ -23, 0, 0, 0, 0 ], [ -3, 2, 3, -1, -1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-116/23, -436/23, 350/23, -500/23, 218/23], [38/23, -222/23, 40/23, -136/23, -4/23], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [42488903541016/23, -20408187209514/23, -27419954720284/23, 6365569616356/23, 3834111159122/23], [7614158324411/23, -12769119105740/23, -1833847220816/23, 4014830199009/23, -606730210580/23], [-7/23, 4/23, -4/23, 3/23, -4/23]], [[0, 0, 0, 0, 0], [-5650032512478443134546/23, 1132823270924792659446/23, 4107671565424720915158/23, -311646227534578135890/23, -697464869876670811194/23], [-878012005264649171312/23, 1089370156655469783232/23, 117336356965931319356/23, -377604049894826982475/23, 71594004529403892402/23], [1314132400/23, -1579863040/23, -1815100/23, 51458085, -542170370/23]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-12028/23, -346/23, 2180/23, -3088/23, 978/23], [-38/23, -100/23, 282/23, -186/23, 4/23], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [114221529194098553770/529, 109056848229880664340/529, -98054234319213480708/529, -35994001984068478558/529, 22555229299223794826/529], [23665508421067578/23, -31726540655976/23, 317537170542546/23, -294853802111538/23, -148554364701705/23], [960/529, 100/529, 62/529, -28/529, 1/529]], [[0, 0, 0, 0, 0], [388642059814320553310885612941760/529, 1120861693382284636006246423734672/529, 40537362959681105056432469439960/529, -385430585094817088470887135010284/529, -62419878848511992117239655120630/529], [134067187958919988501911875688/23, -232518405214373817151729861596/23, 667295418623315965335929679939/23, 66153767205258967701732296742/23, -12572313384403728362198960496], [3772149420524112/529, -4610261786723484/529, 33689029175853865/529, 177831830692898/529, -14448501163352636/529]]], 0, 872960, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[-1, 8, -3, -4, 1]], [ -23, 0, 0, 0, 0 ], [ -3, 7, 2, -3, -1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[968, 19/2, -63/2, 95/2, -1], [-6776/23, -103/46, 381/46, -785/46, -8/23], [1936/23, 18/23, -61/23, 99/23, -1/23], [0, 0, 0, 0, 0]], [[341913375291783/2, 195997295380849/2, -211831753421675, -77358926717563/2, 102397873946561/2], [-2393261665120893/46, -1371975112809863/46, 1482821919823801/23, 541505467165007/46, -716783855053351/46], [14865607676525, 17043225816143/2, -18420151444994, -3363421422702, 8904159292245/2], [-43/23, -1/46, -2/23, 0, -3/46]], [[139634054134991875750209452751/2, 40353532218300426004670625287, -173161237813690412186309944757/2, -31783403296344426067223111343/2, 20928973167633400902478605421], [-977368770046819917100924241539/46, -282492503574884624496386967893/23, 1212063496489736828916326538829/46, 222493984856882545783781870243/46, -146493786589750314090313350931/23], [6070944949474016271299085254, 3509054332170627549320692666, -7528655023472285125531695768, -1381901827062604843914600986, 1819884549114157788854770214], [-24326173203181096/23, 698418827658812, 27611653075525272/23, -5877082762166876/23, -8720830209198016/23]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-83/2, -19/2, 10, -13/2, -1], [-3/2, -37/2, -32, 75/2, -16], [-5, -2, 4, -3, 0], [0, 0, 0, 0, 0]], [[806072270757/2, 2235880181157, -2228212711191/2, -712699741828, 395919793556], [-467881388164085/1058, 1333462023050832/529, -1000613872330377/1058, -379496501525566/529, 208875095452538/529], [4950453787153/46, 592852573395/23, -497414029093/46, 1667480896, 144259772831/46], [1523/1058, 35/529, 163/1058, 73/529, 3/1058]], [[8648830964962475865964861/2, 25018687267624088643718096, -50817152229510237545801153/2, -17964487349380581038714205/2, 16974753488818544875697631/2], [-5577794503746724191137349689/1058, 17157667301027833470452648842/529, -25728660678053095988502270977/1058, -10151509625942730616864600855/1058, 8882856990525674474026855927/1058], [66718546311700453967172351/46, -35557010239435767044878215/46, -63109935882092021907383007/46, 5117931476113874333160036/23, 401358487354902876686337], [21547322649201921/1058, -16781526674292809/1058, -18771309973867737/1058, 2341077489495316/529, 3102831905536649/529]]], 1, 20, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[16, -128, 48, 64, -16]], [ -23, 0, 0, 0, 0 ], [ -3, 7, 2, -3, -1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [12262/23, 968/23, 282/23, -2496/23, -156/23], [1550/23, 98/23, 64/23, -312/23, -8/23], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [522498399973434/23, -259228715660586/23, -1159866115720138/23, -184980969538150/23, 227106603183256/23], [74995885380787/23, -54839998420225/23, -186001297436903/23, -10692728744882/23, 44834964596947/23], [-241/23, -5/23, -1/23, -4/23, -1/23]], [[0, 0, 0, 0, 0], [-546461757708356257358351296/23, -133427314514764844576161920/23, 611203729415542657532723376/23, 55941103135892682693719600/23, -145070940238317287249417280/23], [-68663345522567774573165730/23, -17216048006837433757856088/23, 75566390196437978812570332/23, 7526874030119824712278086/23, -17617114055320207476974724/23], [388595280982440/23, 24316847806944/23, -334456648829016/23, -16737763602168/23, 66356510452512/23]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [16844/23, 18942/23, -490/23, 1440/23, 596/23], [-3334/23, 200/23, -182/23, -50/23, -6/23], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [25906854695793994/23, 18682300190375908/23, -23170903648593404/23, -5983613509086202/23, 5074979804981290/23], [-4780359427333683/23, 911387497185144/23, 2448934572439701/23, -290832349674027/23, -302663097277608/23], [89/23, 0, -3/23, 1/23, 0]], [[0, 0, 0, 0, 0], [-91414412990948203209609050307172/529, -32951149053082477502327797144072/529, 123580579904825690763891738639308/529, 12284968990276083176242354384606/529, -31389744448294053742449054185328/529], [679637751939701228895918093195/23, -199760876959053996696201912345/23, -501603864552864311586315534840/23, 59736313896417885397161215280/23, 90405684029596336309324268475/23], [-390435790578189219/529, 268748401032650409/529, 524067981130211088/529, -120396903861207744/529, -169973671579650315/529]]], 0, 20951040, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[0, -6, -2, 2, 1]], [ -23, 0, 0, 0, 0 ], [ -2, 1, 2, 0, -1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-5/2, 1/2, -2, -3/2, -2], [7149/46, 1071/46, -194/23, 955/46, -38/23], [908/23, 131/23, -37/23, 128/23, 2/23], [0, 0, 0, 0, 0]], [[-15480474441771/2, 47812622155419/2, 6032998717996, -29348457555518, 21901298322603/2], [2958251924641461/46, 1126685351323521/46, -1236949479738574/23, -773336061655936/23, 1069122077509239/46], [414287854602114/23, 6748760437851/46, -687854225125493/46, -49160768939047/46, 70674027011326/23], [78/23, -3/46, -1/46, 1/46, 2/23]], [[-308994084742590489019493, 1902098686544840069982785/2, 148105681775178279941861, -1938955086010783902164325/2, 686554864722173801587317/2], [98636410839684241897393862/23, -219484427385426548571517643/46, -8211759194049930945259403/23, 46132428200355100430174385/46, -200310207043097407030269/46], [26435818697229372710482270/23, -65808174293981459374339465/46, -5809094936234875352428455/46, 11341049397315510482234930/23, -3997768024339790536748739/46], [4360985142740/23, -14489695659155/46, 27074700613515/46, 2529540179560/23, -9995963913093/46]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[205/2, -2, 3/2, 3/2, 5/2], [303251/46, -1684/23, 5109/46, -1023/46, -53/46], [-3554/23, 39/23, -60/23, 13/23, 2/23], [0, 0, 0, 0, 0]], [[-305829669941163749523/2, 11137751269195651155/2, 5601193838613422127/2, 17715774382396590841/2, -6435836710598509175/2], [-10486680359731314734723607/1058, 513240789843252113571455/1058, 472217289642039336483373/1058, 562311650185637090677745/1058, -116987012169957358632091/1058], [245830868198391407418635/1058, -12079736176710657480977/1058, -11172720430986019900247/1058, -13165238227079745103301/1058, 2704344155953589217271/1058], [-179/1058, 93/1058, -67/1058, -15/1058, 3/1058]], [[-505765479796303821487484925395/2, 679569203619501548601646655421/2, 424239136619489673384851943751/2, -263266478076378916003580519005/2, -121455538258265621272899372411/2], [-16497835475246548148875769283246819/1058, 21291888776036750678225624041291409/1058, 11437997368110281618916638324978565/1058, -7855486508575900478166323069205573/1058, -2821297178802157721411061763961087/1058], [386435369915102462556783768867407/1058, -498390396841000818066823044544405/1058, -266989877734251704260993294934271/1058, 183719489087464191214016637996491/1058, 65643980930084171583954432491321/1058], [-377605090299/1058, 726299539993/1058, 363310772915/1058, -306306970669/1058, -130989133151/1058]]], 1, 20, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[0, 96, 32, -32, -16]], [ -23, 0, 0, 0, 0 ], [ -2, 1, 2, 0, -1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-1190, -14, -40, 28, 10], [-300, -4, -10, 6, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [65826676034492573888/23, -657494046238118114, -36635216521891517626/23, 4131371208605678288/23, 5053485289833872102/23], [16588331886577694456/23, -3774380198527642090/23, -9179263536239194491/23, 1022426943732634995/23, 1262566492135498622/23], [-100/23, 2/23, -1/23, 3/23, -4/23]], [[0, 0, 0, 0, 0], [49093212968403162981085516610460/23, -88215036380995359521581296249866/23, 14012325326956453173957061015818/23, 31106251190652437414944258279304/23, -10558760773965016030403678620488/23], [12404528218685680477201456996092/23, -22300029525250744404042243351157/23, 3432710594489888039892726258460/23, 7871657715615704503660480930846/23, -2619398876717834670708219029819/23], [53818285465608/23, -182785000960431/23, -644748316343988/23, 208878296365506/23, 296791908072879/23]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [5882/23, -7858/23, 1810/23, -442/23, -344/23], [-82/23, 186/23, -42/23, 16/23, 6/23], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [223587603416814/529, 79375182590010/529, -182317482905006/529, -73520145475850/529, 68305502392676/529], [-1723307059452/529, -825009169517/529, -207290871894/529, 1154128887933/529, -551486573073/529], [-362/529, 107/529, -62/529, 97/529, -1/529]], [[0, 0, 0, 0, 0], [19491300971897549596322936/529, -7381098830450873897604006/529, -7054132585807984559846958/529, -734094914377851346972694/529, -801235821740966862061548/529], [-210528796188696247532450/529, 246959023132023889809500/529, -34902036825441212714062/529, 7171412325867877766692/529, 68847732742962976681516/529], [-53360330414730/529, 100866924112144/529, 13762396170398/529, -36932185866904/529, -1810017075540/529]]], 0, 20951040, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[-4, 9, 5, -4, -2]], [ -23, 0, 0, 0, 0 ], [ -3, 2, 3, -1, -1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-1/2, 1, 2, 0, -2], [-13193/46, -292/23, -287/23, -27/23, -61/23], [-2195/23, -105/23, -111/23, -9/23, -5/23], [0, 0, 0, 0, 0]], [[3171890312923/2, -26777092821, -156600032859/2, 101779753507/2, -2522851370], [305349491615841557/46, 3080104687074644, -340516194809951077/46, -55653824408885011/46, 39510138167845953/23], [50879423023108022/23, 47228682450567921/46, -56752098834865896/23, -9276027557202539/23, 26340130795618651/46], [20/23, 3/46, -2/23, 1/23, 5/46]], [[-576583108822087560790835751, 1034910210497824573561250097, -108165769782858098947136454, -741586503446641610505551637/2, 146523711297170850590418006], [-30849227947292720306321374316940/23, -6302964887592749804945126020545/23, 31219754452300231169391991563828/23, 5705818070284357915363877386743/46, -6783703599303560077177522046232/23], [-20557311023860328490563824699345/46, -2108922607477667138332419779394/23, 10407414088334973165249689796571/23, 1907624853287607720159410621655/46, -2262357881554342905472655360204/23], [-14011913966379735/46, 11850227225838162/23, -1717372164532083/23, -8236397906413215/46, 2453297456857692/23]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[679, 139/2, 6, -13/2, 1/2], [-11792/23, 26689/46, 149/23, 905/46, -407/46], [2494/23, 59/23, 19/23, -37/23, 5/23], [0, 0, 0, 0, 0]], [[-258270234138546813111/2, -246256890539346215914, -18475350716041687790, 982560841590824818, 6348573798970879851/2], [107263814695670266582173/1058, 28591506341586687595024/529, -114853637320445333593343/529, 7469432872220152370597/529, -536336458222901143975/1058], [-475848325366844453487/23, -862641236099190923973/23, 9582298507865366235/46, -1420112127587930865/46, 27039268863810757899/46], [-20/529, 19/529, -39/1058, 51/1058, -1/1058]], [[41376589342656465369163653536171/2, -3133586728825226257952319839653/2, -15327032367840436290738347737539/2, 1856014657329321414764038082508, 1350662523165869975213059120245/2], [-702232330990778898999818593254065/46, 892556146523399619622161524576463/46, 73627202930279855881357835041425/46, -151867790049390843968409677157424/23, 95976020384629673946285289055237/46], [75917356509368034114258881169801/23, -11559952190698042211655042193308/23, -26846015513647625097894191435013/23, 8445633115287764220555590815365/23, 1628795733421914728761144335444/23], [-88826853348/23, 673507722444/23, -387891686196/23, -259133747720/23, 144445294668/23]]], 1, 20, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[64, -144, -80, 64, 32]], [ -23, 0, 0, 0, 0 ], [ -3, 2, 3, -1, -1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-12178/23, -610/23, 32/23, 112/23, -178/23], [-3998/23, -142/23, 26/23, 22/23, 2/23], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-65685134567257346/23, 23096926779256478/23, 22921718181983280/23, -8599319044855294/23, -732333346013104/23], [-936081276701795, 335985797117692, 331611215950782, -123883627663837, -10605167122172], [29/23, -4/23, -2/23, 3/23, 4/23]], [[0, 0, 0, 0, 0], [-2764693390787013947664024420/23, 5024109970654432765459643178/23, -888782364663330022438740042/23, -1782758760680527488810871356/23, 678837806117903044877597604/23], [-905091579614069156323311623/23, 1649117038794881030904012759/23, -296419644349790326786342270/23, -585390059478006414188366386/23, 223105401712409685274789575/23], [1369350351087/23, -2557183819839/23, 468640346958/23, 970752776802/23, -554009083311/23]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [52728/23, -52636/23, -1302/23, 1078/23, -1650/23], [9020/23, 272/23, 26/23, 252/23, 2/23], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [459986106365245204214/23, -20351297590607613928, -69604994803217052998/23, 52931463939635201484/23, 8531122768827083784/23], [78162209044753832325/23, 1853013862823166588/23, -8589364975599271332/23, -1410536863193457732/23, -409791329457638880/23], [-75/23, -4/23, -4/23, -4/23, 0]], [[0, 0, 0, 0, 0], [-29235187549222385452942896368460636/529, 90295377687800772191892003540917996/529, -28919069673895735020684129505304218/529, -43732281908728020787406534701633194/529, 19411656130150128576709834737801550/529], [-157971866802659449744627339447362/23, 330384594843766127515391338058805/23, -52169154481121443437865540372833/23, -6164838094303784305615498148160, 57419343688149613026381771764859/23], [3544551008470098/529, -7504792242620685/529, 1673763072178137/529, 3102393353932160/529, -1644183097080291/529]]], 0, 20951040, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[0, 8, -8, -2, 3]], [ -23, 0, 0, 0, 0 ], [ -2, 6, -3, -2, 1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[303, -2, 7/2, 105/2, -1], [-896/23, -33/23, -73/46, -263/46, -10/23], [605/23, -1/23, 9/23, 103/23, -1/23], [0, 0, 0, 0, 0]], [[329982070985, 304364702105/2, -768961478059/2, -61026662479, 180566714853/2], [-989613579497/23, -912981469743/46, 2306859623895/46, 182956214176/23, -541603897525/46], [659938554792/23, 304360369873/23, -768960523825/23, -244087607739/46, 361126026027/46], [0, -1/23, 1/23, 3/46, -3/46]], [[-3472342502, -8463771372, 8751066685, 6298654565/2, -5126550999/2], [10444099070/23, 25253309652/23, -26178252949/23, -18795886445/46, 15321639951/46], [-6946767432/23, -16916927016/23, 17496368208/23, 6294805440/23, -5124319728/23], [0, 0, 0, 0, 0]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[217/2, -53/2, 1, 21, -4], [711/46, -5155/46, 163/23, 143/23, -404/23], [-536/23, 47/23, -9/23, -80/23, 1/23], [0, 0, 0, 0, 0]], [[-8029079920920841, -23434173538512334, 9257340216087163/2, 4747527888761175, -1247033768838441], [-348216301005744704/529, 1993280219168254742/529, 23735119471422872561/1058, 237281995188489285/529, -1820568763087550777/529], [42833060222128464/23, 112227095551967364/23, -973840483975689/2, -23433451583138067/46, -450810470368188/23], [2062/529, 33/529, 37/1058, 133/1058, 2/529]], [[-25775758185340725631305484011844, 487291754154611472377600923010100, -1088784722072593326181225947421713/2, -150905790289290358967473103252152, 399375532045368327913357131114255/2], [-110699052176300150292906693545551215/529, 359410189103911773900281494662717744/529, 162206171685877781552829246998783097/1058, -148513093088212489060385538342151714/529, -75437873419787286176540085881578335/1058], [-14602102482643836445370386209942/23, -4004013117803903818574931555415827/46, 5785008701008334727647631552619959/46, 522682613042369727858930072999495/23, -2080875710171146071949973833425375/46], [-38201191189972238450/529, 214785265480687980485/1058, -29582212352512272365/1058, -40578215313256721485/529, 14344912768530962805/1058]]], 1, 20, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[0, -128, 128, 32, -48]], [ -23, 0, 0, 0, 0 ], [ -2, 6, -3, -2, 1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-1658, -98, -30, -82, -10], [-166, -10, -4, -8, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-792876545636867122/23, 351585477930965744/23, 620119059103200456/23, -107981897375470276/23, -101620994659971976/23], [-79414876236745037/23, 35168813103275000/23, 62002367649381610/23, -10787017242459543/23, -10164573484975101/23], [-67/23, 0, 2/23, -5/23, -3/23]], [[0, 0, 0, 0, 0], [-4111515952609460068260290463834/23, 40294796462806680506617951442318/23, -21355451033621192957536109056848/23, -14723745386492752433687168123338/23, 7893795880171091594315190699598/23], [-411300572256950955634408280403/23, 4036201968286916532834477974213/23, -2144337812742192100526496867903/23, -1474105211924385397747536451180/23, 792446870756509535832196824928/23], [26003825290485, 69517054990245, -277230719467815, 2339301936900, 105855863497440]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-37760/23, 26574/23, -656/23, 2546/23, -750/23], [-4098/23, -236/23, -222/23, 112/23, -6/23], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-22735957009504193196/529, 14659845196160825620/529, -8929868284289752096/529, 17660310879587270248/529, -7109656718757765310/529], [-122177022219919419/23, 20763161108959863/23, 19535727070886280/23, 38485678176097161/23, -20008752668314308/23], [3549/529, 135/529, 152/529, 41/529, 4/529]], [[0, 0, 0, 0, 0], [2898991576547055708204903577444/529, -18208707442004642826902467919488/529, 9655527617823319927700504596190/529, 4915939170122190671027463105416/529, -2253482879080170144289666671354/529], [-2699378275487475718358742645/23, -38693011671325631541968216757/23, 64843020058828499080404744750/23, 6769664104455796402642528947/23, -21625851664316544190108620864/23], [2326401977270125/529, -4465062800354165/529, -11081747234436530/529, 3405325930024355/529, 4670212102170350/529]]], 0, 20951040, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[-1, -5, 8, 2, -3]], [ -23, 0, 0, 0, 0 ], [ -3, 9, -3, -3, 1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[13/2, 51, -27, 21, -1/2], [27/46, -476/23, 212/23, -316/23, -125/46], [8/23, 97/23, -49/23, 47/23, 3/23], [0, 0, 0, 0, 0]], [[-305101915546, -5045728073887/2, 2212364987815, 929973808520, -1404921806961/2], [-361433991191/23, 48806514603361/46, -19743010277580/23, -9068901324234/23, 13171486208209/46], [-34045575847/2, -210816189646, 180632749355, 77898462713, -58164562364], [-67/46, -2/23, 1/23, -1/23, -2/23]], [[-968979343538246414465674, 17849676057438405662683983/2, -5290878488258189347400096, -6461667818169666652160183/2, 3852303799815069585674531/2], [15244898891028287465890426/23, -184218451274352742323376533/46, 49764791773866601805100937/23, 66546769232982214410313727/46, -37766281754790407243901591/46], [-4415461619750185401302533/46, 34985941207649594799758853/46, -10085588059137816946791373/23, -12656772295907917190772163/46, 3716743210216065813950740/23], [143732571658625/46, -186789695809769/46, -825817039891, 61453479674791/46, 45660190240]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-121/2, 41/2, 25/2, 14, -3], [1523/46, 3295/46, -873/46, -648/23, -518/23], [309/23, -57/23, -67/23, -85/23, -2/23], [0, 0, 0, 0, 0]], [[24558376309/2, 9582393330, -20456953270, -3890030493, 5285736272], [-15577397584829/1058, 146127450754/529, 12440747713826/529, 653573726556/529, -3075094840243/529], [-67798124034/23, -44924350905/23, 113802036396/23, 38505562569/46, -58589269035/46], [-1049/529, -35/529, -47/529, -31/1058, -3/1058]], [[-22119194671200433569248317/2, -50536185861060573586832265/2, 25884853045687380891338700, 9259256244902725005080417, -7428965883745770688689806], [16656877716711092103295778125/1058, 1786005158814804281139960173/1058, -5754155927090638180298375568/529, -480980060448895728960068763/529, 985227265073695211270232848/529], [61911798026513382819131268/23, 122816359651048287428754666/23, -130047624669959133362497590/23, -45144434266711928018197611/23, 36618690341313964428806553/23], [2147920813890709409/529, -3059080141955244138/529, -256447247038375390/529, 984424836043272689/529, -67332842686102019/529]]], 1, 20, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[16, 80, -128, -32, 48]], [ -23, 0, 0, 0, 0 ], [ -3, 9, -3, -3, 1 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-14178/23, 80/23, 366/23, 890/23, 2/23], [-2386/23, 44/23, 38/23, 156/23, 8/23], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [2929710723351644/23, -336771759448512/23, -4817274465136304/23, -182014892963988/23, 1192898948050996/23], [491132662346973/23, -56343451872084/23, -803404103234669/23, -29743315154537/23, 199187582770733/23], [-37/23, 4/23, -3/23, 1/23, -5/23]], [[0, 0, 0, 0, 0], [-795301063159939241306885150/23, -111087083477656120660952054/23, 569387762134717470240573828/23, 2109845586657271618080798, -99869896597331391260509020/23], [-133870880505573739483606644/23, -17132303704205214556086146/23, 95636433824873483934326095/23, 7579062815666332869882962/23, -16776091205482484030822394/23], [18696964820352/23, -24588497801098/23, -4576570947151/23, 8112726298222/23, 129443842626/23]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [89466/23, 59372/23, 2198/23, 2886/23, 1574/23], [-9584/23, -240/23, -86/23, -232/23, -6/23], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-176761374076245581951322/529, -655555777467811690634294/529, -392769074514704702226046/529, 60429549614202412256346/529, 54751153292982780697594/529], [877499280420065959355/23, 2332151862240745265063/23, 172597026825325739399/23, -182663759117766700550/23, -84583128104525704395/23], [1777/529, -123/529, 53/529, -18/529, -1/529]], [[0, 0, 0, 0, 0], [216548191301691161951777534083846603884/529, -119967222173402222006569323610736926318/529, -257318983067646933235360219545572780112/529, 51400622770256482742582908180316711038/529, 68691207164398153447279463995850551188/529], [-975846882213150090211310351266120068/23, 1084594978193288161298324620433859063/23, 405107832545494736668620999461488962/23, -369036561881106207515024541943451445/23, -50235221914857975932008104717596058/23], [-65646163579754060/529, -3051094114182743835/529, 2347453100513829510/529, 1078486163787743905/529, -785792581816313710/529]]], 0, 20951040, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[-3, 7, 1, -3, 0]], [ -2, -1, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-33/2, 65/2, 167/2, -41/2, -59], [-1/2, -5/2, -1/2, 5/2, -5/2], [-40, 3, 5, -3, -4], [0, 0, 0, 0, 0]], [[7910203267, 28851655918, 43408120776, -11214521027, 25754361175], [16543732122, 2502519308, 5308667647, -3758090919, 379437748], [635236041054, -178453573403, -529921380529/2, 124107518371/2, 47268512765/2], [2, -2, -1/2, -2, -1/2]], [[-106148870509628921925, -465901366921283969125, 210327123549479554525, -13610392024289580850, -105263914807305975000], [-128954985553635569875, -336587394144355815200, 274644118249117057725, 107888554382368065900, -78759550665537342800], [-4583858521910955974323, -9514913297468879946640, 9854920581727072784633, 3479386367251783488263, -2824715747620184640568], [-5524230597, -49352897013, 47368223241, 23003260779, -11025662766]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[61, 67/2, -41/2, -22, 5/2], [109/2, -1/2, -6, -3, 9/2], [30, 1, 5, 2, -2], [0, 0, 0, 0, 0]], [[35912214035609715, 36250601192861635/2, -35668800461951185/2, -27879333951230275/2, 4908378621660215], [714820196910402146/23, 73317432165399347/46, -128291262973578850/23, -282846033042676077/46, 95984921076286533/23], [407016573486903996/23, -4652431888784173/46, 1140528058722248/23, 3773815362275979/23, -8199158863636254/23], [109/46, -19/23, 131/46, -5/46, 1/46]], [[1946392236516363706186504925247955, 2847892709565423274343461902536385/2, -4660525908595934001079638843760725, -219793807404927686772398865600605, 1353823457922255045738970999226905], [1938967262315928517855623544192309/2, 3067583141060960781976356999203166, -6476929596612122586314381743859125/2, -2400861747051179037870285142184989/2, 1365763167893772960352263652548275/2], [591605400214710534803843318884992, 1684945629309274317835705784414604, -2079022836296148259577257527246657, -758489596945336575422037808015938, 511919232471665932140622298873667], [1149310129589046, 508025883659156745, -260703335139439479, -253393021388499159, 3044508087833664]]], 1, 10, [], [] >,
< [ -1, 3, 3, -4, -1, 1 ], [[48, -112, -16, 48, 0]], [ -2, -1, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [10, 0, 8, 0, -4], [-16, -42, -38, -12, 2], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [-1, 0, 1, 1, 1], [1, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [10484352, -51813504, 26533440, 18685728, -10407168], [3347256, 5857698, 2789380, -3347256, -557876], [0, 0, 0, 0, 0]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-318, -48, -26, 54, 32], [0, 40, 18, -54, -32], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1155542768129944858/23, 5035433932027965056/23, -4691450791098626520/23, -1714416990262267102/23, 1371923381179835486/23], [-75388709210451524/23, 2075409447264901/23, 2014147621732524/23, -419029015829584/23, -89937029382899/23], [-108/23, -155/23, -57/23, -113/23, -5/23]], [[0, 0, 0, 0, 0], [124274657798973451858728251154488, -626269555652732249612946139789880, 327959972082397442531472418329828, 225332703587610512174943157010812, -126985096219600414312280095827644], [3158454600209996222792443993113, -9644735017600604145244860775819, 3846882854485551532916567503041, 3304491784823758448011015143675, -1717059655295465571028303347751], [37870567501806, 7154138628019702, -3783395487262137, -3542071809629975, 68510324444833]]], 0, 4761600, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[1, -4, 4, 1, -1]], [ -17, 0, 0, 0, 0 ], [ 39, 66, -135, -21, 30 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[24, 85, 11/2, -245/2, -101/2], [17/2, 517/17, -14, -1765/34, -89/34], [-5/3, -4/3, -3/2, 1/3, -5/3], [2/51, 1/51, -1/34, -5/102, 1/102]], [[-1214632759/2, -1172672787, -1824816153/2, 249252387, 504622677/2], [-30498353417/34, -51594788769/34, -12476557617/17, 5110448783/17, 3630782406/17], [-1310964685/3, -465154796, -1702620971/6, 263112613/3, 85166459], [384817210/51, -8342250/17, -442706750/51, -7774750/51, 27564610/17]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-10, -79/2, -2, 58, 43/2], [-74/5, -134/5, -21/10, 517/10, 131/10], [8/5, -9/10, 1/5, 21/10, 3/10], [0, 0, 0, 0, 0]], [[-131795182185, -880707261897/2, -255896027503/2, 545213288381, 376370389081], [11277995600843/85, 6796823382731/170, -118421236214543/170, 5402087383283/85, 44962204547499/85], [-374073689294/15, -169353843708/5, 622289841002/15, 181304363006/15, 194034639461/30], [-2/51, 0, 2/51, 2/51, -1/102]], [[18886464833483052, 2050468855585614568, 1966240812439229993, -348409185499716502, -428525289414345252], [58943423692721734973/85, -189409983359659698672/85, 292077647495199067391/85, 65283152034024673373/85, -74234284993964494806/85], [-3111958274770867609/15, 5539019459554861152/5, 4900053618033084559/5, -3244008157497147284/15, -3082072282127090242/15], [-226413619/51, -50404656/17, 131097697/17, 50210332/51, -81399334/51]]], 4, 2, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[9, 6, -19, -2, 4]], [ -17, 0, 0, 0, 0 ], [ -24, 0, 30, 1, -6 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-34, -77/2, -149, 52, 17/2], [-1529/34, 2657/34, 12781/34, -1212/17, -267/34], [22057/187, -71/11, 579/374, 1209/374, -71/187], [-879/374, 29/374, -1/374, -3/374, 3/374]], [[2691629013911531/2, 5120419677683149/2, -14093098227097735/2, -1888543411358599/2, 3225984343655239/2], [-89988695041928173/34, -5550695375879073/2, 375838682757338921/34, 40862762104261801/34, -84250324329211035/34], [-192853425493131949/374, -68355958248289029/22, 2239544460907846115/374, 192786218354476217/187, -528082845992836887/374], [218804585965077/22, 1341596402469711/22, -2587076906186613/22, -222537952938720/11, 610442101827627/22]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[113, 197/2, 178, 95, 19], [25473/85, 2983/10, 75687/170, 25591/170, 739/85], [159/85, 19/10, 481/170, 163/170, 2/85], [0, 0, 0, 0, 0]], [[-2916870431739, -18155794931535/2, -5328909701885/2, 1259178595842, 1200931296377/2], [-1240889967696177/170, -1922595672039226/85, -1072722018535029/170, 579771947738373/170, 131854571830637/85], [-85843055809701/1870, -15698445109873/110, -37963087381221/935, 3808795357219/170, 17981952825007/1870], [-301/374, -1/22, 1/187, 0, -3/374]], [[75384167506014579458993/2, -15139883508640793280851, 1778784089728034544548, 9014598407983919134243/2, -2792218753471913662792], [8035684730027931429693691/85, -196761757653501412201697/5, 308934822814228674134012/85, 992383420631499113845246/85, -1152795741912536608816379/170], [50157921048035847287923/85, -12981327923478936676971/55, 17725258430248976959996/935, 5969464185610408734198/85, -77133708986019794483997/1870], [-38795755717476/17, -122495378367888/187, 764127724518936/187, 5214308436108/17, -9234700106112/11]]], 4, 2, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[-16, 64, -64, -16, 16]], [ -17, 0, 0, 0, 0 ], [ 39, 66, -135, -21, 30 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-4, -4, 8, 8, -10], [4, 6, 8, 6, 2], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [461543720/17, -334780203/17, -71376131/17, 119739567/17, -19900838/17], [-192548423/3, -188458415/3, -39768232/3, 11961157, 16855111/3], [5/51, -4/51, 4/51, 0, -4/51]], [[0, 0, 0, 0, 0], [8379291195572732, -3285710003209724, -3367325908976272, 859219456388272, 261192300766104], [-57992115293273246/3, -70110000057355498/3, -19019318002597030/3, 4763573928892452, 2288838224613480], [1490428376/51, -65224192/3, 73562512/51, 127529972/17, -48686524/17]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-768/5, -578/5, -76/5, 62/5, -4/5], [-54/5, -44/5, -8/5, 6/5, -2/5], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [4748351158023/85, 4213376978573/85, 3041323128016/85, -2169837859842/85, -1644470736741/85], [19972446357/5, 20179084187/5, 44151191327/15, -11486012668/5, -24625250977/15], [-1/17, 1/17, -4/51, 1/17, -4/51]], [[0, 0, 0, 0, 0], [308014704016673285248/85, 34003637225374456688/85, -153578346680540687704/85, -8682599192434742432/85, 19108076776595249224/85], [1247646584126234682/5, 161438449507650282/5, -543322502892183906/5, -36763445562996588/5, 58771147685837976/5], [-60887352/17, 135576840/17, -100864656/17, -51598176/17, 34373712/17]]], 0, 1396736, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[-144, -96, 304, 32, -64]], [ -17, 0, 0, 0, 0 ], [ -24, 0, 30, 1, -6 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [516/17, 16, -74/17, -216/17, -66/17], [146/17, 6, -10/17, -88/17, -8/17], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [10908422762/17, 305208333/17, -15290398631/17, -1344008445/17, 2579686264/17], [31584288470/187, -6446071/11, -43339454998/187, -3391118597/187, 7167990034/187], [-116/187, -4/11, -1/187, -5/187, -1/187]], [[0, 0, 0, 0, 0], [12433019762012703/17, -10914626607855284/17, -4381623143214598/17, 2728854446900295/17, 243666247751415/17], [34620588263820639/187, -2066357590488494/11, -5444113942828139/187, 9033663578155341/187, -945112988258928/187], [-3962319561/187, -15948866448/187, -865864107/11, 2949839487/187, 3486509253/187]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [11924/17, -618, -6280/17, 35312/17, 178/17], [74/17, -4, -40/17, 226/17, 2/17], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-194377294504383/85, -13151322457423/85, 5367363824592/5, -14476385230353/85, -7697260150784/85], [-805898520957/55, -86598388037/55, 429714305016/55, -4501110132/5, -44635783631/55], [56/11, -1/187, 1/187, 0, -3/187]], [[0, 0, 0, 0, 0], [40751762165319305087856878/17, -3526998953369501640588718, 121944397458908104797180498/17, 21162965228151152432842154/17, -31226544437887094082050030/17], [3135753217720877019150690/187, -209747847107433677762466/11, 667313761034269773295002/17, 1278575888381790754780998/187, -1913503976892536341031298/187], [-377577747730944/187, 155950908897600/11, -546475524537024/17, -963600068788416/187, 1462172182064064/187]]], 0, 1396736, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[3, -6, 3, 2, -1]], [ -17, 0, 0, 0, 0 ], [ 39, 66, -135, -21, 30 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-52, 54, 107/2, -15/2, 0], [113/2, 1281/34, -71/2, -45/34, 299/34], [-61/3, 8/3, -1/3, -1/6, -1/2], [58/51, -2/51, 5/102, 2/51, 0]], [[90573411209, -217096487593/2, -20551273782, 50800355229, 9588424888], [-1492840137542/17, 544150964589/34, 2596501844288/17, 274489002474/17, -395977084071/17], [157055397907/6, -44472614705, -19807118891/6, 7896833162, -14609939089/6], [-149893410703/102, 40066973744/17, 45433086299/102, -6797075903/17, 8228039251/102]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-13/2, -59/2, -1, 51, 26], [122/5, 239/10, 244/5, 192/5, 41/5], [27/10, 11/5, 29/10, 7/10, 1/10], [0, 0, 0, 0, 0]], [[50139301623/2, 183894095829/2, 15962309191, -133604143936, -128430257829/2], [-20231618723/10, 6387167612499/170, 130800786469/85, -9217531648413/85, -8575215421633/170], [-25696438936/15, -8981137646/15, 33214402031/30, -89411956357/30, -61945791061/30], [-49/51, -2/51, -1/102, -1/102, -1/102]], [[-213133805574439292620, 264753188453152142021, -357010957511962251086, 74847269402653780403, 133696290629452255165], [-128373586456373847572709/85, 338236988274515805595941/85, -299295787513877288049038/85, -90398011038107670503129/85, 85666030826710724073698/85], [-663872687321138082396/5, 7626118917882610415092/15, -6734945178960612420721/15, -2056343884761698727173/15, 1765988904860587345831/15], [43082956536126/17, 238082794022242/51, -451011259592038/51, -4471388465974/3, 101410935991276/51]]], 1, 24, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[-48, 96, -48, -32, 16]], [ -17, 0, 0, 0, 0 ], [ 39, 66, -135, -21, 30 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [8, 8, -10, -2, -8], [2, 6, 10, 8, 8], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [6646349994/17, 832341389/17, -10540632892/17, -586043262/17, 2149333196/17], [477915263/3, 530290898/3, -549617899/3, -145028930/3, 34190854], [154/51, 4/51, 4/51, 2/51, -1/17]], [[0, 0, 0, 0, 0], [738268238652787443396/17, -318671007671228855696/17, -734511064273351393896/17, 3269954144997574640, 127725386460572645840/17], [86392636956122276600/3, 81958345298447253220/3, -185430138126117759460/3, -26653068899925264070/3, 13215860399662976320], [-9680932087244/51, -59526249869584/51, 89578932667012/51, 18304906656196/51, -7049236242104/17]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-2/5, -632/5, 216/5, -202/5, -136/5], [-16/5, -56/5, 18/5, -16/5, -8/5], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-22708240627074/85, -38365835174359/85, 2311018559867/85, 17226082310066/85, 591644973584/5], [-211920477593/15, -587074667023/15, -329673205931/15, 194976920147/15, 73957715112/5], [13/51, -1/51, 1/51, 5/51, -1/17]], [[0, 0, 0, 0, 0], [-30905587378684176/17, 22312227598854104/17, 9607227177777952/17, 609816384882784/17, 2825651688254840/17], [-3086436729068, 108033152007926, -169123809901418, -23800074768710/3, 54273954762696], [362544/17, 398936/17, -967840/17, -404272/51, 211648/17]]], 0, 25141248, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[4, -5, -5, 1, 1]], [ -17, 0, 0, 0, 0 ], [ -24, 0, 30, 1, -6 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-379, -57/2, 20, 27/2, 7/2], [16945/34, 431/17, 50/17, -222/17, -209/17], [-12327/374, -94/11, 427/374, 155/187, -233/374], [-43/374, 24/187, 5/374, -5/374, 5/374]], [[536516488876, 1048846632194, -499612096827/2, -593091768913/2, 61276246104], [-12286117589500/17, -24013733259226/17, 11751436233429/34, 13469355452345/34, -1414684314542/17], [8784477197051/187, 202232561143/2, -1169181545211/374, -10487856931897/374, 160165570996/187], [31020298239/187, 4894235829/34, -164245446579/374, -18333455493/374, 18656879379/187]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[3023/2, -123/2, 5, 63, -2], [-1668241/170, 1246/5, 8779/85, -52791/170, -569/85], [-10603/170, 8/5, 57/85, -333/170, -2/85], [0, 0, 0, 0, 0]], [[-19625158609443990316, 3303962883731645314, 565908369403147188, -577685121940643095/2, 468191685561044613], [127336688191157612259, -19750667470173412768, -192973821355870795685/34, 19172680385248387233/17, -84300577932258218563/34], [17803473019638299589/22, -126003445804505142, -797512838272386723/22, 81474611127651387/11, -173977289151465189/11], [-114/187, 3/34, 1/374, 1/187, -2/187]], [[1754178028562819164490689717464825, 1508279381343320871030491873745885, -4541608789299034798689980558076075, -1081682620151998242896185165713255/2, 1987251644564774210066317918893555/2], [-191647013141261028893135048145106144/17, -9665458263301562067375850933824372, 495798726385197582188773410715609673/17, 118093558869240252533059112549966967/34, -216881393496747159243734106764082325/34], [-1218184573028321043150393834591318/17, -61442701289235104993587333569804, 6302680000501849258696436034353673/34, 750755053425654229583250252042969/34, -1378439581945697621223287956505463/34], [921721896186930/17, 45410789705940, -4856162681541555/34, -493620044582115/34, 1105535283500205/34]]], 1, 24, [], [] >,
< [ 1, 3, -1, -5, 0, 1 ], [[-64, 80, 80, -16, -16]], [ -17, 0, 0, 0, 0 ], [ -24, 0, 30, 1, -6 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [6306/17, -20, -152/17, 2/17, 130/17], [1602/17, -4, -4/17, 26/17, -10/17], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [629012833469115/17, 12014782709662051/17, -17594471144610411/17, -3662837869635555/17, 4277940600569707/17], [1526415005736666/187, 1945748841641845/11, -48441237048827299/187, -10122825485162022/187, 11759418134294514/187], [25/187, 8/187, 4/187, 4/187, -5/187]], [[0, 0, 0, 0, 0], [16242696923002017493474472/17, 20029600476398126108437640/17, -46235483029414027274575894/17, -6652491688808354014965972/17, 10201925912826238419180688/17], [45034172826505882603188700/187, 3261585870286546912054790/11, -128091432522618309981838684/187, -18444588392841266413802316/187, 28246753676961165709537398/187], [-31461433312/187, -26508128804/187, 81152741292/187, 9934355638/187, -17980005284/187]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [394972/85, -3454/5, -89686/85, -56428/85, 1766/85], [2506/85, -22/5, -568/85, -354/85, 8/85], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-5144055329478746/5, -45032483294903812/85, -17330536328737009/85, 4855568769143193/85, 6420050574634749/85], [-6105175483440696/935, -184958990046048/55, -1205736466159157/935, 337153210465074/935, 446792831327987/935], [-81/187, 49/187, -1/187, 4/187, 5/187]], [[0, 0, 0, 0, 0], [634836096305804191462992665526/85, 263955396674653021385021133486/85, -2011898370946541208326844127128/85, -9488317031272971216969066742/5, 434221752015002659937103835128/85], [2606165295395991061796201654/55, 1083038277402709476562716834/55, -750837386910659327605831312/5, -662295879357297698585413086/55, 162033008564325112887993212/5], [1083833864759440/187, 934015476629896/187, -15234950187476, -19175647815468/11, 58178046204292/17]]], 0, 25141248, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[-6, -11, 10, 5, -3]], [ -13, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[25, -1/2, -3/2, -1, -1/2], [-22/13, -6, 175/13, 66/13, -11/13], [27/2, 1/4, -7/4, -3/2, -1/4], [23/26, -3/52, 1/52, 1/26, -1/52]], [[-848825827, -1717869485, 3088227001/2, 788034989, -460342581], [158317041/2, 30168279, -70843550, -267237/2, 10938767], [-1837039835/4, -922113316, 3319268203/4, 1691406487/4, -247549845], [-119866421/4, -61212013, 219783523/4, 112364113/4, -16368672]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[13/2, 1/2, -3, 3/2, -1/2], [1/6, -11/6, -9, 1/2, 5/6], [13/6, 1/6, -1, 1/2, -1/6], [0, 0, 0, 0, 0]], [[30956863, 144787551/2, 310617283/2, -351149531/2, 13011460], [-5379950323/39, 8344599193/78, 14660588693/26, -8317884103/26, -4383968876/39], [30956837/3, 144787549/6, 51769547, -117049843/2, 13011460/3], [-2, -1/13, -1/26, 1/13, 0]], [[-440334111928003163/2, -822944640590026625/2, 395446033245295623, 170984647600753077, -111854732405912150], [134623986229835552/3, 436763810174103158/3, 18981459229359422, -81522545578240206, -26174837410775894/3], [-880667934900020449/12, -1645888666835822035/12, 263630604751375463/2, 113989720613789397/2, -111854695124357645/3], [22227383529/4, 47257248555/4, -19402804989/2, -10258472151/2, 2867811885]]], 4, 4, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[96, 176, -160, -80, 48]], [ -13, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-2, -4, 8, -4, -10], [-2, -2, -8, -10, -4], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [4847818445/13, 244415059, -11506088318/13, 6278960335/13, -77273007], [1022277057/2, 1176428611/2, -756664577, -287083297/2, 273576373/2], [87/26, 5/26, -1/13, 1/26, -1/26]], [[0, 0, 0, 0, 0], [-12927832533745260110/13, -33711518260915449066/13, 26924839116383249884/13, 15634878677311277700/13, -8605374067177263326/13], [-2459907980691947605, -2374017147344269929, 3044853008191013936, 1106966082503400792, -768697968575129241], [-391453330007/13, 475985898279/13, 16231124578/13, -199348711260/13, 58660809297/13]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [128/3, -34/3, -8, -12, -26/3], [-22/3, 14/3, 6, 8, 4/3], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [2631572805842/39, 2748606500369/39, -351360553987/13, -265578923104/13, -9405222500/39], [-2832743416/3, -37885513703/6, -71995343253/2, -6604863177, 37715852080/3], [32/13, -3/26, 5/26, 1/13, 0]], [[0, 0, 0, 0, 0], [745757440528922052388327/39, 1205234007838832982398395/39, -396192406174547784184699/13, -178634667857398530705039/13, 329327537966920188863012/39], [-11876688186200136350233/6, -20916207309306128187085/6, 6559023043247796387805/2, 2843912500784644892893/2, -2611196269617757795780/3], [12001487068851/26, 26006253490671/26, -22163796865245/26, -927000473361/2, 3413771991276/13]]], 0, 2095104, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[9, 17, -14, -7, 4]], [ -13, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-83/2, 3/2, -5/2, -1/2, -5/2], [46/13, 227/13, -189/26, -228/13, -154/13], [-81/4, 7/4, -5/2, -3/4, -7/4], [-85/52, -1/52, 0, 1/52, -3/52]], [[-1676626007035/2, -629562295735, 978081428029, 611662373363/2, -234227803214], [1426247022364/13, 3188822898402/13, -2259015563978/13, -1290517313550/13, 680416522103/13], [-1637385843717/4, -592478008459/2, 947392876115/2, 580762662777/4, -225449186405/2], [-1715866170353/52, -666646583011/26, 1008769979943/26, 642562083949/52, -243006420023/26]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-49/2, -2, -3/2, -6, 2], [-283/6, -26/3, -3/2, -9, -1/3], [-49/6, -2/3, -1/2, -2, 2/3], [0, 0, 0, 0, 0]], [[-856859774, -154190642, -1193350353/2, -426827007/2, 470143889/2], [-1583093489, -6493466387/13, -1469062961, -4847117416/13, 6402031858/13], [-285619927, -51396881, -795566903/4, -284551337/4, 313429259/4], [-7/13, -1/13, -3/52, 3/52, -1/52]], [[-4287781806472344620, -8308098724365280910, 5773674102666680430, 3377488660701434520, -1713909373683896980], [-331762103207575167626/39, -638814035050600950128/39, 143168002788006562311/13, 84669357314726888222/13, -126432359205273243025/39], [-4287781839030490070/3, -16616197568514996295/6, 3849116101201575645/2, 2251659122601366355/2, -1713909386819032555/3], [-32558145450/13, -119784434475/26, 98271366075/26, 46401230025/26, -13135135575/13]]], 1, 28, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[-144, -272, 224, 112, -64]], [ -13, 0, 0, 0, 0 ], [ -2, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [8, -4, -8, 2, -6], [-46, -4, 4, -6, 2], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-364453857939/13, 139543681783/13, 290916526301/13, -394084565283/13, 125381435821/13], [431842129557/2, 137746591677/2, -436029438091/2, -76375162019/2, 88408954697/2], [-109/26, -5/26, -5/26, 3/26, -1/26]], [[0, 0, 0, 0, 0], [896533059549064054422464, 1911321063735133681895786, -1339906634045044035636612, -1022148227965958055841818, 509876022308331880125484], [-9709636809312024684749714, -16316972286274789654704501, 16167258969618109826783556, 7458737111422697542831225, -4579164529338074967127189], [183751878015702, 359376605113653, -274169982242124, -144697577589153, 77023939427937]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-692/3, -98/3, -10, 12, -4/3], [376/3, 34/3, 10, -10, 2/3], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-12051037452590660/39, -14682292587617507/39, -13965671539532594/13, -122373986007463, 11672420533955534/39], [532525147834606/3, 1120707047831153/6, 536771546058819, 124005216567405/2, -450163857856549/3], [6/13, 5/26, -1/13, -5/26, -1/13]], [[0, 0, 0, 0, 0], [-173674916036864345634836116/39, -165496967670660127516584964/39, 175831756887677500059458648/13, 47272978833570930166308456/13, -140082659639772586648663016/39], [7000727969189163707997752/3, 6886820581615363783923440/3, -7017831329407544857727972, -1910859329892092710130610, 5596902329121342007103056/3], [26450832256/13, 49993132480/13, -41360738208/13, -20586705600/13, 917250976]]], 0, 29331456, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[7, 14, -13, -7, 4]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-13/2, 7/2, 3, -4, -3], [-13/2, 7/2, 3, -4, -3], [-17, -2, -2, -2, -3], [0, 0, 0, 0, 0]], [[962953409630, -2089581917058, 1719506206691/2, 949760723256, -871933524879/2], [962953409647, -6268745751200/3, 1719506206521/2, 2849282169859/3, -2615800574357/6], [5044433851355/2, -8568044446803/2, 3102936849267/2, 3846001106253/2, -862517400988], [-3/2, -1/2, -1/6, -1/2, -1/3]], [[-94102280328238375489, 5722406644556868314889, -6162998239829272920547/2, -2576808345707463282714, 1229251169477080887024], [-94102280324652223864, 5722406644573141428389, -6162998239776455321797/2, -2576808345717951665339, 1229251169455297818024], [3065642786246641878913/2, 31345216489846396179655/2, -19264647474907158209081/2, -14350487746968578616067/2, 3577029971406558190445], [-12578978125/2, -25685044875/2, 22332582125/2, 13054633375/2, -3338955375]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[13/2, 9, 52, -11, -26], [-45/2, 10, 48, -16, -27], [29, -1, 4, 5, 1], [0, 0, 0, 0, 0]], [[-23707961091137, 137860041511699/2, -19892712541645, -58802756857861/2, 23343895692109/2], [23562985694192, -137876579878967/2, 19920427129163, 176548409491423/6, -70102847734625/6], [-94541893570695/2, 137868310695332, -79626279341661/2, -117652226688293/2, 46711511603651/2], [-31/6, 0, -5/6, -5/6, -5/6]], [[54707349763851819771296571/2, -90151156419394092090454998, 57411152502660338207802327/2, 77026709666201135226548827/2, -31332959658448460921374303/2], [-167309758557397558220114035/6, 89079219867551565382160367, -55484229663190209559018577/2, -228020799766485972998301985/6, 30743628148257176653903343/2], [110477269282837238461647215/2, -179230376287118591885528616, 56447691083060922771427924, 76516821460942250598955717, -31038293903402468932698451], [-122383363887025/6, -122046216447976/3, 115142234560244/3, 59554259368757/3, -34914787496531/3]]], 0, 36, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[3, 7, -7, -3, 2]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[3/2, -2, -12, 5, 6], [3/2, -2, -12, 5, 6], [2, -3, 0, 10, 5], [0, 0, 0, 0, 0]], [[927481293/2, 691534683, -345625879, -198101775/2, 175005815/2], [2782443875/6, 2074604063/3, -345625872, -594305293/6, 525017431/6], [-1586693261, -2391503319/2, 8296690259/2, 1154876491, -1037496217], [-2, 1/6, 1/6, 0, 0]], [[-160533307793618, -336295782228938, 577855967877615/2, 327280283370047/2, -91865106904854], [-481599928481038/3, -336295780306492, 1733567902375229/6, 981840848733005/6, -275595320592386/3], [287857436168642, 721975212733363, -590953521201524, -317691481520347, 179006145940667], [-520576, 3830367, -1723080, -4840477/3, 2181821/3]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-3, -1, 15/2, -11/2, -5], [-3, -1, 15/2, -11/2, -5], [5, 7, -1, 2, 2], [0, 0, 0, 0, 0]], [[1062061065/2, -296545253/2, -433997305, -456647758, -44197763], [3186183155/6, -296545247/2, -1301991793/3, -1369943293/3, -132593344/3], [-4529092861/2, 5061584191/2, 2221123447/2, -609141743, 106050343], [1/2, -1/2, 1/2, -2/3, 1/3]], [[9216551786222262, 55528566038038911, -38497000466597157, -24972437947745061, 13163341084286469], [9216551777520078, 55528566168700881, -38497000534818723, -24972438005603985, 13163341111883097], [710438193929481, -245549810290518214, 134025709943943027, 107475441703294147, -51620255568311562], [-257763, 77298240, -40574568, -34328469, 16162419]]], 1, 4, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[-48, -112, 112, 48, -32]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-18, -10, 4, 8, 0], [-18, -6, 0, 10, 4], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-7029719452/3, 3998258198/3, 446307214/3, -4094788916/3, 439369794], [-3609163789, 2521617447, 5465170353, -927912354, -943993959], [-1/3, -1, 1, 0, -5/3]], [[0, 0, 0, 0, 0], [322486274097518874, -6220015893592466, -222482155531798078, -2634744075876892, 31866613020124092], [340947744797660556, -100854313350784024, -212373177678327176, 32277490708373172, 21873620784952404], [55326852, 143529960, -93203376, -61562004, 30372748]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [22, -6, -6, 6, 8], [-22, -8, 8, -8, -2], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [226487852670, -386432966378/3, -105538770382/3, 95534926202, -88350705610/3], [-216099393015, -51962581589, 82838280676, 26328222177, -16614655430], [1/3, 1/3, 0, 1, 0]], [[0, 0, 0, 0, 0], [7004375594982406527788/3, -28185742074353102179222/3, 3378625375088574221160, 4026490025467740852972, -1692447202251773313918], [-1154482375055654937936, 6566417703528730155876, -2705316991708025458376, -2833898223026994926872, 1238858365771228981908], [-1426058512, -10612257500/3, 9904600400/3, 1532243992, -2861907940/3]]], 0, 3142656, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[-112, -224, 208, 112, -64]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-108, 8, -14, -6, -2], [38, 0, 4, -4, 2], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [216645040371282, 45209708801422/3, -71161325629688/3, 3967341983824/3, 12177663188722/3], [-77139339020670, -9396706172281, 13712723128780, 7015859207444, -4178126053164], [6, -1/3, 4/3, -4/3, 0]], [[0, 0, 0, 0, 0], [514922782386748373385103310/3, 950347656856678421128627688/3, -961839833192891420861913182/3, -150592191931243206089954264, 283234590018040337020786892/3], [-61052055787207424844367659, -112915902209121618815513949, 111752190073218799428600731, 53908916286954302110982438, -33136287518004510006745704], [4498180790383, 9062599288953, -25176391320157/3, -13483879438666/3, 2598538410272]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [84, -12, 4, 2, -2], [-14, -2, -2, -4, -8], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-4889347952466460/3, 336785197968244, 815298025462870, -312721884234524/3, -231625409710270/3], [268517478072272, 30357286032217, -76014819167719, -12208215536088, 6666584037537], [0, 1/3, -1, 0, -5/3]], [[0, 0, 0, 0, 0], [-18682941645765751403848366, -28545836543841078358642570, 28923136691006797538744652, 12932078392167173008241394, -8022800536224496928437278], [3683959710210621288159560, 5545760562612090044179652, -5661069200616655046478863, -2515109848477357445226823, 1565732087885459041173931], [-1004240288, -1988956404, 1958136979, 1021857867, -636154751]]], 0, 37711872, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[17, 19, -22, -9, 6]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[2, -1, -16, 3/2, 33/2], [15, -6, -73, 29/2, 91/2], [7, 2, 1, -5, 4], [0, 0, 0, 0, 0]], [[-1044291436715, 3660017056823/2, 561118227697, -990732432166, 434910343307/2], [3212611896001/3, 650439143061/2, 1034592861133/3, -910176667238/3, 105776695519/6], [9547639929510, -31533242958849/2, 2034169583231, 6369691220417, -2190411527361], [-26/3, -1/6, -1/3, 1/3, -1/3]], [[35907363696965631479906845/2, -2777266113173902960703979, -28404759420770391370603757/2, 5141079129717245352255243/2, 2223094523963284851814379/2], [-337692657778851784322308129/6, -66365897525483564896792485, 437319211587188937561164081/6, 64322763962093536979140511/2, -121355361361297882571119747/6], [-224677441855429200190601246, -51014524620948389042674233, 188483214592999179447950889, 29903454646622503295183742, -36105092324818999744885393], [1216308181751714/3, 1353705724231111/3, -1567324067332823/3, -214019207468502, 425581062491503/3]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-7/2, -3/2, -1/2, -5/2, 3/2], [-7/2, -3/2, -1/2, -5/2, 3/2], [11, -2, 1, 1, -4], [0, 0, 0, 0, 0]], [[-1114376835/2, 240769221/2, 5206726103/2, 431590599, -660802393], [-3343130585/6, 240769255/2, 5206726255/2, 1294771796/3, -660802415], [371538411/2, -258445387/2, 14490618, 65362350, -36568298], [-23/6, -1/6, -2/3, -2/3, 2/3]], [[-7867834545009904569, -12506406113561068055/2, 36497610288767918627/2, 5428181612337680724, -9940631187506463247/2], [-23603501824857117103/3, -12506404557018303603/2, 109492823123732975621/6, 5428181499375160536, -9940630406456341863/2], [15063619069018166703, 12705305976079466192, -17989004449102411248, -6129164811134602832, 4700895194061631206], [-1221010772723/3, -454458954300, 1575804329204/3, 645363400216/3, -428441879870/3]]], 0, 108, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[3, 7, -7, -3, 2]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[1, 3/2, 11/2, -3, -7/2], [1, 3/2, 11/2, -3, -7/2], [22, -1, 4, -5, 4], [0, 0, 0, 0, 0]], [[-201454050385/2, 65869644046, 76740690067/2, -15500083571/2, -5877399699/2], [-604362151289/6, 197608932187/3, 230222070889/6, -46500250925/6, -17632199399/6], [-1075191091455, 2187007606291/2, -212624997974, -216388980991/2, 33288559007], [0, 1/6, 1/3, -1/6, 2/3]], [[-412970951303039422, -1650336635196459116, 1193236962498624240, 730351807403716540, -390363002528648226], [-1238912853909647746/3, -4951009905597767188/3, 1193236962492085720, 2191055422211423660/3, -1171089007580708158/3], [-3179351454583013975, -18875159909490063290, 12450100705529861140, 8289413395000543970, -4267569849208535930], [3126040/3, 6676780/3, -4529720/3, -2661040/3, 1331140/3]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-3/2, -3/2, 3/2, -5/2, -5/2], [-3/2, -3/2, 3/2, -5/2, -5/2], [1, -6, -18, 5, 7], [0, 0, 0, 0, 0]], [[1110875, 1671959/2, 64867/2, 26106, -136925/2], [1110887, 5015821/6, 64737/2, 78362/3, -410587/6], [6476835/2, -964401/2, -2321614, 2760081/2, -641647/2], [1/2, 1/2, -1/3, -1/2, -1/6]], [[319261360613/2, -1627899997643/2, 621314909355/2, 711111693967/2, -302769993985/2], [319261636091/2, -1627900331725/2, 621314747851/2, 711111861547/2, -302770020935/2], [791503493313, -5946669603555/2, 944145786432, 2736426775665/2, -554654671155], [40621, -532385/2, 115444, 234955/2, -52185]]], 1, 4, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[3, 7, -7, -3, 2]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[2, -1, 0, 1, 0], [2, -1, 0, 1, 0], [1, -8, -18, 6, 9], [0, 0, 0, 0, 0]], [[547/2, -745/2, -1861/2, 969, -409/2], [545/2, -765/2, -1873/2, 2818/3, -1267/6], [-16, -14, 111/2, -139, 107/2], [17/3, 0, 5/6, 1/3, -1/6]], [[-5551001036, 7878475843, -17176239157, 30546128655/2, -7392477673/2], [-4962192501, 10879836163, -56979104441/3, 27211283855/2, -18279833159/6], [221666973/2, 10844919401, -7619106567/2, -15417772439/2, 3175026046], [-2412551785/2, 682601045/3, 1568419195/2, -463751855/6, -260534750/3]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-2, 7/2, 12, -7/2, -11/2], [-2, 7/2, 12, -7/2, -11/2], [6, -4, -27, 15, 17], [0, 0, 0, 0, 0]], [[77724613/2, 42626723, -47340722, -37867321/2, 24722561/2], [233173625/6, 42626742, -142021615/3, -113602115/6, 74167201/6], [131247897/2, 129219045/2, -180850194, -50156570, 94456661/2], [-1/2, -1/2, 0, -2/3, 5/6]], [[425385924545325/2, -793658064237033, 274451596378590, 340201608543633, -141487733300906], [425385914018369/2, -793658045664439, 274451590835220, 340201600615315, -141487730192764], [-151460687024337, 270296573180532, -70505456510355, -120873603689928, 48811136836644], [-2594029, 10150694, -3492365, -4497546, 1865388]]], 1, 8, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[-48, -112, 112, 48, -32]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [14, 0, 2, 10, 0], [-10, 4, -4, -2, -8], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-1109949021374/3, -135889419152, 790739970626/3, 70221885792, -55668068436], [275715384842, -45105909483, -153657186299, 78254174525, -11007256858], [2/3, -1, 1/3, 5/3, 2/3]], [[0, 0, 0, 0, 0], [4211289249815908702, 7204403899435116084, -6972857662594449308, -3222052071763850036, 1963458438416580344], [-2506797165944812590, -4850723952050303760, 4354611773698762470, 2287598238247063200, -1321091031536124390], [-4962630, -10617560, 13401810, 4443620, -4420830]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [8, -6, 4, -2, -2], [60, 0, 8, 10, 8], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-995540729750, 59646089346, 612790171604/3, 103198138360/3, -111318005716/3], [-12042268210303, -4370509047836, 23409696981604, 5494715132399, -5863871568597], [-19/3, 4/3, -2/3, -1/3, -1]], [[0, 0, 0, 0, 0], [-5327020036226611862298744, -12251008016367105278019080, 10936506986711714057269856, 5426871432668372320073040, -3210968816392544939136880], [-57472734795140291375660694, -110620814768750884124930262, 90326913748498056393195030, 46839719218761549832868844, -26127984283151166668900724], [-33992254675848, -80455535423424, 76350941693880, 35169407008008, -21995476781208]]], 0, 4190208, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[-48, -112, 112, 48, -32]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-4, -4, 4, -2, 2], [12, -4, -32, 8, 12], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [65240/3, -48208, -414908, -65698, 313432/3], [-783687, -173499, 5363595, 1058357, -1441921], [-65/3, -5/3, -1/3, -1/3, -1]], [[0, 0, 0, 0, 0], [223876734854821748/3, 602097738973048900/3, -518158186352101118/3, -281348149745859730/3, 53919114535024426], [81523549859214424, -801314032860820547, 499977723229050762, 375161096413463424, -193284815046049476], [20165908759480, 74555765426159, -163639292905190/3, -102221254798480/3, 54522200042428/3]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [24, -10, 0, 10, 6], [6, -4, 10, 0, 4], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-15943185518858/3, -2582283877830, 11617233084368/3, 3299309048468/3, -2557083289372/3], [-1570600284024, -512124932003, 485901491897, 316072535021, -158290581902], [-8, -1, -1, 1/3, -2/3]], [[0, 0, 0, 0, 0], [-2235040540711097614023216, -4614224521574620788820176, 4180651007034515225205288, 2071226416093968660193032, -1224230641455325504492542], [-641112473101375260190566, -1448262801380838913670333, 1298377030520330396394738, 637575876291080270321947, -378497207014342087932235], [-3179943186962, -7809387725231, 7078709207046, 3421084754169, -2067541716745]]], 0, 4190208, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[-272, -304, 352, 144, -96]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [30, 22, 136, 2, -88], [-40, -4, 10, 6, -10], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-560295989788/3, 357759421572, 1399380306250, -1153738503022, 101950504150/3], [-170425896036, 191746603137, 285916272255, -565854168129, 159146258880], [28/3, 1/3, -1/3, -1/3, 0]], [[0, 0, 0, 0, 0], [-68976022667059208912, -100408125985880591060, 198337850520587738696/3, 76232577988682325206, -92381121679875970322/3], [55176953972252024346, 53174745583027208096, -79483446755278711758, -10450902970717622716, 13606005638292539488], [-6139051042, -22224208544/3, 8346343078, 10235583172/3, -6662844640/3]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [26, -6, -2, 2, 2], [28, -46, -214, 28, 90], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-111595433338/3, 282242310458/3, -65623742180/3, -43832405128, 50151964010/3], [4327281443, 937513465, -386529138, -250064033, -5639604], [5, -1, -4/3, -1/3, 0]], [[0, 0, 0, 0, 0], [-11600324064970510174892/3, 11447811643011687334304/3, 785572148512013428208, -5644543660527143000968/3, 492947867011483787076], [1659586236939791106718, 2168642172733363555918, -1843743722432199343548, -914312600861209312888, 503936640168857048552], [5079287455322/3, 5666574669878/3, -2191065664636, -2696182653122/3, 1801692318694/3]]], 0, 113135616, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[8, 7, -9, -3, 2]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[1, -3/2, -1/2, 0, 1], [1, -3/2, -1/2, 0, 1], [-6, 2, 0, -3, -4], [0, 0, 0, 0, 0]], [[-2939353265/2, -237952622, 1883956053/2, 144269275, -335525523/2], [-2939353221/2, -713857888/3, 5651867525/6, 144269321, -1006576213/6], [37950919931/2, 41437759985/2, -20953660000, -17672480009/2, 10784759991/2], [-23/6, -5/6, 0, -1/2, -1/2]], [[-1359839293316811379079/2, -1171958064107932064581/2, 809120009462259807225, 533556575562077904425/2, -390028825181712167961/2], [-1359839309961771471829/2, -1171958043003110057367/2, 809120060815510459368, 533556555541941403775/2, -390028870025756219317/2], [20490901411685375466773/2, 13160786407300695082954, -28906618860990753444913/2, -5973536307489457444869, 7709945584007005251523/2], [-3753177054803/2, -1852620421894, 3111267128343/2, 855303039459, -379593212053/2]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-9/2, 1, -1, 2, 1], [-9/2, 1, -1, 2, 1], [-10, 18, 68, -41, -48], [0, 0, 0, 0, 0]], [[-147876764229, 321912387480, -4166288016, -416171703277/2, 139650883135/2], [-443630292773/3, 965737162489/3, -12498863609/3, -416171703363/2, 418952648959/6], [83711161077/2, 5918631347, -131011098917/2, -13514088212, 15939126985], [3/2, 1/3, -1/6, 2/3, 2/3]], [[440709012860882958694957/2, -644115826376910043527001/2, 73407302253185120130575/2, 106964261110772047316793, -34750305101674031523582], [1322127038598377320167421/6, -1932347479052305315039603/6, 220221906794314603341275/6, 106964261103326178766718, -104250915312361993170146/3], [-203123805680689191393517/2, -172738619755921923414261/2, 246026198255118041615957/2, 79603052950312996661919/2, -29620481529525430288031], [-30489806795075/6, -8935558588225/2, 34791373906075/6, 3898476221475/2, -3997768034575/3]]], 1, 12, [], [] >,
< [ -1, 1, 5, -3, -2, 1 ], [[-128, -112, 144, 48, -32]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [12, 6, 10, -10, -8], [-186, -8, -6, -2, -10], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-2832717809162242/3, 98366782035844/3, 189168001007320/3, -3415759118364, 5141902225072/3], [16730491897357719, -4022813457847503, -20765632624169592, -2771309284668405, 4767621938012481], [5/3, 1, -4/3, -1, -1/3]], [[0, 0, 0, 0, 0], [1255397059262347243737250346/3, 547452802576534873277607044/3, -1204257119494465136023479724/3, -310254424418399825846459564/3, 270966048071838791757723002/3], [-5406098390230006109998255872, -1613895762795807981335642652, 4477442784580860673389444648, 957465526928045431275458016, -929232991786198181569747860], [-2128104803824/3, -1839511308520/3, 808607032564, 792455144696/3, -550931517040/3]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [16, 0, 10, 4, 8], [-36, -6, 2, 4, -4], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-15975653749470, 7355826362110/3, 39328319652, -4278001001060/3, 2211854600516/3], [34531605426423, -383642531136, -17886726507999, -551510958153, 2469455763351], [-1, 0, -5/3, -1, 5/3]], [[0, 0, 0, 0, 0], [-2484639669697509023811562, -1872014847771708458637132, 2685355826224764100967974, 862052236333158387924160, -636017202192467398350484], [5107540423901896648289706, 4246058123643661002217032, -5909500557156523647942726, -1974269166949310094275742, 1433917419891172247928102], [-208342250774, -180564214808, 235337478714, 77617360546, -52764202770]]], 0, 12570624, [], [] >,
< [ -1, 4, 0, -5, 0, 1 ], [[-3, 0, 1, 0, 0]], [ -11, 0, 0, 0, 0 ], [ 16, -44, -57, 10, 13 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 103/2, 20, 27, 5], [-14/11, -337/22, -74/11, -60/11, 20/11], [2/11, 105/11, 42/11, 51/11, 5/11], [0, 0, 0, 0, 0]], [[40984485779, -1516243989151, 1318497332244, 782199007225/2, -334559531054], [198295607844/11, 4668303633258/11, -4633963224399/11, -2366135419091/22, 1136272175353/11], [72152495945/22, -6099139289919/22, 2733919125552/11, 1567189214345/22, -1376122004791/22], [-5/22, 3/22, 0, -5/22, -5/22]], [[-2524049792080212594075/2, 4007789486225817457137/2, 7232654849057927511871/2, -881672105975762706349/2, -1634982528672224984971/2], [9025382902516057790807/22, -12975468751374045083237/22, -24248754799882767789179/22, 2846091955965162827713/22, 5448357217805723075463/22], [-2627852186918047736704/11, 4075796650182920724748/11, 7414854153089072605676/11, -896034651593416234632/11, -1673797502430554821160/11], [-1311920464, 2650438108, 3603121916, -605483832, -808787240]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-541/2, 223/2, 185, 225/2, -2], [132063/154, -59541/154, -49911/77, -61451/154, 362/77], [-505/77, 223/77, 373/77, 229/77, -3/77], [0, 0, 0, 0, 0]], [[-169609847251161/2, 264487328137323/2, 221391473364421, -128646479083523/2, -44593386176821], [-556138452390305/22, 8268269947608983/22, 3497837711749482/11, 702686543927019/22, -1003714865605167/11], [-3806889149510/11, -31156449640171/22, -6177508748514/11, -12312777987449/22, 5967297879717/22], [-16/11, -5/22, -2/11, 1/22, -5/22]], [[30282466761963659010947499/2, 2916970555651524599574313645/2, 4152740427517315005845666169/2, -328053035190306204213807181, -1025647200183787352815805339/2], [-125054607868561355385245943511/22, 240094187865947895293175041153/22, 285549931813789398422137521385/22, -27628219033268957353988400074/11, -62630245589378734088447165355/22], [364499171525352821327221704/11, -1209345998577305762695640687/22, -697295892776435203569467034/11, 279298088910863454395733471/22, 149267809268132373632686349/11], [480859768421532/11, -826185012701133/22, -1080331426934106/11, 173126224743573/22, 238099350124891/11]]], 4, 4, [], [] >,
< [ -1, 4, 0, -5, 0, 1 ], [[48, 0, -16, 0, 0]], [ -11, 0, 0, 0, 0 ], [ 16, -44, -57, 10, 13 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [322/11, -200/11, -234/11, 16/11, -86/11], [108/11, -50/11, -42/11, 4/11, 6/11], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-96378000964/11, 68793278958/11, 108258115054/11, -32183543218/11, -18016634906/11], [-29183274922/11, 9999071657/11, 11308576036/11, -1927200310/11, -1333382966/11], [-42/11, -3/11, -4/11, 0, 4/11]], [[0, 0, 0, 0, 0], [-4087536579011884488/11, 2067390295167128900/11, 483287895708807784, -1309084365469088192/11, -1668535131927492044/11], [-2431877170395746850/11, 3403105355254438406/11, 4765160615320591262/11, -804737040079456382/11, -1026030560752235204/11], [-5132729490/11, 8503252086/11, 11834156292/11, -1886121762/11, -2579873184/11]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-72726/77, -94538/77, 37218/77, -112608/77, -1206/77], [-554/77, -694/77, 268/77, -828/77, -10/77], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [7312492366052614/77, 48280315447307390/77, -15795982205654824/77, 3024136256382960/77, 2922338108283164/77], [57763307485375/77, 353592076470327/77, -113076161798751/77, 22587630819408/77, 20883588690138/77], [-13/11, -5/11, 1/11, 4/11, -4/11]], [[0, 0, 0, 0, 0], [-471825003007914865674349888/77, 753625489068086898978343824/77, 980285630017760448139976976/77, -173130186815203361238290784/77, -212234700086548654312704112/77], [-3541194558096729852557916/77, 5620021568497376220596376/77, 7372252997499376169516812/77, -1290076340280560398754352/77, -1596812623952654605473222/77], [260329042656/11, -281123002848/11, -565106195232/11, 61506705984/11, 123752013312/11]]], 0, 1745920, [], [] >,
< [ -1, 4, 0, -5, 0, 1 ], [[1, 5, 0, -1, 0]], [ -11, 0, 0, 0, 0 ], [ 16, -44, -57, 10, 13 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-1327/2, -29/2, -22, -5/2, 3/2], [3995/22, 17/22, 87/11, 29/22, 5/22], [-1328/11, -24/11, -47/11, -6/11, 2/11], [0, 0, 0, 0, 0]], [[3171657955449701/2, 916382680995675/2, -2471706483420223/2, -125508794268967, 211932843770484], [-9510852293244397/22, -2748982065163281/22, 7415393408945267/22, 376778777964043/11, -635794332376836/11], [6342727114741823/22, 1832741650873615/22, -4943452103795483/22, -251053644988941/11, 847730175386349/22], [23/22, 5/22, -3/22, -1/11, -1/22]], [[70123665497726890482903349/2, -43555168344415257475901247, -150092999594588798202638431/2, 19464050702488565779927287/2, 16398063404508143217282333], [-210253612646321417308259591/22, 130563119819807761676398843/11, 40914831641844824438341279/2, -58340991342664987203585643/22, -49172388105182691999891817/11], [70115280937239443659505470/11, -174191420459543546558468715/22, -300155163371546479375004205/22, 19460396362146624474498835/11, 65586024444222207009377995/22], [311266614410/11, -998628496545/22, -1191158806535/22, 119862062305/11, 251719748865/22]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-2931, -214, -51, -170, -2], [775525/77, 56450/77, 12757/77, 44874/77, 706/77], [-5821/77, -424/77, -97/77, -337/77, -5/77], [0, 0, 0, 0, 0]], [[60757448891324092, -1556881383554909, -7764037771975670, -11999096238199531/2, 3738589330042867], [-16073666133727827445/77, 405518606473399291/77, 2071946702660049002/77, 3191234368764536359/154, -996271771250733333/77], [241302205794885957/154, -6109284569850111/154, -31043925710490667/154, -11962688311354304/77, 7465948544558334/77], [63/22, 3/22, -3/22, 1/11, 0]], [[-913702770199736741472778068259/2, 750953547099723571591397420361, 1678266799968305600899895678731/2, -184580260390753815195083233691, -348775282834944714593926118305/2], [241672957754667189460875334639521/154, -198593958291733468916437109948991/77, -443825378897586349031681992466449/154, 48819323716523062235558709282965/77, 92226819520636334834904979641307/154], [-907058346104806501877447552721/77, 1490798729176845938282159597694/77, 1665848611904532436315390610389/77, -366465138177978827943508180576/77, -346170105520145174444212457343/77], [-22901547628830, 411826547029740/11, 515408361293250/11, -96991790567770/11, -111238301938910/11]]], 1, 20, [], [] >,
< [ -1, 4, 0, -5, 0, 1 ], [[-16, -80, 0, 16, 0]], [ -11, 0, 0, 0, 0 ], [ 16, -44, -57, 10, 13 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-2602/11, 290/11, -236/11, 408/11, -70/11], [-634/11, 100/11, -48/11, 80/11, 10/11], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [51723334469625344/11, 76823411431780/11, -39738789108408278/11, -572092053492990/11, 6615188933122178/11], [12552338644014271/11, -319922936837638/11, -10025263430336520/11, 61166821901773/11, 1759855415240584/11], [41/11, 2/11, 0, 3/11, 4/11]], [[0, 0, 0, 0, 0], [-2420673715958869616150270969066/11, 2883701956649779500303425311862/11, 4620893050645648737083719508032/11, -653217226550017323581617170796/11, -991635230631032081655602813392/11], [-574059720711686386598595894800/11, 671182077486474236652710183720/11, 1087719056169775933690706872780/11, -151964551344161276582073811780/11, -233248798328405656844295332680/11], [-2737649572485120/11, 4582994724819540/11, 5241483059245500/11, -101534667201600, -1102052468654160/11]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [31216, 814, 1354, 1358, -8], [230, 6, 10, 10, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-171978455612535788376018/77, 1345148123032437161498/7, 25724576880651809101532/77, 1791384951494422370090/77, 724435503896810966252/77], [-1267081324598945020960/77, 108816387222424550385/77, 189240936760716672560/77, 13526483739775009163/77, 5260571236162830597/77], [80/11, 5/11, 0, -1/11, 1/11]], [[0, 0, 0, 0, 0], [881393284118409883496759859373831818/77, -1354765217181108532882974747886909532/77, -1774874654935990421184191036883330028/77, 314063285047416617961477448247996920/77, 382676400383684740039708022344622458/77], [6494747662999596898660337089521320/77, -9983925032993887319823294873778736/77, -13078059876594390237023444931647912/77, 2314565024221694125610069218955824/77, 2819696540237162993738139438714704/77], [-42792334970400, 70223971490352, 90567842462064, -17176292792208, -20094890182488]]], 0, 20951040, [], [] >,
< [ 1, 5, 2, -5, -1, 1 ], [[3, 4, 0, -1, 0]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[27/2, 6, 25, 17/2, -19/2], [23/6, 5/3, -25/3, -3/2, 23/6], [29/2, 5/2, 1, 2, -2], [29/6, 5/6, 1/3, 2/3, -2/3]], [[92506140751/2, -15193252879, -99709749743, -5885229850, 20269055295], [26552606629/2, 10568265302, -14644605173, -4800742747, 3368214702], [110659480155/2, 42334592895/2, -74094886593, -24622036803/2, 30486626289/2], [36886493385/2, 14111530965/2, -24698295531, -8207345601/2, 10162208763/2]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-1, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-5/2, 3/2, -23/2, 2, -11/2], [-261/10, 191/30, -323/30, -2/15, -59/30], [36/5, -9/10, 27/10, -2/5, 1/10], [-12/5, 3/10, -9/10, 2/15, -1/30]], [[-99307870563/2, -1693384524406, -1649590385051, 242630047448, 662495179807/2], [19923992795639/10, -5456582899384/5, -19963584627748/5, -636924934894/5, 7992923676707/10], [-5512181645733/10, 1034715932433/5, 10081191482997/10, 239709632043/5, -1007182130547/5], [1837393881911/10, -344905310811/5, -3360397160999/10, -79903210681/5, 335727376849/5]]], 4, 3, [], [] >,
< [ 1, 5, 2, -5, -1, 1 ], [[-48, -64, 0, 16, 0]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [2, -6, -6, -2, -2], [10, 10, -10, 2, -4], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-536537018/3, -4195433510/3, -2544225334/3, 567444392/3, 189232626], [618871122, 1422068973, -1268851445, -834763101, 457252197], [-2, 1/3, -5/3, 1, 1/3]], [[0, 0, 0, 0, 0], [1523368464704062, -9796389786997716, -55067320022936260/3, -218042750226856/3, 12205417740812312/3], [7754702681872643, 3238855495931105, -10450506213299492, -1861929726842389, 2183515069170233], [-244730605/3, -200998495/3, 259407820/3, 74983595/3, -55582135/3]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-58, 0, 6, 12, -10], [6, -6, 4, -6, 6], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [3833710657648/15, 6493814946524/15, 460974045746/5, -748954858736/15, 205915704404/15], [-151821130037/5, -186273907541/5, 15711219273/5, -79843936371/5, -124024108976/5], [-73/15, 11/15, -11/5, -3/5, -4/15]], [[0, 0, 0, 0, 0], [4703455009466294050608/5, 4448185273596692719254/5, -9324087832262917169816/15, -1330700016183602590296/5, 1893671124598017989792/15], [-637066525035711552931/5, -675659580494258781558/5, 237311540947800769749/5, 178597168009025456607/5, -45323417631981403823/5], [1519381171/15, 430457284026/5, -276642284303/5, -159356272229/5, 254426122643/15]]], 0, 872960, [], [] >,
< [ 1, 5, 2, -5, -1, 1 ], [[3, -1, -9, -1, 2]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 2, 1, -1, 2], [0, 2, 1, -1, 2], [-12, -5, -4, 5, 1], [0, 0, 0, 0, 0]], [[-191432277/2, -90726292, -113111205/2, 17169466, 19976377], [-574296821/6, -272178956/3, -113111225/2, 51508451/3, 59929189/3], [-8252310697/2, -6828905549, 6881804136, 5206375965/2, -1688094953], [-19/6, 1/3, 0, -1/2, -2/3]], [[85525112421086774565/2, 15986035784757525625/2, -91331944357220884135, -13115849489199081125, 40292118584837782155/2], [85525105737909204545/2, 15986043000511957245/2, -273995784666972803225/3, -39347542312674864980/3, 120876332179969143605/6], [1220675442827860325386, 619618611129788482324, -1131926233586915738524, -492429123172158579457/2, 222199103087491342732], [5665507046290/3, 2608302535720/3, -10454616201820/3, -4101375146785/6, 2377249507780/3]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[19/2, 1/2, -1, -1/2, 0], [15/2, -3/2, -4, -1/2, 4], [2, 2, 3, 0, -4], [0, 0, 0, 0, 0]], [[211643471, -1053171345, 282111425/2, 329421286, -187632633/2], [217142662/5, -22768504232/15, -7362273743/30, 2871541956/5, 889202487/10], [1682149307/10, 4647289341/10, 3864648457/10, -1224435512/5, -913682842/5], [-9/10, 19/30, 23/30, -8/15, 2/15]], [[-1022608019892278551, -445048587703727223/2, 2786852569276039049, 826942571907010351/2, -630844215539190141], [-3532381404173864783/5, 17911223076447472111/30, 16038414043737954517/5, 2754195535973386907/10, -10943001392798526407/15], [-1580658614279916194/5, -4097825247388995562/5, -2104151286808906664/5, 690258636740375248/5, 493446072419985358/5], [33023752274/15, 12647910442/15, -62864855536/15, -11039978488/15, 14004120842/15]]], 1, 6, [], [] >,
< [ 1, 5, 2, -5, -1, 1 ], [[-48, 16, 144, 16, -32]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-2, 4, -8, -4, 6], [30, 2, -6, 0, 10], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-25696593206/3, 1853755630/3, 2864567642/3, -3437970052/3, 640639106], [130335808534, 281001990299, 211319420408, -33881559054, -49625377073], [-2, -5/3, -2/3, 0, 1/3]], [[0, 0, 0, 0, 0], [-114049129491510256, -83586556197653778, 173805443789071804, 39696677875990392, -38573161795383968], [571072514897864629, -1703582013537562404, -3953247424012234691, -109911362277090197, 875911771013726460], [-19027125, -1596600, 44813475, 5579325, -9824400]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [10, 14, -12, -8, 6], [0, -8, 2, 8, -8], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-6896520044/15, -81412016992/15, 53073935236/15, 29882859938/15, -5276722344/5], [5240164191/5, 13530289038/5, -12602173874/5, -5207788567/5, 3278041293/5], [3/5, 4/5, 14/15, -23/15, -1/5]], [[0, 0, 0, 0, 0], [-2312663697750567112922/5, -2346095125248528937886/5, 2666692282885523348968/5, 867979153183910461784/5, -596137276204154296866/5], [-504442129157683797726/5, 121236316681589754702/5, 826498168897330198044/5, 54999616346689982892/5, -166145890407253890558/5], [-911534563408/5, 99064200816/5, 2420553295552/5, 301915463136/5, -540139619264/5]]], 0, 3491840, [], [] >,
< [ -2, 5, 3, -5, -1, 1 ], [[0, 1, -1, 0, 0]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-15/2, -4, -1/2, 5/2, 0], [-6, 14, 3/2, -35/2, -1/2], [-5/2, -2, -1/2, 1/2, 1], [-5/2, -1, 0, 1, -1/2]], [[-313470718, 2076186043/2, -881426139/2, -371880905, 345309133/2], [201587972, -2783454571/4, 1328034525/4, 482933333/2, -487719579/4], [673498, -9638534, 7423635, 3036672, -1615868], [-157072108, 2095463111/4, -896273409/4, -374917577/2, 348540869/4]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[3/2, -3/2, -5/2, 3/2, 3/2], [-9/2, -51/2, -79/2, 55/2, 59/2], [3/2, -3/2, -5/2, 3/2, 3/2], [0, 0, 0, 0, 0]], [[-42139, 78251/2, -97609/2, -84907/2, 56137/2], [26114229/17, -100075285/68, -26381275/34, 1363469/68, 16473473/68], [-42123, 39118, -97569/2, -42443, 28071], [-8/17, 15/68, -10/17, -21/68, -5/68]], [[-5978333716876, 47631251755337/2, -6478995350134, -31369762322605/2, 12735674206867/2], [-238895357779981/17, -3407204672521685/34, 2947624504307240/17, -3098295131699585/34, 535953064190033/34], [-5978801424788, 47628522925065/2, -6475754288058, -31372304379381/2, 12735921077715/2], [233853956/17, 682207568/17, -1620531038/17, 635514194/17, -61717712/17]]], 4, 3, [], [] >,
< [ -2, 5, 3, -5, -1, 1 ], [[10, -18, -2, 6, -2]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-7/2, 3/2, 15/2, -21/2, -5/2], [-1/2, 33/2, 41/2, -7/2, 5/2], [-7/2, 3/2, 15/2, -21/2, -5/2], [0, 0, 0, 0, 0]], [[220760389990, -697671692390, 287216396610, 242964530570, -112003302150], [326741019119/2, -1439663898513/2, 390701797063, 513167057637/2, -132974402384], [220760389991, -697671692389, 287216396610, 242964530571, -112003302152], [1/2, 1/2, 0, 1/2, -1]], [[-28642891382103717510, 122643284821243584310, -47255257273732112330, -43069631985309155490, 18748061416663198070], [-53559647903615084120, 94102389267338972288, -58805250080215489084, -38751533928107577963, 22469501253640086482], [-28642891380928719648, 122643284820886757620, -47255257274126361776, -43069631985136140822, 18748061416657844528], [587498931, -178413345, -197124723, 86507334, -2676771]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[23/2, 13/2, -15/2, -7/2, 5/2], [413/2, 227/2, -277/2, -109/2, 75/2], [23/2, 13/2, -15/2, -7/2, 5/2], [0, 0, 0, 0, 0]], [[-5225555493/2, 2725852509/2, 10916050857/2, 385735629/2, -2309315919/2], [-783360065678/17, 431322885368/17, 1544041394379/17, 38679065054/17, -646394029127/34], [-5225555347/2, 2725852567/2, 10916050895/2, 385735371/2, -2309315927/2], [73/34, 29/34, 19/34, -129/34, -2/17]], [[923333613908775193845, -681622828272442063245, -2192784679928135688465, -55800534527243703225, 473718537906809954115], [549909353589220471538637/34, -211821004409432229646652/17, -615582182532143802566346/17, -17060058317394626058069/34, 131080011873878394454756/17], [923333549494774013992, -681622713784709038463, -2192784665424532577871, -55800575604578731760, 473718549023423803131], [-64414001179853/34, 57243866512391/17, 7251801555297/17, -41077335028535/34, 5558306924508/17]]], 0, 43520, [], [] >,
< [ -2, 5, 3, -5, -1, 1 ], [[2, -5, 2, 2, -1]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-5, 6, -1, -1/2, -1], [-3, 13, 3/4, -23/2, 3/4], [-1, 4, -1/2, -3/2, -1/2], [-2, 1, -1/4, 1/2, -1/4]], [[10834448, 29755049/2, -48519435/2, -14088731/2, 6378684], [-1119516, -46802967/4, -17665121/4, 16392521/4, 802074], [-2406426, 3674258, -2346500, -1460606, 1088054], [6620437, 22406533/4, -43826435/4, -11167519/4, 2645315]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[1, -5, -2, 2, 2], [-132, -90, -39, 35, 34], [1, -5, -2, 2, 2], [0, 0, 0, 0, 0]], [[17466803634, -142855231/2, 513382338, 615734794, -894815695], [-122390085219698/17, 1234265572787875/68, 901664718486629/34, -122734899863467/68, -95875029206626/17], [17466803662, -71427652, 513382322, 1231469527/2, -894815697], [-14/17, 73/68, 8/17, 61/68, 1/17]], [[626881815285020078975, -439036569007459147541, -259445704357931547676, 146233948435640715568, 2207836639770807817/2], [1560136023709615180608598/17, -28208398492351874868812/17, -2099071354230147693185344/17, -171830925829542172810781/17, 854949619427645872730345/34], [626881816395305554097, -439036571969469714667, -259445702850047575988, 146233949638718447814, 2207835032535540401/2], [-555142737561/17, 1481005283563/17, -753941985844/17, -601538866123/17, 401808816854/17]]], 1, 5, [], [] >,
< [ -2, 5, 3, -5, -1, 1 ], [[4, -20, 12, 12, -4]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [9, 7, -5, -5, 3], [-5, -3, -7, -1, -5], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [60432079/2, -748717367/2, -278040139/2, 99731913/2, 18925865], [-445712891, 1079281189, 957452061, -4259761, -98116472], [-3/2, -3/2, 5/2, -1/2, 0]], [[0, 0, 0, 0, 0], [4311308954999835/2, -3052206631991875, -6358273729885055/2, 614062263799025, 559609601464135], [-6062476526312597, 11122945952600052, 12142249758552557, -2160435455823270, -2438625968624046], [36760795/2, -26660310, -2948995/2, 9952245, -2663415]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-205, 11, -9, -5, 1], [-6, 10, -10, -6, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-83643772417740773/34, -16093049112462031/34, 65052039397261827/34, 8312284131453953/34, -5992923884463884/17], [-45579183248418, -2962798199762, 2178907945728, -1360644749084, -436135403711], [-29/34, -73/34, 53/34, 41/34, -2/17]], [[0, 0, 0, 0, 0], [3693461436034067070928821/34, -3609616989636027660867948/17, 4863903496093922693216559/34, 2945405359317255925978972/17, -3050524442959159224175271/34], [6614105789992655720423, -23404045229445997150918, 17596505709588993621535, 18444648729145768567382, -9644218544887139699589], [-4287652747/34, 10385292456/17, -12949532155/34, -5999809074/17, 5192239521/34]]], 0, 130560, [], [] >,
< [ -2, 5, 3, -5, -1, 1 ], [[0, -4, 4, 1, -1]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-32, 72, 64, -119/2, -30], [-32, 69, 68, -119/2, -30], [-32, 72, 64, -119/2, -30], [0, 0, 0, 0, 0]], [[7414809600, -14655567360, -18224133120, 10966272000, 8892741120], [16637248093/2, -53449394693/4, -78758413523/4, 10333183044, 18376594187/2], [7414809611, -29311134719/2, -36448266241/2, 10966272002, 8892741122], [11/2, 1/4, -1/4, 1, 1]], [[1052367931759503360, -139830157845857280, -690081130367907840, 6685940375961600, 102728218106910720], [13573537324142355637/2, 1747335666168052795/4, -5887641519536998084, -460411783446765079, 4211151479260386195/4], [1052367984030802071, -279660281291251011/2, -690081184630153497, 6685931440544019, 205456458287104497/2], [52271298711/2, 34400463549/4, -54262245657/2, -8935417581/2, 22073283057/4]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[29, -129/2, -119/2, 97/2, 30], [649, -2187/2, -2019/2, 1659/2, 512], [29, -129/2, -119/2, 97/2, 30], [0, 0, 0, 0, 0]], [[184154291725968, -6131756963247, -9657008566401/2, -5375211282391/2, -583050928597/2], [-16290864028035929761/34, -6853603680847207727/68, 16098307991086456137/34, 3999980759854276637/68, -3099072532467381201/34], [184154291725911, -12263513926533/2, -9657008566467/2, -2687605641192, -583050928601/2], [-57/34, -39/68, -33/34, 7/68, -1/17]], [[-72933649217757254992846024860, 2435518445669187268950614922945, -3789631049553380293338947922975/2, -785443407649069992784859338980, 518611997492888431495721359155], [-25063113053367808835941383239686745/17, -2257752630888373128024744968047252/17, 44810646605992623949842700588020269/34, 3879364893414425474290398339096435/34, -8132960688275527595467560095483105/34], [-72933649217754544363826575962, 2435518445668273115996195424673, -3789631049551571345816411907015/2, -785443407648840199650478616459, 518611997492662899103867034010], [1355314509724449/17, -457076477209749136/17, 452236880634003990/17, 229793134380722521/34, -225532391854325145/34]]], 0, 32, [], [] >,
< [ -2, 5, 3, -5, -1, 1 ], [[32, -80, 32, 32, -16]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [4, -8, -6, -2, -6], [-16, 46, 22, -30, -6], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [355856, 473150, -6871322, -1161068, 1880617], [145206536, 39212196, -147610256, -20480180, 28990318], [-2, -2, 2, 0, -1]], [[0, 0, 0, 0, 0], [735431083010, -3474179798275/2, 590311516425, 1258495215867/2, -271047940472], [-66083666773844, -18384519291079, 67807603214544, 9723712634335, -13393689871892], [1050848, 1524821/2, -1377708, -668945/2, 309914]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [22, 10, -4, -4, 8], [8, -20, -20, 24, 10], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [6258038166101/17, 1791245619593/34, -6030165664725/17, -1269146924197/34, 1138652965120/17], [-11189681602, 1935142849, 2523230388, -905535435, 173485838], [-91/17, -39/34, -50/17, -61/34, -2/17]], [[0, 0, 0, 0, 0], [-36011763705130241026632/17, 24120296368894259441145/34, 22416302558189470318225/17, -3234251983708010256005/17, -2604988953984950880549/17], [228340135245818075564, -578818560160143051095, 201027464367622368762, 218873591851287138108, -94738547783378465864], [3382150616952/17, -17433867370435/34, 1344406163451/17, 4224941174164/17, -937371422722/17]]], 0, 2088960, [], [] >,
< [ -1, 8, 0, -6, 0, 1 ], [[1, -5, -4, 1, 1]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-7, -4, 5/2, 0, 5], [37/4, -441/4, -19/4, 54, 19/4], [-3/2, -3/2, 2, 2, 5/2], [-11/4, -5/4, 1/4, -1, 5/4]], [[4337675337367, -12822737938035/2, -8890956123246, 3050874939455/2, 1842888260480], [100786916526, 59558612048903/4, 8756501410341, -15037429926275/4, -4070365350847/2], [2585987797906, -13136735115418, -11282625754766, 3044477198530, 2548500686118], [1751687539461/2, 13450732292801/4, 1195834815760, -3038079457605/4, -352806212819]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-2, 2, -2, 5/2, 0], [68, -9, 9, -19/2, 5], [-2, 2, -2, 5/2, 0], [0, 0, 0, 0, 0]], [[5100551834196, 12222774487420, -11292835809948, 390410239940, -1338653141364], [-10779854465535759/44, -1281885498073031/44, 12636090016751813/44, -534133990905335/11, -1776196844837411/44], [112212140351943/22, 268901038723171/22, -248442387818931/22, 4294512639292/11, -29450369109999/22], [-123/44, -23/44, -25/44, -8/11, 3/44]], [[145223884666572667228, -1009629587745193899484, 412231216102982530268, 284018118232079614348, -127509213027119308084], [-57837610649375377539959/44, 86265152890295698414431/22, -75263860335312464989802/11, -58810519996200604746335/44, 41678908613720057577649/22], [3194925462681907884511/22, -11105925465264968310734/11, 4534543377080999381233/11, 6248398601137059445711/22, -1402601343286311242219/11], [5769735165/44, -11305902735/11, -17269483905/22, 10435976685/44, 4000382235/22]]], 4, 4, [], [] >,
< [ -1, 8, 0, -6, 0, 1 ], [[-6, 30, 10, -6, -2]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 12, 4, -2, 2], [5, 13, -5, -11, 3], [0, 12, 4, -2, 2], [0, 0, 0, 0, 0]], [[-179339699091/2, 48339281403/2, 194321434293/2, -10907116143/2, -34169845857/2], [-356099494555, -21785956535/2, 610414857975/2, 1387328765, -104591599531/2], [-179339699101/2, 48339281407/2, 194321434297/2, -10907116153/2, -34169845857/2], [-5/2, 1, 1, -5/2, 0]], [[-7711746994369444257, -12758970826988812587, 3289535442539469039, 3152778761915683383, -427774427730184059], [-75491529516250587163/2, -20686758081207098561/2, 40010336288284493600, 6418132737977739493/2, -7721489699185000822], [-7711746994889322114, -12758970827387506338, 3289535446003885743, 3152778762094914480, -427774428527375787], [-519877857/2, -398693751/2, 1732208352, 179231097/2, -398595864]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[10, 10, 16, 14, 2], [-11, -45, -67, -75, -7], [10, 10, 16, 14, 2], [0, 0, 0, 0, 0]], [[-5192405046405/2, -1267662921567/2, 1499122188023/2, -106307393173/2, -216316112519/2], [4137229653266, -637205020261, 9324073980621/2, 1435231040237, -2328572697399/2], [-5192405046411/2, -1267662921549/2, 1499122188011/2, -106307393179/2, -216316112519/2], [-1/2, 3/2, -1, -1/2, 0]], [[218838683150703013309, -329513914486709656985, -317874395029512152971, 74327970883812112517, 63961564567588528683], [-11525506105830191071871/22, 21589093937309516825606/11, 12849499182836538125999/22, -10222668919947955746259/22, -1155641236728315836211/11], [2407225514666855428562/11, -3624653059418561124199/11, -3496618345297739497526/11, 817607679740688750796/11, 703577210234812240479/11], [3040760721/22, -10792482894/11, 8964728385/22, 6251837703/22, -1443595839/11]]], 0, 43520, [], [] >,
< [ -1, 8, 0, -6, 0, 1 ], [[-1, 6, 8, -1, -2]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[3, -1, -1, 1/2, -5/2], [-53/4, 117, 23/2, -133/2, -41/4], [1/2, -2, 0, -1/2, 0], [5/4, 1/2, -1/2, 1/2, -5/4]], [[15939219/2, -152619152, -99940366, 36045612, 46249575/2], [82235487/2, -693005599/2, -580331441/2, 149903469/2, 68006514], [19326963/2, -77582975, -62122321, 17660043, 29005017/2], [-846936, -75036177/2, -37818045/2, 18385569/2, 8622279/2]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, -5/2, -3/2, 2], [107, 0, 35/2, 5/2, -6], [0, 0, -5/2, -3/2, 2], [0, 0, 0, 0, 0]], [[4675700825665/2, 574733852255/2, -705502058271/2, -89223425039/2, 3923138348], [-134345864455564185/22, 5281210563312314/11, 50220189390970721/11, -3197591972186287/44, -33375490115811529/44], [51432709081793/22, 6322072374643/22, -7760522641137/22, -490728837815/11, 86309043647/22], [-87/22, -27/22, -13/11, -67/44, -3/44]], [[-73299168710576356884114, 549804450312062047371034, -124924505915105839241298, -151414213987493955697218, 44260923539140880367706], [183290263333732305266975785/11, -379233401558576030184893083/44, -976990952350003914311961117/44, 75596595473775711092439261/44, 197411828834380473821423357/44], [-806290855810395774861654/11, 12095697906795787676917573/22, -2748339130239944654089731/22, -3331112707715182767777921/22, 973740317888460208757857/22], [990691810600/11, -23192455081725/44, -35872063593725/44, 3228085853625/44, 9120280222775/44]]], 1, 8, [], [] >,
< [ -1, 8, 0, -6, 0, 1 ], [[-2, 12, 9, -3, -2]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[9/2, 5/2, 1, 2, -2], [25/2, 15/2, 6, 2, 0], [9/2, 5/2, 1, 2, -2], [0, 0, 0, 0, 0]], [[-517980540459/2, -32133801199, 459479882831/2, 8175924918, -66371485831/2], [-3195370676585/4, 965428418635/2, 1445542576569/2, -221387330028, -743875230635/4], [-258990270228, -32133801201, 459479882831/2, 8175924919, -33185742913], [3/4, -1, 0, 1/2, 5/4]], [[52613904524954658954, -70035536542602659298, -85661401625393461686, 16012760121006129882, 17651426087242879854], [163326096645305590886, -311879056734937640219, -323666702584463134142, 70949696563715958772, 68667923486450026847], [52613904534049032294, -70035536609799273198, -85661401677371294346, 16012760136558344742, 17651426099240761074], [4547186670, -33598306950, -25988916330, 7776107430, 5998940610]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-9/2, 1, -3/2, -5/2, -3/2], [183/2, -3, 25/2, 35/2, 5/2], [-9/2, 1, -3/2, -5/2, -3/2], [0, 0, 0, 0, 0]], [[-8075998269078, 23763452298857, -24689787321937/2, -18138267937635/2, 8993909084061/2], [1392400585526392/11, -6086942145333397/44, 648861213521813/22, 2136249035998205/44, -407530026850645/22], [-88835980959915/11, 522795950574995/22, -271587660541379/22, -99760473656898/11, 98932999924677/22], [-19/22, 47/44, -6/11, 63/44, 1/22]], [[-53457076670661738035949213, 5990173002343599583993187507/2, 1681845105037650421362540243, -1479901484339425793249656799/2, -385764152957587506465709810], [-38293836035146039954625812059/11, -622136786957943842265438327419/22, -160948098058410111612359914926/11, 149103702322717070533256783717/22, 40203401830818023965335077887/11], [-588027843359539819388571735/11, 65891903025569614615812674509/22, 18500296155333182771323412163/11, -16278916327682229076189424005/22, -4243405682515285542715462508/11], [2956549834478268/11, -17498400676032339/11, -13495310610755085/11, 4287887463066732/11, 3029504734557567/11]]], 1, 4, [], [] >,
< [ -1, 8, 0, -6, 0, 1 ], [[8, -40, -40, 8, 8]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [13, 11, -7, 3, -7], [5, 1, -1, 1, -5], [0, 0, 0, 0, 0]], [[-8, 59, 26, -42, -19], [77382452880, -152059731281/2, -144675514543/2, 126915343191/2, 72464154125/2], [65873375680, -305626222037, -222616882075, 109294476583, 69265624729], [0, -3/2, 1/2, -1/2, -1/2]], [[1052227/2, -9037413/2, 4574493/2, 3841299/2, -1975677/2], [3409905605901415/2, 171341285157949/2, -2373031988596863/2, -44340790770499/2, 190648928379417], [1416046973331523/2, -1354039460396455/2, -1945354104485433/2, 316721403078631/2, 390757344018147/2], [54901, -507012, 261855, 212520, -220363/2]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [7, -9, -43, -31, -5], [13, 1, 9, 7, 3], [0, 0, 0, 0, 0]], [[12, -108, -12, 65, 9], [-899744900542321/2, 1234845221525349, 2494773849589293/2, -162349817154284, -220200766230736], [-683881164008608, -243789834637581, 124256202538270, 30366089299295, -12167743825295], [-3/2, 0, -1/2, 2, 0]], [[-304295932647/2, 2025259042985/2, 1633184023143/2, -434810423013/2, -243444759925/2], [-250347824043876778414364866/11, 3323989648589744302200724215/22, 1305886998022048498759572204/11, -760165954614348254713153475/22, -298594797264856026373173201/11], [50718542494509536825025977/22, -1131419649776237180882113587/22, -768239630383542762652433511/22, 259757068289940579330100135/22, 181146566407675063527659975/22], [-512255249083/22, 969899951156/11, 3012370420743/22, -245425387640/11, -621602129447/22]]], 0, 174080, [], [] >,
< [ -1, 8, 0, -6, 0, 1 ], [[-12, 44, 20, -12, -4]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-3, -7, 5, -3, -5], [4, 12, 6, 0, 2], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [2724260942, 3101674536, -6588747313/2, -1126556037/2, 1306752145/2], [-6830752268, 19830406552, -11080100711, -5928989827, 3520134945], [0, 2, -5/2, 5/2, 5/2]], [[0, 0, 0, 0, 0], [-71174701012102790869/2, 5559618105431485221/2, 56352407302735798555/2, -818782675361115675/2, -9602456504871267055/2], [53512852561893138038, -13679479140557009992, -35301339273121959594, 3277083294523347854, 5344373605630872970], [-5569151223/2, 3399909327/2, 10790021829/2, -547564317/2, -2426007297/2]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-207, 15, -11, -39, -25], [0, -6, 0, 6, 4], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-74034786792683571/22, 2882356482999077/22, 62458425664426879/22, -455703075261397/22, -5393105840957884/11], [-136858808013198/11, 38152954114992/11, 2116095273342/11, 7876762411032/11, 670708285923/11], [49/22, -69/22, -75/22, 3/22, -1/11]], [[0, 0, 0, 0, 0], [-1247311507830829911879977754/11, 344876714628226859666439506/11, 1779261211075714020068837085/22, -161694209277904100664214701/22, -282818460465304820767749107/22], [-3214992566223816739826367/11, -9340085790490762871275641/11, 4417118239866666917278656/11, 2594554903274456437633368/11, -1030449398334308477024922/11], [1310157176293/11, -4902121021711/11, -6571556426573/22, 2089878053331/22, 1233322598151/22]]], 0, 130560, [], [] >,
< [ -1, 8, 0, -6, 0, 1 ], [[-3, 23, 17, -5, -4]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[36, 1/2, 3/2, -1/2, 5/2], [47, 1/2, 7/2, -9/2, 15/2], [36, 1/2, 3/2, -1/2, 5/2], [0, 0, 0, 0, 0]], [[-145734232249586057/2, -12840251796045355, 30344790599312981, 4495487271832645/2, -3798130962130835], [-381607152747341261/4, -27765122377574845/2, 136031639769172729/4, 6856306570083383/4, -15920961397567335/4], [-72867116124793033, -12840251796045354, 60689581198625965/2, 2247743635916321, -7596261924261673/2], [-9/4, 1/2, 3/4, -3/4, -3/4]], [[-1277834214377206590938524845/2, 5637740649841242298877174731, 8017445935600735212593388297/2, -1301953022274479179546515035, -929689241619010987192929158], [-946566397480460463697404853, 16386361412347762288365263549/2, 5700157201360234704005045189, -1888127195292023031097019933, -2643485336236165200537736837/2], [-1277834214377206845122587887/2, 5637740649841243274757285534, 8017445935600736719733950055/2, -1301953022274479380939791847, -929689241619011171065706077], [-127092031521/2, 975880110803/2, 753570280879/2, -100696638406, -183872776919/2]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[59/2, -3/2, 0, 2, 1], [-197/2, 11/2, -2, -11, -5], [59/2, -3/2, 0, 2, 1], [0, 0, 0, 0, 0]], [[589562387824750, 10930657364500, 27018252765300, 24868734181950, 2314336001400], [-43143627386430515/22, -1810546030246057/22, -3534968001092323/22, -6139863545721401/44, -1118737792037891/44], [6485186266071848/11, 120237231009497/11, 297200780418192/11, 547112152002939/22, 50915392030785/22], [-67/11, -1/22, -18/11, 13/44, -5/44]], [[535946970871282969826086590000, -4150254920341124339205540036400, -3061227361426040055212109146000, 928758697040173273688735620400, 707657664721834728712526400800], [-90398103680161785464492786841311/44, 346914054487434135480186062492479/22, 516013426104960334790745131284947/44, -38762308691478595112453623774387/11, -59447451871313343844223203680651/22], [11790833359167368407180559187867/22, -45652804123749082145177292914795/11, -67347001951368006610182786807539/22, 10216345667441194878128492837857/11, 7784234311939607738834474802820/11], [-285642997781930711/44, 1095195361215828535/22, 1624868161204801487/44, -237044149199662181/22, -95712833885934330/11]]], 0, 32, [], [] >,
< [ -1, 8, 0, -6, 0, 1 ], [[-16, 96, 128, -16, -32]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [8, -2, -10, 6, 8], [-10, 2, 8, -6, -6], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-8753955735/2, -6430563156, 1795664377, 3387895023/2, -550869588], [5909571139, 5262210838, -2227912860, -1276503665, 452310750], [-11/2, -1, 0, -5/2, 0]], [[0, 0, 0, 0, 0], [-115002700749165265, 1431650383779749727/2, 82326187517797569/2, -380907449929219653/2, 13930009844013597/2], [102170531232600126, -549240011267040507, -146896372744265895, 140926089558846291, 23727473016243879], [-579863817, 9356065173/2, -4496356215/2, -2504883069/2, 1272270519/2]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [98, -50, 48, -40, 18], [4, 10, -8, 10, -4], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [9229346128817/11, -22236796238222/11, -13665689799473/22, 13782467028137/11, 4962364862991/22], [134699981052/11, 1840895984130/11, -777756030399/11, -805247883060/11, 557408108847/11], [-46/11, -45/11, -105/22, 1/11, -5/22]], [[0, 0, 0, 0, 0], [849019480510327116737/22, -3496578945720842906601/22, -873662388396504777913/22, 1007170729126227204567/22, 27053153635948758294/11], [18684720290230966197/11, -32152908877367883591/11, -224147953371931684515/11, -13581012359400047169/11, 62061229091825070252/11], [-11047638105/22, 53860876059/22, 61627174623/22, -10965806259/22, -7393649622/11]]], 0, 2088960, [], [] >,
< [ -1, 8, 0, -6, 0, 1 ], [[4, -26, -14, 7, 3]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[51/2, -2, -1, 2, -1/2], [33/2, -37, 8, 8, 5/2], [51/2, -2, -1, 2, -1/2], [0, 0, 0, 0, 0]], [[-3953159472636, -342156309294, 2772859923237, 66384446784, -463886906055], [-7810095550141/4, 419031678493, 6690056519479/4, -1698117815081/4, -1007930991731/4], [-7906318945231/2, -342156309292, 5545719846475/2, 132768893567/2, -927773812105/2], [41/4, 1, 1/4, -1/4, 5/4]], [[-2534166325717632402583939560, 8533134215512604041464401274, 7932690392660301369548588454, -1969236310233810595249629450, -1801257839840591515428786558], [-2575134635223089927131853893/4, -1733459205678607308166261867/4, 4154021588438699463150304020, 445928429543912236794082375, -2490037124570623035066339863/2], [-5068332651325867323858558475/2, 17066268430316551442129633563/2, 7932690392468121485676833619, -1969236310138956430299083540, -1801257839799472899767357378], [109397481309320645/4, -708656640799168985/4, -192179883871754835/2, 47427082475272955, 20559307830714590]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-27/2, 3/2, -3/2, 1, -1/2], [183/2, -99/2, 65/2, 25, -45/2], [-27/2, 3/2, -3/2, 1, -1/2], [0, 0, 0, 0, 0]], [[8790031558980, 9750494825924, 3807724560152, -5030887775612, -1679062830804], [-1491799637135177/22, 266601714712499/11, -145634253665009/44, -831051743661319/44, 61639228631351/11], [96690347148855/11, 107255443085119/11, 83769940323503/22, -110679531063407/22, -18469691138841/11], [25/22, -15/22, 53/44, 19/44, 1/22]], [[-1537784711807094639897137609280, 8172531787555268166406231931040, 4678706492749266473082581690160, -2025983582435884552342109414640, -890199287695316521584464902080], [168445170385430773882224972932375/22, -754051962807433420590165879929197/22, -1507898433649783109030178599666117/44, 78963426476169221718181082144777/11, 371810916939684719445400177475817/44], [-16915631829902306757846127842390/11, 89897849663265708784653838895970/11, 102931542840653729922119381935641/22, -22285819406837218580232850427364/11, -19584384329333376156251144514177/22], [-4044286496269023385/11, 26293159030881275755/11, 56622504767528250707/44, -7081417411607811054/11, -12137560464305556139/44]]], 0, 512, [], [] >,
< [ -1, 8, 0, -6, 0, 1 ], [[-48, 368, 272, -80, -64]], [ -2, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-24, -340, -272, 228, 156], [-8, -10, 4, 6, 8], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-1142082643739/2, 146132398427/2, 1062526535043/2, -96302845711/2, -119399789228], [-70375772495, -12210641239, 10876863929, 1529042385, -532292180], [-5/2, -1/2, -1/2, 3/2, 2]], [[0, 0, 0, 0, 0], [-57546693518401648521321/2, 38412165873734848741361, 168503086702776913019269/2, -13489406974154666741891/2, -38151652218823837367237/2], [-26459616505570722345987, 171347729554766204833326, 121302579084310976800515, -39768795263921464538439, -27645415643972256547569], [3093557760993/2, -11998832118189, -17424315333537/2, 5325454766709/2, 4081631804691/2]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-4, 380, 212, -196, -104], [18, -4, 4, -6, -8], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-149779645087197/22, 269715181425381/11, 24818549049368/11, -87018185668875/11, -160225028551/22], [-9248096409473/11, -49884587556132/11, 24747559363024/11, 22726839710112/11, -11515509073819/11], [-91/22, 2/11, -16/11, -24/11, -1/22]], [[0, 0, 0, 0, 0], [-43931690768316249772669871/11, 385237516168907388408244857/11, -279459417180552435349741083/11, -215219253242534495003346497/22, 153360569205202949830583117/22], [-11023226085122424124123900/11, 95170128556612440786780742/11, -57251843026895890335639614/11, -26951405493289183511113057/11, 16331710683222436328029679/11], [-2699688524548/11, 20676543209485/11, 15351000934692/11, -8937853514091/22, -7237411360233/22]]], 0, 33423360, [], [] >,
< [ 3, 8, -1, -6, 0, 1 ], [[-3, -1, 1, 0, 0]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-13, -65/2, -1/2, 24, 5], [2, 13/2, -13/6, -14/3, 10/3], [3, -1, 1/2, 0, 1/2], [1, -1/3, 1/6, 0, 1/6]], [[56070832, 34287907, -26870726, -8766954, 7777283/2], [18739800, 13176457/3, -9995054, -1427566/3, 6493081/6], [-116200152, -19885984, 93920680, 6228868, -16364288], [-38733384, -19885984/3, 93920680/3, 6228868/3, -16364288/3]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-6, 27/2, -23/2, -17, 15/2], [-76/5, -127/30, 71/6, -29/15, -53/30], [3/5, 17/10, 3/2, -17/10, 3/10], [-1/5, -17/30, -1/2, 17/30, -1/10]], [[-17956740853/2, -4965135259/2, 6674688253, 745700867, -1203956855], [-83678744417/10, -17082601319/10, 6459199993, 2430950467/5, -5627600743/5], [935151048/5, 146414736/5, -82082052, 42082794/5, 14434524/5], [-311717016/5, -48804912/5, 27360684, -14027598/5, -4811508/5]]], 4, 4, [], [] >,
< [ 3, 8, -1, -6, 0, 1 ], [[48, 16, -16, 0, 0]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [2, 8, 4, 2, -8], [6, -10, 8, 4, 4], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-219500727828, -436208652746/3, 412054431776/3, -2717307562, -3053778272/3], [2278246219855, 851296641202, -1582460153196, -201326861091, 244771806521], [-3, 4/3, 2/3, -1, -1]], [[0, 0, 0, 0, 0], [689380635742657688, 418416370669143308/3, -1504087949737430320/3, -37604092321832512, 82112103569083100], [-8478416666274945272, -1640654237147435338, 6516581579738441286, 479028579830120260, -1107087815712835144], [17887632, 18365792/3, -12232000, -5366512/3, 1932656]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-28, -16, -2, 12, -4], [0, -8, 4, 4, -8], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [51744596698/5, -39475919992/15, -16359011390, 4856798222/15, 17119794284/5], [-16496652804/5, -32307785248/5, -3367225026, 7562892988/5, 5138856453/5], [-32/5, -2/15, -4/3, 4/5, -1/5]], [[0, 0, 0, 0, 0], [948063863941981586712/5, -131836792447151425046/5, -208213025768932576382, 12600024449507599846/5, 200822116824363379766/5], [-238859719381259657336/5, -316969114589125760467/5, -11766036996523163555, 72032203445420328327/5, 28517104959488027812/5], [-1496446388188/5, -1773917123111/5, 283681041165, 937087728691/5, -507495729804/5]]], 0, 1396736, [], [] >,
< [ 3, 8, -1, -6, 0, 1 ], [[-9, -3, 6, 1, -1]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-1, -1/2, 2, 0, 1], [-1, -1/2, 2, 0, 1], [6, 21, 0, -7, 1], [0, 0, 0, 0, 0]], [[-2626195639, -7238447648, -1011959877, 7063411569/2, 1183130961], [-2626195688, -21715343303/3, -1011959848, 21190235215/6, 3549392849/3], [577883277/2, 4159294945/2, 2722439159/2, 137750905/2, -203372766], [-5/2, 1/6, -1/6, 5/6, -2/3]], [[-976648167962702509693/2, -78290663506397623504, 385451638781932113310, 46973230190254774833/2, -66346766575453917540], [-976648193240653272163/2, -78290665709114956996, 385451648879258063419, 46973231463780556797/2, -66346768309779465426], [-4308077664514492846899/2, -760105596287523957711/2, 1698198734804244994685, 113997328584375541719, -583447400472407816833/2], [-34122571843833/2, -6222887888493/2, 13363707479955, 926172349233, -4578474339387/2]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-14, 3/2, -5/2, 0, -5/2], [-29, -7/2, 5/2, 4, 5/2], [-15, -5, 5, 4, 5], [0, 0, 0, 0, 0]], [[-1665083965978219, -3963135213919539/2, 5203428013774279/2, 1088522910446087/2, -552113684089545], [-10498340923362943/5, -60313464717995591/30, 16271490301829549/6, 5489202492984117/10, -8422798540977497/15], [-2172921093471801/5, -144406084866857/5, 220402086835541/2, 46587940753149/10, -47031093211468/5], [-18/5, -8/15, -5/6, 1/30, -2/15]], [[-4173929285078422450274712411, -1093012421230562303727437084, 3642139854173206257706036893, 313578811798783560657649371, -652729882151977581564935207], [-37016782218861771637485478833/5, -8734034927435456597060648791/5, 18178132237259586801770298437/3, 7642229522031599020615417963/15, -5304004538824165408729849104/5], [-16147135793470062899471020611/5, -3268972821283042535712992022/5, 2417237558246645862680530561, 979515781683359378139806757/5, -2040355128064208692464496543/5], [-144674303543593/5, -41977595510371/5, 60024495121925/3, 13713003691561/5, -50510672158262/15]]], 1, 8, [], [] >,
< [ 3, 8, -1, -6, 0, 1 ], [[144, 48, -96, -16, 16]], [ -3, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [4, 0, -10, -8, -10], [-6, -8, -2, 16, -4], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-169830709368, 1818621829328/3, 634744304774/3, -264280849760/3, -45010127218], [1141015629585, 821996531119, -1389555662993, -177394394082, 252798924591], [-1, -5/3, 1, 0, -1/3]], [[0, 0, 0, 0, 0], [-165981441256897832620, -88833240565954608596/3, 391007433717922722656/3, 26553868367730775612/3, -67048292353765576292/3], [267373113919135057302, 48217656281979394416, -209295597744665061118, -14403158118151919834, 35854191308154670286], [-78735952, -16153340, 179516936/3, 14248732/3, -30319816/3]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-24, -54, 14, 42, -16], [-24, -56, 10, 48, -6], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-5052500179088/5, -897184130576/5, 2367468116128/3, 804988879078/15, -675083190424/5], [-5009207222736/5, -894529618237/5, 782226089276, 267100637407/5, -669169567353/5], [12/5, 37/15, 4/3, -7/15, 1/5]], [[0, 0, 0, 0, 0], [-17246784752072498823922/5, -3117374717215996099874/5, 8100564781124210760782/3, 929976647983637994594/5, -2312461594043579213726/5], [-17091515351080039380174/5, -3089753336151724950838/5, 2675866436049642871546, 921710370000392251333/5, -2291627429246843862692/5], [35640142158/5, 26002788238/15, -15534444106/3, -8484261433/15, 13318730492/15]]], 0, 5586944, [], [] >,
< [ -1, 4, 4, -5, -1, 1 ], [[-2, -1, 1, 0, 0]], [ -3, -4, 0, 1, 0 ], [ -3, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[4, -21, -23, 49/2, 13/2], [147/10, -281/5, -123/2, 541/10, 16], [11/3, -47/6, -13, 22/3, 25/6], [-2/15, 1/15, 1/15, 1/10, 2/15]], [[13236263/2, -14795801/2, -48343487/2, 2622473/2, 10997123/2], [3743239, -30404911/2, -26103210, 3227329, 12343211/2], [-6468781/2, -4489494, 758155/2, 1103206, 192101/2], [816585/2, -269885/2, -2111725/2, 11165, 463925/2]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[1, -2, -25/2, -2, 9], [5, -103/2, -281/2, 41/2, 159/2], [-1/2, 1, -2, -1, 2], [0, 0, 0, 0, 0]], [[-281536913/2, 935996879/2, 2233179973/2, -415929093/2, -335859442], [288665445443/55, 680846741869/110, 106357987833/22, -290583905627/110, -48377716855/22], [5716084466/33, 3814015133/33, 18498867083/66, -1507871560/33, -6274974353/66], [-127/330, 47/110, 87/110, -7/110, 1/165]], [[1442538366400509405, 6458196132178330338, 95756339247438726813/2, 672020448458671755/2, -11189941327807418196], [71610672135335642442193/22, 93523931155720352923411/55, -326042015645440830184167/110, -4910436353699000816081/11, 59657453271946340168621/110], [2256358589649899674053/22, 462404092253199741862/11, -1623033811156559875577/22, -237287960746705683757/22, 269023845855611900081/22], [-15707157399827/110, 47644968372/11, 12330278444101/55, 249291452952/55, -2606024724308/55]]], 4, 4, [], [] >,
< [ -1, 4, 4, -5, -1, 1 ], [[-7, 7, 15, -10, 1]], [ -3, -4, 0, 1, 0 ], [ -3, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[1/2, -3/2, 3/2, 2, 3/2], [5, 8, 3, -1, -2], [1/2, -3/2, 3/2, 2, 3/2], [0, 0, 0, 0, 0]], [[-8869609/2, 20639068, -11590553/2, -11148203/2, 1556089], [-38755558/5, -2755203/5, 38879991/5, 1200196/5, -6632083/5], [-26608867/6, 61917215/3, -34771667/6, -33444623/6, 1556091], [-16/15, 2/15, 19/15, 2/15, -2/15]], [[12279723552861, -38648567108067/2, 2199740749946, 10384996787683/2, -3021886525575/2], [975619917048756/5, 234536504959749/2, -1081994700640841/5, -323044909161599/10, 419048622859811/10], [36839634253270/3, -115945144327343/6, 6598729892591/3, 10384934639173/2, -9065454671281/6], [76495964/3, 149467139/10, -429472436/15, -25265305/6, 55912977/10]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[4, -10, 0, -2, 0], [-125, 70, -11, 11, 0], [4, -10, 0, -2, 0], [0, 0, 0, 0, 0]], [[2386424945498, 905931099755/2, -242930739403, -96002082869/2, 60244442731/2], [-1583264751625996/11, -6590642629278701/110, 7893375864893978/55, 380748055513195/22, -3000839337667013/110], [78752023201025/33, 29895726305077/66, -8016714398683/33, -1056022911109/22, 1988066610359/66], [-26/165, 47/22, 47/55, 49/330, -1/330]], [[-122192772406127043220037081, -81564153556189808489876310, 135179508645011207242522335, 22718529791849614714279883, -26478530758041298394420928], [822467200479072738772537369237/110, 51726154902521557888672559140/11, -922426722771629045640106451447/110, -141430108538715286455275794129/110, 89498737190963623281838732878/55], [-4032361489455780574377766795/33, -2691617067388661918539031579/33, 4460923785324787514014619143/33, 749711483133930244473781817/33, -291263838339777620109104100/11], [-366384481836191/22, -652651261783483/55, 1289767272671431/110, 38035087581391/22, -228318344438947/165]]], 0, 4704, [], [] >,
< [ -1, 4, 4, -5, -1, 1 ], [[-2, 1, 2, -1, 0]], [ -3, -4, 0, 1, 0 ], [ -3, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-7/2, 22, 37/2, -53/2, -27/2], [-21/2, 163/5, 307/5, -59/2, -367/10], [-14/3, 9, 67/3, -47/6, -59/6], [7/30, -1/6, -9/10, -2/15, -2/15]], [[2832651, 12429073, -25533435/2, -6637105/2, 3068734], [-1519883/10, -123534113/10, 24553608/5, 35660151/10, -13501823/10], [-14090641/6, -80925283/6, 30297938/3, 3605909, -2408787], [1107939/5, 16566326/15, -4959346/5, -1424493/5, 1160698/5]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-3, 25/2, 15/2, -13, 4], [91/2, -9, 15, 22, -25/2], [-5/2, 4, 9/2, -7/2, 1/2], [0, 0, 0, 0, 0]], [[-32427892435/2, 119945216427/2, 46194447129, -50020503187, -23458323294], [136116982005303/110, -75330953384547/110, -26316063189993/55, 5535602187969/110, -1616862643851/55], [-2520806947387/66, 380045196514/33, 566659714238/33, -747830787973/66, -161144831380/33], [173/165, 163/330, 151/330, 23/330, 1/165]], [[8324040921954078690980, -36390186042122487950177, 83190786798425296454238, 52543299652845101106385, -50069685752998291655167], [-38716816899628254403373506/11, 15903618297506214501959126/11, 25155867798821168534803070/11, -4926918353312406471280380/11, -3529077897403814867402146/11], [3435658443403745856207670/33, -47948798886999457892144/33, -472159773871452537997322/11, 376796084168282723104136/33, -102102732130547634725111/33], [-98310983863151/33, -71905125687719/33, 7044723609460/33, 16974041412624/11, -10419077725975/33]]], 1, 8, [], [] >,
< [ -1, 4, 4, -5, -1, 1 ], [[6, 12, -2, -2, 0]], [ -3, -4, 0, 1, 0 ], [ -3, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-13/2, -3/2, -23/2, -1, -5/2], [-4, -4, 0, -2, 4], [-13/2, -3/2, -23/2, -1, -5/2], [0, 0, 0, 0, 0]], [[9366548321/2, -294192542761/2, 320953286719/2, 40008665515, -79709239831/2], [-75488499597/5, 53280365213/5, 5717818254/5, -11497431866/5, 2049035898/5], [28099644947/6, -882577628281/6, 320953286757/2, 40008665506, -79709239833/2], [1/15, -22/15, -14/15, -2/15, 2/15]], [[-4331125769023604707, -1794712661593378111, 3897325769660257623, 479798232938262004, -698028281534209093], [-27499231579435122667/10, -9213198871509718397/5, 31654700656192846231/10, 5075294631723125679/10, -3106113864760340819/5], [-12993377308342429528/3, -5384137985018016161/3, 11691977310237990656/3, 1439394698531318626/3, -2094084844659440909/3], [-2025491363/30, -133659632/5, 504698729/6, 59107927/10, -15360914]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-12, 7, 8, 1, -1], [-120, -51, -60, -9, 3], [-12, 7, 8, 1, -1], [0, 0, 0, 0, 0]], [[-8005717811421/2, -57538123677/2, 255809920113/2, 41891146344, 1072759581/2], [-688883809985012/11, 1336035985427382/55, 5110928716290618/55, 10243302453953/11, -992891549634509/55], [-264188687757649/66, -632919359399/22, 8441727372955/66, 1382407829006/33, 11800355685/22], [163/55, 26/33, 87/55, 4/55, 2/165]], [[901455227701712425369449, 272715810999377466597543, -965565304568823708819297, -11750382973072620361962, 148870681026539229211185], [1240894415656330629861790149/110, 340719407491965418367243878/55, -225243892859399982698371025/22, -118377907442209920260666413/110, 17594099270080786039422874/11], [9916007503906660398076658/11, 8999621762899615882967866/33, -31863655047934584252629005/33, -387762638668782205514152/33, 4912732473637061319674308/33], [-248922902779453/330, -15330779314963/165, 294057917394829/330, -31118897317319/330, -17609356092986/165]]], 0, 14112, [], [] >,
< [ -1, 4, 4, -5, -1, 1 ], [[1, 7, -2, -7, 3]], [ -3, -4, 0, 1, 0 ], [ -3, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-16, 55, 94, -23, -24], [-20, 74, 114, -51, -39], [-6, 21, 37, -7, -9], [0, 0, 0, 0, 0]], [[-78937, 99673, 200983, -157813, -110024], [-21864024/5, -1873615/2, 59754693/10, -789002/5, -7212972/5], [-5874283/6, -1882324/3, 6295757/6, 411355/3, -216065], [7/3, 2/5, 14/15, -1/6, 1/30]], [[5704972565995/2, 29970997506754, -55032997224069/2, -3362654135590, 4482606105066], [-3096589196321795/2, 11975647662744811, -13752643102647915/2, -3121159166997633, 1836407752549136], [299233519780943/2, 293671467568197/2, -409472825665913/2, -229311272468339/6, 123646430214107/3], [34881161087/3, -190658138024/3, 33545352929, 17199824422, -28662922336/3]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[-175/2, 619/2, 985/2, -393/2, -168], [-251/2, 617/2, 975/2, -401/2, -164], [-39/2, 79, 122, -47, -81/2], [0, 0, 0, 0, 0]], [[-30427787970, 245796609537/2, -96367677027/2, -242604156837/2, 22478308179/2], [-6243533550859787/110, 17165011015467028/55, -18404819769386999/110, -4482615993042643/55, 2531601671033381/55], [-10899660995665/66, 1174320608875/33, 1179128861905/33, -1043293047938/33, 26117363623/22], [196/165, 83/330, 5/22, 41/330, 1/66]], [[-39862539071411623257600, 183807732177952302682080, 84370971710625313502880, -205817556617318882658240, 59475412732612793978880], [-1009877740744418666478455989/110, 2497627773174710894811180734/55, -2589705244762743454332956449/110, -1323260979136234168948132697/110, 731366664466064260477217257/110], [491724617255089355856109/22, 6001079191159371753809359/66, -1481695223760908878189811/66, -4238527589247166498725907/66, 267933334930450990045838/11], [-14844791242539/55, -31625940875063/110, 62878007878583/330, -7387908482912/55, 4065699515986/55]]], 0, 56, [], [] >,
< [ -1, 4, 4, -5, -1, 1 ], [[-8, -16, -8, 8, 0]], [ -3, -4, 0, 1, 0 ], [ -3, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [3, -1, -5, -4, -5], [2, -6, 2, 6, 4], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-90585074231/10, -7957029507/2, 80785952111/10, 5648358491/5, -15191492053/10], [-6103716777, 14049499753, -4343186790, -10944688243/3, 1554700887], [-17/6, -91/30, 31/30, -1/3, -1/10]], [[0, 0, 0, 0, 0], [33429083761093133677602/5, 2229932756148401113592, -31440884636091464564002/5, -2778011986635383631594/5, 5550634331337633244356/5], [13993733594240128553699/3, -11672157667859202159353, 4543032875737996923471, 2986505917375563759832, -1434529778348380853227], [2201784615740, 9596442999794/5, -40562143901912/15, -920148196130, 10992532867946/15]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [34, 16, 18, 2, 24], [5, 5, 5, 0, 5], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-56217162, 14269259, 42620705, -2705804, -6366695], [-27689573/3, 1984012, 23709181/3, -947933/3, -1239683], [0, -2/3, 5/3, 0, 0]], [[0, 0, 0, 0, 0], [-156848940077247399381/110, -96939085678872742189/110, 35035205952222483099/22, 13317270827962388841/55, -6798357786990509145/22], [-2585582489188098652/11, -4797855749859001807/33, 8671152892472033476/33, 440734025715072208/11, -561611098488059217/11], [-137512830451/110, -1309900632091/330, 552415370029/330, 224592359196/55, -605092504867/330]]], 0, 225792, [], [] >,
< [ -1, 4, 4, -5, -1, 1 ], [[8, -1, -12, 1, 2]], [ -3, -4, 0, 1, 0 ], [ -3, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[128, -474, -1323/2, 473, 683/2], [134, -507, -1427/2, 486, 715/2], [5/2, -15, 47/2, 90, 38], [0, 0, 0, 0, 0]], [[47514626, -165469194, -276078470, 92631470, 92968716], [251699946/5, -330181417/2, -2803461697/10, 936451821/10, 943789541/10], [24674523/2, -139753250/3, -232477318/3, 68775968/3, 147535799/6], [-4/3, -53/30, -16/15, -1/6, -2/15]], [[-178400928791358540, 945115695999487440, -507976817044602600, -240090379955014860, 136951283564726200], [29945864200464631233/10, -79355104500414743454/5, 16869275197680540375/2, 20739600804942179637/5, -2333380975294986401], [-570449935938327537/2, 3046910513961764705/2, -813231741121030835, -791393854604805921/2, 447018581960541829/2], [3138464026344814/5, -16596171030362952/5, 17645195767569651/10, 4328384124536667/5, -4873245313052513/10]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[1153, -8191/2, -12903/2, 5797/2, 5023/2], [1263, -8161/2, -12913/2, 5807/2, 5029/2], [453/2, -1601/2, -1224, 1273/2, 1033/2], [0, 0, 0, 0, 0]], [[2535107775864, -9063713663576, -129823400458064, 27317116752536, 4839481766632], [-43990580524715581819/22, 580525648539265633464/55, -308480373644773858809/55, -30280653889723680887/11, 170421964624324756549/110], [-7614822573268435/66, 625298771887279/33, -203228071767241/66, 48126881086490/33, 35531675516012/33], [-53/110, -59/66, -41/330, 43/330, -1/165]], [[69525098461042789157109872, -316203609572382898450927696, -109657610944121966875873824, 392914145538799281406769040, -131816971390034638177060784], [9449437447597044521773581035361/22, -24996800962545179015830725884490/11, 13290120214680154218239051464639/11, 6519202195210139798974998069838/11, -7340398900128294711931031083345/22], [1057974719155467521304784637/66, -3535098919414502899060399816/33, -714515419860418765184937131/66, 3551734368244198887557404915/33, -419135373010212283206117363/11], [-42422320005/22, -3811896316345/22, -1376588405725/22, 4220614875035/22, -1912675629475/33]]], 0, 896, [], [] >,
< [ -1, 4, 4, -5, -1, 1 ], [[-32, 16, 32, -16, 0]], [ -3, -4, 0, 1, 0 ], [ -3, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-10, -2, -4, 4, -10], [-10, 28, 40, -12, -2], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [-403792369527/5, 177950019764/5, 402664039038/5, -377091492141/5, -224387861304/5], [-40209017429, 234295514230/3, 557111101934/3, 14674010328, -91361921797/3], [1/5, 6/5, 29/15, -1/15, 1/5]], [[0, 0, 0, 0, 0], [963182318124212140883/5, 761222714379431884716/5, -1183919515451355353944/5, -205970622226748835521/5, 235579607672482325817/5], [120479860226830338664/3, 30402257025684633069, -48380018951239096119, -24390819605323227679/3, 9529731900296705911], [-22263976658/15, -19951196477/15, 5832024443/3, 5145965206/15, -1156324975/3]]], [[[1, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [54, 234, 194, -176, -82], [2, 46, 40, -36, -16], [0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0], [71613667993268/55, -148882216589229/55, 50868957241451/55, 43795155225064/55, -17027126033333/55], [3363972184780/33, -1513810961803/33, -120499775584/33, 1063286362043/33, -124843712062/33], [-103/165, -119/55, 4/33, -14/165, 1/33]], [[0, 0, 0, 0, 0], [11094927847209178309062490731/55, 9650912676890021360980070944/55, -2829630568300332451923656717/11, -2662822381982938883247859647/55, 576705049733671979982108228/11], [273781443016149896028250418/11, 579288608596167439803052808/33, -950041394783554007163119332/33, -165594849032609914193333720/33, 63800919616476985894040318/11], [-16344390528054929/55, -10213493494895808/55, 52038380412541981/165, 3415155880629073/55, -3675869953165876/55]]], 0, 3612672, [], [] >,
< [ -1, -2, 7, 2, -7, -1, 1 ], [[1, 0, 0, 0, 0, 0]], [ -1, 0, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[-41, -103, 219, 223, -421/2, -166], [-41, -107, 220, 441/2, -211, -166], [-2, 3/2, -1/2, 5/2, 3/2, -3/2], [-2, -5/2, 1/2, 0, 1, -3/2]], [[80189685274449/2, 132985763635071, -200185714645525/2, -213098764987281, -14933964452335/2, 59280625307235/2], [59528592269976, 397595901129585/2, -148908075608120, -637224990784823/2, -22582065599049/2, 88661699787657/2], [389583658470, -280737178875, -406380234960, 425710177810, 111607984240, -69916361805], [39646666582443/2, 131062899501693/2, -98443197040635/2, -210176040454641/2, -3712442589117, 14620620878406]]], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[-29/2, -71/2, 131/2, 175/2, -63, -129/2], [571/2, -109/2, 185/2, 57, -106, -26], [-2, 1, -1, 3/2, 2, -3/2], [0, 0, 0, 0, 0, 0]], [[-619585969701268059/2, 805571349804300747/2, -5818625873056063325/2, -3145373130897379115, 2224017872879628950, 4807329805077643777/2], [3702517013038030487579/58, -3597757280091204531981/58, 11482052125996200723619/58, 3763636195160652874905/29, -621100103491549155922/29, -782178785297535686079/58], [-43385912416869730913/58, -103236727686792783/58, 21301266307223719865/58, 672846471046422191/29, -2992024299447982878/29, 2663728395351443187/58], [165/58, -53/58, 163/58, -43/29, 22/29, 1/58]], [[-7009920045311216416085403835989/2, -4566945870916039578504983521942, -3480359747826569154864627366009, -2344587686812209853796981175283/2, 348535559750582511528945824469/2, 277534475188576300215192341140], [18169648184506507469109989031977655/58, -6136750806648755726931831718252270/29, 21982889137663902738760306514219833/29, 56066339847839931845697276999870081/58, -1363712335410482819651726219822561/58, -3909456508150059621363662174224804/29], [-205612197580625927172517729542575/58, -25504167182199953379806444094690/29, 55987633550389768733218003591973/29, 21930873242923361752170030348375/58, -13588029320055331791241917964497/58, -383308785205920017441313440132/29], [796580128038315/58, -39976995520534/29, 249580730064647/29, 192204030174221/58, -90406604592427/58, -7257401335276/29]]], 4, 2, [], [] >,
< [ -1, -2, 7, 2, -7, -1, 1 ], [[16, 0, 0, 0, 0, 0]], [ -1, 0, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [8, 0, -8, -10, -8, -8], [6, 0, -4, 6, 8, -4], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [0, 1, 1, 1, 1, 0], [1, 1, 1, 1, 1, 0], [1, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [4755473799440, 331663948928, -2861458538224, -721173961456, 268240931504, 80298906064], [-6579170791044, -35204745230580, 15396568746306, 46913177496756, 2509193020050, -6482202855246], [0, 0, 0, 0, 0, 0]]], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [-8, 16, -58, 66, 70, 88], [2, -2, 6, -8, -8, -10], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [202768079632776563/29, 316868356907343786/29, -254047645501210766/29, -303792139472143772/29, 11866845939701274/29, 36574947081253680/29], [-23981170066594954/29, -14951396324543963/29, 26501835213656337/29, 6554608516680931/29, -3953426197086937/29, -164234231285018/29], [51/29, -9/29, -15/29, 33/29, -85/29, 4/29]], [[0, 0, 0, 0, 0, 0], [247592191816950044557022950411648/29, 179641339165813396420746513782712/29, 502594663509032094755515814294152/29, 502302065356419350271151709612140/29, -20732404906644001302440130954436/29, -75918306691536367687323233321884/29], [-25639737198630482667123752069956/29, 41780651731761956553386384101304/29, -69992363024342082586834596630096/29, -138170371462375050206837443528626/29, -4186746071304271001914420882254/29, 20057520350354014686287416373156/29], [113416299690316260/29, 742478519201100/29, -10730467073952120/29, 1244489577969660/29, 9481256287410600/29, -3237050762377080/29]]], 0, 1477632, [], [] >,
< [ -1, -3, 6, 4, -5, -1, 1 ], [[1, 0, 0, 0, 0, 0]], [ -1, 0, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[73, 246, -635/2, -444, 333/2, 325/2], [143/2, 493/2, -635/2, -889/2, 337/2, 162], [3/2, -3/2, 1/2, -2, 1/2, 5/2], [0, -1, 1/2, -5/2, 5/2, 2]], [[-4298934579/2, 12991204046, 9254523751/2, -23937586017/2, -2935946403/2, 4851386423/2], [-2034296959/2, -2603210493/2, -867289659/2, 1453875935/2, 298942253/2, -118857012], [-2666460555, 11120316786, 5202800649, -9933384087, -1477888884, 1998533079], [-1534141745, -6344985013/2, 141893944, 2762346889, 139555444, -1092034289/2]]], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[-61/2, -103, 123, 395/2, -63, -79], [-199/2, -229/2, 263/2, 193, -141/2, -123/2], [-1, 3/2, -3/2, 1/2, 1/2, -5/2], [0, 0, 0, 0, 0, 0]], [[-35372874714837, -159975565383289/2, 95347298173792, 261042928250763/2, -54339259501956, -47733072734056], [-72284951574393162/53, -113659432972139277/53, 235805487607612194/53, -58607893408114341/106, -68951794488983030/53, 20210314097186981/53], [-715158751542576/53, -289570856746229/106, 225888715642154/53, 495133976583639/106, -168798458784633/106, -198435645356653/106], [-3/53, -161/53, -260/53, -123/106, 45/106, -5/106]], [[-2832912252470682893130074821/2, 2888506978801380744448179205/2, 2964385868650708832919633972, -4523040923283451114309494209/2, -818594396916882178640445866, 1238513149077592024926172203/2], [34937828915480935177707139829/53, 11152940211458034730463145590575/53, -20292764756362397961218551314816/53, 9301135046307162627598530767687/106, 6507639210532666352588489492993/53, -5193199693374379643404882381329/106], [-151262174641284043993610385911/106, 148767957386427547325242161395/106, 145060835849884019557405272507/53, -107698939582449541608960464132/53, -39570254851010240886936795421/53, 26760595377081702454695693069/53], [2693700499947232/53, -52886567919730/53, -72087214975863/53, -46598061147202/53, 23653238396614/53, -1654438896321/53]]], 4, 2, [], [] >,
< [ -1, -3, 6, 4, -5, -1, 1 ], [[16, 0, 0, 0, 0, 0]], [ -1, 0, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [-4, 6, 4, 0, 2, 8], [-6, 0, 4, 6, 8, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [0, 0, 0, 1, 1, 0], [1, 0, 0, 1, 1, 0], [1, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [1736422284762, 8531514397098, 823105124622, -7294143040074, -505644601770, 1419661562220], [-78080859584, 546539944132, 177534624540, -453203021544, -52270838620, 87383708412], [0, 0, 0, 0, 0, 0]]], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [868, -38, 196, 142, -134, -98], [8, 2, -8, -6, 6, 4], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [-28937528460719671784401/53, -20365618719882685472355/53, 8565454187516250696070/53, 22934523521762619979235/53, -2512108633325363917866/53, -3406769044773680649218/53], [-191675671803243112004/53, 2703644750733319231/53, -3639873020489576567/53, 6032916275151574919/53, 8229411366195013036/53, -3247194418737163048/53], [-397/53, -194/53, -257/53, -162/53, -282/53, -4/53]], [[0, 0, 0, 0, 0, 0], [924283773208279050341115609640307357558/53, -131379427324875860602309372775538576772/53, -575361782894780865829521312780425098664/53, 23909213041023582850408465450527704928/53, 112764787965037632271146095206194074452/53, -10263600465933471296143172658137660480/53], [6937358595510435247145603025437222648/53, -3296367374989185068139716929220296932/53, -4364479683530637771399132442414084148/53, 2398495580402466003947046322227745200/53, 761265670823182719998750184444832584/53, -438850523514057431231319780424240560/53], [14209056356325391484/53, 319833812974460292/53, -1027745711832027056/53, 393248327365774232/53, 962455841672076592/53, -304877155038392076/53]]], 0, 2042880, [], [] >,
< [ -1, -2, 4, 5, -4, -2, 1 ], [[1, 0, 0, 0, 0, 0]], [ -1, 0, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[-11, -43/2, 69/2, 107/2, -21, -16], [-15/2, -43/2, 33, 53, -24, -39/2], [-3/2, -1/2, 2, 1/2, 2, 1], [2, -1/2, 1/2, 0, -1, -5/2]], [[362413582491/2, -65649531474, -1669513744475/2, 745918355425/2, 686563530191/2, -277388355349/2], [-685633305836, -2391252316975/2, 863479794517, 1377708534255/2, -224391017531, -62763232125/2], [197976970375/2, 167728603375/2, -43948247125/2, -90870678625, -34260394875/2, 18339402250], [-767851611894, -1046112325326, 1676262543192, 225024410790, -584802980064, 125651963862]]], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[55/2, -25, 23, 89/2, 23/2, -45/2], [-25/2, -3/2, 5, 54, -10, -51/2], [1717/13, -275/2, 1374/13, -608/13, 3181/26, 363/26], [-21/13, 2, -20/13, 17/26, -23/13, -5/26]], [[-530049988065755/2, -226069108300961, 190513692208081/2, 178791844514745, -150635267389315/2, 2890636729126], [76886326325921/2, -154138411394513/2, -602026869819/2, 98004402136619/2, 13117152313550, -27441936700823/2], [-1021105676117708, -251064309260759/2, 349045046807480, 307539475644841/2, -1077853548408995/2, 364764596415025/2], [12590131910910, -411714876725, -4447143636290, -420703410105, 7903368213970, -2908257774175]]], 4, 2, [], [] >,
< [ -1, -2, 4, 5, -4, -2, 1 ], [[16, 0, 0, 0, 0, 0]], [ -1, 0, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [6, 10, -6, -4, 0, 6], [6, 4, 2, -8, 2, -2], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [0, 0, 0, 1, 0, 0], [1, 0, 0, 1, 0, 0], [1, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [1130394388, 216071450, -1129172692, -449473522, 146853650, 57757124], [4381214332, -1455940096, -10877872448, 4628764740, 4229784700, -1684961632], [0, 0, 0, 0, 0, 0]]], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [-2, -6, 6, -8, 10, 2], [-78, -2, -8, -4, -10, -10], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [-12878464043011155, 391684865250981, 2146060389573613, 1775567738649898, -494779403537899, -105063288465710], [6602737711731346560/13, -816217690571642195, -18991174792657135346/13, 14223891268735951251/13, 7954277830953244912/13, -3870183681955296731/13], [3/13, 2, 79/13, 35/13, -45/13, 5/13]], [[0, 0, 0, 0, 0, 0], [44066571072561415946475914155, -15714207602868318821131420194, -123789273915656203229385750803, 53033734152030257677581952119, 49313960544082554041205043680, -19647926829052326237548932232], [-20835892319180611899356955342873/13, 964580946430437142341009652178, 51086182368212363523220188981696/13, -25144381064836070011000211489186/13, -19877414230519002030317187963978/13, 8294142009034993407757191606241/13], [-3990885103888/13, -18332298096, 302514610179/13, 244221460059/13, -88598833790/13, 8312543093/13]]], 0, 2595840, [], [] >,
< [ 1, -5, 2, 8, -4, -2, 1 ], [[1, 0, 0, 0, 0, 0]], [ -1, 0, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[89/2, -413/2, 27, 366, -153/2, -120], [93/2, -206, 55/2, 731/2, -161/2, -237/2], [5/2, -1, 0, -5/2, -5/2, 1], [1/2, -3/2, -1/2, -2, 3/2, -1/2]], [[-15560157677, -15994947853/2, 39827252885/2, 4958908562, -6902072359/2, -150378335/2], [-188700628609/2, 78407784946, 162347015674, -187374651967/2, -80361015001/2, 43605066079/2], [-77746077696, 75766194420, 133657822305, -88310316717, -34056406839, 19745309199], [2088157863/2, -21278128905/2, -17551133853/2, 20671835657/2, 2673064482, -2132413008]]], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[-27, 251/2, -22, -427/2, 46, 109/2], [-257/2, 137, 11, -391/2, 31, 57], [-5/2, 1/2, 2, 1, -1, 1/2], [0, 0, 0, 0, 0, 0]], [[60958677759555/2, 1492269605219735, -7259350411156577/2, 3608124909740609, 5790270176380326, -4641720768000491/2], [710400619543761291/38, 1557792259377886884/19, 116606717076953249/2, -1449643236139655153/19, -348704519227818239/19, 605776590976365569/38], [35917849035179691/38, -1410755125048825/19, 706498121946277/2, 2634095135950869/19, -6913552069024558/19, 3703486155211997/38], [-45/38, 43/19, 5/2, 29/19, 66/19, 5/38]], [[10521158224794188390631754015472, -37829592455725379705169230610266, 28715316364804517286035296243362, 3497032679196321405981006851546, -10402713399891635970650654768122, 2718014435891925565682595419696], [13284735718468689800374831203248735/19, -6715597724025850048014220780197575/19, -2272763545002589965675274937423822, 21947881511358187858528795686212861/19, 12102095686979386547859518448508691/19, -6034775035798197224530055261589569/19], [280883536592352977589079681633092/19, -31508825351578587300642924670446/19, -55400269062489137248529505721130, 471408425383263297324170923371498/19, 299356581582548109547338945246522/19, -140554107672109569891076870938560/19], [-104539120806636768/19, 4607657795994286/19, -35674557988630, 5894301082888166/19, 3105705204547150/19, -1707943048979764/19]]], 4, 2, [], [] >,
< [ 1, -5, 2, 8, -4, -2, 1 ], [[16, 0, 0, 0, 0, 0]], [ -1, 0, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [-6, 6, -10, -4, 0, 4], [10, -8, -4, 4, -10, 4], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [1, 1, 0, 1, 1, 1], [0, 1, 0, 1, 1, 1], [1, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [-1598848300, 3831776438, -31885714658, 14799875776, 10071184438, -4822282458], [3483231024, 863558072, -3149290196, -751560212, 567398000, 100895652], [0, 0, 0, 0, 0, 0]]], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [-8, -56, 72, -24, 88, 76], [-2, -8, 10, -4, 10, 10], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [-3330778169801/19, 6986727657373/19, 624565640240, -9184032656132/19, -3390684602965/19, 2125649024890/19], [-173316318074/19, -267865184748/19, 29862358161, -99951985421/19, -160253545724/19, 55302718711/19], [-69/19, 9/19, 3, -115/19, -113/19, -5/19]], [[0, 0, 0, 0, 0, 0], [-107519146494585433022449669/19, -78596824375032301294759140/19, 58916017067026277010041499, -495420047806363742208285944/19, -336172982904598275638697373/19, 157627189643939532488252730/19], [-5255444524923487816406728/19, -57397199408812275989776698/19, 5640047155625435717934738, -20459131879241193010672188/19, -32512052914222845323507433/19, 11600257751353905112191703/19], [-4054719867205875/19, -733071463418750/19, 9167863183375, 1372357650209500/19, -260235299262500/19, -375739042899875/19]]], 0, 3075072, [], [] >,
< [ -1, -2, 5, 4, -5, -1, 1 ], [[1, 0, 0, 0, 0, 0]], [ -1, 0, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[-14, -81/2, 49, 209/2, -22, -95/2], [-17, -42, 51, 104, -51/2, -89/2], [-2, -1/2, 0, 1, -1, 1/2], [1, 1, -2, 3/2, 5/2, -5/2]], [[59628047, 265959936, -498779961/2, -1082658163/2, 49725201, 122094932], [277222095/2, 405098267/2, -441500151/2, -556178334, 70110047/2, 130681961], [121955177/2, -111350379/2, 30864994, -69795141/2, -29037399/2, 13272612], [-18005412, 7735613, 2225089, -20048318, 151478, 4685583]]], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[-69/2, -81, 142, 202, -185/2, -83], [15, -161/2, 147, 403/2, -86, -153/2], [5/2, 1/2, -1, 1/2, -3/2, -3/2], [0, 0, 0, 0, 0, 0]], [[57840136359309/2, 65188458808967/2, -177775502928210, -63931416064623/2, 308899453107193/2, -113427431935099/2], [-2228800029994107/14, -349099764439973/14, -2985005943334143/7, 4692486278469429/14, 3332305939835435/14, -2051116566083117/14], [-79117988853373/14, 76783093365295/14, -136286863589413/7, -56288386772945/14, 282082249059577/14, -97775102482447/14], [37/14, -11/14, 3/7, 3/14, 5/14, 3/14]], [[-3631181901375403241770015, -25998509776707122352792683/2, 8827440664797773796268487, 6140432625665877687629190, -13035877948086006043715740, 9216047840218446405116985/2], [-790646486451181338151496465/7, -929295820608941298110726701/14, -818267012271140458305505799/7, 1387859940781768759944432882/7, 236712905230192327304340436/7, -607320086345387194825919649/14], [-41767573875561772641339597/7, -32235090787576995949807969/14, 27046105020270173254384245/7, 17029802114386704965586802/7, -13555437438299099397664572/7, 2922602259685295745847035/14], [10899576887625/7, 533184673557/14, 1510458774759/7, -2606434604898/7, -1255054909044/7, 1593527903097/14]]], 4, 2, [], [] >,
< [ -1, -2, 5, 4, -5, -1, 1 ], [[16, 0, 0, 0, 0, 0]], [ -1, 0, 0, 0, 0, 0 ], [ -1, 0, 0, 0, 0, 0 ], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [-10, 4, -2, 4, 4, -4], [-8, 2, -8, 0, 8, 2], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [1, 1, 1, 1, 1, 0], [0, 1, 1, 1, 1, 0], [1, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [30207757216, 14967420720, -15394945552, -23864896384, 641449312, 5448429616], [19578506310, 2817445590, 18610606890, 20696391900, -5256314190, -5118649830], [0, 0, 0, 0, 0, 0]]], [[[1, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [46, 8, -20, 6, 6, 12], [-4, 4, -8, 4, 0, 10], [0, 0, 0, 0, 0, 0]], [[0, 0, 0, 0, 0, 0], [-226361022955029345/7, -318212558012655443/7, 84613475624297675/7, 255058721550647605/7, 1149934043852718/7, -44428365685780115/7], [20388713897462865/7, 9856347258391313/7, 2448850724595753/7, -41190287367971342/7, 197059504491588/7, 9899146518271242/7], [50/7, -16/7, -4/7, 5/7, -8/7, 5/7]], [[0, 0, 0, 0, 0, 0], [-760038887228207765748398694, -1521323121479316779055310498, 396046553182591424236017396, 1584763406996693441832720772, -21361535313530770392947808, -306614862617241543004994676], [31619752842400210629553688, -22500872394945365595822416, 60619107147110124203033728, 87873488814511629798266240, -15244675147625372615678808, -20455601461595073258464200], [185839100336, 153466621320, -208098847128, -261170892208, 34338930016, 55544539440]]], 0, 4193280, [], [] >
];
